/*===========================================================================*/
/*   (Ast/app.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_appz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__makezd2appzd2nodez00zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__correctzd2arityzd2appzf3zf3zzast_appz00(obj_t, obj_t, obj_t);
static obj_t BGl__applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_appz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzast_appz00();
static BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t, obj_t, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern long bgl_list_length(obj_t);
static BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long, obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_appz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_vlengthz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_appz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 18 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_correctzd2arityzd2appzf3zd2envz21zzast_appz00, BgL_bgl__correctza7d2arityza7d2appza7f3za7f3za7za7ast_appza7003010za7, BGl__correctzd2arityzd2appzf3zf3zzast_appz00, 0L, 2 );
DEFINE_STRING( BGl_string2999z00zzast_appz00, BgL_bgl_string2999za700za7za7ast_appza7003011z00, "Illegal application: ", 21 );
DEFINE_STRING( BGl_string2998z00zzast_appz00, BgL_bgl_string2998za700za7za7ast_appza7003012z00, " provided", 9 );
DEFINE_STRING( BGl_string2997z00zzast_appz00, BgL_bgl_string2997za700za7za7ast_appza7003013z00, " or more arg(s) expected, ", 26 );
DEFINE_STRING( BGl_string2996z00zzast_appz00, BgL_bgl_string2996za700za7za7ast_appza7003014z00, " arg(s) expected, ", 18 );
DEFINE_STRING( BGl_string3005z00zzast_appz00, BgL_bgl_string3005za700za7za7ast_appza7003015z00, "(c-create-vector %%create-vector) (c-vector-set! %%vector-set!) (c-vector-ref %%vector-ref) (c-vector-length %%vector-length) foreign c-cons list \077\077? (c-vector-length %%vector-length c-vector-ref %%vector-ref c-vector-set! %%vector-set! c-create-vector %%create-vector) arg (lambda l l) let fun value (quote ()) app @ quote ", 324 );
DEFINE_STRING( BGl_string3004z00zzast_appz00, BgL_bgl_string3004za700za7za7ast_appza7003016z00, "Illegal special application", 27 );
DEFINE_STRING( BGl_string3003z00zzast_appz00, BgL_bgl_string3003za700za7za7ast_appza7003017z00, "make-special-app-node", 21 );
DEFINE_STRING( BGl_string3002z00zzast_appz00, BgL_bgl_string3002za700za7za7ast_appza7003018z00, "($1,$2,$3)", 10 );
DEFINE_STRING( BGl_string3001z00zzast_appz00, BgL_bgl_string3001za700za7za7ast_appza7003019z00, "($1,$2)", 7 );
DEFINE_STRING( BGl_string3000z00zzast_appz00, BgL_bgl_string3000za700za7za7ast_appza7003020z00, "($1)", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2appzd2nodezd2envzd2zzast_appz00, BgL_bgl__makeza7d2appza7d2nodeza700za7za7ast_appza7003021z00, BGl__makezd2appzd2nodez00zzast_appz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_applicationzd2ze3nodezd2envze3zzast_appz00, BgL_bgl__applicationza7d2za7e3nodeza731za7za7ast_appza7003022z00, BGl__applicationzd2ze3nodez31zzast_appz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long BgL_checksumz00_3030, char * BgL_fromz00_3031)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_appz00))
{ 
BGl_requirezd2initializa7ationz75zzast_appz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_appz00(); 
BGl_cnstzd2initzd2zzast_appz00(); 
BGl_importedzd2moduleszd2initz00zzast_appz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "ast_app"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
{ /* Ast/app.scm 14 */
obj_t BgL_cportz00_3023;
BgL_cportz00_3023 = 
open_input_string(BGl_string3005z00zzast_appz00); 
{ 
long BgL_iz00_3024;
BgL_iz00_3024 = ((long)17); 
BgL_loopz00_3025:
if(
(BgL_iz00_3024==((long)-1)))
{ /* Ast/app.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/app.scm 14 */
{ /* Ast/app.scm 14 */
obj_t BgL_arg3007z00_3027;
{ /* Ast/app.scm 14 */
obj_t BgL_list3008z00_3028;
BgL_list3008z00_3028 = 
MAKE_PAIR(BgL_cportz00_3023, BNIL); 
BgL_arg3007z00_3027 = 
BGl_readz00zz__readerz00(BgL_list3008z00_3028); } 
{ /* Ast/app.scm 14 */
int BgL_auxz00_3050;
BgL_auxz00_3050 = 
(int)(BgL_iz00_3024); 
CNST_TABLE_SET(BgL_auxz00_3050, BgL_arg3007z00_3027); } } 
{ 
long BgL_iz00_3053;
{ /* Ast/app.scm 14 */
int BgL_auxz00_3054;
{ /* Ast/app.scm 14 */
long BgL_auxz00_3055;
BgL_auxz00_3055 = 
(BgL_iz00_3024-((long)1)); 
BgL_auxz00_3054 = 
(int)(BgL_auxz00_3055); } 
BgL_iz00_3053 = 
(long)(BgL_auxz00_3054); } 
BgL_iz00_3024 = BgL_iz00_3053; 
goto BgL_loopz00_3025;} } } } } 
}



/* correct-arity-app? */
bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt BgL_varz00_1, obj_t BgL_argsz00_2)
{ AN_OBJECT;
{ /* Ast/app.scm 32 */
{ /* Ast/app.scm 33 */
long BgL_nbzd2argszd2_1250;
BgL_nbzd2argszd2_1250 = 
bgl_list_length(BgL_argsz00_2); 
{ /* Ast/app.scm 34 */
long BgL_arityz00_1251;
{ /* Ast/app.scm 35 */
BgL_funz00_bglt BgL_obj1310z00_1953;
{ /* Ast/app.scm 35 */
BgL_valuez00_bglt BgL_auxz00_3060;
BgL_auxz00_3060 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1))->BgL_valuez00); 
BgL_obj1310z00_1953 = 
(BgL_funz00_bglt)(BgL_auxz00_3060); } 
BgL_arityz00_1251 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_1953))->BgL_arityz00); } 
{ /* Ast/app.scm 35 */

if(
(BgL_arityz00_1251==((long)-1)))
{ /* Ast/app.scm 37 */
return ((bool_t)1);}  else 
{ /* Ast/app.scm 37 */
if(
(BgL_arityz00_1251>=((long)0)))
{ /* Ast/app.scm 39 */
return 
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_1251, BgL_nbzd2argszd2_1250);}  else 
{ /* Ast/app.scm 39 */
{ /* Ast/app.scm 42 */
long BgL_auxz00_3069;
{ /* Ast/app.scm 42 */
long BgL_auxz00_3072;long BgL_auxz00_3070;
BgL_auxz00_3072 = 
(BgL_nbzd2argszd2_1250+((long)1)); 
BgL_auxz00_3070 = 
NEG(BgL_arityz00_1251); 
BgL_auxz00_3069 = 
(BgL_auxz00_3070-BgL_auxz00_3072); } 
return 
(BgL_auxz00_3069<=((long)0));} } } } } } } 
}



/* _correct-arity-app? */
obj_t BGl__correctzd2arityzd2appzf3zf3zzast_appz00(obj_t BgL_envz00_3008, obj_t BgL_varz00_3009, obj_t BgL_argsz00_3010)
{ AN_OBJECT;
{ /* Ast/app.scm 32 */
{ /* Ast/app.scm 32 */
bool_t BgL_auxz00_3076;
BgL_auxz00_3076 = 
BGl_correctzd2arityzd2appzf3zf3zzast_appz00(
(BgL_variablez00_bglt)(BgL_varz00_3009), BgL_argsz00_3010); 
return 
BBOOL(BgL_auxz00_3076);} } 
}



/* clean-user-node! */
BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Ast/app.scm 50 */
{ 
BgL_nodez00_bglt BgL_walkz00_1258;
BgL_walkz00_1258 = BgL_nodez00_3; 
BgL_loopz00_1259:
{ /* Ast/app.scm 52 */
bool_t BgL_test2673z00_1260;
BgL_test2673z00_1260 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_walkz00_1258), BGl_letzd2varzd2zzast_nodez00); 
if(BgL_test2673z00_1260)
{ /* Ast/app.scm 52 */
{ 
obj_t BgL_l2654z00_1261;
{ /* Ast/app.scm 56 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_1966;
BgL_obj2466z00_1966 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_1258); 
BgL_l2654z00_1261 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_1966))->BgL_bindingsz00); } 
BgL_lname2655z00_1262:
if(
PAIRP(BgL_l2654z00_1261))
{ /* Ast/app.scm 54 */
{ /* Ast/app.scm 55 */
BgL_localz00_bglt BgL_obj1272z00_1970;
{ /* Ast/app.scm 55 */
obj_t BgL_auxz00_3085;
{ /* Ast/app.scm 55 */
obj_t BgL_auxz00_3086;
BgL_auxz00_3086 = 
CAR(BgL_l2654z00_1261); 
BgL_auxz00_3085 = 
CAR(BgL_auxz00_3086); } 
BgL_obj1272z00_1970 = 
(BgL_localz00_bglt)(BgL_auxz00_3085); } 
((((BgL_localz00_bglt)CREF(BgL_obj1272z00_1970))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } 
{ 
obj_t BgL_l2654z00_3091;
BgL_l2654z00_3091 = 
CDR(BgL_l2654z00_1261); 
BgL_l2654z00_1261 = BgL_l2654z00_3091; 
goto BgL_lname2655z00_1262;} }  else 
{ /* Ast/app.scm 54 */((bool_t)1); } } 
{ 
BgL_nodez00_bglt BgL_walkz00_3095;
{ /* Ast/app.scm 57 */
BgL_letzd2varzd2_bglt BgL_obj2469z00_1973;
BgL_obj2469z00_1973 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_1258); 
BgL_walkz00_3095 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2469z00_1973))->BgL_bodyz00); } 
BgL_walkz00_1258 = BgL_walkz00_3095; 
goto BgL_loopz00_1259;} }  else 
{ /* Ast/app.scm 52 */
return BgL_nodez00_3;} } } } 
}



/* application->node */
BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t BgL_expz00_4, obj_t BgL_stackz00_5, obj_t BgL_locz00_6, obj_t BgL_sitez00_7)
{ AN_OBJECT;
{ /* Ast/app.scm 66 */
{ 
obj_t BgL_expz00_1347;
{ /* Ast/app.scm 81 */
obj_t BgL_locz00_1270;
BgL_locz00_1270 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_4, BgL_locz00_6); 
{ /* Ast/app.scm 81 */
obj_t BgL_errzd2nbzd2_1271;
BgL_errzd2nbzd2_1271 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* Ast/app.scm 82 */
BgL_nodez00_bglt BgL_funz00_1272;
BgL_funz00_1272 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_expz00_4), BgL_stackz00_5, BgL_locz00_1270, 
CNST_TABLE_REF(((long)2))); 
{ /* Ast/app.scm 83 */
bool_t BgL_funzd2errzf3z21_1273;
{ /* Ast/app.scm 84 */
long BgL_n1z00_1975;long BgL_n2z00_1976;
BgL_n1z00_1975 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_n2z00_1976 = 
(long)CINT(BgL_errzd2nbzd2_1271); 
BgL_funzd2errzf3z21_1273 = 
(BgL_n1z00_1975>BgL_n2z00_1976); } 
{ /* Ast/app.scm 84 */

{ /* Ast/app.scm 85 */
bool_t BgL_test2679z00_1274;
{ /* Ast/app.scm 85 */
bool_t BgL_testz00_3105;
BgL_expz00_1347 = BgL_expz00_4; 
{ 
obj_t BgL_expz00_1349;
BgL_expz00_1349 = BgL_expz00_1347; 
BgL_loopz00_1350:
if(
NULLP(BgL_expz00_1349))
{ /* Ast/app.scm 69 */
BgL_testz00_3105 = ((bool_t)1)
; }  else 
{ 

{ /* Ast/app.scm 71 */
obj_t BgL_ezd2105zd2_1356;
BgL_ezd2105zd2_1356 = 
CAR(BgL_expz00_1349); 
if(
PAIRP(BgL_ezd2105zd2_1356))
{ /* Ast/app.scm 71 */
bool_t BgL_testz00_3111;
{ /* Ast/app.scm 71 */
obj_t BgL_auxz00_3114;obj_t BgL_auxz00_3112;
BgL_auxz00_3114 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3112 = 
CAR(BgL_ezd2105zd2_1356); 
BgL_testz00_3111 = 
(BgL_auxz00_3112==BgL_auxz00_3114); } 
if(BgL_testz00_3111)
{ /* Ast/app.scm 71 */
{ 
obj_t BgL_expz00_3117;
BgL_expz00_3117 = 
CDR(BgL_expz00_1349); 
BgL_expz00_1349 = BgL_expz00_3117; 
goto BgL_loopz00_1350;} }  else 
{ /* Ast/app.scm 71 */
obj_t BgL_cdrzd2111zd2_1359;
BgL_cdrzd2111zd2_1359 = 
CDR(BgL_ezd2105zd2_1356); 
{ /* Ast/app.scm 71 */
bool_t BgL_testz00_3120;
{ /* Ast/app.scm 71 */
obj_t BgL_auxz00_3123;obj_t BgL_auxz00_3121;
BgL_auxz00_3123 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3121 = 
CAR(BgL_ezd2105zd2_1356); 
BgL_testz00_3120 = 
(BgL_auxz00_3121==BgL_auxz00_3123); } 
if(BgL_testz00_3120)
{ /* Ast/app.scm 71 */
if(
PAIRP(BgL_cdrzd2111zd2_1359))
{ /* Ast/app.scm 71 */
obj_t BgL_cdrzd2113zd2_1362;
BgL_cdrzd2113zd2_1362 = 
CDR(BgL_cdrzd2111zd2_1359); 
{ /* Ast/app.scm 71 */
bool_t BgL_testz00_3129;
{ /* Ast/app.scm 71 */
obj_t BgL_auxz00_3130;
BgL_auxz00_3130 = 
CAR(BgL_cdrzd2111zd2_1359); 
BgL_testz00_3129 = 
SYMBOLP(BgL_auxz00_3130); } 
if(BgL_testz00_3129)
{ /* Ast/app.scm 71 */
if(
PAIRP(BgL_cdrzd2113zd2_1362))
{ /* Ast/app.scm 71 */
bool_t BgL_testz00_3135;
{ /* Ast/app.scm 71 */
obj_t BgL_auxz00_3136;
BgL_auxz00_3136 = 
CAR(BgL_cdrzd2113zd2_1362); 
BgL_testz00_3135 = 
SYMBOLP(BgL_auxz00_3136); } 
if(BgL_testz00_3135)
{ /* Ast/app.scm 71 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2113zd2_1362), BNIL))
{ /* Ast/app.scm 71 */
{ 
obj_t BgL_expz00_3142;
BgL_expz00_3142 = 
CDR(BgL_expz00_1349); 
BgL_expz00_1349 = BgL_expz00_3142; 
goto BgL_loopz00_1350;} }  else 
{ /* Ast/app.scm 71 */
BgL_tagzd2104zd2_1355:
{ /* Ast/app.scm 79 */
bool_t BgL__ortest_2656z00_1378;
BgL__ortest_2656z00_1378 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_expz00_1349), BGl_atomz00zzast_nodez00); 
if(BgL__ortest_2656z00_1378)
{ /* Ast/app.scm 79 */
BgL_testz00_3105 = BgL__ortest_2656z00_1378
; }  else 
{ /* Ast/app.scm 79 */
BgL_testz00_3105 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_expz00_1349), BGl_varz00zzast_nodez00)
; } } } }  else 
{ /* Ast/app.scm 71 */
goto BgL_tagzd2104zd2_1355;} }  else 
{ /* Ast/app.scm 71 */
goto BgL_tagzd2104zd2_1355;} }  else 
{ /* Ast/app.scm 71 */
goto BgL_tagzd2104zd2_1355;} } }  else 
{ /* Ast/app.scm 71 */
goto BgL_tagzd2104zd2_1355;} }  else 
{ /* Ast/app.scm 71 */
goto BgL_tagzd2104zd2_1355;} } } }  else 
{ /* Ast/app.scm 71 */
{ 
obj_t BgL_expz00_3149;
BgL_expz00_3149 = 
CDR(BgL_expz00_1349); 
BgL_expz00_1349 = BgL_expz00_3149; 
goto BgL_loopz00_1350;} } } } } 
if(BgL_testz00_3105)
{ /* Ast/app.scm 85 */
BgL_test2679z00_1274 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1272), BGl_varz00zzast_nodez00); }  else 
{ /* Ast/app.scm 85 */
BgL_test2679z00_1274 = ((bool_t)0); } } 
if(BgL_test2679z00_1274)
{ /* Ast/app.scm 86 */
obj_t BgL_argsz00_1275;
BgL_argsz00_1275 = 
CDR(BgL_expz00_4); 
{ /* Ast/app.scm 86 */
long BgL_deltaz00_1276;
BgL_deltaz00_1276 = 
BGl_checkzd2userzd2appz00zzast_appz00(BgL_funz00_1272, BgL_argsz00_1275); 
{ /* Ast/app.scm 87 */

{ /* Ast/app.scm 89 */
bool_t BgL_test2680z00_1277;
BgL_test2680z00_1277 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1272), BGl_varz00zzast_nodez00); 
if(BgL_test2680z00_1277)
{ /* Ast/app.scm 89 */
if(
(BgL_deltaz00_1276==((long)0)))
{ /* Ast/app.scm 91 */
return 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_5, BgL_locz00_1270, 
(BgL_varz00_bglt)(BgL_funz00_1272), BgL_argsz00_1275);}  else 
{ /* Ast/app.scm 91 */
return 
BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(BgL_expz00_4, BgL_locz00_1270, BgL_funz00_1272, BgL_argsz00_1275);} }  else 
{ /* Ast/app.scm 89 */
return 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)3)), BgL_stackz00_5, BgL_locz00_1270, 
CNST_TABLE_REF(((long)4)));} } } } }  else 
{ 
obj_t BgL_oldzd2argszd2_1279;obj_t BgL_newzd2argszd2_1280;obj_t BgL_bindingsz00_1281;
BgL_oldzd2argszd2_1279 = 
CDR(BgL_expz00_4); 
BgL_newzd2argszd2_1280 = BNIL; 
BgL_bindingsz00_1281 = BNIL; 
BgL_loopz00_1282:
if(
NULLP(BgL_oldzd2argszd2_1279))
{ /* Ast/app.scm 99 */
{ /* Ast/app.scm 100 */
obj_t BgL_oldzd2funzd2_1287;
BgL_oldzd2funzd2_1287 = 
CAR(BgL_expz00_4); 
{ /* Ast/app.scm 106 */
bool_t BgL_test2686z00_1289;
BgL_test2686z00_1289 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1272), BGl_varz00zzast_nodez00); 
if(BgL_test2686z00_1289)
{ /* Ast/app.scm 107 */
BgL_nodez00_bglt BgL_nodez00_1290;
{ /* Ast/app.scm 107 */
obj_t BgL_arg2687z00_1291;
BgL_arg2687z00_1291 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_1280, BgL_bindingsz00_1281, BgL_oldzd2funzd2_1287); 
BgL_nodez00_1290 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2687z00_1291, BgL_stackz00_5, BgL_locz00_1270, BgL_sitez00_7); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_1290);}  else 
{ /* Ast/app.scm 112 */
obj_t BgL_newzd2funzd2_1292;
{ /* Ast/app.scm 112 */
obj_t BgL_arg2699z00_1306;
BgL_arg2699z00_1306 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_newzd2funzd2_1292 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2699z00_1306); } 
{ /* Ast/app.scm 112 */
obj_t BgL_lexpz00_1293;
{ /* Ast/app.scm 113 */
obj_t BgL_arg2688z00_1295;obj_t BgL_arg2689z00_1296;
BgL_arg2688z00_1295 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 113 */
obj_t BgL_arg2690z00_1297;obj_t BgL_arg2691z00_1298;
{ /* Ast/app.scm 113 */
obj_t BgL_arg2692z00_1299;
{ /* Ast/app.scm 113 */
obj_t BgL_arg2694z00_1301;
{ /* Ast/app.scm 113 */
obj_t BgL_auxz00_3181;
if(BgL_funzd2errzf3z21_1273)
{ /* Ast/app.scm 113 */
BgL_auxz00_3181 = 
CNST_TABLE_REF(((long)7))
; }  else 
{ /* Ast/app.scm 113 */
BgL_auxz00_3181 = BgL_oldzd2funzd2_1287
; } 
BgL_arg2694z00_1301 = 
MAKE_PAIR(BgL_auxz00_3181, BNIL); } 
BgL_arg2692z00_1299 = 
MAKE_PAIR(BgL_newzd2funzd2_1292, BgL_arg2694z00_1301); } 
BgL_arg2690z00_1297 = 
MAKE_PAIR(BgL_arg2692z00_1299, BNIL); } 
{ /* Ast/app.scm 116 */
obj_t BgL_arg2697z00_1304;
BgL_arg2697z00_1304 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_1280, BgL_bindingsz00_1281, BgL_newzd2funzd2_1292); 
BgL_arg2691z00_1298 = 
MAKE_PAIR(BgL_arg2697z00_1304, BNIL); } 
BgL_arg2689z00_1296 = 
MAKE_PAIR(BgL_arg2690z00_1297, BgL_arg2691z00_1298); } 
BgL_lexpz00_1293 = 
MAKE_PAIR(BgL_arg2688z00_1295, BgL_arg2689z00_1296); } 
{ /* Ast/app.scm 113 */
BgL_nodez00_bglt BgL_nodez00_1294;
BgL_nodez00_1294 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lexpz00_1293, BgL_stackz00_5, BgL_locz00_1270, BgL_sitez00_7); 
{ /* Ast/app.scm 117 */

return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_1294);} } } } } } }  else 
{ /* Ast/app.scm 119 */
bool_t BgL_testz00_3193;
{ /* Ast/app.scm 119 */
bool_t BgL_testz00_3194;
{ /* Ast/app.scm 119 */
obj_t BgL_auxz00_3195;
BgL_auxz00_3195 = 
CAR(BgL_oldzd2argszd2_1279); 
BgL_testz00_3194 = 
SYMBOLP(BgL_auxz00_3195); } 
if(BgL_testz00_3194)
{ /* Ast/app.scm 119 */
BgL_testz00_3193 = ((bool_t)1)
; }  else 
{ /* Ast/app.scm 120 */
obj_t BgL_auxz00_3198;
BgL_auxz00_3198 = 
CAR(BgL_oldzd2argszd2_1279); 
BgL_testz00_3193 = 
CNSTP(BgL_auxz00_3198); } } 
if(BgL_testz00_3193)
{ /* Ast/app.scm 119 */
{ /* Ast/app.scm 121 */
obj_t BgL_arg2715z00_1324;obj_t BgL_arg2716z00_1325;
BgL_arg2715z00_1324 = 
CDR(BgL_oldzd2argszd2_1279); 
{ /* Ast/app.scm 122 */
bool_t BgL_test2717z00_1326;
BgL_test2717z00_1326 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_1279); 
if(BgL_test2717z00_1326)
{ /* Ast/app.scm 123 */
obj_t BgL_res2955z00_1998;
{ /* Ast/app.scm 123 */
obj_t BgL_auxz00_3206;obj_t BgL_auxz00_3204;
BgL_auxz00_3206 = 
CER(BgL_oldzd2argszd2_1279); 
BgL_auxz00_3204 = 
CAR(BgL_oldzd2argszd2_1279); 
BgL_res2955z00_1998 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_3204, BgL_newzd2argszd2_1280, BgL_auxz00_3206); } 
BgL_arg2716z00_1325 = BgL_res2955z00_1998; }  else 
{ /* Ast/app.scm 124 */
obj_t BgL_auxz00_3209;
BgL_auxz00_3209 = 
CAR(BgL_oldzd2argszd2_1279); 
BgL_arg2716z00_1325 = 
MAKE_PAIR(BgL_auxz00_3209, BgL_newzd2argszd2_1280); } } 
{ 
obj_t BgL_newzd2argszd2_3213;obj_t BgL_oldzd2argszd2_3212;
BgL_oldzd2argszd2_3212 = BgL_arg2715z00_1324; 
BgL_newzd2argszd2_3213 = BgL_arg2716z00_1325; 
BgL_newzd2argszd2_1280 = BgL_newzd2argszd2_3213; 
BgL_oldzd2argszd2_1279 = BgL_oldzd2argszd2_3212; 
goto BgL_loopz00_1282;} } }  else 
{ /* Ast/app.scm 119 */
{ /* Ast/app.scm 127 */
obj_t BgL_newzd2argzd2_1330;
{ /* Ast/app.scm 127 */
obj_t BgL_arg2730z00_1340;
BgL_arg2730z00_1340 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)8)), BEOA); 
BgL_newzd2argzd2_1330 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2730z00_1340); } 
{ /* Ast/app.scm 128 */
obj_t BgL_arg2721z00_1331;obj_t BgL_arg2722z00_1332;obj_t BgL_arg2723z00_1333;
BgL_arg2721z00_1331 = 
CDR(BgL_oldzd2argszd2_1279); 
{ /* Ast/app.scm 129 */
bool_t BgL_test2724z00_1334;
BgL_test2724z00_1334 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_1279); 
if(BgL_test2724z00_1334)
{ /* Ast/app.scm 130 */
obj_t BgL_res2956z00_2006;
{ /* Ast/app.scm 130 */
obj_t BgL_auxz00_3221;
BgL_auxz00_3221 = 
CER(BgL_oldzd2argszd2_1279); 
BgL_res2956z00_2006 = 
MAKE_EXTENDED_PAIR(BgL_newzd2argzd2_1330, BgL_newzd2argszd2_1280, BgL_auxz00_3221); } 
BgL_arg2722z00_1332 = BgL_res2956z00_2006; }  else 
{ /* Ast/app.scm 129 */
BgL_arg2722z00_1332 = 
MAKE_PAIR(BgL_newzd2argzd2_1330, BgL_newzd2argszd2_1280); } } 
{ /* Ast/app.scm 132 */
obj_t BgL_arg2726z00_1336;
{ /* Ast/app.scm 132 */
obj_t BgL_list2728z00_1338;
{ /* Ast/app.scm 132 */
obj_t BgL_arg2729z00_1339;
{ /* Ast/app.scm 132 */
obj_t BgL_auxz00_3225;
BgL_auxz00_3225 = 
CAR(BgL_oldzd2argszd2_1279); 
BgL_arg2729z00_1339 = 
MAKE_PAIR(BgL_auxz00_3225, BNIL); } 
BgL_list2728z00_1338 = 
MAKE_PAIR(BgL_newzd2argzd2_1330, BgL_arg2729z00_1339); } 
BgL_arg2726z00_1336 = BgL_list2728z00_1338; } 
BgL_arg2723z00_1333 = 
MAKE_PAIR(BgL_arg2726z00_1336, BgL_bindingsz00_1281); } 
{ 
obj_t BgL_bindingsz00_3232;obj_t BgL_newzd2argszd2_3231;obj_t BgL_oldzd2argszd2_3230;
BgL_oldzd2argszd2_3230 = BgL_arg2721z00_1331; 
BgL_newzd2argszd2_3231 = BgL_arg2722z00_1332; 
BgL_bindingsz00_3232 = BgL_arg2723z00_1333; 
BgL_bindingsz00_1281 = BgL_bindingsz00_3232; 
BgL_newzd2argszd2_1280 = BgL_newzd2argszd2_3231; 
BgL_oldzd2argszd2_1279 = BgL_oldzd2argszd2_3230; 
goto BgL_loopz00_1282;} } } } } } } } } } } } } } 
}



/* make-the-app */
obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t BgL_newzd2argszd2_3022, obj_t BgL_bindingsz00_3021, obj_t BgL_funz00_1307)
{ AN_OBJECT;
{ /* Ast/app.scm 101 */
if(
PAIRP(BgL_bindingsz00_3021))
{ /* Ast/app.scm 103 */
obj_t BgL_arg2702z00_1310;obj_t BgL_arg2703z00_1311;
BgL_arg2702z00_1310 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 103 */
obj_t BgL_arg2704z00_1312;obj_t BgL_arg2705z00_1313;
BgL_arg2704z00_1312 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_bindingsz00_3021); 
{ /* Ast/app.scm 104 */
obj_t BgL_arg2706z00_1314;
{ /* Ast/app.scm 104 */
obj_t BgL_arg2708z00_1316;
{ /* Ast/app.scm 104 */
obj_t BgL_arg2709z00_1317;
BgL_arg2709z00_1317 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_3022); 
BgL_arg2708z00_1316 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2709z00_1317, BNIL); } 
BgL_arg2706z00_1314 = 
MAKE_PAIR(BgL_funz00_1307, BgL_arg2708z00_1316); } 
BgL_arg2705z00_1313 = 
MAKE_PAIR(BgL_arg2706z00_1314, BNIL); } 
BgL_arg2703z00_1311 = 
MAKE_PAIR(BgL_arg2704z00_1312, BgL_arg2705z00_1313); } 
return 
MAKE_PAIR(BgL_arg2702z00_1310, BgL_arg2703z00_1311);}  else 
{ /* Ast/app.scm 105 */
obj_t BgL_arg2711z00_1319;
{ /* Ast/app.scm 105 */
obj_t BgL_arg2712z00_1320;
BgL_arg2712z00_1320 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_3022); 
BgL_arg2711z00_1319 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2712z00_1320, BNIL); } 
return 
MAKE_PAIR(BgL_funz00_1307, BgL_arg2711z00_1319);} } 
}



/* _application->node */
obj_t BGl__applicationzd2ze3nodez31zzast_appz00(obj_t BgL_envz00_3011, obj_t BgL_expz00_3012, obj_t BgL_stackz00_3013, obj_t BgL_locz00_3014, obj_t BgL_sitez00_3015)
{ AN_OBJECT;
{ /* Ast/app.scm 66 */
{ /* Ast/app.scm 66 */
BgL_nodez00_bglt BgL_auxz00_3247;
BgL_auxz00_3247 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_3012, BgL_stackz00_3013, BgL_locz00_3014, BgL_sitez00_3015); 
return 
(obj_t)(BgL_auxz00_3247);} } 
}



/* check-user-app */
long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt BgL_funz00_8, obj_t BgL_argsz00_9)
{ AN_OBJECT;
{ /* Ast/app.scm 140 */
{ /* Ast/app.scm 141 */
bool_t BgL_test2760z00_1382;
BgL_test2760z00_1382 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_8), BGl_varz00zzast_nodez00); 
if(BgL_test2760z00_1382)
{ /* Ast/app.scm 147 */
BgL_variablez00_bglt BgL_varz00_1383;
{ /* Ast/app.scm 147 */
BgL_varz00_bglt BgL_obj1619z00_2032;
BgL_obj1619z00_2032 = 
(BgL_varz00_bglt)(BgL_funz00_8); 
BgL_varz00_1383 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2032))->BgL_variablez00); } 
{ /* Ast/app.scm 147 */
BgL_valuez00_bglt BgL_funz00_1384;
BgL_funz00_1384 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1383))->BgL_valuez00); 
{ /* Ast/app.scm 148 */
long BgL_nbzd2argszd2_1385;
BgL_nbzd2argszd2_1385 = 
bgl_list_length(BgL_argsz00_9); 
{ /* Ast/app.scm 149 */
long BgL_arityz00_1386;
{ /* Ast/app.scm 151 */
bool_t BgL_test2768z00_1394;
BgL_test2768z00_1394 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1384), BGl_funz00zzast_varz00); 
if(BgL_test2768z00_1394)
{ /* Ast/app.scm 151 */
{ /* Ast/app.scm 152 */
BgL_funz00_bglt BgL_obj1310z00_2035;
BgL_obj1310z00_2035 = 
(BgL_funz00_bglt)(BgL_funz00_1384); 
BgL_arityz00_1386 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_2035))->BgL_arityz00); } }  else 
{ /* Ast/app.scm 151 */
BgL_arityz00_1386 = ((long)-1); } } 
{ /* Ast/app.scm 150 */

if(
(BgL_arityz00_1386==((long)-1)))
{ /* Ast/app.scm 156 */
return ((long)0);}  else 
{ /* Ast/app.scm 156 */
if(
(BgL_arityz00_1386>=((long)0)))
{ /* Ast/app.scm 158 */
return 
(BgL_arityz00_1386-BgL_nbzd2argszd2_1385);}  else 
{ /* Ast/app.scm 158 */
{ /* Ast/app.scm 161 */
bool_t BgL_testz00_3267;
{ /* Ast/app.scm 161 */
long BgL_auxz00_3268;
{ /* Ast/app.scm 161 */
long BgL_auxz00_3271;long BgL_auxz00_3269;
BgL_auxz00_3271 = 
(BgL_nbzd2argszd2_1385+((long)1)); 
BgL_auxz00_3269 = 
NEG(BgL_arityz00_1386); 
BgL_auxz00_3268 = 
(BgL_auxz00_3269-BgL_auxz00_3271); } 
BgL_testz00_3267 = 
(BgL_auxz00_3268<=((long)0)); } 
if(BgL_testz00_3267)
{ /* Ast/app.scm 161 */
return ((long)0);}  else 
{ /* Ast/app.scm 161 */
return ((long)1);} } } } } } } } }  else 
{ /* Ast/app.scm 141 */
return ((long)0);} } } 
}



/* wrong-number-of-arguments */
BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t BgL_expz00_10, obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_funz00_12, obj_t BgL_argsz00_13)
{ AN_OBJECT;
{ /* Ast/app.scm 168 */
{ /* Ast/app.scm 169 */
BgL_variablez00_bglt BgL_varz00_1395;
{ /* Ast/app.scm 169 */
BgL_varz00_bglt BgL_obj1619z00_2049;
BgL_obj1619z00_2049 = 
(BgL_varz00_bglt)(BgL_funz00_12); 
BgL_varz00_1395 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2049))->BgL_variablez00); } 
{ /* Ast/app.scm 169 */
BgL_valuez00_bglt BgL_funz00_1396;
BgL_funz00_1396 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1395))->BgL_valuez00); 
{ /* Ast/app.scm 171 */
long BgL_arityz00_1398;
{ /* Ast/app.scm 173 */
bool_t BgL_test2786z00_1415;
BgL_test2786z00_1415 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1396), BGl_funz00zzast_varz00); 
if(BgL_test2786z00_1415)
{ /* Ast/app.scm 173 */
{ /* Ast/app.scm 174 */
BgL_funz00_bglt BgL_obj1310z00_2052;
BgL_obj1310z00_2052 = 
(BgL_funz00_bglt)(BgL_funz00_1396); 
BgL_arityz00_1398 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_2052))->BgL_arityz00); } }  else 
{ /* Ast/app.scm 173 */
BgL_arityz00_1398 = ((long)-1); } } 
{ /* Ast/app.scm 172 */
obj_t BgL_expectz00_1399;
if(
(BgL_arityz00_1398>=((long)0)))
{ /* Ast/app.scm 178 */
{ /* Ast/app.scm 179 */
obj_t BgL_auxz00_3285;
{ /* Ast/app.scm 179 */
char * BgL_auxz00_3286;
BgL_auxz00_3286 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
BINT(BgL_arityz00_1398), BNIL); 
BgL_auxz00_3285 = 
string_to_bstring(BgL_auxz00_3286); } 
BgL_expectz00_1399 = 
string_append(BgL_auxz00_3285, BGl_string2996z00zzast_appz00); } }  else 
{ /* Ast/app.scm 178 */
{ /* Ast/app.scm 182 */
obj_t BgL_auxz00_3291;
{ /* Ast/app.scm 182 */
char * BgL_auxz00_3292;
{ /* Ast/app.scm 182 */
obj_t BgL_auxz00_3293;
{ /* Ast/app.scm 182 */
long BgL_auxz00_3294;
{ /* Ast/app.scm 182 */
long BgL_auxz00_3295;
BgL_auxz00_3295 = 
(BgL_arityz00_1398+((long)1)); 
BgL_auxz00_3294 = 
NEG(BgL_auxz00_3295); } 
BgL_auxz00_3293 = 
BINT(BgL_auxz00_3294); } 
BgL_auxz00_3292 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_3293, BNIL); } 
BgL_auxz00_3291 = 
string_to_bstring(BgL_auxz00_3292); } 
BgL_expectz00_1399 = 
string_append(BgL_auxz00_3291, BGl_string2997z00zzast_appz00); } } 
{ /* Ast/app.scm 177 */
obj_t BgL_providez00_1400;
{ /* Ast/app.scm 184 */
obj_t BgL_auxz00_3302;
{ /* Ast/app.scm 184 */
char * BgL_auxz00_3303;
{ /* Ast/app.scm 184 */
obj_t BgL_auxz00_3304;
{ /* Ast/app.scm 184 */
long BgL_auxz00_3305;
BgL_auxz00_3305 = 
bgl_list_length(BgL_argsz00_13); 
BgL_auxz00_3304 = 
BINT(BgL_auxz00_3305); } 
BgL_auxz00_3303 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_3304, BNIL); } 
BgL_auxz00_3302 = 
string_to_bstring(BgL_auxz00_3303); } 
BgL_providez00_1400 = 
string_append(BgL_auxz00_3302, BGl_string2998z00zzast_appz00); } 
{ /* Ast/app.scm 184 */

{ /* Ast/app.scm 186 */
obj_t BgL_arg2770z00_1401;
BgL_arg2770z00_1401 = 
string_append_3(BGl_string2999z00zzast_appz00, BgL_expectz00_1399, BgL_providez00_1400); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_arg2770z00_1401, BgL_expz00_10, BgL_locz00_11);} } } } } } } } 
}



/* make-app-node */
BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t BgL_stackz00_14, obj_t BgL_locz00_15, BgL_varz00_bglt BgL_varz00_16, obj_t BgL_argsz00_17)
{ AN_OBJECT;
{ /* Ast/app.scm 193 */
{ /* Ast/app.scm 194 */
BgL_valuez00_bglt BgL_funz00_1416;
{ /* Ast/app.scm 194 */
BgL_variablez00_bglt BgL_arg2797z00_1433;
BgL_arg2797z00_1433 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_16))->BgL_variablez00); 
BgL_funz00_1416 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2797z00_1433))->BgL_valuez00); } 
{ /* Ast/app.scm 195 */
bool_t BgL_test2787z00_1417;
{ /* Ast/app.scm 195 */
bool_t BgL_test2793z00_1429;
BgL_test2793z00_1429 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1416), BGl_funz00zzast_varz00); 
if(BgL_test2793z00_1429)
{ /* Ast/app.scm 196 */
bool_t BgL_testz00_3318;
{ /* Ast/app.scm 196 */
long BgL_auxz00_3319;
{ /* Ast/app.scm 196 */
BgL_funz00_bglt BgL_obj1310z00_2061;
BgL_obj1310z00_2061 = 
(BgL_funz00_bglt)(BgL_funz00_1416); 
BgL_auxz00_3319 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_2061))->BgL_arityz00); } 
BgL_testz00_3318 = 
(BgL_auxz00_3319>=((long)0)); } 
if(BgL_testz00_3318)
{ /* Ast/app.scm 196 */
BgL_test2787z00_1417 = ((bool_t)1); }  else 
{ /* Ast/app.scm 196 */
BgL_test2787z00_1417 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1416), BGl_cfunz00zzast_varz00); } }  else 
{ /* Ast/app.scm 195 */
BgL_test2787z00_1417 = ((bool_t)1); } } 
if(BgL_test2787z00_1417)
{ /* Ast/app.scm 198 */
obj_t BgL_argsz00_1418;
{ 
obj_t BgL_argsz00_1419;obj_t BgL_resz00_1420;
BgL_argsz00_1419 = BgL_argsz00_17; 
BgL_resz00_1420 = BNIL; 
BgL_loopz00_1421:
if(
NULLP(BgL_argsz00_1419))
{ /* Ast/app.scm 200 */
BgL_argsz00_1418 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1420); }  else 
{ /* Ast/app.scm 202 */
obj_t BgL_az00_1423;obj_t BgL_locz00_1424;
BgL_az00_1423 = 
CAR(BgL_argsz00_1419); 
BgL_locz00_1424 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_argsz00_1419, BgL_locz00_15); 
{ /* Ast/app.scm 204 */
obj_t BgL_arg2789z00_1425;obj_t BgL_arg2790z00_1426;
BgL_arg2789z00_1425 = 
CDR(BgL_argsz00_1419); 
{ /* Ast/app.scm 205 */
BgL_nodez00_bglt BgL_arg2791z00_1427;
BgL_arg2791z00_1427 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_az00_1423, BgL_stackz00_14, BgL_locz00_1424, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 205 */
obj_t BgL_auxz00_3334;
BgL_auxz00_3334 = 
(obj_t)(BgL_arg2791z00_1427); 
BgL_arg2790z00_1426 = 
MAKE_PAIR(BgL_auxz00_3334, BgL_resz00_1420); } } 
{ 
obj_t BgL_resz00_3338;obj_t BgL_argsz00_3337;
BgL_argsz00_3337 = BgL_arg2789z00_1425; 
BgL_resz00_3338 = BgL_arg2790z00_1426; 
BgL_resz00_1420 = BgL_resz00_3338; 
BgL_argsz00_1419 = BgL_argsz00_3337; 
goto BgL_loopz00_1421;} } } } 
{ /* Ast/app.scm 207 */
obj_t BgL_auxz00_3339;
BgL_auxz00_3339 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_15, BgL_varz00_16, BgL_argsz00_1418); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3339);} }  else 
{ /* Ast/app.scm 208 */
long BgL_auxz00_3342;
{ /* Ast/app.scm 208 */
BgL_funz00_bglt BgL_obj1310z00_2068;
BgL_obj1310z00_2068 = 
(BgL_funz00_bglt)(BgL_funz00_1416); 
BgL_auxz00_3342 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_2068))->BgL_arityz00); } 
return 
BGl_makezd2vazd2appzd2nodezd2zzast_appz00(BgL_auxz00_3342, BgL_stackz00_14, BgL_locz00_15, BgL_varz00_16, BgL_argsz00_17);} } } } 
}



/* _make-app-node */
obj_t BGl__makezd2appzd2nodez00zzast_appz00(obj_t BgL_envz00_3016, obj_t BgL_stackz00_3017, obj_t BgL_locz00_3018, obj_t BgL_varz00_3019, obj_t BgL_argsz00_3020)
{ AN_OBJECT;
{ /* Ast/app.scm 193 */
{ /* Ast/app.scm 193 */
BgL_nodez00_bglt BgL_auxz00_3346;
BgL_auxz00_3346 = 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_3017, BgL_locz00_3018, 
(BgL_varz00_bglt)(BgL_varz00_3019), BgL_argsz00_3020); 
return 
(obj_t)(BgL_auxz00_3346);} } 
}



/* make-fx-app-node */
obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_18, BgL_varz00_bglt BgL_varz00_19, obj_t BgL_argsz00_20)
{ AN_OBJECT;
{ /* Ast/app.scm 219 */
{ /* Ast/app.scm 220 */
BgL_variablez00_bglt BgL_vz00_1434;
BgL_vz00_1434 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 222 */
bool_t BgL_test2798z00_1435;
{ /* Ast/app.scm 222 */
bool_t BgL_test2821z00_1460;
{ /* Ast/app.scm 222 */
obj_t BgL_auxz00_3351;
{ /* Ast/app.scm 222 */
BgL_valuez00_bglt BgL_auxz00_3352;
BgL_auxz00_3352 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1434))->BgL_valuez00); 
BgL_auxz00_3351 = 
(obj_t)(BgL_auxz00_3352); } 
BgL_test2821z00_1460 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3351, BGl_cfunz00zzast_varz00); } 
if(BgL_test2821z00_1460)
{ /* Ast/app.scm 222 */
obj_t BgL_auxz00_3357;
{ /* Ast/app.scm 222 */
obj_t BgL_auxz00_3358;
{ /* Ast/app.scm 222 */
BgL_globalz00_bglt BgL_obj1148z00_2075;
BgL_obj1148z00_2075 = 
(BgL_globalz00_bglt)(BgL_vz00_1434); 
BgL_auxz00_3358 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2075))->BgL_idz00); } 
BgL_auxz00_3357 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3358, 
CNST_TABLE_REF(((long)9))); } 
BgL_test2798z00_1435 = 
CBOOL(BgL_auxz00_3357); }  else 
{ /* Ast/app.scm 222 */
BgL_test2798z00_1435 = ((bool_t)0); } } 
if(BgL_test2798z00_1435)
{ /* Ast/app.scm 222 */
return 
BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(BgL_locz00_18, BgL_varz00_19, BgL_argsz00_20);}  else 
{ /* Ast/app.scm 226 */
bool_t BgL_test2799z00_1436;
{ /* Ast/app.scm 226 */
obj_t BgL_auxz00_3366;
{ /* Ast/app.scm 226 */
BgL_valuez00_bglt BgL_auxz00_3367;
BgL_auxz00_3367 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1434))->BgL_valuez00); 
BgL_auxz00_3366 = 
(obj_t)(BgL_auxz00_3367); } 
BgL_test2799z00_1436 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3366, BGl_funz00zzast_varz00); } 
if(BgL_test2799z00_1436)
{ /* Ast/app.scm 226 */
{ /* Ast/app.scm 229 */
obj_t BgL_arg2800z00_1437;BgL_typez00_bglt BgL_arg2801z00_1438;BgL_varz00_bglt BgL_arg2805z00_1440;obj_t BgL_arg2806z00_1441;
BgL_arg2800z00_1437 = BgL_locz00_18; 
BgL_arg2801z00_1438 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1434))->BgL_typez00); 
{ /* Ast/app.scm 231 */
bool_t BgL_test2807z00_1442;
BgL_test2807z00_1442 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_19), BGl_closurez00zzast_nodez00); 
if(BgL_test2807z00_1442)
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_new2659z00_1444;
{ /* Ast/app.scm 232 */
obj_t BgL_arg2808z00_1445;BgL_typez00_bglt BgL_arg2809z00_1446;BgL_variablez00_bglt BgL_arg2810z00_1447;
BgL_arg2808z00_1445 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_locz00); 
BgL_arg2809z00_1446 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_typez00); 
BgL_arg2810z00_1447 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_res2960z00_2101;
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_new1633z00_2086;
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_res2958z00_2092;
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_new1635z00_2087;
BgL_new1635z00_2087 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/app.scm 232 */
long BgL_arg2939z00_2088;
BgL_arg2939z00_2088 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/app.scm 232 */
BgL_objectz00_bglt BgL_auxz00_3381;
BgL_auxz00_3381 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2087); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3381, BgL_arg2939z00_2088); } } 
{ /* Ast/app.scm 232 */
BgL_objectz00_bglt BgL_auxz00_3384;
BgL_auxz00_3384 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2087); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3384, BFALSE); } 
{ /* Ast/app.scm 232 */
obj_t BgL_auxz00_3387;
BgL_auxz00_3387 = 
(obj_t)(BgL_new1635z00_2087); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3387); } BUNSPEC; 
BgL_res2958z00_2092 = BgL_new1635z00_2087; } 
BgL_new1633z00_2086 = BgL_res2958z00_2092; } 
{ /* Ast/app.scm 232 */
BgL_varz00_bglt BgL_res2959z00_2100;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2086))->BgL_locz00) = ((obj_t)BgL_arg2808z00_1445), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2086))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2809z00_1446), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2086))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg2810z00_1447), BUNSPEC); 
BgL_res2959z00_2100 = BgL_new1633z00_2086; BgL_res2959z00_2100; } 
BgL_res2960z00_2101 = BgL_new1633z00_2086; } 
BgL_new2659z00_1444 = BgL_res2960z00_2101; } } 
{ /* Ast/app.scm 232 */

BgL_arg2805z00_1440 = BgL_new2659z00_1444; } }  else 
{ /* Ast/app.scm 231 */
BgL_arg2805z00_1440 = BgL_varz00_19; } } 
BgL_arg2806z00_1441 = BgL_argsz00_20; 
{ /* Ast/app.scm 228 */
BgL_appz00_bglt BgL_res2963z00_2129;
{ /* Ast/app.scm 228 */
obj_t BgL_key1745z00_2105;
BgL_key1745z00_2105 = 
BINT(((long)-1)); 
{ /* Ast/app.scm 228 */
BgL_appz00_bglt BgL_new1748z00_2108;
{ /* Ast/app.scm 228 */
BgL_appz00_bglt BgL_res2961z00_2114;
{ /* Ast/app.scm 228 */
BgL_appz00_bglt BgL_new1750z00_2109;
BgL_new1750z00_2109 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/app.scm 228 */
long BgL_arg2935z00_2110;
BgL_arg2935z00_2110 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/app.scm 228 */
BgL_objectz00_bglt BgL_auxz00_3396;
BgL_auxz00_3396 = 
(BgL_objectz00_bglt)(BgL_new1750z00_2109); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3396, BgL_arg2935z00_2110); } } 
{ /* Ast/app.scm 228 */
BgL_objectz00_bglt BgL_auxz00_3399;
BgL_auxz00_3399 = 
(BgL_objectz00_bglt)(BgL_new1750z00_2109); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3399, BFALSE); } 
{ /* Ast/app.scm 228 */
obj_t BgL_auxz00_3402;
BgL_auxz00_3402 = 
(obj_t)(BgL_new1750z00_2109); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3402); } BUNSPEC; 
BgL_res2961z00_2114 = BgL_new1750z00_2109; } 
BgL_new1748z00_2108 = BgL_res2961z00_2114; } 
{ /* Ast/app.scm 228 */
BgL_appz00_bglt BgL_res2962z00_2128;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_locz00) = ((obj_t)BgL_arg2800z00_1437), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2801z00_1438), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_keyz00) = ((obj_t)BgL_key1745z00_2105), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2805z00_1440), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2108))->BgL_argsz00) = ((obj_t)BgL_arg2806z00_1441), BUNSPEC); 
BgL_res2962z00_2128 = BgL_new1748z00_2108; BgL_res2962z00_2128; } 
BgL_res2963z00_2129 = BgL_new1748z00_2108; } } 
return 
(obj_t)(BgL_res2963z00_2129);} } }  else 
{ /* Ast/app.scm 226 */
{ /* Ast/app.scm 238 */
obj_t BgL_arg2811z00_1448;obj_t BgL_arg2812z00_1449;BgL_varz00_bglt BgL_arg2813z00_1450;obj_t BgL_arg2814z00_1451;obj_t BgL_arg2815z00_1452;
BgL_arg2811z00_1448 = BgL_locz00_18; 
BgL_arg2812z00_1449 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2813z00_1450 = BgL_varz00_19; 
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_arg2816z00_1453;
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_new2662z00_1455;
{ /* Ast/app.scm 241 */
obj_t BgL_arg2817z00_1456;BgL_typez00_bglt BgL_arg2818z00_1457;BgL_variablez00_bglt BgL_arg2819z00_1458;
BgL_arg2817z00_1456 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_locz00); 
BgL_arg2818z00_1457 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_typez00); 
BgL_arg2819z00_1458 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_res2966z00_2151;
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_new1633z00_2136;
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_res2964z00_2142;
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_new1635z00_2137;
BgL_new1635z00_2137 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/app.scm 241 */
long BgL_arg2939z00_2138;
BgL_arg2939z00_2138 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/app.scm 241 */
BgL_objectz00_bglt BgL_auxz00_3417;
BgL_auxz00_3417 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2137); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3417, BgL_arg2939z00_2138); } } 
{ /* Ast/app.scm 241 */
BgL_objectz00_bglt BgL_auxz00_3420;
BgL_auxz00_3420 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2137); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3420, BFALSE); } 
{ /* Ast/app.scm 241 */
obj_t BgL_auxz00_3423;
BgL_auxz00_3423 = 
(obj_t)(BgL_new1635z00_2137); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3423); } BUNSPEC; 
BgL_res2964z00_2142 = BgL_new1635z00_2137; } 
BgL_new1633z00_2136 = BgL_res2964z00_2142; } 
{ /* Ast/app.scm 241 */
BgL_varz00_bglt BgL_res2965z00_2150;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2136))->BgL_locz00) = ((obj_t)BgL_arg2817z00_1456), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2136))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2818z00_1457), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2136))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg2819z00_1458), BUNSPEC); 
BgL_res2965z00_2150 = BgL_new1633z00_2136; BgL_res2965z00_2150; } 
BgL_res2966z00_2151 = BgL_new1633z00_2136; } 
BgL_new2662z00_1455 = BgL_res2966z00_2151; } } 
{ /* Ast/app.scm 241 */

BgL_arg2816z00_1453 = BgL_new2662z00_1455; } } 
{ /* Ast/app.scm 241 */
obj_t BgL_auxz00_3429;
BgL_auxz00_3429 = 
(obj_t)(BgL_arg2816z00_1453); 
BgL_arg2814z00_1451 = 
MAKE_PAIR(BgL_auxz00_3429, BgL_argsz00_20); } } 
BgL_arg2815z00_1452 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/app.scm 237 */
BgL_funcallz00_bglt BgL_res2969z00_2176;
{ /* Ast/app.scm 237 */
BgL_typez00_bglt BgL_type1807z00_2153;BgL_nodez00_bglt BgL_fun1808z00_2154;
BgL_type1807z00_2153 = 
(BgL_typez00_bglt)(BgL_arg2812z00_1449); 
BgL_fun1808z00_2154 = 
(BgL_nodez00_bglt)(BgL_arg2813z00_1450); 
{ /* Ast/app.scm 237 */
BgL_funcallz00_bglt BgL_new1811z00_2157;
{ /* Ast/app.scm 237 */
BgL_funcallz00_bglt BgL_res2967z00_2163;
{ /* Ast/app.scm 237 */
BgL_funcallz00_bglt BgL_new1813z00_2158;
BgL_new1813z00_2158 = 
((BgL_funcallz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funcallz00_bgl) ))); 
{ /* Ast/app.scm 237 */
long BgL_arg2933z00_2159;
BgL_arg2933z00_2159 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallz00zzast_nodez00); 
{ /* Ast/app.scm 237 */
BgL_objectz00_bglt BgL_auxz00_3437;
BgL_auxz00_3437 = 
(BgL_objectz00_bglt)(BgL_new1813z00_2158); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3437, BgL_arg2933z00_2159); } } 
{ /* Ast/app.scm 237 */
BgL_objectz00_bglt BgL_auxz00_3440;
BgL_auxz00_3440 = 
(BgL_objectz00_bglt)(BgL_new1813z00_2158); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3440, BFALSE); } 
{ /* Ast/app.scm 237 */
obj_t BgL_auxz00_3443;
BgL_auxz00_3443 = 
(obj_t)(BgL_new1813z00_2158); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3443); } BUNSPEC; 
BgL_res2967z00_2163 = BgL_new1813z00_2158; } 
BgL_new1811z00_2157 = BgL_res2967z00_2163; } 
{ /* Ast/app.scm 237 */
BgL_funcallz00_bglt BgL_res2968z00_2175;
((((BgL_funcallz00_bglt)CREF(BgL_new1811z00_2157))->BgL_locz00) = ((obj_t)BgL_arg2811z00_1448), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1811z00_2157))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1807z00_2153), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1811z00_2157))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1808z00_2154), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1811z00_2157))->BgL_argsz00) = ((obj_t)BgL_arg2814z00_1451), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1811z00_2157))->BgL_strengthz00) = ((obj_t)BgL_arg2815z00_1452), BUNSPEC); 
BgL_res2968z00_2175 = BgL_new1811z00_2157; BgL_res2968z00_2175; } 
BgL_res2969z00_2176 = BgL_new1811z00_2157; } } 
return 
(obj_t)(BgL_res2969z00_2176);} } } } } } } 
}



/* make-va-app-node */
BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long BgL_arityz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23, BgL_varz00_bglt BgL_varz00_24, obj_t BgL_argsz00_25)
{ AN_OBJECT;
{ /* Ast/app.scm 246 */
{ 
obj_t BgL_oldzd2argszd2_1463;long BgL_arityz00_1464;obj_t BgL_fzd2argszd2_1465;
BgL_oldzd2argszd2_1463 = BgL_argsz00_25; 
BgL_arityz00_1464 = BgL_arityz00_21; 
BgL_fzd2argszd2_1465 = BNIL; 
BgL_loopz00_1466:
if(
(BgL_arityz00_1464==((long)-1)))
{ /* Ast/app.scm 255 */
obj_t BgL_lzd2argzd2_1468;
{ /* Ast/app.scm 255 */
obj_t BgL_arg2835z00_1484;
BgL_arg2835z00_1484 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)11)), BEOA); 
BgL_lzd2argzd2_1468 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2835z00_1484); } 
{ /* Ast/app.scm 255 */
obj_t BgL_lzd2expzd2_1469;
{ /* Ast/app.scm 256 */
obj_t BgL_arg2826z00_1475;obj_t BgL_arg2827z00_1476;
BgL_arg2826z00_1475 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 256 */
obj_t BgL_arg2828z00_1477;obj_t BgL_arg2829z00_1478;
{ /* Ast/app.scm 256 */
obj_t BgL_arg2830z00_1479;
{ /* Ast/app.scm 256 */
obj_t BgL_arg2832z00_1481;
{ /* Ast/app.scm 256 */
obj_t BgL_arg2833z00_1482;
BgL_arg2833z00_1482 = 
BGl_makezd2argszd2listz00zzast_appz00(BgL_oldzd2argszd2_1463); 
BgL_arg2832z00_1481 = 
MAKE_PAIR(BgL_arg2833z00_1482, BNIL); } 
BgL_arg2830z00_1479 = 
MAKE_PAIR(BgL_lzd2argzd2_1468, BgL_arg2832z00_1481); } 
BgL_arg2828z00_1477 = 
MAKE_PAIR(BgL_arg2830z00_1479, BNIL); } 
BgL_arg2829z00_1478 = 
MAKE_PAIR(BgL_lzd2argzd2_1468, BNIL); 
BgL_arg2827z00_1476 = 
MAKE_PAIR(BgL_arg2828z00_1477, BgL_arg2829z00_1478); } 
BgL_lzd2expzd2_1469 = 
MAKE_PAIR(BgL_arg2826z00_1475, BgL_arg2827z00_1476); } 
{ /* Ast/app.scm 256 */
BgL_nodez00_bglt BgL_lzd2nodezd2_1470;
BgL_lzd2nodezd2_1470 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lzd2expzd2_1469, BgL_stackz00_22, BgL_locz00_23, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 259 */
obj_t BgL_appz00_1472;
{ /* Ast/app.scm 262 */
obj_t BgL_arg2824z00_1473;
{ /* Ast/app.scm 262 */
obj_t BgL_arg2825z00_1474;
{ /* Ast/app.scm 262 */
obj_t BgL_auxz00_3468;
{ /* Ast/app.scm 262 */
BgL_nodez00_bglt BgL_auxz00_3469;
{ /* Ast/app.scm 259 */
BgL_letzd2varzd2_bglt BgL_obj2469z00_2179;
BgL_obj2469z00_2179 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1470); 
BgL_auxz00_3469 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2469z00_2179))->BgL_bodyz00); } 
BgL_auxz00_3468 = 
(obj_t)(BgL_auxz00_3469); } 
BgL_arg2825z00_1474 = 
MAKE_PAIR(BgL_auxz00_3468, BgL_fzd2argszd2_1465); } 
BgL_arg2824z00_1473 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg2825z00_1474); } 
BgL_appz00_1472 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_23, BgL_varz00_24, BgL_arg2824z00_1473); } 
{ /* Ast/app.scm 260 */

{ /* Ast/app.scm 263 */
BgL_letzd2varzd2_bglt BgL_obj2471z00_2180;BgL_nodez00_bglt BgL_val2470z00_2181;
BgL_obj2471z00_2180 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1470); 
BgL_val2470z00_2181 = 
(BgL_nodez00_bglt)(BgL_appz00_1472); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj2471z00_2180))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_2181), BUNSPEC); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_lzd2nodezd2_1470);} } } } }  else 
{ /* Ast/app.scm 265 */
obj_t BgL_arg2836z00_1485;long BgL_arg2837z00_1486;obj_t BgL_arg2838z00_1487;
BgL_arg2836z00_1485 = 
CDR(BgL_oldzd2argszd2_1463); 
BgL_arg2837z00_1486 = 
(BgL_arityz00_1464+((long)1)); 
{ /* Ast/app.scm 267 */
BgL_nodez00_bglt BgL_arg2839z00_1488;
BgL_arg2839z00_1488 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_oldzd2argszd2_1463), BgL_stackz00_22, BgL_locz00_23, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 267 */
obj_t BgL_auxz00_3485;
BgL_auxz00_3485 = 
(obj_t)(BgL_arg2839z00_1488); 
BgL_arg2838z00_1487 = 
MAKE_PAIR(BgL_auxz00_3485, BgL_fzd2argszd2_1465); } } 
{ 
obj_t BgL_fzd2argszd2_3490;long BgL_arityz00_3489;obj_t BgL_oldzd2argszd2_3488;
BgL_oldzd2argszd2_3488 = BgL_arg2836z00_1485; 
BgL_arityz00_3489 = BgL_arg2837z00_1486; 
BgL_fzd2argszd2_3490 = BgL_arg2838z00_1487; 
BgL_fzd2argszd2_1465 = BgL_fzd2argszd2_3490; 
BgL_arityz00_1464 = BgL_arityz00_3489; 
BgL_oldzd2argszd2_1463 = BgL_oldzd2argszd2_3488; 
goto BgL_loopz00_1466;} } } } 
}



/* make-args-list */
obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t BgL_argsz00_1491)
{ AN_OBJECT;
{ /* Ast/app.scm 250 */
if(
NULLP(BgL_argsz00_1491))
{ /* Ast/app.scm 248 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Ast/app.scm 250 */
obj_t BgL_arg2844z00_1494;obj_t BgL_arg2845z00_1495;
{ /* Ast/app.scm 250 */
obj_t BgL_arg2846z00_1496;obj_t BgL_arg2847z00_1497;
BgL_arg2846z00_1496 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/app.scm 250 */
obj_t BgL_arg2848z00_1498;obj_t BgL_arg2850z00_1499;
BgL_arg2848z00_1498 = 
CNST_TABLE_REF(((long)12)); 
{ /* Ast/app.scm 250 */
obj_t BgL_auxz00_3496;
BgL_auxz00_3496 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2850z00_1499 = 
MAKE_PAIR(BgL_auxz00_3496, BNIL); } 
BgL_arg2847z00_1497 = 
MAKE_PAIR(BgL_arg2848z00_1498, BgL_arg2850z00_1499); } 
BgL_arg2844z00_1494 = 
MAKE_PAIR(BgL_arg2846z00_1496, BgL_arg2847z00_1497); } 
{ /* Ast/app.scm 250 */
obj_t BgL_arg2851z00_1500;obj_t BgL_arg2852z00_1501;
BgL_arg2851z00_1500 = 
CAR(BgL_argsz00_1491); 
{ /* Ast/app.scm 250 */
obj_t BgL_arg2853z00_1502;
BgL_arg2853z00_1502 = 
BGl_makezd2argszd2listz00zzast_appz00(
CDR(BgL_argsz00_1491)); 
BgL_arg2852z00_1501 = 
MAKE_PAIR(BgL_arg2853z00_1502, BNIL); } 
BgL_arg2845z00_1495 = 
MAKE_PAIR(BgL_arg2851z00_1500, BgL_arg2852z00_1501); } 
return 
MAKE_PAIR(BgL_arg2844z00_1494, BgL_arg2845z00_1495);} } 
}



/* make-special-app-node */
obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_27, BgL_varz00_bglt BgL_variablez00_28, obj_t BgL_argsz00_29)
{ AN_OBJECT;
{ /* Ast/app.scm 285 */
{ /* Ast/app.scm 286 */
BgL_variablez00_bglt BgL_varz00_1508;
BgL_varz00_1508 = 
(((BgL_varz00_bglt)CREF(BgL_variablez00_28))->BgL_variablez00); 
{ /* Ast/app.scm 286 */
obj_t BgL_gnamez00_1509;
{ /* Ast/app.scm 287 */
BgL_globalz00_bglt BgL_obj1149z00_2193;
BgL_obj1149z00_2193 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_gnamez00_1509 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2193))->BgL_namez00); } 
{ /* Ast/app.scm 287 */

{ /* Ast/app.scm 288 */
obj_t BgL_casezd2valuezd2_1510;
{ /* Ast/app.scm 288 */
BgL_globalz00_bglt BgL_obj1148z00_2194;
BgL_obj1148z00_2194 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_casezd2valuezd2_1510 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2194))->BgL_idz00); } 
{ /* Ast/app.scm 288 */
bool_t BgL_testz00_3512;
{ /* Ast/app.scm 288 */
obj_t BgL_auxz00_3513;
BgL_auxz00_3513 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1510, 
CNST_TABLE_REF(((long)14))); 
BgL_testz00_3512 = 
CBOOL(BgL_auxz00_3513); } 
if(BgL_testz00_3512)
{ /* Ast/app.scm 291 */
obj_t BgL_arg2859z00_1512;BgL_typez00_bglt BgL_arg2860z00_1513;obj_t BgL_arg2862z00_1515;obj_t BgL_arg2863z00_1516;obj_t BgL_arg2864z00_1517;
BgL_arg2859z00_1512 = BgL_locz00_27; 
{ /* Ast/app.scm 292 */
BgL_globalz00_bglt BgL_obj1152z00_2195;
BgL_obj1152z00_2195 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_arg2860z00_1513 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2195))->BgL_typez00); } 
BgL_arg2862z00_1515 = BgL_argsz00_29; 
BgL_arg2863z00_1516 = 
string_append(BgL_gnamez00_1509, BGl_string3000z00zzast_appz00); 
{ /* Ast/app.scm 295 */
obj_t BgL_auxz00_3520;
{ /* Ast/app.scm 295 */
BgL_cfunz00_bglt BgL_obj1443z00_2197;
{ /* Ast/app.scm 295 */
BgL_valuez00_bglt BgL_auxz00_3521;
{ /* Ast/app.scm 295 */
BgL_globalz00_bglt BgL_obj1155z00_2196;
BgL_obj1155z00_2196 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3521 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2196))->BgL_valuez00); } 
BgL_obj1443z00_2197 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3521); } 
BgL_auxz00_3520 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2197))->BgL_argszd2typezd2); } 
BgL_arg2864z00_1517 = 
CAR(BgL_auxz00_3520); } 
{ /* Ast/app.scm 290 */
BgL_vlengthz00_bglt BgL_res2972z00_2229;
{ /* Ast/app.scm 290 */
obj_t BgL_key2198z00_2202;BgL_typez00_bglt BgL_vtype2201z00_2205;
BgL_key2198z00_2202 = 
BINT(((long)-1)); 
BgL_vtype2201z00_2205 = 
(BgL_typez00_bglt)(BgL_arg2864z00_1517); 
{ /* Ast/app.scm 290 */
BgL_vlengthz00_bglt BgL_new2202z00_2206;
{ /* Ast/app.scm 290 */
BgL_vlengthz00_bglt BgL_res2970z00_2212;
{ /* Ast/app.scm 290 */
BgL_vlengthz00_bglt BgL_new2204z00_2207;
BgL_new2204z00_2207 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* Ast/app.scm 290 */
long BgL_arg2924z00_2208;
BgL_arg2924z00_2208 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* Ast/app.scm 290 */
BgL_objectz00_bglt BgL_auxz00_3531;
BgL_auxz00_3531 = 
(BgL_objectz00_bglt)(BgL_new2204z00_2207); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3531, BgL_arg2924z00_2208); } } 
{ /* Ast/app.scm 290 */
BgL_objectz00_bglt BgL_auxz00_3534;
BgL_auxz00_3534 = 
(BgL_objectz00_bglt)(BgL_new2204z00_2207); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3534, BFALSE); } 
{ /* Ast/app.scm 290 */
obj_t BgL_auxz00_3537;
BgL_auxz00_3537 = 
(obj_t)(BgL_new2204z00_2207); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3537); } BUNSPEC; 
BgL_res2970z00_2212 = BgL_new2204z00_2207; } 
BgL_new2202z00_2206 = BgL_res2970z00_2212; } 
{ /* Ast/app.scm 290 */
BgL_vlengthz00_bglt BgL_res2971z00_2228;
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_locz00) = ((obj_t)BgL_arg2859z00_1512), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2860z00_1513), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_keyz00) = ((obj_t)BgL_key2198z00_2202), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_exprza2za2) = ((obj_t)BgL_arg2862z00_1515), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_czd2formatzd2) = ((obj_t)BgL_arg2863z00_1516), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2202z00_2206))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2201z00_2205), BUNSPEC); 
BgL_res2971z00_2228 = BgL_new2202z00_2206; BgL_res2971z00_2228; } 
BgL_res2972z00_2229 = BgL_new2202z00_2206; } } 
return 
(obj_t)(BgL_res2972z00_2229);} }  else 
{ /* Ast/app.scm 288 */
bool_t BgL_testz00_3548;
{ /* Ast/app.scm 288 */
obj_t BgL_auxz00_3549;
BgL_auxz00_3549 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1510, 
CNST_TABLE_REF(((long)15))); 
BgL_testz00_3548 = 
CBOOL(BgL_auxz00_3549); } 
if(BgL_testz00_3548)
{ /* Ast/app.scm 298 */
obj_t BgL_arg2868z00_1521;BgL_typez00_bglt BgL_arg2869z00_1522;obj_t BgL_arg2871z00_1524;obj_t BgL_arg2872z00_1525;BgL_typez00_bglt BgL_arg2873z00_1526;obj_t BgL_arg2874z00_1527;obj_t BgL_arg2875z00_1528;
BgL_arg2868z00_1521 = BgL_locz00_27; 
{ /* Ast/app.scm 299 */
BgL_globalz00_bglt BgL_obj1152z00_2230;
BgL_obj1152z00_2230 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_arg2869z00_1522 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2230))->BgL_typez00); } 
BgL_arg2871z00_1524 = BgL_argsz00_29; 
BgL_arg2872z00_1525 = 
string_append(BgL_gnamez00_1509, BGl_string3001z00zzast_appz00); 
{ /* Ast/app.scm 303 */
BgL_globalz00_bglt BgL_obj1152z00_2231;
BgL_obj1152z00_2231 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_arg2873z00_1526 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2231))->BgL_typez00); } 
{ /* Ast/app.scm 304 */
obj_t BgL_auxz00_3558;
{ /* Ast/app.scm 304 */
obj_t BgL_auxz00_3559;
{ /* Ast/app.scm 304 */
BgL_cfunz00_bglt BgL_obj1443z00_2233;
{ /* Ast/app.scm 304 */
BgL_valuez00_bglt BgL_auxz00_3560;
{ /* Ast/app.scm 304 */
BgL_globalz00_bglt BgL_obj1155z00_2232;
BgL_obj1155z00_2232 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3560 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2232))->BgL_valuez00); } 
BgL_obj1443z00_2233 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3560); } 
BgL_auxz00_3559 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2233))->BgL_argszd2typezd2); } 
BgL_auxz00_3558 = 
CDR(BgL_auxz00_3559); } 
BgL_arg2874z00_1527 = 
CAR(BgL_auxz00_3558); } 
{ /* Ast/app.scm 302 */
obj_t BgL_auxz00_3567;
{ /* Ast/app.scm 302 */
BgL_cfunz00_bglt BgL_obj1443z00_2239;
{ /* Ast/app.scm 302 */
BgL_valuez00_bglt BgL_auxz00_3568;
{ /* Ast/app.scm 302 */
BgL_globalz00_bglt BgL_obj1155z00_2238;
BgL_obj1155z00_2238 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3568 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2238))->BgL_valuez00); } 
BgL_obj1443z00_2239 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3568); } 
BgL_auxz00_3567 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2239))->BgL_argszd2typezd2); } 
BgL_arg2875z00_1528 = 
CAR(BgL_auxz00_3567); } 
{ /* Ast/app.scm 297 */
BgL_vrefz00_bglt BgL_res2975z00_2277;
{ /* Ast/app.scm 297 */
obj_t BgL_key2102z00_2244;BgL_typez00_bglt BgL_otype2106z00_2248;BgL_typez00_bglt BgL_vtype2107z00_2249;
BgL_key2102z00_2244 = 
BINT(((long)-1)); 
BgL_otype2106z00_2248 = 
(BgL_typez00_bglt)(BgL_arg2874z00_1527); 
BgL_vtype2107z00_2249 = 
(BgL_typez00_bglt)(BgL_arg2875z00_1528); 
{ /* Ast/app.scm 297 */
BgL_vrefz00_bglt BgL_new2108z00_2250;
{ /* Ast/app.scm 297 */
BgL_vrefz00_bglt BgL_res2973z00_2256;
{ /* Ast/app.scm 297 */
BgL_vrefz00_bglt BgL_new2110z00_2251;
BgL_new2110z00_2251 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* Ast/app.scm 297 */
long BgL_arg2926z00_2252;
BgL_arg2926z00_2252 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* Ast/app.scm 297 */
BgL_objectz00_bglt BgL_auxz00_3579;
BgL_auxz00_3579 = 
(BgL_objectz00_bglt)(BgL_new2110z00_2251); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3579, BgL_arg2926z00_2252); } } 
{ /* Ast/app.scm 297 */
BgL_objectz00_bglt BgL_auxz00_3582;
BgL_auxz00_3582 = 
(BgL_objectz00_bglt)(BgL_new2110z00_2251); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3582, BFALSE); } 
{ /* Ast/app.scm 297 */
obj_t BgL_auxz00_3585;
BgL_auxz00_3585 = 
(obj_t)(BgL_new2110z00_2251); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3585); } BUNSPEC; 
BgL_res2973z00_2256 = BgL_new2110z00_2251; } 
BgL_new2108z00_2250 = BgL_res2973z00_2256; } 
{ /* Ast/app.scm 297 */
BgL_vrefz00_bglt BgL_res2974z00_2276;
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_locz00) = ((obj_t)BgL_arg2868z00_1521), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2869z00_1522), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_keyz00) = ((obj_t)BgL_key2102z00_2244), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_exprza2za2) = ((obj_t)BgL_arg2871z00_1524), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_czd2formatzd2) = ((obj_t)BgL_arg2872z00_1525), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg2873z00_1526), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2106z00_2248), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2108z00_2250))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2107z00_2249), BUNSPEC); 
BgL_res2974z00_2276 = BgL_new2108z00_2250; BgL_res2974z00_2276; } 
BgL_res2975z00_2277 = BgL_new2108z00_2250; } } 
return 
(obj_t)(BgL_res2975z00_2277);} }  else 
{ /* Ast/app.scm 288 */
bool_t BgL_testz00_3598;
{ /* Ast/app.scm 288 */
obj_t BgL_auxz00_3599;
BgL_auxz00_3599 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1510, 
CNST_TABLE_REF(((long)16))); 
BgL_testz00_3598 = 
CBOOL(BgL_auxz00_3599); } 
if(BgL_testz00_3598)
{ /* Ast/app.scm 307 */
obj_t BgL_arg2881z00_1534;BgL_typez00_bglt BgL_arg2882z00_1535;obj_t BgL_arg2884z00_1537;obj_t BgL_arg2885z00_1538;obj_t BgL_arg2886z00_1539;obj_t BgL_arg2887z00_1540;obj_t BgL_arg2888z00_1541;
BgL_arg2881z00_1534 = BgL_locz00_27; 
{ /* Ast/app.scm 308 */
BgL_globalz00_bglt BgL_obj1152z00_2278;
BgL_obj1152z00_2278 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_arg2882z00_1535 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2278))->BgL_typez00); } 
BgL_arg2884z00_1537 = BgL_argsz00_29; 
BgL_arg2885z00_1538 = 
string_append(BgL_gnamez00_1509, BGl_string3002z00zzast_appz00); 
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3606;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3607;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3608;
{ /* Ast/app.scm 313 */
BgL_cfunz00_bglt BgL_obj1443z00_2280;
{ /* Ast/app.scm 313 */
BgL_valuez00_bglt BgL_auxz00_3609;
{ /* Ast/app.scm 313 */
BgL_globalz00_bglt BgL_obj1155z00_2279;
BgL_obj1155z00_2279 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3609 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2279))->BgL_valuez00); } 
BgL_obj1443z00_2280 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3609); } 
BgL_auxz00_3608 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2280))->BgL_argszd2typezd2); } 
BgL_auxz00_3607 = 
CDR(BgL_auxz00_3608); } 
BgL_auxz00_3606 = 
CDR(BgL_auxz00_3607); } 
BgL_arg2886z00_1539 = 
CAR(BgL_auxz00_3606); } 
{ /* Ast/app.scm 312 */
obj_t BgL_auxz00_3617;
{ /* Ast/app.scm 312 */
obj_t BgL_auxz00_3618;
{ /* Ast/app.scm 312 */
BgL_cfunz00_bglt BgL_obj1443z00_2288;
{ /* Ast/app.scm 312 */
BgL_valuez00_bglt BgL_auxz00_3619;
{ /* Ast/app.scm 312 */
BgL_globalz00_bglt BgL_obj1155z00_2287;
BgL_obj1155z00_2287 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3619 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2287))->BgL_valuez00); } 
BgL_obj1443z00_2288 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3619); } 
BgL_auxz00_3618 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2288))->BgL_argszd2typezd2); } 
BgL_auxz00_3617 = 
CDR(BgL_auxz00_3618); } 
BgL_arg2887z00_1540 = 
CAR(BgL_auxz00_3617); } 
{ /* Ast/app.scm 311 */
obj_t BgL_auxz00_3626;
{ /* Ast/app.scm 311 */
BgL_cfunz00_bglt BgL_obj1443z00_2294;
{ /* Ast/app.scm 311 */
BgL_valuez00_bglt BgL_auxz00_3627;
{ /* Ast/app.scm 311 */
BgL_globalz00_bglt BgL_obj1155z00_2293;
BgL_obj1155z00_2293 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3627 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2293))->BgL_valuez00); } 
BgL_obj1443z00_2294 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3627); } 
BgL_auxz00_3626 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2294))->BgL_argszd2typezd2); } 
BgL_arg2888z00_1541 = 
CAR(BgL_auxz00_3626); } 
{ /* Ast/app.scm 306 */
BgL_vsetz12z12_bglt BgL_res2978z00_2332;
{ /* Ast/app.scm 306 */
obj_t BgL_key2154z00_2299;BgL_typez00_bglt BgL_ftype2157z00_2302;BgL_typez00_bglt BgL_otype2158z00_2303;BgL_typez00_bglt BgL_vtype2159z00_2304;
BgL_key2154z00_2299 = 
BINT(((long)-1)); 
BgL_ftype2157z00_2302 = 
(BgL_typez00_bglt)(BgL_arg2886z00_1539); 
BgL_otype2158z00_2303 = 
(BgL_typez00_bglt)(BgL_arg2887z00_1540); 
BgL_vtype2159z00_2304 = 
(BgL_typez00_bglt)(BgL_arg2888z00_1541); 
{ /* Ast/app.scm 306 */
BgL_vsetz12z12_bglt BgL_new2160z00_2305;
{ /* Ast/app.scm 306 */
BgL_vsetz12z12_bglt BgL_res2976z00_2311;
{ /* Ast/app.scm 306 */
BgL_vsetz12z12_bglt BgL_new2162z00_2306;
BgL_new2162z00_2306 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* Ast/app.scm 306 */
long BgL_arg2925z00_2307;
BgL_arg2925z00_2307 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* Ast/app.scm 306 */
BgL_objectz00_bglt BgL_auxz00_3639;
BgL_auxz00_3639 = 
(BgL_objectz00_bglt)(BgL_new2162z00_2306); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3639, BgL_arg2925z00_2307); } } 
{ /* Ast/app.scm 306 */
BgL_objectz00_bglt BgL_auxz00_3642;
BgL_auxz00_3642 = 
(BgL_objectz00_bglt)(BgL_new2162z00_2306); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3642, BFALSE); } 
{ /* Ast/app.scm 306 */
obj_t BgL_auxz00_3645;
BgL_auxz00_3645 = 
(obj_t)(BgL_new2162z00_2306); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3645); } BUNSPEC; 
BgL_res2976z00_2311 = BgL_new2162z00_2306; } 
BgL_new2160z00_2305 = BgL_res2976z00_2311; } 
{ /* Ast/app.scm 306 */
BgL_vsetz12z12_bglt BgL_res2977z00_2331;
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_locz00) = ((obj_t)BgL_arg2881z00_1534), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2882z00_1535), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_keyz00) = ((obj_t)BgL_key2154z00_2299), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_exprza2za2) = ((obj_t)BgL_arg2884z00_1537), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_czd2formatzd2) = ((obj_t)BgL_arg2885z00_1538), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2157z00_2302), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2158z00_2303), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2160z00_2305))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2159z00_2304), BUNSPEC); 
BgL_res2977z00_2331 = BgL_new2160z00_2305; BgL_res2977z00_2331; } 
BgL_res2978z00_2332 = BgL_new2160z00_2305; } } 
return 
(obj_t)(BgL_res2978z00_2332);} }  else 
{ /* Ast/app.scm 288 */
bool_t BgL_testz00_3658;
{ /* Ast/app.scm 288 */
obj_t BgL_auxz00_3659;
BgL_auxz00_3659 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1510, 
CNST_TABLE_REF(((long)17))); 
BgL_testz00_3658 = 
CBOOL(BgL_auxz00_3659); } 
if(BgL_testz00_3658)
{ /* Ast/app.scm 315 */
obj_t BgL_stackzd2alloczd2_1549;
{ /* Ast/app.scm 315 */
BgL_funz00_bglt BgL_obj1317z00_2334;
{ /* Ast/app.scm 315 */
BgL_valuez00_bglt BgL_auxz00_3663;
BgL_auxz00_3663 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1508))->BgL_valuez00); 
BgL_obj1317z00_2334 = 
(BgL_funz00_bglt)(BgL_auxz00_3663); } 
BgL_stackzd2alloczd2_1549 = 
(((BgL_funz00_bglt)CREF(BgL_obj1317z00_2334))->BgL_stackzd2allocatorzd2); } 
{ /* Ast/app.scm 315 */
obj_t BgL_heapzd2formatzd2_1550;
BgL_heapzd2formatzd2_1550 = 
string_append(BgL_gnamez00_1509, BGl_string3000z00zzast_appz00); 
{ /* Ast/app.scm 316 */
obj_t BgL_stackzd2formatzd2_1551;
{ /* Ast/app.scm 317 */
bool_t BgL_test2904z00_1560;
BgL_test2904z00_1560 = 
BGl_iszd2azf3z21zz__objectz00(BgL_stackzd2alloczd2_1549, BGl_globalz00zzast_varz00); 
if(BgL_test2904z00_1560)
{ /* Ast/app.scm 318 */
obj_t BgL_auxz00_3670;
{ /* Ast/app.scm 318 */
BgL_globalz00_bglt BgL_obj1149z00_2336;
BgL_obj1149z00_2336 = 
(BgL_globalz00_bglt)(BgL_stackzd2alloczd2_1549); 
BgL_auxz00_3670 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2336))->BgL_namez00); } 
BgL_stackzd2formatzd2_1551 = 
string_append(BgL_auxz00_3670, BGl_string3000z00zzast_appz00); }  else 
{ /* Ast/app.scm 317 */
BgL_stackzd2formatzd2_1551 = BgL_heapzd2formatzd2_1550; } } 
{ /* Ast/app.scm 317 */

{ /* Ast/app.scm 322 */
obj_t BgL_arg2896z00_1552;BgL_typez00_bglt BgL_arg2897z00_1553;obj_t BgL_arg2899z00_1555;obj_t BgL_arg2900z00_1556;
BgL_arg2896z00_1552 = BgL_locz00_27; 
{ /* Ast/app.scm 323 */
BgL_globalz00_bglt BgL_obj1152z00_2337;
BgL_obj1152z00_2337 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_arg2897z00_1553 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2337))->BgL_typez00); } 
BgL_arg2899z00_1555 = BgL_argsz00_29; 
BgL_arg2900z00_1556 = BgL_heapzd2formatzd2_1550; 
{ /* Ast/app.scm 321 */
BgL_vallocz00_bglt BgL_res2981z00_2374;
{ /* Ast/app.scm 321 */
obj_t BgL_key2051z00_2344;BgL_typez00_bglt BgL_ftype2054z00_2347;BgL_typez00_bglt BgL_otype2055z00_2348;
BgL_key2051z00_2344 = 
BINT(((long)-1)); 
BgL_ftype2054z00_2347 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Ast/app.scm 325 */
obj_t BgL_auxz00_3678;
{ /* Ast/app.scm 325 */
obj_t BgL_auxz00_3679;
{ /* Ast/app.scm 325 */
BgL_cfunz00_bglt BgL_obj1443z00_2339;
{ /* Ast/app.scm 325 */
BgL_valuez00_bglt BgL_auxz00_3680;
{ /* Ast/app.scm 325 */
BgL_globalz00_bglt BgL_obj1155z00_2338;
BgL_obj1155z00_2338 = 
(BgL_globalz00_bglt)(BgL_varz00_1508); 
BgL_auxz00_3680 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2338))->BgL_valuez00); } 
BgL_obj1443z00_2339 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3680); } 
BgL_auxz00_3679 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2339))->BgL_argszd2typezd2); } 
BgL_auxz00_3678 = 
CAR(BgL_auxz00_3679); } 
BgL_otype2055z00_2348 = 
(BgL_typez00_bglt)(BgL_auxz00_3678); } 
{ /* Ast/app.scm 321 */
BgL_vallocz00_bglt BgL_new2056z00_2349;
{ /* Ast/app.scm 321 */
BgL_vallocz00_bglt BgL_res2979z00_2355;
{ /* Ast/app.scm 321 */
BgL_vallocz00_bglt BgL_new2058z00_2350;
BgL_new2058z00_2350 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* Ast/app.scm 321 */
long BgL_arg2927z00_2351;
BgL_arg2927z00_2351 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* Ast/app.scm 321 */
BgL_objectz00_bglt BgL_auxz00_3689;
BgL_auxz00_3689 = 
(BgL_objectz00_bglt)(BgL_new2058z00_2350); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3689, BgL_arg2927z00_2351); } } 
{ /* Ast/app.scm 321 */
BgL_objectz00_bglt BgL_auxz00_3692;
BgL_auxz00_3692 = 
(BgL_objectz00_bglt)(BgL_new2058z00_2350); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3692, BFALSE); } 
{ /* Ast/app.scm 321 */
obj_t BgL_auxz00_3695;
BgL_auxz00_3695 = 
(obj_t)(BgL_new2058z00_2350); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3695); } BUNSPEC; 
BgL_res2979z00_2355 = BgL_new2058z00_2350; } 
BgL_new2056z00_2349 = BgL_res2979z00_2355; } 
{ /* Ast/app.scm 321 */
BgL_vallocz00_bglt BgL_res2980z00_2373;
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_locz00) = ((obj_t)BgL_arg2896z00_1552), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2897z00_1553), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_keyz00) = ((obj_t)BgL_key2051z00_2344), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_exprza2za2) = ((obj_t)BgL_arg2899z00_1555), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_arg2900z00_1556), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2054z00_2347), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2056z00_2349))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2055z00_2348), BUNSPEC); 
BgL_res2980z00_2373 = BgL_new2056z00_2349; BgL_res2980z00_2373; } 
BgL_res2981z00_2374 = BgL_new2056z00_2349; } } 
return 
(obj_t)(BgL_res2981z00_2374);} } } } } }  else 
{ /* Ast/app.scm 328 */
obj_t BgL_arg2910z00_1566;
BgL_arg2910z00_1566 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_varz00_1508)); 
FAILURE(BGl_string3003z00zzast_appz00,BGl_string3004z00zzast_appz00,BgL_arg2910z00_1566);} } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_app"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_app"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_app");} 
}

