/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_applyz00();
static obj_t BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_makezd2funzd2framezd2default2681zd2zzast_applyz00(BgL_funz00_bglt);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__makezd2funzd2framez00zzast_applyz00(obj_t, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
static obj_t BGl__makezd2funzd2framezd2default2681zd2zzast_applyz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_makezd2funzd2framezd2sfun2684zd2zzast_applyz00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_applyz00();
static BgL_letzd2varzd2_bglt BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
static obj_t BGl_makezd2funzd2framezd2cfun2686zd2zzast_applyz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static BgL_letzd2varzd2_bglt BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl__applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt, obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt, obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 14 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00, BgL_bgl__knownza7d2appza7d2lyza7d2za7e3nodeza731za7za7ast_applyza7003052z00, BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_proc3044z00zzast_applyz00, BgL_bgl_makeza7d2funza7d2frameza7d2sfun2684za7d2za7za7ast_applyza7003053za7, BGl_makezd2funzd2framezd2sfun2684zd2zzast_applyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3045z00zzast_applyz00, BgL_bgl_makeza7d2funza7d2frameza7d2cfun2686za7d2za7za7ast_applyza7003054za7, BGl_makezd2funzd2framezd2cfun2686zd2zzast_applyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2funzd2framezd2default2681zd2envz00zzast_applyz00, BgL_bgl__makeza7d2funza7d2frameza7d2default2681za7d2za7za7ast_applyza7003055za7, BGl__makezd2funzd2framezd2default2681zd2zzast_applyz00, 0L, 1 );
DEFINE_STRING( BGl_string3047z00zzast_applyz00, BgL_bgl_string3047za700za7za7ast_applyza7003056z00, "make-fun-frame-default2681 aux set! begin car quote failure cdr null? if write runner value apply ", 98 );
DEFINE_STRING( BGl_string3046z00zzast_applyz00, BgL_bgl_string3046za700za7za7ast_applyza7003057z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3043z00zzast_applyz00, BgL_bgl_string3043za700za7za7ast_applyza7003058z00, "apply", 5 );
DEFINE_STRING( BGl_string3042z00zzast_applyz00, BgL_bgl_string3042za700za7za7ast_applyza7003059z00, "Too many arguments provided", 27 );
DEFINE_STRING( BGl_string3041z00zzast_applyz00, BgL_bgl_string3041za700za7za7ast_applyza7003060z00, "Illegal `apply' form", 20 );
DEFINE_STATIC_GENERIC( BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BgL_bgl__makeza7d2funza7d2frameza700za7za7ast_applyza7003061z00, BGl__makezd2funzd2framez00zzast_applyz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_applycationzd2ze3nodezd2envze3zzast_applyz00, BgL_bgl__applycationza7d2za7e3nodeza731za7za7ast_applyza7003062z00, BGl__applycationzd2ze3nodez31zzast_applyz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long BgL_checksumz00_3058, char * BgL_fromz00_3059)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
{ 
BGl_requirezd2initializa7ationz75zzast_applyz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_applyz00(); 
BGl_cnstzd2initzd2zzast_applyz00(); 
BGl_importedzd2moduleszd2initz00zzast_applyz00(); 
BGl_methodzd2initzd2zzast_applyz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_apply"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_apply"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_apply"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_apply"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_apply"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_applyz00()
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
{ /* Ast/apply.scm 14 */
obj_t BgL_cportz00_3051;
BgL_cportz00_3051 = 
open_input_string(BGl_string3047z00zzast_applyz00); 
{ 
long BgL_iz00_3052;
BgL_iz00_3052 = ((long)13); 
BgL_loopz00_3053:
if(
(BgL_iz00_3052==((long)-1)))
{ /* Ast/apply.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/apply.scm 14 */
{ /* Ast/apply.scm 14 */
obj_t BgL_arg3049z00_3055;
{ /* Ast/apply.scm 14 */
obj_t BgL_list3050z00_3056;
BgL_list3050z00_3056 = 
MAKE_PAIR(BgL_cportz00_3051, BNIL); 
BgL_arg3049z00_3055 = 
BGl_readz00zz__readerz00(BgL_list3050z00_3056); } 
{ /* Ast/apply.scm 14 */
int BgL_auxz00_3077;
BgL_auxz00_3077 = 
(int)(BgL_iz00_3052); 
CNST_TABLE_SET(BgL_auxz00_3077, BgL_arg3049z00_3055); } } 
{ 
long BgL_iz00_3080;
{ /* Ast/apply.scm 14 */
int BgL_auxz00_3081;
{ /* Ast/apply.scm 14 */
long BgL_auxz00_3082;
BgL_auxz00_3082 = 
(BgL_iz00_3052-((long)1)); 
BgL_auxz00_3081 = 
(int)(BgL_auxz00_3082); } 
BgL_iz00_3080 = 
(long)(BgL_auxz00_3081); } 
BgL_iz00_3052 = BgL_iz00_3080; 
goto BgL_loopz00_3053;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_applyz00()
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
return BUNSPEC;} 
}



/* applycation->node */
BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_1, obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
{ AN_OBJECT;
{ /* Ast/apply.scm 31 */
{ 
obj_t BgL_procz00_1251;obj_t BgL_argz00_1252;
if(
PAIRP(BgL_expz00_1))
{ /* Ast/apply.scm 32 */
obj_t BgL_cdrzd2109zd2_1257;
BgL_cdrzd2109zd2_1257 = 
CDR(BgL_expz00_1); 
{ /* Ast/apply.scm 32 */
bool_t BgL_testz00_3089;
{ /* Ast/apply.scm 32 */
obj_t BgL_auxz00_3092;obj_t BgL_auxz00_3090;
BgL_auxz00_3092 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3090 = 
CAR(BgL_expz00_1); 
BgL_testz00_3089 = 
(BgL_auxz00_3090==BgL_auxz00_3092); } 
if(BgL_testz00_3089)
{ /* Ast/apply.scm 32 */
if(
PAIRP(BgL_cdrzd2109zd2_1257))
{ /* Ast/apply.scm 32 */
obj_t BgL_cdrzd2113zd2_1260;
BgL_cdrzd2113zd2_1260 = 
CDR(BgL_cdrzd2109zd2_1257); 
if(
PAIRP(BgL_cdrzd2113zd2_1260))
{ /* Ast/apply.scm 32 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2113zd2_1260), BNIL))
{ /* Ast/apply.scm 32 */
obj_t BgL_auxz00_3103;
BgL_procz00_1251 = 
CAR(BgL_cdrzd2109zd2_1257); 
BgL_argz00_1252 = 
CAR(BgL_cdrzd2113zd2_1260); 
{ /* Ast/apply.scm 34 */
obj_t BgL_locz00_1269;
BgL_locz00_1269 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_1, BgL_locz00_3); 
{ /* Ast/apply.scm 34 */
BgL_nodez00_bglt BgL_procz00_1270;
{ /* Ast/apply.scm 37 */
obj_t BgL_arg2708z00_1282;obj_t BgL_arg2709z00_1283;
BgL_arg2708z00_1282 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_procz00_1251, BgL_locz00_1269); 
BgL_arg2709z00_1283 = 
CNST_TABLE_REF(((long)0)); 
BgL_procz00_1270 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_procz00_1251, BgL_stackz00_2, BgL_arg2708z00_1282, BgL_arg2709z00_1283); } 
{ /* Ast/apply.scm 35 */
BgL_nodez00_bglt BgL_argz00_1271;
{ /* Ast/apply.scm 41 */
obj_t BgL_arg2706z00_1280;obj_t BgL_arg2707z00_1281;
BgL_arg2706z00_1280 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_argz00_1252, BgL_locz00_1269); 
BgL_arg2707z00_1281 = 
CNST_TABLE_REF(((long)1)); 
BgL_argz00_1271 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1252, BgL_stackz00_2, BgL_arg2706z00_1280, BgL_arg2707z00_1281); } 
{ /* Ast/apply.scm 39 */

{ /* Ast/apply.scm 43 */
bool_t BgL_test2698z00_1272;
{ /* Ast/apply.scm 43 */
bool_t BgL_test2703z00_1277;
BgL_test2703z00_1277 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_procz00_1270), BGl_varz00zzast_nodez00); 
if(BgL_test2703z00_1277)
{ /* Ast/apply.scm 43 */
obj_t BgL_auxz00_3114;
{ /* Ast/apply.scm 43 */
BgL_valuez00_bglt BgL_auxz00_3115;
{ /* Ast/apply.scm 43 */
BgL_variablez00_bglt BgL_arg2705z00_1279;
{ /* Ast/apply.scm 43 */
BgL_varz00_bglt BgL_obj1619z00_1936;
BgL_obj1619z00_1936 = 
(BgL_varz00_bglt)(BgL_procz00_1270); 
BgL_arg2705z00_1279 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1936))->BgL_variablez00); } 
BgL_auxz00_3115 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2705z00_1279))->BgL_valuez00); } 
BgL_auxz00_3114 = 
(obj_t)(BgL_auxz00_3115); } 
BgL_test2698z00_1272 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3114, BGl_funz00zzast_varz00); }  else 
{ /* Ast/apply.scm 43 */
BgL_test2698z00_1272 = ((bool_t)0); } } 
if(BgL_test2698z00_1272)
{ /* Ast/apply.scm 44 */
BgL_nodez00_bglt BgL_auxz00_3122;
BgL_auxz00_3122 = 
BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_2, BgL_locz00_1269, BgL_procz00_1270, BgL_argz00_1271, BgL_sitez00_4); 
BgL_auxz00_3103 = 
(obj_t)(BgL_auxz00_3122); }  else 
{ /* Ast/apply.scm 46 */
obj_t BgL_arg2699z00_1273;obj_t BgL_arg2700z00_1274;BgL_nodez00_bglt BgL_arg2701z00_1275;BgL_nodez00_bglt BgL_arg2702z00_1276;
BgL_arg2699z00_1273 = BgL_locz00_1269; 
BgL_arg2700z00_1274 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2701z00_1275 = BgL_procz00_1270; 
BgL_arg2702z00_1276 = BgL_argz00_1271; 
{ /* Ast/apply.scm 45 */
BgL_appzd2lyzd2_bglt BgL_res2976z00_1960;
{ /* Ast/apply.scm 45 */
BgL_typez00_bglt BgL_type1774z00_1940;
BgL_type1774z00_1940 = 
(BgL_typez00_bglt)(BgL_arg2700z00_1274); 
{ /* Ast/apply.scm 45 */
BgL_appzd2lyzd2_bglt BgL_new1777z00_1943;
{ /* Ast/apply.scm 45 */
BgL_appzd2lyzd2_bglt BgL_res2974z00_1949;
{ /* Ast/apply.scm 45 */
BgL_appzd2lyzd2_bglt BgL_new1779z00_1944;
BgL_new1779z00_1944 = 
((BgL_appzd2lyzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appzd2lyzd2_bgl) ))); 
{ /* Ast/apply.scm 45 */
long BgL_arg2924z00_1945;
BgL_arg2924z00_1945 = 
BGl_classzd2numzd2zz__objectz00(BGl_appzd2lyzd2zzast_nodez00); 
{ /* Ast/apply.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3128;
BgL_auxz00_3128 = 
(BgL_objectz00_bglt)(BgL_new1779z00_1944); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3128, BgL_arg2924z00_1945); } } 
{ /* Ast/apply.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3131;
BgL_auxz00_3131 = 
(BgL_objectz00_bglt)(BgL_new1779z00_1944); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3131, BFALSE); } 
{ /* Ast/apply.scm 45 */
obj_t BgL_auxz00_3134;
BgL_auxz00_3134 = 
(obj_t)(BgL_new1779z00_1944); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3134); } BUNSPEC; 
BgL_res2974z00_1949 = BgL_new1779z00_1944; } 
BgL_new1777z00_1943 = BgL_res2974z00_1949; } 
{ /* Ast/apply.scm 45 */
BgL_appzd2lyzd2_bglt BgL_res2975z00_1959;
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1777z00_1943))->BgL_locz00) = ((obj_t)BgL_arg2699z00_1273), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1777z00_1943))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1774z00_1940), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1777z00_1943))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2701z00_1275), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1777z00_1943))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2702z00_1276), BUNSPEC); 
BgL_res2975z00_1959 = BgL_new1777z00_1943; BgL_res2975z00_1959; } 
BgL_res2976z00_1960 = BgL_new1777z00_1943; } } 
BgL_auxz00_3103 = 
(obj_t)(BgL_res2976z00_1960); } } } } } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3103);}  else 
{ /* Ast/apply.scm 32 */
BgL_tagzd2102zd2_1254:
{ /* Ast/apply.scm 51 */
obj_t BgL_arg2711z00_1285;
BgL_arg2711z00_1285 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_1, BgL_locz00_3); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3041z00zzast_applyz00, BgL_expz00_1, BgL_arg2711z00_1285);} } }  else 
{ /* Ast/apply.scm 32 */
goto BgL_tagzd2102zd2_1254;} }  else 
{ /* Ast/apply.scm 32 */
goto BgL_tagzd2102zd2_1254;} }  else 
{ /* Ast/apply.scm 32 */
goto BgL_tagzd2102zd2_1254;} } }  else 
{ /* Ast/apply.scm 32 */
goto BgL_tagzd2102zd2_1254;} } } 
}



/* _applycation->node */
obj_t BGl__applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_envz00_3015, obj_t BgL_expz00_3016, obj_t BgL_stackz00_3017, obj_t BgL_locz00_3018, obj_t BgL_sitez00_3019)
{ AN_OBJECT;
{ /* Ast/apply.scm 31 */
{ /* Ast/apply.scm 31 */
BgL_nodez00_bglt BgL_auxz00_3147;
BgL_auxz00_3147 = 
BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_3016, BgL_stackz00_3017, BgL_locz00_3018, BgL_sitez00_3019); 
return 
(obj_t)(BgL_auxz00_3147);} } 
}



/* known-app-ly->node */
BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_9, obj_t BgL_locz00_10, BgL_nodez00_bglt BgL_procz00_11, BgL_nodez00_bglt BgL_argz00_12, obj_t BgL_sitez00_13)
{ AN_OBJECT;
{ /* Ast/apply.scm 101 */
{ /* Ast/apply.scm 102 */
BgL_valuez00_bglt BgL_funz00_1286;
{ /* Ast/apply.scm 102 */
BgL_variablez00_bglt BgL_arg2714z00_1291;
{ /* Ast/apply.scm 102 */
BgL_varz00_bglt BgL_obj1619z00_1961;
BgL_obj1619z00_1961 = 
(BgL_varz00_bglt)(BgL_procz00_11); 
BgL_arg2714z00_1291 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1961))->BgL_variablez00); } 
BgL_funz00_1286 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2714z00_1291))->BgL_valuez00); } 
{ /* Ast/apply.scm 102 */
long BgL_arityz00_1287;
{ /* Ast/apply.scm 103 */
BgL_funz00_bglt BgL_obj1310z00_1963;
BgL_obj1310z00_1963 = 
(BgL_funz00_bglt)(BgL_funz00_1286); 
BgL_arityz00_1287 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_1963))->BgL_arityz00); } 
{ /* Ast/apply.scm 103 */
obj_t BgL_framez00_1288;
{ /* Ast/apply.scm 104 */
BgL_funz00_bglt BgL_funz00_1964;
BgL_funz00_1964 = 
(BgL_funz00_bglt)(BgL_funz00_1286); 
{ /* Ast/apply.scm 104 */
obj_t BgL_method2682z00_1965;
{ /* Ast/apply.scm 104 */
long BgL_objzd2classzd2numz00_1967;
{ /* Ast/apply.scm 104 */
BgL_objectz00_bglt BgL_auxz00_3156;
BgL_auxz00_3156 = 
(BgL_objectz00_bglt)(BgL_funz00_1964); 
BgL_objzd2classzd2numz00_1967 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3156); } 
{ /* Ast/apply.scm 104 */
obj_t BgL_arg1221z00_1968;
{ /* Ast/apply.scm 104 */
int BgL_auxz00_3159;
BgL_auxz00_3159 = 
(int)(((long)1)); 
BgL_arg1221z00_1968 = 
PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BgL_auxz00_3159); } 
{ /* Ast/apply.scm 104 */
long BgL_offsetz00_1972;
{ /* Ast/apply.scm 104 */
long BgL_auxz00_3162;
{ /* Ast/apply.scm 104 */
int BgL_auxz00_3163;
BgL_auxz00_3163 = 
(int)(BgL_objzd2classzd2numz00_1967); 
BgL_auxz00_3162 = 
(long)(BgL_auxz00_3163); } 
BgL_offsetz00_1972 = 
(BgL_auxz00_3162-OBJECT_TYPE); } 
{ /* Ast/apply.scm 104 */
long BgL_modz00_1973;
{ /* Ast/apply.scm 104 */
long BgL_auxz00_3167;
{ /* Ast/apply.scm 104 */
int BgL_auxz00_3168;
BgL_auxz00_3168 = 
(int)(((long)8)); 
BgL_auxz00_3167 = 
(long)(BgL_auxz00_3168); } 
BgL_modz00_1973 = 
(BgL_offsetz00_1972/BgL_auxz00_3167); } 
{ /* Ast/apply.scm 104 */
long BgL_restz00_1975;
{ /* Ast/apply.scm 104 */
long BgL_auxz00_3172;
{ /* Ast/apply.scm 104 */
int BgL_auxz00_3173;
BgL_auxz00_3173 = 
(int)(((long)8)); 
BgL_auxz00_3172 = 
(long)(BgL_auxz00_3173); } 
BgL_restz00_1975 = 
(BgL_offsetz00_1972%BgL_auxz00_3172); } 
{ /* Ast/apply.scm 104 */

{ /* Ast/apply.scm 104 */
obj_t BgL_bucketz00_1977;
{ /* Ast/apply.scm 104 */
int BgL_kz00_1987;
BgL_kz00_1987 = 
(int)(BgL_modz00_1973); 
BgL_bucketz00_1977 = 
VECTOR_REF(BgL_arg1221z00_1968,BgL_kz00_1987); } 
{ /* Ast/apply.scm 104 */
int BgL_kz00_1989;
BgL_kz00_1989 = 
(int)(BgL_restz00_1975); 
BgL_method2682z00_1965 = 
VECTOR_REF(BgL_bucketz00_1977,BgL_kz00_1989); } } } } } } } } 
BgL_framez00_1288 = 
PROCEDURE_ENTRY(BgL_method2682z00_1965)(BgL_method2682z00_1965, 
(obj_t)(BgL_funz00_1964), BEOA); } } 
{ /* Ast/apply.scm 104 */

if(
(BgL_arityz00_1287>((long)0)))
{ /* Ast/apply.scm 106 */
{ /* Ast/apply.scm 107 */
BgL_letzd2varzd2_bglt BgL_auxz00_3186;
BgL_auxz00_3186 = 
BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11, BgL_argz00_12, BgL_framez00_1288, BgL_sitez00_13); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3186);} }  else 
{ /* Ast/apply.scm 106 */
if(
(BgL_arityz00_1287==((long)0)))
{ /* Ast/apply.scm 108 */
{ /* Ast/apply.scm 109 */
obj_t BgL_arg2715z00_2000;
{ /* Ast/apply.scm 109 */
obj_t BgL_list2716z00_2001;
{ /* Ast/apply.scm 109 */
obj_t BgL_auxz00_3191;
BgL_auxz00_3191 = 
(obj_t)(BgL_procz00_11); 
BgL_list2716z00_2001 = 
MAKE_PAIR(BgL_auxz00_3191, BNIL); } 
BgL_arg2715z00_2000 = BgL_list2716z00_2001; } 
return 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2715z00_2000, BgL_stackz00_9, BgL_locz00_10, BgL_sitez00_13);} }  else 
{ /* Ast/apply.scm 108 */
{ /* Ast/apply.scm 111 */
BgL_letzd2varzd2_bglt BgL_auxz00_3195;
BgL_auxz00_3195 = 
BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11, BgL_argz00_12, BgL_framez00_1288, BgL_sitez00_13); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3195);} } } } } } } } 
}



/* _known-app-ly->node */
obj_t BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_envz00_3020, obj_t BgL_stackz00_3021, obj_t BgL_locz00_3022, obj_t BgL_procz00_3023, obj_t BgL_argz00_3024, obj_t BgL_sitez00_3025)
{ AN_OBJECT;
{ /* Ast/apply.scm 101 */
{ /* Ast/apply.scm 101 */
BgL_nodez00_bglt BgL_auxz00_3198;
BgL_auxz00_3198 = 
BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_3021, BgL_locz00_3022, 
(BgL_nodez00_bglt)(BgL_procz00_3023), 
(BgL_nodez00_bglt)(BgL_argz00_3024), BgL_sitez00_3025); 
return 
(obj_t)(BgL_auxz00_3198);} } 
}



/* fx-known-app-ly->node */
BgL_letzd2varzd2_bglt BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_20, obj_t BgL_locz00_21, BgL_nodez00_bglt BgL_procz00_22, BgL_nodez00_bglt BgL_argz00_23, obj_t BgL_framez00_24, obj_t BgL_sitez00_25)
{ AN_OBJECT;
{ /* Ast/apply.scm 138 */
{ /* Ast/apply.scm 139 */
BgL_localz00_bglt BgL_runnerz00_1294;BgL_typez00_bglt BgL_typez00_1295;
{ /* Ast/apply.scm 139 */
obj_t BgL_arg2824z00_1405;
{ /* Ast/apply.scm 139 */
obj_t BgL_arg2825z00_1406;
BgL_arg2825z00_1406 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_arg2824z00_1405 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2825z00_1406); } 
BgL_runnerz00_1294 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2824z00_1405, 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00)); } 
BgL_typez00_1295 = 
(((BgL_nodez00_bglt)CREF(BgL_procz00_22))->BgL_typez00); 
{ /* Ast/apply.scm 142 */
obj_t BgL_val1259z00_2010;
BgL_val1259z00_2010 = 
CNST_TABLE_REF(((long)3)); 
((((BgL_localz00_bglt)CREF(BgL_runnerz00_1294))->BgL_accessz00) = ((obj_t)BgL_val1259z00_2010), BUNSPEC); } 
{ /* Ast/apply.scm 144 */
obj_t BgL_arg2717z00_1296;BgL_typez00_bglt BgL_arg2718z00_1297;obj_t BgL_arg2720z00_1299;obj_t BgL_arg2721z00_1300;
BgL_arg2717z00_1296 = BgL_locz00_21; 
BgL_arg2718z00_1297 = BgL_typez00_1295; 
{ /* Ast/apply.scm 146 */
obj_t BgL_arg2722z00_1301;
{ /* Ast/apply.scm 146 */
obj_t BgL_auxz00_3214;obj_t BgL_auxz00_3212;
BgL_auxz00_3214 = 
(obj_t)(BgL_argz00_23); 
BgL_auxz00_3212 = 
(obj_t)(BgL_runnerz00_1294); 
BgL_arg2722z00_1301 = 
MAKE_PAIR(BgL_auxz00_3212, BgL_auxz00_3214); } 
{ /* Ast/apply.scm 146 */
obj_t BgL_list2723z00_1302;
BgL_list2723z00_1302 = 
MAKE_PAIR(BgL_arg2722z00_1301, BNIL); 
BgL_arg2720z00_1299 = BgL_list2723z00_1302; } } 
BgL_arg2721z00_1300 = 
BGl_loopz72z72zzast_applyz00(BgL_sitez00_25, BgL_procz00_22, BgL_framez00_24, BgL_stackz00_20, BgL_runnerz00_1294, BgL_typez00_1295, BgL_locz00_21, BgL_framez00_24); 
{ /* Ast/apply.scm 143 */
BgL_letzd2varzd2_bglt BgL_res3003z00_2194;
{ /* Ast/apply.scm 143 */
obj_t BgL_key2494z00_2167;BgL_nodez00_bglt BgL_body2496z00_2169;
BgL_key2494z00_2167 = 
BINT(((long)-1)); 
BgL_body2496z00_2169 = 
(BgL_nodez00_bglt)(BgL_arg2721z00_1300); 
{ /* Ast/apply.scm 143 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2171;
{ /* Ast/apply.scm 143 */
BgL_letzd2varzd2_bglt BgL_res3001z00_2177;
{ /* Ast/apply.scm 143 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2172;
BgL_new2500z00_2172 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/apply.scm 143 */
long BgL_arg2906z00_2173;
BgL_arg2906z00_2173 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/apply.scm 143 */
BgL_objectz00_bglt BgL_auxz00_3223;
BgL_auxz00_3223 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2172); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3223, BgL_arg2906z00_2173); } } 
{ /* Ast/apply.scm 143 */
BgL_objectz00_bglt BgL_auxz00_3226;
BgL_auxz00_3226 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2172); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3226, BFALSE); } 
{ /* Ast/apply.scm 143 */
obj_t BgL_auxz00_3229;
BgL_auxz00_3229 = 
(obj_t)(BgL_new2500z00_2172); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3229); } BUNSPEC; 
BgL_res3001z00_2177 = BgL_new2500z00_2172; } 
BgL_new2498z00_2171 = BgL_res3001z00_2177; } 
{ /* Ast/apply.scm 143 */
BgL_letzd2varzd2_bglt BgL_res3002z00_2193;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_locz00) = ((obj_t)BgL_arg2717z00_1296), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2718z00_1297), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2167), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_bindingsz00) = ((obj_t)BgL_arg2720z00_1299), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_2169), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2171))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3002z00_2193 = BgL_new2498z00_2171; BgL_res3002z00_2193; } 
BgL_res3003z00_2194 = BgL_new2498z00_2171; } } 
return BgL_res3003z00_2194;} } } } 
}



/* loop' */
obj_t BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_3050, BgL_nodez00_bglt BgL_procz00_3049, obj_t BgL_framez00_3048, obj_t BgL_stackz00_3047, BgL_localz00_bglt BgL_runnerz00_3046, BgL_typez00_bglt BgL_typez00_3045, obj_t BgL_locz00_3044, obj_t BgL_localsz00_1303)
{ AN_OBJECT;
{ /* Ast/apply.scm 147 */
if(
NULLP(BgL_localsz00_1303))
{ /* Ast/apply.scm 149 */
BgL_nodez00_bglt BgL_appz00_1306;
{ /* Ast/apply.scm 151 */
obj_t BgL_arg2757z00_1339;obj_t BgL_arg2758z00_1340;
{ /* Ast/apply.scm 151 */
obj_t BgL_arg2759z00_1341;
{ /* Ast/apply.scm 151 */
obj_t BgL_arg2760z00_1342;
if(
NULLP(BgL_framez00_3048))
{ /* Ast/apply.scm 151 */
BgL_arg2760z00_1342 = BNIL; }  else 
{ /* Ast/apply.scm 151 */
obj_t BgL_head2658z00_1346;
BgL_head2658z00_1346 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2656z00_1347;obj_t BgL_tail2659z00_1348;
BgL_l2656z00_1347 = BgL_framez00_3048; 
BgL_tail2659z00_1348 = BgL_head2658z00_1346; 
BgL_lname2657z00_1349:
if(
NULLP(BgL_l2656z00_1347))
{ /* Ast/apply.scm 151 */
BgL_arg2760z00_1342 = 
CDR(BgL_head2658z00_1346); }  else 
{ /* Ast/apply.scm 152 */
obj_t BgL_newtail2660z00_1351;
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_arg2765z00_1353;
{ /* Ast/apply.scm 152 */
obj_t BgL_localz00_1355;
BgL_localz00_1355 = 
CAR(BgL_l2656z00_1347); 
{ /* Ast/apply.scm 153 */
obj_t BgL_arg2767z00_1356;BgL_typez00_bglt BgL_arg2768z00_1357;
BgL_arg2767z00_1356 = BgL_locz00_3044; 
{ /* Ast/apply.scm 154 */
BgL_localz00_bglt BgL_obj1252z00_2020;
BgL_obj1252z00_2020 = 
(BgL_localz00_bglt)(BgL_localz00_1355); 
BgL_arg2768z00_1357 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2020))->BgL_typez00); } 
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_res2984z00_2039;
{ /* Ast/apply.scm 152 */
BgL_variablez00_bglt BgL_variable1632z00_2023;
{ /* Ast/apply.scm 155 */
obj_t BgL_auxz00_3250;
BgL_auxz00_3250 = BgL_localz00_1355; 
BgL_variable1632z00_2023 = 
(BgL_variablez00_bglt)(BgL_auxz00_3250); } 
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_new1633z00_2024;
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_res2982z00_2030;
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_new1635z00_2025;
BgL_new1635z00_2025 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 152 */
long BgL_arg2929z00_2026;
BgL_arg2929z00_2026 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 152 */
BgL_objectz00_bglt BgL_auxz00_3254;
BgL_auxz00_3254 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2025); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3254, BgL_arg2929z00_2026); } } 
{ /* Ast/apply.scm 152 */
BgL_objectz00_bglt BgL_auxz00_3257;
BgL_auxz00_3257 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2025); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3257, BFALSE); } 
{ /* Ast/apply.scm 152 */
obj_t BgL_auxz00_3260;
BgL_auxz00_3260 = 
(obj_t)(BgL_new1635z00_2025); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3260); } BUNSPEC; 
BgL_res2982z00_2030 = BgL_new1635z00_2025; } 
BgL_new1633z00_2024 = BgL_res2982z00_2030; } 
{ /* Ast/apply.scm 152 */
BgL_varz00_bglt BgL_res2983z00_2038;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2024))->BgL_locz00) = ((obj_t)BgL_arg2767z00_1356), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2024))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2768z00_1357), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2024))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2023), BUNSPEC); 
BgL_res2983z00_2038 = BgL_new1633z00_2024; BgL_res2983z00_2038; } 
BgL_res2984z00_2039 = BgL_new1633z00_2024; } } 
BgL_arg2765z00_1353 = BgL_res2984z00_2039; } } } 
{ /* Ast/apply.scm 151 */
obj_t BgL_auxz00_3266;
BgL_auxz00_3266 = 
(obj_t)(BgL_arg2765z00_1353); 
BgL_newtail2660z00_1351 = 
MAKE_PAIR(BgL_auxz00_3266, BNIL); } } 
SET_CDR(BgL_tail2659z00_1348, BgL_newtail2660z00_1351); 
{ 
obj_t BgL_tail2659z00_3272;obj_t BgL_l2656z00_3270;
BgL_l2656z00_3270 = 
CDR(BgL_l2656z00_1347); 
BgL_tail2659z00_3272 = BgL_newtail2660z00_1351; 
BgL_tail2659z00_1348 = BgL_tail2659z00_3272; 
BgL_l2656z00_1347 = BgL_l2656z00_3270; 
goto BgL_lname2657z00_1349;} } } } 
BgL_arg2759z00_1341 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2760z00_1342, BNIL); } 
{ /* Ast/apply.scm 150 */
obj_t BgL_auxz00_3274;
BgL_auxz00_3274 = 
(obj_t)(BgL_procz00_3049); 
BgL_arg2757z00_1339 = 
MAKE_PAIR(BgL_auxz00_3274, BgL_arg2759z00_1341); } } 
BgL_arg2758z00_1340 = 
CNST_TABLE_REF(((long)1)); 
BgL_appz00_1306 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg2757z00_1339, BgL_stackz00_3047, BgL_locz00_3044, BgL_arg2758z00_1340); } 
if(
CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
{ /* Ast/apply.scm 160 */
return 
(obj_t)(BgL_appz00_1306);}  else 
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2725z00_1307;
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2726z00_1308;obj_t BgL_arg2727z00_1309;
BgL_arg2726z00_1308 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2728z00_1310;obj_t BgL_arg2729z00_1311;
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2730z00_1312;obj_t BgL_arg2731z00_1313;
BgL_arg2730z00_1312 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2732z00_1314;
{ /* Ast/apply.scm 163 */
obj_t BgL_arg2734z00_1316;obj_t BgL_arg2735z00_1317;
BgL_arg2734z00_1316 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/apply.scm 165 */
BgL_varz00_bglt BgL_arg2736z00_1318;
{ /* Ast/apply.scm 165 */
obj_t BgL_arg2738z00_1320;BgL_typez00_bglt BgL_arg2739z00_1321;
BgL_arg2738z00_1320 = BgL_locz00_3044; 
BgL_arg2739z00_1321 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3046))->BgL_typez00); 
{ /* Ast/apply.scm 164 */
BgL_varz00_bglt BgL_res2987z00_2064;
{ /* Ast/apply.scm 164 */
BgL_variablez00_bglt BgL_variable1632z00_2048;
{ /* Ast/apply.scm 167 */
BgL_localz00_bglt BgL_auxz00_3286;
BgL_auxz00_3286 = BgL_runnerz00_3046; 
BgL_variable1632z00_2048 = 
(BgL_variablez00_bglt)(BgL_auxz00_3286); } 
{ /* Ast/apply.scm 164 */
BgL_varz00_bglt BgL_new1633z00_2049;
{ /* Ast/apply.scm 164 */
BgL_varz00_bglt BgL_res2985z00_2055;
{ /* Ast/apply.scm 164 */
BgL_varz00_bglt BgL_new1635z00_2050;
BgL_new1635z00_2050 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 164 */
long BgL_arg2929z00_2051;
BgL_arg2929z00_2051 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 164 */
BgL_objectz00_bglt BgL_auxz00_3290;
BgL_auxz00_3290 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2050); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3290, BgL_arg2929z00_2051); } } 
{ /* Ast/apply.scm 164 */
BgL_objectz00_bglt BgL_auxz00_3293;
BgL_auxz00_3293 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2050); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3293, BFALSE); } 
{ /* Ast/apply.scm 164 */
obj_t BgL_auxz00_3296;
BgL_auxz00_3296 = 
(obj_t)(BgL_new1635z00_2050); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3296); } BUNSPEC; 
BgL_res2985z00_2055 = BgL_new1635z00_2050; } 
BgL_new1633z00_2049 = BgL_res2985z00_2055; } 
{ /* Ast/apply.scm 164 */
BgL_varz00_bglt BgL_res2986z00_2063;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2049))->BgL_locz00) = ((obj_t)BgL_arg2738z00_1320), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2049))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2739z00_1321), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2049))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2048), BUNSPEC); 
BgL_res2986z00_2063 = BgL_new1633z00_2049; BgL_res2986z00_2063; } 
BgL_res2987z00_2064 = BgL_new1633z00_2049; } } 
BgL_arg2736z00_1318 = BgL_res2987z00_2064; } } 
{ /* Ast/apply.scm 163 */
obj_t BgL_auxz00_3302;
BgL_auxz00_3302 = 
(obj_t)(BgL_arg2736z00_1318); 
BgL_arg2735z00_1317 = 
MAKE_PAIR(BgL_auxz00_3302, BNIL); } } 
BgL_arg2732z00_1314 = 
MAKE_PAIR(BgL_arg2734z00_1316, BgL_arg2735z00_1317); } 
BgL_arg2731z00_1313 = 
MAKE_PAIR(BgL_arg2732z00_1314, BNIL); } 
BgL_arg2728z00_1310 = 
MAKE_PAIR(BgL_arg2730z00_1312, BgL_arg2731z00_1313); } 
{ /* Ast/apply.scm 169 */
obj_t BgL_arg2741z00_1323;
{ /* Ast/apply.scm 169 */
obj_t BgL_arg2742z00_1324;
{ /* Ast/apply.scm 169 */
obj_t BgL_arg2744z00_1326;obj_t BgL_arg2745z00_1327;
BgL_arg2744z00_1326 = 
CNST_TABLE_REF(((long)7)); 
{ /* Ast/apply.scm 169 */
obj_t BgL_arg2747z00_1329;
{ /* Ast/apply.scm 169 */
obj_t BgL_arg2749z00_1331;
{ /* Ast/apply.scm 171 */
obj_t BgL_arg2750z00_1332;
{ /* Ast/apply.scm 171 */
obj_t BgL_arg2752z00_1334;obj_t BgL_arg2753z00_1335;
BgL_arg2752z00_1334 = 
CNST_TABLE_REF(((long)8)); 
{ /* Ast/apply.scm 171 */
obj_t BgL_arg2754z00_1336;
{ /* Ast/apply.scm 171 */
obj_t BgL_auxz00_3310;
{ /* Ast/apply.scm 171 */
BgL_variablez00_bglt BgL_auxz00_3311;
{ /* Ast/apply.scm 171 */
BgL_varz00_bglt BgL_obj1619z00_2065;
BgL_obj1619z00_2065 = 
(BgL_varz00_bglt)(BgL_procz00_3049); 
BgL_auxz00_3311 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2065))->BgL_variablez00); } 
BgL_auxz00_3310 = 
(obj_t)(BgL_auxz00_3311); } 
BgL_arg2754z00_1336 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_3310); } 
BgL_arg2753z00_1335 = 
MAKE_PAIR(BgL_arg2754z00_1336, BNIL); } 
BgL_arg2750z00_1332 = 
MAKE_PAIR(BgL_arg2752z00_1334, BgL_arg2753z00_1335); } 
BgL_arg2749z00_1331 = 
MAKE_PAIR(BgL_arg2750z00_1332, BNIL); } 
BgL_arg2747z00_1329 = 
MAKE_PAIR(BGl_string3042z00zzast_applyz00, BgL_arg2749z00_1331); } 
BgL_arg2745z00_1327 = 
MAKE_PAIR(BGl_string3043z00zzast_applyz00, BgL_arg2747z00_1329); } 
BgL_arg2742z00_1324 = 
MAKE_PAIR(BgL_arg2744z00_1326, BgL_arg2745z00_1327); } 
BgL_arg2741z00_1323 = 
MAKE_PAIR(BgL_arg2742z00_1324, BNIL); } 
{ /* Ast/apply.scm 163 */
obj_t BgL_auxz00_3323;
BgL_auxz00_3323 = 
(obj_t)(BgL_appz00_1306); 
BgL_arg2729z00_1311 = 
MAKE_PAIR(BgL_auxz00_3323, BgL_arg2741z00_1323); } } 
BgL_arg2727z00_1309 = 
MAKE_PAIR(BgL_arg2728z00_1310, BgL_arg2729z00_1311); } 
BgL_arg2725z00_1307 = 
MAKE_PAIR(BgL_arg2726z00_1308, BgL_arg2727z00_1309); } 
{ /* Ast/apply.scm 162 */
BgL_nodez00_bglt BgL_auxz00_3328;
BgL_auxz00_3328 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2725z00_1307, BgL_stackz00_3047, BgL_locz00_3044, BgL_sitez00_3050); 
return 
(obj_t)(BgL_auxz00_3328);} } }  else 
{ /* Ast/apply.scm 176 */
obj_t BgL_arg2771z00_1359;BgL_typez00_bglt BgL_arg2772z00_1360;obj_t BgL_arg2774z00_1362;obj_t BgL_arg2775z00_1363;
BgL_arg2771z00_1359 = BgL_locz00_3044; 
BgL_arg2772z00_1360 = BgL_typez00_3045; 
{ /* Ast/apply.scm 179 */
obj_t BgL_arg2777z00_1364;
{ /* Ast/apply.scm 179 */
obj_t BgL_arg2779z00_1366;BgL_nodez00_bglt BgL_arg2781z00_1367;
BgL_arg2779z00_1366 = 
CAR(BgL_localsz00_1303); 
{ /* Ast/apply.scm 181 */
obj_t BgL_arg2782z00_1368;obj_t BgL_arg2783z00_1369;
{ /* Ast/apply.scm 181 */
obj_t BgL_arg2784z00_1370;obj_t BgL_arg2785z00_1371;
BgL_arg2784z00_1370 = 
CNST_TABLE_REF(((long)9)); 
{ /* Ast/apply.scm 183 */
BgL_varz00_bglt BgL_arg2786z00_1372;
{ /* Ast/apply.scm 183 */
obj_t BgL_arg2789z00_1374;BgL_typez00_bglt BgL_arg2790z00_1375;
BgL_arg2789z00_1374 = BgL_locz00_3044; 
BgL_arg2790z00_1375 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3046))->BgL_typez00); 
{ /* Ast/apply.scm 182 */
BgL_varz00_bglt BgL_res2990z00_2086;
{ /* Ast/apply.scm 182 */
BgL_variablez00_bglt BgL_variable1632z00_2070;
{ /* Ast/apply.scm 185 */
BgL_localz00_bglt BgL_auxz00_3334;
BgL_auxz00_3334 = BgL_runnerz00_3046; 
BgL_variable1632z00_2070 = 
(BgL_variablez00_bglt)(BgL_auxz00_3334); } 
{ /* Ast/apply.scm 182 */
BgL_varz00_bglt BgL_new1633z00_2071;
{ /* Ast/apply.scm 182 */
BgL_varz00_bglt BgL_res2988z00_2077;
{ /* Ast/apply.scm 182 */
BgL_varz00_bglt BgL_new1635z00_2072;
BgL_new1635z00_2072 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 182 */
long BgL_arg2929z00_2073;
BgL_arg2929z00_2073 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 182 */
BgL_objectz00_bglt BgL_auxz00_3338;
BgL_auxz00_3338 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2072); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3338, BgL_arg2929z00_2073); } } 
{ /* Ast/apply.scm 182 */
BgL_objectz00_bglt BgL_auxz00_3341;
BgL_auxz00_3341 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2072); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3341, BFALSE); } 
{ /* Ast/apply.scm 182 */
obj_t BgL_auxz00_3344;
BgL_auxz00_3344 = 
(obj_t)(BgL_new1635z00_2072); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3344); } BUNSPEC; 
BgL_res2988z00_2077 = BgL_new1635z00_2072; } 
BgL_new1633z00_2071 = BgL_res2988z00_2077; } 
{ /* Ast/apply.scm 182 */
BgL_varz00_bglt BgL_res2989z00_2085;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2071))->BgL_locz00) = ((obj_t)BgL_arg2789z00_1374), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2071))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2790z00_1375), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2071))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2070), BUNSPEC); 
BgL_res2989z00_2085 = BgL_new1633z00_2071; BgL_res2989z00_2085; } 
BgL_res2990z00_2086 = BgL_new1633z00_2071; } } 
BgL_arg2786z00_1372 = BgL_res2990z00_2086; } } 
{ /* Ast/apply.scm 181 */
obj_t BgL_auxz00_3350;
BgL_auxz00_3350 = 
(obj_t)(BgL_arg2786z00_1372); 
BgL_arg2785z00_1371 = 
MAKE_PAIR(BgL_auxz00_3350, BNIL); } } 
BgL_arg2782z00_1368 = 
MAKE_PAIR(BgL_arg2784z00_1370, BgL_arg2785z00_1371); } 
BgL_arg2783z00_1369 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2781z00_1367 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2782z00_1368, BgL_stackz00_3047, BgL_locz00_3044, BgL_arg2783z00_1369); } 
{ /* Ast/apply.scm 178 */
obj_t BgL_auxz00_3356;
BgL_auxz00_3356 = 
(obj_t)(BgL_arg2781z00_1367); 
BgL_arg2777z00_1364 = 
MAKE_PAIR(BgL_arg2779z00_1366, BgL_auxz00_3356); } } 
{ /* Ast/apply.scm 178 */
obj_t BgL_list2778z00_1365;
BgL_list2778z00_1365 = 
MAKE_PAIR(BgL_arg2777z00_1364, BNIL); 
BgL_arg2774z00_1362 = BgL_list2778z00_1365; } } 
{ /* Ast/apply.scm 189 */
bool_t BgL_testz00_3360;
{ /* Ast/apply.scm 189 */
obj_t BgL_auxz00_3361;
BgL_auxz00_3361 = 
CDR(BgL_localsz00_1303); 
BgL_testz00_3360 = 
NULLP(BgL_auxz00_3361); } 
if(BgL_testz00_3360)
{ /* Ast/apply.scm 189 */
BgL_arg2775z00_1363 = 
BGl_loopz72z72zzast_applyz00(BgL_sitez00_3050, BgL_procz00_3049, BgL_framez00_3048, BgL_stackz00_3047, BgL_runnerz00_3046, BgL_typez00_3045, BgL_locz00_3044, 
CDR(BgL_localsz00_1303)); }  else 
{ /* Ast/apply.scm 192 */
obj_t BgL_arg2795z00_1379;obj_t BgL_arg2796z00_1380;
{ /* Ast/apply.scm 192 */
obj_t BgL_arg2797z00_1381;obj_t BgL_arg2799z00_1382;
BgL_arg2797z00_1381 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/apply.scm 193 */
obj_t BgL_arg2800z00_1383;obj_t BgL_arg2801z00_1384;
{ /* Ast/apply.scm 193 */
obj_t BgL_arg2802z00_1385;obj_t BgL_arg2805z00_1386;
BgL_arg2802z00_1385 = 
CNST_TABLE_REF(((long)11)); 
{ /* Ast/apply.scm 194 */
BgL_varz00_bglt BgL_arg2806z00_1387;obj_t BgL_arg2807z00_1388;
{ /* Ast/apply.scm 194 */
obj_t BgL_arg2808z00_1389;BgL_typez00_bglt BgL_arg2809z00_1390;
BgL_arg2808z00_1389 = BgL_locz00_3044; 
BgL_arg2809z00_1390 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3046))->BgL_typez00); 
{ /* Ast/apply.scm 193 */
BgL_varz00_bglt BgL_res2994z00_2111;
{ /* Ast/apply.scm 193 */
BgL_variablez00_bglt BgL_variable1632z00_2095;
{ /* Ast/apply.scm 196 */
BgL_localz00_bglt BgL_auxz00_3369;
BgL_auxz00_3369 = BgL_runnerz00_3046; 
BgL_variable1632z00_2095 = 
(BgL_variablez00_bglt)(BgL_auxz00_3369); } 
{ /* Ast/apply.scm 193 */
BgL_varz00_bglt BgL_new1633z00_2096;
{ /* Ast/apply.scm 193 */
BgL_varz00_bglt BgL_res2992z00_2102;
{ /* Ast/apply.scm 193 */
BgL_varz00_bglt BgL_new1635z00_2097;
BgL_new1635z00_2097 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 193 */
long BgL_arg2929z00_2098;
BgL_arg2929z00_2098 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 193 */
BgL_objectz00_bglt BgL_auxz00_3373;
BgL_auxz00_3373 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2097); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3373, BgL_arg2929z00_2098); } } 
{ /* Ast/apply.scm 193 */
BgL_objectz00_bglt BgL_auxz00_3376;
BgL_auxz00_3376 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2097); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3376, BFALSE); } 
{ /* Ast/apply.scm 193 */
obj_t BgL_auxz00_3379;
BgL_auxz00_3379 = 
(obj_t)(BgL_new1635z00_2097); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3379); } BUNSPEC; 
BgL_res2992z00_2102 = BgL_new1635z00_2097; } 
BgL_new1633z00_2096 = BgL_res2992z00_2102; } 
{ /* Ast/apply.scm 193 */
BgL_varz00_bglt BgL_res2993z00_2110;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2096))->BgL_locz00) = ((obj_t)BgL_arg2808z00_1389), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2096))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2809z00_1390), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2096))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2095), BUNSPEC); 
BgL_res2993z00_2110 = BgL_new1633z00_2096; BgL_res2993z00_2110; } 
BgL_res2994z00_2111 = BgL_new1633z00_2096; } } 
BgL_arg2806z00_1387 = BgL_res2994z00_2111; } } 
{ /* Ast/apply.scm 197 */
obj_t BgL_arg2811z00_1392;
{ /* Ast/apply.scm 197 */
obj_t BgL_arg2813z00_1394;obj_t BgL_arg2814z00_1395;
BgL_arg2813z00_1394 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/apply.scm 199 */
BgL_varz00_bglt BgL_arg2815z00_1396;
{ /* Ast/apply.scm 199 */
obj_t BgL_arg2817z00_1398;BgL_typez00_bglt BgL_arg2818z00_1399;
BgL_arg2817z00_1398 = BgL_locz00_3044; 
BgL_arg2818z00_1399 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3046))->BgL_typez00); 
{ /* Ast/apply.scm 198 */
BgL_varz00_bglt BgL_res2997z00_2131;
{ /* Ast/apply.scm 198 */
BgL_variablez00_bglt BgL_variable1632z00_2115;
{ /* Ast/apply.scm 201 */
BgL_localz00_bglt BgL_auxz00_3387;
BgL_auxz00_3387 = BgL_runnerz00_3046; 
BgL_variable1632z00_2115 = 
(BgL_variablez00_bglt)(BgL_auxz00_3387); } 
{ /* Ast/apply.scm 198 */
BgL_varz00_bglt BgL_new1633z00_2116;
{ /* Ast/apply.scm 198 */
BgL_varz00_bglt BgL_res2995z00_2122;
{ /* Ast/apply.scm 198 */
BgL_varz00_bglt BgL_new1635z00_2117;
BgL_new1635z00_2117 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 198 */
long BgL_arg2929z00_2118;
BgL_arg2929z00_2118 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 198 */
BgL_objectz00_bglt BgL_auxz00_3391;
BgL_auxz00_3391 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2117); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3391, BgL_arg2929z00_2118); } } 
{ /* Ast/apply.scm 198 */
BgL_objectz00_bglt BgL_auxz00_3394;
BgL_auxz00_3394 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2117); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3394, BFALSE); } 
{ /* Ast/apply.scm 198 */
obj_t BgL_auxz00_3397;
BgL_auxz00_3397 = 
(obj_t)(BgL_new1635z00_2117); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3397); } BUNSPEC; 
BgL_res2995z00_2122 = BgL_new1635z00_2117; } 
BgL_new1633z00_2116 = BgL_res2995z00_2122; } 
{ /* Ast/apply.scm 198 */
BgL_varz00_bglt BgL_res2996z00_2130;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2116))->BgL_locz00) = ((obj_t)BgL_arg2817z00_1398), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2116))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2818z00_1399), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2116))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2115), BUNSPEC); 
BgL_res2996z00_2130 = BgL_new1633z00_2116; BgL_res2996z00_2130; } 
BgL_res2997z00_2131 = BgL_new1633z00_2116; } } 
BgL_arg2815z00_1396 = BgL_res2997z00_2131; } } 
{ /* Ast/apply.scm 197 */
obj_t BgL_auxz00_3403;
BgL_auxz00_3403 = 
(obj_t)(BgL_arg2815z00_1396); 
BgL_arg2814z00_1395 = 
MAKE_PAIR(BgL_auxz00_3403, BNIL); } } 
BgL_arg2811z00_1392 = 
MAKE_PAIR(BgL_arg2813z00_1394, BgL_arg2814z00_1395); } 
BgL_arg2807z00_1388 = 
MAKE_PAIR(BgL_arg2811z00_1392, BNIL); } 
{ /* Ast/apply.scm 193 */
obj_t BgL_auxz00_3408;
BgL_auxz00_3408 = 
(obj_t)(BgL_arg2806z00_1387); 
BgL_arg2805z00_1386 = 
MAKE_PAIR(BgL_auxz00_3408, BgL_arg2807z00_1388); } } 
BgL_arg2800z00_1383 = 
MAKE_PAIR(BgL_arg2802z00_1385, BgL_arg2805z00_1386); } 
{ /* Ast/apply.scm 202 */
obj_t BgL_arg2820z00_1401;
BgL_arg2820z00_1401 = 
BGl_loopz72z72zzast_applyz00(BgL_sitez00_3050, BgL_procz00_3049, BgL_framez00_3048, BgL_stackz00_3047, BgL_runnerz00_3046, BgL_typez00_3045, BgL_locz00_3044, 
CDR(BgL_localsz00_1303)); 
BgL_arg2801z00_1384 = 
MAKE_PAIR(BgL_arg2820z00_1401, BNIL); } 
BgL_arg2799z00_1382 = 
MAKE_PAIR(BgL_arg2800z00_1383, BgL_arg2801z00_1384); } 
BgL_arg2795z00_1379 = 
MAKE_PAIR(BgL_arg2797z00_1381, BgL_arg2799z00_1382); } 
BgL_arg2796z00_1380 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/apply.scm 191 */
BgL_nodez00_bglt BgL_auxz00_3418;
BgL_auxz00_3418 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2795z00_1379, BgL_stackz00_3047, BgL_locz00_3044, BgL_arg2796z00_1380); 
BgL_arg2775z00_1363 = 
(obj_t)(BgL_auxz00_3418); } } } 
{ /* Ast/apply.scm 175 */
BgL_letzd2varzd2_bglt BgL_res3000z00_2163;
{ /* Ast/apply.scm 175 */
obj_t BgL_key2494z00_2136;BgL_nodez00_bglt BgL_body2496z00_2138;
BgL_key2494z00_2136 = 
BINT(((long)-1)); 
BgL_body2496z00_2138 = 
(BgL_nodez00_bglt)(BgL_arg2775z00_1363); 
{ /* Ast/apply.scm 175 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2140;
{ /* Ast/apply.scm 175 */
BgL_letzd2varzd2_bglt BgL_res2998z00_2146;
{ /* Ast/apply.scm 175 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2141;
BgL_new2500z00_2141 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/apply.scm 175 */
long BgL_arg2906z00_2142;
BgL_arg2906z00_2142 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/apply.scm 175 */
BgL_objectz00_bglt BgL_auxz00_3425;
BgL_auxz00_3425 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2141); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3425, BgL_arg2906z00_2142); } } 
{ /* Ast/apply.scm 175 */
BgL_objectz00_bglt BgL_auxz00_3428;
BgL_auxz00_3428 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2141); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3428, BFALSE); } 
{ /* Ast/apply.scm 175 */
obj_t BgL_auxz00_3431;
BgL_auxz00_3431 = 
(obj_t)(BgL_new2500z00_2141); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3431); } BUNSPEC; 
BgL_res2998z00_2146 = BgL_new2500z00_2141; } 
BgL_new2498z00_2140 = BgL_res2998z00_2146; } 
{ /* Ast/apply.scm 175 */
BgL_letzd2varzd2_bglt BgL_res2999z00_2162;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_locz00) = ((obj_t)BgL_arg2771z00_1359), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2772z00_1360), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2136), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_bindingsz00) = ((obj_t)BgL_arg2774z00_1362), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_2138), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2140))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2999z00_2162 = BgL_new2498z00_2140; BgL_res2999z00_2162; } 
BgL_res3000z00_2163 = BgL_new2498z00_2140; } } 
return 
(obj_t)(BgL_res3000z00_2163);} } } 
}



/* va-known-app-ly->node */
BgL_letzd2varzd2_bglt BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_26, obj_t BgL_locz00_27, BgL_nodez00_bglt BgL_procz00_28, BgL_nodez00_bglt BgL_argz00_29, obj_t BgL_framez00_30, obj_t BgL_sitez00_31)
{ AN_OBJECT;
{ /* Ast/apply.scm 223 */
{ /* Ast/apply.scm 224 */
obj_t BgL_framez00_3043;
BgL_framez00_3043 = 
MAKE_CELL(BgL_framez00_30); 
{ /* Ast/apply.scm 224 */
BgL_localz00_bglt BgL_runnerz00_1407;BgL_typez00_bglt BgL_typez00_1408;
{ /* Ast/apply.scm 224 */
obj_t BgL_arg2899z00_1493;
{ /* Ast/apply.scm 224 */
obj_t BgL_arg2900z00_1494;
BgL_arg2900z00_1494 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_arg2899z00_1493 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2900z00_1494); } 
BgL_runnerz00_1407 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2899z00_1493, 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00)); } 
BgL_typez00_1408 = 
(((BgL_nodez00_bglt)CREF(BgL_procz00_28))->BgL_typez00); 
{ /* Ast/apply.scm 227 */
bool_t BgL_test2826z00_1409;
{ /* Ast/apply.scm 227 */
obj_t BgL_objz00_2196;
BgL_objz00_2196 = 
CELL_REF(BgL_framez00_3043); 
BgL_test2826z00_1409 = 
PAIRP(BgL_objz00_2196); } 
if(BgL_test2826z00_1409)
{ /* Ast/apply.scm 228 */
obj_t BgL_val1259z00_2198;
BgL_val1259z00_2198 = 
CNST_TABLE_REF(((long)3)); 
((((BgL_localz00_bglt)CREF(BgL_runnerz00_1407))->BgL_accessz00) = ((obj_t)BgL_val1259z00_2198), BUNSPEC); }  else 
{ /* Ast/apply.scm 227 */BFALSE; } } 
{ /* Ast/apply.scm 230 */
obj_t BgL_arg2827z00_1410;BgL_typez00_bglt BgL_arg2828z00_1411;obj_t BgL_arg2830z00_1413;obj_t BgL_arg2831z00_1414;
BgL_arg2827z00_1410 = BgL_locz00_27; 
BgL_arg2828z00_1411 = BgL_typez00_1408; 
{ /* Ast/apply.scm 232 */
obj_t BgL_arg2832z00_1415;
{ /* Ast/apply.scm 232 */
obj_t BgL_auxz00_3455;obj_t BgL_auxz00_3453;
BgL_auxz00_3455 = 
(obj_t)(BgL_argz00_29); 
BgL_auxz00_3453 = 
(obj_t)(BgL_runnerz00_1407); 
BgL_arg2832z00_1415 = 
MAKE_PAIR(BgL_auxz00_3453, BgL_auxz00_3455); } 
{ /* Ast/apply.scm 232 */
obj_t BgL_list2833z00_1416;
BgL_list2833z00_1416 = 
MAKE_PAIR(BgL_arg2832z00_1415, BNIL); 
BgL_arg2830z00_1413 = BgL_list2833z00_1416; } } 
BgL_arg2831z00_1414 = 
BGl_loopz00zzast_applyz00(BgL_procz00_28, BgL_framez00_3043, BgL_stackz00_26, BgL_runnerz00_1407, BgL_typez00_1408, BgL_locz00_27, 
CELL_REF(BgL_framez00_3043), BNIL); 
{ /* Ast/apply.scm 229 */
BgL_letzd2varzd2_bglt BgL_res3030z00_2415;
{ /* Ast/apply.scm 229 */
obj_t BgL_key2494z00_2388;BgL_nodez00_bglt BgL_body2496z00_2390;
BgL_key2494z00_2388 = 
BINT(((long)-1)); 
BgL_body2496z00_2390 = 
(BgL_nodez00_bglt)(BgL_arg2831z00_1414); 
{ /* Ast/apply.scm 229 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2392;
{ /* Ast/apply.scm 229 */
BgL_letzd2varzd2_bglt BgL_res3028z00_2398;
{ /* Ast/apply.scm 229 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2393;
BgL_new2500z00_2393 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/apply.scm 229 */
long BgL_arg2906z00_2394;
BgL_arg2906z00_2394 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/apply.scm 229 */
BgL_objectz00_bglt BgL_auxz00_3464;
BgL_auxz00_3464 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2393); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3464, BgL_arg2906z00_2394); } } 
{ /* Ast/apply.scm 229 */
BgL_objectz00_bglt BgL_auxz00_3467;
BgL_auxz00_3467 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2393); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3467, BFALSE); } 
{ /* Ast/apply.scm 229 */
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
(obj_t)(BgL_new2500z00_2393); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3470); } BUNSPEC; 
BgL_res3028z00_2398 = BgL_new2500z00_2393; } 
BgL_new2498z00_2392 = BgL_res3028z00_2398; } 
{ /* Ast/apply.scm 229 */
BgL_letzd2varzd2_bglt BgL_res3029z00_2414;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_locz00) = ((obj_t)BgL_arg2827z00_1410), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2828z00_1411), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2388), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_bindingsz00) = ((obj_t)BgL_arg2830z00_1413), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_2390), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2392))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3029z00_2414 = BgL_new2498z00_2392; BgL_res3029z00_2414; } 
BgL_res3030z00_2415 = BgL_new2498z00_2392; } } 
return BgL_res3030z00_2415;} } } } } 
}



/* loop */
obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt BgL_procz00_3041, obj_t BgL_framez00_3040, obj_t BgL_stackz00_3039, BgL_localz00_bglt BgL_runnerz00_3038, BgL_typez00_bglt BgL_typez00_3037, obj_t BgL_locz00_3036, obj_t BgL_localsz00_1417, obj_t BgL_oldz00_1418)
{ AN_OBJECT;
{ /* Ast/apply.scm 233 */
if(
NULLP(BgL_localsz00_1417))
{ /* Ast/apply.scm 235 */
if(
NULLP(BgL_oldz00_1418))
{ /* Ast/apply.scm 238 */
obj_t BgL_auxz00_3042;
{ /* Ast/apply.scm 238 */
obj_t BgL_list2836z00_1422;
{ /* Ast/apply.scm 238 */
obj_t BgL_auxz00_3484;
BgL_auxz00_3484 = 
(obj_t)(BgL_runnerz00_3038); 
BgL_list2836z00_1422 = 
MAKE_PAIR(BgL_auxz00_3484, BNIL); } 
BgL_auxz00_3042 = BgL_list2836z00_1422; } 
CELL_SET(BgL_framez00_3040, BgL_auxz00_3042); }  else 
{ /* Ast/apply.scm 239 */
obj_t BgL_arg2837z00_1423;
{ /* Ast/apply.scm 239 */
obj_t BgL_auxz00_3487;
BgL_auxz00_3487 = 
(obj_t)(BgL_runnerz00_3038); 
BgL_arg2837z00_1423 = 
MAKE_PAIR(BgL_auxz00_3487, BNIL); } 
SET_CDR(BgL_oldz00_1418, BgL_arg2837z00_1423); } 
{ /* Ast/apply.scm 241 */
obj_t BgL_arg2838z00_1424;BgL_typez00_bglt BgL_arg2839z00_1425;BgL_varz00_bglt BgL_arg2841z00_1427;obj_t BgL_arg2842z00_1428;
BgL_arg2838z00_1424 = BgL_locz00_3036; 
{ /* Ast/apply.scm 242 */
BgL_variablez00_bglt BgL_arg2843z00_1429;
{ /* Ast/apply.scm 242 */
BgL_varz00_bglt BgL_obj1619z00_2207;
BgL_obj1619z00_2207 = 
(BgL_varz00_bglt)(BgL_procz00_3041); 
BgL_arg2843z00_1429 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2207))->BgL_variablez00); } 
BgL_arg2839z00_1425 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2843z00_1429))->BgL_typez00); } 
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_duplicated2669z00_1430;
BgL_duplicated2669z00_1430 = 
(BgL_varz00_bglt)(BgL_procz00_3041); 
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_new2670z00_1431;
{ /* Ast/apply.scm 243 */
obj_t BgL_arg2844z00_1432;BgL_typez00_bglt BgL_arg2845z00_1433;BgL_variablez00_bglt BgL_arg2846z00_1434;
BgL_arg2844z00_1432 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2669z00_1430))->BgL_locz00); 
BgL_arg2845z00_1433 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2669z00_1430))->BgL_typez00); 
BgL_arg2846z00_1434 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2669z00_1430))->BgL_variablez00); 
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_res3008z00_2230;
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_new1633z00_2215;
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_res3006z00_2221;
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_new1635z00_2216;
BgL_new1635z00_2216 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 243 */
long BgL_arg2929z00_2217;
BgL_arg2929z00_2217 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 243 */
BgL_objectz00_bglt BgL_auxz00_3500;
BgL_auxz00_3500 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2216); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3500, BgL_arg2929z00_2217); } } 
{ /* Ast/apply.scm 243 */
BgL_objectz00_bglt BgL_auxz00_3503;
BgL_auxz00_3503 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2216); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3503, BFALSE); } 
{ /* Ast/apply.scm 243 */
obj_t BgL_auxz00_3506;
BgL_auxz00_3506 = 
(obj_t)(BgL_new1635z00_2216); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3506); } BUNSPEC; 
BgL_res3006z00_2221 = BgL_new1635z00_2216; } 
BgL_new1633z00_2215 = BgL_res3006z00_2221; } 
{ /* Ast/apply.scm 243 */
BgL_varz00_bglt BgL_res3007z00_2229;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2215))->BgL_locz00) = ((obj_t)BgL_arg2844z00_1432), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2215))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2845z00_1433), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2215))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg2846z00_1434), BUNSPEC); 
BgL_res3007z00_2229 = BgL_new1633z00_2215; BgL_res3007z00_2229; } 
BgL_res3008z00_2230 = BgL_new1633z00_2215; } 
BgL_new2670z00_1431 = BgL_res3008z00_2230; } } 
{ /* Ast/apply.scm 243 */

BgL_arg2841z00_1427 = BgL_new2670z00_1431; } } } 
{ /* Ast/apply.scm 244 */
obj_t BgL_l2671z00_1435;
BgL_l2671z00_1435 = 
CELL_REF(BgL_framez00_3040); 
if(
NULLP(BgL_l2671z00_1435))
{ /* Ast/apply.scm 244 */
BgL_arg2842z00_1428 = BNIL; }  else 
{ /* Ast/apply.scm 244 */
obj_t BgL_head2673z00_1437;
BgL_head2673z00_1437 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2671z00_1438;obj_t BgL_tail2674z00_1439;
BgL_l2671z00_1438 = BgL_l2671z00_1435; 
BgL_tail2674z00_1439 = BgL_head2673z00_1437; 
BgL_lname2672z00_1440:
if(
NULLP(BgL_l2671z00_1438))
{ /* Ast/apply.scm 244 */
BgL_arg2842z00_1428 = 
CDR(BgL_head2673z00_1437); }  else 
{ /* Ast/apply.scm 245 */
obj_t BgL_newtail2675z00_1442;
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_arg2851z00_1444;
{ /* Ast/apply.scm 245 */
obj_t BgL_localz00_1446;
BgL_localz00_1446 = 
CAR(BgL_l2671z00_1438); 
{ /* Ast/apply.scm 246 */
obj_t BgL_arg2853z00_1447;BgL_typez00_bglt BgL_arg2854z00_1448;
BgL_arg2853z00_1447 = BgL_locz00_3036; 
{ /* Ast/apply.scm 247 */
BgL_localz00_bglt BgL_obj1252z00_2237;
BgL_obj1252z00_2237 = 
(BgL_localz00_bglt)(BgL_localz00_1446); 
BgL_arg2854z00_1448 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2237))->BgL_typez00); } 
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_res3011z00_2256;
{ /* Ast/apply.scm 245 */
BgL_variablez00_bglt BgL_variable1632z00_2240;
{ /* Ast/apply.scm 248 */
obj_t BgL_auxz00_3521;
BgL_auxz00_3521 = BgL_localz00_1446; 
BgL_variable1632z00_2240 = 
(BgL_variablez00_bglt)(BgL_auxz00_3521); } 
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_new1633z00_2241;
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_res3009z00_2247;
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_new1635z00_2242;
BgL_new1635z00_2242 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 245 */
long BgL_arg2929z00_2243;
BgL_arg2929z00_2243 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 245 */
BgL_objectz00_bglt BgL_auxz00_3525;
BgL_auxz00_3525 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2242); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3525, BgL_arg2929z00_2243); } } 
{ /* Ast/apply.scm 245 */
BgL_objectz00_bglt BgL_auxz00_3528;
BgL_auxz00_3528 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2242); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3528, BFALSE); } 
{ /* Ast/apply.scm 245 */
obj_t BgL_auxz00_3531;
BgL_auxz00_3531 = 
(obj_t)(BgL_new1635z00_2242); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3531); } BUNSPEC; 
BgL_res3009z00_2247 = BgL_new1635z00_2242; } 
BgL_new1633z00_2241 = BgL_res3009z00_2247; } 
{ /* Ast/apply.scm 245 */
BgL_varz00_bglt BgL_res3010z00_2255;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2241))->BgL_locz00) = ((obj_t)BgL_arg2853z00_1447), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2241))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2854z00_1448), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2241))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2240), BUNSPEC); 
BgL_res3010z00_2255 = BgL_new1633z00_2241; BgL_res3010z00_2255; } 
BgL_res3011z00_2256 = BgL_new1633z00_2241; } } 
BgL_arg2851z00_1444 = BgL_res3011z00_2256; } } } 
{ /* Ast/apply.scm 244 */
obj_t BgL_auxz00_3537;
BgL_auxz00_3537 = 
(obj_t)(BgL_arg2851z00_1444); 
BgL_newtail2675z00_1442 = 
MAKE_PAIR(BgL_auxz00_3537, BNIL); } } 
SET_CDR(BgL_tail2674z00_1439, BgL_newtail2675z00_1442); 
{ 
obj_t BgL_tail2674z00_3543;obj_t BgL_l2671z00_3541;
BgL_l2671z00_3541 = 
CDR(BgL_l2671z00_1438); 
BgL_tail2674z00_3543 = BgL_newtail2675z00_1442; 
BgL_tail2674z00_1439 = BgL_tail2674z00_3543; 
BgL_l2671z00_1438 = BgL_l2671z00_3541; 
goto BgL_lname2672z00_1440;} } } } } 
{ /* Ast/apply.scm 240 */
BgL_appz00_bglt BgL_res3014z00_2289;
{ /* Ast/apply.scm 240 */
obj_t BgL_key1745z00_2265;
BgL_key1745z00_2265 = 
BINT(((long)-1)); 
{ /* Ast/apply.scm 240 */
BgL_appz00_bglt BgL_new1748z00_2268;
{ /* Ast/apply.scm 240 */
BgL_appz00_bglt BgL_res3012z00_2274;
{ /* Ast/apply.scm 240 */
BgL_appz00_bglt BgL_new1750z00_2269;
BgL_new1750z00_2269 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/apply.scm 240 */
long BgL_arg2925z00_2270;
BgL_arg2925z00_2270 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/apply.scm 240 */
BgL_objectz00_bglt BgL_auxz00_3547;
BgL_auxz00_3547 = 
(BgL_objectz00_bglt)(BgL_new1750z00_2269); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3547, BgL_arg2925z00_2270); } } 
{ /* Ast/apply.scm 240 */
BgL_objectz00_bglt BgL_auxz00_3550;
BgL_auxz00_3550 = 
(BgL_objectz00_bglt)(BgL_new1750z00_2269); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3550, BFALSE); } 
{ /* Ast/apply.scm 240 */
obj_t BgL_auxz00_3553;
BgL_auxz00_3553 = 
(obj_t)(BgL_new1750z00_2269); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3553); } BUNSPEC; 
BgL_res3012z00_2274 = BgL_new1750z00_2269; } 
BgL_new1748z00_2268 = BgL_res3012z00_2274; } 
{ /* Ast/apply.scm 240 */
BgL_appz00_bglt BgL_res3013z00_2288;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_locz00) = ((obj_t)BgL_arg2838z00_1424), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2839z00_1425), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_keyz00) = ((obj_t)BgL_key1745z00_2265), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2841z00_1427), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_2268))->BgL_argsz00) = ((obj_t)BgL_arg2842z00_1428), BUNSPEC); 
BgL_res3013z00_2288 = BgL_new1748z00_2268; BgL_res3013z00_2288; } 
BgL_res3014z00_2289 = BgL_new1748z00_2268; } } 
return 
(obj_t)(BgL_res3014z00_2289);} } }  else 
{ /* Ast/apply.scm 251 */
obj_t BgL_arg2856z00_1450;BgL_typez00_bglt BgL_arg2857z00_1451;obj_t BgL_arg2859z00_1453;BgL_nodez00_bglt BgL_arg2860z00_1454;
BgL_arg2856z00_1450 = BgL_locz00_3036; 
BgL_arg2857z00_1451 = BgL_typez00_3037; 
{ /* Ast/apply.scm 254 */
obj_t BgL_arg2861z00_1455;
{ /* Ast/apply.scm 254 */
obj_t BgL_arg2863z00_1457;BgL_nodez00_bglt BgL_arg2864z00_1458;
BgL_arg2863z00_1457 = 
CAR(BgL_localsz00_1417); 
{ /* Ast/apply.scm 256 */
obj_t BgL_arg2865z00_1459;obj_t BgL_arg2866z00_1460;
{ /* Ast/apply.scm 256 */
obj_t BgL_arg2867z00_1461;obj_t BgL_arg2868z00_1462;
BgL_arg2867z00_1461 = 
CNST_TABLE_REF(((long)9)); 
{ /* Ast/apply.scm 258 */
BgL_varz00_bglt BgL_arg2869z00_1463;
{ /* Ast/apply.scm 258 */
obj_t BgL_arg2871z00_1465;BgL_typez00_bglt BgL_arg2872z00_1466;
BgL_arg2871z00_1465 = BgL_locz00_3036; 
BgL_arg2872z00_1466 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3038))->BgL_typez00); 
{ /* Ast/apply.scm 257 */
BgL_varz00_bglt BgL_res3017z00_2310;
{ /* Ast/apply.scm 257 */
BgL_variablez00_bglt BgL_variable1632z00_2294;
{ /* Ast/apply.scm 260 */
BgL_localz00_bglt BgL_auxz00_3566;
BgL_auxz00_3566 = BgL_runnerz00_3038; 
BgL_variable1632z00_2294 = 
(BgL_variablez00_bglt)(BgL_auxz00_3566); } 
{ /* Ast/apply.scm 257 */
BgL_varz00_bglt BgL_new1633z00_2295;
{ /* Ast/apply.scm 257 */
BgL_varz00_bglt BgL_res3015z00_2301;
{ /* Ast/apply.scm 257 */
BgL_varz00_bglt BgL_new1635z00_2296;
BgL_new1635z00_2296 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 257 */
long BgL_arg2929z00_2297;
BgL_arg2929z00_2297 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3570;
BgL_auxz00_3570 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2296); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3570, BgL_arg2929z00_2297); } } 
{ /* Ast/apply.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3573;
BgL_auxz00_3573 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2296); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3573, BFALSE); } 
{ /* Ast/apply.scm 257 */
obj_t BgL_auxz00_3576;
BgL_auxz00_3576 = 
(obj_t)(BgL_new1635z00_2296); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3576); } BUNSPEC; 
BgL_res3015z00_2301 = BgL_new1635z00_2296; } 
BgL_new1633z00_2295 = BgL_res3015z00_2301; } 
{ /* Ast/apply.scm 257 */
BgL_varz00_bglt BgL_res3016z00_2309;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2295))->BgL_locz00) = ((obj_t)BgL_arg2871z00_1465), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2295))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2872z00_1466), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2295))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2294), BUNSPEC); 
BgL_res3016z00_2309 = BgL_new1633z00_2295; BgL_res3016z00_2309; } 
BgL_res3017z00_2310 = BgL_new1633z00_2295; } } 
BgL_arg2869z00_1463 = BgL_res3017z00_2310; } } 
{ /* Ast/apply.scm 256 */
obj_t BgL_auxz00_3582;
BgL_auxz00_3582 = 
(obj_t)(BgL_arg2869z00_1463); 
BgL_arg2868z00_1462 = 
MAKE_PAIR(BgL_auxz00_3582, BNIL); } } 
BgL_arg2865z00_1459 = 
MAKE_PAIR(BgL_arg2867z00_1461, BgL_arg2868z00_1462); } 
BgL_arg2866z00_1460 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2864z00_1458 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2865z00_1459, BgL_stackz00_3039, BgL_locz00_3036, BgL_arg2866z00_1460); } 
{ /* Ast/apply.scm 253 */
obj_t BgL_auxz00_3588;
BgL_auxz00_3588 = 
(obj_t)(BgL_arg2864z00_1458); 
BgL_arg2861z00_1455 = 
MAKE_PAIR(BgL_arg2863z00_1457, BgL_auxz00_3588); } } 
{ /* Ast/apply.scm 253 */
obj_t BgL_list2862z00_1456;
BgL_list2862z00_1456 = 
MAKE_PAIR(BgL_arg2861z00_1455, BNIL); 
BgL_arg2859z00_1453 = BgL_list2862z00_1456; } } 
{ /* Ast/apply.scm 265 */
obj_t BgL_arg2874z00_1468;obj_t BgL_arg2875z00_1469;
{ /* Ast/apply.scm 265 */
obj_t BgL_arg2876z00_1470;obj_t BgL_arg2877z00_1471;
BgL_arg2876z00_1470 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/apply.scm 266 */
obj_t BgL_arg2878z00_1472;obj_t BgL_arg2879z00_1473;
{ /* Ast/apply.scm 266 */
obj_t BgL_arg2880z00_1474;obj_t BgL_arg2881z00_1475;
BgL_arg2880z00_1474 = 
CNST_TABLE_REF(((long)11)); 
{ /* Ast/apply.scm 267 */
BgL_varz00_bglt BgL_arg2882z00_1476;obj_t BgL_arg2883z00_1477;
{ /* Ast/apply.scm 267 */
obj_t BgL_arg2884z00_1478;BgL_typez00_bglt BgL_arg2885z00_1479;
BgL_arg2884z00_1478 = BgL_locz00_3036; 
BgL_arg2885z00_1479 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3038))->BgL_typez00); 
{ /* Ast/apply.scm 266 */
BgL_varz00_bglt BgL_res3021z00_2332;
{ /* Ast/apply.scm 266 */
BgL_variablez00_bglt BgL_variable1632z00_2316;
{ /* Ast/apply.scm 269 */
BgL_localz00_bglt BgL_auxz00_3595;
BgL_auxz00_3595 = BgL_runnerz00_3038; 
BgL_variable1632z00_2316 = 
(BgL_variablez00_bglt)(BgL_auxz00_3595); } 
{ /* Ast/apply.scm 266 */
BgL_varz00_bglt BgL_new1633z00_2317;
{ /* Ast/apply.scm 266 */
BgL_varz00_bglt BgL_res3019z00_2323;
{ /* Ast/apply.scm 266 */
BgL_varz00_bglt BgL_new1635z00_2318;
BgL_new1635z00_2318 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 266 */
long BgL_arg2929z00_2319;
BgL_arg2929z00_2319 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 266 */
BgL_objectz00_bglt BgL_auxz00_3599;
BgL_auxz00_3599 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2318); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3599, BgL_arg2929z00_2319); } } 
{ /* Ast/apply.scm 266 */
BgL_objectz00_bglt BgL_auxz00_3602;
BgL_auxz00_3602 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2318); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3602, BFALSE); } 
{ /* Ast/apply.scm 266 */
obj_t BgL_auxz00_3605;
BgL_auxz00_3605 = 
(obj_t)(BgL_new1635z00_2318); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3605); } BUNSPEC; 
BgL_res3019z00_2323 = BgL_new1635z00_2318; } 
BgL_new1633z00_2317 = BgL_res3019z00_2323; } 
{ /* Ast/apply.scm 266 */
BgL_varz00_bglt BgL_res3020z00_2331;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2317))->BgL_locz00) = ((obj_t)BgL_arg2884z00_1478), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2317))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2885z00_1479), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2317))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2316), BUNSPEC); 
BgL_res3020z00_2331 = BgL_new1633z00_2317; BgL_res3020z00_2331; } 
BgL_res3021z00_2332 = BgL_new1633z00_2317; } } 
BgL_arg2882z00_1476 = BgL_res3021z00_2332; } } 
{ /* Ast/apply.scm 270 */
obj_t BgL_arg2887z00_1481;
{ /* Ast/apply.scm 270 */
obj_t BgL_arg2889z00_1483;obj_t BgL_arg2890z00_1484;
BgL_arg2889z00_1483 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/apply.scm 271 */
BgL_varz00_bglt BgL_arg2891z00_1485;
{ /* Ast/apply.scm 271 */
obj_t BgL_arg2893z00_1487;BgL_typez00_bglt BgL_arg2894z00_1488;
BgL_arg2893z00_1487 = BgL_locz00_3036; 
BgL_arg2894z00_1488 = 
(((BgL_localz00_bglt)CREF(BgL_runnerz00_3038))->BgL_typez00); 
{ /* Ast/apply.scm 270 */
BgL_varz00_bglt BgL_res3024z00_2352;
{ /* Ast/apply.scm 270 */
BgL_variablez00_bglt BgL_variable1632z00_2336;
{ /* Ast/apply.scm 273 */
BgL_localz00_bglt BgL_auxz00_3613;
BgL_auxz00_3613 = BgL_runnerz00_3038; 
BgL_variable1632z00_2336 = 
(BgL_variablez00_bglt)(BgL_auxz00_3613); } 
{ /* Ast/apply.scm 270 */
BgL_varz00_bglt BgL_new1633z00_2337;
{ /* Ast/apply.scm 270 */
BgL_varz00_bglt BgL_res3022z00_2343;
{ /* Ast/apply.scm 270 */
BgL_varz00_bglt BgL_new1635z00_2338;
BgL_new1635z00_2338 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/apply.scm 270 */
long BgL_arg2929z00_2339;
BgL_arg2929z00_2339 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/apply.scm 270 */
BgL_objectz00_bglt BgL_auxz00_3617;
BgL_auxz00_3617 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2338); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3617, BgL_arg2929z00_2339); } } 
{ /* Ast/apply.scm 270 */
BgL_objectz00_bglt BgL_auxz00_3620;
BgL_auxz00_3620 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2338); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3620, BFALSE); } 
{ /* Ast/apply.scm 270 */
obj_t BgL_auxz00_3623;
BgL_auxz00_3623 = 
(obj_t)(BgL_new1635z00_2338); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3623); } BUNSPEC; 
BgL_res3022z00_2343 = BgL_new1635z00_2338; } 
BgL_new1633z00_2337 = BgL_res3022z00_2343; } 
{ /* Ast/apply.scm 270 */
BgL_varz00_bglt BgL_res3023z00_2351;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2337))->BgL_locz00) = ((obj_t)BgL_arg2893z00_1487), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2337))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2894z00_1488), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2337))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2336), BUNSPEC); 
BgL_res3023z00_2351 = BgL_new1633z00_2337; BgL_res3023z00_2351; } 
BgL_res3024z00_2352 = BgL_new1633z00_2337; } } 
BgL_arg2891z00_1485 = BgL_res3024z00_2352; } } 
{ /* Ast/apply.scm 270 */
obj_t BgL_auxz00_3629;
BgL_auxz00_3629 = 
(obj_t)(BgL_arg2891z00_1485); 
BgL_arg2890z00_1484 = 
MAKE_PAIR(BgL_auxz00_3629, BNIL); } } 
BgL_arg2887z00_1481 = 
MAKE_PAIR(BgL_arg2889z00_1483, BgL_arg2890z00_1484); } 
BgL_arg2883z00_1477 = 
MAKE_PAIR(BgL_arg2887z00_1481, BNIL); } 
{ /* Ast/apply.scm 266 */
obj_t BgL_auxz00_3634;
BgL_auxz00_3634 = 
(obj_t)(BgL_arg2882z00_1476); 
BgL_arg2881z00_1475 = 
MAKE_PAIR(BgL_auxz00_3634, BgL_arg2883z00_1477); } } 
BgL_arg2878z00_1472 = 
MAKE_PAIR(BgL_arg2880z00_1474, BgL_arg2881z00_1475); } 
{ /* Ast/apply.scm 274 */
obj_t BgL_arg2896z00_1490;
BgL_arg2896z00_1490 = 
BGl_loopz00zzast_applyz00(BgL_procz00_3041, BgL_framez00_3040, BgL_stackz00_3039, BgL_runnerz00_3038, BgL_typez00_3037, BgL_locz00_3036, 
CDR(BgL_localsz00_1417), BgL_localsz00_1417); 
BgL_arg2879z00_1473 = 
MAKE_PAIR(BgL_arg2896z00_1490, BNIL); } 
BgL_arg2877z00_1471 = 
MAKE_PAIR(BgL_arg2878z00_1472, BgL_arg2879z00_1473); } 
BgL_arg2874z00_1468 = 
MAKE_PAIR(BgL_arg2876z00_1470, BgL_arg2877z00_1471); } 
BgL_arg2875z00_1469 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2860z00_1454 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2874z00_1468, BgL_stackz00_3039, BgL_locz00_3036, BgL_arg2875z00_1469); } 
{ /* Ast/apply.scm 250 */
BgL_letzd2varzd2_bglt BgL_res3027z00_2384;
{ /* Ast/apply.scm 250 */
obj_t BgL_key2494z00_2357;
BgL_key2494z00_2357 = 
BINT(((long)-1)); 
{ /* Ast/apply.scm 250 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2361;
{ /* Ast/apply.scm 250 */
BgL_letzd2varzd2_bglt BgL_res3025z00_2367;
{ /* Ast/apply.scm 250 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2362;
BgL_new2500z00_2362 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/apply.scm 250 */
long BgL_arg2906z00_2363;
BgL_arg2906z00_2363 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/apply.scm 250 */
BgL_objectz00_bglt BgL_auxz00_3648;
BgL_auxz00_3648 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2362); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3648, BgL_arg2906z00_2363); } } 
{ /* Ast/apply.scm 250 */
BgL_objectz00_bglt BgL_auxz00_3651;
BgL_auxz00_3651 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2362); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3651, BFALSE); } 
{ /* Ast/apply.scm 250 */
obj_t BgL_auxz00_3654;
BgL_auxz00_3654 = 
(obj_t)(BgL_new2500z00_2362); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3654); } BUNSPEC; 
BgL_res3025z00_2367 = BgL_new2500z00_2362; } 
BgL_new2498z00_2361 = BgL_res3025z00_2367; } 
{ /* Ast/apply.scm 250 */
BgL_letzd2varzd2_bglt BgL_res3026z00_2383;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_locz00) = ((obj_t)BgL_arg2856z00_1450), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2857z00_1451), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2357), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_bindingsz00) = ((obj_t)BgL_arg2859z00_1453), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2860z00_1454), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2361))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3026z00_2383 = BgL_new2498z00_2361; BgL_res3026z00_2383; } 
BgL_res3027z00_2384 = BgL_new2498z00_2361; } } 
return 
(obj_t)(BgL_res3027z00_2384);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_applyz00()
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_makezd2funzd2framezd2default2681zd2envz00zzast_applyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00, BGl_proc3044z00zzast_applyz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00, BGl_proc3045z00zzast_applyz00);} 
}



/* make-fun-frame-cfun2686 */
obj_t BGl_makezd2funzd2framezd2cfun2686zd2zzast_applyz00(obj_t BgL_envz00_3030, obj_t BgL_funz00_3031)
{ AN_OBJECT;
{ /* Ast/apply.scm 83 */
{ 
BgL_cfunz00_bglt BgL_funz00_1904;
BgL_funz00_1904 = 
(BgL_cfunz00_bglt)(BgL_funz00_3031); 
{ /* Ast/apply.scm 84 */
long BgL_arityz00_1907;
BgL_arityz00_1907 = 
(((BgL_cfunz00_bglt)CREF(BgL_funz00_1904))->BgL_arityz00); 
{ 
obj_t BgL_typesz00_1908;obj_t BgL_localsz00_1909;
BgL_typesz00_1908 = 
(((BgL_cfunz00_bglt)CREF(BgL_funz00_1904))->BgL_argszd2typezd2); 
BgL_localsz00_1909 = BNIL; 
BgL_loopz00_1910:
if(
NULLP(BgL_typesz00_1908))
{ /* Ast/apply.scm 88 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_localsz00_1909);}  else 
{ /* Ast/apply.scm 90 */
bool_t BgL_testz00_3672;
{ /* Ast/apply.scm 90 */
bool_t BgL_testz00_3673;
{ /* Ast/apply.scm 90 */
obj_t BgL_auxz00_3674;
BgL_auxz00_3674 = 
CDR(BgL_typesz00_1908); 
BgL_testz00_3673 = 
NULLP(BgL_auxz00_3674); } 
if(BgL_testz00_3673)
{ /* Ast/apply.scm 90 */
BgL_testz00_3672 = 
(BgL_arityz00_1907<((long)0))
; }  else 
{ /* Ast/apply.scm 90 */
BgL_testz00_3672 = ((bool_t)0)
; } } 
if(BgL_testz00_3672)
{ /* Ast/apply.scm 90 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_localsz00_1909);}  else 
{ /* Ast/apply.scm 90 */
{ /* Ast/apply.scm 93 */
obj_t BgL_arg2965z00_1915;obj_t BgL_arg2966z00_1916;
BgL_arg2965z00_1915 = 
CDR(BgL_typesz00_1908); 
{ /* Ast/apply.scm 94 */
BgL_localz00_bglt BgL_arg2967z00_1917;
{ /* Ast/apply.scm 94 */
obj_t BgL_arg2968z00_1918;obj_t BgL_arg2969z00_1919;
{ /* Ast/apply.scm 94 */
obj_t BgL_arg2970z00_1920;
BgL_arg2970z00_1920 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_arg2968z00_1918 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2970z00_1920); } 
BgL_arg2969z00_1919 = 
CAR(BgL_typesz00_1908); 
BgL_arg2967z00_1917 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2968z00_1918, 
(BgL_typez00_bglt)(BgL_arg2969z00_1919)); } 
{ /* Ast/apply.scm 94 */
obj_t BgL_auxz00_3687;
BgL_auxz00_3687 = 
(obj_t)(BgL_arg2967z00_1917); 
BgL_arg2966z00_1916 = 
MAKE_PAIR(BgL_auxz00_3687, BgL_localsz00_1909); } } 
{ 
obj_t BgL_localsz00_3691;obj_t BgL_typesz00_3690;
BgL_typesz00_3690 = BgL_arg2965z00_1915; 
BgL_localsz00_3691 = BgL_arg2966z00_1916; 
BgL_localsz00_1909 = BgL_localsz00_3691; 
BgL_typesz00_1908 = BgL_typesz00_3690; 
goto BgL_loopz00_1910;} } } } } } } } 
}



/* make-fun-frame-sfun2684 */
obj_t BGl_makezd2funzd2framezd2sfun2684zd2zzast_applyz00(obj_t BgL_envz00_3032, obj_t BgL_funz00_3033)
{ AN_OBJECT;
{ /* Ast/apply.scm 63 */
{ 
BgL_sfunz00_bglt BgL_funz00_1880;
BgL_funz00_1880 = 
(BgL_sfunz00_bglt)(BgL_funz00_3033); 
{ /* Ast/apply.scm 64 */
long BgL_arityz00_1883;
BgL_arityz00_1883 = 
(((BgL_sfunz00_bglt)CREF(BgL_funz00_1880))->BgL_arityz00); 
{ 
obj_t BgL_formalsz00_1884;obj_t BgL_localsz00_1885;
BgL_formalsz00_1884 = 
(((BgL_sfunz00_bglt)CREF(BgL_funz00_1880))->BgL_argsz00); 
BgL_localsz00_1885 = BNIL; 
BgL_loopz00_1886:
if(
NULLP(BgL_formalsz00_1884))
{ /* Ast/apply.scm 68 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_localsz00_1885);}  else 
{ /* Ast/apply.scm 70 */
bool_t BgL_testz00_3698;
{ /* Ast/apply.scm 70 */
bool_t BgL_testz00_3699;
{ /* Ast/apply.scm 70 */
obj_t BgL_auxz00_3700;
BgL_auxz00_3700 = 
CDR(BgL_formalsz00_1884); 
BgL_testz00_3699 = 
NULLP(BgL_auxz00_3700); } 
if(BgL_testz00_3699)
{ /* Ast/apply.scm 70 */
BgL_testz00_3698 = 
(BgL_arityz00_1883<((long)0))
; }  else 
{ /* Ast/apply.scm 70 */
BgL_testz00_3698 = ((bool_t)0)
; } } 
if(BgL_testz00_3698)
{ /* Ast/apply.scm 70 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_localsz00_1885);}  else 
{ /* Ast/apply.scm 70 */
{ /* Ast/apply.scm 73 */
obj_t BgL_arg2949z00_1891;obj_t BgL_arg2950z00_1892;
BgL_arg2949z00_1891 = 
CDR(BgL_formalsz00_1884); 
{ /* Ast/apply.scm 74 */
BgL_localz00_bglt BgL_arg2951z00_1893;
{ /* Ast/apply.scm 74 */
obj_t BgL_arg2952z00_1894;obj_t BgL_arg2953z00_1895;
{ /* Ast/apply.scm 74 */
obj_t BgL_arg2954z00_1896;
BgL_arg2954z00_1896 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_arg2952z00_1894 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2954z00_1896); } 
{ /* Ast/apply.scm 75 */
bool_t BgL_test2955z00_1897;
BgL_test2955z00_1897 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_formalsz00_1884), BGl_typez00zztype_typez00); 
if(BgL_test2955z00_1897)
{ /* Ast/apply.scm 75 */
BgL_arg2953z00_1895 = 
CAR(BgL_formalsz00_1884); }  else 
{ /* Ast/apply.scm 77 */
BgL_localz00_bglt BgL_obj1252z00_2977;
{ /* Ast/apply.scm 77 */
obj_t BgL_auxz00_3714;
BgL_auxz00_3714 = 
CAR(BgL_formalsz00_1884); 
BgL_obj1252z00_2977 = 
(BgL_localz00_bglt)(BgL_auxz00_3714); } 
{ /* Ast/apply.scm 77 */
BgL_typez00_bglt BgL_auxz00_3717;
BgL_auxz00_3717 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2977))->BgL_typez00); 
BgL_arg2953z00_1895 = 
(obj_t)(BgL_auxz00_3717); } } } 
BgL_arg2951z00_1893 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2952z00_1894, 
(BgL_typez00_bglt)(BgL_arg2953z00_1895)); } 
{ /* Ast/apply.scm 74 */
obj_t BgL_auxz00_3722;
BgL_auxz00_3722 = 
(obj_t)(BgL_arg2951z00_1893); 
BgL_arg2950z00_1892 = 
MAKE_PAIR(BgL_auxz00_3722, BgL_localsz00_1885); } } 
{ 
obj_t BgL_localsz00_3726;obj_t BgL_formalsz00_3725;
BgL_formalsz00_3725 = BgL_arg2949z00_1891; 
BgL_localsz00_3726 = BgL_arg2950z00_1892; 
BgL_localsz00_1885 = BgL_localsz00_3726; 
BgL_formalsz00_1884 = BgL_formalsz00_3725; 
goto BgL_loopz00_1886;} } } } } } } } 
}



/* make-fun-frame */
obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_5)
{ AN_OBJECT;
{ /* Ast/apply.scm 58 */
{ /* Ast/apply.scm 58 */
obj_t BgL_method2682z00_2987;
{ /* Ast/apply.scm 58 */
long BgL_objzd2classzd2numz00_2989;
{ /* Ast/apply.scm 58 */
BgL_objectz00_bglt BgL_auxz00_3729;
BgL_auxz00_3729 = 
(BgL_objectz00_bglt)(BgL_funz00_5); 
BgL_objzd2classzd2numz00_2989 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3729); } 
{ /* Ast/apply.scm 58 */
obj_t BgL_arg1221z00_2990;
{ /* Ast/apply.scm 58 */
int BgL_auxz00_3732;
BgL_auxz00_3732 = 
(int)(((long)1)); 
BgL_arg1221z00_2990 = 
PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BgL_auxz00_3732); } 
{ /* Ast/apply.scm 58 */
long BgL_offsetz00_2994;
{ /* Ast/apply.scm 58 */
long BgL_auxz00_3735;
{ /* Ast/apply.scm 58 */
int BgL_auxz00_3736;
BgL_auxz00_3736 = 
(int)(BgL_objzd2classzd2numz00_2989); 
BgL_auxz00_3735 = 
(long)(BgL_auxz00_3736); } 
BgL_offsetz00_2994 = 
(BgL_auxz00_3735-OBJECT_TYPE); } 
{ /* Ast/apply.scm 58 */
long BgL_modz00_2995;
{ /* Ast/apply.scm 58 */
long BgL_auxz00_3740;
{ /* Ast/apply.scm 58 */
int BgL_auxz00_3741;
BgL_auxz00_3741 = 
(int)(((long)8)); 
BgL_auxz00_3740 = 
(long)(BgL_auxz00_3741); } 
BgL_modz00_2995 = 
(BgL_offsetz00_2994/BgL_auxz00_3740); } 
{ /* Ast/apply.scm 58 */
long BgL_restz00_2997;
{ /* Ast/apply.scm 58 */
long BgL_auxz00_3745;
{ /* Ast/apply.scm 58 */
int BgL_auxz00_3746;
BgL_auxz00_3746 = 
(int)(((long)8)); 
BgL_auxz00_3745 = 
(long)(BgL_auxz00_3746); } 
BgL_restz00_2997 = 
(BgL_offsetz00_2994%BgL_auxz00_3745); } 
{ /* Ast/apply.scm 58 */

{ /* Ast/apply.scm 58 */
obj_t BgL_bucketz00_2999;
{ /* Ast/apply.scm 58 */
int BgL_kz00_3009;
BgL_kz00_3009 = 
(int)(BgL_modz00_2995); 
BgL_bucketz00_2999 = 
VECTOR_REF(BgL_arg1221z00_2990,BgL_kz00_3009); } 
{ /* Ast/apply.scm 58 */
int BgL_kz00_3011;
BgL_kz00_3011 = 
(int)(BgL_restz00_2997); 
BgL_method2682z00_2987 = 
VECTOR_REF(BgL_bucketz00_2999,BgL_kz00_3011); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2682z00_2987)(BgL_method2682z00_2987, 
(obj_t)(BgL_funz00_5), BEOA);} } 
}



/* _make-fun-frame */
obj_t BGl__makezd2funzd2framez00zzast_applyz00(obj_t BgL_envz00_3026, obj_t BgL_funz00_3027)
{ AN_OBJECT;
{ /* Ast/apply.scm 58 */
return 
BGl_makezd2funzd2framez00zzast_applyz00(
(BgL_funz00_bglt)(BgL_funz00_3027));} 
}



/* make-fun-frame-default2681 */
obj_t BGl_makezd2funzd2framezd2default2681zd2zzast_applyz00(BgL_funz00_bglt BgL_funz00_6)
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
{ 
obj_t BgL_auxz00_3761;obj_t BgL_auxz00_3759;
BgL_auxz00_3761 = 
(obj_t)(BgL_funz00_6); 
BgL_auxz00_3759 = 
CNST_TABLE_REF(((long)13)); 
FAILURE(BgL_auxz00_3759,BGl_string3046z00zzast_applyz00,BgL_auxz00_3761);} } 
}



/* _make-fun-frame-default2681 */
obj_t BGl__makezd2funzd2framezd2default2681zd2zzast_applyz00(obj_t BgL_envz00_3034, obj_t BgL_funz00_3035)
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
return 
BGl_makezd2funzd2framezd2default2681zd2zzast_applyz00(
(BgL_funz00_bglt)(BgL_funz00_3035));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
{ AN_OBJECT;
{ /* Ast/apply.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_apply"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_apply"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_apply"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_apply"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_apply"); 
BGl_modulezd2initializa7ationz75zzast_appz00(((long)54071), "ast_apply"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_apply");} 
}

