/*===========================================================================*/
/*   (Ast/build.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_buildz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t current_error_port;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzast_buildz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
static obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static BgL_globalz00_bglt BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
static obj_t BGl_requirezd2initializa7ationz75zzast_buildz00 = BUNSPEC;
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00();
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_buildzd2astzd2sanszd2removezd2envz00zzast_buildz00, BgL_bgl__buildza7d2astza7d2sansza7d2removeza7d2za7za7ast_buildza7002786za7, BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_buildzd2astzd2envz00zzast_buildz00, BgL_bgl__buildza7d2astza7d2za7za7ast_buildza7002787za7, BGl__buildzd2astzd2zzast_buildz00, 0L, 1 );
DEFINE_STRING( BGl_string2781z00zzast_buildz00, BgL_bgl_string2781za700za7za7ast_buildza7002788z00, "value pass-started ast ", 23 );
DEFINE_STRING( BGl_string2780z00zzast_buildz00, BgL_bgl_string2780za700za7za7ast_buildza7002789z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2779z00zzast_buildz00, BgL_bgl_string2779za700za7za7ast_buildza7002790z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2778z00zzast_buildz00, BgL_bgl_string2778za700za7za7ast_buildza7002791z00, " error", 6 );
DEFINE_STRING( BGl_string2777z00zzast_buildz00, BgL_bgl_string2777za700za7za7ast_buildza7002792z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2776z00zzast_buildz00, BgL_bgl_string2776za700za7za7ast_buildza7002793z00, "   . ", 5 );
DEFINE_STRING( BGl_string2775z00zzast_buildz00, BgL_bgl_string2775za700za7za7ast_buildza7002794z00, "Ast", 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long BgL_checksumz00_2232, char * BgL_fromz00_2233)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_buildz00))
{ 
BGl_requirezd2initializa7ationz75zzast_buildz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_buildz00(); 
BGl_cnstzd2initzd2zzast_buildz00(); 
BGl_importedzd2moduleszd2initz00zzast_buildz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00()
{ AN_OBJECT;
{ /* Ast/build.scm 14 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_build"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_build"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "ast_build"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_build"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_build"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_buildz00()
{ AN_OBJECT;
{ /* Ast/build.scm 14 */
{ /* Ast/build.scm 14 */
obj_t BgL_cportz00_2225;
BgL_cportz00_2225 = 
open_input_string(BGl_string2781z00zzast_buildz00); 
{ 
long BgL_iz00_2226;
BgL_iz00_2226 = ((long)2); 
BgL_loopz00_2227:
if(
(BgL_iz00_2226==((long)-1)))
{ /* Ast/build.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/build.scm 14 */
{ /* Ast/build.scm 14 */
obj_t BgL_arg2783z00_2229;
{ /* Ast/build.scm 14 */
obj_t BgL_list2784z00_2230;
BgL_list2784z00_2230 = 
MAKE_PAIR(BgL_cportz00_2225, BNIL); 
BgL_arg2783z00_2229 = 
BGl_readz00zz__readerz00(BgL_list2784z00_2230); } 
{ /* Ast/build.scm 14 */
int BgL_auxz00_2250;
BgL_auxz00_2250 = 
(int)(BgL_iz00_2226); 
CNST_TABLE_SET(BgL_auxz00_2250, BgL_arg2783z00_2229); } } 
{ 
long BgL_iz00_2253;
{ /* Ast/build.scm 14 */
int BgL_auxz00_2254;
{ /* Ast/build.scm 14 */
long BgL_auxz00_2255;
BgL_auxz00_2255 = 
(BgL_iz00_2226-((long)1)); 
BgL_auxz00_2254 = 
(int)(BgL_auxz00_2255); } 
BgL_iz00_2253 = 
(long)(BgL_auxz00_2254); } 
BgL_iz00_2226 = BgL_iz00_2253; 
goto BgL_loopz00_2227;} } } } } 
}



/* build-ast */
obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t BgL_unitsz00_1)
{ AN_OBJECT;
{ /* Ast/build.scm 36 */
{ /* Ast/build.scm 37 */
obj_t BgL_arg2665z00_1697;obj_t BgL_arg2666z00_1698;
BgL_arg2665z00_1697 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2666z00_1698 = 
BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_1); 
return 
BGl_removezd2varzd2zzast_removez00(BgL_arg2665z00_1697, BgL_arg2666z00_1698);} } 
}



/* _build-ast */
obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t BgL_envz00_2221, obj_t BgL_unitsz00_2222)
{ AN_OBJECT;
{ /* Ast/build.scm 36 */
return 
BGl_buildzd2astzd2zzast_buildz00(BgL_unitsz00_2222);} 
}



/* build-ast-sans-remove */
obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t BgL_unitsz00_2)
{ AN_OBJECT;
{ /* Ast/build.scm 44 */
{ /* Ast/build.scm 45 */
obj_t BgL_list2667z00_1225;
{ /* Ast/build.scm 45 */
obj_t BgL_arg2669z00_1227;
{ /* Ast/build.scm 45 */
obj_t BgL_arg2671z00_1229;
{ /* Ast/build.scm 45 */
obj_t BgL_auxz00_2263;
BgL_auxz00_2263 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2671z00_1229 = 
MAKE_PAIR(BgL_auxz00_2263, BNIL); } 
BgL_arg2669z00_1227 = 
MAKE_PAIR(BGl_string2775z00zzast_buildz00, BgL_arg2671z00_1229); } 
BgL_list2667z00_1225 = 
MAKE_PAIR(BGl_string2776z00zzast_buildz00, BgL_arg2669z00_1227); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2667z00_1225); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2775z00zzast_buildz00; 
{ 
obj_t BgL_hooksz00_1230;obj_t BgL_hnamesz00_1231;
BgL_hooksz00_1230 = BNIL; 
BgL_hnamesz00_1231 = BNIL; 
BgL_loopz00_1232:
if(
NULLP(BgL_hooksz00_1230))
{ /* Ast/build.scm 45 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* Ast/build.scm 45 */
bool_t BgL_test2676z00_1237;
{ /* Ast/build.scm 45 */
obj_t BgL_fun2682z00_1243;
BgL_fun2682z00_1243 = 
CAR(BgL_hooksz00_1230); 
{ /* Ast/build.scm 45 */
obj_t BgL_auxz00_2275;
BgL_auxz00_2275 = 
PROCEDURE_ENTRY(BgL_fun2682z00_1243)(BgL_fun2682z00_1243, BEOA); 
BgL_test2676z00_1237 = 
CBOOL(BgL_auxz00_2275); } } 
if(BgL_test2676z00_1237)
{ /* Ast/build.scm 45 */
{ 
obj_t BgL_hnamesz00_2282;obj_t BgL_hooksz00_2280;
BgL_hooksz00_2280 = 
CDR(BgL_hooksz00_1230); 
BgL_hnamesz00_2282 = 
CDR(BgL_hnamesz00_1231); 
BgL_hnamesz00_1231 = BgL_hnamesz00_2282; 
BgL_hooksz00_1230 = BgL_hooksz00_2280; 
goto BgL_loopz00_1232;} }  else 
{ /* Ast/build.scm 45 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2775z00zzast_buildz00, BGl_string2777z00zzast_buildz00, 
CAR(BgL_hnamesz00_1231)); } } } 
{ /* Ast/build.scm 49 */
obj_t BgL_defsz00_1244;
{ /* Ast/build.scm 49 */
obj_t BgL_runner2723z00_1302;
if(
NULLP(BgL_unitsz00_2))
{ /* Ast/build.scm 49 */
BgL_runner2723z00_1302 = BNIL; }  else 
{ /* Ast/build.scm 49 */
obj_t BgL_head2656z00_1288;
{ /* Ast/build.scm 49 */
obj_t BgL_arg2720z00_1299;
BgL_arg2720z00_1299 = 
BGl_unitzd2ze3defsz31zzast_unitz00(
CAR(BgL_unitsz00_2)); 
BgL_head2656z00_1288 = 
MAKE_PAIR(BgL_arg2720z00_1299, BNIL); } 
{ 
obj_t BgL_l2654z00_1289;obj_t BgL_tail2657z00_1290;
BgL_l2654z00_1289 = 
CDR(BgL_unitsz00_2); 
BgL_tail2657z00_1290 = BgL_head2656z00_1288; 
BgL_lname2655z00_1291:
if(
NULLP(BgL_l2654z00_1289))
{ /* Ast/build.scm 49 */
BgL_runner2723z00_1302 = BgL_head2656z00_1288; }  else 
{ /* Ast/build.scm 49 */
obj_t BgL_newtail2658z00_1294;
{ /* Ast/build.scm 49 */
obj_t BgL_arg2717z00_1296;
BgL_arg2717z00_1296 = 
BGl_unitzd2ze3defsz31zzast_unitz00(
CAR(BgL_l2654z00_1289)); 
BgL_newtail2658z00_1294 = 
MAKE_PAIR(BgL_arg2717z00_1296, BNIL); } 
SET_CDR(BgL_tail2657z00_1290, BgL_newtail2658z00_1294); 
{ 
obj_t BgL_tail2657z00_2299;obj_t BgL_l2654z00_2297;
BgL_l2654z00_2297 = 
CDR(BgL_l2654z00_1289); 
BgL_tail2657z00_2299 = BgL_newtail2658z00_1294; 
BgL_tail2657z00_1290 = BgL_tail2657z00_2299; 
BgL_l2654z00_1289 = BgL_l2654z00_2297; 
goto BgL_lname2655z00_1291;} } } } 
BgL_defsz00_1244 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner2723z00_1302); } 
BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2(); 
{ /* Ast/build.scm 53 */
obj_t BgL_astz00_1245;
if(
NULLP(BgL_defsz00_1244))
{ /* Ast/build.scm 53 */
BgL_astz00_1245 = BNIL; }  else 
{ /* Ast/build.scm 53 */
obj_t BgL_head2661z00_1272;
{ /* Ast/build.scm 53 */
BgL_globalz00_bglt BgL_arg2710z00_1283;
{ /* Ast/build.scm 53 */
BgL_globalz00_bglt BgL_auxz00_2305;
{ /* Ast/build.scm 53 */
obj_t BgL_auxz00_2306;
BgL_auxz00_2306 = 
CAR(BgL_defsz00_1244); 
BgL_auxz00_2305 = 
(BgL_globalz00_bglt)(BgL_auxz00_2306); } 
BgL_arg2710z00_1283 = 
BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_auxz00_2305); } 
{ /* Ast/build.scm 53 */
obj_t BgL_auxz00_2310;
BgL_auxz00_2310 = 
(obj_t)(BgL_arg2710z00_1283); 
BgL_head2661z00_1272 = 
MAKE_PAIR(BgL_auxz00_2310, BNIL); } } 
{ 
obj_t BgL_l2659z00_1273;obj_t BgL_tail2662z00_1274;
BgL_l2659z00_1273 = 
CDR(BgL_defsz00_1244); 
BgL_tail2662z00_1274 = BgL_head2661z00_1272; 
BgL_lname2660z00_1275:
if(
NULLP(BgL_l2659z00_1273))
{ /* Ast/build.scm 53 */
BgL_astz00_1245 = BgL_head2661z00_1272; }  else 
{ /* Ast/build.scm 53 */
obj_t BgL_newtail2663z00_1278;
{ /* Ast/build.scm 53 */
BgL_globalz00_bglt BgL_arg2707z00_1280;
{ /* Ast/build.scm 53 */
BgL_globalz00_bglt BgL_auxz00_2315;
{ /* Ast/build.scm 53 */
obj_t BgL_auxz00_2316;
BgL_auxz00_2316 = 
CAR(BgL_l2659z00_1273); 
BgL_auxz00_2315 = 
(BgL_globalz00_bglt)(BgL_auxz00_2316); } 
BgL_arg2707z00_1280 = 
BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_auxz00_2315); } 
{ /* Ast/build.scm 53 */
obj_t BgL_auxz00_2320;
BgL_auxz00_2320 = 
(obj_t)(BgL_arg2707z00_1280); 
BgL_newtail2663z00_1278 = 
MAKE_PAIR(BgL_auxz00_2320, BNIL); } } 
SET_CDR(BgL_tail2662z00_1274, BgL_newtail2663z00_1278); 
{ 
obj_t BgL_tail2662z00_2326;obj_t BgL_l2659z00_2324;
BgL_l2659z00_2324 = 
CDR(BgL_l2659z00_1273); 
BgL_tail2662z00_2326 = BgL_newtail2663z00_1278; 
BgL_tail2662z00_1274 = BgL_tail2662z00_2326; 
BgL_l2659z00_1273 = BgL_l2659z00_2324; 
goto BgL_lname2660z00_1275;} } } } 
{ /* Ast/build.scm 55 */
bool_t BgL_test2683z00_1247;
{ /* Ast/build.scm 55 */
long BgL_n1z00_1730;
BgL_n1z00_1730 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2683z00_1247 = 
(BgL_n1z00_1730>((long)0)); } 
if(BgL_test2683z00_1247)
{ /* Ast/build.scm 55 */
{ /* Ast/build.scm 55 */
obj_t BgL_list2684z00_1249;
BgL_list2684z00_1249 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2684z00_1249); } 
{ /* Ast/build.scm 55 */
obj_t BgL_list2685z00_1250;
BgL_list2685z00_1250 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2778z00zzast_buildz00, BgL_list2685z00_1250); } 
{ /* Ast/build.scm 55 */
char * BgL_arg2686z00_1251;
{ /* Ast/build.scm 55 */
bool_t BgL_test2688z00_1253;
{ /* Ast/build.scm 55 */
bool_t BgL_test2689z00_1254;
{ /* Ast/build.scm 55 */
obj_t BgL_objz00_1732;
BgL_objz00_1732 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2689z00_1254 = 
INTEGERP(BgL_objz00_1732); } 
if(BgL_test2689z00_1254)
{ /* Ast/build.scm 55 */
BgL_test2688z00_1253 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Ast/build.scm 55 */
BgL_test2688z00_1253 = ((bool_t)0); } } 
if(BgL_test2688z00_1253)
{ /* Ast/build.scm 55 */
BgL_arg2686z00_1251 = "s"; }  else 
{ /* Ast/build.scm 55 */
BgL_arg2686z00_1251 = ""; } } 
{ /* Ast/build.scm 55 */
obj_t BgL_list2687z00_1252;
BgL_list2687z00_1252 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2686z00_1251), BgL_list2687z00_1252); } } 
{ /* Ast/build.scm 55 */
obj_t BgL_list2690z00_1255;
BgL_list2690z00_1255 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2779z00zzast_buildz00, BgL_list2690z00_1255); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Ast/build.scm 55 */
obj_t BgL_list2691z00_1256;
{ /* Ast/build.scm 55 */
obj_t BgL_auxz00_2346;
BgL_auxz00_2346 = 
BINT(((long)-1)); 
BgL_list2691z00_1256 = 
MAKE_PAIR(BgL_auxz00_2346, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2691z00_1256);} }  else 
{ 
obj_t BgL_hooksz00_1257;obj_t BgL_hnamesz00_1258;
BgL_hooksz00_1257 = BNIL; 
BgL_hnamesz00_1258 = BNIL; 
BgL_loopz00_1259:
if(
NULLP(BgL_hooksz00_1257))
{ /* Ast/build.scm 55 */
return BgL_astz00_1245;}  else 
{ /* Ast/build.scm 55 */
bool_t BgL_test2696z00_1264;
{ /* Ast/build.scm 55 */
obj_t BgL_fun2702z00_1269;
BgL_fun2702z00_1269 = 
CAR(BgL_hooksz00_1257); 
{ /* Ast/build.scm 55 */
obj_t BgL_auxz00_2353;
BgL_auxz00_2353 = 
PROCEDURE_ENTRY(BgL_fun2702z00_1269)(BgL_fun2702z00_1269, BEOA); 
BgL_test2696z00_1264 = 
CBOOL(BgL_auxz00_2353); } } 
if(BgL_test2696z00_1264)
{ /* Ast/build.scm 55 */
{ 
obj_t BgL_hnamesz00_2360;obj_t BgL_hooksz00_2358;
BgL_hooksz00_2358 = 
CDR(BgL_hooksz00_1257); 
BgL_hnamesz00_2360 = 
CDR(BgL_hnamesz00_1258); 
BgL_hnamesz00_1258 = BgL_hnamesz00_2360; 
BgL_hooksz00_1257 = BgL_hooksz00_2358; 
goto BgL_loopz00_1259;} }  else 
{ /* Ast/build.scm 55 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2780z00zzast_buildz00, 
CAR(BgL_hnamesz00_1258));} } } } } } } 
}



/* _build-ast-sans-remove */
obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t BgL_envz00_2223, obj_t BgL_unitsz00_2224)
{ AN_OBJECT;
{ /* Ast/build.scm 44 */
return 
BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_2224);} 
}



/* sfun-def->ast */
BgL_globalz00_bglt BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt BgL_defz00_3)
{ AN_OBJECT;
{ /* Ast/build.scm 60 */
BGl_enterzd2functionzd2zztools_errorz00(
(((BgL_globalz00_bglt)CREF(BgL_defz00_3))->BgL_idz00)); 
{ /* Ast/build.scm 62 */
BgL_valuez00_bglt BgL_sfunz00_1304;
BgL_sfunz00_1304 = 
(((BgL_globalz00_bglt)CREF(BgL_defz00_3))->BgL_valuez00); 
{ /* Ast/build.scm 62 */
obj_t BgL_sfunzd2argszd2_1305;
{ /* Ast/build.scm 63 */
BgL_sfunz00_bglt BgL_obj1369z00_1743;
BgL_obj1369z00_1743 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1304); 
BgL_sfunzd2argszd2_1305 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1743))->BgL_argsz00); } 
{ /* Ast/build.scm 63 */
obj_t BgL_sfunzd2bodyzd2expz00_1306;
{ /* Ast/build.scm 64 */
BgL_sfunz00_bglt BgL_obj1372z00_1744;
BgL_obj1372z00_1744 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1304); 
BgL_sfunzd2bodyzd2expz00_1306 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1744))->BgL_bodyz00); } 
{ /* Ast/build.scm 64 */
obj_t BgL_defzd2loczd2_1307;
BgL_defzd2loczd2_1307 = 
BGl_findzd2locationzd2zztools_locationz00(
(((BgL_globalz00_bglt)CREF(BgL_defz00_3))->BgL_srcz00)); 
{ /* Ast/build.scm 65 */
BgL_nodez00_bglt BgL_bodyz00_1308;
{ /* Ast/build.scm 68 */
obj_t BgL_arg2725z00_1309;obj_t BgL_arg2726z00_1310;
BgL_arg2725z00_1309 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_sfunzd2bodyzd2expz00_1306, BgL_defzd2loczd2_1307); 
BgL_arg2726z00_1310 = 
CNST_TABLE_REF(((long)2)); 
BgL_bodyz00_1308 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_sfunzd2bodyzd2expz00_1306, BgL_sfunzd2argszd2_1305, BgL_arg2725z00_1309, BgL_arg2726z00_1310); } 
{ /* Ast/build.scm 66 */

{ /* Ast/build.scm 71 */
BgL_sfunz00_bglt BgL_obj1374z00_1746;obj_t BgL_val1373z00_1747;
BgL_obj1374z00_1746 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1304); 
BgL_val1373z00_1747 = 
(obj_t)(BgL_bodyz00_1308); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1746))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1747), BUNSPEC); } 
BGl_leavezd2functionzd2zztools_errorz00(); 
return BgL_defz00_3;} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_buildz00()
{ AN_OBJECT;
{ /* Ast/build.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00()
{ AN_OBJECT;
{ /* Ast/build.scm 14 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "ast_build"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_build"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "ast_build"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)63226), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "ast_build"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_build"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_build"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_build"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_build"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_build");} 
}

