/*===========================================================================*/
/*   (Ast/check-init.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_checkzd2initzd2appzd2ly2913zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2var2907z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32955ze3z83zzast_checkzd2globalzd2initz00(obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_checkzd2initzd2cast2920z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_checkzd2initzd2boxzd2setz122941zc0zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00();
static obj_t BGl_checkzd2initzd2funcall2916z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
static obj_t BGl_checkzd2initzd2sequence2909z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2makezd2box2939zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2conditional2924z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2initzd2setq2922z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl__checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2jumpzd2exzd2it2936z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t);
extern obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();
static obj_t BGl_checkzd2initzd2setzd2exzd2it2934z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2select2928z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BUNSPEC;
static obj_t BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_checkzd2initzd2app2911z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2letzd2fun2930zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_checkzd2initzd2letzd2var2932zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_valuez00zzast_varz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_checkzd2initzd2fail2926z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 = BUNSPEC;
static obj_t BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(obj_t);
extern obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2initzd2extern2918z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_GENERIC( BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2initza7d2za7za7ast_checkza7d2globalza7d2initza7003169za7, BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3145z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2var2907za700za7za7ast_checkza7d2globalza7d2initza7003170z00, BGl_checkzd2initzd2var2907z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3146z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2sequence2909za700za7za7ast_checkza7d2globalza7d2initza7003171z00, BGl_checkzd2initzd2sequence2909z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3147z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2app2911za700za7za7ast_checkza7d2globalza7d2initza7003172z00, BGl_checkzd2initzd2app2911z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3148z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2appza7d2ly2913za7d2za7za7ast_checkza7d2globalza7d2initza7003173za7, BGl_checkzd2initzd2appzd2ly2913zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3150z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2extern2918za700za7za7ast_checkza7d2globalza7d2initza7003174z00, BGl_checkzd2initzd2extern2918z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3149z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2funcall2916za700za7za7ast_checkza7d2globalza7d2initza7003175z00, BGl_checkzd2initzd2funcall2916z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3151z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2cast2920za700za7za7ast_checkza7d2globalza7d2initza7003176z00, BGl_checkzd2initzd2cast2920z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3152z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2setq2922za700za7za7ast_checkza7d2globalza7d2initza7003177z00, BGl_checkzd2initzd2setq2922z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3153z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2conditional2924za700za7za7ast_checkza7d2globalza7d2initza7003178z00, BGl_checkzd2initzd2conditional2924z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3154z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2fail2926za700za7za7ast_checkza7d2globalza7d2initza7003179z00, BGl_checkzd2initzd2fail2926z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3155z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2select2928za700za7za7ast_checkza7d2globalza7d2initza7003180z00, BGl_checkzd2initzd2select2928z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3156z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2letza7d2fun2930za7d2za7za7ast_checkza7d2globalza7d2initza7003181za7, BGl_checkzd2initzd2letzd2fun2930zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3157z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2letza7d2var2932za7d2za7za7ast_checkza7d2globalza7d2initza7003182za7, BGl_checkzd2initzd2letzd2var2932zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3158z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2setza7d2exza7d2it2934za700za7za7ast_checkza7d2globalza7d2initza7003183z00, BGl_checkzd2initzd2setzd2exzd2it2934z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3160z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2makeza7d2box2939za7d2za7za7ast_checkza7d2globalza7d2initza7003184za7, BGl_checkzd2initzd2makezd2box2939zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3159z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2jumpza7d2exza7d2it2936za700za7za7ast_checkza7d2globalza7d2initza7003185z00, BGl_checkzd2initzd2jumpzd2exzd2it2936z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3161z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2boxza7d2setza7122941za7c0za7za7ast_checkza7d2globalza7d2initza7003186z00, BGl_checkzd2initzd2boxzd2setz122941zc0zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_checkzd2initzd2default2904zd2envzd2zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2initza7d2default2904za700za7za7ast_checkza7d2globalza7d2initza7003187z00, BGl__checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STRING( BGl_string3164z00zzast_checkzd2globalzd2initz00, BgL_bgl_string3164za700za7za7ast_checkza7d2globalza7d2initza7003188z00, "done unit -init ", 16 );
DEFINE_STRING( BGl_string3163z00zzast_checkzd2globalzd2initz00, BgL_bgl_string3163za700za7za7ast_checkza7d2globalza7d2initza7003189z00, "Variable used before initialized", 32 );
DEFINE_STRING( BGl_string3162z00zzast_checkzd2globalzd2initz00, BgL_bgl_string3162za700za7za7ast_checkza7d2globalza7d2initza7003190z00, "check-init", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2globalzd2initializa7ationzd2envz75zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2globalza7d2initializa7a7ationza7a7za7za7ast_checkza7d2globalza7d2initza7003191za7, BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long BgL_checksumz00_3437, char * BgL_fromz00_3438)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00))
{ 
BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(); 
BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00(); 
BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(); 
BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00(); 
BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_check-global-init"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
{ /* Ast/check-init.scm 18 */
obj_t BgL_cportz00_3430;
BgL_cportz00_3430 = 
open_input_string(BGl_string3164z00zzast_checkzd2globalzd2initz00); 
{ 
long BgL_iz00_3431;
BgL_iz00_3431 = ((long)2); 
BgL_loopz00_3432:
if(
(BgL_iz00_3431==((long)-1)))
{ /* Ast/check-init.scm 18 */
return BUNSPEC;}  else 
{ /* Ast/check-init.scm 18 */
{ /* Ast/check-init.scm 18 */
obj_t BgL_arg3166z00_3434;
{ /* Ast/check-init.scm 18 */
obj_t BgL_list3167z00_3435;
BgL_list3167z00_3435 = 
MAKE_PAIR(BgL_cportz00_3430, BNIL); 
BgL_arg3166z00_3434 = 
BGl_readz00zz__readerz00(BgL_list3167z00_3435); } 
{ /* Ast/check-init.scm 18 */
int BgL_auxz00_3456;
BgL_auxz00_3456 = 
(int)(BgL_iz00_3431); 
CNST_TABLE_SET(BgL_auxz00_3456, BgL_arg3166z00_3434); } } 
{ 
long BgL_iz00_3459;
{ /* Ast/check-init.scm 18 */
int BgL_auxz00_3460;
{ /* Ast/check-init.scm 18 */
long BgL_auxz00_3461;
BgL_auxz00_3461 = 
(BgL_iz00_3431-((long)1)); 
BgL_auxz00_3460 = 
(int)(BgL_auxz00_3461); } 
BgL_iz00_3459 = 
(long)(BgL_auxz00_3460); } 
BgL_iz00_3431 = BgL_iz00_3459; 
goto BgL_loopz00_3432;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL; 
return BUNSPEC;} 
}



/* check-global-initialization */
obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 34 */
{ /* Ast/check-init.scm 35 */
obj_t BgL_initzd2namezd2_1456;
{ /* Ast/check-init.scm 35 */
obj_t BgL_arg2970z00_1481;obj_t BgL_arg2971z00_1482;
{ /* Ast/check-init.scm 35 */
obj_t BgL_arg2974z00_1485;
BgL_arg2974z00_1485 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
{ /* Ast/check-init.scm 35 */
int BgL_auxz00_3466;
BgL_auxz00_3466 = 
(int)(((long)0)); 
BgL_arg2970z00_1481 = 
STRUCT_REF(BgL_arg2974z00_1485, BgL_auxz00_3466); } } 
BgL_arg2971z00_1482 = 
CNST_TABLE_REF(((long)0)); 
{ /* Ast/check-init.scm 35 */
obj_t BgL_list2972z00_1483;
{ /* Ast/check-init.scm 35 */
obj_t BgL_arg2973z00_1484;
BgL_arg2973z00_1484 = 
MAKE_PAIR(BgL_arg2971z00_1482, BNIL); 
BgL_list2972z00_1483 = 
MAKE_PAIR(BgL_arg2970z00_1481, BgL_arg2973z00_1484); } 
BgL_initzd2namezd2_1456 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2972z00_1483); } } 
{ /* Ast/check-init.scm 35 */
obj_t BgL_globalz00_1457;
BgL_globalz00_1457 = 
BGl_findzd2globalzd2zzast_envz00(BgL_initzd2namezd2_1456, BNIL); 
{ /* Ast/check-init.scm 36 */

{ /* Ast/check-init.scm 37 */
bool_t BgL_test2951z00_1458;
{ /* Ast/check-init.scm 37 */
bool_t BgL_test2967z00_1478;
BgL_test2967z00_1478 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1457, BGl_globalz00zzast_varz00); 
if(BgL_test2967z00_1478)
{ /* Ast/check-init.scm 37 */
obj_t BgL_auxz00_3476;
{ /* Ast/check-init.scm 37 */
BgL_valuez00_bglt BgL_auxz00_3477;
{ /* Ast/check-init.scm 37 */
BgL_globalz00_bglt BgL_obj1067z00_2080;
BgL_obj1067z00_2080 = 
(BgL_globalz00_bglt)(BgL_globalz00_1457); 
BgL_auxz00_3477 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1067z00_2080))->BgL_valuez00); } 
BgL_auxz00_3476 = 
(obj_t)(BgL_auxz00_3477); } 
BgL_test2951z00_1458 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3476, BGl_sfunz00zzast_varz00); }  else 
{ /* Ast/check-init.scm 37 */
BgL_test2951z00_1458 = ((bool_t)0); } } 
if(BgL_test2951z00_1458)
{ /* Ast/check-init.scm 37 */
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL; 
{ /* Ast/check-init.scm 41 */
obj_t BgL_unitz00_1459;
BgL_unitz00_1459 = 
BGl_getzd2objectzd2unitz00zzmodule_classz00(); 
{ /* Ast/check-init.scm 42 */
bool_t BgL_testz00_3484;
if(
STRUCTP(BgL_unitz00_1459))
{ /* Ast/check-init.scm 42 */
obj_t BgL_auxz00_3489;obj_t BgL_auxz00_3487;
BgL_auxz00_3489 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3487 = 
STRUCT_KEY(BgL_unitz00_1459); 
BgL_testz00_3484 = 
(BgL_auxz00_3487==BgL_auxz00_3489); }  else 
{ /* Ast/check-init.scm 42 */
BgL_testz00_3484 = ((bool_t)0)
; } 
if(BgL_testz00_3484)
{ /* Ast/check-init.scm 43 */
obj_t BgL_objzd2namezd2_1461;
{ /* Ast/check-init.scm 43 */
obj_t BgL_arg2961z00_1472;
{ /* Ast/check-init.scm 43 */
int BgL_auxz00_3492;
BgL_auxz00_3492 = 
(int)(((long)0)); 
BgL_arg2961z00_1472 = 
STRUCT_REF(BgL_unitz00_1459, BgL_auxz00_3492); } 
{ /* Ast/check-init.scm 43 */
obj_t BgL_list2963z00_1474;
{ /* Ast/check-init.scm 43 */
obj_t BgL_arg2964z00_1475;
{ /* Ast/check-init.scm 43 */
obj_t BgL_auxz00_3495;
BgL_auxz00_3495 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2964z00_1475 = 
MAKE_PAIR(BgL_auxz00_3495, BNIL); } 
BgL_list2963z00_1474 = 
MAKE_PAIR(BgL_arg2961z00_1472, BgL_arg2964z00_1475); } 
BgL_objzd2namezd2_1461 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2963z00_1474); } } 
{ /* Ast/check-init.scm 43 */
obj_t BgL_globalz00_1462;
BgL_globalz00_1462 = 
BGl_findzd2globalzd2zzast_envz00(BgL_objzd2namezd2_1461, BNIL); 
{ /* Ast/check-init.scm 44 */

{ /* Ast/check-init.scm 45 */
bool_t BgL_test2953z00_1463;
{ /* Ast/check-init.scm 45 */
bool_t BgL_test2958z00_1469;
BgL_test2958z00_1469 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1462, BGl_globalz00zzast_varz00); 
if(BgL_test2958z00_1469)
{ /* Ast/check-init.scm 45 */
obj_t BgL_auxz00_3503;
{ /* Ast/check-init.scm 45 */
BgL_valuez00_bglt BgL_auxz00_3504;
{ /* Ast/check-init.scm 45 */
BgL_globalz00_bglt BgL_obj1067z00_2093;
BgL_obj1067z00_2093 = 
(BgL_globalz00_bglt)(BgL_globalz00_1462); 
BgL_auxz00_3504 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1067z00_2093))->BgL_valuez00); } 
BgL_auxz00_3503 = 
(obj_t)(BgL_auxz00_3504); } 
BgL_test2953z00_1463 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3503, BGl_sfunz00zzast_varz00); }  else 
{ /* Ast/check-init.scm 45 */
BgL_test2953z00_1463 = ((bool_t)0); } } 
if(BgL_test2953z00_1463)
{ /* Ast/check-init.scm 53 */
obj_t BgL_zc3anonymousza32955ze3z83_3370;
{ 
int BgL_auxz00_3512;int BgL_auxz00_3510;
BgL_auxz00_3512 = 
(int)(((long)1)); 
BgL_auxz00_3510 = 
(int)(((long)0)); 
BgL_zc3anonymousza32955ze3z83_3370 = 
make_fx_procedure(BGl_zc3anonymousza32955ze3z83zzast_checkzd2globalzd2initz00, BgL_auxz00_3510, BgL_auxz00_3512); } 
{ /* Ast/check-init.scm 53 */
int BgL_auxz00_3515;
BgL_auxz00_3515 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32955ze3z83_3370, BgL_auxz00_3515, BgL_globalz00_1462); } 
BGl_nozd2warningzd2zztools_errorz00(BgL_zc3anonymousza32955ze3z83_3370); }  else 
{ /* Ast/check-init.scm 45 */BFALSE; } } } } }  else 
{ /* Ast/check-init.scm 42 */BFALSE; } } } 
{ /* Ast/check-init.scm 55 */
BgL_nodez00_bglt BgL_nodez00_2125;
{ /* Ast/check-init.scm 55 */
obj_t BgL_auxz00_3519;
{ /* Ast/check-init.scm 55 */
BgL_sfunz00_bglt BgL_obj1284z00_2124;
{ /* Ast/check-init.scm 55 */
BgL_valuez00_bglt BgL_auxz00_3520;
{ /* Ast/check-init.scm 55 */
BgL_globalz00_bglt BgL_obj1067z00_2123;
BgL_obj1067z00_2123 = 
(BgL_globalz00_bglt)(BgL_globalz00_1457); 
BgL_auxz00_3520 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1067z00_2123))->BgL_valuez00); } 
BgL_obj1284z00_2124 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3520); } 
BgL_auxz00_3519 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_2124))->BgL_bodyz00); } 
BgL_nodez00_2125 = 
(BgL_nodez00_bglt)(BgL_auxz00_3519); } 
{ /* Ast/check-init.scm 55 */
obj_t BgL_method2905z00_2126;
{ /* Ast/check-init.scm 55 */
long BgL_objzd2classzd2numz00_2128;
{ /* Ast/check-init.scm 55 */
BgL_objectz00_bglt BgL_auxz00_3526;
BgL_auxz00_3526 = 
(BgL_objectz00_bglt)(BgL_nodez00_2125); 
BgL_objzd2classzd2numz00_2128 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3526); } 
{ /* Ast/check-init.scm 55 */
obj_t BgL_arg1221z00_2129;
{ /* Ast/check-init.scm 55 */
int BgL_auxz00_3529;
BgL_auxz00_3529 = 
(int)(((long)1)); 
BgL_arg1221z00_2129 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3529); } 
{ /* Ast/check-init.scm 55 */
long BgL_offsetz00_2133;
{ /* Ast/check-init.scm 55 */
long BgL_auxz00_3532;
{ /* Ast/check-init.scm 55 */
int BgL_auxz00_3533;
BgL_auxz00_3533 = 
(int)(BgL_objzd2classzd2numz00_2128); 
BgL_auxz00_3532 = 
(long)(BgL_auxz00_3533); } 
BgL_offsetz00_2133 = 
(BgL_auxz00_3532-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 55 */
long BgL_modz00_2134;
{ /* Ast/check-init.scm 55 */
long BgL_auxz00_3537;
{ /* Ast/check-init.scm 55 */
int BgL_auxz00_3538;
BgL_auxz00_3538 = 
(int)(((long)8)); 
BgL_auxz00_3537 = 
(long)(BgL_auxz00_3538); } 
BgL_modz00_2134 = 
(BgL_offsetz00_2133/BgL_auxz00_3537); } 
{ /* Ast/check-init.scm 55 */
long BgL_restz00_2136;
{ /* Ast/check-init.scm 55 */
long BgL_auxz00_3542;
{ /* Ast/check-init.scm 55 */
int BgL_auxz00_3543;
BgL_auxz00_3543 = 
(int)(((long)8)); 
BgL_auxz00_3542 = 
(long)(BgL_auxz00_3543); } 
BgL_restz00_2136 = 
(BgL_offsetz00_2133%BgL_auxz00_3542); } 
{ /* Ast/check-init.scm 55 */

{ /* Ast/check-init.scm 55 */
obj_t BgL_bucketz00_2138;
{ /* Ast/check-init.scm 55 */
int BgL_kz00_2148;
BgL_kz00_2148 = 
(int)(BgL_modz00_2134); 
BgL_bucketz00_2138 = 
VECTOR_REF(BgL_arg1221z00_2129,BgL_kz00_2148); } 
{ /* Ast/check-init.scm 55 */
int BgL_kz00_2150;
BgL_kz00_2150 = 
(int)(BgL_restz00_2136); 
BgL_method2905z00_2126 = 
VECTOR_REF(BgL_bucketz00_2138,BgL_kz00_2150); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2126)(BgL_method2905z00_2126, 
(obj_t)(BgL_nodez00_2125), BEOA); } } 
return ( 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL, BUNSPEC) ;}  else 
{ /* Ast/check-init.scm 37 */
return BFALSE;} } } } } } 
}



/* _check-global-initialization */
obj_t BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3373)
{ AN_OBJECT;
{ /* Ast/check-init.scm 34 */
return 
BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();} 
}



/* <anonymous:2955> */
obj_t BGl_zc3anonymousza32955ze3z83zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3374)
{ AN_OBJECT;
{ /* Ast/check-init.scm 51 */
{ /* Ast/check-init.scm 53 */
obj_t BgL_globalz00_3375;
{ /* Ast/check-init.scm 53 */
int BgL_auxz00_3555;
BgL_auxz00_3555 = 
(int)(((long)0)); 
BgL_globalz00_3375 = 
PROCEDURE_REF(BgL_envz00_3374, BgL_auxz00_3555); } 
{ 

{ /* Ast/check-init.scm 52 */
BgL_nodez00_bglt BgL_nodez00_2097;
{ /* Ast/check-init.scm 53 */
obj_t BgL_auxz00_3558;
{ /* Ast/check-init.scm 53 */
BgL_sfunz00_bglt BgL_obj1284z00_2096;
{ /* Ast/check-init.scm 53 */
BgL_valuez00_bglt BgL_auxz00_3559;
{ /* Ast/check-init.scm 53 */
BgL_globalz00_bglt BgL_obj1067z00_2095;
BgL_obj1067z00_2095 = 
(BgL_globalz00_bglt)(BgL_globalz00_3375); 
BgL_auxz00_3559 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1067z00_2095))->BgL_valuez00); } 
BgL_obj1284z00_2096 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3559); } 
BgL_auxz00_3558 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_2096))->BgL_bodyz00); } 
BgL_nodez00_2097 = 
(BgL_nodez00_bglt)(BgL_auxz00_3558); } 
{ /* Ast/check-init.scm 52 */
obj_t BgL_method2905z00_2098;
{ /* Ast/check-init.scm 52 */
long BgL_objzd2classzd2numz00_2100;
{ /* Ast/check-init.scm 52 */
BgL_objectz00_bglt BgL_auxz00_3565;
BgL_auxz00_3565 = 
(BgL_objectz00_bglt)(BgL_nodez00_2097); 
BgL_objzd2classzd2numz00_2100 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3565); } 
{ /* Ast/check-init.scm 52 */
obj_t BgL_arg1221z00_2101;
{ /* Ast/check-init.scm 52 */
int BgL_auxz00_3568;
BgL_auxz00_3568 = 
(int)(((long)1)); 
BgL_arg1221z00_2101 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3568); } 
{ /* Ast/check-init.scm 52 */
long BgL_offsetz00_2105;
{ /* Ast/check-init.scm 52 */
long BgL_auxz00_3571;
{ /* Ast/check-init.scm 52 */
int BgL_auxz00_3572;
BgL_auxz00_3572 = 
(int)(BgL_objzd2classzd2numz00_2100); 
BgL_auxz00_3571 = 
(long)(BgL_auxz00_3572); } 
BgL_offsetz00_2105 = 
(BgL_auxz00_3571-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 52 */
long BgL_modz00_2106;
{ /* Ast/check-init.scm 52 */
long BgL_auxz00_3576;
{ /* Ast/check-init.scm 52 */
int BgL_auxz00_3577;
BgL_auxz00_3577 = 
(int)(((long)8)); 
BgL_auxz00_3576 = 
(long)(BgL_auxz00_3577); } 
BgL_modz00_2106 = 
(BgL_offsetz00_2105/BgL_auxz00_3576); } 
{ /* Ast/check-init.scm 52 */
long BgL_restz00_2108;
{ /* Ast/check-init.scm 52 */
long BgL_auxz00_3581;
{ /* Ast/check-init.scm 52 */
int BgL_auxz00_3582;
BgL_auxz00_3582 = 
(int)(((long)8)); 
BgL_auxz00_3581 = 
(long)(BgL_auxz00_3582); } 
BgL_restz00_2108 = 
(BgL_offsetz00_2105%BgL_auxz00_3581); } 
{ /* Ast/check-init.scm 52 */

{ /* Ast/check-init.scm 52 */
obj_t BgL_bucketz00_2110;
{ /* Ast/check-init.scm 52 */
int BgL_kz00_2120;
BgL_kz00_2120 = 
(int)(BgL_modz00_2106); 
BgL_bucketz00_2110 = 
VECTOR_REF(BgL_arg1221z00_2101,BgL_kz00_2120); } 
{ /* Ast/check-init.scm 52 */
int BgL_kz00_2122;
BgL_kz00_2122 = 
(int)(BgL_restz00_2108); 
BgL_method2905z00_2098 = 
VECTOR_REF(BgL_bucketz00_2110,BgL_kz00_2122); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_2098)(BgL_method2905z00_2098, 
(obj_t)(BgL_nodez00_2097), BEOA);} } } } } 
}



/* check-init* */
bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t BgL_nodeza2za2_40)
{ AN_OBJECT;
{ /* Ast/check-init.scm 236 */
{ 
obj_t BgL_l2902z00_1486;
BgL_l2902z00_1486 = BgL_nodeza2za2_40; 
BgL_lname2903z00_1487:
if(
PAIRP(BgL_l2902z00_1486))
{ /* Ast/check-init.scm 237 */
{ /* Ast/check-init.scm 237 */
BgL_nodez00_bglt BgL_nodez00_2153;
{ /* Ast/check-init.scm 237 */
obj_t BgL_auxz00_3595;
BgL_auxz00_3595 = 
CAR(BgL_l2902z00_1486); 
BgL_nodez00_2153 = 
(BgL_nodez00_bglt)(BgL_auxz00_3595); } 
{ /* Ast/check-init.scm 237 */
obj_t BgL_method2905z00_2154;
{ /* Ast/check-init.scm 237 */
long BgL_objzd2classzd2numz00_2156;
{ /* Ast/check-init.scm 237 */
BgL_objectz00_bglt BgL_auxz00_3598;
BgL_auxz00_3598 = 
(BgL_objectz00_bglt)(BgL_nodez00_2153); 
BgL_objzd2classzd2numz00_2156 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3598); } 
{ /* Ast/check-init.scm 237 */
obj_t BgL_arg1221z00_2157;
{ /* Ast/check-init.scm 237 */
int BgL_auxz00_3601;
BgL_auxz00_3601 = 
(int)(((long)1)); 
BgL_arg1221z00_2157 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3601); } 
{ /* Ast/check-init.scm 237 */
long BgL_offsetz00_2161;
{ /* Ast/check-init.scm 237 */
long BgL_auxz00_3604;
{ /* Ast/check-init.scm 237 */
int BgL_auxz00_3605;
BgL_auxz00_3605 = 
(int)(BgL_objzd2classzd2numz00_2156); 
BgL_auxz00_3604 = 
(long)(BgL_auxz00_3605); } 
BgL_offsetz00_2161 = 
(BgL_auxz00_3604-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 237 */
long BgL_modz00_2162;
{ /* Ast/check-init.scm 237 */
long BgL_auxz00_3609;
{ /* Ast/check-init.scm 237 */
int BgL_auxz00_3610;
BgL_auxz00_3610 = 
(int)(((long)8)); 
BgL_auxz00_3609 = 
(long)(BgL_auxz00_3610); } 
BgL_modz00_2162 = 
(BgL_offsetz00_2161/BgL_auxz00_3609); } 
{ /* Ast/check-init.scm 237 */
long BgL_restz00_2164;
{ /* Ast/check-init.scm 237 */
long BgL_auxz00_3614;
{ /* Ast/check-init.scm 237 */
int BgL_auxz00_3615;
BgL_auxz00_3615 = 
(int)(((long)8)); 
BgL_auxz00_3614 = 
(long)(BgL_auxz00_3615); } 
BgL_restz00_2164 = 
(BgL_offsetz00_2161%BgL_auxz00_3614); } 
{ /* Ast/check-init.scm 237 */

{ /* Ast/check-init.scm 237 */
obj_t BgL_bucketz00_2166;
{ /* Ast/check-init.scm 237 */
int BgL_kz00_2176;
BgL_kz00_2176 = 
(int)(BgL_modz00_2162); 
BgL_bucketz00_2166 = 
VECTOR_REF(BgL_arg1221z00_2157,BgL_kz00_2176); } 
{ /* Ast/check-init.scm 237 */
int BgL_kz00_2178;
BgL_kz00_2178 = 
(int)(BgL_restz00_2164); 
BgL_method2905z00_2154 = 
VECTOR_REF(BgL_bucketz00_2166,BgL_kz00_2178); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2154)(BgL_method2905z00_2154, 
(obj_t)(BgL_nodez00_2153), BEOA); } } 
{ 
obj_t BgL_l2902z00_3626;
BgL_l2902z00_3626 = 
CDR(BgL_l2902z00_1486); 
BgL_l2902z00_1486 = BgL_l2902z00_3626; 
goto BgL_lname2903z00_1487;} }  else 
{ /* Ast/check-init.scm 237 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_checkzd2initzd2default2904zd2envzd2zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_varz00zzast_nodez00, BGl_proc3145z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_sequencez00zzast_nodez00, BGl_proc3146z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_appz00zzast_nodez00, BGl_proc3147z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3148z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_funcallz00zzast_nodez00, BGl_proc3149z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_externz00zzast_nodez00, BGl_proc3150z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_castz00zzast_nodez00, BGl_proc3151z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_setqz00zzast_nodez00, BGl_proc3152z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_conditionalz00zzast_nodez00, BGl_proc3153z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_failz00zzast_nodez00, BGl_proc3154z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_selectz00zzast_nodez00, BGl_proc3155z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3156z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3157z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3158z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3159z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3160z00zzast_checkzd2globalzd2initz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3161z00zzast_checkzd2globalzd2initz00);} 
}



/* check-init-box-set!2941 */
obj_t BGl_checkzd2initzd2boxzd2setz122941zc0zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3393, obj_t BgL_nodez00_3394)
{ AN_OBJECT;
{ /* Ast/check-init.scm 229 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2047;
BgL_nodez00_2047 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3394); 
{ /* Ast/check-init.scm 230 */
BgL_nodez00_bglt BgL_arg3086z00_3317;
BgL_arg3086z00_3317 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2047))->BgL_valuez00); 
{ /* Ast/check-init.scm 230 */
obj_t BgL_method2905z00_3320;
{ /* Ast/check-init.scm 230 */
long BgL_objzd2classzd2numz00_3322;
{ /* Ast/check-init.scm 230 */
BgL_objectz00_bglt BgL_auxz00_3647;
BgL_auxz00_3647 = 
(BgL_objectz00_bglt)(BgL_arg3086z00_3317); 
BgL_objzd2classzd2numz00_3322 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3647); } 
{ /* Ast/check-init.scm 230 */
obj_t BgL_arg1221z00_3323;
{ /* Ast/check-init.scm 230 */
int BgL_auxz00_3650;
BgL_auxz00_3650 = 
(int)(((long)1)); 
BgL_arg1221z00_3323 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3650); } 
{ /* Ast/check-init.scm 230 */
long BgL_offsetz00_3327;
{ /* Ast/check-init.scm 230 */
long BgL_auxz00_3653;
{ /* Ast/check-init.scm 230 */
int BgL_auxz00_3654;
BgL_auxz00_3654 = 
(int)(BgL_objzd2classzd2numz00_3322); 
BgL_auxz00_3653 = 
(long)(BgL_auxz00_3654); } 
BgL_offsetz00_3327 = 
(BgL_auxz00_3653-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 230 */
long BgL_modz00_3328;
{ /* Ast/check-init.scm 230 */
long BgL_auxz00_3658;
{ /* Ast/check-init.scm 230 */
int BgL_auxz00_3659;
BgL_auxz00_3659 = 
(int)(((long)8)); 
BgL_auxz00_3658 = 
(long)(BgL_auxz00_3659); } 
BgL_modz00_3328 = 
(BgL_offsetz00_3327/BgL_auxz00_3658); } 
{ /* Ast/check-init.scm 230 */
long BgL_restz00_3330;
{ /* Ast/check-init.scm 230 */
long BgL_auxz00_3663;
{ /* Ast/check-init.scm 230 */
int BgL_auxz00_3664;
BgL_auxz00_3664 = 
(int)(((long)8)); 
BgL_auxz00_3663 = 
(long)(BgL_auxz00_3664); } 
BgL_restz00_3330 = 
(BgL_offsetz00_3327%BgL_auxz00_3663); } 
{ /* Ast/check-init.scm 230 */

{ /* Ast/check-init.scm 230 */
obj_t BgL_bucketz00_3332;
{ /* Ast/check-init.scm 230 */
int BgL_kz00_3342;
BgL_kz00_3342 = 
(int)(BgL_modz00_3328); 
BgL_bucketz00_3332 = 
VECTOR_REF(BgL_arg1221z00_3323,BgL_kz00_3342); } 
{ /* Ast/check-init.scm 230 */
int BgL_kz00_3344;
BgL_kz00_3344 = 
(int)(BgL_restz00_3330); 
BgL_method2905z00_3320 = 
VECTOR_REF(BgL_bucketz00_3332,BgL_kz00_3344); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3320)(BgL_method2905z00_3320, 
(obj_t)(BgL_arg3086z00_3317), BEOA);} } } } 
}



/* check-init-make-box2939 */
obj_t BGl_checkzd2initzd2makezd2box2939zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3395, obj_t BgL_nodez00_3396)
{ AN_OBJECT;
{ /* Ast/check-init.scm 223 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2041;
BgL_nodez00_2041 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3396); 
{ /* Ast/check-init.scm 224 */
BgL_nodez00_bglt BgL_arg3084z00_3288;
BgL_arg3084z00_3288 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2041))->BgL_valuez00); 
{ /* Ast/check-init.scm 224 */
obj_t BgL_method2905z00_3291;
{ /* Ast/check-init.scm 224 */
long BgL_objzd2classzd2numz00_3293;
{ /* Ast/check-init.scm 224 */
BgL_objectz00_bglt BgL_auxz00_3677;
BgL_auxz00_3677 = 
(BgL_objectz00_bglt)(BgL_arg3084z00_3288); 
BgL_objzd2classzd2numz00_3293 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3677); } 
{ /* Ast/check-init.scm 224 */
obj_t BgL_arg1221z00_3294;
{ /* Ast/check-init.scm 224 */
int BgL_auxz00_3680;
BgL_auxz00_3680 = 
(int)(((long)1)); 
BgL_arg1221z00_3294 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3680); } 
{ /* Ast/check-init.scm 224 */
long BgL_offsetz00_3298;
{ /* Ast/check-init.scm 224 */
long BgL_auxz00_3683;
{ /* Ast/check-init.scm 224 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(BgL_objzd2classzd2numz00_3293); 
BgL_auxz00_3683 = 
(long)(BgL_auxz00_3684); } 
BgL_offsetz00_3298 = 
(BgL_auxz00_3683-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 224 */
long BgL_modz00_3299;
{ /* Ast/check-init.scm 224 */
long BgL_auxz00_3688;
{ /* Ast/check-init.scm 224 */
int BgL_auxz00_3689;
BgL_auxz00_3689 = 
(int)(((long)8)); 
BgL_auxz00_3688 = 
(long)(BgL_auxz00_3689); } 
BgL_modz00_3299 = 
(BgL_offsetz00_3298/BgL_auxz00_3688); } 
{ /* Ast/check-init.scm 224 */
long BgL_restz00_3301;
{ /* Ast/check-init.scm 224 */
long BgL_auxz00_3693;
{ /* Ast/check-init.scm 224 */
int BgL_auxz00_3694;
BgL_auxz00_3694 = 
(int)(((long)8)); 
BgL_auxz00_3693 = 
(long)(BgL_auxz00_3694); } 
BgL_restz00_3301 = 
(BgL_offsetz00_3298%BgL_auxz00_3693); } 
{ /* Ast/check-init.scm 224 */

{ /* Ast/check-init.scm 224 */
obj_t BgL_bucketz00_3303;
{ /* Ast/check-init.scm 224 */
int BgL_kz00_3313;
BgL_kz00_3313 = 
(int)(BgL_modz00_3299); 
BgL_bucketz00_3303 = 
VECTOR_REF(BgL_arg1221z00_3294,BgL_kz00_3313); } 
{ /* Ast/check-init.scm 224 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_restz00_3301); 
BgL_method2905z00_3291 = 
VECTOR_REF(BgL_bucketz00_3303,BgL_kz00_3315); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3291)(BgL_method2905z00_3291, 
(obj_t)(BgL_arg3084z00_3288), BEOA);} } } } 
}



/* check-init-jump-ex-it2936 */
obj_t BGl_checkzd2initzd2jumpzd2exzd2it2936z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3397, obj_t BgL_nodez00_3398)
{ AN_OBJECT;
{ /* Ast/check-init.scm 215 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2034;
BgL_nodez00_2034 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3398); 
{ /* Ast/check-init.scm 216 */
BgL_nodez00_bglt BgL_arg3082z00_3234;
BgL_arg3082z00_3234 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2034))->BgL_exitz00); 
{ /* Ast/check-init.scm 216 */
obj_t BgL_method2905z00_3237;
{ /* Ast/check-init.scm 216 */
long BgL_objzd2classzd2numz00_3239;
{ /* Ast/check-init.scm 216 */
BgL_objectz00_bglt BgL_auxz00_3707;
BgL_auxz00_3707 = 
(BgL_objectz00_bglt)(BgL_arg3082z00_3234); 
BgL_objzd2classzd2numz00_3239 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3707); } 
{ /* Ast/check-init.scm 216 */
obj_t BgL_arg1221z00_3240;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3710;
BgL_auxz00_3710 = 
(int)(((long)1)); 
BgL_arg1221z00_3240 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3710); } 
{ /* Ast/check-init.scm 216 */
long BgL_offsetz00_3244;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3713;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(BgL_objzd2classzd2numz00_3239); 
BgL_auxz00_3713 = 
(long)(BgL_auxz00_3714); } 
BgL_offsetz00_3244 = 
(BgL_auxz00_3713-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 216 */
long BgL_modz00_3245;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3718;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3719;
BgL_auxz00_3719 = 
(int)(((long)8)); 
BgL_auxz00_3718 = 
(long)(BgL_auxz00_3719); } 
BgL_modz00_3245 = 
(BgL_offsetz00_3244/BgL_auxz00_3718); } 
{ /* Ast/check-init.scm 216 */
long BgL_restz00_3247;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3723;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3724;
BgL_auxz00_3724 = 
(int)(((long)8)); 
BgL_auxz00_3723 = 
(long)(BgL_auxz00_3724); } 
BgL_restz00_3247 = 
(BgL_offsetz00_3244%BgL_auxz00_3723); } 
{ /* Ast/check-init.scm 216 */

{ /* Ast/check-init.scm 216 */
obj_t BgL_bucketz00_3249;
{ /* Ast/check-init.scm 216 */
int BgL_kz00_3259;
BgL_kz00_3259 = 
(int)(BgL_modz00_3245); 
BgL_bucketz00_3249 = 
VECTOR_REF(BgL_arg1221z00_3240,BgL_kz00_3259); } 
{ /* Ast/check-init.scm 216 */
int BgL_kz00_3261;
BgL_kz00_3261 = 
(int)(BgL_restz00_3247); 
BgL_method2905z00_3237 = 
VECTOR_REF(BgL_bucketz00_3249,BgL_kz00_3261); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3237)(BgL_method2905z00_3237, 
(obj_t)(BgL_arg3082z00_3234), BEOA); } } 
{ /* Ast/check-init.scm 216 */
BgL_nodez00_bglt BgL_nodez00_3262;
BgL_nodez00_3262 = 
(BgL_nodez00_bglt)(BGl_valuez00zzast_varz00); 
{ /* Ast/check-init.scm 216 */
obj_t BgL_method2905z00_3263;
{ /* Ast/check-init.scm 216 */
long BgL_objzd2classzd2numz00_3265;
{ /* Ast/check-init.scm 216 */
BgL_objectz00_bglt BgL_auxz00_3736;
BgL_auxz00_3736 = 
(BgL_objectz00_bglt)(BgL_nodez00_3262); 
BgL_objzd2classzd2numz00_3265 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3736); } 
{ /* Ast/check-init.scm 216 */
obj_t BgL_arg1221z00_3266;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3739;
BgL_auxz00_3739 = 
(int)(((long)1)); 
BgL_arg1221z00_3266 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3739); } 
{ /* Ast/check-init.scm 216 */
long BgL_offsetz00_3270;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3742;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3743;
BgL_auxz00_3743 = 
(int)(BgL_objzd2classzd2numz00_3265); 
BgL_auxz00_3742 = 
(long)(BgL_auxz00_3743); } 
BgL_offsetz00_3270 = 
(BgL_auxz00_3742-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 216 */
long BgL_modz00_3271;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3747;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3748;
BgL_auxz00_3748 = 
(int)(((long)8)); 
BgL_auxz00_3747 = 
(long)(BgL_auxz00_3748); } 
BgL_modz00_3271 = 
(BgL_offsetz00_3270/BgL_auxz00_3747); } 
{ /* Ast/check-init.scm 216 */
long BgL_restz00_3273;
{ /* Ast/check-init.scm 216 */
long BgL_auxz00_3752;
{ /* Ast/check-init.scm 216 */
int BgL_auxz00_3753;
BgL_auxz00_3753 = 
(int)(((long)8)); 
BgL_auxz00_3752 = 
(long)(BgL_auxz00_3753); } 
BgL_restz00_3273 = 
(BgL_offsetz00_3270%BgL_auxz00_3752); } 
{ /* Ast/check-init.scm 216 */

{ /* Ast/check-init.scm 216 */
obj_t BgL_bucketz00_3275;
{ /* Ast/check-init.scm 216 */
int BgL_kz00_3285;
BgL_kz00_3285 = 
(int)(BgL_modz00_3271); 
BgL_bucketz00_3275 = 
VECTOR_REF(BgL_arg1221z00_3266,BgL_kz00_3285); } 
{ /* Ast/check-init.scm 216 */
int BgL_kz00_3287;
BgL_kz00_3287 = 
(int)(BgL_restz00_3273); 
BgL_method2905z00_3263 = 
VECTOR_REF(BgL_bucketz00_3275,BgL_kz00_3287); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3263)(BgL_method2905z00_3263, 
(obj_t)(BgL_nodez00_3262), BEOA);} } } } 
}



/* check-init-set-ex-it2934 */
obj_t BGl_checkzd2initzd2setzd2exzd2it2934z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3399, obj_t BgL_nodez00_3400)
{ AN_OBJECT;
{ /* Ast/check-init.scm 209 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2028;
BgL_nodez00_2028 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3400); 
{ /* Ast/check-init.scm 210 */
BgL_nodez00_bglt BgL_arg3080z00_3205;
BgL_arg3080z00_3205 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2028))->BgL_bodyz00); 
{ /* Ast/check-init.scm 210 */
obj_t BgL_method2905z00_3208;
{ /* Ast/check-init.scm 210 */
long BgL_objzd2classzd2numz00_3210;
{ /* Ast/check-init.scm 210 */
BgL_objectz00_bglt BgL_auxz00_3766;
BgL_auxz00_3766 = 
(BgL_objectz00_bglt)(BgL_arg3080z00_3205); 
BgL_objzd2classzd2numz00_3210 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3766); } 
{ /* Ast/check-init.scm 210 */
obj_t BgL_arg1221z00_3211;
{ /* Ast/check-init.scm 210 */
int BgL_auxz00_3769;
BgL_auxz00_3769 = 
(int)(((long)1)); 
BgL_arg1221z00_3211 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3769); } 
{ /* Ast/check-init.scm 210 */
long BgL_offsetz00_3215;
{ /* Ast/check-init.scm 210 */
long BgL_auxz00_3772;
{ /* Ast/check-init.scm 210 */
int BgL_auxz00_3773;
BgL_auxz00_3773 = 
(int)(BgL_objzd2classzd2numz00_3210); 
BgL_auxz00_3772 = 
(long)(BgL_auxz00_3773); } 
BgL_offsetz00_3215 = 
(BgL_auxz00_3772-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 210 */
long BgL_modz00_3216;
{ /* Ast/check-init.scm 210 */
long BgL_auxz00_3777;
{ /* Ast/check-init.scm 210 */
int BgL_auxz00_3778;
BgL_auxz00_3778 = 
(int)(((long)8)); 
BgL_auxz00_3777 = 
(long)(BgL_auxz00_3778); } 
BgL_modz00_3216 = 
(BgL_offsetz00_3215/BgL_auxz00_3777); } 
{ /* Ast/check-init.scm 210 */
long BgL_restz00_3218;
{ /* Ast/check-init.scm 210 */
long BgL_auxz00_3782;
{ /* Ast/check-init.scm 210 */
int BgL_auxz00_3783;
BgL_auxz00_3783 = 
(int)(((long)8)); 
BgL_auxz00_3782 = 
(long)(BgL_auxz00_3783); } 
BgL_restz00_3218 = 
(BgL_offsetz00_3215%BgL_auxz00_3782); } 
{ /* Ast/check-init.scm 210 */

{ /* Ast/check-init.scm 210 */
obj_t BgL_bucketz00_3220;
{ /* Ast/check-init.scm 210 */
int BgL_kz00_3230;
BgL_kz00_3230 = 
(int)(BgL_modz00_3216); 
BgL_bucketz00_3220 = 
VECTOR_REF(BgL_arg1221z00_3211,BgL_kz00_3230); } 
{ /* Ast/check-init.scm 210 */
int BgL_kz00_3232;
BgL_kz00_3232 = 
(int)(BgL_restz00_3218); 
BgL_method2905z00_3208 = 
VECTOR_REF(BgL_bucketz00_3220,BgL_kz00_3232); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3208)(BgL_method2905z00_3208, 
(obj_t)(BgL_arg3080z00_3205), BEOA);} } } } 
}



/* check-init-let-var2932 */
obj_t BGl_checkzd2initzd2letzd2var2932zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3401, obj_t BgL_nodez00_3402)
{ AN_OBJECT;
{ /* Ast/check-init.scm 199 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2014;
{ /* Ast/check-init.scm 200 */
bool_t BgL_auxz00_3795;
BgL_nodez00_2014 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3402); 
{ /* Ast/check-init.scm 201 */
BgL_nodez00_bglt BgL_arg3074z00_2018;
BgL_arg3074z00_2018 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2014))->BgL_bodyz00); 
{ /* Ast/check-init.scm 201 */
obj_t BgL_method2905z00_3149;
{ /* Ast/check-init.scm 201 */
long BgL_objzd2classzd2numz00_3151;
{ /* Ast/check-init.scm 201 */
BgL_objectz00_bglt BgL_auxz00_3797;
BgL_auxz00_3797 = 
(BgL_objectz00_bglt)(BgL_arg3074z00_2018); 
BgL_objzd2classzd2numz00_3151 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3797); } 
{ /* Ast/check-init.scm 201 */
obj_t BgL_arg1221z00_3152;
{ /* Ast/check-init.scm 201 */
int BgL_auxz00_3800;
BgL_auxz00_3800 = 
(int)(((long)1)); 
BgL_arg1221z00_3152 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3800); } 
{ /* Ast/check-init.scm 201 */
long BgL_offsetz00_3156;
{ /* Ast/check-init.scm 201 */
long BgL_auxz00_3803;
{ /* Ast/check-init.scm 201 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(BgL_objzd2classzd2numz00_3151); 
BgL_auxz00_3803 = 
(long)(BgL_auxz00_3804); } 
BgL_offsetz00_3156 = 
(BgL_auxz00_3803-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 201 */
long BgL_modz00_3157;
{ /* Ast/check-init.scm 201 */
long BgL_auxz00_3808;
{ /* Ast/check-init.scm 201 */
int BgL_auxz00_3809;
BgL_auxz00_3809 = 
(int)(((long)8)); 
BgL_auxz00_3808 = 
(long)(BgL_auxz00_3809); } 
BgL_modz00_3157 = 
(BgL_offsetz00_3156/BgL_auxz00_3808); } 
{ /* Ast/check-init.scm 201 */
long BgL_restz00_3159;
{ /* Ast/check-init.scm 201 */
long BgL_auxz00_3813;
{ /* Ast/check-init.scm 201 */
int BgL_auxz00_3814;
BgL_auxz00_3814 = 
(int)(((long)8)); 
BgL_auxz00_3813 = 
(long)(BgL_auxz00_3814); } 
BgL_restz00_3159 = 
(BgL_offsetz00_3156%BgL_auxz00_3813); } 
{ /* Ast/check-init.scm 201 */

{ /* Ast/check-init.scm 201 */
obj_t BgL_bucketz00_3161;
{ /* Ast/check-init.scm 201 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_modz00_3157); 
BgL_bucketz00_3161 = 
VECTOR_REF(BgL_arg1221z00_3152,BgL_kz00_3171); } 
{ /* Ast/check-init.scm 201 */
int BgL_kz00_3173;
BgL_kz00_3173 = 
(int)(BgL_restz00_3159); 
BgL_method2905z00_3149 = 
VECTOR_REF(BgL_bucketz00_3161,BgL_kz00_3173); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3149)(BgL_method2905z00_3149, 
(obj_t)(BgL_arg3074z00_2018), BEOA); } } 
{ 
obj_t BgL_l2896z00_2019;
BgL_l2896z00_2019 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2014))->BgL_bindingsz00); 
BgL_lname2897z00_2020:
if(
PAIRP(BgL_l2896z00_2019))
{ /* Ast/check-init.scm 202 */
{ /* Ast/check-init.scm 203 */
BgL_nodez00_bglt BgL_nodez00_3178;
{ /* Ast/check-init.scm 203 */
obj_t BgL_auxz00_3827;
{ /* Ast/check-init.scm 203 */
obj_t BgL_auxz00_3828;
BgL_auxz00_3828 = 
CAR(BgL_l2896z00_2019); 
BgL_auxz00_3827 = 
CDR(BgL_auxz00_3828); } 
BgL_nodez00_3178 = 
(BgL_nodez00_bglt)(BgL_auxz00_3827); } 
{ /* Ast/check-init.scm 203 */
obj_t BgL_method2905z00_3179;
{ /* Ast/check-init.scm 203 */
long BgL_objzd2classzd2numz00_3181;
{ /* Ast/check-init.scm 203 */
BgL_objectz00_bglt BgL_auxz00_3832;
BgL_auxz00_3832 = 
(BgL_objectz00_bglt)(BgL_nodez00_3178); 
BgL_objzd2classzd2numz00_3181 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3832); } 
{ /* Ast/check-init.scm 203 */
obj_t BgL_arg1221z00_3182;
{ /* Ast/check-init.scm 203 */
int BgL_auxz00_3835;
BgL_auxz00_3835 = 
(int)(((long)1)); 
BgL_arg1221z00_3182 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3835); } 
{ /* Ast/check-init.scm 203 */
long BgL_offsetz00_3186;
{ /* Ast/check-init.scm 203 */
long BgL_auxz00_3838;
{ /* Ast/check-init.scm 203 */
int BgL_auxz00_3839;
BgL_auxz00_3839 = 
(int)(BgL_objzd2classzd2numz00_3181); 
BgL_auxz00_3838 = 
(long)(BgL_auxz00_3839); } 
BgL_offsetz00_3186 = 
(BgL_auxz00_3838-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 203 */
long BgL_modz00_3187;
{ /* Ast/check-init.scm 203 */
long BgL_auxz00_3843;
{ /* Ast/check-init.scm 203 */
int BgL_auxz00_3844;
BgL_auxz00_3844 = 
(int)(((long)8)); 
BgL_auxz00_3843 = 
(long)(BgL_auxz00_3844); } 
BgL_modz00_3187 = 
(BgL_offsetz00_3186/BgL_auxz00_3843); } 
{ /* Ast/check-init.scm 203 */
long BgL_restz00_3189;
{ /* Ast/check-init.scm 203 */
long BgL_auxz00_3848;
{ /* Ast/check-init.scm 203 */
int BgL_auxz00_3849;
BgL_auxz00_3849 = 
(int)(((long)8)); 
BgL_auxz00_3848 = 
(long)(BgL_auxz00_3849); } 
BgL_restz00_3189 = 
(BgL_offsetz00_3186%BgL_auxz00_3848); } 
{ /* Ast/check-init.scm 203 */

{ /* Ast/check-init.scm 203 */
obj_t BgL_bucketz00_3191;
{ /* Ast/check-init.scm 203 */
int BgL_kz00_3201;
BgL_kz00_3201 = 
(int)(BgL_modz00_3187); 
BgL_bucketz00_3191 = 
VECTOR_REF(BgL_arg1221z00_3182,BgL_kz00_3201); } 
{ /* Ast/check-init.scm 203 */
int BgL_kz00_3203;
BgL_kz00_3203 = 
(int)(BgL_restz00_3189); 
BgL_method2905z00_3179 = 
VECTOR_REF(BgL_bucketz00_3191,BgL_kz00_3203); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3179)(BgL_method2905z00_3179, 
(obj_t)(BgL_nodez00_3178), BEOA); } } 
{ 
obj_t BgL_l2896z00_3860;
BgL_l2896z00_3860 = 
CDR(BgL_l2896z00_2019); 
BgL_l2896z00_2019 = BgL_l2896z00_3860; 
goto BgL_lname2897z00_2020;} }  else 
{ /* Ast/check-init.scm 202 */
BgL_auxz00_3795 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3795);} } } 
}



/* check-init-let-fun2930 */
obj_t BGl_checkzd2initzd2letzd2fun2930zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3403, obj_t BgL_nodez00_3404)
{ AN_OBJECT;
{ /* Ast/check-init.scm 192 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2007;
BgL_nodez00_2007 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3404); 
{ /* Ast/check-init.scm 193 */
BgL_nodez00_bglt BgL_arg3072z00_3119;
BgL_arg3072z00_3119 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2007))->BgL_bodyz00); 
{ /* Ast/check-init.scm 193 */
obj_t BgL_method2905z00_3122;
{ /* Ast/check-init.scm 193 */
long BgL_objzd2classzd2numz00_3124;
{ /* Ast/check-init.scm 193 */
BgL_objectz00_bglt BgL_auxz00_3866;
BgL_auxz00_3866 = 
(BgL_objectz00_bglt)(BgL_arg3072z00_3119); 
BgL_objzd2classzd2numz00_3124 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3866); } 
{ /* Ast/check-init.scm 193 */
obj_t BgL_arg1221z00_3125;
{ /* Ast/check-init.scm 193 */
int BgL_auxz00_3869;
BgL_auxz00_3869 = 
(int)(((long)1)); 
BgL_arg1221z00_3125 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3869); } 
{ /* Ast/check-init.scm 193 */
long BgL_offsetz00_3129;
{ /* Ast/check-init.scm 193 */
long BgL_auxz00_3872;
{ /* Ast/check-init.scm 193 */
int BgL_auxz00_3873;
BgL_auxz00_3873 = 
(int)(BgL_objzd2classzd2numz00_3124); 
BgL_auxz00_3872 = 
(long)(BgL_auxz00_3873); } 
BgL_offsetz00_3129 = 
(BgL_auxz00_3872-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 193 */
long BgL_modz00_3130;
{ /* Ast/check-init.scm 193 */
long BgL_auxz00_3877;
{ /* Ast/check-init.scm 193 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)8)); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_modz00_3130 = 
(BgL_offsetz00_3129/BgL_auxz00_3877); } 
{ /* Ast/check-init.scm 193 */
long BgL_restz00_3132;
{ /* Ast/check-init.scm 193 */
long BgL_auxz00_3882;
{ /* Ast/check-init.scm 193 */
int BgL_auxz00_3883;
BgL_auxz00_3883 = 
(int)(((long)8)); 
BgL_auxz00_3882 = 
(long)(BgL_auxz00_3883); } 
BgL_restz00_3132 = 
(BgL_offsetz00_3129%BgL_auxz00_3882); } 
{ /* Ast/check-init.scm 193 */

{ /* Ast/check-init.scm 193 */
obj_t BgL_bucketz00_3134;
{ /* Ast/check-init.scm 193 */
int BgL_kz00_3144;
BgL_kz00_3144 = 
(int)(BgL_modz00_3130); 
BgL_bucketz00_3134 = 
VECTOR_REF(BgL_arg1221z00_3125,BgL_kz00_3144); } 
{ /* Ast/check-init.scm 193 */
int BgL_kz00_3146;
BgL_kz00_3146 = 
(int)(BgL_restz00_3132); 
BgL_method2905z00_3122 = 
VECTOR_REF(BgL_bucketz00_3134,BgL_kz00_3146); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3122)(BgL_method2905z00_3122, 
(obj_t)(BgL_arg3072z00_3119), BEOA);} } } } 
}



/* check-init-select2928 */
obj_t BGl_checkzd2initzd2select2928z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3405, obj_t BgL_nodez00_3406)
{ AN_OBJECT;
{ /* Ast/check-init.scm 179 */
{ 
BgL_selectz00_bglt BgL_nodez00_1993;
{ /* Ast/check-init.scm 180 */
bool_t BgL_auxz00_3895;
BgL_nodez00_1993 = 
(BgL_selectz00_bglt)(BgL_nodez00_3406); 
{ /* Ast/check-init.scm 181 */
BgL_nodez00_bglt BgL_arg3066z00_1997;
BgL_arg3066z00_1997 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1993))->BgL_testz00); 
{ /* Ast/check-init.scm 181 */
obj_t BgL_method2905z00_3062;
{ /* Ast/check-init.scm 181 */
long BgL_objzd2classzd2numz00_3064;
{ /* Ast/check-init.scm 181 */
BgL_objectz00_bglt BgL_auxz00_3897;
BgL_auxz00_3897 = 
(BgL_objectz00_bglt)(BgL_arg3066z00_1997); 
BgL_objzd2classzd2numz00_3064 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3897); } 
{ /* Ast/check-init.scm 181 */
obj_t BgL_arg1221z00_3065;
{ /* Ast/check-init.scm 181 */
int BgL_auxz00_3900;
BgL_auxz00_3900 = 
(int)(((long)1)); 
BgL_arg1221z00_3065 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3900); } 
{ /* Ast/check-init.scm 181 */
long BgL_offsetz00_3069;
{ /* Ast/check-init.scm 181 */
long BgL_auxz00_3903;
{ /* Ast/check-init.scm 181 */
int BgL_auxz00_3904;
BgL_auxz00_3904 = 
(int)(BgL_objzd2classzd2numz00_3064); 
BgL_auxz00_3903 = 
(long)(BgL_auxz00_3904); } 
BgL_offsetz00_3069 = 
(BgL_auxz00_3903-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 181 */
long BgL_modz00_3070;
{ /* Ast/check-init.scm 181 */
long BgL_auxz00_3908;
{ /* Ast/check-init.scm 181 */
int BgL_auxz00_3909;
BgL_auxz00_3909 = 
(int)(((long)8)); 
BgL_auxz00_3908 = 
(long)(BgL_auxz00_3909); } 
BgL_modz00_3070 = 
(BgL_offsetz00_3069/BgL_auxz00_3908); } 
{ /* Ast/check-init.scm 181 */
long BgL_restz00_3072;
{ /* Ast/check-init.scm 181 */
long BgL_auxz00_3913;
{ /* Ast/check-init.scm 181 */
int BgL_auxz00_3914;
BgL_auxz00_3914 = 
(int)(((long)8)); 
BgL_auxz00_3913 = 
(long)(BgL_auxz00_3914); } 
BgL_restz00_3072 = 
(BgL_offsetz00_3069%BgL_auxz00_3913); } 
{ /* Ast/check-init.scm 181 */

{ /* Ast/check-init.scm 181 */
obj_t BgL_bucketz00_3074;
{ /* Ast/check-init.scm 181 */
int BgL_kz00_3084;
BgL_kz00_3084 = 
(int)(BgL_modz00_3070); 
BgL_bucketz00_3074 = 
VECTOR_REF(BgL_arg1221z00_3065,BgL_kz00_3084); } 
{ /* Ast/check-init.scm 181 */
int BgL_kz00_3086;
BgL_kz00_3086 = 
(int)(BgL_restz00_3072); 
BgL_method2905z00_3062 = 
VECTOR_REF(BgL_bucketz00_3074,BgL_kz00_3086); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3062)(BgL_method2905z00_3062, 
(obj_t)(BgL_arg3066z00_1997), BEOA); } } 
{ 
obj_t BgL_l2890z00_1998;
BgL_l2890z00_1998 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1993))->BgL_clausesz00); 
BgL_lname2891z00_1999:
if(
PAIRP(BgL_l2890z00_1998))
{ /* Ast/check-init.scm 182 */
{ /* Ast/check-init.scm 183 */
BgL_nodez00_bglt BgL_nodez00_3091;
{ /* Ast/check-init.scm 183 */
obj_t BgL_auxz00_3927;
{ /* Ast/check-init.scm 183 */
obj_t BgL_auxz00_3928;
BgL_auxz00_3928 = 
CAR(BgL_l2890z00_1998); 
BgL_auxz00_3927 = 
CDR(BgL_auxz00_3928); } 
BgL_nodez00_3091 = 
(BgL_nodez00_bglt)(BgL_auxz00_3927); } 
{ /* Ast/check-init.scm 183 */
obj_t BgL_method2905z00_3092;
{ /* Ast/check-init.scm 183 */
long BgL_objzd2classzd2numz00_3094;
{ /* Ast/check-init.scm 183 */
BgL_objectz00_bglt BgL_auxz00_3932;
BgL_auxz00_3932 = 
(BgL_objectz00_bglt)(BgL_nodez00_3091); 
BgL_objzd2classzd2numz00_3094 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3932); } 
{ /* Ast/check-init.scm 183 */
obj_t BgL_arg1221z00_3095;
{ /* Ast/check-init.scm 183 */
int BgL_auxz00_3935;
BgL_auxz00_3935 = 
(int)(((long)1)); 
BgL_arg1221z00_3095 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3935); } 
{ /* Ast/check-init.scm 183 */
long BgL_offsetz00_3099;
{ /* Ast/check-init.scm 183 */
long BgL_auxz00_3938;
{ /* Ast/check-init.scm 183 */
int BgL_auxz00_3939;
BgL_auxz00_3939 = 
(int)(BgL_objzd2classzd2numz00_3094); 
BgL_auxz00_3938 = 
(long)(BgL_auxz00_3939); } 
BgL_offsetz00_3099 = 
(BgL_auxz00_3938-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 183 */
long BgL_modz00_3100;
{ /* Ast/check-init.scm 183 */
long BgL_auxz00_3943;
{ /* Ast/check-init.scm 183 */
int BgL_auxz00_3944;
BgL_auxz00_3944 = 
(int)(((long)8)); 
BgL_auxz00_3943 = 
(long)(BgL_auxz00_3944); } 
BgL_modz00_3100 = 
(BgL_offsetz00_3099/BgL_auxz00_3943); } 
{ /* Ast/check-init.scm 183 */
long BgL_restz00_3102;
{ /* Ast/check-init.scm 183 */
long BgL_auxz00_3948;
{ /* Ast/check-init.scm 183 */
int BgL_auxz00_3949;
BgL_auxz00_3949 = 
(int)(((long)8)); 
BgL_auxz00_3948 = 
(long)(BgL_auxz00_3949); } 
BgL_restz00_3102 = 
(BgL_offsetz00_3099%BgL_auxz00_3948); } 
{ /* Ast/check-init.scm 183 */

{ /* Ast/check-init.scm 183 */
obj_t BgL_bucketz00_3104;
{ /* Ast/check-init.scm 183 */
int BgL_kz00_3114;
BgL_kz00_3114 = 
(int)(BgL_modz00_3100); 
BgL_bucketz00_3104 = 
VECTOR_REF(BgL_arg1221z00_3095,BgL_kz00_3114); } 
{ /* Ast/check-init.scm 183 */
int BgL_kz00_3116;
BgL_kz00_3116 = 
(int)(BgL_restz00_3102); 
BgL_method2905z00_3092 = 
VECTOR_REF(BgL_bucketz00_3104,BgL_kz00_3116); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3092)(BgL_method2905z00_3092, 
(obj_t)(BgL_nodez00_3091), BEOA); } } 
{ 
obj_t BgL_l2890z00_3960;
BgL_l2890z00_3960 = 
CDR(BgL_l2890z00_1998); 
BgL_l2890z00_1998 = BgL_l2890z00_3960; 
goto BgL_lname2891z00_1999;} }  else 
{ /* Ast/check-init.scm 182 */
BgL_auxz00_3895 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3895);} } } 
}



/* check-init-fail2926 */
obj_t BGl_checkzd2initzd2fail2926z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3407, obj_t BgL_nodez00_3408)
{ AN_OBJECT;
{ /* Ast/check-init.scm 170 */
{ 
BgL_failz00_bglt BgL_nodez00_1984;
BgL_nodez00_1984 = 
(BgL_failz00_bglt)(BgL_nodez00_3408); 
{ /* Ast/check-init.scm 172 */
BgL_nodez00_bglt BgL_arg3062z00_1988;
BgL_arg3062z00_1988 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1984))->BgL_procz00); 
{ /* Ast/check-init.scm 172 */
obj_t BgL_method2905z00_2981;
{ /* Ast/check-init.scm 172 */
long BgL_objzd2classzd2numz00_2983;
{ /* Ast/check-init.scm 172 */
BgL_objectz00_bglt BgL_auxz00_3966;
BgL_auxz00_3966 = 
(BgL_objectz00_bglt)(BgL_arg3062z00_1988); 
BgL_objzd2classzd2numz00_2983 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3966); } 
{ /* Ast/check-init.scm 172 */
obj_t BgL_arg1221z00_2984;
{ /* Ast/check-init.scm 172 */
int BgL_auxz00_3969;
BgL_auxz00_3969 = 
(int)(((long)1)); 
BgL_arg1221z00_2984 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3969); } 
{ /* Ast/check-init.scm 172 */
long BgL_offsetz00_2988;
{ /* Ast/check-init.scm 172 */
long BgL_auxz00_3972;
{ /* Ast/check-init.scm 172 */
int BgL_auxz00_3973;
BgL_auxz00_3973 = 
(int)(BgL_objzd2classzd2numz00_2983); 
BgL_auxz00_3972 = 
(long)(BgL_auxz00_3973); } 
BgL_offsetz00_2988 = 
(BgL_auxz00_3972-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 172 */
long BgL_modz00_2989;
{ /* Ast/check-init.scm 172 */
long BgL_auxz00_3977;
{ /* Ast/check-init.scm 172 */
int BgL_auxz00_3978;
BgL_auxz00_3978 = 
(int)(((long)8)); 
BgL_auxz00_3977 = 
(long)(BgL_auxz00_3978); } 
BgL_modz00_2989 = 
(BgL_offsetz00_2988/BgL_auxz00_3977); } 
{ /* Ast/check-init.scm 172 */
long BgL_restz00_2991;
{ /* Ast/check-init.scm 172 */
long BgL_auxz00_3982;
{ /* Ast/check-init.scm 172 */
int BgL_auxz00_3983;
BgL_auxz00_3983 = 
(int)(((long)8)); 
BgL_auxz00_3982 = 
(long)(BgL_auxz00_3983); } 
BgL_restz00_2991 = 
(BgL_offsetz00_2988%BgL_auxz00_3982); } 
{ /* Ast/check-init.scm 172 */

{ /* Ast/check-init.scm 172 */
obj_t BgL_bucketz00_2993;
{ /* Ast/check-init.scm 172 */
int BgL_kz00_3003;
BgL_kz00_3003 = 
(int)(BgL_modz00_2989); 
BgL_bucketz00_2993 = 
VECTOR_REF(BgL_arg1221z00_2984,BgL_kz00_3003); } 
{ /* Ast/check-init.scm 172 */
int BgL_kz00_3005;
BgL_kz00_3005 = 
(int)(BgL_restz00_2991); 
BgL_method2905z00_2981 = 
VECTOR_REF(BgL_bucketz00_2993,BgL_kz00_3005); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2981)(BgL_method2905z00_2981, 
(obj_t)(BgL_arg3062z00_1988), BEOA); } } 
{ /* Ast/check-init.scm 173 */
BgL_nodez00_bglt BgL_arg3063z00_1989;
BgL_arg3063z00_1989 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1984))->BgL_msgz00); 
{ /* Ast/check-init.scm 173 */
obj_t BgL_method2905z00_3008;
{ /* Ast/check-init.scm 173 */
long BgL_objzd2classzd2numz00_3010;
{ /* Ast/check-init.scm 173 */
BgL_objectz00_bglt BgL_auxz00_3995;
BgL_auxz00_3995 = 
(BgL_objectz00_bglt)(BgL_arg3063z00_1989); 
BgL_objzd2classzd2numz00_3010 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3995); } 
{ /* Ast/check-init.scm 173 */
obj_t BgL_arg1221z00_3011;
{ /* Ast/check-init.scm 173 */
int BgL_auxz00_3998;
BgL_auxz00_3998 = 
(int)(((long)1)); 
BgL_arg1221z00_3011 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_3998); } 
{ /* Ast/check-init.scm 173 */
long BgL_offsetz00_3015;
{ /* Ast/check-init.scm 173 */
long BgL_auxz00_4001;
{ /* Ast/check-init.scm 173 */
int BgL_auxz00_4002;
BgL_auxz00_4002 = 
(int)(BgL_objzd2classzd2numz00_3010); 
BgL_auxz00_4001 = 
(long)(BgL_auxz00_4002); } 
BgL_offsetz00_3015 = 
(BgL_auxz00_4001-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 173 */
long BgL_modz00_3016;
{ /* Ast/check-init.scm 173 */
long BgL_auxz00_4006;
{ /* Ast/check-init.scm 173 */
int BgL_auxz00_4007;
BgL_auxz00_4007 = 
(int)(((long)8)); 
BgL_auxz00_4006 = 
(long)(BgL_auxz00_4007); } 
BgL_modz00_3016 = 
(BgL_offsetz00_3015/BgL_auxz00_4006); } 
{ /* Ast/check-init.scm 173 */
long BgL_restz00_3018;
{ /* Ast/check-init.scm 173 */
long BgL_auxz00_4011;
{ /* Ast/check-init.scm 173 */
int BgL_auxz00_4012;
BgL_auxz00_4012 = 
(int)(((long)8)); 
BgL_auxz00_4011 = 
(long)(BgL_auxz00_4012); } 
BgL_restz00_3018 = 
(BgL_offsetz00_3015%BgL_auxz00_4011); } 
{ /* Ast/check-init.scm 173 */

{ /* Ast/check-init.scm 173 */
obj_t BgL_bucketz00_3020;
{ /* Ast/check-init.scm 173 */
int BgL_kz00_3030;
BgL_kz00_3030 = 
(int)(BgL_modz00_3016); 
BgL_bucketz00_3020 = 
VECTOR_REF(BgL_arg1221z00_3011,BgL_kz00_3030); } 
{ /* Ast/check-init.scm 173 */
int BgL_kz00_3032;
BgL_kz00_3032 = 
(int)(BgL_restz00_3018); 
BgL_method2905z00_3008 = 
VECTOR_REF(BgL_bucketz00_3020,BgL_kz00_3032); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_3008)(BgL_method2905z00_3008, 
(obj_t)(BgL_arg3063z00_1989), BEOA); } } 
{ /* Ast/check-init.scm 174 */
BgL_nodez00_bglt BgL_arg3064z00_1990;
BgL_arg3064z00_1990 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1984))->BgL_objz00); 
{ /* Ast/check-init.scm 174 */
obj_t BgL_method2905z00_3035;
{ /* Ast/check-init.scm 174 */
long BgL_objzd2classzd2numz00_3037;
{ /* Ast/check-init.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4024;
BgL_auxz00_4024 = 
(BgL_objectz00_bglt)(BgL_arg3064z00_1990); 
BgL_objzd2classzd2numz00_3037 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4024); } 
{ /* Ast/check-init.scm 174 */
obj_t BgL_arg1221z00_3038;
{ /* Ast/check-init.scm 174 */
int BgL_auxz00_4027;
BgL_auxz00_4027 = 
(int)(((long)1)); 
BgL_arg1221z00_3038 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4027); } 
{ /* Ast/check-init.scm 174 */
long BgL_offsetz00_3042;
{ /* Ast/check-init.scm 174 */
long BgL_auxz00_4030;
{ /* Ast/check-init.scm 174 */
int BgL_auxz00_4031;
BgL_auxz00_4031 = 
(int)(BgL_objzd2classzd2numz00_3037); 
BgL_auxz00_4030 = 
(long)(BgL_auxz00_4031); } 
BgL_offsetz00_3042 = 
(BgL_auxz00_4030-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 174 */
long BgL_modz00_3043;
{ /* Ast/check-init.scm 174 */
long BgL_auxz00_4035;
{ /* Ast/check-init.scm 174 */
int BgL_auxz00_4036;
BgL_auxz00_4036 = 
(int)(((long)8)); 
BgL_auxz00_4035 = 
(long)(BgL_auxz00_4036); } 
BgL_modz00_3043 = 
(BgL_offsetz00_3042/BgL_auxz00_4035); } 
{ /* Ast/check-init.scm 174 */
long BgL_restz00_3045;
{ /* Ast/check-init.scm 174 */
long BgL_auxz00_4040;
{ /* Ast/check-init.scm 174 */
int BgL_auxz00_4041;
BgL_auxz00_4041 = 
(int)(((long)8)); 
BgL_auxz00_4040 = 
(long)(BgL_auxz00_4041); } 
BgL_restz00_3045 = 
(BgL_offsetz00_3042%BgL_auxz00_4040); } 
{ /* Ast/check-init.scm 174 */

{ /* Ast/check-init.scm 174 */
obj_t BgL_bucketz00_3047;
{ /* Ast/check-init.scm 174 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_modz00_3043); 
BgL_bucketz00_3047 = 
VECTOR_REF(BgL_arg1221z00_3038,BgL_kz00_3057); } 
{ /* Ast/check-init.scm 174 */
int BgL_kz00_3059;
BgL_kz00_3059 = 
(int)(BgL_restz00_3045); 
BgL_method2905z00_3035 = 
VECTOR_REF(BgL_bucketz00_3047,BgL_kz00_3059); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3035)(BgL_method2905z00_3035, 
(obj_t)(BgL_arg3064z00_1990), BEOA);} } } } 
}



/* check-init-conditional2924 */
obj_t BGl_checkzd2initzd2conditional2924z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3409, obj_t BgL_nodez00_3410)
{ AN_OBJECT;
{ /* Ast/check-init.scm 161 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1975;
BgL_nodez00_1975 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3410); 
{ /* Ast/check-init.scm 163 */
BgL_nodez00_bglt BgL_arg3058z00_1979;
BgL_arg3058z00_1979 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1975))->BgL_testz00); 
{ /* Ast/check-init.scm 163 */
obj_t BgL_method2905z00_2900;
{ /* Ast/check-init.scm 163 */
long BgL_objzd2classzd2numz00_2902;
{ /* Ast/check-init.scm 163 */
BgL_objectz00_bglt BgL_auxz00_4054;
BgL_auxz00_4054 = 
(BgL_objectz00_bglt)(BgL_arg3058z00_1979); 
BgL_objzd2classzd2numz00_2902 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4054); } 
{ /* Ast/check-init.scm 163 */
obj_t BgL_arg1221z00_2903;
{ /* Ast/check-init.scm 163 */
int BgL_auxz00_4057;
BgL_auxz00_4057 = 
(int)(((long)1)); 
BgL_arg1221z00_2903 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4057); } 
{ /* Ast/check-init.scm 163 */
long BgL_offsetz00_2907;
{ /* Ast/check-init.scm 163 */
long BgL_auxz00_4060;
{ /* Ast/check-init.scm 163 */
int BgL_auxz00_4061;
BgL_auxz00_4061 = 
(int)(BgL_objzd2classzd2numz00_2902); 
BgL_auxz00_4060 = 
(long)(BgL_auxz00_4061); } 
BgL_offsetz00_2907 = 
(BgL_auxz00_4060-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 163 */
long BgL_modz00_2908;
{ /* Ast/check-init.scm 163 */
long BgL_auxz00_4065;
{ /* Ast/check-init.scm 163 */
int BgL_auxz00_4066;
BgL_auxz00_4066 = 
(int)(((long)8)); 
BgL_auxz00_4065 = 
(long)(BgL_auxz00_4066); } 
BgL_modz00_2908 = 
(BgL_offsetz00_2907/BgL_auxz00_4065); } 
{ /* Ast/check-init.scm 163 */
long BgL_restz00_2910;
{ /* Ast/check-init.scm 163 */
long BgL_auxz00_4070;
{ /* Ast/check-init.scm 163 */
int BgL_auxz00_4071;
BgL_auxz00_4071 = 
(int)(((long)8)); 
BgL_auxz00_4070 = 
(long)(BgL_auxz00_4071); } 
BgL_restz00_2910 = 
(BgL_offsetz00_2907%BgL_auxz00_4070); } 
{ /* Ast/check-init.scm 163 */

{ /* Ast/check-init.scm 163 */
obj_t BgL_bucketz00_2912;
{ /* Ast/check-init.scm 163 */
int BgL_kz00_2922;
BgL_kz00_2922 = 
(int)(BgL_modz00_2908); 
BgL_bucketz00_2912 = 
VECTOR_REF(BgL_arg1221z00_2903,BgL_kz00_2922); } 
{ /* Ast/check-init.scm 163 */
int BgL_kz00_2924;
BgL_kz00_2924 = 
(int)(BgL_restz00_2910); 
BgL_method2905z00_2900 = 
VECTOR_REF(BgL_bucketz00_2912,BgL_kz00_2924); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2900)(BgL_method2905z00_2900, 
(obj_t)(BgL_arg3058z00_1979), BEOA); } } 
{ /* Ast/check-init.scm 164 */
BgL_nodez00_bglt BgL_arg3059z00_1980;
BgL_arg3059z00_1980 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1975))->BgL_truez00); 
{ /* Ast/check-init.scm 164 */
obj_t BgL_method2905z00_2927;
{ /* Ast/check-init.scm 164 */
long BgL_objzd2classzd2numz00_2929;
{ /* Ast/check-init.scm 164 */
BgL_objectz00_bglt BgL_auxz00_4083;
BgL_auxz00_4083 = 
(BgL_objectz00_bglt)(BgL_arg3059z00_1980); 
BgL_objzd2classzd2numz00_2929 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4083); } 
{ /* Ast/check-init.scm 164 */
obj_t BgL_arg1221z00_2930;
{ /* Ast/check-init.scm 164 */
int BgL_auxz00_4086;
BgL_auxz00_4086 = 
(int)(((long)1)); 
BgL_arg1221z00_2930 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4086); } 
{ /* Ast/check-init.scm 164 */
long BgL_offsetz00_2934;
{ /* Ast/check-init.scm 164 */
long BgL_auxz00_4089;
{ /* Ast/check-init.scm 164 */
int BgL_auxz00_4090;
BgL_auxz00_4090 = 
(int)(BgL_objzd2classzd2numz00_2929); 
BgL_auxz00_4089 = 
(long)(BgL_auxz00_4090); } 
BgL_offsetz00_2934 = 
(BgL_auxz00_4089-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 164 */
long BgL_modz00_2935;
{ /* Ast/check-init.scm 164 */
long BgL_auxz00_4094;
{ /* Ast/check-init.scm 164 */
int BgL_auxz00_4095;
BgL_auxz00_4095 = 
(int)(((long)8)); 
BgL_auxz00_4094 = 
(long)(BgL_auxz00_4095); } 
BgL_modz00_2935 = 
(BgL_offsetz00_2934/BgL_auxz00_4094); } 
{ /* Ast/check-init.scm 164 */
long BgL_restz00_2937;
{ /* Ast/check-init.scm 164 */
long BgL_auxz00_4099;
{ /* Ast/check-init.scm 164 */
int BgL_auxz00_4100;
BgL_auxz00_4100 = 
(int)(((long)8)); 
BgL_auxz00_4099 = 
(long)(BgL_auxz00_4100); } 
BgL_restz00_2937 = 
(BgL_offsetz00_2934%BgL_auxz00_4099); } 
{ /* Ast/check-init.scm 164 */

{ /* Ast/check-init.scm 164 */
obj_t BgL_bucketz00_2939;
{ /* Ast/check-init.scm 164 */
int BgL_kz00_2949;
BgL_kz00_2949 = 
(int)(BgL_modz00_2935); 
BgL_bucketz00_2939 = 
VECTOR_REF(BgL_arg1221z00_2930,BgL_kz00_2949); } 
{ /* Ast/check-init.scm 164 */
int BgL_kz00_2951;
BgL_kz00_2951 = 
(int)(BgL_restz00_2937); 
BgL_method2905z00_2927 = 
VECTOR_REF(BgL_bucketz00_2939,BgL_kz00_2951); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2927)(BgL_method2905z00_2927, 
(obj_t)(BgL_arg3059z00_1980), BEOA); } } 
{ /* Ast/check-init.scm 165 */
BgL_nodez00_bglt BgL_arg3060z00_1981;
BgL_arg3060z00_1981 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1975))->BgL_falsez00); 
{ /* Ast/check-init.scm 165 */
obj_t BgL_method2905z00_2954;
{ /* Ast/check-init.scm 165 */
long BgL_objzd2classzd2numz00_2956;
{ /* Ast/check-init.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4112;
BgL_auxz00_4112 = 
(BgL_objectz00_bglt)(BgL_arg3060z00_1981); 
BgL_objzd2classzd2numz00_2956 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4112); } 
{ /* Ast/check-init.scm 165 */
obj_t BgL_arg1221z00_2957;
{ /* Ast/check-init.scm 165 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(((long)1)); 
BgL_arg1221z00_2957 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4115); } 
{ /* Ast/check-init.scm 165 */
long BgL_offsetz00_2961;
{ /* Ast/check-init.scm 165 */
long BgL_auxz00_4118;
{ /* Ast/check-init.scm 165 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(BgL_objzd2classzd2numz00_2956); 
BgL_auxz00_4118 = 
(long)(BgL_auxz00_4119); } 
BgL_offsetz00_2961 = 
(BgL_auxz00_4118-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 165 */
long BgL_modz00_2962;
{ /* Ast/check-init.scm 165 */
long BgL_auxz00_4123;
{ /* Ast/check-init.scm 165 */
int BgL_auxz00_4124;
BgL_auxz00_4124 = 
(int)(((long)8)); 
BgL_auxz00_4123 = 
(long)(BgL_auxz00_4124); } 
BgL_modz00_2962 = 
(BgL_offsetz00_2961/BgL_auxz00_4123); } 
{ /* Ast/check-init.scm 165 */
long BgL_restz00_2964;
{ /* Ast/check-init.scm 165 */
long BgL_auxz00_4128;
{ /* Ast/check-init.scm 165 */
int BgL_auxz00_4129;
BgL_auxz00_4129 = 
(int)(((long)8)); 
BgL_auxz00_4128 = 
(long)(BgL_auxz00_4129); } 
BgL_restz00_2964 = 
(BgL_offsetz00_2961%BgL_auxz00_4128); } 
{ /* Ast/check-init.scm 165 */

{ /* Ast/check-init.scm 165 */
obj_t BgL_bucketz00_2966;
{ /* Ast/check-init.scm 165 */
int BgL_kz00_2976;
BgL_kz00_2976 = 
(int)(BgL_modz00_2962); 
BgL_bucketz00_2966 = 
VECTOR_REF(BgL_arg1221z00_2957,BgL_kz00_2976); } 
{ /* Ast/check-init.scm 165 */
int BgL_kz00_2978;
BgL_kz00_2978 = 
(int)(BgL_restz00_2964); 
BgL_method2905z00_2954 = 
VECTOR_REF(BgL_bucketz00_2966,BgL_kz00_2978); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_2954)(BgL_method2905z00_2954, 
(obj_t)(BgL_arg3060z00_1981), BEOA);} } } } 
}



/* check-init-setq2922 */
obj_t BGl_checkzd2initzd2setq2922z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3411, obj_t BgL_nodez00_3412)
{ AN_OBJECT;
{ /* Ast/check-init.scm 149 */
{ 
BgL_setqz00_bglt BgL_nodez00_1966;
BgL_nodez00_1966 = 
(BgL_setqz00_bglt)(BgL_nodez00_3412); 
{ /* Ast/check-init.scm 153 */
BgL_variablez00_bglt BgL_varz00_1969;
{ /* Ast/check-init.scm 153 */
BgL_varz00_bglt BgL_arg3055z00_1971;
BgL_arg3055z00_1971 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1966))->BgL_varz00); 
BgL_varz00_1969 = 
(((BgL_varz00_bglt)CREF(BgL_arg3055z00_1971))->BgL_variablez00); } 
{ /* Ast/check-init.scm 154 */
bool_t BgL_test3054z00_1970;
BgL_test3054z00_1970 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_1969), BGl_globalz00zzast_varz00); 
if(BgL_test3054z00_1970)
{ /* Ast/check-init.scm 155 */
obj_t BgL_auxz00_4146;
BgL_auxz00_4146 = 
(obj_t)(BgL_varz00_1969); 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = 
MAKE_PAIR(BgL_auxz00_4146, BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00); }  else 
{ /* Ast/check-init.scm 154 */BFALSE; } } } 
{ /* Ast/check-init.scm 156 */
BgL_nodez00_bglt BgL_arg3056z00_1972;
BgL_arg3056z00_1972 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1966))->BgL_valuez00); 
{ /* Ast/check-init.scm 156 */
obj_t BgL_method2905z00_2873;
{ /* Ast/check-init.scm 156 */
long BgL_objzd2classzd2numz00_2875;
{ /* Ast/check-init.scm 156 */
BgL_objectz00_bglt BgL_auxz00_4150;
BgL_auxz00_4150 = 
(BgL_objectz00_bglt)(BgL_arg3056z00_1972); 
BgL_objzd2classzd2numz00_2875 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4150); } 
{ /* Ast/check-init.scm 156 */
obj_t BgL_arg1221z00_2876;
{ /* Ast/check-init.scm 156 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)1)); 
BgL_arg1221z00_2876 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4153); } 
{ /* Ast/check-init.scm 156 */
long BgL_offsetz00_2880;
{ /* Ast/check-init.scm 156 */
long BgL_auxz00_4156;
{ /* Ast/check-init.scm 156 */
int BgL_auxz00_4157;
BgL_auxz00_4157 = 
(int)(BgL_objzd2classzd2numz00_2875); 
BgL_auxz00_4156 = 
(long)(BgL_auxz00_4157); } 
BgL_offsetz00_2880 = 
(BgL_auxz00_4156-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 156 */
long BgL_modz00_2881;
{ /* Ast/check-init.scm 156 */
long BgL_auxz00_4161;
{ /* Ast/check-init.scm 156 */
int BgL_auxz00_4162;
BgL_auxz00_4162 = 
(int)(((long)8)); 
BgL_auxz00_4161 = 
(long)(BgL_auxz00_4162); } 
BgL_modz00_2881 = 
(BgL_offsetz00_2880/BgL_auxz00_4161); } 
{ /* Ast/check-init.scm 156 */
long BgL_restz00_2883;
{ /* Ast/check-init.scm 156 */
long BgL_auxz00_4166;
{ /* Ast/check-init.scm 156 */
int BgL_auxz00_4167;
BgL_auxz00_4167 = 
(int)(((long)8)); 
BgL_auxz00_4166 = 
(long)(BgL_auxz00_4167); } 
BgL_restz00_2883 = 
(BgL_offsetz00_2880%BgL_auxz00_4166); } 
{ /* Ast/check-init.scm 156 */

{ /* Ast/check-init.scm 156 */
obj_t BgL_bucketz00_2885;
{ /* Ast/check-init.scm 156 */
int BgL_kz00_2895;
BgL_kz00_2895 = 
(int)(BgL_modz00_2881); 
BgL_bucketz00_2885 = 
VECTOR_REF(BgL_arg1221z00_2876,BgL_kz00_2895); } 
{ /* Ast/check-init.scm 156 */
int BgL_kz00_2897;
BgL_kz00_2897 = 
(int)(BgL_restz00_2883); 
BgL_method2905z00_2873 = 
VECTOR_REF(BgL_bucketz00_2885,BgL_kz00_2897); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_2873)(BgL_method2905z00_2873, 
(obj_t)(BgL_arg3056z00_1972), BEOA);} } } } 
}



/* check-init-cast2920 */
obj_t BGl_checkzd2initzd2cast2920z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3413, obj_t BgL_nodez00_3414)
{ AN_OBJECT;
{ /* Ast/check-init.scm 143 */
{ 
BgL_castz00_bglt BgL_nodez00_1960;
BgL_nodez00_1960 = 
(BgL_castz00_bglt)(BgL_nodez00_3414); 
{ /* Ast/check-init.scm 144 */
BgL_nodez00_bglt BgL_arg3052z00_2839;
BgL_arg3052z00_2839 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1960))->BgL_argz00); 
{ /* Ast/check-init.scm 144 */
obj_t BgL_method2905z00_2842;
{ /* Ast/check-init.scm 144 */
long BgL_objzd2classzd2numz00_2844;
{ /* Ast/check-init.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4180;
BgL_auxz00_4180 = 
(BgL_objectz00_bglt)(BgL_arg3052z00_2839); 
BgL_objzd2classzd2numz00_2844 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4180); } 
{ /* Ast/check-init.scm 144 */
obj_t BgL_arg1221z00_2845;
{ /* Ast/check-init.scm 144 */
int BgL_auxz00_4183;
BgL_auxz00_4183 = 
(int)(((long)1)); 
BgL_arg1221z00_2845 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4183); } 
{ /* Ast/check-init.scm 144 */
long BgL_offsetz00_2849;
{ /* Ast/check-init.scm 144 */
long BgL_auxz00_4186;
{ /* Ast/check-init.scm 144 */
int BgL_auxz00_4187;
BgL_auxz00_4187 = 
(int)(BgL_objzd2classzd2numz00_2844); 
BgL_auxz00_4186 = 
(long)(BgL_auxz00_4187); } 
BgL_offsetz00_2849 = 
(BgL_auxz00_4186-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 144 */
long BgL_modz00_2850;
{ /* Ast/check-init.scm 144 */
long BgL_auxz00_4191;
{ /* Ast/check-init.scm 144 */
int BgL_auxz00_4192;
BgL_auxz00_4192 = 
(int)(((long)8)); 
BgL_auxz00_4191 = 
(long)(BgL_auxz00_4192); } 
BgL_modz00_2850 = 
(BgL_offsetz00_2849/BgL_auxz00_4191); } 
{ /* Ast/check-init.scm 144 */
long BgL_restz00_2852;
{ /* Ast/check-init.scm 144 */
long BgL_auxz00_4196;
{ /* Ast/check-init.scm 144 */
int BgL_auxz00_4197;
BgL_auxz00_4197 = 
(int)(((long)8)); 
BgL_auxz00_4196 = 
(long)(BgL_auxz00_4197); } 
BgL_restz00_2852 = 
(BgL_offsetz00_2849%BgL_auxz00_4196); } 
{ /* Ast/check-init.scm 144 */

{ /* Ast/check-init.scm 144 */
obj_t BgL_bucketz00_2854;
{ /* Ast/check-init.scm 144 */
int BgL_kz00_2864;
BgL_kz00_2864 = 
(int)(BgL_modz00_2850); 
BgL_bucketz00_2854 = 
VECTOR_REF(BgL_arg1221z00_2845,BgL_kz00_2864); } 
{ /* Ast/check-init.scm 144 */
int BgL_kz00_2866;
BgL_kz00_2866 = 
(int)(BgL_restz00_2852); 
BgL_method2905z00_2842 = 
VECTOR_REF(BgL_bucketz00_2854,BgL_kz00_2866); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_2842)(BgL_method2905z00_2842, 
(obj_t)(BgL_arg3052z00_2839), BEOA);} } } } 
}



/* check-init-extern2918 */
obj_t BGl_checkzd2initzd2extern2918z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3415, obj_t BgL_nodez00_3416)
{ AN_OBJECT;
{ /* Ast/check-init.scm 137 */
{ 
BgL_externz00_bglt BgL_nodez00_1954;
{ /* Ast/check-init.scm 138 */
bool_t BgL_auxz00_4209;
BgL_nodez00_1954 = 
(BgL_externz00_bglt)(BgL_nodez00_3416); 
BgL_auxz00_4209 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1954))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_4209);} } } 
}



/* check-init-funcall2916 */
obj_t BGl_checkzd2initzd2funcall2916z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3417, obj_t BgL_nodez00_3418)
{ AN_OBJECT;
{ /* Ast/check-init.scm 129 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1946;
{ /* Ast/check-init.scm 130 */
bool_t BgL_auxz00_4214;
BgL_nodez00_1946 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3418); 
{ /* Ast/check-init.scm 131 */
BgL_nodez00_bglt BgL_arg3047z00_1950;
BgL_arg3047z00_1950 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1946))->BgL_funz00); 
{ /* Ast/check-init.scm 131 */
obj_t BgL_method2905z00_2811;
{ /* Ast/check-init.scm 131 */
long BgL_objzd2classzd2numz00_2813;
{ /* Ast/check-init.scm 131 */
BgL_objectz00_bglt BgL_auxz00_4216;
BgL_auxz00_4216 = 
(BgL_objectz00_bglt)(BgL_arg3047z00_1950); 
BgL_objzd2classzd2numz00_2813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4216); } 
{ /* Ast/check-init.scm 131 */
obj_t BgL_arg1221z00_2814;
{ /* Ast/check-init.scm 131 */
int BgL_auxz00_4219;
BgL_auxz00_4219 = 
(int)(((long)1)); 
BgL_arg1221z00_2814 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4219); } 
{ /* Ast/check-init.scm 131 */
long BgL_offsetz00_2818;
{ /* Ast/check-init.scm 131 */
long BgL_auxz00_4222;
{ /* Ast/check-init.scm 131 */
int BgL_auxz00_4223;
BgL_auxz00_4223 = 
(int)(BgL_objzd2classzd2numz00_2813); 
BgL_auxz00_4222 = 
(long)(BgL_auxz00_4223); } 
BgL_offsetz00_2818 = 
(BgL_auxz00_4222-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 131 */
long BgL_modz00_2819;
{ /* Ast/check-init.scm 131 */
long BgL_auxz00_4227;
{ /* Ast/check-init.scm 131 */
int BgL_auxz00_4228;
BgL_auxz00_4228 = 
(int)(((long)8)); 
BgL_auxz00_4227 = 
(long)(BgL_auxz00_4228); } 
BgL_modz00_2819 = 
(BgL_offsetz00_2818/BgL_auxz00_4227); } 
{ /* Ast/check-init.scm 131 */
long BgL_restz00_2821;
{ /* Ast/check-init.scm 131 */
long BgL_auxz00_4232;
{ /* Ast/check-init.scm 131 */
int BgL_auxz00_4233;
BgL_auxz00_4233 = 
(int)(((long)8)); 
BgL_auxz00_4232 = 
(long)(BgL_auxz00_4233); } 
BgL_restz00_2821 = 
(BgL_offsetz00_2818%BgL_auxz00_4232); } 
{ /* Ast/check-init.scm 131 */

{ /* Ast/check-init.scm 131 */
obj_t BgL_bucketz00_2823;
{ /* Ast/check-init.scm 131 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_modz00_2819); 
BgL_bucketz00_2823 = 
VECTOR_REF(BgL_arg1221z00_2814,BgL_kz00_2833); } 
{ /* Ast/check-init.scm 131 */
int BgL_kz00_2835;
BgL_kz00_2835 = 
(int)(BgL_restz00_2821); 
BgL_method2905z00_2811 = 
VECTOR_REF(BgL_bucketz00_2823,BgL_kz00_2835); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2811)(BgL_method2905z00_2811, 
(obj_t)(BgL_arg3047z00_1950), BEOA); } } 
BgL_auxz00_4214 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1946))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4214);} } } 
}



/* check-init-app-ly2913 */
obj_t BGl_checkzd2initzd2appzd2ly2913zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3419, obj_t BgL_nodez00_3420)
{ AN_OBJECT;
{ /* Ast/check-init.scm 121 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1938;
BgL_nodez00_1938 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3420); 
{ /* Ast/check-init.scm 123 */
BgL_nodez00_bglt BgL_arg3044z00_1942;
BgL_arg3044z00_1942 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1938))->BgL_funz00); 
{ /* Ast/check-init.scm 123 */
obj_t BgL_method2905z00_2757;
{ /* Ast/check-init.scm 123 */
long BgL_objzd2classzd2numz00_2759;
{ /* Ast/check-init.scm 123 */
BgL_objectz00_bglt BgL_auxz00_4249;
BgL_auxz00_4249 = 
(BgL_objectz00_bglt)(BgL_arg3044z00_1942); 
BgL_objzd2classzd2numz00_2759 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4249); } 
{ /* Ast/check-init.scm 123 */
obj_t BgL_arg1221z00_2760;
{ /* Ast/check-init.scm 123 */
int BgL_auxz00_4252;
BgL_auxz00_4252 = 
(int)(((long)1)); 
BgL_arg1221z00_2760 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4252); } 
{ /* Ast/check-init.scm 123 */
long BgL_offsetz00_2764;
{ /* Ast/check-init.scm 123 */
long BgL_auxz00_4255;
{ /* Ast/check-init.scm 123 */
int BgL_auxz00_4256;
BgL_auxz00_4256 = 
(int)(BgL_objzd2classzd2numz00_2759); 
BgL_auxz00_4255 = 
(long)(BgL_auxz00_4256); } 
BgL_offsetz00_2764 = 
(BgL_auxz00_4255-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 123 */
long BgL_modz00_2765;
{ /* Ast/check-init.scm 123 */
long BgL_auxz00_4260;
{ /* Ast/check-init.scm 123 */
int BgL_auxz00_4261;
BgL_auxz00_4261 = 
(int)(((long)8)); 
BgL_auxz00_4260 = 
(long)(BgL_auxz00_4261); } 
BgL_modz00_2765 = 
(BgL_offsetz00_2764/BgL_auxz00_4260); } 
{ /* Ast/check-init.scm 123 */
long BgL_restz00_2767;
{ /* Ast/check-init.scm 123 */
long BgL_auxz00_4265;
{ /* Ast/check-init.scm 123 */
int BgL_auxz00_4266;
BgL_auxz00_4266 = 
(int)(((long)8)); 
BgL_auxz00_4265 = 
(long)(BgL_auxz00_4266); } 
BgL_restz00_2767 = 
(BgL_offsetz00_2764%BgL_auxz00_4265); } 
{ /* Ast/check-init.scm 123 */

{ /* Ast/check-init.scm 123 */
obj_t BgL_bucketz00_2769;
{ /* Ast/check-init.scm 123 */
int BgL_kz00_2779;
BgL_kz00_2779 = 
(int)(BgL_modz00_2765); 
BgL_bucketz00_2769 = 
VECTOR_REF(BgL_arg1221z00_2760,BgL_kz00_2779); } 
{ /* Ast/check-init.scm 123 */
int BgL_kz00_2781;
BgL_kz00_2781 = 
(int)(BgL_restz00_2767); 
BgL_method2905z00_2757 = 
VECTOR_REF(BgL_bucketz00_2769,BgL_kz00_2781); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2905z00_2757)(BgL_method2905z00_2757, 
(obj_t)(BgL_arg3044z00_1942), BEOA); } } 
{ /* Ast/check-init.scm 124 */
BgL_nodez00_bglt BgL_arg3045z00_1943;
BgL_arg3045z00_1943 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1938))->BgL_argz00); 
{ /* Ast/check-init.scm 124 */
obj_t BgL_method2905z00_2784;
{ /* Ast/check-init.scm 124 */
long BgL_objzd2classzd2numz00_2786;
{ /* Ast/check-init.scm 124 */
BgL_objectz00_bglt BgL_auxz00_4278;
BgL_auxz00_4278 = 
(BgL_objectz00_bglt)(BgL_arg3045z00_1943); 
BgL_objzd2classzd2numz00_2786 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4278); } 
{ /* Ast/check-init.scm 124 */
obj_t BgL_arg1221z00_2787;
{ /* Ast/check-init.scm 124 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)1)); 
BgL_arg1221z00_2787 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4281); } 
{ /* Ast/check-init.scm 124 */
long BgL_offsetz00_2791;
{ /* Ast/check-init.scm 124 */
long BgL_auxz00_4284;
{ /* Ast/check-init.scm 124 */
int BgL_auxz00_4285;
BgL_auxz00_4285 = 
(int)(BgL_objzd2classzd2numz00_2786); 
BgL_auxz00_4284 = 
(long)(BgL_auxz00_4285); } 
BgL_offsetz00_2791 = 
(BgL_auxz00_4284-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 124 */
long BgL_modz00_2792;
{ /* Ast/check-init.scm 124 */
long BgL_auxz00_4289;
{ /* Ast/check-init.scm 124 */
int BgL_auxz00_4290;
BgL_auxz00_4290 = 
(int)(((long)8)); 
BgL_auxz00_4289 = 
(long)(BgL_auxz00_4290); } 
BgL_modz00_2792 = 
(BgL_offsetz00_2791/BgL_auxz00_4289); } 
{ /* Ast/check-init.scm 124 */
long BgL_restz00_2794;
{ /* Ast/check-init.scm 124 */
long BgL_auxz00_4294;
{ /* Ast/check-init.scm 124 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)8)); 
BgL_auxz00_4294 = 
(long)(BgL_auxz00_4295); } 
BgL_restz00_2794 = 
(BgL_offsetz00_2791%BgL_auxz00_4294); } 
{ /* Ast/check-init.scm 124 */

{ /* Ast/check-init.scm 124 */
obj_t BgL_bucketz00_2796;
{ /* Ast/check-init.scm 124 */
int BgL_kz00_2806;
BgL_kz00_2806 = 
(int)(BgL_modz00_2792); 
BgL_bucketz00_2796 = 
VECTOR_REF(BgL_arg1221z00_2787,BgL_kz00_2806); } 
{ /* Ast/check-init.scm 124 */
int BgL_kz00_2808;
BgL_kz00_2808 = 
(int)(BgL_restz00_2794); 
BgL_method2905z00_2784 = 
VECTOR_REF(BgL_bucketz00_2796,BgL_kz00_2808); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_2784)(BgL_method2905z00_2784, 
(obj_t)(BgL_arg3045z00_1943), BEOA);} } } } 
}



/* check-init-app2911 */
obj_t BGl_checkzd2initzd2app2911z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3421, obj_t BgL_nodez00_3422)
{ AN_OBJECT;
{ /* Ast/check-init.scm 114 */
{ 
BgL_appz00_bglt BgL_nodez00_1931;
{ /* Ast/check-init.scm 115 */
bool_t BgL_auxz00_4307;
BgL_nodez00_1931 = 
(BgL_appz00_bglt)(BgL_nodez00_3422); 
BgL_auxz00_4307 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1931))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4307);} } } 
}



/* check-init-sequence2909 */
obj_t BGl_checkzd2initzd2sequence2909z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3423, obj_t BgL_nodez00_3424)
{ AN_OBJECT;
{ /* Ast/check-init.scm 108 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1925;
{ /* Ast/check-init.scm 109 */
bool_t BgL_auxz00_4312;
BgL_nodez00_1925 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3424); 
BgL_auxz00_4312 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1925))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_4312);} } } 
}



/* check-init-var2907 */
obj_t BGl_checkzd2initzd2var2907z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3425, obj_t BgL_nodez00_3426)
{ AN_OBJECT;
{ /* Ast/check-init.scm 92 */
{ 
BgL_varz00_bglt BgL_nodez00_1909;
BgL_nodez00_1909 = 
(BgL_varz00_bglt)(BgL_nodez00_3426); 
{ /* Ast/check-init.scm 93 */
BgL_variablez00_bglt BgL_varz00_1912;
BgL_varz00_1912 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1909))->BgL_variablez00); 
{ /* Ast/check-init.scm 94 */
bool_t BgL_test3029z00_1913;
{ /* Ast/check-init.scm 94 */
bool_t BgL_test3034z00_1918;
BgL_test3034z00_1918 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_1912), BGl_globalz00zzast_varz00); 
if(BgL_test3034z00_1918)
{ /* Ast/check-init.scm 95 */
bool_t BgL_test3035z00_1919;
{ /* Ast/check-init.scm 95 */
obj_t BgL_auxz00_4321;
{ /* Ast/check-init.scm 95 */
BgL_valuez00_bglt BgL_auxz00_4322;
{ /* Ast/check-init.scm 95 */
BgL_globalz00_bglt BgL_obj1067z00_2743;
BgL_obj1067z00_2743 = 
(BgL_globalz00_bglt)(BgL_varz00_1912); 
BgL_auxz00_4322 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1067z00_2743))->BgL_valuez00); } 
BgL_auxz00_4321 = 
(obj_t)(BgL_auxz00_4322); } 
BgL_test3035z00_1919 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4321, BGl_funz00zzast_varz00); } 
if(BgL_test3035z00_1919)
{ /* Ast/check-init.scm 95 */
BgL_test3029z00_1913 = ((bool_t)0); }  else 
{ /* Ast/check-init.scm 96 */
bool_t BgL_test3036z00_1920;
{ /* Ast/check-init.scm 96 */
obj_t BgL_auxz00_4328;
BgL_auxz00_4328 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_1912), BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00); 
BgL_test3036z00_1920 = 
CBOOL(BgL_auxz00_4328); } 
if(BgL_test3036z00_1920)
{ /* Ast/check-init.scm 96 */
BgL_test3029z00_1913 = ((bool_t)0); }  else 
{ /* Ast/check-init.scm 97 */
obj_t BgL_auxz00_4333;
{ /* Ast/check-init.scm 97 */
BgL_globalz00_bglt BgL_obj1082z00_2746;
BgL_obj1082z00_2746 = 
(BgL_globalz00_bglt)(BgL_varz00_1912); 
BgL_auxz00_4333 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1082z00_2746))->BgL_modulez00); } 
BgL_test3029z00_1913 = 
(BgL_auxz00_4333==BGl_za2moduleza2z00zzmodule_modulez00); } } }  else 
{ /* Ast/check-init.scm 94 */
BgL_test3029z00_1913 = ((bool_t)0); } } 
if(BgL_test3029z00_1913)
{ /* Ast/check-init.scm 94 */
{ /* Ast/check-init.scm 99 */
obj_t BgL_auxz00_4338;
{ /* Ast/check-init.scm 99 */
BgL_nodez00_bglt BgL_obj1461z00_2747;
BgL_obj1461z00_2747 = 
(BgL_nodez00_bglt)(BgL_nodez00_1909); 
BgL_auxz00_4338 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1461z00_2747))->BgL_locz00); } 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_auxz00_4338, BGl_string3162z00zzast_checkzd2globalzd2initz00, BGl_string3163z00zzast_checkzd2globalzd2initz00, 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1912))->BgL_idz00)); } 
{ /* Ast/check-init.scm 103 */
obj_t BgL_auxz00_4343;
BgL_auxz00_4343 = 
(obj_t)(BgL_varz00_1912); 
return ( 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = 
MAKE_PAIR(BgL_auxz00_4343, BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00), BUNSPEC) ;} }  else 
{ /* Ast/check-init.scm 94 */
return BFALSE;} } } } } 
}



/* check-init */
obj_t BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt BgL_nodez00_21)
{ AN_OBJECT;
{ /* Ast/check-init.scm 86 */
{ /* Ast/check-init.scm 86 */
obj_t BgL_method2905z00_3345;
{ /* Ast/check-init.scm 86 */
long BgL_objzd2classzd2numz00_3347;
{ /* Ast/check-init.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4347;
BgL_auxz00_4347 = 
(BgL_objectz00_bglt)(BgL_nodez00_21); 
BgL_objzd2classzd2numz00_3347 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4347); } 
{ /* Ast/check-init.scm 86 */
obj_t BgL_arg1221z00_3348;
{ /* Ast/check-init.scm 86 */
int BgL_auxz00_4350;
BgL_auxz00_4350 = 
(int)(((long)1)); 
BgL_arg1221z00_3348 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_4350); } 
{ /* Ast/check-init.scm 86 */
long BgL_offsetz00_3352;
{ /* Ast/check-init.scm 86 */
long BgL_auxz00_4353;
{ /* Ast/check-init.scm 86 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(BgL_objzd2classzd2numz00_3347); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_offsetz00_3352 = 
(BgL_auxz00_4353-OBJECT_TYPE); } 
{ /* Ast/check-init.scm 86 */
long BgL_modz00_3353;
{ /* Ast/check-init.scm 86 */
long BgL_auxz00_4358;
{ /* Ast/check-init.scm 86 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)8)); 
BgL_auxz00_4358 = 
(long)(BgL_auxz00_4359); } 
BgL_modz00_3353 = 
(BgL_offsetz00_3352/BgL_auxz00_4358); } 
{ /* Ast/check-init.scm 86 */
long BgL_restz00_3355;
{ /* Ast/check-init.scm 86 */
long BgL_auxz00_4363;
{ /* Ast/check-init.scm 86 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)8)); 
BgL_auxz00_4363 = 
(long)(BgL_auxz00_4364); } 
BgL_restz00_3355 = 
(BgL_offsetz00_3352%BgL_auxz00_4363); } 
{ /* Ast/check-init.scm 86 */

{ /* Ast/check-init.scm 86 */
obj_t BgL_bucketz00_3357;
{ /* Ast/check-init.scm 86 */
int BgL_kz00_3367;
BgL_kz00_3367 = 
(int)(BgL_modz00_3353); 
BgL_bucketz00_3357 = 
VECTOR_REF(BgL_arg1221z00_3348,BgL_kz00_3367); } 
{ /* Ast/check-init.scm 86 */
int BgL_kz00_3369;
BgL_kz00_3369 = 
(int)(BgL_restz00_3355); 
BgL_method2905z00_3345 = 
VECTOR_REF(BgL_bucketz00_3357,BgL_kz00_3369); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2905z00_3345)(BgL_method2905z00_3345, 
(obj_t)(BgL_nodez00_21), BEOA);} } 
}



/* _check-init */
obj_t BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3371, obj_t BgL_nodez00_3372)
{ AN_OBJECT;
{ /* Ast/check-init.scm 86 */
return 
BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
(BgL_nodez00_bglt)(BgL_nodez00_3372));} 
}



/* check-init-default2904 */
obj_t BGl_checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt BgL_nodez00_22)
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
return 
CNST_TABLE_REF(((long)2));} 
}



/* _check-init-default2904 */
obj_t BGl__checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_3427, obj_t BgL_nodez00_3428)
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
return 
BGl_checkzd2initzd2default2904z00zzast_checkzd2globalzd2initz00(
(BgL_nodez00_bglt)(BgL_nodez00_3428));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* Ast/check-init.scm 18 */
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "ast_check-global-init"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "ast_check-global-init");} 
}

