/*===========================================================================*/
/*   (Ast/exit.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_exitz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_sexitz00zzast_varz00;
extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sexitz00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_exitz00();
static obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern BgL_jumpzd2exzd2itz00_bglt BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2exitza2z00zztype_cachez00;
static obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_exitz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 4 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_setzd2exitzd2ze3nodezd2envz31zzast_exitz00, BgL_bgl__setza7d2exitza7d2za7e3nodeza7e3za7za7ast_exitza7002780za7, BGl__setzd2exitzd2ze3nodeze3zzast_exitz00, 0L, 4 );
DEFINE_STRING( BGl_string2774z00zzast_exitz00, BgL_bgl_string2774za700za7za7ast_exitza7002781z00, "snifun value labels handling_function ", 38 );
DEFINE_STRING( BGl_string2773z00zzast_exitz00, BgL_bgl_string2773za700za7za7ast_exitza7002782z00, "Illegal `jump-exit' form", 24 );
DEFINE_STRING( BGl_string2772z00zzast_exitz00, BgL_bgl_string2772za700za7za7ast_exitza7002783z00, "Illegal `set-exit' form", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_jumpzd2exitzd2ze3nodezd2envz31zzast_exitz00, BgL_bgl__jumpza7d2exitza7d2za7e3nodeza7e3za7za7ast_exitza7002784za7, BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long BgL_checksumz00_2364, char * BgL_fromz00_2365)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_exitz00))
{ 
BGl_requirezd2initializa7ationz75zzast_exitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_exitz00(); 
BGl_cnstzd2initzd2zzast_exitz00(); 
BGl_importedzd2moduleszd2initz00zzast_exitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00()
{ AN_OBJECT;
{ /* Ast/exit.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_exit"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_exit"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_exit"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_exit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_exitz00()
{ AN_OBJECT;
{ /* Ast/exit.scm 14 */
{ /* Ast/exit.scm 14 */
obj_t BgL_cportz00_2357;
BgL_cportz00_2357 = 
open_input_string(BGl_string2774z00zzast_exitz00); 
{ 
long BgL_iz00_2358;
BgL_iz00_2358 = ((long)3); 
BgL_loopz00_2359:
if(
(BgL_iz00_2358==((long)-1)))
{ /* Ast/exit.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/exit.scm 14 */
{ /* Ast/exit.scm 14 */
obj_t BgL_arg2777z00_2361;
{ /* Ast/exit.scm 14 */
obj_t BgL_list2778z00_2362;
BgL_list2778z00_2362 = 
MAKE_PAIR(BgL_cportz00_2357, BNIL); 
BgL_arg2777z00_2361 = 
BGl_readz00zz__readerz00(BgL_list2778z00_2362); } 
{ /* Ast/exit.scm 14 */
int BgL_auxz00_2381;
BgL_auxz00_2381 = 
(int)(BgL_iz00_2358); 
CNST_TABLE_SET(BgL_auxz00_2381, BgL_arg2777z00_2361); } } 
{ 
long BgL_iz00_2384;
{ /* Ast/exit.scm 14 */
int BgL_auxz00_2385;
{ /* Ast/exit.scm 14 */
long BgL_auxz00_2386;
BgL_auxz00_2386 = 
(BgL_iz00_2358-((long)1)); 
BgL_auxz00_2385 = 
(int)(BgL_auxz00_2386); } 
BgL_iz00_2384 = 
(long)(BgL_auxz00_2385); } 
BgL_iz00_2358 = BgL_iz00_2384; 
goto BgL_loopz00_2359;} } } } } 
}



/* set-exit->node */
BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_1, obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
{ AN_OBJECT;
{ /* Ast/exit.scm 33 */
{ /* Ast/exit.scm 36 */
obj_t BgL_locz00_1229;
BgL_locz00_1229 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_1, BgL_locz00_3); 
{ 
obj_t BgL_exitz00_1230;obj_t BgL_bodyz00_1231;
if(
PAIRP(BgL_expz00_1))
{ /* Ast/exit.scm 37 */
obj_t BgL_cdrzd2128zd2_1236;
BgL_cdrzd2128zd2_1236 = 
CDR(BgL_expz00_1); 
if(
PAIRP(BgL_cdrzd2128zd2_1236))
{ /* Ast/exit.scm 37 */
obj_t BgL_carzd2131zd2_1238;
BgL_carzd2131zd2_1238 = 
CAR(BgL_cdrzd2128zd2_1236); 
if(
PAIRP(BgL_carzd2131zd2_1238))
{ /* Ast/exit.scm 37 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_carzd2131zd2_1238), BNIL))
{ /* Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2402;
BgL_exitz00_1230 = 
CAR(BgL_carzd2131zd2_1238); 
BgL_bodyz00_1231 = 
CDR(BgL_cdrzd2128zd2_1236); 
{ /* Ast/exit.scm 39 */
obj_t BgL_hdlgzd2namezd2_1245;
{ /* Ast/exit.scm 40 */
obj_t BgL_arg2691z00_1277;
BgL_arg2691z00_1277 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_hdlgzd2namezd2_1245 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2691z00_1277); } 
{ /* Ast/exit.scm 39 */
obj_t BgL_hdlgzd2sexpzd2_1246;
{ /* Ast/exit.scm 41 */
obj_t BgL_arg2680z00_1266;obj_t BgL_arg2681z00_1267;
BgL_arg2680z00_1266 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/exit.scm 41 */
obj_t BgL_arg2682z00_1268;obj_t BgL_arg2683z00_1269;
{ /* Ast/exit.scm 41 */
obj_t BgL_arg2684z00_1270;
{ /* Ast/exit.scm 41 */
obj_t BgL_arg2686z00_1272;
{ /* Ast/exit.scm 41 */
obj_t BgL_arg2688z00_1274;
BgL_arg2688z00_1274 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2686z00_1272 = 
MAKE_PAIR(BNIL, BgL_arg2688z00_1274); } 
BgL_arg2684z00_1270 = 
MAKE_PAIR(BgL_hdlgzd2namezd2_1245, BgL_arg2686z00_1272); } 
BgL_arg2682z00_1268 = 
MAKE_PAIR(BgL_arg2684z00_1270, BNIL); } 
{ /* Ast/exit.scm 42 */
obj_t BgL_arg2689z00_1275;
BgL_arg2689z00_1275 = 
MAKE_PAIR(BgL_hdlgzd2namezd2_1245, BNIL); 
BgL_arg2683z00_1269 = 
MAKE_PAIR(BgL_arg2689z00_1275, BNIL); } 
BgL_arg2681z00_1267 = 
MAKE_PAIR(BgL_arg2682z00_1268, BgL_arg2683z00_1269); } 
BgL_hdlgzd2sexpzd2_1246 = 
MAKE_PAIR(BgL_arg2680z00_1266, BgL_arg2681z00_1267); } 
{ /* Ast/exit.scm 41 */
BgL_nodez00_bglt BgL_hdlgzd2nodezd2_1247;
BgL_hdlgzd2nodezd2_1247 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_hdlgzd2sexpzd2_1246, BgL_stackz00_2, BgL_locz00_1229, BgL_sitez00_4); 
{ /* Ast/exit.scm 43 */
obj_t BgL_hdlgzd2funzd2_1248;
{ /* Ast/exit.scm 44 */
obj_t BgL_auxz00_2417;
{ /* Ast/exit.scm 44 */
BgL_letzd2funzd2_bglt BgL_obj2426z00_1696;
BgL_obj2426z00_1696 = 
(BgL_letzd2funzd2_bglt)(BgL_hdlgzd2nodezd2_1247); 
BgL_auxz00_2417 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2426z00_1696))->BgL_localsz00); } 
BgL_hdlgzd2funzd2_1248 = 
CAR(BgL_auxz00_2417); } 
{ /* Ast/exit.scm 44 */
BgL_localz00_bglt BgL_exitz00_1249;
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_arg2693z00_1700;
{ /* Ast/exit.scm 45 */
obj_t BgL_arg2694z00_1701;
BgL_arg2694z00_1701 = BgL_hdlgzd2funzd2_1248; 
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res2751z00_1717;
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_new1545z00_1704;
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res2749z00_1710;
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_new1547z00_1705;
BgL_new1547z00_1705 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* Ast/exit.scm 45 */
long BgL_arg2737z00_1706;
BgL_arg2737z00_1706 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitz00zzast_varz00); 
{ /* Ast/exit.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2423;
BgL_auxz00_2423 = 
(BgL_objectz00_bglt)(BgL_new1547z00_1705); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2423, BgL_arg2737z00_1706); } } 
{ /* Ast/exit.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2426;
BgL_auxz00_2426 = 
(BgL_objectz00_bglt)(BgL_new1547z00_1705); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2426, BFALSE); } 
{ /* Ast/exit.scm 45 */
obj_t BgL_auxz00_2429;
BgL_auxz00_2429 = 
(obj_t)(BgL_new1547z00_1705); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2429); } BUNSPEC; 
BgL_res2749z00_1710 = BgL_new1547z00_1705; } 
BgL_new1545z00_1704 = BgL_res2749z00_1710; } 
{ /* Ast/exit.scm 45 */
BgL_sexitz00_bglt BgL_res2750z00_1716;
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_1704))->BgL_handlerz00) = ((obj_t)BgL_arg2694z00_1701), BUNSPEC); 
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_1704))->BgL_detachedzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res2750z00_1716 = BgL_new1545z00_1704; BgL_res2750z00_1716; } 
BgL_res2751z00_1717 = BgL_new1545z00_1704; } 
BgL_arg2693z00_1700 = BgL_res2751z00_1717; } } 
BgL_exitz00_1249 = 
BGl_makezd2localzd2sexitz00zzast_localz00(BgL_exitz00_1230, 
(BgL_typez00_bglt)(BGl_za2exitza2z00zztype_cachez00), BgL_arg2693z00_1700); } 
{ /* Ast/exit.scm 45 */
BgL_nodez00_bglt BgL_bodyz00_1250;
{ /* Ast/exit.scm 46 */
obj_t BgL_arg2676z00_1262;obj_t BgL_arg2677z00_1263;obj_t BgL_arg2678z00_1264;
BgL_arg2676z00_1262 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1231); 
{ /* Ast/exit.scm 47 */
obj_t BgL_auxz00_2437;
BgL_auxz00_2437 = 
(obj_t)(BgL_exitz00_1249); 
BgL_arg2677z00_1263 = 
MAKE_PAIR(BgL_auxz00_2437, BgL_stackz00_2); } 
BgL_arg2678z00_1264 = 
CNST_TABLE_REF(((long)2)); 
BgL_bodyz00_1250 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2676z00_1262, BgL_arg2677z00_1263, BgL_locz00_1229, BgL_arg2678z00_1264); } 
{ /* Ast/exit.scm 46 */
BgL_setzd2exzd2itz00_bglt BgL_exitzd2bodyzd2_1251;
{ /* Ast/exit.scm 51 */
obj_t BgL_arg2669z00_1255;obj_t BgL_arg2670z00_1256;BgL_varz00_bglt BgL_arg2671z00_1257;BgL_nodez00_bglt BgL_arg2672z00_1258;
BgL_arg2669z00_1255 = BgL_locz00_1229; 
BgL_arg2670z00_1256 = BGl_za2_za2z00zztype_cachez00; 
{ /* Ast/exit.scm 55 */
obj_t BgL_arg2673z00_1259;obj_t BgL_arg2674z00_1260;
BgL_arg2673z00_1259 = BgL_locz00_1229; 
BgL_arg2674z00_1260 = BGl_za2exitza2z00zztype_cachez00; 
{ /* Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res2754z00_1736;
{ /* Ast/exit.scm 53 */
BgL_typez00_bglt BgL_type1631z00_1719;BgL_variablez00_bglt BgL_variable1632z00_1720;
BgL_type1631z00_1719 = 
(BgL_typez00_bglt)(BgL_arg2674z00_1260); 
{ /* Ast/exit.scm 56 */
BgL_localz00_bglt BgL_auxz00_2443;
BgL_auxz00_2443 = BgL_exitz00_1249; 
BgL_variable1632z00_1720 = 
(BgL_variablez00_bglt)(BgL_auxz00_2443); } 
{ /* Ast/exit.scm 53 */
BgL_varz00_bglt BgL_new1633z00_1721;
{ /* Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res2752z00_1727;
{ /* Ast/exit.scm 53 */
BgL_varz00_bglt BgL_new1635z00_1722;
BgL_new1635z00_1722 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/exit.scm 53 */
long BgL_arg2733z00_1723;
BgL_arg2733z00_1723 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/exit.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2447;
BgL_auxz00_2447 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1722); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2447, BgL_arg2733z00_1723); } } 
{ /* Ast/exit.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2450;
BgL_auxz00_2450 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1722); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2450, BFALSE); } 
{ /* Ast/exit.scm 53 */
obj_t BgL_auxz00_2453;
BgL_auxz00_2453 = 
(obj_t)(BgL_new1635z00_1722); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2453); } BUNSPEC; 
BgL_res2752z00_1727 = BgL_new1635z00_1722; } 
BgL_new1633z00_1721 = BgL_res2752z00_1727; } 
{ /* Ast/exit.scm 53 */
BgL_varz00_bglt BgL_res2753z00_1735;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1721))->BgL_locz00) = ((obj_t)BgL_arg2673z00_1259), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1721))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_1719), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1721))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1720), BUNSPEC); 
BgL_res2753z00_1735 = BgL_new1633z00_1721; BgL_res2753z00_1735; } 
BgL_res2754z00_1736 = BgL_new1633z00_1721; } } 
BgL_arg2671z00_1257 = BgL_res2754z00_1736; } } 
BgL_arg2672z00_1258 = BgL_bodyz00_1250; 
{ /* Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res2757z00_1758;
{ /* Ast/exit.scm 50 */
BgL_typez00_bglt BgL_type2523z00_1738;
BgL_type2523z00_1738 = 
(BgL_typez00_bglt)(BgL_arg2670z00_1256); 
{ /* Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_new2526z00_1741;
{ /* Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res2755z00_1747;
{ /* Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_new2528z00_1742;
BgL_new2528z00_1742 = 
((BgL_setzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setzd2exzd2itz00_bgl) ))); 
{ /* Ast/exit.scm 50 */
long BgL_arg2709z00_1743;
BgL_arg2709z00_1743 = 
BGl_classzd2numzd2zz__objectz00(BGl_setzd2exzd2itz00zzast_nodez00); 
{ /* Ast/exit.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2462;
BgL_auxz00_2462 = 
(BgL_objectz00_bglt)(BgL_new2528z00_1742); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2462, BgL_arg2709z00_1743); } } 
{ /* Ast/exit.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2465;
BgL_auxz00_2465 = 
(BgL_objectz00_bglt)(BgL_new2528z00_1742); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2465, BFALSE); } 
{ /* Ast/exit.scm 50 */
obj_t BgL_auxz00_2468;
BgL_auxz00_2468 = 
(obj_t)(BgL_new2528z00_1742); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2468); } BUNSPEC; 
BgL_res2755z00_1747 = BgL_new2528z00_1742; } 
BgL_new2526z00_1741 = BgL_res2755z00_1747; } 
{ /* Ast/exit.scm 50 */
BgL_setzd2exzd2itz00_bglt BgL_res2756z00_1757;
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2526z00_1741))->BgL_locz00) = ((obj_t)BgL_arg2669z00_1255), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2526z00_1741))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2523z00_1738), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2526z00_1741))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg2671z00_1257), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new2526z00_1741))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2672z00_1258), BUNSPEC); 
BgL_res2756z00_1757 = BgL_new2526z00_1741; BgL_res2756z00_1757; } 
BgL_res2757z00_1758 = BgL_new2526z00_1741; } } 
BgL_exitzd2bodyzd2_1251 = BgL_res2757z00_1758; } } 
{ /* Ast/exit.scm 50 */

{ /* Ast/exit.scm 61 */
BgL_localz00_bglt BgL_obj1272z00_1759;
BgL_obj1272z00_1759 = 
(BgL_localz00_bglt)(BgL_hdlgzd2funzd2_1248); 
((((BgL_localz00_bglt)CREF(BgL_obj1272z00_1759))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* Ast/exit.scm 64 */
obj_t BgL_arg2667z00_1253;
BgL_arg2667z00_1253 = 
CNST_TABLE_REF(((long)3)); 
{ /* Ast/exit.scm 64 */
BgL_sfunz00_bglt BgL_obj1378z00_1762;
{ /* Ast/exit.scm 64 */
BgL_valuez00_bglt BgL_auxz00_2478;
{ /* Ast/exit.scm 64 */
BgL_localz00_bglt BgL_obj1255z00_1761;
BgL_obj1255z00_1761 = 
(BgL_localz00_bglt)(BgL_hdlgzd2funzd2_1248); 
BgL_auxz00_2478 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1761))->BgL_valuez00); } 
BgL_obj1378z00_1762 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2478); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1378z00_1762))->BgL_classz00) = ((obj_t)BgL_arg2667z00_1253), BUNSPEC); } } 
{ /* Ast/exit.scm 65 */
BgL_sfunz00_bglt BgL_obj1374z00_1765;obj_t BgL_val1373z00_1766;
{ /* Ast/exit.scm 65 */
BgL_valuez00_bglt BgL_auxz00_2483;
{ /* Ast/exit.scm 65 */
BgL_localz00_bglt BgL_obj1255z00_1764;
BgL_obj1255z00_1764 = 
(BgL_localz00_bglt)(BgL_hdlgzd2funzd2_1248); 
BgL_auxz00_2483 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1764))->BgL_valuez00); } 
BgL_obj1374z00_1765 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2483); } 
BgL_val1373z00_1766 = 
(obj_t)(BgL_exitzd2bodyzd2_1251); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1765))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1766), BUNSPEC); } 
BgL_auxz00_2402 = BgL_hdlgzd2nodezd2_1247; } } } } } } } } 
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2402);}  else 
{ /* Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2492;
BgL_tagzd2121zd2_1233:
BgL_auxz00_2492 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2772z00zzast_exitz00, BgL_expz00_1, BgL_locz00_1229); 
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2492);} }  else 
{ /* Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2495;
goto BgL_tagzd2121zd2_1233;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2495);} }  else 
{ /* Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2497;
goto BgL_tagzd2121zd2_1233;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2497);} }  else 
{ /* Ast/exit.scm 37 */
BgL_nodez00_bglt BgL_auxz00_2499;
goto BgL_tagzd2121zd2_1233;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2499);} } } } 
}



/* _set-exit->node */
obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_2347, obj_t BgL_expz00_2348, obj_t BgL_stackz00_2349, obj_t BgL_locz00_2350, obj_t BgL_sitez00_2351)
{ AN_OBJECT;
{ /* Ast/exit.scm 33 */
{ /* Ast/exit.scm 33 */
BgL_letzd2funzd2_bglt BgL_auxz00_2501;
BgL_auxz00_2501 = 
BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_2348, BgL_stackz00_2349, BgL_locz00_2350, BgL_sitez00_2351); 
return 
(obj_t)(BgL_auxz00_2501);} } 
}



/* jump-exit->node */
BgL_jumpzd2exzd2itz00_bglt BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_5, obj_t BgL_stackz00_6, obj_t BgL_locz00_7, obj_t BgL_sitez00_8)
{ AN_OBJECT;
{ /* Ast/exit.scm 73 */
{ /* Ast/exit.scm 74 */
obj_t BgL_locz00_1284;
BgL_locz00_1284 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_5, BgL_locz00_7); 
{ 
obj_t BgL_exitz00_1285;obj_t BgL_valuez00_1286;
if(
PAIRP(BgL_expz00_5))
{ /* Ast/exit.scm 75 */
obj_t BgL_cdrzd2146zd2_1291;
BgL_cdrzd2146zd2_1291 = 
CDR(BgL_expz00_5); 
if(
PAIRP(BgL_cdrzd2146zd2_1291))
{ /* Ast/exit.scm 75 */
BgL_exitz00_1285 = 
CAR(BgL_cdrzd2146zd2_1291); 
BgL_valuez00_1286 = 
CDR(BgL_cdrzd2146zd2_1291); 
{ /* Ast/exit.scm 77 */
BgL_nodez00_bglt BgL_valuez00_1295;BgL_nodez00_bglt BgL_exitz00_1296;
{ /* Ast/exit.scm 77 */
obj_t BgL_arg2703z00_1301;obj_t BgL_arg2704z00_1302;
BgL_arg2703z00_1301 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_valuez00_1286); 
BgL_arg2704z00_1302 = 
CNST_TABLE_REF(((long)2)); 
BgL_valuez00_1295 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2703z00_1301, BgL_stackz00_6, BgL_locz00_1284, BgL_arg2704z00_1302); } 
BgL_exitz00_1296 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exitz00_1285, BgL_stackz00_6, BgL_locz00_1284, 
CNST_TABLE_REF(((long)2))); 
{ /* Ast/exit.scm 79 */
obj_t BgL_arg2699z00_1297;obj_t BgL_arg2700z00_1298;BgL_nodez00_bglt BgL_arg2701z00_1299;BgL_nodez00_bglt BgL_arg2702z00_1300;
BgL_arg2699z00_1297 = BgL_locz00_1284; 
BgL_arg2700z00_1298 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2701z00_1299 = BgL_exitz00_1296; 
BgL_arg2702z00_1300 = BgL_valuez00_1295; 
{ /* Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res2763z00_1811;
{ /* Ast/exit.scm 79 */
BgL_typez00_bglt BgL_type2551z00_1791;
BgL_type2551z00_1791 = 
(BgL_typez00_bglt)(BgL_arg2700z00_1298); 
{ /* Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_new2554z00_1794;
{ /* Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res2761z00_1800;
{ /* Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_new2556z00_1795;
BgL_new2556z00_1795 = 
((BgL_jumpzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_jumpzd2exzd2itz00_bgl) ))); 
{ /* Ast/exit.scm 79 */
long BgL_arg2708z00_1796;
BgL_arg2708z00_1796 = 
BGl_classzd2numzd2zz__objectz00(BGl_jumpzd2exzd2itz00zzast_nodez00); 
{ /* Ast/exit.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2518;
BgL_auxz00_2518 = 
(BgL_objectz00_bglt)(BgL_new2556z00_1795); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2518, BgL_arg2708z00_1796); } } 
{ /* Ast/exit.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2521;
BgL_auxz00_2521 = 
(BgL_objectz00_bglt)(BgL_new2556z00_1795); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2521, BFALSE); } 
{ /* Ast/exit.scm 79 */
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
(obj_t)(BgL_new2556z00_1795); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2524); } BUNSPEC; 
BgL_res2761z00_1800 = BgL_new2556z00_1795; } 
BgL_new2554z00_1794 = BgL_res2761z00_1800; } 
{ /* Ast/exit.scm 79 */
BgL_jumpzd2exzd2itz00_bglt BgL_res2762z00_1810;
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2554z00_1794))->BgL_locz00) = ((obj_t)BgL_arg2699z00_1297), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2554z00_1794))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2551z00_1791), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2554z00_1794))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2701z00_1299), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new2554z00_1794))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2702z00_1300), BUNSPEC); 
BgL_res2762z00_1810 = BgL_new2554z00_1794; BgL_res2762z00_1810; } 
BgL_res2763z00_1811 = BgL_new2554z00_1794; } } 
return BgL_res2763z00_1811;} } } }  else 
{ /* Ast/exit.scm 75 */
BgL_nodez00_bglt BgL_auxz00_2533;
BgL_tagzd2139zd2_1288:
BgL_auxz00_2533 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2773z00zzast_exitz00, BgL_expz00_5, BgL_locz00_1284); 
return 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_auxz00_2533);} }  else 
{ /* Ast/exit.scm 75 */
BgL_nodez00_bglt BgL_auxz00_2536;
goto BgL_tagzd2139zd2_1288;
return 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_auxz00_2536);} } } } 
}



/* _jump-exit->node */
obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_2352, obj_t BgL_expz00_2353, obj_t BgL_stackz00_2354, obj_t BgL_locz00_2355, obj_t BgL_sitez00_2356)
{ AN_OBJECT;
{ /* Ast/exit.scm 73 */
{ /* Ast/exit.scm 73 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2538;
BgL_auxz00_2538 = 
BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_2353, BgL_stackz00_2354, BgL_locz00_2355, BgL_sitez00_2356); 
return 
(obj_t)(BgL_auxz00_2538);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_exitz00()
{ AN_OBJECT;
{ /* Ast/exit.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00()
{ AN_OBJECT;
{ /* Ast/exit.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_exit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_exit"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_exit"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_exit");} 
}

