/*===========================================================================*/
/*   (Ast/find-gdefs.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_findzd2gdefszd2();
extern obj_t open_input_string(obj_t);
static obj_t BGl__checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2(obj_t);
static bool_t BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern obj_t BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(obj_t);
extern obj_t BGl_dssslzd2defaultzd2formalz00zztools_dssslz00(obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2 = BUNSPEC;
static obj_t BGl_bindzd2globalzd2defz12z12zzast_findzd2gdefszd2(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_findzd2gdefszd2();
static obj_t BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2 = BUNSPEC;
extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_findzd2gdefszd2();
static obj_t BGl_toplevelzd2initzd2zzast_findzd2gdefszd2();
static obj_t BGl__tozd2bezd2definez12z12zzast_findzd2gdefszd2(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32725ze3z83zzast_findzd2gdefszd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_zc3anonymousza32728ze3z83zzast_findzd2gdefszd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32729ze3z83zzast_findzd2gdefszd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_pushzd2argszd2zzast_findzd2gdefszd2(obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt);
static obj_t BGl_defszd2ze3listz31zzast_findzd2gdefszd2();
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_scanz00zzast_findzd2gdefszd2(obj_t, obj_t, obj_t);
static obj_t BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2 = BUNSPEC;
extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_loopz00zzast_findzd2gdefszd2(obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
static obj_t BGl_definezd2globalzd2zzast_findzd2gdefszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_findzd2gdefszd2 = BUNSPEC;
static obj_t BGl__findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t, obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_findzd2gdefszd2();
static obj_t BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2 = BUNSPEC;
extern obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
static obj_t __cnst[ 25 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzd2defszd2envzd2zzast_findzd2gdefszd2, BgL_bgl__findza7d2globalza7d2defsza700za7za7ast_findza7d2gdefsza7d23107za7, BGl__findzd2globalzd2defsz00zzast_findzd2gdefszd2, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3088z00zzast_findzd2gdefszd2, BgL_bgl_defineza7d2globalza7d2za7za7ast_findza7d2gdefsza7d23108z00, BGl_definezd2globalzd2zzast_findzd2gdefszd2, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3090z00zzast_findzd2gdefszd2, BgL_bgl_za7c3anonymousza7a32729za7e3za783za7za7ast_findza7d2gdefsza7d23109z00, BGl_zc3anonymousza32729ze3z83zzast_findzd2gdefszd2, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3089z00zzast_findzd2gdefszd2, BgL_bgl_za7c3anonymousza7a32725za7e3za783za7za7ast_findza7d2gdefsza7d23110z00, BGl_zc3anonymousza32725ze3z83zzast_findzd2gdefszd2, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3091z00zzast_findzd2gdefszd2, BgL_bgl_za7c3anonymousza7a32728za7e3za783za7za7ast_findza7d2gdefsza7d23111z00, BGl_zc3anonymousza32728ze3z83zzast_findzd2gdefszd2, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_tozd2bezd2definez12zd2envzc0zzast_findzd2gdefszd2, BgL_bgl__toza7d2beza7d2defineza712za712za7za7ast_findza7d2gdefsza7d23112z00, BGl__tozd2bezd2definez12z12zzast_findzd2gdefszd2, 0L, 1 );
DEFINE_STRING( BGl_string3099z00zzast_findzd2gdefszd2, BgL_bgl_string3099za700za7za7ast_findza7d2gdefsza7d23113za7, "symbol expected", 15 );
DEFINE_STRING( BGl_string3098z00zzast_findzd2gdefszd2, BgL_bgl_string3098za700za7za7ast_findza7d2gdefsza7d23114za7, "symbol or named constant expected", 33 );
DEFINE_STRING( BGl_string3097z00zzast_findzd2gdefszd2, BgL_bgl_string3097za700za7za7ast_findza7d2gdefsza7d23115za7, "Illegal formal parameter", 24 );
DEFINE_STRING( BGl_string3096z00zzast_findzd2gdefszd2, BgL_bgl_string3096za700za7za7ast_findza7d2gdefsza7d23116za7, "Illegal `define-generic' form", 29 );
DEFINE_STRING( BGl_string3095z00zzast_findzd2gdefszd2, BgL_bgl_string3095za700za7za7ast_findza7d2gdefsza7d23117za7, "Illegal `define-inline' form", 28 );
DEFINE_STRING( BGl_string3094z00zzast_findzd2gdefszd2, BgL_bgl_string3094za700za7za7ast_findza7d2gdefsza7d23118za7, "Illegal `lambda' form", 21 );
DEFINE_STRING( BGl_string3093z00zzast_findzd2gdefszd2, BgL_bgl_string3093za700za7za7ast_findza7d2gdefsza7d23119za7, "lambda", 6 );
DEFINE_STRING( BGl_string3102z00zzast_findzd2gdefszd2, BgL_bgl_string3102za700za7za7ast_findza7d2gdefsza7d23120za7, "if case apply bind-exit labels letrec let set! assert quote lambda free-pragma pragma write @ nothing done define-method define-generic define-inline define begin read def find-gdefs ", 183 );
DEFINE_STRING( BGl_string3092z00zzast_findzd2gdefszd2, BgL_bgl_string3092za700za7za7ast_findza7d2gdefsza7d23121za7, "Illegal duplicated definition", 29 );
DEFINE_STRING( BGl_string3101z00zzast_findzd2gdefszd2, BgL_bgl_string3101za700za7za7ast_findza7d2gdefsza7d23122za7, "and `.' notation", 16 );
DEFINE_STRING( BGl_string3100z00zzast_findzd2gdefszd2, BgL_bgl_string3100za700za7za7ast_findza7d2gdefsza7d23123za7, "Can't use both DSSSL named constant", 35 );
DEFINE_STRING( BGl_string3087z00zzast_findzd2gdefszd2, BgL_bgl_string3087za700za7za7ast_findza7d2gdefsza7d23124za7, "Can't find global definition", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2tozd2bezd2definezd2envz00zzast_findzd2gdefszd2, BgL_bgl__checkza7d2toza7d2beza7d2defineza7d2za7za7ast_findza7d2gdefsza7d23125z00, BGl__checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long BgL_checksumz00_3117, char * BgL_fromz00_3118)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_findzd2gdefszd2))
{ 
BGl_requirezd2initializa7ationz75zzast_findzd2gdefszd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_findzd2gdefszd2(); 
BGl_cnstzd2initzd2zzast_findzd2gdefszd2(); 
BGl_importedzd2moduleszd2initz00zzast_findzd2gdefszd2(); 
BGl_toplevelzd2initzd2zzast_findzd2gdefszd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 23 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_find-gdefs"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 23 */
{ /* Ast/find-gdefs.scm 23 */
obj_t BgL_cportz00_3110;
BgL_cportz00_3110 = 
open_input_string(BGl_string3102z00zzast_findzd2gdefszd2); 
{ 
long BgL_iz00_3111;
BgL_iz00_3111 = ((long)24); 
BgL_loopz00_3112:
if(
(BgL_iz00_3111==((long)-1)))
{ /* Ast/find-gdefs.scm 23 */
return BUNSPEC;}  else 
{ /* Ast/find-gdefs.scm 23 */
{ /* Ast/find-gdefs.scm 23 */
obj_t BgL_arg3104z00_3114;
{ /* Ast/find-gdefs.scm 23 */
obj_t BgL_list3105z00_3115;
BgL_list3105z00_3115 = 
MAKE_PAIR(BgL_cportz00_3110, BNIL); 
BgL_arg3104z00_3114 = 
BGl_readz00zz__readerz00(BgL_list3105z00_3115); } 
{ /* Ast/find-gdefs.scm 23 */
int BgL_auxz00_3135;
BgL_auxz00_3135 = 
(int)(BgL_iz00_3111); 
CNST_TABLE_SET(BgL_auxz00_3135, BgL_arg3104z00_3114); } } 
{ 
long BgL_iz00_3138;
{ /* Ast/find-gdefs.scm 23 */
int BgL_auxz00_3139;
{ /* Ast/find-gdefs.scm 23 */
long BgL_auxz00_3140;
BgL_auxz00_3140 = 
(BgL_iz00_3111-((long)1)); 
BgL_auxz00_3139 = 
(int)(BgL_auxz00_3140); } 
BgL_iz00_3138 = 
(long)(BgL_auxz00_3139); } 
BgL_iz00_3111 = BgL_iz00_3138; 
goto BgL_loopz00_3112;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 23 */
BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2 = BNIL; 
BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2 = BNIL; 
return ( 
BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2 = BNIL, BUNSPEC) ;} 
}



/* to-be-define! */
obj_t BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt BgL_globalz00_15)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 53 */
{ /* Ast/find-gdefs.scm 54 */
obj_t BgL_auxz00_3147;
BgL_auxz00_3147 = 
(obj_t)(BgL_globalz00_15); 
return ( 
BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2 = 
MAKE_PAIR(BgL_auxz00_3147, BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2), BUNSPEC) ;} } 
}



/* _to-be-define! */
obj_t BGl__tozd2bezd2definez12z12zzast_findzd2gdefszd2(obj_t BgL_envz00_3082, obj_t BgL_globalz00_3083)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 53 */
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(
(BgL_globalz00_bglt)(BgL_globalz00_3083));} 
}



/* check-to-be-define */
obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 62 */
{ 
obj_t BgL_l2676z00_1270;
BgL_l2676z00_1270 = BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2; 
BgL_lname2677z00_1271:
if(
PAIRP(BgL_l2676z00_1270))
{ /* Ast/find-gdefs.scm 63 */
{ /* Ast/find-gdefs.scm 64 */
obj_t BgL_globalz00_1273;
BgL_globalz00_1273 = 
CAR(BgL_l2676z00_1270); 
{ /* Ast/find-gdefs.scm 64 */
obj_t BgL_defz00_1274;
{ /* Ast/find-gdefs.scm 64 */
obj_t BgL_auxz00_3155;
{ /* Ast/find-gdefs.scm 64 */
BgL_globalz00_bglt BgL_obj1148z00_2227;
BgL_obj1148z00_2227 = 
(BgL_globalz00_bglt)(BgL_globalz00_1273); 
BgL_auxz00_3155 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2227))->BgL_idz00); } 
BgL_defz00_1274 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_auxz00_3155, BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2); } 
{ /* Ast/find-gdefs.scm 65 */
bool_t BgL_testz00_3159;
if(
STRUCTP(BgL_defz00_1274))
{ /* Ast/find-gdefs.scm 65 */
obj_t BgL_auxz00_3164;obj_t BgL_auxz00_3162;
BgL_auxz00_3164 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3162 = 
STRUCT_KEY(BgL_defz00_1274); 
BgL_testz00_3159 = 
(BgL_auxz00_3162==BgL_auxz00_3164); }  else 
{ /* Ast/find-gdefs.scm 65 */
BgL_testz00_3159 = ((bool_t)0)
; } 
if(BgL_testz00_3159)
{ /* Ast/find-gdefs.scm 65 */BFALSE; }  else 
{ /* Ast/find-gdefs.scm 66 */
obj_t BgL_arg2706z00_1276;obj_t BgL_arg2708z00_1278;
BgL_arg2706z00_1276 = 
BGl_shapez00zztools_shapez00(BgL_globalz00_1273); 
{ /* Ast/find-gdefs.scm 68 */
obj_t BgL_auxz00_3168;
{ /* Ast/find-gdefs.scm 68 */
BgL_globalz00_bglt BgL_obj1188z00_2235;
BgL_obj1188z00_2235 = 
(BgL_globalz00_bglt)(BgL_globalz00_1273); 
BgL_auxz00_3168 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1188z00_2235))->BgL_srcz00); } 
BgL_arg2708z00_1278 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_3168); } 
{ /* Ast/find-gdefs.scm 66 */
obj_t BgL_list2710z00_1280;
BgL_list2710z00_1280 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2706z00_1276, BGl_string3087z00zzast_findzd2gdefszd2, BgL_arg2708z00_1278, BgL_list2710z00_1280); } } } } } 
{ 
obj_t BgL_l2676z00_3174;
BgL_l2676z00_3174 = 
CDR(BgL_l2676z00_1270); 
BgL_l2676z00_1270 = BgL_l2676z00_3174; 
goto BgL_lname2677z00_1271;} }  else 
{ /* Ast/find-gdefs.scm 63 */((bool_t)1); } } 
{ 
obj_t BgL_l2678z00_1284;
BgL_l2678z00_1284 = BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2; 
BgL_lname2679z00_1285:
if(
PAIRP(BgL_l2678z00_1284))
{ /* Ast/find-gdefs.scm 72 */
BGl_rempropz12z12zz__r4_symbols_6_4z00(
CAR(BgL_l2678z00_1284), BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2); 
{ 
obj_t BgL_l2678z00_3180;
BgL_l2678z00_3180 = 
CDR(BgL_l2678z00_1284); 
BgL_l2678z00_1284 = BgL_l2678z00_3180; 
goto BgL_lname2679z00_1285;} }  else 
{ /* Ast/find-gdefs.scm 72 */((bool_t)1); } } 
BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2 = BNIL; 
return ( 
BGl_za2tozd2bezd2defineza2z00zzast_findzd2gdefszd2 = BNIL, BUNSPEC) ;} 
}



/* _check-to-be-define */
obj_t BGl__checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2(obj_t BgL_envz00_3084)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 62 */
return 
BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();} 
}



/* bind-global-def! */
obj_t BGl_bindzd2globalzd2defz12z12zzast_findzd2gdefszd2(obj_t BgL_idz00_17, obj_t BgL_arityz00_18)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 101 */
{ /* Ast/find-gdefs.scm 102 */
obj_t BgL_defz00_1289;
{ /* Ast/find-gdefs.scm 102 */
obj_t BgL_accessz00_2241;
BgL_accessz00_2241 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/find-gdefs.scm 102 */
obj_t BgL_newz00_2243;
{ /* Ast/find-gdefs.scm 102 */
int BgL_auxz00_3186;obj_t BgL_auxz00_3184;
BgL_auxz00_3186 = 
(int)(((long)3)); 
BgL_auxz00_3184 = 
CNST_TABLE_REF(((long)1)); 
BgL_newz00_2243 = 
create_struct(BgL_auxz00_3184, BgL_auxz00_3186); } 
{ /* Ast/find-gdefs.scm 102 */
int BgL_auxz00_3189;
BgL_auxz00_3189 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_2243, BgL_auxz00_3189, BgL_arityz00_18); } 
{ /* Ast/find-gdefs.scm 102 */
int BgL_auxz00_3192;
BgL_auxz00_3192 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2243, BgL_auxz00_3192, BgL_accessz00_2241); } 
{ /* Ast/find-gdefs.scm 102 */
int BgL_auxz00_3195;
BgL_auxz00_3195 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2243, BgL_auxz00_3195, BgL_idz00_17); } 
BgL_defz00_1289 = BgL_newz00_2243; } } 
BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2 = 
MAKE_PAIR(BgL_defz00_1289, BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2); 
BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2 = 
MAKE_PAIR(BgL_idz00_17, BGl_za2allzd2definedzd2idza2z00zzast_findzd2gdefszd2); 
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_idz00_17, BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2, BgL_defz00_1289);} } 
}



/* defs->list */
obj_t BGl_defszd2ze3listz31zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 113 */
{ 
obj_t BgL_defsz00_1290;obj_t BgL_resz00_1291;
BgL_defsz00_1290 = BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2; 
BgL_resz00_1291 = BNIL; 
BgL_loopz00_1292:
if(
NULLP(BgL_defsz00_1290))
{ /* Ast/find-gdefs.scm 116 */
BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2 = BNIL; 
return BgL_resz00_1291;}  else 
{ /* Ast/find-gdefs.scm 120 */
obj_t BgL_defz00_1294;
BgL_defz00_1294 = 
CAR(BgL_defsz00_1290); 
{ /* Ast/find-gdefs.scm 121 */
obj_t BgL_arg2717z00_1295;obj_t BgL_arg2718z00_1296;
BgL_arg2717z00_1295 = 
CDR(BgL_defsz00_1290); 
{ /* Ast/find-gdefs.scm 122 */
obj_t BgL_arg2719z00_1297;
{ /* Ast/find-gdefs.scm 122 */
obj_t BgL_arg2720z00_1298;obj_t BgL_arg2721z00_1299;
{ /* Ast/find-gdefs.scm 122 */
int BgL_auxz00_3205;
BgL_auxz00_3205 = 
(int)(((long)0)); 
BgL_arg2720z00_1298 = 
STRUCT_REF(BgL_defz00_1294, BgL_auxz00_3205); } 
{ /* Ast/find-gdefs.scm 122 */
obj_t BgL_auxz00_3212;obj_t BgL_auxz00_3208;
{ /* Ast/find-gdefs.scm 123 */
int BgL_auxz00_3213;
BgL_auxz00_3213 = 
(int)(((long)2)); 
BgL_auxz00_3212 = 
STRUCT_REF(BgL_defz00_1294, BgL_auxz00_3213); } 
{ /* Ast/find-gdefs.scm 122 */
int BgL_auxz00_3209;
BgL_auxz00_3209 = 
(int)(((long)1)); 
BgL_auxz00_3208 = 
STRUCT_REF(BgL_defz00_1294, BgL_auxz00_3209); } 
BgL_arg2721z00_1299 = 
MAKE_PAIR(BgL_auxz00_3208, BgL_auxz00_3212); } 
BgL_arg2719z00_1297 = 
MAKE_PAIR(BgL_arg2720z00_1298, BgL_arg2721z00_1299); } 
BgL_arg2718z00_1296 = 
MAKE_PAIR(BgL_arg2719z00_1297, BgL_resz00_1291); } 
{ 
obj_t BgL_resz00_3220;obj_t BgL_defsz00_3219;
BgL_defsz00_3219 = BgL_arg2717z00_1295; 
BgL_resz00_3220 = BgL_arg2718z00_1296; 
BgL_resz00_1291 = BgL_resz00_3220; 
BgL_defsz00_1290 = BgL_defsz00_3219; 
goto BgL_loopz00_1292;} } } } } 
}



/* find-global-defs */
obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t BgL_sexpza2za2_19)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 138 */
BGl_za2gdefszd2listza2zd2zzast_findzd2gdefszd2 = BNIL; 
BGl_scanz00zzast_findzd2gdefszd2(BgL_sexpza2za2_19, BGl_proc3088z00zzast_findzd2gdefszd2, BGl_proc3089z00zzast_findzd2gdefszd2); 
BGl_scanz00zzast_findzd2gdefszd2(BgL_sexpza2za2_19, BGl_proc3091z00zzast_findzd2gdefszd2, BGl_proc3090z00zzast_findzd2gdefszd2); 
return 
BGl_defszd2ze3listz31zzast_findzd2gdefszd2();} 
}



/* loop */
obj_t BGl_loopz00zzast_findzd2gdefszd2(obj_t BgL_actionzd2definezd2_3108, obj_t BgL_actionzd2bodyzd2_3107, obj_t BgL_sexpza2za2_1329)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 154 */
BGl_loopz00zzast_findzd2gdefszd2:
if(
PAIRP(BgL_sexpza2za2_1329))
{ /* Ast/find-gdefs.scm 157 */
obj_t BgL_sexpz00_1332;
BgL_sexpz00_1332 = 
CAR(BgL_sexpza2za2_1329); 
{ 
obj_t BgL_varz00_1335;obj_t BgL_argsz00_1336;obj_t BgL_expz00_1337;obj_t BgL_varz00_1343;obj_t BgL_expz00_1344;
if(
PAIRP(BgL_sexpz00_1332))
{ /* Ast/find-gdefs.scm 158 */
bool_t BgL_testz00_3229;
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_auxz00_3232;obj_t BgL_auxz00_3230;
BgL_auxz00_3232 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_3230 = 
CAR(BgL_sexpz00_1332); 
BgL_testz00_3229 = 
(BgL_auxz00_3230==BgL_auxz00_3232); } 
if(BgL_testz00_3229)
{ /* Ast/find-gdefs.scm 158 */
BGl_loopz00zzast_findzd2gdefszd2(BgL_actionzd2definezd2_3108, BgL_actionzd2bodyzd2_3107, 
CDR(BgL_sexpz00_1332)); 
{ 
obj_t BgL_sexpza2za2_3237;
BgL_sexpza2za2_3237 = 
CDR(BgL_sexpza2za2_1329); 
BgL_sexpza2za2_1329 = BgL_sexpza2za2_3237; 
goto BGl_loopz00zzast_findzd2gdefszd2;} }  else 
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_cdrzd2146zd2_1351;
BgL_cdrzd2146zd2_1351 = 
CDR(BgL_sexpz00_1332); 
{ /* Ast/find-gdefs.scm 158 */
bool_t BgL_testz00_3240;
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_auxz00_3243;obj_t BgL_auxz00_3241;
BgL_auxz00_3243 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3241 = 
CAR(BgL_sexpz00_1332); 
BgL_testz00_3240 = 
(BgL_auxz00_3241==BgL_auxz00_3243); } 
if(BgL_testz00_3240)
{ /* Ast/find-gdefs.scm 158 */
if(
PAIRP(BgL_cdrzd2146zd2_1351))
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_carzd2150zd2_1354;
BgL_carzd2150zd2_1354 = 
CAR(BgL_cdrzd2146zd2_1351); 
if(
PAIRP(BgL_carzd2150zd2_1354))
{ /* Ast/find-gdefs.scm 158 */
BgL_varz00_1335 = 
CAR(BgL_carzd2150zd2_1354); 
BgL_argsz00_1336 = 
CDR(BgL_carzd2150zd2_1354); 
BgL_expz00_1337 = 
CDR(BgL_cdrzd2146zd2_1351); 
BgL_tagzd2122zd2_1338:
{ /* Ast/find-gdefs.scm 165 */
int BgL_arg2777z00_1397;
BgL_arg2777z00_1397 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_1336); 
PROCEDURE_ENTRY(BgL_actionzd2definezd2_3108)(BgL_actionzd2definezd2_3108, BgL_varz00_1335, 
BINT(BgL_arg2777z00_1397), BgL_sexpz00_1332, BEOA); } 
PROCEDURE_ENTRY(BgL_actionzd2bodyzd2_3107)(BgL_actionzd2bodyzd2_3107, BgL_argsz00_1336, BgL_expz00_1337, BgL_sexpz00_1332, BEOA); 
{ 
obj_t BgL_sexpza2za2_3257;
BgL_sexpza2za2_3257 = 
CDR(BgL_sexpza2za2_1329); 
BgL_sexpza2za2_1329 = BgL_sexpza2za2_3257; 
goto BGl_loopz00zzast_findzd2gdefszd2;} }  else 
{ /* Ast/find-gdefs.scm 158 */
BgL_varz00_1343 = 
CAR(BgL_cdrzd2146zd2_1351); 
BgL_expz00_1344 = 
CDR(BgL_cdrzd2146zd2_1351); 
PROCEDURE_ENTRY(BgL_actionzd2definezd2_3108)(BgL_actionzd2definezd2_3108, BgL_varz00_1343, BFALSE, BgL_sexpz00_1332, BEOA); 
PROCEDURE_ENTRY(BgL_actionzd2bodyzd2_3107)(BgL_actionzd2bodyzd2_3107, BNIL, BgL_expz00_1344, BgL_sexpz00_1332, BEOA); 
{ 
obj_t BgL_sexpza2za2_3266;
BgL_sexpza2za2_3266 = 
CDR(BgL_sexpza2za2_1329); 
BgL_sexpza2za2_1329 = BgL_sexpza2za2_3266; 
goto BGl_loopz00zzast_findzd2gdefszd2;} } }  else 
{ /* Ast/find-gdefs.scm 158 */
BgL_tagzd2125zd2_1346:
{ /* Ast/find-gdefs.scm 176 */
obj_t BgL_arg2783z00_1402;
{ /* Ast/find-gdefs.scm 176 */
obj_t BgL_list2784z00_1403;
BgL_list2784z00_1403 = 
MAKE_PAIR(BgL_sexpz00_1332, BNIL); 
BgL_arg2783z00_1402 = BgL_list2784z00_1403; } 
PROCEDURE_ENTRY(BgL_actionzd2bodyzd2_3107)(BgL_actionzd2bodyzd2_3107, BNIL, BgL_arg2783z00_1402, BgL_sexpz00_1332, BEOA); } 
{ 
obj_t BgL_sexpza2za2_3273;
BgL_sexpza2za2_3273 = 
CDR(BgL_sexpza2za2_1329); 
BgL_sexpza2za2_1329 = BgL_sexpza2za2_3273; 
goto BGl_loopz00zzast_findzd2gdefszd2;} } }  else 
{ /* Ast/find-gdefs.scm 158 */
bool_t BgL_testz00_3275;
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_auxz00_3278;obj_t BgL_auxz00_3276;
BgL_auxz00_3278 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3276 = 
CAR(BgL_sexpz00_1332); 
BgL_testz00_3275 = 
(BgL_auxz00_3276==BgL_auxz00_3278); } 
if(BgL_testz00_3275)
{ /* Ast/find-gdefs.scm 158 */
if(
PAIRP(BgL_cdrzd2146zd2_1351))
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_carzd2219zd2_1365;
BgL_carzd2219zd2_1365 = 
CAR(BgL_cdrzd2146zd2_1351); 
if(
PAIRP(BgL_carzd2219zd2_1365))
{ 
obj_t BgL_expz00_3290;obj_t BgL_argsz00_3288;obj_t BgL_varz00_3286;
BgL_varz00_3286 = 
CAR(BgL_carzd2219zd2_1365); 
BgL_argsz00_3288 = 
CDR(BgL_carzd2219zd2_1365); 
BgL_expz00_3290 = 
CDR(BgL_cdrzd2146zd2_1351); 
BgL_expz00_1337 = BgL_expz00_3290; 
BgL_argsz00_1336 = BgL_argsz00_3288; 
BgL_varz00_1335 = BgL_varz00_3286; 
goto BgL_tagzd2122zd2_1338;}  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_cdrzd2258zd2_1370;
BgL_cdrzd2258zd2_1370 = 
CDR(BgL_sexpz00_1332); 
{ /* Ast/find-gdefs.scm 158 */
bool_t BgL_testz00_3293;
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_auxz00_3296;obj_t BgL_auxz00_3294;
BgL_auxz00_3296 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3294 = 
CAR(BgL_sexpz00_1332); 
BgL_testz00_3293 = 
(BgL_auxz00_3294==BgL_auxz00_3296); } 
if(BgL_testz00_3293)
{ /* Ast/find-gdefs.scm 158 */
if(
PAIRP(BgL_cdrzd2258zd2_1370))
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_carzd2262zd2_1373;
BgL_carzd2262zd2_1373 = 
CAR(BgL_cdrzd2258zd2_1370); 
if(
PAIRP(BgL_carzd2262zd2_1373))
{ 
obj_t BgL_expz00_3308;obj_t BgL_argsz00_3306;obj_t BgL_varz00_3304;
BgL_varz00_3304 = 
CAR(BgL_carzd2262zd2_1373); 
BgL_argsz00_3306 = 
CDR(BgL_carzd2262zd2_1373); 
BgL_expz00_3308 = 
CDR(BgL_cdrzd2258zd2_1370); 
BgL_expz00_1337 = BgL_expz00_3308; 
BgL_argsz00_1336 = BgL_argsz00_3306; 
BgL_varz00_1335 = BgL_varz00_3304; 
goto BgL_tagzd2122zd2_1338;}  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
bool_t BgL_testz00_3310;
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_auxz00_3313;obj_t BgL_auxz00_3311;
BgL_auxz00_3313 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3311 = 
CAR(BgL_sexpz00_1332); 
BgL_testz00_3310 = 
(BgL_auxz00_3311==BgL_auxz00_3313); } 
if(BgL_testz00_3310)
{ /* Ast/find-gdefs.scm 158 */
if(
PAIRP(BgL_cdrzd2258zd2_1370))
{ /* Ast/find-gdefs.scm 158 */
obj_t BgL_carzd2302zd2_1381;
BgL_carzd2302zd2_1381 = 
CAR(BgL_cdrzd2258zd2_1370); 
if(
PAIRP(BgL_carzd2302zd2_1381))
{ /* Ast/find-gdefs.scm 158 */
PROCEDURE_ENTRY(BgL_actionzd2bodyzd2_3107)(BgL_actionzd2bodyzd2_3107, 
CDR(BgL_carzd2302zd2_1381), 
CDR(BgL_cdrzd2258zd2_1370), BgL_sexpz00_1332, BEOA); 
{ 
obj_t BgL_sexpza2za2_3325;
BgL_sexpza2za2_3325 = 
CDR(BgL_sexpza2za2_1329); 
BgL_sexpza2za2_1329 = BgL_sexpza2za2_3325; 
goto BGl_loopz00zzast_findzd2gdefszd2;} }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} } } } } } } }  else 
{ /* Ast/find-gdefs.scm 158 */
goto BgL_tagzd2125zd2_1346;} } }  else 
{ /* Ast/find-gdefs.scm 155 */
return 
CNST_TABLE_REF(((long)8));} } 
}



/* scan */
obj_t BGl_scanz00zzast_findzd2gdefszd2(obj_t BgL_sexpza2za2_1325, obj_t BgL_actionzd2definezd2_1326, obj_t BgL_actionzd2bodyzd2_1327)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 177 */
return 
BGl_loopz00zzast_findzd2gdefszd2(BgL_actionzd2definezd2_1326, BgL_actionzd2bodyzd2_1327, BgL_sexpza2za2_1325);} 
}



/* _find-global-defs */
obj_t BGl__findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t BgL_envz00_3089, obj_t BgL_sexpza2za2_3090)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 138 */
return 
BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(BgL_sexpza2za2_3090);} 
}



/* <anonymous:2729> */
obj_t BGl_zc3anonymousza32729ze3z83zzast_findzd2gdefszd2(obj_t BgL_envz00_3091, obj_t BgL_argsz00_3092, obj_t BgL_expz00_3093, obj_t BgL_defz00_3094)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 186 */
{ 
obj_t BgL_argsz00_1316;obj_t BgL_expz00_1317;obj_t BgL_defz00_1318;
{ /* Ast/find-gdefs.scm 187 */
bool_t BgL_auxz00_3330;
BgL_argsz00_1316 = BgL_argsz00_3092; 
BgL_expz00_1317 = BgL_expz00_3093; 
BgL_defz00_1318 = BgL_defz00_3094; 
{ /* Ast/find-gdefs.scm 187 */
obj_t BgL_arg2730z00_2271;
{ /* Ast/find-gdefs.scm 187 */
obj_t BgL_arg2732z00_2273;
BgL_arg2732z00_2273 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_defz00_1318); 
BgL_arg2730z00_2271 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(BgL_argsz00_1316, BNIL, BgL_arg2732z00_2273); } 
BgL_auxz00_3330 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_expz00_1317, BgL_arg2730z00_2271); } 
return 
BBOOL(BgL_auxz00_3330);} } } 
}



/* <anonymous:2728> */
obj_t BGl_zc3anonymousza32728ze3z83zzast_findzd2gdefszd2(obj_t BgL_envz00_3095, obj_t BgL_xz00_3096, obj_t BgL_yz00_3097, obj_t BgL_expz00_3098)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 184 */
{ 
obj_t BgL_xz00_1312;obj_t BgL_yz00_1313;obj_t BgL_expz00_1314;
BgL_xz00_1312 = BgL_xz00_3096; 
BgL_yz00_1313 = BgL_yz00_3097; 
BgL_expz00_1314 = BgL_expz00_3098; 
return 
CNST_TABLE_REF(((long)9));} } 
}



/* <anonymous:2725> */
obj_t BGl_zc3anonymousza32725ze3z83zzast_findzd2gdefszd2(obj_t BgL_envz00_3099, obj_t BgL_argsz00_3100, obj_t BgL_expz00_3101, obj_t BgL_defz00_3102)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 181 */
{ 
obj_t BgL_argsz00_1305;obj_t BgL_expz00_1306;obj_t BgL_defz00_1307;
BgL_argsz00_1305 = BgL_argsz00_3100; 
BgL_expz00_1306 = BgL_expz00_3101; 
BgL_defz00_1307 = BgL_defz00_3102; 
return 
CNST_TABLE_REF(((long)9));} } 
}



/* define-global */
obj_t BGl_definezd2globalzd2zzast_findzd2gdefszd2(obj_t BgL_envz00_3103, obj_t BgL_varz00_3104, obj_t BgL_arityz00_3105, obj_t BgL_expz00_3106)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 151 */
{ 
obj_t BgL_varz00_1405;obj_t BgL_arityz00_1406;obj_t BgL_expz00_1407;
BgL_varz00_1405 = BgL_varz00_3104; 
BgL_arityz00_1406 = BgL_arityz00_3105; 
BgL_expz00_1407 = BgL_expz00_3106; 
{ 
obj_t BgL_prezd2idzd2_1409;
if(
PAIRP(BgL_varz00_1405))
{ /* Ast/find-gdefs.scm 151 */
obj_t BgL_cdrzd2109zd2_1414;
BgL_cdrzd2109zd2_1414 = 
CDR(BgL_varz00_1405); 
{ /* Ast/find-gdefs.scm 151 */
bool_t BgL_testz00_3340;
{ /* Ast/find-gdefs.scm 151 */
obj_t BgL_auxz00_3343;obj_t BgL_auxz00_3341;
BgL_auxz00_3343 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3341 = 
CAR(BgL_varz00_1405); 
BgL_testz00_3340 = 
(BgL_auxz00_3341==BgL_auxz00_3343); } 
if(BgL_testz00_3340)
{ /* Ast/find-gdefs.scm 151 */
if(
PAIRP(BgL_cdrzd2109zd2_1414))
{ /* Ast/find-gdefs.scm 151 */
obj_t BgL_cdrzd2112zd2_1417;
BgL_cdrzd2112zd2_1417 = 
CDR(BgL_cdrzd2109zd2_1414); 
if(
PAIRP(BgL_cdrzd2112zd2_1417))
{ /* Ast/find-gdefs.scm 151 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2112zd2_1417), BNIL))
{ /* Ast/find-gdefs.scm 151 */
BgL_prezd2idzd2_1409 = 
CAR(BgL_cdrzd2109zd2_1414); 
BgL_tagzd2101zd2_1410:
{ /* Ast/find-gdefs.scm 145 */
obj_t BgL_idz00_1425;
{ /* Ast/find-gdefs.scm 145 */
obj_t BgL_arg2800z00_1429;
BgL_arg2800z00_1429 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_1407); 
BgL_idz00_1425 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_prezd2idzd2_1409, BgL_arg2800z00_1429); } 
{ /* Ast/find-gdefs.scm 145 */
obj_t BgL_oldzd2defzd2_1426;
BgL_oldzd2defzd2_1426 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_idz00_1425, BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2); 
{ /* Ast/find-gdefs.scm 146 */

{ /* Ast/find-gdefs.scm 147 */
bool_t BgL_testz00_3357;
if(
STRUCTP(BgL_oldzd2defzd2_1426))
{ /* Ast/find-gdefs.scm 147 */
obj_t BgL_auxz00_3362;obj_t BgL_auxz00_3360;
BgL_auxz00_3362 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3360 = 
STRUCT_KEY(BgL_oldzd2defzd2_1426); 
BgL_testz00_3357 = 
(BgL_auxz00_3360==BgL_auxz00_3362); }  else 
{ /* Ast/find-gdefs.scm 147 */
BgL_testz00_3357 = ((bool_t)0)
; } 
if(BgL_testz00_3357)
{ /* Ast/find-gdefs.scm 148 */
obj_t BgL_list2799z00_1428;
BgL_list2799z00_1428 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_varz00_1405, BGl_string3092z00zzast_findzd2gdefszd2, BgL_expz00_1407, BgL_list2799z00_1428);}  else 
{ /* Ast/find-gdefs.scm 147 */
return 
BGl_bindzd2globalzd2defz12z12zzast_findzd2gdefszd2(BgL_idz00_1425, BgL_arityz00_1406);} } } } } }  else 
{ 
obj_t BgL_prezd2idzd2_3369;
BgL_prezd2idzd2_3369 = BgL_varz00_1405; 
BgL_prezd2idzd2_1409 = BgL_prezd2idzd2_3369; 
goto BgL_tagzd2101zd2_1410;} }  else 
{ 
obj_t BgL_prezd2idzd2_3370;
BgL_prezd2idzd2_3370 = BgL_varz00_1405; 
BgL_prezd2idzd2_1409 = BgL_prezd2idzd2_3370; 
goto BgL_tagzd2101zd2_1410;} }  else 
{ 
obj_t BgL_prezd2idzd2_3371;
BgL_prezd2idzd2_3371 = BgL_varz00_1405; 
BgL_prezd2idzd2_1409 = BgL_prezd2idzd2_3371; 
goto BgL_tagzd2101zd2_1410;} }  else 
{ 
obj_t BgL_prezd2idzd2_3372;
BgL_prezd2idzd2_3372 = BgL_varz00_1405; 
BgL_prezd2idzd2_1409 = BgL_prezd2idzd2_3372; 
goto BgL_tagzd2101zd2_1410;} } }  else 
{ 
obj_t BgL_prezd2idzd2_3373;
BgL_prezd2idzd2_3373 = BgL_varz00_1405; 
BgL_prezd2idzd2_1409 = BgL_prezd2idzd2_3373; 
goto BgL_tagzd2101zd2_1410;} } } } 
}



/* find-mutations! */
bool_t BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(obj_t BgL_expza2za2_20, obj_t BgL_stackz00_21)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 194 */
{ 
obj_t BgL_l2680z00_1432;
BgL_l2680z00_1432 = BgL_expza2za2_20; 
BgL_lname2681z00_1433:
if(
PAIRP(BgL_l2680z00_1432))
{ /* Ast/find-gdefs.scm 195 */
BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2(
CAR(BgL_l2680z00_1432), BgL_stackz00_21); 
{ 
obj_t BgL_l2680z00_3378;
BgL_l2680z00_3378 = 
CDR(BgL_l2680z00_1432); 
BgL_l2680z00_1432 = BgL_l2680z00_3378; 
goto BgL_lname2681z00_1433;} }  else 
{ /* Ast/find-gdefs.scm 195 */
return ((bool_t)1);} } } 
}



/* find-1-mutations! */
obj_t BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2(obj_t BgL_expz00_22, obj_t BgL_stackz00_23)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 200 */
BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2:
{ 
obj_t BgL_valz00_1472;obj_t BgL_clausesz00_1473;obj_t BgL_bindingsz00_1460;obj_t BgL_bodyz00_1461;obj_t BgL_bindingsz00_1457;obj_t BgL_bodyz00_1458;obj_t BgL_bindingsz00_1454;obj_t BgL_bodyz00_1455;obj_t BgL_idz00_1450;obj_t BgL_modulez00_1451;obj_t BgL_valz00_1452;obj_t BgL_idz00_1447;obj_t BgL_valz00_1448;
if(
PAIRP(BgL_expz00_22))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd2405zd2_1492;
BgL_cdrzd2405zd2_1492 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3383;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3386;obj_t BgL_auxz00_3384;
BgL_auxz00_3386 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_3384 = 
CAR(BgL_expz00_22); 
BgL_testz00_3383 = 
(BgL_auxz00_3384==BgL_auxz00_3386); } 
if(BgL_testz00_3383)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd2405zd2_1492))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2405zd2_1492), BNIL))
{ /* Ast/find-gdefs.scm 201 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Ast/find-gdefs.scm 201 */
BgL_tagzd2373zd2_1489:
{ /* Ast/find-gdefs.scm 292 */
obj_t BgL_callerz00_1745;obj_t BgL_locz00_1746;
BgL_callerz00_1745 = 
CAR(BgL_expz00_22); 
BgL_locz00_1746 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
if(
SYMBOLP(BgL_callerz00_1745))
{ /* Ast/find-gdefs.scm 296 */
obj_t BgL_pidz00_1748;
BgL_pidz00_1748 = 
BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_1745, BgL_locz00_1746); 
{ /* Ast/find-gdefs.scm 296 */
obj_t BgL_idz00_1749;
BgL_idz00_1749 = 
CAR(BgL_pidz00_1748); 
{ /* Ast/find-gdefs.scm 298 */

{ /* Ast/find-gdefs.scm 299 */
bool_t BgL_testz00_3401;
{ /* Ast/find-gdefs.scm 299 */
obj_t BgL_auxz00_3402;
BgL_auxz00_3402 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_3401 = 
(BgL_idz00_1749==BgL_auxz00_3402); } 
if(BgL_testz00_3401)
{ /* Ast/find-gdefs.scm 299 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Ast/find-gdefs.scm 299 */
bool_t BgL_testz00_3406;
{ /* Ast/find-gdefs.scm 299 */
obj_t BgL_auxz00_3407;
BgL_auxz00_3407 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_3406 = 
(BgL_idz00_1749==BgL_auxz00_3407); } 
if(BgL_testz00_3406)
{ /* Ast/find-gdefs.scm 299 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Ast/find-gdefs.scm 299 */
bool_t BgL_testz00_3411;
{ /* Ast/find-gdefs.scm 299 */
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_3411 = 
(BgL_idz00_1749==BgL_auxz00_3412); } 
if(BgL_testz00_3411)
{ 

if(
PAIRP(BgL_expz00_22))
{ /* Ast/find-gdefs.scm 305 */
obj_t BgL_cdrzd23196zd2_1761;
BgL_cdrzd23196zd2_1761 = 
CDR(BgL_expz00_22); 
if(
PAIRP(BgL_cdrzd23196zd2_1761))
{ /* Ast/find-gdefs.scm 305 */
obj_t BgL_arg3008z00_1764;
BgL_arg3008z00_1764 = 
CDR(BgL_cdrzd23196zd2_1761); 
{ /* Ast/find-gdefs.scm 305 */
obj_t BgL_arg3009z00_2586;
BgL_arg3009z00_2586 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(
CAR(BgL_cdrzd23196zd2_1761), BgL_stackz00_23, BgL_locz00_1746); 
{ /* Ast/find-gdefs.scm 305 */
bool_t BgL_auxz00_3423;
BgL_auxz00_3423 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg3008z00_1764, BgL_arg3009z00_2586); 
return 
BBOOL(BgL_auxz00_3423);} } }  else 
{ /* Ast/find-gdefs.scm 305 */
BgL_tagzd23189zd2_1758:
{ /* Ast/find-gdefs.scm 309 */
obj_t BgL_list3010z00_1766;
BgL_list3010z00_1766 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3093z00zzast_findzd2gdefszd2, BGl_string3094z00zzast_findzd2gdefszd2, BgL_expz00_22, BgL_list3010z00_1766);} } }  else 
{ /* Ast/find-gdefs.scm 305 */
goto BgL_tagzd23189zd2_1758;} }  else 
{ /* Ast/find-gdefs.scm 314 */
bool_t BgL_auxz00_3428;
BgL_auxz00_3428 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_expz00_22, BgL_stackz00_23); 
return 
BBOOL(BgL_auxz00_3428);} } } } } } }  else 
{ /* Ast/find-gdefs.scm 315 */
bool_t BgL_auxz00_3431;
BgL_auxz00_3431 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_expz00_22, BgL_stackz00_23); 
return 
BBOOL(BgL_auxz00_3431);} } } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3434;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3437;obj_t BgL_auxz00_3435;
BgL_auxz00_3437 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_3435 = 
CAR(BgL_expz00_22); 
BgL_testz00_3434 = 
(BgL_auxz00_3435==BgL_auxz00_3437); } 
if(BgL_testz00_3434)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd2405zd2_1492))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2405zd2_1492), BNIL))
{ /* Ast/find-gdefs.scm 201 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd21089zd2_1504;
BgL_cdrzd21089zd2_1504 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3447;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3450;obj_t BgL_auxz00_3448;
BgL_auxz00_3450 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_3448 = 
CAR(BgL_expz00_22); 
BgL_testz00_3447 = 
(BgL_auxz00_3448==BgL_auxz00_3450); } 
if(BgL_testz00_3447)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21089zd2_1504))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21089zd2_1504), BNIL))
{ /* Ast/find-gdefs.scm 201 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3459;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3462;obj_t BgL_auxz00_3460;
BgL_auxz00_3462 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3460 = 
CAR(BgL_expz00_22); 
BgL_testz00_3459 = 
(BgL_auxz00_3460==BgL_auxz00_3462); } 
if(BgL_testz00_3459)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21089zd2_1504))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd21401zd2_1513;
BgL_cdrzd21401zd2_1513 = 
CDR(BgL_cdrzd21089zd2_1504); 
if(
PAIRP(BgL_cdrzd21401zd2_1513))
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(
CDR(BgL_cdrzd21401zd2_1513), BgL_stackz00_23); 
return 
BBOOL(BgL_auxz00_3470);}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3474;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3477;obj_t BgL_auxz00_3475;
BgL_auxz00_3477 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_3475 = 
CAR(BgL_expz00_22); 
BgL_testz00_3474 = 
(BgL_auxz00_3475==BgL_auxz00_3477); } 
if(BgL_testz00_3474)
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3480;
BgL_auxz00_3480 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(
CDR(BgL_expz00_22), BgL_stackz00_23); 
return 
BBOOL(BgL_auxz00_3480);}  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd21699zd2_1519;
BgL_cdrzd21699zd2_1519 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3485;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3488;obj_t BgL_auxz00_3486;
BgL_auxz00_3488 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_3486 = 
CAR(BgL_expz00_22); 
BgL_testz00_3485 = 
(BgL_auxz00_3486==BgL_auxz00_3488); } 
if(BgL_testz00_3485)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21699zd2_1519))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_carzd21702zd2_1522;
BgL_carzd21702zd2_1522 = 
CAR(BgL_cdrzd21699zd2_1519); 
if(
SYMBOLP(BgL_carzd21702zd2_1522))
{ /* Ast/find-gdefs.scm 201 */
BgL_idz00_1447 = BgL_carzd21702zd2_1522; 
BgL_valz00_1448 = 
CDR(BgL_cdrzd21699zd2_1519); 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_valz00_1448, BgL_stackz00_23); 
{ /* Ast/find-gdefs.scm 216 */
bool_t BgL_testz00_3497;
{ /* Ast/find-gdefs.scm 216 */
obj_t BgL_auxz00_3498;
BgL_auxz00_3498 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1447, BgL_stackz00_23); 
BgL_testz00_3497 = 
CBOOL(BgL_auxz00_3498); } 
if(BgL_testz00_3497)
{ /* Ast/find-gdefs.scm 216 */
return BFALSE;}  else 
{ /* Ast/find-gdefs.scm 217 */
obj_t BgL_defz00_1649;
BgL_defz00_1649 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_idz00_1447, BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2); 
{ /* Ast/find-gdefs.scm 218 */
bool_t BgL_testz00_3502;
if(
STRUCTP(BgL_defz00_1649))
{ /* Ast/find-gdefs.scm 218 */
obj_t BgL_auxz00_3507;obj_t BgL_auxz00_3505;
BgL_auxz00_3507 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3505 = 
STRUCT_KEY(BgL_defz00_1649); 
BgL_testz00_3502 = 
(BgL_auxz00_3505==BgL_auxz00_3507); }  else 
{ /* Ast/find-gdefs.scm 218 */
BgL_testz00_3502 = ((bool_t)0)
; } 
if(BgL_testz00_3502)
{ /* Ast/find-gdefs.scm 219 */
obj_t BgL_auxz00_3512;int BgL_auxz00_3510;
BgL_auxz00_3512 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_3510 = 
(int)(((long)1)); 
return 
STRUCT_SET(BgL_defz00_1649, BgL_auxz00_3510, BgL_auxz00_3512);}  else 
{ /* Ast/find-gdefs.scm 218 */
return BFALSE;} } } } }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_carzd21727zd2_1526;
BgL_carzd21727zd2_1526 = 
CAR(BgL_cdrzd21699zd2_1519); 
if(
PAIRP(BgL_carzd21727zd2_1526))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd21732zd2_1528;
BgL_cdrzd21732zd2_1528 = 
CDR(BgL_carzd21727zd2_1526); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3520;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3523;obj_t BgL_auxz00_3521;
BgL_auxz00_3523 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3521 = 
CAR(BgL_carzd21727zd2_1526); 
BgL_testz00_3520 = 
(BgL_auxz00_3521==BgL_auxz00_3523); } 
if(BgL_testz00_3520)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21732zd2_1528))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_carzd21735zd2_1531;obj_t BgL_cdrzd21736zd2_1532;
BgL_carzd21735zd2_1531 = 
CAR(BgL_cdrzd21732zd2_1528); 
BgL_cdrzd21736zd2_1532 = 
CDR(BgL_cdrzd21732zd2_1528); 
if(
SYMBOLP(BgL_carzd21735zd2_1531))
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21736zd2_1532))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_carzd21741zd2_1535;
BgL_carzd21741zd2_1535 = 
CAR(BgL_cdrzd21736zd2_1532); 
if(
SYMBOLP(BgL_carzd21741zd2_1535))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21736zd2_1532), BNIL))
{ /* Ast/find-gdefs.scm 201 */
BgL_idz00_1450 = BgL_carzd21735zd2_1531; 
BgL_modulez00_1451 = BgL_carzd21741zd2_1535; 
BgL_valz00_1452 = 
CDR(BgL_cdrzd21699zd2_1519); 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_valz00_1452, BgL_stackz00_23); 
{ /* Ast/find-gdefs.scm 222 */
bool_t BgL_test2936z00_1651;
BgL_test2936z00_1651 = 
(BgL_modulez00_1451==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2936z00_1651)
{ /* Ast/find-gdefs.scm 223 */
obj_t BgL_defz00_1652;
BgL_defz00_1652 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_idz00_1450, BGl_za2gdefzd2keyza2zd2zzast_findzd2gdefszd2); 
{ /* Ast/find-gdefs.scm 224 */
bool_t BgL_testz00_3544;
if(
STRUCTP(BgL_defz00_1652))
{ /* Ast/find-gdefs.scm 224 */
obj_t BgL_auxz00_3549;obj_t BgL_auxz00_3547;
BgL_auxz00_3549 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3547 = 
STRUCT_KEY(BgL_defz00_1652); 
BgL_testz00_3544 = 
(BgL_auxz00_3547==BgL_auxz00_3549); }  else 
{ /* Ast/find-gdefs.scm 224 */
BgL_testz00_3544 = ((bool_t)0)
; } 
if(BgL_testz00_3544)
{ /* Ast/find-gdefs.scm 225 */
obj_t BgL_auxz00_3554;int BgL_auxz00_3552;
BgL_auxz00_3554 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_3552 = 
(int)(((long)1)); 
return 
STRUCT_SET(BgL_defz00_1652, BgL_auxz00_3552, BgL_auxz00_3554);}  else 
{ /* Ast/find-gdefs.scm 224 */
return BFALSE;} } }  else 
{ /* Ast/find-gdefs.scm 222 */
return BFALSE;} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3558;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3561;obj_t BgL_auxz00_3559;
BgL_auxz00_3561 = 
CNST_TABLE_REF(((long)18)); 
BgL_auxz00_3559 = 
CAR(BgL_expz00_22); 
BgL_testz00_3558 = 
(BgL_auxz00_3559==BgL_auxz00_3561); } 
if(BgL_testz00_3558)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd21699zd2_1519))
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3566;
BgL_bindingsz00_1454 = 
CAR(BgL_cdrzd21699zd2_1519); 
BgL_bodyz00_1455 = 
CDR(BgL_cdrzd21699zd2_1519); 
{ /* Ast/find-gdefs.scm 227 */
obj_t BgL_newzd2stackzd2_1654;
{ 
obj_t BgL_stackz00_1661;obj_t BgL_bindingsz00_1662;
BgL_stackz00_1661 = BgL_stackz00_23; 
BgL_bindingsz00_1662 = BgL_bindingsz00_1454; 
BgL_loopz00_1663:
if(
NULLP(BgL_bindingsz00_1662))
{ /* Ast/find-gdefs.scm 230 */
BgL_newzd2stackzd2_1654 = BgL_stackz00_1661; }  else 
{ /* Ast/find-gdefs.scm 232 */
bool_t BgL_testz00_3569;
{ /* Ast/find-gdefs.scm 232 */
obj_t BgL_auxz00_3570;
BgL_auxz00_3570 = 
CAR(BgL_bindingsz00_1662); 
BgL_testz00_3569 = 
PAIRP(BgL_auxz00_3570); } 
if(BgL_testz00_3569)
{ /* Ast/find-gdefs.scm 232 */
{ /* Ast/find-gdefs.scm 238 */
obj_t BgL_arg2943z00_1666;obj_t BgL_arg2944z00_1667;
{ /* Ast/find-gdefs.scm 238 */
obj_t BgL_arg2945z00_1668;
{ /* Ast/find-gdefs.scm 238 */
obj_t BgL_arg2946z00_1669;obj_t BgL_arg2947z00_1670;
{ /* Ast/find-gdefs.scm 238 */
obj_t BgL_auxz00_3573;
BgL_auxz00_3573 = 
CAR(BgL_bindingsz00_1662); 
BgL_arg2946z00_1669 = 
CAR(BgL_auxz00_3573); } 
BgL_arg2947z00_1670 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2945z00_1668 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg2946z00_1669, BgL_arg2947z00_1670); } 
BgL_arg2943z00_1666 = 
MAKE_PAIR(BgL_arg2945z00_1668, BgL_stackz00_1661); } 
BgL_arg2944z00_1667 = 
CDR(BgL_bindingsz00_1662); 
{ 
obj_t BgL_bindingsz00_3581;obj_t BgL_stackz00_3580;
BgL_stackz00_3580 = BgL_arg2943z00_1666; 
BgL_bindingsz00_3581 = BgL_arg2944z00_1667; 
BgL_bindingsz00_1662 = BgL_bindingsz00_3581; 
BgL_stackz00_1661 = BgL_stackz00_3580; 
goto BgL_loopz00_1663;} } }  else 
{ /* Ast/find-gdefs.scm 232 */
{ /* Ast/find-gdefs.scm 233 */
obj_t BgL_arg2949z00_1672;obj_t BgL_arg2950z00_1673;
{ /* Ast/find-gdefs.scm 233 */
obj_t BgL_arg2951z00_1674;
{ /* Ast/find-gdefs.scm 233 */
obj_t BgL_arg2952z00_1675;obj_t BgL_arg2953z00_1676;
BgL_arg2952z00_1675 = 
CAR(BgL_bindingsz00_1662); 
BgL_arg2953z00_1676 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2951z00_1674 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg2952z00_1675, BgL_arg2953z00_1676); } 
BgL_arg2949z00_1672 = 
MAKE_PAIR(BgL_arg2951z00_1674, BgL_stackz00_1661); } 
BgL_arg2950z00_1673 = 
CDR(BgL_bindingsz00_1662); 
{ 
obj_t BgL_bindingsz00_3588;obj_t BgL_stackz00_3587;
BgL_stackz00_3587 = BgL_arg2949z00_1672; 
BgL_bindingsz00_3588 = BgL_arg2950z00_1673; 
BgL_bindingsz00_1662 = BgL_bindingsz00_3588; 
BgL_stackz00_1661 = BgL_stackz00_3587; 
goto BgL_loopz00_1663;} } } } } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_bodyz00_1455, BgL_newzd2stackzd2_1654); 
{ 
obj_t BgL_l2682z00_1655;
BgL_l2682z00_1655 = BgL_bindingsz00_1454; 
BgL_lname2683z00_1656:
if(
PAIRP(BgL_l2682z00_1655))
{ /* Ast/find-gdefs.scm 243 */
{ /* Ast/find-gdefs.scm 243 */
obj_t BgL_auxz00_3592;
{ /* Ast/find-gdefs.scm 243 */
obj_t BgL_auxz00_3593;
BgL_auxz00_3593 = 
CAR(BgL_l2682z00_1655); 
BgL_auxz00_3592 = 
CDR(BgL_auxz00_3593); } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_auxz00_3592, BgL_stackz00_23); } 
{ 
obj_t BgL_l2682z00_3597;
BgL_l2682z00_3597 = 
CDR(BgL_l2682z00_1655); 
BgL_l2682z00_1655 = BgL_l2682z00_3597; 
goto BgL_lname2683z00_1656;} }  else 
{ /* Ast/find-gdefs.scm 243 */
BgL_auxz00_3566 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_3566);}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd22623zd2_1548;
BgL_cdrzd22623zd2_1548 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3603;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3606;obj_t BgL_auxz00_3604;
BgL_auxz00_3606 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_3604 = 
CAR(BgL_expz00_22); 
BgL_testz00_3603 = 
(BgL_auxz00_3604==BgL_auxz00_3606); } 
if(BgL_testz00_3603)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22623zd2_1548))
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3611;
BgL_bindingsz00_1457 = 
CAR(BgL_cdrzd22623zd2_1548); 
BgL_bodyz00_1458 = 
CDR(BgL_cdrzd22623zd2_1548); 
{ /* Ast/find-gdefs.scm 245 */
obj_t BgL_newzd2stackzd2_1678;
{ 
obj_t BgL_stackz00_1685;obj_t BgL_bindingsz00_1686;
BgL_stackz00_1685 = BgL_stackz00_23; 
BgL_bindingsz00_1686 = BgL_bindingsz00_1457; 
BgL_loopz00_1687:
if(
NULLP(BgL_bindingsz00_1686))
{ /* Ast/find-gdefs.scm 248 */
BgL_newzd2stackzd2_1678 = BgL_stackz00_1685; }  else 
{ /* Ast/find-gdefs.scm 250 */
bool_t BgL_testz00_3614;
{ /* Ast/find-gdefs.scm 250 */
obj_t BgL_auxz00_3615;
BgL_auxz00_3615 = 
CAR(BgL_bindingsz00_1686); 
BgL_testz00_3614 = 
PAIRP(BgL_auxz00_3615); } 
if(BgL_testz00_3614)
{ /* Ast/find-gdefs.scm 250 */
{ /* Ast/find-gdefs.scm 256 */
obj_t BgL_arg2960z00_1690;obj_t BgL_arg2961z00_1691;
{ /* Ast/find-gdefs.scm 256 */
obj_t BgL_arg2962z00_1692;
{ /* Ast/find-gdefs.scm 256 */
obj_t BgL_arg2963z00_1693;obj_t BgL_arg2964z00_1694;
{ /* Ast/find-gdefs.scm 256 */
obj_t BgL_auxz00_3618;
BgL_auxz00_3618 = 
CAR(BgL_bindingsz00_1686); 
BgL_arg2963z00_1693 = 
CAR(BgL_auxz00_3618); } 
BgL_arg2964z00_1694 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2962z00_1692 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg2963z00_1693, BgL_arg2964z00_1694); } 
BgL_arg2960z00_1690 = 
MAKE_PAIR(BgL_arg2962z00_1692, BgL_stackz00_1685); } 
BgL_arg2961z00_1691 = 
CDR(BgL_bindingsz00_1686); 
{ 
obj_t BgL_bindingsz00_3626;obj_t BgL_stackz00_3625;
BgL_stackz00_3625 = BgL_arg2960z00_1690; 
BgL_bindingsz00_3626 = BgL_arg2961z00_1691; 
BgL_bindingsz00_1686 = BgL_bindingsz00_3626; 
BgL_stackz00_1685 = BgL_stackz00_3625; 
goto BgL_loopz00_1687;} } }  else 
{ /* Ast/find-gdefs.scm 250 */
{ /* Ast/find-gdefs.scm 251 */
obj_t BgL_arg2966z00_1696;obj_t BgL_arg2967z00_1697;
{ /* Ast/find-gdefs.scm 251 */
obj_t BgL_arg2968z00_1698;
{ /* Ast/find-gdefs.scm 251 */
obj_t BgL_arg2969z00_1699;obj_t BgL_arg2970z00_1700;
BgL_arg2969z00_1699 = 
CAR(BgL_bindingsz00_1686); 
BgL_arg2970z00_1700 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2968z00_1698 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg2969z00_1699, BgL_arg2970z00_1700); } 
BgL_arg2966z00_1696 = 
MAKE_PAIR(BgL_arg2968z00_1698, BgL_stackz00_1685); } 
BgL_arg2967z00_1697 = 
CDR(BgL_bindingsz00_1686); 
{ 
obj_t BgL_bindingsz00_3633;obj_t BgL_stackz00_3632;
BgL_stackz00_3632 = BgL_arg2966z00_1696; 
BgL_bindingsz00_3633 = BgL_arg2967z00_1697; 
BgL_bindingsz00_1686 = BgL_bindingsz00_3633; 
BgL_stackz00_1685 = BgL_stackz00_3632; 
goto BgL_loopz00_1687;} } } } } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_bodyz00_1458, BgL_newzd2stackzd2_1678); 
{ 
obj_t BgL_l2684z00_1679;
BgL_l2684z00_1679 = BgL_bindingsz00_1457; 
BgL_lname2685z00_1680:
if(
PAIRP(BgL_l2684z00_1679))
{ /* Ast/find-gdefs.scm 261 */
{ /* Ast/find-gdefs.scm 261 */
obj_t BgL_auxz00_3637;
{ /* Ast/find-gdefs.scm 261 */
obj_t BgL_auxz00_3638;
BgL_auxz00_3638 = 
CAR(BgL_l2684z00_1679); 
BgL_auxz00_3637 = 
CDR(BgL_auxz00_3638); } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_auxz00_3637, BgL_newzd2stackzd2_1678); } 
{ 
obj_t BgL_l2684z00_3642;
BgL_l2684z00_3642 = 
CDR(BgL_l2684z00_1679); 
BgL_l2684z00_1679 = BgL_l2684z00_3642; 
goto BgL_lname2685z00_1680;} }  else 
{ /* Ast/find-gdefs.scm 261 */
BgL_auxz00_3611 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_3611);}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3647;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3650;obj_t BgL_auxz00_3648;
BgL_auxz00_3650 = 
CNST_TABLE_REF(((long)20)); 
BgL_auxz00_3648 = 
CAR(BgL_expz00_22); 
BgL_testz00_3647 = 
(BgL_auxz00_3648==BgL_auxz00_3650); } 
if(BgL_testz00_3647)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22623zd2_1548))
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3655;
BgL_bindingsz00_1460 = 
CAR(BgL_cdrzd22623zd2_1548); 
BgL_bodyz00_1461 = 
CDR(BgL_cdrzd22623zd2_1548); 
{ /* Ast/find-gdefs.scm 264 */
obj_t BgL_locz00_1702;
BgL_locz00_1702 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 264 */
obj_t BgL_newzd2stackzd2_1703;
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_arg2977z00_1712;
if(
NULLP(BgL_bindingsz00_1460))
{ /* Ast/find-gdefs.scm 265 */
BgL_arg2977z00_1712 = BNIL; }  else 
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_head2688z00_1715;
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_auxz00_3659;
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_auxz00_3660;
BgL_auxz00_3660 = 
CAR(BgL_bindingsz00_1460); 
BgL_auxz00_3659 = 
CAR(BgL_auxz00_3660); } 
BgL_head2688z00_1715 = 
MAKE_PAIR(BgL_auxz00_3659, BNIL); } 
{ 
obj_t BgL_l2686z00_1716;obj_t BgL_tail2689z00_1717;
BgL_l2686z00_1716 = 
CDR(BgL_bindingsz00_1460); 
BgL_tail2689z00_1717 = BgL_head2688z00_1715; 
BgL_lname2687z00_1718:
if(
NULLP(BgL_l2686z00_1716))
{ /* Ast/find-gdefs.scm 265 */
BgL_arg2977z00_1712 = BgL_head2688z00_1715; }  else 
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_newtail2690z00_1721;
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_auxz00_3666;
{ /* Ast/find-gdefs.scm 265 */
obj_t BgL_auxz00_3667;
BgL_auxz00_3667 = 
CAR(BgL_l2686z00_1716); 
BgL_auxz00_3666 = 
CAR(BgL_auxz00_3667); } 
BgL_newtail2690z00_1721 = 
MAKE_PAIR(BgL_auxz00_3666, BNIL); } 
SET_CDR(BgL_tail2689z00_1717, BgL_newtail2690z00_1721); 
{ 
obj_t BgL_tail2689z00_3674;obj_t BgL_l2686z00_3672;
BgL_l2686z00_3672 = 
CDR(BgL_l2686z00_1716); 
BgL_tail2689z00_3674 = BgL_newtail2690z00_1721; 
BgL_tail2689z00_1717 = BgL_tail2689z00_3674; 
BgL_l2686z00_1716 = BgL_l2686z00_3672; 
goto BgL_lname2687z00_1718;} } } } 
BgL_newzd2stackzd2_1703 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(BgL_arg2977z00_1712, BgL_stackz00_23, BgL_locz00_1702); } 
{ /* Ast/find-gdefs.scm 265 */

BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_bodyz00_1461, BgL_newzd2stackzd2_1703); 
{ 
obj_t BgL_l2691z00_1704;
BgL_l2691z00_1704 = BgL_bindingsz00_1460; 
BgL_lname2692z00_1705:
if(
PAIRP(BgL_l2691z00_1704))
{ /* Ast/find-gdefs.scm 267 */
{ /* Ast/find-gdefs.scm 268 */
obj_t BgL_bz00_1707;
BgL_bz00_1707 = 
CAR(BgL_l2691z00_1704); 
{ /* Ast/find-gdefs.scm 268 */
obj_t BgL_arg2973z00_1708;obj_t BgL_arg2974z00_1709;
{ /* Ast/find-gdefs.scm 268 */
obj_t BgL_auxz00_3681;
BgL_auxz00_3681 = 
CDR(BgL_bz00_1707); 
BgL_arg2973z00_1708 = 
CDR(BgL_auxz00_3681); } 
{ /* Ast/find-gdefs.scm 269 */
obj_t BgL_auxz00_3684;
{ /* Ast/find-gdefs.scm 269 */
obj_t BgL_auxz00_3685;
BgL_auxz00_3685 = 
CDR(BgL_bz00_1707); 
BgL_auxz00_3684 = 
CAR(BgL_auxz00_3685); } 
BgL_arg2974z00_1709 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(BgL_auxz00_3684, BgL_newzd2stackzd2_1703, BgL_locz00_1702); } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg2973z00_1708, BgL_arg2974z00_1709); } } 
{ 
obj_t BgL_l2691z00_3690;
BgL_l2691z00_3690 = 
CDR(BgL_l2691z00_1704); 
BgL_l2691z00_1704 = BgL_l2691z00_3690; 
goto BgL_lname2692z00_1705;} }  else 
{ /* Ast/find-gdefs.scm 267 */
BgL_auxz00_3655 = ((bool_t)1); } } } } } 
return 
BBOOL(BgL_auxz00_3655);}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd22789zd2_1558;
BgL_cdrzd22789zd2_1558 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3696;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3699;obj_t BgL_auxz00_3697;
BgL_auxz00_3699 = 
CNST_TABLE_REF(((long)14)); 
BgL_auxz00_3697 = 
CAR(BgL_expz00_22); 
BgL_testz00_3696 = 
(BgL_auxz00_3697==BgL_auxz00_3699); } 
if(BgL_testz00_3696)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22789zd2_1558))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2857z00_1561;obj_t BgL_arg2858z00_1562;
BgL_arg2857z00_1561 = 
CAR(BgL_cdrzd22789zd2_1558); 
BgL_arg2858z00_1562 = 
CDR(BgL_cdrzd22789zd2_1558); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2988z00_2417;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2989z00_2418;
BgL_arg2989z00_2418 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2988z00_2417 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(BgL_arg2857z00_1561, BgL_stackz00_23, BgL_arg2989z00_2418); } 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3708;
BgL_auxz00_3708 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg2858z00_1562, BgL_arg2988z00_2417); 
return 
BBOOL(BgL_auxz00_3708);} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3711;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3714;obj_t BgL_auxz00_3712;
BgL_auxz00_3714 = 
CNST_TABLE_REF(((long)21)); 
BgL_auxz00_3712 = 
CAR(BgL_expz00_22); 
BgL_testz00_3711 = 
(BgL_auxz00_3712==BgL_auxz00_3714); } 
if(BgL_testz00_3711)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22789zd2_1558))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2861z00_1566;obj_t BgL_arg2862z00_1567;
BgL_arg2861z00_1566 = 
CAR(BgL_cdrzd22789zd2_1558); 
BgL_arg2862z00_1567 = 
CDR(BgL_cdrzd22789zd2_1558); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2990z00_2426;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2991z00_2427;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2992z00_2428;
BgL_arg2992z00_2428 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2991z00_2427 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg2861z00_1566, BgL_arg2992z00_2428); } 
BgL_arg2990z00_2426 = 
MAKE_PAIR(BgL_arg2991z00_2427, BgL_stackz00_23); } 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3724;
BgL_auxz00_3724 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg2862z00_1567, BgL_arg2990z00_2426); 
return 
BBOOL(BgL_auxz00_3724);} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd22912zd2_1568;
BgL_cdrzd22912zd2_1568 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3728;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3731;obj_t BgL_auxz00_3729;
BgL_auxz00_3731 = 
CNST_TABLE_REF(((long)22)); 
BgL_auxz00_3729 = 
CAR(BgL_expz00_22); 
BgL_testz00_3728 = 
(BgL_auxz00_3729==BgL_auxz00_3731); } 
if(BgL_testz00_3728)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22912zd2_1568))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd22916zd2_1571;
BgL_cdrzd22916zd2_1571 = 
CDR(BgL_cdrzd22912zd2_1568); 
if(
PAIRP(BgL_cdrzd22916zd2_1571))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22916zd2_1571), BNIL))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2868z00_1575;
BgL_arg2868z00_1575 = 
CAR(BgL_cdrzd22916zd2_1571); 
BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2(
CAR(BgL_cdrzd22912zd2_1568), BgL_stackz00_23); 
{ 
obj_t BgL_expz00_3745;
BgL_expz00_3745 = BgL_arg2868z00_1575; 
BgL_expz00_22 = BgL_expz00_3745; 
goto BGl_findzd21zd2mutationsz12z12zzast_findzd2gdefszd2;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3746;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3749;obj_t BgL_auxz00_3747;
BgL_auxz00_3749 = 
CNST_TABLE_REF(((long)23)); 
BgL_auxz00_3747 = 
CAR(BgL_expz00_22); 
BgL_testz00_3746 = 
(BgL_auxz00_3747==BgL_auxz00_3749); } 
if(BgL_testz00_3746)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd22912zd2_1568))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd23024zd2_1581;
BgL_cdrzd23024zd2_1581 = 
CDR(BgL_cdrzd22912zd2_1568); 
if(
PAIRP(BgL_cdrzd23024zd2_1581))
{ /* Ast/find-gdefs.scm 201 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd23024zd2_1581), BNIL))
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3760;
BgL_valz00_1472 = 
CAR(BgL_cdrzd22912zd2_1568); 
BgL_clausesz00_1473 = 
CAR(BgL_cdrzd23024zd2_1581); 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_valz00_1472, BgL_stackz00_23); 
{ 
obj_t BgL_l2693z00_1734;
BgL_l2693z00_1734 = BgL_clausesz00_1473; 
BgL_lname2694z00_1735:
if(
PAIRP(BgL_l2693z00_1734))
{ /* Ast/find-gdefs.scm 280 */
{ /* Ast/find-gdefs.scm 280 */
obj_t BgL_auxz00_3764;
{ /* Ast/find-gdefs.scm 280 */
obj_t BgL_auxz00_3765;
BgL_auxz00_3765 = 
CAR(BgL_l2693z00_1734); 
BgL_auxz00_3764 = 
CDR(BgL_auxz00_3765); } 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_auxz00_3764, BgL_stackz00_23); } 
{ 
obj_t BgL_l2693z00_3769;
BgL_l2693z00_3769 = 
CDR(BgL_l2693z00_1734); 
BgL_l2693z00_1734 = BgL_l2693z00_3769; 
goto BgL_lname2694z00_1735;} }  else 
{ /* Ast/find-gdefs.scm 280 */
BgL_auxz00_3760 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3760);}  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3774;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3777;obj_t BgL_auxz00_3775;
BgL_auxz00_3777 = 
CNST_TABLE_REF(((long)24)); 
BgL_auxz00_3775 = 
CAR(BgL_expz00_22); 
BgL_testz00_3774 = 
(BgL_auxz00_3775==BgL_auxz00_3777); } 
if(BgL_testz00_3774)
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3780;
BgL_auxz00_3780 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(
CDR(BgL_expz00_22), BgL_stackz00_23); 
return 
BBOOL(BgL_auxz00_3780);}  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd23112zd2_1590;
BgL_cdrzd23112zd2_1590 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3785;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3788;obj_t BgL_auxz00_3786;
BgL_auxz00_3788 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3786 = 
CAR(BgL_expz00_22); 
BgL_testz00_3785 = 
(BgL_auxz00_3786==BgL_auxz00_3788); } 
if(BgL_testz00_3785)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd23112zd2_1590))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2884z00_1594;
BgL_arg2884z00_1594 = 
CDR(BgL_cdrzd23112zd2_1590); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2996z00_2457;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3794;
BgL_auxz00_3794 = 
CAR(BgL_cdrzd23112zd2_1590); 
BgL_arg2996z00_2457 = 
MAKE_PAIR(BgL_auxz00_3794, BgL_stackz00_23); } 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3797;
BgL_auxz00_3797 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg2884z00_1594, BgL_arg2996z00_2457); 
return 
BBOOL(BgL_auxz00_3797);} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3800;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3803;obj_t BgL_auxz00_3801;
BgL_auxz00_3803 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3801 = 
CAR(BgL_expz00_22); 
BgL_testz00_3800 = 
(BgL_auxz00_3801==BgL_auxz00_3803); } 
if(BgL_testz00_3800)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd23112zd2_1590))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2887z00_1598;obj_t BgL_arg2888z00_1599;
BgL_arg2887z00_1598 = 
CAR(BgL_cdrzd23112zd2_1590); 
BgL_arg2888z00_1599 = 
CDR(BgL_cdrzd23112zd2_1590); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_list2997z00_2465;
BgL_list2997z00_2465 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2887z00_1598, BGl_string3095z00zzast_findzd2gdefszd2, BgL_arg2888z00_1599, BgL_list2997z00_2465);} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_cdrzd23161zd2_1600;
BgL_cdrzd23161zd2_1600 = 
CDR(BgL_expz00_22); 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3813;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3816;obj_t BgL_auxz00_3814;
BgL_auxz00_3816 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3814 = 
CAR(BgL_expz00_22); 
BgL_testz00_3813 = 
(BgL_auxz00_3814==BgL_auxz00_3816); } 
if(BgL_testz00_3813)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd23161zd2_1600))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2891z00_1603;obj_t BgL_arg2892z00_1604;
BgL_arg2891z00_1603 = 
CAR(BgL_cdrzd23161zd2_1600); 
BgL_arg2892z00_1604 = 
CDR(BgL_cdrzd23161zd2_1600); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_list2998z00_2473;
BgL_list2998z00_2473 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2891z00_1603, BGl_string3096z00zzast_findzd2gdefszd2, BgL_arg2892z00_1604, BgL_list2998z00_2473);} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_testz00_3825;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_auxz00_3828;obj_t BgL_auxz00_3826;
BgL_auxz00_3828 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3826 = 
CAR(BgL_expz00_22); 
BgL_testz00_3825 = 
(BgL_auxz00_3826==BgL_auxz00_3828); } 
if(BgL_testz00_3825)
{ /* Ast/find-gdefs.scm 201 */
if(
PAIRP(BgL_cdrzd23161zd2_1600))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_carzd23180zd2_1608;
BgL_carzd23180zd2_1608 = 
CAR(BgL_cdrzd23161zd2_1600); 
if(
PAIRP(BgL_carzd23180zd2_1608))
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2896z00_1610;obj_t BgL_arg2897z00_1611;
BgL_arg2896z00_1610 = 
CDR(BgL_carzd23180zd2_1608); 
BgL_arg2897z00_1611 = 
CDR(BgL_cdrzd23161zd2_1600); 
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg2999z00_2483;
{ /* Ast/find-gdefs.scm 201 */
obj_t BgL_arg3000z00_2484;
BgL_arg3000z00_2484 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_22); 
BgL_arg2999z00_2483 = 
BGl_pushzd2argszd2zzast_findzd2gdefszd2(BgL_arg2896z00_1610, BgL_stackz00_23, BgL_arg3000z00_2484); } 
{ /* Ast/find-gdefs.scm 201 */
bool_t BgL_auxz00_3840;
BgL_auxz00_3840 = 
BGl_findzd2mutationsz12zc0zzast_findzd2gdefszd2(BgL_arg2897z00_1611, BgL_arg2999z00_2483); 
return 
BBOOL(BgL_auxz00_3840);} } }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} }  else 
{ /* Ast/find-gdefs.scm 201 */
goto BgL_tagzd2373zd2_1489;} } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Ast/find-gdefs.scm 201 */
return 
CNST_TABLE_REF(((long)8));} } } 
}



/* push-args */
obj_t BGl_pushzd2argszd2zzast_findzd2gdefszd2(obj_t BgL_exprz00_24, obj_t BgL_listz00_25, obj_t BgL_locz00_26)
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 323 */
{ 
obj_t BgL_exprz00_1767;obj_t BgL_listz00_1768;bool_t BgL_dssslz00_1769;
BgL_exprz00_1767 = BgL_exprz00_24; 
BgL_listz00_1768 = BgL_listz00_25; 
BgL_dssslz00_1769 = ((bool_t)0); 
BgL_loopz00_1770:
if(
NULLP(BgL_exprz00_1767))
{ /* Ast/find-gdefs.scm 328 */
return BgL_listz00_1768;}  else 
{ /* Ast/find-gdefs.scm 328 */
if(
PAIRP(BgL_exprz00_1767))
{ /* Ast/find-gdefs.scm 340 */
bool_t BgL_testz00_3848;
{ /* Ast/find-gdefs.scm 340 */
obj_t BgL_auxz00_3849;
BgL_auxz00_3849 = 
CAR(BgL_exprz00_1767); 
BgL_testz00_3848 = 
SYMBOLP(BgL_auxz00_3849); } 
if(BgL_testz00_3848)
{ /* Ast/find-gdefs.scm 340 */
{ /* Ast/find-gdefs.scm 358 */
obj_t BgL_arg3014z00_1774;obj_t BgL_arg3015z00_1775;
BgL_arg3014z00_1774 = 
CDR(BgL_exprz00_1767); 
{ /* Ast/find-gdefs.scm 359 */
obj_t BgL_arg3016z00_1776;
BgL_arg3016z00_1776 = 
BGl_idzd2ofzd2idz00zzast_identz00(
CAR(BgL_exprz00_1767), BgL_locz00_26); 
BgL_arg3015z00_1775 = 
MAKE_PAIR(BgL_arg3016z00_1776, BgL_listz00_1768); } 
{ 
obj_t BgL_listz00_3857;obj_t BgL_exprz00_3856;
BgL_exprz00_3856 = BgL_arg3014z00_1774; 
BgL_listz00_3857 = BgL_arg3015z00_1775; 
BgL_listz00_1768 = BgL_listz00_3857; 
BgL_exprz00_1767 = BgL_exprz00_3856; 
goto BgL_loopz00_1770;} } }  else 
{ /* Ast/find-gdefs.scm 340 */
{ /* Ast/find-gdefs.scm 342 */
bool_t BgL_test3018z00_1778;
{ /* Ast/find-gdefs.scm 342 */
obj_t BgL_auxz00_3858;
BgL_auxz00_3858 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(
CAR(BgL_exprz00_1767)); 
BgL_test3018z00_1778 = 
CBOOL(BgL_auxz00_3858); } 
if(BgL_test3018z00_1778)
{ /* Ast/find-gdefs.scm 342 */
{ 
bool_t BgL_dssslz00_3865;obj_t BgL_exprz00_3863;
BgL_exprz00_3863 = 
CDR(BgL_exprz00_1767); 
BgL_dssslz00_3865 = ((bool_t)1); 
BgL_dssslz00_1769 = BgL_dssslz00_3865; 
BgL_exprz00_1767 = BgL_exprz00_3863; 
goto BgL_loopz00_1770;} }  else 
{ /* Ast/find-gdefs.scm 342 */
if(BgL_dssslz00_1769)
{ /* Ast/find-gdefs.scm 348 */
bool_t BgL_test3020z00_1780;
{ /* Ast/find-gdefs.scm 348 */
obj_t BgL_auxz00_3867;
BgL_auxz00_3867 = 
BGl_dssslzd2defaultedzd2formalzf3zf3zztools_dssslz00(
CAR(BgL_exprz00_1767)); 
BgL_test3020z00_1780 = 
CBOOL(BgL_auxz00_3867); } 
if(BgL_test3020z00_1780)
{ /* Ast/find-gdefs.scm 348 */
{ /* Ast/find-gdefs.scm 349 */
obj_t BgL_arg3021z00_1781;obj_t BgL_arg3022z00_1782;
BgL_arg3021z00_1781 = 
CDR(BgL_exprz00_1767); 
{ /* Ast/find-gdefs.scm 350 */
obj_t BgL_arg3023z00_1783;
{ /* Ast/find-gdefs.scm 350 */
obj_t BgL_arg3024z00_1784;
BgL_arg3024z00_1784 = 
BGl_dssslzd2defaultzd2formalz00zztools_dssslz00(
CAR(BgL_exprz00_1767)); 
BgL_arg3023z00_1783 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg3024z00_1784, BgL_locz00_26); } 
BgL_arg3022z00_1782 = 
MAKE_PAIR(BgL_arg3023z00_1783, BgL_listz00_1768); } 
{ 
bool_t BgL_dssslz00_3879;obj_t BgL_listz00_3878;obj_t BgL_exprz00_3877;
BgL_exprz00_3877 = BgL_arg3021z00_1781; 
BgL_listz00_3878 = BgL_arg3022z00_1782; 
BgL_dssslz00_3879 = ((bool_t)1); 
BgL_dssslz00_1769 = BgL_dssslz00_3879; 
BgL_listz00_1768 = BgL_listz00_3878; 
BgL_exprz00_1767 = BgL_exprz00_3877; 
goto BgL_loopz00_1770;} } }  else 
{ /* Ast/find-gdefs.scm 348 */
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_exprz00_1767, BGl_string3097z00zzast_findzd2gdefszd2, BGl_string3098z00zzast_findzd2gdefszd2, BNIL);} }  else 
{ /* Ast/find-gdefs.scm 344 */
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_exprz00_1767, BGl_string3097z00zzast_findzd2gdefszd2, BGl_string3099z00zzast_findzd2gdefszd2, BNIL);} } } } }  else 
{ /* Ast/find-gdefs.scm 330 */
if(BgL_dssslz00_1769)
{ /* Ast/find-gdefs.scm 332 */
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_exprz00_1767, BGl_string3100z00zzast_findzd2gdefszd2, BGl_string3101z00zzast_findzd2gdefszd2, BNIL);}  else 
{ /* Ast/find-gdefs.scm 332 */
if(
SYMBOLP(BgL_exprz00_1767))
{ /* Ast/find-gdefs.scm 336 */
{ /* Ast/find-gdefs.scm 339 */
obj_t BgL_arg3033z00_1793;
BgL_arg3033z00_1793 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_exprz00_1767, BgL_locz00_26); 
return 
MAKE_PAIR(BgL_arg3033z00_1793, BgL_listz00_1768);} }  else 
{ /* Ast/find-gdefs.scm 336 */
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_exprz00_1767, BGl_string3097z00zzast_findzd2gdefszd2, BGl_string3099z00zzast_findzd2gdefszd2, BNIL);} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 23 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_findzd2gdefszd2()
{ AN_OBJECT;
{ /* Ast/find-gdefs.scm 23 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_find-gdefs"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_find-gdefs"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_find-gdefs");} 
}

