/*===========================================================================*/
/*   (Ast/glo-decl.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_glozd2declzd2();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
static obj_t BGl__declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2();
extern BgL_typez00_bglt BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2();
static obj_t BGl__declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_cvarz00zzast_varz00;
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 = BUNSPEC;
static obj_t BGl__declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, bool_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
static obj_t __cnst[ 9 ] ;

DEFINE_STRING( BGl_string2805z00zzast_glozd2declzd2, BgL_bgl_string2805za700za7za7ast_gloza7d2declza7d22810za7, "foreign a-cnst write read (export import) bigloo sgfun export static ", 69 );
DEFINE_STRING( BGl_string2804z00zzast_glozd2declzd2, BgL_bgl_string2804za700za7za7ast_gloza7d2declza7d22811za7, "Illegal type for global variable", 32 );
DEFINE_STRING( BGl_string2803z00zzast_glozd2declzd2, BgL_bgl_string2803za700za7za7ast_gloza7d2declza7d22812za7, "Global variable redefinition", 28 );
DEFINE_STRING( BGl_string2802z00zzast_glozd2declzd2, BgL_bgl_string2802za700za7za7ast_gloza7d2declza7d22813za7, "declare-global-sfun", 19 );
DEFINE_STRING( BGl_string2801z00zzast_glozd2declzd2, BgL_bgl_string2801za700za7za7ast_gloza7d2declza7d22814za7, "Illegal nary argument type", 26 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2globalzd2sfunz12zd2envzc0zzast_glozd2declzd2, BgL_bgl__declareza7d2globalza7d2sfunza712za712za7za7ast_gloza7d2declza7d22815z00, BGl__declarezd2globalzd2sfunz12z12zzast_glozd2declzd2, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2globalzd2cfunz12zd2envzc0zzast_glozd2declzd2, BgL_bgl__declareza7d2globalza7d2cfunza712za712za7za7ast_gloza7d2declza7d22816z00, BGl__declarezd2globalzd2cfunz12z12zzast_glozd2declzd2, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2globalzd2svarz12zd2envzc0zzast_glozd2declzd2, BgL_bgl__declareza7d2globalza7d2svarza712za712za7za7ast_gloza7d2declza7d22817z00, BGl__declarezd2globalzd2svarz12z12zzast_glozd2declzd2, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2globalzd2cvarz12zd2envzc0zzast_glozd2declzd2, BgL_bgl__declareza7d2globalza7d2cvarza712za712za7za7ast_gloza7d2declza7d22818z00, BGl__declarezd2globalzd2cvarz12z12zzast_glozd2declzd2, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2globalzd2scnstz12zd2envzc0zzast_glozd2declzd2, BgL_bgl__declareza7d2globalza7d2scnstza712za712za7za7ast_gloza7d2declza7d22819z00, BGl__declarezd2globalzd2scnstz12z12zzast_glozd2declzd2, 0L, 6 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long BgL_checksumz00_2569, char * BgL_fromz00_2570)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2declzd2))
{ 
BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2(); 
BGl_cnstzd2initzd2zzast_glozd2declzd2(); 
BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2()
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 17 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_glo-decl"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2()
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 17 */
{ /* Ast/glo-decl.scm 17 */
obj_t BgL_cportz00_2562;
BgL_cportz00_2562 = 
open_input_string(BGl_string2805z00zzast_glozd2declzd2); 
{ 
long BgL_iz00_2563;
BgL_iz00_2563 = ((long)8); 
BgL_loopz00_2564:
if(
(BgL_iz00_2563==((long)-1)))
{ /* Ast/glo-decl.scm 17 */
return BUNSPEC;}  else 
{ /* Ast/glo-decl.scm 17 */
{ /* Ast/glo-decl.scm 17 */
obj_t BgL_arg2807z00_2566;
{ /* Ast/glo-decl.scm 17 */
obj_t BgL_list2808z00_2567;
BgL_list2808z00_2567 = 
MAKE_PAIR(BgL_cportz00_2562, BNIL); 
BgL_arg2807z00_2566 = 
BGl_readz00zz__readerz00(BgL_list2808z00_2567); } 
{ /* Ast/glo-decl.scm 17 */
int BgL_auxz00_2586;
BgL_auxz00_2586 = 
(int)(BgL_iz00_2563); 
CNST_TABLE_SET(BgL_auxz00_2586, BgL_arg2807z00_2566); } } 
{ 
long BgL_iz00_2589;
{ /* Ast/glo-decl.scm 17 */
int BgL_auxz00_2590;
{ /* Ast/glo-decl.scm 17 */
long BgL_auxz00_2591;
BgL_auxz00_2591 = 
(BgL_iz00_2563-((long)1)); 
BgL_auxz00_2590 = 
(int)(BgL_auxz00_2591); } 
BgL_iz00_2589 = 
(long)(BgL_auxz00_2590); } 
BgL_iz00_2563 = BgL_iz00_2589; 
goto BgL_loopz00_2564;} } } } } 
}



/* declare-global-sfun! */
BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_1, obj_t BgL_argsz00_2, obj_t BgL_modulez00_3, obj_t BgL_importz00_4, obj_t BgL_classz00_5, obj_t BgL_srczd2expzd2_6, obj_t BgL_srczd2importzd2_7)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 73 */
{ /* Ast/glo-decl.scm 76 */
int BgL_arityz00_1252;
BgL_arityz00_1252 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_2); 
{ /* Ast/glo-decl.scm 76 */
obj_t BgL_argsz00_1253;
BgL_argsz00_1253 = 
BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_2); 
{ /* Ast/glo-decl.scm 77 */
bool_t BgL_exportzf3zf3_1254;
{ /* Ast/glo-decl.scm 78 */
bool_t BgL__ortest_2654z00_1309;
{ /* Ast/glo-decl.scm 78 */
bool_t BgL_testz00_2597;
{ /* Ast/glo-decl.scm 78 */
obj_t BgL_auxz00_2598;
BgL_auxz00_2598 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_2597 = 
(BgL_importz00_4==BgL_auxz00_2598); } 
if(BgL_testz00_2597)
{ /* Ast/glo-decl.scm 78 */
BgL__ortest_2654z00_1309 = ((bool_t)0); }  else 
{ /* Ast/glo-decl.scm 78 */
BgL__ortest_2654z00_1309 = ((bool_t)1); } } 
if(BgL__ortest_2654z00_1309)
{ /* Ast/glo-decl.scm 78 */
BgL_exportzf3zf3_1254 = BgL__ortest_2654z00_1309; }  else 
{ /* Ast/glo-decl.scm 79 */
long BgL_n1z00_1759;
BgL_n1z00_1759 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_exportzf3zf3_1254 = 
(BgL_n1z00_1759>=((long)3)); } } 
{ /* Ast/glo-decl.scm 78 */
obj_t BgL_importz00_1255;
{ /* Ast/glo-decl.scm 80 */
bool_t BgL_test2700z00_1307;
{ /* Ast/glo-decl.scm 80 */
bool_t BgL_testz00_2604;
{ /* Ast/glo-decl.scm 80 */
obj_t BgL_auxz00_2605;
BgL_auxz00_2605 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_2604 = 
(BgL_importz00_4==BgL_auxz00_2605); } 
if(BgL_testz00_2604)
{ /* Ast/glo-decl.scm 81 */
long BgL_n1z00_1761;
BgL_n1z00_1761 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2700z00_1307 = 
(BgL_n1z00_1761>=((long)3)); }  else 
{ /* Ast/glo-decl.scm 80 */
BgL_test2700z00_1307 = ((bool_t)0); } } 
if(BgL_test2700z00_1307)
{ /* Ast/glo-decl.scm 80 */
BgL_importz00_1255 = 
CNST_TABLE_REF(((long)1)); }  else 
{ /* Ast/glo-decl.scm 80 */
BgL_importz00_1255 = BgL_importz00_4; } } 
{ /* Ast/glo-decl.scm 80 */
obj_t BgL_locz00_1256;
BgL_locz00_1256 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_6); 
{ /* Ast/glo-decl.scm 84 */
obj_t BgL_lociz00_1257;
BgL_lociz00_1257 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2importzd2_7, BgL_locz00_1256); 
{ /* Ast/glo-decl.scm 85 */
obj_t BgL_keywordsz00_1258;
BgL_keywordsz00_1258 = BNIL; 
{ /* Ast/glo-decl.scm 86 */
obj_t BgL_argszd2typezd2_1259;
{ 
obj_t BgL_argsz00_1280;obj_t BgL_resz00_1281;bool_t BgL_sgfunzf3zf3_1282;
BgL_argsz00_1280 = BgL_argsz00_1253; 
BgL_resz00_1281 = BNIL; 
{ /* Ast/glo-decl.scm 89 */
obj_t BgL_auxz00_2655;
BgL_auxz00_2655 = 
CNST_TABLE_REF(((long)2)); 
BgL_sgfunzf3zf3_1282 = 
(BgL_classz00_5==BgL_auxz00_2655); } 
BgL_loopz00_1283:
if(
NULLP(BgL_argsz00_1280))
{ /* Ast/glo-decl.scm 91 */
{ /* Ast/glo-decl.scm 92 */
bool_t BgL_testz00_2616;
{ /* Ast/glo-decl.scm 92 */
long BgL_auxz00_2617;
BgL_auxz00_2617 = 
(long)(BgL_arityz00_1252); 
BgL_testz00_2616 = 
(BgL_auxz00_2617>=((long)0)); } 
if(BgL_testz00_2616)
{ /* Ast/glo-decl.scm 92 */
BgL_argszd2typezd2_1259 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1281); }  else 
{ /* Ast/glo-decl.scm 94 */
obj_t BgL_typez00_1288;
BgL_typez00_1288 = 
CAR(BgL_resz00_1281); 
{ /* Ast/glo-decl.scm 96 */
bool_t BgL_test2685z00_1289;
BgL_test2685z00_1289 = 
(BgL_typez00_1288==BGl_za2objza2z00zztype_cachez00); 
if(BgL_test2685z00_1289)
{ /* Ast/glo-decl.scm 96 */
BgL_argszd2typezd2_1259 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1281); }  else 
{ /* Ast/glo-decl.scm 98 */
bool_t BgL_test2686z00_1290;
BgL_test2686z00_1290 = 
(BgL_typez00_1288==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test2686z00_1290)
{ /* Ast/glo-decl.scm 98 */
{ /* Ast/glo-decl.scm 99 */
obj_t BgL_arg2687z00_1291;
{ /* Ast/glo-decl.scm 99 */
obj_t BgL_auxz00_2627;
BgL_auxz00_2627 = 
CDR(BgL_resz00_1281); 
BgL_arg2687z00_1291 = 
MAKE_PAIR(BGl_za2objza2z00zztype_cachez00, BgL_auxz00_2627); } 
BgL_argszd2typezd2_1259 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg2687z00_1291); } }  else 
{ /* Ast/glo-decl.scm 98 */
{ /* Ast/glo-decl.scm 101 */
obj_t BgL_arg2690z00_1294;
BgL_arg2690z00_1294 = 
BGl_shapez00zztools_shapez00(BgL_typez00_1288); 
BgL_argszd2typezd2_1259 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1, BGl_string2801z00zzast_glozd2declzd2, BgL_arg2690z00_1294, BNIL); } } } } } } }  else 
{ /* Ast/glo-decl.scm 104 */
bool_t BgL_test2692z00_1296;
{ /* Ast/glo-decl.scm 104 */
obj_t BgL_auxz00_2633;
BgL_auxz00_2633 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(
CAR(BgL_argsz00_1280)); 
BgL_test2692z00_1296 = 
CBOOL(BgL_auxz00_2633); } 
if(BgL_test2692z00_1296)
{ /* Ast/glo-decl.scm 104 */
BgL_keywordsz00_1258 = 
BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(BgL_argsz00_1280); 
{ /* Ast/glo-decl.scm 106 */
obj_t BgL_arg2693z00_1297;
BgL_arg2693z00_1297 = 
MAKE_PAIR(BGl_za2objza2z00zztype_cachez00, BgL_resz00_1281); 
BgL_argszd2typezd2_1259 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg2693z00_1297); } }  else 
{ /* Ast/glo-decl.scm 104 */
{ /* Ast/glo-decl.scm 108 */
obj_t BgL_typez00_1298;
{ /* Ast/glo-decl.scm 108 */
BgL_typez00_bglt BgL_tz00_1301;
BgL_tz00_1301 = 
BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(
CAR(BgL_argsz00_1280), BgL_locz00_1256, BgL_lociz00_1257); 
{ /* Ast/glo-decl.scm 110 */
bool_t BgL_test2696z00_1302;
{ /* Ast/glo-decl.scm 110 */
bool_t BgL_test2697z00_1303;
{ /* Ast/glo-decl.scm 110 */
obj_t BgL_auxz00_2643;
BgL_auxz00_2643 = 
(obj_t)(BgL_tz00_1301); 
BgL_test2697z00_1303 = 
(BgL_auxz00_2643==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2697z00_1303)
{ /* Ast/glo-decl.scm 110 */
if(BgL_exportzf3zf3_1254)
{ /* Ast/glo-decl.scm 111 */
BgL_test2696z00_1302 = BgL_exportzf3zf3_1254; }  else 
{ /* Ast/glo-decl.scm 111 */
BgL_test2696z00_1302 = BgL_sgfunzf3zf3_1282; } }  else 
{ /* Ast/glo-decl.scm 110 */
BgL_test2696z00_1302 = ((bool_t)0); } } 
if(BgL_test2696z00_1302)
{ /* Ast/glo-decl.scm 110 */
BgL_typez00_1298 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Ast/glo-decl.scm 110 */
BgL_typez00_1298 = 
(obj_t)(BgL_tz00_1301); } } } 
{ /* Ast/glo-decl.scm 114 */
obj_t BgL_arg2694z00_1299;obj_t BgL_arg2695z00_1300;
BgL_arg2694z00_1299 = 
CDR(BgL_argsz00_1280); 
BgL_arg2695z00_1300 = 
MAKE_PAIR(BgL_typez00_1298, BgL_resz00_1281); 
{ 
bool_t BgL_sgfunzf3zf3_2654;obj_t BgL_resz00_2653;obj_t BgL_argsz00_2652;
BgL_argsz00_2652 = BgL_arg2694z00_1299; 
BgL_resz00_2653 = BgL_arg2695z00_1300; 
BgL_sgfunzf3zf3_2654 = ((bool_t)0); 
BgL_sgfunzf3zf3_1282 = BgL_sgfunzf3zf3_2654; 
BgL_resz00_1281 = BgL_resz00_2653; 
BgL_argsz00_1280 = BgL_argsz00_2652; 
goto BgL_loopz00_1283;} } } } } } 
{ /* Ast/glo-decl.scm 87 */
obj_t BgL_idze2typeze2_1260;
BgL_idze2typeze2_1260 = 
BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_1, BgL_locz00_1256, BgL_lociz00_1257); 
{ /* Ast/glo-decl.scm 117 */
obj_t BgL_typezd2reszd2_1261;
BgL_typezd2reszd2_1261 = 
CDR(BgL_idze2typeze2_1260); 
{ /* Ast/glo-decl.scm 118 */
obj_t BgL_idz00_1262;
BgL_idz00_1262 = 
CAR(BgL_idze2typeze2_1260); 
{ /* Ast/glo-decl.scm 119 */
BgL_sfunz00_bglt BgL_sfunz00_1263;
{ /* Ast/glo-decl.scm 120 */
obj_t BgL_arg2678z00_1277;obj_t BgL_arg2679z00_1278;obj_t BgL_arg2680z00_1279;
BgL_arg2678z00_1277 = BgL_argszd2typezd2_1259; 
BgL_arg2679z00_1278 = BgL_classz00_5; 
BgL_arg2680z00_1279 = BgL_keywordsz00_1258; 
{ /* Ast/glo-decl.scm 120 */
BgL_sfunz00_bglt BgL_res2778z00_1818;
{ /* Ast/glo-decl.scm 120 */
long BgL_arity1411z00_1773;
{ /* Ast/glo-decl.scm 120 */
int BgL_auxz00_2661;
BgL_auxz00_2661 = BgL_arityz00_1252; 
BgL_arity1411z00_1773 = 
(long)(BgL_auxz00_2661); } 
{ /* Ast/glo-decl.scm 120 */
BgL_sfunz00_bglt BgL_new1423z00_1785;
{ /* Ast/glo-decl.scm 120 */
BgL_sfunz00_bglt BgL_res2776z00_1791;
{ /* Ast/glo-decl.scm 120 */
BgL_sfunz00_bglt BgL_new1425z00_1786;
BgL_new1425z00_1786 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Ast/glo-decl.scm 120 */
long BgL_arg2768z00_1787;
BgL_arg2768z00_1787 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Ast/glo-decl.scm 120 */
BgL_objectz00_bglt BgL_auxz00_2665;
BgL_auxz00_2665 = 
(BgL_objectz00_bglt)(BgL_new1425z00_1786); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2665, BgL_arg2768z00_1787); } } 
{ /* Ast/glo-decl.scm 120 */
BgL_objectz00_bglt BgL_auxz00_2668;
BgL_auxz00_2668 = 
(BgL_objectz00_bglt)(BgL_new1425z00_1786); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2668, BFALSE); } 
{ /* Ast/glo-decl.scm 120 */
obj_t BgL_auxz00_2671;
BgL_auxz00_2671 = 
(obj_t)(BgL_new1425z00_1786); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2671); } BUNSPEC; 
BgL_res2776z00_1791 = BgL_new1425z00_1786; } 
BgL_new1423z00_1785 = BgL_res2776z00_1791; } 
{ /* Ast/glo-decl.scm 120 */
BgL_sfunz00_bglt BgL_res2777z00_1817;
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_arityz00) = ((long)BgL_arity1411z00_1773), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_predicatezd2ofzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_stackzd2allocatorzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_topzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_thezd2closurezd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_propertyz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_argsz00) = ((obj_t)BgL_arg2678z00_1277), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_bodyz00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_classz00) = ((obj_t)BgL_arg2679z00_1278), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg2680z00_1279), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1785))->BgL_locz00) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2777z00_1817 = BgL_new1423z00_1785; BgL_res2777z00_1817; } 
BgL_res2778z00_1818 = BgL_new1423z00_1785; } } 
BgL_sfunz00_1263 = BgL_res2778z00_1818; } } 
{ /* Ast/glo-decl.scm 120 */
obj_t BgL_oldz00_1264;
BgL_oldz00_1264 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1262, BNIL); 
{ /* Ast/glo-decl.scm 124 */
BgL_globalz00_bglt BgL_globalz00_1265;
BgL_globalz00_1265 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1262, BgL_modulez00_3, 
(BgL_valuez00_bglt)(BgL_sfunz00_1263), BgL_importz00_1255, BgL_srczd2expzd2_6); 
{ /* Ast/glo-decl.scm 125 */

{ /* Ast/glo-decl.scm 129 */
bool_t BgL_test2667z00_1266;
{ /* Ast/glo-decl.scm 129 */
bool_t BgL_test2668z00_1267;
BgL_test2668z00_1267 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1264, BGl_globalz00zzast_varz00); 
if(BgL_test2668z00_1267)
{ /* Ast/glo-decl.scm 130 */
bool_t BgL_testz00_2691;
{ /* Ast/glo-decl.scm 130 */
obj_t BgL_auxz00_2692;
{ /* Ast/glo-decl.scm 130 */
BgL_globalz00_bglt BgL_obj1170z00_1820;
BgL_obj1170z00_1820 = 
(BgL_globalz00_bglt)(BgL_oldz00_1264); 
BgL_auxz00_2692 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1820))->BgL_modulez00); } 
BgL_testz00_2691 = 
(BgL_auxz00_2692==BgL_modulez00_3); } 
if(BgL_testz00_2691)
{ /* Ast/glo-decl.scm 130 */
BgL_test2667z00_1266 = ((bool_t)0); }  else 
{ /* Ast/glo-decl.scm 130 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Ast/glo-decl.scm 131 */
BgL_test2667z00_1266 = ((bool_t)0); }  else 
{ /* Ast/glo-decl.scm 132 */
bool_t BgL_testz00_2698;
{ /* Ast/glo-decl.scm 132 */
BgL_globalz00_bglt BgL_obj1182z00_1821;
BgL_obj1182z00_1821 = 
(BgL_globalz00_bglt)(BgL_oldz00_1264); 
BgL_testz00_2698 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1182z00_1821))->BgL_userzf3zf3); } 
if(BgL_testz00_2698)
{ /* Ast/glo-decl.scm 133 */
bool_t BgL_test2671z00_1270;
{ /* Ast/glo-decl.scm 133 */
obj_t BgL_arg2672z00_1271;
BgL_arg2672z00_1271 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_modulez00_3); 
BgL_test2671z00_1270 = 
(BgL_idz00_1262==BgL_arg2672z00_1271); } 
if(BgL_test2671z00_1270)
{ /* Ast/glo-decl.scm 133 */
BgL_test2667z00_1266 = ((bool_t)0); }  else 
{ /* Ast/glo-decl.scm 133 */
BgL_test2667z00_1266 = 
CBOOL(BGl_za2warningza2z00zz__errorz00); } }  else 
{ /* Ast/glo-decl.scm 132 */
BgL_test2667z00_1266 = ((bool_t)0); } } } }  else 
{ /* Ast/glo-decl.scm 129 */
BgL_test2667z00_1266 = ((bool_t)0); } } 
if(BgL_test2667z00_1266)
{ /* Ast/glo-decl.scm 129 */
BGl_userzd2warningzd2zztools_errorz00(BGl_string2802z00zzast_glozd2declzd2, BGl_string2803z00zzast_glozd2declzd2, BgL_idz00_1262); }  else 
{ /* Ast/glo-decl.scm 129 */BFALSE; } } 
{ /* Ast/glo-decl.scm 142 */
bool_t BgL_test2674z00_1273;
BgL_test2674z00_1273 = 
(BgL_typezd2reszd2_1261==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test2674z00_1273)
{ /* Ast/glo-decl.scm 142 */
if(BgL_exportzf3zf3_1254)
{ /* Ast/glo-decl.scm 144 */
{ /* Ast/glo-decl.scm 145 */
BgL_typez00_bglt BgL_val1153z00_1823;
BgL_val1153z00_1823 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1265))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1153z00_1823), BUNSPEC); } }  else 
{ /* Ast/glo-decl.scm 144 */
{ /* Ast/glo-decl.scm 147 */
BgL_typez00_bglt BgL_val1153z00_1825;
BgL_val1153z00_1825 = 
(BgL_typez00_bglt)(BgL_typezd2reszd2_1261); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1265))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1153z00_1825), BUNSPEC); } } }  else 
{ /* Ast/glo-decl.scm 142 */
{ /* Ast/glo-decl.scm 143 */
BgL_typez00_bglt BgL_val1153z00_1827;
BgL_val1153z00_1827 = 
(BgL_typez00_bglt)(BgL_typezd2reszd2_1261); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1265))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1153z00_1827), BUNSPEC); } } } 
return BgL_globalz00_1265;} } } } } } } } } } } } } } } } 
}



/* _declare-global-sfun! */
obj_t BGl__declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t BgL_envz00_2525, obj_t BgL_idz00_2526, obj_t BgL_argsz00_2527, obj_t BgL_modulez00_2528, obj_t BgL_importz00_2529, obj_t BgL_classz00_2530, obj_t BgL_srczd2expzd2_2531, obj_t BgL_srczd2importzd2_2532)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 73 */
{ /* Ast/glo-decl.scm 73 */
BgL_globalz00_bglt BgL_auxz00_2716;
BgL_auxz00_2716 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_idz00_2526, BgL_argsz00_2527, BgL_modulez00_2528, BgL_importz00_2529, BgL_classz00_2530, BgL_srczd2expzd2_2531, BgL_srczd2importzd2_2532); 
return 
(obj_t)(BgL_auxz00_2716);} } 
}



/* declare-global-svar! */
BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_8, obj_t BgL_modulez00_9, obj_t BgL_importz00_10, obj_t BgL_srczd2expzd2_11, obj_t BgL_srczd2importzd2_12)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 154 */
{ /* Ast/glo-decl.scm 155 */
obj_t BgL_locz00_1311;
BgL_locz00_1311 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_11); 
{ /* Ast/glo-decl.scm 155 */
obj_t BgL_lociz00_1312;
BgL_lociz00_1312 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2importzd2_12, BgL_locz00_1311); 
{ /* Ast/glo-decl.scm 156 */
obj_t BgL_idze2typeze2_1313;
BgL_idze2typeze2_1313 = 
BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_8, BgL_locz00_1311, BgL_lociz00_1312); 
{ /* Ast/glo-decl.scm 157 */
obj_t BgL_typez00_1314;
{ /* Ast/glo-decl.scm 158 */
obj_t BgL_typez00_1323;
BgL_typez00_1323 = 
CDR(BgL_idze2typeze2_1313); 
{ /* Ast/glo-decl.scm 162 */
bool_t BgL_testz00_2723;
{ /* Ast/glo-decl.scm 162 */
obj_t BgL_auxz00_2727;obj_t BgL_auxz00_2724;
BgL_auxz00_2727 = 
CNST_TABLE_REF(((long)3)); 
{ /* Ast/glo-decl.scm 162 */
BgL_typez00_bglt BgL_obj1009z00_1829;
BgL_obj1009z00_1829 = 
(BgL_typez00_bglt)(BgL_typez00_1323); 
BgL_auxz00_2724 = 
(((BgL_typez00_bglt)CREF(BgL_obj1009z00_1829))->BgL_classz00); } 
BgL_testz00_2723 = 
(BgL_auxz00_2724==BgL_auxz00_2727); } 
if(BgL_testz00_2723)
{ /* Ast/glo-decl.scm 167 */
bool_t BgL_test2708z00_1325;
{ /* Ast/glo-decl.scm 167 */
bool_t BgL_test2709z00_1326;
BgL_test2709z00_1326 = 
(BgL_typez00_1323==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test2709z00_1326)
{ /* Ast/glo-decl.scm 168 */
obj_t BgL__ortest_2657z00_1327;
BgL__ortest_2657z00_1327 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_10, 
CNST_TABLE_REF(((long)4))); 
if(
CBOOL(BgL__ortest_2657z00_1327))
{ /* Ast/glo-decl.scm 168 */
BgL_test2708z00_1325 = 
CBOOL(BgL__ortest_2657z00_1327); }  else 
{ /* Ast/glo-decl.scm 169 */
long BgL_n1z00_1830;
BgL_n1z00_1830 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2708z00_1325 = 
(BgL_n1z00_1830>((long)0)); } }  else 
{ /* Ast/glo-decl.scm 167 */
BgL_test2708z00_1325 = ((bool_t)0); } } 
if(BgL_test2708z00_1325)
{ /* Ast/glo-decl.scm 167 */
BgL_typez00_1314 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Ast/glo-decl.scm 167 */
BgL_typez00_1314 = BgL_typez00_1323; } }  else 
{ /* Ast/glo-decl.scm 162 */
{ /* Ast/glo-decl.scm 163 */
obj_t BgL_arg2711z00_1329;
BgL_arg2711z00_1329 = 
BGl_shapez00zztools_shapez00(BgL_typez00_1323); 
{ /* Ast/glo-decl.scm 163 */
obj_t BgL_list2712z00_1330;
BgL_list2712z00_1330 = 
MAKE_PAIR(BGl_za2_za2z00zztype_cachez00, BNIL); 
BgL_typez00_1314 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_8, BGl_string2804z00zzast_glozd2declzd2, BgL_arg2711z00_1329, BgL_list2712z00_1330); } } } } } 
{ /* Ast/glo-decl.scm 158 */
obj_t BgL_importz00_1315;
{ /* Ast/glo-decl.scm 173 */
bool_t BgL_test2705z00_1321;
{ /* Ast/glo-decl.scm 173 */
bool_t BgL_testz00_2743;
{ /* Ast/glo-decl.scm 173 */
obj_t BgL_auxz00_2744;
BgL_auxz00_2744 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_2743 = 
(BgL_importz00_10==BgL_auxz00_2744); } 
if(BgL_testz00_2743)
{ /* Ast/glo-decl.scm 174 */
long BgL_n1z00_1832;
BgL_n1z00_1832 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2705z00_1321 = 
(BgL_n1z00_1832>=((long)3)); }  else 
{ /* Ast/glo-decl.scm 173 */
BgL_test2705z00_1321 = ((bool_t)0); } } 
if(BgL_test2705z00_1321)
{ /* Ast/glo-decl.scm 173 */
BgL_importz00_1315 = 
CNST_TABLE_REF(((long)1)); }  else 
{ /* Ast/glo-decl.scm 173 */
BgL_importz00_1315 = BgL_importz00_10; } } 
{ /* Ast/glo-decl.scm 173 */
obj_t BgL_idz00_1316;
BgL_idz00_1316 = 
CAR(BgL_idze2typeze2_1313); 
{ /* Ast/glo-decl.scm 177 */
BgL_svarz00_bglt BgL_svarz00_1317;
{ /* Ast/glo-decl.scm 178 */
BgL_svarz00_bglt BgL_res2781z00_1847;
{ /* Ast/glo-decl.scm 178 */
BgL_svarz00_bglt BgL_new1495z00_1836;
{ /* Ast/glo-decl.scm 178 */
BgL_svarz00_bglt BgL_res2779z00_1842;
{ /* Ast/glo-decl.scm 178 */
BgL_svarz00_bglt BgL_new1497z00_1837;
BgL_new1497z00_1837 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Ast/glo-decl.scm 178 */
long BgL_arg2766z00_1838;
BgL_arg2766z00_1838 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Ast/glo-decl.scm 178 */
BgL_objectz00_bglt BgL_auxz00_2754;
BgL_auxz00_2754 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1837); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2754, BgL_arg2766z00_1838); } } 
{ /* Ast/glo-decl.scm 178 */
BgL_objectz00_bglt BgL_auxz00_2757;
BgL_auxz00_2757 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1837); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2757, BFALSE); } 
{ /* Ast/glo-decl.scm 178 */
obj_t BgL_auxz00_2760;
BgL_auxz00_2760 = 
(obj_t)(BgL_new1497z00_1837); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2760); } BUNSPEC; 
BgL_res2779z00_1842 = BgL_new1497z00_1837; } 
BgL_new1495z00_1836 = BgL_res2779z00_1842; } 
{ /* Ast/glo-decl.scm 178 */
BgL_svarz00_bglt BgL_res2780z00_1846;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_1836))->BgL_locz00) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2780z00_1846 = BgL_new1495z00_1836; BgL_res2780z00_1846; } 
BgL_res2781z00_1847 = BgL_new1495z00_1836; } 
BgL_svarz00_1317 = BgL_res2781z00_1847; } 
{ /* Ast/glo-decl.scm 178 */
BgL_globalz00_bglt BgL_globalz00_1318;
BgL_globalz00_1318 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1316, BgL_modulez00_9, 
(BgL_valuez00_bglt)(BgL_svarz00_1317), BgL_importz00_1315, BgL_srczd2expzd2_11); 
{ /* Ast/glo-decl.scm 179 */

{ /* Ast/glo-decl.scm 181 */
BgL_typez00_bglt BgL_val1153z00_1849;
BgL_val1153z00_1849 = 
(BgL_typez00_bglt)(BgL_typez00_1314); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1318))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1153z00_1849), BUNSPEC); } 
{ /* Ast/glo-decl.scm 183 */
obj_t BgL_arg2703z00_1319;
{ /* Ast/glo-decl.scm 183 */
bool_t BgL_testz00_2768;
{ /* Ast/glo-decl.scm 183 */
obj_t BgL_auxz00_2769;
BgL_auxz00_2769 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_2768 = 
(BgL_importz00_1315==BgL_auxz00_2769); } 
if(BgL_testz00_2768)
{ /* Ast/glo-decl.scm 183 */
BgL_arg2703z00_1319 = 
CNST_TABLE_REF(((long)5)); }  else 
{ /* Ast/glo-decl.scm 183 */
BgL_arg2703z00_1319 = 
CNST_TABLE_REF(((long)6)); } } 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1318))->BgL_accessz00) = ((obj_t)BgL_arg2703z00_1319), BUNSPEC); } 
return BgL_globalz00_1318;} } } } } } } } } } 
}



/* _declare-global-svar! */
obj_t BGl__declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t BgL_envz00_2533, obj_t BgL_idz00_2534, obj_t BgL_modulez00_2535, obj_t BgL_importz00_2536, obj_t BgL_srczd2expzd2_2537, obj_t BgL_srczd2importzd2_2538)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 154 */
{ /* Ast/glo-decl.scm 154 */
BgL_globalz00_bglt BgL_auxz00_2775;
BgL_auxz00_2775 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_idz00_2534, BgL_modulez00_2535, BgL_importz00_2536, BgL_srczd2expzd2_2537, BgL_srczd2importzd2_2538); 
return 
(obj_t)(BgL_auxz00_2775);} } 
}



/* declare-global-scnst! */
BgL_globalz00_bglt BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t BgL_idz00_13, obj_t BgL_modulez00_14, obj_t BgL_importz00_15, obj_t BgL_nodez00_16, obj_t BgL_classz00_17, obj_t BgL_locz00_18)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 190 */
{ /* Ast/glo-decl.scm 191 */
obj_t BgL_idze2typeze2_1333;
BgL_idze2typeze2_1333 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_13, BgL_locz00_18); 
{ /* Ast/glo-decl.scm 191 */
obj_t BgL_typez00_1334;
{ /* Ast/glo-decl.scm 192 */
obj_t BgL_typez00_1340;
BgL_typez00_1340 = 
CDR(BgL_idze2typeze2_1333); 
{ /* Ast/glo-decl.scm 196 */
bool_t BgL_test2717z00_1341;
BgL_test2717z00_1341 = 
(BgL_typez00_1340==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test2717z00_1341)
{ /* Ast/glo-decl.scm 196 */
{ /* Ast/glo-decl.scm 197 */
obj_t BgL_arg2719z00_1343;
BgL_arg2719z00_1343 = 
BGl_shapez00zztools_shapez00(BgL_typez00_1340); 
BgL_typez00_1334 = 
BGl_internalzd2errorzd2zztools_errorz00(BgL_idz00_13, BGl_string2804z00zzast_glozd2declzd2, BgL_arg2719z00_1343); } }  else 
{ /* Ast/glo-decl.scm 196 */
BgL_typez00_1334 = BgL_typez00_1340; } } } 
{ /* Ast/glo-decl.scm 192 */
obj_t BgL_idz00_1335;
BgL_idz00_1335 = 
CAR(BgL_idze2typeze2_1333); 
{ /* Ast/glo-decl.scm 202 */
BgL_scnstz00_bglt BgL_scnstz00_1336;
{ /* Ast/glo-decl.scm 205 */
obj_t BgL_arg2715z00_1338;obj_t BgL_arg2716z00_1339;
BgL_arg2715z00_1338 = BgL_nodez00_16; 
BgL_arg2716z00_1339 = BgL_classz00_17; 
{ /* Ast/glo-decl.scm 203 */
BgL_scnstz00_bglt BgL_res2784z00_1872;
{ /* Ast/glo-decl.scm 203 */
BgL_scnstz00_bglt BgL_new1517z00_1857;
{ /* Ast/glo-decl.scm 203 */
BgL_scnstz00_bglt BgL_res2782z00_1863;
{ /* Ast/glo-decl.scm 203 */
BgL_scnstz00_bglt BgL_new1519z00_1858;
BgL_new1519z00_1858 = 
((BgL_scnstz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_scnstz00_bgl) ))); 
{ /* Ast/glo-decl.scm 203 */
long BgL_arg2765z00_1859;
BgL_arg2765z00_1859 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstz00zzast_varz00); 
{ /* Ast/glo-decl.scm 203 */
BgL_objectz00_bglt BgL_auxz00_2787;
BgL_auxz00_2787 = 
(BgL_objectz00_bglt)(BgL_new1519z00_1858); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2787, BgL_arg2765z00_1859); } } 
{ /* Ast/glo-decl.scm 203 */
BgL_objectz00_bglt BgL_auxz00_2790;
BgL_auxz00_2790 = 
(BgL_objectz00_bglt)(BgL_new1519z00_1858); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2790, BFALSE); } 
{ /* Ast/glo-decl.scm 203 */
obj_t BgL_auxz00_2793;
BgL_auxz00_2793 = 
(obj_t)(BgL_new1519z00_1858); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2793); } BUNSPEC; 
BgL_res2782z00_1863 = BgL_new1519z00_1858; } 
BgL_new1517z00_1857 = BgL_res2782z00_1863; } 
{ /* Ast/glo-decl.scm 203 */
BgL_scnstz00_bglt BgL_res2783z00_1871;
((((BgL_scnstz00_bglt)CREF(BgL_new1517z00_1857))->BgL_nodez00) = ((obj_t)BgL_arg2715z00_1338), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1517z00_1857))->BgL_classz00) = ((obj_t)BgL_arg2716z00_1339), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1517z00_1857))->BgL_locz00) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2783z00_1871 = BgL_new1517z00_1857; BgL_res2783z00_1871; } 
BgL_res2784z00_1872 = BgL_new1517z00_1857; } 
BgL_scnstz00_1336 = BgL_res2784z00_1872; } } 
{ /* Ast/glo-decl.scm 203 */
BgL_globalz00_bglt BgL_globalz00_1337;
BgL_globalz00_1337 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1335, BgL_modulez00_14, 
(BgL_valuez00_bglt)(BgL_scnstz00_1336), BgL_importz00_15, 
CNST_TABLE_REF(((long)7))); 
{ /* Ast/glo-decl.scm 206 */

{ /* Ast/glo-decl.scm 208 */
BgL_typez00_bglt BgL_val1153z00_1874;
BgL_val1153z00_1874 = 
(BgL_typez00_bglt)(BgL_typez00_1334); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1337))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1153z00_1874), BUNSPEC); } 
{ /* Ast/glo-decl.scm 210 */
obj_t BgL_val1159z00_1876;
BgL_val1159z00_1876 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1337))->BgL_accessz00) = ((obj_t)BgL_val1159z00_1876), BUNSPEC); } 
return BgL_globalz00_1337;} } } } } } } 
}



/* _declare-global-scnst! */
obj_t BGl__declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t BgL_envz00_2539, obj_t BgL_idz00_2540, obj_t BgL_modulez00_2541, obj_t BgL_importz00_2542, obj_t BgL_nodez00_2543, obj_t BgL_classz00_2544, obj_t BgL_locz00_2545)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 190 */
{ /* Ast/glo-decl.scm 190 */
BgL_globalz00_bglt BgL_auxz00_2806;
BgL_auxz00_2806 = 
BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(BgL_idz00_2540, BgL_modulez00_2541, BgL_importz00_2542, BgL_nodez00_2543, BgL_classz00_2544, BgL_locz00_2545); 
return 
(obj_t)(BgL_auxz00_2806);} } 
}



/* declare-global-cfun! */
BgL_globalz00_bglt BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_19, obj_t BgL_namez00_20, obj_t BgL_treszd2idzd2_21, obj_t BgL_targszd2idzd2_22, bool_t BgL_infixzf3zf3_23, bool_t BgL_macrozf3zf3_24, obj_t BgL_srczd2expzd2_25, obj_t BgL_srczd2importzd2_26)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 217 */
{ /* Ast/glo-decl.scm 218 */
int BgL_arityz00_1344;
BgL_arityz00_1344 = 
BGl_arityz00zztools_argsz00(BgL_targszd2idzd2_22); 
{ /* Ast/glo-decl.scm 218 */
obj_t BgL_locz00_1345;
BgL_locz00_1345 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_25); 
{ /* Ast/glo-decl.scm 219 */
obj_t BgL_lociz00_1346;
BgL_lociz00_1346 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2importzd2_26, BgL_locz00_1345); 
{ /* Ast/glo-decl.scm 220 */
BgL_typez00_bglt BgL_typezd2reszd2_1347;
BgL_typezd2reszd2_1347 = 
BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(BgL_treszd2idzd2_21, BgL_locz00_1345, BgL_lociz00_1346); 
{ /* Ast/glo-decl.scm 221 */
obj_t BgL_typezd2argszd2_1348;
{ /* Ast/glo-decl.scm 222 */
obj_t BgL_l2660z00_1356;
BgL_l2660z00_1356 = 
BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_targszd2idzd2_22); 
if(
NULLP(BgL_l2660z00_1356))
{ /* Ast/glo-decl.scm 222 */
BgL_typezd2argszd2_1348 = BNIL; }  else 
{ /* Ast/glo-decl.scm 222 */
obj_t BgL_head2662z00_1358;
BgL_head2662z00_1358 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2660z00_1359;obj_t BgL_tail2663z00_1360;
BgL_l2660z00_1359 = BgL_l2660z00_1356; 
BgL_tail2663z00_1360 = BgL_head2662z00_1358; 
BgL_lname2661z00_1361:
if(
NULLP(BgL_l2660z00_1359))
{ /* Ast/glo-decl.scm 222 */
BgL_typezd2argszd2_1348 = 
CDR(BgL_head2662z00_1358); }  else 
{ /* Ast/glo-decl.scm 223 */
obj_t BgL_newtail2664z00_1363;
{ /* Ast/glo-decl.scm 223 */
BgL_typez00_bglt BgL_arg2728z00_1365;
BgL_arg2728z00_1365 = 
BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(
CAR(BgL_l2660z00_1359), BgL_locz00_1345, BgL_lociz00_1346); 
{ /* Ast/glo-decl.scm 222 */
obj_t BgL_auxz00_2822;
BgL_auxz00_2822 = 
(obj_t)(BgL_arg2728z00_1365); 
BgL_newtail2664z00_1363 = 
MAKE_PAIR(BgL_auxz00_2822, BNIL); } } 
SET_CDR(BgL_tail2663z00_1360, BgL_newtail2664z00_1363); 
{ 
obj_t BgL_tail2663z00_2828;obj_t BgL_l2660z00_2826;
BgL_l2660z00_2826 = 
CDR(BgL_l2660z00_1359); 
BgL_tail2663z00_2828 = BgL_newtail2664z00_1363; 
BgL_tail2663z00_1360 = BgL_tail2663z00_2828; 
BgL_l2660z00_1359 = BgL_l2660z00_2826; 
goto BgL_lname2661z00_1361;} } } } } 
{ /* Ast/glo-decl.scm 222 */
BgL_cfunz00_bglt BgL_cfunz00_1349;
{ /* Ast/glo-decl.scm 225 */
obj_t BgL_arg2721z00_1352;bool_t BgL_arg2722z00_1353;bool_t BgL_arg2723z00_1354;
BgL_arg2721z00_1352 = BgL_typezd2argszd2_1348; 
BgL_arg2722z00_1353 = BgL_macrozf3zf3_24; 
BgL_arg2723z00_1354 = BgL_infixzf3zf3_23; 
{ /* Ast/glo-decl.scm 225 */
BgL_cfunz00_bglt BgL_res2787z00_1927;
{ /* Ast/glo-decl.scm 225 */
long BgL_arity1473z00_1888;
{ /* Ast/glo-decl.scm 225 */
int BgL_auxz00_2829;
BgL_auxz00_2829 = BgL_arityz00_1344; 
BgL_arity1473z00_1888 = 
(long)(BgL_auxz00_2829); } 
{ /* Ast/glo-decl.scm 225 */
BgL_cfunz00_bglt BgL_new1483z00_1898;
{ /* Ast/glo-decl.scm 225 */
BgL_cfunz00_bglt BgL_res2785z00_1904;
{ /* Ast/glo-decl.scm 225 */
BgL_cfunz00_bglt BgL_new1485z00_1899;
BgL_new1485z00_1899 = 
((BgL_cfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cfunz00_bgl) ))); 
{ /* Ast/glo-decl.scm 225 */
long BgL_arg2767z00_1900;
BgL_arg2767z00_1900 = 
BGl_classzd2numzd2zz__objectz00(BGl_cfunz00zzast_varz00); 
{ /* Ast/glo-decl.scm 225 */
BgL_objectz00_bglt BgL_auxz00_2833;
BgL_auxz00_2833 = 
(BgL_objectz00_bglt)(BgL_new1485z00_1899); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2833, BgL_arg2767z00_1900); } } 
{ /* Ast/glo-decl.scm 225 */
BgL_objectz00_bglt BgL_auxz00_2836;
BgL_auxz00_2836 = 
(BgL_objectz00_bglt)(BgL_new1485z00_1899); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2836, BFALSE); } 
{ /* Ast/glo-decl.scm 225 */
obj_t BgL_auxz00_2839;
BgL_auxz00_2839 = 
(obj_t)(BgL_new1485z00_1899); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2839); } BUNSPEC; 
BgL_res2785z00_1904 = BgL_new1485z00_1899; } 
BgL_new1483z00_1898 = BgL_res2785z00_1904; } 
{ /* Ast/glo-decl.scm 225 */
BgL_cfunz00_bglt BgL_res2786z00_1926;
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_arityz00) = ((long)BgL_arity1473z00_1888), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_predicatezd2ofzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_stackzd2allocatorzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_topzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_thezd2closurezd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_argszd2typezd2) = ((obj_t)BgL_arg2721z00_1352), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_macrozf3zf3) = ((bool_t)BgL_arg2722z00_1353), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_infixzf3zf3) = ((bool_t)BgL_arg2723z00_1354), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1483z00_1898))->BgL_methodz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res2786z00_1926 = BgL_new1483z00_1898; BgL_res2786z00_1926; } 
BgL_res2787z00_1927 = BgL_new1483z00_1898; } } 
BgL_cfunz00_1349 = BgL_res2787z00_1927; } } 
{ /* Ast/glo-decl.scm 225 */
BgL_globalz00_bglt BgL_globalz00_1350;
BgL_globalz00_1350 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_19, 
CNST_TABLE_REF(((long)8)), 
(BgL_valuez00_bglt)(BgL_cfunz00_1349), 
CNST_TABLE_REF(((long)8)), BgL_srczd2expzd2_25); 
{ /* Ast/glo-decl.scm 229 */

((((BgL_globalz00_bglt)CREF(BgL_globalz00_1350))->BgL_namez00) = ((obj_t)BgL_namez00_20), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1350))->BgL_typez00) = ((BgL_typez00_bglt)BgL_typezd2reszd2_1347), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1350))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
return BgL_globalz00_1350;} } } } } } } } } 
}



/* _declare-global-cfun! */
obj_t BGl__declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t BgL_envz00_2546, obj_t BgL_idz00_2547, obj_t BgL_namez00_2548, obj_t BgL_treszd2idzd2_2549, obj_t BgL_targszd2idzd2_2550, obj_t BgL_infixzf3zf3_2551, obj_t BgL_macrozf3zf3_2552, obj_t BgL_srczd2expzd2_2553, obj_t BgL_srczd2importzd2_2554)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 217 */
{ /* Ast/glo-decl.scm 217 */
BgL_globalz00_bglt BgL_auxz00_2859;
BgL_auxz00_2859 = 
BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_idz00_2547, BgL_namez00_2548, BgL_treszd2idzd2_2549, BgL_targszd2idzd2_2550, 
CBOOL(BgL_infixzf3zf3_2551), 
CBOOL(BgL_macrozf3zf3_2552), BgL_srczd2expzd2_2553, BgL_srczd2importzd2_2554); 
return 
(obj_t)(BgL_auxz00_2859);} } 
}



/* declare-global-cvar! */
BgL_globalz00_bglt BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_27, obj_t BgL_namez00_28, obj_t BgL_typezd2idzd2_29, bool_t BgL_macrozf3zf3_30, obj_t BgL_srczd2expzd2_31, obj_t BgL_srczd2importzd2_32)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 242 */
{ /* Ast/glo-decl.scm 243 */
obj_t BgL_locz00_1368;
BgL_locz00_1368 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_31); 
{ /* Ast/glo-decl.scm 243 */
obj_t BgL_lociz00_1369;
BgL_lociz00_1369 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srczd2importzd2_32, BgL_locz00_1368); 
{ /* Ast/glo-decl.scm 244 */
BgL_typez00_bglt BgL_typez00_1370;
BgL_typez00_1370 = 
BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(BgL_typezd2idzd2_29, BgL_locz00_1368, BgL_lociz00_1369); 
{ /* Ast/glo-decl.scm 245 */
BgL_cvarz00_bglt BgL_cvarz00_1371;
{ /* Ast/glo-decl.scm 246 */
bool_t BgL_arg2730z00_1373;
BgL_arg2730z00_1373 = BgL_macrozf3zf3_30; 
{ /* Ast/glo-decl.scm 246 */
BgL_cvarz00_bglt BgL_res2790z00_1946;
{ /* Ast/glo-decl.scm 246 */
BgL_cvarz00_bglt BgL_new1527z00_1935;
{ /* Ast/glo-decl.scm 246 */
BgL_cvarz00_bglt BgL_res2788z00_1941;
{ /* Ast/glo-decl.scm 246 */
BgL_cvarz00_bglt BgL_new1529z00_1936;
BgL_new1529z00_1936 = 
((BgL_cvarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cvarz00_bgl) ))); 
{ /* Ast/glo-decl.scm 246 */
long BgL_arg2764z00_1937;
BgL_arg2764z00_1937 = 
BGl_classzd2numzd2zz__objectz00(BGl_cvarz00zzast_varz00); 
{ /* Ast/glo-decl.scm 246 */
BgL_objectz00_bglt BgL_auxz00_2869;
BgL_auxz00_2869 = 
(BgL_objectz00_bglt)(BgL_new1529z00_1936); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2869, BgL_arg2764z00_1937); } } 
{ /* Ast/glo-decl.scm 246 */
BgL_objectz00_bglt BgL_auxz00_2872;
BgL_auxz00_2872 = 
(BgL_objectz00_bglt)(BgL_new1529z00_1936); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2872, BFALSE); } 
{ /* Ast/glo-decl.scm 246 */
obj_t BgL_auxz00_2875;
BgL_auxz00_2875 = 
(obj_t)(BgL_new1529z00_1936); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2875); } BUNSPEC; 
BgL_res2788z00_1941 = BgL_new1529z00_1936; } 
BgL_new1527z00_1935 = BgL_res2788z00_1941; } 
{ /* Ast/glo-decl.scm 246 */
BgL_cvarz00_bglt BgL_res2789z00_1945;
((((BgL_cvarz00_bglt)CREF(BgL_new1527z00_1935))->BgL_macrozf3zf3) = ((bool_t)BgL_arg2730z00_1373), BUNSPEC); 
BgL_res2789z00_1945 = BgL_new1527z00_1935; BgL_res2789z00_1945; } 
BgL_res2790z00_1946 = BgL_new1527z00_1935; } 
BgL_cvarz00_1371 = BgL_res2790z00_1946; } } 
{ /* Ast/glo-decl.scm 246 */
BgL_globalz00_bglt BgL_globalz00_1372;
BgL_globalz00_1372 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_27, 
CNST_TABLE_REF(((long)8)), 
(BgL_valuez00_bglt)(BgL_cvarz00_1371), 
CNST_TABLE_REF(((long)8)), BgL_srczd2expzd2_31); 
{ /* Ast/glo-decl.scm 247 */

((((BgL_globalz00_bglt)CREF(BgL_globalz00_1372))->BgL_namez00) = ((obj_t)BgL_namez00_28), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1372))->BgL_typez00) = ((BgL_typez00_bglt)BgL_typez00_1370), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1372))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
return BgL_globalz00_1372;} } } } } } } 
}



/* _declare-global-cvar! */
obj_t BGl__declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t BgL_envz00_2555, obj_t BgL_idz00_2556, obj_t BgL_namez00_2557, obj_t BgL_typezd2idzd2_2558, obj_t BgL_macrozf3zf3_2559, obj_t BgL_srczd2expzd2_2560, obj_t BgL_srczd2importzd2_2561)
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 242 */
{ /* Ast/glo-decl.scm 242 */
BgL_globalz00_bglt BgL_auxz00_2886;
BgL_auxz00_2886 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_idz00_2556, BgL_namez00_2557, BgL_typezd2idzd2_2558, 
CBOOL(BgL_macrozf3zf3_2559), BgL_srczd2expzd2_2560, BgL_srczd2importzd2_2561); 
return 
(obj_t)(BgL_auxz00_2886);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_glozd2declzd2()
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 17 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2()
{ AN_OBJECT;
{ /* Ast/glo-decl.scm 17 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_glo-decl"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_glo-decl"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_glo-decl");} 
}

