/*===========================================================================*/
/*   (Ast/glo-def.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_glozd2defzd2();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t, BgL_typez00_bglt, BgL_typez00_bglt);
static BgL_globalz00_bglt BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
static BgL_globalz00_bglt BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
static obj_t BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t, BgL_variablez00_bglt);
static obj_t BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern BgL_globalz00_bglt BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static BgL_globalz00_bglt BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = BUNSPEC;
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t __cnst[ 5 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_defzd2globalzd2sfunzd2nozd2warningz12zd2envzc0zzast_glozd2defzd2, BgL_bgl__defza7d2globalza7d2sfunza7d2noza7d2warningza712za712za7za7ast_gloza7d2defza7d23071z00, BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_defzd2globalzd2sfunz12zd2envzc0zzast_glozd2defzd2, BgL_bgl__defza7d2globalza7d2sfunza712za712za7za7ast_gloza7d2defza7d23072z00, BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_defzd2globalzd2svarz12zd2envzc0zzast_glozd2defzd2, BgL_bgl__defza7d2globalza7d2svarza712za712za7za7ast_gloza7d2defza7d23073z00, BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2, 0L, 4 );
DEFINE_STRING( BGl_string3066z00zzast_glozd2defzd2, BgL_bgl_string3066za700za7za7ast_gloza7d2defza7d23074za7, "bigloo now sgfun static export ", 31 );
DEFINE_STRING( BGl_string3065z00zzast_glozd2defzd2, BgL_bgl_string3065za700za7za7ast_gloza7d2defza7d23075za7, " ", 1 );
DEFINE_STRING( BGl_string3064z00zzast_glozd2defzd2, BgL_bgl_string3064za700za7za7ast_gloza7d2defza7d23076za7, "Prototype and definition don't match", 36 );
DEFINE_STRING( BGl_string3063z00zzast_glozd2defzd2, BgL_bgl_string3063za700za7za7ast_gloza7d2defza7d23077za7, "(incompatible variable type)", 28 );
DEFINE_STRING( BGl_string3062z00zzast_glozd2defzd2, BgL_bgl_string3062za700za7za7ast_gloza7d2defza7d23078za7, "Illegal type for global variable", 32 );
DEFINE_STRING( BGl_string3061z00zzast_glozd2defzd2, BgL_bgl_string3061za700za7za7ast_gloza7d2defza7d23079za7, "(arity differs)", 15 );
DEFINE_STRING( BGl_string3060z00zzast_glozd2defzd2, BgL_bgl_string3060za700za7za7ast_gloza7d2defza7d23080za7, "(incompatible function type result)", 35 );
DEFINE_STRING( BGl_string3059z00zzast_glozd2defzd2, BgL_bgl_string3059za700za7za7ast_gloza7d2defza7d23081za7, "(incompatible Dsssl prototype)", 30 );
DEFINE_STRING( BGl_string3058z00zzast_glozd2defzd2, BgL_bgl_string3058za700za7za7ast_gloza7d2defza7d23082za7, "(incompatible formal type)", 26 );
DEFINE_STRING( BGl_string3057z00zzast_glozd2defzd2, BgL_bgl_string3057za700za7za7ast_gloza7d2defza7d23083za7, "unexpected generic arg", 22 );
DEFINE_STRING( BGl_string3056z00zzast_glozd2defzd2, BgL_bgl_string3056za700za7za7ast_gloza7d2defza7d23084za7, "check-method-definition", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2methodzd2definitionzd2envzd2zzast_glozd2defzd2, BgL_bgl__checkza7d2methodza7d2definitionza700za7za7ast_gloza7d2defza7d23085za7, BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_defzd2globalzd2scnstz12zd2envzc0zzast_glozd2defzd2, BgL_bgl__defza7d2globalza7d2scnstza712za712za7za7ast_gloza7d2defza7d23086z00, BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2, 0L, 5 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long BgL_checksumz00_2787, char * BgL_fromz00_2788)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2defzd2))
{ 
BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2(); 
BGl_cnstzd2initzd2zzast_glozd2defzd2(); 
BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2()
{ AN_OBJECT;
{ /* Ast/glo-def.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_glo-def"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2()
{ AN_OBJECT;
{ /* Ast/glo-def.scm 15 */
{ /* Ast/glo-def.scm 15 */
obj_t BgL_cportz00_2780;
BgL_cportz00_2780 = 
open_input_string(BGl_string3066z00zzast_glozd2defzd2); 
{ 
long BgL_iz00_2781;
BgL_iz00_2781 = ((long)4); 
BgL_loopz00_2782:
if(
(BgL_iz00_2781==((long)-1)))
{ /* Ast/glo-def.scm 15 */
return BUNSPEC;}  else 
{ /* Ast/glo-def.scm 15 */
{ /* Ast/glo-def.scm 15 */
obj_t BgL_arg3068z00_2784;
{ /* Ast/glo-def.scm 15 */
obj_t BgL_list3069z00_2785;
BgL_list3069z00_2785 = 
MAKE_PAIR(BgL_cportz00_2780, BNIL); 
BgL_arg3068z00_2784 = 
BGl_readz00zz__readerz00(BgL_list3069z00_2785); } 
{ /* Ast/glo-def.scm 15 */
int BgL_auxz00_2805;
BgL_auxz00_2805 = 
(int)(BgL_iz00_2781); 
CNST_TABLE_SET(BgL_auxz00_2805, BgL_arg3068z00_2784); } } 
{ 
long BgL_iz00_2808;
{ /* Ast/glo-def.scm 15 */
int BgL_auxz00_2809;
{ /* Ast/glo-def.scm 15 */
long BgL_auxz00_2810;
BgL_auxz00_2810 = 
(BgL_iz00_2781-((long)1)); 
BgL_auxz00_2809 = 
(int)(BgL_auxz00_2810); } 
BgL_iz00_2808 = 
(long)(BgL_auxz00_2809); } 
BgL_iz00_2781 = BgL_iz00_2808; 
goto BgL_loopz00_2782;} } } } } 
}



/* def-global-sfun-no-warning! */
BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t BgL_idz00_1, obj_t BgL_argsz00_2, obj_t BgL_locz00_3, obj_t BgL_modz00_4, obj_t BgL_classz00_5, obj_t BgL_srczd2expzd2_6, obj_t BgL_remz00_7, obj_t BgL_nodez00_8)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 66 */
{ /* Ast/glo-def.scm 67 */
obj_t BgL_warningz00_2043;
BgL_warningz00_2043 = BGl_za2warningza2z00zz__errorz00; 
BGl_za2warningza2z00zz__errorz00 = BFALSE; 
{ /* Ast/glo-def.scm 67 */
BgL_globalz00_bglt BgL_funz00_2044;
BgL_funz00_2044 = 
BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_1, BgL_argsz00_2, BgL_locz00_3, BgL_modz00_4, BgL_classz00_5, BgL_srczd2expzd2_6, BgL_remz00_7, BgL_nodez00_8); 
BGl_za2warningza2z00zz__errorz00 = BgL_warningz00_2043; 
return BgL_funz00_2044;} } } 
}



/* _def-global-sfun-no-warning! */
obj_t BGl__defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t BgL_envz00_2746, obj_t BgL_idz00_2747, obj_t BgL_argsz00_2748, obj_t BgL_locz00_2749, obj_t BgL_modz00_2750, obj_t BgL_classz00_2751, obj_t BgL_srczd2expzd2_2752, obj_t BgL_remz00_2753, obj_t BgL_nodez00_2754)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 66 */
{ /* Ast/glo-def.scm 66 */
BgL_globalz00_bglt BgL_auxz00_2815;
BgL_auxz00_2815 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_idz00_2747, BgL_argsz00_2748, BgL_locz00_2749, BgL_modz00_2750, BgL_classz00_2751, BgL_srczd2expzd2_2752, BgL_remz00_2753, BgL_nodez00_2754); 
return 
(obj_t)(BgL_auxz00_2815);} } 
}



/* def-global-sfun! */
BgL_globalz00_bglt BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_idz00_9, obj_t BgL_argsz00_10, obj_t BgL_localsz00_11, obj_t BgL_modulez00_12, obj_t BgL_classz00_13, obj_t BgL_srczd2expzd2_14, obj_t BgL_remz00_15, obj_t BgL_nodez00_16)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 79 */
BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_9); 
{ /* Ast/glo-def.scm 85 */
obj_t BgL_locz00_1440;
BgL_locz00_1440 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_14); 
{ /* Ast/glo-def.scm 85 */
obj_t BgL_idze2typeze2_1441;
BgL_idze2typeze2_1441 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9, BgL_locz00_1440); 
{ /* Ast/glo-def.scm 86 */
obj_t BgL_typezd2reszd2_1442;
BgL_typezd2reszd2_1442 = 
CDR(BgL_idze2typeze2_1441); 
{ /* Ast/glo-def.scm 87 */
obj_t BgL_idz00_1443;
BgL_idz00_1443 = 
CAR(BgL_idze2typeze2_1441); 
{ /* Ast/glo-def.scm 88 */
obj_t BgL_importz00_1444;
{ /* Ast/glo-def.scm 89 */
bool_t BgL_test2905z00_1484;
{ /* Ast/glo-def.scm 89 */
long BgL_n1z00_2047;
BgL_n1z00_2047 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2905z00_1484 = 
(BgL_n1z00_2047>=((long)3)); } 
if(BgL_test2905z00_1484)
{ /* Ast/glo-def.scm 89 */
BgL_importz00_1444 = 
CNST_TABLE_REF(((long)0)); }  else 
{ /* Ast/glo-def.scm 89 */
BgL_importz00_1444 = 
CNST_TABLE_REF(((long)1)); } } 
{ /* Ast/glo-def.scm 89 */
obj_t BgL_oldzd2globalzd2_1445;
BgL_oldzd2globalzd2_1445 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1443, BgL_modulez00_12); 
{ /* Ast/glo-def.scm 92 */
BgL_globalz00_bglt BgL_globalz00_1446;
{ /* Ast/glo-def.scm 94 */
bool_t BgL_test2904z00_1483;
BgL_test2904z00_1483 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldzd2globalzd2_1445, BGl_globalz00zzast_varz00); 
if(BgL_test2904z00_1483)
{ /* Ast/glo-def.scm 94 */
BgL_globalz00_1446 = 
BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(BgL_oldzd2globalzd2_1445, BgL_typezd2reszd2_1442, BgL_argsz00_10, BgL_localsz00_11, BgL_classz00_13, BgL_srczd2expzd2_14); }  else 
{ /* Ast/glo-def.scm 94 */
BgL_globalz00_1446 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_idz00_1443, BgL_argsz00_10, BgL_modulez00_12, BgL_importz00_1444, BgL_classz00_13, BgL_srczd2expzd2_14, BFALSE); } } 
{ /* Ast/glo-def.scm 93 */
obj_t BgL_defzd2loczd2_1447;
BgL_defzd2loczd2_1447 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_14); 
{ /* Ast/glo-def.scm 109 */

{ /* Ast/glo-def.scm 111 */
BgL_variablez00_bglt BgL_varz00_2050;BgL_typez00_bglt BgL_newzd2typezd2_2051;
BgL_varz00_2050 = 
(BgL_variablez00_bglt)(BgL_globalz00_1446); 
BgL_newzd2typezd2_2051 = 
(BgL_typez00_bglt)(BgL_typezd2reszd2_1442); 
{ /* Ast/glo-def.scm 111 */
bool_t BgL_test2967z00_2053;
{ /* Ast/glo-def.scm 111 */
obj_t BgL_auxz00_2836;
{ /* Ast/glo-def.scm 111 */
BgL_typez00_bglt BgL_auxz00_2837;
BgL_auxz00_2837 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2050))->BgL_typez00); 
BgL_auxz00_2836 = 
(obj_t)(BgL_auxz00_2837); } 
BgL_test2967z00_2053 = 
(BgL_auxz00_2836==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2967z00_2053)
{ /* Ast/glo-def.scm 111 */
((((BgL_variablez00_bglt)CREF(BgL_varz00_2050))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_2051), BUNSPEC); }  else 
{ /* Ast/glo-def.scm 111 */BFALSE; } } } 
{ /* Ast/glo-def.scm 113 */
bool_t BgL_testz00_2843;
{ /* Ast/glo-def.scm 113 */
long BgL_auxz00_2846;long BgL_auxz00_2844;
{ /* Ast/glo-def.scm 113 */
obj_t BgL_auxz00_2847;
{ /* Ast/glo-def.scm 113 */
BgL_sfunz00_bglt BgL_obj1369z00_2058;
{ /* Ast/glo-def.scm 113 */
BgL_valuez00_bglt BgL_auxz00_2848;
BgL_auxz00_2848 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1446))->BgL_valuez00); 
BgL_obj1369z00_2058 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2848); } 
BgL_auxz00_2847 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2058))->BgL_argsz00); } 
BgL_auxz00_2846 = 
bgl_list_length(BgL_auxz00_2847); } 
BgL_auxz00_2844 = 
bgl_list_length(BgL_localsz00_11); 
BgL_testz00_2843 = 
(BgL_auxz00_2844==BgL_auxz00_2846); } 
if(BgL_testz00_2843)
{ /* Ast/glo-def.scm 114 */
obj_t BgL_typesz00_1449;
{ /* Ast/glo-def.scm 114 */
obj_t BgL_l2855z00_1458;
{ /* Ast/glo-def.scm 125 */
BgL_sfunz00_bglt BgL_obj1369z00_2062;
{ /* Ast/glo-def.scm 125 */
BgL_valuez00_bglt BgL_auxz00_2854;
BgL_auxz00_2854 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1446))->BgL_valuez00); 
BgL_obj1369z00_2062 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2854); } 
BgL_l2855z00_1458 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2062))->BgL_argsz00); } 
if(
NULLP(BgL_l2855z00_1458))
{ /* Ast/glo-def.scm 114 */
BgL_typesz00_1449 = BNIL; }  else 
{ /* Ast/glo-def.scm 114 */
obj_t BgL_head2857z00_1460;
BgL_head2857z00_1460 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2855z00_1461;obj_t BgL_tail2858z00_1462;
BgL_l2855z00_1461 = BgL_l2855z00_1458; 
BgL_tail2858z00_1462 = BgL_head2857z00_1460; 
BgL_lname2856z00_1463:
if(
NULLP(BgL_l2855z00_1461))
{ /* Ast/glo-def.scm 114 */
BgL_typesz00_1449 = 
CDR(BgL_head2857z00_1460); }  else 
{ /* Ast/glo-def.scm 116 */
obj_t BgL_newtail2859z00_1465;
{ /* Ast/glo-def.scm 116 */
obj_t BgL_arg2889z00_1467;
{ /* Ast/glo-def.scm 116 */
obj_t BgL_az00_1469;
BgL_az00_1469 = 
CAR(BgL_l2855z00_1461); 
{ /* Ast/glo-def.scm 116 */
bool_t BgL_test2891z00_1470;
BgL_test2891z00_1470 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1469, BGl_localz00zzast_varz00); 
if(BgL_test2891z00_1470)
{ /* Ast/glo-def.scm 116 */
{ /* Ast/glo-def.scm 117 */
BgL_localz00_bglt BgL_obj1252z00_2070;
BgL_obj1252z00_2070 = 
(BgL_localz00_bglt)(BgL_az00_1469); 
{ /* Ast/glo-def.scm 117 */
BgL_typez00_bglt BgL_auxz00_2868;
BgL_auxz00_2868 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2070))->BgL_typez00); 
BgL_arg2889z00_1467 = 
(obj_t)(BgL_auxz00_2868); } } }  else 
{ /* Ast/glo-def.scm 118 */
bool_t BgL_test2892z00_1471;
BgL_test2892z00_1471 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1469, BGl_typez00zztype_typez00); 
if(BgL_test2892z00_1471)
{ /* Ast/glo-def.scm 118 */
BgL_arg2889z00_1467 = BgL_az00_1469; }  else 
{ /* Ast/glo-def.scm 118 */
{ /* Ast/glo-def.scm 121 */
obj_t BgL_arg2895z00_1474;
BgL_arg2895z00_1474 = 
BGl_shapez00zztools_shapez00(BgL_az00_1469); 
BgL_arg2889z00_1467 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3056z00zzast_glozd2defzd2, BGl_string3057z00zzast_glozd2defzd2, BgL_arg2895z00_1474); } } } } } 
BgL_newtail2859z00_1465 = 
MAKE_PAIR(BgL_arg2889z00_1467, BNIL); } 
SET_CDR(BgL_tail2858z00_1462, BgL_newtail2859z00_1465); 
{ 
obj_t BgL_tail2858z00_2879;obj_t BgL_l2855z00_2877;
BgL_l2855z00_2877 = 
CDR(BgL_l2855z00_1461); 
BgL_tail2858z00_2879 = BgL_newtail2859z00_1465; 
BgL_tail2858z00_1462 = BgL_tail2858z00_2879; 
BgL_l2855z00_1461 = BgL_l2855z00_2877; 
goto BgL_lname2856z00_1463;} } } } } 
{ 
obj_t BgL_ll2860z00_1450;obj_t BgL_ll2861z00_1451;
BgL_ll2860z00_1450 = BgL_localsz00_11; 
BgL_ll2861z00_1451 = BgL_typesz00_1449; 
BgL_lname2862z00_1452:
if(
NULLP(BgL_ll2860z00_1450))
{ /* Ast/glo-def.scm 126 */((bool_t)1); }  else 
{ /* Ast/glo-def.scm 126 */
{ /* Ast/glo-def.scm 126 */
BgL_variablez00_bglt BgL_varz00_2080;BgL_typez00_bglt BgL_newzd2typezd2_2081;
{ /* Ast/glo-def.scm 126 */
obj_t BgL_auxz00_2882;
BgL_auxz00_2882 = 
CAR(BgL_ll2860z00_1450); 
BgL_varz00_2080 = 
(BgL_variablez00_bglt)(BgL_auxz00_2882); } 
{ /* Ast/glo-def.scm 126 */
obj_t BgL_auxz00_2885;
BgL_auxz00_2885 = 
CAR(BgL_ll2861z00_1451); 
BgL_newzd2typezd2_2081 = 
(BgL_typez00_bglt)(BgL_auxz00_2885); } 
{ /* Ast/glo-def.scm 126 */
bool_t BgL_test2967z00_2083;
{ /* Ast/glo-def.scm 126 */
obj_t BgL_auxz00_2888;
{ /* Ast/glo-def.scm 126 */
BgL_typez00_bglt BgL_auxz00_2889;
BgL_auxz00_2889 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2080))->BgL_typez00); 
BgL_auxz00_2888 = 
(obj_t)(BgL_auxz00_2889); } 
BgL_test2967z00_2083 = 
(BgL_auxz00_2888==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2967z00_2083)
{ /* Ast/glo-def.scm 126 */
((((BgL_variablez00_bglt)CREF(BgL_varz00_2080))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_2081), BUNSPEC); }  else 
{ /* Ast/glo-def.scm 126 */BFALSE; } } } 
{ 
obj_t BgL_ll2861z00_2897;obj_t BgL_ll2860z00_2895;
BgL_ll2860z00_2895 = 
CDR(BgL_ll2860z00_1450); 
BgL_ll2861z00_2897 = 
CDR(BgL_ll2861z00_1451); 
BgL_ll2861z00_1451 = BgL_ll2861z00_2897; 
BgL_ll2860z00_1450 = BgL_ll2860z00_2895; 
goto BgL_lname2862z00_1452;} } } }  else 
{ /* Ast/glo-def.scm 113 */((bool_t)0); } } 
BGl_removezd2varzd2fromz12z12zzast_removez00(BgL_remz00_15, 
(BgL_variablez00_bglt)(BgL_globalz00_1446)); 
{ /* Ast/glo-def.scm 130 */
BgL_sfunz00_bglt BgL_obj1374z00_2090;
{ /* Ast/glo-def.scm 130 */
BgL_valuez00_bglt BgL_auxz00_2901;
BgL_auxz00_2901 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1446))->BgL_valuez00); 
BgL_obj1374z00_2090 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2901); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2090))->BgL_bodyz00) = ((obj_t)BgL_nodez00_16), BUNSPEC); } 
{ /* Ast/glo-def.scm 132 */
BgL_sfunz00_bglt BgL_obj1371z00_2093;
{ /* Ast/glo-def.scm 132 */
BgL_valuez00_bglt BgL_auxz00_2905;
BgL_auxz00_2905 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1446))->BgL_valuez00); 
BgL_obj1371z00_2093 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2905); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1371z00_2093))->BgL_argsz00) = ((obj_t)BgL_localsz00_11), BUNSPEC); } 
{ /* Ast/glo-def.scm 134 */
BgL_sfunz00_bglt BgL_obj1384z00_2096;
{ /* Ast/glo-def.scm 134 */
BgL_valuez00_bglt BgL_auxz00_2909;
BgL_auxz00_2909 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1446))->BgL_valuez00); 
BgL_obj1384z00_2096 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2909); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1384z00_2096))->BgL_locz00) = ((obj_t)BgL_defzd2loczd2_1447), BUNSPEC); } 
BGl_leavezd2functionzd2zztools_errorz00(); 
return BgL_globalz00_1446;} } } } } } } } } } 
}



/* _def-global-sfun! */
obj_t BGl__defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_envz00_2755, obj_t BgL_idz00_2756, obj_t BgL_argsz00_2757, obj_t BgL_localsz00_2758, obj_t BgL_modulez00_2759, obj_t BgL_classz00_2760, obj_t BgL_srczd2expzd2_2761, obj_t BgL_remz00_2762, obj_t BgL_nodez00_2763)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 79 */
{ /* Ast/glo-def.scm 79 */
BgL_globalz00_bglt BgL_auxz00_2914;
BgL_auxz00_2914 = 
BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_2756, BgL_argsz00_2757, BgL_localsz00_2758, BgL_modulez00_2759, BgL_classz00_2760, BgL_srczd2expzd2_2761, BgL_remz00_2762, BgL_nodez00_2763); 
return 
(obj_t)(BgL_auxz00_2914);} } 
}



/* check-sfun-definition */
BgL_globalz00_bglt BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t BgL_oldz00_17, obj_t BgL_typezd2reszd2_18, obj_t BgL_argsz00_19, obj_t BgL_localsz00_20, obj_t BgL_classz00_21, obj_t BgL_srczd2expzd2_22)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 142 */
{ /* Ast/glo-def.scm 145 */
BgL_valuez00_bglt BgL_oldzd2valuezd2_1485;
{ /* Ast/glo-def.scm 145 */
BgL_globalz00_bglt BgL_obj1155z00_2098;
BgL_obj1155z00_2098 = 
(BgL_globalz00_bglt)(BgL_oldz00_17); 
BgL_oldzd2valuezd2_1485 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2098))->BgL_valuez00); } 
{ /* Ast/glo-def.scm 147 */
bool_t BgL_test2906z00_1486;
BgL_test2906z00_1486 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_oldzd2valuezd2_1485), BGl_sfunz00zzast_varz00); 
if(BgL_test2906z00_1486)
{ /* Ast/glo-def.scm 149 */
bool_t BgL_testz00_2922;
{ /* Ast/glo-def.scm 149 */
obj_t BgL_auxz00_2923;
{ /* Ast/glo-def.scm 149 */
BgL_sfunz00_bglt BgL_obj1376z00_2100;
BgL_obj1376z00_2100 = 
(BgL_sfunz00_bglt)(BgL_oldzd2valuezd2_1485); 
BgL_auxz00_2923 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_2100))->BgL_classz00); } 
BgL_testz00_2922 = 
(BgL_auxz00_2923==BgL_classz00_21); } 
if(BgL_testz00_2922)
{ /* Ast/glo-def.scm 151 */
bool_t BgL_test2908z00_1488;
{ /* Ast/glo-def.scm 151 */
long BgL_arg2939z00_1531;int BgL_arg2940z00_1532;
{ /* Ast/glo-def.scm 151 */
BgL_sfunz00_bglt BgL_obj1350z00_2101;
BgL_obj1350z00_2101 = 
(BgL_sfunz00_bglt)(BgL_oldzd2valuezd2_1485); 
BgL_arg2939z00_1531 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1350z00_2101))->BgL_arityz00); } 
BgL_arg2940z00_1532 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_19); 
{ /* Ast/glo-def.scm 151 */
long BgL_auxz00_2930;
BgL_auxz00_2930 = 
(long)(BgL_arg2940z00_1532); 
BgL_test2908z00_1488 = 
(BgL_arg2939z00_1531==BgL_auxz00_2930); } } 
if(BgL_test2908z00_1488)
{ /* Ast/glo-def.scm 153 */
bool_t BgL_test2909z00_1489;
{ /* Ast/glo-def.scm 153 */
BgL_typez00_bglt BgL_auxz00_2938;bool_t BgL_auxz00_2934;
{ /* Ast/glo-def.scm 155 */
BgL_globalz00_bglt BgL_obj1152z00_2104;
BgL_obj1152z00_2104 = 
(BgL_globalz00_bglt)(BgL_oldz00_17); 
BgL_auxz00_2938 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2104))->BgL_typez00); } 
{ /* Ast/glo-def.scm 153 */
obj_t BgL_auxz00_2935;
BgL_auxz00_2935 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_2934 = 
(BgL_auxz00_2935==BgL_classz00_21); } 
BgL_test2909z00_1489 = 
BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(BgL_auxz00_2934, 
(BgL_typez00_bglt)(BgL_typezd2reszd2_18), BgL_auxz00_2938); } 
if(BgL_test2909z00_1489)
{ /* Ast/glo-def.scm 159 */
bool_t BgL_test2910z00_1490;
{ /* Ast/glo-def.scm 159 */
obj_t BgL_arg2933z00_1525;obj_t BgL_arg2934z00_1526;
{ /* Ast/glo-def.scm 159 */
BgL_sfunz00_bglt BgL_obj1379z00_2105;
BgL_obj1379z00_2105 = 
(BgL_sfunz00_bglt)(BgL_oldzd2valuezd2_1485); 
BgL_arg2933z00_1525 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1379z00_2105))->BgL_dssslzd2keywordszd2); } 
BgL_arg2934z00_1526 = 
BGl_dssslzd2formalszd2encodingz00zztools_dssslz00(BgL_argsz00_19); 
BgL_test2910z00_1490 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg2933z00_1525, BgL_arg2934z00_1526); } 
if(BgL_test2910z00_1490)
{ /* Ast/glo-def.scm 162 */
obj_t BgL__ortest_2863z00_1491;
{ 
obj_t BgL_localsz00_1492;obj_t BgL_typesz00_1493;bool_t BgL_subzf3zf3_1494;
{ /* Ast/glo-def.scm 163 */
obj_t BgL_arg2911z00_1496;
{ /* Ast/glo-def.scm 163 */
obj_t BgL_l2864z00_1497;
{ /* Ast/glo-def.scm 174 */
BgL_sfunz00_bglt BgL_obj1369z00_2106;
BgL_obj1369z00_2106 = 
(BgL_sfunz00_bglt)(BgL_oldzd2valuezd2_1485); 
BgL_l2864z00_1497 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2106))->BgL_argsz00); } 
if(
NULLP(BgL_l2864z00_1497))
{ /* Ast/glo-def.scm 163 */
BgL_arg2911z00_1496 = BNIL; }  else 
{ /* Ast/glo-def.scm 163 */
obj_t BgL_head2866z00_1499;
BgL_head2866z00_1499 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2864z00_1500;obj_t BgL_tail2867z00_1501;
BgL_l2864z00_1500 = BgL_l2864z00_1497; 
BgL_tail2867z00_1501 = BgL_head2866z00_1499; 
BgL_lname2865z00_1502:
if(
NULLP(BgL_l2864z00_1500))
{ /* Ast/glo-def.scm 163 */
BgL_arg2911z00_1496 = 
CDR(BgL_head2866z00_1499); }  else 
{ /* Ast/glo-def.scm 165 */
obj_t BgL_newtail2868z00_1504;
{ /* Ast/glo-def.scm 165 */
obj_t BgL_arg2915z00_1506;
{ /* Ast/glo-def.scm 165 */
obj_t BgL_az00_1508;
BgL_az00_1508 = 
CAR(BgL_l2864z00_1500); 
{ /* Ast/glo-def.scm 165 */
bool_t BgL_test2917z00_1509;
BgL_test2917z00_1509 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1508, BGl_localz00zzast_varz00); 
if(BgL_test2917z00_1509)
{ /* Ast/glo-def.scm 165 */
{ /* Ast/glo-def.scm 166 */
BgL_localz00_bglt BgL_obj1252z00_2114;
BgL_obj1252z00_2114 = 
(BgL_localz00_bglt)(BgL_az00_1508); 
{ /* Ast/glo-def.scm 166 */
BgL_typez00_bglt BgL_auxz00_2961;
BgL_auxz00_2961 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2114))->BgL_typez00); 
BgL_arg2915z00_1506 = 
(obj_t)(BgL_auxz00_2961); } } }  else 
{ /* Ast/glo-def.scm 167 */
bool_t BgL_test2918z00_1510;
BgL_test2918z00_1510 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1508, BGl_typez00zztype_typez00); 
if(BgL_test2918z00_1510)
{ /* Ast/glo-def.scm 167 */
BgL_arg2915z00_1506 = BgL_az00_1508; }  else 
{ /* Ast/glo-def.scm 167 */
{ /* Ast/glo-def.scm 170 */
obj_t BgL_arg2921z00_1513;
BgL_arg2921z00_1513 = 
BGl_shapez00zztools_shapez00(BgL_az00_1508); 
BgL_arg2915z00_1506 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3056z00zzast_glozd2defzd2, BGl_string3057z00zzast_glozd2defzd2, BgL_arg2921z00_1513); } } } } } 
BgL_newtail2868z00_1504 = 
MAKE_PAIR(BgL_arg2915z00_1506, BNIL); } 
SET_CDR(BgL_tail2867z00_1501, BgL_newtail2868z00_1504); 
{ 
obj_t BgL_tail2867z00_2972;obj_t BgL_l2864z00_2970;
BgL_l2864z00_2970 = 
CDR(BgL_l2864z00_1500); 
BgL_tail2867z00_2972 = BgL_newtail2868z00_1504; 
BgL_tail2867z00_1501 = BgL_tail2867z00_2972; 
BgL_l2864z00_1500 = BgL_l2864z00_2970; 
goto BgL_lname2865z00_1502;} } } } } 
BgL_localsz00_1492 = BgL_localsz00_20; 
BgL_typesz00_1493 = BgL_arg2911z00_1496; 
BgL_subzf3zf3_1494 = ((bool_t)0); 
BgL_loopz00_1495:
if(
NULLP(BgL_localsz00_1492))
{ /* Ast/glo-def.scm 182 */
{ /* Ast/glo-def.scm 185 */
BgL_globalz00_bglt BgL_obj1190z00_2122;
BgL_obj1190z00_2122 = 
(BgL_globalz00_bglt)(BgL_oldz00_17); 
((((BgL_globalz00_bglt)CREF(BgL_obj1190z00_2122))->BgL_srcz00) = ((obj_t)BgL_srczd2expzd2_22), BUNSPEC); } 
BgL__ortest_2863z00_1491 = BgL_oldz00_17; }  else 
{ /* Ast/glo-def.scm 187 */
bool_t BgL_test2923z00_1515;
if(
NULLP(BgL_typesz00_1493))
{ /* Ast/glo-def.scm 187 */
BgL_test2923z00_1515 = ((bool_t)1); }  else 
{ /* Ast/glo-def.scm 188 */
bool_t BgL_test2928z00_1520;
{ /* Ast/glo-def.scm 188 */
BgL_typez00_bglt BgL_auxz00_2984;BgL_typez00_bglt BgL_auxz00_2979;
{ /* Ast/glo-def.scm 190 */
obj_t BgL_auxz00_2985;
BgL_auxz00_2985 = 
CAR(BgL_typesz00_1493); 
BgL_auxz00_2984 = 
(BgL_typez00_bglt)(BgL_auxz00_2985); } 
{ /* Ast/glo-def.scm 189 */
BgL_localz00_bglt BgL_obj1252z00_2126;
{ /* Ast/glo-def.scm 189 */
obj_t BgL_auxz00_2980;
BgL_auxz00_2980 = 
CAR(BgL_localsz00_1492); 
BgL_obj1252z00_2126 = 
(BgL_localz00_bglt)(BgL_auxz00_2980); } 
BgL_auxz00_2979 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2126))->BgL_typez00); } 
BgL_test2928z00_1520 = 
BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(BgL_subzf3zf3_1494, BgL_auxz00_2979, BgL_auxz00_2984); } 
if(BgL_test2928z00_1520)
{ /* Ast/glo-def.scm 188 */
BgL_test2923z00_1515 = ((bool_t)0); }  else 
{ /* Ast/glo-def.scm 188 */
BgL_test2923z00_1515 = ((bool_t)1); } } 
if(BgL_test2923z00_1515)
{ /* Ast/glo-def.scm 187 */
{ /* Ast/glo-def.scm 191 */
obj_t BgL_list2924z00_1516;
BgL_list2924z00_1516 = 
MAKE_PAIR(BGl_string3058z00zzast_glozd2defzd2, BNIL); 
{ /* Ast/glo-def.scm 191 */
BgL_globalz00_bglt BgL_auxz00_2992;
BgL_auxz00_2992 = 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BgL_list2924z00_1516); 
BgL__ortest_2863z00_1491 = 
(obj_t)(BgL_auxz00_2992); } } }  else 
{ /* Ast/glo-def.scm 187 */
{ 
bool_t BgL_subzf3zf3_3000;obj_t BgL_typesz00_2998;obj_t BgL_localsz00_2996;
BgL_localsz00_2996 = 
CDR(BgL_localsz00_1492); 
BgL_typesz00_2998 = 
CDR(BgL_typesz00_1493); 
BgL_subzf3zf3_3000 = ((bool_t)0); 
BgL_subzf3zf3_1494 = BgL_subzf3zf3_3000; 
BgL_typesz00_1493 = BgL_typesz00_2998; 
BgL_localsz00_1492 = BgL_localsz00_2996; 
goto BgL_loopz00_1495;} } } } } 
if(
CBOOL(BgL__ortest_2863z00_1491))
{ /* Ast/glo-def.scm 162 */
return 
(BgL_globalz00_bglt)(BgL__ortest_2863z00_1491);}  else 
{ /* Ast/glo-def.scm 162 */
return 
(BgL_globalz00_bglt)(BgL_oldz00_17);} }  else 
{ /* Ast/glo-def.scm 159 */
{ /* Ast/glo-def.scm 161 */
obj_t BgL_list2932z00_1524;
BgL_list2932z00_1524 = 
MAKE_PAIR(BGl_string3059z00zzast_glozd2defzd2, BNIL); 
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BgL_list2932z00_1524);} } }  else 
{ /* Ast/glo-def.scm 153 */
{ /* Ast/glo-def.scm 156 */
obj_t BgL_list2935z00_1527;
BgL_list2935z00_1527 = 
MAKE_PAIR(BGl_string3060z00zzast_glozd2defzd2, BNIL); 
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BgL_list2935z00_1527);} } }  else 
{ /* Ast/glo-def.scm 151 */
{ /* Ast/glo-def.scm 152 */
obj_t BgL_list2938z00_1530;
BgL_list2938z00_1530 = 
MAKE_PAIR(BGl_string3061z00zzast_glozd2defzd2, BNIL); 
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BgL_list2938z00_1530);} } }  else 
{ /* Ast/glo-def.scm 149 */
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BNIL);} }  else 
{ /* Ast/glo-def.scm 147 */
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_17), BgL_srczd2expzd2_22, BNIL);} } } } 
}



/* def-global-scnst! */
BgL_globalz00_bglt BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_idz00_23, obj_t BgL_modulez00_24, obj_t BgL_nodez00_25, obj_t BgL_classz00_26, obj_t BgL_locz00_27)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 202 */
BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_23); 
{ /* Ast/glo-def.scm 204 */
obj_t BgL_idze2typeze2_2130;
BgL_idze2typeze2_2130 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_23, BgL_locz00_27); 
{ /* Ast/glo-def.scm 204 */
obj_t BgL_oldzd2globalzd2_2132;
BgL_oldzd2globalzd2_2132 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CAR(BgL_idze2typeze2_2130), BgL_modulez00_24); 
{ /* Ast/glo-def.scm 204 */
BgL_globalz00_bglt BgL_globalz00_2133;
BgL_globalz00_2133 = 
BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(BgL_idz00_23, BgL_modulez00_24, 
CNST_TABLE_REF(((long)1)), BgL_nodez00_25, BgL_classz00_26, BgL_locz00_27); 
{ /* Ast/glo-def.scm 204 */

BGl_removezd2varzd2fromz12z12zzast_removez00(
CNST_TABLE_REF(((long)3)), 
(BgL_variablez00_bglt)(BgL_globalz00_2133)); 
BGl_leavezd2functionzd2zztools_errorz00(); 
return BgL_globalz00_2133;} } } } } 
}



/* _def-global-scnst! */
obj_t BGl__defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_envz00_2764, obj_t BgL_idz00_2765, obj_t BgL_modulez00_2766, obj_t BgL_nodez00_2767, obj_t BgL_classz00_2768, obj_t BgL_locz00_2769)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 202 */
{ /* Ast/glo-def.scm 202 */
BgL_globalz00_bglt BgL_auxz00_3028;
BgL_auxz00_3028 = 
BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_idz00_2765, BgL_modulez00_2766, BgL_nodez00_2767, BgL_classz00_2768, BgL_locz00_2769); 
return 
(obj_t)(BgL_auxz00_3028);} } 
}



/* def-global-svar! */
BgL_globalz00_bglt BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_idz00_28, obj_t BgL_modulez00_29, obj_t BgL_srczd2expzd2_30, obj_t BgL_remz00_31)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 222 */
{ /* Ast/glo-def.scm 223 */
obj_t BgL_locz00_1540;
BgL_locz00_1540 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_30); 
{ /* Ast/glo-def.scm 223 */
obj_t BgL_idze2typeze2_1541;
BgL_idze2typeze2_1541 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_28, BgL_locz00_1540); 
{ /* Ast/glo-def.scm 224 */
obj_t BgL_idze2idze2_1542;
BgL_idze2idze2_1542 = 
CAR(BgL_idze2typeze2_1541); 
{ /* Ast/glo-def.scm 225 */
obj_t BgL_oldzd2globalzd2_1543;
BgL_oldzd2globalzd2_1543 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idze2idze2_1542, BgL_modulez00_29); 
{ /* Ast/glo-def.scm 226 */
obj_t BgL_importz00_1544;
{ /* Ast/glo-def.scm 227 */
bool_t BgL_test2954z00_1559;
{ /* Ast/glo-def.scm 227 */
long BgL_n1z00_2136;
BgL_n1z00_2136 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2954z00_1559 = 
(BgL_n1z00_2136>=((long)3)); } 
if(BgL_test2954z00_1559)
{ /* Ast/glo-def.scm 227 */
BgL_importz00_1544 = 
CNST_TABLE_REF(((long)0)); }  else 
{ /* Ast/glo-def.scm 227 */
BgL_importz00_1544 = 
CNST_TABLE_REF(((long)1)); } } 
{ /* Ast/glo-def.scm 227 */
obj_t BgL_typez00_1545;
{ /* Ast/glo-def.scm 230 */
obj_t BgL_typez00_1552;
BgL_typez00_1552 = 
CDR(BgL_idze2typeze2_1541); 
{ /* Ast/glo-def.scm 233 */
bool_t BgL_testz00_3041;
{ /* Ast/glo-def.scm 233 */
obj_t BgL_auxz00_3045;obj_t BgL_auxz00_3042;
BgL_auxz00_3045 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/glo-def.scm 233 */
BgL_typez00_bglt BgL_obj1009z00_2139;
BgL_obj1009z00_2139 = 
(BgL_typez00_bglt)(BgL_typez00_1552); 
BgL_auxz00_3042 = 
(((BgL_typez00_bglt)CREF(BgL_obj1009z00_2139))->BgL_classz00); } 
BgL_testz00_3041 = 
(BgL_auxz00_3042==BgL_auxz00_3045); } 
if(BgL_testz00_3041)
{ /* Ast/glo-def.scm 233 */
BgL_typez00_1545 = BgL_typez00_1552; }  else 
{ /* Ast/glo-def.scm 234 */
obj_t BgL_arg2950z00_1555;
BgL_arg2950z00_1555 = 
BGl_shapez00zztools_shapez00(BgL_typez00_1552); 
BgL_typez00_1545 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idze2idze2_1542, BGl_string3062z00zzast_glozd2defzd2, BgL_arg2950z00_1555, BNIL); } } } 
{ /* Ast/glo-def.scm 230 */
BgL_globalz00_bglt BgL_globalz00_1546;
{ /* Ast/glo-def.scm 239 */
bool_t BgL_test2947z00_1551;
BgL_test2947z00_1551 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldzd2globalzd2_1543, BGl_globalz00zzast_varz00); 
if(BgL_test2947z00_1551)
{ /* Ast/glo-def.scm 239 */
BgL_globalz00_1546 = 
BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(BgL_oldzd2globalzd2_1543, BgL_typez00_1545, BgL_srczd2expzd2_30); }  else 
{ /* Ast/glo-def.scm 239 */
BgL_globalz00_1546 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_idz00_28, BgL_modulez00_29, BgL_importz00_1544, BgL_srczd2expzd2_30, BFALSE); } } 
{ /* Ast/glo-def.scm 238 */
obj_t BgL_defzd2loczd2_1547;
BgL_defzd2loczd2_1547 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_30); 
{ /* Ast/glo-def.scm 249 */

{ /* Ast/glo-def.scm 251 */
BgL_variablez00_bglt BgL_varz00_2141;BgL_typez00_bglt BgL_newzd2typezd2_2142;
BgL_varz00_2141 = 
(BgL_variablez00_bglt)(BgL_globalz00_1546); 
BgL_newzd2typezd2_2142 = 
(BgL_typez00_bglt)(BgL_typez00_1545); 
{ /* Ast/glo-def.scm 251 */
bool_t BgL_test2967z00_2144;
{ /* Ast/glo-def.scm 251 */
obj_t BgL_auxz00_3057;
{ /* Ast/glo-def.scm 251 */
BgL_typez00_bglt BgL_auxz00_3058;
BgL_auxz00_3058 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2141))->BgL_typez00); 
BgL_auxz00_3057 = 
(obj_t)(BgL_auxz00_3058); } 
BgL_test2967z00_2144 = 
(BgL_auxz00_3057==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2967z00_2144)
{ /* Ast/glo-def.scm 251 */
((((BgL_variablez00_bglt)CREF(BgL_varz00_2141))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_2142), BUNSPEC); }  else 
{ /* Ast/glo-def.scm 251 */BFALSE; } } } 
{ /* Ast/glo-def.scm 253 */
bool_t BgL_test2944z00_1548;
{ /* Ast/glo-def.scm 253 */
obj_t BgL_auxz00_3064;
{ /* Ast/glo-def.scm 253 */
BgL_valuez00_bglt BgL_auxz00_3065;
BgL_auxz00_3065 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1546))->BgL_valuez00); 
BgL_auxz00_3064 = 
(obj_t)(BgL_auxz00_3065); } 
BgL_test2944z00_1548 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3064, BGl_svarz00zzast_varz00); } 
if(BgL_test2944z00_1548)
{ /* Ast/glo-def.scm 255 */
BgL_svarz00_bglt BgL_obj1489z00_2151;
{ /* Ast/glo-def.scm 255 */
BgL_valuez00_bglt BgL_auxz00_3070;
BgL_auxz00_3070 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1546))->BgL_valuez00); 
BgL_obj1489z00_2151 = 
(BgL_svarz00_bglt)(BgL_auxz00_3070); } 
((((BgL_svarz00_bglt)CREF(BgL_obj1489z00_2151))->BgL_locz00) = ((obj_t)BgL_defzd2loczd2_1547), BUNSPEC); }  else 
{ /* Ast/glo-def.scm 253 */BFALSE; } } 
BGl_removezd2varzd2fromz12z12zzast_removez00(BgL_remz00_31, 
(BgL_variablez00_bglt)(BgL_globalz00_1546)); 
return BgL_globalz00_1546;} } } } } } } } } } 
}



/* _def-global-svar! */
obj_t BGl__defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_envz00_2770, obj_t BgL_idz00_2771, obj_t BgL_modulez00_2772, obj_t BgL_srczd2expzd2_2773, obj_t BgL_remz00_2774)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 222 */
{ /* Ast/glo-def.scm 222 */
BgL_globalz00_bglt BgL_auxz00_3076;
BgL_auxz00_3076 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_2771, BgL_modulez00_2772, BgL_srczd2expzd2_2773, BgL_remz00_2774); 
return 
(obj_t)(BgL_auxz00_3076);} } 
}



/* check-svar-definition */
BgL_globalz00_bglt BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t BgL_oldz00_32, obj_t BgL_typez00_33, obj_t BgL_srczd2expzd2_34)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 263 */
{ /* Ast/glo-def.scm 266 */
bool_t BgL_test2955z00_1561;
{ /* Ast/glo-def.scm 266 */
obj_t BgL_auxz00_3079;
{ /* Ast/glo-def.scm 266 */
BgL_valuez00_bglt BgL_auxz00_3080;
{ /* Ast/glo-def.scm 264 */
BgL_globalz00_bglt BgL_obj1155z00_2153;
BgL_obj1155z00_2153 = 
(BgL_globalz00_bglt)(BgL_oldz00_32); 
BgL_auxz00_3080 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2153))->BgL_valuez00); } 
BgL_auxz00_3079 = 
(obj_t)(BgL_auxz00_3080); } 
BgL_test2955z00_1561 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3079, BGl_svarz00zzast_varz00); } 
if(BgL_test2955z00_1561)
{ /* Ast/glo-def.scm 268 */
bool_t BgL_test2956z00_1562;
{ /* Ast/glo-def.scm 268 */
BgL_typez00_bglt BgL_auxz00_3086;
{ /* Ast/glo-def.scm 268 */
BgL_globalz00_bglt BgL_obj1152z00_2155;
BgL_obj1152z00_2155 = 
(BgL_globalz00_bglt)(BgL_oldz00_32); 
BgL_auxz00_3086 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2155))->BgL_typez00); } 
BgL_test2956z00_1562 = 
BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t)0), 
(BgL_typez00_bglt)(BgL_typez00_33), BgL_auxz00_3086); } 
if(BgL_test2956z00_1562)
{ /* Ast/glo-def.scm 268 */
return 
(BgL_globalz00_bglt)(BgL_oldz00_32);}  else 
{ /* Ast/glo-def.scm 268 */
{ /* Ast/glo-def.scm 269 */
obj_t BgL_list2957z00_1563;
BgL_list2957z00_1563 = 
MAKE_PAIR(BGl_string3063z00zzast_glozd2defzd2, BNIL); 
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_32), BgL_srczd2expzd2_34, BgL_list2957z00_1563);} } }  else 
{ /* Ast/glo-def.scm 266 */
return 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_oldz00_32), BgL_srczd2expzd2_34, BNIL);} } } 
}



/* compatible-type? */
bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t BgL_subzf3zf3_35, BgL_typez00_bglt BgL_newz00_36, BgL_typez00_bglt BgL_oldz00_37)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 276 */
{ /* Ast/glo-def.scm 277 */
bool_t BgL__ortest_2869z00_1566;
{ /* Ast/glo-def.scm 277 */
obj_t BgL_auxz00_3098;
BgL_auxz00_3098 = 
(obj_t)(BgL_newz00_36); 
BgL__ortest_2869z00_1566 = 
(BgL_auxz00_3098==BGl_za2_za2z00zztype_cachez00); } 
if(BgL__ortest_2869z00_1566)
{ /* Ast/glo-def.scm 277 */
return BgL__ortest_2869z00_1566;}  else 
{ /* Ast/glo-def.scm 278 */
bool_t BgL__ortest_2870z00_1567;
{ /* Ast/glo-def.scm 278 */
obj_t BgL_auxz00_3104;obj_t BgL_auxz00_3102;
BgL_auxz00_3104 = 
(obj_t)(BgL_newz00_36); 
BgL_auxz00_3102 = 
(obj_t)(BgL_oldz00_37); 
BgL__ortest_2870z00_1567 = 
(BgL_auxz00_3102==BgL_auxz00_3104); } 
if(BgL__ortest_2870z00_1567)
{ /* Ast/glo-def.scm 278 */
return BgL__ortest_2870z00_1567;}  else 
{ /* Ast/glo-def.scm 278 */
if(BgL_subzf3zf3_35)
{ /* Ast/glo-def.scm 280 */
bool_t BgL__ortest_2872z00_1569;
BgL__ortest_2872z00_1569 = 
BGl_typezd2subclasszf3z21zzobject_classz00(BgL_newz00_36, BgL_oldz00_37); 
if(BgL__ortest_2872z00_1569)
{ /* Ast/glo-def.scm 280 */
return BgL__ortest_2872z00_1569;}  else 
{ /* Ast/glo-def.scm 281 */
bool_t BgL__andtest_2873z00_1570;
BgL__andtest_2873z00_1570 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_newz00_36), BGl_tclassz00zzobject_classz00); 
if(BgL__andtest_2873z00_1570)
{ /* Ast/glo-def.scm 281 */
obj_t BgL_auxz00_3114;
BgL_auxz00_3114 = 
(obj_t)(BgL_oldz00_37); 
return 
(BgL_auxz00_3114==BGl_za2objza2z00zztype_cachez00);}  else 
{ /* Ast/glo-def.scm 281 */
return ((bool_t)0);} } }  else 
{ /* Ast/glo-def.scm 279 */
return ((bool_t)0);} } } } } 
}



/* mismatch-error */
BgL_globalz00_bglt BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt BgL_globalz00_38, obj_t BgL_srczd2expzd2_39, obj_t BgL_addzd2msgzd2_40)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 286 */
{ /* Ast/glo-def.scm 288 */
obj_t BgL_arg2960z00_1572;obj_t BgL_arg2961z00_1573;
if(
PAIRP(BgL_addzd2msgzd2_40))
{ /* Ast/glo-def.scm 289 */
obj_t BgL_auxz00_3119;
BgL_auxz00_3119 = 
CAR(BgL_addzd2msgzd2_40); 
BgL_arg2960z00_1572 = 
string_append_3(BGl_string3064z00zzast_glozd2defzd2, BGl_string3065z00zzast_glozd2defzd2, BgL_auxz00_3119); }  else 
{ /* Ast/glo-def.scm 288 */
BgL_arg2960z00_1572 = BGl_string3064z00zzast_glozd2defzd2; } 
BgL_arg2961z00_1573 = 
BGl_shapez00zztools_shapez00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_38))->BgL_srcz00)); 
{ /* Ast/glo-def.scm 288 */
obj_t BgL_list2962z00_1574;
{ /* Ast/glo-def.scm 288 */
obj_t BgL_auxz00_3124;
BgL_auxz00_3124 = 
(obj_t)(BgL_globalz00_38); 
BgL_list2962z00_1574 = 
MAKE_PAIR(BgL_auxz00_3124, BNIL); } 
{ /* Ast/glo-def.scm 288 */
obj_t BgL_auxz00_3127;
BgL_auxz00_3127 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2960z00_1572, BgL_arg2961z00_1573, BgL_srczd2expzd2_39, BgL_list2962z00_1574); 
return 
(BgL_globalz00_bglt)(BgL_auxz00_3127);} } } } 
}



/* check-method-definition */
bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_idz00_43, obj_t BgL_argsz00_44, obj_t BgL_localsz00_45, obj_t BgL_srcz00_46)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 306 */
{ /* Ast/glo-def.scm 307 */
obj_t BgL_locz00_1581;
BgL_locz00_1581 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_46); 
{ /* Ast/glo-def.scm 307 */
BgL_typez00_bglt BgL_typezd2reszd2_1582;
BgL_typezd2reszd2_1582 = 
BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_43, BgL_locz00_1581); 
{ /* Ast/glo-def.scm 308 */
obj_t BgL_methodzd2idzd2_1583;
BgL_methodzd2idzd2_1583 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_43, BgL_locz00_1581); 
{ /* Ast/glo-def.scm 309 */
obj_t BgL_genericz00_1584;
BgL_genericz00_1584 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_43, BNIL); 
{ /* Ast/glo-def.scm 310 */

{ /* Ast/glo-def.scm 311 */
bool_t BgL_test2968z00_1585;
BgL_test2968z00_1585 = 
BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_1584, BGl_globalz00zzast_varz00); 
if(BgL_test2968z00_1585)
{ /* Ast/glo-def.scm 315 */
BgL_valuez00_bglt BgL_genericzd2valuezd2_1586;
{ /* Ast/glo-def.scm 315 */
BgL_globalz00_bglt BgL_obj1155z00_2166;
BgL_obj1155z00_2166 = 
(BgL_globalz00_bglt)(BgL_genericz00_1584); 
BgL_genericzd2valuezd2_1586 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2166))->BgL_valuez00); } 
{ /* Ast/glo-def.scm 317 */
bool_t BgL_test2969z00_1587;
BgL_test2969z00_1587 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_genericzd2valuezd2_1586), BGl_sfunz00zzast_varz00); 
if(BgL_test2969z00_1587)
{ /* Ast/glo-def.scm 320 */
bool_t BgL_testz00_3141;
{ /* Ast/glo-def.scm 320 */
obj_t BgL_auxz00_3145;obj_t BgL_auxz00_3142;
BgL_auxz00_3145 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/glo-def.scm 320 */
BgL_sfunz00_bglt BgL_obj1376z00_2168;
BgL_obj1376z00_2168 = 
(BgL_sfunz00_bglt)(BgL_genericzd2valuezd2_1586); 
BgL_auxz00_3142 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_2168))->BgL_classz00); } 
BgL_testz00_3141 = 
(BgL_auxz00_3142==BgL_auxz00_3145); } 
if(BgL_testz00_3141)
{ /* Ast/glo-def.scm 323 */
bool_t BgL_test2971z00_1589;
{ /* Ast/glo-def.scm 323 */
long BgL_arg2995z00_1625;int BgL_arg2996z00_1626;
{ /* Ast/glo-def.scm 323 */
BgL_sfunz00_bglt BgL_obj1350z00_2169;
BgL_obj1350z00_2169 = 
(BgL_sfunz00_bglt)(BgL_genericzd2valuezd2_1586); 
BgL_arg2995z00_1625 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1350z00_2169))->BgL_arityz00); } 
BgL_arg2996z00_1626 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_44); 
{ /* Ast/glo-def.scm 323 */
long BgL_auxz00_3151;
BgL_auxz00_3151 = 
(long)(BgL_arg2996z00_1626); 
BgL_test2971z00_1589 = 
(BgL_arg2995z00_1625==BgL_auxz00_3151); } } 
if(BgL_test2971z00_1589)
{ /* Ast/glo-def.scm 326 */
bool_t BgL_test2972z00_1590;
{ /* Ast/glo-def.scm 326 */
BgL_typez00_bglt BgL_auxz00_3155;
{ /* Ast/glo-def.scm 326 */
BgL_globalz00_bglt BgL_obj1152z00_2172;
BgL_obj1152z00_2172 = 
(BgL_globalz00_bglt)(BgL_genericz00_1584); 
BgL_auxz00_3155 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2172))->BgL_typez00); } 
BgL_test2972z00_1590 = 
BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t)1), BgL_typezd2reszd2_1582, BgL_auxz00_3155); } 
if(BgL_test2972z00_1590)
{ /* Ast/glo-def.scm 331 */
bool_t BgL__ortest_2874z00_1591;
{ 
obj_t BgL_localsz00_1592;obj_t BgL_typesz00_1593;bool_t BgL_subzf3zf3_1594;
{ /* Ast/glo-def.scm 332 */
obj_t BgL_arg2973z00_1596;
{ /* Ast/glo-def.scm 332 */
obj_t BgL_l2875z00_1597;
{ /* Ast/glo-def.scm 343 */
BgL_sfunz00_bglt BgL_obj1369z00_2173;
BgL_obj1369z00_2173 = 
(BgL_sfunz00_bglt)(BgL_genericzd2valuezd2_1586); 
BgL_l2875z00_1597 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2173))->BgL_argsz00); } 
if(
NULLP(BgL_l2875z00_1597))
{ /* Ast/glo-def.scm 332 */
BgL_arg2973z00_1596 = BNIL; }  else 
{ /* Ast/glo-def.scm 332 */
obj_t BgL_head2877z00_1599;
BgL_head2877z00_1599 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2875z00_1600;obj_t BgL_tail2878z00_1601;
BgL_l2875z00_1600 = BgL_l2875z00_1597; 
BgL_tail2878z00_1601 = BgL_head2877z00_1599; 
BgL_lname2876z00_1602:
if(
NULLP(BgL_l2875z00_1600))
{ /* Ast/glo-def.scm 332 */
BgL_arg2973z00_1596 = 
CDR(BgL_head2877z00_1599); }  else 
{ /* Ast/glo-def.scm 334 */
obj_t BgL_newtail2879z00_1604;
{ /* Ast/glo-def.scm 334 */
obj_t BgL_arg2977z00_1606;
{ /* Ast/glo-def.scm 334 */
obj_t BgL_az00_1608;
BgL_az00_1608 = 
CAR(BgL_l2875z00_1600); 
{ /* Ast/glo-def.scm 334 */
bool_t BgL_test2979z00_1609;
BgL_test2979z00_1609 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1608, BGl_localz00zzast_varz00); 
if(BgL_test2979z00_1609)
{ /* Ast/glo-def.scm 334 */
{ /* Ast/glo-def.scm 335 */
BgL_localz00_bglt BgL_obj1252z00_2181;
BgL_obj1252z00_2181 = 
(BgL_localz00_bglt)(BgL_az00_1608); 
{ /* Ast/glo-def.scm 335 */
BgL_typez00_bglt BgL_auxz00_3172;
BgL_auxz00_3172 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2181))->BgL_typez00); 
BgL_arg2977z00_1606 = 
(obj_t)(BgL_auxz00_3172); } } }  else 
{ /* Ast/glo-def.scm 336 */
bool_t BgL_test2980z00_1610;
BgL_test2980z00_1610 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1608, BGl_typez00zztype_typez00); 
if(BgL_test2980z00_1610)
{ /* Ast/glo-def.scm 336 */
BgL_arg2977z00_1606 = BgL_az00_1608; }  else 
{ /* Ast/glo-def.scm 336 */
{ /* Ast/glo-def.scm 339 */
obj_t BgL_arg2983z00_1613;
BgL_arg2983z00_1613 = 
BGl_shapez00zztools_shapez00(BgL_az00_1608); 
BgL_arg2977z00_1606 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3056z00zzast_glozd2defzd2, BGl_string3057z00zzast_glozd2defzd2, BgL_arg2983z00_1613); } } } } } 
BgL_newtail2879z00_1604 = 
MAKE_PAIR(BgL_arg2977z00_1606, BNIL); } 
SET_CDR(BgL_tail2878z00_1601, BgL_newtail2879z00_1604); 
{ 
obj_t BgL_tail2878z00_3183;obj_t BgL_l2875z00_3181;
BgL_l2875z00_3181 = 
CDR(BgL_l2875z00_1600); 
BgL_tail2878z00_3183 = BgL_newtail2879z00_1604; 
BgL_tail2878z00_1601 = BgL_tail2878z00_3183; 
BgL_l2875z00_1600 = BgL_l2875z00_3181; 
goto BgL_lname2876z00_1602;} } } } } 
BgL_localsz00_1592 = BgL_localsz00_45; 
BgL_typesz00_1593 = BgL_arg2973z00_1596; 
BgL_subzf3zf3_1594 = ((bool_t)1); 
BgL_loopz00_1595:
if(
NULLP(BgL_localsz00_1592))
{ /* Ast/glo-def.scm 346 */
BgL__ortest_2874z00_1591 = ((bool_t)1); }  else 
{ /* Ast/glo-def.scm 348 */
bool_t BgL_test2985z00_1615;
{ /* Ast/glo-def.scm 348 */
BgL_typez00_bglt BgL_auxz00_3191;BgL_typez00_bglt BgL_auxz00_3186;
{ /* Ast/glo-def.scm 350 */
obj_t BgL_auxz00_3192;
BgL_auxz00_3192 = 
CAR(BgL_typesz00_1593); 
BgL_auxz00_3191 = 
(BgL_typez00_bglt)(BgL_auxz00_3192); } 
{ /* Ast/glo-def.scm 349 */
BgL_localz00_bglt BgL_obj1252z00_2190;
{ /* Ast/glo-def.scm 349 */
obj_t BgL_auxz00_3187;
BgL_auxz00_3187 = 
CAR(BgL_localsz00_1592); 
BgL_obj1252z00_2190 = 
(BgL_localz00_bglt)(BgL_auxz00_3187); } 
BgL_auxz00_3186 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2190))->BgL_typez00); } 
BgL_test2985z00_1615 = 
BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(BgL_subzf3zf3_1594, BgL_auxz00_3186, BgL_auxz00_3191); } 
if(BgL_test2985z00_1615)
{ /* Ast/glo-def.scm 348 */
{ 
bool_t BgL_subzf3zf3_3201;obj_t BgL_typesz00_3199;obj_t BgL_localsz00_3197;
BgL_localsz00_3197 = 
CDR(BgL_localsz00_1592); 
BgL_typesz00_3199 = 
CDR(BgL_typesz00_1593); 
BgL_subzf3zf3_3201 = ((bool_t)0); 
BgL_subzf3zf3_1594 = BgL_subzf3zf3_3201; 
BgL_typesz00_1593 = BgL_typesz00_3199; 
BgL_localsz00_1592 = BgL_localsz00_3197; 
goto BgL_loopz00_1595;} }  else 
{ /* Ast/glo-def.scm 348 */
{ /* Ast/glo-def.scm 351 */
obj_t BgL_list2988z00_1618;
BgL_list2988z00_1618 = 
MAKE_PAIR(BGl_string3058z00zzast_glozd2defzd2, BNIL); 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_genericz00_1584), BgL_srcz00_46, BgL_list2988z00_1618); } 
BgL__ortest_2874z00_1591 = ((bool_t)0); } } } } 
if(BgL__ortest_2874z00_1591)
{ /* Ast/glo-def.scm 331 */
return BgL__ortest_2874z00_1591;}  else 
{ /* Ast/glo-def.scm 331 */
return ((bool_t)1);} }  else 
{ /* Ast/glo-def.scm 326 */
{ /* Ast/glo-def.scm 327 */
obj_t BgL_list2992z00_1622;
BgL_list2992z00_1622 = 
MAKE_PAIR(BGl_string3060z00zzast_glozd2defzd2, BNIL); 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_genericz00_1584), BgL_srcz00_46, BgL_list2992z00_1622); } 
return ((bool_t)0);} }  else 
{ /* Ast/glo-def.scm 323 */
{ /* Ast/glo-def.scm 324 */
obj_t BgL_list2994z00_1624;
BgL_list2994z00_1624 = 
MAKE_PAIR(BGl_string3061z00zzast_glozd2defzd2, BNIL); 
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_genericz00_1584), BgL_srcz00_46, BgL_list2994z00_1624); } 
return ((bool_t)0);} }  else 
{ /* Ast/glo-def.scm 320 */
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_genericz00_1584), BgL_srcz00_46, BNIL); 
return ((bool_t)0);} }  else 
{ /* Ast/glo-def.scm 317 */
BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
(BgL_globalz00_bglt)(BgL_genericz00_1584), BgL_srcz00_46, BNIL); 
return ((bool_t)0);} } }  else 
{ /* Ast/glo-def.scm 311 */
return ((bool_t)1);} } } } } } } } 
}



/* _check-method-definition */
obj_t BGl__checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_envz00_2775, obj_t BgL_idz00_2776, obj_t BgL_argsz00_2777, obj_t BgL_localsz00_2778, obj_t BgL_srcz00_2779)
{ AN_OBJECT;
{ /* Ast/glo-def.scm 306 */
{ /* Ast/glo-def.scm 306 */
bool_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(BgL_idz00_2776, BgL_argsz00_2777, BgL_localsz00_2778, BgL_srcz00_2779); 
return 
BBOOL(BgL_auxz00_3216);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_glozd2defzd2()
{ AN_OBJECT;
{ /* Ast/glo-def.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2()
{ AN_OBJECT;
{ /* Ast/glo-def.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_glo-def"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "ast_glo-def"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_glo-def");} 
}

