/*===========================================================================*/
/*   (Ast/labels.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_labelsz00();
static obj_t BGl__labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzast_labelsz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
static obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_labelsz00();
extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzast_labelsz00 = BUNSPEC;
extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
static obj_t __cnst[ 2 ] ;

extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;
DEFINE_EXPORT_PROCEDURE( BGl_labelszd2ze3nodezd2envze3zzast_labelsz00, BgL_bgl__labelsza7d2za7e3nodeza731za7za7ast_labelsza7002818z00, BGl__labelszd2ze3nodez31zzast_labelsz00, 0L, 4 );
DEFINE_STRING( BGl_string2813z00zzast_labelsz00, BgL_bgl_string2813za700za7za7ast_labelsza7002819z00, "value plain ", 12 );
DEFINE_STRING( BGl_string2812z00zzast_labelsz00, BgL_bgl_string2812za700za7za7ast_labelsza7002820z00, "Illegal `labels' form", 21 );
DEFINE_STRING( BGl_string2811z00zzast_labelsz00, BgL_bgl_string2811za700za7za7ast_labelsza7002821z00, "Illegal `binding' form", 22 );
DEFINE_STRING( BGl_string2810z00zzast_labelsz00, BgL_bgl_string2810za700za7za7ast_labelsza7002822z00, "Illegal formal type", 19 );
DEFINE_STRING( BGl_string2809z00zzast_labelsz00, BgL_bgl_string2809za700za7za7ast_labelsza7002823z00, "Illegal `labels' expression", 27 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long BgL_checksumz00_2472, char * BgL_fromz00_2473)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_labelsz00))
{ 
BGl_requirezd2initializa7ationz75zzast_labelsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_labelsz00(); 
BGl_cnstzd2initzd2zzast_labelsz00(); 
BGl_importedzd2moduleszd2initz00zzast_labelsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00()
{ AN_OBJECT;
{ /* Ast/labels.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_labels"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_labels"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_labels"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "ast_labels"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_labelsz00()
{ AN_OBJECT;
{ /* Ast/labels.scm 14 */
{ /* Ast/labels.scm 14 */
obj_t BgL_cportz00_2465;
BgL_cportz00_2465 = 
open_input_string(BGl_string2813z00zzast_labelsz00); 
{ 
long BgL_iz00_2466;
BgL_iz00_2466 = ((long)1); 
BgL_loopz00_2467:
if(
(BgL_iz00_2466==((long)-1)))
{ /* Ast/labels.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/labels.scm 14 */
{ /* Ast/labels.scm 14 */
obj_t BgL_arg2815z00_2469;
{ /* Ast/labels.scm 14 */
obj_t BgL_list2816z00_2470;
BgL_list2816z00_2470 = 
MAKE_PAIR(BgL_cportz00_2465, BNIL); 
BgL_arg2815z00_2469 = 
BGl_readz00zz__readerz00(BgL_list2816z00_2470); } 
{ /* Ast/labels.scm 14 */
int BgL_auxz00_2489;
BgL_auxz00_2489 = 
(int)(BgL_iz00_2466); 
CNST_TABLE_SET(BgL_auxz00_2489, BgL_arg2815z00_2469); } } 
{ 
long BgL_iz00_2492;
{ /* Ast/labels.scm 14 */
int BgL_auxz00_2493;
{ /* Ast/labels.scm 14 */
long BgL_auxz00_2494;
BgL_auxz00_2494 = 
(BgL_iz00_2466-((long)1)); 
BgL_auxz00_2493 = 
(int)(BgL_auxz00_2494); } 
BgL_iz00_2492 = 
(long)(BgL_auxz00_2493); } 
BgL_iz00_2466 = BgL_iz00_2492; 
goto BgL_loopz00_2467;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_labelsz00()
{ AN_OBJECT;
{ /* Ast/labels.scm 14 */
return BUNSPEC;} 
}



/* labels->node */
BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t BgL_expz00_15, obj_t BgL_stackz00_16, obj_t BgL_locz00_17, obj_t BgL_sitez00_18)
{ AN_OBJECT;
{ /* Ast/labels.scm 32 */
{ /* Ast/labels.scm 33 */
obj_t BgL_locz00_1254;
BgL_locz00_1254 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15, BgL_locz00_17); 
{ 
obj_t BgL_bindingsz00_1255;obj_t BgL_bodyz00_1256;
if(
PAIRP(BgL_expz00_15))
{ /* Ast/labels.scm 34 */
obj_t BgL_cdrzd2128zd2_1261;
BgL_cdrzd2128zd2_1261 = 
CDR(BgL_expz00_15); 
if(
PAIRP(BgL_cdrzd2128zd2_1261))
{ /* Ast/labels.scm 34 */
obj_t BgL_carzd2131zd2_1263;
BgL_carzd2131zd2_1263 = 
CAR(BgL_cdrzd2128zd2_1261); 
if(
PAIRP(BgL_carzd2131zd2_1263))
{ /* Ast/labels.scm 34 */
BgL_bindingsz00_1255 = BgL_carzd2131zd2_1263; 
BgL_bodyz00_1256 = 
CDR(BgL_cdrzd2128zd2_1261); 
{ /* Ast/labels.scm 36 */
obj_t BgL_localsz00_1266;
BgL_localsz00_1266 = 
BGl_allocatezd2sfunszd2zzast_labelsz00(BgL_bindingsz00_1255, BgL_locz00_1254); 
{ /* Ast/labels.scm 36 */
obj_t BgL_newzd2stackzd2_1267;
BgL_newzd2stackzd2_1267 = 
bgl_append2(BgL_localsz00_1266, BgL_stackz00_16); 
{ /* Ast/labels.scm 37 */
BgL_nodez00_bglt BgL_bodyz00_1268;
{ /* Ast/labels.scm 38 */
obj_t BgL_arg2690z00_1283;
BgL_arg2690z00_1283 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1256); 
BgL_bodyz00_1268 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2690z00_1283, BgL_newzd2stackzd2_1267, BgL_locz00_1254, BgL_sitez00_18); } 
{ /* Ast/labels.scm 38 */
obj_t BgL_locz00_1269;
BgL_locz00_1269 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15, BgL_locz00_1254); 
{ /* Ast/labels.scm 42 */

{ 
obj_t BgL_ll2654z00_1270;obj_t BgL_ll2655z00_1271;
BgL_ll2654z00_1270 = BgL_localsz00_1266; 
BgL_ll2655z00_1271 = BgL_bindingsz00_1255; 
BgL_lname2656z00_1272:
if(
NULLP(BgL_ll2654z00_1270))
{ /* Ast/labels.scm 44 */((bool_t)1); }  else 
{ /* Ast/labels.scm 44 */
BGl_labelszd2bindingzd2zzast_labelsz00(
CAR(BgL_ll2654z00_1270), 
CAR(BgL_ll2655z00_1271), BgL_newzd2stackzd2_1267, BgL_locz00_1269); 
{ 
obj_t BgL_ll2655z00_2519;obj_t BgL_ll2654z00_2517;
BgL_ll2654z00_2517 = 
CDR(BgL_ll2654z00_1270); 
BgL_ll2655z00_2519 = 
CDR(BgL_ll2655z00_1271); 
BgL_ll2655z00_1271 = BgL_ll2655z00_2519; 
BgL_ll2654z00_1270 = BgL_ll2654z00_2517; 
goto BgL_lname2656z00_1272;} } } 
{ /* Ast/labels.scm 48 */
obj_t BgL_arg2685z00_1278;BgL_typez00_bglt BgL_arg2686z00_1279;obj_t BgL_arg2688z00_1281;BgL_nodez00_bglt BgL_arg2689z00_1282;
BgL_arg2685z00_1278 = BgL_locz00_1269; 
BgL_arg2686z00_1279 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_1268))->BgL_typez00); 
BgL_arg2688z00_1281 = BgL_localsz00_1266; 
BgL_arg2689z00_1282 = BgL_bodyz00_1268; 
{ /* Ast/labels.scm 48 */
BgL_letzd2funzd2_bglt BgL_res2797z00_1817;
{ /* Ast/labels.scm 48 */
obj_t BgL_key2449z00_1793;
BgL_key2449z00_1793 = 
BINT(((long)-1)); 
{ /* Ast/labels.scm 48 */
BgL_letzd2funzd2_bglt BgL_new2452z00_1796;
{ /* Ast/labels.scm 48 */
BgL_letzd2funzd2_bglt BgL_res2795z00_1802;
{ /* Ast/labels.scm 48 */
BgL_letzd2funzd2_bglt BgL_new2454z00_1797;
BgL_new2454z00_1797 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Ast/labels.scm 48 */
long BgL_arg2752z00_1798;
BgL_arg2752z00_1798 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Ast/labels.scm 48 */
BgL_objectz00_bglt BgL_auxz00_2525;
BgL_auxz00_2525 = 
(BgL_objectz00_bglt)(BgL_new2454z00_1797); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2525, BgL_arg2752z00_1798); } } 
{ /* Ast/labels.scm 48 */
BgL_objectz00_bglt BgL_auxz00_2528;
BgL_auxz00_2528 = 
(BgL_objectz00_bglt)(BgL_new2454z00_1797); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2528, BFALSE); } 
{ /* Ast/labels.scm 48 */
obj_t BgL_auxz00_2531;
BgL_auxz00_2531 = 
(obj_t)(BgL_new2454z00_1797); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2531); } BUNSPEC; 
BgL_res2795z00_1802 = BgL_new2454z00_1797; } 
BgL_new2452z00_1796 = BgL_res2795z00_1802; } 
{ /* Ast/labels.scm 48 */
BgL_letzd2funzd2_bglt BgL_res2796z00_1816;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_locz00) = ((obj_t)BgL_arg2685z00_1278), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2686z00_1279), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_keyz00) = ((obj_t)BgL_key2449z00_1793), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_localsz00) = ((obj_t)BgL_arg2688z00_1281), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_1796))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2689z00_1282), BUNSPEC); 
BgL_res2796z00_1816 = BgL_new2452z00_1796; BgL_res2796z00_1816; } 
BgL_res2797z00_1817 = BgL_new2452z00_1796; } } 
return BgL_res2797z00_1817;} } } } } } } }  else 
{ /* Ast/labels.scm 34 */
BgL_nodez00_bglt BgL_auxz00_2541;
BgL_tagzd2121zd2_1258:
BgL_auxz00_2541 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2809z00zzast_labelsz00, BgL_expz00_15, BgL_locz00_1254); 
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2541);} }  else 
{ /* Ast/labels.scm 34 */
BgL_nodez00_bglt BgL_auxz00_2544;
goto BgL_tagzd2121zd2_1258;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2544);} }  else 
{ /* Ast/labels.scm 34 */
BgL_nodez00_bglt BgL_auxz00_2546;
goto BgL_tagzd2121zd2_1258;
return 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_2546);} } } } 
}



/* _labels->node */
obj_t BGl__labelszd2ze3nodez31zzast_labelsz00(obj_t BgL_envz00_2454, obj_t BgL_expz00_2455, obj_t BgL_stackz00_2456, obj_t BgL_locz00_2457, obj_t BgL_sitez00_2458)
{ AN_OBJECT;
{ /* Ast/labels.scm 32 */
{ /* Ast/labels.scm 32 */
BgL_letzd2funzd2_bglt BgL_auxz00_2548;
BgL_auxz00_2548 = 
BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_2455, BgL_stackz00_2456, BgL_locz00_2457, BgL_sitez00_2458); 
return 
(obj_t)(BgL_auxz00_2548);} } 
}



/* allocate-sfuns */
obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t BgL_bindingsz00_19, obj_t BgL_locz00_20)
{ AN_OBJECT;
{ /* Ast/labels.scm 58 */
{ 
obj_t BgL_bindingsz00_1284;obj_t BgL_resz00_1285;
BgL_bindingsz00_1284 = BgL_bindingsz00_19; 
BgL_resz00_1285 = BNIL; 
BgL_loopz00_1286:
if(
NULLP(BgL_bindingsz00_1284))
{ /* Ast/labels.scm 61 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1285);}  else 
{ 
obj_t BgL_funz00_1288;obj_t BgL_argsz00_1289;obj_t BgL_bodyz00_1290;
{ /* Ast/labels.scm 63 */
obj_t BgL_ezd2139zd2_1293;
BgL_ezd2139zd2_1293 = 
CAR(BgL_bindingsz00_1284); 
if(
PAIRP(BgL_ezd2139zd2_1293))
{ /* Ast/labels.scm 63 */
obj_t BgL_carzd2146zd2_1295;obj_t BgL_cdrzd2147zd2_1296;
BgL_carzd2146zd2_1295 = 
CAR(BgL_ezd2139zd2_1293); 
BgL_cdrzd2147zd2_1296 = 
CDR(BgL_ezd2139zd2_1293); 
if(
SYMBOLP(BgL_carzd2146zd2_1295))
{ /* Ast/labels.scm 63 */
if(
PAIRP(BgL_cdrzd2147zd2_1296))
{ /* Ast/labels.scm 63 */
BgL_funz00_1288 = BgL_carzd2146zd2_1295; 
BgL_argsz00_1289 = 
CAR(BgL_cdrzd2147zd2_1296); 
BgL_bodyz00_1290 = 
CDR(BgL_cdrzd2147zd2_1296); 
{ /* Ast/labels.scm 65 */
obj_t BgL_locz00_1301;
BgL_locz00_1301 = 
BGl_findzd2locationzf2locz20zztools_locationz00(
CAR(BgL_bindingsz00_1284), BgL_locz00_20); 
{ /* Ast/labels.scm 65 */
obj_t BgL_idze2typeze2_1302;
BgL_idze2typeze2_1302 = 
BGl_parsezd2idzd2zzast_identz00(BgL_funz00_1288, BgL_locz00_1301); 
{ /* Ast/labels.scm 66 */
obj_t BgL_idz00_1303;
BgL_idz00_1303 = 
CAR(BgL_idze2typeze2_1302); 
{ /* Ast/labels.scm 67 */
obj_t BgL_typez00_1304;
BgL_typez00_1304 = 
CDR(BgL_idze2typeze2_1302); 
{ /* Ast/labels.scm 68 */
int BgL_arityz00_1305;
BgL_arityz00_1305 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_1289); 
{ /* Ast/labels.scm 69 */
obj_t BgL_formalsz00_1306;
{ /* Ast/labels.scm 70 */
obj_t BgL_l2658z00_1346;
BgL_l2658z00_1346 = 
BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(BgL_argsz00_1289); 
if(
NULLP(BgL_l2658z00_1346))
{ /* Ast/labels.scm 70 */
BgL_formalsz00_1306 = BNIL; }  else 
{ /* Ast/labels.scm 70 */
obj_t BgL_head2660z00_1348;
BgL_head2660z00_1348 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2658z00_1349;obj_t BgL_tail2661z00_1350;
BgL_l2658z00_1349 = BgL_l2658z00_1346; 
BgL_tail2661z00_1350 = BgL_head2660z00_1348; 
BgL_lname2659z00_1351:
if(
NULLP(BgL_l2658z00_1349))
{ /* Ast/labels.scm 70 */
BgL_formalsz00_1306 = 
CDR(BgL_head2660z00_1348); }  else 
{ /* Ast/labels.scm 71 */
obj_t BgL_newtail2662z00_1353;
{ /* Ast/labels.scm 71 */
obj_t BgL_arg2727z00_1355;
BgL_arg2727z00_1355 = 
BGl_parsezd2idzd2zzast_identz00(
CAR(BgL_l2658z00_1349), BgL_locz00_1301); 
BgL_newtail2662z00_1353 = 
MAKE_PAIR(BgL_arg2727z00_1355, BNIL); } 
SET_CDR(BgL_tail2661z00_1350, BgL_newtail2662z00_1353); 
{ 
obj_t BgL_tail2661z00_2582;obj_t BgL_l2658z00_2580;
BgL_l2658z00_2580 = 
CDR(BgL_l2658z00_1349); 
BgL_tail2661z00_2582 = BgL_newtail2662z00_1353; 
BgL_tail2661z00_1350 = BgL_tail2661z00_2582; 
BgL_l2658z00_1349 = BgL_l2658z00_2580; 
goto BgL_lname2659z00_1351;} } } } } 
{ /* Ast/labels.scm 70 */

{ /* Ast/labels.scm 74 */
bool_t BgL_test2697z00_1307;
{ /* Ast/labels.scm 74 */
bool_t BgL_testz00_2583;
{ /* Ast/labels.scm 74 */
long BgL_auxz00_2584;
BgL_auxz00_2584 = 
(long)(BgL_arityz00_1305); 
BgL_testz00_2583 = 
(BgL_auxz00_2584>=((long)0)); } 
if(BgL_testz00_2583)
{ /* Ast/labels.scm 74 */
BgL_test2697z00_1307 = ((bool_t)1); }  else 
{ /* Ast/labels.scm 75 */
obj_t BgL_largz00_1341;
{ /* Ast/labels.scm 75 */
obj_t BgL_auxz00_2587;
BgL_auxz00_2587 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_formalsz00_1306); 
BgL_largz00_1341 = 
CAR(BgL_auxz00_2587); } 
{ /* Ast/labels.scm 75 */
obj_t BgL_typez00_1342;
BgL_typez00_1342 = 
CDR(BgL_largz00_1341); 
{ /* Ast/labels.scm 76 */

{ /* Ast/labels.scm 78 */
bool_t BgL_test2721z00_1343;
BgL_test2721z00_1343 = 
(BgL_typez00_1342==BGl_za2objza2z00zztype_cachez00); 
if(BgL_test2721z00_1343)
{ /* Ast/labels.scm 78 */
BgL_test2697z00_1307 = ((bool_t)1); }  else 
{ /* Ast/labels.scm 80 */
bool_t BgL_test2722z00_1344;
BgL_test2722z00_1344 = 
(BgL_typez00_1342==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test2722z00_1344)
{ /* Ast/labels.scm 80 */
{ /* Ast/labels.scm 81 */
obj_t BgL_objz00_1846;
BgL_objz00_1846 = BGl_za2objza2z00zztype_cachez00; 
SET_CDR(BgL_largz00_1341, BgL_objz00_1846); } 
BgL_test2697z00_1307 = ((bool_t)1); }  else 
{ /* Ast/labels.scm 80 */
BgL_test2697z00_1307 = ((bool_t)0); } } } } } } } 
if(BgL_test2697z00_1307)
{ /* Ast/labels.scm 85 */
obj_t BgL_argsz00_1308;
if(
NULLP(BgL_formalsz00_1306))
{ /* Ast/labels.scm 85 */
BgL_argsz00_1308 = BNIL; }  else 
{ /* Ast/labels.scm 85 */
obj_t BgL_head2665z00_1322;
BgL_head2665z00_1322 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2663z00_1323;obj_t BgL_tail2666z00_1324;
BgL_l2663z00_1323 = BgL_formalsz00_1306; 
BgL_tail2666z00_1324 = BgL_head2665z00_1322; 
BgL_lname2664z00_1325:
if(
NULLP(BgL_l2663z00_1323))
{ /* Ast/labels.scm 85 */
BgL_argsz00_1308 = 
CDR(BgL_head2665z00_1322); }  else 
{ /* Ast/labels.scm 86 */
obj_t BgL_newtail2667z00_1327;
{ /* Ast/labels.scm 86 */
BgL_localz00_bglt BgL_arg2710z00_1329;
{ /* Ast/labels.scm 86 */
obj_t BgL_fz00_1331;
BgL_fz00_1331 = 
CAR(BgL_l2663z00_1323); 
{ /* Ast/labels.scm 86 */
bool_t BgL_test2712z00_1332;
BgL_test2712z00_1332 = 
BGl_userzd2symbolzf3z21zzast_identz00(
CAR(BgL_fz00_1331)); 
if(BgL_test2712z00_1332)
{ /* Ast/labels.scm 87 */
BgL_typez00_bglt BgL_auxz00_2607;
{ /* Ast/labels.scm 88 */
obj_t BgL_auxz00_2609;
BgL_auxz00_2609 = 
CDR(BgL_fz00_1331); 
BgL_auxz00_2607 = 
(BgL_typez00_bglt)(BgL_auxz00_2609); } 
BgL_arg2710z00_1329 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(
CAR(BgL_fz00_1331), BgL_auxz00_2607); }  else 
{ /* Ast/labels.scm 89 */
BgL_typez00_bglt BgL_auxz00_2613;
{ /* Ast/labels.scm 90 */
obj_t BgL_auxz00_2615;
BgL_auxz00_2615 = 
CDR(BgL_fz00_1331); 
BgL_auxz00_2613 = 
(BgL_typez00_bglt)(BgL_auxz00_2615); } 
BgL_arg2710z00_1329 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CAR(BgL_fz00_1331), BgL_auxz00_2613); } } } 
{ /* Ast/labels.scm 85 */
obj_t BgL_auxz00_2619;
BgL_auxz00_2619 = 
(obj_t)(BgL_arg2710z00_1329); 
BgL_newtail2667z00_1327 = 
MAKE_PAIR(BgL_auxz00_2619, BNIL); } } 
SET_CDR(BgL_tail2666z00_1324, BgL_newtail2667z00_1327); 
{ 
obj_t BgL_tail2666z00_2625;obj_t BgL_l2663z00_2623;
BgL_l2663z00_2623 = 
CDR(BgL_l2663z00_1323); 
BgL_tail2666z00_2625 = BgL_newtail2667z00_1327; 
BgL_tail2666z00_1324 = BgL_tail2666z00_2625; 
BgL_l2663z00_1323 = BgL_l2663z00_2623; 
goto BgL_lname2664z00_1325;} } } } 
{ /* Ast/labels.scm 85 */
BgL_sfunz00_bglt BgL_sfunz00_1309;
{ /* Ast/labels.scm 93 */
int BgL_arg2701z00_1314;obj_t BgL_arg2703z00_1316;obj_t BgL_arg2704z00_1317;obj_t BgL_arg2706z00_1319;
BgL_arg2701z00_1314 = BgL_arityz00_1305; 
BgL_arg2703z00_1316 = BgL_argsz00_1308; 
BgL_arg2704z00_1317 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2706z00_1319 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bodyz00_1290, BgL_locz00_1301); 
{ /* Ast/labels.scm 92 */
BgL_sfunz00_bglt BgL_res2800z00_1908;
{ /* Ast/labels.scm 92 */
long BgL_arity1411z00_1863;
BgL_arity1411z00_1863 = 
(long)(BgL_arg2701z00_1314); 
{ /* Ast/labels.scm 92 */
BgL_sfunz00_bglt BgL_new1423z00_1875;
{ /* Ast/labels.scm 92 */
BgL_sfunz00_bglt BgL_res2798z00_1881;
{ /* Ast/labels.scm 92 */
BgL_sfunz00_bglt BgL_new1425z00_1876;
BgL_new1425z00_1876 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Ast/labels.scm 92 */
long BgL_arg2786z00_1877;
BgL_arg2786z00_1877 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Ast/labels.scm 92 */
BgL_objectz00_bglt BgL_auxz00_2631;
BgL_auxz00_2631 = 
(BgL_objectz00_bglt)(BgL_new1425z00_1876); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2631, BgL_arg2786z00_1877); } } 
{ /* Ast/labels.scm 92 */
BgL_objectz00_bglt BgL_auxz00_2634;
BgL_auxz00_2634 = 
(BgL_objectz00_bglt)(BgL_new1425z00_1876); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2634, BFALSE); } 
{ /* Ast/labels.scm 92 */
obj_t BgL_auxz00_2637;
BgL_auxz00_2637 = 
(obj_t)(BgL_new1425z00_1876); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2637); } BUNSPEC; 
BgL_res2798z00_1881 = BgL_new1425z00_1876; } 
BgL_new1423z00_1875 = BgL_res2798z00_1881; } 
{ /* Ast/labels.scm 92 */
BgL_sfunz00_bglt BgL_res2799z00_1907;
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_arityz00) = ((long)BgL_arity1411z00_1863), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_predicatezd2ofzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_stackzd2allocatorzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_topzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_thezd2closurezd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_propertyz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_argsz00) = ((obj_t)BgL_arg2703z00_1316), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_bodyz00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_classz00) = ((obj_t)BgL_arg2704z00_1317), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_dssslzd2keywordszd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_1875))->BgL_locz00) = ((obj_t)BgL_arg2706z00_1319), BUNSPEC); 
BgL_res2799z00_1907 = BgL_new1423z00_1875; BgL_res2799z00_1907; } 
BgL_res2800z00_1908 = BgL_new1423z00_1875; } } 
BgL_sfunz00_1309 = BgL_res2800z00_1908; } } 
{ /* Ast/labels.scm 92 */
BgL_localz00_bglt BgL_funz00_1310;
{ /* Ast/labels.scm 98 */
bool_t BgL_test2700z00_1313;
BgL_test2700z00_1313 = 
BGl_userzd2symbolzf3z21zzast_identz00(BgL_idz00_1303); 
if(BgL_test2700z00_1313)
{ /* Ast/labels.scm 98 */
BgL_funz00_1310 = 
BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(BgL_idz00_1303, 
(BgL_typez00_bglt)(BgL_typez00_1304), BgL_sfunz00_1309); }  else 
{ /* Ast/labels.scm 98 */
BgL_funz00_1310 = 
BGl_makezd2localzd2sfunz00zzast_localz00(BgL_idz00_1303, 
(BgL_typez00_bglt)(BgL_typez00_1304), BgL_sfunz00_1309); } } 
{ /* Ast/labels.scm 98 */

{ /* Ast/labels.scm 101 */
obj_t BgL_arg2698z00_1311;obj_t BgL_arg2699z00_1312;
BgL_arg2698z00_1311 = 
CDR(BgL_bindingsz00_1284); 
{ /* Ast/labels.scm 101 */
obj_t BgL_auxz00_2659;
BgL_auxz00_2659 = 
(obj_t)(BgL_funz00_1310); 
BgL_arg2699z00_1312 = 
MAKE_PAIR(BgL_auxz00_2659, BgL_resz00_1285); } 
{ 
obj_t BgL_resz00_2663;obj_t BgL_bindingsz00_2662;
BgL_bindingsz00_2662 = BgL_arg2698z00_1311; 
BgL_resz00_2663 = BgL_arg2699z00_1312; 
BgL_resz00_1285 = BgL_resz00_2663; 
BgL_bindingsz00_1284 = BgL_bindingsz00_2662; 
goto BgL_loopz00_1286;} } } } } }  else 
{ /* Ast/labels.scm 74 */
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2810z00zzast_labelsz00, 
CAR(BgL_bindingsz00_1284), BgL_locz00_1301); 
return BNIL;} } } } } } } } } }  else 
{ /* Ast/labels.scm 63 */
BgL_tagzd2138zd2_1292:
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2811z00zzast_labelsz00, 
CAR(BgL_bindingsz00_1284), BgL_locz00_20); 
return BNIL;} }  else 
{ /* Ast/labels.scm 63 */
goto BgL_tagzd2138zd2_1292;} }  else 
{ /* Ast/labels.scm 63 */
goto BgL_tagzd2138zd2_1292;} } } } } 
}



/* labels-binding */
obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t BgL_localz00_21, obj_t BgL_bindingz00_22, obj_t BgL_stackz00_23, obj_t BgL_locz00_24)
{ AN_OBJECT;
{ /* Ast/labels.scm 116 */
{ 
obj_t BgL_argsz00_1361;obj_t BgL_bodyz00_1362;
if(
PAIRP(BgL_bindingz00_22))
{ /* Ast/labels.scm 117 */
obj_t BgL_cdrzd2165zd2_1367;
BgL_cdrzd2165zd2_1367 = 
CDR(BgL_bindingz00_22); 
if(
PAIRP(BgL_cdrzd2165zd2_1367))
{ /* Ast/labels.scm 117 */
BgL_argsz00_1361 = 
CAR(BgL_cdrzd2165zd2_1367); 
BgL_bodyz00_1362 = 
CDR(BgL_cdrzd2165zd2_1367); 
{ /* Ast/labels.scm 119 */
obj_t BgL_auxz00_2675;
{ /* Ast/labels.scm 119 */
BgL_localz00_bglt BgL_obj1248z00_1917;
BgL_obj1248z00_1917 = 
(BgL_localz00_bglt)(BgL_localz00_21); 
BgL_auxz00_2675 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_1917))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_2675); } 
{ /* Ast/labels.scm 120 */
obj_t BgL_locz00_1372;
BgL_locz00_1372 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bindingz00_22, BgL_locz00_24); 
{ /* Ast/labels.scm 120 */
BgL_nodez00_bglt BgL_bodyz00_1373;
{ /* Ast/labels.scm 122 */
obj_t BgL_arg2739z00_1376;obj_t BgL_arg2740z00_1377;obj_t BgL_arg2741z00_1378;
{ /* Ast/labels.scm 122 */
obj_t BgL_arg2742z00_1379;obj_t BgL_arg2743z00_1380;
{ /* Ast/labels.scm 122 */
BgL_localz00_bglt BgL_obj1248z00_1918;
BgL_obj1248z00_1918 = 
(BgL_localz00_bglt)(BgL_localz00_21); 
BgL_arg2742z00_1379 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_1918))->BgL_idz00); } 
BgL_arg2743z00_1380 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1362); 
BgL_arg2739z00_1376 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_arg2742z00_1379, BgL_argsz00_1361, BgL_arg2743z00_1380, BGl_userzd2errorzd2envz00zztools_errorz00); } 
{ /* Ast/labels.scm 126 */
obj_t BgL_auxz00_2684;
{ /* Ast/labels.scm 126 */
BgL_sfunz00_bglt BgL_obj1369z00_1920;
{ /* Ast/labels.scm 126 */
BgL_valuez00_bglt BgL_auxz00_2685;
{ /* Ast/labels.scm 126 */
BgL_localz00_bglt BgL_obj1255z00_1919;
BgL_obj1255z00_1919 = 
(BgL_localz00_bglt)(BgL_localz00_21); 
BgL_auxz00_2685 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1919))->BgL_valuez00); } 
BgL_obj1369z00_1920 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2685); } 
BgL_auxz00_2684 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1920))->BgL_argsz00); } 
BgL_arg2740z00_1377 = 
bgl_append2(BgL_auxz00_2684, BgL_stackz00_23); } 
BgL_arg2741z00_1378 = 
CNST_TABLE_REF(((long)1)); 
BgL_bodyz00_1373 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2739z00_1376, BgL_arg2740z00_1377, BgL_locz00_1372, BgL_arg2741z00_1378); } 
{ /* Ast/labels.scm 121 */

{ /* Ast/labels.scm 129 */
BgL_sfunz00_bglt BgL_obj1384z00_1922;
{ /* Ast/labels.scm 129 */
BgL_valuez00_bglt BgL_auxz00_2693;
{ /* Ast/labels.scm 129 */
BgL_localz00_bglt BgL_obj1255z00_1921;
BgL_obj1255z00_1921 = 
(BgL_localz00_bglt)(BgL_localz00_21); 
BgL_auxz00_2693 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1921))->BgL_valuez00); } 
BgL_obj1384z00_1922 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2693); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1384z00_1922))->BgL_locz00) = ((obj_t)BgL_locz00_1372), BUNSPEC); } 
{ /* Ast/labels.scm 130 */
BgL_sfunz00_bglt BgL_obj1374z00_1925;obj_t BgL_val1373z00_1926;
{ /* Ast/labels.scm 130 */
BgL_valuez00_bglt BgL_auxz00_2698;
{ /* Ast/labels.scm 130 */
BgL_localz00_bglt BgL_obj1255z00_1924;
BgL_obj1255z00_1924 = 
(BgL_localz00_bglt)(BgL_localz00_21); 
BgL_auxz00_2698 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1924))->BgL_valuez00); } 
BgL_obj1374z00_1925 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2698); } 
BgL_val1373z00_1926 = 
(obj_t)(BgL_bodyz00_1373); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1925))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1926), BUNSPEC); } 
return 
BGl_leavezd2functionzd2zztools_errorz00();} } } }  else 
{ /* Ast/labels.scm 117 */
BgL_nodez00_bglt BgL_auxz00_2707;
BgL_tagzd2158zd2_1364:
BgL_auxz00_2707 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2812z00zzast_labelsz00, BgL_bindingz00_22, BgL_locz00_24); 
return 
(obj_t)(BgL_auxz00_2707);} }  else 
{ /* Ast/labels.scm 117 */
BgL_nodez00_bglt BgL_auxz00_2710;
goto BgL_tagzd2158zd2_1364;
return 
(obj_t)(BgL_auxz00_2710);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_labelsz00()
{ AN_OBJECT;
{ /* Ast/labels.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00()
{ AN_OBJECT;
{ /* Ast/labels.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_labels"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_labels"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_labels"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_labels"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_labels"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_labels"); 
return 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_labels");} 
}

