/*===========================================================================*/
/*   (Ast/let.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_letz00();
static obj_t BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t, BgL_letzd2varzd2_bglt, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t, BgL_letzd2varzd2_bglt);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_letz00();
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_letz00();
static obj_t BGl__letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t, BgL_nodez00_bglt, obj_t);
extern BgL_nodez00_bglt BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt, obj_t);
static BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_letz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_sequencez00zzast_nodez00;
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzast_letz00 = BUNSPEC;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 6 ] ;

DEFINE_STRING( BGl_string2966z00zzast_letz00, BgL_bgl_string2966za700za7za7ast_letza7002971z00, "set! write let value location jvm ", 34 );
DEFINE_STRING( BGl_string2965z00zzast_letz00, BgL_bgl_string2965za700za7za7ast_letza7002972z00, "' form", 6 );
DEFINE_STRING( BGl_string2964z00zzast_letz00, BgL_bgl_string2964za700za7za7ast_letza7002973z00, "Illegal `let' form `", 20 );
DEFINE_EXPORT_PROCEDURE( BGl_letzd2ze3nodezd2envze3zzast_letz00, BgL_bgl__letza7d2za7e3nodeza731za7za7ast_letza7002974z00, BGl__letzd2ze3nodez31zzast_letz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long BgL_checksumz00_2939, char * BgL_fromz00_2940)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_letz00))
{ 
BGl_requirezd2initializa7ationz75zzast_letz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_letz00(); 
BGl_cnstzd2initzd2zzast_letz00(); 
BGl_importedzd2moduleszd2initz00zzast_letz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00()
{ AN_OBJECT;
{ /* Ast/let.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_let"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_let"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_let"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_let"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_letz00()
{ AN_OBJECT;
{ /* Ast/let.scm 14 */
{ /* Ast/let.scm 14 */
obj_t BgL_cportz00_2932;
BgL_cportz00_2932 = 
open_input_string(BGl_string2966z00zzast_letz00); 
{ 
long BgL_iz00_2933;
BgL_iz00_2933 = ((long)5); 
BgL_loopz00_2934:
if(
(BgL_iz00_2933==((long)-1)))
{ /* Ast/let.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/let.scm 14 */
{ /* Ast/let.scm 14 */
obj_t BgL_arg2968z00_2936;
{ /* Ast/let.scm 14 */
obj_t BgL_list2969z00_2937;
BgL_list2969z00_2937 = 
MAKE_PAIR(BgL_cportz00_2932, BNIL); 
BgL_arg2968z00_2936 = 
BGl_readz00zz__readerz00(BgL_list2969z00_2937); } 
{ /* Ast/let.scm 14 */
int BgL_auxz00_2956;
BgL_auxz00_2956 = 
(int)(BgL_iz00_2933); 
CNST_TABLE_SET(BgL_auxz00_2956, BgL_arg2968z00_2936); } } 
{ 
long BgL_iz00_2959;
{ /* Ast/let.scm 14 */
int BgL_auxz00_2960;
{ /* Ast/let.scm 14 */
long BgL_auxz00_2961;
BgL_auxz00_2961 = 
(BgL_iz00_2933-((long)1)); 
BgL_auxz00_2960 = 
(int)(BgL_auxz00_2961); } 
BgL_iz00_2959 = 
(long)(BgL_auxz00_2960); } 
BgL_iz00_2933 = BgL_iz00_2959; 
goto BgL_loopz00_2934;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_letz00()
{ AN_OBJECT;
{ /* Ast/let.scm 14 */
return BUNSPEC;} 
}



/* let->node */
BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t BgL_expz00_15, obj_t BgL_stackz00_16, obj_t BgL_olocz00_17, obj_t BgL_sitez00_18)
{ AN_OBJECT;
{ /* Ast/let.scm 32 */
{ 
obj_t BgL_bindingsz00_1262;obj_t BgL_bodyz00_1260;
if(
PAIRP(BgL_expz00_15))
{ /* Ast/let.scm 43 */
obj_t BgL_cdrzd2128zd2_1267;
BgL_cdrzd2128zd2_1267 = 
CDR(BgL_expz00_15); 
if(
PAIRP(BgL_cdrzd2128zd2_1267))
{ /* Ast/let.scm 43 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CAR(BgL_cdrzd2128zd2_1267), BNIL))
{ /* Ast/let.scm 43 */
BgL_letzd2varzd2_bglt BgL_auxz00_2973;
BgL_bodyz00_1260 = 
CDR(BgL_cdrzd2128zd2_1267); 
{ /* Ast/let.scm 46 */
obj_t BgL_nlocz00_1275;
BgL_nlocz00_1275 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15, BgL_olocz00_17); 
{ /* Ast/let.scm 46 */
obj_t BgL_blocz00_1276;
if(
PAIRP(BgL_bodyz00_1260))
{ /* Ast/let.scm 47 */
BgL_blocz00_1276 = 
BGl_findzd2locationzf2locz20zztools_locationz00(
CAR(BgL_bodyz00_1260), BgL_nlocz00_1275); }  else 
{ /* Ast/let.scm 47 */
BgL_blocz00_1276 = BgL_nlocz00_1275; } 
{ /* Ast/let.scm 47 */
BgL_nodez00_bglt BgL_bodyz00_1277;
{ /* Ast/let.scm 50 */
obj_t BgL_arg2706z00_1284;
BgL_arg2706z00_1284 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1260); 
BgL_bodyz00_1277 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2706z00_1284, BgL_stackz00_16, BgL_blocz00_1276, BgL_sitez00_18); } 
{ /* Ast/let.scm 50 */

{ /* Ast/let.scm 56 */
obj_t BgL_arg2700z00_1278;BgL_typez00_bglt BgL_arg2701z00_1279;BgL_nodez00_bglt BgL_arg2704z00_1282;bool_t BgL_arg2705z00_1283;
BgL_arg2700z00_1278 = BgL_nlocz00_1275; 
BgL_arg2701z00_1279 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_1277))->BgL_typez00); 
BgL_arg2704z00_1282 = BgL_bodyz00_1277; 
{ /* Ast/let.scm 60 */
obj_t BgL_auxz00_2982;
BgL_auxz00_2982 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2705z00_1283 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2982); } 
{ /* Ast/let.scm 55 */
BgL_letzd2varzd2_bglt BgL_res2932z00_1994;
{ /* Ast/let.scm 55 */
obj_t BgL_key2494z00_1967;
BgL_key2494z00_1967 = 
BINT(((long)-1)); 
{ /* Ast/let.scm 55 */
BgL_letzd2varzd2_bglt BgL_new2498z00_1971;
{ /* Ast/let.scm 55 */
BgL_letzd2varzd2_bglt BgL_res2930z00_1977;
{ /* Ast/let.scm 55 */
BgL_letzd2varzd2_bglt BgL_new2500z00_1972;
BgL_new2500z00_1972 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/let.scm 55 */
long BgL_arg2889z00_1973;
BgL_arg2889z00_1973 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/let.scm 55 */
BgL_objectz00_bglt BgL_auxz00_2988;
BgL_auxz00_2988 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1972); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2988, BgL_arg2889z00_1973); } } 
{ /* Ast/let.scm 55 */
BgL_objectz00_bglt BgL_auxz00_2991;
BgL_auxz00_2991 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1972); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2991, BFALSE); } 
{ /* Ast/let.scm 55 */
obj_t BgL_auxz00_2994;
BgL_auxz00_2994 = 
(obj_t)(BgL_new2500z00_1972); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2994); } BUNSPEC; 
BgL_res2930z00_1977 = BgL_new2500z00_1972; } 
BgL_new2498z00_1971 = BgL_res2930z00_1977; } 
{ /* Ast/let.scm 55 */
BgL_letzd2varzd2_bglt BgL_res2931z00_1993;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_locz00) = ((obj_t)BgL_arg2700z00_1278), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2701z00_1279), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_keyz00) = ((obj_t)BgL_key2494z00_1967), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_bindingsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2704z00_1282), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1971))->BgL_removablezf3zf3) = ((bool_t)BgL_arg2705z00_1283), BUNSPEC); 
BgL_res2931z00_1993 = BgL_new2498z00_1971; BgL_res2931z00_1993; } 
BgL_res2932z00_1994 = BgL_new2498z00_1971; } } 
BgL_auxz00_2973 = BgL_res2932z00_1994; } } } } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_2973);}  else 
{ /* Ast/let.scm 43 */
obj_t BgL_auxz00_3006;
BgL_bindingsz00_1262 = 
CAR(BgL_cdrzd2128zd2_1267); 
{ /* Ast/let.scm 62 */
bool_t BgL_testz00_3007;
{ /* Ast/let.scm 62 */
bool_t BgL_testz00_3008;
if(
PAIRP(BgL_bindingsz00_1262))
{ /* Ast/let.scm 62 */
BgL_testz00_3008 = ((bool_t)1)
; }  else 
{ /* Ast/let.scm 62 */
BgL_testz00_3008 = 
NULLP(BgL_bindingsz00_1262)
; } 
if(BgL_testz00_3008)
{ 
obj_t BgL_bindingsz00_1297;
BgL_bindingsz00_1297 = BgL_bindingsz00_1262; 
BgL_loopz00_1298:
if(
NULLP(BgL_bindingsz00_1297))
{ /* Ast/let.scm 64 */
BgL_testz00_3007 = ((bool_t)0)
; }  else 
{ /* Ast/let.scm 66 */
obj_t BgL_bindingz00_1300;
BgL_bindingz00_1300 = 
CAR(BgL_bindingsz00_1297); 
{ 

if(
PAIRP(BgL_bindingz00_1300))
{ /* Ast/let.scm 67 */
obj_t BgL_cdrzd2149zd2_1305;
BgL_cdrzd2149zd2_1305 = 
CDR(BgL_bindingz00_1300); 
if(
PAIRP(BgL_cdrzd2149zd2_1305))
{ /* Ast/let.scm 67 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2149zd2_1305), BNIL))
{ /* Ast/let.scm 67 */
{ 
obj_t BgL_bindingsz00_3023;
BgL_bindingsz00_3023 = 
CDR(BgL_bindingsz00_1297); 
BgL_bindingsz00_1297 = BgL_bindingsz00_3023; 
goto BgL_loopz00_1298;} }  else 
{ /* Ast/let.scm 67 */
BgL_testz00_3007 = ((bool_t)1)
; } }  else 
{ /* Ast/let.scm 67 */
BgL_testz00_3007 = ((bool_t)1)
; } }  else 
{ /* Ast/let.scm 67 */
BgL_testz00_3007 = ((bool_t)1)
; } } } }  else 
{ /* Ast/let.scm 62 */
BgL_testz00_3007 = ((bool_t)1)
; } } 
if(BgL_testz00_3007)
{ /* Ast/let.scm 72 */
obj_t BgL_arg2710z00_1288;obj_t BgL_arg2711z00_1289;
{ /* Ast/let.scm 72 */
obj_t BgL_arg2713z00_1291;
{ /* Ast/let.scm 73 */
obj_t BgL_auxz00_3025;
BgL_auxz00_3025 = 
CAR(BgL_expz00_15); 
BgL_arg2713z00_1291 = 
SYMBOL_TO_STRING(BgL_auxz00_3025); } 
BgL_arg2710z00_1288 = 
string_append_3(BGl_string2964z00zzast_letz00, BgL_arg2713z00_1291, BGl_string2965z00zzast_letz00); } 
BgL_arg2711z00_1289 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15, BgL_olocz00_17); 
{ /* Ast/let.scm 72 */
BgL_nodez00_bglt BgL_auxz00_3030;
BgL_auxz00_3030 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_arg2710z00_1288, BgL_expz00_15, BgL_arg2711z00_1289); 
BgL_auxz00_3006 = 
(obj_t)(BgL_auxz00_3030); } }  else 
{ /* Ast/let.scm 77 */
obj_t BgL_arg2716z00_1294;BgL_letzd2varzd2_bglt BgL_arg2717z00_1295;
BgL_arg2716z00_1294 = 
CAR(BgL_expz00_15); 
BgL_arg2717z00_1295 = 
BGl_makezd2genericzd2letz00zzast_letz00(BgL_expz00_15, BgL_stackz00_16, BgL_olocz00_17, BgL_sitez00_18); 
BgL_auxz00_3006 = 
BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(BgL_arg2716z00_1294, BgL_arg2717z00_1295, BgL_sitez00_18); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3006);} }  else 
{ /* Ast/let.scm 43 */
BgL_tagzd2122zd2_1264:
{ /* Ast/let.scm 81 */
obj_t BgL_arg2727z00_1312;obj_t BgL_arg2728z00_1313;
{ /* Ast/let.scm 81 */
obj_t BgL_arg2730z00_1315;
{ /* Ast/let.scm 82 */
obj_t BgL_auxz00_3038;
BgL_auxz00_3038 = 
CAR(BgL_expz00_15); 
BgL_arg2730z00_1315 = 
SYMBOL_TO_STRING(BgL_auxz00_3038); } 
BgL_arg2727z00_1312 = 
string_append_3(BGl_string2964z00zzast_letz00, BgL_arg2730z00_1315, BGl_string2965z00zzast_letz00); } 
BgL_arg2728z00_1313 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15, BgL_olocz00_17); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_arg2727z00_1312, BgL_expz00_15, BgL_arg2728z00_1313);} } }  else 
{ /* Ast/let.scm 43 */
goto BgL_tagzd2122zd2_1264;} } } 
}



/* _let->node */
obj_t BGl__letzd2ze3nodez31zzast_letz00(obj_t BgL_envz00_2926, obj_t BgL_expz00_2927, obj_t BgL_stackz00_2928, obj_t BgL_olocz00_2929, obj_t BgL_sitez00_2930)
{ AN_OBJECT;
{ /* Ast/let.scm 32 */
{ /* Ast/let.scm 32 */
BgL_nodez00_bglt BgL_auxz00_3044;
BgL_auxz00_3044 = 
BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_2927, BgL_stackz00_2928, BgL_olocz00_2929, BgL_sitez00_2930); 
return 
(obj_t)(BgL_auxz00_3044);} } 
}



/* make-generic-let */
BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t BgL_expz00_19, obj_t BgL_stackz00_20, obj_t BgL_olocz00_21, obj_t BgL_sitez00_22)
{ AN_OBJECT;
{ /* Ast/let.scm 90 */
{ /* Ast/let.scm 91 */
obj_t BgL_bindingsz00_1318;
{ /* Ast/let.scm 91 */
obj_t BgL_auxz00_3047;
BgL_auxz00_3047 = 
CDR(BgL_expz00_19); 
BgL_bindingsz00_1318 = 
CAR(BgL_auxz00_3047); } 
{ /* Ast/let.scm 91 */
obj_t BgL_locz00_1319;
BgL_locz00_1319 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_19, BgL_olocz00_21); 
{ /* Ast/let.scm 92 */
obj_t BgL_blocz00_1320;
{ /* Ast/let.scm 93 */
bool_t BgL_testz00_3051;
{ /* Ast/let.scm 93 */
obj_t BgL_auxz00_3052;
{ /* Ast/let.scm 93 */
obj_t BgL_auxz00_3053;
BgL_auxz00_3053 = 
CDR(BgL_expz00_19); 
BgL_auxz00_3052 = 
CDR(BgL_auxz00_3053); } 
BgL_testz00_3051 = 
PAIRP(BgL_auxz00_3052); } 
if(BgL_testz00_3051)
{ /* Ast/let.scm 94 */
obj_t BgL_auxz00_3057;
{ /* Ast/let.scm 94 */
obj_t BgL_auxz00_3058;
{ /* Ast/let.scm 94 */
obj_t BgL_auxz00_3059;
BgL_auxz00_3059 = 
CDR(BgL_expz00_19); 
BgL_auxz00_3058 = 
CDR(BgL_auxz00_3059); } 
BgL_auxz00_3057 = 
CAR(BgL_auxz00_3058); } 
BgL_blocz00_1320 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_auxz00_3057, BFALSE); }  else 
{ /* Ast/let.scm 93 */
BgL_blocz00_1320 = BFALSE; } } 
{ /* Ast/let.scm 96 */
obj_t BgL_bodyz00_1322;
{ /* Ast/let.scm 99 */
obj_t BgL_auxz00_3064;
{ /* Ast/let.scm 99 */
obj_t BgL_auxz00_3065;
BgL_auxz00_3065 = 
CDR(BgL_expz00_19); 
BgL_auxz00_3064 = 
CDR(BgL_auxz00_3065); } 
BgL_bodyz00_1322 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_auxz00_3064); } 
{ /* Ast/let.scm 99 */
obj_t BgL_loczd2biszd2_1323;
BgL_loczd2biszd2_1323 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bodyz00_1322, BgL_locz00_1319); 
{ /* Ast/let.scm 100 */
obj_t BgL_nlocz00_1324;
{ /* Ast/let.scm 101 */
bool_t BgL_testz00_3070;
if(
STRUCTP(BgL_blocz00_1320))
{ /* Ast/let.scm 101 */
obj_t BgL_auxz00_3075;obj_t BgL_auxz00_3073;
BgL_auxz00_3075 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3073 = 
STRUCT_KEY(BgL_blocz00_1320); 
BgL_testz00_3070 = 
(BgL_auxz00_3073==BgL_auxz00_3075); }  else 
{ /* Ast/let.scm 101 */
BgL_testz00_3070 = ((bool_t)0)
; } 
if(BgL_testz00_3070)
{ /* Ast/let.scm 101 */
BgL_nlocz00_1324 = BgL_blocz00_1320; }  else 
{ /* Ast/let.scm 101 */
BgL_nlocz00_1324 = BgL_locz00_1319; } } 
{ /* Ast/let.scm 101 */
obj_t BgL_framez00_1325;
if(
NULLP(BgL_bindingsz00_1318))
{ /* Ast/let.scm 104 */
BgL_framez00_1325 = BNIL; }  else 
{ /* Ast/let.scm 104 */
obj_t BgL_head2657z00_1368;
BgL_head2657z00_1368 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2655z00_1369;obj_t BgL_tail2658z00_1370;
BgL_l2655z00_1369 = BgL_bindingsz00_1318; 
BgL_tail2658z00_1370 = BgL_head2657z00_1368; 
BgL_lname2656z00_1371:
if(
NULLP(BgL_l2655z00_1369))
{ /* Ast/let.scm 104 */
BgL_framez00_1325 = 
CDR(BgL_head2657z00_1368); }  else 
{ /* Ast/let.scm 105 */
obj_t BgL_newtail2659z00_1373;
{ /* Ast/let.scm 105 */
BgL_localz00_bglt BgL_arg2760z00_1375;
{ /* Ast/let.scm 105 */
obj_t BgL_varze2idze2_1378;
{ /* Ast/let.scm 105 */
obj_t BgL_auxz00_3084;
{ /* Ast/let.scm 105 */
obj_t BgL_auxz00_3085;
BgL_auxz00_3085 = 
CAR(BgL_l2655z00_1369); 
BgL_auxz00_3084 = 
CAR(BgL_auxz00_3085); } 
BgL_varze2idze2_1378 = 
BGl_parsezd2idzd2zzast_identz00(BgL_auxz00_3084, BgL_nlocz00_1324); } 
{ /* Ast/let.scm 105 */
obj_t BgL_idz00_1379;
BgL_idz00_1379 = 
CAR(BgL_varze2idze2_1378); 
{ /* Ast/let.scm 106 */
obj_t BgL_typez00_1380;
BgL_typez00_1380 = 
CDR(BgL_varze2idze2_1378); 
{ /* Ast/let.scm 107 */

{ /* Ast/let.scm 108 */
bool_t BgL_test2762z00_1381;
BgL_test2762z00_1381 = 
BGl_userzd2symbolzf3z21zzast_identz00(BgL_idz00_1379); 
if(BgL_test2762z00_1381)
{ /* Ast/let.scm 108 */
BgL_arg2760z00_1375 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(BgL_idz00_1379, 
(BgL_typez00_bglt)(BgL_typez00_1380)); }  else 
{ /* Ast/let.scm 108 */
BgL_arg2760z00_1375 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_idz00_1379, 
(BgL_typez00_bglt)(BgL_typez00_1380)); } } } } } } 
{ /* Ast/let.scm 104 */
obj_t BgL_auxz00_3097;
BgL_auxz00_3097 = 
(obj_t)(BgL_arg2760z00_1375); 
BgL_newtail2659z00_1373 = 
MAKE_PAIR(BgL_auxz00_3097, BNIL); } } 
SET_CDR(BgL_tail2658z00_1370, BgL_newtail2659z00_1373); 
{ 
obj_t BgL_tail2658z00_3103;obj_t BgL_l2655z00_3101;
BgL_l2655z00_3101 = 
CDR(BgL_l2655z00_1369); 
BgL_tail2658z00_3103 = BgL_newtail2659z00_1373; 
BgL_tail2658z00_1370 = BgL_tail2658z00_3103; 
BgL_l2655z00_1369 = BgL_l2655z00_3101; 
goto BgL_lname2656z00_1371;} } } } 
{ /* Ast/let.scm 104 */
obj_t BgL_newzd2stackzd2_1326;
BgL_newzd2stackzd2_1326 = 
bgl_append2(BgL_framez00_1325, BgL_stackz00_20); 
{ /* Ast/let.scm 112 */

{ /* Ast/let.scm 119 */
BgL_nodez00_bglt BgL_bodyz00_1327;
BgL_bodyz00_1327 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_1322, BgL_newzd2stackzd2_1326, BgL_nlocz00_1324, 
CNST_TABLE_REF(((long)2))); 
{ /* Ast/let.scm 119 */
obj_t BgL_bstackz00_1328;
{ /* Ast/let.scm 120 */
bool_t BgL_testz00_3107;
{ /* Ast/let.scm 120 */
obj_t BgL_auxz00_3110;obj_t BgL_auxz00_3108;
BgL_auxz00_3110 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_3108 = 
CAR(BgL_expz00_19); 
BgL_testz00_3107 = 
(BgL_auxz00_3108==BgL_auxz00_3110); } 
if(BgL_testz00_3107)
{ /* Ast/let.scm 120 */
BgL_bstackz00_1328 = BgL_stackz00_20; }  else 
{ /* Ast/let.scm 120 */
BgL_bstackz00_1328 = BgL_newzd2stackzd2_1326; } } 
{ /* Ast/let.scm 120 */
obj_t BgL_bindingsz00_1329;
if(
NULLP(BgL_bindingsz00_1318))
{ /* Ast/let.scm 121 */
BgL_bindingsz00_1329 = BNIL; }  else 
{ /* Ast/let.scm 121 */
obj_t BgL_head2662z00_1345;
BgL_head2662z00_1345 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2660z00_1346;obj_t BgL_ll2661z00_1347;obj_t BgL_tail2663z00_1348;
BgL_ll2660z00_1346 = BgL_bindingsz00_1318; 
BgL_ll2661z00_1347 = BgL_framez00_1325; 
BgL_tail2663z00_1348 = BgL_head2662z00_1345; 
BgL_lname2665z00_1349:
if(
NULLP(BgL_ll2660z00_1346))
{ /* Ast/let.scm 121 */
BgL_bindingsz00_1329 = 
CDR(BgL_head2662z00_1345); }  else 
{ /* Ast/let.scm 122 */
obj_t BgL_newtail2664z00_1351;
{ /* Ast/let.scm 122 */
obj_t BgL_arg2747z00_1354;
{ /* Ast/let.scm 122 */
obj_t BgL_bindingz00_1356;obj_t BgL_varz00_1357;
BgL_bindingz00_1356 = 
CAR(BgL_ll2660z00_1346); 
BgL_varz00_1357 = 
CAR(BgL_ll2661z00_1347); 
{ /* Ast/let.scm 124 */
BgL_nodez00_bglt BgL_arg2749z00_1358;
{ /* Ast/let.scm 124 */
obj_t BgL_arg2750z00_1359;obj_t BgL_arg2751z00_1360;obj_t BgL_arg2752z00_1361;
BgL_arg2750z00_1359 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(
CDR(BgL_bindingz00_1356)); 
BgL_arg2751z00_1360 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bindingz00_1356, BgL_nlocz00_1324); 
BgL_arg2752z00_1361 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2749z00_1358 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2750z00_1359, BgL_bstackz00_1328, BgL_arg2751z00_1360, BgL_arg2752z00_1361); } 
{ /* Ast/let.scm 122 */
obj_t BgL_auxz00_3126;
BgL_auxz00_3126 = 
(obj_t)(BgL_arg2749z00_1358); 
BgL_arg2747z00_1354 = 
MAKE_PAIR(BgL_varz00_1357, BgL_auxz00_3126); } } } 
BgL_newtail2664z00_1351 = 
MAKE_PAIR(BgL_arg2747z00_1354, BNIL); } 
SET_CDR(BgL_tail2663z00_1348, BgL_newtail2664z00_1351); 
{ 
obj_t BgL_tail2663z00_3135;obj_t BgL_ll2661z00_3133;obj_t BgL_ll2660z00_3131;
BgL_ll2660z00_3131 = 
CDR(BgL_ll2660z00_1346); 
BgL_ll2661z00_3133 = 
CDR(BgL_ll2661z00_1347); 
BgL_tail2663z00_3135 = BgL_newtail2664z00_1351; 
BgL_tail2663z00_1348 = BgL_tail2663z00_3135; 
BgL_ll2661z00_1347 = BgL_ll2661z00_3133; 
BgL_ll2660z00_1346 = BgL_ll2660z00_3131; 
goto BgL_lname2665z00_1349;} } } } 
{ /* Ast/let.scm 121 */
obj_t BgL_locz00_1330;
{ /* Ast/let.scm 138 */
obj_t BgL_locz00_1336;
{ /* Ast/let.scm 138 */
obj_t BgL_auxz00_3136;
if(
PAIRP(BgL_bindingsz00_1329))
{ /* Ast/let.scm 141 */
BgL_nodez00_bglt BgL_obj1549z00_2078;
{ /* Ast/let.scm 141 */
obj_t BgL_auxz00_3139;
{ /* Ast/let.scm 141 */
obj_t BgL_auxz00_3140;
BgL_auxz00_3140 = 
CAR(BgL_bindingsz00_1329); 
BgL_auxz00_3139 = 
CDR(BgL_auxz00_3140); } 
BgL_obj1549z00_2078 = 
(BgL_nodez00_bglt)(BgL_auxz00_3139); } 
BgL_auxz00_3136 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2078))->BgL_locz00); }  else 
{ /* Ast/let.scm 140 */
BgL_auxz00_3136 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_1327))->BgL_locz00)
; } 
BgL_locz00_1336 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_19, BgL_auxz00_3136); } 
{ /* Ast/let.scm 143 */
bool_t BgL_testz00_3147;
if(
STRUCTP(BgL_locz00_1336))
{ /* Ast/let.scm 143 */
obj_t BgL_auxz00_3152;obj_t BgL_auxz00_3150;
BgL_auxz00_3152 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3150 = 
STRUCT_KEY(BgL_locz00_1336); 
BgL_testz00_3147 = 
(BgL_auxz00_3150==BgL_auxz00_3152); }  else 
{ /* Ast/let.scm 143 */
BgL_testz00_3147 = ((bool_t)0)
; } 
if(BgL_testz00_3147)
{ /* Ast/let.scm 143 */
BgL_locz00_1330 = BgL_locz00_1336; }  else 
{ /* Ast/let.scm 143 */
BgL_locz00_1330 = BgL_olocz00_21; } } } 
{ /* Ast/let.scm 138 */

{ /* Ast/let.scm 146 */
obj_t BgL_arg2733z00_1331;obj_t BgL_arg2734z00_1332;obj_t BgL_arg2736z00_1334;BgL_nodez00_bglt BgL_arg2737z00_1335;
BgL_arg2733z00_1331 = BgL_locz00_1330; 
BgL_arg2734z00_1332 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2736z00_1334 = BgL_bindingsz00_1329; 
BgL_arg2737z00_1335 = BgL_bodyz00_1327; 
{ /* Ast/let.scm 146 */
BgL_letzd2varzd2_bglt BgL_res2937z00_2117;
{ /* Ast/let.scm 146 */
BgL_typez00_bglt BgL_type2492z00_2088;obj_t BgL_key2494z00_2090;
BgL_type2492z00_2088 = 
(BgL_typez00_bglt)(BgL_arg2734z00_1332); 
BgL_key2494z00_2090 = 
BINT(((long)-1)); 
{ /* Ast/let.scm 146 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2094;
{ /* Ast/let.scm 146 */
BgL_letzd2varzd2_bglt BgL_res2935z00_2100;
{ /* Ast/let.scm 146 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2095;
BgL_new2500z00_2095 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/let.scm 146 */
long BgL_arg2889z00_2096;
BgL_arg2889z00_2096 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/let.scm 146 */
BgL_objectz00_bglt BgL_auxz00_3159;
BgL_auxz00_3159 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2095); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3159, BgL_arg2889z00_2096); } } 
{ /* Ast/let.scm 146 */
BgL_objectz00_bglt BgL_auxz00_3162;
BgL_auxz00_3162 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2095); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3162, BFALSE); } 
{ /* Ast/let.scm 146 */
obj_t BgL_auxz00_3165;
BgL_auxz00_3165 = 
(obj_t)(BgL_new2500z00_2095); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3165); } BUNSPEC; 
BgL_res2935z00_2100 = BgL_new2500z00_2095; } 
BgL_new2498z00_2094 = BgL_res2935z00_2100; } 
{ /* Ast/let.scm 146 */
BgL_letzd2varzd2_bglt BgL_res2936z00_2116;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_locz00) = ((obj_t)BgL_arg2733z00_1331), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_2088), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2090), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_bindingsz00) = ((obj_t)BgL_arg2736z00_1334), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2737z00_1335), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2094))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2936z00_2116 = BgL_new2498z00_2094; BgL_res2936z00_2116; } 
BgL_res2937z00_2117 = BgL_new2498z00_2094; } } 
return BgL_res2937z00_2117;} } } } } } } } } } } } } } } } } 
}



/* make-smart-generic-let */
obj_t BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t BgL_letzf2letreczf2_23, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_24, obj_t BgL_sitez00_25)
{ AN_OBJECT;
{ /* Ast/let.scm 163 */
{ 
obj_t BgL_bindingsz00_1390;obj_t BgL_funz00_1391;obj_t BgL_valuez00_1392;
BgL_bindingsz00_1390 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_24))->BgL_bindingsz00); 
BgL_funz00_1391 = BNIL; 
BgL_valuez00_1392 = BNIL; 
BgL_loopz00_1393:
if(
NULLP(BgL_bindingsz00_1390))
{ /* Ast/let.scm 167 */
if(
NULLP(BgL_funz00_1391))
{ /* Ast/let.scm 169 */
{ /* Ast/let.scm 170 */
BgL_letzd2varzd2_bglt BgL_auxz00_3179;
BgL_auxz00_3179 = 
BGl_letzd2orzd2letrecz00zzast_letz00(BgL_letzf2letreczf2_23, BgL_nodezd2letzd2_24); 
return 
(obj_t)(BgL_auxz00_3179);} }  else 
{ /* Ast/let.scm 169 */
if(
NULLP(BgL_valuez00_1392))
{ /* Ast/let.scm 171 */
{ /* Ast/let.scm 172 */
BgL_letzd2funzd2_bglt BgL_auxz00_3184;
BgL_auxz00_3184 = 
BGl_letzd2ze3labelsz31zzast_letz00(BgL_funz00_1391, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_24))->BgL_bodyz00), BgL_sitez00_25); 
return 
(obj_t)(BgL_auxz00_3184);} }  else 
{ /* Ast/let.scm 171 */
{ /* Ast/let.scm 175 */
obj_t BgL_arg2779z00_1401;
BgL_arg2779z00_1401 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_valuez00_1392); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_24))->BgL_bindingsz00) = ((obj_t)BgL_arg2779z00_1401), BUNSPEC); } 
{ /* Ast/let.scm 177 */
BgL_letzd2varzd2_bglt BgL_letz00_1402;
BgL_letz00_1402 = 
BGl_letzd2orzd2letrecz00zzast_letz00(BgL_letzf2letreczf2_23, BgL_nodezd2letzd2_24); 
{ /* Ast/let.scm 179 */
BgL_letzd2funzd2_bglt BgL_arg2781z00_1403;
BgL_arg2781z00_1403 = 
BGl_letzd2ze3labelsz31zzast_letz00(BgL_funz00_1391, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_letz00_1402))->BgL_bodyz00), BgL_sitez00_25); 
{ /* Ast/let.scm 178 */
BgL_nodez00_bglt BgL_val2470z00_2127;
BgL_val2470z00_2127 = 
(BgL_nodez00_bglt)(BgL_arg2781z00_1403); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_letz00_1402))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_2127), BUNSPEC); } } 
return 
(obj_t)(BgL_letz00_1402);} } } }  else 
{ /* Ast/let.scm 182 */
obj_t BgL_bindingz00_1405;
BgL_bindingz00_1405 = 
CAR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 182 */
obj_t BgL_varz00_1406;
BgL_varz00_1406 = 
CAR(BgL_bindingz00_1405); 
{ /* Ast/let.scm 183 */
obj_t BgL_sexpz00_1407;
BgL_sexpz00_1407 = 
CDR(BgL_bindingz00_1405); 
{ /* Ast/let.scm 184 */

{ /* Ast/let.scm 185 */
bool_t BgL_test2783z00_1408;
BgL_test2783z00_1408 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sexpz00_1407, BGl_letzd2funzd2zzast_nodez00); 
if(BgL_test2783z00_1408)
{ /* Ast/let.scm 186 */
obj_t BgL_localsz00_1409;
{ /* Ast/let.scm 186 */
BgL_letzd2funzd2_bglt BgL_obj2426z00_2132;
BgL_obj2426z00_2132 = 
(BgL_letzd2funzd2_bglt)(BgL_sexpz00_1407); 
BgL_localsz00_1409 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2426z00_2132))->BgL_localsz00); } 
{ /* Ast/let.scm 186 */
BgL_nodez00_bglt BgL_bodyz00_1410;
{ /* Ast/let.scm 187 */
BgL_letzd2funzd2_bglt BgL_obj2429z00_2133;
BgL_obj2429z00_2133 = 
(BgL_letzd2funzd2_bglt)(BgL_sexpz00_1407); 
BgL_bodyz00_1410 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2429z00_2133))->BgL_bodyz00); } 
{ /* Ast/let.scm 187 */

{ /* Ast/let.scm 188 */
bool_t BgL_testz00_3205;
if(
NULLP(BgL_localsz00_1409))
{ /* Ast/let.scm 188 */
BgL_testz00_3205 = ((bool_t)1)
; }  else 
{ /* Ast/let.scm 188 */
bool_t BgL_testz00_3208;
{ /* Ast/let.scm 188 */
obj_t BgL_auxz00_3209;
BgL_auxz00_3209 = 
CDR(BgL_localsz00_1409); 
BgL_testz00_3208 = 
NULLP(BgL_auxz00_3209); } 
if(BgL_testz00_3208)
{ /* Ast/let.scm 188 */
BgL_testz00_3205 = ((bool_t)0)
; }  else 
{ /* Ast/let.scm 188 */
BgL_testz00_3205 = ((bool_t)1)
; } } 
if(BgL_testz00_3205)
{ /* Ast/let.scm 192 */
obj_t BgL_arg2785z00_1412;obj_t BgL_arg2786z00_1413;
BgL_arg2785z00_1412 = 
CDR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 194 */
obj_t BgL_auxz00_3213;
BgL_auxz00_3213 = 
CAR(BgL_bindingsz00_1390); 
BgL_arg2786z00_1413 = 
MAKE_PAIR(BgL_auxz00_3213, BgL_valuez00_1392); } 
{ 
obj_t BgL_valuez00_3217;obj_t BgL_bindingsz00_3216;
BgL_bindingsz00_3216 = BgL_arg2785z00_1412; 
BgL_valuez00_3217 = BgL_arg2786z00_1413; 
BgL_valuez00_1392 = BgL_valuez00_3217; 
BgL_bindingsz00_1390 = BgL_bindingsz00_3216; 
goto BgL_loopz00_1393;} }  else 
{ /* Ast/let.scm 195 */
bool_t BgL_test2789z00_1415;
BgL_test2789z00_1415 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_bodyz00_1410), BGl_varz00zzast_nodez00); 
if(BgL_test2789z00_1415)
{ /* Ast/let.scm 198 */
bool_t BgL_test2790z00_1418;
{ /* Ast/let.scm 198 */
bool_t BgL_testz00_3221;
{ /* Ast/let.scm 198 */
obj_t BgL_auxz00_3227;obj_t BgL_auxz00_3222;
BgL_auxz00_3227 = 
CAR(BgL_localsz00_1409); 
{ /* Ast/let.scm 198 */
BgL_variablez00_bglt BgL_auxz00_3223;
{ /* Ast/let.scm 196 */
BgL_varz00_bglt BgL_obj1619z00_2140;
BgL_obj1619z00_2140 = 
(BgL_varz00_bglt)(BgL_bodyz00_1410); 
BgL_auxz00_3223 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2140))->BgL_variablez00); } 
BgL_auxz00_3222 = 
(obj_t)(BgL_auxz00_3223); } 
BgL_testz00_3221 = 
(BgL_auxz00_3222==BgL_auxz00_3227); } 
if(BgL_testz00_3221)
{ /* Ast/let.scm 202 */
bool_t BgL_testz00_3230;
{ /* Ast/let.scm 202 */
obj_t BgL_auxz00_3234;obj_t BgL_auxz00_3231;
BgL_auxz00_3234 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/let.scm 202 */
BgL_localz00_bglt BgL_obj1258z00_2142;
BgL_obj1258z00_2142 = 
(BgL_localz00_bglt)(BgL_varz00_1406); 
BgL_auxz00_3231 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_2142))->BgL_accessz00); } 
BgL_testz00_3230 = 
(BgL_auxz00_3231==BgL_auxz00_3234); } 
if(BgL_testz00_3230)
{ /* Ast/let.scm 202 */
BgL_test2790z00_1418 = ((bool_t)1); }  else 
{ /* Ast/let.scm 203 */
bool_t BgL_test2800z00_1427;
{ /* Ast/let.scm 204 */
bool_t BgL_test2801z00_1428;
{ /* Ast/let.scm 204 */
obj_t BgL_auxz00_3237;
{ /* Ast/let.scm 204 */
BgL_typez00_bglt BgL_auxz00_3238;
{ /* Ast/let.scm 204 */
BgL_localz00_bglt BgL_obj1252z00_2143;
BgL_obj1252z00_2143 = 
(BgL_localz00_bglt)(BgL_varz00_1406); 
BgL_auxz00_3238 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2143))->BgL_typez00); } 
BgL_auxz00_3237 = 
(obj_t)(BgL_auxz00_3238); } 
BgL_test2801z00_1428 = 
(BgL_auxz00_3237==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test2801z00_1428)
{ /* Ast/let.scm 204 */
BgL_test2800z00_1427 = ((bool_t)1); }  else 
{ /* Ast/let.scm 205 */
bool_t BgL_test2802z00_1429;
{ /* Ast/let.scm 205 */
obj_t BgL_auxz00_3244;
{ /* Ast/let.scm 205 */
BgL_typez00_bglt BgL_auxz00_3245;
{ /* Ast/let.scm 205 */
BgL_localz00_bglt BgL_obj1252z00_2144;
BgL_obj1252z00_2144 = 
(BgL_localz00_bglt)(BgL_varz00_1406); 
BgL_auxz00_3245 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2144))->BgL_typez00); } 
BgL_auxz00_3244 = 
(obj_t)(BgL_auxz00_3245); } 
BgL_test2802z00_1429 = 
(BgL_auxz00_3244==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2802z00_1429)
{ /* Ast/let.scm 205 */
BgL_test2800z00_1427 = ((bool_t)1); }  else 
{ /* Ast/let.scm 206 */
obj_t BgL_auxz00_3251;
{ /* Ast/let.scm 206 */
BgL_typez00_bglt BgL_auxz00_3252;
{ /* Ast/let.scm 206 */
BgL_localz00_bglt BgL_obj1252z00_2145;
BgL_obj1252z00_2145 = 
(BgL_localz00_bglt)(BgL_varz00_1406); 
BgL_auxz00_3252 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2145))->BgL_typez00); } 
BgL_auxz00_3251 = 
(obj_t)(BgL_auxz00_3252); } 
BgL_test2800z00_1427 = 
(BgL_auxz00_3251==BGl_za2objza2z00zztype_cachez00); } } } 
if(BgL_test2800z00_1427)
{ /* Ast/let.scm 203 */
BgL_test2790z00_1418 = ((bool_t)0); }  else 
{ /* Ast/let.scm 203 */
BgL_test2790z00_1418 = ((bool_t)1); } } }  else 
{ /* Ast/let.scm 198 */
BgL_test2790z00_1418 = ((bool_t)1); } } 
if(BgL_test2790z00_1418)
{ /* Ast/let.scm 209 */
obj_t BgL_arg2791z00_1419;obj_t BgL_arg2792z00_1420;
BgL_arg2791z00_1419 = 
CDR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 211 */
obj_t BgL_auxz00_3260;
BgL_auxz00_3260 = 
CAR(BgL_bindingsz00_1390); 
BgL_arg2792z00_1420 = 
MAKE_PAIR(BgL_auxz00_3260, BgL_valuez00_1392); } 
{ 
obj_t BgL_valuez00_3264;obj_t BgL_bindingsz00_3263;
BgL_bindingsz00_3263 = BgL_arg2791z00_1419; 
BgL_valuez00_3264 = BgL_arg2792z00_1420; 
BgL_valuez00_1392 = BgL_valuez00_3264; 
BgL_bindingsz00_1390 = BgL_bindingsz00_3263; 
goto BgL_loopz00_1393;} }  else 
{ /* Ast/let.scm 213 */
obj_t BgL_arg2795z00_1422;obj_t BgL_arg2796z00_1423;
BgL_arg2795z00_1422 = 
CDR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 214 */
obj_t BgL_auxz00_3266;
BgL_auxz00_3266 = 
CAR(BgL_bindingsz00_1390); 
BgL_arg2796z00_1423 = 
MAKE_PAIR(BgL_auxz00_3266, BgL_funz00_1391); } 
{ 
obj_t BgL_funz00_3270;obj_t BgL_bindingsz00_3269;
BgL_bindingsz00_3269 = BgL_arg2795z00_1422; 
BgL_funz00_3270 = BgL_arg2796z00_1423; 
BgL_funz00_1391 = BgL_funz00_3270; 
BgL_bindingsz00_1390 = BgL_bindingsz00_3269; 
goto BgL_loopz00_1393;} } }  else 
{ /* Ast/let.scm 216 */
obj_t BgL_arg2810z00_1435;obj_t BgL_arg2811z00_1436;
BgL_arg2810z00_1435 = 
CDR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 218 */
obj_t BgL_auxz00_3272;
BgL_auxz00_3272 = 
CAR(BgL_bindingsz00_1390); 
BgL_arg2811z00_1436 = 
MAKE_PAIR(BgL_auxz00_3272, BgL_valuez00_1392); } 
{ 
obj_t BgL_valuez00_3276;obj_t BgL_bindingsz00_3275;
BgL_bindingsz00_3275 = BgL_arg2810z00_1435; 
BgL_valuez00_3276 = BgL_arg2811z00_1436; 
BgL_valuez00_1392 = BgL_valuez00_3276; 
BgL_bindingsz00_1390 = BgL_bindingsz00_3275; 
goto BgL_loopz00_1393;} } } } } } }  else 
{ /* Ast/let.scm 219 */
obj_t BgL_arg2816z00_1441;obj_t BgL_arg2817z00_1442;
BgL_arg2816z00_1441 = 
CDR(BgL_bindingsz00_1390); 
{ /* Ast/let.scm 221 */
obj_t BgL_auxz00_3278;
BgL_auxz00_3278 = 
CAR(BgL_bindingsz00_1390); 
BgL_arg2817z00_1442 = 
MAKE_PAIR(BgL_auxz00_3278, BgL_valuez00_1392); } 
{ 
obj_t BgL_valuez00_3282;obj_t BgL_bindingsz00_3281;
BgL_bindingsz00_3281 = BgL_arg2816z00_1441; 
BgL_valuez00_3282 = BgL_arg2817z00_1442; 
BgL_valuez00_1392 = BgL_valuez00_3282; 
BgL_bindingsz00_1390 = BgL_bindingsz00_3281; 
goto BgL_loopz00_1393;} } } } } } } } } 
}



/* let-or-letrec */
BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t BgL_letzf2letreczf2_26, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_27)
{ AN_OBJECT;
{ /* Ast/let.scm 233 */
{ /* Ast/let.scm 234 */
bool_t BgL_testz00_3284;
{ /* Ast/let.scm 234 */
obj_t BgL_auxz00_3285;
BgL_auxz00_3285 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_3284 = 
(BgL_letzf2letreczf2_26==BgL_auxz00_3285); } 
if(BgL_testz00_3284)
{ /* Ast/let.scm 234 */
return BgL_nodezd2letzd2_27;}  else 
{ /* Ast/let.scm 236 */
obj_t BgL_bindingsz00_1445;
BgL_bindingsz00_1445 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_27))->BgL_bindingsz00); 
{ /* Ast/let.scm 236 */
BgL_nodez00_bglt BgL_bodyz00_1446;
BgL_bodyz00_1446 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_27))->BgL_bodyz00); 
{ /* Ast/let.scm 237 */
obj_t BgL_seqz00_1447;
{ /* Ast/let.scm 238 */
bool_t BgL_test2837z00_1473;
BgL_test2837z00_1473 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_bodyz00_1446), BGl_sequencez00zzast_nodez00); 
if(BgL_test2837z00_1473)
{ /* Ast/let.scm 238 */
BgL_seqz00_1447 = 
(obj_t)(BgL_bodyz00_1446); }  else 
{ /* Ast/let.scm 240 */
obj_t BgL_arg2838z00_1474;obj_t BgL_arg2839z00_1475;obj_t BgL_arg2841z00_1477;
BgL_arg2838z00_1474 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_1446))->BgL_locz00); 
BgL_arg2839z00_1475 = BGl_za2_za2z00zztype_cachez00; 
{ /* Ast/let.scm 242 */
obj_t BgL_list2842z00_1478;
{ /* Ast/let.scm 242 */
obj_t BgL_auxz00_3295;
BgL_auxz00_3295 = 
(obj_t)(BgL_bodyz00_1446); 
BgL_list2842z00_1478 = 
MAKE_PAIR(BgL_auxz00_3295, BNIL); } 
BgL_arg2841z00_1477 = BgL_list2842z00_1478; } 
{ /* Ast/let.scm 240 */
BgL_sequencez00_bglt BgL_res2941z00_2184;
{ /* Ast/let.scm 240 */
BgL_typez00_bglt BgL_type1704z00_2161;obj_t BgL_key1706z00_2163;
BgL_type1704z00_2161 = 
(BgL_typez00_bglt)(BgL_arg2839z00_1475); 
BgL_key1706z00_2163 = 
BINT(((long)-1)); 
{ /* Ast/let.scm 240 */
BgL_sequencez00_bglt BgL_new1708z00_2165;
{ /* Ast/let.scm 240 */
BgL_sequencez00_bglt BgL_res2939z00_2171;
{ /* Ast/let.scm 240 */
BgL_sequencez00_bglt BgL_new1710z00_2166;
BgL_new1710z00_2166 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Ast/let.scm 240 */
long BgL_arg2909z00_2167;
BgL_arg2909z00_2167 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Ast/let.scm 240 */
BgL_objectz00_bglt BgL_auxz00_3302;
BgL_auxz00_3302 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2166); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3302, BgL_arg2909z00_2167); } } 
{ /* Ast/let.scm 240 */
BgL_objectz00_bglt BgL_auxz00_3305;
BgL_auxz00_3305 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2166); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3305, BFALSE); } 
{ /* Ast/let.scm 240 */
obj_t BgL_auxz00_3308;
BgL_auxz00_3308 = 
(obj_t)(BgL_new1710z00_2166); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3308); } BUNSPEC; 
BgL_res2939z00_2171 = BgL_new1710z00_2166; } 
BgL_new1708z00_2165 = BgL_res2939z00_2171; } 
{ /* Ast/let.scm 240 */
BgL_sequencez00_bglt BgL_res2940z00_2183;
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2165))->BgL_locz00) = ((obj_t)BgL_arg2838z00_1474), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2165))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1704z00_2161), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2165))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2165))->BgL_keyz00) = ((obj_t)BgL_key1706z00_2163), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2165))->BgL_nodesz00) = ((obj_t)BgL_arg2841z00_1477), BUNSPEC); 
BgL_res2940z00_2183 = BgL_new1708z00_2165; BgL_res2940z00_2183; } 
BgL_res2941z00_2184 = BgL_new1708z00_2165; } } 
BgL_seqz00_1447 = 
(obj_t)(BgL_res2941z00_2184); } } } 
{ /* Ast/let.scm 238 */

{ /* Ast/let.scm 243 */
BgL_nodez00_bglt BgL_val2470z00_2186;
BgL_val2470z00_2186 = 
(BgL_nodez00_bglt)(BgL_seqz00_1447); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_27))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_2186), BUNSPEC); } 
{ 
obj_t BgL_bindingsz00_1448;obj_t BgL_nsequencez00_1449;
BgL_bindingsz00_1448 = BgL_bindingsz00_1445; 
{ /* Ast/let.scm 245 */
BgL_sequencez00_bglt BgL_obj1690z00_2187;
BgL_obj1690z00_2187 = 
(BgL_sequencez00_bglt)(BgL_seqz00_1447); 
BgL_nsequencez00_1449 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1690z00_2187))->BgL_nodesz00); } 
BgL_loopz00_1450:
if(
NULLP(BgL_bindingsz00_1448))
{ /* Ast/let.scm 246 */
{ /* Ast/let.scm 250 */
BgL_sequencez00_bglt BgL_arg2822z00_1453;
{ /* Ast/let.scm 250 */
obj_t BgL_arg2823z00_1454;obj_t BgL_arg2824z00_1455;obj_t BgL_arg2826z00_1457;
{ /* Ast/let.scm 250 */
BgL_nodez00_bglt BgL_obj1549z00_2189;
BgL_obj1549z00_2189 = 
(BgL_nodez00_bglt)(BgL_seqz00_1447); 
BgL_arg2823z00_1454 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2189))->BgL_locz00); } 
BgL_arg2824z00_1455 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2826z00_1457 = BgL_nsequencez00_1449; 
{ /* Ast/let.scm 249 */
BgL_sequencez00_bglt BgL_res2944z00_2214;
{ /* Ast/let.scm 249 */
BgL_typez00_bglt BgL_type1704z00_2191;obj_t BgL_key1706z00_2193;
BgL_type1704z00_2191 = 
(BgL_typez00_bglt)(BgL_arg2824z00_1455); 
BgL_key1706z00_2193 = 
BINT(((long)-1)); 
{ /* Ast/let.scm 249 */
BgL_sequencez00_bglt BgL_new1708z00_2195;
{ /* Ast/let.scm 249 */
BgL_sequencez00_bglt BgL_res2942z00_2201;
{ /* Ast/let.scm 249 */
BgL_sequencez00_bglt BgL_new1710z00_2196;
BgL_new1710z00_2196 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Ast/let.scm 249 */
long BgL_arg2909z00_2197;
BgL_arg2909z00_2197 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Ast/let.scm 249 */
BgL_objectz00_bglt BgL_auxz00_3327;
BgL_auxz00_3327 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2196); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3327, BgL_arg2909z00_2197); } } 
{ /* Ast/let.scm 249 */
BgL_objectz00_bglt BgL_auxz00_3330;
BgL_auxz00_3330 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2196); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3330, BFALSE); } 
{ /* Ast/let.scm 249 */
obj_t BgL_auxz00_3333;
BgL_auxz00_3333 = 
(obj_t)(BgL_new1710z00_2196); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3333); } BUNSPEC; 
BgL_res2942z00_2201 = BgL_new1710z00_2196; } 
BgL_new1708z00_2195 = BgL_res2942z00_2201; } 
{ /* Ast/let.scm 249 */
BgL_sequencez00_bglt BgL_res2943z00_2213;
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2195))->BgL_locz00) = ((obj_t)BgL_arg2823z00_1454), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2195))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1704z00_2191), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2195))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2195))->BgL_keyz00) = ((obj_t)BgL_key1706z00_2193), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2195))->BgL_nodesz00) = ((obj_t)BgL_arg2826z00_1457), BUNSPEC); 
BgL_res2943z00_2213 = BgL_new1708z00_2195; BgL_res2943z00_2213; } 
BgL_res2944z00_2214 = BgL_new1708z00_2195; } } 
BgL_arg2822z00_1453 = BgL_res2944z00_2214; } } 
{ /* Ast/let.scm 248 */
BgL_nodez00_bglt BgL_val2470z00_2216;
BgL_val2470z00_2216 = 
(BgL_nodez00_bglt)(BgL_arg2822z00_1453); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodezd2letzd2_27))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_2216), BUNSPEC); } } 
return BgL_nodezd2letzd2_27;}  else 
{ /* Ast/let.scm 254 */
obj_t BgL_bindingz00_1458;
BgL_bindingz00_1458 = 
CAR(BgL_bindingsz00_1448); 
{ /* Ast/let.scm 254 */
obj_t BgL_varz00_1459;
BgL_varz00_1459 = 
CAR(BgL_bindingz00_1458); 
{ /* Ast/let.scm 255 */
obj_t BgL_valz00_1460;
BgL_valz00_1460 = 
CDR(BgL_bindingz00_1458); 
{ /* Ast/let.scm 256 */
obj_t BgL_locz00_1461;
{ /* Ast/let.scm 257 */
BgL_nodez00_bglt BgL_obj1549z00_2220;
BgL_obj1549z00_2220 = 
(BgL_nodez00_bglt)(BgL_valz00_1460); 
BgL_locz00_1461 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2220))->BgL_locz00); } 
{ /* Ast/let.scm 257 */

{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_initz00_1462;
{ /* Ast/let.scm 258 */
obj_t BgL_arg2830z00_1466;obj_t BgL_arg2831z00_1467;BgL_varz00_bglt BgL_arg2832z00_1468;obj_t BgL_arg2833z00_1469;
BgL_arg2830z00_1466 = BgL_locz00_1461; 
BgL_arg2831z00_1467 = BGl_za2unspecza2z00zztype_cachez00; 
{ /* Ast/let.scm 262 */
obj_t BgL_arg2834z00_1470;obj_t BgL_arg2835z00_1471;
BgL_arg2834z00_1470 = BgL_locz00_1461; 
BgL_arg2835z00_1471 = BGl_za2_za2z00zztype_cachez00; 
{ /* Ast/let.scm 260 */
BgL_varz00_bglt BgL_res2947z00_2239;
{ /* Ast/let.scm 260 */
BgL_typez00_bglt BgL_type1631z00_2222;BgL_variablez00_bglt BgL_variable1632z00_2223;
BgL_type1631z00_2222 = 
(BgL_typez00_bglt)(BgL_arg2835z00_1471); 
{ /* Ast/let.scm 263 */
obj_t BgL_auxz00_3349;
BgL_auxz00_3349 = BgL_varz00_1459; 
BgL_variable1632z00_2223 = 
(BgL_variablez00_bglt)(BgL_auxz00_3349); } 
{ /* Ast/let.scm 260 */
BgL_varz00_bglt BgL_new1633z00_2224;
{ /* Ast/let.scm 260 */
BgL_varz00_bglt BgL_res2945z00_2230;
{ /* Ast/let.scm 260 */
BgL_varz00_bglt BgL_new1635z00_2225;
BgL_new1635z00_2225 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/let.scm 260 */
long BgL_arg2912z00_2226;
BgL_arg2912z00_2226 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/let.scm 260 */
BgL_objectz00_bglt BgL_auxz00_3353;
BgL_auxz00_3353 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2225); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3353, BgL_arg2912z00_2226); } } 
{ /* Ast/let.scm 260 */
BgL_objectz00_bglt BgL_auxz00_3356;
BgL_auxz00_3356 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2225); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3356, BFALSE); } 
{ /* Ast/let.scm 260 */
obj_t BgL_auxz00_3359;
BgL_auxz00_3359 = 
(obj_t)(BgL_new1635z00_2225); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3359); } BUNSPEC; 
BgL_res2945z00_2230 = BgL_new1635z00_2225; } 
BgL_new1633z00_2224 = BgL_res2945z00_2230; } 
{ /* Ast/let.scm 260 */
BgL_varz00_bglt BgL_res2946z00_2238;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2224))->BgL_locz00) = ((obj_t)BgL_arg2834z00_1470), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2224))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2222), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2224))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2223), BUNSPEC); 
BgL_res2946z00_2238 = BgL_new1633z00_2224; BgL_res2946z00_2238; } 
BgL_res2947z00_2239 = BgL_new1633z00_2224; } } 
BgL_arg2832z00_1468 = BgL_res2947z00_2239; } } 
BgL_arg2833z00_1469 = BgL_valz00_1460; 
{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_res2950z00_2261;
{ /* Ast/let.scm 258 */
BgL_typez00_bglt BgL_type2287z00_2241;BgL_nodez00_bglt BgL_value2289z00_2243;
BgL_type2287z00_2241 = 
(BgL_typez00_bglt)(BgL_arg2831z00_1467); 
BgL_value2289z00_2243 = 
(BgL_nodez00_bglt)(BgL_arg2833z00_1469); 
{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_new2290z00_2244;
{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_res2948z00_2250;
{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_new2292z00_2245;
BgL_new2292z00_2245 = 
((BgL_setqz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setqz00_bgl) ))); 
{ /* Ast/let.scm 258 */
long BgL_arg2894z00_2246;
BgL_arg2894z00_2246 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqz00zzast_nodez00); 
{ /* Ast/let.scm 258 */
BgL_objectz00_bglt BgL_auxz00_3369;
BgL_auxz00_3369 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2245); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3369, BgL_arg2894z00_2246); } } 
{ /* Ast/let.scm 258 */
BgL_objectz00_bglt BgL_auxz00_3372;
BgL_auxz00_3372 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2245); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3372, BFALSE); } 
{ /* Ast/let.scm 258 */
obj_t BgL_auxz00_3375;
BgL_auxz00_3375 = 
(obj_t)(BgL_new2292z00_2245); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3375); } BUNSPEC; 
BgL_res2948z00_2250 = BgL_new2292z00_2245; } 
BgL_new2290z00_2244 = BgL_res2948z00_2250; } 
{ /* Ast/let.scm 258 */
BgL_setqz00_bglt BgL_res2949z00_2260;
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2244))->BgL_locz00) = ((obj_t)BgL_arg2830z00_1466), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2244))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2287z00_2241), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2244))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg2832z00_1468), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2244))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value2289z00_2243), BUNSPEC); 
BgL_res2949z00_2260 = BgL_new2290z00_2244; BgL_res2949z00_2260; } 
BgL_res2950z00_2261 = BgL_new2290z00_2244; } } 
BgL_initz00_1462 = BgL_res2950z00_2261; } } 
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_varz00_1459), BgL_locz00_1461, 
CNST_TABLE_REF(((long)5))); 
{ /* Ast/let.scm 267 */
BgL_nodez00_bglt BgL_arg2827z00_1463;
BgL_arg2827z00_1463 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BUNSPEC, BNIL, BgL_locz00_1461, 
CNST_TABLE_REF(((long)2))); 
{ /* Ast/let.scm 266 */
obj_t BgL_auxz00_3387;
BgL_auxz00_3387 = 
(obj_t)(BgL_arg2827z00_1463); 
SET_CDR(BgL_bindingz00_1458, BgL_auxz00_3387); } } 
{ /* Ast/let.scm 268 */
obj_t BgL_arg2828z00_1464;obj_t BgL_arg2829z00_1465;
BgL_arg2828z00_1464 = 
CDR(BgL_bindingsz00_1448); 
{ /* Ast/let.scm 269 */
obj_t BgL_auxz00_3391;
BgL_auxz00_3391 = 
(obj_t)(BgL_initz00_1462); 
BgL_arg2829z00_1465 = 
MAKE_PAIR(BgL_auxz00_3391, BgL_nsequencez00_1449); } 
{ 
obj_t BgL_nsequencez00_3395;obj_t BgL_bindingsz00_3394;
BgL_bindingsz00_3394 = BgL_arg2828z00_1464; 
BgL_nsequencez00_3395 = BgL_arg2829z00_1465; 
BgL_nsequencez00_1449 = BgL_nsequencez00_3395; 
BgL_bindingsz00_1448 = BgL_bindingsz00_3394; 
goto BgL_loopz00_1450;} } } } } } } } } } } } } } } 
}



/* let->labels */
BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t BgL_valuezd2bindingszd2_28, BgL_nodez00_bglt BgL_nodez00_29, obj_t BgL_sitez00_30)
{ AN_OBJECT;
{ /* Ast/let.scm 278 */
{ /* Ast/let.scm 280 */
obj_t BgL_oldzd2funszd2_1479;obj_t BgL_newzd2funszd2_1480;
if(
NULLP(BgL_valuezd2bindingszd2_28))
{ /* Ast/let.scm 280 */
BgL_oldzd2funszd2_1479 = BNIL; }  else 
{ /* Ast/let.scm 280 */
obj_t BgL_head2673z00_1515;
{ /* Ast/let.scm 280 */
obj_t BgL_auxz00_3400;
{ /* Ast/let.scm 280 */
obj_t BgL_auxz00_3401;
BgL_auxz00_3401 = 
CAR(BgL_valuezd2bindingszd2_28); 
BgL_auxz00_3400 = 
CAR(BgL_auxz00_3401); } 
BgL_head2673z00_1515 = 
MAKE_PAIR(BgL_auxz00_3400, BNIL); } 
{ 
obj_t BgL_l2671z00_1516;obj_t BgL_tail2674z00_1517;
BgL_l2671z00_1516 = 
CDR(BgL_valuezd2bindingszd2_28); 
BgL_tail2674z00_1517 = BgL_head2673z00_1515; 
BgL_lname2672z00_1518:
if(
NULLP(BgL_l2671z00_1516))
{ /* Ast/let.scm 280 */
BgL_oldzd2funszd2_1479 = BgL_head2673z00_1515; }  else 
{ /* Ast/let.scm 280 */
obj_t BgL_newtail2675z00_1521;
{ /* Ast/let.scm 280 */
obj_t BgL_auxz00_3407;
{ /* Ast/let.scm 280 */
obj_t BgL_auxz00_3408;
BgL_auxz00_3408 = 
CAR(BgL_l2671z00_1516); 
BgL_auxz00_3407 = 
CAR(BgL_auxz00_3408); } 
BgL_newtail2675z00_1521 = 
MAKE_PAIR(BgL_auxz00_3407, BNIL); } 
SET_CDR(BgL_tail2674z00_1517, BgL_newtail2675z00_1521); 
{ 
obj_t BgL_tail2674z00_3415;obj_t BgL_l2671z00_3413;
BgL_l2671z00_3413 = 
CDR(BgL_l2671z00_1516); 
BgL_tail2674z00_3415 = BgL_newtail2675z00_1521; 
BgL_tail2674z00_1517 = BgL_tail2674z00_3415; 
BgL_l2671z00_1516 = BgL_l2671z00_3413; 
goto BgL_lname2672z00_1518;} } } } 
if(
NULLP(BgL_valuezd2bindingszd2_28))
{ /* Ast/let.scm 281 */
BgL_newzd2funszd2_1480 = BNIL; }  else 
{ /* Ast/let.scm 281 */
obj_t BgL_head2678z00_1531;
BgL_head2678z00_1531 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2676z00_1532;obj_t BgL_tail2679z00_1533;
BgL_l2676z00_1532 = BgL_valuezd2bindingszd2_28; 
BgL_tail2679z00_1533 = BgL_head2678z00_1531; 
BgL_lname2677z00_1534:
if(
NULLP(BgL_l2676z00_1532))
{ /* Ast/let.scm 281 */
BgL_newzd2funszd2_1480 = 
CDR(BgL_head2678z00_1531); }  else 
{ /* Ast/let.scm 282 */
obj_t BgL_newtail2680z00_1536;
{ /* Ast/let.scm 282 */
BgL_localz00_bglt BgL_arg2876z00_1538;
{ /* Ast/let.scm 282 */
obj_t BgL_bindingz00_1540;
BgL_bindingz00_1540 = 
CAR(BgL_l2676z00_1532); 
{ /* Ast/let.scm 282 */
obj_t BgL_ovarz00_1541;
BgL_ovarz00_1541 = 
CAR(BgL_bindingz00_1540); 
{ /* Ast/let.scm 283 */
obj_t BgL_auxz00_1543;
{ /* Ast/let.scm 284 */
obj_t BgL_auxz00_3425;
{ /* Ast/let.scm 284 */
BgL_letzd2funzd2_bglt BgL_obj2426z00_2287;
{ /* Ast/let.scm 284 */
obj_t BgL_auxz00_3426;
BgL_auxz00_3426 = 
CDR(BgL_bindingz00_1540); 
BgL_obj2426z00_2287 = 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_3426); } 
BgL_auxz00_3425 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2426z00_2287))->BgL_localsz00); } 
BgL_auxz00_1543 = 
CAR(BgL_auxz00_3425); } 
{ /* Ast/let.scm 285 */
BgL_localz00_bglt BgL_newz00_1545;
{ /* Ast/let.scm 288 */
BgL_typez00_bglt BgL_auxz00_3439;obj_t BgL_auxz00_3431;
{ /* Ast/let.scm 288 */
BgL_localz00_bglt BgL_obj1252z00_2292;
BgL_obj1252z00_2292 = 
(BgL_localz00_bglt)(BgL_auxz00_1543); 
BgL_auxz00_3439 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2292))->BgL_typez00); } 
{ /* Ast/let.scm 285 */
bool_t BgL_testz00_3432;
{ /* Ast/let.scm 285 */
BgL_localz00_bglt BgL_obj1270z00_2289;
BgL_obj1270z00_2289 = 
(BgL_localz00_bglt)(BgL_ovarz00_1541); 
BgL_testz00_3432 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2289))->BgL_userzf3zf3); } 
if(BgL_testz00_3432)
{ /* Ast/let.scm 286 */
BgL_localz00_bglt BgL_obj1248z00_2290;
BgL_obj1248z00_2290 = 
(BgL_localz00_bglt)(BgL_ovarz00_1541); 
BgL_auxz00_3431 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_2290))->BgL_idz00); }  else 
{ /* Ast/let.scm 287 */
BgL_localz00_bglt BgL_obj1248z00_2291;
BgL_obj1248z00_2291 = 
(BgL_localz00_bglt)(BgL_auxz00_1543); 
BgL_auxz00_3431 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_2291))->BgL_idz00); } } 
BgL_newz00_1545 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_3431, BgL_auxz00_3439); } 
{ /* Ast/let.scm 288 */

{ /* Ast/let.scm 289 */
BgL_valuez00_bglt BgL_arg2878z00_1546;
{ /* Ast/let.scm 289 */
BgL_localz00_bglt BgL_obj1255z00_2293;
BgL_obj1255z00_2293 = 
(BgL_localz00_bglt)(BgL_auxz00_1543); 
BgL_arg2878z00_1546 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2293))->BgL_valuez00); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1545))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg2878z00_1546), BUNSPEC); } 
{ /* Ast/let.scm 290 */
bool_t BgL_arg2879z00_1547;
{ /* Ast/let.scm 290 */
bool_t BgL__ortest_2681z00_1548;
{ /* Ast/let.scm 290 */
BgL_localz00_bglt BgL_obj1270z00_2296;
BgL_obj1270z00_2296 = 
(BgL_localz00_bglt)(BgL_auxz00_1543); 
BgL__ortest_2681z00_1548 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2296))->BgL_userzf3zf3); } 
if(BgL__ortest_2681z00_1548)
{ /* Ast/let.scm 290 */
BgL_arg2879z00_1547 = BgL__ortest_2681z00_1548; }  else 
{ /* Ast/let.scm 291 */
BgL_localz00_bglt BgL_obj1270z00_2297;
BgL_obj1270z00_2297 = 
(BgL_localz00_bglt)(BgL_ovarz00_1541); 
BgL_arg2879z00_1547 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2297))->BgL_userzf3zf3); } } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1545))->BgL_userzf3zf3) = ((bool_t)BgL_arg2879z00_1547), BUNSPEC); } 
{ /* Ast/let.scm 292 */
obj_t BgL_arg2880z00_1549;
{ /* Ast/let.scm 292 */
BgL_localz00_bglt BgL_obj1249z00_2300;
BgL_obj1249z00_2300 = 
(BgL_localz00_bglt)(BgL_auxz00_1543); 
BgL_arg2880z00_1549 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2300))->BgL_namez00); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1545))->BgL_namez00) = ((obj_t)BgL_arg2880z00_1549), BUNSPEC); } 
BgL_arg2876z00_1538 = BgL_newz00_1545; } } } } } 
{ /* Ast/let.scm 281 */
obj_t BgL_auxz00_3455;
BgL_auxz00_3455 = 
(obj_t)(BgL_arg2876z00_1538); 
BgL_newtail2680z00_1536 = 
MAKE_PAIR(BgL_auxz00_3455, BNIL); } } 
SET_CDR(BgL_tail2679z00_1533, BgL_newtail2680z00_1536); 
{ 
obj_t BgL_tail2679z00_3461;obj_t BgL_l2676z00_3459;
BgL_l2676z00_3459 = 
CDR(BgL_l2676z00_1532); 
BgL_tail2679z00_3461 = BgL_newtail2680z00_1536; 
BgL_tail2679z00_1533 = BgL_tail2679z00_3461; 
BgL_l2676z00_1532 = BgL_l2676z00_3459; 
goto BgL_lname2677z00_1534;} } } } 
{ 
obj_t BgL_vbindingsz00_1481;obj_t BgL_nvarsz00_1482;
BgL_vbindingsz00_1481 = BgL_valuezd2bindingszd2_28; 
BgL_nvarsz00_1482 = BgL_newzd2funszd2_1480; 
BgL_loopz00_1483:
if(
NULLP(BgL_vbindingsz00_1481))
{ /* Ast/let.scm 300 */
BgL_nodez00_bglt BgL_bodyz00_1485;
BgL_bodyz00_1485 = 
BGl_substitutez12z12zzast_substitutez00(BgL_oldzd2funszd2_1479, BgL_newzd2funszd2_1480, BgL_nodez00_29, BgL_sitez00_30); 
{ /* Ast/let.scm 300 */
obj_t BgL_funsz00_1486;
BgL_funsz00_1486 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2funszd2_1480); 
{ /* Ast/let.scm 301 */
obj_t BgL_locz00_1487;
{ /* Ast/let.scm 302 */
bool_t BgL_test2849z00_1493;
if(
PAIRP(BgL_funsz00_1486))
{ /* Ast/let.scm 303 */
obj_t BgL_auxz00_3468;
{ /* Ast/let.scm 303 */
BgL_valuez00_bglt BgL_auxz00_3469;
{ /* Ast/let.scm 303 */
BgL_localz00_bglt BgL_obj1255z00_2311;
{ /* Ast/let.scm 303 */
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
CAR(BgL_funsz00_1486); 
BgL_obj1255z00_2311 = 
(BgL_localz00_bglt)(BgL_auxz00_3470); } 
BgL_auxz00_3469 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2311))->BgL_valuez00); } 
BgL_auxz00_3468 = 
(obj_t)(BgL_auxz00_3469); } 
BgL_test2849z00_1493 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3468, BGl_sfunz00zzast_varz00); }  else 
{ /* Ast/let.scm 302 */
BgL_test2849z00_1493 = ((bool_t)0); } 
if(BgL_test2849z00_1493)
{ /* Ast/let.scm 304 */
BgL_nodez00_bglt BgL_obj1549z00_2316;
{ /* Ast/let.scm 304 */
obj_t BgL_auxz00_3477;
{ /* Ast/let.scm 304 */
BgL_sfunz00_bglt BgL_obj1372z00_2315;
{ /* Ast/let.scm 304 */
BgL_valuez00_bglt BgL_auxz00_3478;
{ /* Ast/let.scm 304 */
BgL_localz00_bglt BgL_obj1255z00_2314;
{ /* Ast/let.scm 304 */
obj_t BgL_auxz00_3479;
BgL_auxz00_3479 = 
CAR(BgL_funsz00_1486); 
BgL_obj1255z00_2314 = 
(BgL_localz00_bglt)(BgL_auxz00_3479); } 
BgL_auxz00_3478 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2314))->BgL_valuez00); } 
BgL_obj1372z00_2315 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3478); } 
BgL_auxz00_3477 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2315))->BgL_bodyz00); } 
BgL_obj1549z00_2316 = 
(BgL_nodez00_bglt)(BgL_auxz00_3477); } 
BgL_locz00_1487 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2316))->BgL_locz00); }  else 
{ /* Ast/let.scm 302 */
BgL_locz00_1487 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_29))->BgL_locz00); } } 
{ /* Ast/let.scm 302 */

{ /* Ast/let.scm 307 */
obj_t BgL_arg2844z00_1488;BgL_typez00_bglt BgL_arg2845z00_1489;obj_t BgL_arg2847z00_1491;BgL_nodez00_bglt BgL_arg2848z00_1492;
BgL_arg2844z00_1488 = BgL_locz00_1487; 
BgL_arg2845z00_1489 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_29))->BgL_typez00); 
BgL_arg2847z00_1491 = BgL_funsz00_1486; 
BgL_arg2848z00_1492 = BgL_bodyz00_1485; 
{ /* Ast/let.scm 306 */
BgL_letzd2funzd2_bglt BgL_res2953z00_2346;
{ /* Ast/let.scm 306 */
obj_t BgL_key2449z00_2322;
BgL_key2449z00_2322 = 
BINT(((long)-1)); 
{ /* Ast/let.scm 306 */
BgL_letzd2funzd2_bglt BgL_new2452z00_2325;
{ /* Ast/let.scm 306 */
BgL_letzd2funzd2_bglt BgL_res2951z00_2331;
{ /* Ast/let.scm 306 */
BgL_letzd2funzd2_bglt BgL_new2454z00_2326;
BgL_new2454z00_2326 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Ast/let.scm 306 */
long BgL_arg2890z00_2327;
BgL_arg2890z00_2327 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Ast/let.scm 306 */
BgL_objectz00_bglt BgL_auxz00_3492;
BgL_auxz00_3492 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2326); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3492, BgL_arg2890z00_2327); } } 
{ /* Ast/let.scm 306 */
BgL_objectz00_bglt BgL_auxz00_3495;
BgL_auxz00_3495 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2326); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3495, BFALSE); } 
{ /* Ast/let.scm 306 */
obj_t BgL_auxz00_3498;
BgL_auxz00_3498 = 
(obj_t)(BgL_new2454z00_2326); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3498); } BUNSPEC; 
BgL_res2951z00_2331 = BgL_new2454z00_2326; } 
BgL_new2452z00_2325 = BgL_res2951z00_2331; } 
{ /* Ast/let.scm 306 */
BgL_letzd2funzd2_bglt BgL_res2952z00_2345;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_locz00) = ((obj_t)BgL_arg2844z00_1488), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2845z00_1489), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_keyz00) = ((obj_t)BgL_key2449z00_2322), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_localsz00) = ((obj_t)BgL_arg2847z00_1491), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2325))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2848z00_1492), BUNSPEC); 
BgL_res2952z00_2345 = BgL_new2452z00_2325; BgL_res2952z00_2345; } 
BgL_res2953z00_2346 = BgL_new2452z00_2325; } } 
return BgL_res2953z00_2346;} } } } } }  else 
{ /* Ast/let.scm 312 */
obj_t BgL_nvarz00_1501;
BgL_nvarz00_1501 = 
CAR(BgL_nvarsz00_1482); 
{ /* Ast/let.scm 313 */
BgL_valuez00_bglt BgL_sfunz00_1502;
{ /* Ast/let.scm 314 */
BgL_localz00_bglt BgL_obj1255z00_2349;
BgL_obj1255z00_2349 = 
(BgL_localz00_bglt)(BgL_nvarz00_1501); 
BgL_sfunz00_1502 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2349))->BgL_valuez00); } 
{ /* Ast/let.scm 314 */
obj_t BgL_bodyz00_1503;
{ /* Ast/let.scm 315 */
BgL_sfunz00_bglt BgL_obj1372z00_2350;
BgL_obj1372z00_2350 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1502); 
BgL_bodyz00_1503 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2350))->BgL_bodyz00); } 
{ /* Ast/let.scm 317 */

{ /* Ast/let.scm 319 */
BgL_nodez00_bglt BgL_arg2856z00_1506;
{ /* Ast/let.scm 319 */
obj_t BgL_arg2857z00_1507;obj_t BgL_arg2858z00_1508;obj_t BgL_arg2859z00_1509;
{ /* Ast/let.scm 319 */
obj_t BgL_auxz00_3512;
{ /* Ast/let.scm 317 */
obj_t BgL_auxz00_3513;
{ /* Ast/let.scm 317 */
BgL_letzd2funzd2_bglt BgL_obj2426z00_2352;
{ /* Ast/let.scm 317 */
obj_t BgL_auxz00_3514;
{ /* Ast/let.scm 316 */
obj_t BgL_auxz00_3515;
BgL_auxz00_3515 = 
CAR(BgL_vbindingsz00_1481); 
BgL_auxz00_3514 = 
CDR(BgL_auxz00_3515); } 
BgL_obj2426z00_2352 = 
(BgL_letzd2funzd2_bglt)(BgL_auxz00_3514); } 
BgL_auxz00_3513 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj2426z00_2352))->BgL_localsz00); } 
BgL_auxz00_3512 = 
CAR(BgL_auxz00_3513); } 
BgL_arg2857z00_1507 = 
MAKE_PAIR(BgL_auxz00_3512, BgL_oldzd2funszd2_1479); } 
BgL_arg2858z00_1508 = 
MAKE_PAIR(BgL_nvarz00_1501, BgL_newzd2funszd2_1480); 
BgL_arg2859z00_1509 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2856z00_1506 = 
BGl_substitutez12z12zzast_substitutez00(BgL_arg2857z00_1507, BgL_arg2858z00_1508, 
(BgL_nodez00_bglt)(BgL_bodyz00_1503), BgL_arg2859z00_1509); } 
{ /* Ast/let.scm 318 */
BgL_sfunz00_bglt BgL_obj1374z00_2354;obj_t BgL_val1373z00_2355;
BgL_obj1374z00_2354 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1502); 
BgL_val1373z00_2355 = 
(obj_t)(BgL_arg2856z00_1506); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2354))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2355), BUNSPEC); } } 
{ 
obj_t BgL_nvarsz00_3531;obj_t BgL_vbindingsz00_3529;
BgL_vbindingsz00_3529 = 
CDR(BgL_vbindingsz00_1481); 
BgL_nvarsz00_3531 = 
CDR(BgL_nvarsz00_1482); 
BgL_nvarsz00_1482 = BgL_nvarsz00_3531; 
BgL_vbindingsz00_1481 = BgL_vbindingsz00_3529; 
goto BgL_loopz00_1483;} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_letz00()
{ AN_OBJECT;
{ /* Ast/let.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_letz00()
{ AN_OBJECT;
{ /* Ast/let.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_let"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_let"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_let"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_let"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_let"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_let"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_let"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_let"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_let"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_let"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_let"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_let"); 
return 
BGl_modulezd2initializa7ationz75zzast_substitutez00(((long)23964), "ast_let");} 
}

