/*===========================================================================*/
/*   (Ast/local.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzast_localz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl__makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl__makezd2localzd2svarz00zzast_localz00(obj_t, obj_t, obj_t);
static BgL_localz00_bglt BGl_makezd2newzd2localz00zzast_localz00(obj_t, BgL_typez00_bglt, obj_t, bool_t);
static obj_t BGl__makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
static obj_t BGl__makezd2localzd2sfunz00zzast_localz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sexitz00_bglt);
static obj_t BGl_cnstzd2initzd2zzast_localz00();
static obj_t BGl__clonezd2localzd2zzast_localz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_localz00();
static long BGl_za2localzd2keyza2zd2zzast_localz00;
static obj_t BGl_toplevelzd2initzd2zzast_localz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
static obj_t BGl__makezd2localzd2sexitz00zzast_localz00(obj_t, obj_t, obj_t, obj_t);
static long BGl_getzd2newzd2keyz00zzast_localz00();
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_requirezd2initializa7ationz75zzast_localz00 = BUNSPEC;
extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
extern obj_t BGl_localzd2idzd2ze3nameze3zzast_identz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_localz00();
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2userzd2localzd2svarzd2envz00zzast_localz00, BgL_bgl__makeza7d2userza7d2localza7d2svarza7d2za7za7ast_localza7001628za7, BGl__makezd2userzd2localzd2svarzd2zzast_localz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2svarzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2svarza700za7za7ast_localza7001629z00, BGl__makezd2localzd2svarz00zzast_localz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2userzd2localzd2sfunzd2envz00zzast_localz00, BgL_bgl__makeza7d2userza7d2localza7d2sfunza7d2za7za7ast_localza7001630za7, BGl__makezd2userzd2localzd2sfunzd2zzast_localz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2sexitzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2sexitza700za7za7ast_localza7001631z00, BGl__makezd2localzd2sexitz00zzast_localz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2sfunzd2envzd2zzast_localz00, BgL_bgl__makeza7d2localza7d2sfunza700za7za7ast_localza7001632z00, BGl__makezd2localzd2sfunz00zzast_localz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_clonezd2localzd2envz00zzast_localz00, BgL_bgl__cloneza7d2localza7d2za7za7ast_localza7001633za7, BGl__clonezd2localzd2zzast_localz00, 0L, 2 );
DEFINE_STRING( BGl_string1623z00zzast_localz00, BgL_bgl_string1623za700za7za7ast_localza7001634z00, "now read ", 9 );
DEFINE_STRING( BGl_string1622z00zzast_localz00, BgL_bgl_string1622za700za7za7ast_localza7001635z00, "_", 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long BgL_checksumz00_918, char * BgL_fromz00_919)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_localz00))
{ 
BGl_requirezd2initializa7ationz75zzast_localz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_localz00(); 
BGl_cnstzd2initzd2zzast_localz00(); 
BGl_importedzd2moduleszd2initz00zzast_localz00(); 
BGl_toplevelzd2initzd2zzast_localz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_local"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_local"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "ast_local"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 14 */
{ /* Ast/local.scm 14 */
obj_t BgL_cportz00_911;
BgL_cportz00_911 = 
open_input_string(BGl_string1623z00zzast_localz00); 
{ 
long BgL_iz00_912;
BgL_iz00_912 = ((long)1); 
BgL_loopz00_913:
if(
(BgL_iz00_912==((long)-1)))
{ /* Ast/local.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/local.scm 14 */
{ /* Ast/local.scm 14 */
obj_t BgL_arg1625z00_915;
{ /* Ast/local.scm 14 */
obj_t BgL_list1626z00_916;
BgL_list1626z00_916 = 
MAKE_PAIR(BgL_cportz00_911, BNIL); 
BgL_arg1625z00_915 = 
BGl_readz00zz__readerz00(BgL_list1626z00_916); } 
{ /* Ast/local.scm 14 */
int BgL_auxz00_935;
BgL_auxz00_935 = 
(int)(BgL_iz00_912); 
CNST_TABLE_SET(BgL_auxz00_935, BgL_arg1625z00_915); } } 
{ 
long BgL_iz00_938;
{ /* Ast/local.scm 14 */
int BgL_auxz00_939;
{ /* Ast/local.scm 14 */
long BgL_auxz00_940;
BgL_auxz00_940 = 
(BgL_iz00_912-((long)1)); 
BgL_auxz00_939 = 
(int)(BgL_auxz00_940); } 
BgL_iz00_938 = 
(long)(BgL_auxz00_939); } 
BgL_iz00_912 = BgL_iz00_938; 
goto BgL_loopz00_913;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 14 */
return ( 
BGl_za2localzd2keyza2zd2zzast_localz00 = ((long)0), BUNSPEC) ;} 
}



/* get-new-key */
long BGl_getzd2newzd2keyz00zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 35 */
{ /* Ast/local.scm 36 */
long BgL_za71za7_589;
BgL_za71za7_589 = BGl_za2localzd2keyza2zd2zzast_localz00; 
BGl_za2localzd2keyza2zd2zzast_localz00 = 
(BgL_za71za7_589+((long)1)); } 
return BGl_za2localzd2keyza2zd2zzast_localz00;} 
}



/* make-new-local */
BgL_localz00_bglt BGl_makezd2newzd2localz00zzast_localz00(obj_t BgL_idz00_1, BgL_typez00_bglt BgL_typez00_2, obj_t BgL_valuez00_3, bool_t BgL_userzf3zf3_4)
{ AN_OBJECT;
{ /* Ast/local.scm 44 */
{ /* Ast/local.scm 45 */
long BgL_keyz00_435;
BgL_keyz00_435 = 
BGl_getzd2newzd2keyz00zzast_localz00(); 
{ /* Ast/local.scm 48 */
obj_t BgL_arg1557z00_436;obj_t BgL_arg1558z00_437;BgL_typez00_bglt BgL_arg1559z00_438;obj_t BgL_arg1561z00_439;obj_t BgL_arg1562z00_440;obj_t BgL_arg1565z00_441;bool_t BgL_arg1567z00_443;long BgL_arg1571z00_444;
BgL_arg1557z00_436 = BgL_idz00_1; 
{ /* Ast/local.scm 49 */
obj_t BgL_arg1572z00_445;obj_t BgL_arg1574z00_447;
BgL_arg1572z00_445 = 
BGl_localzd2idzd2ze3nameze3zzast_identz00(BgL_idz00_1); 
BgL_arg1574z00_447 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_keyz00_435, BNIL); 
BgL_arg1558z00_437 = 
string_append_3(BgL_arg1572z00_445, BGl_string1622z00zzast_localz00, BgL_arg1574z00_447); } 
BgL_arg1559z00_438 = BgL_typez00_2; 
BgL_arg1561z00_439 = BgL_valuez00_3; 
BgL_arg1562z00_440 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1565z00_441 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1567z00_443 = BgL_userzf3zf3_4; 
BgL_arg1571z00_444 = BgL_keyz00_435; 
{ /* Ast/local.scm 46 */
BgL_localz00_bglt BgL_res1608z00_630;
{ /* Ast/local.scm 46 */
BgL_valuez00_bglt BgL_value1299z00_594;
BgL_value1299z00_594 = 
(BgL_valuez00_bglt)(BgL_arg1561z00_439); 
{ /* Ast/local.scm 46 */
BgL_localz00_bglt BgL_new1306z00_601;
{ /* Ast/local.scm 46 */
BgL_localz00_bglt BgL_res1606z00_607;
{ /* Ast/local.scm 46 */
BgL_localz00_bglt BgL_new1308z00_602;
BgL_new1308z00_602 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Ast/local.scm 46 */
long BgL_arg1601z00_603;
BgL_arg1601z00_603 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Ast/local.scm 46 */
BgL_objectz00_bglt BgL_auxz00_954;
BgL_auxz00_954 = 
(BgL_objectz00_bglt)(BgL_new1308z00_602); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_954, BgL_arg1601z00_603); } } 
{ /* Ast/local.scm 46 */
BgL_objectz00_bglt BgL_auxz00_957;
BgL_auxz00_957 = 
(BgL_objectz00_bglt)(BgL_new1308z00_602); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_957, BFALSE); } 
{ /* Ast/local.scm 46 */
obj_t BgL_auxz00_960;
BgL_auxz00_960 = 
(obj_t)(BgL_new1308z00_602); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_960); } BUNSPEC; 
BgL_res1606z00_607 = BgL_new1308z00_602; } 
BgL_new1306z00_601 = BgL_res1606z00_607; } 
{ /* Ast/local.scm 46 */
BgL_localz00_bglt BgL_res1607z00_629;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_idz00) = ((obj_t)BgL_arg1557z00_436), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_namez00) = ((obj_t)BgL_arg1558z00_437), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg1559z00_438), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1299z00_594), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_accessz00) = ((obj_t)BgL_arg1562z00_440), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_removablez00) = ((obj_t)BgL_arg1565z00_441), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_userzf3zf3) = ((bool_t)BgL_arg1567z00_443), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_601))->BgL_keyz00) = ((long)BgL_arg1571z00_444), BUNSPEC); 
BgL_res1607z00_629 = BgL_new1306z00_601; BgL_res1607z00_629; } 
BgL_res1608z00_630 = BgL_new1306z00_601; } } 
return BgL_res1608z00_630;} } } } 
}



/* clone-local */
BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt BgL_localz00_5, BgL_valuez00_bglt BgL_valuez00_6)
{ AN_OBJECT;
{ /* Ast/local.scm 57 */
{ /* Ast/local.scm 58 */
long BgL_keyz00_449;
BgL_keyz00_449 = 
BGl_getzd2newzd2keyz00zzast_localz00(); 
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_new1553z00_452;
{ /* Ast/local.scm 60 */
obj_t BgL_arg1576z00_453;obj_t BgL_arg1577z00_454;BgL_typez00_bglt BgL_arg1578z00_455;BgL_valuez00_bglt BgL_arg1579z00_456;obj_t BgL_arg1580z00_457;obj_t BgL_arg1581z00_458;obj_t BgL_arg1582z00_459;long BgL_arg1583z00_460;bool_t BgL_arg1584z00_461;long BgL_arg1585z00_462;
BgL_arg1576z00_453 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_idz00); 
{ /* Ast/local.scm 62 */
obj_t BgL_arg1587z00_463;obj_t BgL_arg1589z00_465;
BgL_arg1587z00_463 = 
BGl_idzd2ze3namez31zzast_identz00(
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_idz00)); 
BgL_arg1589z00_465 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_keyz00_449, BNIL); 
BgL_arg1577z00_454 = 
string_append_3(BgL_arg1587z00_463, BGl_string1622z00zzast_localz00, BgL_arg1589z00_465); } 
BgL_arg1578z00_455 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_typez00); 
BgL_arg1579z00_456 = BgL_valuez00_6; 
BgL_arg1580z00_457 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_accessz00); 
BgL_arg1581z00_458 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_fastzd2alphazd2); 
BgL_arg1582z00_459 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_removablez00); 
BgL_arg1583z00_460 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_occurrencez00); 
BgL_arg1584z00_461 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_5))->BgL_userzf3zf3); 
BgL_arg1585z00_462 = BgL_keyz00_449; 
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_res1611z00_678;
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_new1306z00_649;
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_res1609z00_655;
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_new1308z00_650;
BgL_new1308z00_650 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Ast/local.scm 60 */
long BgL_arg1601z00_651;
BgL_arg1601z00_651 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Ast/local.scm 60 */
BgL_objectz00_bglt BgL_auxz00_987;
BgL_auxz00_987 = 
(BgL_objectz00_bglt)(BgL_new1308z00_650); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_987, BgL_arg1601z00_651); } } 
{ /* Ast/local.scm 60 */
BgL_objectz00_bglt BgL_auxz00_990;
BgL_auxz00_990 = 
(BgL_objectz00_bglt)(BgL_new1308z00_650); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_990, BFALSE); } 
{ /* Ast/local.scm 60 */
obj_t BgL_auxz00_993;
BgL_auxz00_993 = 
(obj_t)(BgL_new1308z00_650); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_993); } BUNSPEC; 
BgL_res1609z00_655 = BgL_new1308z00_650; } 
BgL_new1306z00_649 = BgL_res1609z00_655; } 
{ /* Ast/local.scm 60 */
BgL_localz00_bglt BgL_res1610z00_677;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_idz00) = ((obj_t)BgL_arg1576z00_453), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_namez00) = ((obj_t)BgL_arg1577z00_454), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg1578z00_455), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg1579z00_456), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_accessz00) = ((obj_t)BgL_arg1580z00_457), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg1581z00_458), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_removablez00) = ((obj_t)BgL_arg1582z00_459), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_occurrencez00) = ((long)BgL_arg1583z00_460), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_userzf3zf3) = ((bool_t)BgL_arg1584z00_461), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_649))->BgL_keyz00) = ((long)BgL_arg1585z00_462), BUNSPEC); 
BgL_res1610z00_677 = BgL_new1306z00_649; BgL_res1610z00_677; } 
BgL_res1611z00_678 = BgL_new1306z00_649; } 
BgL_new1553z00_452 = BgL_res1611z00_678; } } 
{ /* Ast/local.scm 60 */

return BgL_new1553z00_452;} } } } 
}



/* _clone-local */
obj_t BGl__clonezd2localzd2zzast_localz00(obj_t BgL_envz00_890, obj_t BgL_localz00_891, obj_t BgL_valuez00_892)
{ AN_OBJECT;
{ /* Ast/local.scm 57 */
{ /* Ast/local.scm 57 */
BgL_localz00_bglt BgL_auxz00_1006;
BgL_auxz00_1006 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_localz00_891), 
(BgL_valuez00_bglt)(BgL_valuez00_892)); 
return 
(obj_t)(BgL_auxz00_1006);} } 
}



/* make-local-svar */
BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t BgL_idz00_7, BgL_typez00_bglt BgL_typez00_8)
{ AN_OBJECT;
{ /* Ast/local.scm 68 */
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_arg1592z00_679;
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_res1614z00_692;
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_new1495z00_681;
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_res1612z00_687;
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_new1497z00_682;
BgL_new1497z00_682 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Ast/local.scm 69 */
long BgL_arg1597z00_683;
BgL_arg1597z00_683 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Ast/local.scm 69 */
BgL_objectz00_bglt BgL_auxz00_1013;
BgL_auxz00_1013 = 
(BgL_objectz00_bglt)(BgL_new1497z00_682); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1013, BgL_arg1597z00_683); } } 
{ /* Ast/local.scm 69 */
BgL_objectz00_bglt BgL_auxz00_1016;
BgL_auxz00_1016 = 
(BgL_objectz00_bglt)(BgL_new1497z00_682); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1016, BFALSE); } 
{ /* Ast/local.scm 69 */
obj_t BgL_auxz00_1019;
BgL_auxz00_1019 = 
(obj_t)(BgL_new1497z00_682); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1019); } BUNSPEC; 
BgL_res1612z00_687 = BgL_new1497z00_682; } 
BgL_new1495z00_681 = BgL_res1612z00_687; } 
{ /* Ast/local.scm 69 */
BgL_svarz00_bglt BgL_res1613z00_691;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_681))->BgL_locz00) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res1613z00_691 = BgL_new1495z00_681; BgL_res1613z00_691; } 
BgL_res1614z00_692 = BgL_new1495z00_681; } 
BgL_arg1592z00_679 = BgL_res1614z00_692; } 
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_7, BgL_typez00_8, 
(obj_t)(BgL_arg1592z00_679), ((bool_t)0));} } 
}



/* _make-local-svar */
obj_t BGl__makezd2localzd2svarz00zzast_localz00(obj_t BgL_envz00_893, obj_t BgL_idz00_894, obj_t BgL_typez00_895)
{ AN_OBJECT;
{ /* Ast/local.scm 68 */
{ /* Ast/local.scm 68 */
BgL_localz00_bglt BgL_auxz00_1025;
BgL_auxz00_1025 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_idz00_894, 
(BgL_typez00_bglt)(BgL_typez00_895)); 
return 
(obj_t)(BgL_auxz00_1025);} } 
}



/* make-user-local-svar */
BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t BgL_idz00_9, BgL_typez00_bglt BgL_typez00_10)
{ AN_OBJECT;
{ /* Ast/local.scm 74 */
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_arg1593z00_693;
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_res1617z00_706;
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_new1495z00_695;
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_res1615z00_701;
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_new1497z00_696;
BgL_new1497z00_696 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Ast/local.scm 75 */
long BgL_arg1597z00_697;
BgL_arg1597z00_697 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Ast/local.scm 75 */
BgL_objectz00_bglt BgL_auxz00_1031;
BgL_auxz00_1031 = 
(BgL_objectz00_bglt)(BgL_new1497z00_696); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1031, BgL_arg1597z00_697); } } 
{ /* Ast/local.scm 75 */
BgL_objectz00_bglt BgL_auxz00_1034;
BgL_auxz00_1034 = 
(BgL_objectz00_bglt)(BgL_new1497z00_696); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1034, BFALSE); } 
{ /* Ast/local.scm 75 */
obj_t BgL_auxz00_1037;
BgL_auxz00_1037 = 
(obj_t)(BgL_new1497z00_696); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1037); } BUNSPEC; 
BgL_res1615z00_701 = BgL_new1497z00_696; } 
BgL_new1495z00_695 = BgL_res1615z00_701; } 
{ /* Ast/local.scm 75 */
BgL_svarz00_bglt BgL_res1616z00_705;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_695))->BgL_locz00) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res1616z00_705 = BgL_new1495z00_695; BgL_res1616z00_705; } 
BgL_res1617z00_706 = BgL_new1495z00_695; } 
BgL_arg1593z00_693 = BgL_res1617z00_706; } 
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_9, BgL_typez00_10, 
(obj_t)(BgL_arg1593z00_693), ((bool_t)1));} } 
}



/* _make-user-local-svar */
obj_t BGl__makezd2userzd2localzd2svarzd2zzast_localz00(obj_t BgL_envz00_896, obj_t BgL_idz00_897, obj_t BgL_typez00_898)
{ AN_OBJECT;
{ /* Ast/local.scm 74 */
{ /* Ast/local.scm 74 */
BgL_localz00_bglt BgL_auxz00_1043;
BgL_auxz00_1043 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(BgL_idz00_897, 
(BgL_typez00_bglt)(BgL_typez00_898)); 
return 
(obj_t)(BgL_auxz00_1043);} } 
}



/* make-local-sexit */
BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t BgL_idz00_11, BgL_typez00_bglt BgL_typez00_12, BgL_sexitz00_bglt BgL_sexitz00_13)
{ AN_OBJECT;
{ /* Ast/local.scm 80 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_11, BgL_typez00_12, 
(obj_t)(BgL_sexitz00_13), ((bool_t)0));} 
}



/* _make-local-sexit */
obj_t BGl__makezd2localzd2sexitz00zzast_localz00(obj_t BgL_envz00_899, obj_t BgL_idz00_900, obj_t BgL_typez00_901, obj_t BgL_sexitz00_902)
{ AN_OBJECT;
{ /* Ast/local.scm 80 */
{ /* Ast/local.scm 80 */
BgL_localz00_bglt BgL_auxz00_1049;
BgL_auxz00_1049 = 
BGl_makezd2localzd2sexitz00zzast_localz00(BgL_idz00_900, 
(BgL_typez00_bglt)(BgL_typez00_901), 
(BgL_sexitz00_bglt)(BgL_sexitz00_902)); 
return 
(obj_t)(BgL_auxz00_1049);} } 
}



/* make-local-sfun */
BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t BgL_idz00_14, BgL_typez00_bglt BgL_typez00_15, BgL_sfunz00_bglt BgL_sfunz00_16)
{ AN_OBJECT;
{ /* Ast/local.scm 88 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_14, BgL_typez00_15, 
(obj_t)(BgL_sfunz00_16), ((bool_t)0));} 
}



/* _make-local-sfun */
obj_t BGl__makezd2localzd2sfunz00zzast_localz00(obj_t BgL_envz00_903, obj_t BgL_idz00_904, obj_t BgL_typez00_905, obj_t BgL_sfunz00_906)
{ AN_OBJECT;
{ /* Ast/local.scm 88 */
{ /* Ast/local.scm 88 */
BgL_localz00_bglt BgL_auxz00_1056;
BgL_auxz00_1056 = 
BGl_makezd2localzd2sfunz00zzast_localz00(BgL_idz00_904, 
(BgL_typez00_bglt)(BgL_typez00_905), 
(BgL_sfunz00_bglt)(BgL_sfunz00_906)); 
return 
(obj_t)(BgL_auxz00_1056);} } 
}



/* make-user-local-sfun */
BgL_localz00_bglt BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t BgL_idz00_17, BgL_typez00_bglt BgL_typez00_18, BgL_sfunz00_bglt BgL_sfunz00_19)
{ AN_OBJECT;
{ /* Ast/local.scm 96 */
return 
BGl_makezd2newzd2localz00zzast_localz00(BgL_idz00_17, BgL_typez00_18, 
(obj_t)(BgL_sfunz00_19), ((bool_t)1));} 
}



/* _make-user-local-sfun */
obj_t BGl__makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t BgL_envz00_907, obj_t BgL_idz00_908, obj_t BgL_typez00_909, obj_t BgL_sfunz00_910)
{ AN_OBJECT;
{ /* Ast/local.scm 96 */
{ /* Ast/local.scm 96 */
BgL_localz00_bglt BgL_auxz00_1063;
BgL_auxz00_1063 = 
BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(BgL_idz00_908, 
(BgL_typez00_bglt)(BgL_typez00_909), 
(BgL_sfunz00_bglt)(BgL_sfunz00_910)); 
return 
(obj_t)(BgL_auxz00_1063);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_localz00()
{ AN_OBJECT;
{ /* Ast/local.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_local"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_local"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_local"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_local"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_local");} 
}

