/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
static obj_t BGl_lvtypezd2nodez12zd2app2709z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2select2725z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2cast2717z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2boxzd2ref2740zc0zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl__lvtypezd2nodez12zd2default2696z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
static obj_t BGl_lvtypezd2nodez12zd2letzd2var2730zc0zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2makezd2box2736zc0zzast_lvtypez00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt);
static obj_t BGl_lvtypezd2nodez12zd2kwote2701z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2closure2705z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2letzd2fun2727zc0zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2setzd2exzd2it2732z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2appzd2ly2711zc0zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_lvtypezd2nodez12zd2default2696z12zzast_lvtypez00(BgL_nodez00_bglt);
static obj_t BGl_lvtypezd2nodez12zd2setq2719z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2var2703z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2sequence2707z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2atom2699z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_lvtypezd2nodez12zd2extern2715z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_lvtypezd2nodez12zd2boxzd2setz122738zd2zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_externz00zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2jumpzd2exzd2it2734z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_lvtypezd2nodez12zd2funcall2713z12zzast_lvtypez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_lvtypezd2nodez12zd2fail2723z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
static obj_t BGl_lvtypezd2nodez12zd2conditional2721z12zzast_lvtypez00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_GENERIC( BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_bgl__lvtypeza7d2nodeza712za7c0za7za7ast_lvtypeza7002945z00, BGl__lvtypezd2nodez12zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2916z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2atom2699za712za7za7ast_lvtypeza7002946za7, BGl_lvtypezd2nodez12zd2atom2699z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2917z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2kwote2701za712za7za7ast_lvtypeza7002947za7, BGl_lvtypezd2nodez12zd2kwote2701z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2918z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2var2703za712za7za7ast_lvtypeza7002948za7, BGl_lvtypezd2nodez12zd2var2703z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2920z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2sequence2707za712za7za7ast_lvtypeza7002949za7, BGl_lvtypezd2nodez12zd2sequence2707z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2919z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2closure2705za712za7za7ast_lvtypeza7002950za7, BGl_lvtypezd2nodez12zd2closure2705z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2921z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2app2709za712za7za7ast_lvtypeza7002951za7, BGl_lvtypezd2nodez12zd2app2709z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2922z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2appza7d2ly2711za7c0za7za7ast_lvtypeza7002952z00, BGl_lvtypezd2nodez12zd2appzd2ly2711zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2923z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2funcall2713za712za7za7ast_lvtypeza7002953za7, BGl_lvtypezd2nodez12zd2funcall2713z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2924z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2extern2715za712za7za7ast_lvtypeza7002954za7, BGl_lvtypezd2nodez12zd2extern2715z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2925z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2cast2717za712za7za7ast_lvtypeza7002955za7, BGl_lvtypezd2nodez12zd2cast2717z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2926z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2setq2719za712za7za7ast_lvtypeza7002956za7, BGl_lvtypezd2nodez12zd2setq2719z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2927z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2conditional2721za712za7za7ast_lvtypeza7002957za7, BGl_lvtypezd2nodez12zd2conditional2721z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2928z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2fail2723za712za7za7ast_lvtypeza7002958za7, BGl_lvtypezd2nodez12zd2fail2723z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2930z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2letza7d2fun2727za7c0za7za7ast_lvtypeza7002959z00, BGl_lvtypezd2nodez12zd2letzd2fun2727zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2929z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2select2725za712za7za7ast_lvtypeza7002960za7, BGl_lvtypezd2nodez12zd2select2725z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2931z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2letza7d2var2730za7c0za7za7ast_lvtypeza7002961z00, BGl_lvtypezd2nodez12zd2letzd2var2730zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2932z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2setza7d2exza7d2it2732za712za7za7ast_lvtypeza7002962za7, BGl_lvtypezd2nodez12zd2setzd2exzd2it2732z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2933z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2jumpza7d2exza7d2it2734za712za7za7ast_lvtypeza7002963za7, BGl_lvtypezd2nodez12zd2jumpzd2exzd2it2734z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2934z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2makeza7d2box2736za7c0za7za7ast_lvtypeza7002964z00, BGl_lvtypezd2nodez12zd2makezd2box2736zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2935z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2boxza7d2setza7122738za7d2za7za7ast_lvtypeza7002965za7, BGl_lvtypezd2nodez12zd2boxzd2setz122738zd2zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_lvtypezd2nodez12zd2default2696zd2envzc0zzast_lvtypez00, BgL_bgl__lvtypeza7d2nodeza712za7d2default2696za712za7za7ast_lvtypeza7002966za7, BGl__lvtypezd2nodez12zd2default2696z12zzast_lvtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2936z00zzast_lvtypez00, BgL_bgl_lvtypeza7d2nodeza712za7d2boxza7d2ref2740za7c0za7za7ast_lvtypeza7002967z00, BGl_lvtypezd2nodez12zd2boxzd2ref2740zc0zzast_lvtypez00, 0L, 1 );
DEFINE_STRING( BGl_string2940z00zzast_lvtypez00, BgL_bgl_string2940za700za7za7ast_lvtypeza7002968z00, "lvtype-node!-default2696 ", 25 );
DEFINE_STRING( BGl_string2939z00zzast_lvtypez00, BgL_bgl_string2939za700za7za7ast_lvtypeza7002969z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string2938z00zzast_lvtypez00, BgL_bgl_string2938za700za7za7ast_lvtypeza7002970z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string2937z00zzast_lvtypez00, BgL_bgl_string2937za700za7za7ast_lvtypeza7002971z00, "lvtype-node!", 12 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long BgL_checksumz00_3156, char * BgL_fromz00_3157)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
{ 
BGl_requirezd2initializa7ationz75zzast_lvtypez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_lvtypez00(); 
BGl_cnstzd2initzd2zzast_lvtypez00(); 
BGl_importedzd2moduleszd2initz00zzast_lvtypez00(); 
BGl_methodzd2initzd2zzast_lvtypez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_lvtype"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
{ /* Ast/lvtype.scm 16 */
obj_t BgL_cportz00_3149;
BgL_cportz00_3149 = 
open_input_string(BGl_string2940z00zzast_lvtypez00); 
{ 
long BgL_iz00_3150;
BgL_iz00_3150 = ((long)0); 
BgL_loopz00_3151:
if(
(BgL_iz00_3150==((long)-1)))
{ /* Ast/lvtype.scm 16 */
return BUNSPEC;}  else 
{ /* Ast/lvtype.scm 16 */
{ /* Ast/lvtype.scm 16 */
obj_t BgL_arg2942z00_3153;
{ /* Ast/lvtype.scm 16 */
obj_t BgL_list2943z00_3154;
BgL_list2943z00_3154 = 
MAKE_PAIR(BgL_cportz00_3149, BNIL); 
BgL_arg2942z00_3153 = 
BGl_readz00zz__readerz00(BgL_list2943z00_3154); } 
{ /* Ast/lvtype.scm 16 */
int BgL_auxz00_3172;
BgL_auxz00_3172 = 
(int)(BgL_iz00_3150); 
CNST_TABLE_SET(BgL_auxz00_3172, BgL_arg2942z00_3153); } } 
{ 
long BgL_iz00_3175;
{ /* Ast/lvtype.scm 16 */
int BgL_auxz00_3176;
{ /* Ast/lvtype.scm 16 */
long BgL_auxz00_3177;
BgL_auxz00_3177 = 
(BgL_iz00_3150-((long)1)); 
BgL_auxz00_3176 = 
(int)(BgL_auxz00_3177); } 
BgL_iz00_3175 = 
(long)(BgL_auxz00_3176); } 
BgL_iz00_3150 = BgL_iz00_3175; 
goto BgL_loopz00_3151;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
return BUNSPEC;} 
}



/* lvtype-node*! */
bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_24)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 199 */
{ 
obj_t BgL_l2694z00_1246;
BgL_l2694z00_1246 = BgL_nodeza2za2_24; 
BgL_lname2695z00_1247:
if(
PAIRP(BgL_l2694z00_1246))
{ /* Ast/lvtype.scm 200 */
{ /* Ast/lvtype.scm 200 */
BgL_nodez00_bglt BgL_nodez00_1819;
{ /* Ast/lvtype.scm 200 */
obj_t BgL_auxz00_3183;
BgL_auxz00_3183 = 
CAR(BgL_l2694z00_1246); 
BgL_nodez00_1819 = 
(BgL_nodez00_bglt)(BgL_auxz00_3183); } 
{ /* Ast/lvtype.scm 200 */
obj_t BgL_method2697z00_1820;
{ /* Ast/lvtype.scm 200 */
long BgL_objzd2classzd2numz00_1822;
{ /* Ast/lvtype.scm 200 */
BgL_objectz00_bglt BgL_auxz00_3186;
BgL_auxz00_3186 = 
(BgL_objectz00_bglt)(BgL_nodez00_1819); 
BgL_objzd2classzd2numz00_1822 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3186); } 
{ /* Ast/lvtype.scm 200 */
obj_t BgL_arg1221z00_1823;
{ /* Ast/lvtype.scm 200 */
int BgL_auxz00_3189;
BgL_auxz00_3189 = 
(int)(((long)1)); 
BgL_arg1221z00_1823 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3189); } 
{ /* Ast/lvtype.scm 200 */
long BgL_offsetz00_1827;
{ /* Ast/lvtype.scm 200 */
long BgL_auxz00_3192;
{ /* Ast/lvtype.scm 200 */
int BgL_auxz00_3193;
BgL_auxz00_3193 = 
(int)(BgL_objzd2classzd2numz00_1822); 
BgL_auxz00_3192 = 
(long)(BgL_auxz00_3193); } 
BgL_offsetz00_1827 = 
(BgL_auxz00_3192-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 200 */
long BgL_modz00_1828;
{ /* Ast/lvtype.scm 200 */
long BgL_auxz00_3197;
{ /* Ast/lvtype.scm 200 */
int BgL_auxz00_3198;
BgL_auxz00_3198 = 
(int)(((long)8)); 
BgL_auxz00_3197 = 
(long)(BgL_auxz00_3198); } 
BgL_modz00_1828 = 
(BgL_offsetz00_1827/BgL_auxz00_3197); } 
{ /* Ast/lvtype.scm 200 */
long BgL_restz00_1830;
{ /* Ast/lvtype.scm 200 */
long BgL_auxz00_3202;
{ /* Ast/lvtype.scm 200 */
int BgL_auxz00_3203;
BgL_auxz00_3203 = 
(int)(((long)8)); 
BgL_auxz00_3202 = 
(long)(BgL_auxz00_3203); } 
BgL_restz00_1830 = 
(BgL_offsetz00_1827%BgL_auxz00_3202); } 
{ /* Ast/lvtype.scm 200 */

{ /* Ast/lvtype.scm 200 */
obj_t BgL_bucketz00_1832;
{ /* Ast/lvtype.scm 200 */
int BgL_kz00_1842;
BgL_kz00_1842 = 
(int)(BgL_modz00_1828); 
BgL_bucketz00_1832 = 
VECTOR_REF(BgL_arg1221z00_1823,BgL_kz00_1842); } 
{ /* Ast/lvtype.scm 200 */
int BgL_kz00_1844;
BgL_kz00_1844 = 
(int)(BgL_restz00_1830); 
BgL_method2697z00_1820 = 
VECTOR_REF(BgL_bucketz00_1832,BgL_kz00_1844); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_1820)(BgL_method2697z00_1820, 
(obj_t)(BgL_nodez00_1819), BEOA); } } 
{ 
obj_t BgL_l2694z00_3214;
BgL_l2694z00_3214 = 
CDR(BgL_l2694z00_1246); 
BgL_l2694z00_1246 = BgL_l2694z00_3214; 
goto BgL_lname2695z00_1247;} }  else 
{ /* Ast/lvtype.scm 200 */
return ((bool_t)1);} } } 
}



/* set-variable-type! */
obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt BgL_variablez00_25, BgL_typez00_bglt BgL_typez00_26)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 205 */
{ /* Ast/lvtype.scm 206 */
obj_t BgL_ntypez00_1251;BgL_typez00_bglt BgL_otypez00_1252;
{ /* Ast/lvtype.scm 206 */
bool_t BgL_test2745z00_1254;
{ /* Ast/lvtype.scm 206 */
obj_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
(obj_t)(BgL_typez00_26); 
BgL_test2745z00_1254 = 
(BgL_auxz00_3216==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2745z00_1254)
{ /* Ast/lvtype.scm 206 */
BgL_ntypez00_1251 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Ast/lvtype.scm 206 */
BgL_ntypez00_1251 = 
(obj_t)(BgL_typez00_26); } } 
BgL_otypez00_1252 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_25))->BgL_typez00); 
{ /* Ast/lvtype.scm 208 */
bool_t BgL_test2744z00_1253;
{ /* Ast/lvtype.scm 208 */
obj_t BgL_auxz00_3222;
BgL_auxz00_3222 = 
(obj_t)(BgL_otypez00_1252); 
BgL_test2744z00_1253 = 
(BgL_auxz00_3222==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2744z00_1253)
{ /* Ast/lvtype.scm 209 */
BgL_typez00_bglt BgL_val1101z00_1848;
BgL_val1101z00_1848 = 
(BgL_typez00_bglt)(BgL_ntypez00_1251); 
return 
((((BgL_variablez00_bglt)CREF(BgL_variablez00_25))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_1848), BUNSPEC);}  else 
{ /* Ast/lvtype.scm 208 */
return BFALSE;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_lvtypez00()
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_lvtypezd2nodez12zd2default2696zd2envzc0zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00, BGl_proc2916z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_kwotez00zzast_nodez00, BGl_proc2917z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00, BGl_proc2918z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_closurez00zzast_nodez00, BGl_proc2919z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_sequencez00zzast_nodez00, BGl_proc2920z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00, BGl_proc2921z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2922z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_funcallz00zzast_nodez00, BGl_proc2923z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_externz00zzast_nodez00, BGl_proc2924z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00, BGl_proc2925z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00, BGl_proc2926z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_conditionalz00zzast_nodez00, BGl_proc2927z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00, BGl_proc2928z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_selectz00zzast_nodez00, BGl_proc2929z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2930z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2931z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2932z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2933z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc2934z00zzast_lvtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2935z00zzast_lvtypez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc2936z00zzast_lvtypez00);} 
}



/* lvtype-node!-box-ref2740 */
obj_t BGl_lvtypezd2nodez12zd2boxzd2ref2740zc0zzast_lvtypez00(obj_t BgL_envz00_3105, obj_t BgL_nodez00_3106)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 192 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1809;
BgL_nodez00_1809 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3106); 
{ /* Ast/lvtype.scm 193 */
BgL_nodez00_bglt BgL_nodez00_3028;
{ /* Ast/lvtype.scm 193 */
BgL_varz00_bglt BgL_auxz00_3250;
BgL_auxz00_3250 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1809))->BgL_varz00); 
BgL_nodez00_3028 = 
(BgL_nodez00_bglt)(BgL_auxz00_3250); } 
{ /* Ast/lvtype.scm 193 */
obj_t BgL_method2697z00_3029;
{ /* Ast/lvtype.scm 193 */
long BgL_objzd2classzd2numz00_3031;
{ /* Ast/lvtype.scm 193 */
BgL_objectz00_bglt BgL_auxz00_3253;
BgL_auxz00_3253 = 
(BgL_objectz00_bglt)(BgL_nodez00_3028); 
BgL_objzd2classzd2numz00_3031 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3253); } 
{ /* Ast/lvtype.scm 193 */
obj_t BgL_arg1221z00_3032;
{ /* Ast/lvtype.scm 193 */
int BgL_auxz00_3256;
BgL_auxz00_3256 = 
(int)(((long)1)); 
BgL_arg1221z00_3032 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3256); } 
{ /* Ast/lvtype.scm 193 */
long BgL_offsetz00_3036;
{ /* Ast/lvtype.scm 193 */
long BgL_auxz00_3259;
{ /* Ast/lvtype.scm 193 */
int BgL_auxz00_3260;
BgL_auxz00_3260 = 
(int)(BgL_objzd2classzd2numz00_3031); 
BgL_auxz00_3259 = 
(long)(BgL_auxz00_3260); } 
BgL_offsetz00_3036 = 
(BgL_auxz00_3259-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 193 */
long BgL_modz00_3037;
{ /* Ast/lvtype.scm 193 */
long BgL_auxz00_3264;
{ /* Ast/lvtype.scm 193 */
int BgL_auxz00_3265;
BgL_auxz00_3265 = 
(int)(((long)8)); 
BgL_auxz00_3264 = 
(long)(BgL_auxz00_3265); } 
BgL_modz00_3037 = 
(BgL_offsetz00_3036/BgL_auxz00_3264); } 
{ /* Ast/lvtype.scm 193 */
long BgL_restz00_3039;
{ /* Ast/lvtype.scm 193 */
long BgL_auxz00_3269;
{ /* Ast/lvtype.scm 193 */
int BgL_auxz00_3270;
BgL_auxz00_3270 = 
(int)(((long)8)); 
BgL_auxz00_3269 = 
(long)(BgL_auxz00_3270); } 
BgL_restz00_3039 = 
(BgL_offsetz00_3036%BgL_auxz00_3269); } 
{ /* Ast/lvtype.scm 193 */

{ /* Ast/lvtype.scm 193 */
obj_t BgL_bucketz00_3041;
{ /* Ast/lvtype.scm 193 */
int BgL_kz00_3051;
BgL_kz00_3051 = 
(int)(BgL_modz00_3037); 
BgL_bucketz00_3041 = 
VECTOR_REF(BgL_arg1221z00_3032,BgL_kz00_3051); } 
{ /* Ast/lvtype.scm 193 */
int BgL_kz00_3053;
BgL_kz00_3053 = 
(int)(BgL_restz00_3039); 
BgL_method2697z00_3029 = 
VECTOR_REF(BgL_bucketz00_3041,BgL_kz00_3053); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_3029)(BgL_method2697z00_3029, 
(obj_t)(BgL_nodez00_3028), BEOA);} } } } 
}



/* lvtype-node!-box-set!2738 */
obj_t BGl_lvtypezd2nodez12zd2boxzd2setz122738zd2zzast_lvtypez00(obj_t BgL_envz00_3107, obj_t BgL_nodez00_3108)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 184 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1801;
BgL_nodez00_1801 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3108); 
{ /* Ast/lvtype.scm 186 */
BgL_nodez00_bglt BgL_nodez00_2972;
{ /* Ast/lvtype.scm 186 */
BgL_varz00_bglt BgL_auxz00_3282;
BgL_auxz00_3282 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1801))->BgL_varz00); 
BgL_nodez00_2972 = 
(BgL_nodez00_bglt)(BgL_auxz00_3282); } 
{ /* Ast/lvtype.scm 186 */
obj_t BgL_method2697z00_2973;
{ /* Ast/lvtype.scm 186 */
long BgL_objzd2classzd2numz00_2975;
{ /* Ast/lvtype.scm 186 */
BgL_objectz00_bglt BgL_auxz00_3285;
BgL_auxz00_3285 = 
(BgL_objectz00_bglt)(BgL_nodez00_2972); 
BgL_objzd2classzd2numz00_2975 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3285); } 
{ /* Ast/lvtype.scm 186 */
obj_t BgL_arg1221z00_2976;
{ /* Ast/lvtype.scm 186 */
int BgL_auxz00_3288;
BgL_auxz00_3288 = 
(int)(((long)1)); 
BgL_arg1221z00_2976 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3288); } 
{ /* Ast/lvtype.scm 186 */
long BgL_offsetz00_2980;
{ /* Ast/lvtype.scm 186 */
long BgL_auxz00_3291;
{ /* Ast/lvtype.scm 186 */
int BgL_auxz00_3292;
BgL_auxz00_3292 = 
(int)(BgL_objzd2classzd2numz00_2975); 
BgL_auxz00_3291 = 
(long)(BgL_auxz00_3292); } 
BgL_offsetz00_2980 = 
(BgL_auxz00_3291-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 186 */
long BgL_modz00_2981;
{ /* Ast/lvtype.scm 186 */
long BgL_auxz00_3296;
{ /* Ast/lvtype.scm 186 */
int BgL_auxz00_3297;
BgL_auxz00_3297 = 
(int)(((long)8)); 
BgL_auxz00_3296 = 
(long)(BgL_auxz00_3297); } 
BgL_modz00_2981 = 
(BgL_offsetz00_2980/BgL_auxz00_3296); } 
{ /* Ast/lvtype.scm 186 */
long BgL_restz00_2983;
{ /* Ast/lvtype.scm 186 */
long BgL_auxz00_3301;
{ /* Ast/lvtype.scm 186 */
int BgL_auxz00_3302;
BgL_auxz00_3302 = 
(int)(((long)8)); 
BgL_auxz00_3301 = 
(long)(BgL_auxz00_3302); } 
BgL_restz00_2983 = 
(BgL_offsetz00_2980%BgL_auxz00_3301); } 
{ /* Ast/lvtype.scm 186 */

{ /* Ast/lvtype.scm 186 */
obj_t BgL_bucketz00_2985;
{ /* Ast/lvtype.scm 186 */
int BgL_kz00_2995;
BgL_kz00_2995 = 
(int)(BgL_modz00_2981); 
BgL_bucketz00_2985 = 
VECTOR_REF(BgL_arg1221z00_2976,BgL_kz00_2995); } 
{ /* Ast/lvtype.scm 186 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_restz00_2983); 
BgL_method2697z00_2973 = 
VECTOR_REF(BgL_bucketz00_2985,BgL_kz00_2997); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2973)(BgL_method2697z00_2973, 
(obj_t)(BgL_nodez00_2972), BEOA); } } 
{ /* Ast/lvtype.scm 187 */
BgL_nodez00_bglt BgL_arg2856z00_1806;
BgL_arg2856z00_1806 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1801))->BgL_valuez00); 
{ /* Ast/lvtype.scm 187 */
obj_t BgL_method2697z00_3000;
{ /* Ast/lvtype.scm 187 */
long BgL_objzd2classzd2numz00_3002;
{ /* Ast/lvtype.scm 187 */
BgL_objectz00_bglt BgL_auxz00_3314;
BgL_auxz00_3314 = 
(BgL_objectz00_bglt)(BgL_arg2856z00_1806); 
BgL_objzd2classzd2numz00_3002 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3314); } 
{ /* Ast/lvtype.scm 187 */
obj_t BgL_arg1221z00_3003;
{ /* Ast/lvtype.scm 187 */
int BgL_auxz00_3317;
BgL_auxz00_3317 = 
(int)(((long)1)); 
BgL_arg1221z00_3003 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3317); } 
{ /* Ast/lvtype.scm 187 */
long BgL_offsetz00_3007;
{ /* Ast/lvtype.scm 187 */
long BgL_auxz00_3320;
{ /* Ast/lvtype.scm 187 */
int BgL_auxz00_3321;
BgL_auxz00_3321 = 
(int)(BgL_objzd2classzd2numz00_3002); 
BgL_auxz00_3320 = 
(long)(BgL_auxz00_3321); } 
BgL_offsetz00_3007 = 
(BgL_auxz00_3320-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 187 */
long BgL_modz00_3008;
{ /* Ast/lvtype.scm 187 */
long BgL_auxz00_3325;
{ /* Ast/lvtype.scm 187 */
int BgL_auxz00_3326;
BgL_auxz00_3326 = 
(int)(((long)8)); 
BgL_auxz00_3325 = 
(long)(BgL_auxz00_3326); } 
BgL_modz00_3008 = 
(BgL_offsetz00_3007/BgL_auxz00_3325); } 
{ /* Ast/lvtype.scm 187 */
long BgL_restz00_3010;
{ /* Ast/lvtype.scm 187 */
long BgL_auxz00_3330;
{ /* Ast/lvtype.scm 187 */
int BgL_auxz00_3331;
BgL_auxz00_3331 = 
(int)(((long)8)); 
BgL_auxz00_3330 = 
(long)(BgL_auxz00_3331); } 
BgL_restz00_3010 = 
(BgL_offsetz00_3007%BgL_auxz00_3330); } 
{ /* Ast/lvtype.scm 187 */

{ /* Ast/lvtype.scm 187 */
obj_t BgL_bucketz00_3012;
{ /* Ast/lvtype.scm 187 */
int BgL_kz00_3022;
BgL_kz00_3022 = 
(int)(BgL_modz00_3008); 
BgL_bucketz00_3012 = 
VECTOR_REF(BgL_arg1221z00_3003,BgL_kz00_3022); } 
{ /* Ast/lvtype.scm 187 */
int BgL_kz00_3024;
BgL_kz00_3024 = 
(int)(BgL_restz00_3010); 
BgL_method2697z00_3000 = 
VECTOR_REF(BgL_bucketz00_3012,BgL_kz00_3024); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_3000)(BgL_method2697z00_3000, 
(obj_t)(BgL_arg2856z00_1806), BEOA);} } } } 
}



/* lvtype-node!-make-box2736 */
obj_t BGl_lvtypezd2nodez12zd2makezd2box2736zc0zzast_lvtypez00(obj_t BgL_envz00_3109, obj_t BgL_nodez00_3110)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 177 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1794;
BgL_nodez00_1794 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3110); 
{ /* Ast/lvtype.scm 178 */
BgL_nodez00_bglt BgL_arg2853z00_2943;
BgL_arg2853z00_2943 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1794))->BgL_valuez00); 
{ /* Ast/lvtype.scm 178 */
obj_t BgL_method2697z00_2946;
{ /* Ast/lvtype.scm 178 */
long BgL_objzd2classzd2numz00_2948;
{ /* Ast/lvtype.scm 178 */
BgL_objectz00_bglt BgL_auxz00_3344;
BgL_auxz00_3344 = 
(BgL_objectz00_bglt)(BgL_arg2853z00_2943); 
BgL_objzd2classzd2numz00_2948 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3344); } 
{ /* Ast/lvtype.scm 178 */
obj_t BgL_arg1221z00_2949;
{ /* Ast/lvtype.scm 178 */
int BgL_auxz00_3347;
BgL_auxz00_3347 = 
(int)(((long)1)); 
BgL_arg1221z00_2949 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3347); } 
{ /* Ast/lvtype.scm 178 */
long BgL_offsetz00_2953;
{ /* Ast/lvtype.scm 178 */
long BgL_auxz00_3350;
{ /* Ast/lvtype.scm 178 */
int BgL_auxz00_3351;
BgL_auxz00_3351 = 
(int)(BgL_objzd2classzd2numz00_2948); 
BgL_auxz00_3350 = 
(long)(BgL_auxz00_3351); } 
BgL_offsetz00_2953 = 
(BgL_auxz00_3350-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 178 */
long BgL_modz00_2954;
{ /* Ast/lvtype.scm 178 */
long BgL_auxz00_3355;
{ /* Ast/lvtype.scm 178 */
int BgL_auxz00_3356;
BgL_auxz00_3356 = 
(int)(((long)8)); 
BgL_auxz00_3355 = 
(long)(BgL_auxz00_3356); } 
BgL_modz00_2954 = 
(BgL_offsetz00_2953/BgL_auxz00_3355); } 
{ /* Ast/lvtype.scm 178 */
long BgL_restz00_2956;
{ /* Ast/lvtype.scm 178 */
long BgL_auxz00_3360;
{ /* Ast/lvtype.scm 178 */
int BgL_auxz00_3361;
BgL_auxz00_3361 = 
(int)(((long)8)); 
BgL_auxz00_3360 = 
(long)(BgL_auxz00_3361); } 
BgL_restz00_2956 = 
(BgL_offsetz00_2953%BgL_auxz00_3360); } 
{ /* Ast/lvtype.scm 178 */

{ /* Ast/lvtype.scm 178 */
obj_t BgL_bucketz00_2958;
{ /* Ast/lvtype.scm 178 */
int BgL_kz00_2968;
BgL_kz00_2968 = 
(int)(BgL_modz00_2954); 
BgL_bucketz00_2958 = 
VECTOR_REF(BgL_arg1221z00_2949,BgL_kz00_2968); } 
{ /* Ast/lvtype.scm 178 */
int BgL_kz00_2970;
BgL_kz00_2970 = 
(int)(BgL_restz00_2956); 
BgL_method2697z00_2946 = 
VECTOR_REF(BgL_bucketz00_2958,BgL_kz00_2970); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2946)(BgL_method2697z00_2946, 
(obj_t)(BgL_arg2853z00_2943), BEOA);} } } } 
}



/* lvtype-node!-jump-ex-it2734 */
obj_t BGl_lvtypezd2nodez12zd2jumpzd2exzd2it2734z12zzast_lvtypez00(obj_t BgL_envz00_3111, obj_t BgL_nodez00_3112)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 169 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1786;
BgL_nodez00_1786 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3112); 
{ /* Ast/lvtype.scm 171 */
BgL_nodez00_bglt BgL_arg2850z00_1790;
BgL_arg2850z00_1790 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1786))->BgL_exitz00); 
{ /* Ast/lvtype.scm 171 */
obj_t BgL_method2697z00_2890;
{ /* Ast/lvtype.scm 171 */
long BgL_objzd2classzd2numz00_2892;
{ /* Ast/lvtype.scm 171 */
BgL_objectz00_bglt BgL_auxz00_3374;
BgL_auxz00_3374 = 
(BgL_objectz00_bglt)(BgL_arg2850z00_1790); 
BgL_objzd2classzd2numz00_2892 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3374); } 
{ /* Ast/lvtype.scm 171 */
obj_t BgL_arg1221z00_2893;
{ /* Ast/lvtype.scm 171 */
int BgL_auxz00_3377;
BgL_auxz00_3377 = 
(int)(((long)1)); 
BgL_arg1221z00_2893 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3377); } 
{ /* Ast/lvtype.scm 171 */
long BgL_offsetz00_2897;
{ /* Ast/lvtype.scm 171 */
long BgL_auxz00_3380;
{ /* Ast/lvtype.scm 171 */
int BgL_auxz00_3381;
BgL_auxz00_3381 = 
(int)(BgL_objzd2classzd2numz00_2892); 
BgL_auxz00_3380 = 
(long)(BgL_auxz00_3381); } 
BgL_offsetz00_2897 = 
(BgL_auxz00_3380-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 171 */
long BgL_modz00_2898;
{ /* Ast/lvtype.scm 171 */
long BgL_auxz00_3385;
{ /* Ast/lvtype.scm 171 */
int BgL_auxz00_3386;
BgL_auxz00_3386 = 
(int)(((long)8)); 
BgL_auxz00_3385 = 
(long)(BgL_auxz00_3386); } 
BgL_modz00_2898 = 
(BgL_offsetz00_2897/BgL_auxz00_3385); } 
{ /* Ast/lvtype.scm 171 */
long BgL_restz00_2900;
{ /* Ast/lvtype.scm 171 */
long BgL_auxz00_3390;
{ /* Ast/lvtype.scm 171 */
int BgL_auxz00_3391;
BgL_auxz00_3391 = 
(int)(((long)8)); 
BgL_auxz00_3390 = 
(long)(BgL_auxz00_3391); } 
BgL_restz00_2900 = 
(BgL_offsetz00_2897%BgL_auxz00_3390); } 
{ /* Ast/lvtype.scm 171 */

{ /* Ast/lvtype.scm 171 */
obj_t BgL_bucketz00_2902;
{ /* Ast/lvtype.scm 171 */
int BgL_kz00_2912;
BgL_kz00_2912 = 
(int)(BgL_modz00_2898); 
BgL_bucketz00_2902 = 
VECTOR_REF(BgL_arg1221z00_2893,BgL_kz00_2912); } 
{ /* Ast/lvtype.scm 171 */
int BgL_kz00_2914;
BgL_kz00_2914 = 
(int)(BgL_restz00_2900); 
BgL_method2697z00_2890 = 
VECTOR_REF(BgL_bucketz00_2902,BgL_kz00_2914); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2890)(BgL_method2697z00_2890, 
(obj_t)(BgL_arg2850z00_1790), BEOA); } } 
{ /* Ast/lvtype.scm 172 */
BgL_nodez00_bglt BgL_arg2851z00_1791;
BgL_arg2851z00_1791 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1786))->BgL_valuez00); 
{ /* Ast/lvtype.scm 172 */
obj_t BgL_method2697z00_2917;
{ /* Ast/lvtype.scm 172 */
long BgL_objzd2classzd2numz00_2919;
{ /* Ast/lvtype.scm 172 */
BgL_objectz00_bglt BgL_auxz00_3403;
BgL_auxz00_3403 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1791); 
BgL_objzd2classzd2numz00_2919 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3403); } 
{ /* Ast/lvtype.scm 172 */
obj_t BgL_arg1221z00_2920;
{ /* Ast/lvtype.scm 172 */
int BgL_auxz00_3406;
BgL_auxz00_3406 = 
(int)(((long)1)); 
BgL_arg1221z00_2920 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3406); } 
{ /* Ast/lvtype.scm 172 */
long BgL_offsetz00_2924;
{ /* Ast/lvtype.scm 172 */
long BgL_auxz00_3409;
{ /* Ast/lvtype.scm 172 */
int BgL_auxz00_3410;
BgL_auxz00_3410 = 
(int)(BgL_objzd2classzd2numz00_2919); 
BgL_auxz00_3409 = 
(long)(BgL_auxz00_3410); } 
BgL_offsetz00_2924 = 
(BgL_auxz00_3409-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 172 */
long BgL_modz00_2925;
{ /* Ast/lvtype.scm 172 */
long BgL_auxz00_3414;
{ /* Ast/lvtype.scm 172 */
int BgL_auxz00_3415;
BgL_auxz00_3415 = 
(int)(((long)8)); 
BgL_auxz00_3414 = 
(long)(BgL_auxz00_3415); } 
BgL_modz00_2925 = 
(BgL_offsetz00_2924/BgL_auxz00_3414); } 
{ /* Ast/lvtype.scm 172 */
long BgL_restz00_2927;
{ /* Ast/lvtype.scm 172 */
long BgL_auxz00_3419;
{ /* Ast/lvtype.scm 172 */
int BgL_auxz00_3420;
BgL_auxz00_3420 = 
(int)(((long)8)); 
BgL_auxz00_3419 = 
(long)(BgL_auxz00_3420); } 
BgL_restz00_2927 = 
(BgL_offsetz00_2924%BgL_auxz00_3419); } 
{ /* Ast/lvtype.scm 172 */

{ /* Ast/lvtype.scm 172 */
obj_t BgL_bucketz00_2929;
{ /* Ast/lvtype.scm 172 */
int BgL_kz00_2939;
BgL_kz00_2939 = 
(int)(BgL_modz00_2925); 
BgL_bucketz00_2929 = 
VECTOR_REF(BgL_arg1221z00_2920,BgL_kz00_2939); } 
{ /* Ast/lvtype.scm 172 */
int BgL_kz00_2941;
BgL_kz00_2941 = 
(int)(BgL_restz00_2927); 
BgL_method2697z00_2917 = 
VECTOR_REF(BgL_bucketz00_2929,BgL_kz00_2941); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2917)(BgL_method2697z00_2917, 
(obj_t)(BgL_arg2851z00_1791), BEOA);} } } } 
}



/* lvtype-node!-set-ex-it2732 */
obj_t BGl_lvtypezd2nodez12zd2setzd2exzd2it2732z12zzast_lvtypez00(obj_t BgL_envz00_3113, obj_t BgL_nodez00_3114)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 161 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1778;
BgL_nodez00_1778 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3114); 
{ /* Ast/lvtype.scm 163 */
BgL_nodez00_bglt BgL_arg2847z00_1782;
BgL_arg2847z00_1782 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1778))->BgL_bodyz00); 
{ /* Ast/lvtype.scm 163 */
obj_t BgL_method2697z00_2836;
{ /* Ast/lvtype.scm 163 */
long BgL_objzd2classzd2numz00_2838;
{ /* Ast/lvtype.scm 163 */
BgL_objectz00_bglt BgL_auxz00_3433;
BgL_auxz00_3433 = 
(BgL_objectz00_bglt)(BgL_arg2847z00_1782); 
BgL_objzd2classzd2numz00_2838 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3433); } 
{ /* Ast/lvtype.scm 163 */
obj_t BgL_arg1221z00_2839;
{ /* Ast/lvtype.scm 163 */
int BgL_auxz00_3436;
BgL_auxz00_3436 = 
(int)(((long)1)); 
BgL_arg1221z00_2839 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3436); } 
{ /* Ast/lvtype.scm 163 */
long BgL_offsetz00_2843;
{ /* Ast/lvtype.scm 163 */
long BgL_auxz00_3439;
{ /* Ast/lvtype.scm 163 */
int BgL_auxz00_3440;
BgL_auxz00_3440 = 
(int)(BgL_objzd2classzd2numz00_2838); 
BgL_auxz00_3439 = 
(long)(BgL_auxz00_3440); } 
BgL_offsetz00_2843 = 
(BgL_auxz00_3439-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 163 */
long BgL_modz00_2844;
{ /* Ast/lvtype.scm 163 */
long BgL_auxz00_3444;
{ /* Ast/lvtype.scm 163 */
int BgL_auxz00_3445;
BgL_auxz00_3445 = 
(int)(((long)8)); 
BgL_auxz00_3444 = 
(long)(BgL_auxz00_3445); } 
BgL_modz00_2844 = 
(BgL_offsetz00_2843/BgL_auxz00_3444); } 
{ /* Ast/lvtype.scm 163 */
long BgL_restz00_2846;
{ /* Ast/lvtype.scm 163 */
long BgL_auxz00_3449;
{ /* Ast/lvtype.scm 163 */
int BgL_auxz00_3450;
BgL_auxz00_3450 = 
(int)(((long)8)); 
BgL_auxz00_3449 = 
(long)(BgL_auxz00_3450); } 
BgL_restz00_2846 = 
(BgL_offsetz00_2843%BgL_auxz00_3449); } 
{ /* Ast/lvtype.scm 163 */

{ /* Ast/lvtype.scm 163 */
obj_t BgL_bucketz00_2848;
{ /* Ast/lvtype.scm 163 */
int BgL_kz00_2858;
BgL_kz00_2858 = 
(int)(BgL_modz00_2844); 
BgL_bucketz00_2848 = 
VECTOR_REF(BgL_arg1221z00_2839,BgL_kz00_2858); } 
{ /* Ast/lvtype.scm 163 */
int BgL_kz00_2860;
BgL_kz00_2860 = 
(int)(BgL_restz00_2846); 
BgL_method2697z00_2836 = 
VECTOR_REF(BgL_bucketz00_2848,BgL_kz00_2860); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2836)(BgL_method2697z00_2836, 
(obj_t)(BgL_arg2847z00_1782), BEOA); } } 
{ /* Ast/lvtype.scm 164 */
BgL_nodez00_bglt BgL_nodez00_2862;
{ /* Ast/lvtype.scm 164 */
BgL_varz00_bglt BgL_auxz00_3461;
BgL_auxz00_3461 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1778))->BgL_varz00); 
BgL_nodez00_2862 = 
(BgL_nodez00_bglt)(BgL_auxz00_3461); } 
{ /* Ast/lvtype.scm 164 */
obj_t BgL_method2697z00_2863;
{ /* Ast/lvtype.scm 164 */
long BgL_objzd2classzd2numz00_2865;
{ /* Ast/lvtype.scm 164 */
BgL_objectz00_bglt BgL_auxz00_3464;
BgL_auxz00_3464 = 
(BgL_objectz00_bglt)(BgL_nodez00_2862); 
BgL_objzd2classzd2numz00_2865 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3464); } 
{ /* Ast/lvtype.scm 164 */
obj_t BgL_arg1221z00_2866;
{ /* Ast/lvtype.scm 164 */
int BgL_auxz00_3467;
BgL_auxz00_3467 = 
(int)(((long)1)); 
BgL_arg1221z00_2866 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3467); } 
{ /* Ast/lvtype.scm 164 */
long BgL_offsetz00_2870;
{ /* Ast/lvtype.scm 164 */
long BgL_auxz00_3470;
{ /* Ast/lvtype.scm 164 */
int BgL_auxz00_3471;
BgL_auxz00_3471 = 
(int)(BgL_objzd2classzd2numz00_2865); 
BgL_auxz00_3470 = 
(long)(BgL_auxz00_3471); } 
BgL_offsetz00_2870 = 
(BgL_auxz00_3470-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 164 */
long BgL_modz00_2871;
{ /* Ast/lvtype.scm 164 */
long BgL_auxz00_3475;
{ /* Ast/lvtype.scm 164 */
int BgL_auxz00_3476;
BgL_auxz00_3476 = 
(int)(((long)8)); 
BgL_auxz00_3475 = 
(long)(BgL_auxz00_3476); } 
BgL_modz00_2871 = 
(BgL_offsetz00_2870/BgL_auxz00_3475); } 
{ /* Ast/lvtype.scm 164 */
long BgL_restz00_2873;
{ /* Ast/lvtype.scm 164 */
long BgL_auxz00_3480;
{ /* Ast/lvtype.scm 164 */
int BgL_auxz00_3481;
BgL_auxz00_3481 = 
(int)(((long)8)); 
BgL_auxz00_3480 = 
(long)(BgL_auxz00_3481); } 
BgL_restz00_2873 = 
(BgL_offsetz00_2870%BgL_auxz00_3480); } 
{ /* Ast/lvtype.scm 164 */

{ /* Ast/lvtype.scm 164 */
obj_t BgL_bucketz00_2875;
{ /* Ast/lvtype.scm 164 */
int BgL_kz00_2885;
BgL_kz00_2885 = 
(int)(BgL_modz00_2871); 
BgL_bucketz00_2875 = 
VECTOR_REF(BgL_arg1221z00_2866,BgL_kz00_2885); } 
{ /* Ast/lvtype.scm 164 */
int BgL_kz00_2887;
BgL_kz00_2887 = 
(int)(BgL_restz00_2873); 
BgL_method2697z00_2863 = 
VECTOR_REF(BgL_bucketz00_2875,BgL_kz00_2887); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2863)(BgL_method2697z00_2863, 
(obj_t)(BgL_nodez00_2862), BEOA);} } } } 
}



/* lvtype-node!-let-var2730 */
obj_t BGl_lvtypezd2nodez12zd2letzd2var2730zc0zzast_lvtypez00(obj_t BgL_envz00_3115, obj_t BgL_nodez00_3116)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 148 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1762;
BgL_nodez00_1762 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3116); 
{ 
obj_t BgL_l2682z00_1766;
BgL_l2682z00_1766 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1762))->BgL_bindingsz00); 
BgL_lname2683z00_1767:
if(
PAIRP(BgL_l2682z00_1766))
{ /* Ast/lvtype.scm 150 */
{ /* Ast/lvtype.scm 151 */
obj_t BgL_bindingz00_1770;
BgL_bindingz00_1770 = 
CAR(BgL_l2682z00_1766); 
{ /* Ast/lvtype.scm 151 */
obj_t BgL_varz00_1771;obj_t BgL_valz00_1772;
BgL_varz00_1771 = 
CAR(BgL_bindingz00_1770); 
BgL_valz00_1772 = 
CDR(BgL_bindingz00_1770); 
{ /* Ast/lvtype.scm 153 */
BgL_nodez00_bglt BgL_nodez00_2780;
BgL_nodez00_2780 = 
(BgL_nodez00_bglt)(BgL_valz00_1772); 
{ /* Ast/lvtype.scm 153 */
obj_t BgL_method2697z00_2781;
{ /* Ast/lvtype.scm 153 */
long BgL_objzd2classzd2numz00_2783;
{ /* Ast/lvtype.scm 153 */
BgL_objectz00_bglt BgL_auxz00_3499;
BgL_auxz00_3499 = 
(BgL_objectz00_bglt)(BgL_nodez00_2780); 
BgL_objzd2classzd2numz00_2783 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3499); } 
{ /* Ast/lvtype.scm 153 */
obj_t BgL_arg1221z00_2784;
{ /* Ast/lvtype.scm 153 */
int BgL_auxz00_3502;
BgL_auxz00_3502 = 
(int)(((long)1)); 
BgL_arg1221z00_2784 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3502); } 
{ /* Ast/lvtype.scm 153 */
long BgL_offsetz00_2788;
{ /* Ast/lvtype.scm 153 */
long BgL_auxz00_3505;
{ /* Ast/lvtype.scm 153 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(BgL_objzd2classzd2numz00_2783); 
BgL_auxz00_3505 = 
(long)(BgL_auxz00_3506); } 
BgL_offsetz00_2788 = 
(BgL_auxz00_3505-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 153 */
long BgL_modz00_2789;
{ /* Ast/lvtype.scm 153 */
long BgL_auxz00_3510;
{ /* Ast/lvtype.scm 153 */
int BgL_auxz00_3511;
BgL_auxz00_3511 = 
(int)(((long)8)); 
BgL_auxz00_3510 = 
(long)(BgL_auxz00_3511); } 
BgL_modz00_2789 = 
(BgL_offsetz00_2788/BgL_auxz00_3510); } 
{ /* Ast/lvtype.scm 153 */
long BgL_restz00_2791;
{ /* Ast/lvtype.scm 153 */
long BgL_auxz00_3515;
{ /* Ast/lvtype.scm 153 */
int BgL_auxz00_3516;
BgL_auxz00_3516 = 
(int)(((long)8)); 
BgL_auxz00_3515 = 
(long)(BgL_auxz00_3516); } 
BgL_restz00_2791 = 
(BgL_offsetz00_2788%BgL_auxz00_3515); } 
{ /* Ast/lvtype.scm 153 */

{ /* Ast/lvtype.scm 153 */
obj_t BgL_bucketz00_2793;
{ /* Ast/lvtype.scm 153 */
int BgL_kz00_2803;
BgL_kz00_2803 = 
(int)(BgL_modz00_2789); 
BgL_bucketz00_2793 = 
VECTOR_REF(BgL_arg1221z00_2784,BgL_kz00_2803); } 
{ /* Ast/lvtype.scm 153 */
int BgL_kz00_2805;
BgL_kz00_2805 = 
(int)(BgL_restz00_2791); 
BgL_method2697z00_2781 = 
VECTOR_REF(BgL_bucketz00_2793,BgL_kz00_2805); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2781)(BgL_method2697z00_2781, 
(obj_t)(BgL_nodez00_2780), BEOA); } } 
{ /* Ast/lvtype.scm 154 */
BgL_typez00_bglt BgL_arg2843z00_1773;
BgL_arg2843z00_1773 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_valz00_1772)); 
BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
(BgL_variablez00_bglt)(BgL_varz00_1771), BgL_arg2843z00_1773); } } } 
{ 
obj_t BgL_l2682z00_3531;
BgL_l2682z00_3531 = 
CDR(BgL_l2682z00_1766); 
BgL_l2682z00_1766 = BgL_l2682z00_3531; 
goto BgL_lname2683z00_1767;} }  else 
{ /* Ast/lvtype.scm 150 */((bool_t)1); } } 
{ /* Ast/lvtype.scm 156 */
BgL_nodez00_bglt BgL_arg2845z00_1775;
BgL_arg2845z00_1775 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1762))->BgL_bodyz00); 
{ /* Ast/lvtype.scm 156 */
obj_t BgL_method2697z00_2809;
{ /* Ast/lvtype.scm 156 */
long BgL_objzd2classzd2numz00_2811;
{ /* Ast/lvtype.scm 156 */
BgL_objectz00_bglt BgL_auxz00_3535;
BgL_auxz00_3535 = 
(BgL_objectz00_bglt)(BgL_arg2845z00_1775); 
BgL_objzd2classzd2numz00_2811 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3535); } 
{ /* Ast/lvtype.scm 156 */
obj_t BgL_arg1221z00_2812;
{ /* Ast/lvtype.scm 156 */
int BgL_auxz00_3538;
BgL_auxz00_3538 = 
(int)(((long)1)); 
BgL_arg1221z00_2812 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3538); } 
{ /* Ast/lvtype.scm 156 */
long BgL_offsetz00_2816;
{ /* Ast/lvtype.scm 156 */
long BgL_auxz00_3541;
{ /* Ast/lvtype.scm 156 */
int BgL_auxz00_3542;
BgL_auxz00_3542 = 
(int)(BgL_objzd2classzd2numz00_2811); 
BgL_auxz00_3541 = 
(long)(BgL_auxz00_3542); } 
BgL_offsetz00_2816 = 
(BgL_auxz00_3541-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 156 */
long BgL_modz00_2817;
{ /* Ast/lvtype.scm 156 */
long BgL_auxz00_3546;
{ /* Ast/lvtype.scm 156 */
int BgL_auxz00_3547;
BgL_auxz00_3547 = 
(int)(((long)8)); 
BgL_auxz00_3546 = 
(long)(BgL_auxz00_3547); } 
BgL_modz00_2817 = 
(BgL_offsetz00_2816/BgL_auxz00_3546); } 
{ /* Ast/lvtype.scm 156 */
long BgL_restz00_2819;
{ /* Ast/lvtype.scm 156 */
long BgL_auxz00_3551;
{ /* Ast/lvtype.scm 156 */
int BgL_auxz00_3552;
BgL_auxz00_3552 = 
(int)(((long)8)); 
BgL_auxz00_3551 = 
(long)(BgL_auxz00_3552); } 
BgL_restz00_2819 = 
(BgL_offsetz00_2816%BgL_auxz00_3551); } 
{ /* Ast/lvtype.scm 156 */

{ /* Ast/lvtype.scm 156 */
obj_t BgL_bucketz00_2821;
{ /* Ast/lvtype.scm 156 */
int BgL_kz00_2831;
BgL_kz00_2831 = 
(int)(BgL_modz00_2817); 
BgL_bucketz00_2821 = 
VECTOR_REF(BgL_arg1221z00_2812,BgL_kz00_2831); } 
{ /* Ast/lvtype.scm 156 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_restz00_2819); 
BgL_method2697z00_2809 = 
VECTOR_REF(BgL_bucketz00_2821,BgL_kz00_2833); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2809)(BgL_method2697z00_2809, 
(obj_t)(BgL_arg2845z00_1775), BEOA);} } } } 
}



/* lvtype-node!-let-fun2727 */
obj_t BGl_lvtypezd2nodez12zd2letzd2fun2727zc0zzast_lvtypez00(obj_t BgL_envz00_3117, obj_t BgL_nodez00_3118)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 138 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1747;
BgL_nodez00_1747 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3118); 
{ 
obj_t BgL_l2678z00_1751;
BgL_l2678z00_1751 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1747))->BgL_localsz00); 
BgL_lname2679z00_1752:
if(
PAIRP(BgL_l2678z00_1751))
{ /* Ast/lvtype.scm 140 */
{ /* Ast/lvtype.scm 141 */
BgL_nodez00_bglt BgL_nodez00_2721;
{ /* Ast/lvtype.scm 141 */
obj_t BgL_auxz00_3566;
{ /* Ast/lvtype.scm 141 */
BgL_sfunz00_bglt BgL_obj1372z00_2720;
{ /* Ast/lvtype.scm 141 */
BgL_valuez00_bglt BgL_auxz00_3567;
{ /* Ast/lvtype.scm 141 */
BgL_localz00_bglt BgL_obj1255z00_2719;
{ /* Ast/lvtype.scm 141 */
obj_t BgL_auxz00_3568;
BgL_auxz00_3568 = 
CAR(BgL_l2678z00_1751); 
BgL_obj1255z00_2719 = 
(BgL_localz00_bglt)(BgL_auxz00_3568); } 
BgL_auxz00_3567 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2719))->BgL_valuez00); } 
BgL_obj1372z00_2720 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3567); } 
BgL_auxz00_3566 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2720))->BgL_bodyz00); } 
BgL_nodez00_2721 = 
(BgL_nodez00_bglt)(BgL_auxz00_3566); } 
{ /* Ast/lvtype.scm 141 */
obj_t BgL_method2697z00_2722;
{ /* Ast/lvtype.scm 141 */
long BgL_objzd2classzd2numz00_2724;
{ /* Ast/lvtype.scm 141 */
BgL_objectz00_bglt BgL_auxz00_3575;
BgL_auxz00_3575 = 
(BgL_objectz00_bglt)(BgL_nodez00_2721); 
BgL_objzd2classzd2numz00_2724 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3575); } 
{ /* Ast/lvtype.scm 141 */
obj_t BgL_arg1221z00_2725;
{ /* Ast/lvtype.scm 141 */
int BgL_auxz00_3578;
BgL_auxz00_3578 = 
(int)(((long)1)); 
BgL_arg1221z00_2725 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3578); } 
{ /* Ast/lvtype.scm 141 */
long BgL_offsetz00_2729;
{ /* Ast/lvtype.scm 141 */
long BgL_auxz00_3581;
{ /* Ast/lvtype.scm 141 */
int BgL_auxz00_3582;
BgL_auxz00_3582 = 
(int)(BgL_objzd2classzd2numz00_2724); 
BgL_auxz00_3581 = 
(long)(BgL_auxz00_3582); } 
BgL_offsetz00_2729 = 
(BgL_auxz00_3581-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 141 */
long BgL_modz00_2730;
{ /* Ast/lvtype.scm 141 */
long BgL_auxz00_3586;
{ /* Ast/lvtype.scm 141 */
int BgL_auxz00_3587;
BgL_auxz00_3587 = 
(int)(((long)8)); 
BgL_auxz00_3586 = 
(long)(BgL_auxz00_3587); } 
BgL_modz00_2730 = 
(BgL_offsetz00_2729/BgL_auxz00_3586); } 
{ /* Ast/lvtype.scm 141 */
long BgL_restz00_2732;
{ /* Ast/lvtype.scm 141 */
long BgL_auxz00_3591;
{ /* Ast/lvtype.scm 141 */
int BgL_auxz00_3592;
BgL_auxz00_3592 = 
(int)(((long)8)); 
BgL_auxz00_3591 = 
(long)(BgL_auxz00_3592); } 
BgL_restz00_2732 = 
(BgL_offsetz00_2729%BgL_auxz00_3591); } 
{ /* Ast/lvtype.scm 141 */

{ /* Ast/lvtype.scm 141 */
obj_t BgL_bucketz00_2734;
{ /* Ast/lvtype.scm 141 */
int BgL_kz00_2744;
BgL_kz00_2744 = 
(int)(BgL_modz00_2730); 
BgL_bucketz00_2734 = 
VECTOR_REF(BgL_arg1221z00_2725,BgL_kz00_2744); } 
{ /* Ast/lvtype.scm 141 */
int BgL_kz00_2746;
BgL_kz00_2746 = 
(int)(BgL_restz00_2732); 
BgL_method2697z00_2722 = 
VECTOR_REF(BgL_bucketz00_2734,BgL_kz00_2746); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2722)(BgL_method2697z00_2722, 
(obj_t)(BgL_nodez00_2721), BEOA); } } 
{ 
obj_t BgL_l2678z00_3603;
BgL_l2678z00_3603 = 
CDR(BgL_l2678z00_1751); 
BgL_l2678z00_1751 = BgL_l2678z00_3603; 
goto BgL_lname2679z00_1752;} }  else 
{ /* Ast/lvtype.scm 140 */((bool_t)1); } } 
{ /* Ast/lvtype.scm 143 */
BgL_nodez00_bglt BgL_arg2839z00_1759;
BgL_arg2839z00_1759 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1747))->BgL_bodyz00); 
{ /* Ast/lvtype.scm 143 */
obj_t BgL_method2697z00_2750;
{ /* Ast/lvtype.scm 143 */
long BgL_objzd2classzd2numz00_2752;
{ /* Ast/lvtype.scm 143 */
BgL_objectz00_bglt BgL_auxz00_3607;
BgL_auxz00_3607 = 
(BgL_objectz00_bglt)(BgL_arg2839z00_1759); 
BgL_objzd2classzd2numz00_2752 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3607); } 
{ /* Ast/lvtype.scm 143 */
obj_t BgL_arg1221z00_2753;
{ /* Ast/lvtype.scm 143 */
int BgL_auxz00_3610;
BgL_auxz00_3610 = 
(int)(((long)1)); 
BgL_arg1221z00_2753 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3610); } 
{ /* Ast/lvtype.scm 143 */
long BgL_offsetz00_2757;
{ /* Ast/lvtype.scm 143 */
long BgL_auxz00_3613;
{ /* Ast/lvtype.scm 143 */
int BgL_auxz00_3614;
BgL_auxz00_3614 = 
(int)(BgL_objzd2classzd2numz00_2752); 
BgL_auxz00_3613 = 
(long)(BgL_auxz00_3614); } 
BgL_offsetz00_2757 = 
(BgL_auxz00_3613-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 143 */
long BgL_modz00_2758;
{ /* Ast/lvtype.scm 143 */
long BgL_auxz00_3618;
{ /* Ast/lvtype.scm 143 */
int BgL_auxz00_3619;
BgL_auxz00_3619 = 
(int)(((long)8)); 
BgL_auxz00_3618 = 
(long)(BgL_auxz00_3619); } 
BgL_modz00_2758 = 
(BgL_offsetz00_2757/BgL_auxz00_3618); } 
{ /* Ast/lvtype.scm 143 */
long BgL_restz00_2760;
{ /* Ast/lvtype.scm 143 */
long BgL_auxz00_3623;
{ /* Ast/lvtype.scm 143 */
int BgL_auxz00_3624;
BgL_auxz00_3624 = 
(int)(((long)8)); 
BgL_auxz00_3623 = 
(long)(BgL_auxz00_3624); } 
BgL_restz00_2760 = 
(BgL_offsetz00_2757%BgL_auxz00_3623); } 
{ /* Ast/lvtype.scm 143 */

{ /* Ast/lvtype.scm 143 */
obj_t BgL_bucketz00_2762;
{ /* Ast/lvtype.scm 143 */
int BgL_kz00_2772;
BgL_kz00_2772 = 
(int)(BgL_modz00_2758); 
BgL_bucketz00_2762 = 
VECTOR_REF(BgL_arg1221z00_2753,BgL_kz00_2772); } 
{ /* Ast/lvtype.scm 143 */
int BgL_kz00_2774;
BgL_kz00_2774 = 
(int)(BgL_restz00_2760); 
BgL_method2697z00_2750 = 
VECTOR_REF(BgL_bucketz00_2762,BgL_kz00_2774); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2750)(BgL_method2697z00_2750, 
(obj_t)(BgL_arg2839z00_1759), BEOA);} } } } 
}



/* lvtype-node!-select2725 */
obj_t BGl_lvtypezd2nodez12zd2select2725z12zzast_lvtypez00(obj_t BgL_envz00_3119, obj_t BgL_nodez00_3120)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 128 */
{ 
BgL_selectz00_bglt BgL_nodez00_1733;
{ /* Ast/lvtype.scm 129 */
bool_t BgL_auxz00_3636;
BgL_nodez00_1733 = 
(BgL_selectz00_bglt)(BgL_nodez00_3120); 
{ /* Ast/lvtype.scm 130 */
BgL_nodez00_bglt BgL_arg2828z00_1737;
BgL_arg2828z00_1737 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1733))->BgL_testz00); 
{ /* Ast/lvtype.scm 130 */
obj_t BgL_method2697z00_2660;
{ /* Ast/lvtype.scm 130 */
long BgL_objzd2classzd2numz00_2662;
{ /* Ast/lvtype.scm 130 */
BgL_objectz00_bglt BgL_auxz00_3638;
BgL_auxz00_3638 = 
(BgL_objectz00_bglt)(BgL_arg2828z00_1737); 
BgL_objzd2classzd2numz00_2662 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3638); } 
{ /* Ast/lvtype.scm 130 */
obj_t BgL_arg1221z00_2663;
{ /* Ast/lvtype.scm 130 */
int BgL_auxz00_3641;
BgL_auxz00_3641 = 
(int)(((long)1)); 
BgL_arg1221z00_2663 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3641); } 
{ /* Ast/lvtype.scm 130 */
long BgL_offsetz00_2667;
{ /* Ast/lvtype.scm 130 */
long BgL_auxz00_3644;
{ /* Ast/lvtype.scm 130 */
int BgL_auxz00_3645;
BgL_auxz00_3645 = 
(int)(BgL_objzd2classzd2numz00_2662); 
BgL_auxz00_3644 = 
(long)(BgL_auxz00_3645); } 
BgL_offsetz00_2667 = 
(BgL_auxz00_3644-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 130 */
long BgL_modz00_2668;
{ /* Ast/lvtype.scm 130 */
long BgL_auxz00_3649;
{ /* Ast/lvtype.scm 130 */
int BgL_auxz00_3650;
BgL_auxz00_3650 = 
(int)(((long)8)); 
BgL_auxz00_3649 = 
(long)(BgL_auxz00_3650); } 
BgL_modz00_2668 = 
(BgL_offsetz00_2667/BgL_auxz00_3649); } 
{ /* Ast/lvtype.scm 130 */
long BgL_restz00_2670;
{ /* Ast/lvtype.scm 130 */
long BgL_auxz00_3654;
{ /* Ast/lvtype.scm 130 */
int BgL_auxz00_3655;
BgL_auxz00_3655 = 
(int)(((long)8)); 
BgL_auxz00_3654 = 
(long)(BgL_auxz00_3655); } 
BgL_restz00_2670 = 
(BgL_offsetz00_2667%BgL_auxz00_3654); } 
{ /* Ast/lvtype.scm 130 */

{ /* Ast/lvtype.scm 130 */
obj_t BgL_bucketz00_2672;
{ /* Ast/lvtype.scm 130 */
int BgL_kz00_2682;
BgL_kz00_2682 = 
(int)(BgL_modz00_2668); 
BgL_bucketz00_2672 = 
VECTOR_REF(BgL_arg1221z00_2663,BgL_kz00_2682); } 
{ /* Ast/lvtype.scm 130 */
int BgL_kz00_2684;
BgL_kz00_2684 = 
(int)(BgL_restz00_2670); 
BgL_method2697z00_2660 = 
VECTOR_REF(BgL_bucketz00_2672,BgL_kz00_2684); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2660)(BgL_method2697z00_2660, 
(obj_t)(BgL_arg2828z00_1737), BEOA); } } 
{ 
obj_t BgL_l2674z00_1738;
BgL_l2674z00_1738 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1733))->BgL_clausesz00); 
BgL_lname2675z00_1739:
if(
PAIRP(BgL_l2674z00_1738))
{ /* Ast/lvtype.scm 131 */
{ /* Ast/lvtype.scm 132 */
BgL_nodez00_bglt BgL_nodez00_2689;
{ /* Ast/lvtype.scm 132 */
obj_t BgL_auxz00_3668;
{ /* Ast/lvtype.scm 132 */
obj_t BgL_auxz00_3669;
BgL_auxz00_3669 = 
CAR(BgL_l2674z00_1738); 
BgL_auxz00_3668 = 
CDR(BgL_auxz00_3669); } 
BgL_nodez00_2689 = 
(BgL_nodez00_bglt)(BgL_auxz00_3668); } 
{ /* Ast/lvtype.scm 132 */
obj_t BgL_method2697z00_2690;
{ /* Ast/lvtype.scm 132 */
long BgL_objzd2classzd2numz00_2692;
{ /* Ast/lvtype.scm 132 */
BgL_objectz00_bglt BgL_auxz00_3673;
BgL_auxz00_3673 = 
(BgL_objectz00_bglt)(BgL_nodez00_2689); 
BgL_objzd2classzd2numz00_2692 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3673); } 
{ /* Ast/lvtype.scm 132 */
obj_t BgL_arg1221z00_2693;
{ /* Ast/lvtype.scm 132 */
int BgL_auxz00_3676;
BgL_auxz00_3676 = 
(int)(((long)1)); 
BgL_arg1221z00_2693 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3676); } 
{ /* Ast/lvtype.scm 132 */
long BgL_offsetz00_2697;
{ /* Ast/lvtype.scm 132 */
long BgL_auxz00_3679;
{ /* Ast/lvtype.scm 132 */
int BgL_auxz00_3680;
BgL_auxz00_3680 = 
(int)(BgL_objzd2classzd2numz00_2692); 
BgL_auxz00_3679 = 
(long)(BgL_auxz00_3680); } 
BgL_offsetz00_2697 = 
(BgL_auxz00_3679-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 132 */
long BgL_modz00_2698;
{ /* Ast/lvtype.scm 132 */
long BgL_auxz00_3684;
{ /* Ast/lvtype.scm 132 */
int BgL_auxz00_3685;
BgL_auxz00_3685 = 
(int)(((long)8)); 
BgL_auxz00_3684 = 
(long)(BgL_auxz00_3685); } 
BgL_modz00_2698 = 
(BgL_offsetz00_2697/BgL_auxz00_3684); } 
{ /* Ast/lvtype.scm 132 */
long BgL_restz00_2700;
{ /* Ast/lvtype.scm 132 */
long BgL_auxz00_3689;
{ /* Ast/lvtype.scm 132 */
int BgL_auxz00_3690;
BgL_auxz00_3690 = 
(int)(((long)8)); 
BgL_auxz00_3689 = 
(long)(BgL_auxz00_3690); } 
BgL_restz00_2700 = 
(BgL_offsetz00_2697%BgL_auxz00_3689); } 
{ /* Ast/lvtype.scm 132 */

{ /* Ast/lvtype.scm 132 */
obj_t BgL_bucketz00_2702;
{ /* Ast/lvtype.scm 132 */
int BgL_kz00_2712;
BgL_kz00_2712 = 
(int)(BgL_modz00_2698); 
BgL_bucketz00_2702 = 
VECTOR_REF(BgL_arg1221z00_2693,BgL_kz00_2712); } 
{ /* Ast/lvtype.scm 132 */
int BgL_kz00_2714;
BgL_kz00_2714 = 
(int)(BgL_restz00_2700); 
BgL_method2697z00_2690 = 
VECTOR_REF(BgL_bucketz00_2702,BgL_kz00_2714); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2690)(BgL_method2697z00_2690, 
(obj_t)(BgL_nodez00_2689), BEOA); } } 
{ 
obj_t BgL_l2674z00_3701;
BgL_l2674z00_3701 = 
CDR(BgL_l2674z00_1738); 
BgL_l2674z00_1738 = BgL_l2674z00_3701; 
goto BgL_lname2675z00_1739;} }  else 
{ /* Ast/lvtype.scm 131 */
BgL_auxz00_3636 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3636);} } } 
}



/* lvtype-node!-fail2723 */
obj_t BGl_lvtypezd2nodez12zd2fail2723z12zzast_lvtypez00(obj_t BgL_envz00_3121, obj_t BgL_nodez00_3122)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 119 */
{ 
BgL_failz00_bglt BgL_nodez00_1724;
BgL_nodez00_1724 = 
(BgL_failz00_bglt)(BgL_nodez00_3122); 
{ /* Ast/lvtype.scm 121 */
BgL_nodez00_bglt BgL_arg2824z00_1728;
BgL_arg2824z00_1728 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1724))->BgL_procz00); 
{ /* Ast/lvtype.scm 121 */
obj_t BgL_method2697z00_2579;
{ /* Ast/lvtype.scm 121 */
long BgL_objzd2classzd2numz00_2581;
{ /* Ast/lvtype.scm 121 */
BgL_objectz00_bglt BgL_auxz00_3707;
BgL_auxz00_3707 = 
(BgL_objectz00_bglt)(BgL_arg2824z00_1728); 
BgL_objzd2classzd2numz00_2581 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3707); } 
{ /* Ast/lvtype.scm 121 */
obj_t BgL_arg1221z00_2582;
{ /* Ast/lvtype.scm 121 */
int BgL_auxz00_3710;
BgL_auxz00_3710 = 
(int)(((long)1)); 
BgL_arg1221z00_2582 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3710); } 
{ /* Ast/lvtype.scm 121 */
long BgL_offsetz00_2586;
{ /* Ast/lvtype.scm 121 */
long BgL_auxz00_3713;
{ /* Ast/lvtype.scm 121 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(BgL_objzd2classzd2numz00_2581); 
BgL_auxz00_3713 = 
(long)(BgL_auxz00_3714); } 
BgL_offsetz00_2586 = 
(BgL_auxz00_3713-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 121 */
long BgL_modz00_2587;
{ /* Ast/lvtype.scm 121 */
long BgL_auxz00_3718;
{ /* Ast/lvtype.scm 121 */
int BgL_auxz00_3719;
BgL_auxz00_3719 = 
(int)(((long)8)); 
BgL_auxz00_3718 = 
(long)(BgL_auxz00_3719); } 
BgL_modz00_2587 = 
(BgL_offsetz00_2586/BgL_auxz00_3718); } 
{ /* Ast/lvtype.scm 121 */
long BgL_restz00_2589;
{ /* Ast/lvtype.scm 121 */
long BgL_auxz00_3723;
{ /* Ast/lvtype.scm 121 */
int BgL_auxz00_3724;
BgL_auxz00_3724 = 
(int)(((long)8)); 
BgL_auxz00_3723 = 
(long)(BgL_auxz00_3724); } 
BgL_restz00_2589 = 
(BgL_offsetz00_2586%BgL_auxz00_3723); } 
{ /* Ast/lvtype.scm 121 */

{ /* Ast/lvtype.scm 121 */
obj_t BgL_bucketz00_2591;
{ /* Ast/lvtype.scm 121 */
int BgL_kz00_2601;
BgL_kz00_2601 = 
(int)(BgL_modz00_2587); 
BgL_bucketz00_2591 = 
VECTOR_REF(BgL_arg1221z00_2582,BgL_kz00_2601); } 
{ /* Ast/lvtype.scm 121 */
int BgL_kz00_2603;
BgL_kz00_2603 = 
(int)(BgL_restz00_2589); 
BgL_method2697z00_2579 = 
VECTOR_REF(BgL_bucketz00_2591,BgL_kz00_2603); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2579)(BgL_method2697z00_2579, 
(obj_t)(BgL_arg2824z00_1728), BEOA); } } 
{ /* Ast/lvtype.scm 122 */
BgL_nodez00_bglt BgL_arg2825z00_1729;
BgL_arg2825z00_1729 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1724))->BgL_msgz00); 
{ /* Ast/lvtype.scm 122 */
obj_t BgL_method2697z00_2606;
{ /* Ast/lvtype.scm 122 */
long BgL_objzd2classzd2numz00_2608;
{ /* Ast/lvtype.scm 122 */
BgL_objectz00_bglt BgL_auxz00_3736;
BgL_auxz00_3736 = 
(BgL_objectz00_bglt)(BgL_arg2825z00_1729); 
BgL_objzd2classzd2numz00_2608 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3736); } 
{ /* Ast/lvtype.scm 122 */
obj_t BgL_arg1221z00_2609;
{ /* Ast/lvtype.scm 122 */
int BgL_auxz00_3739;
BgL_auxz00_3739 = 
(int)(((long)1)); 
BgL_arg1221z00_2609 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3739); } 
{ /* Ast/lvtype.scm 122 */
long BgL_offsetz00_2613;
{ /* Ast/lvtype.scm 122 */
long BgL_auxz00_3742;
{ /* Ast/lvtype.scm 122 */
int BgL_auxz00_3743;
BgL_auxz00_3743 = 
(int)(BgL_objzd2classzd2numz00_2608); 
BgL_auxz00_3742 = 
(long)(BgL_auxz00_3743); } 
BgL_offsetz00_2613 = 
(BgL_auxz00_3742-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 122 */
long BgL_modz00_2614;
{ /* Ast/lvtype.scm 122 */
long BgL_auxz00_3747;
{ /* Ast/lvtype.scm 122 */
int BgL_auxz00_3748;
BgL_auxz00_3748 = 
(int)(((long)8)); 
BgL_auxz00_3747 = 
(long)(BgL_auxz00_3748); } 
BgL_modz00_2614 = 
(BgL_offsetz00_2613/BgL_auxz00_3747); } 
{ /* Ast/lvtype.scm 122 */
long BgL_restz00_2616;
{ /* Ast/lvtype.scm 122 */
long BgL_auxz00_3752;
{ /* Ast/lvtype.scm 122 */
int BgL_auxz00_3753;
BgL_auxz00_3753 = 
(int)(((long)8)); 
BgL_auxz00_3752 = 
(long)(BgL_auxz00_3753); } 
BgL_restz00_2616 = 
(BgL_offsetz00_2613%BgL_auxz00_3752); } 
{ /* Ast/lvtype.scm 122 */

{ /* Ast/lvtype.scm 122 */
obj_t BgL_bucketz00_2618;
{ /* Ast/lvtype.scm 122 */
int BgL_kz00_2628;
BgL_kz00_2628 = 
(int)(BgL_modz00_2614); 
BgL_bucketz00_2618 = 
VECTOR_REF(BgL_arg1221z00_2609,BgL_kz00_2628); } 
{ /* Ast/lvtype.scm 122 */
int BgL_kz00_2630;
BgL_kz00_2630 = 
(int)(BgL_restz00_2616); 
BgL_method2697z00_2606 = 
VECTOR_REF(BgL_bucketz00_2618,BgL_kz00_2630); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2606)(BgL_method2697z00_2606, 
(obj_t)(BgL_arg2825z00_1729), BEOA); } } 
{ /* Ast/lvtype.scm 123 */
BgL_nodez00_bglt BgL_arg2826z00_1730;
BgL_arg2826z00_1730 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1724))->BgL_objz00); 
{ /* Ast/lvtype.scm 123 */
obj_t BgL_method2697z00_2633;
{ /* Ast/lvtype.scm 123 */
long BgL_objzd2classzd2numz00_2635;
{ /* Ast/lvtype.scm 123 */
BgL_objectz00_bglt BgL_auxz00_3765;
BgL_auxz00_3765 = 
(BgL_objectz00_bglt)(BgL_arg2826z00_1730); 
BgL_objzd2classzd2numz00_2635 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3765); } 
{ /* Ast/lvtype.scm 123 */
obj_t BgL_arg1221z00_2636;
{ /* Ast/lvtype.scm 123 */
int BgL_auxz00_3768;
BgL_auxz00_3768 = 
(int)(((long)1)); 
BgL_arg1221z00_2636 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3768); } 
{ /* Ast/lvtype.scm 123 */
long BgL_offsetz00_2640;
{ /* Ast/lvtype.scm 123 */
long BgL_auxz00_3771;
{ /* Ast/lvtype.scm 123 */
int BgL_auxz00_3772;
BgL_auxz00_3772 = 
(int)(BgL_objzd2classzd2numz00_2635); 
BgL_auxz00_3771 = 
(long)(BgL_auxz00_3772); } 
BgL_offsetz00_2640 = 
(BgL_auxz00_3771-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 123 */
long BgL_modz00_2641;
{ /* Ast/lvtype.scm 123 */
long BgL_auxz00_3776;
{ /* Ast/lvtype.scm 123 */
int BgL_auxz00_3777;
BgL_auxz00_3777 = 
(int)(((long)8)); 
BgL_auxz00_3776 = 
(long)(BgL_auxz00_3777); } 
BgL_modz00_2641 = 
(BgL_offsetz00_2640/BgL_auxz00_3776); } 
{ /* Ast/lvtype.scm 123 */
long BgL_restz00_2643;
{ /* Ast/lvtype.scm 123 */
long BgL_auxz00_3781;
{ /* Ast/lvtype.scm 123 */
int BgL_auxz00_3782;
BgL_auxz00_3782 = 
(int)(((long)8)); 
BgL_auxz00_3781 = 
(long)(BgL_auxz00_3782); } 
BgL_restz00_2643 = 
(BgL_offsetz00_2640%BgL_auxz00_3781); } 
{ /* Ast/lvtype.scm 123 */

{ /* Ast/lvtype.scm 123 */
obj_t BgL_bucketz00_2645;
{ /* Ast/lvtype.scm 123 */
int BgL_kz00_2655;
BgL_kz00_2655 = 
(int)(BgL_modz00_2641); 
BgL_bucketz00_2645 = 
VECTOR_REF(BgL_arg1221z00_2636,BgL_kz00_2655); } 
{ /* Ast/lvtype.scm 123 */
int BgL_kz00_2657;
BgL_kz00_2657 = 
(int)(BgL_restz00_2643); 
BgL_method2697z00_2633 = 
VECTOR_REF(BgL_bucketz00_2645,BgL_kz00_2657); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2633)(BgL_method2697z00_2633, 
(obj_t)(BgL_arg2826z00_1730), BEOA);} } } } 
}



/* lvtype-node!-conditional2721 */
obj_t BGl_lvtypezd2nodez12zd2conditional2721z12zzast_lvtypez00(obj_t BgL_envz00_3123, obj_t BgL_nodez00_3124)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 110 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1715;
BgL_nodez00_1715 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3124); 
{ /* Ast/lvtype.scm 112 */
BgL_nodez00_bglt BgL_arg2820z00_1719;
BgL_arg2820z00_1719 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1715))->BgL_testz00); 
{ /* Ast/lvtype.scm 112 */
obj_t BgL_method2697z00_2498;
{ /* Ast/lvtype.scm 112 */
long BgL_objzd2classzd2numz00_2500;
{ /* Ast/lvtype.scm 112 */
BgL_objectz00_bglt BgL_auxz00_3795;
BgL_auxz00_3795 = 
(BgL_objectz00_bglt)(BgL_arg2820z00_1719); 
BgL_objzd2classzd2numz00_2500 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3795); } 
{ /* Ast/lvtype.scm 112 */
obj_t BgL_arg1221z00_2501;
{ /* Ast/lvtype.scm 112 */
int BgL_auxz00_3798;
BgL_auxz00_3798 = 
(int)(((long)1)); 
BgL_arg1221z00_2501 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3798); } 
{ /* Ast/lvtype.scm 112 */
long BgL_offsetz00_2505;
{ /* Ast/lvtype.scm 112 */
long BgL_auxz00_3801;
{ /* Ast/lvtype.scm 112 */
int BgL_auxz00_3802;
BgL_auxz00_3802 = 
(int)(BgL_objzd2classzd2numz00_2500); 
BgL_auxz00_3801 = 
(long)(BgL_auxz00_3802); } 
BgL_offsetz00_2505 = 
(BgL_auxz00_3801-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 112 */
long BgL_modz00_2506;
{ /* Ast/lvtype.scm 112 */
long BgL_auxz00_3806;
{ /* Ast/lvtype.scm 112 */
int BgL_auxz00_3807;
BgL_auxz00_3807 = 
(int)(((long)8)); 
BgL_auxz00_3806 = 
(long)(BgL_auxz00_3807); } 
BgL_modz00_2506 = 
(BgL_offsetz00_2505/BgL_auxz00_3806); } 
{ /* Ast/lvtype.scm 112 */
long BgL_restz00_2508;
{ /* Ast/lvtype.scm 112 */
long BgL_auxz00_3811;
{ /* Ast/lvtype.scm 112 */
int BgL_auxz00_3812;
BgL_auxz00_3812 = 
(int)(((long)8)); 
BgL_auxz00_3811 = 
(long)(BgL_auxz00_3812); } 
BgL_restz00_2508 = 
(BgL_offsetz00_2505%BgL_auxz00_3811); } 
{ /* Ast/lvtype.scm 112 */

{ /* Ast/lvtype.scm 112 */
obj_t BgL_bucketz00_2510;
{ /* Ast/lvtype.scm 112 */
int BgL_kz00_2520;
BgL_kz00_2520 = 
(int)(BgL_modz00_2506); 
BgL_bucketz00_2510 = 
VECTOR_REF(BgL_arg1221z00_2501,BgL_kz00_2520); } 
{ /* Ast/lvtype.scm 112 */
int BgL_kz00_2522;
BgL_kz00_2522 = 
(int)(BgL_restz00_2508); 
BgL_method2697z00_2498 = 
VECTOR_REF(BgL_bucketz00_2510,BgL_kz00_2522); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2498)(BgL_method2697z00_2498, 
(obj_t)(BgL_arg2820z00_1719), BEOA); } } 
{ /* Ast/lvtype.scm 113 */
BgL_nodez00_bglt BgL_arg2821z00_1720;
BgL_arg2821z00_1720 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1715))->BgL_truez00); 
{ /* Ast/lvtype.scm 113 */
obj_t BgL_method2697z00_2525;
{ /* Ast/lvtype.scm 113 */
long BgL_objzd2classzd2numz00_2527;
{ /* Ast/lvtype.scm 113 */
BgL_objectz00_bglt BgL_auxz00_3824;
BgL_auxz00_3824 = 
(BgL_objectz00_bglt)(BgL_arg2821z00_1720); 
BgL_objzd2classzd2numz00_2527 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3824); } 
{ /* Ast/lvtype.scm 113 */
obj_t BgL_arg1221z00_2528;
{ /* Ast/lvtype.scm 113 */
int BgL_auxz00_3827;
BgL_auxz00_3827 = 
(int)(((long)1)); 
BgL_arg1221z00_2528 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3827); } 
{ /* Ast/lvtype.scm 113 */
long BgL_offsetz00_2532;
{ /* Ast/lvtype.scm 113 */
long BgL_auxz00_3830;
{ /* Ast/lvtype.scm 113 */
int BgL_auxz00_3831;
BgL_auxz00_3831 = 
(int)(BgL_objzd2classzd2numz00_2527); 
BgL_auxz00_3830 = 
(long)(BgL_auxz00_3831); } 
BgL_offsetz00_2532 = 
(BgL_auxz00_3830-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 113 */
long BgL_modz00_2533;
{ /* Ast/lvtype.scm 113 */
long BgL_auxz00_3835;
{ /* Ast/lvtype.scm 113 */
int BgL_auxz00_3836;
BgL_auxz00_3836 = 
(int)(((long)8)); 
BgL_auxz00_3835 = 
(long)(BgL_auxz00_3836); } 
BgL_modz00_2533 = 
(BgL_offsetz00_2532/BgL_auxz00_3835); } 
{ /* Ast/lvtype.scm 113 */
long BgL_restz00_2535;
{ /* Ast/lvtype.scm 113 */
long BgL_auxz00_3840;
{ /* Ast/lvtype.scm 113 */
int BgL_auxz00_3841;
BgL_auxz00_3841 = 
(int)(((long)8)); 
BgL_auxz00_3840 = 
(long)(BgL_auxz00_3841); } 
BgL_restz00_2535 = 
(BgL_offsetz00_2532%BgL_auxz00_3840); } 
{ /* Ast/lvtype.scm 113 */

{ /* Ast/lvtype.scm 113 */
obj_t BgL_bucketz00_2537;
{ /* Ast/lvtype.scm 113 */
int BgL_kz00_2547;
BgL_kz00_2547 = 
(int)(BgL_modz00_2533); 
BgL_bucketz00_2537 = 
VECTOR_REF(BgL_arg1221z00_2528,BgL_kz00_2547); } 
{ /* Ast/lvtype.scm 113 */
int BgL_kz00_2549;
BgL_kz00_2549 = 
(int)(BgL_restz00_2535); 
BgL_method2697z00_2525 = 
VECTOR_REF(BgL_bucketz00_2537,BgL_kz00_2549); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2525)(BgL_method2697z00_2525, 
(obj_t)(BgL_arg2821z00_1720), BEOA); } } 
{ /* Ast/lvtype.scm 114 */
BgL_nodez00_bglt BgL_arg2822z00_1721;
BgL_arg2822z00_1721 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1715))->BgL_falsez00); 
{ /* Ast/lvtype.scm 114 */
obj_t BgL_method2697z00_2552;
{ /* Ast/lvtype.scm 114 */
long BgL_objzd2classzd2numz00_2554;
{ /* Ast/lvtype.scm 114 */
BgL_objectz00_bglt BgL_auxz00_3853;
BgL_auxz00_3853 = 
(BgL_objectz00_bglt)(BgL_arg2822z00_1721); 
BgL_objzd2classzd2numz00_2554 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3853); } 
{ /* Ast/lvtype.scm 114 */
obj_t BgL_arg1221z00_2555;
{ /* Ast/lvtype.scm 114 */
int BgL_auxz00_3856;
BgL_auxz00_3856 = 
(int)(((long)1)); 
BgL_arg1221z00_2555 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3856); } 
{ /* Ast/lvtype.scm 114 */
long BgL_offsetz00_2559;
{ /* Ast/lvtype.scm 114 */
long BgL_auxz00_3859;
{ /* Ast/lvtype.scm 114 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(BgL_objzd2classzd2numz00_2554); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_offsetz00_2559 = 
(BgL_auxz00_3859-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 114 */
long BgL_modz00_2560;
{ /* Ast/lvtype.scm 114 */
long BgL_auxz00_3864;
{ /* Ast/lvtype.scm 114 */
int BgL_auxz00_3865;
BgL_auxz00_3865 = 
(int)(((long)8)); 
BgL_auxz00_3864 = 
(long)(BgL_auxz00_3865); } 
BgL_modz00_2560 = 
(BgL_offsetz00_2559/BgL_auxz00_3864); } 
{ /* Ast/lvtype.scm 114 */
long BgL_restz00_2562;
{ /* Ast/lvtype.scm 114 */
long BgL_auxz00_3869;
{ /* Ast/lvtype.scm 114 */
int BgL_auxz00_3870;
BgL_auxz00_3870 = 
(int)(((long)8)); 
BgL_auxz00_3869 = 
(long)(BgL_auxz00_3870); } 
BgL_restz00_2562 = 
(BgL_offsetz00_2559%BgL_auxz00_3869); } 
{ /* Ast/lvtype.scm 114 */

{ /* Ast/lvtype.scm 114 */
obj_t BgL_bucketz00_2564;
{ /* Ast/lvtype.scm 114 */
int BgL_kz00_2574;
BgL_kz00_2574 = 
(int)(BgL_modz00_2560); 
BgL_bucketz00_2564 = 
VECTOR_REF(BgL_arg1221z00_2555,BgL_kz00_2574); } 
{ /* Ast/lvtype.scm 114 */
int BgL_kz00_2576;
BgL_kz00_2576 = 
(int)(BgL_restz00_2562); 
BgL_method2697z00_2552 = 
VECTOR_REF(BgL_bucketz00_2564,BgL_kz00_2576); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2552)(BgL_method2697z00_2552, 
(obj_t)(BgL_arg2822z00_1721), BEOA);} } } } 
}



/* lvtype-node!-setq2719 */
obj_t BGl_lvtypezd2nodez12zd2setq2719z12zzast_lvtypez00(obj_t BgL_envz00_3125, obj_t BgL_nodez00_3126)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 102 */
{ 
BgL_setqz00_bglt BgL_nodez00_1707;
BgL_nodez00_1707 = 
(BgL_setqz00_bglt)(BgL_nodez00_3126); 
{ /* Ast/lvtype.scm 104 */
BgL_nodez00_bglt BgL_arg2817z00_1711;
BgL_arg2817z00_1711 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1707))->BgL_valuez00); 
{ /* Ast/lvtype.scm 104 */
obj_t BgL_method2697z00_2444;
{ /* Ast/lvtype.scm 104 */
long BgL_objzd2classzd2numz00_2446;
{ /* Ast/lvtype.scm 104 */
BgL_objectz00_bglt BgL_auxz00_3883;
BgL_auxz00_3883 = 
(BgL_objectz00_bglt)(BgL_arg2817z00_1711); 
BgL_objzd2classzd2numz00_2446 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3883); } 
{ /* Ast/lvtype.scm 104 */
obj_t BgL_arg1221z00_2447;
{ /* Ast/lvtype.scm 104 */
int BgL_auxz00_3886;
BgL_auxz00_3886 = 
(int)(((long)1)); 
BgL_arg1221z00_2447 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3886); } 
{ /* Ast/lvtype.scm 104 */
long BgL_offsetz00_2451;
{ /* Ast/lvtype.scm 104 */
long BgL_auxz00_3889;
{ /* Ast/lvtype.scm 104 */
int BgL_auxz00_3890;
BgL_auxz00_3890 = 
(int)(BgL_objzd2classzd2numz00_2446); 
BgL_auxz00_3889 = 
(long)(BgL_auxz00_3890); } 
BgL_offsetz00_2451 = 
(BgL_auxz00_3889-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 104 */
long BgL_modz00_2452;
{ /* Ast/lvtype.scm 104 */
long BgL_auxz00_3894;
{ /* Ast/lvtype.scm 104 */
int BgL_auxz00_3895;
BgL_auxz00_3895 = 
(int)(((long)8)); 
BgL_auxz00_3894 = 
(long)(BgL_auxz00_3895); } 
BgL_modz00_2452 = 
(BgL_offsetz00_2451/BgL_auxz00_3894); } 
{ /* Ast/lvtype.scm 104 */
long BgL_restz00_2454;
{ /* Ast/lvtype.scm 104 */
long BgL_auxz00_3899;
{ /* Ast/lvtype.scm 104 */
int BgL_auxz00_3900;
BgL_auxz00_3900 = 
(int)(((long)8)); 
BgL_auxz00_3899 = 
(long)(BgL_auxz00_3900); } 
BgL_restz00_2454 = 
(BgL_offsetz00_2451%BgL_auxz00_3899); } 
{ /* Ast/lvtype.scm 104 */

{ /* Ast/lvtype.scm 104 */
obj_t BgL_bucketz00_2456;
{ /* Ast/lvtype.scm 104 */
int BgL_kz00_2466;
BgL_kz00_2466 = 
(int)(BgL_modz00_2452); 
BgL_bucketz00_2456 = 
VECTOR_REF(BgL_arg1221z00_2447,BgL_kz00_2466); } 
{ /* Ast/lvtype.scm 104 */
int BgL_kz00_2468;
BgL_kz00_2468 = 
(int)(BgL_restz00_2454); 
BgL_method2697z00_2444 = 
VECTOR_REF(BgL_bucketz00_2456,BgL_kz00_2468); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2444)(BgL_method2697z00_2444, 
(obj_t)(BgL_arg2817z00_1711), BEOA); } } 
{ /* Ast/lvtype.scm 105 */
BgL_nodez00_bglt BgL_nodez00_2470;
{ /* Ast/lvtype.scm 105 */
BgL_varz00_bglt BgL_auxz00_3911;
BgL_auxz00_3911 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1707))->BgL_varz00); 
BgL_nodez00_2470 = 
(BgL_nodez00_bglt)(BgL_auxz00_3911); } 
{ /* Ast/lvtype.scm 105 */
obj_t BgL_method2697z00_2471;
{ /* Ast/lvtype.scm 105 */
long BgL_objzd2classzd2numz00_2473;
{ /* Ast/lvtype.scm 105 */
BgL_objectz00_bglt BgL_auxz00_3914;
BgL_auxz00_3914 = 
(BgL_objectz00_bglt)(BgL_nodez00_2470); 
BgL_objzd2classzd2numz00_2473 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3914); } 
{ /* Ast/lvtype.scm 105 */
obj_t BgL_arg1221z00_2474;
{ /* Ast/lvtype.scm 105 */
int BgL_auxz00_3917;
BgL_auxz00_3917 = 
(int)(((long)1)); 
BgL_arg1221z00_2474 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3917); } 
{ /* Ast/lvtype.scm 105 */
long BgL_offsetz00_2478;
{ /* Ast/lvtype.scm 105 */
long BgL_auxz00_3920;
{ /* Ast/lvtype.scm 105 */
int BgL_auxz00_3921;
BgL_auxz00_3921 = 
(int)(BgL_objzd2classzd2numz00_2473); 
BgL_auxz00_3920 = 
(long)(BgL_auxz00_3921); } 
BgL_offsetz00_2478 = 
(BgL_auxz00_3920-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 105 */
long BgL_modz00_2479;
{ /* Ast/lvtype.scm 105 */
long BgL_auxz00_3925;
{ /* Ast/lvtype.scm 105 */
int BgL_auxz00_3926;
BgL_auxz00_3926 = 
(int)(((long)8)); 
BgL_auxz00_3925 = 
(long)(BgL_auxz00_3926); } 
BgL_modz00_2479 = 
(BgL_offsetz00_2478/BgL_auxz00_3925); } 
{ /* Ast/lvtype.scm 105 */
long BgL_restz00_2481;
{ /* Ast/lvtype.scm 105 */
long BgL_auxz00_3930;
{ /* Ast/lvtype.scm 105 */
int BgL_auxz00_3931;
BgL_auxz00_3931 = 
(int)(((long)8)); 
BgL_auxz00_3930 = 
(long)(BgL_auxz00_3931); } 
BgL_restz00_2481 = 
(BgL_offsetz00_2478%BgL_auxz00_3930); } 
{ /* Ast/lvtype.scm 105 */

{ /* Ast/lvtype.scm 105 */
obj_t BgL_bucketz00_2483;
{ /* Ast/lvtype.scm 105 */
int BgL_kz00_2493;
BgL_kz00_2493 = 
(int)(BgL_modz00_2479); 
BgL_bucketz00_2483 = 
VECTOR_REF(BgL_arg1221z00_2474,BgL_kz00_2493); } 
{ /* Ast/lvtype.scm 105 */
int BgL_kz00_2495;
BgL_kz00_2495 = 
(int)(BgL_restz00_2481); 
BgL_method2697z00_2471 = 
VECTOR_REF(BgL_bucketz00_2483,BgL_kz00_2495); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2471)(BgL_method2697z00_2471, 
(obj_t)(BgL_nodez00_2470), BEOA);} } } } 
}



/* lvtype-node!-cast2717 */
obj_t BGl_lvtypezd2nodez12zd2cast2717z12zzast_lvtypez00(obj_t BgL_envz00_3127, obj_t BgL_nodez00_3128)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 95 */
{ 
BgL_castz00_bglt BgL_nodez00_1700;
BgL_nodez00_1700 = 
(BgL_castz00_bglt)(BgL_nodez00_3128); 
{ /* Ast/lvtype.scm 96 */
BgL_nodez00_bglt BgL_arg2815z00_2414;
BgL_arg2815z00_2414 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1700))->BgL_argz00); 
{ /* Ast/lvtype.scm 96 */
obj_t BgL_method2697z00_2417;
{ /* Ast/lvtype.scm 96 */
long BgL_objzd2classzd2numz00_2419;
{ /* Ast/lvtype.scm 96 */
BgL_objectz00_bglt BgL_auxz00_3944;
BgL_auxz00_3944 = 
(BgL_objectz00_bglt)(BgL_arg2815z00_2414); 
BgL_objzd2classzd2numz00_2419 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3944); } 
{ /* Ast/lvtype.scm 96 */
obj_t BgL_arg1221z00_2420;
{ /* Ast/lvtype.scm 96 */
int BgL_auxz00_3947;
BgL_auxz00_3947 = 
(int)(((long)1)); 
BgL_arg1221z00_2420 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3947); } 
{ /* Ast/lvtype.scm 96 */
long BgL_offsetz00_2424;
{ /* Ast/lvtype.scm 96 */
long BgL_auxz00_3950;
{ /* Ast/lvtype.scm 96 */
int BgL_auxz00_3951;
BgL_auxz00_3951 = 
(int)(BgL_objzd2classzd2numz00_2419); 
BgL_auxz00_3950 = 
(long)(BgL_auxz00_3951); } 
BgL_offsetz00_2424 = 
(BgL_auxz00_3950-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 96 */
long BgL_modz00_2425;
{ /* Ast/lvtype.scm 96 */
long BgL_auxz00_3955;
{ /* Ast/lvtype.scm 96 */
int BgL_auxz00_3956;
BgL_auxz00_3956 = 
(int)(((long)8)); 
BgL_auxz00_3955 = 
(long)(BgL_auxz00_3956); } 
BgL_modz00_2425 = 
(BgL_offsetz00_2424/BgL_auxz00_3955); } 
{ /* Ast/lvtype.scm 96 */
long BgL_restz00_2427;
{ /* Ast/lvtype.scm 96 */
long BgL_auxz00_3960;
{ /* Ast/lvtype.scm 96 */
int BgL_auxz00_3961;
BgL_auxz00_3961 = 
(int)(((long)8)); 
BgL_auxz00_3960 = 
(long)(BgL_auxz00_3961); } 
BgL_restz00_2427 = 
(BgL_offsetz00_2424%BgL_auxz00_3960); } 
{ /* Ast/lvtype.scm 96 */

{ /* Ast/lvtype.scm 96 */
obj_t BgL_bucketz00_2429;
{ /* Ast/lvtype.scm 96 */
int BgL_kz00_2439;
BgL_kz00_2439 = 
(int)(BgL_modz00_2425); 
BgL_bucketz00_2429 = 
VECTOR_REF(BgL_arg1221z00_2420,BgL_kz00_2439); } 
{ /* Ast/lvtype.scm 96 */
int BgL_kz00_2441;
BgL_kz00_2441 = 
(int)(BgL_restz00_2427); 
BgL_method2697z00_2417 = 
VECTOR_REF(BgL_bucketz00_2429,BgL_kz00_2441); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2417)(BgL_method2697z00_2417, 
(obj_t)(BgL_arg2815z00_2414), BEOA);} } } } 
}



/* lvtype-node!-extern2715 */
obj_t BGl_lvtypezd2nodez12zd2extern2715z12zzast_lvtypez00(obj_t BgL_envz00_3129, obj_t BgL_nodez00_3130)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 88 */
{ 
BgL_externz00_bglt BgL_nodez00_1693;
{ /* Ast/lvtype.scm 89 */
bool_t BgL_auxz00_3973;
BgL_nodez00_1693 = 
(BgL_externz00_bglt)(BgL_nodez00_3130); 
BgL_auxz00_3973 = 
BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1693))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_3973);} } } 
}



/* lvtype-node!-funcall2713 */
obj_t BGl_lvtypezd2nodez12zd2funcall2713z12zzast_lvtypez00(obj_t BgL_envz00_3131, obj_t BgL_nodez00_3132)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 80 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1685;
{ /* Ast/lvtype.scm 81 */
bool_t BgL_auxz00_3978;
BgL_nodez00_1685 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3132); 
{ /* Ast/lvtype.scm 82 */
BgL_nodez00_bglt BgL_arg2810z00_1689;
BgL_arg2810z00_1689 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1685))->BgL_funz00); 
{ /* Ast/lvtype.scm 82 */
obj_t BgL_method2697z00_2384;
{ /* Ast/lvtype.scm 82 */
long BgL_objzd2classzd2numz00_2386;
{ /* Ast/lvtype.scm 82 */
BgL_objectz00_bglt BgL_auxz00_3980;
BgL_auxz00_3980 = 
(BgL_objectz00_bglt)(BgL_arg2810z00_1689); 
BgL_objzd2classzd2numz00_2386 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3980); } 
{ /* Ast/lvtype.scm 82 */
obj_t BgL_arg1221z00_2387;
{ /* Ast/lvtype.scm 82 */
int BgL_auxz00_3983;
BgL_auxz00_3983 = 
(int)(((long)1)); 
BgL_arg1221z00_2387 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_3983); } 
{ /* Ast/lvtype.scm 82 */
long BgL_offsetz00_2391;
{ /* Ast/lvtype.scm 82 */
long BgL_auxz00_3986;
{ /* Ast/lvtype.scm 82 */
int BgL_auxz00_3987;
BgL_auxz00_3987 = 
(int)(BgL_objzd2classzd2numz00_2386); 
BgL_auxz00_3986 = 
(long)(BgL_auxz00_3987); } 
BgL_offsetz00_2391 = 
(BgL_auxz00_3986-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 82 */
long BgL_modz00_2392;
{ /* Ast/lvtype.scm 82 */
long BgL_auxz00_3991;
{ /* Ast/lvtype.scm 82 */
int BgL_auxz00_3992;
BgL_auxz00_3992 = 
(int)(((long)8)); 
BgL_auxz00_3991 = 
(long)(BgL_auxz00_3992); } 
BgL_modz00_2392 = 
(BgL_offsetz00_2391/BgL_auxz00_3991); } 
{ /* Ast/lvtype.scm 82 */
long BgL_restz00_2394;
{ /* Ast/lvtype.scm 82 */
long BgL_auxz00_3996;
{ /* Ast/lvtype.scm 82 */
int BgL_auxz00_3997;
BgL_auxz00_3997 = 
(int)(((long)8)); 
BgL_auxz00_3996 = 
(long)(BgL_auxz00_3997); } 
BgL_restz00_2394 = 
(BgL_offsetz00_2391%BgL_auxz00_3996); } 
{ /* Ast/lvtype.scm 82 */

{ /* Ast/lvtype.scm 82 */
obj_t BgL_bucketz00_2396;
{ /* Ast/lvtype.scm 82 */
int BgL_kz00_2406;
BgL_kz00_2406 = 
(int)(BgL_modz00_2392); 
BgL_bucketz00_2396 = 
VECTOR_REF(BgL_arg1221z00_2387,BgL_kz00_2406); } 
{ /* Ast/lvtype.scm 82 */
int BgL_kz00_2408;
BgL_kz00_2408 = 
(int)(BgL_restz00_2394); 
BgL_method2697z00_2384 = 
VECTOR_REF(BgL_bucketz00_2396,BgL_kz00_2408); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2384)(BgL_method2697z00_2384, 
(obj_t)(BgL_arg2810z00_1689), BEOA); } } 
BgL_auxz00_3978 = 
BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1685))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_3978);} } } 
}



/* lvtype-node!-app-ly2711 */
obj_t BGl_lvtypezd2nodez12zd2appzd2ly2711zc0zzast_lvtypez00(obj_t BgL_envz00_3133, obj_t BgL_nodez00_3134)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 72 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1677;
BgL_nodez00_1677 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3134); 
{ /* Ast/lvtype.scm 74 */
BgL_nodez00_bglt BgL_arg2807z00_1681;
BgL_arg2807z00_1681 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1677))->BgL_funz00); 
{ /* Ast/lvtype.scm 74 */
obj_t BgL_method2697z00_2330;
{ /* Ast/lvtype.scm 74 */
long BgL_objzd2classzd2numz00_2332;
{ /* Ast/lvtype.scm 74 */
BgL_objectz00_bglt BgL_auxz00_4013;
BgL_auxz00_4013 = 
(BgL_objectz00_bglt)(BgL_arg2807z00_1681); 
BgL_objzd2classzd2numz00_2332 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4013); } 
{ /* Ast/lvtype.scm 74 */
obj_t BgL_arg1221z00_2333;
{ /* Ast/lvtype.scm 74 */
int BgL_auxz00_4016;
BgL_auxz00_4016 = 
(int)(((long)1)); 
BgL_arg1221z00_2333 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_4016); } 
{ /* Ast/lvtype.scm 74 */
long BgL_offsetz00_2337;
{ /* Ast/lvtype.scm 74 */
long BgL_auxz00_4019;
{ /* Ast/lvtype.scm 74 */
int BgL_auxz00_4020;
BgL_auxz00_4020 = 
(int)(BgL_objzd2classzd2numz00_2332); 
BgL_auxz00_4019 = 
(long)(BgL_auxz00_4020); } 
BgL_offsetz00_2337 = 
(BgL_auxz00_4019-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 74 */
long BgL_modz00_2338;
{ /* Ast/lvtype.scm 74 */
long BgL_auxz00_4024;
{ /* Ast/lvtype.scm 74 */
int BgL_auxz00_4025;
BgL_auxz00_4025 = 
(int)(((long)8)); 
BgL_auxz00_4024 = 
(long)(BgL_auxz00_4025); } 
BgL_modz00_2338 = 
(BgL_offsetz00_2337/BgL_auxz00_4024); } 
{ /* Ast/lvtype.scm 74 */
long BgL_restz00_2340;
{ /* Ast/lvtype.scm 74 */
long BgL_auxz00_4029;
{ /* Ast/lvtype.scm 74 */
int BgL_auxz00_4030;
BgL_auxz00_4030 = 
(int)(((long)8)); 
BgL_auxz00_4029 = 
(long)(BgL_auxz00_4030); } 
BgL_restz00_2340 = 
(BgL_offsetz00_2337%BgL_auxz00_4029); } 
{ /* Ast/lvtype.scm 74 */

{ /* Ast/lvtype.scm 74 */
obj_t BgL_bucketz00_2342;
{ /* Ast/lvtype.scm 74 */
int BgL_kz00_2352;
BgL_kz00_2352 = 
(int)(BgL_modz00_2338); 
BgL_bucketz00_2342 = 
VECTOR_REF(BgL_arg1221z00_2333,BgL_kz00_2352); } 
{ /* Ast/lvtype.scm 74 */
int BgL_kz00_2354;
BgL_kz00_2354 = 
(int)(BgL_restz00_2340); 
BgL_method2697z00_2330 = 
VECTOR_REF(BgL_bucketz00_2342,BgL_kz00_2354); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2697z00_2330)(BgL_method2697z00_2330, 
(obj_t)(BgL_arg2807z00_1681), BEOA); } } 
{ /* Ast/lvtype.scm 75 */
BgL_nodez00_bglt BgL_arg2808z00_1682;
BgL_arg2808z00_1682 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1677))->BgL_argz00); 
{ /* Ast/lvtype.scm 75 */
obj_t BgL_method2697z00_2357;
{ /* Ast/lvtype.scm 75 */
long BgL_objzd2classzd2numz00_2359;
{ /* Ast/lvtype.scm 75 */
BgL_objectz00_bglt BgL_auxz00_4042;
BgL_auxz00_4042 = 
(BgL_objectz00_bglt)(BgL_arg2808z00_1682); 
BgL_objzd2classzd2numz00_2359 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4042); } 
{ /* Ast/lvtype.scm 75 */
obj_t BgL_arg1221z00_2360;
{ /* Ast/lvtype.scm 75 */
int BgL_auxz00_4045;
BgL_auxz00_4045 = 
(int)(((long)1)); 
BgL_arg1221z00_2360 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_4045); } 
{ /* Ast/lvtype.scm 75 */
long BgL_offsetz00_2364;
{ /* Ast/lvtype.scm 75 */
long BgL_auxz00_4048;
{ /* Ast/lvtype.scm 75 */
int BgL_auxz00_4049;
BgL_auxz00_4049 = 
(int)(BgL_objzd2classzd2numz00_2359); 
BgL_auxz00_4048 = 
(long)(BgL_auxz00_4049); } 
BgL_offsetz00_2364 = 
(BgL_auxz00_4048-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 75 */
long BgL_modz00_2365;
{ /* Ast/lvtype.scm 75 */
long BgL_auxz00_4053;
{ /* Ast/lvtype.scm 75 */
int BgL_auxz00_4054;
BgL_auxz00_4054 = 
(int)(((long)8)); 
BgL_auxz00_4053 = 
(long)(BgL_auxz00_4054); } 
BgL_modz00_2365 = 
(BgL_offsetz00_2364/BgL_auxz00_4053); } 
{ /* Ast/lvtype.scm 75 */
long BgL_restz00_2367;
{ /* Ast/lvtype.scm 75 */
long BgL_auxz00_4058;
{ /* Ast/lvtype.scm 75 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(((long)8)); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_restz00_2367 = 
(BgL_offsetz00_2364%BgL_auxz00_4058); } 
{ /* Ast/lvtype.scm 75 */

{ /* Ast/lvtype.scm 75 */
obj_t BgL_bucketz00_2369;
{ /* Ast/lvtype.scm 75 */
int BgL_kz00_2379;
BgL_kz00_2379 = 
(int)(BgL_modz00_2365); 
BgL_bucketz00_2369 = 
VECTOR_REF(BgL_arg1221z00_2360,BgL_kz00_2379); } 
{ /* Ast/lvtype.scm 75 */
int BgL_kz00_2381;
BgL_kz00_2381 = 
(int)(BgL_restz00_2367); 
BgL_method2697z00_2357 = 
VECTOR_REF(BgL_bucketz00_2369,BgL_kz00_2381); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_2357)(BgL_method2697z00_2357, 
(obj_t)(BgL_arg2808z00_1682), BEOA);} } } } 
}



/* lvtype-node!-app2709 */
obj_t BGl_lvtypezd2nodez12zd2app2709z12zzast_lvtypez00(obj_t BgL_envz00_3135, obj_t BgL_nodez00_3136)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 65 */
{ 
BgL_appz00_bglt BgL_nodez00_1670;
{ /* Ast/lvtype.scm 66 */
bool_t BgL_auxz00_4071;
BgL_nodez00_1670 = 
(BgL_appz00_bglt)(BgL_nodez00_3136); 
BgL_auxz00_4071 = 
BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1670))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4071);} } } 
}



/* lvtype-node!-sequence2707 */
obj_t BGl_lvtypezd2nodez12zd2sequence2707z12zzast_lvtypez00(obj_t BgL_envz00_3137, obj_t BgL_nodez00_3138)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 58 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1663;
{ /* Ast/lvtype.scm 59 */
bool_t BgL_auxz00_4076;
BgL_nodez00_1663 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3138); 
BgL_auxz00_4076 = 
BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1663))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_4076);} } } 
}



/* lvtype-node!-closure2705 */
obj_t BGl_lvtypezd2nodez12zd2closure2705z12zzast_lvtypez00(obj_t BgL_envz00_3139, obj_t BgL_nodez00_3140)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 52 */
{ 
BgL_closurez00_bglt BgL_nodez00_1655;
BgL_nodez00_1655 = 
(BgL_closurez00_bglt)(BgL_nodez00_3140); 
{ /* Ast/lvtype.scm 53 */
obj_t BgL_arg2800z00_1660;
BgL_arg2800z00_1660 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1655)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2937z00zzast_lvtypez00, BGl_string2938z00zzast_lvtypez00, BgL_arg2800z00_1660);} } } 
}



/* lvtype-node!-var2703 */
obj_t BGl_lvtypezd2nodez12zd2var2703z12zzast_lvtypez00(obj_t BgL_envz00_3141, obj_t BgL_nodez00_3142)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 46 */
{ 
BgL_varz00_bglt BgL_nodez00_1650;
BgL_nodez00_1650 = 
(BgL_varz00_bglt)(BgL_nodez00_3142); 
return BUNSPEC;} } 
}



/* lvtype-node!-kwote2701 */
obj_t BGl_lvtypezd2nodez12zd2kwote2701z12zzast_lvtypez00(obj_t BgL_envz00_3143, obj_t BgL_nodez00_3144)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 40 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1645;
BgL_nodez00_1645 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3144); 
return BUNSPEC;} } 
}



/* lvtype-node!-atom2699 */
obj_t BGl_lvtypezd2nodez12zd2atom2699z12zzast_lvtypez00(obj_t BgL_envz00_3145, obj_t BgL_nodez00_3146)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 34 */
{ 
BgL_atomz00_bglt BgL_nodez00_1640;
BgL_nodez00_1640 = 
(BgL_atomz00_bglt)(BgL_nodez00_3146); 
return BUNSPEC;} } 
}



/* lvtype-node! */
obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 29 */
{ /* Ast/lvtype.scm 29 */
obj_t BgL_method2697z00_3054;
{ /* Ast/lvtype.scm 29 */
long BgL_objzd2classzd2numz00_3056;
{ /* Ast/lvtype.scm 29 */
BgL_objectz00_bglt BgL_auxz00_4088;
BgL_auxz00_4088 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_3056 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4088); } 
{ /* Ast/lvtype.scm 29 */
obj_t BgL_arg1221z00_3057;
{ /* Ast/lvtype.scm 29 */
int BgL_auxz00_4091;
BgL_auxz00_4091 = 
(int)(((long)1)); 
BgL_arg1221z00_3057 = 
PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BgL_auxz00_4091); } 
{ /* Ast/lvtype.scm 29 */
long BgL_offsetz00_3061;
{ /* Ast/lvtype.scm 29 */
long BgL_auxz00_4094;
{ /* Ast/lvtype.scm 29 */
int BgL_auxz00_4095;
BgL_auxz00_4095 = 
(int)(BgL_objzd2classzd2numz00_3056); 
BgL_auxz00_4094 = 
(long)(BgL_auxz00_4095); } 
BgL_offsetz00_3061 = 
(BgL_auxz00_4094-OBJECT_TYPE); } 
{ /* Ast/lvtype.scm 29 */
long BgL_modz00_3062;
{ /* Ast/lvtype.scm 29 */
long BgL_auxz00_4099;
{ /* Ast/lvtype.scm 29 */
int BgL_auxz00_4100;
BgL_auxz00_4100 = 
(int)(((long)8)); 
BgL_auxz00_4099 = 
(long)(BgL_auxz00_4100); } 
BgL_modz00_3062 = 
(BgL_offsetz00_3061/BgL_auxz00_4099); } 
{ /* Ast/lvtype.scm 29 */
long BgL_restz00_3064;
{ /* Ast/lvtype.scm 29 */
long BgL_auxz00_4104;
{ /* Ast/lvtype.scm 29 */
int BgL_auxz00_4105;
BgL_auxz00_4105 = 
(int)(((long)8)); 
BgL_auxz00_4104 = 
(long)(BgL_auxz00_4105); } 
BgL_restz00_3064 = 
(BgL_offsetz00_3061%BgL_auxz00_4104); } 
{ /* Ast/lvtype.scm 29 */

{ /* Ast/lvtype.scm 29 */
obj_t BgL_bucketz00_3066;
{ /* Ast/lvtype.scm 29 */
int BgL_kz00_3076;
BgL_kz00_3076 = 
(int)(BgL_modz00_3062); 
BgL_bucketz00_3066 = 
VECTOR_REF(BgL_arg1221z00_3057,BgL_kz00_3076); } 
{ /* Ast/lvtype.scm 29 */
int BgL_kz00_3078;
BgL_kz00_3078 = 
(int)(BgL_restz00_3064); 
BgL_method2697z00_3054 = 
VECTOR_REF(BgL_bucketz00_3066,BgL_kz00_3078); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2697z00_3054)(BgL_method2697z00_3054, 
(obj_t)(BgL_nodez00_1), BEOA);} } 
}



/* _lvtype-node! */
obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t BgL_envz00_3082, obj_t BgL_nodez00_3083)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 29 */
return 
BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
(BgL_nodez00_bglt)(BgL_nodez00_3083));} 
}



/* lvtype-node!-default2696 */
obj_t BGl_lvtypezd2nodez12zd2default2696z12zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
{ 
obj_t BgL_auxz00_4120;obj_t BgL_auxz00_4118;
BgL_auxz00_4120 = 
(obj_t)(BgL_nodez00_2); 
BgL_auxz00_4118 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_4118,BGl_string2939z00zzast_lvtypez00,BgL_auxz00_4120);} } 
}



/* _lvtype-node!-default2696 */
obj_t BGl__lvtypezd2nodez12zd2default2696z12zzast_lvtypez00(obj_t BgL_envz00_3147, obj_t BgL_nodez00_3148)
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
return 
BGl_lvtypezd2nodez12zd2default2696z12zzast_lvtypez00(
(BgL_nodez00_bglt)(BgL_nodez00_3148));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
{ AN_OBJECT;
{ /* Ast/lvtype.scm 16 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "ast_lvtype"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_lvtype"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_lvtype");} 
}

