/*===========================================================================*/
/*   (Ast/occur.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_occurz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl__occurzd2nodez12zd2default2692z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__occurzd2nodez12zc0zzast_occurz00(obj_t, obj_t);
static obj_t BGl__occurzd2varzd2zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2setq2709z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_occurzd2nodez12zd2appzd2ly2701zc0zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2select2715z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_occurz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_occurzd2nodez12zd2letzd2fun2717zc0zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2letzd2var2719zc0zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2app2699z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2setzd2exzd2it2721z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_occurz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_occurzd2nodez12zd2sequence2697z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32732ze3z83zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2fail2713z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2funcall2703z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_occurzd2nodez12zd2jumpzd2exzd2it2723z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2boxzd2setz122730zd2zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_appz00zzast_nodez00;
static bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t);
static obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
static obj_t BGl_occurzd2nodez12zd2default2692z12zzast_occurz00(BgL_nodez00_bglt);
static obj_t BGl_occurzd2nodez12zd2makezd2box2725zc0zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2extern2705z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2boxzd2ref2727zc0zzast_occurz00(obj_t, obj_t);
static obj_t BGl__occurzd2nodezd2inz12z12zzast_occurz00(obj_t, obj_t, obj_t);
static obj_t BGl_occurzd2nodez12zd2cast2707z12zzast_occurz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_occurz00 = BUNSPEC;
extern obj_t BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt, BgL_globalz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00();
static obj_t BGl_occurzd2nodez12zd2var2695z12zzast_occurz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_occurzd2nodez12zd2conditional2711z12zzast_occurz00(obj_t, obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_occurzd2varzd2envz00zzast_occurz00, BgL_bgl__occurza7d2varza7d2za7za7ast_occurza7002953za7, BGl__occurzd2varzd2zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2930z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2var2695za712za7za7ast_occurza7002954za7, BGl_occurzd2nodez12zd2var2695z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2929z00zzast_occurz00, BgL_bgl_za7c3anonymousza7a32732za7e3za783za7za7ast_occurza7002955za7, BGl_zc3anonymousza32732ze3z83zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2931z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2sequence2697za712za7za7ast_occurza7002956za7, BGl_occurzd2nodez12zd2sequence2697z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2932z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2app2699za712za7za7ast_occurza7002957za7, BGl_occurzd2nodez12zd2app2699z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2933z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2appza7d2ly2701za7c0za7za7ast_occurza7002958z00, BGl_occurzd2nodez12zd2appzd2ly2701zc0zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2934z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2funcall2703za712za7za7ast_occurza7002959za7, BGl_occurzd2nodez12zd2funcall2703z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2935z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2extern2705za712za7za7ast_occurza7002960za7, BGl_occurzd2nodez12zd2extern2705z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2936z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2cast2707za712za7za7ast_occurza7002961za7, BGl_occurzd2nodez12zd2cast2707z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2937z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2setq2709za712za7za7ast_occurza7002962za7, BGl_occurzd2nodez12zd2setq2709z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2938z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2conditional2711za712za7za7ast_occurza7002963za7, BGl_occurzd2nodez12zd2conditional2711z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2940z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2select2715za712za7za7ast_occurza7002964za7, BGl_occurzd2nodez12zd2select2715z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2939z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2fail2713za712za7za7ast_occurza7002965za7, BGl_occurzd2nodez12zd2fail2713z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2941z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2letza7d2fun2717za7c0za7za7ast_occurza7002966z00, BGl_occurzd2nodez12zd2letzd2fun2717zc0zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2942z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2letza7d2var2719za7c0za7za7ast_occurza7002967z00, BGl_occurzd2nodez12zd2letzd2var2719zc0zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2943z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2setza7d2exza7d2it2721za712za7za7ast_occurza7002968za7, BGl_occurzd2nodez12zd2setzd2exzd2it2721z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2944z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2jumpza7d2exza7d2it2723za712za7za7ast_occurza7002969za7, BGl_occurzd2nodez12zd2jumpzd2exzd2it2723z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2945z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2makeza7d2box2725za7c0za7za7ast_occurza7002970z00, BGl_occurzd2nodez12zd2makezd2box2725zc0zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2946z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2boxza7d2ref2727za7c0za7za7ast_occurza7002971z00, BGl_occurzd2nodez12zd2boxzd2ref2727zc0zzast_occurz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2947z00zzast_occurz00, BgL_bgl_occurza7d2nodeza712za7d2boxza7d2setza7122730za7d2za7za7ast_occurza7002972za7, BGl_occurzd2nodez12zd2boxzd2setz122730zd2zzast_occurz00, 0L, 1 );
DEFINE_STRING( BGl_string2948z00zzast_occurz00, BgL_bgl_string2948za700za7za7ast_occurza7002973z00, "done ", 5 );
DEFINE_STATIC_PROCEDURE( BGl_occurzd2nodez12zd2default2692zd2envzc0zzast_occurz00, BgL_bgl__occurza7d2nodeza712za7d2default2692za712za7za7ast_occurza7002974za7, BGl__occurzd2nodez12zd2default2692z12zzast_occurz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_bgl__occurza7d2nodeza712za7c0za7za7ast_occurza7002975z00, BGl__occurzd2nodez12zc0zzast_occurz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_occurzd2nodezd2inz12zd2envzc0zzast_occurz00, BgL_bgl__occurza7d2nodeza7d2inza712za712za7za7ast_occurza7002976za7, BGl__occurzd2nodezd2inz12z12zzast_occurz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long BgL_checksumz00_3245, char * BgL_fromz00_3246)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_occurz00))
{ 
BGl_requirezd2initializa7ationz75zzast_occurz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_occurz00(); 
BGl_cnstzd2initzd2zzast_occurz00(); 
BGl_importedzd2moduleszd2initz00zzast_occurz00(); 
BGl_methodzd2initzd2zzast_occurz00(); 
BGl_toplevelzd2initzd2zzast_occurz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00()
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_occur"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_occur"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_occurz00()
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
{ /* Ast/occur.scm 14 */
obj_t BgL_cportz00_3238;
BgL_cportz00_3238 = 
open_input_string(BGl_string2948z00zzast_occurz00); 
{ 
long BgL_iz00_3239;
BgL_iz00_3239 = ((long)0); 
BgL_loopz00_3240:
if(
(BgL_iz00_3239==((long)-1)))
{ /* Ast/occur.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/occur.scm 14 */
{ /* Ast/occur.scm 14 */
obj_t BgL_arg2950z00_3242;
{ /* Ast/occur.scm 14 */
obj_t BgL_list2951z00_3243;
BgL_list2951z00_3243 = 
MAKE_PAIR(BgL_cportz00_3238, BNIL); 
BgL_arg2950z00_3242 = 
BGl_readz00zz__readerz00(BgL_list2951z00_3243); } 
{ /* Ast/occur.scm 14 */
int BgL_auxz00_3262;
BgL_auxz00_3262 = 
(int)(BgL_iz00_3239); 
CNST_TABLE_SET(BgL_auxz00_3262, BgL_arg2950z00_3242); } } 
{ 
long BgL_iz00_3265;
{ /* Ast/occur.scm 14 */
int BgL_auxz00_3266;
{ /* Ast/occur.scm 14 */
long BgL_auxz00_3267;
BgL_auxz00_3267 = 
(BgL_iz00_3239-((long)1)); 
BgL_auxz00_3266 = 
(int)(BgL_auxz00_3267); } 
BgL_iz00_3265 = 
(long)(BgL_auxz00_3266); } 
BgL_iz00_3239 = BgL_iz00_3265; 
goto BgL_loopz00_3240;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_occurz00()
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
BGl_za2globalza2z00zzast_occurz00 = BUNSPEC; 
return BUNSPEC;} 
}



/* occur-var */
obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Ast/occur.scm 27 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2929z00zzast_occurz00); 
{ 
obj_t BgL_l2654z00_1248;
{ /* Ast/occur.scm 31 */
bool_t BgL_auxz00_3272;
BgL_l2654z00_1248 = BgL_globalsz00_1; 
BgL_lname2655z00_1249:
if(
PAIRP(BgL_l2654z00_1248))
{ /* Ast/occur.scm 31 */
{ /* Ast/occur.scm 32 */
obj_t BgL_globalz00_1251;
BgL_globalz00_1251 = 
CAR(BgL_l2654z00_1248); 
{ /* Ast/occur.scm 32 */
BgL_globalz00_bglt BgL_auxz00_3276;
BgL_auxz00_3276 = 
(BgL_globalz00_bglt)(BgL_globalz00_1251); 
BGl_za2globalza2z00zzast_occurz00 = 
(obj_t)(BgL_auxz00_3276); } 
{ /* Ast/occur.scm 32 */
BgL_nodez00_bglt BgL_auxz00_3279;
{ /* Ast/occur.scm 32 */
obj_t BgL_auxz00_3280;
{ /* Ast/occur.scm 32 */
BgL_sfunz00_bglt BgL_obj1372z00_1831;
{ /* Ast/occur.scm 32 */
BgL_valuez00_bglt BgL_auxz00_3281;
{ /* Ast/occur.scm 32 */
BgL_globalz00_bglt BgL_obj1155z00_1830;
BgL_obj1155z00_1830 = 
(BgL_globalz00_bglt)(BgL_globalz00_1251); 
BgL_auxz00_3281 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1830))->BgL_valuez00); } 
BgL_obj1372z00_1831 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3281); } 
BgL_auxz00_3280 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1831))->BgL_bodyz00); } 
BgL_auxz00_3279 = 
(BgL_nodez00_bglt)(BgL_auxz00_3280); } 
BGl_occurzd2nodez12zc0zzast_occurz00(BgL_auxz00_3279); } } 
{ 
obj_t BgL_l2654z00_3288;
BgL_l2654z00_3288 = 
CDR(BgL_l2654z00_1248); 
BgL_l2654z00_1248 = BgL_l2654z00_3288; 
goto BgL_lname2655z00_1249;} }  else 
{ /* Ast/occur.scm 31 */
BgL_auxz00_3272 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_3272);} } } 
}



/* _occur-var */
obj_t BGl__occurzd2varzd2zzast_occurz00(obj_t BgL_envz00_3173, obj_t BgL_globalsz00_3174)
{ AN_OBJECT;
{ /* Ast/occur.scm 27 */
return 
BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3174);} 
}



/* <anonymous:2732> */
obj_t BGl_zc3anonymousza32732ze3z83zzast_occurz00(obj_t BgL_envz00_3175, obj_t BgL_globalz00_3176)
{ AN_OBJECT;
{ /* Ast/occur.scm 29 */
{ 
obj_t BgL_globalz00_1245;
BgL_globalz00_1245 = BgL_globalz00_3176; 
{ /* Ast/occur.scm 29 */
BgL_globalz00_bglt BgL_obj1169z00_1826;
BgL_obj1169z00_1826 = 
(BgL_globalz00_bglt)(BgL_globalz00_1245); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1169z00_1826))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC);} } } 
}



/* occur-node-in! */
obj_t BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_2, BgL_globalz00_bglt BgL_globalz00_3)
{ AN_OBJECT;
{ /* Ast/occur.scm 38 */
BGl_za2globalza2z00zzast_occurz00 = 
(obj_t)(BgL_globalz00_3); 
{ /* Ast/occur.scm 40 */
obj_t BgL_method2693z00_1836;
{ /* Ast/occur.scm 40 */
long BgL_objzd2classzd2numz00_1838;
{ /* Ast/occur.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3295;
BgL_auxz00_3295 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_1838 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3295); } 
{ /* Ast/occur.scm 40 */
obj_t BgL_arg1221z00_1839;
{ /* Ast/occur.scm 40 */
int BgL_auxz00_3298;
BgL_auxz00_3298 = 
(int)(((long)1)); 
BgL_arg1221z00_1839 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3298); } 
{ /* Ast/occur.scm 40 */
long BgL_offsetz00_1843;
{ /* Ast/occur.scm 40 */
long BgL_auxz00_3301;
{ /* Ast/occur.scm 40 */
int BgL_auxz00_3302;
BgL_auxz00_3302 = 
(int)(BgL_objzd2classzd2numz00_1838); 
BgL_auxz00_3301 = 
(long)(BgL_auxz00_3302); } 
BgL_offsetz00_1843 = 
(BgL_auxz00_3301-OBJECT_TYPE); } 
{ /* Ast/occur.scm 40 */
long BgL_modz00_1844;
{ /* Ast/occur.scm 40 */
long BgL_auxz00_3306;
{ /* Ast/occur.scm 40 */
int BgL_auxz00_3307;
BgL_auxz00_3307 = 
(int)(((long)8)); 
BgL_auxz00_3306 = 
(long)(BgL_auxz00_3307); } 
BgL_modz00_1844 = 
(BgL_offsetz00_1843/BgL_auxz00_3306); } 
{ /* Ast/occur.scm 40 */
long BgL_restz00_1846;
{ /* Ast/occur.scm 40 */
long BgL_auxz00_3311;
{ /* Ast/occur.scm 40 */
int BgL_auxz00_3312;
BgL_auxz00_3312 = 
(int)(((long)8)); 
BgL_auxz00_3311 = 
(long)(BgL_auxz00_3312); } 
BgL_restz00_1846 = 
(BgL_offsetz00_1843%BgL_auxz00_3311); } 
{ /* Ast/occur.scm 40 */

{ /* Ast/occur.scm 40 */
obj_t BgL_bucketz00_1848;
{ /* Ast/occur.scm 40 */
int BgL_kz00_1858;
BgL_kz00_1858 = 
(int)(BgL_modz00_1844); 
BgL_bucketz00_1848 = 
VECTOR_REF(BgL_arg1221z00_1839,BgL_kz00_1858); } 
{ /* Ast/occur.scm 40 */
int BgL_kz00_1860;
BgL_kz00_1860 = 
(int)(BgL_restz00_1846); 
BgL_method2693z00_1836 = 
VECTOR_REF(BgL_bucketz00_1848,BgL_kz00_1860); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_1836)(BgL_method2693z00_1836, 
(obj_t)(BgL_nodez00_2), BEOA);} } 
}



/* _occur-node-in! */
obj_t BGl__occurzd2nodezd2inz12z12zzast_occurz00(obj_t BgL_envz00_3177, obj_t BgL_nodez00_3178, obj_t BgL_globalz00_3179)
{ AN_OBJECT;
{ /* Ast/occur.scm 38 */
return 
BGl_occurzd2nodezd2inz12z12zzast_occurz00(
(BgL_nodez00_bglt)(BgL_nodez00_3178), 
(BgL_globalz00_bglt)(BgL_globalz00_3179));} 
}



/* occur-node*! */
bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t BgL_nodeza2za2_24)
{ AN_OBJECT;
{ /* Ast/occur.scm 209 */
{ 
obj_t BgL_l2690z00_1255;
BgL_l2690z00_1255 = BgL_nodeza2za2_24; 
BgL_lname2691z00_1256:
if(
PAIRP(BgL_l2690z00_1255))
{ /* Ast/occur.scm 210 */
{ /* Ast/occur.scm 210 */
BgL_nodez00_bglt BgL_nodez00_1863;
{ /* Ast/occur.scm 210 */
obj_t BgL_auxz00_3328;
BgL_auxz00_3328 = 
CAR(BgL_l2690z00_1255); 
BgL_nodez00_1863 = 
(BgL_nodez00_bglt)(BgL_auxz00_3328); } 
{ /* Ast/occur.scm 210 */
obj_t BgL_method2693z00_1864;
{ /* Ast/occur.scm 210 */
long BgL_objzd2classzd2numz00_1866;
{ /* Ast/occur.scm 210 */
BgL_objectz00_bglt BgL_auxz00_3331;
BgL_auxz00_3331 = 
(BgL_objectz00_bglt)(BgL_nodez00_1863); 
BgL_objzd2classzd2numz00_1866 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3331); } 
{ /* Ast/occur.scm 210 */
obj_t BgL_arg1221z00_1867;
{ /* Ast/occur.scm 210 */
int BgL_auxz00_3334;
BgL_auxz00_3334 = 
(int)(((long)1)); 
BgL_arg1221z00_1867 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3334); } 
{ /* Ast/occur.scm 210 */
long BgL_offsetz00_1871;
{ /* Ast/occur.scm 210 */
long BgL_auxz00_3337;
{ /* Ast/occur.scm 210 */
int BgL_auxz00_3338;
BgL_auxz00_3338 = 
(int)(BgL_objzd2classzd2numz00_1866); 
BgL_auxz00_3337 = 
(long)(BgL_auxz00_3338); } 
BgL_offsetz00_1871 = 
(BgL_auxz00_3337-OBJECT_TYPE); } 
{ /* Ast/occur.scm 210 */
long BgL_modz00_1872;
{ /* Ast/occur.scm 210 */
long BgL_auxz00_3342;
{ /* Ast/occur.scm 210 */
int BgL_auxz00_3343;
BgL_auxz00_3343 = 
(int)(((long)8)); 
BgL_auxz00_3342 = 
(long)(BgL_auxz00_3343); } 
BgL_modz00_1872 = 
(BgL_offsetz00_1871/BgL_auxz00_3342); } 
{ /* Ast/occur.scm 210 */
long BgL_restz00_1874;
{ /* Ast/occur.scm 210 */
long BgL_auxz00_3347;
{ /* Ast/occur.scm 210 */
int BgL_auxz00_3348;
BgL_auxz00_3348 = 
(int)(((long)8)); 
BgL_auxz00_3347 = 
(long)(BgL_auxz00_3348); } 
BgL_restz00_1874 = 
(BgL_offsetz00_1871%BgL_auxz00_3347); } 
{ /* Ast/occur.scm 210 */

{ /* Ast/occur.scm 210 */
obj_t BgL_bucketz00_1876;
{ /* Ast/occur.scm 210 */
int BgL_kz00_1886;
BgL_kz00_1886 = 
(int)(BgL_modz00_1872); 
BgL_bucketz00_1876 = 
VECTOR_REF(BgL_arg1221z00_1867,BgL_kz00_1886); } 
{ /* Ast/occur.scm 210 */
int BgL_kz00_1888;
BgL_kz00_1888 = 
(int)(BgL_restz00_1874); 
BgL_method2693z00_1864 = 
VECTOR_REF(BgL_bucketz00_1876,BgL_kz00_1888); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_1864)(BgL_method2693z00_1864, 
(obj_t)(BgL_nodez00_1863), BEOA); } } 
{ 
obj_t BgL_l2690z00_3359;
BgL_l2690z00_3359 = 
CDR(BgL_l2690z00_1255); 
BgL_l2690z00_1255 = BgL_l2690z00_3359; 
goto BgL_lname2691z00_1256;} }  else 
{ /* Ast/occur.scm 210 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_occurz00()
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_occurzd2nodez12zd2default2692zd2envzc0zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_varz00zzast_nodez00, BGl_proc2930z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_sequencez00zzast_nodez00, BGl_proc2931z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appz00zzast_nodez00, BGl_proc2932z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2933z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_funcallz00zzast_nodez00, BGl_proc2934z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_externz00zzast_nodez00, BGl_proc2935z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_castz00zzast_nodez00, BGl_proc2936z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setqz00zzast_nodez00, BGl_proc2937z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_conditionalz00zzast_nodez00, BGl_proc2938z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_failz00zzast_nodez00, BGl_proc2939z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_selectz00zzast_nodez00, BGl_proc2940z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2941z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2942z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2943z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2944z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc2945z00zzast_occurz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc2946z00zzast_occurz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2947z00zzast_occurz00);} 
}



/* occur-node!-box-set!2730 */
obj_t BGl_occurzd2nodez12zd2boxzd2setz122730zd2zzast_occurz00(obj_t BgL_envz00_3200, obj_t BgL_nodez00_3201)
{ AN_OBJECT;
{ /* Ast/occur.scm 201 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1817;
BgL_nodez00_1817 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3201); 
{ /* Ast/occur.scm 203 */
BgL_nodez00_bglt BgL_nodez00_3094;
{ /* Ast/occur.scm 203 */
BgL_varz00_bglt BgL_auxz00_3380;
BgL_auxz00_3380 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_varz00); 
BgL_nodez00_3094 = 
(BgL_nodez00_bglt)(BgL_auxz00_3380); } 
{ /* Ast/occur.scm 203 */
obj_t BgL_method2693z00_3095;
{ /* Ast/occur.scm 203 */
long BgL_objzd2classzd2numz00_3097;
{ /* Ast/occur.scm 203 */
BgL_objectz00_bglt BgL_auxz00_3383;
BgL_auxz00_3383 = 
(BgL_objectz00_bglt)(BgL_nodez00_3094); 
BgL_objzd2classzd2numz00_3097 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3383); } 
{ /* Ast/occur.scm 203 */
obj_t BgL_arg1221z00_3098;
{ /* Ast/occur.scm 203 */
int BgL_auxz00_3386;
BgL_auxz00_3386 = 
(int)(((long)1)); 
BgL_arg1221z00_3098 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3386); } 
{ /* Ast/occur.scm 203 */
long BgL_offsetz00_3102;
{ /* Ast/occur.scm 203 */
long BgL_auxz00_3389;
{ /* Ast/occur.scm 203 */
int BgL_auxz00_3390;
BgL_auxz00_3390 = 
(int)(BgL_objzd2classzd2numz00_3097); 
BgL_auxz00_3389 = 
(long)(BgL_auxz00_3390); } 
BgL_offsetz00_3102 = 
(BgL_auxz00_3389-OBJECT_TYPE); } 
{ /* Ast/occur.scm 203 */
long BgL_modz00_3103;
{ /* Ast/occur.scm 203 */
long BgL_auxz00_3394;
{ /* Ast/occur.scm 203 */
int BgL_auxz00_3395;
BgL_auxz00_3395 = 
(int)(((long)8)); 
BgL_auxz00_3394 = 
(long)(BgL_auxz00_3395); } 
BgL_modz00_3103 = 
(BgL_offsetz00_3102/BgL_auxz00_3394); } 
{ /* Ast/occur.scm 203 */
long BgL_restz00_3105;
{ /* Ast/occur.scm 203 */
long BgL_auxz00_3399;
{ /* Ast/occur.scm 203 */
int BgL_auxz00_3400;
BgL_auxz00_3400 = 
(int)(((long)8)); 
BgL_auxz00_3399 = 
(long)(BgL_auxz00_3400); } 
BgL_restz00_3105 = 
(BgL_offsetz00_3102%BgL_auxz00_3399); } 
{ /* Ast/occur.scm 203 */

{ /* Ast/occur.scm 203 */
obj_t BgL_bucketz00_3107;
{ /* Ast/occur.scm 203 */
int BgL_kz00_3117;
BgL_kz00_3117 = 
(int)(BgL_modz00_3103); 
BgL_bucketz00_3107 = 
VECTOR_REF(BgL_arg1221z00_3098,BgL_kz00_3117); } 
{ /* Ast/occur.scm 203 */
int BgL_kz00_3119;
BgL_kz00_3119 = 
(int)(BgL_restz00_3105); 
BgL_method2693z00_3095 = 
VECTOR_REF(BgL_bucketz00_3107,BgL_kz00_3119); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_3095)(BgL_method2693z00_3095, 
(obj_t)(BgL_nodez00_3094), BEOA); } } 
{ /* Ast/occur.scm 204 */
BgL_nodez00_bglt BgL_arg2867z00_1822;
BgL_arg2867z00_1822 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_valuez00); 
{ /* Ast/occur.scm 204 */
obj_t BgL_method2693z00_3122;
{ /* Ast/occur.scm 204 */
long BgL_objzd2classzd2numz00_3124;
{ /* Ast/occur.scm 204 */
BgL_objectz00_bglt BgL_auxz00_3412;
BgL_auxz00_3412 = 
(BgL_objectz00_bglt)(BgL_arg2867z00_1822); 
BgL_objzd2classzd2numz00_3124 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3412); } 
{ /* Ast/occur.scm 204 */
obj_t BgL_arg1221z00_3125;
{ /* Ast/occur.scm 204 */
int BgL_auxz00_3415;
BgL_auxz00_3415 = 
(int)(((long)1)); 
BgL_arg1221z00_3125 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3415); } 
{ /* Ast/occur.scm 204 */
long BgL_offsetz00_3129;
{ /* Ast/occur.scm 204 */
long BgL_auxz00_3418;
{ /* Ast/occur.scm 204 */
int BgL_auxz00_3419;
BgL_auxz00_3419 = 
(int)(BgL_objzd2classzd2numz00_3124); 
BgL_auxz00_3418 = 
(long)(BgL_auxz00_3419); } 
BgL_offsetz00_3129 = 
(BgL_auxz00_3418-OBJECT_TYPE); } 
{ /* Ast/occur.scm 204 */
long BgL_modz00_3130;
{ /* Ast/occur.scm 204 */
long BgL_auxz00_3423;
{ /* Ast/occur.scm 204 */
int BgL_auxz00_3424;
BgL_auxz00_3424 = 
(int)(((long)8)); 
BgL_auxz00_3423 = 
(long)(BgL_auxz00_3424); } 
BgL_modz00_3130 = 
(BgL_offsetz00_3129/BgL_auxz00_3423); } 
{ /* Ast/occur.scm 204 */
long BgL_restz00_3132;
{ /* Ast/occur.scm 204 */
long BgL_auxz00_3428;
{ /* Ast/occur.scm 204 */
int BgL_auxz00_3429;
BgL_auxz00_3429 = 
(int)(((long)8)); 
BgL_auxz00_3428 = 
(long)(BgL_auxz00_3429); } 
BgL_restz00_3132 = 
(BgL_offsetz00_3129%BgL_auxz00_3428); } 
{ /* Ast/occur.scm 204 */

{ /* Ast/occur.scm 204 */
obj_t BgL_bucketz00_3134;
{ /* Ast/occur.scm 204 */
int BgL_kz00_3144;
BgL_kz00_3144 = 
(int)(BgL_modz00_3130); 
BgL_bucketz00_3134 = 
VECTOR_REF(BgL_arg1221z00_3125,BgL_kz00_3144); } 
{ /* Ast/occur.scm 204 */
int BgL_kz00_3146;
BgL_kz00_3146 = 
(int)(BgL_restz00_3132); 
BgL_method2693z00_3122 = 
VECTOR_REF(BgL_bucketz00_3134,BgL_kz00_3146); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_3122)(BgL_method2693z00_3122, 
(obj_t)(BgL_arg2867z00_1822), BEOA);} } } } 
}



/* occur-node!-box-ref2727 */
obj_t BGl_occurzd2nodez12zd2boxzd2ref2727zc0zzast_occurz00(obj_t BgL_envz00_3202, obj_t BgL_nodez00_3203)
{ AN_OBJECT;
{ /* Ast/occur.scm 195 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1811;
BgL_nodez00_1811 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3203); 
{ /* Ast/occur.scm 196 */
BgL_nodez00_bglt BgL_nodez00_3067;
{ /* Ast/occur.scm 196 */
BgL_varz00_bglt BgL_auxz00_3441;
BgL_auxz00_3441 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1811))->BgL_varz00); 
BgL_nodez00_3067 = 
(BgL_nodez00_bglt)(BgL_auxz00_3441); } 
{ /* Ast/occur.scm 196 */
obj_t BgL_method2693z00_3068;
{ /* Ast/occur.scm 196 */
long BgL_objzd2classzd2numz00_3070;
{ /* Ast/occur.scm 196 */
BgL_objectz00_bglt BgL_auxz00_3444;
BgL_auxz00_3444 = 
(BgL_objectz00_bglt)(BgL_nodez00_3067); 
BgL_objzd2classzd2numz00_3070 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3444); } 
{ /* Ast/occur.scm 196 */
obj_t BgL_arg1221z00_3071;
{ /* Ast/occur.scm 196 */
int BgL_auxz00_3447;
BgL_auxz00_3447 = 
(int)(((long)1)); 
BgL_arg1221z00_3071 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3447); } 
{ /* Ast/occur.scm 196 */
long BgL_offsetz00_3075;
{ /* Ast/occur.scm 196 */
long BgL_auxz00_3450;
{ /* Ast/occur.scm 196 */
int BgL_auxz00_3451;
BgL_auxz00_3451 = 
(int)(BgL_objzd2classzd2numz00_3070); 
BgL_auxz00_3450 = 
(long)(BgL_auxz00_3451); } 
BgL_offsetz00_3075 = 
(BgL_auxz00_3450-OBJECT_TYPE); } 
{ /* Ast/occur.scm 196 */
long BgL_modz00_3076;
{ /* Ast/occur.scm 196 */
long BgL_auxz00_3455;
{ /* Ast/occur.scm 196 */
int BgL_auxz00_3456;
BgL_auxz00_3456 = 
(int)(((long)8)); 
BgL_auxz00_3455 = 
(long)(BgL_auxz00_3456); } 
BgL_modz00_3076 = 
(BgL_offsetz00_3075/BgL_auxz00_3455); } 
{ /* Ast/occur.scm 196 */
long BgL_restz00_3078;
{ /* Ast/occur.scm 196 */
long BgL_auxz00_3460;
{ /* Ast/occur.scm 196 */
int BgL_auxz00_3461;
BgL_auxz00_3461 = 
(int)(((long)8)); 
BgL_auxz00_3460 = 
(long)(BgL_auxz00_3461); } 
BgL_restz00_3078 = 
(BgL_offsetz00_3075%BgL_auxz00_3460); } 
{ /* Ast/occur.scm 196 */

{ /* Ast/occur.scm 196 */
obj_t BgL_bucketz00_3080;
{ /* Ast/occur.scm 196 */
int BgL_kz00_3090;
BgL_kz00_3090 = 
(int)(BgL_modz00_3076); 
BgL_bucketz00_3080 = 
VECTOR_REF(BgL_arg1221z00_3071,BgL_kz00_3090); } 
{ /* Ast/occur.scm 196 */
int BgL_kz00_3092;
BgL_kz00_3092 = 
(int)(BgL_restz00_3078); 
BgL_method2693z00_3068 = 
VECTOR_REF(BgL_bucketz00_3080,BgL_kz00_3092); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_3068)(BgL_method2693z00_3068, 
(obj_t)(BgL_nodez00_3067), BEOA);} } } } 
}



/* occur-node!-make-box2725 */
obj_t BGl_occurzd2nodez12zd2makezd2box2725zc0zzast_occurz00(obj_t BgL_envz00_3204, obj_t BgL_nodez00_3205)
{ AN_OBJECT;
{ /* Ast/occur.scm 189 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1805;
BgL_nodez00_1805 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3205); 
{ /* Ast/occur.scm 190 */
BgL_nodez00_bglt BgL_arg2862z00_3037;
BgL_arg2862z00_3037 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1805))->BgL_valuez00); 
{ /* Ast/occur.scm 190 */
obj_t BgL_method2693z00_3040;
{ /* Ast/occur.scm 190 */
long BgL_objzd2classzd2numz00_3042;
{ /* Ast/occur.scm 190 */
BgL_objectz00_bglt BgL_auxz00_3474;
BgL_auxz00_3474 = 
(BgL_objectz00_bglt)(BgL_arg2862z00_3037); 
BgL_objzd2classzd2numz00_3042 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3474); } 
{ /* Ast/occur.scm 190 */
obj_t BgL_arg1221z00_3043;
{ /* Ast/occur.scm 190 */
int BgL_auxz00_3477;
BgL_auxz00_3477 = 
(int)(((long)1)); 
BgL_arg1221z00_3043 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3477); } 
{ /* Ast/occur.scm 190 */
long BgL_offsetz00_3047;
{ /* Ast/occur.scm 190 */
long BgL_auxz00_3480;
{ /* Ast/occur.scm 190 */
int BgL_auxz00_3481;
BgL_auxz00_3481 = 
(int)(BgL_objzd2classzd2numz00_3042); 
BgL_auxz00_3480 = 
(long)(BgL_auxz00_3481); } 
BgL_offsetz00_3047 = 
(BgL_auxz00_3480-OBJECT_TYPE); } 
{ /* Ast/occur.scm 190 */
long BgL_modz00_3048;
{ /* Ast/occur.scm 190 */
long BgL_auxz00_3485;
{ /* Ast/occur.scm 190 */
int BgL_auxz00_3486;
BgL_auxz00_3486 = 
(int)(((long)8)); 
BgL_auxz00_3485 = 
(long)(BgL_auxz00_3486); } 
BgL_modz00_3048 = 
(BgL_offsetz00_3047/BgL_auxz00_3485); } 
{ /* Ast/occur.scm 190 */
long BgL_restz00_3050;
{ /* Ast/occur.scm 190 */
long BgL_auxz00_3490;
{ /* Ast/occur.scm 190 */
int BgL_auxz00_3491;
BgL_auxz00_3491 = 
(int)(((long)8)); 
BgL_auxz00_3490 = 
(long)(BgL_auxz00_3491); } 
BgL_restz00_3050 = 
(BgL_offsetz00_3047%BgL_auxz00_3490); } 
{ /* Ast/occur.scm 190 */

{ /* Ast/occur.scm 190 */
obj_t BgL_bucketz00_3052;
{ /* Ast/occur.scm 190 */
int BgL_kz00_3062;
BgL_kz00_3062 = 
(int)(BgL_modz00_3048); 
BgL_bucketz00_3052 = 
VECTOR_REF(BgL_arg1221z00_3043,BgL_kz00_3062); } 
{ /* Ast/occur.scm 190 */
int BgL_kz00_3064;
BgL_kz00_3064 = 
(int)(BgL_restz00_3050); 
BgL_method2693z00_3040 = 
VECTOR_REF(BgL_bucketz00_3052,BgL_kz00_3064); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_3040)(BgL_method2693z00_3040, 
(obj_t)(BgL_arg2862z00_3037), BEOA);} } } } 
}



/* occur-node!-jump-ex-it2723 */
obj_t BGl_occurzd2nodez12zd2jumpzd2exzd2it2723z12zzast_occurz00(obj_t BgL_envz00_3206, obj_t BgL_nodez00_3207)
{ AN_OBJECT;
{ /* Ast/occur.scm 181 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1797;
BgL_nodez00_1797 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3207); 
{ /* Ast/occur.scm 183 */
BgL_nodez00_bglt BgL_arg2859z00_1801;
BgL_arg2859z00_1801 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1797))->BgL_exitz00); 
{ /* Ast/occur.scm 183 */
obj_t BgL_method2693z00_2985;
{ /* Ast/occur.scm 183 */
long BgL_objzd2classzd2numz00_2987;
{ /* Ast/occur.scm 183 */
BgL_objectz00_bglt BgL_auxz00_3504;
BgL_auxz00_3504 = 
(BgL_objectz00_bglt)(BgL_arg2859z00_1801); 
BgL_objzd2classzd2numz00_2987 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3504); } 
{ /* Ast/occur.scm 183 */
obj_t BgL_arg1221z00_2988;
{ /* Ast/occur.scm 183 */
int BgL_auxz00_3507;
BgL_auxz00_3507 = 
(int)(((long)1)); 
BgL_arg1221z00_2988 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3507); } 
{ /* Ast/occur.scm 183 */
long BgL_offsetz00_2992;
{ /* Ast/occur.scm 183 */
long BgL_auxz00_3510;
{ /* Ast/occur.scm 183 */
int BgL_auxz00_3511;
BgL_auxz00_3511 = 
(int)(BgL_objzd2classzd2numz00_2987); 
BgL_auxz00_3510 = 
(long)(BgL_auxz00_3511); } 
BgL_offsetz00_2992 = 
(BgL_auxz00_3510-OBJECT_TYPE); } 
{ /* Ast/occur.scm 183 */
long BgL_modz00_2993;
{ /* Ast/occur.scm 183 */
long BgL_auxz00_3515;
{ /* Ast/occur.scm 183 */
int BgL_auxz00_3516;
BgL_auxz00_3516 = 
(int)(((long)8)); 
BgL_auxz00_3515 = 
(long)(BgL_auxz00_3516); } 
BgL_modz00_2993 = 
(BgL_offsetz00_2992/BgL_auxz00_3515); } 
{ /* Ast/occur.scm 183 */
long BgL_restz00_2995;
{ /* Ast/occur.scm 183 */
long BgL_auxz00_3520;
{ /* Ast/occur.scm 183 */
int BgL_auxz00_3521;
BgL_auxz00_3521 = 
(int)(((long)8)); 
BgL_auxz00_3520 = 
(long)(BgL_auxz00_3521); } 
BgL_restz00_2995 = 
(BgL_offsetz00_2992%BgL_auxz00_3520); } 
{ /* Ast/occur.scm 183 */

{ /* Ast/occur.scm 183 */
obj_t BgL_bucketz00_2997;
{ /* Ast/occur.scm 183 */
int BgL_kz00_3007;
BgL_kz00_3007 = 
(int)(BgL_modz00_2993); 
BgL_bucketz00_2997 = 
VECTOR_REF(BgL_arg1221z00_2988,BgL_kz00_3007); } 
{ /* Ast/occur.scm 183 */
int BgL_kz00_3009;
BgL_kz00_3009 = 
(int)(BgL_restz00_2995); 
BgL_method2693z00_2985 = 
VECTOR_REF(BgL_bucketz00_2997,BgL_kz00_3009); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2985)(BgL_method2693z00_2985, 
(obj_t)(BgL_arg2859z00_1801), BEOA); } } 
{ /* Ast/occur.scm 184 */
BgL_nodez00_bglt BgL_arg2860z00_1802;
BgL_arg2860z00_1802 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1797))->BgL_valuez00); 
{ /* Ast/occur.scm 184 */
obj_t BgL_method2693z00_3012;
{ /* Ast/occur.scm 184 */
long BgL_objzd2classzd2numz00_3014;
{ /* Ast/occur.scm 184 */
BgL_objectz00_bglt BgL_auxz00_3533;
BgL_auxz00_3533 = 
(BgL_objectz00_bglt)(BgL_arg2860z00_1802); 
BgL_objzd2classzd2numz00_3014 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3533); } 
{ /* Ast/occur.scm 184 */
obj_t BgL_arg1221z00_3015;
{ /* Ast/occur.scm 184 */
int BgL_auxz00_3536;
BgL_auxz00_3536 = 
(int)(((long)1)); 
BgL_arg1221z00_3015 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3536); } 
{ /* Ast/occur.scm 184 */
long BgL_offsetz00_3019;
{ /* Ast/occur.scm 184 */
long BgL_auxz00_3539;
{ /* Ast/occur.scm 184 */
int BgL_auxz00_3540;
BgL_auxz00_3540 = 
(int)(BgL_objzd2classzd2numz00_3014); 
BgL_auxz00_3539 = 
(long)(BgL_auxz00_3540); } 
BgL_offsetz00_3019 = 
(BgL_auxz00_3539-OBJECT_TYPE); } 
{ /* Ast/occur.scm 184 */
long BgL_modz00_3020;
{ /* Ast/occur.scm 184 */
long BgL_auxz00_3544;
{ /* Ast/occur.scm 184 */
int BgL_auxz00_3545;
BgL_auxz00_3545 = 
(int)(((long)8)); 
BgL_auxz00_3544 = 
(long)(BgL_auxz00_3545); } 
BgL_modz00_3020 = 
(BgL_offsetz00_3019/BgL_auxz00_3544); } 
{ /* Ast/occur.scm 184 */
long BgL_restz00_3022;
{ /* Ast/occur.scm 184 */
long BgL_auxz00_3549;
{ /* Ast/occur.scm 184 */
int BgL_auxz00_3550;
BgL_auxz00_3550 = 
(int)(((long)8)); 
BgL_auxz00_3549 = 
(long)(BgL_auxz00_3550); } 
BgL_restz00_3022 = 
(BgL_offsetz00_3019%BgL_auxz00_3549); } 
{ /* Ast/occur.scm 184 */

{ /* Ast/occur.scm 184 */
obj_t BgL_bucketz00_3024;
{ /* Ast/occur.scm 184 */
int BgL_kz00_3034;
BgL_kz00_3034 = 
(int)(BgL_modz00_3020); 
BgL_bucketz00_3024 = 
VECTOR_REF(BgL_arg1221z00_3015,BgL_kz00_3034); } 
{ /* Ast/occur.scm 184 */
int BgL_kz00_3036;
BgL_kz00_3036 = 
(int)(BgL_restz00_3022); 
BgL_method2693z00_3012 = 
VECTOR_REF(BgL_bucketz00_3024,BgL_kz00_3036); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_3012)(BgL_method2693z00_3012, 
(obj_t)(BgL_arg2860z00_1802), BEOA);} } } } 
}



/* occur-node!-set-ex-it2721 */
obj_t BGl_occurzd2nodez12zd2setzd2exzd2it2721z12zzast_occurz00(obj_t BgL_envz00_3208, obj_t BgL_nodez00_3209)
{ AN_OBJECT;
{ /* Ast/occur.scm 173 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1787;
BgL_nodez00_1787 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3209); 
{ /* Ast/occur.scm 175 */
BgL_localz00_bglt BgL_obj1269z00_2954;
{ /* Ast/occur.scm 175 */
BgL_variablez00_bglt BgL_auxz00_3562;
{ /* Ast/occur.scm 175 */
BgL_varz00_bglt BgL_arg2856z00_1793;
BgL_arg2856z00_1793 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1787))->BgL_varz00); 
BgL_auxz00_3562 = 
(((BgL_varz00_bglt)CREF(BgL_arg2856z00_1793))->BgL_variablez00); } 
BgL_obj1269z00_2954 = 
(BgL_localz00_bglt)(BgL_auxz00_3562); } 
((((BgL_localz00_bglt)CREF(BgL_obj1269z00_2954))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); } 
{ /* Ast/occur.scm 176 */
BgL_nodez00_bglt BgL_arg2857z00_1794;
BgL_arg2857z00_1794 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1787))->BgL_bodyz00); 
{ /* Ast/occur.scm 176 */
obj_t BgL_method2693z00_2958;
{ /* Ast/occur.scm 176 */
long BgL_objzd2classzd2numz00_2960;
{ /* Ast/occur.scm 176 */
BgL_objectz00_bglt BgL_auxz00_3568;
BgL_auxz00_3568 = 
(BgL_objectz00_bglt)(BgL_arg2857z00_1794); 
BgL_objzd2classzd2numz00_2960 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3568); } 
{ /* Ast/occur.scm 176 */
obj_t BgL_arg1221z00_2961;
{ /* Ast/occur.scm 176 */
int BgL_auxz00_3571;
BgL_auxz00_3571 = 
(int)(((long)1)); 
BgL_arg1221z00_2961 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3571); } 
{ /* Ast/occur.scm 176 */
long BgL_offsetz00_2965;
{ /* Ast/occur.scm 176 */
long BgL_auxz00_3574;
{ /* Ast/occur.scm 176 */
int BgL_auxz00_3575;
BgL_auxz00_3575 = 
(int)(BgL_objzd2classzd2numz00_2960); 
BgL_auxz00_3574 = 
(long)(BgL_auxz00_3575); } 
BgL_offsetz00_2965 = 
(BgL_auxz00_3574-OBJECT_TYPE); } 
{ /* Ast/occur.scm 176 */
long BgL_modz00_2966;
{ /* Ast/occur.scm 176 */
long BgL_auxz00_3579;
{ /* Ast/occur.scm 176 */
int BgL_auxz00_3580;
BgL_auxz00_3580 = 
(int)(((long)8)); 
BgL_auxz00_3579 = 
(long)(BgL_auxz00_3580); } 
BgL_modz00_2966 = 
(BgL_offsetz00_2965/BgL_auxz00_3579); } 
{ /* Ast/occur.scm 176 */
long BgL_restz00_2968;
{ /* Ast/occur.scm 176 */
long BgL_auxz00_3584;
{ /* Ast/occur.scm 176 */
int BgL_auxz00_3585;
BgL_auxz00_3585 = 
(int)(((long)8)); 
BgL_auxz00_3584 = 
(long)(BgL_auxz00_3585); } 
BgL_restz00_2968 = 
(BgL_offsetz00_2965%BgL_auxz00_3584); } 
{ /* Ast/occur.scm 176 */

{ /* Ast/occur.scm 176 */
obj_t BgL_bucketz00_2970;
{ /* Ast/occur.scm 176 */
int BgL_kz00_2980;
BgL_kz00_2980 = 
(int)(BgL_modz00_2966); 
BgL_bucketz00_2970 = 
VECTOR_REF(BgL_arg1221z00_2961,BgL_kz00_2980); } 
{ /* Ast/occur.scm 176 */
int BgL_kz00_2982;
BgL_kz00_2982 = 
(int)(BgL_restz00_2968); 
BgL_method2693z00_2958 = 
VECTOR_REF(BgL_bucketz00_2970,BgL_kz00_2982); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2958)(BgL_method2693z00_2958, 
(obj_t)(BgL_arg2857z00_1794), BEOA);} } } } 
}



/* occur-node!-let-var2719 */
obj_t BGl_occurzd2nodez12zd2letzd2var2719zc0zzast_occurz00(obj_t BgL_envz00_3210, obj_t BgL_nodez00_3211)
{ AN_OBJECT;
{ /* Ast/occur.scm 162 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1771;
BgL_nodez00_1771 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3211); 
{ 
obj_t BgL_l2682z00_1775;
BgL_l2682z00_1775 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1771))->BgL_bindingsz00); 
BgL_lname2683z00_1776:
if(
PAIRP(BgL_l2682z00_1775))
{ /* Ast/occur.scm 164 */
{ /* Ast/occur.scm 165 */
obj_t BgL_bindingz00_1779;
BgL_bindingz00_1779 = 
CAR(BgL_l2682z00_1775); 
{ /* Ast/occur.scm 165 */
BgL_localz00_bglt BgL_obj1269z00_2895;
{ /* Ast/occur.scm 165 */
obj_t BgL_auxz00_3600;
BgL_auxz00_3600 = 
CAR(BgL_bindingz00_1779); 
BgL_obj1269z00_2895 = 
(BgL_localz00_bglt)(BgL_auxz00_3600); } 
((((BgL_localz00_bglt)CREF(BgL_obj1269z00_2895))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); } 
{ /* Ast/occur.scm 166 */
BgL_nodez00_bglt BgL_nodez00_2898;
{ /* Ast/occur.scm 166 */
obj_t BgL_auxz00_3604;
BgL_auxz00_3604 = 
CDR(BgL_bindingz00_1779); 
BgL_nodez00_2898 = 
(BgL_nodez00_bglt)(BgL_auxz00_3604); } 
{ /* Ast/occur.scm 166 */
obj_t BgL_method2693z00_2899;
{ /* Ast/occur.scm 166 */
long BgL_objzd2classzd2numz00_2901;
{ /* Ast/occur.scm 166 */
BgL_objectz00_bglt BgL_auxz00_3607;
BgL_auxz00_3607 = 
(BgL_objectz00_bglt)(BgL_nodez00_2898); 
BgL_objzd2classzd2numz00_2901 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3607); } 
{ /* Ast/occur.scm 166 */
obj_t BgL_arg1221z00_2902;
{ /* Ast/occur.scm 166 */
int BgL_auxz00_3610;
BgL_auxz00_3610 = 
(int)(((long)1)); 
BgL_arg1221z00_2902 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3610); } 
{ /* Ast/occur.scm 166 */
long BgL_offsetz00_2906;
{ /* Ast/occur.scm 166 */
long BgL_auxz00_3613;
{ /* Ast/occur.scm 166 */
int BgL_auxz00_3614;
BgL_auxz00_3614 = 
(int)(BgL_objzd2classzd2numz00_2901); 
BgL_auxz00_3613 = 
(long)(BgL_auxz00_3614); } 
BgL_offsetz00_2906 = 
(BgL_auxz00_3613-OBJECT_TYPE); } 
{ /* Ast/occur.scm 166 */
long BgL_modz00_2907;
{ /* Ast/occur.scm 166 */
long BgL_auxz00_3618;
{ /* Ast/occur.scm 166 */
int BgL_auxz00_3619;
BgL_auxz00_3619 = 
(int)(((long)8)); 
BgL_auxz00_3618 = 
(long)(BgL_auxz00_3619); } 
BgL_modz00_2907 = 
(BgL_offsetz00_2906/BgL_auxz00_3618); } 
{ /* Ast/occur.scm 166 */
long BgL_restz00_2909;
{ /* Ast/occur.scm 166 */
long BgL_auxz00_3623;
{ /* Ast/occur.scm 166 */
int BgL_auxz00_3624;
BgL_auxz00_3624 = 
(int)(((long)8)); 
BgL_auxz00_3623 = 
(long)(BgL_auxz00_3624); } 
BgL_restz00_2909 = 
(BgL_offsetz00_2906%BgL_auxz00_3623); } 
{ /* Ast/occur.scm 166 */

{ /* Ast/occur.scm 166 */
obj_t BgL_bucketz00_2911;
{ /* Ast/occur.scm 166 */
int BgL_kz00_2921;
BgL_kz00_2921 = 
(int)(BgL_modz00_2907); 
BgL_bucketz00_2911 = 
VECTOR_REF(BgL_arg1221z00_2902,BgL_kz00_2921); } 
{ /* Ast/occur.scm 166 */
int BgL_kz00_2923;
BgL_kz00_2923 = 
(int)(BgL_restz00_2909); 
BgL_method2693z00_2899 = 
VECTOR_REF(BgL_bucketz00_2911,BgL_kz00_2923); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2899)(BgL_method2693z00_2899, 
(obj_t)(BgL_nodez00_2898), BEOA); } } } 
{ 
obj_t BgL_l2682z00_3635;
BgL_l2682z00_3635 = 
CDR(BgL_l2682z00_1775); 
BgL_l2682z00_1775 = BgL_l2682z00_3635; 
goto BgL_lname2683z00_1776;} }  else 
{ /* Ast/occur.scm 164 */((bool_t)1); } } 
{ /* Ast/occur.scm 168 */
BgL_nodez00_bglt BgL_arg2852z00_1784;
BgL_arg2852z00_1784 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1771))->BgL_bodyz00); 
{ /* Ast/occur.scm 168 */
obj_t BgL_method2693z00_2927;
{ /* Ast/occur.scm 168 */
long BgL_objzd2classzd2numz00_2929;
{ /* Ast/occur.scm 168 */
BgL_objectz00_bglt BgL_auxz00_3639;
BgL_auxz00_3639 = 
(BgL_objectz00_bglt)(BgL_arg2852z00_1784); 
BgL_objzd2classzd2numz00_2929 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3639); } 
{ /* Ast/occur.scm 168 */
obj_t BgL_arg1221z00_2930;
{ /* Ast/occur.scm 168 */
int BgL_auxz00_3642;
BgL_auxz00_3642 = 
(int)(((long)1)); 
BgL_arg1221z00_2930 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3642); } 
{ /* Ast/occur.scm 168 */
long BgL_offsetz00_2934;
{ /* Ast/occur.scm 168 */
long BgL_auxz00_3645;
{ /* Ast/occur.scm 168 */
int BgL_auxz00_3646;
BgL_auxz00_3646 = 
(int)(BgL_objzd2classzd2numz00_2929); 
BgL_auxz00_3645 = 
(long)(BgL_auxz00_3646); } 
BgL_offsetz00_2934 = 
(BgL_auxz00_3645-OBJECT_TYPE); } 
{ /* Ast/occur.scm 168 */
long BgL_modz00_2935;
{ /* Ast/occur.scm 168 */
long BgL_auxz00_3650;
{ /* Ast/occur.scm 168 */
int BgL_auxz00_3651;
BgL_auxz00_3651 = 
(int)(((long)8)); 
BgL_auxz00_3650 = 
(long)(BgL_auxz00_3651); } 
BgL_modz00_2935 = 
(BgL_offsetz00_2934/BgL_auxz00_3650); } 
{ /* Ast/occur.scm 168 */
long BgL_restz00_2937;
{ /* Ast/occur.scm 168 */
long BgL_auxz00_3655;
{ /* Ast/occur.scm 168 */
int BgL_auxz00_3656;
BgL_auxz00_3656 = 
(int)(((long)8)); 
BgL_auxz00_3655 = 
(long)(BgL_auxz00_3656); } 
BgL_restz00_2937 = 
(BgL_offsetz00_2934%BgL_auxz00_3655); } 
{ /* Ast/occur.scm 168 */

{ /* Ast/occur.scm 168 */
obj_t BgL_bucketz00_2939;
{ /* Ast/occur.scm 168 */
int BgL_kz00_2949;
BgL_kz00_2949 = 
(int)(BgL_modz00_2935); 
BgL_bucketz00_2939 = 
VECTOR_REF(BgL_arg1221z00_2930,BgL_kz00_2949); } 
{ /* Ast/occur.scm 168 */
int BgL_kz00_2951;
BgL_kz00_2951 = 
(int)(BgL_restz00_2937); 
BgL_method2693z00_2927 = 
VECTOR_REF(BgL_bucketz00_2939,BgL_kz00_2951); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2927)(BgL_method2693z00_2927, 
(obj_t)(BgL_arg2852z00_1784), BEOA);} } } } 
}



/* occur-node!-let-fun2717 */
obj_t BGl_occurzd2nodez12zd2letzd2fun2717zc0zzast_occurz00(obj_t BgL_envz00_3212, obj_t BgL_nodez00_3213)
{ AN_OBJECT;
{ /* Ast/occur.scm 145 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1742;
BgL_nodez00_1742 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3213); 
{ 
obj_t BgL_l2674z00_1746;
BgL_l2674z00_1746 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1742))->BgL_localsz00); 
BgL_lname2675z00_1747:
if(
PAIRP(BgL_l2674z00_1746))
{ /* Ast/occur.scm 147 */
{ /* Ast/occur.scm 148 */
obj_t BgL_localz00_1750;
BgL_localz00_1750 = 
CAR(BgL_l2674z00_1746); 
{ /* Ast/occur.scm 148 */
BgL_localz00_bglt BgL_obj1269z00_2819;
BgL_obj1269z00_2819 = 
(BgL_localz00_bglt)(BgL_localz00_1750); 
((((BgL_localz00_bglt)CREF(BgL_obj1269z00_2819))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); } 
{ 
obj_t BgL_l2676z00_1751;
{ /* Ast/occur.scm 150 */
BgL_sfunz00_bglt BgL_obj1369z00_2822;
{ /* Ast/occur.scm 150 */
BgL_valuez00_bglt BgL_auxz00_3681;
{ /* Ast/occur.scm 150 */
BgL_localz00_bglt BgL_obj1255z00_2821;
BgL_obj1255z00_2821 = 
(BgL_localz00_bglt)(BgL_localz00_1750); 
BgL_auxz00_3681 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2821))->BgL_valuez00); } 
BgL_obj1369z00_2822 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3681); } 
BgL_l2676z00_1751 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2822))->BgL_argsz00); } 
BgL_lname2677z00_1752:
if(
PAIRP(BgL_l2676z00_1751))
{ /* Ast/occur.scm 149 */
{ /* Ast/occur.scm 149 */
BgL_localz00_bglt BgL_obj1269z00_2825;
{ /* Ast/occur.scm 149 */
obj_t BgL_auxz00_3675;
BgL_auxz00_3675 = 
CAR(BgL_l2676z00_1751); 
BgL_obj1269z00_2825 = 
(BgL_localz00_bglt)(BgL_auxz00_3675); } 
((((BgL_localz00_bglt)CREF(BgL_obj1269z00_2825))->BgL_occurrencez00) = ((long)((long)1)), BUNSPEC); } 
{ 
obj_t BgL_l2676z00_3679;
BgL_l2676z00_3679 = 
CDR(BgL_l2676z00_1751); 
BgL_l2676z00_1751 = BgL_l2676z00_3679; 
goto BgL_lname2677z00_1752;} }  else 
{ /* Ast/occur.scm 149 */((bool_t)1); } } } 
{ 
obj_t BgL_l2674z00_3686;
BgL_l2674z00_3686 = 
CDR(BgL_l2674z00_1746); 
BgL_l2674z00_1746 = BgL_l2674z00_3686; 
goto BgL_lname2675z00_1747;} }  else 
{ /* Ast/occur.scm 147 */((bool_t)1); } } 
{ 
obj_t BgL_l2678z00_1759;
BgL_l2678z00_1759 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1742))->BgL_localsz00); 
BgL_lname2679z00_1760:
if(
PAIRP(BgL_l2678z00_1759))
{ /* Ast/occur.scm 152 */
{ /* Ast/occur.scm 153 */
obj_t BgL_localz00_1763;
BgL_localz00_1763 = 
CAR(BgL_l2678z00_1759); 
{ /* Ast/occur.scm 153 */
long BgL_oldz00_1764;
{ /* Ast/occur.scm 153 */
BgL_localz00_bglt BgL_obj1267z00_2832;
BgL_obj1267z00_2832 = 
(BgL_localz00_bglt)(BgL_localz00_1763); 
BgL_oldz00_1764 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_2832))->BgL_occurrencez00); } 
{ /* Ast/occur.scm 154 */
BgL_nodez00_bglt BgL_nodez00_2835;
{ /* Ast/occur.scm 154 */
obj_t BgL_auxz00_3694;
{ /* Ast/occur.scm 154 */
BgL_sfunz00_bglt BgL_obj1372z00_2834;
{ /* Ast/occur.scm 154 */
BgL_valuez00_bglt BgL_auxz00_3695;
{ /* Ast/occur.scm 154 */
BgL_localz00_bglt BgL_obj1255z00_2833;
BgL_obj1255z00_2833 = 
(BgL_localz00_bglt)(BgL_localz00_1763); 
BgL_auxz00_3695 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2833))->BgL_valuez00); } 
BgL_obj1372z00_2834 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3695); } 
BgL_auxz00_3694 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2834))->BgL_bodyz00); } 
BgL_nodez00_2835 = 
(BgL_nodez00_bglt)(BgL_auxz00_3694); } 
{ /* Ast/occur.scm 154 */
obj_t BgL_method2693z00_2836;
{ /* Ast/occur.scm 154 */
long BgL_objzd2classzd2numz00_2838;
{ /* Ast/occur.scm 154 */
BgL_objectz00_bglt BgL_auxz00_3701;
BgL_auxz00_3701 = 
(BgL_objectz00_bglt)(BgL_nodez00_2835); 
BgL_objzd2classzd2numz00_2838 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3701); } 
{ /* Ast/occur.scm 154 */
obj_t BgL_arg1221z00_2839;
{ /* Ast/occur.scm 154 */
int BgL_auxz00_3704;
BgL_auxz00_3704 = 
(int)(((long)1)); 
BgL_arg1221z00_2839 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3704); } 
{ /* Ast/occur.scm 154 */
long BgL_offsetz00_2843;
{ /* Ast/occur.scm 154 */
long BgL_auxz00_3707;
{ /* Ast/occur.scm 154 */
int BgL_auxz00_3708;
BgL_auxz00_3708 = 
(int)(BgL_objzd2classzd2numz00_2838); 
BgL_auxz00_3707 = 
(long)(BgL_auxz00_3708); } 
BgL_offsetz00_2843 = 
(BgL_auxz00_3707-OBJECT_TYPE); } 
{ /* Ast/occur.scm 154 */
long BgL_modz00_2844;
{ /* Ast/occur.scm 154 */
long BgL_auxz00_3712;
{ /* Ast/occur.scm 154 */
int BgL_auxz00_3713;
BgL_auxz00_3713 = 
(int)(((long)8)); 
BgL_auxz00_3712 = 
(long)(BgL_auxz00_3713); } 
BgL_modz00_2844 = 
(BgL_offsetz00_2843/BgL_auxz00_3712); } 
{ /* Ast/occur.scm 154 */
long BgL_restz00_2846;
{ /* Ast/occur.scm 154 */
long BgL_auxz00_3717;
{ /* Ast/occur.scm 154 */
int BgL_auxz00_3718;
BgL_auxz00_3718 = 
(int)(((long)8)); 
BgL_auxz00_3717 = 
(long)(BgL_auxz00_3718); } 
BgL_restz00_2846 = 
(BgL_offsetz00_2843%BgL_auxz00_3717); } 
{ /* Ast/occur.scm 154 */

{ /* Ast/occur.scm 154 */
obj_t BgL_bucketz00_2848;
{ /* Ast/occur.scm 154 */
int BgL_kz00_2858;
BgL_kz00_2858 = 
(int)(BgL_modz00_2844); 
BgL_bucketz00_2848 = 
VECTOR_REF(BgL_arg1221z00_2839,BgL_kz00_2858); } 
{ /* Ast/occur.scm 154 */
int BgL_kz00_2860;
BgL_kz00_2860 = 
(int)(BgL_restz00_2846); 
BgL_method2693z00_2836 = 
VECTOR_REF(BgL_bucketz00_2848,BgL_kz00_2860); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2836)(BgL_method2693z00_2836, 
(obj_t)(BgL_nodez00_2835), BEOA); } } 
{ /* Ast/occur.scm 155 */
BgL_localz00_bglt BgL_obj1269z00_2861;
BgL_obj1269z00_2861 = 
(BgL_localz00_bglt)(BgL_localz00_1763); 
((((BgL_localz00_bglt)CREF(BgL_obj1269z00_2861))->BgL_occurrencez00) = ((long)BgL_oldz00_1764), BUNSPEC); } } } 
{ 
obj_t BgL_l2678z00_3731;
BgL_l2678z00_3731 = 
CDR(BgL_l2678z00_1759); 
BgL_l2678z00_1759 = BgL_l2678z00_3731; 
goto BgL_lname2679z00_1760;} }  else 
{ /* Ast/occur.scm 152 */((bool_t)1); } } 
{ /* Ast/occur.scm 157 */
BgL_nodez00_bglt BgL_arg2843z00_1768;
BgL_arg2843z00_1768 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1742))->BgL_bodyz00); 
{ /* Ast/occur.scm 157 */
obj_t BgL_method2693z00_2866;
{ /* Ast/occur.scm 157 */
long BgL_objzd2classzd2numz00_2868;
{ /* Ast/occur.scm 157 */
BgL_objectz00_bglt BgL_auxz00_3735;
BgL_auxz00_3735 = 
(BgL_objectz00_bglt)(BgL_arg2843z00_1768); 
BgL_objzd2classzd2numz00_2868 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3735); } 
{ /* Ast/occur.scm 157 */
obj_t BgL_arg1221z00_2869;
{ /* Ast/occur.scm 157 */
int BgL_auxz00_3738;
BgL_auxz00_3738 = 
(int)(((long)1)); 
BgL_arg1221z00_2869 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3738); } 
{ /* Ast/occur.scm 157 */
long BgL_offsetz00_2873;
{ /* Ast/occur.scm 157 */
long BgL_auxz00_3741;
{ /* Ast/occur.scm 157 */
int BgL_auxz00_3742;
BgL_auxz00_3742 = 
(int)(BgL_objzd2classzd2numz00_2868); 
BgL_auxz00_3741 = 
(long)(BgL_auxz00_3742); } 
BgL_offsetz00_2873 = 
(BgL_auxz00_3741-OBJECT_TYPE); } 
{ /* Ast/occur.scm 157 */
long BgL_modz00_2874;
{ /* Ast/occur.scm 157 */
long BgL_auxz00_3746;
{ /* Ast/occur.scm 157 */
int BgL_auxz00_3747;
BgL_auxz00_3747 = 
(int)(((long)8)); 
BgL_auxz00_3746 = 
(long)(BgL_auxz00_3747); } 
BgL_modz00_2874 = 
(BgL_offsetz00_2873/BgL_auxz00_3746); } 
{ /* Ast/occur.scm 157 */
long BgL_restz00_2876;
{ /* Ast/occur.scm 157 */
long BgL_auxz00_3751;
{ /* Ast/occur.scm 157 */
int BgL_auxz00_3752;
BgL_auxz00_3752 = 
(int)(((long)8)); 
BgL_auxz00_3751 = 
(long)(BgL_auxz00_3752); } 
BgL_restz00_2876 = 
(BgL_offsetz00_2873%BgL_auxz00_3751); } 
{ /* Ast/occur.scm 157 */

{ /* Ast/occur.scm 157 */
obj_t BgL_bucketz00_2878;
{ /* Ast/occur.scm 157 */
int BgL_kz00_2888;
BgL_kz00_2888 = 
(int)(BgL_modz00_2874); 
BgL_bucketz00_2878 = 
VECTOR_REF(BgL_arg1221z00_2869,BgL_kz00_2888); } 
{ /* Ast/occur.scm 157 */
int BgL_kz00_2890;
BgL_kz00_2890 = 
(int)(BgL_restz00_2876); 
BgL_method2693z00_2866 = 
VECTOR_REF(BgL_bucketz00_2878,BgL_kz00_2890); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2866)(BgL_method2693z00_2866, 
(obj_t)(BgL_arg2843z00_1768), BEOA);} } } } 
}



/* occur-node!-select2715 */
obj_t BGl_occurzd2nodez12zd2select2715z12zzast_occurz00(obj_t BgL_envz00_3214, obj_t BgL_nodez00_3215)
{ AN_OBJECT;
{ /* Ast/occur.scm 135 */
{ 
BgL_selectz00_bglt BgL_nodez00_1728;
{ /* Ast/occur.scm 136 */
bool_t BgL_auxz00_3764;
BgL_nodez00_1728 = 
(BgL_selectz00_bglt)(BgL_nodez00_3215); 
{ /* Ast/occur.scm 137 */
BgL_nodez00_bglt BgL_arg2825z00_1732;
BgL_arg2825z00_1732 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1728))->BgL_testz00); 
{ /* Ast/occur.scm 137 */
obj_t BgL_method2693z00_2760;
{ /* Ast/occur.scm 137 */
long BgL_objzd2classzd2numz00_2762;
{ /* Ast/occur.scm 137 */
BgL_objectz00_bglt BgL_auxz00_3766;
BgL_auxz00_3766 = 
(BgL_objectz00_bglt)(BgL_arg2825z00_1732); 
BgL_objzd2classzd2numz00_2762 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3766); } 
{ /* Ast/occur.scm 137 */
obj_t BgL_arg1221z00_2763;
{ /* Ast/occur.scm 137 */
int BgL_auxz00_3769;
BgL_auxz00_3769 = 
(int)(((long)1)); 
BgL_arg1221z00_2763 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3769); } 
{ /* Ast/occur.scm 137 */
long BgL_offsetz00_2767;
{ /* Ast/occur.scm 137 */
long BgL_auxz00_3772;
{ /* Ast/occur.scm 137 */
int BgL_auxz00_3773;
BgL_auxz00_3773 = 
(int)(BgL_objzd2classzd2numz00_2762); 
BgL_auxz00_3772 = 
(long)(BgL_auxz00_3773); } 
BgL_offsetz00_2767 = 
(BgL_auxz00_3772-OBJECT_TYPE); } 
{ /* Ast/occur.scm 137 */
long BgL_modz00_2768;
{ /* Ast/occur.scm 137 */
long BgL_auxz00_3777;
{ /* Ast/occur.scm 137 */
int BgL_auxz00_3778;
BgL_auxz00_3778 = 
(int)(((long)8)); 
BgL_auxz00_3777 = 
(long)(BgL_auxz00_3778); } 
BgL_modz00_2768 = 
(BgL_offsetz00_2767/BgL_auxz00_3777); } 
{ /* Ast/occur.scm 137 */
long BgL_restz00_2770;
{ /* Ast/occur.scm 137 */
long BgL_auxz00_3782;
{ /* Ast/occur.scm 137 */
int BgL_auxz00_3783;
BgL_auxz00_3783 = 
(int)(((long)8)); 
BgL_auxz00_3782 = 
(long)(BgL_auxz00_3783); } 
BgL_restz00_2770 = 
(BgL_offsetz00_2767%BgL_auxz00_3782); } 
{ /* Ast/occur.scm 137 */

{ /* Ast/occur.scm 137 */
obj_t BgL_bucketz00_2772;
{ /* Ast/occur.scm 137 */
int BgL_kz00_2782;
BgL_kz00_2782 = 
(int)(BgL_modz00_2768); 
BgL_bucketz00_2772 = 
VECTOR_REF(BgL_arg1221z00_2763,BgL_kz00_2782); } 
{ /* Ast/occur.scm 137 */
int BgL_kz00_2784;
BgL_kz00_2784 = 
(int)(BgL_restz00_2770); 
BgL_method2693z00_2760 = 
VECTOR_REF(BgL_bucketz00_2772,BgL_kz00_2784); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2760)(BgL_method2693z00_2760, 
(obj_t)(BgL_arg2825z00_1732), BEOA); } } 
{ 
obj_t BgL_l2670z00_1733;
BgL_l2670z00_1733 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1728))->BgL_clausesz00); 
BgL_lname2671z00_1734:
if(
PAIRP(BgL_l2670z00_1733))
{ /* Ast/occur.scm 138 */
{ /* Ast/occur.scm 139 */
BgL_nodez00_bglt BgL_nodez00_2789;
{ /* Ast/occur.scm 139 */
obj_t BgL_auxz00_3796;
{ /* Ast/occur.scm 139 */
obj_t BgL_auxz00_3797;
BgL_auxz00_3797 = 
CAR(BgL_l2670z00_1733); 
BgL_auxz00_3796 = 
CDR(BgL_auxz00_3797); } 
BgL_nodez00_2789 = 
(BgL_nodez00_bglt)(BgL_auxz00_3796); } 
{ /* Ast/occur.scm 139 */
obj_t BgL_method2693z00_2790;
{ /* Ast/occur.scm 139 */
long BgL_objzd2classzd2numz00_2792;
{ /* Ast/occur.scm 139 */
BgL_objectz00_bglt BgL_auxz00_3801;
BgL_auxz00_3801 = 
(BgL_objectz00_bglt)(BgL_nodez00_2789); 
BgL_objzd2classzd2numz00_2792 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3801); } 
{ /* Ast/occur.scm 139 */
obj_t BgL_arg1221z00_2793;
{ /* Ast/occur.scm 139 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(((long)1)); 
BgL_arg1221z00_2793 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3804); } 
{ /* Ast/occur.scm 139 */
long BgL_offsetz00_2797;
{ /* Ast/occur.scm 139 */
long BgL_auxz00_3807;
{ /* Ast/occur.scm 139 */
int BgL_auxz00_3808;
BgL_auxz00_3808 = 
(int)(BgL_objzd2classzd2numz00_2792); 
BgL_auxz00_3807 = 
(long)(BgL_auxz00_3808); } 
BgL_offsetz00_2797 = 
(BgL_auxz00_3807-OBJECT_TYPE); } 
{ /* Ast/occur.scm 139 */
long BgL_modz00_2798;
{ /* Ast/occur.scm 139 */
long BgL_auxz00_3812;
{ /* Ast/occur.scm 139 */
int BgL_auxz00_3813;
BgL_auxz00_3813 = 
(int)(((long)8)); 
BgL_auxz00_3812 = 
(long)(BgL_auxz00_3813); } 
BgL_modz00_2798 = 
(BgL_offsetz00_2797/BgL_auxz00_3812); } 
{ /* Ast/occur.scm 139 */
long BgL_restz00_2800;
{ /* Ast/occur.scm 139 */
long BgL_auxz00_3817;
{ /* Ast/occur.scm 139 */
int BgL_auxz00_3818;
BgL_auxz00_3818 = 
(int)(((long)8)); 
BgL_auxz00_3817 = 
(long)(BgL_auxz00_3818); } 
BgL_restz00_2800 = 
(BgL_offsetz00_2797%BgL_auxz00_3817); } 
{ /* Ast/occur.scm 139 */

{ /* Ast/occur.scm 139 */
obj_t BgL_bucketz00_2802;
{ /* Ast/occur.scm 139 */
int BgL_kz00_2812;
BgL_kz00_2812 = 
(int)(BgL_modz00_2798); 
BgL_bucketz00_2802 = 
VECTOR_REF(BgL_arg1221z00_2793,BgL_kz00_2812); } 
{ /* Ast/occur.scm 139 */
int BgL_kz00_2814;
BgL_kz00_2814 = 
(int)(BgL_restz00_2800); 
BgL_method2693z00_2790 = 
VECTOR_REF(BgL_bucketz00_2802,BgL_kz00_2814); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2790)(BgL_method2693z00_2790, 
(obj_t)(BgL_nodez00_2789), BEOA); } } 
{ 
obj_t BgL_l2670z00_3829;
BgL_l2670z00_3829 = 
CDR(BgL_l2670z00_1733); 
BgL_l2670z00_1733 = BgL_l2670z00_3829; 
goto BgL_lname2671z00_1734;} }  else 
{ /* Ast/occur.scm 138 */
BgL_auxz00_3764 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3764);} } } 
}



/* occur-node!-fail2713 */
obj_t BGl_occurzd2nodez12zd2fail2713z12zzast_occurz00(obj_t BgL_envz00_3216, obj_t BgL_nodez00_3217)
{ AN_OBJECT;
{ /* Ast/occur.scm 126 */
{ 
BgL_failz00_bglt BgL_nodez00_1719;
BgL_nodez00_1719 = 
(BgL_failz00_bglt)(BgL_nodez00_3217); 
{ /* Ast/occur.scm 128 */
BgL_nodez00_bglt BgL_arg2821z00_1723;
BgL_arg2821z00_1723 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1719))->BgL_procz00); 
{ /* Ast/occur.scm 128 */
obj_t BgL_method2693z00_2679;
{ /* Ast/occur.scm 128 */
long BgL_objzd2classzd2numz00_2681;
{ /* Ast/occur.scm 128 */
BgL_objectz00_bglt BgL_auxz00_3835;
BgL_auxz00_3835 = 
(BgL_objectz00_bglt)(BgL_arg2821z00_1723); 
BgL_objzd2classzd2numz00_2681 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3835); } 
{ /* Ast/occur.scm 128 */
obj_t BgL_arg1221z00_2682;
{ /* Ast/occur.scm 128 */
int BgL_auxz00_3838;
BgL_auxz00_3838 = 
(int)(((long)1)); 
BgL_arg1221z00_2682 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3838); } 
{ /* Ast/occur.scm 128 */
long BgL_offsetz00_2686;
{ /* Ast/occur.scm 128 */
long BgL_auxz00_3841;
{ /* Ast/occur.scm 128 */
int BgL_auxz00_3842;
BgL_auxz00_3842 = 
(int)(BgL_objzd2classzd2numz00_2681); 
BgL_auxz00_3841 = 
(long)(BgL_auxz00_3842); } 
BgL_offsetz00_2686 = 
(BgL_auxz00_3841-OBJECT_TYPE); } 
{ /* Ast/occur.scm 128 */
long BgL_modz00_2687;
{ /* Ast/occur.scm 128 */
long BgL_auxz00_3846;
{ /* Ast/occur.scm 128 */
int BgL_auxz00_3847;
BgL_auxz00_3847 = 
(int)(((long)8)); 
BgL_auxz00_3846 = 
(long)(BgL_auxz00_3847); } 
BgL_modz00_2687 = 
(BgL_offsetz00_2686/BgL_auxz00_3846); } 
{ /* Ast/occur.scm 128 */
long BgL_restz00_2689;
{ /* Ast/occur.scm 128 */
long BgL_auxz00_3851;
{ /* Ast/occur.scm 128 */
int BgL_auxz00_3852;
BgL_auxz00_3852 = 
(int)(((long)8)); 
BgL_auxz00_3851 = 
(long)(BgL_auxz00_3852); } 
BgL_restz00_2689 = 
(BgL_offsetz00_2686%BgL_auxz00_3851); } 
{ /* Ast/occur.scm 128 */

{ /* Ast/occur.scm 128 */
obj_t BgL_bucketz00_2691;
{ /* Ast/occur.scm 128 */
int BgL_kz00_2701;
BgL_kz00_2701 = 
(int)(BgL_modz00_2687); 
BgL_bucketz00_2691 = 
VECTOR_REF(BgL_arg1221z00_2682,BgL_kz00_2701); } 
{ /* Ast/occur.scm 128 */
int BgL_kz00_2703;
BgL_kz00_2703 = 
(int)(BgL_restz00_2689); 
BgL_method2693z00_2679 = 
VECTOR_REF(BgL_bucketz00_2691,BgL_kz00_2703); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2679)(BgL_method2693z00_2679, 
(obj_t)(BgL_arg2821z00_1723), BEOA); } } 
{ /* Ast/occur.scm 129 */
BgL_nodez00_bglt BgL_arg2822z00_1724;
BgL_arg2822z00_1724 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1719))->BgL_msgz00); 
{ /* Ast/occur.scm 129 */
obj_t BgL_method2693z00_2706;
{ /* Ast/occur.scm 129 */
long BgL_objzd2classzd2numz00_2708;
{ /* Ast/occur.scm 129 */
BgL_objectz00_bglt BgL_auxz00_3864;
BgL_auxz00_3864 = 
(BgL_objectz00_bglt)(BgL_arg2822z00_1724); 
BgL_objzd2classzd2numz00_2708 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3864); } 
{ /* Ast/occur.scm 129 */
obj_t BgL_arg1221z00_2709;
{ /* Ast/occur.scm 129 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(((long)1)); 
BgL_arg1221z00_2709 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3867); } 
{ /* Ast/occur.scm 129 */
long BgL_offsetz00_2713;
{ /* Ast/occur.scm 129 */
long BgL_auxz00_3870;
{ /* Ast/occur.scm 129 */
int BgL_auxz00_3871;
BgL_auxz00_3871 = 
(int)(BgL_objzd2classzd2numz00_2708); 
BgL_auxz00_3870 = 
(long)(BgL_auxz00_3871); } 
BgL_offsetz00_2713 = 
(BgL_auxz00_3870-OBJECT_TYPE); } 
{ /* Ast/occur.scm 129 */
long BgL_modz00_2714;
{ /* Ast/occur.scm 129 */
long BgL_auxz00_3875;
{ /* Ast/occur.scm 129 */
int BgL_auxz00_3876;
BgL_auxz00_3876 = 
(int)(((long)8)); 
BgL_auxz00_3875 = 
(long)(BgL_auxz00_3876); } 
BgL_modz00_2714 = 
(BgL_offsetz00_2713/BgL_auxz00_3875); } 
{ /* Ast/occur.scm 129 */
long BgL_restz00_2716;
{ /* Ast/occur.scm 129 */
long BgL_auxz00_3880;
{ /* Ast/occur.scm 129 */
int BgL_auxz00_3881;
BgL_auxz00_3881 = 
(int)(((long)8)); 
BgL_auxz00_3880 = 
(long)(BgL_auxz00_3881); } 
BgL_restz00_2716 = 
(BgL_offsetz00_2713%BgL_auxz00_3880); } 
{ /* Ast/occur.scm 129 */

{ /* Ast/occur.scm 129 */
obj_t BgL_bucketz00_2718;
{ /* Ast/occur.scm 129 */
int BgL_kz00_2728;
BgL_kz00_2728 = 
(int)(BgL_modz00_2714); 
BgL_bucketz00_2718 = 
VECTOR_REF(BgL_arg1221z00_2709,BgL_kz00_2728); } 
{ /* Ast/occur.scm 129 */
int BgL_kz00_2730;
BgL_kz00_2730 = 
(int)(BgL_restz00_2716); 
BgL_method2693z00_2706 = 
VECTOR_REF(BgL_bucketz00_2718,BgL_kz00_2730); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2706)(BgL_method2693z00_2706, 
(obj_t)(BgL_arg2822z00_1724), BEOA); } } 
{ /* Ast/occur.scm 130 */
BgL_nodez00_bglt BgL_arg2823z00_1725;
BgL_arg2823z00_1725 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1719))->BgL_objz00); 
{ /* Ast/occur.scm 130 */
obj_t BgL_method2693z00_2733;
{ /* Ast/occur.scm 130 */
long BgL_objzd2classzd2numz00_2735;
{ /* Ast/occur.scm 130 */
BgL_objectz00_bglt BgL_auxz00_3893;
BgL_auxz00_3893 = 
(BgL_objectz00_bglt)(BgL_arg2823z00_1725); 
BgL_objzd2classzd2numz00_2735 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3893); } 
{ /* Ast/occur.scm 130 */
obj_t BgL_arg1221z00_2736;
{ /* Ast/occur.scm 130 */
int BgL_auxz00_3896;
BgL_auxz00_3896 = 
(int)(((long)1)); 
BgL_arg1221z00_2736 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3896); } 
{ /* Ast/occur.scm 130 */
long BgL_offsetz00_2740;
{ /* Ast/occur.scm 130 */
long BgL_auxz00_3899;
{ /* Ast/occur.scm 130 */
int BgL_auxz00_3900;
BgL_auxz00_3900 = 
(int)(BgL_objzd2classzd2numz00_2735); 
BgL_auxz00_3899 = 
(long)(BgL_auxz00_3900); } 
BgL_offsetz00_2740 = 
(BgL_auxz00_3899-OBJECT_TYPE); } 
{ /* Ast/occur.scm 130 */
long BgL_modz00_2741;
{ /* Ast/occur.scm 130 */
long BgL_auxz00_3904;
{ /* Ast/occur.scm 130 */
int BgL_auxz00_3905;
BgL_auxz00_3905 = 
(int)(((long)8)); 
BgL_auxz00_3904 = 
(long)(BgL_auxz00_3905); } 
BgL_modz00_2741 = 
(BgL_offsetz00_2740/BgL_auxz00_3904); } 
{ /* Ast/occur.scm 130 */
long BgL_restz00_2743;
{ /* Ast/occur.scm 130 */
long BgL_auxz00_3909;
{ /* Ast/occur.scm 130 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(((long)8)); 
BgL_auxz00_3909 = 
(long)(BgL_auxz00_3910); } 
BgL_restz00_2743 = 
(BgL_offsetz00_2740%BgL_auxz00_3909); } 
{ /* Ast/occur.scm 130 */

{ /* Ast/occur.scm 130 */
obj_t BgL_bucketz00_2745;
{ /* Ast/occur.scm 130 */
int BgL_kz00_2755;
BgL_kz00_2755 = 
(int)(BgL_modz00_2741); 
BgL_bucketz00_2745 = 
VECTOR_REF(BgL_arg1221z00_2736,BgL_kz00_2755); } 
{ /* Ast/occur.scm 130 */
int BgL_kz00_2757;
BgL_kz00_2757 = 
(int)(BgL_restz00_2743); 
BgL_method2693z00_2733 = 
VECTOR_REF(BgL_bucketz00_2745,BgL_kz00_2757); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2733)(BgL_method2693z00_2733, 
(obj_t)(BgL_arg2823z00_1725), BEOA);} } } } 
}



/* occur-node!-conditional2711 */
obj_t BGl_occurzd2nodez12zd2conditional2711z12zzast_occurz00(obj_t BgL_envz00_3218, obj_t BgL_nodez00_3219)
{ AN_OBJECT;
{ /* Ast/occur.scm 117 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1710;
BgL_nodez00_1710 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3219); 
{ /* Ast/occur.scm 119 */
BgL_nodez00_bglt BgL_arg2817z00_1714;
BgL_arg2817z00_1714 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1710))->BgL_testz00); 
{ /* Ast/occur.scm 119 */
obj_t BgL_method2693z00_2598;
{ /* Ast/occur.scm 119 */
long BgL_objzd2classzd2numz00_2600;
{ /* Ast/occur.scm 119 */
BgL_objectz00_bglt BgL_auxz00_3923;
BgL_auxz00_3923 = 
(BgL_objectz00_bglt)(BgL_arg2817z00_1714); 
BgL_objzd2classzd2numz00_2600 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3923); } 
{ /* Ast/occur.scm 119 */
obj_t BgL_arg1221z00_2601;
{ /* Ast/occur.scm 119 */
int BgL_auxz00_3926;
BgL_auxz00_3926 = 
(int)(((long)1)); 
BgL_arg1221z00_2601 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3926); } 
{ /* Ast/occur.scm 119 */
long BgL_offsetz00_2605;
{ /* Ast/occur.scm 119 */
long BgL_auxz00_3929;
{ /* Ast/occur.scm 119 */
int BgL_auxz00_3930;
BgL_auxz00_3930 = 
(int)(BgL_objzd2classzd2numz00_2600); 
BgL_auxz00_3929 = 
(long)(BgL_auxz00_3930); } 
BgL_offsetz00_2605 = 
(BgL_auxz00_3929-OBJECT_TYPE); } 
{ /* Ast/occur.scm 119 */
long BgL_modz00_2606;
{ /* Ast/occur.scm 119 */
long BgL_auxz00_3934;
{ /* Ast/occur.scm 119 */
int BgL_auxz00_3935;
BgL_auxz00_3935 = 
(int)(((long)8)); 
BgL_auxz00_3934 = 
(long)(BgL_auxz00_3935); } 
BgL_modz00_2606 = 
(BgL_offsetz00_2605/BgL_auxz00_3934); } 
{ /* Ast/occur.scm 119 */
long BgL_restz00_2608;
{ /* Ast/occur.scm 119 */
long BgL_auxz00_3939;
{ /* Ast/occur.scm 119 */
int BgL_auxz00_3940;
BgL_auxz00_3940 = 
(int)(((long)8)); 
BgL_auxz00_3939 = 
(long)(BgL_auxz00_3940); } 
BgL_restz00_2608 = 
(BgL_offsetz00_2605%BgL_auxz00_3939); } 
{ /* Ast/occur.scm 119 */

{ /* Ast/occur.scm 119 */
obj_t BgL_bucketz00_2610;
{ /* Ast/occur.scm 119 */
int BgL_kz00_2620;
BgL_kz00_2620 = 
(int)(BgL_modz00_2606); 
BgL_bucketz00_2610 = 
VECTOR_REF(BgL_arg1221z00_2601,BgL_kz00_2620); } 
{ /* Ast/occur.scm 119 */
int BgL_kz00_2622;
BgL_kz00_2622 = 
(int)(BgL_restz00_2608); 
BgL_method2693z00_2598 = 
VECTOR_REF(BgL_bucketz00_2610,BgL_kz00_2622); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2598)(BgL_method2693z00_2598, 
(obj_t)(BgL_arg2817z00_1714), BEOA); } } 
{ /* Ast/occur.scm 120 */
BgL_nodez00_bglt BgL_arg2818z00_1715;
BgL_arg2818z00_1715 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1710))->BgL_truez00); 
{ /* Ast/occur.scm 120 */
obj_t BgL_method2693z00_2625;
{ /* Ast/occur.scm 120 */
long BgL_objzd2classzd2numz00_2627;
{ /* Ast/occur.scm 120 */
BgL_objectz00_bglt BgL_auxz00_3952;
BgL_auxz00_3952 = 
(BgL_objectz00_bglt)(BgL_arg2818z00_1715); 
BgL_objzd2classzd2numz00_2627 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3952); } 
{ /* Ast/occur.scm 120 */
obj_t BgL_arg1221z00_2628;
{ /* Ast/occur.scm 120 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(((long)1)); 
BgL_arg1221z00_2628 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3955); } 
{ /* Ast/occur.scm 120 */
long BgL_offsetz00_2632;
{ /* Ast/occur.scm 120 */
long BgL_auxz00_3958;
{ /* Ast/occur.scm 120 */
int BgL_auxz00_3959;
BgL_auxz00_3959 = 
(int)(BgL_objzd2classzd2numz00_2627); 
BgL_auxz00_3958 = 
(long)(BgL_auxz00_3959); } 
BgL_offsetz00_2632 = 
(BgL_auxz00_3958-OBJECT_TYPE); } 
{ /* Ast/occur.scm 120 */
long BgL_modz00_2633;
{ /* Ast/occur.scm 120 */
long BgL_auxz00_3963;
{ /* Ast/occur.scm 120 */
int BgL_auxz00_3964;
BgL_auxz00_3964 = 
(int)(((long)8)); 
BgL_auxz00_3963 = 
(long)(BgL_auxz00_3964); } 
BgL_modz00_2633 = 
(BgL_offsetz00_2632/BgL_auxz00_3963); } 
{ /* Ast/occur.scm 120 */
long BgL_restz00_2635;
{ /* Ast/occur.scm 120 */
long BgL_auxz00_3968;
{ /* Ast/occur.scm 120 */
int BgL_auxz00_3969;
BgL_auxz00_3969 = 
(int)(((long)8)); 
BgL_auxz00_3968 = 
(long)(BgL_auxz00_3969); } 
BgL_restz00_2635 = 
(BgL_offsetz00_2632%BgL_auxz00_3968); } 
{ /* Ast/occur.scm 120 */

{ /* Ast/occur.scm 120 */
obj_t BgL_bucketz00_2637;
{ /* Ast/occur.scm 120 */
int BgL_kz00_2647;
BgL_kz00_2647 = 
(int)(BgL_modz00_2633); 
BgL_bucketz00_2637 = 
VECTOR_REF(BgL_arg1221z00_2628,BgL_kz00_2647); } 
{ /* Ast/occur.scm 120 */
int BgL_kz00_2649;
BgL_kz00_2649 = 
(int)(BgL_restz00_2635); 
BgL_method2693z00_2625 = 
VECTOR_REF(BgL_bucketz00_2637,BgL_kz00_2649); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2625)(BgL_method2693z00_2625, 
(obj_t)(BgL_arg2818z00_1715), BEOA); } } 
{ /* Ast/occur.scm 121 */
BgL_nodez00_bglt BgL_arg2819z00_1716;
BgL_arg2819z00_1716 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1710))->BgL_falsez00); 
{ /* Ast/occur.scm 121 */
obj_t BgL_method2693z00_2652;
{ /* Ast/occur.scm 121 */
long BgL_objzd2classzd2numz00_2654;
{ /* Ast/occur.scm 121 */
BgL_objectz00_bglt BgL_auxz00_3981;
BgL_auxz00_3981 = 
(BgL_objectz00_bglt)(BgL_arg2819z00_1716); 
BgL_objzd2classzd2numz00_2654 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3981); } 
{ /* Ast/occur.scm 121 */
obj_t BgL_arg1221z00_2655;
{ /* Ast/occur.scm 121 */
int BgL_auxz00_3984;
BgL_auxz00_3984 = 
(int)(((long)1)); 
BgL_arg1221z00_2655 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_3984); } 
{ /* Ast/occur.scm 121 */
long BgL_offsetz00_2659;
{ /* Ast/occur.scm 121 */
long BgL_auxz00_3987;
{ /* Ast/occur.scm 121 */
int BgL_auxz00_3988;
BgL_auxz00_3988 = 
(int)(BgL_objzd2classzd2numz00_2654); 
BgL_auxz00_3987 = 
(long)(BgL_auxz00_3988); } 
BgL_offsetz00_2659 = 
(BgL_auxz00_3987-OBJECT_TYPE); } 
{ /* Ast/occur.scm 121 */
long BgL_modz00_2660;
{ /* Ast/occur.scm 121 */
long BgL_auxz00_3992;
{ /* Ast/occur.scm 121 */
int BgL_auxz00_3993;
BgL_auxz00_3993 = 
(int)(((long)8)); 
BgL_auxz00_3992 = 
(long)(BgL_auxz00_3993); } 
BgL_modz00_2660 = 
(BgL_offsetz00_2659/BgL_auxz00_3992); } 
{ /* Ast/occur.scm 121 */
long BgL_restz00_2662;
{ /* Ast/occur.scm 121 */
long BgL_auxz00_3997;
{ /* Ast/occur.scm 121 */
int BgL_auxz00_3998;
BgL_auxz00_3998 = 
(int)(((long)8)); 
BgL_auxz00_3997 = 
(long)(BgL_auxz00_3998); } 
BgL_restz00_2662 = 
(BgL_offsetz00_2659%BgL_auxz00_3997); } 
{ /* Ast/occur.scm 121 */

{ /* Ast/occur.scm 121 */
obj_t BgL_bucketz00_2664;
{ /* Ast/occur.scm 121 */
int BgL_kz00_2674;
BgL_kz00_2674 = 
(int)(BgL_modz00_2660); 
BgL_bucketz00_2664 = 
VECTOR_REF(BgL_arg1221z00_2655,BgL_kz00_2674); } 
{ /* Ast/occur.scm 121 */
int BgL_kz00_2676;
BgL_kz00_2676 = 
(int)(BgL_restz00_2662); 
BgL_method2693z00_2652 = 
VECTOR_REF(BgL_bucketz00_2664,BgL_kz00_2676); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2652)(BgL_method2693z00_2652, 
(obj_t)(BgL_arg2819z00_1716), BEOA);} } } } 
}



/* occur-node!-setq2709 */
obj_t BGl_occurzd2nodez12zd2setq2709z12zzast_occurz00(obj_t BgL_envz00_3220, obj_t BgL_nodez00_3221)
{ AN_OBJECT;
{ /* Ast/occur.scm 109 */
{ 
BgL_setqz00_bglt BgL_nodez00_1702;
BgL_nodez00_1702 = 
(BgL_setqz00_bglt)(BgL_nodez00_3221); 
{ /* Ast/occur.scm 111 */
BgL_nodez00_bglt BgL_nodez00_2543;
{ /* Ast/occur.scm 111 */
BgL_varz00_bglt BgL_auxz00_4010;
BgL_auxz00_4010 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1702))->BgL_varz00); 
BgL_nodez00_2543 = 
(BgL_nodez00_bglt)(BgL_auxz00_4010); } 
{ /* Ast/occur.scm 111 */
obj_t BgL_method2693z00_2544;
{ /* Ast/occur.scm 111 */
long BgL_objzd2classzd2numz00_2546;
{ /* Ast/occur.scm 111 */
BgL_objectz00_bglt BgL_auxz00_4013;
BgL_auxz00_4013 = 
(BgL_objectz00_bglt)(BgL_nodez00_2543); 
BgL_objzd2classzd2numz00_2546 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4013); } 
{ /* Ast/occur.scm 111 */
obj_t BgL_arg1221z00_2547;
{ /* Ast/occur.scm 111 */
int BgL_auxz00_4016;
BgL_auxz00_4016 = 
(int)(((long)1)); 
BgL_arg1221z00_2547 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4016); } 
{ /* Ast/occur.scm 111 */
long BgL_offsetz00_2551;
{ /* Ast/occur.scm 111 */
long BgL_auxz00_4019;
{ /* Ast/occur.scm 111 */
int BgL_auxz00_4020;
BgL_auxz00_4020 = 
(int)(BgL_objzd2classzd2numz00_2546); 
BgL_auxz00_4019 = 
(long)(BgL_auxz00_4020); } 
BgL_offsetz00_2551 = 
(BgL_auxz00_4019-OBJECT_TYPE); } 
{ /* Ast/occur.scm 111 */
long BgL_modz00_2552;
{ /* Ast/occur.scm 111 */
long BgL_auxz00_4024;
{ /* Ast/occur.scm 111 */
int BgL_auxz00_4025;
BgL_auxz00_4025 = 
(int)(((long)8)); 
BgL_auxz00_4024 = 
(long)(BgL_auxz00_4025); } 
BgL_modz00_2552 = 
(BgL_offsetz00_2551/BgL_auxz00_4024); } 
{ /* Ast/occur.scm 111 */
long BgL_restz00_2554;
{ /* Ast/occur.scm 111 */
long BgL_auxz00_4029;
{ /* Ast/occur.scm 111 */
int BgL_auxz00_4030;
BgL_auxz00_4030 = 
(int)(((long)8)); 
BgL_auxz00_4029 = 
(long)(BgL_auxz00_4030); } 
BgL_restz00_2554 = 
(BgL_offsetz00_2551%BgL_auxz00_4029); } 
{ /* Ast/occur.scm 111 */

{ /* Ast/occur.scm 111 */
obj_t BgL_bucketz00_2556;
{ /* Ast/occur.scm 111 */
int BgL_kz00_2566;
BgL_kz00_2566 = 
(int)(BgL_modz00_2552); 
BgL_bucketz00_2556 = 
VECTOR_REF(BgL_arg1221z00_2547,BgL_kz00_2566); } 
{ /* Ast/occur.scm 111 */
int BgL_kz00_2568;
BgL_kz00_2568 = 
(int)(BgL_restz00_2554); 
BgL_method2693z00_2544 = 
VECTOR_REF(BgL_bucketz00_2556,BgL_kz00_2568); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2544)(BgL_method2693z00_2544, 
(obj_t)(BgL_nodez00_2543), BEOA); } } 
{ /* Ast/occur.scm 112 */
BgL_nodez00_bglt BgL_arg2815z00_1707;
BgL_arg2815z00_1707 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1702))->BgL_valuez00); 
{ /* Ast/occur.scm 112 */
obj_t BgL_method2693z00_2571;
{ /* Ast/occur.scm 112 */
long BgL_objzd2classzd2numz00_2573;
{ /* Ast/occur.scm 112 */
BgL_objectz00_bglt BgL_auxz00_4042;
BgL_auxz00_4042 = 
(BgL_objectz00_bglt)(BgL_arg2815z00_1707); 
BgL_objzd2classzd2numz00_2573 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4042); } 
{ /* Ast/occur.scm 112 */
obj_t BgL_arg1221z00_2574;
{ /* Ast/occur.scm 112 */
int BgL_auxz00_4045;
BgL_auxz00_4045 = 
(int)(((long)1)); 
BgL_arg1221z00_2574 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4045); } 
{ /* Ast/occur.scm 112 */
long BgL_offsetz00_2578;
{ /* Ast/occur.scm 112 */
long BgL_auxz00_4048;
{ /* Ast/occur.scm 112 */
int BgL_auxz00_4049;
BgL_auxz00_4049 = 
(int)(BgL_objzd2classzd2numz00_2573); 
BgL_auxz00_4048 = 
(long)(BgL_auxz00_4049); } 
BgL_offsetz00_2578 = 
(BgL_auxz00_4048-OBJECT_TYPE); } 
{ /* Ast/occur.scm 112 */
long BgL_modz00_2579;
{ /* Ast/occur.scm 112 */
long BgL_auxz00_4053;
{ /* Ast/occur.scm 112 */
int BgL_auxz00_4054;
BgL_auxz00_4054 = 
(int)(((long)8)); 
BgL_auxz00_4053 = 
(long)(BgL_auxz00_4054); } 
BgL_modz00_2579 = 
(BgL_offsetz00_2578/BgL_auxz00_4053); } 
{ /* Ast/occur.scm 112 */
long BgL_restz00_2581;
{ /* Ast/occur.scm 112 */
long BgL_auxz00_4058;
{ /* Ast/occur.scm 112 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(((long)8)); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_restz00_2581 = 
(BgL_offsetz00_2578%BgL_auxz00_4058); } 
{ /* Ast/occur.scm 112 */

{ /* Ast/occur.scm 112 */
obj_t BgL_bucketz00_2583;
{ /* Ast/occur.scm 112 */
int BgL_kz00_2593;
BgL_kz00_2593 = 
(int)(BgL_modz00_2579); 
BgL_bucketz00_2583 = 
VECTOR_REF(BgL_arg1221z00_2574,BgL_kz00_2593); } 
{ /* Ast/occur.scm 112 */
int BgL_kz00_2595;
BgL_kz00_2595 = 
(int)(BgL_restz00_2581); 
BgL_method2693z00_2571 = 
VECTOR_REF(BgL_bucketz00_2583,BgL_kz00_2595); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2571)(BgL_method2693z00_2571, 
(obj_t)(BgL_arg2815z00_1707), BEOA);} } } } 
}



/* occur-node!-cast2707 */
obj_t BGl_occurzd2nodez12zd2cast2707z12zzast_occurz00(obj_t BgL_envz00_3222, obj_t BgL_nodez00_3223)
{ AN_OBJECT;
{ /* Ast/occur.scm 103 */
{ 
BgL_castz00_bglt BgL_nodez00_1696;
BgL_nodez00_1696 = 
(BgL_castz00_bglt)(BgL_nodez00_3223); 
{ /* Ast/occur.scm 104 */
BgL_nodez00_bglt BgL_arg2812z00_2514;
BgL_arg2812z00_2514 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1696))->BgL_argz00); 
{ /* Ast/occur.scm 104 */
obj_t BgL_method2693z00_2517;
{ /* Ast/occur.scm 104 */
long BgL_objzd2classzd2numz00_2519;
{ /* Ast/occur.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4072;
BgL_auxz00_4072 = 
(BgL_objectz00_bglt)(BgL_arg2812z00_2514); 
BgL_objzd2classzd2numz00_2519 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4072); } 
{ /* Ast/occur.scm 104 */
obj_t BgL_arg1221z00_2520;
{ /* Ast/occur.scm 104 */
int BgL_auxz00_4075;
BgL_auxz00_4075 = 
(int)(((long)1)); 
BgL_arg1221z00_2520 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4075); } 
{ /* Ast/occur.scm 104 */
long BgL_offsetz00_2524;
{ /* Ast/occur.scm 104 */
long BgL_auxz00_4078;
{ /* Ast/occur.scm 104 */
int BgL_auxz00_4079;
BgL_auxz00_4079 = 
(int)(BgL_objzd2classzd2numz00_2519); 
BgL_auxz00_4078 = 
(long)(BgL_auxz00_4079); } 
BgL_offsetz00_2524 = 
(BgL_auxz00_4078-OBJECT_TYPE); } 
{ /* Ast/occur.scm 104 */
long BgL_modz00_2525;
{ /* Ast/occur.scm 104 */
long BgL_auxz00_4083;
{ /* Ast/occur.scm 104 */
int BgL_auxz00_4084;
BgL_auxz00_4084 = 
(int)(((long)8)); 
BgL_auxz00_4083 = 
(long)(BgL_auxz00_4084); } 
BgL_modz00_2525 = 
(BgL_offsetz00_2524/BgL_auxz00_4083); } 
{ /* Ast/occur.scm 104 */
long BgL_restz00_2527;
{ /* Ast/occur.scm 104 */
long BgL_auxz00_4088;
{ /* Ast/occur.scm 104 */
int BgL_auxz00_4089;
BgL_auxz00_4089 = 
(int)(((long)8)); 
BgL_auxz00_4088 = 
(long)(BgL_auxz00_4089); } 
BgL_restz00_2527 = 
(BgL_offsetz00_2524%BgL_auxz00_4088); } 
{ /* Ast/occur.scm 104 */

{ /* Ast/occur.scm 104 */
obj_t BgL_bucketz00_2529;
{ /* Ast/occur.scm 104 */
int BgL_kz00_2539;
BgL_kz00_2539 = 
(int)(BgL_modz00_2525); 
BgL_bucketz00_2529 = 
VECTOR_REF(BgL_arg1221z00_2520,BgL_kz00_2539); } 
{ /* Ast/occur.scm 104 */
int BgL_kz00_2541;
BgL_kz00_2541 = 
(int)(BgL_restz00_2527); 
BgL_method2693z00_2517 = 
VECTOR_REF(BgL_bucketz00_2529,BgL_kz00_2541); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2517)(BgL_method2693z00_2517, 
(obj_t)(BgL_arg2812z00_2514), BEOA);} } } } 
}



/* occur-node!-extern2705 */
obj_t BGl_occurzd2nodez12zd2extern2705z12zzast_occurz00(obj_t BgL_envz00_3224, obj_t BgL_nodez00_3225)
{ AN_OBJECT;
{ /* Ast/occur.scm 97 */
{ 
BgL_externz00_bglt BgL_nodez00_1690;
{ /* Ast/occur.scm 98 */
bool_t BgL_auxz00_4101;
BgL_nodez00_1690 = 
(BgL_externz00_bglt)(BgL_nodez00_3225); 
BgL_auxz00_4101 = 
BGl_occurzd2nodeza2z12z62zzast_occurz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1690))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_4101);} } } 
}



/* occur-node!-funcall2703 */
obj_t BGl_occurzd2nodez12zd2funcall2703z12zzast_occurz00(obj_t BgL_envz00_3226, obj_t BgL_nodez00_3227)
{ AN_OBJECT;
{ /* Ast/occur.scm 89 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1682;
{ /* Ast/occur.scm 90 */
bool_t BgL_auxz00_4106;
BgL_nodez00_1682 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3227); 
{ /* Ast/occur.scm 91 */
BgL_nodez00_bglt BgL_arg2807z00_1686;
BgL_arg2807z00_1686 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1682))->BgL_funz00); 
{ /* Ast/occur.scm 91 */
obj_t BgL_method2693z00_2486;
{ /* Ast/occur.scm 91 */
long BgL_objzd2classzd2numz00_2488;
{ /* Ast/occur.scm 91 */
BgL_objectz00_bglt BgL_auxz00_4108;
BgL_auxz00_4108 = 
(BgL_objectz00_bglt)(BgL_arg2807z00_1686); 
BgL_objzd2classzd2numz00_2488 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4108); } 
{ /* Ast/occur.scm 91 */
obj_t BgL_arg1221z00_2489;
{ /* Ast/occur.scm 91 */
int BgL_auxz00_4111;
BgL_auxz00_4111 = 
(int)(((long)1)); 
BgL_arg1221z00_2489 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4111); } 
{ /* Ast/occur.scm 91 */
long BgL_offsetz00_2493;
{ /* Ast/occur.scm 91 */
long BgL_auxz00_4114;
{ /* Ast/occur.scm 91 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(BgL_objzd2classzd2numz00_2488); 
BgL_auxz00_4114 = 
(long)(BgL_auxz00_4115); } 
BgL_offsetz00_2493 = 
(BgL_auxz00_4114-OBJECT_TYPE); } 
{ /* Ast/occur.scm 91 */
long BgL_modz00_2494;
{ /* Ast/occur.scm 91 */
long BgL_auxz00_4119;
{ /* Ast/occur.scm 91 */
int BgL_auxz00_4120;
BgL_auxz00_4120 = 
(int)(((long)8)); 
BgL_auxz00_4119 = 
(long)(BgL_auxz00_4120); } 
BgL_modz00_2494 = 
(BgL_offsetz00_2493/BgL_auxz00_4119); } 
{ /* Ast/occur.scm 91 */
long BgL_restz00_2496;
{ /* Ast/occur.scm 91 */
long BgL_auxz00_4124;
{ /* Ast/occur.scm 91 */
int BgL_auxz00_4125;
BgL_auxz00_4125 = 
(int)(((long)8)); 
BgL_auxz00_4124 = 
(long)(BgL_auxz00_4125); } 
BgL_restz00_2496 = 
(BgL_offsetz00_2493%BgL_auxz00_4124); } 
{ /* Ast/occur.scm 91 */

{ /* Ast/occur.scm 91 */
obj_t BgL_bucketz00_2498;
{ /* Ast/occur.scm 91 */
int BgL_kz00_2508;
BgL_kz00_2508 = 
(int)(BgL_modz00_2494); 
BgL_bucketz00_2498 = 
VECTOR_REF(BgL_arg1221z00_2489,BgL_kz00_2508); } 
{ /* Ast/occur.scm 91 */
int BgL_kz00_2510;
BgL_kz00_2510 = 
(int)(BgL_restz00_2496); 
BgL_method2693z00_2486 = 
VECTOR_REF(BgL_bucketz00_2498,BgL_kz00_2510); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2486)(BgL_method2693z00_2486, 
(obj_t)(BgL_arg2807z00_1686), BEOA); } } 
BgL_auxz00_4106 = 
BGl_occurzd2nodeza2z12z62zzast_occurz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1682))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4106);} } } 
}



/* occur-node!-app-ly2701 */
obj_t BGl_occurzd2nodez12zd2appzd2ly2701zc0zzast_occurz00(obj_t BgL_envz00_3228, obj_t BgL_nodez00_3229)
{ AN_OBJECT;
{ /* Ast/occur.scm 81 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1674;
BgL_nodez00_1674 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3229); 
{ /* Ast/occur.scm 83 */
BgL_nodez00_bglt BgL_arg2802z00_1678;
BgL_arg2802z00_1678 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1674))->BgL_funz00); 
{ /* Ast/occur.scm 83 */
obj_t BgL_method2693z00_2432;
{ /* Ast/occur.scm 83 */
long BgL_objzd2classzd2numz00_2434;
{ /* Ast/occur.scm 83 */
BgL_objectz00_bglt BgL_auxz00_4141;
BgL_auxz00_4141 = 
(BgL_objectz00_bglt)(BgL_arg2802z00_1678); 
BgL_objzd2classzd2numz00_2434 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4141); } 
{ /* Ast/occur.scm 83 */
obj_t BgL_arg1221z00_2435;
{ /* Ast/occur.scm 83 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(((long)1)); 
BgL_arg1221z00_2435 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4144); } 
{ /* Ast/occur.scm 83 */
long BgL_offsetz00_2439;
{ /* Ast/occur.scm 83 */
long BgL_auxz00_4147;
{ /* Ast/occur.scm 83 */
int BgL_auxz00_4148;
BgL_auxz00_4148 = 
(int)(BgL_objzd2classzd2numz00_2434); 
BgL_auxz00_4147 = 
(long)(BgL_auxz00_4148); } 
BgL_offsetz00_2439 = 
(BgL_auxz00_4147-OBJECT_TYPE); } 
{ /* Ast/occur.scm 83 */
long BgL_modz00_2440;
{ /* Ast/occur.scm 83 */
long BgL_auxz00_4152;
{ /* Ast/occur.scm 83 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)8)); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_modz00_2440 = 
(BgL_offsetz00_2439/BgL_auxz00_4152); } 
{ /* Ast/occur.scm 83 */
long BgL_restz00_2442;
{ /* Ast/occur.scm 83 */
long BgL_auxz00_4157;
{ /* Ast/occur.scm 83 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)8)); 
BgL_auxz00_4157 = 
(long)(BgL_auxz00_4158); } 
BgL_restz00_2442 = 
(BgL_offsetz00_2439%BgL_auxz00_4157); } 
{ /* Ast/occur.scm 83 */

{ /* Ast/occur.scm 83 */
obj_t BgL_bucketz00_2444;
{ /* Ast/occur.scm 83 */
int BgL_kz00_2454;
BgL_kz00_2454 = 
(int)(BgL_modz00_2440); 
BgL_bucketz00_2444 = 
VECTOR_REF(BgL_arg1221z00_2435,BgL_kz00_2454); } 
{ /* Ast/occur.scm 83 */
int BgL_kz00_2456;
BgL_kz00_2456 = 
(int)(BgL_restz00_2442); 
BgL_method2693z00_2432 = 
VECTOR_REF(BgL_bucketz00_2444,BgL_kz00_2456); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2432)(BgL_method2693z00_2432, 
(obj_t)(BgL_arg2802z00_1678), BEOA); } } 
{ /* Ast/occur.scm 84 */
BgL_nodez00_bglt BgL_arg2805z00_1679;
BgL_arg2805z00_1679 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1674))->BgL_argz00); 
{ /* Ast/occur.scm 84 */
obj_t BgL_method2693z00_2459;
{ /* Ast/occur.scm 84 */
long BgL_objzd2classzd2numz00_2461;
{ /* Ast/occur.scm 84 */
BgL_objectz00_bglt BgL_auxz00_4170;
BgL_auxz00_4170 = 
(BgL_objectz00_bglt)(BgL_arg2805z00_1679); 
BgL_objzd2classzd2numz00_2461 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4170); } 
{ /* Ast/occur.scm 84 */
obj_t BgL_arg1221z00_2462;
{ /* Ast/occur.scm 84 */
int BgL_auxz00_4173;
BgL_auxz00_4173 = 
(int)(((long)1)); 
BgL_arg1221z00_2462 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4173); } 
{ /* Ast/occur.scm 84 */
long BgL_offsetz00_2466;
{ /* Ast/occur.scm 84 */
long BgL_auxz00_4176;
{ /* Ast/occur.scm 84 */
int BgL_auxz00_4177;
BgL_auxz00_4177 = 
(int)(BgL_objzd2classzd2numz00_2461); 
BgL_auxz00_4176 = 
(long)(BgL_auxz00_4177); } 
BgL_offsetz00_2466 = 
(BgL_auxz00_4176-OBJECT_TYPE); } 
{ /* Ast/occur.scm 84 */
long BgL_modz00_2467;
{ /* Ast/occur.scm 84 */
long BgL_auxz00_4181;
{ /* Ast/occur.scm 84 */
int BgL_auxz00_4182;
BgL_auxz00_4182 = 
(int)(((long)8)); 
BgL_auxz00_4181 = 
(long)(BgL_auxz00_4182); } 
BgL_modz00_2467 = 
(BgL_offsetz00_2466/BgL_auxz00_4181); } 
{ /* Ast/occur.scm 84 */
long BgL_restz00_2469;
{ /* Ast/occur.scm 84 */
long BgL_auxz00_4186;
{ /* Ast/occur.scm 84 */
int BgL_auxz00_4187;
BgL_auxz00_4187 = 
(int)(((long)8)); 
BgL_auxz00_4186 = 
(long)(BgL_auxz00_4187); } 
BgL_restz00_2469 = 
(BgL_offsetz00_2466%BgL_auxz00_4186); } 
{ /* Ast/occur.scm 84 */

{ /* Ast/occur.scm 84 */
obj_t BgL_bucketz00_2471;
{ /* Ast/occur.scm 84 */
int BgL_kz00_2481;
BgL_kz00_2481 = 
(int)(BgL_modz00_2467); 
BgL_bucketz00_2471 = 
VECTOR_REF(BgL_arg1221z00_2462,BgL_kz00_2481); } 
{ /* Ast/occur.scm 84 */
int BgL_kz00_2483;
BgL_kz00_2483 = 
(int)(BgL_restz00_2469); 
BgL_method2693z00_2459 = 
VECTOR_REF(BgL_bucketz00_2471,BgL_kz00_2483); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_2459)(BgL_method2693z00_2459, 
(obj_t)(BgL_arg2805z00_1679), BEOA);} } } } 
}



/* occur-node!-app2699 */
obj_t BGl_occurzd2nodez12zd2app2699z12zzast_occurz00(obj_t BgL_envz00_3230, obj_t BgL_nodez00_3231)
{ AN_OBJECT;
{ /* Ast/occur.scm 73 */
{ 
BgL_appz00_bglt BgL_nodez00_1666;
{ /* Ast/occur.scm 74 */
bool_t BgL_auxz00_4199;
BgL_nodez00_1666 = 
(BgL_appz00_bglt)(BgL_nodez00_3231); 
{ /* Ast/occur.scm 75 */
BgL_nodez00_bglt BgL_nodez00_2403;
{ /* Ast/occur.scm 75 */
BgL_varz00_bglt BgL_auxz00_4200;
BgL_auxz00_4200 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1666))->BgL_funz00); 
BgL_nodez00_2403 = 
(BgL_nodez00_bglt)(BgL_auxz00_4200); } 
{ /* Ast/occur.scm 75 */
obj_t BgL_method2693z00_2404;
{ /* Ast/occur.scm 75 */
long BgL_objzd2classzd2numz00_2406;
{ /* Ast/occur.scm 75 */
BgL_objectz00_bglt BgL_auxz00_4203;
BgL_auxz00_4203 = 
(BgL_objectz00_bglt)(BgL_nodez00_2403); 
BgL_objzd2classzd2numz00_2406 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4203); } 
{ /* Ast/occur.scm 75 */
obj_t BgL_arg1221z00_2407;
{ /* Ast/occur.scm 75 */
int BgL_auxz00_4206;
BgL_auxz00_4206 = 
(int)(((long)1)); 
BgL_arg1221z00_2407 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4206); } 
{ /* Ast/occur.scm 75 */
long BgL_offsetz00_2411;
{ /* Ast/occur.scm 75 */
long BgL_auxz00_4209;
{ /* Ast/occur.scm 75 */
int BgL_auxz00_4210;
BgL_auxz00_4210 = 
(int)(BgL_objzd2classzd2numz00_2406); 
BgL_auxz00_4209 = 
(long)(BgL_auxz00_4210); } 
BgL_offsetz00_2411 = 
(BgL_auxz00_4209-OBJECT_TYPE); } 
{ /* Ast/occur.scm 75 */
long BgL_modz00_2412;
{ /* Ast/occur.scm 75 */
long BgL_auxz00_4214;
{ /* Ast/occur.scm 75 */
int BgL_auxz00_4215;
BgL_auxz00_4215 = 
(int)(((long)8)); 
BgL_auxz00_4214 = 
(long)(BgL_auxz00_4215); } 
BgL_modz00_2412 = 
(BgL_offsetz00_2411/BgL_auxz00_4214); } 
{ /* Ast/occur.scm 75 */
long BgL_restz00_2414;
{ /* Ast/occur.scm 75 */
long BgL_auxz00_4219;
{ /* Ast/occur.scm 75 */
int BgL_auxz00_4220;
BgL_auxz00_4220 = 
(int)(((long)8)); 
BgL_auxz00_4219 = 
(long)(BgL_auxz00_4220); } 
BgL_restz00_2414 = 
(BgL_offsetz00_2411%BgL_auxz00_4219); } 
{ /* Ast/occur.scm 75 */

{ /* Ast/occur.scm 75 */
obj_t BgL_bucketz00_2416;
{ /* Ast/occur.scm 75 */
int BgL_kz00_2426;
BgL_kz00_2426 = 
(int)(BgL_modz00_2412); 
BgL_bucketz00_2416 = 
VECTOR_REF(BgL_arg1221z00_2407,BgL_kz00_2426); } 
{ /* Ast/occur.scm 75 */
int BgL_kz00_2428;
BgL_kz00_2428 = 
(int)(BgL_restz00_2414); 
BgL_method2693z00_2404 = 
VECTOR_REF(BgL_bucketz00_2416,BgL_kz00_2428); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2404)(BgL_method2693z00_2404, 
(obj_t)(BgL_nodez00_2403), BEOA); } } 
BgL_auxz00_4199 = 
BGl_occurzd2nodeza2z12z62zzast_occurz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1666))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4199);} } } 
}



/* occur-node!-sequence2697 */
obj_t BGl_occurzd2nodez12zd2sequence2697z12zzast_occurz00(obj_t BgL_envz00_3232, obj_t BgL_nodez00_3233)
{ AN_OBJECT;
{ /* Ast/occur.scm 67 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1660;
{ /* Ast/occur.scm 68 */
bool_t BgL_auxz00_4235;
BgL_nodez00_1660 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3233); 
BgL_auxz00_4235 = 
BGl_occurzd2nodeza2z12z62zzast_occurz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1660))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_4235);} } } 
}



/* occur-node!-var2695 */
obj_t BGl_occurzd2nodez12zd2var2695z12zzast_occurz00(obj_t BgL_envz00_3234, obj_t BgL_nodez00_3235)
{ AN_OBJECT;
{ /* Ast/occur.scm 56 */
{ 
BgL_varz00_bglt BgL_nodez00_1645;
BgL_nodez00_1645 = 
(BgL_varz00_bglt)(BgL_nodez00_3235); 
{ /* Ast/occur.scm 57 */
BgL_variablez00_bglt BgL_vz00_1648;
BgL_vz00_1648 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1645))->BgL_variablez00); 
{ /* Ast/occur.scm 58 */
BgL_valuez00_bglt BgL_valuez00_1649;
BgL_valuez00_1649 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1648))->BgL_valuez00); 
{ /* Ast/occur.scm 59 */
bool_t BgL_test2787z00_1650;
{ /* Ast/occur.scm 59 */
bool_t BgL_test2789z00_1652;
BgL_test2789z00_1652 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1649), BGl_scnstz00zzast_varz00); 
if(BgL_test2789z00_1652)
{ /* Ast/occur.scm 59 */
obj_t BgL_auxz00_4245;
{ /* Ast/occur.scm 59 */
BgL_scnstz00_bglt BgL_obj1499z00_2366;
BgL_obj1499z00_2366 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1649); 
BgL_auxz00_4245 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1499z00_2366))->BgL_nodez00); } 
BgL_test2787z00_1650 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4245, BGl_nodez00zzast_nodez00); }  else 
{ /* Ast/occur.scm 59 */
BgL_test2787z00_1650 = ((bool_t)0); } } 
if(BgL_test2787z00_1650)
{ /* Ast/occur.scm 60 */
BgL_nodez00_bglt BgL_nodez00_2369;
{ /* Ast/occur.scm 60 */
obj_t BgL_auxz00_4250;
{ /* Ast/occur.scm 60 */
BgL_scnstz00_bglt BgL_obj1499z00_2368;
BgL_obj1499z00_2368 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1649); 
BgL_auxz00_4250 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1499z00_2368))->BgL_nodez00); } 
BgL_nodez00_2369 = 
(BgL_nodez00_bglt)(BgL_auxz00_4250); } 
{ /* Ast/occur.scm 60 */
obj_t BgL_method2693z00_2370;
{ /* Ast/occur.scm 60 */
long BgL_objzd2classzd2numz00_2372;
{ /* Ast/occur.scm 60 */
BgL_objectz00_bglt BgL_auxz00_4254;
BgL_auxz00_4254 = 
(BgL_objectz00_bglt)(BgL_nodez00_2369); 
BgL_objzd2classzd2numz00_2372 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4254); } 
{ /* Ast/occur.scm 60 */
obj_t BgL_arg1221z00_2373;
{ /* Ast/occur.scm 60 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(((long)1)); 
BgL_arg1221z00_2373 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4257); } 
{ /* Ast/occur.scm 60 */
long BgL_offsetz00_2377;
{ /* Ast/occur.scm 60 */
long BgL_auxz00_4260;
{ /* Ast/occur.scm 60 */
int BgL_auxz00_4261;
BgL_auxz00_4261 = 
(int)(BgL_objzd2classzd2numz00_2372); 
BgL_auxz00_4260 = 
(long)(BgL_auxz00_4261); } 
BgL_offsetz00_2377 = 
(BgL_auxz00_4260-OBJECT_TYPE); } 
{ /* Ast/occur.scm 60 */
long BgL_modz00_2378;
{ /* Ast/occur.scm 60 */
long BgL_auxz00_4265;
{ /* Ast/occur.scm 60 */
int BgL_auxz00_4266;
BgL_auxz00_4266 = 
(int)(((long)8)); 
BgL_auxz00_4265 = 
(long)(BgL_auxz00_4266); } 
BgL_modz00_2378 = 
(BgL_offsetz00_2377/BgL_auxz00_4265); } 
{ /* Ast/occur.scm 60 */
long BgL_restz00_2380;
{ /* Ast/occur.scm 60 */
long BgL_auxz00_4270;
{ /* Ast/occur.scm 60 */
int BgL_auxz00_4271;
BgL_auxz00_4271 = 
(int)(((long)8)); 
BgL_auxz00_4270 = 
(long)(BgL_auxz00_4271); } 
BgL_restz00_2380 = 
(BgL_offsetz00_2377%BgL_auxz00_4270); } 
{ /* Ast/occur.scm 60 */

{ /* Ast/occur.scm 60 */
obj_t BgL_bucketz00_2382;
{ /* Ast/occur.scm 60 */
int BgL_kz00_2392;
BgL_kz00_2392 = 
(int)(BgL_modz00_2378); 
BgL_bucketz00_2382 = 
VECTOR_REF(BgL_arg1221z00_2373,BgL_kz00_2392); } 
{ /* Ast/occur.scm 60 */
int BgL_kz00_2394;
BgL_kz00_2394 = 
(int)(BgL_restz00_2380); 
BgL_method2693z00_2370 = 
VECTOR_REF(BgL_bucketz00_2382,BgL_kz00_2394); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2693z00_2370)(BgL_method2693z00_2370, 
(obj_t)(BgL_nodez00_2369), BEOA); } }  else 
{ /* Ast/occur.scm 59 */BFALSE; } } } 
{ /* Ast/occur.scm 61 */
bool_t BgL_test2791z00_1654;
{ /* Ast/occur.scm 61 */
obj_t BgL_auxz00_4282;
BgL_auxz00_4282 = 
(obj_t)(BgL_vz00_1648); 
BgL_test2791z00_1654 = 
(BgL_auxz00_4282==BGl_za2globalza2z00zzast_occurz00); } 
if(BgL_test2791z00_1654)
{ /* Ast/occur.scm 61 */
return BFALSE;}  else 
{ /* Ast/occur.scm 62 */
long BgL_arg2792z00_1655;
{ /* Ast/occur.scm 62 */
long BgL_auxz00_4286;
BgL_auxz00_4286 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1648))->BgL_occurrencez00); 
BgL_arg2792z00_1655 = 
(BgL_auxz00_4286+((long)1)); } 
return 
((((BgL_variablez00_bglt)CREF(BgL_vz00_1648))->BgL_occurrencez00) = ((long)BgL_arg2792z00_1655), BUNSPEC);} } } } } 
}



/* occur-node! */
obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_4)
{ AN_OBJECT;
{ /* Ast/occur.scm 50 */
{ /* Ast/occur.scm 50 */
obj_t BgL_method2693z00_3147;
{ /* Ast/occur.scm 50 */
long BgL_objzd2classzd2numz00_3149;
{ /* Ast/occur.scm 50 */
BgL_objectz00_bglt BgL_auxz00_4291;
BgL_auxz00_4291 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_3149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4291); } 
{ /* Ast/occur.scm 50 */
obj_t BgL_arg1221z00_3150;
{ /* Ast/occur.scm 50 */
int BgL_auxz00_4294;
BgL_auxz00_4294 = 
(int)(((long)1)); 
BgL_arg1221z00_3150 = 
PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BgL_auxz00_4294); } 
{ /* Ast/occur.scm 50 */
long BgL_offsetz00_3154;
{ /* Ast/occur.scm 50 */
long BgL_auxz00_4297;
{ /* Ast/occur.scm 50 */
int BgL_auxz00_4298;
BgL_auxz00_4298 = 
(int)(BgL_objzd2classzd2numz00_3149); 
BgL_auxz00_4297 = 
(long)(BgL_auxz00_4298); } 
BgL_offsetz00_3154 = 
(BgL_auxz00_4297-OBJECT_TYPE); } 
{ /* Ast/occur.scm 50 */
long BgL_modz00_3155;
{ /* Ast/occur.scm 50 */
long BgL_auxz00_4302;
{ /* Ast/occur.scm 50 */
int BgL_auxz00_4303;
BgL_auxz00_4303 = 
(int)(((long)8)); 
BgL_auxz00_4302 = 
(long)(BgL_auxz00_4303); } 
BgL_modz00_3155 = 
(BgL_offsetz00_3154/BgL_auxz00_4302); } 
{ /* Ast/occur.scm 50 */
long BgL_restz00_3157;
{ /* Ast/occur.scm 50 */
long BgL_auxz00_4307;
{ /* Ast/occur.scm 50 */
int BgL_auxz00_4308;
BgL_auxz00_4308 = 
(int)(((long)8)); 
BgL_auxz00_4307 = 
(long)(BgL_auxz00_4308); } 
BgL_restz00_3157 = 
(BgL_offsetz00_3154%BgL_auxz00_4307); } 
{ /* Ast/occur.scm 50 */

{ /* Ast/occur.scm 50 */
obj_t BgL_bucketz00_3159;
{ /* Ast/occur.scm 50 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_modz00_3155); 
BgL_bucketz00_3159 = 
VECTOR_REF(BgL_arg1221z00_3150,BgL_kz00_3169); } 
{ /* Ast/occur.scm 50 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_restz00_3157); 
BgL_method2693z00_3147 = 
VECTOR_REF(BgL_bucketz00_3159,BgL_kz00_3171); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2693z00_3147)(BgL_method2693z00_3147, 
(obj_t)(BgL_nodez00_4), BEOA);} } 
}



/* _occur-node! */
obj_t BGl__occurzd2nodez12zc0zzast_occurz00(obj_t BgL_envz00_3180, obj_t BgL_nodez00_3181)
{ AN_OBJECT;
{ /* Ast/occur.scm 50 */
return 
BGl_occurzd2nodez12zc0zzast_occurz00(
(BgL_nodez00_bglt)(BgL_nodez00_3181));} 
}



/* occur-node!-default2692 */
obj_t BGl_occurzd2nodez12zd2default2692z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_5)
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
return 
CNST_TABLE_REF(((long)0));} 
}



/* _occur-node!-default2692 */
obj_t BGl__occurzd2nodez12zd2default2692z12zzast_occurz00(obj_t BgL_envz00_3236, obj_t BgL_nodez00_3237)
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
return 
BGl_occurzd2nodez12zd2default2692z12zzast_occurz00(
(BgL_nodez00_bglt)(BgL_nodez00_3237));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00()
{ AN_OBJECT;
{ /* Ast/occur.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_occur"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_occur"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_occur"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_occur"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_occur"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_occur"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_occur"); 
return 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_occur");} 
}

