/*===========================================================================*/
/*   (Ast/pragma.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_pragmaz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_pragmaz00zzast_nodez00;
extern bool_t rgc_fill_buffer(obj_t);
extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32691ze3z83zzast_pragmaz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_pragmaz00();
static obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t rgc_buffer_substring(obj_t, int, int);
extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern long bgl_list_length(obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_pragmaz00 = BUNSPEC;
static obj_t BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
static obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2816z00zzast_pragmaz00, BgL_bgl_za7c3anonymousza7a32691za7e3za783za7za7ast_pragmaza7002826za7, BGl_zc3anonymousza32691ze3z83zzast_pragmaz00, 0L, 1 );
DEFINE_STRING( BGl_string2821z00zzast_pragmaz00, BgL_bgl_string2821za700za7za7ast_pragmaza7002827z00, "value ", 6 );
DEFINE_STRING( BGl_string2820z00zzast_pragmaz00, BgL_bgl_string2820za700za7za7ast_pragmaza7002828z00, "Illegal range", 13 );
DEFINE_STRING( BGl_string2819z00zzast_pragmaz00, BgL_bgl_string2819za700za7za7ast_pragmaza7002829z00, "the-substring", 13 );
DEFINE_STRING( BGl_string2818z00zzast_pragmaz00, BgL_bgl_string2818za700za7za7ast_pragmaza7002830z00, "Illegal match", 13 );
DEFINE_STRING( BGl_string2817z00zzast_pragmaz00, BgL_bgl_string2817za700za7za7ast_pragmaza7002831z00, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2815z00zzast_pragmaz00, BgL_bgl_string2815za700za7za7ast_pragmaza7002832z00, "Illegal `pragma' form", 21 );
DEFINE_STRING( BGl_string2814z00zzast_pragmaz00, BgL_bgl_string2814za700za7za7ast_pragmaza7002833z00, "Wrong number of arguments in `pragma' form", 42 );
DEFINE_EXPORT_PROCEDURE( BGl_pragmazf2typezd2ze3nodezd2envz11zzast_pragmaz00, BgL_bgl__pragmaza7f2typeza7d2za7e3nodeza7c3za7za7ast_pragmaza7002834za7, BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00, 0L, 6 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long BgL_checksumz00_2430, char * BgL_fromz00_2431)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_pragmaz00))
{ 
BGl_requirezd2initializa7ationz75zzast_pragmaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_pragmaz00(); 
BGl_cnstzd2initzd2zzast_pragmaz00(); 
BGl_importedzd2moduleszd2initz00zzast_pragmaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00()
{ AN_OBJECT;
{ /* Ast/pragma.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_pragma"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_pragmaz00()
{ AN_OBJECT;
{ /* Ast/pragma.scm 14 */
{ /* Ast/pragma.scm 14 */
obj_t BgL_cportz00_2423;
BgL_cportz00_2423 = 
open_input_string(BGl_string2821z00zzast_pragmaz00); 
{ 
long BgL_iz00_2424;
BgL_iz00_2424 = ((long)0); 
BgL_loopz00_2425:
if(
(BgL_iz00_2424==((long)-1)))
{ /* Ast/pragma.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/pragma.scm 14 */
{ /* Ast/pragma.scm 14 */
obj_t BgL_arg2823z00_2427;
{ /* Ast/pragma.scm 14 */
obj_t BgL_list2824z00_2428;
BgL_list2824z00_2428 = 
MAKE_PAIR(BgL_cportz00_2423, BNIL); 
BgL_arg2823z00_2427 = 
BGl_readz00zz__readerz00(BgL_list2824z00_2428); } 
{ /* Ast/pragma.scm 14 */
int BgL_auxz00_2447;
BgL_auxz00_2447 = 
(int)(BgL_iz00_2424); 
CNST_TABLE_SET(BgL_auxz00_2447, BgL_arg2823z00_2427); } } 
{ 
long BgL_iz00_2450;
{ /* Ast/pragma.scm 14 */
int BgL_auxz00_2451;
{ /* Ast/pragma.scm 14 */
long BgL_auxz00_2452;
BgL_auxz00_2452 = 
(BgL_iz00_2424-((long)1)); 
BgL_auxz00_2451 = 
(int)(BgL_auxz00_2452); } 
BgL_iz00_2450 = 
(long)(BgL_auxz00_2451); } 
BgL_iz00_2424 = BgL_iz00_2450; 
goto BgL_loopz00_2425;} } } } } 
}



/* pragma/type->node */
BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t BgL_freez00_1, BgL_typez00_bglt BgL_typez00_2, obj_t BgL_expz00_3, obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
{ AN_OBJECT;
{ /* Ast/pragma.scm 24 */
{ 
obj_t BgL_formatz00_1227;obj_t BgL_valuesz00_1228;
if(
PAIRP(BgL_expz00_3))
{ /* Ast/pragma.scm 25 */
obj_t BgL_cdrzd2109zd2_1233;
BgL_cdrzd2109zd2_1233 = 
CDR(BgL_expz00_3); 
if(
PAIRP(BgL_cdrzd2109zd2_1233))
{ /* Ast/pragma.scm 25 */
obj_t BgL_carzd2112zd2_1235;
BgL_carzd2112zd2_1235 = 
CAR(BgL_cdrzd2109zd2_1233); 
if(
STRINGP(BgL_carzd2112zd2_1235))
{ /* Ast/pragma.scm 25 */
obj_t BgL_auxz00_2464;
BgL_formatz00_1227 = BgL_carzd2112zd2_1235; 
BgL_valuesz00_1228 = 
CDR(BgL_cdrzd2109zd2_1233); 
{ /* Ast/pragma.scm 27 */
obj_t BgL_maxzd2indexzd2_1238;obj_t BgL_locz00_1239;
BgL_maxzd2indexzd2_1238 = 
BGl_getzd2maxzd2indexz00zzast_pragmaz00(BgL_formatz00_1227); 
BgL_locz00_1239 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_3, BgL_locz00_5); 
{ /* Ast/pragma.scm 29 */
bool_t BgL_testz00_2467;
{ /* Ast/pragma.scm 29 */
long BgL_auxz00_2470;long BgL_auxz00_2468;
BgL_auxz00_2470 = 
bgl_list_length(BgL_valuesz00_1228); 
BgL_auxz00_2468 = 
(long)CINT(BgL_maxzd2indexzd2_1238); 
BgL_testz00_2467 = 
(BgL_auxz00_2468==BgL_auxz00_2470); } 
if(BgL_testz00_2467)
{ 
obj_t BgL_expsz00_1241;obj_t BgL_nodesz00_1242;
{ /* Ast/pragma.scm 33 */
BgL_pragmaz00_bglt BgL_auxz00_2473;
BgL_expsz00_1241 = BgL_valuesz00_1228; 
BgL_nodesz00_1242 = BNIL; 
BgL_loopz00_1243:
if(
NULLP(BgL_expsz00_1241))
{ /* Ast/pragma.scm 37 */
obj_t BgL_arg2669z00_1245;BgL_typez00_bglt BgL_arg2670z00_1246;bool_t BgL_arg2671z00_1247;obj_t BgL_arg2673z00_1249;obj_t BgL_arg2674z00_1250;
BgL_arg2669z00_1245 = BgL_locz00_1239; 
BgL_arg2670z00_1246 = BgL_typez00_2; 
if(BgL_freez00_1)
{ /* Ast/pragma.scm 41 */
BgL_arg2671z00_1247 = ((bool_t)0); }  else 
{ /* Ast/pragma.scm 41 */
BgL_arg2671z00_1247 = ((bool_t)1); } 
BgL_arg2673z00_1249 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_nodesz00_1242); 
BgL_arg2674z00_1250 = BgL_formatz00_1227; 
{ /* Ast/pragma.scm 36 */
BgL_pragmaz00_bglt BgL_res2805z00_1822;
{ /* Ast/pragma.scm 36 */
obj_t BgL_sidezd2effectzf31880z21_1797;obj_t BgL_key1881z00_1798;
BgL_sidezd2effectzf31880z21_1797 = 
BBOOL(BgL_arg2671z00_1247); 
BgL_key1881z00_1798 = 
BINT(((long)-1)); 
{ /* Ast/pragma.scm 36 */
BgL_pragmaz00_bglt BgL_new1884z00_1801;
{ /* Ast/pragma.scm 36 */
BgL_pragmaz00_bglt BgL_res2803z00_1807;
{ /* Ast/pragma.scm 36 */
BgL_pragmaz00_bglt BgL_new1886z00_1802;
BgL_new1886z00_1802 = 
((BgL_pragmaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_pragmaz00_bgl) ))); 
{ /* Ast/pragma.scm 36 */
long BgL_arg2774z00_1803;
BgL_arg2774z00_1803 = 
BGl_classzd2numzd2zz__objectz00(BGl_pragmaz00zzast_nodez00); 
{ /* Ast/pragma.scm 36 */
BgL_objectz00_bglt BgL_auxz00_2482;
BgL_auxz00_2482 = 
(BgL_objectz00_bglt)(BgL_new1886z00_1802); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2482, BgL_arg2774z00_1803); } } 
{ /* Ast/pragma.scm 36 */
BgL_objectz00_bglt BgL_auxz00_2485;
BgL_auxz00_2485 = 
(BgL_objectz00_bglt)(BgL_new1886z00_1802); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2485, BFALSE); } 
{ /* Ast/pragma.scm 36 */
obj_t BgL_auxz00_2488;
BgL_auxz00_2488 = 
(obj_t)(BgL_new1886z00_1802); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2488); } BUNSPEC; 
BgL_res2803z00_1807 = BgL_new1886z00_1802; } 
BgL_new1884z00_1801 = BgL_res2803z00_1807; } 
{ /* Ast/pragma.scm 36 */
BgL_pragmaz00_bglt BgL_res2804z00_1821;
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_locz00) = ((obj_t)BgL_arg2669z00_1245), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2670z00_1246), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31880z21_1797), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_keyz00) = ((obj_t)BgL_key1881z00_1798), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_exprza2za2) = ((obj_t)BgL_arg2673z00_1249), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new1884z00_1801))->BgL_formatz00) = ((obj_t)BgL_arg2674z00_1250), BUNSPEC); 
BgL_res2804z00_1821 = BgL_new1884z00_1801; BgL_res2804z00_1821; } 
BgL_res2805z00_1822 = BgL_new1884z00_1801; } } 
BgL_auxz00_2473 = BgL_res2805z00_1822; } }  else 
{ /* Ast/pragma.scm 42 */
obj_t BgL_arg2675z00_1251;obj_t BgL_arg2676z00_1252;
BgL_arg2675z00_1251 = 
CDR(BgL_expsz00_1241); 
{ /* Ast/pragma.scm 44 */
BgL_nodez00_bglt BgL_arg2677z00_1253;
{ /* Ast/pragma.scm 44 */
obj_t BgL_arg2678z00_1254;obj_t BgL_arg2679z00_1255;obj_t BgL_arg2680z00_1256;
BgL_arg2678z00_1254 = 
CAR(BgL_expsz00_1241); 
BgL_arg2679z00_1255 = 
BGl_findzd2locationzf2locz20zztools_locationz00(
CAR(BgL_expsz00_1241), BgL_locz00_1239); 
BgL_arg2680z00_1256 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2677z00_1253 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2678z00_1254, BgL_stackz00_4, BgL_arg2679z00_1255, BgL_arg2680z00_1256); } 
{ /* Ast/pragma.scm 43 */
obj_t BgL_auxz00_2503;
BgL_auxz00_2503 = 
(obj_t)(BgL_arg2677z00_1253); 
BgL_arg2676z00_1252 = 
MAKE_PAIR(BgL_auxz00_2503, BgL_nodesz00_1242); } } 
{ 
obj_t BgL_nodesz00_2507;obj_t BgL_expsz00_2506;
BgL_expsz00_2506 = BgL_arg2675z00_1251; 
BgL_nodesz00_2507 = BgL_arg2676z00_1252; 
BgL_nodesz00_1242 = BgL_nodesz00_2507; 
BgL_expsz00_1241 = BgL_expsz00_2506; 
goto BgL_loopz00_1243;} } 
BgL_auxz00_2464 = 
(obj_t)(BgL_auxz00_2473); } }  else 
{ /* Ast/pragma.scm 30 */
BgL_nodez00_bglt BgL_auxz00_2509;
BgL_auxz00_2509 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2814z00zzast_pragmaz00, BgL_expz00_3, BgL_locz00_1239); 
BgL_auxz00_2464 = 
(obj_t)(BgL_auxz00_2509); } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_2464);}  else 
{ /* Ast/pragma.scm 25 */
BgL_tagzd2102zd2_1230:
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string2815z00zzast_pragmaz00, BgL_expz00_3, BgL_locz00_5);} }  else 
{ /* Ast/pragma.scm 25 */
goto BgL_tagzd2102zd2_1230;} }  else 
{ /* Ast/pragma.scm 25 */
goto BgL_tagzd2102zd2_1230;} } } 
}



/* _pragma/type->node */
obj_t BGl__pragmazf2typezd2ze3nodezc3zzast_pragmaz00(obj_t BgL_envz00_2413, obj_t BgL_freez00_2414, obj_t BgL_typez00_2415, obj_t BgL_expz00_2416, obj_t BgL_stackz00_2417, obj_t BgL_locz00_2418, obj_t BgL_sitez00_2419)
{ AN_OBJECT;
{ /* Ast/pragma.scm 24 */
{ /* Ast/pragma.scm 24 */
BgL_nodez00_bglt BgL_auxz00_2515;
BgL_auxz00_2515 = 
BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(
CBOOL(BgL_freez00_2414), 
(BgL_typez00_bglt)(BgL_typez00_2415), BgL_expz00_2416, BgL_stackz00_2417, BgL_locz00_2418, BgL_sitez00_2419); 
return 
(obj_t)(BgL_auxz00_2515);} } 
}



/* get-max-index */
obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t BgL_formatz00_7)
{ AN_OBJECT;
{ /* Ast/pragma.scm 55 */
{ /* Ast/pragma.scm 56 */
obj_t BgL_portz00_1260;
BgL_portz00_1260 = 
open_input_string(BgL_formatz00_7); 
{ 
obj_t BgL_expz00_1261;obj_t BgL_maxz00_1262;
{ /* Ast/pragma.scm 64 */
obj_t BgL_arg2683z00_1264;
BgL_arg2683z00_1264 = 
PROCEDURE_ENTRY(BGl_proc2816z00zzast_pragmaz00)(BGl_proc2816z00zzast_pragmaz00, BgL_portz00_1260, BEOA); 
BgL_expz00_1261 = BgL_arg2683z00_1264; 
BgL_maxz00_1262 = 
BINT(((long)0)); 
BgL_loopz00_1263:
{ /* Ast/pragma.scm 67 */
bool_t BgL_test2685z00_1266;
BgL_test2685z00_1266 = 
EOF_OBJECTP(BgL_expz00_1261); 
if(BgL_test2685z00_1266)
{ /* Ast/pragma.scm 67 */
return BgL_maxz00_1262;}  else 
{ /* Ast/pragma.scm 67 */
if(
CHARP(BgL_expz00_1261))
{ /* Ast/pragma.scm 69 */
{ /* Ast/pragma.scm 70 */
obj_t BgL_arg2687z00_1268;
BgL_arg2687z00_1268 = 
PROCEDURE_ENTRY(BGl_proc2816z00zzast_pragmaz00)(BGl_proc2816z00zzast_pragmaz00, BgL_portz00_1260, BEOA); 
{ 
obj_t BgL_expz00_2529;
BgL_expz00_2529 = BgL_arg2687z00_1268; 
BgL_expz00_1261 = BgL_expz00_2529; 
goto BgL_loopz00_1263;} } }  else 
{ /* Ast/pragma.scm 69 */
{ /* Ast/pragma.scm 72 */
obj_t BgL_arg2688z00_1269;
BgL_arg2688z00_1269 = 
PROCEDURE_ENTRY(BGl_proc2816z00zzast_pragmaz00)(BGl_proc2816z00zzast_pragmaz00, BgL_portz00_1260, BEOA); 
{ 
obj_t BgL_maxz00_2533;obj_t BgL_expz00_2532;
BgL_expz00_2532 = BgL_arg2688z00_1269; 
{ /* Ast/pragma.scm 72 */
bool_t BgL_testz00_2534;
{ /* Ast/pragma.scm 72 */
long BgL_auxz00_2537;long BgL_auxz00_2535;
BgL_auxz00_2537 = 
(long)CINT(BgL_maxz00_1262); 
BgL_auxz00_2535 = 
(long)CINT(BgL_expz00_1261); 
BgL_testz00_2534 = 
(BgL_auxz00_2535>BgL_auxz00_2537); } 
if(BgL_testz00_2534)
{ /* Ast/pragma.scm 72 */
BgL_maxz00_2533 = BgL_expz00_1261; }  else 
{ /* Ast/pragma.scm 72 */
BgL_maxz00_2533 = BgL_maxz00_1262; } } 
BgL_maxz00_1262 = BgL_maxz00_2533; 
BgL_expz00_1261 = BgL_expz00_2532; 
goto BgL_loopz00_1263;} } } } } } } } } 
}



/* <anonymous:2691> */
obj_t BGl_zc3anonymousza32691ze3z83zzast_pragmaz00(obj_t BgL_envz00_2421, obj_t BgL_inputzd2portzd2_2422)
{ AN_OBJECT;
{ /* Ast/pragma.scm 56 */
{ 
obj_t BgL_inputzd2portzd2_1273;
BgL_inputzd2portzd2_1273 = BgL_inputzd2portzd2_2422; 
{ 
long BgL_lastzd2matchzd2_1370;long BgL_lastzd2matchzd2_1362;long BgL_lastzd2matchzd2_1355;long BgL_lastzd2matchzd2_1347;long BgL_lastzd2matchzd2_1339;long BgL_minz00_1324;int BgL_maxz00_1325;
BgL_zc3anonymousza32692ze3z83_1296:
RGC_START_MATCH(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
int BgL_matchz00_1297;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2542;
BgL_lastzd2matchzd2_1355 = ((long)2); 
BgL_zc3anonymousza32737ze3z83_1356:
{ /* Ast/pragma.scm 56 */
int BgL_currentzd2charzd2_1357;
BgL_currentzd2charzd2_1357 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2544;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2545;
BgL_auxz00_2545 = 
(long)(BgL_currentzd2charzd2_1357); 
BgL_testz00_2544 = 
(BgL_auxz00_2545==((long)0)); } 
if(BgL_testz00_2544)
{ /* Ast/pragma.scm 56 */
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2739z00_1359;
BgL_test2739z00_1359 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1273); 
if(BgL_test2739z00_1359)
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2740z00_1360;
BgL_test2740z00_1360 = 
rgc_fill_buffer(BgL_inputzd2portzd2_1273); 
if(BgL_test2740z00_1360)
{ 

goto BgL_zc3anonymousza32737ze3z83_1356;}  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_lastzd2matchzd2_1355
; } }  else 
{ /* Ast/pragma.scm 56 */
BgL_lastzd2matchzd2_1339 = BgL_lastzd2matchzd2_1355; 
BgL_zc3anonymousza32727ze3z83_1340:
{ /* Ast/pragma.scm 56 */
long BgL_newzd2matchzd2_1341;
RGC_STOP_MATCH(BgL_inputzd2portzd2_1273); 
BgL_newzd2matchzd2_1341 = ((long)1); 
{ /* Ast/pragma.scm 56 */
int BgL_currentzd2charzd2_1342;
BgL_currentzd2charzd2_1342 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2554;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2555;
BgL_auxz00_2555 = 
(long)(BgL_currentzd2charzd2_1342); 
BgL_testz00_2554 = 
(BgL_auxz00_2555==((long)0)); } 
if(BgL_testz00_2554)
{ /* Ast/pragma.scm 56 */
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2729z00_1344;
BgL_test2729z00_1344 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1273); 
if(BgL_test2729z00_1344)
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2730z00_1345;
BgL_test2730z00_1345 = 
rgc_fill_buffer(BgL_inputzd2portzd2_1273); 
if(BgL_test2730z00_1345)
{ 

goto BgL_zc3anonymousza32727ze3z83_1340;}  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1341
; } }  else 
{ /* Ast/pragma.scm 56 */
BgL_lastzd2matchzd2_1347 = BgL_newzd2matchzd2_1341; 
BgL_zc3anonymousza32732ze3z83_1348:
{ /* Ast/pragma.scm 56 */
long BgL_newzd2matchzd2_1349;
RGC_STOP_MATCH(BgL_inputzd2portzd2_1273); 
BgL_newzd2matchzd2_1349 = ((long)1); 
{ /* Ast/pragma.scm 56 */
int BgL_currentzd2charzd2_1350;
BgL_currentzd2charzd2_1350 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2564;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2565;
BgL_auxz00_2565 = 
(long)(BgL_currentzd2charzd2_1350); 
BgL_testz00_2564 = 
(BgL_auxz00_2565==((long)0)); } 
if(BgL_testz00_2564)
{ /* Ast/pragma.scm 56 */
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2734z00_1352;
BgL_test2734z00_1352 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1273); 
if(BgL_test2734z00_1352)
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2735z00_1353;
BgL_test2735z00_1353 = 
rgc_fill_buffer(BgL_inputzd2portzd2_1273); 
if(BgL_test2735z00_1353)
{ 

goto BgL_zc3anonymousza32732ze3z83_1348;}  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1349
; } }  else 
{ 
long BgL_lastzd2matchzd2_2572;
BgL_lastzd2matchzd2_2572 = BgL_newzd2matchzd2_1349; 
BgL_lastzd2matchzd2_1347 = BgL_lastzd2matchzd2_2572; 
goto BgL_zc3anonymousza32732ze3z83_1348;} } }  else 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2573;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2574;
BgL_auxz00_2574 = 
(long)(BgL_currentzd2charzd2_1350); 
BgL_testz00_2573 = 
(BgL_auxz00_2574==((long)36)); } 
if(BgL_testz00_2573)
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1349; }  else 
{ /* Ast/pragma.scm 56 */
{ 
long BgL_lastzd2matchzd2_2577;
BgL_lastzd2matchzd2_2577 = BgL_newzd2matchzd2_1349; 
BgL_lastzd2matchzd2_1347 = BgL_lastzd2matchzd2_2577; 
goto BgL_zc3anonymousza32732ze3z83_1348;} } } } } } } } }  else 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2578;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2579;
BgL_auxz00_2579 = 
(long)(BgL_currentzd2charzd2_1342); 
BgL_testz00_2578 = 
(BgL_auxz00_2579==((long)36)); } 
if(BgL_testz00_2578)
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1341; }  else 
{ /* Ast/pragma.scm 56 */
{ 
long BgL_lastzd2matchzd2_2582;
BgL_lastzd2matchzd2_2582 = BgL_newzd2matchzd2_1341; 
BgL_lastzd2matchzd2_1347 = BgL_lastzd2matchzd2_2582; 
goto BgL_zc3anonymousza32732ze3z83_1348;} } } } } } } } }  else 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2583;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2584;
BgL_auxz00_2584 = 
(long)(BgL_currentzd2charzd2_1357); 
BgL_testz00_2583 = 
(BgL_auxz00_2584==((long)36)); } 
if(BgL_testz00_2583)
{ /* Ast/pragma.scm 56 */
BgL_lastzd2matchzd2_1370 = BgL_lastzd2matchzd2_1355; 
BgL_zc3anonymousza32747ze3z83_1371:
{ /* Ast/pragma.scm 56 */
long BgL_newzd2matchzd2_1372;
RGC_STOP_MATCH(BgL_inputzd2portzd2_1273); 
BgL_newzd2matchzd2_1372 = ((long)2); 
{ /* Ast/pragma.scm 56 */
int BgL_currentzd2charzd2_1373;
BgL_currentzd2charzd2_1373 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2589;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2590;
BgL_auxz00_2590 = 
(long)(BgL_currentzd2charzd2_1373); 
BgL_testz00_2589 = 
(BgL_auxz00_2590==((long)0)); } 
if(BgL_testz00_2589)
{ /* Ast/pragma.scm 56 */
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2749z00_1375;
{ /* Ast/pragma.scm 56 */
bool_t BgL_res2811z00_1903;
{ /* Ast/pragma.scm 56 */
bool_t BgL__andtest_1010z00_1900;
BgL__andtest_1010z00_1900 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1273); 
if(BgL__andtest_1010z00_1900)
{ /* Ast/pragma.scm 56 */
BgL_res2811z00_1903 = 
rgc_fill_buffer(BgL_inputzd2portzd2_1273); }  else 
{ /* Ast/pragma.scm 56 */
BgL_res2811z00_1903 = ((bool_t)0); } } 
BgL_test2749z00_1375 = BgL_res2811z00_1903; } 
if(BgL_test2749z00_1375)
{ 

goto BgL_zc3anonymousza32747ze3z83_1371;}  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1372
; } } }  else 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2597;
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2598;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2599;
BgL_auxz00_2599 = 
(long)(BgL_currentzd2charzd2_1373); 
BgL_testz00_2598 = 
(BgL_auxz00_2599>=((long)48)); } 
if(BgL_testz00_2598)
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2602;
BgL_auxz00_2602 = 
(long)(BgL_currentzd2charzd2_1373); 
BgL_testz00_2597 = 
(BgL_auxz00_2602<((long)58)); }  else 
{ /* Ast/pragma.scm 56 */
BgL_testz00_2597 = ((bool_t)0)
; } } 
if(BgL_testz00_2597)
{ /* Ast/pragma.scm 56 */
BgL_lastzd2matchzd2_1362 = BgL_newzd2matchzd2_1372; 
BgL_zc3anonymousza32742ze3z83_1363:
{ /* Ast/pragma.scm 56 */
long BgL_newzd2matchzd2_1364;
RGC_STOP_MATCH(BgL_inputzd2portzd2_1273); 
BgL_newzd2matchzd2_1364 = ((long)0); 
{ /* Ast/pragma.scm 56 */
int BgL_currentzd2charzd2_1365;
BgL_currentzd2charzd2_1365 = 
RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1273); 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2607;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2608;
BgL_auxz00_2608 = 
(long)(BgL_currentzd2charzd2_1365); 
BgL_testz00_2607 = 
(BgL_auxz00_2608==((long)0)); } 
if(BgL_testz00_2607)
{ /* Ast/pragma.scm 56 */
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2744z00_1367;
{ /* Ast/pragma.scm 56 */
bool_t BgL_res2810z00_1890;
{ /* Ast/pragma.scm 56 */
bool_t BgL__andtest_1010z00_1887;
BgL__andtest_1010z00_1887 = 
RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1273); 
if(BgL__andtest_1010z00_1887)
{ /* Ast/pragma.scm 56 */
BgL_res2810z00_1890 = 
rgc_fill_buffer(BgL_inputzd2portzd2_1273); }  else 
{ /* Ast/pragma.scm 56 */
BgL_res2810z00_1890 = ((bool_t)0); } } 
BgL_test2744z00_1367 = BgL_res2810z00_1890; } 
if(BgL_test2744z00_1367)
{ 

goto BgL_zc3anonymousza32742ze3z83_1363;}  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1364
; } } }  else 
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2615;
{ /* Ast/pragma.scm 56 */
bool_t BgL_testz00_2616;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2617;
BgL_auxz00_2617 = 
(long)(BgL_currentzd2charzd2_1365); 
BgL_testz00_2616 = 
(BgL_auxz00_2617>=((long)48)); } 
if(BgL_testz00_2616)
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2620;
BgL_auxz00_2620 = 
(long)(BgL_currentzd2charzd2_1365); 
BgL_testz00_2615 = 
(BgL_auxz00_2620<((long)58)); }  else 
{ /* Ast/pragma.scm 56 */
BgL_testz00_2615 = ((bool_t)0)
; } } 
if(BgL_testz00_2615)
{ /* Ast/pragma.scm 56 */
{ 
long BgL_lastzd2matchzd2_2623;
BgL_lastzd2matchzd2_2623 = BgL_newzd2matchzd2_1364; 
BgL_lastzd2matchzd2_1362 = BgL_lastzd2matchzd2_2623; 
goto BgL_zc3anonymousza32742ze3z83_1363;} }  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1364; } } } } } }  else 
{ /* Ast/pragma.scm 56 */
BgL_auxz00_2542 = BgL_newzd2matchzd2_1372; } } } } } }  else 
{ /* Ast/pragma.scm 56 */
{ 
long BgL_lastzd2matchzd2_2624;
BgL_lastzd2matchzd2_2624 = BgL_lastzd2matchzd2_1355; 
BgL_lastzd2matchzd2_1339 = BgL_lastzd2matchzd2_2624; 
goto BgL_zc3anonymousza32727ze3z83_1340;} } } } } 
BgL_matchz00_1297 = 
(int)(BgL_auxz00_2542); } 
RGC_SET_FILEPOS(BgL_inputzd2portzd2_1273); 
{ 

switch( 
(long)(BgL_matchz00_1297)) { case ((long)2) : 

{ /* Ast/pragma.scm 56 */
bool_t BgL_test2704z00_1314;
{ /* Ast/pragma.scm 56 */
int BgL_arg2707z00_1317;
{ /* Ast/pragma.scm 56 */
int BgL_res2807z00_1834;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2627;
BgL_auxz00_2627 = 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1273); 
BgL_res2807z00_1834 = 
(int)(BgL_auxz00_2627); } 
BgL_arg2707z00_1317 = BgL_res2807z00_1834; } 
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2630;
BgL_auxz00_2630 = 
(long)(BgL_arg2707z00_1317); 
BgL_test2704z00_1314 = 
(BgL_auxz00_2630==((long)0)); } } 
if(BgL_test2704z00_1314)
{ /* Ast/pragma.scm 56 */
return BCNST(256);}  else 
{ /* Ast/pragma.scm 56 */
obj_t BgL_arg2705z00_1315;
{ /* Ast/pragma.scm 56 */
int BgL_arg2724z00_1336;
{ /* Ast/pragma.scm 56 */
int BgL_res2809z00_1855;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2634;
BgL_auxz00_2634 = 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1273); 
BgL_res2809z00_1855 = 
(int)(BgL_auxz00_2634); } 
BgL_arg2724z00_1336 = BgL_res2809z00_1855; } 
{ /* Ast/pragma.scm 56 */
int BgL_auxz00_2637;
BgL_auxz00_2637 = 
(int)(((long)0)); 
BgL_arg2705z00_1315 = 
rgc_buffer_substring(BgL_inputzd2portzd2_1273, BgL_auxz00_2637, BgL_arg2724z00_1336); } } 
{ /* Ast/pragma.scm 56 */
unsigned char BgL_auxz00_2640;
{ /* Ast/pragma.scm 56 */
int BgL_auxz00_2641;
BgL_auxz00_2641 = 
(int)(((long)0)); 
BgL_auxz00_2640 = 
STRING_REF(BgL_arg2705z00_1315, BgL_auxz00_2641); } 
return 
BCHAR(BgL_auxz00_2640);} } } break;case ((long)1) : 

goto BgL_zc3anonymousza32692ze3z83_1296;break;case ((long)0) : 

{ /* Ast/pragma.scm 58 */
obj_t BgL_arg2694z00_1301;
{ /* Ast/pragma.scm 58 */
int BgL_arg2697z00_1304;
{ /* Ast/pragma.scm 58 */
int BgL_res2806z00_1829;
{ /* Ast/pragma.scm 58 */
long BgL_auxz00_2645;
BgL_auxz00_2645 = 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1273); 
BgL_res2806z00_1829 = 
(int)(BgL_auxz00_2645); } 
BgL_arg2697z00_1304 = BgL_res2806z00_1829; } 
BgL_minz00_1324 = ((long)1); 
BgL_maxz00_1325 = BgL_arg2697z00_1304; 
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2715z00_1327;
if(
(BgL_minz00_1324>=((long)0)))
{ /* Ast/pragma.scm 56 */
bool_t BgL_test2720z00_1332;
{ /* Ast/pragma.scm 56 */
int BgL_arg2721z00_1333;
{ /* Ast/pragma.scm 56 */
int BgL_res2808z00_1843;
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2650;
BgL_auxz00_2650 = 
RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1273); 
BgL_res2808z00_1843 = 
(int)(BgL_auxz00_2650); } 
BgL_arg2721z00_1333 = BgL_res2808z00_1843; } 
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2655;long BgL_auxz00_2653;
BgL_auxz00_2655 = 
(long)(BgL_arg2721z00_1333); 
BgL_auxz00_2653 = 
(long)(BgL_maxz00_1325); 
BgL_test2720z00_1332 = 
(BgL_auxz00_2653<=BgL_auxz00_2655); } } 
if(BgL_test2720z00_1332)
{ /* Ast/pragma.scm 56 */
long BgL_auxz00_2659;
BgL_auxz00_2659 = 
(long)(BgL_maxz00_1325); 
BgL_test2715z00_1327 = 
(BgL_auxz00_2659>=BgL_minz00_1324); }  else 
{ /* Ast/pragma.scm 56 */
BgL_test2715z00_1327 = ((bool_t)0); } }  else 
{ /* Ast/pragma.scm 56 */
BgL_test2715z00_1327 = ((bool_t)0); } 
if(BgL_test2715z00_1327)
{ /* Ast/pragma.scm 56 */
int BgL_auxz00_2663;
BgL_auxz00_2663 = 
(int)(BgL_minz00_1324); 
BgL_arg2694z00_1301 = 
rgc_buffer_substring(BgL_inputzd2portzd2_1273, BgL_auxz00_2663, BgL_maxz00_1325); }  else 
{ /* Ast/pragma.scm 56 */
obj_t BgL_arg2718z00_1330;
{ /* Ast/pragma.scm 56 */
obj_t BgL_auxz00_2668;obj_t BgL_auxz00_2666;
BgL_auxz00_2668 = 
BINT(BgL_maxz00_1325); 
BgL_auxz00_2666 = 
BINT(BgL_minz00_1324); 
BgL_arg2718z00_1330 = 
MAKE_PAIR(BgL_auxz00_2666, BgL_auxz00_2668); } 
FAILURE(BGl_string2819z00zzast_pragmaz00,BGl_string2820z00zzast_pragmaz00,BgL_arg2718z00_1330);} } } 
return 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg2694z00_1301, BNIL);} break;
default: 
{ 
obj_t BgL_auxz00_2673;
BgL_auxz00_2673 = 
BINT(BgL_matchz00_1297); 
FAILURE(BGl_string2817z00zzast_pragmaz00,BGl_string2818z00zzast_pragmaz00,BgL_auxz00_2673);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_pragmaz00()
{ AN_OBJECT;
{ /* Ast/pragma.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00()
{ AN_OBJECT;
{ /* Ast/pragma.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_pragma"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_pragma"); 
return 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_pragma");} 
}

