/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_envz00();
extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl__findzd2globalzd2zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
static obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_envz00();
static obj_t BGl_zc3anonymousza32695ze3z83zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_envz00();
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
extern obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
static obj_t BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(BgL_valuez00_bglt);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
extern obj_t BGl_getzd2genvzd2zzast_envz00();
extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
extern obj_t BGl_za2warningza2z00zz__errorz00;
static obj_t BGl_zc3anonymousza32782ze3z83zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
static obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_bindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__bindza7d2globalza712za7c0za7za7ast_envza7002903z00, BGl__bindzd2globalz12zc0zzast_envz00, 0L, 5 );
DEFINE_STATIC_GENERIC( BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza712za712za7za7ast_envza7002904za7, BGl__restorezd2valuezd2typesz12z12zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzd2envz00zzast_envz00, BgL_bgl__findza7d2globalza7d2za7za7ast_envza7002905za7, va_generic_entry, BGl__findzd2globalzd2zzast_envz00, -2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2886z00zzast_envz00, BgL_bgl_za7c3anonymousza7a32695za7e3za783za7za7ast_envza7002906za7, BGl_zc3anonymousza32695ze3z83zzast_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2892z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2sfun2691za7c0za7za7ast_envza7002907z00, BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2893z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2cfun2693za7c0za7za7ast_envza7002908z00, BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2genvzd2envz00zzast_envz00, BgL_bgl__getza7d2genvza7d2za7za7ast_envza7002909za7, BGl__getzd2genvzd2zzast_envz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_restorezd2valuezd2typesz12zd2default2688zd2envz12zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza712za7d2default2688za7c0za7za7ast_envza7002910z00, BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00, BgL_bgl__initializa7a7eza7d2genvza712za767za7za7ast_envza7002911za7, BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzf2modulezd2envzf2zzast_envz00, BgL_bgl__findza7d2globalza7f2moduleza720za7za7ast_envza7002912z00, BGl__findzd2globalzf2modulez20zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00, BgL_bgl__globalza7d2bucketza7d2positionza700za7za7ast_envza7002913z00, BGl__globalzd2bucketzd2positionz00zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2genvz12zd2envz12zzast_envz00, BgL_bgl__setza7d2genvza712za7c0za7za7ast_envza7002914z00, BGl__setzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00, BgL_bgl__alreadyza7d2restoredza7f3za721za7za7ast_envza7002915z00, BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00, BgL_bgl__additionalza7d2heapza7d2restoreza7d2globalsza712za7c0za7za7ast_envza7002916z00, BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, 0 );
DEFINE_STRING( BGl_string2898z00zzast_envz00, BgL_bgl_string2898za700za7za7ast_envza7002917z00, "@ now read eval foreign jvm the-global-environment ", 51 );
DEFINE_STRING( BGl_string2897z00zzast_envz00, BgL_bgl_string2897za700za7za7ast_envza7002918z00, "Illegal non pair argument", 25 );
DEFINE_STRING( BGl_string2896z00zzast_envz00, BgL_bgl_string2896za700za7za7ast_envza7002919z00, "restore-value-types", 19 );
DEFINE_STRING( BGl_string2895z00zzast_envz00, BgL_bgl_string2895za700za7za7ast_envza7002920z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2894z00zzast_envz00, BgL_bgl_string2894za700za7za7ast_envza7002921z00, "restore-value-types(sfun)", 25 );
DEFINE_STRING( BGl_string2891z00zzast_envz00, BgL_bgl_string2891za700za7za7ast_envza7002922z00, "Can't find global", 17 );
DEFINE_STRING( BGl_string2890z00zzast_envz00, BgL_bgl_string2890za700za7za7ast_envza7002923z00, "unbind-global!", 14 );
DEFINE_STRING( BGl_string2889z00zzast_envz00, BgL_bgl_string2889za700za7za7ast_envza7002924z00, "eval", 4 );
DEFINE_STRING( BGl_string2888z00zzast_envz00, BgL_bgl_string2888za700za7za7ast_envza7002925z00, "Illegal global redefinition", 27 );
DEFINE_STRING( BGl_string2887z00zzast_envz00, BgL_bgl_string2887za700za7za7ast_envza7002926z00, "Scheme declaration overrides foreign declaration", 48 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2globalz12zd2envz12zzast_envz00, BgL_bgl__restoreza7d2globalza712za7c0za7za7ast_envza7002927z00, BGl__restorezd2globalz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2genvz12zd2envz12zzast_envz00, BgL_bgl__addza7d2genvza712za7c0za7za7ast_envza7002928z00, BGl__addzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00, BgL_bgl__forza7d2eachza7d2globalza712za712za7za7ast_envza7002929za7, BGl__forzd2eachzd2globalz12z12zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__unbindza7d2globalza712za7c0za7za7ast_envza7002930z00, BGl__unbindzd2globalz12zc0zzast_envz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long BgL_checksumz00_2669, char * BgL_fromz00_2670)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
{ 
BGl_requirezd2initializa7ationz75zzast_envz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_envz00(); 
BGl_cnstzd2initzd2zzast_envz00(); 
BGl_importedzd2moduleszd2initz00zzast_envz00(); 
BGl_methodzd2initzd2zzast_envz00(); 
BGl_toplevelzd2initzd2zzast_envz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
{ /* Ast/venv.scm 14 */
obj_t BgL_cportz00_2662;
BgL_cportz00_2662 = 
open_input_string(BGl_string2898z00zzast_envz00); 
{ 
long BgL_iz00_2663;
BgL_iz00_2663 = ((long)6); 
BgL_loopz00_2664:
if(
(BgL_iz00_2663==((long)-1)))
{ /* Ast/venv.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/venv.scm 14 */
{ /* Ast/venv.scm 14 */
obj_t BgL_arg2900z00_2666;
{ /* Ast/venv.scm 14 */
obj_t BgL_list2901z00_2667;
BgL_list2901z00_2667 = 
MAKE_PAIR(BgL_cportz00_2662, BNIL); 
BgL_arg2900z00_2666 = 
BGl_readz00zz__readerz00(BgL_list2901z00_2667); } 
{ /* Ast/venv.scm 14 */
int BgL_auxz00_2689;
BgL_auxz00_2689 = 
(int)(BgL_iz00_2663); 
CNST_TABLE_SET(BgL_auxz00_2689, BgL_arg2900z00_2666); } } 
{ 
long BgL_iz00_2692;
{ /* Ast/venv.scm 14 */
int BgL_auxz00_2693;
{ /* Ast/venv.scm 14 */
long BgL_auxz00_2694;
BgL_auxz00_2694 = 
(BgL_iz00_2663-((long)1)); 
BgL_auxz00_2693 = 
(int)(BgL_auxz00_2694); } 
BgL_iz00_2692 = 
(long)(BgL_auxz00_2693); } 
BgL_iz00_2663 = BgL_iz00_2692; 
goto BgL_loopz00_2664;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_za2Genvza2z00zzast_envz00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL; 
BGl_za2restoredza2z00zzast_envz00 = BNIL; 
return BUNSPEC;} 
}



/* set-genv! */
obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
{ AN_OBJECT;
{ /* Ast/venv.scm 50 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC) ;} 
}



/* _set-genv! */
obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2612, obj_t BgL_genvz00_2613)
{ AN_OBJECT;
{ /* Ast/venv.scm 50 */
return 
BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2613);} 
}



/* add-genv! */
obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
{ AN_OBJECT;
{ /* Ast/venv.scm 59 */
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2, BGl_proc2886z00zzast_envz00); 
return ( 
BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC) ;} 
}



/* _add-genv! */
obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2615, obj_t BgL_genvz00_2616)
{ AN_OBJECT;
{ /* Ast/venv.scm 59 */
return 
BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2616);} 
}



/* <anonymous:2695> */
obj_t BGl_zc3anonymousza32695ze3z83zzast_envz00(obj_t BgL_envz00_2617, obj_t BgL_kz00_2618, obj_t BgL_bucketz00_2619)
{ AN_OBJECT;
{ /* Ast/venv.scm 62 */
{ 
obj_t BgL_kz00_1259;obj_t BgL_bucketz00_1260;
{ /* Ast/venv.scm 63 */
bool_t BgL_auxz00_2702;
BgL_kz00_1259 = BgL_kz00_2618; 
BgL_bucketz00_1260 = BgL_bucketz00_2619; 
{ 
obj_t BgL_l2676z00_1262;
BgL_l2676z00_1262 = 
CDR(BgL_bucketz00_1260); 
BgL_lname2677z00_1263:
if(
PAIRP(BgL_l2676z00_1262))
{ /* Ast/venv.scm 63 */
{ /* Ast/venv.scm 64 */
obj_t BgL_newz00_1266;
BgL_newz00_1266 = 
CAR(BgL_l2676z00_1262); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_1266, BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00); 
{ /* Ast/venv.scm 65 */
obj_t BgL_modulez00_1267;
{ /* Ast/venv.scm 65 */
BgL_globalz00_bglt BgL_obj1170z00_1844;
BgL_obj1170z00_1844 = 
(BgL_globalz00_bglt)(BgL_newz00_1266); 
BgL_modulez00_1267 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1844))->BgL_modulez00); } 
{ /* Ast/venv.scm 65 */
obj_t BgL_idz00_1268;
{ /* Ast/venv.scm 66 */
BgL_globalz00_bglt BgL_obj1148z00_1845;
BgL_obj1148z00_1845 = 
(BgL_globalz00_bglt)(BgL_newz00_1266); 
BgL_idz00_1268 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_1845))->BgL_idz00); } 
{ /* Ast/venv.scm 66 */
obj_t BgL_bucketz00_1269;
BgL_bucketz00_1269 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1268); 
{ /* Ast/venv.scm 67 */

if(
PAIRP(BgL_bucketz00_1269))
{ /* Ast/venv.scm 71 */
bool_t BgL_test2699z00_1271;
BgL_test2699z00_1271 = 
(BgL_modulez00_1267==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2699z00_1271)
{ /* Ast/venv.scm 71 */
{ /* Ast/venv.scm 72 */
obj_t BgL_newzd2bucketzd2_1272;
{ /* Ast/venv.scm 72 */
obj_t BgL_auxz00_2716;
BgL_auxz00_2716 = 
CDR(BgL_bucketz00_1269); 
BgL_newzd2bucketzd2_1272 = 
MAKE_PAIR(BgL_newz00_1266, BgL_auxz00_2716); } 
SET_CDR(BgL_bucketz00_1269, BgL_newzd2bucketzd2_1272); } }  else 
{ /* Ast/venv.scm 71 */
{ /* Ast/venv.scm 75 */
obj_t BgL_arg2701z00_1274;obj_t BgL_arg2702z00_1275;
BgL_arg2701z00_1274 = 
CDR(BgL_bucketz00_1269); 
{ /* Ast/venv.scm 75 */
obj_t BgL_auxz00_2721;
{ /* Ast/venv.scm 75 */
obj_t BgL_auxz00_2722;
BgL_auxz00_2722 = 
CDR(BgL_bucketz00_1269); 
BgL_auxz00_2721 = 
CDR(BgL_auxz00_2722); } 
BgL_arg2702z00_1275 = 
MAKE_PAIR(BgL_newz00_1266, BgL_auxz00_2721); } 
SET_CDR(BgL_arg2701z00_1274, BgL_arg2702z00_1275); } } }  else 
{ /* Ast/venv.scm 69 */
{ /* Ast/venv.scm 70 */
obj_t BgL_arg2704z00_1277;
{ /* Ast/venv.scm 70 */
obj_t BgL_list2705z00_1278;
{ /* Ast/venv.scm 70 */
obj_t BgL_arg2706z00_1279;
BgL_arg2706z00_1279 = 
MAKE_PAIR(BgL_newz00_1266, BNIL); 
BgL_list2705z00_1278 = 
MAKE_PAIR(BgL_idz00_1268, BgL_arg2706z00_1279); } 
BgL_arg2704z00_1277 = BgL_list2705z00_1278; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1268, BgL_arg2704z00_1277); } } } } } } } 
{ 
obj_t BgL_l2676z00_2730;
BgL_l2676z00_2730 = 
CDR(BgL_l2676z00_1262); 
BgL_l2676z00_1262 = BgL_l2676z00_2730; 
goto BgL_lname2677z00_1263;} }  else 
{ /* Ast/venv.scm 63 */
BgL_auxz00_2702 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2702);} } } 
}



/* additional-heap-restore-globals! */
obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 93 */
{ 
obj_t BgL_l2678z00_1282;
BgL_l2678z00_1282 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00; 
BgL_lname2679z00_1283:
if(
PAIRP(BgL_l2678z00_1282))
{ /* Ast/venv.scm 94 */
BGl_restorezd2globalz12zc0zzast_envz00(
CAR(BgL_l2678z00_1282)); 
{ 
obj_t BgL_l2678z00_2738;
BgL_l2678z00_2738 = 
CDR(BgL_l2678z00_1282); 
BgL_l2678z00_1282 = BgL_l2678z00_2738; 
goto BgL_lname2679z00_1283;} }  else 
{ /* Ast/venv.scm 94 */((bool_t)1); } } 
return BTRUE;} 
}



/* _additional-heap-restore-globals! */
obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t BgL_envz00_2620)
{ AN_OBJECT;
{ /* Ast/venv.scm 93 */
return 
BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();} 
}



/* restore-global! */
obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t BgL_newz00_4)
{ AN_OBJECT;
{ /* Ast/venv.scm 100 */
BGl_za2restoredza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00); 
{ /* Ast/venv.scm 103 */
BgL_typez00_bglt BgL_typez00_1288;
{ /* Ast/venv.scm 104 */
BgL_globalz00_bglt BgL_obj1152z00_1865;
BgL_obj1152z00_1865 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_typez00_1288 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_1865))->BgL_typez00); } 
{ /* Ast/venv.scm 104 */
BgL_valuez00_bglt BgL_valuez00_1289;
{ /* Ast/venv.scm 105 */
BgL_globalz00_bglt BgL_obj1155z00_1866;
BgL_obj1155z00_1866 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_valuez00_1289 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1866))->BgL_valuez00); } 
{ /* Ast/venv.scm 105 */
obj_t BgL_typezd2idzd2_1290;
BgL_typezd2idzd2_1290 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_1288))->BgL_idz00); 
{ /* Ast/venv.scm 106 */

{ /* Ast/venv.scm 108 */
BgL_globalz00_bglt BgL_obj1181z00_1868;
BgL_obj1181z00_1868 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
((((BgL_globalz00_bglt)CREF(BgL_obj1181z00_1868))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* Ast/venv.scm 110 */
BgL_typez00_bglt BgL_arg2711z00_1291;
BgL_arg2711z00_1291 = 
BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_1290); 
{ /* Ast/venv.scm 110 */
BgL_globalz00_bglt BgL_obj1154z00_1870;
BgL_obj1154z00_1870 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
((((BgL_globalz00_bglt)CREF(BgL_obj1154z00_1870))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2711z00_1291), BUNSPEC); } } 
{ /* Ast/venv.scm 112 */
obj_t BgL_method2689z00_1873;
{ /* Ast/venv.scm 112 */
long BgL_objzd2classzd2numz00_1875;
{ /* Ast/venv.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2752;
BgL_auxz00_2752 = 
(BgL_objectz00_bglt)(BgL_valuez00_1289); 
BgL_objzd2classzd2numz00_1875 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2752); } 
{ /* Ast/venv.scm 112 */
obj_t BgL_arg1221z00_1876;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2755;
BgL_auxz00_2755 = 
(int)(((long)1)); 
BgL_arg1221z00_1876 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_2755); } 
{ /* Ast/venv.scm 112 */
long BgL_offsetz00_1880;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2758;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2759;
BgL_auxz00_2759 = 
(int)(BgL_objzd2classzd2numz00_1875); 
BgL_auxz00_2758 = 
(long)(BgL_auxz00_2759); } 
BgL_offsetz00_1880 = 
(BgL_auxz00_2758-OBJECT_TYPE); } 
{ /* Ast/venv.scm 112 */
long BgL_modz00_1881;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2763;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2764;
BgL_auxz00_2764 = 
(int)(((long)8)); 
BgL_auxz00_2763 = 
(long)(BgL_auxz00_2764); } 
BgL_modz00_1881 = 
(BgL_offsetz00_1880/BgL_auxz00_2763); } 
{ /* Ast/venv.scm 112 */
long BgL_restz00_1883;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2768;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2769;
BgL_auxz00_2769 = 
(int)(((long)8)); 
BgL_auxz00_2768 = 
(long)(BgL_auxz00_2769); } 
BgL_restz00_1883 = 
(BgL_offsetz00_1880%BgL_auxz00_2768); } 
{ /* Ast/venv.scm 112 */

{ /* Ast/venv.scm 112 */
obj_t BgL_bucketz00_1885;
{ /* Ast/venv.scm 112 */
int BgL_kz00_1895;
BgL_kz00_1895 = 
(int)(BgL_modz00_1881); 
BgL_bucketz00_1885 = 
VECTOR_REF(BgL_arg1221z00_1876,BgL_kz00_1895); } 
{ /* Ast/venv.scm 112 */
int BgL_kz00_1897;
BgL_kz00_1897 = 
(int)(BgL_restz00_1883); 
BgL_method2689z00_1873 = 
VECTOR_REF(BgL_bucketz00_1885,BgL_kz00_1897); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2689z00_1873)(BgL_method2689z00_1873, 
(obj_t)(BgL_valuez00_1289), BEOA); } 
{ /* Ast/venv.scm 114 */
bool_t BgL_test2712z00_1292;
{ /* Ast/venv.scm 114 */
obj_t BgL_auxz00_2780;
BgL_auxz00_2780 = 
CNST_TABLE_REF(((long)1)); 
BgL_test2712z00_1292 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2780); } 
if(BgL_test2712z00_1292)
{ /* Ast/venv.scm 115 */
obj_t BgL_auxz00_2787;obj_t BgL_auxz00_2784;
{ /* Ast/venv.scm 116 */
BgL_globalz00_bglt BgL_obj1191z00_1899;
BgL_obj1191z00_1899 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_auxz00_2787 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1191z00_1899))->BgL_jvmzd2typezd2namez00); } 
{ /* Ast/venv.scm 115 */
BgL_globalz00_bglt BgL_obj1170z00_1898;
BgL_obj1170z00_1898 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_auxz00_2784 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1898))->BgL_modulez00); } 
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_auxz00_2784, BgL_auxz00_2787);}  else 
{ /* Ast/venv.scm 114 */
return BFALSE;} } } } } } } 
}



/* _restore-global! */
obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2621, obj_t BgL_newz00_2622)
{ AN_OBJECT;
{ /* Ast/venv.scm 100 */
return 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2622);} 
}



/* already-restored? */
obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_funz00_6)
{ AN_OBJECT;
{ /* Ast/venv.scm 135 */
return 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6, BGl_za2restoredza2z00zzast_envz00);} 
}



/* _already-restored? */
obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_2625, obj_t BgL_funz00_2626)
{ AN_OBJECT;
{ /* Ast/venv.scm 135 */
return 
BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2626);} 
}



/* get-genv */
obj_t BGl_getzd2genvzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 193 */
return BGl_za2Genvza2z00zzast_envz00;} 
}



/* _get-genv */
obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_2627)
{ AN_OBJECT;
{ /* Ast/venv.scm 193 */
return 
BGl_getzd2genvzd2zzast_envz00();} 
}



/* initialize-Genv! */
obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 199 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Genv! */
obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_2628)
{ AN_OBJECT;
{ /* Ast/venv.scm 199 */
return 
BGl_initializa7ezd2Genvz12z67zzast_envz00();} 
}



/* find-global */
obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* Ast/venv.scm 205 */
{ /* Ast/venv.scm 207 */
obj_t BgL_bucketz00_1296;obj_t BgL_modulez00_1297;
BgL_bucketz00_1296 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_11); 
if(
NULLP(BgL_modulez00_12))
{ /* Ast/venv.scm 208 */
BgL_modulez00_1297 = BNIL; }  else 
{ /* Ast/venv.scm 208 */
BgL_modulez00_1297 = 
CAR(BgL_modulez00_12); } 
if(
PAIRP(BgL_bucketz00_1296))
{ /* Ast/venv.scm 212 */
bool_t BgL_testz00_2803;
{ /* Ast/venv.scm 212 */
obj_t BgL_auxz00_2804;
BgL_auxz00_2804 = 
CDR(BgL_bucketz00_1296); 
BgL_testz00_2803 = 
NULLP(BgL_auxz00_2804); } 
if(BgL_testz00_2803)
{ /* Ast/venv.scm 212 */
return BFALSE;}  else 
{ /* Ast/venv.scm 212 */
if(
NULLP(BgL_modulez00_1297))
{ /* Ast/venv.scm 214 */
{ /* Ast/venv.scm 215 */
obj_t BgL_auxz00_2809;
BgL_auxz00_2809 = 
CDR(BgL_bucketz00_1296); 
return 
CAR(BgL_auxz00_2809);} }  else 
{ /* Ast/venv.scm 214 */
{ 
obj_t BgL_globalsz00_1301;
BgL_globalsz00_1301 = 
CDR(BgL_bucketz00_1296); 
BgL_loopz00_1302:
if(
NULLP(BgL_globalsz00_1301))
{ /* Ast/venv.scm 219 */
return BFALSE;}  else 
{ /* Ast/venv.scm 221 */
bool_t BgL_testz00_2814;
{ /* Ast/venv.scm 221 */
obj_t BgL_auxz00_2815;
{ /* Ast/venv.scm 221 */
BgL_globalz00_bglt BgL_obj1170z00_1913;
{ /* Ast/venv.scm 221 */
obj_t BgL_auxz00_2816;
BgL_auxz00_2816 = 
CAR(BgL_globalsz00_1301); 
BgL_obj1170z00_1913 = 
(BgL_globalz00_bglt)(BgL_auxz00_2816); } 
BgL_auxz00_2815 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1913))->BgL_modulez00); } 
BgL_testz00_2814 = 
(BgL_auxz00_2815==BgL_modulez00_1297); } 
if(BgL_testz00_2814)
{ /* Ast/venv.scm 221 */
return 
CAR(BgL_globalsz00_1301);}  else 
{ /* Ast/venv.scm 221 */
{ 
obj_t BgL_globalsz00_2822;
BgL_globalsz00_2822 = 
CDR(BgL_globalsz00_1301); 
BgL_globalsz00_1301 = BgL_globalsz00_2822; 
goto BgL_loopz00_1302;} } } } } } }  else 
{ /* Ast/venv.scm 210 */
return BFALSE;} } } 
}



/* _find-global */
obj_t BGl__findzd2globalzd2zzast_envz00(obj_t BgL_envz00_2629, obj_t BgL_idz00_2630, obj_t BgL_modulez00_2631)
{ AN_OBJECT;
{ /* Ast/venv.scm 205 */
return 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2630, BgL_modulez00_2631);} 
}



/* find-global/module */
obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t BgL_idz00_13, obj_t BgL_modulez00_14)
{ AN_OBJECT;
{ /* Ast/venv.scm 229 */
{ /* Ast/venv.scm 230 */
obj_t BgL_bucketz00_1311;
BgL_bucketz00_1311 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_13); 
if(
PAIRP(BgL_bucketz00_1311))
{ /* Ast/venv.scm 234 */
bool_t BgL_testz00_2829;
{ /* Ast/venv.scm 234 */
obj_t BgL_auxz00_2830;
BgL_auxz00_2830 = 
CDR(BgL_bucketz00_1311); 
BgL_testz00_2829 = 
NULLP(BgL_auxz00_2830); } 
if(BgL_testz00_2829)
{ /* Ast/venv.scm 234 */
return BFALSE;}  else 
{ /* Ast/venv.scm 234 */
{ 
obj_t BgL_globalsz00_1315;
BgL_globalsz00_1315 = 
CDR(BgL_bucketz00_1311); 
BgL_loopz00_1316:
if(
NULLP(BgL_globalsz00_1315))
{ /* Ast/venv.scm 241 */
return BFALSE;}  else 
{ /* Ast/venv.scm 243 */
bool_t BgL_testz00_2835;
{ /* Ast/venv.scm 243 */
obj_t BgL_auxz00_2836;
{ /* Ast/venv.scm 243 */
BgL_globalz00_bglt BgL_obj1170z00_1927;
{ /* Ast/venv.scm 243 */
obj_t BgL_auxz00_2837;
BgL_auxz00_2837 = 
CAR(BgL_globalsz00_1315); 
BgL_obj1170z00_1927 = 
(BgL_globalz00_bglt)(BgL_auxz00_2837); } 
BgL_auxz00_2836 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1927))->BgL_modulez00); } 
BgL_testz00_2835 = 
(BgL_auxz00_2836==BgL_modulez00_14); } 
if(BgL_testz00_2835)
{ /* Ast/venv.scm 243 */
return 
CAR(BgL_globalsz00_1315);}  else 
{ /* Ast/venv.scm 243 */
{ 
obj_t BgL_globalsz00_2843;
BgL_globalsz00_2843 = 
CDR(BgL_globalsz00_1315); 
BgL_globalsz00_1315 = BgL_globalsz00_2843; 
goto BgL_loopz00_1316;} } } } } }  else 
{ /* Ast/venv.scm 232 */
return BFALSE;} } } 
}



/* _find-global/module */
obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t BgL_envz00_2632, obj_t BgL_idz00_2633, obj_t BgL_modulez00_2634)
{ AN_OBJECT;
{ /* Ast/venv.scm 229 */
return 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2633, BgL_modulez00_2634);} 
}



/* bind-global! */
BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_15, obj_t BgL_modulez00_16, BgL_valuez00_bglt BgL_valuez00_17, obj_t BgL_importz00_18, obj_t BgL_srcz00_19)
{ AN_OBJECT;
{ /* Ast/venv.scm 262 */
{ /* Ast/venv.scm 267 */
obj_t BgL_globalz00_1324;
{ /* Ast/venv.scm 267 */
obj_t BgL_list2763z00_1356;
BgL_list2763z00_1356 = 
MAKE_PAIR(BgL_modulez00_16, BNIL); 
BgL_globalz00_1324 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_15, BgL_list2763z00_1356); } 
{ /* Ast/venv.scm 270 */
bool_t BgL_testz00_2849;
{ /* Ast/venv.scm 270 */
obj_t BgL_auxz00_2850;
BgL_auxz00_2850 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_2849 = 
(BgL_modulez00_16==BgL_auxz00_2850); } 
if(BgL_testz00_2849)
{ /* Ast/venv.scm 270 */BFALSE; }  else 
{ /* Ast/venv.scm 272 */
bool_t BgL_test2738z00_1327;
BgL_test2738z00_1327 = 
BGl_iszd2azf3z21zz__objectz00(
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_15, 
CNST_TABLE_REF(((long)2))), BGl_globalz00zzast_varz00); 
if(BgL_test2738z00_1327)
{ /* Ast/venv.scm 273 */
bool_t BgL_test2739z00_1328;
{ /* Ast/venv.scm 273 */
bool_t BgL_test2740z00_1329;
{ /* Ast/venv.scm 273 */
bool_t BgL_res2877z00_1935;
{ /* Ast/venv.scm 273 */
obj_t BgL_objz00_1931;
BgL_objz00_1931 = BGl_za2warningza2z00zz__errorz00; 
if(
INTEGERP(BgL_objz00_1931))
{ /* Ast/venv.scm 273 */
BgL_res2877z00_1935 = ((bool_t)1); }  else 
{ /* Ast/venv.scm 273 */
BgL_res2877z00_1935 = 
REALP(BgL_objz00_1931); } } 
BgL_test2740z00_1329 = BgL_res2877z00_1935; } 
if(BgL_test2740z00_1329)
{ /* Ast/venv.scm 273 */
long BgL_n1z00_1936;
BgL_n1z00_1936 = 
(long)CINT(BGl_za2warningza2z00zz__errorz00); 
BgL_test2739z00_1328 = 
(BgL_n1z00_1936>=((long)2)); }  else 
{ /* Ast/venv.scm 273 */
BgL_test2739z00_1328 = ((bool_t)0); } } 
if(BgL_test2739z00_1328)
{ /* Ast/venv.scm 273 */
BGl_userzd2warningzd2zztools_errorz00(BgL_idz00_15, BGl_string2887z00zzast_envz00, BgL_srcz00_19); }  else 
{ /* Ast/venv.scm 273 */BFALSE; } }  else 
{ /* Ast/venv.scm 272 */BFALSE; } } } 
{ /* Ast/venv.scm 278 */
bool_t BgL_test2741z00_1330;
BgL_test2741z00_1330 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1324, BGl_globalz00zzast_varz00); 
if(BgL_test2741z00_1330)
{ /* Ast/venv.scm 278 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Ast/venv.scm 279 */
return 
(BgL_globalz00_bglt)(BgL_globalz00_1324);}  else 
{ /* Ast/venv.scm 280 */
obj_t BgL_auxz00_2870;
BgL_auxz00_2870 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_15, BGl_string2888z00zzast_envz00, BgL_srcz00_19, BNIL); 
return 
(BgL_globalz00_bglt)(BgL_auxz00_2870);} }  else 
{ /* Ast/venv.scm 282 */
obj_t BgL_jvmzd2qtypezd2_1332;
{ /* Ast/venv.scm 282 */
bool_t BgL_testz00_2873;
{ /* Ast/venv.scm 282 */
obj_t BgL_auxz00_2874;
BgL_auxz00_2874 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_2873 = 
(BgL_importz00_18==BgL_auxz00_2874); } 
if(BgL_testz00_2873)
{ /* Ast/venv.scm 282 */
BgL_jvmzd2qtypezd2_1332 = BGl_string2889z00zzast_envz00; }  else 
{ /* Ast/venv.scm 282 */
BgL_jvmzd2qtypezd2_1332 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_16); } } 
{ /* Ast/venv.scm 282 */
BgL_globalz00_bglt BgL_newz00_1333;
{ /* Ast/venv.scm 288 */
obj_t BgL_arg2752z00_1345;BgL_valuez00_bglt BgL_arg2753z00_1346;obj_t BgL_arg2754z00_1347;obj_t BgL_arg2755z00_1348;obj_t BgL_arg2757z00_1350;obj_t BgL_arg2758z00_1351;obj_t BgL_arg2760z00_1353;obj_t BgL_arg2761z00_1354;
BgL_arg2752z00_1345 = BgL_idz00_15; 
BgL_arg2753z00_1346 = BgL_valuez00_17; 
BgL_arg2754z00_1347 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2755z00_1348 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2757z00_1350 = BgL_modulez00_16; 
BgL_arg2758z00_1351 = BgL_importz00_18; 
BgL_arg2760z00_1353 = BgL_srcz00_19; 
BgL_arg2761z00_1354 = BgL_jvmzd2qtypezd2_1332; 
{ /* Ast/venv.scm 285 */
BgL_globalz00_bglt BgL_res2880z00_1996;
{ /* Ast/venv.scm 285 */
BgL_typez00_bglt BgL_type1230z00_1941;bool_t BgL_libraryzf31239zf3_1950;
BgL_type1230z00_1941 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
BgL_libraryzf31239zf3_1950 = 
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00); 
{ /* Ast/venv.scm 285 */
BgL_globalz00_bglt BgL_new1244z00_1955;
{ /* Ast/venv.scm 285 */
BgL_globalz00_bglt BgL_res2878z00_1961;
{ /* Ast/venv.scm 285 */
BgL_globalz00_bglt BgL_new1246z00_1956;
BgL_new1246z00_1956 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Ast/venv.scm 285 */
long BgL_arg2841z00_1957;
BgL_arg2841z00_1957 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Ast/venv.scm 285 */
BgL_objectz00_bglt BgL_auxz00_2884;
BgL_auxz00_2884 = 
(BgL_objectz00_bglt)(BgL_new1246z00_1956); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2884, BgL_arg2841z00_1957); } } 
{ /* Ast/venv.scm 285 */
BgL_objectz00_bglt BgL_auxz00_2887;
BgL_auxz00_2887 = 
(BgL_objectz00_bglt)(BgL_new1246z00_1956); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2887, BFALSE); } 
{ /* Ast/venv.scm 285 */
obj_t BgL_auxz00_2890;
BgL_auxz00_2890 = 
(obj_t)(BgL_new1246z00_1956); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2890); } BUNSPEC; 
BgL_res2878z00_1961 = BgL_new1246z00_1956; } 
BgL_new1244z00_1955 = BgL_res2878z00_1961; } 
{ /* Ast/venv.scm 285 */
BgL_globalz00_bglt BgL_res2879z00_1995;
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_idz00) = ((obj_t)BgL_arg2752z00_1345), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_namez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1230z00_1941), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg2753z00_1346), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_accessz00) = ((obj_t)BgL_arg2754z00_1347), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_removablez00) = ((obj_t)BgL_arg2755z00_1348), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_modulez00) = ((obj_t)BgL_arg2757z00_1350), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_importz00) = ((obj_t)BgL_arg2758z00_1351), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf31239zf3_1950), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_pragmaz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_srcz00) = ((obj_t)BgL_arg2760z00_1353), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_1955))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_arg2761z00_1354), BUNSPEC); 
BgL_res2879z00_1995 = BgL_new1244z00_1955; BgL_res2879z00_1995; } 
BgL_res2880z00_1996 = BgL_new1244z00_1955; } } 
BgL_newz00_1333 = BgL_res2880z00_1996; } } 
{ /* Ast/venv.scm 285 */
obj_t BgL_bucketz00_1334;
BgL_bucketz00_1334 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_15); 
{ /* Ast/venv.scm 292 */

if(
PAIRP(BgL_bucketz00_1334))
{ /* Ast/venv.scm 296 */
bool_t BgL_test2744z00_1336;
BgL_test2744z00_1336 = 
(BgL_modulez00_16==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2744z00_1336)
{ /* Ast/venv.scm 296 */
{ /* Ast/venv.scm 297 */
obj_t BgL_newzd2bucketzd2_1337;
{ /* Ast/venv.scm 297 */
obj_t BgL_auxz00_2916;obj_t BgL_auxz00_2914;
BgL_auxz00_2916 = 
CDR(BgL_bucketz00_1334); 
BgL_auxz00_2914 = 
(obj_t)(BgL_newz00_1333); 
BgL_newzd2bucketzd2_1337 = 
MAKE_PAIR(BgL_auxz00_2914, BgL_auxz00_2916); } 
SET_CDR(BgL_bucketz00_1334, BgL_newzd2bucketzd2_1337); } }  else 
{ /* Ast/venv.scm 296 */
{ /* Ast/venv.scm 300 */
obj_t BgL_arg2746z00_1339;obj_t BgL_arg2747z00_1340;
BgL_arg2746z00_1339 = 
CDR(BgL_bucketz00_1334); 
{ /* Ast/venv.scm 300 */
obj_t BgL_auxz00_2923;obj_t BgL_auxz00_2921;
{ /* Ast/venv.scm 300 */
obj_t BgL_auxz00_2924;
BgL_auxz00_2924 = 
CDR(BgL_bucketz00_1334); 
BgL_auxz00_2923 = 
CDR(BgL_auxz00_2924); } 
BgL_auxz00_2921 = 
(obj_t)(BgL_newz00_1333); 
BgL_arg2747z00_1340 = 
MAKE_PAIR(BgL_auxz00_2921, BgL_auxz00_2923); } 
SET_CDR(BgL_arg2746z00_1339, BgL_arg2747z00_1340); } } }  else 
{ /* Ast/venv.scm 294 */
{ /* Ast/venv.scm 295 */
obj_t BgL_arg2749z00_1342;
{ /* Ast/venv.scm 295 */
obj_t BgL_list2750z00_1343;
{ /* Ast/venv.scm 295 */
obj_t BgL_arg2751z00_1344;
{ /* Ast/venv.scm 295 */
obj_t BgL_auxz00_2929;
BgL_auxz00_2929 = 
(obj_t)(BgL_newz00_1333); 
BgL_arg2751z00_1344 = 
MAKE_PAIR(BgL_auxz00_2929, BNIL); } 
BgL_list2750z00_1343 = 
MAKE_PAIR(BgL_idz00_15, BgL_arg2751z00_1344); } 
BgL_arg2749z00_1342 = BgL_list2750z00_1343; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_15, BgL_arg2749z00_1342); } } 
return BgL_newz00_1333;} } } } } } } 
}



/* _bind-global! */
obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2635, obj_t BgL_idz00_2636, obj_t BgL_modulez00_2637, obj_t BgL_valuez00_2638, obj_t BgL_importz00_2639, obj_t BgL_srcz00_2640)
{ AN_OBJECT;
{ /* Ast/venv.scm 262 */
{ /* Ast/venv.scm 262 */
BgL_globalz00_bglt BgL_auxz00_2934;
BgL_auxz00_2934 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2636, BgL_modulez00_2637, 
(BgL_valuez00_bglt)(BgL_valuez00_2638), BgL_importz00_2639, BgL_srcz00_2640); 
return 
(obj_t)(BgL_auxz00_2934);} } 
}



/* unbind-global! */
obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_20, obj_t BgL_modulez00_21)
{ AN_OBJECT;
{ /* Ast/venv.scm 306 */
{ /* Ast/venv.scm 307 */
obj_t BgL_globalz00_1357;
{ /* Ast/venv.scm 307 */
obj_t BgL_list2780z00_1376;
BgL_list2780z00_1376 = 
MAKE_PAIR(BgL_modulez00_21, BNIL); 
BgL_globalz00_1357 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_20, BgL_list2780z00_1376); } 
{ /* Ast/venv.scm 308 */
bool_t BgL_test2764z00_1358;
BgL_test2764z00_1358 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1357, BGl_globalz00zzast_varz00); 
if(BgL_test2764z00_1358)
{ /* Ast/venv.scm 310 */
obj_t BgL_bucketz00_1359;
BgL_bucketz00_1359 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_20); 
{ 
obj_t BgL_curz00_1360;obj_t BgL_prevz00_1361;
BgL_curz00_1360 = 
CDR(BgL_bucketz00_1359); 
BgL_prevz00_1361 = BgL_bucketz00_1359; 
BgL_loopz00_1362:
{ /* Ast/venv.scm 313 */
bool_t BgL_testz00_2943;
{ /* Ast/venv.scm 313 */
obj_t BgL_auxz00_2944;
BgL_auxz00_2944 = 
CAR(BgL_curz00_1360); 
BgL_testz00_2943 = 
(BgL_auxz00_2944==BgL_globalz00_1357); } 
if(BgL_testz00_2943)
{ /* Ast/venv.scm 314 */
obj_t BgL_auxz00_2947;
BgL_auxz00_2947 = 
CDR(BgL_curz00_1360); 
return 
SET_CDR(BgL_prevz00_1361, BgL_auxz00_2947);}  else 
{ 
obj_t BgL_prevz00_2952;obj_t BgL_curz00_2950;
BgL_curz00_2950 = 
CDR(BgL_curz00_1360); 
BgL_prevz00_2952 = 
CDR(BgL_prevz00_1361); 
BgL_prevz00_1361 = BgL_prevz00_2952; 
BgL_curz00_1360 = BgL_curz00_2950; 
goto BgL_loopz00_1362;} } } }  else 
{ /* Ast/venv.scm 309 */
obj_t BgL_arg2774z00_1371;
{ /* Ast/venv.scm 309 */
obj_t BgL_arg2777z00_1373;obj_t BgL_arg2778z00_1374;
BgL_arg2777z00_1373 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/venv.scm 309 */
obj_t BgL_arg2779z00_1375;
BgL_arg2779z00_1375 = 
MAKE_PAIR(BgL_modulez00_21, BNIL); 
BgL_arg2778z00_1374 = 
MAKE_PAIR(BgL_idz00_20, BgL_arg2779z00_1375); } 
BgL_arg2774z00_1371 = 
MAKE_PAIR(BgL_arg2777z00_1373, BgL_arg2778z00_1374); } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2890z00zzast_envz00, BGl_string2891z00zzast_envz00, BgL_arg2774z00_1371, BNIL);} } } } 
}



/* _unbind-global! */
obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2641, obj_t BgL_idz00_2642, obj_t BgL_modulez00_2643)
{ AN_OBJECT;
{ /* Ast/venv.scm 306 */
return 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2642, BgL_modulez00_2643);} 
}



/* for-each-global! */
obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_procz00_22)
{ AN_OBJECT;
{ /* Ast/venv.scm 320 */
{ /* Ast/venv.scm 322 */
obj_t BgL_zc3anonymousza32782ze3z83_2644;
{ 
int BgL_auxz00_2963;int BgL_auxz00_2961;
BgL_auxz00_2963 = 
(int)(((long)1)); 
BgL_auxz00_2961 = 
(int)(((long)2)); 
BgL_zc3anonymousza32782ze3z83_2644 = 
make_fx_procedure(BGl_zc3anonymousza32782ze3z83zzast_envz00, BgL_auxz00_2961, BgL_auxz00_2963); } 
{ /* Ast/venv.scm 322 */
int BgL_auxz00_2966;
BgL_auxz00_2966 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32782ze3z83_2644, BgL_auxz00_2966, BgL_procz00_22); } 
return 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_zc3anonymousza32782ze3z83_2644);} } 
}



/* _for-each-global! */
obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_envz00_2645, obj_t BgL_procz00_2646)
{ AN_OBJECT;
{ /* Ast/venv.scm 320 */
return 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2646);} 
}



/* <anonymous:2782> */
obj_t BGl_zc3anonymousza32782ze3z83zzast_envz00(obj_t BgL_envz00_2647, obj_t BgL_kz00_2649, obj_t BgL_bucketz00_2650)
{ AN_OBJECT;
{ /* Ast/venv.scm 322 */
{ /* Ast/venv.scm 322 */
obj_t BgL_procz00_2648;
{ /* Ast/venv.scm 322 */
int BgL_auxz00_2971;
BgL_auxz00_2971 = 
(int)(((long)0)); 
BgL_procz00_2648 = 
PROCEDURE_REF(BgL_envz00_2647, BgL_auxz00_2971); } 
{ 
obj_t BgL_kz00_1378;obj_t BgL_bucketz00_1379;
{ /* Ast/venv.scm 322 */
bool_t BgL_auxz00_2974;
BgL_kz00_1378 = BgL_kz00_2649; 
BgL_bucketz00_1379 = BgL_bucketz00_2650; 
{ 
obj_t BgL_l2685z00_1381;
BgL_l2685z00_1381 = 
CDR(BgL_bucketz00_1379); 
BgL_lname2686z00_1382:
if(
PAIRP(BgL_l2685z00_1381))
{ /* Ast/venv.scm 322 */
PROCEDURE_ENTRY(BgL_procz00_2648)(BgL_procz00_2648, 
CAR(BgL_l2685z00_1381), BEOA); 
{ 
obj_t BgL_l2685z00_2980;
BgL_l2685z00_2980 = 
CDR(BgL_l2685z00_1381); 
BgL_l2685z00_1381 = BgL_l2685z00_2980; 
goto BgL_lname2686z00_1382;} }  else 
{ /* Ast/venv.scm 322 */
BgL_auxz00_2974 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2974);} } } } 
}



/* global-bucket-position */
obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_idz00_23, obj_t BgL_modulez00_24)
{ AN_OBJECT;
{ /* Ast/venv.scm 327 */
{ /* Ast/venv.scm 328 */
obj_t BgL_bucketz00_1388;
BgL_bucketz00_1388 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_23); 
if(
PAIRP(BgL_bucketz00_1388))
{ 
obj_t BgL_globalsz00_1390;long BgL_posz00_1391;
{ /* Ast/venv.scm 331 */
long BgL_auxz00_2987;
BgL_globalsz00_1390 = 
CDR(BgL_bucketz00_1388); 
BgL_posz00_1391 = ((long)0); 
BgL_loopz00_1392:
if(
NULLP(BgL_globalsz00_1390))
{ /* Ast/venv.scm 334 */
BgL_auxz00_2987 = ((long)-1); }  else 
{ /* Ast/venv.scm 336 */
bool_t BgL_testz00_2990;
{ /* Ast/venv.scm 336 */
obj_t BgL_auxz00_2991;
{ /* Ast/venv.scm 336 */
BgL_globalz00_bglt BgL_obj1170z00_2026;
{ /* Ast/venv.scm 336 */
obj_t BgL_auxz00_2992;
BgL_auxz00_2992 = 
CAR(BgL_globalsz00_1390); 
BgL_obj1170z00_2026 = 
(BgL_globalz00_bglt)(BgL_auxz00_2992); } 
BgL_auxz00_2991 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_2026))->BgL_modulez00); } 
BgL_testz00_2990 = 
(BgL_auxz00_2991==BgL_modulez00_24); } 
if(BgL_testz00_2990)
{ /* Ast/venv.scm 336 */
BgL_auxz00_2987 = BgL_posz00_1391; }  else 
{ /* Ast/venv.scm 336 */
{ 
long BgL_posz00_2999;obj_t BgL_globalsz00_2997;
BgL_globalsz00_2997 = 
CDR(BgL_globalsz00_1390); 
BgL_posz00_2999 = 
(BgL_posz00_1391+((long)1)); 
BgL_posz00_1391 = BgL_posz00_2999; 
BgL_globalsz00_1390 = BgL_globalsz00_2997; 
goto BgL_loopz00_1392;} } } 
return 
BINT(BgL_auxz00_2987);} }  else 
{ /* Ast/venv.scm 329 */
return 
BINT(((long)-1));} } } 
}



/* _global-bucket-position */
obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_envz00_2651, obj_t BgL_idz00_2652, obj_t BgL_modulez00_2653)
{ AN_OBJECT;
{ /* Ast/venv.scm 327 */
return 
BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2652, BgL_modulez00_2653);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_restorezd2valuezd2typesz12zd2default2688zd2envz12zzast_envz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_sfunz00zzast_varz00, BGl_proc2892z00zzast_envz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_cfunz00zzast_varz00, BGl_proc2893z00zzast_envz00);} 
}



/* restore-value-types!-cfun2693 */
obj_t BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00(obj_t BgL_envz00_2656, obj_t BgL_valuez00_2657)
{ AN_OBJECT;
{ /* Ast/venv.scm 182 */
{ 
BgL_cfunz00_bglt BgL_valuez00_1825;
{ /* Ast/venv.scm 183 */
bool_t BgL_auxz00_3008;
BgL_valuez00_1825 = 
(BgL_cfunz00_bglt)(BgL_valuez00_2657); 
{ 
obj_t BgL_argsz00_1829;
BgL_argsz00_1829 = 
(((BgL_cfunz00_bglt)CREF(BgL_valuez00_1825))->BgL_argszd2typezd2); 
BgL_loopz00_1830:
if(
PAIRP(BgL_argsz00_1829))
{ /* Ast/venv.scm 185 */
{ /* Ast/venv.scm 187 */
BgL_typez00_bglt BgL_arg2869z00_1833;
{ /* Ast/venv.scm 187 */
obj_t BgL_auxz00_3011;
{ /* Ast/venv.scm 187 */
BgL_typez00_bglt BgL_obj1002z00_2583;
{ /* Ast/venv.scm 187 */
obj_t BgL_auxz00_3012;
BgL_auxz00_3012 = 
CAR(BgL_argsz00_1829); 
BgL_obj1002z00_2583 = 
(BgL_typez00_bglt)(BgL_auxz00_3012); } 
BgL_auxz00_3011 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2583))->BgL_idz00); } 
BgL_arg2869z00_1833 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3011); } 
{ /* Ast/venv.scm 187 */
obj_t BgL_auxz00_3017;
BgL_auxz00_3017 = 
(obj_t)(BgL_arg2869z00_1833); 
SET_CAR(BgL_argsz00_1829, BgL_auxz00_3017); } } 
{ 
obj_t BgL_argsz00_3020;
BgL_argsz00_3020 = 
CDR(BgL_argsz00_1829); 
BgL_argsz00_1829 = BgL_argsz00_3020; 
goto BgL_loopz00_1830;} }  else 
{ /* Ast/venv.scm 185 */
BgL_auxz00_3008 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3008);} } } 
}



/* restore-value-types!-sfun2691 */
obj_t BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00(obj_t BgL_envz00_2658, obj_t BgL_valuez00_2659)
{ AN_OBJECT;
{ /* Ast/venv.scm 147 */
{ 
BgL_sfunz00_bglt BgL_valuez00_1793;
BgL_valuez00_1793 = 
(BgL_sfunz00_bglt)(BgL_valuez00_2659); 
{ 
obj_t BgL_argsz00_1797;
BgL_argsz00_1797 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1793))->BgL_argsz00); 
BgL_loopz00_1798:
if(
PAIRP(BgL_argsz00_1797))
{ /* Ast/venv.scm 151 */
{ /* Ast/venv.scm 152 */
obj_t BgL_argz00_1801;
BgL_argz00_1801 = 
CAR(BgL_argsz00_1797); 
{ /* Ast/venv.scm 154 */
bool_t BgL_test2847z00_1802;
BgL_test2847z00_1802 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1801, BGl_typez00zztype_typez00); 
if(BgL_test2847z00_1802)
{ /* Ast/venv.scm 154 */
{ /* Ast/venv.scm 155 */
BgL_typez00_bglt BgL_arg2848z00_1803;
{ /* Ast/venv.scm 155 */
obj_t BgL_auxz00_3030;
{ /* Ast/venv.scm 155 */
BgL_typez00_bglt BgL_obj1002z00_2557;
BgL_obj1002z00_2557 = 
(BgL_typez00_bglt)(BgL_argz00_1801); 
BgL_auxz00_3030 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2557))->BgL_idz00); } 
BgL_arg2848z00_1803 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3030); } 
{ /* Ast/venv.scm 155 */
obj_t BgL_auxz00_3034;
BgL_auxz00_3034 = 
(obj_t)(BgL_arg2848z00_1803); 
SET_CAR(BgL_argsz00_1797, BgL_auxz00_3034); } } }  else 
{ /* Ast/venv.scm 156 */
bool_t BgL_test2851z00_1805;
BgL_test2851z00_1805 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1801, BGl_localz00zzast_varz00); 
if(BgL_test2851z00_1805)
{ /* Ast/venv.scm 156 */
{ /* Ast/venv.scm 157 */
BgL_typez00_bglt BgL_newzd2typezd2_1806;
{ /* Ast/venv.scm 157 */
obj_t BgL_auxz00_3039;
{ /* Ast/venv.scm 157 */
BgL_typez00_bglt BgL_arg2853z00_1808;
{ /* Ast/venv.scm 157 */
BgL_localz00_bglt BgL_obj1252z00_2561;
BgL_obj1252z00_2561 = 
(BgL_localz00_bglt)(BgL_argz00_1801); 
BgL_arg2853z00_1808 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2561))->BgL_typez00); } 
BgL_auxz00_3039 = 
(((BgL_typez00_bglt)CREF(BgL_arg2853z00_1808))->BgL_idz00); } 
BgL_newzd2typezd2_1806 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3039); } 
{ /* Ast/venv.scm 158 */
BgL_localz00_bglt BgL_obj1254z00_2563;
BgL_obj1254z00_2563 = 
(BgL_localz00_bglt)(BgL_argz00_1801); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_2563))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_1806), BUNSPEC); } } }  else 
{ /* Ast/venv.scm 156 */
{ /* Ast/venv.scm 160 */
obj_t BgL_arg2856z00_1811;
BgL_arg2856z00_1811 = 
BGl_shapez00zztools_shapez00(BgL_argz00_1801); 
FAILURE(BGl_string2894z00zzast_envz00,BGl_string2895z00zzast_envz00,BgL_arg2856z00_1811);} } } } 
{ 
obj_t BgL_argsz00_3048;
BgL_argsz00_3048 = 
CDR(BgL_argsz00_1797); 
BgL_argsz00_1797 = BgL_argsz00_3048; 
goto BgL_loopz00_1798;} } }  else 
{ /* Ast/venv.scm 151 */
if(
NULLP(BgL_argsz00_1797))
{ /* Ast/venv.scm 164 */
{ /* Ast/venv.scm 165 */
obj_t BgL_bodyz00_1814;
BgL_bodyz00_1814 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1793))->BgL_bodyz00); 
{ /* Ast/venv.scm 167 */
bool_t BgL_test2859z00_1815;
BgL_test2859z00_1815 = 
BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1814, BGl_nodez00zzast_nodez00); 
if(BgL_test2859z00_1815)
{ /* Ast/venv.scm 168 */
BgL_typez00_bglt BgL_tresz00_1816;
{ /* Ast/venv.scm 168 */
BgL_nodez00_bglt BgL_obj1550z00_2572;
BgL_obj1550z00_2572 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1814); 
BgL_tresz00_1816 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2572))->BgL_typez00); } 
{ /* Ast/venv.scm 169 */
bool_t BgL_test2860z00_1817;
BgL_test2860z00_1817 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_tresz00_1816), BGl_typez00zztype_typez00); 
if(BgL_test2860z00_1817)
{ /* Ast/venv.scm 169 */
BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
(BgL_nodez00_bglt)(BgL_bodyz00_1814)); 
{ /* Ast/venv.scm 173 */
BgL_typez00_bglt BgL_arg2861z00_1818;
BgL_arg2861z00_1818 = 
BGl_findzd2typezd2zztype_envz00(
(((BgL_typez00_bglt)CREF(BgL_tresz00_1816))->BgL_idz00)); 
{ /* Ast/venv.scm 172 */
BgL_nodez00_bglt BgL_obj1552z00_2575;
BgL_obj1552z00_2575 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1814); 
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2575))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2861z00_1818), BUNSPEC);} } }  else 
{ /* Ast/venv.scm 169 */
return BFALSE;} } }  else 
{ /* Ast/venv.scm 167 */
return BFALSE;} } } }  else 
{ /* Ast/venv.scm 164 */
{ /* Ast/venv.scm 175 */
obj_t BgL_arg2865z00_1822;
BgL_arg2865z00_1822 = 
BGl_shapez00zztools_shapez00(BgL_argsz00_1797); 
FAILURE(BGl_string2896z00zzast_envz00,BGl_string2897z00zzast_envz00,BgL_arg2865z00_1822);} } } } } } 
}



/* restore-value-types! */
obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt BgL_valuez00_7)
{ AN_OBJECT;
{ /* Ast/venv.scm 141 */
{ /* Ast/venv.scm 141 */
obj_t BgL_method2689z00_2587;
{ /* Ast/venv.scm 141 */
long BgL_objzd2classzd2numz00_2589;
{ /* Ast/venv.scm 141 */
BgL_objectz00_bglt BgL_auxz00_3070;
BgL_auxz00_3070 = 
(BgL_objectz00_bglt)(BgL_valuez00_7); 
BgL_objzd2classzd2numz00_2589 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3070); } 
{ /* Ast/venv.scm 141 */
obj_t BgL_arg1221z00_2590;
{ /* Ast/venv.scm 141 */
int BgL_auxz00_3073;
BgL_auxz00_3073 = 
(int)(((long)1)); 
BgL_arg1221z00_2590 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_3073); } 
{ /* Ast/venv.scm 141 */
long BgL_offsetz00_2594;
{ /* Ast/venv.scm 141 */
long BgL_auxz00_3076;
{ /* Ast/venv.scm 141 */
int BgL_auxz00_3077;
BgL_auxz00_3077 = 
(int)(BgL_objzd2classzd2numz00_2589); 
BgL_auxz00_3076 = 
(long)(BgL_auxz00_3077); } 
BgL_offsetz00_2594 = 
(BgL_auxz00_3076-OBJECT_TYPE); } 
{ /* Ast/venv.scm 141 */
long BgL_modz00_2595;
{ /* Ast/venv.scm 141 */
long BgL_auxz00_3081;
{ /* Ast/venv.scm 141 */
int BgL_auxz00_3082;
BgL_auxz00_3082 = 
(int)(((long)8)); 
BgL_auxz00_3081 = 
(long)(BgL_auxz00_3082); } 
BgL_modz00_2595 = 
(BgL_offsetz00_2594/BgL_auxz00_3081); } 
{ /* Ast/venv.scm 141 */
long BgL_restz00_2597;
{ /* Ast/venv.scm 141 */
long BgL_auxz00_3086;
{ /* Ast/venv.scm 141 */
int BgL_auxz00_3087;
BgL_auxz00_3087 = 
(int)(((long)8)); 
BgL_auxz00_3086 = 
(long)(BgL_auxz00_3087); } 
BgL_restz00_2597 = 
(BgL_offsetz00_2594%BgL_auxz00_3086); } 
{ /* Ast/venv.scm 141 */

{ /* Ast/venv.scm 141 */
obj_t BgL_bucketz00_2599;
{ /* Ast/venv.scm 141 */
int BgL_kz00_2609;
BgL_kz00_2609 = 
(int)(BgL_modz00_2595); 
BgL_bucketz00_2599 = 
VECTOR_REF(BgL_arg1221z00_2590,BgL_kz00_2609); } 
{ /* Ast/venv.scm 141 */
int BgL_kz00_2611;
BgL_kz00_2611 = 
(int)(BgL_restz00_2597); 
BgL_method2689z00_2587 = 
VECTOR_REF(BgL_bucketz00_2599,BgL_kz00_2611); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2689z00_2587)(BgL_method2689z00_2587, 
(obj_t)(BgL_valuez00_7), BEOA);} } 
}



/* _restore-value-types! */
obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t BgL_envz00_2623, obj_t BgL_valuez00_2624)
{ AN_OBJECT;
{ /* Ast/venv.scm 141 */
return 
BGl_restorezd2valuezd2typesz12z12zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2624));} 
}



/* restore-value-types!-default2688 */
obj_t BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(BgL_valuez00_bglt BgL_valuez00_8)
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
return BUNSPEC;} 
}



/* _restore-value-types!-default2688 */
obj_t BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(obj_t BgL_envz00_2660, obj_t BgL_valuez00_2661)
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
return 
BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2661));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_env"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_env"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long)54222), "ast_env"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)44545), "ast_env"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_env");} 
}

