/*===========================================================================*/
/*   (Bdb/initialize.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzbdb_initializa7eza7();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
static obj_t BGl_cnstzd2initzd2zzbdb_initializa7eza7();
static obj_t BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7();
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
static obj_t BGl__initializa7ezd2astz75zzbdb_initializa7eza7(obj_t);
static obj_t BGl_toplevelzd2initzd2zzbdb_initializa7eza7();
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7();
static obj_t __cnst[ 5 ] ;

DEFINE_STRING( BGl_string2757z00zzbdb_initializa7eza7, BgL_bgl_string2757za700za7za7bdb_initializa7a7eza7a72762za7, "unit bdb pragma::obj quote bdb-set-module-info! ", 48 );
DEFINE_STRING( BGl_string2756z00zzbdb_initializa7eza7, BgL_bgl_string2756za700za7za7bdb_initializa7a7eza7a72763za7, "((obj_t)__bdb_info)", 19 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2astzd2envza7zzbdb_initializa7eza7, BgL_bgl__initializa7a7eza7d2astza775za7za7bdb_initializa7a7eza7a72764za7, BGl__initializa7ezd2astz75zzbdb_initializa7eza7, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long BgL_checksumz00_2237, char * BgL_fromz00_2238)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7))
{ 
BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7(); 
BGl_cnstzd2initzd2zzbdb_initializa7eza7(); 
BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "bdb_initialize"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 15 */
{ /* Bdb/initialize.scm 15 */
obj_t BgL_cportz00_2230;
BgL_cportz00_2230 = 
open_input_string(BGl_string2757z00zzbdb_initializa7eza7); 
{ 
long BgL_iz00_2231;
BgL_iz00_2231 = ((long)4); 
BgL_loopz00_2232:
if(
(BgL_iz00_2231==((long)-1)))
{ /* Bdb/initialize.scm 15 */
return BUNSPEC;}  else 
{ /* Bdb/initialize.scm 15 */
{ /* Bdb/initialize.scm 15 */
obj_t BgL_arg2759z00_2234;
{ /* Bdb/initialize.scm 15 */
obj_t BgL_list2760z00_2235;
BgL_list2760z00_2235 = 
MAKE_PAIR(BgL_cportz00_2230, BNIL); 
BgL_arg2759z00_2234 = 
BGl_readz00zz__readerz00(BgL_list2760z00_2235); } 
{ /* Bdb/initialize.scm 15 */
int BgL_auxz00_2251;
BgL_auxz00_2251 = 
(int)(BgL_iz00_2231); 
CNST_TABLE_SET(BgL_auxz00_2251, BgL_arg2759z00_2234); } } 
{ 
long BgL_iz00_2254;
{ /* Bdb/initialize.scm 15 */
int BgL_auxz00_2255;
{ /* Bdb/initialize.scm 15 */
long BgL_auxz00_2256;
BgL_auxz00_2256 = 
(BgL_iz00_2231-((long)1)); 
BgL_auxz00_2255 = 
(int)(BgL_auxz00_2256); } 
BgL_iz00_2254 = 
(long)(BgL_auxz00_2255); } 
BgL_iz00_2231 = BgL_iz00_2254; 
goto BgL_loopz00_2232;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 15 */
return BUNSPEC;} 
}



/* initialize-ast */
obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 42 */
{ /* Bdb/initialize.scm 44 */
obj_t BgL_bodyz00_1262;
{ /* Bdb/initialize.scm 44 */
obj_t BgL_arg2697z00_1275;
{ /* Bdb/initialize.scm 44 */
obj_t BgL_arg2699z00_1277;obj_t BgL_arg2700z00_1278;
BgL_arg2699z00_1277 = 
CNST_TABLE_REF(((long)0)); 
{ /* Bdb/initialize.scm 44 */
obj_t BgL_arg2701z00_1279;obj_t BgL_arg2702z00_1280;
{ /* Bdb/initialize.scm 44 */
obj_t BgL_arg2703z00_1281;obj_t BgL_arg2704z00_1282;
BgL_arg2703z00_1281 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2704z00_1282 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2701z00_1279 = 
MAKE_PAIR(BgL_arg2703z00_1281, BgL_arg2704z00_1282); } 
{ /* Bdb/initialize.scm 45 */
obj_t BgL_arg2705z00_1283;
{ /* Bdb/initialize.scm 45 */
obj_t BgL_arg2707z00_1285;obj_t BgL_arg2708z00_1286;
BgL_arg2707z00_1285 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2708z00_1286 = 
MAKE_PAIR(BGl_string2756z00zzbdb_initializa7eza7, BNIL); 
BgL_arg2705z00_1283 = 
MAKE_PAIR(BgL_arg2707z00_1285, BgL_arg2708z00_1286); } 
BgL_arg2702z00_1280 = 
MAKE_PAIR(BgL_arg2705z00_1283, BNIL); } 
BgL_arg2700z00_1278 = 
MAKE_PAIR(BgL_arg2701z00_1279, BgL_arg2702z00_1280); } 
BgL_arg2697z00_1275 = 
MAKE_PAIR(BgL_arg2699z00_1277, BgL_arg2700z00_1278); } 
BgL_bodyz00_1262 = 
MAKE_PAIR(BgL_arg2697z00_1275, BNIL); } 
{ /* Bdb/initialize.scm 46 */
obj_t BgL_unitz00_1263;
{ /* Bdb/initialize.scm 46 */
obj_t BgL_idz00_1713;
BgL_idz00_1713 = 
CNST_TABLE_REF(((long)3)); 
{ /* Bdb/initialize.scm 46 */
obj_t BgL_newz00_1717;
{ /* Bdb/initialize.scm 46 */
int BgL_auxz00_2274;obj_t BgL_auxz00_2272;
BgL_auxz00_2274 = 
(int)(((long)4)); 
BgL_auxz00_2272 = 
CNST_TABLE_REF(((long)4)); 
BgL_newz00_1717 = 
create_struct(BgL_auxz00_2272, BgL_auxz00_2274); } 
{ /* Bdb/initialize.scm 46 */
int BgL_auxz00_2277;
BgL_auxz00_2277 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1717, BgL_auxz00_2277, BTRUE); } 
{ /* Bdb/initialize.scm 46 */
int BgL_auxz00_2280;
BgL_auxz00_2280 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1717, BgL_auxz00_2280, BgL_bodyz00_1262); } 
{ /* Bdb/initialize.scm 46 */
obj_t BgL_auxz00_2285;int BgL_auxz00_2283;
BgL_auxz00_2285 = 
BINT(((long)9)); 
BgL_auxz00_2283 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1717, BgL_auxz00_2283, BgL_auxz00_2285); } 
{ /* Bdb/initialize.scm 46 */
int BgL_auxz00_2288;
BgL_auxz00_2288 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1717, BgL_auxz00_2288, BgL_idz00_1713); } 
BgL_unitz00_1263 = BgL_newz00_1717; } } 
{ /* Bdb/initialize.scm 47 */
obj_t BgL_astz00_1264;
{ /* Bdb/initialize.scm 47 */
obj_t BgL_arg2695z00_1273;
{ /* Bdb/initialize.scm 47 */
obj_t BgL_list2696z00_1274;
BgL_list2696z00_1274 = 
MAKE_PAIR(BgL_unitz00_1263, BNIL); 
BgL_arg2695z00_1273 = BgL_list2696z00_1274; } 
BgL_astz00_1264 = 
BGl_buildzd2astzd2zzast_buildz00(BgL_arg2695z00_1273); } 
{ 
obj_t BgL_l2679z00_1265;
BgL_l2679z00_1265 = BgL_astz00_1264; 
BgL_lname2680z00_1266:
if(
PAIRP(BgL_l2679z00_1265))
{ /* Bdb/initialize.scm 48 */
{ /* Bdb/initialize.scm 49 */
obj_t BgL_globalz00_1268;
BgL_globalz00_1268 = 
CAR(BgL_l2679z00_1265); 
{ /* Bdb/initialize.scm 49 */
BgL_typez00_bglt BgL_auxz00_2304;BgL_nodez00_bglt BgL_auxz00_2296;
{ /* Bdb/initialize.scm 51 */
BgL_globalz00_bglt BgL_obj1175z00_1744;
BgL_obj1175z00_1744 = 
(BgL_globalz00_bglt)(BgL_globalz00_1268); 
BgL_auxz00_2304 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1175z00_1744))->BgL_typez00); } 
{ /* Bdb/initialize.scm 49 */
obj_t BgL_auxz00_2297;
{ /* Bdb/initialize.scm 49 */
BgL_sfunz00_bglt BgL_obj1398z00_1743;
{ /* Bdb/initialize.scm 49 */
BgL_valuez00_bglt BgL_auxz00_2298;
{ /* Bdb/initialize.scm 49 */
BgL_globalz00_bglt BgL_obj1178z00_1742;
BgL_obj1178z00_1742 = 
(BgL_globalz00_bglt)(BgL_globalz00_1268); 
BgL_auxz00_2298 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_1742))->BgL_valuez00); } 
BgL_obj1398z00_1743 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2298); } 
BgL_auxz00_2297 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_1743))->BgL_bodyz00); } 
BgL_auxz00_2296 = 
(BgL_nodez00_bglt)(BgL_auxz00_2297); } 
BGl_coercez12z12zzcoerce_coercez00(BgL_auxz00_2296, BgL_globalz00_1268, BgL_auxz00_2304); } } 
{ 
obj_t BgL_l2679z00_2308;
BgL_l2679z00_2308 = 
CDR(BgL_l2679z00_1265); 
BgL_l2679z00_1265 = BgL_l2679z00_2308; 
goto BgL_lname2680z00_1266;} }  else 
{ /* Bdb/initialize.scm 48 */((bool_t)1); } } 
return BgL_astz00_1264;} } } } 
}



/* _initialize-ast */
obj_t BGl__initializa7ezd2astz75zzbdb_initializa7eza7(obj_t BgL_envz00_2228)
{ AN_OBJECT;
{ /* Bdb/initialize.scm 42 */
return 
BGl_initializa7ezd2astz75zzbdb_initializa7eza7();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7()
{ AN_OBJECT;
{ /* Bdb/initialize.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)23045), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "bdb_initialize"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)31254), "bdb_initialize"); 
return 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)43979), "bdb_initialize");} 
}

