/*===========================================================================*/
/*   (Bdb/walk.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzbdb_walkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
extern obj_t current_error_port;
static obj_t BGl_cnstzd2initzd2zzbdb_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00();
static obj_t BGl__bdbzd2walkz12zc0zzbdb_walkz00(obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzbdb_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00();
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_bdbzd2walkz12zd2envz12zzbdb_walkz00, BgL_bgl__bdbza7d2walkza712za7c0za7za7bdb_walkza7002748z00, BGl__bdbzd2walkz12zc0zzbdb_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string2743z00zzbdb_walkz00, BgL_bgl_string2743za700za7za7bdb_walkza7002749z00, "pass-started ", 13 );
DEFINE_STRING( BGl_string2742z00zzbdb_walkz00, BgL_bgl_string2742za700za7za7bdb_walkza7002750z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2741z00zzbdb_walkz00, BgL_bgl_string2741za700za7za7bdb_walkza7002751z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2740z00zzbdb_walkz00, BgL_bgl_string2740za700za7za7bdb_walkza7002752z00, " error", 6 );
DEFINE_STRING( BGl_string2739z00zzbdb_walkz00, BgL_bgl_string2739za700za7za7bdb_walkza7002753z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2738z00zzbdb_walkz00, BgL_bgl_string2738za700za7za7bdb_walkza7002754z00, "   . ", 5 );
DEFINE_STRING( BGl_string2737z00zzbdb_walkz00, BgL_bgl_string2737za700za7za7bdb_walkza7002755z00, "Bdb", 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long BgL_checksumz00_2150, char * BgL_fromz00_2151)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbdb_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzbdb_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbdb_walkz00(); 
BGl_cnstzd2initzd2zzbdb_walkz00(); 
BGl_importedzd2moduleszd2initz00zzbdb_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00()
{ AN_OBJECT;
{ /* Bdb/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "bdb_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbdb_walkz00()
{ AN_OBJECT;
{ /* Bdb/walk.scm 15 */
{ /* Bdb/walk.scm 15 */
obj_t BgL_cportz00_2143;
BgL_cportz00_2143 = 
open_input_string(BGl_string2743z00zzbdb_walkz00); 
{ 
long BgL_iz00_2144;
BgL_iz00_2144 = ((long)0); 
BgL_loopz00_2145:
if(
(BgL_iz00_2144==((long)-1)))
{ /* Bdb/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Bdb/walk.scm 15 */
{ /* Bdb/walk.scm 15 */
obj_t BgL_arg2745z00_2147;
{ /* Bdb/walk.scm 15 */
obj_t BgL_list2746z00_2148;
BgL_list2746z00_2148 = 
MAKE_PAIR(BgL_cportz00_2143, BNIL); 
BgL_arg2745z00_2147 = 
BGl_readz00zz__readerz00(BgL_list2746z00_2148); } 
{ /* Bdb/walk.scm 15 */
int BgL_auxz00_2168;
BgL_auxz00_2168 = 
(int)(BgL_iz00_2144); 
CNST_TABLE_SET(BgL_auxz00_2168, BgL_arg2745z00_2147); } } 
{ 
long BgL_iz00_2171;
{ /* Bdb/walk.scm 15 */
int BgL_auxz00_2172;
{ /* Bdb/walk.scm 15 */
long BgL_auxz00_2173;
BgL_auxz00_2173 = 
(BgL_iz00_2144-((long)1)); 
BgL_auxz00_2172 = 
(int)(BgL_auxz00_2173); } 
BgL_iz00_2171 = 
(long)(BgL_auxz00_2172); } 
BgL_iz00_2144 = BgL_iz00_2171; 
goto BgL_loopz00_2145;} } } } } 
}



/* bdb-walk! */
obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Bdb/walk.scm 30 */
{ /* Bdb/walk.scm 31 */
obj_t BgL_list2655z00_1221;
{ /* Bdb/walk.scm 31 */
obj_t BgL_arg2657z00_1223;
{ /* Bdb/walk.scm 31 */
obj_t BgL_arg2659z00_1225;
{ /* Bdb/walk.scm 31 */
obj_t BgL_auxz00_2177;
BgL_auxz00_2177 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2659z00_1225 = 
MAKE_PAIR(BgL_auxz00_2177, BNIL); } 
BgL_arg2657z00_1223 = 
MAKE_PAIR(BGl_string2737z00zzbdb_walkz00, BgL_arg2659z00_1225); } 
BgL_list2655z00_1221 = 
MAKE_PAIR(BGl_string2738z00zzbdb_walkz00, BgL_arg2657z00_1223); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2655z00_1221); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2737z00zzbdb_walkz00; 
{ 
obj_t BgL_hooksz00_1226;obj_t BgL_hnamesz00_1227;
BgL_hooksz00_1226 = BNIL; 
BgL_hnamesz00_1227 = BNIL; 
BgL_loopz00_1228:
if(
NULLP(BgL_hooksz00_1226))
{ /* Bdb/walk.scm 31 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Bdb/walk.scm 31 */
bool_t BgL_test2664z00_1233;
{ /* Bdb/walk.scm 31 */
obj_t BgL_fun2670z00_1239;
BgL_fun2670z00_1239 = 
CAR(BgL_hooksz00_1226); 
{ /* Bdb/walk.scm 31 */
obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
PROCEDURE_ENTRY(BgL_fun2670z00_1239)(BgL_fun2670z00_1239, BEOA); 
BgL_test2664z00_1233 = 
CBOOL(BgL_auxz00_2189); } } 
if(BgL_test2664z00_1233)
{ /* Bdb/walk.scm 31 */
{ 
obj_t BgL_hnamesz00_2196;obj_t BgL_hooksz00_2194;
BgL_hooksz00_2194 = 
CDR(BgL_hooksz00_1226); 
BgL_hnamesz00_2196 = 
CDR(BgL_hnamesz00_1227); 
BgL_hnamesz00_1227 = BgL_hnamesz00_2196; 
BgL_hooksz00_1226 = BgL_hooksz00_2194; 
goto BgL_loopz00_1228;} }  else 
{ /* Bdb/walk.scm 31 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2737z00zzbdb_walkz00, BGl_string2739z00zzbdb_walkz00, 
CAR(BgL_hnamesz00_1227)); } } } 
{ /* Bdb/walk.scm 32 */
obj_t BgL_valuez00_1240;
{ /* Bdb/walk.scm 32 */
obj_t BgL_arg2690z00_1264;
BgL_arg2690z00_1264 = 
BGl_initializa7ezd2astz75zzbdb_initializa7eza7(); 
BgL_valuez00_1240 = 
bgl_append2(BgL_arg2690z00_1264, BgL_globalsz00_1); } 
{ /* Bdb/walk.scm 32 */
bool_t BgL_test2671z00_1241;
{ /* Bdb/walk.scm 32 */
long BgL_n1z00_1657;
BgL_n1z00_1657 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2671z00_1241 = 
(BgL_n1z00_1657>((long)0)); } 
if(BgL_test2671z00_1241)
{ /* Bdb/walk.scm 32 */
{ /* Bdb/walk.scm 32 */
obj_t BgL_list2672z00_1243;
BgL_list2672z00_1243 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2672z00_1243); } 
{ /* Bdb/walk.scm 32 */
obj_t BgL_list2673z00_1244;
BgL_list2673z00_1244 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2740z00zzbdb_walkz00, BgL_list2673z00_1244); } 
{ /* Bdb/walk.scm 32 */
char * BgL_arg2674z00_1245;
{ /* Bdb/walk.scm 32 */
bool_t BgL_test2676z00_1247;
{ /* Bdb/walk.scm 32 */
bool_t BgL_test2677z00_1248;
{ /* Bdb/walk.scm 32 */
obj_t BgL_objz00_1659;
BgL_objz00_1659 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2677z00_1248 = 
INTEGERP(BgL_objz00_1659); } 
if(BgL_test2677z00_1248)
{ /* Bdb/walk.scm 32 */
BgL_test2676z00_1247 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Bdb/walk.scm 32 */
BgL_test2676z00_1247 = ((bool_t)0); } } 
if(BgL_test2676z00_1247)
{ /* Bdb/walk.scm 32 */
BgL_arg2674z00_1245 = "s"; }  else 
{ /* Bdb/walk.scm 32 */
BgL_arg2674z00_1245 = ""; } } 
{ /* Bdb/walk.scm 32 */
obj_t BgL_list2675z00_1246;
BgL_list2675z00_1246 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2674z00_1245), BgL_list2675z00_1246); } } 
{ /* Bdb/walk.scm 32 */
obj_t BgL_list2678z00_1249;
BgL_list2678z00_1249 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2741z00zzbdb_walkz00, BgL_list2678z00_1249); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Bdb/walk.scm 32 */
obj_t BgL_list2679z00_1250;
{ /* Bdb/walk.scm 32 */
obj_t BgL_auxz00_2220;
BgL_auxz00_2220 = 
BINT(((long)-1)); 
BgL_list2679z00_1250 = 
MAKE_PAIR(BgL_auxz00_2220, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2679z00_1250);} }  else 
{ 
obj_t BgL_hooksz00_1251;obj_t BgL_hnamesz00_1252;
BgL_hooksz00_1251 = BNIL; 
BgL_hnamesz00_1252 = BNIL; 
BgL_loopz00_1253:
if(
NULLP(BgL_hooksz00_1251))
{ /* Bdb/walk.scm 32 */
return BgL_valuez00_1240;}  else 
{ /* Bdb/walk.scm 32 */
bool_t BgL_test2684z00_1258;
{ /* Bdb/walk.scm 32 */
obj_t BgL_fun2689z00_1263;
BgL_fun2689z00_1263 = 
CAR(BgL_hooksz00_1251); 
{ /* Bdb/walk.scm 32 */
obj_t BgL_auxz00_2227;
BgL_auxz00_2227 = 
PROCEDURE_ENTRY(BgL_fun2689z00_1263)(BgL_fun2689z00_1263, BEOA); 
BgL_test2684z00_1258 = 
CBOOL(BgL_auxz00_2227); } } 
if(BgL_test2684z00_1258)
{ /* Bdb/walk.scm 32 */
{ 
obj_t BgL_hnamesz00_2234;obj_t BgL_hooksz00_2232;
BgL_hooksz00_2232 = 
CDR(BgL_hooksz00_1251); 
BgL_hnamesz00_2234 = 
CDR(BgL_hnamesz00_1252); 
BgL_hnamesz00_1252 = BgL_hnamesz00_2234; 
BgL_hooksz00_1251 = BgL_hooksz00_2232; 
goto BgL_loopz00_1253;} }  else 
{ /* Bdb/walk.scm 32 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2742z00zzbdb_walkz00, 
CAR(BgL_hnamesz00_1252));} } } } } } 
}



/* _bdb-walk! */
obj_t BGl__bdbzd2walkz12zc0zzbdb_walkz00(obj_t BgL_envz00_2141, obj_t BgL_globalsz00_2142)
{ AN_OBJECT;
{ /* Bdb/walk.scm 30 */
return 
BGl_bdbzd2walkz12zc0zzbdb_walkz00(BgL_globalsz00_2142);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzbdb_walkz00()
{ AN_OBJECT;
{ /* Bdb/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00()
{ AN_OBJECT;
{ /* Bdb/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "bdb_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "bdb_walk"); 
return 
BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(((long)23323), "bdb_walk");} 
}

