/*===========================================================================*/
/*   (Cfa/approx.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


extern obj_t BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt);
static obj_t BGl_methodzd2initzd2zzcfa_approxz00();
static obj_t BGl_getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00(BgL_nodez00_bglt);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
static obj_t BGl_shapezd2approx4301zd2zzcfa_approxz00(obj_t, obj_t);
static obj_t BGl_getzd2nodezd2atomzd2valuezd2atom4305z00zzcfa_approxz00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern obj_t BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt, obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__declarezd2approxzd2setsz12z12zzcfa_approxz00(obj_t);
static obj_t BGl__approxzd2setzd2topz124650z12zzcfa_approxz00(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_approxz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern BgL_approxz00_bglt BGl_makezd2alloczd2approxz00zzcfa_approxz00(BgL_appz00_bglt);
extern obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__makezd2typezd2approx4651z00zzcfa_approxz00(obj_t, obj_t);
static obj_t BGl__getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2key4646zd2zzcfa_approxz00(obj_t, obj_t);
extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_approxz00();
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
static obj_t BGl__getzd2nodezd2atomzd2value4655zd2zzcfa_approxz00(obj_t, obj_t);
static obj_t BGl__approxzd2setzd2typez124649z12zzcfa_approxz00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2keyzd2setz124647z12zzcfa_approxz00(obj_t, obj_t, obj_t);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
static obj_t BGl_getzd2nodezd2atomzd2valuezd2var4307z00zzcfa_approxz00(obj_t, obj_t);
static obj_t BGl__forzd2eachzd2approxzd2alloc4654zd2zzcfa_approxz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
extern obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
static obj_t BGl__makezd2emptyzd2approxz00zzcfa_approxz00(obj_t);
static obj_t BGl__makezd2typezd2alloczd2approx4653zd2zzcfa_approxz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
extern obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
static obj_t BGl__makezd2alloczd2approx4652z00zzcfa_approxz00(obj_t, obj_t);
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
static obj_t BGl__unionzd2approxz124648zc0zzcfa_approxz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_approxz00 = BUNSPEC;
extern obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
extern obj_t BGl_approxz00zzcfa_infoz00;
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_nodezd2keyzd2envz00zzcfa_approxz00, BgL_bgl__nodeza7d2key4646za7d2za7za7cfa_approxza7004665za7, BGl__nodezd2key4646zd2zzcfa_approxz00, 0L, 1 );
extern obj_t BGl_shapezd2envzd2zztools_shapez00;
DEFINE_EXPORT_PROCEDURE( BGl_makezd2typezd2approxzd2envzd2zzcfa_approxz00, BgL_bgl__makeza7d2typeza7d2approx4651za700za7za7cfa_approxza7004666z00, BGl__makezd2typezd2approx4651z00zzcfa_approxz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_approxzd2setzd2typez12zd2envzc0zzcfa_approxz00, BgL_bgl__approxza7d2setza7d2typeza7124649za712za7za7cfa_approxza7004667za7, BGl__approxzd2setzd2typez124649z12zzcfa_approxz00, 0L, 2 );
DEFINE_STRING( BGl_string4660z00zzcfa_approxz00, BgL_bgl_string4660za700za7za7cfa_approxza7004668z00, "top (no-atom-value) ", 20 );
DEFINE_STATIC_PROCEDURE( BGl_getzd2nodezd2atomzd2valuezd2default4302zd2envzd2zzcfa_approxz00, BgL_bgl__getza7d2nodeza7d2atomza7d2valueza7d2default4302za700za7za7cfa_approxza7004669z00, BGl__getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2alloczd2approxzd2envzd2zzcfa_approxz00, BgL_bgl__makeza7d2allocza7d2approx4652za700za7za7cfa_approxza7004670z00, BGl__makezd2alloczd2approx4652z00zzcfa_approxz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_nodezd2keyzd2setz12zd2envzc0zzcfa_approxz00, BgL_bgl__nodeza7d2keyza7d2setza7124647za712za7za7cfa_approxza7004671za7, BGl__nodezd2keyzd2setz124647z12zzcfa_approxz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4657z00zzcfa_approxz00, BgL_bgl_shapeza7d2approx4301za7d2za7za7cfa_approxza7004672za7, BGl_shapezd2approx4301zd2zzcfa_approxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4658z00zzcfa_approxz00, BgL_bgl_getza7d2nodeza7d2atomza7d2valueza7d2atom4305za700za7za7cfa_approxza7004673z00, BGl_getzd2nodezd2atomzd2valuezd2atom4305z00zzcfa_approxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4659z00zzcfa_approxz00, BgL_bgl_getza7d2nodeza7d2atomza7d2valueza7d2var4307za700za7za7cfa_approxza7004674z00, BGl_getzd2nodezd2atomzd2valuezd2var4307z00zzcfa_approxz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2typezd2alloczd2approxzd2envz00zzcfa_approxz00, BgL_bgl__makeza7d2typeza7d2allocza7d2approx4653za7d2za7za7cfa_approxza7004675za7, BGl__makezd2typezd2alloczd2approx4653zd2zzcfa_approxz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2approxzd2setsz12zd2envzc0zzcfa_approxz00, BgL_bgl__declareza7d2approxza7d2setsza712za712za7za7cfa_approxza7004676za7, BGl__declarezd2approxzd2setsz12z12zzcfa_approxz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_approxzd2setzd2topz12zd2envzc0zzcfa_approxz00, BgL_bgl__approxza7d2setza7d2topza7124650za712za7za7cfa_approxza7004677za7, BGl__approxzd2setzd2topz124650z12zzcfa_approxz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2emptyzd2approxzd2envzd2zzcfa_approxz00, BgL_bgl__makeza7d2emptyza7d2approxza700za7za7cfa_approxza7004678z00, BGl__makezd2emptyzd2approxz00zzcfa_approxz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2approxzd2alloczd2envz00zzcfa_approxz00, BgL_bgl__forza7d2eachza7d2approxza7d2alloc4654za7d2za7za7cfa_approxza7004679za7, BGl__forzd2eachzd2approxzd2alloc4654zd2zzcfa_approxz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_unionzd2approxz12zd2envz12zzcfa_approxz00, BgL_bgl__unionza7d2approxza7124648za7c0za7za7cfa_approxza7004680z00, BGl__unionzd2approxz124648zc0zzcfa_approxz00, 0L, 2 );
DEFINE_EXPORT_GENERIC( BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BgL_bgl__getza7d2nodeza7d2atomza7d2value4655za7d2za7za7cfa_approxza7004681za7, BGl__getzd2nodezd2atomzd2value4655zd2zzcfa_approxz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long BgL_checksumz00_4865, char * BgL_fromz00_4866)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_approxz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_approxz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_approxz00(); 
BGl_cnstzd2initzd2zzcfa_approxz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_approxz00(); 
BGl_methodzd2initzd2zzcfa_approxz00(); 
BGl_toplevelzd2initzd2zzcfa_approxz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "cfa_approx"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
{ /* Cfa/approx.scm 15 */
obj_t BgL_cportz00_4858;
BgL_cportz00_4858 = 
open_input_string(BGl_string4660z00zzcfa_approxz00); 
{ 
long BgL_iz00_4859;
BgL_iz00_4859 = ((long)1); 
BgL_loopz00_4860:
if(
(BgL_iz00_4859==((long)-1)))
{ /* Cfa/approx.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/approx.scm 15 */
{ /* Cfa/approx.scm 15 */
obj_t BgL_arg4662z00_4862;
{ /* Cfa/approx.scm 15 */
obj_t BgL_list4663z00_4863;
BgL_list4663z00_4863 = 
MAKE_PAIR(BgL_cportz00_4858, BNIL); 
BgL_arg4662z00_4862 = 
BGl_readz00zz__readerz00(BgL_list4663z00_4863); } 
{ /* Cfa/approx.scm 15 */
int BgL_auxz00_4883;
BgL_auxz00_4883 = 
(int)(BgL_iz00_4859); 
CNST_TABLE_SET(BgL_auxz00_4883, BgL_arg4662z00_4862); } } 
{ 
long BgL_iz00_4886;
{ /* Cfa/approx.scm 15 */
int BgL_auxz00_4887;
{ /* Cfa/approx.scm 15 */
long BgL_auxz00_4888;
BgL_auxz00_4888 = 
(BgL_iz00_4859-((long)1)); 
BgL_auxz00_4887 = 
(int)(BgL_auxz00_4888); } 
BgL_iz00_4886 = 
(long)(BgL_auxz00_4887); } 
BgL_iz00_4859 = BgL_iz00_4886; 
goto BgL_loopz00_4860;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC; 
return BUNSPEC;} 
}



/* declare-approx-sets! */
obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 52 */
{ /* Cfa/approx.scm 53 */
obj_t BgL_arg4308z00_2516;
{ /* Cfa/approx.scm 53 */
obj_t BgL_arg4309z00_2517;
BgL_arg4309z00_2517 = 
BGl_getzd2allocszd2zzcfa_collectz00(); 
BgL_arg4308z00_2516 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4309z00_2517); } 
return ( 
BGl_za2alloczd2setza2zd2zzcfa_approxz00 = 
BGl_declarezd2setz12zc0zzcfa_setz00(BgL_arg4308z00_2516), BUNSPEC) ;} } 
}



/* _declare-approx-sets! */
obj_t BGl__declarezd2approxzd2setsz12z12zzcfa_approxz00(obj_t BgL_envz00_4818)
{ AN_OBJECT;
{ /* Cfa/approx.scm 52 */
return 
BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();} 
}



/* node-key */
obj_t BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Cfa/approx.scm 58 */
return 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_1))->BgL_keyz00);} 
}



/* _node-key4646 */
obj_t BGl__nodezd2key4646zd2zzcfa_approxz00(obj_t BgL_envz00_4819, obj_t BgL_nodez00_4820)
{ AN_OBJECT;
{ /* Cfa/approx.scm 58 */
return 
BGl_nodezd2keyzd2zzcfa_approxz00(
(BgL_nodezf2effectzf2_bglt)(BgL_nodez00_4820));} 
}



/* node-key-set! */
obj_t BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_2, obj_t BgL_keyz00_3)
{ AN_OBJECT;
{ /* Cfa/approx.scm 64 */
return 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_2))->BgL_keyz00) = ((obj_t)BgL_keyz00_3), BUNSPEC);} 
}



/* _node-key-set!4647 */
obj_t BGl__nodezd2keyzd2setz124647z12zzcfa_approxz00(obj_t BgL_envz00_4821, obj_t BgL_nodez00_4822, obj_t BgL_keyz00_4823)
{ AN_OBJECT;
{ /* Cfa/approx.scm 64 */
return 
BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(
(BgL_nodezf2effectzf2_bglt)(BgL_nodez00_4822), BgL_keyz00_4823);} 
}



/* union-approx! */
BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_4, BgL_approxz00_bglt BgL_srcz00_5)
{ AN_OBJECT;
{ /* Cfa/approx.scm 70 */
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_4, 
(((BgL_approxz00_bglt)CREF(BgL_srcz00_5))->BgL_typez00)); 
{ /* Cfa/approx.scm 74 */
bool_t BgL_test4311z00_2519;
{ /* Cfa/approx.scm 74 */
bool_t BgL_test4312z00_2520;
{ /* Cfa/approx.scm 74 */
obj_t BgL_auxz00_4904;
{ /* Cfa/approx.scm 74 */
BgL_typez00_bglt BgL_auxz00_4905;
BgL_auxz00_4905 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_4))->BgL_typez00); 
BgL_auxz00_4904 = 
(obj_t)(BgL_auxz00_4905); } 
BgL_test4312z00_2520 = 
(BgL_auxz00_4904==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4312z00_2520)
{ /* Cfa/approx.scm 74 */
BgL_test4311z00_2519 = ((bool_t)1); }  else 
{ /* Cfa/approx.scm 75 */
obj_t BgL_auxz00_4910;
{ /* Cfa/approx.scm 75 */
BgL_typez00_bglt BgL_auxz00_4911;
BgL_auxz00_4911 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_4))->BgL_typez00); 
BgL_auxz00_4910 = 
(obj_t)(BgL_auxz00_4911); } 
BgL_test4311z00_2519 = 
(BgL_auxz00_4910==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test4311z00_2519)
{ /* Cfa/approx.scm 74 */BFALSE; }  else 
{ /* Cfa/approx.scm 74 */
BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_srcz00_5); } } 
if(
(((BgL_approxz00_bglt)CREF(BgL_srcz00_5))->BgL_topzf3zf3))
{ /* Cfa/approx.scm 78 */
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_4); }  else 
{ /* Cfa/approx.scm 78 */BFALSE; } 
{ /* Cfa/approx.scm 80 */
bool_t BgL_test4316z00_2524;
{ /* Cfa/approx.scm 80 */
obj_t BgL_arg4317z00_2525;
BgL_arg4317z00_2525 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_4))->BgL_allocsz00); 
{ /* Cfa/approx.scm 80 */
obj_t BgL_list4319z00_2527;
{ /* Cfa/approx.scm 80 */
obj_t BgL_auxz00_4921;
BgL_auxz00_4921 = 
(((BgL_approxz00_bglt)CREF(BgL_srcz00_5))->BgL_allocsz00); 
BgL_list4319z00_2527 = 
MAKE_PAIR(BgL_auxz00_4921, BNIL); } 
{ /* Cfa/approx.scm 80 */
obj_t BgL_auxz00_4924;
BgL_auxz00_4924 = 
BGl_setzd2unionz12zc0zzcfa_setz00(BgL_arg4317z00_2525, BgL_list4319z00_2527); 
BgL_test4316z00_2524 = 
CBOOL(BgL_auxz00_4924); } } } 
if(BgL_test4316z00_2524)
{ /* Cfa/approx.scm 80 */
BGl_continuezd2cfaz12zc0zzcfa_iteratez00(); }  else 
{ /* Cfa/approx.scm 80 */BFALSE; } } 
return BgL_dstz00_4;} 
}



/* _union-approx!4648 */
obj_t BGl__unionzd2approxz124648zc0zzcfa_approxz00(obj_t BgL_envz00_4824, obj_t BgL_dstz00_4825, obj_t BgL_srcz00_4826)
{ AN_OBJECT;
{ /* Cfa/approx.scm 70 */
{ /* Cfa/approx.scm 70 */
BgL_approxz00_bglt BgL_auxz00_4929;
BgL_auxz00_4929 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(
(BgL_approxz00_bglt)(BgL_dstz00_4825), 
(BgL_approxz00_bglt)(BgL_srcz00_4826)); 
return 
(obj_t)(BgL_auxz00_4929);} } 
}



/* approx-set-type! */
obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_6, BgL_typez00_bglt BgL_typez00_7)
{ AN_OBJECT;
{ /* Cfa/approx.scm 87 */
if(
(((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typezd2lockedzf3z21))
{ /* Cfa/approx.scm 89 */
return BFALSE;}  else 
{ /* Cfa/approx.scm 91 */
bool_t BgL_test4321z00_2529;
{ /* Cfa/approx.scm 91 */
obj_t BgL_auxz00_4936;
BgL_auxz00_4936 = 
(obj_t)(BgL_typez00_7); 
BgL_test4321z00_2529 = 
(BgL_auxz00_4936==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4321z00_2529)
{ /* Cfa/approx.scm 91 */
return BFALSE;}  else 
{ /* Cfa/approx.scm 93 */
bool_t BgL_testz00_4940;
{ /* Cfa/approx.scm 93 */
obj_t BgL_auxz00_4945;obj_t BgL_auxz00_4941;
BgL_auxz00_4945 = 
(obj_t)(BgL_typez00_7); 
{ /* Cfa/approx.scm 93 */
BgL_typez00_bglt BgL_auxz00_4942;
BgL_auxz00_4942 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typez00); 
BgL_auxz00_4941 = 
(obj_t)(BgL_auxz00_4942); } 
BgL_testz00_4940 = 
(BgL_auxz00_4941==BgL_auxz00_4945); } 
if(BgL_testz00_4940)
{ /* Cfa/approx.scm 93 */
return BFALSE;}  else 
{ /* Cfa/approx.scm 95 */
bool_t BgL_test4323z00_2531;
{ /* Cfa/approx.scm 95 */
obj_t BgL_auxz00_4948;
{ /* Cfa/approx.scm 95 */
BgL_typez00_bglt BgL_auxz00_4949;
BgL_auxz00_4949 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typez00); 
BgL_auxz00_4948 = 
(obj_t)(BgL_auxz00_4949); } 
BgL_test4323z00_2531 = 
(BgL_auxz00_4948==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test4323z00_2531)
{ /* Cfa/approx.scm 95 */
return BFALSE;}  else 
{ /* Cfa/approx.scm 97 */
bool_t BgL_test4324z00_2532;
{ /* Cfa/approx.scm 97 */
obj_t BgL_auxz00_4954;
{ /* Cfa/approx.scm 97 */
BgL_typez00_bglt BgL_auxz00_4955;
BgL_auxz00_4955 = 
(((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typez00); 
BgL_auxz00_4954 = 
(obj_t)(BgL_auxz00_4955); } 
BgL_test4324z00_2532 = 
(BgL_auxz00_4954==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4324z00_2532)
{ /* Cfa/approx.scm 97 */
((((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typez00) = ((BgL_typez00_bglt)BgL_typez00_7), BUNSPEC); 
return 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00();}  else 
{ /* Cfa/approx.scm 97 */
{ /* Cfa/approx.scm 101 */
BgL_typez00_bglt BgL_val2655z00_3379;
BgL_val2655z00_3379 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_approxz00_bglt)CREF(BgL_dstz00_6))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val2655z00_3379), BUNSPEC); } 
return 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00();} } } } } } 
}



/* _approx-set-type!4649 */
obj_t BGl__approxzd2setzd2typez124649z12zzcfa_approxz00(obj_t BgL_envz00_4827, obj_t BgL_dstz00_4828, obj_t BgL_typez00_4829)
{ AN_OBJECT;
{ /* Cfa/approx.scm 87 */
return 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
(BgL_approxz00_bglt)(BgL_dstz00_4828), 
(BgL_typez00_bglt)(BgL_typez00_4829));} 
}



/* approx-set-top! */
obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_8)
{ AN_OBJECT;
{ /* Cfa/approx.scm 107 */
if(
(((BgL_approxz00_bglt)CREF(BgL_dstz00_8))->BgL_topzf3zf3))
{ /* Cfa/approx.scm 108 */
return BFALSE;}  else 
{ /* Cfa/approx.scm 108 */
((((BgL_approxz00_bglt)CREF(BgL_dstz00_8))->BgL_topzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
return 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00();} } 
}



/* _approx-set-top!4650 */
obj_t BGl__approxzd2setzd2topz124650z12zzcfa_approxz00(obj_t BgL_envz00_4830, obj_t BgL_dstz00_4831)
{ AN_OBJECT;
{ /* Cfa/approx.scm 107 */
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
(BgL_approxz00_bglt)(BgL_dstz00_4831));} 
}



/* make-empty-approx */
BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 116 */
{ /* Cfa/approx.scm 117 */
obj_t BgL_allocsz00_2537;
BgL_allocsz00_2537 = 
BGl_makezd2setz12zc0zzcfa_setz00(BGl_za2alloczd2setza2zd2zzcfa_approxz00); 
{ /* Cfa/approx.scm 119 */
obj_t BgL_arg4329z00_2538;obj_t BgL_arg4330z00_2539;
BgL_arg4329z00_2538 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg4330z00_2539 = BgL_allocsz00_2537; 
{ /* Cfa/approx.scm 118 */
BgL_approxz00_bglt BgL_res4549z00_3407;
{ /* Cfa/approx.scm 118 */
BgL_typez00_bglt BgL_type2677z00_3383;
BgL_type2677z00_3383 = 
(BgL_typez00_bglt)(BgL_arg4329z00_2538); 
{ /* Cfa/approx.scm 118 */
BgL_approxz00_bglt BgL_new2682z00_3388;
{ /* Cfa/approx.scm 118 */
BgL_approxz00_bglt BgL_res4547z00_3394;
{ /* Cfa/approx.scm 118 */
BgL_approxz00_bglt BgL_new2684z00_3389;
BgL_new2684z00_3389 = 
((BgL_approxz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_approxz00_bgl) ))); 
{ /* Cfa/approx.scm 118 */
long BgL_arg4482z00_3390;
BgL_arg4482z00_3390 = 
BGl_classzd2numzd2zz__objectz00(BGl_approxz00zzcfa_infoz00); 
{ /* Cfa/approx.scm 118 */
BgL_objectz00_bglt BgL_auxz00_4978;
BgL_auxz00_4978 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3389); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4978, BgL_arg4482z00_3390); } } 
{ /* Cfa/approx.scm 118 */
BgL_objectz00_bglt BgL_auxz00_4981;
BgL_auxz00_4981 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3389); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4981, BFALSE); } 
{ /* Cfa/approx.scm 118 */
obj_t BgL_auxz00_4984;
BgL_auxz00_4984 = 
(obj_t)(BgL_new2684z00_3389); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4984); } BUNSPEC; 
BgL_res4547z00_3394 = BgL_new2684z00_3389; } 
BgL_new2682z00_3388 = BgL_res4547z00_3394; } 
{ /* Cfa/approx.scm 118 */
BgL_approxz00_bglt BgL_res4548z00_3406;
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3388))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2677z00_3383), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3388))->BgL_typezd2lockedzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3388))->BgL_allocsz00) = ((obj_t)BgL_arg4330z00_2539), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3388))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3388))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
BgL_res4548z00_3406 = BgL_new2682z00_3388; BgL_res4548z00_3406; } 
BgL_res4549z00_3407 = BgL_new2682z00_3388; } } 
return BgL_res4549z00_3407;} } } } 
}



/* _make-empty-approx */
obj_t BGl__makezd2emptyzd2approxz00zzcfa_approxz00(obj_t BgL_envz00_4832)
{ AN_OBJECT;
{ /* Cfa/approx.scm 116 */
{ /* Cfa/approx.scm 116 */
BgL_approxz00_bglt BgL_auxz00_4992;
BgL_auxz00_4992 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
return 
(obj_t)(BgL_auxz00_4992);} } 
}



/* make-type-approx */
BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt BgL_typez00_9)
{ AN_OBJECT;
{ /* Cfa/approx.scm 125 */
{ /* Cfa/approx.scm 126 */
obj_t BgL_allocsz00_2541;
BgL_allocsz00_2541 = 
BGl_makezd2setz12zc0zzcfa_setz00(BGl_za2alloczd2setza2zd2zzcfa_approxz00); 
{ /* Cfa/approx.scm 129 */
BgL_typez00_bglt BgL_arg4332z00_2542;bool_t BgL_arg4333z00_2543;obj_t BgL_arg4334z00_2544;
BgL_arg4332z00_2542 = BgL_typez00_9; 
{ /* Cfa/approx.scm 128 */
bool_t BgL_test4336z00_2546;
{ /* Cfa/approx.scm 128 */
obj_t BgL_auxz00_4996;
BgL_auxz00_4996 = 
(obj_t)(BgL_typez00_9); 
BgL_test4336z00_2546 = 
(BgL_auxz00_4996==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4336z00_2546)
{ /* Cfa/approx.scm 128 */
BgL_arg4333z00_2543 = ((bool_t)0); }  else 
{ /* Cfa/approx.scm 128 */
BgL_arg4333z00_2543 = ((bool_t)1); } } 
BgL_arg4334z00_2544 = BgL_allocsz00_2541; 
{ /* Cfa/approx.scm 127 */
BgL_approxz00_bglt BgL_res4552z00_3432;
{ /* Cfa/approx.scm 127 */
BgL_approxz00_bglt BgL_new2682z00_3413;
{ /* Cfa/approx.scm 127 */
BgL_approxz00_bglt BgL_res4550z00_3419;
{ /* Cfa/approx.scm 127 */
BgL_approxz00_bglt BgL_new2684z00_3414;
BgL_new2684z00_3414 = 
((BgL_approxz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_approxz00_bgl) ))); 
{ /* Cfa/approx.scm 127 */
long BgL_arg4482z00_3415;
BgL_arg4482z00_3415 = 
BGl_classzd2numzd2zz__objectz00(BGl_approxz00zzcfa_infoz00); 
{ /* Cfa/approx.scm 127 */
BgL_objectz00_bglt BgL_auxz00_5002;
BgL_auxz00_5002 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3414); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5002, BgL_arg4482z00_3415); } } 
{ /* Cfa/approx.scm 127 */
BgL_objectz00_bglt BgL_auxz00_5005;
BgL_auxz00_5005 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3414); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5005, BFALSE); } 
{ /* Cfa/approx.scm 127 */
obj_t BgL_auxz00_5008;
BgL_auxz00_5008 = 
(obj_t)(BgL_new2684z00_3414); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5008); } BUNSPEC; 
BgL_res4550z00_3419 = BgL_new2684z00_3414; } 
BgL_new2682z00_3413 = BgL_res4550z00_3419; } 
{ /* Cfa/approx.scm 127 */
BgL_approxz00_bglt BgL_res4551z00_3431;
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3413))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg4332z00_2542), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3413))->BgL_typezd2lockedzf3z21) = ((bool_t)BgL_arg4333z00_2543), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3413))->BgL_allocsz00) = ((obj_t)BgL_arg4334z00_2544), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3413))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3413))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
BgL_res4551z00_3431 = BgL_new2682z00_3413; BgL_res4551z00_3431; } 
BgL_res4552z00_3432 = BgL_new2682z00_3413; } 
return BgL_res4552z00_3432;} } } } 
}



/* _make-type-approx4651 */
obj_t BGl__makezd2typezd2approx4651z00zzcfa_approxz00(obj_t BgL_envz00_4833, obj_t BgL_typez00_4834)
{ AN_OBJECT;
{ /* Cfa/approx.scm 125 */
{ /* Cfa/approx.scm 125 */
BgL_approxz00_bglt BgL_auxz00_5016;
BgL_auxz00_5016 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BgL_typez00_4834)); 
return 
(obj_t)(BgL_auxz00_5016);} } 
}



/* make-alloc-approx */
BgL_approxz00_bglt BGl_makezd2alloczd2approxz00zzcfa_approxz00(BgL_appz00_bglt BgL_allocz00_10)
{ AN_OBJECT;
{ /* Cfa/approx.scm 135 */
{ /* Cfa/approx.scm 136 */
obj_t BgL_allocsz00_2547;
BgL_allocsz00_2547 = 
BGl_makezd2setz12zc0zzcfa_setz00(BGl_za2alloczd2setza2zd2zzcfa_approxz00); 
BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_2547, 
(obj_t)(BgL_allocz00_10)); 
{ /* Cfa/approx.scm 139 */
obj_t BgL_arg4337z00_2548;obj_t BgL_arg4338z00_2549;
BgL_arg4337z00_2548 = BGl_typez00zztype_typez00; 
BgL_arg4338z00_2549 = BgL_allocsz00_2547; 
{ /* Cfa/approx.scm 138 */
BgL_approxz00_bglt BgL_res4555z00_3457;
{ /* Cfa/approx.scm 138 */
BgL_typez00_bglt BgL_type2677z00_3433;
BgL_type2677z00_3433 = 
(BgL_typez00_bglt)(BgL_arg4337z00_2548); 
{ /* Cfa/approx.scm 138 */
BgL_approxz00_bglt BgL_new2682z00_3438;
{ /* Cfa/approx.scm 138 */
BgL_approxz00_bglt BgL_res4553z00_3444;
{ /* Cfa/approx.scm 138 */
BgL_approxz00_bglt BgL_new2684z00_3439;
BgL_new2684z00_3439 = 
((BgL_approxz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_approxz00_bgl) ))); 
{ /* Cfa/approx.scm 138 */
long BgL_arg4482z00_3440;
BgL_arg4482z00_3440 = 
BGl_classzd2numzd2zz__objectz00(BGl_approxz00zzcfa_infoz00); 
{ /* Cfa/approx.scm 138 */
BgL_objectz00_bglt BgL_auxz00_5026;
BgL_auxz00_5026 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3439); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5026, BgL_arg4482z00_3440); } } 
{ /* Cfa/approx.scm 138 */
BgL_objectz00_bglt BgL_auxz00_5029;
BgL_auxz00_5029 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3439); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5029, BFALSE); } 
{ /* Cfa/approx.scm 138 */
obj_t BgL_auxz00_5032;
BgL_auxz00_5032 = 
(obj_t)(BgL_new2684z00_3439); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5032); } BUNSPEC; 
BgL_res4553z00_3444 = BgL_new2684z00_3439; } 
BgL_new2682z00_3438 = BgL_res4553z00_3444; } 
{ /* Cfa/approx.scm 138 */
BgL_approxz00_bglt BgL_res4554z00_3456;
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3438))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2677z00_3433), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3438))->BgL_typezd2lockedzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3438))->BgL_allocsz00) = ((obj_t)BgL_arg4338z00_2549), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3438))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3438))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
BgL_res4554z00_3456 = BgL_new2682z00_3438; BgL_res4554z00_3456; } 
BgL_res4555z00_3457 = BgL_new2682z00_3438; } } 
return BgL_res4555z00_3457;} } } } 
}



/* _make-alloc-approx4652 */
obj_t BGl__makezd2alloczd2approx4652z00zzcfa_approxz00(obj_t BgL_envz00_4835, obj_t BgL_allocz00_4836)
{ AN_OBJECT;
{ /* Cfa/approx.scm 135 */
{ /* Cfa/approx.scm 135 */
BgL_approxz00_bglt BgL_auxz00_5040;
BgL_auxz00_5040 = 
BGl_makezd2alloczd2approxz00zzcfa_approxz00(
(BgL_appz00_bglt)(BgL_allocz00_4836)); 
return 
(obj_t)(BgL_auxz00_5040);} } 
}



/* make-type-alloc-approx */
BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt BgL_typez00_11, BgL_nodez00_bglt BgL_allocz00_12)
{ AN_OBJECT;
{ /* Cfa/approx.scm 145 */
{ /* Cfa/approx.scm 146 */
obj_t BgL_allocsz00_2551;
BgL_allocsz00_2551 = 
BGl_makezd2setz12zc0zzcfa_setz00(BGl_za2alloczd2setza2zd2zzcfa_approxz00); 
BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_2551, 
(obj_t)(BgL_allocz00_12)); 
{ /* Cfa/approx.scm 150 */
BgL_typez00_bglt BgL_arg4340z00_2552;bool_t BgL_arg4341z00_2553;obj_t BgL_arg4342z00_2554;
BgL_arg4340z00_2552 = BgL_typez00_11; 
{ /* Cfa/approx.scm 149 */
bool_t BgL_test4344z00_2556;
{ /* Cfa/approx.scm 149 */
obj_t BgL_auxz00_5047;
BgL_auxz00_5047 = 
(obj_t)(BgL_typez00_11); 
BgL_test4344z00_2556 = 
(BgL_auxz00_5047==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4344z00_2556)
{ /* Cfa/approx.scm 149 */
BgL_arg4341z00_2553 = ((bool_t)0); }  else 
{ /* Cfa/approx.scm 149 */
BgL_arg4341z00_2553 = ((bool_t)1); } } 
BgL_arg4342z00_2554 = BgL_allocsz00_2551; 
{ /* Cfa/approx.scm 148 */
BgL_approxz00_bglt BgL_res4558z00_3482;
{ /* Cfa/approx.scm 148 */
BgL_approxz00_bglt BgL_new2682z00_3463;
{ /* Cfa/approx.scm 148 */
BgL_approxz00_bglt BgL_res4556z00_3469;
{ /* Cfa/approx.scm 148 */
BgL_approxz00_bglt BgL_new2684z00_3464;
BgL_new2684z00_3464 = 
((BgL_approxz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_approxz00_bgl) ))); 
{ /* Cfa/approx.scm 148 */
long BgL_arg4482z00_3465;
BgL_arg4482z00_3465 = 
BGl_classzd2numzd2zz__objectz00(BGl_approxz00zzcfa_infoz00); 
{ /* Cfa/approx.scm 148 */
BgL_objectz00_bglt BgL_auxz00_5053;
BgL_auxz00_5053 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3464); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5053, BgL_arg4482z00_3465); } } 
{ /* Cfa/approx.scm 148 */
BgL_objectz00_bglt BgL_auxz00_5056;
BgL_auxz00_5056 = 
(BgL_objectz00_bglt)(BgL_new2684z00_3464); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5056, BFALSE); } 
{ /* Cfa/approx.scm 148 */
obj_t BgL_auxz00_5059;
BgL_auxz00_5059 = 
(obj_t)(BgL_new2684z00_3464); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5059); } BUNSPEC; 
BgL_res4556z00_3469 = BgL_new2684z00_3464; } 
BgL_new2682z00_3463 = BgL_res4556z00_3469; } 
{ /* Cfa/approx.scm 148 */
BgL_approxz00_bglt BgL_res4557z00_3481;
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3463))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg4340z00_2552), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3463))->BgL_typezd2lockedzf3z21) = ((bool_t)BgL_arg4341z00_2553), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3463))->BgL_allocsz00) = ((obj_t)BgL_arg4342z00_2554), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3463))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_approxz00_bglt)CREF(BgL_new2682z00_3463))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
BgL_res4557z00_3481 = BgL_new2682z00_3463; BgL_res4557z00_3481; } 
BgL_res4558z00_3482 = BgL_new2682z00_3463; } 
return BgL_res4558z00_3482;} } } } 
}



/* _make-type-alloc-approx4653 */
obj_t BGl__makezd2typezd2alloczd2approx4653zd2zzcfa_approxz00(obj_t BgL_envz00_4837, obj_t BgL_typez00_4838, obj_t BgL_allocz00_4839)
{ AN_OBJECT;
{ /* Cfa/approx.scm 145 */
{ /* Cfa/approx.scm 145 */
BgL_approxz00_bglt BgL_auxz00_5067;
BgL_auxz00_5067 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
(BgL_typez00_bglt)(BgL_typez00_4838), 
(BgL_nodez00_bglt)(BgL_allocz00_4839)); 
return 
(obj_t)(BgL_auxz00_5067);} } 
}



/* for-each-approx-alloc */
obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t BgL_procz00_14, BgL_approxz00_bglt BgL_approxz00_15)
{ AN_OBJECT;
{ /* Cfa/approx.scm 175 */
return 
BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_14, 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_15))->BgL_allocsz00));} 
}



/* _for-each-approx-alloc4654 */
obj_t BGl__forzd2eachzd2approxzd2alloc4654zd2zzcfa_approxz00(obj_t BgL_envz00_4840, obj_t BgL_procz00_4841, obj_t BgL_approxz00_4842)
{ AN_OBJECT;
{ /* Cfa/approx.scm 175 */
return 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_procz00_4841, 
(BgL_approxz00_bglt)(BgL_approxz00_4842));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_approxz00zzcfa_infoz00, BGl_proc4657z00zzcfa_approxz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BGl_getzd2nodezd2atomzd2valuezd2default4302zd2envzd2zzcfa_approxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BGl_atomz00zzast_nodez00, BGl_proc4658z00zzcfa_approxz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BGl_varz00zzast_nodez00, BGl_proc4659z00zzcfa_approxz00);} 
}



/* get-node-atom-value-var4307 */
obj_t BGl_getzd2nodezd2atomzd2valuezd2var4307z00zzcfa_approxz00(obj_t BgL_envz00_4848, obj_t BgL_nodez00_4849)
{ AN_OBJECT;
{ /* Cfa/approx.scm 196 */
{ 
BgL_varz00_bglt BgL_nodez00_3352;
BgL_nodez00_3352 = 
(BgL_varz00_bglt)(BgL_nodez00_4849); 
{ /* Cfa/approx.scm 197 */
BgL_variablez00_bglt BgL_vz00_3355;
BgL_vz00_3355 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3352))->BgL_variablez00); 
{ /* Cfa/approx.scm 198 */
bool_t BgL_test4542z00_3356;
{ /* Cfa/approx.scm 198 */
bool_t BgL_test4544z00_3358;
BgL_test4544z00_3358 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3355), BGl_reshapedzd2localzd2zzcfa_infoz00); 
if(BgL_test4544z00_3358)
{ /* Cfa/approx.scm 198 */
obj_t BgL_auxz00_5084;
{ /* Cfa/approx.scm 198 */
BgL_reshapedzd2localzd2_bglt BgL_obj2980z00_4764;
BgL_obj2980z00_4764 = 
(BgL_reshapedzd2localzd2_bglt)(BgL_vz00_3355); 
{ 
obj_t BgL_auxz00_5086;
{ /* Cfa/approx.scm 198 */
BgL_objectz00_bglt BgL_auxz00_5087;
BgL_auxz00_5087 = 
(BgL_objectz00_bglt)(BgL_obj2980z00_4764); 
BgL_auxz00_5086 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5087); } 
BgL_auxz00_5084 = 
(((BgL_reshapedzd2localzd2_bglt)CREF(BgL_auxz00_5086))->BgL_bindingzd2valuezd2); } } 
BgL_test4542z00_3356 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5084, BGl_nodez00zzast_nodez00); }  else 
{ /* Cfa/approx.scm 198 */
BgL_test4542z00_3356 = ((bool_t)0); } } 
if(BgL_test4542z00_3356)
{ /* Cfa/approx.scm 199 */
BgL_nodez00_bglt BgL_nodez00_4767;
{ /* Cfa/approx.scm 199 */
obj_t BgL_auxz00_5093;
{ /* Cfa/approx.scm 199 */
BgL_reshapedzd2localzd2_bglt BgL_obj2980z00_4766;
BgL_obj2980z00_4766 = 
(BgL_reshapedzd2localzd2_bglt)(BgL_vz00_3355); 
{ 
obj_t BgL_auxz00_5095;
{ /* Cfa/approx.scm 199 */
BgL_objectz00_bglt BgL_auxz00_5096;
BgL_auxz00_5096 = 
(BgL_objectz00_bglt)(BgL_obj2980z00_4766); 
BgL_auxz00_5095 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5096); } 
BgL_auxz00_5093 = 
(((BgL_reshapedzd2localzd2_bglt)CREF(BgL_auxz00_5095))->BgL_bindingzd2valuezd2); } } 
BgL_nodez00_4767 = 
(BgL_nodez00_bglt)(BgL_auxz00_5093); } 
{ /* Cfa/approx.scm 199 */
obj_t BgL_method4303z00_4768;
{ /* Cfa/approx.scm 199 */
long BgL_objzd2classzd2numz00_4770;
{ /* Cfa/approx.scm 199 */
BgL_objectz00_bglt BgL_auxz00_5101;
BgL_auxz00_5101 = 
(BgL_objectz00_bglt)(BgL_nodez00_4767); 
BgL_objzd2classzd2numz00_4770 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5101); } 
{ /* Cfa/approx.scm 199 */
obj_t BgL_arg1221z00_4771;
{ /* Cfa/approx.scm 199 */
int BgL_auxz00_5104;
BgL_auxz00_5104 = 
(int)(((long)1)); 
BgL_arg1221z00_4771 = 
PROCEDURE_REF(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BgL_auxz00_5104); } 
{ /* Cfa/approx.scm 199 */
long BgL_offsetz00_4775;
{ /* Cfa/approx.scm 199 */
long BgL_auxz00_5107;
{ /* Cfa/approx.scm 199 */
int BgL_auxz00_5108;
BgL_auxz00_5108 = 
(int)(BgL_objzd2classzd2numz00_4770); 
BgL_auxz00_5107 = 
(long)(BgL_auxz00_5108); } 
BgL_offsetz00_4775 = 
(BgL_auxz00_5107-OBJECT_TYPE); } 
{ /* Cfa/approx.scm 199 */
long BgL_modz00_4776;
{ /* Cfa/approx.scm 199 */
long BgL_auxz00_5112;
{ /* Cfa/approx.scm 199 */
int BgL_auxz00_5113;
BgL_auxz00_5113 = 
(int)(((long)8)); 
BgL_auxz00_5112 = 
(long)(BgL_auxz00_5113); } 
BgL_modz00_4776 = 
(BgL_offsetz00_4775/BgL_auxz00_5112); } 
{ /* Cfa/approx.scm 199 */
long BgL_restz00_4778;
{ /* Cfa/approx.scm 199 */
long BgL_auxz00_5117;
{ /* Cfa/approx.scm 199 */
int BgL_auxz00_5118;
BgL_auxz00_5118 = 
(int)(((long)8)); 
BgL_auxz00_5117 = 
(long)(BgL_auxz00_5118); } 
BgL_restz00_4778 = 
(BgL_offsetz00_4775%BgL_auxz00_5117); } 
{ /* Cfa/approx.scm 199 */

{ /* Cfa/approx.scm 199 */
obj_t BgL_bucketz00_4780;
{ /* Cfa/approx.scm 199 */
int BgL_kz00_4790;
BgL_kz00_4790 = 
(int)(BgL_modz00_4776); 
BgL_bucketz00_4780 = 
VECTOR_REF(BgL_arg1221z00_4771,BgL_kz00_4790); } 
{ /* Cfa/approx.scm 199 */
int BgL_kz00_4792;
BgL_kz00_4792 = 
(int)(BgL_restz00_4778); 
BgL_method4303z00_4768 = 
VECTOR_REF(BgL_bucketz00_4780,BgL_kz00_4792); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4303z00_4768)(BgL_method4303z00_4768, 
(obj_t)(BgL_nodez00_4767), BEOA);} }  else 
{ /* Cfa/approx.scm 198 */
return 
CNST_TABLE_REF(((long)0));} } } } } 
}



/* get-node-atom-value-atom4305 */
obj_t BGl_getzd2nodezd2atomzd2valuezd2atom4305z00zzcfa_approxz00(obj_t BgL_envz00_4850, obj_t BgL_nodez00_4851)
{ AN_OBJECT;
{ /* Cfa/approx.scm 190 */
{ 
BgL_atomz00_bglt BgL_nodez00_3347;
BgL_nodez00_3347 = 
(BgL_atomz00_bglt)(BgL_nodez00_4851); 
return 
(((BgL_atomz00_bglt)CREF(BgL_nodez00_3347))->BgL_valuez00);} } 
}



/* shape-approx4301 */
obj_t BGl_shapezd2approx4301zd2zzcfa_approxz00(obj_t BgL_envz00_4852, obj_t BgL_expz00_4853)
{ AN_OBJECT;
{ /* Cfa/approx.scm 156 */
{ 
BgL_approxz00_bglt BgL_expz00_3320;
BgL_expz00_3320 = 
(BgL_approxz00_bglt)(BgL_expz00_4853); 
{ /* Cfa/approx.scm 158 */
obj_t BgL_typezd2idzd2_3324;
{ /* Cfa/approx.scm 158 */
obj_t BgL_auxz00_5133;
{ /* Cfa/approx.scm 158 */
BgL_typez00_bglt BgL_arg4539z00_3344;
BgL_arg4539z00_3344 = 
(((BgL_approxz00_bglt)CREF(BgL_expz00_3320))->BgL_typez00); 
BgL_auxz00_5133 = 
(((BgL_typez00_bglt)CREF(BgL_arg4539z00_3344))->BgL_idz00); } 
BgL_typezd2idzd2_3324 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_auxz00_5133); } 
{ /* Cfa/approx.scm 159 */
obj_t BgL_keysz00_3325;
BgL_keysz00_3325 = 
BGl_setzd2ze3vectorz31zzcfa_setz00(
(((BgL_approxz00_bglt)CREF(BgL_expz00_3320))->BgL_allocsz00)); 
{ /* Cfa/approx.scm 159 */
int BgL_lenz00_3326;
BgL_lenz00_3326 = 
VECTOR_LENGTH(BgL_keysz00_3325); 
{ /* Cfa/approx.scm 161 */
obj_t BgL_structz00_3328;
{ /* Cfa/approx.scm 162 */
int BgL_auxz00_5140;
{ /* Cfa/approx.scm 162 */
obj_t BgL_auxz00_5141;
if(
(((BgL_approxz00_bglt)CREF(BgL_expz00_3320))->BgL_topzf3zf3))
{ /* Cfa/approx.scm 161 */
long BgL_auxz00_5144;
{ /* Cfa/approx.scm 161 */
long BgL_auxz00_5145;
BgL_auxz00_5145 = 
(long)(BgL_lenz00_3326); 
BgL_auxz00_5144 = 
(BgL_auxz00_5145+((long)1)); } 
BgL_auxz00_5141 = 
BINT(BgL_auxz00_5144); }  else 
{ /* Cfa/approx.scm 161 */
BgL_auxz00_5141 = 
BINT(BgL_lenz00_3326)
; } 
BgL_auxz00_5140 = 
CINT(BgL_auxz00_5141); } 
BgL_structz00_3328 = 
make_struct(BgL_typezd2idzd2_3324, BgL_auxz00_5140, BUNSPEC); } 
{ /* Cfa/approx.scm 162 */

if(
(((BgL_approxz00_bglt)CREF(BgL_expz00_3320))->BgL_topzf3zf3))
{ /* Cfa/approx.scm 163 */
obj_t BgL_auxz00_5156;int BgL_auxz00_5154;
BgL_auxz00_5156 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_5154 = 
(int)(((long)0)); 
STRUCT_SET(BgL_structz00_3328, BgL_auxz00_5154, BgL_auxz00_5156); }  else 
{ /* Cfa/approx.scm 163 */BFALSE; } 
{ 
long BgL_rz00_3330;long BgL_wz00_3331;
if(
(((BgL_approxz00_bglt)CREF(BgL_expz00_3320))->BgL_topzf3zf3))
{ /* Cfa/approx.scm 164 */
BgL_rz00_3330 = ((long)1); }  else 
{ /* Cfa/approx.scm 164 */
BgL_rz00_3330 = ((long)0); } 
BgL_wz00_3331 = ((long)0); 
BgL_loopz00_3332:
{ /* Cfa/approx.scm 166 */
bool_t BgL_testz00_5159;
{ /* Cfa/approx.scm 166 */
long BgL_auxz00_5160;
BgL_auxz00_5160 = 
(long)(BgL_lenz00_3326); 
BgL_testz00_5159 = 
(BgL_wz00_3331==BgL_auxz00_5160); } 
if(BgL_testz00_5159)
{ /* Cfa/approx.scm 166 */
return BgL_structz00_3328;}  else 
{ /* Cfa/approx.scm 166 */
{ /* Cfa/approx.scm 169 */
obj_t BgL_arg4532z00_3337;
{ /* Cfa/approx.scm 169 */
obj_t BgL_arg4533z00_3338;
{ /* Cfa/approx.scm 169 */
int BgL_kz00_4751;
BgL_kz00_4751 = 
(int)(BgL_wz00_3331); 
BgL_arg4533z00_3338 = 
VECTOR_REF(BgL_keysz00_3325,BgL_kz00_4751); } 
{ /* Cfa/approx.scm 169 */
BgL_nodezf2effectzf2_bglt BgL_nodez00_4752;
BgL_nodez00_4752 = 
(BgL_nodezf2effectzf2_bglt)(BgL_arg4533z00_3338); 
BgL_arg4532z00_3337 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_4752))->BgL_keyz00); } } 
{ /* Cfa/approx.scm 169 */
int BgL_auxz00_5167;
BgL_auxz00_5167 = 
(int)(BgL_rz00_3330); 
STRUCT_SET(BgL_structz00_3328, BgL_auxz00_5167, BgL_arg4532z00_3337); } } 
{ 
long BgL_wz00_5172;long BgL_rz00_5170;
BgL_rz00_5170 = 
(BgL_rz00_3330+((long)1)); 
BgL_wz00_5172 = 
(BgL_wz00_3331+((long)1)); 
BgL_wz00_3331 = BgL_wz00_5172; 
BgL_rz00_3330 = BgL_rz00_5170; 
goto BgL_loopz00_3332;} } } } } } } } } } } 
}



/* get-node-atom-value */
obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt BgL_nodez00_16)
{ AN_OBJECT;
{ /* Cfa/approx.scm 184 */
{ /* Cfa/approx.scm 184 */
obj_t BgL_method4303z00_4793;
{ /* Cfa/approx.scm 184 */
long BgL_objzd2classzd2numz00_4795;
{ /* Cfa/approx.scm 184 */
BgL_objectz00_bglt BgL_auxz00_5177;
BgL_auxz00_5177 = 
(BgL_objectz00_bglt)(BgL_nodez00_16); 
BgL_objzd2classzd2numz00_4795 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5177); } 
{ /* Cfa/approx.scm 184 */
obj_t BgL_arg1221z00_4796;
{ /* Cfa/approx.scm 184 */
int BgL_auxz00_5180;
BgL_auxz00_5180 = 
(int)(((long)1)); 
BgL_arg1221z00_4796 = 
PROCEDURE_REF(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00, BgL_auxz00_5180); } 
{ /* Cfa/approx.scm 184 */
long BgL_offsetz00_4800;
{ /* Cfa/approx.scm 184 */
long BgL_auxz00_5183;
{ /* Cfa/approx.scm 184 */
int BgL_auxz00_5184;
BgL_auxz00_5184 = 
(int)(BgL_objzd2classzd2numz00_4795); 
BgL_auxz00_5183 = 
(long)(BgL_auxz00_5184); } 
BgL_offsetz00_4800 = 
(BgL_auxz00_5183-OBJECT_TYPE); } 
{ /* Cfa/approx.scm 184 */
long BgL_modz00_4801;
{ /* Cfa/approx.scm 184 */
long BgL_auxz00_5188;
{ /* Cfa/approx.scm 184 */
int BgL_auxz00_5189;
BgL_auxz00_5189 = 
(int)(((long)8)); 
BgL_auxz00_5188 = 
(long)(BgL_auxz00_5189); } 
BgL_modz00_4801 = 
(BgL_offsetz00_4800/BgL_auxz00_5188); } 
{ /* Cfa/approx.scm 184 */
long BgL_restz00_4803;
{ /* Cfa/approx.scm 184 */
long BgL_auxz00_5193;
{ /* Cfa/approx.scm 184 */
int BgL_auxz00_5194;
BgL_auxz00_5194 = 
(int)(((long)8)); 
BgL_auxz00_5193 = 
(long)(BgL_auxz00_5194); } 
BgL_restz00_4803 = 
(BgL_offsetz00_4800%BgL_auxz00_5193); } 
{ /* Cfa/approx.scm 184 */

{ /* Cfa/approx.scm 184 */
obj_t BgL_bucketz00_4805;
{ /* Cfa/approx.scm 184 */
int BgL_kz00_4815;
BgL_kz00_4815 = 
(int)(BgL_modz00_4801); 
BgL_bucketz00_4805 = 
VECTOR_REF(BgL_arg1221z00_4796,BgL_kz00_4815); } 
{ /* Cfa/approx.scm 184 */
int BgL_kz00_4817;
BgL_kz00_4817 = 
(int)(BgL_restz00_4803); 
BgL_method4303z00_4793 = 
VECTOR_REF(BgL_bucketz00_4805,BgL_kz00_4817); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4303z00_4793)(BgL_method4303z00_4793, 
(obj_t)(BgL_nodez00_16), BEOA);} } 
}



/* _get-node-atom-value4655 */
obj_t BGl__getzd2nodezd2atomzd2value4655zd2zzcfa_approxz00(obj_t BgL_envz00_4844, obj_t BgL_nodez00_4845)
{ AN_OBJECT;
{ /* Cfa/approx.scm 184 */
return 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
(BgL_nodez00_bglt)(BgL_nodez00_4845));} 
}



/* get-node-atom-value-default4302 */
obj_t BGl_getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00(BgL_nodez00_bglt BgL_nodez00_17)
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
return 
CNST_TABLE_REF(((long)0));} 
}



/* _get-node-atom-value-default4302 */
obj_t BGl__getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00(obj_t BgL_envz00_4856, obj_t BgL_nodez00_4857)
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
return 
BGl_getzd2nodezd2atomzd2valuezd2default4302z00zzcfa_approxz00(
(BgL_nodez00_bglt)(BgL_nodez00_4857));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00()
{ AN_OBJECT;
{ /* Cfa/approx.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long)26241), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_setz00(((long)17920), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_approx"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_approx"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long)8132), "cfa_approx");} 
}

