/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4321z12zzcfa_arithmeticz00(obj_t, obj_t);
static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
static obj_t BGl_cfaz12zd2arithmeticzd2app4323z12zzcfa_arithmeticz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
extern obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string4702z00zzcfa_arithmeticz00, BgL_bgl_string4702za700za7za7cfa_arithmeticza7004707z00, "all ", 4 );
DEFINE_STRING( BGl_string4701z00zzcfa_arithmeticz00, BgL_bgl_string4701za700za7za7cfa_arithmeticza7004708z00, "Illegal arithmetic node", 23 );
DEFINE_STRING( BGl_string4700z00zzcfa_arithmeticz00, BgL_bgl_string4700za700za7za7cfa_arithmeticza7004709z00, "node-setup!", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00, BgL_bgl__cleanupza7d2arithmeticza7d2nodesza712za712za7za7cfa_arithmeticza7004710za7, BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00, 0L, 0 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4698z00zzcfa_arithmeticz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2arithmeticza7d2app4321za712za7za7cfa_arithmeticza7004711za7, BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4321z12zzcfa_arithmeticz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4699z00zzcfa_arithmeticz00, BgL_bgl_cfaza712za7d2arithmeticza7d2app4323za712za7za7cfa_arithmeticza7004712za7, BGl_cfaz12zd2arithmeticzd2app4323z12zzcfa_arithmeticz00, 0L, 1 );
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long BgL_checksumz00_4832, char * BgL_fromz00_4833)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00(); 
BGl_cnstzd2initzd2zzcfa_arithmeticz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00(); 
BGl_methodzd2initzd2zzcfa_arithmeticz00(); 
BGl_toplevelzd2initzd2zzcfa_arithmeticz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 28 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_arithmetic"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 28 */
{ /* Cfa/arithmetic.scm 28 */
obj_t BgL_cportz00_4825;
BgL_cportz00_4825 = 
open_input_string(BGl_string4702z00zzcfa_arithmeticz00); 
{ 
long BgL_iz00_4826;
BgL_iz00_4826 = ((long)0); 
BgL_loopz00_4827:
if(
(BgL_iz00_4826==((long)-1)))
{ /* Cfa/arithmetic.scm 28 */
return BUNSPEC;}  else 
{ /* Cfa/arithmetic.scm 28 */
{ /* Cfa/arithmetic.scm 28 */
obj_t BgL_arg4704z00_4829;
{ /* Cfa/arithmetic.scm 28 */
obj_t BgL_list4705z00_4830;
BgL_list4705z00_4830 = 
MAKE_PAIR(BgL_cportz00_4825, BNIL); 
BgL_arg4704z00_4829 = 
BGl_readz00zz__readerz00(BgL_list4705z00_4830); } 
{ /* Cfa/arithmetic.scm 28 */
int BgL_auxz00_4850;
BgL_auxz00_4850 = 
(int)(BgL_iz00_4826); 
CNST_TABLE_SET(BgL_auxz00_4850, BgL_arg4704z00_4829); } } 
{ 
long BgL_iz00_4853;
{ /* Cfa/arithmetic.scm 28 */
int BgL_auxz00_4854;
{ /* Cfa/arithmetic.scm 28 */
long BgL_auxz00_4855;
BgL_auxz00_4855 = 
(BgL_iz00_4826-((long)1)); 
BgL_auxz00_4854 = 
(int)(BgL_auxz00_4855); } 
BgL_iz00_4853 = 
(long)(BgL_auxz00_4854); } 
BgL_iz00_4826 = BgL_iz00_4853; 
goto BgL_loopz00_4827;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 28 */
BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL; 
return BUNSPEC;} 
}



/* cleanup-arithmetic-nodes! */
obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 52 */
{ 
obj_t BgL_l4291z00_2503;
{ /* Cfa/arithmetic.scm 67 */
bool_t BgL_auxz00_4859;
BgL_l4291z00_2503 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00; 
BgL_lname4292z00_2504:
if(
PAIRP(BgL_l4291z00_2503))
{ /* Cfa/arithmetic.scm 67 */
{ /* Cfa/arithmetic.scm 68 */
obj_t BgL_nodez00_2506;
BgL_nodez00_2506 = 
CAR(BgL_l4291z00_2503); 
{ /* Cfa/arithmetic.scm 69 */
BgL_variablez00_bglt BgL_fz00_2508;
{ /* Cfa/arithmetic.scm 69 */
BgL_varz00_bglt BgL_arg4347z00_2540;
{ /* Cfa/arithmetic.scm 69 */
BgL_appz00_bglt BgL_obj3695z00_3448;
BgL_obj3695z00_3448 = 
(BgL_appz00_bglt)(BgL_nodez00_2506); 
BgL_arg4347z00_2540 = 
(((BgL_appz00_bglt)CREF(BgL_obj3695z00_3448))->BgL_funz00); } 
BgL_fz00_2508 = 
(((BgL_varz00_bglt)CREF(BgL_arg4347z00_2540))->BgL_variablez00); } 
{ /* Cfa/arithmetic.scm 69 */
BgL_valuez00_bglt BgL_valz00_2509;
BgL_valz00_2509 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2508))->BgL_valuez00); 
{ /* Cfa/arithmetic.scm 70 */

{ /* Cfa/arithmetic.scm 72 */
bool_t BgL_test4325z00_2510;
{ /* Cfa/arithmetic.scm 72 */
obj_t BgL_auxz00_4867;
{ /* Cfa/arithmetic.scm 72 */
BgL_typez00_bglt BgL_auxz00_4868;
BgL_auxz00_4868 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2508))->BgL_typez00); 
BgL_auxz00_4867 = 
(obj_t)(BgL_auxz00_4868); } 
BgL_test4325z00_2510 = 
(BgL_auxz00_4867==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4325z00_2510)
{ /* Cfa/arithmetic.scm 73 */
BgL_typez00_bglt BgL_val1101z00_3453;
BgL_val1101z00_3453 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_fz00_2508))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_3453), BUNSPEC); }  else 
{ /* Cfa/arithmetic.scm 72 */BFALSE; } } 
{ /* Cfa/arithmetic.scm 74 */
bool_t BgL_test4327z00_2512;
{ /* Cfa/arithmetic.scm 74 */
obj_t BgL_auxz00_4875;
{ /* Cfa/arithmetic.scm 74 */
BgL_typez00_bglt BgL_auxz00_4876;
{ /* Cfa/arithmetic.scm 74 */
BgL_nodez00_bglt BgL_obj1550z00_3454;
BgL_obj1550z00_3454 = 
(BgL_nodez00_bglt)(BgL_nodez00_2506); 
BgL_auxz00_4876 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_3454))->BgL_typez00); } 
BgL_auxz00_4875 = 
(obj_t)(BgL_auxz00_4876); } 
BgL_test4327z00_2512 = 
(BgL_auxz00_4875==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4327z00_2512)
{ /* Cfa/arithmetic.scm 75 */
BgL_nodez00_bglt BgL_obj1552z00_3455;BgL_typez00_bglt BgL_val1551z00_3456;
BgL_obj1552z00_3455 = 
(BgL_nodez00_bglt)(BgL_nodez00_2506); 
BgL_val1551z00_3456 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_3455))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_3456), BUNSPEC); }  else 
{ /* Cfa/arithmetic.scm 74 */BFALSE; } } 
{ /* Cfa/arithmetic.scm 77 */
bool_t BgL_test4329z00_2514;
BgL_test4329z00_2514 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_2509), BGl_sfunz00zzast_varz00); 
if(BgL_test4329z00_2514)
{ /* Cfa/arithmetic.scm 77 */
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_arg4330z00_2515;
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_l4295z00_2516;
{ /* Cfa/arithmetic.scm 79 */
BgL_sfunz00_bglt BgL_obj1369z00_3458;
BgL_obj1369z00_3458 = 
(BgL_sfunz00_bglt)(BgL_valz00_2509); 
BgL_l4295z00_2516 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_3458))->BgL_argsz00); } 
if(
NULLP(BgL_l4295z00_2516))
{ /* Cfa/arithmetic.scm 79 */
BgL_arg4330z00_2515 = BNIL; }  else 
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_head4297z00_2518;
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_arg4338z00_2529;
BgL_arg4338z00_2529 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_l4295z00_2516)); 
BgL_head4297z00_2518 = 
MAKE_PAIR(BgL_arg4338z00_2529, BNIL); } 
{ 
obj_t BgL_l4295z00_2519;obj_t BgL_tail4298z00_2520;
BgL_l4295z00_2519 = 
CDR(BgL_l4295z00_2516); 
BgL_tail4298z00_2520 = BgL_head4297z00_2518; 
BgL_lname4296z00_2521:
if(
NULLP(BgL_l4295z00_2519))
{ /* Cfa/arithmetic.scm 79 */
BgL_arg4330z00_2515 = BgL_head4297z00_2518; }  else 
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_newtail4299z00_2524;
{ /* Cfa/arithmetic.scm 79 */
obj_t BgL_arg4335z00_2526;
BgL_arg4335z00_2526 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_l4295z00_2519)); 
BgL_newtail4299z00_2524 = 
MAKE_PAIR(BgL_arg4335z00_2526, BNIL); } 
SET_CDR(BgL_tail4298z00_2520, BgL_newtail4299z00_2524); 
{ 
obj_t BgL_tail4298z00_4903;obj_t BgL_l4295z00_4901;
BgL_l4295z00_4901 = 
CDR(BgL_l4295z00_2519); 
BgL_tail4298z00_4903 = BgL_newtail4299z00_2524; 
BgL_tail4298z00_2520 = BgL_tail4298z00_4903; 
BgL_l4295z00_2519 = BgL_l4295z00_4901; 
goto BgL_lname4296z00_2521;} } } } } 
{ /* Cfa/arithmetic.scm 78 */
BgL_sfunz00_bglt BgL_obj1371z00_3471;
BgL_obj1371z00_3471 = 
(BgL_sfunz00_bglt)(BgL_valz00_2509); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1371z00_3471))->BgL_argsz00) = ((obj_t)BgL_arg4330z00_2515), BUNSPEC); } } }  else 
{ /* Cfa/arithmetic.scm 80 */
bool_t BgL_test4341z00_2532;
BgL_test4341z00_2532 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_2509), BGl_cfunz00zzast_varz00); 
if(BgL_test4341z00_2532)
{ /* Cfa/arithmetic.scm 80 */
{ 
obj_t BgL_lz00_2533;
{ /* Cfa/arithmetic.scm 81 */
bool_t BgL_auxz00_4910;
{ /* Cfa/arithmetic.scm 81 */
BgL_cfunz00_bglt BgL_obj1443z00_3474;
BgL_obj1443z00_3474 = 
(BgL_cfunz00_bglt)(BgL_valz00_2509); 
BgL_lz00_2533 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_3474))->BgL_argszd2typezd2); } 
BgL_loopz00_2534:
if(
PAIRP(BgL_lz00_2533))
{ /* Cfa/arithmetic.scm 82 */
{ /* Cfa/arithmetic.scm 84 */
obj_t BgL_arg4344z00_2537;
BgL_arg4344z00_2537 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_lz00_2533)); 
SET_CAR(BgL_lz00_2533, BgL_arg4344z00_2537); } 
{ 
obj_t BgL_lz00_4916;
BgL_lz00_4916 = 
CDR(BgL_lz00_2533); 
BgL_lz00_2533 = BgL_lz00_4916; 
goto BgL_loopz00_2534;} }  else 
{ /* Cfa/arithmetic.scm 82 */
BgL_auxz00_4910 = ((bool_t)0)
; } 
BBOOL(BgL_auxz00_4910); } } }  else 
{ /* Cfa/arithmetic.scm 80 */BFALSE; } } } } } } } 
{ 
obj_t BgL_l4291z00_4921;
BgL_l4291z00_4921 = 
CDR(BgL_l4291z00_2503); 
BgL_l4291z00_2503 = BgL_l4291z00_4921; 
goto BgL_lname4292z00_2504;} }  else 
{ /* Cfa/arithmetic.scm 67 */
BgL_auxz00_4859 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_4859);} } } 
}



/* cleanup-type */
obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_2542)
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 66 */
{ /* Cfa/arithmetic.scm 55 */
bool_t BgL_test4350z00_2544;
BgL_test4350z00_2544 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tz00_2542, BGl_typez00zztype_typez00); 
if(BgL_test4350z00_2544)
{ /* Cfa/arithmetic.scm 55 */
{ /* Cfa/arithmetic.scm 56 */
bool_t BgL_test4351z00_2545;
BgL_test4351z00_2545 = 
(BgL_tz00_2542==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test4351z00_2545)
{ /* Cfa/arithmetic.scm 56 */
return BGl_za2objza2z00zztype_cachez00;}  else 
{ /* Cfa/arithmetic.scm 56 */
return BgL_tz00_2542;} } }  else 
{ /* Cfa/arithmetic.scm 59 */
bool_t BgL_test4352z00_2546;
BgL_test4352z00_2546 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tz00_2542, BGl_localz00zzast_varz00); 
if(BgL_test4352z00_2546)
{ /* Cfa/arithmetic.scm 59 */
{ /* Cfa/arithmetic.scm 60 */
bool_t BgL_test4353z00_2547;
{ /* Cfa/arithmetic.scm 60 */
obj_t BgL_auxz00_4930;
{ /* Cfa/arithmetic.scm 60 */
BgL_typez00_bglt BgL_auxz00_4931;
{ /* Cfa/arithmetic.scm 60 */
BgL_localz00_bglt BgL_obj1252z00_3483;
BgL_obj1252z00_3483 = 
(BgL_localz00_bglt)(BgL_tz00_2542); 
BgL_auxz00_4931 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_3483))->BgL_typez00); } 
BgL_auxz00_4930 = 
(obj_t)(BgL_auxz00_4931); } 
BgL_test4353z00_2547 = 
(BgL_auxz00_4930==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4353z00_2547)
{ /* Cfa/arithmetic.scm 61 */
BgL_localz00_bglt BgL_obj1254z00_3484;BgL_typez00_bglt BgL_val1253z00_3485;
BgL_obj1254z00_3484 = 
(BgL_localz00_bglt)(BgL_tz00_2542); 
BgL_val1253z00_3485 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_3484))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1253z00_3485), BUNSPEC); }  else 
{ /* Cfa/arithmetic.scm 60 */BFALSE; } } 
return BgL_tz00_2542;}  else 
{ /* Cfa/arithmetic.scm 59 */
return BgL_tz00_2542;} } } } 
}



/* _cleanup-arithmetic-nodes! */
obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t BgL_envz00_4814)
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 52 */
return 
BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 28 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2arithmeticzd2appz00zzcfa_info2z00, BGl_proc4698z00zzcfa_arithmeticz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc4699z00zzcfa_arithmeticz00);} 
}



/* cfa!-arithmetic-app4323 */
obj_t BGl_cfaz12zd2arithmeticzd2app4323z12zzcfa_arithmeticz00(obj_t BgL_envz00_4817, obj_t BgL_nodez00_4818)
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 141 */
{ 
BgL_arithmeticzd2appzd2_bglt BgL_nodez00_3369;
{ /* Cfa/arithmetic.scm 150 */
BgL_approxz00_bglt BgL_auxz00_4943;
BgL_nodez00_3369 = 
(BgL_arithmeticzd2appzd2_bglt)(BgL_nodez00_4818); 
{ 
obj_t BgL_argszd2approxzd2_3432;obj_t BgL_argszd2approxzd2_3418;obj_t BgL_typez00_3419;obj_t BgL_speczd2typeszd2_3420;obj_t BgL_argszd2approxzd2_3408;obj_t BgL_speczd2typeszd2_3409;
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_argszd2approxzd2_3376;
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_l4313z00_3392;
{ /* Cfa/arithmetic.scm 177 */
BgL_appz00_bglt BgL_obj3698z00_4779;
BgL_obj3698z00_4779 = 
(BgL_appz00_bglt)(BgL_nodez00_3369); 
BgL_l4313z00_3392 = 
(((BgL_appz00_bglt)CREF(BgL_obj3698z00_4779))->BgL_argsz00); } 
if(
NULLP(BgL_l4313z00_3392))
{ /* Cfa/arithmetic.scm 177 */
BgL_argszd2approxzd2_3376 = BNIL; }  else 
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_head4315z00_3394;
{ /* Cfa/arithmetic.scm 177 */
BgL_approxz00_bglt BgL_arg4590z00_3405;
{ /* Cfa/arithmetic.scm 177 */
BgL_nodez00_bglt BgL_auxz00_4948;
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_auxz00_4949;
BgL_auxz00_4949 = 
CAR(BgL_l4313z00_3392); 
BgL_auxz00_4948 = 
(BgL_nodez00_bglt)(BgL_auxz00_4949); } 
BgL_arg4590z00_3405 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4948); } 
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_auxz00_4953;
BgL_auxz00_4953 = 
(obj_t)(BgL_arg4590z00_3405); 
BgL_head4315z00_3394 = 
MAKE_PAIR(BgL_auxz00_4953, BNIL); } } 
{ 
obj_t BgL_l4313z00_3395;obj_t BgL_tail4316z00_3396;
BgL_l4313z00_3395 = 
CDR(BgL_l4313z00_3392); 
BgL_tail4316z00_3396 = BgL_head4315z00_3394; 
BgL_lname4314z00_3397:
if(
NULLP(BgL_l4313z00_3395))
{ /* Cfa/arithmetic.scm 177 */
BgL_argszd2approxzd2_3376 = BgL_head4315z00_3394; }  else 
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_newtail4317z00_3400;
{ /* Cfa/arithmetic.scm 177 */
BgL_approxz00_bglt BgL_arg4587z00_3402;
{ /* Cfa/arithmetic.scm 177 */
BgL_nodez00_bglt BgL_auxz00_4958;
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_auxz00_4959;
BgL_auxz00_4959 = 
CAR(BgL_l4313z00_3395); 
BgL_auxz00_4958 = 
(BgL_nodez00_bglt)(BgL_auxz00_4959); } 
BgL_arg4587z00_3402 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4958); } 
{ /* Cfa/arithmetic.scm 177 */
obj_t BgL_auxz00_4963;
BgL_auxz00_4963 = 
(obj_t)(BgL_arg4587z00_3402); 
BgL_newtail4317z00_3400 = 
MAKE_PAIR(BgL_auxz00_4963, BNIL); } } 
SET_CDR(BgL_tail4316z00_3396, BgL_newtail4317z00_3400); 
{ 
obj_t BgL_tail4316z00_4969;obj_t BgL_l4313z00_4967;
BgL_l4313z00_4967 = 
CDR(BgL_l4313z00_3395); 
BgL_tail4316z00_4969 = BgL_newtail4317z00_3400; 
BgL_tail4316z00_3396 = BgL_tail4316z00_4969; 
BgL_l4313z00_3395 = BgL_l4313z00_4967; 
goto BgL_lname4314z00_3397;} } } } } 
{ /* Cfa/arithmetic.scm 179 */
obj_t BgL_tyz00_3377;
BgL_argszd2approxzd2_3432 = BgL_argszd2approxzd2_3376; 
{ 
obj_t BgL_argsz00_3434;
BgL_argsz00_3434 = BgL_argszd2approxzd2_3432; 
BgL_loopz00_3435:
if(
NULLP(BgL_argsz00_3434))
{ /* Cfa/arithmetic.scm 145 */
BgL_tyz00_3377 = BFALSE; }  else 
{ /* Cfa/arithmetic.scm 147 */
BgL_typez00_bglt BgL_tz00_3437;
{ /* Cfa/arithmetic.scm 147 */
BgL_approxz00_bglt BgL_obj2654z00_4812;
{ /* Cfa/arithmetic.scm 147 */
obj_t BgL_auxz00_4973;
BgL_auxz00_4973 = 
CAR(BgL_argsz00_3434); 
BgL_obj2654z00_4812 = 
(BgL_approxz00_bglt)(BgL_auxz00_4973); } 
BgL_tz00_3437 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2654z00_4812))->BgL_typez00); } 
{ /* Cfa/arithmetic.scm 148 */
bool_t BgL_test4607z00_3438;
{ /* Cfa/arithmetic.scm 148 */
obj_t BgL_auxz00_4977;
BgL_auxz00_4977 = 
(obj_t)(BgL_tz00_3437); 
BgL_test4607z00_3438 = 
(BgL_auxz00_4977==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4607z00_3438)
{ 
obj_t BgL_argsz00_4981;
BgL_argsz00_4981 = 
CDR(BgL_argsz00_3434); 
BgL_argsz00_3434 = BgL_argsz00_4981; 
goto BgL_loopz00_3435;}  else 
{ /* Cfa/arithmetic.scm 148 */
BgL_tyz00_3377 = 
(obj_t)(BgL_tz00_3437); } } } } 
{ /* Cfa/arithmetic.scm 180 */
bool_t BgL_testz00_4984;
BgL_argszd2approxzd2_3418 = BgL_argszd2approxzd2_3376; 
BgL_typez00_3419 = BgL_tyz00_3377; 
{ 
obj_t BgL_auxz00_5008;
{ /* Cfa/arithmetic.scm 180 */
BgL_objectz00_bglt BgL_auxz00_5009;
BgL_auxz00_5009 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5008 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5009); } 
BgL_speczd2typeszd2_3420 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5008))->BgL_speczd2typeszd2); } 
{ /* Cfa/arithmetic.scm 154 */
bool_t BgL__ortest_4309z00_3422;
if(
CBOOL(BgL_typez00_3419))
{ /* Cfa/arithmetic.scm 154 */
BgL__ortest_4309z00_3422 = ((bool_t)0); }  else 
{ /* Cfa/arithmetic.scm 154 */
BgL__ortest_4309z00_3422 = ((bool_t)1); } 
if(BgL__ortest_4309z00_3422)
{ /* Cfa/arithmetic.scm 154 */
BgL_testz00_4984 = BgL__ortest_4309z00_3422
; }  else 
{ /* Cfa/arithmetic.scm 155 */
bool_t BgL_testz00_4988;
{ /* Cfa/arithmetic.scm 155 */
obj_t BgL_auxz00_4989;
BgL_auxz00_4989 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_3419, BgL_speczd2typeszd2_3420); 
BgL_testz00_4988 = 
CBOOL(BgL_auxz00_4989); } 
if(BgL_testz00_4988)
{ 
obj_t BgL_argsz00_3424;
BgL_argsz00_3424 = BgL_argszd2approxzd2_3418; 
BgL_loopz00_3425:
if(
NULLP(BgL_argsz00_3424))
{ /* Cfa/arithmetic.scm 157 */
BgL_testz00_4984 = ((bool_t)1)
; }  else 
{ /* Cfa/arithmetic.scm 159 */
BgL_typez00_bglt BgL_tz00_3427;
{ /* Cfa/arithmetic.scm 159 */
BgL_approxz00_bglt BgL_obj2654z00_4808;
{ /* Cfa/arithmetic.scm 159 */
obj_t BgL_auxz00_4994;
BgL_auxz00_4994 = 
CAR(BgL_argsz00_3424); 
BgL_obj2654z00_4808 = 
(BgL_approxz00_bglt)(BgL_auxz00_4994); } 
BgL_tz00_3427 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2654z00_4808))->BgL_typez00); } 
{ /* Cfa/arithmetic.scm 160 */
bool_t BgL_test4601z00_3428;
{ /* Cfa/arithmetic.scm 160 */
bool_t BgL_testz00_4998;
{ /* Cfa/arithmetic.scm 160 */
obj_t BgL_auxz00_4999;
BgL_auxz00_4999 = 
(obj_t)(BgL_tz00_3427); 
BgL_testz00_4998 = 
(BgL_auxz00_4999==BgL_typez00_3419); } 
if(BgL_testz00_4998)
{ /* Cfa/arithmetic.scm 160 */
BgL_test4601z00_3428 = ((bool_t)1); }  else 
{ /* Cfa/arithmetic.scm 160 */
obj_t BgL_auxz00_5002;
BgL_auxz00_5002 = 
(obj_t)(BgL_tz00_3427); 
BgL_test4601z00_3428 = 
(BgL_auxz00_5002==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test4601z00_3428)
{ 
obj_t BgL_argsz00_5006;
BgL_argsz00_5006 = 
CDR(BgL_argsz00_3424); 
BgL_argsz00_3424 = BgL_argsz00_5006; 
goto BgL_loopz00_3425;}  else 
{ /* Cfa/arithmetic.scm 160 */
BgL_testz00_4984 = ((bool_t)0)
; } } } }  else 
{ /* Cfa/arithmetic.scm 155 */
BgL_testz00_4984 = ((bool_t)0)
; } } } 
if(BgL_testz00_4984)
{ /* Cfa/arithmetic.scm 182 */
bool_t BgL_testz00_5013;
BgL_argszd2approxzd2_3408 = BgL_argszd2approxzd2_3376; 
{ 
obj_t BgL_auxz00_5029;
{ /* Cfa/arithmetic.scm 182 */
BgL_objectz00_bglt BgL_auxz00_5030;
BgL_auxz00_5030 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5029 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5030); } 
BgL_speczd2typeszd2_3409 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5029))->BgL_speczd2typeszd2); } 
{ 
obj_t BgL_argsz00_3411;
BgL_argsz00_3411 = BgL_argszd2approxzd2_3408; 
BgL_loopz00_3412:
if(
NULLP(BgL_argsz00_3411))
{ /* Cfa/arithmetic.scm 167 */
BgL_testz00_5013 = ((bool_t)1); }  else 
{ /* Cfa/arithmetic.scm 169 */
bool_t BgL_testz00_5016;
{ /* Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_5017;
{ /* Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_5018;
{ /* Cfa/arithmetic.scm 169 */
BgL_typez00_bglt BgL_auxz00_5019;
{ /* Cfa/arithmetic.scm 169 */
BgL_approxz00_bglt BgL_obj2654z00_4804;
{ /* Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_5020;
BgL_auxz00_5020 = 
CAR(BgL_argsz00_3411); 
BgL_obj2654z00_4804 = 
(BgL_approxz00_bglt)(BgL_auxz00_5020); } 
BgL_auxz00_5019 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2654z00_4804))->BgL_typez00); } 
BgL_auxz00_5018 = 
(obj_t)(BgL_auxz00_5019); } 
BgL_auxz00_5017 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5018, BgL_speczd2typeszd2_3409); } 
BgL_testz00_5016 = 
CBOOL(BgL_auxz00_5017); } 
if(BgL_testz00_5016)
{ /* Cfa/arithmetic.scm 169 */
{ 
obj_t BgL_argsz00_5027;
BgL_argsz00_5027 = 
CDR(BgL_argsz00_3411); 
BgL_argsz00_3411 = BgL_argsz00_5027; 
goto BgL_loopz00_3412;} }  else 
{ /* Cfa/arithmetic.scm 169 */
BgL_testz00_5013 = ((bool_t)0); } } } 
if(BgL_testz00_5013)
{ /* Cfa/arithmetic.scm 185 */
bool_t BgL_test4574z00_3380;
{ /* Cfa/arithmetic.scm 185 */
obj_t BgL_auxz00_5034;
{ /* Cfa/arithmetic.scm 185 */
BgL_typez00_bglt BgL_auxz00_5035;
{ /* Cfa/arithmetic.scm 185 */
BgL_approxz00_bglt BgL_arg4577z00_3383;
{ 
obj_t BgL_auxz00_5036;
{ /* Cfa/arithmetic.scm 185 */
BgL_objectz00_bglt BgL_auxz00_5037;
BgL_auxz00_5037 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5036 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5037); } 
BgL_arg4577z00_3383 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5036))->BgL_approxz00); } 
BgL_auxz00_5035 = 
(((BgL_approxz00_bglt)CREF(BgL_arg4577z00_3383))->BgL_typez00); } 
BgL_auxz00_5034 = 
(obj_t)(BgL_auxz00_5035); } 
BgL_test4574z00_3380 = 
(BgL_auxz00_5034==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4574z00_3380)
{ /* Cfa/arithmetic.scm 185 */
{ /* Cfa/arithmetic.scm 188 */
BgL_approxz00_bglt BgL_auxz00_5045;
{ 
obj_t BgL_auxz00_5046;
{ /* Cfa/arithmetic.scm 188 */
BgL_objectz00_bglt BgL_auxz00_5047;
BgL_auxz00_5047 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5046 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5047); } 
BgL_auxz00_5045 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5046))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_auxz00_5045, 
(BgL_typez00_bglt)(BgL_tyz00_3377)); } 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00(); }  else 
{ /* Cfa/arithmetic.scm 185 */BFALSE; } }  else 
{ /* Cfa/arithmetic.scm 182 */BFALSE; } }  else 
{ /* Cfa/arithmetic.scm 180 */
{ 
obj_t BgL_l4318z00_3385;
BgL_l4318z00_3385 = BgL_argszd2approxzd2_3376; 
BgL_lname4319z00_3386:
if(
PAIRP(BgL_l4318z00_3385))
{ /* Cfa/arithmetic.scm 192 */
{ /* Cfa/arithmetic.scm 192 */
BgL_approxz00_bglt BgL_auxz00_5056;
{ /* Cfa/arithmetic.scm 192 */
obj_t BgL_auxz00_5057;
BgL_auxz00_5057 = 
CAR(BgL_l4318z00_3385); 
BgL_auxz00_5056 = 
(BgL_approxz00_bglt)(BgL_auxz00_5057); } 
BGl_loosez12z12zzcfa_loosez00(BgL_auxz00_5056, 
CNST_TABLE_REF(((long)0))); } 
{ 
obj_t BgL_l4318z00_5062;
BgL_l4318z00_5062 = 
CDR(BgL_l4318z00_3385); 
BgL_l4318z00_3385 = BgL_l4318z00_5062; 
goto BgL_lname4319z00_3386;} }  else 
{ /* Cfa/arithmetic.scm 192 */((bool_t)1); } } 
{ /* Cfa/arithmetic.scm 193 */
BgL_approxz00_bglt BgL_auxz00_5064;
{ 
obj_t BgL_auxz00_5065;
{ /* Cfa/arithmetic.scm 193 */
BgL_objectz00_bglt BgL_auxz00_5066;
BgL_auxz00_5066 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5065 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5066); } 
BgL_auxz00_5064 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5065))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_auxz00_5064, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } } } } } 
{ 
obj_t BgL_auxz00_5072;
{ /* Cfa/arithmetic.scm 195 */
BgL_objectz00_bglt BgL_auxz00_5073;
BgL_auxz00_5073 = 
(BgL_objectz00_bglt)(BgL_nodez00_3369); 
BgL_auxz00_5072 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5073); } 
BgL_auxz00_4943 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_5072))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_4943);} } } 
}



/* node-setup!-pre-arithmetic-app4321 */
obj_t BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4321z12zzcfa_arithmeticz00(obj_t BgL_envz00_4819, obj_t BgL_nodez00_4820)
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 96 */
{ 
BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_3311;
{ /* Cfa/arithmetic.scm 105 */
BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5079;
BgL_nodez00_3311 = 
(BgL_prezd2arithmeticzd2appz00_bglt)(BgL_nodez00_4820); 
{ /* Cfa/arithmetic.scm 107 */
BgL_variablez00_bglt BgL_fz00_3316;
{ /* Cfa/arithmetic.scm 107 */
BgL_varz00_bglt BgL_arg4567z00_3361;
{ /* Cfa/arithmetic.scm 107 */
BgL_appz00_bglt BgL_obj3652z00_4714;
BgL_obj3652z00_4714 = 
(BgL_appz00_bglt)(BgL_nodez00_3311); 
BgL_arg4567z00_3361 = 
(((BgL_appz00_bglt)CREF(BgL_obj3652z00_4714))->BgL_funz00); } 
BgL_fz00_3316 = 
(((BgL_varz00_bglt)CREF(BgL_arg4567z00_3361))->BgL_variablez00); } 
{ /* Cfa/arithmetic.scm 107 */
BgL_valuez00_bglt BgL_valz00_3317;
BgL_valz00_3317 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_3316))->BgL_valuez00); 
{ /* Cfa/arithmetic.scm 108 */

{ /* Cfa/arithmetic.scm 110 */
bool_t BgL_test4536z00_3318;
{ /* Cfa/arithmetic.scm 110 */
obj_t BgL_auxz00_5084;
{ /* Cfa/arithmetic.scm 110 */
BgL_typez00_bglt BgL_auxz00_5085;
BgL_auxz00_5085 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_3316))->BgL_typez00); 
BgL_auxz00_5084 = 
(obj_t)(BgL_auxz00_5085); } 
BgL_test4536z00_3318 = 
(BgL_auxz00_5084==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test4536z00_3318)
{ /* Cfa/arithmetic.scm 110 */
{ /* Cfa/arithmetic.scm 114 */
BgL_typez00_bglt BgL_val1101z00_4719;
BgL_val1101z00_4719 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_fz00_3316))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_4719), BUNSPEC); } 
{ /* Cfa/arithmetic.scm 115 */
BgL_nodez00_bglt BgL_obj1552z00_4720;BgL_typez00_bglt BgL_val1551z00_4721;
BgL_obj1552z00_4720 = 
(BgL_nodez00_bglt)(BgL_nodez00_3311); 
BgL_val1551z00_4721 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_4720))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_4721), BUNSPEC); } }  else 
{ /* Cfa/arithmetic.scm 110 */BFALSE; } } 
{ /* Cfa/arithmetic.scm 117 */
bool_t BgL_test4538z00_3320;
BgL_test4538z00_3320 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_3317), BGl_sfunz00zzast_varz00); 
if(BgL_test4538z00_3320)
{ /* Cfa/arithmetic.scm 117 */
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_arg4539z00_3321;
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_l4302z00_3322;
{ /* Cfa/arithmetic.scm 119 */
BgL_sfunz00_bglt BgL_obj1369z00_4723;
BgL_obj1369z00_4723 = 
(BgL_sfunz00_bglt)(BgL_valz00_3317); 
BgL_l4302z00_3322 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_4723))->BgL_argsz00); } 
if(
NULLP(BgL_l4302z00_3322))
{ /* Cfa/arithmetic.scm 119 */
BgL_arg4539z00_3321 = BNIL; }  else 
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_head4304z00_3324;
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_arg4547z00_3335;
BgL_arg4547z00_3335 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_l4302z00_3322)); 
BgL_head4304z00_3324 = 
MAKE_PAIR(BgL_arg4547z00_3335, BNIL); } 
{ 
obj_t BgL_l4302z00_3325;obj_t BgL_tail4305z00_3326;
BgL_l4302z00_3325 = 
CDR(BgL_l4302z00_3322); 
BgL_tail4305z00_3326 = BgL_head4304z00_3324; 
BgL_lname4303z00_3327:
if(
NULLP(BgL_l4302z00_3325))
{ /* Cfa/arithmetic.scm 119 */
BgL_arg4539z00_3321 = BgL_head4304z00_3324; }  else 
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_newtail4306z00_3330;
{ /* Cfa/arithmetic.scm 119 */
obj_t BgL_arg4544z00_3332;
BgL_arg4544z00_3332 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_l4302z00_3325)); 
BgL_newtail4306z00_3330 = 
MAKE_PAIR(BgL_arg4544z00_3332, BNIL); } 
SET_CDR(BgL_tail4305z00_3326, BgL_newtail4306z00_3330); 
{ 
obj_t BgL_tail4305z00_5113;obj_t BgL_l4302z00_5111;
BgL_l4302z00_5111 = 
CDR(BgL_l4302z00_3325); 
BgL_tail4305z00_5113 = BgL_newtail4306z00_3330; 
BgL_tail4305z00_3326 = BgL_tail4305z00_5113; 
BgL_l4302z00_3325 = BgL_l4302z00_5111; 
goto BgL_lname4303z00_3327;} } } } } 
{ /* Cfa/arithmetic.scm 118 */
BgL_sfunz00_bglt BgL_obj1371z00_4736;
BgL_obj1371z00_4736 = 
(BgL_sfunz00_bglt)(BgL_valz00_3317); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1371z00_4736))->BgL_argsz00) = ((obj_t)BgL_arg4539z00_3321), BUNSPEC); } } }  else 
{ /* Cfa/arithmetic.scm 120 */
bool_t BgL_test4550z00_3338;
BgL_test4550z00_3338 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_3317), BGl_cfunz00zzast_varz00); 
if(BgL_test4550z00_3338)
{ /* Cfa/arithmetic.scm 120 */
{ 
obj_t BgL_lz00_3339;
{ /* Cfa/arithmetic.scm 121 */
BgL_cfunz00_bglt BgL_obj1443z00_4739;
BgL_obj1443z00_4739 = 
(BgL_cfunz00_bglt)(BgL_valz00_3317); 
BgL_lz00_3339 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_4739))->BgL_argszd2typezd2); } 
BgL_loopz00_3340:
if(
PAIRP(BgL_lz00_3339))
{ /* Cfa/arithmetic.scm 123 */
obj_t BgL_arg4553z00_3343;
BgL_arg4553z00_3343 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(
CAR(BgL_lz00_3339)); 
SET_CAR(BgL_lz00_3339, BgL_arg4553z00_3343); }  else 
{ 
obj_t BgL_lz00_5125;
BgL_lz00_5125 = 
CDR(BgL_lz00_3339); 
BgL_lz00_3339 = BgL_lz00_5125; 
goto BgL_loopz00_3340;} } }  else 
{ /* Cfa/arithmetic.scm 120 */
{ 
obj_t BgL_auxz00_5129;
BgL_auxz00_5129 = 
(obj_t)(BgL_nodez00_3311); 
FAILURE(BGl_string4700z00zzcfa_arithmeticz00,BGl_string4701z00zzcfa_arithmeticz00,BgL_auxz00_5129);} } } } 
{ /* Cfa/arithmetic.scm 127 */
obj_t BgL_auxz00_5132;
BgL_auxz00_5132 = 
(obj_t)(BgL_nodez00_3311); 
BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = 
MAKE_PAIR(BgL_auxz00_5132, BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00); } 
{ /* Cfa/arithmetic.scm 129 */
obj_t BgL_auxz00_5135;
{ /* Cfa/arithmetic.scm 129 */
BgL_appz00_bglt BgL_obj3655z00_4748;
BgL_obj3655z00_4748 = 
(BgL_appz00_bglt)(BgL_nodez00_3311); 
BgL_auxz00_5135 = 
(((BgL_appz00_bglt)CREF(BgL_obj3655z00_4748))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5135); } 
{ /* Cfa/arithmetic.scm 130 */
obj_t BgL_speczd2typeszd2_3347;
{ 
obj_t BgL_auxz00_5139;
{ /* Cfa/arithmetic.scm 130 */
BgL_objectz00_bglt BgL_auxz00_5140;
BgL_auxz00_5140 = 
(BgL_objectz00_bglt)(BgL_nodez00_3311); 
BgL_auxz00_5139 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5140); } 
BgL_speczd2typeszd2_3347 = 
(((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_auxz00_5139))->BgL_speczd2typeszd2); } 
{ /* Cfa/arithmetic.scm 130 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_3348;
{ /* Cfa/arithmetic.scm 131 */
long BgL_arg4564z00_3358;
{ /* Cfa/arithmetic.scm 131 */
obj_t BgL_arg4565z00_3359;
{ /* Cfa/arithmetic.scm 131 */
obj_t BgL_arg4566z00_3360;
{ /* Cfa/arithmetic.scm 131 */
long BgL_arg1224z00_4751;
{ /* Cfa/arithmetic.scm 131 */
long BgL_arg1225z00_4752;
{ /* Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_auxz00_5144;
BgL_auxz00_5144 = 
(BgL_objectz00_bglt)(BgL_nodez00_3311); 
BgL_arg1225z00_4752 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5144); } 
BgL_arg1224z00_4751 = 
(BgL_arg1225z00_4752-OBJECT_TYPE); } 
{ /* Cfa/arithmetic.scm 131 */
obj_t BgL_vectorz00_4756;int BgL_kz00_4757;
BgL_vectorz00_4756 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4757 = 
(int)(BgL_arg1224z00_4751); 
BgL_arg4566z00_3360 = 
VECTOR_REF(BgL_vectorz00_4756,BgL_kz00_4757); } } 
BgL_arg4565z00_3359 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4566z00_3360); } 
BgL_arg4564z00_3358 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4565z00_3359); } 
{ /* Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_auxz00_5152;
BgL_auxz00_5152 = 
(BgL_objectz00_bglt)(BgL_nodez00_3311); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5152, BgL_arg4564z00_3358); } } 
{ /* Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_auxz00_5155;
BgL_auxz00_5155 = 
(BgL_objectz00_bglt)(BgL_nodez00_3311); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5155, BFALSE); } 
BgL_nodez00_3348 = BgL_nodez00_3311; 
{ /* Cfa/arithmetic.scm 131 */

{ /* Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_obj4308z00_3349;
BgL_obj4308z00_3349 = 
((BgL_arithmeticzd2appzd2_bglt)BgL_nodez00_3348); 
{ /* Cfa/arithmetic.scm 134 */
BgL_arithmeticzd2appzd2_bglt BgL_arg4557z00_3350;
{ /* Cfa/arithmetic.scm 134 */
BgL_approxz00_bglt BgL_arg4558z00_3351;obj_t BgL_arg4559z00_3352;
{ /* Cfa/arithmetic.scm 134 */
bool_t BgL_test4560z00_3353;
{ /* Cfa/arithmetic.scm 134 */
obj_t BgL_auxz00_5159;
{ /* Cfa/arithmetic.scm 134 */
BgL_typez00_bglt BgL_auxz00_5160;
BgL_auxz00_5160 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_3316))->BgL_typez00); 
BgL_auxz00_5159 = 
(obj_t)(BgL_auxz00_5160); } 
BgL_test4560z00_3353 = 
(BgL_auxz00_5159==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4560z00_3353)
{ /* Cfa/arithmetic.scm 134 */
BgL_arg4558z00_3351 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); }  else 
{ /* Cfa/arithmetic.scm 134 */
BgL_arg4558z00_3351 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_variablez00_bglt)CREF(BgL_fz00_3316))->BgL_typez00)); } } 
BgL_arg4559z00_3352 = BgL_speczd2typeszd2_3347; 
{ /* Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_res4693z00_4771;
{ /* Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_new3660z00_4764;
BgL_new3660z00_4764 = 
((BgL_arithmeticzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_arithmeticzd2appzd2_bgl)))); 
{ /* Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_res4692z00_4770;
((((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_new3660z00_4764))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4558z00_3351), BUNSPEC); 
((((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_new3660z00_4764))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg4559z00_3352), BUNSPEC); 
BgL_res4692z00_4770 = BgL_new3660z00_4764; BgL_res4692z00_4770; } 
BgL_res4693z00_4771 = BgL_new3660z00_4764; } 
BgL_arg4557z00_3350 = BgL_res4693z00_4771; } } 
{ /* Cfa/arithmetic.scm 132 */
obj_t BgL_auxz00_5173;BgL_objectz00_bglt BgL_auxz00_5171;
BgL_auxz00_5173 = 
(obj_t)(BgL_arg4557z00_3350); 
BgL_auxz00_5171 = 
(BgL_objectz00_bglt)(BgL_obj4308z00_3349); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5171, BgL_auxz00_5173); } } 
{ /* Cfa/arithmetic.scm 132 */
long BgL_arg4563z00_3356;
BgL_arg4563z00_3356 = 
BGl_classzd2numzd2zz__objectz00(BGl_arithmeticzd2appzd2zzcfa_info2z00); 
{ /* Cfa/arithmetic.scm 132 */
BgL_objectz00_bglt BgL_auxz00_5177;
BgL_auxz00_5177 = 
(BgL_objectz00_bglt)(BgL_obj4308z00_3349); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5177, BgL_arg4563z00_3356); } } 
{ /* Cfa/arithmetic.scm 132 */
obj_t BgL_auxz00_5180;
BgL_auxz00_5180 = 
(obj_t)(BgL_obj4308z00_3349); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5180); } BUNSPEC; 
BgL_auxz00_5079 = BgL_obj4308z00_3349; } } } } } } } 
return 
(obj_t)(BgL_auxz00_5079);} } } 
}



/* unspecified-type */
obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_3362)
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 105 */
{ /* Cfa/arithmetic.scm 99 */
bool_t BgL_test4569z00_3364;
BgL_test4569z00_3364 = 
BGl_iszd2azf3z21zz__objectz00(BgL_lz00_3362, BGl_typez00zztype_typez00); 
if(BgL_test4569z00_3364)
{ /* Cfa/arithmetic.scm 99 */
return BGl_za2_za2z00zztype_cachez00;}  else 
{ /* Cfa/arithmetic.scm 101 */
bool_t BgL_test4570z00_3365;
BgL_test4570z00_3365 = 
BGl_iszd2azf3z21zz__objectz00(BgL_lz00_3362, BGl_localz00zzast_varz00); 
if(BgL_test4570z00_3365)
{ /* Cfa/arithmetic.scm 101 */
{ /* Cfa/arithmetic.scm 102 */
BgL_localz00_bglt BgL_obj1254z00_4777;BgL_typez00_bglt BgL_val1253z00_4778;
BgL_obj1254z00_4777 = 
(BgL_localz00_bglt)(BgL_lz00_3362); 
BgL_val1253z00_4778 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_4777))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1253z00_4778), BUNSPEC); } 
return BgL_lz00_3362;}  else 
{ /* Cfa/arithmetic.scm 101 */
return BgL_lz00_3362;} } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* Cfa/arithmetic.scm 28 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47789), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_arithmetic"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)22038), "cfa_arithmetic");} 
}

