/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinfo4331z20zzcfa_boxz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_boxz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza34555ze3z83zzcfa_boxz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2makezd2boxzf2Ozd2Cinfo4327z32zzcfa_boxz00(obj_t, obj_t);
extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
extern BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_zc3anonymousza34567ze3z83zzcfa_boxz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
static obj_t BGl_loosezd2allocz12zd2makezd2box4333zc0zzcfa_boxz00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_boxz00();
extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00();
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
static obj_t BGl_nodezd2setupz12zd2boxzd2setz124323zd2zzcfa_boxz00(obj_t, obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2makezd2box4318zc0zzcfa_boxz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4329z32zzcfa_boxz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2boxzd2ref4325zc0zzcfa_boxz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2makezd2box4321z12zzcfa_boxz00(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string4687z00zzcfa_boxz00, BgL_bgl_string4687za700za7za7cfa_boxza7004692z00, "all ", 4 );
DEFINE_STRING( BGl_string4686z00zzcfa_boxz00, BgL_bgl_string4686za700za7za7cfa_boxza7004693z00, "Illegal mixed of optimized and unoptimize `make-box'", 52 );
DEFINE_STRING( BGl_string4685z00zzcfa_boxz00, BgL_bgl_string4685za700za7za7cfa_boxza7004694z00, "box-ref", 7 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4677z00zzcfa_boxz00, BgL_bgl_nodeza7d2setupza712za7d2makeza7d2box4318za7c0za7za7cfa_boxza7004695z00, BGl_nodezd2setupz12zd2makezd2box4318zc0zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4678z00zzcfa_boxz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2makeza7d2box4321za712za7za7cfa_boxza7004696za7, BGl_nodezd2setupz12zd2prezd2makezd2box4321z12zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4680z00zzcfa_boxz00, BgL_bgl_nodeza7d2setupza712za7d2boxza7d2ref4325za7c0za7za7cfa_boxza7004697z00, BGl_nodezd2setupz12zd2boxzd2ref4325zc0zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4679z00zzcfa_boxz00, BgL_bgl_nodeza7d2setupza712za7d2boxza7d2setza7124323za7d2za7za7cfa_boxza7004698za7, BGl_nodezd2setupz12zd2boxzd2setz124323zd2zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4681z00zzcfa_boxz00, BgL_bgl_cfaza712za7d2makeza7d2boxza7f2oza7d2cinfo4327za732za7za7cfa_boxza7004699za7, BGl_cfaz12zd2makezd2boxzf2Ozd2Cinfo4327z32zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4682z00zzcfa_boxz00, BgL_bgl_cfaza712za7d2boxza7d2refza7f2oza7d2cinfo4329za732za7za7cfa_boxza7004700za7, BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4329z32zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4683z00zzcfa_boxz00, BgL_bgl_cfaza712za7d2boxza7d2setza712za7f2oza7d2cinfo4331za720za7za7cfa_boxza7004701z00, BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinfo4331z20zzcfa_boxz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4684z00zzcfa_boxz00, BgL_bgl_looseza7d2allocza712za7d2makeza7d2box4333za7c0za7za7cfa_boxza7004702z00, BGl_loosezd2allocz12zd2makezd2box4333zc0zzcfa_boxz00, 0L, 1 );
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long BgL_checksumz00_4767, char * BgL_fromz00_4768)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_boxz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_boxz00(); 
BGl_cnstzd2initzd2zzcfa_boxz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_boxz00(); 
BGl_methodzd2initzd2zzcfa_boxz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00()
{ AN_OBJECT;
{ /* Cfa/box.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_box"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_box"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_boxz00()
{ AN_OBJECT;
{ /* Cfa/box.scm 15 */
{ /* Cfa/box.scm 15 */
obj_t BgL_cportz00_4760;
BgL_cportz00_4760 = 
open_input_string(BGl_string4687z00zzcfa_boxz00); 
{ 
long BgL_iz00_4761;
BgL_iz00_4761 = ((long)0); 
BgL_loopz00_4762:
if(
(BgL_iz00_4761==((long)-1)))
{ /* Cfa/box.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/box.scm 15 */
{ /* Cfa/box.scm 15 */
obj_t BgL_arg4689z00_4764;
{ /* Cfa/box.scm 15 */
obj_t BgL_list4690z00_4765;
BgL_list4690z00_4765 = 
MAKE_PAIR(BgL_cportz00_4760, BNIL); 
BgL_arg4689z00_4764 = 
BGl_readz00zz__readerz00(BgL_list4690z00_4765); } 
{ /* Cfa/box.scm 15 */
int BgL_auxz00_4783;
BgL_auxz00_4783 = 
(int)(BgL_iz00_4761); 
CNST_TABLE_SET(BgL_auxz00_4783, BgL_arg4689z00_4764); } } 
{ 
long BgL_iz00_4786;
{ /* Cfa/box.scm 15 */
int BgL_auxz00_4787;
{ /* Cfa/box.scm 15 */
long BgL_auxz00_4788;
BgL_auxz00_4788 = 
(BgL_iz00_4761-((long)1)); 
BgL_auxz00_4787 = 
(int)(BgL_auxz00_4788); } 
BgL_iz00_4786 = 
(long)(BgL_auxz00_4787); } 
BgL_iz00_4761 = BgL_iz00_4786; 
goto BgL_loopz00_4762;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_boxz00()
{ AN_OBJECT;
{ /* Cfa/box.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_boxz00()
{ AN_OBJECT;
{ /* Cfa/box.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4677z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2makezd2boxz00zzcfa_infoz00, BGl_proc4678z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4679z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4680z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc4681z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc4682z00zzcfa_boxz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00, BGl_proc4683z00zzcfa_boxz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4684z00zzcfa_boxz00);} 
}



/* loose-alloc!-make-box4333 */
obj_t BGl_loosezd2allocz12zd2makezd2box4333zc0zzcfa_boxz00(obj_t BgL_envz00_4730, obj_t BgL_allocz00_4731)
{ AN_OBJECT;
{ /* Cfa/box.scm 145 */
{ 
BgL_makezd2boxzd2_bglt BgL_allocz00_3385;
BgL_allocz00_3385 = 
(BgL_makezd2boxzd2_bglt)(BgL_allocz00_4731); 
return BUNSPEC;} } 
}



/* cfa!-box-set!/O-Cinfo4331 */
obj_t BGl_cfaz12zd2boxzd2setz12zf2Ozd2Cinfo4331z20zzcfa_boxz00(obj_t BgL_envz00_4732, obj_t BgL_nodez00_4733)
{ AN_OBJECT;
{ /* Cfa/box.scm 117 */
{ 
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_nodez00_3363;
{ /* Cfa/box.scm 118 */
BgL_approxz00_bglt BgL_auxz00_4801;
BgL_nodez00_3363 = 
(BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)(BgL_nodez00_4733); 
{ /* Cfa/box.scm 119 */
BgL_approxz00_bglt BgL_boxzd2approxzd2_3367;BgL_approxz00_bglt BgL_valzd2approxzd2_3368;
{ /* Cfa/box.scm 119 */
BgL_nodez00_bglt BgL_auxz00_4802;
{ /* Cfa/box.scm 119 */
BgL_varz00_bglt BgL_auxz00_4803;
{ /* Cfa/box.scm 119 */
BgL_boxzd2setz12zc0_bglt BgL_obj3584z00_4713;
BgL_obj3584z00_4713 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3363); 
BgL_auxz00_4803 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3584z00_4713))->BgL_varz00); } 
BgL_auxz00_4802 = 
(BgL_nodez00_bglt)(BgL_auxz00_4803); } 
BgL_boxzd2approxzd2_3367 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4802); } 
{ /* Cfa/box.scm 120 */
BgL_nodez00_bglt BgL_auxz00_4808;
{ /* Cfa/box.scm 120 */
BgL_boxzd2setz12zc0_bglt BgL_obj3587z00_4714;
BgL_obj3587z00_4714 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3363); 
BgL_auxz00_4808 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3587z00_4714))->BgL_valuez00); } 
BgL_valzd2approxzd2_3368 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4808); } 
if(
(((BgL_approxz00_bglt)CREF(BgL_boxzd2approxzd2_3367))->BgL_topzf3zf3))
{ /* Cfa/box.scm 124 */
BgL_approxz00_bglt BgL_auxz00_4814;
BgL_auxz00_4814 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3368, 
CNST_TABLE_REF(((long)0))); 
(obj_t)(BgL_auxz00_4814); }  else 
{ /* Cfa/box.scm 128 */
obj_t BgL_zc3anonymousza34567ze3z83_4721;
{ 
int BgL_auxz00_4820;int BgL_auxz00_4818;
BgL_auxz00_4820 = 
(int)(((long)2)); 
BgL_auxz00_4818 = 
(int)(((long)1)); 
BgL_zc3anonymousza34567ze3z83_4721 = 
make_fx_procedure(BGl_zc3anonymousza34567ze3z83zzcfa_boxz00, BgL_auxz00_4818, BgL_auxz00_4820); } 
{ /* Cfa/box.scm 128 */
obj_t BgL_auxz00_4825;int BgL_auxz00_4823;
BgL_auxz00_4825 = 
(obj_t)(BgL_nodez00_3363); 
BgL_auxz00_4823 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34567ze3z83_4721, BgL_auxz00_4823, BgL_auxz00_4825); } 
{ /* Cfa/box.scm 128 */
obj_t BgL_auxz00_4830;int BgL_auxz00_4828;
BgL_auxz00_4830 = 
(obj_t)(BgL_valzd2approxzd2_3368); 
BgL_auxz00_4828 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34567ze3z83_4721, BgL_auxz00_4828, BgL_auxz00_4830); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34567ze3z83_4721, BgL_boxzd2approxzd2_3367); } } 
{ 
obj_t BgL_auxz00_4834;
{ /* Cfa/box.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4835;
BgL_auxz00_4835 = 
(BgL_objectz00_bglt)(BgL_nodez00_3363); 
BgL_auxz00_4834 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4835); } 
BgL_auxz00_4801 = 
(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)CREF(BgL_auxz00_4834))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_4801);} } } 
}



/* <anonymous:4567> */
obj_t BGl_zc3anonymousza34567ze3z83zzcfa_boxz00(obj_t BgL_envz00_4734, obj_t BgL_boxz00_4737)
{ AN_OBJECT;
{ /* Cfa/box.scm 126 */
{ /* Cfa/box.scm 128 */
obj_t BgL_nodez00_4735;obj_t BgL_valzd2approxzd2_4736;
{ /* Cfa/box.scm 128 */
int BgL_auxz00_4841;
BgL_auxz00_4841 = 
(int)(((long)0)); 
BgL_nodez00_4735 = 
PROCEDURE_REF(BgL_envz00_4734, BgL_auxz00_4841); } 
{ /* Cfa/box.scm 128 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)1)); 
BgL_valzd2approxzd2_4736 = 
PROCEDURE_REF(BgL_envz00_4734, BgL_auxz00_4844); } 
{ 
obj_t BgL_boxz00_3371;
BgL_boxz00_3371 = BgL_boxz00_4737; 
{ /* Cfa/box.scm 128 */
bool_t BgL_test4568z00_3373;
BgL_test4568z00_3373 = 
BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_3371, BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00); 
if(BgL_test4568z00_3373)
{ /* Cfa/box.scm 128 */
{ /* Cfa/box.scm 130 */
BgL_approxz00_bglt BgL_auxz00_4849;
{ /* Cfa/box.scm 130 */
BgL_approxz00_bglt BgL_auxz00_4850;
{ /* Cfa/box.scm 130 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj3491z00_4717;
BgL_obj3491z00_4717 = 
(BgL_makezd2boxzf2ozd2cinfozf2_bglt)(BgL_boxz00_3371); 
{ 
obj_t BgL_auxz00_4852;
{ /* Cfa/box.scm 130 */
BgL_objectz00_bglt BgL_auxz00_4853;
BgL_auxz00_4853 = 
(BgL_objectz00_bglt)(BgL_obj3491z00_4717); 
BgL_auxz00_4852 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4853); } 
BgL_auxz00_4850 = 
(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4852))->BgL_valuezd2approxzd2); } } 
BgL_auxz00_4849 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_4850, 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4736)); } 
return 
(obj_t)(BgL_auxz00_4849);} }  else 
{ /* Cfa/box.scm 131 */
bool_t BgL_test4570z00_3376;
BgL_test4570z00_3376 = 
BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_3371, BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00); 
if(BgL_test4570z00_3376)
{ /* Cfa/box.scm 131 */
{ /* Cfa/box.scm 132 */
obj_t BgL_arg4573z00_3379;
BgL_arg4573z00_3379 = 
BGl_shapez00zztools_shapez00(BgL_nodez00_4735); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4685z00zzcfa_boxz00, BGl_string4686z00zzcfa_boxz00, BgL_arg4573z00_3379);} }  else 
{ /* Cfa/box.scm 131 */
return BFALSE;} } } } } } 
}



/* cfa!-box-ref/O-Cinfo4329 */
obj_t BGl_cfaz12zd2boxzd2refzf2Ozd2Cinfo4329z32zzcfa_boxz00(obj_t BgL_envz00_4738, obj_t BgL_nodez00_4739)
{ AN_OBJECT;
{ /* Cfa/box.scm 97 */
{ 
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_nodez00_3343;
{ /* Cfa/box.scm 98 */
BgL_approxz00_bglt BgL_auxz00_4864;
BgL_nodez00_3343 = 
(BgL_boxzd2refzf2ozd2cinfozf2_bglt)(BgL_nodez00_4739); 
{ /* Cfa/box.scm 99 */
BgL_approxz00_bglt BgL_boxzd2approxzd2_3347;
{ /* Cfa/box.scm 99 */
BgL_nodez00_bglt BgL_auxz00_4865;
{ /* Cfa/box.scm 99 */
BgL_varz00_bglt BgL_auxz00_4866;
{ /* Cfa/box.scm 99 */
BgL_boxzd2refzd2_bglt BgL_obj3618z00_4707;
BgL_obj3618z00_4707 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3343); 
BgL_auxz00_4866 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3618z00_4707))->BgL_varz00); } 
BgL_auxz00_4865 = 
(BgL_nodez00_bglt)(BgL_auxz00_4866); } 
BgL_boxzd2approxzd2_3347 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4865); } 
{ /* Cfa/box.scm 103 */
obj_t BgL_zc3anonymousza34555ze3z83_4723;
{ 
int BgL_auxz00_4873;int BgL_auxz00_4871;
BgL_auxz00_4873 = 
(int)(((long)2)); 
BgL_auxz00_4871 = 
(int)(((long)1)); 
BgL_zc3anonymousza34555ze3z83_4723 = 
make_fx_procedure(BGl_zc3anonymousza34555ze3z83zzcfa_boxz00, BgL_auxz00_4871, BgL_auxz00_4873); } 
{ /* Cfa/box.scm 103 */
obj_t BgL_auxz00_4878;int BgL_auxz00_4876;
BgL_auxz00_4878 = 
(obj_t)(BgL_nodez00_3343); 
BgL_auxz00_4876 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34555ze3z83_4723, BgL_auxz00_4876, BgL_auxz00_4878); } 
{ /* Cfa/box.scm 103 */
obj_t BgL_auxz00_4883;int BgL_auxz00_4881;
BgL_auxz00_4883 = 
(obj_t)(BgL_nodez00_3343); 
BgL_auxz00_4881 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34555ze3z83_4723, BgL_auxz00_4881, BgL_auxz00_4883); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34555ze3z83_4723, BgL_boxzd2approxzd2_3347); } } 
{ 
obj_t BgL_auxz00_4887;
{ /* Cfa/box.scm 112 */
BgL_objectz00_bglt BgL_auxz00_4888;
BgL_auxz00_4888 = 
(BgL_objectz00_bglt)(BgL_nodez00_3343); 
BgL_auxz00_4887 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4888); } 
BgL_auxz00_4864 = 
(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4887))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_4864);} } } 
}



/* <anonymous:4555> */
obj_t BGl_zc3anonymousza34555ze3z83zzcfa_boxz00(obj_t BgL_envz00_4740, obj_t BgL_boxz00_4743)
{ AN_OBJECT;
{ /* Cfa/box.scm 101 */
{ /* Cfa/box.scm 103 */
obj_t BgL_nodez00_4741;obj_t BgL_instance4309z00_4742;
{ /* Cfa/box.scm 103 */
int BgL_auxz00_4894;
BgL_auxz00_4894 = 
(int)(((long)0)); 
BgL_nodez00_4741 = 
PROCEDURE_REF(BgL_envz00_4740, BgL_auxz00_4894); } 
{ /* Cfa/box.scm 103 */
int BgL_auxz00_4897;
BgL_auxz00_4897 = 
(int)(((long)1)); 
BgL_instance4309z00_4742 = 
PROCEDURE_REF(BgL_envz00_4740, BgL_auxz00_4897); } 
{ 
obj_t BgL_boxz00_3349;
BgL_boxz00_3349 = BgL_boxz00_4743; 
{ /* Cfa/box.scm 103 */
bool_t BgL_test4556z00_3351;
BgL_test4556z00_3351 = 
BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_3349, BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00); 
if(BgL_test4556z00_3351)
{ /* Cfa/box.scm 103 */
{ /* Cfa/box.scm 105 */
BgL_approxz00_bglt BgL_auxz00_4902;
{ /* Cfa/box.scm 105 */
BgL_approxz00_bglt BgL_auxz00_4910;BgL_approxz00_bglt BgL_auxz00_4903;
{ /* Cfa/box.scm 105 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj3491z00_4710;
BgL_obj3491z00_4710 = 
(BgL_makezd2boxzf2ozd2cinfozf2_bglt)(BgL_boxz00_3349); 
{ 
obj_t BgL_auxz00_4912;
{ /* Cfa/box.scm 105 */
BgL_objectz00_bglt BgL_auxz00_4913;
BgL_auxz00_4913 = 
(BgL_objectz00_bglt)(BgL_obj3491z00_4710); 
BgL_auxz00_4912 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4913); } 
BgL_auxz00_4910 = 
(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4912))->BgL_valuezd2approxzd2); } } 
{ /* Cfa/box.scm 105 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_obj3607z00_4709;
BgL_obj3607z00_4709 = 
(BgL_boxzd2refzf2ozd2cinfozf2_bglt)(BgL_instance4309z00_4742); 
{ 
obj_t BgL_auxz00_4905;
{ /* Cfa/box.scm 105 */
BgL_objectz00_bglt BgL_auxz00_4906;
BgL_auxz00_4906 = 
(BgL_objectz00_bglt)(BgL_obj3607z00_4709); 
BgL_auxz00_4905 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4906); } 
BgL_auxz00_4903 = 
(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4905))->BgL_approxz00); } } 
BgL_auxz00_4902 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_4903, BgL_auxz00_4910); } 
return 
(obj_t)(BgL_auxz00_4902);} }  else 
{ /* Cfa/box.scm 106 */
bool_t BgL_test4559z00_3355;
BgL_test4559z00_3355 = 
BGl_iszd2azf3z21zz__objectz00(BgL_boxz00_3349, BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00); 
if(BgL_test4559z00_3355)
{ /* Cfa/box.scm 106 */
{ /* Cfa/box.scm 107 */
obj_t BgL_arg4562z00_3358;
BgL_arg4562z00_3358 = 
BGl_shapez00zztools_shapez00(BgL_nodez00_4741); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4685z00zzcfa_boxz00, BGl_string4686z00zzcfa_boxz00, BgL_arg4562z00_3358);} }  else 
{ /* Cfa/box.scm 106 */
return BFALSE;} } } } } } 
}



/* cfa!-make-box/O-Cinfo4327 */
obj_t BGl_cfaz12zd2makezd2boxzf2Ozd2Cinfo4327z32zzcfa_boxz00(obj_t BgL_envz00_4744, obj_t BgL_nodez00_4745)
{ AN_OBJECT;
{ /* Cfa/box.scm 87 */
{ 
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_nodez00_3334;
{ /* Cfa/box.scm 88 */
BgL_approxz00_bglt BgL_auxz00_4923;
BgL_nodez00_3334 = 
(BgL_makezd2boxzf2ozd2cinfozf2_bglt)(BgL_nodez00_4745); 
{ /* Cfa/box.scm 90 */
BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3338;
{ /* Cfa/box.scm 90 */
BgL_nodez00_bglt BgL_auxz00_4924;
{ /* Cfa/box.scm 90 */
BgL_makezd2boxzd2_bglt BgL_obj3502z00_4704;
BgL_obj3502z00_4704 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3334); 
BgL_auxz00_4924 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3502z00_4704))->BgL_valuez00); } 
BgL_initzd2valuezd2approxz00_3338 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4924); } 
{ /* Cfa/box.scm 91 */
BgL_approxz00_bglt BgL_auxz00_4928;
{ 
obj_t BgL_auxz00_4929;
{ /* Cfa/box.scm 91 */
BgL_objectz00_bglt BgL_auxz00_4930;
BgL_auxz00_4930 = 
(BgL_objectz00_bglt)(BgL_nodez00_3334); 
BgL_auxz00_4929 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4930); } 
BgL_auxz00_4928 = 
(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4929))->BgL_valuezd2approxzd2); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_4928, BgL_initzd2valuezd2approxz00_3338); } 
{ 
obj_t BgL_auxz00_4935;
{ /* Cfa/box.scm 92 */
BgL_objectz00_bglt BgL_auxz00_4936;
BgL_auxz00_4936 = 
(BgL_objectz00_bglt)(BgL_nodez00_3334); 
BgL_auxz00_4935 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4936); } 
BgL_auxz00_4923 = 
(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_4935))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_4923);} } } 
}



/* node-setup!-box-ref4325 */
obj_t BGl_nodezd2setupz12zd2boxzd2ref4325zc0zzcfa_boxz00(obj_t BgL_envz00_4746, obj_t BgL_nodez00_4747)
{ AN_OBJECT;
{ /* Cfa/box.scm 73 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_3317;
BgL_nodez00_3317 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4747); 
{ /* Cfa/box.scm 75 */
BgL_nodez00_bglt BgL_auxz00_4942;
{ /* Cfa/box.scm 75 */
BgL_varz00_bglt BgL_auxz00_4943;
BgL_auxz00_4943 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_3317))->BgL_varz00); 
BgL_auxz00_4942 = 
(BgL_nodez00_bglt)(BgL_auxz00_4943); } 
BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_auxz00_4942); } 
{ /* Cfa/box.scm 76 */
bool_t BgL_test4542z00_3322;
{ /* Cfa/box.scm 76 */
long BgL_n1z00_4681;
BgL_n1z00_4681 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4542z00_3322 = 
(BgL_n1z00_4681>=((long)1)); } 
if(BgL_test4542z00_3322)
{ /* Cfa/box.scm 77 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_obj4304z00_3323;
BgL_obj4304z00_3323 = 
((BgL_boxzd2refzf2ozd2cinfozf2_bglt)BgL_nodez00_3317); 
{ /* Cfa/box.scm 78 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_arg4543z00_3324;
{ /* Cfa/box.scm 78 */
BgL_approxz00_bglt BgL_arg4544z00_3325;
BgL_arg4544z00_3325 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/box.scm 77 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_res4668z00_4689;
{ /* Cfa/box.scm 77 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_new3591z00_4684;
BgL_new3591z00_4684 = 
((BgL_boxzd2refzf2ozd2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_boxzd2refzf2ozd2cinfozf2_bgl)))); 
{ /* Cfa/box.scm 77 */
BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_res4667z00_4688;
((((BgL_boxzd2refzf2ozd2cinfozf2_bglt)CREF(BgL_new3591z00_4684))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4544z00_3325), BUNSPEC); 
BgL_res4667z00_4688 = BgL_new3591z00_4684; BgL_res4667z00_4688; } 
BgL_res4668z00_4689 = BgL_new3591z00_4684; } 
BgL_arg4543z00_3324 = BgL_res4668z00_4689; } } 
{ /* Cfa/box.scm 77 */
obj_t BgL_auxz00_4957;BgL_objectz00_bglt BgL_auxz00_4955;
BgL_auxz00_4957 = 
(obj_t)(BgL_arg4543z00_3324); 
BgL_auxz00_4955 = 
(BgL_objectz00_bglt)(BgL_obj4304z00_3323); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4955, BgL_auxz00_4957); } } 
{ /* Cfa/box.scm 77 */
long BgL_arg4545z00_3326;
BgL_arg4545z00_3326 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/box.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4961;
BgL_auxz00_4961 = 
(BgL_objectz00_bglt)(BgL_obj4304z00_3323); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4961, BgL_arg4545z00_3326); } } 
{ /* Cfa/box.scm 77 */
obj_t BgL_auxz00_4964;
BgL_auxz00_4964 = 
(obj_t)(BgL_obj4304z00_3323); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4964); } BUNSPEC; 
return 
(obj_t)(BgL_obj4304z00_3323);}  else 
{ /* Cfa/box.scm 76 */
{ /* Cfa/box.scm 80 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_obj4306z00_3327;
BgL_obj4306z00_3327 = 
((BgL_boxzd2refzf2cinfoz20_bglt)BgL_nodez00_3317); 
{ /* Cfa/box.scm 81 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_arg4546z00_3328;
{ /* Cfa/box.scm 81 */
BgL_approxz00_bglt BgL_arg4547z00_3329;
BgL_arg4547z00_3329 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/box.scm 80 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_res4670z00_4699;
{ /* Cfa/box.scm 80 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_new3533z00_4694;
BgL_new3533z00_4694 = 
((BgL_boxzd2refzf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_boxzd2refzf2cinfoz20_bgl)))); 
{ /* Cfa/box.scm 80 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_res4669z00_4698;
((((BgL_boxzd2refzf2cinfoz20_bglt)CREF(BgL_new3533z00_4694))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4547z00_3329), BUNSPEC); 
BgL_res4669z00_4698 = BgL_new3533z00_4694; BgL_res4669z00_4698; } 
BgL_res4670z00_4699 = BgL_new3533z00_4694; } 
BgL_arg4546z00_3328 = BgL_res4670z00_4699; } } 
{ /* Cfa/box.scm 80 */
obj_t BgL_auxz00_4975;BgL_objectz00_bglt BgL_auxz00_4973;
BgL_auxz00_4975 = 
(obj_t)(BgL_arg4546z00_3328); 
BgL_auxz00_4973 = 
(BgL_objectz00_bglt)(BgL_obj4306z00_3327); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4973, BgL_auxz00_4975); } } 
{ /* Cfa/box.scm 80 */
long BgL_arg4548z00_3330;
BgL_arg4548z00_3330 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00); 
{ /* Cfa/box.scm 80 */
BgL_objectz00_bglt BgL_auxz00_4979;
BgL_auxz00_4979 = 
(BgL_objectz00_bglt)(BgL_obj4306z00_3327); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4979, BgL_arg4548z00_3330); } } 
{ /* Cfa/box.scm 80 */
obj_t BgL_auxz00_4982;
BgL_auxz00_4982 = 
(obj_t)(BgL_obj4306z00_3327); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4982); } BUNSPEC; BgL_obj4306z00_3327; } 
{ /* Cfa/box.scm 82 */
BgL_approxz00_bglt BgL_auxz00_4985;
{ /* Cfa/box.scm 82 */
BgL_boxzd2refzf2cinfoz20_bglt BgL_obj3549z00_4703;
BgL_obj3549z00_4703 = 
(BgL_boxzd2refzf2cinfoz20_bglt)(BgL_nodez00_3317); 
{ 
obj_t BgL_auxz00_4987;
{ /* Cfa/box.scm 82 */
BgL_objectz00_bglt BgL_auxz00_4988;
BgL_auxz00_4988 = 
(BgL_objectz00_bglt)(BgL_obj3549z00_4703); 
BgL_auxz00_4987 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4988); } 
BgL_auxz00_4985 = 
(((BgL_boxzd2refzf2cinfoz20_bglt)CREF(BgL_auxz00_4987))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_4985);} } } } } 
}



/* node-setup!-box-set!4323 */
obj_t BGl_nodezd2setupz12zd2boxzd2setz124323zd2zzcfa_boxz00(obj_t BgL_envz00_4748, obj_t BgL_nodez00_4749)
{ AN_OBJECT;
{ /* Cfa/box.scm 60 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_3300;
BgL_nodez00_3300 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4749); 
{ /* Cfa/box.scm 62 */
BgL_nodez00_bglt BgL_auxz00_4994;
{ /* Cfa/box.scm 62 */
BgL_varz00_bglt BgL_auxz00_4995;
BgL_auxz00_4995 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_3300))->BgL_varz00); 
BgL_auxz00_4994 = 
(BgL_nodez00_bglt)(BgL_auxz00_4995); } 
BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_auxz00_4994); } 
BGl_nodezd2setupz12zc0zzcfa_setupz00(
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_3300))->BgL_valuez00)); 
{ /* Cfa/box.scm 64 */
bool_t BgL_test4533z00_3306;
{ /* Cfa/box.scm 64 */
long BgL_n1z00_4658;
BgL_n1z00_4658 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4533z00_3306 = 
(BgL_n1z00_4658>=((long)1)); } 
if(BgL_test4533z00_3306)
{ /* Cfa/box.scm 65 */
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_obj4300z00_3307;
BgL_obj4300z00_3307 = 
((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)BgL_nodez00_3300); 
{ /* Cfa/box.scm 66 */
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_arg4534z00_3308;
{ /* Cfa/box.scm 66 */
BgL_approxz00_bglt BgL_arg4535z00_3309;
BgL_arg4535z00_3309 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* Cfa/box.scm 65 */
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_res4664z00_4666;
{ /* Cfa/box.scm 65 */
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_new3564z00_4661;
BgL_new3564z00_4661 = 
((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl)))); 
{ /* Cfa/box.scm 65 */
BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_res4663z00_4665;
((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)CREF(BgL_new3564z00_4661))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4535z00_3309), BUNSPEC); 
BgL_res4663z00_4665 = BgL_new3564z00_4661; BgL_res4663z00_4665; } 
BgL_res4664z00_4666 = BgL_new3564z00_4661; } 
BgL_arg4534z00_3308 = BgL_res4664z00_4666; } } 
{ /* Cfa/box.scm 65 */
obj_t BgL_auxz00_5011;BgL_objectz00_bglt BgL_auxz00_5009;
BgL_auxz00_5011 = 
(obj_t)(BgL_arg4534z00_3308); 
BgL_auxz00_5009 = 
(BgL_objectz00_bglt)(BgL_obj4300z00_3307); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5009, BgL_auxz00_5011); } } 
{ /* Cfa/box.scm 65 */
long BgL_arg4536z00_3310;
BgL_arg4536z00_3310 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00); 
{ /* Cfa/box.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5015;
BgL_auxz00_5015 = 
(BgL_objectz00_bglt)(BgL_obj4300z00_3307); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5015, BgL_arg4536z00_3310); } } 
{ /* Cfa/box.scm 65 */
obj_t BgL_auxz00_5018;
BgL_auxz00_5018 = 
(obj_t)(BgL_obj4300z00_3307); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5018); } BUNSPEC; 
return 
(obj_t)(BgL_obj4300z00_3307);}  else 
{ /* Cfa/box.scm 67 */
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_obj4301z00_3311;
BgL_obj4301z00_3311 = 
((BgL_boxzd2setz12zf2cinfoz32_bglt)BgL_nodez00_3300); 
{ /* Cfa/box.scm 68 */
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_arg4537z00_3312;
{ /* Cfa/box.scm 68 */
BgL_approxz00_bglt BgL_arg4538z00_3313;
BgL_arg4538z00_3313 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* Cfa/box.scm 67 */
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_res4666z00_4676;
{ /* Cfa/box.scm 67 */
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_new3506z00_4671;
BgL_new3506z00_4671 = 
((BgL_boxzd2setz12zf2cinfoz32_bglt)BREF( GC_MALLOC (sizeof(struct BgL_boxzd2setz12zf2cinfoz32_bgl)))); 
{ /* Cfa/box.scm 67 */
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_res4665z00_4675;
((((BgL_boxzd2setz12zf2cinfoz32_bglt)CREF(BgL_new3506z00_4671))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4538z00_3313), BUNSPEC); 
BgL_res4665z00_4675 = BgL_new3506z00_4671; BgL_res4665z00_4675; } 
BgL_res4666z00_4676 = BgL_new3506z00_4671; } 
BgL_arg4537z00_3312 = BgL_res4666z00_4676; } } 
{ /* Cfa/box.scm 67 */
obj_t BgL_auxz00_5029;BgL_objectz00_bglt BgL_auxz00_5027;
BgL_auxz00_5029 = 
(obj_t)(BgL_arg4537z00_3312); 
BgL_auxz00_5027 = 
(BgL_objectz00_bglt)(BgL_obj4301z00_3311); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5027, BgL_auxz00_5029); } } 
{ /* Cfa/box.scm 67 */
long BgL_arg4539z00_3314;
BgL_arg4539z00_3314 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00); 
{ /* Cfa/box.scm 67 */
BgL_objectz00_bglt BgL_auxz00_5033;
BgL_auxz00_5033 = 
(BgL_objectz00_bglt)(BgL_obj4301z00_3311); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5033, BgL_arg4539z00_3314); } } 
{ /* Cfa/box.scm 67 */
obj_t BgL_auxz00_5036;
BgL_auxz00_5036 = 
(obj_t)(BgL_obj4301z00_3311); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5036); } BUNSPEC; 
return 
(obj_t)(BgL_obj4301z00_3311);} } } } 
}



/* node-setup!-pre-make-box4321 */
obj_t BGl_nodezd2setupz12zd2prezd2makezd2box4321z12zzcfa_boxz00(obj_t BgL_envz00_4750, obj_t BgL_nodez00_4751)
{ AN_OBJECT;
{ /* Cfa/box.scm 46 */
{ 
BgL_prezd2makezd2boxz00_bglt BgL_nodez00_3281;
BgL_nodez00_3281 = 
(BgL_prezd2makezd2boxz00_bglt)(BgL_nodez00_4751); 
{ /* Cfa/box.scm 48 */
BgL_nodez00_bglt BgL_auxz00_5041;
{ /* Cfa/box.scm 48 */
BgL_makezd2boxzd2_bglt BgL_obj3433z00_4630;
BgL_obj3433z00_4630 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3281); 
BgL_auxz00_5041 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3433z00_4630))->BgL_valuez00); } 
BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_auxz00_5041); } 
{ /* Cfa/box.scm 49 */
BgL_prezd2makezd2boxz00_bglt BgL_nodez00_3286;
{ /* Cfa/box.scm 49 */
long BgL_arg4527z00_3295;
{ /* Cfa/box.scm 49 */
obj_t BgL_arg4528z00_3296;
{ /* Cfa/box.scm 49 */
obj_t BgL_arg4529z00_3297;
{ /* Cfa/box.scm 49 */
long BgL_arg1224z00_4632;
{ /* Cfa/box.scm 49 */
long BgL_arg1225z00_4633;
{ /* Cfa/box.scm 49 */
BgL_objectz00_bglt BgL_auxz00_5045;
BgL_auxz00_5045 = 
(BgL_objectz00_bglt)(BgL_nodez00_3281); 
BgL_arg1225z00_4633 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5045); } 
BgL_arg1224z00_4632 = 
(BgL_arg1225z00_4633-OBJECT_TYPE); } 
{ /* Cfa/box.scm 49 */
obj_t BgL_vectorz00_4637;int BgL_kz00_4638;
BgL_vectorz00_4637 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4638 = 
(int)(BgL_arg1224z00_4632); 
BgL_arg4529z00_3297 = 
VECTOR_REF(BgL_vectorz00_4637,BgL_kz00_4638); } } 
BgL_arg4528z00_3296 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4529z00_3297); } 
BgL_arg4527z00_3295 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4528z00_3296); } 
{ /* Cfa/box.scm 49 */
BgL_objectz00_bglt BgL_auxz00_5053;
BgL_auxz00_5053 = 
(BgL_objectz00_bglt)(BgL_nodez00_3281); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5053, BgL_arg4527z00_3295); } } 
{ /* Cfa/box.scm 49 */
BgL_objectz00_bglt BgL_auxz00_5056;
BgL_auxz00_5056 = 
(BgL_objectz00_bglt)(BgL_nodez00_3281); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5056, BFALSE); } 
BgL_nodez00_3286 = BgL_nodez00_3281; 
{ /* Cfa/box.scm 49 */

{ /* Cfa/box.scm 50 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_nodez00_3287;
{ /* Cfa/box.scm 50 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_obj4297z00_3289;
BgL_obj4297z00_3289 = 
((BgL_makezd2boxzf2ozd2cinfozf2_bglt)BgL_nodez00_3286); 
{ /* Cfa/box.scm 51 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_arg4523z00_3290;
{ /* Cfa/box.scm 51 */
BgL_approxz00_bglt BgL_arg4524z00_3291;BgL_approxz00_bglt BgL_arg4525z00_3292;
BgL_arg4524z00_3291 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
BgL_arg4525z00_3292 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
{ /* Cfa/box.scm 50 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_res4662z00_4650;
{ /* Cfa/box.scm 50 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_new3469z00_4643;
BgL_new3469z00_4643 = 
((BgL_makezd2boxzf2ozd2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_makezd2boxzf2ozd2cinfozf2_bgl)))); 
{ /* Cfa/box.scm 50 */
BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_res4661z00_4649;
((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_new3469z00_4643))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4524z00_3291), BUNSPEC); 
((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_new3469z00_4643))->BgL_valuezd2approxzd2) = ((BgL_approxz00_bglt)BgL_arg4525z00_3292), BUNSPEC); 
BgL_res4661z00_4649 = BgL_new3469z00_4643; BgL_res4661z00_4649; } 
BgL_res4662z00_4650 = BgL_new3469z00_4643; } 
BgL_arg4523z00_3290 = BgL_res4662z00_4650; } } 
{ /* Cfa/box.scm 50 */
obj_t BgL_auxz00_5068;BgL_objectz00_bglt BgL_auxz00_5066;
BgL_auxz00_5068 = 
(obj_t)(BgL_arg4523z00_3290); 
BgL_auxz00_5066 = 
(BgL_objectz00_bglt)(BgL_obj4297z00_3289); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5066, BgL_auxz00_5068); } } 
{ /* Cfa/box.scm 50 */
long BgL_arg4526z00_3293;
BgL_arg4526z00_3293 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/box.scm 50 */
BgL_objectz00_bglt BgL_auxz00_5072;
BgL_auxz00_5072 = 
(BgL_objectz00_bglt)(BgL_obj4297z00_3289); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5072, BgL_arg4526z00_3293); } } 
{ /* Cfa/box.scm 50 */
obj_t BgL_auxz00_5075;
BgL_auxz00_5075 = 
(obj_t)(BgL_obj4297z00_3289); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5075); } BUNSPEC; 
BgL_nodez00_3287 = BgL_obj4297z00_3289; } 
{ /* Cfa/box.scm 55 */
BgL_approxz00_bglt BgL_arg4522z00_3288;
BgL_arg4522z00_3288 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_nodez00_bglt)(BgL_nodez00_3287)); 
{ 
obj_t BgL_auxz00_5081;
{ /* Cfa/box.scm 53 */
BgL_objectz00_bglt BgL_auxz00_5082;
BgL_auxz00_5082 = 
(BgL_objectz00_bglt)(BgL_nodez00_3287); 
BgL_auxz00_5081 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5082); } 
return 
((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)CREF(BgL_auxz00_5081))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4522z00_3288), BUNSPEC);} } } } } } } 
}



/* node-setup!-make-box4318 */
obj_t BGl_nodezd2setupz12zd2makezd2box4318zc0zzcfa_boxz00(obj_t BgL_envz00_4752, obj_t BgL_nodez00_4753)
{ AN_OBJECT;
{ /* Cfa/box.scm 36 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_3269;
BgL_nodez00_3269 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4753); 
BGl_nodezd2setupz12zc0zzcfa_setupz00(
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_3269))->BgL_valuez00)); 
{ /* Cfa/box.scm 39 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_obj4293z00_3274;
BgL_obj4293z00_3274 = 
((BgL_makezd2boxzf2cinfoz20_bglt)BgL_nodez00_3269); 
{ /* Cfa/box.scm 40 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_arg4516z00_3275;
{ /* Cfa/box.scm 40 */
BgL_approxz00_bglt BgL_arg4517z00_3276;
BgL_arg4517z00_3276 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/box.scm 39 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_res4660z00_4625;
{ /* Cfa/box.scm 39 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_new3437z00_4620;
BgL_new3437z00_4620 = 
((BgL_makezd2boxzf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_makezd2boxzf2cinfoz20_bgl)))); 
{ /* Cfa/box.scm 39 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_res4659z00_4624;
((((BgL_makezd2boxzf2cinfoz20_bglt)CREF(BgL_new3437z00_4620))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4517z00_3276), BUNSPEC); 
BgL_res4659z00_4624 = BgL_new3437z00_4620; BgL_res4659z00_4624; } 
BgL_res4660z00_4625 = BgL_new3437z00_4620; } 
BgL_arg4516z00_3275 = BgL_res4660z00_4625; } } 
{ /* Cfa/box.scm 39 */
obj_t BgL_auxz00_5096;BgL_objectz00_bglt BgL_auxz00_5094;
BgL_auxz00_5096 = 
(obj_t)(BgL_arg4516z00_3275); 
BgL_auxz00_5094 = 
(BgL_objectz00_bglt)(BgL_obj4293z00_3274); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5094, BgL_auxz00_5096); } } 
{ /* Cfa/box.scm 39 */
long BgL_arg4518z00_3277;
BgL_arg4518z00_3277 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00); 
{ /* Cfa/box.scm 39 */
BgL_objectz00_bglt BgL_auxz00_5100;
BgL_auxz00_5100 = 
(BgL_objectz00_bglt)(BgL_obj4293z00_3274); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5100, BgL_arg4518z00_3277); } } 
{ /* Cfa/box.scm 39 */
obj_t BgL_auxz00_5103;
BgL_auxz00_5103 = 
(obj_t)(BgL_obj4293z00_3274); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5103); } BUNSPEC; BgL_obj4293z00_3274; } 
{ /* Cfa/box.scm 41 */
BgL_approxz00_bglt BgL_auxz00_5106;
{ /* Cfa/box.scm 41 */
BgL_makezd2boxzf2cinfoz20_bglt BgL_obj3453z00_4629;
BgL_obj3453z00_4629 = 
(BgL_makezd2boxzf2cinfoz20_bglt)(BgL_nodez00_3269); 
{ 
obj_t BgL_auxz00_5108;
{ /* Cfa/box.scm 41 */
BgL_objectz00_bglt BgL_auxz00_5109;
BgL_auxz00_5109 = 
(BgL_objectz00_bglt)(BgL_obj3453z00_4629); 
BgL_auxz00_5108 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5109); } 
BgL_auxz00_5106 = 
(((BgL_makezd2boxzf2cinfoz20_bglt)CREF(BgL_auxz00_5108))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_5106);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00()
{ AN_OBJECT;
{ /* Cfa/box.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_box"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_box"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_box"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_box"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47789), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_box"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_box"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)39060), "cfa_box");} 
}

