/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
static obj_t BGl__addzd2procedurezd2refz124761z12zzcfa_closurez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__addzd2funcallz124759zc0zzcfa_closurez00(obj_t, obj_t);
static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_scnstz00zzast_varz00;
static obj_t BGl__closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
static obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
extern obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
extern obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00();
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl__addzd2makezd2procedurez124760z12zzcfa_closurez00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_zc3anonymousza34352ze3z83zzcfa_closurez00(obj_t, obj_t);
static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza34357ze3z83zzcfa_closurez00(obj_t, obj_t);
static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_stopzd2cachezd2zzcfa_closurez00();
extern obj_t BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
static obj_t BGl_startzd2cachezd2zzcfa_closurez00();
extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
static obj_t __cnst[ 21 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00, BgL_bgl__closureza7d2optimiza7a7ationza7f3za786za7za7cfa_closureza7004773za7, BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00, BgL_bgl__addza7d2procedureza7d2refza7124761za712za7za7cfa_closureza7004774za7, BGl__addzd2procedurezd2refz124761z12zzcfa_closurez00, 0L, 1 );
DEFINE_STRING( BGl_string4768z00zzcfa_closurez00, BgL_bgl_string4768za700za7za7cfa_closureza7004775z00, "make-l-procedure make-el-procedure-1 make-el-procedure procedure-1-el-set! procedure-1-el-ref procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X light elight nothing-to-do selfun sefun done ok ", 251 );
DEFINE_STRING( BGl_string4767z00zzcfa_closurez00, BgL_bgl_string4767za700za7za7cfa_closureza7004776z00, "        ", 8 );
DEFINE_STRING( BGl_string4766z00zzcfa_closurez00, BgL_bgl_string4766za700za7za7cfa_closureza7004777z00, "     ", 5 );
DEFINE_STRING( BGl_string4765z00zzcfa_closurez00, BgL_bgl_string4765za700za7za7cfa_closureza7004778z00, ": ", 2 );
DEFINE_STRING( BGl_string4762z00zzcfa_closurez00, BgL_bgl_string4762za700za7za7cfa_closureza7004779z00, "   . Light closures", 19 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2funcallz12zd2envz12zzcfa_closurez00, BgL_bgl__addza7d2funcallza7124759za7c0za7za7cfa_closureza7004780z00, BGl__addzd2funcallz124759zc0zzcfa_closurez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00, BgL_bgl__closureza7d2optimiza7a7ationza712za767za7za7cfa_closureza7004781za7, BGl__closurezd2optimiza7ationz12z67zzcfa_closurez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4763z00zzcfa_closurez00, BgL_bgl_za7c3anonymousza7a34352za7e3za783za7za7cfa_closureza7004782za7, BGl_zc3anonymousza34352ze3z83zzcfa_closurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4764z00zzcfa_closurez00, BgL_bgl_za7c3anonymousza7a34357za7e3za783za7za7cfa_closureza7004783za7, BGl_zc3anonymousza34357ze3z83zzcfa_closurez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00, BgL_bgl__addza7d2makeza7d2procedureza7124760za712za7za7cfa_closureza7004784za7, BGl__addzd2makezd2procedurez124760z12zzcfa_closurez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long BgL_checksumz00_5033, char * BgL_fromz00_5034)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_closurez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_closurez00(); 
BGl_cnstzd2initzd2zzcfa_closurez00(); 
BGl_importedzd2moduleszd2initz00zzcfa_closurez00(); 
BGl_toplevelzd2initzd2zzcfa_closurez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 25 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 25 */
{ /* Cfa/closure.scm 25 */
obj_t BgL_cportz00_5026;
BgL_cportz00_5026 = 
open_input_string(BGl_string4768z00zzcfa_closurez00); 
{ 
long BgL_iz00_5027;
BgL_iz00_5027 = ((long)20); 
BgL_loopz00_5028:
if(
(BgL_iz00_5027==((long)-1)))
{ /* Cfa/closure.scm 25 */
return BUNSPEC;}  else 
{ /* Cfa/closure.scm 25 */
{ /* Cfa/closure.scm 25 */
obj_t BgL_arg4770z00_5030;
{ /* Cfa/closure.scm 25 */
obj_t BgL_list4771z00_5031;
BgL_list4771z00_5031 = 
MAKE_PAIR(BgL_cportz00_5026, BNIL); 
BgL_arg4770z00_5030 = 
BGl_readz00zz__readerz00(BgL_list4771z00_5031); } 
{ /* Cfa/closure.scm 25 */
int BgL_auxz00_5049;
BgL_auxz00_5049 = 
(int)(BgL_iz00_5027); 
CNST_TABLE_SET(BgL_auxz00_5049, BgL_arg4770z00_5030); } } 
{ 
long BgL_iz00_5052;
{ /* Cfa/closure.scm 25 */
int BgL_auxz00_5053;
{ /* Cfa/closure.scm 25 */
long BgL_auxz00_5054;
BgL_auxz00_5054 = 
(BgL_iz00_5027-((long)1)); 
BgL_auxz00_5053 = 
(int)(BgL_auxz00_5054); } 
BgL_iz00_5052 = 
(long)(BgL_auxz00_5053); } 
BgL_iz00_5027 = BgL_iz00_5052; 
goto BgL_loopz00_5028;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 25 */
BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL; 
BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL; 
BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL; 
BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE; 
BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE; 
return ( 
BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BFALSE, BUNSPEC) ;} 
}



/* closure-optimization? */
obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 49 */
{ /* Cfa/closure.scm 50 */
long BgL_n1z00_3522;
BgL_n1z00_3522 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
{ /* Cfa/closure.scm 50 */
bool_t BgL_auxz00_5059;
BgL_auxz00_5059 = 
(BgL_n1z00_3522>=((long)2)); 
return 
BBOOL(BgL_auxz00_5059);} } } 
}



/* _closure-optimization? */
obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t BgL_envz00_5012)
{ AN_OBJECT;
{ /* Cfa/closure.scm 49 */
return 
BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();} 
}



/* closure-optimization! */
obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 55 */
{ /* Cfa/closure.scm 56 */
bool_t BgL_test4331z00_2507;
{ /* Cfa/closure.scm 56 */
long BgL_n1z00_3524;
BgL_n1z00_3524 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4331z00_2507 = 
(BgL_n1z00_3524>=((long)2)); } 
if(BgL_test4331z00_2507)
{ /* Cfa/closure.scm 56 */
{ /* Cfa/closure.scm 58 */
obj_t BgL_list4332z00_2508;
{ /* Cfa/closure.scm 58 */
obj_t BgL_arg4334z00_2510;
{ /* Cfa/closure.scm 58 */
obj_t BgL_auxz00_5066;
BgL_auxz00_5066 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg4334z00_2510 = 
MAKE_PAIR(BgL_auxz00_5066, BNIL); } 
BgL_list4332z00_2508 = 
MAKE_PAIR(BGl_string4762z00zzcfa_closurez00, BgL_arg4334z00_2510); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list4332z00_2508); } 
BGl_startzd2cachezd2zzcfa_closurez00(); 
{ 
obj_t BgL_l4291z00_2511;
BgL_l4291z00_2511 = BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00; 
BgL_lname4292z00_2512:
if(
PAIRP(BgL_l4291z00_2511))
{ /* Cfa/closure.scm 67 */
{ /* Cfa/closure.scm 69 */
obj_t BgL_appz00_2514;
BgL_appz00_2514 = 
CAR(BgL_l4291z00_2511); 
{ /* Cfa/closure.scm 70 */
BgL_variablez00_bglt BgL_funz00_2516;bool_t BgL_lostzf3zf3_2517;obj_t BgL_siza7eza7_2518;
{ /* Cfa/closure.scm 70 */
BgL_varz00_bglt BgL_obj1619z00_3530;
{ /* Cfa/closure.scm 70 */
obj_t BgL_auxz00_5076;
{ /* Cfa/closure.scm 70 */
obj_t BgL_auxz00_5077;
{ /* Cfa/closure.scm 70 */
BgL_appz00_bglt BgL_obj3885z00_3528;
BgL_obj3885z00_3528 = 
(BgL_appz00_bglt)(BgL_appz00_2514); 
BgL_auxz00_5077 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3528))->BgL_argsz00); } 
BgL_auxz00_5076 = 
CAR(BgL_auxz00_5077); } 
BgL_obj1619z00_3530 = 
(BgL_varz00_bglt)(BgL_auxz00_5076); } 
BgL_funz00_2516 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3530))->BgL_variablez00); } 
{ /* Cfa/closure.scm 71 */
long BgL_auxz00_5083;
{ /* Cfa/closure.scm 71 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3855z00_3531;
BgL_obj3855z00_3531 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2514); 
{ 
obj_t BgL_auxz00_5085;
{ /* Cfa/closure.scm 71 */
BgL_objectz00_bglt BgL_auxz00_5086;
BgL_auxz00_5086 = 
(BgL_objectz00_bglt)(BgL_obj3855z00_3531); 
BgL_auxz00_5085 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5086); } 
BgL_auxz00_5083 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5085))->BgL_lostzd2stampzd2); } } 
BgL_lostzf3zf3_2517 = 
(BgL_auxz00_5083>((long)-1)); } 
{ /* Cfa/closure.scm 72 */
BgL_nodez00_bglt BgL_auxz00_5091;
{ /* Cfa/closure.scm 72 */
obj_t BgL_auxz00_5092;
{ /* Cfa/closure.scm 72 */
obj_t BgL_auxz00_5093;
{ /* Cfa/closure.scm 72 */
obj_t BgL_auxz00_5094;
{ /* Cfa/closure.scm 72 */
obj_t BgL_auxz00_5095;
{ /* Cfa/closure.scm 72 */
BgL_appz00_bglt BgL_obj3885z00_3534;
BgL_obj3885z00_3534 = 
(BgL_appz00_bglt)(BgL_appz00_2514); 
BgL_auxz00_5095 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3534))->BgL_argsz00); } 
BgL_auxz00_5094 = 
CDR(BgL_auxz00_5095); } 
BgL_auxz00_5093 = 
CDR(BgL_auxz00_5094); } 
BgL_auxz00_5092 = 
CAR(BgL_auxz00_5093); } 
BgL_auxz00_5091 = 
(BgL_nodez00_bglt)(BgL_auxz00_5092); } 
BgL_siza7eza7_2518 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5091); } 
{ /* Cfa/closure.scm 74 */
bool_t BgL_testz00_5103;
if(BgL_lostzf3zf3_2517)
{ /* Cfa/closure.scm 74 */
BgL_testz00_5103 = ((bool_t)1)
; }  else 
{ /* Cfa/closure.scm 75 */
bool_t BgL_testz00_5105;
{ /* Cfa/closure.scm 75 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3858z00_3541;
BgL_obj3858z00_3541 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2514); 
{ 
obj_t BgL_auxz00_5107;
{ /* Cfa/closure.scm 75 */
BgL_objectz00_bglt BgL_auxz00_5108;
BgL_auxz00_5108 = 
(BgL_objectz00_bglt)(BgL_obj3858z00_3541); 
BgL_auxz00_5107 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5108); } 
BgL_testz00_5105 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5107))->BgL_xzd2tzf3z21); } } 
if(BgL_testz00_5105)
{ /* Cfa/closure.scm 76 */
bool_t BgL_testz00_5112;
{ /* Cfa/closure.scm 76 */
long BgL_auxz00_5113;
{ /* Cfa/closure.scm 76 */
BgL_sfunz00_bglt BgL_obj1350z00_3543;
{ /* Cfa/closure.scm 76 */
BgL_valuez00_bglt BgL_auxz00_5114;
{ /* Cfa/closure.scm 76 */
BgL_globalz00_bglt BgL_obj1155z00_3542;
BgL_obj1155z00_3542 = 
(BgL_globalz00_bglt)(BgL_funz00_2516); 
BgL_auxz00_5114 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3542))->BgL_valuez00); } 
BgL_obj1350z00_3543 = 
(BgL_sfunz00_bglt)(BgL_auxz00_5114); } 
BgL_auxz00_5113 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1350z00_3543))->BgL_arityz00); } 
BgL_testz00_5112 = 
(BgL_auxz00_5113<((long)0)); } 
if(BgL_testz00_5112)
{ /* Cfa/closure.scm 76 */
BgL_testz00_5103 = ((bool_t)1)
; }  else 
{ /* Cfa/closure.scm 76 */
if(
INTEGERP(BgL_siza7eza7_2518))
{ /* Cfa/closure.scm 82 */
long BgL_auxz00_5122;
BgL_auxz00_5122 = 
(long)CINT(BgL_siza7eza7_2518); 
BgL_testz00_5103 = 
(BgL_auxz00_5122==((long)0)); }  else 
{ /* Cfa/closure.scm 77 */
BgL_testz00_5103 = ((bool_t)1)
; } } }  else 
{ /* Cfa/closure.scm 75 */
BgL_testz00_5103 = ((bool_t)1)
; } } 
if(BgL_testz00_5103)
{ /* Cfa/closure.scm 74 */BNIL; }  else 
{ /* Cfa/closure.scm 74 */
{ /* Cfa/closure.scm 85 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3863z00_3549;
BgL_obj3863z00_3549 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2514); 
{ 
obj_t BgL_auxz00_5126;
{ /* Cfa/closure.scm 85 */
BgL_objectz00_bglt BgL_auxz00_5127;
BgL_auxz00_5127 = 
(BgL_objectz00_bglt)(BgL_obj3863z00_3549); 
BgL_auxz00_5126 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5127); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5126))->BgL_xz00) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Cfa/closure.scm 86 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3867z00_3551;
BgL_obj3867z00_3551 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2514); 
{ 
obj_t BgL_auxz00_5132;
{ /* Cfa/closure.scm 86 */
BgL_objectz00_bglt BgL_auxz00_5133;
BgL_auxz00_5133 = 
(BgL_objectz00_bglt)(BgL_obj3867z00_3551); 
BgL_auxz00_5132 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5133); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5132))->BgL_tz00) = ((bool_t)((bool_t)1)), BUNSPEC); } } } } } } 
{ 
obj_t BgL_l4291z00_5137;
BgL_l4291z00_5137 = 
CDR(BgL_l4291z00_2511); 
BgL_l4291z00_2511 = BgL_l4291z00_5137; 
goto BgL_lname4292z00_2512;} }  else 
{ /* Cfa/closure.scm 67 */((bool_t)1); } } 
BGl_Xz12z12zzcfa_closurez00(BGl_za2funcallzd2listza2zd2zzcfa_closurez00); 
BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(BGl_za2funcallzd2listza2zd2zzcfa_closurez00); 
BGl_showzd2Xzd2Tz00zzcfa_closurez00(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00); 
BGl_lightzd2funcallz12zc0zzcfa_closurez00(); 
BGl_lightzd2accessz12zc0zzcfa_closurez00(); 
BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00(); 
return 
BGl_stopzd2cachezd2zzcfa_closurez00();}  else 
{ /* Cfa/closure.scm 56 */
return BFALSE;} } } 
}



/* _closure-optimization! */
obj_t BGl__closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_envz00_5013)
{ AN_OBJECT;
{ /* Cfa/closure.scm 55 */
return 
BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00();} 
}



/* X! */
bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_1)
{ AN_OBJECT;
{ /* Cfa/closure.scm 117 */
{ 
obj_t BgL_l4295z00_2533;
BgL_l4295z00_2533 = BgL_funcallzd2listzd2_1; 
BgL_lname4296z00_2534:
if(
PAIRP(BgL_l4295z00_2533))
{ /* Cfa/closure.scm 119 */
{ /* Cfa/closure.scm 120 */
BgL_funcallz00_bglt BgL_appz00_2536;
{ /* Cfa/closure.scm 120 */
obj_t BgL_auxz00_5149;
BgL_auxz00_5149 = 
CAR(BgL_l4295z00_2533); 
BgL_appz00_2536 = 
(BgL_funcallz00_bglt)(BgL_auxz00_5149); } 
{ /* Cfa/closure.scm 121 */
BgL_approxz00_bglt BgL_approxz00_2538;
BgL_approxz00_2538 = 
BGl_cfaz12z12zzcfa_cfaz00(
(((BgL_funcallz00_bglt)CREF(BgL_appz00_2536))->BgL_funz00)); 
{ /* Cfa/closure.scm 122 */
obj_t BgL_allocz00_2539;
BgL_allocz00_2539 = 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2538))->BgL_allocsz00); 
{ /* Cfa/closure.scm 123 */
BgL_typez00_bglt BgL_typez00_2540;
BgL_typez00_2540 = 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2538))->BgL_typez00); 
{ /* Cfa/closure.scm 125 */

if(
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2538))->BgL_topzf3zf3))
{ /* Cfa/closure.scm 127 */
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_proc4763z00zzcfa_closurez00, BgL_approxz00_2538); }  else 
{ /* Cfa/closure.scm 138 */
bool_t BgL_test4354z00_2547;
{ /* Cfa/closure.scm 138 */
obj_t BgL_arg4362z00_2558;
BgL_arg4362z00_2558 = 
BGl_setzd2lengthzd2zzcfa_setz00(BgL_allocz00_2539); 
{ /* Cfa/closure.scm 138 */
long BgL_auxz00_5160;
BgL_auxz00_5160 = 
(long)CINT(BgL_arg4362z00_2558); 
BgL_test4354z00_2547 = 
(BgL_auxz00_5160==((long)0)); } } 
if(BgL_test4354z00_2547)
{ /* Cfa/closure.scm 138 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Cfa/closure.scm 141 */
bool_t BgL_test4355z00_2548;
{ /* Cfa/closure.scm 141 */
bool_t BgL_test4359z00_2554;
{ /* Cfa/closure.scm 141 */
obj_t BgL_arg4360z00_2556;
BgL_arg4360z00_2556 = 
BGl_setzd2lengthzd2zzcfa_setz00(BgL_allocz00_2539); 
{ /* Cfa/closure.scm 141 */
long BgL_auxz00_5166;
BgL_auxz00_5166 = 
(long)CINT(BgL_arg4360z00_2556); 
BgL_test4359z00_2554 = 
(BgL_auxz00_5166==((long)1)); } } 
if(BgL_test4359z00_2554)
{ /* Cfa/closure.scm 142 */
obj_t BgL__ortest_4297z00_2555;
BgL__ortest_4297z00_2555 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
if(
CBOOL(BgL__ortest_4297z00_2555))
{ /* Cfa/closure.scm 142 */
BgL_test4355z00_2548 = 
CBOOL(BgL__ortest_4297z00_2555); }  else 
{ /* Cfa/closure.scm 142 */
obj_t BgL_auxz00_5173;
BgL_auxz00_5173 = 
(obj_t)(BgL_typez00_2540); 
BgL_test4355z00_2548 = 
(BgL_auxz00_5173==BGl_za2procedureza2z00zztype_cachez00); } }  else 
{ /* Cfa/closure.scm 141 */
BgL_test4355z00_2548 = ((bool_t)0); } } 
if(BgL_test4355z00_2548)
{ /* Cfa/closure.scm 141 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Cfa/closure.scm 141 */
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_proc4764z00zzcfa_closurez00, BgL_approxz00_2538); } } } } } } } } 
{ 
obj_t BgL_l4295z00_5179;
BgL_l4295z00_5179 = 
CDR(BgL_l4295z00_2533); 
BgL_l4295z00_2533 = BgL_l4295z00_5179; 
goto BgL_lname4296z00_2534;} }  else 
{ /* Cfa/closure.scm 119 */
return ((bool_t)1);} } } 
}



/* <anonymous:4352> */
obj_t BGl_zc3anonymousza34352ze3z83zzcfa_closurez00(obj_t BgL_envz00_5016, obj_t BgL_allocz00_5017)
{ AN_OBJECT;
{ /* Cfa/closure.scm 130 */
{ 
obj_t BgL_allocz00_2543;
BgL_allocz00_2543 = BgL_allocz00_5017; 
{ /* Cfa/closure.scm 131 */
bool_t BgL_test4353z00_2545;
BgL_test4353z00_2545 = 
BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_2543, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4353z00_2545)
{ /* Cfa/closure.scm 131 */
{ /* Cfa/closure.scm 135 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3867z00_3561;
BgL_obj3867z00_3561 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2543); 
{ 
obj_t BgL_auxz00_5184;
{ /* Cfa/closure.scm 135 */
BgL_objectz00_bglt BgL_auxz00_5185;
BgL_auxz00_5185 = 
(BgL_objectz00_bglt)(BgL_obj3867z00_3561); 
BgL_auxz00_5184 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5185); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5184))->BgL_tz00) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* Cfa/closure.scm 136 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3863z00_3563;
BgL_obj3863z00_3563 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2543); 
{ 
obj_t BgL_auxz00_5190;
{ /* Cfa/closure.scm 136 */
BgL_objectz00_bglt BgL_auxz00_5191;
BgL_auxz00_5191 = 
(BgL_objectz00_bglt)(BgL_obj3863z00_3563); 
BgL_auxz00_5190 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5191); } 
return 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5190))->BgL_xz00) = ((bool_t)((bool_t)0)), BUNSPEC);} } }  else 
{ /* Cfa/closure.scm 131 */
return BFALSE;} } } } 
}



/* <anonymous:4357> */
obj_t BGl_zc3anonymousza34357ze3z83zzcfa_closurez00(obj_t BgL_envz00_5018, obj_t BgL_allocz00_5019)
{ AN_OBJECT;
{ /* Cfa/closure.scm 149 */
{ 
obj_t BgL_allocz00_2550;
BgL_allocz00_2550 = BgL_allocz00_5019; 
{ /* Cfa/closure.scm 150 */
bool_t BgL_test4358z00_2552;
BgL_test4358z00_2552 = 
BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_2550, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4358z00_2552)
{ /* Cfa/closure.scm 150 */
{ /* Cfa/closure.scm 154 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3863z00_3570;
BgL_obj3863z00_3570 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2550); 
{ 
obj_t BgL_auxz00_5198;
{ /* Cfa/closure.scm 154 */
BgL_objectz00_bglt BgL_auxz00_5199;
BgL_auxz00_5199 = 
(BgL_objectz00_bglt)(BgL_obj3863z00_3570); 
BgL_auxz00_5198 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5199); } 
return 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5198))->BgL_xz00) = ((bool_t)((bool_t)0)), BUNSPEC);} } }  else 
{ /* Cfa/closure.scm 150 */
return BFALSE;} } } } 
}



/* T-fix-point! */
obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_2)
{ AN_OBJECT;
{ /* Cfa/closure.scm 167 */
{ 
bool_t BgL_continuezf3zf3_2561;
BgL_continuezf3zf3_2561 = ((bool_t)1); 
BgL_loopz00_2562:
if(BgL_continuezf3zf3_2561)
{ /* Cfa/closure.scm 172 */
bool_t BgL_continuezf3zf3_2563;
BgL_continuezf3zf3_2563 = ((bool_t)0); 
{ 
obj_t BgL_l4298z00_2564;
BgL_l4298z00_2564 = BgL_funcallzd2listzd2_2; 
BgL_lname4299z00_2565:
if(
PAIRP(BgL_l4298z00_2564))
{ /* Cfa/closure.scm 173 */
{ /* Cfa/closure.scm 176 */
BgL_approxz00_bglt BgL_approxz00_2569;
{ /* Cfa/closure.scm 177 */
BgL_nodez00_bglt BgL_auxz00_5206;
{ /* Cfa/closure.scm 176 */
BgL_funcallz00_bglt BgL_obj1785z00_3575;
{ /* Cfa/closure.scm 176 */
obj_t BgL_auxz00_5207;
BgL_auxz00_5207 = 
CAR(BgL_l4298z00_2564); 
BgL_obj1785z00_3575 = 
(BgL_funcallz00_bglt)(BgL_auxz00_5207); } 
BgL_auxz00_5206 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1785z00_3575))->BgL_funz00); } 
BgL_approxz00_2569 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5206); } 
{ /* Cfa/closure.scm 177 */
obj_t BgL_allocz00_2570;
BgL_allocz00_2570 = 
BGl_setzd2ze3listz31zzcfa_setz00(
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2569))->BgL_allocsz00)); 
{ /* Cfa/closure.scm 179 */
bool_t BgL_tzd2initzf3z21_2572;
{ /* Cfa/closure.scm 180 */
bool_t BgL__ortest_4300z00_2591;
BgL__ortest_4300z00_2591 = 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2569))->BgL_topzf3zf3); 
if(BgL__ortest_4300z00_2591)
{ /* Cfa/closure.scm 180 */
BgL_tzd2initzf3z21_2572 = BgL__ortest_4300z00_2591; }  else 
{ /* Cfa/closure.scm 181 */
bool_t BgL_test4376z00_2592;
{ /* Cfa/closure.scm 181 */
bool_t BgL_test4377z00_2593;
{ /* Cfa/closure.scm 181 */
obj_t BgL_auxz00_5216;
{ /* Cfa/closure.scm 181 */
BgL_typez00_bglt BgL_auxz00_5217;
BgL_auxz00_5217 = 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2569))->BgL_typez00); 
BgL_auxz00_5216 = 
(obj_t)(BgL_auxz00_5217); } 
BgL_test4377z00_2593 = 
(BgL_auxz00_5216==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4377z00_2593)
{ /* Cfa/closure.scm 181 */
BgL_test4376z00_2592 = ((bool_t)1); }  else 
{ /* Cfa/closure.scm 181 */
BgL_test4376z00_2592 = 
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00); } } 
if(BgL_test4376z00_2592)
{ /* Cfa/closure.scm 181 */
BgL_tzd2initzf3z21_2572 = ((bool_t)0); }  else 
{ /* Cfa/closure.scm 181 */
BgL_tzd2initzf3z21_2572 = ((bool_t)1); } } } 
{ /* Cfa/closure.scm 180 */

{ 
bool_t BgL_onezd2nonzd2tzf3zf3_2573;obj_t BgL_allocsz00_2574;
BgL_onezd2nonzd2tzf3zf3_2573 = BgL_tzd2initzf3z21_2572; 
BgL_allocsz00_2574 = BgL_allocz00_2570; 
BgL_loopz00_2575:
if(
NULLP(BgL_allocsz00_2574))
{ /* Cfa/closure.scm 189 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* Cfa/closure.scm 189 */
if(BgL_onezd2nonzd2tzf3zf3_2573)
{ /* Cfa/closure.scm 191 */
{ 
obj_t BgL_l4301z00_2577;
{ /* Cfa/closure.scm 192 */
bool_t BgL_auxz00_5228;
BgL_l4301z00_2577 = BgL_allocz00_2570; 
BgL_lname4302z00_2578:
if(
PAIRP(BgL_l4301z00_2577))
{ /* Cfa/closure.scm 192 */
{ /* Cfa/closure.scm 194 */
obj_t BgL_allocz00_2580;
BgL_allocz00_2580 = 
CAR(BgL_l4301z00_2577); 
{ /* Cfa/closure.scm 194 */
bool_t BgL_test4368z00_2581;
BgL_test4368z00_2581 = 
BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_2580, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4368z00_2581)
{ /* Cfa/closure.scm 196 */
bool_t BgL_testz00_5234;
{ /* Cfa/closure.scm 196 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3583;
BgL_obj3864z00_3583 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2580); 
{ 
obj_t BgL_auxz00_5236;
{ /* Cfa/closure.scm 196 */
BgL_objectz00_bglt BgL_auxz00_5237;
BgL_auxz00_5237 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3583); 
BgL_auxz00_5236 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5237); } 
BgL_testz00_5234 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5236))->BgL_tz00); } } 
if(BgL_testz00_5234)
{ /* Cfa/closure.scm 196 */
{ /* Cfa/closure.scm 198 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3867z00_3584;
BgL_obj3867z00_3584 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2580); 
{ 
obj_t BgL_auxz00_5242;
{ /* Cfa/closure.scm 198 */
BgL_objectz00_bglt BgL_auxz00_5243;
BgL_auxz00_5243 = 
(BgL_objectz00_bglt)(BgL_obj3867z00_3584); 
BgL_auxz00_5242 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5243); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5242))->BgL_tz00) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
BgL_continuezf3zf3_2563 = ((bool_t)1); }  else 
{ /* Cfa/closure.scm 196 */BFALSE; } }  else 
{ /* Cfa/closure.scm 194 */BFALSE; } } } 
{ 
obj_t BgL_l4301z00_5247;
BgL_l4301z00_5247 = 
CDR(BgL_l4301z00_2577); 
BgL_l4301z00_2577 = BgL_l4301z00_5247; 
goto BgL_lname4302z00_2578;} }  else 
{ /* Cfa/closure.scm 192 */
BgL_auxz00_5228 = ((bool_t)1); } 
BBOOL(BgL_auxz00_5228); } } }  else 
{ /* Cfa/closure.scm 201 */
bool_t BgL_test4371z00_2585;
BgL_test4371z00_2585 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_allocsz00_2574), BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4371z00_2585)
{ /* Cfa/closure.scm 201 */
{ /* Cfa/closure.scm 203 */
bool_t BgL_testz00_5253;
{ /* Cfa/closure.scm 203 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3590;
{ /* Cfa/closure.scm 203 */
obj_t BgL_auxz00_5254;
BgL_auxz00_5254 = 
CAR(BgL_allocsz00_2574); 
BgL_obj3864z00_3590 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_auxz00_5254); } 
{ 
obj_t BgL_auxz00_5257;
{ /* Cfa/closure.scm 203 */
BgL_objectz00_bglt BgL_auxz00_5258;
BgL_auxz00_5258 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3590); 
BgL_auxz00_5257 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5258); } 
BgL_testz00_5253 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5257))->BgL_tz00); } } 
if(BgL_testz00_5253)
{ 
obj_t BgL_allocsz00_5262;
BgL_allocsz00_5262 = 
CDR(BgL_allocsz00_2574); 
BgL_allocsz00_2574 = BgL_allocsz00_5262; 
goto BgL_loopz00_2575;}  else 
{ 
bool_t BgL_onezd2nonzd2tzf3zf3_5264;
BgL_onezd2nonzd2tzf3zf3_5264 = ((bool_t)1); 
BgL_onezd2nonzd2tzf3zf3_2573 = BgL_onezd2nonzd2tzf3zf3_5264; 
goto BgL_loopz00_2575;} } }  else 
{ /* Cfa/closure.scm 201 */
if(
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
{ 
obj_t BgL_allocsz00_5267;
BgL_allocsz00_5267 = 
CDR(BgL_allocsz00_2574); 
BgL_allocsz00_2574 = BgL_allocsz00_5267; 
goto BgL_loopz00_2575;}  else 
{ 
bool_t BgL_onezd2nonzd2tzf3zf3_5269;
BgL_onezd2nonzd2tzf3zf3_5269 = ((bool_t)1); 
BgL_onezd2nonzd2tzf3zf3_2573 = BgL_onezd2nonzd2tzf3zf3_5269; 
goto BgL_loopz00_2575;} } } } } } } } } 
{ 
obj_t BgL_l4298z00_5270;
BgL_l4298z00_5270 = 
CDR(BgL_l4298z00_2564); 
BgL_l4298z00_2564 = BgL_l4298z00_5270; 
goto BgL_lname4299z00_2565;} }  else 
{ /* Cfa/closure.scm 173 */((bool_t)1); } } 
{ 
bool_t BgL_continuezf3zf3_5272;
BgL_continuezf3zf3_5272 = BgL_continuezf3zf3_2563; 
BgL_continuezf3zf3_2561 = BgL_continuezf3zf3_5272; 
goto BgL_loopz00_2562;} }  else 
{ /* Cfa/closure.scm 170 */
return BUNSPEC;} } } 
}



/* light-make-procedure! */
bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 236 */
{ 
obj_t BgL_appz00_2632;obj_t BgL_appz00_2609;
{ 
obj_t BgL_l4313z00_2601;
BgL_l4313z00_2601 = BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00; 
BgL_lname4314z00_2602:
if(
PAIRP(BgL_l4313z00_2601))
{ /* Cfa/closure.scm 268 */
{ /* Cfa/closure.scm 269 */
obj_t BgL_appz00_2604;
BgL_appz00_2604 = 
CAR(BgL_l4313z00_2601); 
{ /* Cfa/closure.scm 271 */
bool_t BgL_testz00_5276;
{ /* Cfa/closure.scm 271 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3861z00_3596;
BgL_obj3861z00_3596 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2604); 
{ 
obj_t BgL_auxz00_5278;
{ /* Cfa/closure.scm 271 */
BgL_objectz00_bglt BgL_auxz00_5279;
BgL_auxz00_5279 = 
(BgL_objectz00_bglt)(BgL_obj3861z00_3596); 
BgL_auxz00_5278 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5279); } 
BgL_testz00_5276 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5278))->BgL_xz00); } } 
if(BgL_testz00_5276)
{ /* Cfa/closure.scm 271 */
BgL_appz00_2632 = BgL_appz00_2604; 
{ /* Cfa/closure.scm 239 */
obj_t BgL_siza7eza7_2635;
{ /* Cfa/closure.scm 239 */
BgL_nodez00_bglt BgL_auxz00_5283;
{ /* Cfa/closure.scm 239 */
obj_t BgL_auxz00_5284;
{ /* Cfa/closure.scm 239 */
obj_t BgL_auxz00_5285;
{ /* Cfa/closure.scm 239 */
obj_t BgL_auxz00_5286;
{ /* Cfa/closure.scm 239 */
obj_t BgL_auxz00_5287;
{ /* Cfa/closure.scm 239 */
BgL_appz00_bglt BgL_obj3885z00_3631;
BgL_obj3885z00_3631 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
BgL_auxz00_5287 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3631))->BgL_argsz00); } 
BgL_auxz00_5286 = 
CDR(BgL_auxz00_5287); } 
BgL_auxz00_5285 = 
CDR(BgL_auxz00_5286); } 
BgL_auxz00_5284 = 
CAR(BgL_auxz00_5285); } 
BgL_auxz00_5283 = 
(BgL_nodez00_bglt)(BgL_auxz00_5284); } 
BgL_siza7eza7_2635 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5283); } 
{ /* Cfa/closure.scm 239 */
BgL_variablez00_bglt BgL_ffunz00_2636;
{ /* Cfa/closure.scm 240 */
BgL_varz00_bglt BgL_obj1619z00_3640;
{ /* Cfa/closure.scm 240 */
obj_t BgL_auxz00_5295;
{ /* Cfa/closure.scm 240 */
obj_t BgL_auxz00_5296;
{ /* Cfa/closure.scm 240 */
BgL_appz00_bglt BgL_obj3885z00_3638;
BgL_obj3885z00_3638 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
BgL_auxz00_5296 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3638))->BgL_argsz00); } 
BgL_auxz00_5295 = 
CAR(BgL_auxz00_5296); } 
BgL_obj1619z00_3640 = 
(BgL_varz00_bglt)(BgL_auxz00_5295); } 
BgL_ffunz00_2636 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3640))->BgL_variablez00); } 
{ /* Cfa/closure.scm 240 */
BgL_valuez00_bglt BgL_sfunz00_2637;
BgL_sfunz00_2637 = 
(((BgL_variablez00_bglt)CREF(BgL_ffunz00_2636))->BgL_valuez00); 
{ /* Cfa/closure.scm 241 */

{ /* Cfa/closure.scm 243 */
bool_t BgL_testz00_5303;
{ /* Cfa/closure.scm 243 */
long BgL_auxz00_5304;
BgL_auxz00_5304 = 
(long)CINT(BgL_siza7eza7_2635); 
BgL_testz00_5303 = 
(BgL_auxz00_5304==((long)1)); } 
if(BgL_testz00_5303)
{ /* Cfa/closure.scm 243 */
{ /* Cfa/closure.scm 244 */
bool_t BgL_test4407z00_2639;
{ /* Cfa/closure.scm 244 */
bool_t BgL_test4411z00_2643;
BgL_test4411z00_2643 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_ffunz00_2636), BGl_globalz00zzast_varz00); 
if(BgL_test4411z00_2643)
{ /* Cfa/closure.scm 245 */
bool_t BgL_test4412z00_2644;
{ /* Cfa/closure.scm 245 */
obj_t BgL_auxz00_5310;
{ /* Cfa/closure.scm 245 */
BgL_sfunz00_bglt BgL_obj1363z00_3645;
BgL_obj1363z00_3645 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2637); 
BgL_auxz00_5310 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3645))->BgL_thezd2closurezd2); } 
BgL_test4412z00_2644 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5310, BGl_globalz00zzast_varz00); } 
if(BgL_test4412z00_2644)
{ /* Cfa/closure.scm 246 */
obj_t BgL_auxz00_5315;
{ /* Cfa/closure.scm 246 */
BgL_valuez00_bglt BgL_auxz00_5316;
{ /* Cfa/closure.scm 246 */
BgL_globalz00_bglt BgL_obj1155z00_3648;
{ /* Cfa/closure.scm 246 */
obj_t BgL_auxz00_5317;
{ /* Cfa/closure.scm 246 */
BgL_sfunz00_bglt BgL_obj1363z00_3647;
BgL_obj1363z00_3647 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2637); 
BgL_auxz00_5317 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3647))->BgL_thezd2closurezd2); } 
BgL_obj1155z00_3648 = 
(BgL_globalz00_bglt)(BgL_auxz00_5317); } 
BgL_auxz00_5316 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3648))->BgL_valuez00); } 
BgL_auxz00_5315 = 
(obj_t)(BgL_auxz00_5316); } 
BgL_test4407z00_2639 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5315, BGl_scnstz00zzast_varz00); }  else 
{ /* Cfa/closure.scm 245 */
BgL_test4407z00_2639 = ((bool_t)0); } }  else 
{ /* Cfa/closure.scm 244 */
BgL_test4407z00_2639 = ((bool_t)0); } } 
if(BgL_test4407z00_2639)
{ /* Cfa/closure.scm 247 */
obj_t BgL_arg4409z00_2641;
BgL_arg4409z00_2641 = 
CNST_TABLE_REF(((long)3)); 
{ /* Cfa/closure.scm 247 */
BgL_scnstz00_bglt BgL_obj1502z00_3652;
{ /* Cfa/closure.scm 247 */
BgL_valuez00_bglt BgL_auxz00_5326;
{ /* Cfa/closure.scm 247 */
BgL_globalz00_bglt BgL_obj1155z00_3651;
{ /* Cfa/closure.scm 247 */
obj_t BgL_auxz00_5327;
{ /* Cfa/closure.scm 247 */
BgL_sfunz00_bglt BgL_obj1363z00_3650;
BgL_obj1363z00_3650 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2637); 
BgL_auxz00_5327 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3650))->BgL_thezd2closurezd2); } 
BgL_obj1155z00_3651 = 
(BgL_globalz00_bglt)(BgL_auxz00_5327); } 
BgL_auxz00_5326 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3651))->BgL_valuez00); } 
BgL_obj1502z00_3652 = 
(BgL_scnstz00_bglt)(BgL_auxz00_5326); } 
((((BgL_scnstz00_bglt)CREF(BgL_obj1502z00_3652))->BgL_classz00) = ((obj_t)BgL_arg4409z00_2641), BUNSPEC); } }  else 
{ /* Cfa/closure.scm 244 */BFALSE; } } 
{ /* Cfa/closure.scm 249 */
BgL_varz00_bglt BgL_arg4417z00_2648;
{ /* Cfa/closure.scm 249 */
BgL_appz00_bglt BgL_obj3882z00_3654;
BgL_obj3882z00_3654 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
BgL_arg4417z00_2648 = 
(((BgL_appz00_bglt)CREF(BgL_obj3882z00_3654))->BgL_funz00); } 
{ /* Cfa/closure.scm 249 */
BgL_variablez00_bglt BgL_val1620z00_3656;
BgL_val1620z00_3656 = 
(BgL_variablez00_bglt)(BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_arg4417z00_2648))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3656), BUNSPEC); } } }  else 
{ /* Cfa/closure.scm 243 */
{ /* Cfa/closure.scm 251 */
BgL_varz00_bglt BgL_arg4418z00_2649;
{ /* Cfa/closure.scm 251 */
BgL_appz00_bglt BgL_obj3882z00_3657;
BgL_obj3882z00_3657 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
BgL_arg4418z00_2649 = 
(((BgL_appz00_bglt)CREF(BgL_obj3882z00_3657))->BgL_funz00); } 
{ /* Cfa/closure.scm 251 */
BgL_variablez00_bglt BgL_val1620z00_3659;
BgL_val1620z00_3659 = 
(BgL_variablez00_bglt)(BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_arg4418z00_2649))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3659), BUNSPEC); } } } } } } } } 
{ /* Cfa/closure.scm 252 */
obj_t BgL_arg4423z00_2654;
{ /* Cfa/closure.scm 252 */
obj_t BgL_auxz00_5342;
{ /* Cfa/closure.scm 252 */
obj_t BgL_auxz00_5343;
{ /* Cfa/closure.scm 252 */
BgL_appz00_bglt BgL_obj3885z00_3660;
BgL_obj3885z00_3660 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
BgL_auxz00_5343 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3660))->BgL_argsz00); } 
BgL_auxz00_5342 = 
CDR(BgL_auxz00_5343); } 
BgL_arg4423z00_2654 = 
CDR(BgL_auxz00_5342); } 
{ /* Cfa/closure.scm 252 */
BgL_appz00_bglt BgL_obj3887z00_3665;
BgL_obj3887z00_3665 = 
(BgL_appz00_bglt)(BgL_appz00_2632); 
((((BgL_appz00_bglt)CREF(BgL_obj3887z00_3665))->BgL_argsz00) = ((obj_t)BgL_arg4423z00_2654), BUNSPEC); } } BgL_appz00_2632; }  else 
{ /* Cfa/closure.scm 272 */
bool_t BgL_testz00_5350;
{ /* Cfa/closure.scm 272 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3597;
BgL_obj3864z00_3597 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2604); 
{ 
obj_t BgL_auxz00_5352;
{ /* Cfa/closure.scm 272 */
BgL_objectz00_bglt BgL_auxz00_5353;
BgL_auxz00_5353 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3597); 
BgL_auxz00_5352 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5353); } 
BgL_testz00_5350 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5352))->BgL_tz00); } } 
if(BgL_testz00_5350)
{ /* Cfa/closure.scm 272 */
BgL_appz00_2609 = BgL_appz00_2604; 
{ /* Cfa/closure.scm 256 */
obj_t BgL_siza7eza7_2612;
{ /* Cfa/closure.scm 256 */
BgL_nodez00_bglt BgL_auxz00_5357;
{ /* Cfa/closure.scm 256 */
obj_t BgL_auxz00_5358;
{ /* Cfa/closure.scm 256 */
obj_t BgL_auxz00_5359;
{ /* Cfa/closure.scm 256 */
obj_t BgL_auxz00_5360;
{ /* Cfa/closure.scm 256 */
obj_t BgL_auxz00_5361;
{ /* Cfa/closure.scm 256 */
BgL_appz00_bglt BgL_obj3885z00_3599;
BgL_obj3885z00_3599 = 
(BgL_appz00_bglt)(BgL_appz00_2609); 
BgL_auxz00_5361 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3599))->BgL_argsz00); } 
BgL_auxz00_5360 = 
CDR(BgL_auxz00_5361); } 
BgL_auxz00_5359 = 
CDR(BgL_auxz00_5360); } 
BgL_auxz00_5358 = 
CAR(BgL_auxz00_5359); } 
BgL_auxz00_5357 = 
(BgL_nodez00_bglt)(BgL_auxz00_5358); } 
BgL_siza7eza7_2612 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5357); } 
{ /* Cfa/closure.scm 256 */
BgL_variablez00_bglt BgL_ffunz00_2613;
{ /* Cfa/closure.scm 257 */
BgL_varz00_bglt BgL_obj1619z00_3608;
{ /* Cfa/closure.scm 257 */
obj_t BgL_auxz00_5369;
{ /* Cfa/closure.scm 257 */
obj_t BgL_auxz00_5370;
{ /* Cfa/closure.scm 257 */
BgL_appz00_bglt BgL_obj3885z00_3606;
BgL_obj3885z00_3606 = 
(BgL_appz00_bglt)(BgL_appz00_2609); 
BgL_auxz00_5370 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3606))->BgL_argsz00); } 
BgL_auxz00_5369 = 
CAR(BgL_auxz00_5370); } 
BgL_obj1619z00_3608 = 
(BgL_varz00_bglt)(BgL_auxz00_5369); } 
BgL_ffunz00_2613 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3608))->BgL_variablez00); } 
{ /* Cfa/closure.scm 257 */
BgL_valuez00_bglt BgL_sfunz00_2614;
BgL_sfunz00_2614 = 
(((BgL_variablez00_bglt)CREF(BgL_ffunz00_2613))->BgL_valuez00); 
{ /* Cfa/closure.scm 258 */

{ /* Cfa/closure.scm 259 */
bool_t BgL_test4387z00_2615;
{ /* Cfa/closure.scm 259 */
bool_t BgL_test4391z00_2619;
BgL_test4391z00_2619 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_ffunz00_2613), BGl_globalz00zzast_varz00); 
if(BgL_test4391z00_2619)
{ /* Cfa/closure.scm 260 */
bool_t BgL_test4392z00_2620;
{ /* Cfa/closure.scm 260 */
obj_t BgL_auxz00_5380;
{ /* Cfa/closure.scm 260 */
BgL_sfunz00_bglt BgL_obj1363z00_3611;
BgL_obj1363z00_3611 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2614); 
BgL_auxz00_5380 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3611))->BgL_thezd2closurezd2); } 
BgL_test4392z00_2620 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5380, BGl_globalz00zzast_varz00); } 
if(BgL_test4392z00_2620)
{ /* Cfa/closure.scm 261 */
obj_t BgL_auxz00_5385;
{ /* Cfa/closure.scm 261 */
BgL_valuez00_bglt BgL_auxz00_5386;
{ /* Cfa/closure.scm 261 */
BgL_globalz00_bglt BgL_obj1155z00_3614;
{ /* Cfa/closure.scm 261 */
obj_t BgL_auxz00_5387;
{ /* Cfa/closure.scm 261 */
BgL_sfunz00_bglt BgL_obj1363z00_3613;
BgL_obj1363z00_3613 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2614); 
BgL_auxz00_5387 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3613))->BgL_thezd2closurezd2); } 
BgL_obj1155z00_3614 = 
(BgL_globalz00_bglt)(BgL_auxz00_5387); } 
BgL_auxz00_5386 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3614))->BgL_valuez00); } 
BgL_auxz00_5385 = 
(obj_t)(BgL_auxz00_5386); } 
BgL_test4387z00_2615 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5385, BGl_scnstz00zzast_varz00); }  else 
{ /* Cfa/closure.scm 260 */
BgL_test4387z00_2615 = ((bool_t)0); } }  else 
{ /* Cfa/closure.scm 259 */
BgL_test4387z00_2615 = ((bool_t)0); } } 
if(BgL_test4387z00_2615)
{ /* Cfa/closure.scm 262 */
obj_t BgL_arg4389z00_2617;
BgL_arg4389z00_2617 = 
CNST_TABLE_REF(((long)2)); 
{ /* Cfa/closure.scm 262 */
BgL_scnstz00_bglt BgL_obj1502z00_3618;
{ /* Cfa/closure.scm 262 */
BgL_valuez00_bglt BgL_auxz00_5396;
{ /* Cfa/closure.scm 262 */
BgL_globalz00_bglt BgL_obj1155z00_3617;
{ /* Cfa/closure.scm 262 */
obj_t BgL_auxz00_5397;
{ /* Cfa/closure.scm 262 */
BgL_sfunz00_bglt BgL_obj1363z00_3616;
BgL_obj1363z00_3616 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2614); 
BgL_auxz00_5397 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_3616))->BgL_thezd2closurezd2); } 
BgL_obj1155z00_3617 = 
(BgL_globalz00_bglt)(BgL_auxz00_5397); } 
BgL_auxz00_5396 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3617))->BgL_valuez00); } 
BgL_obj1502z00_3618 = 
(BgL_scnstz00_bglt)(BgL_auxz00_5396); } 
((((BgL_scnstz00_bglt)CREF(BgL_obj1502z00_3618))->BgL_classz00) = ((obj_t)BgL_arg4389z00_2617), BUNSPEC); } }  else 
{ /* Cfa/closure.scm 259 */BFALSE; } } 
{ /* Cfa/closure.scm 264 */
BgL_varz00_bglt BgL_arg4396z00_2624;
{ /* Cfa/closure.scm 264 */
BgL_appz00_bglt BgL_obj3882z00_3620;
BgL_obj3882z00_3620 = 
(BgL_appz00_bglt)(BgL_appz00_2609); 
BgL_arg4396z00_2624 = 
(((BgL_appz00_bglt)CREF(BgL_obj3882z00_3620))->BgL_funz00); } 
{ /* Cfa/closure.scm 264 */
BgL_variablez00_bglt BgL_val1620z00_3622;
BgL_val1620z00_3622 = 
(BgL_variablez00_bglt)(BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_arg4396z00_2624))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3622), BUNSPEC); } } 
{ /* Cfa/closure.scm 265 */
obj_t BgL_auxz00_5411;obj_t BgL_auxz00_5408;
{ /* Cfa/closure.scm 265 */
obj_t BgL_auxz00_5412;
{ /* Cfa/closure.scm 265 */
obj_t BgL_auxz00_5413;
{ /* Cfa/closure.scm 265 */
BgL_appz00_bglt BgL_obj3885z00_3624;
BgL_obj3885z00_3624 = 
(BgL_appz00_bglt)(BgL_appz00_2609); 
BgL_auxz00_5413 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3624))->BgL_argsz00); } 
BgL_auxz00_5412 = 
CDR(BgL_auxz00_5413); } 
BgL_auxz00_5411 = 
CDR(BgL_auxz00_5412); } 
{ /* Cfa/closure.scm 265 */
BgL_appz00_bglt BgL_obj3885z00_3623;
BgL_obj3885z00_3623 = 
(BgL_appz00_bglt)(BgL_appz00_2609); 
BgL_auxz00_5408 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3623))->BgL_argsz00); } 
SET_CDR(BgL_auxz00_5408, BgL_auxz00_5411); } BgL_appz00_2609; } } } } }  else 
{ /* Cfa/closure.scm 272 */BFALSE; } } } } 
{ 
obj_t BgL_l4313z00_5419;
BgL_l4313z00_5419 = 
CDR(BgL_l4313z00_2601); 
BgL_l4313z00_2601 = BgL_l4313z00_5419; 
goto BgL_lname4314z00_2602;} }  else 
{ /* Cfa/closure.scm 268 */
return ((bool_t)1);} } } } 
}



/* light-funcall! */
bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 278 */
{ 
obj_t BgL_l4317z00_2658;
BgL_l4317z00_2658 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00; 
BgL_lname4318z00_2659:
if(
PAIRP(BgL_l4317z00_2658))
{ /* Cfa/closure.scm 279 */
{ /* Cfa/closure.scm 280 */
BgL_funcallz00_bglt BgL_appz00_2661;
{ /* Cfa/closure.scm 280 */
obj_t BgL_auxz00_5423;
BgL_auxz00_5423 = 
CAR(BgL_l4317z00_2658); 
BgL_appz00_2661 = 
(BgL_funcallz00_bglt)(BgL_auxz00_5423); } 
{ /* Cfa/closure.scm 281 */
BgL_approxz00_bglt BgL_approxz00_2663;
BgL_approxz00_2663 = 
BGl_cfaz12z12zzcfa_cfaz00(
(((BgL_funcallz00_bglt)CREF(BgL_appz00_2661))->BgL_funz00)); 
{ /* Cfa/closure.scm 282 */
obj_t BgL_alloczd2listzd2_2664;
BgL_alloczd2listzd2_2664 = 
BGl_setzd2ze3listz31zzcfa_setz00(
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2663))->BgL_allocsz00)); 
{ /* Cfa/closure.scm 283 */

{ /* Cfa/closure.scm 284 */
bool_t BgL_test4426z00_2665;
if(
PAIRP(BgL_alloczd2listzd2_2664))
{ /* Cfa/closure.scm 285 */
bool_t BgL_test4435z00_2678;
BgL_test4435z00_2678 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_alloczd2listzd2_2664), BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4435z00_2678)
{ /* Cfa/closure.scm 285 */
BgL_test4426z00_2665 = ((bool_t)0); }  else 
{ /* Cfa/closure.scm 285 */
BgL_test4426z00_2665 = ((bool_t)1); } }  else 
{ /* Cfa/closure.scm 284 */
BgL_test4426z00_2665 = ((bool_t)1); } 
if(BgL_test4426z00_2665)
{ /* Cfa/closure.scm 284 */
CNST_TABLE_REF(((long)4)); }  else 
{ /* Cfa/closure.scm 289 */
BgL_appz00_bglt BgL_allocz00_2666;
{ /* Cfa/closure.scm 289 */
obj_t BgL_auxz00_5437;
BgL_auxz00_5437 = 
CAR(BgL_alloczd2listzd2_2664); 
BgL_allocz00_2666 = 
(BgL_appz00_bglt)(BgL_auxz00_5437); } 
{ /* Cfa/closure.scm 292 */
bool_t BgL_testz00_5440;
{ /* Cfa/closure.scm 292 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3861z00_3675;
BgL_obj3861z00_3675 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2666); 
{ 
obj_t BgL_auxz00_5442;
{ /* Cfa/closure.scm 292 */
BgL_objectz00_bglt BgL_auxz00_5443;
BgL_auxz00_5443 = 
(BgL_objectz00_bglt)(BgL_obj3861z00_3675); 
BgL_auxz00_5442 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5443); } 
BgL_testz00_5440 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5442))->BgL_xz00); } } 
if(BgL_testz00_5440)
{ /* Cfa/closure.scm 292 */
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_arg4428z00_2669;
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_duplicated4321z00_2670;
{ /* Cfa/closure.scm 296 */
obj_t BgL_auxz00_5447;
{ /* Cfa/closure.scm 296 */
obj_t BgL_auxz00_5448;
BgL_auxz00_5448 = 
(((BgL_appz00_bglt)CREF(BgL_allocz00_2666))->BgL_argsz00); 
BgL_auxz00_5447 = 
CAR(BgL_auxz00_5448); } 
BgL_duplicated4321z00_2670 = 
(BgL_varz00_bglt)(BgL_auxz00_5447); } 
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_new4322z00_2671;
{ /* Cfa/closure.scm 296 */
obj_t BgL_arg4429z00_2672;BgL_typez00_bglt BgL_arg4430z00_2673;BgL_variablez00_bglt BgL_arg4431z00_2674;
BgL_arg4429z00_2672 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated4321z00_2670))->BgL_locz00); 
BgL_arg4430z00_2673 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated4321z00_2670))->BgL_typez00); 
BgL_arg4431z00_2674 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated4321z00_2670))->BgL_variablez00); 
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_res4675z00_3699;
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_new1633z00_3684;
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_res4673z00_3690;
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_new1635z00_3685;
BgL_new1635z00_3685 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cfa/closure.scm 296 */
long BgL_arg4657z00_3686;
BgL_arg4657z00_3686 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cfa/closure.scm 296 */
BgL_objectz00_bglt BgL_auxz00_5457;
BgL_auxz00_5457 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3685); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5457, BgL_arg4657z00_3686); } } 
{ /* Cfa/closure.scm 296 */
BgL_objectz00_bglt BgL_auxz00_5460;
BgL_auxz00_5460 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3685); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5460, BFALSE); } 
{ /* Cfa/closure.scm 296 */
obj_t BgL_auxz00_5463;
BgL_auxz00_5463 = 
(obj_t)(BgL_new1635z00_3685); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5463); } BUNSPEC; 
BgL_res4673z00_3690 = BgL_new1635z00_3685; } 
BgL_new1633z00_3684 = BgL_res4673z00_3690; } 
{ /* Cfa/closure.scm 296 */
BgL_varz00_bglt BgL_res4674z00_3698;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3684))->BgL_locz00) = ((obj_t)BgL_arg4429z00_2672), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3684))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg4430z00_2673), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3684))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg4431z00_2674), BUNSPEC); 
BgL_res4674z00_3698 = BgL_new1633z00_3684; BgL_res4674z00_3698; } 
BgL_res4675z00_3699 = BgL_new1633z00_3684; } 
BgL_new4322z00_2671 = BgL_res4675z00_3699; } } 
{ /* Cfa/closure.scm 296 */

BgL_arg4428z00_2669 = BgL_new4322z00_2671; } } } 
{ /* Cfa/closure.scm 294 */
BgL_nodez00_bglt BgL_val1786z00_3701;
BgL_val1786z00_3701 = 
(BgL_nodez00_bglt)(BgL_arg4428z00_2669); 
((((BgL_funcallz00_bglt)CREF(BgL_appz00_2661))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1786z00_3701), BUNSPEC); } } 
{ /* Cfa/closure.scm 297 */
obj_t BgL_val1792z00_3703;
BgL_val1792z00_3703 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_funcallz00_bglt)CREF(BgL_appz00_2661))->BgL_strengthz00) = ((obj_t)BgL_val1792z00_3703), BUNSPEC); } }  else 
{ /* Cfa/closure.scm 298 */
bool_t BgL_testz00_5473;
{ /* Cfa/closure.scm 298 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3704;
BgL_obj3864z00_3704 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2666); 
{ 
obj_t BgL_auxz00_5475;
{ /* Cfa/closure.scm 298 */
BgL_objectz00_bglt BgL_auxz00_5476;
BgL_auxz00_5476 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3704); 
BgL_auxz00_5475 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5476); } 
BgL_testz00_5473 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5475))->BgL_tz00); } } 
if(BgL_testz00_5473)
{ /* Cfa/closure.scm 298 */
{ /* Cfa/closure.scm 300 */
obj_t BgL_val1792z00_3706;
BgL_val1792z00_3706 = 
CNST_TABLE_REF(((long)6)); 
((((BgL_funcallz00_bglt)CREF(BgL_appz00_2661))->BgL_strengthz00) = ((obj_t)BgL_val1792z00_3706), BUNSPEC); } }  else 
{ /* Cfa/closure.scm 298 */
CNST_TABLE_REF(((long)4)); } } } } } } } } } 
{ 
obj_t BgL_l4317z00_5483;
BgL_l4317z00_5483 = 
CDR(BgL_l4317z00_2658); 
BgL_l4317z00_2658 = BgL_l4317z00_5483; 
goto BgL_lname4318z00_2659;} }  else 
{ /* Cfa/closure.scm 279 */
return ((bool_t)1);} } } 
}



/* light-access! */
bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 309 */
{ 
obj_t BgL_l4323z00_2682;
BgL_l4323z00_2682 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00; 
BgL_lname4324z00_2683:
if(
PAIRP(BgL_l4323z00_2682))
{ /* Cfa/closure.scm 310 */
{ /* Cfa/closure.scm 312 */
obj_t BgL_appz00_2685;
BgL_appz00_2685 = 
CAR(BgL_l4323z00_2682); 
{ /* Cfa/closure.scm 312 */
BgL_approxz00_bglt BgL_approxz00_2687;
{ /* Cfa/closure.scm 313 */
BgL_nodez00_bglt BgL_auxz00_5488;
{ /* Cfa/closure.scm 313 */
obj_t BgL_auxz00_5489;
{ /* Cfa/closure.scm 313 */
obj_t BgL_auxz00_5490;
{ /* Cfa/closure.scm 313 */
BgL_appz00_bglt BgL_obj1725z00_3711;
BgL_obj1725z00_3711 = 
(BgL_appz00_bglt)(BgL_appz00_2685); 
BgL_auxz00_5490 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3711))->BgL_argsz00); } 
BgL_auxz00_5489 = 
CAR(BgL_auxz00_5490); } 
BgL_auxz00_5488 = 
(BgL_nodez00_bglt)(BgL_auxz00_5489); } 
BgL_approxz00_2687 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5488); } 
{ /* Cfa/closure.scm 313 */
obj_t BgL_alloczd2listzd2_2688;
BgL_alloczd2listzd2_2688 = 
BGl_setzd2ze3listz31zzcfa_setz00(
(((BgL_approxz00_bglt)CREF(BgL_approxz00_2687))->BgL_allocsz00)); 
{ /* Cfa/closure.scm 314 */
BgL_varz00_bglt BgL_funz00_2689;
{ /* Cfa/closure.scm 315 */
BgL_appz00_bglt BgL_obj1722z00_3714;
BgL_obj1722z00_3714 = 
(BgL_appz00_bglt)(BgL_appz00_2685); 
BgL_funz00_2689 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_3714))->BgL_funz00); } 
{ /* Cfa/closure.scm 315 */
BgL_variablez00_bglt BgL_vfunz00_2690;
BgL_vfunz00_2690 = 
(((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00); 
{ /* Cfa/closure.scm 316 */

{ /* Cfa/closure.scm 317 */
bool_t BgL_test4440z00_2691;
if(
PAIRP(BgL_alloczd2listzd2_2688))
{ /* Cfa/closure.scm 318 */
bool_t BgL_test4452z00_2705;
BgL_test4452z00_2705 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_alloczd2listzd2_2688), BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4452z00_2705)
{ /* Cfa/closure.scm 318 */
BgL_test4440z00_2691 = ((bool_t)0); }  else 
{ /* Cfa/closure.scm 318 */
BgL_test4440z00_2691 = ((bool_t)1); } }  else 
{ /* Cfa/closure.scm 317 */
BgL_test4440z00_2691 = ((bool_t)1); } 
if(BgL_test4440z00_2691)
{ /* Cfa/closure.scm 317 */
CNST_TABLE_REF(((long)4)); }  else 
{ /* Cfa/closure.scm 320 */
BgL_appz00_bglt BgL_allocz00_2692;
{ /* Cfa/closure.scm 320 */
obj_t BgL_auxz00_5508;
BgL_auxz00_5508 = 
CAR(BgL_alloczd2listzd2_2688); 
BgL_allocz00_2692 = 
(BgL_appz00_bglt)(BgL_auxz00_5508); } 
{ /* Cfa/closure.scm 323 */
bool_t BgL_testz00_5511;
{ /* Cfa/closure.scm 323 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3861z00_3720;
BgL_obj3861z00_3720 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2692); 
{ 
obj_t BgL_auxz00_5513;
{ /* Cfa/closure.scm 323 */
BgL_objectz00_bglt BgL_auxz00_5514;
BgL_auxz00_5514 = 
(BgL_objectz00_bglt)(BgL_obj3861z00_3720); 
BgL_auxz00_5513 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5514); } 
BgL_testz00_5511 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5513))->BgL_xz00); } } 
if(BgL_testz00_5511)
{ /* Cfa/closure.scm 323 */
{ /* Cfa/closure.scm 324 */
bool_t BgL_test4442z00_2695;
{ /* Cfa/closure.scm 324 */
obj_t BgL_arg4445z00_2698;
{ /* Cfa/closure.scm 324 */
BgL_nodez00_bglt BgL_auxz00_5518;
{ /* Cfa/closure.scm 324 */
obj_t BgL_auxz00_5519;
{ /* Cfa/closure.scm 324 */
obj_t BgL_auxz00_5520;
{ /* Cfa/closure.scm 324 */
obj_t BgL_auxz00_5521;
{ /* Cfa/closure.scm 324 */
obj_t BgL_auxz00_5522;
BgL_auxz00_5522 = 
(((BgL_appz00_bglt)CREF(BgL_allocz00_2692))->BgL_argsz00); 
BgL_auxz00_5521 = 
CDR(BgL_auxz00_5522); } 
BgL_auxz00_5520 = 
CDR(BgL_auxz00_5521); } 
BgL_auxz00_5519 = 
CAR(BgL_auxz00_5520); } 
BgL_auxz00_5518 = 
(BgL_nodez00_bglt)(BgL_auxz00_5519); } 
BgL_arg4445z00_2698 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5518); } 
{ /* Cfa/closure.scm 324 */
long BgL_auxz00_5529;
BgL_auxz00_5529 = 
(long)CINT(BgL_arg4445z00_2698); 
BgL_test4442z00_2695 = 
(BgL_auxz00_5529==((long)1)); } } 
if(BgL_test4442z00_2695)
{ /* Cfa/closure.scm 325 */
bool_t BgL_test4443z00_2696;
{ /* Cfa/closure.scm 325 */
obj_t BgL_auxz00_5533;
BgL_auxz00_5533 = 
(obj_t)(BgL_vfunz00_2690); 
BgL_test4443z00_2696 = 
(BgL_auxz00_5533==BGl_za2procedurezd2refza2zd2zzcfa_closurez00); } 
if(BgL_test4443z00_2696)
{ /* Cfa/closure.scm 326 */
BgL_variablez00_bglt BgL_val1620z00_3731;
BgL_val1620z00_3731 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3731), BUNSPEC); }  else 
{ /* Cfa/closure.scm 327 */
BgL_variablez00_bglt BgL_val1620z00_3733;
BgL_val1620z00_3733 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3733), BUNSPEC); } }  else 
{ /* Cfa/closure.scm 328 */
bool_t BgL_test4444z00_2697;
{ /* Cfa/closure.scm 328 */
obj_t BgL_auxz00_5541;
BgL_auxz00_5541 = 
(obj_t)(BgL_vfunz00_2690); 
BgL_test4444z00_2697 = 
(BgL_auxz00_5541==BGl_za2procedurezd2refza2zd2zzcfa_closurez00); } 
if(BgL_test4444z00_2697)
{ /* Cfa/closure.scm 329 */
BgL_variablez00_bglt BgL_val1620z00_3735;
BgL_val1620z00_3735 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3735), BUNSPEC); }  else 
{ /* Cfa/closure.scm 330 */
BgL_variablez00_bglt BgL_val1620z00_3737;
BgL_val1620z00_3737 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3737), BUNSPEC); } } } }  else 
{ /* Cfa/closure.scm 331 */
bool_t BgL_testz00_5549;
{ /* Cfa/closure.scm 331 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3738;
BgL_obj3864z00_3738 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_2692); 
{ 
obj_t BgL_auxz00_5551;
{ /* Cfa/closure.scm 331 */
BgL_objectz00_bglt BgL_auxz00_5552;
BgL_auxz00_5552 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3738); 
BgL_auxz00_5551 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5552); } 
BgL_testz00_5549 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5551))->BgL_tz00); } } 
if(BgL_testz00_5549)
{ /* Cfa/closure.scm 331 */
{ /* Cfa/closure.scm 332 */
bool_t BgL_test4450z00_2703;
{ /* Cfa/closure.scm 332 */
obj_t BgL_auxz00_5556;
BgL_auxz00_5556 = 
(obj_t)(BgL_vfunz00_2690); 
BgL_test4450z00_2703 = 
(BgL_auxz00_5556==BGl_za2procedurezd2refza2zd2zzcfa_closurez00); } 
if(BgL_test4450z00_2703)
{ /* Cfa/closure.scm 333 */
BgL_variablez00_bglt BgL_val1620z00_3740;
BgL_val1620z00_3740 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3740), BUNSPEC); }  else 
{ /* Cfa/closure.scm 334 */
BgL_variablez00_bglt BgL_val1620z00_3742;
BgL_val1620z00_3742 = 
(BgL_variablez00_bglt)(BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00); 
((((BgL_varz00_bglt)CREF(BgL_funz00_2689))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3742), BUNSPEC); } } }  else 
{ /* Cfa/closure.scm 331 */BFALSE; } } } } } } } } } } } 
{ 
obj_t BgL_l4323z00_5564;
BgL_l4323z00_5564 = 
CDR(BgL_l4323z00_2682); 
BgL_l4323z00_2682 = BgL_l4323z00_5564; 
goto BgL_lname4324z00_2683;} }  else 
{ /* Cfa/closure.scm 310 */
return ((bool_t)1);} } } 
}



/* show-X-T */
obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_4)
{ AN_OBJECT;
{ /* Cfa/closure.scm 340 */
{ 
obj_t BgL_xpz00_2712;obj_t BgL_tpz00_2713;obj_t BgL_allocsz00_2714;
BgL_xpz00_2712 = BNIL; 
BgL_tpz00_2713 = BNIL; 
BgL_allocsz00_2714 = BgL_allocsz00_4; 
BgL_loopz00_2715:
if(
NULLP(BgL_allocsz00_2714))
{ /* Cfa/closure.scm 351 */
BGl_showz00zzcfa_closurez00(
CNST_TABLE_REF(((long)7)), BgL_xpz00_2712); 
BGl_showz00zzcfa_closurez00(
CNST_TABLE_REF(((long)8)), BgL_tpz00_2713); 
return BUNSPEC;}  else 
{ /* Cfa/closure.scm 356 */
obj_t BgL_instance4329z00_2717;
BgL_instance4329z00_2717 = 
CAR(BgL_allocsz00_2714); 
{ /* Cfa/closure.scm 358 */
bool_t BgL_testz00_5573;
{ /* Cfa/closure.scm 358 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3861z00_3746;
BgL_obj3861z00_3746 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_instance4329z00_2717); 
{ 
obj_t BgL_auxz00_5575;
{ /* Cfa/closure.scm 358 */
BgL_objectz00_bglt BgL_auxz00_5576;
BgL_auxz00_5576 = 
(BgL_objectz00_bglt)(BgL_obj3861z00_3746); 
BgL_auxz00_5575 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5576); } 
BgL_testz00_5573 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5575))->BgL_xz00); } } 
if(BgL_testz00_5573)
{ /* Cfa/closure.scm 358 */
{ /* Cfa/closure.scm 359 */
obj_t BgL_arg4460z00_2719;obj_t BgL_arg4461z00_2720;
{ /* Cfa/closure.scm 359 */
obj_t BgL_auxz00_5580;
{ /* Cfa/closure.scm 359 */
BgL_variablez00_bglt BgL_auxz00_5581;
{ /* Cfa/closure.scm 359 */
BgL_varz00_bglt BgL_obj1619z00_3749;
{ /* Cfa/closure.scm 359 */
obj_t BgL_auxz00_5582;
{ /* Cfa/closure.scm 359 */
obj_t BgL_auxz00_5583;
{ /* Cfa/closure.scm 359 */
BgL_appz00_bglt BgL_obj3885z00_3747;
BgL_obj3885z00_3747 = 
(BgL_appz00_bglt)(BgL_instance4329z00_2717); 
BgL_auxz00_5583 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3747))->BgL_argsz00); } 
BgL_auxz00_5582 = 
CAR(BgL_auxz00_5583); } 
BgL_obj1619z00_3749 = 
(BgL_varz00_bglt)(BgL_auxz00_5582); } 
BgL_auxz00_5581 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3749))->BgL_variablez00); } 
BgL_auxz00_5580 = 
(obj_t)(BgL_auxz00_5581); } 
BgL_arg4460z00_2719 = 
MAKE_PAIR(BgL_auxz00_5580, BgL_xpz00_2712); } 
BgL_arg4461z00_2720 = 
CDR(BgL_allocsz00_2714); 
{ 
obj_t BgL_allocsz00_5593;obj_t BgL_xpz00_5592;
BgL_xpz00_5592 = BgL_arg4460z00_2719; 
BgL_allocsz00_5593 = BgL_arg4461z00_2720; 
BgL_allocsz00_2714 = BgL_allocsz00_5593; 
BgL_xpz00_2712 = BgL_xpz00_5592; 
goto BgL_loopz00_2715;} } }  else 
{ /* Cfa/closure.scm 360 */
bool_t BgL_testz00_5594;
{ /* Cfa/closure.scm 360 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3864z00_3751;
BgL_obj3864z00_3751 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_instance4329z00_2717); 
{ 
obj_t BgL_auxz00_5596;
{ /* Cfa/closure.scm 360 */
BgL_objectz00_bglt BgL_auxz00_5597;
BgL_auxz00_5597 = 
(BgL_objectz00_bglt)(BgL_obj3864z00_3751); 
BgL_auxz00_5596 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5597); } 
BgL_testz00_5594 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5596))->BgL_tz00); } } 
if(BgL_testz00_5594)
{ /* Cfa/closure.scm 360 */
{ /* Cfa/closure.scm 361 */
obj_t BgL_arg4466z00_2725;obj_t BgL_arg4467z00_2726;
{ /* Cfa/closure.scm 361 */
obj_t BgL_auxz00_5601;
{ /* Cfa/closure.scm 361 */
BgL_variablez00_bglt BgL_auxz00_5602;
{ /* Cfa/closure.scm 361 */
BgL_varz00_bglt BgL_obj1619z00_3754;
{ /* Cfa/closure.scm 361 */
obj_t BgL_auxz00_5603;
{ /* Cfa/closure.scm 361 */
obj_t BgL_auxz00_5604;
{ /* Cfa/closure.scm 361 */
BgL_appz00_bglt BgL_obj3885z00_3752;
BgL_obj3885z00_3752 = 
(BgL_appz00_bglt)(BgL_instance4329z00_2717); 
BgL_auxz00_5604 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3752))->BgL_argsz00); } 
BgL_auxz00_5603 = 
CAR(BgL_auxz00_5604); } 
BgL_obj1619z00_3754 = 
(BgL_varz00_bglt)(BgL_auxz00_5603); } 
BgL_auxz00_5602 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3754))->BgL_variablez00); } 
BgL_auxz00_5601 = 
(obj_t)(BgL_auxz00_5602); } 
BgL_arg4466z00_2725 = 
MAKE_PAIR(BgL_auxz00_5601, BgL_tpz00_2713); } 
BgL_arg4467z00_2726 = 
CDR(BgL_allocsz00_2714); 
{ 
obj_t BgL_allocsz00_5614;obj_t BgL_tpz00_5613;
BgL_tpz00_5613 = BgL_arg4466z00_2725; 
BgL_allocsz00_5614 = BgL_arg4467z00_2726; 
BgL_allocsz00_2714 = BgL_allocsz00_5614; 
BgL_tpz00_2713 = BgL_tpz00_5613; 
goto BgL_loopz00_2715;} } }  else 
{ /* Cfa/closure.scm 360 */
{ 
obj_t BgL_allocsz00_5615;
BgL_allocsz00_5615 = 
CDR(BgL_allocsz00_2714); 
BgL_allocsz00_2714 = BgL_allocsz00_5615; 
goto BgL_loopz00_2715;} } } } } } } 
}



/* show */
bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_2731, obj_t BgL_lz00_2732)
{ AN_OBJECT;
{ /* Cfa/closure.scm 347 */
if(
PAIRP(BgL_lz00_2732))
{ /* Cfa/closure.scm 342 */
{ /* Cfa/closure.scm 344 */
obj_t BgL_arg4477z00_2738;
BgL_arg4477z00_2738 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_lz00_2732)); 
{ /* Cfa/closure.scm 344 */
obj_t BgL_list4478z00_2739;
{ /* Cfa/closure.scm 344 */
obj_t BgL_arg4479z00_2740;
{ /* Cfa/closure.scm 344 */
obj_t BgL_arg4480z00_2741;
{ /* Cfa/closure.scm 344 */
obj_t BgL_arg4481z00_2742;
{ /* Cfa/closure.scm 344 */
obj_t BgL_arg4482z00_2743;
{ /* Cfa/closure.scm 344 */
obj_t BgL_auxz00_5621;
BgL_auxz00_5621 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg4482z00_2743 = 
MAKE_PAIR(BgL_auxz00_5621, BNIL); } 
BgL_arg4481z00_2742 = 
MAKE_PAIR(BgL_arg4477z00_2738, BgL_arg4482z00_2743); } 
BgL_arg4480z00_2741 = 
MAKE_PAIR(BGl_string4765z00zzcfa_closurez00, BgL_arg4481z00_2742); } 
BgL_arg4479z00_2740 = 
MAKE_PAIR(BgL_propz00_2731, BgL_arg4480z00_2741); } 
BgL_list4478z00_2739 = 
MAKE_PAIR(BGl_string4766z00zzcfa_closurez00, BgL_arg4479z00_2740); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list4478z00_2739); } } 
{ 
obj_t BgL_l4327z00_2745;
BgL_l4327z00_2745 = 
CDR(BgL_lz00_2732); 
BgL_lname4328z00_2746:
if(
PAIRP(BgL_l4327z00_2745))
{ /* Cfa/closure.scm 345 */
{ /* Cfa/closure.scm 346 */
obj_t BgL_arg4488z00_2752;
BgL_arg4488z00_2752 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_l4327z00_2745)); 
{ /* Cfa/closure.scm 346 */
obj_t BgL_list4489z00_2753;
{ /* Cfa/closure.scm 346 */
obj_t BgL_arg4490z00_2754;
{ /* Cfa/closure.scm 346 */
obj_t BgL_arg4491z00_2755;
{ /* Cfa/closure.scm 346 */
obj_t BgL_auxz00_5634;
BgL_auxz00_5634 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg4491z00_2755 = 
MAKE_PAIR(BgL_auxz00_5634, BNIL); } 
BgL_arg4490z00_2754 = 
MAKE_PAIR(BgL_arg4488z00_2752, BgL_arg4491z00_2755); } 
BgL_list4489z00_2753 = 
MAKE_PAIR(BGl_string4767z00zzcfa_closurez00, BgL_arg4490z00_2754); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list4489z00_2753); } } 
{ 
obj_t BgL_l4327z00_5641;
BgL_l4327z00_5641 = 
CDR(BgL_l4327z00_2745); 
BgL_l4327z00_2745 = BgL_l4327z00_5641; 
goto BgL_lname4328z00_2746;} }  else 
{ /* Cfa/closure.scm 345 */
return ((bool_t)1);} } }  else 
{ /* Cfa/closure.scm 342 */
return ((bool_t)0);} } 
}



/* add-funcall! */
obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_5)
{ AN_OBJECT;
{ /* Cfa/closure.scm 375 */
{ /* Cfa/closure.scm 376 */
bool_t BgL_test4493z00_2758;
{ /* Cfa/closure.scm 376 */
long BgL_n1z00_3763;
BgL_n1z00_3763 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4493z00_2758 = 
(BgL_n1z00_3763>=((long)2)); } 
if(BgL_test4493z00_2758)
{ /* Cfa/closure.scm 377 */
obj_t BgL_auxz00_5647;
BgL_auxz00_5647 = 
(obj_t)(BgL_astz00_5); 
return ( 
BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = 
MAKE_PAIR(BgL_auxz00_5647, BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC) ;}  else 
{ /* Cfa/closure.scm 376 */
return BFALSE;} } } 
}



/* _add-funcall!4759 */
obj_t BGl__addzd2funcallz124759zc0zzcfa_closurez00(obj_t BgL_envz00_5020, obj_t BgL_astz00_5021)
{ AN_OBJECT;
{ /* Cfa/closure.scm 375 */
return 
BGl_addzd2funcallz12zc0zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_astz00_5021));} 
}



/* add-make-procedure! */
obj_t BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_6)
{ AN_OBJECT;
{ /* Cfa/closure.scm 382 */
{ /* Cfa/closure.scm 383 */
bool_t BgL_test4494z00_2759;
{ /* Cfa/closure.scm 383 */
long BgL_n1z00_3765;
BgL_n1z00_3765 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4494z00_2759 = 
(BgL_n1z00_3765>=((long)2)); } 
if(BgL_test4494z00_2759)
{ /* Cfa/closure.scm 384 */
obj_t BgL_auxz00_5655;
BgL_auxz00_5655 = 
(obj_t)(BgL_astz00_6); 
return ( 
BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = 
MAKE_PAIR(BgL_auxz00_5655, BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC) ;}  else 
{ /* Cfa/closure.scm 383 */
return BFALSE;} } } 
}



/* _add-make-procedure!4760 */
obj_t BGl__addzd2makezd2procedurez124760z12zzcfa_closurez00(obj_t BgL_envz00_5022, obj_t BgL_astz00_5023)
{ AN_OBJECT;
{ /* Cfa/closure.scm 382 */
return 
BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_astz00_5023));} 
}



/* add-procedure-ref! */
obj_t BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_7)
{ AN_OBJECT;
{ /* Cfa/closure.scm 389 */
{ /* Cfa/closure.scm 390 */
bool_t BgL_test4495z00_2760;
{ /* Cfa/closure.scm 390 */
long BgL_n1z00_3767;
BgL_n1z00_3767 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test4495z00_2760 = 
(BgL_n1z00_3767>=((long)2)); } 
if(BgL_test4495z00_2760)
{ /* Cfa/closure.scm 391 */
obj_t BgL_auxz00_5663;
BgL_auxz00_5663 = 
(obj_t)(BgL_astz00_7); 
return ( 
BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = 
MAKE_PAIR(BgL_auxz00_5663, BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC) ;}  else 
{ /* Cfa/closure.scm 390 */
return BFALSE;} } } 
}



/* _add-procedure-ref!4761 */
obj_t BGl__addzd2procedurezd2refz124761z12zzcfa_closurez00(obj_t BgL_envz00_5024, obj_t BgL_astz00_5025)
{ AN_OBJECT;
{ /* Cfa/closure.scm 389 */
return 
BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_astz00_5025));} 
}



/* start-cache */
obj_t BGl_startzd2cachezd2zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 411 */
BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)12)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)15)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)17)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)18)), 
CNST_TABLE_REF(((long)10))); 
BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)19)), 
CNST_TABLE_REF(((long)10))); 
return ( 
BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)20)), 
CNST_TABLE_REF(((long)10))), BUNSPEC) ;} 
}



/* stop-cache */
obj_t BGl_stopzd2cachezd2zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 427 */
BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE; 
BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE; 
BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE; 
BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE; 
return ( 
BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BFALSE, BUNSPEC) ;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 25 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
{ AN_OBJECT;
{ /* Cfa/closure.scm 25 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_closure"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_closure"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_setz00(((long)17920), "cfa_closure");} 
}

