/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
static obj_t BGl_cfaz12zd2funcallzf2Cinfo4311z32zzcfa_funcallz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static obj_t BGl_zc3anonymousza34570ze3z83zzcfa_funcallz00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static BgL_approxz00_bglt BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(obj_t, BgL_variablez00_bglt, long, obj_t);
static obj_t BGl_zc3anonymousza34577ze3z83zzcfa_funcallz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern long bgl_list_length(obj_t);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
static obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallzf2cinfozf2_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_makezd2procedurezd2appz00_bglt, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt, BgL_varz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string4693z00zzcfa_funcallz00, BgL_bgl_string4693za700za7za7cfa_funcallza7004698z00, "all ", 4 );
DEFINE_STRING( BGl_string4691z00zzcfa_funcallz00, BgL_bgl_string4691za700za7za7cfa_funcallza7004699z00, "Possible funcall arity error", 28 );
DEFINE_STRING( BGl_string4690z00zzcfa_funcallz00, BgL_bgl_string4690za700za7za7cfa_funcallza7004700z00, " arg(s) expected, ", 18 );
DEFINE_STRING( BGl_string4689z00zzcfa_funcallz00, BgL_bgl_string4689za700za7za7cfa_funcallza7004701z00, " provided", 9 );
DEFINE_STRING( BGl_string4688z00zzcfa_funcallz00, BgL_bgl_string4688za700za7za7cfa_funcallza7004702z00, "Possible funcall type error", 27 );
DEFINE_STRING( BGl_string4687z00zzcfa_funcallz00, BgL_bgl_string4687za700za7za7cfa_funcallza7004703z00, "cfa", 3 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4692z00zzcfa_funcallz00, BgL_bgl_cfaza712za7d2funcallza7f2cinfo4311za732za7za7cfa_funcallza7004704za7, BGl_cfaz12zd2funcallzf2Cinfo4311z32zzcfa_funcallz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long BgL_checksumz00_4856, char * BgL_fromz00_4857)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00(); 
BGl_cnstzd2initzd2zzcfa_funcallz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_funcallz00(); 
BGl_methodzd2initzd2zzcfa_funcallz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
{ AN_OBJECT;
{ /* Cfa/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "cfa_funcall"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
{ AN_OBJECT;
{ /* Cfa/funcall.scm 15 */
{ /* Cfa/funcall.scm 15 */
obj_t BgL_cportz00_4849;
BgL_cportz00_4849 = 
open_input_string(BGl_string4693z00zzcfa_funcallz00); 
{ 
long BgL_iz00_4850;
BgL_iz00_4850 = ((long)0); 
BgL_loopz00_4851:
if(
(BgL_iz00_4850==((long)-1)))
{ /* Cfa/funcall.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/funcall.scm 15 */
{ /* Cfa/funcall.scm 15 */
obj_t BgL_arg4695z00_4853;
{ /* Cfa/funcall.scm 15 */
obj_t BgL_list4696z00_4854;
BgL_list4696z00_4854 = 
MAKE_PAIR(BgL_cportz00_4849, BNIL); 
BgL_arg4695z00_4853 = 
BGl_readz00zz__readerz00(BgL_list4696z00_4854); } 
{ /* Cfa/funcall.scm 15 */
int BgL_auxz00_4875;
BgL_auxz00_4875 = 
(int)(BgL_iz00_4850); 
CNST_TABLE_SET(BgL_auxz00_4875, BgL_arg4695z00_4853); } } 
{ 
long BgL_iz00_4878;
{ /* Cfa/funcall.scm 15 */
int BgL_auxz00_4879;
{ /* Cfa/funcall.scm 15 */
long BgL_auxz00_4880;
BgL_auxz00_4880 = 
(BgL_iz00_4850-((long)1)); 
BgL_auxz00_4879 = 
(int)(BgL_auxz00_4880); } 
BgL_iz00_4878 = 
(long)(BgL_auxz00_4879); } 
BgL_iz00_4850 = BgL_iz00_4878; 
goto BgL_loopz00_4851;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
{ AN_OBJECT;
{ /* Cfa/funcall.scm 15 */
return BUNSPEC;} 
}



/* funcall! */
BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_makezd2procedurezd2appz00_bglt BgL_allocz00_2, obj_t BgL_argszd2approxzd2_3, obj_t BgL_nodez00_4)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 93 */
{ /* Cfa/funcall.scm 94 */
obj_t BgL_calleez00_2510;
{ /* Cfa/funcall.scm 94 */
obj_t BgL_auxz00_4884;
{ /* Cfa/funcall.scm 94 */
BgL_appz00_bglt BgL_obj3885z00_3417;
BgL_obj3885z00_3417 = 
(BgL_appz00_bglt)(BgL_allocz00_2); 
BgL_auxz00_4884 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_3417))->BgL_argsz00); } 
BgL_calleez00_2510 = 
CAR(BgL_auxz00_4884); } 
{ /* Cfa/funcall.scm 94 */
BgL_variablez00_bglt BgL_vz00_2511;
{ /* Cfa/funcall.scm 95 */
BgL_varz00_bglt BgL_obj1619z00_3419;
BgL_obj1619z00_3419 = 
(BgL_varz00_bglt)(BgL_calleez00_2510); 
BgL_vz00_2511 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3419))->BgL_variablez00); } 
{ /* Cfa/funcall.scm 95 */
BgL_valuez00_bglt BgL_funz00_2512;
BgL_funz00_2512 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_2511))->BgL_valuez00); 
{ /* Cfa/funcall.scm 96 */
long BgL_arityz00_2513;
{ /* Cfa/funcall.scm 97 */
BgL_funz00_bglt BgL_obj1310z00_3421;
BgL_obj1310z00_3421 = 
(BgL_funz00_bglt)(BgL_funz00_2512); 
BgL_arityz00_2513 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_3421))->BgL_arityz00); } 
{ /* Cfa/funcall.scm 97 */

{ /* Cfa/funcall.scm 101 */
bool_t BgL_test4312z00_2514;
BgL_test4312z00_2514 = 
BGl_soundzd2arityzf3z21zztools_argsz00(
BINT(BgL_arityz00_2513), BgL_argszd2approxzd2_3); 
if(BgL_test4312z00_2514)
{ /* Cfa/funcall.scm 101 */
if(
(BgL_arityz00_2513>=((long)0)))
{ /* Cfa/funcall.scm 104 */
return 
BGl_appz12z12zzcfa_appz00(
(BgL_funz00_bglt)(BgL_funz00_2512), 
(BgL_varz00_bglt)(BgL_calleez00_2510), BgL_argszd2approxzd2_3);}  else 
{ /* Cfa/funcall.scm 104 */
{ 
obj_t BgL_oldzd2argszd2approxz00_2516;obj_t BgL_newzd2argszd2approxz00_2517;long BgL_arityz00_2518;
BgL_oldzd2argszd2approxz00_2516 = BgL_argszd2approxzd2_3; 
BgL_newzd2argszd2approxz00_2517 = BNIL; 
BgL_arityz00_2518 = BgL_arityz00_2513; 
BgL_loopz00_2519:
if(
(BgL_arityz00_2518==((long)-1)))
{ /* Cfa/funcall.scm 113 */
{ 
obj_t BgL_l4300z00_2521;
BgL_l4300z00_2521 = BgL_oldzd2argszd2approxz00_2516; 
BgL_lname4301z00_2522:
if(
PAIRP(BgL_l4300z00_2521))
{ /* Cfa/funcall.scm 115 */
{ /* Cfa/funcall.scm 115 */
BgL_approxz00_bglt BgL_auxz00_4905;
{ /* Cfa/funcall.scm 115 */
obj_t BgL_auxz00_4906;
BgL_auxz00_4906 = 
CAR(BgL_l4300z00_2521); 
BgL_auxz00_4905 = 
(BgL_approxz00_bglt)(BgL_auxz00_4906); } 
BGl_loosez12z12zzcfa_loosez00(BgL_auxz00_4905, 
CNST_TABLE_REF(((long)0))); } 
{ 
obj_t BgL_l4300z00_4911;
BgL_l4300z00_4911 = 
CDR(BgL_l4300z00_2521); 
BgL_l4300z00_2521 = BgL_l4300z00_4911; 
goto BgL_lname4301z00_2522;} }  else 
{ /* Cfa/funcall.scm 115 */((bool_t)1); } } 
{ /* Cfa/funcall.scm 119 */
obj_t BgL_arg4317z00_2526;
{ /* Cfa/funcall.scm 119 */
obj_t BgL_arg4318z00_2527;
{ /* Cfa/funcall.scm 119 */
obj_t BgL_auxz00_4913;
{ /* Cfa/funcall.scm 119 */
BgL_approxz00_bglt BgL_auxz00_4914;
{ /* Cfa/funcall.scm 119 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3201z00_3429;
BgL_obj3201z00_3429 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_nodez00_4); 
{ 
obj_t BgL_auxz00_4916;
{ /* Cfa/funcall.scm 119 */
BgL_objectz00_bglt BgL_auxz00_4917;
BgL_auxz00_4917 = 
(BgL_objectz00_bglt)(BgL_obj3201z00_3429); 
BgL_auxz00_4916 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4917); } 
BgL_auxz00_4914 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_4916))->BgL_vazd2approxzd2); } } 
BgL_auxz00_4913 = 
(obj_t)(BgL_auxz00_4914); } 
BgL_arg4318z00_2527 = 
MAKE_PAIR(BgL_auxz00_4913, BgL_newzd2argszd2approxz00_2517); } 
BgL_arg4317z00_2526 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg4318z00_2527); } 
return 
BGl_appz12z12zzcfa_appz00(
(BgL_funz00_bglt)(BgL_funz00_2512), 
(BgL_varz00_bglt)(BgL_calleez00_2510), BgL_arg4317z00_2526);} }  else 
{ /* Cfa/funcall.scm 121 */
obj_t BgL_arg4320z00_2529;obj_t BgL_arg4321z00_2530;long BgL_arg4322z00_2531;
BgL_arg4320z00_2529 = 
CDR(BgL_oldzd2argszd2approxz00_2516); 
{ /* Cfa/funcall.scm 122 */
obj_t BgL_auxz00_4928;
BgL_auxz00_4928 = 
CAR(BgL_oldzd2argszd2approxz00_2516); 
BgL_arg4321z00_2530 = 
MAKE_PAIR(BgL_auxz00_4928, BgL_newzd2argszd2approxz00_2517); } 
BgL_arg4322z00_2531 = 
(BgL_arityz00_2518+((long)1)); 
{ 
long BgL_arityz00_4934;obj_t BgL_newzd2argszd2approxz00_4933;obj_t BgL_oldzd2argszd2approxz00_4932;
BgL_oldzd2argszd2approxz00_4932 = BgL_arg4320z00_2529; 
BgL_newzd2argszd2approxz00_4933 = BgL_arg4321z00_2530; 
BgL_arityz00_4934 = BgL_arg4322z00_2531; 
BgL_arityz00_2518 = BgL_arityz00_4934; 
BgL_newzd2argszd2approxz00_2517 = BgL_newzd2argszd2approxz00_4933; 
BgL_oldzd2argszd2approxz00_2516 = BgL_oldzd2argszd2approxz00_4932; 
goto BgL_loopz00_2519;} } } } }  else 
{ /* Cfa/funcall.scm 101 */
return 
BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_nodez00_4, BgL_vz00_2511, BgL_arityz00_2513, BgL_argszd2approxzd2_3);} } } } } } } } 
}



/* funcall-type-error */
obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallzf2cinfozf2_bglt BgL_nodez00_5, BgL_typez00_bglt BgL_typez00_6)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 128 */
{ /* Cfa/funcall.scm 131 */
bool_t BgL_testz00_4936;
{ 
obj_t BgL_auxz00_4937;
{ /* Cfa/funcall.scm 131 */
BgL_objectz00_bglt BgL_auxz00_4938;
BgL_auxz00_4938 = 
(BgL_objectz00_bglt)(BgL_nodez00_5); 
BgL_auxz00_4937 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4938); } 
BgL_testz00_4936 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_4937))->BgL_typezd2errorzd2noticedzf3zf3); } 
if(BgL_testz00_4936)
{ /* Cfa/funcall.scm 131 */
return BFALSE;}  else 
{ /* Cfa/funcall.scm 131 */
{ 
obj_t BgL_auxz00_4942;
{ /* Cfa/funcall.scm 133 */
BgL_objectz00_bglt BgL_auxz00_4943;
BgL_auxz00_4943 = 
(BgL_objectz00_bglt)(BgL_nodez00_5); 
BgL_auxz00_4942 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4943); } 
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_4942))->BgL_typezd2errorzd2noticedzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* Cfa/funcall.scm 134 */
obj_t BgL_arg4326z00_2536;obj_t BgL_arg4329z00_2539;
{ /* Cfa/funcall.scm 134 */
BgL_funcallz00_bglt BgL_obj3209z00_3437;
BgL_obj3209z00_3437 = 
(BgL_funcallz00_bglt)(BgL_nodez00_5); 
BgL_arg4326z00_2536 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj3209z00_3437))->BgL_locz00); } 
BgL_arg4329z00_2539 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_typez00_6)); 
return 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg4326z00_2536, BGl_string4687z00zzcfa_funcallz00, BGl_string4688z00zzcfa_funcallz00, BgL_arg4329z00_2539);} } } } 
}



/* funcall-arity-error */
BgL_approxz00_bglt BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(obj_t BgL_nodez00_7, BgL_variablez00_bglt BgL_vz00_8, long BgL_arityz00_9, obj_t BgL_argszd2approxzd2_10)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 142 */
{ /* Cfa/funcall.scm 144 */
bool_t BgL_testz00_4952;
{ /* Cfa/funcall.scm 144 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3202z00_3438;
BgL_obj3202z00_3438 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_nodez00_7); 
{ 
obj_t BgL_auxz00_4954;
{ /* Cfa/funcall.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4955;
BgL_auxz00_4955 = 
(BgL_objectz00_bglt)(BgL_obj3202z00_3438); 
BgL_auxz00_4954 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4955); } 
BgL_testz00_4952 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_4954))->BgL_arityzd2errorzd2noticedzf3zf3); } } 
if(BgL_testz00_4952)
{ /* Cfa/funcall.scm 144 */BFALSE; }  else 
{ /* Cfa/funcall.scm 145 */
long BgL_lenzd2provzd2_2542;
{ /* Cfa/funcall.scm 145 */
long BgL_auxz00_4959;
BgL_auxz00_4959 = 
bgl_list_length(BgL_argszd2approxzd2_10); 
BgL_lenzd2provzd2_2542 = 
(BgL_auxz00_4959-((long)1)); } 
{ /* Cfa/funcall.scm 146 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3205z00_3441;
BgL_obj3205z00_3441 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_nodez00_7); 
{ 
obj_t BgL_auxz00_4963;
{ /* Cfa/funcall.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4964;
BgL_auxz00_4964 = 
(BgL_objectz00_bglt)(BgL_obj3205z00_3441); 
BgL_auxz00_4963 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4964); } 
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_4963))->BgL_arityzd2errorzd2noticedzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Cfa/funcall.scm 147 */
obj_t BgL_arg4331z00_2543;obj_t BgL_arg4332z00_2544;obj_t BgL_arg4334z00_2546;
{ /* Cfa/funcall.scm 147 */
BgL_funcallz00_bglt BgL_obj3209z00_3443;
BgL_obj3209z00_3443 = 
(BgL_funcallz00_bglt)(BgL_nodez00_7); 
BgL_arg4331z00_2543 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj3209z00_3443))->BgL_locz00); } 
{ /* Cfa/funcall.scm 151 */
obj_t BgL_arg4335z00_2547;
{ /* Cfa/funcall.scm 151 */
bool_t BgL_test4336z00_2548;
BgL_test4336z00_2548 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_8), BGl_localz00zzast_varz00); 
if(BgL_test4336z00_2548)
{ /* Cfa/funcall.scm 151 */
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_duplicated4306z00_2549;
BgL_duplicated4306z00_2549 = 
(BgL_localz00_bglt)(BgL_vz00_8); 
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_new4307z00_2550;
{ /* Cfa/funcall.scm 152 */
obj_t BgL_arg4337z00_2551;obj_t BgL_arg4338z00_2552;BgL_typez00_bglt BgL_arg4339z00_2553;BgL_valuez00_bglt BgL_arg4340z00_2554;obj_t BgL_arg4341z00_2555;obj_t BgL_arg4342z00_2556;obj_t BgL_arg4343z00_2557;long BgL_arg4344z00_2558;bool_t BgL_arg4345z00_2559;long BgL_arg4346z00_2560;
BgL_arg4337z00_2551 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_idz00); 
BgL_arg4338z00_2552 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_namez00); 
BgL_arg4339z00_2553 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_typez00); 
BgL_arg4340z00_2554 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_valuez00); 
BgL_arg4341z00_2555 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_accessz00); 
BgL_arg4342z00_2556 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_fastzd2alphazd2); 
BgL_arg4343z00_2557 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_removablez00); 
BgL_arg4344z00_2558 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_occurrencez00); 
BgL_arg4345z00_2559 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_userzf3zf3); 
BgL_arg4346z00_2560 = 
(((BgL_localz00_bglt)CREF(BgL_duplicated4306z00_2549))->BgL_keyz00); 
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_res4600z00_3494;
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_new1306z00_3465;
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_res4598z00_3471;
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_new1308z00_3466;
BgL_new1308z00_3466 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Cfa/funcall.scm 152 */
long BgL_arg4553z00_3467;
BgL_arg4553z00_3467 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Cfa/funcall.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4986;
BgL_auxz00_4986 = 
(BgL_objectz00_bglt)(BgL_new1308z00_3466); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4986, BgL_arg4553z00_3467); } } 
{ /* Cfa/funcall.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4989;
BgL_auxz00_4989 = 
(BgL_objectz00_bglt)(BgL_new1308z00_3466); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4989, BFALSE); } 
{ /* Cfa/funcall.scm 152 */
obj_t BgL_auxz00_4992;
BgL_auxz00_4992 = 
(obj_t)(BgL_new1308z00_3466); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4992); } BUNSPEC; 
BgL_res4598z00_3471 = BgL_new1308z00_3466; } 
BgL_new1306z00_3465 = BgL_res4598z00_3471; } 
{ /* Cfa/funcall.scm 152 */
BgL_localz00_bglt BgL_res4599z00_3493;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_idz00) = ((obj_t)BgL_arg4337z00_2551), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_namez00) = ((obj_t)BgL_arg4338z00_2552), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg4339z00_2553), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg4340z00_2554), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_accessz00) = ((obj_t)BgL_arg4341z00_2555), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg4342z00_2556), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_removablez00) = ((obj_t)BgL_arg4343z00_2557), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_occurrencez00) = ((long)BgL_arg4344z00_2558), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_userzf3zf3) = ((bool_t)BgL_arg4345z00_2559), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_3465))->BgL_keyz00) = ((long)BgL_arg4346z00_2560), BUNSPEC); 
BgL_res4599z00_3493 = BgL_new1306z00_3465; BgL_res4599z00_3493; } 
BgL_res4600z00_3494 = BgL_new1306z00_3465; } 
BgL_new4307z00_2550 = BgL_res4600z00_3494; } } 
{ /* Cfa/funcall.scm 152 */

BgL_arg4335z00_2547 = 
(obj_t)(BgL_new4307z00_2550); } } } }  else 
{ /* Cfa/funcall.scm 153 */
bool_t BgL_test4347z00_2561;
BgL_test4347z00_2561 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_8), BGl_globalz00zzast_varz00); 
if(BgL_test4347z00_2561)
{ /* Cfa/funcall.scm 153 */
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_duplicated4308z00_2562;
BgL_duplicated4308z00_2562 = 
(BgL_globalz00_bglt)(BgL_vz00_8); 
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_new4309z00_2563;
{ /* Cfa/funcall.scm 154 */
obj_t BgL_arg4348z00_2564;obj_t BgL_arg4349z00_2565;BgL_typez00_bglt BgL_arg4350z00_2566;BgL_valuez00_bglt BgL_arg4351z00_2567;obj_t BgL_arg4352z00_2568;obj_t BgL_arg4353z00_2569;obj_t BgL_arg4354z00_2570;long BgL_arg4355z00_2571;obj_t BgL_arg4356z00_2572;obj_t BgL_arg4357z00_2573;bool_t BgL_arg4358z00_2574;bool_t BgL_arg4359z00_2575;bool_t BgL_arg4360z00_2576;obj_t BgL_arg4361z00_2577;obj_t BgL_arg4362z00_2578;obj_t BgL_arg4363z00_2579;
BgL_arg4348z00_2564 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_idz00); 
BgL_arg4349z00_2565 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_namez00); 
BgL_arg4350z00_2566 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_typez00); 
BgL_arg4351z00_2567 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_valuez00); 
BgL_arg4352z00_2568 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_accessz00); 
BgL_arg4353z00_2569 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_fastzd2alphazd2); 
BgL_arg4354z00_2570 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_removablez00); 
BgL_arg4355z00_2571 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_occurrencez00); 
BgL_arg4356z00_2572 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_modulez00); 
BgL_arg4357z00_2573 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_importz00); 
BgL_arg4358z00_2574 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_evaluablezf3zf3); 
BgL_arg4359z00_2575 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_libraryzf3zf3); 
BgL_arg4360z00_2576 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_userzf3zf3); 
BgL_arg4361z00_2577 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_pragmaz00); 
BgL_arg4362z00_2578 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_srcz00); 
BgL_arg4363z00_2579 = 
(((BgL_globalz00_bglt)CREF(BgL_duplicated4308z00_2562))->BgL_jvmzd2typezd2namez00); 
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_res4603z00_3569;
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_new1244z00_3528;
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_res4601z00_3534;
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_new1246z00_3529;
BgL_new1246z00_3529 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Cfa/funcall.scm 154 */
long BgL_arg4554z00_3530;
BgL_arg4554z00_3530 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Cfa/funcall.scm 154 */
BgL_objectz00_bglt BgL_auxz00_5028;
BgL_auxz00_5028 = 
(BgL_objectz00_bglt)(BgL_new1246z00_3529); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5028, BgL_arg4554z00_3530); } } 
{ /* Cfa/funcall.scm 154 */
BgL_objectz00_bglt BgL_auxz00_5031;
BgL_auxz00_5031 = 
(BgL_objectz00_bglt)(BgL_new1246z00_3529); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5031, BFALSE); } 
{ /* Cfa/funcall.scm 154 */
obj_t BgL_auxz00_5034;
BgL_auxz00_5034 = 
(obj_t)(BgL_new1246z00_3529); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5034); } BUNSPEC; 
BgL_res4601z00_3534 = BgL_new1246z00_3529; } 
BgL_new1244z00_3528 = BgL_res4601z00_3534; } 
{ /* Cfa/funcall.scm 154 */
BgL_globalz00_bglt BgL_res4602z00_3568;
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_idz00) = ((obj_t)BgL_arg4348z00_2564), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_namez00) = ((obj_t)BgL_arg4349z00_2565), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg4350z00_2566), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg4351z00_2567), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_accessz00) = ((obj_t)BgL_arg4352z00_2568), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg4353z00_2569), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_removablez00) = ((obj_t)BgL_arg4354z00_2570), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_occurrencez00) = ((long)BgL_arg4355z00_2571), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_modulez00) = ((obj_t)BgL_arg4356z00_2572), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_importz00) = ((obj_t)BgL_arg4357z00_2573), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_evaluablezf3zf3) = ((bool_t)BgL_arg4358z00_2574), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_libraryzf3zf3) = ((bool_t)BgL_arg4359z00_2575), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_userzf3zf3) = ((bool_t)BgL_arg4360z00_2576), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_pragmaz00) = ((obj_t)BgL_arg4361z00_2577), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_srcz00) = ((obj_t)BgL_arg4362z00_2578), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_3528))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_arg4363z00_2579), BUNSPEC); 
BgL_res4602z00_3568 = BgL_new1244z00_3528; BgL_res4602z00_3568; } 
BgL_res4603z00_3569 = BgL_new1244z00_3528; } 
BgL_new4309z00_2563 = BgL_res4603z00_3569; } } 
{ /* Cfa/funcall.scm 154 */

BgL_arg4335z00_2547 = 
(obj_t)(BgL_new4309z00_2563); } } } }  else 
{ /* Cfa/funcall.scm 153 */
BgL_arg4335z00_2547 = 
(obj_t)(BgL_vz00_8); } } } 
BgL_arg4332z00_2544 = 
BGl_shapez00zztools_shapez00(BgL_arg4335z00_2547); } 
{ /* Cfa/funcall.scm 159 */
obj_t BgL_arg4364z00_2580;obj_t BgL_arg4366z00_2582;
BgL_arg4364z00_2580 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(BgL_arityz00_9-((long)1)), BNIL); 
BgL_arg4366z00_2582 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_lenzd2provzd2_2542, BNIL); 
{ /* Cfa/funcall.scm 158 */
obj_t BgL_list4368z00_2584;
{ /* Cfa/funcall.scm 158 */
obj_t BgL_arg4369z00_2585;
{ /* Cfa/funcall.scm 158 */
obj_t BgL_arg4370z00_2586;
{ /* Cfa/funcall.scm 158 */
obj_t BgL_arg4371z00_2587;
BgL_arg4371z00_2587 = 
MAKE_PAIR(BGl_string4689z00zzcfa_funcallz00, BNIL); 
BgL_arg4370z00_2586 = 
MAKE_PAIR(BgL_arg4366z00_2582, BgL_arg4371z00_2587); } 
BgL_arg4369z00_2585 = 
MAKE_PAIR(BGl_string4690z00zzcfa_funcallz00, BgL_arg4370z00_2586); } 
BgL_list4368z00_2584 = 
MAKE_PAIR(BgL_arg4364z00_2580, BgL_arg4369z00_2585); } 
BgL_arg4334z00_2546 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list4368z00_2584); } } 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg4331z00_2543, BgL_arg4332z00_2544, BGl_string4691z00zzcfa_funcallz00, BgL_arg4334z00_2546); } } } 
return 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
{ AN_OBJECT;
{ /* Cfa/funcall.scm 15 */
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc4692z00zzcfa_funcallz00);} 
}



/* cfa!-funcall/Cinfo4311 */
obj_t BGl_cfaz12zd2funcallzf2Cinfo4311z32zzcfa_funcallz00(obj_t BgL_envz00_4835, obj_t BgL_nodez00_4836)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 42 */
{ 
BgL_funcallzf2cinfozf2_bglt BgL_nodez00_3354;
{ /* ./Tools/trace.sch 42 */
BgL_approxz00_bglt BgL_auxz00_5067;
BgL_nodez00_3354 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_nodez00_4836); 
{ /* Cfa/funcall.scm 45 */
BgL_approxz00_bglt BgL_funzd2approxzd2_3358;
{ /* Cfa/funcall.scm 45 */
BgL_nodez00_bglt BgL_auxz00_5068;
{ /* Cfa/funcall.scm 45 */
BgL_funcallz00_bglt BgL_obj3213z00_4800;
BgL_obj3213z00_4800 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3354); 
BgL_auxz00_5068 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj3213z00_4800))->BgL_funz00); } 
BgL_funzd2approxzd2_3358 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5068); } 
{ /* Cfa/funcall.scm 45 */
obj_t BgL_argszd2approxzd2_3359;
{ /* Cfa/funcall.scm 46 */
obj_t BgL_l4293z00_3397;
{ /* Cfa/funcall.scm 46 */
obj_t BgL_auxz00_5072;
{ /* Cfa/funcall.scm 46 */
BgL_funcallz00_bglt BgL_obj3216z00_4801;
BgL_obj3216z00_4801 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3354); 
BgL_auxz00_5072 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj3216z00_4801))->BgL_argsz00); } 
BgL_l4293z00_3397 = 
CDR(BgL_auxz00_5072); } 
if(
NULLP(BgL_l4293z00_3397))
{ /* Cfa/funcall.scm 46 */
BgL_argszd2approxzd2_3359 = BNIL; }  else 
{ /* Cfa/funcall.scm 46 */
obj_t BgL_head4295z00_3399;
{ /* Cfa/funcall.scm 46 */
BgL_approxz00_bglt BgL_arg4592z00_3410;
{ /* Cfa/funcall.scm 46 */
BgL_nodez00_bglt BgL_auxz00_5078;
{ /* Cfa/funcall.scm 46 */
obj_t BgL_auxz00_5079;
BgL_auxz00_5079 = 
CAR(BgL_l4293z00_3397); 
BgL_auxz00_5078 = 
(BgL_nodez00_bglt)(BgL_auxz00_5079); } 
BgL_arg4592z00_3410 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5078); } 
{ /* Cfa/funcall.scm 46 */
obj_t BgL_auxz00_5083;
BgL_auxz00_5083 = 
(obj_t)(BgL_arg4592z00_3410); 
BgL_head4295z00_3399 = 
MAKE_PAIR(BgL_auxz00_5083, BNIL); } } 
{ 
obj_t BgL_l4293z00_3400;obj_t BgL_tail4296z00_3401;
BgL_l4293z00_3400 = 
CDR(BgL_l4293z00_3397); 
BgL_tail4296z00_3401 = BgL_head4295z00_3399; 
BgL_lname4294z00_3402:
if(
NULLP(BgL_l4293z00_3400))
{ /* Cfa/funcall.scm 46 */
BgL_argszd2approxzd2_3359 = BgL_head4295z00_3399; }  else 
{ /* Cfa/funcall.scm 46 */
obj_t BgL_newtail4297z00_3405;
{ /* Cfa/funcall.scm 46 */
BgL_approxz00_bglt BgL_arg4589z00_3407;
{ /* Cfa/funcall.scm 46 */
BgL_nodez00_bglt BgL_auxz00_5088;
{ /* Cfa/funcall.scm 46 */
obj_t BgL_auxz00_5089;
BgL_auxz00_5089 = 
CAR(BgL_l4293z00_3400); 
BgL_auxz00_5088 = 
(BgL_nodez00_bglt)(BgL_auxz00_5089); } 
BgL_arg4589z00_3407 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5088); } 
{ /* Cfa/funcall.scm 46 */
obj_t BgL_auxz00_5093;
BgL_auxz00_5093 = 
(obj_t)(BgL_arg4589z00_3407); 
BgL_newtail4297z00_3405 = 
MAKE_PAIR(BgL_auxz00_5093, BNIL); } } 
SET_CDR(BgL_tail4296z00_3401, BgL_newtail4297z00_3405); 
{ 
obj_t BgL_tail4296z00_5099;obj_t BgL_l4293z00_5097;
BgL_l4293z00_5097 = 
CDR(BgL_l4293z00_3400); 
BgL_tail4296z00_5099 = BgL_newtail4297z00_3405; 
BgL_tail4296z00_3401 = BgL_tail4296z00_5099; 
BgL_l4293z00_3400 = BgL_l4293z00_5097; 
goto BgL_lname4294z00_3402;} } } } } 
{ /* Cfa/funcall.scm 46 */

{ /* Cfa/funcall.scm 51 */
BgL_typez00_bglt BgL_funzd2typezd2_3360;
BgL_funzd2typezd2_3360 = 
(((BgL_approxz00_bglt)CREF(BgL_funzd2approxzd2_3358))->BgL_typez00); 
{ /* Cfa/funcall.scm 52 */
bool_t BgL_test4558z00_3361;
{ /* Cfa/funcall.scm 52 */
bool_t BgL_test4559z00_3362;
{ /* Cfa/funcall.scm 52 */
obj_t BgL_auxz00_5102;
BgL_auxz00_5102 = 
(obj_t)(BgL_funzd2typezd2_3360); 
BgL_test4559z00_3362 = 
(BgL_auxz00_5102==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4559z00_3362)
{ /* Cfa/funcall.scm 52 */
BgL_test4558z00_3361 = ((bool_t)0); }  else 
{ /* Cfa/funcall.scm 53 */
bool_t BgL_test4560z00_3363;
{ /* Cfa/funcall.scm 53 */
obj_t BgL_auxz00_5106;
BgL_auxz00_5106 = 
(obj_t)(BgL_funzd2typezd2_3360); 
BgL_test4560z00_3363 = 
(BgL_auxz00_5106==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test4560z00_3363)
{ /* Cfa/funcall.scm 53 */
BgL_test4558z00_3361 = ((bool_t)0); }  else 
{ /* Cfa/funcall.scm 54 */
bool_t BgL_test4561z00_3364;
{ /* Cfa/funcall.scm 54 */
obj_t BgL_auxz00_5110;
BgL_auxz00_5110 = 
(obj_t)(BgL_funzd2typezd2_3360); 
BgL_test4561z00_3364 = 
(BgL_auxz00_5110==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4561z00_3364)
{ /* Cfa/funcall.scm 54 */
BgL_test4558z00_3361 = ((bool_t)0); }  else 
{ /* Cfa/funcall.scm 54 */
BgL_test4558z00_3361 = ((bool_t)1); } } } } 
if(BgL_test4558z00_3361)
{ /* Cfa/funcall.scm 52 */
BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_nodez00_3354, BgL_funzd2typezd2_3360); }  else 
{ /* Cfa/funcall.scm 52 */BFALSE; } } } 
{ /* Cfa/funcall.scm 57 */
bool_t BgL_test4562z00_3365;
{ /* Cfa/funcall.scm 57 */
bool_t BgL_test4564z00_3367;
{ /* Cfa/funcall.scm 57 */
obj_t BgL_auxz00_5116;
{ /* Cfa/funcall.scm 57 */
BgL_typez00_bglt BgL_auxz00_5117;
BgL_auxz00_5117 = 
(((BgL_approxz00_bglt)CREF(BgL_funzd2approxzd2_3358))->BgL_typez00); 
BgL_auxz00_5116 = 
(obj_t)(BgL_auxz00_5117); } 
BgL_test4564z00_3367 = 
(BgL_auxz00_5116==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4564z00_3367)
{ /* Cfa/funcall.scm 57 */
BgL_test4562z00_3365 = 
(((BgL_approxz00_bglt)CREF(BgL_funzd2approxzd2_3358))->BgL_topzf3zf3); }  else 
{ /* Cfa/funcall.scm 57 */
BgL_test4562z00_3365 = ((bool_t)1); } } 
if(BgL_test4562z00_3365)
{ /* Cfa/funcall.scm 59 */
BgL_approxz00_bglt BgL_auxz00_5124;
{ 
obj_t BgL_auxz00_5125;
{ /* Cfa/funcall.scm 59 */
BgL_objectz00_bglt BgL_auxz00_5126;
BgL_auxz00_5126 = 
(BgL_objectz00_bglt)(BgL_nodez00_3354); 
BgL_auxz00_5125 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5126); } 
BgL_auxz00_5124 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_5125))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_auxz00_5124, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); }  else 
{ /* Cfa/funcall.scm 57 */BFALSE; } } 
{ /* Cfa/funcall.scm 61 */
bool_t BgL_test4566z00_3369;
if(
(((BgL_approxz00_bglt)CREF(BgL_funzd2approxzd2_3358))->BgL_topzf3zf3))
{ /* Cfa/funcall.scm 61 */
BgL_test4566z00_3369 = ((bool_t)1); }  else 
{ /* Cfa/funcall.scm 62 */
bool_t BgL_test4583z00_3395;
{ /* Cfa/funcall.scm 62 */
obj_t BgL_auxz00_5134;
{ /* Cfa/funcall.scm 62 */
BgL_typez00_bglt BgL_auxz00_5135;
BgL_auxz00_5135 = 
(((BgL_approxz00_bglt)CREF(BgL_funzd2approxzd2_3358))->BgL_typez00); 
BgL_auxz00_5134 = 
(obj_t)(BgL_auxz00_5135); } 
BgL_test4583z00_3395 = 
(BgL_auxz00_5134==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4583z00_3395)
{ /* Cfa/funcall.scm 62 */
BgL_test4566z00_3369 = ((bool_t)0); }  else 
{ /* Cfa/funcall.scm 62 */
BgL_test4566z00_3369 = ((bool_t)1); } } 
if(BgL_test4566z00_3369)
{ /* Cfa/funcall.scm 61 */
{ 
obj_t BgL_l4298z00_3370;
BgL_l4298z00_3370 = BgL_argszd2approxzd2_3359; 
BgL_lname4299z00_3371:
if(
PAIRP(BgL_l4298z00_3370))
{ /* Cfa/funcall.scm 64 */
{ /* Cfa/funcall.scm 64 */
BgL_approxz00_bglt BgL_auxz00_5143;
{ /* Cfa/funcall.scm 64 */
obj_t BgL_auxz00_5144;
BgL_auxz00_5144 = 
CAR(BgL_l4298z00_3370); 
BgL_auxz00_5143 = 
(BgL_approxz00_bglt)(BgL_auxz00_5144); } 
BGl_loosez12z12zzcfa_loosez00(BgL_auxz00_5143, 
CNST_TABLE_REF(((long)0))); } 
{ 
obj_t BgL_l4298z00_5149;
BgL_l4298z00_5149 = 
CDR(BgL_l4298z00_3370); 
BgL_l4298z00_3370 = BgL_l4298z00_5149; 
goto BgL_lname4299z00_3371;} }  else 
{ /* Cfa/funcall.scm 64 */((bool_t)1); } } 
{ /* Cfa/funcall.scm 67 */
obj_t BgL_zc3anonymousza34570ze3z83_4833;
{ 
int BgL_auxz00_5153;int BgL_auxz00_5151;
BgL_auxz00_5153 = 
(int)(((long)3)); 
BgL_auxz00_5151 = 
(int)(((long)1)); 
BgL_zc3anonymousza34570ze3z83_4833 = 
make_fx_procedure(BGl_zc3anonymousza34570ze3z83zzcfa_funcallz00, BgL_auxz00_5151, BgL_auxz00_5153); } 
{ /* Cfa/funcall.scm 67 */
obj_t BgL_auxz00_5158;int BgL_auxz00_5156;
BgL_auxz00_5158 = 
(obj_t)(BgL_nodez00_3354); 
BgL_auxz00_5156 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34570ze3z83_4833, BgL_auxz00_5156, BgL_auxz00_5158); } 
{ /* Cfa/funcall.scm 67 */
int BgL_auxz00_5161;
BgL_auxz00_5161 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34570ze3z83_4833, BgL_auxz00_5161, BgL_argszd2approxzd2_3359); } 
{ /* Cfa/funcall.scm 67 */
obj_t BgL_auxz00_5166;int BgL_auxz00_5164;
BgL_auxz00_5166 = 
(obj_t)(BgL_nodez00_3354); 
BgL_auxz00_5164 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza34570ze3z83_4833, BgL_auxz00_5164, BgL_auxz00_5166); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34570ze3z83_4833, BgL_funzd2approxzd2_3358); } 
{ /* Cfa/funcall.scm 76 */
BgL_approxz00_bglt BgL_auxz00_5170;
{ 
obj_t BgL_auxz00_5171;
{ /* Cfa/funcall.scm 76 */
BgL_objectz00_bglt BgL_auxz00_5172;
BgL_auxz00_5172 = 
(BgL_objectz00_bglt)(BgL_nodez00_3354); 
BgL_auxz00_5171 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5172); } 
BgL_auxz00_5170 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_5171))->BgL_approxz00); } 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_5170); } }  else 
{ /* Cfa/funcall.scm 79 */
obj_t BgL_zc3anonymousza34577ze3z83_4832;
{ 
int BgL_auxz00_5179;int BgL_auxz00_5177;
BgL_auxz00_5179 = 
(int)(((long)3)); 
BgL_auxz00_5177 = 
(int)(((long)1)); 
BgL_zc3anonymousza34577ze3z83_4832 = 
make_fx_procedure(BGl_zc3anonymousza34577ze3z83zzcfa_funcallz00, BgL_auxz00_5177, BgL_auxz00_5179); } 
{ /* Cfa/funcall.scm 79 */
obj_t BgL_auxz00_5184;int BgL_auxz00_5182;
BgL_auxz00_5184 = 
(obj_t)(BgL_nodez00_3354); 
BgL_auxz00_5182 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34577ze3z83_4832, BgL_auxz00_5182, BgL_auxz00_5184); } 
{ /* Cfa/funcall.scm 79 */
int BgL_auxz00_5187;
BgL_auxz00_5187 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34577ze3z83_4832, BgL_auxz00_5187, BgL_argszd2approxzd2_3359); } 
{ /* Cfa/funcall.scm 79 */
obj_t BgL_auxz00_5192;int BgL_auxz00_5190;
BgL_auxz00_5192 = 
(obj_t)(BgL_nodez00_3354); 
BgL_auxz00_5190 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza34577ze3z83_4832, BgL_auxz00_5190, BgL_auxz00_5192); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34577ze3z83_4832, BgL_funzd2approxzd2_3358); } } 
{ 
obj_t BgL_auxz00_5196;
{ /* Cfa/funcall.scm 88 */
BgL_objectz00_bglt BgL_auxz00_5197;
BgL_auxz00_5197 = 
(BgL_objectz00_bglt)(BgL_nodez00_3354); 
BgL_auxz00_5196 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5197); } 
BgL_auxz00_5067 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_5196))->BgL_approxz00); } } } } 
return 
(obj_t)(BgL_auxz00_5067);} } } 
}



/* <anonymous:4570> */
obj_t BGl_zc3anonymousza34570ze3z83zzcfa_funcallz00(obj_t BgL_envz00_4837, obj_t BgL_allocz00_4841)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 66 */
{ /* Cfa/funcall.scm 67 */
obj_t BgL_instance4291z00_4838;obj_t BgL_argszd2approxzd2_4839;obj_t BgL_nodez00_4840;
{ /* Cfa/funcall.scm 67 */
int BgL_auxz00_5203;
BgL_auxz00_5203 = 
(int)(((long)0)); 
BgL_instance4291z00_4838 = 
PROCEDURE_REF(BgL_envz00_4837, BgL_auxz00_5203); } 
{ /* Cfa/funcall.scm 67 */
int BgL_auxz00_5206;
BgL_auxz00_5206 = 
(int)(((long)1)); 
BgL_argszd2approxzd2_4839 = 
PROCEDURE_REF(BgL_envz00_4837, BgL_auxz00_5206); } 
{ /* Cfa/funcall.scm 67 */
int BgL_auxz00_5209;
BgL_auxz00_5209 = 
(int)(((long)2)); 
BgL_nodez00_4840 = 
PROCEDURE_REF(BgL_envz00_4837, BgL_auxz00_5209); } 
{ 
obj_t BgL_allocz00_3376;
{ /* Cfa/funcall.scm 67 */
BgL_approxz00_bglt BgL_auxz00_5212;
BgL_allocz00_3376 = BgL_allocz00_4841; 
{ /* Cfa/funcall.scm 67 */
bool_t BgL_test4571z00_3378;
BgL_test4571z00_3378 = 
BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_3376, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4571z00_3378)
{ /* Cfa/funcall.scm 69 */
BgL_approxz00_bglt BgL_arg4572z00_3380;BgL_approxz00_bglt BgL_arg4573z00_3381;
{ /* Cfa/funcall.scm 69 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3200z00_4826;
BgL_obj3200z00_4826 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_instance4291z00_4838); 
{ 
obj_t BgL_auxz00_5216;
{ /* Cfa/funcall.scm 69 */
BgL_objectz00_bglt BgL_auxz00_5217;
BgL_auxz00_5217 = 
(BgL_objectz00_bglt)(BgL_obj3200z00_4826); 
BgL_auxz00_5216 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5217); } 
BgL_arg4572z00_3380 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_5216))->BgL_approxz00); } } 
{ /* Cfa/funcall.scm 71 */
obj_t BgL_arg4574z00_3382;
{ /* Cfa/funcall.scm 71 */
obj_t BgL_auxz00_5221;
{ /* Cfa/funcall.scm 71 */
BgL_approxz00_bglt BgL_auxz00_5222;
{ /* Cfa/funcall.scm 68 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3849z00_4825;
BgL_obj3849z00_4825 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_3376); 
{ 
obj_t BgL_auxz00_5224;
{ /* Cfa/funcall.scm 68 */
BgL_objectz00_bglt BgL_auxz00_5225;
BgL_auxz00_5225 = 
(BgL_objectz00_bglt)(BgL_obj3849z00_4825); 
BgL_auxz00_5224 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5225); } 
BgL_auxz00_5222 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5224))->BgL_approxz00); } } 
BgL_auxz00_5221 = 
(obj_t)(BgL_auxz00_5222); } 
BgL_arg4574z00_3382 = 
MAKE_PAIR(BgL_auxz00_5221, BgL_argszd2approxzd2_4839); } 
BgL_arg4573z00_3381 = 
BGl_funcallz12z12zzcfa_funcallz00(
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_3376), BgL_arg4574z00_3382, BgL_nodez00_4840); } 
BgL_auxz00_5212 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4572z00_3380, BgL_arg4573z00_3381); }  else 
{ /* Cfa/funcall.scm 67 */
BgL_auxz00_5212 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
; } } 
return 
(obj_t)(BgL_auxz00_5212);} } } } 
}



/* <anonymous:4577> */
obj_t BGl_zc3anonymousza34577ze3z83zzcfa_funcallz00(obj_t BgL_envz00_4842, obj_t BgL_allocz00_4846)
{ AN_OBJECT;
{ /* Cfa/funcall.scm 78 */
{ /* Cfa/funcall.scm 79 */
obj_t BgL_instance4291z00_4843;obj_t BgL_argszd2approxzd2_4844;obj_t BgL_nodez00_4845;
{ /* Cfa/funcall.scm 79 */
int BgL_auxz00_5236;
BgL_auxz00_5236 = 
(int)(((long)0)); 
BgL_instance4291z00_4843 = 
PROCEDURE_REF(BgL_envz00_4842, BgL_auxz00_5236); } 
{ /* Cfa/funcall.scm 79 */
int BgL_auxz00_5239;
BgL_auxz00_5239 = 
(int)(((long)1)); 
BgL_argszd2approxzd2_4844 = 
PROCEDURE_REF(BgL_envz00_4842, BgL_auxz00_5239); } 
{ /* Cfa/funcall.scm 79 */
int BgL_auxz00_5242;
BgL_auxz00_5242 = 
(int)(((long)2)); 
BgL_nodez00_4845 = 
PROCEDURE_REF(BgL_envz00_4842, BgL_auxz00_5242); } 
{ 
obj_t BgL_allocz00_3386;
{ /* Cfa/funcall.scm 79 */
BgL_approxz00_bglt BgL_auxz00_5245;
BgL_allocz00_3386 = BgL_allocz00_4846; 
{ /* Cfa/funcall.scm 79 */
bool_t BgL_test4578z00_3388;
BgL_test4578z00_3388 = 
BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_3386, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4578z00_3388)
{ /* Cfa/funcall.scm 81 */
BgL_approxz00_bglt BgL_arg4579z00_3390;BgL_approxz00_bglt BgL_arg4580z00_3391;
{ /* Cfa/funcall.scm 81 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3200z00_4830;
BgL_obj3200z00_4830 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_instance4291z00_4843); 
{ 
obj_t BgL_auxz00_5249;
{ /* Cfa/funcall.scm 81 */
BgL_objectz00_bglt BgL_auxz00_5250;
BgL_auxz00_5250 = 
(BgL_objectz00_bglt)(BgL_obj3200z00_4830); 
BgL_auxz00_5249 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5250); } 
BgL_arg4579z00_3390 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_5249))->BgL_approxz00); } } 
{ /* Cfa/funcall.scm 83 */
obj_t BgL_arg4581z00_3392;
{ /* Cfa/funcall.scm 83 */
obj_t BgL_auxz00_5254;
{ /* Cfa/funcall.scm 83 */
BgL_approxz00_bglt BgL_auxz00_5255;
{ /* Cfa/funcall.scm 80 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3849z00_4829;
BgL_obj3849z00_4829 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_3386); 
{ 
obj_t BgL_auxz00_5257;
{ /* Cfa/funcall.scm 80 */
BgL_objectz00_bglt BgL_auxz00_5258;
BgL_auxz00_5258 = 
(BgL_objectz00_bglt)(BgL_obj3849z00_4829); 
BgL_auxz00_5257 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5258); } 
BgL_auxz00_5255 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5257))->BgL_approxz00); } } 
BgL_auxz00_5254 = 
(obj_t)(BgL_auxz00_5255); } 
BgL_arg4581z00_3392 = 
MAKE_PAIR(BgL_auxz00_5254, BgL_argszd2approxzd2_4844); } 
BgL_arg4580z00_3391 = 
BGl_funcallz12z12zzcfa_funcallz00(
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_3386), BgL_arg4581z00_3392, BgL_nodez00_4845); } 
BgL_auxz00_5245 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4579z00_3390, BgL_arg4580z00_3391); }  else 
{ /* Cfa/funcall.scm 79 */
BgL_auxz00_5245 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
; } } 
return 
(obj_t)(BgL_auxz00_5245);} } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
{ AN_OBJECT;
{ /* Cfa/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_funcall"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_funcall"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_appz00(((long)12354), "cfa_funcall");} 
}

