/*===========================================================================*/
/*   (Cfa/iterate.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_iteratez00();
static obj_t BGl_cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
extern obj_t open_input_string(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BUNSPEC;
extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_iteratez00();
extern obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
static obj_t BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00();
static obj_t BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
static obj_t BGl__cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00(obj_t, obj_t, obj_t);
extern obj_t BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
static obj_t BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t, obj_t);
static obj_t BGl_cfazd2exportzd2varz12zd2internzd2sfunzf2Cinfo4309ze0zzcfa_iteratez00(obj_t, obj_t, obj_t);
static obj_t BGl__cfazd2iteratez12zc0zzcfa_iteratez00(obj_t, obj_t);
static obj_t BGl__continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = BUNSPEC;
extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
static obj_t BGl_cfazd2exportzd2varz12zd2svarzf2Cinfo4307z32zzcfa_iteratez00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
extern BgL_approxz00_bglt BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_PROCEDURE( BGl_cfazd2exportzd2varz12zd2default4304zd2envz12zzcfa_iteratez00, BgL_bgl__cfaza7d2exportza7d2varza712za7d2default4304za7c0za7za7cfa_iterateza7004614z00, BGl__cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_continuezd2cfaz12zd2envz12zzcfa_iteratez00, BgL_bgl__continueza7d2cfaza712za7c0za7za7cfa_iterateza7004615z00, BGl__continuezd2cfaz12zc0zzcfa_iteratez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_cfazd2iteratez12zd2envz12zzcfa_iteratez00, BgL_bgl__cfaza7d2iterateza712za7c0za7za7cfa_iterateza7004616z00, BGl__cfazd2iteratez12zc0zzcfa_iteratez00, 0L, 1 );
DEFINE_STRING( BGl_string4609z00zzcfa_iteratez00, BgL_bgl_string4609za700za7za7cfa_iterateza7004617z00, "cfa-export-var!-default4304 all export ", 39 );
DEFINE_STRING( BGl_string4608z00zzcfa_iteratez00, BgL_bgl_string4608za700za7za7cfa_iterateza7004618z00, "No method for this object", 25 );
DEFINE_EXPORT_PROCEDURE( BGl_cfazd2iteratezd2tozd2fixpointz12zd2envz12zzcfa_iteratez00, BgL_bgl__cfaza7d2iterateza7d2toza7d2fixpointza712za7c0za7za7cfa_iterateza7004619z00, BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4606z00zzcfa_iteratez00, BgL_bgl_cfaza7d2exportza7d2varza712za7d2svarza7f2cinfo4307za732za7za7cfa_iterateza7004620za7, BGl_cfazd2exportzd2varz12zd2svarzf2Cinfo4307z32zzcfa_iteratez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4607z00zzcfa_iteratez00, BgL_bgl_cfaza7d2exportza7d2varza712za7d2internza7d2sfunza7f2cinfo4309za7e0za7za7cfa_iterateza7004621z00, BGl_cfazd2exportzd2varz12zd2internzd2sfunzf2Cinfo4309ze0zzcfa_iteratez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cfazd2internzd2sfunz12zd2envzc0zzcfa_iteratez00, BgL_bgl__cfaza7d2internza7d2sfunza712za712za7za7cfa_iterateza7004622za7, BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00, 0L, 2 );
DEFINE_EXPORT_GENERIC( BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BgL_bgl__cfaza7d2exportza7d2varza712za712za7za7cfa_iterateza7004623za7, BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long BgL_checksumz00_4678, char * BgL_fromz00_4679)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_iteratez00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00(); 
BGl_cnstzd2initzd2zzcfa_iteratez00(); 
BGl_importedzd2moduleszd2initz00zzcfa_iteratez00(); 
BGl_methodzd2initzd2zzcfa_iteratez00(); 
BGl_toplevelzd2initzd2zzcfa_iteratez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_iterate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
{ /* Cfa/iterate.scm 15 */
obj_t BgL_cportz00_4671;
BgL_cportz00_4671 = 
open_input_string(BGl_string4609z00zzcfa_iteratez00); 
{ 
long BgL_iz00_4672;
BgL_iz00_4672 = ((long)2); 
BgL_loopz00_4673:
if(
(BgL_iz00_4672==((long)-1)))
{ /* Cfa/iterate.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/iterate.scm 15 */
{ /* Cfa/iterate.scm 15 */
obj_t BgL_arg4611z00_4675;
{ /* Cfa/iterate.scm 15 */
obj_t BgL_list4612z00_4676;
BgL_list4612z00_4676 = 
MAKE_PAIR(BgL_cportz00_4671, BNIL); 
BgL_arg4611z00_4675 = 
BGl_readz00zz__readerz00(BgL_list4612z00_4676); } 
{ /* Cfa/iterate.scm 15 */
int BgL_auxz00_4696;
BgL_auxz00_4696 = 
(int)(BgL_iz00_4672); 
CNST_TABLE_SET(BgL_auxz00_4696, BgL_arg4611z00_4675); } } 
{ 
long BgL_iz00_4699;
{ /* Cfa/iterate.scm 15 */
int BgL_auxz00_4700;
{ /* Cfa/iterate.scm 15 */
long BgL_auxz00_4701;
BgL_auxz00_4701 = 
(BgL_iz00_4672-((long)1)); 
BgL_auxz00_4700 = 
(int)(BgL_auxz00_4701); } 
BgL_iz00_4699 = 
(long)(BgL_auxz00_4700); } 
BgL_iz00_4672 = BgL_iz00_4699; 
goto BgL_loopz00_4673;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC; 
return ( 
BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = 
BINT(((long)-1)), BUNSPEC) ;} 
}



/* cfa-iterate-to-fixpoint! */
obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 37 */
BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = 
BINT(((long)-1)); 
{ /* Cfa/iterate.scm 42 */
obj_t BgL_glodefsz00_2512;
BgL_glodefsz00_2512 = BNIL; 
{ 
obj_t BgL_l4291z00_2513;
BgL_l4291z00_2513 = BgL_globalsz00_1; 
BgL_lname4292z00_2514:
if(
PAIRP(BgL_l4291z00_2513))
{ /* Cfa/iterate.scm 43 */
{ /* Cfa/iterate.scm 44 */
obj_t BgL_gz00_2516;
BgL_gz00_2516 = 
CAR(BgL_l4291z00_2513); 
{ /* Cfa/iterate.scm 44 */
bool_t BgL_testz00_4710;
{ /* Cfa/iterate.scm 44 */
obj_t BgL_auxz00_4714;obj_t BgL_auxz00_4711;
BgL_auxz00_4714 = 
CNST_TABLE_REF(((long)0)); 
{ /* Cfa/iterate.scm 44 */
BgL_globalz00_bglt BgL_obj1173z00_3331;
BgL_obj1173z00_3331 = 
(BgL_globalz00_bglt)(BgL_gz00_2516); 
BgL_auxz00_4711 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_3331))->BgL_importz00); } 
BgL_testz00_4710 = 
(BgL_auxz00_4711==BgL_auxz00_4714); } 
if(BgL_testz00_4710)
{ /* Cfa/iterate.scm 44 */
BgL_glodefsz00_2512 = 
MAKE_PAIR(BgL_gz00_2516, BgL_glodefsz00_2512); }  else 
{ /* Cfa/iterate.scm 44 */BFALSE; } } } 
{ 
obj_t BgL_l4291z00_4718;
BgL_l4291z00_4718 = 
CDR(BgL_l4291z00_2513); 
BgL_l4291z00_2513 = BgL_l4291z00_4718; 
goto BgL_lname4292z00_2514;} }  else 
{ /* Cfa/iterate.scm 43 */((bool_t)1); } } 
{ /* Cfa/iterate.scm 48 */
obj_t BgL_arg4315z00_2521;
BgL_arg4315z00_2521 = 
BGl_unitzd2initializa7ersz75zzast_unitz00(); 
BgL_glodefsz00_2512 = 
bgl_append2(BgL_arg4315z00_2521, BgL_glodefsz00_2512); } 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00(); 
{ 

BgL_loopz00_2522:
{ /* Cfa/iterate.scm 53 */
bool_t BgL_test4316z00_2523;
BgL_test4316z00_2523 = 
CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00); 
if(BgL_test4316z00_2523)
{ /* Cfa/iterate.scm 53 */
BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_glodefsz00_2512); 
goto BgL_loopz00_2522;}  else 
{ /* Cfa/iterate.scm 53 */
return BgL_glodefsz00_2512;} } } } } 
}



/* _cfa-iterate-to-fixpoint! */
obj_t BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t BgL_envz00_4649, obj_t BgL_globalsz00_4650)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 37 */
return 
BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(BgL_globalsz00_4650);} 
}



/* cfa-iterate! */
obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t BgL_globalsz00_2)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 63 */
BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BFALSE; 
{ /* Cfa/iterate.scm 65 */
long BgL_za72za7_3334;
BgL_za72za7_3334 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ /* Cfa/iterate.scm 65 */
long BgL_auxz00_4728;
BgL_auxz00_4728 = 
(((long)1)+BgL_za72za7_3334); 
BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = 
BINT(BgL_auxz00_4728); } } 
{ 
obj_t BgL_l4293z00_2524;
BgL_l4293z00_2524 = BgL_globalsz00_2; 
BgL_lname4294z00_2525:
if(
PAIRP(BgL_l4293z00_2524))
{ /* Cfa/iterate.scm 67 */
{ /* Cfa/iterate.scm 68 */
obj_t BgL_gz00_2527;
BgL_gz00_2527 = 
CAR(BgL_l4293z00_2524); 
{ /* Cfa/iterate.scm 69 */
BgL_valuez00_bglt BgL_arg4318z00_2528;
{ /* Cfa/iterate.scm 69 */
BgL_globalz00_bglt BgL_obj1155z00_3337;
BgL_obj1155z00_3337 = 
(BgL_globalz00_bglt)(BgL_gz00_2527); 
BgL_arg4318z00_2528 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3337))->BgL_valuez00); } 
{ /* Cfa/iterate.scm 69 */
obj_t BgL_method4305z00_3340;
{ /* Cfa/iterate.scm 69 */
long BgL_objzd2classzd2numz00_3342;
{ /* Cfa/iterate.scm 69 */
BgL_objectz00_bglt BgL_auxz00_4736;
BgL_auxz00_4736 = 
(BgL_objectz00_bglt)(BgL_arg4318z00_2528); 
BgL_objzd2classzd2numz00_3342 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4736); } 
{ /* Cfa/iterate.scm 69 */
obj_t BgL_arg1221z00_3343;
{ /* Cfa/iterate.scm 69 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(((long)1)); 
BgL_arg1221z00_3343 = 
PROCEDURE_REF(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BgL_auxz00_4739); } 
{ /* Cfa/iterate.scm 69 */
long BgL_offsetz00_3347;
{ /* Cfa/iterate.scm 69 */
long BgL_auxz00_4742;
{ /* Cfa/iterate.scm 69 */
int BgL_auxz00_4743;
BgL_auxz00_4743 = 
(int)(BgL_objzd2classzd2numz00_3342); 
BgL_auxz00_4742 = 
(long)(BgL_auxz00_4743); } 
BgL_offsetz00_3347 = 
(BgL_auxz00_4742-OBJECT_TYPE); } 
{ /* Cfa/iterate.scm 69 */
long BgL_modz00_3348;
{ /* Cfa/iterate.scm 69 */
long BgL_auxz00_4747;
{ /* Cfa/iterate.scm 69 */
int BgL_auxz00_4748;
BgL_auxz00_4748 = 
(int)(((long)8)); 
BgL_auxz00_4747 = 
(long)(BgL_auxz00_4748); } 
BgL_modz00_3348 = 
(BgL_offsetz00_3347/BgL_auxz00_4747); } 
{ /* Cfa/iterate.scm 69 */
long BgL_restz00_3350;
{ /* Cfa/iterate.scm 69 */
long BgL_auxz00_4752;
{ /* Cfa/iterate.scm 69 */
int BgL_auxz00_4753;
BgL_auxz00_4753 = 
(int)(((long)8)); 
BgL_auxz00_4752 = 
(long)(BgL_auxz00_4753); } 
BgL_restz00_3350 = 
(BgL_offsetz00_3347%BgL_auxz00_4752); } 
{ /* Cfa/iterate.scm 69 */

{ /* Cfa/iterate.scm 69 */
obj_t BgL_bucketz00_3352;
{ /* Cfa/iterate.scm 69 */
int BgL_kz00_3362;
BgL_kz00_3362 = 
(int)(BgL_modz00_3348); 
BgL_bucketz00_3352 = 
VECTOR_REF(BgL_arg1221z00_3343,BgL_kz00_3362); } 
{ /* Cfa/iterate.scm 69 */
int BgL_kz00_3364;
BgL_kz00_3364 = 
(int)(BgL_restz00_3350); 
BgL_method4305z00_3340 = 
VECTOR_REF(BgL_bucketz00_3352,BgL_kz00_3364); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4305z00_3340)(BgL_method4305z00_3340, 
(obj_t)(BgL_arg4318z00_2528), BgL_gz00_2527, BEOA); } } BNIL; } 
{ 
obj_t BgL_l4293z00_4764;
BgL_l4293z00_4764 = 
CDR(BgL_l4293z00_2524); 
BgL_l4293z00_2524 = BgL_l4293z00_4764; 
goto BgL_lname4294z00_2525;} }  else 
{ /* Cfa/iterate.scm 67 */((bool_t)1); } } 
return BNIL;} 
}



/* _cfa-iterate! */
obj_t BGl__cfazd2iteratez12zc0zzcfa_iteratez00(obj_t BgL_envz00_4651, obj_t BgL_globalsz00_4652)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 63 */
return 
BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_globalsz00_4652);} 
}



/* cfa-intern-sfun! */
BgL_approxz00_bglt BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_internzd2sfunzf2cinfoz20_bglt BgL_sfunz00_11, obj_t BgL_ownerz00_12)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 124 */
{ /* Cfa/iterate.scm 127 */
bool_t BgL_test4320z00_2531;
{ /* Cfa/iterate.scm 127 */
long BgL_arg4324z00_2535;
{ 
obj_t BgL_auxz00_4767;
{ /* Cfa/iterate.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4768;
BgL_auxz00_4768 = 
(BgL_objectz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4767 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4768); } 
BgL_arg4324z00_2535 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4767))->BgL_stampz00); } 
{ /* Cfa/iterate.scm 127 */
long BgL_n2z00_3368;
BgL_n2z00_3368 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test4320z00_2531 = 
(BgL_arg4324z00_2535==BgL_n2z00_3368); } } 
if(BgL_test4320z00_2531)
{ 
obj_t BgL_auxz00_4775;
{ /* Cfa/iterate.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4776;
BgL_auxz00_4776 = 
(BgL_objectz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4775 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4776); } 
return 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4775))->BgL_approxz00);}  else 
{ /* Cfa/iterate.scm 127 */
{ /* Cfa/iterate.scm 130 */
long BgL_val2824z00_3371;
BgL_val2824z00_3371 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4781;
{ /* Cfa/iterate.scm 130 */
BgL_objectz00_bglt BgL_auxz00_4782;
BgL_auxz00_4782 = 
(BgL_objectz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4781 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4782); } 
((((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4781))->BgL_stampz00) = ((long)BgL_val2824z00_3371), BUNSPEC); } } 
{ /* Cfa/iterate.scm 131 */
BgL_approxz00_bglt BgL_arg4321z00_2532;BgL_approxz00_bglt BgL_arg4322z00_2533;
{ 
obj_t BgL_auxz00_4786;
{ /* Cfa/iterate.scm 131 */
BgL_objectz00_bglt BgL_auxz00_4787;
BgL_auxz00_4787 = 
(BgL_objectz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4786 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4787); } 
BgL_arg4321z00_2532 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4786))->BgL_approxz00); } 
{ /* Cfa/iterate.scm 131 */
BgL_nodez00_bglt BgL_auxz00_4791;
{ /* Cfa/iterate.scm 131 */
obj_t BgL_auxz00_4792;
{ /* Cfa/iterate.scm 131 */
BgL_sfunz00_bglt BgL_obj2849z00_3373;
BgL_obj2849z00_3373 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4792 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj2849z00_3373))->BgL_bodyz00); } 
BgL_auxz00_4791 = 
(BgL_nodez00_bglt)(BgL_auxz00_4792); } 
BgL_arg4322z00_2533 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4791); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4321z00_2532, BgL_arg4322z00_2533); } 
{ 
obj_t BgL_auxz00_4798;
{ /* Cfa/iterate.scm 132 */
BgL_objectz00_bglt BgL_auxz00_4799;
BgL_auxz00_4799 = 
(BgL_objectz00_bglt)(BgL_sfunz00_11); 
BgL_auxz00_4798 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4799); } 
return 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4798))->BgL_approxz00);} } } } 
}



/* _cfa-intern-sfun! */
obj_t BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00(obj_t BgL_envz00_4656, obj_t BgL_sfunz00_4657, obj_t BgL_ownerz00_4658)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 124 */
{ /* Cfa/iterate.scm 124 */
BgL_approxz00_bglt BgL_auxz00_4803;
BgL_auxz00_4803 = 
BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_sfunz00_4657), BgL_ownerz00_4658); 
return 
(obj_t)(BgL_auxz00_4803);} } 
}



/* continue-cfa! */
obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 143 */
if(
CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
{ /* Cfa/iterate.scm 144 */BFALSE; }  else 
{ /* Cfa/iterate.scm 144 */BNIL; } 
return ( 
BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE, BUNSPEC) ;} 
}



/* _continue-cfa! */
obj_t BGl__continuezd2cfaz12zc0zzcfa_iteratez00(obj_t BgL_envz00_4659)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 143 */
return 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BGl_cfazd2exportzd2varz12zd2default4304zd2envz12zzcfa_iteratez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc4606z00zzcfa_iteratez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc4607z00zzcfa_iteratez00);} 
}



/* cfa-export-var!-intern-sfun/Cinfo4309 */
obj_t BGl_cfazd2exportzd2varz12zd2internzd2sfunzf2Cinfo4309ze0zzcfa_iteratez00(obj_t BgL_envz00_4662, obj_t BgL_valuez00_4663, obj_t BgL_ownerz00_4664)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 96 */
{ 
BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_3308;obj_t BgL_ownerz00_3309;
{ /* Cfa/iterate.scm 97 */
BgL_approxz00_bglt BgL_auxz00_4813;
BgL_valuez00_3308 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_valuez00_4663); 
BgL_ownerz00_3309 = BgL_ownerz00_4664; 
{ /* Cfa/iterate.scm 101 */
bool_t BgL_test4511z00_3313;
{ /* Cfa/iterate.scm 101 */
long BgL_arg4519z00_3325;
{ 
obj_t BgL_auxz00_4814;
{ /* Cfa/iterate.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4815;
BgL_auxz00_4815 = 
(BgL_objectz00_bglt)(BgL_valuez00_3308); 
BgL_auxz00_4814 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4815); } 
BgL_arg4519z00_3325 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4814))->BgL_stampz00); } 
{ /* Cfa/iterate.scm 101 */
long BgL_n2z00_4610;
BgL_n2z00_4610 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test4511z00_3313 = 
(BgL_arg4519z00_3325==BgL_n2z00_4610); } } 
if(BgL_test4511z00_3313)
{ /* Cfa/iterate.scm 101 */
{ /* Cfa/iterate.scm 103 */
long BgL_val2824z00_4612;
BgL_val2824z00_4612 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4823;
{ /* Cfa/iterate.scm 103 */
BgL_objectz00_bglt BgL_auxz00_4824;
BgL_auxz00_4824 = 
(BgL_objectz00_bglt)(BgL_valuez00_3308); 
BgL_auxz00_4823 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4824); } 
((((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4823))->BgL_stampz00) = ((long)BgL_val2824z00_4612), BUNSPEC); } } 
{ 
obj_t BgL_auxz00_4828;
{ /* Cfa/iterate.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4829;
BgL_auxz00_4829 = 
(BgL_objectz00_bglt)(BgL_valuez00_3308); 
BgL_auxz00_4828 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4829); } 
BgL_auxz00_4813 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4828))->BgL_approxz00); } }  else 
{ /* Cfa/iterate.scm 101 */
{ 
obj_t BgL_l4299z00_3314;
{ /* Cfa/iterate.scm 110 */
BgL_sfunz00_bglt BgL_obj2846z00_4614;
BgL_obj2846z00_4614 = 
(BgL_sfunz00_bglt)(BgL_valuez00_3308); 
BgL_l4299z00_3314 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj2846z00_4614))->BgL_argsz00); } 
BgL_lname4300z00_3315:
if(
PAIRP(BgL_l4299z00_3314))
{ /* Cfa/iterate.scm 110 */
{ /* Cfa/iterate.scm 111 */
BgL_valuez00_bglt BgL_valz00_3319;
{ /* Cfa/iterate.scm 111 */
BgL_localz00_bglt BgL_obj1255z00_4617;
{ /* Cfa/iterate.scm 111 */
obj_t BgL_auxz00_4835;
BgL_auxz00_4835 = 
CAR(BgL_l4299z00_3314); 
BgL_obj1255z00_4617 = 
(BgL_localz00_bglt)(BgL_auxz00_4835); } 
BgL_valz00_3319 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_4617))->BgL_valuez00); } 
{ /* Cfa/iterate.scm 115 */
bool_t BgL_testz00_4839;
{ /* Cfa/iterate.scm 115 */
BgL_svarzf2cinfozf2_bglt BgL_obj2915z00_4618;
BgL_obj2915z00_4618 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_valz00_3319); 
{ 
obj_t BgL_auxz00_4841;
{ /* Cfa/iterate.scm 115 */
BgL_objectz00_bglt BgL_auxz00_4842;
BgL_auxz00_4842 = 
(BgL_objectz00_bglt)(BgL_obj2915z00_4618); 
BgL_auxz00_4841 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4842); } 
BgL_testz00_4839 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_4841))->BgL_clozd2envzf3z21); } } 
if(BgL_testz00_4839)
{ /* Cfa/iterate.scm 115 */BFALSE; }  else 
{ /* Cfa/iterate.scm 116 */
BgL_approxz00_bglt BgL_auxz00_4846;
{ /* Cfa/iterate.scm 116 */
BgL_svarzf2cinfozf2_bglt BgL_obj2914z00_4619;
BgL_obj2914z00_4619 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_valz00_3319); 
{ 
obj_t BgL_auxz00_4848;
{ /* Cfa/iterate.scm 116 */
BgL_objectz00_bglt BgL_auxz00_4849;
BgL_auxz00_4849 = 
(BgL_objectz00_bglt)(BgL_obj2914z00_4619); 
BgL_auxz00_4848 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4849); } 
BgL_auxz00_4846 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_4848))->BgL_approxz00); } } 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_4846); } } } 
{ 
obj_t BgL_l4299z00_4854;
BgL_l4299z00_4854 = 
CDR(BgL_l4299z00_3314); 
BgL_l4299z00_3314 = BgL_l4299z00_4854; 
goto BgL_lname4300z00_3315;} }  else 
{ /* Cfa/iterate.scm 110 */((bool_t)1); } } 
{ /* Cfa/iterate.scm 119 */
BgL_approxz00_bglt BgL_arg4517z00_3323;obj_t BgL_arg4518z00_3324;
BgL_arg4517z00_3323 = 
BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_valuez00_3308, BgL_ownerz00_3309); 
BgL_arg4518z00_3324 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_4813 = 
BGl_loosez12z12zzcfa_loosez00(BgL_arg4517z00_3323, BgL_arg4518z00_3324); } } } 
return 
(obj_t)(BgL_auxz00_4813);} } } 
}



/* cfa-export-var!-svar/Cinfo4307 */
obj_t BGl_cfazd2exportzd2varz12zd2svarzf2Cinfo4307z32zzcfa_iteratez00(obj_t BgL_envz00_4665, obj_t BgL_valuez00_4666, obj_t BgL_ownerz00_4667)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 82 */
{ 
BgL_svarzf2cinfozf2_bglt BgL_valuez00_3297;obj_t BgL_ownerz00_3298;
BgL_valuez00_3297 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_valuez00_4666); 
BgL_ownerz00_3298 = BgL_ownerz00_4667; 
{ /* Cfa/iterate.scm 83 */
obj_t BgL_instance4295z00_3301;
BgL_instance4295z00_3301 = BGl_sfunz00zzast_varz00; 
{ /* Cfa/iterate.scm 87 */
bool_t BgL_test4506z00_3302;
{ /* Cfa/iterate.scm 87 */
long BgL_arg4509z00_3305;
{ /* Cfa/iterate.scm 87 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj2823z00_4603;
BgL_obj2823z00_4603 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_instance4295z00_3301); 
{ 
obj_t BgL_auxz00_4864;
{ /* Cfa/iterate.scm 87 */
BgL_objectz00_bglt BgL_auxz00_4865;
BgL_auxz00_4865 = 
(BgL_objectz00_bglt)(BgL_obj2823z00_4603); 
BgL_auxz00_4864 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4865); } 
BgL_arg4509z00_3305 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4864))->BgL_stampz00); } } 
{ /* Cfa/iterate.scm 87 */
long BgL_n2z00_4605;
BgL_n2z00_4605 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test4506z00_3302 = 
(BgL_arg4509z00_3305==BgL_n2z00_4605); } } 
if(BgL_test4506z00_3302)
{ /* Cfa/iterate.scm 87 */
return 
BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
(BgL_valuez00_bglt)(BgL_valuez00_3297));}  else 
{ /* Cfa/iterate.scm 87 */
{ /* Cfa/iterate.scm 90 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj2825z00_4606;long BgL_val2824z00_4607;
BgL_obj2825z00_4606 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_instance4295z00_3301); 
BgL_val2824z00_4607 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4876;
{ /* Cfa/iterate.scm 90 */
BgL_objectz00_bglt BgL_auxz00_4877;
BgL_auxz00_4877 = 
(BgL_objectz00_bglt)(BgL_obj2825z00_4606); 
BgL_auxz00_4876 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4877); } 
((((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_4876))->BgL_stampz00) = ((long)BgL_val2824z00_4607), BUNSPEC); } } 
{ /* Cfa/iterate.scm 91 */
obj_t BgL_arg4507z00_3303;obj_t BgL_arg4508z00_3304;
BgL_arg4507z00_3303 = 
BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
(BgL_valuez00_bglt)(BgL_valuez00_3297)); 
BgL_arg4508z00_3304 = 
CNST_TABLE_REF(((long)1)); 
{ /* Cfa/iterate.scm 91 */
BgL_approxz00_bglt BgL_auxz00_4884;
BgL_auxz00_4884 = 
BGl_loosez12z12zzcfa_loosez00(
(BgL_approxz00_bglt)(BgL_arg4507z00_3303), BgL_arg4508z00_3304); 
return 
(obj_t)(BgL_auxz00_4884);} } } } } } } 
}



/* cfa-export-var! */
obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt BgL_valuez00_3, obj_t BgL_ownerz00_4)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 77 */
{ /* Cfa/iterate.scm 77 */
obj_t BgL_method4305z00_4621;
{ /* Cfa/iterate.scm 77 */
long BgL_objzd2classzd2numz00_4623;
{ /* Cfa/iterate.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4889;
BgL_auxz00_4889 = 
(BgL_objectz00_bglt)(BgL_valuez00_3); 
BgL_objzd2classzd2numz00_4623 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4889); } 
{ /* Cfa/iterate.scm 77 */
obj_t BgL_arg1221z00_4624;
{ /* Cfa/iterate.scm 77 */
int BgL_auxz00_4892;
BgL_auxz00_4892 = 
(int)(((long)1)); 
BgL_arg1221z00_4624 = 
PROCEDURE_REF(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00, BgL_auxz00_4892); } 
{ /* Cfa/iterate.scm 77 */
long BgL_offsetz00_4628;
{ /* Cfa/iterate.scm 77 */
long BgL_auxz00_4895;
{ /* Cfa/iterate.scm 77 */
int BgL_auxz00_4896;
BgL_auxz00_4896 = 
(int)(BgL_objzd2classzd2numz00_4623); 
BgL_auxz00_4895 = 
(long)(BgL_auxz00_4896); } 
BgL_offsetz00_4628 = 
(BgL_auxz00_4895-OBJECT_TYPE); } 
{ /* Cfa/iterate.scm 77 */
long BgL_modz00_4629;
{ /* Cfa/iterate.scm 77 */
long BgL_auxz00_4900;
{ /* Cfa/iterate.scm 77 */
int BgL_auxz00_4901;
BgL_auxz00_4901 = 
(int)(((long)8)); 
BgL_auxz00_4900 = 
(long)(BgL_auxz00_4901); } 
BgL_modz00_4629 = 
(BgL_offsetz00_4628/BgL_auxz00_4900); } 
{ /* Cfa/iterate.scm 77 */
long BgL_restz00_4631;
{ /* Cfa/iterate.scm 77 */
long BgL_auxz00_4905;
{ /* Cfa/iterate.scm 77 */
int BgL_auxz00_4906;
BgL_auxz00_4906 = 
(int)(((long)8)); 
BgL_auxz00_4905 = 
(long)(BgL_auxz00_4906); } 
BgL_restz00_4631 = 
(BgL_offsetz00_4628%BgL_auxz00_4905); } 
{ /* Cfa/iterate.scm 77 */

{ /* Cfa/iterate.scm 77 */
obj_t BgL_bucketz00_4633;
{ /* Cfa/iterate.scm 77 */
int BgL_kz00_4643;
BgL_kz00_4643 = 
(int)(BgL_modz00_4629); 
BgL_bucketz00_4633 = 
VECTOR_REF(BgL_arg1221z00_4624,BgL_kz00_4643); } 
{ /* Cfa/iterate.scm 77 */
int BgL_kz00_4645;
BgL_kz00_4645 = 
(int)(BgL_restz00_4631); 
BgL_method4305z00_4621 = 
VECTOR_REF(BgL_bucketz00_4633,BgL_kz00_4645); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4305z00_4621)(BgL_method4305z00_4621, 
(obj_t)(BgL_valuez00_3), BgL_ownerz00_4, BEOA);} } 
}



/* _cfa-export-var! */
obj_t BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00(obj_t BgL_envz00_4653, obj_t BgL_valuez00_4654, obj_t BgL_ownerz00_4655)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 77 */
return 
BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
(BgL_valuez00_bglt)(BgL_valuez00_4654), BgL_ownerz00_4655);} 
}



/* cfa-export-var!-default4304 */
obj_t BGl_cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00(BgL_valuez00_bglt BgL_valuez00_5, obj_t BgL_ownerz00_6)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
{ 
obj_t BgL_auxz00_4921;obj_t BgL_auxz00_4919;
BgL_auxz00_4921 = 
(obj_t)(BgL_valuez00_5); 
BgL_auxz00_4919 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_4919,BGl_string4608z00zzcfa_iteratez00,BgL_auxz00_4921);} } 
}



/* _cfa-export-var!-default4304 */
obj_t BGl__cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00(obj_t BgL_envz00_4668, obj_t BgL_valuez00_4669, obj_t BgL_ownerz00_4670)
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
return 
BGl_cfazd2exportzd2varz12zd2default4304zc0zzcfa_iteratez00(
(BgL_valuez00_bglt)(BgL_valuez00_4669), BgL_ownerz00_4670);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00()
{ AN_OBJECT;
{ /* Cfa/iterate.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_iterate"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_iterate"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_iterate");} 
}

