/*===========================================================================*/
/*   (Cfa/procedure.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_procedurez00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
static obj_t BGl_cfaz12zd2procedurezd2refzd2app4323zc0zzcfa_procedurez00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_loosezd2allocz12zd2makezd2procedurezd2app4327z12zzcfa_procedurez00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2procedurezd2setz12zd2app4319zd2zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
extern obj_t BGl_funz00zzast_varz00;
extern BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_zc3anonymousza34577ze3z83zzcfa_procedurez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_procedurez00();
extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
static obj_t BGl_zc3anonymousza34587ze3z83zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
static obj_t BGl_cfaz12zd2makezd2procedurezd2app4321zc0zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_zc3anonymousza34605ze3z83zzcfa_procedurez00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2procedurezd2refzd2app4317zc0zzcfa_procedurez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00();
static obj_t BGl_zc3anonymousza34329ze3z83zzcfa_procedurez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza34613ze3z83zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_nodezd2setupz12zd2prezd2makezd2procedurezd2app4315zc0zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
extern obj_t make_vector(int, obj_t);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
static obj_t BGl__disablezd2Xzd2Tz124720z12zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
static obj_t BGl_cfaz12zd2procedurezd2setz12zd2app4325zd2zzcfa_procedurez00(obj_t, obj_t);
extern obj_t BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt);
extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_procedurez00 = BUNSPEC;
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string4735z00zzcfa_procedurez00, BgL_bgl_string4735za700za7za7cfa_procedureza7004740z00, "all ", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_disablezd2Xzd2Tz12zd2envzc0zzcfa_procedurez00, BgL_bgl__disableza7d2xza7d2tza7124720za712za7za7cfa_procedureza7004741za7, BGl__disablezd2Xzd2Tz124720z12zzcfa_procedurez00, 0L, 1 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4727z00zzcfa_procedurez00, BgL_bgl_za7c3anonymousza7a34329za7e3za783za7za7cfa_procedureza7004742za7, BGl_zc3anonymousza34329ze3z83zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4728z00zzcfa_procedurez00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2makeza7d2procedureza7d2app4315za7c0za7za7cfa_procedureza7004743z00, BGl_nodezd2setupz12zd2prezd2makezd2procedurezd2app4315zc0zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4730z00zzcfa_procedurez00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2procedureza7d2setza712za7d2app4319za7d2za7za7cfa_procedureza7004744za7, BGl_nodezd2setupz12zd2prezd2procedurezd2setz12zd2app4319zd2zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4729z00zzcfa_procedurez00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2procedureza7d2refza7d2app4317za7c0za7za7cfa_procedureza7004745z00, BGl_nodezd2setupz12zd2prezd2procedurezd2refzd2app4317zc0zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4731z00zzcfa_procedurez00, BgL_bgl_cfaza712za7d2makeza7d2procedureza7d2app4321za7c0za7za7cfa_procedureza7004746z00, BGl_cfaz12zd2makezd2procedurezd2app4321zc0zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4732z00zzcfa_procedurez00, BgL_bgl_cfaza712za7d2procedureza7d2refza7d2app4323za7c0za7za7cfa_procedureza7004747z00, BGl_cfaz12zd2procedurezd2refzd2app4323zc0zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4733z00zzcfa_procedurez00, BgL_bgl_cfaza712za7d2procedureza7d2setza712za7d2app4325za7d2za7za7cfa_procedureza7004748za7, BGl_cfaz12zd2procedurezd2setz12zd2app4325zd2zzcfa_procedurez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4734z00zzcfa_procedurez00, BgL_bgl_looseza7d2allocza712za7d2makeza7d2procedureza7d2app4327za712za7za7cfa_procedureza7004749za7, BGl_loosezd2allocz12zd2makezd2procedurezd2app4327z12zzcfa_procedurez00, 0L, 1 );
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long BgL_checksumz00_4990, char * BgL_fromz00_4991)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_procedurez00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_procedurez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00(); 
BGl_cnstzd2initzd2zzcfa_procedurez00(); 
BGl_importedzd2moduleszd2initz00zzcfa_procedurez00(); 
BGl_methodzd2initzd2zzcfa_procedurez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00()
{ AN_OBJECT;
{ /* Cfa/procedure.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_procedure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_procedurez00()
{ AN_OBJECT;
{ /* Cfa/procedure.scm 15 */
{ /* Cfa/procedure.scm 15 */
obj_t BgL_cportz00_4983;
BgL_cportz00_4983 = 
open_input_string(BGl_string4735z00zzcfa_procedurez00); 
{ 
long BgL_iz00_4984;
BgL_iz00_4984 = ((long)0); 
BgL_loopz00_4985:
if(
(BgL_iz00_4984==((long)-1)))
{ /* Cfa/procedure.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/procedure.scm 15 */
{ /* Cfa/procedure.scm 15 */
obj_t BgL_arg4737z00_4987;
{ /* Cfa/procedure.scm 15 */
obj_t BgL_list4738z00_4988;
BgL_list4738z00_4988 = 
MAKE_PAIR(BgL_cportz00_4983, BNIL); 
BgL_arg4737z00_4987 = 
BGl_readz00zz__readerz00(BgL_list4738z00_4988); } 
{ /* Cfa/procedure.scm 15 */
int BgL_auxz00_5006;
BgL_auxz00_5006 = 
(int)(BgL_iz00_4984); 
CNST_TABLE_SET(BgL_auxz00_5006, BgL_arg4737z00_4987); } } 
{ 
long BgL_iz00_5009;
{ /* Cfa/procedure.scm 15 */
int BgL_auxz00_5010;
{ /* Cfa/procedure.scm 15 */
long BgL_auxz00_5011;
BgL_auxz00_5011 = 
(BgL_iz00_4984-((long)1)); 
BgL_auxz00_5010 = 
(int)(BgL_auxz00_5011); } 
BgL_iz00_5009 = 
(long)(BgL_auxz00_5010); } 
BgL_iz00_4984 = BgL_iz00_5009; 
goto BgL_loopz00_4985;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00()
{ AN_OBJECT;
{ /* Cfa/procedure.scm 15 */
return BUNSPEC;} 
}



/* disable-X-T! */
obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt BgL_approxz00_1)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 36 */
return 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_proc4727z00zzcfa_procedurez00, BgL_approxz00_1);} 
}



/* _disable-X-T!4720 */
obj_t BGl__disablezd2Xzd2Tz124720z12zzcfa_procedurez00(obj_t BgL_envz00_4933, obj_t BgL_approxz00_4934)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 36 */
return 
BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
(BgL_approxz00_bglt)(BgL_approxz00_4934));} 
}



/* <anonymous:4329> */
obj_t BGl_zc3anonymousza34329ze3z83zzcfa_procedurez00(obj_t BgL_envz00_4935, obj_t BgL_appz00_4936)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 37 */
{ 
obj_t BgL_appz00_2509;
BgL_appz00_2509 = BgL_appz00_4936; 
{ /* Cfa/procedure.scm 41 */
bool_t BgL_test4330z00_2511;
BgL_test4330z00_2511 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_2509, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4330z00_2511)
{ /* Cfa/procedure.scm 42 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3860z00_3478;
BgL_obj3860z00_3478 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_2509); 
{ 
obj_t BgL_auxz00_5021;
{ /* Cfa/procedure.scm 42 */
BgL_objectz00_bglt BgL_auxz00_5022;
BgL_auxz00_5022 = 
(BgL_objectz00_bglt)(BgL_obj3860z00_3478); 
BgL_auxz00_5021 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5022); } 
return 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5021))->BgL_xzd2tzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC);} }  else 
{ /* Cfa/procedure.scm 41 */
return BFALSE;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_procedurez00()
{ AN_OBJECT;
{ /* Cfa/procedure.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00, BGl_proc4728z00zzcfa_procedurez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00, BGl_proc4729z00zzcfa_procedurez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00, BGl_proc4730z00zzcfa_procedurez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_makezd2procedurezd2appz00zzcfa_info2z00, BGl_proc4731z00zzcfa_procedurez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_procedurezd2refzd2appz00zzcfa_info2z00, BGl_proc4732z00zzcfa_procedurez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_procedurezd2setz12zd2appz12zzcfa_info2z00, BGl_proc4733z00zzcfa_procedurez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BGl_makezd2procedurezd2appz00zzcfa_info2z00, BGl_proc4734z00zzcfa_procedurez00);} 
}



/* loose-alloc!-make-procedure-app4327 */
obj_t BGl_loosezd2allocz12zd2makezd2procedurezd2app4327z12zzcfa_procedurez00(obj_t BgL_envz00_4950, obj_t BgL_allocz00_4951)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 243 */
{ 
BgL_makezd2procedurezd2appz00_bglt BgL_allocz00_3465;
BgL_allocz00_3465 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_allocz00_4951); 
{ /* Cfa/procedure.scm 247 */
bool_t BgL_test4627z00_3469;
{ /* Cfa/procedure.scm 247 */
long BgL_arg4629z00_3474;
{ 
obj_t BgL_auxz00_5033;
{ /* Cfa/procedure.scm 247 */
BgL_objectz00_bglt BgL_auxz00_5034;
BgL_auxz00_5034 = 
(BgL_objectz00_bglt)(BgL_allocz00_3465); 
BgL_auxz00_5033 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5034); } 
BgL_arg4629z00_3474 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5033))->BgL_lostzd2stampzd2); } 
{ /* Cfa/procedure.scm 247 */
long BgL_n2z00_4925;
BgL_n2z00_4925 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test4627z00_3469 = 
(BgL_arg4629z00_3474==BgL_n2z00_4925); } } 
if(BgL_test4627z00_3469)
{ /* Cfa/procedure.scm 247 */
return BUNSPEC;}  else 
{ /* Cfa/procedure.scm 247 */
{ /* Cfa/procedure.scm 251 */
long BgL_val3856z00_4927;
BgL_val3856z00_4927 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_5042;
{ /* Cfa/procedure.scm 251 */
BgL_objectz00_bglt BgL_auxz00_5043;
BgL_auxz00_5043 = 
(BgL_objectz00_bglt)(BgL_allocz00_3465); 
BgL_auxz00_5042 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5043); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5042))->BgL_lostzd2stampzd2) = ((long)BgL_val3856z00_4927), BUNSPEC); } } 
{ /* Cfa/procedure.scm 252 */
BgL_variablez00_bglt BgL_vz00_3471;
{ /* Cfa/procedure.scm 253 */
BgL_varz00_bglt BgL_obj1619z00_4930;
{ /* Cfa/procedure.scm 253 */
obj_t BgL_auxz00_5047;
{ /* Cfa/procedure.scm 252 */
obj_t BgL_auxz00_5048;
{ /* Cfa/procedure.scm 252 */
BgL_appz00_bglt BgL_obj3885z00_4928;
BgL_obj3885z00_4928 = 
(BgL_appz00_bglt)(BgL_allocz00_3465); 
BgL_auxz00_5048 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_4928))->BgL_argsz00); } 
BgL_auxz00_5047 = 
CAR(BgL_auxz00_5048); } 
BgL_obj1619z00_4930 = 
(BgL_varz00_bglt)(BgL_auxz00_5047); } 
BgL_vz00_3471 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_4930))->BgL_variablez00); } 
{ /* Cfa/procedure.scm 254 */

return 
BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
(((BgL_variablez00_bglt)CREF(BgL_vz00_3471))->BgL_valuez00), 
(obj_t)(BgL_vz00_3471));} } } } } } 
}



/* cfa!-procedure-set!-app4325 */
obj_t BGl_cfaz12zd2procedurezd2setz12zd2app4325zd2zzcfa_procedurez00(obj_t BgL_envz00_4952, obj_t BgL_nodez00_4953)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 189 */
{ 
BgL_procedurezd2setz12zd2appz12_bglt BgL_nodez00_3423;
{ /* Cfa/procedure.scm 190 */
BgL_approxz00_bglt BgL_auxz00_5058;
BgL_nodez00_3423 = 
(BgL_procedurezd2setz12zd2appz12_bglt)(BgL_nodez00_4953); 
{ /* Cfa/procedure.scm 191 */
BgL_nodez00_bglt BgL_auxz00_5059;
{ /* Cfa/procedure.scm 191 */
obj_t BgL_auxz00_5060;
{ /* Cfa/procedure.scm 191 */
obj_t BgL_auxz00_5061;
{ /* Cfa/procedure.scm 191 */
obj_t BgL_auxz00_5062;
{ /* Cfa/procedure.scm 191 */
BgL_appz00_bglt BgL_obj3956z00_4883;
BgL_obj3956z00_4883 = 
(BgL_appz00_bglt)(BgL_nodez00_3423); 
BgL_auxz00_5062 = 
(((BgL_appz00_bglt)CREF(BgL_obj3956z00_4883))->BgL_argsz00); } 
BgL_auxz00_5061 = 
CDR(BgL_auxz00_5062); } 
BgL_auxz00_5060 = 
CAR(BgL_auxz00_5061); } 
BgL_auxz00_5059 = 
(BgL_nodez00_bglt)(BgL_auxz00_5060); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5059); } 
{ /* Cfa/procedure.scm 192 */
BgL_approxz00_bglt BgL_proczd2approxzd2_3429;obj_t BgL_offsetz00_3430;BgL_approxz00_bglt BgL_valzd2approxzd2_3431;
{ /* Cfa/procedure.scm 192 */
BgL_nodez00_bglt BgL_auxz00_5069;
{ /* Cfa/procedure.scm 192 */
obj_t BgL_auxz00_5070;
{ /* Cfa/procedure.scm 192 */
obj_t BgL_auxz00_5071;
{ /* Cfa/procedure.scm 192 */
BgL_appz00_bglt BgL_obj3956z00_4888;
BgL_obj3956z00_4888 = 
(BgL_appz00_bglt)(BgL_nodez00_3423); 
BgL_auxz00_5071 = 
(((BgL_appz00_bglt)CREF(BgL_obj3956z00_4888))->BgL_argsz00); } 
BgL_auxz00_5070 = 
CAR(BgL_auxz00_5071); } 
BgL_auxz00_5069 = 
(BgL_nodez00_bglt)(BgL_auxz00_5070); } 
BgL_proczd2approxzd2_3429 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5069); } 
{ /* Cfa/procedure.scm 193 */
BgL_nodez00_bglt BgL_auxz00_5077;
{ /* Cfa/procedure.scm 193 */
obj_t BgL_auxz00_5078;
{ /* Cfa/procedure.scm 193 */
obj_t BgL_auxz00_5079;
{ /* Cfa/procedure.scm 193 */
obj_t BgL_auxz00_5080;
{ /* Cfa/procedure.scm 193 */
BgL_appz00_bglt BgL_obj3956z00_4890;
BgL_obj3956z00_4890 = 
(BgL_appz00_bglt)(BgL_nodez00_3423); 
BgL_auxz00_5080 = 
(((BgL_appz00_bglt)CREF(BgL_obj3956z00_4890))->BgL_argsz00); } 
BgL_auxz00_5079 = 
CDR(BgL_auxz00_5080); } 
BgL_auxz00_5078 = 
CAR(BgL_auxz00_5079); } 
BgL_auxz00_5077 = 
(BgL_nodez00_bglt)(BgL_auxz00_5078); } 
BgL_offsetz00_3430 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5077); } 
{ /* Cfa/procedure.scm 194 */
BgL_nodez00_bglt BgL_auxz00_5087;
{ /* Cfa/procedure.scm 194 */
obj_t BgL_auxz00_5088;
{ /* Cfa/procedure.scm 194 */
obj_t BgL_auxz00_5089;
{ /* Cfa/procedure.scm 194 */
obj_t BgL_auxz00_5090;
{ /* Cfa/procedure.scm 194 */
obj_t BgL_auxz00_5091;
{ /* Cfa/procedure.scm 194 */
BgL_appz00_bglt BgL_obj3956z00_4895;
BgL_obj3956z00_4895 = 
(BgL_appz00_bglt)(BgL_nodez00_3423); 
BgL_auxz00_5091 = 
(((BgL_appz00_bglt)CREF(BgL_obj3956z00_4895))->BgL_argsz00); } 
BgL_auxz00_5090 = 
CDR(BgL_auxz00_5091); } 
BgL_auxz00_5089 = 
CDR(BgL_auxz00_5090); } 
BgL_auxz00_5088 = 
CAR(BgL_auxz00_5089); } 
BgL_auxz00_5087 = 
(BgL_nodez00_bglt)(BgL_auxz00_5088); } 
BgL_valzd2approxzd2_3431 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5087); } 
if(
(((BgL_approxz00_bglt)CREF(BgL_proczd2approxzd2_3429))->BgL_topzf3zf3))
{ /* Cfa/procedure.scm 201 */
BgL_approxz00_bglt BgL_auxz00_5101;
BgL_auxz00_5101 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3431, 
CNST_TABLE_REF(((long)0))); 
(obj_t)(BgL_auxz00_5101); }  else 
{ /* Cfa/procedure.scm 199 */
if(
INTEGERP(BgL_offsetz00_3430))
{ /* Cfa/procedure.scm 206 */
obj_t BgL_zc3anonymousza34605ze3z83_4938;
{ 
int BgL_auxz00_5109;int BgL_auxz00_5107;
BgL_auxz00_5109 = 
(int)(((long)2)); 
BgL_auxz00_5107 = 
(int)(((long)1)); 
BgL_zc3anonymousza34605ze3z83_4938 = 
make_fx_procedure(BGl_zc3anonymousza34605ze3z83zzcfa_procedurez00, BgL_auxz00_5107, BgL_auxz00_5109); } 
{ /* Cfa/procedure.scm 206 */
int BgL_auxz00_5112;
BgL_auxz00_5112 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34605ze3z83_4938, BgL_auxz00_5112, BgL_offsetz00_3430); } 
{ /* Cfa/procedure.scm 206 */
obj_t BgL_auxz00_5117;int BgL_auxz00_5115;
BgL_auxz00_5117 = 
(obj_t)(BgL_valzd2approxzd2_3431); 
BgL_auxz00_5115 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34605ze3z83_4938, BgL_auxz00_5115, BgL_auxz00_5117); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34605ze3z83_4938, BgL_proczd2approxzd2_3429); }  else 
{ /* Cfa/procedure.scm 219 */
obj_t BgL_zc3anonymousza34613ze3z83_4939;
{ 
int BgL_auxz00_5123;int BgL_auxz00_5121;
BgL_auxz00_5123 = 
(int)(((long)1)); 
BgL_auxz00_5121 = 
(int)(((long)1)); 
BgL_zc3anonymousza34613ze3z83_4939 = 
make_fx_procedure(BGl_zc3anonymousza34613ze3z83zzcfa_procedurez00, BgL_auxz00_5121, BgL_auxz00_5123); } 
{ /* Cfa/procedure.scm 219 */
obj_t BgL_auxz00_5128;int BgL_auxz00_5126;
BgL_auxz00_5128 = 
(obj_t)(BgL_valzd2approxzd2_3431); 
BgL_auxz00_5126 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34613ze3z83_4939, BgL_auxz00_5126, BgL_auxz00_5128); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34613ze3z83_4939, BgL_proczd2approxzd2_3429); } } 
{ 
obj_t BgL_auxz00_5132;
{ /* Cfa/procedure.scm 233 */
BgL_objectz00_bglt BgL_auxz00_5133;
BgL_auxz00_5133 = 
(BgL_objectz00_bglt)(BgL_nodez00_3423); 
BgL_auxz00_5132 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5133); } 
BgL_auxz00_5058 = 
(((BgL_procedurezd2setz12zd2appz12_bglt)CREF(BgL_auxz00_5132))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_5058);} } } 
}



/* <anonymous:4605> */
obj_t BGl_zc3anonymousza34605ze3z83zzcfa_procedurez00(obj_t BgL_envz00_4954, obj_t BgL_appz00_4957)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 205 */
{ /* Cfa/procedure.scm 206 */
obj_t BgL_offsetz00_4955;obj_t BgL_valzd2approxzd2_4956;
{ /* Cfa/procedure.scm 206 */
int BgL_auxz00_5139;
BgL_auxz00_5139 = 
(int)(((long)0)); 
BgL_offsetz00_4955 = 
PROCEDURE_REF(BgL_envz00_4954, BgL_auxz00_5139); } 
{ /* Cfa/procedure.scm 206 */
int BgL_auxz00_5142;
BgL_auxz00_5142 = 
(int)(((long)1)); 
BgL_valzd2approxzd2_4956 = 
PROCEDURE_REF(BgL_envz00_4954, BgL_auxz00_5142); } 
{ 
obj_t BgL_appz00_3435;
BgL_appz00_3435 = BgL_appz00_4957; 
{ /* Cfa/procedure.scm 206 */
bool_t BgL_test4606z00_3437;
{ /* Cfa/procedure.scm 206 */
bool_t BgL_test4609z00_3440;
BgL_test4609z00_3440 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3435, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4609z00_3440)
{ /* Cfa/procedure.scm 209 */
int BgL_arg4610z00_3441;
{ /* Cfa/procedure.scm 209 */
obj_t BgL_arg4611z00_3442;
{ /* Cfa/procedure.scm 209 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4905;
BgL_obj3852z00_4905 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3435); 
{ 
obj_t BgL_auxz00_5148;
{ /* Cfa/procedure.scm 209 */
BgL_objectz00_bglt BgL_auxz00_5149;
BgL_auxz00_5149 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4905); 
BgL_auxz00_5148 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5149); } 
BgL_arg4611z00_3442 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5148))->BgL_valueszd2approxzd2); } } 
BgL_arg4610z00_3441 = 
VECTOR_LENGTH(BgL_arg4611z00_3442); } 
{ /* Cfa/procedure.scm 207 */
long BgL_auxz00_5156;long BgL_auxz00_5154;
BgL_auxz00_5156 = 
(long)(BgL_arg4610z00_3441); 
BgL_auxz00_5154 = 
(long)CINT(BgL_offsetz00_4955); 
BgL_test4606z00_3437 = 
(BgL_auxz00_5154<BgL_auxz00_5156); } }  else 
{ /* Cfa/procedure.scm 206 */
BgL_test4606z00_3437 = ((bool_t)0); } } 
if(BgL_test4606z00_3437)
{ /* Cfa/procedure.scm 211 */
obj_t BgL_arg4607z00_3438;
{ /* Cfa/procedure.scm 211 */
obj_t BgL_arg4608z00_3439;
{ /* Cfa/procedure.scm 211 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4909;
BgL_obj3852z00_4909 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3435); 
{ 
obj_t BgL_auxz00_5161;
{ /* Cfa/procedure.scm 211 */
BgL_objectz00_bglt BgL_auxz00_5162;
BgL_auxz00_5162 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4909); 
BgL_auxz00_5161 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5162); } 
BgL_arg4608z00_3439 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5161))->BgL_valueszd2approxzd2); } } 
{ /* Cfa/procedure.scm 210 */
int BgL_kz00_4911;
BgL_kz00_4911 = 
CINT(BgL_offsetz00_4955); 
BgL_arg4607z00_3438 = 
VECTOR_REF(BgL_arg4608z00_3439,BgL_kz00_4911); } } 
{ /* Cfa/procedure.scm 210 */
BgL_approxz00_bglt BgL_auxz00_5168;
BgL_auxz00_5168 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(
(BgL_approxz00_bglt)(BgL_arg4607z00_3438), 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4956)); 
return 
(obj_t)(BgL_auxz00_5168);} }  else 
{ /* Cfa/procedure.scm 206 */
return BFALSE;} } } } } 
}



/* <anonymous:4613> */
obj_t BGl_zc3anonymousza34613ze3z83zzcfa_procedurez00(obj_t BgL_envz00_4958, obj_t BgL_appz00_4960)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 218 */
{ /* Cfa/procedure.scm 219 */
obj_t BgL_valzd2approxzd2_4959;
{ /* Cfa/procedure.scm 219 */
int BgL_auxz00_5173;
BgL_auxz00_5173 = 
(int)(((long)0)); 
BgL_valzd2approxzd2_4959 = 
PROCEDURE_REF(BgL_envz00_4958, BgL_auxz00_5173); } 
{ 
obj_t BgL_appz00_3445;
{ /* Cfa/procedure.scm 219 */
bool_t BgL_auxz00_5176;
BgL_appz00_3445 = BgL_appz00_4960; 
{ /* Cfa/procedure.scm 219 */
bool_t BgL_test4614z00_3447;
BgL_test4614z00_3447 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3445, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4614z00_3447)
{ /* Cfa/procedure.scm 220 */
int BgL_lenz00_3448;
{ /* Cfa/procedure.scm 221 */
obj_t BgL_arg4619z00_3455;
{ /* Cfa/procedure.scm 221 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4913;
BgL_obj3852z00_4913 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3445); 
{ 
obj_t BgL_auxz00_5180;
{ /* Cfa/procedure.scm 221 */
BgL_objectz00_bglt BgL_auxz00_5181;
BgL_auxz00_5181 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4913); 
BgL_auxz00_5180 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5181); } 
BgL_arg4619z00_3455 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5180))->BgL_valueszd2approxzd2); } } 
BgL_lenz00_3448 = 
VECTOR_LENGTH(BgL_arg4619z00_3455); } 
{ 
long BgL_iz00_3449;
BgL_iz00_3449 = ((long)0); 
BgL_loopz00_3450:
{ /* Cfa/procedure.scm 223 */
bool_t BgL_testz00_5186;
{ /* Cfa/procedure.scm 223 */
long BgL_auxz00_5187;
BgL_auxz00_5187 = 
(long)(BgL_lenz00_3448); 
BgL_testz00_5186 = 
(BgL_iz00_3449<BgL_auxz00_5187); } 
if(BgL_testz00_5186)
{ /* Cfa/procedure.scm 223 */
{ /* Cfa/procedure.scm 227 */
obj_t BgL_arg4616z00_3452;
{ /* Cfa/procedure.scm 227 */
obj_t BgL_arg4617z00_3453;
{ /* Cfa/procedure.scm 227 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4917;
BgL_obj3852z00_4917 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3445); 
{ 
obj_t BgL_auxz00_5191;
{ /* Cfa/procedure.scm 227 */
BgL_objectz00_bglt BgL_auxz00_5192;
BgL_auxz00_5192 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4917); 
BgL_auxz00_5191 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5192); } 
BgL_arg4617z00_3453 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5191))->BgL_valueszd2approxzd2); } } 
{ /* Cfa/procedure.scm 226 */
int BgL_kz00_4919;
BgL_kz00_4919 = 
(int)(BgL_iz00_3449); 
BgL_arg4616z00_3452 = 
VECTOR_REF(BgL_arg4617z00_3453,BgL_kz00_4919); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(
(BgL_approxz00_bglt)(BgL_arg4616z00_3452), 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4959)); } 
{ 
long BgL_iz00_5201;
BgL_iz00_5201 = 
(BgL_iz00_3449+((long)1)); 
BgL_iz00_3449 = BgL_iz00_5201; 
goto BgL_loopz00_3450;} }  else 
{ /* Cfa/procedure.scm 223 */
BgL_auxz00_5176 = ((bool_t)0)
; } } } }  else 
{ /* Cfa/procedure.scm 219 */
BgL_auxz00_5176 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_5176);} } } } 
}



/* cfa!-procedure-ref-app4323 */
obj_t BGl_cfaz12zd2procedurezd2refzd2app4323zc0zzcfa_procedurez00(obj_t BgL_envz00_4961, obj_t BgL_nodez00_4962)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 141 */
{ 
BgL_procedurezd2refzd2appz00_bglt BgL_nodez00_3380;
{ /* Cfa/procedure.scm 142 */
BgL_approxz00_bglt BgL_auxz00_5204;
BgL_nodez00_3380 = 
(BgL_procedurezd2refzd2appz00_bglt)(BgL_nodez00_4962); 
{ /* Cfa/procedure.scm 143 */
BgL_nodez00_bglt BgL_auxz00_5205;
{ /* Cfa/procedure.scm 143 */
obj_t BgL_auxz00_5206;
{ /* Cfa/procedure.scm 143 */
obj_t BgL_auxz00_5207;
{ /* Cfa/procedure.scm 143 */
obj_t BgL_auxz00_5208;
{ /* Cfa/procedure.scm 143 */
BgL_appz00_bglt BgL_obj3920z00_4846;
BgL_obj3920z00_4846 = 
(BgL_appz00_bglt)(BgL_nodez00_3380); 
BgL_auxz00_5208 = 
(((BgL_appz00_bglt)CREF(BgL_obj3920z00_4846))->BgL_argsz00); } 
BgL_auxz00_5207 = 
CDR(BgL_auxz00_5208); } 
BgL_auxz00_5206 = 
CAR(BgL_auxz00_5207); } 
BgL_auxz00_5205 = 
(BgL_nodez00_bglt)(BgL_auxz00_5206); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5205); } 
{ /* Cfa/procedure.scm 144 */
BgL_approxz00_bglt BgL_proczd2approxzd2_3386;obj_t BgL_offsetz00_3387;
{ /* Cfa/procedure.scm 144 */
BgL_nodez00_bglt BgL_auxz00_5215;
{ /* Cfa/procedure.scm 144 */
obj_t BgL_auxz00_5216;
{ /* Cfa/procedure.scm 144 */
obj_t BgL_auxz00_5217;
{ /* Cfa/procedure.scm 144 */
BgL_appz00_bglt BgL_obj3920z00_4851;
BgL_obj3920z00_4851 = 
(BgL_appz00_bglt)(BgL_nodez00_3380); 
BgL_auxz00_5217 = 
(((BgL_appz00_bglt)CREF(BgL_obj3920z00_4851))->BgL_argsz00); } 
BgL_auxz00_5216 = 
CAR(BgL_auxz00_5217); } 
BgL_auxz00_5215 = 
(BgL_nodez00_bglt)(BgL_auxz00_5216); } 
BgL_proczd2approxzd2_3386 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5215); } 
{ /* Cfa/procedure.scm 145 */
BgL_nodez00_bglt BgL_auxz00_5223;
{ /* Cfa/procedure.scm 145 */
obj_t BgL_auxz00_5224;
{ /* Cfa/procedure.scm 145 */
obj_t BgL_auxz00_5225;
{ /* Cfa/procedure.scm 145 */
obj_t BgL_auxz00_5226;
{ /* Cfa/procedure.scm 145 */
BgL_appz00_bglt BgL_obj3920z00_4853;
BgL_obj3920z00_4853 = 
(BgL_appz00_bglt)(BgL_nodez00_3380); 
BgL_auxz00_5226 = 
(((BgL_appz00_bglt)CREF(BgL_obj3920z00_4853))->BgL_argsz00); } 
BgL_auxz00_5225 = 
CDR(BgL_auxz00_5226); } 
BgL_auxz00_5224 = 
CAR(BgL_auxz00_5225); } 
BgL_auxz00_5223 = 
(BgL_nodez00_bglt)(BgL_auxz00_5224); } 
BgL_offsetz00_3387 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5223); } 
if(
(((BgL_approxz00_bglt)CREF(BgL_proczd2approxzd2_3386))->BgL_topzf3zf3))
{ /* Cfa/procedure.scm 150 */
BgL_approxz00_bglt BgL_auxz00_5235;
{ 
obj_t BgL_auxz00_5236;
{ /* Cfa/procedure.scm 150 */
BgL_objectz00_bglt BgL_auxz00_5237;
BgL_auxz00_5237 = 
(BgL_objectz00_bglt)(BgL_nodez00_3380); 
BgL_auxz00_5236 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5237); } 
BgL_auxz00_5235 = 
(((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_auxz00_5236))->BgL_approxz00); } 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_5235); }  else 
{ /* Cfa/procedure.scm 149 */BFALSE; } 
if(
INTEGERP(BgL_offsetz00_3387))
{ /* Cfa/procedure.scm 155 */
obj_t BgL_zc3anonymousza34577ze3z83_4941;
{ 
int BgL_auxz00_5246;int BgL_auxz00_5244;
BgL_auxz00_5246 = 
(int)(((long)2)); 
BgL_auxz00_5244 = 
(int)(((long)1)); 
BgL_zc3anonymousza34577ze3z83_4941 = 
make_fx_procedure(BGl_zc3anonymousza34577ze3z83zzcfa_procedurez00, BgL_auxz00_5244, BgL_auxz00_5246); } 
{ /* Cfa/procedure.scm 155 */
int BgL_auxz00_5249;
BgL_auxz00_5249 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34577ze3z83_4941, BgL_auxz00_5249, BgL_offsetz00_3387); } 
{ /* Cfa/procedure.scm 155 */
obj_t BgL_auxz00_5254;int BgL_auxz00_5252;
BgL_auxz00_5254 = 
(obj_t)(BgL_nodez00_3380); 
BgL_auxz00_5252 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza34577ze3z83_4941, BgL_auxz00_5252, BgL_auxz00_5254); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34577ze3z83_4941, BgL_proczd2approxzd2_3386); }  else 
{ /* Cfa/procedure.scm 170 */
obj_t BgL_zc3anonymousza34587ze3z83_4942;
{ 
int BgL_auxz00_5260;int BgL_auxz00_5258;
BgL_auxz00_5260 = 
(int)(((long)1)); 
BgL_auxz00_5258 = 
(int)(((long)1)); 
BgL_zc3anonymousza34587ze3z83_4942 = 
make_fx_procedure(BGl_zc3anonymousza34587ze3z83zzcfa_procedurez00, BgL_auxz00_5258, BgL_auxz00_5260); } 
{ /* Cfa/procedure.scm 170 */
obj_t BgL_auxz00_5265;int BgL_auxz00_5263;
BgL_auxz00_5265 = 
(obj_t)(BgL_nodez00_3380); 
BgL_auxz00_5263 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34587ze3z83_4942, BgL_auxz00_5263, BgL_auxz00_5265); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34587ze3z83_4942, BgL_proczd2approxzd2_3386); } 
{ 
obj_t BgL_auxz00_5269;
{ /* Cfa/procedure.scm 184 */
BgL_objectz00_bglt BgL_auxz00_5270;
BgL_auxz00_5270 = 
(BgL_objectz00_bglt)(BgL_nodez00_3380); 
BgL_auxz00_5269 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5270); } 
BgL_auxz00_5204 = 
(((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_auxz00_5269))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_5204);} } } 
}



/* <anonymous:4577> */
obj_t BGl_zc3anonymousza34577ze3z83zzcfa_procedurez00(obj_t BgL_envz00_4963, obj_t BgL_appz00_4966)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 154 */
{ /* Cfa/procedure.scm 155 */
obj_t BgL_offsetz00_4964;obj_t BgL_instance4308z00_4965;
{ /* Cfa/procedure.scm 155 */
int BgL_auxz00_5276;
BgL_auxz00_5276 = 
(int)(((long)0)); 
BgL_offsetz00_4964 = 
PROCEDURE_REF(BgL_envz00_4963, BgL_auxz00_5276); } 
{ /* Cfa/procedure.scm 155 */
int BgL_auxz00_5279;
BgL_auxz00_5279 = 
(int)(((long)1)); 
BgL_instance4308z00_4965 = 
PROCEDURE_REF(BgL_envz00_4963, BgL_auxz00_5279); } 
{ 
obj_t BgL_appz00_3392;
BgL_appz00_3392 = BgL_appz00_4966; 
{ /* Cfa/procedure.scm 155 */
bool_t BgL_test4578z00_3394;
{ /* Cfa/procedure.scm 155 */
bool_t BgL_test4583z00_3399;
BgL_test4583z00_3399 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3392, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4583z00_3399)
{ /* Cfa/procedure.scm 158 */
int BgL_arg4584z00_3400;
{ /* Cfa/procedure.scm 158 */
obj_t BgL_arg4585z00_3401;
{ /* Cfa/procedure.scm 158 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4862;
BgL_obj3852z00_4862 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3392); 
{ 
obj_t BgL_auxz00_5285;
{ /* Cfa/procedure.scm 158 */
BgL_objectz00_bglt BgL_auxz00_5286;
BgL_auxz00_5286 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4862); 
BgL_auxz00_5285 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5286); } 
BgL_arg4585z00_3401 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5285))->BgL_valueszd2approxzd2); } } 
BgL_arg4584z00_3400 = 
VECTOR_LENGTH(BgL_arg4585z00_3401); } 
{ /* Cfa/procedure.scm 156 */
long BgL_auxz00_5293;long BgL_auxz00_5291;
BgL_auxz00_5293 = 
(long)(BgL_arg4584z00_3400); 
BgL_auxz00_5291 = 
(long)CINT(BgL_offsetz00_4964); 
BgL_test4578z00_3394 = 
(BgL_auxz00_5291<BgL_auxz00_5293); } }  else 
{ /* Cfa/procedure.scm 155 */
BgL_test4578z00_3394 = ((bool_t)0); } } 
if(BgL_test4578z00_3394)
{ /* Cfa/procedure.scm 159 */
BgL_approxz00_bglt BgL_arg4579z00_3395;obj_t BgL_arg4580z00_3396;
{ /* Cfa/procedure.scm 159 */
BgL_procedurezd2refzd2appz00_bglt BgL_obj3906z00_4866;
BgL_obj3906z00_4866 = 
(BgL_procedurezd2refzd2appz00_bglt)(BgL_instance4308z00_4965); 
{ 
obj_t BgL_auxz00_5298;
{ /* Cfa/procedure.scm 159 */
BgL_objectz00_bglt BgL_auxz00_5299;
BgL_auxz00_5299 = 
(BgL_objectz00_bglt)(BgL_obj3906z00_4866); 
BgL_auxz00_5298 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5299); } 
BgL_arg4579z00_3395 = 
(((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_auxz00_5298))->BgL_approxz00); } } 
{ /* Cfa/procedure.scm 161 */
obj_t BgL_arg4581z00_3397;
{ /* Cfa/procedure.scm 161 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4867;
BgL_obj3852z00_4867 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3392); 
{ 
obj_t BgL_auxz00_5304;
{ /* Cfa/procedure.scm 161 */
BgL_objectz00_bglt BgL_auxz00_5305;
BgL_auxz00_5305 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4867); 
BgL_auxz00_5304 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5305); } 
BgL_arg4581z00_3397 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5304))->BgL_valueszd2approxzd2); } } 
{ /* Cfa/procedure.scm 160 */
int BgL_kz00_4869;
BgL_kz00_4869 = 
CINT(BgL_offsetz00_4964); 
BgL_arg4580z00_3396 = 
VECTOR_REF(BgL_arg4581z00_3397,BgL_kz00_4869); } } 
{ /* Cfa/procedure.scm 159 */
BgL_approxz00_bglt BgL_auxz00_5311;
BgL_auxz00_5311 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4579z00_3395, 
(BgL_approxz00_bglt)(BgL_arg4580z00_3396)); 
return 
(obj_t)(BgL_auxz00_5311);} }  else 
{ /* Cfa/procedure.scm 165 */
BgL_approxz00_bglt BgL_auxz00_5315;
{ /* Cfa/procedure.scm 165 */
BgL_procedurezd2refzd2appz00_bglt BgL_obj3906z00_4870;
BgL_obj3906z00_4870 = 
(BgL_procedurezd2refzd2appz00_bglt)(BgL_instance4308z00_4965); 
{ 
obj_t BgL_auxz00_5317;
{ /* Cfa/procedure.scm 165 */
BgL_objectz00_bglt BgL_auxz00_5318;
BgL_auxz00_5318 = 
(BgL_objectz00_bglt)(BgL_obj3906z00_4870); 
BgL_auxz00_5317 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5318); } 
BgL_auxz00_5315 = 
(((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_auxz00_5317))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_5315);} } } } } 
}



/* <anonymous:4587> */
obj_t BGl_zc3anonymousza34587ze3z83zzcfa_procedurez00(obj_t BgL_envz00_4967, obj_t BgL_appz00_4969)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 169 */
{ /* Cfa/procedure.scm 170 */
obj_t BgL_instance4308z00_4968;
{ /* Cfa/procedure.scm 170 */
int BgL_auxz00_5323;
BgL_auxz00_5323 = 
(int)(((long)0)); 
BgL_instance4308z00_4968 = 
PROCEDURE_REF(BgL_envz00_4967, BgL_auxz00_5323); } 
{ 
obj_t BgL_appz00_3404;
{ /* Cfa/procedure.scm 170 */
bool_t BgL_auxz00_5326;
BgL_appz00_3404 = BgL_appz00_4969; 
{ /* Cfa/procedure.scm 170 */
bool_t BgL_test4588z00_3406;
BgL_test4588z00_3406 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3404, BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
if(BgL_test4588z00_3406)
{ /* Cfa/procedure.scm 171 */
int BgL_lenz00_3407;
{ /* Cfa/procedure.scm 172 */
obj_t BgL_arg4594z00_3415;
{ /* Cfa/procedure.scm 172 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4872;
BgL_obj3852z00_4872 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3404); 
{ 
obj_t BgL_auxz00_5330;
{ /* Cfa/procedure.scm 172 */
BgL_objectz00_bglt BgL_auxz00_5331;
BgL_auxz00_5331 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4872); 
BgL_auxz00_5330 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5331); } 
BgL_arg4594z00_3415 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5330))->BgL_valueszd2approxzd2); } } 
BgL_lenz00_3407 = 
VECTOR_LENGTH(BgL_arg4594z00_3415); } 
{ 
long BgL_iz00_3408;
BgL_iz00_3408 = ((long)0); 
BgL_loopz00_3409:
{ /* Cfa/procedure.scm 174 */
bool_t BgL_testz00_5336;
{ /* Cfa/procedure.scm 174 */
long BgL_auxz00_5337;
BgL_auxz00_5337 = 
(long)(BgL_lenz00_3407); 
BgL_testz00_5336 = 
(BgL_iz00_3408<BgL_auxz00_5337); } 
if(BgL_testz00_5336)
{ /* Cfa/procedure.scm 174 */
{ /* Cfa/procedure.scm 176 */
BgL_approxz00_bglt BgL_arg4590z00_3411;obj_t BgL_arg4591z00_3412;
{ /* Cfa/procedure.scm 176 */
BgL_procedurezd2refzd2appz00_bglt BgL_obj3906z00_4876;
BgL_obj3906z00_4876 = 
(BgL_procedurezd2refzd2appz00_bglt)(BgL_instance4308z00_4968); 
{ 
obj_t BgL_auxz00_5341;
{ /* Cfa/procedure.scm 176 */
BgL_objectz00_bglt BgL_auxz00_5342;
BgL_auxz00_5342 = 
(BgL_objectz00_bglt)(BgL_obj3906z00_4876); 
BgL_auxz00_5341 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5342); } 
BgL_arg4590z00_3411 = 
(((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_auxz00_5341))->BgL_approxz00); } } 
{ /* Cfa/procedure.scm 179 */
obj_t BgL_arg4592z00_3413;
{ /* Cfa/procedure.scm 179 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3852z00_4877;
BgL_obj3852z00_4877 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_appz00_3404); 
{ 
obj_t BgL_auxz00_5347;
{ /* Cfa/procedure.scm 179 */
BgL_objectz00_bglt BgL_auxz00_5348;
BgL_auxz00_5348 = 
(BgL_objectz00_bglt)(BgL_obj3852z00_4877); 
BgL_auxz00_5347 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5348); } 
BgL_arg4592z00_3413 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5347))->BgL_valueszd2approxzd2); } } 
{ /* Cfa/procedure.scm 178 */
int BgL_kz00_4879;
BgL_kz00_4879 = 
(int)(BgL_iz00_3408); 
BgL_arg4591z00_3412 = 
VECTOR_REF(BgL_arg4592z00_3413,BgL_kz00_4879); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4590z00_3411, 
(BgL_approxz00_bglt)(BgL_arg4591z00_3412)); } 
{ 
long BgL_iz00_5356;
BgL_iz00_5356 = 
(BgL_iz00_3408+((long)1)); 
BgL_iz00_3408 = BgL_iz00_5356; 
goto BgL_loopz00_3409;} }  else 
{ /* Cfa/procedure.scm 174 */
BgL_auxz00_5326 = ((bool_t)0)
; } } } }  else 
{ /* Cfa/procedure.scm 170 */
BgL_auxz00_5326 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_5326);} } } } 
}



/* cfa!-make-procedure-app4321 */
obj_t BGl_cfaz12zd2makezd2procedurezd2app4321zc0zzcfa_procedurez00(obj_t BgL_envz00_4970, obj_t BgL_nodez00_4971)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 120 */
{ 
BgL_makezd2procedurezd2appz00_bglt BgL_nodez00_3359;
{ /* Cfa/procedure.scm 121 */
BgL_approxz00_bglt BgL_auxz00_5359;
BgL_nodez00_3359 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_nodez00_4971); 
{ /* Cfa/procedure.scm 126 */

{ /* Cfa/procedure.scm 133 */
BgL_approxz00_bglt BgL_auxz00_5384;BgL_approxz00_bglt BgL_auxz00_5360;
{ 
obj_t BgL_auxz00_5385;
{ /* Cfa/procedure.scm 133 */
BgL_objectz00_bglt BgL_auxz00_5386;
BgL_auxz00_5386 = 
(BgL_objectz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_5385 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5386); } 
BgL_auxz00_5384 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5385))->BgL_approxz00); } 
{ /* Cfa/procedure.scm 133 */
BgL_svarzf2cinfozf2_bglt BgL_obj2914z00_4839;
{ /* Cfa/procedure.scm 133 */
BgL_valuez00_bglt BgL_auxz00_5361;
{ /* Cfa/procedure.scm 133 */
BgL_localz00_bglt BgL_obj1255z00_4838;
{ /* Cfa/procedure.scm 133 */
obj_t BgL_auxz00_5362;
{ /* Cfa/procedure.scm 126 */
obj_t BgL_auxz00_5363;
{ /* Cfa/procedure.scm 126 */
BgL_sfunz00_bglt BgL_obj1369z00_4836;
{ /* Cfa/procedure.scm 126 */
BgL_valuez00_bglt BgL_auxz00_5364;
{ /* Cfa/procedure.scm 125 */
BgL_variablez00_bglt BgL_arg4564z00_3370;
{ /* Cfa/procedure.scm 125 */
BgL_varz00_bglt BgL_obj1619z00_4834;
{ /* Cfa/procedure.scm 125 */
obj_t BgL_auxz00_5365;
{ /* Cfa/procedure.scm 124 */
obj_t BgL_auxz00_5366;
{ /* Cfa/procedure.scm 124 */
BgL_appz00_bglt BgL_obj3885z00_4832;
BgL_obj3885z00_4832 = 
(BgL_appz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_5366 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_4832))->BgL_argsz00); } 
BgL_auxz00_5365 = 
CAR(BgL_auxz00_5366); } 
BgL_obj1619z00_4834 = 
(BgL_varz00_bglt)(BgL_auxz00_5365); } 
BgL_arg4564z00_3370 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_4834))->BgL_variablez00); } 
BgL_auxz00_5364 = 
(((BgL_variablez00_bglt)CREF(BgL_arg4564z00_3370))->BgL_valuez00); } 
BgL_obj1369z00_4836 = 
(BgL_sfunz00_bglt)(BgL_auxz00_5364); } 
BgL_auxz00_5363 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_4836))->BgL_argsz00); } 
BgL_auxz00_5362 = 
CAR(BgL_auxz00_5363); } 
BgL_obj1255z00_4838 = 
(BgL_localz00_bglt)(BgL_auxz00_5362); } 
BgL_auxz00_5361 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_4838))->BgL_valuez00); } 
BgL_obj2914z00_4839 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_auxz00_5361); } 
{ 
obj_t BgL_auxz00_5379;
{ /* Cfa/procedure.scm 133 */
BgL_objectz00_bglt BgL_auxz00_5380;
BgL_auxz00_5380 = 
(BgL_objectz00_bglt)(BgL_obj2914z00_4839); 
BgL_auxz00_5379 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5380); } 
BgL_auxz00_5360 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_5379))->BgL_approxz00); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_5360, BgL_auxz00_5384); } } 
{ 
obj_t BgL_l4306z00_3372;
{ /* Cfa/procedure.scm 135 */
BgL_appz00_bglt BgL_obj3885z00_4841;
BgL_obj3885z00_4841 = 
(BgL_appz00_bglt)(BgL_nodez00_3359); 
BgL_l4306z00_3372 = 
(((BgL_appz00_bglt)CREF(BgL_obj3885z00_4841))->BgL_argsz00); } 
BgL_lname4307z00_3373:
if(
PAIRP(BgL_l4306z00_3372))
{ /* Cfa/procedure.scm 135 */
{ /* Cfa/procedure.scm 135 */
BgL_nodez00_bglt BgL_auxz00_5393;
{ /* Cfa/procedure.scm 135 */
obj_t BgL_auxz00_5394;
BgL_auxz00_5394 = 
CAR(BgL_l4306z00_3372); 
BgL_auxz00_5393 = 
(BgL_nodez00_bglt)(BgL_auxz00_5394); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5393); } 
{ 
obj_t BgL_l4306z00_5398;
BgL_l4306z00_5398 = 
CDR(BgL_l4306z00_3372); 
BgL_l4306z00_3372 = BgL_l4306z00_5398; 
goto BgL_lname4307z00_3373;} }  else 
{ /* Cfa/procedure.scm 135 */((bool_t)1); } } 
{ 
obj_t BgL_auxz00_5402;
{ /* Cfa/procedure.scm 136 */
BgL_objectz00_bglt BgL_auxz00_5403;
BgL_auxz00_5403 = 
(BgL_objectz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_5402 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5403); } 
BgL_auxz00_5359 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5402))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_5359);} } } 
}



/* node-setup!-pre-procedure-set!-app4319 */
obj_t BGl_nodezd2setupz12zd2prezd2procedurezd2setz12zd2app4319zd2zzcfa_procedurez00(obj_t BgL_envz00_4972, obj_t BgL_nodez00_4973)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 109 */
{ 
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_3343;
{ /* Cfa/procedure.scm 110 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5409;
BgL_nodez00_3343 = 
(BgL_prezd2procedurezd2setz12zd2appzc0_bglt)(BgL_nodez00_4973); 
BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_nodez00_3343)); 
{ /* Cfa/procedure.scm 112 */
obj_t BgL_auxz00_5412;
{ /* Cfa/procedure.scm 112 */
BgL_appz00_bglt BgL_obj3800z00_4811;
BgL_obj3800z00_4811 = 
(BgL_appz00_bglt)(BgL_nodez00_3343); 
BgL_auxz00_5412 = 
(((BgL_appz00_bglt)CREF(BgL_obj3800z00_4811))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5412); } 
{ /* Cfa/procedure.scm 113 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_3348;
{ /* Cfa/procedure.scm 113 */
long BgL_arg4556z00_3354;
{ /* Cfa/procedure.scm 113 */
obj_t BgL_arg4557z00_3355;
{ /* Cfa/procedure.scm 113 */
obj_t BgL_arg4558z00_3356;
{ /* Cfa/procedure.scm 113 */
long BgL_arg1224z00_4813;
{ /* Cfa/procedure.scm 113 */
long BgL_arg1225z00_4814;
{ /* Cfa/procedure.scm 113 */
BgL_objectz00_bglt BgL_auxz00_5416;
BgL_auxz00_5416 = 
(BgL_objectz00_bglt)(BgL_nodez00_3343); 
BgL_arg1225z00_4814 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5416); } 
BgL_arg1224z00_4813 = 
(BgL_arg1225z00_4814-OBJECT_TYPE); } 
{ /* Cfa/procedure.scm 113 */
obj_t BgL_vectorz00_4818;int BgL_kz00_4819;
BgL_vectorz00_4818 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4819 = 
(int)(BgL_arg1224z00_4813); 
BgL_arg4558z00_3356 = 
VECTOR_REF(BgL_vectorz00_4818,BgL_kz00_4819); } } 
BgL_arg4557z00_3355 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4558z00_3356); } 
BgL_arg4556z00_3354 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4557z00_3355); } 
{ /* Cfa/procedure.scm 113 */
BgL_objectz00_bglt BgL_auxz00_5424;
BgL_auxz00_5424 = 
(BgL_objectz00_bglt)(BgL_nodez00_3343); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5424, BgL_arg4556z00_3354); } } 
{ /* Cfa/procedure.scm 113 */
BgL_objectz00_bglt BgL_auxz00_5427;
BgL_auxz00_5427 = 
(BgL_objectz00_bglt)(BgL_nodez00_3343); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5427, BFALSE); } 
BgL_nodez00_3348 = BgL_nodez00_3343; 
{ /* Cfa/procedure.scm 114 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_obj4303z00_3349;
BgL_obj4303z00_3349 = 
((BgL_procedurezd2setz12zd2appz12_bglt)BgL_nodez00_3348); 
{ /* Cfa/procedure.scm 115 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_arg4553z00_3350;
{ /* Cfa/procedure.scm 115 */
BgL_approxz00_bglt BgL_arg4554z00_3351;
BgL_arg4554z00_3351 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* Cfa/procedure.scm 114 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_res4719z00_4828;
{ /* Cfa/procedure.scm 114 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_new3924z00_4823;
BgL_new3924z00_4823 = 
((BgL_procedurezd2setz12zd2appz12_bglt)BREF( GC_MALLOC (sizeof(struct BgL_procedurezd2setz12zd2appz12_bgl)))); 
{ /* Cfa/procedure.scm 114 */
BgL_procedurezd2setz12zd2appz12_bglt BgL_res4718z00_4827;
((((BgL_procedurezd2setz12zd2appz12_bglt)CREF(BgL_new3924z00_4823))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4554z00_3351), BUNSPEC); 
BgL_res4718z00_4827 = BgL_new3924z00_4823; BgL_res4718z00_4827; } 
BgL_res4719z00_4828 = BgL_new3924z00_4823; } 
BgL_arg4553z00_3350 = BgL_res4719z00_4828; } } 
{ /* Cfa/procedure.scm 114 */
obj_t BgL_auxz00_5437;BgL_objectz00_bglt BgL_auxz00_5435;
BgL_auxz00_5437 = 
(obj_t)(BgL_arg4553z00_3350); 
BgL_auxz00_5435 = 
(BgL_objectz00_bglt)(BgL_obj4303z00_3349); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5435, BgL_auxz00_5437); } } 
{ /* Cfa/procedure.scm 114 */
long BgL_arg4555z00_3352;
BgL_arg4555z00_3352 = 
BGl_classzd2numzd2zz__objectz00(BGl_procedurezd2setz12zd2appz12zzcfa_info2z00); 
{ /* Cfa/procedure.scm 114 */
BgL_objectz00_bglt BgL_auxz00_5441;
BgL_auxz00_5441 = 
(BgL_objectz00_bglt)(BgL_obj4303z00_3349); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5441, BgL_arg4555z00_3352); } } 
{ /* Cfa/procedure.scm 114 */
obj_t BgL_auxz00_5444;
BgL_auxz00_5444 = 
(obj_t)(BgL_obj4303z00_3349); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5444); } BUNSPEC; 
BgL_auxz00_5409 = BgL_obj4303z00_3349; } } 
return 
(obj_t)(BgL_auxz00_5409);} } } 
}



/* node-setup!-pre-procedure-ref-app4317 */
obj_t BGl_nodezd2setupz12zd2prezd2procedurezd2refzd2app4317zc0zzcfa_procedurez00(obj_t BgL_envz00_4974, obj_t BgL_nodez00_4975)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 98 */
{ 
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_3327;
{ /* Cfa/procedure.scm 99 */
BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5449;
BgL_nodez00_3327 = 
(BgL_prezd2procedurezd2refzd2appzd2_bglt)(BgL_nodez00_4975); 
BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_nodez00_3327)); 
{ /* Cfa/procedure.scm 101 */
obj_t BgL_auxz00_5452;
{ /* Cfa/procedure.scm 101 */
BgL_appz00_bglt BgL_obj3768z00_4790;
BgL_obj3768z00_4790 = 
(BgL_appz00_bglt)(BgL_nodez00_3327); 
BgL_auxz00_5452 = 
(((BgL_appz00_bglt)CREF(BgL_obj3768z00_4790))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5452); } 
{ /* Cfa/procedure.scm 102 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_3332;
{ /* Cfa/procedure.scm 102 */
long BgL_arg4548z00_3338;
{ /* Cfa/procedure.scm 102 */
obj_t BgL_arg4549z00_3339;
{ /* Cfa/procedure.scm 102 */
obj_t BgL_arg4550z00_3340;
{ /* Cfa/procedure.scm 102 */
long BgL_arg1224z00_4792;
{ /* Cfa/procedure.scm 102 */
long BgL_arg1225z00_4793;
{ /* Cfa/procedure.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5456;
BgL_auxz00_5456 = 
(BgL_objectz00_bglt)(BgL_nodez00_3327); 
BgL_arg1225z00_4793 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5456); } 
BgL_arg1224z00_4792 = 
(BgL_arg1225z00_4793-OBJECT_TYPE); } 
{ /* Cfa/procedure.scm 102 */
obj_t BgL_vectorz00_4797;int BgL_kz00_4798;
BgL_vectorz00_4797 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4798 = 
(int)(BgL_arg1224z00_4792); 
BgL_arg4550z00_3340 = 
VECTOR_REF(BgL_vectorz00_4797,BgL_kz00_4798); } } 
BgL_arg4549z00_3339 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4550z00_3340); } 
BgL_arg4548z00_3338 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4549z00_3339); } 
{ /* Cfa/procedure.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5464;
BgL_auxz00_5464 = 
(BgL_objectz00_bglt)(BgL_nodez00_3327); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5464, BgL_arg4548z00_3338); } } 
{ /* Cfa/procedure.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5467;
BgL_auxz00_5467 = 
(BgL_objectz00_bglt)(BgL_nodez00_3327); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5467, BFALSE); } 
BgL_nodez00_3332 = BgL_nodez00_3327; 
{ /* Cfa/procedure.scm 103 */
BgL_procedurezd2refzd2appz00_bglt BgL_obj4299z00_3333;
BgL_obj4299z00_3333 = 
((BgL_procedurezd2refzd2appz00_bglt)BgL_nodez00_3332); 
{ /* Cfa/procedure.scm 104 */
BgL_procedurezd2refzd2appz00_bglt BgL_arg4545z00_3334;
{ /* Cfa/procedure.scm 104 */
BgL_approxz00_bglt BgL_arg4546z00_3335;
BgL_arg4546z00_3335 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/procedure.scm 103 */
BgL_procedurezd2refzd2appz00_bglt BgL_res4717z00_4807;
{ /* Cfa/procedure.scm 103 */
BgL_procedurezd2refzd2appz00_bglt BgL_new3889z00_4802;
BgL_new3889z00_4802 = 
((BgL_procedurezd2refzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_procedurezd2refzd2appz00_bgl)))); 
{ /* Cfa/procedure.scm 103 */
BgL_procedurezd2refzd2appz00_bglt BgL_res4716z00_4806;
((((BgL_procedurezd2refzd2appz00_bglt)CREF(BgL_new3889z00_4802))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4546z00_3335), BUNSPEC); 
BgL_res4716z00_4806 = BgL_new3889z00_4802; BgL_res4716z00_4806; } 
BgL_res4717z00_4807 = BgL_new3889z00_4802; } 
BgL_arg4545z00_3334 = BgL_res4717z00_4807; } } 
{ /* Cfa/procedure.scm 103 */
obj_t BgL_auxz00_5477;BgL_objectz00_bglt BgL_auxz00_5475;
BgL_auxz00_5477 = 
(obj_t)(BgL_arg4545z00_3334); 
BgL_auxz00_5475 = 
(BgL_objectz00_bglt)(BgL_obj4299z00_3333); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5475, BgL_auxz00_5477); } } 
{ /* Cfa/procedure.scm 103 */
long BgL_arg4547z00_3336;
BgL_arg4547z00_3336 = 
BGl_classzd2numzd2zz__objectz00(BGl_procedurezd2refzd2appz00zzcfa_info2z00); 
{ /* Cfa/procedure.scm 103 */
BgL_objectz00_bglt BgL_auxz00_5481;
BgL_auxz00_5481 = 
(BgL_objectz00_bglt)(BgL_obj4299z00_3333); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5481, BgL_arg4547z00_3336); } } 
{ /* Cfa/procedure.scm 103 */
obj_t BgL_auxz00_5484;
BgL_auxz00_5484 = 
(obj_t)(BgL_obj4299z00_3333); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5484); } BUNSPEC; 
BgL_auxz00_5449 = BgL_obj4299z00_3333; } } 
return 
(obj_t)(BgL_auxz00_5449);} } } 
}



/* node-setup!-pre-make-procedure-app4315 */
obj_t BGl_nodezd2setupz12zd2prezd2makezd2procedurezd2app4315zc0zzcfa_procedurez00(obj_t BgL_envz00_4976, obj_t BgL_nodez00_4977)
{ AN_OBJECT;
{ /* Cfa/procedure.scm 48 */
{ 
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_3274;
BgL_nodez00_3274 = 
(BgL_prezd2makezd2procedurezd2appzd2_bglt)(BgL_nodez00_4977); 
{ 

{ 
obj_t BgL_lenz00_3315;
BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_nodez00_3274)); 
{ /* Cfa/procedure.scm 59 */
obj_t BgL_auxz00_5491;
{ /* Cfa/procedure.scm 59 */
BgL_appz00_bglt BgL_obj3735z00_4708;
BgL_obj3735z00_4708 = 
(BgL_appz00_bglt)(BgL_nodez00_3274); 
BgL_auxz00_5491 = 
(((BgL_appz00_bglt)CREF(BgL_obj3735z00_4708))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5491); } 
{ /* Cfa/procedure.scm 60 */
BgL_variablez00_bglt BgL_ownerz00_3280;
{ 
obj_t BgL_auxz00_5495;
{ /* Cfa/procedure.scm 60 */
BgL_objectz00_bglt BgL_auxz00_5496;
BgL_auxz00_5496 = 
(BgL_objectz00_bglt)(BgL_nodez00_3274); 
BgL_auxz00_5495 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5496); } 
BgL_ownerz00_3280 = 
(((BgL_prezd2makezd2procedurezd2appzd2_bglt)CREF(BgL_auxz00_5495))->BgL_ownerz00); } 
{ /* Cfa/procedure.scm 60 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_3281;
{ /* Cfa/procedure.scm 61 */
long BgL_arg4535z00_3312;
{ /* Cfa/procedure.scm 61 */
obj_t BgL_arg4536z00_3313;
{ /* Cfa/procedure.scm 61 */
obj_t BgL_arg4537z00_3314;
{ /* Cfa/procedure.scm 61 */
long BgL_arg1224z00_4711;
{ /* Cfa/procedure.scm 61 */
long BgL_arg1225z00_4712;
{ /* Cfa/procedure.scm 61 */
BgL_objectz00_bglt BgL_auxz00_5500;
BgL_auxz00_5500 = 
(BgL_objectz00_bglt)(BgL_nodez00_3274); 
BgL_arg1225z00_4712 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5500); } 
BgL_arg1224z00_4711 = 
(BgL_arg1225z00_4712-OBJECT_TYPE); } 
{ /* Cfa/procedure.scm 61 */
obj_t BgL_vectorz00_4716;int BgL_kz00_4717;
BgL_vectorz00_4716 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4717 = 
(int)(BgL_arg1224z00_4711); 
BgL_arg4537z00_3314 = 
VECTOR_REF(BgL_vectorz00_4716,BgL_kz00_4717); } } 
BgL_arg4536z00_3313 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4537z00_3314); } 
BgL_arg4535z00_3312 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4536z00_3313); } 
{ /* Cfa/procedure.scm 61 */
BgL_objectz00_bglt BgL_auxz00_5508;
BgL_auxz00_5508 = 
(BgL_objectz00_bglt)(BgL_nodez00_3274); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5508, BgL_arg4535z00_3312); } } 
{ /* Cfa/procedure.scm 61 */
BgL_objectz00_bglt BgL_auxz00_5511;
BgL_auxz00_5511 = 
(BgL_objectz00_bglt)(BgL_nodez00_3274); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5511, BFALSE); } 
BgL_nodez00_3281 = BgL_nodez00_3274; 
{ /* Cfa/procedure.scm 61 */

{ /* Cfa/procedure.scm 62 */
obj_t BgL_proczd2siza7ez75_3282;obj_t BgL_procz00_3283;
{ /* Cfa/procedure.scm 62 */
BgL_nodez00_bglt BgL_auxz00_5514;
{ /* Cfa/procedure.scm 62 */
obj_t BgL_auxz00_5515;
{ /* Cfa/procedure.scm 62 */
obj_t BgL_auxz00_5516;
{ /* Cfa/procedure.scm 62 */
obj_t BgL_auxz00_5517;
{ /* Cfa/procedure.scm 62 */
obj_t BgL_auxz00_5518;
{ /* Cfa/procedure.scm 62 */
BgL_appz00_bglt BgL_obj3735z00_4720;
BgL_obj3735z00_4720 = 
(BgL_appz00_bglt)(BgL_nodez00_3274); 
BgL_auxz00_5518 = 
(((BgL_appz00_bglt)CREF(BgL_obj3735z00_4720))->BgL_argsz00); } 
BgL_auxz00_5517 = 
CDR(BgL_auxz00_5518); } 
BgL_auxz00_5516 = 
CDR(BgL_auxz00_5517); } 
BgL_auxz00_5515 = 
CAR(BgL_auxz00_5516); } 
BgL_auxz00_5514 = 
(BgL_nodez00_bglt)(BgL_auxz00_5515); } 
BgL_proczd2siza7ez75_3282 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_auxz00_5514); } 
{ /* Cfa/procedure.scm 63 */
obj_t BgL_auxz00_5526;
{ /* Cfa/procedure.scm 63 */
BgL_appz00_bglt BgL_obj3735z00_4727;
BgL_obj3735z00_4727 = 
(BgL_appz00_bglt)(BgL_nodez00_3274); 
BgL_auxz00_5526 = 
(((BgL_appz00_bglt)CREF(BgL_obj3735z00_4727))->BgL_argsz00); } 
BgL_procz00_3283 = 
CAR(BgL_auxz00_5526); } 
{ /* Cfa/procedure.scm 64 */
bool_t BgL_test4513z00_3284;
if(
INTEGERP(BgL_proczd2siza7ez75_3282))
{ /* Cfa/procedure.scm 65 */
bool_t BgL_test4529z00_3305;
BgL_test4529z00_3305 = 
BGl_iszd2azf3z21zz__objectz00(BgL_procz00_3283, BGl_varz00zzast_nodez00); 
if(BgL_test4529z00_3305)
{ /* Cfa/procedure.scm 66 */
obj_t BgL_auxz00_5534;
{ /* Cfa/procedure.scm 66 */
BgL_valuez00_bglt BgL_auxz00_5535;
{ /* Cfa/procedure.scm 66 */
BgL_variablez00_bglt BgL_arg4531z00_3307;
{ /* Cfa/procedure.scm 66 */
BgL_varz00_bglt BgL_obj1619z00_4731;
BgL_obj1619z00_4731 = 
(BgL_varz00_bglt)(BgL_procz00_3283); 
BgL_arg4531z00_3307 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_4731))->BgL_variablez00); } 
BgL_auxz00_5535 = 
(((BgL_variablez00_bglt)CREF(BgL_arg4531z00_3307))->BgL_valuez00); } 
BgL_auxz00_5534 = 
(obj_t)(BgL_auxz00_5535); } 
BgL_test4513z00_3284 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5534, BGl_funz00zzast_varz00); }  else 
{ /* Cfa/procedure.scm 65 */
BgL_test4513z00_3284 = ((bool_t)0); } }  else 
{ /* Cfa/procedure.scm 64 */
BgL_test4513z00_3284 = ((bool_t)0); } 
if(BgL_test4513z00_3284)
{ /* Cfa/procedure.scm 67 */
BgL_makezd2procedurezd2appz00_bglt BgL_nodez00_3285;
{ /* Cfa/procedure.scm 67 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj4294z00_3296;
BgL_obj4294z00_3296 = 
((BgL_makezd2procedurezd2appz00_bglt)BgL_nodez00_3281); 
{ /* Cfa/procedure.scm 69 */
BgL_makezd2procedurezd2appz00_bglt BgL_arg4521z00_3297;
{ /* Cfa/procedure.scm 69 */
BgL_approxz00_bglt BgL_arg4522z00_3298;obj_t BgL_arg4523z00_3299;BgL_variablez00_bglt BgL_arg4525z00_3301;
BgL_arg4522z00_3298 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_lenz00_3315 = BgL_proczd2siza7ez75_3282; 
{ /* Cfa/procedure.scm 50 */
obj_t BgL_resz00_3317;
{ /* Cfa/procedure.scm 50 */
int BgL_auxz00_5544;
BgL_auxz00_5544 = 
CINT(BgL_lenz00_3315); 
BgL_resz00_3317 = 
make_vector(BgL_auxz00_5544, BUNSPEC); } 
{ 
long BgL_iz00_3318;
BgL_iz00_3318 = ((long)0); 
BgL_loopz00_3319:
{ /* Cfa/procedure.scm 52 */
bool_t BgL_testz00_5547;
{ /* Cfa/procedure.scm 52 */
long BgL_auxz00_5548;
BgL_auxz00_5548 = 
(long)CINT(BgL_lenz00_3315); 
BgL_testz00_5547 = 
(BgL_iz00_3318==BgL_auxz00_5548); } 
if(BgL_testz00_5547)
{ /* Cfa/procedure.scm 52 */
BgL_arg4523z00_3299 = BgL_resz00_3317; }  else 
{ /* Cfa/procedure.scm 52 */
{ /* Cfa/procedure.scm 55 */
BgL_approxz00_bglt BgL_arg4540z00_3321;
BgL_arg4540z00_3321 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/procedure.scm 55 */
int BgL_kz00_4785;obj_t BgL_objz00_4786;
BgL_kz00_4785 = 
(int)(BgL_iz00_3318); 
BgL_objz00_4786 = 
(obj_t)(BgL_arg4540z00_3321); 
VECTOR_SET(BgL_resz00_3317,BgL_kz00_4785,BgL_objz00_4786); } } 
{ 
long BgL_iz00_5556;
BgL_iz00_5556 = 
(BgL_iz00_3318+((long)1)); 
BgL_iz00_3318 = BgL_iz00_5556; 
goto BgL_loopz00_3319;} } } } } 
BgL_arg4525z00_3301 = BgL_ownerz00_3280; 
{ /* Cfa/procedure.scm 67 */
BgL_makezd2procedurezd2appz00_bglt BgL_res4713z00_4761;
{ /* Cfa/procedure.scm 67 */
BgL_makezd2procedurezd2appz00_bglt BgL_new3811z00_4742;
BgL_new3811z00_4742 = 
((BgL_makezd2procedurezd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_makezd2procedurezd2appz00_bgl)))); 
{ /* Cfa/procedure.scm 67 */
BgL_makezd2procedurezd2appz00_bglt BgL_res4712z00_4760;
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4522z00_3298), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_valueszd2approxzd2) = ((obj_t)BgL_arg4523z00_3299), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_xzd2tzf3z21) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_xz00) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_tz00) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_arg4525z00_3301), BUNSPEC); 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_new3811z00_4742))->BgL_stackzd2stampzd2) = ((obj_t)BNIL), BUNSPEC); 
BgL_res4712z00_4760 = BgL_new3811z00_4742; BgL_res4712z00_4760; } 
BgL_res4713z00_4761 = BgL_new3811z00_4742; } 
BgL_arg4521z00_3297 = BgL_res4713z00_4761; } } 
{ /* Cfa/procedure.scm 67 */
obj_t BgL_auxz00_5569;BgL_objectz00_bglt BgL_auxz00_5567;
BgL_auxz00_5569 = 
(obj_t)(BgL_arg4521z00_3297); 
BgL_auxz00_5567 = 
(BgL_objectz00_bglt)(BgL_obj4294z00_3296); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5567, BgL_auxz00_5569); } } 
{ /* Cfa/procedure.scm 67 */
long BgL_arg4527z00_3303;
BgL_arg4527z00_3303 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2procedurezd2appz00zzcfa_info2z00); 
{ /* Cfa/procedure.scm 67 */
BgL_objectz00_bglt BgL_auxz00_5573;
BgL_auxz00_5573 = 
(BgL_objectz00_bglt)(BgL_obj4294z00_3296); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5573, BgL_arg4527z00_3303); } } 
{ /* Cfa/procedure.scm 67 */
obj_t BgL_auxz00_5576;
BgL_auxz00_5576 = 
(obj_t)(BgL_obj4294z00_3296); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5576); } BUNSPEC; 
BgL_nodez00_3285 = BgL_obj4294z00_3296; } 
{ /* Cfa/procedure.scm 76 */
BgL_approxz00_bglt BgL_arg4514z00_3286;
BgL_arg4514z00_3286 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00), 
(BgL_nodez00_bglt)(BgL_nodez00_3285)); 
{ 
obj_t BgL_auxz00_5582;
{ /* Cfa/procedure.scm 75 */
BgL_objectz00_bglt BgL_auxz00_5583;
BgL_auxz00_5583 = 
(BgL_objectz00_bglt)(BgL_nodez00_3285); 
BgL_auxz00_5582 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5583); } 
((((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_5582))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4514z00_3286), BUNSPEC); } } 
{ /* Cfa/procedure.scm 81 */
BgL_valuez00_bglt BgL_vcloz00_3288;
{ /* Cfa/procedure.scm 84 */
BgL_localz00_bglt BgL_obj1255z00_4771;
{ /* Cfa/procedure.scm 84 */
obj_t BgL_auxz00_5587;
{ /* Cfa/procedure.scm 81 */
obj_t BgL_auxz00_5588;
{ /* Cfa/procedure.scm 81 */
BgL_sfunz00_bglt BgL_obj1369z00_4769;
{ /* Cfa/procedure.scm 83 */
BgL_valuez00_bglt BgL_auxz00_5589;
{ /* Cfa/procedure.scm 83 */
BgL_variablez00_bglt BgL_arg4520z00_3295;
{ /* Cfa/procedure.scm 83 */
BgL_varz00_bglt BgL_obj1619z00_4767;
BgL_obj1619z00_4767 = 
(BgL_varz00_bglt)(BgL_procz00_3283); 
BgL_arg4520z00_3295 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_4767))->BgL_variablez00); } 
BgL_auxz00_5589 = 
(((BgL_variablez00_bglt)CREF(BgL_arg4520z00_3295))->BgL_valuez00); } 
BgL_obj1369z00_4769 = 
(BgL_sfunz00_bglt)(BgL_auxz00_5589); } 
BgL_auxz00_5588 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_4769))->BgL_argsz00); } 
BgL_auxz00_5587 = 
CAR(BgL_auxz00_5588); } 
BgL_obj1255z00_4771 = 
(BgL_localz00_bglt)(BgL_auxz00_5587); } 
BgL_vcloz00_3288 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_4771))->BgL_valuez00); } 
{ /* Cfa/procedure.scm 84 */

{ /* Cfa/procedure.scm 85 */
bool_t BgL_test4515z00_3289;
BgL_test4515z00_3289 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vcloz00_3288), BGl_svarzf2Cinfozf2zzcfa_infoz00); 
if(BgL_test4515z00_3289)
{ /* Cfa/procedure.scm 85 */
{ /* Cfa/procedure.scm 89 */
BgL_svarzf2cinfozf2_bglt BgL_obj2917z00_4773;
BgL_obj2917z00_4773 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_vcloz00_3288); 
{ 
obj_t BgL_auxz00_5602;
{ /* Cfa/procedure.scm 89 */
BgL_objectz00_bglt BgL_auxz00_5603;
BgL_auxz00_5603 = 
(BgL_objectz00_bglt)(BgL_obj2917z00_4773); 
BgL_auxz00_5602 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5603); } 
return 
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_5602))->BgL_clozd2envzf3z21) = ((bool_t)((bool_t)1)), BUNSPEC);} } }  else 
{ /* Cfa/procedure.scm 90 */
BgL_prezd2clozd2envz00_bglt BgL_obj4295z00_3290;
BgL_obj4295z00_3290 = 
((BgL_prezd2clozd2envz00_bglt)BgL_vcloz00_3288); 
{ /* Cfa/procedure.scm 90 */
obj_t BgL_auxz00_5610;BgL_objectz00_bglt BgL_auxz00_5608;
{ /* Cfa/procedure.scm 90 */
BgL_prezd2clozd2envz00_bglt BgL_auxz00_5611;
{ /* Cfa/procedure.scm 90 */
BgL_prezd2clozd2envz00_bglt BgL_new2885z00_4775;
BgL_new2885z00_4775 = 
((BgL_prezd2clozd2envz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2clozd2envz00_bgl)))); 
BgL_auxz00_5611 = BgL_new2885z00_4775; } 
BgL_auxz00_5610 = 
(obj_t)(BgL_auxz00_5611); } 
BgL_auxz00_5608 = 
(BgL_objectz00_bglt)(BgL_obj4295z00_3290); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5608, BgL_auxz00_5610); } 
{ /* Cfa/procedure.scm 90 */
long BgL_arg4517z00_3292;
BgL_arg4517z00_3292 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2clozd2envz00zzcfa_infoz00); 
{ /* Cfa/procedure.scm 90 */
BgL_objectz00_bglt BgL_auxz00_5616;
BgL_auxz00_5616 = 
(BgL_objectz00_bglt)(BgL_obj4295z00_3290); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5616, BgL_arg4517z00_3292); } } 
{ /* Cfa/procedure.scm 90 */
obj_t BgL_auxz00_5619;
BgL_auxz00_5619 = 
(obj_t)(BgL_obj4295z00_3290); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5619); } BUNSPEC; 
return 
(obj_t)(BgL_obj4295z00_3290);} } } } }  else 
{ /* Cfa/procedure.scm 64 */
{ /* Cfa/procedure.scm 48 */
obj_t BgL_nextzd2method4314zd2_3325;
BgL_nextzd2method4314zd2_3325 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_3274), BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); 
if(
PROCEDUREP(BgL_nextzd2method4314zd2_3325))
{ /* Cfa/procedure.scm 48 */
return 
PROCEDURE_ENTRY(BgL_nextzd2method4314zd2_3325)(BgL_nextzd2method4314zd2_3325, 
(obj_t)(BgL_nodez00_3274), BEOA);}  else 
{ /* Cfa/procedure.scm 48 */
return 
BGl_nodezd2setupz12zc0zzcfa_setupz00(
(BgL_nodez00_bglt)(BgL_nodez00_3274));} } } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00()
{ AN_OBJECT;
{ /* Cfa/procedure.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47789), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_procedure"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_procedure"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)39060), "cfa_procedure");} 
}

