/*===========================================================================*/
/*   (Cfa/struct.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_structz00();
static obj_t BGl_nodezd2setupz12zd2prezd2structzd2refzd2app4318zc0zzcfa_structz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2structzd2setz12zd2app4327zd2zzcfa_structz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
static obj_t BGl_zc3anonymousza34551ze3z83zzcfa_structz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2makezd2structzd2app4316zc0zzcfa_structz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2structzd2setz12zd2app4321zd2zzcfa_structz00(obj_t, obj_t);
extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
static obj_t BGl_zc3anonymousza34565ze3z83zzcfa_structz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_cfaz12zd2makezd2structzd2app4323zc0zzcfa_structz00(obj_t, obj_t);
static obj_t BGl_loosezd2allocz12zd2makezd2structzd2app4329z12zzcfa_structz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_structz00();
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00();
extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_structz00();
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_za2structza2z00zztype_cachez00;
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_structz00 = BUNSPEC;
static obj_t BGl_cfaz12zd2structzd2refzd2app4325zc0zzcfa_structz00(obj_t, obj_t);
extern obj_t BGl_structzd2refzd2appz00zzcfa_info2z00;
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
extern obj_t BGl_structzd2setz12zd2appz12zzcfa_info2z00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00();
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string4679z00zzcfa_structz00, BgL_bgl_string4679za700za7za7cfa_structza7004684z00, "all ", 4 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4672z00zzcfa_structz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2makeza7d2structza7d2app4316za7c0za7za7cfa_structza7004685z00, BGl_nodezd2setupz12zd2prezd2makezd2structzd2app4316zc0zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4673z00zzcfa_structz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2structza7d2refza7d2app4318za7c0za7za7cfa_structza7004686z00, BGl_nodezd2setupz12zd2prezd2structzd2refzd2app4318zc0zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4674z00zzcfa_structz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2structza7d2setza712za7d2app4321za7d2za7za7cfa_structza7004687za7, BGl_nodezd2setupz12zd2prezd2structzd2setz12zd2app4321zd2zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4675z00zzcfa_structz00, BgL_bgl_cfaza712za7d2makeza7d2structza7d2app4323za7c0za7za7cfa_structza7004688z00, BGl_cfaz12zd2makezd2structzd2app4323zc0zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4676z00zzcfa_structz00, BgL_bgl_cfaza712za7d2structza7d2refza7d2app4325za7c0za7za7cfa_structza7004689z00, BGl_cfaz12zd2structzd2refzd2app4325zc0zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4677z00zzcfa_structz00, BgL_bgl_cfaza712za7d2structza7d2setza712za7d2app4327za7d2za7za7cfa_structza7004690za7, BGl_cfaz12zd2structzd2setz12zd2app4327zd2zzcfa_structz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4678z00zzcfa_structz00, BgL_bgl_looseza7d2allocza712za7d2makeza7d2structza7d2app4329za712za7za7cfa_structza7004691za7, BGl_loosezd2allocz12zd2makezd2structzd2app4329z12zzcfa_structz00, 0L, 1 );
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long BgL_checksumz00_4791, char * BgL_fromz00_4792)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_structz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_structz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_structz00(); 
BGl_cnstzd2initzd2zzcfa_structz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_structz00(); 
BGl_methodzd2initzd2zzcfa_structz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_structz00()
{ AN_OBJECT;
{ /* Cfa/struct.scm 17 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_struct"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_structz00()
{ AN_OBJECT;
{ /* Cfa/struct.scm 17 */
{ /* Cfa/struct.scm 17 */
obj_t BgL_cportz00_4784;
BgL_cportz00_4784 = 
open_input_string(BGl_string4679z00zzcfa_structz00); 
{ 
long BgL_iz00_4785;
BgL_iz00_4785 = ((long)0); 
BgL_loopz00_4786:
if(
(BgL_iz00_4785==((long)-1)))
{ /* Cfa/struct.scm 17 */
return BUNSPEC;}  else 
{ /* Cfa/struct.scm 17 */
{ /* Cfa/struct.scm 17 */
obj_t BgL_arg4681z00_4788;
{ /* Cfa/struct.scm 17 */
obj_t BgL_list4682z00_4789;
BgL_list4682z00_4789 = 
MAKE_PAIR(BgL_cportz00_4784, BNIL); 
BgL_arg4681z00_4788 = 
BGl_readz00zz__readerz00(BgL_list4682z00_4789); } 
{ /* Cfa/struct.scm 17 */
int BgL_auxz00_4807;
BgL_auxz00_4807 = 
(int)(BgL_iz00_4785); 
CNST_TABLE_SET(BgL_auxz00_4807, BgL_arg4681z00_4788); } } 
{ 
long BgL_iz00_4810;
{ /* Cfa/struct.scm 17 */
int BgL_auxz00_4811;
{ /* Cfa/struct.scm 17 */
long BgL_auxz00_4812;
BgL_auxz00_4812 = 
(BgL_iz00_4785-((long)1)); 
BgL_auxz00_4811 = 
(int)(BgL_auxz00_4812); } 
BgL_iz00_4810 = 
(long)(BgL_auxz00_4811); } 
BgL_iz00_4785 = BgL_iz00_4810; 
goto BgL_loopz00_4786;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_structz00()
{ AN_OBJECT;
{ /* Cfa/struct.scm 17 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_structz00()
{ AN_OBJECT;
{ /* Cfa/struct.scm 17 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00, BGl_proc4672z00zzcfa_structz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00, BGl_proc4673z00zzcfa_structz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00, BGl_proc4674z00zzcfa_structz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_makezd2structzd2appz00zzcfa_info2z00, BGl_proc4675z00zzcfa_structz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_structzd2refzd2appz00zzcfa_info2z00, BGl_proc4676z00zzcfa_structz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_structzd2setz12zd2appz12zzcfa_info2z00, BGl_proc4677z00zzcfa_structz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BGl_makezd2structzd2appz00zzcfa_info2z00, BGl_proc4678z00zzcfa_structz00);} 
}



/* loose-alloc!-make-struct-app4329 */
obj_t BGl_loosezd2allocz12zd2makezd2structzd2app4329z12zzcfa_structz00(obj_t BgL_envz00_4760, obj_t BgL_allocz00_4761)
{ AN_OBJECT;
{ /* Cfa/struct.scm 136 */
{ 
BgL_makezd2structzd2appz00_bglt BgL_allocz00_3381;
BgL_allocz00_3381 = 
(BgL_makezd2structzd2appz00_bglt)(BgL_allocz00_4761); 
{ /* Cfa/struct.scm 138 */
bool_t BgL_test4573z00_3385;
{ /* Cfa/struct.scm 138 */
long BgL_arg4577z00_3389;
{ 
obj_t BgL_auxz00_4823;
{ /* Cfa/struct.scm 138 */
BgL_objectz00_bglt BgL_auxz00_4824;
BgL_auxz00_4824 = 
(BgL_objectz00_bglt)(BgL_allocz00_3381); 
BgL_auxz00_4823 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4824); } 
BgL_arg4577z00_3389 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4823))->BgL_lostzd2stampzd2); } 
{ /* Cfa/struct.scm 138 */
long BgL_n2z00_4743;
BgL_n2z00_4743 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test4573z00_3385 = 
(BgL_arg4577z00_3389==BgL_n2z00_4743); } } 
if(BgL_test4573z00_3385)
{ /* Cfa/struct.scm 138 */
return BUNSPEC;}  else 
{ /* Cfa/struct.scm 138 */
{ /* Cfa/struct.scm 142 */
long BgL_val4198z00_4745;
BgL_val4198z00_4745 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4832;
{ /* Cfa/struct.scm 142 */
BgL_objectz00_bglt BgL_auxz00_4833;
BgL_auxz00_4833 = 
(BgL_objectz00_bglt)(BgL_allocz00_3381); 
BgL_auxz00_4832 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4833); } 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4832))->BgL_lostzd2stampzd2) = ((long)BgL_val4198z00_4745), BUNSPEC); } } 
{ /* Cfa/struct.scm 143 */
BgL_approxz00_bglt BgL_auxz00_4837;
{ 
obj_t BgL_auxz00_4838;
{ /* Cfa/struct.scm 143 */
BgL_objectz00_bglt BgL_auxz00_4839;
BgL_auxz00_4839 = 
(BgL_objectz00_bglt)(BgL_allocz00_3381); 
BgL_auxz00_4838 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4839); } 
BgL_auxz00_4837 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4838))->BgL_valuezd2approxzd2); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BgL_auxz00_4837); } 
{ /* Cfa/struct.scm 144 */
BgL_approxz00_bglt BgL_auxz00_4844;
{ 
obj_t BgL_auxz00_4845;
{ /* Cfa/struct.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4846;
BgL_auxz00_4846 = 
(BgL_objectz00_bglt)(BgL_allocz00_3381); 
BgL_auxz00_4845 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4846); } 
BgL_auxz00_4844 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4845))->BgL_valuezd2approxzd2); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_auxz00_4844, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Cfa/struct.scm 145 */
BgL_approxz00_bglt BgL_auxz00_4852;
{ 
obj_t BgL_auxz00_4853;
{ /* Cfa/struct.scm 145 */
BgL_objectz00_bglt BgL_auxz00_4854;
BgL_auxz00_4854 = 
(BgL_objectz00_bglt)(BgL_allocz00_3381); 
BgL_auxz00_4853 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4854); } 
BgL_auxz00_4852 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4853))->BgL_valuezd2approxzd2); } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_4852);} } } } } 
}



/* cfa!-struct-set!-app4327 */
obj_t BGl_cfaz12zd2structzd2setz12zd2app4327zd2zzcfa_structz00(obj_t BgL_envz00_4762, obj_t BgL_nodez00_4763)
{ AN_OBJECT;
{ /* Cfa/struct.scm 109 */
{ 
BgL_structzd2setz12zd2appz12_bglt BgL_nodez00_3359;
{ /* Cfa/struct.scm 110 */
BgL_approxz00_bglt BgL_auxz00_4860;
BgL_nodez00_3359 = 
(BgL_structzd2setz12zd2appz12_bglt)(BgL_nodez00_4763); 
{ /* Cfa/struct.scm 113 */
BgL_nodez00_bglt BgL_auxz00_4861;
{ /* Cfa/struct.scm 113 */
obj_t BgL_auxz00_4862;
{ /* Cfa/struct.scm 113 */
obj_t BgL_auxz00_4863;
{ /* Cfa/struct.scm 113 */
obj_t BgL_auxz00_4864;
{ /* Cfa/struct.scm 113 */
BgL_appz00_bglt BgL_obj4288z00_4723;
BgL_obj4288z00_4723 = 
(BgL_appz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_4864 = 
(((BgL_appz00_bglt)CREF(BgL_obj4288z00_4723))->BgL_argsz00); } 
BgL_auxz00_4863 = 
CDR(BgL_auxz00_4864); } 
BgL_auxz00_4862 = 
CAR(BgL_auxz00_4863); } 
BgL_auxz00_4861 = 
(BgL_nodez00_bglt)(BgL_auxz00_4862); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4861); } 
{ /* Cfa/struct.scm 114 */
BgL_approxz00_bglt BgL_structzd2approxzd2_3365;BgL_approxz00_bglt BgL_valzd2approxzd2_3366;
{ /* Cfa/struct.scm 114 */
BgL_nodez00_bglt BgL_auxz00_4871;
{ /* Cfa/struct.scm 114 */
obj_t BgL_auxz00_4872;
{ /* Cfa/struct.scm 114 */
obj_t BgL_auxz00_4873;
{ /* Cfa/struct.scm 114 */
BgL_appz00_bglt BgL_obj4288z00_4728;
BgL_obj4288z00_4728 = 
(BgL_appz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_4873 = 
(((BgL_appz00_bglt)CREF(BgL_obj4288z00_4728))->BgL_argsz00); } 
BgL_auxz00_4872 = 
CAR(BgL_auxz00_4873); } 
BgL_auxz00_4871 = 
(BgL_nodez00_bglt)(BgL_auxz00_4872); } 
BgL_structzd2approxzd2_3365 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4871); } 
{ /* Cfa/struct.scm 115 */
BgL_nodez00_bglt BgL_auxz00_4879;
{ /* Cfa/struct.scm 115 */
obj_t BgL_auxz00_4880;
{ /* Cfa/struct.scm 115 */
obj_t BgL_auxz00_4881;
{ /* Cfa/struct.scm 115 */
obj_t BgL_auxz00_4882;
{ /* Cfa/struct.scm 115 */
obj_t BgL_auxz00_4883;
{ /* Cfa/struct.scm 115 */
BgL_appz00_bglt BgL_obj4288z00_4730;
BgL_obj4288z00_4730 = 
(BgL_appz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_4883 = 
(((BgL_appz00_bglt)CREF(BgL_obj4288z00_4730))->BgL_argsz00); } 
BgL_auxz00_4882 = 
CDR(BgL_auxz00_4883); } 
BgL_auxz00_4881 = 
CDR(BgL_auxz00_4882); } 
BgL_auxz00_4880 = 
CAR(BgL_auxz00_4881); } 
BgL_auxz00_4879 = 
(BgL_nodez00_bglt)(BgL_auxz00_4880); } 
BgL_valzd2approxzd2_3366 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4879); } 
if(
(((BgL_approxz00_bglt)CREF(BgL_structzd2approxzd2_3365))->BgL_topzf3zf3))
{ /* Cfa/struct.scm 120 */
BgL_approxz00_bglt BgL_auxz00_4893;
BgL_auxz00_4893 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3366, 
CNST_TABLE_REF(((long)0))); 
(obj_t)(BgL_auxz00_4893); }  else 
{ /* Cfa/struct.scm 123 */
obj_t BgL_zc3anonymousza34565ze3z83_4752;
{ 
int BgL_auxz00_4899;int BgL_auxz00_4897;
BgL_auxz00_4899 = 
(int)(((long)1)); 
BgL_auxz00_4897 = 
(int)(((long)1)); 
BgL_zc3anonymousza34565ze3z83_4752 = 
make_fx_procedure(BGl_zc3anonymousza34565ze3z83zzcfa_structz00, BgL_auxz00_4897, BgL_auxz00_4899); } 
{ /* Cfa/struct.scm 123 */
obj_t BgL_auxz00_4904;int BgL_auxz00_4902;
BgL_auxz00_4904 = 
(obj_t)(BgL_valzd2approxzd2_3366); 
BgL_auxz00_4902 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34565ze3z83_4752, BgL_auxz00_4902, BgL_auxz00_4904); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34565ze3z83_4752, BgL_structzd2approxzd2_3365); } } 
{ 
obj_t BgL_auxz00_4908;
{ /* Cfa/struct.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4909;
BgL_auxz00_4909 = 
(BgL_objectz00_bglt)(BgL_nodez00_3359); 
BgL_auxz00_4908 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4909); } 
BgL_auxz00_4860 = 
(((BgL_structzd2setz12zd2appz12_bglt)CREF(BgL_auxz00_4908))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_4860);} } } 
}



/* <anonymous:4565> */
obj_t BGl_zc3anonymousza34565ze3z83zzcfa_structz00(obj_t BgL_envz00_4764, obj_t BgL_appz00_4766)
{ AN_OBJECT;
{ /* Cfa/struct.scm 122 */
{ /* Cfa/struct.scm 123 */
obj_t BgL_valzd2approxzd2_4765;
{ /* Cfa/struct.scm 123 */
int BgL_auxz00_4915;
BgL_auxz00_4915 = 
(int)(((long)0)); 
BgL_valzd2approxzd2_4765 = 
PROCEDURE_REF(BgL_envz00_4764, BgL_auxz00_4915); } 
{ 
obj_t BgL_appz00_3369;
BgL_appz00_3369 = BgL_appz00_4766; 
{ /* Cfa/struct.scm 123 */
bool_t BgL_test4566z00_3371;
BgL_test4566z00_3371 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3369, BGl_makezd2structzd2appz00zzcfa_info2z00); 
if(BgL_test4566z00_3371)
{ /* Cfa/struct.scm 125 */
BgL_approxz00_bglt BgL_auxz00_4920;
{ /* Cfa/struct.scm 125 */
BgL_approxz00_bglt BgL_auxz00_4921;
{ /* Cfa/struct.scm 125 */
BgL_makezd2structzd2appz00_bglt BgL_obj4196z00_4739;
BgL_obj4196z00_4739 = 
(BgL_makezd2structzd2appz00_bglt)(BgL_appz00_3369); 
{ 
obj_t BgL_auxz00_4923;
{ /* Cfa/struct.scm 125 */
BgL_objectz00_bglt BgL_auxz00_4924;
BgL_auxz00_4924 = 
(BgL_objectz00_bglt)(BgL_obj4196z00_4739); 
BgL_auxz00_4923 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4924); } 
BgL_auxz00_4921 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4923))->BgL_valuezd2approxzd2); } } 
BgL_auxz00_4920 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_4921, 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4765)); } 
return 
(obj_t)(BgL_auxz00_4920);}  else 
{ /* Cfa/struct.scm 123 */
return BFALSE;} } } } } 
}



/* cfa!-struct-ref-app4325 */
obj_t BGl_cfaz12zd2structzd2refzd2app4325zc0zzcfa_structz00(obj_t BgL_envz00_4767, obj_t BgL_nodez00_4768)
{ AN_OBJECT;
{ /* Cfa/struct.scm 87 */
{ 
BgL_structzd2refzd2appz00_bglt BgL_nodez00_3335;
{ /* Cfa/struct.scm 88 */
BgL_approxz00_bglt BgL_auxz00_4931;
BgL_nodez00_3335 = 
(BgL_structzd2refzd2appz00_bglt)(BgL_nodez00_4768); 
{ /* Cfa/struct.scm 91 */
BgL_nodez00_bglt BgL_auxz00_4932;
{ /* Cfa/struct.scm 91 */
obj_t BgL_auxz00_4933;
{ /* Cfa/struct.scm 91 */
obj_t BgL_auxz00_4934;
{ /* Cfa/struct.scm 91 */
obj_t BgL_auxz00_4935;
{ /* Cfa/struct.scm 91 */
BgL_appz00_bglt BgL_obj4252z00_4707;
BgL_obj4252z00_4707 = 
(BgL_appz00_bglt)(BgL_nodez00_3335); 
BgL_auxz00_4935 = 
(((BgL_appz00_bglt)CREF(BgL_obj4252z00_4707))->BgL_argsz00); } 
BgL_auxz00_4934 = 
CDR(BgL_auxz00_4935); } 
BgL_auxz00_4933 = 
CAR(BgL_auxz00_4934); } 
BgL_auxz00_4932 = 
(BgL_nodez00_bglt)(BgL_auxz00_4933); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4932); } 
{ /* Cfa/struct.scm 92 */
BgL_approxz00_bglt BgL_structzd2approxzd2_3341;
{ /* Cfa/struct.scm 92 */
BgL_nodez00_bglt BgL_auxz00_4942;
{ /* Cfa/struct.scm 92 */
obj_t BgL_auxz00_4943;
{ /* Cfa/struct.scm 92 */
obj_t BgL_auxz00_4944;
{ /* Cfa/struct.scm 92 */
BgL_appz00_bglt BgL_obj4252z00_4712;
BgL_obj4252z00_4712 = 
(BgL_appz00_bglt)(BgL_nodez00_3335); 
BgL_auxz00_4944 = 
(((BgL_appz00_bglt)CREF(BgL_obj4252z00_4712))->BgL_argsz00); } 
BgL_auxz00_4943 = 
CAR(BgL_auxz00_4944); } 
BgL_auxz00_4942 = 
(BgL_nodez00_bglt)(BgL_auxz00_4943); } 
BgL_structzd2approxzd2_3341 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_4942); } 
if(
(((BgL_approxz00_bglt)CREF(BgL_structzd2approxzd2_3341))->BgL_topzf3zf3))
{ /* Cfa/struct.scm 96 */
BgL_approxz00_bglt BgL_auxz00_4952;
{ 
obj_t BgL_auxz00_4953;
{ /* Cfa/struct.scm 96 */
BgL_objectz00_bglt BgL_auxz00_4954;
BgL_auxz00_4954 = 
(BgL_objectz00_bglt)(BgL_nodez00_3335); 
BgL_auxz00_4953 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4954); } 
BgL_auxz00_4952 = 
(((BgL_structzd2refzd2appz00_bglt)CREF(BgL_auxz00_4953))->BgL_approxz00); } 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_4952); }  else 
{ /* Cfa/struct.scm 95 */BFALSE; } 
{ /* Cfa/struct.scm 99 */
obj_t BgL_zc3anonymousza34551ze3z83_4754;
{ 
int BgL_auxz00_4961;int BgL_auxz00_4959;
BgL_auxz00_4961 = 
(int)(((long)1)); 
BgL_auxz00_4959 = 
(int)(((long)1)); 
BgL_zc3anonymousza34551ze3z83_4754 = 
make_fx_procedure(BGl_zc3anonymousza34551ze3z83zzcfa_structz00, BgL_auxz00_4959, BgL_auxz00_4961); } 
{ /* Cfa/struct.scm 99 */
obj_t BgL_auxz00_4966;int BgL_auxz00_4964;
BgL_auxz00_4966 = 
(obj_t)(BgL_nodez00_3335); 
BgL_auxz00_4964 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza34551ze3z83_4754, BgL_auxz00_4964, BgL_auxz00_4966); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza34551ze3z83_4754, BgL_structzd2approxzd2_3341); } } 
{ 
obj_t BgL_auxz00_4970;
{ /* Cfa/struct.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4971;
BgL_auxz00_4971 = 
(BgL_objectz00_bglt)(BgL_nodez00_3335); 
BgL_auxz00_4970 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4971); } 
BgL_auxz00_4931 = 
(((BgL_structzd2refzd2appz00_bglt)CREF(BgL_auxz00_4970))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_4931);} } } 
}



/* <anonymous:4551> */
obj_t BGl_zc3anonymousza34551ze3z83zzcfa_structz00(obj_t BgL_envz00_4769, obj_t BgL_appz00_4771)
{ AN_OBJECT;
{ /* Cfa/struct.scm 98 */
{ /* Cfa/struct.scm 99 */
obj_t BgL_instance4305z00_4770;
{ /* Cfa/struct.scm 99 */
int BgL_auxz00_4977;
BgL_auxz00_4977 = 
(int)(((long)0)); 
BgL_instance4305z00_4770 = 
PROCEDURE_REF(BgL_envz00_4769, BgL_auxz00_4977); } 
{ 
obj_t BgL_appz00_3345;
BgL_appz00_3345 = BgL_appz00_4771; 
{ /* Cfa/struct.scm 99 */
bool_t BgL_test4552z00_3347;
BgL_test4552z00_3347 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_3345, BGl_makezd2structzd2appz00zzcfa_info2z00); 
if(BgL_test4552z00_3347)
{ /* Cfa/struct.scm 99 */
{ /* Cfa/struct.scm 101 */
BgL_approxz00_bglt BgL_auxz00_4989;BgL_approxz00_bglt BgL_auxz00_4982;
{ /* Cfa/struct.scm 101 */
BgL_makezd2structzd2appz00_bglt BgL_obj4196z00_4718;
BgL_obj4196z00_4718 = 
(BgL_makezd2structzd2appz00_bglt)(BgL_appz00_3345); 
{ 
obj_t BgL_auxz00_4991;
{ /* Cfa/struct.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4992;
BgL_auxz00_4992 = 
(BgL_objectz00_bglt)(BgL_obj4196z00_4718); 
BgL_auxz00_4991 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4992); } 
BgL_auxz00_4989 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4991))->BgL_valuezd2approxzd2); } } 
{ /* Cfa/struct.scm 101 */
BgL_structzd2refzd2appz00_bglt BgL_obj4238z00_4717;
BgL_obj4238z00_4717 = 
(BgL_structzd2refzd2appz00_bglt)(BgL_instance4305z00_4770); 
{ 
obj_t BgL_auxz00_4984;
{ /* Cfa/struct.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4985;
BgL_auxz00_4985 = 
(BgL_objectz00_bglt)(BgL_obj4238z00_4717); 
BgL_auxz00_4984 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4985); } 
BgL_auxz00_4982 = 
(((BgL_structzd2refzd2appz00_bglt)CREF(BgL_auxz00_4984))->BgL_approxz00); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_4982, BgL_auxz00_4989); } 
{ /* Cfa/struct.scm 102 */
BgL_typez00_bglt BgL_auxz00_5004;BgL_approxz00_bglt BgL_auxz00_4997;
{ /* Cfa/struct.scm 102 */
BgL_approxz00_bglt BgL_arg4557z00_3353;
{ /* Cfa/struct.scm 102 */
BgL_structzd2refzd2appz00_bglt BgL_obj4238z00_4720;
BgL_obj4238z00_4720 = 
(BgL_structzd2refzd2appz00_bglt)(BgL_instance4305z00_4770); 
{ 
obj_t BgL_auxz00_5006;
{ /* Cfa/struct.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5007;
BgL_auxz00_5007 = 
(BgL_objectz00_bglt)(BgL_obj4238z00_4720); 
BgL_auxz00_5006 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5007); } 
BgL_arg4557z00_3353 = 
(((BgL_structzd2refzd2appz00_bglt)CREF(BgL_auxz00_5006))->BgL_approxz00); } } 
BgL_auxz00_5004 = 
(((BgL_approxz00_bglt)CREF(BgL_arg4557z00_3353))->BgL_typez00); } 
{ /* Cfa/struct.scm 102 */
BgL_makezd2structzd2appz00_bglt BgL_obj4196z00_4719;
BgL_obj4196z00_4719 = 
(BgL_makezd2structzd2appz00_bglt)(BgL_appz00_3345); 
{ 
obj_t BgL_auxz00_4999;
{ /* Cfa/struct.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5000;
BgL_auxz00_5000 = 
(BgL_objectz00_bglt)(BgL_obj4196z00_4719); 
BgL_auxz00_4999 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5000); } 
BgL_auxz00_4997 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_4999))->BgL_valuezd2approxzd2); } } 
return 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_auxz00_4997, BgL_auxz00_5004);} }  else 
{ /* Cfa/struct.scm 99 */
return BFALSE;} } } } } 
}



/* cfa!-make-struct-app4323 */
obj_t BGl_cfaz12zd2makezd2structzd2app4323zc0zzcfa_structz00(obj_t BgL_envz00_4772, obj_t BgL_nodez00_4773)
{ AN_OBJECT;
{ /* Cfa/struct.scm 71 */
{ 
BgL_makezd2structzd2appz00_bglt BgL_nodez00_3323;
{ /* Cfa/struct.scm 72 */
BgL_approxz00_bglt BgL_auxz00_5013;
BgL_nodez00_3323 = 
(BgL_makezd2structzd2appz00_bglt)(BgL_nodez00_4773); 
{ /* Cfa/struct.scm 74 */
BgL_nodez00_bglt BgL_auxz00_5014;
{ /* Cfa/struct.scm 74 */
obj_t BgL_auxz00_5015;
{ /* Cfa/struct.scm 74 */
obj_t BgL_auxz00_5016;
{ /* Cfa/struct.scm 74 */
BgL_appz00_bglt BgL_obj4217z00_4698;
BgL_obj4217z00_4698 = 
(BgL_appz00_bglt)(BgL_nodez00_3323); 
BgL_auxz00_5016 = 
(((BgL_appz00_bglt)CREF(BgL_obj4217z00_4698))->BgL_argsz00); } 
BgL_auxz00_5015 = 
CAR(BgL_auxz00_5016); } 
BgL_auxz00_5014 = 
(BgL_nodez00_bglt)(BgL_auxz00_5015); } 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5014); } 
{ /* Cfa/struct.scm 75 */
BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3329;
{ /* Cfa/struct.scm 75 */
BgL_nodez00_bglt BgL_auxz00_5022;
{ /* Cfa/struct.scm 75 */
obj_t BgL_auxz00_5023;
{ /* Cfa/struct.scm 75 */
obj_t BgL_auxz00_5024;
{ /* Cfa/struct.scm 75 */
obj_t BgL_auxz00_5025;
{ /* Cfa/struct.scm 75 */
BgL_appz00_bglt BgL_obj4217z00_4700;
BgL_obj4217z00_4700 = 
(BgL_appz00_bglt)(BgL_nodez00_3323); 
BgL_auxz00_5025 = 
(((BgL_appz00_bglt)CREF(BgL_obj4217z00_4700))->BgL_argsz00); } 
BgL_auxz00_5024 = 
CDR(BgL_auxz00_5025); } 
BgL_auxz00_5023 = 
CAR(BgL_auxz00_5024); } 
BgL_auxz00_5022 = 
(BgL_nodez00_bglt)(BgL_auxz00_5023); } 
BgL_initzd2valuezd2approxz00_3329 = 
BGl_cfaz12z12zzcfa_cfaz00(BgL_auxz00_5022); } 
{ /* Cfa/struct.scm 76 */
BgL_approxz00_bglt BgL_auxz00_5032;
{ 
obj_t BgL_auxz00_5033;
{ /* Cfa/struct.scm 76 */
BgL_objectz00_bglt BgL_auxz00_5034;
BgL_auxz00_5034 = 
(BgL_objectz00_bglt)(BgL_nodez00_3323); 
BgL_auxz00_5033 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5034); } 
BgL_auxz00_5032 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_5033))->BgL_valuezd2approxzd2); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_5032, BgL_initzd2valuezd2approxz00_3329); } 
{ 
obj_t BgL_auxz00_5039;
{ /* Cfa/struct.scm 77 */
BgL_objectz00_bglt BgL_auxz00_5040;
BgL_auxz00_5040 = 
(BgL_objectz00_bglt)(BgL_nodez00_3323); 
BgL_auxz00_5039 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5040); } 
BgL_auxz00_5013 = 
(((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_5039))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_5013);} } } 
}



/* node-setup!-pre-struct-set!-app4321 */
obj_t BGl_nodezd2setupz12zd2prezd2structzd2setz12zd2app4321zd2zzcfa_structz00(obj_t BgL_envz00_4774, obj_t BgL_nodez00_4775)
{ AN_OBJECT;
{ /* Cfa/struct.scm 62 */
{ 
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_nodez00_3307;
{ /* Cfa/struct.scm 63 */
BgL_structzd2setz12zd2appz12_bglt BgL_auxz00_5046;
BgL_nodez00_3307 = 
(BgL_prezd2structzd2setz12zd2appzc0_bglt)(BgL_nodez00_4775); 
{ /* Cfa/struct.scm 64 */
obj_t BgL_auxz00_5047;
{ /* Cfa/struct.scm 64 */
BgL_appz00_bglt BgL_obj4156z00_4677;
BgL_obj4156z00_4677 = 
(BgL_appz00_bglt)(BgL_nodez00_3307); 
BgL_auxz00_5047 = 
(((BgL_appz00_bglt)CREF(BgL_obj4156z00_4677))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5047); } 
{ /* Cfa/struct.scm 65 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_nodez00_3312;
{ /* Cfa/struct.scm 65 */
long BgL_arg4536z00_3318;
{ /* Cfa/struct.scm 65 */
obj_t BgL_arg4537z00_3319;
{ /* Cfa/struct.scm 65 */
obj_t BgL_arg4538z00_3320;
{ /* Cfa/struct.scm 65 */
long BgL_arg1224z00_4679;
{ /* Cfa/struct.scm 65 */
long BgL_arg1225z00_4680;
{ /* Cfa/struct.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5051;
BgL_auxz00_5051 = 
(BgL_objectz00_bglt)(BgL_nodez00_3307); 
BgL_arg1225z00_4680 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5051); } 
BgL_arg1224z00_4679 = 
(BgL_arg1225z00_4680-OBJECT_TYPE); } 
{ /* Cfa/struct.scm 65 */
obj_t BgL_vectorz00_4684;int BgL_kz00_4685;
BgL_vectorz00_4684 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4685 = 
(int)(BgL_arg1224z00_4679); 
BgL_arg4538z00_3320 = 
VECTOR_REF(BgL_vectorz00_4684,BgL_kz00_4685); } } 
BgL_arg4537z00_3319 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4538z00_3320); } 
BgL_arg4536z00_3318 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4537z00_3319); } 
{ /* Cfa/struct.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5059;
BgL_auxz00_5059 = 
(BgL_objectz00_bglt)(BgL_nodez00_3307); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5059, BgL_arg4536z00_3318); } } 
{ /* Cfa/struct.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5062;
BgL_auxz00_5062 = 
(BgL_objectz00_bglt)(BgL_nodez00_3307); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5062, BFALSE); } 
BgL_nodez00_3312 = BgL_nodez00_3307; 
{ /* Cfa/struct.scm 66 */
BgL_structzd2setz12zd2appz12_bglt BgL_obj4302z00_3313;
BgL_obj4302z00_3313 = 
((BgL_structzd2setz12zd2appz12_bglt)BgL_nodez00_3312); 
{ /* Cfa/struct.scm 66 */
BgL_structzd2setz12zd2appz12_bglt BgL_arg4533z00_3314;
{ /* Cfa/struct.scm 66 */
BgL_approxz00_bglt BgL_arg4534z00_3315;
BgL_arg4534z00_3315 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* Cfa/struct.scm 66 */
BgL_structzd2setz12zd2appz12_bglt BgL_res4665z00_4694;
{ /* Cfa/struct.scm 66 */
BgL_structzd2setz12zd2appz12_bglt BgL_new4257z00_4689;
BgL_new4257z00_4689 = 
((BgL_structzd2setz12zd2appz12_bglt)BREF( GC_MALLOC (sizeof(struct BgL_structzd2setz12zd2appz12_bgl)))); 
{ /* Cfa/struct.scm 66 */
BgL_structzd2setz12zd2appz12_bglt BgL_res4664z00_4693;
((((BgL_structzd2setz12zd2appz12_bglt)CREF(BgL_new4257z00_4689))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4534z00_3315), BUNSPEC); 
BgL_res4664z00_4693 = BgL_new4257z00_4689; BgL_res4664z00_4693; } 
BgL_res4665z00_4694 = BgL_new4257z00_4689; } 
BgL_arg4533z00_3314 = BgL_res4665z00_4694; } } 
{ /* Cfa/struct.scm 66 */
obj_t BgL_auxz00_5072;BgL_objectz00_bglt BgL_auxz00_5070;
BgL_auxz00_5072 = 
(obj_t)(BgL_arg4533z00_3314); 
BgL_auxz00_5070 = 
(BgL_objectz00_bglt)(BgL_obj4302z00_3313); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5070, BgL_auxz00_5072); } } 
{ /* Cfa/struct.scm 66 */
long BgL_arg4535z00_3316;
BgL_arg4535z00_3316 = 
BGl_classzd2numzd2zz__objectz00(BGl_structzd2setz12zd2appz12zzcfa_info2z00); 
{ /* Cfa/struct.scm 66 */
BgL_objectz00_bglt BgL_auxz00_5076;
BgL_auxz00_5076 = 
(BgL_objectz00_bglt)(BgL_obj4302z00_3313); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5076, BgL_arg4535z00_3316); } } 
{ /* Cfa/struct.scm 66 */
obj_t BgL_auxz00_5079;
BgL_auxz00_5079 = 
(obj_t)(BgL_obj4302z00_3313); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5079); } BUNSPEC; 
BgL_auxz00_5046 = BgL_obj4302z00_3313; } } 
return 
(obj_t)(BgL_auxz00_5046);} } } 
}



/* node-setup!-pre-struct-ref-app4318 */
obj_t BGl_nodezd2setupz12zd2prezd2structzd2refzd2app4318zc0zzcfa_structz00(obj_t BgL_envz00_4776, obj_t BgL_nodez00_4777)
{ AN_OBJECT;
{ /* Cfa/struct.scm 53 */
{ 
BgL_prezd2structzd2refzd2appzd2_bglt BgL_nodez00_3291;
{ /* Cfa/struct.scm 54 */
BgL_structzd2refzd2appz00_bglt BgL_auxz00_5084;
BgL_nodez00_3291 = 
(BgL_prezd2structzd2refzd2appzd2_bglt)(BgL_nodez00_4777); 
{ /* Cfa/struct.scm 55 */
obj_t BgL_auxz00_5085;
{ /* Cfa/struct.scm 55 */
BgL_appz00_bglt BgL_obj4126z00_4656;
BgL_obj4126z00_4656 = 
(BgL_appz00_bglt)(BgL_nodez00_3291); 
BgL_auxz00_5085 = 
(((BgL_appz00_bglt)CREF(BgL_obj4126z00_4656))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5085); } 
{ /* Cfa/struct.scm 56 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_nodez00_3296;
{ /* Cfa/struct.scm 56 */
long BgL_arg4528z00_3302;
{ /* Cfa/struct.scm 56 */
obj_t BgL_arg4529z00_3303;
{ /* Cfa/struct.scm 56 */
obj_t BgL_arg4530z00_3304;
{ /* Cfa/struct.scm 56 */
long BgL_arg1224z00_4658;
{ /* Cfa/struct.scm 56 */
long BgL_arg1225z00_4659;
{ /* Cfa/struct.scm 56 */
BgL_objectz00_bglt BgL_auxz00_5089;
BgL_auxz00_5089 = 
(BgL_objectz00_bglt)(BgL_nodez00_3291); 
BgL_arg1225z00_4659 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5089); } 
BgL_arg1224z00_4658 = 
(BgL_arg1225z00_4659-OBJECT_TYPE); } 
{ /* Cfa/struct.scm 56 */
obj_t BgL_vectorz00_4663;int BgL_kz00_4664;
BgL_vectorz00_4663 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4664 = 
(int)(BgL_arg1224z00_4658); 
BgL_arg4530z00_3304 = 
VECTOR_REF(BgL_vectorz00_4663,BgL_kz00_4664); } } 
BgL_arg4529z00_3303 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4530z00_3304); } 
BgL_arg4528z00_3302 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4529z00_3303); } 
{ /* Cfa/struct.scm 56 */
BgL_objectz00_bglt BgL_auxz00_5097;
BgL_auxz00_5097 = 
(BgL_objectz00_bglt)(BgL_nodez00_3291); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5097, BgL_arg4528z00_3302); } } 
{ /* Cfa/struct.scm 56 */
BgL_objectz00_bglt BgL_auxz00_5100;
BgL_auxz00_5100 = 
(BgL_objectz00_bglt)(BgL_nodez00_3291); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5100, BFALSE); } 
BgL_nodez00_3296 = BgL_nodez00_3291; 
{ /* Cfa/struct.scm 57 */
BgL_structzd2refzd2appz00_bglt BgL_obj4298z00_3297;
BgL_obj4298z00_3297 = 
((BgL_structzd2refzd2appz00_bglt)BgL_nodez00_3296); 
{ /* Cfa/struct.scm 57 */
BgL_structzd2refzd2appz00_bglt BgL_arg4525z00_3298;
{ /* Cfa/struct.scm 57 */
BgL_approxz00_bglt BgL_arg4526z00_3299;
BgL_arg4526z00_3299 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/struct.scm 57 */
BgL_structzd2refzd2appz00_bglt BgL_res4663z00_4673;
{ /* Cfa/struct.scm 57 */
BgL_structzd2refzd2appz00_bglt BgL_new4221z00_4668;
BgL_new4221z00_4668 = 
((BgL_structzd2refzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_structzd2refzd2appz00_bgl)))); 
{ /* Cfa/struct.scm 57 */
BgL_structzd2refzd2appz00_bglt BgL_res4662z00_4672;
((((BgL_structzd2refzd2appz00_bglt)CREF(BgL_new4221z00_4668))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4526z00_3299), BUNSPEC); 
BgL_res4662z00_4672 = BgL_new4221z00_4668; BgL_res4662z00_4672; } 
BgL_res4663z00_4673 = BgL_new4221z00_4668; } 
BgL_arg4525z00_3298 = BgL_res4663z00_4673; } } 
{ /* Cfa/struct.scm 57 */
obj_t BgL_auxz00_5110;BgL_objectz00_bglt BgL_auxz00_5108;
BgL_auxz00_5110 = 
(obj_t)(BgL_arg4525z00_3298); 
BgL_auxz00_5108 = 
(BgL_objectz00_bglt)(BgL_obj4298z00_3297); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5108, BgL_auxz00_5110); } } 
{ /* Cfa/struct.scm 57 */
long BgL_arg4527z00_3300;
BgL_arg4527z00_3300 = 
BGl_classzd2numzd2zz__objectz00(BGl_structzd2refzd2appz00zzcfa_info2z00); 
{ /* Cfa/struct.scm 57 */
BgL_objectz00_bglt BgL_auxz00_5114;
BgL_auxz00_5114 = 
(BgL_objectz00_bglt)(BgL_obj4298z00_3297); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5114, BgL_arg4527z00_3300); } } 
{ /* Cfa/struct.scm 57 */
obj_t BgL_auxz00_5117;
BgL_auxz00_5117 = 
(obj_t)(BgL_obj4298z00_3297); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5117); } BUNSPEC; 
BgL_auxz00_5084 = BgL_obj4298z00_3297; } } 
return 
(obj_t)(BgL_auxz00_5084);} } } 
}



/* node-setup!-pre-make-struct-app4316 */
obj_t BGl_nodezd2setupz12zd2prezd2makezd2structzd2app4316zc0zzcfa_structz00(obj_t BgL_envz00_4778, obj_t BgL_nodez00_4779)
{ AN_OBJECT;
{ /* Cfa/struct.scm 36 */
{ 
BgL_prezd2makezd2structzd2appzd2_bglt BgL_nodez00_3268;
BgL_nodez00_3268 = 
(BgL_prezd2makezd2structzd2appzd2_bglt)(BgL_nodez00_4779); 
{ /* Cfa/struct.scm 38 */
obj_t BgL_auxz00_5122;
{ /* Cfa/struct.scm 38 */
BgL_appz00_bglt BgL_obj4094z00_4620;
BgL_obj4094z00_4620 = 
(BgL_appz00_bglt)(BgL_nodez00_3268); 
BgL_auxz00_5122 = 
(((BgL_appz00_bglt)CREF(BgL_obj4094z00_4620))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_auxz00_5122); } 
{ /* Cfa/struct.scm 39 */
BgL_variablez00_bglt BgL_ownerz00_3273;
{ 
obj_t BgL_auxz00_5126;
{ /* Cfa/struct.scm 39 */
BgL_objectz00_bglt BgL_auxz00_5127;
BgL_auxz00_5127 = 
(BgL_objectz00_bglt)(BgL_nodez00_3268); 
BgL_auxz00_5126 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5127); } 
BgL_ownerz00_3273 = 
(((BgL_prezd2makezd2structzd2appzd2_bglt)CREF(BgL_auxz00_5126))->BgL_ownerz00); } 
{ /* Cfa/struct.scm 39 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_nodez00_3274;
{ /* Cfa/struct.scm 40 */
long BgL_arg4520z00_3286;
{ /* Cfa/struct.scm 40 */
obj_t BgL_arg4521z00_3287;
{ /* Cfa/struct.scm 40 */
obj_t BgL_arg4522z00_3288;
{ /* Cfa/struct.scm 40 */
long BgL_arg1224z00_4623;
{ /* Cfa/struct.scm 40 */
long BgL_arg1225z00_4624;
{ /* Cfa/struct.scm 40 */
BgL_objectz00_bglt BgL_auxz00_5131;
BgL_auxz00_5131 = 
(BgL_objectz00_bglt)(BgL_nodez00_3268); 
BgL_arg1225z00_4624 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5131); } 
BgL_arg1224z00_4623 = 
(BgL_arg1225z00_4624-OBJECT_TYPE); } 
{ /* Cfa/struct.scm 40 */
obj_t BgL_vectorz00_4628;int BgL_kz00_4629;
BgL_vectorz00_4628 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4629 = 
(int)(BgL_arg1224z00_4623); 
BgL_arg4522z00_3288 = 
VECTOR_REF(BgL_vectorz00_4628,BgL_kz00_4629); } } 
BgL_arg4521z00_3287 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg4522z00_3288); } 
BgL_arg4520z00_3286 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg4521z00_3287); } 
{ /* Cfa/struct.scm 40 */
BgL_objectz00_bglt BgL_auxz00_5139;
BgL_auxz00_5139 = 
(BgL_objectz00_bglt)(BgL_nodez00_3268); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5139, BgL_arg4520z00_3286); } } 
{ /* Cfa/struct.scm 40 */
BgL_objectz00_bglt BgL_auxz00_5142;
BgL_auxz00_5142 = 
(BgL_objectz00_bglt)(BgL_nodez00_3268); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5142, BFALSE); } 
BgL_nodez00_3274 = BgL_nodez00_3268; 
{ /* Cfa/struct.scm 40 */

{ /* Cfa/struct.scm 41 */
BgL_makezd2structzd2appz00_bglt BgL_wnodez00_3275;
{ /* Cfa/struct.scm 41 */
BgL_makezd2structzd2appz00_bglt BgL_obj4294z00_3277;
BgL_obj4294z00_3277 = 
((BgL_makezd2structzd2appz00_bglt)BgL_nodez00_3274); 
{ /* Cfa/struct.scm 43 */
BgL_makezd2structzd2appz00_bglt BgL_arg4513z00_3278;
{ /* Cfa/struct.scm 43 */
BgL_approxz00_bglt BgL_arg4514z00_3279;BgL_approxz00_bglt BgL_arg4515z00_3280;BgL_variablez00_bglt BgL_arg4517z00_3282;
BgL_arg4514z00_3279 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg4515z00_3280 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg4517z00_3282 = BgL_ownerz00_3273; 
{ /* Cfa/struct.scm 41 */
BgL_makezd2structzd2appz00_bglt BgL_res4661z00_4650;
{ /* Cfa/struct.scm 41 */
BgL_makezd2structzd2appz00_bglt BgL_new4164z00_4637;
BgL_new4164z00_4637 = 
((BgL_makezd2structzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_makezd2structzd2appz00_bgl)))); 
{ /* Cfa/struct.scm 41 */
BgL_makezd2structzd2appz00_bglt BgL_res4660z00_4649;
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_new4164z00_4637))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4514z00_3279), BUNSPEC); 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_new4164z00_4637))->BgL_valuezd2approxzd2) = ((BgL_approxz00_bglt)BgL_arg4515z00_3280), BUNSPEC); 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_new4164z00_4637))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_new4164z00_4637))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_arg4517z00_3282), BUNSPEC); 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_new4164z00_4637))->BgL_stackzd2stampzd2) = ((obj_t)BNIL), BUNSPEC); 
BgL_res4660z00_4649 = BgL_new4164z00_4637; BgL_res4660z00_4649; } 
BgL_res4661z00_4650 = BgL_new4164z00_4637; } 
BgL_arg4513z00_3278 = BgL_res4661z00_4650; } } 
{ /* Cfa/struct.scm 41 */
obj_t BgL_auxz00_5156;BgL_objectz00_bglt BgL_auxz00_5154;
BgL_auxz00_5156 = 
(obj_t)(BgL_arg4513z00_3278); 
BgL_auxz00_5154 = 
(BgL_objectz00_bglt)(BgL_obj4294z00_3277); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5154, BgL_auxz00_5156); } } 
{ /* Cfa/struct.scm 41 */
long BgL_arg4519z00_3284;
BgL_arg4519z00_3284 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2structzd2appz00zzcfa_info2z00); 
{ /* Cfa/struct.scm 41 */
BgL_objectz00_bglt BgL_auxz00_5160;
BgL_auxz00_5160 = 
(BgL_objectz00_bglt)(BgL_obj4294z00_3277); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5160, BgL_arg4519z00_3284); } } 
{ /* Cfa/struct.scm 41 */
obj_t BgL_auxz00_5163;
BgL_auxz00_5163 = 
(obj_t)(BgL_obj4294z00_3277); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5163); } BUNSPEC; 
BgL_wnodez00_3275 = BgL_obj4294z00_3277; } 
{ /* Cfa/struct.scm 47 */
BgL_approxz00_bglt BgL_arg4512z00_3276;
BgL_arg4512z00_3276 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2structza2z00zztype_cachez00), 
(BgL_nodez00_bglt)(BgL_nodez00_3274)); 
{ 
obj_t BgL_auxz00_5169;
{ /* Cfa/struct.scm 46 */
BgL_objectz00_bglt BgL_auxz00_5170;
BgL_auxz00_5170 = 
(BgL_objectz00_bglt)(BgL_wnodez00_3275); 
BgL_auxz00_5169 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5170); } 
return 
((((BgL_makezd2structzd2appz00_bglt)CREF(BgL_auxz00_5169))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg4512z00_3276), BUNSPEC);} } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_structz00()
{ AN_OBJECT;
{ /* Cfa/struct.scm 17 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65335), "cfa_struct"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47789), "cfa_struct"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_struct");} 
}

