/*===========================================================================*/
/*   (Cfa/walk.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_walkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_showzd2cfazd2resultsz00zzcfa_showz00(obj_t);
extern obj_t current_error_port;
extern obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_walkz00();
extern obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
extern obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00();
extern obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
extern obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_showz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
extern obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl__cfazd2walkz12zc0zzcfa_walkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
static obj_t __cnst[ 3 ] ;

DEFINE_STRING( BGl_string5122z00zzcfa_walkz00, BgL_bgl_string5122za700za7za7cfa_walkza7005127z00, "(unpatch-vector-set!) (cfa inline) pass-started ", 48 );
DEFINE_STRING( BGl_string5121z00zzcfa_walkz00, BgL_bgl_string5121za700za7za7cfa_walkza7005128z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string5120z00zzcfa_walkz00, BgL_bgl_string5120za700za7za7cfa_walkza7005129z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string5119z00zzcfa_walkz00, BgL_bgl_string5119za700za7za7cfa_walkza7005130z00, " error", 6 );
DEFINE_STRING( BGl_string5118z00zzcfa_walkz00, BgL_bgl_string5118za700za7za7cfa_walkza7005131z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string5117z00zzcfa_walkz00, BgL_bgl_string5117za700za7za7cfa_walkza7005132z00, "   . ", 5 );
DEFINE_STRING( BGl_string5116z00zzcfa_walkz00, BgL_bgl_string5116za700za7za7cfa_walkza7005133z00, "Cfa", 3 );
DEFINE_EXPORT_PROCEDURE( BGl_cfazd2walkz12zd2envz12zzcfa_walkz00, BgL_bgl__cfaza7d2walkza712za7c0za7za7cfa_walkza7005134z00, BGl__cfazd2walkz12zc0zzcfa_walkz00, 0L, 1 );
extern obj_t BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long BgL_checksumz00_5349, char * BgL_fromz00_5350)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_walkz00(); 
BGl_cnstzd2initzd2zzcfa_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00()
{ AN_OBJECT;
{ /* Cfa/walk.scm 24 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_walkz00()
{ AN_OBJECT;
{ /* Cfa/walk.scm 24 */
{ /* Cfa/walk.scm 24 */
obj_t BgL_cportz00_5342;
BgL_cportz00_5342 = 
open_input_string(BGl_string5122z00zzcfa_walkz00); 
{ 
long BgL_iz00_5343;
BgL_iz00_5343 = ((long)2); 
BgL_loopz00_5344:
if(
(BgL_iz00_5343==((long)-1)))
{ /* Cfa/walk.scm 24 */
return BUNSPEC;}  else 
{ /* Cfa/walk.scm 24 */
{ /* Cfa/walk.scm 24 */
obj_t BgL_arg5124z00_5346;
{ /* Cfa/walk.scm 24 */
obj_t BgL_list5125z00_5347;
BgL_list5125z00_5347 = 
MAKE_PAIR(BgL_cportz00_5342, BNIL); 
BgL_arg5124z00_5346 = 
BGl_readz00zz__readerz00(BgL_list5125z00_5347); } 
{ /* Cfa/walk.scm 24 */
int BgL_auxz00_5367;
BgL_auxz00_5367 = 
(int)(BgL_iz00_5343); 
CNST_TABLE_SET(BgL_auxz00_5367, BgL_arg5124z00_5346); } } 
{ 
long BgL_iz00_5370;
{ /* Cfa/walk.scm 24 */
int BgL_auxz00_5371;
{ /* Cfa/walk.scm 24 */
long BgL_auxz00_5372;
BgL_auxz00_5372 = 
(BgL_iz00_5343-((long)1)); 
BgL_auxz00_5371 = 
(int)(BgL_auxz00_5372); } 
BgL_iz00_5370 = 
(long)(BgL_auxz00_5371); } 
BgL_iz00_5343 = BgL_iz00_5370; 
goto BgL_loopz00_5344;} } } } } 
}



/* cfa-walk! */
obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/walk.scm 59 */
{ /* Cfa/walk.scm 60 */
obj_t BgL_list4753z00_2875;
{ /* Cfa/walk.scm 60 */
obj_t BgL_arg4755z00_2877;
{ /* Cfa/walk.scm 60 */
obj_t BgL_arg4757z00_2879;
{ /* Cfa/walk.scm 60 */
obj_t BgL_auxz00_5376;
BgL_auxz00_5376 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg4757z00_2879 = 
MAKE_PAIR(BgL_auxz00_5376, BNIL); } 
BgL_arg4755z00_2877 = 
MAKE_PAIR(BGl_string5116z00zzcfa_walkz00, BgL_arg4757z00_2879); } 
BgL_list4753z00_2875 = 
MAKE_PAIR(BGl_string5117z00zzcfa_walkz00, BgL_arg4755z00_2877); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list4753z00_2875); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string5116z00zzcfa_walkz00; 
{ 
obj_t BgL_hooksz00_2880;obj_t BgL_hnamesz00_2881;
BgL_hooksz00_2880 = BNIL; 
BgL_hnamesz00_2881 = BNIL; 
BgL_loopz00_2882:
if(
NULLP(BgL_hooksz00_2880))
{ /* Cfa/walk.scm 60 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Cfa/walk.scm 60 */
bool_t BgL_test4762z00_2887;
{ /* Cfa/walk.scm 60 */
obj_t BgL_fun4768z00_2893;
BgL_fun4768z00_2893 = 
CAR(BgL_hooksz00_2880); 
{ /* Cfa/walk.scm 60 */
obj_t BgL_auxz00_5388;
BgL_auxz00_5388 = 
PROCEDURE_ENTRY(BgL_fun4768z00_2893)(BgL_fun4768z00_2893, BEOA); 
BgL_test4762z00_2887 = 
CBOOL(BgL_auxz00_5388); } } 
if(BgL_test4762z00_2887)
{ /* Cfa/walk.scm 60 */
{ 
obj_t BgL_hnamesz00_5395;obj_t BgL_hooksz00_5393;
BgL_hooksz00_5393 = 
CDR(BgL_hooksz00_2880); 
BgL_hnamesz00_5395 = 
CDR(BgL_hnamesz00_2881); 
BgL_hnamesz00_2881 = BgL_hnamesz00_5395; 
BgL_hooksz00_2880 = BgL_hooksz00_5393; 
goto BgL_loopz00_2882;} }  else 
{ /* Cfa/walk.scm 60 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5116z00zzcfa_walkz00, BGl_string5118z00zzcfa_walkz00, 
CAR(BgL_hnamesz00_2881)); } } } 
BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_1); 
BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00(); 
BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_1); 
{ /* Cfa/walk.scm 71 */
obj_t BgL_iterationzd2rootszd2_2894;
BgL_iterationzd2rootszd2_2894 = 
BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(BgL_globalsz00_1); 
BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00(); 
{ /* Cfa/walk.scm 75 */
obj_t BgL_globalsz00_2895;
BgL_globalsz00_2895 = 
BGl_removezd2varzd2zzast_removez00(
CNST_TABLE_REF(((long)1)), BgL_globalsz00_1); 
BGl_showzd2cfazd2resultsz00zzcfa_showz00(BgL_globalsz00_2895); 
{ /* Cfa/walk.scm 79 */
obj_t BgL_additionalz00_2896;
BgL_additionalz00_2896 = 
BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(BgL_globalsz00_2895); 
BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_2895); 
{ /* Cfa/walk.scm 83 */
bool_t BgL_test4769z00_2897;
{ /* Cfa/walk.scm 83 */
bool_t BgL_test4770z00_2898;
{ /* Cfa/walk.scm 83 */
bool_t BgL_res5004z00_3793;
{ /* Cfa/walk.scm 83 */
obj_t BgL_objz00_3789;
BgL_objz00_3789 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_3789))
{ /* Cfa/walk.scm 83 */
BgL_res5004z00_3793 = ((bool_t)1); }  else 
{ /* Cfa/walk.scm 83 */
BgL_res5004z00_3793 = 
REALP(BgL_objz00_3789); } } 
BgL_test4770z00_2898 = BgL_res5004z00_3793; } 
if(BgL_test4770z00_2898)
{ /* Cfa/walk.scm 83 */
BgL_test4769z00_2897 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2profilezd2modeza2zd2zzengine_paramz00, 
BINT(((long)0))); }  else 
{ /* Cfa/walk.scm 83 */
BgL_test4769z00_2897 = ((bool_t)0); } } 
if(BgL_test4769z00_2897)
{ /* Cfa/walk.scm 83 */BFALSE; }  else 
{ /* Cfa/walk.scm 83 */
BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(); } } 
BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(); 
BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_2895); 
{ /* Cfa/walk.scm 90 */
obj_t BgL_valuez00_2899;
BgL_valuez00_2899 = 
BGl_shrinkifyz12z12zzast_shrinkifyz00(
bgl_append2(BgL_additionalz00_2896, BgL_globalsz00_2895)); 
{ /* Cfa/walk.scm 90 */
bool_t BgL_test4771z00_2900;
{ /* Cfa/walk.scm 90 */
long BgL_n1z00_3794;
BgL_n1z00_3794 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test4771z00_2900 = 
(BgL_n1z00_3794>((long)0)); } 
if(BgL_test4771z00_2900)
{ /* Cfa/walk.scm 90 */
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4772z00_2902;
BgL_list4772z00_2902 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list4772z00_2902); } 
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4773z00_2903;
BgL_list4773z00_2903 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string5119z00zzcfa_walkz00, BgL_list4773z00_2903); } 
{ /* Cfa/walk.scm 90 */
char * BgL_arg4774z00_2904;
{ /* Cfa/walk.scm 90 */
bool_t BgL_test4776z00_2906;
{ /* Cfa/walk.scm 90 */
bool_t BgL_test4777z00_2907;
{ /* Cfa/walk.scm 90 */
obj_t BgL_objz00_3796;
BgL_objz00_3796 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test4777z00_2907 = 
INTEGERP(BgL_objz00_3796); } 
if(BgL_test4777z00_2907)
{ /* Cfa/walk.scm 90 */
BgL_test4776z00_2906 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Cfa/walk.scm 90 */
BgL_test4776z00_2906 = ((bool_t)0); } } 
if(BgL_test4776z00_2906)
{ /* Cfa/walk.scm 90 */
BgL_arg4774z00_2904 = "s"; }  else 
{ /* Cfa/walk.scm 90 */
BgL_arg4774z00_2904 = ""; } } 
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4775z00_2905;
BgL_list4775z00_2905 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg4774z00_2904), BgL_list4775z00_2905); } } 
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4778z00_2908;
BgL_list4778z00_2908 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string5120z00zzcfa_walkz00, BgL_list4778z00_2908); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4779z00_2909;
{ /* Cfa/walk.scm 90 */
obj_t BgL_auxz00_5439;
BgL_auxz00_5439 = 
BINT(((long)-1)); 
BgL_list4779z00_2909 = 
MAKE_PAIR(BgL_auxz00_5439, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list4779z00_2909);} }  else 
{ 
obj_t BgL_hooksz00_2910;obj_t BgL_hnamesz00_2911;
{ /* Cfa/walk.scm 90 */
obj_t BgL_arg4780z00_2913;obj_t BgL_arg4781z00_2914;
{ /* Cfa/walk.scm 90 */
obj_t BgL_list4782z00_2915;
BgL_list4782z00_2915 = 
MAKE_PAIR(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00, BNIL); 
BgL_arg4780z00_2913 = BgL_list4782z00_2915; } 
BgL_arg4781z00_2914 = 
CNST_TABLE_REF(((long)2)); 
BgL_hooksz00_2910 = BgL_arg4780z00_2913; 
BgL_hnamesz00_2911 = BgL_arg4781z00_2914; 
BgL_loopz00_2912:
if(
NULLP(BgL_hooksz00_2910))
{ /* Cfa/walk.scm 90 */
return BgL_valuez00_2899;}  else 
{ /* Cfa/walk.scm 90 */
bool_t BgL_test4784z00_2917;
{ /* Cfa/walk.scm 90 */
obj_t BgL_fun4789z00_2922;
BgL_fun4789z00_2922 = 
CAR(BgL_hooksz00_2910); 
{ /* Cfa/walk.scm 90 */
obj_t BgL_auxz00_5448;
BgL_auxz00_5448 = 
PROCEDURE_ENTRY(BgL_fun4789z00_2922)(BgL_fun4789z00_2922, BEOA); 
BgL_test4784z00_2917 = 
CBOOL(BgL_auxz00_5448); } } 
if(BgL_test4784z00_2917)
{ /* Cfa/walk.scm 90 */
{ 
obj_t BgL_hnamesz00_5455;obj_t BgL_hooksz00_5453;
BgL_hooksz00_5453 = 
CDR(BgL_hooksz00_2910); 
BgL_hnamesz00_5455 = 
CDR(BgL_hnamesz00_2911); 
BgL_hnamesz00_2911 = BgL_hnamesz00_5455; 
BgL_hooksz00_2910 = BgL_hooksz00_5453; 
goto BgL_loopz00_2912;} }  else 
{ /* Cfa/walk.scm 90 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string5121z00zzcfa_walkz00, 
CAR(BgL_hnamesz00_2911));} } } } } } } } } } 
}



/* _cfa-walk! */
obj_t BGl__cfazd2walkz12zc0zzcfa_walkz00(obj_t BgL_envz00_5339, obj_t BgL_globalsz00_5340)
{ AN_OBJECT;
{ /* Cfa/walk.scm 59 */
return 
BGl_cfazd2walkz12zc0zzcfa_walkz00(BgL_globalsz00_5340);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_walkz00()
{ AN_OBJECT;
{ /* Cfa/walk.scm 24 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00()
{ AN_OBJECT;
{ /* Cfa/walk.scm 24 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(((long)34062), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long)26241), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47789), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)19040), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_showz00(((long)39020), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_typez00(((long)198), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)39060), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long)28745), "cfa_walk"); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)22038), "cfa_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long)46756), "cfa_walk");} 
}

