/*===========================================================================*/
/*   (Coerce/apply.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_applyz00();
extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcoerce_applyz00();
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
static obj_t BGl_coercez12zd2appzd2ly2660z12zzcoerce_applyz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00();
static BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_applyz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00();
static obj_t __cnst[ 16 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2873z00zzcoerce_applyz00, BgL_bgl_coerceza712za7d2appza7d2ly2660za712za7za7coerce_applyza7002879za7, BGl_coercez12zd2appzd2ly2660z12zzcoerce_applyz00, 0L, 3 );
DEFINE_STRING( BGl_string2874z00zzcoerce_applyz00, BgL_bgl_string2874za700za7za7coerce_applyza7002880z00, "correct-arity? if ::int let len length val fun _ failure quote __error error/location @ begin location ", 103 );
DEFINE_STRING( BGl_string2872z00zzcoerce_applyz00, BgL_bgl_string2872za700za7za7coerce_applyza7002881z00, "Wrong number of arguments", 25 );
extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long BgL_checksumz00_2481, char * BgL_fromz00_2482)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_applyz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_applyz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00(); 
BGl_cnstzd2initzd2zzcoerce_applyz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_applyz00(); 
BGl_methodzd2initzd2zzcoerce_applyz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00()
{ AN_OBJECT;
{ /* Coerce/apply.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "coerce_apply"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_applyz00()
{ AN_OBJECT;
{ /* Coerce/apply.scm 15 */
{ /* Coerce/apply.scm 15 */
obj_t BgL_cportz00_2474;
BgL_cportz00_2474 = 
open_input_string(BGl_string2874z00zzcoerce_applyz00); 
{ 
long BgL_iz00_2475;
BgL_iz00_2475 = ((long)15); 
BgL_loopz00_2476:
if(
(BgL_iz00_2475==((long)-1)))
{ /* Coerce/apply.scm 15 */
return BUNSPEC;}  else 
{ /* Coerce/apply.scm 15 */
{ /* Coerce/apply.scm 15 */
obj_t BgL_arg2876z00_2478;
{ /* Coerce/apply.scm 15 */
obj_t BgL_list2877z00_2479;
BgL_list2877z00_2479 = 
MAKE_PAIR(BgL_cportz00_2474, BNIL); 
BgL_arg2876z00_2478 = 
BGl_readz00zz__readerz00(BgL_list2877z00_2479); } 
{ /* Coerce/apply.scm 15 */
int BgL_auxz00_2498;
BgL_auxz00_2498 = 
(int)(BgL_iz00_2475); 
CNST_TABLE_SET(BgL_auxz00_2498, BgL_arg2876z00_2478); } } 
{ 
long BgL_iz00_2501;
{ /* Coerce/apply.scm 15 */
int BgL_auxz00_2502;
{ /* Coerce/apply.scm 15 */
long BgL_auxz00_2503;
BgL_auxz00_2503 = 
(BgL_iz00_2475-((long)1)); 
BgL_auxz00_2502 = 
(int)(BgL_auxz00_2503); } 
BgL_iz00_2501 = 
(long)(BgL_auxz00_2502); } 
BgL_iz00_2475 = BgL_iz00_2501; 
goto BgL_loopz00_2476;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00()
{ AN_OBJECT;
{ /* Coerce/apply.scm 15 */
return BUNSPEC;} 
}



/* make-error-node */
BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t BgL_errorzd2msgzd2_18, obj_t BgL_locz00_19, obj_t BgL_callerz00_20, obj_t BgL_toz00_21)
{ AN_OBJECT;
{ /* Coerce/apply.scm 92 */
{ /* Coerce/apply.scm 93 */
obj_t BgL_utz00_1251;
BgL_utz00_1251 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* Coerce/apply.scm 95 */
BgL_nodez00_bglt BgL_nodez00_1252;
{ /* Coerce/apply.scm 97 */
BgL_nodez00_bglt BgL_arg2670z00_1253;
{ /* Coerce/apply.scm 97 */
obj_t BgL_arg2671z00_1254;
{ /* Coerce/apply.scm 97 */
bool_t BgL_test2672z00_1255;
{ /* Coerce/apply.scm 97 */
bool_t BgL_test2722z00_1305;
{ /* Coerce/apply.scm 97 */
bool_t BgL_test2723z00_1306;
{ /* Coerce/apply.scm 97 */
long BgL_n1z00_1792;
BgL_n1z00_1792 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2723z00_1306 = 
(BgL_n1z00_1792>((long)0)); } 
if(BgL_test2723z00_1306)
{ /* Coerce/apply.scm 97 */
BgL_test2722z00_1305 = ((bool_t)1); }  else 
{ /* Coerce/apply.scm 98 */
long BgL_n1z00_1794;
BgL_n1z00_1794 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2722z00_1305 = 
(BgL_n1z00_1794>((long)0)); } } 
if(BgL_test2722z00_1305)
{ /* Coerce/apply.scm 97 */
if(
STRUCTP(BgL_locz00_19))
{ /* Coerce/apply.scm 99 */
obj_t BgL_auxz00_2517;obj_t BgL_auxz00_2515;
BgL_auxz00_2517 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2515 = 
STRUCT_KEY(BgL_locz00_19); 
BgL_test2672z00_1255 = 
(BgL_auxz00_2515==BgL_auxz00_2517); }  else 
{ /* Coerce/apply.scm 99 */
BgL_test2672z00_1255 = ((bool_t)0); } }  else 
{ /* Coerce/apply.scm 97 */
BgL_test2672z00_1255 = ((bool_t)0); } } 
if(BgL_test2672z00_1255)
{ /* Coerce/apply.scm 100 */
obj_t BgL_arg2673z00_1256;obj_t BgL_arg2674z00_1257;
BgL_arg2673z00_1256 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/apply.scm 101 */
obj_t BgL_arg2675z00_1258;obj_t BgL_arg2676z00_1259;
{ /* Coerce/apply.scm 101 */
obj_t BgL_arg2677z00_1260;obj_t BgL_arg2678z00_1261;
{ /* Coerce/apply.scm 101 */
obj_t BgL_arg2679z00_1262;obj_t BgL_arg2680z00_1263;
BgL_arg2679z00_1262 = 
CNST_TABLE_REF(((long)2)); 
{ /* Coerce/apply.scm 101 */
obj_t BgL_arg2681z00_1264;obj_t BgL_arg2682z00_1265;
BgL_arg2681z00_1264 = 
CNST_TABLE_REF(((long)3)); 
{ /* Coerce/apply.scm 101 */
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2682z00_1265 = 
MAKE_PAIR(BgL_auxz00_2524, BNIL); } 
BgL_arg2680z00_1263 = 
MAKE_PAIR(BgL_arg2681z00_1264, BgL_arg2682z00_1265); } 
BgL_arg2677z00_1260 = 
MAKE_PAIR(BgL_arg2679z00_1262, BgL_arg2680z00_1263); } 
{ /* Coerce/apply.scm 102 */
obj_t BgL_arg2683z00_1266;obj_t BgL_arg2684z00_1267;
{ /* Coerce/apply.scm 102 */
obj_t BgL_arg2685z00_1268;obj_t BgL_arg2686z00_1269;
BgL_arg2685z00_1268 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2686z00_1269 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* Coerce/apply.scm 102 */
obj_t BgL_list2687z00_1270;
{ /* Coerce/apply.scm 102 */
obj_t BgL_arg2688z00_1271;
BgL_arg2688z00_1271 = 
MAKE_PAIR(BgL_arg2686z00_1269, BNIL); 
BgL_list2687z00_1270 = 
MAKE_PAIR(BgL_arg2685z00_1268, BgL_arg2688z00_1271); } 
BgL_arg2683z00_1266 = BgL_list2687z00_1270; } } 
{ /* Coerce/apply.scm 101 */
obj_t BgL_arg2690z00_1273;
{ /* Coerce/apply.scm 105 */
obj_t BgL_arg2691z00_1274;
{ /* Coerce/apply.scm 105 */
obj_t BgL_arg2692z00_1275;obj_t BgL_arg2693z00_1276;
BgL_arg2692z00_1275 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_19); 
{ /* Coerce/apply.scm 101 */
obj_t BgL_auxz00_2534;
{ /* Coerce/apply.scm 106 */
int BgL_auxz00_2535;
BgL_auxz00_2535 = 
(int)(((long)1)); 
BgL_auxz00_2534 = 
STRUCT_REF(BgL_locz00_19, BgL_auxz00_2535); } 
BgL_arg2693z00_1276 = 
MAKE_PAIR(BgL_auxz00_2534, BNIL); } 
BgL_arg2691z00_1274 = 
MAKE_PAIR(BgL_arg2692z00_1275, BgL_arg2693z00_1276); } 
BgL_arg2690z00_1273 = 
MAKE_PAIR(BgL_errorzd2msgzd2_18, BgL_arg2691z00_1274); } 
BgL_arg2684z00_1267 = 
MAKE_PAIR(BGl_string2872z00zzcoerce_applyz00, BgL_arg2690z00_1273); } 
BgL_arg2678z00_1261 = 
MAKE_PAIR(BgL_arg2683z00_1266, BgL_arg2684z00_1267); } 
BgL_arg2675z00_1258 = 
MAKE_PAIR(BgL_arg2677z00_1260, BgL_arg2678z00_1261); } 
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2696z00_1279;
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2698z00_1281;obj_t BgL_arg2699z00_1282;
BgL_arg2698z00_1281 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2700z00_1283;obj_t BgL_arg2701z00_1284;
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2702z00_1285;obj_t BgL_arg2703z00_1286;
BgL_arg2702z00_1285 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/apply.scm 107 */
obj_t BgL_auxz00_2546;
BgL_auxz00_2546 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2703z00_1286 = 
MAKE_PAIR(BgL_auxz00_2546, BNIL); } 
BgL_arg2700z00_1283 = 
MAKE_PAIR(BgL_arg2702z00_1285, BgL_arg2703z00_1286); } 
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2704z00_1287;obj_t BgL_arg2705z00_1288;
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2706z00_1289;obj_t BgL_arg2707z00_1290;
BgL_arg2706z00_1289 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/apply.scm 107 */
obj_t BgL_auxz00_2551;
BgL_auxz00_2551 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2707z00_1290 = 
MAKE_PAIR(BgL_auxz00_2551, BNIL); } 
BgL_arg2704z00_1287 = 
MAKE_PAIR(BgL_arg2706z00_1289, BgL_arg2707z00_1290); } 
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2708z00_1291;
{ /* Coerce/apply.scm 107 */
obj_t BgL_arg2710z00_1293;obj_t BgL_arg2711z00_1294;
BgL_arg2710z00_1293 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/apply.scm 107 */
obj_t BgL_auxz00_2556;
BgL_auxz00_2556 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2711z00_1294 = 
MAKE_PAIR(BgL_auxz00_2556, BNIL); } 
BgL_arg2708z00_1291 = 
MAKE_PAIR(BgL_arg2710z00_1293, BgL_arg2711z00_1294); } 
BgL_arg2705z00_1288 = 
MAKE_PAIR(BgL_arg2708z00_1291, BNIL); } 
BgL_arg2701z00_1284 = 
MAKE_PAIR(BgL_arg2704z00_1287, BgL_arg2705z00_1288); } 
BgL_arg2699z00_1282 = 
MAKE_PAIR(BgL_arg2700z00_1283, BgL_arg2701z00_1284); } 
BgL_arg2696z00_1279 = 
MAKE_PAIR(BgL_arg2698z00_1281, BgL_arg2699z00_1282); } 
BgL_arg2676z00_1259 = 
MAKE_PAIR(BgL_arg2696z00_1279, BNIL); } 
BgL_arg2674z00_1257 = 
MAKE_PAIR(BgL_arg2675z00_1258, BgL_arg2676z00_1259); } 
BgL_arg2671z00_1254 = 
MAKE_PAIR(BgL_arg2673z00_1256, BgL_arg2674z00_1257); }  else 
{ /* Coerce/apply.scm 108 */
obj_t BgL_arg2712z00_1295;obj_t BgL_arg2713z00_1296;
BgL_arg2712z00_1295 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/apply.scm 108 */
obj_t BgL_arg2714z00_1297;obj_t BgL_arg2715z00_1298;
{ /* Coerce/apply.scm 108 */
obj_t BgL_arg2716z00_1299;obj_t BgL_arg2717z00_1300;
BgL_arg2716z00_1299 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2717z00_1300 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* Coerce/apply.scm 108 */
obj_t BgL_list2718z00_1301;
{ /* Coerce/apply.scm 108 */
obj_t BgL_arg2719z00_1302;
BgL_arg2719z00_1302 = 
MAKE_PAIR(BgL_arg2717z00_1300, BNIL); 
BgL_list2718z00_1301 = 
MAKE_PAIR(BgL_arg2716z00_1299, BgL_arg2719z00_1302); } 
BgL_arg2714z00_1297 = BgL_list2718z00_1301; } } 
{ /* Coerce/apply.scm 108 */
obj_t BgL_arg2721z00_1304;
BgL_arg2721z00_1304 = 
MAKE_PAIR(BgL_errorzd2msgzd2_18, BNIL); 
BgL_arg2715z00_1298 = 
MAKE_PAIR(BGl_string2872z00zzcoerce_applyz00, BgL_arg2721z00_1304); } 
BgL_arg2713z00_1296 = 
MAKE_PAIR(BgL_arg2714z00_1297, BgL_arg2715z00_1298); } 
BgL_arg2671z00_1254 = 
MAKE_PAIR(BgL_arg2712z00_1295, BgL_arg2713z00_1296); } } 
BgL_arg2670z00_1253 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2671z00_1254, BgL_locz00_19); } 
BgL_nodez00_1252 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg2670z00_1253, BgL_callerz00_20, 
(BgL_typez00_bglt)(BgL_toz00_21)); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_utz00_1251; 
return BgL_nodez00_1252;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_applyz00()
{ AN_OBJECT;
{ /* Coerce/apply.scm 15 */
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2873z00zzcoerce_applyz00);} 
}



/* coerce!-app-ly2660 */
obj_t BGl_coercez12zd2appzd2ly2660z12zzcoerce_applyz00(obj_t BgL_envz00_2465, obj_t BgL_nodez00_2466, obj_t BgL_callerz00_2467, obj_t BgL_toz00_2468)
{ AN_OBJECT;
{ /* Coerce/apply.scm 34 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1692;obj_t BgL_callerz00_1693;obj_t BgL_toz00_1694;
BgL_nodez00_1692 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_2466); 
BgL_callerz00_1693 = BgL_callerz00_2467; 
BgL_toz00_1694 = BgL_toz00_2468; 
{ /* Coerce/apply.scm 36 */
obj_t BgL_errorzd2msgzd2_1697;
{ /* Coerce/apply.scm 36 */
obj_t BgL_arg2837z00_1768;obj_t BgL_arg2838z00_1769;
BgL_arg2837z00_1768 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2838z00_1769 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1692)); 
{ /* Coerce/apply.scm 36 */
obj_t BgL_list2839z00_1770;
{ /* Coerce/apply.scm 36 */
obj_t BgL_arg2840z00_1771;
BgL_arg2840z00_1771 = 
MAKE_PAIR(BgL_arg2838z00_1769, BNIL); 
BgL_list2839z00_1770 = 
MAKE_PAIR(BgL_arg2837z00_1768, BgL_arg2840z00_1771); } 
BgL_errorzd2msgzd2_1697 = BgL_list2839z00_1770; } } 
{ /* Coerce/apply.scm 38 */
BgL_nodez00_bglt BgL_arg2768z00_1698;
BgL_arg2768z00_1698 = 
BGl_coercez12z12zzcoerce_coercez00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_argz00), BgL_callerz00_1693, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2768z00_1698), BUNSPEC); } 
{ /* Coerce/apply.scm 40 */
BgL_nodez00_bglt BgL_czd2funzd2_1700;
BgL_czd2funzd2_1700 = 
BGl_coercez12z12zzcoerce_coercez00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_funz00), BgL_callerz00_1693, 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
if(
CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
{ /* Coerce/apply.scm 42 */
{ /* Coerce/apply.scm 44 */
bool_t BgL_test2771z00_1701;
BgL_test2771z00_1701 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_czd2funzd2_1700), BGl_varz00zzast_nodez00); 
if(BgL_test2771z00_1701)
{ /* Coerce/apply.scm 44 */
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_czd2funzd2_1700), BUNSPEC); 
{ /* Coerce/apply.scm 47 */
BgL_nodez00_bglt BgL_auxz00_2598;
BgL_auxz00_2598 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1692), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1694)); 
return 
(obj_t)(BgL_auxz00_2598);} }  else 
{ /* Coerce/apply.scm 48 */
BgL_localz00_bglt BgL_funz00_1702;
BgL_funz00_1702 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)8)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* Coerce/apply.scm 50 */
BgL_varz00_bglt BgL_arg2772z00_1703;
{ /* Coerce/apply.scm 50 */
obj_t BgL_arg2773z00_1704;obj_t BgL_arg2774z00_1705;
BgL_arg2773z00_1704 = 
(((BgL_nodez00_bglt)CREF(BgL_czd2funzd2_1700))->BgL_locz00); 
BgL_arg2774z00_1705 = BGl_za2procedureza2z00zztype_cachez00; 
{ /* Coerce/apply.scm 49 */
BgL_varz00_bglt BgL_res2854z00_2349;
{ /* Coerce/apply.scm 49 */
BgL_typez00_bglt BgL_type1631z00_2332;BgL_variablez00_bglt BgL_variable1632z00_2333;
BgL_type1631z00_2332 = 
(BgL_typez00_bglt)(BgL_arg2774z00_1705); 
{ /* Coerce/apply.scm 52 */
BgL_localz00_bglt BgL_auxz00_2609;
BgL_auxz00_2609 = BgL_funz00_1702; 
BgL_variable1632z00_2333 = 
(BgL_variablez00_bglt)(BgL_auxz00_2609); } 
{ /* Coerce/apply.scm 49 */
BgL_varz00_bglt BgL_new1633z00_2334;
{ /* Coerce/apply.scm 49 */
BgL_varz00_bglt BgL_res2852z00_2340;
{ /* Coerce/apply.scm 49 */
BgL_varz00_bglt BgL_new1635z00_2335;
BgL_new1635z00_2335 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/apply.scm 49 */
long BgL_arg2752z00_2336;
BgL_arg2752z00_2336 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/apply.scm 49 */
BgL_objectz00_bglt BgL_auxz00_2613;
BgL_auxz00_2613 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2335); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2613, BgL_arg2752z00_2336); } } 
{ /* Coerce/apply.scm 49 */
BgL_objectz00_bglt BgL_auxz00_2616;
BgL_auxz00_2616 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2335); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2616, BFALSE); } 
{ /* Coerce/apply.scm 49 */
obj_t BgL_auxz00_2619;
BgL_auxz00_2619 = 
(obj_t)(BgL_new1635z00_2335); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2619); } BUNSPEC; 
BgL_res2852z00_2340 = BgL_new1635z00_2335; } 
BgL_new1633z00_2334 = BgL_res2852z00_2340; } 
{ /* Coerce/apply.scm 49 */
BgL_varz00_bglt BgL_res2853z00_2348;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2334))->BgL_locz00) = ((obj_t)BgL_arg2773z00_1704), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2334))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2332), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2334))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2333), BUNSPEC); 
BgL_res2853z00_2348 = BgL_new1633z00_2334; BgL_res2853z00_2348; } 
BgL_res2854z00_2349 = BgL_new1633z00_2334; } } 
BgL_arg2772z00_1703 = BgL_res2854z00_2349; } } 
{ /* Coerce/apply.scm 49 */
BgL_nodez00_bglt BgL_val1758z00_2351;
BgL_val1758z00_2351 = 
(BgL_nodez00_bglt)(BgL_arg2772z00_1703); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1758z00_2351), BUNSPEC); } } 
{ /* Coerce/apply.scm 54 */
obj_t BgL_arg2777z00_1707;BgL_typez00_bglt BgL_arg2778z00_1708;obj_t BgL_arg2781z00_1710;BgL_nodez00_bglt BgL_arg2782z00_1711;
{ /* Coerce/apply.scm 54 */
BgL_nodez00_bglt BgL_obj1549z00_2352;
BgL_obj1549z00_2352 = 
(BgL_nodez00_bglt)(BgL_nodez00_1692); 
BgL_arg2777z00_1707 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2352))->BgL_locz00); } 
{ /* Coerce/apply.scm 55 */
BgL_nodez00_bglt BgL_obj1550z00_2353;
BgL_obj1550z00_2353 = 
(BgL_nodez00_bglt)(BgL_nodez00_1692); 
BgL_arg2778z00_1708 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2353))->BgL_typez00); } 
{ /* Coerce/apply.scm 56 */
obj_t BgL_arg2783z00_1712;
{ /* Coerce/apply.scm 56 */
obj_t BgL_auxz00_2633;obj_t BgL_auxz00_2631;
BgL_auxz00_2633 = 
(obj_t)(BgL_czd2funzd2_1700); 
BgL_auxz00_2631 = 
(obj_t)(BgL_funz00_1702); 
BgL_arg2783z00_1712 = 
MAKE_PAIR(BgL_auxz00_2631, BgL_auxz00_2633); } 
{ /* Coerce/apply.scm 56 */
obj_t BgL_list2784z00_1713;
BgL_list2784z00_1713 = 
MAKE_PAIR(BgL_arg2783z00_1712, BNIL); 
BgL_arg2781z00_1710 = BgL_list2784z00_1713; } } 
BgL_arg2782z00_1711 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1692), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1694)); 
{ /* Coerce/apply.scm 53 */
BgL_letzd2varzd2_bglt BgL_res2858z00_2386;
{ /* Coerce/apply.scm 53 */
obj_t BgL_key2494z00_2359;
BgL_key2494z00_2359 = 
BINT(((long)-1)); 
{ /* Coerce/apply.scm 53 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2363;
{ /* Coerce/apply.scm 53 */
BgL_letzd2varzd2_bglt BgL_res2856z00_2369;
{ /* Coerce/apply.scm 53 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2364;
BgL_new2500z00_2364 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Coerce/apply.scm 53 */
long BgL_arg2729z00_2365;
BgL_arg2729z00_2365 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Coerce/apply.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2644;
BgL_auxz00_2644 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2364); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2644, BgL_arg2729z00_2365); } } 
{ /* Coerce/apply.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2647;
BgL_auxz00_2647 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2364); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2647, BFALSE); } 
{ /* Coerce/apply.scm 53 */
obj_t BgL_auxz00_2650;
BgL_auxz00_2650 = 
(obj_t)(BgL_new2500z00_2364); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2650); } BUNSPEC; 
BgL_res2856z00_2369 = BgL_new2500z00_2364; } 
BgL_new2498z00_2363 = BgL_res2856z00_2369; } 
{ /* Coerce/apply.scm 53 */
BgL_letzd2varzd2_bglt BgL_res2857z00_2385;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_locz00) = ((obj_t)BgL_arg2777z00_1707), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2778z00_1708), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2359), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_bindingsz00) = ((obj_t)BgL_arg2781z00_1710), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2782z00_1711), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2363))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2857z00_2385 = BgL_new2498z00_2363; BgL_res2857z00_2385; } 
BgL_res2858z00_2386 = BgL_new2498z00_2363; } } 
return 
(obj_t)(BgL_res2858z00_2386);} } } } }  else 
{ /* Coerce/apply.scm 58 */
BgL_localz00_bglt BgL_funz00_1714;
BgL_funz00_1714 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)8)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* Coerce/apply.scm 58 */
BgL_localz00_bglt BgL_valz00_1715;
BgL_valz00_1715 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)9)), 
(BgL_typez00_bglt)(BGl_za2pairzd2nilza2zd2zztype_cachez00)); 
{ /* Coerce/apply.scm 59 */
obj_t BgL_locz00_1716;
{ /* Coerce/apply.scm 60 */
BgL_nodez00_bglt BgL_obj1549z00_2387;
BgL_obj1549z00_2387 = 
(BgL_nodez00_bglt)(BgL_nodez00_1692); 
BgL_locz00_1716 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2387))->BgL_locz00); } 
{ /* Coerce/apply.scm 60 */
BgL_nodez00_bglt BgL_lvalz00_1717;
{ /* Coerce/apply.scm 61 */
obj_t BgL_arg2833z00_1764;
{ /* Coerce/apply.scm 61 */
obj_t BgL_arg2834z00_1765;obj_t BgL_arg2835z00_1766;
BgL_arg2834z00_1765 = 
CNST_TABLE_REF(((long)10)); 
{ /* Coerce/apply.scm 61 */
obj_t BgL_auxz00_2670;
BgL_auxz00_2670 = 
(obj_t)(BgL_valz00_1715); 
BgL_arg2835z00_1766 = 
MAKE_PAIR(BgL_auxz00_2670, BNIL); } 
BgL_arg2833z00_1764 = 
MAKE_PAIR(BgL_arg2834z00_1765, BgL_arg2835z00_1766); } 
BgL_lvalz00_1717 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2833z00_1764, BgL_locz00_1716); } 
{ /* Coerce/apply.scm 61 */
obj_t BgL_lenz00_1718;
BgL_lenz00_1718 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)11)), BEOA); 
{ /* Coerce/apply.scm 62 */
BgL_letzd2varzd2_bglt BgL_lnodez00_1719;
{ /* Coerce/apply.scm 64 */
obj_t BgL_arg2795z00_1728;obj_t BgL_arg2796z00_1729;obj_t BgL_arg2799z00_1731;BgL_nodez00_bglt BgL_arg2800z00_1732;
BgL_arg2795z00_1728 = BgL_locz00_1716; 
BgL_arg2796z00_1729 = BGl_za2objza2z00zztype_cachez00; 
{ /* Coerce/apply.scm 66 */
obj_t BgL_arg2801z00_1733;obj_t BgL_arg2802z00_1734;
{ /* Coerce/apply.scm 66 */
obj_t BgL_auxz00_2680;obj_t BgL_auxz00_2678;
BgL_auxz00_2680 = 
(obj_t)(BgL_czd2funzd2_1700); 
BgL_auxz00_2678 = 
(obj_t)(BgL_funz00_1714); 
BgL_arg2801z00_1733 = 
MAKE_PAIR(BgL_auxz00_2678, BgL_auxz00_2680); } 
{ /* Coerce/apply.scm 67 */
obj_t BgL_auxz00_2685;obj_t BgL_auxz00_2683;
{ /* Coerce/apply.scm 67 */
BgL_nodez00_bglt BgL_auxz00_2686;
BgL_auxz00_2686 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_argz00); 
BgL_auxz00_2685 = 
(obj_t)(BgL_auxz00_2686); } 
BgL_auxz00_2683 = 
(obj_t)(BgL_valz00_1715); 
BgL_arg2802z00_1734 = 
MAKE_PAIR(BgL_auxz00_2683, BgL_auxz00_2685); } 
{ /* Coerce/apply.scm 66 */
obj_t BgL_list2803z00_1735;
{ /* Coerce/apply.scm 66 */
obj_t BgL_arg2805z00_1736;
BgL_arg2805z00_1736 = 
MAKE_PAIR(BgL_arg2802z00_1734, BNIL); 
BgL_list2803z00_1735 = 
MAKE_PAIR(BgL_arg2801z00_1733, BgL_arg2805z00_1736); } 
BgL_arg2799z00_1731 = BgL_list2803z00_1735; } } 
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2807z00_1738;
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2808z00_1739;obj_t BgL_arg2809z00_1740;
BgL_arg2808z00_1739 = 
CNST_TABLE_REF(((long)12)); 
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2810z00_1741;obj_t BgL_arg2811z00_1742;
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2812z00_1743;
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2814z00_1745;obj_t BgL_arg2815z00_1746;
{ /* Coerce/apply.scm 69 */
obj_t BgL_list2816z00_1747;
{ /* Coerce/apply.scm 69 */
obj_t BgL_arg2817z00_1748;
{ /* Coerce/apply.scm 69 */
obj_t BgL_auxz00_2693;
BgL_auxz00_2693 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2817z00_1748 = 
MAKE_PAIR(BgL_auxz00_2693, BNIL); } 
BgL_list2816z00_1747 = 
MAKE_PAIR(BgL_lenz00_1718, BgL_arg2817z00_1748); } 
BgL_arg2814z00_1745 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2816z00_1747); } 
{ /* Coerce/apply.scm 70 */
BgL_nodez00_bglt BgL_arg2818z00_1749;
BgL_arg2818z00_1749 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_lvalz00_1717, BgL_callerz00_1693, 
(BgL_typez00_bglt)(BGl_za2intza2z00zztype_cachez00)); 
{ /* Coerce/apply.scm 69 */
obj_t BgL_auxz00_2700;
BgL_auxz00_2700 = 
(obj_t)(BgL_arg2818z00_1749); 
BgL_arg2815z00_1746 = 
MAKE_PAIR(BgL_auxz00_2700, BNIL); } } 
BgL_arg2812z00_1743 = 
MAKE_PAIR(BgL_arg2814z00_1745, BgL_arg2815z00_1746); } 
BgL_arg2810z00_1741 = 
MAKE_PAIR(BgL_arg2812z00_1743, BNIL); } 
{ /* Coerce/apply.scm 71 */
obj_t BgL_arg2820z00_1751;
{ /* Coerce/apply.scm 71 */
obj_t BgL_arg2822z00_1753;obj_t BgL_arg2823z00_1754;
BgL_arg2822z00_1753 = 
CNST_TABLE_REF(((long)14)); 
{ /* Coerce/apply.scm 71 */
obj_t BgL_arg2824z00_1755;obj_t BgL_arg2825z00_1756;
{ /* Coerce/apply.scm 71 */
obj_t BgL_arg2826z00_1757;obj_t BgL_arg2827z00_1758;
BgL_arg2826z00_1757 = 
CNST_TABLE_REF(((long)15)); 
{ /* Coerce/apply.scm 71 */
obj_t BgL_arg2828z00_1759;
BgL_arg2828z00_1759 = 
MAKE_PAIR(BgL_lenz00_1718, BNIL); 
{ /* Coerce/apply.scm 71 */
obj_t BgL_auxz00_2708;
BgL_auxz00_2708 = 
(obj_t)(BgL_funz00_1714); 
BgL_arg2827z00_1758 = 
MAKE_PAIR(BgL_auxz00_2708, BgL_arg2828z00_1759); } } 
BgL_arg2824z00_1755 = 
MAKE_PAIR(BgL_arg2826z00_1757, BgL_arg2827z00_1758); } 
{ /* Coerce/apply.scm 72 */
BgL_nodez00_bglt BgL_arg2829z00_1760;obj_t BgL_arg2830z00_1761;
BgL_arg2829z00_1760 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1692), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1694)); 
{ /* Coerce/apply.scm 73 */
BgL_nodez00_bglt BgL_arg2831z00_1762;
BgL_arg2831z00_1762 = 
BGl_makezd2errorzd2nodez00zzcoerce_applyz00(BgL_errorzd2msgzd2_1697, BgL_locz00_1716, BgL_callerz00_1693, BgL_toz00_1694); 
{ /* Coerce/apply.scm 71 */
obj_t BgL_auxz00_2717;
BgL_auxz00_2717 = 
(obj_t)(BgL_arg2831z00_1762); 
BgL_arg2830z00_1761 = 
MAKE_PAIR(BgL_auxz00_2717, BNIL); } } 
{ /* Coerce/apply.scm 71 */
obj_t BgL_auxz00_2720;
BgL_auxz00_2720 = 
(obj_t)(BgL_arg2829z00_1760); 
BgL_arg2825z00_1756 = 
MAKE_PAIR(BgL_auxz00_2720, BgL_arg2830z00_1761); } } 
BgL_arg2823z00_1754 = 
MAKE_PAIR(BgL_arg2824z00_1755, BgL_arg2825z00_1756); } 
BgL_arg2820z00_1751 = 
MAKE_PAIR(BgL_arg2822z00_1753, BgL_arg2823z00_1754); } 
BgL_arg2811z00_1742 = 
MAKE_PAIR(BgL_arg2820z00_1751, BNIL); } 
BgL_arg2809z00_1740 = 
MAKE_PAIR(BgL_arg2810z00_1741, BgL_arg2811z00_1742); } 
BgL_arg2807z00_1738 = 
MAKE_PAIR(BgL_arg2808z00_1739, BgL_arg2809z00_1740); } 
BgL_arg2800z00_1732 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2807z00_1738, BgL_locz00_1716); } 
{ /* Coerce/apply.scm 63 */
BgL_letzd2varzd2_bglt BgL_res2862z00_2421;
{ /* Coerce/apply.scm 63 */
BgL_typez00_bglt BgL_type2492z00_2392;obj_t BgL_key2494z00_2394;
BgL_type2492z00_2392 = 
(BgL_typez00_bglt)(BgL_arg2796z00_1729); 
BgL_key2494z00_2394 = 
BINT(((long)-1)); 
{ /* Coerce/apply.scm 63 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2398;
{ /* Coerce/apply.scm 63 */
BgL_letzd2varzd2_bglt BgL_res2860z00_2404;
{ /* Coerce/apply.scm 63 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2399;
BgL_new2500z00_2399 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Coerce/apply.scm 63 */
long BgL_arg2729z00_2400;
BgL_arg2729z00_2400 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Coerce/apply.scm 63 */
BgL_objectz00_bglt BgL_auxz00_2733;
BgL_auxz00_2733 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2399); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2733, BgL_arg2729z00_2400); } } 
{ /* Coerce/apply.scm 63 */
BgL_objectz00_bglt BgL_auxz00_2736;
BgL_auxz00_2736 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2399); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2736, BFALSE); } 
{ /* Coerce/apply.scm 63 */
obj_t BgL_auxz00_2739;
BgL_auxz00_2739 = 
(obj_t)(BgL_new2500z00_2399); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2739); } BUNSPEC; 
BgL_res2860z00_2404 = BgL_new2500z00_2399; } 
BgL_new2498z00_2398 = BgL_res2860z00_2404; } 
{ /* Coerce/apply.scm 63 */
BgL_letzd2varzd2_bglt BgL_res2861z00_2420;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_locz00) = ((obj_t)BgL_arg2795z00_1728), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_2392), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2394), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_bindingsz00) = ((obj_t)BgL_arg2799z00_1731), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2800z00_1732), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2398))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2861z00_2420 = BgL_new2498z00_2398; BgL_res2861z00_2420; } 
BgL_res2862z00_2421 = BgL_new2498z00_2398; } } 
BgL_lnodez00_1719 = BgL_res2862z00_2421; } } 
{ /* Coerce/apply.scm 63 */

{ /* Coerce/apply.scm 80 */
BgL_varz00_bglt BgL_arg2785z00_1720;
{ /* Coerce/apply.scm 80 */
obj_t BgL_arg2786z00_1721;obj_t BgL_arg2788z00_1722;
BgL_arg2786z00_1721 = BgL_locz00_1716; 
BgL_arg2788z00_1722 = BGl_za2procedureza2z00zztype_cachez00; 
{ /* Coerce/apply.scm 79 */
BgL_varz00_bglt BgL_res2865z00_2440;
{ /* Coerce/apply.scm 79 */
BgL_typez00_bglt BgL_type1631z00_2423;BgL_variablez00_bglt BgL_variable1632z00_2424;
BgL_type1631z00_2423 = 
(BgL_typez00_bglt)(BgL_arg2788z00_1722); 
{ /* Coerce/apply.scm 82 */
BgL_localz00_bglt BgL_auxz00_2750;
BgL_auxz00_2750 = BgL_funz00_1714; 
BgL_variable1632z00_2424 = 
(BgL_variablez00_bglt)(BgL_auxz00_2750); } 
{ /* Coerce/apply.scm 79 */
BgL_varz00_bglt BgL_new1633z00_2425;
{ /* Coerce/apply.scm 79 */
BgL_varz00_bglt BgL_res2863z00_2431;
{ /* Coerce/apply.scm 79 */
BgL_varz00_bglt BgL_new1635z00_2426;
BgL_new1635z00_2426 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/apply.scm 79 */
long BgL_arg2752z00_2427;
BgL_arg2752z00_2427 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/apply.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2754;
BgL_auxz00_2754 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2426); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2754, BgL_arg2752z00_2427); } } 
{ /* Coerce/apply.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2757;
BgL_auxz00_2757 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2426); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2757, BFALSE); } 
{ /* Coerce/apply.scm 79 */
obj_t BgL_auxz00_2760;
BgL_auxz00_2760 = 
(obj_t)(BgL_new1635z00_2426); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2760); } BUNSPEC; 
BgL_res2863z00_2431 = BgL_new1635z00_2426; } 
BgL_new1633z00_2425 = BgL_res2863z00_2431; } 
{ /* Coerce/apply.scm 79 */
BgL_varz00_bglt BgL_res2864z00_2439;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2425))->BgL_locz00) = ((obj_t)BgL_arg2786z00_1721), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2425))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2423), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2425))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2424), BUNSPEC); 
BgL_res2864z00_2439 = BgL_new1633z00_2425; BgL_res2864z00_2439; } 
BgL_res2865z00_2440 = BgL_new1633z00_2425; } } 
BgL_arg2785z00_1720 = BgL_res2865z00_2440; } } 
{ /* Coerce/apply.scm 79 */
BgL_nodez00_bglt BgL_val1758z00_2442;
BgL_val1758z00_2442 = 
(BgL_nodez00_bglt)(BgL_arg2785z00_1720); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1758z00_2442), BUNSPEC); } } 
{ /* Coerce/apply.scm 84 */
BgL_varz00_bglt BgL_arg2790z00_1724;
{ /* Coerce/apply.scm 84 */
obj_t BgL_arg2791z00_1725;obj_t BgL_arg2792z00_1726;
BgL_arg2791z00_1725 = BgL_locz00_1716; 
BgL_arg2792z00_1726 = BGl_za2objza2z00zztype_cachez00; 
{ /* Coerce/apply.scm 83 */
BgL_varz00_bglt BgL_res2868z00_2461;
{ /* Coerce/apply.scm 83 */
BgL_typez00_bglt BgL_type1631z00_2444;BgL_variablez00_bglt BgL_variable1632z00_2445;
BgL_type1631z00_2444 = 
(BgL_typez00_bglt)(BgL_arg2792z00_1726); 
{ /* Coerce/apply.scm 86 */
BgL_localz00_bglt BgL_auxz00_2769;
BgL_auxz00_2769 = BgL_valz00_1715; 
BgL_variable1632z00_2445 = 
(BgL_variablez00_bglt)(BgL_auxz00_2769); } 
{ /* Coerce/apply.scm 83 */
BgL_varz00_bglt BgL_new1633z00_2446;
{ /* Coerce/apply.scm 83 */
BgL_varz00_bglt BgL_res2866z00_2452;
{ /* Coerce/apply.scm 83 */
BgL_varz00_bglt BgL_new1635z00_2447;
BgL_new1635z00_2447 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/apply.scm 83 */
long BgL_arg2752z00_2448;
BgL_arg2752z00_2448 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/apply.scm 83 */
BgL_objectz00_bglt BgL_auxz00_2773;
BgL_auxz00_2773 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2447); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2773, BgL_arg2752z00_2448); } } 
{ /* Coerce/apply.scm 83 */
BgL_objectz00_bglt BgL_auxz00_2776;
BgL_auxz00_2776 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2447); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2776, BFALSE); } 
{ /* Coerce/apply.scm 83 */
obj_t BgL_auxz00_2779;
BgL_auxz00_2779 = 
(obj_t)(BgL_new1635z00_2447); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2779); } BUNSPEC; 
BgL_res2866z00_2452 = BgL_new1635z00_2447; } 
BgL_new1633z00_2446 = BgL_res2866z00_2452; } 
{ /* Coerce/apply.scm 83 */
BgL_varz00_bglt BgL_res2867z00_2460;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2446))->BgL_locz00) = ((obj_t)BgL_arg2791z00_1725), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2446))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2444), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2446))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2445), BUNSPEC); 
BgL_res2867z00_2460 = BgL_new1633z00_2446; BgL_res2867z00_2460; } 
BgL_res2868z00_2461 = BgL_new1633z00_2446; } } 
BgL_arg2790z00_1724 = BgL_res2868z00_2461; } } 
{ /* Coerce/apply.scm 83 */
BgL_nodez00_bglt BgL_val1761z00_2463;
BgL_val1761z00_2463 = 
(BgL_nodez00_bglt)(BgL_arg2790z00_1724); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1692))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1761z00_2463), BUNSPEC); } } 
return 
(obj_t)(BgL_lnodez00_1719);} } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00()
{ AN_OBJECT;
{ /* Coerce/apply.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "coerce_apply"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "coerce_apply"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long)24062), "coerce_apply");} 
}

