/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt, BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
static BgL_nodez00_bglt BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2errorzf2locationz20zzcoerce_convertz00(obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t, obj_t, BgL_typez00_bglt);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 14 ] ;

DEFINE_STRING( BGl_string3190z00zzcoerce_convertz00, BgL_bgl_string3190za700za7za7coerce_convertza7003195z00, "aux2 if coercer bigloo-type-error failure quote __error bigloo-type-error/location @ begin location ::obj let aux ", 114 );
DEFINE_STRING( BGl_string3189z00zzcoerce_convertz00, BgL_bgl_string3189za700za7za7coerce_convertza7003196z00, "Illegal converter", 17 );
DEFINE_STRING( BGl_string3188z00zzcoerce_convertz00, BgL_bgl_string3188za700za7za7coerce_convertza7003197z00, "do-convert", 10 );
DEFINE_STRING( BGl_string3187z00zzcoerce_convertz00, BgL_bgl_string3187za700za7za7coerce_convertza7003198z00, "Illegal conversion", 18 );
DEFINE_STRING( BGl_string3186z00zzcoerce_convertz00, BgL_bgl_string3186za700za7za7coerce_convertza7003199z00, "Type error", 10 );
DEFINE_STRING( BGl_string3185z00zzcoerce_convertz00, BgL_bgl_string3185za700za7za7coerce_convertza7003200z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00, BgL_bgl__runtimeza7d2typeza7d2errorza700za7za7coerce_convertza7003201z00, BGl__runtimezd2typezd2errorz00zzcoerce_convertz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_convertz12zd2envzc0zzcoerce_convertz00, BgL_bgl__convertza712za712za7za7coerce_convertza7003202za7, BGl__convertz12z12zzcoerce_convertz00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long BgL_checksumz00_3017, char * BgL_fromz00_3018)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(); 
BGl_cnstzd2initzd2zzcoerce_convertz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
{ AN_OBJECT;
{ /* Coerce/convert.scm 16 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "coerce_convert"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* Coerce/convert.scm 16 */
{ /* Coerce/convert.scm 16 */
obj_t BgL_cportz00_3010;
BgL_cportz00_3010 = 
open_input_string(BGl_string3190z00zzcoerce_convertz00); 
{ 
long BgL_iz00_3011;
BgL_iz00_3011 = ((long)13); 
BgL_loopz00_3012:
if(
(BgL_iz00_3011==((long)-1)))
{ /* Coerce/convert.scm 16 */
return BUNSPEC;}  else 
{ /* Coerce/convert.scm 16 */
{ /* Coerce/convert.scm 16 */
obj_t BgL_arg3192z00_3014;
{ /* Coerce/convert.scm 16 */
obj_t BgL_list3193z00_3015;
BgL_list3193z00_3015 = 
MAKE_PAIR(BgL_cportz00_3010, BNIL); 
BgL_arg3192z00_3014 = 
BGl_readz00zz__readerz00(BgL_list3193z00_3015); } 
{ /* Coerce/convert.scm 16 */
int BgL_auxz00_3034;
BgL_auxz00_3034 = 
(int)(BgL_iz00_3011); 
CNST_TABLE_SET(BgL_auxz00_3034, BgL_arg3192z00_3014); } } 
{ 
long BgL_iz00_3037;
{ /* Coerce/convert.scm 16 */
int BgL_auxz00_3038;
{ /* Coerce/convert.scm 16 */
long BgL_auxz00_3039;
BgL_auxz00_3039 = 
(BgL_iz00_3011-((long)1)); 
BgL_auxz00_3038 = 
(int)(BgL_auxz00_3039); } 
BgL_iz00_3037 = 
(long)(BgL_auxz00_3038); } 
BgL_iz00_3011 = BgL_iz00_3037; 
goto BgL_loopz00_3012;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* Coerce/convert.scm 16 */
return BUNSPEC;} 
}



/* type-error/location */
obj_t BGl_typezd2errorzf2locationz20zzcoerce_convertz00(obj_t BgL_locz00_33, obj_t BgL_functionz00_34, BgL_typez00_bglt BgL_fromz00_35, BgL_typez00_bglt BgL_toz00_36)
{ AN_OBJECT;
{ /* Coerce/convert.scm 43 */
{ /* Coerce/convert.scm 44 */
obj_t BgL_arg2878z00_1485;
{ /* Coerce/convert.scm 47 */
obj_t BgL_arg2881z00_1488;obj_t BgL_arg2882z00_1489;
{ /* Coerce/convert.scm 49 */
obj_t BgL_auxz00_3043;
BgL_auxz00_3043 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_36))->BgL_idz00); 
BgL_arg2881z00_1488 = 
SYMBOL_TO_STRING(BgL_auxz00_3043); } 
{ /* Coerce/convert.scm 50 */
obj_t BgL_auxz00_3046;
BgL_auxz00_3046 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_35))->BgL_idz00); 
BgL_arg2882z00_1489 = 
SYMBOL_TO_STRING(BgL_auxz00_3046); } 
BgL_arg2878z00_1485 = 
BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(BGl_string3185z00zzcoerce_convertz00, BgL_arg2881z00_1488, BgL_arg2882z00_1489); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_33, BgL_functionz00_34, BGl_string3186z00zzcoerce_convertz00, BgL_arg2878z00_1485, BNIL);} } 
}



/* runtime-type-error */
obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_locz00_41, obj_t BgL_tiz00_42, obj_t BgL_valuez00_43)
{ AN_OBJECT;
{ /* Coerce/convert.scm 67 */
{ 

{ /* Coerce/convert.scm 100 */
bool_t BgL_test2892z00_1501;
BgL_test2892z00_1501 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valuez00_43, BGl_nodez00zzast_nodez00); 
if(BgL_test2892z00_1501)
{ /* Coerce/convert.scm 101 */
BgL_nodez00_bglt BgL_auxz00_3053;
{ /* Coerce/convert.scm 92 */
obj_t BgL_auxz00_1503;
BgL_auxz00_1503 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* Coerce/convert.scm 92 */
BgL_nodez00_bglt BgL_resz00_1504;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2896z00_1507;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2897z00_1508;obj_t BgL_arg2898z00_1509;
BgL_arg2897z00_1508 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2899z00_1510;obj_t BgL_arg2900z00_1511;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2901z00_1512;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2903z00_1514;obj_t BgL_arg2904z00_1515;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2905z00_1516;
{ /* Coerce/convert.scm 94 */
obj_t BgL_list2906z00_1517;
{ /* Coerce/convert.scm 94 */
obj_t BgL_arg2907z00_1518;
{ /* Coerce/convert.scm 94 */
obj_t BgL_auxz00_3058;
BgL_auxz00_3058 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2907z00_1518 = 
MAKE_PAIR(BgL_auxz00_3058, BNIL); } 
BgL_list2906z00_1517 = 
MAKE_PAIR(BgL_auxz00_1503, BgL_arg2907z00_1518); } 
BgL_arg2905z00_1516 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2906z00_1517); } 
BgL_arg2903z00_1514 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2905z00_1516); } 
BgL_arg2904z00_1515 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2901z00_1512 = 
MAKE_PAIR(BgL_arg2903z00_1514, BgL_arg2904z00_1515); } 
BgL_arg2899z00_1510 = 
MAKE_PAIR(BgL_arg2901z00_1512, BNIL); } 
{ /* Coerce/convert.scm 96 */
obj_t BgL_arg2908z00_1519;
BgL_arg2908z00_1519 = 
BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(BgL_tiz00_42, BgL_locz00_41, BgL_auxz00_1503); 
BgL_arg2900z00_1511 = 
MAKE_PAIR(BgL_arg2908z00_1519, BNIL); } 
BgL_arg2898z00_1509 = 
MAKE_PAIR(BgL_arg2899z00_1510, BgL_arg2900z00_1511); } 
BgL_arg2896z00_1507 = 
MAKE_PAIR(BgL_arg2897z00_1508, BgL_arg2898z00_1509); } 
BgL_resz00_1504 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2896z00_1507, BgL_locz00_41); } 
{ /* Coerce/convert.scm 93 */

{ /* Coerce/convert.scm 98 */
obj_t BgL_auxz00_3072;
{ /* Coerce/convert.scm 98 */
obj_t BgL_auxz00_3073;
{ /* Coerce/convert.scm 98 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2217;
BgL_obj2466z00_2217 = 
(BgL_letzd2varzd2_bglt)(BgL_resz00_1504); 
BgL_auxz00_3073 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2217))->BgL_bindingsz00); } 
BgL_auxz00_3072 = 
CAR(BgL_auxz00_3073); } 
SET_CDR(BgL_auxz00_3072, BgL_valuez00_43); } 
BgL_auxz00_3053 = BgL_resz00_1504; } } } 
return 
(obj_t)(BgL_auxz00_3053);}  else 
{ /* Coerce/convert.scm 100 */
return 
BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(BgL_tiz00_42, BgL_locz00_41, BgL_valuez00_43);} } } } 
}



/* runtime-type-error/id */
obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t BgL_tiz00_3007, obj_t BgL_locz00_3006, obj_t BgL_idz00_1521)
{ AN_OBJECT;
{ /* Coerce/convert.scm 71 */
{ /* Coerce/convert.scm 72 */
bool_t BgL_test2911z00_1523;
{ /* Coerce/convert.scm 72 */
bool_t BgL_test2965z00_1577;
{ /* Coerce/convert.scm 72 */
bool_t BgL_test2966z00_1578;
{ /* Coerce/convert.scm 72 */
long BgL_n1z00_2221;
BgL_n1z00_2221 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2966z00_1578 = 
(BgL_n1z00_2221>((long)0)); } 
if(BgL_test2966z00_1578)
{ /* Coerce/convert.scm 72 */
BgL_test2965z00_1577 = ((bool_t)1); }  else 
{ /* Coerce/convert.scm 73 */
long BgL_n1z00_2223;
BgL_n1z00_2223 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2965z00_1577 = 
(BgL_n1z00_2223>((long)0)); } } 
if(BgL_test2965z00_1577)
{ /* Coerce/convert.scm 72 */
if(
STRUCTP(BgL_locz00_3006))
{ /* Coerce/convert.scm 74 */
obj_t BgL_auxz00_3090;obj_t BgL_auxz00_3088;
BgL_auxz00_3090 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_3088 = 
STRUCT_KEY(BgL_locz00_3006); 
BgL_test2911z00_1523 = 
(BgL_auxz00_3088==BgL_auxz00_3090); }  else 
{ /* Coerce/convert.scm 74 */
BgL_test2911z00_1523 = ((bool_t)0); } }  else 
{ /* Coerce/convert.scm 72 */
BgL_test2911z00_1523 = ((bool_t)0); } } 
if(BgL_test2911z00_1523)
{ /* Coerce/convert.scm 75 */
obj_t BgL_arg2912z00_1524;obj_t BgL_arg2913z00_1525;
BgL_arg2912z00_1524 = 
CNST_TABLE_REF(((long)4)); 
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2914z00_1526;obj_t BgL_arg2915z00_1527;
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2916z00_1528;obj_t BgL_arg2917z00_1529;
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2918z00_1530;obj_t BgL_arg2919z00_1531;
BgL_arg2918z00_1530 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2920z00_1532;obj_t BgL_arg2921z00_1533;
BgL_arg2920z00_1532 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/convert.scm 76 */
obj_t BgL_auxz00_3097;
BgL_auxz00_3097 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2921z00_1533 = 
MAKE_PAIR(BgL_auxz00_3097, BNIL); } 
BgL_arg2919z00_1531 = 
MAKE_PAIR(BgL_arg2920z00_1532, BgL_arg2921z00_1533); } 
BgL_arg2916z00_1528 = 
MAKE_PAIR(BgL_arg2918z00_1530, BgL_arg2919z00_1531); } 
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2922z00_1534;obj_t BgL_arg2923z00_1535;
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2924z00_1536;obj_t BgL_arg2925z00_1537;
BgL_arg2924z00_1536 = 
CNST_TABLE_REF(((long)8)); 
{ /* Coerce/convert.scm 76 */
obj_t BgL_arg2926z00_1538;
BgL_arg2926z00_1538 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2925z00_1537 = 
MAKE_PAIR(BgL_arg2926z00_1538, BNIL); } 
BgL_arg2922z00_1534 = 
MAKE_PAIR(BgL_arg2924z00_1536, BgL_arg2925z00_1537); } 
{ /* Coerce/convert.scm 77 */
obj_t BgL_arg2928z00_1540;obj_t BgL_arg2929z00_1541;
BgL_arg2928z00_1540 = 
SYMBOL_TO_STRING(BgL_tiz00_3007); 
{ /* Coerce/convert.scm 79 */
obj_t BgL_arg2930z00_1542;
{ /* Coerce/convert.scm 79 */
obj_t BgL_arg2931z00_1543;obj_t BgL_arg2932z00_1544;
BgL_arg2931z00_1543 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_3006); 
{ /* Coerce/convert.scm 76 */
obj_t BgL_auxz00_3108;
{ /* Coerce/convert.scm 80 */
int BgL_auxz00_3109;
BgL_auxz00_3109 = 
(int)(((long)1)); 
BgL_auxz00_3108 = 
STRUCT_REF(BgL_locz00_3006, BgL_auxz00_3109); } 
BgL_arg2932z00_1544 = 
MAKE_PAIR(BgL_auxz00_3108, BNIL); } 
BgL_arg2930z00_1542 = 
MAKE_PAIR(BgL_arg2931z00_1543, BgL_arg2932z00_1544); } 
BgL_arg2929z00_1541 = 
MAKE_PAIR(BgL_idz00_1521, BgL_arg2930z00_1542); } 
BgL_arg2923z00_1535 = 
MAKE_PAIR(BgL_arg2928z00_1540, BgL_arg2929z00_1541); } 
BgL_arg2917z00_1529 = 
MAKE_PAIR(BgL_arg2922z00_1534, BgL_arg2923z00_1535); } 
BgL_arg2914z00_1526 = 
MAKE_PAIR(BgL_arg2916z00_1528, BgL_arg2917z00_1529); } 
{ /* Coerce/convert.scm 84 */
obj_t BgL_arg2935z00_1547;
{ /* Coerce/convert.scm 84 */
obj_t BgL_arg2937z00_1549;obj_t BgL_arg2938z00_1550;
BgL_arg2937z00_1549 = 
CNST_TABLE_REF(((long)9)); 
{ /* Coerce/convert.scm 84 */
obj_t BgL_arg2939z00_1551;
{ /* Coerce/convert.scm 84 */
obj_t BgL_arg2940z00_1552;
BgL_arg2940z00_1552 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2939z00_1551 = 
MAKE_PAIR(BFALSE, BgL_arg2940z00_1552); } 
BgL_arg2938z00_1550 = 
MAKE_PAIR(BFALSE, BgL_arg2939z00_1551); } 
BgL_arg2935z00_1547 = 
MAKE_PAIR(BgL_arg2937z00_1549, BgL_arg2938z00_1550); } 
BgL_arg2915z00_1527 = 
MAKE_PAIR(BgL_arg2935z00_1547, BNIL); } 
BgL_arg2913z00_1525 = 
MAKE_PAIR(BgL_arg2914z00_1526, BgL_arg2915z00_1527); } 
return 
MAKE_PAIR(BgL_arg2912z00_1524, BgL_arg2913z00_1525);}  else 
{ /* Coerce/convert.scm 85 */
obj_t BgL_arg2941z00_1553;obj_t BgL_arg2942z00_1554;
BgL_arg2941z00_1553 = 
CNST_TABLE_REF(((long)4)); 
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2943z00_1555;obj_t BgL_arg2944z00_1556;
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2945z00_1557;obj_t BgL_arg2946z00_1558;
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2947z00_1559;obj_t BgL_arg2948z00_1560;
BgL_arg2947z00_1559 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2949z00_1561;obj_t BgL_arg2950z00_1562;
BgL_arg2949z00_1561 = 
CNST_TABLE_REF(((long)10)); 
{ /* Coerce/convert.scm 86 */
obj_t BgL_auxz00_3129;
BgL_auxz00_3129 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2950z00_1562 = 
MAKE_PAIR(BgL_auxz00_3129, BNIL); } 
BgL_arg2948z00_1560 = 
MAKE_PAIR(BgL_arg2949z00_1561, BgL_arg2950z00_1562); } 
BgL_arg2945z00_1557 = 
MAKE_PAIR(BgL_arg2947z00_1559, BgL_arg2948z00_1560); } 
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2951z00_1563;obj_t BgL_arg2952z00_1564;
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2953z00_1565;obj_t BgL_arg2954z00_1566;
BgL_arg2953z00_1565 = 
CNST_TABLE_REF(((long)8)); 
{ /* Coerce/convert.scm 86 */
obj_t BgL_arg2955z00_1567;
BgL_arg2955z00_1567 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2954z00_1566 = 
MAKE_PAIR(BgL_arg2955z00_1567, BNIL); } 
BgL_arg2951z00_1563 = 
MAKE_PAIR(BgL_arg2953z00_1565, BgL_arg2954z00_1566); } 
{ /* Coerce/convert.scm 87 */
obj_t BgL_arg2957z00_1569;obj_t BgL_arg2958z00_1570;
BgL_arg2957z00_1569 = 
SYMBOL_TO_STRING(BgL_tiz00_3007); 
BgL_arg2958z00_1570 = 
MAKE_PAIR(BgL_idz00_1521, BNIL); 
BgL_arg2952z00_1564 = 
MAKE_PAIR(BgL_arg2957z00_1569, BgL_arg2958z00_1570); } 
BgL_arg2946z00_1558 = 
MAKE_PAIR(BgL_arg2951z00_1563, BgL_arg2952z00_1564); } 
BgL_arg2943z00_1555 = 
MAKE_PAIR(BgL_arg2945z00_1557, BgL_arg2946z00_1558); } 
{ /* Coerce/convert.scm 89 */
obj_t BgL_arg2959z00_1571;
{ /* Coerce/convert.scm 89 */
obj_t BgL_arg2961z00_1573;obj_t BgL_arg2962z00_1574;
BgL_arg2961z00_1573 = 
CNST_TABLE_REF(((long)9)); 
{ /* Coerce/convert.scm 89 */
obj_t BgL_arg2963z00_1575;
{ /* Coerce/convert.scm 89 */
obj_t BgL_arg2964z00_1576;
BgL_arg2964z00_1576 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2963z00_1575 = 
MAKE_PAIR(BFALSE, BgL_arg2964z00_1576); } 
BgL_arg2962z00_1574 = 
MAKE_PAIR(BFALSE, BgL_arg2963z00_1575); } 
BgL_arg2959z00_1571 = 
MAKE_PAIR(BgL_arg2961z00_1573, BgL_arg2962z00_1574); } 
BgL_arg2944z00_1556 = 
MAKE_PAIR(BgL_arg2959z00_1571, BNIL); } 
BgL_arg2942z00_1554 = 
MAKE_PAIR(BgL_arg2943z00_1555, BgL_arg2944z00_1556); } 
return 
MAKE_PAIR(BgL_arg2941z00_1553, BgL_arg2942z00_1554);} } } 
}



/* _runtime-type-error */
obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_envz00_2998, obj_t BgL_locz00_2999, obj_t BgL_tiz00_3000, obj_t BgL_valuez00_3001)
{ AN_OBJECT;
{ /* Coerce/convert.scm 67 */
return 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2999, BgL_tiz00_3000, BgL_valuez00_3001);} 
}



/* convert-error */
obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt BgL_fromz00_44, BgL_typez00_bglt BgL_toz00_45, obj_t BgL_locz00_46, BgL_nodez00_bglt BgL_nodez00_47)
{ AN_OBJECT;
{ /* Coerce/convert.scm 111 */
{ /* Coerce/convert.scm 114 */
bool_t BgL_test2967z00_1581;
{ /* Coerce/convert.scm 114 */
bool_t BgL_test2972z00_1588;
{ /* Coerce/convert.scm 114 */
obj_t BgL_auxz00_3152;
BgL_auxz00_3152 = 
(obj_t)(BgL_toz00_45); 
BgL_test2972z00_1588 = 
(BgL_auxz00_3152==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test2972z00_1588)
{ /* Coerce/convert.scm 114 */
BgL_test2967z00_1581 = ((bool_t)0); }  else 
{ /* Coerce/convert.scm 114 */
BgL_test2967z00_1581 = 
BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_45, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } } 
if(BgL_test2967z00_1581)
{ /* Coerce/convert.scm 115 */
obj_t BgL_unsafezd2typezd2_1582;
BgL_unsafezd2typezd2_1582 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* Coerce/convert.scm 117 */
obj_t BgL_arg2968z00_1583;
BgL_arg2968z00_1583 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* Coerce/convert.scm 117 */
obj_t BgL_arg2886z00_2242;
{ /* Coerce/convert.scm 117 */
obj_t BgL_arg2888z00_2244;obj_t BgL_arg2889z00_2245;
{ /* Coerce/convert.scm 117 */
obj_t BgL_auxz00_3160;
BgL_auxz00_3160 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_45))->BgL_idz00); 
BgL_arg2888z00_2244 = 
SYMBOL_TO_STRING(BgL_auxz00_3160); } 
{ /* Coerce/convert.scm 117 */
obj_t BgL_auxz00_3163;
BgL_auxz00_3163 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_44))->BgL_idz00); 
BgL_arg2889z00_2245 = 
SYMBOL_TO_STRING(BgL_auxz00_3163); } 
BgL_arg2886z00_2242 = 
BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(BGl_string3185z00zzcoerce_convertz00, BgL_arg2888z00_2244, BgL_arg2889z00_2245); } 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_46, BgL_arg2968z00_1583, BGl_string3186z00zzcoerce_convertz00, BgL_arg2886z00_2242); } } 
{ /* Coerce/convert.scm 118 */
BgL_nodez00_bglt BgL_resz00_1584;
{ /* Coerce/convert.scm 118 */
obj_t BgL_arg2969z00_1585;
BgL_arg2969z00_1585 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_46, 
(((BgL_typez00_bglt)CREF(BgL_toz00_45))->BgL_idz00), 
(obj_t)(BgL_nodez00_47)); 
BgL_resz00_1584 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2969z00_1585), BUNSPEC, BgL_fromz00_44); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_unsafezd2typezd2_1582; 
return 
(obj_t)(BgL_resz00_1584);} }  else 
{ /* Coerce/convert.scm 123 */
obj_t BgL_arg2971z00_1587;
BgL_arg2971z00_1587 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
return 
BGl_typezd2errorzf2locationz20zzcoerce_convertz00(BgL_locz00_46, BgL_arg2971z00_1587, BgL_fromz00_44, BgL_toz00_45);} } } 
}



/* convert! */
BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_48, BgL_typez00_bglt BgL_fromz00_49, BgL_typez00_bglt BgL_toz00_50)
{ AN_OBJECT;
{ /* Coerce/convert.scm 131 */
{ /* Coerce/convert.scm 135 */
BgL_typez00_bglt BgL_toz00_1589;BgL_typez00_bglt BgL_fromz00_1590;
BgL_toz00_1589 = 
BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_50); 
BgL_fromz00_1590 = 
BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_49); 
{ /* Coerce/convert.scm 137 */
bool_t BgL_testz00_3178;
{ /* Coerce/convert.scm 137 */
bool_t BgL_testz00_3179;
{ /* Coerce/convert.scm 137 */
obj_t BgL_auxz00_3182;obj_t BgL_auxz00_3180;
BgL_auxz00_3182 = 
(obj_t)(BgL_toz00_1589); 
BgL_auxz00_3180 = 
(obj_t)(BgL_fromz00_1590); 
BgL_testz00_3179 = 
(BgL_auxz00_3180==BgL_auxz00_3182); } 
if(BgL_testz00_3179)
{ /* Coerce/convert.scm 137 */
BgL_testz00_3178 = ((bool_t)1)
; }  else 
{ /* Coerce/convert.scm 137 */
BgL_testz00_3178 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_1590))->BgL_magiczf3zf3)
; } } 
if(BgL_testz00_3178)
{ /* Coerce/convert.scm 137 */
return BgL_nodez00_48;}  else 
{ /* Coerce/convert.scm 139 */
obj_t BgL_coercerz00_1592;obj_t BgL_locz00_1593;
BgL_coercerz00_1592 = 
BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1590, BgL_toz00_1589); 
BgL_locz00_1593 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_48))->BgL_locz00); 
{ /* Coerce/convert.scm 141 */
bool_t BgL_testz00_3188;
if(
STRUCTP(BgL_coercerz00_1592))
{ /* Coerce/convert.scm 141 */
obj_t BgL_auxz00_3193;obj_t BgL_auxz00_3191;
BgL_auxz00_3193 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_3191 = 
STRUCT_KEY(BgL_coercerz00_1592); 
BgL_testz00_3188 = 
(BgL_auxz00_3191==BgL_auxz00_3193); }  else 
{ /* Coerce/convert.scm 141 */
BgL_testz00_3188 = ((bool_t)0)
; } 
if(BgL_testz00_3188)
{ /* Coerce/convert.scm 141 */
{ 
obj_t BgL_checksz00_1597;obj_t BgL_coercesz00_1598;obj_t BgL_nodez00_1599;
{ /* Coerce/convert.scm 150 */
obj_t BgL_auxz00_3196;
{ /* Coerce/convert.scm 145 */
int BgL_auxz00_3222;
BgL_auxz00_3222 = 
(int)(((long)2)); 
BgL_checksz00_1597 = 
STRUCT_REF(BgL_coercerz00_1592, BgL_auxz00_3222); } 
{ /* Coerce/convert.scm 146 */
int BgL_auxz00_3225;
BgL_auxz00_3225 = 
(int)(((long)3)); 
BgL_coercesz00_1598 = 
STRUCT_REF(BgL_coercerz00_1592, BgL_auxz00_3225); } 
BgL_nodez00_1599 = 
(obj_t)(BgL_nodez00_48); 
BgL_loopz00_1600:
if(
NULLP(BgL_checksz00_1597))
{ /* Coerce/convert.scm 154 */
if(
NULLP(BgL_coercesz00_1598))
{ /* Coerce/convert.scm 155 */
BgL_auxz00_3196 = BgL_nodez00_1599
; }  else 
{ /* Coerce/convert.scm 157 */
obj_t BgL_arg2978z00_1604;obj_t BgL_arg2979z00_1605;
BgL_arg2978z00_1604 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_fromz00_1590)); 
BgL_arg2979z00_1605 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_toz00_1589)); 
BgL_auxz00_3196 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3187z00zzcoerce_convertz00, BgL_arg2978z00_1604, BgL_arg2979z00_1605); } }  else 
{ /* Coerce/convert.scm 154 */
if(
NULLP(BgL_coercesz00_1598))
{ /* Coerce/convert.scm 160 */
{ /* Coerce/convert.scm 161 */
obj_t BgL_arg2982z00_1608;obj_t BgL_arg2983z00_1609;
BgL_arg2982z00_1608 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_fromz00_1590)); 
BgL_arg2983z00_1609 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_toz00_1589)); 
BgL_auxz00_3196 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3187z00zzcoerce_convertz00, BgL_arg2982z00_1608, BgL_arg2983z00_1609); } }  else 
{ /* Coerce/convert.scm 160 */
{ /* Coerce/convert.scm 165 */
obj_t BgL_arg2984z00_1610;obj_t BgL_arg2985z00_1611;obj_t BgL_arg2986z00_1612;
BgL_arg2984z00_1610 = 
CDR(BgL_checksz00_1597); 
BgL_arg2985z00_1611 = 
CDR(BgL_coercesz00_1598); 
BgL_arg2986z00_1612 = 
BGl_makezd2onezd2conversionz00zzcoerce_convertz00(
CAR(BgL_checksz00_1597), BgL_fromz00_1590, BgL_toz00_1589, 
CAR(BgL_checksz00_1597), 
CAR(BgL_coercesz00_1598), BgL_nodez00_1599); 
{ 
obj_t BgL_nodez00_3221;obj_t BgL_coercesz00_3220;obj_t BgL_checksz00_3219;
BgL_checksz00_3219 = BgL_arg2984z00_1610; 
BgL_coercesz00_3220 = BgL_arg2985z00_1611; 
BgL_nodez00_3221 = BgL_arg2986z00_1612; 
BgL_nodez00_1599 = BgL_nodez00_3221; 
BgL_coercesz00_1598 = BgL_coercesz00_3220; 
BgL_checksz00_1597 = BgL_checksz00_3219; 
goto BgL_loopz00_1600;} } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3196);} } }  else 
{ /* Coerce/convert.scm 144 */
obj_t BgL_auxz00_3230;
BgL_auxz00_3230 = 
BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_fromz00_1590, BgL_toz00_1589, BgL_locz00_1593, BgL_nodez00_48); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3230);} } } } } } 
}



/* _convert! */
obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_fromz00_3004, obj_t BgL_toz00_3005)
{ AN_OBJECT;
{ /* Coerce/convert.scm 131 */
{ /* Coerce/convert.scm 131 */
BgL_nodez00_bglt BgL_auxz00_3233;
BgL_auxz00_3233 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_3003), 
(BgL_typez00_bglt)(BgL_fromz00_3004), 
(BgL_typez00_bglt)(BgL_toz00_3005)); 
return 
(obj_t)(BgL_auxz00_3233);} } 
}



/* make-one-conversion */
obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_51, BgL_typez00_bglt BgL_fromz00_52, BgL_typez00_bglt BgL_toz00_53, obj_t BgL_checkopz00_54, obj_t BgL_coerceopz00_55, obj_t BgL_nodez00_56)
{ AN_OBJECT;
{ /* Coerce/convert.scm 183 */
{ /* Coerce/convert.scm 184 */
bool_t BgL_test2991z00_1617;
if(
NULLP(BgL_checkopz00_54))
{ /* Coerce/convert.scm 184 */
BgL_test2991z00_1617 = ((bool_t)1); }  else 
{ /* Coerce/convert.scm 184 */
BgL_test2991z00_1617 = 
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00); } 
if(BgL_test2991z00_1617)
{ /* Coerce/convert.scm 184 */
return 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_55, BgL_nodez00_56, BgL_fromz00_52);}  else 
{ /* Coerce/convert.scm 186 */
bool_t BgL_test2992z00_1618;
BgL_test2992z00_1618 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_fromz00_52), BGl_tclassz00zzobject_classz00); 
if(BgL_test2992z00_1618)
{ /* Coerce/convert.scm 186 */
return 
BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_idzd2fromzd2_51, BgL_fromz00_52, BgL_toz00_53, BgL_checkopz00_54, BgL_coerceopz00_55, BgL_nodez00_56);}  else 
{ /* Coerce/convert.scm 188 */
BgL_nodez00_bglt BgL_auxz00_3248;
BgL_auxz00_3248 = 
BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(BgL_idzd2fromzd2_51, BgL_fromz00_52, BgL_toz00_53, BgL_checkopz00_54, BgL_coerceopz00_55, BgL_nodez00_56); 
return 
(obj_t)(BgL_auxz00_3248);} } } } 
}



/* skip-let-var */
BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_57)
{ AN_OBJECT;
{ /* Coerce/convert.scm 193 */
BGl_skipzd2letzd2varz00zzcoerce_convertz00:
{ /* Coerce/convert.scm 194 */
bool_t BgL_test2994z00_1620;
BgL_test2994z00_1620 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nodez00_57), BGl_letzd2varzd2zzast_nodez00); 
if(BgL_test2994z00_1620)
{ 
BgL_nodez00_bglt BgL_nodez00_3254;
{ /* Coerce/convert.scm 195 */
BgL_letzd2varzd2_bglt BgL_obj2469z00_2279;
BgL_obj2469z00_2279 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_57); 
BgL_nodez00_3254 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2469z00_2279))->BgL_bodyz00); } 
BgL_nodez00_57 = BgL_nodez00_3254; 
goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;}  else 
{ /* Coerce/convert.scm 194 */
return BgL_nodez00_57;} } } 
}



/* make-one-type-conversion */
BgL_nodez00_bglt BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_58, BgL_typez00_bglt BgL_fromz00_59, BgL_typez00_bglt BgL_toz00_60, obj_t BgL_checkzd2opzd2_61, obj_t BgL_coercezd2opzd2_62, obj_t BgL_nodez00_63)
{ AN_OBJECT;
{ /* Coerce/convert.scm 201 */
{ /* Coerce/convert.scm 202 */
obj_t BgL_auxz00_1622;
{ /* Coerce/convert.scm 202 */
obj_t BgL_arg3028z00_1660;
BgL_arg3028z00_1660 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_auxz00_1622 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3028z00_1660); } 
{ /* Coerce/convert.scm 202 */
obj_t BgL_locz00_1623;
{ /* Coerce/convert.scm 203 */
BgL_nodez00_bglt BgL_obj1549z00_2280;
BgL_obj1549z00_2280 = 
(BgL_nodez00_bglt)(BgL_nodez00_63); 
BgL_locz00_1623 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2280))->BgL_locz00); } 
{ /* Coerce/convert.scm 203 */
BgL_nodez00_bglt BgL_lnodez00_1624;
{ /* Coerce/convert.scm 210 */
obj_t BgL_arg3006z00_1638;
{ /* Coerce/convert.scm 210 */
obj_t BgL_arg3007z00_1639;obj_t BgL_arg3008z00_1640;
BgL_arg3007z00_1639 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/convert.scm 211 */
obj_t BgL_arg3009z00_1641;obj_t BgL_arg3010z00_1642;
{ /* Coerce/convert.scm 211 */
obj_t BgL_arg3011z00_1643;
{ /* Coerce/convert.scm 211 */
obj_t BgL_arg3013z00_1645;obj_t BgL_arg3014z00_1646;
{ /* Coerce/convert.scm 211 */
obj_t BgL_arg3015z00_1647;
BgL_arg3015z00_1647 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1622, 
(((BgL_typez00_bglt)CREF(BgL_fromz00_59))->BgL_idz00)); 
BgL_arg3013z00_1645 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3015z00_1647); } 
BgL_arg3014z00_1646 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3011z00_1643 = 
MAKE_PAIR(BgL_arg3013z00_1645, BgL_arg3014z00_1646); } 
BgL_arg3009z00_1641 = 
MAKE_PAIR(BgL_arg3011z00_1643, BNIL); } 
{ /* Coerce/convert.scm 213 */
obj_t BgL_arg3017z00_1649;
{ /* Coerce/convert.scm 213 */
obj_t BgL_arg3019z00_1651;obj_t BgL_arg3020z00_1652;
BgL_arg3019z00_1651 = 
CNST_TABLE_REF(((long)12)); 
{ /* Coerce/convert.scm 213 */
obj_t BgL_arg3021z00_1653;obj_t BgL_arg3022z00_1654;
{ /* Coerce/convert.scm 213 */
obj_t BgL_arg3023z00_1655;
BgL_arg3023z00_1655 = 
MAKE_PAIR(BgL_auxz00_1622, BNIL); 
BgL_arg3021z00_1653 = 
MAKE_PAIR(BgL_checkzd2opzd2_61, BgL_arg3023z00_1655); } 
{ /* Coerce/convert.scm 215 */
obj_t BgL_arg3024z00_1656;
{ /* Coerce/convert.scm 215 */
obj_t BgL_arg3025z00_1657;
BgL_arg3025z00_1657 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1623, 
(((BgL_typez00_bglt)CREF(BgL_toz00_60))->BgL_idz00), BgL_auxz00_1622); 
BgL_arg3024z00_1656 = 
MAKE_PAIR(BgL_arg3025z00_1657, BNIL); } 
BgL_arg3022z00_1654 = 
MAKE_PAIR(BgL_auxz00_1622, BgL_arg3024z00_1656); } 
BgL_arg3020z00_1652 = 
MAKE_PAIR(BgL_arg3021z00_1653, BgL_arg3022z00_1654); } 
BgL_arg3017z00_1649 = 
MAKE_PAIR(BgL_arg3019z00_1651, BgL_arg3020z00_1652); } 
BgL_arg3010z00_1642 = 
MAKE_PAIR(BgL_arg3017z00_1649, BNIL); } 
BgL_arg3008z00_1640 = 
MAKE_PAIR(BgL_arg3009z00_1641, BgL_arg3010z00_1642); } 
BgL_arg3006z00_1638 = 
MAKE_PAIR(BgL_arg3007z00_1639, BgL_arg3008z00_1640); } 
BgL_lnodez00_1624 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3006z00_1638, BgL_locz00_1623); } 
{ /* Coerce/convert.scm 204 */

BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1624); 
{ /* Coerce/convert.scm 218 */
obj_t BgL_varz00_1625;
{ /* Coerce/convert.scm 218 */
obj_t BgL_auxz00_3284;
{ /* Coerce/convert.scm 218 */
obj_t BgL_auxz00_3285;
{ /* Coerce/convert.scm 218 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2283;
BgL_obj2466z00_2283 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1624); 
BgL_auxz00_3285 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2283))->BgL_bindingsz00); } 
BgL_auxz00_3284 = 
CAR(BgL_auxz00_3285); } 
BgL_varz00_1625 = 
CAR(BgL_auxz00_3284); } 
{ /* Coerce/convert.scm 218 */
obj_t BgL_coercezd2appzd2_1626;
{ /* Coerce/convert.scm 221 */
BgL_varz00_bglt BgL_arg3000z00_1632;
{ /* Coerce/convert.scm 221 */
obj_t BgL_arg3001z00_1633;BgL_typez00_bglt BgL_arg3002z00_1634;
BgL_arg3001z00_1633 = BgL_locz00_1623; 
BgL_arg3002z00_1634 = BgL_fromz00_59; 
{ /* Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3166z00_2304;
{ /* Coerce/convert.scm 220 */
BgL_variablez00_bglt BgL_variable1632z00_2288;
{ /* Coerce/convert.scm 223 */
obj_t BgL_auxz00_3290;
BgL_auxz00_3290 = BgL_varz00_1625; 
BgL_variable1632z00_2288 = 
(BgL_variablez00_bglt)(BgL_auxz00_3290); } 
{ /* Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_new1633z00_2289;
{ /* Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3164z00_2295;
{ /* Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_new1635z00_2290;
BgL_new1635z00_2290 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/convert.scm 220 */
long BgL_arg3142z00_2291;
BgL_arg3142z00_2291 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/convert.scm 220 */
BgL_objectz00_bglt BgL_auxz00_3294;
BgL_auxz00_3294 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2290); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3294, BgL_arg3142z00_2291); } } 
{ /* Coerce/convert.scm 220 */
BgL_objectz00_bglt BgL_auxz00_3297;
BgL_auxz00_3297 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2290); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3297, BFALSE); } 
{ /* Coerce/convert.scm 220 */
obj_t BgL_auxz00_3300;
BgL_auxz00_3300 = 
(obj_t)(BgL_new1635z00_2290); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3300); } BUNSPEC; 
BgL_res3164z00_2295 = BgL_new1635z00_2290; } 
BgL_new1633z00_2289 = BgL_res3164z00_2295; } 
{ /* Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3165z00_2303;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2289))->BgL_locz00) = ((obj_t)BgL_arg3001z00_1633), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2289))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3002z00_1634), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2289))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2288), BUNSPEC); 
BgL_res3165z00_2303 = BgL_new1633z00_2289; BgL_res3165z00_2303; } 
BgL_res3166z00_2304 = BgL_new1633z00_2289; } } 
BgL_arg3000z00_1632 = BgL_res3166z00_2304; } } 
BgL_coercezd2appzd2_1626 = 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_62, 
(obj_t)(BgL_arg3000z00_1632), BgL_fromz00_59); } 
{ /* Coerce/convert.scm 219 */
BgL_nodez00_bglt BgL_condnz00_1627;
BgL_condnz00_1627 = 
BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_lnodez00_1624); 
{ /* Coerce/convert.scm 225 */

{ /* Coerce/convert.scm 227 */
BgL_localz00_bglt BgL_obj1254z00_2305;
BgL_obj1254z00_2305 = 
(BgL_localz00_bglt)(BgL_varz00_1625); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_2305))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_59), BUNSPEC); } 
{ /* Coerce/convert.scm 229 */
obj_t BgL_auxz00_3311;
{ /* Coerce/convert.scm 229 */
obj_t BgL_auxz00_3312;
{ /* Coerce/convert.scm 229 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2307;
BgL_obj2466z00_2307 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1624); 
BgL_auxz00_3312 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2307))->BgL_bindingsz00); } 
BgL_auxz00_3311 = 
CAR(BgL_auxz00_3312); } 
SET_CDR(BgL_auxz00_3311, BgL_nodez00_63); } 
{ /* Coerce/convert.scm 230 */
BgL_conditionalz00_bglt BgL_obj2309z00_2311;BgL_nodez00_bglt BgL_val2308z00_2312;
BgL_obj2309z00_2311 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1627); 
BgL_val2308z00_2312 = 
(BgL_nodez00_bglt)(BgL_coercezd2appzd2_1626); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2309z00_2311))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2308z00_2312), BUNSPEC); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* Coerce/convert.scm 233 */
BgL_nodez00_bglt BgL_arg2998z00_1630;
{ /* Coerce/convert.scm 233 */
BgL_nodez00_bglt BgL_auxz00_3320;
{ /* Coerce/convert.scm 233 */
BgL_conditionalz00_bglt BgL_obj2310z00_2313;
BgL_obj2310z00_2313 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1627); 
BgL_auxz00_3320 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2310z00_2313))->BgL_falsez00); } 
BgL_arg2998z00_1630 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_auxz00_3320, BUNSPEC, BgL_fromz00_59); } 
{ /* Coerce/convert.scm 232 */
BgL_conditionalz00_bglt BgL_obj2312z00_2314;
BgL_obj2312z00_2314 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1627); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2312z00_2314))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2998z00_1630), BUNSPEC); } } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BFALSE; 
return BgL_lnodez00_1624;} } } } } } } } } 
}



/* make-one-class-conversion */
obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_64, BgL_typez00_bglt BgL_fromz00_65, BgL_typez00_bglt BgL_toz00_66, obj_t BgL_checkzd2opzd2_67, obj_t BgL_coercezd2opzd2_68, obj_t BgL_nodez00_69)
{ AN_OBJECT;
{ /* Coerce/convert.scm 242 */
{ /* Coerce/convert.scm 243 */
bool_t BgL_test3029z00_1661;
{ /* Coerce/convert.scm 243 */
bool_t BgL_test3085z00_1725;
BgL_test3085z00_1725 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_toz00_66), BGl_tclassz00zzobject_classz00); 
if(BgL_test3085z00_1725)
{ /* Coerce/convert.scm 243 */
BgL_test3029z00_1661 = 
BGl_typezd2subclasszf3z21zzobject_classz00(BgL_fromz00_65, BgL_toz00_66); }  else 
{ /* Coerce/convert.scm 243 */
BgL_test3029z00_1661 = ((bool_t)0); } } 
if(BgL_test3029z00_1661)
{ /* Coerce/convert.scm 243 */
return 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_68, BgL_nodez00_69, BgL_fromz00_65);}  else 
{ /* Coerce/convert.scm 245 */
obj_t BgL_auxz00_1662;
BgL_auxz00_1662 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* Coerce/convert.scm 245 */
obj_t BgL_aux2z00_1663;
BgL_aux2z00_1663 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)13)), BEOA); 
{ /* Coerce/convert.scm 246 */
obj_t BgL_locz00_1664;
{ /* Coerce/convert.scm 247 */
BgL_nodez00_bglt BgL_obj1549z00_2317;
BgL_obj1549z00_2317 = 
(BgL_nodez00_bglt)(BgL_nodez00_69); 
BgL_locz00_1664 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2317))->BgL_locz00); } 
{ /* Coerce/convert.scm 247 */
BgL_nodez00_bglt BgL_lnodez00_1665;
{ /* Coerce/convert.scm 249 */
obj_t BgL_arg3049z00_1689;
{ /* Coerce/convert.scm 249 */
obj_t BgL_arg3050z00_1690;obj_t BgL_arg3051z00_1691;
BgL_arg3050z00_1690 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/convert.scm 250 */
obj_t BgL_arg3052z00_1692;obj_t BgL_arg3053z00_1693;
{ /* Coerce/convert.scm 250 */
obj_t BgL_arg3054z00_1694;
{ /* Coerce/convert.scm 250 */
obj_t BgL_arg3056z00_1696;obj_t BgL_arg3057z00_1697;
{ /* Coerce/convert.scm 250 */
obj_t BgL_arg3058z00_1698;
{ /* Coerce/convert.scm 250 */
obj_t BgL_list3059z00_1699;
{ /* Coerce/convert.scm 250 */
obj_t BgL_arg3060z00_1700;
{ /* Coerce/convert.scm 250 */
obj_t BgL_auxz00_3341;
BgL_auxz00_3341 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3060z00_1700 = 
MAKE_PAIR(BgL_auxz00_3341, BNIL); } 
BgL_list3059z00_1699 = 
MAKE_PAIR(BgL_auxz00_1662, BgL_arg3060z00_1700); } 
BgL_arg3058z00_1698 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3059z00_1699); } 
BgL_arg3056z00_1696 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3058z00_1698); } 
BgL_arg3057z00_1697 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3054z00_1694 = 
MAKE_PAIR(BgL_arg3056z00_1696, BgL_arg3057z00_1697); } 
BgL_arg3052z00_1692 = 
MAKE_PAIR(BgL_arg3054z00_1694, BNIL); } 
{ /* Coerce/convert.scm 251 */
obj_t BgL_arg3061z00_1701;
{ /* Coerce/convert.scm 251 */
obj_t BgL_arg3063z00_1703;obj_t BgL_arg3064z00_1704;
BgL_arg3063z00_1703 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/convert.scm 252 */
obj_t BgL_arg3065z00_1705;obj_t BgL_arg3066z00_1706;
{ /* Coerce/convert.scm 252 */
obj_t BgL_arg3067z00_1707;
{ /* Coerce/convert.scm 252 */
obj_t BgL_arg3069z00_1709;obj_t BgL_arg3070z00_1710;
{ /* Coerce/convert.scm 252 */
obj_t BgL_arg3071z00_1711;
{ /* Coerce/convert.scm 252 */
obj_t BgL_list3072z00_1712;
{ /* Coerce/convert.scm 252 */
obj_t BgL_arg3073z00_1713;
{ /* Coerce/convert.scm 252 */
obj_t BgL_auxz00_3351;
BgL_auxz00_3351 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3073z00_1713 = 
MAKE_PAIR(BgL_auxz00_3351, BNIL); } 
BgL_list3072z00_1712 = 
MAKE_PAIR(BgL_aux2z00_1663, BgL_arg3073z00_1713); } 
BgL_arg3071z00_1711 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3072z00_1712); } 
BgL_arg3069z00_1709 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3071z00_1711); } 
BgL_arg3070z00_1710 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3067z00_1707 = 
MAKE_PAIR(BgL_arg3069z00_1709, BgL_arg3070z00_1710); } 
BgL_arg3065z00_1705 = 
MAKE_PAIR(BgL_arg3067z00_1707, BNIL); } 
{ /* Coerce/convert.scm 253 */
obj_t BgL_arg3074z00_1714;
{ /* Coerce/convert.scm 253 */
obj_t BgL_arg3076z00_1716;obj_t BgL_arg3077z00_1717;
BgL_arg3076z00_1716 = 
CNST_TABLE_REF(((long)12)); 
{ /* Coerce/convert.scm 253 */
obj_t BgL_arg3078z00_1718;obj_t BgL_arg3079z00_1719;
{ /* Coerce/convert.scm 253 */
obj_t BgL_arg3080z00_1720;
BgL_arg3080z00_1720 = 
MAKE_PAIR(BgL_aux2z00_1663, BNIL); 
BgL_arg3078z00_1718 = 
MAKE_PAIR(BgL_checkzd2opzd2_67, BgL_arg3080z00_1720); } 
{ /* Coerce/convert.scm 255 */
obj_t BgL_arg3081z00_1721;
{ /* Coerce/convert.scm 255 */
obj_t BgL_arg3082z00_1722;
BgL_arg3082z00_1722 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1664, 
(((BgL_typez00_bglt)CREF(BgL_toz00_66))->BgL_idz00), BgL_auxz00_1662); 
BgL_arg3081z00_1721 = 
MAKE_PAIR(BgL_arg3082z00_1722, BNIL); } 
BgL_arg3079z00_1719 = 
MAKE_PAIR(BgL_auxz00_1662, BgL_arg3081z00_1721); } 
BgL_arg3077z00_1717 = 
MAKE_PAIR(BgL_arg3078z00_1718, BgL_arg3079z00_1719); } 
BgL_arg3074z00_1714 = 
MAKE_PAIR(BgL_arg3076z00_1716, BgL_arg3077z00_1717); } 
BgL_arg3066z00_1706 = 
MAKE_PAIR(BgL_arg3074z00_1714, BNIL); } 
BgL_arg3064z00_1704 = 
MAKE_PAIR(BgL_arg3065z00_1705, BgL_arg3066z00_1706); } 
BgL_arg3061z00_1701 = 
MAKE_PAIR(BgL_arg3063z00_1703, BgL_arg3064z00_1704); } 
BgL_arg3053z00_1693 = 
MAKE_PAIR(BgL_arg3061z00_1701, BNIL); } 
BgL_arg3051z00_1691 = 
MAKE_PAIR(BgL_arg3052z00_1692, BgL_arg3053z00_1693); } 
BgL_arg3049z00_1689 = 
MAKE_PAIR(BgL_arg3050z00_1690, BgL_arg3051z00_1691); } 
BgL_lnodez00_1665 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3049z00_1689, BgL_locz00_1664); } 
{ /* Coerce/convert.scm 248 */

BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1665); 
{ /* Coerce/convert.scm 258 */
obj_t BgL_varz00_1666;
{ /* Coerce/convert.scm 258 */
obj_t BgL_auxz00_3377;
{ /* Coerce/convert.scm 258 */
obj_t BgL_auxz00_3378;
{ /* Coerce/convert.scm 258 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2319;
BgL_obj2466z00_2319 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1665); 
BgL_auxz00_3378 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2319))->BgL_bindingsz00); } 
BgL_auxz00_3377 = 
CAR(BgL_auxz00_3378); } 
BgL_varz00_1666 = 
CAR(BgL_auxz00_3377); } 
{ /* Coerce/convert.scm 258 */
obj_t BgL_coercezd2appzd2_1667;
{ /* Coerce/convert.scm 261 */
BgL_varz00_bglt BgL_arg3043z00_1683;
{ /* Coerce/convert.scm 261 */
obj_t BgL_arg3044z00_1684;BgL_typez00_bglt BgL_arg3045z00_1685;
BgL_arg3044z00_1684 = BgL_locz00_1664; 
BgL_arg3045z00_1685 = BgL_fromz00_65; 
{ /* Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res3169z00_2340;
{ /* Coerce/convert.scm 260 */
BgL_variablez00_bglt BgL_variable1632z00_2324;
{ /* Coerce/convert.scm 263 */
obj_t BgL_auxz00_3383;
BgL_auxz00_3383 = BgL_varz00_1666; 
BgL_variable1632z00_2324 = 
(BgL_variablez00_bglt)(BgL_auxz00_3383); } 
{ /* Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_new1633z00_2325;
{ /* Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res3167z00_2331;
{ /* Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_new1635z00_2326;
BgL_new1635z00_2326 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/convert.scm 260 */
long BgL_arg3142z00_2327;
BgL_arg3142z00_2327 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/convert.scm 260 */
BgL_objectz00_bglt BgL_auxz00_3387;
BgL_auxz00_3387 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2326); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3387, BgL_arg3142z00_2327); } } 
{ /* Coerce/convert.scm 260 */
BgL_objectz00_bglt BgL_auxz00_3390;
BgL_auxz00_3390 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2326); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3390, BFALSE); } 
{ /* Coerce/convert.scm 260 */
obj_t BgL_auxz00_3393;
BgL_auxz00_3393 = 
(obj_t)(BgL_new1635z00_2326); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3393); } BUNSPEC; 
BgL_res3167z00_2331 = BgL_new1635z00_2326; } 
BgL_new1633z00_2325 = BgL_res3167z00_2331; } 
{ /* Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res3168z00_2339;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2325))->BgL_locz00) = ((obj_t)BgL_arg3044z00_1684), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2325))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3045z00_1685), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2325))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2324), BUNSPEC); 
BgL_res3168z00_2339 = BgL_new1633z00_2325; BgL_res3168z00_2339; } 
BgL_res3169z00_2340 = BgL_new1633z00_2325; } } 
BgL_arg3043z00_1683 = BgL_res3169z00_2340; } } 
BgL_coercezd2appzd2_1667 = 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_68, 
(obj_t)(BgL_arg3043z00_1683), BgL_fromz00_65); } 
{ /* Coerce/convert.scm 259 */
BgL_nodez00_bglt BgL_condnz00_1668;
BgL_condnz00_1668 = 
BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_lnodez00_1665); 
{ /* Coerce/convert.scm 265 */

{ /* Coerce/convert.scm 267 */
BgL_localz00_bglt BgL_obj1254z00_2341;
BgL_obj1254z00_2341 = 
(BgL_localz00_bglt)(BgL_varz00_1666); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_2341))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_65), BUNSPEC); } 
{ /* Coerce/convert.scm 269 */
obj_t BgL_auxz00_3404;
{ /* Coerce/convert.scm 269 */
obj_t BgL_auxz00_3405;
{ /* Coerce/convert.scm 269 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2343;
BgL_obj2466z00_2343 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1665); 
BgL_auxz00_3405 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2343))->BgL_bindingsz00); } 
BgL_auxz00_3404 = 
CAR(BgL_auxz00_3405); } 
SET_CDR(BgL_auxz00_3404, BgL_nodez00_69); } 
{ /* Coerce/convert.scm 270 */
obj_t BgL_binding2z00_1671;
{ /* Coerce/convert.scm 270 */
obj_t BgL_auxz00_3410;
{ /* Coerce/convert.scm 270 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2348;
{ /* Coerce/convert.scm 270 */
BgL_nodez00_bglt BgL_auxz00_3411;
{ /* Coerce/convert.scm 270 */
BgL_letzd2varzd2_bglt BgL_obj2469z00_2347;
BgL_obj2469z00_2347 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1665); 
BgL_auxz00_3411 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2469z00_2347))->BgL_bodyz00); } 
BgL_obj2466z00_2348 = 
(BgL_letzd2varzd2_bglt)(BgL_auxz00_3411); } 
BgL_auxz00_3410 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2348))->BgL_bindingsz00); } 
BgL_binding2z00_1671 = 
CAR(BgL_auxz00_3410); } 
{ /* Coerce/convert.scm 272 */
BgL_castz00_bglt BgL_arg3032z00_1672;
{ /* Coerce/convert.scm 272 */
obj_t BgL_arg3033z00_1673;obj_t BgL_arg3034z00_1674;BgL_varz00_bglt BgL_arg3035z00_1675;
BgL_arg3033z00_1673 = BgL_locz00_1664; 
BgL_arg3034z00_1674 = BGl_za2objza2z00zztype_cachez00; 
{ /* Coerce/convert.scm 275 */
obj_t BgL_arg3036z00_1676;BgL_typez00_bglt BgL_arg3037z00_1677;
BgL_arg3036z00_1676 = BgL_locz00_1664; 
BgL_arg3037z00_1677 = BgL_fromz00_65; 
{ /* Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res3172z00_2368;
{ /* Coerce/convert.scm 274 */
BgL_variablez00_bglt BgL_variable1632z00_2352;
{ /* Coerce/convert.scm 277 */
obj_t BgL_auxz00_3417;
BgL_auxz00_3417 = BgL_varz00_1666; 
BgL_variable1632z00_2352 = 
(BgL_variablez00_bglt)(BgL_auxz00_3417); } 
{ /* Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_new1633z00_2353;
{ /* Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res3170z00_2359;
{ /* Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_new1635z00_2354;
BgL_new1635z00_2354 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/convert.scm 274 */
long BgL_arg3142z00_2355;
BgL_arg3142z00_2355 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/convert.scm 274 */
BgL_objectz00_bglt BgL_auxz00_3421;
BgL_auxz00_3421 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2354); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3421, BgL_arg3142z00_2355); } } 
{ /* Coerce/convert.scm 274 */
BgL_objectz00_bglt BgL_auxz00_3424;
BgL_auxz00_3424 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2354); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3424, BFALSE); } 
{ /* Coerce/convert.scm 274 */
obj_t BgL_auxz00_3427;
BgL_auxz00_3427 = 
(obj_t)(BgL_new1635z00_2354); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3427); } BUNSPEC; 
BgL_res3170z00_2359 = BgL_new1635z00_2354; } 
BgL_new1633z00_2353 = BgL_res3170z00_2359; } 
{ /* Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res3171z00_2367;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2353))->BgL_locz00) = ((obj_t)BgL_arg3036z00_1676), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2353))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3037z00_1677), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2353))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2352), BUNSPEC); 
BgL_res3171z00_2367 = BgL_new1633z00_2353; BgL_res3171z00_2367; } 
BgL_res3172z00_2368 = BgL_new1633z00_2353; } } 
BgL_arg3035z00_1675 = BgL_res3172z00_2368; } } 
{ /* Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res3175z00_2387;
{ /* Coerce/convert.scm 271 */
BgL_typez00_bglt BgL_type2260z00_2370;BgL_nodez00_bglt BgL_arg2261z00_2371;
BgL_type2260z00_2370 = 
(BgL_typez00_bglt)(BgL_arg3034z00_1674); 
BgL_arg2261z00_2371 = 
(BgL_nodez00_bglt)(BgL_arg3035z00_1675); 
{ /* Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_new2262z00_2372;
{ /* Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res3173z00_2378;
{ /* Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_new2264z00_2373;
BgL_new2264z00_2373 = 
((BgL_castz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_castz00_bgl) ))); 
{ /* Coerce/convert.scm 271 */
long BgL_arg3125z00_2374;
BgL_arg3125z00_2374 = 
BGl_classzd2numzd2zz__objectz00(BGl_castz00zzast_nodez00); 
{ /* Coerce/convert.scm 271 */
BgL_objectz00_bglt BgL_auxz00_3437;
BgL_auxz00_3437 = 
(BgL_objectz00_bglt)(BgL_new2264z00_2373); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3437, BgL_arg3125z00_2374); } } 
{ /* Coerce/convert.scm 271 */
BgL_objectz00_bglt BgL_auxz00_3440;
BgL_auxz00_3440 = 
(BgL_objectz00_bglt)(BgL_new2264z00_2373); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3440, BFALSE); } 
{ /* Coerce/convert.scm 271 */
obj_t BgL_auxz00_3443;
BgL_auxz00_3443 = 
(obj_t)(BgL_new2264z00_2373); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3443); } BUNSPEC; 
BgL_res3173z00_2378 = BgL_new2264z00_2373; } 
BgL_new2262z00_2372 = BgL_res3173z00_2378; } 
{ /* Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res3174z00_2386;
((((BgL_castz00_bglt)CREF(BgL_new2262z00_2372))->BgL_locz00) = ((obj_t)BgL_arg3033z00_1673), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2262z00_2372))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2260z00_2370), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2262z00_2372))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2261z00_2371), BUNSPEC); 
BgL_res3174z00_2386 = BgL_new2262z00_2372; BgL_res3174z00_2386; } 
BgL_res3175z00_2387 = BgL_new2262z00_2372; } } 
BgL_arg3032z00_1672 = BgL_res3175z00_2387; } } 
{ /* Coerce/convert.scm 271 */
obj_t BgL_auxz00_3449;
BgL_auxz00_3449 = 
(obj_t)(BgL_arg3032z00_1672); 
SET_CDR(BgL_binding2z00_1671, BgL_auxz00_3449); } } } 
{ /* Coerce/convert.scm 278 */
BgL_conditionalz00_bglt BgL_obj2309z00_2390;BgL_nodez00_bglt BgL_val2308z00_2391;
BgL_obj2309z00_2390 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1668); 
BgL_val2308z00_2391 = 
(BgL_nodez00_bglt)(BgL_coercezd2appzd2_1667); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2309z00_2390))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2308z00_2391), BUNSPEC); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* Coerce/convert.scm 281 */
BgL_nodez00_bglt BgL_arg3041z00_1681;
{ /* Coerce/convert.scm 281 */
BgL_nodez00_bglt BgL_auxz00_3455;
{ /* Coerce/convert.scm 281 */
BgL_conditionalz00_bglt BgL_obj2310z00_2392;
BgL_obj2310z00_2392 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1668); 
BgL_auxz00_3455 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2310z00_2392))->BgL_falsez00); } 
BgL_arg3041z00_1681 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_auxz00_3455, BUNSPEC, BgL_fromz00_65); } 
{ /* Coerce/convert.scm 280 */
BgL_conditionalz00_bglt BgL_obj2312z00_2393;
BgL_obj2312z00_2393 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1668); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2312z00_2393))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3041z00_1681), BUNSPEC); } } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BFALSE; 
return 
(obj_t)(BgL_lnodez00_1665);} } } } } } } } } } } 
}



/* do-convert */
obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t BgL_coercezd2opzd2_70, obj_t BgL_nodez00_71, BgL_typez00_bglt BgL_fromz00_72)
{ AN_OBJECT;
{ /* Coerce/convert.scm 290 */
if(
NULLP(BgL_coercezd2opzd2_70))
{ /* Coerce/convert.scm 293 */
return BgL_nodez00_71;}  else 
{ /* Coerce/convert.scm 295 */
BgL_nodez00_bglt BgL_nnodez00_1727;
{ /* Coerce/convert.scm 295 */
obj_t BgL_arg3105z00_1746;obj_t BgL_arg3106z00_1747;
{ /* Coerce/convert.scm 295 */
obj_t BgL_arg3107z00_1748;
BgL_arg3107z00_1748 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3105z00_1746 = 
MAKE_PAIR(BgL_coercezd2opzd2_70, BgL_arg3107z00_1748); } 
{ /* Coerce/convert.scm 296 */
BgL_nodez00_bglt BgL_obj1549z00_2396;
BgL_obj1549z00_2396 = 
(BgL_nodez00_bglt)(BgL_nodez00_71); 
BgL_arg3106z00_1747 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2396))->BgL_locz00); } 
BgL_nnodez00_1727 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3105z00_1746, BgL_arg3106z00_1747); } 
{ /* Coerce/convert.scm 295 */

{ /* Coerce/convert.scm 305 */
BgL_nodez00_bglt BgL_obj1552z00_2397;
BgL_obj1552z00_2397 = 
(BgL_nodez00_bglt)(BgL_nodez00_71); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2397))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_72), BUNSPEC); } 
{ /* Coerce/convert.scm 308 */
bool_t BgL_test3087z00_1728;
BgL_test3087z00_1728 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nnodez00_1727), BGl_appz00zzast_nodez00); 
if(BgL_test3087z00_1728)
{ /* Coerce/convert.scm 308 */
{ /* Coerce/convert.scm 309 */
obj_t BgL_arg3089z00_1729;
{ /* Coerce/convert.scm 309 */
obj_t BgL_list3090z00_1730;
BgL_list3090z00_1730 = 
MAKE_PAIR(BgL_nodez00_71, BNIL); 
BgL_arg3089z00_1729 = BgL_list3090z00_1730; } 
{ /* Coerce/convert.scm 309 */
BgL_appz00_bglt BgL_obj1727z00_2402;
BgL_obj1727z00_2402 = 
(BgL_appz00_bglt)(BgL_nnodez00_1727); 
((((BgL_appz00_bglt)CREF(BgL_obj1727z00_2402))->BgL_argsz00) = ((obj_t)BgL_arg3089z00_1729), BUNSPEC); } } 
return 
(obj_t)(BgL_nnodez00_1727);}  else 
{ /* Coerce/convert.scm 311 */
bool_t BgL_test3091z00_1731;
BgL_test3091z00_1731 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nnodez00_1727), BGl_letzd2varzd2zzast_nodez00); 
if(BgL_test3091z00_1731)
{ /* Coerce/convert.scm 311 */
{ /* Coerce/convert.scm 312 */
obj_t BgL_bdgsz00_1732;
{ /* Coerce/convert.scm 312 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2405;
BgL_obj2466z00_2405 = 
(BgL_letzd2varzd2_bglt)(BgL_nnodez00_1727); 
BgL_bdgsz00_1732 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2405))->BgL_bindingsz00); } 
{ /* Coerce/convert.scm 313 */
bool_t BgL_testz00_3483;
if(
NULLP(BgL_bdgsz00_1732))
{ /* Coerce/convert.scm 313 */
BgL_testz00_3483 = ((bool_t)1)
; }  else 
{ /* Coerce/convert.scm 313 */
bool_t BgL_testz00_3486;
{ /* Coerce/convert.scm 313 */
obj_t BgL_auxz00_3487;
BgL_auxz00_3487 = 
CDR(BgL_bdgsz00_1732); 
BgL_testz00_3486 = 
NULLP(BgL_auxz00_3487); } 
if(BgL_testz00_3486)
{ /* Coerce/convert.scm 313 */
BgL_testz00_3483 = ((bool_t)0)
; }  else 
{ /* Coerce/convert.scm 313 */
BgL_testz00_3483 = ((bool_t)1)
; } } 
if(BgL_testz00_3483)
{ /* Coerce/convert.scm 314 */
obj_t BgL_arg3095z00_1736;
BgL_arg3095z00_1736 = 
BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_70); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3188z00zzcoerce_convertz00, BGl_string3189z00zzcoerce_convertz00, BgL_arg3095z00_1736);}  else 
{ /* Coerce/convert.scm 313 */
{ /* Coerce/convert.scm 318 */
BgL_localz00_bglt BgL_obj1254z00_2411;
{ /* Coerce/convert.scm 318 */
obj_t BgL_auxz00_3492;
{ /* Coerce/convert.scm 318 */
obj_t BgL_auxz00_3493;
BgL_auxz00_3493 = 
CAR(BgL_bdgsz00_1732); 
BgL_auxz00_3492 = 
CAR(BgL_auxz00_3493); } 
BgL_obj1254z00_2411 = 
(BgL_localz00_bglt)(BgL_auxz00_3492); } 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_2411))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_72), BUNSPEC); } 
{ /* Coerce/convert.scm 319 */
obj_t BgL_auxz00_3498;
BgL_auxz00_3498 = 
CAR(BgL_bdgsz00_1732); 
SET_CDR(BgL_auxz00_3498, BgL_nodez00_71); } 
return 
(obj_t)(BgL_nnodez00_1727);} } } }  else 
{ /* Coerce/convert.scm 311 */
{ /* Coerce/convert.scm 322 */
obj_t BgL_arg3104z00_1745;
BgL_arg3104z00_1745 = 
BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_70); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3188z00zzcoerce_convertz00, BGl_string3189z00zzcoerce_convertz00, BgL_arg3104z00_1745);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* Coerce/convert.scm 16 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
{ AN_OBJECT;
{ /* Coerce/convert.scm 16 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_coercionz00(((long)58068), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "coerce_convert"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "coerce_convert");} 
}

