/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_coercez12zd2funcall2658zc0zzcoerce_funcallz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_funcallz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
static obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
static BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_localz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern long bgl_list_length(obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 17 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2863z00zzcoerce_funcallz00, BgL_bgl_coerceza712za7d2funcall2658za7c0za7za7coerce_funcallza7002869z00, BGl_coercez12zd2funcall2658zc0zzcoerce_funcallz00, 0L, 3 );
DEFINE_STRING( BGl_string2864z00zzcoerce_funcallz00, BgL_bgl_string2864za700za7za7coerce_funcallza7002870z00, "correct-arity? if let ::int len fun (light elight) dummy __eoa__ _ quote failure __error error/location @ begin location ", 121 );
DEFINE_STRING( BGl_string2862z00zzcoerce_funcallz00, BgL_bgl_string2862za700za7za7coerce_funcallza7002871z00, ":Wrong number of arguments", 26 );
extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long BgL_checksumz00_2455, char * BgL_fromz00_2456)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00(); 
BGl_cnstzd2initzd2zzcoerce_funcallz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00(); 
BGl_methodzd2initzd2zzcoerce_funcallz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* Coerce/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "coerce_funcall"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* Coerce/funcall.scm 15 */
{ /* Coerce/funcall.scm 15 */
obj_t BgL_cportz00_2448;
BgL_cportz00_2448 = 
open_input_string(BGl_string2864z00zzcoerce_funcallz00); 
{ 
long BgL_iz00_2449;
BgL_iz00_2449 = ((long)16); 
BgL_loopz00_2450:
if(
(BgL_iz00_2449==((long)-1)))
{ /* Coerce/funcall.scm 15 */
return BUNSPEC;}  else 
{ /* Coerce/funcall.scm 15 */
{ /* Coerce/funcall.scm 15 */
obj_t BgL_arg2866z00_2452;
{ /* Coerce/funcall.scm 15 */
obj_t BgL_list2867z00_2453;
BgL_list2867z00_2453 = 
MAKE_PAIR(BgL_cportz00_2448, BNIL); 
BgL_arg2866z00_2452 = 
BGl_readz00zz__readerz00(BgL_list2867z00_2453); } 
{ /* Coerce/funcall.scm 15 */
int BgL_auxz00_2473;
BgL_auxz00_2473 = 
(int)(BgL_iz00_2449); 
CNST_TABLE_SET(BgL_auxz00_2473, BgL_arg2866z00_2452); } } 
{ 
long BgL_iz00_2476;
{ /* Coerce/funcall.scm 15 */
int BgL_auxz00_2477;
{ /* Coerce/funcall.scm 15 */
long BgL_auxz00_2478;
BgL_auxz00_2478 = 
(BgL_iz00_2449-((long)1)); 
BgL_auxz00_2477 = 
(int)(BgL_auxz00_2478); } 
BgL_iz00_2476 = 
(long)(BgL_auxz00_2477); } 
BgL_iz00_2449 = BgL_iz00_2476; 
goto BgL_loopz00_2450;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* Coerce/funcall.scm 15 */
return BUNSPEC;} 
}



/* make-error-node */
BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_localz00_bglt BgL_funz00_18, obj_t BgL_errorzd2msgzd2_19, obj_t BgL_locz00_20, obj_t BgL_callerz00_21, obj_t BgL_toz00_22)
{ AN_OBJECT;
{ /* Coerce/funcall.scm 83 */
{ /* Coerce/funcall.scm 84 */
obj_t BgL_utz00_1255;
BgL_utz00_1255 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* Coerce/funcall.scm 86 */
BgL_nodez00_bglt BgL_nodez00_1256;
{ /* Coerce/funcall.scm 88 */
BgL_nodez00_bglt BgL_arg2668z00_1257;
{ /* Coerce/funcall.scm 88 */
obj_t BgL_arg2669z00_1258;
{ /* Coerce/funcall.scm 88 */
bool_t BgL_test2670z00_1259;
{ /* Coerce/funcall.scm 88 */
bool_t BgL_test2716z00_1305;
{ /* Coerce/funcall.scm 88 */
bool_t BgL_test2717z00_1306;
{ /* Coerce/funcall.scm 88 */
long BgL_n1z00_1795;
BgL_n1z00_1795 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2717z00_1306 = 
(BgL_n1z00_1795>((long)0)); } 
if(BgL_test2717z00_1306)
{ /* Coerce/funcall.scm 88 */
BgL_test2716z00_1305 = ((bool_t)1); }  else 
{ /* Coerce/funcall.scm 89 */
long BgL_n1z00_1797;
BgL_n1z00_1797 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2716z00_1305 = 
(BgL_n1z00_1797>((long)0)); } } 
if(BgL_test2716z00_1305)
{ /* Coerce/funcall.scm 88 */
if(
STRUCTP(BgL_locz00_20))
{ /* Coerce/funcall.scm 90 */
obj_t BgL_auxz00_2492;obj_t BgL_auxz00_2490;
BgL_auxz00_2492 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2490 = 
STRUCT_KEY(BgL_locz00_20); 
BgL_test2670z00_1259 = 
(BgL_auxz00_2490==BgL_auxz00_2492); }  else 
{ /* Coerce/funcall.scm 90 */
BgL_test2670z00_1259 = ((bool_t)0); } }  else 
{ /* Coerce/funcall.scm 88 */
BgL_test2670z00_1259 = ((bool_t)0); } } 
if(BgL_test2670z00_1259)
{ /* Coerce/funcall.scm 91 */
obj_t BgL_arg2671z00_1260;obj_t BgL_arg2672z00_1261;
BgL_arg2671z00_1260 = 
CNST_TABLE_REF(((long)1)); 
{ /* Coerce/funcall.scm 92 */
obj_t BgL_arg2673z00_1262;obj_t BgL_arg2674z00_1263;
{ /* Coerce/funcall.scm 92 */
obj_t BgL_arg2675z00_1264;obj_t BgL_arg2676z00_1265;
{ /* Coerce/funcall.scm 92 */
obj_t BgL_arg2677z00_1266;obj_t BgL_arg2678z00_1267;
BgL_arg2677z00_1266 = 
CNST_TABLE_REF(((long)2)); 
{ /* Coerce/funcall.scm 92 */
obj_t BgL_arg2679z00_1268;obj_t BgL_arg2680z00_1269;
BgL_arg2679z00_1268 = 
CNST_TABLE_REF(((long)3)); 
{ /* Coerce/funcall.scm 92 */
obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2680z00_1269 = 
MAKE_PAIR(BgL_auxz00_2499, BNIL); } 
BgL_arg2678z00_1267 = 
MAKE_PAIR(BgL_arg2679z00_1268, BgL_arg2680z00_1269); } 
BgL_arg2675z00_1264 = 
MAKE_PAIR(BgL_arg2677z00_1266, BgL_arg2678z00_1267); } 
{ /* Coerce/funcall.scm 94 */
obj_t BgL_arg2681z00_1270;obj_t BgL_arg2682z00_1271;
{ /* Coerce/funcall.scm 94 */
obj_t BgL_arg2683z00_1272;
{ /* Coerce/funcall.scm 94 */
obj_t BgL_arg2685z00_1274;
BgL_arg2685z00_1274 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2683z00_1272 = 
SYMBOL_TO_STRING(BgL_arg2685z00_1274); } 
BgL_arg2681z00_1270 = 
string_append(BgL_arg2683z00_1272, BGl_string2862z00zzcoerce_funcallz00); } 
{ /* Coerce/funcall.scm 98 */
obj_t BgL_arg2686z00_1275;
{ /* Coerce/funcall.scm 98 */
obj_t BgL_arg2687z00_1276;
{ /* Coerce/funcall.scm 98 */
obj_t BgL_arg2688z00_1277;obj_t BgL_arg2689z00_1278;
BgL_arg2688z00_1277 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_20); 
{ /* Coerce/funcall.scm 92 */
obj_t BgL_auxz00_2508;
{ /* Coerce/funcall.scm 99 */
int BgL_auxz00_2509;
BgL_auxz00_2509 = 
(int)(((long)1)); 
BgL_auxz00_2508 = 
STRUCT_REF(BgL_locz00_20, BgL_auxz00_2509); } 
BgL_arg2689z00_1278 = 
MAKE_PAIR(BgL_auxz00_2508, BNIL); } 
BgL_arg2687z00_1276 = 
MAKE_PAIR(BgL_arg2688z00_1277, BgL_arg2689z00_1278); } 
{ /* Coerce/funcall.scm 92 */
obj_t BgL_auxz00_2514;
BgL_auxz00_2514 = 
(obj_t)(BgL_funz00_18); 
BgL_arg2686z00_1275 = 
MAKE_PAIR(BgL_auxz00_2514, BgL_arg2687z00_1276); } } 
BgL_arg2682z00_1271 = 
MAKE_PAIR(BgL_errorzd2msgzd2_19, BgL_arg2686z00_1275); } 
BgL_arg2676z00_1265 = 
MAKE_PAIR(BgL_arg2681z00_1270, BgL_arg2682z00_1271); } 
BgL_arg2673z00_1262 = 
MAKE_PAIR(BgL_arg2675z00_1264, BgL_arg2676z00_1265); } 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2692z00_1281;
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2694z00_1283;obj_t BgL_arg2695z00_1284;
BgL_arg2694z00_1283 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2696z00_1285;obj_t BgL_arg2697z00_1286;
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2698z00_1287;obj_t BgL_arg2699z00_1288;
BgL_arg2698z00_1287 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2522;
BgL_auxz00_2522 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2699z00_1288 = 
MAKE_PAIR(BgL_auxz00_2522, BNIL); } 
BgL_arg2696z00_1285 = 
MAKE_PAIR(BgL_arg2698z00_1287, BgL_arg2699z00_1288); } 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2700z00_1289;obj_t BgL_arg2701z00_1290;
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2702z00_1291;obj_t BgL_arg2703z00_1292;
BgL_arg2702z00_1291 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2527;
BgL_auxz00_2527 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2703z00_1292 = 
MAKE_PAIR(BgL_auxz00_2527, BNIL); } 
BgL_arg2700z00_1289 = 
MAKE_PAIR(BgL_arg2702z00_1291, BgL_arg2703z00_1292); } 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2704z00_1293;
{ /* Coerce/funcall.scm 100 */
obj_t BgL_arg2706z00_1295;obj_t BgL_arg2707z00_1296;
BgL_arg2706z00_1295 = 
CNST_TABLE_REF(((long)6)); 
{ /* Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2532;
BgL_auxz00_2532 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2707z00_1296 = 
MAKE_PAIR(BgL_auxz00_2532, BNIL); } 
BgL_arg2704z00_1293 = 
MAKE_PAIR(BgL_arg2706z00_1295, BgL_arg2707z00_1296); } 
BgL_arg2701z00_1290 = 
MAKE_PAIR(BgL_arg2704z00_1293, BNIL); } 
BgL_arg2697z00_1286 = 
MAKE_PAIR(BgL_arg2700z00_1289, BgL_arg2701z00_1290); } 
BgL_arg2695z00_1284 = 
MAKE_PAIR(BgL_arg2696z00_1285, BgL_arg2697z00_1286); } 
BgL_arg2692z00_1281 = 
MAKE_PAIR(BgL_arg2694z00_1283, BgL_arg2695z00_1284); } 
BgL_arg2674z00_1263 = 
MAKE_PAIR(BgL_arg2692z00_1281, BNIL); } 
BgL_arg2672z00_1261 = 
MAKE_PAIR(BgL_arg2673z00_1262, BgL_arg2674z00_1263); } 
BgL_arg2669z00_1258 = 
MAKE_PAIR(BgL_arg2671z00_1260, BgL_arg2672z00_1261); }  else 
{ /* Coerce/funcall.scm 101 */
obj_t BgL_arg2708z00_1297;obj_t BgL_arg2709z00_1298;
BgL_arg2708z00_1297 = 
CNST_TABLE_REF(((long)5)); 
{ /* Coerce/funcall.scm 102 */
obj_t BgL_arg2710z00_1299;obj_t BgL_arg2711z00_1300;
{ /* Coerce/funcall.scm 102 */
obj_t BgL_arg2712z00_1301;
{ /* Coerce/funcall.scm 102 */
obj_t BgL_arg2714z00_1303;
BgL_arg2714z00_1303 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2712z00_1301 = 
SYMBOL_TO_STRING(BgL_arg2714z00_1303); } 
BgL_arg2710z00_1299 = 
string_append(BgL_arg2712z00_1301, BGl_string2862z00zzcoerce_funcallz00); } 
{ /* Coerce/funcall.scm 101 */
obj_t BgL_arg2715z00_1304;
{ /* Coerce/funcall.scm 101 */
obj_t BgL_auxz00_2547;
BgL_auxz00_2547 = 
(obj_t)(BgL_funz00_18); 
BgL_arg2715z00_1304 = 
MAKE_PAIR(BgL_auxz00_2547, BNIL); } 
BgL_arg2711z00_1300 = 
MAKE_PAIR(BgL_errorzd2msgzd2_19, BgL_arg2715z00_1304); } 
BgL_arg2709z00_1298 = 
MAKE_PAIR(BgL_arg2710z00_1299, BgL_arg2711z00_1300); } 
BgL_arg2669z00_1258 = 
MAKE_PAIR(BgL_arg2708z00_1297, BgL_arg2709z00_1298); } } 
BgL_arg2668z00_1257 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2669z00_1258, BgL_locz00_20); } 
BgL_nodez00_1256 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg2668z00_1257, BgL_callerz00_21, 
(BgL_typez00_bglt)(BgL_toz00_22)); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_utz00_1255; 
return BgL_nodez00_1256;} } } 
}



/* coerce-funcall-args! */
obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt BgL_nodez00_23, obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
{ AN_OBJECT;
{ /* Coerce/funcall.scm 115 */
{ /* Coerce/funcall.scm 116 */
bool_t BgL_testz00_2556;
{ /* Coerce/funcall.scm 116 */
obj_t BgL_auxz00_2557;
BgL_auxz00_2557 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00); 
BgL_testz00_2556 = 
NULLP(BgL_auxz00_2557); } 
if(BgL_testz00_2556)
{ /* Coerce/funcall.scm 118 */
obj_t BgL_arg2719z00_1308;
{ /* Coerce/funcall.scm 118 */
BgL_nodez00_bglt BgL_arg2720z00_1309;
{ /* Coerce/funcall.scm 117 */
obj_t BgL_auxz00_2560;
{ /* Coerce/funcall.scm 119 */
BgL_nodez00_bglt BgL_obj1549z00_1813;
BgL_obj1549z00_1813 = 
(BgL_nodez00_bglt)(BgL_nodez00_23); 
BgL_auxz00_2560 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1813))->BgL_locz00); } 
BgL_arg2720z00_1309 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)8)), BgL_auxz00_2560); } 
{ /* Coerce/funcall.scm 117 */
obj_t BgL_list2721z00_1310;
{ /* Coerce/funcall.scm 117 */
obj_t BgL_auxz00_2565;
BgL_auxz00_2565 = 
(obj_t)(BgL_arg2720z00_1309); 
BgL_list2721z00_1310 = 
MAKE_PAIR(BgL_auxz00_2565, BNIL); } 
BgL_arg2719z00_1308 = BgL_list2721z00_1310; } } 
return 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00) = ((obj_t)BgL_arg2719z00_1308), BUNSPEC);}  else 
{ 
obj_t BgL_actualsz00_1313;obj_t BgL_prevz00_1314;
BgL_actualsz00_1313 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00); 
BgL_prevz00_1314 = 
CNST_TABLE_REF(((long)9)); 
BgL_loopz00_1315:
if(
NULLP(BgL_actualsz00_1313))
{ /* Coerce/funcall.scm 124 */
obj_t BgL_arg2727z00_1319;
{ /* Coerce/funcall.scm 124 */
BgL_nodez00_bglt BgL_arg2728z00_1320;
{ /* Coerce/funcall.scm 123 */
obj_t BgL_auxz00_2571;
{ /* Coerce/funcall.scm 125 */
BgL_nodez00_bglt BgL_obj1549z00_1820;
BgL_obj1549z00_1820 = 
(BgL_nodez00_bglt)(BgL_nodez00_23); 
BgL_auxz00_2571 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1820))->BgL_locz00); } 
BgL_arg2728z00_1320 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)8)), BgL_auxz00_2571); } 
{ /* Coerce/funcall.scm 123 */
obj_t BgL_list2729z00_1321;
{ /* Coerce/funcall.scm 123 */
obj_t BgL_auxz00_2576;
BgL_auxz00_2576 = 
(obj_t)(BgL_arg2728z00_1320); 
BgL_list2729z00_1321 = 
MAKE_PAIR(BgL_auxz00_2576, BNIL); } 
BgL_arg2727z00_1319 = BgL_list2729z00_1321; } } 
return 
SET_CDR(BgL_prevz00_1314, BgL_arg2727z00_1319);}  else 
{ /* Coerce/funcall.scm 122 */
{ /* Coerce/funcall.scm 127 */
BgL_nodez00_bglt BgL_arg2732z00_1324;
{ /* Coerce/funcall.scm 127 */
BgL_nodez00_bglt BgL_auxz00_2580;
{ /* Coerce/funcall.scm 127 */
obj_t BgL_auxz00_2581;
BgL_auxz00_2581 = 
CAR(BgL_actualsz00_1313); 
BgL_auxz00_2580 = 
(BgL_nodez00_bglt)(BgL_auxz00_2581); } 
BgL_arg2732z00_1324 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_auxz00_2580, BgL_callerz00_24, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Coerce/funcall.scm 127 */
obj_t BgL_auxz00_2586;
BgL_auxz00_2586 = 
(obj_t)(BgL_arg2732z00_1324); 
SET_CAR(BgL_actualsz00_1313, BgL_auxz00_2586); } } 
{ 
obj_t BgL_prevz00_2591;obj_t BgL_actualsz00_2589;
BgL_actualsz00_2589 = 
CDR(BgL_actualsz00_1313); 
BgL_prevz00_2591 = BgL_actualsz00_1313; 
BgL_prevz00_1314 = BgL_prevz00_2591; 
BgL_actualsz00_1313 = BgL_actualsz00_2589; 
goto BgL_loopz00_1315;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* Coerce/funcall.scm 15 */
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00, BGl_proc2863z00zzcoerce_funcallz00);} 
}



/* coerce!-funcall2658 */
obj_t BGl_coercez12zd2funcall2658zc0zzcoerce_funcallz00(obj_t BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_callerz00_2441, obj_t BgL_toz00_2442)
{ AN_OBJECT;
{ /* Coerce/funcall.scm 35 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1713;obj_t BgL_callerz00_1714;obj_t BgL_toz00_1715;
BgL_nodez00_1713 = 
(BgL_funcallz00_bglt)(BgL_nodez00_2440); 
BgL_callerz00_1714 = BgL_callerz00_2441; 
BgL_toz00_1715 = BgL_toz00_2442; 
{ /* Coerce/funcall.scm 37 */
obj_t BgL_errorzd2msgzd2_1718;obj_t BgL_strengthz00_1719;
{ /* Coerce/funcall.scm 37 */
obj_t BgL_arg2832z00_1771;obj_t BgL_arg2833z00_1772;
BgL_arg2832z00_1771 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2833z00_1772 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1713)); 
{ /* Coerce/funcall.scm 37 */
obj_t BgL_list2834z00_1773;
{ /* Coerce/funcall.scm 37 */
obj_t BgL_arg2835z00_1774;
BgL_arg2835z00_1774 = 
MAKE_PAIR(BgL_arg2833z00_1772, BNIL); 
BgL_list2834z00_1773 = 
MAKE_PAIR(BgL_arg2832z00_1771, BgL_arg2835z00_1774); } 
BgL_errorzd2msgzd2_1718 = BgL_list2834z00_1773; } } 
BgL_strengthz00_1719 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1713))->BgL_strengthz00); 
BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1713, BgL_callerz00_1714, BgL_toz00_1715); 
{ /* Coerce/funcall.scm 41 */
bool_t BgL_testz00_2602;
{ /* Coerce/funcall.scm 41 */
obj_t BgL_auxz00_2603;
BgL_auxz00_2603 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_strengthz00_1719, 
CNST_TABLE_REF(((long)10))); 
BgL_testz00_2602 = 
CBOOL(BgL_auxz00_2603); } 
if(BgL_testz00_2602)
{ /* Coerce/funcall.scm 42 */
BgL_nodez00_bglt BgL_auxz00_2607;
BgL_auxz00_2607 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1713), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1715)); 
return 
(obj_t)(BgL_auxz00_2607);}  else 
{ /* Coerce/funcall.scm 44 */
BgL_nodez00_bglt BgL_czd2funzd2_1721;
BgL_czd2funzd2_1721 = 
BGl_coercez12z12zzcoerce_coercez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1713))->BgL_funz00), BgL_callerz00_1714, 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
if(
CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
{ /* Coerce/funcall.scm 46 */
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1713))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_czd2funzd2_1721), BUNSPEC); 
{ /* Coerce/funcall.scm 49 */
BgL_nodez00_bglt BgL_auxz00_2619;
BgL_auxz00_2619 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1713), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1715)); 
return 
(obj_t)(BgL_auxz00_2619);} }  else 
{ /* Coerce/funcall.scm 50 */
BgL_localz00_bglt BgL_funz00_1722;
BgL_funz00_1722 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)11)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* Coerce/funcall.scm 50 */
obj_t BgL_locz00_1723;
{ /* Coerce/funcall.scm 51 */
BgL_nodez00_bglt BgL_obj1549z00_2361;
BgL_obj1549z00_2361 = 
(BgL_nodez00_bglt)(BgL_nodez00_1713); 
BgL_locz00_1723 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2361))->BgL_locz00); } 
{ /* Coerce/funcall.scm 51 */
BgL_atomz00_bglt BgL_lenz00_1724;
{ /* Coerce/funcall.scm 53 */
obj_t BgL_arg2825z00_1764;obj_t BgL_arg2826z00_1765;
BgL_arg2825z00_1764 = BgL_locz00_1723; 
BgL_arg2826z00_1765 = BGl_za2intza2z00zztype_cachez00; 
{ /* Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res2851z00_2383;
{ /* Coerce/funcall.scm 52 */
BgL_typez00_bglt BgL_type1609z00_2366;obj_t BgL_value1610z00_2367;
BgL_type1609z00_2366 = 
(BgL_typez00_bglt)(BgL_arg2826z00_1765); 
{ /* Coerce/funcall.scm 55 */
long BgL_auxz00_2631;
{ /* Coerce/funcall.scm 55 */
long BgL_auxz00_2632;
BgL_auxz00_2632 = 
bgl_list_length(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1713))->BgL_argsz00)); 
BgL_auxz00_2631 = 
(BgL_auxz00_2632-((long)2)); } 
BgL_value1610z00_2367 = 
BINT(BgL_auxz00_2631); } 
{ /* Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_new1611z00_2368;
{ /* Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res2849z00_2374;
{ /* Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_new1613z00_2369;
BgL_new1613z00_2369 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Coerce/funcall.scm 52 */
long BgL_arg2765z00_2370;
BgL_arg2765z00_2370 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Coerce/funcall.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2639;
BgL_auxz00_2639 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2369); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2639, BgL_arg2765z00_2370); } } 
{ /* Coerce/funcall.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2642;
BgL_auxz00_2642 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2369); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2642, BFALSE); } 
{ /* Coerce/funcall.scm 52 */
obj_t BgL_auxz00_2645;
BgL_auxz00_2645 = 
(obj_t)(BgL_new1613z00_2369); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2645); } BUNSPEC; 
BgL_res2849z00_2374 = BgL_new1613z00_2369; } 
BgL_new1611z00_2368 = BgL_res2849z00_2374; } 
{ /* Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res2850z00_2382;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2368))->BgL_locz00) = ((obj_t)BgL_arg2825z00_1764), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2368))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1609z00_2366), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2368))->BgL_valuez00) = ((obj_t)BgL_value1610z00_2367), BUNSPEC); 
BgL_res2850z00_2382 = BgL_new1611z00_2368; BgL_res2850z00_2382; } 
BgL_res2851z00_2383 = BgL_new1611z00_2368; } } 
BgL_lenz00_1724 = BgL_res2851z00_2383; } } 
{ /* Coerce/funcall.scm 52 */
obj_t BgL_azd2lenzd2_1725;
{ /* Coerce/funcall.scm 57 */
obj_t BgL_arg2824z00_1763;
BgL_arg2824z00_1763 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_azd2lenzd2_1725 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2824z00_1763); } 
{ /* Coerce/funcall.scm 57 */
obj_t BgL_azd2tlenzd2_1726;
{ /* Coerce/funcall.scm 59 */
obj_t BgL_arg2821z00_1760;
{ /* Coerce/funcall.scm 59 */
obj_t BgL_list2822z00_1761;
{ /* Coerce/funcall.scm 59 */
obj_t BgL_arg2823z00_1762;
{ /* Coerce/funcall.scm 59 */
obj_t BgL_auxz00_2655;
BgL_auxz00_2655 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2823z00_1762 = 
MAKE_PAIR(BgL_auxz00_2655, BNIL); } 
BgL_list2822z00_1761 = 
MAKE_PAIR(BgL_azd2lenzd2_1725, BgL_arg2823z00_1762); } 
BgL_arg2821z00_1760 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2822z00_1761); } 
BgL_azd2tlenzd2_1726 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2821z00_1760); } 
{ /* Coerce/funcall.scm 58 */
BgL_letzd2varzd2_bglt BgL_lnodez00_1727;
{ /* Coerce/funcall.scm 61 */
obj_t BgL_arg2789z00_1732;obj_t BgL_arg2790z00_1733;obj_t BgL_arg2792z00_1735;BgL_nodez00_bglt BgL_arg2793z00_1736;
BgL_arg2789z00_1732 = BgL_locz00_1723; 
BgL_arg2790z00_1733 = BGl_za2objza2z00zztype_cachez00; 
{ /* Coerce/funcall.scm 63 */
obj_t BgL_arg2795z00_1737;
{ /* Coerce/funcall.scm 63 */
obj_t BgL_auxz00_2663;obj_t BgL_auxz00_2661;
BgL_auxz00_2663 = 
(obj_t)(BgL_czd2funzd2_1721); 
BgL_auxz00_2661 = 
(obj_t)(BgL_funz00_1722); 
BgL_arg2795z00_1737 = 
MAKE_PAIR(BgL_auxz00_2661, BgL_auxz00_2663); } 
{ /* Coerce/funcall.scm 63 */
obj_t BgL_list2796z00_1738;
BgL_list2796z00_1738 = 
MAKE_PAIR(BgL_arg2795z00_1737, BNIL); 
BgL_arg2792z00_1735 = BgL_list2796z00_1738; } } 
{ /* Coerce/funcall.scm 65 */
obj_t BgL_arg2797z00_1739;
{ /* Coerce/funcall.scm 65 */
obj_t BgL_arg2799z00_1740;obj_t BgL_arg2800z00_1741;
BgL_arg2799z00_1740 = 
CNST_TABLE_REF(((long)14)); 
{ /* Coerce/funcall.scm 65 */
obj_t BgL_arg2801z00_1742;obj_t BgL_arg2802z00_1743;
{ /* Coerce/funcall.scm 65 */
obj_t BgL_arg2805z00_1744;
{ /* Coerce/funcall.scm 65 */
obj_t BgL_arg2807z00_1746;
{ /* Coerce/funcall.scm 65 */
obj_t BgL_auxz00_2668;
BgL_auxz00_2668 = 
(obj_t)(BgL_lenz00_1724); 
BgL_arg2807z00_1746 = 
MAKE_PAIR(BgL_auxz00_2668, BNIL); } 
BgL_arg2805z00_1744 = 
MAKE_PAIR(BgL_azd2tlenzd2_1726, BgL_arg2807z00_1746); } 
BgL_arg2801z00_1742 = 
MAKE_PAIR(BgL_arg2805z00_1744, BNIL); } 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_arg2808z00_1747;
{ /* Coerce/funcall.scm 66 */
obj_t BgL_arg2810z00_1749;obj_t BgL_arg2811z00_1750;
BgL_arg2810z00_1749 = 
CNST_TABLE_REF(((long)15)); 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_arg2812z00_1751;obj_t BgL_arg2813z00_1752;
{ /* Coerce/funcall.scm 66 */
obj_t BgL_arg2814z00_1753;obj_t BgL_arg2815z00_1754;
BgL_arg2814z00_1753 = 
CNST_TABLE_REF(((long)16)); 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_arg2816z00_1755;
BgL_arg2816z00_1755 = 
MAKE_PAIR(BgL_azd2lenzd2_1725, BNIL); 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2676;
BgL_auxz00_2676 = 
(obj_t)(BgL_funz00_1722); 
BgL_arg2815z00_1754 = 
MAKE_PAIR(BgL_auxz00_2676, BgL_arg2816z00_1755); } } 
BgL_arg2812z00_1751 = 
MAKE_PAIR(BgL_arg2814z00_1753, BgL_arg2815z00_1754); } 
{ /* Coerce/funcall.scm 67 */
BgL_nodez00_bglt BgL_arg2817z00_1756;obj_t BgL_arg2818z00_1757;
BgL_arg2817z00_1756 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1713), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1715)); 
{ /* Coerce/funcall.scm 68 */
BgL_nodez00_bglt BgL_arg2819z00_1758;
BgL_arg2819z00_1758 = 
BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_funz00_1722, BgL_errorzd2msgzd2_1718, BgL_locz00_1723, BgL_callerz00_1714, BgL_toz00_1715); 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2685;
BgL_auxz00_2685 = 
(obj_t)(BgL_arg2819z00_1758); 
BgL_arg2818z00_1757 = 
MAKE_PAIR(BgL_auxz00_2685, BNIL); } } 
{ /* Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2688;
BgL_auxz00_2688 = 
(obj_t)(BgL_arg2817z00_1756); 
BgL_arg2813z00_1752 = 
MAKE_PAIR(BgL_auxz00_2688, BgL_arg2818z00_1757); } } 
BgL_arg2811z00_1750 = 
MAKE_PAIR(BgL_arg2812z00_1751, BgL_arg2813z00_1752); } 
BgL_arg2808z00_1747 = 
MAKE_PAIR(BgL_arg2810z00_1749, BgL_arg2811z00_1750); } 
BgL_arg2802z00_1743 = 
MAKE_PAIR(BgL_arg2808z00_1747, BNIL); } 
BgL_arg2800z00_1741 = 
MAKE_PAIR(BgL_arg2801z00_1742, BgL_arg2802z00_1743); } 
BgL_arg2797z00_1739 = 
MAKE_PAIR(BgL_arg2799z00_1740, BgL_arg2800z00_1741); } 
BgL_arg2793z00_1736 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2797z00_1739, BgL_locz00_1723); } 
{ /* Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res2855z00_2416;
{ /* Coerce/funcall.scm 60 */
BgL_typez00_bglt BgL_type2492z00_2387;obj_t BgL_key2494z00_2389;
BgL_type2492z00_2387 = 
(BgL_typez00_bglt)(BgL_arg2790z00_1733); 
BgL_key2494z00_2389 = 
BINT(((long)-1)); 
{ /* Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2393;
{ /* Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res2853z00_2399;
{ /* Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2394;
BgL_new2500z00_2394 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Coerce/funcall.scm 60 */
long BgL_arg2741z00_2395;
BgL_arg2741z00_2395 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Coerce/funcall.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2701;
BgL_auxz00_2701 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2394); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2701, BgL_arg2741z00_2395); } } 
{ /* Coerce/funcall.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2704;
BgL_auxz00_2704 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2394); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2704, BFALSE); } 
{ /* Coerce/funcall.scm 60 */
obj_t BgL_auxz00_2707;
BgL_auxz00_2707 = 
(obj_t)(BgL_new2500z00_2394); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2707); } BUNSPEC; 
BgL_res2853z00_2399 = BgL_new2500z00_2394; } 
BgL_new2498z00_2393 = BgL_res2853z00_2399; } 
{ /* Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res2854z00_2415;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_locz00) = ((obj_t)BgL_arg2789z00_1732), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_2387), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2389), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_bindingsz00) = ((obj_t)BgL_arg2792z00_1735), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2793z00_1736), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2393))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2854z00_2415 = BgL_new2498z00_2393; BgL_res2854z00_2415; } 
BgL_res2855z00_2416 = BgL_new2498z00_2393; } } 
BgL_lnodez00_1727 = BgL_res2855z00_2416; } } 
{ /* Coerce/funcall.scm 60 */

{ /* Coerce/funcall.scm 75 */
BgL_varz00_bglt BgL_arg2784z00_1728;
{ /* Coerce/funcall.scm 75 */
obj_t BgL_arg2785z00_1729;obj_t BgL_arg2786z00_1730;
BgL_arg2785z00_1729 = BgL_locz00_1723; 
BgL_arg2786z00_1730 = BGl_za2objza2z00zztype_cachez00; 
{ /* Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res2858z00_2435;
{ /* Coerce/funcall.scm 74 */
BgL_typez00_bglt BgL_type1631z00_2418;BgL_variablez00_bglt BgL_variable1632z00_2419;
BgL_type1631z00_2418 = 
(BgL_typez00_bglt)(BgL_arg2786z00_1730); 
{ /* Coerce/funcall.scm 77 */
BgL_localz00_bglt BgL_auxz00_2718;
BgL_auxz00_2718 = BgL_funz00_1722; 
BgL_variable1632z00_2419 = 
(BgL_variablez00_bglt)(BgL_auxz00_2718); } 
{ /* Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_new1633z00_2420;
{ /* Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res2856z00_2426;
{ /* Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_new1635z00_2421;
BgL_new1635z00_2421 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Coerce/funcall.scm 74 */
long BgL_arg2764z00_2422;
BgL_arg2764z00_2422 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Coerce/funcall.scm 74 */
BgL_objectz00_bglt BgL_auxz00_2722;
BgL_auxz00_2722 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2421); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2722, BgL_arg2764z00_2422); } } 
{ /* Coerce/funcall.scm 74 */
BgL_objectz00_bglt BgL_auxz00_2725;
BgL_auxz00_2725 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2421); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2725, BFALSE); } 
{ /* Coerce/funcall.scm 74 */
obj_t BgL_auxz00_2728;
BgL_auxz00_2728 = 
(obj_t)(BgL_new1635z00_2421); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2728); } BUNSPEC; 
BgL_res2856z00_2426 = BgL_new1635z00_2421; } 
BgL_new1633z00_2420 = BgL_res2856z00_2426; } 
{ /* Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res2857z00_2434;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2420))->BgL_locz00) = ((obj_t)BgL_arg2785z00_1729), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2420))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2418), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2420))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2419), BUNSPEC); 
BgL_res2857z00_2434 = BgL_new1633z00_2420; BgL_res2857z00_2434; } 
BgL_res2858z00_2435 = BgL_new1633z00_2420; } } 
BgL_arg2784z00_1728 = BgL_res2858z00_2435; } } 
{ /* Coerce/funcall.scm 74 */
BgL_nodez00_bglt BgL_val1786z00_2437;
BgL_val1786z00_2437 = 
(BgL_nodez00_bglt)(BgL_arg2784z00_1728); 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1713))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1786z00_2437), BUNSPEC); } } 
return 
(obj_t)(BgL_lnodez00_1727);} } } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* Coerce/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "coerce_funcall"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long)24062), "coerce_funcall");} 
}

