/*===========================================================================*/
/*   (Coerce/typeof.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_typeofz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_typeofzd2letzd2var2705z00zzcoerce_typeofz00(obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_typeofzd2extern2691zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_typeofzd2closure2687zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_typeofzd2setq2695zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_typeofzd2letzd2fun2703z00zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_typeofzd2conditional2697zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_typeofzd2boxzd2ref2713z00zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_typeofzd2setzd2exzd2it2707zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcoerce_typeofz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_typeofzd2sequence2689zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_typeofzd2jumpzd2exzd2it2709zd2zzcoerce_typeofz00(obj_t, obj_t);
static BgL_typez00_bglt BGl_typeofzd2default2678zd2zzcoerce_typeofz00(BgL_nodez00_bglt);
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_typeofz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_typeofzd2atom2681zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_typeofzd2app2721zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__typeofzd2default2678zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcoerce_typeofz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_typeofzd2select2701zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_typeofzd2fail2699zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_typeofzd2makezd2box2711z00zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_typeofzd2kwote2683zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_typeofzd2boxzd2setz122715z12zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl__typeofz00zzcoerce_typeofz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_typeofzd2funcall2719zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_typeofz00 = BUNSPEC;
static obj_t BGl_typeofzd2var2685zd2zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_typeofzd2cast2693zd2zzcoerce_typeofz00(obj_t, obj_t);
extern obj_t BGl_za2magicza2z00zztype_cachez00;
extern BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
static obj_t BGl_typeofzd2appzd2ly2717z00zzcoerce_typeofz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_typeofz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_GENERIC( BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_bgl__typeofza700za7za7coerce_typeofza7002876z00, BGl__typeofz00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2847z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2atom2681za7d2za7za7coerce_typeofza7002877za7, BGl_typeofzd2atom2681zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2848z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2kwote2683za7d2za7za7coerce_typeofza7002878za7, BGl_typeofzd2kwote2683zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2850z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2closure2687za7d2za7za7coerce_typeofza7002879za7, BGl_typeofzd2closure2687zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2849z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2var2685za7d2za7za7coerce_typeofza7002880za7, BGl_typeofzd2var2685zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2851z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2sequence2689za7d2za7za7coerce_typeofza7002881za7, BGl_typeofzd2sequence2689zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2852z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2extern2691za7d2za7za7coerce_typeofza7002882za7, BGl_typeofzd2extern2691zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2853z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2cast2693za7d2za7za7coerce_typeofza7002883za7, BGl_typeofzd2cast2693zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2854z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2setq2695za7d2za7za7coerce_typeofza7002884za7, BGl_typeofzd2setq2695zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2855z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2conditional2697za7d2za7za7coerce_typeofza7002885za7, BGl_typeofzd2conditional2697zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2856z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2fail2699za7d2za7za7coerce_typeofza7002886za7, BGl_typeofzd2fail2699zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2857z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2select2701za7d2za7za7coerce_typeofza7002887za7, BGl_typeofzd2select2701zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2858z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2letza7d2fun2703za700za7za7coerce_typeofza7002888z00, BGl_typeofzd2letzd2fun2703z00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2860z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2setza7d2exza7d2it2707za7d2za7za7coerce_typeofza7002889za7, BGl_typeofzd2setzd2exzd2it2707zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2859z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2letza7d2var2705za700za7za7coerce_typeofza7002890z00, BGl_typeofzd2letzd2var2705z00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2861z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2jumpza7d2exza7d2it2709za7d2za7za7coerce_typeofza7002891za7, BGl_typeofzd2jumpzd2exzd2it2709zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2862z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2makeza7d2box2711za700za7za7coerce_typeofza7002892z00, BGl_typeofzd2makezd2box2711z00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2863z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2boxza7d2ref2713za700za7za7coerce_typeofza7002893z00, BGl_typeofzd2boxzd2ref2713z00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2864z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2boxza7d2setza7122715za712za7za7coerce_typeofza7002894za7, BGl_typeofzd2boxzd2setz122715z12zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2865z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2appza7d2ly2717za700za7za7coerce_typeofza7002895z00, BGl_typeofzd2appzd2ly2717z00zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2866z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2funcall2719za7d2za7za7coerce_typeofza7002896za7, BGl_typeofzd2funcall2719zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2867z00zzcoerce_typeofz00, BgL_bgl_typeofza7d2app2721za7d2za7za7coerce_typeofza7002897za7, BGl_typeofzd2app2721zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_typeofzd2default2678zd2envz00zzcoerce_typeofz00, BgL_bgl__typeofza7d2default2678za7d2za7za7coerce_typeofza7002898za7, BGl__typeofzd2default2678zd2zzcoerce_typeofz00, 0L, 1 );
DEFINE_STRING( BGl_string2871z00zzcoerce_typeofz00, BgL_bgl_string2871za700za7za7coerce_typeofza7002899z00, "typeof-default2678 ", 19 );
DEFINE_STRING( BGl_string2870z00zzcoerce_typeofz00, BgL_bgl_string2870za700za7za7coerce_typeofza7002900z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string2869z00zzcoerce_typeofz00, BgL_bgl_string2869za700za7za7coerce_typeofza7002901z00, "Je n'ai pas encore fait ce truc", 31 );
DEFINE_STRING( BGl_string2868z00zzcoerce_typeofz00, BgL_bgl_string2868za700za7za7coerce_typeofza7002902z00, "typeof", 6 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long BgL_checksumz00_2592, char * BgL_fromz00_2593)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_typeofz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_typeofz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_typeofz00(); 
BGl_cnstzd2initzd2zzcoerce_typeofz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_typeofz00(); 
BGl_methodzd2initzd2zzcoerce_typeofz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_typeofz00()
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "coerce_typeof"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_typeofz00()
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
{ /* Coerce/typeof.scm 15 */
obj_t BgL_cportz00_2585;
BgL_cportz00_2585 = 
open_input_string(BGl_string2871z00zzcoerce_typeofz00); 
{ 
long BgL_iz00_2586;
BgL_iz00_2586 = ((long)0); 
BgL_loopz00_2587:
if(
(BgL_iz00_2586==((long)-1)))
{ /* Coerce/typeof.scm 15 */
return BUNSPEC;}  else 
{ /* Coerce/typeof.scm 15 */
{ /* Coerce/typeof.scm 15 */
obj_t BgL_arg2873z00_2589;
{ /* Coerce/typeof.scm 15 */
obj_t BgL_list2874z00_2590;
BgL_list2874z00_2590 = 
MAKE_PAIR(BgL_cportz00_2585, BNIL); 
BgL_arg2873z00_2589 = 
BGl_readz00zz__readerz00(BgL_list2874z00_2590); } 
{ /* Coerce/typeof.scm 15 */
int BgL_auxz00_2609;
BgL_auxz00_2609 = 
(int)(BgL_iz00_2586); 
CNST_TABLE_SET(BgL_auxz00_2609, BgL_arg2873z00_2589); } } 
{ 
long BgL_iz00_2612;
{ /* Coerce/typeof.scm 15 */
int BgL_auxz00_2613;
{ /* Coerce/typeof.scm 15 */
long BgL_auxz00_2614;
BgL_auxz00_2614 = 
(BgL_iz00_2586-((long)1)); 
BgL_auxz00_2613 = 
(int)(BgL_auxz00_2614); } 
BgL_iz00_2612 = 
(long)(BgL_auxz00_2613); } 
BgL_iz00_2586 = BgL_iz00_2612; 
goto BgL_loopz00_2587;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_typeofz00()
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_typeofz00()
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_typeofzd2default2678zd2envz00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_atomz00zzast_nodez00, BGl_proc2847z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_kwotez00zzast_nodez00, BGl_proc2848z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_varz00zzast_nodez00, BGl_proc2849z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_closurez00zzast_nodez00, BGl_proc2850z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_sequencez00zzast_nodez00, BGl_proc2851z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_externz00zzast_nodez00, BGl_proc2852z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_castz00zzast_nodez00, BGl_proc2853z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_setqz00zzast_nodez00, BGl_proc2854z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_conditionalz00zzast_nodez00, BGl_proc2855z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_failz00zzast_nodez00, BGl_proc2856z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_selectz00zzast_nodez00, BGl_proc2857z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2858z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2859z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2860z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2861z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc2862z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc2863z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2864z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2865z00zzcoerce_typeofz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_funcallz00zzast_nodez00, BGl_proc2866z00zzcoerce_typeofz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zzcoerce_typeofz00, BGl_appz00zzast_nodez00, BGl_proc2867z00zzcoerce_typeofz00);} 
}



/* typeof-app2721 */
obj_t BGl_typeofzd2app2721zd2zzcoerce_typeofz00(obj_t BgL_envz00_2541, obj_t BgL_nodez00_2542)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 180 */
{ 
BgL_appz00_bglt BgL_nodez00_1775;
{ /* Coerce/typeof.scm 181 */
BgL_typez00_bglt BgL_auxz00_2640;
BgL_nodez00_1775 = 
(BgL_appz00_bglt)(BgL_nodez00_2542); 
{ /* Coerce/typeof.scm 181 */
BgL_variablez00_bglt BgL_arg2821z00_2485;
{ /* Coerce/typeof.scm 181 */
BgL_varz00_bglt BgL_arg2822z00_2486;
BgL_arg2822z00_2486 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1775))->BgL_funz00); 
BgL_arg2821z00_2485 = 
(((BgL_varz00_bglt)CREF(BgL_arg2822z00_2486))->BgL_variablez00); } 
BgL_auxz00_2640 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2821z00_2485))->BgL_typez00); } 
return 
(obj_t)(BgL_auxz00_2640);} } } 
}



/* typeof-funcall2719 */
obj_t BGl_typeofzd2funcall2719zd2zzcoerce_typeofz00(obj_t BgL_envz00_2543, obj_t BgL_nodez00_2544)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 174 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1770;
BgL_nodez00_1770 = 
(BgL_funcallz00_bglt)(BgL_nodez00_2544); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-app-ly2717 */
obj_t BGl_typeofzd2appzd2ly2717z00zzcoerce_typeofz00(obj_t BgL_envz00_2545, obj_t BgL_nodez00_2546)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 168 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1765;
BgL_nodez00_1765 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_2546); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-box-set!2715 */
obj_t BGl_typeofzd2boxzd2setz122715z12zzcoerce_typeofz00(obj_t BgL_envz00_2547, obj_t BgL_nodez00_2548)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 162 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1760;
BgL_nodez00_1760 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_2548); 
return BGl_za2unspecza2z00zztype_cachez00;} } 
}



/* typeof-box-ref2713 */
obj_t BGl_typeofzd2boxzd2ref2713z00zzcoerce_typeofz00(obj_t BgL_envz00_2549, obj_t BgL_nodez00_2550)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 156 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1755;
BgL_nodez00_1755 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_2550); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-make-box2711 */
obj_t BGl_typeofzd2makezd2box2711z00zzcoerce_typeofz00(obj_t BgL_envz00_2551, obj_t BgL_nodez00_2552)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 150 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1750;
BgL_nodez00_1750 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_2552); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-jump-ex-it2709 */
obj_t BGl_typeofzd2jumpzd2exzd2it2709zd2zzcoerce_typeofz00(obj_t BgL_envz00_2553, obj_t BgL_nodez00_2554)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 144 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1745;
BgL_nodez00_1745 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_2554); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-set-ex-it2707 */
obj_t BGl_typeofzd2setzd2exzd2it2707zd2zzcoerce_typeofz00(obj_t BgL_envz00_2555, obj_t BgL_nodez00_2556)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 138 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1740;
BgL_nodez00_1740 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_2556); 
return BGl_za2objza2z00zztype_cachez00;} } 
}



/* typeof-let-var2705 */
obj_t BGl_typeofzd2letzd2var2705z00zzcoerce_typeofz00(obj_t BgL_envz00_2557, obj_t BgL_nodez00_2558)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 131 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1733;
{ /* Coerce/typeof.scm 132 */
BgL_typez00_bglt BgL_auxz00_2653;
BgL_nodez00_1733 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_2558); 
{ /* Coerce/typeof.scm 132 */
BgL_nodez00_bglt BgL_arg2812z00_2455;
BgL_arg2812z00_2455 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1733))->BgL_bodyz00); 
{ /* Coerce/typeof.scm 132 */
BgL_typez00_bglt BgL_res2844z00_2483;
{ /* Coerce/typeof.scm 132 */
obj_t BgL_method2679z00_2458;
{ /* Coerce/typeof.scm 132 */
long BgL_objzd2classzd2numz00_2460;
{ /* Coerce/typeof.scm 132 */
BgL_objectz00_bglt BgL_auxz00_2655;
BgL_auxz00_2655 = 
(BgL_objectz00_bglt)(BgL_arg2812z00_2455); 
BgL_objzd2classzd2numz00_2460 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2655); } 
{ /* Coerce/typeof.scm 132 */
obj_t BgL_arg1221z00_2461;
{ /* Coerce/typeof.scm 132 */
int BgL_auxz00_2658;
BgL_auxz00_2658 = 
(int)(((long)1)); 
BgL_arg1221z00_2461 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2658); } 
{ /* Coerce/typeof.scm 132 */
long BgL_offsetz00_2465;
{ /* Coerce/typeof.scm 132 */
long BgL_auxz00_2661;
{ /* Coerce/typeof.scm 132 */
int BgL_auxz00_2662;
BgL_auxz00_2662 = 
(int)(BgL_objzd2classzd2numz00_2460); 
BgL_auxz00_2661 = 
(long)(BgL_auxz00_2662); } 
BgL_offsetz00_2465 = 
(BgL_auxz00_2661-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 132 */
long BgL_modz00_2466;
{ /* Coerce/typeof.scm 132 */
long BgL_auxz00_2666;
{ /* Coerce/typeof.scm 132 */
int BgL_auxz00_2667;
BgL_auxz00_2667 = 
(int)(((long)8)); 
BgL_auxz00_2666 = 
(long)(BgL_auxz00_2667); } 
BgL_modz00_2466 = 
(BgL_offsetz00_2465/BgL_auxz00_2666); } 
{ /* Coerce/typeof.scm 132 */
long BgL_restz00_2468;
{ /* Coerce/typeof.scm 132 */
long BgL_auxz00_2671;
{ /* Coerce/typeof.scm 132 */
int BgL_auxz00_2672;
BgL_auxz00_2672 = 
(int)(((long)8)); 
BgL_auxz00_2671 = 
(long)(BgL_auxz00_2672); } 
BgL_restz00_2468 = 
(BgL_offsetz00_2465%BgL_auxz00_2671); } 
{ /* Coerce/typeof.scm 132 */

{ /* Coerce/typeof.scm 132 */
obj_t BgL_bucketz00_2470;
{ /* Coerce/typeof.scm 132 */
int BgL_kz00_2480;
BgL_kz00_2480 = 
(int)(BgL_modz00_2466); 
BgL_bucketz00_2470 = 
VECTOR_REF(BgL_arg1221z00_2461,BgL_kz00_2480); } 
{ /* Coerce/typeof.scm 132 */
int BgL_kz00_2482;
BgL_kz00_2482 = 
(int)(BgL_restz00_2468); 
BgL_method2679z00_2458 = 
VECTOR_REF(BgL_bucketz00_2470,BgL_kz00_2482); } } } } } } } } 
{ /* Coerce/typeof.scm 132 */
obj_t BgL_auxz00_2680;
BgL_auxz00_2680 = 
PROCEDURE_ENTRY(BgL_method2679z00_2458)(BgL_method2679z00_2458, 
(obj_t)(BgL_arg2812z00_2455), BEOA); 
BgL_res2844z00_2483 = 
(BgL_typez00_bglt)(BgL_auxz00_2680); } } 
BgL_auxz00_2653 = BgL_res2844z00_2483; } } 
return 
(obj_t)(BgL_auxz00_2653);} } } 
}



/* typeof-let-fun2703 */
obj_t BGl_typeofzd2letzd2fun2703z00zzcoerce_typeofz00(obj_t BgL_envz00_2559, obj_t BgL_nodez00_2560)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 124 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1726;
{ /* Coerce/typeof.scm 125 */
BgL_typez00_bglt BgL_auxz00_2687;
BgL_nodez00_1726 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_2560); 
{ /* Coerce/typeof.scm 125 */
BgL_nodez00_bglt BgL_arg2810z00_2425;
BgL_arg2810z00_2425 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1726))->BgL_bodyz00); 
{ /* Coerce/typeof.scm 125 */
BgL_typez00_bglt BgL_res2841z00_2453;
{ /* Coerce/typeof.scm 125 */
obj_t BgL_method2679z00_2428;
{ /* Coerce/typeof.scm 125 */
long BgL_objzd2classzd2numz00_2430;
{ /* Coerce/typeof.scm 125 */
BgL_objectz00_bglt BgL_auxz00_2689;
BgL_auxz00_2689 = 
(BgL_objectz00_bglt)(BgL_arg2810z00_2425); 
BgL_objzd2classzd2numz00_2430 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2689); } 
{ /* Coerce/typeof.scm 125 */
obj_t BgL_arg1221z00_2431;
{ /* Coerce/typeof.scm 125 */
int BgL_auxz00_2692;
BgL_auxz00_2692 = 
(int)(((long)1)); 
BgL_arg1221z00_2431 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2692); } 
{ /* Coerce/typeof.scm 125 */
long BgL_offsetz00_2435;
{ /* Coerce/typeof.scm 125 */
long BgL_auxz00_2695;
{ /* Coerce/typeof.scm 125 */
int BgL_auxz00_2696;
BgL_auxz00_2696 = 
(int)(BgL_objzd2classzd2numz00_2430); 
BgL_auxz00_2695 = 
(long)(BgL_auxz00_2696); } 
BgL_offsetz00_2435 = 
(BgL_auxz00_2695-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 125 */
long BgL_modz00_2436;
{ /* Coerce/typeof.scm 125 */
long BgL_auxz00_2700;
{ /* Coerce/typeof.scm 125 */
int BgL_auxz00_2701;
BgL_auxz00_2701 = 
(int)(((long)8)); 
BgL_auxz00_2700 = 
(long)(BgL_auxz00_2701); } 
BgL_modz00_2436 = 
(BgL_offsetz00_2435/BgL_auxz00_2700); } 
{ /* Coerce/typeof.scm 125 */
long BgL_restz00_2438;
{ /* Coerce/typeof.scm 125 */
long BgL_auxz00_2705;
{ /* Coerce/typeof.scm 125 */
int BgL_auxz00_2706;
BgL_auxz00_2706 = 
(int)(((long)8)); 
BgL_auxz00_2705 = 
(long)(BgL_auxz00_2706); } 
BgL_restz00_2438 = 
(BgL_offsetz00_2435%BgL_auxz00_2705); } 
{ /* Coerce/typeof.scm 125 */

{ /* Coerce/typeof.scm 125 */
obj_t BgL_bucketz00_2440;
{ /* Coerce/typeof.scm 125 */
int BgL_kz00_2450;
BgL_kz00_2450 = 
(int)(BgL_modz00_2436); 
BgL_bucketz00_2440 = 
VECTOR_REF(BgL_arg1221z00_2431,BgL_kz00_2450); } 
{ /* Coerce/typeof.scm 125 */
int BgL_kz00_2452;
BgL_kz00_2452 = 
(int)(BgL_restz00_2438); 
BgL_method2679z00_2428 = 
VECTOR_REF(BgL_bucketz00_2440,BgL_kz00_2452); } } } } } } } } 
{ /* Coerce/typeof.scm 125 */
obj_t BgL_auxz00_2714;
BgL_auxz00_2714 = 
PROCEDURE_ENTRY(BgL_method2679z00_2428)(BgL_method2679z00_2428, 
(obj_t)(BgL_arg2810z00_2425), BEOA); 
BgL_res2841z00_2453 = 
(BgL_typez00_bglt)(BgL_auxz00_2714); } } 
BgL_auxz00_2687 = BgL_res2841z00_2453; } } 
return 
(obj_t)(BgL_auxz00_2687);} } } 
}



/* typeof-select2701 */
obj_t BGl_typeofzd2select2701zd2zzcoerce_typeofz00(obj_t BgL_envz00_2561, obj_t BgL_nodez00_2562)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 111 */
{ 
BgL_selectz00_bglt BgL_nodez00_1705;
BgL_nodez00_1705 = 
(BgL_selectz00_bglt)(BgL_nodez00_2562); 
{ 
obj_t BgL_clausesz00_1709;BgL_typez00_bglt BgL_typez00_1710;
{ /* Coerce/typeof.scm 113 */
obj_t BgL_arg2795z00_1712;BgL_typez00_bglt BgL_arg2796z00_1713;
{ /* Coerce/typeof.scm 113 */
obj_t BgL_auxz00_2721;
BgL_auxz00_2721 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1705))->BgL_clausesz00); 
BgL_arg2795z00_1712 = 
CDR(BgL_auxz00_2721); } 
{ /* Coerce/typeof.scm 114 */
BgL_typez00_bglt BgL_res2835z00_2392;
{ /* Coerce/typeof.scm 114 */
BgL_nodez00_bglt BgL_nodez00_2366;
{ /* Coerce/typeof.scm 114 */
obj_t BgL_auxz00_2724;
{ /* Coerce/typeof.scm 114 */
obj_t BgL_auxz00_2725;
{ /* Coerce/typeof.scm 114 */
obj_t BgL_auxz00_2726;
BgL_auxz00_2726 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1705))->BgL_clausesz00); 
BgL_auxz00_2725 = 
CAR(BgL_auxz00_2726); } 
BgL_auxz00_2724 = 
CDR(BgL_auxz00_2725); } 
BgL_nodez00_2366 = 
(BgL_nodez00_bglt)(BgL_auxz00_2724); } 
{ /* Coerce/typeof.scm 114 */
obj_t BgL_method2679z00_2367;
{ /* Coerce/typeof.scm 114 */
long BgL_objzd2classzd2numz00_2369;
{ /* Coerce/typeof.scm 114 */
BgL_objectz00_bglt BgL_auxz00_2731;
BgL_auxz00_2731 = 
(BgL_objectz00_bglt)(BgL_nodez00_2366); 
BgL_objzd2classzd2numz00_2369 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2731); } 
{ /* Coerce/typeof.scm 114 */
obj_t BgL_arg1221z00_2370;
{ /* Coerce/typeof.scm 114 */
int BgL_auxz00_2734;
BgL_auxz00_2734 = 
(int)(((long)1)); 
BgL_arg1221z00_2370 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2734); } 
{ /* Coerce/typeof.scm 114 */
long BgL_offsetz00_2374;
{ /* Coerce/typeof.scm 114 */
long BgL_auxz00_2737;
{ /* Coerce/typeof.scm 114 */
int BgL_auxz00_2738;
BgL_auxz00_2738 = 
(int)(BgL_objzd2classzd2numz00_2369); 
BgL_auxz00_2737 = 
(long)(BgL_auxz00_2738); } 
BgL_offsetz00_2374 = 
(BgL_auxz00_2737-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 114 */
long BgL_modz00_2375;
{ /* Coerce/typeof.scm 114 */
long BgL_auxz00_2742;
{ /* Coerce/typeof.scm 114 */
int BgL_auxz00_2743;
BgL_auxz00_2743 = 
(int)(((long)8)); 
BgL_auxz00_2742 = 
(long)(BgL_auxz00_2743); } 
BgL_modz00_2375 = 
(BgL_offsetz00_2374/BgL_auxz00_2742); } 
{ /* Coerce/typeof.scm 114 */
long BgL_restz00_2377;
{ /* Coerce/typeof.scm 114 */
long BgL_auxz00_2747;
{ /* Coerce/typeof.scm 114 */
int BgL_auxz00_2748;
BgL_auxz00_2748 = 
(int)(((long)8)); 
BgL_auxz00_2747 = 
(long)(BgL_auxz00_2748); } 
BgL_restz00_2377 = 
(BgL_offsetz00_2374%BgL_auxz00_2747); } 
{ /* Coerce/typeof.scm 114 */

{ /* Coerce/typeof.scm 114 */
obj_t BgL_bucketz00_2379;
{ /* Coerce/typeof.scm 114 */
int BgL_kz00_2389;
BgL_kz00_2389 = 
(int)(BgL_modz00_2375); 
BgL_bucketz00_2379 = 
VECTOR_REF(BgL_arg1221z00_2370,BgL_kz00_2389); } 
{ /* Coerce/typeof.scm 114 */
int BgL_kz00_2391;
BgL_kz00_2391 = 
(int)(BgL_restz00_2377); 
BgL_method2679z00_2367 = 
VECTOR_REF(BgL_bucketz00_2379,BgL_kz00_2391); } } } } } } } } 
{ /* Coerce/typeof.scm 114 */
obj_t BgL_auxz00_2756;
BgL_auxz00_2756 = 
PROCEDURE_ENTRY(BgL_method2679z00_2367)(BgL_method2679z00_2367, 
(obj_t)(BgL_nodez00_2366), BEOA); 
BgL_res2835z00_2392 = 
(BgL_typez00_bglt)(BgL_auxz00_2756); } } } 
BgL_arg2796z00_1713 = BgL_res2835z00_2392; } 
BgL_clausesz00_1709 = BgL_arg2795z00_1712; 
BgL_typez00_1710 = BgL_arg2796z00_1713; 
BgL_loopz00_1711:
if(
NULLP(BgL_clausesz00_1709))
{ /* Coerce/typeof.scm 115 */
return 
(obj_t)(BgL_typez00_1710);}  else 
{ /* Coerce/typeof.scm 117 */
bool_t BgL_test2803z00_1719;
{ /* Coerce/typeof.scm 117 */
BgL_typez00_bglt BgL_arg2806z00_1721;
{ /* Coerce/typeof.scm 117 */
BgL_typez00_bglt BgL_res2838z00_2422;
{ /* Coerce/typeof.scm 117 */
BgL_nodez00_bglt BgL_nodez00_2396;
{ /* Coerce/typeof.scm 117 */
obj_t BgL_auxz00_2764;
{ /* Coerce/typeof.scm 117 */
obj_t BgL_auxz00_2765;
BgL_auxz00_2765 = 
CAR(BgL_clausesz00_1709); 
BgL_auxz00_2764 = 
CDR(BgL_auxz00_2765); } 
BgL_nodez00_2396 = 
(BgL_nodez00_bglt)(BgL_auxz00_2764); } 
{ /* Coerce/typeof.scm 117 */
obj_t BgL_method2679z00_2397;
{ /* Coerce/typeof.scm 117 */
long BgL_objzd2classzd2numz00_2399;
{ /* Coerce/typeof.scm 117 */
BgL_objectz00_bglt BgL_auxz00_2769;
BgL_auxz00_2769 = 
(BgL_objectz00_bglt)(BgL_nodez00_2396); 
BgL_objzd2classzd2numz00_2399 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2769); } 
{ /* Coerce/typeof.scm 117 */
obj_t BgL_arg1221z00_2400;
{ /* Coerce/typeof.scm 117 */
int BgL_auxz00_2772;
BgL_auxz00_2772 = 
(int)(((long)1)); 
BgL_arg1221z00_2400 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2772); } 
{ /* Coerce/typeof.scm 117 */
long BgL_offsetz00_2404;
{ /* Coerce/typeof.scm 117 */
long BgL_auxz00_2775;
{ /* Coerce/typeof.scm 117 */
int BgL_auxz00_2776;
BgL_auxz00_2776 = 
(int)(BgL_objzd2classzd2numz00_2399); 
BgL_auxz00_2775 = 
(long)(BgL_auxz00_2776); } 
BgL_offsetz00_2404 = 
(BgL_auxz00_2775-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 117 */
long BgL_modz00_2405;
{ /* Coerce/typeof.scm 117 */
long BgL_auxz00_2780;
{ /* Coerce/typeof.scm 117 */
int BgL_auxz00_2781;
BgL_auxz00_2781 = 
(int)(((long)8)); 
BgL_auxz00_2780 = 
(long)(BgL_auxz00_2781); } 
BgL_modz00_2405 = 
(BgL_offsetz00_2404/BgL_auxz00_2780); } 
{ /* Coerce/typeof.scm 117 */
long BgL_restz00_2407;
{ /* Coerce/typeof.scm 117 */
long BgL_auxz00_2785;
{ /* Coerce/typeof.scm 117 */
int BgL_auxz00_2786;
BgL_auxz00_2786 = 
(int)(((long)8)); 
BgL_auxz00_2785 = 
(long)(BgL_auxz00_2786); } 
BgL_restz00_2407 = 
(BgL_offsetz00_2404%BgL_auxz00_2785); } 
{ /* Coerce/typeof.scm 117 */

{ /* Coerce/typeof.scm 117 */
obj_t BgL_bucketz00_2409;
{ /* Coerce/typeof.scm 117 */
int BgL_kz00_2419;
BgL_kz00_2419 = 
(int)(BgL_modz00_2405); 
BgL_bucketz00_2409 = 
VECTOR_REF(BgL_arg1221z00_2400,BgL_kz00_2419); } 
{ /* Coerce/typeof.scm 117 */
int BgL_kz00_2421;
BgL_kz00_2421 = 
(int)(BgL_restz00_2407); 
BgL_method2679z00_2397 = 
VECTOR_REF(BgL_bucketz00_2409,BgL_kz00_2421); } } } } } } } } 
{ /* Coerce/typeof.scm 117 */
obj_t BgL_auxz00_2794;
BgL_auxz00_2794 = 
PROCEDURE_ENTRY(BgL_method2679z00_2397)(BgL_method2679z00_2397, 
(obj_t)(BgL_nodez00_2396), BEOA); 
BgL_res2838z00_2422 = 
(BgL_typez00_bglt)(BgL_auxz00_2794); } } } 
BgL_arg2806z00_1721 = BgL_res2838z00_2422; } 
{ /* Coerce/typeof.scm 117 */
obj_t BgL_auxz00_2801;obj_t BgL_auxz00_2799;
BgL_auxz00_2801 = 
(obj_t)(BgL_typez00_1710); 
BgL_auxz00_2799 = 
(obj_t)(BgL_arg2806z00_1721); 
BgL_test2803z00_1719 = 
(BgL_auxz00_2799==BgL_auxz00_2801); } } 
if(BgL_test2803z00_1719)
{ 
obj_t BgL_clausesz00_2805;
BgL_clausesz00_2805 = 
CDR(BgL_clausesz00_1709); 
BgL_clausesz00_1709 = BgL_clausesz00_2805; 
goto BgL_loopz00_1711;}  else 
{ /* Coerce/typeof.scm 117 */
return BGl_za2objza2z00zztype_cachez00;} } } } } } 
}



/* typeof-fail2699 */
obj_t BGl_typeofzd2fail2699zd2zzcoerce_typeofz00(obj_t BgL_envz00_2563, obj_t BgL_nodez00_2564)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 104 */
{ 
BgL_failz00_bglt BgL_nodez00_1699;
BgL_nodez00_1699 = 
(BgL_failz00_bglt)(BgL_nodez00_2564); 
return BGl_za2magicza2z00zztype_cachez00;} } 
}



/* typeof-conditional2697 */
obj_t BGl_typeofzd2conditional2697zd2zzcoerce_typeofz00(obj_t BgL_envz00_2565, obj_t BgL_nodez00_2566)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 93 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1687;
BgL_nodez00_1687 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_2566); 
{ /* Coerce/typeof.scm 95 */
BgL_typez00_bglt BgL_ttruez00_1691;BgL_typez00_bglt BgL_tfalsez00_1692;
{ /* Coerce/typeof.scm 95 */
BgL_nodez00_bglt BgL_arg2790z00_1695;
BgL_arg2790z00_1695 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1687))->BgL_truez00); 
{ /* Coerce/typeof.scm 95 */
BgL_typez00_bglt BgL_res2829z00_2332;
{ /* Coerce/typeof.scm 95 */
obj_t BgL_method2679z00_2307;
{ /* Coerce/typeof.scm 95 */
long BgL_objzd2classzd2numz00_2309;
{ /* Coerce/typeof.scm 95 */
BgL_objectz00_bglt BgL_auxz00_2810;
BgL_auxz00_2810 = 
(BgL_objectz00_bglt)(BgL_arg2790z00_1695); 
BgL_objzd2classzd2numz00_2309 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2810); } 
{ /* Coerce/typeof.scm 95 */
obj_t BgL_arg1221z00_2310;
{ /* Coerce/typeof.scm 95 */
int BgL_auxz00_2813;
BgL_auxz00_2813 = 
(int)(((long)1)); 
BgL_arg1221z00_2310 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2813); } 
{ /* Coerce/typeof.scm 95 */
long BgL_offsetz00_2314;
{ /* Coerce/typeof.scm 95 */
long BgL_auxz00_2816;
{ /* Coerce/typeof.scm 95 */
int BgL_auxz00_2817;
BgL_auxz00_2817 = 
(int)(BgL_objzd2classzd2numz00_2309); 
BgL_auxz00_2816 = 
(long)(BgL_auxz00_2817); } 
BgL_offsetz00_2314 = 
(BgL_auxz00_2816-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 95 */
long BgL_modz00_2315;
{ /* Coerce/typeof.scm 95 */
long BgL_auxz00_2821;
{ /* Coerce/typeof.scm 95 */
int BgL_auxz00_2822;
BgL_auxz00_2822 = 
(int)(((long)8)); 
BgL_auxz00_2821 = 
(long)(BgL_auxz00_2822); } 
BgL_modz00_2315 = 
(BgL_offsetz00_2314/BgL_auxz00_2821); } 
{ /* Coerce/typeof.scm 95 */
long BgL_restz00_2317;
{ /* Coerce/typeof.scm 95 */
long BgL_auxz00_2826;
{ /* Coerce/typeof.scm 95 */
int BgL_auxz00_2827;
BgL_auxz00_2827 = 
(int)(((long)8)); 
BgL_auxz00_2826 = 
(long)(BgL_auxz00_2827); } 
BgL_restz00_2317 = 
(BgL_offsetz00_2314%BgL_auxz00_2826); } 
{ /* Coerce/typeof.scm 95 */

{ /* Coerce/typeof.scm 95 */
obj_t BgL_bucketz00_2319;
{ /* Coerce/typeof.scm 95 */
int BgL_kz00_2329;
BgL_kz00_2329 = 
(int)(BgL_modz00_2315); 
BgL_bucketz00_2319 = 
VECTOR_REF(BgL_arg1221z00_2310,BgL_kz00_2329); } 
{ /* Coerce/typeof.scm 95 */
int BgL_kz00_2331;
BgL_kz00_2331 = 
(int)(BgL_restz00_2317); 
BgL_method2679z00_2307 = 
VECTOR_REF(BgL_bucketz00_2319,BgL_kz00_2331); } } } } } } } } 
{ /* Coerce/typeof.scm 95 */
obj_t BgL_auxz00_2835;
BgL_auxz00_2835 = 
PROCEDURE_ENTRY(BgL_method2679z00_2307)(BgL_method2679z00_2307, 
(obj_t)(BgL_arg2790z00_1695), BEOA); 
BgL_res2829z00_2332 = 
(BgL_typez00_bglt)(BgL_auxz00_2835); } } 
BgL_ttruez00_1691 = BgL_res2829z00_2332; } } 
{ /* Coerce/typeof.scm 96 */
BgL_nodez00_bglt BgL_arg2791z00_1696;
BgL_arg2791z00_1696 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1687))->BgL_falsez00); 
{ /* Coerce/typeof.scm 96 */
BgL_typez00_bglt BgL_res2832z00_2360;
{ /* Coerce/typeof.scm 96 */
obj_t BgL_method2679z00_2335;
{ /* Coerce/typeof.scm 96 */
long BgL_objzd2classzd2numz00_2337;
{ /* Coerce/typeof.scm 96 */
BgL_objectz00_bglt BgL_auxz00_2841;
BgL_auxz00_2841 = 
(BgL_objectz00_bglt)(BgL_arg2791z00_1696); 
BgL_objzd2classzd2numz00_2337 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2841); } 
{ /* Coerce/typeof.scm 96 */
obj_t BgL_arg1221z00_2338;
{ /* Coerce/typeof.scm 96 */
int BgL_auxz00_2844;
BgL_auxz00_2844 = 
(int)(((long)1)); 
BgL_arg1221z00_2338 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2844); } 
{ /* Coerce/typeof.scm 96 */
long BgL_offsetz00_2342;
{ /* Coerce/typeof.scm 96 */
long BgL_auxz00_2847;
{ /* Coerce/typeof.scm 96 */
int BgL_auxz00_2848;
BgL_auxz00_2848 = 
(int)(BgL_objzd2classzd2numz00_2337); 
BgL_auxz00_2847 = 
(long)(BgL_auxz00_2848); } 
BgL_offsetz00_2342 = 
(BgL_auxz00_2847-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 96 */
long BgL_modz00_2343;
{ /* Coerce/typeof.scm 96 */
long BgL_auxz00_2852;
{ /* Coerce/typeof.scm 96 */
int BgL_auxz00_2853;
BgL_auxz00_2853 = 
(int)(((long)8)); 
BgL_auxz00_2852 = 
(long)(BgL_auxz00_2853); } 
BgL_modz00_2343 = 
(BgL_offsetz00_2342/BgL_auxz00_2852); } 
{ /* Coerce/typeof.scm 96 */
long BgL_restz00_2345;
{ /* Coerce/typeof.scm 96 */
long BgL_auxz00_2857;
{ /* Coerce/typeof.scm 96 */
int BgL_auxz00_2858;
BgL_auxz00_2858 = 
(int)(((long)8)); 
BgL_auxz00_2857 = 
(long)(BgL_auxz00_2858); } 
BgL_restz00_2345 = 
(BgL_offsetz00_2342%BgL_auxz00_2857); } 
{ /* Coerce/typeof.scm 96 */

{ /* Coerce/typeof.scm 96 */
obj_t BgL_bucketz00_2347;
{ /* Coerce/typeof.scm 96 */
int BgL_kz00_2357;
BgL_kz00_2357 = 
(int)(BgL_modz00_2343); 
BgL_bucketz00_2347 = 
VECTOR_REF(BgL_arg1221z00_2338,BgL_kz00_2357); } 
{ /* Coerce/typeof.scm 96 */
int BgL_kz00_2359;
BgL_kz00_2359 = 
(int)(BgL_restz00_2345); 
BgL_method2679z00_2335 = 
VECTOR_REF(BgL_bucketz00_2347,BgL_kz00_2359); } } } } } } } } 
{ /* Coerce/typeof.scm 96 */
obj_t BgL_auxz00_2866;
BgL_auxz00_2866 = 
PROCEDURE_ENTRY(BgL_method2679z00_2335)(BgL_method2679z00_2335, 
(obj_t)(BgL_arg2791z00_1696), BEOA); 
BgL_res2832z00_2360 = 
(BgL_typez00_bglt)(BgL_auxz00_2866); } } 
BgL_tfalsez00_1692 = BgL_res2832z00_2360; } } 
{ /* Coerce/typeof.scm 97 */
bool_t BgL_test2788z00_1693;
{ /* Coerce/typeof.scm 97 */
bool_t BgL_testz00_2871;
{ /* Coerce/typeof.scm 97 */
obj_t BgL_auxz00_2874;obj_t BgL_auxz00_2872;
BgL_auxz00_2874 = 
(obj_t)(BgL_tfalsez00_1692); 
BgL_auxz00_2872 = 
(obj_t)(BgL_ttruez00_1691); 
BgL_testz00_2871 = 
(BgL_auxz00_2872==BgL_auxz00_2874); } 
if(BgL_testz00_2871)
{ /* Coerce/typeof.scm 97 */
BgL_test2788z00_1693 = ((bool_t)1); }  else 
{ /* Coerce/typeof.scm 97 */
obj_t BgL_auxz00_2877;
BgL_auxz00_2877 = 
(obj_t)(BgL_tfalsez00_1692); 
BgL_test2788z00_1693 = 
(BgL_auxz00_2877==BGl_za2magicza2z00zztype_cachez00); } } 
if(BgL_test2788z00_1693)
{ /* Coerce/typeof.scm 97 */
return 
(obj_t)(BgL_ttruez00_1691);}  else 
{ /* Coerce/typeof.scm 97 */
return BGl_za2objza2z00zztype_cachez00;} } } } } 
}



/* typeof-setq2695 */
obj_t BGl_typeofzd2setq2695zd2zzcoerce_typeofz00(obj_t BgL_envz00_2567, obj_t BgL_nodez00_2568)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 87 */
{ 
BgL_setqz00_bglt BgL_nodez00_1682;
BgL_nodez00_1682 = 
(BgL_setqz00_bglt)(BgL_nodez00_2568); 
return BGl_za2unspecza2z00zztype_cachez00;} } 
}



/* typeof-cast2693 */
obj_t BGl_typeofzd2cast2693zd2zzcoerce_typeofz00(obj_t BgL_envz00_2569, obj_t BgL_nodez00_2570)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 80 */
{ 
BgL_castz00_bglt BgL_nodez00_1676;
{ /* Coerce/typeof.scm 81 */
BgL_typez00_bglt BgL_auxz00_2884;
BgL_nodez00_1676 = 
(BgL_castz00_bglt)(BgL_nodez00_2570); 
BgL_auxz00_2884 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1676))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_2884);} } } 
}



/* typeof-extern2691 */
obj_t BGl_typeofzd2extern2691zd2zzcoerce_typeofz00(obj_t BgL_envz00_2571, obj_t BgL_nodez00_2572)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 73 */
{ 
BgL_externz00_bglt BgL_nodez00_1670;
{ /* Coerce/typeof.scm 74 */
BgL_typez00_bglt BgL_auxz00_2888;
BgL_nodez00_1670 = 
(BgL_externz00_bglt)(BgL_nodez00_2572); 
BgL_auxz00_2888 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1670))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_2888);} } } 
}



/* typeof-sequence2689 */
obj_t BGl_typeofzd2sequence2689zd2zzcoerce_typeofz00(obj_t BgL_envz00_2573, obj_t BgL_nodez00_2574)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 66 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1661;
{ /* Coerce/typeof.scm 67 */
BgL_typez00_bglt BgL_auxz00_2892;
BgL_nodez00_1661 = 
(BgL_sequencez00_bglt)(BgL_nodez00_2574); 
{ /* Coerce/typeof.scm 68 */
BgL_typez00_bglt BgL_res2826z00_2300;
{ /* Coerce/typeof.scm 68 */
BgL_nodez00_bglt BgL_nodez00_2274;
{ /* Coerce/typeof.scm 68 */
obj_t BgL_auxz00_2893;
{ /* Coerce/typeof.scm 68 */
obj_t BgL_auxz00_2894;
BgL_auxz00_2894 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1661))->BgL_nodesz00)); 
BgL_auxz00_2893 = 
CAR(BgL_auxz00_2894); } 
BgL_nodez00_2274 = 
(BgL_nodez00_bglt)(BgL_auxz00_2893); } 
{ /* Coerce/typeof.scm 68 */
obj_t BgL_method2679z00_2275;
{ /* Coerce/typeof.scm 68 */
long BgL_objzd2classzd2numz00_2277;
{ /* Coerce/typeof.scm 68 */
BgL_objectz00_bglt BgL_auxz00_2899;
BgL_auxz00_2899 = 
(BgL_objectz00_bglt)(BgL_nodez00_2274); 
BgL_objzd2classzd2numz00_2277 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2899); } 
{ /* Coerce/typeof.scm 68 */
obj_t BgL_arg1221z00_2278;
{ /* Coerce/typeof.scm 68 */
int BgL_auxz00_2902;
BgL_auxz00_2902 = 
(int)(((long)1)); 
BgL_arg1221z00_2278 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2902); } 
{ /* Coerce/typeof.scm 68 */
long BgL_offsetz00_2282;
{ /* Coerce/typeof.scm 68 */
long BgL_auxz00_2905;
{ /* Coerce/typeof.scm 68 */
int BgL_auxz00_2906;
BgL_auxz00_2906 = 
(int)(BgL_objzd2classzd2numz00_2277); 
BgL_auxz00_2905 = 
(long)(BgL_auxz00_2906); } 
BgL_offsetz00_2282 = 
(BgL_auxz00_2905-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 68 */
long BgL_modz00_2283;
{ /* Coerce/typeof.scm 68 */
long BgL_auxz00_2910;
{ /* Coerce/typeof.scm 68 */
int BgL_auxz00_2911;
BgL_auxz00_2911 = 
(int)(((long)8)); 
BgL_auxz00_2910 = 
(long)(BgL_auxz00_2911); } 
BgL_modz00_2283 = 
(BgL_offsetz00_2282/BgL_auxz00_2910); } 
{ /* Coerce/typeof.scm 68 */
long BgL_restz00_2285;
{ /* Coerce/typeof.scm 68 */
long BgL_auxz00_2915;
{ /* Coerce/typeof.scm 68 */
int BgL_auxz00_2916;
BgL_auxz00_2916 = 
(int)(((long)8)); 
BgL_auxz00_2915 = 
(long)(BgL_auxz00_2916); } 
BgL_restz00_2285 = 
(BgL_offsetz00_2282%BgL_auxz00_2915); } 
{ /* Coerce/typeof.scm 68 */

{ /* Coerce/typeof.scm 68 */
obj_t BgL_bucketz00_2287;
{ /* Coerce/typeof.scm 68 */
int BgL_kz00_2297;
BgL_kz00_2297 = 
(int)(BgL_modz00_2283); 
BgL_bucketz00_2287 = 
VECTOR_REF(BgL_arg1221z00_2278,BgL_kz00_2297); } 
{ /* Coerce/typeof.scm 68 */
int BgL_kz00_2299;
BgL_kz00_2299 = 
(int)(BgL_restz00_2285); 
BgL_method2679z00_2275 = 
VECTOR_REF(BgL_bucketz00_2287,BgL_kz00_2299); } } } } } } } } 
{ /* Coerce/typeof.scm 68 */
obj_t BgL_auxz00_2924;
BgL_auxz00_2924 = 
PROCEDURE_ENTRY(BgL_method2679z00_2275)(BgL_method2679z00_2275, 
(obj_t)(BgL_nodez00_2274), BEOA); 
BgL_res2826z00_2300 = 
(BgL_typez00_bglt)(BgL_auxz00_2924); } } } 
BgL_auxz00_2892 = BgL_res2826z00_2300; } 
return 
(obj_t)(BgL_auxz00_2892);} } } 
}



/* typeof-closure2687 */
obj_t BGl_typeofzd2closure2687zd2zzcoerce_typeofz00(obj_t BgL_envz00_2575, obj_t BgL_nodez00_2576)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 60 */
{ 
BgL_closurez00_bglt BgL_nodez00_1656;
BgL_nodez00_1656 = 
(BgL_closurez00_bglt)(BgL_nodez00_2576); 
return BGl_za2procedureza2z00zztype_cachez00;} } 
}



/* typeof-var2685 */
obj_t BGl_typeofzd2var2685zd2zzcoerce_typeofz00(obj_t BgL_envz00_2577, obj_t BgL_nodez00_2578)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 46 */
{ 
BgL_varz00_bglt BgL_nodez00_1642;
BgL_nodez00_1642 = 
(BgL_varz00_bglt)(BgL_nodez00_2578); 
{ /* Coerce/typeof.scm 48 */
BgL_valuez00_bglt BgL_valuez00_1646;
{ /* Coerce/typeof.scm 48 */
BgL_variablez00_bglt BgL_arg2777z00_1653;
BgL_arg2777z00_1653 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1642))->BgL_variablez00); 
BgL_valuez00_1646 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2777z00_1653))->BgL_valuez00); } 
{ /* Coerce/typeof.scm 50 */
bool_t BgL_test2770z00_1647;
BgL_test2770z00_1647 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1646), BGl_sfunz00zzast_varz00); 
if(BgL_test2770z00_1647)
{ /* Coerce/typeof.scm 50 */
return BGl_za2procedureza2z00zztype_cachez00;}  else 
{ /* Coerce/typeof.scm 52 */
bool_t BgL_test2771z00_1648;
BgL_test2771z00_1648 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1646), BGl_cfunz00zzast_varz00); 
if(BgL_test2771z00_1648)
{ /* Coerce/typeof.scm 52 */
{ /* Coerce/typeof.scm 53 */
obj_t BgL_arg2774z00_1651;
BgL_arg2774z00_1651 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1642)); 
FAILURE(BGl_string2868z00zzcoerce_typeofz00,BGl_string2869z00zzcoerce_typeofz00,BgL_arg2774z00_1651);} }  else 
{ /* Coerce/typeof.scm 52 */
{ /* Coerce/typeof.scm 55 */
BgL_variablez00_bglt BgL_arg2775z00_1652;
BgL_arg2775z00_1652 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1642))->BgL_variablez00); 
{ /* Coerce/typeof.scm 55 */
BgL_typez00_bglt BgL_auxz00_2944;
BgL_auxz00_2944 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2775z00_1652))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_2944);} } } } } } } } 
}



/* typeof-kwote2683 */
obj_t BGl_typeofzd2kwote2683zd2zzcoerce_typeofz00(obj_t BgL_envz00_2579, obj_t BgL_nodez00_2580)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 39 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1635;
{ /* Coerce/typeof.scm 40 */
BgL_typez00_bglt BgL_auxz00_2948;
BgL_nodez00_1635 = 
(BgL_kwotez00_bglt)(BgL_nodez00_2580); 
BgL_auxz00_2948 = 
BGl_typeofzd2kwotezd2zztype_typeofz00(
(((BgL_kwotez00_bglt)CREF(BgL_nodez00_1635))->BgL_valuez00)); 
return 
(obj_t)(BgL_auxz00_2948);} } } 
}



/* typeof-atom2681 */
obj_t BGl_typeofzd2atom2681zd2zzcoerce_typeofz00(obj_t BgL_envz00_2581, obj_t BgL_nodez00_2582)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 32 */
{ 
BgL_atomz00_bglt BgL_nodez00_1628;
{ /* Coerce/typeof.scm 33 */
BgL_typez00_bglt BgL_auxz00_2953;
BgL_nodez00_1628 = 
(BgL_atomz00_bglt)(BgL_nodez00_2582); 
BgL_auxz00_2953 = 
BGl_typeofzd2atomzd2zztype_typeofz00(
(((BgL_atomz00_bglt)CREF(BgL_nodez00_1628))->BgL_valuez00)); 
return 
(obj_t)(BgL_auxz00_2953);} } } 
}



/* typeof */
BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 27 */
{ /* Coerce/typeof.scm 27 */
obj_t BgL_method2679z00_2490;
{ /* Coerce/typeof.scm 27 */
long BgL_objzd2classzd2numz00_2492;
{ /* Coerce/typeof.scm 27 */
BgL_objectz00_bglt BgL_auxz00_2958;
BgL_auxz00_2958 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_2492 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2958); } 
{ /* Coerce/typeof.scm 27 */
obj_t BgL_arg1221z00_2493;
{ /* Coerce/typeof.scm 27 */
int BgL_auxz00_2961;
BgL_auxz00_2961 = 
(int)(((long)1)); 
BgL_arg1221z00_2493 = 
PROCEDURE_REF(BGl_typeofzd2envzd2zzcoerce_typeofz00, BgL_auxz00_2961); } 
{ /* Coerce/typeof.scm 27 */
long BgL_offsetz00_2497;
{ /* Coerce/typeof.scm 27 */
long BgL_auxz00_2964;
{ /* Coerce/typeof.scm 27 */
int BgL_auxz00_2965;
BgL_auxz00_2965 = 
(int)(BgL_objzd2classzd2numz00_2492); 
BgL_auxz00_2964 = 
(long)(BgL_auxz00_2965); } 
BgL_offsetz00_2497 = 
(BgL_auxz00_2964-OBJECT_TYPE); } 
{ /* Coerce/typeof.scm 27 */
long BgL_modz00_2498;
{ /* Coerce/typeof.scm 27 */
long BgL_auxz00_2969;
{ /* Coerce/typeof.scm 27 */
int BgL_auxz00_2970;
BgL_auxz00_2970 = 
(int)(((long)8)); 
BgL_auxz00_2969 = 
(long)(BgL_auxz00_2970); } 
BgL_modz00_2498 = 
(BgL_offsetz00_2497/BgL_auxz00_2969); } 
{ /* Coerce/typeof.scm 27 */
long BgL_restz00_2500;
{ /* Coerce/typeof.scm 27 */
long BgL_auxz00_2974;
{ /* Coerce/typeof.scm 27 */
int BgL_auxz00_2975;
BgL_auxz00_2975 = 
(int)(((long)8)); 
BgL_auxz00_2974 = 
(long)(BgL_auxz00_2975); } 
BgL_restz00_2500 = 
(BgL_offsetz00_2497%BgL_auxz00_2974); } 
{ /* Coerce/typeof.scm 27 */

{ /* Coerce/typeof.scm 27 */
obj_t BgL_bucketz00_2502;
{ /* Coerce/typeof.scm 27 */
int BgL_kz00_2512;
BgL_kz00_2512 = 
(int)(BgL_modz00_2498); 
BgL_bucketz00_2502 = 
VECTOR_REF(BgL_arg1221z00_2493,BgL_kz00_2512); } 
{ /* Coerce/typeof.scm 27 */
int BgL_kz00_2514;
BgL_kz00_2514 = 
(int)(BgL_restz00_2500); 
BgL_method2679z00_2490 = 
VECTOR_REF(BgL_bucketz00_2502,BgL_kz00_2514); } } } } } } } } 
{ /* Coerce/typeof.scm 27 */
obj_t BgL_auxz00_2983;
BgL_auxz00_2983 = 
PROCEDURE_ENTRY(BgL_method2679z00_2490)(BgL_method2679z00_2490, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2983);} } } 
}



/* _typeof */
obj_t BGl__typeofz00zzcoerce_typeofz00(obj_t BgL_envz00_2527, obj_t BgL_nodez00_2528)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 27 */
{ /* Coerce/typeof.scm 27 */
BgL_typez00_bglt BgL_auxz00_2988;
BgL_auxz00_2988 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_2528)); 
return 
(obj_t)(BgL_auxz00_2988);} } 
}



/* typeof-default2678 */
BgL_typez00_bglt BGl_typeofzd2default2678zd2zzcoerce_typeofz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
{ 
obj_t BgL_auxz00_2994;obj_t BgL_auxz00_2992;
BgL_auxz00_2994 = 
(obj_t)(BgL_nodez00_2); 
BgL_auxz00_2992 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_2992,BGl_string2870z00zzcoerce_typeofz00,BgL_auxz00_2994);} } 
}



/* _typeof-default2678 */
obj_t BGl__typeofzd2default2678zd2zzcoerce_typeofz00(obj_t BgL_envz00_2583, obj_t BgL_nodez00_2584)
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
{ /* Coerce/typeof.scm 15 */
BgL_typez00_bglt BgL_auxz00_2997;
BgL_auxz00_2997 = 
BGl_typeofzd2default2678zd2zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_2584)); 
return 
(obj_t)(BgL_auxz00_2997);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_typeofz00()
{ AN_OBJECT;
{ /* Coerce/typeof.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)34095), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_typeof"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_typeof"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_typeof");} 
}

