/*===========================================================================*/
/*   (Coerce/walk.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
static obj_t BGl_methodzd2initzd2zzcoerce_walkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__coercezd2walkz12zc0zzcoerce_walkz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_zc3anonymousza32678ze3z83zzcoerce_walkz00(obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcoerce_walkz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long, BgL_variablez00_bglt);
extern obj_t BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
static obj_t __cnst[ 4 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2754z00zzcoerce_walkz00, BgL_bgl_za7c3anonymousza7a32678za7e3za783za7za7coerce_walkza7002763za7, BGl_zc3anonymousza32678ze3z83zzcoerce_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string2758z00zzcoerce_walkz00, BgL_bgl_string2758za700za7za7coerce_walkza7002764z00, "export static coerce pass-started ", 34 );
DEFINE_STRING( BGl_string2757z00zzcoerce_walkz00, BgL_bgl_string2757za700za7za7coerce_walkza7002765z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2756z00zzcoerce_walkz00, BgL_bgl_string2756za700za7za7coerce_walkza7002766z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2755z00zzcoerce_walkz00, BgL_bgl_string2755za700za7za7coerce_walkza7002767z00, " error", 6 );
DEFINE_STRING( BGl_string2753z00zzcoerce_walkz00, BgL_bgl_string2753za700za7za7coerce_walkza7002768z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2752z00zzcoerce_walkz00, BgL_bgl_string2752za700za7za7coerce_walkza7002769z00, "   . ", 5 );
DEFINE_STRING( BGl_string2751z00zzcoerce_walkz00, BgL_bgl_string2751za700za7za7coerce_walkza7002770z00, "Coercions & Checks", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_coercezd2walkz12zd2envz12zzcoerce_walkz00, BgL_bgl__coerceza7d2walkza712za7c0za7za7coerce_walkza7002771z00, BGl__coercezd2walkz12zc0zzcoerce_walkz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long BgL_checksumz00_2178, char * BgL_fromz00_2179)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00(); 
BGl_cnstzd2initzd2zzcoerce_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00()
{ AN_OBJECT;
{ /* Coerce/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "coerce_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_walkz00()
{ AN_OBJECT;
{ /* Coerce/walk.scm 15 */
{ /* Coerce/walk.scm 15 */
obj_t BgL_cportz00_2171;
BgL_cportz00_2171 = 
open_input_string(BGl_string2758z00zzcoerce_walkz00); 
{ 
long BgL_iz00_2172;
BgL_iz00_2172 = ((long)3); 
BgL_loopz00_2173:
if(
(BgL_iz00_2172==((long)-1)))
{ /* Coerce/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Coerce/walk.scm 15 */
{ /* Coerce/walk.scm 15 */
obj_t BgL_arg2760z00_2175;
{ /* Coerce/walk.scm 15 */
obj_t BgL_list2761z00_2176;
BgL_list2761z00_2176 = 
MAKE_PAIR(BgL_cportz00_2171, BNIL); 
BgL_arg2760z00_2175 = 
BGl_readz00zz__readerz00(BgL_list2761z00_2176); } 
{ /* Coerce/walk.scm 15 */
int BgL_auxz00_2196;
BgL_auxz00_2196 = 
(int)(BgL_iz00_2172); 
CNST_TABLE_SET(BgL_auxz00_2196, BgL_arg2760z00_2175); } } 
{ 
long BgL_iz00_2199;
{ /* Coerce/walk.scm 15 */
int BgL_auxz00_2200;
{ /* Coerce/walk.scm 15 */
long BgL_auxz00_2201;
BgL_auxz00_2201 = 
(BgL_iz00_2172-((long)1)); 
BgL_auxz00_2200 = 
(int)(BgL_auxz00_2201); } 
BgL_iz00_2199 = 
(long)(BgL_auxz00_2200); } 
BgL_iz00_2172 = BgL_iz00_2199; 
goto BgL_loopz00_2173;} } } } } 
}



/* coerce-walk! */
obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t BgL_astz00_1)
{ AN_OBJECT;
{ /* Coerce/walk.scm 34 */
{ /* Coerce/walk.scm 35 */
obj_t BgL_list2658z00_1221;
{ /* Coerce/walk.scm 35 */
obj_t BgL_arg2660z00_1223;
{ /* Coerce/walk.scm 35 */
obj_t BgL_arg2662z00_1225;
{ /* Coerce/walk.scm 35 */
obj_t BgL_auxz00_2205;
BgL_auxz00_2205 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2662z00_1225 = 
MAKE_PAIR(BgL_auxz00_2205, BNIL); } 
BgL_arg2660z00_1223 = 
MAKE_PAIR(BGl_string2751z00zzcoerce_walkz00, BgL_arg2662z00_1225); } 
BgL_list2658z00_1221 = 
MAKE_PAIR(BGl_string2752z00zzcoerce_walkz00, BgL_arg2660z00_1223); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2658z00_1221); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2751z00zzcoerce_walkz00; 
{ 
obj_t BgL_hooksz00_1226;obj_t BgL_hnamesz00_1227;
BgL_hooksz00_1226 = BNIL; 
BgL_hnamesz00_1227 = BNIL; 
BgL_loopz00_1228:
if(
NULLP(BgL_hooksz00_1226))
{ /* Coerce/walk.scm 35 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Coerce/walk.scm 35 */
bool_t BgL_test2667z00_1233;
{ /* Coerce/walk.scm 35 */
obj_t BgL_fun2673z00_1239;
BgL_fun2673z00_1239 = 
CAR(BgL_hooksz00_1226); 
{ /* Coerce/walk.scm 35 */
obj_t BgL_auxz00_2217;
BgL_auxz00_2217 = 
PROCEDURE_ENTRY(BgL_fun2673z00_1239)(BgL_fun2673z00_1239, BEOA); 
BgL_test2667z00_1233 = 
CBOOL(BgL_auxz00_2217); } } 
if(BgL_test2667z00_1233)
{ /* Coerce/walk.scm 35 */
{ 
obj_t BgL_hnamesz00_2224;obj_t BgL_hooksz00_2222;
BgL_hooksz00_2222 = 
CDR(BgL_hooksz00_1226); 
BgL_hnamesz00_2224 = 
CDR(BgL_hnamesz00_1227); 
BgL_hnamesz00_1227 = BgL_hnamesz00_2224; 
BgL_hooksz00_1226 = BgL_hooksz00_2222; 
goto BgL_loopz00_1228;} }  else 
{ /* Coerce/walk.scm 35 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2751z00zzcoerce_walkz00, BGl_string2753z00zzcoerce_walkz00, 
CAR(BgL_hnamesz00_1227)); } } } 
{ 
obj_t BgL_l2654z00_1240;
BgL_l2654z00_1240 = BgL_astz00_1; 
BgL_lname2655z00_1241:
if(
PAIRP(BgL_l2654z00_1240))
{ /* Coerce/walk.scm 36 */
{ /* Coerce/walk.scm 37 */
obj_t BgL_globalz00_1243;
BgL_globalz00_1243 = 
CAR(BgL_l2654z00_1240); 
BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00(); 
{ /* Coerce/walk.scm 38 */
obj_t BgL_auxz00_2232;
{ /* Coerce/walk.scm 38 */
BgL_globalz00_bglt BgL_obj1148z00_1676;
BgL_obj1148z00_1676 = 
(BgL_globalz00_bglt)(BgL_globalz00_1243); 
BgL_auxz00_2232 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_1676))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_2232); } 
BGl_coercezd2functionz12zc0zzcoerce_coercez00(
(BgL_variablez00_bglt)(BgL_globalz00_1243)); 
BGl_leavezd2functionzd2zztools_errorz00(); } 
{ 
obj_t BgL_l2654z00_2239;
BgL_l2654z00_2239 = 
CDR(BgL_l2654z00_1240); 
BgL_l2654z00_1240 = BgL_l2654z00_2239; 
goto BgL_lname2655z00_1241;} }  else 
{ /* Coerce/walk.scm 36 */((bool_t)1); } } 
BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00(); 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2754z00zzcoerce_walkz00); 
{ /* Coerce/walk.scm 48 */
obj_t BgL_valuez00_1258;
BgL_valuez00_1258 = 
BGl_removezd2varzd2zzast_removez00(
CNST_TABLE_REF(((long)1)), BgL_astz00_1); 
{ /* Coerce/walk.scm 48 */
bool_t BgL_test2686z00_1259;
{ /* Coerce/walk.scm 48 */
long BgL_n1z00_1682;
BgL_n1z00_1682 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2686z00_1259 = 
(BgL_n1z00_1682>((long)0)); } 
if(BgL_test2686z00_1259)
{ /* Coerce/walk.scm 48 */
{ /* Coerce/walk.scm 48 */
obj_t BgL_list2687z00_1261;
BgL_list2687z00_1261 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2687z00_1261); } 
{ /* Coerce/walk.scm 48 */
obj_t BgL_list2688z00_1262;
BgL_list2688z00_1262 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2755z00zzcoerce_walkz00, BgL_list2688z00_1262); } 
{ /* Coerce/walk.scm 48 */
char * BgL_arg2689z00_1263;
{ /* Coerce/walk.scm 48 */
bool_t BgL_test2691z00_1265;
{ /* Coerce/walk.scm 48 */
bool_t BgL_test2692z00_1266;
{ /* Coerce/walk.scm 48 */
obj_t BgL_objz00_1684;
BgL_objz00_1684 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2692z00_1266 = 
INTEGERP(BgL_objz00_1684); } 
if(BgL_test2692z00_1266)
{ /* Coerce/walk.scm 48 */
BgL_test2691z00_1265 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Coerce/walk.scm 48 */
BgL_test2691z00_1265 = ((bool_t)0); } } 
if(BgL_test2691z00_1265)
{ /* Coerce/walk.scm 48 */
BgL_arg2689z00_1263 = "s"; }  else 
{ /* Coerce/walk.scm 48 */
BgL_arg2689z00_1263 = ""; } } 
{ /* Coerce/walk.scm 48 */
obj_t BgL_list2690z00_1264;
BgL_list2690z00_1264 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2689z00_1263), BgL_list2690z00_1264); } } 
{ /* Coerce/walk.scm 48 */
obj_t BgL_list2693z00_1267;
BgL_list2693z00_1267 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2756z00zzcoerce_walkz00, BgL_list2693z00_1267); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Coerce/walk.scm 48 */
obj_t BgL_list2694z00_1268;
{ /* Coerce/walk.scm 48 */
obj_t BgL_auxz00_2263;
BgL_auxz00_2263 = 
BINT(((long)-1)); 
BgL_list2694z00_1268 = 
MAKE_PAIR(BgL_auxz00_2263, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2694z00_1268);} }  else 
{ 
obj_t BgL_hooksz00_1269;obj_t BgL_hnamesz00_1270;
BgL_hooksz00_1269 = BNIL; 
BgL_hnamesz00_1270 = BNIL; 
BgL_loopz00_1271:
if(
NULLP(BgL_hooksz00_1269))
{ /* Coerce/walk.scm 48 */
return BgL_valuez00_1258;}  else 
{ /* Coerce/walk.scm 48 */
bool_t BgL_test2699z00_1276;
{ /* Coerce/walk.scm 48 */
obj_t BgL_fun2704z00_1281;
BgL_fun2704z00_1281 = 
CAR(BgL_hooksz00_1269); 
{ /* Coerce/walk.scm 48 */
obj_t BgL_auxz00_2270;
BgL_auxz00_2270 = 
PROCEDURE_ENTRY(BgL_fun2704z00_1281)(BgL_fun2704z00_1281, BEOA); 
BgL_test2699z00_1276 = 
CBOOL(BgL_auxz00_2270); } } 
if(BgL_test2699z00_1276)
{ /* Coerce/walk.scm 48 */
{ 
obj_t BgL_hnamesz00_2277;obj_t BgL_hooksz00_2275;
BgL_hooksz00_2275 = 
CDR(BgL_hooksz00_1269); 
BgL_hnamesz00_2277 = 
CDR(BgL_hnamesz00_1270); 
BgL_hnamesz00_1270 = BgL_hnamesz00_2277; 
BgL_hooksz00_1269 = BgL_hooksz00_2275; 
goto BgL_loopz00_1271;} }  else 
{ /* Coerce/walk.scm 48 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2757z00zzcoerce_walkz00, 
CAR(BgL_hnamesz00_1270));} } } } } } 
}



/* _coerce-walk! */
obj_t BGl__coercezd2walkz12zc0zzcoerce_walkz00(obj_t BgL_envz00_2167, obj_t BgL_astz00_2168)
{ AN_OBJECT;
{ /* Coerce/walk.scm 34 */
return 
BGl_coercezd2walkz12zc0zzcoerce_walkz00(BgL_astz00_2168);} 
}



/* <anonymous:2678> */
obj_t BGl_zc3anonymousza32678ze3z83zzcoerce_walkz00(obj_t BgL_envz00_2169, obj_t BgL_globalz00_2170)
{ AN_OBJECT;
{ /* Coerce/walk.scm 43 */
{ 
obj_t BgL_globalz00_1247;
BgL_globalz00_1247 = BgL_globalz00_2170; 
{ /* Coerce/walk.scm 44 */
bool_t BgL_test2679z00_1249;
{ /* Coerce/walk.scm 44 */
bool_t BgL_test2680z00_1250;
{ /* Coerce/walk.scm 44 */
obj_t BgL_auxz00_2282;
{ /* Coerce/walk.scm 44 */
BgL_valuez00_bglt BgL_auxz00_2283;
{ /* Coerce/walk.scm 44 */
BgL_globalz00_bglt BgL_obj1155z00_1678;
BgL_obj1155z00_1678 = 
(BgL_globalz00_bglt)(BgL_globalz00_1247); 
BgL_auxz00_2283 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1678))->BgL_valuez00); } 
BgL_auxz00_2282 = 
(obj_t)(BgL_auxz00_2283); } 
BgL_test2680z00_1250 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2282, BGl_funz00zzast_varz00); } 
if(BgL_test2680z00_1250)
{ /* Coerce/walk.scm 44 */
BgL_test2679z00_1249 = ((bool_t)0); }  else 
{ /* Coerce/walk.scm 45 */
bool_t BgL__ortest_2656z00_1251;
{ /* Coerce/walk.scm 45 */
obj_t BgL_auxz00_2292;obj_t BgL_auxz00_2289;
BgL_auxz00_2292 = 
CNST_TABLE_REF(((long)2)); 
{ /* Coerce/walk.scm 45 */
BgL_globalz00_bglt BgL_obj1173z00_1680;
BgL_obj1173z00_1680 = 
(BgL_globalz00_bglt)(BgL_globalz00_1247); 
BgL_auxz00_2289 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_1680))->BgL_importz00); } 
BgL__ortest_2656z00_1251 = 
(BgL_auxz00_2289==BgL_auxz00_2292); } 
if(BgL__ortest_2656z00_1251)
{ /* Coerce/walk.scm 45 */
BgL_test2679z00_1249 = BgL__ortest_2656z00_1251; }  else 
{ /* Coerce/walk.scm 46 */
obj_t BgL_auxz00_2299;obj_t BgL_auxz00_2296;
BgL_auxz00_2299 = 
CNST_TABLE_REF(((long)3)); 
{ /* Coerce/walk.scm 46 */
BgL_globalz00_bglt BgL_obj1173z00_1681;
BgL_obj1173z00_1681 = 
(BgL_globalz00_bglt)(BgL_globalz00_1247); 
BgL_auxz00_2296 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_1681))->BgL_importz00); } 
BgL_test2679z00_1249 = 
(BgL_auxz00_2296==BgL_auxz00_2299); } } } 
if(BgL_test2679z00_1249)
{ /* Coerce/walk.scm 44 */
return 
BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long)3), 
(BgL_variablez00_bglt)(BgL_globalz00_1247));}  else 
{ /* Coerce/walk.scm 44 */
return BFALSE;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_walkz00()
{ AN_OBJECT;
{ /* Coerce/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00()
{ AN_OBJECT;
{ /* Coerce/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "coerce_walk"); 
BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long)37727), "coerce_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "coerce_walk");} 
}

