/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_spreadzd2sidezd2effectz12zd2letzd2fun2720z12zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2makezd2box2730z12zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2funcall2706zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2extern2708zc0zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2letzd2var2723z12zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static bool_t BGl_spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00(BgL_nodez00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2conditional2714zc0zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2fail2716zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2setzd2exzd2it2725zc0zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl__spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2boxzd2setz122732z00zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2boxzd2ref2734z12zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2var2698zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_spreadzd2sidezd2effectz12zd2select2718zc0zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2cast2710zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2sequence2700zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2jumpzd2exzd2it2727zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_spreadzd2sidezd2effectz12zd2setq2712zc0zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
static obj_t BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00(obj_t, obj_t);
extern bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
static obj_t BGl_spreadzd2sidezd2effectz12zd2appzd2ly2704z12zzeffect_spreadz00(obj_t, obj_t);
static obj_t BGl_spreadzd2sidezd2effectz12zd2app2702zc0zzeffect_spreadz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2933z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2var2698za7c0za7za7effect_spreadza7002956z00, BGl_spreadzd2sidezd2effectz12zd2var2698zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2934z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2sequence2700za7c0za7za7effect_spreadza7002957z00, BGl_spreadzd2sidezd2effectz12zd2sequence2700zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2935z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2app2702za7c0za7za7effect_spreadza7002958z00, BGl_spreadzd2sidezd2effectz12zd2app2702zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2936z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2appza7d2ly2704za712za7za7effect_spreadza7002959za7, BGl_spreadzd2sidezd2effectz12zd2appzd2ly2704z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2937z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2funcall2706za7c0za7za7effect_spreadza7002960z00, BGl_spreadzd2sidezd2effectz12zd2funcall2706zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2938z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2extern2708za7c0za7za7effect_spreadza7002961z00, BGl_spreadzd2sidezd2effectz12zd2extern2708zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2940z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2setq2712za7c0za7za7effect_spreadza7002962z00, BGl_spreadzd2sidezd2effectz12zd2setq2712zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2939z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2cast2710za7c0za7za7effect_spreadza7002963z00, BGl_spreadzd2sidezd2effectz12zd2cast2710zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2941z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2conditional2714za7c0za7za7effect_spreadza7002964z00, BGl_spreadzd2sidezd2effectz12zd2conditional2714zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2942z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2fail2716za7c0za7za7effect_spreadza7002965z00, BGl_spreadzd2sidezd2effectz12zd2fail2716zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2943z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2select2718za7c0za7za7effect_spreadza7002966z00, BGl_spreadzd2sidezd2effectz12zd2select2718zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2944z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2letza7d2fun2720za712za7za7effect_spreadza7002967za7, BGl_spreadzd2sidezd2effectz12zd2letzd2fun2720z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2945z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2letza7d2var2723za712za7za7effect_spreadza7002968za7, BGl_spreadzd2sidezd2effectz12zd2letzd2var2723z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2946z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2setza7d2exza7d2it2725za7c0za7za7effect_spreadza7002969z00, BGl_spreadzd2sidezd2effectz12zd2setzd2exzd2it2725zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2947z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2jumpza7d2exza7d2it2727za7c0za7za7effect_spreadza7002970z00, BGl_spreadzd2sidezd2effectz12zd2jumpzd2exzd2it2727zc0zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2948z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2makeza7d2box2730za712za7za7effect_spreadza7002971za7, BGl_spreadzd2sidezd2effectz12zd2makezd2box2730z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2950z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2boxza7d2ref2734za712za7za7effect_spreadza7002972za7, BGl_spreadzd2sidezd2effectz12zd2boxzd2ref2734z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2949z00zzeffect_spreadz00, BgL_bgl_spreadza7d2sideza7d2effectza712za7d2boxza7d2setza7122732za700za7za7effect_spreadza7002973z00, BGl_spreadzd2sidezd2effectz12zd2boxzd2setz122732z00zzeffect_spreadz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_bgl__spreadza7d2sideza7d2effectza712za712za7za7effect_spreadza7002974za7, BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00, 0L, 1 );
DEFINE_STRING( BGl_string2951z00zzeffect_spreadz00, BgL_bgl_string2951za700za7za7effect_spreadza7002975z00, "read ", 5 );
DEFINE_STATIC_PROCEDURE( BGl_spreadzd2sidezd2effectz12zd2default2695zd2envz12zzeffect_spreadz00, BgL_bgl__spreadza7d2sideza7d2effectza712za7d2default2695za7c0za7za7effect_spreadza7002976z00, BGl__spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long BgL_checksumz00_3105, char * BgL_fromz00_3106)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00(); 
BGl_cnstzd2initzd2zzeffect_spreadz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_spreadz00(); 
BGl_methodzd2initzd2zzeffect_spreadz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_spread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_spread"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
{ /* Effect/spread.scm 15 */
obj_t BgL_cportz00_3098;
BgL_cportz00_3098 = 
open_input_string(BGl_string2951z00zzeffect_spreadz00); 
{ 
long BgL_iz00_3099;
BgL_iz00_3099 = ((long)0); 
BgL_loopz00_3100:
if(
(BgL_iz00_3099==((long)-1)))
{ /* Effect/spread.scm 15 */
return BUNSPEC;}  else 
{ /* Effect/spread.scm 15 */
{ /* Effect/spread.scm 15 */
obj_t BgL_arg2953z00_3102;
{ /* Effect/spread.scm 15 */
obj_t BgL_list2954z00_3103;
BgL_list2954z00_3103 = 
MAKE_PAIR(BgL_cportz00_3098, BNIL); 
BgL_arg2953z00_3102 = 
BGl_readz00zz__readerz00(BgL_list2954z00_3103); } 
{ /* Effect/spread.scm 15 */
int BgL_auxz00_3121;
BgL_auxz00_3121 = 
(int)(BgL_iz00_3099); 
CNST_TABLE_SET(BgL_auxz00_3121, BgL_arg2953z00_3102); } } 
{ 
long BgL_iz00_3124;
{ /* Effect/spread.scm 15 */
int BgL_auxz00_3125;
{ /* Effect/spread.scm 15 */
long BgL_auxz00_3126;
BgL_auxz00_3126 = 
(BgL_iz00_3099-((long)1)); 
BgL_auxz00_3125 = 
(int)(BgL_auxz00_3126); } 
BgL_iz00_3124 = 
(long)(BgL_auxz00_3125); } 
BgL_iz00_3099 = BgL_iz00_3124; 
goto BgL_loopz00_3100;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
return BUNSPEC;} 
}



/* spread-side-effect*! */
bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t BgL_nodeza2za2_21)
{ AN_OBJECT;
{ /* Effect/spread.scm 201 */
{ 
obj_t BgL_nodeza2za2_1241;bool_t BgL_resz00_1242;
BgL_nodeza2za2_1241 = BgL_nodeza2za2_21; 
BgL_resz00_1242 = ((bool_t)0); 
BgL_loopz00_1243:
if(
NULLP(BgL_nodeza2za2_1241))
{ /* Effect/spread.scm 204 */
return BgL_resz00_1242;}  else 
{ /* Effect/spread.scm 206 */
obj_t BgL_arg2736z00_1245;bool_t BgL_arg2737z00_1246;
BgL_arg2736z00_1245 = 
CDR(BgL_nodeza2za2_1241); 
{ /* Effect/spread.scm 206 */
bool_t BgL__ortest_2694z00_1247;
{ /* Effect/spread.scm 206 */
bool_t BgL_res2861z00_1847;
{ /* Effect/spread.scm 206 */
BgL_nodez00_bglt BgL_nodez00_1821;
{ /* Effect/spread.scm 206 */
obj_t BgL_auxz00_3133;
BgL_auxz00_3133 = 
CAR(BgL_nodeza2za2_1241); 
BgL_nodez00_1821 = 
(BgL_nodez00_bglt)(BgL_auxz00_3133); } 
{ /* Effect/spread.scm 206 */
obj_t BgL_method2696z00_1822;
{ /* Effect/spread.scm 206 */
long BgL_objzd2classzd2numz00_1824;
{ /* Effect/spread.scm 206 */
BgL_objectz00_bglt BgL_auxz00_3136;
BgL_auxz00_3136 = 
(BgL_objectz00_bglt)(BgL_nodez00_1821); 
BgL_objzd2classzd2numz00_1824 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3136); } 
{ /* Effect/spread.scm 206 */
obj_t BgL_arg1221z00_1825;
{ /* Effect/spread.scm 206 */
int BgL_auxz00_3139;
BgL_auxz00_3139 = 
(int)(((long)1)); 
BgL_arg1221z00_1825 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3139); } 
{ /* Effect/spread.scm 206 */
long BgL_offsetz00_1829;
{ /* Effect/spread.scm 206 */
long BgL_auxz00_3142;
{ /* Effect/spread.scm 206 */
int BgL_auxz00_3143;
BgL_auxz00_3143 = 
(int)(BgL_objzd2classzd2numz00_1824); 
BgL_auxz00_3142 = 
(long)(BgL_auxz00_3143); } 
BgL_offsetz00_1829 = 
(BgL_auxz00_3142-OBJECT_TYPE); } 
{ /* Effect/spread.scm 206 */
long BgL_modz00_1830;
{ /* Effect/spread.scm 206 */
long BgL_auxz00_3147;
{ /* Effect/spread.scm 206 */
int BgL_auxz00_3148;
BgL_auxz00_3148 = 
(int)(((long)8)); 
BgL_auxz00_3147 = 
(long)(BgL_auxz00_3148); } 
BgL_modz00_1830 = 
(BgL_offsetz00_1829/BgL_auxz00_3147); } 
{ /* Effect/spread.scm 206 */
long BgL_restz00_1832;
{ /* Effect/spread.scm 206 */
long BgL_auxz00_3152;
{ /* Effect/spread.scm 206 */
int BgL_auxz00_3153;
BgL_auxz00_3153 = 
(int)(((long)8)); 
BgL_auxz00_3152 = 
(long)(BgL_auxz00_3153); } 
BgL_restz00_1832 = 
(BgL_offsetz00_1829%BgL_auxz00_3152); } 
{ /* Effect/spread.scm 206 */

{ /* Effect/spread.scm 206 */
obj_t BgL_bucketz00_1834;
{ /* Effect/spread.scm 206 */
int BgL_kz00_1844;
BgL_kz00_1844 = 
(int)(BgL_modz00_1830); 
BgL_bucketz00_1834 = 
VECTOR_REF(BgL_arg1221z00_1825,BgL_kz00_1844); } 
{ /* Effect/spread.scm 206 */
int BgL_kz00_1846;
BgL_kz00_1846 = 
(int)(BgL_restz00_1832); 
BgL_method2696z00_1822 = 
VECTOR_REF(BgL_bucketz00_1834,BgL_kz00_1846); } } } } } } } } 
{ /* Effect/spread.scm 206 */
obj_t BgL_auxz00_3161;
BgL_auxz00_3161 = 
PROCEDURE_ENTRY(BgL_method2696z00_1822)(BgL_method2696z00_1822, 
(obj_t)(BgL_nodez00_1821), BEOA); 
BgL_res2861z00_1847 = 
CBOOL(BgL_auxz00_3161); } } } 
BgL__ortest_2694z00_1247 = BgL_res2861z00_1847; } 
if(BgL__ortest_2694z00_1247)
{ /* Effect/spread.scm 206 */
BgL_arg2737z00_1246 = BgL__ortest_2694z00_1247; }  else 
{ /* Effect/spread.scm 206 */
BgL_arg2737z00_1246 = BgL_resz00_1242; } } 
{ 
bool_t BgL_resz00_3168;obj_t BgL_nodeza2za2_3167;
BgL_nodeza2za2_3167 = BgL_arg2736z00_1245; 
BgL_resz00_3168 = BgL_arg2737z00_1246; 
BgL_resz00_1242 = BgL_resz00_3168; 
BgL_nodeza2za2_1241 = BgL_nodeza2za2_3167; 
goto BgL_loopz00_1243;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_spreadzd2sidezd2effectz12zd2default2695zd2envz12zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_varz00zzast_nodez00, BGl_proc2933z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_sequencez00zzast_nodez00, BGl_proc2934z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_appz00zzast_nodez00, BGl_proc2935z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2936z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_funcallz00zzast_nodez00, BGl_proc2937z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_externz00zzast_nodez00, BGl_proc2938z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_castz00zzast_nodez00, BGl_proc2939z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_setqz00zzast_nodez00, BGl_proc2940z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_conditionalz00zzast_nodez00, BGl_proc2941z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_failz00zzast_nodez00, BGl_proc2942z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_selectz00zzast_nodez00, BGl_proc2943z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2944z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2945z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2946z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2947z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc2948z00zzeffect_spreadz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2949z00zzeffect_spreadz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc2950z00zzeffect_spreadz00);} 
}



/* spread-side-effect!-box-ref2734 */
obj_t BGl_spreadzd2sidezd2effectz12zd2boxzd2ref2734z12zzeffect_spreadz00(obj_t BgL_envz00_3060, obj_t BgL_nodez00_3061)
{ AN_OBJECT;
{ /* Effect/spread.scm 194 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1810;
{ /* Effect/spread.scm 195 */
bool_t BgL_auxz00_3188;
BgL_nodez00_1810 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3061); 
{ /* Effect/spread.scm 195 */
bool_t BgL_res2930z00_3014;
{ /* Effect/spread.scm 195 */
BgL_nodez00_bglt BgL_nodez00_2988;
{ /* Effect/spread.scm 195 */
BgL_varz00_bglt BgL_auxz00_3189;
BgL_auxz00_3189 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1810))->BgL_varz00); 
BgL_nodez00_2988 = 
(BgL_nodez00_bglt)(BgL_auxz00_3189); } 
{ /* Effect/spread.scm 195 */
obj_t BgL_method2696z00_2989;
{ /* Effect/spread.scm 195 */
long BgL_objzd2classzd2numz00_2991;
{ /* Effect/spread.scm 195 */
BgL_objectz00_bglt BgL_auxz00_3192;
BgL_auxz00_3192 = 
(BgL_objectz00_bglt)(BgL_nodez00_2988); 
BgL_objzd2classzd2numz00_2991 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3192); } 
{ /* Effect/spread.scm 195 */
obj_t BgL_arg1221z00_2992;
{ /* Effect/spread.scm 195 */
int BgL_auxz00_3195;
BgL_auxz00_3195 = 
(int)(((long)1)); 
BgL_arg1221z00_2992 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3195); } 
{ /* Effect/spread.scm 195 */
long BgL_offsetz00_2996;
{ /* Effect/spread.scm 195 */
long BgL_auxz00_3198;
{ /* Effect/spread.scm 195 */
int BgL_auxz00_3199;
BgL_auxz00_3199 = 
(int)(BgL_objzd2classzd2numz00_2991); 
BgL_auxz00_3198 = 
(long)(BgL_auxz00_3199); } 
BgL_offsetz00_2996 = 
(BgL_auxz00_3198-OBJECT_TYPE); } 
{ /* Effect/spread.scm 195 */
long BgL_modz00_2997;
{ /* Effect/spread.scm 195 */
long BgL_auxz00_3203;
{ /* Effect/spread.scm 195 */
int BgL_auxz00_3204;
BgL_auxz00_3204 = 
(int)(((long)8)); 
BgL_auxz00_3203 = 
(long)(BgL_auxz00_3204); } 
BgL_modz00_2997 = 
(BgL_offsetz00_2996/BgL_auxz00_3203); } 
{ /* Effect/spread.scm 195 */
long BgL_restz00_2999;
{ /* Effect/spread.scm 195 */
long BgL_auxz00_3208;
{ /* Effect/spread.scm 195 */
int BgL_auxz00_3209;
BgL_auxz00_3209 = 
(int)(((long)8)); 
BgL_auxz00_3208 = 
(long)(BgL_auxz00_3209); } 
BgL_restz00_2999 = 
(BgL_offsetz00_2996%BgL_auxz00_3208); } 
{ /* Effect/spread.scm 195 */

{ /* Effect/spread.scm 195 */
obj_t BgL_bucketz00_3001;
{ /* Effect/spread.scm 195 */
int BgL_kz00_3011;
BgL_kz00_3011 = 
(int)(BgL_modz00_2997); 
BgL_bucketz00_3001 = 
VECTOR_REF(BgL_arg1221z00_2992,BgL_kz00_3011); } 
{ /* Effect/spread.scm 195 */
int BgL_kz00_3013;
BgL_kz00_3013 = 
(int)(BgL_restz00_2999); 
BgL_method2696z00_2989 = 
VECTOR_REF(BgL_bucketz00_3001,BgL_kz00_3013); } } } } } } } } 
{ /* Effect/spread.scm 195 */
obj_t BgL_auxz00_3217;
BgL_auxz00_3217 = 
PROCEDURE_ENTRY(BgL_method2696z00_2989)(BgL_method2696z00_2989, 
(obj_t)(BgL_nodez00_2988), BEOA); 
BgL_res2930z00_3014 = 
CBOOL(BgL_auxz00_3217); } } } 
BgL_auxz00_3188 = BgL_res2930z00_3014; } 
return 
BBOOL(BgL_auxz00_3188);} } } 
}



/* spread-side-effect!-box-set!2732 */
obj_t BGl_spreadzd2sidezd2effectz12zd2boxzd2setz122732z00zzeffect_spreadz00(obj_t BgL_envz00_3062, obj_t BgL_nodez00_3063)
{ AN_OBJECT;
{ /* Effect/spread.scm 182 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1803;
{ /* Effect/spread.scm 183 */
bool_t BgL_auxz00_3224;
BgL_nodez00_1803 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3063); 
{ /* Effect/spread.scm 183 */
BgL_nodez00_bglt BgL_arg2855z00_2956;
BgL_arg2855z00_2956 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1803))->BgL_valuez00); 
{ /* Effect/spread.scm 183 */
bool_t BgL_res2927z00_2984;
{ /* Effect/spread.scm 183 */
obj_t BgL_method2696z00_2959;
{ /* Effect/spread.scm 183 */
long BgL_objzd2classzd2numz00_2961;
{ /* Effect/spread.scm 183 */
BgL_objectz00_bglt BgL_auxz00_3226;
BgL_auxz00_3226 = 
(BgL_objectz00_bglt)(BgL_arg2855z00_2956); 
BgL_objzd2classzd2numz00_2961 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3226); } 
{ /* Effect/spread.scm 183 */
obj_t BgL_arg1221z00_2962;
{ /* Effect/spread.scm 183 */
int BgL_auxz00_3229;
BgL_auxz00_3229 = 
(int)(((long)1)); 
BgL_arg1221z00_2962 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3229); } 
{ /* Effect/spread.scm 183 */
long BgL_offsetz00_2966;
{ /* Effect/spread.scm 183 */
long BgL_auxz00_3232;
{ /* Effect/spread.scm 183 */
int BgL_auxz00_3233;
BgL_auxz00_3233 = 
(int)(BgL_objzd2classzd2numz00_2961); 
BgL_auxz00_3232 = 
(long)(BgL_auxz00_3233); } 
BgL_offsetz00_2966 = 
(BgL_auxz00_3232-OBJECT_TYPE); } 
{ /* Effect/spread.scm 183 */
long BgL_modz00_2967;
{ /* Effect/spread.scm 183 */
long BgL_auxz00_3237;
{ /* Effect/spread.scm 183 */
int BgL_auxz00_3238;
BgL_auxz00_3238 = 
(int)(((long)8)); 
BgL_auxz00_3237 = 
(long)(BgL_auxz00_3238); } 
BgL_modz00_2967 = 
(BgL_offsetz00_2966/BgL_auxz00_3237); } 
{ /* Effect/spread.scm 183 */
long BgL_restz00_2969;
{ /* Effect/spread.scm 183 */
long BgL_auxz00_3242;
{ /* Effect/spread.scm 183 */
int BgL_auxz00_3243;
BgL_auxz00_3243 = 
(int)(((long)8)); 
BgL_auxz00_3242 = 
(long)(BgL_auxz00_3243); } 
BgL_restz00_2969 = 
(BgL_offsetz00_2966%BgL_auxz00_3242); } 
{ /* Effect/spread.scm 183 */

{ /* Effect/spread.scm 183 */
obj_t BgL_bucketz00_2971;
{ /* Effect/spread.scm 183 */
int BgL_kz00_2981;
BgL_kz00_2981 = 
(int)(BgL_modz00_2967); 
BgL_bucketz00_2971 = 
VECTOR_REF(BgL_arg1221z00_2962,BgL_kz00_2981); } 
{ /* Effect/spread.scm 183 */
int BgL_kz00_2983;
BgL_kz00_2983 = 
(int)(BgL_restz00_2969); 
BgL_method2696z00_2959 = 
VECTOR_REF(BgL_bucketz00_2971,BgL_kz00_2983); } } } } } } } } 
{ /* Effect/spread.scm 183 */
obj_t BgL_auxz00_3251;
BgL_auxz00_3251 = 
PROCEDURE_ENTRY(BgL_method2696z00_2959)(BgL_method2696z00_2959, 
(obj_t)(BgL_arg2855z00_2956), BEOA); 
BgL_res2927z00_2984 = 
CBOOL(BgL_auxz00_3251); } } BgL_res2927z00_2984; } } 
BgL_auxz00_3224 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_3224);} } } 
}



/* spread-side-effect!-make-box2730 */
obj_t BGl_spreadzd2sidezd2effectz12zd2makezd2box2730z12zzeffect_spreadz00(obj_t BgL_envz00_3064, obj_t BgL_nodez00_3065)
{ AN_OBJECT;
{ /* Effect/spread.scm 173 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1795;
{ /* Effect/spread.scm 174 */
bool_t BgL_auxz00_3258;
BgL_nodez00_1795 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3065); 
{ /* Effect/spread.scm 175 */
bool_t BgL_resz00_1799;
{ /* Effect/spread.scm 175 */
BgL_nodez00_bglt BgL_arg2853z00_1800;
BgL_arg2853z00_1800 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1795))->BgL_valuez00); 
{ /* Effect/spread.scm 175 */
bool_t BgL_res2924z00_2952;
{ /* Effect/spread.scm 175 */
obj_t BgL_method2696z00_2927;
{ /* Effect/spread.scm 175 */
long BgL_objzd2classzd2numz00_2929;
{ /* Effect/spread.scm 175 */
BgL_objectz00_bglt BgL_auxz00_3260;
BgL_auxz00_3260 = 
(BgL_objectz00_bglt)(BgL_arg2853z00_1800); 
BgL_objzd2classzd2numz00_2929 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3260); } 
{ /* Effect/spread.scm 175 */
obj_t BgL_arg1221z00_2930;
{ /* Effect/spread.scm 175 */
int BgL_auxz00_3263;
BgL_auxz00_3263 = 
(int)(((long)1)); 
BgL_arg1221z00_2930 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3263); } 
{ /* Effect/spread.scm 175 */
long BgL_offsetz00_2934;
{ /* Effect/spread.scm 175 */
long BgL_auxz00_3266;
{ /* Effect/spread.scm 175 */
int BgL_auxz00_3267;
BgL_auxz00_3267 = 
(int)(BgL_objzd2classzd2numz00_2929); 
BgL_auxz00_3266 = 
(long)(BgL_auxz00_3267); } 
BgL_offsetz00_2934 = 
(BgL_auxz00_3266-OBJECT_TYPE); } 
{ /* Effect/spread.scm 175 */
long BgL_modz00_2935;
{ /* Effect/spread.scm 175 */
long BgL_auxz00_3271;
{ /* Effect/spread.scm 175 */
int BgL_auxz00_3272;
BgL_auxz00_3272 = 
(int)(((long)8)); 
BgL_auxz00_3271 = 
(long)(BgL_auxz00_3272); } 
BgL_modz00_2935 = 
(BgL_offsetz00_2934/BgL_auxz00_3271); } 
{ /* Effect/spread.scm 175 */
long BgL_restz00_2937;
{ /* Effect/spread.scm 175 */
long BgL_auxz00_3276;
{ /* Effect/spread.scm 175 */
int BgL_auxz00_3277;
BgL_auxz00_3277 = 
(int)(((long)8)); 
BgL_auxz00_3276 = 
(long)(BgL_auxz00_3277); } 
BgL_restz00_2937 = 
(BgL_offsetz00_2934%BgL_auxz00_3276); } 
{ /* Effect/spread.scm 175 */

{ /* Effect/spread.scm 175 */
obj_t BgL_bucketz00_2939;
{ /* Effect/spread.scm 175 */
int BgL_kz00_2949;
BgL_kz00_2949 = 
(int)(BgL_modz00_2935); 
BgL_bucketz00_2939 = 
VECTOR_REF(BgL_arg1221z00_2930,BgL_kz00_2949); } 
{ /* Effect/spread.scm 175 */
int BgL_kz00_2951;
BgL_kz00_2951 = 
(int)(BgL_restz00_2937); 
BgL_method2696z00_2927 = 
VECTOR_REF(BgL_bucketz00_2939,BgL_kz00_2951); } } } } } } } } 
{ /* Effect/spread.scm 175 */
obj_t BgL_auxz00_3285;
BgL_auxz00_3285 = 
PROCEDURE_ENTRY(BgL_method2696z00_2927)(BgL_method2696z00_2927, 
(obj_t)(BgL_arg2853z00_1800), BEOA); 
BgL_res2924z00_2952 = 
CBOOL(BgL_auxz00_3285); } } 
BgL_resz00_1799 = BgL_res2924z00_2952; } } 
{ /* Effect/spread.scm 176 */
obj_t BgL_val2563z00_2954;
BgL_val2563z00_2954 = 
BBOOL(BgL_resz00_1799); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1795))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2563z00_2954), BUNSPEC); } 
BgL_auxz00_3258 = BgL_resz00_1799; } 
return 
BBOOL(BgL_auxz00_3258);} } } 
}



/* spread-side-effect!-jump-ex-it2727 */
obj_t BGl_spreadzd2sidezd2effectz12zd2jumpzd2exzd2it2727zc0zzeffect_spreadz00(obj_t BgL_envz00_3066, obj_t BgL_nodez00_3067)
{ AN_OBJECT;
{ /* Effect/spread.scm 164 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1787;
{ /* Effect/spread.scm 165 */
bool_t BgL_auxz00_3294;
BgL_nodez00_1787 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3067); 
{ /* Effect/spread.scm 166 */
BgL_nodez00_bglt BgL_arg2850z00_1791;
BgL_arg2850z00_1791 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1787))->BgL_exitz00); 
{ /* Effect/spread.scm 166 */
bool_t BgL_res2918z00_2896;
{ /* Effect/spread.scm 166 */
obj_t BgL_method2696z00_2871;
{ /* Effect/spread.scm 166 */
long BgL_objzd2classzd2numz00_2873;
{ /* Effect/spread.scm 166 */
BgL_objectz00_bglt BgL_auxz00_3296;
BgL_auxz00_3296 = 
(BgL_objectz00_bglt)(BgL_arg2850z00_1791); 
BgL_objzd2classzd2numz00_2873 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3296); } 
{ /* Effect/spread.scm 166 */
obj_t BgL_arg1221z00_2874;
{ /* Effect/spread.scm 166 */
int BgL_auxz00_3299;
BgL_auxz00_3299 = 
(int)(((long)1)); 
BgL_arg1221z00_2874 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3299); } 
{ /* Effect/spread.scm 166 */
long BgL_offsetz00_2878;
{ /* Effect/spread.scm 166 */
long BgL_auxz00_3302;
{ /* Effect/spread.scm 166 */
int BgL_auxz00_3303;
BgL_auxz00_3303 = 
(int)(BgL_objzd2classzd2numz00_2873); 
BgL_auxz00_3302 = 
(long)(BgL_auxz00_3303); } 
BgL_offsetz00_2878 = 
(BgL_auxz00_3302-OBJECT_TYPE); } 
{ /* Effect/spread.scm 166 */
long BgL_modz00_2879;
{ /* Effect/spread.scm 166 */
long BgL_auxz00_3307;
{ /* Effect/spread.scm 166 */
int BgL_auxz00_3308;
BgL_auxz00_3308 = 
(int)(((long)8)); 
BgL_auxz00_3307 = 
(long)(BgL_auxz00_3308); } 
BgL_modz00_2879 = 
(BgL_offsetz00_2878/BgL_auxz00_3307); } 
{ /* Effect/spread.scm 166 */
long BgL_restz00_2881;
{ /* Effect/spread.scm 166 */
long BgL_auxz00_3312;
{ /* Effect/spread.scm 166 */
int BgL_auxz00_3313;
BgL_auxz00_3313 = 
(int)(((long)8)); 
BgL_auxz00_3312 = 
(long)(BgL_auxz00_3313); } 
BgL_restz00_2881 = 
(BgL_offsetz00_2878%BgL_auxz00_3312); } 
{ /* Effect/spread.scm 166 */

{ /* Effect/spread.scm 166 */
obj_t BgL_bucketz00_2883;
{ /* Effect/spread.scm 166 */
int BgL_kz00_2893;
BgL_kz00_2893 = 
(int)(BgL_modz00_2879); 
BgL_bucketz00_2883 = 
VECTOR_REF(BgL_arg1221z00_2874,BgL_kz00_2893); } 
{ /* Effect/spread.scm 166 */
int BgL_kz00_2895;
BgL_kz00_2895 = 
(int)(BgL_restz00_2881); 
BgL_method2696z00_2871 = 
VECTOR_REF(BgL_bucketz00_2883,BgL_kz00_2895); } } } } } } } } 
{ /* Effect/spread.scm 166 */
obj_t BgL_auxz00_3321;
BgL_auxz00_3321 = 
PROCEDURE_ENTRY(BgL_method2696z00_2871)(BgL_method2696z00_2871, 
(obj_t)(BgL_arg2850z00_1791), BEOA); 
BgL_res2918z00_2896 = 
CBOOL(BgL_auxz00_3321); } } BgL_res2918z00_2896; } } 
{ /* Effect/spread.scm 167 */
BgL_nodez00_bglt BgL_arg2851z00_1792;
BgL_arg2851z00_1792 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1787))->BgL_valuez00); 
{ /* Effect/spread.scm 167 */
bool_t BgL_res2921z00_2924;
{ /* Effect/spread.scm 167 */
obj_t BgL_method2696z00_2899;
{ /* Effect/spread.scm 167 */
long BgL_objzd2classzd2numz00_2901;
{ /* Effect/spread.scm 167 */
BgL_objectz00_bglt BgL_auxz00_3327;
BgL_auxz00_3327 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1792); 
BgL_objzd2classzd2numz00_2901 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3327); } 
{ /* Effect/spread.scm 167 */
obj_t BgL_arg1221z00_2902;
{ /* Effect/spread.scm 167 */
int BgL_auxz00_3330;
BgL_auxz00_3330 = 
(int)(((long)1)); 
BgL_arg1221z00_2902 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3330); } 
{ /* Effect/spread.scm 167 */
long BgL_offsetz00_2906;
{ /* Effect/spread.scm 167 */
long BgL_auxz00_3333;
{ /* Effect/spread.scm 167 */
int BgL_auxz00_3334;
BgL_auxz00_3334 = 
(int)(BgL_objzd2classzd2numz00_2901); 
BgL_auxz00_3333 = 
(long)(BgL_auxz00_3334); } 
BgL_offsetz00_2906 = 
(BgL_auxz00_3333-OBJECT_TYPE); } 
{ /* Effect/spread.scm 167 */
long BgL_modz00_2907;
{ /* Effect/spread.scm 167 */
long BgL_auxz00_3338;
{ /* Effect/spread.scm 167 */
int BgL_auxz00_3339;
BgL_auxz00_3339 = 
(int)(((long)8)); 
BgL_auxz00_3338 = 
(long)(BgL_auxz00_3339); } 
BgL_modz00_2907 = 
(BgL_offsetz00_2906/BgL_auxz00_3338); } 
{ /* Effect/spread.scm 167 */
long BgL_restz00_2909;
{ /* Effect/spread.scm 167 */
long BgL_auxz00_3343;
{ /* Effect/spread.scm 167 */
int BgL_auxz00_3344;
BgL_auxz00_3344 = 
(int)(((long)8)); 
BgL_auxz00_3343 = 
(long)(BgL_auxz00_3344); } 
BgL_restz00_2909 = 
(BgL_offsetz00_2906%BgL_auxz00_3343); } 
{ /* Effect/spread.scm 167 */

{ /* Effect/spread.scm 167 */
obj_t BgL_bucketz00_2911;
{ /* Effect/spread.scm 167 */
int BgL_kz00_2921;
BgL_kz00_2921 = 
(int)(BgL_modz00_2907); 
BgL_bucketz00_2911 = 
VECTOR_REF(BgL_arg1221z00_2902,BgL_kz00_2921); } 
{ /* Effect/spread.scm 167 */
int BgL_kz00_2923;
BgL_kz00_2923 = 
(int)(BgL_restz00_2909); 
BgL_method2696z00_2899 = 
VECTOR_REF(BgL_bucketz00_2911,BgL_kz00_2923); } } } } } } } } 
{ /* Effect/spread.scm 167 */
obj_t BgL_auxz00_3352;
BgL_auxz00_3352 = 
PROCEDURE_ENTRY(BgL_method2696z00_2899)(BgL_method2696z00_2899, 
(obj_t)(BgL_arg2851z00_1792), BEOA); 
BgL_res2921z00_2924 = 
CBOOL(BgL_auxz00_3352); } } BgL_res2921z00_2924; } } 
BgL_auxz00_3294 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_3294);} } } 
}



/* spread-side-effect!-set-ex-it2725 */
obj_t BGl_spreadzd2sidezd2effectz12zd2setzd2exzd2it2725zc0zzeffect_spreadz00(obj_t BgL_envz00_3068, obj_t BgL_nodez00_3069)
{ AN_OBJECT;
{ /* Effect/spread.scm 157 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1780;
{ /* Effect/spread.scm 158 */
bool_t BgL_auxz00_3359;
BgL_nodez00_1780 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3069); 
{ /* Effect/spread.scm 158 */
BgL_nodez00_bglt BgL_arg2847z00_2840;
BgL_arg2847z00_2840 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1780))->BgL_bodyz00); 
{ /* Effect/spread.scm 158 */
bool_t BgL_res2915z00_2868;
{ /* Effect/spread.scm 158 */
obj_t BgL_method2696z00_2843;
{ /* Effect/spread.scm 158 */
long BgL_objzd2classzd2numz00_2845;
{ /* Effect/spread.scm 158 */
BgL_objectz00_bglt BgL_auxz00_3361;
BgL_auxz00_3361 = 
(BgL_objectz00_bglt)(BgL_arg2847z00_2840); 
BgL_objzd2classzd2numz00_2845 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3361); } 
{ /* Effect/spread.scm 158 */
obj_t BgL_arg1221z00_2846;
{ /* Effect/spread.scm 158 */
int BgL_auxz00_3364;
BgL_auxz00_3364 = 
(int)(((long)1)); 
BgL_arg1221z00_2846 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3364); } 
{ /* Effect/spread.scm 158 */
long BgL_offsetz00_2850;
{ /* Effect/spread.scm 158 */
long BgL_auxz00_3367;
{ /* Effect/spread.scm 158 */
int BgL_auxz00_3368;
BgL_auxz00_3368 = 
(int)(BgL_objzd2classzd2numz00_2845); 
BgL_auxz00_3367 = 
(long)(BgL_auxz00_3368); } 
BgL_offsetz00_2850 = 
(BgL_auxz00_3367-OBJECT_TYPE); } 
{ /* Effect/spread.scm 158 */
long BgL_modz00_2851;
{ /* Effect/spread.scm 158 */
long BgL_auxz00_3372;
{ /* Effect/spread.scm 158 */
int BgL_auxz00_3373;
BgL_auxz00_3373 = 
(int)(((long)8)); 
BgL_auxz00_3372 = 
(long)(BgL_auxz00_3373); } 
BgL_modz00_2851 = 
(BgL_offsetz00_2850/BgL_auxz00_3372); } 
{ /* Effect/spread.scm 158 */
long BgL_restz00_2853;
{ /* Effect/spread.scm 158 */
long BgL_auxz00_3377;
{ /* Effect/spread.scm 158 */
int BgL_auxz00_3378;
BgL_auxz00_3378 = 
(int)(((long)8)); 
BgL_auxz00_3377 = 
(long)(BgL_auxz00_3378); } 
BgL_restz00_2853 = 
(BgL_offsetz00_2850%BgL_auxz00_3377); } 
{ /* Effect/spread.scm 158 */

{ /* Effect/spread.scm 158 */
obj_t BgL_bucketz00_2855;
{ /* Effect/spread.scm 158 */
int BgL_kz00_2865;
BgL_kz00_2865 = 
(int)(BgL_modz00_2851); 
BgL_bucketz00_2855 = 
VECTOR_REF(BgL_arg1221z00_2846,BgL_kz00_2865); } 
{ /* Effect/spread.scm 158 */
int BgL_kz00_2867;
BgL_kz00_2867 = 
(int)(BgL_restz00_2853); 
BgL_method2696z00_2843 = 
VECTOR_REF(BgL_bucketz00_2855,BgL_kz00_2867); } } } } } } } } 
{ /* Effect/spread.scm 158 */
obj_t BgL_auxz00_3386;
BgL_auxz00_3386 = 
PROCEDURE_ENTRY(BgL_method2696z00_2843)(BgL_method2696z00_2843, 
(obj_t)(BgL_arg2847z00_2840), BEOA); 
BgL_res2915z00_2868 = 
CBOOL(BgL_auxz00_3386); } } 
BgL_auxz00_3359 = BgL_res2915z00_2868; } } 
return 
BBOOL(BgL_auxz00_3359);} } } 
}



/* spread-side-effect!-let-var2723 */
obj_t BGl_spreadzd2sidezd2effectz12zd2letzd2var2723z12zzeffect_spreadz00(obj_t BgL_envz00_3070, obj_t BgL_nodez00_3071)
{ AN_OBJECT;
{ /* Effect/spread.scm 143 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1762;
{ /* Effect/spread.scm 144 */
bool_t BgL_auxz00_3393;
BgL_nodez00_1762 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3071); 
{ 
obj_t BgL_bdgsz00_1766;bool_t BgL_resz00_1767;
{ /* Effect/spread.scm 145 */
obj_t BgL_arg2838z00_1769;bool_t BgL_arg2839z00_1770;
BgL_arg2838z00_1769 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1762))->BgL_bindingsz00); 
{ /* Effect/spread.scm 146 */
BgL_nodez00_bglt BgL_arg2840z00_1771;
BgL_arg2840z00_1771 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1762))->BgL_bodyz00); 
{ /* Effect/spread.scm 146 */
bool_t BgL_res2909z00_2805;
{ /* Effect/spread.scm 146 */
obj_t BgL_method2696z00_2780;
{ /* Effect/spread.scm 146 */
long BgL_objzd2classzd2numz00_2782;
{ /* Effect/spread.scm 146 */
BgL_objectz00_bglt BgL_auxz00_3396;
BgL_auxz00_3396 = 
(BgL_objectz00_bglt)(BgL_arg2840z00_1771); 
BgL_objzd2classzd2numz00_2782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3396); } 
{ /* Effect/spread.scm 146 */
obj_t BgL_arg1221z00_2783;
{ /* Effect/spread.scm 146 */
int BgL_auxz00_3399;
BgL_auxz00_3399 = 
(int)(((long)1)); 
BgL_arg1221z00_2783 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3399); } 
{ /* Effect/spread.scm 146 */
long BgL_offsetz00_2787;
{ /* Effect/spread.scm 146 */
long BgL_auxz00_3402;
{ /* Effect/spread.scm 146 */
int BgL_auxz00_3403;
BgL_auxz00_3403 = 
(int)(BgL_objzd2classzd2numz00_2782); 
BgL_auxz00_3402 = 
(long)(BgL_auxz00_3403); } 
BgL_offsetz00_2787 = 
(BgL_auxz00_3402-OBJECT_TYPE); } 
{ /* Effect/spread.scm 146 */
long BgL_modz00_2788;
{ /* Effect/spread.scm 146 */
long BgL_auxz00_3407;
{ /* Effect/spread.scm 146 */
int BgL_auxz00_3408;
BgL_auxz00_3408 = 
(int)(((long)8)); 
BgL_auxz00_3407 = 
(long)(BgL_auxz00_3408); } 
BgL_modz00_2788 = 
(BgL_offsetz00_2787/BgL_auxz00_3407); } 
{ /* Effect/spread.scm 146 */
long BgL_restz00_2790;
{ /* Effect/spread.scm 146 */
long BgL_auxz00_3412;
{ /* Effect/spread.scm 146 */
int BgL_auxz00_3413;
BgL_auxz00_3413 = 
(int)(((long)8)); 
BgL_auxz00_3412 = 
(long)(BgL_auxz00_3413); } 
BgL_restz00_2790 = 
(BgL_offsetz00_2787%BgL_auxz00_3412); } 
{ /* Effect/spread.scm 146 */

{ /* Effect/spread.scm 146 */
obj_t BgL_bucketz00_2792;
{ /* Effect/spread.scm 146 */
int BgL_kz00_2802;
BgL_kz00_2802 = 
(int)(BgL_modz00_2788); 
BgL_bucketz00_2792 = 
VECTOR_REF(BgL_arg1221z00_2783,BgL_kz00_2802); } 
{ /* Effect/spread.scm 146 */
int BgL_kz00_2804;
BgL_kz00_2804 = 
(int)(BgL_restz00_2790); 
BgL_method2696z00_2780 = 
VECTOR_REF(BgL_bucketz00_2792,BgL_kz00_2804); } } } } } } } } 
{ /* Effect/spread.scm 146 */
obj_t BgL_auxz00_3421;
BgL_auxz00_3421 = 
PROCEDURE_ENTRY(BgL_method2696z00_2780)(BgL_method2696z00_2780, 
(obj_t)(BgL_arg2840z00_1771), BEOA); 
BgL_res2909z00_2805 = 
CBOOL(BgL_auxz00_3421); } } 
BgL_arg2839z00_1770 = BgL_res2909z00_2805; } } 
BgL_bdgsz00_1766 = BgL_arg2838z00_1769; 
BgL_resz00_1767 = BgL_arg2839z00_1770; 
BgL_loopz00_1768:
if(
NULLP(BgL_bdgsz00_1766))
{ /* Effect/spread.scm 147 */
{ /* Effect/spread.scm 149 */
obj_t BgL_val2461z00_2808;
BgL_val2461z00_2808 = 
BBOOL(BgL_resz00_1767); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1762))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2461z00_2808), BUNSPEC); } 
BgL_auxz00_3393 = BgL_resz00_1767; }  else 
{ /* Effect/spread.scm 151 */
obj_t BgL_arg2842z00_1773;bool_t BgL_arg2843z00_1774;
BgL_arg2842z00_1773 = 
CDR(BgL_bdgsz00_1766); 
{ /* Effect/spread.scm 152 */
bool_t BgL__ortest_2683z00_1775;
{ /* Effect/spread.scm 152 */
bool_t BgL_res2912z00_2838;
{ /* Effect/spread.scm 152 */
BgL_nodez00_bglt BgL_nodez00_2812;
{ /* Effect/spread.scm 152 */
obj_t BgL_auxz00_3431;
{ /* Effect/spread.scm 152 */
obj_t BgL_auxz00_3432;
BgL_auxz00_3432 = 
CAR(BgL_bdgsz00_1766); 
BgL_auxz00_3431 = 
CDR(BgL_auxz00_3432); } 
BgL_nodez00_2812 = 
(BgL_nodez00_bglt)(BgL_auxz00_3431); } 
{ /* Effect/spread.scm 152 */
obj_t BgL_method2696z00_2813;
{ /* Effect/spread.scm 152 */
long BgL_objzd2classzd2numz00_2815;
{ /* Effect/spread.scm 152 */
BgL_objectz00_bglt BgL_auxz00_3436;
BgL_auxz00_3436 = 
(BgL_objectz00_bglt)(BgL_nodez00_2812); 
BgL_objzd2classzd2numz00_2815 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3436); } 
{ /* Effect/spread.scm 152 */
obj_t BgL_arg1221z00_2816;
{ /* Effect/spread.scm 152 */
int BgL_auxz00_3439;
BgL_auxz00_3439 = 
(int)(((long)1)); 
BgL_arg1221z00_2816 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3439); } 
{ /* Effect/spread.scm 152 */
long BgL_offsetz00_2820;
{ /* Effect/spread.scm 152 */
long BgL_auxz00_3442;
{ /* Effect/spread.scm 152 */
int BgL_auxz00_3443;
BgL_auxz00_3443 = 
(int)(BgL_objzd2classzd2numz00_2815); 
BgL_auxz00_3442 = 
(long)(BgL_auxz00_3443); } 
BgL_offsetz00_2820 = 
(BgL_auxz00_3442-OBJECT_TYPE); } 
{ /* Effect/spread.scm 152 */
long BgL_modz00_2821;
{ /* Effect/spread.scm 152 */
long BgL_auxz00_3447;
{ /* Effect/spread.scm 152 */
int BgL_auxz00_3448;
BgL_auxz00_3448 = 
(int)(((long)8)); 
BgL_auxz00_3447 = 
(long)(BgL_auxz00_3448); } 
BgL_modz00_2821 = 
(BgL_offsetz00_2820/BgL_auxz00_3447); } 
{ /* Effect/spread.scm 152 */
long BgL_restz00_2823;
{ /* Effect/spread.scm 152 */
long BgL_auxz00_3452;
{ /* Effect/spread.scm 152 */
int BgL_auxz00_3453;
BgL_auxz00_3453 = 
(int)(((long)8)); 
BgL_auxz00_3452 = 
(long)(BgL_auxz00_3453); } 
BgL_restz00_2823 = 
(BgL_offsetz00_2820%BgL_auxz00_3452); } 
{ /* Effect/spread.scm 152 */

{ /* Effect/spread.scm 152 */
obj_t BgL_bucketz00_2825;
{ /* Effect/spread.scm 152 */
int BgL_kz00_2835;
BgL_kz00_2835 = 
(int)(BgL_modz00_2821); 
BgL_bucketz00_2825 = 
VECTOR_REF(BgL_arg1221z00_2816,BgL_kz00_2835); } 
{ /* Effect/spread.scm 152 */
int BgL_kz00_2837;
BgL_kz00_2837 = 
(int)(BgL_restz00_2823); 
BgL_method2696z00_2813 = 
VECTOR_REF(BgL_bucketz00_2825,BgL_kz00_2837); } } } } } } } } 
{ /* Effect/spread.scm 152 */
obj_t BgL_auxz00_3461;
BgL_auxz00_3461 = 
PROCEDURE_ENTRY(BgL_method2696z00_2813)(BgL_method2696z00_2813, 
(obj_t)(BgL_nodez00_2812), BEOA); 
BgL_res2912z00_2838 = 
CBOOL(BgL_auxz00_3461); } } } 
BgL__ortest_2683z00_1775 = BgL_res2912z00_2838; } 
if(BgL__ortest_2683z00_1775)
{ /* Effect/spread.scm 152 */
BgL_arg2843z00_1774 = BgL__ortest_2683z00_1775; }  else 
{ /* Effect/spread.scm 152 */
BgL_arg2843z00_1774 = BgL_resz00_1767; } } 
{ 
bool_t BgL_resz00_3468;obj_t BgL_bdgsz00_3467;
BgL_bdgsz00_3467 = BgL_arg2842z00_1773; 
BgL_resz00_3468 = BgL_arg2843z00_1774; 
BgL_resz00_1767 = BgL_resz00_3468; 
BgL_bdgsz00_1766 = BgL_bdgsz00_3467; 
goto BgL_loopz00_1768;} } } } 
return 
BBOOL(BgL_auxz00_3393);} } } 
}



/* spread-side-effect!-let-fun2720 */
obj_t BGl_spreadzd2sidezd2effectz12zd2letzd2fun2720z12zzeffect_spreadz00(obj_t BgL_envz00_3072, obj_t BgL_nodez00_3073)
{ AN_OBJECT;
{ /* Effect/spread.scm 131 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1746;
{ /* Effect/spread.scm 132 */
bool_t BgL_auxz00_3471;
BgL_nodez00_1746 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3073); 
{ 
obj_t BgL_l2679z00_1750;
BgL_l2679z00_1750 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1746))->BgL_localsz00); 
BgL_lname2680z00_1751:
if(
PAIRP(BgL_l2679z00_1750))
{ /* Effect/spread.scm 133 */
{ /* Effect/spread.scm 134 */
bool_t BgL_res2903z00_2745;
{ /* Effect/spread.scm 134 */
BgL_nodez00_bglt BgL_nodez00_2719;
{ /* Effect/spread.scm 134 */
obj_t BgL_auxz00_3474;
{ /* Effect/spread.scm 134 */
BgL_sfunz00_bglt BgL_obj1372z00_2718;
{ /* Effect/spread.scm 134 */
BgL_valuez00_bglt BgL_auxz00_3475;
{ /* Effect/spread.scm 134 */
BgL_localz00_bglt BgL_obj1255z00_2717;
{ /* Effect/spread.scm 134 */
obj_t BgL_auxz00_3476;
BgL_auxz00_3476 = 
CAR(BgL_l2679z00_1750); 
BgL_obj1255z00_2717 = 
(BgL_localz00_bglt)(BgL_auxz00_3476); } 
BgL_auxz00_3475 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2717))->BgL_valuez00); } 
BgL_obj1372z00_2718 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3475); } 
BgL_auxz00_3474 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2718))->BgL_bodyz00); } 
BgL_nodez00_2719 = 
(BgL_nodez00_bglt)(BgL_auxz00_3474); } 
{ /* Effect/spread.scm 134 */
obj_t BgL_method2696z00_2720;
{ /* Effect/spread.scm 134 */
long BgL_objzd2classzd2numz00_2722;
{ /* Effect/spread.scm 134 */
BgL_objectz00_bglt BgL_auxz00_3483;
BgL_auxz00_3483 = 
(BgL_objectz00_bglt)(BgL_nodez00_2719); 
BgL_objzd2classzd2numz00_2722 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3483); } 
{ /* Effect/spread.scm 134 */
obj_t BgL_arg1221z00_2723;
{ /* Effect/spread.scm 134 */
int BgL_auxz00_3486;
BgL_auxz00_3486 = 
(int)(((long)1)); 
BgL_arg1221z00_2723 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3486); } 
{ /* Effect/spread.scm 134 */
long BgL_offsetz00_2727;
{ /* Effect/spread.scm 134 */
long BgL_auxz00_3489;
{ /* Effect/spread.scm 134 */
int BgL_auxz00_3490;
BgL_auxz00_3490 = 
(int)(BgL_objzd2classzd2numz00_2722); 
BgL_auxz00_3489 = 
(long)(BgL_auxz00_3490); } 
BgL_offsetz00_2727 = 
(BgL_auxz00_3489-OBJECT_TYPE); } 
{ /* Effect/spread.scm 134 */
long BgL_modz00_2728;
{ /* Effect/spread.scm 134 */
long BgL_auxz00_3494;
{ /* Effect/spread.scm 134 */
int BgL_auxz00_3495;
BgL_auxz00_3495 = 
(int)(((long)8)); 
BgL_auxz00_3494 = 
(long)(BgL_auxz00_3495); } 
BgL_modz00_2728 = 
(BgL_offsetz00_2727/BgL_auxz00_3494); } 
{ /* Effect/spread.scm 134 */
long BgL_restz00_2730;
{ /* Effect/spread.scm 134 */
long BgL_auxz00_3499;
{ /* Effect/spread.scm 134 */
int BgL_auxz00_3500;
BgL_auxz00_3500 = 
(int)(((long)8)); 
BgL_auxz00_3499 = 
(long)(BgL_auxz00_3500); } 
BgL_restz00_2730 = 
(BgL_offsetz00_2727%BgL_auxz00_3499); } 
{ /* Effect/spread.scm 134 */

{ /* Effect/spread.scm 134 */
obj_t BgL_bucketz00_2732;
{ /* Effect/spread.scm 134 */
int BgL_kz00_2742;
BgL_kz00_2742 = 
(int)(BgL_modz00_2728); 
BgL_bucketz00_2732 = 
VECTOR_REF(BgL_arg1221z00_2723,BgL_kz00_2742); } 
{ /* Effect/spread.scm 134 */
int BgL_kz00_2744;
BgL_kz00_2744 = 
(int)(BgL_restz00_2730); 
BgL_method2696z00_2720 = 
VECTOR_REF(BgL_bucketz00_2732,BgL_kz00_2744); } } } } } } } } 
{ /* Effect/spread.scm 134 */
obj_t BgL_auxz00_3508;
BgL_auxz00_3508 = 
PROCEDURE_ENTRY(BgL_method2696z00_2720)(BgL_method2696z00_2720, 
(obj_t)(BgL_nodez00_2719), BEOA); 
BgL_res2903z00_2745 = 
CBOOL(BgL_auxz00_3508); } } } BgL_res2903z00_2745; } 
{ 
obj_t BgL_l2679z00_3513;
BgL_l2679z00_3513 = 
CDR(BgL_l2679z00_1750); 
BgL_l2679z00_1750 = BgL_l2679z00_3513; 
goto BgL_lname2680z00_1751;} }  else 
{ /* Effect/spread.scm 133 */((bool_t)1); } } 
{ /* Effect/spread.scm 136 */
bool_t BgL_resz00_1758;
{ /* Effect/spread.scm 136 */
BgL_nodez00_bglt BgL_arg2836z00_1759;
BgL_arg2836z00_1759 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1746))->BgL_bodyz00); 
{ /* Effect/spread.scm 136 */
bool_t BgL_res2906z00_2774;
{ /* Effect/spread.scm 136 */
obj_t BgL_method2696z00_2749;
{ /* Effect/spread.scm 136 */
long BgL_objzd2classzd2numz00_2751;
{ /* Effect/spread.scm 136 */
BgL_objectz00_bglt BgL_auxz00_3517;
BgL_auxz00_3517 = 
(BgL_objectz00_bglt)(BgL_arg2836z00_1759); 
BgL_objzd2classzd2numz00_2751 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3517); } 
{ /* Effect/spread.scm 136 */
obj_t BgL_arg1221z00_2752;
{ /* Effect/spread.scm 136 */
int BgL_auxz00_3520;
BgL_auxz00_3520 = 
(int)(((long)1)); 
BgL_arg1221z00_2752 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3520); } 
{ /* Effect/spread.scm 136 */
long BgL_offsetz00_2756;
{ /* Effect/spread.scm 136 */
long BgL_auxz00_3523;
{ /* Effect/spread.scm 136 */
int BgL_auxz00_3524;
BgL_auxz00_3524 = 
(int)(BgL_objzd2classzd2numz00_2751); 
BgL_auxz00_3523 = 
(long)(BgL_auxz00_3524); } 
BgL_offsetz00_2756 = 
(BgL_auxz00_3523-OBJECT_TYPE); } 
{ /* Effect/spread.scm 136 */
long BgL_modz00_2757;
{ /* Effect/spread.scm 136 */
long BgL_auxz00_3528;
{ /* Effect/spread.scm 136 */
int BgL_auxz00_3529;
BgL_auxz00_3529 = 
(int)(((long)8)); 
BgL_auxz00_3528 = 
(long)(BgL_auxz00_3529); } 
BgL_modz00_2757 = 
(BgL_offsetz00_2756/BgL_auxz00_3528); } 
{ /* Effect/spread.scm 136 */
long BgL_restz00_2759;
{ /* Effect/spread.scm 136 */
long BgL_auxz00_3533;
{ /* Effect/spread.scm 136 */
int BgL_auxz00_3534;
BgL_auxz00_3534 = 
(int)(((long)8)); 
BgL_auxz00_3533 = 
(long)(BgL_auxz00_3534); } 
BgL_restz00_2759 = 
(BgL_offsetz00_2756%BgL_auxz00_3533); } 
{ /* Effect/spread.scm 136 */

{ /* Effect/spread.scm 136 */
obj_t BgL_bucketz00_2761;
{ /* Effect/spread.scm 136 */
int BgL_kz00_2771;
BgL_kz00_2771 = 
(int)(BgL_modz00_2757); 
BgL_bucketz00_2761 = 
VECTOR_REF(BgL_arg1221z00_2752,BgL_kz00_2771); } 
{ /* Effect/spread.scm 136 */
int BgL_kz00_2773;
BgL_kz00_2773 = 
(int)(BgL_restz00_2759); 
BgL_method2696z00_2749 = 
VECTOR_REF(BgL_bucketz00_2761,BgL_kz00_2773); } } } } } } } } 
{ /* Effect/spread.scm 136 */
obj_t BgL_auxz00_3542;
BgL_auxz00_3542 = 
PROCEDURE_ENTRY(BgL_method2696z00_2749)(BgL_method2696z00_2749, 
(obj_t)(BgL_arg2836z00_1759), BEOA); 
BgL_res2906z00_2774 = 
CBOOL(BgL_auxz00_3542); } } 
BgL_resz00_1758 = BgL_res2906z00_2774; } } 
{ /* Effect/spread.scm 137 */
obj_t BgL_val2421z00_2776;
BgL_val2421z00_2776 = 
BBOOL(BgL_resz00_1758); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1746))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2421z00_2776), BUNSPEC); } 
BgL_auxz00_3471 = BgL_resz00_1758; } 
return 
BBOOL(BgL_auxz00_3471);} } } 
}



/* spread-side-effect!-select2718 */
obj_t BGl_spreadzd2sidezd2effectz12zd2select2718zc0zzeffect_spreadz00(obj_t BgL_envz00_3074, obj_t BgL_nodez00_3075)
{ AN_OBJECT;
{ /* Effect/spread.scm 117 */
{ 
BgL_selectz00_bglt BgL_nodez00_1728;
{ /* Effect/spread.scm 118 */
bool_t BgL_auxz00_3551;
BgL_nodez00_1728 = 
(BgL_selectz00_bglt)(BgL_nodez00_3075); 
{ 
obj_t BgL_clausesz00_1732;bool_t BgL_resz00_1733;
{ /* Effect/spread.scm 119 */
obj_t BgL_arg2822z00_1735;bool_t BgL_arg2823z00_1736;
BgL_arg2822z00_1735 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1728))->BgL_clausesz00); 
{ /* Effect/spread.scm 120 */
BgL_nodez00_bglt BgL_arg2824z00_1737;
BgL_arg2824z00_1737 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1728))->BgL_testz00); 
{ /* Effect/spread.scm 120 */
bool_t BgL_res2897z00_2680;
{ /* Effect/spread.scm 120 */
obj_t BgL_method2696z00_2655;
{ /* Effect/spread.scm 120 */
long BgL_objzd2classzd2numz00_2657;
{ /* Effect/spread.scm 120 */
BgL_objectz00_bglt BgL_auxz00_3554;
BgL_auxz00_3554 = 
(BgL_objectz00_bglt)(BgL_arg2824z00_1737); 
BgL_objzd2classzd2numz00_2657 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3554); } 
{ /* Effect/spread.scm 120 */
obj_t BgL_arg1221z00_2658;
{ /* Effect/spread.scm 120 */
int BgL_auxz00_3557;
BgL_auxz00_3557 = 
(int)(((long)1)); 
BgL_arg1221z00_2658 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3557); } 
{ /* Effect/spread.scm 120 */
long BgL_offsetz00_2662;
{ /* Effect/spread.scm 120 */
long BgL_auxz00_3560;
{ /* Effect/spread.scm 120 */
int BgL_auxz00_3561;
BgL_auxz00_3561 = 
(int)(BgL_objzd2classzd2numz00_2657); 
BgL_auxz00_3560 = 
(long)(BgL_auxz00_3561); } 
BgL_offsetz00_2662 = 
(BgL_auxz00_3560-OBJECT_TYPE); } 
{ /* Effect/spread.scm 120 */
long BgL_modz00_2663;
{ /* Effect/spread.scm 120 */
long BgL_auxz00_3565;
{ /* Effect/spread.scm 120 */
int BgL_auxz00_3566;
BgL_auxz00_3566 = 
(int)(((long)8)); 
BgL_auxz00_3565 = 
(long)(BgL_auxz00_3566); } 
BgL_modz00_2663 = 
(BgL_offsetz00_2662/BgL_auxz00_3565); } 
{ /* Effect/spread.scm 120 */
long BgL_restz00_2665;
{ /* Effect/spread.scm 120 */
long BgL_auxz00_3570;
{ /* Effect/spread.scm 120 */
int BgL_auxz00_3571;
BgL_auxz00_3571 = 
(int)(((long)8)); 
BgL_auxz00_3570 = 
(long)(BgL_auxz00_3571); } 
BgL_restz00_2665 = 
(BgL_offsetz00_2662%BgL_auxz00_3570); } 
{ /* Effect/spread.scm 120 */

{ /* Effect/spread.scm 120 */
obj_t BgL_bucketz00_2667;
{ /* Effect/spread.scm 120 */
int BgL_kz00_2677;
BgL_kz00_2677 = 
(int)(BgL_modz00_2663); 
BgL_bucketz00_2667 = 
VECTOR_REF(BgL_arg1221z00_2658,BgL_kz00_2677); } 
{ /* Effect/spread.scm 120 */
int BgL_kz00_2679;
BgL_kz00_2679 = 
(int)(BgL_restz00_2665); 
BgL_method2696z00_2655 = 
VECTOR_REF(BgL_bucketz00_2667,BgL_kz00_2679); } } } } } } } } 
{ /* Effect/spread.scm 120 */
obj_t BgL_auxz00_3579;
BgL_auxz00_3579 = 
PROCEDURE_ENTRY(BgL_method2696z00_2655)(BgL_method2696z00_2655, 
(obj_t)(BgL_arg2824z00_1737), BEOA); 
BgL_res2897z00_2680 = 
CBOOL(BgL_auxz00_3579); } } 
BgL_arg2823z00_1736 = BgL_res2897z00_2680; } } 
BgL_clausesz00_1732 = BgL_arg2822z00_1735; 
BgL_resz00_1733 = BgL_arg2823z00_1736; 
BgL_loopz00_1734:
if(
NULLP(BgL_clausesz00_1732))
{ /* Effect/spread.scm 121 */
{ /* Effect/spread.scm 123 */
obj_t BgL_val2379z00_2683;
BgL_val2379z00_2683 = 
BBOOL(BgL_resz00_1733); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1728))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2379z00_2683), BUNSPEC); } 
BgL_auxz00_3551 = BgL_resz00_1733; }  else 
{ /* Effect/spread.scm 125 */
obj_t BgL_arg2826z00_1739;bool_t BgL_arg2827z00_1740;
BgL_arg2826z00_1739 = 
CDR(BgL_clausesz00_1732); 
{ /* Effect/spread.scm 126 */
bool_t BgL__ortest_2676z00_1741;
{ /* Effect/spread.scm 126 */
bool_t BgL_res2900z00_2713;
{ /* Effect/spread.scm 126 */
BgL_nodez00_bglt BgL_nodez00_2687;
{ /* Effect/spread.scm 126 */
obj_t BgL_auxz00_3589;
{ /* Effect/spread.scm 126 */
obj_t BgL_auxz00_3590;
BgL_auxz00_3590 = 
CAR(BgL_clausesz00_1732); 
BgL_auxz00_3589 = 
CDR(BgL_auxz00_3590); } 
BgL_nodez00_2687 = 
(BgL_nodez00_bglt)(BgL_auxz00_3589); } 
{ /* Effect/spread.scm 126 */
obj_t BgL_method2696z00_2688;
{ /* Effect/spread.scm 126 */
long BgL_objzd2classzd2numz00_2690;
{ /* Effect/spread.scm 126 */
BgL_objectz00_bglt BgL_auxz00_3594;
BgL_auxz00_3594 = 
(BgL_objectz00_bglt)(BgL_nodez00_2687); 
BgL_objzd2classzd2numz00_2690 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3594); } 
{ /* Effect/spread.scm 126 */
obj_t BgL_arg1221z00_2691;
{ /* Effect/spread.scm 126 */
int BgL_auxz00_3597;
BgL_auxz00_3597 = 
(int)(((long)1)); 
BgL_arg1221z00_2691 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3597); } 
{ /* Effect/spread.scm 126 */
long BgL_offsetz00_2695;
{ /* Effect/spread.scm 126 */
long BgL_auxz00_3600;
{ /* Effect/spread.scm 126 */
int BgL_auxz00_3601;
BgL_auxz00_3601 = 
(int)(BgL_objzd2classzd2numz00_2690); 
BgL_auxz00_3600 = 
(long)(BgL_auxz00_3601); } 
BgL_offsetz00_2695 = 
(BgL_auxz00_3600-OBJECT_TYPE); } 
{ /* Effect/spread.scm 126 */
long BgL_modz00_2696;
{ /* Effect/spread.scm 126 */
long BgL_auxz00_3605;
{ /* Effect/spread.scm 126 */
int BgL_auxz00_3606;
BgL_auxz00_3606 = 
(int)(((long)8)); 
BgL_auxz00_3605 = 
(long)(BgL_auxz00_3606); } 
BgL_modz00_2696 = 
(BgL_offsetz00_2695/BgL_auxz00_3605); } 
{ /* Effect/spread.scm 126 */
long BgL_restz00_2698;
{ /* Effect/spread.scm 126 */
long BgL_auxz00_3610;
{ /* Effect/spread.scm 126 */
int BgL_auxz00_3611;
BgL_auxz00_3611 = 
(int)(((long)8)); 
BgL_auxz00_3610 = 
(long)(BgL_auxz00_3611); } 
BgL_restz00_2698 = 
(BgL_offsetz00_2695%BgL_auxz00_3610); } 
{ /* Effect/spread.scm 126 */

{ /* Effect/spread.scm 126 */
obj_t BgL_bucketz00_2700;
{ /* Effect/spread.scm 126 */
int BgL_kz00_2710;
BgL_kz00_2710 = 
(int)(BgL_modz00_2696); 
BgL_bucketz00_2700 = 
VECTOR_REF(BgL_arg1221z00_2691,BgL_kz00_2710); } 
{ /* Effect/spread.scm 126 */
int BgL_kz00_2712;
BgL_kz00_2712 = 
(int)(BgL_restz00_2698); 
BgL_method2696z00_2688 = 
VECTOR_REF(BgL_bucketz00_2700,BgL_kz00_2712); } } } } } } } } 
{ /* Effect/spread.scm 126 */
obj_t BgL_auxz00_3619;
BgL_auxz00_3619 = 
PROCEDURE_ENTRY(BgL_method2696z00_2688)(BgL_method2696z00_2688, 
(obj_t)(BgL_nodez00_2687), BEOA); 
BgL_res2900z00_2713 = 
CBOOL(BgL_auxz00_3619); } } } 
BgL__ortest_2676z00_1741 = BgL_res2900z00_2713; } 
if(BgL__ortest_2676z00_1741)
{ /* Effect/spread.scm 126 */
BgL_arg2827z00_1740 = BgL__ortest_2676z00_1741; }  else 
{ /* Effect/spread.scm 126 */
BgL_arg2827z00_1740 = BgL_resz00_1733; } } 
{ 
bool_t BgL_resz00_3626;obj_t BgL_clausesz00_3625;
BgL_clausesz00_3625 = BgL_arg2826z00_1739; 
BgL_resz00_3626 = BgL_arg2827z00_1740; 
BgL_resz00_1733 = BgL_resz00_3626; 
BgL_clausesz00_1732 = BgL_clausesz00_3625; 
goto BgL_loopz00_1734;} } } } 
return 
BBOOL(BgL_auxz00_3551);} } } 
}



/* spread-side-effect!-fail2716 */
obj_t BGl_spreadzd2sidezd2effectz12zd2fail2716zc0zzeffect_spreadz00(obj_t BgL_envz00_3076, obj_t BgL_nodez00_3077)
{ AN_OBJECT;
{ /* Effect/spread.scm 107 */
{ 
BgL_failz00_bglt BgL_nodez00_1716;
{ /* Effect/spread.scm 108 */
bool_t BgL_auxz00_3629;
BgL_nodez00_1716 = 
(BgL_failz00_bglt)(BgL_nodez00_3077); 
{ /* Effect/spread.scm 109 */
bool_t BgL_reszd2proczd2_1720;
{ /* Effect/spread.scm 109 */
BgL_nodez00_bglt BgL_arg2820z00_1725;
BgL_arg2820z00_1725 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1716))->BgL_procz00); 
{ /* Effect/spread.scm 109 */
bool_t BgL_res2888z00_2595;
{ /* Effect/spread.scm 109 */
obj_t BgL_method2696z00_2570;
{ /* Effect/spread.scm 109 */
long BgL_objzd2classzd2numz00_2572;
{ /* Effect/spread.scm 109 */
BgL_objectz00_bglt BgL_auxz00_3631;
BgL_auxz00_3631 = 
(BgL_objectz00_bglt)(BgL_arg2820z00_1725); 
BgL_objzd2classzd2numz00_2572 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3631); } 
{ /* Effect/spread.scm 109 */
obj_t BgL_arg1221z00_2573;
{ /* Effect/spread.scm 109 */
int BgL_auxz00_3634;
BgL_auxz00_3634 = 
(int)(((long)1)); 
BgL_arg1221z00_2573 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3634); } 
{ /* Effect/spread.scm 109 */
long BgL_offsetz00_2577;
{ /* Effect/spread.scm 109 */
long BgL_auxz00_3637;
{ /* Effect/spread.scm 109 */
int BgL_auxz00_3638;
BgL_auxz00_3638 = 
(int)(BgL_objzd2classzd2numz00_2572); 
BgL_auxz00_3637 = 
(long)(BgL_auxz00_3638); } 
BgL_offsetz00_2577 = 
(BgL_auxz00_3637-OBJECT_TYPE); } 
{ /* Effect/spread.scm 109 */
long BgL_modz00_2578;
{ /* Effect/spread.scm 109 */
long BgL_auxz00_3642;
{ /* Effect/spread.scm 109 */
int BgL_auxz00_3643;
BgL_auxz00_3643 = 
(int)(((long)8)); 
BgL_auxz00_3642 = 
(long)(BgL_auxz00_3643); } 
BgL_modz00_2578 = 
(BgL_offsetz00_2577/BgL_auxz00_3642); } 
{ /* Effect/spread.scm 109 */
long BgL_restz00_2580;
{ /* Effect/spread.scm 109 */
long BgL_auxz00_3647;
{ /* Effect/spread.scm 109 */
int BgL_auxz00_3648;
BgL_auxz00_3648 = 
(int)(((long)8)); 
BgL_auxz00_3647 = 
(long)(BgL_auxz00_3648); } 
BgL_restz00_2580 = 
(BgL_offsetz00_2577%BgL_auxz00_3647); } 
{ /* Effect/spread.scm 109 */

{ /* Effect/spread.scm 109 */
obj_t BgL_bucketz00_2582;
{ /* Effect/spread.scm 109 */
int BgL_kz00_2592;
BgL_kz00_2592 = 
(int)(BgL_modz00_2578); 
BgL_bucketz00_2582 = 
VECTOR_REF(BgL_arg1221z00_2573,BgL_kz00_2592); } 
{ /* Effect/spread.scm 109 */
int BgL_kz00_2594;
BgL_kz00_2594 = 
(int)(BgL_restz00_2580); 
BgL_method2696z00_2570 = 
VECTOR_REF(BgL_bucketz00_2582,BgL_kz00_2594); } } } } } } } } 
{ /* Effect/spread.scm 109 */
obj_t BgL_auxz00_3656;
BgL_auxz00_3656 = 
PROCEDURE_ENTRY(BgL_method2696z00_2570)(BgL_method2696z00_2570, 
(obj_t)(BgL_arg2820z00_1725), BEOA); 
BgL_res2888z00_2595 = 
CBOOL(BgL_auxz00_3656); } } 
BgL_reszd2proczd2_1720 = BgL_res2888z00_2595; } } 
{ /* Effect/spread.scm 109 */
bool_t BgL_reszd2msgzd2_1721;
{ /* Effect/spread.scm 110 */
BgL_nodez00_bglt BgL_arg2819z00_1724;
BgL_arg2819z00_1724 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1716))->BgL_msgz00); 
{ /* Effect/spread.scm 110 */
bool_t BgL_res2891z00_2623;
{ /* Effect/spread.scm 110 */
obj_t BgL_method2696z00_2598;
{ /* Effect/spread.scm 110 */
long BgL_objzd2classzd2numz00_2600;
{ /* Effect/spread.scm 110 */
BgL_objectz00_bglt BgL_auxz00_3662;
BgL_auxz00_3662 = 
(BgL_objectz00_bglt)(BgL_arg2819z00_1724); 
BgL_objzd2classzd2numz00_2600 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3662); } 
{ /* Effect/spread.scm 110 */
obj_t BgL_arg1221z00_2601;
{ /* Effect/spread.scm 110 */
int BgL_auxz00_3665;
BgL_auxz00_3665 = 
(int)(((long)1)); 
BgL_arg1221z00_2601 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3665); } 
{ /* Effect/spread.scm 110 */
long BgL_offsetz00_2605;
{ /* Effect/spread.scm 110 */
long BgL_auxz00_3668;
{ /* Effect/spread.scm 110 */
int BgL_auxz00_3669;
BgL_auxz00_3669 = 
(int)(BgL_objzd2classzd2numz00_2600); 
BgL_auxz00_3668 = 
(long)(BgL_auxz00_3669); } 
BgL_offsetz00_2605 = 
(BgL_auxz00_3668-OBJECT_TYPE); } 
{ /* Effect/spread.scm 110 */
long BgL_modz00_2606;
{ /* Effect/spread.scm 110 */
long BgL_auxz00_3673;
{ /* Effect/spread.scm 110 */
int BgL_auxz00_3674;
BgL_auxz00_3674 = 
(int)(((long)8)); 
BgL_auxz00_3673 = 
(long)(BgL_auxz00_3674); } 
BgL_modz00_2606 = 
(BgL_offsetz00_2605/BgL_auxz00_3673); } 
{ /* Effect/spread.scm 110 */
long BgL_restz00_2608;
{ /* Effect/spread.scm 110 */
long BgL_auxz00_3678;
{ /* Effect/spread.scm 110 */
int BgL_auxz00_3679;
BgL_auxz00_3679 = 
(int)(((long)8)); 
BgL_auxz00_3678 = 
(long)(BgL_auxz00_3679); } 
BgL_restz00_2608 = 
(BgL_offsetz00_2605%BgL_auxz00_3678); } 
{ /* Effect/spread.scm 110 */

{ /* Effect/spread.scm 110 */
obj_t BgL_bucketz00_2610;
{ /* Effect/spread.scm 110 */
int BgL_kz00_2620;
BgL_kz00_2620 = 
(int)(BgL_modz00_2606); 
BgL_bucketz00_2610 = 
VECTOR_REF(BgL_arg1221z00_2601,BgL_kz00_2620); } 
{ /* Effect/spread.scm 110 */
int BgL_kz00_2622;
BgL_kz00_2622 = 
(int)(BgL_restz00_2608); 
BgL_method2696z00_2598 = 
VECTOR_REF(BgL_bucketz00_2610,BgL_kz00_2622); } } } } } } } } 
{ /* Effect/spread.scm 110 */
obj_t BgL_auxz00_3687;
BgL_auxz00_3687 = 
PROCEDURE_ENTRY(BgL_method2696z00_2598)(BgL_method2696z00_2598, 
(obj_t)(BgL_arg2819z00_1724), BEOA); 
BgL_res2891z00_2623 = 
CBOOL(BgL_auxz00_3687); } } 
BgL_reszd2msgzd2_1721 = BgL_res2891z00_2623; } } 
{ /* Effect/spread.scm 110 */
bool_t BgL_reszd2objzd2_1722;
{ /* Effect/spread.scm 111 */
BgL_nodez00_bglt BgL_arg2818z00_1723;
BgL_arg2818z00_1723 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1716))->BgL_objz00); 
{ /* Effect/spread.scm 111 */
bool_t BgL_res2894z00_2651;
{ /* Effect/spread.scm 111 */
obj_t BgL_method2696z00_2626;
{ /* Effect/spread.scm 111 */
long BgL_objzd2classzd2numz00_2628;
{ /* Effect/spread.scm 111 */
BgL_objectz00_bglt BgL_auxz00_3693;
BgL_auxz00_3693 = 
(BgL_objectz00_bglt)(BgL_arg2818z00_1723); 
BgL_objzd2classzd2numz00_2628 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3693); } 
{ /* Effect/spread.scm 111 */
obj_t BgL_arg1221z00_2629;
{ /* Effect/spread.scm 111 */
int BgL_auxz00_3696;
BgL_auxz00_3696 = 
(int)(((long)1)); 
BgL_arg1221z00_2629 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3696); } 
{ /* Effect/spread.scm 111 */
long BgL_offsetz00_2633;
{ /* Effect/spread.scm 111 */
long BgL_auxz00_3699;
{ /* Effect/spread.scm 111 */
int BgL_auxz00_3700;
BgL_auxz00_3700 = 
(int)(BgL_objzd2classzd2numz00_2628); 
BgL_auxz00_3699 = 
(long)(BgL_auxz00_3700); } 
BgL_offsetz00_2633 = 
(BgL_auxz00_3699-OBJECT_TYPE); } 
{ /* Effect/spread.scm 111 */
long BgL_modz00_2634;
{ /* Effect/spread.scm 111 */
long BgL_auxz00_3704;
{ /* Effect/spread.scm 111 */
int BgL_auxz00_3705;
BgL_auxz00_3705 = 
(int)(((long)8)); 
BgL_auxz00_3704 = 
(long)(BgL_auxz00_3705); } 
BgL_modz00_2634 = 
(BgL_offsetz00_2633/BgL_auxz00_3704); } 
{ /* Effect/spread.scm 111 */
long BgL_restz00_2636;
{ /* Effect/spread.scm 111 */
long BgL_auxz00_3709;
{ /* Effect/spread.scm 111 */
int BgL_auxz00_3710;
BgL_auxz00_3710 = 
(int)(((long)8)); 
BgL_auxz00_3709 = 
(long)(BgL_auxz00_3710); } 
BgL_restz00_2636 = 
(BgL_offsetz00_2633%BgL_auxz00_3709); } 
{ /* Effect/spread.scm 111 */

{ /* Effect/spread.scm 111 */
obj_t BgL_bucketz00_2638;
{ /* Effect/spread.scm 111 */
int BgL_kz00_2648;
BgL_kz00_2648 = 
(int)(BgL_modz00_2634); 
BgL_bucketz00_2638 = 
VECTOR_REF(BgL_arg1221z00_2629,BgL_kz00_2648); } 
{ /* Effect/spread.scm 111 */
int BgL_kz00_2650;
BgL_kz00_2650 = 
(int)(BgL_restz00_2636); 
BgL_method2696z00_2626 = 
VECTOR_REF(BgL_bucketz00_2638,BgL_kz00_2650); } } } } } } } } 
{ /* Effect/spread.scm 111 */
obj_t BgL_auxz00_3718;
BgL_auxz00_3718 = 
PROCEDURE_ENTRY(BgL_method2696z00_2626)(BgL_method2696z00_2626, 
(obj_t)(BgL_arg2818z00_1723), BEOA); 
BgL_res2894z00_2651 = 
CBOOL(BgL_auxz00_3718); } } 
BgL_reszd2objzd2_1722 = BgL_res2894z00_2651; } } 
{ /* Effect/spread.scm 111 */

BgL_auxz00_3629 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_3629);} } } 
}



/* spread-side-effect!-conditional2714 */
obj_t BGl_spreadzd2sidezd2effectz12zd2conditional2714zc0zzeffect_spreadz00(obj_t BgL_envz00_3078, obj_t BgL_nodez00_3079)
{ AN_OBJECT;
{ /* Effect/spread.scm 95 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1701;
{ /* Effect/spread.scm 96 */
bool_t BgL_auxz00_3725;
BgL_nodez00_1701 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3079); 
{ /* Effect/spread.scm 97 */
bool_t BgL_reszd2testzd2_1705;
{ /* Effect/spread.scm 97 */
BgL_nodez00_bglt BgL_arg2816z00_1713;
BgL_arg2816z00_1713 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1701))->BgL_testz00); 
{ /* Effect/spread.scm 97 */
bool_t BgL_res2879z00_2509;
{ /* Effect/spread.scm 97 */
obj_t BgL_method2696z00_2484;
{ /* Effect/spread.scm 97 */
long BgL_objzd2classzd2numz00_2486;
{ /* Effect/spread.scm 97 */
BgL_objectz00_bglt BgL_auxz00_3727;
BgL_auxz00_3727 = 
(BgL_objectz00_bglt)(BgL_arg2816z00_1713); 
BgL_objzd2classzd2numz00_2486 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3727); } 
{ /* Effect/spread.scm 97 */
obj_t BgL_arg1221z00_2487;
{ /* Effect/spread.scm 97 */
int BgL_auxz00_3730;
BgL_auxz00_3730 = 
(int)(((long)1)); 
BgL_arg1221z00_2487 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3730); } 
{ /* Effect/spread.scm 97 */
long BgL_offsetz00_2491;
{ /* Effect/spread.scm 97 */
long BgL_auxz00_3733;
{ /* Effect/spread.scm 97 */
int BgL_auxz00_3734;
BgL_auxz00_3734 = 
(int)(BgL_objzd2classzd2numz00_2486); 
BgL_auxz00_3733 = 
(long)(BgL_auxz00_3734); } 
BgL_offsetz00_2491 = 
(BgL_auxz00_3733-OBJECT_TYPE); } 
{ /* Effect/spread.scm 97 */
long BgL_modz00_2492;
{ /* Effect/spread.scm 97 */
long BgL_auxz00_3738;
{ /* Effect/spread.scm 97 */
int BgL_auxz00_3739;
BgL_auxz00_3739 = 
(int)(((long)8)); 
BgL_auxz00_3738 = 
(long)(BgL_auxz00_3739); } 
BgL_modz00_2492 = 
(BgL_offsetz00_2491/BgL_auxz00_3738); } 
{ /* Effect/spread.scm 97 */
long BgL_restz00_2494;
{ /* Effect/spread.scm 97 */
long BgL_auxz00_3743;
{ /* Effect/spread.scm 97 */
int BgL_auxz00_3744;
BgL_auxz00_3744 = 
(int)(((long)8)); 
BgL_auxz00_3743 = 
(long)(BgL_auxz00_3744); } 
BgL_restz00_2494 = 
(BgL_offsetz00_2491%BgL_auxz00_3743); } 
{ /* Effect/spread.scm 97 */

{ /* Effect/spread.scm 97 */
obj_t BgL_bucketz00_2496;
{ /* Effect/spread.scm 97 */
int BgL_kz00_2506;
BgL_kz00_2506 = 
(int)(BgL_modz00_2492); 
BgL_bucketz00_2496 = 
VECTOR_REF(BgL_arg1221z00_2487,BgL_kz00_2506); } 
{ /* Effect/spread.scm 97 */
int BgL_kz00_2508;
BgL_kz00_2508 = 
(int)(BgL_restz00_2494); 
BgL_method2696z00_2484 = 
VECTOR_REF(BgL_bucketz00_2496,BgL_kz00_2508); } } } } } } } } 
{ /* Effect/spread.scm 97 */
obj_t BgL_auxz00_3752;
BgL_auxz00_3752 = 
PROCEDURE_ENTRY(BgL_method2696z00_2484)(BgL_method2696z00_2484, 
(obj_t)(BgL_arg2816z00_1713), BEOA); 
BgL_res2879z00_2509 = 
CBOOL(BgL_auxz00_3752); } } 
BgL_reszd2testzd2_1705 = BgL_res2879z00_2509; } } 
{ /* Effect/spread.scm 97 */
bool_t BgL_reszd2truezd2_1706;
{ /* Effect/spread.scm 98 */
BgL_nodez00_bglt BgL_arg2815z00_1712;
BgL_arg2815z00_1712 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1701))->BgL_truez00); 
{ /* Effect/spread.scm 98 */
bool_t BgL_res2882z00_2537;
{ /* Effect/spread.scm 98 */
obj_t BgL_method2696z00_2512;
{ /* Effect/spread.scm 98 */
long BgL_objzd2classzd2numz00_2514;
{ /* Effect/spread.scm 98 */
BgL_objectz00_bglt BgL_auxz00_3758;
BgL_auxz00_3758 = 
(BgL_objectz00_bglt)(BgL_arg2815z00_1712); 
BgL_objzd2classzd2numz00_2514 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3758); } 
{ /* Effect/spread.scm 98 */
obj_t BgL_arg1221z00_2515;
{ /* Effect/spread.scm 98 */
int BgL_auxz00_3761;
BgL_auxz00_3761 = 
(int)(((long)1)); 
BgL_arg1221z00_2515 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3761); } 
{ /* Effect/spread.scm 98 */
long BgL_offsetz00_2519;
{ /* Effect/spread.scm 98 */
long BgL_auxz00_3764;
{ /* Effect/spread.scm 98 */
int BgL_auxz00_3765;
BgL_auxz00_3765 = 
(int)(BgL_objzd2classzd2numz00_2514); 
BgL_auxz00_3764 = 
(long)(BgL_auxz00_3765); } 
BgL_offsetz00_2519 = 
(BgL_auxz00_3764-OBJECT_TYPE); } 
{ /* Effect/spread.scm 98 */
long BgL_modz00_2520;
{ /* Effect/spread.scm 98 */
long BgL_auxz00_3769;
{ /* Effect/spread.scm 98 */
int BgL_auxz00_3770;
BgL_auxz00_3770 = 
(int)(((long)8)); 
BgL_auxz00_3769 = 
(long)(BgL_auxz00_3770); } 
BgL_modz00_2520 = 
(BgL_offsetz00_2519/BgL_auxz00_3769); } 
{ /* Effect/spread.scm 98 */
long BgL_restz00_2522;
{ /* Effect/spread.scm 98 */
long BgL_auxz00_3774;
{ /* Effect/spread.scm 98 */
int BgL_auxz00_3775;
BgL_auxz00_3775 = 
(int)(((long)8)); 
BgL_auxz00_3774 = 
(long)(BgL_auxz00_3775); } 
BgL_restz00_2522 = 
(BgL_offsetz00_2519%BgL_auxz00_3774); } 
{ /* Effect/spread.scm 98 */

{ /* Effect/spread.scm 98 */
obj_t BgL_bucketz00_2524;
{ /* Effect/spread.scm 98 */
int BgL_kz00_2534;
BgL_kz00_2534 = 
(int)(BgL_modz00_2520); 
BgL_bucketz00_2524 = 
VECTOR_REF(BgL_arg1221z00_2515,BgL_kz00_2534); } 
{ /* Effect/spread.scm 98 */
int BgL_kz00_2536;
BgL_kz00_2536 = 
(int)(BgL_restz00_2522); 
BgL_method2696z00_2512 = 
VECTOR_REF(BgL_bucketz00_2524,BgL_kz00_2536); } } } } } } } } 
{ /* Effect/spread.scm 98 */
obj_t BgL_auxz00_3783;
BgL_auxz00_3783 = 
PROCEDURE_ENTRY(BgL_method2696z00_2512)(BgL_method2696z00_2512, 
(obj_t)(BgL_arg2815z00_1712), BEOA); 
BgL_res2882z00_2537 = 
CBOOL(BgL_auxz00_3783); } } 
BgL_reszd2truezd2_1706 = BgL_res2882z00_2537; } } 
{ /* Effect/spread.scm 98 */
bool_t BgL_reszd2falsezd2_1707;
{ /* Effect/spread.scm 99 */
BgL_nodez00_bglt BgL_arg2814z00_1711;
BgL_arg2814z00_1711 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1701))->BgL_falsez00); 
{ /* Effect/spread.scm 99 */
bool_t BgL_res2885z00_2565;
{ /* Effect/spread.scm 99 */
obj_t BgL_method2696z00_2540;
{ /* Effect/spread.scm 99 */
long BgL_objzd2classzd2numz00_2542;
{ /* Effect/spread.scm 99 */
BgL_objectz00_bglt BgL_auxz00_3789;
BgL_auxz00_3789 = 
(BgL_objectz00_bglt)(BgL_arg2814z00_1711); 
BgL_objzd2classzd2numz00_2542 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3789); } 
{ /* Effect/spread.scm 99 */
obj_t BgL_arg1221z00_2543;
{ /* Effect/spread.scm 99 */
int BgL_auxz00_3792;
BgL_auxz00_3792 = 
(int)(((long)1)); 
BgL_arg1221z00_2543 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3792); } 
{ /* Effect/spread.scm 99 */
long BgL_offsetz00_2547;
{ /* Effect/spread.scm 99 */
long BgL_auxz00_3795;
{ /* Effect/spread.scm 99 */
int BgL_auxz00_3796;
BgL_auxz00_3796 = 
(int)(BgL_objzd2classzd2numz00_2542); 
BgL_auxz00_3795 = 
(long)(BgL_auxz00_3796); } 
BgL_offsetz00_2547 = 
(BgL_auxz00_3795-OBJECT_TYPE); } 
{ /* Effect/spread.scm 99 */
long BgL_modz00_2548;
{ /* Effect/spread.scm 99 */
long BgL_auxz00_3800;
{ /* Effect/spread.scm 99 */
int BgL_auxz00_3801;
BgL_auxz00_3801 = 
(int)(((long)8)); 
BgL_auxz00_3800 = 
(long)(BgL_auxz00_3801); } 
BgL_modz00_2548 = 
(BgL_offsetz00_2547/BgL_auxz00_3800); } 
{ /* Effect/spread.scm 99 */
long BgL_restz00_2550;
{ /* Effect/spread.scm 99 */
long BgL_auxz00_3805;
{ /* Effect/spread.scm 99 */
int BgL_auxz00_3806;
BgL_auxz00_3806 = 
(int)(((long)8)); 
BgL_auxz00_3805 = 
(long)(BgL_auxz00_3806); } 
BgL_restz00_2550 = 
(BgL_offsetz00_2547%BgL_auxz00_3805); } 
{ /* Effect/spread.scm 99 */

{ /* Effect/spread.scm 99 */
obj_t BgL_bucketz00_2552;
{ /* Effect/spread.scm 99 */
int BgL_kz00_2562;
BgL_kz00_2562 = 
(int)(BgL_modz00_2548); 
BgL_bucketz00_2552 = 
VECTOR_REF(BgL_arg1221z00_2543,BgL_kz00_2562); } 
{ /* Effect/spread.scm 99 */
int BgL_kz00_2564;
BgL_kz00_2564 = 
(int)(BgL_restz00_2550); 
BgL_method2696z00_2540 = 
VECTOR_REF(BgL_bucketz00_2552,BgL_kz00_2564); } } } } } } } } 
{ /* Effect/spread.scm 99 */
obj_t BgL_auxz00_3814;
BgL_auxz00_3814 = 
PROCEDURE_ENTRY(BgL_method2696z00_2540)(BgL_method2696z00_2540, 
(obj_t)(BgL_arg2814z00_1711), BEOA); 
BgL_res2885z00_2565 = 
CBOOL(BgL_auxz00_3814); } } 
BgL_reszd2falsezd2_1707 = BgL_res2885z00_2565; } } 
{ /* Effect/spread.scm 99 */
bool_t BgL_resz00_1708;
if(BgL_reszd2testzd2_1705)
{ /* Effect/spread.scm 100 */
BgL_resz00_1708 = BgL_reszd2testzd2_1705; }  else 
{ /* Effect/spread.scm 100 */
if(BgL_reszd2truezd2_1706)
{ /* Effect/spread.scm 100 */
BgL_resz00_1708 = BgL_reszd2truezd2_1706; }  else 
{ /* Effect/spread.scm 100 */
BgL_resz00_1708 = BgL_reszd2falsezd2_1707; } } 
{ /* Effect/spread.scm 100 */

{ /* Effect/spread.scm 101 */
obj_t BgL_val2299z00_2567;
BgL_val2299z00_2567 = 
BBOOL(BgL_resz00_1708); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1701))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2299z00_2567), BUNSPEC); } 
BgL_auxz00_3725 = BgL_resz00_1708; } } } } } 
return 
BBOOL(BgL_auxz00_3725);} } } 
}



/* spread-side-effect!-setq2712 */
obj_t BGl_spreadzd2sidezd2effectz12zd2setq2712zc0zzeffect_spreadz00(obj_t BgL_envz00_3080, obj_t BgL_nodez00_3081)
{ AN_OBJECT;
{ /* Effect/spread.scm 87 */
{ 
BgL_setqz00_bglt BgL_nodez00_1694;
{ /* Effect/spread.scm 88 */
bool_t BgL_auxz00_3825;
BgL_nodez00_1694 = 
(BgL_setqz00_bglt)(BgL_nodez00_3081); 
{ /* Effect/spread.scm 88 */
BgL_nodez00_bglt BgL_arg2812z00_2453;
BgL_arg2812z00_2453 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1694))->BgL_valuez00); 
{ /* Effect/spread.scm 88 */
bool_t BgL_res2876z00_2481;
{ /* Effect/spread.scm 88 */
obj_t BgL_method2696z00_2456;
{ /* Effect/spread.scm 88 */
long BgL_objzd2classzd2numz00_2458;
{ /* Effect/spread.scm 88 */
BgL_objectz00_bglt BgL_auxz00_3827;
BgL_auxz00_3827 = 
(BgL_objectz00_bglt)(BgL_arg2812z00_2453); 
BgL_objzd2classzd2numz00_2458 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3827); } 
{ /* Effect/spread.scm 88 */
obj_t BgL_arg1221z00_2459;
{ /* Effect/spread.scm 88 */
int BgL_auxz00_3830;
BgL_auxz00_3830 = 
(int)(((long)1)); 
BgL_arg1221z00_2459 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3830); } 
{ /* Effect/spread.scm 88 */
long BgL_offsetz00_2463;
{ /* Effect/spread.scm 88 */
long BgL_auxz00_3833;
{ /* Effect/spread.scm 88 */
int BgL_auxz00_3834;
BgL_auxz00_3834 = 
(int)(BgL_objzd2classzd2numz00_2458); 
BgL_auxz00_3833 = 
(long)(BgL_auxz00_3834); } 
BgL_offsetz00_2463 = 
(BgL_auxz00_3833-OBJECT_TYPE); } 
{ /* Effect/spread.scm 88 */
long BgL_modz00_2464;
{ /* Effect/spread.scm 88 */
long BgL_auxz00_3838;
{ /* Effect/spread.scm 88 */
int BgL_auxz00_3839;
BgL_auxz00_3839 = 
(int)(((long)8)); 
BgL_auxz00_3838 = 
(long)(BgL_auxz00_3839); } 
BgL_modz00_2464 = 
(BgL_offsetz00_2463/BgL_auxz00_3838); } 
{ /* Effect/spread.scm 88 */
long BgL_restz00_2466;
{ /* Effect/spread.scm 88 */
long BgL_auxz00_3843;
{ /* Effect/spread.scm 88 */
int BgL_auxz00_3844;
BgL_auxz00_3844 = 
(int)(((long)8)); 
BgL_auxz00_3843 = 
(long)(BgL_auxz00_3844); } 
BgL_restz00_2466 = 
(BgL_offsetz00_2463%BgL_auxz00_3843); } 
{ /* Effect/spread.scm 88 */

{ /* Effect/spread.scm 88 */
obj_t BgL_bucketz00_2468;
{ /* Effect/spread.scm 88 */
int BgL_kz00_2478;
BgL_kz00_2478 = 
(int)(BgL_modz00_2464); 
BgL_bucketz00_2468 = 
VECTOR_REF(BgL_arg1221z00_2459,BgL_kz00_2478); } 
{ /* Effect/spread.scm 88 */
int BgL_kz00_2480;
BgL_kz00_2480 = 
(int)(BgL_restz00_2466); 
BgL_method2696z00_2456 = 
VECTOR_REF(BgL_bucketz00_2468,BgL_kz00_2480); } } } } } } } } 
{ /* Effect/spread.scm 88 */
obj_t BgL_auxz00_3852;
BgL_auxz00_3852 = 
PROCEDURE_ENTRY(BgL_method2696z00_2456)(BgL_method2696z00_2456, 
(obj_t)(BgL_arg2812z00_2453), BEOA); 
BgL_res2876z00_2481 = 
CBOOL(BgL_auxz00_3852); } } BgL_res2876z00_2481; } } 
BgL_auxz00_3825 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_3825);} } } 
}



/* spread-side-effect!-cast2710 */
obj_t BGl_spreadzd2sidezd2effectz12zd2cast2710zc0zzeffect_spreadz00(obj_t BgL_envz00_3082, obj_t BgL_nodez00_3083)
{ AN_OBJECT;
{ /* Effect/spread.scm 80 */
{ 
BgL_castz00_bglt BgL_nodez00_1687;
{ /* Effect/spread.scm 81 */
bool_t BgL_auxz00_3859;
BgL_nodez00_1687 = 
(BgL_castz00_bglt)(BgL_nodez00_3083); 
{ /* Effect/spread.scm 81 */
BgL_nodez00_bglt BgL_arg2810z00_2423;
BgL_arg2810z00_2423 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1687))->BgL_argz00); 
{ /* Effect/spread.scm 81 */
bool_t BgL_res2873z00_2451;
{ /* Effect/spread.scm 81 */
obj_t BgL_method2696z00_2426;
{ /* Effect/spread.scm 81 */
long BgL_objzd2classzd2numz00_2428;
{ /* Effect/spread.scm 81 */
BgL_objectz00_bglt BgL_auxz00_3861;
BgL_auxz00_3861 = 
(BgL_objectz00_bglt)(BgL_arg2810z00_2423); 
BgL_objzd2classzd2numz00_2428 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3861); } 
{ /* Effect/spread.scm 81 */
obj_t BgL_arg1221z00_2429;
{ /* Effect/spread.scm 81 */
int BgL_auxz00_3864;
BgL_auxz00_3864 = 
(int)(((long)1)); 
BgL_arg1221z00_2429 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3864); } 
{ /* Effect/spread.scm 81 */
long BgL_offsetz00_2433;
{ /* Effect/spread.scm 81 */
long BgL_auxz00_3867;
{ /* Effect/spread.scm 81 */
int BgL_auxz00_3868;
BgL_auxz00_3868 = 
(int)(BgL_objzd2classzd2numz00_2428); 
BgL_auxz00_3867 = 
(long)(BgL_auxz00_3868); } 
BgL_offsetz00_2433 = 
(BgL_auxz00_3867-OBJECT_TYPE); } 
{ /* Effect/spread.scm 81 */
long BgL_modz00_2434;
{ /* Effect/spread.scm 81 */
long BgL_auxz00_3872;
{ /* Effect/spread.scm 81 */
int BgL_auxz00_3873;
BgL_auxz00_3873 = 
(int)(((long)8)); 
BgL_auxz00_3872 = 
(long)(BgL_auxz00_3873); } 
BgL_modz00_2434 = 
(BgL_offsetz00_2433/BgL_auxz00_3872); } 
{ /* Effect/spread.scm 81 */
long BgL_restz00_2436;
{ /* Effect/spread.scm 81 */
long BgL_auxz00_3877;
{ /* Effect/spread.scm 81 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)8)); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_restz00_2436 = 
(BgL_offsetz00_2433%BgL_auxz00_3877); } 
{ /* Effect/spread.scm 81 */

{ /* Effect/spread.scm 81 */
obj_t BgL_bucketz00_2438;
{ /* Effect/spread.scm 81 */
int BgL_kz00_2448;
BgL_kz00_2448 = 
(int)(BgL_modz00_2434); 
BgL_bucketz00_2438 = 
VECTOR_REF(BgL_arg1221z00_2429,BgL_kz00_2448); } 
{ /* Effect/spread.scm 81 */
int BgL_kz00_2450;
BgL_kz00_2450 = 
(int)(BgL_restz00_2436); 
BgL_method2696z00_2426 = 
VECTOR_REF(BgL_bucketz00_2438,BgL_kz00_2450); } } } } } } } } 
{ /* Effect/spread.scm 81 */
obj_t BgL_auxz00_3886;
BgL_auxz00_3886 = 
PROCEDURE_ENTRY(BgL_method2696z00_2426)(BgL_method2696z00_2426, 
(obj_t)(BgL_arg2810z00_2423), BEOA); 
BgL_res2873z00_2451 = 
CBOOL(BgL_auxz00_3886); } } 
BgL_auxz00_3859 = BgL_res2873z00_2451; } } 
return 
BBOOL(BgL_auxz00_3859);} } } 
}



/* spread-side-effect!-extern2708 */
obj_t BGl_spreadzd2sidezd2effectz12zd2extern2708zc0zzeffect_spreadz00(obj_t BgL_envz00_3084, obj_t BgL_nodez00_3085)
{ AN_OBJECT;
{ /* Effect/spread.scm 71 */
{ 
BgL_externz00_bglt BgL_nodez00_1678;
BgL_nodez00_1678 = 
(BgL_externz00_bglt)(BgL_nodez00_3085); 
{ /* Effect/spread.scm 73 */
obj_t BgL_resz00_1682;
{ /* Effect/spread.scm 73 */
bool_t BgL__ortest_2663z00_1683;
BgL__ortest_2663z00_1683 = 
BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1678))->BgL_exprza2za2)); 
if(BgL__ortest_2663z00_1683)
{ /* Effect/spread.scm 73 */
BgL_resz00_1682 = 
BBOOL(BgL__ortest_2663z00_1683); }  else 
{ /* Effect/spread.scm 73 */
BgL_resz00_1682 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1678))->BgL_sidezd2effectzf3z21); } } 
((((BgL_externz00_bglt)CREF(BgL_nodez00_1678))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_resz00_1682), BUNSPEC); 
return BgL_resz00_1682;} } } 
}



/* spread-side-effect!-funcall2706 */
obj_t BGl_spreadzd2sidezd2effectz12zd2funcall2706zc0zzeffect_spreadz00(obj_t BgL_envz00_3086, obj_t BgL_nodez00_3087)
{ AN_OBJECT;
{ /* Effect/spread.scm 62 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1670;
{ /* Effect/spread.scm 63 */
bool_t BgL_auxz00_3900;
BgL_nodez00_1670 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3087); 
{ /* Effect/spread.scm 64 */
BgL_nodez00_bglt BgL_arg2805z00_1674;
BgL_arg2805z00_1674 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1670))->BgL_funz00); 
{ /* Effect/spread.scm 64 */
bool_t BgL_res2870z00_2416;
{ /* Effect/spread.scm 64 */
obj_t BgL_method2696z00_2391;
{ /* Effect/spread.scm 64 */
long BgL_objzd2classzd2numz00_2393;
{ /* Effect/spread.scm 64 */
BgL_objectz00_bglt BgL_auxz00_3902;
BgL_auxz00_3902 = 
(BgL_objectz00_bglt)(BgL_arg2805z00_1674); 
BgL_objzd2classzd2numz00_2393 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3902); } 
{ /* Effect/spread.scm 64 */
obj_t BgL_arg1221z00_2394;
{ /* Effect/spread.scm 64 */
int BgL_auxz00_3905;
BgL_auxz00_3905 = 
(int)(((long)1)); 
BgL_arg1221z00_2394 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3905); } 
{ /* Effect/spread.scm 64 */
long BgL_offsetz00_2398;
{ /* Effect/spread.scm 64 */
long BgL_auxz00_3908;
{ /* Effect/spread.scm 64 */
int BgL_auxz00_3909;
BgL_auxz00_3909 = 
(int)(BgL_objzd2classzd2numz00_2393); 
BgL_auxz00_3908 = 
(long)(BgL_auxz00_3909); } 
BgL_offsetz00_2398 = 
(BgL_auxz00_3908-OBJECT_TYPE); } 
{ /* Effect/spread.scm 64 */
long BgL_modz00_2399;
{ /* Effect/spread.scm 64 */
long BgL_auxz00_3913;
{ /* Effect/spread.scm 64 */
int BgL_auxz00_3914;
BgL_auxz00_3914 = 
(int)(((long)8)); 
BgL_auxz00_3913 = 
(long)(BgL_auxz00_3914); } 
BgL_modz00_2399 = 
(BgL_offsetz00_2398/BgL_auxz00_3913); } 
{ /* Effect/spread.scm 64 */
long BgL_restz00_2401;
{ /* Effect/spread.scm 64 */
long BgL_auxz00_3918;
{ /* Effect/spread.scm 64 */
int BgL_auxz00_3919;
BgL_auxz00_3919 = 
(int)(((long)8)); 
BgL_auxz00_3918 = 
(long)(BgL_auxz00_3919); } 
BgL_restz00_2401 = 
(BgL_offsetz00_2398%BgL_auxz00_3918); } 
{ /* Effect/spread.scm 64 */

{ /* Effect/spread.scm 64 */
obj_t BgL_bucketz00_2403;
{ /* Effect/spread.scm 64 */
int BgL_kz00_2413;
BgL_kz00_2413 = 
(int)(BgL_modz00_2399); 
BgL_bucketz00_2403 = 
VECTOR_REF(BgL_arg1221z00_2394,BgL_kz00_2413); } 
{ /* Effect/spread.scm 64 */
int BgL_kz00_2415;
BgL_kz00_2415 = 
(int)(BgL_restz00_2401); 
BgL_method2696z00_2391 = 
VECTOR_REF(BgL_bucketz00_2403,BgL_kz00_2415); } } } } } } } } 
{ /* Effect/spread.scm 64 */
obj_t BgL_auxz00_3927;
BgL_auxz00_3927 = 
PROCEDURE_ENTRY(BgL_method2696z00_2391)(BgL_method2696z00_2391, 
(obj_t)(BgL_arg2805z00_1674), BEOA); 
BgL_res2870z00_2416 = 
CBOOL(BgL_auxz00_3927); } } BgL_res2870z00_2416; } } 
BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1670))->BgL_argsz00)); 
BgL_auxz00_3900 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_3900);} } } 
}



/* spread-side-effect!-app-ly2704 */
obj_t BGl_spreadzd2sidezd2effectz12zd2appzd2ly2704z12zzeffect_spreadz00(obj_t BgL_envz00_3088, obj_t BgL_nodez00_3089)
{ AN_OBJECT;
{ /* Effect/spread.scm 53 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1662;
{ /* Effect/spread.scm 54 */
bool_t BgL_auxz00_3936;
BgL_nodez00_1662 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3089); 
{ /* Effect/spread.scm 55 */
BgL_nodez00_bglt BgL_arg2801z00_1666;
BgL_arg2801z00_1666 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1662))->BgL_funz00); 
{ /* Effect/spread.scm 55 */
bool_t BgL_res2864z00_2360;
{ /* Effect/spread.scm 55 */
obj_t BgL_method2696z00_2335;
{ /* Effect/spread.scm 55 */
long BgL_objzd2classzd2numz00_2337;
{ /* Effect/spread.scm 55 */
BgL_objectz00_bglt BgL_auxz00_3938;
BgL_auxz00_3938 = 
(BgL_objectz00_bglt)(BgL_arg2801z00_1666); 
BgL_objzd2classzd2numz00_2337 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3938); } 
{ /* Effect/spread.scm 55 */
obj_t BgL_arg1221z00_2338;
{ /* Effect/spread.scm 55 */
int BgL_auxz00_3941;
BgL_auxz00_3941 = 
(int)(((long)1)); 
BgL_arg1221z00_2338 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3941); } 
{ /* Effect/spread.scm 55 */
long BgL_offsetz00_2342;
{ /* Effect/spread.scm 55 */
long BgL_auxz00_3944;
{ /* Effect/spread.scm 55 */
int BgL_auxz00_3945;
BgL_auxz00_3945 = 
(int)(BgL_objzd2classzd2numz00_2337); 
BgL_auxz00_3944 = 
(long)(BgL_auxz00_3945); } 
BgL_offsetz00_2342 = 
(BgL_auxz00_3944-OBJECT_TYPE); } 
{ /* Effect/spread.scm 55 */
long BgL_modz00_2343;
{ /* Effect/spread.scm 55 */
long BgL_auxz00_3949;
{ /* Effect/spread.scm 55 */
int BgL_auxz00_3950;
BgL_auxz00_3950 = 
(int)(((long)8)); 
BgL_auxz00_3949 = 
(long)(BgL_auxz00_3950); } 
BgL_modz00_2343 = 
(BgL_offsetz00_2342/BgL_auxz00_3949); } 
{ /* Effect/spread.scm 55 */
long BgL_restz00_2345;
{ /* Effect/spread.scm 55 */
long BgL_auxz00_3954;
{ /* Effect/spread.scm 55 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(((long)8)); 
BgL_auxz00_3954 = 
(long)(BgL_auxz00_3955); } 
BgL_restz00_2345 = 
(BgL_offsetz00_2342%BgL_auxz00_3954); } 
{ /* Effect/spread.scm 55 */

{ /* Effect/spread.scm 55 */
obj_t BgL_bucketz00_2347;
{ /* Effect/spread.scm 55 */
int BgL_kz00_2357;
BgL_kz00_2357 = 
(int)(BgL_modz00_2343); 
BgL_bucketz00_2347 = 
VECTOR_REF(BgL_arg1221z00_2338,BgL_kz00_2357); } 
{ /* Effect/spread.scm 55 */
int BgL_kz00_2359;
BgL_kz00_2359 = 
(int)(BgL_restz00_2345); 
BgL_method2696z00_2335 = 
VECTOR_REF(BgL_bucketz00_2347,BgL_kz00_2359); } } } } } } } } 
{ /* Effect/spread.scm 55 */
obj_t BgL_auxz00_3963;
BgL_auxz00_3963 = 
PROCEDURE_ENTRY(BgL_method2696z00_2335)(BgL_method2696z00_2335, 
(obj_t)(BgL_arg2801z00_1666), BEOA); 
BgL_res2864z00_2360 = 
CBOOL(BgL_auxz00_3963); } } BgL_res2864z00_2360; } } 
{ /* Effect/spread.scm 56 */
BgL_nodez00_bglt BgL_arg2802z00_1667;
BgL_arg2802z00_1667 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1662))->BgL_argz00); 
{ /* Effect/spread.scm 56 */
bool_t BgL_res2867z00_2388;
{ /* Effect/spread.scm 56 */
obj_t BgL_method2696z00_2363;
{ /* Effect/spread.scm 56 */
long BgL_objzd2classzd2numz00_2365;
{ /* Effect/spread.scm 56 */
BgL_objectz00_bglt BgL_auxz00_3969;
BgL_auxz00_3969 = 
(BgL_objectz00_bglt)(BgL_arg2802z00_1667); 
BgL_objzd2classzd2numz00_2365 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3969); } 
{ /* Effect/spread.scm 56 */
obj_t BgL_arg1221z00_2366;
{ /* Effect/spread.scm 56 */
int BgL_auxz00_3972;
BgL_auxz00_3972 = 
(int)(((long)1)); 
BgL_arg1221z00_2366 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_3972); } 
{ /* Effect/spread.scm 56 */
long BgL_offsetz00_2370;
{ /* Effect/spread.scm 56 */
long BgL_auxz00_3975;
{ /* Effect/spread.scm 56 */
int BgL_auxz00_3976;
BgL_auxz00_3976 = 
(int)(BgL_objzd2classzd2numz00_2365); 
BgL_auxz00_3975 = 
(long)(BgL_auxz00_3976); } 
BgL_offsetz00_2370 = 
(BgL_auxz00_3975-OBJECT_TYPE); } 
{ /* Effect/spread.scm 56 */
long BgL_modz00_2371;
{ /* Effect/spread.scm 56 */
long BgL_auxz00_3980;
{ /* Effect/spread.scm 56 */
int BgL_auxz00_3981;
BgL_auxz00_3981 = 
(int)(((long)8)); 
BgL_auxz00_3980 = 
(long)(BgL_auxz00_3981); } 
BgL_modz00_2371 = 
(BgL_offsetz00_2370/BgL_auxz00_3980); } 
{ /* Effect/spread.scm 56 */
long BgL_restz00_2373;
{ /* Effect/spread.scm 56 */
long BgL_auxz00_3985;
{ /* Effect/spread.scm 56 */
int BgL_auxz00_3986;
BgL_auxz00_3986 = 
(int)(((long)8)); 
BgL_auxz00_3985 = 
(long)(BgL_auxz00_3986); } 
BgL_restz00_2373 = 
(BgL_offsetz00_2370%BgL_auxz00_3985); } 
{ /* Effect/spread.scm 56 */

{ /* Effect/spread.scm 56 */
obj_t BgL_bucketz00_2375;
{ /* Effect/spread.scm 56 */
int BgL_kz00_2385;
BgL_kz00_2385 = 
(int)(BgL_modz00_2371); 
BgL_bucketz00_2375 = 
VECTOR_REF(BgL_arg1221z00_2366,BgL_kz00_2385); } 
{ /* Effect/spread.scm 56 */
int BgL_kz00_2387;
BgL_kz00_2387 = 
(int)(BgL_restz00_2373); 
BgL_method2696z00_2363 = 
VECTOR_REF(BgL_bucketz00_2375,BgL_kz00_2387); } } } } } } } } 
{ /* Effect/spread.scm 56 */
obj_t BgL_auxz00_3994;
BgL_auxz00_3994 = 
PROCEDURE_ENTRY(BgL_method2696z00_2363)(BgL_method2696z00_2363, 
(obj_t)(BgL_arg2802z00_1667), BEOA); 
BgL_res2867z00_2388 = 
CBOOL(BgL_auxz00_3994); } } BgL_res2867z00_2388; } } 
BgL_auxz00_3936 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_3936);} } } 
}



/* spread-side-effect!-app2702 */
obj_t BGl_spreadzd2sidezd2effectz12zd2app2702zc0zzeffect_spreadz00(obj_t BgL_envz00_3090, obj_t BgL_nodez00_3091)
{ AN_OBJECT;
{ /* Effect/spread.scm 43 */
{ 
BgL_appz00_bglt BgL_nodez00_1650;
BgL_nodez00_1650 = 
(BgL_appz00_bglt)(BgL_nodez00_3091); 
{ /* Effect/spread.scm 45 */
obj_t BgL_resz00_1654;
{ /* Effect/spread.scm 45 */
bool_t BgL__ortest_2656z00_1655;
BgL__ortest_2656z00_1655 = 
BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1650))->BgL_argsz00)); 
if(BgL__ortest_2656z00_1655)
{ /* Effect/spread.scm 45 */
BgL_resz00_1654 = 
BBOOL(BgL__ortest_2656z00_1655); }  else 
{ /* Effect/spread.scm 46 */
BgL_funz00_bglt BgL_obj1311z00_2330;
{ /* Effect/spread.scm 46 */
BgL_valuez00_bglt BgL_auxz00_4005;
{ /* Effect/spread.scm 46 */
BgL_variablez00_bglt BgL_arg2796z00_1657;
{ /* Effect/spread.scm 46 */
BgL_varz00_bglt BgL_arg2797z00_1658;
BgL_arg2797z00_1658 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1650))->BgL_funz00); 
BgL_arg2796z00_1657 = 
(((BgL_varz00_bglt)CREF(BgL_arg2797z00_1658))->BgL_variablez00); } 
BgL_auxz00_4005 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2796z00_1657))->BgL_valuez00); } 
BgL_obj1311z00_2330 = 
(BgL_funz00_bglt)(BgL_auxz00_4005); } 
BgL_resz00_1654 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2330))->BgL_sidezd2effectzf3z21); } } 
((((BgL_appz00_bglt)CREF(BgL_nodez00_1650))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_resz00_1654), BUNSPEC); 
return BgL_resz00_1654;} } } 
}



/* spread-side-effect!-sequence2700 */
obj_t BGl_spreadzd2sidezd2effectz12zd2sequence2700zc0zzeffect_spreadz00(obj_t BgL_envz00_3092, obj_t BgL_nodez00_3093)
{ AN_OBJECT;
{ /* Effect/spread.scm 35 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1643;
{ /* Effect/spread.scm 36 */
bool_t BgL_auxz00_4013;
BgL_nodez00_1643 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3093); 
{ /* Effect/spread.scm 36 */
bool_t BgL_resz00_1646;
BgL_resz00_1646 = 
BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1643))->BgL_nodesz00)); 
{ /* Effect/spread.scm 37 */
obj_t BgL_val1685z00_2325;
BgL_val1685z00_2325 = 
BBOOL(BgL_resz00_1646); 
((((BgL_sequencez00_bglt)CREF(BgL_nodez00_1643))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1685z00_2325), BUNSPEC); } 
BgL_auxz00_4013 = BgL_resz00_1646; } 
return 
BBOOL(BgL_auxz00_4013);} } } 
}



/* spread-side-effect!-var2698 */
obj_t BGl_spreadzd2sidezd2effectz12zd2var2698zc0zzeffect_spreadz00(obj_t BgL_envz00_3094, obj_t BgL_nodez00_3095)
{ AN_OBJECT;
{ /* Effect/spread.scm 29 */
{ 
BgL_varz00_bglt BgL_nodez00_1634;
{ /* Effect/spread.scm 30 */
bool_t BgL_auxz00_4020;
BgL_nodez00_1634 = 
(BgL_varz00_bglt)(BgL_nodez00_3095); 
{ /* Effect/spread.scm 30 */
bool_t BgL_testz00_4021;
{ /* Effect/spread.scm 30 */
obj_t BgL_auxz00_4025;obj_t BgL_auxz00_4022;
BgL_auxz00_4025 = 
CNST_TABLE_REF(((long)0)); 
{ /* Effect/spread.scm 30 */
BgL_variablez00_bglt BgL_arg2790z00_1640;
BgL_arg2790z00_1640 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1634))->BgL_variablez00); 
BgL_auxz00_4022 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2790z00_1640))->BgL_accessz00); } 
BgL_testz00_4021 = 
(BgL_auxz00_4022==BgL_auxz00_4025); } 
if(BgL_testz00_4021)
{ /* Effect/spread.scm 30 */
BgL_auxz00_4020 = ((bool_t)0)
; }  else 
{ /* Effect/spread.scm 30 */
BgL_auxz00_4020 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_4020);} } } 
}



/* spread-side-effect! */
bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Effect/spread.scm 23 */
{ /* Effect/spread.scm 23 */
obj_t BgL_method2696z00_3015;
{ /* Effect/spread.scm 23 */
long BgL_objzd2classzd2numz00_3017;
{ /* Effect/spread.scm 23 */
BgL_objectz00_bglt BgL_auxz00_4030;
BgL_auxz00_4030 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_3017 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4030); } 
{ /* Effect/spread.scm 23 */
obj_t BgL_arg1221z00_3018;
{ /* Effect/spread.scm 23 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(((long)1)); 
BgL_arg1221z00_3018 = 
PROCEDURE_REF(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00, BgL_auxz00_4033); } 
{ /* Effect/spread.scm 23 */
long BgL_offsetz00_3022;
{ /* Effect/spread.scm 23 */
long BgL_auxz00_4036;
{ /* Effect/spread.scm 23 */
int BgL_auxz00_4037;
BgL_auxz00_4037 = 
(int)(BgL_objzd2classzd2numz00_3017); 
BgL_auxz00_4036 = 
(long)(BgL_auxz00_4037); } 
BgL_offsetz00_3022 = 
(BgL_auxz00_4036-OBJECT_TYPE); } 
{ /* Effect/spread.scm 23 */
long BgL_modz00_3023;
{ /* Effect/spread.scm 23 */
long BgL_auxz00_4041;
{ /* Effect/spread.scm 23 */
int BgL_auxz00_4042;
BgL_auxz00_4042 = 
(int)(((long)8)); 
BgL_auxz00_4041 = 
(long)(BgL_auxz00_4042); } 
BgL_modz00_3023 = 
(BgL_offsetz00_3022/BgL_auxz00_4041); } 
{ /* Effect/spread.scm 23 */
long BgL_restz00_3025;
{ /* Effect/spread.scm 23 */
long BgL_auxz00_4046;
{ /* Effect/spread.scm 23 */
int BgL_auxz00_4047;
BgL_auxz00_4047 = 
(int)(((long)8)); 
BgL_auxz00_4046 = 
(long)(BgL_auxz00_4047); } 
BgL_restz00_3025 = 
(BgL_offsetz00_3022%BgL_auxz00_4046); } 
{ /* Effect/spread.scm 23 */

{ /* Effect/spread.scm 23 */
obj_t BgL_bucketz00_3027;
{ /* Effect/spread.scm 23 */
int BgL_kz00_3037;
BgL_kz00_3037 = 
(int)(BgL_modz00_3023); 
BgL_bucketz00_3027 = 
VECTOR_REF(BgL_arg1221z00_3018,BgL_kz00_3037); } 
{ /* Effect/spread.scm 23 */
int BgL_kz00_3039;
BgL_kz00_3039 = 
(int)(BgL_restz00_3025); 
BgL_method2696z00_3015 = 
VECTOR_REF(BgL_bucketz00_3027,BgL_kz00_3039); } } } } } } } } 
{ /* Effect/spread.scm 23 */
obj_t BgL_auxz00_4055;
BgL_auxz00_4055 = 
PROCEDURE_ENTRY(BgL_method2696z00_3015)(BgL_method2696z00_3015, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
CBOOL(BgL_auxz00_4055);} } } 
}



/* _spread-side-effect! */
obj_t BGl__spreadzd2sidezd2effectz12z12zzeffect_spreadz00(obj_t BgL_envz00_3040, obj_t BgL_nodez00_3041)
{ AN_OBJECT;
{ /* Effect/spread.scm 23 */
{ /* Effect/spread.scm 23 */
bool_t BgL_auxz00_4060;
BgL_auxz00_4060 = 
BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
(BgL_nodez00_bglt)(BgL_nodez00_3041)); 
return 
BBOOL(BgL_auxz00_4060);} } 
}



/* spread-side-effect!-default2695 */
bool_t BGl_spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
return ((bool_t)0);} 
}



/* _spread-side-effect!-default2695 */
obj_t BGl__spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00(obj_t BgL_envz00_3096, obj_t BgL_nodez00_3097)
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
{ /* Effect/spread.scm 15 */
bool_t BgL_auxz00_4064;
BgL_auxz00_4064 = 
BGl_spreadzd2sidezd2effectz12zd2default2695zc0zzeffect_spreadz00(
(BgL_nodez00_bglt)(BgL_nodez00_3097)); 
return 
BBOOL(BgL_auxz00_4064);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
{ AN_OBJECT;
{ /* Effect/spread.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "effect_spread"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "effect_spread"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "effect_spread");} 
}

