/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_localzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_localzf2fromzf2_bglt;

typedef struct BgL_globalzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_globalzf2fromzf2_bglt;


static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t current_error_port;
static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
static obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t);
static obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
extern obj_t BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
extern bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
static obj_t __cnst[ 3 ] ;

extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
DEFINE_STRING( BGl_string2916z00zzeffect_walkz00, BgL_bgl_string2916za700za7za7effect_walkza7002921z00, "done (reset-effect-tables!) pass-started ", 41 );
DEFINE_STRING( BGl_string2915z00zzeffect_walkz00, BgL_bgl_string2915za700za7za7effect_walkza7002922z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2914z00zzeffect_walkz00, BgL_bgl_string2914za700za7za7effect_walkza7002923z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2913z00zzeffect_walkz00, BgL_bgl_string2913za700za7za7effect_walkza7002924z00, " error", 6 );
DEFINE_STRING( BGl_string2912z00zzeffect_walkz00, BgL_bgl_string2912za700za7za7effect_walkza7002925z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2911z00zzeffect_walkz00, BgL_bgl_string2911za700za7za7effect_walkza7002926z00, "   . ", 5 );
DEFINE_STRING( BGl_string2910z00zzeffect_walkz00, BgL_bgl_string2910za700za7za7effect_walkza7002927z00, "Effect", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_effectzd2walkz12zd2envz12zzeffect_walkz00, BgL_bgl__effectza7d2walkza712za7c0za7za7effect_walkza7002928z00, BGl__effectzd2walkz12zc0zzeffect_walkz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long BgL_checksumz00_2425, char * BgL_fromz00_2426)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(); 
BGl_cnstzd2initzd2zzeffect_walkz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
{ AN_OBJECT;
{ /* Effect/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "effect_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "effect_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
{ AN_OBJECT;
{ /* Effect/walk.scm 15 */
{ /* Effect/walk.scm 15 */
obj_t BgL_cportz00_2418;
BgL_cportz00_2418 = 
open_input_string(BGl_string2916z00zzeffect_walkz00); 
{ 
long BgL_iz00_2419;
BgL_iz00_2419 = ((long)2); 
BgL_loopz00_2420:
if(
(BgL_iz00_2419==((long)-1)))
{ /* Effect/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Effect/walk.scm 15 */
{ /* Effect/walk.scm 15 */
obj_t BgL_arg2918z00_2422;
{ /* Effect/walk.scm 15 */
obj_t BgL_list2919z00_2423;
BgL_list2919z00_2423 = 
MAKE_PAIR(BgL_cportz00_2418, BNIL); 
BgL_arg2918z00_2422 = 
BGl_readz00zz__readerz00(BgL_list2919z00_2423); } 
{ /* Effect/walk.scm 15 */
int BgL_auxz00_2443;
BgL_auxz00_2443 = 
(int)(BgL_iz00_2419); 
CNST_TABLE_SET(BgL_auxz00_2443, BgL_arg2918z00_2422); } } 
{ 
long BgL_iz00_2446;
{ /* Effect/walk.scm 15 */
int BgL_auxz00_2447;
{ /* Effect/walk.scm 15 */
long BgL_auxz00_2448;
BgL_auxz00_2448 = 
(BgL_iz00_2419-((long)1)); 
BgL_auxz00_2447 = 
(int)(BgL_auxz00_2448); } 
BgL_iz00_2446 = 
(long)(BgL_auxz00_2447); } 
BgL_iz00_2419 = BgL_iz00_2446; 
goto BgL_loopz00_2420;} } } } } 
}



/* effect-walk! */
obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Effect/walk.scm 29 */
{ /* Effect/walk.scm 30 */
obj_t BgL_list2794z00_1336;
{ /* Effect/walk.scm 30 */
obj_t BgL_arg2796z00_1338;
{ /* Effect/walk.scm 30 */
obj_t BgL_arg2799z00_1340;
{ /* Effect/walk.scm 30 */
obj_t BgL_auxz00_2452;
BgL_auxz00_2452 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2799z00_1340 = 
MAKE_PAIR(BgL_auxz00_2452, BNIL); } 
BgL_arg2796z00_1338 = 
MAKE_PAIR(BGl_string2910z00zzeffect_walkz00, BgL_arg2799z00_1340); } 
BgL_list2794z00_1336 = 
MAKE_PAIR(BGl_string2911z00zzeffect_walkz00, BgL_arg2796z00_1338); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2794z00_1336); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2910z00zzeffect_walkz00; 
{ 
obj_t BgL_hooksz00_1341;obj_t BgL_hnamesz00_1342;
BgL_hooksz00_1341 = BNIL; 
BgL_hnamesz00_1342 = BNIL; 
BgL_loopz00_1343:
if(
NULLP(BgL_hooksz00_1341))
{ /* Effect/walk.scm 30 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Effect/walk.scm 30 */
bool_t BgL_test2804z00_1348;
{ /* Effect/walk.scm 30 */
obj_t BgL_fun2810z00_1354;
BgL_fun2810z00_1354 = 
CAR(BgL_hooksz00_1341); 
{ /* Effect/walk.scm 30 */
obj_t BgL_auxz00_2464;
BgL_auxz00_2464 = 
PROCEDURE_ENTRY(BgL_fun2810z00_1354)(BgL_fun2810z00_1354, BEOA); 
BgL_test2804z00_1348 = 
CBOOL(BgL_auxz00_2464); } } 
if(BgL_test2804z00_1348)
{ /* Effect/walk.scm 30 */
{ 
obj_t BgL_hnamesz00_2471;obj_t BgL_hooksz00_2469;
BgL_hooksz00_2469 = 
CDR(BgL_hooksz00_1341); 
BgL_hnamesz00_2471 = 
CDR(BgL_hnamesz00_1342); 
BgL_hnamesz00_1342 = BgL_hnamesz00_2471; 
BgL_hooksz00_1341 = BgL_hooksz00_2469; 
goto BgL_loopz00_1343;} }  else 
{ /* Effect/walk.scm 30 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2910z00zzeffect_walkz00, BGl_string2912z00zzeffect_walkz00, 
CAR(BgL_hnamesz00_1342)); } } } 
{ 
obj_t BgL_l2785z00_1355;
BgL_l2785z00_1355 = BgL_globalsz00_1; 
BgL_lname2786z00_1356:
if(
PAIRP(BgL_l2785z00_1355))
{ /* Effect/walk.scm 33 */
{ /* Effect/walk.scm 34 */
BgL_variablez00_bglt BgL_auxz00_2477;
{ /* Effect/walk.scm 34 */
obj_t BgL_auxz00_2478;
BgL_auxz00_2478 = 
CAR(BgL_l2785z00_1355); 
BgL_auxz00_2477 = 
(BgL_variablez00_bglt)(BgL_auxz00_2478); } 
BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_auxz00_2477); } 
{ 
obj_t BgL_l2785z00_2482;
BgL_l2785z00_2482 = 
CDR(BgL_l2785z00_1355); 
BgL_l2785z00_1355 = BgL_l2785z00_2482; 
goto BgL_lname2786z00_1356;} }  else 
{ /* Effect/walk.scm 33 */((bool_t)1); } } 
{ /* Effect/walk.scm 38 */
obj_t BgL_arg2813z00_1360;
BgL_arg2813z00_1360 = 
BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(); 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_arg2813z00_1360); } 
{ 
obj_t BgL_l2787z00_1361;
{ /* Effect/walk.scm 44 */
obj_t BgL_arg2814z00_1363;
BgL_arg2814z00_1363 = 
BGl_getzd2varzf2allz20zzeffect_cgraphz00(); 
BgL_l2787z00_1361 = BgL_arg2814z00_1363; 
BgL_lname2788z00_1362:
if(
PAIRP(BgL_l2787z00_1361))
{ /* Effect/walk.scm 40 */
{ /* Effect/walk.scm 41 */
BgL_valuez00_bglt BgL_funz00_1366;
{ /* Effect/walk.scm 41 */
BgL_variablez00_bglt BgL_obj1103z00_1827;
{ /* Effect/walk.scm 41 */
obj_t BgL_auxz00_2489;
BgL_auxz00_2489 = 
CAR(BgL_l2787z00_1361); 
BgL_obj1103z00_1827 = 
(BgL_variablez00_bglt)(BgL_auxz00_2489); } 
BgL_funz00_1366 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1827))->BgL_valuez00); } 
{ /* Effect/walk.scm 42 */
bool_t BgL_testz00_2493;
{ /* Effect/walk.scm 42 */
obj_t BgL_auxz00_2494;
{ /* Effect/walk.scm 42 */
BgL_funz00_bglt BgL_obj1311z00_1828;
BgL_obj1311z00_1828 = 
(BgL_funz00_bglt)(BgL_funz00_1366); 
BgL_auxz00_2494 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1828))->BgL_sidezd2effectzf3z21); } 
BgL_testz00_2493 = 
(BgL_auxz00_2494==BUNSPEC); } 
if(BgL_testz00_2493)
{ /* Effect/walk.scm 43 */
BgL_funz00_bglt BgL_obj1313z00_1829;
BgL_obj1313z00_1829 = 
(BgL_funz00_bglt)(BgL_funz00_1366); 
((((BgL_funz00_bglt)CREF(BgL_obj1313z00_1829))->BgL_sidezd2effectzf3z21) = ((obj_t)BFALSE), BUNSPEC); }  else 
{ /* Effect/walk.scm 42 */BFALSE; } } } 
{ 
obj_t BgL_l2787z00_2500;
BgL_l2787z00_2500 = 
CDR(BgL_l2787z00_1361); 
BgL_l2787z00_1361 = BgL_l2787z00_2500; 
goto BgL_lname2788z00_1362;} }  else 
{ /* Effect/walk.scm 40 */((bool_t)1); } } } 
{ 
obj_t BgL_l2789z00_1370;
BgL_l2789z00_1370 = BgL_globalsz00_1; 
BgL_lname2790z00_1371:
if(
PAIRP(BgL_l2789z00_1370))
{ /* Effect/walk.scm 47 */
{ /* Effect/walk.scm 48 */
BgL_nodez00_bglt BgL_auxz00_2504;
{ /* Effect/walk.scm 48 */
obj_t BgL_auxz00_2505;
{ /* Effect/walk.scm 48 */
BgL_sfunz00_bglt BgL_obj1372z00_1835;
{ /* Effect/walk.scm 48 */
BgL_valuez00_bglt BgL_auxz00_2506;
{ /* Effect/walk.scm 48 */
BgL_globalz00_bglt BgL_obj1155z00_1834;
{ /* Effect/walk.scm 48 */
obj_t BgL_auxz00_2507;
BgL_auxz00_2507 = 
CAR(BgL_l2789z00_1370); 
BgL_obj1155z00_1834 = 
(BgL_globalz00_bglt)(BgL_auxz00_2507); } 
BgL_auxz00_2506 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1834))->BgL_valuez00); } 
BgL_obj1372z00_1835 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2506); } 
BgL_auxz00_2505 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1835))->BgL_bodyz00); } 
BgL_auxz00_2504 = 
(BgL_nodez00_bglt)(BgL_auxz00_2505); } 
BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_auxz00_2504); } 
{ 
obj_t BgL_l2789z00_2515;
BgL_l2789z00_2515 = 
CDR(BgL_l2789z00_1370); 
BgL_l2789z00_1370 = BgL_l2789z00_2515; 
goto BgL_lname2790z00_1371;} }  else 
{ /* Effect/walk.scm 47 */((bool_t)1); } } 
{ /* Effect/walk.scm 52 */
bool_t BgL_test2823z00_1378;
{ /* Effect/walk.scm 52 */
long BgL_n1z00_1837;
BgL_n1z00_1837 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2823z00_1378 = 
(BgL_n1z00_1837>((long)0)); } 
if(BgL_test2823z00_1378)
{ /* Effect/walk.scm 52 */
{ /* Effect/walk.scm 52 */
obj_t BgL_list2824z00_1380;
BgL_list2824z00_1380 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2824z00_1380); } 
{ /* Effect/walk.scm 52 */
obj_t BgL_list2825z00_1381;
BgL_list2825z00_1381 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2913z00zzeffect_walkz00, BgL_list2825z00_1381); } 
{ /* Effect/walk.scm 52 */
char * BgL_arg2826z00_1382;
{ /* Effect/walk.scm 52 */
bool_t BgL_test2828z00_1384;
{ /* Effect/walk.scm 52 */
bool_t BgL_test2829z00_1385;
{ /* Effect/walk.scm 52 */
obj_t BgL_objz00_1839;
BgL_objz00_1839 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2829z00_1385 = 
INTEGERP(BgL_objz00_1839); } 
if(BgL_test2829z00_1385)
{ /* Effect/walk.scm 52 */
BgL_test2828z00_1384 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Effect/walk.scm 52 */
BgL_test2828z00_1384 = ((bool_t)0); } } 
if(BgL_test2828z00_1384)
{ /* Effect/walk.scm 52 */
BgL_arg2826z00_1382 = "s"; }  else 
{ /* Effect/walk.scm 52 */
BgL_arg2826z00_1382 = ""; } } 
{ /* Effect/walk.scm 52 */
obj_t BgL_list2827z00_1383;
BgL_list2827z00_1383 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2826z00_1382), BgL_list2827z00_1383); } } 
{ /* Effect/walk.scm 52 */
obj_t BgL_list2830z00_1386;
BgL_list2830z00_1386 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2914z00zzeffect_walkz00, BgL_list2830z00_1386); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Effect/walk.scm 52 */
obj_t BgL_list2831z00_1387;
{ /* Effect/walk.scm 52 */
obj_t BgL_auxz00_2535;
BgL_auxz00_2535 = 
BINT(((long)-1)); 
BgL_list2831z00_1387 = 
MAKE_PAIR(BgL_auxz00_2535, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2831z00_1387);} }  else 
{ 
obj_t BgL_hooksz00_1388;obj_t BgL_hnamesz00_1389;
{ /* Effect/walk.scm 52 */
obj_t BgL_arg2832z00_1391;obj_t BgL_arg2833z00_1392;
{ /* Effect/walk.scm 52 */
obj_t BgL_list2834z00_1393;
BgL_list2834z00_1393 = 
MAKE_PAIR(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL); 
BgL_arg2832z00_1391 = BgL_list2834z00_1393; } 
BgL_arg2833z00_1392 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_1388 = BgL_arg2832z00_1391; 
BgL_hnamesz00_1389 = BgL_arg2833z00_1392; 
BgL_loopz00_1390:
if(
NULLP(BgL_hooksz00_1388))
{ /* Effect/walk.scm 52 */
return BgL_globalsz00_1;}  else 
{ /* Effect/walk.scm 52 */
bool_t BgL_test2836z00_1395;
{ /* Effect/walk.scm 52 */
obj_t BgL_fun2841z00_1400;
BgL_fun2841z00_1400 = 
CAR(BgL_hooksz00_1388); 
{ /* Effect/walk.scm 52 */
obj_t BgL_auxz00_2544;
BgL_auxz00_2544 = 
PROCEDURE_ENTRY(BgL_fun2841z00_1400)(BgL_fun2841z00_1400, BEOA); 
BgL_test2836z00_1395 = 
CBOOL(BgL_auxz00_2544); } } 
if(BgL_test2836z00_1395)
{ /* Effect/walk.scm 52 */
{ 
obj_t BgL_hnamesz00_2551;obj_t BgL_hooksz00_2549;
BgL_hooksz00_2549 = 
CDR(BgL_hooksz00_1388); 
BgL_hnamesz00_2551 = 
CDR(BgL_hnamesz00_1389); 
BgL_hnamesz00_1389 = BgL_hnamesz00_2551; 
BgL_hooksz00_1388 = BgL_hooksz00_2549; 
goto BgL_loopz00_1390;} }  else 
{ /* Effect/walk.scm 52 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2915z00zzeffect_walkz00, 
CAR(BgL_hnamesz00_1389));} } } } } } 
}



/* _effect-walk! */
obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t BgL_envz00_2415, obj_t BgL_globalsz00_2416)
{ AN_OBJECT;
{ /* Effect/walk.scm 29 */
return 
BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2416);} 
}



/* iterate-to-fix-point! */
obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_2)
{ AN_OBJECT;
{ /* Effect/walk.scm 57 */
if(
NULLP(BgL_wz00_2))
{ /* Effect/walk.scm 58 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ 
obj_t BgL_l2792z00_1402;
{ /* Effect/walk.scm 60 */
bool_t BgL_auxz00_2559;
BgL_l2792z00_1402 = BgL_wz00_2; 
BgL_lname2793z00_1403:
if(
PAIRP(BgL_l2792z00_1402))
{ /* Effect/walk.scm 60 */
{ /* Effect/walk.scm 62 */
obj_t BgL_varz00_1405;
BgL_varz00_1405 = 
CAR(BgL_l2792z00_1402); 
{ /* Effect/walk.scm 62 */
BgL_valuez00_bglt BgL_funz00_1406;
{ /* Effect/walk.scm 62 */
BgL_variablez00_bglt BgL_obj1103z00_1851;
BgL_obj1103z00_1851 = 
(BgL_variablez00_bglt)(BgL_varz00_1405); 
BgL_funz00_1406 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1851))->BgL_valuez00); } 
{ /* Effect/walk.scm 63 */
bool_t BgL_testz00_2565;
{ /* Effect/walk.scm 63 */
obj_t BgL_auxz00_2566;
{ /* Effect/walk.scm 63 */
BgL_funz00_bglt BgL_obj1311z00_1852;
BgL_obj1311z00_1852 = 
(BgL_funz00_bglt)(BgL_funz00_1406); 
BgL_auxz00_2566 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1852))->BgL_sidezd2effectzf3z21); } 
BgL_testz00_2565 = 
(BgL_auxz00_2566==BTRUE); } 
if(BgL_testz00_2565)
{ /* Effect/walk.scm 63 */BFALSE; }  else 
{ /* Effect/walk.scm 63 */
{ /* Effect/walk.scm 65 */
BgL_funz00_bglt BgL_obj1313z00_1853;
BgL_obj1313z00_1853 = 
(BgL_funz00_bglt)(BgL_funz00_1406); 
((((BgL_funz00_bglt)CREF(BgL_obj1313z00_1853))->BgL_sidezd2effectzf3z21) = ((obj_t)BTRUE), BUNSPEC); } 
{ /* Effect/walk.scm 67 */
bool_t BgL_test2845z00_1408;
BgL_test2845z00_1408 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_1405, BGl_localzf2fromzf2zzeffect_cgraphz00); 
if(BgL_test2845z00_1408)
{ /* Effect/walk.scm 67 */
{ /* Effect/walk.scm 68 */
obj_t BgL_auxz00_2574;
{ /* Effect/walk.scm 68 */
BgL_localzf2fromzf2_bglt BgL_obj2676z00_1856;
BgL_obj2676z00_1856 = 
(BgL_localzf2fromzf2_bglt)(BgL_varz00_1405); 
{ 
obj_t BgL_auxz00_2576;
{ /* Effect/walk.scm 68 */
BgL_objectz00_bglt BgL_auxz00_2577;
BgL_auxz00_2577 = 
(BgL_objectz00_bglt)(BgL_obj2676z00_1856); 
BgL_auxz00_2576 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2577); } 
BgL_auxz00_2574 = 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_2576))->BgL_fromz00); } } 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_auxz00_2574); } }  else 
{ /* Effect/walk.scm 69 */
bool_t BgL_test2847z00_1410;
BgL_test2847z00_1410 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_1405, BGl_globalzf2fromzf2zzeffect_cgraphz00); 
if(BgL_test2847z00_1410)
{ /* Effect/walk.scm 69 */
{ /* Effect/walk.scm 70 */
obj_t BgL_auxz00_2584;
{ /* Effect/walk.scm 70 */
BgL_globalzf2fromzf2_bglt BgL_obj2734z00_1858;
BgL_obj2734z00_1858 = 
(BgL_globalzf2fromzf2_bglt)(BgL_varz00_1405); 
{ 
obj_t BgL_auxz00_2586;
{ /* Effect/walk.scm 70 */
BgL_objectz00_bglt BgL_auxz00_2587;
BgL_auxz00_2587 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_1858); 
BgL_auxz00_2586 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2587); } 
BgL_auxz00_2584 = 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_2586))->BgL_fromz00); } } 
BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(BgL_auxz00_2584); } }  else 
{ /* Effect/walk.scm 69 */BFALSE; } } } } } } } 
{ 
obj_t BgL_l2792z00_2592;
BgL_l2792z00_2592 = 
CDR(BgL_l2792z00_1402); 
BgL_l2792z00_1402 = BgL_l2792z00_2592; 
goto BgL_lname2793z00_1403;} }  else 
{ /* Effect/walk.scm 60 */
BgL_auxz00_2559 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2559);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_walkz00()
{ AN_OBJECT;
{ /* Effect/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
{ AN_OBJECT;
{ /* Effect/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "effect_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "effect_walk"); 
BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long)17743), "effect_walk"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long)61743), "effect_walk");} 
}

