/*===========================================================================*/
/*   (Engine/compiler.scm)                                                   */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
static obj_t BGl_zc3anonymousza32789ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
static obj_t BGl_zc3anonymousza32801ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_methodzd2initzd2zzengine_compilerz00();
extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
static obj_t BGl_zc3anonymousza32792ze3z83zzengine_compilerz00(obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32797ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza32807ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza32810ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
static obj_t BGl_zc3anonymousza32814ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
static obj_t BGl_zc3anonymousza32818ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t string_to_bstring(char *);
static obj_t BGl_zc3anonymousza32822ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_installzd2typezd2cachez12z12zztype_cachez00();
extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32826ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
extern obj_t BGl_syntaxzd2expandzd2unitsz00zzexpand_syntaxzd2casezd2(obj_t);
static obj_t BGl_zc3anonymousza32829ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
extern obj_t current_error_port;
static obj_t BGl_zc3anonymousza32834ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl__cczd2compilerzd2zzengine_compilerz00(obj_t, obj_t);
extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00();
extern obj_t BGl_expandzd2unitszd2zzexpand_epsz00(obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzengine_compilerz00();
static obj_t BGl_zc3anonymousza32837ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
static obj_t BGl_zc3anonymousza32840ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_readzd2accesszd2filez00zzread_accessz00();
extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_hellozd2worldzd2zzengine_enginez00();
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_zc3anonymousza32698ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_makezd2profzd2unitz00zzprof_walkz00();
static obj_t BGl_zc3anonymousza32845ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
extern obj_t BGl_cgenzd2walkzd2zzcgen_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32851ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzengine_compilerz00();
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_signalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_syntaxzd2casezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzprof_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_macro_4_3_initz00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32731ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32734ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t);
extern obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();
static obj_t BGl_zc3anonymousza32737ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
extern obj_t BGl_cczd2compilerzd2zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2typeszd2zztype_envz00();
static obj_t BGl_zc3anonymousza32740ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
extern obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t);
static obj_t BGl_zc3anonymousza32743ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
extern obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
extern obj_t BGl_enginez00zzengine_enginez00();
static obj_t BGl_zc3anonymousza32746ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_restorezd2heapzd2zzheap_restorez00();
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
static obj_t BGl_zc3anonymousza32750ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_compilerz00zzengine_compilerz00();
extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza32757ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_jvmzd2ldzd2zzjvm_ldz00();
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
static obj_t BGl_zc3anonymousza32760ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32763ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_makezd2heapzd2zzheap_makez00();
extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_za2hygienzf3za2zf3zz__r5_macro_4_3_initz00;
extern obj_t BGl_astzb2initializa7ersz15zzcgen_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32772ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzengine_compilerz00 = BUNSPEC;
extern obj_t BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00;
extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32778ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32782ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_readzd2srczd2zzread_srcz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_ccz00zzcc_ccz00(obj_t, bool_t);
static obj_t BGl_zc3anonymousza32785ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl__compilerz00zzengine_compilerz00(obj_t);
static obj_t __cnst[ 40 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2envzd2zzengine_compilerz00, BgL_bgl__compilerza700za7za7engine_compilerza7002937z00, BGl__compilerz00zzengine_compilerz00, 0L, 0 );
extern obj_t BGl_hgenzd2walkzd2envz00zzhgen_walkz00;
DEFINE_STATIC_PROCEDURE( BGl_proc2902z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32698za7e3za783za7za7engine_compilerza7002938za7, BGl_zc3anonymousza32698ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2907z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32743za7e3za783za7za7engine_compilerza7002939za7, BGl_zc3anonymousza32743ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2908z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32746za7e3za783za7za7engine_compilerza7002940za7, BGl_zc3anonymousza32746ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2923z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32826za7e3za783za7za7engine_compilerza7002941za7, BGl_zc3anonymousza32826ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2924z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32829za7e3za783za7za7engine_compilerza7002942za7, BGl_zc3anonymousza32829ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2925z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32834za7e3za783za7za7engine_compilerza7002943za7, BGl_zc3anonymousza32834ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2926z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32837za7e3za783za7za7engine_compilerza7002944za7, BGl_zc3anonymousza32837ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2927z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32840za7e3za783za7za7engine_compilerza7002945za7, BGl_zc3anonymousza32840ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2930z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32845za7e3za783za7za7engine_compilerza7002946za7, BGl_zc3anonymousza32845ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2931z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32851za7e3za783za7za7engine_compilerza7002947za7, BGl_zc3anonymousza32851ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STRING( BGl_string2932z00zzengine_compilerz00, BgL_bgl_string2932za700za7za7engine_compilerza7002948z00, "cindent done jast jvmas cc distrib cgen c reduce+ effect+ inline+ reducer cnst bdb reduce coerce integrate cfa globalize globalization fail trace inline all effect callcc jvm bdb-spread-obj make-add-heap make-heap ast expand syntax user hgen (pragma::int \"bdb_release_lock()\") *debug* set! (#unspecified) mco ", 309 );
DEFINE_STRING( BGl_string2929z00zzengine_compilerz00, BgL_bgl_string2929za700za7za7engine_compilerza7002949z00, "Unimplemented target language", 29 );
DEFINE_STRING( BGl_string2928z00zzengine_compilerz00, BgL_bgl_string2928za700za7za7engine_compilerza7002950z00, "compiler", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_cczd2compilerzd2envz00zzengine_compilerz00, BgL_bgl__ccza7d2compilerza7d2za7za7engine_compilerza7002951za7, BGl__cczd2compilerzd2zzengine_compilerz00, 0L, 1 );
DEFINE_STRING( BGl_string2922z00zzengine_compilerz00, BgL_bgl_string2922za700za7za7engine_compilerza7002952z00, "reduce+", 7 );
DEFINE_STRING( BGl_string2921z00zzengine_compilerz00, BgL_bgl_string2921za700za7za7engine_compilerza7002953z00, "init", 4 );
DEFINE_STRING( BGl_string2920z00zzengine_compilerz00, BgL_bgl_string2920za700za7za7engine_compilerza7002954z00, "inline+", 7 );
DEFINE_STRING( BGl_string2919z00zzengine_compilerz00, BgL_bgl_string2919za700za7za7engine_compilerza7002955z00, "cnst", 4 );
DEFINE_STRING( BGl_string2918z00zzengine_compilerz00, BgL_bgl_string2918za700za7za7engine_compilerza7002956z00, "reduce", 6 );
DEFINE_STRING( BGl_string2917z00zzengine_compilerz00, BgL_bgl_string2917za700za7za7engine_compilerza7002957z00, "coerce", 6 );
DEFINE_STRING( BGl_string2916z00zzengine_compilerz00, BgL_bgl_string2916za700za7za7engine_compilerza7002958z00, "integrate", 9 );
DEFINE_STRING( BGl_string2915z00zzengine_compilerz00, BgL_bgl_string2915za700za7za7engine_compilerza7002959z00, "cfa", 3 );
DEFINE_STRING( BGl_string2914z00zzengine_compilerz00, BgL_bgl_string2914za700za7za7engine_compilerza7002960z00, "globalize", 9 );
DEFINE_STRING( BGl_string2913z00zzengine_compilerz00, BgL_bgl_string2913za700za7za7engine_compilerza7002961z00, "fail", 4 );
DEFINE_STRING( BGl_string2912z00zzengine_compilerz00, BgL_bgl_string2912za700za7za7engine_compilerza7002962z00, "inline", 6 );
DEFINE_STRING( BGl_string2911z00zzengine_compilerz00, BgL_bgl_string2911za700za7za7engine_compilerza7002963z00, "effect", 6 );
DEFINE_STRING( BGl_string2910z00zzengine_compilerz00, BgL_bgl_string2910za700za7za7engine_compilerza7002964z00, "callcc", 6 );
DEFINE_STRING( BGl_string2909z00zzengine_compilerz00, BgL_bgl_string2909za700za7za7engine_compilerza7002965z00, "trace", 5 );
DEFINE_STRING( BGl_string2899z00zzengine_compilerz00, BgL_bgl_string2899za700za7za7engine_compilerza7002966z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2906z00zzengine_compilerz00, BgL_bgl_string2906za700za7za7engine_compilerza7002967z00, "ast", 3 );
DEFINE_STRING( BGl_string2905z00zzengine_compilerz00, BgL_bgl_string2905za700za7za7engine_compilerza7002968z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2904z00zzengine_compilerz00, BgL_bgl_string2904za700za7za7engine_compilerza7002969z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2903z00zzengine_compilerz00, BgL_bgl_string2903za700za7za7engine_compilerza7002970z00, " error", 6 );
DEFINE_STRING( BGl_string2901z00zzengine_compilerz00, BgL_bgl_string2901za700za7za7engine_compilerza7002971z00, "Don't know what to do with arguments: ", 38 );
DEFINE_STRING( BGl_string2900z00zzengine_compilerz00, BgL_bgl_string2900za700za7za7engine_compilerza7002972z00, "Illegal source file", 19 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long BgL_checksumz00_2521, char * BgL_fromz00_2522)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_compilerz00))
{ 
BGl_requirezd2initializa7ationz75zzengine_compilerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(); 
BGl_cnstzd2initzd2zzengine_compilerz00(); 
BGl_importedzd2moduleszd2initz00zzengine_compilerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r5_macro_4_3_initz00(((long)0), "engine_compiler"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
{ /* Engine/compiler.scm 15 */
obj_t BgL_cportz00_2514;
BgL_cportz00_2514 = 
open_input_string(BGl_string2932z00zzengine_compilerz00); 
{ 
long BgL_iz00_2515;
BgL_iz00_2515 = ((long)39); 
BgL_loopz00_2516:
if(
(BgL_iz00_2515==((long)-1)))
{ /* Engine/compiler.scm 15 */
return BUNSPEC;}  else 
{ /* Engine/compiler.scm 15 */
{ /* Engine/compiler.scm 15 */
obj_t BgL_arg2934z00_2518;
{ /* Engine/compiler.scm 15 */
obj_t BgL_list2935z00_2519;
BgL_list2935z00_2519 = 
MAKE_PAIR(BgL_cportz00_2514, BNIL); 
BgL_arg2934z00_2518 = 
BGl_readz00zz__readerz00(BgL_list2935z00_2519); } 
{ /* Engine/compiler.scm 15 */
int BgL_auxz00_2539;
BgL_auxz00_2539 = 
(int)(BgL_iz00_2515); 
CNST_TABLE_SET(BgL_auxz00_2539, BgL_arg2934z00_2518); } } 
{ 
long BgL_iz00_2542;
{ /* Engine/compiler.scm 15 */
int BgL_auxz00_2543;
{ /* Engine/compiler.scm 15 */
long BgL_auxz00_2544;
BgL_auxz00_2544 = 
(BgL_iz00_2515-((long)1)); 
BgL_auxz00_2543 = 
(int)(BgL_auxz00_2544); } 
BgL_iz00_2542 = 
(long)(BgL_auxz00_2543); } 
BgL_iz00_2515 = BgL_iz00_2542; 
goto BgL_loopz00_2516;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* compiler */
obj_t BGl_compilerz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 77 */
BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00(); 
{ /* Engine/compiler.scm 83 */
obj_t BgL_srcz00_1263;
BgL_srcz00_1263 = 
BGl_readzd2srczd2zzread_srcz00(); 
if(
CBOOL(BgL_srcz00_1263))
{ /* Engine/compiler.scm 88 */
if(
PAIRP(BgL_srcz00_1263))
{ /* Engine/compiler.scm 91 */BFALSE; }  else 
{ /* Engine/compiler.scm 91 */
BGl_userzd2errorzd2zztools_errorz00(BGl_string2899z00zzengine_compilerz00, BGl_string2900z00zzengine_compilerz00, BgL_srcz00_1263, BNIL); } }  else 
{ /* Engine/compiler.scm 88 */
BGl_za2interpreterza2z00zzengine_paramz00 = BTRUE; 
{ /* Engine/compiler.scm 90 */
obj_t BgL_arg2688z00_1266;
BgL_arg2688z00_1266 = 
BGl_enginez00zzengine_enginez00(); 
BGl_exitzd2bigloozd2zzinit_mainz00(BgL_arg2688z00_1266); } } 
BGl_hellozd2worldzd2zzengine_enginez00(); 
{ /* Engine/compiler.scm 98 */
bool_t BgL_test2689z00_1267;
{ /* Engine/compiler.scm 98 */
long BgL_n1z00_1874;
BgL_n1z00_1874 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2689z00_1267 = 
(BgL_n1z00_1874>((long)0)); } 
if(BgL_test2689z00_1267)
{ /* Engine/compiler.scm 98 */
BGl_bdbzd2settingz12zc0zzbdb_settingz00(); }  else 
{ /* Engine/compiler.scm 98 */BFALSE; } } 
{ /* Engine/compiler.scm 102 */
bool_t BgL_test2690z00_1268;
{ /* Engine/compiler.scm 102 */
obj_t BgL_objz00_1876;
BgL_objz00_1876 = BGl_za2restzd2argsza2zd2zzengine_paramz00; 
BgL_test2690z00_1268 = 
NULLP(BgL_objz00_1876); } 
if(BgL_test2690z00_1268)
{ /* Engine/compiler.scm 102 */BFALSE; }  else 
{ /* Engine/compiler.scm 103 */
obj_t BgL_list2691z00_1269;
{ /* Engine/compiler.scm 103 */
obj_t BgL_arg2693z00_1271;
BgL_arg2693z00_1271 = 
MAKE_PAIR(BGl_za2restzd2argsza2zd2zzengine_paramz00, BNIL); 
BgL_list2691z00_1269 = 
MAKE_PAIR(BGl_string2901z00zzengine_compilerz00, BgL_arg2693z00_1271); } 
BGl_warningz00zz__errorz00(BgL_list2691z00_1269); } } 
BGl_readzd2accesszd2filez00zzread_accessz00(); 
BGl_readzd2jfilezd2zzread_jvmz00(); 
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Engine/compiler.scm 110 */
BGl_initializa7ezd2Genvz12z67zzast_envz00(); 
BGl_initializa7ezd2Tenvz12z67zztype_envz00(); }  else 
{ /* Engine/compiler.scm 110 */
BGl_restorezd2heapzd2zzheap_restorez00(); } 
BGl_installzd2typezd2cachez12z12zztype_cachez00(); 
BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(); 
{ /* Engine/compiler.scm 126 */
obj_t BgL_srczd2codezd2_1273;
BgL_srczd2codezd2_1273 = 
CDR(BgL_srcz00_1263); 
{ /* Engine/compiler.scm 127 */
obj_t BgL_unitsz00_1274;
{ /* Engine/compiler.scm 128 */
obj_t BgL_cellvalz00_2577;
BgL_cellvalz00_2577 = 
BGl_producezd2modulez12zc0zzmodule_modulez00(
CAR(BgL_srcz00_1263)); 
BgL_unitsz00_1274 = 
MAKE_CELL(BgL_cellvalz00_2577); } 
{ /* Engine/compiler.scm 128 */

{ /* Engine/compiler.scm 131 */
bool_t BgL_test2694z00_1275;
{ /* Engine/compiler.scm 131 */
long BgL_n1z00_1879;
BgL_n1z00_1879 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL_test2694z00_1275 = 
(BgL_n1z00_1879>=((long)1)); } 
if(BgL_test2694z00_1275)
{ /* Engine/compiler.scm 132 */
obj_t BgL_auxz00_2488;
{ /* Engine/compiler.scm 132 */
obj_t BgL_arg2695z00_1276;
BgL_arg2695z00_1276 = 
BGl_makezd2profzd2unitz00zzprof_walkz00(); 
{ /* Engine/compiler.scm 132 */
obj_t BgL_auxz00_2584;
BgL_auxz00_2584 = 
CELL_REF(BgL_unitsz00_1274); 
BgL_auxz00_2488 = 
MAKE_PAIR(BgL_arg2695z00_1276, BgL_auxz00_2584); } } 
CELL_SET(BgL_unitsz00_1274, BgL_auxz00_2488); }  else 
{ /* Engine/compiler.scm 131 */BFALSE; } } 
if(
CBOOL(BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00))
{ /* Engine/compiler.scm 135 */
BGl_modulezd2checksumzd2objectz00zzmodule_modulez00(); }  else 
{ /* Engine/compiler.scm 135 */BFALSE; } 
{ /* Engine/compiler.scm 137 */
obj_t BgL_arg2696z00_1277;
BgL_arg2696z00_1277 = 
CNST_TABLE_REF(((long)0)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2696z00_1277, BGl_proc2902z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 140 */
obj_t BgL_code0z00_1281;
if(
NULLP(BgL_srczd2codezd2_1273))
{ /* Engine/compiler.scm 140 */
BgL_code0z00_1281 = 
CNST_TABLE_REF(((long)1)); }  else 
{ /* Engine/compiler.scm 140 */
BgL_code0z00_1281 = BgL_srczd2codezd2_1273; } 
{ /* Engine/compiler.scm 140 */
obj_t BgL_code1z00_1282;
{ /* Engine/compiler.scm 141 */
bool_t BgL_test2702z00_1287;
{ /* Engine/compiler.scm 141 */
bool_t BgL_test2708z00_1293;
{ /* Engine/compiler.scm 141 */
obj_t BgL_objz00_1882;
BgL_objz00_1882 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2708z00_1293 = 
INTEGERP(BgL_objz00_1882); } 
if(BgL_test2708z00_1293)
{ /* Engine/compiler.scm 142 */
long BgL_n1z00_1883;
BgL_n1z00_1883 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2702z00_1287 = 
(BgL_n1z00_1883>=((long)3)); }  else 
{ /* Engine/compiler.scm 141 */
BgL_test2702z00_1287 = ((bool_t)0); } } 
if(BgL_test2702z00_1287)
{ /* Engine/compiler.scm 143 */
obj_t BgL_arg2703z00_1288;
{ /* Engine/compiler.scm 143 */
obj_t BgL_arg2704z00_1289;obj_t BgL_arg2705z00_1290;
BgL_arg2704z00_1289 = 
CNST_TABLE_REF(((long)2)); 
{ /* Engine/compiler.scm 143 */
obj_t BgL_arg2706z00_1291;obj_t BgL_arg2707z00_1292;
BgL_arg2706z00_1291 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2707z00_1292 = 
MAKE_PAIR(BGl_za2compilerzd2debugza2zd2zzengine_paramz00, BNIL); 
BgL_arg2705z00_1290 = 
MAKE_PAIR(BgL_arg2706z00_1291, BgL_arg2707z00_1292); } 
BgL_arg2703z00_1288 = 
MAKE_PAIR(BgL_arg2704z00_1289, BgL_arg2705z00_1290); } 
BgL_code1z00_1282 = 
MAKE_PAIR(BgL_arg2703z00_1288, BgL_code0z00_1281); }  else 
{ /* Engine/compiler.scm 141 */
BgL_code1z00_1282 = BgL_code0z00_1281; } } 
{ /* Engine/compiler.scm 141 */
obj_t BgL_code2z00_1283;
{ /* Engine/compiler.scm 145 */
bool_t BgL_test2700z00_1285;
{ /* Engine/compiler.scm 145 */
bool_t BgL_test2701z00_1286;
{ /* Engine/compiler.scm 145 */
obj_t BgL_objz00_1885;
BgL_objz00_1885 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2701z00_1286 = 
INTEGERP(BgL_objz00_1885); } 
if(BgL_test2701z00_1286)
{ /* Engine/compiler.scm 145 */
long BgL_n1z00_1886;
BgL_n1z00_1886 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2700z00_1285 = 
(BgL_n1z00_1886>=((long)1)); }  else 
{ /* Engine/compiler.scm 145 */
BgL_test2700z00_1285 = ((bool_t)0); } } 
if(BgL_test2700z00_1285)
{ /* Engine/compiler.scm 150 */
obj_t BgL_auxz00_2610;
BgL_auxz00_2610 = 
CNST_TABLE_REF(((long)4)); 
BgL_code2z00_1283 = 
MAKE_PAIR(BgL_auxz00_2610, BgL_code1z00_1282); }  else 
{ /* Engine/compiler.scm 145 */
BgL_code2z00_1283 = BgL_code1z00_1282; } } 
{ /* Engine/compiler.scm 145 */

{ /* Engine/compiler.scm 152 */
obj_t BgL_arg2699z00_1284;
BgL_arg2699z00_1284 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_arg2699z00_1284, BgL_code2z00_1283); } } } } } 
{ /* Engine/compiler.scm 155 */
bool_t BgL_test2710z00_1296;
{ /* Engine/compiler.scm 155 */
long BgL_n1z00_1888;
BgL_n1z00_1888 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2710z00_1296 = 
(BgL_n1z00_1888>((long)0)); } 
if(BgL_test2710z00_1296)
{ /* Engine/compiler.scm 155 */
{ /* Engine/compiler.scm 155 */
obj_t BgL_list2711z00_1298;
BgL_list2711z00_1298 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2711z00_1298); } 
{ /* Engine/compiler.scm 155 */
obj_t BgL_list2712z00_1299;
BgL_list2712z00_1299 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2903z00zzengine_compilerz00, BgL_list2712z00_1299); } 
{ /* Engine/compiler.scm 155 */
char * BgL_arg2713z00_1300;
{ /* Engine/compiler.scm 155 */
bool_t BgL_test2715z00_1302;
{ /* Engine/compiler.scm 155 */
bool_t BgL_test2716z00_1303;
{ /* Engine/compiler.scm 155 */
obj_t BgL_objz00_1890;
BgL_objz00_1890 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2716z00_1303 = 
INTEGERP(BgL_objz00_1890); } 
if(BgL_test2716z00_1303)
{ /* Engine/compiler.scm 155 */
BgL_test2715z00_1302 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Engine/compiler.scm 155 */
BgL_test2715z00_1302 = ((bool_t)0); } } 
if(BgL_test2715z00_1302)
{ /* Engine/compiler.scm 155 */
BgL_arg2713z00_1300 = "s"; }  else 
{ /* Engine/compiler.scm 155 */
BgL_arg2713z00_1300 = ""; } } 
{ /* Engine/compiler.scm 155 */
obj_t BgL_list2714z00_1301;
BgL_list2714z00_1301 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2713z00_1300), BgL_list2714z00_1301); } } 
{ /* Engine/compiler.scm 155 */
obj_t BgL_list2717z00_1304;
BgL_list2717z00_1304 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2904z00zzengine_compilerz00, BgL_list2717z00_1304); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Engine/compiler.scm 155 */
obj_t BgL_list2718z00_1305;
{ /* Engine/compiler.scm 155 */
obj_t BgL_auxz00_2633;
BgL_auxz00_2633 = 
BINT(((long)-1)); 
BgL_list2718z00_1305 = 
MAKE_PAIR(BgL_auxz00_2633, BNIL); } 
BGl_exitz00zz__errorz00(BgL_list2718z00_1305); } }  else 
{ 
obj_t BgL_hooksz00_1306;obj_t BgL_hnamesz00_1307;
BgL_hooksz00_1306 = BNIL; 
BgL_hnamesz00_1307 = BNIL; 
BgL_loopz00_1308:
if(
NULLP(BgL_hooksz00_1306))
{ /* Engine/compiler.scm 155 */BUNSPEC; }  else 
{ /* Engine/compiler.scm 155 */
bool_t BgL_test2723z00_1313;
{ /* Engine/compiler.scm 155 */
obj_t BgL_fun2728z00_1318;
BgL_fun2728z00_1318 = 
CAR(BgL_hooksz00_1306); 
{ /* Engine/compiler.scm 155 */
obj_t BgL_auxz00_2640;
BgL_auxz00_2640 = 
PROCEDURE_ENTRY(BgL_fun2728z00_1318)(BgL_fun2728z00_1318, BEOA); 
BgL_test2723z00_1313 = 
CBOOL(BgL_auxz00_2640); } } 
if(BgL_test2723z00_1313)
{ /* Engine/compiler.scm 155 */
{ 
obj_t BgL_hnamesz00_2647;obj_t BgL_hooksz00_2645;
BgL_hooksz00_2645 = 
CDR(BgL_hooksz00_1306); 
BgL_hnamesz00_2647 = 
CDR(BgL_hnamesz00_1307); 
BgL_hnamesz00_1307 = BgL_hnamesz00_2647; 
BgL_hooksz00_1306 = BgL_hooksz00_2645; 
goto BgL_loopz00_1308;} }  else 
{ /* Engine/compiler.scm 155 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2905z00zzengine_compilerz00, 
CAR(BgL_hnamesz00_1307)); } } } } 
BGl_checkzd2typeszd2zztype_envz00(); 
BGl_stopzd2onzd2passz00zzengine_passz00(
CNST_TABLE_REF(((long)5)), BGl_hgenzd2walkzd2envz00zzhgen_walkz00); 
BGl_userzd2walkzd2zzuser_userz00(
CELL_REF(BgL_unitsz00_1274)); 
{ /* Engine/compiler.scm 165 */
obj_t BgL_arg2729z00_1319;
BgL_arg2729z00_1319 = 
CNST_TABLE_REF(((long)6)); 
{ /* Engine/compiler.scm 165 */
obj_t BgL_zc3anonymousza32731ze3z83_2435;
{ 
int BgL_auxz00_2658;int BgL_auxz00_2656;
BgL_auxz00_2658 = 
(int)(((long)1)); 
BgL_auxz00_2656 = 
(int)(((long)0)); 
BgL_zc3anonymousza32731ze3z83_2435 = 
make_fx_procedure(BGl_zc3anonymousza32731ze3z83zzengine_compilerz00, BgL_auxz00_2656, BgL_auxz00_2658); } 
{ /* Engine/compiler.scm 165 */
int BgL_auxz00_2661;
BgL_auxz00_2661 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32731ze3z83_2435, BgL_auxz00_2661, BgL_unitsz00_1274); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2729z00_1319, BgL_zc3anonymousza32731ze3z83_2435); } } 
BGl_installzd2initialzd2expanderz00zzexpand_installz00(); 
BGl_loadzd2libraryzd2initz00zzinit_setrcz00(); 
if(
CBOOL(BGl_za2hygienzf3za2zf3zz__r5_macro_4_3_initz00))
{ /* Engine/compiler.scm 176 */
BGl_syntaxzd2expandzd2unitsz00zzexpand_syntaxzd2casezd2(
CELL_REF(BgL_unitsz00_1274)); }  else 
{ /* Engine/compiler.scm 176 */BFALSE; } 
{ /* Engine/compiler.scm 178 */
obj_t BgL_arg2732z00_1323;
BgL_arg2732z00_1323 = 
CNST_TABLE_REF(((long)7)); 
{ /* Engine/compiler.scm 178 */
obj_t BgL_zc3anonymousza32734ze3z83_2434;
{ 
int BgL_auxz00_2673;int BgL_auxz00_2671;
BgL_auxz00_2673 = 
(int)(((long)1)); 
BgL_auxz00_2671 = 
(int)(((long)0)); 
BgL_zc3anonymousza32734ze3z83_2434 = 
make_fx_procedure(BGl_zc3anonymousza32734ze3z83zzengine_compilerz00, BgL_auxz00_2671, BgL_auxz00_2673); } 
{ /* Engine/compiler.scm 178 */
int BgL_auxz00_2676;
BgL_auxz00_2676 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32734ze3z83_2434, BgL_auxz00_2676, BgL_unitsz00_1274); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2732z00_1323, BgL_zc3anonymousza32734ze3z83_2434); } } 
BGl_expandzd2unitszd2zzexpand_epsz00(
CELL_REF(BgL_unitsz00_1274)); 
{ /* Engine/compiler.scm 182 */
obj_t BgL_arg2735z00_1327;
BgL_arg2735z00_1327 = 
CNST_TABLE_REF(((long)8)); 
{ /* Engine/compiler.scm 182 */
obj_t BgL_zc3anonymousza32737ze3z83_2433;
{ 
int BgL_auxz00_2684;int BgL_auxz00_2682;
BgL_auxz00_2684 = 
(int)(((long)1)); 
BgL_auxz00_2682 = 
(int)(((long)0)); 
BgL_zc3anonymousza32737ze3z83_2433 = 
make_fx_procedure(BGl_zc3anonymousza32737ze3z83zzengine_compilerz00, BgL_auxz00_2682, BgL_auxz00_2684); } 
{ /* Engine/compiler.scm 182 */
int BgL_auxz00_2687;
BgL_auxz00_2687 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32737ze3z83_2433, BgL_auxz00_2687, BgL_unitsz00_1274); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2735z00_1327, BgL_zc3anonymousza32737ze3z83_2433); } } 
{ /* Engine/compiler.scm 185 */
obj_t BgL_astz00_1331;
{ /* Engine/compiler.scm 185 */
obj_t BgL_cellvalz00_2691;
BgL_cellvalz00_2691 = 
BGl_buildzd2astzd2zzast_buildz00(
CELL_REF(BgL_unitsz00_1274)); 
BgL_astz00_1331 = 
MAKE_CELL(BgL_cellvalz00_2691); } 
{ /* Engine/compiler.scm 186 */
obj_t BgL_arg2738z00_1332;
BgL_arg2738z00_1332 = 
CNST_TABLE_REF(((long)9)); 
{ /* Engine/compiler.scm 186 */
obj_t BgL_zc3anonymousza32740ze3z83_2432;
{ 
int BgL_auxz00_2696;int BgL_auxz00_2694;
BgL_auxz00_2696 = 
(int)(((long)1)); 
BgL_auxz00_2694 = 
(int)(((long)0)); 
BgL_zc3anonymousza32740ze3z83_2432 = 
make_fx_procedure(BGl_zc3anonymousza32740ze3z83zzengine_compilerz00, BgL_auxz00_2694, BgL_auxz00_2696); } 
{ /* Engine/compiler.scm 186 */
int BgL_auxz00_2699;
BgL_auxz00_2699 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32740ze3z83_2432, BgL_auxz00_2699, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2738z00_1332, BgL_zc3anonymousza32740ze3z83_2432); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2906z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* Engine/compiler.scm 191 */
BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(); }  else 
{ /* Engine/compiler.scm 191 */BFALSE; } 
{ /* Engine/compiler.scm 195 */
obj_t BgL_arg2741z00_1336;
BgL_arg2741z00_1336 = 
CNST_TABLE_REF(((long)10)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2741z00_1336, BGl_proc2907z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 198 */
obj_t BgL_arg2744z00_1340;
BgL_arg2744z00_1340 = 
CNST_TABLE_REF(((long)11)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2744z00_1340, BGl_proc2908z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 201 */
bool_t BgL_test2747z00_1344;
{ /* Engine/compiler.scm 201 */
long BgL_n1z00_1899;
BgL_n1z00_1899 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2747z00_1344 = 
(BgL_n1z00_1899>((long)0)); } 
if(BgL_test2747z00_1344)
{ /* Engine/compiler.scm 201 */
BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(
CELL_REF(BgL_astz00_1331)); }  else 
{ /* Engine/compiler.scm 201 */BFALSE; } } 
{ /* Engine/compiler.scm 203 */
obj_t BgL_arg2748z00_1345;
BgL_arg2748z00_1345 = 
CNST_TABLE_REF(((long)12)); 
{ /* Engine/compiler.scm 203 */
obj_t BgL_zc3anonymousza32750ze3z83_2429;
{ 
int BgL_auxz00_2718;int BgL_auxz00_2716;
BgL_auxz00_2718 = 
(int)(((long)1)); 
BgL_auxz00_2716 = 
(int)(((long)0)); 
BgL_zc3anonymousza32750ze3z83_2429 = 
make_fx_procedure(BGl_zc3anonymousza32750ze3z83zzengine_compilerz00, BgL_auxz00_2716, BgL_auxz00_2718); } 
{ /* Engine/compiler.scm 203 */
int BgL_auxz00_2721;
BgL_auxz00_2721 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32750ze3z83_2429, BgL_auxz00_2721, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2748z00_1345, BgL_zc3anonymousza32750ze3z83_2429); } } 
{ /* Engine/compiler.scm 207 */
bool_t BgL_test2751z00_1349;
{ /* Engine/compiler.scm 207 */
bool_t BgL_test2752z00_1350;
{ /* Engine/compiler.scm 207 */
obj_t BgL_objz00_1901;
BgL_objz00_1901 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2752z00_1350 = 
INTEGERP(BgL_objz00_1901); } 
if(BgL_test2752z00_1350)
{ /* Engine/compiler.scm 208 */
bool_t BgL_test2753z00_1351;
{ /* Engine/compiler.scm 208 */
long BgL_n1z00_1902;
BgL_n1z00_1902 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2753z00_1351 = 
(BgL_n1z00_1902>((long)2)); } 
if(BgL_test2753z00_1351)
{ /* Engine/compiler.scm 209 */
bool_t BgL_test2754z00_1352;
{ /* Engine/compiler.scm 209 */
obj_t BgL_auxz00_2730;
BgL_auxz00_2730 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2754z00_1352 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2730); } 
if(BgL_test2754z00_1352)
{ /* Engine/compiler.scm 209 */
BgL_test2751z00_1349 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 209 */
BgL_test2751z00_1349 = ((bool_t)1); } }  else 
{ /* Engine/compiler.scm 208 */
BgL_test2751z00_1349 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 207 */
BgL_test2751z00_1349 = ((bool_t)0); } } 
if(BgL_test2751z00_1349)
{ /* Engine/compiler.scm 210 */
obj_t BgL_auxz00_2490;
BgL_auxz00_2490 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2490); }  else 
{ /* Engine/compiler.scm 207 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2909z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
if(
CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
{ /* Engine/compiler.scm 216 */
obj_t BgL_auxz00_2491;
BgL_auxz00_2491 = 
BGl_callcczd2walkz12zc0zzcallcc_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2491); }  else 
{ /* Engine/compiler.scm 215 */BFALSE; } 
{ /* Engine/compiler.scm 217 */
obj_t BgL_arg2755z00_1353;
BgL_arg2755z00_1353 = 
CNST_TABLE_REF(((long)14)); 
{ /* Engine/compiler.scm 217 */
obj_t BgL_zc3anonymousza32757ze3z83_2428;
{ 
int BgL_auxz00_2743;int BgL_auxz00_2741;
BgL_auxz00_2743 = 
(int)(((long)1)); 
BgL_auxz00_2741 = 
(int)(((long)0)); 
BgL_zc3anonymousza32757ze3z83_2428 = 
make_fx_procedure(BGl_zc3anonymousza32757ze3z83zzengine_compilerz00, BgL_auxz00_2741, BgL_auxz00_2743); } 
{ /* Engine/compiler.scm 217 */
int BgL_auxz00_2746;
BgL_auxz00_2746 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32757ze3z83_2428, BgL_auxz00_2746, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2755z00_1353, BgL_zc3anonymousza32757ze3z83_2428); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2910z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
if(
CBOOL(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
{ /* Engine/compiler.scm 221 */
{ /* Engine/compiler.scm 223 */
obj_t BgL_auxz00_2492;
BgL_auxz00_2492 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2492); } 
{ /* Engine/compiler.scm 224 */
obj_t BgL_arg2758z00_1357;
BgL_arg2758z00_1357 = 
CNST_TABLE_REF(((long)15)); 
{ /* Engine/compiler.scm 224 */
obj_t BgL_zc3anonymousza32760ze3z83_2427;
{ 
int BgL_auxz00_2757;int BgL_auxz00_2755;
BgL_auxz00_2757 = 
(int)(((long)1)); 
BgL_auxz00_2755 = 
(int)(((long)0)); 
BgL_zc3anonymousza32760ze3z83_2427 = 
make_fx_procedure(BGl_zc3anonymousza32760ze3z83zzengine_compilerz00, BgL_auxz00_2755, BgL_auxz00_2757); } 
{ /* Engine/compiler.scm 224 */
int BgL_auxz00_2760;
BgL_auxz00_2760 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_2427, BgL_auxz00_2760, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2758z00_1357, BgL_zc3anonymousza32760ze3z83_2427); } } }  else 
{ /* Engine/compiler.scm 221 */BFALSE; } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2911z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 228 */
obj_t BgL_auxz00_2493;
BgL_auxz00_2493 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_1331), 
CNST_TABLE_REF(((long)16))); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2493); } 
{ /* Engine/compiler.scm 229 */
obj_t BgL_arg2761z00_1361;
BgL_arg2761z00_1361 = 
CNST_TABLE_REF(((long)17)); 
{ /* Engine/compiler.scm 229 */
obj_t BgL_zc3anonymousza32763ze3z83_2426;
{ 
int BgL_auxz00_2770;int BgL_auxz00_2768;
BgL_auxz00_2770 = 
(int)(((long)1)); 
BgL_auxz00_2768 = 
(int)(((long)0)); 
BgL_zc3anonymousza32763ze3z83_2426 = 
make_fx_procedure(BGl_zc3anonymousza32763ze3z83zzengine_compilerz00, BgL_auxz00_2768, BgL_auxz00_2770); } 
{ /* Engine/compiler.scm 229 */
int BgL_auxz00_2773;
BgL_auxz00_2773 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32763ze3z83_2426, BgL_auxz00_2773, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2761z00_1361, BgL_zc3anonymousza32763ze3z83_2426); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2912z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 233 */
bool_t BgL_test2764z00_1365;
{ /* Engine/compiler.scm 233 */
bool_t BgL_test2765z00_1366;
{ /* Engine/compiler.scm 233 */
obj_t BgL_objz00_1904;
BgL_objz00_1904 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2765z00_1366 = 
INTEGERP(BgL_objz00_1904); } 
if(BgL_test2765z00_1366)
{ /* Engine/compiler.scm 234 */
bool_t BgL_test2766z00_1367;
{ /* Engine/compiler.scm 234 */
long BgL_n1z00_1905;
BgL_n1z00_1905 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2766z00_1367 = 
(BgL_n1z00_1905>((long)0)); } 
if(BgL_test2766z00_1367)
{ /* Engine/compiler.scm 235 */
bool_t BgL_test2767z00_1368;
{ /* Engine/compiler.scm 235 */
long BgL_n1z00_1907;
BgL_n1z00_1907 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2767z00_1368 = 
(BgL_n1z00_1907<=((long)2)); } 
if(BgL_test2767z00_1368)
{ /* Engine/compiler.scm 236 */
bool_t BgL_test2768z00_1369;
{ /* Engine/compiler.scm 236 */
obj_t BgL_auxz00_2786;
BgL_auxz00_2786 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2768z00_1369 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2786); } 
if(BgL_test2768z00_1369)
{ /* Engine/compiler.scm 236 */
BgL_test2764z00_1365 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 236 */
BgL_test2764z00_1365 = ((bool_t)1); } }  else 
{ /* Engine/compiler.scm 235 */
BgL_test2764z00_1365 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 234 */
BgL_test2764z00_1365 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 233 */
BgL_test2764z00_1365 = ((bool_t)0); } } 
if(BgL_test2764z00_1365)
{ /* Engine/compiler.scm 237 */
obj_t BgL_auxz00_2494;
BgL_auxz00_2494 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2494); }  else 
{ /* Engine/compiler.scm 233 */BFALSE; } } 
{ /* Engine/compiler.scm 238 */
obj_t BgL_arg2770z00_1370;
BgL_arg2770z00_1370 = 
CNST_TABLE_REF(((long)18)); 
{ /* Engine/compiler.scm 238 */
obj_t BgL_zc3anonymousza32772ze3z83_2425;
{ 
int BgL_auxz00_2795;int BgL_auxz00_2793;
BgL_auxz00_2795 = 
(int)(((long)1)); 
BgL_auxz00_2793 = 
(int)(((long)0)); 
BgL_zc3anonymousza32772ze3z83_2425 = 
make_fx_procedure(BGl_zc3anonymousza32772ze3z83zzengine_compilerz00, BgL_auxz00_2793, BgL_auxz00_2795); } 
{ /* Engine/compiler.scm 238 */
int BgL_auxz00_2798;
BgL_auxz00_2798 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32772ze3z83_2425, BgL_auxz00_2798, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2770z00_1370, BgL_zc3anonymousza32772ze3z83_2425); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2909z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 243 */
bool_t BgL_test2773z00_1374;
{ /* Engine/compiler.scm 243 */
bool_t BgL_test2774z00_1375;
{ /* Engine/compiler.scm 243 */
obj_t BgL_objz00_1909;
BgL_objz00_1909 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2774z00_1375 = 
INTEGERP(BgL_objz00_1909); } 
if(BgL_test2774z00_1375)
{ /* Engine/compiler.scm 243 */
long BgL_n1z00_1910;
BgL_n1z00_1910 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2773z00_1374 = 
(BgL_n1z00_1910>((long)0)); }  else 
{ /* Engine/compiler.scm 243 */
BgL_test2773z00_1374 = ((bool_t)0); } } 
if(BgL_test2773z00_1374)
{ /* Engine/compiler.scm 244 */
obj_t BgL_auxz00_2495;
BgL_auxz00_2495 = 
BGl_failzd2walkz12zc0zzfail_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2495); }  else 
{ /* Engine/compiler.scm 243 */BFALSE; } } 
{ /* Engine/compiler.scm 245 */
obj_t BgL_arg2775z00_1376;
BgL_arg2775z00_1376 = 
CNST_TABLE_REF(((long)19)); 
{ /* Engine/compiler.scm 245 */
obj_t BgL_zc3anonymousza32778ze3z83_2424;
{ 
int BgL_auxz00_2812;int BgL_auxz00_2810;
BgL_auxz00_2812 = 
(int)(((long)1)); 
BgL_auxz00_2810 = 
(int)(((long)0)); 
BgL_zc3anonymousza32778ze3z83_2424 = 
make_fx_procedure(BGl_zc3anonymousza32778ze3z83zzengine_compilerz00, BgL_auxz00_2810, BgL_auxz00_2812); } 
{ /* Engine/compiler.scm 245 */
int BgL_auxz00_2815;
BgL_auxz00_2815 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32778ze3z83_2424, BgL_auxz00_2815, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2775z00_1376, BgL_zc3anonymousza32778ze3z83_2424); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2913z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 249 */
obj_t BgL_auxz00_2496;
BgL_auxz00_2496 = 
BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(
CELL_REF(BgL_astz00_1331), 
CNST_TABLE_REF(((long)20))); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2496); } 
{ /* Engine/compiler.scm 250 */
obj_t BgL_arg2779z00_1380;
BgL_arg2779z00_1380 = 
CNST_TABLE_REF(((long)21)); 
{ /* Engine/compiler.scm 250 */
obj_t BgL_zc3anonymousza32782ze3z83_2423;
{ 
int BgL_auxz00_2825;int BgL_auxz00_2823;
BgL_auxz00_2825 = 
(int)(((long)1)); 
BgL_auxz00_2823 = 
(int)(((long)0)); 
BgL_zc3anonymousza32782ze3z83_2423 = 
make_fx_procedure(BGl_zc3anonymousza32782ze3z83zzengine_compilerz00, BgL_auxz00_2823, BgL_auxz00_2825); } 
{ /* Engine/compiler.scm 250 */
int BgL_auxz00_2828;
BgL_auxz00_2828 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32782ze3z83_2423, BgL_auxz00_2828, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2779z00_1380, BgL_zc3anonymousza32782ze3z83_2423); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2914z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 254 */
obj_t BgL_auxz00_2497;
BgL_auxz00_2497 = 
BGl_cfazd2walkz12zc0zzcfa_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2497); } 
{ /* Engine/compiler.scm 255 */
obj_t BgL_arg2783z00_1384;
BgL_arg2783z00_1384 = 
CNST_TABLE_REF(((long)22)); 
{ /* Engine/compiler.scm 255 */
obj_t BgL_zc3anonymousza32785ze3z83_2422;
{ 
int BgL_auxz00_2837;int BgL_auxz00_2835;
BgL_auxz00_2837 = 
(int)(((long)1)); 
BgL_auxz00_2835 = 
(int)(((long)0)); 
BgL_zc3anonymousza32785ze3z83_2422 = 
make_fx_procedure(BGl_zc3anonymousza32785ze3z83zzengine_compilerz00, BgL_auxz00_2835, BgL_auxz00_2837); } 
{ /* Engine/compiler.scm 255 */
int BgL_auxz00_2840;
BgL_auxz00_2840 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32785ze3z83_2422, BgL_auxz00_2840, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2783z00_1384, BgL_zc3anonymousza32785ze3z83_2422); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2915z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
BGl_setzd2defaultzd2typez12z12zztype_cachez00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Engine/compiler.scm 263 */
obj_t BgL_auxz00_2498;
BgL_auxz00_2498 = 
BGl_integratezd2walkz12zc0zzintegrate_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2498); } 
{ /* Engine/compiler.scm 264 */
obj_t BgL_arg2786z00_1388;
BgL_arg2786z00_1388 = 
CNST_TABLE_REF(((long)23)); 
{ /* Engine/compiler.scm 264 */
obj_t BgL_zc3anonymousza32789ze3z83_2421;
{ 
int BgL_auxz00_2851;int BgL_auxz00_2849;
BgL_auxz00_2851 = 
(int)(((long)1)); 
BgL_auxz00_2849 = 
(int)(((long)0)); 
BgL_zc3anonymousza32789ze3z83_2421 = 
make_fx_procedure(BGl_zc3anonymousza32789ze3z83zzengine_compilerz00, BgL_auxz00_2849, BgL_auxz00_2851); } 
{ /* Engine/compiler.scm 264 */
int BgL_auxz00_2854;
BgL_auxz00_2854 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32789ze3z83_2421, BgL_auxz00_2854, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2786z00_1388, BgL_zc3anonymousza32789ze3z83_2421); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2916z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 268 */
obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
BGl_coercezd2walkz12zc0zzcoerce_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2499); } 
{ /* Engine/compiler.scm 269 */
obj_t BgL_arg2790z00_1392;
BgL_arg2790z00_1392 = 
CNST_TABLE_REF(((long)24)); 
{ /* Engine/compiler.scm 269 */
obj_t BgL_zc3anonymousza32792ze3z83_2420;
{ 
int BgL_auxz00_2863;int BgL_auxz00_2861;
BgL_auxz00_2863 = 
(int)(((long)1)); 
BgL_auxz00_2861 = 
(int)(((long)0)); 
BgL_zc3anonymousza32792ze3z83_2420 = 
make_fx_procedure(BGl_zc3anonymousza32792ze3z83zzengine_compilerz00, BgL_auxz00_2861, BgL_auxz00_2863); } 
{ /* Engine/compiler.scm 269 */
int BgL_auxz00_2866;
BgL_auxz00_2866 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32792ze3z83_2420, BgL_auxz00_2866, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2790z00_1392, BgL_zc3anonymousza32792ze3z83_2420); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2917z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 274 */
bool_t BgL_test2793z00_1396;
{ /* Engine/compiler.scm 274 */
long BgL_n1z00_1912;
BgL_n1z00_1912 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2793z00_1396 = 
(BgL_n1z00_1912>=((long)1)); } 
if(BgL_test2793z00_1396)
{ /* Engine/compiler.scm 274 */
{ /* Engine/compiler.scm 276 */
obj_t BgL_auxz00_2500;
BgL_auxz00_2500 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2500); } 
{ /* Engine/compiler.scm 277 */
obj_t BgL_arg2795z00_1397;
BgL_arg2795z00_1397 = 
CNST_TABLE_REF(((long)15)); 
{ /* Engine/compiler.scm 277 */
obj_t BgL_zc3anonymousza32797ze3z83_2419;
{ 
int BgL_auxz00_2878;int BgL_auxz00_2876;
BgL_auxz00_2878 = 
(int)(((long)1)); 
BgL_auxz00_2876 = 
(int)(((long)0)); 
BgL_zc3anonymousza32797ze3z83_2419 = 
make_fx_procedure(BGl_zc3anonymousza32797ze3z83zzengine_compilerz00, BgL_auxz00_2876, BgL_auxz00_2878); } 
{ /* Engine/compiler.scm 277 */
int BgL_auxz00_2881;
BgL_auxz00_2881 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32797ze3z83_2419, BgL_auxz00_2881, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2795z00_1397, BgL_zc3anonymousza32797ze3z83_2419); } } }  else 
{ /* Engine/compiler.scm 274 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2911z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 281 */
bool_t BgL_test2798z00_1401;
{ /* Engine/compiler.scm 281 */
long BgL_n1z00_1914;
BgL_n1z00_1914 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2798z00_1401 = 
(BgL_n1z00_1914>=((long)1)); } 
if(BgL_test2798z00_1401)
{ /* Engine/compiler.scm 282 */
obj_t BgL_auxz00_2501;
BgL_auxz00_2501 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2501); }  else 
{ /* Engine/compiler.scm 281 */BFALSE; } } 
{ /* Engine/compiler.scm 283 */
obj_t BgL_arg2799z00_1402;
BgL_arg2799z00_1402 = 
CNST_TABLE_REF(((long)25)); 
{ /* Engine/compiler.scm 283 */
obj_t BgL_zc3anonymousza32801ze3z83_2418;
{ 
int BgL_auxz00_2893;int BgL_auxz00_2891;
BgL_auxz00_2893 = 
(int)(((long)1)); 
BgL_auxz00_2891 = 
(int)(((long)0)); 
BgL_zc3anonymousza32801ze3z83_2418 = 
make_fx_procedure(BGl_zc3anonymousza32801ze3z83zzengine_compilerz00, BgL_auxz00_2891, BgL_auxz00_2893); } 
{ /* Engine/compiler.scm 283 */
int BgL_auxz00_2896;
BgL_auxz00_2896 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32801ze3z83_2418, BgL_auxz00_2896, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2799z00_1402, BgL_zc3anonymousza32801ze3z83_2418); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2918z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 287 */
bool_t BgL_test2802z00_1406;
{ /* Engine/compiler.scm 287 */
long BgL_n1z00_1916;
BgL_n1z00_1916 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2802z00_1406 = 
(BgL_n1z00_1916>((long)0)); } 
if(BgL_test2802z00_1406)
{ /* Engine/compiler.scm 288 */
obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
BGl_bdbzd2walkz12zc0zzbdb_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2502); }  else 
{ /* Engine/compiler.scm 287 */BFALSE; } } 
{ /* Engine/compiler.scm 289 */
obj_t BgL_arg2805z00_1407;
BgL_arg2805z00_1407 = 
CNST_TABLE_REF(((long)26)); 
{ /* Engine/compiler.scm 289 */
obj_t BgL_zc3anonymousza32807ze3z83_2417;
{ 
int BgL_auxz00_2908;int BgL_auxz00_2906;
BgL_auxz00_2908 = 
(int)(((long)1)); 
BgL_auxz00_2906 = 
(int)(((long)0)); 
BgL_zc3anonymousza32807ze3z83_2417 = 
make_fx_procedure(BGl_zc3anonymousza32807ze3z83zzengine_compilerz00, BgL_auxz00_2906, BgL_auxz00_2908); } 
{ /* Engine/compiler.scm 289 */
int BgL_auxz00_2911;
BgL_auxz00_2911 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32807ze3z83_2417, BgL_auxz00_2911, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2805z00_1407, BgL_zc3anonymousza32807ze3z83_2417); } } 
{ /* Engine/compiler.scm 292 */
obj_t BgL_auxz00_2503;
BgL_auxz00_2503 = 
BGl_cnstzd2walkz12zc0zzcnst_walkz00(
CELL_REF(BgL_astz00_1331)); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2503); } 
{ /* Engine/compiler.scm 293 */
obj_t BgL_arg2808z00_1411;
BgL_arg2808z00_1411 = 
CNST_TABLE_REF(((long)27)); 
{ /* Engine/compiler.scm 293 */
obj_t BgL_zc3anonymousza32810ze3z83_2416;
{ 
int BgL_auxz00_2919;int BgL_auxz00_2917;
BgL_auxz00_2919 = 
(int)(((long)1)); 
BgL_auxz00_2917 = 
(int)(((long)0)); 
BgL_zc3anonymousza32810ze3z83_2416 = 
make_fx_procedure(BGl_zc3anonymousza32810ze3z83zzengine_compilerz00, BgL_auxz00_2917, BgL_auxz00_2919); } 
{ /* Engine/compiler.scm 293 */
int BgL_auxz00_2922;
BgL_auxz00_2922 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32810ze3z83_2416, BgL_auxz00_2922, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2808z00_1411, BgL_zc3anonymousza32810ze3z83_2416); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2919z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 298 */
bool_t BgL_test2811z00_1415;
{ /* Engine/compiler.scm 298 */
long BgL_n1z00_1918;
BgL_n1z00_1918 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2811z00_1415 = 
(BgL_n1z00_1918>=((long)3)); } 
if(BgL_test2811z00_1415)
{ /* Engine/compiler.scm 299 */
obj_t BgL_auxz00_2504;
BgL_auxz00_2504 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_1331), 
CNST_TABLE_REF(((long)28))); 
CELL_SET(BgL_astz00_1331, BgL_auxz00_2504); }  else 
{ /* Engine/compiler.scm 298 */BFALSE; } } 
{ /* Engine/compiler.scm 300 */
obj_t BgL_arg2812z00_1416;
BgL_arg2812z00_1416 = 
CNST_TABLE_REF(((long)29)); 
{ /* Engine/compiler.scm 300 */
obj_t BgL_zc3anonymousza32814ze3z83_2415;
{ 
int BgL_auxz00_2935;int BgL_auxz00_2933;
BgL_auxz00_2935 = 
(int)(((long)1)); 
BgL_auxz00_2933 = 
(int)(((long)0)); 
BgL_zc3anonymousza32814ze3z83_2415 = 
make_fx_procedure(BGl_zc3anonymousza32814ze3z83zzengine_compilerz00, BgL_auxz00_2933, BgL_auxz00_2935); } 
{ /* Engine/compiler.scm 300 */
int BgL_auxz00_2938;
BgL_auxz00_2938 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32814ze3z83_2415, BgL_auxz00_2938, BgL_astz00_1331); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2812z00_1416, BgL_zc3anonymousza32814ze3z83_2415); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2920z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1331)); 
{ /* Engine/compiler.scm 304 */
obj_t BgL_astz00_1420;
{ /* Engine/compiler.scm 304 */
obj_t BgL_cellvalz00_2943;
BgL_cellvalz00_2943 = 
BGl_astzb2initializa7ersz15zzcgen_walkz00(
CELL_REF(BgL_astz00_1331)); 
BgL_astz00_1420 = 
MAKE_CELL(BgL_cellvalz00_2943); } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2921z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1420)); 
{ /* Engine/compiler.scm 308 */
bool_t BgL_test2815z00_1421;
{ /* Engine/compiler.scm 308 */
bool_t BgL_test2819z00_1426;
{ /* Engine/compiler.scm 308 */
long BgL_n1z00_1920;
BgL_n1z00_1920 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2819z00_1426 = 
(BgL_n1z00_1920>=((long)2)); } 
if(BgL_test2819z00_1426)
{ /* Engine/compiler.scm 308 */
BgL_test2815z00_1421 = ((bool_t)1); }  else 
{ /* Engine/compiler.scm 309 */
obj_t BgL_auxz00_2949;
BgL_auxz00_2949 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2815z00_1421 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2949); } } 
if(BgL_test2815z00_1421)
{ /* Engine/compiler.scm 308 */
{ /* Engine/compiler.scm 311 */
obj_t BgL_auxz00_2505;
BgL_auxz00_2505 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1420)); 
CELL_SET(BgL_astz00_1420, BgL_auxz00_2505); } 
{ /* Engine/compiler.scm 312 */
obj_t BgL_arg2816z00_1422;
BgL_arg2816z00_1422 = 
CNST_TABLE_REF(((long)30)); 
{ /* Engine/compiler.scm 312 */
obj_t BgL_zc3anonymousza32818ze3z83_2414;
{ 
int BgL_auxz00_2957;int BgL_auxz00_2955;
BgL_auxz00_2957 = 
(int)(((long)1)); 
BgL_auxz00_2955 = 
(int)(((long)0)); 
BgL_zc3anonymousza32818ze3z83_2414 = 
make_fx_procedure(BGl_zc3anonymousza32818ze3z83zzengine_compilerz00, BgL_auxz00_2955, BgL_auxz00_2957); } 
{ /* Engine/compiler.scm 312 */
int BgL_auxz00_2960;
BgL_auxz00_2960 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_2414, BgL_auxz00_2960, BgL_astz00_1420); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2816z00_1422, BgL_zc3anonymousza32818ze3z83_2414); } } 
{ /* Engine/compiler.scm 313 */
obj_t BgL_auxz00_2506;
BgL_auxz00_2506 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_1420)); 
CELL_SET(BgL_astz00_1420, BgL_auxz00_2506); } }  else 
{ /* Engine/compiler.scm 308 */BFALSE; } } 
{ /* Engine/compiler.scm 314 */
obj_t BgL_arg2820z00_1427;
BgL_arg2820z00_1427 = 
CNST_TABLE_REF(((long)31)); 
{ /* Engine/compiler.scm 314 */
obj_t BgL_zc3anonymousza32822ze3z83_2413;
{ 
int BgL_auxz00_2968;int BgL_auxz00_2966;
BgL_auxz00_2968 = 
(int)(((long)1)); 
BgL_auxz00_2966 = 
(int)(((long)0)); 
BgL_zc3anonymousza32822ze3z83_2413 = 
make_fx_procedure(BGl_zc3anonymousza32822ze3z83zzengine_compilerz00, BgL_auxz00_2966, BgL_auxz00_2968); } 
{ /* Engine/compiler.scm 314 */
int BgL_auxz00_2971;
BgL_auxz00_2971 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_2413, BgL_auxz00_2971, BgL_astz00_1420); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2820z00_1427, BgL_zc3anonymousza32822ze3z83_2413); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string2922z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1420)); 
{ /* Engine/compiler.scm 317 */
obj_t BgL_casezd2valuezd2_1431;
BgL_casezd2valuezd2_1431 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Engine/compiler.scm 317 */
bool_t BgL_testz00_2976;
{ /* Engine/compiler.scm 317 */
obj_t BgL_auxz00_2977;
BgL_auxz00_2977 = 
CNST_TABLE_REF(((long)32)); 
BgL_testz00_2976 = 
(BgL_casezd2valuezd2_1431==BgL_auxz00_2977); } 
if(BgL_testz00_2976)
{ /* Engine/compiler.scm 319 */
obj_t BgL_czd2prefixzd2_1433;
BgL_czd2prefixzd2_1433 = 
BGl_cgenzd2walkzd2zzcgen_walkz00(
CELL_REF(BgL_astz00_1420)); 
{ /* Engine/compiler.scm 320 */
obj_t BgL_arg2824z00_1434;
BgL_arg2824z00_1434 = 
CNST_TABLE_REF(((long)33)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2824z00_1434, BGl_proc2923z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 321 */
obj_t BgL_arg2827z00_1438;
BgL_arg2827z00_1438 = 
CNST_TABLE_REF(((long)34)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2827z00_1438, BGl_proc2924z00zzengine_compilerz00); } 
if(
STRINGP(BgL_czd2prefixzd2_1433))
{ /* Engine/compiler.scm 324 */
BGl_cczd2compilerzd2zzengine_compilerz00(BgL_czd2prefixzd2_1433); }  else 
{ /* Engine/compiler.scm 324 */BFALSE; } }  else 
{ /* Engine/compiler.scm 317 */
bool_t BgL_testz00_2988;
{ /* Engine/compiler.scm 317 */
obj_t BgL_auxz00_2989;
BgL_auxz00_2989 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_2988 = 
(BgL_casezd2valuezd2_1431==BgL_auxz00_2989); } 
if(BgL_testz00_2988)
{ /* Engine/compiler.scm 317 */
BGl_jvmzd2dumpzd2zzjvm_jdumpz00(
CELL_REF(BgL_astz00_1420)); 
{ /* Engine/compiler.scm 328 */
obj_t BgL_arg2832z00_1444;
BgL_arg2832z00_1444 = 
CNST_TABLE_REF(((long)35)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2832z00_1444, BGl_proc2925z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 329 */
obj_t BgL_arg2835z00_1448;
BgL_arg2835z00_1448 = 
CNST_TABLE_REF(((long)36)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2835z00_1448, BGl_proc2926z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 330 */
obj_t BgL_arg2838z00_1452;
BgL_arg2838z00_1452 = 
CNST_TABLE_REF(((long)37)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2838z00_1452, BGl_proc2927z00zzengine_compilerz00); } 
BGl_jvmzd2ldzd2zzjvm_ldz00(); }  else 
{ /* Engine/compiler.scm 333 */
obj_t BgL_objectz00_1925;
BgL_objectz00_1925 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
FAILURE(BGl_string2928z00zzengine_compilerz00,BGl_string2929z00zzengine_compilerz00,BgL_objectz00_1925);} } } } } 
return 
BINT(((long)0));} } } } } } 
}



/* _compiler */
obj_t BGl__compilerz00zzengine_compilerz00(obj_t BgL_envz00_2437)
{ AN_OBJECT;
{ /* Engine/compiler.scm 77 */
return 
BGl_compilerz00zzengine_compilerz00();} 
}



/* <anonymous:2829> */
obj_t BGl_zc3anonymousza32829ze3z83zzengine_compilerz00(obj_t BgL_envz00_2438)
{ AN_OBJECT;
{ /* Engine/compiler.scm 321 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2826> */
obj_t BGl_zc3anonymousza32826ze3z83zzengine_compilerz00(obj_t BgL_envz00_2439)
{ AN_OBJECT;
{ /* Engine/compiler.scm 320 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2840> */
obj_t BGl_zc3anonymousza32840ze3z83zzengine_compilerz00(obj_t BgL_envz00_2440)
{ AN_OBJECT;
{ /* Engine/compiler.scm 330 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2837> */
obj_t BGl_zc3anonymousza32837ze3z83zzengine_compilerz00(obj_t BgL_envz00_2441)
{ AN_OBJECT;
{ /* Engine/compiler.scm 329 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2834> */
obj_t BGl_zc3anonymousza32834ze3z83zzengine_compilerz00(obj_t BgL_envz00_2442)
{ AN_OBJECT;
{ /* Engine/compiler.scm 328 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2822> */
obj_t BGl_zc3anonymousza32822ze3z83zzengine_compilerz00(obj_t BgL_envz00_2443)
{ AN_OBJECT;
{ /* Engine/compiler.scm 314 */
{ /* Engine/compiler.scm 314 */
obj_t BgL_astz00_2444;
{ /* Engine/compiler.scm 314 */
int BgL_auxz00_3008;
BgL_auxz00_3008 = 
(int)(((long)0)); 
BgL_astz00_2444 = 
PROCEDURE_REF(BgL_envz00_2443, BgL_auxz00_3008); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2444));} } } 
}



/* <anonymous:2818> */
obj_t BGl_zc3anonymousza32818ze3z83zzengine_compilerz00(obj_t BgL_envz00_2445)
{ AN_OBJECT;
{ /* Engine/compiler.scm 312 */
{ /* Engine/compiler.scm 312 */
obj_t BgL_astz00_2446;
{ /* Engine/compiler.scm 312 */
int BgL_auxz00_3012;
BgL_auxz00_3012 = 
(int)(((long)0)); 
BgL_astz00_2446 = 
PROCEDURE_REF(BgL_envz00_2445, BgL_auxz00_3012); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2446));} } } 
}



/* <anonymous:2814> */
obj_t BGl_zc3anonymousza32814ze3z83zzengine_compilerz00(obj_t BgL_envz00_2447)
{ AN_OBJECT;
{ /* Engine/compiler.scm 300 */
{ /* Engine/compiler.scm 300 */
obj_t BgL_astz00_2448;
{ /* Engine/compiler.scm 300 */
int BgL_auxz00_3016;
BgL_auxz00_3016 = 
(int)(((long)0)); 
BgL_astz00_2448 = 
PROCEDURE_REF(BgL_envz00_2447, BgL_auxz00_3016); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2448));} } } 
}



/* <anonymous:2810> */
obj_t BGl_zc3anonymousza32810ze3z83zzengine_compilerz00(obj_t BgL_envz00_2449)
{ AN_OBJECT;
{ /* Engine/compiler.scm 293 */
{ /* Engine/compiler.scm 293 */
obj_t BgL_astz00_2450;
{ /* Engine/compiler.scm 293 */
int BgL_auxz00_3020;
BgL_auxz00_3020 = 
(int)(((long)0)); 
BgL_astz00_2450 = 
PROCEDURE_REF(BgL_envz00_2449, BgL_auxz00_3020); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2450));} } } 
}



/* <anonymous:2807> */
obj_t BGl_zc3anonymousza32807ze3z83zzengine_compilerz00(obj_t BgL_envz00_2451)
{ AN_OBJECT;
{ /* Engine/compiler.scm 289 */
{ /* Engine/compiler.scm 289 */
obj_t BgL_astz00_2452;
{ /* Engine/compiler.scm 289 */
int BgL_auxz00_3024;
BgL_auxz00_3024 = 
(int)(((long)0)); 
BgL_astz00_2452 = 
PROCEDURE_REF(BgL_envz00_2451, BgL_auxz00_3024); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2452));} } } 
}



/* <anonymous:2801> */
obj_t BGl_zc3anonymousza32801ze3z83zzengine_compilerz00(obj_t BgL_envz00_2453)
{ AN_OBJECT;
{ /* Engine/compiler.scm 283 */
{ /* Engine/compiler.scm 283 */
obj_t BgL_astz00_2454;
{ /* Engine/compiler.scm 283 */
int BgL_auxz00_3028;
BgL_auxz00_3028 = 
(int)(((long)0)); 
BgL_astz00_2454 = 
PROCEDURE_REF(BgL_envz00_2453, BgL_auxz00_3028); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2454));} } } 
}



/* <anonymous:2797> */
obj_t BGl_zc3anonymousza32797ze3z83zzengine_compilerz00(obj_t BgL_envz00_2455)
{ AN_OBJECT;
{ /* Engine/compiler.scm 277 */
{ /* Engine/compiler.scm 277 */
obj_t BgL_astz00_2456;
{ /* Engine/compiler.scm 277 */
int BgL_auxz00_3032;
BgL_auxz00_3032 = 
(int)(((long)0)); 
BgL_astz00_2456 = 
PROCEDURE_REF(BgL_envz00_2455, BgL_auxz00_3032); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2456));} } } 
}



/* <anonymous:2792> */
obj_t BGl_zc3anonymousza32792ze3z83zzengine_compilerz00(obj_t BgL_envz00_2457)
{ AN_OBJECT;
{ /* Engine/compiler.scm 269 */
{ /* Engine/compiler.scm 269 */
obj_t BgL_astz00_2458;
{ /* Engine/compiler.scm 269 */
int BgL_auxz00_3036;
BgL_auxz00_3036 = 
(int)(((long)0)); 
BgL_astz00_2458 = 
PROCEDURE_REF(BgL_envz00_2457, BgL_auxz00_3036); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2458));} } } 
}



/* <anonymous:2789> */
obj_t BGl_zc3anonymousza32789ze3z83zzengine_compilerz00(obj_t BgL_envz00_2459)
{ AN_OBJECT;
{ /* Engine/compiler.scm 264 */
{ /* Engine/compiler.scm 264 */
obj_t BgL_astz00_2460;
{ /* Engine/compiler.scm 264 */
int BgL_auxz00_3040;
BgL_auxz00_3040 = 
(int)(((long)0)); 
BgL_astz00_2460 = 
PROCEDURE_REF(BgL_envz00_2459, BgL_auxz00_3040); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2460));} } } 
}



/* <anonymous:2785> */
obj_t BGl_zc3anonymousza32785ze3z83zzengine_compilerz00(obj_t BgL_envz00_2461)
{ AN_OBJECT;
{ /* Engine/compiler.scm 255 */
{ /* Engine/compiler.scm 255 */
obj_t BgL_astz00_2462;
{ /* Engine/compiler.scm 255 */
int BgL_auxz00_3044;
BgL_auxz00_3044 = 
(int)(((long)0)); 
BgL_astz00_2462 = 
PROCEDURE_REF(BgL_envz00_2461, BgL_auxz00_3044); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2462));} } } 
}



/* <anonymous:2782> */
obj_t BGl_zc3anonymousza32782ze3z83zzengine_compilerz00(obj_t BgL_envz00_2463)
{ AN_OBJECT;
{ /* Engine/compiler.scm 250 */
{ /* Engine/compiler.scm 250 */
obj_t BgL_astz00_2464;
{ /* Engine/compiler.scm 250 */
int BgL_auxz00_3048;
BgL_auxz00_3048 = 
(int)(((long)0)); 
BgL_astz00_2464 = 
PROCEDURE_REF(BgL_envz00_2463, BgL_auxz00_3048); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2464));} } } 
}



/* <anonymous:2778> */
obj_t BGl_zc3anonymousza32778ze3z83zzengine_compilerz00(obj_t BgL_envz00_2465)
{ AN_OBJECT;
{ /* Engine/compiler.scm 245 */
{ /* Engine/compiler.scm 245 */
obj_t BgL_astz00_2466;
{ /* Engine/compiler.scm 245 */
int BgL_auxz00_3052;
BgL_auxz00_3052 = 
(int)(((long)0)); 
BgL_astz00_2466 = 
PROCEDURE_REF(BgL_envz00_2465, BgL_auxz00_3052); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2466));} } } 
}



/* <anonymous:2772> */
obj_t BGl_zc3anonymousza32772ze3z83zzengine_compilerz00(obj_t BgL_envz00_2467)
{ AN_OBJECT;
{ /* Engine/compiler.scm 238 */
{ /* Engine/compiler.scm 238 */
obj_t BgL_astz00_2468;
{ /* Engine/compiler.scm 238 */
int BgL_auxz00_3056;
BgL_auxz00_3056 = 
(int)(((long)0)); 
BgL_astz00_2468 = 
PROCEDURE_REF(BgL_envz00_2467, BgL_auxz00_3056); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2468));} } } 
}



/* <anonymous:2763> */
obj_t BGl_zc3anonymousza32763ze3z83zzengine_compilerz00(obj_t BgL_envz00_2469)
{ AN_OBJECT;
{ /* Engine/compiler.scm 229 */
{ /* Engine/compiler.scm 229 */
obj_t BgL_astz00_2470;
{ /* Engine/compiler.scm 229 */
int BgL_auxz00_3060;
BgL_auxz00_3060 = 
(int)(((long)0)); 
BgL_astz00_2470 = 
PROCEDURE_REF(BgL_envz00_2469, BgL_auxz00_3060); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2470));} } } 
}



/* <anonymous:2760> */
obj_t BGl_zc3anonymousza32760ze3z83zzengine_compilerz00(obj_t BgL_envz00_2471)
{ AN_OBJECT;
{ /* Engine/compiler.scm 224 */
{ /* Engine/compiler.scm 224 */
obj_t BgL_astz00_2472;
{ /* Engine/compiler.scm 224 */
int BgL_auxz00_3064;
BgL_auxz00_3064 = 
(int)(((long)0)); 
BgL_astz00_2472 = 
PROCEDURE_REF(BgL_envz00_2471, BgL_auxz00_3064); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2472));} } } 
}



/* <anonymous:2757> */
obj_t BGl_zc3anonymousza32757ze3z83zzengine_compilerz00(obj_t BgL_envz00_2473)
{ AN_OBJECT;
{ /* Engine/compiler.scm 217 */
{ /* Engine/compiler.scm 217 */
obj_t BgL_astz00_2474;
{ /* Engine/compiler.scm 217 */
int BgL_auxz00_3068;
BgL_auxz00_3068 = 
(int)(((long)0)); 
BgL_astz00_2474 = 
PROCEDURE_REF(BgL_envz00_2473, BgL_auxz00_3068); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2474));} } } 
}



/* <anonymous:2750> */
obj_t BGl_zc3anonymousza32750ze3z83zzengine_compilerz00(obj_t BgL_envz00_2475)
{ AN_OBJECT;
{ /* Engine/compiler.scm 203 */
{ /* Engine/compiler.scm 203 */
obj_t BgL_astz00_2476;
{ /* Engine/compiler.scm 203 */
int BgL_auxz00_3072;
BgL_auxz00_3072 = 
(int)(((long)0)); 
BgL_astz00_2476 = 
PROCEDURE_REF(BgL_envz00_2475, BgL_auxz00_3072); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2476));} } } 
}



/* <anonymous:2746> */
obj_t BGl_zc3anonymousza32746ze3z83zzengine_compilerz00(obj_t BgL_envz00_2477)
{ AN_OBJECT;
{ /* Engine/compiler.scm 198 */
{ 

return 
BGl_makezd2addzd2heapz00zzheap_makez00();} } 
}



/* <anonymous:2743> */
obj_t BGl_zc3anonymousza32743ze3z83zzengine_compilerz00(obj_t BgL_envz00_2478)
{ AN_OBJECT;
{ /* Engine/compiler.scm 195 */
{ 

return 
BGl_makezd2heapzd2zzheap_makez00();} } 
}



/* <anonymous:2740> */
obj_t BGl_zc3anonymousza32740ze3z83zzengine_compilerz00(obj_t BgL_envz00_2479)
{ AN_OBJECT;
{ /* Engine/compiler.scm 186 */
{ /* Engine/compiler.scm 186 */
obj_t BgL_astz00_2480;
{ /* Engine/compiler.scm 186 */
int BgL_auxz00_3078;
BgL_auxz00_3078 = 
(int)(((long)0)); 
BgL_astz00_2480 = 
PROCEDURE_REF(BgL_envz00_2479, BgL_auxz00_3078); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2480));} } } 
}



/* <anonymous:2737> */
obj_t BGl_zc3anonymousza32737ze3z83zzengine_compilerz00(obj_t BgL_envz00_2481)
{ AN_OBJECT;
{ /* Engine/compiler.scm 182 */
{ /* Engine/compiler.scm 182 */
obj_t BgL_unitsz00_2482;
{ /* Engine/compiler.scm 182 */
int BgL_auxz00_3082;
BgL_auxz00_3082 = 
(int)(((long)0)); 
BgL_unitsz00_2482 = 
PROCEDURE_REF(BgL_envz00_2481, BgL_auxz00_3082); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_2482));} } } 
}



/* <anonymous:2734> */
obj_t BGl_zc3anonymousza32734ze3z83zzengine_compilerz00(obj_t BgL_envz00_2483)
{ AN_OBJECT;
{ /* Engine/compiler.scm 178 */
{ /* Engine/compiler.scm 178 */
obj_t BgL_unitsz00_2484;
{ /* Engine/compiler.scm 178 */
int BgL_auxz00_3086;
BgL_auxz00_3086 = 
(int)(((long)0)); 
BgL_unitsz00_2484 = 
PROCEDURE_REF(BgL_envz00_2483, BgL_auxz00_3086); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_2484));} } } 
}



/* <anonymous:2731> */
obj_t BGl_zc3anonymousza32731ze3z83zzengine_compilerz00(obj_t BgL_envz00_2485)
{ AN_OBJECT;
{ /* Engine/compiler.scm 165 */
{ /* Engine/compiler.scm 165 */
obj_t BgL_unitsz00_2486;
{ /* Engine/compiler.scm 165 */
int BgL_auxz00_3090;
BgL_auxz00_3090 = 
(int)(((long)0)); 
BgL_unitsz00_2486 = 
PROCEDURE_REF(BgL_envz00_2485, BgL_auxz00_3090); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_2486));} } } 
}



/* <anonymous:2698> */
obj_t BGl_zc3anonymousza32698ze3z83zzengine_compilerz00(obj_t BgL_envz00_2487)
{ AN_OBJECT;
{ /* Engine/compiler.scm 137 */
{ 

{ /* Engine/compiler.scm 137 */
long BgL_auxz00_3094;
BgL_auxz00_3094 = ((long)0); 
return 
BINT(BgL_auxz00_3094);} } } 
}



/* cc-compiler */
obj_t BGl_cczd2compilerzd2zzengine_compilerz00(obj_t BgL_czd2prefixzd2_19)
{ AN_OBJECT;
{ /* Engine/compiler.scm 342 */
{ /* Engine/compiler.scm 344 */
bool_t BgL_test2841z00_1456;
{ /* Engine/compiler.scm 344 */
bool_t BgL_test2842z00_1457;
{ /* Engine/compiler.scm 344 */
obj_t BgL_auxz00_3096;
BgL_auxz00_3096 = 
CNST_TABLE_REF(((long)39)); 
BgL_test2842z00_1457 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_3096); } 
if(BgL_test2842z00_1457)
{ /* Engine/compiler.scm 344 */
BgL_test2841z00_1456 = ((bool_t)1); }  else 
{ /* Engine/compiler.scm 344 */
BgL_test2841z00_1456 = 
CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00); } } 
if(BgL_test2841z00_1456)
{ /* Engine/compiler.scm 344 */
BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_19); }  else 
{ /* Engine/compiler.scm 344 */BFALSE; } } 
{ /* Engine/compiler.scm 348 */
obj_t BgL_arg2843z00_1458;
BgL_arg2843z00_1458 = 
CNST_TABLE_REF(((long)39)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2843z00_1458, BGl_proc2930z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 351 */
bool_t BgL_arg2846z00_1462;
{ /* Engine/compiler.scm 351 */
bool_t BgL_test2847z00_1463;
{ /* Engine/compiler.scm 351 */
obj_t BgL_auxz00_3105;
BgL_auxz00_3105 = 
CNST_TABLE_REF(((long)35)); 
BgL_test2847z00_1463 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_3105); } 
if(BgL_test2847z00_1463)
{ /* Engine/compiler.scm 351 */
BgL_arg2846z00_1462 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 351 */
BgL_arg2846z00_1462 = ((bool_t)1); } } 
BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_19, BgL_arg2846z00_1462); } 
{ /* Engine/compiler.scm 352 */
obj_t BgL_arg2848z00_1464;
BgL_arg2848z00_1464 = 
CNST_TABLE_REF(((long)35)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2848z00_1464, BGl_proc2931z00zzengine_compilerz00); } 
return 
BGl_ldz00zzcc_ldz00(BgL_czd2prefixzd2_19, ((bool_t)1));} 
}



/* _cc-compiler */
obj_t BGl__cczd2compilerzd2zzengine_compilerz00(obj_t BgL_envz00_2509, obj_t BgL_czd2prefixzd2_2510)
{ AN_OBJECT;
{ /* Engine/compiler.scm 342 */
return 
BGl_cczd2compilerzd2zzengine_compilerz00(BgL_czd2prefixzd2_2510);} 
}



/* <anonymous:2851> */
obj_t BGl_zc3anonymousza32851ze3z83zzengine_compilerz00(obj_t BgL_envz00_2511)
{ AN_OBJECT;
{ /* Engine/compiler.scm 352 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:2845> */
obj_t BGl_zc3anonymousza32845ze3z83zzengine_compilerz00(obj_t BgL_envz00_2512)
{ AN_OBJECT;
{ /* Engine/compiler.scm 348 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_signalsz00(((long)52911), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)45452), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_srcz00(((long)45336), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzwrite_expandedz00(((long)48023), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzwrite_astz00(((long)4023), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)5878), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)44545), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzheap_restorez00(((long)4402), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzheap_makez00(((long)38901), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(((long)26006), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)23045), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(((long)43691), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzuser_userz00(((long)27809), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzexpand_syntaxzd2casezd2(((long)60367), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)13864), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzexpand_installz00(((long)63326), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long)3902), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztrace_walkz00(((long)47484), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)16677), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzeffect_walkz00(((long)64126), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcallcc_walkz00(((long)63474), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzfail_walkz00(((long)5838), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long)58397), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcfa_walkz00(((long)31438), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)22038), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzintegrate_walkz00(((long)15029), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcoerce_walkz00(((long)2701), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzreduce_walkz00(((long)36375), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcnst_walkz00(((long)10807), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcgen_walkz00(((long)5405), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzhgen_walkz00(((long)31372), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long)64898), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(((long)57366), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_walkz00(((long)60279), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzprof_walkz00(((long)40552), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_indentz00(((long)14500), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_ccz00(((long)17734), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_ldz00(((long)16882), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(((long)43904), "engine_compiler"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_ldz00(((long)12392), "engine_compiler");} 
}

