/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_sfunzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   obj_t BgL_cfromz00;
   obj_t BgL_cfromza2za2;
   obj_t BgL_ctoz00;
   obj_t BgL_ctoza2za2;
   obj_t BgL_cfunctionz00;
   obj_t BgL_integratorz00;
   obj_t BgL_integratedz00;
   obj_t BgL_pluggedzd2inzd2;
   long BgL_markz00;
   obj_t BgL_freezd2markzd2;
   obj_t BgL_thezd2globalzd2;
   obj_t BgL_kapturedz00;
   obj_t BgL_newzd2bodyzd2;
   long BgL_bmarkz00;
   long BgL_umarkz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
} *BgL_sfunzf2ginfozf2_bglt;

typedef struct BgL_svarzf2ginfozf2_bgl {
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2ginfozf2_bglt;

typedef struct BgL_sexitzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
} *BgL_sexitzf2ginfozf2_bglt;

typedef struct BgL_localzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
} *BgL_localzf2ginfozf2_bglt;

typedef struct BgL_globalzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
   obj_t BgL_globalzd2closurezd2;
} *BgL_globalzf2ginfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_globalz00_bglt BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96();
extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static BgL_valuez00_bglt BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static BgL_globalz00_bglt BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
static BgL_globalz00_bglt BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern BgL_nodez00_bglt BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static BgL_nodez00_bglt BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt, BgL_nodez00_bglt);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern BgL_globalz00_bglt BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
static obj_t BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96, BgL_bgl__localza7d2za7e3globalza731za7za7globaliza7a7e_localza7d2za7e3globalza7963464za7, BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96, 0L, 1 );
DEFINE_STRING( BGl_string3459z00zzglobaliza7e_localzd2ze3globalz96, BgL_bgl_string3459za700za7za7globaliza7a7e_localza7d2za7e3globalza7963465za7, "now sfun static _ value procedure-ref env ", 42 );
DEFINE_EXPORT_PROCEDURE( BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96, BgL_bgl__theza7d2globalza7d2za7za7globaliza7a7e_localza7d2za7e3globalza7963466z00, BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long BgL_checksumz00_3723, char * BgL_fromz00_3724)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(); 
BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "globalize_local->global"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 15 */
{ /* Globalize/loc2glo.scm 15 */
obj_t BgL_cportz00_3716;
BgL_cportz00_3716 = 
open_input_string(BGl_string3459z00zzglobaliza7e_localzd2ze3globalz96); 
{ 
long BgL_iz00_3717;
BgL_iz00_3717 = ((long)6); 
BgL_loopz00_3718:
if(
(BgL_iz00_3717==((long)-1)))
{ /* Globalize/loc2glo.scm 15 */
return BUNSPEC;}  else 
{ /* Globalize/loc2glo.scm 15 */
{ /* Globalize/loc2glo.scm 15 */
obj_t BgL_arg3461z00_3720;
{ /* Globalize/loc2glo.scm 15 */
obj_t BgL_list3462z00_3721;
BgL_list3462z00_3721 = 
MAKE_PAIR(BgL_cportz00_3716, BNIL); 
BgL_arg3461z00_3720 = 
BGl_readz00zz__readerz00(BgL_list3462z00_3721); } 
{ /* Globalize/loc2glo.scm 15 */
int BgL_auxz00_3740;
BgL_auxz00_3740 = 
(int)(BgL_iz00_3717); 
CNST_TABLE_SET(BgL_auxz00_3740, BgL_arg3461z00_3720); } } 
{ 
long BgL_iz00_3743;
{ /* Globalize/loc2glo.scm 15 */
int BgL_auxz00_3744;
{ /* Globalize/loc2glo.scm 15 */
long BgL_auxz00_3745;
BgL_auxz00_3745 = 
(BgL_iz00_3717-((long)1)); 
BgL_auxz00_3744 = 
(int)(BgL_auxz00_3745); } 
BgL_iz00_3743 = 
(long)(BgL_auxz00_3744); } 
BgL_iz00_3717 = BgL_iz00_3743; 
goto BgL_loopz00_3718;} } } } } 
}



/* default-type */
obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96()
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 38 */
{ /* Globalize/loc2glo.scm 39 */
bool_t BgL_test3135z00_1592;
{ /* Globalize/loc2glo.scm 39 */
long BgL_n1z00_2324;
BgL_n1z00_2324 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3135z00_1592 = 
(BgL_n1z00_2324<((long)2)); } 
if(BgL_test3135z00_1592)
{ /* Globalize/loc2glo.scm 39 */
return BGl_za2objza2z00zztype_cachez00;}  else 
{ /* Globalize/loc2glo.scm 39 */
return BGl_za2_za2z00zztype_cachez00;} } } 
}



/* local->global */
BgL_globalz00_bglt BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt BgL_localz00_1)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 44 */
{ /* Globalize/loc2glo.scm 46 */
BgL_globalz00_bglt BgL_globalz00_1593;
BgL_globalz00_1593 = 
BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_1); 
{ /* Globalize/loc2glo.scm 46 */
obj_t BgL_argsz00_1594;
{ /* Globalize/loc2glo.scm 47 */
BgL_sfunz00_bglt BgL_obj1395z00_2327;
{ /* Globalize/loc2glo.scm 47 */
BgL_valuez00_bglt BgL_auxz00_3753;
BgL_auxz00_3753 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_valuez00); 
BgL_obj1395z00_2327 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3753); } 
BgL_argsz00_1594 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1395z00_2327))->BgL_argsz00); } 
{ /* Globalize/loc2glo.scm 47 */
BgL_valuez00_bglt BgL_infoz00_1595;
BgL_infoz00_1595 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_valuez00); 
{ /* Globalize/loc2glo.scm 48 */
obj_t BgL_newzd2bodyzd2_1596;
{ /* Globalize/loc2glo.scm 49 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2812z00_2329;
BgL_obj2812z00_2329 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_infoz00_1595); 
{ 
obj_t BgL_auxz00_3759;
{ /* Globalize/loc2glo.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3760;
BgL_auxz00_3760 = 
(BgL_objectz00_bglt)(BgL_obj2812z00_2329); 
BgL_auxz00_3759 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3760); } 
BgL_newzd2bodyzd2_1596 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_3759))->BgL_newzd2bodyzd2); } } 
{ /* Globalize/loc2glo.scm 49 */
obj_t BgL_kapturedz00_1597;
{ /* Globalize/loc2glo.scm 50 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2809z00_2330;
BgL_obj2809z00_2330 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_infoz00_1595); 
{ 
obj_t BgL_auxz00_3765;
{ /* Globalize/loc2glo.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3766;
BgL_auxz00_3766 = 
(BgL_objectz00_bglt)(BgL_obj2809z00_2330); 
BgL_auxz00_3765 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3766); } 
BgL_kapturedz00_1597 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_3765))->BgL_kapturedz00); } } 
{ /* Globalize/loc2glo.scm 50 */

{ /* Globalize/loc2glo.scm 51 */
bool_t BgL_testz00_3770;
{ /* Globalize/loc2glo.scm 51 */
BgL_localzf2ginfozf2_bglt BgL_obj2969z00_2331;
BgL_obj2969z00_2331 = 
(BgL_localzf2ginfozf2_bglt)(BgL_localz00_1); 
{ 
obj_t BgL_auxz00_3772;
{ /* Globalize/loc2glo.scm 51 */
BgL_objectz00_bglt BgL_auxz00_3773;
BgL_auxz00_3773 = 
(BgL_objectz00_bglt)(BgL_obj2969z00_2331); 
BgL_auxz00_3772 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3773); } 
BgL_testz00_3770 = 
(((BgL_localzf2ginfozf2_bglt)CREF(BgL_auxz00_3772))->BgL_escapezf3zf3); } } 
if(BgL_testz00_3770)
{ /* Globalize/loc2glo.scm 51 */
BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_1593, BgL_localz00_1, BgL_argsz00_1594, BgL_kapturedz00_1597, BgL_newzd2bodyzd2_1596); }  else 
{ /* Globalize/loc2glo.scm 51 */
BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_1593, BgL_localz00_1, BgL_argsz00_1594, BgL_kapturedz00_1597, BgL_newzd2bodyzd2_1596); } } 
return BgL_globalz00_1593;} } } } } } } 
}



/* _local->global */
obj_t BGl__localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(obj_t BgL_envz00_3712, obj_t BgL_localz00_3713)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 44 */
{ /* Globalize/loc2glo.scm 44 */
BgL_globalz00_bglt BgL_auxz00_3779;
BgL_auxz00_3779 = 
BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
(BgL_localz00_bglt)(BgL_localz00_3713)); 
return 
(obj_t)(BgL_auxz00_3779);} } 
}



/* fix-escaping-definition */
BgL_globalz00_bglt BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_bglt BgL_globalz00_2, BgL_localz00_bglt BgL_localz00_3, obj_t BgL_argsz00_4, obj_t BgL_kapturedz00_5, obj_t BgL_bodyz00_6)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 60 */
{ /* Globalize/loc2glo.scm 61 */
BgL_localz00_bglt BgL_envz00_1600;
BgL_envz00_1600 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)0)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* Globalize/loc2glo.scm 61 */
obj_t BgL_newzd2freezd2_1601;
if(
NULLP(BgL_kapturedz00_5))
{ /* Globalize/loc2glo.scm 62 */
BgL_newzd2freezd2_1601 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 62 */
obj_t BgL_head3085z00_1694;
BgL_head3085z00_1694 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3083z00_1695;obj_t BgL_tail3086z00_1696;
BgL_l3083z00_1695 = BgL_kapturedz00_5; 
BgL_tail3086z00_1696 = BgL_head3085z00_1694; 
BgL_lname3084z00_1697:
if(
NULLP(BgL_l3083z00_1695))
{ /* Globalize/loc2glo.scm 62 */
BgL_newzd2freezd2_1601 = 
CDR(BgL_head3085z00_1694); }  else 
{ /* Globalize/loc2glo.scm 63 */
obj_t BgL_newtail3087z00_1699;
{ /* Globalize/loc2glo.scm 63 */
BgL_localz00_bglt BgL_arg3203z00_1701;
{ /* Globalize/loc2glo.scm 63 */
obj_t BgL_oldz00_1703;
BgL_oldz00_1703 = 
CAR(BgL_l3083z00_1695); 
{ /* Globalize/loc2glo.scm 63 */
BgL_localz00_bglt BgL_newz00_1704;
{ /* Globalize/loc2glo.scm 63 */
BgL_typez00_bglt BgL_auxz00_3796;obj_t BgL_auxz00_3793;
{ /* Globalize/loc2glo.scm 64 */
obj_t BgL_auxz00_3797;
BgL_auxz00_3797 = 
BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(); 
BgL_auxz00_3796 = 
(BgL_typez00_bglt)(BgL_auxz00_3797); } 
{ /* Globalize/loc2glo.scm 63 */
BgL_localz00_bglt BgL_obj1272z00_2338;
BgL_obj1272z00_2338 = 
(BgL_localz00_bglt)(BgL_oldz00_1703); 
BgL_auxz00_3793 = 
(((BgL_localz00_bglt)CREF(BgL_obj1272z00_2338))->BgL_idz00); } 
BgL_newz00_1704 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_3793, BgL_auxz00_3796); } 
{ /* Globalize/loc2glo.scm 65 */
bool_t BgL_arg3205z00_1705;
{ /* Globalize/loc2glo.scm 65 */
BgL_localz00_bglt BgL_obj1295z00_2339;
BgL_obj1295z00_2339 = 
(BgL_localz00_bglt)(BgL_oldz00_1703); 
BgL_arg3205z00_1705 = 
(((BgL_localz00_bglt)CREF(BgL_obj1295z00_2339))->BgL_userzf3zf3); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1704))->BgL_userzf3zf3) = ((bool_t)BgL_arg3205z00_1705), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 66 */
BgL_localzf2ginfozf2_bglt BgL_obj3088z00_1706;
BgL_obj3088z00_1706 = 
((BgL_localzf2ginfozf2_bglt)BgL_newz00_1704); 
{ /* Globalize/loc2glo.scm 66 */
BgL_localzf2ginfozf2_bglt BgL_arg3206z00_1707;
{ /* Globalize/loc2glo.scm 66 */
BgL_localzf2ginfozf2_bglt BgL_res3396z00_2348;
{ /* Globalize/loc2glo.scm 66 */
BgL_localzf2ginfozf2_bglt BgL_new2947z00_2343;
BgL_new2947z00_2343 = 
((BgL_localzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 66 */
BgL_localzf2ginfozf2_bglt BgL_res3395z00_2347;
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_new2947z00_2343))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3395z00_2347 = BgL_new2947z00_2343; BgL_res3395z00_2347; } 
BgL_res3396z00_2348 = BgL_new2947z00_2343; } 
BgL_arg3206z00_1707 = BgL_res3396z00_2348; } 
{ /* Globalize/loc2glo.scm 66 */
obj_t BgL_auxz00_3809;BgL_objectz00_bglt BgL_auxz00_3807;
BgL_auxz00_3809 = 
(obj_t)(BgL_arg3206z00_1707); 
BgL_auxz00_3807 = 
(BgL_objectz00_bglt)(BgL_obj3088z00_1706); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3807, BgL_auxz00_3809); } } 
{ /* Globalize/loc2glo.scm 66 */
long BgL_arg3207z00_1708;
BgL_arg3207z00_1708 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 66 */
BgL_objectz00_bglt BgL_auxz00_3813;
BgL_auxz00_3813 = 
(BgL_objectz00_bglt)(BgL_obj3088z00_1706); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3813, BgL_arg3207z00_1708); } } 
{ /* Globalize/loc2glo.scm 66 */
obj_t BgL_auxz00_3816;
BgL_auxz00_3816 = 
(obj_t)(BgL_obj3088z00_1706); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3816); } BUNSPEC; BgL_obj3088z00_1706; } 
{ /* Globalize/loc2glo.scm 67 */
BgL_svarzf2ginfozf2_bglt BgL_obj3089z00_1709;
{ 
BgL_valuez00_bglt BgL_auxz00_3819;
BgL_auxz00_3819 = 
BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_newz00_1704); 
BgL_obj3089z00_1709 = 
((BgL_svarzf2ginfozf2_bglt)BgL_auxz00_3819); } 
{ /* Globalize/loc2glo.scm 68 */
BgL_svarzf2ginfozf2_bglt BgL_arg3208z00_1710;
{ /* Globalize/loc2glo.scm 68 */
bool_t BgL_arg3209z00_1711;
BgL_arg3209z00_1711 = ((bool_t)1); 
{ /* Globalize/loc2glo.scm 67 */
BgL_svarzf2ginfozf2_bglt BgL_res3398z00_2368;
{ /* Globalize/loc2glo.scm 67 */
BgL_svarzf2ginfozf2_bglt BgL_new2866z00_2357;
BgL_new2866z00_2357 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 67 */
BgL_svarzf2ginfozf2_bglt BgL_res3397z00_2367;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2357))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3209z00_1711), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2357))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2357))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2357))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3397z00_2367 = BgL_new2866z00_2357; BgL_res3397z00_2367; } 
BgL_res3398z00_2368 = BgL_new2866z00_2357; } 
BgL_arg3208z00_1710 = BgL_res3398z00_2368; } } 
{ /* Globalize/loc2glo.scm 67 */
obj_t BgL_auxz00_3829;BgL_objectz00_bglt BgL_auxz00_3827;
BgL_auxz00_3829 = 
(obj_t)(BgL_arg3208z00_1710); 
BgL_auxz00_3827 = 
(BgL_objectz00_bglt)(BgL_obj3089z00_1709); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3827, BgL_auxz00_3829); } } 
{ /* Globalize/loc2glo.scm 67 */
long BgL_arg3212z00_1714;
BgL_arg3212z00_1714 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 67 */
BgL_objectz00_bglt BgL_auxz00_3833;
BgL_auxz00_3833 = 
(BgL_objectz00_bglt)(BgL_obj3089z00_1709); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3833, BgL_arg3212z00_1714); } } 
{ /* Globalize/loc2glo.scm 67 */
obj_t BgL_auxz00_3836;
BgL_auxz00_3836 = 
(obj_t)(BgL_obj3089z00_1709); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3836); } BUNSPEC; BgL_obj3089z00_1709; } 
{ /* Globalize/loc2glo.scm 69 */
obj_t BgL_arg3213z00_1715;
{ /* Globalize/loc2glo.scm 69 */
BgL_localz00_bglt BgL_obj1282z00_2372;
BgL_obj1282z00_2372 = 
(BgL_localz00_bglt)(BgL_oldz00_1703); 
BgL_arg3213z00_1715 = 
(((BgL_localz00_bglt)CREF(BgL_obj1282z00_2372))->BgL_accessz00); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1704))->BgL_accessz00) = ((obj_t)BgL_arg3213z00_1715), BUNSPEC); } 
BgL_arg3203z00_1701 = BgL_newz00_1704; } } 
{ /* Globalize/loc2glo.scm 62 */
obj_t BgL_auxz00_3842;
BgL_auxz00_3842 = 
(obj_t)(BgL_arg3203z00_1701); 
BgL_newtail3087z00_1699 = 
MAKE_PAIR(BgL_auxz00_3842, BNIL); } } 
SET_CDR(BgL_tail3086z00_1696, BgL_newtail3087z00_1699); 
{ 
obj_t BgL_tail3086z00_3848;obj_t BgL_l3083z00_3846;
BgL_l3083z00_3846 = 
CDR(BgL_l3083z00_1695); 
BgL_tail3086z00_3848 = BgL_newtail3087z00_1699; 
BgL_tail3086z00_1696 = BgL_tail3086z00_3848; 
BgL_l3083z00_1695 = BgL_l3083z00_3846; 
goto BgL_lname3084z00_1697;} } } } 
{ /* Globalize/loc2glo.scm 62 */
obj_t BgL_newzd2argszd2_1602;
if(
NULLP(BgL_argsz00_4))
{ /* Globalize/loc2glo.scm 72 */
BgL_newzd2argszd2_1602 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 72 */
obj_t BgL_head3092z00_1667;
BgL_head3092z00_1667 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3090z00_1668;obj_t BgL_tail3093z00_1669;
BgL_l3090z00_1668 = BgL_argsz00_4; 
BgL_tail3093z00_1669 = BgL_head3092z00_1667; 
BgL_lname3091z00_1670:
if(
NULLP(BgL_l3090z00_1668))
{ /* Globalize/loc2glo.scm 72 */
BgL_newzd2argszd2_1602 = 
CDR(BgL_head3092z00_1667); }  else 
{ /* Globalize/loc2glo.scm 73 */
obj_t BgL_newtail3094z00_1672;
{ /* Globalize/loc2glo.scm 73 */
BgL_localz00_bglt BgL_arg3186z00_1674;
{ /* Globalize/loc2glo.scm 73 */
obj_t BgL_oldz00_1676;
BgL_oldz00_1676 = 
CAR(BgL_l3090z00_1668); 
{ /* Globalize/loc2glo.scm 73 */
BgL_localz00_bglt BgL_newz00_1677;
{ /* Globalize/loc2glo.scm 73 */
BgL_typez00_bglt BgL_auxz00_3859;obj_t BgL_auxz00_3856;
{ /* Globalize/loc2glo.scm 74 */
obj_t BgL_auxz00_3860;
BgL_auxz00_3860 = 
BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(); 
BgL_auxz00_3859 = 
(BgL_typez00_bglt)(BgL_auxz00_3860); } 
{ /* Globalize/loc2glo.scm 73 */
BgL_localz00_bglt BgL_obj1272z00_2386;
BgL_obj1272z00_2386 = 
(BgL_localz00_bglt)(BgL_oldz00_1676); 
BgL_auxz00_3856 = 
(((BgL_localz00_bglt)CREF(BgL_obj1272z00_2386))->BgL_idz00); } 
BgL_newz00_1677 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_3856, BgL_auxz00_3859); } 
{ /* Globalize/loc2glo.scm 75 */
bool_t BgL_arg3188z00_1678;
{ /* Globalize/loc2glo.scm 75 */
BgL_localz00_bglt BgL_obj1295z00_2387;
BgL_obj1295z00_2387 = 
(BgL_localz00_bglt)(BgL_oldz00_1676); 
BgL_arg3188z00_1678 = 
(((BgL_localz00_bglt)CREF(BgL_obj1295z00_2387))->BgL_userzf3zf3); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1677))->BgL_userzf3zf3) = ((bool_t)BgL_arg3188z00_1678), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 76 */
BgL_localzf2ginfozf2_bglt BgL_obj3095z00_1679;
BgL_obj3095z00_1679 = 
((BgL_localzf2ginfozf2_bglt)BgL_newz00_1677); 
{ /* Globalize/loc2glo.scm 76 */
BgL_localzf2ginfozf2_bglt BgL_arg3189z00_1680;
{ /* Globalize/loc2glo.scm 76 */
BgL_localzf2ginfozf2_bglt BgL_res3400z00_2396;
{ /* Globalize/loc2glo.scm 76 */
BgL_localzf2ginfozf2_bglt BgL_new2947z00_2391;
BgL_new2947z00_2391 = 
((BgL_localzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 76 */
BgL_localzf2ginfozf2_bglt BgL_res3399z00_2395;
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_new2947z00_2391))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3399z00_2395 = BgL_new2947z00_2391; BgL_res3399z00_2395; } 
BgL_res3400z00_2396 = BgL_new2947z00_2391; } 
BgL_arg3189z00_1680 = BgL_res3400z00_2396; } 
{ /* Globalize/loc2glo.scm 76 */
obj_t BgL_auxz00_3872;BgL_objectz00_bglt BgL_auxz00_3870;
BgL_auxz00_3872 = 
(obj_t)(BgL_arg3189z00_1680); 
BgL_auxz00_3870 = 
(BgL_objectz00_bglt)(BgL_obj3095z00_1679); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3870, BgL_auxz00_3872); } } 
{ /* Globalize/loc2glo.scm 76 */
long BgL_arg3190z00_1681;
BgL_arg3190z00_1681 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 76 */
BgL_objectz00_bglt BgL_auxz00_3876;
BgL_auxz00_3876 = 
(BgL_objectz00_bglt)(BgL_obj3095z00_1679); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3876, BgL_arg3190z00_1681); } } 
{ /* Globalize/loc2glo.scm 76 */
obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
(obj_t)(BgL_obj3095z00_1679); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3879); } BUNSPEC; BgL_obj3095z00_1679; } 
{ /* Globalize/loc2glo.scm 77 */
BgL_svarzf2ginfozf2_bglt BgL_obj3096z00_1682;
{ 
BgL_valuez00_bglt BgL_auxz00_3882;
BgL_auxz00_3882 = 
BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_newz00_1677); 
BgL_obj3096z00_1682 = 
((BgL_svarzf2ginfozf2_bglt)BgL_auxz00_3882); } 
{ /* Globalize/loc2glo.scm 79 */
BgL_svarzf2ginfozf2_bglt BgL_arg3191z00_1683;
{ /* Globalize/loc2glo.scm 79 */
bool_t BgL_arg3192z00_1684;
{ /* Globalize/loc2glo.scm 78 */
BgL_svarzf2ginfozf2_bglt BgL_obj2887z00_2402;
{ /* Globalize/loc2glo.scm 79 */
BgL_valuez00_bglt BgL_auxz00_3885;
{ /* Globalize/loc2glo.scm 79 */
BgL_localz00_bglt BgL_obj1279z00_2401;
BgL_obj1279z00_2401 = 
(BgL_localz00_bglt)(BgL_oldz00_1676); 
BgL_auxz00_3885 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_2401))->BgL_valuez00); } 
BgL_obj2887z00_2402 = 
(BgL_svarzf2ginfozf2_bglt)(BgL_auxz00_3885); } 
{ 
obj_t BgL_auxz00_3889;
{ /* Globalize/loc2glo.scm 78 */
BgL_objectz00_bglt BgL_auxz00_3890;
BgL_auxz00_3890 = 
(BgL_objectz00_bglt)(BgL_obj2887z00_2402); 
BgL_auxz00_3889 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3890); } 
BgL_arg3192z00_1684 = 
(((BgL_svarzf2ginfozf2_bglt)CREF(BgL_auxz00_3889))->BgL_kapturedzf3zf3); } } 
{ /* Globalize/loc2glo.scm 77 */
BgL_svarzf2ginfozf2_bglt BgL_res3402z00_2418;
{ /* Globalize/loc2glo.scm 77 */
BgL_svarzf2ginfozf2_bglt BgL_new2866z00_2407;
BgL_new2866z00_2407 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 77 */
BgL_svarzf2ginfozf2_bglt BgL_res3401z00_2417;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2407))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3192z00_1684), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2407))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2407))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2407))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3401z00_2417 = BgL_new2866z00_2407; BgL_res3401z00_2417; } 
BgL_res3402z00_2418 = BgL_new2866z00_2407; } 
BgL_arg3191z00_1683 = BgL_res3402z00_2418; } } 
{ /* Globalize/loc2glo.scm 77 */
obj_t BgL_auxz00_3901;BgL_objectz00_bglt BgL_auxz00_3899;
BgL_auxz00_3901 = 
(obj_t)(BgL_arg3191z00_1683); 
BgL_auxz00_3899 = 
(BgL_objectz00_bglt)(BgL_obj3096z00_1682); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3899, BgL_auxz00_3901); } } 
{ /* Globalize/loc2glo.scm 77 */
long BgL_arg3196z00_1688;
BgL_arg3196z00_1688 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 77 */
BgL_objectz00_bglt BgL_auxz00_3905;
BgL_auxz00_3905 = 
(BgL_objectz00_bglt)(BgL_obj3096z00_1682); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3905, BgL_arg3196z00_1688); } } 
{ /* Globalize/loc2glo.scm 77 */
obj_t BgL_auxz00_3908;
BgL_auxz00_3908 = 
(obj_t)(BgL_obj3096z00_1682); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3908); } BUNSPEC; BgL_obj3096z00_1682; } 
{ /* Globalize/loc2glo.scm 80 */
obj_t BgL_arg3197z00_1689;
{ /* Globalize/loc2glo.scm 80 */
BgL_localz00_bglt BgL_obj1282z00_2422;
BgL_obj1282z00_2422 = 
(BgL_localz00_bglt)(BgL_oldz00_1676); 
BgL_arg3197z00_1689 = 
(((BgL_localz00_bglt)CREF(BgL_obj1282z00_2422))->BgL_accessz00); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1677))->BgL_accessz00) = ((obj_t)BgL_arg3197z00_1689), BUNSPEC); } 
BgL_arg3186z00_1674 = BgL_newz00_1677; } } 
{ /* Globalize/loc2glo.scm 72 */
obj_t BgL_auxz00_3914;
BgL_auxz00_3914 = 
(obj_t)(BgL_arg3186z00_1674); 
BgL_newtail3094z00_1672 = 
MAKE_PAIR(BgL_auxz00_3914, BNIL); } } 
SET_CDR(BgL_tail3093z00_1669, BgL_newtail3094z00_1672); 
{ 
obj_t BgL_tail3093z00_3920;obj_t BgL_l3090z00_3918;
BgL_l3090z00_3918 = 
CDR(BgL_l3090z00_1668); 
BgL_tail3093z00_3920 = BgL_newtail3094z00_1672; 
BgL_tail3093z00_1669 = BgL_tail3093z00_3920; 
BgL_l3090z00_1668 = BgL_l3090z00_3918; 
goto BgL_lname3091z00_1670;} } } } 
{ /* Globalize/loc2glo.scm 83 */
BgL_sfunz00_bglt BgL_newzd2funzd2_1604;
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_duplicated3097z00_1649;
{ /* Globalize/loc2glo.scm 84 */
BgL_valuez00_bglt BgL_auxz00_3921;
BgL_auxz00_3921 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_3))->BgL_valuez00); 
BgL_duplicated3097z00_1649 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3921); } 
{ /* Globalize/loc2glo.scm 85 */
BgL_sfunz00_bglt BgL_new3098z00_1650;
{ /* Globalize/loc2glo.scm 85 */
obj_t BgL_arg3169z00_1651;obj_t BgL_arg3170z00_1652;obj_t BgL_arg3171z00_1653;obj_t BgL_arg3172z00_1654;bool_t BgL_arg3173z00_1655;obj_t BgL_arg3174z00_1656;obj_t BgL_arg3175z00_1657;obj_t BgL_arg3176z00_1658;obj_t BgL_arg3177z00_1659;obj_t BgL_arg3178z00_1660;obj_t BgL_arg3179z00_1661;obj_t BgL_arg3180z00_1662;
{ /* Globalize/loc2glo.scm 85 */
obj_t BgL_auxz00_3924;
{ /* Globalize/loc2glo.scm 85 */
long BgL_auxz00_3925;
BgL_auxz00_3925 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_arityz00); 
BgL_auxz00_3924 = 
BINT(BgL_auxz00_3925); } 
BgL_arg3169z00_1651 = 
BGl_zb2zd2arityz60zztools_argsz00(BgL_auxz00_3924, 
BINT(((long)1))); } 
BgL_arg3170z00_1652 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_sidezd2effectzf3z21); 
BgL_arg3171z00_1653 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_predicatezd2ofzd2); 
BgL_arg3172z00_1654 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_stackzd2allocatorzd2); 
BgL_arg3173z00_1655 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_topzf3zf3); 
BgL_arg3174z00_1656 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_thezd2closurezd2); 
BgL_arg3175z00_1657 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_propertyz00); 
{ /* Globalize/loc2glo.scm 86 */
obj_t BgL_auxz00_3936;
BgL_auxz00_3936 = 
(obj_t)(BgL_envz00_1600); 
BgL_arg3176z00_1658 = 
MAKE_PAIR(BgL_auxz00_3936, BgL_newzd2argszd2_1602); } 
BgL_arg3177z00_1659 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_bodyz00); 
BgL_arg3178z00_1660 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_classz00); 
BgL_arg3179z00_1661 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_dssslzd2keywordszd2); 
BgL_arg3180z00_1662 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3097z00_1649))->BgL_locz00); 
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_res3405z00_2487;
{ /* Globalize/loc2glo.scm 84 */
long BgL_arity1436z00_2442;
BgL_arity1436z00_2442 = 
(long)CINT(BgL_arg3169z00_1651); 
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_new1448z00_2454;
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_res3403z00_2460;
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_new1450z00_2455;
BgL_new1450z00_2455 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Globalize/loc2glo.scm 84 */
long BgL_arg3386z00_2456;
BgL_arg3386z00_2456 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Globalize/loc2glo.scm 84 */
BgL_objectz00_bglt BgL_auxz00_3946;
BgL_auxz00_3946 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2455); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3946, BgL_arg3386z00_2456); } } 
{ /* Globalize/loc2glo.scm 84 */
BgL_objectz00_bglt BgL_auxz00_3949;
BgL_auxz00_3949 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2455); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3949, BFALSE); } 
{ /* Globalize/loc2glo.scm 84 */
obj_t BgL_auxz00_3952;
BgL_auxz00_3952 = 
(obj_t)(BgL_new1450z00_2455); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3952); } BUNSPEC; 
BgL_res3403z00_2460 = BgL_new1450z00_2455; } 
BgL_new1448z00_2454 = BgL_res3403z00_2460; } 
{ /* Globalize/loc2glo.scm 84 */
BgL_sfunz00_bglt BgL_res3404z00_2486;
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_arityz00) = ((long)BgL_arity1436z00_2442), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3170z00_1652), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_arg3171z00_1653), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_arg3172z00_1654), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_topzf3zf3) = ((bool_t)BgL_arg3173z00_1655), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_thezd2closurezd2) = ((obj_t)BgL_arg3174z00_1656), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_propertyz00) = ((obj_t)BgL_arg3175z00_1657), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_argsz00) = ((obj_t)BgL_arg3176z00_1658), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_bodyz00) = ((obj_t)BgL_arg3177z00_1659), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_classz00) = ((obj_t)BgL_arg3178z00_1660), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg3179z00_1661), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2454))->BgL_locz00) = ((obj_t)BgL_arg3180z00_1662), BUNSPEC); 
BgL_res3404z00_2486 = BgL_new1448z00_2454; BgL_res3404z00_2486; } 
BgL_res3405z00_2487 = BgL_new1448z00_2454; } } 
BgL_new3098z00_1650 = BgL_res3405z00_2487; } } 
{ /* Globalize/loc2glo.scm 84 */

BgL_newzd2funzd2_1604 = BgL_new3098z00_1650; } } } 
{ /* Globalize/loc2glo.scm 84 */

{ /* Globalize/loc2glo.scm 88 */
BgL_globalzf2ginfozf2_bglt BgL_obj3033z00_2488;
BgL_obj3033z00_2488 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_2); 
{ 
obj_t BgL_auxz00_3968;
{ /* Globalize/loc2glo.scm 88 */
BgL_objectz00_bglt BgL_auxz00_3969;
BgL_auxz00_3969 = 
(BgL_objectz00_bglt)(BgL_obj3033z00_2488); 
BgL_auxz00_3968 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3969); } 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_3968))->BgL_escapezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 89 */
BgL_sfunzf2ginfozf2_bglt BgL_obj3099z00_1605;
BgL_obj3099z00_1605 = 
((BgL_sfunzf2ginfozf2_bglt)BgL_newzd2funzd2_1604); 
{ /* Globalize/loc2glo.scm 89 */
BgL_sfunzf2ginfozf2_bglt BgL_arg3138z00_1606;
{ /* Globalize/loc2glo.scm 89 */
BgL_sfunzf2ginfozf2_bglt BgL_res3407z00_2547;
{ /* Globalize/loc2glo.scm 89 */
BgL_sfunzf2ginfozf2_bglt BgL_new2697z00_2508;
BgL_new2697z00_2508 = 
((BgL_sfunzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sfunzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 89 */
BgL_sfunzf2ginfozf2_bglt BgL_res3406z00_2546;
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_gzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_cfromz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_cfromza2za2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_ctoz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_ctoza2za2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_cfunctionz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_integratorz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_integratedz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_pluggedzd2inzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_freezd2markzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_thezd2globalzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_kapturedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_newzd2bodyzd2) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_bmarkz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_umarkz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_freez00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_new2697z00_2508))->BgL_boundz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3406z00_2546 = BgL_new2697z00_2508; BgL_res3406z00_2546; } 
BgL_res3407z00_2547 = BgL_new2697z00_2508; } 
BgL_arg3138z00_1606 = BgL_res3407z00_2547; } 
{ /* Globalize/loc2glo.scm 89 */
obj_t BgL_auxz00_3995;BgL_objectz00_bglt BgL_auxz00_3993;
BgL_auxz00_3995 = 
(obj_t)(BgL_arg3138z00_1606); 
BgL_auxz00_3993 = 
(BgL_objectz00_bglt)(BgL_obj3099z00_1605); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3993, BgL_auxz00_3995); } } 
{ /* Globalize/loc2glo.scm 89 */
long BgL_arg3139z00_1607;
BgL_arg3139z00_1607 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 89 */
BgL_objectz00_bglt BgL_auxz00_3999;
BgL_auxz00_3999 = 
(BgL_objectz00_bglt)(BgL_obj3099z00_1605); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3999, BgL_arg3139z00_1607); } } 
{ /* Globalize/loc2glo.scm 89 */
obj_t BgL_auxz00_4002;
BgL_auxz00_4002 = 
(obj_t)(BgL_obj3099z00_1605); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4002); } BUNSPEC; BgL_obj3099z00_1605; } 
{ /* Globalize/loc2glo.scm 91 */
BgL_svarzf2ginfozf2_bglt BgL_obj3100z00_1608;
{ 
BgL_valuez00_bglt BgL_auxz00_4005;
BgL_auxz00_4005 = 
BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_envz00_1600); 
BgL_obj3100z00_1608 = 
((BgL_svarzf2ginfozf2_bglt)BgL_auxz00_4005); } 
{ /* Globalize/loc2glo.scm 91 */
BgL_svarzf2ginfozf2_bglt BgL_arg3140z00_1609;
{ /* Globalize/loc2glo.scm 91 */
bool_t BgL_arg3141z00_1610;
BgL_arg3141z00_1610 = ((bool_t)0); 
{ /* Globalize/loc2glo.scm 91 */
BgL_svarzf2ginfozf2_bglt BgL_res3409z00_2567;
{ /* Globalize/loc2glo.scm 91 */
BgL_svarzf2ginfozf2_bglt BgL_new2866z00_2556;
BgL_new2866z00_2556 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 91 */
BgL_svarzf2ginfozf2_bglt BgL_res3408z00_2566;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2556))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3141z00_1610), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2556))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2556))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2556))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3408z00_2566 = BgL_new2866z00_2556; BgL_res3408z00_2566; } 
BgL_res3409z00_2567 = BgL_new2866z00_2556; } 
BgL_arg3140z00_1609 = BgL_res3409z00_2567; } } 
{ /* Globalize/loc2glo.scm 91 */
obj_t BgL_auxz00_4015;BgL_objectz00_bglt BgL_auxz00_4013;
BgL_auxz00_4015 = 
(obj_t)(BgL_arg3140z00_1609); 
BgL_auxz00_4013 = 
(BgL_objectz00_bglt)(BgL_obj3100z00_1608); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4013, BgL_auxz00_4015); } } 
{ /* Globalize/loc2glo.scm 91 */
long BgL_arg3144z00_1613;
BgL_arg3144z00_1613 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 91 */
BgL_objectz00_bglt BgL_auxz00_4019;
BgL_auxz00_4019 = 
(BgL_objectz00_bglt)(BgL_obj3100z00_1608); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4019, BgL_arg3144z00_1613); } } 
{ /* Globalize/loc2glo.scm 91 */
obj_t BgL_auxz00_4022;
BgL_auxz00_4022 = 
(obj_t)(BgL_obj3100z00_1608); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4022); } BUNSPEC; BgL_obj3100z00_1608; } 
{ /* Globalize/loc2glo.scm 95 */
BgL_typez00_bglt BgL_val1176z00_2572;
BgL_val1176z00_2572 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_2))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1176z00_2572), BUNSPEC); } 
{ 
obj_t BgL_l3101z00_1614;
{ /* Globalize/loc2glo.scm 99 */
obj_t BgL_auxz00_4036;
BgL_auxz00_4036 = 
(((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1604))->BgL_argsz00); 
BgL_l3101z00_1614 = 
CDR(BgL_auxz00_4036); } 
BgL_lname3102z00_1615:
if(
PAIRP(BgL_l3101z00_1614))
{ /* Globalize/loc2glo.scm 98 */
{ /* Globalize/loc2glo.scm 98 */
BgL_localz00_bglt BgL_obj1278z00_2577;BgL_typez00_bglt BgL_val1277z00_2578;
{ /* Globalize/loc2glo.scm 98 */
obj_t BgL_auxz00_4029;
BgL_auxz00_4029 = 
CAR(BgL_l3101z00_1614); 
BgL_obj1278z00_2577 = 
(BgL_localz00_bglt)(BgL_auxz00_4029); } 
BgL_val1277z00_2578 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1278z00_2577))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1277z00_2578), BUNSPEC); } 
{ 
obj_t BgL_l3101z00_4034;
BgL_l3101z00_4034 = 
CDR(BgL_l3101z00_1614); 
BgL_l3101z00_1614 = BgL_l3101z00_4034; 
goto BgL_lname3102z00_1615;} }  else 
{ /* Globalize/loc2glo.scm 98 */((bool_t)1); } } 
{ /* Globalize/loc2glo.scm 100 */
BgL_valuez00_bglt BgL_val1179z00_2581;
BgL_val1179z00_2581 = 
(BgL_valuez00_bglt)(BgL_newzd2funzd2_1604); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_2))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1179z00_2581), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 110 */
BgL_nodez00_bglt BgL_arg3149z00_1621;
{ /* Globalize/loc2glo.scm 110 */
BgL_nodez00_bglt BgL_arg3150z00_1622;
{ /* Globalize/loc2glo.scm 110 */
obj_t BgL_arg3151z00_1623;
{ /* Globalize/loc2glo.scm 110 */
obj_t BgL_arg3152z00_1624;obj_t BgL_arg3153z00_1625;
{ /* Globalize/loc2glo.scm 110 */
obj_t BgL_arg3154z00_1626;
BgL_arg3154z00_1626 = 
BGl_thezd2closurezd2zzglobaliza7e_freeza7(
(BgL_variablez00_bglt)(BgL_localz00_3), BFALSE); 
{ /* Globalize/loc2glo.scm 110 */
obj_t BgL_auxz00_4043;
BgL_auxz00_4043 = 
(obj_t)(BgL_envz00_1600); 
BgL_arg3152z00_1624 = 
MAKE_PAIR(BgL_arg3154z00_1626, BgL_auxz00_4043); } } 
if(
NULLP(BgL_kapturedz00_5))
{ /* Globalize/loc2glo.scm 112 */
BgL_arg3153z00_1625 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_head3105z00_1630;
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_arg3165z00_1645;
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_auxz00_4050;obj_t BgL_auxz00_4048;
BgL_auxz00_4050 = 
CAR(BgL_newzd2freezd2_1601); 
BgL_auxz00_4048 = 
CAR(BgL_kapturedz00_5); 
BgL_arg3165z00_1645 = 
MAKE_PAIR(BgL_auxz00_4048, BgL_auxz00_4050); } 
BgL_head3105z00_1630 = 
MAKE_PAIR(BgL_arg3165z00_1645, BNIL); } 
{ 
obj_t BgL_ll3103z00_1631;obj_t BgL_ll3104z00_1632;obj_t BgL_tail3106z00_1633;
BgL_ll3103z00_1631 = 
CDR(BgL_kapturedz00_5); 
BgL_ll3104z00_1632 = 
CDR(BgL_newzd2freezd2_1601); 
BgL_tail3106z00_1633 = BgL_head3105z00_1630; 
BgL_lname3108z00_1634:
if(
NULLP(BgL_ll3103z00_1631))
{ /* Globalize/loc2glo.scm 112 */
BgL_arg3153z00_1625 = BgL_head3105z00_1630; }  else 
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_newtail3107z00_1638;
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_arg3161z00_1641;
{ /* Globalize/loc2glo.scm 112 */
obj_t BgL_auxz00_4058;obj_t BgL_auxz00_4056;
BgL_auxz00_4058 = 
CAR(BgL_ll3104z00_1632); 
BgL_auxz00_4056 = 
CAR(BgL_ll3103z00_1631); 
BgL_arg3161z00_1641 = 
MAKE_PAIR(BgL_auxz00_4056, BgL_auxz00_4058); } 
BgL_newtail3107z00_1638 = 
MAKE_PAIR(BgL_arg3161z00_1641, BNIL); } 
SET_CDR(BgL_tail3106z00_1633, BgL_newtail3107z00_1638); 
{ 
obj_t BgL_tail3106z00_4067;obj_t BgL_ll3104z00_4065;obj_t BgL_ll3103z00_4063;
BgL_ll3103z00_4063 = 
CDR(BgL_ll3103z00_1631); 
BgL_ll3104z00_4065 = 
CDR(BgL_ll3104z00_1632); 
BgL_tail3106z00_4067 = BgL_newtail3107z00_1638; 
BgL_tail3106z00_1633 = BgL_tail3106z00_4067; 
BgL_ll3104z00_1632 = BgL_ll3104z00_4065; 
BgL_ll3103z00_1631 = BgL_ll3103z00_4063; 
goto BgL_lname3108z00_1634;} } } } 
BgL_arg3151z00_1623 = 
MAKE_PAIR(BgL_arg3152z00_1624, BgL_arg3153z00_1625); } 
BgL_arg3150z00_1622 = 
BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
(BgL_nodez00_bglt)(BgL_bodyz00_6), 
(BgL_variablez00_bglt)(BgL_localz00_3), BgL_arg3151z00_1623); } 
BgL_arg3149z00_1621 = 
BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_3, BgL_globalz00_2, BgL_newzd2argszd2_1602, BgL_newzd2freezd2_1601, BgL_envz00_1600, BgL_arg3150z00_1622); } 
{ /* Globalize/loc2glo.scm 101 */
obj_t BgL_val1399z00_2599;
BgL_val1399z00_2599 = 
(obj_t)(BgL_arg3149z00_1621); 
((((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1604))->BgL_bodyz00) = ((obj_t)BgL_val1399z00_2599), BUNSPEC); } } 
return BgL_globalz00_2;} } } } } } 
}



/* make-escaping-body */
BgL_nodez00_bglt BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt BgL_localz00_7, BgL_globalz00_bglt BgL_globalz00_8, obj_t BgL_argsz00_9, obj_t BgL_kapturedz00_10, BgL_localz00_bglt BgL_envz00_11, BgL_nodez00_bglt BgL_bodyz00_12)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 120 */
{ /* Globalize/loc2glo.scm 121 */
obj_t BgL_stackz00_1718;obj_t BgL_locz00_1719;
{ /* Globalize/loc2glo.scm 121 */
obj_t BgL_list3258z00_1772;
{ /* Globalize/loc2glo.scm 121 */
obj_t BgL_auxz00_4077;
BgL_auxz00_4077 = 
(obj_t)(BgL_envz00_11); 
BgL_list3258z00_1772 = 
MAKE_PAIR(BgL_auxz00_4077, BNIL); } 
BgL_stackz00_1718 = BgL_list3258z00_1772; } 
BgL_locz00_1719 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_12))->BgL_locz00); 
{ /* Globalize/loc2glo.scm 123 */
BgL_sfunz00_bglt BgL_obj1400z00_2604;obj_t BgL_val1399z00_2605;
{ /* Globalize/loc2glo.scm 123 */
BgL_valuez00_bglt BgL_auxz00_4081;
BgL_auxz00_4081 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_7))->BgL_valuez00); 
BgL_obj1400z00_2604 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4081); } 
BgL_val1399z00_2605 = 
(obj_t)(BgL_bodyz00_12); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1400z00_2604))->BgL_bodyz00) = ((obj_t)BgL_val1399z00_2605), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 125 */
obj_t BgL_arg3217z00_1721;obj_t BgL_arg3218z00_1722;obj_t BgL_arg3220z00_1724;BgL_letzd2funzd2_bglt BgL_arg3221z00_1725;
BgL_arg3217z00_1721 = BgL_locz00_1719; 
BgL_arg3218z00_1722 = BGl_za2_za2z00zztype_cachez00; 
{ 
obj_t BgL_kapturedz00_1726;long BgL_numz00_1727;obj_t BgL_resz00_1728;
BgL_kapturedz00_1726 = BgL_kapturedz00_10; 
BgL_numz00_1727 = ((long)0); 
BgL_resz00_1728 = BNIL; 
BgL_loopz00_1729:
if(
NULLP(BgL_kapturedz00_1726))
{ /* Globalize/loc2glo.scm 130 */
BgL_arg3220z00_1724 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1728); }  else 
{ /* Globalize/loc2glo.scm 132 */
obj_t BgL_arg3223z00_1731;long BgL_arg3224z00_1732;obj_t BgL_arg3225z00_1733;
BgL_arg3223z00_1731 = 
CDR(BgL_kapturedz00_1726); 
BgL_arg3224z00_1732 = 
(BgL_numz00_1727+((long)1)); 
{ /* Globalize/loc2glo.scm 134 */
obj_t BgL_arg3226z00_1734;
{ /* Globalize/loc2glo.scm 134 */
obj_t BgL_arg3227z00_1735;BgL_nodez00_bglt BgL_arg3228z00_1736;
BgL_arg3227z00_1735 = 
CAR(BgL_kapturedz00_1726); 
{ /* Globalize/loc2glo.scm 136 */
obj_t BgL_arg3229z00_1737;obj_t BgL_arg3231z00_1738;
{ /* Globalize/loc2glo.scm 136 */
obj_t BgL_arg3232z00_1739;obj_t BgL_arg3233z00_1740;
BgL_arg3232z00_1739 = 
CNST_TABLE_REF(((long)1)); 
{ /* Globalize/loc2glo.scm 136 */
obj_t BgL_arg3234z00_1741;obj_t BgL_arg3235z00_1742;
BgL_arg3234z00_1741 = 
CNST_TABLE_REF(((long)0)); 
{ /* Globalize/loc2glo.scm 136 */
obj_t BgL_auxz00_4094;
BgL_auxz00_4094 = 
BINT(BgL_numz00_1727); 
BgL_arg3235z00_1742 = 
MAKE_PAIR(BgL_auxz00_4094, BNIL); } 
BgL_arg3233z00_1740 = 
MAKE_PAIR(BgL_arg3234z00_1741, BgL_arg3235z00_1742); } 
BgL_arg3229z00_1737 = 
MAKE_PAIR(BgL_arg3232z00_1739, BgL_arg3233z00_1740); } 
BgL_arg3231z00_1738 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3228z00_1736 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3229z00_1737, BgL_stackz00_1718, BgL_locz00_1719, BgL_arg3231z00_1738); } 
{ /* Globalize/loc2glo.scm 134 */
obj_t BgL_auxz00_4101;
BgL_auxz00_4101 = 
(obj_t)(BgL_arg3228z00_1736); 
BgL_arg3226z00_1734 = 
MAKE_PAIR(BgL_arg3227z00_1735, BgL_auxz00_4101); } } 
BgL_arg3225z00_1733 = 
MAKE_PAIR(BgL_arg3226z00_1734, BgL_resz00_1728); } 
{ 
obj_t BgL_resz00_4107;long BgL_numz00_4106;obj_t BgL_kapturedz00_4105;
BgL_kapturedz00_4105 = BgL_arg3223z00_1731; 
BgL_numz00_4106 = BgL_arg3224z00_1732; 
BgL_resz00_4107 = BgL_arg3225z00_1733; 
BgL_resz00_1728 = BgL_resz00_4107; 
BgL_numz00_1727 = BgL_numz00_4106; 
BgL_kapturedz00_1726 = BgL_kapturedz00_4105; 
goto BgL_loopz00_1729;} } } 
{ /* Globalize/loc2glo.scm 142 */
obj_t BgL_arg3236z00_1743;obj_t BgL_arg3237z00_1744;obj_t BgL_arg3239z00_1746;BgL_appz00_bglt BgL_arg3240z00_1747;
BgL_arg3236z00_1743 = BgL_locz00_1719; 
BgL_arg3237z00_1744 = BGl_za2_za2z00zztype_cachez00; 
{ /* Globalize/loc2glo.scm 144 */
obj_t BgL_list3241z00_1748;
{ /* Globalize/loc2glo.scm 144 */
obj_t BgL_auxz00_4108;
BgL_auxz00_4108 = 
(obj_t)(BgL_localz00_7); 
BgL_list3241z00_1748 = 
MAKE_PAIR(BgL_auxz00_4108, BNIL); } 
BgL_arg3239z00_1746 = BgL_list3241z00_1748; } 
{ /* Globalize/loc2glo.scm 146 */
obj_t BgL_arg3242z00_1749;obj_t BgL_arg3243z00_1750;BgL_varz00_bglt BgL_arg3245z00_1752;obj_t BgL_arg3246z00_1753;
BgL_arg3242z00_1749 = BgL_locz00_1719; 
BgL_arg3243z00_1750 = BGl_za2_za2z00zztype_cachez00; 
{ /* Globalize/loc2glo.scm 149 */
obj_t BgL_arg3247z00_1754;obj_t BgL_arg3248z00_1755;
BgL_arg3247z00_1754 = BgL_locz00_1719; 
BgL_arg3248z00_1755 = BGl_za2_za2z00zztype_cachez00; 
{ /* Globalize/loc2glo.scm 148 */
BgL_varz00_bglt BgL_res3414z00_2631;
{ /* Globalize/loc2glo.scm 148 */
BgL_typez00_bglt BgL_type1658z00_2614;BgL_variablez00_bglt BgL_variable1659z00_2615;
BgL_type1658z00_2614 = 
(BgL_typez00_bglt)(BgL_arg3248z00_1755); 
{ /* Globalize/loc2glo.scm 151 */
BgL_localz00_bglt BgL_auxz00_4112;
BgL_auxz00_4112 = BgL_localz00_7; 
BgL_variable1659z00_2615 = 
(BgL_variablez00_bglt)(BgL_auxz00_4112); } 
{ /* Globalize/loc2glo.scm 148 */
BgL_varz00_bglt BgL_new1660z00_2616;
{ /* Globalize/loc2glo.scm 148 */
BgL_varz00_bglt BgL_res3412z00_2622;
{ /* Globalize/loc2glo.scm 148 */
BgL_varz00_bglt BgL_new1662z00_2617;
BgL_new1662z00_2617 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Globalize/loc2glo.scm 148 */
long BgL_arg3377z00_2618;
BgL_arg3377z00_2618 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Globalize/loc2glo.scm 148 */
BgL_objectz00_bglt BgL_auxz00_4116;
BgL_auxz00_4116 = 
(BgL_objectz00_bglt)(BgL_new1662z00_2617); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4116, BgL_arg3377z00_2618); } } 
{ /* Globalize/loc2glo.scm 148 */
BgL_objectz00_bglt BgL_auxz00_4119;
BgL_auxz00_4119 = 
(BgL_objectz00_bglt)(BgL_new1662z00_2617); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4119, BFALSE); } 
{ /* Globalize/loc2glo.scm 148 */
obj_t BgL_auxz00_4122;
BgL_auxz00_4122 = 
(obj_t)(BgL_new1662z00_2617); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4122); } BUNSPEC; 
BgL_res3412z00_2622 = BgL_new1662z00_2617; } 
BgL_new1660z00_2616 = BgL_res3412z00_2622; } 
{ /* Globalize/loc2glo.scm 148 */
BgL_varz00_bglt BgL_res3413z00_2630;
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2616))->BgL_locz00) = ((obj_t)BgL_arg3247z00_1754), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2616))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1658z00_2614), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2616))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1659z00_2615), BUNSPEC); 
BgL_res3413z00_2630 = BgL_new1660z00_2616; BgL_res3413z00_2630; } 
BgL_res3414z00_2631 = BgL_new1660z00_2616; } } 
BgL_arg3245z00_1752 = BgL_res3414z00_2631; } } 
if(
NULLP(BgL_argsz00_9))
{ /* Globalize/loc2glo.scm 152 */
BgL_arg3246z00_1753 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 152 */
obj_t BgL_head3115z00_1759;
BgL_head3115z00_1759 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3113z00_1760;obj_t BgL_tail3116z00_1761;
BgL_l3113z00_1760 = BgL_argsz00_9; 
BgL_tail3116z00_1761 = BgL_head3115z00_1759; 
BgL_lname3114z00_1762:
if(
NULLP(BgL_l3113z00_1760))
{ /* Globalize/loc2glo.scm 152 */
BgL_arg3246z00_1753 = 
CDR(BgL_head3115z00_1759); }  else 
{ /* Globalize/loc2glo.scm 153 */
obj_t BgL_newtail3117z00_1764;
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_arg3253z00_1766;
{ /* Globalize/loc2glo.scm 154 */
obj_t BgL_arg3255z00_1769;obj_t BgL_arg3256z00_1770;
BgL_arg3255z00_1769 = BgL_locz00_1719; 
BgL_arg3256z00_1770 = BGl_za2_za2z00zztype_cachez00; 
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_res3417z00_2656;
{ /* Globalize/loc2glo.scm 153 */
BgL_typez00_bglt BgL_type1658z00_2639;BgL_variablez00_bglt BgL_variable1659z00_2640;
BgL_type1658z00_2639 = 
(BgL_typez00_bglt)(BgL_arg3256z00_1770); 
{ /* Globalize/loc2glo.scm 156 */
obj_t BgL_auxz00_4135;
BgL_auxz00_4135 = 
CAR(BgL_l3113z00_1760); 
BgL_variable1659z00_2640 = 
(BgL_variablez00_bglt)(BgL_auxz00_4135); } 
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_new1660z00_2641;
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_res3415z00_2647;
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_new1662z00_2642;
BgL_new1662z00_2642 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Globalize/loc2glo.scm 153 */
long BgL_arg3377z00_2643;
BgL_arg3377z00_2643 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Globalize/loc2glo.scm 153 */
BgL_objectz00_bglt BgL_auxz00_4140;
BgL_auxz00_4140 = 
(BgL_objectz00_bglt)(BgL_new1662z00_2642); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4140, BgL_arg3377z00_2643); } } 
{ /* Globalize/loc2glo.scm 153 */
BgL_objectz00_bglt BgL_auxz00_4143;
BgL_auxz00_4143 = 
(BgL_objectz00_bglt)(BgL_new1662z00_2642); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4143, BFALSE); } 
{ /* Globalize/loc2glo.scm 153 */
obj_t BgL_auxz00_4146;
BgL_auxz00_4146 = 
(obj_t)(BgL_new1662z00_2642); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4146); } BUNSPEC; 
BgL_res3415z00_2647 = BgL_new1662z00_2642; } 
BgL_new1660z00_2641 = BgL_res3415z00_2647; } 
{ /* Globalize/loc2glo.scm 153 */
BgL_varz00_bglt BgL_res3416z00_2655;
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2641))->BgL_locz00) = ((obj_t)BgL_arg3255z00_1769), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2641))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1658z00_2639), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1660z00_2641))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1659z00_2640), BUNSPEC); 
BgL_res3416z00_2655 = BgL_new1660z00_2641; BgL_res3416z00_2655; } 
BgL_res3417z00_2656 = BgL_new1660z00_2641; } } 
BgL_arg3253z00_1766 = BgL_res3417z00_2656; } } 
{ /* Globalize/loc2glo.scm 152 */
obj_t BgL_auxz00_4152;
BgL_auxz00_4152 = 
(obj_t)(BgL_arg3253z00_1766); 
BgL_newtail3117z00_1764 = 
MAKE_PAIR(BgL_auxz00_4152, BNIL); } } 
SET_CDR(BgL_tail3116z00_1761, BgL_newtail3117z00_1764); 
{ 
obj_t BgL_tail3116z00_4158;obj_t BgL_l3113z00_4156;
BgL_l3113z00_4156 = 
CDR(BgL_l3113z00_1760); 
BgL_tail3116z00_4158 = BgL_newtail3117z00_1764; 
BgL_tail3116z00_1761 = BgL_tail3116z00_4158; 
BgL_l3113z00_1760 = BgL_l3113z00_4156; 
goto BgL_lname3114z00_1762;} } } } 
{ /* Globalize/loc2glo.scm 145 */
BgL_appz00_bglt BgL_res3420z00_2689;
{ /* Globalize/loc2glo.scm 145 */
BgL_typez00_bglt BgL_type1769z00_2663;obj_t BgL_key1771z00_2665;
BgL_type1769z00_2663 = 
(BgL_typez00_bglt)(BgL_arg3243z00_1750); 
BgL_key1771z00_2665 = 
BINT(((long)-1)); 
{ /* Globalize/loc2glo.scm 145 */
BgL_appz00_bglt BgL_new1774z00_2668;
{ /* Globalize/loc2glo.scm 145 */
BgL_appz00_bglt BgL_res3418z00_2674;
{ /* Globalize/loc2glo.scm 145 */
BgL_appz00_bglt BgL_new1776z00_2669;
BgL_new1776z00_2669 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Globalize/loc2glo.scm 145 */
long BgL_arg3372z00_2670;
BgL_arg3372z00_2670 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Globalize/loc2glo.scm 145 */
BgL_objectz00_bglt BgL_auxz00_4163;
BgL_auxz00_4163 = 
(BgL_objectz00_bglt)(BgL_new1776z00_2669); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4163, BgL_arg3372z00_2670); } } 
{ /* Globalize/loc2glo.scm 145 */
BgL_objectz00_bglt BgL_auxz00_4166;
BgL_auxz00_4166 = 
(BgL_objectz00_bglt)(BgL_new1776z00_2669); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4166, BFALSE); } 
{ /* Globalize/loc2glo.scm 145 */
obj_t BgL_auxz00_4169;
BgL_auxz00_4169 = 
(obj_t)(BgL_new1776z00_2669); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4169); } BUNSPEC; 
BgL_res3418z00_2674 = BgL_new1776z00_2669; } 
BgL_new1774z00_2668 = BgL_res3418z00_2674; } 
{ /* Globalize/loc2glo.scm 145 */
BgL_appz00_bglt BgL_res3419z00_2688;
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_locz00) = ((obj_t)BgL_arg3242z00_1749), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1769z00_2663), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_keyz00) = ((obj_t)BgL_key1771z00_2665), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3245z00_1752), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1774z00_2668))->BgL_argsz00) = ((obj_t)BgL_arg3246z00_1753), BUNSPEC); 
BgL_res3419z00_2688 = BgL_new1774z00_2668; BgL_res3419z00_2688; } 
BgL_res3420z00_2689 = BgL_new1774z00_2668; } } 
BgL_arg3240z00_1747 = BgL_res3420z00_2689; } } 
{ /* Globalize/loc2glo.scm 141 */
BgL_letzd2funzd2_bglt BgL_res3423z00_2717;
{ /* Globalize/loc2glo.scm 141 */
BgL_typez00_bglt BgL_type2471z00_2691;obj_t BgL_key2473z00_2693;BgL_nodez00_bglt BgL_body2475z00_2695;
BgL_type2471z00_2691 = 
(BgL_typez00_bglt)(BgL_arg3237z00_1744); 
BgL_key2473z00_2693 = 
BINT(((long)-1)); 
BgL_body2475z00_2695 = 
(BgL_nodez00_bglt)(BgL_arg3240z00_1747); 
{ /* Globalize/loc2glo.scm 141 */
BgL_letzd2funzd2_bglt BgL_new2476z00_2696;
{ /* Globalize/loc2glo.scm 141 */
BgL_letzd2funzd2_bglt BgL_res3421z00_2702;
{ /* Globalize/loc2glo.scm 141 */
BgL_letzd2funzd2_bglt BgL_new2478z00_2697;
BgL_new2478z00_2697 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Globalize/loc2glo.scm 141 */
long BgL_arg3353z00_2698;
BgL_arg3353z00_2698 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Globalize/loc2glo.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4183;
BgL_auxz00_4183 = 
(BgL_objectz00_bglt)(BgL_new2478z00_2697); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4183, BgL_arg3353z00_2698); } } 
{ /* Globalize/loc2glo.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4186;
BgL_auxz00_4186 = 
(BgL_objectz00_bglt)(BgL_new2478z00_2697); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4186, BFALSE); } 
{ /* Globalize/loc2glo.scm 141 */
obj_t BgL_auxz00_4189;
BgL_auxz00_4189 = 
(obj_t)(BgL_new2478z00_2697); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4189); } BUNSPEC; 
BgL_res3421z00_2702 = BgL_new2478z00_2697; } 
BgL_new2476z00_2696 = BgL_res3421z00_2702; } 
{ /* Globalize/loc2glo.scm 141 */
BgL_letzd2funzd2_bglt BgL_res3422z00_2716;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_locz00) = ((obj_t)BgL_arg3236z00_1743), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2471z00_2691), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_keyz00) = ((obj_t)BgL_key2473z00_2693), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_localsz00) = ((obj_t)BgL_arg3239z00_1746), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2476z00_2696))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2475z00_2695), BUNSPEC); 
BgL_res3422z00_2716 = BgL_new2476z00_2696; BgL_res3422z00_2716; } 
BgL_res3423z00_2717 = BgL_new2476z00_2696; } } 
BgL_arg3221z00_1725 = BgL_res3423z00_2717; } } 
{ /* Globalize/loc2glo.scm 124 */
BgL_letzd2varzd2_bglt BgL_res3426z00_2748;
{ /* Globalize/loc2glo.scm 124 */
BgL_typez00_bglt BgL_type2516z00_2719;obj_t BgL_key2518z00_2721;BgL_nodez00_bglt BgL_body2520z00_2723;
BgL_type2516z00_2719 = 
(BgL_typez00_bglt)(BgL_arg3218z00_1722); 
BgL_key2518z00_2721 = 
BINT(((long)-1)); 
BgL_body2520z00_2723 = 
(BgL_nodez00_bglt)(BgL_arg3221z00_1725); 
{ /* Globalize/loc2glo.scm 124 */
BgL_letzd2varzd2_bglt BgL_new2522z00_2725;
{ /* Globalize/loc2glo.scm 124 */
BgL_letzd2varzd2_bglt BgL_res3424z00_2731;
{ /* Globalize/loc2glo.scm 124 */
BgL_letzd2varzd2_bglt BgL_new2524z00_2726;
BgL_new2524z00_2726 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Globalize/loc2glo.scm 124 */
long BgL_arg3352z00_2727;
BgL_arg3352z00_2727 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Globalize/loc2glo.scm 124 */
BgL_objectz00_bglt BgL_auxz00_4203;
BgL_auxz00_4203 = 
(BgL_objectz00_bglt)(BgL_new2524z00_2726); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4203, BgL_arg3352z00_2727); } } 
{ /* Globalize/loc2glo.scm 124 */
BgL_objectz00_bglt BgL_auxz00_4206;
BgL_auxz00_4206 = 
(BgL_objectz00_bglt)(BgL_new2524z00_2726); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4206, BFALSE); } 
{ /* Globalize/loc2glo.scm 124 */
obj_t BgL_auxz00_4209;
BgL_auxz00_4209 = 
(obj_t)(BgL_new2524z00_2726); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4209); } BUNSPEC; 
BgL_res3424z00_2731 = BgL_new2524z00_2726; } 
BgL_new2522z00_2725 = BgL_res3424z00_2731; } 
{ /* Globalize/loc2glo.scm 124 */
BgL_letzd2varzd2_bglt BgL_res3425z00_2747;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_locz00) = ((obj_t)BgL_arg3217z00_1721), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2516z00_2719), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_keyz00) = ((obj_t)BgL_key2518z00_2721), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_bindingsz00) = ((obj_t)BgL_arg3220z00_1724), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2520z00_2723), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2522z00_2725))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3425z00_2747 = BgL_new2522z00_2725; BgL_res3425z00_2747; } 
BgL_res3426z00_2748 = BgL_new2522z00_2725; } } 
return 
(BgL_nodez00_bglt)(BgL_res3426z00_2748);} } } } 
}



/* fix-non-escaping-definition */
BgL_globalz00_bglt BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96(BgL_globalz00_bglt BgL_globalz00_13, BgL_localz00_bglt BgL_localz00_14, obj_t BgL_argsz00_15, obj_t BgL_kapturedz00_16, obj_t BgL_bodyz00_17)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 162 */
{ /* Globalize/loc2glo.scm 163 */
obj_t BgL_addzd2argszd2_1773;
if(
NULLP(BgL_kapturedz00_16))
{ /* Globalize/loc2glo.scm 163 */
BgL_addzd2argszd2_1773 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 163 */
obj_t BgL_head3121z00_1822;
BgL_head3121z00_1822 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3119z00_1823;obj_t BgL_tail3122z00_1824;
BgL_l3119z00_1823 = BgL_kapturedz00_16; 
BgL_tail3122z00_1824 = BgL_head3121z00_1822; 
BgL_lname3120z00_1825:
if(
NULLP(BgL_l3119z00_1823))
{ /* Globalize/loc2glo.scm 163 */
BgL_addzd2argszd2_1773 = 
CDR(BgL_head3121z00_1822); }  else 
{ /* Globalize/loc2glo.scm 164 */
obj_t BgL_newtail3123z00_1827;
{ /* Globalize/loc2glo.scm 164 */
BgL_localz00_bglt BgL_arg3297z00_1829;
{ /* Globalize/loc2glo.scm 164 */
obj_t BgL_oldz00_1831;
BgL_oldz00_1831 = 
CAR(BgL_l3119z00_1823); 
{ /* Globalize/loc2glo.scm 164 */
BgL_localz00_bglt BgL_newz00_1832;
{ /* Globalize/loc2glo.scm 164 */
BgL_typez00_bglt BgL_auxz00_4230;obj_t BgL_auxz00_4227;
{ /* Globalize/loc2glo.scm 165 */
obj_t BgL_auxz00_4231;
BgL_auxz00_4231 = 
BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(); 
BgL_auxz00_4230 = 
(BgL_typez00_bglt)(BgL_auxz00_4231); } 
{ /* Globalize/loc2glo.scm 164 */
BgL_localz00_bglt BgL_obj1272z00_2755;
BgL_obj1272z00_2755 = 
(BgL_localz00_bglt)(BgL_oldz00_1831); 
BgL_auxz00_4227 = 
(((BgL_localz00_bglt)CREF(BgL_obj1272z00_2755))->BgL_idz00); } 
BgL_newz00_1832 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_4227, BgL_auxz00_4230); } 
{ /* Globalize/loc2glo.scm 166 */
bool_t BgL_arg3299z00_1833;
{ /* Globalize/loc2glo.scm 166 */
BgL_localz00_bglt BgL_obj1295z00_2756;
BgL_obj1295z00_2756 = 
(BgL_localz00_bglt)(BgL_oldz00_1831); 
BgL_arg3299z00_1833 = 
(((BgL_localz00_bglt)CREF(BgL_obj1295z00_2756))->BgL_userzf3zf3); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1832))->BgL_userzf3zf3) = ((bool_t)BgL_arg3299z00_1833), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 167 */
BgL_localzf2ginfozf2_bglt BgL_obj3124z00_1834;
BgL_obj3124z00_1834 = 
((BgL_localzf2ginfozf2_bglt)BgL_newz00_1832); 
{ /* Globalize/loc2glo.scm 167 */
BgL_localzf2ginfozf2_bglt BgL_arg3300z00_1835;
{ /* Globalize/loc2glo.scm 167 */
BgL_localzf2ginfozf2_bglt BgL_res3428z00_2765;
{ /* Globalize/loc2glo.scm 167 */
BgL_localzf2ginfozf2_bglt BgL_new2947z00_2760;
BgL_new2947z00_2760 = 
((BgL_localzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 167 */
BgL_localzf2ginfozf2_bglt BgL_res3427z00_2764;
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_new2947z00_2760))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3427z00_2764 = BgL_new2947z00_2760; BgL_res3427z00_2764; } 
BgL_res3428z00_2765 = BgL_new2947z00_2760; } 
BgL_arg3300z00_1835 = BgL_res3428z00_2765; } 
{ /* Globalize/loc2glo.scm 167 */
obj_t BgL_auxz00_4243;BgL_objectz00_bglt BgL_auxz00_4241;
BgL_auxz00_4243 = 
(obj_t)(BgL_arg3300z00_1835); 
BgL_auxz00_4241 = 
(BgL_objectz00_bglt)(BgL_obj3124z00_1834); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4241, BgL_auxz00_4243); } } 
{ /* Globalize/loc2glo.scm 167 */
long BgL_arg3301z00_1836;
BgL_arg3301z00_1836 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 167 */
BgL_objectz00_bglt BgL_auxz00_4247;
BgL_auxz00_4247 = 
(BgL_objectz00_bglt)(BgL_obj3124z00_1834); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4247, BgL_arg3301z00_1836); } } 
{ /* Globalize/loc2glo.scm 167 */
obj_t BgL_auxz00_4250;
BgL_auxz00_4250 = 
(obj_t)(BgL_obj3124z00_1834); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4250); } BUNSPEC; BgL_obj3124z00_1834; } 
{ /* Globalize/loc2glo.scm 168 */
BgL_svarzf2ginfozf2_bglt BgL_obj3125z00_1837;
{ 
BgL_valuez00_bglt BgL_auxz00_4253;
BgL_auxz00_4253 = 
BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_newz00_1832); 
BgL_obj3125z00_1837 = 
((BgL_svarzf2ginfozf2_bglt)BgL_auxz00_4253); } 
{ /* Globalize/loc2glo.scm 169 */
BgL_svarzf2ginfozf2_bglt BgL_arg3302z00_1838;
{ /* Globalize/loc2glo.scm 169 */
bool_t BgL_arg3303z00_1839;
BgL_arg3303z00_1839 = ((bool_t)1); 
{ /* Globalize/loc2glo.scm 168 */
BgL_svarzf2ginfozf2_bglt BgL_res3430z00_2785;
{ /* Globalize/loc2glo.scm 168 */
BgL_svarzf2ginfozf2_bglt BgL_new2866z00_2774;
BgL_new2866z00_2774 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 168 */
BgL_svarzf2ginfozf2_bglt BgL_res3429z00_2784;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2774))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3303z00_1839), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2774))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2774))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2866z00_2774))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3429z00_2784 = BgL_new2866z00_2774; BgL_res3429z00_2784; } 
BgL_res3430z00_2785 = BgL_new2866z00_2774; } 
BgL_arg3302z00_1838 = BgL_res3430z00_2785; } } 
{ /* Globalize/loc2glo.scm 168 */
obj_t BgL_auxz00_4263;BgL_objectz00_bglt BgL_auxz00_4261;
BgL_auxz00_4263 = 
(obj_t)(BgL_arg3302z00_1838); 
BgL_auxz00_4261 = 
(BgL_objectz00_bglt)(BgL_obj3125z00_1837); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4261, BgL_auxz00_4263); } } 
{ /* Globalize/loc2glo.scm 168 */
long BgL_arg3307z00_1842;
BgL_arg3307z00_1842 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4267;
BgL_auxz00_4267 = 
(BgL_objectz00_bglt)(BgL_obj3125z00_1837); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4267, BgL_arg3307z00_1842); } } 
{ /* Globalize/loc2glo.scm 168 */
obj_t BgL_auxz00_4270;
BgL_auxz00_4270 = 
(obj_t)(BgL_obj3125z00_1837); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4270); } BUNSPEC; BgL_obj3125z00_1837; } 
{ /* Globalize/loc2glo.scm 170 */
obj_t BgL_arg3308z00_1843;
{ /* Globalize/loc2glo.scm 170 */
BgL_localz00_bglt BgL_obj1282z00_2789;
BgL_obj1282z00_2789 = 
(BgL_localz00_bglt)(BgL_oldz00_1831); 
BgL_arg3308z00_1843 = 
(((BgL_localz00_bglt)CREF(BgL_obj1282z00_2789))->BgL_accessz00); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1832))->BgL_accessz00) = ((obj_t)BgL_arg3308z00_1843), BUNSPEC); } 
BgL_arg3297z00_1829 = BgL_newz00_1832; } } 
{ /* Globalize/loc2glo.scm 163 */
obj_t BgL_auxz00_4276;
BgL_auxz00_4276 = 
(obj_t)(BgL_arg3297z00_1829); 
BgL_newtail3123z00_1827 = 
MAKE_PAIR(BgL_auxz00_4276, BNIL); } } 
SET_CDR(BgL_tail3122z00_1824, BgL_newtail3123z00_1827); 
{ 
obj_t BgL_tail3122z00_4282;obj_t BgL_l3119z00_4280;
BgL_l3119z00_4280 = 
CDR(BgL_l3119z00_1823); 
BgL_tail3122z00_4282 = BgL_newtail3123z00_1827; 
BgL_tail3122z00_1824 = BgL_tail3122z00_4282; 
BgL_l3119z00_1823 = BgL_l3119z00_4280; 
goto BgL_lname3120z00_1825;} } } } 
{ /* Globalize/loc2glo.scm 173 */
BgL_sfunz00_bglt BgL_newzd2funzd2_1775;
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_duplicated3126z00_1803;
{ /* Globalize/loc2glo.scm 174 */
BgL_valuez00_bglt BgL_auxz00_4283;
BgL_auxz00_4283 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_14))->BgL_valuez00); 
BgL_duplicated3126z00_1803 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4283); } 
{ /* Globalize/loc2glo.scm 175 */
BgL_sfunz00_bglt BgL_new3127z00_1804;
{ /* Globalize/loc2glo.scm 175 */
obj_t BgL_arg3279z00_1805;obj_t BgL_arg3280z00_1806;obj_t BgL_arg3281z00_1807;obj_t BgL_arg3282z00_1808;bool_t BgL_arg3283z00_1809;obj_t BgL_arg3284z00_1810;obj_t BgL_arg3285z00_1811;obj_t BgL_arg3286z00_1812;obj_t BgL_arg3287z00_1813;obj_t BgL_arg3288z00_1814;obj_t BgL_arg3289z00_1815;obj_t BgL_arg3290z00_1816;
{ /* Globalize/loc2glo.scm 175 */
obj_t BgL_auxz00_4290;obj_t BgL_auxz00_4286;
{ /* Globalize/loc2glo.scm 175 */
long BgL_auxz00_4291;
BgL_auxz00_4291 = 
bgl_list_length(BgL_kapturedz00_16); 
BgL_auxz00_4290 = 
BINT(BgL_auxz00_4291); } 
{ /* Globalize/loc2glo.scm 175 */
long BgL_auxz00_4287;
BgL_auxz00_4287 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_arityz00); 
BgL_auxz00_4286 = 
BINT(BgL_auxz00_4287); } 
BgL_arg3279z00_1805 = 
BGl_zb2zd2arityz60zztools_argsz00(BgL_auxz00_4286, BgL_auxz00_4290); } 
BgL_arg3280z00_1806 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_sidezd2effectzf3z21); 
BgL_arg3281z00_1807 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_predicatezd2ofzd2); 
BgL_arg3282z00_1808 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_stackzd2allocatorzd2); 
BgL_arg3283z00_1809 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_topzf3zf3); 
BgL_arg3284z00_1810 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_thezd2closurezd2); 
BgL_arg3285z00_1811 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_propertyz00); 
BgL_arg3286z00_1812 = 
bgl_append2(
bgl_reverse(BgL_addzd2argszd2_1773), BgL_argsz00_15); 
BgL_arg3287z00_1813 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_bodyz00); 
BgL_arg3288z00_1814 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_classz00); 
BgL_arg3289z00_1815 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_dssslzd2keywordszd2); 
BgL_arg3290z00_1816 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated3126z00_1803))->BgL_locz00); 
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_res3433z00_2854;
{ /* Globalize/loc2glo.scm 174 */
long BgL_arity1436z00_2809;
BgL_arity1436z00_2809 = 
(long)CINT(BgL_arg3279z00_1805); 
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_new1448z00_2821;
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_res3431z00_2827;
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_new1450z00_2822;
BgL_new1450z00_2822 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Globalize/loc2glo.scm 174 */
long BgL_arg3386z00_2823;
BgL_arg3386z00_2823 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Globalize/loc2glo.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4310;
BgL_auxz00_4310 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2822); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4310, BgL_arg3386z00_2823); } } 
{ /* Globalize/loc2glo.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4313;
BgL_auxz00_4313 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2822); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4313, BFALSE); } 
{ /* Globalize/loc2glo.scm 174 */
obj_t BgL_auxz00_4316;
BgL_auxz00_4316 = 
(obj_t)(BgL_new1450z00_2822); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4316); } BUNSPEC; 
BgL_res3431z00_2827 = BgL_new1450z00_2822; } 
BgL_new1448z00_2821 = BgL_res3431z00_2827; } 
{ /* Globalize/loc2glo.scm 174 */
BgL_sfunz00_bglt BgL_res3432z00_2853;
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_arityz00) = ((long)BgL_arity1436z00_2809), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3280z00_1806), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_arg3281z00_1807), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_arg3282z00_1808), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_topzf3zf3) = ((bool_t)BgL_arg3283z00_1809), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_thezd2closurezd2) = ((obj_t)BgL_arg3284z00_1810), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_propertyz00) = ((obj_t)BgL_arg3285z00_1811), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_argsz00) = ((obj_t)BgL_arg3286z00_1812), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_bodyz00) = ((obj_t)BgL_arg3287z00_1813), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_classz00) = ((obj_t)BgL_arg3288z00_1814), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg3289z00_1815), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2821))->BgL_locz00) = ((obj_t)BgL_arg3290z00_1816), BUNSPEC); 
BgL_res3432z00_2853 = BgL_new1448z00_2821; BgL_res3432z00_2853; } 
BgL_res3433z00_2854 = BgL_new1448z00_2821; } } 
BgL_new3127z00_1804 = BgL_res3433z00_2854; } } 
{ /* Globalize/loc2glo.scm 174 */

BgL_newzd2funzd2_1775 = BgL_new3127z00_1804; } } } 
{ /* Globalize/loc2glo.scm 174 */

{ /* Globalize/loc2glo.scm 177 */
BgL_localzf2ginfozf2_bglt BgL_obj2971z00_2855;
BgL_obj2971z00_2855 = 
(BgL_localzf2ginfozf2_bglt)(BgL_localz00_14); 
{ 
obj_t BgL_auxz00_4332;
{ /* Globalize/loc2glo.scm 177 */
BgL_objectz00_bglt BgL_auxz00_4333;
BgL_auxz00_4333 = 
(BgL_objectz00_bglt)(BgL_obj2971z00_2855); 
BgL_auxz00_4332 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4333); } 
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_auxz00_4332))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 178 */
BgL_globalzf2ginfozf2_bglt BgL_obj3033z00_2857;
BgL_obj3033z00_2857 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_13); 
{ 
obj_t BgL_auxz00_4338;
{ /* Globalize/loc2glo.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4339;
BgL_auxz00_4339 = 
(BgL_objectz00_bglt)(BgL_obj3033z00_2857); 
BgL_auxz00_4338 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4339); } 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_4338))->BgL_escapezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 179 */
BgL_typez00_bglt BgL_arg3259z00_1776;
BgL_arg3259z00_1776 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_14))->BgL_typez00); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_13))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3259z00_1776), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 182 */
BgL_nodez00_bglt BgL_arg3260z00_1777;
{ /* Globalize/loc2glo.scm 182 */
obj_t BgL_arg3261z00_1778;obj_t BgL_arg3262z00_1779;
{ /* Globalize/loc2glo.scm 181 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2812z00_2863;
{ /* Globalize/loc2glo.scm 182 */
BgL_valuez00_bglt BgL_auxz00_4345;
BgL_auxz00_4345 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_14))->BgL_valuez00); 
BgL_obj2812z00_2863 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_4345); } 
{ 
obj_t BgL_auxz00_4348;
{ /* Globalize/loc2glo.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4349;
BgL_auxz00_4349 = 
(BgL_objectz00_bglt)(BgL_obj2812z00_2863); 
BgL_auxz00_4348 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4349); } 
BgL_arg3261z00_1778 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_4348))->BgL_newzd2bodyzd2); } } 
if(
NULLP(BgL_kapturedz00_16))
{ /* Globalize/loc2glo.scm 184 */
BgL_arg3262z00_1779 = BNIL; }  else 
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_head3130z00_1784;
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_arg3275z00_1799;
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_auxz00_4357;obj_t BgL_auxz00_4355;
BgL_auxz00_4357 = 
CAR(BgL_addzd2argszd2_1773); 
BgL_auxz00_4355 = 
CAR(BgL_kapturedz00_16); 
BgL_arg3275z00_1799 = 
MAKE_PAIR(BgL_auxz00_4355, BgL_auxz00_4357); } 
BgL_head3130z00_1784 = 
MAKE_PAIR(BgL_arg3275z00_1799, BNIL); } 
{ 
obj_t BgL_ll3128z00_1785;obj_t BgL_ll3129z00_1786;obj_t BgL_tail3131z00_1787;
BgL_ll3128z00_1785 = 
CDR(BgL_kapturedz00_16); 
BgL_ll3129z00_1786 = 
CDR(BgL_addzd2argszd2_1773); 
BgL_tail3131z00_1787 = BgL_head3130z00_1784; 
BgL_lname3133z00_1788:
if(
NULLP(BgL_ll3128z00_1785))
{ /* Globalize/loc2glo.scm 184 */
BgL_arg3262z00_1779 = BgL_head3130z00_1784; }  else 
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_newtail3132z00_1792;
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_arg3271z00_1795;
{ /* Globalize/loc2glo.scm 184 */
obj_t BgL_auxz00_4365;obj_t BgL_auxz00_4363;
BgL_auxz00_4365 = 
CAR(BgL_ll3129z00_1786); 
BgL_auxz00_4363 = 
CAR(BgL_ll3128z00_1785); 
BgL_arg3271z00_1795 = 
MAKE_PAIR(BgL_auxz00_4363, BgL_auxz00_4365); } 
BgL_newtail3132z00_1792 = 
MAKE_PAIR(BgL_arg3271z00_1795, BNIL); } 
SET_CDR(BgL_tail3131z00_1787, BgL_newtail3132z00_1792); 
{ 
obj_t BgL_tail3131z00_4374;obj_t BgL_ll3129z00_4372;obj_t BgL_ll3128z00_4370;
BgL_ll3128z00_4370 = 
CDR(BgL_ll3128z00_1785); 
BgL_ll3129z00_4372 = 
CDR(BgL_ll3129z00_1786); 
BgL_tail3131z00_4374 = BgL_newtail3132z00_1792; 
BgL_tail3131z00_1787 = BgL_tail3131z00_4374; 
BgL_ll3129z00_1786 = BgL_ll3129z00_4372; 
BgL_ll3128z00_1785 = BgL_ll3128z00_4370; 
goto BgL_lname3133z00_1788;} } } } 
BgL_arg3260z00_1777 = 
BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
(BgL_nodez00_bglt)(BgL_arg3261z00_1778), 
(BgL_variablez00_bglt)(BgL_localz00_14), BgL_arg3262z00_1779); } 
{ /* Globalize/loc2glo.scm 180 */
obj_t BgL_val1399z00_2881;
BgL_val1399z00_2881 = 
(obj_t)(BgL_arg3260z00_1777); 
((((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1775))->BgL_bodyz00) = ((obj_t)BgL_val1399z00_2881), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 185 */
BgL_valuez00_bglt BgL_val1179z00_2883;
BgL_val1179z00_2883 = 
(BgL_valuez00_bglt)(BgL_newzd2funzd2_1775); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_13))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1179z00_2883), BUNSPEC); } 
return BgL_globalz00_13;} } } } 
}



/* the-global */
BgL_globalz00_bglt BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt BgL_localz00_18)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 194 */
{ /* Globalize/loc2glo.scm 195 */
BgL_valuez00_bglt BgL_valuez00_1846;
BgL_valuez00_1846 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_valuez00); 
{ /* Globalize/loc2glo.scm 196 */
bool_t BgL_test3311z00_1847;
{ /* Globalize/loc2glo.scm 196 */
obj_t BgL_auxz00_4385;
{ /* Globalize/loc2glo.scm 196 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2806z00_2885;
BgL_obj2806z00_2885 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_valuez00_1846); 
{ 
obj_t BgL_auxz00_4387;
{ /* Globalize/loc2glo.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4388;
BgL_auxz00_4388 = 
(BgL_objectz00_bglt)(BgL_obj2806z00_2885); 
BgL_auxz00_4387 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4388); } 
BgL_auxz00_4385 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_4387))->BgL_thezd2globalzd2); } } 
BgL_test3311z00_1847 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4385, BGl_globalz00zzast_varz00); } 
if(BgL_test3311z00_1847)
{ /* Globalize/loc2glo.scm 197 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2806z00_2887;
BgL_obj2806z00_2887 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_valuez00_1846); 
{ /* Globalize/loc2glo.scm 197 */
obj_t BgL_auxz00_4395;
{ 
obj_t BgL_auxz00_4396;
{ /* Globalize/loc2glo.scm 197 */
BgL_objectz00_bglt BgL_auxz00_4397;
BgL_auxz00_4397 = 
(BgL_objectz00_bglt)(BgL_obj2806z00_2887); 
BgL_auxz00_4396 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4397); } 
BgL_auxz00_4395 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_4396))->BgL_thezd2globalzd2); } 
return 
(BgL_globalz00_bglt)(BgL_auxz00_4395);} }  else 
{ /* Globalize/loc2glo.scm 198 */
obj_t BgL_idz00_1848;
{ /* Globalize/loc2glo.scm 198 */
bool_t BgL_test3320z00_1859;
{ /* Globalize/loc2glo.scm 198 */
obj_t BgL_arg3327z00_1865;
BgL_arg3327z00_1865 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_idz00), BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_test3320z00_1859 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3327z00_1865, BGl_globalz00zzast_varz00); } 
if(BgL_test3320z00_1859)
{ /* Globalize/loc2glo.scm 200 */
obj_t BgL_arg3321z00_1860;
{ /* Globalize/loc2glo.scm 200 */
obj_t BgL_arg3322z00_1861;
BgL_arg3322z00_1861 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_idz00); 
{ /* Globalize/loc2glo.scm 200 */
obj_t BgL_list3324z00_1863;
{ /* Globalize/loc2glo.scm 200 */
obj_t BgL_arg3325z00_1864;
{ /* Globalize/loc2glo.scm 200 */
obj_t BgL_auxz00_4407;
BgL_auxz00_4407 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3325z00_1864 = 
MAKE_PAIR(BgL_auxz00_4407, BNIL); } 
BgL_list3324z00_1863 = 
MAKE_PAIR(BgL_arg3322z00_1861, BgL_arg3325z00_1864); } 
BgL_arg3321z00_1860 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3324z00_1863); } } 
BgL_idz00_1848 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg3321z00_1860, BEOA); }  else 
{ /* Globalize/loc2glo.scm 198 */
BgL_idz00_1848 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_idz00); } } 
{ /* Globalize/loc2glo.scm 198 */
BgL_globalz00_bglt BgL_globalz00_1849;
BgL_globalz00_1849 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_idz00_1848, BNIL, BNIL, BGl_za2moduleza2z00zzmodule_modulez00, 
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), 
CNST_TABLE_REF(((long)6)), BUNSPEC); 
{ /* Globalize/loc2glo.scm 202 */

{ /* Globalize/loc2glo.scm 215 */
obj_t BgL_arg3313z00_1851;
{ /* Globalize/loc2glo.scm 215 */
BgL_sfunz00_bglt BgL_obj1407z00_2893;
BgL_obj1407z00_2893 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1846); 
BgL_arg3313z00_1851 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1407z00_2893))->BgL_locz00); } 
{ /* Globalize/loc2glo.scm 215 */
BgL_sfunz00_bglt BgL_obj1409z00_2894;
{ /* Globalize/loc2glo.scm 215 */
BgL_valuez00_bglt BgL_auxz00_4421;
BgL_auxz00_4421 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1849))->BgL_valuez00); 
BgL_obj1409z00_2894 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4421); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1409z00_2894))->BgL_locz00) = ((obj_t)BgL_arg3313z00_1851), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 217 */
BgL_typez00_bglt BgL_arg3314z00_1852;
BgL_arg3314z00_1852 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_typez00); 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1849))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3314z00_1852), BUNSPEC); } 
if(
(((BgL_localz00_bglt)CREF(BgL_localz00_18))->BgL_userzf3zf3))
{ /* Globalize/loc2glo.scm 219 */BFALSE; }  else 
{ /* Globalize/loc2glo.scm 219 */
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1849))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } 
{ /* Globalize/loc2glo.scm 221 */
BgL_globalzf2ginfozf2_bglt BgL_obj3134z00_1854;
BgL_obj3134z00_1854 = 
((BgL_globalzf2ginfozf2_bglt)BgL_globalz00_1849); 
{ /* Globalize/loc2glo.scm 221 */
BgL_globalzf2ginfozf2_bglt BgL_arg3316z00_1855;
{ /* Globalize/loc2glo.scm 221 */
BgL_globalzf2ginfozf2_bglt BgL_res3435z00_2911;
{ /* Globalize/loc2glo.scm 221 */
BgL_globalzf2ginfozf2_bglt BgL_new3001z00_2904;
BgL_new3001z00_2904 = 
((BgL_globalzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2ginfozf2_bgl)))); 
{ /* Globalize/loc2glo.scm 221 */
BgL_globalzf2ginfozf2_bglt BgL_res3434z00_2910;
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_new3001z00_2904))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_new3001z00_2904))->BgL_globalzd2closurezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res3434z00_2910 = BgL_new3001z00_2904; BgL_res3434z00_2910; } 
BgL_res3435z00_2911 = BgL_new3001z00_2904; } 
BgL_arg3316z00_1855 = BgL_res3435z00_2911; } 
{ /* Globalize/loc2glo.scm 221 */
obj_t BgL_auxz00_4436;BgL_objectz00_bglt BgL_auxz00_4434;
BgL_auxz00_4436 = 
(obj_t)(BgL_arg3316z00_1855); 
BgL_auxz00_4434 = 
(BgL_objectz00_bglt)(BgL_obj3134z00_1854); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4434, BgL_auxz00_4436); } } 
{ /* Globalize/loc2glo.scm 221 */
long BgL_arg3317z00_1856;
BgL_arg3317z00_1856 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* Globalize/loc2glo.scm 221 */
BgL_objectz00_bglt BgL_auxz00_4440;
BgL_auxz00_4440 = 
(BgL_objectz00_bglt)(BgL_obj3134z00_1854); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4440, BgL_arg3317z00_1856); } } 
{ /* Globalize/loc2glo.scm 221 */
obj_t BgL_auxz00_4443;
BgL_auxz00_4443 = 
(obj_t)(BgL_obj3134z00_1854); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4443); } BUNSPEC; BgL_obj3134z00_1854; } 
{ /* Globalize/loc2glo.scm 222 */
obj_t BgL_arg3319z00_1858;
{ /* Globalize/loc2glo.scm 223 */
BgL_sfunz00_bglt BgL_obj1377z00_2916;
BgL_obj1377z00_2916 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1846); 
BgL_arg3319z00_1858 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1377z00_2916))->BgL_sidezd2effectzf3z21); } 
{ /* Globalize/loc2glo.scm 222 */
BgL_sfunz00_bglt BgL_obj1379z00_2917;
{ /* Globalize/loc2glo.scm 222 */
BgL_valuez00_bglt BgL_auxz00_4448;
BgL_auxz00_4448 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1849))->BgL_valuez00); 
BgL_obj1379z00_2917 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4448); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1379z00_2917))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3319z00_1858), BUNSPEC); } } 
{ /* Globalize/loc2glo.scm 224 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2808z00_2919;obj_t BgL_val2807z00_2920;
BgL_obj2808z00_2919 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_valuez00_1846); 
BgL_val2807z00_2920 = 
(obj_t)(BgL_globalz00_1849); 
{ 
obj_t BgL_auxz00_4454;
{ /* Globalize/loc2glo.scm 224 */
BgL_objectz00_bglt BgL_auxz00_4455;
BgL_auxz00_4455 = 
(BgL_objectz00_bglt)(BgL_obj2808z00_2919); 
BgL_auxz00_4454 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4455); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_4454))->BgL_thezd2globalzd2) = ((obj_t)BgL_val2807z00_2920), BUNSPEC); } } 
return BgL_globalz00_1849;} } } } } } 
}



/* _the-global */
obj_t BGl__thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(obj_t BgL_envz00_3714, obj_t BgL_localz00_3715)
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 194 */
{ /* Globalize/loc2glo.scm 194 */
BgL_globalz00_bglt BgL_auxz00_4459;
BgL_auxz00_4459 = 
BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
(BgL_localz00_bglt)(BgL_localz00_3715)); 
return 
(obj_t)(BgL_auxz00_4459);} } 
}



/* local-value */
BgL_valuez00_bglt BGl_localzd2valuezd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt BgL_obj1279z00_1369)
{ AN_OBJECT;
{ /* ./Ast/var.scm 65 */
return 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_1369))->BgL_valuez00);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96()
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96()
{ AN_OBJECT;
{ /* Globalize/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long)0), "globalize_local->global"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long)59959), "globalize_local->global"); 
return 
BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)29940), "globalize_local->global");} 
}

