/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_methodzd2initzd2zzheap_makez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
static bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00();
extern obj_t BGl_getzd2tenvzd2zztype_envz00();
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
extern obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_zc3anonymousza31583ze3z83zzheap_makez00(obj_t, obj_t);
extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
static obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
static obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t);
extern obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern obj_t BGl_makezd2heapzd2zzheap_makez00();
static obj_t BGl_cnstzd2initzd2zzheap_makez00();
static bool_t BGl_preparezd2globalsz12zc0zzheap_makez00();
extern obj_t BGl_getzd2genvzd2zzast_envz00();
extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza31620ze3z83zzheap_makez00(obj_t, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00();
static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00();
static obj_t __cnst[ 7 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2addzd2heapzd2envzd2zzheap_makez00, BgL_bgl__makeza7d2addza7d2heapza700za7za7heap_makeza7001660z00, BGl__makezd2addzd2heapz00zzheap_makez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BgL_bgl__prepareza7d2globalsza712za7c0za7za7heap_makeza7001661z00, BGl__preparezd2globalsz12zc0zzheap_makez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00, BgL_bgl__prepareza7d2additionalza7d2globalsza712za712za7za7heap_makeza7001662za7, BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2heapzd2envz00zzheap_makez00, BgL_bgl__makeza7d2heapza7d2za7za7heap_makeza7001663za7, BGl__makezd2heapzd2zzheap_makez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1650z00zzheap_makez00, BgL_bgl_za7c3anonymousza7a31583za7e3za783za7za7heap_makeza7001664za7, BGl_zc3anonymousza31583ze3z83zzheap_makez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1654z00zzheap_makez00, BgL_bgl_za7c3anonymousza7a31620za7e3za783za7za7heap_makeza7001665za7, BGl_zc3anonymousza31620ze3z83zzheap_makez00, 0L, 1 );
DEFINE_STRING( BGl_string1655z00zzheap_makez00, BgL_bgl_string1655za700za7za7heap_makeza7001666z00, "(prepare-additional-globals!) import export static pair (prepare-globals!) pass-started ", 88 );
DEFINE_STRING( BGl_string1653z00zzheap_makez00, BgL_bgl_string1653za700za7za7heap_makeza7001667z00, "make-add-heap", 13 );
DEFINE_STRING( BGl_string1652z00zzheap_makez00, BgL_bgl_string1652za700za7za7heap_makeza7001668z00, "make-addd-heap", 14 );
DEFINE_STRING( BGl_string1651z00zzheap_makez00, BgL_bgl_string1651za700za7za7heap_makeza7001669z00, "Library heap", 12 );
DEFINE_STRING( BGl_string1649z00zzheap_makez00, BgL_bgl_string1649za700za7za7heap_makeza7001670z00, "Illegal heap's name", 19 );
DEFINE_STRING( BGl_string1648z00zzheap_makez00, BgL_bgl_string1648za700za7za7heap_makeza7001671z00, "Can't open output port", 22 );
DEFINE_STRING( BGl_string1647z00zzheap_makez00, BgL_bgl_string1647za700za7za7heap_makeza7001672z00, "make-heap", 9 );
DEFINE_STRING( BGl_string1646z00zzheap_makez00, BgL_bgl_string1646za700za7za7heap_makeza7001673z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1645z00zzheap_makez00, BgL_bgl_string1645za700za7za7heap_makeza7001674z00, "   . ", 5 );
DEFINE_STRING( BGl_string1644z00zzheap_makez00, BgL_bgl_string1644za700za7za7heap_makeza7001675z00, "Heap", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long BgL_checksumz00_848, char * BgL_fromz00_849)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
{ 
BGl_requirezd2initializa7ationz75zzheap_makez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzheap_makez00(); 
BGl_cnstzd2initzd2zzheap_makez00(); 
BGl_importedzd2moduleszd2initz00zzheap_makez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 15 */
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)0), "heap_make"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 15 */
{ /* Heap/make.scm 15 */
obj_t BgL_cportz00_841;
BgL_cportz00_841 = 
open_input_string(BGl_string1655z00zzheap_makez00); 
{ 
long BgL_iz00_842;
BgL_iz00_842 = ((long)6); 
BgL_loopz00_843:
if(
(BgL_iz00_842==((long)-1)))
{ /* Heap/make.scm 15 */
return BUNSPEC;}  else 
{ /* Heap/make.scm 15 */
{ /* Heap/make.scm 15 */
obj_t BgL_arg1657z00_845;
{ /* Heap/make.scm 15 */
obj_t BgL_list1658z00_846;
BgL_list1658z00_846 = 
MAKE_PAIR(BgL_cportz00_841, BNIL); 
BgL_arg1657z00_845 = 
BGl_readz00zz__readerz00(BgL_list1658z00_846); } 
{ /* Heap/make.scm 15 */
int BgL_auxz00_865;
BgL_auxz00_865 = 
(int)(BgL_iz00_842); 
CNST_TABLE_SET(BgL_auxz00_865, BgL_arg1657z00_845); } } 
{ 
long BgL_iz00_868;
{ /* Heap/make.scm 15 */
int BgL_auxz00_869;
{ /* Heap/make.scm 15 */
long BgL_auxz00_870;
BgL_auxz00_870 = 
(BgL_iz00_842-((long)1)); 
BgL_auxz00_869 = 
(int)(BgL_auxz00_870); } 
BgL_iz00_868 = 
(long)(BgL_auxz00_869); } 
BgL_iz00_842 = BgL_iz00_868; 
goto BgL_loopz00_843;} } } } } 
}



/* make-heap */
obj_t BGl_makezd2heapzd2zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 31 */
{ /* Heap/make.scm 32 */
obj_t BgL_list1551z00_416;
{ /* Heap/make.scm 32 */
obj_t BgL_arg1553z00_418;
{ /* Heap/make.scm 32 */
obj_t BgL_arg1555z00_420;
{ /* Heap/make.scm 32 */
obj_t BgL_auxz00_874;
BgL_auxz00_874 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1555z00_420 = 
MAKE_PAIR(BgL_auxz00_874, BNIL); } 
BgL_arg1553z00_418 = 
MAKE_PAIR(BGl_string1644z00zzheap_makez00, BgL_arg1555z00_420); } 
BgL_list1551z00_416 = 
MAKE_PAIR(BGl_string1645z00zzheap_makez00, BgL_arg1553z00_418); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1551z00_416); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1644z00zzheap_makez00; 
{ 
obj_t BgL_hooksz00_421;obj_t BgL_hnamesz00_422;
{ /* Heap/make.scm 32 */
obj_t BgL_arg1557z00_424;obj_t BgL_arg1558z00_425;
{ /* Heap/make.scm 32 */
obj_t BgL_list1559z00_426;
BgL_list1559z00_426 = 
MAKE_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BNIL); 
BgL_arg1557z00_424 = BgL_list1559z00_426; } 
BgL_arg1558z00_425 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_421 = BgL_arg1557z00_424; 
BgL_hnamesz00_422 = BgL_arg1558z00_425; 
BgL_loopz00_423:
if(
NULLP(BgL_hooksz00_421))
{ /* Heap/make.scm 32 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Heap/make.scm 32 */
bool_t BgL_test1561z00_428;
{ /* Heap/make.scm 32 */
obj_t BgL_fun1572z00_434;
BgL_fun1572z00_434 = 
CAR(BgL_hooksz00_421); 
{ /* Heap/make.scm 32 */
obj_t BgL_auxz00_888;
BgL_auxz00_888 = 
PROCEDURE_ENTRY(BgL_fun1572z00_434)(BgL_fun1572z00_434, BEOA); 
BgL_test1561z00_428 = 
CBOOL(BgL_auxz00_888); } } 
if(BgL_test1561z00_428)
{ /* Heap/make.scm 32 */
{ 
obj_t BgL_hnamesz00_895;obj_t BgL_hooksz00_893;
BgL_hooksz00_893 = 
CDR(BgL_hooksz00_421); 
BgL_hnamesz00_895 = 
CDR(BgL_hnamesz00_422); 
BgL_hnamesz00_422 = BgL_hnamesz00_895; 
BgL_hooksz00_421 = BgL_hooksz00_893; 
goto BgL_loopz00_423;} }  else 
{ /* Heap/make.scm 32 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1644z00zzheap_makez00, BGl_string1646z00zzheap_makez00, 
CAR(BgL_hnamesz00_422)); } } } } 
BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
CNST_TABLE_REF(((long)2))); 
{ /* Heap/make.scm 34 */
bool_t BgL_test1573z00_435;
{ /* Heap/make.scm 34 */
obj_t BgL_objz00_628;
BgL_objz00_628 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
BgL_test1573z00_435 = 
STRINGP(BgL_objz00_628); } 
if(BgL_test1573z00_435)
{ /* Heap/make.scm 36 */
obj_t BgL_hnamez00_436;
{ /* Heap/make.scm 36 */
obj_t BgL_arg1580z00_445;
{ /* Heap/make.scm 36 */
obj_t BgL_pairz00_629;
BgL_pairz00_629 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
BgL_arg1580z00_445 = 
CAR(BgL_pairz00_629); } 
BgL_hnamez00_436 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_arg1580z00_445, BGl_za2heapzd2nameza2zd2zzengine_paramz00); } 
{ /* Heap/make.scm 37 */
obj_t BgL_portz00_437;
BgL_portz00_437 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_hnamez00_436); 
if(
BINARY_PORTP(BgL_portz00_437))
{ /* Heap/make.scm 38 */
{ /* Heap/make.scm 42 */
obj_t BgL_arg1575z00_439;
{ /* Heap/make.scm 42 */
obj_t BgL_v1549z00_440;
{ 
int BgL_auxz00_908;
BgL_auxz00_908 = 
(int)(((long)3)); 
BgL_v1549z00_440 = 
create_vector(BgL_auxz00_908); } 
{ /* Heap/make.scm 42 */
obj_t BgL_arg1577z00_442;
BgL_arg1577z00_442 = 
BGl_getzd2tenvzd2zztype_envz00(); 
{ /* Heap/make.scm 42 */
int BgL_kz00_632;
BgL_kz00_632 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1549z00_440,BgL_kz00_632,BgL_arg1577z00_442); } } 
{ /* Heap/make.scm 42 */
obj_t BgL_arg1579z00_444;
BgL_arg1579z00_444 = 
BGl_getzd2genvzd2zzast_envz00(); 
{ /* Heap/make.scm 42 */
int BgL_kz00_635;
BgL_kz00_635 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1549z00_440,BgL_kz00_635,BgL_arg1579z00_444); } } 
{ /* Heap/make.scm 42 */
int BgL_kz00_638;obj_t BgL_objz00_639;
BgL_kz00_638 = 
(int)(((long)0)); 
BgL_objz00_639 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
VECTOR_SET(BgL_v1549z00_440,BgL_kz00_638,BgL_objz00_639); } 
BgL_arg1575z00_439 = BgL_v1549z00_440; } 
output_obj(BgL_portz00_437, BgL_arg1575z00_439); } 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_437);}  else 
{ /* Heap/make.scm 38 */
FAILURE(BGl_string1647z00zzheap_makez00,BGl_string1648z00zzheap_makez00,BgL_hnamez00_436);} } }  else 
{ /* Heap/make.scm 34 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1647z00zzheap_makez00, BGl_string1649z00zzheap_makez00, BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);} } } 
}



/* _make-heap */
obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t BgL_envz00_831)
{ AN_OBJECT;
{ /* Heap/make.scm 31 */
return 
BGl_makezd2heapzd2zzheap_makez00();} 
}



/* prepare-globals! */
bool_t BGl_preparezd2globalsz12zc0zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 54 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1650z00zzheap_makez00); 
return ((bool_t)1);} 
}



/* _prepare-globals! */
obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t BgL_envz00_832)
{ AN_OBJECT;
{ /* Heap/make.scm 54 */
{ /* Heap/make.scm 54 */
bool_t BgL_auxz00_925;
BgL_auxz00_925 = 
BGl_preparezd2globalsz12zc0zzheap_makez00(); 
return 
BBOOL(BgL_auxz00_925);} } 
}



/* <anonymous:1583> */
obj_t BGl_zc3anonymousza31583ze3z83zzheap_makez00(obj_t BgL_envz00_834, obj_t BgL_gz00_835)
{ AN_OBJECT;
{ /* Heap/make.scm 55 */
{ 
obj_t BgL_gz00_448;
BgL_gz00_448 = BgL_gz00_835; 
{ /* Heap/make.scm 58 */
bool_t BgL_testz00_928;
{ /* Heap/make.scm 58 */
obj_t BgL_auxz00_932;obj_t BgL_auxz00_929;
BgL_auxz00_932 = 
CNST_TABLE_REF(((long)3)); 
{ /* Heap/make.scm 58 */
BgL_globalz00_bglt BgL_obj1173z00_645;
BgL_obj1173z00_645 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
BgL_auxz00_929 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_645))->BgL_importz00); } 
BgL_testz00_928 = 
(BgL_auxz00_929==BgL_auxz00_932); } 
if(BgL_testz00_928)
{ /* Heap/make.scm 58 */
{ /* Heap/make.scm 59 */
obj_t BgL_auxz00_938;obj_t BgL_auxz00_935;
{ /* Heap/make.scm 59 */
BgL_globalz00_bglt BgL_obj1170z00_647;
BgL_obj1170z00_647 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
BgL_auxz00_938 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_647))->BgL_modulez00); } 
{ /* Heap/make.scm 59 */
BgL_globalz00_bglt BgL_obj1148z00_646;
BgL_obj1148z00_646 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
BgL_auxz00_935 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_646))->BgL_idz00); } 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_auxz00_935, BgL_auxz00_938); } }  else 
{ /* Heap/make.scm 60 */
bool_t BgL_testz00_942;
{ /* Heap/make.scm 60 */
obj_t BgL_auxz00_946;obj_t BgL_auxz00_943;
BgL_auxz00_946 = 
CNST_TABLE_REF(((long)4)); 
{ /* Heap/make.scm 60 */
BgL_globalz00_bglt BgL_obj1173z00_648;
BgL_obj1173z00_648 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
BgL_auxz00_943 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_648))->BgL_importz00); } 
BgL_testz00_942 = 
(BgL_auxz00_943==BgL_auxz00_946); } 
if(BgL_testz00_942)
{ /* Heap/make.scm 60 */
{ /* Heap/make.scm 61 */
BgL_globalz00_bglt BgL_obj1175z00_649;obj_t BgL_val1174z00_650;
BgL_obj1175z00_649 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
BgL_val1174z00_650 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1175z00_649))->BgL_importz00) = ((obj_t)BgL_val1174z00_650), BUNSPEC); } }  else 
{ /* Heap/make.scm 60 */BUNSPEC; } } } 
{ /* Heap/make.scm 65 */
BgL_globalz00_bglt BgL_obj1169z00_651;
BgL_obj1169z00_651 = 
(BgL_globalz00_bglt)(BgL_gz00_448); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1169z00_651))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC);} } } 
}



/* make-add-heap */
obj_t BGl_makezd2addzd2heapz00zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 76 */
{ /* Heap/make.scm 77 */
obj_t BgL_list1594z00_459;
{ /* Heap/make.scm 77 */
obj_t BgL_arg1596z00_461;
{ /* Heap/make.scm 77 */
obj_t BgL_arg1598z00_463;
{ /* Heap/make.scm 77 */
obj_t BgL_auxz00_954;
BgL_auxz00_954 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1598z00_463 = 
MAKE_PAIR(BgL_auxz00_954, BNIL); } 
BgL_arg1596z00_461 = 
MAKE_PAIR(BGl_string1651z00zzheap_makez00, BgL_arg1598z00_463); } 
BgL_list1594z00_459 = 
MAKE_PAIR(BGl_string1645z00zzheap_makez00, BgL_arg1596z00_461); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1594z00_459); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1651z00zzheap_makez00; 
{ 
obj_t BgL_hooksz00_464;obj_t BgL_hnamesz00_465;
{ /* Heap/make.scm 77 */
obj_t BgL_arg1599z00_467;obj_t BgL_arg1600z00_468;
{ /* Heap/make.scm 77 */
obj_t BgL_list1601z00_469;
BgL_list1601z00_469 = 
MAKE_PAIR(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00, BNIL); 
BgL_arg1599z00_467 = BgL_list1601z00_469; } 
BgL_arg1600z00_468 = 
CNST_TABLE_REF(((long)6)); 
BgL_hooksz00_464 = BgL_arg1599z00_467; 
BgL_hnamesz00_465 = BgL_arg1600z00_468; 
BgL_loopz00_466:
if(
NULLP(BgL_hooksz00_464))
{ /* Heap/make.scm 77 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Heap/make.scm 77 */
bool_t BgL_test1603z00_471;
{ /* Heap/make.scm 77 */
obj_t BgL_fun1609z00_477;
BgL_fun1609z00_477 = 
CAR(BgL_hooksz00_464); 
{ /* Heap/make.scm 77 */
obj_t BgL_auxz00_968;
BgL_auxz00_968 = 
PROCEDURE_ENTRY(BgL_fun1609z00_477)(BgL_fun1609z00_477, BEOA); 
BgL_test1603z00_471 = 
CBOOL(BgL_auxz00_968); } } 
if(BgL_test1603z00_471)
{ /* Heap/make.scm 77 */
{ 
obj_t BgL_hnamesz00_975;obj_t BgL_hooksz00_973;
BgL_hooksz00_973 = 
CDR(BgL_hooksz00_464); 
BgL_hnamesz00_975 = 
CDR(BgL_hnamesz00_465); 
BgL_hnamesz00_465 = BgL_hnamesz00_975; 
BgL_hooksz00_464 = BgL_hooksz00_973; 
goto BgL_loopz00_466;} }  else 
{ /* Heap/make.scm 77 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1651z00zzheap_makez00, BGl_string1646z00zzheap_makez00, 
CAR(BgL_hnamesz00_465)); } } } } 
BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
CNST_TABLE_REF(((long)2))); 
{ /* Heap/make.scm 81 */
bool_t BgL_test1610z00_478;
{ /* Heap/make.scm 81 */
obj_t BgL_objz00_660;
BgL_objz00_660 = BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00; 
BgL_test1610z00_478 = 
STRINGP(BgL_objz00_660); } 
if(BgL_test1610z00_478)
{ /* Heap/make.scm 85 */
obj_t BgL_hnamez00_479;
BgL_hnamez00_479 = BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00; 
{ /* Heap/make.scm 86 */
obj_t BgL_portz00_480;
BgL_portz00_480 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_hnamez00_479); 
if(
BINARY_PORTP(BgL_portz00_480))
{ /* Heap/make.scm 87 */
{ /* Heap/make.scm 90 */
obj_t BgL_arg1612z00_482;
{ /* Heap/make.scm 90 */
obj_t BgL_v1550z00_483;
{ 
int BgL_auxz00_986;
BgL_auxz00_986 = 
(int)(((long)4)); 
BgL_v1550z00_483 = 
create_vector(BgL_auxz00_986); } 
{ /* Heap/make.scm 90 */
int BgL_kz00_663;obj_t BgL_objz00_664;
BgL_kz00_663 = 
(int)(((long)3)); 
BgL_objz00_664 = BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00; 
VECTOR_SET(BgL_v1550z00_483,BgL_kz00_663,BgL_objz00_664); } 
{ /* Heap/make.scm 90 */
obj_t BgL_arg1614z00_485;
BgL_arg1614z00_485 = 
BGl_getzd2tenvzd2zztype_envz00(); 
{ /* Heap/make.scm 90 */
int BgL_kz00_666;
BgL_kz00_666 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1550z00_483,BgL_kz00_666,BgL_arg1614z00_485); } } 
{ /* Heap/make.scm 90 */
obj_t BgL_arg1617z00_487;
BgL_arg1617z00_487 = 
BGl_getzd2genvzd2zzast_envz00(); 
{ /* Heap/make.scm 90 */
int BgL_kz00_669;
BgL_kz00_669 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1550z00_483,BgL_kz00_669,BgL_arg1617z00_487); } } 
{ /* Heap/make.scm 90 */
int BgL_kz00_672;obj_t BgL_objz00_673;
BgL_kz00_672 = 
(int)(((long)0)); 
BgL_objz00_673 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
VECTOR_SET(BgL_v1550z00_483,BgL_kz00_672,BgL_objz00_673); } 
BgL_arg1612z00_482 = BgL_v1550z00_483; } 
output_obj(BgL_portz00_480, BgL_arg1612z00_482); } 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_480);}  else 
{ /* Heap/make.scm 87 */
FAILURE(BGl_string1652z00zzheap_makez00,BGl_string1648z00zzheap_makez00,BgL_hnamez00_479);} } }  else 
{ /* Heap/make.scm 81 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1653z00zzheap_makez00, BGl_string1649z00zzheap_makez00, BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);} } } 
}



/* _make-add-heap */
obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t BgL_envz00_836)
{ AN_OBJECT;
{ /* Heap/make.scm 76 */
return 
BGl_makezd2addzd2heapz00zzheap_makez00();} 
}



/* prepare-additional-globals! */
bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 103 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1654z00zzheap_makez00); 
return ((bool_t)1);} 
}



/* _prepare-additional-globals! */
obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t BgL_envz00_837)
{ AN_OBJECT;
{ /* Heap/make.scm 103 */
{ /* Heap/make.scm 103 */
bool_t BgL_auxz00_1005;
BgL_auxz00_1005 = 
BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00(); 
return 
BBOOL(BgL_auxz00_1005);} } 
}



/* <anonymous:1620> */
obj_t BGl_zc3anonymousza31620ze3z83zzheap_makez00(obj_t BgL_envz00_839, obj_t BgL_gz00_840)
{ AN_OBJECT;
{ /* Heap/make.scm 104 */
{ 
obj_t BgL_gz00_490;
BgL_gz00_490 = BgL_gz00_840; 
{ /* Heap/make.scm 107 */
bool_t BgL_testz00_1008;
{ /* Heap/make.scm 107 */
bool_t BgL_testz00_1009;
{ /* Heap/make.scm 107 */
obj_t BgL_auxz00_1013;obj_t BgL_auxz00_1010;
BgL_auxz00_1013 = 
CNST_TABLE_REF(((long)3)); 
{ /* Heap/make.scm 107 */
BgL_globalz00_bglt BgL_obj1173z00_679;
BgL_obj1173z00_679 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_auxz00_1010 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_679))->BgL_importz00); } 
BgL_testz00_1009 = 
(BgL_auxz00_1010==BgL_auxz00_1013); } 
if(BgL_testz00_1009)
{ /* Heap/make.scm 107 */
BgL_testz00_1008 = ((bool_t)1)
; }  else 
{ /* Heap/make.scm 108 */
BgL_globalz00_bglt BgL_obj1179z00_680;
BgL_obj1179z00_680 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_testz00_1008 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_680))->BgL_libraryzf3zf3); } } 
if(BgL_testz00_1008)
{ /* Heap/make.scm 107 */
{ /* Heap/make.scm 109 */
obj_t BgL_auxz00_1021;obj_t BgL_auxz00_1018;
{ /* Heap/make.scm 109 */
BgL_globalz00_bglt BgL_obj1170z00_682;
BgL_obj1170z00_682 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_auxz00_1021 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_682))->BgL_modulez00); } 
{ /* Heap/make.scm 109 */
BgL_globalz00_bglt BgL_obj1148z00_681;
BgL_obj1148z00_681 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_auxz00_1018 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_681))->BgL_idz00); } 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_auxz00_1018, BgL_auxz00_1021); } }  else 
{ /* Heap/make.scm 110 */
bool_t BgL_testz00_1025;
{ /* Heap/make.scm 110 */
obj_t BgL_auxz00_1029;obj_t BgL_auxz00_1026;
BgL_auxz00_1029 = 
CNST_TABLE_REF(((long)4)); 
{ /* Heap/make.scm 110 */
BgL_globalz00_bglt BgL_obj1173z00_683;
BgL_obj1173z00_683 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_auxz00_1026 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_683))->BgL_importz00); } 
BgL_testz00_1025 = 
(BgL_auxz00_1026==BgL_auxz00_1029); } 
if(BgL_testz00_1025)
{ /* Heap/make.scm 110 */
{ /* Heap/make.scm 111 */
BgL_globalz00_bglt BgL_obj1175z00_684;obj_t BgL_val1174z00_685;
BgL_obj1175z00_684 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
BgL_val1174z00_685 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1175z00_684))->BgL_importz00) = ((obj_t)BgL_val1174z00_685), BUNSPEC); } }  else 
{ /* Heap/make.scm 110 */BUNSPEC; } } } 
{ /* Heap/make.scm 115 */
BgL_globalz00_bglt BgL_obj1169z00_686;
BgL_obj1169z00_686 = 
(BgL_globalz00_bglt)(BgL_gz00_490); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1169z00_686))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00()
{ AN_OBJECT;
{ /* Heap/make.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "heap_make"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "heap_make"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "heap_make"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "heap_make"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "heap_make"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "heap_make"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "heap_make"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "heap_make"); 
BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long)43111), "heap_make"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "heap_make");} 
}

