/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_handlerz00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzheap_restorez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
static obj_t BGl_rhandler1550z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_rhandler1560z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_handling_function1653z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
static obj_t BGl_zc3anonymousza31656ze3z83zzheap_restorez00(obj_t);
static obj_t BGl_zc3anonymousza31657ze3z83zzheap_restorez00(obj_t);
static obj_t BGl_handling_function1595z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_escape_1687z00zzheap_restorez00(obj_t, obj_t);
extern obj_t input_obj(obj_t);
extern obj_t BGl_restorezd2heapzd2zzheap_restorez00();
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
static obj_t BGl_escapez00zzheap_restorez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31598ze3z83zzheap_restorez00(obj_t);
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31609ze3z83zzheap_restorez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31599ze3z83zzheap_restorez00(obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
static obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t);
static obj_t BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
static obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t);
static obj_t BGl_handler_1688z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
static obj_t BGl_body1551z00zzheap_restorez00(obj_t);
static obj_t BGl_body1561z00zzheap_restorez00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
extern obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 5 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_restorezd2heapzd2envz00zzheap_restorez00, BgL_bgl__restoreza7d2heapza7d2za7za7heap_restoreza7001707za7, BGl__restorezd2heapzd2zzheap_restorez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1699z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a31609za7e3za783za7za7heap_restoreza7001708za7, BGl_zc3anonymousza31609ze3z83zzheap_restorez00, 0L, 1 );
DEFINE_STRING( BGl_string1698z00zzheap_restorez00, BgL_bgl_string1698za700za7za7heap_restoreza7001709z00, "Target language mismatch", 24 );
DEFINE_STRING( BGl_string1697z00zzheap_restorez00, BgL_bgl_string1697za700za7za7heap_restoreza7001710z00, "Corrupted heap", 14 );
DEFINE_STRING( BGl_string1696z00zzheap_restorez00, BgL_bgl_string1696za700za7za7heap_restoreza7001711z00, "restore-heap", 12 );
DEFINE_STRING( BGl_string1695z00zzheap_restorez00, BgL_bgl_string1695za700za7za7heap_restoreza7001712z00, "\"", 1 );
DEFINE_STRING( BGl_string1694z00zzheap_restorez00, BgL_bgl_string1694za700za7za7heap_restoreza7001713z00, "Cannot open heap file \"", 23 );
DEFINE_STRING( BGl_string1693z00zzheap_restorez00, BgL_bgl_string1693za700za7za7heap_restoreza7001714z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string1702z00zzheap_restorez00, BgL_bgl_string1702za700za7za7heap_restoreza7001715z00, "call-with-current-continuation __r4_control_features_6_9 call/cc jvm pass-started ", 82 );
DEFINE_STRING( BGl_string1692z00zzheap_restorez00, BgL_bgl_string1692za700za7za7heap_restoreza7001716z00, "]", 1 );
DEFINE_STRING( BGl_string1701z00zzheap_restorez00, BgL_bgl_string1701za700za7za7heap_restoreza7001717z00, "restore-additional-heap", 23 );
DEFINE_STRING( BGl_string1691z00zzheap_restorez00, BgL_bgl_string1691za700za7za7heap_restoreza7001718z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1700z00zzheap_restorez00, BgL_bgl_string1700za700za7za7heap_restoreza7001719z00, "Library", 7 );
DEFINE_STRING( BGl_string1690z00zzheap_restorez00, BgL_bgl_string1690za700za7za7heap_restoreza7001720z00, "   . ", 5 );
DEFINE_STRING( BGl_string1689z00zzheap_restorez00, BgL_bgl_string1689za700za7za7heap_restoreza7001721z00, "Heap", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00, BgL_bgl__restoreza7d2additionalza7d2heapsza700za7za7heap_restoreza7001722z00, BGl__restorezd2additionalzd2heapsz00zzheap_restorez00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long BgL_checksumz00_1023, char * BgL_fromz00_1024)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
{ 
BGl_requirezd2initializa7ationz75zzheap_restorez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzheap_restorez00(); 
BGl_cnstzd2initzd2zzheap_restorez00(); 
BGl_importedzd2moduleszd2initz00zzheap_restorez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "heap_restore"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 15 */
{ /* Heap/restore.scm 15 */
obj_t BgL_cportz00_1016;
BgL_cportz00_1016 = 
open_input_string(BGl_string1702z00zzheap_restorez00); 
{ 
long BgL_iz00_1017;
BgL_iz00_1017 = ((long)4); 
BgL_loopz00_1018:
if(
(BgL_iz00_1017==((long)-1)))
{ /* Heap/restore.scm 15 */
return BUNSPEC;}  else 
{ /* Heap/restore.scm 15 */
{ /* Heap/restore.scm 15 */
obj_t BgL_arg1704z00_1020;
{ /* Heap/restore.scm 15 */
obj_t BgL_list1705z00_1021;
BgL_list1705z00_1021 = 
MAKE_PAIR(BgL_cportz00_1016, BNIL); 
BgL_arg1704z00_1020 = 
BGl_readz00zz__readerz00(BgL_list1705z00_1021); } 
{ /* Heap/restore.scm 15 */
int BgL_auxz00_1043;
BgL_auxz00_1043 = 
(int)(BgL_iz00_1017); 
CNST_TABLE_SET(BgL_auxz00_1043, BgL_arg1704z00_1020); } } 
{ 
long BgL_iz00_1046;
{ /* Heap/restore.scm 15 */
int BgL_auxz00_1047;
{ /* Heap/restore.scm 15 */
long BgL_auxz00_1048;
BgL_auxz00_1048 = 
(BgL_iz00_1017-((long)1)); 
BgL_auxz00_1047 = 
(int)(BgL_auxz00_1048); } 
BgL_iz00_1046 = 
(long)(BgL_auxz00_1047); } 
BgL_iz00_1017 = BgL_iz00_1046; 
goto BgL_loopz00_1018;} } } } } 
}



/* restore-heap */
obj_t BGl_restorezd2heapzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 33 */
{ /* Heap/restore.scm 34 */
bool_t BgL_test1568z00_417;
{ /* Heap/restore.scm 34 */
obj_t BgL_objz00_709;
BgL_objz00_709 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
BgL_test1568z00_417 = 
STRINGP(BgL_objz00_709); } 
if(BgL_test1568z00_417)
{ /* Heap/restore.scm 34 */
{ /* Heap/restore.scm 36 */
obj_t BgL_list1569z00_418;
{ /* Heap/restore.scm 36 */
obj_t BgL_arg1572z00_420;
{ /* Heap/restore.scm 36 */
obj_t BgL_arg1574z00_422;
{ /* Heap/restore.scm 36 */
obj_t BgL_auxz00_1054;
BgL_auxz00_1054 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1574z00_422 = 
MAKE_PAIR(BgL_auxz00_1054, BNIL); } 
BgL_arg1572z00_420 = 
MAKE_PAIR(BGl_string1689z00zzheap_restorez00, BgL_arg1574z00_422); } 
BgL_list1569z00_418 = 
MAKE_PAIR(BGl_string1690z00zzheap_restorez00, BgL_arg1572z00_420); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1569z00_418); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1689z00zzheap_restorez00; 
{ 
obj_t BgL_hooksz00_423;obj_t BgL_hnamesz00_424;
BgL_hooksz00_423 = BNIL; 
BgL_hnamesz00_424 = BNIL; 
BgL_loopz00_425:
if(
NULLP(BgL_hooksz00_423))
{ /* Heap/restore.scm 36 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Heap/restore.scm 36 */
bool_t BgL_test1579z00_430;
{ /* Heap/restore.scm 36 */
obj_t BgL_fun1585z00_436;
BgL_fun1585z00_436 = 
CAR(BgL_hooksz00_423); 
{ /* Heap/restore.scm 36 */
obj_t BgL_auxz00_1066;
BgL_auxz00_1066 = 
PROCEDURE_ENTRY(BgL_fun1585z00_436)(BgL_fun1585z00_436, BEOA); 
BgL_test1579z00_430 = 
CBOOL(BgL_auxz00_1066); } } 
if(BgL_test1579z00_430)
{ /* Heap/restore.scm 36 */
{ 
obj_t BgL_hnamesz00_1073;obj_t BgL_hooksz00_1071;
BgL_hooksz00_1071 = 
CDR(BgL_hooksz00_423); 
BgL_hnamesz00_1073 = 
CDR(BgL_hnamesz00_424); 
BgL_hnamesz00_424 = BgL_hnamesz00_1073; 
BgL_hooksz00_423 = BgL_hooksz00_1071; 
goto BgL_loopz00_425;} }  else 
{ /* Heap/restore.scm 36 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1689z00zzheap_restorez00, BGl_string1691z00zzheap_restorez00, 
CAR(BgL_hnamesz00_424)); } } } 
{ /* Heap/restore.scm 37 */
obj_t BgL_fnamez00_437;
BgL_fnamez00_437 = 
BGl_findzd2filezf2pathz20zz__osz00(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
if(
STRINGP(BgL_fnamez00_437))
{ /* Heap/restore.scm 39 */
obj_t BgL_portz00_439;
BgL_portz00_439 = 
BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_fnamez00_437); 
{ /* Heap/restore.scm 41 */
obj_t BgL_handlerz00_935;
{ 
int BgL_auxz00_1083;int BgL_auxz00_1081;
BgL_auxz00_1083 = 
(int)(((long)1)); 
BgL_auxz00_1081 = 
(int)(((long)4)); 
BgL_handlerz00_935 = 
make_fx_procedure(BGl_handlerz00zzheap_restorez00, BgL_auxz00_1081, BgL_auxz00_1083); } 
{ /* Heap/restore.scm 41 */
int BgL_auxz00_1086;
BgL_auxz00_1086 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_935, BgL_auxz00_1086, BgL_portz00_439); } 
{ /* Heap/restore.scm 40 */

if(
BINARY_PORTP(BgL_portz00_439))
{ /* Heap/restore.scm 44 */
{ /* Heap/restore.scm 52 */
obj_t BgL_list1588z00_442;
{ /* Heap/restore.scm 52 */
obj_t BgL_arg1590z00_444;
{ /* Heap/restore.scm 52 */
obj_t BgL_arg1592z00_445;
{ /* Heap/restore.scm 52 */
obj_t BgL_arg1594z00_447;
{ /* Heap/restore.scm 52 */
obj_t BgL_auxz00_1091;
BgL_auxz00_1091 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1594z00_447 = 
MAKE_PAIR(BgL_auxz00_1091, BNIL); } 
BgL_arg1592z00_445 = 
MAKE_PAIR(BGl_string1692z00zzheap_restorez00, BgL_arg1594z00_447); } 
BgL_arg1590z00_444 = 
MAKE_PAIR(BgL_fnamez00_437, BgL_arg1592z00_445); } 
BgL_list1588z00_442 = 
MAKE_PAIR(BGl_string1693z00zzheap_restorez00, BgL_arg1590z00_444); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1588z00_442); } 
{ /* Heap/restore.scm 55 */
obj_t BgL_armed1552z00_448;obj_t BgL_handler1549z00_449;
BgL_armed1552z00_448 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1549z00_449 = 
MAKE_CELL(BUNSPEC); 
{ /* Heap/restore.scm 55 */
obj_t BgL_body1551z00_931;obj_t BgL_rhandler1550z00_933;
{ 
int BgL_auxz00_1101;int BgL_auxz00_1099;
BgL_auxz00_1101 = 
(int)(((long)1)); 
BgL_auxz00_1099 = 
(int)(((long)0)); 
BgL_body1551z00_931 = 
make_fx_procedure(BGl_body1551z00zzheap_restorez00, BgL_auxz00_1099, BgL_auxz00_1101); } 
{ 
int BgL_auxz00_1106;int BgL_auxz00_1104;
BgL_auxz00_1106 = 
(int)(((long)2)); 
BgL_auxz00_1104 = 
(int)(((long)4)); 
BgL_rhandler1550z00_933 = 
make_fx_procedure(BGl_rhandler1550z00zzheap_restorez00, BgL_auxz00_1104, BgL_auxz00_1106); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1109;
BgL_auxz00_1109 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body1551z00_931, BgL_auxz00_1109, BgL_portz00_439); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1112;
BgL_auxz00_1112 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler1550z00_933, BgL_auxz00_1112, BgL_armed1552z00_448); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1115;
BgL_auxz00_1115 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_rhandler1550z00_933, BgL_auxz00_1115, BgL_handler1549z00_449); } 
CELL_SET(BgL_handler1549z00_449, BgL_handlerz00_935); 
CELL_SET(BgL_armed1552z00_448, BTRUE); 
return 
BGl_handling_function1595z00zzheap_restorez00(BgL_body1551z00_931, BgL_rhandler1550z00_933, BgL_handler1549z00_449, BgL_armed1552z00_448);} } }  else 
{ /* Heap/restore.scm 44 */
{ /* Heap/restore.scm 46 */
obj_t BgL_arg1618z00_494;
BgL_arg1618z00_494 = 
string_append_3(BGl_string1694z00zzheap_restorez00, BgL_fnamez00_437, BGl_string1695z00zzheap_restorez00); 
{ /* Heap/restore.scm 46 */
obj_t BgL_objectz00_742;
BgL_objectz00_742 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string1696z00zzheap_restorez00,BgL_arg1618z00_494,BgL_objectz00_742);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-5)));} } } }  else 
{ /* Heap/restore.scm 38 */
{ /* Heap/restore.scm 89 */
obj_t BgL_arg1621z00_502;
BgL_arg1621z00_502 = 
string_append_3(BGl_string1694z00zzheap_restorez00, BGl_za2heapzd2nameza2zd2zzengine_paramz00, BGl_string1695z00zzheap_restorez00); 
{ /* Heap/restore.scm 89 */
obj_t BgL_objectz00_745;
BgL_objectz00_745 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string1696z00zzheap_restorez00,BgL_arg1621z00_502,BgL_objectz00_745);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-5)));} } }  else 
{ /* Heap/restore.scm 34 */
return BFALSE;} } } 
}



/* handling_function1595 */
obj_t BGl_handling_function1595z00zzheap_restorez00(obj_t BgL_body1551z00_1014, obj_t BgL_rhandler1550z00_1013, obj_t BgL_handler1549z00_1012, obj_t BgL_armed1552z00_1011)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1553z00_453;
if( SET_EXIT(BgL_an_exit1553z00_453) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1553z00_453 = 
(obj_t)jmpbuf; 
{ /* Heap/restore.scm 55 */

PUSH_EXIT(BgL_an_exit1553z00_453, ((bool_t)1)); 
{ /* Heap/restore.scm 55 */
obj_t BgL_an_exitd1554z00_454;
BgL_an_exitd1554z00_454 = 
BGL_GET_EXITD_TOP(); 
{ /* Heap/restore.scm 55 */
obj_t BgL_escapez00_932;
{ 
int BgL_auxz00_1133;int BgL_auxz00_1131;
BgL_auxz00_1133 = 
(int)(((long)1)); 
BgL_auxz00_1131 = 
(int)(((long)1)); 
BgL_escapez00_932 = 
make_fx_procedure(BGl_escapez00zzheap_restorez00, BgL_auxz00_1131, BgL_auxz00_1133); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1136;
BgL_auxz00_1136 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_932, BgL_auxz00_1136, BgL_an_exitd1554z00_454); } 
{ /* Heap/restore.scm 55 */
obj_t BgL_res1556z00_457;
{ /* Heap/restore.scm 55 */
obj_t BgL_zc3anonymousza31599ze3z83_929;obj_t BgL_zc3anonymousza31598ze3z83_934;
{ 
int BgL_auxz00_1141;int BgL_auxz00_1139;
BgL_auxz00_1141 = 
(int)(((long)1)); 
BgL_auxz00_1139 = 
(int)(((long)0)); 
BgL_zc3anonymousza31599ze3z83_929 = 
make_fx_procedure(BGl_zc3anonymousza31599ze3z83zzheap_restorez00, BgL_auxz00_1139, BgL_auxz00_1141); } 
{ 
int BgL_auxz00_1146;int BgL_auxz00_1144;
BgL_auxz00_1146 = 
(int)(((long)5)); 
BgL_auxz00_1144 = 
(int)(((long)0)); 
BgL_zc3anonymousza31598ze3z83_934 = 
make_fx_procedure(BGl_zc3anonymousza31598ze3z83zzheap_restorez00, BgL_auxz00_1144, BgL_auxz00_1146); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1149;
BgL_auxz00_1149 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31599ze3z83_929, BgL_auxz00_1149, BgL_armed1552z00_1011); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1152;
BgL_auxz00_1152 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31598ze3z83_934, BgL_auxz00_1152, BgL_an_exitd1554z00_454); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1155;
BgL_auxz00_1155 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31598ze3z83_934, BgL_auxz00_1155, BgL_armed1552z00_1011); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1158;
BgL_auxz00_1158 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31598ze3z83_934, BgL_auxz00_1158, BgL_handler1549z00_1012); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1161;
BgL_auxz00_1161 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31598ze3z83_934, BgL_auxz00_1161, BgL_rhandler1550z00_1013); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1164;
BgL_auxz00_1164 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31598ze3z83_934, BgL_auxz00_1164, BgL_escapez00_932); } 
BgL_res1556z00_457 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31598ze3z83_934, BgL_body1551z00_1014, BgL_zc3anonymousza31599ze3z83_929); } 
POP_EXIT(); 
return BgL_res1556z00_457;} } } } 
} } 
}



/* _restore-heap */
obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t BgL_envz00_936)
{ AN_OBJECT;
{ /* Heap/restore.scm 33 */
return 
BGl_restorezd2heapzd2zzheap_restorez00();} 
}



/* <anonymous:1599> */
obj_t BGl_zc3anonymousza31599ze3z83zzheap_restorez00(obj_t BgL_envz00_937)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
{ /* Heap/restore.scm 55 */
obj_t BgL_armed1552z00_938;
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1170;
BgL_auxz00_1170 = 
(int)(((long)0)); 
BgL_armed1552z00_938 = 
PROCEDURE_REF(BgL_envz00_937, BgL_auxz00_1170); } 
{ 

{ /* Heap/restore.scm 55 */
bool_t BgL_testz00_1173;
{ /* Heap/restore.scm 55 */
obj_t BgL_auxz00_1174;
BgL_auxz00_1174 = 
CELL_REF(BgL_armed1552z00_938); 
BgL_testz00_1173 = 
CBOOL(BgL_auxz00_1174); } 
if(BgL_testz00_1173)
{ /* Heap/restore.scm 55 */
CELL_SET(BgL_armed1552z00_938, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Heap/restore.scm 55 */
return BFALSE;} } } } } 
}



/* body1551 */
obj_t BGl_body1551z00zzheap_restorez00(obj_t BgL_envz00_940)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
{ /* Heap/restore.scm 55 */
obj_t BgL_portz00_941;
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1177;
BgL_auxz00_1177 = 
(int)(((long)0)); 
BgL_portz00_941 = 
PROCEDURE_REF(BgL_envz00_940, BgL_auxz00_1177); } 
{ 

{ /* Heap/restore.scm 55 */
bool_t BgL_auxz00_1180;
{ /* Heap/restore.scm 55 */
obj_t BgL_envsz00_470;
BgL_envsz00_470 = 
input_obj(BgL_portz00_941); 
{ /* Heap/restore.scm 55 */
obj_t BgL_dummyz00_471;
{ /* Heap/restore.scm 56 */
bool_t BgL_test1612z00_487;
if(
VECTORP(BgL_envsz00_470))
{ /* Heap/restore.scm 57 */
int BgL_arg1614z00_489;
BgL_arg1614z00_489 = 
VECTOR_LENGTH(BgL_envsz00_470); 
{ /* Heap/restore.scm 57 */
long BgL_auxz00_1185;
BgL_auxz00_1185 = 
(long)(BgL_arg1614z00_489); 
BgL_test1612z00_487 = 
(BgL_auxz00_1185==((long)3)); } }  else 
{ /* Heap/restore.scm 56 */
BgL_test1612z00_487 = ((bool_t)0); } 
if(BgL_test1612z00_487)
{ /* Heap/restore.scm 56 */
BgL_dummyz00_471 = BFALSE; }  else 
{ /* Heap/restore.scm 58 */
obj_t BgL_procz00_724;
BgL_procz00_724 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
FAILURE(BgL_procz00_724,BGl_string1697z00zzheap_restorez00,BgL_envsz00_470);} } 
{ /* Heap/restore.scm 56 */
obj_t BgL_targetz00_472;
{ /* Heap/restore.scm 61 */
int BgL_kz00_728;
BgL_kz00_728 = 
(int)(((long)0)); 
BgL_targetz00_472 = 
VECTOR_REF(BgL_envsz00_470,BgL_kz00_728); } 
{ /* Heap/restore.scm 61 */
obj_t BgL_genvz00_473;
{ /* Heap/restore.scm 62 */
int BgL_kz00_730;
BgL_kz00_730 = 
(int)(((long)1)); 
BgL_genvz00_473 = 
VECTOR_REF(BgL_envsz00_470,BgL_kz00_730); } 
{ /* Heap/restore.scm 62 */
obj_t BgL_tenvz00_474;
{ /* Heap/restore.scm 63 */
int BgL_kz00_732;
BgL_kz00_732 = 
(int)(((long)2)); 
BgL_tenvz00_474 = 
VECTOR_REF(BgL_envsz00_470,BgL_kz00_732); } 
{ /* Heap/restore.scm 63 */

{ /* Heap/restore.scm 65 */
bool_t BgL_test1602z00_475;
BgL_test1602z00_475 = 
(BgL_targetz00_472==BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
if(BgL_test1602z00_475)
{ /* Heap/restore.scm 65 */((bool_t)0); }  else 
{ /* Heap/restore.scm 66 */
obj_t BgL_arg1604z00_477;
BgL_arg1604z00_477 = 
MAKE_PAIR(BgL_targetz00_472, BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
{ /* Heap/restore.scm 66 */
obj_t BgL_procz00_733;
BgL_procz00_733 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
FAILURE(BgL_procz00_733,BGl_string1698z00zzheap_restorez00,BgL_arg1604z00_477);} } } 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_941); 
BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_473); 
BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_474); 
{ /* Heap/restore.scm 75 */
bool_t BgL_test1605z00_478;
if(
CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
{ /* Heap/restore.scm 75 */
BgL_test1605z00_478 = ((bool_t)0); }  else 
{ /* Heap/restore.scm 76 */
bool_t BgL_test1606z00_479;
{ /* Heap/restore.scm 76 */
obj_t BgL_auxz00_1205;
BgL_auxz00_1205 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1606z00_479 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_1205); } 
if(BgL_test1606z00_479)
{ /* Heap/restore.scm 76 */
BgL_test1605z00_478 = ((bool_t)0); }  else 
{ /* Heap/restore.scm 76 */
BgL_test1605z00_478 = ((bool_t)1); } } 
if(BgL_test1605z00_478)
{ /* Heap/restore.scm 75 */
BGl_unbindzd2callzf2ccz12z32zzheap_restorez00(); }  else 
{ /* Heap/restore.scm 75 */BFALSE; } } 
{ /* Heap/restore.scm 80 */
bool_t BgL_test1607z00_480;
{ /* Heap/restore.scm 80 */
obj_t BgL_auxz00_1211;
BgL_auxz00_1211 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1607z00_480 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_1211); } 
if(BgL_test1607z00_480)
{ /* Heap/restore.scm 80 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1699z00zzheap_restorez00); }  else 
{ /* Heap/restore.scm 80 */BFALSE; } } 
BgL_auxz00_1180 = ((bool_t)1); } } } } } } 
return 
BBOOL(BgL_auxz00_1180);} } } } 
}



/* <anonymous:1598> */
obj_t BGl_zc3anonymousza31598ze3z83zzheap_restorez00(obj_t BgL_envz00_942)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
{ /* Heap/restore.scm 55 */
obj_t BgL_rhandler1550z00_946;obj_t BgL_escapez00_947;
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1217;
BgL_auxz00_1217 = 
(int)(((long)3)); 
BgL_rhandler1550z00_946 = 
PROCEDURE_REF(BgL_envz00_942, BgL_auxz00_1217); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1220;
BgL_auxz00_1220 = 
(int)(((long)4)); 
BgL_escapez00_947 = 
PROCEDURE_REF(BgL_envz00_942, BgL_auxz00_1220); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler1550z00_946, BgL_escapez00_947);} } } 
}



/* escape */
obj_t BGl_escapez00zzheap_restorez00(obj_t BgL_envz00_948, obj_t BgL_val1555z00_950)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
{ /* Heap/restore.scm 55 */
obj_t BgL_an_exitd1554z00_949;
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1224;
BgL_auxz00_1224 = 
(int)(((long)0)); 
BgL_an_exitd1554z00_949 = 
PROCEDURE_REF(BgL_envz00_948, BgL_auxz00_1224); } 
{ 
obj_t BgL_val1555z00_455;
BgL_val1555z00_455 = BgL_val1555z00_950; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1554z00_949, BgL_val1555z00_455);} } } 
}



/* rhandler1550 */
obj_t BGl_rhandler1550z00zzheap_restorez00(obj_t BgL_envz00_951, obj_t BgL_escz00_954, obj_t BgL_objz00_955, obj_t BgL_procz00_956, obj_t BgL_msgz00_957)
{ AN_OBJECT;
{ /* Heap/restore.scm 55 */
{ /* Heap/restore.scm 55 */
obj_t BgL_armed1552z00_952;obj_t BgL_handler1549z00_953;
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1228;
BgL_auxz00_1228 = 
(int)(((long)0)); 
BgL_armed1552z00_952 = 
PROCEDURE_REF(BgL_envz00_951, BgL_auxz00_1228); } 
{ /* Heap/restore.scm 55 */
int BgL_auxz00_1231;
BgL_auxz00_1231 = 
(int)(((long)1)); 
BgL_handler1549z00_953 = 
PROCEDURE_REF(BgL_envz00_951, BgL_auxz00_1231); } 
{ 
obj_t BgL_escz00_464;obj_t BgL_objz00_465;obj_t BgL_procz00_466;obj_t BgL_msgz00_467;
BgL_escz00_464 = BgL_escz00_954; 
BgL_objz00_465 = BgL_objz00_955; 
BgL_procz00_466 = BgL_procz00_956; 
BgL_msgz00_467 = BgL_msgz00_957; 
CELL_SET(BgL_armed1552z00_952, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Heap/restore.scm 55 */
obj_t BgL_auxz00_1236;
BgL_auxz00_1236 = 
CELL_REF(BgL_handler1549z00_953); 
return 
PROCEDURE_ENTRY(BgL_auxz00_1236)(
CELL_REF(BgL_handler1549z00_953), BgL_escz00_464, BgL_objz00_465, BgL_procz00_466, BgL_msgz00_467, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzheap_restorez00(obj_t BgL_envz00_959, obj_t BgL_escapez00_961, obj_t BgL_procz00_962, obj_t BgL_mesz00_963, obj_t BgL_objz00_964)
{ AN_OBJECT;
{ /* Heap/restore.scm 40 */
{ /* Heap/restore.scm 41 */
obj_t BgL_portz00_960;
{ /* Heap/restore.scm 41 */
int BgL_auxz00_1237;
BgL_auxz00_1237 = 
(int)(((long)0)); 
BgL_portz00_960 = 
PROCEDURE_REF(BgL_envz00_959, BgL_auxz00_1237); } 
{ 
obj_t BgL_escapez00_495;obj_t BgL_procz00_496;obj_t BgL_mesz00_497;obj_t BgL_objz00_498;
BgL_escapez00_495 = BgL_escapez00_961; 
BgL_procz00_496 = BgL_procz00_962; 
BgL_mesz00_497 = BgL_mesz00_963; 
BgL_objz00_498 = BgL_objz00_964; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_496, BgL_mesz00_497, BgL_objz00_498); 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_960); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-5)));} } } 
}



/* <anonymous:1609> */
obj_t BGl_zc3anonymousza31609ze3z83zzheap_restorez00(obj_t BgL_envz00_965, obj_t BgL_newz00_966)
{ AN_OBJECT;
{ /* Heap/restore.scm 82 */
{ 
obj_t BgL_newz00_482;
BgL_newz00_482 = BgL_newz00_966; 
{ /* Heap/restore.scm 84 */
obj_t BgL_auxz00_1247;obj_t BgL_auxz00_1244;
{ /* Heap/restore.scm 85 */
BgL_globalz00_bglt BgL_obj1191z00_739;
BgL_obj1191z00_739 = 
(BgL_globalz00_bglt)(BgL_newz00_482); 
BgL_auxz00_1247 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1191z00_739))->BgL_jvmzd2typezd2namez00); } 
{ /* Heap/restore.scm 84 */
BgL_globalz00_bglt BgL_obj1170z00_738;
BgL_obj1170z00_738 = 
(BgL_globalz00_bglt)(BgL_newz00_482); 
BgL_auxz00_1244 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_738))->BgL_modulez00); } 
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_auxz00_1244, BgL_auxz00_1247);} } } 
}



/* unbind-call/cc! */
obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 99 */
{ /* Heap/restore.scm 100 */
bool_t BgL_test1622z00_503;
{ /* Heap/restore.scm 100 */
obj_t BgL_auxz00_1251;
BgL_auxz00_1251 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3))); 
BgL_test1622z00_503 = 
CBOOL(BgL_auxz00_1251); } 
if(BgL_test1622z00_503)
{ /* Heap/restore.scm 100 */
BGl_unbindzd2globalz12zc0zzast_envz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3))); }  else 
{ /* Heap/restore.scm 100 */BFALSE; } } 
{ /* Heap/restore.scm 102 */
bool_t BgL_test1623z00_504;
{ /* Heap/restore.scm 102 */
obj_t BgL_auxz00_1260;
BgL_auxz00_1260 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)3))); 
BgL_test1623z00_504 = 
CBOOL(BgL_auxz00_1260); } 
if(BgL_test1623z00_504)
{ /* Heap/restore.scm 102 */
return 
BGl_unbindzd2globalz12zc0zzast_envz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)3)));}  else 
{ /* Heap/restore.scm 102 */
return BFALSE;} } } 
}



/* restore-additional-heaps */
obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 110 */
{ /* Heap/restore.scm 111 */
bool_t BgL_test1624z00_505;
{ /* Heap/restore.scm 111 */
obj_t BgL_objz00_746;
BgL_objz00_746 = BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00; 
BgL_test1624z00_505 = 
PAIRP(BgL_objz00_746); } 
if(BgL_test1624z00_505)
{ /* Heap/restore.scm 111 */
{ /* Heap/restore.scm 113 */
obj_t BgL_list1625z00_506;
{ /* Heap/restore.scm 113 */
obj_t BgL_arg1627z00_508;
{ /* Heap/restore.scm 113 */
obj_t BgL_arg1629z00_510;
{ /* Heap/restore.scm 113 */
obj_t BgL_auxz00_1271;
BgL_auxz00_1271 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1629z00_510 = 
MAKE_PAIR(BgL_auxz00_1271, BNIL); } 
BgL_arg1627z00_508 = 
MAKE_PAIR(BGl_string1700z00zzheap_restorez00, BgL_arg1629z00_510); } 
BgL_list1625z00_506 = 
MAKE_PAIR(BGl_string1690z00zzheap_restorez00, BgL_arg1627z00_508); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1625z00_506); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1700z00zzheap_restorez00; 
{ 
obj_t BgL_hooksz00_511;obj_t BgL_hnamesz00_512;
BgL_hooksz00_511 = BNIL; 
BgL_hnamesz00_512 = BNIL; 
BgL_loopz00_513:
if(
NULLP(BgL_hooksz00_511))
{ /* Heap/restore.scm 113 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Heap/restore.scm 113 */
bool_t BgL_test1634z00_518;
{ /* Heap/restore.scm 113 */
obj_t BgL_fun1640z00_524;
BgL_fun1640z00_524 = 
CAR(BgL_hooksz00_511); 
{ /* Heap/restore.scm 113 */
obj_t BgL_auxz00_1283;
BgL_auxz00_1283 = 
PROCEDURE_ENTRY(BgL_fun1640z00_524)(BgL_fun1640z00_524, BEOA); 
BgL_test1634z00_518 = 
CBOOL(BgL_auxz00_1283); } } 
if(BgL_test1634z00_518)
{ /* Heap/restore.scm 113 */
{ 
obj_t BgL_hnamesz00_1290;obj_t BgL_hooksz00_1288;
BgL_hooksz00_1288 = 
CDR(BgL_hooksz00_511); 
BgL_hnamesz00_1290 = 
CDR(BgL_hnamesz00_512); 
BgL_hnamesz00_512 = BgL_hnamesz00_1290; 
BgL_hooksz00_511 = BgL_hooksz00_1288; 
goto BgL_loopz00_513;} }  else 
{ /* Heap/restore.scm 113 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1700z00zzheap_restorez00, BGl_string1691z00zzheap_restorez00, 
CAR(BgL_hnamesz00_512)); } } } 
{ 
obj_t BgL_l1557z00_525;
{ /* Heap/restore.scm 115 */
obj_t BgL_arg1641z00_527;
BgL_arg1641z00_527 = 
bgl_reverse(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00); 
{ /* Heap/restore.scm 114 */
bool_t BgL_auxz00_1295;
BgL_l1557z00_525 = BgL_arg1641z00_527; 
BgL_lname1558z00_526:
if(
PAIRP(BgL_l1557z00_525))
{ /* Heap/restore.scm 114 */
BGl_restorezd2additionalzd2heapz00zzheap_restorez00(
CAR(BgL_l1557z00_525)); 
{ 
obj_t BgL_l1557z00_1300;
BgL_l1557z00_1300 = 
CDR(BgL_l1557z00_525); 
BgL_l1557z00_525 = BgL_l1557z00_1300; 
goto BgL_lname1558z00_526;} }  else 
{ /* Heap/restore.scm 114 */
BgL_auxz00_1295 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_1295);} } } }  else 
{ /* Heap/restore.scm 111 */
return BFALSE;} } } 
}



/* _restore-additional-heaps */
obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t BgL_envz00_969)
{ AN_OBJECT;
{ /* Heap/restore.scm 110 */
return 
BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();} 
}



/* restore-additional-heap */
obj_t BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_1)
{ AN_OBJECT;
{ /* Heap/restore.scm 120 */
{ /* Heap/restore.scm 121 */
obj_t BgL_fnamez00_531;
BgL_fnamez00_531 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_1, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
if(
STRINGP(BgL_fnamez00_531))
{ /* Heap/restore.scm 123 */
obj_t BgL_portz00_533;
BgL_portz00_533 = 
BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_fnamez00_531); 
{ /* Heap/restore.scm 125 */
obj_t BgL_handlerz00_975;
{ 
int BgL_auxz00_1310;int BgL_auxz00_1308;
BgL_auxz00_1310 = 
(int)(((long)1)); 
BgL_auxz00_1308 = 
(int)(((long)4)); 
BgL_handlerz00_975 = 
make_fx_procedure(BGl_handler_1688z00zzheap_restorez00, BgL_auxz00_1308, BgL_auxz00_1310); } 
{ /* Heap/restore.scm 125 */
int BgL_auxz00_1313;
BgL_auxz00_1313 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_975, BgL_auxz00_1313, BgL_portz00_533); } 
{ /* Heap/restore.scm 124 */

if(
BINARY_PORTP(BgL_portz00_533))
{ /* Heap/restore.scm 128 */
{ /* Heap/restore.scm 136 */
obj_t BgL_list1647z00_536;
{ /* Heap/restore.scm 136 */
obj_t BgL_arg1649z00_538;
{ /* Heap/restore.scm 136 */
obj_t BgL_arg1650z00_539;
{ /* Heap/restore.scm 136 */
obj_t BgL_arg1652z00_541;
{ /* Heap/restore.scm 136 */
obj_t BgL_auxz00_1318;
BgL_auxz00_1318 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1652z00_541 = 
MAKE_PAIR(BgL_auxz00_1318, BNIL); } 
BgL_arg1650z00_539 = 
MAKE_PAIR(BGl_string1692z00zzheap_restorez00, BgL_arg1652z00_541); } 
BgL_arg1649z00_538 = 
MAKE_PAIR(BgL_fnamez00_531, BgL_arg1650z00_539); } 
BgL_list1647z00_536 = 
MAKE_PAIR(BGl_string1693z00zzheap_restorez00, BgL_arg1649z00_538); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1647z00_536); } 
{ /* Heap/restore.scm 139 */
obj_t BgL_armed1562z00_542;obj_t BgL_handler1559z00_543;
BgL_armed1562z00_542 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1559z00_543 = 
MAKE_CELL(BUNSPEC); 
{ /* Heap/restore.scm 139 */
obj_t BgL_body1561z00_971;obj_t BgL_rhandler1560z00_973;
{ 
int BgL_auxz00_1328;int BgL_auxz00_1326;
BgL_auxz00_1328 = 
(int)(((long)2)); 
BgL_auxz00_1326 = 
(int)(((long)0)); 
BgL_body1561z00_971 = 
make_fx_procedure(BGl_body1561z00zzheap_restorez00, BgL_auxz00_1326, BgL_auxz00_1328); } 
{ 
int BgL_auxz00_1333;int BgL_auxz00_1331;
BgL_auxz00_1333 = 
(int)(((long)2)); 
BgL_auxz00_1331 = 
(int)(((long)4)); 
BgL_rhandler1560z00_973 = 
make_fx_procedure(BGl_rhandler1560z00zzheap_restorez00, BgL_auxz00_1331, BgL_auxz00_1333); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1336;
BgL_auxz00_1336 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body1561z00_971, BgL_auxz00_1336, BgL_portz00_533); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1339;
BgL_auxz00_1339 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_body1561z00_971, BgL_auxz00_1339, BgL_heapz00_1); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1342;
BgL_auxz00_1342 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler1560z00_973, BgL_auxz00_1342, BgL_armed1562z00_542); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1345;
BgL_auxz00_1345 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_rhandler1560z00_973, BgL_auxz00_1345, BgL_handler1559z00_543); } 
CELL_SET(BgL_handler1559z00_543, BgL_handlerz00_975); 
CELL_SET(BgL_armed1562z00_542, BTRUE); 
return 
BGl_handling_function1653z00zzheap_restorez00(BgL_body1561z00_971, BgL_rhandler1560z00_973, BgL_handler1559z00_543, BgL_armed1562z00_542);} } }  else 
{ /* Heap/restore.scm 128 */
{ /* Heap/restore.scm 130 */
obj_t BgL_arg1668z00_581;
BgL_arg1668z00_581 = 
string_append_3(BGl_string1694z00zzheap_restorez00, BgL_fnamez00_531, BGl_string1695z00zzheap_restorez00); 
{ /* Heap/restore.scm 130 */
obj_t BgL_objectz00_782;
BgL_objectz00_782 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string1701z00zzheap_restorez00,BgL_arg1668z00_581,BgL_objectz00_782);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-6)));} } } }  else 
{ /* Heap/restore.scm 122 */
{ /* Heap/restore.scm 173 */
obj_t BgL_arg1671z00_589;
BgL_arg1671z00_589 = 
string_append_3(BGl_string1694z00zzheap_restorez00, BgL_heapz00_1, BGl_string1695z00zzheap_restorez00); 
{ /* Heap/restore.scm 173 */
obj_t BgL_objectz00_785;
BgL_objectz00_785 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string1701z00zzheap_restorez00,BgL_arg1671z00_589,BgL_objectz00_785);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-6)));} } } 
}



/* handling_function1653 */
obj_t BGl_handling_function1653z00zzheap_restorez00(obj_t BgL_body1561z00_1010, obj_t BgL_rhandler1560z00_1009, obj_t BgL_handler1559z00_1008, obj_t BgL_armed1562z00_1007)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1564z00_547;
if( SET_EXIT(BgL_an_exit1564z00_547) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1564z00_547 = 
(obj_t)jmpbuf; 
{ /* Heap/restore.scm 139 */

PUSH_EXIT(BgL_an_exit1564z00_547, ((bool_t)1)); 
{ /* Heap/restore.scm 139 */
obj_t BgL_an_exitd1565z00_548;
BgL_an_exitd1565z00_548 = 
BGL_GET_EXITD_TOP(); 
{ /* Heap/restore.scm 139 */
obj_t BgL_escapez00_972;
{ 
int BgL_auxz00_1363;int BgL_auxz00_1361;
BgL_auxz00_1363 = 
(int)(((long)1)); 
BgL_auxz00_1361 = 
(int)(((long)1)); 
BgL_escapez00_972 = 
make_fx_procedure(BGl_escape_1687z00zzheap_restorez00, BgL_auxz00_1361, BgL_auxz00_1363); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1366;
BgL_auxz00_1366 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_972, BgL_auxz00_1366, BgL_an_exitd1565z00_548); } 
{ /* Heap/restore.scm 139 */
obj_t BgL_res1567z00_551;
{ /* Heap/restore.scm 139 */
obj_t BgL_zc3anonymousza31657ze3z83_970;obj_t BgL_zc3anonymousza31656ze3z83_974;
{ 
int BgL_auxz00_1371;int BgL_auxz00_1369;
BgL_auxz00_1371 = 
(int)(((long)1)); 
BgL_auxz00_1369 = 
(int)(((long)0)); 
BgL_zc3anonymousza31657ze3z83_970 = 
make_fx_procedure(BGl_zc3anonymousza31657ze3z83zzheap_restorez00, BgL_auxz00_1369, BgL_auxz00_1371); } 
{ 
int BgL_auxz00_1376;int BgL_auxz00_1374;
BgL_auxz00_1376 = 
(int)(((long)5)); 
BgL_auxz00_1374 = 
(int)(((long)0)); 
BgL_zc3anonymousza31656ze3z83_974 = 
make_fx_procedure(BGl_zc3anonymousza31656ze3z83zzheap_restorez00, BgL_auxz00_1374, BgL_auxz00_1376); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1379;
BgL_auxz00_1379 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31657ze3z83_970, BgL_auxz00_1379, BgL_armed1562z00_1007); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1382;
BgL_auxz00_1382 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31656ze3z83_974, BgL_auxz00_1382, BgL_an_exitd1565z00_548); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1385;
BgL_auxz00_1385 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31656ze3z83_974, BgL_auxz00_1385, BgL_armed1562z00_1007); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1388;
BgL_auxz00_1388 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31656ze3z83_974, BgL_auxz00_1388, BgL_handler1559z00_1008); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1391;
BgL_auxz00_1391 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31656ze3z83_974, BgL_auxz00_1391, BgL_rhandler1560z00_1009); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1394;
BgL_auxz00_1394 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31656ze3z83_974, BgL_auxz00_1394, BgL_escapez00_972); } 
BgL_res1567z00_551 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31656ze3z83_974, BgL_body1561z00_1010, BgL_zc3anonymousza31657ze3z83_970); } 
POP_EXIT(); 
return BgL_res1567z00_551;} } } } 
} } 
}



/* <anonymous:1657> */
obj_t BGl_zc3anonymousza31657ze3z83zzheap_restorez00(obj_t BgL_envz00_976)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
{ /* Heap/restore.scm 139 */
obj_t BgL_armed1562z00_977;
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1399;
BgL_auxz00_1399 = 
(int)(((long)0)); 
BgL_armed1562z00_977 = 
PROCEDURE_REF(BgL_envz00_976, BgL_auxz00_1399); } 
{ 

{ /* Heap/restore.scm 139 */
bool_t BgL_testz00_1402;
{ /* Heap/restore.scm 139 */
obj_t BgL_auxz00_1403;
BgL_auxz00_1403 = 
CELL_REF(BgL_armed1562z00_977); 
BgL_testz00_1402 = 
CBOOL(BgL_auxz00_1403); } 
if(BgL_testz00_1402)
{ /* Heap/restore.scm 139 */
CELL_SET(BgL_armed1562z00_977, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Heap/restore.scm 139 */
return BFALSE;} } } } } 
}



/* body1561 */
obj_t BGl_body1561z00zzheap_restorez00(obj_t BgL_envz00_979)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
{ /* Heap/restore.scm 139 */
obj_t BgL_portz00_980;obj_t BgL_heapz00_981;
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1406;
BgL_auxz00_1406 = 
(int)(((long)0)); 
BgL_portz00_980 = 
PROCEDURE_REF(BgL_envz00_979, BgL_auxz00_1406); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1409;
BgL_auxz00_1409 = 
(int)(((long)1)); 
BgL_heapz00_981 = 
PROCEDURE_REF(BgL_envz00_979, BgL_auxz00_1409); } 
{ 

{ /* Heap/restore.scm 139 */
bool_t BgL_auxz00_1412;
{ /* Heap/restore.scm 139 */
obj_t BgL_envsz00_564;
BgL_envsz00_564 = 
input_obj(BgL_portz00_980); 
{ /* Heap/restore.scm 139 */
obj_t BgL_dummyz00_565;
{ /* Heap/restore.scm 140 */
bool_t BgL_test1663z00_573;
{ /* Heap/restore.scm 140 */
bool_t BgL_test1664z00_574;
{ /* Heap/restore.scm 140 */
obj_t BgL_v1563z00_577;
{ 
int BgL_auxz00_1414;
BgL_auxz00_1414 = 
(int)(((long)1)); 
BgL_v1563z00_577 = 
create_vector(BgL_auxz00_1414); } 
{ /* Heap/restore.scm 140 */
int BgL_kz00_761;
BgL_kz00_761 = 
(int)(((long)0)); 
VECTOR_SET(BgL_v1563z00_577,BgL_kz00_761,BgL_envsz00_564); } 
BgL_test1664z00_574 = ((bool_t)1); } 
if(BgL_test1664z00_574)
{ /* Heap/restore.scm 141 */
int BgL_arg1665z00_575;
BgL_arg1665z00_575 = 
VECTOR_LENGTH(BgL_envsz00_564); 
{ /* Heap/restore.scm 141 */
long BgL_auxz00_1421;
BgL_auxz00_1421 = 
(long)(BgL_arg1665z00_575); 
BgL_test1663z00_573 = 
(BgL_auxz00_1421==((long)4)); } }  else 
{ /* Heap/restore.scm 140 */
BgL_test1663z00_573 = ((bool_t)0); } } 
if(BgL_test1663z00_573)
{ /* Heap/restore.scm 140 */
BgL_dummyz00_565 = BFALSE; }  else 
{ /* Heap/restore.scm 140 */
FAILURE(BgL_heapz00_981,BGl_string1697z00zzheap_restorez00,BgL_envsz00_564);} } 
{ /* Heap/restore.scm 140 */
obj_t BgL_targetz00_566;
{ /* Heap/restore.scm 146 */
int BgL_kz00_770;
BgL_kz00_770 = 
(int)(((long)0)); 
BgL_targetz00_566 = 
VECTOR_REF(BgL_envsz00_564,BgL_kz00_770); } 
{ /* Heap/restore.scm 146 */
obj_t BgL_genvz00_567;
{ /* Heap/restore.scm 147 */
int BgL_kz00_772;
BgL_kz00_772 = 
(int)(((long)1)); 
BgL_genvz00_567 = 
VECTOR_REF(BgL_envsz00_564,BgL_kz00_772); } 
{ /* Heap/restore.scm 147 */
obj_t BgL_tenvz00_568;
{ /* Heap/restore.scm 148 */
int BgL_kz00_774;
BgL_kz00_774 = 
(int)(((long)2)); 
BgL_tenvz00_568 = 
VECTOR_REF(BgL_envsz00_564,BgL_kz00_774); } 
{ /* Heap/restore.scm 148 */
obj_t BgL_includesz00_569;
{ /* Heap/restore.scm 149 */
int BgL_kz00_776;
BgL_kz00_776 = 
(int)(((long)3)); 
BgL_includesz00_569 = 
VECTOR_REF(BgL_envsz00_564,BgL_kz00_776); } 
{ /* Heap/restore.scm 149 */

{ /* Heap/restore.scm 151 */
bool_t BgL_test1660z00_570;
BgL_test1660z00_570 = 
(BgL_targetz00_566==BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
if(BgL_test1660z00_570)
{ /* Heap/restore.scm 151 */((bool_t)0); }  else 
{ /* Heap/restore.scm 152 */
obj_t BgL_arg1662z00_572;
BgL_arg1662z00_572 = 
MAKE_PAIR(BgL_targetz00_566, BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
FAILURE(BgL_heapz00_981,BGl_string1698z00zzheap_restorez00,BgL_arg1662z00_572);} } 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_980); 
BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_568); 
BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_567); 
BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00 = 
bgl_append2(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00, BgL_includesz00_569); 
BgL_auxz00_1412 = ((bool_t)1); } } } } } } } 
return 
BBOOL(BgL_auxz00_1412);} } } } 
}



/* <anonymous:1656> */
obj_t BGl_zc3anonymousza31656ze3z83zzheap_restorez00(obj_t BgL_envz00_982)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
{ /* Heap/restore.scm 139 */
obj_t BgL_rhandler1560z00_986;obj_t BgL_escapez00_987;
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1443;
BgL_auxz00_1443 = 
(int)(((long)3)); 
BgL_rhandler1560z00_986 = 
PROCEDURE_REF(BgL_envz00_982, BgL_auxz00_1443); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1446;
BgL_auxz00_1446 = 
(int)(((long)4)); 
BgL_escapez00_987 = 
PROCEDURE_REF(BgL_envz00_982, BgL_auxz00_1446); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler1560z00_986, BgL_escapez00_987);} } } 
}



/* escape_1687 */
obj_t BGl_escape_1687z00zzheap_restorez00(obj_t BgL_envz00_988, obj_t BgL_val1566z00_990)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
{ /* Heap/restore.scm 139 */
obj_t BgL_an_exitd1565z00_989;
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1450;
BgL_auxz00_1450 = 
(int)(((long)0)); 
BgL_an_exitd1565z00_989 = 
PROCEDURE_REF(BgL_envz00_988, BgL_auxz00_1450); } 
{ 
obj_t BgL_val1566z00_549;
BgL_val1566z00_549 = BgL_val1566z00_990; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1565z00_989, BgL_val1566z00_549);} } } 
}



/* rhandler1560 */
obj_t BGl_rhandler1560z00zzheap_restorez00(obj_t BgL_envz00_991, obj_t BgL_escz00_994, obj_t BgL_objz00_995, obj_t BgL_procz00_996, obj_t BgL_msgz00_997)
{ AN_OBJECT;
{ /* Heap/restore.scm 139 */
{ /* Heap/restore.scm 139 */
obj_t BgL_armed1562z00_992;obj_t BgL_handler1559z00_993;
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1454;
BgL_auxz00_1454 = 
(int)(((long)0)); 
BgL_armed1562z00_992 = 
PROCEDURE_REF(BgL_envz00_991, BgL_auxz00_1454); } 
{ /* Heap/restore.scm 139 */
int BgL_auxz00_1457;
BgL_auxz00_1457 = 
(int)(((long)1)); 
BgL_handler1559z00_993 = 
PROCEDURE_REF(BgL_envz00_991, BgL_auxz00_1457); } 
{ 
obj_t BgL_escz00_558;obj_t BgL_objz00_559;obj_t BgL_procz00_560;obj_t BgL_msgz00_561;
BgL_escz00_558 = BgL_escz00_994; 
BgL_objz00_559 = BgL_objz00_995; 
BgL_procz00_560 = BgL_procz00_996; 
BgL_msgz00_561 = BgL_msgz00_997; 
CELL_SET(BgL_armed1562z00_992, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Heap/restore.scm 139 */
obj_t BgL_auxz00_1462;
BgL_auxz00_1462 = 
CELL_REF(BgL_handler1559z00_993); 
return 
PROCEDURE_ENTRY(BgL_auxz00_1462)(
CELL_REF(BgL_handler1559z00_993), BgL_escz00_558, BgL_objz00_559, BgL_procz00_560, BgL_msgz00_561, BEOA);} } } } 
}



/* handler_1688 */
obj_t BGl_handler_1688z00zzheap_restorez00(obj_t BgL_envz00_999, obj_t BgL_escapez00_1001, obj_t BgL_procz00_1002, obj_t BgL_mesz00_1003, obj_t BgL_objz00_1004)
{ AN_OBJECT;
{ /* Heap/restore.scm 124 */
{ /* Heap/restore.scm 125 */
obj_t BgL_portz00_1000;
{ /* Heap/restore.scm 125 */
int BgL_auxz00_1463;
BgL_auxz00_1463 = 
(int)(((long)0)); 
BgL_portz00_1000 = 
PROCEDURE_REF(BgL_envz00_999, BgL_auxz00_1463); } 
{ 
obj_t BgL_escapez00_582;obj_t BgL_procz00_583;obj_t BgL_mesz00_584;obj_t BgL_objz00_585;
BgL_escapez00_582 = BgL_escapez00_1001; 
BgL_procz00_583 = BgL_procz00_1002; 
BgL_mesz00_584 = BgL_mesz00_1003; 
BgL_objz00_585 = BgL_objz00_1004; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_583, BgL_mesz00_584, BgL_objz00_585); 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_1000); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-6)));} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
{ AN_OBJECT;
{ /* Heap/restore.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)45452), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)44545), "heap_restore"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "heap_restore");} 
}

