/*===========================================================================*/
/*   (Hgen/walk.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl__hgenzd2walkzd2zzhgen_walkz00(obj_t);
static obj_t BGl_methodzd2initzd2zzhgen_walkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzhgen_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzhgen_walkz00();
extern obj_t BGl_hgenzd2walkzd2zzhgen_walkz00();
static obj_t BGl_zc3anonymousza32858ze3z83zzhgen_walkz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_emitzd2classzd2typesz00zzobject_classz00(obj_t);
extern obj_t BGl_za2czd2portza2zd2zzcgen_emitz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_startzd2emissionz12zc0zzcgen_emitz00(obj_t);
extern obj_t BGl_emitzd2headerzd2zzcgen_emitz00();
static obj_t BGl_requirezd2initializa7ationz75zzhgen_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzhgen_walkz00();
extern obj_t BGl_stopzd2emissionz12zc0zzcgen_emitz00();
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_hgenzd2walkzd2envz00zzhgen_walkz00, BgL_bgl__hgenza7d2walkza7d2za7za7hgen_walkza7002932za7, BGl__hgenzd2walkzd2zzhgen_walkz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2925z00zzhgen_walkz00, BgL_bgl_za7c3anonymousza7a32858za7e3za783za7za7hgen_walkza7002933za7, BGl_zc3anonymousza32858ze3z83zzhgen_walkz00, 0L, 0 );
DEFINE_STRING( BGl_string2927z00zzhgen_walkz00, BgL_bgl_string2927za700za7za7hgen_walkza7002934z00, "((lambda () (start-emission! \".h\"))) pass-started ", 50 );
DEFINE_STRING( BGl_string2926z00zzhgen_walkz00, BgL_bgl_string2926za700za7za7hgen_walkza7002935z00, ".h", 2 );
DEFINE_STRING( BGl_string2924z00zzhgen_walkz00, BgL_bgl_string2924za700za7za7hgen_walkza7002936z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2923z00zzhgen_walkz00, BgL_bgl_string2923za700za7za7hgen_walkza7002937z00, "   . ", 5 );
DEFINE_STRING( BGl_string2922z00zzhgen_walkz00, BgL_bgl_string2922za700za7za7hgen_walkza7002938z00, "C headers generation", 20 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long BgL_checksumz00_2394, char * BgL_fromz00_2395)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzhgen_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzhgen_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzhgen_walkz00(); 
BGl_cnstzd2initzd2zzhgen_walkz00(); 
BGl_importedzd2moduleszd2initz00zzhgen_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzhgen_walkz00()
{ AN_OBJECT;
{ /* Hgen/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "hgen_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzhgen_walkz00()
{ AN_OBJECT;
{ /* Hgen/walk.scm 15 */
{ /* Hgen/walk.scm 15 */
obj_t BgL_cportz00_2387;
BgL_cportz00_2387 = 
open_input_string(BGl_string2927z00zzhgen_walkz00); 
{ 
long BgL_iz00_2388;
BgL_iz00_2388 = ((long)1); 
BgL_loopz00_2389:
if(
(BgL_iz00_2388==((long)-1)))
{ /* Hgen/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Hgen/walk.scm 15 */
{ /* Hgen/walk.scm 15 */
obj_t BgL_arg2929z00_2391;
{ /* Hgen/walk.scm 15 */
obj_t BgL_list2930z00_2392;
BgL_list2930z00_2392 = 
MAKE_PAIR(BgL_cportz00_2387, BNIL); 
BgL_arg2929z00_2391 = 
BGl_readz00zz__readerz00(BgL_list2930z00_2392); } 
{ /* Hgen/walk.scm 15 */
int BgL_auxz00_2408;
BgL_auxz00_2408 = 
(int)(BgL_iz00_2388); 
CNST_TABLE_SET(BgL_auxz00_2408, BgL_arg2929z00_2391); } } 
{ 
long BgL_iz00_2411;
{ /* Hgen/walk.scm 15 */
int BgL_auxz00_2412;
{ /* Hgen/walk.scm 15 */
long BgL_auxz00_2413;
BgL_auxz00_2413 = 
(BgL_iz00_2388-((long)1)); 
BgL_auxz00_2412 = 
(int)(BgL_auxz00_2413); } 
BgL_iz00_2411 = 
(long)(BgL_auxz00_2412); } 
BgL_iz00_2388 = BgL_iz00_2411; 
goto BgL_loopz00_2389;} } } } } 
}



/* hgen-walk */
obj_t BGl_hgenzd2walkzd2zzhgen_walkz00()
{ AN_OBJECT;
{ /* Hgen/walk.scm 28 */
{ /* Hgen/walk.scm 29 */
obj_t BgL_list2849z00_1392;
{ /* Hgen/walk.scm 29 */
obj_t BgL_arg2851z00_1394;
{ /* Hgen/walk.scm 29 */
obj_t BgL_arg2853z00_1396;
{ /* Hgen/walk.scm 29 */
obj_t BgL_auxz00_2417;
BgL_auxz00_2417 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2853z00_1396 = 
MAKE_PAIR(BgL_auxz00_2417, BNIL); } 
BgL_arg2851z00_1394 = 
MAKE_PAIR(BGl_string2922z00zzhgen_walkz00, BgL_arg2853z00_1396); } 
BgL_list2849z00_1392 = 
MAKE_PAIR(BGl_string2923z00zzhgen_walkz00, BgL_arg2851z00_1394); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2849z00_1392); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2922z00zzhgen_walkz00; 
{ 
obj_t BgL_hooksz00_1397;obj_t BgL_hnamesz00_1398;
{ /* Hgen/walk.scm 29 */
obj_t BgL_arg2854z00_1400;obj_t BgL_arg2855z00_1401;
{ /* Hgen/walk.scm 29 */
obj_t BgL_list2857z00_1403;
BgL_list2857z00_1403 = 
MAKE_PAIR(BGl_proc2925z00zzhgen_walkz00, BNIL); 
BgL_arg2854z00_1400 = BgL_list2857z00_1403; } 
BgL_arg2855z00_1401 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_1397 = BgL_arg2854z00_1400; 
BgL_hnamesz00_1398 = BgL_arg2855z00_1401; 
BgL_loopz00_1399:
if(
NULLP(BgL_hooksz00_1397))
{ /* Hgen/walk.scm 29 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Hgen/walk.scm 29 */
bool_t BgL_test2860z00_1407;
{ /* Hgen/walk.scm 29 */
obj_t BgL_fun2866z00_1413;
BgL_fun2866z00_1413 = 
CAR(BgL_hooksz00_1397); 
{ /* Hgen/walk.scm 29 */
obj_t BgL_auxz00_2431;
BgL_auxz00_2431 = 
PROCEDURE_ENTRY(BgL_fun2866z00_1413)(BgL_fun2866z00_1413, BEOA); 
BgL_test2860z00_1407 = 
CBOOL(BgL_auxz00_2431); } } 
if(BgL_test2860z00_1407)
{ /* Hgen/walk.scm 29 */
{ 
obj_t BgL_hnamesz00_2438;obj_t BgL_hooksz00_2436;
BgL_hooksz00_2436 = 
CDR(BgL_hooksz00_1397); 
BgL_hnamesz00_2438 = 
CDR(BgL_hnamesz00_1398); 
BgL_hnamesz00_1398 = BgL_hnamesz00_2438; 
BgL_hooksz00_1397 = BgL_hooksz00_2436; 
goto BgL_loopz00_1399;} }  else 
{ /* Hgen/walk.scm 29 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2922z00zzhgen_walkz00, BGl_string2924z00zzhgen_walkz00, 
CAR(BgL_hnamesz00_1398)); } } } } 
BGl_emitzd2headerzd2zzcgen_emitz00(); 
BGl_emitzd2classzd2typesz00zzobject_classz00(BGl_za2czd2portza2zd2zzcgen_emitz00); 
return 
BGl_stopzd2emissionz12zc0zzcgen_emitz00();} 
}



/* _hgen-walk */
obj_t BGl__hgenzd2walkzd2zzhgen_walkz00(obj_t BgL_envz00_2385)
{ AN_OBJECT;
{ /* Hgen/walk.scm 28 */
return 
BGl_hgenzd2walkzd2zzhgen_walkz00();} 
}



/* <anonymous:2858> */
obj_t BGl_zc3anonymousza32858ze3z83zzhgen_walkz00(obj_t BgL_envz00_2386)
{ AN_OBJECT;
{ /* Hgen/walk.scm 29 */
{ 

return 
BGl_startzd2emissionz12zc0zzcgen_emitz00(BGl_string2926z00zzhgen_walkz00);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzhgen_walkz00()
{ AN_OBJECT;
{ /* Hgen/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzhgen_walkz00()
{ AN_OBJECT;
{ /* Hgen/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "hgen_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "hgen_walk"); 
return 
BGl_modulezd2initializa7ationz75zzcgen_emitz00(((long)19719), "hgen_walk");} 
}

