/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;


extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzinline_simplez00();
static obj_t BGl__inlinezd2appzd2simplez00zzinline_simplez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern bool_t BGl_zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t, BgL_nodez00_bglt);
extern BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
extern obj_t BGl_isfunz00zzinline_inlinez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
extern bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00, BgL_bgl__inlineza7d2appza7d2simpleza700za7za7inline_simpleza7002894z00, BGl__inlinezd2appzd2simplez00zzinline_simplez00, 0L, 4 );
DEFINE_STRING( BGl_string2889z00zzinline_simplez00, BgL_bgl_string2889za700za7za7inline_simpleza7002895z00, "res (sifun sgfun) read ", 23 );
DEFINE_STRING( BGl_string2888z00zzinline_simplez00, BgL_bgl_string2888za700za7za7inline_simpleza7002896z00, "         ", 9 );
DEFINE_STRING( BGl_string2887z00zzinline_simplez00, BgL_bgl_string2887za700za7za7inline_simpleza7002897z00, " --> ", 5 );
DEFINE_STRING( BGl_string2886z00zzinline_simplez00, BgL_bgl_string2886za700za7za7inline_simpleza7002898z00, " (", 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long BgL_checksumz00_2511, char * BgL_fromz00_2512)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
{ 
BGl_requirezd2initializa7ationz75zzinline_simplez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_simplez00(); 
BGl_cnstzd2initzd2zzinline_simplez00(); 
BGl_importedzd2moduleszd2initz00zzinline_simplez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
{ AN_OBJECT;
{ /* Inline/simple.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "inline_simple"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_simplez00()
{ AN_OBJECT;
{ /* Inline/simple.scm 15 */
{ /* Inline/simple.scm 15 */
obj_t BgL_cportz00_2504;
BgL_cportz00_2504 = 
open_input_string(BGl_string2889z00zzinline_simplez00); 
{ 
long BgL_iz00_2505;
BgL_iz00_2505 = ((long)2); 
BgL_loopz00_2506:
if(
(BgL_iz00_2505==((long)-1)))
{ /* Inline/simple.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/simple.scm 15 */
{ /* Inline/simple.scm 15 */
obj_t BgL_arg2891z00_2508;
{ /* Inline/simple.scm 15 */
obj_t BgL_list2892z00_2509;
BgL_list2892z00_2509 = 
MAKE_PAIR(BgL_cportz00_2504, BNIL); 
BgL_arg2891z00_2508 = 
BGl_readz00zz__readerz00(BgL_list2892z00_2509); } 
{ /* Inline/simple.scm 15 */
int BgL_auxz00_2529;
BgL_auxz00_2529 = 
(int)(BgL_iz00_2505); 
CNST_TABLE_SET(BgL_auxz00_2529, BgL_arg2891z00_2508); } } 
{ 
long BgL_iz00_2532;
{ /* Inline/simple.scm 15 */
int BgL_auxz00_2533;
{ /* Inline/simple.scm 15 */
long BgL_auxz00_2534;
BgL_auxz00_2534 = 
(BgL_iz00_2505-((long)1)); 
BgL_auxz00_2533 = 
(int)(BgL_auxz00_2534); } 
BgL_iz00_2532 = 
(long)(BgL_auxz00_2533); } 
BgL_iz00_2505 = BgL_iz00_2532; 
goto BgL_loopz00_2506;} } } } } 
}



/* inline-app-simple */
BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3, obj_t BgL_msgz00_4)
{ AN_OBJECT;
{ /* Inline/simple.scm 42 */
{ /* Inline/simple.scm 45 */
BgL_variablez00_bglt BgL_calleez00_1282;
{ /* Inline/simple.scm 45 */
BgL_varz00_bglt BgL_arg2815z00_1392;
{ /* Inline/simple.scm 45 */
BgL_appz00_bglt BgL_obj1722z00_1787;
BgL_obj1722z00_1787 = 
(BgL_appz00_bglt)(BgL_nodez00_1); 
BgL_arg2815z00_1392 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_1787))->BgL_funz00); } 
BgL_calleez00_1282 = 
(((BgL_varz00_bglt)CREF(BgL_arg2815z00_1392))->BgL_variablez00); } 
{ /* Inline/simple.scm 45 */
BgL_valuez00_bglt BgL_sfunz00_1283;
BgL_sfunz00_1283 = 
(((BgL_variablez00_bglt)CREF(BgL_calleez00_1282))->BgL_valuez00); 
{ /* Inline/simple.scm 46 */
obj_t BgL_formalsz00_1284;
{ /* Inline/simple.scm 47 */
BgL_sfunz00_bglt BgL_obj1369z00_1790;
BgL_obj1369z00_1790 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1283); 
BgL_formalsz00_1284 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1790))->BgL_argsz00); } 
{ /* Inline/simple.scm 47 */
obj_t BgL_actualsz00_1285;
{ /* Inline/simple.scm 48 */
BgL_appz00_bglt BgL_obj1725z00_1791;
BgL_obj1725z00_1791 = 
(BgL_appz00_bglt)(BgL_nodez00_1); 
BgL_actualsz00_1285 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_1791))->BgL_argsz00); } 
{ /* Inline/simple.scm 48 */
obj_t BgL_reductorsz00_1286;
if(
NULLP(BgL_formalsz00_1284))
{ /* Inline/simple.scm 49 */
BgL_reductorsz00_1286 = BNIL; }  else 
{ /* Inline/simple.scm 49 */
obj_t BgL_head2723z00_1371;
BgL_head2723z00_1371 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2721z00_1372;obj_t BgL_ll2722z00_1373;obj_t BgL_tail2724z00_1374;
BgL_ll2721z00_1372 = BgL_formalsz00_1284; 
BgL_ll2722z00_1373 = BgL_actualsz00_1285; 
BgL_tail2724z00_1374 = BgL_head2723z00_1371; 
BgL_lname2726z00_1375:
if(
NULLP(BgL_ll2721z00_1372))
{ /* Inline/simple.scm 49 */
BgL_reductorsz00_1286 = 
CDR(BgL_head2723z00_1371); }  else 
{ /* Inline/simple.scm 50 */
obj_t BgL_newtail2725z00_1377;
{ /* Inline/simple.scm 50 */
obj_t BgL_arg2807z00_1380;
{ /* Inline/simple.scm 50 */
obj_t BgL_fz00_1382;obj_t BgL_az00_1383;
BgL_fz00_1382 = 
CAR(BgL_ll2721z00_1372); 
BgL_az00_1383 = 
CAR(BgL_ll2722z00_1373); 
{ /* Inline/simple.scm 50 */
bool_t BgL_test2809z00_1384;
{ /* Inline/simple.scm 50 */
bool_t BgL_test2812z00_1389;
BgL_test2812z00_1389 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1383, BGl_closurez00zzast_nodez00); 
if(BgL_test2812z00_1389)
{ /* Inline/simple.scm 51 */
obj_t BgL_auxz00_2559;obj_t BgL_auxz00_2556;
BgL_auxz00_2559 = 
CNST_TABLE_REF(((long)0)); 
{ /* Inline/simple.scm 51 */
BgL_localz00_bglt BgL_obj1258z00_1800;
BgL_obj1258z00_1800 = 
(BgL_localz00_bglt)(BgL_fz00_1382); 
BgL_auxz00_2556 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_1800))->BgL_accessz00); } 
BgL_test2809z00_1384 = 
(BgL_auxz00_2556==BgL_auxz00_2559); }  else 
{ /* Inline/simple.scm 50 */
BgL_test2809z00_1384 = ((bool_t)0); } } 
if(BgL_test2809z00_1384)
{ /* Inline/simple.scm 56 */
BgL_closurez00_bglt BgL_obj1641z00_1801;
BgL_obj1641z00_1801 = 
(BgL_closurez00_bglt)(BgL_az00_1383); 
{ /* Inline/simple.scm 56 */
BgL_variablez00_bglt BgL_auxz00_2564;
BgL_auxz00_2564 = 
(((BgL_closurez00_bglt)CREF(BgL_obj1641z00_1801))->BgL_variablez00); 
BgL_arg2807z00_1380 = 
(obj_t)(BgL_auxz00_2564); } }  else 
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_arg2810z00_1385;
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_duplicated2727z00_1386;
{ /* Inline/simple.scm 59 */
BgL_localz00_bglt BgL_obj1255z00_1802;
BgL_obj1255z00_1802 = 
(BgL_localz00_bglt)(BgL_fz00_1382); 
{ /* Inline/simple.scm 59 */
BgL_valuez00_bglt BgL_auxz00_2568;
BgL_auxz00_2568 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1802))->BgL_valuez00); 
BgL_duplicated2727z00_1386 = 
(BgL_svarz00_bglt)(BgL_auxz00_2568); } } 
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_new2728z00_1387;
{ /* Inline/simple.scm 59 */
obj_t BgL_arg2811z00_1388;
BgL_arg2811z00_1388 = 
(((BgL_svarz00_bglt)CREF(BgL_duplicated2727z00_1386))->BgL_locz00); 
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_res2866z00_1816;
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_new1495z00_1805;
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_res2864z00_1811;
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_new1497z00_1806;
BgL_new1497z00_1806 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Inline/simple.scm 59 */
long BgL_arg2855z00_1807;
BgL_arg2855z00_1807 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Inline/simple.scm 59 */
BgL_objectz00_bglt BgL_auxz00_2574;
BgL_auxz00_2574 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1806); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2574, BgL_arg2855z00_1807); } } 
{ /* Inline/simple.scm 59 */
BgL_objectz00_bglt BgL_auxz00_2577;
BgL_auxz00_2577 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1806); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2577, BFALSE); } 
{ /* Inline/simple.scm 59 */
obj_t BgL_auxz00_2580;
BgL_auxz00_2580 = 
(obj_t)(BgL_new1497z00_1806); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2580); } BUNSPEC; 
BgL_res2864z00_1811 = BgL_new1497z00_1806; } 
BgL_new1495z00_1805 = BgL_res2864z00_1811; } 
{ /* Inline/simple.scm 59 */
BgL_svarz00_bglt BgL_res2865z00_1815;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_1805))->BgL_locz00) = ((obj_t)BgL_arg2811z00_1388), BUNSPEC); 
BgL_res2865z00_1815 = BgL_new1495z00_1805; BgL_res2865z00_1815; } 
BgL_res2866z00_1816 = BgL_new1495z00_1805; } 
BgL_new2728z00_1387 = BgL_res2866z00_1816; } } 
{ /* Inline/simple.scm 59 */

BgL_arg2810z00_1385 = BgL_new2728z00_1387; } } } 
{ /* Inline/simple.scm 57 */
BgL_localz00_bglt BgL_auxz00_2584;
BgL_auxz00_2584 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_fz00_1382), 
(BgL_valuez00_bglt)(BgL_arg2810z00_1385)); 
BgL_arg2807z00_1380 = 
(obj_t)(BgL_auxz00_2584); } } } } 
BgL_newtail2725z00_1377 = 
MAKE_PAIR(BgL_arg2807z00_1380, BNIL); } 
SET_CDR(BgL_tail2724z00_1374, BgL_newtail2725z00_1377); 
{ 
obj_t BgL_tail2724z00_2595;obj_t BgL_ll2722z00_2593;obj_t BgL_ll2721z00_2591;
BgL_ll2721z00_2591 = 
CDR(BgL_ll2721z00_1372); 
BgL_ll2722z00_2593 = 
CDR(BgL_ll2722z00_1373); 
BgL_tail2724z00_2595 = BgL_newtail2725z00_1377; 
BgL_tail2724z00_1374 = BgL_tail2724z00_2595; 
BgL_ll2722z00_1373 = BgL_ll2722z00_2593; 
BgL_ll2721z00_1372 = BgL_ll2721z00_2591; 
goto BgL_lname2726z00_1375;} } } } 
{ /* Inline/simple.scm 49 */
obj_t BgL_bindingsz00_1287;
{ 
obj_t BgL_reductorsz00_1349;obj_t BgL_actualsz00_1350;obj_t BgL_resz00_1351;
BgL_reductorsz00_1349 = BgL_reductorsz00_1286; 
BgL_actualsz00_1350 = BgL_actualsz00_1285; 
BgL_resz00_1351 = BNIL; 
BgL_loopz00_1352:
if(
NULLP(BgL_actualsz00_1350))
{ /* Inline/simple.scm 66 */
BgL_bindingsz00_1287 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1351); }  else 
{ /* Inline/simple.scm 68 */
bool_t BgL_test2787z00_1354;
{ /* Inline/simple.scm 68 */
bool_t BgL_test2797z00_1363;
BgL_test2797z00_1363 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_actualsz00_1350), BGl_closurez00zzast_nodez00); 
if(BgL_test2797z00_1363)
{ /* Inline/simple.scm 69 */
obj_t BgL_auxz00_2604;obj_t BgL_auxz00_2602;
{ /* Inline/simple.scm 69 */
BgL_variablez00_bglt BgL_auxz00_2605;
{ /* Inline/simple.scm 70 */
BgL_closurez00_bglt BgL_obj1641z00_1828;
{ /* Inline/simple.scm 70 */
obj_t BgL_auxz00_2606;
BgL_auxz00_2606 = 
CAR(BgL_actualsz00_1350); 
BgL_obj1641z00_1828 = 
(BgL_closurez00_bglt)(BgL_auxz00_2606); } 
BgL_auxz00_2605 = 
(((BgL_closurez00_bglt)CREF(BgL_obj1641z00_1828))->BgL_variablez00); } 
BgL_auxz00_2604 = 
(obj_t)(BgL_auxz00_2605); } 
BgL_auxz00_2602 = 
CAR(BgL_reductorsz00_1349); 
BgL_test2787z00_1354 = 
(BgL_auxz00_2602==BgL_auxz00_2604); }  else 
{ /* Inline/simple.scm 68 */
BgL_test2787z00_1354 = ((bool_t)0); } } 
if(BgL_test2787z00_1354)
{ /* Inline/simple.scm 68 */
{ 
obj_t BgL_actualsz00_2615;obj_t BgL_reductorsz00_2613;
BgL_reductorsz00_2613 = 
CDR(BgL_reductorsz00_1349); 
BgL_actualsz00_2615 = 
CDR(BgL_actualsz00_1350); 
BgL_actualsz00_1350 = BgL_actualsz00_2615; 
BgL_reductorsz00_1349 = BgL_reductorsz00_2613; 
goto BgL_loopz00_1352;} }  else 
{ /* Inline/simple.scm 68 */
{ /* Inline/simple.scm 75 */
obj_t BgL_arg2790z00_1357;obj_t BgL_arg2791z00_1358;obj_t BgL_arg2792z00_1359;
BgL_arg2790z00_1357 = 
CDR(BgL_reductorsz00_1349); 
BgL_arg2791z00_1358 = 
CDR(BgL_actualsz00_1350); 
{ /* Inline/simple.scm 77 */
obj_t BgL_arg2793z00_1360;
{ /* Inline/simple.scm 77 */
obj_t BgL_auxz00_2621;obj_t BgL_auxz00_2619;
BgL_auxz00_2621 = 
CAR(BgL_actualsz00_1350); 
BgL_auxz00_2619 = 
CAR(BgL_reductorsz00_1349); 
BgL_arg2793z00_1360 = 
MAKE_PAIR(BgL_auxz00_2619, BgL_auxz00_2621); } 
BgL_arg2792z00_1359 = 
MAKE_PAIR(BgL_arg2793z00_1360, BgL_resz00_1351); } 
{ 
obj_t BgL_resz00_2627;obj_t BgL_actualsz00_2626;obj_t BgL_reductorsz00_2625;
BgL_reductorsz00_2625 = BgL_arg2790z00_1357; 
BgL_actualsz00_2626 = BgL_arg2791z00_1358; 
BgL_resz00_2627 = BgL_arg2792z00_1359; 
BgL_resz00_1351 = BgL_resz00_2627; 
BgL_actualsz00_1350 = BgL_actualsz00_2626; 
BgL_reductorsz00_1349 = BgL_reductorsz00_2625; 
goto BgL_loopz00_1352;} } } } } 
{ /* Inline/simple.scm 62 */
obj_t BgL_bodyz00_1288;
{ /* Inline/simple.scm 80 */
bool_t BgL_test2785z00_1348;
BgL_test2785z00_1348 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_sfunz00_1283), BGl_isfunz00zzinline_inlinez00); 
if(BgL_test2785z00_1348)
{ /* Inline/simple.scm 81 */
BgL_isfunz00_bglt BgL_obj2682z00_1836;
BgL_obj2682z00_1836 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_1283); 
{ /* Inline/simple.scm 81 */
BgL_nodez00_bglt BgL_auxz00_2632;
{ 
obj_t BgL_auxz00_2633;
{ /* Inline/simple.scm 81 */
BgL_objectz00_bglt BgL_auxz00_2634;
BgL_auxz00_2634 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_1836); 
BgL_auxz00_2633 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2634); } 
BgL_auxz00_2632 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_2633))->BgL_originalzd2bodyzd2); } 
BgL_bodyz00_1288 = 
(obj_t)(BgL_auxz00_2632); } }  else 
{ /* Inline/simple.scm 82 */
BgL_sfunz00_bglt BgL_obj1372z00_1837;
BgL_obj1372z00_1837 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1283); 
BgL_bodyz00_1288 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1837))->BgL_bodyz00); } } 
{ /* Inline/simple.scm 83 */
obj_t BgL_newzd2kfactorzd2_1290;
BgL_newzd2kfactorzd2_1290 = 
PROCEDURE_ENTRY(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00, 
BINT(BgL_kfactorz00_2), BEOA); 
{ /* Inline/simple.scm 84 */
obj_t BgL_locz00_1291;
BgL_locz00_1291 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_1))->BgL_locz00); 
{ /* Inline/simple.scm 85 */
BgL_typez00_bglt BgL_typez00_1292;
BgL_typez00_1292 = 
(((BgL_variablez00_bglt)CREF(BgL_calleez00_1282))->BgL_typez00); 
{ /* Inline/simple.scm 86 */

{ /* Inline/simple.scm 88 */
bool_t BgL_testz00_2646;
{ /* Inline/simple.scm 88 */
obj_t BgL_auxz00_2647;
{ /* Inline/simple.scm 88 */
obj_t BgL_auxz00_2648;
{ /* Inline/simple.scm 88 */
BgL_sfunz00_bglt BgL_obj1376z00_1841;
BgL_obj1376z00_1841 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1283); 
BgL_auxz00_2648 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1841))->BgL_classz00); } 
BgL_auxz00_2647 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2648, 
CNST_TABLE_REF(((long)1))); } 
BgL_testz00_2646 = 
CBOOL(BgL_auxz00_2647); } 
if(BgL_testz00_2646)
{ /* Inline/simple.scm 88 */BFALSE; }  else 
{ /* Inline/simple.scm 89 */
bool_t BgL_test2737z00_1295;
BgL_test2737z00_1295 = 
BGl_zc3zd3z10zz__r4_numbers_6_5z00(
BINT(((long)3)), BGl_za2verboseza2z00zzengine_paramz00, BNIL); 
if(BgL_test2737z00_1295)
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2739z00_1297;obj_t BgL_arg2741z00_1299;
BgL_arg2739z00_1297 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_calleez00_1282)); 
BgL_arg2741z00_1299 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* Inline/simple.scm 89 */
obj_t BgL_list2743z00_1301;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2744z00_1302;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2745z00_1303;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2746z00_1304;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2747z00_1305;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2748z00_1306;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2749z00_1307;
{ /* Inline/simple.scm 89 */
obj_t BgL_arg2750z00_1308;
{ /* Inline/simple.scm 89 */
obj_t BgL_auxz00_2660;
BgL_auxz00_2660 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2750z00_1308 = 
MAKE_PAIR(BgL_auxz00_2660, BNIL); } 
{ /* Inline/simple.scm 89 */
obj_t BgL_auxz00_2663;
BgL_auxz00_2663 = 
BCHAR(((unsigned char)')')); 
BgL_arg2749z00_1307 = 
MAKE_PAIR(BgL_auxz00_2663, BgL_arg2750z00_1308); } } 
BgL_arg2748z00_1306 = 
MAKE_PAIR(BgL_msgz00_4, BgL_arg2749z00_1307); } 
BgL_arg2747z00_1305 = 
MAKE_PAIR(BGl_string2886z00zzinline_simplez00, BgL_arg2748z00_1306); } 
BgL_arg2746z00_1304 = 
MAKE_PAIR(BgL_arg2741z00_1299, BgL_arg2747z00_1305); } 
BgL_arg2745z00_1303 = 
MAKE_PAIR(BGl_string2887z00zzinline_simplez00, BgL_arg2746z00_1304); } 
BgL_arg2744z00_1302 = 
MAKE_PAIR(BgL_arg2739z00_1297, BgL_arg2745z00_1303); } 
BgL_list2743z00_1301 = 
MAKE_PAIR(BGl_string2888z00zzinline_simplez00, BgL_arg2744z00_1302); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2743z00_1301); } }  else 
{ /* Inline/simple.scm 89 */BUNSPEC; } } } 
{ /* Inline/simple.scm 100 */
BgL_nodez00_bglt BgL_alphazd2bodyzd2_1312;
BgL_alphazd2bodyzd2_1312 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_formalsz00_1284, BgL_reductorsz00_1286, BgL_locz00_1291, 
(BgL_nodez00_bglt)(BgL_bodyz00_1288)); 
BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_alphazd2bodyzd2_1312); 
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_inlinezd2bodyzd2_1313;
{ /* Inline/simple.scm 105 */
obj_t BgL_arg2777z00_1341;BgL_typez00_bglt BgL_arg2778z00_1342;bool_t BgL_arg2779z00_1343;obj_t BgL_arg2782z00_1345;BgL_nodez00_bglt BgL_arg2783z00_1346;
BgL_arg2777z00_1341 = BgL_locz00_1291; 
BgL_arg2778z00_1342 = BgL_typez00_1292; 
BgL_arg2779z00_1343 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_alphazd2bodyzd2_1312); 
BgL_arg2782z00_1345 = BgL_bindingsz00_1287; 
{ /* Inline/simple.scm 111 */
obj_t BgL_arg2784z00_1347;
{ /* Inline/simple.scm 111 */
obj_t BgL_auxz00_2678;
BgL_auxz00_2678 = 
(obj_t)(BgL_calleez00_1282); 
BgL_arg2784z00_1347 = 
MAKE_PAIR(BgL_auxz00_2678, BgL_stackz00_3); } 
BgL_arg2783z00_1346 = 
BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_alphazd2bodyzd2_1312, 
(long)CINT(BgL_newzd2kfactorzd2_1290), BgL_arg2784z00_1347); } 
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_res2869z00_1872;
{ /* Inline/simple.scm 104 */
obj_t BgL_sidezd2effectzf32493z21_1844;obj_t BgL_key2494z00_1845;
BgL_sidezd2effectzf32493z21_1844 = 
BBOOL(BgL_arg2779z00_1343); 
BgL_key2494z00_1845 = 
BINT(((long)-1)); 
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_new2498z00_1849;
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_res2867z00_1855;
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_new2500z00_1850;
BgL_new2500z00_1850 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Inline/simple.scm 104 */
long BgL_arg2824z00_1851;
BgL_arg2824z00_1851 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Inline/simple.scm 104 */
BgL_objectz00_bglt BgL_auxz00_2687;
BgL_auxz00_2687 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1850); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2687, BgL_arg2824z00_1851); } } 
{ /* Inline/simple.scm 104 */
BgL_objectz00_bglt BgL_auxz00_2690;
BgL_auxz00_2690 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1850); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2690, BFALSE); } 
{ /* Inline/simple.scm 104 */
obj_t BgL_auxz00_2693;
BgL_auxz00_2693 = 
(obj_t)(BgL_new2500z00_1850); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2693); } BUNSPEC; 
BgL_res2867z00_1855 = BgL_new2500z00_1850; } 
BgL_new2498z00_1849 = BgL_res2867z00_1855; } 
{ /* Inline/simple.scm 104 */
BgL_letzd2varzd2_bglt BgL_res2868z00_1871;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_locz00) = ((obj_t)BgL_arg2777z00_1341), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2778z00_1342), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32493z21_1844), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_keyz00) = ((obj_t)BgL_key2494z00_1845), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_bindingsz00) = ((obj_t)BgL_arg2782z00_1345), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2783z00_1346), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1849))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2868z00_1871 = BgL_new2498z00_1849; BgL_res2868z00_1871; } 
BgL_res2869z00_1872 = BgL_new2498z00_1849; } } 
BgL_inlinezd2bodyzd2_1313 = BgL_res2869z00_1872; } } 
{ 
obj_t BgL_ll2731z00_1314;obj_t BgL_ll2732z00_1315;
BgL_ll2731z00_1314 = BgL_bindingsz00_1287; 
BgL_ll2732z00_1315 = BgL_formalsz00_1284; 
BgL_lname2733z00_1316:
if(
NULLP(BgL_ll2731z00_1314))
{ /* Inline/simple.scm 113 */((bool_t)1); }  else 
{ /* Inline/simple.scm 113 */
{ /* Inline/simple.scm 114 */
bool_t BgL_arg2756z00_1321;
{ /* Inline/simple.scm 114 */
BgL_localz00_bglt BgL_obj1270z00_1877;
{ /* Inline/simple.scm 114 */
obj_t BgL_auxz00_2705;
BgL_auxz00_2705 = 
CAR(BgL_ll2732z00_1315); 
BgL_obj1270z00_1877 = 
(BgL_localz00_bglt)(BgL_auxz00_2705); } 
BgL_arg2756z00_1321 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_1877))->BgL_userzf3zf3); } 
{ /* Inline/simple.scm 114 */
BgL_localz00_bglt BgL_obj1272z00_1878;
{ /* Inline/simple.scm 114 */
obj_t BgL_auxz00_2709;
{ /* Inline/simple.scm 114 */
obj_t BgL_auxz00_2710;
BgL_auxz00_2710 = 
CAR(BgL_ll2731z00_1314); 
BgL_auxz00_2709 = 
CAR(BgL_auxz00_2710); } 
BgL_obj1272z00_1878 = 
(BgL_localz00_bglt)(BgL_auxz00_2709); } 
((((BgL_localz00_bglt)CREF(BgL_obj1272z00_1878))->BgL_userzf3zf3) = ((bool_t)BgL_arg2756z00_1321), BUNSPEC); } } 
{ 
obj_t BgL_ll2732z00_2717;obj_t BgL_ll2731z00_2715;
BgL_ll2731z00_2715 = 
CDR(BgL_ll2731z00_1314); 
BgL_ll2732z00_2717 = 
CDR(BgL_ll2732z00_1315); 
BgL_ll2732z00_1315 = BgL_ll2732z00_2717; 
BgL_ll2731z00_1314 = BgL_ll2731z00_2715; 
goto BgL_lname2733z00_1316;} } } 
{ /* Inline/simple.scm 121 */
bool_t BgL_test2759z00_1324;
{ /* Inline/simple.scm 121 */
bool_t BgL_test2773z00_1338;
{ /* Inline/simple.scm 121 */
obj_t BgL_auxz00_2719;
BgL_auxz00_2719 = 
(obj_t)(BgL_typez00_1292); 
BgL_test2773z00_1338 = 
(BgL_auxz00_2719==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2773z00_1338)
{ /* Inline/simple.scm 121 */
BgL_test2759z00_1324 = ((bool_t)1); }  else 
{ /* Inline/simple.scm 122 */
bool_t BgL_test2774z00_1339;
{ /* Inline/simple.scm 122 */
obj_t BgL_auxz00_2723;
BgL_auxz00_2723 = 
(obj_t)(BgL_typez00_1292); 
BgL_test2774z00_1339 = 
(BgL_auxz00_2723==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test2774z00_1339)
{ /* Inline/simple.scm 122 */
BgL_test2759z00_1324 = ((bool_t)1); }  else 
{ /* Inline/simple.scm 123 */
obj_t BgL_auxz00_2729;obj_t BgL_auxz00_2727;
{ /* Inline/simple.scm 123 */
BgL_typez00_bglt BgL_auxz00_2730;
BgL_auxz00_2730 = 
(((BgL_nodez00_bglt)CREF(BgL_alphazd2bodyzd2_1312))->BgL_typez00); 
BgL_auxz00_2729 = 
(obj_t)(BgL_auxz00_2730); } 
BgL_auxz00_2727 = 
(obj_t)(BgL_typez00_1292); 
BgL_test2759z00_1324 = 
(BgL_auxz00_2727==BgL_auxz00_2729); } } } 
if(BgL_test2759z00_1324)
{ /* Inline/simple.scm 121 */
return 
(BgL_nodez00_bglt)(BgL_inlinezd2bodyzd2_1313);}  else 
{ /* Inline/simple.scm 125 */
BgL_localz00_bglt BgL_varz00_1325;
{ /* Inline/simple.scm 125 */
obj_t BgL_arg2772z00_1337;
BgL_arg2772z00_1337 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_varz00_1325 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2772z00_1337, BgL_typez00_1292); } 
{ /* Inline/simple.scm 127 */
obj_t BgL_arg2760z00_1326;BgL_typez00_bglt BgL_arg2761z00_1327;bool_t BgL_arg2762z00_1328;obj_t BgL_arg2764z00_1330;BgL_varz00_bglt BgL_arg2765z00_1331;
BgL_arg2760z00_1326 = BgL_locz00_1291; 
BgL_arg2761z00_1327 = BgL_typez00_1292; 
BgL_arg2762z00_1328 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_inlinezd2bodyzd2_1313)); 
{ /* Inline/simple.scm 130 */
obj_t BgL_arg2766z00_1332;
{ /* Inline/simple.scm 130 */
obj_t BgL_auxz00_2744;obj_t BgL_auxz00_2742;
BgL_auxz00_2744 = 
(obj_t)(BgL_inlinezd2bodyzd2_1313); 
BgL_auxz00_2742 = 
(obj_t)(BgL_varz00_1325); 
BgL_arg2766z00_1332 = 
MAKE_PAIR(BgL_auxz00_2742, BgL_auxz00_2744); } 
{ /* Inline/simple.scm 130 */
obj_t BgL_list2767z00_1333;
BgL_list2767z00_1333 = 
MAKE_PAIR(BgL_arg2766z00_1332, BNIL); 
BgL_arg2764z00_1330 = BgL_list2767z00_1333; } } 
{ /* Inline/simple.scm 132 */
obj_t BgL_arg2768z00_1334;BgL_typez00_bglt BgL_arg2770z00_1335;
BgL_arg2768z00_1334 = BgL_locz00_1291; 
BgL_arg2770z00_1335 = BgL_typez00_1292; 
{ /* Inline/simple.scm 131 */
BgL_varz00_bglt BgL_res2873z00_1903;
{ /* Inline/simple.scm 131 */
BgL_variablez00_bglt BgL_variable1632z00_1887;
{ /* Inline/simple.scm 134 */
BgL_localz00_bglt BgL_auxz00_2748;
BgL_auxz00_2748 = BgL_varz00_1325; 
BgL_variable1632z00_1887 = 
(BgL_variablez00_bglt)(BgL_auxz00_2748); } 
{ /* Inline/simple.scm 131 */
BgL_varz00_bglt BgL_new1633z00_1888;
{ /* Inline/simple.scm 131 */
BgL_varz00_bglt BgL_res2871z00_1894;
{ /* Inline/simple.scm 131 */
BgL_varz00_bglt BgL_new1635z00_1889;
BgL_new1635z00_1889 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Inline/simple.scm 131 */
long BgL_arg2847z00_1890;
BgL_arg2847z00_1890 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Inline/simple.scm 131 */
BgL_objectz00_bglt BgL_auxz00_2752;
BgL_auxz00_2752 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1889); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2752, BgL_arg2847z00_1890); } } 
{ /* Inline/simple.scm 131 */
BgL_objectz00_bglt BgL_auxz00_2755;
BgL_auxz00_2755 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1889); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2755, BFALSE); } 
{ /* Inline/simple.scm 131 */
obj_t BgL_auxz00_2758;
BgL_auxz00_2758 = 
(obj_t)(BgL_new1635z00_1889); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2758); } BUNSPEC; 
BgL_res2871z00_1894 = BgL_new1635z00_1889; } 
BgL_new1633z00_1888 = BgL_res2871z00_1894; } 
{ /* Inline/simple.scm 131 */
BgL_varz00_bglt BgL_res2872z00_1902;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1888))->BgL_locz00) = ((obj_t)BgL_arg2768z00_1334), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1888))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2770z00_1335), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1888))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1887), BUNSPEC); 
BgL_res2872z00_1902 = BgL_new1633z00_1888; BgL_res2872z00_1902; } 
BgL_res2873z00_1903 = BgL_new1633z00_1888; } } 
BgL_arg2765z00_1331 = BgL_res2873z00_1903; } } 
{ /* Inline/simple.scm 126 */
BgL_letzd2varzd2_bglt BgL_res2876z00_1934;
{ /* Inline/simple.scm 126 */
obj_t BgL_sidezd2effectzf32493z21_1906;obj_t BgL_key2494z00_1907;BgL_nodez00_bglt BgL_body2496z00_1909;
BgL_sidezd2effectzf32493z21_1906 = 
BBOOL(BgL_arg2762z00_1328); 
BgL_key2494z00_1907 = 
BINT(((long)-1)); 
BgL_body2496z00_1909 = 
(BgL_nodez00_bglt)(BgL_arg2765z00_1331); 
{ /* Inline/simple.scm 126 */
BgL_letzd2varzd2_bglt BgL_new2498z00_1911;
{ /* Inline/simple.scm 126 */
BgL_letzd2varzd2_bglt BgL_res2874z00_1917;
{ /* Inline/simple.scm 126 */
BgL_letzd2varzd2_bglt BgL_new2500z00_1912;
BgL_new2500z00_1912 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Inline/simple.scm 126 */
long BgL_arg2824z00_1913;
BgL_arg2824z00_1913 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Inline/simple.scm 126 */
BgL_objectz00_bglt BgL_auxz00_2769;
BgL_auxz00_2769 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1912); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2769, BgL_arg2824z00_1913); } } 
{ /* Inline/simple.scm 126 */
BgL_objectz00_bglt BgL_auxz00_2772;
BgL_auxz00_2772 = 
(BgL_objectz00_bglt)(BgL_new2500z00_1912); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2772, BFALSE); } 
{ /* Inline/simple.scm 126 */
obj_t BgL_auxz00_2775;
BgL_auxz00_2775 = 
(obj_t)(BgL_new2500z00_1912); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2775); } BUNSPEC; 
BgL_res2874z00_1917 = BgL_new2500z00_1912; } 
BgL_new2498z00_1911 = BgL_res2874z00_1917; } 
{ /* Inline/simple.scm 126 */
BgL_letzd2varzd2_bglt BgL_res2875z00_1933;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_locz00) = ((obj_t)BgL_arg2760z00_1326), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2761z00_1327), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32493z21_1906), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_keyz00) = ((obj_t)BgL_key2494z00_1907), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_bindingsz00) = ((obj_t)BgL_arg2764z00_1330), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_1909), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_1911))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res2875z00_1933 = BgL_new2498z00_1911; BgL_res2875z00_1933; } 
BgL_res2876z00_1934 = BgL_new2498z00_1911; } } 
return 
(BgL_nodez00_bglt)(BgL_res2876z00_1934);} } } } } } } } } } } } } } } } } } 
}



/* _inline-app-simple */
obj_t BGl__inlinezd2appzd2simplez00zzinline_simplez00(obj_t BgL_envz00_2499, obj_t BgL_nodez00_2500, obj_t BgL_kfactorz00_2501, obj_t BgL_stackz00_2502, obj_t BgL_msgz00_2503)
{ AN_OBJECT;
{ /* Inline/simple.scm 42 */
{ /* Inline/simple.scm 42 */
BgL_nodez00_bglt BgL_auxz00_2786;
BgL_auxz00_2786 = 
BGl_inlinezd2appzd2simplez00zzinline_simplez00(
(BgL_nodez00_bglt)(BgL_nodez00_2500), 
(long)CINT(BgL_kfactorz00_2501), BgL_stackz00_2502, BgL_msgz00_2503); 
return 
(obj_t)(BgL_auxz00_2786);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_simplez00()
{ AN_OBJECT;
{ /* Inline/simple.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
{ AN_OBJECT;
{ /* Inline/simple.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63028), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long)51989), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long)21983), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "inline_simple"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long)61743), "inline_simple");} 
}

