/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_localzf2variantzf2_bgl {
   bool_t BgL_variantz00;
} *BgL_localzf2variantzf2_bglt;


static obj_t BGl_methodzd2initzd2zzinline_variantz00();
static obj_t BGl__localzf2variantzf3z01zzinline_variantz00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2localzf2variant2726z11zzinline_variantz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern BgL_localzf2variantzf2_bglt BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long, bool_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl__shrinkzd2argsz12zc0zzinline_variantz00(obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl__invariantzd2argszd2zzinline_variantz00(obj_t, obj_t, obj_t);
extern BgL_appz00_bglt BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
static obj_t BGl__substitutionsz00zzinline_variantz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
static obj_t BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(BgL_localzf2variantzf2_bglt, bool_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_variantz00();
static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00();
static obj_t BGl__allocatezd2localzf2variantz20zzinline_variantz00(obj_t);
extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__fillzd2localzf2variantz12z32zzinline_variantz00(obj_t, obj_t, obj_t);
extern BgL_localzf2variantzf2_bglt BGl_fillzd2localzf2variantz12z32zzinline_variantz00(BgL_localzf2variantzf2_bglt, bool_t);
static obj_t BGl__wideningzd2localzf2variantz20zzinline_variantz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_localzf2variantzf2_bglt BGl_wideningzd2localzf2variantz20zzinline_variantz00(bool_t);
static obj_t BGl__variantzd2argszd2zzinline_variantz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
extern BgL_localz00_bglt BGl_allocatezd2localzf2variantz20zzinline_variantz00();
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static bool_t BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localzf2variantzf2_bglt);
static obj_t BGl__localzf2variantzd2variantz20zzinline_variantz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2localzf2variant2728za3zzinline_variantz00(obj_t, obj_t, obj_t);
extern bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
static obj_t BGl__removezd2invariantzd2argsz12z12zzinline_variantz00(obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl__localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzinline_variantz00();
static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;

extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_proc2902z00zzinline_variantz00, BgL_bgl_objectza7d2za7e3structza7d2localza7f2variant2726za711za7za7inline_variantza7002909z00, BGl_objectzd2ze3structzd2localzf2variant2726z11zzinline_variantz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2903z00zzinline_variantz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2localza7f2variant2728za7a3za7za7inline_variantza7002910za7, BGl_structzb2objectzd2ze3objectzd2localzf2variant2728za3zzinline_variantz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00, BgL_bgl__localza7f2variantza7d2variantza720za7za7inline_variantza7002911z00, BGl__localzf2variantzd2variantz20zzinline_variantz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2localzf2variantzd2envzf2zzinline_variantz00, BgL_bgl__allocateza7d2localza7f2variantza720za7za7inline_variantza7002912z00, BGl__allocatezd2localzf2variantz20zzinline_variantz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_variantzd2argszd2envz00zzinline_variantz00, BgL_bgl__variantza7d2argsza7d2za7za7inline_variantza7002913za7, BGl__variantzd2argszd2zzinline_variantz00, 0L, 1 );
DEFINE_STRING( BGl_string2904z00zzinline_variantz00, BgL_bgl_string2904za700za7za7inline_variantza7002914z00, "variant::bool local/variant done read ", 38 );
DEFINE_STATIC_PROCEDURE( BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00, BgL_bgl__localza7f2variantza7d2variantza7d2setza712za7e0za7za7inline_variantza7002915z00, BGl__localzf2variantzd2variantzd2setz12ze0zzinline_variantz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2localzf2variantzd2envzf2zzinline_variantz00, BgL_bgl__wideningza7d2localza7f2variantza720za7za7inline_variantza7002916z00, BGl__wideningzd2localzf2variantz20zzinline_variantz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00, BgL_bgl__removeza7d2invariantza7d2argsza712za712za7za7inline_variantza7002917za7, BGl__removezd2invariantzd2argsz12z12zzinline_variantz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_substitutionszd2envzd2zzinline_variantz00, BgL_bgl__substitutionsza700za7za7inline_variantza7002918z00, BGl__substitutionsz00zzinline_variantz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00, BgL_bgl__shrinkza7d2argsza712za7c0za7za7inline_variantza7002919z00, BGl__shrinkzd2argsz12zc0zzinline_variantz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00, BgL_bgl__makeza7d2localza7f2variantza720za7za7inline_variantza7002920z00, BGl__makezd2localzf2variantz20zzinline_variantz00, 0L, 11 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2localzf2variantz12zd2envze0zzinline_variantz00, BgL_bgl__fillza7d2localza7f2variantza712za732za7za7inline_variantza7002921za7, BGl__fillzd2localzf2variantz12z32zzinline_variantz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_invariantzd2argszd2envz00zzinline_variantz00, BgL_bgl__invariantza7d2argsza7d2za7za7inline_variantza7002922za7, BGl__invariantzd2argszd2zzinline_variantz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_localzf2variantzf3zd2envzd3zzinline_variantz00, BgL_bgl__localza7f2variantza7f3za701za7za7inline_variantza7002923z00, BGl__localzf2variantzf3z01zzinline_variantz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long BgL_checksumz00_2593, char * BgL_fromz00_2594)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_variantz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_variantz00(); 
BGl_cnstzd2initzd2zzinline_variantz00(); 
BGl_importedzd2moduleszd2initz00zzinline_variantz00(); 
BGl_objectzd2initzd2zzinline_variantz00(); 
BGl_methodzd2initzd2zzinline_variantz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_variant"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_variant"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_variant"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 15 */
{ /* Inline/variant.scm 15 */
obj_t BgL_cportz00_2586;
BgL_cportz00_2586 = 
open_input_string(BGl_string2904z00zzinline_variantz00); 
{ 
long BgL_iz00_2587;
BgL_iz00_2587 = ((long)3); 
BgL_loopz00_2588:
if(
(BgL_iz00_2587==((long)-1)))
{ /* Inline/variant.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/variant.scm 15 */
{ /* Inline/variant.scm 15 */
obj_t BgL_arg2906z00_2590;
{ /* Inline/variant.scm 15 */
obj_t BgL_list2907z00_2591;
BgL_list2907z00_2591 = 
MAKE_PAIR(BgL_cportz00_2586, BNIL); 
BgL_arg2906z00_2590 = 
BGl_readz00zz__readerz00(BgL_list2907z00_2591); } 
{ /* Inline/variant.scm 15 */
int BgL_auxz00_2611;
BgL_auxz00_2611 = 
(int)(BgL_iz00_2587); 
CNST_TABLE_SET(BgL_auxz00_2611, BgL_arg2906z00_2590); } } 
{ 
long BgL_iz00_2614;
{ /* Inline/variant.scm 15 */
int BgL_auxz00_2615;
{ /* Inline/variant.scm 15 */
long BgL_auxz00_2616;
BgL_auxz00_2616 = 
(BgL_iz00_2587-((long)1)); 
BgL_auxz00_2615 = 
(int)(BgL_auxz00_2616); } 
BgL_iz00_2614 = 
(long)(BgL_auxz00_2615); } 
BgL_iz00_2587 = BgL_iz00_2614; 
goto BgL_loopz00_2588;} } } } } 
}



/* invariant-args */
obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_1, obj_t BgL_callsz00_2)
{ AN_OBJECT;
{ /* Inline/variant.scm 34 */
{ /* Inline/variant.scm 35 */
obj_t BgL_argsz00_1276;
{ /* Inline/variant.scm 36 */
BgL_sfunz00_bglt BgL_obj1369z00_1824;
{ /* Inline/variant.scm 36 */
BgL_valuez00_bglt BgL_auxz00_2620;
BgL_auxz00_2620 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1))->BgL_valuez00); 
BgL_obj1369z00_1824 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2620); } 
BgL_argsz00_1276 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1824))->BgL_argsz00); } 
{ /* Inline/variant.scm 36 */

{ 
obj_t BgL_l2711z00_1277;
BgL_l2711z00_1277 = BgL_argsz00_1276; 
BgL_lname2712z00_1278:
if(
PAIRP(BgL_l2711z00_1277))
{ /* Inline/variant.scm 38 */
{ /* Inline/variant.scm 39 */
obj_t BgL_localz00_1280;
BgL_localz00_1280 = 
CAR(BgL_l2711z00_1277); 
{ /* Inline/variant.scm 39 */
bool_t BgL_testz00_2627;
{ /* Inline/variant.scm 39 */
obj_t BgL_auxz00_2631;obj_t BgL_auxz00_2628;
BgL_auxz00_2631 = 
CNST_TABLE_REF(((long)0)); 
{ /* Inline/variant.scm 39 */
BgL_localz00_bglt BgL_obj1258z00_1827;
BgL_obj1258z00_1827 = 
(BgL_localz00_bglt)(BgL_localz00_1280); 
BgL_auxz00_2628 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_1827))->BgL_accessz00); } 
BgL_testz00_2627 = 
(BgL_auxz00_2628==BgL_auxz00_2631); } 
if(BgL_testz00_2627)
{ /* Inline/variant.scm 40 */
BgL_localzf2variantzf2_bglt BgL_obj2713z00_1282;
BgL_obj2713z00_1282 = 
((BgL_localzf2variantzf2_bglt)BgL_localz00_1280); 
{ /* Inline/variant.scm 40 */
BgL_localzf2variantzf2_bglt BgL_arg2731z00_1283;
{ /* Inline/variant.scm 40 */
bool_t BgL_arg2732z00_1284;
BgL_arg2732z00_1284 = ((bool_t)0); 
{ /* Inline/variant.scm 40 */
BgL_localzf2variantzf2_bglt BgL_res2883z00_1834;
{ /* Inline/variant.scm 40 */
BgL_localzf2variantzf2_bglt BgL_new2655z00_1829;
BgL_new2655z00_1829 = 
((BgL_localzf2variantzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2variantzf2_bgl)))); 
{ /* Inline/variant.scm 40 */
BgL_localzf2variantzf2_bglt BgL_res2882z00_1833;
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2655z00_1829))->BgL_variantz00) = ((bool_t)BgL_arg2732z00_1284), BUNSPEC); 
BgL_res2882z00_1833 = BgL_new2655z00_1829; BgL_res2882z00_1833; } 
BgL_res2883z00_1834 = BgL_new2655z00_1829; } 
BgL_arg2731z00_1283 = BgL_res2883z00_1834; } } 
{ /* Inline/variant.scm 40 */
obj_t BgL_auxz00_2639;BgL_objectz00_bglt BgL_auxz00_2637;
BgL_auxz00_2639 = 
(obj_t)(BgL_arg2731z00_1283); 
BgL_auxz00_2637 = 
(BgL_objectz00_bglt)(BgL_obj2713z00_1282); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2637, BgL_auxz00_2639); } } 
{ /* Inline/variant.scm 40 */
long BgL_arg2733z00_1285;
BgL_arg2733z00_1285 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2variantzf2zzinline_variantz00); 
{ /* Inline/variant.scm 40 */
BgL_objectz00_bglt BgL_auxz00_2643;
BgL_auxz00_2643 = 
(BgL_objectz00_bglt)(BgL_obj2713z00_1282); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2643, BgL_arg2733z00_1285); } } 
{ /* Inline/variant.scm 40 */
obj_t BgL_auxz00_2646;
BgL_auxz00_2646 = 
(obj_t)(BgL_obj2713z00_1282); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2646); } BUNSPEC; BgL_obj2713z00_1282; }  else 
{ /* Inline/variant.scm 41 */
BgL_localzf2variantzf2_bglt BgL_obj2714z00_1286;
BgL_obj2714z00_1286 = 
((BgL_localzf2variantzf2_bglt)BgL_localz00_1280); 
{ /* Inline/variant.scm 41 */
BgL_localzf2variantzf2_bglt BgL_arg2734z00_1287;
{ /* Inline/variant.scm 41 */
bool_t BgL_arg2735z00_1288;
BgL_arg2735z00_1288 = ((bool_t)1); 
{ /* Inline/variant.scm 41 */
BgL_localzf2variantzf2_bglt BgL_res2885z00_1844;
{ /* Inline/variant.scm 41 */
BgL_localzf2variantzf2_bglt BgL_new2655z00_1839;
BgL_new2655z00_1839 = 
((BgL_localzf2variantzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2variantzf2_bgl)))); 
{ /* Inline/variant.scm 41 */
BgL_localzf2variantzf2_bglt BgL_res2884z00_1843;
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2655z00_1839))->BgL_variantz00) = ((bool_t)BgL_arg2735z00_1288), BUNSPEC); 
BgL_res2884z00_1843 = BgL_new2655z00_1839; BgL_res2884z00_1843; } 
BgL_res2885z00_1844 = BgL_new2655z00_1839; } 
BgL_arg2734z00_1287 = BgL_res2885z00_1844; } } 
{ /* Inline/variant.scm 41 */
obj_t BgL_auxz00_2654;BgL_objectz00_bglt BgL_auxz00_2652;
BgL_auxz00_2654 = 
(obj_t)(BgL_arg2734z00_1287); 
BgL_auxz00_2652 = 
(BgL_objectz00_bglt)(BgL_obj2714z00_1286); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2652, BgL_auxz00_2654); } } 
{ /* Inline/variant.scm 41 */
long BgL_arg2736z00_1289;
BgL_arg2736z00_1289 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2variantzf2zzinline_variantz00); 
{ /* Inline/variant.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2658;
BgL_auxz00_2658 = 
(BgL_objectz00_bglt)(BgL_obj2714z00_1286); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2658, BgL_arg2736z00_1289); } } 
{ /* Inline/variant.scm 41 */
obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
(obj_t)(BgL_obj2714z00_1286); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2661); } BUNSPEC; BgL_obj2714z00_1286; } } } 
{ 
obj_t BgL_l2711z00_2664;
BgL_l2711z00_2664 = 
CDR(BgL_l2711z00_1277); 
BgL_l2711z00_1277 = BgL_l2711z00_2664; 
goto BgL_lname2712z00_1278;} }  else 
{ /* Inline/variant.scm 38 */((bool_t)1); } } 
{ 
obj_t BgL_l2715z00_1293;
BgL_l2715z00_1293 = BgL_callsz00_2; 
BgL_lname2716z00_1294:
if(
PAIRP(BgL_l2715z00_1293))
{ /* Inline/variant.scm 44 */
{ /* Inline/variant.scm 45 */
BgL_appz00_bglt BgL_appz00_1296;
{ /* Inline/variant.scm 45 */
obj_t BgL_auxz00_2668;
BgL_auxz00_2668 = 
CAR(BgL_l2715z00_1293); 
BgL_appz00_1296 = 
(BgL_appz00_bglt)(BgL_auxz00_2668); } 
{ 
obj_t BgL_actualsz00_1297;obj_t BgL_argsz00_1298;
BgL_actualsz00_1297 = 
(((BgL_appz00_bglt)CREF(BgL_appz00_1296))->BgL_argsz00); 
BgL_argsz00_1298 = BgL_argsz00_1276; 
BgL_loopz00_1299:
if(
NULLP(BgL_argsz00_1298))
{ /* Inline/variant.scm 48 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* Inline/variant.scm 48 */
if(
NULLP(BgL_actualsz00_1297))
{ /* Inline/variant.scm 50 */
{ 
obj_t BgL_l2717z00_1303;
{ /* Inline/variant.scm 51 */
bool_t BgL_auxz00_2676;
BgL_l2717z00_1303 = BgL_argsz00_1298; 
BgL_lname2718z00_1304:
if(
PAIRP(BgL_l2717z00_1303))
{ /* Inline/variant.scm 51 */
{ /* Inline/variant.scm 52 */
BgL_localzf2variantzf2_bglt BgL_obj2684z00_1856;
{ /* Inline/variant.scm 52 */
obj_t BgL_auxz00_2679;
BgL_auxz00_2679 = 
CAR(BgL_l2717z00_1303); 
BgL_obj2684z00_1856 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2679); } 
{ 
obj_t BgL_auxz00_2682;
{ /* Inline/variant.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2683;
BgL_auxz00_2683 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_1856); 
BgL_auxz00_2682 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2683); } 
((((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2682))->BgL_variantz00) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ 
obj_t BgL_l2717z00_2687;
BgL_l2717z00_2687 = 
CDR(BgL_l2717z00_1303); 
BgL_l2717z00_1303 = BgL_l2717z00_2687; 
goto BgL_lname2718z00_1304;} }  else 
{ /* Inline/variant.scm 51 */
BgL_auxz00_2676 = ((bool_t)1); } 
BBOOL(BgL_auxz00_2676); } } }  else 
{ /* Inline/variant.scm 54 */
bool_t BgL_test2746z00_1308;
{ /* Inline/variant.scm 54 */
bool_t BgL_test2752z00_1314;
BgL_test2752z00_1314 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_actualsz00_1297), BGl_varz00zzast_nodez00); 
if(BgL_test2752z00_1314)
{ /* Inline/variant.scm 55 */
obj_t BgL_auxz00_2700;obj_t BgL_auxz00_2693;
BgL_auxz00_2700 = 
CAR(BgL_argsz00_1298); 
{ /* Inline/variant.scm 55 */
BgL_variablez00_bglt BgL_auxz00_2694;
{ /* Inline/variant.scm 55 */
BgL_varz00_bglt BgL_obj1619z00_1862;
{ /* Inline/variant.scm 55 */
obj_t BgL_auxz00_2695;
BgL_auxz00_2695 = 
CAR(BgL_actualsz00_1297); 
BgL_obj1619z00_1862 = 
(BgL_varz00_bglt)(BgL_auxz00_2695); } 
BgL_auxz00_2694 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1862))->BgL_variablez00); } 
BgL_auxz00_2693 = 
(obj_t)(BgL_auxz00_2694); } 
BgL_test2746z00_1308 = 
(BgL_auxz00_2693==BgL_auxz00_2700); }  else 
{ /* Inline/variant.scm 54 */
BgL_test2746z00_1308 = ((bool_t)0); } } 
if(BgL_test2746z00_1308)
{ /* Inline/variant.scm 54 */
{ 
obj_t BgL_argsz00_2706;obj_t BgL_actualsz00_2704;
BgL_actualsz00_2704 = 
CDR(BgL_actualsz00_1297); 
BgL_argsz00_2706 = 
CDR(BgL_argsz00_1298); 
BgL_argsz00_1298 = BgL_argsz00_2706; 
BgL_actualsz00_1297 = BgL_actualsz00_2704; 
goto BgL_loopz00_1299;} }  else 
{ /* Inline/variant.scm 54 */
{ /* Inline/variant.scm 58 */
BgL_localzf2variantzf2_bglt BgL_obj2684z00_1867;
{ /* Inline/variant.scm 58 */
obj_t BgL_auxz00_2708;
BgL_auxz00_2708 = 
CAR(BgL_argsz00_1298); 
BgL_obj2684z00_1867 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2708); } 
{ 
obj_t BgL_auxz00_2711;
{ /* Inline/variant.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2712;
BgL_auxz00_2712 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_1867); 
BgL_auxz00_2711 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2712); } 
((((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2711))->BgL_variantz00) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ 
obj_t BgL_argsz00_2718;obj_t BgL_actualsz00_2716;
BgL_actualsz00_2716 = 
CDR(BgL_actualsz00_1297); 
BgL_argsz00_2718 = 
CDR(BgL_argsz00_1298); 
BgL_argsz00_1298 = BgL_argsz00_2718; 
BgL_actualsz00_1297 = BgL_actualsz00_2716; 
goto BgL_loopz00_1299;} } } } } } 
{ 
obj_t BgL_l2715z00_2721;
BgL_l2715z00_2721 = 
CDR(BgL_l2715z00_1293); 
BgL_l2715z00_1293 = BgL_l2715z00_2721; 
goto BgL_lname2716z00_1294;} }  else 
{ /* Inline/variant.scm 44 */((bool_t)1); } } 
{ 
obj_t BgL_argsz00_1320;obj_t BgL_invariantz00_1321;
BgL_argsz00_1320 = BgL_argsz00_1276; 
BgL_invariantz00_1321 = BNIL; 
BgL_loopz00_1322:
if(
NULLP(BgL_argsz00_1320))
{ /* Inline/variant.scm 64 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_invariantz00_1321);}  else 
{ /* Inline/variant.scm 66 */
obj_t BgL_arg2759z00_1324;obj_t BgL_arg2760z00_1325;
BgL_arg2759z00_1324 = 
CDR(BgL_argsz00_1320); 
{ /* Inline/variant.scm 67 */
bool_t BgL_testz00_2727;
{ /* Inline/variant.scm 67 */
BgL_localzf2variantzf2_bglt BgL_obj2682z00_1875;
{ /* Inline/variant.scm 67 */
obj_t BgL_auxz00_2728;
BgL_auxz00_2728 = 
CAR(BgL_argsz00_1320); 
BgL_obj2682z00_1875 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2728); } 
{ 
obj_t BgL_auxz00_2731;
{ /* Inline/variant.scm 67 */
BgL_objectz00_bglt BgL_auxz00_2732;
BgL_auxz00_2732 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_1875); 
BgL_auxz00_2731 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2732); } 
BgL_testz00_2727 = 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2731))->BgL_variantz00); } } 
if(BgL_testz00_2727)
{ /* Inline/variant.scm 67 */
BgL_arg2760z00_1325 = BgL_invariantz00_1321; }  else 
{ /* Inline/variant.scm 69 */
obj_t BgL_auxz00_2736;
BgL_auxz00_2736 = 
CAR(BgL_argsz00_1320); 
BgL_arg2760z00_1325 = 
MAKE_PAIR(BgL_auxz00_2736, BgL_invariantz00_1321); } } 
{ 
obj_t BgL_invariantz00_2740;obj_t BgL_argsz00_2739;
BgL_argsz00_2739 = BgL_arg2759z00_1324; 
BgL_invariantz00_2740 = BgL_arg2760z00_1325; 
BgL_invariantz00_1321 = BgL_invariantz00_2740; 
BgL_argsz00_1320 = BgL_argsz00_2739; 
goto BgL_loopz00_1322;} } } } } } 
}



/* _invariant-args */
obj_t BGl__invariantzd2argszd2zzinline_variantz00(obj_t BgL_envz00_2536, obj_t BgL_varz00_2537, obj_t BgL_callsz00_2538)
{ AN_OBJECT;
{ /* Inline/variant.scm 34 */
return 
BGl_invariantzd2argszd2zzinline_variantz00(
(BgL_variablez00_bglt)(BgL_varz00_2537), BgL_callsz00_2538);} 
}



/* variant-args */
obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_3)
{ AN_OBJECT;
{ /* Inline/variant.scm 76 */
{ /* Inline/variant.scm 78 */

{ 
obj_t BgL_argsz00_1331;obj_t BgL_variantz00_1332;
{ /* Inline/variant.scm 78 */
BgL_sfunz00_bglt BgL_obj1369z00_1878;
{ /* Inline/variant.scm 78 */
BgL_valuez00_bglt BgL_auxz00_2761;
BgL_auxz00_2761 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_3))->BgL_valuez00); 
BgL_obj1369z00_1878 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2761); } 
BgL_argsz00_1331 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1878))->BgL_argsz00); } 
BgL_variantz00_1332 = BNIL; 
BgL_loopz00_1333:
if(
NULLP(BgL_argsz00_1331))
{ /* Inline/variant.scm 81 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_variantz00_1332);}  else 
{ /* Inline/variant.scm 83 */
obj_t BgL_arg2765z00_1335;obj_t BgL_arg2766z00_1336;
BgL_arg2765z00_1335 = 
CDR(BgL_argsz00_1331); 
{ /* Inline/variant.scm 84 */
bool_t BgL_testz00_2747;
{ /* Inline/variant.scm 84 */
BgL_localzf2variantzf2_bglt BgL_obj2682z00_1882;
{ /* Inline/variant.scm 84 */
obj_t BgL_auxz00_2748;
BgL_auxz00_2748 = 
CAR(BgL_argsz00_1331); 
BgL_obj2682z00_1882 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2748); } 
{ 
obj_t BgL_auxz00_2751;
{ /* Inline/variant.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2752;
BgL_auxz00_2752 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_1882); 
BgL_auxz00_2751 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2752); } 
BgL_testz00_2747 = 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2751))->BgL_variantz00); } } 
if(BgL_testz00_2747)
{ /* Inline/variant.scm 85 */
obj_t BgL_auxz00_2756;
BgL_auxz00_2756 = 
CAR(BgL_argsz00_1331); 
BgL_arg2766z00_1336 = 
MAKE_PAIR(BgL_auxz00_2756, BgL_variantz00_1332); }  else 
{ /* Inline/variant.scm 84 */
BgL_arg2766z00_1336 = BgL_variantz00_1332; } } 
{ 
obj_t BgL_variantz00_2760;obj_t BgL_argsz00_2759;
BgL_argsz00_2759 = BgL_arg2765z00_1335; 
BgL_variantz00_2760 = BgL_arg2766z00_1336; 
BgL_variantz00_1332 = BgL_variantz00_2760; 
BgL_argsz00_1331 = BgL_argsz00_2759; 
goto BgL_loopz00_1333;} } } } } 
}



/* _variant-args */
obj_t BGl__variantzd2argszd2zzinline_variantz00(obj_t BgL_envz00_2539, obj_t BgL_varz00_2540)
{ AN_OBJECT;
{ /* Inline/variant.scm 76 */
return 
BGl_variantzd2argszd2zzinline_variantz00(
(BgL_variablez00_bglt)(BgL_varz00_2540));} 
}



/* substitutions */
obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_4, obj_t BgL_actualsz00_5, obj_t BgL_varzd2argszd2_6)
{ AN_OBJECT;
{ /* Inline/variant.scm 91 */
{ /* Inline/variant.scm 93 */

{ 
obj_t BgL_actualsz00_1342;obj_t BgL_allzd2argszd2_1343;obj_t BgL_varzd2argszd2_1344;obj_t BgL_substitutionsz00_1345;
BgL_actualsz00_1342 = BgL_actualsz00_5; 
{ /* Inline/variant.scm 93 */
BgL_sfunz00_bglt BgL_obj1369z00_1885;
{ /* Inline/variant.scm 93 */
BgL_valuez00_bglt BgL_auxz00_2805;
BgL_auxz00_2805 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_4))->BgL_valuez00); 
BgL_obj1369z00_1885 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2805); } 
BgL_allzd2argszd2_1343 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1885))->BgL_argsz00); } 
BgL_varzd2argszd2_1344 = BgL_varzd2argszd2_6; 
BgL_substitutionsz00_1345 = BNIL; 
BgL_loopz00_1346:
if(
NULLP(BgL_allzd2argszd2_1343))
{ /* Inline/variant.scm 99 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_substitutionsz00_1345);}  else 
{ /* Inline/variant.scm 101 */
bool_t BgL_testz00_2770;
{ /* Inline/variant.scm 101 */
BgL_localzf2variantzf2_bglt BgL_obj2682z00_1888;
{ /* Inline/variant.scm 101 */
obj_t BgL_auxz00_2771;
BgL_auxz00_2771 = 
CAR(BgL_allzd2argszd2_1343); 
BgL_obj2682z00_1888 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2771); } 
{ 
obj_t BgL_auxz00_2774;
{ /* Inline/variant.scm 101 */
BgL_objectz00_bglt BgL_auxz00_2775;
BgL_auxz00_2775 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_1888); 
BgL_auxz00_2774 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2775); } 
BgL_testz00_2770 = 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2774))->BgL_variantz00); } } 
if(BgL_testz00_2770)
{ /* Inline/variant.scm 101 */
{ /* Inline/variant.scm 102 */
obj_t BgL_arg2773z00_1349;obj_t BgL_arg2774z00_1350;obj_t BgL_arg2775z00_1351;obj_t BgL_arg2777z00_1352;
BgL_arg2773z00_1349 = 
CDR(BgL_actualsz00_1342); 
BgL_arg2774z00_1350 = 
CDR(BgL_allzd2argszd2_1343); 
BgL_arg2775z00_1351 = 
CDR(BgL_varzd2argszd2_1344); 
{ /* Inline/variant.scm 105 */
obj_t BgL_auxz00_2782;
BgL_auxz00_2782 = 
CAR(BgL_varzd2argszd2_1344); 
BgL_arg2777z00_1352 = 
MAKE_PAIR(BgL_auxz00_2782, BgL_substitutionsz00_1345); } 
{ 
obj_t BgL_substitutionsz00_2788;obj_t BgL_varzd2argszd2_2787;obj_t BgL_allzd2argszd2_2786;obj_t BgL_actualsz00_2785;
BgL_actualsz00_2785 = BgL_arg2773z00_1349; 
BgL_allzd2argszd2_2786 = BgL_arg2774z00_1350; 
BgL_varzd2argszd2_2787 = BgL_arg2775z00_1351; 
BgL_substitutionsz00_2788 = BgL_arg2777z00_1352; 
BgL_substitutionsz00_1345 = BgL_substitutionsz00_2788; 
BgL_varzd2argszd2_1344 = BgL_varzd2argszd2_2787; 
BgL_allzd2argszd2_1343 = BgL_allzd2argszd2_2786; 
BgL_actualsz00_1342 = BgL_actualsz00_2785; 
goto BgL_loopz00_1346;} } }  else 
{ /* Inline/variant.scm 101 */
{ /* Inline/variant.scm 107 */
obj_t BgL_arg2779z00_1354;obj_t BgL_arg2781z00_1355;obj_t BgL_arg2782z00_1356;
BgL_arg2779z00_1354 = 
CDR(BgL_actualsz00_1342); 
BgL_arg2781z00_1355 = 
CDR(BgL_allzd2argszd2_1343); 
{ /* Inline/variant.scm 110 */
obj_t BgL_arg2783z00_1357;
{ /* Inline/variant.scm 110 */
bool_t BgL_test2784z00_1358;
BgL_test2784z00_1358 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_actualsz00_1342), BGl_varz00zzast_nodez00); 
if(BgL_test2784z00_1358)
{ /* Inline/variant.scm 111 */
BgL_varz00_bglt BgL_obj1619z00_1898;
{ /* Inline/variant.scm 111 */
obj_t BgL_auxz00_2794;
BgL_auxz00_2794 = 
CAR(BgL_actualsz00_1342); 
BgL_obj1619z00_1898 = 
(BgL_varz00_bglt)(BgL_auxz00_2794); } 
{ /* Inline/variant.scm 111 */
BgL_variablez00_bglt BgL_auxz00_2797;
BgL_auxz00_2797 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1898))->BgL_variablez00); 
BgL_arg2783z00_1357 = 
(obj_t)(BgL_auxz00_2797); } }  else 
{ /* Inline/variant.scm 110 */
BgL_arg2783z00_1357 = 
CAR(BgL_actualsz00_1342); } } 
BgL_arg2782z00_1356 = 
MAKE_PAIR(BgL_arg2783z00_1357, BgL_substitutionsz00_1345); } 
{ 
obj_t BgL_substitutionsz00_2804;obj_t BgL_allzd2argszd2_2803;obj_t BgL_actualsz00_2802;
BgL_actualsz00_2802 = BgL_arg2779z00_1354; 
BgL_allzd2argszd2_2803 = BgL_arg2781z00_1355; 
BgL_substitutionsz00_2804 = BgL_arg2782z00_1356; 
BgL_substitutionsz00_1345 = BgL_substitutionsz00_2804; 
BgL_allzd2argszd2_1343 = BgL_allzd2argszd2_2803; 
BgL_actualsz00_1342 = BgL_actualsz00_2802; 
goto BgL_loopz00_1346;} } } } } } } 
}



/* _substitutions */
obj_t BGl__substitutionsz00zzinline_variantz00(obj_t BgL_envz00_2541, obj_t BgL_varz00_2542, obj_t BgL_actualsz00_2543, obj_t BgL_varzd2argszd2_2544)
{ AN_OBJECT;
{ /* Inline/variant.scm 91 */
return 
BGl_substitutionsz00zzinline_variantz00(
(BgL_variablez00_bglt)(BgL_varz00_2542), BgL_actualsz00_2543, BgL_varzd2argszd2_2544);} 
}



/* shrink-args! */
obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_7)
{ AN_OBJECT;
{ /* Inline/variant.scm 118 */
{ /* Inline/variant.scm 120 */

{ 
obj_t BgL_l2719z00_1364;
{ /* Inline/variant.scm 121 */
bool_t BgL_auxz00_2811;
{ /* Inline/variant.scm 120 */
BgL_sfunz00_bglt BgL_obj1369z00_1901;
{ /* Inline/variant.scm 120 */
BgL_valuez00_bglt BgL_auxz00_2838;
BgL_auxz00_2838 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_7))->BgL_valuez00); 
BgL_obj1369z00_1901 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2838); } 
BgL_l2719z00_1364 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1901))->BgL_argsz00); } 
BgL_lname2720z00_1365:
if(
PAIRP(BgL_l2719z00_1364))
{ /* Inline/variant.scm 121 */
{ /* Inline/variant.scm 121 */
obj_t BgL_az00_1367;
BgL_az00_1367 = 
CAR(BgL_l2719z00_1364); 
{ /* Inline/variant.scm 121 */
bool_t BgL_testz00_2815;
{ /* Inline/variant.scm 121 */
bool_t BgL_testz00_2816;
{ /* Inline/variant.scm 121 */
obj_t BgL_auxz00_2817;
{ /* Inline/variant.scm 121 */
BgL_objectz00_bglt BgL_auxz00_2818;
BgL_auxz00_2818 = 
(BgL_objectz00_bglt)(BgL_az00_1367); 
BgL_auxz00_2817 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2818); } 
BgL_testz00_2816 = 
CBOOL(BgL_auxz00_2817); } 
if(BgL_testz00_2816)
{ /* Inline/variant.scm 121 */
BgL_testz00_2815 = ((bool_t)1)
; }  else 
{ /* Inline/variant.scm 121 */
BgL_testz00_2815 = ((bool_t)0)
; } } 
if(BgL_testz00_2815)
{ /* Inline/variant.scm 121 */
{ /* Inline/variant.scm 121 */
long BgL_arg2791z00_1370;
{ /* Inline/variant.scm 121 */
obj_t BgL_arg2792z00_1371;
{ /* Inline/variant.scm 121 */
obj_t BgL_arg2793z00_1372;
{ /* Inline/variant.scm 121 */
long BgL_arg1224z00_1908;
{ /* Inline/variant.scm 121 */
long BgL_arg1225z00_1909;
{ /* Inline/variant.scm 121 */
BgL_objectz00_bglt BgL_auxz00_2822;
BgL_auxz00_2822 = 
(BgL_objectz00_bglt)(BgL_az00_1367); 
BgL_arg1225z00_1909 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2822); } 
BgL_arg1224z00_1908 = 
(BgL_arg1225z00_1909-OBJECT_TYPE); } 
{ /* Inline/variant.scm 121 */
obj_t BgL_vectorz00_1913;int BgL_kz00_1914;
BgL_vectorz00_1913 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_1914 = 
(int)(BgL_arg1224z00_1908); 
BgL_arg2793z00_1372 = 
VECTOR_REF(BgL_vectorz00_1913,BgL_kz00_1914); } } 
BgL_arg2792z00_1371 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2793z00_1372); } 
BgL_arg2791z00_1370 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2792z00_1371); } 
{ /* Inline/variant.scm 121 */
BgL_objectz00_bglt BgL_auxz00_2830;
BgL_auxz00_2830 = 
(BgL_objectz00_bglt)(BgL_az00_1367); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2830, BgL_arg2791z00_1370); } } 
{ /* Inline/variant.scm 121 */
BgL_objectz00_bglt BgL_auxz00_2833;
BgL_auxz00_2833 = 
(BgL_objectz00_bglt)(BgL_az00_1367); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2833, BFALSE); } BgL_az00_1367; }  else 
{ /* Inline/variant.scm 121 */BFALSE; } } } 
{ 
obj_t BgL_l2719z00_2836;
BgL_l2719z00_2836 = 
CDR(BgL_l2719z00_1364); 
BgL_l2719z00_1364 = BgL_l2719z00_2836; 
goto BgL_lname2720z00_1365;} }  else 
{ /* Inline/variant.scm 121 */
BgL_auxz00_2811 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2811);} } } } 
}



/* _shrink-args! */
obj_t BGl__shrinkzd2argsz12zc0zzinline_variantz00(obj_t BgL_envz00_2545, obj_t BgL_varz00_2546)
{ AN_OBJECT;
{ /* Inline/variant.scm 118 */
return 
BGl_shrinkzd2argsz12zc0zzinline_variantz00(
(BgL_variablez00_bglt)(BgL_varz00_2546));} 
}



/* remove-invariant-args! */
BgL_appz00_bglt BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt BgL_appz00_8)
{ AN_OBJECT;
{ /* Inline/variant.scm 132 */
{ 
obj_t BgL_formalsz00_1375;obj_t BgL_oldzd2argszd2_1376;obj_t BgL_newzd2argszd2_1377;
{ /* Inline/variant.scm 134 */
BgL_sfunz00_bglt BgL_obj1369z00_1921;
{ /* Inline/variant.scm 134 */
BgL_valuez00_bglt BgL_auxz00_2874;
{ /* Inline/variant.scm 134 */
BgL_variablez00_bglt BgL_arg2801z00_1383;
{ /* Inline/variant.scm 134 */
BgL_varz00_bglt BgL_arg2802z00_1384;
BgL_arg2802z00_1384 = 
(((BgL_appz00_bglt)CREF(BgL_appz00_8))->BgL_funz00); 
BgL_arg2801z00_1383 = 
(((BgL_varz00_bglt)CREF(BgL_arg2802z00_1384))->BgL_variablez00); } 
BgL_auxz00_2874 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2801z00_1383))->BgL_valuez00); } 
BgL_obj1369z00_1921 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2874); } 
BgL_formalsz00_1375 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1921))->BgL_argsz00); } 
BgL_oldzd2argszd2_1376 = 
(((BgL_appz00_bglt)CREF(BgL_appz00_8))->BgL_argsz00); 
BgL_newzd2argszd2_1377 = BNIL; 
BgL_loopz00_1378:
if(
NULLP(BgL_oldzd2argszd2_1376))
{ /* Inline/variant.scm 138 */
{ /* Inline/variant.scm 139 */
obj_t BgL_arg2805z00_1386;
BgL_arg2805z00_1386 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_1377); 
((((BgL_appz00_bglt)CREF(BgL_appz00_8))->BgL_argsz00) = ((obj_t)BgL_arg2805z00_1386), BUNSPEC); } 
return BgL_appz00_8;}  else 
{ /* Inline/variant.scm 141 */
bool_t BgL_test2806z00_1387;
{ /* Inline/variant.scm 141 */
bool_t BgL_test2813z00_1394;
BgL_test2813z00_1394 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_formalsz00_1375), BGl_localzf2variantzf2zzinline_variantz00); 
if(BgL_test2813z00_1394)
{ /* Inline/variant.scm 142 */
bool_t BgL_testz00_2852;
{ /* Inline/variant.scm 142 */
BgL_localzf2variantzf2_bglt BgL_obj2682z00_1929;
{ /* Inline/variant.scm 142 */
obj_t BgL_auxz00_2853;
BgL_auxz00_2853 = 
CAR(BgL_formalsz00_1375); 
BgL_obj2682z00_1929 = 
(BgL_localzf2variantzf2_bglt)(BgL_auxz00_2853); } 
{ 
obj_t BgL_auxz00_2856;
{ /* Inline/variant.scm 142 */
BgL_objectz00_bglt BgL_auxz00_2857;
BgL_auxz00_2857 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_1929); 
BgL_auxz00_2856 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2857); } 
BgL_testz00_2852 = 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2856))->BgL_variantz00); } } 
if(BgL_testz00_2852)
{ /* Inline/variant.scm 142 */
BgL_test2806z00_1387 = ((bool_t)0); }  else 
{ /* Inline/variant.scm 142 */
BgL_test2806z00_1387 = ((bool_t)1); } }  else 
{ /* Inline/variant.scm 141 */
BgL_test2806z00_1387 = ((bool_t)0); } } 
if(BgL_test2806z00_1387)
{ /* Inline/variant.scm 141 */
{ 
obj_t BgL_oldzd2argszd2_2864;obj_t BgL_formalsz00_2862;
BgL_formalsz00_2862 = 
CDR(BgL_formalsz00_1375); 
BgL_oldzd2argszd2_2864 = 
CDR(BgL_oldzd2argszd2_1376); 
BgL_oldzd2argszd2_1376 = BgL_oldzd2argszd2_2864; 
BgL_formalsz00_1375 = BgL_formalsz00_2862; 
goto BgL_loopz00_1378;} }  else 
{ /* Inline/variant.scm 141 */
{ /* Inline/variant.scm 147 */
obj_t BgL_arg2809z00_1390;obj_t BgL_arg2810z00_1391;obj_t BgL_arg2811z00_1392;
BgL_arg2809z00_1390 = 
CDR(BgL_formalsz00_1375); 
BgL_arg2810z00_1391 = 
CDR(BgL_oldzd2argszd2_1376); 
{ /* Inline/variant.scm 149 */
obj_t BgL_auxz00_2868;
BgL_auxz00_2868 = 
CAR(BgL_oldzd2argszd2_1376); 
BgL_arg2811z00_1392 = 
MAKE_PAIR(BgL_auxz00_2868, BgL_newzd2argszd2_1377); } 
{ 
obj_t BgL_newzd2argszd2_2873;obj_t BgL_oldzd2argszd2_2872;obj_t BgL_formalsz00_2871;
BgL_formalsz00_2871 = BgL_arg2809z00_1390; 
BgL_oldzd2argszd2_2872 = BgL_arg2810z00_1391; 
BgL_newzd2argszd2_2873 = BgL_arg2811z00_1392; 
BgL_newzd2argszd2_1377 = BgL_newzd2argszd2_2873; 
BgL_oldzd2argszd2_1376 = BgL_oldzd2argszd2_2872; 
BgL_formalsz00_1375 = BgL_formalsz00_2871; 
goto BgL_loopz00_1378;} } } } } } 
}



/* _remove-invariant-args! */
obj_t BGl__removezd2invariantzd2argsz12z12zzinline_variantz00(obj_t BgL_envz00_2547, obj_t BgL_appz00_2548)
{ AN_OBJECT;
{ /* Inline/variant.scm 132 */
{ /* Inline/variant.scm 132 */
BgL_appz00_bglt BgL_auxz00_2881;
BgL_auxz00_2881 = 
BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
(BgL_appz00_bglt)(BgL_appz00_2548)); 
return 
(obj_t)(BgL_auxz00_2881);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 15 */
{ /* Inline/variant.scm 20 */
obj_t BgL_arg2817z00_1398;obj_t BgL_arg2818z00_1399;obj_t BgL_arg2822z00_1403;obj_t BgL_arg2823z00_1404;
BgL_arg2817z00_1398 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2818z00_1399 = BGl_localz00zzast_varz00; 
{ /* Inline/variant.scm 20 */
obj_t BgL_arg2824z00_1405;
BgL_arg2824z00_1405 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00, BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/variant.scm 20 */
obj_t BgL_list2825z00_1406;
BgL_list2825z00_1406 = 
MAKE_PAIR(BgL_arg2824z00_1405, BNIL); 
BgL_arg2822z00_1403 = BgL_list2825z00_1406; } } 
{ /* Inline/variant.scm 20 */
obj_t BgL_v2724z00_1407;
{ 
int BgL_auxz00_2889;
BgL_auxz00_2889 = 
(int)(((long)0)); 
BgL_v2724z00_1407 = 
create_vector(BgL_auxz00_2889); } 
BgL_arg2823z00_1404 = BgL_v2724z00_1407; } 
BGl_localzf2variantzf2zzinline_variantz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2817z00_1398, BgL_arg2818z00_1399, BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00, BGl_allocatezd2localzf2variantzd2envzf2zzinline_variantz00, ((long)60474), BgL_arg2822z00_1403, BFALSE, BgL_arg2823z00_1404); } 
return BUNSPEC;} 
}



/* local/variant? */
bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t BgL_obj2681z00_9)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2681z00_9, BGl_localzf2variantzf2zzinline_variantz00);} 
}



/* _local/variant? */
obj_t BGl__localzf2variantzf3z01zzinline_variantz00(obj_t BgL_envz00_2567, obj_t BgL_obj2681z00_2568)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
bool_t BgL_auxz00_2894;
BgL_auxz00_2894 = 
BGl_localzf2variantzf3z01zzinline_variantz00(BgL_obj2681z00_2568); 
return 
BBOOL(BgL_auxz00_2894);} } 
}



/* widening-local/variant */
BgL_localzf2variantzf2_bglt BGl_wideningzd2localzf2variantz20zzinline_variantz00(bool_t BgL_variant2654z00_13)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_new2655z00_1937;
BgL_new2655z00_1937 = 
((BgL_localzf2variantzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2variantzf2_bgl)))); 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_res2888z00_1941;
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2655z00_1937))->BgL_variantz00) = ((bool_t)BgL_variant2654z00_13), BUNSPEC); 
BgL_res2888z00_1941 = BgL_new2655z00_1937; BgL_res2888z00_1941; } 
return BgL_new2655z00_1937;} } 
}



/* _widening-local/variant */
obj_t BGl__wideningzd2localzf2variantz20zzinline_variantz00(obj_t BgL_envz00_2569, obj_t BgL_variant2654z00_2570)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_auxz00_2899;
BgL_auxz00_2899 = 
BGl_wideningzd2localzf2variantz20zzinline_variantz00(
CBOOL(BgL_variant2654z00_2570)); 
return 
(obj_t)(BgL_auxz00_2899);} } 
}



/* fill-local/variant! */
BgL_localzf2variantzf2_bglt BGl_fillzd2localzf2variantz12z32zzinline_variantz00(BgL_localzf2variantzf2_bglt BgL_new2658z00_14, bool_t BgL_variant2657z00_15)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2658z00_14))->BgL_variantz00) = ((bool_t)BgL_variant2657z00_15), BUNSPEC); 
return BgL_new2658z00_14;} 
}



/* _fill-local/variant! */
obj_t BGl__fillzd2localzf2variantz12z32zzinline_variantz00(obj_t BgL_envz00_2571, obj_t BgL_new2658z00_2572, obj_t BgL_variant2657z00_2573)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_auxz00_2904;
BgL_auxz00_2904 = 
BGl_fillzd2localzf2variantz12z32zzinline_variantz00(
(BgL_localzf2variantzf2_bglt)(BgL_new2658z00_2572), 
CBOOL(BgL_variant2657z00_2573)); 
return 
(obj_t)(BgL_auxz00_2904);} } 
}



/* make-local/variant */
BgL_localzf2variantzf2_bglt BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id2662z00_16, obj_t BgL_name2663z00_17, BgL_typez00_bglt BgL_type2664z00_18, BgL_valuez00_bglt BgL_value2665z00_19, obj_t BgL_access2666z00_20, obj_t BgL_fastzd2alpha2667zd2_21, obj_t BgL_removable2668z00_22, long BgL_occurrence2669z00_23, bool_t BgL_userzf32670zf3_24, long BgL_key2671z00_25, bool_t BgL_variant2661z00_26)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_aux2672z00_1943;
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_res2891z00_1986;
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_new1306z00_1957;
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_res2889z00_1963;
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_new1308z00_1958;
BgL_new1308z00_1958 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Inline/variant.scm 20 */
long BgL_arg2869z00_1959;
BgL_arg2869z00_1959 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2911;
BgL_auxz00_2911 = 
(BgL_objectz00_bglt)(BgL_new1308z00_1958); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2911, BgL_arg2869z00_1959); } } 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2914;
BgL_auxz00_2914 = 
(BgL_objectz00_bglt)(BgL_new1308z00_1958); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2914, BFALSE); } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_2917;
BgL_auxz00_2917 = 
(obj_t)(BgL_new1308z00_1958); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2917); } BUNSPEC; 
BgL_res2889z00_1963 = BgL_new1308z00_1958; } 
BgL_new1306z00_1957 = BgL_res2889z00_1963; } 
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_res2890z00_1985;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_idz00) = ((obj_t)BgL_id2662z00_16), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_namez00) = ((obj_t)BgL_name2663z00_17), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2664z00_18), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value2665z00_19), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_accessz00) = ((obj_t)BgL_access2666z00_20), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha2667zd2_21), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_removablez00) = ((obj_t)BgL_removable2668z00_22), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_occurrencez00) = ((long)BgL_occurrence2669z00_23), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_userzf3zf3) = ((bool_t)BgL_userzf32670zf3_24), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_1957))->BgL_keyz00) = ((long)BgL_key2671z00_25), BUNSPEC); 
BgL_res2890z00_1985 = BgL_new1306z00_1957; BgL_res2890z00_1985; } 
BgL_res2891z00_1986 = BgL_new1306z00_1957; } 
BgL_aux2672z00_1943 = BgL_res2891z00_1986; } 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_new2673z00_1944;
BgL_new2673z00_1944 = 
((BgL_localzf2variantzf2_bglt)BgL_aux2672z00_1943); 
{ /* Inline/variant.scm 20 */
long BgL_arg2826z00_1945;
BgL_arg2826z00_1945 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2variantzf2zzinline_variantz00); 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2932;
BgL_auxz00_2932 = 
(BgL_objectz00_bglt)(BgL_new2673z00_1944); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2932, BgL_arg2826z00_1945); } } 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_arg2827z00_1946;
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_res2893z00_1995;
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_new2655z00_1990;
BgL_new2655z00_1990 = 
((BgL_localzf2variantzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2variantzf2_bgl)))); 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_res2892z00_1994;
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2655z00_1990))->BgL_variantz00) = ((bool_t)BgL_variant2661z00_26), BUNSPEC); 
BgL_res2892z00_1994 = BgL_new2655z00_1990; BgL_res2892z00_1994; } 
BgL_res2893z00_1995 = BgL_new2655z00_1990; } 
BgL_arg2827z00_1946 = BgL_res2893z00_1995; } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_2939;BgL_objectz00_bglt BgL_auxz00_2937;
BgL_auxz00_2939 = 
(obj_t)(BgL_arg2827z00_1946); 
BgL_auxz00_2937 = 
(BgL_objectz00_bglt)(BgL_new2673z00_1944); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2937, BgL_auxz00_2939); } } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_2942;
BgL_auxz00_2942 = 
(obj_t)(BgL_new2673z00_1944); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2942); } BUNSPEC; 
return BgL_new2673z00_1944;} } } 
}



/* _make-local/variant */
obj_t BGl__makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_envz00_2549, obj_t BgL_id2662z00_2550, obj_t BgL_name2663z00_2551, obj_t BgL_type2664z00_2552, obj_t BgL_value2665z00_2553, obj_t BgL_access2666z00_2554, obj_t BgL_fastzd2alpha2667zd2_2555, obj_t BgL_removable2668z00_2556, obj_t BgL_occurrence2669z00_2557, obj_t BgL_userzf32670zf3_2558, obj_t BgL_key2671z00_2559, obj_t BgL_variant2661z00_2560)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_auxz00_2945;
BgL_auxz00_2945 = 
BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id2662z00_2550, BgL_name2663z00_2551, 
(BgL_typez00_bglt)(BgL_type2664z00_2552), 
(BgL_valuez00_bglt)(BgL_value2665z00_2553), BgL_access2666z00_2554, BgL_fastzd2alpha2667zd2_2555, BgL_removable2668z00_2556, 
(long)CINT(BgL_occurrence2669z00_2557), 
CBOOL(BgL_userzf32670zf3_2558), 
(long)CINT(BgL_key2671z00_2559), 
CBOOL(BgL_variant2661z00_2560)); 
return 
(obj_t)(BgL_auxz00_2945);} } 
}



/* allocate-local/variant */
BgL_localz00_bglt BGl_allocatezd2localzf2variantz20zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_new2674z00_1997;
BgL_new2674z00_1997 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Inline/variant.scm 20 */
long BgL_arg2828z00_1998;
BgL_arg2828z00_1998 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2variantzf2zzinline_variantz00); 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2956;
BgL_auxz00_2956 = 
(BgL_objectz00_bglt)(BgL_new2674z00_1997); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2956, BgL_arg2828z00_1998); } } 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2959;
BgL_auxz00_2959 = 
(BgL_objectz00_bglt)(BgL_new2674z00_1997); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2959, BFALSE); } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_2962;
BgL_auxz00_2962 = 
(obj_t)(BgL_new2674z00_1997); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2962); } BUNSPEC; 
return BgL_new2674z00_1997;} } 
}



/* _allocate-local/variant */
obj_t BGl__allocatezd2localzf2variantz20zzinline_variantz00(obj_t BgL_envz00_2561)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_localz00_bglt BgL_auxz00_2965;
BgL_auxz00_2965 = 
BGl_allocatezd2localzf2variantz20zzinline_variantz00(); 
return 
(obj_t)(BgL_auxz00_2965);} } 
}



/* local/variant-variant-set! */
obj_t BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(BgL_localzf2variantzf2_bglt BgL_obj2684z00_53, bool_t BgL_val2683z00_54)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ 
obj_t BgL_auxz00_2968;
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2969;
BgL_auxz00_2969 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_53); 
BgL_auxz00_2968 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2969); } 
return 
((((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2968))->BgL_variantz00) = ((bool_t)BgL_val2683z00_54), BUNSPEC);} } 
}



/* _local/variant-variant-set! */
obj_t BGl__localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(obj_t BgL_envz00_2564, obj_t BgL_obj2684z00_2565, obj_t BgL_val2683z00_2566)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
return 
BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(
(BgL_localzf2variantzf2_bglt)(BgL_obj2684z00_2565), 
CBOOL(BgL_val2683z00_2566));} 
}



/* local/variant-variant */
bool_t BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localzf2variantzf2_bglt BgL_obj2682z00_55)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ 
obj_t BgL_auxz00_2976;
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2977;
BgL_auxz00_2977 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_55); 
BgL_auxz00_2976 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2977); } 
return 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_2976))->BgL_variantz00);} } 
}



/* _local/variant-variant */
obj_t BGl__localzf2variantzd2variantz20zzinline_variantz00(obj_t BgL_envz00_2562, obj_t BgL_obj2682z00_2563)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
bool_t BgL_auxz00_2981;
BgL_auxz00_2981 = 
BGl_localzf2variantzd2variantz20zzinline_variantz00(
(BgL_localzf2variantzf2_bglt)(BgL_obj2682z00_2563)); 
return 
BBOOL(BgL_auxz00_2981);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2variantzf2zzinline_variantz00, BGl_proc2902z00zzinline_variantz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2variantzf2zzinline_variantz00, BGl_proc2903z00zzinline_variantz00);} 
}



/* struct+object->object-local/variant2728 */
obj_t BGl_structzb2objectzd2ze3objectzd2localzf2variant2728za3zzinline_variantz00(obj_t BgL_envz00_2581, obj_t BgL_oz00_2582, obj_t BgL_sz00_2583)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ 
BgL_localzf2variantzf2_bglt BgL_oz00_1811;obj_t BgL_sz00_1812;
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_auxz00_2987;
BgL_oz00_1811 = 
(BgL_localzf2variantzf2_bglt)(BgL_oz00_2582); 
BgL_sz00_1812 = BgL_sz00_2583; 
{ 

{ /* Inline/variant.scm 20 */
obj_t BgL_old2678z00_1815;obj_t BgL_aux2679z00_1816;
{ /* Inline/variant.scm 20 */
obj_t BgL_nextzd2method2727zd2_1821;
BgL_nextzd2method2727zd2_1821 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1811), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2variantzf2zzinline_variantz00); 
if(
PROCEDUREP(BgL_nextzd2method2727zd2_1821))
{ /* Inline/variant.scm 20 */
BgL_old2678z00_1815 = 
PROCEDURE_ENTRY(BgL_nextzd2method2727zd2_1821)(BgL_nextzd2method2727zd2_1821, 
(obj_t)(BgL_oz00_1811), BgL_sz00_1812, BEOA); }  else 
{ /* Inline/variant.scm 20 */
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_2995;
BgL_auxz00_2995 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1811), BgL_sz00_1812); 
BgL_old2678z00_1815 = 
(obj_t)(BgL_auxz00_2995); } } } 
{ /* Inline/variant.scm 20 */
int BgL_auxz00_2999;
BgL_auxz00_2999 = 
(int)(((long)0)); 
BgL_aux2679z00_1816 = 
STRUCT_REF(BgL_sz00_1812, BgL_auxz00_2999); } 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_new2680z00_1817;
BgL_new2680z00_1817 = 
((BgL_localzf2variantzf2_bglt)(BgL_old2678z00_1815)); 
{ /* Inline/variant.scm 20 */
long BgL_arg2878z00_1818;
BgL_arg2878z00_1818 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2variantzf2zzinline_variantz00); 
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_3004;
BgL_auxz00_3004 = 
(BgL_objectz00_bglt)(BgL_new2680z00_1817); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3004, BgL_arg2878z00_1818); } } 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_arg2879z00_1819;
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_res2898z00_2533;
{ /* Inline/variant.scm 20 */
bool_t BgL_variant2654z00_2527;
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3007;
{ /* Inline/variant.scm 20 */
int BgL_auxz00_3008;
BgL_auxz00_3008 = 
(int)(((long)0)); 
BgL_auxz00_3007 = 
STRUCT_REF(BgL_aux2679z00_1816, BgL_auxz00_3008); } 
BgL_variant2654z00_2527 = 
CBOOL(BgL_auxz00_3007); } 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_new2655z00_2528;
BgL_new2655z00_2528 = 
((BgL_localzf2variantzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2variantzf2_bgl)))); 
{ /* Inline/variant.scm 20 */
BgL_localzf2variantzf2_bglt BgL_res2897z00_2532;
((((BgL_localzf2variantzf2_bglt)CREF(BgL_new2655z00_2528))->BgL_variantz00) = ((bool_t)BgL_variant2654z00_2527), BUNSPEC); 
BgL_res2897z00_2532 = BgL_new2655z00_2528; BgL_res2897z00_2532; } 
BgL_res2898z00_2533 = BgL_new2655z00_2528; } } 
BgL_arg2879z00_1819 = BgL_res2898z00_2533; } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3016;BgL_objectz00_bglt BgL_auxz00_3014;
BgL_auxz00_3016 = 
(obj_t)(BgL_arg2879z00_1819); 
BgL_auxz00_3014 = 
(BgL_objectz00_bglt)(BgL_new2680z00_1817); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3014, BgL_auxz00_3016); } } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3019;
BgL_auxz00_3019 = 
(obj_t)(BgL_new2680z00_1817); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3019); } BUNSPEC; 
BgL_auxz00_2987 = BgL_new2680z00_1817; } } } 
return 
(obj_t)(BgL_auxz00_2987);} } } 
}



/* object->struct-local/variant2726 */
obj_t BGl_objectzd2ze3structzd2localzf2variant2726z11zzinline_variantz00(obj_t BgL_envz00_2584, obj_t BgL_obj2675z00_2585)
{ AN_OBJECT;
{ /* Inline/variant.scm 20 */
{ 
BgL_localzf2variantzf2_bglt BgL_obj2675z00_1801;
BgL_obj2675z00_1801 = 
(BgL_localzf2variantzf2_bglt)(BgL_obj2675z00_2585); 
{ 

{ /* Inline/variant.scm 20 */
obj_t BgL_res2676z00_1804;
{ /* Inline/variant.scm 20 */
obj_t BgL_nextzd2method2725zd2_1809;
BgL_nextzd2method2725zd2_1809 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2675z00_1801), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2variantzf2zzinline_variantz00); 
if(
PROCEDUREP(BgL_nextzd2method2725zd2_1809))
{ /* Inline/variant.scm 20 */
BgL_res2676z00_1804 = 
PROCEDURE_ENTRY(BgL_nextzd2method2725zd2_1809)(BgL_nextzd2method2725zd2_1809, 
(obj_t)(BgL_obj2675z00_1801), BEOA); }  else 
{ /* Inline/variant.scm 20 */
BgL_res2676z00_1804 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2675z00_1801)); } } 
{ /* Inline/variant.scm 20 */
obj_t BgL_aux2677z00_1805;
{ /* Inline/variant.scm 20 */
int BgL_auxz00_3035;obj_t BgL_auxz00_3033;
BgL_auxz00_3035 = 
(int)(((long)1)); 
BgL_auxz00_3033 = 
CNST_TABLE_REF(((long)2)); 
BgL_aux2677z00_1805 = 
make_struct(BgL_auxz00_3033, BgL_auxz00_3035, BUNSPEC); } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3040;int BgL_auxz00_3038;
{ /* Inline/variant.scm 20 */
bool_t BgL_auxz00_3041;
{ 
obj_t BgL_auxz00_3042;
{ /* Inline/variant.scm 20 */
BgL_objectz00_bglt BgL_auxz00_3043;
BgL_auxz00_3043 = 
(BgL_objectz00_bglt)(BgL_obj2675z00_1801); 
BgL_auxz00_3042 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3043); } 
BgL_auxz00_3041 = 
(((BgL_localzf2variantzf2_bglt)CREF(BgL_auxz00_3042))->BgL_variantz00); } 
BgL_auxz00_3040 = 
BBOOL(BgL_auxz00_3041); } 
BgL_auxz00_3038 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2677z00_1805, BgL_auxz00_3038, BgL_auxz00_3040); } 
{ /* Inline/variant.scm 20 */
int BgL_auxz00_3049;
BgL_auxz00_3049 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2676z00_1804, BgL_auxz00_3049, BgL_aux2677z00_1805); } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3052;
BgL_auxz00_3052 = 
STRUCT_KEY(BgL_res2676z00_1804); 
STRUCT_KEY_SET(BgL_aux2677z00_1805, BgL_auxz00_3052); } 
{ /* Inline/variant.scm 20 */
obj_t BgL_auxz00_3055;
BgL_auxz00_3055 = 
CNST_TABLE_REF(((long)2)); 
STRUCT_KEY_SET(BgL_res2676z00_1804, BgL_auxz00_3055); } 
return BgL_res2676z00_1804;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00()
{ AN_OBJECT;
{ /* Inline/variant.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_variant"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_variant"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_variant"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_variant");} 
}

