/*===========================================================================*/
/*   (Inline/walk.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t);
static obj_t BGl_methodzd2initzd2zzinline_walkz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
obj_t BGl_za2kfactorza2z00zzinline_walkz00 = BUNSPEC;
extern obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
extern obj_t current_error_port;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzinline_walkz00();
static obj_t BGl_resetzd2statz12zc0zzinline_walkz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00();
extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzinline_walkz00();
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl__inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t, obj_t);
static obj_t BGl__inlinezd2setupz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static bool_t BGl_showzd2statz12zc0zzinline_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzinline_walkz00 = BUNSPEC;
obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = BUNSPEC;
obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00();
static obj_t __cnst[ 7 ] ;

DEFINE_STATIC_PROCEDURE( BGl_resetzd2statz12zd2envz12zzinline_walkz00, BgL_bgl__resetza7d2statza712za7c0za7za7inline_walkza7002810z00, BGl__resetzd2statz12zc0zzinline_walkz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2setupz12zd2envz12zzinline_walkz00, BgL_bgl__inlineza7d2setupza712za7c0za7za7inline_walkza7002811z00, BGl__inlinezd2setupz12zc0zzinline_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string2799z00zzinline_walkz00, BgL_bgl_string2799za700za7za7inline_walkza7002812z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2798z00zzinline_walkz00, BgL_bgl_string2798za700za7za7inline_walkza7002813z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2797z00zzinline_walkz00, BgL_bgl_string2797za700za7za7inline_walkza7002814z00, " error", 6 );
DEFINE_STRING( BGl_string2796z00zzinline_walkz00, BgL_bgl_string2796za700za7za7inline_walkza7002815z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2805z00zzinline_walkz00, BgL_bgl_string2805za700za7za7inline_walkza7002816z00, "reducer all (show-stat!) inline sifun (reset-stat!) pass-started ", 65 );
DEFINE_STRING( BGl_string2795z00zzinline_walkz00, BgL_bgl_string2795za700za7za7inline_walkza7002817z00, "   . ", 5 );
DEFINE_STRING( BGl_string2804z00zzinline_walkz00, BgL_bgl_string2804za700za7za7inline_walkza7002818z00, "Illegal mode", 12 );
DEFINE_STRING( BGl_string2794z00zzinline_walkz00, BgL_bgl_string2794za700za7za7inline_walkza7002819z00, "Inlining", 8 );
DEFINE_STRING( BGl_string2803z00zzinline_walkz00, BgL_bgl_string2803za700za7za7inline_walkza7002820z00, "inline-setup!", 13 );
DEFINE_STRING( BGl_string2802z00zzinline_walkz00, BgL_bgl_string2802za700za7za7inline_walkza7002821z00, "      (non inlined calls : ", 27 );
DEFINE_STRING( BGl_string2801z00zzinline_walkz00, BgL_bgl_string2801za700za7za7inline_walkza7002822z00, "      (inlined calls     : ", 27 );
DEFINE_STRING( BGl_string2800z00zzinline_walkz00, BgL_bgl_string2800za700za7za7inline_walkza7002823z00, ")\n", 2 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2walkz12zd2envz12zzinline_walkz00, BgL_bgl__inlineza7d2walkza712za7c0za7za7inline_walkza7002824z00, BGl__inlinezd2walkz12zc0zzinline_walkz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_showzd2statz12zd2envz12zzinline_walkz00, BgL_bgl__showza7d2statza712za7c0za7za7inline_walkza7002825z00, BGl__showzd2statz12zc0zzinline_walkz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long BgL_checksumz00_2233, char * BgL_fromz00_2234)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_walkz00(); 
BGl_cnstzd2initzd2zzinline_walkz00(); 
BGl_importedzd2moduleszd2initz00zzinline_walkz00(); 
BGl_toplevelzd2initzd2zzinline_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "inline_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "inline_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 15 */
{ /* Inline/walk.scm 15 */
obj_t BgL_cportz00_2226;
BgL_cportz00_2226 = 
open_input_string(BGl_string2805z00zzinline_walkz00); 
{ 
long BgL_iz00_2227;
BgL_iz00_2227 = ((long)6); 
BgL_loopz00_2228:
if(
(BgL_iz00_2227==((long)-1)))
{ /* Inline/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/walk.scm 15 */
{ /* Inline/walk.scm 15 */
obj_t BgL_arg2807z00_2230;
{ /* Inline/walk.scm 15 */
obj_t BgL_list2808z00_2231;
BgL_list2808z00_2231 = 
MAKE_PAIR(BgL_cportz00_2226, BNIL); 
BgL_arg2807z00_2230 = 
BGl_readz00zz__readerz00(BgL_list2808z00_2231); } 
{ /* Inline/walk.scm 15 */
int BgL_auxz00_2252;
BgL_auxz00_2252 = 
(int)(BgL_iz00_2227); 
CNST_TABLE_SET(BgL_auxz00_2252, BgL_arg2807z00_2230); } } 
{ 
long BgL_iz00_2255;
{ /* Inline/walk.scm 15 */
int BgL_auxz00_2256;
{ /* Inline/walk.scm 15 */
long BgL_auxz00_2257;
BgL_auxz00_2257 = 
(BgL_iz00_2227-((long)1)); 
BgL_auxz00_2256 = 
(int)(BgL_auxz00_2257); } 
BgL_iz00_2255 = 
(long)(BgL_auxz00_2256); } 
BgL_iz00_2227 = BgL_iz00_2255; 
goto BgL_loopz00_2228;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 15 */
BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = 
BINT(((long)0)); 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(((long)0)); 
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
BINT(((long)1)), BUNSPEC) ;} 
}



/* inline-walk! */
obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t BgL_globalsz00_1, obj_t BgL_whatz00_2)
{ AN_OBJECT;
{ /* Inline/walk.scm 34 */
{ /* Inline/walk.scm 35 */
obj_t BgL_list2679z00_1237;
{ /* Inline/walk.scm 35 */
obj_t BgL_arg2681z00_1239;
{ /* Inline/walk.scm 35 */
obj_t BgL_arg2683z00_1241;
{ /* Inline/walk.scm 35 */
obj_t BgL_auxz00_2264;
BgL_auxz00_2264 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2683z00_1241 = 
MAKE_PAIR(BgL_auxz00_2264, BNIL); } 
BgL_arg2681z00_1239 = 
MAKE_PAIR(BGl_string2794z00zzinline_walkz00, BgL_arg2683z00_1241); } 
BgL_list2679z00_1237 = 
MAKE_PAIR(BGl_string2795z00zzinline_walkz00, BgL_arg2681z00_1239); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2679z00_1237); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2794z00zzinline_walkz00; 
{ 
obj_t BgL_hooksz00_1242;obj_t BgL_hnamesz00_1243;
{ /* Inline/walk.scm 35 */
obj_t BgL_arg2684z00_1245;obj_t BgL_arg2685z00_1246;
{ /* Inline/walk.scm 35 */
obj_t BgL_list2686z00_1247;
BgL_list2686z00_1247 = 
MAKE_PAIR(BGl_resetzd2statz12zd2envz12zzinline_walkz00, BNIL); 
BgL_arg2684z00_1245 = BgL_list2686z00_1247; } 
BgL_arg2685z00_1246 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_1242 = BgL_arg2684z00_1245; 
BgL_hnamesz00_1243 = BgL_arg2685z00_1246; 
BgL_loopz00_1244:
if(
NULLP(BgL_hooksz00_1242))
{ /* Inline/walk.scm 35 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Inline/walk.scm 35 */
bool_t BgL_test2688z00_1249;
{ /* Inline/walk.scm 35 */
obj_t BgL_fun2695z00_1255;
BgL_fun2695z00_1255 = 
CAR(BgL_hooksz00_1242); 
{ /* Inline/walk.scm 35 */
obj_t BgL_auxz00_2278;
BgL_auxz00_2278 = 
PROCEDURE_ENTRY(BgL_fun2695z00_1255)(BgL_fun2695z00_1255, BEOA); 
BgL_test2688z00_1249 = 
CBOOL(BgL_auxz00_2278); } } 
if(BgL_test2688z00_1249)
{ /* Inline/walk.scm 35 */
{ 
obj_t BgL_hnamesz00_2285;obj_t BgL_hooksz00_2283;
BgL_hooksz00_2283 = 
CDR(BgL_hooksz00_1242); 
BgL_hnamesz00_2285 = 
CDR(BgL_hnamesz00_1243); 
BgL_hnamesz00_1243 = BgL_hnamesz00_2285; 
BgL_hooksz00_1242 = BgL_hooksz00_2283; 
goto BgL_loopz00_1244;} }  else 
{ /* Inline/walk.scm 35 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2794z00zzinline_walkz00, BGl_string2796z00zzinline_walkz00, 
CAR(BgL_hnamesz00_1243)); } } } } 
BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_2); 
{ 
obj_t BgL_l2676z00_1256;
BgL_l2676z00_1256 = BgL_globalsz00_1; 
BgL_lname2677z00_1257:
if(
PAIRP(BgL_l2676z00_1256))
{ /* Inline/walk.scm 40 */
{ /* Inline/walk.scm 41 */
obj_t BgL_gz00_1259;
BgL_gz00_1259 = 
CAR(BgL_l2676z00_1256); 
{ /* Inline/walk.scm 41 */
obj_t BgL_kfactorz00_1260;
{ /* Inline/walk.scm 41 */
bool_t BgL_testz00_2293;
{ /* Inline/walk.scm 41 */
obj_t BgL_auxz00_2300;obj_t BgL_auxz00_2294;
BgL_auxz00_2300 = 
CNST_TABLE_REF(((long)2)); 
{ /* Inline/walk.scm 41 */
BgL_sfunz00_bglt BgL_obj1376z00_1717;
{ /* Inline/walk.scm 41 */
BgL_valuez00_bglt BgL_auxz00_2295;
{ /* Inline/walk.scm 41 */
BgL_globalz00_bglt BgL_obj1155z00_1716;
BgL_obj1155z00_1716 = 
(BgL_globalz00_bglt)(BgL_gz00_1259); 
BgL_auxz00_2295 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1716))->BgL_valuez00); } 
BgL_obj1376z00_1717 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2295); } 
BgL_auxz00_2294 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1717))->BgL_classz00); } 
BgL_testz00_2293 = 
(BgL_auxz00_2294==BgL_auxz00_2300); } 
if(BgL_testz00_2293)
{ /* Inline/walk.scm 41 */
BgL_kfactorz00_1260 = 
BINT(((long)1)); }  else 
{ /* Inline/walk.scm 41 */
BgL_kfactorz00_1260 = BGl_za2kfactorza2z00zzinline_walkz00; } } 
{ /* Inline/walk.scm 47 */
obj_t BgL_auxz00_2304;
{ /* Inline/walk.scm 47 */
BgL_globalz00_bglt BgL_obj1148z00_1718;
BgL_obj1148z00_1718 = 
(BgL_globalz00_bglt)(BgL_gz00_1259); 
BgL_auxz00_2304 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_1718))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_2304); } 
BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
(BgL_variablez00_bglt)(BgL_gz00_1259), 
(long)CINT(BgL_kfactorz00_1260), BNIL); 
BGl_leavezd2functionzd2zztools_errorz00(); } } 
{ 
obj_t BgL_l2676z00_2312;
BgL_l2676z00_2312 = 
CDR(BgL_l2676z00_1256); 
BgL_l2676z00_1256 = BgL_l2676z00_2312; 
goto BgL_lname2677z00_1257;} }  else 
{ /* Inline/walk.scm 40 */((bool_t)1); } } 
{ 
obj_t BgL_globalsz00_1267;obj_t BgL_newzd2globalszd2_1268;
BgL_globalsz00_1267 = BgL_globalsz00_1; 
BgL_newzd2globalszd2_1268 = BNIL; 
BgL_loopz00_1269:
if(
NULLP(BgL_globalsz00_1267))
{ /* Inline/walk.scm 55 */
{ /* Inline/walk.scm 56 */
obj_t BgL_valuez00_1271;
{ /* Inline/walk.scm 56 */
obj_t BgL_arg2724z00_1295;obj_t BgL_arg2725z00_1296;
BgL_arg2724z00_1295 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2725z00_1296 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2globalszd2_1268); 
BgL_valuez00_1271 = 
BGl_removezd2varzd2zzast_removez00(BgL_arg2724z00_1295, BgL_arg2725z00_1296); } 
{ /* Inline/walk.scm 56 */
bool_t BgL_test2704z00_1272;
{ /* Inline/walk.scm 56 */
long BgL_n1z00_1721;
BgL_n1z00_1721 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2704z00_1272 = 
(BgL_n1z00_1721>((long)0)); } 
if(BgL_test2704z00_1272)
{ /* Inline/walk.scm 56 */
{ /* Inline/walk.scm 56 */
obj_t BgL_list2705z00_1274;
BgL_list2705z00_1274 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2705z00_1274); } 
{ /* Inline/walk.scm 56 */
obj_t BgL_list2706z00_1275;
BgL_list2706z00_1275 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2797z00zzinline_walkz00, BgL_list2706z00_1275); } 
{ /* Inline/walk.scm 56 */
char * BgL_arg2707z00_1276;
{ /* Inline/walk.scm 56 */
bool_t BgL_test2709z00_1278;
{ /* Inline/walk.scm 56 */
bool_t BgL_test2710z00_1279;
{ /* Inline/walk.scm 56 */
obj_t BgL_objz00_1723;
BgL_objz00_1723 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2710z00_1279 = 
INTEGERP(BgL_objz00_1723); } 
if(BgL_test2710z00_1279)
{ /* Inline/walk.scm 56 */
BgL_test2709z00_1278 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Inline/walk.scm 56 */
BgL_test2709z00_1278 = ((bool_t)0); } } 
if(BgL_test2709z00_1278)
{ /* Inline/walk.scm 56 */
BgL_arg2707z00_1276 = "s"; }  else 
{ /* Inline/walk.scm 56 */
BgL_arg2707z00_1276 = ""; } } 
{ /* Inline/walk.scm 56 */
obj_t BgL_list2708z00_1277;
BgL_list2708z00_1277 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2707z00_1276), BgL_list2708z00_1277); } } 
{ /* Inline/walk.scm 56 */
obj_t BgL_list2711z00_1280;
BgL_list2711z00_1280 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2798z00zzinline_walkz00, BgL_list2711z00_1280); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Inline/walk.scm 56 */
obj_t BgL_list2712z00_1281;
{ /* Inline/walk.scm 56 */
obj_t BgL_auxz00_2337;
BgL_auxz00_2337 = 
BINT(((long)-1)); 
BgL_list2712z00_1281 = 
MAKE_PAIR(BgL_auxz00_2337, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2712z00_1281);} }  else 
{ 
obj_t BgL_hooksz00_1282;obj_t BgL_hnamesz00_1283;
{ /* Inline/walk.scm 56 */
obj_t BgL_arg2713z00_1285;obj_t BgL_arg2714z00_1286;
{ /* Inline/walk.scm 56 */
obj_t BgL_list2715z00_1287;
BgL_list2715z00_1287 = 
MAKE_PAIR(BGl_showzd2statz12zd2envz12zzinline_walkz00, BNIL); 
BgL_arg2713z00_1285 = BgL_list2715z00_1287; } 
BgL_arg2714z00_1286 = 
CNST_TABLE_REF(((long)4)); 
BgL_hooksz00_1282 = BgL_arg2713z00_1285; 
BgL_hnamesz00_1283 = BgL_arg2714z00_1286; 
BgL_loopz00_1284:
if(
NULLP(BgL_hooksz00_1282))
{ /* Inline/walk.scm 56 */
return BgL_valuez00_1271;}  else 
{ /* Inline/walk.scm 56 */
bool_t BgL_test2717z00_1289;
{ /* Inline/walk.scm 56 */
obj_t BgL_fun2723z00_1294;
BgL_fun2723z00_1294 = 
CAR(BgL_hooksz00_1282); 
{ /* Inline/walk.scm 56 */
obj_t BgL_auxz00_2346;
BgL_auxz00_2346 = 
PROCEDURE_ENTRY(BgL_fun2723z00_1294)(BgL_fun2723z00_1294, BEOA); 
BgL_test2717z00_1289 = 
CBOOL(BgL_auxz00_2346); } } 
if(BgL_test2717z00_1289)
{ /* Inline/walk.scm 56 */
{ 
obj_t BgL_hnamesz00_2353;obj_t BgL_hooksz00_2351;
BgL_hooksz00_2351 = 
CDR(BgL_hooksz00_1282); 
BgL_hnamesz00_2353 = 
CDR(BgL_hnamesz00_1283); 
BgL_hnamesz00_1283 = BgL_hnamesz00_2353; 
BgL_hooksz00_1282 = BgL_hooksz00_2351; 
goto BgL_loopz00_1284;} }  else 
{ /* Inline/walk.scm 56 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2799z00zzinline_walkz00, 
CAR(BgL_hnamesz00_1283));} } } } } } }  else 
{ /* Inline/walk.scm 58 */
bool_t BgL_test2726z00_1297;
{ /* Inline/walk.scm 58 */
obj_t BgL_auxz00_2357;
{ /* Inline/walk.scm 58 */
BgL_globalz00_bglt BgL_obj1170z00_1733;
{ /* Inline/walk.scm 58 */
obj_t BgL_auxz00_2358;
BgL_auxz00_2358 = 
CAR(BgL_globalsz00_1267); 
BgL_obj1170z00_1733 = 
(BgL_globalz00_bglt)(BgL_auxz00_2358); } 
BgL_auxz00_2357 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1733))->BgL_modulez00); } 
BgL_test2726z00_1297 = 
(BgL_auxz00_2357==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test2726z00_1297)
{ /* Inline/walk.scm 58 */
{ /* Inline/walk.scm 59 */
obj_t BgL_arg2727z00_1298;obj_t BgL_arg2728z00_1299;
BgL_arg2727z00_1298 = 
CDR(BgL_globalsz00_1267); 
{ /* Inline/walk.scm 59 */
obj_t BgL_auxz00_2365;
BgL_auxz00_2365 = 
CAR(BgL_globalsz00_1267); 
BgL_arg2728z00_1299 = 
MAKE_PAIR(BgL_auxz00_2365, BgL_newzd2globalszd2_1268); } 
{ 
obj_t BgL_newzd2globalszd2_2369;obj_t BgL_globalsz00_2368;
BgL_globalsz00_2368 = BgL_arg2727z00_1298; 
BgL_newzd2globalszd2_2369 = BgL_arg2728z00_1299; 
BgL_newzd2globalszd2_1268 = BgL_newzd2globalszd2_2369; 
BgL_globalsz00_1267 = BgL_globalsz00_2368; 
goto BgL_loopz00_1269;} } }  else 
{ /* Inline/walk.scm 58 */
{ 
obj_t BgL_globalsz00_2370;
BgL_globalsz00_2370 = 
CDR(BgL_globalsz00_1267); 
BgL_globalsz00_1267 = BgL_globalsz00_2370; 
goto BgL_loopz00_1269;} } } } } 
}



/* _inline-walk! */
obj_t BGl__inlinezd2walkz12zc0zzinline_walkz00(obj_t BgL_envz00_2219, obj_t BgL_globalsz00_2220, obj_t BgL_whatz00_2221)
{ AN_OBJECT;
{ /* Inline/walk.scm 34 */
return 
BGl_inlinezd2walkz12zc0zzinline_walkz00(BgL_globalsz00_2220, BgL_whatz00_2221);} 
}



/* reset-stat! */
obj_t BGl_resetzd2statz12zc0zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 72 */
BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = 
BINT(((long)0)); 
return ( 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(((long)0)), BUNSPEC) ;} 
}



/* _reset-stat! */
obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_2222)
{ AN_OBJECT;
{ /* Inline/walk.scm 72 */
return 
BGl_resetzd2statz12zc0zzinline_walkz00();} 
}



/* show-stat! */
bool_t BGl_showzd2statz12zc0zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 79 */
{ /* Inline/walk.scm 80 */
obj_t BgL_list2733z00_1304;
{ /* Inline/walk.scm 80 */
obj_t BgL_arg2735z00_1306;
{ /* Inline/walk.scm 80 */
obj_t BgL_arg2736z00_1307;
BgL_arg2736z00_1307 = 
MAKE_PAIR(BGl_string2800z00zzinline_walkz00, BNIL); 
BgL_arg2735z00_1306 = 
MAKE_PAIR(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00, BgL_arg2736z00_1307); } 
BgL_list2733z00_1304 = 
MAKE_PAIR(BGl_string2801z00zzinline_walkz00, BgL_arg2735z00_1306); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2733z00_1304); } 
{ /* Inline/walk.scm 81 */
obj_t BgL_list2737z00_1308;
{ /* Inline/walk.scm 81 */
obj_t BgL_arg2739z00_1310;
{ /* Inline/walk.scm 81 */
obj_t BgL_arg2740z00_1311;
BgL_arg2740z00_1311 = 
MAKE_PAIR(BGl_string2800z00zzinline_walkz00, BNIL); 
BgL_arg2739z00_1310 = 
MAKE_PAIR(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00, BgL_arg2740z00_1311); } 
BgL_list2737z00_1308 = 
MAKE_PAIR(BGl_string2802z00zzinline_walkz00, BgL_arg2739z00_1310); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2737z00_1308); } 
return ((bool_t)1);} 
}



/* _show-stat! */
obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_2223)
{ AN_OBJECT;
{ /* Inline/walk.scm 79 */
{ /* Inline/walk.scm 79 */
bool_t BgL_auxz00_2386;
BgL_auxz00_2386 = 
BGl_showzd2statz12zc0zzinline_walkz00(); 
return 
BBOOL(BgL_auxz00_2386);} } 
}



/* inline-setup! */
obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t BgL_whatz00_3)
{ AN_OBJECT;
{ /* Inline/walk.scm 87 */
{ /* Inline/walk.scm 89 */
bool_t BgL_testz00_2389;
{ /* Inline/walk.scm 89 */
obj_t BgL_auxz00_2390;
BgL_auxz00_2390 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_2389 = 
(BgL_whatz00_3==BgL_auxz00_2390); } 
if(BgL_testz00_2389)
{ /* Inline/walk.scm 89 */
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
PROCEDURE_ENTRY(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00)(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00, BGl_za2optimza2z00zzengine_paramz00, BEOA), BUNSPEC) ;}  else 
{ /* Inline/walk.scm 89 */
bool_t BgL_testz00_2395;
{ /* Inline/walk.scm 89 */
obj_t BgL_auxz00_2396;
BgL_auxz00_2396 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2395 = 
(BgL_whatz00_3==BgL_auxz00_2396); } 
if(BgL_testz00_2395)
{ /* Inline/walk.scm 89 */
return ( 
BGl_za2kfactorza2z00zzinline_walkz00 = 
BINT(((long)1)), BUNSPEC) ;}  else 
{ /* Inline/walk.scm 89 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2803z00zzinline_walkz00, BGl_string2804z00zzinline_walkz00, BgL_whatz00_3);} } } } 
}



/* _inline-setup! */
obj_t BGl__inlinezd2setupz12zc0zzinline_walkz00(obj_t BgL_envz00_2224, obj_t BgL_whatz00_2225)
{ AN_OBJECT;
{ /* Inline/walk.scm 87 */
return 
BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_2225);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00()
{ AN_OBJECT;
{ /* Inline/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "inline_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "inline_walk"); 
return 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63028), "inline_walk");} 
}

