/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00();
static obj_t BGl__Cnz62Ctz12z70zzintegrate_ctnz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
static obj_t __cnst[ 2 ] ;

DEFINE_STRING( BGl_string3009z00zzintegrate_ctnz00, BgL_bgl_string3009za700za7za7integrate_ctnza7003014z00, "escape tail ", 12 );
DEFINE_EXPORT_PROCEDURE( BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00, BgL_bgl__cnza762ctza712za770za7za7integrate_ctnza7003015z00, BGl__Cnz62Ctz12z70zzintegrate_ctnz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long BgL_checksumz00_2578, char * BgL_fromz00_2579)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00(); 
BGl_cnstzd2initzd2zzintegrate_ctnz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00()
{ AN_OBJECT;
{ /* Integrate/ctn.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_ctn"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00()
{ AN_OBJECT;
{ /* Integrate/ctn.scm 15 */
{ /* Integrate/ctn.scm 15 */
obj_t BgL_cportz00_2571;
BgL_cportz00_2571 = 
open_input_string(BGl_string3009z00zzintegrate_ctnz00); 
{ 
long BgL_iz00_2572;
BgL_iz00_2572 = ((long)1); 
BgL_loopz00_2573:
if(
(BgL_iz00_2572==((long)-1)))
{ /* Integrate/ctn.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/ctn.scm 15 */
{ /* Integrate/ctn.scm 15 */
obj_t BgL_arg3011z00_2575;
{ /* Integrate/ctn.scm 15 */
obj_t BgL_list3012z00_2576;
BgL_list3012z00_2576 = 
MAKE_PAIR(BgL_cportz00_2571, BNIL); 
BgL_arg3011z00_2575 = 
BGl_readz00zz__readerz00(BgL_list3012z00_2576); } 
{ /* Integrate/ctn.scm 15 */
int BgL_auxz00_2594;
BgL_auxz00_2594 = 
(int)(BgL_iz00_2572); 
CNST_TABLE_SET(BgL_auxz00_2594, BgL_arg3011z00_2575); } } 
{ 
long BgL_iz00_2597;
{ /* Integrate/ctn.scm 15 */
int BgL_auxz00_2598;
{ /* Integrate/ctn.scm 15 */
long BgL_auxz00_2599;
BgL_auxz00_2599 = 
(BgL_iz00_2572-((long)1)); 
BgL_auxz00_2598 = 
(int)(BgL_auxz00_2599); } 
BgL_iz00_2597 = 
(long)(BgL_auxz00_2598); } 
BgL_iz00_2572 = BgL_iz00_2597; 
goto BgL_loopz00_2573;} } } } } 
}



/* Cn&Ct! */
obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_1)
{ AN_OBJECT;
{ /* Integrate/ctn.scm 31 */
{ 
obj_t BgL_asz00_1435;obj_t BgL_gzf2cnzf2_1436;
BgL_asz00_1435 = BgL_az00_1; 
BgL_gzf2cnzf2_1436 = BNIL; 
BgL_loopz00_1437:
if(
NULLP(BgL_asz00_1435))
{ /* Integrate/ctn.scm 34 */
return BgL_gzf2cnzf2_1436;}  else 
{ /* Integrate/ctn.scm 38 */
obj_t BgL_az00_1439;
BgL_az00_1439 = 
CAR(BgL_asz00_1435); 
{ /* Integrate/ctn.scm 38 */
obj_t BgL_fz00_1440;
BgL_fz00_1440 = 
CAR(BgL_az00_1439); 
{ /* Integrate/ctn.scm 39 */
obj_t BgL_gz00_1441;
{ /* Integrate/ctn.scm 40 */
obj_t BgL_auxz00_2607;
BgL_auxz00_2607 = 
CDR(BgL_az00_1439); 
BgL_gz00_1441 = 
CAR(BgL_auxz00_2607); } 
{ /* Integrate/ctn.scm 40 */
obj_t BgL_kz00_1442;
{ /* Integrate/ctn.scm 41 */
obj_t BgL_auxz00_2610;
{ /* Integrate/ctn.scm 41 */
obj_t BgL_auxz00_2611;
BgL_auxz00_2611 = 
CDR(BgL_az00_1439); 
BgL_auxz00_2610 = 
CDR(BgL_auxz00_2611); } 
BgL_kz00_1442 = 
CAR(BgL_auxz00_2610); } 
{ /* Integrate/ctn.scm 41 */
BgL_valuez00_bglt BgL_fiz00_1443;
{ /* Integrate/ctn.scm 42 */
BgL_variablez00_bglt BgL_obj1103z00_1921;
BgL_obj1103z00_1921 = 
(BgL_variablez00_bglt)(BgL_fz00_1440); 
BgL_fiz00_1443 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1921))->BgL_valuez00); } 
{ /* Integrate/ctn.scm 42 */
BgL_valuez00_bglt BgL_giz00_1444;
{ /* Integrate/ctn.scm 43 */
BgL_variablez00_bglt BgL_obj1103z00_1922;
BgL_obj1103z00_1922 = 
(BgL_variablez00_bglt)(BgL_gz00_1441); 
BgL_giz00_1444 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1922))->BgL_valuez00); } 
{ /* Integrate/ctn.scm 43 */

{ /* Integrate/ctn.scm 45 */
bool_t BgL_test2915z00_1445;
BgL_test2915z00_1445 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1441, BGl_globalz00zzast_varz00); 
if(BgL_test2915z00_1445)
{ /* Integrate/ctn.scm 45 */
{ 
obj_t BgL_asz00_2621;
BgL_asz00_2621 = 
CDR(BgL_asz00_1435); 
BgL_asz00_1435 = BgL_asz00_2621; 
goto BgL_loopz00_1437;} }  else 
{ /* Integrate/ctn.scm 47 */
bool_t BgL_testz00_2623;
{ /* Integrate/ctn.scm 47 */
obj_t BgL_auxz00_2624;
BgL_auxz00_2624 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_2623 = 
(BgL_kz00_1442==BgL_auxz00_2624); } 
if(BgL_testz00_2623)
{ /* Integrate/ctn.scm 47 */
{ /* Integrate/ctn.scm 48 */
obj_t BgL_arg2918z00_1448;
{ /* Integrate/ctn.scm 48 */
obj_t BgL_auxz00_2627;
{ /* Integrate/ctn.scm 48 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2854z00_1925;
BgL_obj2854z00_1925 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2629;
{ /* Integrate/ctn.scm 48 */
BgL_objectz00_bglt BgL_auxz00_2630;
BgL_auxz00_2630 = 
(BgL_objectz00_bglt)(BgL_obj2854z00_1925); 
BgL_auxz00_2629 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2630); } 
BgL_auxz00_2627 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2629))->BgL_ctz00); } } 
BgL_arg2918z00_1448 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2627); } 
{ /* Integrate/ctn.scm 48 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2856z00_1926;
BgL_obj2856z00_1926 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2636;
{ /* Integrate/ctn.scm 48 */
BgL_objectz00_bglt BgL_auxz00_2637;
BgL_auxz00_2637 = 
(BgL_objectz00_bglt)(BgL_obj2856z00_1926); 
BgL_auxz00_2636 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2637); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2636))->BgL_ctz00) = ((obj_t)BgL_arg2918z00_1448), BUNSPEC); } } } 
{ /* Integrate/ctn.scm 49 */
bool_t BgL_testz00_2641;
if(
(BgL_fz00_1440==BgL_gz00_1441))
{ /* Integrate/ctn.scm 49 */
BgL_testz00_2641 = ((bool_t)0)
; }  else 
{ /* Integrate/ctn.scm 50 */
bool_t BgL_testz00_2644;
{ /* Integrate/ctn.scm 50 */
obj_t BgL_auxz00_2645;
{ /* Integrate/ctn.scm 50 */
obj_t BgL_auxz00_2646;
{ /* Integrate/ctn.scm 50 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1928;
BgL_obj2857z00_1928 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2648;
{ /* Integrate/ctn.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2649;
BgL_auxz00_2649 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1928); 
BgL_auxz00_2648 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2649); } 
BgL_auxz00_2646 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2648))->BgL_kontz00); } } 
BgL_auxz00_2645 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_gz00_1441, BgL_auxz00_2646); } 
BgL_testz00_2644 = 
CBOOL(BgL_auxz00_2645); } 
if(BgL_testz00_2644)
{ /* Integrate/ctn.scm 50 */
BgL_testz00_2641 = ((bool_t)0)
; }  else 
{ /* Integrate/ctn.scm 50 */
BgL_testz00_2641 = ((bool_t)1)
; } } 
if(BgL_testz00_2641)
{ /* Integrate/ctn.scm 51 */
obj_t BgL_arg2921z00_1451;
{ /* Integrate/ctn.scm 51 */
obj_t BgL_auxz00_2655;
{ /* Integrate/ctn.scm 51 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1929;
BgL_obj2857z00_1929 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2657;
{ /* Integrate/ctn.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2658;
BgL_auxz00_2658 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1929); 
BgL_auxz00_2657 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2658); } 
BgL_auxz00_2655 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2657))->BgL_kontz00); } } 
BgL_arg2921z00_1451 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2655); } 
{ /* Integrate/ctn.scm 51 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2859z00_1930;
BgL_obj2859z00_1930 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2664;
{ /* Integrate/ctn.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2665;
BgL_auxz00_2665 = 
(BgL_objectz00_bglt)(BgL_obj2859z00_1930); 
BgL_auxz00_2664 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2665); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2664))->BgL_kontz00) = ((obj_t)BgL_arg2921z00_1451), BUNSPEC); } } }  else 
{ /* Integrate/ctn.scm 49 */BFALSE; } } 
{ 
obj_t BgL_asz00_2669;
BgL_asz00_2669 = 
CDR(BgL_asz00_1435); 
BgL_asz00_1435 = BgL_asz00_2669; 
goto BgL_loopz00_1437;} }  else 
{ /* Integrate/ctn.scm 53 */
bool_t BgL_testz00_2671;
{ /* Integrate/ctn.scm 53 */
obj_t BgL_auxz00_2672;
BgL_auxz00_2672 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_2671 = 
(BgL_kz00_1442==BgL_auxz00_2672); } 
if(BgL_testz00_2671)
{ /* Integrate/ctn.scm 53 */
{ /* Integrate/ctn.scm 54 */
bool_t BgL_testz00_2675;
{ /* Integrate/ctn.scm 54 */
obj_t BgL_auxz00_2676;
{ /* Integrate/ctn.scm 54 */
obj_t BgL_auxz00_2677;
{ /* Integrate/ctn.scm 54 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1933;
BgL_obj2857z00_1933 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2679;
{ /* Integrate/ctn.scm 54 */
BgL_objectz00_bglt BgL_auxz00_2680;
BgL_auxz00_2680 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1933); 
BgL_auxz00_2679 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2680); } 
BgL_auxz00_2677 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2679))->BgL_kontz00); } } 
BgL_auxz00_2676 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_gz00_1441, BgL_auxz00_2677); } 
BgL_testz00_2675 = 
CBOOL(BgL_auxz00_2676); } 
if(BgL_testz00_2675)
{ /* Integrate/ctn.scm 54 */BFALSE; }  else 
{ /* Integrate/ctn.scm 55 */
obj_t BgL_arg2929z00_1459;
{ /* Integrate/ctn.scm 55 */
obj_t BgL_auxz00_2686;
{ /* Integrate/ctn.scm 55 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1934;
BgL_obj2857z00_1934 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2688;
{ /* Integrate/ctn.scm 55 */
BgL_objectz00_bglt BgL_auxz00_2689;
BgL_auxz00_2689 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1934); 
BgL_auxz00_2688 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2689); } 
BgL_auxz00_2686 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2688))->BgL_kontz00); } } 
BgL_arg2929z00_1459 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2686); } 
{ /* Integrate/ctn.scm 55 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2859z00_1935;
BgL_obj2859z00_1935 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2695;
{ /* Integrate/ctn.scm 55 */
BgL_objectz00_bglt BgL_auxz00_2696;
BgL_auxz00_2696 = 
(BgL_objectz00_bglt)(BgL_obj2859z00_1935); 
BgL_auxz00_2695 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2696); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2695))->BgL_kontz00) = ((obj_t)BgL_arg2929z00_1459), BUNSPEC); } } } } 
{ 
obj_t BgL_asz00_2700;
BgL_asz00_2700 = 
CDR(BgL_asz00_1435); 
BgL_asz00_1435 = BgL_asz00_2700; 
goto BgL_loopz00_1437;} }  else 
{ /* Integrate/ctn.scm 57 */
bool_t BgL_testz00_2702;
{ /* Integrate/ctn.scm 57 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2848z00_1938;
BgL_obj2848z00_1938 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_giz00_1444); 
{ /* Integrate/ctn.scm 57 */
obj_t BgL_auxz00_2704;
{ 
obj_t BgL_auxz00_2705;
{ /* Integrate/ctn.scm 57 */
BgL_objectz00_bglt BgL_auxz00_2706;
BgL_auxz00_2706 = 
(BgL_objectz00_bglt)(BgL_obj2848z00_1938); 
BgL_auxz00_2705 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2706); } 
BgL_auxz00_2704 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2705))->BgL_uz00); } 
BgL_testz00_2702 = 
CBOOL(BgL_auxz00_2704); } } 
if(BgL_testz00_2702)
{ /* Integrate/ctn.scm 57 */
{ /* Integrate/ctn.scm 58 */
obj_t BgL_arg2934z00_1464;
{ /* Integrate/ctn.scm 58 */
obj_t BgL_auxz00_2711;
{ /* Integrate/ctn.scm 58 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2854z00_1939;
BgL_obj2854z00_1939 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2713;
{ /* Integrate/ctn.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2714;
BgL_auxz00_2714 = 
(BgL_objectz00_bglt)(BgL_obj2854z00_1939); 
BgL_auxz00_2713 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2714); } 
BgL_auxz00_2711 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2713))->BgL_ctz00); } } 
BgL_arg2934z00_1464 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2711); } 
{ /* Integrate/ctn.scm 58 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2856z00_1940;
BgL_obj2856z00_1940 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2720;
{ /* Integrate/ctn.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2721;
BgL_auxz00_2721 = 
(BgL_objectz00_bglt)(BgL_obj2856z00_1940); 
BgL_auxz00_2720 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2721); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2720))->BgL_ctz00) = ((obj_t)BgL_arg2934z00_1464), BUNSPEC); } } } 
{ /* Integrate/ctn.scm 59 */
bool_t BgL_testz00_2725;
{ /* Integrate/ctn.scm 59 */
obj_t BgL_auxz00_2726;
{ /* Integrate/ctn.scm 59 */
obj_t BgL_auxz00_2727;
{ /* Integrate/ctn.scm 59 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1942;
BgL_obj2857z00_1942 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2729;
{ /* Integrate/ctn.scm 59 */
BgL_objectz00_bglt BgL_auxz00_2730;
BgL_auxz00_2730 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1942); 
BgL_auxz00_2729 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2730); } 
BgL_auxz00_2727 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2729))->BgL_kontz00); } } 
BgL_auxz00_2726 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_gz00_1441, BgL_auxz00_2727); } 
BgL_testz00_2725 = 
CBOOL(BgL_auxz00_2726); } 
if(BgL_testz00_2725)
{ /* Integrate/ctn.scm 59 */BFALSE; }  else 
{ /* Integrate/ctn.scm 60 */
obj_t BgL_arg2937z00_1467;
{ /* Integrate/ctn.scm 60 */
obj_t BgL_auxz00_2736;
{ /* Integrate/ctn.scm 60 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_1943;
BgL_obj2857z00_1943 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2738;
{ /* Integrate/ctn.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2739;
BgL_auxz00_2739 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_1943); 
BgL_auxz00_2738 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2739); } 
BgL_auxz00_2736 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2738))->BgL_kontz00); } } 
BgL_arg2937z00_1467 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2736); } 
{ /* Integrate/ctn.scm 60 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2859z00_1944;
BgL_obj2859z00_1944 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2745;
{ /* Integrate/ctn.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2746;
BgL_auxz00_2746 = 
(BgL_objectz00_bglt)(BgL_obj2859z00_1944); 
BgL_auxz00_2745 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2746); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2745))->BgL_kontz00) = ((obj_t)BgL_arg2937z00_1467), BUNSPEC); } } } } 
{ 
obj_t BgL_asz00_2750;
BgL_asz00_2750 = 
CDR(BgL_asz00_1435); 
BgL_asz00_1435 = BgL_asz00_2750; 
goto BgL_loopz00_1437;} }  else 
{ /* Integrate/ctn.scm 57 */
{ /* Integrate/ctn.scm 63 */
obj_t BgL_arg2941z00_1471;
{ /* Integrate/ctn.scm 63 */
obj_t BgL_auxz00_2752;
{ /* Integrate/ctn.scm 63 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2851z00_1947;
BgL_obj2851z00_1947 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2754;
{ /* Integrate/ctn.scm 63 */
BgL_objectz00_bglt BgL_auxz00_2755;
BgL_auxz00_2755 = 
(BgL_objectz00_bglt)(BgL_obj2851z00_1947); 
BgL_auxz00_2754 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2755); } 
BgL_auxz00_2752 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2754))->BgL_cnz00); } } 
BgL_arg2941z00_1471 = 
MAKE_PAIR(BgL_gz00_1441, BgL_auxz00_2752); } 
{ /* Integrate/ctn.scm 63 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2853z00_1948;
BgL_obj2853z00_1948 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fiz00_1443); 
{ 
obj_t BgL_auxz00_2761;
{ /* Integrate/ctn.scm 63 */
BgL_objectz00_bglt BgL_auxz00_2762;
BgL_auxz00_2762 = 
(BgL_objectz00_bglt)(BgL_obj2853z00_1948); 
BgL_auxz00_2761 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2762); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2761))->BgL_cnz00) = ((obj_t)BgL_arg2941z00_1471), BUNSPEC); } } } 
{ /* Integrate/ctn.scm 64 */
bool_t BgL_testz00_2766;
{ /* Integrate/ctn.scm 64 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_1950;
BgL_obj2860z00_1950 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_giz00_1444); 
{ 
obj_t BgL_auxz00_2768;
{ /* Integrate/ctn.scm 64 */
BgL_objectz00_bglt BgL_auxz00_2769;
BgL_auxz00_2769 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_1950); 
BgL_auxz00_2768 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2769); } 
BgL_testz00_2766 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2768))->BgL_gzf3zf3); } } 
if(BgL_testz00_2766)
{ 
obj_t BgL_asz00_2773;
BgL_asz00_2773 = 
CDR(BgL_asz00_1435); 
BgL_asz00_1435 = BgL_asz00_2773; 
goto BgL_loopz00_1437;}  else 
{ /* Integrate/ctn.scm 64 */
{ /* Integrate/ctn.scm 66 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2862z00_1952;
BgL_obj2862z00_1952 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_giz00_1444); 
{ 
obj_t BgL_auxz00_2776;
{ /* Integrate/ctn.scm 66 */
BgL_objectz00_bglt BgL_auxz00_2777;
BgL_auxz00_2777 = 
(BgL_objectz00_bglt)(BgL_obj2862z00_1952); 
BgL_auxz00_2776 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2777); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2776))->BgL_gzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Integrate/ctn.scm 67 */
obj_t BgL_arg2945z00_1475;obj_t BgL_arg2946z00_1476;
BgL_arg2945z00_1475 = 
CDR(BgL_asz00_1435); 
BgL_arg2946z00_1476 = 
MAKE_PAIR(BgL_gz00_1441, BgL_gzf2cnzf2_1436); 
{ 
obj_t BgL_gzf2cnzf2_2784;obj_t BgL_asz00_2783;
BgL_asz00_2783 = BgL_arg2945z00_1475; 
BgL_gzf2cnzf2_2784 = BgL_arg2946z00_1476; 
BgL_gzf2cnzf2_1436 = BgL_gzf2cnzf2_2784; 
BgL_asz00_1435 = BgL_asz00_2783; 
goto BgL_loopz00_1437;} } } } } } } } } } } } } } } } } } 
}



/* _Cn&Ct! */
obj_t BGl__Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_envz00_2569, obj_t BgL_az00_2570)
{ AN_OBJECT;
{ /* Integrate/ctn.scm 31 */
return 
BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_2570);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_ctnz00()
{ AN_OBJECT;
{ /* Integrate/ctn.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00()
{ AN_OBJECT;
{ /* Integrate/ctn.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_ctn"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_ctn"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_az00(((long)48219), "integrate_ctn");} 
}

