/*===========================================================================*/
/*   (Integrate/definition.scm)                                              */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzintegrate_definitionz00();
extern obj_t BGl_za2phiza2z00zzintegrate_az00;
extern obj_t BGl_Az00zzintegrate_az00(BgL_globalz00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
extern obj_t BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
extern obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_uz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl__integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t, obj_t);
extern bool_t BGl_zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
extern obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t, BgL_globalz00_bglt);
static bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t);
extern obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
extern obj_t BGl_Uz12z12zzintegrate_uz00();
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 = BUNSPEC;
extern obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_integratezd2definitionz12zd2envz12zzintegrate_definitionz00, BgL_bgl__integrateza7d2definitionza712za7c0za7za7integrate_definitionza7003030z00, BGl__integratezd2definitionz12zc0zzintegrate_definitionz00, 0L, 1 );
DEFINE_STRING( BGl_string3028z00zzintegrate_definitionz00, BgL_bgl_string3028za700za7za7integrate_definitionza7003031z00, "           ", 11 );
DEFINE_STRING( BGl_string3027z00zzintegrate_definitionz00, BgL_bgl_string3027za700za7za7integrate_definitionza7003032z00, " -->", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long BgL_checksumz00_2580, char * BgL_fromz00_2581)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_definitionz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00()
{ AN_OBJECT;
{ /* Integrate/definition.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "integrate_definition"); 
return BUNSPEC;} 
}



/* integrate-definition! */
obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t BgL_globalz00_1)
{ AN_OBJECT;
{ /* Integrate/definition.scm 56 */
{ /* Integrate/definition.scm 61 */
BgL_valuez00_bglt BgL_funz00_1436;
{ /* Integrate/definition.scm 61 */
BgL_globalz00_bglt BgL_obj1155z00_1927;
BgL_obj1155z00_1927 = 
(BgL_globalz00_bglt)(BgL_globalz00_1); 
BgL_funz00_1436 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1927))->BgL_valuez00); } 
{ /* Integrate/definition.scm 61 */
obj_t BgL_bodyz00_1437;
{ /* Integrate/definition.scm 62 */
BgL_sfunz00_bglt BgL_obj1372z00_1928;
BgL_obj1372z00_1928 = 
(BgL_sfunz00_bglt)(BgL_funz00_1436); 
BgL_bodyz00_1437 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1928))->BgL_bodyz00); } 
{ /* Integrate/definition.scm 62 */
obj_t BgL_az00_1438;
BgL_az00_1438 = 
BGl_Az00zzintegrate_az00(
(BgL_globalz00_bglt)(BgL_globalz00_1), 
(BgL_nodez00_bglt)(BgL_bodyz00_1437)); 
{ /* Integrate/definition.scm 63 */

{ /* Integrate/definition.scm 64 */
obj_t BgL_arg2926z00_1439;
BgL_arg2926z00_1439 = 
BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1438, 
(BgL_globalz00_bglt)(BgL_globalz00_1)); 
BGl_Kza2z12zb0zzintegrate_kkz00(BgL_arg2926z00_1439); } 
BGl_Uz12z12zzintegrate_uz00(); 
{ /* Integrate/definition.scm 66 */
obj_t BgL_gz00_1440;
{ /* Integrate/definition.scm 66 */
obj_t BgL_arg2952z00_1480;
BgL_arg2952z00_1480 = 
BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1438); 
BgL_gz00_1440 = 
BGl_Gz12z12zzintegrate_gz00(BgL_arg2952z00_1480); } 
if(
NULLP(BgL_gz00_1440))
{ /* Integrate/definition.scm 72 */
obj_t BgL_list2928z00_1442;
BgL_list2928z00_1442 = 
MAKE_PAIR(BgL_globalz00_1, BNIL); 
return BgL_list2928z00_1442;}  else 
{ /* Integrate/definition.scm 70 */
BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(BgL_gz00_1440); 
{ 
obj_t BgL_l2914z00_1443;
BgL_l2914z00_1443 = BGl_za2phiza2z00zzintegrate_az00; 
BgL_lname2915z00_1444:
if(
PAIRP(BgL_l2914z00_1443))
{ /* Integrate/definition.scm 76 */
{ /* Integrate/definition.scm 78 */
obj_t BgL_fz00_1446;
BgL_fz00_1446 = 
CAR(BgL_l2914z00_1443); 
{ /* Integrate/definition.scm 78 */
bool_t BgL_test2930z00_1447;
{ /* Integrate/definition.scm 78 */
bool_t BgL_test2934z00_1453;
BgL_test2934z00_1453 = 
BGl_iszd2azf3z21zz__objectz00(BgL_fz00_1446, BGl_localz00zzast_varz00); 
if(BgL_test2934z00_1453)
{ /* Integrate/definition.scm 79 */
bool_t BgL_testz00_2611;
{ /* Integrate/definition.scm 79 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_1936;
{ /* Integrate/definition.scm 79 */
BgL_valuez00_bglt BgL_auxz00_2612;
{ /* Integrate/definition.scm 79 */
BgL_localz00_bglt BgL_obj1255z00_1935;
BgL_obj1255z00_1935 = 
(BgL_localz00_bglt)(BgL_fz00_1446); 
BgL_auxz00_2612 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1935))->BgL_valuez00); } 
BgL_obj2860z00_1936 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2612); } 
{ 
obj_t BgL_auxz00_2616;
{ /* Integrate/definition.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2617;
BgL_auxz00_2617 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_1936); 
BgL_auxz00_2616 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2617); } 
BgL_testz00_2611 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2616))->BgL_gzf3zf3); } } 
if(BgL_testz00_2611)
{ /* Integrate/definition.scm 79 */
BgL_test2930z00_1447 = ((bool_t)0); }  else 
{ /* Integrate/definition.scm 79 */
BgL_test2930z00_1447 = ((bool_t)1); } }  else 
{ /* Integrate/definition.scm 78 */
BgL_test2930z00_1447 = ((bool_t)0); } } 
if(BgL_test2930z00_1447)
{ /* Integrate/definition.scm 80 */
BgL_valuez00_bglt BgL_ifuz00_1449;
{ /* Integrate/definition.scm 81 */
BgL_variablez00_bglt BgL_obj1103z00_1939;
{ /* Integrate/definition.scm 81 */
obj_t BgL_auxz00_2622;
{ /* Integrate/definition.scm 80 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1938;
{ /* Integrate/definition.scm 80 */
BgL_valuez00_bglt BgL_auxz00_2623;
{ /* Integrate/definition.scm 80 */
BgL_localz00_bglt BgL_obj1255z00_1937;
BgL_obj1255z00_1937 = 
(BgL_localz00_bglt)(BgL_fz00_1446); 
BgL_auxz00_2623 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1937))->BgL_valuez00); } 
BgL_obj2863z00_1938 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2623); } 
{ 
obj_t BgL_auxz00_2627;
{ /* Integrate/definition.scm 80 */
BgL_objectz00_bglt BgL_auxz00_2628;
BgL_auxz00_2628 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1938); 
BgL_auxz00_2627 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2628); } 
BgL_auxz00_2622 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2627))->BgL_lz00); } } 
BgL_obj1103z00_1939 = 
(BgL_variablez00_bglt)(BgL_auxz00_2622); } 
BgL_ifuz00_1449 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1939))->BgL_valuez00); } 
{ /* Integrate/definition.scm 81 */

{ /* Integrate/definition.scm 84 */
obj_t BgL_arg2931z00_1450;
{ /* Integrate/definition.scm 83 */
obj_t BgL_auxz00_2634;
{ /* Integrate/definition.scm 84 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2867z00_1940;
BgL_obj2867z00_1940 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifuz00_1449); 
{ 
obj_t BgL_auxz00_2636;
{ /* Integrate/definition.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2637;
BgL_auxz00_2637 = 
(BgL_objectz00_bglt)(BgL_obj2867z00_1940); 
BgL_auxz00_2636 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2637); } 
BgL_auxz00_2634 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2636))->BgL_ledz00); } } 
BgL_arg2931z00_1450 = 
MAKE_PAIR(BgL_fz00_1446, BgL_auxz00_2634); } 
{ /* Integrate/definition.scm 82 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2869z00_1941;
BgL_obj2869z00_1941 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifuz00_1449); 
{ 
obj_t BgL_auxz00_2643;
{ /* Integrate/definition.scm 82 */
BgL_objectz00_bglt BgL_auxz00_2644;
BgL_auxz00_2644 = 
(BgL_objectz00_bglt)(BgL_obj2869z00_1941); 
BgL_auxz00_2643 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2644); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2643))->BgL_ledz00) = ((obj_t)BgL_arg2931z00_1450), BUNSPEC); } } } } }  else 
{ /* Integrate/definition.scm 78 */BFALSE; } } } 
{ 
obj_t BgL_l2914z00_2648;
BgL_l2914z00_2648 = 
CDR(BgL_l2914z00_1443); 
BgL_l2914z00_1443 = BgL_l2914z00_2648; 
goto BgL_lname2915z00_1444;} }  else 
{ /* Integrate/definition.scm 76 */((bool_t)1); } } 
{ 
obj_t BgL_l2916z00_1457;
BgL_l2916z00_1457 = BgL_gz00_1440; 
BgL_lname2917z00_1458:
if(
PAIRP(BgL_l2916z00_1457))
{ /* Integrate/definition.scm 88 */
BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(
CAR(BgL_l2916z00_1457)); 
{ 
obj_t BgL_l2916z00_2654;
BgL_l2916z00_2654 = 
CDR(BgL_l2916z00_1457); 
BgL_l2916z00_1457 = BgL_l2916z00_2654; 
goto BgL_lname2917z00_1458;} }  else 
{ /* Integrate/definition.scm 88 */((bool_t)1); } } 
BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_globalz00_1); 
BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(BgL_gz00_1440); 
{ /* Integrate/definition.scm 97 */
obj_t BgL_newzd2gzd2_1462;
if(
NULLP(BgL_gz00_1440))
{ /* Integrate/definition.scm 97 */
BgL_newzd2gzd2_1462 = BNIL; }  else 
{ /* Integrate/definition.scm 97 */
obj_t BgL_head2920z00_1466;
{ /* Integrate/definition.scm 97 */
obj_t BgL_arg2949z00_1477;
{ /* Integrate/definition.scm 97 */
BgL_localz00_bglt BgL_auxz00_2660;
{ /* Integrate/definition.scm 97 */
obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
CAR(BgL_gz00_1440); 
BgL_auxz00_2660 = 
(BgL_localz00_bglt)(BgL_auxz00_2661); } 
BgL_arg2949z00_1477 = 
BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_auxz00_2660); } 
BgL_head2920z00_1466 = 
MAKE_PAIR(BgL_arg2949z00_1477, BNIL); } 
{ 
obj_t BgL_l2918z00_1467;obj_t BgL_tail2921z00_1468;
BgL_l2918z00_1467 = 
CDR(BgL_gz00_1440); 
BgL_tail2921z00_1468 = BgL_head2920z00_1466; 
BgL_lname2919z00_1469:
if(
NULLP(BgL_l2918z00_1467))
{ /* Integrate/definition.scm 97 */
BgL_newzd2gzd2_1462 = BgL_head2920z00_1466; }  else 
{ /* Integrate/definition.scm 97 */
obj_t BgL_newtail2922z00_1472;
{ /* Integrate/definition.scm 97 */
obj_t BgL_arg2946z00_1474;
{ /* Integrate/definition.scm 97 */
BgL_localz00_bglt BgL_auxz00_2668;
{ /* Integrate/definition.scm 97 */
obj_t BgL_auxz00_2669;
BgL_auxz00_2669 = 
CAR(BgL_l2918z00_1467); 
BgL_auxz00_2668 = 
(BgL_localz00_bglt)(BgL_auxz00_2669); } 
BgL_arg2946z00_1474 = 
BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_auxz00_2668); } 
BgL_newtail2922z00_1472 = 
MAKE_PAIR(BgL_arg2946z00_1474, BNIL); } 
SET_CDR(BgL_tail2921z00_1468, BgL_newtail2922z00_1472); 
{ 
obj_t BgL_tail2921z00_2677;obj_t BgL_l2918z00_2675;
BgL_l2918z00_2675 = 
CDR(BgL_l2918z00_1467); 
BgL_tail2921z00_2677 = BgL_newtail2922z00_1472; 
BgL_tail2921z00_1468 = BgL_tail2921z00_2677; 
BgL_l2918z00_1467 = BgL_l2918z00_2675; 
goto BgL_lname2919z00_1469;} } } } 
{ /* Integrate/definition.scm 98 */
obj_t BgL_arg2941z00_1463;
BgL_arg2941z00_1463 = 
BGl_globaliza7ez12zb5zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_bodyz00_1437), 
(BgL_variablez00_bglt)(BgL_globalz00_1), BNIL); 
{ /* Integrate/definition.scm 98 */
BgL_sfunz00_bglt BgL_obj1374z00_1959;
BgL_obj1374z00_1959 = 
(BgL_sfunz00_bglt)(BgL_funz00_1436); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1959))->BgL_bodyz00) = ((obj_t)BgL_arg2941z00_1463), BUNSPEC); } } 
return 
MAKE_PAIR(BgL_globalz00_1, BgL_newzd2gzd2_1462);} } } } } } } } 
}



/* _integrate-definition! */
obj_t BGl__integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t BgL_envz00_2578, obj_t BgL_globalz00_2579)
{ AN_OBJECT;
{ /* Integrate/definition.scm 56 */
return 
BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(BgL_globalz00_2579);} 
}



/* verb-globalization */
bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t BgL_gz00_2)
{ AN_OBJECT;
{ /* Integrate/definition.scm 105 */
{ 
obj_t BgL_l2923z00_1481;
BgL_l2923z00_1481 = BgL_gz00_2; 
BgL_lname2924z00_1482:
if(
PAIRP(BgL_l2923z00_1481))
{ /* Integrate/definition.scm 106 */
{ /* Integrate/definition.scm 107 */
obj_t BgL_localz00_1484;
BgL_localz00_1484 = 
CAR(BgL_l2923z00_1481); 
{ /* Integrate/definition.scm 107 */
bool_t BgL_test2954z00_1486;
BgL_test2954z00_1486 = 
BGl_zc3zd3z10zz__r4_numbers_6_5z00(
BINT(((long)3)), BGl_za2verboseza2z00zzengine_paramz00, BNIL); 
if(BgL_test2954z00_1486)
{ /* Integrate/definition.scm 107 */
obj_t BgL_arg2956z00_1488;
BgL_arg2956z00_1488 = 
BGl_shapez00zztools_shapez00(BgL_localz00_1484); 
{ /* Integrate/definition.scm 107 */
obj_t BgL_list2958z00_1490;
{ /* Integrate/definition.scm 107 */
obj_t BgL_arg2959z00_1491;
{ /* Integrate/definition.scm 107 */
obj_t BgL_arg2960z00_1492;
{ /* Integrate/definition.scm 107 */
obj_t BgL_arg2961z00_1493;
{ /* Integrate/definition.scm 107 */
obj_t BgL_auxz00_2693;
BgL_auxz00_2693 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2961z00_1493 = 
MAKE_PAIR(BgL_auxz00_2693, BNIL); } 
BgL_arg2960z00_1492 = 
MAKE_PAIR(BGl_string3027z00zzintegrate_definitionz00, BgL_arg2961z00_1493); } 
BgL_arg2959z00_1491 = 
MAKE_PAIR(BgL_arg2956z00_1488, BgL_arg2960z00_1492); } 
BgL_list2958z00_1490 = 
MAKE_PAIR(BGl_string3028z00zzintegrate_definitionz00, BgL_arg2959z00_1491); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2958z00_1490); } }  else 
{ /* Integrate/definition.scm 107 */BUNSPEC; } } } 
{ 
obj_t BgL_l2923z00_2701;
BgL_l2923z00_2701 = 
CDR(BgL_l2923z00_1481); 
BgL_l2923z00_1481 = BgL_l2923z00_2701; 
goto BgL_lname2924z00_1482;} }  else 
{ /* Integrate/definition.scm 106 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_definitionz00()
{ AN_OBJECT;
{ /* Integrate/definition.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00()
{ AN_OBJECT;
{ /* Integrate/definition.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_az00(((long)48219), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_kkz00(((long)34818), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_uz00(((long)48248), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(((long)11619), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_gz00(((long)5732), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(((long)14057), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(((long)60044), "integrate_definition"); 
BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long)9308), "integrate_definition"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)5502), "integrate_definition");} 
}

