/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static bool_t BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00();
static obj_t BGl_methodzd2initzd2zzintegrate_gz00();
extern obj_t BGl_za2phiza2z00zzintegrate_az00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__Gz12z12zzintegrate_gz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_Gz12zd2envzc0zzintegrate_gz00, BgL_bgl__gza712za712za7za7integrate_gza7003037za7, BGl__Gz12z12zzintegrate_gz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long BgL_checksumz00_2634, char * BgL_fromz00_2635)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_gz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_gz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_gz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00()
{ AN_OBJECT;
{ /* Integrate/g.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_g"); 
return BUNSPEC;} 
}



/* G! */
obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_1)
{ AN_OBJECT;
{ /* Integrate/g.scm 32 */
{ 
bool_t BgL_stopzf3zf3_1435;long BgL_stampz00_1436;obj_t BgL_gsz00_1437;
BgL_stopzf3zf3_1435 = ((bool_t)0); 
BgL_stampz00_1436 = ((long)0); 
BgL_gsz00_1437 = BgL_gzf2cnzf2_1; 
BgL_loopz00_1438:
if(BgL_stopzf3zf3_1435)
{ /* Integrate/g.scm 37 */
{ 
obj_t BgL_l2914z00_1439;
BgL_l2914z00_1439 = BGl_za2phiza2z00zzintegrate_az00; 
BgL_lname2915z00_1440:
if(
PAIRP(BgL_l2914z00_1439))
{ /* Integrate/g.scm 41 */
{ /* Integrate/g.scm 42 */
obj_t BgL_fz00_1442;
BgL_fz00_1442 = 
CAR(BgL_l2914z00_1439); 
{ /* Integrate/g.scm 42 */
bool_t BgL_test2921z00_1443;
BgL_test2921z00_1443 = 
BGl_iszd2azf3z21zz__objectz00(BgL_fz00_1442, BGl_localz00zzast_varz00); 
if(BgL_test2921z00_1443)
{ /* Integrate/g.scm 43 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2872z00_1949;obj_t BgL_val2871z00_1950;
{ /* Integrate/g.scm 43 */
BgL_valuez00_bglt BgL_auxz00_2648;
{ /* Integrate/g.scm 43 */
BgL_localz00_bglt BgL_obj1255z00_1948;
BgL_obj1255z00_1948 = 
(BgL_localz00_bglt)(BgL_fz00_1442); 
BgL_auxz00_2648 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1948))->BgL_valuez00); } 
BgL_obj2872z00_1949 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2648); } 
BgL_val2871z00_1950 = 
BINT(((long)-1)); 
{ 
obj_t BgL_auxz00_2653;
{ /* Integrate/g.scm 43 */
BgL_objectz00_bglt BgL_auxz00_2654;
BgL_auxz00_2654 = 
(BgL_objectz00_bglt)(BgL_obj2872z00_1949); 
BgL_auxz00_2653 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2654); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2653))->BgL_istampz00) = ((obj_t)BgL_val2871z00_1950), BUNSPEC); } }  else 
{ /* Integrate/g.scm 42 */BFALSE; } } } 
{ 
obj_t BgL_l2914z00_2658;
BgL_l2914z00_2658 = 
CDR(BgL_l2914z00_1439); 
BgL_l2914z00_1439 = BgL_l2914z00_2658; 
goto BgL_lname2915z00_1440;} }  else 
{ /* Integrate/g.scm 41 */((bool_t)1); } } 
BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00(); 
return BgL_gsz00_1437;}  else 
{ 
obj_t BgL_phiz00_1447;bool_t BgL_stopzf3zf3_1448;obj_t BgL_gsz00_1449;
BgL_phiz00_1447 = BGl_za2phiza2z00zzintegrate_az00; 
BgL_stopzf3zf3_1448 = ((bool_t)1); 
BgL_gsz00_1449 = BgL_gsz00_1437; 
BgL_liipz00_1450:
if(
NULLP(BgL_phiz00_1447))
{ 
obj_t BgL_gsz00_2666;long BgL_stampz00_2664;bool_t BgL_stopzf3zf3_2663;
BgL_stopzf3zf3_2663 = BgL_stopzf3zf3_1448; 
BgL_stampz00_2664 = 
(BgL_stampz00_1436+((long)1)); 
BgL_gsz00_2666 = BgL_gsz00_1449; 
BgL_gsz00_1437 = BgL_gsz00_2666; 
BgL_stampz00_1436 = BgL_stampz00_2664; 
BgL_stopzf3zf3_1435 = BgL_stopzf3zf3_2663; 
goto BgL_loopz00_1438;}  else 
{ /* Integrate/g.scm 54 */
obj_t BgL_fz00_1453;
BgL_fz00_1453 = 
CAR(BgL_phiz00_1447); 
{ /* Integrate/g.scm 54 */
BgL_valuez00_bglt BgL_fifz00_1454;
{ /* Integrate/g.scm 55 */
BgL_variablez00_bglt BgL_obj1103z00_1956;
BgL_obj1103z00_1956 = 
(BgL_variablez00_bglt)(BgL_fz00_1453); 
BgL_fifz00_1454 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1956))->BgL_valuez00); } 
{ /* Integrate/g.scm 55 */

{ 
obj_t BgL_ctz00_1455;bool_t BgL_stopzf3zf3_1456;obj_t BgL_gsz00_1457;
{ /* Integrate/g.scm 56 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2854z00_1957;
BgL_obj2854z00_1957 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2856;
{ /* Integrate/g.scm 56 */
BgL_objectz00_bglt BgL_auxz00_2857;
BgL_auxz00_2857 = 
(BgL_objectz00_bglt)(BgL_obj2854z00_1957); 
BgL_auxz00_2856 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2857); } 
BgL_ctz00_1455 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2856))->BgL_ctz00); } } 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_1448; 
BgL_gsz00_1457 = BgL_gsz00_1449; 
BgL_laapz00_1458:
if(
NULLP(BgL_ctz00_1455))
{ 
obj_t BgL_gsz00_2675;bool_t BgL_stopzf3zf3_2674;obj_t BgL_phiz00_2672;
BgL_phiz00_2672 = 
CDR(BgL_phiz00_1447); 
BgL_stopzf3zf3_2674 = BgL_stopzf3zf3_1456; 
BgL_gsz00_2675 = BgL_gsz00_1457; 
BgL_gsz00_1449 = BgL_gsz00_2675; 
BgL_stopzf3zf3_1448 = BgL_stopzf3zf3_2674; 
BgL_phiz00_1447 = BgL_phiz00_2672; 
goto BgL_liipz00_1450;}  else 
{ /* Integrate/g.scm 61 */
obj_t BgL_gz00_1462;
BgL_gz00_1462 = 
CAR(BgL_ctz00_1455); 
{ /* Integrate/g.scm 61 */
BgL_valuez00_bglt BgL_gifz00_1463;
{ /* Integrate/g.scm 62 */
BgL_localz00_bglt BgL_obj1255z00_1961;
BgL_obj1255z00_1961 = 
(BgL_localz00_bglt)(BgL_gz00_1462); 
BgL_gifz00_1463 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1961))->BgL_valuez00); } 
{ /* Integrate/g.scm 62 */

if(
(BgL_fz00_1453==BgL_gz00_1462))
{ /* Integrate/g.scm 71 */
{ 
obj_t BgL_ctz00_2681;
BgL_ctz00_2681 = 
CDR(BgL_ctz00_1455); 
BgL_ctz00_1455 = BgL_ctz00_2681; 
goto BgL_laapz00_1458;} }  else 
{ /* Integrate/g.scm 73 */
bool_t BgL_testz00_2683;
{ /* Integrate/g.scm 73 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_1963;
BgL_obj2860z00_1963 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2685;
{ /* Integrate/g.scm 73 */
BgL_objectz00_bglt BgL_auxz00_2686;
BgL_auxz00_2686 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_1963); 
BgL_auxz00_2685 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2686); } 
BgL_testz00_2683 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2685))->BgL_gzf3zf3); } } 
if(BgL_testz00_2683)
{ /* Integrate/g.scm 73 */
{ 
obj_t BgL_ctz00_2690;
BgL_ctz00_2690 = 
CDR(BgL_ctz00_1455); 
BgL_ctz00_1455 = BgL_ctz00_2690; 
goto BgL_laapz00_1458;} }  else 
{ /* Integrate/g.scm 75 */
bool_t BgL_testz00_2692;
{ /* Integrate/g.scm 75 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_1965;
BgL_obj2860z00_1965 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2694;
{ /* Integrate/g.scm 75 */
BgL_objectz00_bglt BgL_auxz00_2695;
BgL_auxz00_2695 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_1965); 
BgL_auxz00_2694 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2695); } 
BgL_testz00_2692 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2694))->BgL_gzf3zf3); } } 
if(BgL_testz00_2692)
{ /* Integrate/g.scm 75 */
{ /* Integrate/g.scm 77 */
bool_t BgL_test2935z00_1469;
{ /* Integrate/g.scm 77 */
obj_t BgL_auxz00_2699;
{ /* Integrate/g.scm 77 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1966;
BgL_obj2863z00_1966 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2701;
{ /* Integrate/g.scm 77 */
BgL_objectz00_bglt BgL_auxz00_2702;
BgL_auxz00_2702 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1966); 
BgL_auxz00_2701 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2702); } 
BgL_auxz00_2699 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2701))->BgL_lz00); } } 
BgL_test2935z00_1469 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2699, BGl_variablez00zzast_varz00); } 
if(BgL_test2935z00_1469)
{ /* Integrate/g.scm 84 */
bool_t BgL_testz00_2708;
{ /* Integrate/g.scm 84 */
obj_t BgL_auxz00_2709;
{ /* Integrate/g.scm 84 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1968;
BgL_obj2863z00_1968 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2711;
{ /* Integrate/g.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2712;
BgL_auxz00_2712 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1968); 
BgL_auxz00_2711 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2712); } 
BgL_auxz00_2709 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2711))->BgL_lz00); } } 
BgL_testz00_2708 = 
(BgL_auxz00_2709==BgL_fz00_1453); } 
if(BgL_testz00_2708)
{ /* Integrate/g.scm 84 */
{ 
obj_t BgL_ctz00_2717;
BgL_ctz00_2717 = 
CDR(BgL_ctz00_1455); 
BgL_ctz00_1455 = BgL_ctz00_2717; 
goto BgL_laapz00_1458;} }  else 
{ /* Integrate/g.scm 84 */
{ /* Integrate/g.scm 87 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2862z00_1970;
BgL_obj2862z00_1970 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2720;
{ /* Integrate/g.scm 87 */
BgL_objectz00_bglt BgL_auxz00_2721;
BgL_auxz00_2721 = 
(BgL_objectz00_bglt)(BgL_obj2862z00_1970); 
BgL_auxz00_2720 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2721); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2720))->BgL_gzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Integrate/g.scm 91 */
obj_t BgL_arg2938z00_1472;obj_t BgL_arg2939z00_1473;
BgL_arg2938z00_1472 = 
CDR(BgL_ctz00_1455); 
BgL_arg2939z00_1473 = 
MAKE_PAIR(BgL_gz00_1462, BgL_gsz00_1457); 
{ 
obj_t BgL_gsz00_2729;bool_t BgL_stopzf3zf3_2728;obj_t BgL_ctz00_2727;
BgL_ctz00_2727 = BgL_arg2938z00_1472; 
BgL_stopzf3zf3_2728 = ((bool_t)0); 
BgL_gsz00_2729 = BgL_arg2939z00_1473; 
BgL_gsz00_1457 = BgL_gsz00_2729; 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2728; 
BgL_ctz00_1455 = BgL_ctz00_2727; 
goto BgL_laapz00_1458;} } } }  else 
{ /* Integrate/g.scm 77 */
{ /* Integrate/g.scm 82 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2866z00_1973;
BgL_obj2866z00_1973 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2731;
{ /* Integrate/g.scm 82 */
BgL_objectz00_bglt BgL_auxz00_2732;
BgL_auxz00_2732 = 
(BgL_objectz00_bglt)(BgL_obj2866z00_1973); 
BgL_auxz00_2731 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2732); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2731))->BgL_lz00) = ((obj_t)BgL_fz00_1453), BUNSPEC); } } 
{ 
bool_t BgL_stopzf3zf3_2738;obj_t BgL_ctz00_2736;
BgL_ctz00_2736 = 
CDR(BgL_ctz00_1455); 
BgL_stopzf3zf3_2738 = ((bool_t)0); 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2738; 
BgL_ctz00_1455 = BgL_ctz00_2736; 
goto BgL_laapz00_1458;} } } }  else 
{ /* Integrate/g.scm 92 */
bool_t BgL_test2943z00_1477;
{ /* Integrate/g.scm 92 */
obj_t BgL_auxz00_2739;
{ /* Integrate/g.scm 92 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1976;
BgL_obj2863z00_1976 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2741;
{ /* Integrate/g.scm 92 */
BgL_objectz00_bglt BgL_auxz00_2742;
BgL_auxz00_2742 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1976); 
BgL_auxz00_2741 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2742); } 
BgL_auxz00_2739 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2741))->BgL_lz00); } } 
BgL_test2943z00_1477 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2739, BGl_variablez00zzast_varz00); } 
if(BgL_test2943z00_1477)
{ /* Integrate/g.scm 116 */
bool_t BgL_test2944z00_1478;
{ /* Integrate/g.scm 116 */
obj_t BgL_auxz00_2748;
{ /* Integrate/g.scm 116 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1978;
BgL_obj2863z00_1978 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2750;
{ /* Integrate/g.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2751;
BgL_auxz00_2751 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1978); 
BgL_auxz00_2750 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2751); } 
BgL_auxz00_2748 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2750))->BgL_lz00); } } 
BgL_test2944z00_1478 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2748, BGl_variablez00zzast_varz00); } 
if(BgL_test2944z00_1478)
{ /* Integrate/g.scm 124 */
bool_t BgL_testz00_2757;
{ /* Integrate/g.scm 124 */
obj_t BgL_auxz00_2765;obj_t BgL_auxz00_2758;
{ /* Integrate/g.scm 124 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1981;
BgL_obj2863z00_1981 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2767;
{ /* Integrate/g.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2768;
BgL_auxz00_2768 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1981); 
BgL_auxz00_2767 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2768); } 
BgL_auxz00_2765 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2767))->BgL_lz00); } } 
{ /* Integrate/g.scm 124 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1980;
BgL_obj2863z00_1980 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2760;
{ /* Integrate/g.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2761;
BgL_auxz00_2761 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1980); 
BgL_auxz00_2760 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2761); } 
BgL_auxz00_2758 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2760))->BgL_lz00); } } 
BgL_testz00_2757 = 
(BgL_auxz00_2758==BgL_auxz00_2765); } 
if(BgL_testz00_2757)
{ /* Integrate/g.scm 124 */
{ 
obj_t BgL_ctz00_2773;
BgL_ctz00_2773 = 
CDR(BgL_ctz00_1455); 
BgL_ctz00_1455 = BgL_ctz00_2773; 
goto BgL_laapz00_1458;} }  else 
{ /* Integrate/g.scm 124 */
{ /* Integrate/g.scm 130 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2862z00_1983;
BgL_obj2862z00_1983 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2776;
{ /* Integrate/g.scm 130 */
BgL_objectz00_bglt BgL_auxz00_2777;
BgL_auxz00_2777 = 
(BgL_objectz00_bglt)(BgL_obj2862z00_1983); 
BgL_auxz00_2776 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2777); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2776))->BgL_gzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Integrate/g.scm 133 */
obj_t BgL_arg2947z00_1481;obj_t BgL_arg2948z00_1482;
BgL_arg2947z00_1481 = 
CDR(BgL_ctz00_1455); 
BgL_arg2948z00_1482 = 
MAKE_PAIR(BgL_gz00_1462, BgL_gsz00_1457); 
{ 
obj_t BgL_gsz00_2785;bool_t BgL_stopzf3zf3_2784;obj_t BgL_ctz00_2783;
BgL_ctz00_2783 = BgL_arg2947z00_1481; 
BgL_stopzf3zf3_2784 = ((bool_t)0); 
BgL_gsz00_2785 = BgL_arg2948z00_1482; 
BgL_gsz00_1457 = BgL_gsz00_2785; 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2784; 
BgL_ctz00_1455 = BgL_ctz00_2783; 
goto BgL_laapz00_1458;} } } }  else 
{ /* Integrate/g.scm 116 */
{ /* Integrate/g.scm 122 */
obj_t BgL_arg2951z00_1485;
{ /* Integrate/g.scm 122 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1986;
BgL_obj2863z00_1986 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2787;
{ /* Integrate/g.scm 122 */
BgL_objectz00_bglt BgL_auxz00_2788;
BgL_auxz00_2788 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1986); 
BgL_auxz00_2787 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2788); } 
BgL_arg2951z00_1485 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2787))->BgL_lz00); } } 
{ /* Integrate/g.scm 122 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2866z00_1987;
BgL_obj2866z00_1987 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2793;
{ /* Integrate/g.scm 122 */
BgL_objectz00_bglt BgL_auxz00_2794;
BgL_auxz00_2794 = 
(BgL_objectz00_bglt)(BgL_obj2866z00_1987); 
BgL_auxz00_2793 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2794); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2793))->BgL_lz00) = ((obj_t)BgL_arg2951z00_1485), BUNSPEC); } } } 
{ 
bool_t BgL_stopzf3zf3_2800;obj_t BgL_ctz00_2798;
BgL_ctz00_2798 = 
CDR(BgL_ctz00_1455); 
BgL_stopzf3zf3_2800 = ((bool_t)0); 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2800; 
BgL_ctz00_1455 = BgL_ctz00_2798; 
goto BgL_laapz00_1458;} } }  else 
{ /* Integrate/g.scm 92 */
{ /* Integrate/g.scm 94 */
bool_t BgL_test2954z00_1488;
{ /* Integrate/g.scm 94 */
obj_t BgL_auxz00_2801;
{ /* Integrate/g.scm 94 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1990;
BgL_obj2863z00_1990 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2803;
{ /* Integrate/g.scm 94 */
BgL_objectz00_bglt BgL_auxz00_2804;
BgL_auxz00_2804 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1990); 
BgL_auxz00_2803 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2804); } 
BgL_auxz00_2801 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2803))->BgL_lz00); } } 
BgL_test2954z00_1488 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2801, BGl_variablez00zzast_varz00); } 
if(BgL_test2954z00_1488)
{ /* Integrate/g.scm 94 */
{ /* Integrate/g.scm 95 */
obj_t BgL_arg2955z00_1489;
{ /* Integrate/g.scm 95 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_1992;
BgL_obj2863z00_1992 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2811;
{ /* Integrate/g.scm 95 */
BgL_objectz00_bglt BgL_auxz00_2812;
BgL_auxz00_2812 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_1992); 
BgL_auxz00_2811 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2812); } 
BgL_arg2955z00_1489 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2811))->BgL_lz00); } } 
{ /* Integrate/g.scm 95 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2866z00_1993;
BgL_obj2866z00_1993 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifz00_1463); 
{ 
obj_t BgL_auxz00_2817;
{ /* Integrate/g.scm 95 */
BgL_objectz00_bglt BgL_auxz00_2818;
BgL_auxz00_2818 = 
(BgL_objectz00_bglt)(BgL_obj2866z00_1993); 
BgL_auxz00_2817 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2818); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2817))->BgL_lz00) = ((obj_t)BgL_arg2955z00_1489), BUNSPEC); } } } 
{ 
bool_t BgL_stopzf3zf3_2824;obj_t BgL_ctz00_2822;
BgL_ctz00_2822 = 
CDR(BgL_ctz00_1455); 
BgL_stopzf3zf3_2824 = ((bool_t)0); 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2824; 
BgL_ctz00_1455 = BgL_ctz00_2822; 
goto BgL_laapz00_1458;} }  else 
{ /* Integrate/g.scm 94 */
{ /* Integrate/g.scm 103 */
bool_t BgL_stopzf3zf3_1491;
if(BgL_stopzf3zf3_1456)
{ /* Integrate/g.scm 105 */
bool_t BgL_testz00_2826;
{ /* Integrate/g.scm 105 */
obj_t BgL_auxz00_2827;
{ /* Integrate/g.scm 105 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2870z00_1996;
BgL_obj2870z00_1996 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2829;
{ /* Integrate/g.scm 105 */
BgL_objectz00_bglt BgL_auxz00_2830;
BgL_auxz00_2830 = 
(BgL_objectz00_bglt)(BgL_obj2870z00_1996); 
BgL_auxz00_2829 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2830); } 
BgL_auxz00_2827 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2829))->BgL_istampz00); } } 
BgL_testz00_2826 = 
INTEGERP(BgL_auxz00_2827); } 
if(BgL_testz00_2826)
{ /* Integrate/g.scm 107 */
long BgL_auxz00_2835;
{ /* Integrate/g.scm 108 */
obj_t BgL_auxz00_2836;
{ /* Integrate/g.scm 107 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2870z00_1998;
BgL_obj2870z00_1998 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
{ 
obj_t BgL_auxz00_2838;
{ /* Integrate/g.scm 107 */
BgL_objectz00_bglt BgL_auxz00_2839;
BgL_auxz00_2839 = 
(BgL_objectz00_bglt)(BgL_obj2870z00_1998); 
BgL_auxz00_2838 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2839); } 
BgL_auxz00_2836 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2838))->BgL_istampz00); } } 
BgL_auxz00_2835 = 
(long)CINT(BgL_auxz00_2836); } 
BgL_stopzf3zf3_1491 = 
(BgL_auxz00_2835<=BgL_stampz00_1436); }  else 
{ /* Integrate/g.scm 105 */
BgL_stopzf3zf3_1491 = ((bool_t)0); } }  else 
{ /* Integrate/g.scm 103 */
BgL_stopzf3zf3_1491 = ((bool_t)0); } 
{ /* Integrate/g.scm 114 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2872z00_2001;obj_t BgL_val2871z00_2002;
BgL_obj2872z00_2001 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifz00_1454); 
BgL_val2871z00_2002 = 
BINT(BgL_stampz00_1436); 
{ 
obj_t BgL_auxz00_2847;
{ /* Integrate/g.scm 114 */
BgL_objectz00_bglt BgL_auxz00_2848;
BgL_auxz00_2848 = 
(BgL_objectz00_bglt)(BgL_obj2872z00_2001); 
BgL_auxz00_2847 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2848); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2847))->BgL_istampz00) = ((obj_t)BgL_val2871z00_2002), BUNSPEC); } } 
{ 
bool_t BgL_stopzf3zf3_2854;obj_t BgL_ctz00_2852;
BgL_ctz00_2852 = 
CDR(BgL_ctz00_1455); 
BgL_stopzf3zf3_2854 = BgL_stopzf3zf3_1491; 
BgL_stopzf3zf3_1456 = BgL_stopzf3zf3_2854; 
BgL_ctz00_1455 = BgL_ctz00_2852; 
goto BgL_laapz00_1458;} } } } } } } } } } } } } } } } } } 
}



/* _G! */
obj_t BGl__Gz12z12zzintegrate_gz00(obj_t BgL_envz00_2632, obj_t BgL_gzf2cnzf2_2633)
{ AN_OBJECT;
{ /* Integrate/g.scm 32 */
return 
BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_2633);} 
}



/* integrate-remaining-local-functions! */
bool_t BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00()
{ AN_OBJECT;
{ /* Integrate/g.scm 143 */
{ 
obj_t BgL_l2918z00_1499;
BgL_l2918z00_1499 = BGl_za2phiza2z00zzintegrate_az00; 
BgL_lname2919z00_1500:
if(
PAIRP(BgL_l2918z00_1499))
{ /* Integrate/g.scm 144 */
{ /* Integrate/g.scm 145 */
obj_t BgL_fz00_1502;
BgL_fz00_1502 = 
CAR(BgL_l2918z00_1499); 
{ /* Integrate/g.scm 145 */
bool_t BgL_test2963z00_1503;
{ /* Integrate/g.scm 145 */
bool_t BgL_test2967z00_1507;
BgL_test2967z00_1507 = 
BGl_iszd2azf3z21zz__objectz00(BgL_fz00_1502, BGl_localz00zzast_varz00); 
if(BgL_test2967z00_1507)
{ /* Integrate/g.scm 146 */
bool_t BgL_testz00_2867;
{ /* Integrate/g.scm 146 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_2008;
{ /* Integrate/g.scm 146 */
BgL_valuez00_bglt BgL_auxz00_2868;
{ /* Integrate/g.scm 146 */
BgL_localz00_bglt BgL_obj1255z00_2007;
BgL_obj1255z00_2007 = 
(BgL_localz00_bglt)(BgL_fz00_1502); 
BgL_auxz00_2868 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2007))->BgL_valuez00); } 
BgL_obj2860z00_2008 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2868); } 
{ 
obj_t BgL_auxz00_2872;
{ /* Integrate/g.scm 146 */
BgL_objectz00_bglt BgL_auxz00_2873;
BgL_auxz00_2873 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_2008); 
BgL_auxz00_2872 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2873); } 
BgL_testz00_2867 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2872))->BgL_gzf3zf3); } } 
if(BgL_testz00_2867)
{ /* Integrate/g.scm 146 */
BgL_test2963z00_1503 = ((bool_t)0); }  else 
{ /* Integrate/g.scm 147 */
bool_t BgL_test2969z00_1509;
{ /* Integrate/g.scm 147 */
obj_t BgL_auxz00_2877;
{ /* Integrate/g.scm 147 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_2010;
{ /* Integrate/g.scm 147 */
BgL_valuez00_bglt BgL_auxz00_2878;
{ /* Integrate/g.scm 147 */
BgL_localz00_bglt BgL_obj1255z00_2009;
BgL_obj1255z00_2009 = 
(BgL_localz00_bglt)(BgL_fz00_1502); 
BgL_auxz00_2878 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2009))->BgL_valuez00); } 
BgL_obj2863z00_2010 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2878); } 
{ 
obj_t BgL_auxz00_2882;
{ /* Integrate/g.scm 147 */
BgL_objectz00_bglt BgL_auxz00_2883;
BgL_auxz00_2883 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_2010); 
BgL_auxz00_2882 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2883); } 
BgL_auxz00_2877 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2882))->BgL_lz00); } } 
BgL_test2969z00_1509 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2877, BGl_variablez00zzast_varz00); } 
if(BgL_test2969z00_1509)
{ /* Integrate/g.scm 147 */
BgL_test2963z00_1503 = ((bool_t)0); }  else 
{ /* Integrate/g.scm 147 */
BgL_test2963z00_1503 = ((bool_t)1); } } }  else 
{ /* Integrate/g.scm 145 */
BgL_test2963z00_1503 = ((bool_t)0); } } 
if(BgL_test2963z00_1503)
{ /* Integrate/g.scm 145 */
{ /* Integrate/g.scm 153 */
obj_t BgL_arg2965z00_1505;
{ /* Integrate/g.scm 154 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2826z00_2014;
{ /* Integrate/g.scm 154 */
BgL_valuez00_bglt BgL_auxz00_2890;
{ /* Integrate/g.scm 154 */
BgL_localz00_bglt BgL_obj1255z00_2013;
BgL_obj1255z00_2013 = 
(BgL_localz00_bglt)(BgL_fz00_1502); 
BgL_auxz00_2890 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2013))->BgL_valuez00); } 
BgL_obj2826z00_2014 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2890); } 
{ 
obj_t BgL_auxz00_2894;
{ /* Integrate/g.scm 154 */
BgL_objectz00_bglt BgL_auxz00_2895;
BgL_auxz00_2895 = 
(BgL_objectz00_bglt)(BgL_obj2826z00_2014); 
BgL_auxz00_2894 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2895); } 
BgL_arg2965z00_1505 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2894))->BgL_ownerz00); } } 
{ /* Integrate/g.scm 153 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2866z00_2015;
{ /* Integrate/g.scm 153 */
BgL_valuez00_bglt BgL_auxz00_2899;
{ /* Integrate/g.scm 153 */
BgL_localz00_bglt BgL_obj1255z00_2012;
BgL_obj1255z00_2012 = 
(BgL_localz00_bglt)(BgL_fz00_1502); 
BgL_auxz00_2899 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2012))->BgL_valuez00); } 
BgL_obj2866z00_2015 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2899); } 
{ 
obj_t BgL_auxz00_2903;
{ /* Integrate/g.scm 153 */
BgL_objectz00_bglt BgL_auxz00_2904;
BgL_auxz00_2904 = 
(BgL_objectz00_bglt)(BgL_obj2866z00_2015); 
BgL_auxz00_2903 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2904); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2903))->BgL_lz00) = ((obj_t)BgL_arg2965z00_1505), BUNSPEC); } } } }  else 
{ /* Integrate/g.scm 145 */BFALSE; } } } 
{ 
obj_t BgL_l2918z00_2908;
BgL_l2918z00_2908 = 
CDR(BgL_l2918z00_1499); 
BgL_l2918z00_1499 = BgL_l2918z00_2908; 
goto BgL_lname2919z00_1500;} }  else 
{ /* Integrate/g.scm 144 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_gz00()
{ AN_OBJECT;
{ /* Integrate/g.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00()
{ AN_OBJECT;
{ /* Integrate/g.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_g"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_g"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_g"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_g"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_g"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_g"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_az00(((long)48219), "integrate_g");} 
}

