/*===========================================================================*/
/*   (Integrate/kk.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzintegrate_kkz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_kkz00();
extern obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
static obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t, obj_t);
static obj_t BGl__Kz123030z12zzintegrate_kkz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t, BgL_globalz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
static obj_t BGl__Kza2z12zb0zzintegrate_kkz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_Kza2z12zd2envz62zzintegrate_kkz00, BgL_bgl__kza7a2za712za7b0za7za7integrate_kkza7003036z00, BGl__Kza2z12zb0zzintegrate_kkz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_Kz12zd2envzc0zzintegrate_kkz00, BgL_bgl__kza7123030za712za7za7integrate_kkza7003037za7, BGl__Kz123030z12zzintegrate_kkz00, 0L, 2 );
DEFINE_STRING( BGl_string3031z00zzintegrate_kkz00, BgL_bgl_string3031za700za7za7integrate_kkza7003038z00, "tail bottom ", 12 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long BgL_checksumz00_2662, char * BgL_fromz00_2663)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kkz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00(); 
BGl_cnstzd2initzd2zzintegrate_kkz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_kkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00()
{ AN_OBJECT;
{ /* Integrate/kk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_kk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_kkz00()
{ AN_OBJECT;
{ /* Integrate/kk.scm 15 */
{ /* Integrate/kk.scm 15 */
obj_t BgL_cportz00_2655;
BgL_cportz00_2655 = 
open_input_string(BGl_string3031z00zzintegrate_kkz00); 
{ 
long BgL_iz00_2656;
BgL_iz00_2656 = ((long)1); 
BgL_loopz00_2657:
if(
(BgL_iz00_2656==((long)-1)))
{ /* Integrate/kk.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/kk.scm 15 */
{ /* Integrate/kk.scm 15 */
obj_t BgL_arg3033z00_2659;
{ /* Integrate/kk.scm 15 */
obj_t BgL_list3034z00_2660;
BgL_list3034z00_2660 = 
MAKE_PAIR(BgL_cportz00_2655, BNIL); 
BgL_arg3033z00_2659 = 
BGl_readz00zz__readerz00(BgL_list3034z00_2660); } 
{ /* Integrate/kk.scm 15 */
int BgL_auxz00_2677;
BgL_auxz00_2677 = 
(int)(BgL_iz00_2656); 
CNST_TABLE_SET(BgL_auxz00_2677, BgL_arg3033z00_2659); } } 
{ 
long BgL_iz00_2680;
{ /* Integrate/kk.scm 15 */
int BgL_auxz00_2681;
{ /* Integrate/kk.scm 15 */
long BgL_auxz00_2682;
BgL_auxz00_2682 = 
(BgL_iz00_2656-((long)1)); 
BgL_auxz00_2681 = 
(int)(BgL_auxz00_2682); } 
BgL_iz00_2680 = 
(long)(BgL_auxz00_2681); } 
BgL_iz00_2656 = BgL_iz00_2680; 
goto BgL_loopz00_2657;} } } } } 
}



/* K! */
obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t BgL_az00_1, BgL_globalz00_bglt BgL_varz00_2)
{ AN_OBJECT;
{ /* Integrate/kk.scm 44 */
{ /* Integrate/kk.scm 50 */
BgL_valuez00_bglt BgL_ifunz00_1441;
BgL_ifunz00_1441 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_2))->BgL_valuez00); 
{ /* Integrate/kk.scm 51 */
obj_t BgL_arg2914z00_1442;
{ /* Integrate/kk.scm 51 */
obj_t BgL_list2915z00_1443;
{ /* Integrate/kk.scm 51 */
obj_t BgL_auxz00_2687;
BgL_auxz00_2687 = 
CNST_TABLE_REF(((long)0)); 
BgL_list2915z00_1443 = 
MAKE_PAIR(BgL_auxz00_2687, BNIL); } 
BgL_arg2914z00_1442 = BgL_list2915z00_1443; } 
{ /* Integrate/kk.scm 51 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2844z00_1957;
BgL_obj2844z00_1957 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1441); 
{ 
obj_t BgL_auxz00_2691;
{ /* Integrate/kk.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2692;
BgL_auxz00_2692 = 
(BgL_objectz00_bglt)(BgL_obj2844z00_1957); 
BgL_auxz00_2691 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2692); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2691))->BgL_kz00) = ((obj_t)BgL_arg2914z00_1442), BUNSPEC); } } } 
{ /* Integrate/kk.scm 52 */
obj_t BgL_arg2916z00_1444;
{ /* Integrate/kk.scm 52 */
obj_t BgL_list2917z00_1445;
{ /* Integrate/kk.scm 52 */
obj_t BgL_auxz00_2696;
BgL_auxz00_2696 = 
CNST_TABLE_REF(((long)0)); 
BgL_list2917z00_1445 = 
MAKE_PAIR(BgL_auxz00_2696, BNIL); } 
BgL_arg2916z00_1444 = BgL_list2917z00_1445; } 
{ /* Integrate/kk.scm 52 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2847z00_1961;
BgL_obj2847z00_1961 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1441); 
{ 
obj_t BgL_auxz00_2700;
{ /* Integrate/kk.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2701;
BgL_auxz00_2701 = 
(BgL_objectz00_bglt)(BgL_obj2847z00_1961); 
BgL_auxz00_2700 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2701); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2700))->BgL_kza2za2) = ((obj_t)BgL_arg2916z00_1444), BUNSPEC); } } } 
{ /* Integrate/kk.scm 53 */
obj_t BgL_arg2918z00_1446;
BgL_arg2918z00_1446 = 
BGl_Kze21z12zf0zzintegrate_kkz00(BgL_az00_1, BNIL); 
return 
BGl_Kze22z12zf0zzintegrate_kkz00(BgL_az00_1, BgL_arg2918z00_1446);} } } 
}



/* _K!3030 */
obj_t BGl__Kz123030z12zzintegrate_kkz00(obj_t BgL_envz00_2650, obj_t BgL_az00_2651, obj_t BgL_varz00_2652)
{ AN_OBJECT;
{ /* Integrate/kk.scm 44 */
return 
BGl_Kz12z12zzintegrate_kkz00(BgL_az00_2651, 
(BgL_globalz00_bglt)(BgL_varz00_2652));} 
}



/* K.1! */
obj_t BGl_Kze21z12zf0zzintegrate_kkz00(obj_t BgL_az00_3, obj_t BgL_azd2tailzd2_4)
{ AN_OBJECT;
{ /* Integrate/kk.scm 58 */
BGl_Kze21z12zf0zzintegrate_kkz00:
if(
NULLP(BgL_az00_3))
{ /* Integrate/kk.scm 60 */
return BgL_azd2tailzd2_4;}  else 
{ /* Integrate/kk.scm 62 */
obj_t BgL_prz00_1448;
BgL_prz00_1448 = 
CAR(BgL_az00_3); 
{ /* Integrate/kk.scm 63 */
obj_t BgL_gz00_1450;
{ /* Integrate/kk.scm 64 */
obj_t BgL_auxz00_2712;
BgL_auxz00_2712 = 
CDR(BgL_prz00_1448); 
BgL_gz00_1450 = 
CAR(BgL_auxz00_2712); } 
{ /* Integrate/kk.scm 64 */
obj_t BgL_kz00_1451;
{ /* Integrate/kk.scm 65 */
obj_t BgL_auxz00_2715;
{ /* Integrate/kk.scm 65 */
obj_t BgL_auxz00_2716;
BgL_auxz00_2716 = 
CDR(BgL_prz00_1448); 
BgL_auxz00_2715 = 
CDR(BgL_auxz00_2716); } 
BgL_kz00_1451 = 
CAR(BgL_auxz00_2715); } 
{ /* Integrate/kk.scm 65 */

{ /* Integrate/kk.scm 67 */
bool_t BgL_testz00_2720;
{ /* Integrate/kk.scm 67 */
obj_t BgL_auxz00_2721;
BgL_auxz00_2721 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_2720 = 
(BgL_kz00_1451==BgL_auxz00_2721); } 
if(BgL_testz00_2720)
{ /* Integrate/kk.scm 67 */
{ /* Integrate/kk.scm 68 */
bool_t BgL_testz00_2724;
{ /* Integrate/kk.scm 68 */
obj_t BgL_auxz00_2725;
BgL_auxz00_2725 = 
CAR(BgL_prz00_1448); 
BgL_testz00_2724 = 
(BgL_auxz00_2725==BgL_gz00_1450); } 
if(BgL_testz00_2724)
{ 
obj_t BgL_az00_2728;
BgL_az00_2728 = 
CDR(BgL_az00_3); 
BgL_az00_3 = BgL_az00_2728; 
goto BGl_Kze21z12zf0zzintegrate_kkz00;}  else 
{ /* Integrate/kk.scm 70 */
obj_t BgL_arg2923z00_1455;obj_t BgL_arg2924z00_1456;
BgL_arg2923z00_1455 = 
CDR(BgL_az00_3); 
BgL_arg2924z00_1456 = 
MAKE_PAIR(BgL_prz00_1448, BgL_azd2tailzd2_4); 
{ 
obj_t BgL_azd2tailzd2_2733;obj_t BgL_az00_2732;
BgL_az00_2732 = BgL_arg2923z00_1455; 
BgL_azd2tailzd2_2733 = BgL_arg2924z00_1456; 
BgL_azd2tailzd2_4 = BgL_azd2tailzd2_2733; 
BgL_az00_3 = BgL_az00_2732; 
goto BGl_Kze21z12zf0zzintegrate_kkz00;} } } }  else 
{ /* Integrate/kk.scm 67 */
{ /* Integrate/kk.scm 72 */
BgL_valuez00_bglt BgL_ifunz00_1457;
{ /* Integrate/kk.scm 72 */
BgL_variablez00_bglt BgL_obj1103z00_1978;
BgL_obj1103z00_1978 = 
(BgL_variablez00_bglt)(BgL_gz00_1450); 
BgL_ifunz00_1457 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1978))->BgL_valuez00); } 
{ /* Integrate/kk.scm 73 */
bool_t BgL_testz00_2736;
{ /* Integrate/kk.scm 73 */
obj_t BgL_auxz00_2737;
{ /* Integrate/kk.scm 73 */
obj_t BgL_auxz00_2738;
{ /* Integrate/kk.scm 73 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_1979;
BgL_obj2842z00_1979 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1457); 
{ 
obj_t BgL_auxz00_2740;
{ /* Integrate/kk.scm 73 */
BgL_objectz00_bglt BgL_auxz00_2741;
BgL_auxz00_2741 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_1979); 
BgL_auxz00_2740 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2741); } 
BgL_auxz00_2738 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2740))->BgL_kz00); } } 
BgL_auxz00_2737 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_kz00_1451, BgL_auxz00_2738); } 
BgL_testz00_2736 = 
CBOOL(BgL_auxz00_2737); } 
if(BgL_testz00_2736)
{ 
obj_t BgL_az00_2747;
BgL_az00_2747 = 
CDR(BgL_az00_3); 
BgL_az00_3 = BgL_az00_2747; 
goto BGl_Kze21z12zf0zzintegrate_kkz00;}  else 
{ /* Integrate/kk.scm 73 */
{ /* Integrate/kk.scm 76 */
obj_t BgL_arg2927z00_1460;
{ /* Integrate/kk.scm 76 */
obj_t BgL_auxz00_2749;
{ /* Integrate/kk.scm 76 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_1981;
BgL_obj2842z00_1981 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1457); 
{ 
obj_t BgL_auxz00_2751;
{ /* Integrate/kk.scm 76 */
BgL_objectz00_bglt BgL_auxz00_2752;
BgL_auxz00_2752 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_1981); 
BgL_auxz00_2751 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2752); } 
BgL_auxz00_2749 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2751))->BgL_kz00); } } 
BgL_arg2927z00_1460 = 
MAKE_PAIR(BgL_kz00_1451, BgL_auxz00_2749); } 
{ /* Integrate/kk.scm 76 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2844z00_1982;
BgL_obj2844z00_1982 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1457); 
{ 
obj_t BgL_auxz00_2758;
{ /* Integrate/kk.scm 76 */
BgL_objectz00_bglt BgL_auxz00_2759;
BgL_auxz00_2759 = 
(BgL_objectz00_bglt)(BgL_obj2844z00_1982); 
BgL_auxz00_2758 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2759); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2758))->BgL_kz00) = ((obj_t)BgL_arg2927z00_1460), BUNSPEC); } } } 
{ /* Integrate/kk.scm 77 */
obj_t BgL_arg2929z00_1462;
{ /* Integrate/kk.scm 77 */
obj_t BgL_auxz00_2763;
{ /* Integrate/kk.scm 77 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_1984;
BgL_obj2845z00_1984 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1457); 
{ 
obj_t BgL_auxz00_2765;
{ /* Integrate/kk.scm 77 */
BgL_objectz00_bglt BgL_auxz00_2766;
BgL_auxz00_2766 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_1984); 
BgL_auxz00_2765 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2766); } 
BgL_auxz00_2763 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2765))->BgL_kza2za2); } } 
BgL_arg2929z00_1462 = 
MAKE_PAIR(BgL_kz00_1451, BgL_auxz00_2763); } 
{ /* Integrate/kk.scm 77 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2847z00_1985;
BgL_obj2847z00_1985 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1457); 
{ 
obj_t BgL_auxz00_2772;
{ /* Integrate/kk.scm 77 */
BgL_objectz00_bglt BgL_auxz00_2773;
BgL_auxz00_2773 = 
(BgL_objectz00_bglt)(BgL_obj2847z00_1985); 
BgL_auxz00_2772 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2773); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2772))->BgL_kza2za2) = ((obj_t)BgL_arg2929z00_1462), BUNSPEC); } } } 
{ 
obj_t BgL_az00_2777;
BgL_az00_2777 = 
CDR(BgL_az00_3); 
BgL_az00_3 = BgL_az00_2777; 
goto BGl_Kze21z12zf0zzintegrate_kkz00;} } } } } } } } } } } 
}



/* K.2! */
obj_t BGl_Kze22z12zf0zzintegrate_kkz00(obj_t BgL_az00_5, obj_t BgL_azd2tailzd2_6)
{ AN_OBJECT;
{ /* Integrate/kk.scm 83 */
{ 
bool_t BgL_continuez00_1466;
BgL_continuez00_1466 = ((bool_t)1); 
BgL_loopz00_1467:
if(BgL_continuez00_1466)
{ 
obj_t BgL_atz00_1468;bool_t BgL_continuez00_1469;
BgL_atz00_1468 = BgL_azd2tailzd2_6; 
BgL_continuez00_1469 = ((bool_t)0); 
BgL_liipz00_1470:
if(
NULLP(BgL_atz00_1468))
{ 
bool_t BgL_continuez00_2782;
BgL_continuez00_2782 = BgL_continuez00_1469; 
BgL_continuez00_1466 = BgL_continuez00_2782; 
goto BgL_loopz00_1467;}  else 
{ /* Integrate/kk.scm 95 */
BgL_valuez00_bglt BgL_ifunz00_1472;
{ /* Integrate/kk.scm 95 */
BgL_variablez00_bglt BgL_obj1103z00_1991;
{ /* Integrate/kk.scm 95 */
obj_t BgL_auxz00_2783;
{ /* Integrate/kk.scm 95 */
obj_t BgL_auxz00_2784;
BgL_auxz00_2784 = 
CAR(BgL_atz00_1468); 
BgL_auxz00_2783 = 
CAR(BgL_auxz00_2784); } 
BgL_obj1103z00_1991 = 
(BgL_variablez00_bglt)(BgL_auxz00_2783); } 
BgL_ifunz00_1472 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1991))->BgL_valuez00); } 
{ /* Integrate/kk.scm 96 */
bool_t BgL_testz00_2789;
{ /* Integrate/kk.scm 96 */
obj_t BgL_auxz00_2790;
{ /* Integrate/kk.scm 96 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_1992;
BgL_obj2842z00_1992 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1472); 
{ 
obj_t BgL_auxz00_2792;
{ /* Integrate/kk.scm 96 */
BgL_objectz00_bglt BgL_auxz00_2793;
BgL_auxz00_2793 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_1992); 
BgL_auxz00_2792 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2793); } 
BgL_auxz00_2790 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2792))->BgL_kz00); } } 
BgL_testz00_2789 = 
NULLP(BgL_auxz00_2790); } 
if(BgL_testz00_2789)
{ 
obj_t BgL_atz00_2798;
BgL_atz00_2798 = 
CDR(BgL_atz00_1468); 
BgL_atz00_1468 = BgL_atz00_2798; 
goto BgL_liipz00_1470;}  else 
{ /* Integrate/kk.scm 98 */
BgL_valuez00_bglt BgL_gifunz00_1476;
{ /* Integrate/kk.scm 99 */
BgL_variablez00_bglt BgL_obj1103z00_2000;
{ /* Integrate/kk.scm 99 */
obj_t BgL_auxz00_2800;
{ /* Integrate/kk.scm 98 */
obj_t BgL_auxz00_2801;
{ /* Integrate/kk.scm 98 */
obj_t BgL_auxz00_2802;
BgL_auxz00_2802 = 
CAR(BgL_atz00_1468); 
BgL_auxz00_2801 = 
CDR(BgL_auxz00_2802); } 
BgL_auxz00_2800 = 
CAR(BgL_auxz00_2801); } 
BgL_obj1103z00_2000 = 
(BgL_variablez00_bglt)(BgL_auxz00_2800); } 
BgL_gifunz00_1476 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2000))->BgL_valuez00); } 
{ /* Integrate/kk.scm 99 */

{ 
obj_t BgL_ksz00_1477;bool_t BgL_continuez00_1478;
{ /* Integrate/kk.scm 100 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_2001;
BgL_obj2842z00_2001 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1472); 
{ 
obj_t BgL_auxz00_2859;
{ /* Integrate/kk.scm 100 */
BgL_objectz00_bglt BgL_auxz00_2860;
BgL_auxz00_2860 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_2001); 
BgL_auxz00_2859 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2860); } 
BgL_ksz00_1477 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2859))->BgL_kz00); } } 
BgL_continuez00_1478 = BgL_continuez00_1469; 
BgL_laapz00_1479:
if(
NULLP(BgL_ksz00_1477))
{ 
bool_t BgL_continuez00_2812;obj_t BgL_atz00_2810;
BgL_atz00_2810 = 
CDR(BgL_atz00_1468); 
BgL_continuez00_2812 = BgL_continuez00_1478; 
BgL_continuez00_1469 = BgL_continuez00_2812; 
BgL_atz00_1468 = BgL_atz00_2810; 
goto BgL_liipz00_1470;}  else 
{ /* Integrate/kk.scm 107 */
obj_t BgL_kz00_1483;
BgL_kz00_1483 = 
CAR(BgL_ksz00_1477); 
{ /* Integrate/kk.scm 108 */
bool_t BgL_testz00_2814;
{ /* Integrate/kk.scm 108 */
obj_t BgL_auxz00_2815;
{ /* Integrate/kk.scm 108 */
obj_t BgL_auxz00_2816;
{ /* Integrate/kk.scm 108 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_2005;
BgL_obj2842z00_2005 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifunz00_1476); 
{ 
obj_t BgL_auxz00_2818;
{ /* Integrate/kk.scm 108 */
BgL_objectz00_bglt BgL_auxz00_2819;
BgL_auxz00_2819 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_2005); 
BgL_auxz00_2818 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2819); } 
BgL_auxz00_2816 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2818))->BgL_kz00); } } 
BgL_auxz00_2815 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_kz00_1483, BgL_auxz00_2816); } 
BgL_testz00_2814 = 
CBOOL(BgL_auxz00_2815); } 
if(BgL_testz00_2814)
{ 
obj_t BgL_ksz00_2825;
BgL_ksz00_2825 = 
CDR(BgL_ksz00_1477); 
BgL_ksz00_1477 = BgL_ksz00_2825; 
goto BgL_laapz00_1479;}  else 
{ /* Integrate/kk.scm 108 */
{ /* Integrate/kk.scm 113 */
obj_t BgL_arg2941z00_1486;
{ /* Integrate/kk.scm 113 */
obj_t BgL_auxz00_2827;
{ /* Integrate/kk.scm 113 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2842z00_2007;
BgL_obj2842z00_2007 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifunz00_1476); 
{ 
obj_t BgL_auxz00_2829;
{ /* Integrate/kk.scm 113 */
BgL_objectz00_bglt BgL_auxz00_2830;
BgL_auxz00_2830 = 
(BgL_objectz00_bglt)(BgL_obj2842z00_2007); 
BgL_auxz00_2829 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2830); } 
BgL_auxz00_2827 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2829))->BgL_kz00); } } 
BgL_arg2941z00_1486 = 
MAKE_PAIR(BgL_kz00_1483, BgL_auxz00_2827); } 
{ /* Integrate/kk.scm 111 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2844z00_2008;
BgL_obj2844z00_2008 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifunz00_1476); 
{ 
obj_t BgL_auxz00_2836;
{ /* Integrate/kk.scm 111 */
BgL_objectz00_bglt BgL_auxz00_2837;
BgL_auxz00_2837 = 
(BgL_objectz00_bglt)(BgL_obj2844z00_2008); 
BgL_auxz00_2836 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2837); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2836))->BgL_kz00) = ((obj_t)BgL_arg2941z00_1486), BUNSPEC); } } } 
{ /* Integrate/kk.scm 117 */
obj_t BgL_arg2943z00_1488;
{ /* Integrate/kk.scm 117 */
obj_t BgL_auxz00_2841;
{ /* Integrate/kk.scm 117 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_2010;
BgL_obj2845z00_2010 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifunz00_1476); 
{ 
obj_t BgL_auxz00_2843;
{ /* Integrate/kk.scm 117 */
BgL_objectz00_bglt BgL_auxz00_2844;
BgL_auxz00_2844 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_2010); 
BgL_auxz00_2843 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2844); } 
BgL_auxz00_2841 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2843))->BgL_kza2za2); } } 
BgL_arg2943z00_1488 = 
MAKE_PAIR(BgL_kz00_1483, BgL_auxz00_2841); } 
{ /* Integrate/kk.scm 115 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2847z00_2011;
BgL_obj2847z00_2011 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_gifunz00_1476); 
{ 
obj_t BgL_auxz00_2850;
{ /* Integrate/kk.scm 115 */
BgL_objectz00_bglt BgL_auxz00_2851;
BgL_auxz00_2851 = 
(BgL_objectz00_bglt)(BgL_obj2847z00_2011); 
BgL_auxz00_2850 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2851); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2850))->BgL_kza2za2) = ((obj_t)BgL_arg2943z00_1488), BUNSPEC); } } } 
{ 
bool_t BgL_continuez00_2857;obj_t BgL_ksz00_2855;
BgL_ksz00_2855 = 
CDR(BgL_ksz00_1477); 
BgL_continuez00_2857 = ((bool_t)1); 
BgL_continuez00_1478 = BgL_continuez00_2857; 
BgL_ksz00_1477 = BgL_ksz00_2855; 
goto BgL_laapz00_1479;} } } } } } } } } }  else 
{ /* Integrate/kk.scm 86 */
return BgL_azd2tailzd2_6;} } } 
}



/* K*! */
obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t BgL_azd2tailzd2_7)
{ AN_OBJECT;
{ /* Integrate/kk.scm 134 */
{ 
bool_t BgL_continuez00_1496;
BgL_continuez00_1496 = ((bool_t)1); 
BgL_loopz00_1497:
if(BgL_continuez00_1496)
{ 
obj_t BgL_atz00_1498;bool_t BgL_continuez00_1499;
BgL_atz00_1498 = BgL_azd2tailzd2_7; 
BgL_continuez00_1499 = ((bool_t)0); 
BgL_liipz00_1500:
if(
NULLP(BgL_atz00_1498))
{ 
bool_t BgL_continuez00_2867;
BgL_continuez00_2867 = BgL_continuez00_1499; 
BgL_continuez00_1496 = BgL_continuez00_2867; 
goto BgL_loopz00_1497;}  else 
{ /* Integrate/kk.scm 143 */
BgL_valuez00_bglt BgL_ifunz00_1502;
{ /* Integrate/kk.scm 143 */
BgL_variablez00_bglt BgL_obj1103z00_2020;
{ /* Integrate/kk.scm 143 */
obj_t BgL_auxz00_2868;
{ /* Integrate/kk.scm 143 */
obj_t BgL_auxz00_2869;
{ /* Integrate/kk.scm 143 */
obj_t BgL_auxz00_2870;
BgL_auxz00_2870 = 
CAR(BgL_atz00_1498); 
BgL_auxz00_2869 = 
CDR(BgL_auxz00_2870); } 
BgL_auxz00_2868 = 
CAR(BgL_auxz00_2869); } 
BgL_obj1103z00_2020 = 
(BgL_variablez00_bglt)(BgL_auxz00_2868); } 
BgL_ifunz00_1502 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2020))->BgL_valuez00); } 
{ /* Integrate/kk.scm 144 */
bool_t BgL_testz00_2876;
{ /* Integrate/kk.scm 144 */
obj_t BgL_auxz00_2877;
{ /* Integrate/kk.scm 144 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_2021;
BgL_obj2845z00_2021 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1502); 
{ 
obj_t BgL_auxz00_2879;
{ /* Integrate/kk.scm 144 */
BgL_objectz00_bglt BgL_auxz00_2880;
BgL_auxz00_2880 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_2021); 
BgL_auxz00_2879 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2880); } 
BgL_auxz00_2877 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2879))->BgL_kza2za2); } } 
BgL_testz00_2876 = 
NULLP(BgL_auxz00_2877); } 
if(BgL_testz00_2876)
{ 
bool_t BgL_continuez00_2885;
BgL_continuez00_2885 = BgL_continuez00_1499; 
BgL_continuez00_1496 = BgL_continuez00_2885; 
goto BgL_loopz00_1497;}  else 
{ 
obj_t BgL_ksz00_1504;bool_t BgL_continuez00_1505;
{ /* Integrate/kk.scm 146 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_2023;
BgL_obj2845z00_2023 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_ifunz00_1502); 
{ 
obj_t BgL_auxz00_2929;
{ /* Integrate/kk.scm 146 */
BgL_objectz00_bglt BgL_auxz00_2930;
BgL_auxz00_2930 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_2023); 
BgL_auxz00_2929 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2930); } 
BgL_ksz00_1504 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2929))->BgL_kza2za2); } } 
BgL_continuez00_1505 = BgL_continuez00_1499; 
BgL_laapz00_1506:
if(
NULLP(BgL_ksz00_1504))
{ 
bool_t BgL_continuez00_2890;obj_t BgL_atz00_2888;
BgL_atz00_2888 = 
CDR(BgL_atz00_1498); 
BgL_continuez00_2890 = BgL_continuez00_1505; 
BgL_continuez00_1499 = BgL_continuez00_2890; 
BgL_atz00_1498 = BgL_atz00_2888; 
goto BgL_liipz00_1500;}  else 
{ /* Integrate/kk.scm 150 */
BgL_valuez00_bglt BgL_fifunz00_1511;
{ /* Integrate/kk.scm 151 */
BgL_variablez00_bglt BgL_obj1103z00_2028;
{ /* Integrate/kk.scm 151 */
obj_t BgL_auxz00_2891;
{ /* Integrate/kk.scm 150 */
obj_t BgL_auxz00_2892;
BgL_auxz00_2892 = 
CAR(BgL_atz00_1498); 
BgL_auxz00_2891 = 
CAR(BgL_auxz00_2892); } 
BgL_obj1103z00_2028 = 
(BgL_variablez00_bglt)(BgL_auxz00_2891); } 
BgL_fifunz00_1511 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2028))->BgL_valuez00); } 
{ /* Integrate/kk.scm 151 */
obj_t BgL_kz00_1512;
BgL_kz00_1512 = 
CAR(BgL_ksz00_1504); 
{ /* Integrate/kk.scm 152 */

{ /* Integrate/kk.scm 153 */
bool_t BgL_testz00_2898;
{ /* Integrate/kk.scm 153 */
obj_t BgL_auxz00_2899;
{ /* Integrate/kk.scm 153 */
obj_t BgL_auxz00_2900;
{ /* Integrate/kk.scm 153 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_2030;
BgL_obj2845z00_2030 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifunz00_1511); 
{ 
obj_t BgL_auxz00_2902;
{ /* Integrate/kk.scm 153 */
BgL_objectz00_bglt BgL_auxz00_2903;
BgL_auxz00_2903 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_2030); 
BgL_auxz00_2902 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2903); } 
BgL_auxz00_2900 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2902))->BgL_kza2za2); } } 
BgL_auxz00_2899 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_kz00_1512, BgL_auxz00_2900); } 
BgL_testz00_2898 = 
CBOOL(BgL_auxz00_2899); } 
if(BgL_testz00_2898)
{ 
obj_t BgL_ksz00_2909;
BgL_ksz00_2909 = 
CDR(BgL_ksz00_1504); 
BgL_ksz00_1504 = BgL_ksz00_2909; 
goto BgL_laapz00_1506;}  else 
{ /* Integrate/kk.scm 153 */
{ /* Integrate/kk.scm 158 */
obj_t BgL_arg2958z00_1515;
{ /* Integrate/kk.scm 158 */
obj_t BgL_auxz00_2911;
{ /* Integrate/kk.scm 158 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2845z00_2032;
BgL_obj2845z00_2032 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifunz00_1511); 
{ 
obj_t BgL_auxz00_2913;
{ /* Integrate/kk.scm 158 */
BgL_objectz00_bglt BgL_auxz00_2914;
BgL_auxz00_2914 = 
(BgL_objectz00_bglt)(BgL_obj2845z00_2032); 
BgL_auxz00_2913 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2914); } 
BgL_auxz00_2911 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2913))->BgL_kza2za2); } } 
BgL_arg2958z00_1515 = 
MAKE_PAIR(BgL_kz00_1512, BgL_auxz00_2911); } 
{ /* Integrate/kk.scm 156 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2847z00_2033;
BgL_obj2847z00_2033 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_fifunz00_1511); 
{ 
obj_t BgL_auxz00_2920;
{ /* Integrate/kk.scm 156 */
BgL_objectz00_bglt BgL_auxz00_2921;
BgL_auxz00_2921 = 
(BgL_objectz00_bglt)(BgL_obj2847z00_2033); 
BgL_auxz00_2920 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2921); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2920))->BgL_kza2za2) = ((obj_t)BgL_arg2958z00_1515), BUNSPEC); } } } 
{ 
bool_t BgL_continuez00_2927;obj_t BgL_ksz00_2925;
BgL_ksz00_2925 = 
CDR(BgL_ksz00_1504); 
BgL_continuez00_2927 = ((bool_t)1); 
BgL_continuez00_1505 = BgL_continuez00_2927; 
BgL_ksz00_1504 = BgL_ksz00_2925; 
goto BgL_laapz00_1506;} } } } } } } } } }  else 
{ /* Integrate/kk.scm 137 */
return BNIL;} } } 
}



/* _K*! */
obj_t BGl__Kza2z12zb0zzintegrate_kkz00(obj_t BgL_envz00_2653, obj_t BgL_azd2tailzd2_2654)
{ AN_OBJECT;
{ /* Integrate/kk.scm 134 */
return 
BGl_Kza2z12zb0zzintegrate_kkz00(BgL_azd2tailzd2_2654);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_kkz00()
{ AN_OBJECT;
{ /* Integrate/kk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00()
{ AN_OBJECT;
{ /* Integrate/kk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_kk"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_kk"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_az00(((long)48219), "integrate_kk");} 
}

