/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
extern bool_t BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
static obj_t BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern long bgl_list_length(obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
static obj_t BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31, BgL_bgl__localza7d2za7e3globalza731za7za7integrate_localza7d2za7e3globalza7313104z00, BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31, BgL_bgl__theza7d2globalza7d2za7za7integrate_localza7d2za7e3globalza7313105za7, BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31, 0L, 1 );
DEFINE_STRING( BGl_string3099z00zzintegrate_localzd2ze3globalz31, BgL_bgl_string3099za700za7za7integrate_localza7d2za7e3globalza7313106z00, "now a-integrated-body sfun ", 27 );
DEFINE_STRING( BGl_string3098z00zzintegrate_localzd2ze3globalz31, BgL_bgl_string3098za700za7za7integrate_localza7d2za7e3globalza7313107z00, "'", 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long BgL_checksumz00_2826, char * BgL_fromz00_2827)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(); 
BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31(); 
BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(); 
BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "integrate_local->global"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 15 */
{ /* Integrate/loc2glo.scm 15 */
obj_t BgL_cportz00_2819;
BgL_cportz00_2819 = 
open_input_string(BGl_string3099z00zzintegrate_localzd2ze3globalz31); 
{ 
long BgL_iz00_2820;
BgL_iz00_2820 = ((long)2); 
BgL_loopz00_2821:
if(
(BgL_iz00_2820==((long)-1)))
{ /* Integrate/loc2glo.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/loc2glo.scm 15 */
{ /* Integrate/loc2glo.scm 15 */
obj_t BgL_arg3101z00_2823;
{ /* Integrate/loc2glo.scm 15 */
obj_t BgL_list3102z00_2824;
BgL_list3102z00_2824 = 
MAKE_PAIR(BgL_cportz00_2819, BNIL); 
BgL_arg3101z00_2823 = 
BGl_readz00zz__readerz00(BgL_list3102z00_2824); } 
{ /* Integrate/loc2glo.scm 15 */
int BgL_auxz00_2844;
BgL_auxz00_2844 = 
(int)(BgL_iz00_2820); 
CNST_TABLE_SET(BgL_auxz00_2844, BgL_arg3101z00_2823); } } 
{ 
long BgL_iz00_2847;
{ /* Integrate/loc2glo.scm 15 */
int BgL_auxz00_2848;
{ /* Integrate/loc2glo.scm 15 */
long BgL_auxz00_2849;
BgL_auxz00_2849 = 
(BgL_iz00_2820-((long)1)); 
BgL_auxz00_2848 = 
(int)(BgL_auxz00_2849); } 
BgL_iz00_2847 = 
(long)(BgL_auxz00_2848); } 
BgL_iz00_2820 = BgL_iz00_2847; 
goto BgL_loopz00_2821;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 15 */
{ /* Integrate/loc2glo.scm 65 */
char * BgL_auxz00_2853;
BgL_auxz00_2853 = 
BSTRING_TO_STRING(BGl_string3098z00zzintegrate_localzd2ze3globalz31); 
return ( 
BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = 
string_to_symbol(BgL_auxz00_2853), BUNSPEC) ;} } 
}



/* local->global */
obj_t BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_1)
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 35 */
{ /* Integrate/loc2glo.scm 37 */
obj_t BgL_globalz00_1451;
BgL_globalz00_1451 = 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_1); 
{ /* Integrate/loc2glo.scm 37 */
obj_t BgL_kapturedz00_1452;
{ /* Integrate/loc2glo.scm 38 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2903z00_1987;
{ /* Integrate/loc2glo.scm 38 */
BgL_valuez00_bglt BgL_auxz00_2857;
BgL_auxz00_2857 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_valuez00); 
BgL_obj2903z00_1987 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_2857); } 
{ 
obj_t BgL_auxz00_2860;
{ /* Integrate/loc2glo.scm 38 */
BgL_objectz00_bglt BgL_auxz00_2861;
BgL_auxz00_2861 = 
(BgL_objectz00_bglt)(BgL_obj2903z00_1987); 
BgL_auxz00_2860 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2861); } 
BgL_kapturedz00_1452 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_2860))->BgL_kapturedz00); } } 
{ /* Integrate/loc2glo.scm 38 */
obj_t BgL_addzd2argszd2_1453;
if(
NULLP(BgL_kapturedz00_1452))
{ /* Integrate/loc2glo.scm 39 */
BgL_addzd2argszd2_1453 = BNIL; }  else 
{ /* Integrate/loc2glo.scm 39 */
obj_t BgL_head2943z00_1509;
BgL_head2943z00_1509 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2941z00_1510;obj_t BgL_tail2944z00_1511;
BgL_l2941z00_1510 = BgL_kapturedz00_1452; 
BgL_tail2944z00_1511 = BgL_head2943z00_1509; 
BgL_lname2942z00_1512:
if(
NULLP(BgL_l2941z00_1510))
{ /* Integrate/loc2glo.scm 39 */
BgL_addzd2argszd2_1453 = 
CDR(BgL_head2943z00_1509); }  else 
{ /* Integrate/loc2glo.scm 40 */
obj_t BgL_newtail2945z00_1514;
{ /* Integrate/loc2glo.scm 40 */
BgL_localz00_bglt BgL_arg2999z00_1516;
{ /* Integrate/loc2glo.scm 40 */
obj_t BgL_oldz00_1518;
BgL_oldz00_1518 = 
CAR(BgL_l2941z00_1510); 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_arg3001z00_1519;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_duplicated2946z00_1520;
{ /* Integrate/loc2glo.scm 42 */
BgL_localz00_bglt BgL_obj1279z00_1994;
BgL_obj1279z00_1994 = 
(BgL_localz00_bglt)(BgL_oldz00_1518); 
{ /* Integrate/loc2glo.scm 42 */
BgL_valuez00_bglt BgL_auxz00_2873;
BgL_auxz00_2873 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_1994))->BgL_valuez00); 
BgL_duplicated2946z00_1520 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_auxz00_2873); } } 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2947z00_1521;
{ /* Integrate/loc2glo.scm 41 */
obj_t BgL_arg3002z00_1522;obj_t BgL_arg3003z00_1523;obj_t BgL_arg3004z00_1524;bool_t BgL_arg3005z00_1525;bool_t BgL_arg3006z00_1526;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_obj2716z00_1995;
BgL_obj2716z00_1995 = 
(BgL_svarz00_bglt)(BgL_duplicated2946z00_1520); 
BgL_arg3002z00_1522 = 
(((BgL_svarz00_bglt)CREF(BgL_obj2716z00_1995))->BgL_locz00); } 
{ 
obj_t BgL_auxz00_2878;
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2879;
BgL_auxz00_2879 = 
(BgL_objectz00_bglt)(BgL_duplicated2946z00_1520); 
BgL_auxz00_2878 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2879); } 
BgL_arg3003z00_1523 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2878))->BgL_fzd2markzd2); } 
{ 
obj_t BgL_auxz00_2883;
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2884;
BgL_auxz00_2884 = 
(BgL_objectz00_bglt)(BgL_duplicated2946z00_1520); 
BgL_auxz00_2883 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2884); } 
BgL_arg3004z00_1524 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2883))->BgL_uzd2markzd2); } 
{ 
obj_t BgL_auxz00_2888;
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2889;
BgL_auxz00_2889 = 
(BgL_objectz00_bglt)(BgL_duplicated2946z00_1520); 
BgL_auxz00_2888 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2889); } 
BgL_arg3005z00_1525 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2888))->BgL_kapturedzf3zf3); } 
{ 
obj_t BgL_auxz00_2893;
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2894;
BgL_auxz00_2894 = 
(BgL_objectz00_bglt)(BgL_duplicated2946z00_1520); 
BgL_auxz00_2893 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2894); } 
BgL_arg3006z00_1526 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_2893))->BgL_celledzf3zf3); } 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3080z00_2041;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_aux2700z00_2005;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3077z00_2021;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_new1521z00_2010;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3075z00_2016;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_new1523z00_2011;
BgL_new1523z00_2011 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Integrate/loc2glo.scm 41 */
long BgL_arg3065z00_2012;
BgL_arg3065z00_2012 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2900;
BgL_auxz00_2900 = 
(BgL_objectz00_bglt)(BgL_new1523z00_2011); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2900, BgL_arg3065z00_2012); } } 
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2903;
BgL_auxz00_2903 = 
(BgL_objectz00_bglt)(BgL_new1523z00_2011); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2903, BFALSE); } 
{ /* Integrate/loc2glo.scm 41 */
obj_t BgL_auxz00_2906;
BgL_auxz00_2906 = 
(obj_t)(BgL_new1523z00_2011); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2906); } BUNSPEC; 
BgL_res3075z00_2016 = BgL_new1523z00_2011; } 
BgL_new1521z00_2010 = BgL_res3075z00_2016; } 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarz00_bglt BgL_res3076z00_2020;
((((BgL_svarz00_bglt)CREF(BgL_new1521z00_2010))->BgL_locz00) = ((obj_t)BgL_arg3002z00_1522), BUNSPEC); 
BgL_res3076z00_2020 = BgL_new1521z00_2010; BgL_res3076z00_2020; } 
BgL_res3077z00_2021 = BgL_new1521z00_2010; } 
BgL_aux2700z00_2005 = BgL_res3077z00_2021; } 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2701z00_2006;
BgL_new2701z00_2006 = 
((BgL_svarzf2iinfozf2_bglt)BgL_aux2700z00_2005); 
{ /* Integrate/loc2glo.scm 41 */
long BgL_arg3027z00_2007;
BgL_arg3027z00_2007 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/loc2glo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_2912;
BgL_auxz00_2912 = 
(BgL_objectz00_bglt)(BgL_new2701z00_2006); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2912, BgL_arg3027z00_2007); } } 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_arg3028z00_2008;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3079z00_2039;
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_new2683z00_2028;
BgL_new2683z00_2028 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/loc2glo.scm 41 */
BgL_svarzf2iinfozf2_bglt BgL_res3078z00_2038;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2683z00_2028))->BgL_fzd2markzd2) = ((obj_t)BgL_arg3003z00_1523), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2683z00_2028))->BgL_uzd2markzd2) = ((obj_t)BgL_arg3004z00_1524), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2683z00_2028))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3005z00_1525), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2683z00_2028))->BgL_celledzf3zf3) = ((bool_t)BgL_arg3006z00_1526), BUNSPEC); 
BgL_res3078z00_2038 = BgL_new2683z00_2028; BgL_res3078z00_2038; } 
BgL_res3079z00_2039 = BgL_new2683z00_2028; } 
BgL_arg3028z00_2008 = BgL_res3079z00_2039; } 
{ /* Integrate/loc2glo.scm 41 */
obj_t BgL_auxz00_2922;BgL_objectz00_bglt BgL_auxz00_2920;
BgL_auxz00_2922 = 
(obj_t)(BgL_arg3028z00_2008); 
BgL_auxz00_2920 = 
(BgL_objectz00_bglt)(BgL_new2701z00_2006); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2920, BgL_auxz00_2922); } } 
{ /* Integrate/loc2glo.scm 41 */
obj_t BgL_auxz00_2925;
BgL_auxz00_2925 = 
(obj_t)(BgL_new2701z00_2006); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2925); } BUNSPEC; 
BgL_res3080z00_2041 = BgL_new2701z00_2006; } } 
BgL_new2947z00_1521 = BgL_res3080z00_2041; } } 
{ /* Integrate/loc2glo.scm 41 */

BgL_arg3001z00_1519 = BgL_new2947z00_1521; } } } 
BgL_arg2999z00_1516 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_oldz00_1518), 
(BgL_valuez00_bglt)(BgL_arg3001z00_1519)); } } 
{ /* Integrate/loc2glo.scm 39 */
obj_t BgL_auxz00_2931;
BgL_auxz00_2931 = 
(obj_t)(BgL_arg2999z00_1516); 
BgL_newtail2945z00_1514 = 
MAKE_PAIR(BgL_auxz00_2931, BNIL); } } 
SET_CDR(BgL_tail2944z00_1511, BgL_newtail2945z00_1514); 
{ 
obj_t BgL_tail2944z00_2937;obj_t BgL_l2941z00_2935;
BgL_l2941z00_2935 = 
CDR(BgL_l2941z00_1510); 
BgL_tail2944z00_2937 = BgL_newtail2945z00_1514; 
BgL_tail2944z00_1511 = BgL_tail2944z00_2937; 
BgL_l2941z00_1510 = BgL_l2941z00_2935; 
goto BgL_lname2942z00_1512;} } } } 
{ /* Integrate/loc2glo.scm 39 */
BgL_valuez00_bglt BgL_oldzd2funzd2_1454;
BgL_oldzd2funzd2_1454 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_valuez00); 
{ /* Integrate/loc2glo.scm 44 */
BgL_sfunz00_bglt BgL_newzd2funzd2_1455;
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_duplicated2948z00_1489;
BgL_duplicated2948z00_1489 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1454); 
{ /* Integrate/loc2glo.scm 46 */
BgL_sfunz00_bglt BgL_new2949z00_1490;
{ /* Integrate/loc2glo.scm 46 */
obj_t BgL_arg2980z00_1491;obj_t BgL_arg2981z00_1492;obj_t BgL_arg2982z00_1493;obj_t BgL_arg2983z00_1494;bool_t BgL_arg2984z00_1495;obj_t BgL_arg2985z00_1496;obj_t BgL_arg2986z00_1497;obj_t BgL_arg2987z00_1498;obj_t BgL_arg2988z00_1499;obj_t BgL_arg2989z00_1500;obj_t BgL_arg2990z00_1501;obj_t BgL_arg2991z00_1502;
{ /* Integrate/loc2glo.scm 46 */
obj_t BgL_auxz00_2944;obj_t BgL_auxz00_2940;
{ /* Integrate/loc2glo.scm 46 */
long BgL_auxz00_2945;
BgL_auxz00_2945 = 
bgl_list_length(BgL_addzd2argszd2_1453); 
BgL_auxz00_2944 = 
BINT(BgL_auxz00_2945); } 
{ /* Integrate/loc2glo.scm 46 */
long BgL_auxz00_2941;
BgL_auxz00_2941 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_arityz00); 
BgL_auxz00_2940 = 
BINT(BgL_auxz00_2941); } 
BgL_arg2980z00_1491 = 
BGl_zb2zd2arityz60zztools_argsz00(BgL_auxz00_2940, BgL_auxz00_2944); } 
BgL_arg2981z00_1492 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_sidezd2effectzf3z21); 
BgL_arg2982z00_1493 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_predicatezd2ofzd2); 
BgL_arg2983z00_1494 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_stackzd2allocatorzd2); 
BgL_arg2984z00_1495 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_topzf3zf3); 
BgL_arg2985z00_1496 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_thezd2closurezd2); 
BgL_arg2986z00_1497 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_propertyz00); 
BgL_arg2987z00_1498 = 
bgl_append2(
bgl_reverse(BgL_addzd2argszd2_1453), 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_argsz00)); 
BgL_arg2988z00_1499 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_bodyz00); 
BgL_arg2989z00_1500 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_classz00); 
BgL_arg2990z00_1501 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_dssslzd2keywordszd2); 
BgL_arg2991z00_1502 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2948z00_1489))->BgL_locz00); 
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3083z00_2105;
{ /* Integrate/loc2glo.scm 45 */
long BgL_arity1436z00_2060;
BgL_arity1436z00_2060 = 
(long)CINT(BgL_arg2980z00_1491); 
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_new1448z00_2072;
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3081z00_2078;
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_new1450z00_2073;
BgL_new1450z00_2073 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Integrate/loc2glo.scm 45 */
long BgL_arg3067z00_2074;
BgL_arg3067z00_2074 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Integrate/loc2glo.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2965;
BgL_auxz00_2965 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2073); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2965, BgL_arg3067z00_2074); } } 
{ /* Integrate/loc2glo.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2968;
BgL_auxz00_2968 = 
(BgL_objectz00_bglt)(BgL_new1450z00_2073); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2968, BFALSE); } 
{ /* Integrate/loc2glo.scm 45 */
obj_t BgL_auxz00_2971;
BgL_auxz00_2971 = 
(obj_t)(BgL_new1450z00_2073); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2971); } BUNSPEC; 
BgL_res3081z00_2078 = BgL_new1450z00_2073; } 
BgL_new1448z00_2072 = BgL_res3081z00_2078; } 
{ /* Integrate/loc2glo.scm 45 */
BgL_sfunz00_bglt BgL_res3082z00_2104;
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_arityz00) = ((long)BgL_arity1436z00_2060), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg2981z00_1492), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_arg2982z00_1493), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_arg2983z00_1494), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_topzf3zf3) = ((bool_t)BgL_arg2984z00_1495), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_thezd2closurezd2) = ((obj_t)BgL_arg2985z00_1496), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_propertyz00) = ((obj_t)BgL_arg2986z00_1497), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_argsz00) = ((obj_t)BgL_arg2987z00_1498), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_bodyz00) = ((obj_t)BgL_arg2988z00_1499), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_classz00) = ((obj_t)BgL_arg2989z00_1500), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg2990z00_1501), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1448z00_2072))->BgL_locz00) = ((obj_t)BgL_arg2991z00_1502), BUNSPEC); 
BgL_res3082z00_2104 = BgL_new1448z00_2072; BgL_res3082z00_2104; } 
BgL_res3083z00_2105 = BgL_new1448z00_2072; } } 
BgL_new2949z00_1490 = BgL_res3083z00_2105; } } 
{ /* Integrate/loc2glo.scm 45 */

BgL_newzd2funzd2_1455 = BgL_new2949z00_1490; } } } 
{ /* Integrate/loc2glo.scm 45 */

{ /* Integrate/loc2glo.scm 50 */
BgL_typez00_bglt BgL_arg2958z00_1456;
BgL_arg2958z00_1456 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_typez00); 
{ /* Integrate/loc2glo.scm 50 */
BgL_globalz00_bglt BgL_obj1177z00_2107;
BgL_obj1177z00_2107 = 
(BgL_globalz00_bglt)(BgL_globalz00_1451); 
((((BgL_globalz00_bglt)CREF(BgL_obj1177z00_2107))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2958z00_1456), BUNSPEC); } } 
{ 
obj_t BgL_l2950z00_1457;
BgL_l2950z00_1457 = 
(((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1455))->BgL_argsz00); 
BgL_lname2951z00_1458:
if(
PAIRP(BgL_l2950z00_1457))
{ /* Integrate/loc2glo.scm 51 */
{ /* Integrate/loc2glo.scm 52 */
obj_t BgL_lz00_1461;
BgL_lz00_1461 = 
CAR(BgL_l2950z00_1457); 
{ /* Integrate/loc2glo.scm 52 */
bool_t BgL_test2961z00_1462;
BgL_test2961z00_1462 = 
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_lz00_1461)); 
if(BgL_test2961z00_1462)
{ /* Integrate/loc2glo.scm 53 */
BgL_localz00_bglt BgL_obj1278z00_2112;BgL_typez00_bglt BgL_val1277z00_2113;
BgL_obj1278z00_2112 = 
(BgL_localz00_bglt)(BgL_lz00_1461); 
BgL_val1277z00_2113 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1278z00_2112))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1277z00_2113), BUNSPEC); }  else 
{ /* Integrate/loc2glo.scm 52 */BFALSE; } } } 
{ 
obj_t BgL_l2950z00_2998;
BgL_l2950z00_2998 = 
CDR(BgL_l2950z00_1457); 
BgL_l2950z00_1457 = BgL_l2950z00_2998; 
goto BgL_lname2951z00_1458;} }  else 
{ /* Integrate/loc2glo.scm 51 */((bool_t)1); } } 
{ /* Integrate/loc2glo.scm 56 */
obj_t BgL_arg2963z00_1464;
{ /* Integrate/loc2glo.scm 56 */
obj_t BgL_arg2964z00_1465;obj_t BgL_arg2965z00_1466;
{ /* Integrate/loc2glo.scm 56 */
BgL_sfunz00_bglt BgL_obj1398z00_2115;
BgL_obj1398z00_2115 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1454); 
BgL_arg2964z00_1465 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_2115))->BgL_bodyz00); } 
if(
NULLP(BgL_kapturedz00_1452))
{ /* Integrate/loc2glo.scm 58 */
BgL_arg2965z00_1466 = BNIL; }  else 
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_head2954z00_1470;
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_arg2976z00_1485;
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_auxz00_3007;obj_t BgL_auxz00_3005;
BgL_auxz00_3007 = 
CAR(BgL_addzd2argszd2_1453); 
BgL_auxz00_3005 = 
CAR(BgL_kapturedz00_1452); 
BgL_arg2976z00_1485 = 
MAKE_PAIR(BgL_auxz00_3005, BgL_auxz00_3007); } 
BgL_head2954z00_1470 = 
MAKE_PAIR(BgL_arg2976z00_1485, BNIL); } 
{ 
obj_t BgL_ll2952z00_1471;obj_t BgL_ll2953z00_1472;obj_t BgL_tail2955z00_1473;
BgL_ll2952z00_1471 = 
CDR(BgL_kapturedz00_1452); 
BgL_ll2953z00_1472 = 
CDR(BgL_addzd2argszd2_1453); 
BgL_tail2955z00_1473 = BgL_head2954z00_1470; 
BgL_lname2957z00_1474:
if(
NULLP(BgL_ll2952z00_1471))
{ /* Integrate/loc2glo.scm 58 */
BgL_arg2965z00_1466 = BgL_head2954z00_1470; }  else 
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_newtail2956z00_1478;
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_arg2972z00_1481;
{ /* Integrate/loc2glo.scm 58 */
obj_t BgL_auxz00_3015;obj_t BgL_auxz00_3013;
BgL_auxz00_3015 = 
CAR(BgL_ll2953z00_1472); 
BgL_auxz00_3013 = 
CAR(BgL_ll2952z00_1471); 
BgL_arg2972z00_1481 = 
MAKE_PAIR(BgL_auxz00_3013, BgL_auxz00_3015); } 
BgL_newtail2956z00_1478 = 
MAKE_PAIR(BgL_arg2972z00_1481, BNIL); } 
SET_CDR(BgL_tail2955z00_1473, BgL_newtail2956z00_1478); 
{ 
obj_t BgL_tail2955z00_3024;obj_t BgL_ll2953z00_3022;obj_t BgL_ll2952z00_3020;
BgL_ll2952z00_3020 = 
CDR(BgL_ll2952z00_1471); 
BgL_ll2953z00_3022 = 
CDR(BgL_ll2953z00_1472); 
BgL_tail2955z00_3024 = BgL_newtail2956z00_1478; 
BgL_tail2955z00_1473 = BgL_tail2955z00_3024; 
BgL_ll2953z00_1472 = BgL_ll2953z00_3022; 
BgL_ll2952z00_1471 = BgL_ll2952z00_3020; 
goto BgL_lname2957z00_1474;} } } } 
BgL_arg2963z00_1464 = 
BGl_globaliza7ez12zb5zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_arg2964z00_1465), 
(BgL_variablez00_bglt)(BgL_localz00_1), BgL_arg2965z00_1466); } 
((((BgL_sfunz00_bglt)CREF(BgL_newzd2funzd2_1455))->BgL_bodyz00) = ((obj_t)BgL_arg2963z00_1464), BUNSPEC); } 
{ /* Integrate/loc2glo.scm 59 */
BgL_globalz00_bglt BgL_obj1180z00_2134;BgL_valuez00_bglt BgL_val1179z00_2135;
BgL_obj1180z00_2134 = 
(BgL_globalz00_bglt)(BgL_globalz00_1451); 
BgL_val1179z00_2135 = 
(BgL_valuez00_bglt)(BgL_newzd2funzd2_1455); 
((((BgL_globalz00_bglt)CREF(BgL_obj1180z00_2134))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1179z00_2135), BUNSPEC); } 
return BgL_globalz00_1451;} } } } } } } 
}



/* _local->global */
obj_t BGl__localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(obj_t BgL_envz00_2815, obj_t BgL_localz00_2816)
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 35 */
return 
BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_localz00_2816));} 
}



/* local-id->global-id */
obj_t BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_2)
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 72 */
{ 
obj_t BgL_idz00_1529;
BgL_idz00_1529 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_2))->BgL_idz00); 
BgL_loopz00_1530:
{ /* Integrate/loc2glo.scm 75 */
bool_t BgL_test3009z00_1532;
{ /* Integrate/loc2glo.scm 75 */
obj_t BgL_arg3013z00_1536;
BgL_arg3013z00_1536 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1529, BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_test3009z00_1532 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3013z00_1536, BGl_globalz00zzast_varz00); } 
if(BgL_test3009z00_1532)
{ /* Integrate/loc2glo.scm 76 */
obj_t BgL_arg3010z00_1533;
{ /* Integrate/loc2glo.scm 76 */
obj_t BgL_list3011z00_1534;
{ /* Integrate/loc2glo.scm 76 */
obj_t BgL_arg3012z00_1535;
BgL_arg3012z00_1535 = 
MAKE_PAIR(BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31, BNIL); 
BgL_list3011z00_1534 = 
MAKE_PAIR(BgL_idz00_1529, BgL_arg3012z00_1535); } 
BgL_arg3010z00_1533 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3011z00_1534); } 
{ 
obj_t BgL_idz00_3042;
BgL_idz00_3042 = BgL_arg3010z00_1533; 
BgL_idz00_1529 = BgL_idz00_3042; 
goto BgL_loopz00_1530;} }  else 
{ /* Integrate/loc2glo.scm 75 */
return BgL_idz00_1529;} } } } 
}



/* the-global */
obj_t BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt BgL_localz00_3)
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 82 */
{ /* Integrate/loc2glo.scm 83 */
BgL_valuez00_bglt BgL_valuez00_1537;
BgL_valuez00_1537 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_3))->BgL_valuez00); 
{ /* Integrate/loc2glo.scm 84 */
bool_t BgL_test3014z00_1538;
{ /* Integrate/loc2glo.scm 84 */
obj_t BgL_auxz00_3045;
{ /* Integrate/loc2glo.scm 84 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2900z00_2140;
BgL_obj2900z00_2140 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1537); 
{ 
obj_t BgL_auxz00_3047;
{ /* Integrate/loc2glo.scm 84 */
BgL_objectz00_bglt BgL_auxz00_3048;
BgL_auxz00_3048 = 
(BgL_objectz00_bglt)(BgL_obj2900z00_2140); 
BgL_auxz00_3047 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3048); } 
BgL_auxz00_3045 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3047))->BgL_globalz00); } } 
BgL_test3014z00_1538 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3045, BGl_globalz00zzast_varz00); } 
if(BgL_test3014z00_1538)
{ /* Integrate/loc2glo.scm 85 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2900z00_2142;
BgL_obj2900z00_2142 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1537); 
{ 
obj_t BgL_auxz00_3055;
{ /* Integrate/loc2glo.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3056;
BgL_auxz00_3056 = 
(BgL_objectz00_bglt)(BgL_obj2900z00_2142); 
BgL_auxz00_3055 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3056); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3055))->BgL_globalz00);} }  else 
{ /* Integrate/loc2glo.scm 86 */
obj_t BgL_idz00_1539;
BgL_idz00_1539 = 
BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31(BgL_localz00_3); 
{ /* Integrate/loc2glo.scm 86 */
BgL_globalz00_bglt BgL_globalz00_1540;
BgL_globalz00_1540 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_idz00_1539, BNIL, BNIL, BGl_za2moduleza2z00zzmodule_modulez00, 
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), 
CNST_TABLE_REF(((long)2)), BUNSPEC); 
{ /* Integrate/loc2glo.scm 87 */

{ /* Integrate/loc2glo.scm 100 */
obj_t BgL_arg3016z00_1542;
{ /* Integrate/loc2glo.scm 100 */
BgL_sfunz00_bglt BgL_obj1407z00_2144;
BgL_obj1407z00_2144 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1537); 
BgL_arg3016z00_1542 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1407z00_2144))->BgL_locz00); } 
{ /* Integrate/loc2glo.scm 100 */
BgL_sfunz00_bglt BgL_obj1409z00_2145;
{ /* Integrate/loc2glo.scm 100 */
BgL_valuez00_bglt BgL_auxz00_3067;
BgL_auxz00_3067 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1540))->BgL_valuez00); 
BgL_obj1409z00_2145 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3067); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1409z00_2145))->BgL_locz00) = ((obj_t)BgL_arg3016z00_1542), BUNSPEC); } } 
if(
(((BgL_localz00_bglt)CREF(BgL_localz00_3))->BgL_userzf3zf3))
{ /* Integrate/loc2glo.scm 102 */BFALSE; }  else 
{ /* Integrate/loc2glo.scm 102 */
((((BgL_globalz00_bglt)CREF(BgL_globalz00_1540))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } 
{ /* Integrate/loc2glo.scm 104 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2902z00_2150;obj_t BgL_val2901z00_2151;
BgL_obj2902z00_2150 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_valuez00_1537); 
BgL_val2901z00_2151 = 
(obj_t)(BgL_globalz00_1540); 
{ 
obj_t BgL_auxz00_3076;
{ /* Integrate/loc2glo.scm 104 */
BgL_objectz00_bglt BgL_auxz00_3077;
BgL_auxz00_3077 = 
(BgL_objectz00_bglt)(BgL_obj2902z00_2150); 
BgL_auxz00_3076 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3077); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3076))->BgL_globalz00) = ((obj_t)BgL_val2901z00_2151), BUNSPEC); } } 
{ /* Integrate/loc2glo.scm 105 */
obj_t BgL_arg3019z00_1545;
{ /* Integrate/loc2glo.scm 106 */
BgL_sfunz00_bglt BgL_obj1377z00_2153;
BgL_obj1377z00_2153 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1537); 
BgL_arg3019z00_1545 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1377z00_2153))->BgL_sidezd2effectzf3z21); } 
{ /* Integrate/loc2glo.scm 105 */
BgL_sfunz00_bglt BgL_obj1379z00_2154;
{ /* Integrate/loc2glo.scm 105 */
BgL_valuez00_bglt BgL_auxz00_3083;
BgL_auxz00_3083 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1540))->BgL_valuez00); 
BgL_obj1379z00_2154 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3083); } 
((((BgL_sfunz00_bglt)CREF(BgL_obj1379z00_2154))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3019z00_1545), BUNSPEC); } } 
return 
(obj_t)(BgL_globalz00_1540);} } } } } } 
}



/* _the-global */
obj_t BGl__thezd2globalzd2zzintegrate_localzd2ze3globalz31(obj_t BgL_envz00_2817, obj_t BgL_localz00_2818)
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 82 */
return 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_localz00_2818));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
{ AN_OBJECT;
{ /* Integrate/loc2glo.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "integrate_local->global"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_local->global"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long)9308), "integrate_local->global");} 
}

