/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
static obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t, obj_t);
extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_STRING( BGl_string1615z00zzintegrate_walkz00, BgL_bgl_string1615za700za7za7integrate_walkza7001620z00, "(integrate cfa) pass-started ", 29 );
DEFINE_STRING( BGl_string1614z00zzintegrate_walkz00, BgL_bgl_string1614za700za7za7integrate_walkza7001621z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string1613z00zzintegrate_walkz00, BgL_bgl_string1613za700za7za7integrate_walkza7001622z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string1612z00zzintegrate_walkz00, BgL_bgl_string1612za700za7za7integrate_walkza7001623z00, " error", 6 );
DEFINE_STRING( BGl_string1611z00zzintegrate_walkz00, BgL_bgl_string1611za700za7za7integrate_walkza7001624z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1610z00zzintegrate_walkz00, BgL_bgl_string1610za700za7za7integrate_walkza7001625z00, "   . ", 5 );
DEFINE_STRING( BGl_string1609z00zzintegrate_walkz00, BgL_bgl_string1609za700za7za7integrate_walkza7001626z00, "Integration", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00, BgL_bgl__integrateza7d2walkza712za7c0za7za7integrate_walkza7001627z00, BGl__integratezd2walkz12zc0zzintegrate_walkz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long BgL_checksumz00_762, char * BgL_fromz00_763)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00(); 
BGl_cnstzd2initzd2zzintegrate_walkz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
{ AN_OBJECT;
{ /* Integrate/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "integrate_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
{ AN_OBJECT;
{ /* Integrate/walk.scm 15 */
{ /* Integrate/walk.scm 15 */
obj_t BgL_cportz00_755;
BgL_cportz00_755 = 
open_input_string(BGl_string1615z00zzintegrate_walkz00); 
{ 
long BgL_iz00_756;
BgL_iz00_756 = ((long)1); 
BgL_loopz00_757:
if(
(BgL_iz00_756==((long)-1)))
{ /* Integrate/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/walk.scm 15 */
{ /* Integrate/walk.scm 15 */
obj_t BgL_arg1617z00_759;
{ /* Integrate/walk.scm 15 */
obj_t BgL_list1618z00_760;
BgL_list1618z00_760 = 
MAKE_PAIR(BgL_cportz00_755, BNIL); 
BgL_arg1617z00_759 = 
BGl_readz00zz__readerz00(BgL_list1618z00_760); } 
{ /* Integrate/walk.scm 15 */
int BgL_auxz00_780;
BgL_auxz00_780 = 
(int)(BgL_iz00_756); 
CNST_TABLE_SET(BgL_auxz00_780, BgL_arg1617z00_759); } } 
{ 
long BgL_iz00_783;
{ /* Integrate/walk.scm 15 */
int BgL_auxz00_784;
{ /* Integrate/walk.scm 15 */
long BgL_auxz00_785;
BgL_auxz00_785 = 
(BgL_iz00_756-((long)1)); 
BgL_auxz00_784 = 
(int)(BgL_auxz00_785); } 
BgL_iz00_783 = 
(long)(BgL_auxz00_784); } 
BgL_iz00_756 = BgL_iz00_783; 
goto BgL_loopz00_757;} } } } } 
}



/* integrate-walk! */
obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Integrate/walk.scm 28 */
{ /* Integrate/walk.scm 29 */
obj_t BgL_list1550z00_417;
{ /* Integrate/walk.scm 29 */
obj_t BgL_arg1552z00_419;
{ /* Integrate/walk.scm 29 */
obj_t BgL_arg1554z00_421;
{ /* Integrate/walk.scm 29 */
obj_t BgL_auxz00_789;
BgL_auxz00_789 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1554z00_421 = 
MAKE_PAIR(BgL_auxz00_789, BNIL); } 
BgL_arg1552z00_419 = 
MAKE_PAIR(BGl_string1609z00zzintegrate_walkz00, BgL_arg1554z00_421); } 
BgL_list1550z00_417 = 
MAKE_PAIR(BGl_string1610z00zzintegrate_walkz00, BgL_arg1552z00_419); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1550z00_417); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1609z00zzintegrate_walkz00; 
{ 
obj_t BgL_hooksz00_422;obj_t BgL_hnamesz00_423;
BgL_hooksz00_422 = BNIL; 
BgL_hnamesz00_423 = BNIL; 
BgL_loopz00_424:
if(
NULLP(BgL_hooksz00_422))
{ /* Integrate/walk.scm 29 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Integrate/walk.scm 29 */
bool_t BgL_test1560z00_429;
{ /* Integrate/walk.scm 29 */
obj_t BgL_fun1568z00_435;
BgL_fun1568z00_435 = 
CAR(BgL_hooksz00_422); 
{ /* Integrate/walk.scm 29 */
obj_t BgL_auxz00_801;
BgL_auxz00_801 = 
PROCEDURE_ENTRY(BgL_fun1568z00_435)(BgL_fun1568z00_435, BEOA); 
BgL_test1560z00_429 = 
CBOOL(BgL_auxz00_801); } } 
if(BgL_test1560z00_429)
{ /* Integrate/walk.scm 29 */
{ 
obj_t BgL_hnamesz00_808;obj_t BgL_hooksz00_806;
BgL_hooksz00_806 = 
CDR(BgL_hooksz00_422); 
BgL_hnamesz00_808 = 
CDR(BgL_hnamesz00_423); 
BgL_hnamesz00_423 = BgL_hnamesz00_808; 
BgL_hooksz00_422 = BgL_hooksz00_806; 
goto BgL_loopz00_424;} }  else 
{ /* Integrate/walk.scm 29 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1609z00zzintegrate_walkz00, BGl_string1611z00zzintegrate_walkz00, 
CAR(BgL_hnamesz00_423)); } } } 
{ 
obj_t BgL_oldz00_436;obj_t BgL_newz00_437;
BgL_oldz00_436 = BgL_globalsz00_1; 
BgL_newz00_437 = BNIL; 
BgL_loopz00_438:
if(
NULLP(BgL_oldz00_436))
{ /* Integrate/walk.scm 33 */
obj_t BgL_valuez00_440;
BgL_valuez00_440 = 
BGl_removezd2varzd2zzast_removez00(
CNST_TABLE_REF(((long)1)), BgL_newz00_437); 
{ /* Integrate/walk.scm 33 */
bool_t BgL_test1570z00_441;
{ /* Integrate/walk.scm 33 */
long BgL_n1z00_596;
BgL_n1z00_596 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test1570z00_441 = 
(BgL_n1z00_596>((long)0)); } 
if(BgL_test1570z00_441)
{ /* Integrate/walk.scm 33 */
{ /* Integrate/walk.scm 33 */
obj_t BgL_list1571z00_443;
BgL_list1571z00_443 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list1571z00_443); } 
{ /* Integrate/walk.scm 33 */
obj_t BgL_list1572z00_444;
BgL_list1572z00_444 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string1612z00zzintegrate_walkz00, BgL_list1572z00_444); } 
{ /* Integrate/walk.scm 33 */
char * BgL_arg1573z00_445;
{ /* Integrate/walk.scm 33 */
bool_t BgL_test1575z00_447;
{ /* Integrate/walk.scm 33 */
bool_t BgL_test1576z00_448;
{ /* Integrate/walk.scm 33 */
obj_t BgL_objz00_598;
BgL_objz00_598 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test1576z00_448 = 
INTEGERP(BgL_objz00_598); } 
if(BgL_test1576z00_448)
{ /* Integrate/walk.scm 33 */
BgL_test1575z00_447 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Integrate/walk.scm 33 */
BgL_test1575z00_447 = ((bool_t)0); } } 
if(BgL_test1575z00_447)
{ /* Integrate/walk.scm 33 */
BgL_arg1573z00_445 = "s"; }  else 
{ /* Integrate/walk.scm 33 */
BgL_arg1573z00_445 = ""; } } 
{ /* Integrate/walk.scm 33 */
obj_t BgL_list1574z00_446;
BgL_list1574z00_446 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1573z00_445), BgL_list1574z00_446); } } 
{ /* Integrate/walk.scm 33 */
obj_t BgL_list1577z00_449;
BgL_list1577z00_449 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string1613z00zzintegrate_walkz00, BgL_list1577z00_449); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Integrate/walk.scm 33 */
obj_t BgL_list1578z00_450;
{ /* Integrate/walk.scm 33 */
obj_t BgL_auxz00_834;
BgL_auxz00_834 = 
BINT(((long)-1)); 
BgL_list1578z00_450 = 
MAKE_PAIR(BgL_auxz00_834, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1578z00_450);} }  else 
{ 
obj_t BgL_hooksz00_451;obj_t BgL_hnamesz00_452;
BgL_hooksz00_451 = BNIL; 
BgL_hnamesz00_452 = BNIL; 
BgL_loopz00_453:
if(
NULLP(BgL_hooksz00_451))
{ /* Integrate/walk.scm 33 */
return BgL_valuez00_440;}  else 
{ /* Integrate/walk.scm 33 */
bool_t BgL_test1583z00_458;
{ /* Integrate/walk.scm 33 */
obj_t BgL_fun1589z00_463;
BgL_fun1589z00_463 = 
CAR(BgL_hooksz00_451); 
{ /* Integrate/walk.scm 33 */
obj_t BgL_auxz00_841;
BgL_auxz00_841 = 
PROCEDURE_ENTRY(BgL_fun1589z00_463)(BgL_fun1589z00_463, BEOA); 
BgL_test1583z00_458 = 
CBOOL(BgL_auxz00_841); } } 
if(BgL_test1583z00_458)
{ /* Integrate/walk.scm 33 */
{ 
obj_t BgL_hnamesz00_848;obj_t BgL_hooksz00_846;
BgL_hooksz00_846 = 
CDR(BgL_hooksz00_451); 
BgL_hnamesz00_848 = 
CDR(BgL_hnamesz00_452); 
BgL_hnamesz00_452 = BgL_hnamesz00_848; 
BgL_hooksz00_451 = BgL_hooksz00_846; 
goto BgL_loopz00_453;} }  else 
{ /* Integrate/walk.scm 33 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string1614z00zzintegrate_walkz00, 
CAR(BgL_hnamesz00_452));} } } } }  else 
{ /* Integrate/walk.scm 34 */
obj_t BgL_globalz00_464;
BgL_globalz00_464 = 
CAR(BgL_oldz00_436); 
{ /* Integrate/walk.scm 35 */
obj_t BgL_auxz00_853;
{ /* Integrate/walk.scm 35 */
BgL_globalz00_bglt BgL_obj1148z00_608;
BgL_obj1148z00_608 = 
(BgL_globalz00_bglt)(BgL_globalz00_464); 
BgL_auxz00_853 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_608))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_853); } 
{ /* Integrate/walk.scm 36 */
obj_t BgL_arg1592z00_466;obj_t BgL_arg1593z00_467;
BgL_arg1592z00_466 = 
CDR(BgL_oldz00_436); 
{ /* Integrate/walk.scm 37 */
obj_t BgL_arg1594z00_468;
BgL_arg1594z00_468 = 
BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(BgL_globalz00_464); 
BgL_arg1593z00_467 = 
bgl_append2(BgL_arg1594z00_468, BgL_newz00_437); } 
{ 
obj_t BgL_newz00_861;obj_t BgL_oldz00_860;
BgL_oldz00_860 = BgL_arg1592z00_466; 
BgL_newz00_861 = BgL_arg1593z00_467; 
BgL_newz00_437 = BgL_newz00_861; 
BgL_oldz00_436 = BgL_oldz00_860; 
goto BgL_loopz00_438;} } } } } 
}



/* _integrate-walk! */
obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t BgL_envz00_753, obj_t BgL_globalsz00_754)
{ AN_OBJECT;
{ /* Integrate/walk.scm 28 */
return 
BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_754);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
{ AN_OBJECT;
{ /* Integrate/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
{ AN_OBJECT;
{ /* Integrate/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "integrate_walk"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)24171), "integrate_walk");} 
}

