/*===========================================================================*/
/*   (Jvm/closure.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_closurez00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_push_carsz00zzjvm_closurez00(obj_t, bool_t, obj_t);
static obj_t BGl_makezd2listzd2zzjvm_closurez00(long, obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzjvm_closurez00();
static obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2funizd2zzjvm_closurez00(long, BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
static obj_t BGl_make_consz00zzjvm_closurez00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__jvmzd2funcallerszd2zzjvm_closurez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_closurez00 = BUNSPEC;
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, long, obj_t);
static obj_t __cnst[ 28 ] ;

DEFINE_STRING( BGl_string3393z00zzjvm_closurez00, BgL_bgl_string3393za700za7za7jvm_closureza7003398z00, "cdr swap car ((checkcast j_pair)) dup (getfield car) ((checkcast j_pair) (getfield car)) (pop) ((pop) (areturn)) a t cons nil invokestatic putstatic getstatic def tableswitch areturn invokevirtual pop procindex getfield aload this public method jobject ", 253 );
DEFINE_STRING( BGl_string3392z00zzjvm_closurez00, BgL_bgl_string3392za700za7za7jvm_closureza7003399z00, "apply_error", 11 );
DEFINE_STRING( BGl_string3391z00zzjvm_closurez00, BgL_bgl_string3391za700za7za7jvm_closureza7003400z00, "APPLY-ERROR", 11 );
DEFINE_STRING( BGl_string3390z00zzjvm_closurez00, BgL_bgl_string3390za700za7za7jvm_closureza7003401z00, "apply", 5 );
DEFINE_STRING( BGl_string3389z00zzjvm_closurez00, BgL_bgl_string3389za700za7za7jvm_closureza7003402z00, "A", 1 );
DEFINE_STRING( BGl_string3388z00zzjvm_closurez00, BgL_bgl_string3388za700za7za7jvm_closureza7003403z00, "funcall_error", 13 );
DEFINE_STRING( BGl_string3387z00zzjvm_closurez00, BgL_bgl_string3387za700za7za7jvm_closureza7003404z00, "funcall", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2funcallerszd2envz00zzjvm_closurez00, BgL_bgl__jvmza7d2funcallersza7d2za7za7jvm_closureza7003405za7, BGl__jvmzd2funcallerszd2zzjvm_closurez00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long BgL_checksumz00_3075, char * BgL_fromz00_3076)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_closurez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_closurez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_closurez00(); 
BGl_cnstzd2initzd2zzjvm_closurez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_closurez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
{ /* Jvm/closure.scm 2 */
obj_t BgL_cportz00_3068;
BgL_cportz00_3068 = 
open_input_string(BGl_string3393z00zzjvm_closurez00); 
{ 
long BgL_iz00_3069;
BgL_iz00_3069 = ((long)27); 
BgL_loopz00_3070:
if(
(BgL_iz00_3069==((long)-1)))
{ /* Jvm/closure.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/closure.scm 2 */
{ /* Jvm/closure.scm 2 */
obj_t BgL_arg3395z00_3072;
{ /* Jvm/closure.scm 2 */
obj_t BgL_list3396z00_3073;
BgL_list3396z00_3073 = 
MAKE_PAIR(BgL_cportz00_3068, BNIL); 
BgL_arg3395z00_3072 = 
BGl_readz00zz__readerz00(BgL_list3396z00_3073); } 
{ /* Jvm/closure.scm 2 */
int BgL_auxz00_3093;
BgL_auxz00_3093 = 
(int)(BgL_iz00_3069); 
CNST_TABLE_SET(BgL_auxz00_3093, BgL_arg3395z00_3072); } } 
{ 
long BgL_iz00_3096;
{ /* Jvm/closure.scm 2 */
int BgL_auxz00_3097;
{ /* Jvm/closure.scm 2 */
long BgL_auxz00_3098;
BgL_auxz00_3098 = 
(BgL_iz00_3069-((long)1)); 
BgL_auxz00_3097 = 
(int)(BgL_auxz00_3098); } 
BgL_iz00_3096 = 
(long)(BgL_auxz00_3097); } 
BgL_iz00_3069 = BgL_iz00_3096; 
goto BgL_loopz00_3070;} } } } } 
}



/* jvm-funcallers */
obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* Jvm/closure.scm 11 */
{ /* Jvm/closure.scm 12 */
obj_t BgL_pz00_1501;
BgL_pz00_1501 = 
BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_1); 
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg2992z00_1502;obj_t BgL_arg2993z00_1503;obj_t BgL_arg2994z00_1504;obj_t BgL_arg2995z00_1505;obj_t BgL_arg2996z00_1506;obj_t BgL_arg2997z00_1507;
BgL_arg2992z00_1502 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)0), BgL_pz00_1501); 
BgL_arg2993z00_1503 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)1), BgL_pz00_1501); 
BgL_arg2994z00_1504 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)2), BgL_pz00_1501); 
BgL_arg2995z00_1505 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)3), BgL_pz00_1501); 
BgL_arg2996z00_1506 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)4), BgL_pz00_1501); 
BgL_arg2997z00_1507 = 
BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BgL_pz00_1501); 
{ /* Jvm/closure.scm 13 */
obj_t BgL_list2998z00_1508;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg2999z00_1509;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3000z00_1510;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3001z00_1511;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3002z00_1512;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3003z00_1513;
BgL_arg3003z00_1513 = 
MAKE_PAIR(BgL_arg2997z00_1507, BNIL); 
BgL_arg3002z00_1512 = 
MAKE_PAIR(BgL_arg2996z00_1506, BgL_arg3003z00_1513); } 
BgL_arg3001z00_1511 = 
MAKE_PAIR(BgL_arg2995z00_1505, BgL_arg3002z00_1512); } 
BgL_arg3000z00_1510 = 
MAKE_PAIR(BgL_arg2994z00_1504, BgL_arg3001z00_1511); } 
BgL_arg2999z00_1509 = 
MAKE_PAIR(BgL_arg2993z00_1503, BgL_arg3000z00_1510); } 
BgL_list2998z00_1508 = 
MAKE_PAIR(BgL_arg2992z00_1502, BgL_arg2999z00_1509); } 
return BgL_list2998z00_1508;} } } } 
}



/* _jvm-funcallers */
obj_t BGl__jvmzd2funcallerszd2zzjvm_closurez00(obj_t BgL_envz00_3063, obj_t BgL_envz00_3064, obj_t BgL_mez00_3065, obj_t BgL_superz00_3066)
{ AN_OBJECT;
{ /* Jvm/closure.scm 11 */
return 
BGl_jvmzd2funcallerszd2zzjvm_closurez00(
(BgL_envz00_bglt)(BgL_envz00_3064), BgL_mez00_3065, BgL_superz00_3066);} 
}



/* funcalli */
obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, long BgL_iz00_7, obj_t BgL_procsz00_8)
{ AN_OBJECT;
{ /* Jvm/closure.scm 23 */
{ /* Jvm/closure.scm 24 */
obj_t BgL_argsz00_1514;
BgL_argsz00_1514 = 
BGl_makezd2listzd2zzjvm_closurez00(BgL_iz00_7, 
CNST_TABLE_REF(((long)0))); 
{ /* Jvm/closure.scm 24 */
obj_t BgL_fnamez00_1515;
{ /* Jvm/closure.scm 25 */
obj_t BgL_auxz00_3119;
BgL_auxz00_3119 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_fnamez00_1515 = 
string_append(BGl_string3387z00zzjvm_closurez00, BgL_auxz00_3119); } 
{ /* Jvm/closure.scm 25 */
obj_t BgL_fz00_1516;
BgL_fz00_1516 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_fnamez00_1515, BEOA); 
{ /* Jvm/closure.scm 26 */
obj_t BgL_enamez00_1517;
{ /* Jvm/closure.scm 27 */
obj_t BgL_auxz00_3124;
BgL_auxz00_3124 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_enamez00_1517 = 
string_append(BGl_string3388z00zzjvm_closurez00, BgL_auxz00_3124); } 
{ /* Jvm/closure.scm 27 */
obj_t BgL_ez00_1518;
BgL_ez00_1518 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_enamez00_1517, BEOA); 
{ /* Jvm/closure.scm 28 */
obj_t BgL_paramsz00_1519;
if(
NULLP(BgL_argsz00_1514))
{ /* Jvm/closure.scm 29 */
BgL_paramsz00_1519 = BNIL; }  else 
{ /* Jvm/closure.scm 29 */
obj_t BgL_head2955z00_1581;
BgL_head2955z00_1581 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2953z00_1582;obj_t BgL_tail2956z00_1583;
BgL_l2953z00_1582 = BgL_argsz00_1514; 
BgL_tail2956z00_1583 = BgL_head2955z00_1581; 
BgL_lname2954z00_1584:
if(
NULLP(BgL_l2953z00_1582))
{ /* Jvm/closure.scm 29 */
BgL_paramsz00_1519 = 
CDR(BgL_head2955z00_1581); }  else 
{ /* Jvm/closure.scm 29 */
obj_t BgL_newtail2957z00_1586;
{ /* Jvm/closure.scm 29 */
obj_t BgL_arg3059z00_1588;
BgL_arg3059z00_1588 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3389z00zzjvm_closurez00, BEOA); 
BgL_newtail2957z00_1586 = 
MAKE_PAIR(BgL_arg3059z00_1588, BNIL); } 
SET_CDR(BgL_tail2956z00_1583, BgL_newtail2957z00_1586); 
{ 
obj_t BgL_tail2956z00_3141;obj_t BgL_l2953z00_3139;
BgL_l2953z00_3139 = 
CDR(BgL_l2953z00_1582); 
BgL_tail2956z00_3141 = BgL_newtail2957z00_1586; 
BgL_tail2956z00_1583 = BgL_tail2956z00_3141; 
BgL_l2953z00_1582 = BgL_l2953z00_3139; 
goto BgL_lname2954z00_1584;} } } } 
{ /* Jvm/closure.scm 29 */

{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3004z00_1520;
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3005z00_1521;obj_t BgL_arg3006z00_1522;
BgL_arg3005z00_1521 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3007z00_1523;
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3008z00_1524;obj_t BgL_arg3009z00_1525;
{ /* Jvm/closure.scm 30 */
obj_t BgL_auxz00_3143;
BgL_auxz00_3143 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3008z00_1524 = 
MAKE_PAIR(BgL_auxz00_3143, BNIL); } 
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3010z00_1526;obj_t BgL_arg3011z00_1527;
BgL_arg3010z00_1526 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 30 */
obj_t BgL_auxz00_3147;
BgL_auxz00_3147 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1514, BNIL); 
BgL_arg3011z00_1527 = 
MAKE_PAIR(BgL_fnamez00_1515, BgL_auxz00_3147); } 
BgL_arg3009z00_1525 = 
MAKE_PAIR(BgL_arg3010z00_1526, BgL_arg3011z00_1527); } 
BgL_arg3007z00_1523 = 
MAKE_PAIR(BgL_arg3008z00_1524, BgL_arg3009z00_1525); } 
BgL_arg3006z00_1522 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg3007z00_1523); } 
BgL_arg3004z00_1520 = 
MAKE_PAIR(BgL_arg3005z00_1521, BgL_arg3006z00_1522); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_fz00_1516, BgL_arg3004z00_1520); } 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3013z00_1529;
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3014z00_1530;obj_t BgL_arg3015z00_1531;
BgL_arg3014z00_1530 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3016z00_1532;
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3017z00_1533;obj_t BgL_arg3018z00_1534;
{ /* Jvm/closure.scm 31 */
obj_t BgL_auxz00_3156;
BgL_auxz00_3156 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3017z00_1533 = 
MAKE_PAIR(BgL_auxz00_3156, BNIL); } 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3019z00_1535;obj_t BgL_arg3020z00_1536;
BgL_arg3019z00_1535 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 31 */
obj_t BgL_auxz00_3160;
BgL_auxz00_3160 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1514, BNIL); 
BgL_arg3020z00_1536 = 
MAKE_PAIR(BgL_enamez00_1517, BgL_auxz00_3160); } 
BgL_arg3018z00_1534 = 
MAKE_PAIR(BgL_arg3019z00_1535, BgL_arg3020z00_1536); } 
BgL_arg3016z00_1532 = 
MAKE_PAIR(BgL_arg3017z00_1533, BgL_arg3018z00_1534); } 
BgL_arg3015z00_1531 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg3016z00_1532); } 
BgL_arg3013z00_1529 = 
MAKE_PAIR(BgL_arg3014z00_1530, BgL_arg3015z00_1531); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_ez00_1518, BgL_arg3013z00_1529); } 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3022z00_1538;obj_t BgL_arg3023z00_1539;
BgL_arg3022z00_1538 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3024z00_1540;
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3025z00_1541;obj_t BgL_arg3026z00_1542;
{ /* Jvm/closure.scm 32 */
obj_t BgL_auxz00_3171;obj_t BgL_auxz00_3169;
BgL_auxz00_3171 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_1519, BNIL); 
BgL_auxz00_3169 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3025z00_1541 = 
MAKE_PAIR(BgL_auxz00_3169, BgL_auxz00_3171); } 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3030z00_1546;
{ /* Jvm/closure.scm 33 */
obj_t BgL_arg3031z00_1547;obj_t BgL_arg3032z00_1548;
{ /* Jvm/closure.scm 33 */
obj_t BgL_arg3033z00_1549;obj_t BgL_arg3034z00_1550;
BgL_arg3033z00_1549 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 33 */
obj_t BgL_auxz00_3175;
BgL_auxz00_3175 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3034z00_1550 = 
MAKE_PAIR(BgL_auxz00_3175, BNIL); } 
BgL_arg3031z00_1547 = 
MAKE_PAIR(BgL_arg3033z00_1549, BgL_arg3034z00_1550); } 
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3035z00_1551;obj_t BgL_arg3036z00_1552;
if(
NULLP(BgL_paramsz00_1519))
{ /* Jvm/closure.scm 34 */
BgL_arg3035z00_1551 = BNIL; }  else 
{ /* Jvm/closure.scm 34 */
obj_t BgL_head2960z00_1555;
BgL_head2960z00_1555 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2958z00_1556;obj_t BgL_tail2961z00_1557;
BgL_l2958z00_1556 = BgL_paramsz00_1519; 
BgL_tail2961z00_1557 = BgL_head2960z00_1555; 
BgL_lname2959z00_1558:
if(
NULLP(BgL_l2958z00_1556))
{ /* Jvm/closure.scm 34 */
BgL_arg3035z00_1551 = 
CDR(BgL_head2960z00_1555); }  else 
{ /* Jvm/closure.scm 34 */
obj_t BgL_newtail2962z00_1560;
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3040z00_1562;
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3042z00_1565;obj_t BgL_arg3043z00_1566;
BgL_arg3042z00_1565 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 34 */
obj_t BgL_auxz00_3186;
BgL_auxz00_3186 = 
CAR(BgL_l2958z00_1556); 
BgL_arg3043z00_1566 = 
MAKE_PAIR(BgL_auxz00_3186, BNIL); } 
BgL_arg3040z00_1562 = 
MAKE_PAIR(BgL_arg3042z00_1565, BgL_arg3043z00_1566); } 
BgL_newtail2962z00_1560 = 
MAKE_PAIR(BgL_arg3040z00_1562, BNIL); } 
SET_CDR(BgL_tail2961z00_1557, BgL_newtail2962z00_1560); 
{ 
obj_t BgL_tail2961z00_3194;obj_t BgL_l2958z00_3192;
BgL_l2958z00_3192 = 
CDR(BgL_l2958z00_1556); 
BgL_tail2961z00_3194 = BgL_newtail2962z00_1560; 
BgL_tail2961z00_1557 = BgL_tail2961z00_3194; 
BgL_l2958z00_1556 = BgL_l2958z00_3192; 
goto BgL_lname2959z00_1558;} } } } 
{ /* Jvm/closure.scm 35 */
obj_t BgL_arg3044z00_1567;obj_t BgL_arg3045z00_1568;
{ /* Jvm/closure.scm 35 */
obj_t BgL_arg3046z00_1569;obj_t BgL_arg3047z00_1570;
BgL_arg3046z00_1569 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 35 */
obj_t BgL_auxz00_3196;
BgL_auxz00_3196 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3047z00_1570 = 
MAKE_PAIR(BgL_auxz00_3196, BNIL); } 
BgL_arg3044z00_1567 = 
MAKE_PAIR(BgL_arg3046z00_1569, BgL_arg3047z00_1570); } 
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3048z00_1571;obj_t BgL_arg3049z00_1572;
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3050z00_1573;obj_t BgL_arg3051z00_1574;
BgL_arg3050z00_1573 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3052z00_1575;
BgL_arg3052z00_1575 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_4, 
CNST_TABLE_REF(((long)6))); 
BgL_arg3051z00_1574 = 
MAKE_PAIR(BgL_arg3052z00_1575, BNIL); } 
BgL_arg3048z00_1571 = 
MAKE_PAIR(BgL_arg3050z00_1573, BgL_arg3051z00_1574); } 
{ /* Jvm/closure.scm 37 */
obj_t BgL_arg3054z00_1577;
BgL_arg3054z00_1577 = 
BGl_compilezd2funizd2zzjvm_closurez00(BgL_iz00_7, BgL_envz00_4, BgL_procsz00_8, BgL_ez00_1518); 
BgL_arg3049z00_1572 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3054z00_1577, BNIL); } 
BgL_arg3045z00_1568 = 
MAKE_PAIR(BgL_arg3048z00_1571, BgL_arg3049z00_1572); } 
BgL_arg3036z00_1552 = 
MAKE_PAIR(BgL_arg3044z00_1567, BgL_arg3045z00_1568); } 
BgL_arg3032z00_1548 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3035z00_1551, BgL_arg3036z00_1552); } 
BgL_arg3030z00_1546 = 
MAKE_PAIR(BgL_arg3031z00_1547, BgL_arg3032z00_1548); } 
BgL_arg3026z00_1542 = 
MAKE_PAIR(BNIL, BgL_arg3030z00_1546); } 
BgL_arg3024z00_1540 = 
MAKE_PAIR(BgL_arg3025z00_1541, BgL_arg3026z00_1542); } 
BgL_arg3023z00_1539 = 
MAKE_PAIR(BgL_fz00_1516, BgL_arg3024z00_1540); } 
return 
MAKE_PAIR(BgL_arg3022z00_1538, BgL_arg3023z00_1539);} } } } } } } } } 
}



/* make-list */
obj_t BGl_makezd2listzd2zzjvm_closurez00(long BgL_iz00_9, obj_t BgL_oz00_10)
{ AN_OBJECT;
{ /* Jvm/closure.scm 39 */
{ 
long BgL_iz00_1598;obj_t BgL_rz00_1599;
BgL_iz00_1598 = BgL_iz00_9; 
BgL_rz00_1599 = BNIL; 
BgL_zc3anonymousza33067ze3z83_1600:
if(
(BgL_iz00_1598<=((long)0)))
{ /* Jvm/closure.scm 41 */
return BgL_rz00_1599;}  else 
{ /* Jvm/closure.scm 43 */
long BgL_arg3069z00_1602;obj_t BgL_arg3070z00_1603;
BgL_arg3069z00_1602 = 
(BgL_iz00_1598-((long)1)); 
BgL_arg3070z00_1603 = 
MAKE_PAIR(BgL_oz00_10, BgL_rz00_1599); 
{ 
obj_t BgL_rz00_3220;long BgL_iz00_3219;
BgL_iz00_3219 = BgL_arg3069z00_1602; 
BgL_rz00_3220 = BgL_arg3070z00_1603; 
BgL_rz00_1599 = BgL_rz00_3220; 
BgL_iz00_1598 = BgL_iz00_3219; 
goto BgL_zc3anonymousza33067ze3z83_1600;} } } } 
}



/* compile-funi */
obj_t BGl_compilezd2funizd2zzjvm_closurez00(long BgL_iz00_11, BgL_envz00_bglt BgL_envz00_12, obj_t BgL_funsz00_13, obj_t BgL_errorz00_14)
{ AN_OBJECT;
{ /* Jvm/closure.scm 46 */
{ /* Jvm/closure.scm 47 */
bool_t BgL_test3071z00_1605;
BgL_test3071z00_1605 = 
NULLP(BgL_funsz00_13); 
if(BgL_test3071z00_1605)
{ /* Jvm/closure.scm 48 */
obj_t BgL_arg3072z00_1606;obj_t BgL_arg3073z00_1607;
{ /* Jvm/closure.scm 48 */
obj_t BgL_auxz00_3223;
BgL_auxz00_3223 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3072z00_1606 = 
MAKE_PAIR(BgL_auxz00_3223, BNIL); } 
{ /* Jvm/closure.scm 49 */
obj_t BgL_arg3074z00_1608;obj_t BgL_arg3075z00_1609;
{ /* Jvm/closure.scm 49 */
obj_t BgL_arg3076z00_1610;obj_t BgL_arg3077z00_1611;
BgL_arg3076z00_1610 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3077z00_1611 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3074z00_1608 = 
MAKE_PAIR(BgL_arg3076z00_1610, BgL_arg3077z00_1611); } 
{ /* Jvm/closure.scm 50 */
obj_t BgL_arg3078z00_1612;
{ /* Jvm/closure.scm 50 */
obj_t BgL_auxz00_3229;
BgL_auxz00_3229 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3078z00_1612 = 
MAKE_PAIR(BgL_auxz00_3229, BNIL); } 
BgL_arg3075z00_1609 = 
MAKE_PAIR(BgL_arg3078z00_1612, BNIL); } 
BgL_arg3073z00_1607 = 
MAKE_PAIR(BgL_arg3074z00_1608, BgL_arg3075z00_1609); } 
return 
MAKE_PAIR(BgL_arg3072z00_1606, BgL_arg3073z00_1607);}  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_labsz00_1614;
if(BgL_test3071z00_1605)
{ /* Jvm/closure.scm 51 */
BgL_labsz00_1614 = BNIL; }  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_head2965z00_1692;
BgL_head2965z00_1692 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2963z00_1693;obj_t BgL_tail2966z00_1694;
BgL_l2963z00_1693 = BgL_funsz00_13; 
BgL_tail2966z00_1694 = BgL_head2965z00_1692; 
BgL_lname2964z00_1695:
if(
NULLP(BgL_l2963z00_1693))
{ /* Jvm/closure.scm 51 */
BgL_labsz00_1614 = 
CDR(BgL_head2965z00_1692); }  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_newtail2967z00_1697;
{ /* Jvm/closure.scm 51 */
obj_t BgL_arg3135z00_1699;
BgL_arg3135z00_1699 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2967z00_1697 = 
MAKE_PAIR(BgL_arg3135z00_1699, BNIL); } 
SET_CDR(BgL_tail2966z00_1694, BgL_newtail2967z00_1697); 
{ 
obj_t BgL_tail2966z00_3246;obj_t BgL_l2963z00_3244;
BgL_l2963z00_3244 = 
CDR(BgL_l2963z00_1693); 
BgL_tail2966z00_3246 = BgL_newtail2967z00_1697; 
BgL_tail2966z00_1694 = BgL_tail2966z00_3246; 
BgL_l2963z00_1693 = BgL_l2963z00_3244; 
goto BgL_lname2964z00_1695;} } } } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3080z00_1617;obj_t BgL_arg3081z00_1618;
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3082z00_1619;obj_t BgL_arg3083z00_1620;
BgL_arg3082z00_1619 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3084z00_1621;obj_t BgL_arg3085z00_1622;
BgL_arg3084z00_1621 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3087z00_1624;
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3089z00_1625;
if(
NULLP(BgL_funsz00_13))
{ /* Jvm/closure.scm 54 */
BgL_arg3089z00_1625 = BNIL; }  else 
{ /* Jvm/closure.scm 54 */
obj_t BgL_head2970z00_1630;
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3251;
BgL_auxz00_3251 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_labsz00_1614), 
CAR(BgL_funsz00_13)); 
BgL_head2970z00_1630 = 
MAKE_PAIR(BgL_auxz00_3251, BNIL); } 
{ 
obj_t BgL_ll2968z00_1631;obj_t BgL_ll2969z00_1632;obj_t BgL_tail2971z00_1633;
BgL_ll2968z00_1631 = 
CDR(BgL_funsz00_13); 
BgL_ll2969z00_1632 = 
CDR(BgL_labsz00_1614); 
BgL_tail2971z00_1633 = BgL_head2970z00_1630; 
BgL_lname2973z00_1634:
if(
NULLP(BgL_ll2968z00_1631))
{ /* Jvm/closure.scm 54 */
BgL_arg3089z00_1625 = BgL_head2970z00_1630; }  else 
{ /* Jvm/closure.scm 54 */
obj_t BgL_newtail2972z00_1638;
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3259;
BgL_auxz00_3259 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_ll2969z00_1632), 
CAR(BgL_ll2968z00_1631)); 
BgL_newtail2972z00_1638 = 
MAKE_PAIR(BgL_auxz00_3259, BNIL); } 
SET_CDR(BgL_tail2971z00_1633, BgL_newtail2972z00_1638); 
{ 
obj_t BgL_tail2971z00_3270;obj_t BgL_ll2969z00_3268;obj_t BgL_ll2968z00_3266;
BgL_ll2968z00_3266 = 
CDR(BgL_ll2968z00_1631); 
BgL_ll2969z00_3268 = 
CDR(BgL_ll2969z00_1632); 
BgL_tail2971z00_3270 = BgL_newtail2972z00_1638; 
BgL_tail2971z00_1633 = BgL_tail2971z00_3270; 
BgL_ll2969z00_1632 = BgL_ll2969z00_3268; 
BgL_ll2968z00_1631 = BgL_ll2968z00_3266; 
goto BgL_lname2973z00_1634;} } } } 
BgL_arg3087z00_1624 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3089z00_1625, BNIL); } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3274;
BgL_auxz00_3274 = 
BINT(((long)0)); 
BgL_arg3085z00_1622 = 
MAKE_PAIR(BgL_auxz00_3274, BgL_arg3087z00_1624); } } 
BgL_arg3083z00_1620 = 
MAKE_PAIR(BgL_arg3084z00_1621, BgL_arg3085z00_1622); } 
BgL_arg3080z00_1617 = 
MAKE_PAIR(BgL_arg3082z00_1619, BgL_arg3083z00_1620); } 
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3105z00_1649;obj_t BgL_arg3106z00_1650;
{ /* Jvm/closure.scm 55 */
obj_t BgL_runner3121z00_1673;
if(
NULLP(BgL_funsz00_13))
{ /* Jvm/closure.scm 55 */
BgL_runner3121z00_1673 = BNIL; }  else 
{ /* Jvm/closure.scm 55 */
obj_t BgL_head2976z00_1654;
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3117z00_1669;
BgL_arg3117z00_1669 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CAR(BgL_labsz00_1614), 
CAR(BgL_funsz00_13)); 
BgL_head2976z00_1654 = 
MAKE_PAIR(BgL_arg3117z00_1669, BNIL); } 
{ 
obj_t BgL_ll2974z00_1655;obj_t BgL_ll2975z00_1656;obj_t BgL_tail2977z00_1657;
BgL_ll2974z00_1655 = 
CDR(BgL_funsz00_13); 
BgL_ll2975z00_1656 = 
CDR(BgL_labsz00_1614); 
BgL_tail2977z00_1657 = BgL_head2976z00_1654; 
BgL_lname2979z00_1658:
if(
NULLP(BgL_ll2974z00_1655))
{ /* Jvm/closure.scm 55 */
BgL_runner3121z00_1673 = BgL_head2976z00_1654; }  else 
{ /* Jvm/closure.scm 55 */
obj_t BgL_newtail2978z00_1662;
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3113z00_1665;
BgL_arg3113z00_1665 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CAR(BgL_ll2975z00_1656), 
CAR(BgL_ll2974z00_1655)); 
BgL_newtail2978z00_1662 = 
MAKE_PAIR(BgL_arg3113z00_1665, BNIL); } 
SET_CDR(BgL_tail2977z00_1657, BgL_newtail2978z00_1662); 
{ 
obj_t BgL_tail2977z00_3296;obj_t BgL_ll2975z00_3294;obj_t BgL_ll2974z00_3292;
BgL_ll2974z00_3292 = 
CDR(BgL_ll2974z00_1655); 
BgL_ll2975z00_3294 = 
CDR(BgL_ll2975z00_1656); 
BgL_tail2977z00_3296 = BgL_newtail2978z00_1662; 
BgL_tail2977z00_1657 = BgL_tail2977z00_3296; 
BgL_ll2975z00_1656 = BgL_ll2975z00_3294; 
BgL_ll2974z00_1655 = BgL_ll2974z00_3292; 
goto BgL_lname2979z00_1658;} } } } 
BgL_arg3105z00_1649 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3121z00_1673); } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3122z00_1674;obj_t BgL_arg3123z00_1675;
BgL_arg3122z00_1674 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 56 */
obj_t BgL_arg3124z00_1676;obj_t BgL_arg3125z00_1677;
{ /* Jvm/closure.scm 56 */
obj_t BgL_arg3126z00_1678;obj_t BgL_arg3127z00_1679;
BgL_arg3126z00_1678 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3127z00_1679 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3124z00_1676 = 
MAKE_PAIR(BgL_arg3126z00_1678, BgL_arg3127z00_1679); } 
{ /* Jvm/closure.scm 57 */
obj_t BgL_arg3128z00_1680;
{ /* Jvm/closure.scm 57 */
obj_t BgL_auxz00_3304;
BgL_auxz00_3304 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3128z00_1680 = 
MAKE_PAIR(BgL_auxz00_3304, BNIL); } 
BgL_arg3125z00_1677 = 
MAKE_PAIR(BgL_arg3128z00_1680, BNIL); } 
BgL_arg3123z00_1675 = 
MAKE_PAIR(BgL_arg3124z00_1676, BgL_arg3125z00_1677); } 
BgL_arg3106z00_1650 = 
MAKE_PAIR(BgL_arg3122z00_1674, BgL_arg3123z00_1675); } 
BgL_arg3081z00_1618 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3105z00_1649, BgL_arg3106z00_1650); } 
return 
MAKE_PAIR(BgL_arg3080z00_1617, BgL_arg3081z00_1618);} } } } 
}



/* compile-lab-for-funcalli */
obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_15, long BgL_iz00_16, obj_t BgL_defz00_17, obj_t BgL_labz00_18, obj_t BgL_slotz00_19)
{ AN_OBJECT;
{ /* Jvm/closure.scm 59 */
{ /* Jvm/closure.scm 60 */
obj_t BgL_arityz00_1702;
{ /* Jvm/closure.scm 60 */
obj_t BgL_auxz00_3312;
BgL_auxz00_3312 = 
CDR(BgL_slotz00_19); 
BgL_arityz00_1702 = 
CDR(BgL_auxz00_3312); } 
if(
NULLP(BgL_arityz00_1702))
{ /* Jvm/closure.scm 61 */
if(
(BgL_iz00_16<=((long)1)))
{ /* Jvm/closure.scm 62 */
return BgL_labz00_18;}  else 
{ /* Jvm/closure.scm 62 */
return BgL_defz00_17;} }  else 
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3319;
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3320;
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3321;
{ /* Jvm/closure.scm 63 */
long BgL_auxz00_3322;
BgL_auxz00_3322 = 
(long)CINT(BgL_arityz00_1702); 
BgL_testz00_3321 = 
(BgL_auxz00_3322>=((long)0)); } 
if(BgL_testz00_3321)
{ /* Jvm/closure.scm 63 */
long BgL_auxz00_3325;
BgL_auxz00_3325 = 
(long)CINT(BgL_arityz00_1702); 
BgL_testz00_3320 = 
(BgL_auxz00_3325==BgL_iz00_16); }  else 
{ /* Jvm/closure.scm 63 */
BgL_testz00_3320 = ((bool_t)0)
; } } 
if(BgL_testz00_3320)
{ /* Jvm/closure.scm 63 */
BgL_testz00_3319 = ((bool_t)1)
; }  else 
{ /* Jvm/closure.scm 64 */
bool_t BgL_testz00_3328;
{ /* Jvm/closure.scm 64 */
long BgL_auxz00_3329;
BgL_auxz00_3329 = 
(long)CINT(BgL_arityz00_1702); 
BgL_testz00_3328 = 
(BgL_auxz00_3329<((long)0)); } 
if(BgL_testz00_3328)
{ /* Jvm/closure.scm 64 */
obj_t BgL_auxz00_3332;
{ /* Jvm/closure.scm 64 */
long BgL_auxz00_3333;
BgL_auxz00_3333 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_16); 
BgL_auxz00_3332 = 
BINT(BgL_auxz00_3333); } 
BgL_testz00_3319 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1702, BgL_auxz00_3332); }  else 
{ /* Jvm/closure.scm 64 */
BgL_testz00_3319 = ((bool_t)0)
; } } } 
if(BgL_testz00_3319)
{ /* Jvm/closure.scm 63 */
return BgL_labz00_18;}  else 
{ /* Jvm/closure.scm 63 */
return BgL_defz00_17;} } } } 
}



/* compile-for-funcalli */
obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_20, long BgL_iz00_21, obj_t BgL_labz00_22, obj_t BgL_slotz00_23)
{ AN_OBJECT;
{ /* Jvm/closure.scm 68 */
{ /* Jvm/closure.scm 69 */
obj_t BgL_arityz00_1711;obj_t BgL_namez00_1712;
{ /* Jvm/closure.scm 69 */
obj_t BgL_auxz00_3337;
BgL_auxz00_3337 = 
CDR(BgL_slotz00_23); 
BgL_arityz00_1711 = 
CDR(BgL_auxz00_3337); } 
BgL_namez00_1712 = 
CAR(BgL_slotz00_23); 
if(
NULLP(BgL_arityz00_1711))
{ /* Jvm/closure.scm 78 */
if(
(BgL_iz00_21==((long)0)))
{ /* Jvm/closure.scm 80 */
{ /* Jvm/closure.scm 81 */
obj_t BgL_arg3145z00_1716;
{ /* Jvm/closure.scm 81 */
obj_t BgL_arg3146z00_1717;obj_t BgL_arg3147z00_1718;
{ /* Jvm/closure.scm 81 */
obj_t BgL_auxz00_3345;
BgL_auxz00_3345 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3146z00_1717 = 
MAKE_PAIR(BgL_auxz00_3345, BNIL); } 
{ /* Jvm/closure.scm 82 */
obj_t BgL_arg3148z00_1719;obj_t BgL_arg3149z00_1720;
{ /* Jvm/closure.scm 82 */
obj_t BgL_arg3150z00_1721;obj_t BgL_arg3151z00_1722;
BgL_arg3150z00_1721 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3151z00_1722 = 
MAKE_PAIR(BgL_namez00_1712, BNIL); 
BgL_arg3148z00_1719 = 
MAKE_PAIR(BgL_arg3150z00_1721, BgL_arg3151z00_1722); } 
{ /* Jvm/closure.scm 83 */
obj_t BgL_arg3152z00_1723;
{ /* Jvm/closure.scm 83 */
obj_t BgL_auxz00_3351;
BgL_auxz00_3351 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3152z00_1723 = 
MAKE_PAIR(BgL_auxz00_3351, BNIL); } 
BgL_arg3149z00_1720 = 
MAKE_PAIR(BgL_arg3152z00_1723, BNIL); } 
BgL_arg3147z00_1718 = 
MAKE_PAIR(BgL_arg3148z00_1719, BgL_arg3149z00_1720); } 
BgL_arg3145z00_1716 = 
MAKE_PAIR(BgL_arg3146z00_1717, BgL_arg3147z00_1718); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3145z00_1716);} }  else 
{ /* Jvm/closure.scm 80 */
if(
(BgL_iz00_21==((long)1)))
{ /* Jvm/closure.scm 84 */
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3155z00_1726;
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3156z00_1727;obj_t BgL_arg3157z00_1728;
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3158z00_1729;obj_t BgL_arg3159z00_1730;
BgL_arg3158z00_1729 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3159z00_1730 = 
MAKE_PAIR(BgL_namez00_1712, BNIL); 
BgL_arg3156z00_1727 = 
MAKE_PAIR(BgL_arg3158z00_1729, BgL_arg3159z00_1730); } 
{ /* Jvm/closure.scm 86 */
obj_t BgL_arg3160z00_1731;
{ /* Jvm/closure.scm 86 */
obj_t BgL_auxz00_3363;
BgL_auxz00_3363 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3160z00_1731 = 
MAKE_PAIR(BgL_auxz00_3363, BNIL); } 
BgL_arg3157z00_1728 = 
MAKE_PAIR(BgL_arg3160z00_1731, BNIL); } 
BgL_arg3155z00_1726 = 
MAKE_PAIR(BgL_arg3156z00_1727, BgL_arg3157z00_1728); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3155z00_1726);} }  else 
{ /* Jvm/closure.scm 84 */
return BNIL;} } }  else 
{ /* Jvm/closure.scm 88 */
bool_t BgL_testz00_3369;
{ /* Jvm/closure.scm 88 */
long BgL_auxz00_3370;
BgL_auxz00_3370 = 
(long)CINT(BgL_arityz00_1711); 
BgL_testz00_3369 = 
(BgL_auxz00_3370>=((long)0)); } 
if(BgL_testz00_3369)
{ /* Jvm/closure.scm 88 */
{ /* Jvm/closure.scm 89 */
bool_t BgL_testz00_3373;
{ /* Jvm/closure.scm 89 */
long BgL_auxz00_3374;
BgL_auxz00_3374 = 
(long)CINT(BgL_arityz00_1711); 
BgL_testz00_3373 = 
(BgL_auxz00_3374==BgL_iz00_21); } 
if(BgL_testz00_3373)
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3164z00_1735;
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3165z00_1736;obj_t BgL_arg3166z00_1737;
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3167z00_1738;obj_t BgL_arg3168z00_1739;
BgL_arg3167z00_1738 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3168z00_1739 = 
MAKE_PAIR(BgL_namez00_1712, BNIL); 
BgL_arg3165z00_1736 = 
MAKE_PAIR(BgL_arg3167z00_1738, BgL_arg3168z00_1739); } 
{ /* Jvm/closure.scm 91 */
obj_t BgL_arg3169z00_1740;
{ /* Jvm/closure.scm 91 */
obj_t BgL_auxz00_3380;
BgL_auxz00_3380 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3169z00_1740 = 
MAKE_PAIR(BgL_auxz00_3380, BNIL); } 
BgL_arg3166z00_1737 = 
MAKE_PAIR(BgL_arg3169z00_1740, BNIL); } 
BgL_arg3164z00_1735 = 
MAKE_PAIR(BgL_arg3165z00_1736, BgL_arg3166z00_1737); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3164z00_1735);}  else 
{ /* Jvm/closure.scm 89 */
return BNIL;} } }  else 
{ /* Jvm/closure.scm 88 */
{ /* Jvm/closure.scm 94 */
bool_t BgL_testz00_3386;
{ /* Jvm/closure.scm 94 */
obj_t BgL_auxz00_3387;
{ /* Jvm/closure.scm 94 */
long BgL_auxz00_3388;
BgL_auxz00_3388 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_21); 
BgL_auxz00_3387 = 
BINT(BgL_auxz00_3388); } 
BgL_testz00_3386 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_arityz00_1711, BgL_auxz00_3387); } 
if(BgL_testz00_3386)
{ /* Jvm/closure.scm 94 */
return BNIL;}  else 
{ /* Jvm/closure.scm 94 */
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3172z00_1743;
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3173z00_1744;obj_t BgL_arg3174z00_1745;
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3175z00_1746;obj_t BgL_arg3176z00_1747;
BgL_arg3175z00_1746 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/closure.scm 97 */
obj_t BgL_auxz00_3393;
BgL_auxz00_3393 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg3176z00_1747 = 
MAKE_PAIR(BgL_auxz00_3393, BNIL); } 
BgL_arg3173z00_1744 = 
MAKE_PAIR(BgL_arg3175z00_1746, BgL_arg3176z00_1747); } 
{ /* Jvm/closure.scm 98 */
obj_t BgL_arg3177z00_1748;
BgL_arg3177z00_1748 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_1712, 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_iz00_21), 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(((long)1)), BgL_arityz00_1711))); 
BgL_arg3174z00_1745 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3177z00_1748, BNIL); } 
BgL_arg3172z00_1743 = 
MAKE_PAIR(BgL_arg3173z00_1744, BgL_arg3174z00_1745); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3172z00_1743);} } } } } } } 
}



/* make_cons */
obj_t BGl_make_consz00zzjvm_closurez00(obj_t BgL_namez00_3067, obj_t BgL_nz00_1753)
{ AN_OBJECT;
{ /* Jvm/closure.scm 76 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1753, 
BINT(((long)0))))
{ /* Jvm/closure.scm 72 */
obj_t BgL_arg3184z00_1756;obj_t BgL_arg3185z00_1757;
{ /* Jvm/closure.scm 72 */
obj_t BgL_arg3186z00_1758;obj_t BgL_arg3187z00_1759;
BgL_arg3186z00_1758 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3187z00_1759 = 
MAKE_PAIR(BgL_namez00_3067, BNIL); 
BgL_arg3184z00_1756 = 
MAKE_PAIR(BgL_arg3186z00_1758, BgL_arg3187z00_1759); } 
{ /* Jvm/closure.scm 73 */
obj_t BgL_arg3188z00_1760;
{ /* Jvm/closure.scm 73 */
obj_t BgL_auxz00_3411;
BgL_auxz00_3411 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3188z00_1760 = 
MAKE_PAIR(BgL_auxz00_3411, BNIL); } 
BgL_arg3185z00_1757 = 
MAKE_PAIR(BgL_arg3188z00_1760, BNIL); } 
return 
MAKE_PAIR(BgL_arg3184z00_1756, BgL_arg3185z00_1757);}  else 
{ /* Jvm/closure.scm 71 */
{ /* Jvm/closure.scm 75 */
obj_t BgL_arg3190z00_1762;obj_t BgL_arg3191z00_1763;
{ /* Jvm/closure.scm 75 */
obj_t BgL_arg3192z00_1764;obj_t BgL_arg3193z00_1765;
BgL_arg3192z00_1764 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/closure.scm 75 */
obj_t BgL_auxz00_3417;
BgL_auxz00_3417 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg3193z00_1765 = 
MAKE_PAIR(BgL_auxz00_3417, BNIL); } 
BgL_arg3190z00_1762 = 
MAKE_PAIR(BgL_arg3192z00_1764, BgL_arg3193z00_1765); } 
{ /* Jvm/closure.scm 76 */
obj_t BgL_arg3194z00_1766;
BgL_arg3194z00_1766 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_3067, 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1753, 
BINT(((long)1)))); 
BgL_arg3191z00_1763 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3194z00_1766, BNIL); } 
return 
MAKE_PAIR(BgL_arg3190z00_1762, BgL_arg3191z00_1763);} } } 
}



/* compile-apply */
obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_24, obj_t BgL_mez00_25, obj_t BgL_superz00_26, obj_t BgL_procsz00_27)
{ AN_OBJECT;
{ /* Jvm/closure.scm 103 */
{ /* Jvm/closure.scm 104 */
obj_t BgL_fz00_1770;obj_t BgL_ez00_1771;
BgL_fz00_1770 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3390z00zzjvm_closurez00, BEOA); 
BgL_ez00_1771 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3391z00zzjvm_closurez00, BEOA); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3197z00_1772;
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3198z00_1773;obj_t BgL_arg3199z00_1774;
BgL_arg3198z00_1773 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3200z00_1775;
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3201z00_1776;obj_t BgL_arg3202z00_1777;
{ /* Jvm/closure.scm 105 */
obj_t BgL_auxz00_3431;
BgL_auxz00_3431 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3201z00_1776 = 
MAKE_PAIR(BgL_auxz00_3431, BNIL); } 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3203z00_1778;obj_t BgL_arg3204z00_1779;
BgL_arg3203z00_1778 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3206z00_1781;
{ /* Jvm/closure.scm 105 */
obj_t BgL_auxz00_3435;
BgL_auxz00_3435 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3206z00_1781 = 
MAKE_PAIR(BgL_auxz00_3435, BNIL); } 
BgL_arg3204z00_1779 = 
MAKE_PAIR(BGl_string3390z00zzjvm_closurez00, BgL_arg3206z00_1781); } 
BgL_arg3202z00_1777 = 
MAKE_PAIR(BgL_arg3203z00_1778, BgL_arg3204z00_1779); } 
BgL_arg3200z00_1775 = 
MAKE_PAIR(BgL_arg3201z00_1776, BgL_arg3202z00_1777); } 
BgL_arg3199z00_1774 = 
MAKE_PAIR(BgL_mez00_25, BgL_arg3200z00_1775); } 
BgL_arg3197z00_1772 = 
MAKE_PAIR(BgL_arg3198z00_1773, BgL_arg3199z00_1774); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_fz00_1770, BgL_arg3197z00_1772); } 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3207z00_1782;
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3208z00_1783;obj_t BgL_arg3209z00_1784;
BgL_arg3208z00_1783 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3210z00_1785;
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3211z00_1786;obj_t BgL_arg3212z00_1787;
{ /* Jvm/closure.scm 106 */
obj_t BgL_auxz00_3445;
BgL_auxz00_3445 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3211z00_1786 = 
MAKE_PAIR(BgL_auxz00_3445, BNIL); } 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3213z00_1788;obj_t BgL_arg3214z00_1789;
BgL_arg3213z00_1788 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3216z00_1791;
{ /* Jvm/closure.scm 106 */
obj_t BgL_auxz00_3449;
BgL_auxz00_3449 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3216z00_1791 = 
MAKE_PAIR(BgL_auxz00_3449, BNIL); } 
BgL_arg3214z00_1789 = 
MAKE_PAIR(BGl_string3392z00zzjvm_closurez00, BgL_arg3216z00_1791); } 
BgL_arg3212z00_1787 = 
MAKE_PAIR(BgL_arg3213z00_1788, BgL_arg3214z00_1789); } 
BgL_arg3210z00_1785 = 
MAKE_PAIR(BgL_arg3211z00_1786, BgL_arg3212z00_1787); } 
BgL_arg3209z00_1784 = 
MAKE_PAIR(BgL_superz00_26, BgL_arg3210z00_1785); } 
BgL_arg3207z00_1782 = 
MAKE_PAIR(BgL_arg3208z00_1783, BgL_arg3209z00_1784); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_ez00_1771, BgL_arg3207z00_1782); } 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3217z00_1792;obj_t BgL_arg3218z00_1793;
BgL_arg3217z00_1792 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3219z00_1794;
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3220z00_1795;obj_t BgL_arg3221z00_1796;
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3222z00_1797;obj_t BgL_arg3223z00_1798;
BgL_arg3222z00_1797 = 
CNST_TABLE_REF(((long)17)); 
{ /* Jvm/closure.scm 107 */
obj_t BgL_auxz00_3460;
BgL_auxz00_3460 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3223z00_1798 = 
MAKE_PAIR(BgL_auxz00_3460, BNIL); } 
BgL_arg3220z00_1795 = 
MAKE_PAIR(BgL_arg3222z00_1797, BgL_arg3223z00_1798); } 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3225z00_1800;
{ /* Jvm/closure.scm 108 */
obj_t BgL_arg3226z00_1801;obj_t BgL_arg3227z00_1802;
{ /* Jvm/closure.scm 108 */
obj_t BgL_arg3228z00_1803;obj_t BgL_arg3229z00_1804;
BgL_arg3228z00_1803 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 108 */
obj_t BgL_auxz00_3465;
BgL_auxz00_3465 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3229z00_1804 = 
MAKE_PAIR(BgL_auxz00_3465, BNIL); } 
BgL_arg3226z00_1801 = 
MAKE_PAIR(BgL_arg3228z00_1803, BgL_arg3229z00_1804); } 
{ /* Jvm/closure.scm 109 */
obj_t BgL_arg3231z00_1805;obj_t BgL_arg3232z00_1806;
{ /* Jvm/closure.scm 109 */
obj_t BgL_arg3233z00_1807;obj_t BgL_arg3234z00_1808;
BgL_arg3233z00_1807 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 109 */
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3234z00_1808 = 
MAKE_PAIR(BgL_auxz00_3470, BNIL); } 
BgL_arg3231z00_1805 = 
MAKE_PAIR(BgL_arg3233z00_1807, BgL_arg3234z00_1808); } 
{ /* Jvm/closure.scm 110 */
obj_t BgL_arg3235z00_1809;obj_t BgL_arg3236z00_1810;
{ /* Jvm/closure.scm 110 */
obj_t BgL_arg3237z00_1811;obj_t BgL_arg3238z00_1812;
BgL_arg3237z00_1811 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 110 */
obj_t BgL_auxz00_3475;
BgL_auxz00_3475 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3238z00_1812 = 
MAKE_PAIR(BgL_auxz00_3475, BNIL); } 
BgL_arg3235z00_1809 = 
MAKE_PAIR(BgL_arg3237z00_1811, BgL_arg3238z00_1812); } 
{ /* Jvm/closure.scm 111 */
obj_t BgL_arg3239z00_1813;obj_t BgL_arg3240z00_1814;
{ /* Jvm/closure.scm 111 */
obj_t BgL_arg3241z00_1815;obj_t BgL_arg3242z00_1816;
BgL_arg3241z00_1815 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 111 */
obj_t BgL_auxz00_3480;
BgL_auxz00_3480 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3242z00_1816 = 
MAKE_PAIR(BgL_auxz00_3480, BNIL); } 
BgL_arg3239z00_1813 = 
MAKE_PAIR(BgL_arg3241z00_1815, BgL_arg3242z00_1816); } 
{ /* Jvm/closure.scm 112 */
obj_t BgL_arg3243z00_1817;
BgL_arg3243z00_1817 = 
BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_24, BgL_procsz00_27, BgL_ez00_1771); 
BgL_arg3240z00_1814 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3243z00_1817, BNIL); } 
BgL_arg3236z00_1810 = 
MAKE_PAIR(BgL_arg3239z00_1813, BgL_arg3240z00_1814); } 
BgL_arg3232z00_1806 = 
MAKE_PAIR(BgL_arg3235z00_1809, BgL_arg3236z00_1810); } 
BgL_arg3227z00_1802 = 
MAKE_PAIR(BgL_arg3231z00_1805, BgL_arg3232z00_1806); } 
BgL_arg3225z00_1800 = 
MAKE_PAIR(BgL_arg3226z00_1801, BgL_arg3227z00_1802); } 
BgL_arg3221z00_1796 = 
MAKE_PAIR(BNIL, BgL_arg3225z00_1800); } 
BgL_arg3219z00_1794 = 
MAKE_PAIR(BgL_arg3220z00_1795, BgL_arg3221z00_1796); } 
BgL_arg3218z00_1793 = 
MAKE_PAIR(BgL_fz00_1770, BgL_arg3219z00_1794); } 
return 
MAKE_PAIR(BgL_arg3217z00_1792, BgL_arg3218z00_1793);} } } 
}



/* compile-dispatch */
obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_28, obj_t BgL_funsz00_29, obj_t BgL_errorz00_30)
{ AN_OBJECT;
{ /* Jvm/closure.scm 114 */
{ /* Jvm/closure.scm 115 */
bool_t BgL_test3245z00_1819;
BgL_test3245z00_1819 = 
NULLP(BgL_funsz00_29); 
if(BgL_test3245z00_1819)
{ /* Jvm/closure.scm 116 */
obj_t BgL_arg3246z00_1820;obj_t BgL_arg3247z00_1821;
{ /* Jvm/closure.scm 116 */
obj_t BgL_auxz00_3496;
BgL_auxz00_3496 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3246z00_1820 = 
MAKE_PAIR(BgL_auxz00_3496, BNIL); } 
{ /* Jvm/closure.scm 117 */
obj_t BgL_arg3248z00_1822;obj_t BgL_arg3249z00_1823;
{ /* Jvm/closure.scm 117 */
obj_t BgL_arg3250z00_1824;obj_t BgL_arg3251z00_1825;
BgL_arg3250z00_1824 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3251z00_1825 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3248z00_1822 = 
MAKE_PAIR(BgL_arg3250z00_1824, BgL_arg3251z00_1825); } 
{ /* Jvm/closure.scm 118 */
obj_t BgL_arg3252z00_1826;
{ /* Jvm/closure.scm 118 */
obj_t BgL_auxz00_3502;
BgL_auxz00_3502 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3252z00_1826 = 
MAKE_PAIR(BgL_auxz00_3502, BNIL); } 
BgL_arg3249z00_1823 = 
MAKE_PAIR(BgL_arg3252z00_1826, BNIL); } 
BgL_arg3247z00_1821 = 
MAKE_PAIR(BgL_arg3248z00_1822, BgL_arg3249z00_1823); } 
return 
MAKE_PAIR(BgL_arg3246z00_1820, BgL_arg3247z00_1821);}  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_labsz00_1828;
if(BgL_test3245z00_1819)
{ /* Jvm/closure.scm 119 */
BgL_labsz00_1828 = BNIL; }  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_head2983z00_1869;
BgL_head2983z00_1869 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2981z00_1870;obj_t BgL_tail2984z00_1871;
BgL_l2981z00_1870 = BgL_funsz00_29; 
BgL_tail2984z00_1871 = BgL_head2983z00_1869; 
BgL_lname2982z00_1872:
if(
NULLP(BgL_l2981z00_1870))
{ /* Jvm/closure.scm 119 */
BgL_labsz00_1828 = 
CDR(BgL_head2983z00_1869); }  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_newtail2985z00_1874;
{ /* Jvm/closure.scm 119 */
obj_t BgL_arg3286z00_1876;
BgL_arg3286z00_1876 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2985z00_1874 = 
MAKE_PAIR(BgL_arg3286z00_1876, BNIL); } 
SET_CDR(BgL_tail2984z00_1871, BgL_newtail2985z00_1874); 
{ 
obj_t BgL_tail2984z00_3519;obj_t BgL_l2981z00_3517;
BgL_l2981z00_3517 = 
CDR(BgL_l2981z00_1870); 
BgL_tail2984z00_3519 = BgL_newtail2985z00_1874; 
BgL_tail2984z00_1871 = BgL_tail2984z00_3519; 
BgL_l2981z00_1870 = BgL_l2981z00_3517; 
goto BgL_lname2982z00_1872;} } } } 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3254z00_1829;obj_t BgL_arg3255z00_1830;
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3256z00_1831;obj_t BgL_arg3257z00_1832;
BgL_arg3256z00_1831 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3258z00_1833;obj_t BgL_arg3259z00_1834;
BgL_arg3258z00_1833 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 120 */
obj_t BgL_auxz00_3524;obj_t BgL_auxz00_3522;
BgL_auxz00_3524 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_labsz00_1828, BNIL); 
BgL_auxz00_3522 = 
BINT(((long)0)); 
BgL_arg3259z00_1834 = 
MAKE_PAIR(BgL_auxz00_3522, BgL_auxz00_3524); } 
BgL_arg3257z00_1832 = 
MAKE_PAIR(BgL_arg3258z00_1833, BgL_arg3259z00_1834); } 
BgL_arg3254z00_1829 = 
MAKE_PAIR(BgL_arg3256z00_1831, BgL_arg3257z00_1832); } 
{ /* Jvm/closure.scm 121 */
obj_t BgL_arg3262z00_1837;obj_t BgL_arg3263z00_1838;
{ /* Jvm/closure.scm 121 */
obj_t BgL_runner3274z00_1858;
if(
NULLP(BgL_funsz00_29))
{ /* Jvm/closure.scm 122 */
BgL_runner3274z00_1858 = BNIL; }  else 
{ /* Jvm/closure.scm 122 */
obj_t BgL_head2988z00_1842;
BgL_head2988z00_1842 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2986z00_1843;obj_t BgL_ll2987z00_1844;obj_t BgL_tail2989z00_1845;
BgL_ll2986z00_1843 = BgL_funsz00_29; 
BgL_ll2987z00_1844 = BgL_labsz00_1828; 
BgL_tail2989z00_1845 = BgL_head2988z00_1842; 
BgL_lname2991z00_1846:
if(
NULLP(BgL_ll2986z00_1843))
{ /* Jvm/closure.scm 122 */
BgL_runner3274z00_1858 = 
CDR(BgL_head2988z00_1842); }  else 
{ /* Jvm/closure.scm 123 */
obj_t BgL_newtail2990z00_1848;
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3269z00_1851;
{ /* Jvm/closure.scm 123 */
obj_t BgL_labelz00_1854;
BgL_labelz00_1854 = 
CAR(BgL_ll2987z00_1844); 
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3271z00_1855;
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3272z00_1856;
BgL_arg3272z00_1856 = 
BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_28, 
CAR(BgL_ll2986z00_1843)); 
BgL_arg3271z00_1855 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3272z00_1856, BNIL); } 
BgL_arg3269z00_1851 = 
MAKE_PAIR(BgL_labelz00_1854, BgL_arg3271z00_1855); } } 
BgL_newtail2990z00_1848 = 
MAKE_PAIR(BgL_arg3269z00_1851, BNIL); } 
SET_CDR(BgL_tail2989z00_1845, BgL_newtail2990z00_1848); 
{ 
obj_t BgL_tail2989z00_3546;obj_t BgL_ll2987z00_3544;obj_t BgL_ll2986z00_3542;
BgL_ll2986z00_3542 = 
CDR(BgL_ll2986z00_1843); 
BgL_ll2987z00_3544 = 
CDR(BgL_ll2987z00_1844); 
BgL_tail2989z00_3546 = BgL_newtail2990z00_1848; 
BgL_tail2989z00_1845 = BgL_tail2989z00_3546; 
BgL_ll2987z00_1844 = BgL_ll2987z00_3544; 
BgL_ll2986z00_1843 = BgL_ll2986z00_3542; 
goto BgL_lname2991z00_1846;} } } } 
BgL_arg3262z00_1837 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3274z00_1858); } 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3275z00_1859;obj_t BgL_arg3276z00_1860;
BgL_arg3275z00_1859 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 127 */
obj_t BgL_arg3277z00_1861;obj_t BgL_arg3278z00_1862;
{ /* Jvm/closure.scm 127 */
obj_t BgL_arg3279z00_1863;obj_t BgL_arg3280z00_1864;
BgL_arg3279z00_1863 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3280z00_1864 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3277z00_1861 = 
MAKE_PAIR(BgL_arg3279z00_1863, BgL_arg3280z00_1864); } 
{ /* Jvm/closure.scm 128 */
obj_t BgL_arg3281z00_1865;
{ /* Jvm/closure.scm 128 */
obj_t BgL_auxz00_3552;
BgL_auxz00_3552 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3281z00_1865 = 
MAKE_PAIR(BgL_auxz00_3552, BNIL); } 
BgL_arg3278z00_1862 = 
MAKE_PAIR(BgL_arg3281z00_1865, BNIL); } 
BgL_arg3276z00_1860 = 
MAKE_PAIR(BgL_arg3277z00_1861, BgL_arg3278z00_1862); } 
BgL_arg3263z00_1838 = 
MAKE_PAIR(BgL_arg3275z00_1859, BgL_arg3276z00_1860); } 
BgL_arg3255z00_1830 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3262z00_1837, BgL_arg3263z00_1838); } 
return 
MAKE_PAIR(BgL_arg3254z00_1829, BgL_arg3255z00_1830);} } } } 
}



/* compile-for-apply */
obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_31, obj_t BgL_slotz00_32)
{ AN_OBJECT;
{ /* Jvm/closure.scm 130 */
{ /* Jvm/closure.scm 146 */
obj_t BgL_arityz00_1880;
{ /* Jvm/closure.scm 146 */
obj_t BgL_auxz00_3560;
BgL_auxz00_3560 = 
CDR(BgL_slotz00_32); 
BgL_arityz00_1880 = 
CDR(BgL_auxz00_3560); } 
if(
NULLP(BgL_arityz00_1880))
{ /* Jvm/closure.scm 147 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Jvm/closure.scm 150 */
obj_t BgL_callz00_1883;
{ /* Jvm/closure.scm 150 */
obj_t BgL_arg3299z00_1894;obj_t BgL_arg3300z00_1895;
BgL_arg3299z00_1894 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/closure.scm 150 */
obj_t BgL_auxz00_3567;
BgL_auxz00_3567 = 
CAR(BgL_slotz00_32); 
BgL_arg3300z00_1895 = 
MAKE_PAIR(BgL_auxz00_3567, BNIL); } 
BgL_callz00_1883 = 
MAKE_PAIR(BgL_arg3299z00_1894, BgL_arg3300z00_1895); } 
if(
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1880, 
BINT(((long)0))))
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3290z00_1885;
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3291z00_1886;
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3292z00_1887;
{ /* Jvm/closure.scm 152 */
obj_t BgL_auxz00_3574;
BgL_auxz00_3574 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3292z00_1887 = 
MAKE_PAIR(BgL_auxz00_3574, BNIL); } 
BgL_arg3291z00_1886 = 
MAKE_PAIR(BgL_arg3292z00_1887, BNIL); } 
BgL_arg3290z00_1885 = 
MAKE_PAIR(BgL_callz00_1883, BgL_arg3291z00_1886); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arityz00_1880, ((bool_t)1), BgL_arg3290z00_1885);}  else 
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3294z00_1889;obj_t BgL_arg3295z00_1890;
BgL_arg3294z00_1889 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
BINT(((long)-1)), BgL_arityz00_1880); 
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3296z00_1891;
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3297z00_1892;
{ /* Jvm/closure.scm 153 */
obj_t BgL_auxz00_3582;
BgL_auxz00_3582 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3297z00_1892 = 
MAKE_PAIR(BgL_auxz00_3582, BNIL); } 
BgL_arg3296z00_1891 = 
MAKE_PAIR(BgL_arg3297z00_1892, BNIL); } 
BgL_arg3295z00_1890 = 
MAKE_PAIR(BgL_callz00_1883, BgL_arg3296z00_1891); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arg3294z00_1889, ((bool_t)0), BgL_arg3295z00_1890);} } } } 
}



/* push_cars */
obj_t BGl_push_carsz00zzjvm_closurez00(obj_t BgL_nz00_1896, bool_t BgL_fixedarityzf3zf3_1897, obj_t BgL_rz00_1898)
{ AN_OBJECT;
{ /* Jvm/closure.scm 145 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1896, 
BINT(((long)0))))
{ /* Jvm/closure.scm 132 */
if(BgL_fixedarityzf3zf3_1897)
{ /* Jvm/closure.scm 133 */
obj_t BgL_auxz00_3592;
BgL_auxz00_3592 = 
CNST_TABLE_REF(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_3592, BgL_rz00_1898);}  else 
{ /* Jvm/closure.scm 133 */
return BgL_rz00_1898;} }  else 
{ /* Jvm/closure.scm 134 */
bool_t BgL_testz00_3595;
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1896, 
BINT(((long)1))))
{ /* Jvm/closure.scm 134 */
BgL_testz00_3595 = BgL_fixedarityzf3zf3_1897
; }  else 
{ /* Jvm/closure.scm 134 */
BgL_testz00_3595 = ((bool_t)0)
; } 
if(BgL_testz00_3595)
{ /* Jvm/closure.scm 134 */
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 135 */
return 
bgl_append2(
CNST_TABLE_REF(((long)21)), BgL_rz00_1898);}  else 
{ /* Jvm/closure.scm 137 */
obj_t BgL_auxz00_3603;
BgL_auxz00_3603 = 
CNST_TABLE_REF(((long)22)); 
return 
MAKE_PAIR(BgL_auxz00_3603, BgL_rz00_1898);} }  else 
{ /* Jvm/closure.scm 139 */
obj_t BgL_arg3304z00_1902;obj_t BgL_arg3305z00_1903;
{ /* Jvm/closure.scm 139 */
obj_t BgL_arg3307z00_1904;obj_t BgL_arg3308z00_1905;
{ /* Jvm/closure.scm 139 */
obj_t BgL_auxz00_3606;
BgL_auxz00_3606 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3307z00_1904 = 
MAKE_PAIR(BgL_auxz00_3606, BNIL); } 
{ /* Jvm/closure.scm 140 */
obj_t BgL_arg3309z00_1906;obj_t BgL_arg3310z00_1907;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 140 */
BgL_arg3309z00_1906 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* Jvm/closure.scm 140 */
BgL_arg3309z00_1906 = BNIL; } 
{ /* Jvm/closure.scm 141 */
obj_t BgL_arg3311z00_1908;obj_t BgL_arg3312z00_1909;
{ /* Jvm/closure.scm 141 */
obj_t BgL_arg3313z00_1910;obj_t BgL_arg3314z00_1911;
BgL_arg3313z00_1910 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 141 */
obj_t BgL_auxz00_3613;
BgL_auxz00_3613 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3314z00_1911 = 
MAKE_PAIR(BgL_auxz00_3613, BNIL); } 
BgL_arg3311z00_1908 = 
MAKE_PAIR(BgL_arg3313z00_1910, BgL_arg3314z00_1911); } 
{ /* Jvm/closure.scm 142 */
obj_t BgL_arg3315z00_1912;obj_t BgL_arg3316z00_1913;
{ /* Jvm/closure.scm 142 */
obj_t BgL_auxz00_3617;
BgL_auxz00_3617 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg3315z00_1912 = 
MAKE_PAIR(BgL_auxz00_3617, BNIL); } 
{ /* Jvm/closure.scm 143 */
obj_t BgL_arg3317z00_1914;obj_t BgL_arg3318z00_1915;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 143 */
BgL_arg3317z00_1914 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* Jvm/closure.scm 143 */
BgL_arg3317z00_1914 = BNIL; } 
{ /* Jvm/closure.scm 144 */
obj_t BgL_arg3319z00_1916;
{ /* Jvm/closure.scm 144 */
obj_t BgL_arg3322z00_1918;obj_t BgL_arg3323z00_1919;
BgL_arg3322z00_1918 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 144 */
obj_t BgL_auxz00_3624;
BgL_auxz00_3624 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3323z00_1919 = 
MAKE_PAIR(BgL_auxz00_3624, BNIL); } 
BgL_arg3319z00_1916 = 
MAKE_PAIR(BgL_arg3322z00_1918, BgL_arg3323z00_1919); } 
BgL_arg3318z00_1915 = 
MAKE_PAIR(BgL_arg3319z00_1916, BNIL); } 
BgL_arg3316z00_1913 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3317z00_1914, BgL_arg3318z00_1915); } 
BgL_arg3312z00_1909 = 
MAKE_PAIR(BgL_arg3315z00_1912, BgL_arg3316z00_1913); } 
BgL_arg3310z00_1907 = 
MAKE_PAIR(BgL_arg3311z00_1908, BgL_arg3312z00_1909); } 
BgL_arg3308z00_1905 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3309z00_1906, BgL_arg3310z00_1907); } 
BgL_arg3304z00_1902 = 
MAKE_PAIR(BgL_arg3307z00_1904, BgL_arg3308z00_1905); } 
BgL_arg3305z00_1903 = 
BGl_push_carsz00zzjvm_closurez00(
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1896, 
BINT(((long)1))), BgL_fixedarityzf3zf3_1897, BgL_rz00_1898); 
return 
bgl_append2(BgL_arg3304z00_1902, BgL_arg3305z00_1903);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)49160), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_closure"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_closure");} 
}

