/*===========================================================================*/
/*   (Jvm/compile.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_compilez00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_envz00zzjvm_envz00;
extern obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2mainzd2zzjvm_compilez00(obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2formalszd2zzjvm_compilez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern BgL_nodez00_bglt BGl_compilezd2compresszd2zzjvm_compressz00(BgL_nodez00_bglt);
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzjvm_compilez00();
static obj_t BGl_compilezd2dlopenzd2zzjvm_compilez00(obj_t);
extern obj_t BGl_compilezd2typezd2nowideningz00zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilez00();
extern obj_t BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl__checkcastz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_jvm_peepholez00zzjvm_peepholez00(obj_t);
extern obj_t BGl__returnz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_preludez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_peepholez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compressz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_lispz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_compilezd2globalfun1zd2zzjvm_compilez00(obj_t, obj_t);
static obj_t BGl_compilezd2modulezd2zzjvm_compilez00(obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_compilezd2fieldszd2zzjvm_compilez00(obj_t);
static obj_t BGl__jvmzd2compilezd2zzjvm_compilez00(obj_t, obj_t);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
extern obj_t BGl_envzd2declarezd2fieldz00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2classzd2zzjvm_compilez00(obj_t);
extern obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
static obj_t BGl_compilez00zzjvm_compilez00(obj_t);
extern obj_t BGl_compilezd2preludezd2zzjvm_preludez00(BgL_nodez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_compilez00 = BUNSPEC;
static obj_t BGl_compilezd2classzd2fieldsz00zzjvm_compilez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_getzd2sourcefilezd2zzjvm_externz00();
extern obj_t BGl_compilezd2initzd2zzjvm_initz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilez00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jvmzd2compilezd2zzjvm_compilez00(obj_t);
static obj_t __cnst[ 42 ] ;

DEFINE_STRING( BGl_string3438z00zzjvm_compilez00, BgL_bgl_string3438za700za7za7jvm_compileza7003443z00, "_ (double long) reg2 reg1 end begin P module-initialization aconst_null iconst_0 internalerror pop bigloo_main invokestatic jthrowable catch to from handler argv jstring listargv sourcefile vector static field constants module j_procedure return invokespecial aload t fields sinit0 void public method init0 declare class jobject ", 329 );
DEFINE_STRING( BGl_string3437z00zzjvm_compilez00, BgL_bgl_string3437za700za7za7jvm_compileza7003444z00, "is not empty", 12 );
DEFINE_STRING( BGl_string3436z00zzjvm_compilez00, BgL_bgl_string3436za700za7za7jvm_compileza7003445z00, "stack", 5 );
DEFINE_STRING( BGl_string3435z00zzjvm_compilez00, BgL_bgl_string3435za700za7za7jvm_compileza7003446z00, "BGL_DYNAMIC_LOAD_INIT", 21 );
DEFINE_STRING( BGl_string3434z00zzjvm_compilez00, BgL_bgl_string3434za700za7za7jvm_compileza7003447z00, "main", 4 );
DEFINE_STRING( BGl_string3433z00zzjvm_compilez00, BgL_bgl_string3433za700za7za7jvm_compileza7003448z00, "constants", 9 );
DEFINE_STRING( BGl_string3432z00zzjvm_compilez00, BgL_bgl_string3432za700za7za7jvm_compileza7003449z00, "<init>", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2compilezd2envz00zzjvm_compilez00, BgL_bgl__jvmza7d2compileza7d2za7za7jvm_compileza7003450za7, BGl__jvmzd2compilezd2zzjvm_compilez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_compilez00(long BgL_checksumz00_3144, char * BgL_fromz00_3145)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_compilez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_compilez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_compilez00(); 
BGl_cnstzd2initzd2zzjvm_compilez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_compilez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilez00()
{ AN_OBJECT;
{ /* Jvm/compile.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_compile"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_compilez00()
{ AN_OBJECT;
{ /* Jvm/compile.scm 1 */
{ /* Jvm/compile.scm 1 */
obj_t BgL_cportz00_3137;
BgL_cportz00_3137 = 
open_input_string(BGl_string3438z00zzjvm_compilez00); 
{ 
long BgL_iz00_3138;
BgL_iz00_3138 = ((long)41); 
BgL_loopz00_3139:
if(
(BgL_iz00_3138==((long)-1)))
{ /* Jvm/compile.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/compile.scm 1 */
{ /* Jvm/compile.scm 1 */
obj_t BgL_arg3440z00_3141;
{ /* Jvm/compile.scm 1 */
obj_t BgL_list3441z00_3142;
BgL_list3441z00_3142 = 
MAKE_PAIR(BgL_cportz00_3137, BNIL); 
BgL_arg3440z00_3141 = 
BGl_readz00zz__readerz00(BgL_list3441z00_3142); } 
{ /* Jvm/compile.scm 1 */
int BgL_auxz00_3162;
BgL_auxz00_3162 = 
(int)(BgL_iz00_3138); 
CNST_TABLE_SET(BgL_auxz00_3162, BgL_arg3440z00_3141); } } 
{ 
long BgL_iz00_3165;
{ /* Jvm/compile.scm 1 */
int BgL_auxz00_3166;
{ /* Jvm/compile.scm 1 */
long BgL_auxz00_3167;
BgL_auxz00_3167 = 
(BgL_iz00_3138-((long)1)); 
BgL_auxz00_3166 = 
(int)(BgL_auxz00_3167); } 
BgL_iz00_3165 = 
(long)(BgL_auxz00_3166); } 
BgL_iz00_3138 = BgL_iz00_3165; 
goto BgL_loopz00_3139;} } } } } 
}



/* jvm-compile */
obj_t BGl_jvmzd2compilezd2zzjvm_compilez00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Jvm/compile.scm 14 */
return 
BGl_compilez00zzjvm_compilez00(BgL_globalsz00_1);} 
}



/* _jvm-compile */
obj_t BGl__jvmzd2compilezd2zzjvm_compilez00(obj_t BgL_envz00_3135, obj_t BgL_globalsz00_3136)
{ AN_OBJECT;
{ /* Jvm/compile.scm 14 */
return 
BGl_jvmzd2compilezd2zzjvm_compilez00(BgL_globalsz00_3136);} 
}



/* compile */
obj_t BGl_compilez00zzjvm_compilez00(obj_t BgL_globalsz00_2)
{ AN_OBJECT;
{ /* Jvm/compile.scm 21 */
{ /* Jvm/compile.scm 22 */
obj_t BgL_mz00_1544;
BgL_mz00_1544 = 
BGl_compilezd2modulezd2zzjvm_compilez00(BgL_globalsz00_2); 
{ /* Jvm/compile.scm 23 */
obj_t BgL_arg3060z00_1545;
{ /* Jvm/compile.scm 23 */
obj_t BgL_l3038z00_1546;
BgL_l3038z00_1546 = 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(); 
if(
NULLP(BgL_l3038z00_1546))
{ /* Jvm/compile.scm 23 */
BgL_arg3060z00_1545 = BNIL; }  else 
{ /* Jvm/compile.scm 23 */
obj_t BgL_head3040z00_1548;
{ /* Jvm/compile.scm 23 */
obj_t BgL_arg3068z00_1559;
BgL_arg3068z00_1559 = 
BGl_compilezd2classzd2zzjvm_compilez00(
CAR(BgL_l3038z00_1546)); 
BgL_head3040z00_1548 = 
MAKE_PAIR(BgL_arg3068z00_1559, BNIL); } 
{ 
obj_t BgL_l3038z00_1549;obj_t BgL_tail3041z00_1550;
BgL_l3038z00_1549 = 
CDR(BgL_l3038z00_1546); 
BgL_tail3041z00_1550 = BgL_head3040z00_1548; 
BgL_lname3039z00_1551:
if(
NULLP(BgL_l3038z00_1549))
{ /* Jvm/compile.scm 23 */
BgL_arg3060z00_1545 = BgL_head3040z00_1548; }  else 
{ /* Jvm/compile.scm 23 */
obj_t BgL_newtail3042z00_1554;
{ /* Jvm/compile.scm 23 */
obj_t BgL_arg3065z00_1556;
BgL_arg3065z00_1556 = 
BGl_compilezd2classzd2zzjvm_compilez00(
CAR(BgL_l3038z00_1549)); 
BgL_newtail3042z00_1554 = 
MAKE_PAIR(BgL_arg3065z00_1556, BNIL); } 
SET_CDR(BgL_tail3041z00_1550, BgL_newtail3042z00_1554); 
{ 
obj_t BgL_tail3041z00_3188;obj_t BgL_l3038z00_3186;
BgL_l3038z00_3186 = 
CDR(BgL_l3038z00_1549); 
BgL_tail3041z00_3188 = BgL_newtail3042z00_1554; 
BgL_tail3041z00_1550 = BgL_tail3041z00_3188; 
BgL_l3038z00_1549 = BgL_l3038z00_3186; 
goto BgL_lname3039z00_1551;} } } } } 
return 
MAKE_PAIR(BgL_mz00_1544, BgL_arg3060z00_1545);} } } 
}



/* compile-class */
obj_t BGl_compilezd2classzd2zzjvm_compilez00(obj_t BgL_classz00_3)
{ AN_OBJECT;
{ /* Jvm/compile.scm 28 */
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_envz00_1562;
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_res3425z00_2412;
{ /* Jvm/compile.scm 29 */
obj_t BgL_vcount3030z00_2369;
BgL_vcount3030z00_2369 = 
BINT(((long)0)); 
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_new3034z00_2373;
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_res3423z00_2379;
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_new3036z00_2374;
BgL_new3036z00_2374 = 
((BgL_envz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_envz00_bgl) ))); 
{ /* Jvm/compile.scm 29 */
long BgL_arg3367z00_2375;
BgL_arg3367z00_2375 = 
BGl_classzd2numzd2zz__objectz00(BGl_envz00zzjvm_envz00); 
{ /* Jvm/compile.scm 29 */
BgL_objectz00_bglt BgL_auxz00_3194;
BgL_auxz00_3194 = 
(BgL_objectz00_bglt)(BgL_new3036z00_2374); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3194, BgL_arg3367z00_2375); } } 
{ /* Jvm/compile.scm 29 */
BgL_objectz00_bglt BgL_auxz00_3197;
BgL_auxz00_3197 = 
(BgL_objectz00_bglt)(BgL_new3036z00_2374); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3197, BFALSE); } 
{ /* Jvm/compile.scm 29 */
obj_t BgL_auxz00_3200;
BgL_auxz00_3200 = 
(obj_t)(BgL_new3036z00_2374); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3200); } BUNSPEC; 
BgL_res3423z00_2379 = BgL_new3036z00_2374; } 
BgL_new3034z00_2373 = BgL_res3423z00_2379; } 
{ /* Jvm/compile.scm 29 */
BgL_envz00_bglt BgL_res3424z00_2411;
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declarationsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declaredtypez00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declaredclassz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declaredmodulez00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_currentzd2modulezd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declaredfieldsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_declaredglobalz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_libdeclaredz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_proceduresz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_clinitzd2codezd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_currentzd2methodzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_vcountz00) = ((obj_t)BgL_vcount3030z00_2369), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_localsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_stackz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3034z00_2373))->BgL_codez00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3424z00_2411 = BgL_new3034z00_2373; BgL_res3424z00_2411; } 
BgL_res3425z00_2412 = BgL_new3034z00_2373; } } 
BgL_envz00_1562 = BgL_res3425z00_2412; } 
{ /* Jvm/compile.scm 29 */
obj_t BgL__z00_1563;
BgL__z00_1563 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1562, 
CNST_TABLE_REF(((long)0))); 
{ /* Jvm/compile.scm 30 */
obj_t BgL_mez00_1564;
BgL_mez00_1564 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_classz00_3, BgL_envz00_1562); 
{ /* Jvm/compile.scm 31 */
obj_t BgL_superz00_1565;
{ /* Jvm/compile.scm 32 */
bool_t BgL_test3139z00_1634;
BgL_test3139z00_1634 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_3); 
if(BgL_test3139z00_1634)
{ /* Jvm/compile.scm 32 */
BgL_superz00_1565 = 
CNST_TABLE_REF(((long)0)); }  else 
{ /* Jvm/compile.scm 34 */
obj_t BgL_auxz00_3224;
{ /* Jvm/compile.scm 34 */
BgL_tclassz00_bglt BgL_obj2712z00_2413;
BgL_obj2712z00_2413 = 
(BgL_tclassz00_bglt)(BgL_classz00_3); 
{ 
obj_t BgL_auxz00_3226;
{ /* Jvm/compile.scm 34 */
BgL_objectz00_bglt BgL_auxz00_3227;
BgL_auxz00_3227 = 
(BgL_objectz00_bglt)(BgL_obj2712z00_2413); 
BgL_auxz00_3226 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3227); } 
BgL_auxz00_3224 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3226))->BgL_itszd2superzd2); } } 
BgL_superz00_1565 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3224, BgL_envz00_1562); } } 
{ /* Jvm/compile.scm 32 */
obj_t BgL_fieldsz00_1566;
BgL_fieldsz00_1566 = 
BGl_compilezd2classzd2fieldsz00zzjvm_compilez00(BgL_envz00_1562, BgL_classz00_3, BgL_mez00_1564); 
{ /* Jvm/compile.scm 35 */

{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3071z00_1567;obj_t BgL_arg3072z00_1568;
{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3073z00_1569;obj_t BgL_arg3074z00_1570;
BgL_arg3073z00_1569 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3075z00_1571;
BgL_arg3075z00_1571 = 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_3)); 
BgL_arg3074z00_1570 = 
MAKE_PAIR(BgL_arg3075z00_1571, BNIL); } 
BgL_arg3071z00_1567 = 
MAKE_PAIR(BgL_arg3073z00_1569, BgL_arg3074z00_1570); } 
{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3077z00_1573;
{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3078z00_1574;
{ /* Jvm/compile.scm 37 */
obj_t BgL_arg3080z00_1576;
{ /* Jvm/compile.scm 39 */
obj_t BgL_arg3081z00_1577;obj_t BgL_arg3082z00_1578;
{ /* Jvm/compile.scm 39 */
obj_t BgL_arg3083z00_1579;obj_t BgL_arg3084z00_1580;
BgL_arg3083z00_1579 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/compile.scm 40 */
obj_t BgL_arg3085z00_1581;obj_t BgL_arg3086z00_1582;
BgL_arg3085z00_1581 = 
bgl_reverse(
(((BgL_envz00_bglt)CREF(BgL_envz00_1562))->BgL_declarationsz00)); 
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3089z00_1584;obj_t BgL_arg3090z00_1585;
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3091z00_1586;obj_t BgL_arg3092z00_1587;
BgL_arg3091z00_1586 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3093z00_1588;
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3095z00_1590;obj_t BgL_arg3096z00_1591;
BgL_arg3095z00_1590 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3097z00_1592;
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3098z00_1593;obj_t BgL_arg3099z00_1594;
{ /* Jvm/compile.scm 41 */
obj_t BgL_auxz00_3243;
BgL_auxz00_3243 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3098z00_1593 = 
MAKE_PAIR(BgL_auxz00_3243, BNIL); } 
{ /* Jvm/compile.scm 41 */
obj_t BgL_arg3100z00_1595;obj_t BgL_arg3101z00_1596;
BgL_arg3100z00_1595 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3101z00_1596 = 
MAKE_PAIR(BGl_string3432z00zzjvm_compilez00, BNIL); 
BgL_arg3099z00_1594 = 
MAKE_PAIR(BgL_arg3100z00_1595, BgL_arg3101z00_1596); } 
BgL_arg3097z00_1592 = 
MAKE_PAIR(BgL_arg3098z00_1593, BgL_arg3099z00_1594); } 
BgL_arg3096z00_1591 = 
MAKE_PAIR(BgL_mez00_1564, BgL_arg3097z00_1592); } 
BgL_arg3093z00_1588 = 
MAKE_PAIR(BgL_arg3095z00_1590, BgL_arg3096z00_1591); } 
BgL_arg3092z00_1587 = 
MAKE_PAIR(BgL_arg3093z00_1588, BNIL); } 
BgL_arg3089z00_1584 = 
MAKE_PAIR(BgL_arg3091z00_1586, BgL_arg3092z00_1587); } 
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3102z00_1597;
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3104z00_1599;obj_t BgL_arg3105z00_1600;
BgL_arg3104z00_1599 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3106z00_1601;
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3108z00_1603;obj_t BgL_arg3109z00_1604;
BgL_arg3108z00_1603 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3110z00_1605;
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3111z00_1606;obj_t BgL_arg3112z00_1607;
{ /* Jvm/compile.scm 42 */
obj_t BgL_auxz00_3256;
BgL_auxz00_3256 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3111z00_1606 = 
MAKE_PAIR(BgL_auxz00_3256, BNIL); } 
{ /* Jvm/compile.scm 42 */
obj_t BgL_arg3113z00_1608;obj_t BgL_arg3114z00_1609;
BgL_arg3113z00_1608 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3114z00_1609 = 
MAKE_PAIR(BGl_string3432z00zzjvm_compilez00, BNIL); 
BgL_arg3112z00_1607 = 
MAKE_PAIR(BgL_arg3113z00_1608, BgL_arg3114z00_1609); } 
BgL_arg3110z00_1605 = 
MAKE_PAIR(BgL_arg3111z00_1606, BgL_arg3112z00_1607); } 
BgL_arg3109z00_1604 = 
MAKE_PAIR(BgL_superz00_1565, BgL_arg3110z00_1605); } 
BgL_arg3106z00_1601 = 
MAKE_PAIR(BgL_arg3108z00_1603, BgL_arg3109z00_1604); } 
BgL_arg3105z00_1600 = 
MAKE_PAIR(BgL_arg3106z00_1601, BNIL); } 
BgL_arg3102z00_1597 = 
MAKE_PAIR(BgL_arg3104z00_1599, BgL_arg3105z00_1600); } 
BgL_arg3090z00_1585 = 
MAKE_PAIR(BgL_arg3102z00_1597, BNIL); } 
BgL_arg3086z00_1582 = 
MAKE_PAIR(BgL_arg3089z00_1584, BgL_arg3090z00_1585); } 
BgL_arg3084z00_1580 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3085z00_1581, BgL_arg3086z00_1582); } 
BgL_arg3081z00_1577 = 
MAKE_PAIR(BgL_arg3083z00_1579, BgL_arg3084z00_1580); } 
{ /* Jvm/compile.scm 43 */
obj_t BgL_arg3115z00_1610;obj_t BgL_arg3116z00_1611;
{ /* Jvm/compile.scm 43 */
obj_t BgL_auxz00_3273;obj_t BgL_auxz00_3271;
BgL_auxz00_3273 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_1566, BNIL); 
BgL_auxz00_3271 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3115z00_1610 = 
MAKE_PAIR(BgL_auxz00_3271, BgL_auxz00_3273); } 
{ /* Jvm/compile.scm 44 */
obj_t BgL_arg3119z00_1614;
{ /* Jvm/compile.scm 44 */
obj_t BgL_arg3121z00_1616;obj_t BgL_arg3122z00_1617;
BgL_arg3121z00_1616 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 44 */
obj_t BgL_arg3123z00_1618;obj_t BgL_arg3124z00_1619;
BgL_arg3123z00_1618 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/compile.scm 44 */
obj_t BgL_arg3125z00_1620;obj_t BgL_arg3126z00_1621;
{ /* Jvm/compile.scm 44 */
obj_t BgL_auxz00_3278;
BgL_auxz00_3278 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3125z00_1620 = 
MAKE_PAIR(BgL_auxz00_3278, BNIL); } 
{ /* Jvm/compile.scm 44 */
obj_t BgL_arg3128z00_1623;
{ /* Jvm/compile.scm 45 */
obj_t BgL_arg3129z00_1624;obj_t BgL_arg3130z00_1625;
{ /* Jvm/compile.scm 45 */
obj_t BgL_arg3131z00_1626;obj_t BgL_arg3132z00_1627;
BgL_arg3131z00_1626 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/compile.scm 45 */
obj_t BgL_auxz00_3282;
BgL_auxz00_3282 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3132z00_1627 = 
MAKE_PAIR(BgL_auxz00_3282, BNIL); } 
BgL_arg3129z00_1624 = 
MAKE_PAIR(BgL_arg3131z00_1626, BgL_arg3132z00_1627); } 
{ /* Jvm/compile.scm 46 */
obj_t BgL_arg3133z00_1628;obj_t BgL_arg3134z00_1629;
{ /* Jvm/compile.scm 46 */
obj_t BgL_arg3135z00_1630;obj_t BgL_arg3136z00_1631;
BgL_arg3135z00_1630 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/compile.scm 46 */
obj_t BgL_auxz00_3287;
BgL_auxz00_3287 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3136z00_1631 = 
MAKE_PAIR(BgL_auxz00_3287, BNIL); } 
BgL_arg3133z00_1628 = 
MAKE_PAIR(BgL_arg3135z00_1630, BgL_arg3136z00_1631); } 
{ /* Jvm/compile.scm 47 */
obj_t BgL_arg3137z00_1632;
{ /* Jvm/compile.scm 47 */
obj_t BgL_auxz00_3291;
BgL_auxz00_3291 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3137z00_1632 = 
MAKE_PAIR(BgL_auxz00_3291, BNIL); } 
BgL_arg3134z00_1629 = 
MAKE_PAIR(BgL_arg3137z00_1632, BNIL); } 
BgL_arg3130z00_1625 = 
MAKE_PAIR(BgL_arg3133z00_1628, BgL_arg3134z00_1629); } 
BgL_arg3128z00_1623 = 
MAKE_PAIR(BgL_arg3129z00_1624, BgL_arg3130z00_1625); } 
BgL_arg3126z00_1621 = 
MAKE_PAIR(BNIL, BgL_arg3128z00_1623); } 
BgL_arg3124z00_1619 = 
MAKE_PAIR(BgL_arg3125z00_1620, BgL_arg3126z00_1621); } 
BgL_arg3122z00_1617 = 
MAKE_PAIR(BgL_arg3123z00_1618, BgL_arg3124z00_1619); } 
BgL_arg3119z00_1614 = 
MAKE_PAIR(BgL_arg3121z00_1616, BgL_arg3122z00_1617); } 
BgL_arg3116z00_1611 = 
MAKE_PAIR(BgL_arg3119z00_1614, BNIL); } 
BgL_arg3082z00_1578 = 
MAKE_PAIR(BgL_arg3115z00_1610, BgL_arg3116z00_1611); } 
BgL_arg3080z00_1576 = 
MAKE_PAIR(BgL_arg3081z00_1577, BgL_arg3082z00_1578); } 
BgL_arg3078z00_1574 = 
MAKE_PAIR(BNIL, BgL_arg3080z00_1576); } 
BgL_arg3077z00_1573 = 
MAKE_PAIR(BgL_superz00_1565, BgL_arg3078z00_1574); } 
BgL_arg3072z00_1568 = 
MAKE_PAIR(BgL_mez00_1564, BgL_arg3077z00_1573); } 
return 
MAKE_PAIR(BgL_arg3071z00_1567, BgL_arg3072z00_1568);} } } } } } } } 
}



/* compile-class-fields */
obj_t BGl_compilezd2classzd2fieldsz00zzjvm_compilez00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_classz00_5, obj_t BgL_ownerz00_6)
{ AN_OBJECT;
{ /* Jvm/compile.scm 50 */
{ /* Jvm/compile.scm 51 */
obj_t BgL_rz00_1636;
BgL_rz00_1636 = BNIL; 
{ 
obj_t BgL_l3044z00_1637;
{ /* Jvm/compile.scm 60 */
BgL_tclassz00_bglt BgL_obj2715z00_2415;
BgL_obj2715z00_2415 = 
(BgL_tclassz00_bglt)(BgL_classz00_5); 
{ 
obj_t BgL_auxz00_3336;
{ /* Jvm/compile.scm 60 */
BgL_objectz00_bglt BgL_auxz00_3337;
BgL_auxz00_3337 = 
(BgL_objectz00_bglt)(BgL_obj2715z00_2415); 
BgL_auxz00_3336 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3337); } 
BgL_l3044z00_1637 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3336))->BgL_slotsz00); } } 
BgL_lname3045z00_1638:
if(
PAIRP(BgL_l3044z00_1637))
{ /* Jvm/compile.scm 52 */
{ /* Jvm/compile.scm 53 */
obj_t BgL_slotz00_1641;
BgL_slotz00_1641 = 
CAR(BgL_l3044z00_1637); 
{ /* Jvm/compile.scm 53 */
obj_t BgL_typez00_1642;
{ /* Jvm/compile.scm 53 */
obj_t BgL_auxz00_3311;
{ /* Jvm/compile.scm 53 */
obj_t BgL__ortest_3046z00_2419;
{ /* Jvm/compile.scm 53 */
BgL_slotz00_bglt BgL_obj2873z00_2420;
BgL_obj2873z00_2420 = 
(BgL_slotz00_bglt)(BgL_slotz00_1641); 
BgL__ortest_3046z00_2419 = 
(((BgL_slotz00_bglt)CREF(BgL_obj2873z00_2420))->BgL_indexedz00); } 
if(
CBOOL(BgL__ortest_3046z00_2419))
{ /* Jvm/compile.scm 53 */
BgL_auxz00_3311 = BgL__ortest_3046z00_2419
; }  else 
{ /* Jvm/compile.scm 53 */
BgL_slotz00_bglt BgL_obj2860z00_2421;
BgL_obj2860z00_2421 = 
(BgL_slotz00_bglt)(BgL_slotz00_1641); 
BgL_auxz00_3311 = 
(((BgL_slotz00_bglt)CREF(BgL_obj2860z00_2421))->BgL_typez00); } } 
BgL_typez00_1642 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3311, BgL_envz00_4); } 
{ /* Jvm/compile.scm 54 */
bool_t BgL_test3143z00_1643;
{ /* Jvm/compile.scm 54 */
bool_t BgL_test3145z00_1646;
BgL_test3145z00_1646 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_1641)); 
if(BgL_test3145z00_1646)
{ /* Jvm/compile.scm 54 */
BgL_test3143z00_1643 = ((bool_t)0); }  else 
{ /* Jvm/compile.scm 55 */
obj_t BgL_auxz00_3322;
{ /* Jvm/compile.scm 55 */
BgL_slotz00_bglt BgL_obj2859z00_2422;
BgL_obj2859z00_2422 = 
(BgL_slotz00_bglt)(BgL_slotz00_1641); 
BgL_auxz00_3322 = 
(((BgL_slotz00_bglt)CREF(BgL_obj2859z00_2422))->BgL_classzd2ownerzd2); } 
BgL_test3143z00_1643 = 
(BgL_classz00_5==BgL_auxz00_3322); } } 
if(BgL_test3143z00_1643)
{ /* Jvm/compile.scm 58 */
obj_t BgL_arg3144z00_1645;
{ /* Jvm/compile.scm 58 */
obj_t BgL_auxz00_3327;
{ /* Jvm/compile.scm 56 */
BgL_slotz00_bglt BgL_obj2856z00_2423;
BgL_obj2856z00_2423 = 
(BgL_slotz00_bglt)(BgL_slotz00_1641); 
BgL_auxz00_3327 = 
(((BgL_slotz00_bglt)CREF(BgL_obj2856z00_2423))->BgL_namez00); } 
BgL_arg3144z00_1645 = 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(
(obj_t)(BgL_envz00_4), BgL_auxz00_3327, BgL_typez00_1642, BgL_ownerz00_6); } 
BgL_rz00_1636 = 
MAKE_PAIR(BgL_arg3144z00_1645, BgL_rz00_1636); }  else 
{ /* Jvm/compile.scm 54 */BFALSE; } } } } 
{ 
obj_t BgL_l3044z00_3333;
BgL_l3044z00_3333 = 
CDR(BgL_l3044z00_1637); 
BgL_l3044z00_1637 = BgL_l3044z00_3333; 
goto BgL_lname3045z00_1638;} }  else 
{ /* Jvm/compile.scm 52 */((bool_t)1); } } 
return BgL_rz00_1636;} } 
}



/* compile-module */
obj_t BGl_compilezd2modulezd2zzjvm_compilez00(obj_t BgL_globalsz00_8)
{ AN_OBJECT;
{ /* Jvm/compile.scm 69 */
{ /* Jvm/compile.scm 70 */
obj_t BgL_envz00_1651;
BgL_envz00_1651 = 
PROCEDURE_ENTRY(BGl_compilezd2initzd2zzjvm_initz00)(BGl_compilezd2initzd2zzjvm_initz00, BgL_globalsz00_8, BEOA); 
{ /* Jvm/compile.scm 70 */
obj_t BgL_mez00_1652;
{ /* Jvm/compile.scm 71 */
BgL_envz00_bglt BgL_obj2952z00_2428;
BgL_obj2952z00_2428 = 
(BgL_envz00_bglt)(BgL_envz00_1651); 
BgL_mez00_1652 = 
(((BgL_envz00_bglt)CREF(BgL_obj2952z00_2428))->BgL_currentzd2modulezd2); } 
{ /* Jvm/compile.scm 71 */
obj_t BgL_superz00_1653;
BgL_superz00_1653 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_1651), 
CNST_TABLE_REF(((long)13))); 
{ /* Jvm/compile.scm 72 */
obj_t BgL_mainz00_1654;
BgL_mainz00_1654 = 
BGl_compilezd2mainzd2zzjvm_compilez00(BgL_envz00_1651); 
{ /* Jvm/compile.scm 73 */
obj_t BgL_dlopenz00_1655;
BgL_dlopenz00_1655 = 
BGl_compilezd2dlopenzd2zzjvm_compilez00(BgL_envz00_1651); 
{ /* Jvm/compile.scm 74 */
obj_t BgL_funsz00_1656;
if(
NULLP(BgL_globalsz00_8))
{ /* Jvm/compile.scm 75 */
BgL_funsz00_1656 = BNIL; }  else 
{ /* Jvm/compile.scm 75 */
obj_t BgL_head3049z00_1709;
BgL_head3049z00_1709 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3047z00_1710;obj_t BgL_tail3050z00_1711;
BgL_l3047z00_1710 = BgL_globalsz00_8; 
BgL_tail3050z00_1711 = BgL_head3049z00_1709; 
BgL_lname3048z00_1712:
if(
NULLP(BgL_l3047z00_1710))
{ /* Jvm/compile.scm 75 */
BgL_funsz00_1656 = 
CDR(BgL_head3049z00_1709); }  else 
{ /* Jvm/compile.scm 75 */
obj_t BgL_newtail3051z00_1714;
{ /* Jvm/compile.scm 75 */
obj_t BgL_arg3200z00_1716;
{ /* Jvm/compile.scm 75 */
obj_t BgL_mz00_2437;
BgL_mz00_2437 = 
BGl_compilezd2globalfun1zd2zzjvm_compilez00(
CAR(BgL_l3047z00_1710), BgL_envz00_1651); 
BGl_jvm_peepholez00zzjvm_peepholez00(BgL_mz00_2437); 
BgL_arg3200z00_1716 = BgL_mz00_2437; } 
BgL_newtail3051z00_1714 = 
MAKE_PAIR(BgL_arg3200z00_1716, BNIL); } 
SET_CDR(BgL_tail3050z00_1711, BgL_newtail3051z00_1714); 
{ 
obj_t BgL_tail3050z00_3363;obj_t BgL_l3047z00_3361;
BgL_l3047z00_3361 = 
CDR(BgL_l3047z00_1710); 
BgL_tail3050z00_3363 = BgL_newtail3051z00_1714; 
BgL_tail3050z00_1711 = BgL_tail3050z00_3363; 
BgL_l3047z00_1710 = BgL_l3047z00_3361; 
goto BgL_lname3048z00_1712;} } } } 
{ /* Jvm/compile.scm 75 */
obj_t BgL_constructorsz00_1657;
BgL_constructorsz00_1657 = 
BGl_jvmzd2constructorszd2zzjvm_constrz00(
(BgL_envz00_bglt)(BgL_envz00_1651), BgL_mez00_1652, BgL_superz00_1653); 
{ /* Jvm/compile.scm 76 */
obj_t BgL_funcallersz00_1658;
BgL_funcallersz00_1658 = 
BGl_jvmzd2funcallerszd2zzjvm_closurez00(
(BgL_envz00_bglt)(BgL_envz00_1651), BgL_mez00_1652, BgL_superz00_1653); 
{ /* Jvm/compile.scm 77 */

{ /* Jvm/compile.scm 78 */
obj_t BgL_arg3149z00_1659;obj_t BgL_arg3150z00_1660;
BgL_arg3149z00_1659 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/compile.scm 78 */
obj_t BgL_arg3151z00_1661;
{ /* Jvm/compile.scm 78 */
obj_t BgL_arg3152z00_1662;
{ /* Jvm/compile.scm 78 */
obj_t BgL_arg3154z00_1664;
{ /* Jvm/compile.scm 79 */
obj_t BgL_arg3155z00_1665;obj_t BgL_arg3156z00_1666;
{ /* Jvm/compile.scm 79 */
obj_t BgL_arg3157z00_1667;obj_t BgL_arg3158z00_1668;
BgL_arg3157z00_1667 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/compile.scm 80 */
obj_t BgL_arg3159z00_1669;obj_t BgL_arg3160z00_1670;
{ /* Jvm/compile.scm 80 */
obj_t BgL_auxz00_3370;
{ /* Jvm/compile.scm 80 */
BgL_envz00_bglt BgL_obj2940z00_2443;
BgL_obj2940z00_2443 = 
(BgL_envz00_bglt)(BgL_envz00_1651); 
BgL_auxz00_3370 = 
(((BgL_envz00_bglt)CREF(BgL_obj2940z00_2443))->BgL_declarationsz00); } 
BgL_arg3159z00_1669 = 
bgl_reverse(BgL_auxz00_3370); } 
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3162z00_1672;
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3164z00_1674;obj_t BgL_arg3165z00_1675;
BgL_arg3164z00_1674 = 
CNST_TABLE_REF(((long)15)); 
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3166z00_1676;
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3168z00_1678;obj_t BgL_arg3169z00_1679;
BgL_arg3168z00_1678 = 
CNST_TABLE_REF(((long)16)); 
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3170z00_1680;
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3171z00_1681;obj_t BgL_arg3172z00_1682;
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3173z00_1683;obj_t BgL_arg3174z00_1684;
BgL_arg3173z00_1683 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/compile.scm 81 */
obj_t BgL_auxz00_3377;
BgL_auxz00_3377 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3174z00_1684 = 
MAKE_PAIR(BgL_auxz00_3377, BNIL); } 
BgL_arg3171z00_1681 = 
MAKE_PAIR(BgL_arg3173z00_1683, BgL_arg3174z00_1684); } 
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3175z00_1685;obj_t BgL_arg3176z00_1686;
{ /* Jvm/compile.scm 81 */
obj_t BgL_arg3177z00_1687;obj_t BgL_arg3178z00_1688;
BgL_arg3177z00_1687 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/compile.scm 81 */
obj_t BgL_auxz00_3382;
BgL_auxz00_3382 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3178z00_1688 = 
MAKE_PAIR(BgL_auxz00_3382, BNIL); } 
BgL_arg3175z00_1685 = 
MAKE_PAIR(BgL_arg3177z00_1687, BgL_arg3178z00_1688); } 
BgL_arg3176z00_1686 = 
MAKE_PAIR(BGl_string3433z00zzjvm_compilez00, BNIL); 
BgL_arg3172z00_1682 = 
MAKE_PAIR(BgL_arg3175z00_1685, BgL_arg3176z00_1686); } 
BgL_arg3170z00_1680 = 
MAKE_PAIR(BgL_arg3171z00_1681, BgL_arg3172z00_1682); } 
BgL_arg3169z00_1679 = 
MAKE_PAIR(BgL_mez00_1652, BgL_arg3170z00_1680); } 
BgL_arg3166z00_1676 = 
MAKE_PAIR(BgL_arg3168z00_1678, BgL_arg3169z00_1679); } 
BgL_arg3165z00_1675 = 
MAKE_PAIR(BgL_arg3166z00_1676, BNIL); } 
BgL_arg3162z00_1672 = 
MAKE_PAIR(BgL_arg3164z00_1674, BgL_arg3165z00_1675); } 
BgL_arg3160z00_1670 = 
MAKE_PAIR(BgL_arg3162z00_1672, BNIL); } 
BgL_arg3158z00_1668 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3159z00_1669, BgL_arg3160z00_1670); } 
BgL_arg3155z00_1665 = 
MAKE_PAIR(BgL_arg3157z00_1667, BgL_arg3158z00_1668); } 
{ /* Jvm/compile.scm 82 */
obj_t BgL_arg3179z00_1689;obj_t BgL_arg3180z00_1690;
{ /* Jvm/compile.scm 82 */
obj_t BgL_arg3181z00_1691;obj_t BgL_arg3182z00_1692;
BgL_arg3181z00_1691 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/compile.scm 82 */
obj_t BgL_arg3183z00_1693;obj_t BgL_arg3184z00_1694;
BgL_arg3183z00_1693 = 
CNST_TABLE_REF(((long)15)); 
{ /* Jvm/compile.scm 82 */
obj_t BgL_arg3185z00_1695;
BgL_arg3185z00_1695 = 
BGl_compilezd2fieldszd2zzjvm_compilez00(BgL_envz00_1651); 
BgL_arg3184z00_1694 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3185z00_1695, BNIL); } 
BgL_arg3182z00_1692 = 
MAKE_PAIR(BgL_arg3183z00_1693, BgL_arg3184z00_1694); } 
BgL_arg3179z00_1689 = 
MAKE_PAIR(BgL_arg3181z00_1691, BgL_arg3182z00_1692); } 
{ /* Jvm/compile.scm 83 */
obj_t BgL_arg3187z00_1697;obj_t BgL_arg3188z00_1698;
{ /* Jvm/compile.scm 83 */
obj_t BgL_arg3189z00_1699;obj_t BgL_arg3190z00_1700;
BgL_arg3189z00_1699 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/compile.scm 83 */
obj_t BgL_arg3191z00_1701;
BgL_arg3191z00_1701 = 
BGl_getzd2sourcefilezd2zzjvm_externz00(); 
BgL_arg3190z00_1700 = 
MAKE_PAIR(BgL_arg3191z00_1701, BNIL); } 
BgL_arg3187z00_1697 = 
MAKE_PAIR(BgL_arg3189z00_1699, BgL_arg3190z00_1700); } 
BgL_arg3188z00_1698 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_constructorsz00_1657, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_funcallersz00_1658, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_mainz00_1654, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_dlopenz00_1655, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_funsz00_1656, BNIL))))); 
BgL_arg3180z00_1690 = 
MAKE_PAIR(BgL_arg3187z00_1697, BgL_arg3188z00_1698); } 
BgL_arg3156z00_1666 = 
MAKE_PAIR(BgL_arg3179z00_1689, BgL_arg3180z00_1690); } 
BgL_arg3154z00_1664 = 
MAKE_PAIR(BgL_arg3155z00_1665, BgL_arg3156z00_1666); } 
BgL_arg3152z00_1662 = 
MAKE_PAIR(BNIL, BgL_arg3154z00_1664); } 
BgL_arg3151z00_1661 = 
MAKE_PAIR(BgL_superz00_1653, BgL_arg3152z00_1662); } 
BgL_arg3150z00_1660 = 
MAKE_PAIR(BgL_mez00_1652, BgL_arg3151z00_1661); } 
return 
MAKE_PAIR(BgL_arg3149z00_1659, BgL_arg3150z00_1660);} } } } } } } } } } } 
}



/* compile-main */
obj_t BGl_compilezd2mainzd2zzjvm_compilez00(obj_t BgL_envz00_9)
{ AN_OBJECT;
{ /* Jvm/compile.scm 90 */
{ /* Jvm/compile.scm 91 */
bool_t BgL_test3202z00_1719;
{ /* Jvm/compile.scm 91 */
obj_t BgL_obj1247z00_2444;
BgL_obj1247z00_2444 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test3202z00_1719 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1247z00_2444, BGl_globalz00zzast_varz00); } 
if(BgL_test3202z00_1719)
{ /* Jvm/compile.scm 92 */
obj_t BgL_namez00_1720;
BgL_namez00_1720 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3434z00zzjvm_compilez00, BEOA); 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_9), 
CNST_TABLE_REF(((long)20))); 
{ /* Jvm/compile.scm 95 */
obj_t BgL_arg3203z00_1721;
{ /* Jvm/compile.scm 95 */
obj_t BgL_arg3204z00_1722;obj_t BgL_arg3205z00_1723;
BgL_arg3204z00_1722 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 95 */
obj_t BgL_arg3206z00_1724;obj_t BgL_arg3207z00_1725;
{ /* Jvm/compile.scm 95 */
BgL_envz00_bglt BgL_obj2952z00_2445;
BgL_obj2952z00_2445 = 
(BgL_envz00_bglt)(BgL_envz00_9); 
BgL_arg3206z00_1724 = 
(((BgL_envz00_bglt)CREF(BgL_obj2952z00_2445))->BgL_currentzd2modulezd2); } 
{ /* Jvm/compile.scm 96 */
obj_t BgL_arg3208z00_1726;obj_t BgL_arg3209z00_1727;
{ /* Jvm/compile.scm 96 */
obj_t BgL_arg3210z00_1728;obj_t BgL_arg3211z00_1729;
BgL_arg3210z00_1728 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/compile.scm 96 */
obj_t BgL_auxz00_3429;
BgL_auxz00_3429 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3211z00_1729 = 
MAKE_PAIR(BgL_auxz00_3429, BNIL); } 
BgL_arg3208z00_1726 = 
MAKE_PAIR(BgL_arg3210z00_1728, BgL_arg3211z00_1729); } 
{ /* Jvm/compile.scm 95 */
obj_t BgL_arg3212z00_1730;obj_t BgL_arg3213z00_1731;
BgL_arg3212z00_1730 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/compile.scm 95 */
obj_t BgL_arg3215z00_1733;
{ /* Jvm/compile.scm 96 */
obj_t BgL_arg3216z00_1734;
{ /* Jvm/compile.scm 96 */
obj_t BgL_arg3218z00_1736;obj_t BgL_arg3219z00_1737;
BgL_arg3218z00_1736 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/compile.scm 96 */
obj_t BgL_auxz00_3435;
BgL_auxz00_3435 = 
CNST_TABLE_REF(((long)21)); 
BgL_arg3219z00_1737 = 
MAKE_PAIR(BgL_auxz00_3435, BNIL); } 
BgL_arg3216z00_1734 = 
MAKE_PAIR(BgL_arg3218z00_1736, BgL_arg3219z00_1737); } 
BgL_arg3215z00_1733 = 
MAKE_PAIR(BgL_arg3216z00_1734, BNIL); } 
BgL_arg3213z00_1731 = 
MAKE_PAIR(BGl_string3434z00zzjvm_compilez00, BgL_arg3215z00_1733); } 
BgL_arg3209z00_1727 = 
MAKE_PAIR(BgL_arg3212z00_1730, BgL_arg3213z00_1731); } 
BgL_arg3207z00_1725 = 
MAKE_PAIR(BgL_arg3208z00_1726, BgL_arg3209z00_1727); } 
BgL_arg3205z00_1723 = 
MAKE_PAIR(BgL_arg3206z00_1724, BgL_arg3207z00_1725); } 
BgL_arg3203z00_1721 = 
MAKE_PAIR(BgL_arg3204z00_1722, BgL_arg3205z00_1723); } 
BGl_envzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_9), BgL_namez00_1720, BgL_arg3203z00_1721); } 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3220z00_1738;
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3222z00_1740;obj_t BgL_arg3223z00_1741;
BgL_arg3222z00_1740 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3224z00_1742;
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3225z00_1743;obj_t BgL_arg3226z00_1744;
{ /* Jvm/compile.scm 97 */
obj_t BgL_auxz00_3448;
BgL_auxz00_3448 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg3225z00_1743 = 
MAKE_PAIR(BgL_auxz00_3448, BNIL); } 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3228z00_1746;
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3229z00_1747;obj_t BgL_arg3231z00_1748;
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3232z00_1749;obj_t BgL_arg3233z00_1750;
BgL_arg3232z00_1749 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3234z00_1751;obj_t BgL_arg3235z00_1752;
BgL_arg3234z00_1751 = 
CNST_TABLE_REF(((long)24)); 
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3236z00_1753;obj_t BgL_arg3237z00_1754;
BgL_arg3236z00_1753 = 
CNST_TABLE_REF(((long)25)); 
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3238z00_1755;obj_t BgL_arg3239z00_1756;
BgL_arg3238z00_1755 = 
CNST_TABLE_REF(((long)26)); 
{ /* Jvm/compile.scm 98 */
obj_t BgL_arg3240z00_1757;
BgL_arg3240z00_1757 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_9), 
CNST_TABLE_REF(((long)27))); 
BgL_arg3239z00_1756 = 
MAKE_PAIR(BgL_arg3240z00_1757, BNIL); } 
BgL_arg3237z00_1754 = 
MAKE_PAIR(BgL_arg3238z00_1755, BgL_arg3239z00_1756); } 
BgL_arg3235z00_1752 = 
MAKE_PAIR(BgL_arg3236z00_1753, BgL_arg3237z00_1754); } 
BgL_arg3233z00_1750 = 
MAKE_PAIR(BgL_arg3234z00_1751, BgL_arg3235z00_1752); } 
BgL_arg3229z00_1747 = 
MAKE_PAIR(BgL_arg3232z00_1749, BgL_arg3233z00_1750); } 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3242z00_1759;obj_t BgL_arg3243z00_1760;
BgL_arg3242z00_1759 = 
CNST_TABLE_REF(((long)24)); 
{ /* Jvm/compile.scm 100 */
obj_t BgL_arg3244z00_1761;obj_t BgL_arg3245z00_1762;
{ /* Jvm/compile.scm 100 */
obj_t BgL_arg3246z00_1763;obj_t BgL_arg3247z00_1764;
BgL_arg3246z00_1763 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/compile.scm 100 */
obj_t BgL_auxz00_3465;
BgL_auxz00_3465 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg3247z00_1764 = 
MAKE_PAIR(BgL_auxz00_3465, BNIL); } 
BgL_arg3244z00_1761 = 
MAKE_PAIR(BgL_arg3246z00_1763, BgL_arg3247z00_1764); } 
{ /* Jvm/compile.scm 101 */
obj_t BgL_arg3248z00_1765;obj_t BgL_arg3249z00_1766;
{ /* Jvm/compile.scm 101 */
obj_t BgL_arg3250z00_1767;obj_t BgL_arg3251z00_1768;
BgL_arg3250z00_1767 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/compile.scm 101 */
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg3251z00_1768 = 
MAKE_PAIR(BgL_auxz00_3470, BNIL); } 
BgL_arg3248z00_1765 = 
MAKE_PAIR(BgL_arg3250z00_1767, BgL_arg3251z00_1768); } 
{ /* Jvm/compile.scm 102 */
obj_t BgL_arg3252z00_1769;obj_t BgL_arg3253z00_1770;
{ /* Jvm/compile.scm 102 */
obj_t BgL_arg3254z00_1771;obj_t BgL_arg3255z00_1772;
BgL_arg3254z00_1771 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/compile.scm 104 */
obj_t BgL_arg3256z00_1773;
{ /* Jvm/compile.scm 104 */
obj_t BgL_arg3258z00_1775;
{ /* Jvm/compile.scm 104 */
obj_t BgL_list3259z00_1776;
BgL_list3259z00_1776 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg3258z00_1775 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)29)), BgL_list3259z00_1776); } 
BgL_arg3256z00_1773 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_9), 
(BgL_globalz00_bglt)(BgL_arg3258z00_1775)); } 
BgL_arg3255z00_1772 = 
MAKE_PAIR(BgL_arg3256z00_1773, BNIL); } 
BgL_arg3252z00_1769 = 
MAKE_PAIR(BgL_arg3254z00_1771, BgL_arg3255z00_1772); } 
{ /* Jvm/compile.scm 105 */
obj_t BgL_arg3260z00_1777;obj_t BgL_arg3261z00_1778;
{ /* Jvm/compile.scm 105 */
obj_t BgL_auxz00_3483;
BgL_auxz00_3483 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg3260z00_1777 = 
MAKE_PAIR(BgL_auxz00_3483, BNIL); } 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3262z00_1779;obj_t BgL_arg3263z00_1780;
BgL_arg3262z00_1779 = 
CNST_TABLE_REF(((long)25)); 
{ /* Jvm/compile.scm 107 */
obj_t BgL_arg3264z00_1781;obj_t BgL_arg3265z00_1782;
{ /* Jvm/compile.scm 107 */
obj_t BgL_auxz00_3487;
BgL_auxz00_3487 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3264z00_1781 = 
MAKE_PAIR(BgL_auxz00_3487, BNIL); } 
{ /* Jvm/compile.scm 97 */
obj_t BgL_arg3267z00_1783;obj_t BgL_arg3268z00_1784;
BgL_arg3267z00_1783 = 
CNST_TABLE_REF(((long)26)); 
{ /* Jvm/compile.scm 109 */
obj_t BgL_arg3269z00_1785;obj_t BgL_arg3270z00_1786;
{ /* Jvm/compile.scm 109 */
obj_t BgL_arg3271z00_1787;obj_t BgL_arg3272z00_1788;
BgL_arg3271z00_1787 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/compile.scm 109 */
obj_t BgL_arg3273z00_1789;
BgL_arg3273z00_1789 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_9), 
CNST_TABLE_REF(((long)31))); 
BgL_arg3272z00_1788 = 
MAKE_PAIR(BgL_arg3273z00_1789, BNIL); } 
BgL_arg3269z00_1785 = 
MAKE_PAIR(BgL_arg3271z00_1787, BgL_arg3272z00_1788); } 
{ /* Jvm/compile.scm 110 */
obj_t BgL_arg3275z00_1791;
{ /* Jvm/compile.scm 110 */
obj_t BgL_auxz00_3497;
BgL_auxz00_3497 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3275z00_1791 = 
MAKE_PAIR(BgL_auxz00_3497, BNIL); } 
BgL_arg3270z00_1786 = 
MAKE_PAIR(BgL_arg3275z00_1791, BNIL); } 
BgL_arg3268z00_1784 = 
MAKE_PAIR(BgL_arg3269z00_1785, BgL_arg3270z00_1786); } 
BgL_arg3265z00_1782 = 
MAKE_PAIR(BgL_arg3267z00_1783, BgL_arg3268z00_1784); } 
BgL_arg3263z00_1780 = 
MAKE_PAIR(BgL_arg3264z00_1781, BgL_arg3265z00_1782); } 
BgL_arg3261z00_1778 = 
MAKE_PAIR(BgL_arg3262z00_1779, BgL_arg3263z00_1780); } 
BgL_arg3253z00_1770 = 
MAKE_PAIR(BgL_arg3260z00_1777, BgL_arg3261z00_1778); } 
BgL_arg3249z00_1766 = 
MAKE_PAIR(BgL_arg3252z00_1769, BgL_arg3253z00_1770); } 
BgL_arg3245z00_1762 = 
MAKE_PAIR(BgL_arg3248z00_1765, BgL_arg3249z00_1766); } 
BgL_arg3243z00_1760 = 
MAKE_PAIR(BgL_arg3244z00_1761, BgL_arg3245z00_1762); } 
BgL_arg3231z00_1748 = 
MAKE_PAIR(BgL_arg3242z00_1759, BgL_arg3243z00_1760); } 
BgL_arg3228z00_1746 = 
MAKE_PAIR(BgL_arg3229z00_1747, BgL_arg3231z00_1748); } 
BgL_arg3226z00_1744 = 
MAKE_PAIR(BNIL, BgL_arg3228z00_1746); } 
BgL_arg3224z00_1742 = 
MAKE_PAIR(BgL_arg3225z00_1743, BgL_arg3226z00_1744); } 
BgL_arg3223z00_1741 = 
MAKE_PAIR(BgL_namez00_1720, BgL_arg3224z00_1742); } 
BgL_arg3220z00_1738 = 
MAKE_PAIR(BgL_arg3222z00_1740, BgL_arg3223z00_1741); } 
return 
MAKE_PAIR(BgL_arg3220z00_1738, BNIL);} }  else 
{ /* Jvm/compile.scm 91 */
return BNIL;} } } 
}



/* compile-dlopen */
obj_t BGl_compilezd2dlopenzd2zzjvm_compilez00(obj_t BgL_envz00_10)
{ AN_OBJECT;
{ /* Jvm/compile.scm 114 */
{ /* Jvm/compile.scm 115 */
obj_t BgL_namez00_1793;
BgL_namez00_1793 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3435z00zzjvm_compilez00, BEOA); 
{ /* Jvm/compile.scm 117 */
obj_t BgL_arg3277z00_1794;
{ /* Jvm/compile.scm 117 */
obj_t BgL_arg3278z00_1795;obj_t BgL_arg3279z00_1796;
BgL_arg3278z00_1795 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 117 */
obj_t BgL_arg3280z00_1797;obj_t BgL_arg3281z00_1798;
{ /* Jvm/compile.scm 117 */
BgL_envz00_bglt BgL_obj2952z00_2446;
BgL_obj2952z00_2446 = 
(BgL_envz00_bglt)(BgL_envz00_10); 
BgL_arg3280z00_1797 = 
(((BgL_envz00_bglt)CREF(BgL_obj2952z00_2446))->BgL_currentzd2modulezd2); } 
{ /* Jvm/compile.scm 118 */
obj_t BgL_arg3282z00_1799;obj_t BgL_arg3283z00_1800;
{ /* Jvm/compile.scm 118 */
obj_t BgL_arg3284z00_1801;obj_t BgL_arg3285z00_1802;
BgL_arg3284z00_1801 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/compile.scm 118 */
obj_t BgL_auxz00_3522;
BgL_auxz00_3522 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3285z00_1802 = 
MAKE_PAIR(BgL_auxz00_3522, BNIL); } 
BgL_arg3282z00_1799 = 
MAKE_PAIR(BgL_arg3284z00_1801, BgL_arg3285z00_1802); } 
{ /* Jvm/compile.scm 117 */
obj_t BgL_arg3286z00_1803;obj_t BgL_arg3287z00_1804;
BgL_arg3286z00_1803 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3287z00_1804 = 
MAKE_PAIR(BGl_string3435z00zzjvm_compilez00, BNIL); 
BgL_arg3283z00_1800 = 
MAKE_PAIR(BgL_arg3286z00_1803, BgL_arg3287z00_1804); } 
BgL_arg3281z00_1798 = 
MAKE_PAIR(BgL_arg3282z00_1799, BgL_arg3283z00_1800); } 
BgL_arg3279z00_1796 = 
MAKE_PAIR(BgL_arg3280z00_1797, BgL_arg3281z00_1798); } 
BgL_arg3277z00_1794 = 
MAKE_PAIR(BgL_arg3278z00_1795, BgL_arg3279z00_1796); } 
BGl_envzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_10), BgL_namez00_1793, BgL_arg3277z00_1794); } 
{ /* Jvm/compile.scm 119 */
obj_t BgL_arg3288z00_1805;
{ /* Jvm/compile.scm 119 */
obj_t BgL_arg3290z00_1807;obj_t BgL_arg3291z00_1808;
BgL_arg3290z00_1807 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 119 */
obj_t BgL_arg3292z00_1809;
{ /* Jvm/compile.scm 119 */
obj_t BgL_arg3294z00_1811;
{ /* Jvm/compile.scm 119 */
obj_t BgL_arg3296z00_1813;
{ /* Jvm/compile.scm 120 */
obj_t BgL_arg3297z00_1814;obj_t BgL_arg3298z00_1815;
{ /* Jvm/compile.scm 120 */
obj_t BgL_auxz00_3535;
BgL_auxz00_3535 = 
CNST_TABLE_REF(((long)32)); 
BgL_arg3297z00_1814 = 
MAKE_PAIR(BgL_auxz00_3535, BNIL); } 
{ /* Jvm/compile.scm 121 */
obj_t BgL_arg3299z00_1816;obj_t BgL_arg3300z00_1817;
{ /* Jvm/compile.scm 121 */
obj_t BgL_auxz00_3538;
BgL_auxz00_3538 = 
CNST_TABLE_REF(((long)33)); 
BgL_arg3299z00_1816 = 
MAKE_PAIR(BgL_auxz00_3538, BNIL); } 
{ /* Jvm/compile.scm 122 */
obj_t BgL_arg3301z00_1818;obj_t BgL_arg3302z00_1819;
{ /* Jvm/compile.scm 122 */
obj_t BgL_arg3303z00_1820;obj_t BgL_arg3304z00_1821;
BgL_arg3303z00_1820 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/compile.scm 124 */
obj_t BgL_arg3305z00_1822;
{ /* Jvm/compile.scm 124 */
obj_t BgL_arg3308z00_1824;
{ /* Jvm/compile.scm 124 */
obj_t BgL_list3309z00_1825;
BgL_list3309z00_1825 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg3308z00_1824 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)34)), BgL_list3309z00_1825); } 
BgL_arg3305z00_1822 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_10), 
(BgL_globalz00_bglt)(BgL_arg3308z00_1824)); } 
BgL_arg3304z00_1821 = 
MAKE_PAIR(BgL_arg3305z00_1822, BNIL); } 
BgL_arg3301z00_1818 = 
MAKE_PAIR(BgL_arg3303z00_1820, BgL_arg3304z00_1821); } 
{ /* Jvm/compile.scm 125 */
obj_t BgL_arg3310z00_1826;obj_t BgL_arg3311z00_1827;
{ /* Jvm/compile.scm 125 */
obj_t BgL_auxz00_3550;
BgL_auxz00_3550 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg3310z00_1826 = 
MAKE_PAIR(BgL_auxz00_3550, BNIL); } 
{ /* Jvm/compile.scm 126 */
obj_t BgL_arg3312z00_1828;
{ /* Jvm/compile.scm 126 */
obj_t BgL_auxz00_3553;
BgL_auxz00_3553 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3312z00_1828 = 
MAKE_PAIR(BgL_auxz00_3553, BNIL); } 
BgL_arg3311z00_1827 = 
MAKE_PAIR(BgL_arg3312z00_1828, BNIL); } 
BgL_arg3302z00_1819 = 
MAKE_PAIR(BgL_arg3310z00_1826, BgL_arg3311z00_1827); } 
BgL_arg3300z00_1817 = 
MAKE_PAIR(BgL_arg3301z00_1818, BgL_arg3302z00_1819); } 
BgL_arg3298z00_1815 = 
MAKE_PAIR(BgL_arg3299z00_1816, BgL_arg3300z00_1817); } 
BgL_arg3296z00_1813 = 
MAKE_PAIR(BgL_arg3297z00_1814, BgL_arg3298z00_1815); } 
BgL_arg3294z00_1811 = 
MAKE_PAIR(BNIL, BgL_arg3296z00_1813); } 
BgL_arg3292z00_1809 = 
MAKE_PAIR(BNIL, BgL_arg3294z00_1811); } 
BgL_arg3291z00_1808 = 
MAKE_PAIR(BgL_namez00_1793, BgL_arg3292z00_1809); } 
BgL_arg3288z00_1805 = 
MAKE_PAIR(BgL_arg3290z00_1807, BgL_arg3291z00_1808); } 
return 
MAKE_PAIR(BgL_arg3288z00_1805, BNIL);} } } 
}



/* compile-fields */
obj_t BGl_compilezd2fieldszd2zzjvm_compilez00(obj_t BgL_envz00_11)
{ AN_OBJECT;
{ /* Jvm/compile.scm 128 */
{ /* Jvm/compile.scm 129 */
obj_t BgL_rz00_1830;obj_t BgL_mez00_1831;
BgL_rz00_1830 = BNIL; 
{ /* Jvm/compile.scm 129 */
BgL_envz00_bglt BgL_obj2952z00_2447;
BgL_obj2952z00_2447 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_mez00_1831 = 
(((BgL_envz00_bglt)CREF(BgL_obj2952z00_2447))->BgL_currentzd2modulezd2); } 
{ 
obj_t BgL_l3052z00_1832;
{ /* Jvm/compile.scm 136 */
BgL_envz00_bglt BgL_obj2940z00_2448;
BgL_obj2940z00_2448 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_l3052z00_1832 = 
(((BgL_envz00_bglt)CREF(BgL_obj2940z00_2448))->BgL_declarationsz00); } 
BgL_lname3053z00_1833:
if(
PAIRP(BgL_l3052z00_1832))
{ /* Jvm/compile.scm 130 */
{ /* Jvm/compile.scm 132 */
obj_t BgL_slotz00_1836;
BgL_slotz00_1836 = 
CAR(BgL_l3052z00_1832); 
{ /* Jvm/compile.scm 132 */
obj_t BgL_valz00_1837;
{ /* Jvm/compile.scm 132 */
obj_t BgL_auxz00_3571;
BgL_auxz00_3571 = 
CDR(BgL_slotz00_1836); 
BgL_valz00_1837 = 
CAR(BgL_auxz00_3571); } 
{ /* Jvm/compile.scm 133 */
bool_t BgL_testz00_3574;
{ /* Jvm/compile.scm 133 */
bool_t BgL_testz00_3575;
{ /* Jvm/compile.scm 133 */
obj_t BgL_auxz00_3578;obj_t BgL_auxz00_3576;
BgL_auxz00_3578 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3576 = 
CAR(BgL_valz00_1837); 
BgL_testz00_3575 = 
(BgL_auxz00_3576==BgL_auxz00_3578); } 
if(BgL_testz00_3575)
{ /* Jvm/compile.scm 134 */
obj_t BgL_auxz00_3581;
{ /* Jvm/compile.scm 134 */
obj_t BgL_auxz00_3582;
BgL_auxz00_3582 = 
CDR(BgL_valz00_1837); 
BgL_auxz00_3581 = 
CAR(BgL_auxz00_3582); } 
BgL_testz00_3574 = 
(BgL_auxz00_3581==BgL_mez00_1831); }  else 
{ /* Jvm/compile.scm 133 */
BgL_testz00_3574 = ((bool_t)0)
; } } 
if(BgL_testz00_3574)
{ /* Jvm/compile.scm 135 */
obj_t BgL_auxz00_3586;
BgL_auxz00_3586 = 
CAR(BgL_slotz00_1836); 
BgL_rz00_1830 = 
MAKE_PAIR(BgL_auxz00_3586, BgL_rz00_1830); }  else 
{ /* Jvm/compile.scm 133 */BFALSE; } } } } 
{ 
obj_t BgL_l3052z00_3589;
BgL_l3052z00_3589 = 
CDR(BgL_l3052z00_1832); 
BgL_l3052z00_1832 = BgL_l3052z00_3589; 
goto BgL_lname3053z00_1833;} }  else 
{ /* Jvm/compile.scm 130 */((bool_t)1); } } 
return BgL_rz00_1830;} } 
}



/* compile-globalfun1 */
obj_t BGl_compilezd2globalfun1zd2zzjvm_compilez00(obj_t BgL_varz00_14, obj_t BgL_envz00_15)
{ AN_OBJECT;
{ /* Jvm/compile.scm 148 */
{ /* Jvm/compile.scm 150 */
BgL_valuez00_bglt BgL_instance3056z00_1847;
{ /* Jvm/compile.scm 151 */
BgL_globalz00_bglt BgL_obj1155z00_2463;
BgL_obj1155z00_2463 = 
(BgL_globalz00_bglt)(BgL_varz00_14); 
BgL_instance3056z00_1847 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2463))->BgL_valuez00); } 
{ /* Jvm/compile.scm 151 */
BgL_envz00_bglt BgL_obj2974z00_2464;
BgL_obj2974z00_2464 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj2974z00_2464))->BgL_currentzd2methodzd2) = ((obj_t)BgL_varz00_14), BUNSPEC); } 
{ /* Jvm/compile.scm 152 */
BgL_envz00_bglt BgL_obj2977z00_2466;obj_t BgL_val2976z00_2467;
BgL_obj2977z00_2466 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_val2976z00_2467 = 
BINT(((long)0)); 
((((BgL_envz00_bglt)CREF(BgL_obj2977z00_2466))->BgL_vcountz00) = ((obj_t)BgL_val2976z00_2467), BUNSPEC); } 
{ /* Jvm/compile.scm 153 */
BgL_envz00_bglt BgL_obj2986z00_2468;
BgL_obj2986z00_2468 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj2986z00_2468))->BgL_codez00) = ((obj_t)BNIL), BUNSPEC); } 
{ /* Jvm/compile.scm 154 */
BgL_envz00_bglt BgL_obj2980z00_2470;
BgL_obj2980z00_2470 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj2980z00_2470))->BgL_localsz00) = ((obj_t)BNIL), BUNSPEC); } 
{ /* Jvm/compile.scm 155 */
BgL_envz00_bglt BgL_obj2983z00_2472;
BgL_obj2983z00_2472 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj2983z00_2472))->BgL_stackz00) = ((obj_t)BNIL), BUNSPEC); } 
{ 
obj_t BgL_l3058z00_1848;
{ /* Jvm/compile.scm 156 */
BgL_sfunz00_bglt BgL_obj1369z00_2474;
BgL_obj1369z00_2474 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_l3058z00_1848 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2474))->BgL_argsz00); } 
BgL_lname3059z00_1849:
if(
PAIRP(BgL_l3058z00_1848))
{ /* Jvm/compile.scm 156 */
{ /* Jvm/compile.scm 158 */
obj_t BgL_az00_1852;
BgL_az00_1852 = 
CAR(BgL_l3058z00_1848); 
BGl_envzd2setzd2namez12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_15), 
(BgL_localz00_bglt)(BgL_az00_1852), 
CNST_TABLE_REF(((long)35))); 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_15), 
(BgL_localz00_bglt)(BgL_az00_1852), 
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)37))); } 
{ 
obj_t BgL_l3058z00_3618;
BgL_l3058z00_3618 = 
CDR(BgL_l3058z00_1848); 
BgL_l3058z00_1848 = BgL_l3058z00_3618; 
goto BgL_lname3059z00_1849;} }  else 
{ /* Jvm/compile.scm 156 */((bool_t)1); } } 
{ /* Jvm/compile.scm 162 */
BgL_nodez00_bglt BgL_arg3328z00_1854;
{ /* Jvm/compile.scm 162 */
BgL_nodez00_bglt BgL_auxz00_3622;
{ /* Jvm/compile.scm 162 */
obj_t BgL_auxz00_3623;
{ /* Jvm/compile.scm 162 */
BgL_sfunz00_bglt BgL_obj1372z00_2478;
BgL_obj1372z00_2478 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_auxz00_3623 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2478))->BgL_bodyz00); } 
BgL_auxz00_3622 = 
(BgL_nodez00_bglt)(BgL_auxz00_3623); } 
BgL_arg3328z00_1854 = 
BGl_compilezd2compresszd2zzjvm_compressz00(BgL_auxz00_3622); } 
{ /* Jvm/compile.scm 162 */
BgL_sfunz00_bglt BgL_obj1374z00_2479;obj_t BgL_val1373z00_2480;
BgL_obj1374z00_2479 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_val1373z00_2480 = 
(obj_t)(BgL_arg3328z00_1854); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2479))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2480), BUNSPEC); } } 
{ /* Jvm/compile.scm 163 */
BgL_nodez00_bglt BgL_auxz00_3631;
{ /* Jvm/compile.scm 163 */
obj_t BgL_auxz00_3632;
{ /* Jvm/compile.scm 163 */
BgL_sfunz00_bglt BgL_obj1372z00_2481;
BgL_obj1372z00_2481 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_auxz00_3632 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2481))->BgL_bodyz00); } 
BgL_auxz00_3631 = 
(BgL_nodez00_bglt)(BgL_auxz00_3632); } 
BGl_compilezd2preludezd2zzjvm_preludez00(BgL_auxz00_3631); } 
{ /* Jvm/compile.scm 164 */
BgL_nodez00_bglt BgL_auxz00_3637;
{ /* Jvm/compile.scm 164 */
obj_t BgL_auxz00_3638;
{ /* Jvm/compile.scm 164 */
BgL_sfunz00_bglt BgL_obj1372z00_2482;
BgL_obj1372z00_2482 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_auxz00_3638 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2482))->BgL_bodyz00); } 
BgL_auxz00_3637 = 
(BgL_nodez00_bglt)(BgL_auxz00_3638); } 
BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_auxz00_3637, 
(BgL_envz00_bglt)(BgL_envz00_15)); } 
BGl__labelz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_15), 
CNST_TABLE_REF(((long)37))); 
{ /* Jvm/compile.scm 166 */
obj_t BgL_rtypez00_1858;
{ /* Jvm/compile.scm 166 */
obj_t BgL_auxz00_3647;
{ /* Jvm/compile.scm 166 */
BgL_typez00_bglt BgL_auxz00_3648;
{ /* Jvm/compile.scm 166 */
BgL_globalz00_bglt BgL_obj1152z00_2483;
BgL_obj1152z00_2483 = 
(BgL_globalz00_bglt)(BgL_varz00_14); 
BgL_auxz00_3648 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2483))->BgL_typez00); } 
BgL_auxz00_3647 = 
(obj_t)(BgL_auxz00_3648); } 
BgL_rtypez00_1858 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3647, 
(BgL_envz00_bglt)(BgL_envz00_15)); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compile.scm 167 */
BGl__checkcastz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_15), BgL_rtypez00_1858); }  else 
{ /* Jvm/compile.scm 167 */BFALSE; } 
BGl__returnz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_15), BgL_rtypez00_1858); } 
{ /* Jvm/compile.scm 169 */
bool_t BgL_testz00_3660;
{ /* Jvm/compile.scm 169 */
obj_t BgL_auxz00_3661;
{ /* Jvm/compile.scm 169 */
BgL_envz00_bglt BgL_obj2981z00_2484;
BgL_obj2981z00_2484 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_3661 = 
(((BgL_envz00_bglt)CREF(BgL_obj2981z00_2484))->BgL_stackz00); } 
BgL_testz00_3660 = 
NULLP(BgL_auxz00_3661); } 
if(BgL_testz00_3660)
{ /* Jvm/compile.scm 169 */((bool_t)0); }  else 
{ /* Jvm/compile.scm 169 */
{ /* Jvm/compile.scm 171 */
obj_t BgL_auxz00_3665;
{ /* Jvm/compile.scm 171 */
obj_t BgL_auxz00_3666;
{ /* Jvm/compile.scm 171 */
BgL_envz00_bglt BgL_obj2984z00_2486;
BgL_obj2984z00_2486 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_3666 = 
(((BgL_envz00_bglt)CREF(BgL_obj2984z00_2486))->BgL_codez00); } 
BgL_auxz00_3665 = 
bgl_reverse(BgL_auxz00_3666); } 
BGl_ppz00zz__ppz00(BgL_auxz00_3665, BNIL); } 
{ 
obj_t BgL_auxz00_3671;
{ /* Jvm/compile.scm 172 */
BgL_envz00_bglt BgL_obj2981z00_2487;
BgL_obj2981z00_2487 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_3671 = 
(((BgL_envz00_bglt)CREF(BgL_obj2981z00_2487))->BgL_stackz00); } 
FAILURE(BGl_string3436z00zzjvm_compilez00,BGl_string3437z00zzjvm_compilez00,BgL_auxz00_3671);} } } 
{ /* Jvm/compile.scm 176 */
obj_t BgL_arg3343z00_1868;obj_t BgL_arg3344z00_1869;
BgL_arg3343z00_1868 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/compile.scm 176 */
obj_t BgL_arg3345z00_1870;obj_t BgL_arg3346z00_1871;
BgL_arg3345z00_1870 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_15), 
(BgL_globalz00_bglt)(BgL_varz00_14)); 
{ /* Jvm/compile.scm 177 */
obj_t BgL_arg3347z00_1872;obj_t BgL_arg3348z00_1873;
{ /* Jvm/compile.scm 177 */
obj_t BgL_auxz00_3679;
{ /* Jvm/compile.scm 177 */
BgL_sfunz00_bglt BgL_obj1369z00_2491;
BgL_obj1369z00_2491 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1847); 
BgL_auxz00_3679 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2491))->BgL_argsz00); } 
BgL_arg3347z00_1872 = 
BGl_compilezd2formalszd2zzjvm_compilez00(BgL_auxz00_3679, BgL_envz00_15); } 
{ /* Jvm/compile.scm 178 */
obj_t BgL_arg3350z00_1875;obj_t BgL_arg3351z00_1876;
{ /* Jvm/compile.scm 178 */
obj_t BgL_arg3352z00_1877;obj_t BgL_arg3353z00_1878;
BgL_arg3352z00_1877 = 
CNST_TABLE_REF(((long)38)); 
{ /* Jvm/compile.scm 178 */
obj_t BgL_arg3354z00_1879;obj_t BgL_arg3355z00_1880;
BgL_arg3354z00_1879 = 
CNST_TABLE_REF(((long)39)); 
{ /* Jvm/compile.scm 178 */
obj_t BgL_arg3356z00_1881;
{ /* Jvm/compile.scm 178 */
obj_t BgL_auxz00_3685;
{ /* Jvm/compile.scm 178 */
BgL_envz00_bglt BgL_obj2978z00_2492;
BgL_obj2978z00_2492 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_3685 = 
(((BgL_envz00_bglt)CREF(BgL_obj2978z00_2492))->BgL_localsz00); } 
BgL_arg3356z00_1881 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3685); } 
BgL_arg3355z00_1880 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3356z00_1881, BNIL); } 
BgL_arg3353z00_1878 = 
MAKE_PAIR(BgL_arg3354z00_1879, BgL_arg3355z00_1880); } 
BgL_arg3350z00_1875 = 
MAKE_PAIR(BgL_arg3352z00_1877, BgL_arg3353z00_1878); } 
{ /* Jvm/compile.scm 179 */
obj_t BgL_arg3360z00_1884;
{ /* Jvm/compile.scm 179 */
obj_t BgL_auxz00_3692;
{ /* Jvm/compile.scm 179 */
BgL_envz00_bglt BgL_obj2984z00_2493;
BgL_obj2984z00_2493 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_3692 = 
(((BgL_envz00_bglt)CREF(BgL_obj2984z00_2493))->BgL_codez00); } 
BgL_arg3360z00_1884 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3692); } 
BgL_arg3351z00_1876 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3360z00_1884, BNIL); } 
BgL_arg3348z00_1873 = 
MAKE_PAIR(BgL_arg3350z00_1875, BgL_arg3351z00_1876); } 
BgL_arg3346z00_1871 = 
MAKE_PAIR(BgL_arg3347z00_1872, BgL_arg3348z00_1873); } 
BgL_arg3344z00_1869 = 
MAKE_PAIR(BgL_arg3345z00_1870, BgL_arg3346z00_1871); } 
return 
MAKE_PAIR(BgL_arg3343z00_1868, BgL_arg3344z00_1869);} } } 
}



/* compile-formals */
obj_t BGl_compilezd2formalszd2zzjvm_compilez00(obj_t BgL_lz00_16, obj_t BgL_envz00_17)
{ AN_OBJECT;
{ /* Jvm/compile.scm 181 */
if(
NULLP(BgL_lz00_16))
{ /* Jvm/compile.scm 182 */
return BgL_lz00_16;}  else 
{ /* Jvm/compile.scm 184 */
obj_t BgL_vz00_1888;obj_t BgL_restz00_1889;
BgL_vz00_1888 = 
CAR(BgL_lz00_16); 
BgL_restz00_1889 = 
BGl_compilezd2formalszd2zzjvm_compilez00(
CDR(BgL_lz00_16), BgL_envz00_17); 
{ /* Jvm/compile.scm 185 */
obj_t BgL_typez00_1890;obj_t BgL_namez00_1891;
BgL_typez00_1890 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_vz00_1888, 
(BgL_envz00_bglt)(BgL_envz00_17)); 
{ /* Jvm/compile.scm 185 */
BgL_localz00_bglt BgL_obj1249z00_2497;
BgL_obj1249z00_2497 = 
(BgL_localz00_bglt)(BgL_vz00_1888); 
BgL_namez00_1891 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2497))->BgL_namez00); } 
{ /* Jvm/compile.scm 186 */
bool_t BgL_testz00_3710;
{ /* Jvm/compile.scm 186 */
obj_t BgL_auxz00_3711;
BgL_auxz00_3711 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1890, 
CNST_TABLE_REF(((long)40))); 
BgL_testz00_3710 = 
CBOOL(BgL_auxz00_3711); } 
if(BgL_testz00_3710)
{ /* Jvm/compile.scm 187 */
obj_t BgL_arg3365z00_1893;
{ /* Jvm/compile.scm 187 */
obj_t BgL_auxz00_3715;
BgL_auxz00_3715 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg3365z00_1893 = 
MAKE_PAIR(BgL_auxz00_3715, BgL_restz00_1889); } 
return 
MAKE_PAIR(BgL_namez00_1891, BgL_arg3365z00_1893);}  else 
{ /* Jvm/compile.scm 186 */
return 
MAKE_PAIR(BgL_namez00_1891, BgL_restz00_1889);} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_compilez00()
{ AN_OBJECT;
{ /* Jvm/compile.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilez00()
{ AN_OBJECT;
{ /* Jvm/compile.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)49160), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_initz00(((long)48164), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_constrz00(((long)26095), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_closurez00(((long)30597), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_preludez00(((long)43252), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_peepholez00(((long)1133), "jvm_compile"); 
BGl_modulezd2initializa7ationz75zzjvm_compressz00(((long)55131), "jvm_compile"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_lispz00(((long)19887), "jvm_compile");} 
}

