/*===========================================================================*/
/*   (Jvm/constr.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_constrz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_constrz00();
static obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00();
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern long bgl_list_length(obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl__jvmzd2constructors3110zd2zzjvm_constrz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_constrz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00();
static obj_t __cnst[ 12 ] ;

DEFINE_STRING( BGl_string3116z00zzjvm_constrz00, BgL_bgl_string3116za700za7za7jvm_constrza7003121z00, "static clinit return invokespecial iload aload this void public method (int int int) (int int) ", 95 );
DEFINE_STRING( BGl_string3115z00zzjvm_constrz00, BgL_bgl_string3115za700za7za7jvm_constrza7003122z00, "<clinit>", 8 );
DEFINE_STRING( BGl_string3114z00zzjvm_constrz00, BgL_bgl_string3114za700za7za7jvm_constrza7003123z00, "A", 1 );
DEFINE_STRING( BGl_string3113z00zzjvm_constrz00, BgL_bgl_string3113za700za7za7jvm_constrza7003124z00, "<init>", 6 );
DEFINE_STRING( BGl_string3112z00zzjvm_constrz00, BgL_bgl_string3112za700za7za7jvm_constrza7003125z00, "sinit", 5 );
DEFINE_STRING( BGl_string3111z00zzjvm_constrz00, BgL_bgl_string3111za700za7za7jvm_constrza7003126z00, "init", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2constructorszd2envz00zzjvm_constrz00, BgL_bgl__jvmza7d2constructors3110za7d2za7za7jvm_constrza7003127za7, BGl__jvmzd2constructors3110zd2zzjvm_constrz00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long BgL_checksumz00_2645, char * BgL_fromz00_2646)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_constrz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_constrz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_constrz00(); 
BGl_cnstzd2initzd2zzjvm_constrz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_constrz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_constr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
{ /* Jvm/constr.scm 1 */
obj_t BgL_cportz00_2638;
BgL_cportz00_2638 = 
open_input_string(BGl_string3116z00zzjvm_constrz00); 
{ 
long BgL_iz00_2639;
BgL_iz00_2639 = ((long)11); 
BgL_loopz00_2640:
if(
(BgL_iz00_2639==((long)-1)))
{ /* Jvm/constr.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/constr.scm 1 */
{ /* Jvm/constr.scm 1 */
obj_t BgL_arg3118z00_2642;
{ /* Jvm/constr.scm 1 */
obj_t BgL_list3119z00_2643;
BgL_list3119z00_2643 = 
MAKE_PAIR(BgL_cportz00_2638, BNIL); 
BgL_arg3118z00_2642 = 
BGl_readz00zz__readerz00(BgL_list3119z00_2643); } 
{ /* Jvm/constr.scm 1 */
int BgL_auxz00_2662;
BgL_auxz00_2662 = 
(int)(BgL_iz00_2639); 
CNST_TABLE_SET(BgL_auxz00_2662, BgL_arg3118z00_2642); } } 
{ 
long BgL_iz00_2665;
{ /* Jvm/constr.scm 1 */
int BgL_auxz00_2666;
{ /* Jvm/constr.scm 1 */
long BgL_auxz00_2667;
BgL_auxz00_2667 = 
(BgL_iz00_2639-((long)1)); 
BgL_auxz00_2666 = 
(int)(BgL_auxz00_2667); } 
BgL_iz00_2665 = 
(long)(BgL_auxz00_2666); } 
BgL_iz00_2639 = BgL_iz00_2665; 
goto BgL_loopz00_2640;} } } } } 
}



/* jvm-constructors */
obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* Jvm/constr.scm 10 */
{ /* Jvm/constr.scm 11 */
obj_t BgL_arg2963z00_1478;obj_t BgL_arg2964z00_1479;obj_t BgL_arg2965z00_1480;obj_t BgL_arg2966z00_1481;
BgL_arg2963z00_1478 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BNIL); 
BgL_arg2964z00_1479 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)0))); 
BgL_arg2965z00_1480 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)1))); 
BgL_arg2966z00_1481 = 
BGl_clinitz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2); 
{ /* Jvm/constr.scm 11 */
obj_t BgL_list2967z00_1482;
{ /* Jvm/constr.scm 11 */
obj_t BgL_arg2968z00_1483;
{ /* Jvm/constr.scm 11 */
obj_t BgL_arg2969z00_1484;
{ /* Jvm/constr.scm 11 */
obj_t BgL_arg2970z00_1485;
BgL_arg2970z00_1485 = 
MAKE_PAIR(BgL_arg2966z00_1481, BNIL); 
BgL_arg2969z00_1484 = 
MAKE_PAIR(BgL_arg2965z00_1480, BgL_arg2970z00_1485); } 
BgL_arg2968z00_1483 = 
MAKE_PAIR(BgL_arg2964z00_1479, BgL_arg2969z00_1484); } 
BgL_list2967z00_1482 = 
MAKE_PAIR(BgL_arg2963z00_1478, BgL_arg2968z00_1483); } 
return BgL_list2967z00_1482;} } } 
}



/* _jvm-constructors3110 */
obj_t BGl__jvmzd2constructors3110zd2zzjvm_constrz00(obj_t BgL_envz00_2634, obj_t BgL_envz00_2635, obj_t BgL_mez00_2636, obj_t BgL_superz00_2637)
{ AN_OBJECT;
{ /* Jvm/constr.scm 10 */
return 
BGl_jvmzd2constructorszd2zzjvm_constrz00(
(BgL_envz00_bglt)(BgL_envz00_2635), BgL_mez00_2636, BgL_superz00_2637);} 
}



/* constr */
obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, obj_t BgL_argsz00_7)
{ AN_OBJECT;
{ /* Jvm/constr.scm 19 */
{ /* Jvm/constr.scm 22 */
obj_t BgL_initz00_1487;obj_t BgL_sinitz00_1488;
{ /* Jvm/constr.scm 22 */
obj_t BgL_arg3025z00_2022;
{ /* Jvm/constr.scm 22 */
obj_t BgL_auxz00_2683;
BgL_auxz00_2683 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3025z00_2022 = 
string_append(BGl_string3111z00zzjvm_constrz00, BgL_auxz00_2683); } 
{ /* Jvm/constr.scm 22 */
char * BgL_auxz00_2687;
BgL_auxz00_2687 = 
BSTRING_TO_STRING(BgL_arg3025z00_2022); 
BgL_initz00_1487 = 
string_to_symbol(BgL_auxz00_2687); } } 
{ /* Jvm/constr.scm 22 */
obj_t BgL_arg3025z00_2029;
{ /* Jvm/constr.scm 22 */
obj_t BgL_auxz00_2690;
BgL_auxz00_2690 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3025z00_2029 = 
string_append(BGl_string3112z00zzjvm_constrz00, BgL_auxz00_2690); } 
{ /* Jvm/constr.scm 22 */
char * BgL_auxz00_2694;
BgL_auxz00_2694 = 
BSTRING_TO_STRING(BgL_arg3025z00_2029); 
BgL_sinitz00_1488 = 
string_to_symbol(BgL_auxz00_2694); } } 
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg2971z00_1489;
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg2972z00_1490;obj_t BgL_arg2973z00_1491;
BgL_arg2972z00_1490 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg2974z00_1492;
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg2975z00_1493;obj_t BgL_arg2976z00_1494;
{ /* Jvm/constr.scm 23 */
obj_t BgL_auxz00_2698;
BgL_auxz00_2698 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2975z00_1493 = 
MAKE_PAIR(BgL_auxz00_2698, BNIL); } 
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg2977z00_1495;obj_t BgL_arg2978z00_1496;
BgL_arg2977z00_1495 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/constr.scm 23 */
obj_t BgL_auxz00_2702;
BgL_auxz00_2702 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg2978z00_1496 = 
MAKE_PAIR(BGl_string3113z00zzjvm_constrz00, BgL_auxz00_2702); } 
BgL_arg2976z00_1494 = 
MAKE_PAIR(BgL_arg2977z00_1495, BgL_arg2978z00_1496); } 
BgL_arg2974z00_1492 = 
MAKE_PAIR(BgL_arg2975z00_1493, BgL_arg2976z00_1494); } 
BgL_arg2973z00_1491 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg2974z00_1492); } 
BgL_arg2971z00_1489 = 
MAKE_PAIR(BgL_arg2972z00_1490, BgL_arg2973z00_1491); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_initz00_1487, BgL_arg2971z00_1489); } 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg2981z00_1499;
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg2982z00_1500;obj_t BgL_arg2983z00_1501;
BgL_arg2982z00_1500 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg2984z00_1502;
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg2985z00_1503;obj_t BgL_arg2986z00_1504;
{ /* Jvm/constr.scm 24 */
obj_t BgL_auxz00_2711;
BgL_auxz00_2711 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2985z00_1503 = 
MAKE_PAIR(BgL_auxz00_2711, BNIL); } 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg2987z00_1505;obj_t BgL_arg2988z00_1506;
BgL_arg2987z00_1505 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/constr.scm 24 */
obj_t BgL_auxz00_2715;
BgL_auxz00_2715 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg2988z00_1506 = 
MAKE_PAIR(BGl_string3113z00zzjvm_constrz00, BgL_auxz00_2715); } 
BgL_arg2986z00_1504 = 
MAKE_PAIR(BgL_arg2987z00_1505, BgL_arg2988z00_1506); } 
BgL_arg2984z00_1502 = 
MAKE_PAIR(BgL_arg2985z00_1503, BgL_arg2986z00_1504); } 
BgL_arg2983z00_1501 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg2984z00_1502); } 
BgL_arg2981z00_1499 = 
MAKE_PAIR(BgL_arg2982z00_1500, BgL_arg2983z00_1501); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_sinitz00_1488, BgL_arg2981z00_1499); } 
{ /* Jvm/constr.scm 25 */
obj_t BgL_paramsz00_1509;
if(
NULLP(BgL_argsz00_7))
{ /* Jvm/constr.scm 25 */
BgL_paramsz00_1509 = BNIL; }  else 
{ /* Jvm/constr.scm 25 */
obj_t BgL_head2955z00_1547;
BgL_head2955z00_1547 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2953z00_1548;obj_t BgL_tail2956z00_1549;
BgL_l2953z00_1548 = BgL_argsz00_7; 
BgL_tail2956z00_1549 = BgL_head2955z00_1547; 
BgL_lname2954z00_1550:
if(
NULLP(BgL_l2953z00_1548))
{ /* Jvm/constr.scm 25 */
BgL_paramsz00_1509 = 
CDR(BgL_head2955z00_1547); }  else 
{ /* Jvm/constr.scm 25 */
obj_t BgL_newtail2957z00_1552;
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3022z00_1554;
BgL_arg3022z00_1554 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3114z00zzjvm_constrz00, BEOA); 
BgL_newtail2957z00_1552 = 
MAKE_PAIR(BgL_arg3022z00_1554, BNIL); } 
SET_CDR(BgL_tail2956z00_1549, BgL_newtail2957z00_1552); 
{ 
obj_t BgL_tail2956z00_2735;obj_t BgL_l2953z00_2733;
BgL_l2953z00_2733 = 
CDR(BgL_l2953z00_1548); 
BgL_tail2956z00_2735 = BgL_newtail2957z00_1552; 
BgL_tail2956z00_1549 = BgL_tail2956z00_2735; 
BgL_l2953z00_1548 = BgL_l2953z00_2733; 
goto BgL_lname2954z00_1550;} } } } 
{ /* Jvm/constr.scm 26 */
obj_t BgL_arg2991z00_1510;obj_t BgL_arg2992z00_1511;
BgL_arg2991z00_1510 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 26 */
obj_t BgL_arg2993z00_1512;
{ /* Jvm/constr.scm 26 */
obj_t BgL_arg2994z00_1513;obj_t BgL_arg2995z00_1514;
{ /* Jvm/constr.scm 26 */
obj_t BgL_auxz00_2739;obj_t BgL_auxz00_2737;
BgL_auxz00_2739 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_1509, BNIL); 
BgL_auxz00_2737 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2994z00_1513 = 
MAKE_PAIR(BgL_auxz00_2737, BgL_auxz00_2739); } 
{ /* Jvm/constr.scm 26 */
obj_t BgL_arg2999z00_1518;
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3000z00_1519;obj_t BgL_arg3001z00_1520;
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3002z00_1521;obj_t BgL_arg3003z00_1522;
BgL_arg3002z00_1521 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/constr.scm 27 */
obj_t BgL_auxz00_2743;
BgL_auxz00_2743 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3003z00_1522 = 
MAKE_PAIR(BgL_auxz00_2743, BNIL); } 
BgL_arg3000z00_1519 = 
MAKE_PAIR(BgL_arg3002z00_1521, BgL_arg3003z00_1522); } 
{ /* Jvm/constr.scm 28 */
obj_t BgL_arg3004z00_1523;obj_t BgL_arg3005z00_1524;
if(
NULLP(BgL_paramsz00_1509))
{ /* Jvm/constr.scm 28 */
BgL_arg3004z00_1523 = BNIL; }  else 
{ /* Jvm/constr.scm 28 */
obj_t BgL_head2960z00_1527;
BgL_head2960z00_1527 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2958z00_1528;obj_t BgL_tail2961z00_1529;
BgL_l2958z00_1528 = BgL_paramsz00_1509; 
BgL_tail2961z00_1529 = BgL_head2960z00_1527; 
BgL_lname2959z00_1530:
if(
NULLP(BgL_l2958z00_1528))
{ /* Jvm/constr.scm 28 */
BgL_arg3004z00_1523 = 
CDR(BgL_head2960z00_1527); }  else 
{ /* Jvm/constr.scm 28 */
obj_t BgL_newtail2962z00_1532;
{ /* Jvm/constr.scm 28 */
obj_t BgL_arg3009z00_1534;
{ /* Jvm/constr.scm 28 */
obj_t BgL_arg3011z00_1537;obj_t BgL_arg3012z00_1538;
BgL_arg3011z00_1537 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/constr.scm 28 */
obj_t BgL_auxz00_2754;
BgL_auxz00_2754 = 
CAR(BgL_l2958z00_1528); 
BgL_arg3012z00_1538 = 
MAKE_PAIR(BgL_auxz00_2754, BNIL); } 
BgL_arg3009z00_1534 = 
MAKE_PAIR(BgL_arg3011z00_1537, BgL_arg3012z00_1538); } 
BgL_newtail2962z00_1532 = 
MAKE_PAIR(BgL_arg3009z00_1534, BNIL); } 
SET_CDR(BgL_tail2961z00_1529, BgL_newtail2962z00_1532); 
{ 
obj_t BgL_tail2961z00_2762;obj_t BgL_l2958z00_2760;
BgL_l2958z00_2760 = 
CDR(BgL_l2958z00_1528); 
BgL_tail2961z00_2762 = BgL_newtail2962z00_1532; 
BgL_tail2961z00_1529 = BgL_tail2961z00_2762; 
BgL_l2958z00_1528 = BgL_l2958z00_2760; 
goto BgL_lname2959z00_1530;} } } } 
{ /* Jvm/constr.scm 29 */
obj_t BgL_arg3013z00_1539;obj_t BgL_arg3014z00_1540;
{ /* Jvm/constr.scm 29 */
obj_t BgL_arg3015z00_1541;obj_t BgL_arg3016z00_1542;
BgL_arg3015z00_1541 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3016z00_1542 = 
MAKE_PAIR(BgL_sinitz00_1488, BNIL); 
BgL_arg3013z00_1539 = 
MAKE_PAIR(BgL_arg3015z00_1541, BgL_arg3016z00_1542); } 
{ /* Jvm/constr.scm 30 */
obj_t BgL_arg3017z00_1543;
{ /* Jvm/constr.scm 30 */
obj_t BgL_auxz00_2766;
BgL_auxz00_2766 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3017z00_1543 = 
MAKE_PAIR(BgL_auxz00_2766, BNIL); } 
BgL_arg3014z00_1540 = 
MAKE_PAIR(BgL_arg3017z00_1543, BNIL); } 
BgL_arg3005z00_1524 = 
MAKE_PAIR(BgL_arg3013z00_1539, BgL_arg3014z00_1540); } 
BgL_arg3001z00_1520 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3004z00_1523, BgL_arg3005z00_1524); } 
BgL_arg2999z00_1518 = 
MAKE_PAIR(BgL_arg3000z00_1519, BgL_arg3001z00_1520); } 
BgL_arg2995z00_1514 = 
MAKE_PAIR(BNIL, BgL_arg2999z00_1518); } 
BgL_arg2993z00_1512 = 
MAKE_PAIR(BgL_arg2994z00_1513, BgL_arg2995z00_1514); } 
BgL_arg2992z00_1511 = 
MAKE_PAIR(BgL_initz00_1487, BgL_arg2993z00_1512); } 
return 
MAKE_PAIR(BgL_arg2991z00_1510, BgL_arg2992z00_1511);} } } } 
}



/* clinit */
obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_8, obj_t BgL_mez00_9)
{ AN_OBJECT;
{ /* Jvm/constr.scm 35 */
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3029z00_1565;obj_t BgL_arg3030z00_1566;
BgL_arg3029z00_1565 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3031z00_1567;obj_t BgL_arg3032z00_1568;
BgL_arg3031z00_1567 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3033z00_1569;
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3034z00_1570;obj_t BgL_arg3035z00_1571;
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3036z00_1572;obj_t BgL_arg3037z00_1573;
BgL_arg3036z00_1572 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/constr.scm 36 */
obj_t BgL_auxz00_2780;
BgL_auxz00_2780 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg3037z00_1573 = 
MAKE_PAIR(BgL_auxz00_2780, BNIL); } 
BgL_arg3034z00_1570 = 
MAKE_PAIR(BgL_arg3036z00_1572, BgL_arg3037z00_1573); } 
{ /* Jvm/constr.scm 36 */
obj_t BgL_arg3038z00_1574;obj_t BgL_arg3039z00_1575;
BgL_arg3038z00_1574 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3039z00_1575 = 
MAKE_PAIR(BGl_string3115z00zzjvm_constrz00, BNIL); 
BgL_arg3035z00_1571 = 
MAKE_PAIR(BgL_arg3038z00_1574, BgL_arg3039z00_1575); } 
BgL_arg3033z00_1569 = 
MAKE_PAIR(BgL_arg3034z00_1570, BgL_arg3035z00_1571); } 
BgL_arg3032z00_1568 = 
MAKE_PAIR(BgL_mez00_9, BgL_arg3033z00_1569); } 
BgL_arg3030z00_1566 = 
MAKE_PAIR(BgL_arg3031z00_1567, BgL_arg3032z00_1568); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_8, BgL_arg3029z00_1565, BgL_arg3030z00_1566); } 
{ /* Jvm/constr.scm 45 */
obj_t BgL_arg3040z00_1576;obj_t BgL_arg3041z00_1577;
BgL_arg3040z00_1576 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 45 */
obj_t BgL_arg3042z00_1578;obj_t BgL_arg3043z00_1579;
BgL_arg3042z00_1578 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/constr.scm 45 */
obj_t BgL_arg3045z00_1581;
{ /* Jvm/constr.scm 45 */
obj_t BgL_arg3047z00_1583;
{ /* Jvm/constr.scm 48 */
obj_t BgL_arg3048z00_1584;obj_t BgL_arg3049z00_1585;
BgL_arg3048z00_1584 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(
(((BgL_envz00_bglt)CREF(BgL_envz00_8))->BgL_clinitzd2codezd2)); 
{ /* Jvm/constr.scm 55 */
obj_t BgL_arg3051z00_1587;
{ /* Jvm/constr.scm 55 */
obj_t BgL_auxz00_2795;
BgL_auxz00_2795 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3051z00_1587 = 
MAKE_PAIR(BgL_auxz00_2795, BNIL); } 
BgL_arg3049z00_1585 = 
MAKE_PAIR(BgL_arg3051z00_1587, BNIL); } 
BgL_arg3047z00_1583 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3048z00_1584, BgL_arg3049z00_1585); } 
BgL_arg3045z00_1581 = 
MAKE_PAIR(BNIL, BgL_arg3047z00_1583); } 
BgL_arg3043z00_1579 = 
MAKE_PAIR(BNIL, BgL_arg3045z00_1581); } 
BgL_arg3041z00_1577 = 
MAKE_PAIR(BgL_arg3042z00_1578, BgL_arg3043z00_1579); } 
return 
MAKE_PAIR(BgL_arg3040z00_1576, BgL_arg3041z00_1577);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)49160), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_constr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_constr");} 
}

