/*===========================================================================*/
/*   (Jvm/expr.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2funcall2977z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2app2973z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_exprz00();
static obj_t BGl_compilezd2exprzd2letzd2var2961zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
extern obj_t open_input_string(obj_t);
static obj_t BGl__compilezd2exprzd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2pragma2979z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2exprzd2select2969z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2getfield2981z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2boxzd2setz123009zc0zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2default2954z00zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2vlength2993z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2cast2997z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2makezd2box3005zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2vsetz122991z12zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_exprz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2boxzd2ref3007zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00();
static obj_t BGl_compilezd2exprzd2new2985z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2conditional2967z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2appzd2ly2975zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3001z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2vref2989z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_exprz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2setq2963z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2var2959z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2setzd2exzd2it2999z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2exprzd2default2954z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2atom2957z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2valloc2987z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2isa2995z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2sequence2965z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2fail3003z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2setfield2983z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_exprz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2letzd2fun2971zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3100z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2var2961za7d2za7za7jvm_exprza7003131za7, BGl_compilezd2exprzd2letzd2var2961zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3101z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setq2963za700za7za7jvm_exprza7003132z00, BGl_compilezd2exprzd2setq2963z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3102z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2sequence2965za700za7za7jvm_exprza7003133z00, BGl_compilezd2exprzd2sequence2965z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3103z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2conditional2967za700za7za7jvm_exprza7003134z00, BGl_compilezd2exprzd2conditional2967z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3104z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2select2969za700za7za7jvm_exprza7003135z00, BGl_compilezd2exprzd2select2969z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3105z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2fun2971za7d2za7za7jvm_exprza7003136za7, BGl_compilezd2exprzd2letzd2fun2971zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3106z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2app2973za700za7za7jvm_exprza7003137z00, BGl_compilezd2exprzd2app2973z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3107z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2appza7d2ly2975za7d2za7za7jvm_exprza7003138za7, BGl_compilezd2exprzd2appzd2ly2975zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3108z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2funcall2977za700za7za7jvm_exprza7003139z00, BGl_compilezd2exprzd2funcall2977z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3098z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2atom2957za700za7za7jvm_exprza7003140z00, BGl_compilezd2exprzd2atom2957z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3110z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2getfield2981za700za7za7jvm_exprza7003141z00, BGl_compilezd2exprzd2getfield2981z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3109z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2pragma2979za700za7za7jvm_exprza7003142z00, BGl_compilezd2exprzd2pragma2979z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3099z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2var2959za700za7za7jvm_exprza7003143z00, BGl_compilezd2exprzd2var2959z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3111z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setfield2983za700za7za7jvm_exprza7003144z00, BGl_compilezd2exprzd2setfield2983z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3112z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2new2985za700za7za7jvm_exprza7003145z00, BGl_compilezd2exprzd2new2985z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3113z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2valloc2987za700za7za7jvm_exprza7003146z00, BGl_compilezd2exprzd2valloc2987z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3114z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vref2989za700za7za7jvm_exprza7003147z00, BGl_compilezd2exprzd2vref2989z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3115z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vsetza7122991za712za7za7jvm_exprza7003148za7, BGl_compilezd2exprzd2vsetz122991z12zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3116z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vlength2993za700za7za7jvm_exprza7003149z00, BGl_compilezd2exprzd2vlength2993z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3117z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2isa2995za700za7za7jvm_exprza7003150z00, BGl_compilezd2exprzd2isa2995z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3118z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2cast2997za700za7za7jvm_exprza7003151z00, BGl_compilezd2exprzd2cast2997z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3120z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2jumpza7d2exza7d2it3001za700za7za7jvm_exprza7003152z00, BGl_compilezd2exprzd2jumpzd2exzd2it3001z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3119z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setza7d2exza7d2it2999za700za7za7jvm_exprza7003153z00, BGl_compilezd2exprzd2setzd2exzd2it2999z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3121z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2fail3003za700za7za7jvm_exprza7003154z00, BGl_compilezd2exprzd2fail3003z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3122z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2makeza7d2box3005za7d2za7za7jvm_exprza7003155za7, BGl_compilezd2exprzd2makezd2box3005zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3123z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2ref3007za7d2za7za7jvm_exprza7003156za7, BGl_compilezd2exprzd2boxzd2ref3007zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3124z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2setza7123009za7c0za7za7jvm_exprza7003157z00, BGl_compilezd2exprzd2boxzd2setz123009zc0zzjvm_exprz00, 0L, 2 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_bgl__compileza7d2exprza7d2za7za7jvm_exprza7003158za7, BGl__compilezd2exprzd2zzjvm_exprz00, 0L, 2 );
DEFINE_STRING( BGl_string3126z00zzjvm_exprz00, BgL_bgl_string3126za700za7za7jvm_exprza7003159z00, "compile-expr-default2954 unspecified ", 37 );
DEFINE_STRING( BGl_string3125z00zzjvm_exprz00, BgL_bgl_string3125za700za7za7jvm_exprza7003160z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2exprzd2default2954zd2envzd2zzjvm_exprz00, BgL_bgl__compileza7d2exprza7d2default2954za700za7za7jvm_exprza7003161z00, BGl__compilezd2exprzd2default2954z00zzjvm_exprz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long BgL_checksumz00_2848, char * BgL_fromz00_2849)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_cnstzd2initzd2zzjvm_exprz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_methodzd2initzd2zzjvm_exprz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_expr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
{ /* Jvm/expr.scm 2 */
obj_t BgL_cportz00_2841;
BgL_cportz00_2841 = 
open_input_string(BGl_string3126z00zzjvm_exprz00); 
{ 
long BgL_iz00_2842;
BgL_iz00_2842 = ((long)1); 
BgL_loopz00_2843:
if(
(BgL_iz00_2842==((long)-1)))
{ /* Jvm/expr.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/expr.scm 2 */
{ /* Jvm/expr.scm 2 */
obj_t BgL_arg3128z00_2845;
{ /* Jvm/expr.scm 2 */
obj_t BgL_list3129z00_2846;
BgL_list3129z00_2846 = 
MAKE_PAIR(BgL_cportz00_2841, BNIL); 
BgL_arg3128z00_2845 = 
BGl_readz00zz__readerz00(BgL_list3129z00_2846); } 
{ /* Jvm/expr.scm 2 */
int BgL_auxz00_2864;
BgL_auxz00_2864 = 
(int)(BgL_iz00_2842); 
CNST_TABLE_SET(BgL_auxz00_2864, BgL_arg3128z00_2845); } } 
{ 
long BgL_iz00_2867;
{ /* Jvm/expr.scm 2 */
int BgL_auxz00_2868;
{ /* Jvm/expr.scm 2 */
long BgL_auxz00_2869;
BgL_auxz00_2869 = 
(BgL_iz00_2842-((long)1)); 
BgL_auxz00_2868 = 
(int)(BgL_auxz00_2869); } 
BgL_iz00_2867 = 
(long)(BgL_auxz00_2868); } 
BgL_iz00_2842 = BgL_iz00_2867; 
goto BgL_loopz00_2843;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_compilezd2exprzd2default2954zd2envzd2zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_atomz00zzast_nodez00, BGl_proc3098z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_varz00zzast_nodez00, BGl_proc3099z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3100z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setqz00zzast_nodez00, BGl_proc3101z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_sequencez00zzast_nodez00, BGl_proc3102z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_conditionalz00zzast_nodez00, BGl_proc3103z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_selectz00zzast_nodez00, BGl_proc3104z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3105z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appz00zzast_nodez00, BGl_proc3106z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3107z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_funcallz00zzast_nodez00, BGl_proc3108z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_pragmaz00zzast_nodez00, BGl_proc3109z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_getfieldz00zzast_nodez00, BGl_proc3110z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setfieldz00zzast_nodez00, BGl_proc3111z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_newz00zzast_nodez00, BGl_proc3112z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vallocz00zzast_nodez00, BGl_proc3113z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vrefz00zzast_nodez00, BGl_proc3114z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3115z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vlengthz00zzast_nodez00, BGl_proc3116z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_isaz00zzast_nodez00, BGl_proc3117z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_castz00zzast_nodez00, BGl_proc3118z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3119z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3120z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_failz00zzast_nodez00, BGl_proc3121z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3122z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3123z00zzjvm_exprz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3124z00zzjvm_exprz00);} 
}



/* compile-expr-box-set!3009 */
obj_t BGl_compilezd2exprzd2boxzd2setz123009zc0zzjvm_exprz00(obj_t BgL_envz00_2757, obj_t BgL_ez00_2758, obj_t BgL_envz00_2759)
{ AN_OBJECT;
{ /* Jvm/expr.scm 91 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2115;BgL_envz00_bglt BgL_envz00_2116;
BgL_ez00_2115 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2758); 
BgL_envz00_2116 = 
(BgL_envz00_bglt)(BgL_envz00_2759); 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_2115, BgL_envz00_2116); 
{ /* Jvm/expr.scm 93 */
obj_t BgL_arg3090z00_2698;
BgL_arg3090z00_2698 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2116, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2116, BgL_arg3090z00_2698);} } } 
}



/* compile-expr-box-ref3007 */
obj_t BGl_compilezd2exprzd2boxzd2ref3007zd2zzjvm_exprz00(obj_t BgL_envz00_2760, obj_t BgL_ez00_2761, obj_t BgL_envz00_2762)
{ AN_OBJECT;
{ /* Jvm/expr.scm 88 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2109;BgL_envz00_bglt BgL_envz00_2110;
BgL_ez00_2109 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2761); 
BgL_envz00_2110 = 
(BgL_envz00_bglt)(BgL_envz00_2762); 
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_ez00_2109, BgL_envz00_2110);} } 
}



/* compile-expr-make-box3005 */
obj_t BGl_compilezd2exprzd2makezd2box3005zd2zzjvm_exprz00(obj_t BgL_envz00_2763, obj_t BgL_ez00_2764, obj_t BgL_envz00_2765)
{ AN_OBJECT;
{ /* Jvm/expr.scm 85 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2103;BgL_envz00_bglt BgL_envz00_2104;
BgL_ez00_2103 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2764); 
BgL_envz00_2104 = 
(BgL_envz00_bglt)(BgL_envz00_2765); 
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_ez00_2103, BgL_envz00_2104);} } 
}



/* compile-expr-fail3003 */
obj_t BGl_compilezd2exprzd2fail3003z00zzjvm_exprz00(obj_t BgL_envz00_2766, obj_t BgL_ez00_2767, obj_t BgL_envz00_2768)
{ AN_OBJECT;
{ /* Jvm/expr.scm 82 */
{ 
BgL_failz00_bglt BgL_ez00_2097;BgL_envz00_bglt BgL_envz00_2098;
BgL_ez00_2097 = 
(BgL_failz00_bglt)(BgL_ez00_2767); 
BgL_envz00_2098 = 
(BgL_envz00_bglt)(BgL_envz00_2768); 
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_ez00_2097, BgL_envz00_2098);} } 
}



/* compile-expr-jump-ex-it3001 */
obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3001z00zzjvm_exprz00(obj_t BgL_envz00_2769, obj_t BgL_ez00_2770, obj_t BgL_envz00_2771)
{ AN_OBJECT;
{ /* Jvm/expr.scm 79 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2091;BgL_envz00_bglt BgL_envz00_2092;
BgL_ez00_2091 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2770); 
BgL_envz00_2092 = 
(BgL_envz00_bglt)(BgL_envz00_2771); 
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_ez00_2091, BgL_envz00_2092);} } 
}



/* compile-expr-set-ex-it2999 */
obj_t BGl_compilezd2exprzd2setzd2exzd2it2999z00zzjvm_exprz00(obj_t BgL_envz00_2772, obj_t BgL_ez00_2773, obj_t BgL_envz00_2774)
{ AN_OBJECT;
{ /* Jvm/expr.scm 76 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2085;obj_t BgL_envz00_2086;
BgL_ez00_2085 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2773); 
BgL_envz00_2086 = BgL_envz00_2774; 
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_ez00_2085, 
(BgL_envz00_bglt)(BgL_envz00_2086), BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-cast2997 */
obj_t BGl_compilezd2exprzd2cast2997z00zzjvm_exprz00(obj_t BgL_envz00_2775, obj_t BgL_ez00_2776, obj_t BgL_envz00_2777)
{ AN_OBJECT;
{ /* Jvm/expr.scm 73 */
{ 
BgL_castz00_bglt BgL_ez00_2079;BgL_envz00_bglt BgL_envz00_2080;
BgL_ez00_2079 = 
(BgL_castz00_bglt)(BgL_ez00_2776); 
BgL_envz00_2080 = 
(BgL_envz00_bglt)(BgL_envz00_2777); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2079, BgL_envz00_2080, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-isa2995 */
obj_t BGl_compilezd2exprzd2isa2995z00zzjvm_exprz00(obj_t BgL_envz00_2778, obj_t BgL_ez00_2779, obj_t BgL_envz00_2780)
{ AN_OBJECT;
{ /* Jvm/expr.scm 70 */
{ 
BgL_isaz00_bglt BgL_ez00_2073;BgL_envz00_bglt BgL_envz00_2074;
BgL_ez00_2073 = 
(BgL_isaz00_bglt)(BgL_ez00_2779); 
BgL_envz00_2074 = 
(BgL_envz00_bglt)(BgL_envz00_2780); 
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_ez00_2073, BgL_envz00_2074);} } 
}



/* compile-expr-vlength2993 */
obj_t BGl_compilezd2exprzd2vlength2993z00zzjvm_exprz00(obj_t BgL_envz00_2781, obj_t BgL_ez00_2782, obj_t BgL_envz00_2783)
{ AN_OBJECT;
{ /* Jvm/expr.scm 67 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2067;BgL_envz00_bglt BgL_envz00_2068;
BgL_ez00_2067 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2782); 
BgL_envz00_2068 = 
(BgL_envz00_bglt)(BgL_envz00_2783); 
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_ez00_2067, BgL_envz00_2068);} } 
}



/* compile-expr-vset!2991 */
obj_t BGl_compilezd2exprzd2vsetz122991z12zzjvm_exprz00(obj_t BgL_envz00_2784, obj_t BgL_ez00_2785, obj_t BgL_envz00_2786)
{ AN_OBJECT;
{ /* Jvm/expr.scm 63 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2060;BgL_envz00_bglt BgL_envz00_2061;
BgL_ez00_2060 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2785); 
BgL_envz00_2061 = 
(BgL_envz00_bglt)(BgL_envz00_2786); 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_2060, BgL_envz00_2061); 
{ /* Jvm/expr.scm 65 */
obj_t BgL_arg3080z00_2697;
BgL_arg3080z00_2697 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2061, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2061, BgL_arg3080z00_2697);} } } 
}



/* compile-expr-vref2989 */
obj_t BGl_compilezd2exprzd2vref2989z00zzjvm_exprz00(obj_t BgL_envz00_2787, obj_t BgL_ez00_2788, obj_t BgL_envz00_2789)
{ AN_OBJECT;
{ /* Jvm/expr.scm 60 */
{ 
BgL_vrefz00_bglt BgL_ez00_2054;BgL_envz00_bglt BgL_envz00_2055;
BgL_ez00_2054 = 
(BgL_vrefz00_bglt)(BgL_ez00_2788); 
BgL_envz00_2055 = 
(BgL_envz00_bglt)(BgL_envz00_2789); 
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_ez00_2054, BgL_envz00_2055);} } 
}



/* compile-expr-valloc2987 */
obj_t BGl_compilezd2exprzd2valloc2987z00zzjvm_exprz00(obj_t BgL_envz00_2790, obj_t BgL_ez00_2791, obj_t BgL_envz00_2792)
{ AN_OBJECT;
{ /* Jvm/expr.scm 57 */
{ 
BgL_vallocz00_bglt BgL_ez00_2048;BgL_envz00_bglt BgL_envz00_2049;
BgL_ez00_2048 = 
(BgL_vallocz00_bglt)(BgL_ez00_2791); 
BgL_envz00_2049 = 
(BgL_envz00_bglt)(BgL_envz00_2792); 
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_ez00_2048, BgL_envz00_2049);} } 
}



/* compile-expr-new2985 */
obj_t BGl_compilezd2exprzd2new2985z00zzjvm_exprz00(obj_t BgL_envz00_2793, obj_t BgL_ez00_2794, obj_t BgL_envz00_2795)
{ AN_OBJECT;
{ /* Jvm/expr.scm 54 */
{ 
BgL_newz00_bglt BgL_ez00_2042;BgL_envz00_bglt BgL_envz00_2043;
BgL_ez00_2042 = 
(BgL_newz00_bglt)(BgL_ez00_2794); 
BgL_envz00_2043 = 
(BgL_envz00_bglt)(BgL_envz00_2795); 
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_ez00_2042, BgL_envz00_2043);} } 
}



/* compile-expr-setfield2983 */
obj_t BGl_compilezd2exprzd2setfield2983z00zzjvm_exprz00(obj_t BgL_envz00_2796, obj_t BgL_ez00_2797, obj_t BgL_envz00_2798)
{ AN_OBJECT;
{ /* Jvm/expr.scm 50 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2035;BgL_envz00_bglt BgL_envz00_2036;
BgL_ez00_2035 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2797); 
BgL_envz00_2036 = 
(BgL_envz00_bglt)(BgL_envz00_2798); 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_2035, BgL_envz00_2036); 
{ /* Jvm/expr.scm 52 */
obj_t BgL_arg3075z00_2696;
BgL_arg3075z00_2696 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2036, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2036, BgL_arg3075z00_2696);} } } 
}



/* compile-expr-getfield2981 */
obj_t BGl_compilezd2exprzd2getfield2981z00zzjvm_exprz00(obj_t BgL_envz00_2799, obj_t BgL_ez00_2800, obj_t BgL_envz00_2801)
{ AN_OBJECT;
{ /* Jvm/expr.scm 47 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2029;BgL_envz00_bglt BgL_envz00_2030;
BgL_ez00_2029 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2800); 
BgL_envz00_2030 = 
(BgL_envz00_bglt)(BgL_envz00_2801); 
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_ez00_2029, BgL_envz00_2030);} } 
}



/* compile-expr-pragma2979 */
obj_t BGl_compilezd2exprzd2pragma2979z00zzjvm_exprz00(obj_t BgL_envz00_2802, obj_t BgL_ez00_2803, obj_t BgL_envz00_2804)
{ AN_OBJECT;
{ /* Jvm/expr.scm 44 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2023;BgL_envz00_bglt BgL_envz00_2024;
BgL_ez00_2023 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2803); 
BgL_envz00_2024 = 
(BgL_envz00_bglt)(BgL_envz00_2804); 
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_ez00_2023, BgL_envz00_2024);} } 
}



/* compile-expr-funcall2977 */
obj_t BGl_compilezd2exprzd2funcall2977z00zzjvm_exprz00(obj_t BgL_envz00_2805, obj_t BgL_ez00_2806, obj_t BgL_envz00_2807)
{ AN_OBJECT;
{ /* Jvm/expr.scm 41 */
{ 
BgL_funcallz00_bglt BgL_ez00_2017;BgL_envz00_bglt BgL_envz00_2018;
BgL_ez00_2017 = 
(BgL_funcallz00_bglt)(BgL_ez00_2806); 
BgL_envz00_2018 = 
(BgL_envz00_bglt)(BgL_envz00_2807); 
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_ez00_2017, BgL_envz00_2018);} } 
}



/* compile-expr-app-ly2975 */
obj_t BGl_compilezd2exprzd2appzd2ly2975zd2zzjvm_exprz00(obj_t BgL_envz00_2808, obj_t BgL_ez00_2809, obj_t BgL_envz00_2810)
{ AN_OBJECT;
{ /* Jvm/expr.scm 38 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2011;BgL_envz00_bglt BgL_envz00_2012;
BgL_ez00_2011 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2809); 
BgL_envz00_2012 = 
(BgL_envz00_bglt)(BgL_envz00_2810); 
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_ez00_2011, BgL_envz00_2012);} } 
}



/* compile-expr-app2973 */
obj_t BGl_compilezd2exprzd2app2973z00zzjvm_exprz00(obj_t BgL_envz00_2811, obj_t BgL_ez00_2812, obj_t BgL_envz00_2813)
{ AN_OBJECT;
{ /* Jvm/expr.scm 35 */
{ 
BgL_appz00_bglt BgL_ez00_2005;BgL_envz00_bglt BgL_envz00_2006;
BgL_ez00_2005 = 
(BgL_appz00_bglt)(BgL_ez00_2812); 
BgL_envz00_2006 = 
(BgL_envz00_bglt)(BgL_envz00_2813); 
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_ez00_2005, BgL_envz00_2006);} } 
}



/* compile-expr-let-fun2971 */
obj_t BGl_compilezd2exprzd2letzd2fun2971zd2zzjvm_exprz00(obj_t BgL_envz00_2814, obj_t BgL_ez00_2815, obj_t BgL_envz00_2816)
{ AN_OBJECT;
{ /* Jvm/expr.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1999;BgL_envz00_bglt BgL_envz00_2000;
BgL_ez00_1999 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2815); 
BgL_envz00_2000 = 
(BgL_envz00_bglt)(BgL_envz00_2816); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_1999, BgL_envz00_2000, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-select2969 */
obj_t BGl_compilezd2exprzd2select2969z00zzjvm_exprz00(obj_t BgL_envz00_2817, obj_t BgL_ez00_2818, obj_t BgL_envz00_2819)
{ AN_OBJECT;
{ /* Jvm/expr.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_1993;BgL_envz00_bglt BgL_envz00_1994;
BgL_ez00_1993 = 
(BgL_selectz00_bglt)(BgL_ez00_2818); 
BgL_envz00_1994 = 
(BgL_envz00_bglt)(BgL_envz00_2819); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_1993, BgL_envz00_1994, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-conditional2967 */
obj_t BGl_compilezd2exprzd2conditional2967z00zzjvm_exprz00(obj_t BgL_envz00_2820, obj_t BgL_ez00_2821, obj_t BgL_envz00_2822)
{ AN_OBJECT;
{ /* Jvm/expr.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1987;BgL_envz00_bglt BgL_envz00_1988;
BgL_ez00_1987 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2821); 
BgL_envz00_1988 = 
(BgL_envz00_bglt)(BgL_envz00_2822); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1987, BgL_envz00_1988, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-sequence2965 */
obj_t BGl_compilezd2exprzd2sequence2965z00zzjvm_exprz00(obj_t BgL_envz00_2823, obj_t BgL_ez00_2824, obj_t BgL_envz00_2825)
{ AN_OBJECT;
{ /* Jvm/expr.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1981;BgL_envz00_bglt BgL_envz00_1982;
BgL_ez00_1981 = 
(BgL_sequencez00_bglt)(BgL_ez00_2824); 
BgL_envz00_1982 = 
(BgL_envz00_bglt)(BgL_envz00_2825); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1981, BgL_envz00_1982, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-setq2963 */
obj_t BGl_compilezd2exprzd2setq2963z00zzjvm_exprz00(obj_t BgL_envz00_2826, obj_t BgL_ez00_2827, obj_t BgL_envz00_2828)
{ AN_OBJECT;
{ /* Jvm/expr.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1974;BgL_envz00_bglt BgL_envz00_1975;
BgL_ez00_1974 = 
(BgL_setqz00_bglt)(BgL_ez00_2827); 
BgL_envz00_1975 = 
(BgL_envz00_bglt)(BgL_envz00_2828); 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1974, BgL_envz00_1975); 
{ /* Jvm/expr.scm 21 */
obj_t BgL_arg3064z00_2695;
BgL_arg3064z00_2695 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1975, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1975, BgL_arg3064z00_2695);} } } 
}



/* compile-expr-let-var2961 */
obj_t BGl_compilezd2exprzd2letzd2var2961zd2zzjvm_exprz00(obj_t BgL_envz00_2829, obj_t BgL_ez00_2830, obj_t BgL_envz00_2831)
{ AN_OBJECT;
{ /* Jvm/expr.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1968;BgL_envz00_bglt BgL_envz00_1969;
BgL_ez00_1968 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2830); 
BgL_envz00_1969 = 
(BgL_envz00_bglt)(BgL_envz00_2831); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1968, BgL_envz00_1969, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-var2959 */
obj_t BGl_compilezd2exprzd2var2959z00zzjvm_exprz00(obj_t BgL_envz00_2832, obj_t BgL_ez00_2833, obj_t BgL_envz00_2834)
{ AN_OBJECT;
{ /* Jvm/expr.scm 13 */
{ 
BgL_varz00_bglt BgL_ez00_1962;BgL_envz00_bglt BgL_envz00_1963;
BgL_ez00_1962 = 
(BgL_varz00_bglt)(BgL_ez00_2833); 
BgL_envz00_1963 = 
(BgL_envz00_bglt)(BgL_envz00_2834); 
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_ez00_1962, BgL_envz00_1963);} } 
}



/* compile-expr-atom2957 */
obj_t BGl_compilezd2exprzd2atom2957z00zzjvm_exprz00(obj_t BgL_envz00_2835, obj_t BgL_ez00_2836, obj_t BgL_envz00_2837)
{ AN_OBJECT;
{ /* Jvm/expr.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1956;BgL_envz00_bglt BgL_envz00_1957;
BgL_ez00_1956 = 
(BgL_atomz00_bglt)(BgL_ez00_2836); 
BgL_envz00_1957 = 
(BgL_envz00_bglt)(BgL_envz00_2837); 
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(
(obj_t)(BgL_ez00_1956), BgL_envz00_1957);} } 
}



/* compile-expr */
obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/expr.scm 8 */
{ /* Jvm/expr.scm 8 */
obj_t BgL_method2955z00_2699;
{ /* Jvm/expr.scm 8 */
long BgL_objzd2classzd2numz00_2701;
{ /* Jvm/expr.scm 8 */
BgL_objectz00_bglt BgL_auxz00_2995;
BgL_auxz00_2995 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_2701 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2995); } 
{ /* Jvm/expr.scm 8 */
obj_t BgL_arg1221z00_2702;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_2998;
BgL_auxz00_2998 = 
(int)(((long)1)); 
BgL_arg1221z00_2702 = 
PROCEDURE_REF(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_auxz00_2998); } 
{ /* Jvm/expr.scm 8 */
long BgL_offsetz00_2706;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3001;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3002;
BgL_auxz00_3002 = 
(int)(BgL_objzd2classzd2numz00_2701); 
BgL_auxz00_3001 = 
(long)(BgL_auxz00_3002); } 
BgL_offsetz00_2706 = 
(BgL_auxz00_3001-OBJECT_TYPE); } 
{ /* Jvm/expr.scm 8 */
long BgL_modz00_2707;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3006;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3007;
BgL_auxz00_3007 = 
(int)(((long)8)); 
BgL_auxz00_3006 = 
(long)(BgL_auxz00_3007); } 
BgL_modz00_2707 = 
(BgL_offsetz00_2706/BgL_auxz00_3006); } 
{ /* Jvm/expr.scm 8 */
long BgL_restz00_2709;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3011;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3012;
BgL_auxz00_3012 = 
(int)(((long)8)); 
BgL_auxz00_3011 = 
(long)(BgL_auxz00_3012); } 
BgL_restz00_2709 = 
(BgL_offsetz00_2706%BgL_auxz00_3011); } 
{ /* Jvm/expr.scm 8 */

{ /* Jvm/expr.scm 8 */
obj_t BgL_bucketz00_2711;
{ /* Jvm/expr.scm 8 */
int BgL_kz00_2721;
BgL_kz00_2721 = 
(int)(BgL_modz00_2707); 
BgL_bucketz00_2711 = 
VECTOR_REF(BgL_arg1221z00_2702,BgL_kz00_2721); } 
{ /* Jvm/expr.scm 8 */
int BgL_kz00_2723;
BgL_kz00_2723 = 
(int)(BgL_restz00_2709); 
BgL_method2955z00_2699 = 
VECTOR_REF(BgL_bucketz00_2711,BgL_kz00_2723); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2955z00_2699)(BgL_method2955z00_2699, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-expr */
obj_t BGl__compilezd2exprzd2zzjvm_exprz00(obj_t BgL_envz00_2733, obj_t BgL_ez00_2734, obj_t BgL_envz00_2735)
{ AN_OBJECT;
{ /* Jvm/expr.scm 8 */
return 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2734), 
(BgL_envz00_bglt)(BgL_envz00_2735));} 
}



/* compile-expr-default2954 */
obj_t BGl_compilezd2exprzd2default2954z00zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
{ 
obj_t BgL_auxz00_3029;obj_t BgL_auxz00_3027;
BgL_auxz00_3029 = 
(obj_t)(BgL_ez00_3); 
BgL_auxz00_3027 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_3027,BGl_string3125z00zzjvm_exprz00,BgL_auxz00_3029);} } 
}



/* _compile-expr-default2954 */
obj_t BGl__compilezd2exprzd2default2954z00zzjvm_exprz00(obj_t BgL_envz00_2838, obj_t BgL_ez00_2839, obj_t BgL_envz00_2840)
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
return 
BGl_compilezd2exprzd2default2954z00zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2839), 
(BgL_envz00_bglt)(BgL_envz00_2840));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_expr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_expr");} 
}

