/*===========================================================================*/
/*   (Jvm/extern.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_externz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
extern obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();
static obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
extern obj_t BGl_bigloozd2manglezd2zz__biglooz00(obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
extern obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt);
static obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt);
static obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_externz00();
extern obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt);
extern obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
static obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00();
static obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t current_output_port;
static obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_externz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t);
static obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
static obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
static obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_externz00 = BUNSPEC;
static obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_getzd2sourcefilezd2zzjvm_externz00();
extern bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
extern obj_t BGl_prefixz00zz__osz00(obj_t);
extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl__localvarz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t, obj_t);
static obj_t __cnst[ 13 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_realzd2sfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2sfunza7d2nameza700za7za7jvm_externza7003283z00, BGl__realzd2sfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2typezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2typeza7d2nameza700za7za7jvm_externza7003284z00, BGl__qualifiedzd2typezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2forzd2declarezd2varzf3zd2envzf3zzjvm_externz00, BgL_bgl__debugza7d2forza7d2declareza7d2varza7f3za721za7za7jvm_externza7003285z00, BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2sourcefilezd2envz00zzjvm_externz00, BgL_bgl__getza7d2sourcefileza7d2za7za7jvm_externza7003286za7, BGl__getzd2sourcefilezd2zzjvm_externz00, 0L, 0 );
DEFINE_STRING( BGl_string3278z00zzjvm_externz00, BgL_bgl_string3278za700za7za7jvm_externza7003287z00, "__cnsts_table %exit bigloo-exit never eval %exit-env bigloo-exit-env foreign (jclass-package super) object import location stvector ", 132 );
DEFINE_STRING( BGl_string3277z00zzjvm_externz00, BgL_bgl_string3277za700za7za7jvm_externza7003288z00, "OCCURRENCE0 ", 12 );
DEFINE_STRING( BGl_string3276z00zzjvm_externz00, BgL_bgl_string3276za700za7za7jvm_externza7003289z00, "BIGLOO_EXIT_ENV", 15 );
DEFINE_STRING( BGl_string3275z00zzjvm_externz00, BgL_bgl_string3275za700za7za7jvm_externza7003290z00, "bigloo.", 7 );
DEFINE_STRING( BGl_string3274z00zzjvm_externz00, BgL_bgl_string3274za700za7za7jvm_externza7003291z00, "Illegal super class", 19 );
DEFINE_STRING( BGl_string3273z00zzjvm_externz00, BgL_bgl_string3273za700za7za7jvm_externza7003292z00, "super-package", 13 );
DEFINE_STRING( BGl_string3272z00zzjvm_externz00, BgL_bgl_string3272za700za7za7jvm_externza7003293z00, "jclass", 6 );
DEFINE_STRING( BGl_string3271z00zzjvm_externz00, BgL_bgl_string3271za700za7za7jvm_externza7003294z00, "where do you got a jclass?", 26 );
DEFINE_STRING( BGl_string3270z00zzjvm_externz00, BgL_bgl_string3270za700za7za7jvm_externza7003295z00, "bigloo", 6 );
DEFINE_STRING( BGl_string3269z00zzjvm_externz00, BgL_bgl_string3269za700za7za7jvm_externza7003296z00, "_K", 2 );
DEFINE_STRING( BGl_string3268z00zzjvm_externz00, BgL_bgl_string3268za700za7za7jvm_externza7003297z00, ".", 1 );
DEFINE_STRING( BGl_string3267z00zzjvm_externz00, BgL_bgl_string3267za700za7za7jvm_externza7003298z00, "", 0 );
DEFINE_STRING( BGl_string3266z00zzjvm_externz00, BgL_bgl_string3266za700za7za7jvm_externza7003299z00, "qualified-class-name:not a tclass", 33 );
DEFINE_STRING( BGl_string3265z00zzjvm_externz00, BgL_bgl_string3265za700za7za7jvm_externza7003300z00, "F", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2envzd2zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza700za7za7jvm_externza7003301z00, BGl__debugzd2declarezd2varz00zzjvm_externz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2tozd2bezd2declaredzd2envz00zzjvm_externz00, BgL_bgl__globalza7d2toza7d2beza7d2declaredza7d2za7za7jvm_externza7003302za7, BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2fieldzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2fieldza7d2nameza700za7za7jvm_externza7003303z00, BGl__realzd2fieldzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2cfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2cfunza7d2nameza700za7za7jvm_externza7003304z00, BGl__realzd2cfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2classzd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2classza7d2nameza700za7za7jvm_externza7003305z00, BGl__qualifiedzd2classzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2idzd2manglingzd2envzd2zzjvm_externz00, BgL_bgl__tclassza7d2idza7d2manglingza700za7za7jvm_externza7003306z00, BGl__tclasszd2idzd2manglingz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2modulezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2moduleza7d2nameza700za7za7jvm_externza7003307z00, BGl__qualifiedzd2modulezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_manuzd2tuzd2fixeszd2globalzd2tvectorzd2envzd2zzjvm_externz00, BgL_bgl__manuza7d2tuza7d2fixesza7d2globalza7d2tvectorza700za7za7jvm_externza7003308z00, BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2linezd2numberzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2lineza7d2numberza700za7za7jvm_externza7003309z00, BGl__getzd2linezd2numberz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classeszd2tozd2bezd2compiledzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2classesza7d2toza7d2beza7d2compiledza700za7za7jvm_externza7003310z00, BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2fromzd2envz00zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza7d2fromza7d2za7za7jvm_externza7003311za7, BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long BgL_checksumz00_2990, char * BgL_fromz00_2991)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_externz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_externz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_externz00(); 
BGl_cnstzd2initzd2zzjvm_externz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_externz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_extern"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
{ /* Jvm/extern.scm 3 */
obj_t BgL_cportz00_2983;
BgL_cportz00_2983 = 
open_input_string(BGl_string3278z00zzjvm_externz00); 
{ 
long BgL_iz00_2984;
BgL_iz00_2984 = ((long)12); 
BgL_loopz00_2985:
if(
(BgL_iz00_2984==((long)-1)))
{ /* Jvm/extern.scm 3 */
return BUNSPEC;}  else 
{ /* Jvm/extern.scm 3 */
{ /* Jvm/extern.scm 3 */
obj_t BgL_arg3280z00_2987;
{ /* Jvm/extern.scm 3 */
obj_t BgL_list3281z00_2988;
BgL_list3281z00_2988 = 
MAKE_PAIR(BgL_cportz00_2983, BNIL); 
BgL_arg3280z00_2987 = 
BGl_readz00zz__readerz00(BgL_list3281z00_2988); } 
{ /* Jvm/extern.scm 3 */
int BgL_auxz00_3011;
BgL_auxz00_3011 = 
(int)(BgL_iz00_2984); 
CNST_TABLE_SET(BgL_auxz00_3011, BgL_arg3280z00_2987); } } 
{ 
long BgL_iz00_3014;
{ /* Jvm/extern.scm 3 */
int BgL_auxz00_3015;
{ /* Jvm/extern.scm 3 */
long BgL_auxz00_3016;
BgL_auxz00_3016 = 
(BgL_iz00_2984-((long)1)); 
BgL_auxz00_3015 = 
(int)(BgL_auxz00_3016); } 
BgL_iz00_3014 = 
(long)(BgL_auxz00_3015); } 
BgL_iz00_2984 = BgL_iz00_3014; 
goto BgL_loopz00_2985;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* manu-tu-fixes-global-tvector */
obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_vz00_43)
{ AN_OBJECT;
{ /* Jvm/extern.scm 40 */
{ /* Jvm/extern.scm 41 */
bool_t BgL_test3096z00_1639;
BgL_test3096z00_1639 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_43, BGl_globalz00zzast_varz00); 
if(BgL_test3096z00_1639)
{ /* Jvm/extern.scm 42 */
BgL_valuez00_bglt BgL_valuez00_1640;
{ /* Jvm/extern.scm 42 */
BgL_globalz00_bglt BgL_obj1155z00_2259;
BgL_obj1155z00_2259 = 
(BgL_globalz00_bglt)(BgL_vz00_43); 
BgL_valuez00_1640 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2259))->BgL_valuez00); } 
{ /* Jvm/extern.scm 43 */
bool_t BgL_test3097z00_1641;
BgL_test3097z00_1641 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1640), BGl_scnstz00zzast_varz00); 
if(BgL_test3097z00_1641)
{ /* Jvm/extern.scm 44 */
bool_t BgL_testz00_3027;
{ /* Jvm/extern.scm 44 */
obj_t BgL_auxz00_3031;obj_t BgL_auxz00_3028;
BgL_auxz00_3031 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/extern.scm 44 */
BgL_scnstz00_bglt BgL_obj1500z00_2261;
BgL_obj1500z00_2261 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1640); 
BgL_auxz00_3028 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2261))->BgL_classz00); } 
BgL_testz00_3027 = 
(BgL_auxz00_3028==BgL_auxz00_3031); } 
if(BgL_testz00_3027)
{ /* Jvm/extern.scm 45 */
BgL_tvecz00_bglt BgL_obj2904z00_2266;
{ /* Jvm/extern.scm 47 */
obj_t BgL_auxz00_3034;
{ /* Jvm/extern.scm 46 */
int BgL_auxz00_3038;obj_t BgL_auxz00_3035;
BgL_auxz00_3038 = 
(int)(((long)0)); 
{ /* Jvm/extern.scm 47 */
BgL_scnstz00_bglt BgL_obj1499z00_2262;
BgL_obj1499z00_2262 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1640); 
BgL_auxz00_3035 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1499z00_2262))->BgL_nodez00); } 
BgL_auxz00_3034 = 
STRUCT_REF(BgL_auxz00_3035, BgL_auxz00_3038); } 
BgL_obj2904z00_2266 = 
(BgL_tvecz00_bglt)(BgL_auxz00_3034); } 
{ /* Jvm/extern.scm 45 */
BgL_typez00_bglt BgL_auxz00_3042;
{ 
obj_t BgL_auxz00_3043;
{ /* Jvm/extern.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3044;
BgL_auxz00_3044 = 
(BgL_objectz00_bglt)(BgL_obj2904z00_2266); 
BgL_auxz00_3043 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3044); } 
BgL_auxz00_3042 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_3043))->BgL_itemzd2typezd2); } 
return 
(obj_t)(BgL_auxz00_3042);} }  else 
{ /* Jvm/extern.scm 44 */
return BFALSE;} }  else 
{ /* Jvm/extern.scm 43 */
return BFALSE;} } }  else 
{ /* Jvm/extern.scm 41 */
return BFALSE;} } } 
}



/* _manu-tu-fixes-global-tvector */
obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_envz00_2947, obj_t BgL_vz00_2948)
{ AN_OBJECT;
{ /* Jvm/extern.scm 40 */
return 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(BgL_vz00_2948);} 
}



/* get-sourcefile */
obj_t BGl_getzd2sourcefilezd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 55 */
{ /* Jvm/extern.scm 56 */
obj_t BgL_pairz00_2267;
BgL_pairz00_2267 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
return 
CAR(BgL_pairz00_2267);} } 
}



/* _get-sourcefile */
obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t BgL_envz00_2949)
{ AN_OBJECT;
{ /* Jvm/extern.scm 55 */
return 
BGl_getzd2sourcefilezd2zzjvm_externz00();} 
}



/* get-line-number */
obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt BgL_nodez00_44)
{ AN_OBJECT;
{ /* Jvm/extern.scm 58 */
{ /* Jvm/extern.scm 59 */
obj_t BgL_locz00_1647;
BgL_locz00_1647 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_44))->BgL_locz00); 
{ /* Jvm/extern.scm 60 */
bool_t BgL_test3103z00_1648;
if(
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
{ /* Jvm/extern.scm 60 */
if(
STRUCTP(BgL_locz00_1647))
{ /* Jvm/extern.scm 60 */
obj_t BgL_auxz00_3059;obj_t BgL_auxz00_3057;
BgL_auxz00_3059 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3057 = 
STRUCT_KEY(BgL_locz00_1647); 
BgL_test3103z00_1648 = 
(BgL_auxz00_3057==BgL_auxz00_3059); }  else 
{ /* Jvm/extern.scm 60 */
BgL_test3103z00_1648 = ((bool_t)0); } }  else 
{ /* Jvm/extern.scm 60 */
BgL_test3103z00_1648 = ((bool_t)0); } 
if(BgL_test3103z00_1648)
{ /* Jvm/extern.scm 61 */
int BgL_auxz00_3063;
BgL_auxz00_3063 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_locz00_1647, BgL_auxz00_3063);}  else 
{ /* Jvm/extern.scm 60 */
return BFALSE;} } } } 
}



/* _get-line-number */
obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t BgL_envz00_2950, obj_t BgL_nodez00_2951)
{ AN_OBJECT;
{ /* Jvm/extern.scm 58 */
return 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_nodez00_2951));} 
}



/* debug-for-declare-var? */
obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* Jvm/extern.scm 64 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* _debug-for-declare-var? */
obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t BgL_envz00_2952, obj_t BgL_envz00_2953)
{ AN_OBJECT;
{ /* Jvm/extern.scm 64 */
return 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2953));} 
}



/* debug-declare-var */
obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt BgL_envz00_46, BgL_localz00_bglt BgL_varz00_47, obj_t BgL_toz00_48)
{ AN_OBJECT;
{ /* Jvm/extern.scm 67 */
{ /* Jvm/extern.scm 68 */
bool_t BgL_test3104z00_1649;
{ /* Jvm/extern.scm 68 */
bool_t BgL_test3105z00_1651;
BgL_test3105z00_1651 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3105z00_1651)
{ /* Jvm/extern.scm 68 */
BgL_test3104z00_1649 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_47))->BgL_userzf3zf3); }  else 
{ /* Jvm/extern.scm 68 */
BgL_test3104z00_1649 = ((bool_t)0); } } 
if(BgL_test3104z00_1649)
{ /* Jvm/extern.scm 69 */
obj_t BgL_fromz00_1650;
BgL_fromz00_1650 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3265z00zzjvm_externz00, BEOA); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_46, BgL_fromz00_1650); 
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_46, BgL_varz00_47, BgL_fromz00_1650, BgL_toz00_48);}  else 
{ /* Jvm/extern.scm 68 */
return BFALSE;} } } 
}



/* _debug-declare-var */
obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t BgL_envz00_2954, obj_t BgL_envz00_2955, obj_t BgL_varz00_2956, obj_t BgL_toz00_2957)
{ AN_OBJECT;
{ /* Jvm/extern.scm 67 */
return 
BGl_debugzd2declarezd2varz00zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2955), 
(BgL_localz00_bglt)(BgL_varz00_2956), BgL_toz00_2957);} 
}



/* debug-declare-var-from */
obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt BgL_envz00_49, BgL_localz00_bglt BgL_varz00_50, obj_t BgL_fromz00_51, obj_t BgL_toz00_52)
{ AN_OBJECT;
{ /* Jvm/extern.scm 73 */
{ /* Jvm/extern.scm 74 */
bool_t BgL_test3106z00_1652;
{ /* Jvm/extern.scm 74 */
bool_t BgL_test3109z00_1658;
BgL_test3109z00_1658 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3109z00_1658)
{ /* Jvm/extern.scm 74 */
BgL_test3106z00_1652 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_userzf3zf3); }  else 
{ /* Jvm/extern.scm 74 */
BgL_test3106z00_1652 = ((bool_t)0); } } 
if(BgL_test3106z00_1652)
{ /* Jvm/extern.scm 75 */
obj_t BgL_typez00_1653;obj_t BgL_userzd2namezd2_1654;obj_t BgL_namez00_1655;
BgL_typez00_1653 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_varz00_50), BgL_envz00_49); 
{ /* Jvm/extern.scm 76 */
obj_t BgL_arg3107z00_1656;
{ /* Jvm/extern.scm 76 */
obj_t BgL_auxz00_3087;
BgL_auxz00_3087 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_idz00); 
BgL_arg3107z00_1656 = 
SYMBOL_TO_STRING(BgL_auxz00_3087); } 
{ /* Jvm/extern.scm 76 */
bool_t BgL_test3126z00_2286;
BgL_test3126z00_2286 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3107z00_1656); 
if(BgL_test3126z00_2286)
{ /* Jvm/extern.scm 76 */
BgL_userzd2namezd2_1654 = 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_arg3107z00_1656); }  else 
{ /* Jvm/extern.scm 76 */
BgL_userzd2namezd2_1654 = BgL_arg3107z00_1656; } } } 
BgL_namez00_1655 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_namez00); 
return 
BGl__localvarz00zzjvm_instrz00(BgL_envz00_49, BgL_fromz00_51, BgL_toz00_52, BgL_userzd2namezd2_1654, BgL_typez00_1653, BgL_namez00_1655);}  else 
{ /* Jvm/extern.scm 74 */
return BFALSE;} } } 
}



/* _debug-declare-var-from */
obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t BgL_envz00_2958, obj_t BgL_envz00_2959, obj_t BgL_varz00_2960, obj_t BgL_fromz00_2961, obj_t BgL_toz00_2962)
{ AN_OBJECT;
{ /* Jvm/extern.scm 73 */
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2959), 
(BgL_localz00_bglt)(BgL_varz00_2960), BgL_fromz00_2961, BgL_toz00_2962);} 
}



/* qualified-module-name */
obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_modulez00_53)
{ AN_OBJECT;
{ /* Jvm/extern.scm 83 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_53);} 
}



/* _qualified-module-name */
obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_envz00_2963, obj_t BgL_modulez00_2964)
{ AN_OBJECT;
{ /* Jvm/extern.scm 83 */
return 
BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(BgL_modulez00_2964);} 
}



/* get-classes-to-be-compiled */
obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 89 */
{ /* Jvm/extern.scm 91 */
obj_t BgL_rz00_1659;
BgL_rz00_1659 = BNIL; 
{ 
obj_t BgL_l3044z00_1660;
{ /* Jvm/extern.scm 98 */
obj_t BgL_arg3110z00_1662;
BgL_arg3110z00_1662 = 
BGl_getzd2classzd2listz00zzobject_classz00(); 
BgL_l3044z00_1660 = BgL_arg3110z00_1662; 
BgL_lname3045z00_1661:
if(
PAIRP(BgL_l3044z00_1660))
{ /* Jvm/extern.scm 92 */
{ /* Jvm/extern.scm 94 */
obj_t BgL_classz00_1664;
BgL_classz00_1664 = 
CAR(BgL_l3044z00_1660); 
{ /* Jvm/extern.scm 94 */
bool_t BgL_test3112z00_1665;
{ /* Jvm/extern.scm 94 */
obj_t BgL_arg3117z00_1671;
BgL_arg3117z00_1671 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test3112z00_1665 = 
(BgL_classz00_1664==BgL_arg3117z00_1671); } 
if(BgL_test3112z00_1665)
{ /* Jvm/extern.scm 94 */BFALSE; }  else 
{ /* Jvm/extern.scm 96 */
bool_t BgL_testz00_3107;
{ /* Jvm/extern.scm 96 */
obj_t BgL_auxz00_3116;obj_t BgL_auxz00_3108;
BgL_auxz00_3116 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/extern.scm 96 */
BgL_globalz00_bglt BgL_arg3116z00_1670;
{ /* Jvm/extern.scm 96 */
BgL_tclassz00_bglt BgL_obj2718z00_2290;
BgL_obj2718z00_2290 = 
(BgL_tclassz00_bglt)(BgL_classz00_1664); 
{ 
obj_t BgL_auxz00_3110;
{ /* Jvm/extern.scm 96 */
BgL_objectz00_bglt BgL_auxz00_3111;
BgL_auxz00_3111 = 
(BgL_objectz00_bglt)(BgL_obj2718z00_2290); 
BgL_auxz00_3110 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3111); } 
BgL_arg3116z00_1670 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3110))->BgL_holderz00); } } 
BgL_auxz00_3108 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3116z00_1670))->BgL_importz00); } 
BgL_testz00_3107 = 
(BgL_auxz00_3108==BgL_auxz00_3116); } 
if(BgL_testz00_3107)
{ /* Jvm/extern.scm 96 */BFALSE; }  else 
{ /* Jvm/extern.scm 96 */
BgL_rz00_1659 = 
MAKE_PAIR(BgL_classz00_1664, BgL_rz00_1659); } } } } 
{ 
obj_t BgL_l3044z00_3120;
BgL_l3044z00_3120 = 
CDR(BgL_l3044z00_1660); 
BgL_l3044z00_1660 = BgL_l3044z00_3120; 
goto BgL_lname3045z00_1661;} }  else 
{ /* Jvm/extern.scm 92 */((bool_t)1); } } } 
return BgL_rz00_1659;} } 
}



/* _get-classes-to-be-compiled */
obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t BgL_envz00_2965)
{ AN_OBJECT;
{ /* Jvm/extern.scm 89 */
return 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();} 
}



/* qualified-class-name */
obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_54)
{ AN_OBJECT;
{ /* Jvm/extern.scm 101 */
{ /* Jvm/extern.scm 102 */
bool_t BgL_test3119z00_1673;
BgL_test3119z00_1673 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_54), BGl_tclassz00zzobject_classz00); 
if(BgL_test3119z00_1673)
{ /* Jvm/extern.scm 102 */BFALSE; }  else 
{ /* Jvm/extern.scm 103 */
obj_t BgL_arg3121z00_1675;obj_t BgL_arg3122z00_1676;
BgL_arg3121z00_1675 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_classz00_54)); 
BgL_arg3122z00_1676 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_classz00_54)); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3266z00zzjvm_externz00, BgL_arg3121z00_1675, BgL_arg3122z00_1676); } } 
{ /* Jvm/extern.scm 107 */
obj_t BgL_arg3123z00_1677;obj_t BgL_arg3124z00_1678;
BgL_arg3123z00_1677 = 
BGl_superzd2packagezd2zzjvm_externz00(BgL_classz00_54); 
BgL_arg3124z00_1678 = 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_classz00_54); 
return 
BGl_onzd2packagezd2zzjvm_externz00(BgL_arg3123z00_1677, BgL_arg3124z00_1678);} } 
}



/* _qualified-class-name */
obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t BgL_envz00_2966, obj_t BgL_classz00_2967)
{ AN_OBJECT;
{ /* Jvm/extern.scm 101 */
return 
BGl_qualifiedzd2classzd2namez00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2967));} 
}



/* on-package */
obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t BgL_pkgcz00_55, obj_t BgL_namez00_56)
{ AN_OBJECT;
{ /* Jvm/extern.scm 109 */
{ /* Jvm/extern.scm 110 */
obj_t BgL_snamez00_1679;
BgL_snamez00_1679 = 
SYMBOL_TO_STRING(BgL_namez00_56); 
{ /* Jvm/extern.scm 110 */
obj_t BgL_bsnamez00_1680;
{ /* Jvm/extern.scm 111 */
bool_t BgL_test3126z00_2296;
BgL_test3126z00_2296 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_snamez00_1679); 
if(BgL_test3126z00_2296)
{ /* Jvm/extern.scm 111 */
BgL_bsnamez00_1680 = 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_snamez00_1679); }  else 
{ /* Jvm/extern.scm 111 */
BgL_bsnamez00_1680 = BgL_snamez00_1679; } } 
{ /* Jvm/extern.scm 111 */

{ /* Jvm/extern.scm 112 */
bool_t BgL_test3125z00_1681;
BgL_test3125z00_1681 = 
bigloo_strcmp(BgL_pkgcz00_55, BGl_string3267z00zzjvm_externz00); 
if(BgL_test3125z00_1681)
{ /* Jvm/extern.scm 112 */
return BgL_bsnamez00_1680;}  else 
{ /* Jvm/extern.scm 112 */
return 
string_append_3(BgL_pkgcz00_55, BGl_string3268z00zzjvm_externz00, BgL_bsnamez00_1680);} } } } } } 
}



/* tclass-id-mangling */
obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_58)
{ AN_OBJECT;
{ /* Jvm/extern.scm 121 */
{ /* Jvm/extern.scm 123 */
bool_t BgL_test3127z00_1683;
{ /* Jvm/extern.scm 123 */
obj_t BgL_arg3134z00_1693;
BgL_arg3134z00_1693 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
{ /* Jvm/extern.scm 123 */
obj_t BgL_auxz00_3144;
BgL_auxz00_3144 = 
(obj_t)(BgL_classz00_58); 
BgL_test3127z00_1683 = 
(BgL_auxz00_3144==BgL_arg3134z00_1693); } } 
if(BgL_test3127z00_1683)
{ /* Jvm/extern.scm 123 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Jvm/extern.scm 127 */
obj_t BgL_sidz00_1686;
{ /* Jvm/extern.scm 127 */
obj_t BgL_arg3129z00_1688;obj_t BgL_arg3131z00_1690;
{ /* Jvm/extern.scm 127 */
obj_t BgL_auxz00_3149;
{ /* Jvm/extern.scm 126 */
BgL_globalz00_bglt BgL_arg3133z00_1692;
{ 
obj_t BgL_auxz00_3150;
{ /* Jvm/extern.scm 126 */
BgL_objectz00_bglt BgL_auxz00_3151;
BgL_auxz00_3151 = 
(BgL_objectz00_bglt)(BgL_classz00_58); 
BgL_auxz00_3150 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3151); } 
BgL_arg3133z00_1692 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3150))->BgL_holderz00); } 
BgL_auxz00_3149 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3133z00_1692))->BgL_modulez00); } 
BgL_arg3129z00_1688 = 
SYMBOL_TO_STRING(BgL_auxz00_3149); } 
{ /* Jvm/extern.scm 129 */
obj_t BgL_auxz00_3157;
{ /* Jvm/extern.scm 129 */
BgL_typez00_bglt BgL_obj2731z00_2303;
BgL_obj2731z00_2303 = 
(BgL_typez00_bglt)(BgL_classz00_58); 
BgL_auxz00_3157 = 
(((BgL_typez00_bglt)CREF(BgL_obj2731z00_2303))->BgL_idz00); } 
BgL_arg3131z00_1690 = 
SYMBOL_TO_STRING(BgL_auxz00_3157); } 
BgL_sidz00_1686 = 
string_append_3(BgL_arg3129z00_1688, BGl_string3269z00zzjvm_externz00, BgL_arg3131z00_1690); } 
{ /* Jvm/extern.scm 130 */
obj_t BgL_arg3128z00_1687;
{ /* Jvm/extern.scm 130 */
bool_t BgL_test3126z00_2306;
BgL_test3126z00_2306 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_sidz00_1686); 
if(BgL_test3126z00_2306)
{ /* Jvm/extern.scm 130 */
BgL_arg3128z00_1687 = 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_sidz00_1686); }  else 
{ /* Jvm/extern.scm 130 */
BgL_arg3128z00_1687 = BgL_sidz00_1686; } } 
{ /* Jvm/extern.scm 130 */
char * BgL_auxz00_3165;
BgL_auxz00_3165 = 
BSTRING_TO_STRING(BgL_arg3128z00_1687); 
return 
string_to_symbol(BgL_auxz00_3165);} } } } } 
}



/* _tclass-id-mangling */
obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t BgL_envz00_2968, obj_t BgL_classz00_2969)
{ AN_OBJECT;
{ /* Jvm/extern.scm 121 */
return 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2969));} 
}



/* super-package */
obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt BgL_superz00_59)
{ AN_OBJECT;
{ /* Jvm/extern.scm 132 */
{ /* Jvm/extern.scm 135 */
bool_t BgL_test3135z00_1694;
BgL_test3135z00_1694 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_superz00_59), BGl_tclassz00zzobject_classz00); 
if(BgL_test3135z00_1694)
{ /* Jvm/extern.scm 135 */
{ /* Jvm/extern.scm 137 */
bool_t BgL_test3136z00_1696;
{ /* Jvm/extern.scm 137 */
bool_t BgL_testz00_3173;
{ /* Jvm/extern.scm 137 */
obj_t BgL_auxz00_3176;obj_t BgL_auxz00_3174;
{ 
obj_t BgL_auxz00_3177;
{ /* Jvm/extern.scm 137 */
BgL_objectz00_bglt BgL_auxz00_3178;
BgL_auxz00_3178 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_3177 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3178); } 
BgL_auxz00_3176 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3177))->BgL_itszd2superzd2); } 
BgL_auxz00_3174 = 
(obj_t)(BgL_superz00_59); 
BgL_testz00_3173 = 
(BgL_auxz00_3174==BgL_auxz00_3176); } 
if(BgL_testz00_3173)
{ /* Jvm/extern.scm 137 */
BgL_test3136z00_1696 = ((bool_t)1); }  else 
{ /* Jvm/extern.scm 137 */
bool_t BgL_test3141z00_1702;
{ /* Jvm/extern.scm 137 */
obj_t BgL_auxz00_3183;
{ 
obj_t BgL_auxz00_3184;
{ /* Jvm/extern.scm 137 */
BgL_objectz00_bglt BgL_auxz00_3185;
BgL_auxz00_3185 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_3184 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3185); } 
BgL_auxz00_3183 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3184))->BgL_itszd2superzd2); } 
BgL_test3141z00_1702 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3183, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3141z00_1702)
{ /* Jvm/extern.scm 137 */
BgL_test3136z00_1696 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 137 */
BgL_test3136z00_1696 = ((bool_t)1); } } } 
if(BgL_test3136z00_1696)
{ /* Jvm/extern.scm 137 */
return BGl_string3270z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 140 */
BgL_globalz00_bglt BgL_holderz00_1697;
{ 
obj_t BgL_auxz00_3192;
{ /* Jvm/extern.scm 140 */
BgL_objectz00_bglt BgL_auxz00_3193;
BgL_auxz00_3193 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_3192 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3193); } 
BgL_holderz00_1697 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3192))->BgL_holderz00); } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1697))->BgL_modulez00), 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1697))->BgL_jvmzd2typezd2namez00)); 
return 
BGl_classzd2packagezd2zzjvm_externz00(
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1697))->BgL_modulez00));} } }  else 
{ /* Jvm/extern.scm 144 */
bool_t BgL_test3144z00_1705;
BgL_test3144z00_1705 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_superz00_59), BGl_jclassz00zzobject_classz00); 
if(BgL_test3144z00_1705)
{ /* Jvm/extern.scm 144 */
CNST_TABLE_REF(((long)4)); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3271z00zzjvm_externz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return BGl_string3272z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 144 */
{ 
obj_t BgL_auxz00_3208;
BgL_auxz00_3208 = 
(obj_t)(BgL_superz00_59); 
FAILURE(BGl_string3273z00zzjvm_externz00,BGl_string3274z00zzjvm_externz00,BgL_auxz00_3208);} } } } } 
}



/* class-package */
obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t BgL_namez00_60)
{ AN_OBJECT;
{ /* Jvm/extern.scm 151 */
{ /* Jvm/extern.scm 152 */
obj_t BgL_sz00_1709;
BgL_sz00_1709 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_namez00_60); 
{ /* Jvm/extern.scm 152 */
obj_t BgL_prefz00_1710;
BgL_prefz00_1710 = 
BGl_prefixz00zz__osz00(BgL_sz00_1709); 
{ /* Jvm/extern.scm 153 */

{ /* Jvm/extern.scm 154 */
bool_t BgL_test3148z00_1711;
BgL_test3148z00_1711 = 
bigloo_strcmp(BgL_prefz00_1710, BgL_sz00_1709); 
if(BgL_test3148z00_1711)
{ /* Jvm/extern.scm 154 */
return BGl_string3267z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 154 */
return BgL_prefz00_1710;} } } } } } 
}



/* qualified-type-name */
obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_typez00_61)
{ AN_OBJECT;
{ /* Jvm/extern.scm 161 */
{ /* Jvm/extern.scm 162 */
bool_t BgL_testz00_3215;
{ /* Jvm/extern.scm 162 */
obj_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_3215 = 
(BgL_typez00_61==BgL_auxz00_3216); } 
if(BgL_testz00_3215)
{ /* Jvm/extern.scm 162 */
return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;}  else 
{ /* Jvm/extern.scm 164 */
obj_t BgL_javazd2classzd2_1713;
BgL_javazd2classzd2_1713 = 
BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_typez00_61); 
if(
STRINGP(BgL_javazd2classzd2_1713))
{ /* Jvm/extern.scm 165 */
return BgL_javazd2classzd2_1713;}  else 
{ /* Jvm/extern.scm 167 */
obj_t BgL_arg3152z00_1716;
BgL_arg3152z00_1716 = 
SYMBOL_TO_STRING(BgL_typez00_61); 
return 
string_append(BGl_string3275z00zzjvm_externz00, BgL_arg3152z00_1716);} } } } 
}



/* _qualified-type-name */
obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_envz00_2970, obj_t BgL_typez00_2971)
{ AN_OBJECT;
{ /* Jvm/extern.scm 161 */
return 
BGl_qualifiedzd2typezd2namez00zzjvm_externz00(BgL_typez00_2971);} 
}



/* real-field-name */
obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_62)
{ AN_OBJECT;
{ /* Jvm/extern.scm 173 */
{ /* Jvm/extern.scm 178 */
bool_t BgL_testz00_3225;
{ /* Jvm/extern.scm 178 */
obj_t BgL_auxz00_3228;obj_t BgL_auxz00_3226;
BgL_auxz00_3228 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3226 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_modulez00); 
BgL_testz00_3225 = 
(BgL_auxz00_3226==BgL_auxz00_3228); } 
if(BgL_testz00_3225)
{ /* Jvm/extern.scm 178 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_62);}  else 
{ /* Jvm/extern.scm 180 */
bool_t BgL_testz00_3232;
{ /* Jvm/extern.scm 180 */
obj_t BgL_auxz00_3233;
BgL_auxz00_3233 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_namez00); 
BgL_testz00_3232 = 
STRINGP(BgL_auxz00_3233); } 
if(BgL_testz00_3232)
{ /* Jvm/extern.scm 180 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_namez00);}  else 
{ /* Jvm/extern.scm 182 */
obj_t BgL_arg3155z00_1720;
{ /* Jvm/extern.scm 182 */
obj_t BgL_auxz00_3237;
BgL_auxz00_3237 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_idz00); 
BgL_arg3155z00_1720 = 
SYMBOL_TO_STRING(BgL_auxz00_3237); } 
{ /* Jvm/extern.scm 182 */
bool_t BgL_test3126z00_2332;
BgL_test3126z00_2332 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3155z00_1720); 
if(BgL_test3126z00_2332)
{ /* Jvm/extern.scm 182 */
return 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_arg3155z00_1720);}  else 
{ /* Jvm/extern.scm 182 */
return BgL_arg3155z00_1720;} } } } } } 
}



/* _real-field-name */
obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t BgL_envz00_2972, obj_t BgL_globalz00_2973)
{ AN_OBJECT;
{ /* Jvm/extern.scm 173 */
return 
BGl_realzd2fieldzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2973));} 
}



/* real-sfun-name */
obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_63)
{ AN_OBJECT;
{ /* Jvm/extern.scm 184 */
{ /* Jvm/extern.scm 186 */
bool_t BgL_testz00_3245;
{ /* Jvm/extern.scm 186 */
obj_t BgL_auxz00_3248;obj_t BgL_auxz00_3246;
BgL_auxz00_3248 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3246 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_63))->BgL_modulez00); 
BgL_testz00_3245 = 
(BgL_auxz00_3246==BgL_auxz00_3248); } 
if(BgL_testz00_3245)
{ /* Jvm/extern.scm 186 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_63);}  else 
{ /* Jvm/extern.scm 188 */
bool_t BgL_testz00_3252;
{ /* Jvm/extern.scm 188 */
obj_t BgL_auxz00_3253;
BgL_auxz00_3253 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_63))->BgL_namez00); 
BgL_testz00_3252 = 
STRINGP(BgL_auxz00_3253); } 
if(BgL_testz00_3252)
{ /* Jvm/extern.scm 188 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_63))->BgL_namez00);}  else 
{ /* Jvm/extern.scm 191 */
obj_t BgL_arg3162z00_1728;
{ /* Jvm/extern.scm 191 */
obj_t BgL_auxz00_3257;
BgL_auxz00_3257 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_63))->BgL_idz00); 
BgL_arg3162z00_1728 = 
SYMBOL_TO_STRING(BgL_auxz00_3257); } 
{ /* Jvm/extern.scm 191 */
bool_t BgL_test3126z00_2340;
BgL_test3126z00_2340 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3162z00_1728); 
if(BgL_test3126z00_2340)
{ /* Jvm/extern.scm 191 */
return 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_arg3162z00_1728);}  else 
{ /* Jvm/extern.scm 191 */
return BgL_arg3162z00_1728;} } } } } } 
}



/* _real-sfun-name */
obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2974, obj_t BgL_globalz00_2975)
{ AN_OBJECT;
{ /* Jvm/extern.scm 184 */
return 
BGl_realzd2sfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2975));} 
}



/* real-cfun-name */
obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_64)
{ AN_OBJECT;
{ /* Jvm/extern.scm 193 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_64))->BgL_namez00);} 
}



/* _real-cfun-name */
obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2976, obj_t BgL_globalz00_2977)
{ AN_OBJECT;
{ /* Jvm/extern.scm 193 */
return 
BGl_realzd2cfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2977));} 
}



/* patch */
obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_65)
{ AN_OBJECT;
{ /* Jvm/extern.scm 198 */
{ /* Jvm/extern.scm 201 */
bool_t BgL_testz00_3268;
{ /* Jvm/extern.scm 201 */
obj_t BgL_auxz00_3271;obj_t BgL_auxz00_3269;
BgL_auxz00_3271 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3269 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_idz00); 
BgL_testz00_3268 = 
(BgL_auxz00_3269==BgL_auxz00_3271); } 
if(BgL_testz00_3268)
{ /* Jvm/extern.scm 201 */
return BGl_string3276z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 202 */
bool_t BgL_testz00_3274;
{ /* Jvm/extern.scm 202 */
obj_t BgL_auxz00_3277;obj_t BgL_auxz00_3275;
BgL_auxz00_3277 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3275 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_idz00); 
BgL_testz00_3274 = 
(BgL_auxz00_3275==BgL_auxz00_3277); } 
if(BgL_testz00_3274)
{ /* Jvm/extern.scm 202 */
return BGl_string3276z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 202 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_namez00);} } } } 
}



/* global-to-be-declared */
obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_66)
{ AN_OBJECT;
{ /* Jvm/extern.scm 205 */
{ /* Jvm/extern.scm 207 */
bool_t BgL_test3173z00_1742;
{ /* Jvm/extern.scm 207 */
bool_t BgL_testz00_3281;
{ /* Jvm/extern.scm 207 */
obj_t BgL_auxz00_3284;obj_t BgL_auxz00_3282;
BgL_auxz00_3284 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3282 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_importz00); 
BgL_testz00_3281 = 
(BgL_auxz00_3282==BgL_auxz00_3284); } 
if(BgL_testz00_3281)
{ /* Jvm/extern.scm 207 */
BgL_test3173z00_1742 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 208 */
bool_t BgL__ortest_3062z00_1755;
BgL__ortest_3062z00_1755 = 
BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_occurrencez00), ((long)0)); 
if(BgL__ortest_3062z00_1755)
{ /* Jvm/extern.scm 208 */
BgL_test3173z00_1742 = BgL__ortest_3062z00_1755; }  else 
{ /* Jvm/extern.scm 209 */
bool_t BgL__ortest_3063z00_1756;
{ /* Jvm/extern.scm 209 */
obj_t BgL_auxz00_3290;
{ /* Jvm/extern.scm 209 */
BgL_valuez00_bglt BgL_auxz00_3291;
BgL_auxz00_3291 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_valuez00); 
BgL_auxz00_3290 = 
(obj_t)(BgL_auxz00_3291); } 
BgL__ortest_3063z00_1756 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3290, BGl_scnstz00zzast_varz00); } 
if(BgL__ortest_3063z00_1756)
{ /* Jvm/extern.scm 209 */
BgL_test3173z00_1742 = BgL__ortest_3063z00_1756; }  else 
{ /* Jvm/extern.scm 210 */
bool_t BgL__ortest_3064z00_1757;
{ /* Jvm/extern.scm 210 */
obj_t BgL_auxz00_3298;obj_t BgL_auxz00_3296;
BgL_auxz00_3298 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_3296 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_removablez00); 
BgL__ortest_3064z00_1757 = 
(BgL_auxz00_3296==BgL_auxz00_3298); } 
if(BgL__ortest_3064z00_1757)
{ /* Jvm/extern.scm 210 */
BgL_test3173z00_1742 = BgL__ortest_3064z00_1757; }  else 
{ /* Jvm/extern.scm 211 */
bool_t BgL__ortest_3065z00_1758;
{ /* Jvm/extern.scm 211 */
obj_t BgL_auxz00_3302;
BgL_auxz00_3302 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL__ortest_3065z00_1758 = 
(BgL_auxz00_3302==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL__ortest_3065z00_1758)
{ /* Jvm/extern.scm 211 */
BgL_test3173z00_1742 = BgL__ortest_3065z00_1758; }  else 
{ /* Jvm/extern.scm 212 */
bool_t BgL_testz00_3306;
{ /* Jvm/extern.scm 212 */
bool_t BgL__ortest_3067z00_1761;
{ /* Jvm/extern.scm 212 */
obj_t BgL_auxz00_3309;obj_t BgL_auxz00_3307;
BgL_auxz00_3309 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3307 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_idz00); 
BgL__ortest_3067z00_1761 = 
(BgL_auxz00_3307==BgL_auxz00_3309); } 
if(BgL__ortest_3067z00_1761)
{ /* Jvm/extern.scm 212 */
BgL_testz00_3306 = BgL__ortest_3067z00_1761
; }  else 
{ /* Jvm/extern.scm 213 */
obj_t BgL_auxz00_3315;obj_t BgL_auxz00_3313;
BgL_auxz00_3315 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_3313 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_idz00); 
BgL_testz00_3306 = 
(BgL_auxz00_3313==BgL_auxz00_3315); } } 
if(BgL_testz00_3306)
{ /* Jvm/extern.scm 214 */
obj_t BgL_auxz00_3318;
{ /* Jvm/extern.scm 214 */
BgL_valuez00_bglt BgL_auxz00_3319;
BgL_auxz00_3319 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_valuez00); 
BgL_auxz00_3318 = 
(obj_t)(BgL_auxz00_3319); } 
BgL_test3173z00_1742 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3318, BGl_cfunz00zzast_varz00); }  else 
{ /* Jvm/extern.scm 212 */
BgL_test3173z00_1742 = ((bool_t)0); } } } } } } } 
if(BgL_test3173z00_1742)
{ /* Jvm/extern.scm 207 */
return BTRUE;}  else 
{ /* Jvm/extern.scm 207 */
{ /* Jvm/extern.scm 217 */
bool_t BgL_test3174z00_1743;
{ /* Jvm/extern.scm 217 */
bool_t BgL_test3180z00_1749;
{ /* Jvm/extern.scm 217 */
obj_t BgL_auxz00_3324;
BgL_auxz00_3324 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL_test3180z00_1749 = 
(BgL_auxz00_3324==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3180z00_1749)
{ /* Jvm/extern.scm 217 */
bool_t BgL_testz00_3328;
{ /* Jvm/extern.scm 217 */
obj_t BgL_auxz00_3331;obj_t BgL_auxz00_3329;
BgL_auxz00_3331 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_3329 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_idz00); 
BgL_testz00_3328 = 
(BgL_auxz00_3329==BgL_auxz00_3331); } 
if(BgL_testz00_3328)
{ /* Jvm/extern.scm 217 */
BgL_test3174z00_1743 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 217 */
BgL_test3174z00_1743 = ((bool_t)1); } }  else 
{ /* Jvm/extern.scm 217 */
BgL_test3174z00_1743 = ((bool_t)0); } } 
if(BgL_test3174z00_1743)
{ /* Jvm/extern.scm 217 */
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3277z00zzjvm_externz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_idz00), current_output_port); 
{ /* Jvm/extern.scm 218 */
unsigned char BgL_auxz00_3338;
BgL_auxz00_3338 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BCHAR(BgL_auxz00_3338); } }  else 
{ /* Jvm/extern.scm 217 */BFALSE; } } 
return BFALSE;} } } 
}



/* _global-to-be-declared */
obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t BgL_envz00_2978, obj_t BgL_globalz00_2979)
{ AN_OBJECT;
{ /* Jvm/extern.scm 205 */
return 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2979));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)44374), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)22355), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)31254), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)44545), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_extern"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_extern");} 
}

