/*===========================================================================*/
/*   (Jvm/jdump.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_jdumpz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(obj_t, obj_t);
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_addsuffixz00zzjvm_jdumpz00(obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
extern bool_t directoryp(char *);
static obj_t BGl_cnstzd2initzd2zzjvm_jdumpz00();
extern obj_t BGl_basenamez00zz__osz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00();
extern obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
extern obj_t current_output_port;
static obj_t BGl_toplevelzd2initzd2zzjvm_jdumpz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t close_output_port(obj_t);
extern obj_t BGl_makezd2bigloozd2mainz00zzcgen_mainz00();
static obj_t BGl_emitz00zzjvm_jdumpz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
static obj_t BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00(obj_t);
static obj_t BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00();
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t open_output_file(obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_jasnamez00zzjvm_jdumpz00(obj_t);
extern obj_t BGl_dirnamez00zz__osz00(obj_t);
extern bool_t fexists(char *);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_jdumpz00 = BUNSPEC;
static obj_t BGl__jvmzd2dumpzd2zzjvm_jdumpz00(obj_t, obj_t);
extern obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
extern obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_jvmasdumpz00zzjvm_jdumpz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00();
static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = BUNSPEC;
extern obj_t BGl_jvmzd2compilezd2zzjvm_compilez00(obj_t);
static obj_t __cnst[ 8 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2dumpzd2envz00zzjvm_jdumpz00, BgL_bgl__jvmza7d2dumpza7d2za7za7jvm_jdumpza7003071za7, BGl__jvmzd2dumpzd2zzjvm_jdumpz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_startzd2jvmzd2emissionz12zd2envzc0zzjvm_jdumpz00, BgL_bgl__startza7d2jvmza7d2emissionza712za712za7za7jvm_jdumpza7003072za7, BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00, 0L, 0 );
DEFINE_STRING( BGl_string3066z00zzjvm_jdumpz00, BgL_bgl_string3066za700za7za7jvm_jdumpza7003073z00, "class jast lower jvmas ld (ld distrib) (start-jvm-emission!) pass-started ", 74 );
DEFINE_STRING( BGl_string3065z00zzjvm_jdumpz00, BgL_bgl_string3065za700za7za7jvm_jdumpza7003074z00, "Can't write dest file because directory doesn't exist", 53 );
DEFINE_STRING( BGl_string3064z00zzjvm_jdumpz00, BgL_bgl_string3064za700za7za7jvm_jdumpza7003075z00, "start-jvm-emission!", 19 );
DEFINE_STRING( BGl_string3063z00zzjvm_jdumpz00, BgL_bgl_string3063za700za7za7jvm_jdumpza7003076z00, "Incompatible package name and class path.", 41 );
DEFINE_STRING( BGl_string3062z00zzjvm_jdumpz00, BgL_bgl_string3062za700za7za7jvm_jdumpza7003077z00, "Package name for module ", 24 );
DEFINE_STRING( BGl_string3061z00zzjvm_jdumpz00, BgL_bgl_string3061za700za7za7jvm_jdumpza7003078z00, " is `", 5 );
DEFINE_STRING( BGl_string3060z00zzjvm_jdumpz00, BgL_bgl_string3060za700za7za7jvm_jdumpza7003079z00, "', class path is `", 18 );
DEFINE_STRING( BGl_string3059z00zzjvm_jdumpz00, BgL_bgl_string3059za700za7za7jvm_jdumpza7003080z00, "'.", 2 );
DEFINE_STRING( BGl_string3058z00zzjvm_jdumpz00, BgL_bgl_string3058za700za7za7jvm_jdumpza7003081z00, "", 0 );
DEFINE_STRING( BGl_string3057z00zzjvm_jdumpz00, BgL_bgl_string3057za700za7za7jvm_jdumpza7003082z00, "Can't open file for output", 26 );
DEFINE_STRING( BGl_string3056z00zzjvm_jdumpz00, BgL_bgl_string3056za700za7za7jvm_jdumpza7003083z00, "jvm-dump", 8 );
DEFINE_STRING( BGl_string3055z00zzjvm_jdumpz00, BgL_bgl_string3055za700za7za7jvm_jdumpza7003084z00, "/a.class", 8 );
DEFINE_STRING( BGl_string3054z00zzjvm_jdumpz00, BgL_bgl_string3054za700za7za7jvm_jdumpza7003085z00, "/", 1 );
DEFINE_STRING( BGl_string3053z00zzjvm_jdumpz00, BgL_bgl_string3053za700za7za7jvm_jdumpza7003086z00, "a.class", 7 );
DEFINE_STRING( BGl_string3052z00zzjvm_jdumpz00, BgL_bgl_string3052za700za7za7jvm_jdumpza7003087z00, "      [module: ", 15 );
DEFINE_STRING( BGl_string3051z00zzjvm_jdumpz00, BgL_bgl_string3051za700za7za7jvm_jdumpza7003088z00, " qualified type name: ", 22 );
DEFINE_STRING( BGl_string3050z00zzjvm_jdumpz00, BgL_bgl_string3050za700za7za7jvm_jdumpza7003089z00, "]", 1 );
DEFINE_STRING( BGl_string3049z00zzjvm_jdumpz00, BgL_bgl_string3049za700za7za7jvm_jdumpza7003090z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3048z00zzjvm_jdumpz00, BgL_bgl_string3048za700za7za7jvm_jdumpza7003091z00, "   . ", 5 );
DEFINE_STRING( BGl_string3047z00zzjvm_jdumpz00, BgL_bgl_string3047za700za7za7jvm_jdumpza7003092z00, "Jvm", 3 );
DEFINE_STRING( BGl_string3046z00zzjvm_jdumpz00, BgL_bgl_string3046za700za7za7jvm_jdumpza7003093z00, ".", 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long BgL_checksumz00_2657, char * BgL_fromz00_2658)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_jdumpz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_jdumpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00(); 
BGl_cnstzd2initzd2zzjvm_jdumpz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00(); 
BGl_toplevelzd2initzd2zzjvm_jdumpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 71 */
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_jdump"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 71 */
{ /* Jvm/jdump.scm 71 */
obj_t BgL_cportz00_2650;
BgL_cportz00_2650 = 
open_input_string(BGl_string3066z00zzjvm_jdumpz00); 
{ 
long BgL_iz00_2651;
BgL_iz00_2651 = ((long)7); 
BgL_loopz00_2652:
if(
(BgL_iz00_2651==((long)-1)))
{ /* Jvm/jdump.scm 71 */
return BUNSPEC;}  else 
{ /* Jvm/jdump.scm 71 */
{ /* Jvm/jdump.scm 71 */
obj_t BgL_arg3068z00_2654;
{ /* Jvm/jdump.scm 71 */
obj_t BgL_list3069z00_2655;
BgL_list3069z00_2655 = 
MAKE_PAIR(BgL_cportz00_2650, BNIL); 
BgL_arg3068z00_2654 = 
BGl_readz00zz__readerz00(BgL_list3069z00_2655); } 
{ /* Jvm/jdump.scm 71 */
int BgL_auxz00_2679;
BgL_auxz00_2679 = 
(int)(BgL_iz00_2651); 
CNST_TABLE_SET(BgL_auxz00_2679, BgL_arg3068z00_2654); } } 
{ 
long BgL_iz00_2682;
{ /* Jvm/jdump.scm 71 */
int BgL_auxz00_2683;
{ /* Jvm/jdump.scm 71 */
long BgL_auxz00_2684;
BgL_auxz00_2684 = 
(BgL_iz00_2651-((long)1)); 
BgL_auxz00_2683 = 
(int)(BgL_auxz00_2684); } 
BgL_iz00_2682 = 
(long)(BgL_auxz00_2683); } 
BgL_iz00_2651 = BgL_iz00_2682; 
goto BgL_loopz00_2652;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 71 */
return ( 
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = BGl_string3046z00zzjvm_jdumpz00, BUNSPEC) ;} 
}



/* jvm-dump */
obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t BgL_globalsz00_19)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 96 */
{ /* Jvm/jdump.scm 98 */
obj_t BgL_list2890z00_1442;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_arg2892z00_1444;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_arg2894z00_1446;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_auxz00_2688;
BgL_auxz00_2688 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2894z00_1446 = 
MAKE_PAIR(BgL_auxz00_2688, BNIL); } 
BgL_arg2892z00_1444 = 
MAKE_PAIR(BGl_string3047z00zzjvm_jdumpz00, BgL_arg2894z00_1446); } 
BgL_list2890z00_1442 = 
MAKE_PAIR(BGl_string3048z00zzjvm_jdumpz00, BgL_arg2892z00_1444); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2890z00_1442); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3047z00zzjvm_jdumpz00; 
{ 
obj_t BgL_hooksz00_1447;obj_t BgL_hnamesz00_1448;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_arg2895z00_1450;obj_t BgL_arg2896z00_1451;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_list2897z00_1452;
BgL_list2897z00_1452 = 
MAKE_PAIR(BGl_startzd2jvmzd2emissionz12zd2envzc0zzjvm_jdumpz00, BNIL); 
BgL_arg2895z00_1450 = BgL_list2897z00_1452; } 
BgL_arg2896z00_1451 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_1447 = BgL_arg2895z00_1450; 
BgL_hnamesz00_1448 = BgL_arg2896z00_1451; 
BgL_loopz00_1449:
if(
NULLP(BgL_hooksz00_1447))
{ /* Jvm/jdump.scm 98 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Jvm/jdump.scm 98 */
bool_t BgL_test2899z00_1454;
{ /* Jvm/jdump.scm 98 */
obj_t BgL_fun2905z00_1460;
BgL_fun2905z00_1460 = 
CAR(BgL_hooksz00_1447); 
{ /* Jvm/jdump.scm 98 */
obj_t BgL_auxz00_2702;
BgL_auxz00_2702 = 
PROCEDURE_ENTRY(BgL_fun2905z00_1460)(BgL_fun2905z00_1460, BEOA); 
BgL_test2899z00_1454 = 
CBOOL(BgL_auxz00_2702); } } 
if(BgL_test2899z00_1454)
{ /* Jvm/jdump.scm 98 */
{ 
obj_t BgL_hnamesz00_2709;obj_t BgL_hooksz00_2707;
BgL_hooksz00_2707 = 
CDR(BgL_hooksz00_1447); 
BgL_hnamesz00_2709 = 
CDR(BgL_hnamesz00_1448); 
BgL_hnamesz00_1448 = BgL_hnamesz00_2709; 
BgL_hooksz00_1447 = BgL_hooksz00_2707; 
goto BgL_loopz00_1449;} }  else 
{ /* Jvm/jdump.scm 98 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3047z00zzjvm_jdumpz00, BGl_string3049z00zzjvm_jdumpz00, 
CAR(BgL_hnamesz00_1448)); } } } } 
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2909z00_1464;
BgL_arg2909z00_1464 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* Jvm/jdump.scm 99 */
obj_t BgL_list2911z00_1466;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2912z00_1467;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2913z00_1468;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2914z00_1469;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2915z00_1470;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_arg2916z00_1471;
{ /* Jvm/jdump.scm 99 */
obj_t BgL_auxz00_2714;
BgL_auxz00_2714 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2916z00_1471 = 
MAKE_PAIR(BgL_auxz00_2714, BNIL); } 
BgL_arg2915z00_1470 = 
MAKE_PAIR(BGl_string3050z00zzjvm_jdumpz00, BgL_arg2916z00_1471); } 
BgL_arg2914z00_1469 = 
MAKE_PAIR(BgL_arg2909z00_1464, BgL_arg2915z00_1470); } 
BgL_arg2913z00_1468 = 
MAKE_PAIR(BGl_string3051z00zzjvm_jdumpz00, BgL_arg2914z00_1469); } 
BgL_arg2912z00_1467 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2913z00_1468); } 
BgL_list2911z00_1466 = 
MAKE_PAIR(BGl_string3052z00zzjvm_jdumpz00, BgL_arg2912z00_1467); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2911z00_1466); } } 
{ /* Jvm/jdump.scm 103 */
bool_t BgL_test2917z00_1472;
if(
CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
{ /* Jvm/jdump.scm 103 */
BgL_test2917z00_1472 = ((bool_t)0); }  else 
{ /* Jvm/jdump.scm 103 */
obj_t BgL_auxz00_2726;
BgL_auxz00_2726 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)2))); 
BgL_test2917z00_1472 = 
CBOOL(BgL_auxz00_2726); } 
if(BgL_test2917z00_1472)
{ /* Jvm/jdump.scm 103 */
BGl_za2mainza2z00zzmodule_modulez00 = 
BGl_makezd2bigloozd2mainz00zzcgen_mainz00(); }  else 
{ /* Jvm/jdump.scm 103 */BFALSE; } } 
BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
{ /* Jvm/jdump.scm 125 */
obj_t BgL_lza2za2_1473;obj_t BgL_bnamez00_1474;
BgL_lza2za2_1473 = 
BGl_jvmzd2compilezd2zzjvm_compilez00(BgL_globalsz00_19); 
{ /* Jvm/jdump.scm 127 */
bool_t BgL_test2923z00_1483;
{ /* Jvm/jdump.scm 127 */
obj_t BgL_auxz00_2734;
BgL_auxz00_2734 = 
CNST_TABLE_REF(((long)3)); 
BgL_test2923z00_1483 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_2734); } 
if(BgL_test2923z00_1483)
{ /* Jvm/jdump.scm 127 */
{ /* Jvm/jdump.scm 128 */
bool_t BgL_test2924z00_1484;
{ /* Jvm/jdump.scm 128 */
obj_t BgL_objz00_2018;
BgL_objz00_2018 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test2924z00_1484 = 
PAIRP(BgL_objz00_2018); } 
if(BgL_test2924z00_1484)
{ /* Jvm/jdump.scm 129 */
obj_t BgL_arg2925z00_1485;
{ /* Jvm/jdump.scm 129 */
obj_t BgL_arg2926z00_1486;
{ /* Jvm/jdump.scm 129 */
obj_t BgL_arg2927z00_1487;
{ /* Jvm/jdump.scm 129 */
obj_t BgL_pairz00_2019;
BgL_pairz00_2019 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg2927z00_1487 = 
CAR(BgL_pairz00_2019); } 
BgL_arg2926z00_1486 = 
BGl_basenamez00zz__osz00(BgL_arg2927z00_1487); } 
BgL_arg2925z00_1485 = 
BGl_prefixz00zz__osz00(BgL_arg2926z00_1486); } 
BgL_bnamez00_1474 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg2925z00_1485); }  else 
{ /* Jvm/jdump.scm 128 */
BgL_bnamez00_1474 = BGl_string3053z00zzjvm_jdumpz00; } } }  else 
{ /* Jvm/jdump.scm 131 */
bool_t BgL_test2928z00_1488;
{ /* Jvm/jdump.scm 131 */
obj_t BgL_objz00_2020;
BgL_objz00_2020 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test2928z00_1488 = 
STRINGP(BgL_objz00_2020); } 
if(BgL_test2928z00_1488)
{ /* Jvm/jdump.scm 131 */
{ /* Jvm/jdump.scm 136 */
obj_t BgL_arg2929z00_1489;
{ /* Jvm/jdump.scm 136 */
obj_t BgL_arg2930z00_1490;
BgL_arg2930z00_1490 = 
BGl_basenamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BgL_arg2929z00_1489 = 
BGl_prefixz00zz__osz00(BgL_arg2930z00_1490); } 
BgL_bnamez00_1474 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg2929z00_1489); } }  else 
{ /* Jvm/jdump.scm 131 */
{ /* Jvm/jdump.scm 132 */
bool_t BgL_test2931z00_1491;
{ /* Jvm/jdump.scm 132 */
obj_t BgL_objz00_2021;
BgL_objz00_2021 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test2931z00_1491 = 
PAIRP(BgL_objz00_2021); } 
if(BgL_test2931z00_1491)
{ /* Jvm/jdump.scm 133 */
obj_t BgL_arg2932z00_1492;
{ /* Jvm/jdump.scm 133 */
obj_t BgL_arg2933z00_1493;
{ /* Jvm/jdump.scm 133 */
obj_t BgL_arg2934z00_1494;
{ /* Jvm/jdump.scm 133 */
obj_t BgL_pairz00_2022;
BgL_pairz00_2022 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg2934z00_1494 = 
CAR(BgL_pairz00_2022); } 
BgL_arg2933z00_1493 = 
BGl_basenamez00zz__osz00(BgL_arg2934z00_1494); } 
BgL_arg2932z00_1492 = 
BGl_prefixz00zz__osz00(BgL_arg2933z00_1493); } 
BgL_bnamez00_1474 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg2932z00_1492); }  else 
{ /* Jvm/jdump.scm 132 */
BgL_bnamez00_1474 = BFALSE; } } } } } 
BGl_emitz00zzjvm_jdumpz00(
CAR(BgL_lza2za2_1473), BgL_bnamez00_1474); 
{ 
obj_t BgL_l2878z00_1476;
{ /* Jvm/jdump.scm 138 */
bool_t BgL_auxz00_2757;
BgL_l2878z00_1476 = 
CDR(BgL_lza2za2_1473); 
BgL_lname2879z00_1477:
if(
PAIRP(BgL_l2878z00_1476))
{ /* Jvm/jdump.scm 138 */
{ /* Jvm/jdump.scm 138 */
obj_t BgL_cfz00_1480;
BgL_cfz00_1480 = 
CAR(BgL_l2878z00_1476); 
{ /* Jvm/jdump.scm 138 */
obj_t BgL_arg2921z00_1481;
BgL_arg2921z00_1481 = 
BGl_jasnamez00zzjvm_jdumpz00(BgL_cfz00_1480); 
BGl_emitz00zzjvm_jdumpz00(BgL_cfz00_1480, BgL_arg2921z00_1481); } } 
{ 
obj_t BgL_l2878z00_2763;
BgL_l2878z00_2763 = 
CDR(BgL_l2878z00_1476); 
BgL_l2878z00_1476 = BgL_l2878z00_2763; 
goto BgL_lname2879z00_1477;} }  else 
{ /* Jvm/jdump.scm 138 */
BgL_auxz00_2757 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2757);} } } } 
}



/* emit */
obj_t BGl_emitz00zzjvm_jdumpz00(obj_t BgL_classfilez00_1495, obj_t BgL_destz00_1496)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 123 */
{ /* Jvm/jdump.scm 107 */
obj_t BgL_dirz00_1498;
BgL_dirz00_1498 = BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00; 
{ /* Jvm/jdump.scm 108 */
bool_t BgL_test2936z00_1499;
{ /* Jvm/jdump.scm 108 */
obj_t BgL_auxz00_2767;
BgL_auxz00_2767 = 
CNST_TABLE_REF(((long)4)); 
BgL_test2936z00_1499 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_2767); } 
if(BgL_test2936z00_1499)
{ /* Jvm/jdump.scm 109 */
obj_t BgL_portz00_1500;
if(
STRINGP(BgL_destz00_1496))
{ /* Jvm/jdump.scm 112 */
obj_t BgL_arg2940z00_1504;
BgL_arg2940z00_1504 = 
string_append_3(BgL_dirz00_1498, BGl_string3054z00zzjvm_jdumpz00, BgL_destz00_1496); 
BgL_portz00_1500 = 
open_output_file(BgL_arg2940z00_1504); }  else 
{ /* Jvm/jdump.scm 109 */
BgL_portz00_1500 = current_output_port; } 
BGl_jvmasdumpz00zzjvm_jdumpz00(BgL_classfilez00_1495, BgL_portz00_1500); 
if(
(BgL_portz00_1500==current_output_port))
{ /* Jvm/jdump.scm 114 */
return BFALSE;}  else 
{ /* Jvm/jdump.scm 114 */
return 
close_output_port(BgL_portz00_1500);} }  else 
{ /* Jvm/jdump.scm 116 */
obj_t BgL_cnamez00_1505;
if(
STRINGP(BgL_destz00_1496))
{ /* Jvm/jdump.scm 116 */
BgL_cnamez00_1505 = 
string_append_3(BgL_dirz00_1498, BGl_string3054z00zzjvm_jdumpz00, BgL_destz00_1496); }  else 
{ /* Jvm/jdump.scm 116 */
BgL_cnamez00_1505 = 
string_append(BgL_dirz00_1498, BGl_string3055z00zzjvm_jdumpz00); } 
{ /* Jvm/jdump.scm 116 */
obj_t BgL_portz00_1506;
BgL_portz00_1506 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_cnamez00_1505); 
{ /* Jvm/jdump.scm 119 */

if(
BINARY_PORTP(BgL_portz00_1506))
{ /* Jvm/jdump.scm 120 */((bool_t)0); }  else 
{ /* Jvm/jdump.scm 120 */
FAILURE(BGl_string3056z00zzjvm_jdumpz00,BGl_string3057z00zzjvm_jdumpz00,BgL_cnamez00_1505);} 
BGl_jvmzd2aszd2zzjas_asz00(BgL_classfilez00_1495, BgL_portz00_1506); 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_1506);} } } } } } 
}



/* _jvm-dump */
obj_t BGl__jvmzd2dumpzd2zzjvm_jdumpz00(obj_t BgL_envz00_2646, obj_t BgL_globalsz00_2647)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 96 */
return 
BGl_jvmzd2dumpzd2zzjvm_jdumpz00(BgL_globalsz00_2647);} 
}



/* jvm-check-package */
obj_t BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(obj_t BgL_modulez00_20, obj_t BgL_pathz00_21)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 147 */
{ 
obj_t BgL_basez00_1529;obj_t BgL_pathz00_1530;
{ /* Jvm/jdump.scm 164 */
obj_t BgL_qtypez00_1511;
BgL_qtypez00_1511 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_20); 
{ /* Jvm/jdump.scm 164 */
obj_t BgL_basez00_1512;
{ /* Jvm/jdump.scm 165 */
obj_t BgL_prez00_1526;
BgL_prez00_1526 = 
BGl_prefixz00zz__osz00(BgL_qtypez00_1511); 
{ /* Jvm/jdump.scm 167 */
bool_t BgL_test2956z00_1527;
BgL_test2956z00_1527 = 
bigloo_strcmp(BgL_prez00_1526, BGl_string3058z00zzjvm_jdumpz00); 
if(BgL_test2956z00_1527)
{ /* Jvm/jdump.scm 167 */
BgL_basez00_1512 = BGl_string3046z00zzjvm_jdumpz00; }  else 
{ /* Jvm/jdump.scm 169 */
bool_t BgL_test2957z00_1528;
BgL_test2957z00_1528 = 
bigloo_strcmp(BgL_prez00_1526, BgL_qtypez00_1511); 
if(BgL_test2957z00_1528)
{ /* Jvm/jdump.scm 169 */
BgL_basez00_1512 = BGl_string3046z00zzjvm_jdumpz00; }  else 
{ /* Jvm/jdump.scm 169 */
BgL_basez00_1512 = BgL_prez00_1526; } } } } 
{ /* Jvm/jdump.scm 165 */

{ /* Jvm/jdump.scm 173 */
bool_t BgL_testz00_2796;
BgL_basez00_1529 = BgL_basez00_1512; 
BgL_pathz00_1530 = BgL_pathz00_21; 
{ /* Jvm/jdump.scm 149 */
int BgL_lbasez00_1532;int BgL_lpathz00_1533;
BgL_lbasez00_1532 = 
STRING_LENGTH(BgL_basez00_1529); 
BgL_lpathz00_1533 = 
STRING_LENGTH(BgL_pathz00_1530); 
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_lpathz00_1533), 
BINT(BgL_lbasez00_1532)))
{ /* Jvm/jdump.scm 151 */
BgL_testz00_2796 = ((bool_t)0)
; }  else 
{ 
long BgL_rpathz00_1535;long BgL_rbasez00_1536;
{ /* Jvm/jdump.scm 153 */
long BgL_auxz00_2821;
BgL_auxz00_2821 = 
(long)(BgL_lpathz00_1533); 
BgL_rpathz00_1535 = 
(BgL_auxz00_2821-((long)1)); } 
{ /* Jvm/jdump.scm 154 */
long BgL_auxz00_2824;
BgL_auxz00_2824 = 
(long)(BgL_lbasez00_1532); 
BgL_rbasez00_1536 = 
(BgL_auxz00_2824-((long)1)); } 
BgL_loopz00_1537:
if(
(BgL_rbasez00_1536==((long)-1)))
{ /* Jvm/jdump.scm 155 */
BgL_testz00_2796 = ((bool_t)1)
; }  else 
{ /* Jvm/jdump.scm 157 */
unsigned char BgL_cbasez00_1541;unsigned char BgL_cpathz00_1542;
{ /* Jvm/jdump.scm 157 */
int BgL_auxz00_2805;
BgL_auxz00_2805 = 
(int)(BgL_rbasez00_1536); 
BgL_cbasez00_1541 = 
STRING_REF(BgL_basez00_1529, BgL_auxz00_2805); } 
{ /* Jvm/jdump.scm 158 */
int BgL_auxz00_2808;
BgL_auxz00_2808 = 
(int)(BgL_rpathz00_1535); 
BgL_cpathz00_1542 = 
STRING_REF(BgL_pathz00_1530, BgL_auxz00_2808); } 
{ /* Jvm/jdump.scm 159 */
bool_t BgL_testz00_2811;
if(
(BgL_cbasez00_1541==BgL_cpathz00_1542))
{ /* Jvm/jdump.scm 159 */
BgL_testz00_2811 = ((bool_t)1)
; }  else 
{ /* Jvm/jdump.scm 159 */
if(
(BgL_cpathz00_1542==((unsigned char)'/')))
{ /* Jvm/jdump.scm 160 */
BgL_testz00_2811 = 
(BgL_cbasez00_1541==((unsigned char)'.'))
; }  else 
{ /* Jvm/jdump.scm 160 */
BgL_testz00_2811 = ((bool_t)0)
; } } 
if(BgL_testz00_2811)
{ 
long BgL_rbasez00_2819;long BgL_rpathz00_2817;
BgL_rpathz00_2817 = 
(BgL_rpathz00_1535-((long)1)); 
BgL_rbasez00_2819 = 
(BgL_rbasez00_1536-((long)1)); 
BgL_rbasez00_1536 = BgL_rbasez00_2819; 
BgL_rpathz00_1535 = BgL_rpathz00_2817; 
goto BgL_loopz00_1537;}  else 
{ /* Jvm/jdump.scm 159 */
BgL_testz00_2796 = ((bool_t)0)
; } } } } } 
if(BgL_testz00_2796)
{ /* Jvm/jdump.scm 173 */
return BFALSE;}  else 
{ /* Jvm/jdump.scm 174 */
obj_t BgL_list2944z00_1514;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2946z00_1516;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2948z00_1518;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2949z00_1519;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2951z00_1521;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2952z00_1522;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2954z00_1524;
{ /* Jvm/jdump.scm 174 */
obj_t BgL_arg2955z00_1525;
BgL_arg2955z00_1525 = 
MAKE_PAIR(BGl_string3059z00zzjvm_jdumpz00, BNIL); 
BgL_arg2954z00_1524 = 
MAKE_PAIR(BgL_pathz00_21, BgL_arg2955z00_1525); } 
BgL_arg2952z00_1522 = 
MAKE_PAIR(BGl_string3060z00zzjvm_jdumpz00, BgL_arg2954z00_1524); } 
BgL_arg2951z00_1521 = 
MAKE_PAIR(BgL_basez00_1512, BgL_arg2952z00_1522); } 
BgL_arg2949z00_1519 = 
MAKE_PAIR(BGl_string3061z00zzjvm_jdumpz00, BgL_arg2951z00_1521); } 
BgL_arg2948z00_1518 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2949z00_1519); } 
BgL_arg2946z00_1516 = 
MAKE_PAIR(BGl_string3062z00zzjvm_jdumpz00, BgL_arg2948z00_1518); } 
BgL_list2944z00_1514 = 
MAKE_PAIR(BGl_string3063z00zzjvm_jdumpz00, BgL_arg2946z00_1516); } 
return 
BGl_warningz00zz__errorz00(BgL_list2944z00_1514);} } } } } } } 
}



/* jvmasdump */
obj_t BGl_jvmasdumpz00zzjvm_jdumpz00(obj_t BgL_classfilez00_22, obj_t BgL_portz00_23)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 180 */
{ /* Jvm/jdump.scm 181 */
obj_t BgL_owz00_1549;obj_t BgL_ocz00_1550;
BgL_owz00_1549 = BGl_za2ppzd2widthza2zd2zz__ppz00; 
BgL_ocz00_1550 = BGl_za2ppzd2caseza2zd2zz__ppz00; 
BGl_za2ppzd2widthza2zd2zz__ppz00 = 
BINT(((long)1024)); 
BGl_za2ppzd2caseza2zd2zz__ppz00 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/jdump.scm 184 */
obj_t BgL_list2967z00_1551;
BgL_list2967z00_1551 = 
MAKE_PAIR(BgL_portz00_23, BNIL); 
BGl_ppz00zz__ppz00(BgL_classfilez00_22, BgL_list2967z00_1551); } 
BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_1550; 
return ( 
BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_1549, BUNSPEC) ;} } 
}



/* addsuffix */
obj_t BGl_addsuffixz00zzjvm_jdumpz00(obj_t BgL_namez00_24)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 188 */
{ /* Jvm/jdump.scm 190 */
char * BgL_arg2968z00_1552;
{ /* Jvm/jdump.scm 190 */
obj_t BgL_casezd2valuezd2_1553;
BgL_casezd2valuezd2_1553 = BGl_za2passza2z00zzengine_paramz00; 
{ /* Jvm/jdump.scm 190 */
bool_t BgL_testz00_2840;
{ /* Jvm/jdump.scm 190 */
obj_t BgL_auxz00_2841;
BgL_auxz00_2841 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2840 = 
(BgL_casezd2valuezd2_1553==BgL_auxz00_2841); } 
if(BgL_testz00_2840)
{ /* Jvm/jdump.scm 190 */
BgL_arg2968z00_1552 = ".jast"; }  else 
{ /* Jvm/jdump.scm 190 */
bool_t BgL_testz00_2844;
{ /* Jvm/jdump.scm 190 */
obj_t BgL_auxz00_2845;
BgL_auxz00_2845 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_2844 = 
(BgL_casezd2valuezd2_1553==BgL_auxz00_2845); } 
if(BgL_testz00_2844)
{ /* Jvm/jdump.scm 190 */
BgL_arg2968z00_1552 = ".jas"; }  else 
{ /* Jvm/jdump.scm 190 */
BgL_arg2968z00_1552 = ".class"; } } } } 
{ /* Jvm/jdump.scm 189 */
obj_t BgL_auxz00_2848;
BgL_auxz00_2848 = 
string_to_bstring(BgL_arg2968z00_1552); 
return 
string_append(BgL_namez00_24, BgL_auxz00_2848);} } } 
}



/* jasname */
obj_t BGl_jasnamez00zzjvm_jdumpz00(obj_t BgL_cfz00_25)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 198 */
if(
PAIRP(BgL_cfz00_25))
{ /* Jvm/jdump.scm 199 */
obj_t BgL_carzd2105zd2_1560;
BgL_carzd2105zd2_1560 = 
CAR(BgL_cfz00_25); 
if(
PAIRP(BgL_carzd2105zd2_1560))
{ /* Jvm/jdump.scm 199 */
obj_t BgL_cdrzd2109zd2_1562;
BgL_cdrzd2109zd2_1562 = 
CDR(BgL_carzd2105zd2_1560); 
{ /* Jvm/jdump.scm 199 */
bool_t BgL_testz00_2857;
{ /* Jvm/jdump.scm 199 */
obj_t BgL_auxz00_2860;obj_t BgL_auxz00_2858;
BgL_auxz00_2860 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_2858 = 
CAR(BgL_carzd2105zd2_1560); 
BgL_testz00_2857 = 
(BgL_auxz00_2858==BgL_auxz00_2860); } 
if(BgL_testz00_2857)
{ /* Jvm/jdump.scm 199 */
if(
PAIRP(BgL_cdrzd2109zd2_1562))
{ /* Jvm/jdump.scm 199 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2109zd2_1562), BNIL))
{ /* Jvm/jdump.scm 199 */
obj_t BgL_arg2981z00_2071;
{ /* Jvm/jdump.scm 199 */
obj_t BgL_auxz00_2868;
BgL_auxz00_2868 = 
CAR(BgL_cdrzd2109zd2_1562); 
BgL_arg2981z00_2071 = 
SYMBOL_TO_STRING(BgL_auxz00_2868); } 
return 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg2981z00_2071);}  else 
{ /* Jvm/jdump.scm 199 */
return BFALSE;} }  else 
{ /* Jvm/jdump.scm 199 */
return BFALSE;} }  else 
{ /* Jvm/jdump.scm 199 */
return BFALSE;} } }  else 
{ /* Jvm/jdump.scm 199 */
return BFALSE;} }  else 
{ /* Jvm/jdump.scm 199 */
return BFALSE;} } 
}



/* start-jvm-emission! */
obj_t BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 206 */
{ /* Jvm/jdump.scm 208 */
bool_t BgL_test2982z00_1572;
{ /* Jvm/jdump.scm 208 */
obj_t BgL_auxz00_2872;
BgL_auxz00_2872 = 
CNST_TABLE_REF(((long)3)); 
BgL_test2982z00_1572 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_2872); } 
if(BgL_test2982z00_1572)
{ /* Jvm/jdump.scm 208 */
{ /* Jvm/jdump.scm 209 */
bool_t BgL_test2983z00_1573;
{ /* Jvm/jdump.scm 209 */
obj_t BgL_objz00_2075;
BgL_objz00_2075 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test2983z00_1573 = 
PAIRP(BgL_objz00_2075); } 
if(BgL_test2983z00_1573)
{ /* Jvm/jdump.scm 210 */
obj_t BgL_arg2984z00_1574;
{ /* Jvm/jdump.scm 210 */
obj_t BgL_pairz00_2076;
BgL_pairz00_2076 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg2984z00_1574 = 
CAR(BgL_pairz00_2076); } 
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = 
BGl_dirnamez00zz__osz00(BgL_arg2984z00_1574); }  else 
{ /* Jvm/jdump.scm 209 */BFALSE; } } }  else 
{ /* Jvm/jdump.scm 211 */
bool_t BgL_test2985z00_1575;
{ /* Jvm/jdump.scm 211 */
obj_t BgL_objz00_2077;
BgL_objz00_2077 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test2985z00_1575 = 
STRINGP(BgL_objz00_2077); } 
if(BgL_test2985z00_1575)
{ /* Jvm/jdump.scm 211 */
{ /* Jvm/jdump.scm 212 */
obj_t BgL_dnamez00_1576;
BgL_dnamez00_1576 = 
BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
{ /* Jvm/jdump.scm 213 */
bool_t BgL_test2986z00_1577;
BgL_test2986z00_1577 = 
bigloo_strcmp(BgL_dnamez00_1576, BGl_string3058z00zzjvm_jdumpz00); 
if(BgL_test2986z00_1577)
{ /* Jvm/jdump.scm 213 */BFALSE; }  else 
{ /* Jvm/jdump.scm 213 */
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = 
BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); } } } }  else 
{ /* Jvm/jdump.scm 211 */BFALSE; } } } 
{ /* Jvm/jdump.scm 215 */
bool_t BgL_test2987z00_1578;
{ /* Jvm/jdump.scm 215 */
bool_t BgL_test2988z00_1579;
{ /* Jvm/jdump.scm 215 */
char * BgL_namez00_2080;
BgL_namez00_2080 = 
BSTRING_TO_STRING(BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
BgL_test2988z00_1579 = 
fexists(BgL_namez00_2080); } 
if(BgL_test2988z00_1579)
{ /* Jvm/jdump.scm 215 */
char * BgL_stringz00_2081;
BgL_stringz00_2081 = 
BSTRING_TO_STRING(BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
BgL_test2987z00_1578 = 
directoryp(BgL_stringz00_2081); }  else 
{ /* Jvm/jdump.scm 215 */
BgL_test2987z00_1578 = ((bool_t)0); } } 
if(BgL_test2987z00_1578)
{ /* Jvm/jdump.scm 215 */
return BTRUE;}  else 
{ /* Jvm/jdump.scm 216 */
obj_t BgL_objectz00_2084;
BgL_objectz00_2084 = BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00; 
FAILURE(BGl_string3064z00zzjvm_jdumpz00,BGl_string3065z00zzjvm_jdumpz00,BgL_objectz00_2084);} } } 
}



/* _start-jvm-emission! */
obj_t BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00(obj_t BgL_envz00_2648)
{ AN_OBJECT;
{ /* Jvm/jdump.scm 206 */
return 
BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 71 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* Jvm/jdump.scm 71 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzjvm_compilez00(((long)49882), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzjas_asz00(((long)62726), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)44545), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzcgen_mainz00(((long)1758), "jvm_jdump"); 
return 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)56964), "jvm_jdump");} 
}

