/*===========================================================================*/
/*   (Jvm/predicate.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzjvm_predicatez00();
static obj_t BGl__compilezd2predicatezd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2var2965z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2atom2963z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2select2975z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2pragma2985z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_comp_3130z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3131z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2setfield2989z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_comp_3132z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3133z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3134z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2funcall2983z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_compilezd2predicatezd2new2991z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2fail3009z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_predicatez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compz00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_predicatez00();
static obj_t BGl_compilezd2predicatezd2conditional2973z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2appzd2ly2981zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_inlinezd2predzf3z21zzjvm_inlinez00;
extern obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2vlength2999z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2getfield2987z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_predicatez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl__ifz00zzjvm_instrz00(obj_t, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2makezd2box3011zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2ref3013zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2cast3003z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3007z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2valloc2993z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2app2979z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_newz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2setzd2exzd2it3005z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2vsetz122997z12zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__compilezd2predicatezd2default2959z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2letzd2var2967zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2letzd2fun2977zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2vref2995z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2sequence2971z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2setq2969z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_predicatez00 = BUNSPEC;
static obj_t BGl_compilezd2predicatezd2isa3001z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2setz123015zc0zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2default2959z00zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_GENERIC( BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_bgl__compileza7d2predicateza7d2za7za7jvm_predicateza7003168za7, BGl__compilezd2predicatezd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3135z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2atom2963za700za7za7jvm_predicateza7003169z00, BGl_compilezd2predicatezd2atom2963z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3136z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2var2965za700za7za7jvm_predicateza7003170z00, BGl_compilezd2predicatezd2var2965z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3137z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2var2967za7d2za7za7jvm_predicateza7003171za7, BGl_compilezd2predicatezd2letzd2var2967zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3138z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setq2969za700za7za7jvm_predicateza7003172z00, BGl_compilezd2predicatezd2setq2969z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3140z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2conditional2973za700za7za7jvm_predicateza7003173z00, BGl_compilezd2predicatezd2conditional2973z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3139z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2sequence2971za700za7za7jvm_predicateza7003174z00, BGl_compilezd2predicatezd2sequence2971z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3141z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2select2975za700za7za7jvm_predicateza7003175z00, BGl_compilezd2predicatezd2select2975z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3142z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2fun2977za7d2za7za7jvm_predicateza7003176za7, BGl_compilezd2predicatezd2letzd2fun2977zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3143z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2app2979za700za7za7jvm_predicateza7003177z00, BGl_compilezd2predicatezd2app2979z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3144z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2appza7d2ly2981za7d2za7za7jvm_predicateza7003178za7, BGl_compilezd2predicatezd2appzd2ly2981zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3145z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2funcall2983za700za7za7jvm_predicateza7003179z00, BGl_compilezd2predicatezd2funcall2983z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3146z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2pragma2985za700za7za7jvm_predicateza7003180z00, BGl_compilezd2predicatezd2pragma2985z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3147z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2getfield2987za700za7za7jvm_predicateza7003181z00, BGl_compilezd2predicatezd2getfield2987z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3148z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setfield2989za700za7za7jvm_predicateza7003182z00, BGl_compilezd2predicatezd2setfield2989z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3150z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2valloc2993za700za7za7jvm_predicateza7003183z00, BGl_compilezd2predicatezd2valloc2993z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3149z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2new2991za700za7za7jvm_predicateza7003184z00, BGl_compilezd2predicatezd2new2991z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3151z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vref2995za700za7za7jvm_predicateza7003185z00, BGl_compilezd2predicatezd2vref2995z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3152z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vsetza7122997za712za7za7jvm_predicateza7003186za7, BGl_compilezd2predicatezd2vsetz122997z12zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3153z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vlength2999za700za7za7jvm_predicateza7003187z00, BGl_compilezd2predicatezd2vlength2999z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3154z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2isa3001za700za7za7jvm_predicateza7003188z00, BGl_compilezd2predicatezd2isa3001z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3155z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2cast3003za700za7za7jvm_predicateza7003189z00, BGl_compilezd2predicatezd2cast3003z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3156z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setza7d2exza7d2it3005za700za7za7jvm_predicateza7003190z00, BGl_compilezd2predicatezd2setzd2exzd2it3005z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3157z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2jumpza7d2exza7d2it3007za700za7za7jvm_predicateza7003191z00, BGl_compilezd2predicatezd2jumpzd2exzd2it3007z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3158z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2fail3009za700za7za7jvm_predicateza7003192z00, BGl_compilezd2predicatezd2fail3009z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3160z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2ref3013za7d2za7za7jvm_predicateza7003193za7, BGl_compilezd2predicatezd2boxzd2ref3013zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3159z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2makeza7d2box3011za7d2za7za7jvm_predicateza7003194za7, BGl_compilezd2predicatezd2makezd2box3011zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3161z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2setza7123015za7c0za7za7jvm_predicateza7003195z00, BGl_compilezd2predicatezd2boxzd2setz123015zc0zzjvm_predicatez00, 0L, 4 );
DEFINE_STRING( BGl_string3163z00zzjvm_predicatez00, BgL_bgl_string3163za700za7za7jvm_predicateza7003196z00, "compile-predicate-default2959 ok eq ", 36 );
DEFINE_STRING( BGl_string3162z00zzjvm_predicatez00, BgL_bgl_string3162za700za7za7jvm_predicateza7003197z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2predicatezd2default2959zd2envzd2zzjvm_predicatez00, BgL_bgl__compileza7d2predicateza7d2default2959za700za7za7jvm_predicateza7003198z00, BGl__compilezd2predicatezd2default2959z00zzjvm_predicatez00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long BgL_checksumz00_3376, char * BgL_fromz00_3377)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00(); 
BGl_cnstzd2initzd2zzjvm_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_predicatez00(); 
BGl_methodzd2initzd2zzjvm_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
{ /* Jvm/predicate.scm 2 */
obj_t BgL_cportz00_3369;
BgL_cportz00_3369 = 
open_input_string(BGl_string3163z00zzjvm_predicatez00); 
{ 
long BgL_iz00_3370;
BgL_iz00_3370 = ((long)2); 
BgL_loopz00_3371:
if(
(BgL_iz00_3370==((long)-1)))
{ /* Jvm/predicate.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/predicate.scm 2 */
{ /* Jvm/predicate.scm 2 */
obj_t BgL_arg3165z00_3373;
{ /* Jvm/predicate.scm 2 */
obj_t BgL_list3166z00_3374;
BgL_list3166z00_3374 = 
MAKE_PAIR(BgL_cportz00_3369, BNIL); 
BgL_arg3165z00_3373 = 
BGl_readz00zz__readerz00(BgL_list3166z00_3374); } 
{ /* Jvm/predicate.scm 2 */
int BgL_auxz00_3392;
BgL_auxz00_3392 = 
(int)(BgL_iz00_3370); 
CNST_TABLE_SET(BgL_auxz00_3392, BgL_arg3165z00_3373); } } 
{ 
long BgL_iz00_3395;
{ /* Jvm/predicate.scm 2 */
int BgL_auxz00_3396;
{ /* Jvm/predicate.scm 2 */
long BgL_auxz00_3397;
BgL_auxz00_3397 = 
(BgL_iz00_3370-((long)1)); 
BgL_auxz00_3396 = 
(int)(BgL_auxz00_3397); } 
BgL_iz00_3395 = 
(long)(BgL_auxz00_3396); } 
BgL_iz00_3370 = BgL_iz00_3395; 
goto BgL_loopz00_3371;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_compilezd2predicatezd2default2959zd2envzd2zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_atomz00zzast_nodez00, BGl_proc3135z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_varz00zzast_nodez00, BGl_proc3136z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3137z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setqz00zzast_nodez00, BGl_proc3138z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_sequencez00zzast_nodez00, BGl_proc3139z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_conditionalz00zzast_nodez00, BGl_proc3140z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_selectz00zzast_nodez00, BGl_proc3141z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3142z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_appz00zzast_nodez00, BGl_proc3143z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3144z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_funcallz00zzast_nodez00, BGl_proc3145z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_pragmaz00zzast_nodez00, BGl_proc3146z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_getfieldz00zzast_nodez00, BGl_proc3147z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setfieldz00zzast_nodez00, BGl_proc3148z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_newz00zzast_nodez00, BGl_proc3149z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vallocz00zzast_nodez00, BGl_proc3150z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vrefz00zzast_nodez00, BGl_proc3151z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vsetz12z12zzast_nodez00, BGl_proc3152z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vlengthz00zzast_nodez00, BGl_proc3153z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_isaz00zzast_nodez00, BGl_proc3154z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_castz00zzast_nodez00, BGl_proc3155z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3156z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3157z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_failz00zzast_nodez00, BGl_proc3158z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3159z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3160z00zzjvm_predicatez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3161z00zzjvm_predicatez00);} 
}



/* compile-predicate-box-set!3015 */
obj_t BGl_compilezd2predicatezd2boxzd2setz123015zc0zzjvm_predicatez00(obj_t BgL_envz00_3199, obj_t BgL_ez00_3200, obj_t BgL_tz00_3201, obj_t BgL_fz00_3202, obj_t BgL_envz00_3203)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 115 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2275;obj_t BgL_tz00_2276;obj_t BgL_fz00_2277;BgL_envz00_bglt BgL_envz00_2278;
BgL_ez00_2275 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3200); 
BgL_tz00_2276 = BgL_tz00_3201; 
BgL_fz00_2277 = BgL_fz00_3202; 
BgL_envz00_2278 = 
(BgL_envz00_bglt)(BgL_envz00_3203); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2275), BgL_envz00_2278); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2278, BgL_tz00_2276);} } 
}



/* compile-predicate-box-ref3013 */
obj_t BGl_compilezd2predicatezd2boxzd2ref3013zd2zzjvm_predicatez00(obj_t BgL_envz00_3204, obj_t BgL_ez00_3205, obj_t BgL_tz00_3206, obj_t BgL_fz00_3207, obj_t BgL_envz00_3208)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 112 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2267;obj_t BgL_tz00_2268;obj_t BgL_fz00_2269;BgL_envz00_bglt BgL_envz00_2270;
BgL_ez00_2267 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3205); 
BgL_tz00_2268 = BgL_tz00_3206; 
BgL_fz00_2269 = BgL_fz00_3207; 
BgL_envz00_2270 = 
(BgL_envz00_bglt)(BgL_envz00_3208); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2267), BgL_envz00_2270); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2270, BgL_fz00_2269); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2270, BgL_tz00_2268);} } 
}



/* compile-predicate-make-box3011 */
obj_t BGl_compilezd2predicatezd2makezd2box3011zd2zzjvm_predicatez00(obj_t BgL_envz00_3209, obj_t BgL_ez00_3210, obj_t BgL_tz00_3211, obj_t BgL_fz00_3212, obj_t BgL_envz00_3213)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 109 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2259;obj_t BgL_tz00_2260;obj_t BgL_fz00_2261;BgL_envz00_bglt BgL_envz00_2262;
BgL_ez00_2259 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3210); 
BgL_tz00_2260 = BgL_tz00_3211; 
BgL_fz00_2261 = BgL_fz00_3212; 
BgL_envz00_2262 = 
(BgL_envz00_bglt)(BgL_envz00_3213); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2259), BgL_envz00_2262); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2262, BgL_tz00_2260);} } 
}



/* compile-predicate-fail3009 */
obj_t BGl_compilezd2predicatezd2fail3009z00zzjvm_predicatez00(obj_t BgL_envz00_3214, obj_t BgL_ez00_3215, obj_t BgL_tz00_3216, obj_t BgL_fz00_3217, obj_t BgL_envz00_3218)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 106 */
{ 
BgL_failz00_bglt BgL_ez00_2251;obj_t BgL_tz00_2252;obj_t BgL_fz00_2253;BgL_envz00_bglt BgL_envz00_2254;
BgL_ez00_2251 = 
(BgL_failz00_bglt)(BgL_ez00_3215); 
BgL_tz00_2252 = BgL_tz00_3216; 
BgL_fz00_2253 = BgL_fz00_3217; 
BgL_envz00_2254 = 
(BgL_envz00_bglt)(BgL_envz00_3218); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2251), BgL_envz00_2254); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2254, BgL_fz00_2253); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2254, BgL_tz00_2252);} } 
}



/* compile-predicate-jump-ex-it3007 */
obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3007z00zzjvm_predicatez00(obj_t BgL_envz00_3219, obj_t BgL_ez00_3220, obj_t BgL_tz00_3221, obj_t BgL_fz00_3222, obj_t BgL_envz00_3223)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 103 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2243;obj_t BgL_tz00_2244;obj_t BgL_fz00_2245;BgL_envz00_bglt BgL_envz00_2246;
BgL_ez00_2243 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3220); 
BgL_tz00_2244 = BgL_tz00_3221; 
BgL_fz00_2245 = BgL_fz00_3222; 
BgL_envz00_2246 = 
(BgL_envz00_bglt)(BgL_envz00_3223); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2243), BgL_envz00_2246); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2246, BgL_fz00_2245); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2246, BgL_tz00_2244);} } 
}



/* compile-predicate-set-ex-it3005 */
obj_t BGl_compilezd2predicatezd2setzd2exzd2it3005z00zzjvm_predicatez00(obj_t BgL_envz00_3224, obj_t BgL_ez00_3225, obj_t BgL_tz00_3226, obj_t BgL_fz00_3227, obj_t BgL_envz00_3228)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 100 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2235;obj_t BgL_tz00_2236;obj_t BgL_fz00_2237;BgL_envz00_bglt BgL_envz00_2238;
BgL_ez00_2235 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3225); 
BgL_tz00_2236 = BgL_tz00_3226; 
BgL_fz00_2237 = BgL_fz00_3227; 
BgL_envz00_2238 = 
(BgL_envz00_bglt)(BgL_envz00_3228); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2235), BgL_envz00_2238); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2238, BgL_fz00_2237); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2238, BgL_tz00_2236);} } 
}



/* compile-predicate-cast3003 */
obj_t BGl_compilezd2predicatezd2cast3003z00zzjvm_predicatez00(obj_t BgL_envz00_3229, obj_t BgL_ez00_3230, obj_t BgL_tz00_3231, obj_t BgL_fz00_3232, obj_t BgL_envz00_3233)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 96 */
{ 
BgL_castz00_bglt BgL_ez00_2222;obj_t BgL_tz00_2223;obj_t BgL_fz00_2224;BgL_envz00_bglt BgL_envz00_2225;
BgL_ez00_2222 = 
(BgL_castz00_bglt)(BgL_ez00_3230); 
BgL_tz00_2223 = BgL_tz00_3231; 
BgL_fz00_2224 = BgL_fz00_3232; 
BgL_envz00_2225 = 
(BgL_envz00_bglt)(BgL_envz00_3233); 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_compz00_3167;
{ 
int BgL_auxz00_3469;int BgL_auxz00_3467;
BgL_auxz00_3469 = 
(int)(((long)2)); 
BgL_auxz00_3467 = 
(int)(((long)2)); 
BgL_compz00_3167 = 
make_fx_procedure(BGl_compz00zzjvm_predicatez00, BgL_auxz00_3467, BgL_auxz00_3469); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3472;
BgL_auxz00_3472 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3167, BgL_auxz00_3472, BgL_tz00_2223); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3475;
BgL_auxz00_3475 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3167, BgL_auxz00_3475, BgL_fz00_2224); } 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2222, BgL_envz00_2225, BgL_compz00_3167);} } } 
}



/* comp */
obj_t BGl_compz00zzjvm_predicatez00(obj_t BgL_envz00_3234, obj_t BgL_ez00_3237, obj_t BgL_envz00_3238)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 97 */
{ /* Jvm/predicate.scm 97 */
obj_t BgL_tz00_3235;obj_t BgL_fz00_3236;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3481;
BgL_auxz00_3481 = 
(int)(((long)0)); 
BgL_tz00_3235 = 
PROCEDURE_REF(BgL_envz00_3234, BgL_auxz00_3481); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3484;
BgL_auxz00_3484 = 
(int)(((long)1)); 
BgL_fz00_3236 = 
PROCEDURE_REF(BgL_envz00_3234, BgL_auxz00_3484); } 
{ 
obj_t BgL_ez00_3080;obj_t BgL_envz00_3081;
BgL_ez00_3080 = BgL_ez00_3237; 
BgL_envz00_3081 = BgL_envz00_3238; 
{ /* Jvm/predicate.scm 97 */
BgL_nodez00_bglt BgL_ez00_3082;BgL_envz00_bglt BgL_envz00_3085;
BgL_ez00_3082 = 
(BgL_nodez00_bglt)(BgL_ez00_3080); 
BgL_envz00_3085 = 
(BgL_envz00_bglt)(BgL_envz00_3081); 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_method2961z00_3086;
{ /* Jvm/predicate.scm 97 */
long BgL_objzd2classzd2numz00_3088;
{ /* Jvm/predicate.scm 97 */
BgL_objectz00_bglt BgL_auxz00_3489;
BgL_auxz00_3489 = 
(BgL_objectz00_bglt)(BgL_ez00_3082); 
BgL_objzd2classzd2numz00_3088 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3489); } 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_arg1221z00_3089;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3492;
BgL_auxz00_3492 = 
(int)(((long)1)); 
BgL_arg1221z00_3089 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3492); } 
{ /* Jvm/predicate.scm 97 */
long BgL_offsetz00_3093;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3495;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3496;
BgL_auxz00_3496 = 
(int)(BgL_objzd2classzd2numz00_3088); 
BgL_auxz00_3495 = 
(long)(BgL_auxz00_3496); } 
BgL_offsetz00_3093 = 
(BgL_auxz00_3495-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 97 */
long BgL_modz00_3094;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3500;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3501;
BgL_auxz00_3501 = 
(int)(((long)8)); 
BgL_auxz00_3500 = 
(long)(BgL_auxz00_3501); } 
BgL_modz00_3094 = 
(BgL_offsetz00_3093/BgL_auxz00_3500); } 
{ /* Jvm/predicate.scm 97 */
long BgL_restz00_3096;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3505;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(((long)8)); 
BgL_auxz00_3505 = 
(long)(BgL_auxz00_3506); } 
BgL_restz00_3096 = 
(BgL_offsetz00_3093%BgL_auxz00_3505); } 
{ /* Jvm/predicate.scm 97 */

{ /* Jvm/predicate.scm 97 */
obj_t BgL_bucketz00_3098;
{ /* Jvm/predicate.scm 97 */
int BgL_kz00_3108;
BgL_kz00_3108 = 
(int)(BgL_modz00_3094); 
BgL_bucketz00_3098 = 
VECTOR_REF(BgL_arg1221z00_3089,BgL_kz00_3108); } 
{ /* Jvm/predicate.scm 97 */
int BgL_kz00_3110;
BgL_kz00_3110 = 
(int)(BgL_restz00_3096); 
BgL_method2961z00_3086 = 
VECTOR_REF(BgL_bucketz00_3098,BgL_kz00_3110); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_3086)(BgL_method2961z00_3086, 
(obj_t)(BgL_ez00_3082), BgL_tz00_3235, BgL_fz00_3236, 
(obj_t)(BgL_envz00_3085), BEOA);} } } } } 
}



/* compile-predicate-isa3001 */
obj_t BGl_compilezd2predicatezd2isa3001z00zzjvm_predicatez00(obj_t BgL_envz00_3239, obj_t BgL_ez00_3240, obj_t BgL_tz00_3241, obj_t BgL_fz00_3242, obj_t BgL_envz00_3243)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 93 */
{ 
BgL_isaz00_bglt BgL_ez00_2214;obj_t BgL_tz00_2215;obj_t BgL_fz00_2216;BgL_envz00_bglt BgL_envz00_2217;
BgL_ez00_2214 = 
(BgL_isaz00_bglt)(BgL_ez00_3240); 
BgL_tz00_2215 = BgL_tz00_3241; 
BgL_fz00_2216 = BgL_fz00_3242; 
BgL_envz00_2217 = 
(BgL_envz00_bglt)(BgL_envz00_3243); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2214), BgL_envz00_2217); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2217, BgL_fz00_2216); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2217, BgL_tz00_2215);} } 
}



/* compile-predicate-vlength2999 */
obj_t BGl_compilezd2predicatezd2vlength2999z00zzjvm_predicatez00(obj_t BgL_envz00_3244, obj_t BgL_ez00_3245, obj_t BgL_tz00_3246, obj_t BgL_fz00_3247, obj_t BgL_envz00_3248)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 90 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2206;obj_t BgL_tz00_2207;obj_t BgL_fz00_2208;BgL_envz00_bglt BgL_envz00_2209;
BgL_ez00_2206 = 
(BgL_vlengthz00_bglt)(BgL_ez00_3245); 
BgL_tz00_2207 = BgL_tz00_3246; 
BgL_fz00_2208 = BgL_fz00_3247; 
BgL_envz00_2209 = 
(BgL_envz00_bglt)(BgL_envz00_3248); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2206), BgL_envz00_2209); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2209, BgL_fz00_2208); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2209, BgL_tz00_2207);} } 
}



/* compile-predicate-vset!2997 */
obj_t BGl_compilezd2predicatezd2vsetz122997z12zzjvm_predicatez00(obj_t BgL_envz00_3249, obj_t BgL_ez00_3250, obj_t BgL_tz00_3251, obj_t BgL_fz00_3252, obj_t BgL_envz00_3253)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 87 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2198;obj_t BgL_tz00_2199;obj_t BgL_fz00_2200;BgL_envz00_bglt BgL_envz00_2201;
BgL_ez00_2198 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_3250); 
BgL_tz00_2199 = BgL_tz00_3251; 
BgL_fz00_2200 = BgL_fz00_3252; 
BgL_envz00_2201 = 
(BgL_envz00_bglt)(BgL_envz00_3253); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2198), BgL_envz00_2201); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2201, BgL_tz00_2199);} } 
}



/* compile-predicate-vref2995 */
obj_t BGl_compilezd2predicatezd2vref2995z00zzjvm_predicatez00(obj_t BgL_envz00_3254, obj_t BgL_ez00_3255, obj_t BgL_tz00_3256, obj_t BgL_fz00_3257, obj_t BgL_envz00_3258)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 84 */
{ 
BgL_vrefz00_bglt BgL_ez00_2190;obj_t BgL_tz00_2191;obj_t BgL_fz00_2192;BgL_envz00_bglt BgL_envz00_2193;
BgL_ez00_2190 = 
(BgL_vrefz00_bglt)(BgL_ez00_3255); 
BgL_tz00_2191 = BgL_tz00_3256; 
BgL_fz00_2192 = BgL_fz00_3257; 
BgL_envz00_2193 = 
(BgL_envz00_bglt)(BgL_envz00_3258); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2190), BgL_envz00_2193); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2193, BgL_fz00_2192); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2193, BgL_tz00_2191);} } 
}



/* compile-predicate-valloc2993 */
obj_t BGl_compilezd2predicatezd2valloc2993z00zzjvm_predicatez00(obj_t BgL_envz00_3259, obj_t BgL_ez00_3260, obj_t BgL_tz00_3261, obj_t BgL_fz00_3262, obj_t BgL_envz00_3263)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 81 */
{ 
BgL_vallocz00_bglt BgL_ez00_2182;obj_t BgL_tz00_2183;obj_t BgL_fz00_2184;BgL_envz00_bglt BgL_envz00_2185;
BgL_ez00_2182 = 
(BgL_vallocz00_bglt)(BgL_ez00_3260); 
BgL_tz00_2183 = BgL_tz00_3261; 
BgL_fz00_2184 = BgL_fz00_3262; 
BgL_envz00_2185 = 
(BgL_envz00_bglt)(BgL_envz00_3263); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2182), BgL_envz00_2185); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2185, BgL_tz00_2183);} } 
}



/* compile-predicate-new2991 */
obj_t BGl_compilezd2predicatezd2new2991z00zzjvm_predicatez00(obj_t BgL_envz00_3264, obj_t BgL_ez00_3265, obj_t BgL_tz00_3266, obj_t BgL_fz00_3267, obj_t BgL_envz00_3268)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 78 */
{ 
BgL_newz00_bglt BgL_ez00_2174;obj_t BgL_tz00_2175;obj_t BgL_fz00_2176;BgL_envz00_bglt BgL_envz00_2177;
BgL_ez00_2174 = 
(BgL_newz00_bglt)(BgL_ez00_3265); 
BgL_tz00_2175 = BgL_tz00_3266; 
BgL_fz00_2176 = BgL_fz00_3267; 
BgL_envz00_2177 = 
(BgL_envz00_bglt)(BgL_envz00_3268); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2174), BgL_envz00_2177); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2177, BgL_tz00_2175);} } 
}



/* compile-predicate-setfield2989 */
obj_t BGl_compilezd2predicatezd2setfield2989z00zzjvm_predicatez00(obj_t BgL_envz00_3269, obj_t BgL_ez00_3270, obj_t BgL_tz00_3271, obj_t BgL_fz00_3272, obj_t BgL_envz00_3273)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 75 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2166;obj_t BgL_tz00_2167;obj_t BgL_fz00_2168;BgL_envz00_bglt BgL_envz00_2169;
BgL_ez00_2166 = 
(BgL_setfieldz00_bglt)(BgL_ez00_3270); 
BgL_tz00_2167 = BgL_tz00_3271; 
BgL_fz00_2168 = BgL_fz00_3272; 
BgL_envz00_2169 = 
(BgL_envz00_bglt)(BgL_envz00_3273); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2166), BgL_envz00_2169); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2169, BgL_tz00_2167);} } 
}



/* compile-predicate-getfield2987 */
obj_t BGl_compilezd2predicatezd2getfield2987z00zzjvm_predicatez00(obj_t BgL_envz00_3274, obj_t BgL_ez00_3275, obj_t BgL_tz00_3276, obj_t BgL_fz00_3277, obj_t BgL_envz00_3278)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 72 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2158;obj_t BgL_tz00_2159;obj_t BgL_fz00_2160;BgL_envz00_bglt BgL_envz00_2161;
BgL_ez00_2158 = 
(BgL_getfieldz00_bglt)(BgL_ez00_3275); 
BgL_tz00_2159 = BgL_tz00_3276; 
BgL_fz00_2160 = BgL_fz00_3277; 
BgL_envz00_2161 = 
(BgL_envz00_bglt)(BgL_envz00_3278); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2158), BgL_envz00_2161); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2161, BgL_fz00_2160); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2161, BgL_tz00_2159);} } 
}



/* compile-predicate-pragma2985 */
obj_t BGl_compilezd2predicatezd2pragma2985z00zzjvm_predicatez00(obj_t BgL_envz00_3279, obj_t BgL_ez00_3280, obj_t BgL_tz00_3281, obj_t BgL_fz00_3282, obj_t BgL_envz00_3283)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 69 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2150;obj_t BgL_tz00_2151;obj_t BgL_fz00_2152;BgL_envz00_bglt BgL_envz00_2153;
BgL_ez00_2150 = 
(BgL_pragmaz00_bglt)(BgL_ez00_3280); 
BgL_tz00_2151 = BgL_tz00_3281; 
BgL_fz00_2152 = BgL_fz00_3282; 
BgL_envz00_2153 = 
(BgL_envz00_bglt)(BgL_envz00_3283); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2150), BgL_envz00_2153); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2153, BgL_fz00_2152); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2153, BgL_tz00_2151);} } 
}



/* compile-predicate-funcall2983 */
obj_t BGl_compilezd2predicatezd2funcall2983z00zzjvm_predicatez00(obj_t BgL_envz00_3284, obj_t BgL_ez00_3285, obj_t BgL_tz00_3286, obj_t BgL_fz00_3287, obj_t BgL_envz00_3288)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 66 */
{ 
BgL_funcallz00_bglt BgL_ez00_2142;obj_t BgL_tz00_2143;obj_t BgL_fz00_2144;BgL_envz00_bglt BgL_envz00_2145;
BgL_ez00_2142 = 
(BgL_funcallz00_bglt)(BgL_ez00_3285); 
BgL_tz00_2143 = BgL_tz00_3286; 
BgL_fz00_2144 = BgL_fz00_3287; 
BgL_envz00_2145 = 
(BgL_envz00_bglt)(BgL_envz00_3288); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2142), BgL_envz00_2145); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2145, BgL_fz00_2144); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2145, BgL_tz00_2143);} } 
}



/* compile-predicate-app-ly2981 */
obj_t BGl_compilezd2predicatezd2appzd2ly2981zd2zzjvm_predicatez00(obj_t BgL_envz00_3289, obj_t BgL_ez00_3290, obj_t BgL_tz00_3291, obj_t BgL_fz00_3292, obj_t BgL_envz00_3293)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 63 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2134;obj_t BgL_tz00_2135;obj_t BgL_fz00_2136;BgL_envz00_bglt BgL_envz00_2137;
BgL_ez00_2134 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3290); 
BgL_tz00_2135 = BgL_tz00_3291; 
BgL_fz00_2136 = BgL_fz00_3292; 
BgL_envz00_2137 = 
(BgL_envz00_bglt)(BgL_envz00_3293); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2134), BgL_envz00_2137); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2137, BgL_fz00_2136); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2137, BgL_tz00_2135);} } 
}



/* compile-predicate-app2979 */
obj_t BGl_compilezd2predicatezd2app2979z00zzjvm_predicatez00(obj_t BgL_envz00_3294, obj_t BgL_ez00_3295, obj_t BgL_tz00_3296, obj_t BgL_fz00_3297, obj_t BgL_envz00_3298)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 56 */
{ 
BgL_appz00_bglt BgL_ez00_2120;obj_t BgL_tz00_2121;obj_t BgL_fz00_2122;BgL_envz00_bglt BgL_envz00_2123;
BgL_ez00_2120 = 
(BgL_appz00_bglt)(BgL_ez00_3295); 
BgL_tz00_2121 = BgL_tz00_3296; 
BgL_fz00_2122 = BgL_fz00_3297; 
BgL_envz00_2123 = 
(BgL_envz00_bglt)(BgL_envz00_3298); 
{ /* Jvm/predicate.scm 58 */
BgL_variablez00_bglt BgL_vz00_2127;
{ /* Jvm/predicate.scm 58 */
BgL_varz00_bglt BgL_arg3091z00_2131;
BgL_arg3091z00_2131 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_2120))->BgL_funz00); 
BgL_vz00_2127 = 
(((BgL_varz00_bglt)CREF(BgL_arg3091z00_2131))->BgL_variablez00); } 
{ /* Jvm/predicate.scm 59 */
bool_t BgL_test3088z00_2128;
{ /* Jvm/predicate.scm 59 */
bool_t BgL_test3089z00_2129;
BgL_test3089z00_2129 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2127), BGl_globalz00zzast_varz00); 
if(BgL_test3089z00_2129)
{ /* Jvm/predicate.scm 59 */
obj_t BgL_auxz00_3592;
BgL_auxz00_3592 = 
PROCEDURE_ENTRY(BGl_inlinezd2predzf3z21zzjvm_inlinez00)(BGl_inlinezd2predzf3z21zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2127), 
(((BgL_appz00_bglt)CREF(BgL_ez00_2120))->BgL_argsz00), BgL_tz00_2121, BgL_fz00_2122, 
(obj_t)(BgL_envz00_2123), BEOA); 
BgL_test3088z00_2128 = 
CBOOL(BgL_auxz00_3592); }  else 
{ /* Jvm/predicate.scm 59 */
BgL_test3088z00_2128 = ((bool_t)0); } } 
if(BgL_test3088z00_2128)
{ /* Jvm/predicate.scm 59 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Jvm/predicate.scm 59 */
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2120), BgL_envz00_2123); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2123, BgL_fz00_2122); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2123, BgL_tz00_2121);} } } } } 
}



/* compile-predicate-let-fun2977 */
obj_t BGl_compilezd2predicatezd2letzd2fun2977zd2zzjvm_predicatez00(obj_t BgL_envz00_3299, obj_t BgL_ez00_3300, obj_t BgL_tz00_3301, obj_t BgL_fz00_3302, obj_t BgL_envz00_3303)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 52 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2107;obj_t BgL_tz00_2108;obj_t BgL_fz00_2109;BgL_envz00_bglt BgL_envz00_2110;
BgL_ez00_2107 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_3300); 
BgL_tz00_2108 = BgL_tz00_3301; 
BgL_fz00_2109 = BgL_fz00_3302; 
BgL_envz00_2110 = 
(BgL_envz00_bglt)(BgL_envz00_3303); 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_compz00_3186;
{ 
int BgL_auxz00_3610;int BgL_auxz00_3608;
BgL_auxz00_3610 = 
(int)(((long)2)); 
BgL_auxz00_3608 = 
(int)(((long)2)); 
BgL_compz00_3186 = 
make_fx_procedure(BGl_comp_3130z00zzjvm_predicatez00, BgL_auxz00_3608, BgL_auxz00_3610); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3613;
BgL_auxz00_3613 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3186, BgL_auxz00_3613, BgL_tz00_2108); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3616;
BgL_auxz00_3616 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3186, BgL_auxz00_3616, BgL_fz00_2109); } 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_2107, BgL_envz00_2110, BgL_compz00_3186);} } } 
}



/* comp_3130 */
obj_t BGl_comp_3130z00zzjvm_predicatez00(obj_t BgL_envz00_3304, obj_t BgL_ez00_3307, obj_t BgL_envz00_3308)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 53 */
{ /* Jvm/predicate.scm 53 */
obj_t BgL_tz00_3305;obj_t BgL_fz00_3306;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3622;
BgL_auxz00_3622 = 
(int)(((long)0)); 
BgL_tz00_3305 = 
PROCEDURE_REF(BgL_envz00_3304, BgL_auxz00_3622); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3625;
BgL_auxz00_3625 = 
(int)(((long)1)); 
BgL_fz00_3306 = 
PROCEDURE_REF(BgL_envz00_3304, BgL_auxz00_3625); } 
{ 
obj_t BgL_ez00_3000;obj_t BgL_envz00_3001;
BgL_ez00_3000 = BgL_ez00_3307; 
BgL_envz00_3001 = BgL_envz00_3308; 
{ /* Jvm/predicate.scm 53 */
BgL_nodez00_bglt BgL_ez00_3002;BgL_envz00_bglt BgL_envz00_3005;
BgL_ez00_3002 = 
(BgL_nodez00_bglt)(BgL_ez00_3000); 
BgL_envz00_3005 = 
(BgL_envz00_bglt)(BgL_envz00_3001); 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_method2961z00_3006;
{ /* Jvm/predicate.scm 53 */
long BgL_objzd2classzd2numz00_3008;
{ /* Jvm/predicate.scm 53 */
BgL_objectz00_bglt BgL_auxz00_3630;
BgL_auxz00_3630 = 
(BgL_objectz00_bglt)(BgL_ez00_3002); 
BgL_objzd2classzd2numz00_3008 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3630); } 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_arg1221z00_3009;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)1)); 
BgL_arg1221z00_3009 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3633); } 
{ /* Jvm/predicate.scm 53 */
long BgL_offsetz00_3013;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3636;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3637;
BgL_auxz00_3637 = 
(int)(BgL_objzd2classzd2numz00_3008); 
BgL_auxz00_3636 = 
(long)(BgL_auxz00_3637); } 
BgL_offsetz00_3013 = 
(BgL_auxz00_3636-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 53 */
long BgL_modz00_3014;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3641;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3642;
BgL_auxz00_3642 = 
(int)(((long)8)); 
BgL_auxz00_3641 = 
(long)(BgL_auxz00_3642); } 
BgL_modz00_3014 = 
(BgL_offsetz00_3013/BgL_auxz00_3641); } 
{ /* Jvm/predicate.scm 53 */
long BgL_restz00_3016;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3646;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3647;
BgL_auxz00_3647 = 
(int)(((long)8)); 
BgL_auxz00_3646 = 
(long)(BgL_auxz00_3647); } 
BgL_restz00_3016 = 
(BgL_offsetz00_3013%BgL_auxz00_3646); } 
{ /* Jvm/predicate.scm 53 */

{ /* Jvm/predicate.scm 53 */
obj_t BgL_bucketz00_3018;
{ /* Jvm/predicate.scm 53 */
int BgL_kz00_3028;
BgL_kz00_3028 = 
(int)(BgL_modz00_3014); 
BgL_bucketz00_3018 = 
VECTOR_REF(BgL_arg1221z00_3009,BgL_kz00_3028); } 
{ /* Jvm/predicate.scm 53 */
int BgL_kz00_3030;
BgL_kz00_3030 = 
(int)(BgL_restz00_3016); 
BgL_method2961z00_3006 = 
VECTOR_REF(BgL_bucketz00_3018,BgL_kz00_3030); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_3006)(BgL_method2961z00_3006, 
(obj_t)(BgL_ez00_3002), BgL_tz00_3305, BgL_fz00_3306, 
(obj_t)(BgL_envz00_3005), BEOA);} } } } } 
}



/* compile-predicate-select2975 */
obj_t BGl_compilezd2predicatezd2select2975z00zzjvm_predicatez00(obj_t BgL_envz00_3309, obj_t BgL_ez00_3310, obj_t BgL_tz00_3311, obj_t BgL_fz00_3312, obj_t BgL_envz00_3313)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 48 */
{ 
BgL_selectz00_bglt BgL_ez00_2094;obj_t BgL_tz00_2095;obj_t BgL_fz00_2096;BgL_envz00_bglt BgL_envz00_2097;
BgL_ez00_2094 = 
(BgL_selectz00_bglt)(BgL_ez00_3310); 
BgL_tz00_2095 = BgL_tz00_3311; 
BgL_fz00_2096 = BgL_fz00_3312; 
BgL_envz00_2097 = 
(BgL_envz00_bglt)(BgL_envz00_3313); 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_compz00_3188;
{ 
int BgL_auxz00_3661;int BgL_auxz00_3659;
BgL_auxz00_3661 = 
(int)(((long)2)); 
BgL_auxz00_3659 = 
(int)(((long)2)); 
BgL_compz00_3188 = 
make_fx_procedure(BGl_comp_3131z00zzjvm_predicatez00, BgL_auxz00_3659, BgL_auxz00_3661); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3664;
BgL_auxz00_3664 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3188, BgL_auxz00_3664, BgL_tz00_2095); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3667;
BgL_auxz00_3667 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3188, BgL_auxz00_3667, BgL_fz00_2096); } 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_2094, BgL_envz00_2097, BgL_compz00_3188);} } } 
}



/* comp_3131 */
obj_t BGl_comp_3131z00zzjvm_predicatez00(obj_t BgL_envz00_3314, obj_t BgL_ez00_3317, obj_t BgL_envz00_3318)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 49 */
{ /* Jvm/predicate.scm 49 */
obj_t BgL_tz00_3315;obj_t BgL_fz00_3316;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3673;
BgL_auxz00_3673 = 
(int)(((long)0)); 
BgL_tz00_3315 = 
PROCEDURE_REF(BgL_envz00_3314, BgL_auxz00_3673); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3676;
BgL_auxz00_3676 = 
(int)(((long)1)); 
BgL_fz00_3316 = 
PROCEDURE_REF(BgL_envz00_3314, BgL_auxz00_3676); } 
{ 
obj_t BgL_ez00_2968;obj_t BgL_envz00_2969;
BgL_ez00_2968 = BgL_ez00_3317; 
BgL_envz00_2969 = BgL_envz00_3318; 
{ /* Jvm/predicate.scm 49 */
BgL_nodez00_bglt BgL_ez00_2970;BgL_envz00_bglt BgL_envz00_2973;
BgL_ez00_2970 = 
(BgL_nodez00_bglt)(BgL_ez00_2968); 
BgL_envz00_2973 = 
(BgL_envz00_bglt)(BgL_envz00_2969); 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_method2961z00_2974;
{ /* Jvm/predicate.scm 49 */
long BgL_objzd2classzd2numz00_2976;
{ /* Jvm/predicate.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3681;
BgL_auxz00_3681 = 
(BgL_objectz00_bglt)(BgL_ez00_2970); 
BgL_objzd2classzd2numz00_2976 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3681); } 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_arg1221z00_2977;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(((long)1)); 
BgL_arg1221z00_2977 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3684); } 
{ /* Jvm/predicate.scm 49 */
long BgL_offsetz00_2981;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3687;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3688;
BgL_auxz00_3688 = 
(int)(BgL_objzd2classzd2numz00_2976); 
BgL_auxz00_3687 = 
(long)(BgL_auxz00_3688); } 
BgL_offsetz00_2981 = 
(BgL_auxz00_3687-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 49 */
long BgL_modz00_2982;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3692;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3693;
BgL_auxz00_3693 = 
(int)(((long)8)); 
BgL_auxz00_3692 = 
(long)(BgL_auxz00_3693); } 
BgL_modz00_2982 = 
(BgL_offsetz00_2981/BgL_auxz00_3692); } 
{ /* Jvm/predicate.scm 49 */
long BgL_restz00_2984;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3697;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(((long)8)); 
BgL_auxz00_3697 = 
(long)(BgL_auxz00_3698); } 
BgL_restz00_2984 = 
(BgL_offsetz00_2981%BgL_auxz00_3697); } 
{ /* Jvm/predicate.scm 49 */

{ /* Jvm/predicate.scm 49 */
obj_t BgL_bucketz00_2986;
{ /* Jvm/predicate.scm 49 */
int BgL_kz00_2996;
BgL_kz00_2996 = 
(int)(BgL_modz00_2982); 
BgL_bucketz00_2986 = 
VECTOR_REF(BgL_arg1221z00_2977,BgL_kz00_2996); } 
{ /* Jvm/predicate.scm 49 */
int BgL_kz00_2998;
BgL_kz00_2998 = 
(int)(BgL_restz00_2984); 
BgL_method2961z00_2974 = 
VECTOR_REF(BgL_bucketz00_2986,BgL_kz00_2998); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_2974)(BgL_method2961z00_2974, 
(obj_t)(BgL_ez00_2970), BgL_tz00_3315, BgL_fz00_3316, 
(obj_t)(BgL_envz00_2973), BEOA);} } } } } 
}



/* compile-predicate-conditional2973 */
obj_t BGl_compilezd2predicatezd2conditional2973z00zzjvm_predicatez00(obj_t BgL_envz00_3319, obj_t BgL_ez00_3320, obj_t BgL_tz00_3321, obj_t BgL_fz00_3322, obj_t BgL_envz00_3323)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 44 */
{ 
BgL_conditionalz00_bglt BgL_ez00_2081;obj_t BgL_tz00_2082;obj_t BgL_fz00_2083;BgL_envz00_bglt BgL_envz00_2084;
BgL_ez00_2081 = 
(BgL_conditionalz00_bglt)(BgL_ez00_3320); 
BgL_tz00_2082 = BgL_tz00_3321; 
BgL_fz00_2083 = BgL_fz00_3322; 
BgL_envz00_2084 = 
(BgL_envz00_bglt)(BgL_envz00_3323); 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_compz00_3190;
{ 
int BgL_auxz00_3712;int BgL_auxz00_3710;
BgL_auxz00_3712 = 
(int)(((long)2)); 
BgL_auxz00_3710 = 
(int)(((long)2)); 
BgL_compz00_3190 = 
make_fx_procedure(BGl_comp_3132z00zzjvm_predicatez00, BgL_auxz00_3710, BgL_auxz00_3712); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3715;
BgL_auxz00_3715 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3190, BgL_auxz00_3715, BgL_tz00_2082); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3718;
BgL_auxz00_3718 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3190, BgL_auxz00_3718, BgL_fz00_2083); } 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_2081, BgL_envz00_2084, BgL_compz00_3190);} } } 
}



/* comp_3132 */
obj_t BGl_comp_3132z00zzjvm_predicatez00(obj_t BgL_envz00_3324, obj_t BgL_ez00_3327, obj_t BgL_envz00_3328)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 45 */
{ /* Jvm/predicate.scm 45 */
obj_t BgL_tz00_3325;obj_t BgL_fz00_3326;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3724;
BgL_auxz00_3724 = 
(int)(((long)0)); 
BgL_tz00_3325 = 
PROCEDURE_REF(BgL_envz00_3324, BgL_auxz00_3724); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3727;
BgL_auxz00_3727 = 
(int)(((long)1)); 
BgL_fz00_3326 = 
PROCEDURE_REF(BgL_envz00_3324, BgL_auxz00_3727); } 
{ 
obj_t BgL_ez00_2936;obj_t BgL_envz00_2937;
BgL_ez00_2936 = BgL_ez00_3327; 
BgL_envz00_2937 = BgL_envz00_3328; 
{ /* Jvm/predicate.scm 45 */
BgL_nodez00_bglt BgL_ez00_2938;BgL_envz00_bglt BgL_envz00_2941;
BgL_ez00_2938 = 
(BgL_nodez00_bglt)(BgL_ez00_2936); 
BgL_envz00_2941 = 
(BgL_envz00_bglt)(BgL_envz00_2937); 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_method2961z00_2942;
{ /* Jvm/predicate.scm 45 */
long BgL_objzd2classzd2numz00_2944;
{ /* Jvm/predicate.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3732;
BgL_auxz00_3732 = 
(BgL_objectz00_bglt)(BgL_ez00_2938); 
BgL_objzd2classzd2numz00_2944 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3732); } 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_arg1221z00_2945;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3735;
BgL_auxz00_3735 = 
(int)(((long)1)); 
BgL_arg1221z00_2945 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3735); } 
{ /* Jvm/predicate.scm 45 */
long BgL_offsetz00_2949;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3738;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3739;
BgL_auxz00_3739 = 
(int)(BgL_objzd2classzd2numz00_2944); 
BgL_auxz00_3738 = 
(long)(BgL_auxz00_3739); } 
BgL_offsetz00_2949 = 
(BgL_auxz00_3738-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 45 */
long BgL_modz00_2950;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3743;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3744;
BgL_auxz00_3744 = 
(int)(((long)8)); 
BgL_auxz00_3743 = 
(long)(BgL_auxz00_3744); } 
BgL_modz00_2950 = 
(BgL_offsetz00_2949/BgL_auxz00_3743); } 
{ /* Jvm/predicate.scm 45 */
long BgL_restz00_2952;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3748;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3749;
BgL_auxz00_3749 = 
(int)(((long)8)); 
BgL_auxz00_3748 = 
(long)(BgL_auxz00_3749); } 
BgL_restz00_2952 = 
(BgL_offsetz00_2949%BgL_auxz00_3748); } 
{ /* Jvm/predicate.scm 45 */

{ /* Jvm/predicate.scm 45 */
obj_t BgL_bucketz00_2954;
{ /* Jvm/predicate.scm 45 */
int BgL_kz00_2964;
BgL_kz00_2964 = 
(int)(BgL_modz00_2950); 
BgL_bucketz00_2954 = 
VECTOR_REF(BgL_arg1221z00_2945,BgL_kz00_2964); } 
{ /* Jvm/predicate.scm 45 */
int BgL_kz00_2966;
BgL_kz00_2966 = 
(int)(BgL_restz00_2952); 
BgL_method2961z00_2942 = 
VECTOR_REF(BgL_bucketz00_2954,BgL_kz00_2966); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_2942)(BgL_method2961z00_2942, 
(obj_t)(BgL_ez00_2938), BgL_tz00_3325, BgL_fz00_3326, 
(obj_t)(BgL_envz00_2941), BEOA);} } } } } 
}



/* compile-predicate-sequence2971 */
obj_t BGl_compilezd2predicatezd2sequence2971z00zzjvm_predicatez00(obj_t BgL_envz00_3329, obj_t BgL_ez00_3330, obj_t BgL_tz00_3331, obj_t BgL_fz00_3332, obj_t BgL_envz00_3333)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 40 */
{ 
BgL_sequencez00_bglt BgL_ez00_2068;obj_t BgL_tz00_2069;obj_t BgL_fz00_2070;BgL_envz00_bglt BgL_envz00_2071;
BgL_ez00_2068 = 
(BgL_sequencez00_bglt)(BgL_ez00_3330); 
BgL_tz00_2069 = BgL_tz00_3331; 
BgL_fz00_2070 = BgL_fz00_3332; 
BgL_envz00_2071 = 
(BgL_envz00_bglt)(BgL_envz00_3333); 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_compz00_3192;
{ 
int BgL_auxz00_3763;int BgL_auxz00_3761;
BgL_auxz00_3763 = 
(int)(((long)2)); 
BgL_auxz00_3761 = 
(int)(((long)2)); 
BgL_compz00_3192 = 
make_fx_procedure(BGl_comp_3133z00zzjvm_predicatez00, BgL_auxz00_3761, BgL_auxz00_3763); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3766;
BgL_auxz00_3766 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3192, BgL_auxz00_3766, BgL_tz00_2069); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3769;
BgL_auxz00_3769 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3192, BgL_auxz00_3769, BgL_fz00_2070); } 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_2068, BgL_envz00_2071, BgL_compz00_3192);} } } 
}



/* comp_3133 */
obj_t BGl_comp_3133z00zzjvm_predicatez00(obj_t BgL_envz00_3334, obj_t BgL_ez00_3337, obj_t BgL_envz00_3338)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 41 */
{ /* Jvm/predicate.scm 41 */
obj_t BgL_tz00_3335;obj_t BgL_fz00_3336;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3775;
BgL_auxz00_3775 = 
(int)(((long)0)); 
BgL_tz00_3335 = 
PROCEDURE_REF(BgL_envz00_3334, BgL_auxz00_3775); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3778;
BgL_auxz00_3778 = 
(int)(((long)1)); 
BgL_fz00_3336 = 
PROCEDURE_REF(BgL_envz00_3334, BgL_auxz00_3778); } 
{ 
obj_t BgL_ez00_2904;obj_t BgL_envz00_2905;
BgL_ez00_2904 = BgL_ez00_3337; 
BgL_envz00_2905 = BgL_envz00_3338; 
{ /* Jvm/predicate.scm 41 */
BgL_nodez00_bglt BgL_ez00_2906;BgL_envz00_bglt BgL_envz00_2909;
BgL_ez00_2906 = 
(BgL_nodez00_bglt)(BgL_ez00_2904); 
BgL_envz00_2909 = 
(BgL_envz00_bglt)(BgL_envz00_2905); 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_method2961z00_2910;
{ /* Jvm/predicate.scm 41 */
long BgL_objzd2classzd2numz00_2912;
{ /* Jvm/predicate.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3783;
BgL_auxz00_3783 = 
(BgL_objectz00_bglt)(BgL_ez00_2906); 
BgL_objzd2classzd2numz00_2912 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3783); } 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_arg1221z00_2913;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3786;
BgL_auxz00_3786 = 
(int)(((long)1)); 
BgL_arg1221z00_2913 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3786); } 
{ /* Jvm/predicate.scm 41 */
long BgL_offsetz00_2917;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3789;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3790;
BgL_auxz00_3790 = 
(int)(BgL_objzd2classzd2numz00_2912); 
BgL_auxz00_3789 = 
(long)(BgL_auxz00_3790); } 
BgL_offsetz00_2917 = 
(BgL_auxz00_3789-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 41 */
long BgL_modz00_2918;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3794;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3795;
BgL_auxz00_3795 = 
(int)(((long)8)); 
BgL_auxz00_3794 = 
(long)(BgL_auxz00_3795); } 
BgL_modz00_2918 = 
(BgL_offsetz00_2917/BgL_auxz00_3794); } 
{ /* Jvm/predicate.scm 41 */
long BgL_restz00_2920;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3799;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3800;
BgL_auxz00_3800 = 
(int)(((long)8)); 
BgL_auxz00_3799 = 
(long)(BgL_auxz00_3800); } 
BgL_restz00_2920 = 
(BgL_offsetz00_2917%BgL_auxz00_3799); } 
{ /* Jvm/predicate.scm 41 */

{ /* Jvm/predicate.scm 41 */
obj_t BgL_bucketz00_2922;
{ /* Jvm/predicate.scm 41 */
int BgL_kz00_2932;
BgL_kz00_2932 = 
(int)(BgL_modz00_2918); 
BgL_bucketz00_2922 = 
VECTOR_REF(BgL_arg1221z00_2913,BgL_kz00_2932); } 
{ /* Jvm/predicate.scm 41 */
int BgL_kz00_2934;
BgL_kz00_2934 = 
(int)(BgL_restz00_2920); 
BgL_method2961z00_2910 = 
VECTOR_REF(BgL_bucketz00_2922,BgL_kz00_2934); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_2910)(BgL_method2961z00_2910, 
(obj_t)(BgL_ez00_2906), BgL_tz00_3335, BgL_fz00_3336, 
(obj_t)(BgL_envz00_2909), BEOA);} } } } } 
}



/* compile-predicate-setq2969 */
obj_t BGl_compilezd2predicatezd2setq2969z00zzjvm_predicatez00(obj_t BgL_envz00_3339, obj_t BgL_ez00_3340, obj_t BgL_tz00_3341, obj_t BgL_fz00_3342, obj_t BgL_envz00_3343)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 37 */
{ 
BgL_setqz00_bglt BgL_ez00_2060;obj_t BgL_tz00_2061;obj_t BgL_fz00_2062;BgL_envz00_bglt BgL_envz00_2063;
BgL_ez00_2060 = 
(BgL_setqz00_bglt)(BgL_ez00_3340); 
BgL_tz00_2061 = BgL_tz00_3341; 
BgL_fz00_2062 = BgL_fz00_3342; 
BgL_envz00_2063 = 
(BgL_envz00_bglt)(BgL_envz00_3343); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2060), BgL_envz00_2063); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2063, BgL_tz00_2061);} } 
}



/* compile-predicate-let-var2967 */
obj_t BGl_compilezd2predicatezd2letzd2var2967zd2zzjvm_predicatez00(obj_t BgL_envz00_3344, obj_t BgL_ez00_3345, obj_t BgL_tz00_3346, obj_t BgL_fz00_3347, obj_t BgL_envz00_3348)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 33 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_2047;obj_t BgL_tz00_2048;obj_t BgL_fz00_2049;BgL_envz00_bglt BgL_envz00_2050;
BgL_ez00_2047 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_3345); 
BgL_tz00_2048 = BgL_tz00_3346; 
BgL_fz00_2049 = BgL_fz00_3347; 
BgL_envz00_2050 = 
(BgL_envz00_bglt)(BgL_envz00_3348); 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_compz00_3195;
{ 
int BgL_auxz00_3819;int BgL_auxz00_3817;
BgL_auxz00_3819 = 
(int)(((long)2)); 
BgL_auxz00_3817 = 
(int)(((long)2)); 
BgL_compz00_3195 = 
make_fx_procedure(BGl_comp_3134z00zzjvm_predicatez00, BgL_auxz00_3817, BgL_auxz00_3819); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3822;
BgL_auxz00_3822 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3195, BgL_auxz00_3822, BgL_tz00_2048); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3825;
BgL_auxz00_3825 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3195, BgL_auxz00_3825, BgL_fz00_2049); } 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_2047, BgL_envz00_2050, BgL_compz00_3195);} } } 
}



/* comp_3134 */
obj_t BGl_comp_3134z00zzjvm_predicatez00(obj_t BgL_envz00_3349, obj_t BgL_ez00_3352, obj_t BgL_envz00_3353)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 34 */
{ /* Jvm/predicate.scm 34 */
obj_t BgL_tz00_3350;obj_t BgL_fz00_3351;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3831;
BgL_auxz00_3831 = 
(int)(((long)0)); 
BgL_tz00_3350 = 
PROCEDURE_REF(BgL_envz00_3349, BgL_auxz00_3831); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3834;
BgL_auxz00_3834 = 
(int)(((long)1)); 
BgL_fz00_3351 = 
PROCEDURE_REF(BgL_envz00_3349, BgL_auxz00_3834); } 
{ 
obj_t BgL_ez00_2869;obj_t BgL_envz00_2870;
BgL_ez00_2869 = BgL_ez00_3352; 
BgL_envz00_2870 = BgL_envz00_3353; 
{ /* Jvm/predicate.scm 34 */
BgL_nodez00_bglt BgL_ez00_2871;BgL_envz00_bglt BgL_envz00_2874;
BgL_ez00_2871 = 
(BgL_nodez00_bglt)(BgL_ez00_2869); 
BgL_envz00_2874 = 
(BgL_envz00_bglt)(BgL_envz00_2870); 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_method2961z00_2875;
{ /* Jvm/predicate.scm 34 */
long BgL_objzd2classzd2numz00_2877;
{ /* Jvm/predicate.scm 34 */
BgL_objectz00_bglt BgL_auxz00_3839;
BgL_auxz00_3839 = 
(BgL_objectz00_bglt)(BgL_ez00_2871); 
BgL_objzd2classzd2numz00_2877 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3839); } 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_arg1221z00_2878;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3842;
BgL_auxz00_3842 = 
(int)(((long)1)); 
BgL_arg1221z00_2878 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3842); } 
{ /* Jvm/predicate.scm 34 */
long BgL_offsetz00_2882;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3845;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3846;
BgL_auxz00_3846 = 
(int)(BgL_objzd2classzd2numz00_2877); 
BgL_auxz00_3845 = 
(long)(BgL_auxz00_3846); } 
BgL_offsetz00_2882 = 
(BgL_auxz00_3845-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 34 */
long BgL_modz00_2883;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3850;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3851;
BgL_auxz00_3851 = 
(int)(((long)8)); 
BgL_auxz00_3850 = 
(long)(BgL_auxz00_3851); } 
BgL_modz00_2883 = 
(BgL_offsetz00_2882/BgL_auxz00_3850); } 
{ /* Jvm/predicate.scm 34 */
long BgL_restz00_2885;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3855;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3856;
BgL_auxz00_3856 = 
(int)(((long)8)); 
BgL_auxz00_3855 = 
(long)(BgL_auxz00_3856); } 
BgL_restz00_2885 = 
(BgL_offsetz00_2882%BgL_auxz00_3855); } 
{ /* Jvm/predicate.scm 34 */

{ /* Jvm/predicate.scm 34 */
obj_t BgL_bucketz00_2887;
{ /* Jvm/predicate.scm 34 */
int BgL_kz00_2897;
BgL_kz00_2897 = 
(int)(BgL_modz00_2883); 
BgL_bucketz00_2887 = 
VECTOR_REF(BgL_arg1221z00_2878,BgL_kz00_2897); } 
{ /* Jvm/predicate.scm 34 */
int BgL_kz00_2899;
BgL_kz00_2899 = 
(int)(BgL_restz00_2885); 
BgL_method2961z00_2875 = 
VECTOR_REF(BgL_bucketz00_2887,BgL_kz00_2899); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_2875)(BgL_method2961z00_2875, 
(obj_t)(BgL_ez00_2871), BgL_tz00_3350, BgL_fz00_3351, 
(obj_t)(BgL_envz00_2874), BEOA);} } } } } 
}



/* compile-predicate-var2965 */
obj_t BGl_compilezd2predicatezd2var2965z00zzjvm_predicatez00(obj_t BgL_envz00_3354, obj_t BgL_ez00_3355, obj_t BgL_tz00_3356, obj_t BgL_fz00_3357, obj_t BgL_envz00_3358)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 30 */
{ 
BgL_varz00_bglt BgL_ez00_2039;obj_t BgL_tz00_2040;obj_t BgL_fz00_2041;BgL_envz00_bglt BgL_envz00_2042;
BgL_ez00_2039 = 
(BgL_varz00_bglt)(BgL_ez00_3355); 
BgL_tz00_2040 = BgL_tz00_3356; 
BgL_fz00_2041 = BgL_fz00_3357; 
BgL_envz00_2042 = 
(BgL_envz00_bglt)(BgL_envz00_3358); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2039), BgL_envz00_2042); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2042, BgL_fz00_2041); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2042, BgL_tz00_2040);} } 
}



/* compile-predicate-atom2963 */
obj_t BGl_compilezd2predicatezd2atom2963z00zzjvm_predicatez00(obj_t BgL_envz00_3359, obj_t BgL_ez00_3360, obj_t BgL_tz00_3361, obj_t BgL_fz00_3362, obj_t BgL_envz00_3363)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 23 */
{ 
BgL_atomz00_bglt BgL_ez00_2021;obj_t BgL_tz00_2022;obj_t BgL_fz00_2023;BgL_envz00_bglt BgL_envz00_2024;
BgL_ez00_2021 = 
(BgL_atomz00_bglt)(BgL_ez00_3360); 
BgL_tz00_2022 = BgL_tz00_3361; 
BgL_fz00_2023 = BgL_fz00_3362; 
BgL_envz00_2024 = 
(BgL_envz00_bglt)(BgL_envz00_3363); 
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3875;
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3876;
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3877;
{ /* Jvm/predicate.scm 25 */
obj_t BgL_auxz00_3878;
BgL_auxz00_3878 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2021))->BgL_valuez00); 
BgL_testz00_3877 = 
INTEGERP(BgL_auxz00_3878); } 
if(BgL_testz00_3877)
{ /* Jvm/predicate.scm 25 */
long BgL_auxz00_3881;
{ /* Jvm/predicate.scm 25 */
obj_t BgL_auxz00_3882;
BgL_auxz00_3882 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2021))->BgL_valuez00); 
BgL_auxz00_3881 = 
(long)CINT(BgL_auxz00_3882); } 
BgL_testz00_3876 = 
(BgL_auxz00_3881==((long)0)); }  else 
{ /* Jvm/predicate.scm 25 */
BgL_testz00_3876 = ((bool_t)0)
; } } 
if(BgL_testz00_3876)
{ /* Jvm/predicate.scm 25 */
BgL_testz00_3875 = ((bool_t)1)
; }  else 
{ /* Jvm/predicate.scm 26 */
bool_t BgL_testz00_3886;
{ /* Jvm/predicate.scm 26 */
obj_t BgL_auxz00_3887;
BgL_auxz00_3887 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2021))->BgL_valuez00); 
BgL_testz00_3886 = 
BOOLEANP(BgL_auxz00_3887); } 
if(BgL_testz00_3886)
{ /* Jvm/predicate.scm 26 */
obj_t BgL_auxz00_3890;
BgL_auxz00_3890 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2021))->BgL_valuez00); 
BgL_testz00_3875 = 
(BgL_auxz00_3890==BFALSE); }  else 
{ /* Jvm/predicate.scm 26 */
BgL_testz00_3875 = ((bool_t)0)
; } } } 
if(BgL_testz00_3875)
{ /* Jvm/predicate.scm 25 */
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2024, BgL_fz00_2023);}  else 
{ /* Jvm/predicate.scm 25 */
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2024, BgL_tz00_2022);} } } } 
}



/* compile-predicate */
obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt BgL_ez00_8, obj_t BgL_tz00_9, obj_t BgL_fz00_10, BgL_envz00_bglt BgL_envz00_11)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 21 */
{ /* Jvm/predicate.scm 21 */
obj_t BgL_method2961z00_3133;
{ /* Jvm/predicate.scm 21 */
long BgL_objzd2classzd2numz00_3135;
{ /* Jvm/predicate.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3897;
BgL_auxz00_3897 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
BgL_objzd2classzd2numz00_3135 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3897); } 
{ /* Jvm/predicate.scm 21 */
obj_t BgL_arg1221z00_3136;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3900;
BgL_auxz00_3900 = 
(int)(((long)1)); 
BgL_arg1221z00_3136 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3900); } 
{ /* Jvm/predicate.scm 21 */
long BgL_offsetz00_3140;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3903;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3904;
BgL_auxz00_3904 = 
(int)(BgL_objzd2classzd2numz00_3135); 
BgL_auxz00_3903 = 
(long)(BgL_auxz00_3904); } 
BgL_offsetz00_3140 = 
(BgL_auxz00_3903-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 21 */
long BgL_modz00_3141;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3908;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3909;
BgL_auxz00_3909 = 
(int)(((long)8)); 
BgL_auxz00_3908 = 
(long)(BgL_auxz00_3909); } 
BgL_modz00_3141 = 
(BgL_offsetz00_3140/BgL_auxz00_3908); } 
{ /* Jvm/predicate.scm 21 */
long BgL_restz00_3143;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3913;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3914;
BgL_auxz00_3914 = 
(int)(((long)8)); 
BgL_auxz00_3913 = 
(long)(BgL_auxz00_3914); } 
BgL_restz00_3143 = 
(BgL_offsetz00_3140%BgL_auxz00_3913); } 
{ /* Jvm/predicate.scm 21 */

{ /* Jvm/predicate.scm 21 */
obj_t BgL_bucketz00_3145;
{ /* Jvm/predicate.scm 21 */
int BgL_kz00_3155;
BgL_kz00_3155 = 
(int)(BgL_modz00_3141); 
BgL_bucketz00_3145 = 
VECTOR_REF(BgL_arg1221z00_3136,BgL_kz00_3155); } 
{ /* Jvm/predicate.scm 21 */
int BgL_kz00_3157;
BgL_kz00_3157 = 
(int)(BgL_restz00_3143); 
BgL_method2961z00_3133 = 
VECTOR_REF(BgL_bucketz00_3145,BgL_kz00_3157); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_3133)(BgL_method2961z00_3133, 
(obj_t)(BgL_ez00_8), BgL_tz00_9, BgL_fz00_10, 
(obj_t)(BgL_envz00_11), BEOA);} } 
}



/* _compile-predicate */
obj_t BGl__compilezd2predicatezd2zzjvm_predicatez00(obj_t BgL_envz00_3168, obj_t BgL_ez00_3169, obj_t BgL_tz00_3170, obj_t BgL_fz00_3171, obj_t BgL_envz00_3172)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 21 */
return 
BGl_compilezd2predicatezd2zzjvm_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_3169), BgL_tz00_3170, BgL_fz00_3171, 
(BgL_envz00_bglt)(BgL_envz00_3172));} 
}



/* compile-predicate-default2959 */
obj_t BGl_compilezd2predicatezd2default2959z00zzjvm_predicatez00(BgL_nodez00_bglt BgL_ez00_12, obj_t BgL_tz00_13, obj_t BgL_fz00_14, BgL_envz00_bglt BgL_envz00_15)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
{ 
obj_t BgL_auxz00_3931;obj_t BgL_auxz00_3929;
BgL_auxz00_3931 = 
(obj_t)(BgL_ez00_12); 
BgL_auxz00_3929 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_3929,BGl_string3162z00zzjvm_predicatez00,BgL_auxz00_3931);} } 
}



/* _compile-predicate-default2959 */
obj_t BGl__compilezd2predicatezd2default2959z00zzjvm_predicatez00(obj_t BgL_envz00_3364, obj_t BgL_ez00_3365, obj_t BgL_tz00_3366, obj_t BgL_fz00_3367, obj_t BgL_envz00_3368)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
return 
BGl_compilezd2predicatezd2default2959z00zzjvm_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_3365), BgL_tz00_3366, BgL_fz00_3367, 
(BgL_envz00_bglt)(BgL_envz00_3368));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_effectz00(((long)56212), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_inlinez00(((long)11661), "jvm_predicate");} 
}

