/*===========================================================================*/
/*   (Jvm/tail.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_methodzd2initzd2zzjvm_tailz00();
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
extern obj_t open_input_string(obj_t);
static obj_t BGl_compilezd2tailzd2vref2995z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2tailzd2setq2969z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2tailzd2new2991z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilezd2tailzd2zzjvm_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilezd2tailzd2zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2atom2963z00zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2var2965z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_tailz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_simplezd2typezd2zzjvm_instrz00(obj_t);
static obj_t BGl_compilezd2tailzd2getfield2987z00zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_tailz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2tailzd2valloc2993z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2fail3009z00zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2boxzd2ref3013zd2zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2isa3001z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl__storez00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_tailz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_tailz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2makezd2box3011zd2zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2vlength2999z00zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2setzd2exzd2it3005z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_compilezd2tailzd2appzd2ly2981zd2zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
static obj_t BGl__compilezd2tailzd2default2960z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2conditional2973z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2cast3003z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2app2979z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2letzd2var2967zd2zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2funcall2983z00zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2vsetz122997z12zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2letzd2fun2977zd2zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2pragma2985z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_tailz00 = BUNSPEC;
static obj_t BGl_compilezd2tailzd2select2975z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2setfield2989z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_tailz00();
static obj_t BGl_compilezd2tailzd2sequence2971z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2tailzd2jumpzd2exzd2it3007z00zzjvm_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2default2960z00zzjvm_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2boxzd2setz123015zc0zzjvm_tailz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3122z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2atom2963za700za7za7jvm_tailza7003155z00, BGl_compilezd2tailzd2atom2963z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3123z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2var2965za700za7za7jvm_tailza7003156z00, BGl_compilezd2tailzd2var2965z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3124z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2letza7d2var2967za7d2za7za7jvm_tailza7003157za7, BGl_compilezd2tailzd2letzd2var2967zd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3125z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2setq2969za700za7za7jvm_tailza7003158z00, BGl_compilezd2tailzd2setq2969z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3126z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2sequence2971za700za7za7jvm_tailza7003159z00, BGl_compilezd2tailzd2sequence2971z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3127z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2conditional2973za700za7za7jvm_tailza7003160z00, BGl_compilezd2tailzd2conditional2973z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3128z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2select2975za700za7za7jvm_tailza7003161z00, BGl_compilezd2tailzd2select2975z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3130z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2app2979za700za7za7jvm_tailza7003162z00, BGl_compilezd2tailzd2app2979z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3129z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2letza7d2fun2977za7d2za7za7jvm_tailza7003163za7, BGl_compilezd2tailzd2letzd2fun2977zd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3131z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2appza7d2ly2981za7d2za7za7jvm_tailza7003164za7, BGl_compilezd2tailzd2appzd2ly2981zd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3132z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2funcall2983za700za7za7jvm_tailza7003165z00, BGl_compilezd2tailzd2funcall2983z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3133z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2pragma2985za700za7za7jvm_tailza7003166z00, BGl_compilezd2tailzd2pragma2985z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3134z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2getfield2987za700za7za7jvm_tailza7003167z00, BGl_compilezd2tailzd2getfield2987z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3135z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2setfield2989za700za7za7jvm_tailza7003168z00, BGl_compilezd2tailzd2setfield2989z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3136z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2new2991za700za7za7jvm_tailza7003169z00, BGl_compilezd2tailzd2new2991z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3137z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2valloc2993za700za7za7jvm_tailza7003170z00, BGl_compilezd2tailzd2valloc2993z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3138z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2vref2995za700za7za7jvm_tailza7003171z00, BGl_compilezd2tailzd2vref2995z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3140z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2vlength2999za700za7za7jvm_tailza7003172z00, BGl_compilezd2tailzd2vlength2999z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3139z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2vsetza7122997za712za7za7jvm_tailza7003173za7, BGl_compilezd2tailzd2vsetz122997z12zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3141z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2isa3001za700za7za7jvm_tailza7003174z00, BGl_compilezd2tailzd2isa3001z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3142z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2cast3003za700za7za7jvm_tailza7003175z00, BGl_compilezd2tailzd2cast3003z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3143z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2setza7d2exza7d2it3005za700za7za7jvm_tailza7003176z00, BGl_compilezd2tailzd2setzd2exzd2it3005z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3144z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2jumpza7d2exza7d2it3007za700za7za7jvm_tailza7003177z00, BGl_compilezd2tailzd2jumpzd2exzd2it3007z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3145z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2fail3009za700za7za7jvm_tailza7003178z00, BGl_compilezd2tailzd2fail3009z00zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3146z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2makeza7d2box3011za7d2za7za7jvm_tailza7003179za7, BGl_compilezd2tailzd2makezd2box3011zd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3147z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2boxza7d2ref3013za7d2za7za7jvm_tailza7003180za7, BGl_compilezd2tailzd2boxzd2ref3013zd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3148z00zzjvm_tailz00, BgL_bgl_compileza7d2tailza7d2boxza7d2setza7123015za7c0za7za7jvm_tailza7003181z00, BGl_compilezd2tailzd2boxzd2setz123015zc0zzjvm_tailz00, 0L, 2 );
DEFINE_STRING( BGl_string3150z00zzjvm_tailz00, BgL_bgl_string3150za700za7za7jvm_tailza7003182z00, "compile-tail-default2960 begin unspecified ", 43 );
DEFINE_STRING( BGl_string3149z00zzjvm_tailz00, BgL_bgl_string3149za700za7za7jvm_tailza7003183z00, "No method for this object", 25 );
extern obj_t BGl_compilezd2exprzd2envz00zzjvm_exprz00;
DEFINE_EXPORT_GENERIC( BGl_compilezd2tailzd2envz00zzjvm_tailz00, BgL_bgl__compileza7d2tailza7d2za7za7jvm_tailza7003184za7, BGl__compilezd2tailzd2zzjvm_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2tailzd2default2960zd2envzd2zzjvm_tailz00, BgL_bgl__compileza7d2tailza7d2default2960za700za7za7jvm_tailza7003185z00, BGl__compilezd2tailzd2default2960z00zzjvm_tailz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_tailz00(long BgL_checksumz00_2891, char * BgL_fromz00_2892)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_tailz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_tailz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_tailz00(); 
BGl_cnstzd2initzd2zzjvm_tailz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_tailz00(); 
BGl_methodzd2initzd2zzjvm_tailz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_tailz00()
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_tail"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_tailz00()
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
{ /* Jvm/tail.scm 2 */
obj_t BgL_cportz00_2884;
BgL_cportz00_2884 = 
open_input_string(BGl_string3150z00zzjvm_tailz00); 
{ 
long BgL_iz00_2885;
BgL_iz00_2885 = ((long)2); 
BgL_loopz00_2886:
if(
(BgL_iz00_2885==((long)-1)))
{ /* Jvm/tail.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/tail.scm 2 */
{ /* Jvm/tail.scm 2 */
obj_t BgL_arg3152z00_2888;
{ /* Jvm/tail.scm 2 */
obj_t BgL_list3153z00_2889;
BgL_list3153z00_2889 = 
MAKE_PAIR(BgL_cportz00_2884, BNIL); 
BgL_arg3152z00_2888 = 
BGl_readz00zz__readerz00(BgL_list3153z00_2889); } 
{ /* Jvm/tail.scm 2 */
int BgL_auxz00_2908;
BgL_auxz00_2908 = 
(int)(BgL_iz00_2885); 
CNST_TABLE_SET(BgL_auxz00_2908, BgL_arg3152z00_2888); } } 
{ 
long BgL_iz00_2911;
{ /* Jvm/tail.scm 2 */
int BgL_auxz00_2912;
{ /* Jvm/tail.scm 2 */
long BgL_auxz00_2913;
BgL_auxz00_2913 = 
(BgL_iz00_2885-((long)1)); 
BgL_auxz00_2912 = 
(int)(BgL_auxz00_2913); } 
BgL_iz00_2911 = 
(long)(BgL_auxz00_2912); } 
BgL_iz00_2885 = BgL_iz00_2911; 
goto BgL_loopz00_2886;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_tailz00()
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_tailz00()
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_compilezd2tailzd2default2960zd2envzd2zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_atomz00zzast_nodez00, BGl_proc3122z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_varz00zzast_nodez00, BGl_proc3123z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3124z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_setqz00zzast_nodez00, BGl_proc3125z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_sequencez00zzast_nodez00, BGl_proc3126z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_conditionalz00zzast_nodez00, BGl_proc3127z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_selectz00zzast_nodez00, BGl_proc3128z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3129z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_appz00zzast_nodez00, BGl_proc3130z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3131z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_funcallz00zzast_nodez00, BGl_proc3132z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_pragmaz00zzast_nodez00, BGl_proc3133z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_getfieldz00zzast_nodez00, BGl_proc3134z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_setfieldz00zzast_nodez00, BGl_proc3135z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_newz00zzast_nodez00, BGl_proc3136z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_vallocz00zzast_nodez00, BGl_proc3137z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_vrefz00zzast_nodez00, BGl_proc3138z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3139z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_vlengthz00zzast_nodez00, BGl_proc3140z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_isaz00zzast_nodez00, BGl_proc3141z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_castz00zzast_nodez00, BGl_proc3142z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3143z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3144z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_failz00zzast_nodez00, BGl_proc3145z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3146z00zzjvm_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3147z00zzjvm_tailz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3148z00zzjvm_tailz00);} 
}



/* compile-tail-box-set!3015 */
obj_t BGl_compilezd2tailzd2boxzd2setz123015zc0zzjvm_tailz00(obj_t BgL_envz00_2800, obj_t BgL_ez00_2801, obj_t BgL_envz00_2802)
{ AN_OBJECT;
{ /* Jvm/tail.scm 102 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2139;BgL_envz00_bglt BgL_envz00_2140;
BgL_ez00_2139 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2801); 
BgL_envz00_2140 = 
(BgL_envz00_bglt)(BgL_envz00_2802); 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_2139, BgL_envz00_2140); 
{ /* Jvm/tail.scm 104 */
obj_t BgL_arg3112z00_2738;
BgL_arg3112z00_2738 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2140, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2140, BgL_arg3112z00_2738);} } } 
}



/* compile-tail-box-ref3013 */
obj_t BGl_compilezd2tailzd2boxzd2ref3013zd2zzjvm_tailz00(obj_t BgL_envz00_2803, obj_t BgL_ez00_2804, obj_t BgL_envz00_2805)
{ AN_OBJECT;
{ /* Jvm/tail.scm 99 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2133;BgL_envz00_bglt BgL_envz00_2134;
BgL_ez00_2133 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2804); 
BgL_envz00_2134 = 
(BgL_envz00_bglt)(BgL_envz00_2805); 
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_ez00_2133, BgL_envz00_2134);} } 
}



/* compile-tail-make-box3011 */
obj_t BGl_compilezd2tailzd2makezd2box3011zd2zzjvm_tailz00(obj_t BgL_envz00_2806, obj_t BgL_ez00_2807, obj_t BgL_envz00_2808)
{ AN_OBJECT;
{ /* Jvm/tail.scm 96 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2127;BgL_envz00_bglt BgL_envz00_2128;
BgL_ez00_2127 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2807); 
BgL_envz00_2128 = 
(BgL_envz00_bglt)(BgL_envz00_2808); 
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_ez00_2127, BgL_envz00_2128);} } 
}



/* compile-tail-fail3009 */
obj_t BGl_compilezd2tailzd2fail3009z00zzjvm_tailz00(obj_t BgL_envz00_2809, obj_t BgL_ez00_2810, obj_t BgL_envz00_2811)
{ AN_OBJECT;
{ /* Jvm/tail.scm 93 */
{ 
BgL_failz00_bglt BgL_ez00_2121;BgL_envz00_bglt BgL_envz00_2122;
BgL_ez00_2121 = 
(BgL_failz00_bglt)(BgL_ez00_2810); 
BgL_envz00_2122 = 
(BgL_envz00_bglt)(BgL_envz00_2811); 
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_ez00_2121, BgL_envz00_2122);} } 
}



/* compile-tail-jump-ex-it3007 */
obj_t BGl_compilezd2tailzd2jumpzd2exzd2it3007z00zzjvm_tailz00(obj_t BgL_envz00_2812, obj_t BgL_ez00_2813, obj_t BgL_envz00_2814)
{ AN_OBJECT;
{ /* Jvm/tail.scm 90 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2115;BgL_envz00_bglt BgL_envz00_2116;
BgL_ez00_2115 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2813); 
BgL_envz00_2116 = 
(BgL_envz00_bglt)(BgL_envz00_2814); 
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_ez00_2115, BgL_envz00_2116);} } 
}



/* compile-tail-set-ex-it3005 */
obj_t BGl_compilezd2tailzd2setzd2exzd2it3005z00zzjvm_tailz00(obj_t BgL_envz00_2815, obj_t BgL_ez00_2816, obj_t BgL_envz00_2817)
{ AN_OBJECT;
{ /* Jvm/tail.scm 87 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2109;BgL_envz00_bglt BgL_envz00_2110;
BgL_ez00_2109 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2816); 
BgL_envz00_2110 = 
(BgL_envz00_bglt)(BgL_envz00_2817); 
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_ez00_2109, BgL_envz00_2110, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-tail-cast3003 */
obj_t BGl_compilezd2tailzd2cast3003z00zzjvm_tailz00(obj_t BgL_envz00_2818, obj_t BgL_ez00_2819, obj_t BgL_envz00_2820)
{ AN_OBJECT;
{ /* Jvm/tail.scm 84 */
{ 
BgL_castz00_bglt BgL_ez00_2103;BgL_envz00_bglt BgL_envz00_2104;
BgL_ez00_2103 = 
(BgL_castz00_bglt)(BgL_ez00_2819); 
BgL_envz00_2104 = 
(BgL_envz00_bglt)(BgL_envz00_2820); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2103, BgL_envz00_2104, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-isa3001 */
obj_t BGl_compilezd2tailzd2isa3001z00zzjvm_tailz00(obj_t BgL_envz00_2821, obj_t BgL_ez00_2822, obj_t BgL_envz00_2823)
{ AN_OBJECT;
{ /* Jvm/tail.scm 81 */
{ 
BgL_isaz00_bglt BgL_ez00_2097;BgL_envz00_bglt BgL_envz00_2098;
BgL_ez00_2097 = 
(BgL_isaz00_bglt)(BgL_ez00_2822); 
BgL_envz00_2098 = 
(BgL_envz00_bglt)(BgL_envz00_2823); 
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_ez00_2097, BgL_envz00_2098);} } 
}



/* compile-tail-vlength2999 */
obj_t BGl_compilezd2tailzd2vlength2999z00zzjvm_tailz00(obj_t BgL_envz00_2824, obj_t BgL_ez00_2825, obj_t BgL_envz00_2826)
{ AN_OBJECT;
{ /* Jvm/tail.scm 78 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2091;BgL_envz00_bglt BgL_envz00_2092;
BgL_ez00_2091 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2825); 
BgL_envz00_2092 = 
(BgL_envz00_bglt)(BgL_envz00_2826); 
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_ez00_2091, BgL_envz00_2092);} } 
}



/* compile-tail-vset!2997 */
obj_t BGl_compilezd2tailzd2vsetz122997z12zzjvm_tailz00(obj_t BgL_envz00_2827, obj_t BgL_ez00_2828, obj_t BgL_envz00_2829)
{ AN_OBJECT;
{ /* Jvm/tail.scm 74 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2084;BgL_envz00_bglt BgL_envz00_2085;
BgL_ez00_2084 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2828); 
BgL_envz00_2085 = 
(BgL_envz00_bglt)(BgL_envz00_2829); 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_2084, BgL_envz00_2085); 
{ /* Jvm/tail.scm 76 */
obj_t BgL_arg3102z00_2737;
BgL_arg3102z00_2737 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2085, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2085, BgL_arg3102z00_2737);} } } 
}



/* compile-tail-vref2995 */
obj_t BGl_compilezd2tailzd2vref2995z00zzjvm_tailz00(obj_t BgL_envz00_2830, obj_t BgL_ez00_2831, obj_t BgL_envz00_2832)
{ AN_OBJECT;
{ /* Jvm/tail.scm 71 */
{ 
BgL_vrefz00_bglt BgL_ez00_2078;BgL_envz00_bglt BgL_envz00_2079;
BgL_ez00_2078 = 
(BgL_vrefz00_bglt)(BgL_ez00_2831); 
BgL_envz00_2079 = 
(BgL_envz00_bglt)(BgL_envz00_2832); 
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_ez00_2078, BgL_envz00_2079);} } 
}



/* compile-tail-valloc2993 */
obj_t BGl_compilezd2tailzd2valloc2993z00zzjvm_tailz00(obj_t BgL_envz00_2833, obj_t BgL_ez00_2834, obj_t BgL_envz00_2835)
{ AN_OBJECT;
{ /* Jvm/tail.scm 68 */
{ 
BgL_vallocz00_bglt BgL_ez00_2072;BgL_envz00_bglt BgL_envz00_2073;
BgL_ez00_2072 = 
(BgL_vallocz00_bglt)(BgL_ez00_2834); 
BgL_envz00_2073 = 
(BgL_envz00_bglt)(BgL_envz00_2835); 
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_ez00_2072, BgL_envz00_2073);} } 
}



/* compile-tail-new2991 */
obj_t BGl_compilezd2tailzd2new2991z00zzjvm_tailz00(obj_t BgL_envz00_2836, obj_t BgL_ez00_2837, obj_t BgL_envz00_2838)
{ AN_OBJECT;
{ /* Jvm/tail.scm 65 */
{ 
BgL_newz00_bglt BgL_ez00_2066;BgL_envz00_bglt BgL_envz00_2067;
BgL_ez00_2066 = 
(BgL_newz00_bglt)(BgL_ez00_2837); 
BgL_envz00_2067 = 
(BgL_envz00_bglt)(BgL_envz00_2838); 
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_ez00_2066, BgL_envz00_2067);} } 
}



/* compile-tail-setfield2989 */
obj_t BGl_compilezd2tailzd2setfield2989z00zzjvm_tailz00(obj_t BgL_envz00_2839, obj_t BgL_ez00_2840, obj_t BgL_envz00_2841)
{ AN_OBJECT;
{ /* Jvm/tail.scm 61 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2059;BgL_envz00_bglt BgL_envz00_2060;
BgL_ez00_2059 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2840); 
BgL_envz00_2060 = 
(BgL_envz00_bglt)(BgL_envz00_2841); 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_2059, BgL_envz00_2060); 
{ /* Jvm/tail.scm 63 */
obj_t BgL_arg3097z00_2736;
BgL_arg3097z00_2736 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2060, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2060, BgL_arg3097z00_2736);} } } 
}



/* compile-tail-getfield2987 */
obj_t BGl_compilezd2tailzd2getfield2987z00zzjvm_tailz00(obj_t BgL_envz00_2842, obj_t BgL_ez00_2843, obj_t BgL_envz00_2844)
{ AN_OBJECT;
{ /* Jvm/tail.scm 58 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2053;BgL_envz00_bglt BgL_envz00_2054;
BgL_ez00_2053 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2843); 
BgL_envz00_2054 = 
(BgL_envz00_bglt)(BgL_envz00_2844); 
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_ez00_2053, BgL_envz00_2054);} } 
}



/* compile-tail-pragma2985 */
obj_t BGl_compilezd2tailzd2pragma2985z00zzjvm_tailz00(obj_t BgL_envz00_2845, obj_t BgL_ez00_2846, obj_t BgL_envz00_2847)
{ AN_OBJECT;
{ /* Jvm/tail.scm 55 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2047;BgL_envz00_bglt BgL_envz00_2048;
BgL_ez00_2047 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2846); 
BgL_envz00_2048 = 
(BgL_envz00_bglt)(BgL_envz00_2847); 
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_ez00_2047, BgL_envz00_2048);} } 
}



/* compile-tail-funcall2983 */
obj_t BGl_compilezd2tailzd2funcall2983z00zzjvm_tailz00(obj_t BgL_envz00_2848, obj_t BgL_ez00_2849, obj_t BgL_envz00_2850)
{ AN_OBJECT;
{ /* Jvm/tail.scm 52 */
{ 
BgL_funcallz00_bglt BgL_ez00_2041;BgL_envz00_bglt BgL_envz00_2042;
BgL_ez00_2041 = 
(BgL_funcallz00_bglt)(BgL_ez00_2849); 
BgL_envz00_2042 = 
(BgL_envz00_bglt)(BgL_envz00_2850); 
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_ez00_2041, BgL_envz00_2042);} } 
}



/* compile-tail-app-ly2981 */
obj_t BGl_compilezd2tailzd2appzd2ly2981zd2zzjvm_tailz00(obj_t BgL_envz00_2851, obj_t BgL_ez00_2852, obj_t BgL_envz00_2853)
{ AN_OBJECT;
{ /* Jvm/tail.scm 49 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2035;BgL_envz00_bglt BgL_envz00_2036;
BgL_ez00_2035 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2852); 
BgL_envz00_2036 = 
(BgL_envz00_bglt)(BgL_envz00_2853); 
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_ez00_2035, BgL_envz00_2036);} } 
}



/* compile-tail-app2979 */
obj_t BGl_compilezd2tailzd2app2979z00zzjvm_tailz00(obj_t BgL_envz00_2854, obj_t BgL_ez00_2855, obj_t BgL_envz00_2856)
{ AN_OBJECT;
{ /* Jvm/tail.scm 35 */
{ 
BgL_appz00_bglt BgL_ez00_2005;BgL_envz00_bglt BgL_envz00_2006;
BgL_ez00_2005 = 
(BgL_appz00_bglt)(BgL_ez00_2855); 
BgL_envz00_2006 = 
(BgL_envz00_bglt)(BgL_envz00_2856); 
{ /* Jvm/tail.scm 37 */
BgL_variablez00_bglt BgL_vz00_2010;
{ /* Jvm/tail.scm 37 */
BgL_varz00_bglt BgL_arg3091z00_2032;
BgL_arg3091z00_2032 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_2005))->BgL_funz00); 
BgL_vz00_2010 = 
(((BgL_varz00_bglt)CREF(BgL_arg3091z00_2032))->BgL_variablez00); } 
{ /* Jvm/tail.scm 38 */
bool_t BgL_testz00_3010;
{ /* Jvm/tail.scm 38 */
obj_t BgL_auxz00_3013;obj_t BgL_auxz00_3011;
BgL_auxz00_3013 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_2006))->BgL_currentzd2methodzd2); 
BgL_auxz00_3011 = 
(obj_t)(BgL_vz00_2010); 
BgL_testz00_3010 = 
(BgL_auxz00_3011==BgL_auxz00_3013); } 
if(BgL_testz00_3010)
{ /* Jvm/tail.scm 39 */
obj_t BgL_paramsz00_2012;
{ /* Jvm/tail.scm 39 */
BgL_sfunz00_bglt BgL_obj1369z00_2724;
{ /* Jvm/tail.scm 39 */
BgL_valuez00_bglt BgL_auxz00_3016;
{ /* Jvm/tail.scm 39 */
BgL_globalz00_bglt BgL_obj1155z00_2723;
BgL_obj1155z00_2723 = 
(BgL_globalz00_bglt)(BgL_vz00_2010); 
BgL_auxz00_3016 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2723))->BgL_valuez00); } 
BgL_obj1369z00_2724 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3016); } 
BgL_paramsz00_2012 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2724))->BgL_argsz00); } 
{ 
obj_t BgL_l2955z00_2013;
BgL_l2955z00_2013 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_2005))->BgL_argsz00); 
BgL_lname2956z00_2014:
if(
PAIRP(BgL_l2955z00_2013))
{ /* Jvm/tail.scm 40 */
{ /* Jvm/tail.scm 40 */
BgL_nodez00_bglt BgL_auxz00_3023;
{ /* Jvm/tail.scm 40 */
obj_t BgL_auxz00_3024;
BgL_auxz00_3024 = 
CAR(BgL_l2955z00_2013); 
BgL_auxz00_3023 = 
(BgL_nodez00_bglt)(BgL_auxz00_3024); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_3023, BgL_envz00_2006); } 
{ 
obj_t BgL_l2955z00_3028;
BgL_l2955z00_3028 = 
CDR(BgL_l2955z00_2013); 
BgL_l2955z00_2013 = BgL_l2955z00_3028; 
goto BgL_lname2956z00_2014;} }  else 
{ /* Jvm/tail.scm 40 */((bool_t)1); } } 
{ 
obj_t BgL_l2957z00_2019;
BgL_l2957z00_2019 = 
bgl_reverse(BgL_paramsz00_2012); 
BgL_lname2958z00_2020:
if(
PAIRP(BgL_l2957z00_2019))
{ /* Jvm/tail.scm 41 */
{ /* Jvm/tail.scm 41 */
BgL_localz00_bglt BgL_auxz00_3033;
{ /* Jvm/tail.scm 41 */
obj_t BgL_auxz00_3034;
BgL_auxz00_3034 = 
CAR(BgL_l2957z00_2019); 
BgL_auxz00_3033 = 
(BgL_localz00_bglt)(BgL_auxz00_3034); } 
BGl__storez00zzjvm_instrz00(BgL_envz00_2006, BgL_auxz00_3033); } 
{ 
obj_t BgL_l2957z00_3038;
BgL_l2957z00_3038 = 
CDR(BgL_l2957z00_2019); 
BgL_l2957z00_2019 = BgL_l2957z00_3038; 
goto BgL_lname2958z00_2020;} }  else 
{ /* Jvm/tail.scm 41 */((bool_t)1); } } 
{ /* Jvm/tail.scm 44 */
obj_t BgL_arg3083z00_2025;
{ /* Jvm/tail.scm 44 */
obj_t BgL_arg3084z00_2026;obj_t BgL_arg3085z00_2027;
{ /* Jvm/tail.scm 44 */
obj_t BgL_arg3086z00_2028;
{ /* Jvm/tail.scm 44 */
obj_t BgL_auxz00_3041;
{ /* Jvm/tail.scm 44 */
BgL_typez00_bglt BgL_auxz00_3042;
{ /* Jvm/tail.scm 44 */
BgL_globalz00_bglt BgL_obj1152z00_2732;
BgL_obj1152z00_2732 = 
(BgL_globalz00_bglt)(BgL_vz00_2010); 
BgL_auxz00_3042 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2732))->BgL_typez00); } 
BgL_auxz00_3041 = 
(obj_t)(BgL_auxz00_3042); } 
BgL_arg3086z00_2028 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3041, BgL_envz00_2006); } 
BgL_arg3084z00_2026 = 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_arg3086z00_2028); } 
BgL_arg3085z00_2027 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_2006))->BgL_stackz00); 
BgL_arg3083z00_2025 = 
MAKE_PAIR(BgL_arg3084z00_2026, BgL_arg3085z00_2027); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_2006))->BgL_stackz00) = ((obj_t)BgL_arg3083z00_2025), BUNSPEC); } 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2006, 
CNST_TABLE_REF(((long)1)));}  else 
{ /* Jvm/tail.scm 38 */
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_ez00_2005, BgL_envz00_2006);} } } } } 
}



/* compile-tail-let-fun2977 */
obj_t BGl_compilezd2tailzd2letzd2fun2977zd2zzjvm_tailz00(obj_t BgL_envz00_2857, obj_t BgL_ez00_2858, obj_t BgL_envz00_2859)
{ AN_OBJECT;
{ /* Jvm/tail.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1999;BgL_envz00_bglt BgL_envz00_2000;
BgL_ez00_1999 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2858); 
BgL_envz00_2000 = 
(BgL_envz00_bglt)(BgL_envz00_2859); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_1999, BgL_envz00_2000, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-select2975 */
obj_t BGl_compilezd2tailzd2select2975z00zzjvm_tailz00(obj_t BgL_envz00_2860, obj_t BgL_ez00_2861, obj_t BgL_envz00_2862)
{ AN_OBJECT;
{ /* Jvm/tail.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_1993;BgL_envz00_bglt BgL_envz00_1994;
BgL_ez00_1993 = 
(BgL_selectz00_bglt)(BgL_ez00_2861); 
BgL_envz00_1994 = 
(BgL_envz00_bglt)(BgL_envz00_2862); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_1993, BgL_envz00_1994, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-conditional2973 */
obj_t BGl_compilezd2tailzd2conditional2973z00zzjvm_tailz00(obj_t BgL_envz00_2863, obj_t BgL_ez00_2864, obj_t BgL_envz00_2865)
{ AN_OBJECT;
{ /* Jvm/tail.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1987;BgL_envz00_bglt BgL_envz00_1988;
BgL_ez00_1987 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2864); 
BgL_envz00_1988 = 
(BgL_envz00_bglt)(BgL_envz00_2865); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1987, BgL_envz00_1988, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-sequence2971 */
obj_t BGl_compilezd2tailzd2sequence2971z00zzjvm_tailz00(obj_t BgL_envz00_2866, obj_t BgL_ez00_2867, obj_t BgL_envz00_2868)
{ AN_OBJECT;
{ /* Jvm/tail.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1981;BgL_envz00_bglt BgL_envz00_1982;
BgL_ez00_1981 = 
(BgL_sequencez00_bglt)(BgL_ez00_2867); 
BgL_envz00_1982 = 
(BgL_envz00_bglt)(BgL_envz00_2868); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1981, BgL_envz00_1982, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-setq2969 */
obj_t BGl_compilezd2tailzd2setq2969z00zzjvm_tailz00(obj_t BgL_envz00_2869, obj_t BgL_ez00_2870, obj_t BgL_envz00_2871)
{ AN_OBJECT;
{ /* Jvm/tail.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1974;BgL_envz00_bglt BgL_envz00_1975;
BgL_ez00_1974 = 
(BgL_setqz00_bglt)(BgL_ez00_2870); 
BgL_envz00_1975 = 
(BgL_envz00_bglt)(BgL_envz00_2871); 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1974, BgL_envz00_1975); 
{ /* Jvm/tail.scm 21 */
obj_t BgL_arg3070z00_2719;
BgL_arg3070z00_2719 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1975, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1975, BgL_arg3070z00_2719);} } } 
}



/* compile-tail-let-var2967 */
obj_t BGl_compilezd2tailzd2letzd2var2967zd2zzjvm_tailz00(obj_t BgL_envz00_2872, obj_t BgL_ez00_2873, obj_t BgL_envz00_2874)
{ AN_OBJECT;
{ /* Jvm/tail.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1968;BgL_envz00_bglt BgL_envz00_1969;
BgL_ez00_1968 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2873); 
BgL_envz00_1969 = 
(BgL_envz00_bglt)(BgL_envz00_2874); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1968, BgL_envz00_1969, BGl_compilezd2tailzd2envz00zzjvm_tailz00);} } 
}



/* compile-tail-var2965 */
obj_t BGl_compilezd2tailzd2var2965z00zzjvm_tailz00(obj_t BgL_envz00_2875, obj_t BgL_ez00_2876, obj_t BgL_envz00_2877)
{ AN_OBJECT;
{ /* Jvm/tail.scm 13 */
{ 
BgL_varz00_bglt BgL_ez00_1962;BgL_envz00_bglt BgL_envz00_1963;
BgL_ez00_1962 = 
(BgL_varz00_bglt)(BgL_ez00_2876); 
BgL_envz00_1963 = 
(BgL_envz00_bglt)(BgL_envz00_2877); 
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_ez00_1962, BgL_envz00_1963);} } 
}



/* compile-tail-atom2963 */
obj_t BGl_compilezd2tailzd2atom2963z00zzjvm_tailz00(obj_t BgL_envz00_2878, obj_t BgL_ez00_2879, obj_t BgL_envz00_2880)
{ AN_OBJECT;
{ /* Jvm/tail.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1956;BgL_envz00_bglt BgL_envz00_1957;
BgL_ez00_1956 = 
(BgL_atomz00_bglt)(BgL_ez00_2879); 
BgL_envz00_1957 = 
(BgL_envz00_bglt)(BgL_envz00_2880); 
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(
(obj_t)(BgL_ez00_1956), BgL_envz00_1957);} } 
}



/* compile-tail */
obj_t BGl_compilezd2tailzd2zzjvm_tailz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/tail.scm 8 */
{ /* Jvm/tail.scm 8 */
obj_t BgL_method2961z00_2739;
{ /* Jvm/tail.scm 8 */
long BgL_objzd2classzd2numz00_2741;
{ /* Jvm/tail.scm 8 */
BgL_objectz00_bglt BgL_auxz00_3084;
BgL_auxz00_3084 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_2741 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3084); } 
{ /* Jvm/tail.scm 8 */
obj_t BgL_arg1221z00_2742;
{ /* Jvm/tail.scm 8 */
int BgL_auxz00_3087;
BgL_auxz00_3087 = 
(int)(((long)1)); 
BgL_arg1221z00_2742 = 
PROCEDURE_REF(BGl_compilezd2tailzd2envz00zzjvm_tailz00, BgL_auxz00_3087); } 
{ /* Jvm/tail.scm 8 */
long BgL_offsetz00_2746;
{ /* Jvm/tail.scm 8 */
long BgL_auxz00_3090;
{ /* Jvm/tail.scm 8 */
int BgL_auxz00_3091;
BgL_auxz00_3091 = 
(int)(BgL_objzd2classzd2numz00_2741); 
BgL_auxz00_3090 = 
(long)(BgL_auxz00_3091); } 
BgL_offsetz00_2746 = 
(BgL_auxz00_3090-OBJECT_TYPE); } 
{ /* Jvm/tail.scm 8 */
long BgL_modz00_2747;
{ /* Jvm/tail.scm 8 */
long BgL_auxz00_3095;
{ /* Jvm/tail.scm 8 */
int BgL_auxz00_3096;
BgL_auxz00_3096 = 
(int)(((long)8)); 
BgL_auxz00_3095 = 
(long)(BgL_auxz00_3096); } 
BgL_modz00_2747 = 
(BgL_offsetz00_2746/BgL_auxz00_3095); } 
{ /* Jvm/tail.scm 8 */
long BgL_restz00_2749;
{ /* Jvm/tail.scm 8 */
long BgL_auxz00_3100;
{ /* Jvm/tail.scm 8 */
int BgL_auxz00_3101;
BgL_auxz00_3101 = 
(int)(((long)8)); 
BgL_auxz00_3100 = 
(long)(BgL_auxz00_3101); } 
BgL_restz00_2749 = 
(BgL_offsetz00_2746%BgL_auxz00_3100); } 
{ /* Jvm/tail.scm 8 */

{ /* Jvm/tail.scm 8 */
obj_t BgL_bucketz00_2751;
{ /* Jvm/tail.scm 8 */
int BgL_kz00_2761;
BgL_kz00_2761 = 
(int)(BgL_modz00_2747); 
BgL_bucketz00_2751 = 
VECTOR_REF(BgL_arg1221z00_2742,BgL_kz00_2761); } 
{ /* Jvm/tail.scm 8 */
int BgL_kz00_2763;
BgL_kz00_2763 = 
(int)(BgL_restz00_2749); 
BgL_method2961z00_2739 = 
VECTOR_REF(BgL_bucketz00_2751,BgL_kz00_2763); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2961z00_2739)(BgL_method2961z00_2739, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-tail */
obj_t BGl__compilezd2tailzd2zzjvm_tailz00(obj_t BgL_envz00_2777, obj_t BgL_ez00_2778, obj_t BgL_envz00_2779)
{ AN_OBJECT;
{ /* Jvm/tail.scm 8 */
return 
BGl_compilezd2tailzd2zzjvm_tailz00(
(BgL_nodez00_bglt)(BgL_ez00_2778), 
(BgL_envz00_bglt)(BgL_envz00_2779));} 
}



/* compile-tail-default2960 */
obj_t BGl_compilezd2tailzd2default2960z00zzjvm_tailz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
{ 
obj_t BgL_auxz00_3118;obj_t BgL_auxz00_3116;
BgL_auxz00_3118 = 
(obj_t)(BgL_ez00_3); 
BgL_auxz00_3116 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_3116,BGl_string3149z00zzjvm_tailz00,BgL_auxz00_3118);} } 
}



/* _compile-tail-default2960 */
obj_t BGl__compilezd2tailzd2default2960z00zzjvm_tailz00(obj_t BgL_envz00_2881, obj_t BgL_ez00_2882, obj_t BgL_envz00_2883)
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
return 
BGl_compilezd2tailzd2default2960z00zzjvm_tailz00(
(BgL_nodez00_bglt)(BgL_ez00_2882), 
(BgL_envz00_bglt)(BgL_envz00_2883));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_tailz00()
{ AN_OBJECT;
{ /* Jvm/tail.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_tail"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_tail"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_tail");} 
}

