/*===========================================================================*/
/*   (Module/impuse.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_body1775z00zzmodule_impusez00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_handlerz00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
static obj_t BGl_methodzd2initzd2zzmodule_impusez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl__importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31801ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00();
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
static obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31795ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31806ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31796ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31807ze3z83zzmodule_impusez00(obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_addzd2accessz12zc0zzread_accessz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32050ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_zc3anonymousza32051ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_escapez00zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
static obj_t BGl_rhandler1774z00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
extern obj_t current_error_port;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
static obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_impusez00();
extern obj_t BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
static obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t);
extern obj_t close_input_port(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl__importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00();
static obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_handling_function2047z00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
static obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_impusez00 = BUNSPEC;
static obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
extern obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_readerzd2resetz12zc0zz__readerz00();
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
extern obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_impusez00();
extern obj_t BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 23 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2importzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2importza7d2compilerza700za7za7module_impuseza7002194z00, BGl__makezd2importzd2compilerz00zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2importedzd2moduleszd2envzd2zzmodule_impusez00, BgL_bgl__getza7d2importedza7d2modulesza700za7za7module_impuseza7002195z00, BGl__getzd2importedzd2modulesz00zzmodule_impusez00, 0L, 0 );
DEFINE_STRING( BGl_string2189z00zzmodule_impusez00, BgL_bgl_string2189za700za7za7module_impuseza7002196z00, "sifun wide-class final-class abstract-class class svar (sfun sifun sgfun) (import with from) @ from::string checksum::long unit imported-modules pragma::int begin nothing with imode all from use void import ", 207 );
DEFINE_STRING( BGl_string2188z00zzmodule_impusez00, BgL_bgl_string2188za700za7za7module_impuseza7002197z00, "Can't find exportation for these identifiers", 44 );
DEFINE_STRING( BGl_string2187z00zzmodule_impusez00, BgL_bgl_string2187za700za7za7module_impuseza7002198z00, "Can't find such module", 22 );
DEFINE_STRING( BGl_string2186z00zzmodule_impusez00, BgL_bgl_string2186za700za7za7module_impuseza7002199z00, "Can't open such file", 20 );
DEFINE_STRING( BGl_string2185z00zzmodule_impusez00, BgL_bgl_string2185za700za7za7module_impuseza7002200z00, "read-imported-module", 20 );
DEFINE_STRING( BGl_string2184z00zzmodule_impusez00, BgL_bgl_string2184za700za7za7module_impuseza7002201z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string2183z00zzmodule_impusez00, BgL_bgl_string2183za700za7za7module_impuseza7002202z00, " module ", 8 );
DEFINE_STRING( BGl_string2182z00zzmodule_impusez00, BgL_bgl_string2182za700za7za7module_impuseza7002203z00, "]", 1 );
DEFINE_STRING( BGl_string2181z00zzmodule_impusez00, BgL_bgl_string2181za700za7za7module_impuseza7002204z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string2180z00zzmodule_impusez00, BgL_bgl_string2180za700za7za7module_impuseza7002205z00, "\")", 2 );
DEFINE_STRING( BGl_string2179z00zzmodule_impusez00, BgL_bgl_string2179za700za7za7module_impuseza7002206z00, "puts(\"    Module init (import): ", 32 );
DEFINE_STRING( BGl_string2178z00zzmodule_impusez00, BgL_bgl_string2178za700za7za7module_impuseza7002207z00, "Illegal `import/use' clause", 27 );
DEFINE_STRING( BGl_string2177z00zzmodule_impusez00, BgL_bgl_string2177za700za7za7module_impuseza7002208z00, "Illegal imported clause", 23 );
DEFINE_STRING( BGl_string2176z00zzmodule_impusez00, BgL_bgl_string2176za700za7za7module_impuseza7002209z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2175z00zzmodule_impusez00, BgL_bgl_string2175za700za7za7module_impuseza7002210z00, "' clause", 8 );
DEFINE_STRING( BGl_string2174z00zzmodule_impusez00, BgL_bgl_string2174za700za7za7module_impuseza7002211z00, "Illegal `", 9 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2producerzd2envz00zzmodule_impusez00, BgL_bgl__impuseza7d2producerza7d2za7za7module_impuseza7002212za7, BGl__impusezd2producerzd2zzmodule_impusez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2fromzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2fromza7d2compilerza700za7za7module_impuseza7002213z00, BGl__makezd2fromzd2compilerz00zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2parserzd2envz00zzmodule_impusez00, BgL_bgl__importza7d2parserza7d2za7za7module_impuseza7002214za7, va_generic_entry, BGl__importzd2parserzd2zzmodule_impusez00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2withzd2modulez12zd2envzc0zzmodule_impusez00, BgL_bgl__importza7d2withza7d2moduleza712za712za7za7module_impuseza7002215za7, BGl__importzd2withzd2modulez12z12zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2170z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31795za7e3za783za7za7module_impuseza7002216za7, BGl_zc3anonymousza31795ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2169z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31796za7e3za783za7za7module_impuseza7002217za7, BGl_zc3anonymousza31796ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2171z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31801za7e3za783za7za7module_impuseza7002218za7, BGl_zc3anonymousza31801ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2172z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31807za7e3za783za7za7module_impuseza7002219za7, BGl_zc3anonymousza31807ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2173z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31806za7e3za783za7za7module_impuseza7002220za7, BGl_zc3anonymousza31806ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00, BgL_bgl__impuseza7d2finaliza7a7erza775za7za7module_impuseza7002221z00, BGl__impusezd2finaliza7erz75zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2usezd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2useza7d2compilerza700za7za7module_impuseza7002222z00, BGl__makezd2usezd2compilerz00zzmodule_impusez00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long BgL_checksumz00_2260, char * BgL_fromz00_2261)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_impusez00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_impusez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_cnstzd2initzd2zzmodule_impusez00(); 
BGl_importedzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_toplevelzd2initzd2zzmodule_impusez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "module_impuse"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
{ /* Module/impuse.scm 15 */
obj_t BgL_cportz00_2253;
BgL_cportz00_2253 = 
open_input_string(BGl_string2189z00zzmodule_impusez00); 
{ 
long BgL_iz00_2254;
BgL_iz00_2254 = ((long)22); 
BgL_loopz00_2255:
if(
(BgL_iz00_2254==((long)-1)))
{ /* Module/impuse.scm 15 */
return BUNSPEC;}  else 
{ /* Module/impuse.scm 15 */
{ /* Module/impuse.scm 15 */
obj_t BgL_arg2191z00_2257;
{ /* Module/impuse.scm 15 */
obj_t BgL_list2192z00_2258;
BgL_list2192z00_2258 = 
MAKE_PAIR(BgL_cportz00_2253, BNIL); 
BgL_arg2191z00_2257 = 
BGl_readz00zz__readerz00(BgL_list2192z00_2258); } 
{ /* Module/impuse.scm 15 */
int BgL_auxz00_2285;
BgL_auxz00_2285 = 
(int)(BgL_iz00_2254); 
CNST_TABLE_SET(BgL_auxz00_2285, BgL_arg2191z00_2257); } } 
{ 
long BgL_iz00_2288;
{ /* Module/impuse.scm 15 */
int BgL_auxz00_2289;
{ /* Module/impuse.scm 15 */
long BgL_auxz00_2290;
BgL_auxz00_2290 = 
(BgL_iz00_2254-((long)1)); 
BgL_auxz00_2289 = 
(int)(BgL_auxz00_2290); } 
BgL_iz00_2288 = 
(long)(BgL_auxz00_2289); } 
BgL_iz00_2254 = BgL_iz00_2288; 
goto BgL_loopz00_2255;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BNIL; 
return ( 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BNIL, BUNSPEC) ;} 
}



/* make-import-compiler */
obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 50 */
{ /* Module/impuse.scm 51 */
obj_t BgL_arg1791z00_680;obj_t BgL_arg1792z00_681;
BgL_arg1791z00_680 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1792z00_681 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2150z00_1371;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1020z00_1356;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2148z00_1362;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1022z00_1357;
BgL_new1022z00_1357 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 51 */
long BgL_arg2145z00_1358;
BgL_arg2145z00_1358 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2297;
BgL_auxz00_2297 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1357); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2297, BgL_arg2145z00_1358); } } 
{ /* Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2300;
BgL_auxz00_2300 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1357); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2300, BFALSE); } 
{ /* Module/impuse.scm 51 */
obj_t BgL_auxz00_2303;
BgL_auxz00_2303 = 
(obj_t)(BgL_new1022z00_1357); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2303); } BUNSPEC; 
BgL_res2148z00_1362 = BgL_new1022z00_1357; } 
BgL_new1020z00_1356 = BgL_res2148z00_1362; } 
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2149z00_1370;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1356))->BgL_idz00) = ((obj_t)BgL_arg1791z00_680), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1356))->BgL_producerz00) = ((obj_t)BgL_arg1792z00_681), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1356))->BgL_consumerz00) = ((obj_t)BGl_proc2170z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1356))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2169z00zzmodule_impusez00), BUNSPEC); 
BgL_res2149z00_1370 = BgL_new1020z00_1356; BgL_res2149z00_1370; } 
BgL_res2150z00_1371 = BgL_new1020z00_1356; } 
return 
(obj_t)(BgL_res2150z00_1371);} } } 
}



/* _make-import-compiler */
obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2178)
{ AN_OBJECT;
{ /* Module/impuse.scm 50 */
return 
BGl_makezd2importzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1796> */
obj_t BGl_zc3anonymousza31796ze3z83zzmodule_impusez00(obj_t BgL_envz00_2179)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1795> */
obj_t BGl_zc3anonymousza31795ze3z83zzmodule_impusez00(obj_t BgL_envz00_2180, obj_t BgL_mz00_2181, obj_t BgL_cz00_2182)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_684;obj_t BgL_cz00_685;
BgL_mz00_684 = BgL_mz00_2181; 
BgL_cz00_685 = BgL_cz00_2182; 
return BNIL;} } 
}



/* make-use-compiler */
obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 57 */
{ /* Module/impuse.scm 58 */
obj_t BgL_arg1797z00_690;obj_t BgL_arg1798z00_691;obj_t BgL_arg1800z00_693;
BgL_arg1797z00_690 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1798z00_691 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
BgL_arg1800z00_693 = BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00; 
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2153z00_1391;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1020z00_1375;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2151z00_1381;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1022z00_1376;
BgL_new1022z00_1376 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 58 */
long BgL_arg2145z00_1377;
BgL_arg2145z00_1377 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2316;
BgL_auxz00_2316 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1376); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2316, BgL_arg2145z00_1377); } } 
{ /* Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2319;
BgL_auxz00_2319 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1376); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2319, BFALSE); } 
{ /* Module/impuse.scm 58 */
obj_t BgL_auxz00_2322;
BgL_auxz00_2322 = 
(obj_t)(BgL_new1022z00_1376); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2322); } BUNSPEC; 
BgL_res2151z00_1381 = BgL_new1022z00_1376; } 
BgL_new1020z00_1375 = BgL_res2151z00_1381; } 
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2152z00_1390;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1375))->BgL_idz00) = ((obj_t)BgL_arg1797z00_690), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1375))->BgL_producerz00) = ((obj_t)BgL_arg1798z00_691), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1375))->BgL_consumerz00) = ((obj_t)BGl_proc2171z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1375))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1800z00_693), BUNSPEC); 
BgL_res2152z00_1390 = BgL_new1020z00_1375; BgL_res2152z00_1390; } 
BgL_res2153z00_1391 = BgL_new1020z00_1375; } 
return 
(obj_t)(BgL_res2153z00_1391);} } } 
}



/* _make-use-compiler */
obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2186)
{ AN_OBJECT;
{ /* Module/impuse.scm 57 */
return 
BGl_makezd2usezd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1801> */
obj_t BGl_zc3anonymousza31801ze3z83zzmodule_impusez00(obj_t BgL_envz00_2187, obj_t BgL_mz00_2188, obj_t BgL_cz00_2189)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_694;obj_t BgL_cz00_695;
BgL_mz00_694 = BgL_mz00_2188; 
BgL_cz00_695 = BgL_cz00_2189; 
return BNIL;} } 
}



/* make-from-compiler */
obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 65 */
{ /* Module/impuse.scm 66 */
obj_t BgL_arg1802z00_698;obj_t BgL_arg1803z00_699;
BgL_arg1802z00_698 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1803z00_699 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2156z00_1409;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1020z00_1394;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2154z00_1400;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1022z00_1395;
BgL_new1022z00_1395 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 66 */
long BgL_arg2145z00_1396;
BgL_arg2145z00_1396 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_auxz00_2334;
BgL_auxz00_2334 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1395); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2334, BgL_arg2145z00_1396); } } 
{ /* Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_auxz00_2337;
BgL_auxz00_2337 = 
(BgL_objectz00_bglt)(BgL_new1022z00_1395); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2337, BFALSE); } 
{ /* Module/impuse.scm 66 */
obj_t BgL_auxz00_2340;
BgL_auxz00_2340 = 
(obj_t)(BgL_new1022z00_1395); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2340); } BUNSPEC; 
BgL_res2154z00_1400 = BgL_new1022z00_1395; } 
BgL_new1020z00_1394 = BgL_res2154z00_1400; } 
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2155z00_1408;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1394))->BgL_idz00) = ((obj_t)BgL_arg1802z00_698), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1394))->BgL_producerz00) = ((obj_t)BgL_arg1803z00_699), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1394))->BgL_consumerz00) = ((obj_t)BGl_proc2173z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_1394))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2172z00zzmodule_impusez00), BUNSPEC); 
BgL_res2155z00_1408 = BgL_new1020z00_1394; BgL_res2155z00_1408; } 
BgL_res2156z00_1409 = BgL_new1020z00_1394; } 
return 
(obj_t)(BgL_res2156z00_1409);} } } 
}



/* _make-from-compiler */
obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2193)
{ AN_OBJECT;
{ /* Module/impuse.scm 65 */
return 
BGl_makezd2fromzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1807> */
obj_t BGl_zc3anonymousza31807ze3z83zzmodule_impusez00(obj_t BgL_envz00_2194)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1806> */
obj_t BGl_zc3anonymousza31806ze3z83zzmodule_impusez00(obj_t BgL_envz00_2195, obj_t BgL_modulez00_2196, obj_t BgL_clausez00_2197)
{ AN_OBJECT;
{ /* Module/impuse.scm 68 */
{ 
obj_t BgL_modulez00_702;obj_t BgL_clausez00_703;
BgL_modulez00_702 = BgL_modulez00_2196; 
BgL_clausez00_703 = BgL_clausez00_2197; 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_703); 
return BNIL;} } 
}



/* impuse-producer */
obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* Module/impuse.scm 75 */
{ /* Module/impuse.scm 76 */
obj_t BgL_modez00_708;
BgL_modez00_708 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_709;
if(
PAIRP(BgL_clausez00_19))
{ /* Module/impuse.scm 77 */
bool_t BgL_auxz00_2354;
BgL_protosz00_709 = 
CDR(BgL_clausez00_19); 
{ 
obj_t BgL_l1771z00_715;
BgL_l1771z00_715 = BgL_protosz00_709; 
BgL_lname1772z00_716:
if(
PAIRP(BgL_l1771z00_715))
{ /* Module/impuse.scm 79 */
BGl_impusezd2parserzd2zzmodule_impusez00(
CAR(BgL_l1771z00_715), BgL_modez00_708, BgL_clausez00_19); 
{ 
obj_t BgL_l1771z00_2359;
BgL_l1771z00_2359 = 
CDR(BgL_l1771z00_715); 
BgL_l1771z00_715 = BgL_l1771z00_2359; 
goto BgL_lname1772z00_716;} }  else 
{ /* Module/impuse.scm 79 */
BgL_auxz00_2354 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2354);}  else 
{ /* Module/impuse.scm 77 */
{ /* Module/impuse.scm 81 */
obj_t BgL_arg1812z00_720;obj_t BgL_arg1814z00_722;
BgL_arg1812z00_720 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 83 */
obj_t BgL_arg1818z00_726;
{ /* Module/impuse.scm 85 */
obj_t BgL_arg1820z00_728;
BgL_arg1820z00_728 = 
SYMBOL_TO_STRING(BgL_modez00_708); 
BgL_arg1818z00_726 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1820z00_728); } 
BgL_arg1814z00_722 = 
string_append_3(BGl_string2174z00zzmodule_impusez00, BgL_arg1818z00_726, BGl_string2175z00zzmodule_impusez00); } 
{ /* Module/impuse.scm 81 */
obj_t BgL_list1816z00_724;
BgL_list1816z00_724 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1812z00_720, BGl_string2176z00zzmodule_impusez00, BgL_arg1814z00_722, BgL_clausez00_19, BgL_list1816z00_724);} } } } } } 
}



/* _impuse-producer */
obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t BgL_envz00_2183, obj_t BgL_clausez00_2184)
{ AN_OBJECT;
{ /* Module/impuse.scm 75 */
return 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2184);} 
}



/* import-all-module */
obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_20, obj_t BgL_modez00_21, obj_t BgL_srcz00_22)
{ AN_OBJECT;
{ /* Module/impuse.scm 93 */
{ /* Module/impuse.scm 94 */
obj_t BgL_bz00_729;obj_t BgL_locz00_730;
BgL_bz00_729 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_20, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 95 */
obj_t BgL_arg1826z00_736;
BgL_arg1826z00_736 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_730 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_22, BgL_arg1826z00_736); } 
if(
PAIRP(BgL_bz00_729))
{ /* Module/impuse.scm 97 */
obj_t BgL_xz00_2252;
{ /* Module/impuse.scm 97 */
obj_t BgL_auxz00_2379;int BgL_auxz00_2377;obj_t BgL_auxz00_2375;
BgL_auxz00_2379 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_2377 = 
(int)(((long)2)); 
BgL_auxz00_2375 = 
CDR(BgL_bz00_729); 
BgL_xz00_2252 = 
STRUCT_SET(BgL_auxz00_2375, BgL_auxz00_2377, BgL_auxz00_2379); } 
return BUNSPEC;}  else 
{ /* Module/impuse.scm 100 */
obj_t BgL_arg1824z00_734;
{ /* Module/impuse.scm 100 */
obj_t BgL_arg1825z00_735;
{ /* Module/impuse.scm 100 */
obj_t BgL_varsz00_1426;
BgL_varsz00_1426 = 
CNST_TABLE_REF(((long)4)); 
{ /* Module/impuse.scm 100 */
obj_t BgL_newz00_1430;
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2385;obj_t BgL_auxz00_2383;
BgL_auxz00_2385 = 
(int)(((long)6)); 
BgL_auxz00_2383 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1430 = 
create_struct(BgL_auxz00_2383, BgL_auxz00_2385); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2388;
BgL_auxz00_2388 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2388, BgL_srcz00_22); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2391;
BgL_auxz00_2391 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2391, BgL_locz00_730); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2394;
BgL_auxz00_2394 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2394, BUNSPEC); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2397;
BgL_auxz00_2397 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2397, BgL_varsz00_1426); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2400;
BgL_auxz00_2400 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2400, BgL_modez00_21); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2403;
BgL_auxz00_2403 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1430, BgL_auxz00_2403, BgL_modulez00_20); } 
BgL_arg1825z00_735 = BgL_newz00_1430; } } 
BgL_arg1824z00_734 = 
MAKE_PAIR(BgL_modulez00_20, BgL_arg1825z00_735); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1824z00_734, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* import-1-module */
obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_23, obj_t BgL_varz00_24, obj_t BgL_modez00_25, obj_t BgL_srcz00_26)
{ AN_OBJECT;
{ /* Module/impuse.scm 106 */
{ /* Module/impuse.scm 107 */
obj_t BgL_cellz00_737;obj_t BgL_locz00_738;
BgL_cellz00_737 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_23, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 108 */
obj_t BgL_arg1838z00_752;
BgL_arg1838z00_752 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_738 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_26, BgL_arg1838z00_752); } 
if(
PAIRP(BgL_cellz00_737))
{ /* Module/impuse.scm 118 */
obj_t BgL_bz00_740;
BgL_bz00_740 = 
CDR(BgL_cellz00_737); 
{ /* Module/impuse.scm 119 */
obj_t BgL_casezd2valuezd2_741;
{ /* Module/impuse.scm 119 */
int BgL_auxz00_2414;
BgL_auxz00_2414 = 
(int)(((long)2)); 
BgL_casezd2valuezd2_741 = 
STRUCT_REF(BgL_bz00_740, BgL_auxz00_2414); } 
{ /* Module/impuse.scm 119 */
bool_t BgL_testz00_2417;
{ /* Module/impuse.scm 119 */
obj_t BgL_auxz00_2418;
BgL_auxz00_2418 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2417 = 
(BgL_casezd2valuezd2_741==BgL_auxz00_2418); } 
if(BgL_testz00_2417)
{ /* Module/impuse.scm 119 */
{ /* Module/impuse.scm 121 */
int BgL_auxz00_2421;
BgL_auxz00_2421 = 
(int)(((long)1)); 
STRUCT_SET(BgL_bz00_740, BgL_auxz00_2421, BgL_modez00_25); } 
{ /* Module/impuse.scm 122 */
obj_t BgL_arg1829z00_743;
{ /* Module/impuse.scm 122 */
obj_t BgL_list1830z00_744;
BgL_list1830z00_744 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1829z00_743 = BgL_list1830z00_744; } 
{ /* Module/impuse.scm 122 */
int BgL_auxz00_2425;
BgL_auxz00_2425 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_740, BgL_auxz00_2425, BgL_arg1829z00_743);} } }  else 
{ /* Module/impuse.scm 119 */
bool_t BgL_testz00_2428;
{ /* Module/impuse.scm 119 */
obj_t BgL_auxz00_2429;
BgL_auxz00_2429 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_2428 = 
(BgL_casezd2valuezd2_741==BgL_auxz00_2429); } 
if(BgL_testz00_2428)
{ /* Module/impuse.scm 119 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Module/impuse.scm 126 */
obj_t BgL_arg1832z00_746;
BgL_arg1832z00_746 = 
MAKE_PAIR(BgL_varz00_24, BgL_casezd2valuezd2_741); 
{ /* Module/impuse.scm 126 */
int BgL_auxz00_2434;
BgL_auxz00_2434 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_740, BgL_auxz00_2434, BgL_arg1832z00_746);} } } } } }  else 
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1834z00_748;
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1835z00_749;
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1836z00_750;
{ /* Module/impuse.scm 113 */
obj_t BgL_list1837z00_751;
BgL_list1837z00_751 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1836z00_750 = BgL_list1837z00_751; } 
{ /* Module/impuse.scm 111 */
obj_t BgL_newz00_1494;
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2440;obj_t BgL_auxz00_2438;
BgL_auxz00_2440 = 
(int)(((long)6)); 
BgL_auxz00_2438 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1494 = 
create_struct(BgL_auxz00_2438, BgL_auxz00_2440); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2443;
BgL_auxz00_2443 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2443, BgL_srcz00_26); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2446;
BgL_auxz00_2446 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2446, BgL_locz00_738); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2449;
BgL_auxz00_2449 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2449, BUNSPEC); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2452;
BgL_auxz00_2452 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2452, BgL_arg1836z00_750); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2455;
BgL_auxz00_2455 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2455, BgL_modez00_25); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2458;
BgL_auxz00_2458 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1494, BgL_auxz00_2458, BgL_modulez00_23); } 
BgL_arg1835z00_749 = BgL_newz00_1494; } } 
BgL_arg1834z00_748 = 
MAKE_PAIR(BgL_modulez00_23, BgL_arg1835z00_749); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1834z00_748, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* import-with-module! */
obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_modulez00_27, obj_t BgL_srcz00_28)
{ AN_OBJECT;
{ /* Module/impuse.scm 131 */
{ /* Module/impuse.scm 132 */
obj_t BgL_bz00_753;obj_t BgL_locz00_754;
BgL_bz00_753 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_27, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 133 */
obj_t BgL_arg1842z00_758;
BgL_arg1842z00_758 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_754 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_28, BgL_arg1842z00_758); } 
if(
PAIRP(BgL_bz00_753))
{ /* Module/impuse.scm 134 */
return BFALSE;}  else 
{ /* Module/impuse.scm 136 */
obj_t BgL_arg1840z00_756;
{ /* Module/impuse.scm 136 */
obj_t BgL_arg1841z00_757;
{ /* Module/impuse.scm 136 */
obj_t BgL_modez00_1527;
BgL_modez00_1527 = 
CNST_TABLE_REF(((long)6)); 
{ /* Module/impuse.scm 136 */
obj_t BgL_newz00_1532;
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2471;obj_t BgL_auxz00_2469;
BgL_auxz00_2471 = 
(int)(((long)6)); 
BgL_auxz00_2469 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1532 = 
create_struct(BgL_auxz00_2469, BgL_auxz00_2471); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2474;
BgL_auxz00_2474 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2474, BgL_srcz00_28); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2477;
BgL_auxz00_2477 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2477, BgL_locz00_754); } 
{ /* Module/impuse.scm 136 */
obj_t BgL_auxz00_2482;int BgL_auxz00_2480;
BgL_auxz00_2482 = 
BINT(((long)0)); 
BgL_auxz00_2480 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2480, BgL_auxz00_2482); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2485;
BgL_auxz00_2485 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2485, BNIL); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2488;
BgL_auxz00_2488 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2488, BgL_modez00_1527); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2491;
BgL_auxz00_2491 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1532, BgL_auxz00_2491, BgL_modulez00_27); } 
BgL_arg1841z00_757 = BgL_newz00_1532; } } 
BgL_arg1840z00_756 = 
MAKE_PAIR(BgL_modulez00_27, BgL_arg1841z00_757); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1840z00_756, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* _import-with-module! */
obj_t BGl__importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_envz00_2198, obj_t BgL_modulez00_2199, obj_t BgL_srcz00_2200)
{ AN_OBJECT;
{ /* Module/impuse.scm 131 */
return 
BGl_importzd2withzd2modulez12z12zzmodule_impusez00(BgL_modulez00_2199, BgL_srcz00_2200);} 
}



/* impuse-parser */
obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t BgL_prototypez00_29, obj_t BgL_modez00_30, obj_t BgL_importzd2srczd2_31)
{ AN_OBJECT;
{ /* Module/impuse.scm 148 */
{ 
obj_t BgL_vz00_766;obj_t BgL_mz00_767;obj_t BgL_fz00_768;obj_t BgL_restz00_769;obj_t BgL_modulez00_759;obj_t BgL_fnamez00_760;obj_t BgL_restz00_761;
if(
PAIRP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2144zd2_776;obj_t BgL_cdrzd2145zd2_777;
BgL_carzd2144zd2_776 = 
CAR(BgL_prototypez00_29); 
BgL_cdrzd2145zd2_777 = 
CDR(BgL_prototypez00_29); 
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2145zd2_777))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2150zd2_780;
BgL_carzd2150zd2_780 = 
CAR(BgL_cdrzd2145zd2_777); 
if(
STRINGP(BgL_carzd2150zd2_780))
{ /* Module/impuse.scm 150 */
BgL_modulez00_759 = BgL_carzd2144zd2_776; 
BgL_fnamez00_760 = BgL_carzd2150zd2_780; 
BgL_restz00_761 = 
CDR(BgL_cdrzd2145zd2_777); 
{ 
obj_t BgL_restz00_889;obj_t BgL_fnamesz00_890;
{ /* Module/impuse.scm 154 */
obj_t BgL_arg1918z00_892;
{ /* Module/impuse.scm 154 */
obj_t BgL_list1919z00_893;
BgL_list1919z00_893 = 
MAKE_PAIR(BgL_fnamez00_760, BNIL); 
BgL_arg1918z00_892 = BgL_list1919z00_893; } 
BgL_restz00_889 = BgL_restz00_761; 
BgL_fnamesz00_890 = BgL_arg1918z00_892; 
BgL_loopz00_891:
if(
NULLP(BgL_restz00_889))
{ /* Module/impuse.scm 156 */
{ /* Module/impuse.scm 157 */
obj_t BgL_arg1921z00_895;
BgL_arg1921z00_895 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_fnamesz00_890); 
BGl_addzd2accessz12zc0zzread_accessz00(BgL_modulez00_759, BgL_arg1921z00_895); } 
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_modulez00_759, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* Module/impuse.scm 159 */
bool_t BgL_testz00_2514;
{ /* Module/impuse.scm 159 */
obj_t BgL_auxz00_2515;
BgL_auxz00_2515 = 
CAR(BgL_restz00_889); 
BgL_testz00_2514 = 
STRINGP(BgL_auxz00_2515); } 
if(BgL_testz00_2514)
{ /* Module/impuse.scm 159 */
{ /* Module/impuse.scm 160 */
obj_t BgL_arg1923z00_897;obj_t BgL_arg1924z00_898;
BgL_arg1923z00_897 = 
CDR(BgL_restz00_889); 
{ /* Module/impuse.scm 161 */
obj_t BgL_auxz00_2519;
BgL_auxz00_2519 = 
CAR(BgL_restz00_889); 
BgL_arg1924z00_898 = 
MAKE_PAIR(BgL_auxz00_2519, BgL_fnamesz00_890); } 
{ 
obj_t BgL_fnamesz00_2523;obj_t BgL_restz00_2522;
BgL_restz00_2522 = BgL_arg1923z00_897; 
BgL_fnamesz00_2523 = BgL_arg1924z00_898; 
BgL_fnamesz00_890 = BgL_fnamesz00_2523; 
BgL_restz00_889 = BgL_restz00_2522; 
goto BgL_loopz00_891;} } }  else 
{ /* Module/impuse.scm 159 */
{ /* Module/impuse.scm 163 */
obj_t BgL_list1926z00_900;
BgL_list1926z00_900 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2176z00zzmodule_impusez00, BGl_string2177z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list1926z00_900);} } } } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2173zd2_786;
BgL_carzd2173zd2_786 = 
CAR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2173zd2_786))
{ /* Module/impuse.scm 150 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2145zd2_777), BNIL))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd21zd2modulez00zzmodule_impusez00(BgL_carzd2173zd2_786, BgL_carzd2144zd2_776, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2196zd2_792;obj_t BgL_cdrzd2197zd2_793;
BgL_carzd2196zd2_792 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2197zd2_793 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2196zd2_792))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2197zd2_793))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2203zd2_796;
BgL_carzd2203zd2_796 = 
CAR(BgL_cdrzd2197zd2_793); 
if(
STRINGP(BgL_carzd2203zd2_796))
{ /* Module/impuse.scm 150 */
BgL_vz00_766 = BgL_carzd2144zd2_776; 
BgL_mz00_767 = BgL_carzd2196zd2_792; 
BgL_fz00_768 = BgL_carzd2203zd2_796; 
BgL_restz00_769 = 
CDR(BgL_cdrzd2197zd2_793); 
BgL_tagzd2130zd2_770:
{ 
obj_t BgL_restz00_902;obj_t BgL_fnamesz00_903;
{ /* Module/impuse.scm 173 */
obj_t BgL_arg1928z00_905;
{ /* Module/impuse.scm 173 */
obj_t BgL_list1929z00_906;
BgL_list1929z00_906 = 
MAKE_PAIR(BgL_fz00_768, BNIL); 
BgL_arg1928z00_905 = BgL_list1929z00_906; } 
BgL_restz00_902 = BgL_restz00_769; 
BgL_fnamesz00_903 = BgL_arg1928z00_905; 
BgL_loopz00_904:
if(
NULLP(BgL_restz00_902))
{ /* Module/impuse.scm 175 */
{ /* Module/impuse.scm 176 */
obj_t BgL_arg1931z00_908;
BgL_arg1931z00_908 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_fnamesz00_903); 
BGl_addzd2accessz12zc0zzread_accessz00(BgL_mz00_767, BgL_arg1931z00_908); } 
return 
BGl_importzd21zd2modulez00zzmodule_impusez00(BgL_mz00_767, BgL_vz00_766, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* Module/impuse.scm 178 */
bool_t BgL_testz00_2553;
{ /* Module/impuse.scm 178 */
obj_t BgL_auxz00_2554;
BgL_auxz00_2554 = 
CAR(BgL_restz00_902); 
BgL_testz00_2553 = 
STRINGP(BgL_auxz00_2554); } 
if(BgL_testz00_2553)
{ /* Module/impuse.scm 178 */
{ /* Module/impuse.scm 179 */
obj_t BgL_arg1933z00_910;obj_t BgL_arg1934z00_911;
BgL_arg1933z00_910 = 
CDR(BgL_restz00_902); 
{ /* Module/impuse.scm 179 */
obj_t BgL_auxz00_2558;
BgL_auxz00_2558 = 
CAR(BgL_restz00_902); 
BgL_arg1934z00_911 = 
MAKE_PAIR(BgL_auxz00_2558, BgL_fnamesz00_903); } 
{ 
obj_t BgL_fnamesz00_2562;obj_t BgL_restz00_2561;
BgL_restz00_2561 = BgL_arg1933z00_910; 
BgL_fnamesz00_2562 = BgL_arg1934z00_911; 
BgL_fnamesz00_903 = BgL_fnamesz00_2562; 
BgL_restz00_902 = BgL_restz00_2561; 
goto BgL_loopz00_904;} } }  else 
{ /* Module/impuse.scm 178 */
{ /* Module/impuse.scm 181 */
obj_t BgL_list1936z00_913;
BgL_list1936z00_913 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2176z00zzmodule_impusez00, BGl_string2177z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list1936z00_913);} } } } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
BgL_tagzd2132zd2_773:
{ /* Module/impuse.scm 190 */
obj_t BgL_arg1938z00_915;
{ /* Module/impuse.scm 190 */
obj_t BgL_arg1943z00_920;
BgL_arg1943z00_920 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_arg1938z00_915 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_importzd2srczd2_31, BgL_arg1943z00_920); } 
{ /* Module/impuse.scm 189 */
obj_t BgL_list1942z00_919;
BgL_list1942z00_919 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1938z00_915, BGl_string2176z00zzmodule_impusez00, BGl_string2178z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list1942z00_919);} } } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2237zd2_808;obj_t BgL_cdrzd2238zd2_809;
BgL_carzd2237zd2_808 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2238zd2_809 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2237zd2_808))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2238zd2_809))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2244zd2_812;
BgL_carzd2244zd2_812 = 
CAR(BgL_cdrzd2238zd2_809); 
if(
STRINGP(BgL_carzd2244zd2_812))
{ 
obj_t BgL_restz00_2596;obj_t BgL_fz00_2595;obj_t BgL_mz00_2594;obj_t BgL_vz00_2593;
BgL_vz00_2593 = BgL_carzd2144zd2_776; 
BgL_mz00_2594 = BgL_carzd2237zd2_808; 
BgL_fz00_2595 = BgL_carzd2244zd2_812; 
BgL_restz00_2596 = 
CDR(BgL_cdrzd2238zd2_809); 
BgL_restz00_769 = BgL_restz00_2596; 
BgL_fz00_768 = BgL_fz00_2595; 
BgL_mz00_767 = BgL_mz00_2594; 
BgL_vz00_766 = BgL_vz00_2593; 
goto BgL_tagzd2130zd2_770;}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2280zd2_822;obj_t BgL_cdrzd2281zd2_823;
BgL_carzd2280zd2_822 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2281zd2_823 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2280zd2_822))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2281zd2_823))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2289zd2_826;
BgL_carzd2289zd2_826 = 
CAR(BgL_cdrzd2281zd2_823); 
if(
STRINGP(BgL_carzd2289zd2_826))
{ 
obj_t BgL_restz00_2624;obj_t BgL_fz00_2623;obj_t BgL_mz00_2622;obj_t BgL_vz00_2621;
BgL_vz00_2621 = BgL_carzd2144zd2_776; 
BgL_mz00_2622 = BgL_carzd2280zd2_822; 
BgL_fz00_2623 = BgL_carzd2289zd2_826; 
BgL_restz00_2624 = 
CDR(BgL_cdrzd2281zd2_823); 
BgL_restz00_769 = BgL_restz00_2624; 
BgL_fz00_768 = BgL_fz00_2623; 
BgL_mz00_767 = BgL_mz00_2622; 
BgL_vz00_766 = BgL_vz00_2621; 
goto BgL_tagzd2130zd2_770;}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2145zd2_777))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2344zd2_838;
BgL_carzd2344zd2_838 = 
CAR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2344zd2_838))
{ /* Module/impuse.scm 150 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2145zd2_777), BNIL))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd21zd2modulez00zzmodule_impusez00(BgL_carzd2344zd2_838, BgL_carzd2144zd2_776, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2367zd2_844;obj_t BgL_cdrzd2368zd2_845;
BgL_carzd2367zd2_844 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2368zd2_845 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2367zd2_844))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2368zd2_845))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2376zd2_848;
BgL_carzd2376zd2_848 = 
CAR(BgL_cdrzd2368zd2_845); 
if(
STRINGP(BgL_carzd2376zd2_848))
{ 
obj_t BgL_restz00_2666;obj_t BgL_fz00_2665;obj_t BgL_mz00_2664;obj_t BgL_vz00_2663;
BgL_vz00_2663 = BgL_carzd2144zd2_776; 
BgL_mz00_2664 = BgL_carzd2367zd2_844; 
BgL_fz00_2665 = BgL_carzd2376zd2_848; 
BgL_restz00_2666 = 
CDR(BgL_cdrzd2368zd2_845); 
BgL_restz00_769 = BgL_restz00_2666; 
BgL_fz00_768 = BgL_fz00_2665; 
BgL_mz00_767 = BgL_mz00_2664; 
BgL_vz00_766 = BgL_vz00_2663; 
goto BgL_tagzd2130zd2_770;}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2412zd2_860;obj_t BgL_cdrzd2413zd2_861;
BgL_carzd2412zd2_860 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2413zd2_861 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2412zd2_860))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2413zd2_861))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2421zd2_864;
BgL_carzd2421zd2_864 = 
CAR(BgL_cdrzd2413zd2_861); 
if(
STRINGP(BgL_carzd2421zd2_864))
{ 
obj_t BgL_restz00_2694;obj_t BgL_fz00_2693;obj_t BgL_mz00_2692;obj_t BgL_vz00_2691;
BgL_vz00_2691 = BgL_carzd2144zd2_776; 
BgL_mz00_2692 = BgL_carzd2412zd2_860; 
BgL_fz00_2693 = BgL_carzd2421zd2_864; 
BgL_restz00_2694 = 
CDR(BgL_cdrzd2413zd2_861); 
BgL_restz00_769 = BgL_restz00_2694; 
BgL_fz00_768 = BgL_fz00_2693; 
BgL_mz00_767 = BgL_mz00_2692; 
BgL_vz00_766 = BgL_vz00_2691; 
goto BgL_tagzd2130zd2_770;}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_carzd2144zd2_776))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2145zd2_777))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2467zd2_876;obj_t BgL_cdrzd2468zd2_877;
BgL_carzd2467zd2_876 = 
CAR(BgL_cdrzd2145zd2_777); 
BgL_cdrzd2468zd2_877 = 
CDR(BgL_cdrzd2145zd2_777); 
if(
SYMBOLP(BgL_carzd2467zd2_876))
{ /* Module/impuse.scm 150 */
if(
PAIRP(BgL_cdrzd2468zd2_877))
{ /* Module/impuse.scm 150 */
obj_t BgL_carzd2474zd2_880;
BgL_carzd2474zd2_880 = 
CAR(BgL_cdrzd2468zd2_877); 
if(
STRINGP(BgL_carzd2474zd2_880))
{ 
obj_t BgL_restz00_2727;obj_t BgL_fz00_2726;obj_t BgL_mz00_2725;obj_t BgL_vz00_2724;
BgL_vz00_2724 = BgL_carzd2144zd2_776; 
BgL_mz00_2725 = BgL_carzd2467zd2_876; 
BgL_fz00_2726 = BgL_carzd2474zd2_880; 
BgL_restz00_2727 = 
CDR(BgL_cdrzd2468zd2_877); 
BgL_restz00_769 = BgL_restz00_2727; 
BgL_fz00_768 = BgL_fz00_2726; 
BgL_mz00_767 = BgL_mz00_2725; 
BgL_vz00_766 = BgL_vz00_2724; 
goto BgL_tagzd2130zd2_770;}  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } } }  else 
{ /* Module/impuse.scm 150 */
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 150 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 150 */
goto BgL_tagzd2132zd2_773;} } } } 
}



/* get-imported-modules */
obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 219 */
return BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00;} 
}



/* _get-imported-modules */
obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t BgL_envz00_2201)
{ AN_OBJECT;
{ /* Module/impuse.scm 219 */
return 
BGl_getzd2importedzd2modulesz00zzmodule_impusez00();} 
}



/* import-finalizer */
obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 231 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ 
obj_t BgL_initza2za2_931;
BgL_initza2za2_931 = BNIL; 
BgL_loopz00_932:
{ /* Module/impuse.scm 237 */
bool_t BgL_test1953z00_933;
{ /* Module/impuse.scm 237 */
obj_t BgL_objz00_1780;
BgL_objz00_1780 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_test1953z00_933 = 
NULLP(BgL_objz00_1780); } 
if(BgL_test1953z00_933)
{ /* Module/impuse.scm 237 */
if(
PAIRP(BgL_initza2za2_931))
{ 
obj_t BgL_initza2za2_935;obj_t BgL_initzd2callza2z70_936;
BgL_initza2za2_935 = BgL_initza2za2_931; 
BgL_initzd2callza2z70_936 = BNIL; 
BgL_loopz00_937:
if(
NULLP(BgL_initza2za2_935))
{ /* Module/impuse.scm 245 */
obj_t BgL_bodyz00_939;
{ /* Module/impuse.scm 245 */
bool_t BgL_test1958z00_942;
{ /* Module/impuse.scm 245 */
long BgL_n1z00_1783;
BgL_n1z00_1783 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test1958z00_942 = 
(BgL_n1z00_1783>((long)0)); } 
if(BgL_test1958z00_942)
{ /* Module/impuse.scm 246 */
obj_t BgL_arg1959z00_943;
{ /* Module/impuse.scm 246 */
obj_t BgL_arg1961z00_945;obj_t BgL_arg1962z00_946;
BgL_arg1961z00_945 = 
CNST_TABLE_REF(((long)8)); 
{ /* Module/impuse.scm 247 */
obj_t BgL_arg1963z00_947;obj_t BgL_arg1964z00_948;
{ /* Module/impuse.scm 247 */
obj_t BgL_arg1965z00_949;obj_t BgL_arg1966z00_950;
BgL_arg1965z00_949 = 
CNST_TABLE_REF(((long)9)); 
{ /* Module/impuse.scm 248 */
obj_t BgL_arg1967z00_951;
{ /* Module/impuse.scm 248 */
obj_t BgL_arg1970z00_954;
{ /* Module/impuse.scm 250 */
obj_t BgL_symbolz00_1785;
BgL_symbolz00_1785 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg1970z00_954 = 
SYMBOL_TO_STRING(BgL_symbolz00_1785); } 
BgL_arg1967z00_951 = 
string_append_3(BGl_string2179z00zzmodule_impusez00, BgL_arg1970z00_954, BGl_string2180z00zzmodule_impusez00); } 
BgL_arg1966z00_950 = 
MAKE_PAIR(BgL_arg1967z00_951, BNIL); } 
BgL_arg1963z00_947 = 
MAKE_PAIR(BgL_arg1965z00_949, BgL_arg1966z00_950); } 
BgL_arg1964z00_948 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_initzd2callza2z70_936, BNIL); 
BgL_arg1962z00_946 = 
MAKE_PAIR(BgL_arg1963z00_947, BgL_arg1964z00_948); } 
BgL_arg1959z00_943 = 
MAKE_PAIR(BgL_arg1961z00_945, BgL_arg1962z00_946); } 
BgL_bodyz00_939 = 
MAKE_PAIR(BgL_arg1959z00_943, BNIL); }  else 
{ /* Module/impuse.scm 245 */
BgL_bodyz00_939 = BgL_initzd2callza2z70_936; } } 
{ /* Module/impuse.scm 254 */
obj_t BgL_arg1956z00_940;
{ /* Module/impuse.scm 254 */
obj_t BgL_idz00_1786;
BgL_idz00_1786 = 
CNST_TABLE_REF(((long)10)); 
{ /* Module/impuse.scm 254 */
obj_t BgL_newz00_1790;
{ /* Module/impuse.scm 254 */
int BgL_auxz00_2771;obj_t BgL_auxz00_2769;
BgL_auxz00_2771 = 
(int)(((long)4)); 
BgL_auxz00_2769 = 
CNST_TABLE_REF(((long)11)); 
BgL_newz00_1790 = 
create_struct(BgL_auxz00_2769, BgL_auxz00_2771); } 
{ /* Module/impuse.scm 254 */
int BgL_auxz00_2774;
BgL_auxz00_2774 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1790, BgL_auxz00_2774, BTRUE); } 
{ /* Module/impuse.scm 254 */
int BgL_auxz00_2777;
BgL_auxz00_2777 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1790, BgL_auxz00_2777, BgL_bodyz00_939); } 
{ /* Module/impuse.scm 254 */
obj_t BgL_auxz00_2782;int BgL_auxz00_2780;
BgL_auxz00_2782 = 
BINT(((long)12)); 
BgL_auxz00_2780 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1790, BgL_auxz00_2780, BgL_auxz00_2782); } 
{ /* Module/impuse.scm 254 */
int BgL_auxz00_2785;
BgL_auxz00_2785 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1790, BgL_auxz00_2785, BgL_idz00_1786); } 
BgL_arg1956z00_940 = BgL_newz00_1790; } } 
{ /* Module/impuse.scm 254 */
obj_t BgL_list1957z00_941;
BgL_list1957z00_941 = 
MAKE_PAIR(BgL_arg1956z00_940, BNIL); 
return BgL_list1957z00_941;} } }  else 
{ /* Module/impuse.scm 255 */
obj_t BgL_idz00_956;
{ /* Module/impuse.scm 255 */
int BgL_auxz00_2791;obj_t BgL_auxz00_2789;
BgL_auxz00_2791 = 
(int)(((long)0)); 
BgL_auxz00_2789 = 
CAR(BgL_initza2za2_935); 
BgL_idz00_956 = 
STRUCT_REF(BgL_auxz00_2789, BgL_auxz00_2791); } 
{ /* Module/impuse.scm 255 */
obj_t BgL_checksumz00_957;
{ /* Module/impuse.scm 256 */
int BgL_auxz00_2796;obj_t BgL_auxz00_2794;
BgL_auxz00_2796 = 
(int)(((long)3)); 
BgL_auxz00_2794 = 
CAR(BgL_initza2za2_935); 
BgL_checksumz00_957 = 
STRUCT_REF(BgL_auxz00_2794, BgL_auxz00_2796); } 
{ /* Module/impuse.scm 256 */
obj_t BgL_initzd2funzd2idz00_958;
BgL_initzd2funzd2idz00_958 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_idz00_956); 
{ /* Module/impuse.scm 257 */

{ /* Module/impuse.scm 258 */
obj_t BgL_globalz00_959;
{ /* Module/impuse.scm 259 */
obj_t BgL_arg1972z00_960;
{ /* Module/impuse.scm 259 */
obj_t BgL_list1974z00_962;
{ /* Module/impuse.scm 259 */
obj_t BgL_arg1975z00_963;
{ /* Module/impuse.scm 259 */
obj_t BgL_arg1976z00_964;obj_t BgL_arg1977z00_965;
BgL_arg1976z00_964 = 
CNST_TABLE_REF(((long)12)); 
{ /* Module/impuse.scm 258 */
obj_t BgL_auxz00_2801;
BgL_auxz00_2801 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg1977z00_965 = 
MAKE_PAIR(BgL_auxz00_2801, BNIL); } 
BgL_arg1975z00_963 = 
MAKE_PAIR(BgL_arg1976z00_964, BgL_arg1977z00_965); } 
BgL_list1974z00_962 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_958, BgL_arg1975z00_963); } 
BgL_arg1972z00_960 = BgL_list1974z00_962; } 
BgL_globalz00_959 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_idz00_956, BgL_arg1972z00_960, BNIL); } 
{ /* Module/impuse.scm 263 */
BgL_globalz00_bglt BgL_obj1397z00_1823;
BgL_obj1397z00_1823 = 
(BgL_globalz00_bglt)(BgL_globalz00_959); 
((((BgL_globalz00_bglt)CREF(BgL_obj1397z00_1823))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* Module/impuse.scm 264 */
obj_t BgL_arg1978z00_966;obj_t BgL_arg1980z00_967;
BgL_arg1978z00_966 = 
CDR(BgL_initza2za2_935); 
{ /* Module/impuse.scm 265 */
obj_t BgL_arg1981z00_968;
{ /* Module/impuse.scm 265 */
obj_t BgL_arg1982z00_969;obj_t BgL_arg1983z00_970;
{ /* Module/impuse.scm 265 */
obj_t BgL_arg1984z00_971;obj_t BgL_arg1985z00_972;
BgL_arg1984z00_971 = 
CNST_TABLE_REF(((long)14)); 
{ /* Module/impuse.scm 265 */
obj_t BgL_arg1986z00_973;
BgL_arg1986z00_973 = 
MAKE_PAIR(BgL_idz00_956, BNIL); 
BgL_arg1985z00_972 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_958, BgL_arg1986z00_973); } 
BgL_arg1982z00_969 = 
MAKE_PAIR(BgL_arg1984z00_971, BgL_arg1985z00_972); } 
{ /* Module/impuse.scm 266 */
obj_t BgL_arg1987z00_974;
{ /* Module/impuse.scm 266 */
obj_t BgL_arg1988z00_975;
{ /* Module/impuse.scm 266 */
obj_t BgL_symbolz00_1826;
BgL_symbolz00_1826 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg1988z00_975 = 
SYMBOL_TO_STRING(BgL_symbolz00_1826); } 
BgL_arg1987z00_974 = 
MAKE_PAIR(BgL_arg1988z00_975, BNIL); } 
BgL_arg1983z00_970 = 
MAKE_PAIR(BgL_checksumz00_957, BgL_arg1987z00_974); } 
BgL_arg1981z00_968 = 
MAKE_PAIR(BgL_arg1982z00_969, BgL_arg1983z00_970); } 
BgL_arg1980z00_967 = 
MAKE_PAIR(BgL_arg1981z00_968, BgL_initzd2callza2z70_936); } 
{ 
obj_t BgL_initzd2callza2z70_2820;obj_t BgL_initza2za2_2819;
BgL_initza2za2_2819 = BgL_arg1978z00_966; 
BgL_initzd2callza2z70_2820 = BgL_arg1980z00_967; 
BgL_initzd2callza2z70_936 = BgL_initzd2callza2z70_2820; 
BgL_initza2za2_935 = BgL_initza2za2_2819; 
goto BgL_loopz00_937;} } } } } } }  else 
{ /* Module/impuse.scm 238 */
return BNIL;} }  else 
{ /* Module/impuse.scm 270 */
obj_t BgL_modulez00_979;obj_t BgL_imodez00_980;
{ /* Module/impuse.scm 270 */
obj_t BgL_arg1999z00_988;
{ /* Module/impuse.scm 270 */
obj_t BgL_pairz00_1827;
BgL_pairz00_1827 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg1999z00_988 = 
CAR(BgL_pairz00_1827); } 
BgL_modulez00_979 = 
CAR(BgL_arg1999z00_988); } 
{ /* Module/impuse.scm 271 */
obj_t BgL_arg2000z00_989;
{ /* Module/impuse.scm 271 */
obj_t BgL_pairz00_1829;
BgL_pairz00_1829 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg2000z00_989 = 
CAR(BgL_pairz00_1829); } 
BgL_imodez00_980 = 
CDR(BgL_arg2000z00_989); } 
{ /* Module/impuse.scm 272 */
obj_t BgL_pairz00_1831;
BgL_pairz00_1831 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
CDR(BgL_pairz00_1831); } 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_modulez00_979, BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 274 */
bool_t BgL_testz00_2827;
{ /* Module/impuse.scm 274 */
obj_t BgL_auxz00_2832;obj_t BgL_auxz00_2828;
BgL_auxz00_2832 = 
CNST_TABLE_REF(((long)6)); 
{ /* Module/impuse.scm 274 */
int BgL_auxz00_2829;
BgL_auxz00_2829 = 
(int)(((long)1)); 
BgL_auxz00_2828 = 
STRUCT_REF(BgL_imodez00_980, BgL_auxz00_2829); } 
BgL_testz00_2827 = 
(BgL_auxz00_2828==BgL_auxz00_2832); } 
if(BgL_testz00_2827)
{ /* Module/impuse.scm 274 */BFALSE; }  else 
{ /* Module/impuse.scm 274 */
BGl_readzd2importedzd2modulez00zzmodule_impusez00(BgL_imodez00_980); } } 
{ /* Module/impuse.scm 276 */
obj_t BgL_arg1995z00_984;
{ /* Module/impuse.scm 276 */
bool_t BgL_testz00_2836;
{ /* Module/impuse.scm 276 */
obj_t BgL_auxz00_2837;
{ /* Module/impuse.scm 276 */
obj_t BgL_auxz00_2838;
{ /* Module/impuse.scm 276 */
int BgL_auxz00_2839;
BgL_auxz00_2839 = 
(int)(((long)1)); 
BgL_auxz00_2838 = 
STRUCT_REF(BgL_imodez00_980, BgL_auxz00_2839); } 
BgL_auxz00_2837 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2838, 
CNST_TABLE_REF(((long)15))); } 
BgL_testz00_2836 = 
CBOOL(BgL_auxz00_2837); } 
if(BgL_testz00_2836)
{ /* Module/impuse.scm 276 */
BgL_arg1995z00_984 = 
MAKE_PAIR(BgL_imodez00_980, BgL_initza2za2_931); }  else 
{ /* Module/impuse.scm 276 */
BgL_arg1995z00_984 = BgL_initza2za2_931; } } 
{ 
obj_t BgL_initza2za2_2846;
BgL_initza2za2_2846 = BgL_arg1995z00_984; 
BgL_initza2za2_931 = BgL_initza2za2_2846; 
goto BgL_loopz00_932;} } } } } } 
}



/* impuse-finalizer */
obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 287 */
{ /* Module/impuse.scm 288 */
obj_t BgL_importzd2finaliza7erz75_990;
BgL_importzd2finaliza7erz75_990 = 
BGl_importzd2finaliza7erz75zzmodule_impusez00(); 
{ /* Module/impuse.scm 288 */
obj_t BgL_inlinezd2finaliza7erz75_991;
BgL_inlinezd2finaliza7erz75_991 = 
BGl_inlinezd2finaliza7erz75zzread_inlinez00(); 
{ /* Module/impuse.scm 289 */
obj_t BgL_finaliza7ersza7_992;
BgL_finaliza7ersza7_992 = 
bgl_append2(BgL_importzd2finaliza7erz75_990, BgL_inlinezd2finaliza7erz75_991); 
{ /* Module/impuse.scm 290 */

if(
NULLP(BgL_finaliza7ersza7_992))
{ /* Module/impuse.scm 291 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Module/impuse.scm 291 */
return BgL_finaliza7ersza7_992;} } } } } } 
}



/* _impuse-finalizer */
obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t BgL_envz00_2190)
{ AN_OBJECT;
{ /* Module/impuse.scm 287 */
return 
BGl_impusezd2finaliza7erz75zzmodule_impusez00();} 
}



/* import-parser */
obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t BgL_modulez00_58, obj_t BgL_prototypez00_59, obj_t BgL_importzd2srczd2_60)
{ AN_OBJECT;
{ /* Module/impuse.scm 298 */
{ /* Module/impuse.scm 299 */
obj_t BgL_protoz00_994;obj_t BgL_srcz00_995;
BgL_protoz00_994 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_59); 
if(
PAIRP(BgL_importzd2srczd2_60))
{ /* Module/impuse.scm 300 */
BgL_srcz00_995 = 
CAR(BgL_importzd2srczd2_60); }  else 
{ /* Module/impuse.scm 300 */
BgL_srcz00_995 = BFALSE; } 
if(
PAIRP(BgL_protoz00_994))
{ /* Module/impuse.scm 309 */
obj_t BgL_casezd2valuezd2_997;
BgL_casezd2valuezd2_997 = 
CAR(BgL_protoz00_994); 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2861;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2862;
BgL_auxz00_2862 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_997, 
CNST_TABLE_REF(((long)16))); 
BgL_testz00_2861 = 
CBOOL(BgL_auxz00_2862); } 
if(BgL_testz00_2861)
{ /* Module/impuse.scm 311 */
BgL_globalz00_bglt BgL_auxz00_2866;
{ /* Module/impuse.scm 311 */
obj_t BgL_auxz00_2871;obj_t BgL_auxz00_2867;
{ /* Module/impuse.scm 312 */
obj_t BgL_auxz00_2872;
{ /* Module/impuse.scm 312 */
obj_t BgL_auxz00_2873;
BgL_auxz00_2873 = 
CDR(BgL_protoz00_994); 
BgL_auxz00_2872 = 
CDR(BgL_auxz00_2873); } 
BgL_auxz00_2871 = 
CAR(BgL_auxz00_2872); } 
{ /* Module/impuse.scm 311 */
obj_t BgL_auxz00_2868;
BgL_auxz00_2868 = 
CDR(BgL_protoz00_994); 
BgL_auxz00_2867 = 
CAR(BgL_auxz00_2868); } 
BgL_auxz00_2866 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_auxz00_2867, BgL_auxz00_2871, BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), BgL_casezd2valuezd2_997, BgL_prototypez00_59, BgL_srcz00_995); } 
return 
(obj_t)(BgL_auxz00_2866);}  else 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2880;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2881;
BgL_auxz00_2881 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_2880 = 
(BgL_casezd2valuezd2_997==BgL_auxz00_2881); } 
if(BgL_testz00_2880)
{ /* Module/impuse.scm 319 */
BgL_globalz00_bglt BgL_auxz00_2884;
{ /* Module/impuse.scm 319 */
obj_t BgL_auxz00_2885;
{ /* Module/impuse.scm 319 */
obj_t BgL_auxz00_2886;
BgL_auxz00_2886 = 
CDR(BgL_protoz00_994); 
BgL_auxz00_2885 = 
CAR(BgL_auxz00_2886); } 
BgL_auxz00_2884 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_auxz00_2885, BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), BgL_prototypez00_59, BgL_srcz00_995); } 
return 
(obj_t)(BgL_auxz00_2884);}  else 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2892;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2893;
BgL_auxz00_2893 = 
CNST_TABLE_REF(((long)18)); 
BgL_testz00_2892 = 
(BgL_casezd2valuezd2_997==BgL_auxz00_2893); } 
if(BgL_testz00_2892)
{ /* Module/impuse.scm 309 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_994), BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), ((bool_t)0), ((bool_t)0), BgL_prototypez00_59, BgL_srcz00_995);}  else 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2899;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2900;
BgL_auxz00_2900 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_2899 = 
(BgL_casezd2valuezd2_997==BgL_auxz00_2900); } 
if(BgL_testz00_2899)
{ /* Module/impuse.scm 309 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_994), BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), ((bool_t)0), ((bool_t)1), BgL_prototypez00_59, BgL_srcz00_995);}  else 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2906;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2907;
BgL_auxz00_2907 = 
CNST_TABLE_REF(((long)20)); 
BgL_testz00_2906 = 
(BgL_casezd2valuezd2_997==BgL_auxz00_2907); } 
if(BgL_testz00_2906)
{ /* Module/impuse.scm 309 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_994), BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), ((bool_t)1), ((bool_t)0), BgL_prototypez00_59, BgL_srcz00_995);}  else 
{ /* Module/impuse.scm 309 */
bool_t BgL_testz00_2913;
{ /* Module/impuse.scm 309 */
obj_t BgL_auxz00_2914;
BgL_auxz00_2914 = 
CNST_TABLE_REF(((long)21)); 
BgL_testz00_2913 = 
(BgL_casezd2valuezd2_997==BgL_auxz00_2914); } 
if(BgL_testz00_2913)
{ /* Module/impuse.scm 309 */
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(
CDR(BgL_protoz00_994), BgL_modulez00_58, 
CNST_TABLE_REF(((long)0)), BgL_prototypez00_59, BgL_srcz00_995);}  else 
{ /* Module/impuse.scm 329 */
obj_t BgL_list2024z00_1018;
BgL_list2024z00_1018 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2176z00zzmodule_impusez00, BGl_string2181z00zzmodule_impusez00, BgL_prototypez00_59, BgL_list2024z00_1018);} } } } } } } }  else 
{ /* Module/impuse.scm 304 */
obj_t BgL_arg2025z00_1019;
BgL_arg2025z00_1019 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 304 */
obj_t BgL_list2029z00_1023;
BgL_list2029z00_1023 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2025z00_1019, BGl_string2176z00zzmodule_impusez00, BGl_string2181z00zzmodule_impusez00, BgL_prototypez00_59, BgL_list2029z00_1023);} } } } 
}



/* _import-parser */
obj_t BGl__importzd2parserzd2zzmodule_impusez00(obj_t BgL_envz00_2202, obj_t BgL_modulez00_2203, obj_t BgL_prototypez00_2204, obj_t BgL_importzd2srczd2_2205)
{ AN_OBJECT;
{ /* Module/impuse.scm 298 */
return 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_2203, BgL_prototypez00_2204, BgL_importzd2srczd2_2205);} 
}



/* read-imported-module */
obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t BgL_imodez00_61)
{ AN_OBJECT;
{ /* Module/impuse.scm 334 */
{ /* Module/impuse.scm 336 */
obj_t BgL_modulez00_1025;
{ /* Module/impuse.scm 336 */
int BgL_auxz00_2926;
BgL_auxz00_2926 = 
(int)(((long)0)); 
BgL_modulez00_1025 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2926); } 
{ /* Module/impuse.scm 336 */
obj_t BgL_wantedz00_1026;
{ /* Module/impuse.scm 337 */
int BgL_auxz00_2929;
BgL_auxz00_2929 = 
(int)(((long)2)); 
BgL_wantedz00_1026 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2929); } 
{ /* Module/impuse.scm 337 */
obj_t BgL_bz00_1027;
BgL_bz00_1027 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_1025, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* Module/impuse.scm 338 */

{ /* Module/impuse.scm 339 */
char * BgL_arg2033z00_1030;
{ /* Module/impuse.scm 340 */
bool_t BgL_testz00_2933;
{ /* Module/impuse.scm 340 */
obj_t BgL_auxz00_2938;obj_t BgL_auxz00_2934;
BgL_auxz00_2938 = 
CNST_TABLE_REF(((long)2)); 
{ /* Module/impuse.scm 340 */
int BgL_auxz00_2935;
BgL_auxz00_2935 = 
(int)(((long)1)); 
BgL_auxz00_2934 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2935); } 
BgL_testz00_2933 = 
(BgL_auxz00_2934==BgL_auxz00_2938); } 
if(BgL_testz00_2933)
{ /* Module/impuse.scm 340 */
BgL_arg2033z00_1030 = "used"; }  else 
{ /* Module/impuse.scm 340 */
BgL_arg2033z00_1030 = "imported"; } } 
{ /* Module/impuse.scm 339 */
obj_t BgL_list2036z00_1033;
{ /* Module/impuse.scm 339 */
obj_t BgL_arg2037z00_1034;
{ /* Module/impuse.scm 339 */
obj_t BgL_arg2038z00_1035;
{ /* Module/impuse.scm 339 */
obj_t BgL_arg2039z00_1036;
{ /* Module/impuse.scm 339 */
obj_t BgL_arg2040z00_1037;
{ /* Module/impuse.scm 339 */
obj_t BgL_arg2041z00_1038;
{ /* Module/impuse.scm 339 */
obj_t BgL_auxz00_2941;
BgL_auxz00_2941 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2041z00_1038 = 
MAKE_PAIR(BgL_auxz00_2941, BNIL); } 
BgL_arg2040z00_1037 = 
MAKE_PAIR(BGl_string2182z00zzmodule_impusez00, BgL_arg2041z00_1038); } 
BgL_arg2039z00_1036 = 
MAKE_PAIR(BgL_modulez00_1025, BgL_arg2040z00_1037); } 
BgL_arg2038z00_1035 = 
MAKE_PAIR(BGl_string2183z00zzmodule_impusez00, BgL_arg2039z00_1036); } 
{ /* Module/impuse.scm 339 */
obj_t BgL_auxz00_2947;
BgL_auxz00_2947 = 
string_to_bstring(BgL_arg2033z00_1030); 
BgL_arg2037z00_1034 = 
MAKE_PAIR(BgL_auxz00_2947, BgL_arg2038z00_1035); } } 
BgL_list2036z00_1033 = 
MAKE_PAIR(BGl_string2184z00zzmodule_impusez00, BgL_arg2037z00_1034); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2036z00_1033); } } 
if(
CBOOL(BgL_bz00_1027))
{ /* Module/impuse.scm 348 */
obj_t BgL_fnamesz00_1042;
BgL_fnamesz00_1042 = 
CDR(BgL_bz00_1027); 
{ /* Module/impuse.scm 348 */
obj_t BgL_fnamez00_1043;
BgL_fnamez00_1043 = 
BGl_findzd2filezf2pathz20zz__osz00(
CAR(BgL_fnamesz00_1042), BGl_za2loadzd2pathza2zd2zz__evalz00); 
{ /* Module/impuse.scm 349 */

if(
STRINGP(BgL_fnamez00_1043))
{ /* Module/impuse.scm 356 */
obj_t BgL_portz00_1045;
BgL_portz00_1045 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_1043, BNIL); 
BGl_readerzd2resetz12zc0zz__readerz00(); 
if(
INPUT_PORTP(BgL_portz00_1045))
{ /* Module/impuse.scm 366 */
obj_t BgL_handlerz00_2211;
{ 
int BgL_auxz00_2966;int BgL_auxz00_2964;
BgL_auxz00_2966 = 
(int)(((long)1)); 
BgL_auxz00_2964 = 
(int)(((long)4)); 
BgL_handlerz00_2211 = 
make_fx_procedure(BGl_handlerz00zzmodule_impusez00, BgL_auxz00_2964, BgL_auxz00_2966); } 
{ /* Module/impuse.scm 366 */
int BgL_auxz00_2969;
BgL_auxz00_2969 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_2211, BgL_auxz00_2969, BgL_portz00_1045); } 
{ /* Module/impuse.scm 370 */
obj_t BgL_armed1776z00_1048;obj_t BgL_handler1773z00_1049;
BgL_armed1776z00_1048 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1773z00_1049 = 
MAKE_CELL(BUNSPEC); 
{ /* Module/impuse.scm 370 */
obj_t BgL_body1775z00_2207;obj_t BgL_rhandler1774z00_2209;
{ 
int BgL_auxz00_2974;int BgL_auxz00_2972;
BgL_auxz00_2974 = 
(int)(((long)5)); 
BgL_auxz00_2972 = 
(int)(((long)0)); 
BgL_body1775z00_2207 = 
make_fx_procedure(BGl_body1775z00zzmodule_impusez00, BgL_auxz00_2972, BgL_auxz00_2974); } 
{ 
int BgL_auxz00_2979;int BgL_auxz00_2977;
BgL_auxz00_2979 = 
(int)(((long)2)); 
BgL_auxz00_2977 = 
(int)(((long)4)); 
BgL_rhandler1774z00_2209 = 
make_fx_procedure(BGl_rhandler1774z00zzmodule_impusez00, BgL_auxz00_2977, BgL_auxz00_2979); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2982;
BgL_auxz00_2982 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body1775z00_2207, BgL_auxz00_2982, BgL_portz00_1045); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2985;
BgL_auxz00_2985 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_body1775z00_2207, BgL_auxz00_2985, BgL_modulez00_1025); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2988;
BgL_auxz00_2988 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_body1775z00_2207, BgL_auxz00_2988, BgL_imodez00_61); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2991;
BgL_auxz00_2991 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_body1775z00_2207, BgL_auxz00_2991, BgL_wantedz00_1026); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2994;
BgL_auxz00_2994 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_body1775z00_2207, BgL_auxz00_2994, BgL_fnamesz00_1042); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_2997;
BgL_auxz00_2997 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler1774z00_2209, BgL_auxz00_2997, BgL_armed1776z00_1048); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3000;
BgL_auxz00_3000 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_rhandler1774z00_2209, BgL_auxz00_3000, BgL_handler1773z00_1049); } 
CELL_SET(BgL_handler1773z00_1049, BgL_handlerz00_2211); 
CELL_SET(BgL_armed1776z00_1048, BTRUE); 
return 
BGl_handling_function2047z00zzmodule_impusez00(BgL_body1775z00_2207, BgL_rhandler1774z00_2209, BgL_handler1773z00_1049, BgL_armed1776z00_1048);} } }  else 
{ /* Module/impuse.scm 359 */
obj_t BgL_arg2063z00_1091;obj_t BgL_arg2066z00_1094;
{ /* Module/impuse.scm 359 */
int BgL_auxz00_3004;
BgL_auxz00_3004 = 
(int)(((long)4)); 
BgL_arg2063z00_1091 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_3004); } 
BgL_arg2066z00_1094 = 
CAR(BgL_fnamesz00_1042); 
{ /* Module/impuse.scm 359 */
obj_t BgL_list2068z00_1096;
BgL_list2068z00_1096 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2063z00_1091, BGl_string2185z00zzmodule_impusez00, BGl_string2186z00zzmodule_impusez00, BgL_arg2066z00_1094, BgL_list2068z00_1096);} } }  else 
{ /* Module/impuse.scm 351 */
obj_t BgL_arg2070z00_1098;obj_t BgL_arg2073z00_1101;
{ /* Module/impuse.scm 351 */
int BgL_auxz00_3010;
BgL_auxz00_3010 = 
(int)(((long)4)); 
BgL_arg2070z00_1098 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_3010); } 
BgL_arg2073z00_1101 = 
CAR(BgL_fnamesz00_1042); 
{ /* Module/impuse.scm 351 */
obj_t BgL_list2075z00_1103;
BgL_list2075z00_1103 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2070z00_1098, BGl_string2185z00zzmodule_impusez00, BGl_string2186z00zzmodule_impusez00, BgL_arg2073z00_1101, BgL_list2075z00_1103);} } } } }  else 
{ /* Module/impuse.scm 343 */
obj_t BgL_arg2077z00_1105;
{ /* Module/impuse.scm 343 */
int BgL_auxz00_3016;
BgL_auxz00_3016 = 
(int)(((long)4)); 
BgL_arg2077z00_1105 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_3016); } 
{ /* Module/impuse.scm 343 */
obj_t BgL_list2081z00_1109;
BgL_list2081z00_1109 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2077z00_1105, BGl_string2185z00zzmodule_impusez00, BGl_string2187z00zzmodule_impusez00, BgL_modulez00_1025, BgL_list2081z00_1109);} } } } } } } 
}



/* handling_function2047 */
obj_t BGl_handling_function2047z00zzmodule_impusez00(obj_t BgL_body1775z00_2249, obj_t BgL_rhandler1774z00_2248, obj_t BgL_handler1773z00_2247, obj_t BgL_armed1776z00_2246)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1777z00_1053;
if( SET_EXIT(BgL_an_exit1777z00_1053) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1777z00_1053 = 
(obj_t)jmpbuf; 
{ /* Module/impuse.scm 370 */

PUSH_EXIT(BgL_an_exit1777z00_1053, ((bool_t)1)); 
{ /* Module/impuse.scm 370 */
obj_t BgL_an_exitd1778z00_1054;
BgL_an_exitd1778z00_1054 = 
BGL_GET_EXITD_TOP(); 
{ /* Module/impuse.scm 370 */
obj_t BgL_escapez00_2208;
{ 
int BgL_auxz00_3027;int BgL_auxz00_3025;
BgL_auxz00_3027 = 
(int)(((long)1)); 
BgL_auxz00_3025 = 
(int)(((long)1)); 
BgL_escapez00_2208 = 
make_fx_procedure(BGl_escapez00zzmodule_impusez00, BgL_auxz00_3025, BgL_auxz00_3027); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3030;
BgL_auxz00_3030 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2208, BgL_auxz00_3030, BgL_an_exitd1778z00_1054); } 
{ /* Module/impuse.scm 370 */
obj_t BgL_res1780z00_1057;
{ /* Module/impuse.scm 370 */
obj_t BgL_zc3anonymousza32051ze3z83_2206;obj_t BgL_zc3anonymousza32050ze3z83_2210;
{ 
int BgL_auxz00_3035;int BgL_auxz00_3033;
BgL_auxz00_3035 = 
(int)(((long)1)); 
BgL_auxz00_3033 = 
(int)(((long)0)); 
BgL_zc3anonymousza32051ze3z83_2206 = 
make_fx_procedure(BGl_zc3anonymousza32051ze3z83zzmodule_impusez00, BgL_auxz00_3033, BgL_auxz00_3035); } 
{ 
int BgL_auxz00_3040;int BgL_auxz00_3038;
BgL_auxz00_3040 = 
(int)(((long)5)); 
BgL_auxz00_3038 = 
(int)(((long)0)); 
BgL_zc3anonymousza32050ze3z83_2210 = 
make_fx_procedure(BGl_zc3anonymousza32050ze3z83zzmodule_impusez00, BgL_auxz00_3038, BgL_auxz00_3040); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3043;
BgL_auxz00_3043 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_2206, BgL_auxz00_3043, BgL_armed1776z00_2246); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3046;
BgL_auxz00_3046 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2210, BgL_auxz00_3046, BgL_an_exitd1778z00_1054); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3049;
BgL_auxz00_3049 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2210, BgL_auxz00_3049, BgL_armed1776z00_2246); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3052;
BgL_auxz00_3052 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2210, BgL_auxz00_3052, BgL_handler1773z00_2247); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3055;
BgL_auxz00_3055 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2210, BgL_auxz00_3055, BgL_rhandler1774z00_2248); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3058;
BgL_auxz00_3058 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2210, BgL_auxz00_3058, BgL_escapez00_2208); } 
BgL_res1780z00_1057 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32050ze3z83_2210, BgL_body1775z00_2249, BgL_zc3anonymousza32051ze3z83_2206); } 
POP_EXIT(); 
return BgL_res1780z00_1057;} } } } 
} } 
}



/* <anonymous:2051> */
obj_t BGl_zc3anonymousza32051ze3z83zzmodule_impusez00(obj_t BgL_envz00_2212)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
{ /* Module/impuse.scm 370 */
obj_t BgL_armed1776z00_2213;
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3063;
BgL_auxz00_3063 = 
(int)(((long)0)); 
BgL_armed1776z00_2213 = 
PROCEDURE_REF(BgL_envz00_2212, BgL_auxz00_3063); } 
{ 

{ /* Module/impuse.scm 370 */
bool_t BgL_testz00_3066;
{ /* Module/impuse.scm 370 */
obj_t BgL_auxz00_3067;
BgL_auxz00_3067 = 
CELL_REF(BgL_armed1776z00_2213); 
BgL_testz00_3066 = 
CBOOL(BgL_auxz00_3067); } 
if(BgL_testz00_3066)
{ /* Module/impuse.scm 370 */
CELL_SET(BgL_armed1776z00_2213, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Module/impuse.scm 370 */
return BFALSE;} } } } } 
}



/* body1775 */
obj_t BGl_body1775z00zzmodule_impusez00(obj_t BgL_envz00_2215)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
{ /* Module/impuse.scm 371 */
obj_t BgL_portz00_2216;obj_t BgL_modulez00_2217;obj_t BgL_imodez00_2218;obj_t BgL_wantedz00_2219;obj_t BgL_fnamesz00_2220;
{ /* Module/impuse.scm 371 */
int BgL_auxz00_3070;
BgL_auxz00_3070 = 
(int)(((long)0)); 
BgL_portz00_2216 = 
PROCEDURE_REF(BgL_envz00_2215, BgL_auxz00_3070); } 
{ /* Module/impuse.scm 371 */
int BgL_auxz00_3073;
BgL_auxz00_3073 = 
(int)(((long)1)); 
BgL_modulez00_2217 = 
PROCEDURE_REF(BgL_envz00_2215, BgL_auxz00_3073); } 
{ /* Module/impuse.scm 371 */
int BgL_auxz00_3076;
BgL_auxz00_3076 = 
(int)(((long)2)); 
BgL_imodez00_2218 = 
PROCEDURE_REF(BgL_envz00_2215, BgL_auxz00_3076); } 
{ /* Module/impuse.scm 371 */
int BgL_auxz00_3079;
BgL_auxz00_3079 = 
(int)(((long)3)); 
BgL_wantedz00_2219 = 
PROCEDURE_REF(BgL_envz00_2215, BgL_auxz00_3079); } 
{ /* Module/impuse.scm 371 */
int BgL_auxz00_3082;
BgL_auxz00_3082 = 
(int)(((long)4)); 
BgL_fnamesz00_2220 = 
PROCEDURE_REF(BgL_envz00_2215, BgL_auxz00_3082); } 
{ 

{ /* Module/impuse.scm 371 */
obj_t BgL_mdeclz00_1070;
{ /* Module/impuse.scm 371 */
obj_t BgL_list2059z00_1080;
{ /* Module/impuse.scm 371 */
obj_t BgL_arg2060z00_1081;
BgL_arg2060z00_1081 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list2059z00_1080 = 
MAKE_PAIR(BgL_portz00_2216, BgL_arg2060z00_1081); } 
BgL_mdeclz00_1070 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list2059z00_1080); } 
{ /* Module/impuse.scm 371 */
obj_t BgL_provz00_1071;
{ /* Module/impuse.scm 374 */
obj_t BgL_arg2057z00_1078;obj_t BgL_arg2058z00_1079;
BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(); 
BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(); 
BgL_arg2057z00_1078 = 
BGl_consumezd2modulez12zc0zzmodule_modulez00(BgL_modulez00_2217, BgL_mdeclz00_1070); 
BgL_arg2058z00_1079 = 
BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00(); 
BgL_provz00_1071 = 
bgl_append2(BgL_arg2057z00_1078, BgL_arg2058z00_1079); } 
{ /* Module/impuse.scm 372 */
obj_t BgL_codez00_1072;
BgL_codez00_1072 = 
BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00(); 
{ /* Module/impuse.scm 378 */
long BgL_checkz00_1073;
BgL_checkz00_1073 = 
BGl_modulezd2checksumzd2zzmodule_checksumz00(BgL_mdeclz00_1070); 
{ /* Module/impuse.scm 379 */
obj_t BgL_srcz00_1074;
{ /* Module/impuse.scm 380 */
int BgL_auxz00_3095;
BgL_auxz00_3095 = 
(int)(((long)5)); 
BgL_srcz00_1074 = 
STRUCT_REF(BgL_imodez00_2218, BgL_auxz00_3095); } 
{ /* Module/impuse.scm 380 */

{ /* Module/impuse.scm 381 */
obj_t BgL_auxz00_3100;int BgL_auxz00_3098;
BgL_auxz00_3100 = 
BINT(BgL_checkz00_1073); 
BgL_auxz00_3098 = 
(int)(((long)3)); 
STRUCT_SET(BgL_imodez00_2218, BgL_auxz00_3098, BgL_auxz00_3100); } 
{ /* Module/impuse.scm 383 */
obj_t BgL_arg2054z00_1075;obj_t BgL_arg2055z00_1076;
if(
PAIRP(BgL_wantedz00_2219))
{ /* Module/impuse.scm 383 */
BgL_arg2054z00_1075 = 
BGl_importzd2wantedzd2zzmodule_impusez00(BgL_provz00_1071, BgL_wantedz00_2219, BgL_modulez00_2217, BgL_srcz00_1074); }  else 
{ /* Module/impuse.scm 383 */
BgL_arg2054z00_1075 = 
BGl_importzd2everythingzd2zzmodule_impusez00(BgL_provz00_1071, BgL_modulez00_2217, BgL_srcz00_1074); } 
BgL_arg2055z00_1076 = 
CDR(BgL_fnamesz00_2220); 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_arg2054z00_1075, BgL_codez00_1072, BgL_portz00_2216, BgL_arg2055z00_1076, BgL_modulez00_2217); } 
return 
close_input_port(BgL_portz00_2216);} } } } } } } } } 
}



/* <anonymous:2050> */
obj_t BGl_zc3anonymousza32050ze3z83zzmodule_impusez00(obj_t BgL_envz00_2221)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
{ /* Module/impuse.scm 370 */
obj_t BgL_rhandler1774z00_2225;obj_t BgL_escapez00_2226;
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3110;
BgL_auxz00_3110 = 
(int)(((long)3)); 
BgL_rhandler1774z00_2225 = 
PROCEDURE_REF(BgL_envz00_2221, BgL_auxz00_3110); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3113;
BgL_auxz00_3113 = 
(int)(((long)4)); 
BgL_escapez00_2226 = 
PROCEDURE_REF(BgL_envz00_2221, BgL_auxz00_3113); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler1774z00_2225, BgL_escapez00_2226);} } } 
}



/* escape */
obj_t BGl_escapez00zzmodule_impusez00(obj_t BgL_envz00_2227, obj_t BgL_val1779z00_2229)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
{ /* Module/impuse.scm 370 */
obj_t BgL_an_exitd1778z00_2228;
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3117;
BgL_auxz00_3117 = 
(int)(((long)0)); 
BgL_an_exitd1778z00_2228 = 
PROCEDURE_REF(BgL_envz00_2227, BgL_auxz00_3117); } 
{ 
obj_t BgL_val1779z00_1055;
BgL_val1779z00_1055 = BgL_val1779z00_2229; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1778z00_2228, BgL_val1779z00_1055);} } } 
}



/* rhandler1774 */
obj_t BGl_rhandler1774z00zzmodule_impusez00(obj_t BgL_envz00_2230, obj_t BgL_escz00_2233, obj_t BgL_objz00_2234, obj_t BgL_procz00_2235, obj_t BgL_msgz00_2236)
{ AN_OBJECT;
{ /* Module/impuse.scm 370 */
{ /* Module/impuse.scm 370 */
obj_t BgL_armed1776z00_2231;obj_t BgL_handler1773z00_2232;
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3121;
BgL_auxz00_3121 = 
(int)(((long)0)); 
BgL_armed1776z00_2231 = 
PROCEDURE_REF(BgL_envz00_2230, BgL_auxz00_3121); } 
{ /* Module/impuse.scm 370 */
int BgL_auxz00_3124;
BgL_auxz00_3124 = 
(int)(((long)1)); 
BgL_handler1773z00_2232 = 
PROCEDURE_REF(BgL_envz00_2230, BgL_auxz00_3124); } 
{ 
obj_t BgL_escz00_1064;obj_t BgL_objz00_1065;obj_t BgL_procz00_1066;obj_t BgL_msgz00_1067;
BgL_escz00_1064 = BgL_escz00_2233; 
BgL_objz00_1065 = BgL_objz00_2234; 
BgL_procz00_1066 = BgL_procz00_2235; 
BgL_msgz00_1067 = BgL_msgz00_2236; 
CELL_SET(BgL_armed1776z00_2231, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Module/impuse.scm 370 */
obj_t BgL_auxz00_3129;
BgL_auxz00_3129 = 
CELL_REF(BgL_handler1773z00_2232); 
return 
PROCEDURE_ENTRY(BgL_auxz00_3129)(
CELL_REF(BgL_handler1773z00_2232), BgL_escz00_1064, BgL_objz00_1065, BgL_procz00_1066, BgL_msgz00_1067, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzmodule_impusez00(obj_t BgL_envz00_2238, obj_t BgL_escapez00_2240, obj_t BgL_procz00_2241, obj_t BgL_mesz00_2242, obj_t BgL_objz00_2243)
{ AN_OBJECT;
{ /* Module/impuse.scm 365 */
{ /* Module/impuse.scm 366 */
obj_t BgL_portz00_2239;
{ /* Module/impuse.scm 366 */
int BgL_auxz00_3130;
BgL_auxz00_3130 = 
(int)(((long)0)); 
BgL_portz00_2239 = 
PROCEDURE_REF(BgL_envz00_2238, BgL_auxz00_3130); } 
{ 
obj_t BgL_escapez00_1084;obj_t BgL_procz00_1085;obj_t BgL_mesz00_1086;obj_t BgL_objz00_1087;
BgL_escapez00_1084 = BgL_escapez00_2240; 
BgL_procz00_1085 = BgL_procz00_2241; 
BgL_mesz00_1086 = BgL_mesz00_2242; 
BgL_objz00_1087 = BgL_objz00_2243; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_1085, BgL_mesz00_1086, BgL_objz00_1087); 
FLUSH_OUTPUT_PORT(current_error_port); 
close_input_port(BgL_portz00_2239); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-7)));} } } 
}



/* import-everything */
obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t BgL_providedz00_62, obj_t BgL_modulez00_63, obj_t BgL_srcz00_64)
{ AN_OBJECT;
{ /* Module/impuse.scm 396 */
{ 
obj_t BgL_providedz00_1110;obj_t BgL_inlinez00_1111;
BgL_providedz00_1110 = BgL_providedz00_62; 
BgL_inlinez00_1111 = BNIL; 
BgL_loopz00_1112:
if(
NULLP(BgL_providedz00_1110))
{ /* Module/impuse.scm 399 */
return BgL_inlinez00_1111;}  else 
{ /* Module/impuse.scm 401 */
obj_t BgL_pz00_1114;
{ /* Module/impuse.scm 401 */
obj_t BgL_arg2096z00_1129;
BgL_arg2096z00_1129 = 
CAR(BgL_providedz00_1110); 
{ /* Module/impuse.scm 401 */
obj_t BgL_list2097z00_1130;
BgL_list2097z00_1130 = 
MAKE_PAIR(BgL_srcz00_64, BNIL); 
BgL_pz00_1114 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_63, BgL_arg2096z00_1129, BgL_list2097z00_1130); } } 
{ /* Module/impuse.scm 402 */
bool_t BgL_test2083z00_1115;
BgL_test2083z00_1115 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1114, BGl_globalz00zzast_varz00); 
if(BgL_test2083z00_1115)
{ /* Module/impuse.scm 403 */
BgL_valuez00_bglt BgL_valz00_1116;
{ /* Module/impuse.scm 403 */
BgL_globalz00_bglt BgL_obj1374z00_1903;
BgL_obj1374z00_1903 = 
(BgL_globalz00_bglt)(BgL_pz00_1114); 
BgL_valz00_1116 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1374z00_1903))->BgL_valuez00); } 
{ /* Module/impuse.scm 404 */
obj_t BgL_arg2084z00_1117;obj_t BgL_arg2085z00_1118;
BgL_arg2084z00_1117 = 
CDR(BgL_providedz00_1110); 
{ /* Module/impuse.scm 406 */
bool_t BgL_test2086z00_1119;
{ /* Module/impuse.scm 406 */
bool_t BgL_test2093z00_1126;
BgL_test2093z00_1126 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1114, BGl_globalz00zzast_varz00); 
if(BgL_test2093z00_1126)
{ /* Module/impuse.scm 407 */
bool_t BgL_test2094z00_1127;
BgL_test2094z00_1127 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1116), BGl_sfunz00zzast_varz00); 
if(BgL_test2094z00_1127)
{ /* Module/impuse.scm 407 */
BgL_test2086z00_1119 = ((bool_t)0); }  else 
{ /* Module/impuse.scm 407 */
BgL_test2086z00_1119 = ((bool_t)1); } }  else 
{ /* Module/impuse.scm 406 */
BgL_test2086z00_1119 = ((bool_t)1); } } 
if(BgL_test2086z00_1119)
{ /* Module/impuse.scm 406 */
BgL_arg2085z00_1118 = BgL_inlinez00_1111; }  else 
{ /* Module/impuse.scm 409 */
bool_t BgL_testz00_3154;
{ /* Module/impuse.scm 409 */
obj_t BgL_auxz00_3158;obj_t BgL_auxz00_3155;
BgL_auxz00_3158 = 
CNST_TABLE_REF(((long)22)); 
{ /* Module/impuse.scm 409 */
BgL_sfunz00_bglt BgL_obj1595z00_1907;
BgL_obj1595z00_1907 = 
(BgL_sfunz00_bglt)(BgL_valz00_1116); 
BgL_auxz00_3155 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1595z00_1907))->BgL_classz00); } 
BgL_testz00_3154 = 
(BgL_auxz00_3155==BgL_auxz00_3158); } 
if(BgL_testz00_3154)
{ /* Module/impuse.scm 409 */
{ /* Module/impuse.scm 410 */
obj_t BgL_arg2088z00_1121;
{ /* Module/impuse.scm 410 */
obj_t BgL_auxz00_3164;obj_t BgL_auxz00_3161;
BgL_auxz00_3164 = 
CNST_TABLE_REF(((long)22)); 
{ /* Module/impuse.scm 410 */
BgL_globalz00_bglt BgL_obj1367z00_1908;
BgL_obj1367z00_1908 = 
(BgL_globalz00_bglt)(BgL_pz00_1114); 
BgL_auxz00_3161 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1367z00_1908))->BgL_idz00); } 
BgL_arg2088z00_1121 = 
MAKE_PAIR(BgL_auxz00_3161, BgL_auxz00_3164); } 
BgL_arg2085z00_1118 = 
MAKE_PAIR(BgL_arg2088z00_1121, BgL_inlinez00_1111); } }  else 
{ /* Module/impuse.scm 409 */
BgL_arg2085z00_1118 = BgL_inlinez00_1111; } } } 
{ 
obj_t BgL_inlinez00_3169;obj_t BgL_providedz00_3168;
BgL_providedz00_3168 = BgL_arg2084z00_1117; 
BgL_inlinez00_3169 = BgL_arg2085z00_1118; 
BgL_inlinez00_1111 = BgL_inlinez00_3169; 
BgL_providedz00_1110 = BgL_providedz00_3168; 
goto BgL_loopz00_1112;} } }  else 
{ 
obj_t BgL_providedz00_3170;
BgL_providedz00_3170 = 
CDR(BgL_providedz00_1110); 
BgL_providedz00_1110 = BgL_providedz00_3170; 
goto BgL_loopz00_1112;} } } } } 
}



/* import-wanted */
obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t BgL_providedz00_65, obj_t BgL_wantedz00_66, obj_t BgL_modulez00_67, obj_t BgL_srcz00_68)
{ AN_OBJECT;
{ /* Module/impuse.scm 418 */
{ 
obj_t BgL_providedz00_1131;obj_t BgL_inlinez00_1132;obj_t BgL_wantedz00_1133;
BgL_providedz00_1131 = BgL_providedz00_65; 
BgL_inlinez00_1132 = BNIL; 
BgL_wantedz00_1133 = BgL_wantedz00_66; 
BgL_loopz00_1134:
if(
NULLP(BgL_wantedz00_1133))
{ /* Module/impuse.scm 425 */
return BgL_inlinez00_1132;}  else 
{ /* Module/impuse.scm 425 */
if(
NULLP(BgL_providedz00_1131))
{ /* Module/impuse.scm 427 */
{ /* Module/impuse.scm 428 */
obj_t BgL_arg2100z00_1137;
BgL_arg2100z00_1137 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 428 */
obj_t BgL_list2103z00_1140;
BgL_list2103z00_1140 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2100z00_1137, BgL_modulez00_67, BGl_string2188z00zzmodule_impusez00, BgL_wantedz00_1133, BgL_list2103z00_1140);} } }  else 
{ /* Module/impuse.scm 427 */
{ /* Module/impuse.scm 434 */
obj_t BgL_protoz00_1141;
BgL_protoz00_1141 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(
CAR(BgL_providedz00_1131)); 
if(
PAIRP(BgL_protoz00_1141))
{ /* Module/impuse.scm 436 */
obj_t BgL_idz00_1143;
{ /* Module/impuse.scm 436 */
obj_t BgL_arg2122z00_1162;obj_t BgL_arg2123z00_1163;
{ /* Module/impuse.scm 436 */
obj_t BgL_auxz00_3183;
BgL_auxz00_3183 = 
CDR(BgL_protoz00_1141); 
BgL_arg2122z00_1162 = 
CAR(BgL_auxz00_3183); } 
BgL_arg2123z00_1163 = 
BGl_findzd2locationzd2zztools_locationz00(
CAR(BgL_providedz00_1131)); 
BgL_idz00_1143 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_arg2122z00_1162, BgL_arg2123z00_1163); } 
{ /* Module/impuse.scm 438 */
bool_t BgL_testz00_3189;
{ /* Module/impuse.scm 438 */
obj_t BgL_auxz00_3190;
BgL_auxz00_3190 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1143, BgL_wantedz00_1133); 
BgL_testz00_3189 = 
CBOOL(BgL_auxz00_3190); } 
if(BgL_testz00_3189)
{ /* Module/impuse.scm 442 */
obj_t BgL_pz00_1145;
{ /* Module/impuse.scm 442 */
obj_t BgL_arg2119z00_1159;
BgL_arg2119z00_1159 = 
CAR(BgL_providedz00_1131); 
{ /* Module/impuse.scm 442 */
obj_t BgL_list2120z00_1160;
BgL_list2120z00_1160 = 
MAKE_PAIR(BgL_srcz00_68, BNIL); 
BgL_pz00_1145 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_67, BgL_arg2119z00_1159, BgL_list2120z00_1160); } } 
{ /* Module/impuse.scm 444 */
bool_t BgL_test2106z00_1146;
BgL_test2106z00_1146 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1145, BGl_globalz00zzast_varz00); 
if(BgL_test2106z00_1146)
{ /* Module/impuse.scm 444 */
{ /* Module/impuse.scm 445 */
obj_t BgL_arg2107z00_1147;obj_t BgL_arg2108z00_1148;obj_t BgL_arg2109z00_1149;
BgL_arg2107z00_1147 = 
CDR(BgL_providedz00_1131); 
{ /* Module/impuse.scm 447 */
bool_t BgL_testz00_3199;
{ /* Module/impuse.scm 447 */
obj_t BgL_auxz00_3202;obj_t BgL_auxz00_3200;
BgL_auxz00_3202 = 
CNST_TABLE_REF(((long)22)); 
BgL_auxz00_3200 = 
CAR(BgL_protoz00_1141); 
BgL_testz00_3199 = 
(BgL_auxz00_3200==BgL_auxz00_3202); } 
if(BgL_testz00_3199)
{ /* Module/impuse.scm 447 */
{ /* Module/impuse.scm 448 */
obj_t BgL_arg2111z00_1151;
{ /* Module/impuse.scm 448 */
obj_t BgL_auxz00_3205;
BgL_auxz00_3205 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2111z00_1151 = 
MAKE_PAIR(BgL_idz00_1143, BgL_auxz00_3205); } 
BgL_arg2108z00_1148 = 
MAKE_PAIR(BgL_arg2111z00_1151, BgL_inlinez00_1132); } }  else 
{ /* Module/impuse.scm 447 */
BgL_arg2108z00_1148 = BgL_inlinez00_1132; } } 
BgL_arg2109z00_1149 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1143, BgL_wantedz00_1133); 
{ 
obj_t BgL_wantedz00_3212;obj_t BgL_inlinez00_3211;obj_t BgL_providedz00_3210;
BgL_providedz00_3210 = BgL_arg2107z00_1147; 
BgL_inlinez00_3211 = BgL_arg2108z00_1148; 
BgL_wantedz00_3212 = BgL_arg2109z00_1149; 
BgL_wantedz00_1133 = BgL_wantedz00_3212; 
BgL_inlinez00_1132 = BgL_inlinez00_3211; 
BgL_providedz00_1131 = BgL_providedz00_3210; 
goto BgL_loopz00_1134;} } }  else 
{ /* Module/impuse.scm 452 */
bool_t BgL_test2114z00_1154;
BgL_test2114z00_1154 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1145, BGl_typez00zztype_typez00); 
if(BgL_test2114z00_1154)
{ /* Module/impuse.scm 452 */
{ /* Module/impuse.scm 453 */
obj_t BgL_arg2115z00_1155;obj_t BgL_arg2116z00_1156;
BgL_arg2115z00_1155 = 
CDR(BgL_providedz00_1131); 
BgL_arg2116z00_1156 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1143, BgL_wantedz00_1133); 
{ 
obj_t BgL_wantedz00_3218;obj_t BgL_providedz00_3217;
BgL_providedz00_3217 = BgL_arg2115z00_1155; 
BgL_wantedz00_3218 = BgL_arg2116z00_1156; 
BgL_wantedz00_1133 = BgL_wantedz00_3218; 
BgL_providedz00_1131 = BgL_providedz00_3217; 
goto BgL_loopz00_1134;} } }  else 
{ /* Module/impuse.scm 452 */
{ /* Module/impuse.scm 457 */
obj_t BgL_arg2117z00_1157;obj_t BgL_arg2118z00_1158;
BgL_arg2117z00_1157 = 
CDR(BgL_providedz00_1131); 
BgL_arg2118z00_1158 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1143, BgL_wantedz00_1133); 
{ 
obj_t BgL_wantedz00_3222;obj_t BgL_providedz00_3221;
BgL_providedz00_3221 = BgL_arg2117z00_1157; 
BgL_wantedz00_3222 = BgL_arg2118z00_1158; 
BgL_wantedz00_1133 = BgL_wantedz00_3222; 
BgL_providedz00_1131 = BgL_providedz00_3221; 
goto BgL_loopz00_1134;} } } } } }  else 
{ 
obj_t BgL_providedz00_3223;
BgL_providedz00_3223 = 
CDR(BgL_providedz00_1131); 
BgL_providedz00_1131 = BgL_providedz00_3223; 
goto BgL_loopz00_1134;} } }  else 
{ 
obj_t BgL_providedz00_3225;
BgL_providedz00_3225 = 
CDR(BgL_providedz00_1131); 
BgL_providedz00_1131 = BgL_providedz00_3225; 
goto BgL_loopz00_1134;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)36963), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)8859), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long)54184), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)5878), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_inlinez00(((long)31863), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)63226), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_impuse"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "module_impuse");} 
}

