/*===========================================================================*/
/*   (Module/library.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzmodule_libraryz00();
extern obj_t BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00;
extern obj_t open_input_string(obj_t);
static obj_t BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BUNSPEC;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
extern obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31589ze3z83zzmodule_libraryz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl__libraryzd2finaliza7erz75zzmodule_libraryz00(obj_t);
extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_cvarz00zzast_varz00;
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzmodule_libraryz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00();
static obj_t BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzmodule_libraryz00 = BUNSPEC;
extern obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00();
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc1646z00zzmodule_libraryz00, BgL_bgl_za7c3anonymousza7a31589za7e3za783za7za7module_libraryza7001654za7, BGl_zc3anonymousza31589ze3z83zzmodule_libraryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_libraryzd2finaliza7erzd2envza7zzmodule_libraryz00, BgL_bgl__libraryza7d2finaliza7a7erza775za7za7module_libraryza7001655z00, BGl__libraryzd2finaliza7erz75zzmodule_libraryz00, 0L, 0 );
DEFINE_STRING( BGl_string1649z00zzmodule_libraryz00, BgL_bgl_string1649za700za7za7module_libraryza7001656z00, "(#unspecified) @ unit library-modules pragma::int begin foreign ", 64 );
DEFINE_STRING( BGl_string1648z00zzmodule_libraryz00, BgL_bgl_string1648za700za7za7module_libraryza7001657z00, "\")", 2 );
DEFINE_STRING( BGl_string1647z00zzmodule_libraryz00, BgL_bgl_string1647za700za7za7module_libraryza7001658z00, "puts(\"   Module init (library): ", 32 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long BgL_checksumz00_888, char * BgL_fromz00_889)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_libraryz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_libraryz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00(); 
BGl_cnstzd2initzd2zzmodule_libraryz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_libraryz00(); 
BGl_toplevelzd2initzd2zzmodule_libraryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_library"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_library"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_library"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "module_library"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 15 */
{ /* Module/library.scm 15 */
obj_t BgL_cportz00_881;
BgL_cportz00_881 = 
open_input_string(BGl_string1649z00zzmodule_libraryz00); 
{ 
long BgL_iz00_882;
BgL_iz00_882 = ((long)6); 
BgL_loopz00_883:
if(
(BgL_iz00_882==((long)-1)))
{ /* Module/library.scm 15 */
return BUNSPEC;}  else 
{ /* Module/library.scm 15 */
{ /* Module/library.scm 15 */
obj_t BgL_arg1651z00_885;
{ /* Module/library.scm 15 */
obj_t BgL_list1652z00_886;
BgL_list1652z00_886 = 
MAKE_PAIR(BgL_cportz00_881, BNIL); 
BgL_arg1651z00_885 = 
BGl_readz00zz__readerz00(BgL_list1652z00_886); } 
{ /* Module/library.scm 15 */
int BgL_auxz00_906;
BgL_auxz00_906 = 
(int)(BgL_iz00_882); 
CNST_TABLE_SET(BgL_auxz00_906, BgL_arg1651z00_885); } } 
{ 
long BgL_iz00_909;
{ /* Module/library.scm 15 */
int BgL_auxz00_910;
{ /* Module/library.scm 15 */
long BgL_auxz00_911;
BgL_auxz00_911 = 
(BgL_iz00_882-((long)1)); 
BgL_auxz00_910 = 
(int)(BgL_auxz00_911); } 
BgL_iz00_909 = 
(long)(BgL_auxz00_910); } 
BgL_iz00_882 = BgL_iz00_909; 
goto BgL_loopz00_883;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 15 */
BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BNIL; 
return ( 
BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC, BUNSPEC) ;} 
}



/* library-finalizer */
obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 29 */
BGl_za2keyza2z00zzmodule_libraryz00 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ 
obj_t BgL_l1571z00_459;
{ /* Module/library.scm 34 */
obj_t BgL_arg1584z00_461;
BgL_arg1584z00_461 = 
BGl_getzd2importedzd2modulesz00zzmodule_impusez00(); 
BgL_l1571z00_459 = BgL_arg1584z00_461; 
BgL_lname1572z00_460:
if(
PAIRP(BgL_l1571z00_459))
{ /* Module/library.scm 33 */
BGl_putpropz12z12zz__r4_symbols_6_4z00(
CAR(BgL_l1571z00_459), BGl_za2keyza2z00zzmodule_libraryz00, BTRUE); 
{ 
obj_t BgL_l1571z00_922;
BgL_l1571z00_922 = 
CDR(BgL_l1571z00_459); 
BgL_l1571z00_459 = BgL_l1571z00_922; 
goto BgL_lname1572z00_460;} }  else 
{ /* Module/library.scm 33 */((bool_t)1); } } } 
BGl_putpropz12z12zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0)), BGl_za2keyza2z00zzmodule_libraryz00, BTRUE); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2keyza2z00zzmodule_libraryz00, BTRUE); 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1646z00zzmodule_libraryz00); 
{ /* Module/library.scm 48 */
bool_t BgL_test1601z00_480;
{ /* Module/library.scm 48 */
long BgL_n1z00_689;
BgL_n1z00_689 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test1601z00_480 = 
(BgL_n1z00_689>((long)0)); } 
if(BgL_test1601z00_480)
{ /* Module/library.scm 48 */
BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00); }  else 
{ /* Module/library.scm 48 */BFALSE; } } 
{ /* Module/library.scm 51 */
obj_t BgL_modulesz00_481;
BgL_modulesz00_481 = BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00; 
if(
NULLP(BgL_modulesz00_481))
{ /* Module/library.scm 52 */
return BNIL;}  else 
{ 
obj_t BgL_modulesz00_483;obj_t BgL_initzd2callza2z70_484;
BgL_modulesz00_483 = BgL_modulesz00_481; 
BgL_initzd2callza2z70_484 = 
CNST_TABLE_REF(((long)6)); 
BgL_loopz00_485:
if(
NULLP(BgL_modulesz00_483))
{ /* Module/library.scm 57 */
obj_t BgL_bodyz00_487;
{ /* Module/library.scm 57 */
bool_t BgL_test1604z00_488;
{ /* Module/library.scm 57 */
long BgL_n1z00_693;
BgL_n1z00_693 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test1604z00_488 = 
(BgL_n1z00_693>((long)0)); } 
if(BgL_test1604z00_488)
{ /* Module/library.scm 58 */
obj_t BgL_arg1605z00_489;
{ /* Module/library.scm 58 */
obj_t BgL_arg1607z00_491;obj_t BgL_arg1608z00_492;
BgL_arg1607z00_491 = 
CNST_TABLE_REF(((long)1)); 
{ /* Module/library.scm 59 */
obj_t BgL_arg1609z00_493;obj_t BgL_arg1610z00_494;
{ /* Module/library.scm 59 */
obj_t BgL_arg1611z00_495;obj_t BgL_arg1612z00_496;
BgL_arg1611z00_495 = 
CNST_TABLE_REF(((long)2)); 
{ /* Module/library.scm 60 */
obj_t BgL_arg1613z00_497;
{ /* Module/library.scm 60 */
obj_t BgL_arg1617z00_500;
{ /* Module/library.scm 62 */
obj_t BgL_symbolz00_695;
BgL_symbolz00_695 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg1617z00_500 = 
SYMBOL_TO_STRING(BgL_symbolz00_695); } 
BgL_arg1613z00_497 = 
string_append_3(BGl_string1647z00zzmodule_libraryz00, BgL_arg1617z00_500, BGl_string1648z00zzmodule_libraryz00); } 
BgL_arg1612z00_496 = 
MAKE_PAIR(BgL_arg1613z00_497, BNIL); } 
BgL_arg1609z00_493 = 
MAKE_PAIR(BgL_arg1611z00_495, BgL_arg1612z00_496); } 
BgL_arg1610z00_494 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_initzd2callza2z70_484, BNIL); 
BgL_arg1608z00_492 = 
MAKE_PAIR(BgL_arg1609z00_493, BgL_arg1610z00_494); } 
BgL_arg1605z00_489 = 
MAKE_PAIR(BgL_arg1607z00_491, BgL_arg1608z00_492); } 
BgL_bodyz00_487 = 
MAKE_PAIR(BgL_arg1605z00_489, BNIL); }  else 
{ /* Module/library.scm 57 */
BgL_bodyz00_487 = BgL_initzd2callza2z70_484; } } 
{ /* Module/library.scm 66 */
obj_t BgL_idz00_696;
BgL_idz00_696 = 
CNST_TABLE_REF(((long)3)); 
{ /* Module/library.scm 66 */
obj_t BgL_newz00_700;
{ /* Module/library.scm 66 */
int BgL_auxz00_952;obj_t BgL_auxz00_950;
BgL_auxz00_952 = 
(int)(((long)4)); 
BgL_auxz00_950 = 
CNST_TABLE_REF(((long)4)); 
BgL_newz00_700 = 
create_struct(BgL_auxz00_950, BgL_auxz00_952); } 
{ /* Module/library.scm 66 */
int BgL_auxz00_955;
BgL_auxz00_955 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_700, BgL_auxz00_955, BTRUE); } 
{ /* Module/library.scm 66 */
int BgL_auxz00_958;
BgL_auxz00_958 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_700, BgL_auxz00_958, BgL_bodyz00_487); } 
{ /* Module/library.scm 66 */
obj_t BgL_auxz00_963;int BgL_auxz00_961;
BgL_auxz00_963 = 
BINT(((long)2)); 
BgL_auxz00_961 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_700, BgL_auxz00_961, BgL_auxz00_963); } 
{ /* Module/library.scm 66 */
int BgL_auxz00_966;
BgL_auxz00_966 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_700, BgL_auxz00_966, BgL_idz00_696); } 
return BgL_newz00_700;} } }  else 
{ /* Module/library.scm 67 */
obj_t BgL_idz00_502;
BgL_idz00_502 = 
CAR(BgL_modulesz00_483); 
{ /* Module/library.scm 67 */
obj_t BgL_initzd2funzd2idz00_503;
BgL_initzd2funzd2idz00_503 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_idz00_502); 
{ /* Module/library.scm 68 */

{ /* Module/library.scm 69 */
obj_t BgL_arg1619z00_504;obj_t BgL_arg1620z00_505;
BgL_arg1619z00_504 = 
CDR(BgL_modulesz00_483); 
{ /* Module/library.scm 70 */
obj_t BgL_arg1621z00_506;
{ /* Module/library.scm 70 */
obj_t BgL_arg1622z00_507;obj_t BgL_arg1623z00_508;
{ /* Module/library.scm 70 */
obj_t BgL_arg1624z00_509;obj_t BgL_arg1625z00_510;
BgL_arg1624z00_509 = 
CNST_TABLE_REF(((long)5)); 
{ /* Module/library.scm 70 */
obj_t BgL_arg1626z00_511;
BgL_arg1626z00_511 = 
MAKE_PAIR(BgL_idz00_502, BNIL); 
BgL_arg1625z00_510 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_503, BgL_arg1626z00_511); } 
BgL_arg1622z00_507 = 
MAKE_PAIR(BgL_arg1624z00_509, BgL_arg1625z00_510); } 
{ /* Module/library.scm 70 */
obj_t BgL_arg1628z00_513;
{ /* Module/library.scm 74 */
obj_t BgL_arg1629z00_514;
{ /* Module/library.scm 74 */
obj_t BgL_symbolz00_723;
BgL_symbolz00_723 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg1629z00_514 = 
SYMBOL_TO_STRING(BgL_symbolz00_723); } 
BgL_arg1628z00_513 = 
MAKE_PAIR(BgL_arg1629z00_514, BNIL); } 
{ /* Module/library.scm 70 */
obj_t BgL_auxz00_978;
BgL_auxz00_978 = 
BINT(((long)0)); 
BgL_arg1623z00_508 = 
MAKE_PAIR(BgL_auxz00_978, BgL_arg1628z00_513); } } 
BgL_arg1621z00_506 = 
MAKE_PAIR(BgL_arg1622z00_507, BgL_arg1623z00_508); } 
BgL_arg1620z00_505 = 
MAKE_PAIR(BgL_arg1621z00_506, BgL_initzd2callza2z70_484); } 
{ 
obj_t BgL_initzd2callza2z70_984;obj_t BgL_modulesz00_983;
BgL_modulesz00_983 = BgL_arg1619z00_504; 
BgL_initzd2callza2z70_984 = BgL_arg1620z00_505; 
BgL_initzd2callza2z70_484 = BgL_initzd2callza2z70_984; 
BgL_modulesz00_483 = BgL_modulesz00_983; 
goto BgL_loopz00_485;} } } } } } } } 
}



/* _library-finalizer */
obj_t BGl__libraryzd2finaliza7erz75zzmodule_libraryz00(obj_t BgL_envz00_877)
{ AN_OBJECT;
{ /* Module/library.scm 29 */
return 
BGl_libraryzd2finaliza7erz75zzmodule_libraryz00();} 
}



/* <anonymous:1589> */
obj_t BGl_zc3anonymousza31589ze3z83zzmodule_libraryz00(obj_t BgL_envz00_878, obj_t BgL_globalz00_879)
{ AN_OBJECT;
{ /* Module/library.scm 40 */
{ 
obj_t BgL_globalz00_466;
BgL_globalz00_466 = BgL_globalz00_879; 
{ /* Module/library.scm 43 */
bool_t BgL_test1590z00_469;
{ /* Module/library.scm 43 */
bool_t BgL_testz00_987;
{ /* Module/library.scm 43 */
long BgL_auxz00_988;
{ /* Module/library.scm 43 */
BgL_globalz00_bglt BgL_obj1167z00_680;
BgL_obj1167z00_680 = 
(BgL_globalz00_bglt)(BgL_globalz00_466); 
BgL_auxz00_988 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1167z00_680))->BgL_occurrencez00); } 
BgL_testz00_987 = 
(BgL_auxz00_988>((long)0)); } 
if(BgL_testz00_987)
{ /* Module/library.scm 43 */
bool_t BgL_testz00_992;
{ /* Module/library.scm 43 */
BgL_globalz00_bglt BgL_obj1179z00_683;
BgL_obj1179z00_683 = 
(BgL_globalz00_bglt)(BgL_globalz00_466); 
BgL_testz00_992 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_683))->BgL_libraryzf3zf3); } 
if(BgL_testz00_992)
{ /* Module/library.scm 45 */
bool_t BgL_test1595z00_473;
{ /* Module/library.scm 45 */
bool_t BgL_test1596z00_474;
{ /* Module/library.scm 45 */
obj_t BgL_auxz00_995;
{ /* Module/library.scm 45 */
BgL_valuez00_bglt BgL_auxz00_996;
{ /* Module/library.scm 45 */
BgL_globalz00_bglt BgL_obj1155z00_684;
BgL_obj1155z00_684 = 
(BgL_globalz00_bglt)(BgL_globalz00_466); 
BgL_auxz00_996 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_684))->BgL_valuez00); } 
BgL_auxz00_995 = 
(obj_t)(BgL_auxz00_996); } 
BgL_test1596z00_474 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_995, BGl_cfunz00zzast_varz00); } 
if(BgL_test1596z00_474)
{ /* Module/library.scm 45 */
BgL_test1595z00_473 = ((bool_t)1); }  else 
{ /* Module/library.scm 45 */
obj_t BgL_auxz00_1002;
{ /* Module/library.scm 45 */
BgL_valuez00_bglt BgL_auxz00_1003;
{ /* Module/library.scm 45 */
BgL_globalz00_bglt BgL_obj1155z00_686;
BgL_obj1155z00_686 = 
(BgL_globalz00_bglt)(BgL_globalz00_466); 
BgL_auxz00_1003 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_686))->BgL_valuez00); } 
BgL_auxz00_1002 = 
(obj_t)(BgL_auxz00_1003); } 
BgL_test1595z00_473 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1002, BGl_cvarz00zzast_varz00); } } 
if(BgL_test1595z00_473)
{ /* Module/library.scm 45 */
BgL_test1590z00_469 = ((bool_t)0); }  else 
{ /* Module/library.scm 45 */
BgL_test1590z00_469 = ((bool_t)1); } }  else 
{ /* Module/library.scm 43 */
BgL_test1590z00_469 = ((bool_t)0); } }  else 
{ /* Module/library.scm 43 */
BgL_test1590z00_469 = ((bool_t)0); } } 
if(BgL_test1590z00_469)
{ /* Module/library.scm 46 */
obj_t BgL_auxz00_1010;
{ /* Module/library.scm 46 */
BgL_globalz00_bglt BgL_obj1170z00_688;
BgL_obj1170z00_688 = 
(BgL_globalz00_bglt)(BgL_globalz00_466); 
BgL_auxz00_1010 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_688))->BgL_modulez00); } 
return 
BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(BgL_auxz00_1010);}  else 
{ /* Module/library.scm 43 */
return BFALSE;} } } } 
}



/* need-library-module! */
obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t BgL_modulez00_19)
{ AN_OBJECT;
{ /* Module/library.scm 90 */
{ /* Module/library.scm 91 */
bool_t BgL_test1631z00_516;
{ /* Module/library.scm 91 */
obj_t BgL_auxz00_1014;
BgL_auxz00_1014 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_19, BGl_za2keyza2z00zzmodule_libraryz00); 
BgL_test1631z00_516 = 
CBOOL(BgL_auxz00_1014); } 
if(BgL_test1631z00_516)
{ /* Module/library.scm 91 */
return BFALSE;}  else 
{ /* Module/library.scm 91 */
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_19, BGl_za2keyza2z00zzmodule_libraryz00, BTRUE); 
return ( 
BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = 
MAKE_PAIR(BgL_modulez00_19, BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00), BUNSPEC) ;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00()
{ AN_OBJECT;
{ /* Module/library.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_library"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_library"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_library"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_library"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "module_library"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_library"); 
return 
BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long)64898), "module_library");} 
}

