/*===========================================================================*/
/*   (Module/load.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_loadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_loadz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_zc3anonymousza31582ze3z83zzmodule_loadz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31583ze3z83zzmodule_loadz00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t, obj_t);
static obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_loadzd2modulezd2zzread_loadz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_loadz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_loadz00 = BUNSPEC;
extern obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_STRING( BGl_string1633z00zzmodule_loadz00, BgL_bgl_string1633za700za7za7module_loadza7001638z00, "void load ", 10 );
DEFINE_STRING( BGl_string1632z00zzmodule_loadz00, BgL_bgl_string1632za700za7za7module_loadza7001639z00, "Can't load module", 17 );
DEFINE_STRING( BGl_string1631z00zzmodule_loadz00, BgL_bgl_string1631za700za7za7module_loadza7001640z00, "load", 4 );
DEFINE_STRING( BGl_string1630z00zzmodule_loadz00, BgL_bgl_string1630za700za7za7module_loadza7001641z00, "Illegal load clause", 19 );
DEFINE_STRING( BGl_string1629z00zzmodule_loadz00, BgL_bgl_string1629za700za7za7module_loadza7001642z00, "Illegal `load' clause", 21 );
DEFINE_STRING( BGl_string1628z00zzmodule_loadz00, BgL_bgl_string1628za700za7za7module_loadza7001643z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2loadzd2compilerzd2envzd2zzmodule_loadz00, BgL_bgl__makeza7d2loadza7d2compilerza700za7za7module_loadza7001644z00, BGl__makezd2loadzd2compilerz00zzmodule_loadz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1626z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31583za7e3za783za7za7module_loadza7001645za7, BGl_zc3anonymousza31583ze3z83zzmodule_loadz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1627z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31582za7e3za783za7za7module_loadza7001646za7, BGl_zc3anonymousza31582ze3z83zzmodule_loadz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_loadzd2producerzd2envz00zzmodule_loadz00, BgL_bgl__loadza7d2producerza7d2za7za7module_loadza7001647za7, BGl__loadzd2producerzd2zzmodule_loadz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long BgL_checksumz00_837, char * BgL_fromz00_838)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_loadz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_loadz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_loadz00(); 
BGl_cnstzd2initzd2zzmodule_loadz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_loadz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_load"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_load"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_load"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* Module/load.scm 15 */
{ /* Module/load.scm 15 */
obj_t BgL_cportz00_830;
BgL_cportz00_830 = 
open_input_string(BGl_string1633z00zzmodule_loadz00); 
{ 
long BgL_iz00_831;
BgL_iz00_831 = ((long)1); 
BgL_loopz00_832:
if(
(BgL_iz00_831==((long)-1)))
{ /* Module/load.scm 15 */
return BUNSPEC;}  else 
{ /* Module/load.scm 15 */
{ /* Module/load.scm 15 */
obj_t BgL_arg1635z00_834;
{ /* Module/load.scm 15 */
obj_t BgL_list1636z00_835;
BgL_list1636z00_835 = 
MAKE_PAIR(BgL_cportz00_830, BNIL); 
BgL_arg1635z00_834 = 
BGl_readz00zz__readerz00(BgL_list1636z00_835); } 
{ /* Module/load.scm 15 */
int BgL_auxz00_853;
BgL_auxz00_853 = 
(int)(BgL_iz00_831); 
CNST_TABLE_SET(BgL_auxz00_853, BgL_arg1635z00_834); } } 
{ 
long BgL_iz00_856;
{ /* Module/load.scm 15 */
int BgL_auxz00_857;
{ /* Module/load.scm 15 */
long BgL_auxz00_858;
BgL_auxz00_858 = 
(BgL_iz00_831-((long)1)); 
BgL_auxz00_857 = 
(int)(BgL_auxz00_858); } 
BgL_iz00_856 = 
(long)(BgL_auxz00_857); } 
BgL_iz00_831 = BgL_iz00_856; 
goto BgL_loopz00_832;} } } } } 
}



/* make-load-compiler */
obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* Module/load.scm 30 */
{ /* Module/load.scm 31 */
obj_t BgL_arg1578z00_433;obj_t BgL_arg1579z00_434;
BgL_arg1578z00_433 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1579z00_434 = BGl_loadzd2producerzd2envz00zzmodule_loadz00; 
{ /* Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1623z00_629;
{ /* Module/load.scm 31 */
BgL_ccompz00_bglt BgL_new1020z00_614;
{ /* Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1621z00_620;
{ /* Module/load.scm 31 */
BgL_ccompz00_bglt BgL_new1022z00_615;
BgL_new1022z00_615 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/load.scm 31 */
long BgL_arg1620z00_616;
BgL_arg1620z00_616 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/load.scm 31 */
BgL_objectz00_bglt BgL_auxz00_865;
BgL_auxz00_865 = 
(BgL_objectz00_bglt)(BgL_new1022z00_615); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_865, BgL_arg1620z00_616); } } 
{ /* Module/load.scm 31 */
BgL_objectz00_bglt BgL_auxz00_868;
BgL_auxz00_868 = 
(BgL_objectz00_bglt)(BgL_new1022z00_615); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_868, BFALSE); } 
{ /* Module/load.scm 31 */
obj_t BgL_auxz00_871;
BgL_auxz00_871 = 
(obj_t)(BgL_new1022z00_615); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_871); } BUNSPEC; 
BgL_res1621z00_620 = BgL_new1022z00_615; } 
BgL_new1020z00_614 = BgL_res1621z00_620; } 
{ /* Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1622z00_628;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_614))->BgL_idz00) = ((obj_t)BgL_arg1578z00_433), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_614))->BgL_producerz00) = ((obj_t)BgL_arg1579z00_434), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_614))->BgL_consumerz00) = ((obj_t)BGl_proc1627z00zzmodule_loadz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_614))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1626z00zzmodule_loadz00), BUNSPEC); 
BgL_res1622z00_628 = BgL_new1020z00_614; BgL_res1622z00_628; } 
BgL_res1623z00_629 = BgL_new1020z00_614; } 
return 
(obj_t)(BgL_res1623z00_629);} } } 
}



/* _make-load-compiler */
obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t BgL_envz00_823)
{ AN_OBJECT;
{ /* Module/load.scm 30 */
return 
BGl_makezd2loadzd2compilerz00zzmodule_loadz00();} 
}



/* <anonymous:1583> */
obj_t BGl_zc3anonymousza31583ze3z83zzmodule_loadz00(obj_t BgL_envz00_824)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1582> */
obj_t BGl_zc3anonymousza31582ze3z83zzmodule_loadz00(obj_t BgL_envz00_825, obj_t BgL_mz00_826, obj_t BgL_cz00_827)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_437;obj_t BgL_cz00_438;
BgL_mz00_437 = BgL_mz00_826; 
BgL_cz00_438 = BgL_cz00_827; 
return BNIL;} } 
}



/* load-producer */
obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t BgL_clausez00_1)
{ AN_OBJECT;
{ /* Module/load.scm 37 */
{ 
obj_t BgL_protosz00_443;
if(
PAIRP(BgL_clausez00_1))
{ /* Module/load.scm 38 */
bool_t BgL_auxz00_883;
BgL_protosz00_443 = 
CDR(BgL_clausez00_1); 
{ 
obj_t BgL_l1576z00_449;
BgL_l1576z00_449 = BgL_protosz00_443; 
BgL_lname1577z00_450:
if(
PAIRP(BgL_l1576z00_449))
{ /* Module/load.scm 40 */
BGl_loadzd2parserzd2zzmodule_loadz00(
CAR(BgL_l1576z00_449), BgL_clausez00_1); 
{ 
obj_t BgL_l1576z00_888;
BgL_l1576z00_888 = 
CDR(BgL_l1576z00_449); 
BgL_l1576z00_449 = BgL_l1576z00_888; 
goto BgL_lname1577z00_450;} }  else 
{ /* Module/load.scm 40 */
BgL_auxz00_883 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_883);}  else 
{ /* Module/load.scm 38 */
{ /* Module/load.scm 42 */
obj_t BgL_list1588z00_454;
BgL_list1588z00_454 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1628z00zzmodule_loadz00, BGl_string1629z00zzmodule_loadz00, BgL_clausez00_1, BgL_list1588z00_454);} } } } 
}



/* _load-producer */
obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t BgL_envz00_828, obj_t BgL_clausez00_829)
{ AN_OBJECT;
{ /* Module/load.scm 37 */
return 
BGl_loadzd2producerzd2zzmodule_loadz00(BgL_clausez00_829);} 
}



/* load-parser */
obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t BgL_protoz00_2, obj_t BgL_clausez00_3)
{ AN_OBJECT;
{ /* Module/load.scm 50 */
{ 
obj_t BgL_modulez00_455;obj_t BgL_filez00_456;obj_t BgL_filesz00_457;
if(
PAIRP(BgL_protoz00_2))
{ /* Module/load.scm 51 */
obj_t BgL_carzd2119zd2_463;obj_t BgL_cdrzd2120zd2_464;
BgL_carzd2119zd2_463 = 
CAR(BgL_protoz00_2); 
BgL_cdrzd2120zd2_464 = 
CDR(BgL_protoz00_2); 
if(
SYMBOLP(BgL_carzd2119zd2_463))
{ /* Module/load.scm 51 */
if(
PAIRP(BgL_cdrzd2120zd2_464))
{ /* Module/load.scm 51 */
obj_t BgL_carzd2125zd2_467;
BgL_carzd2125zd2_467 = 
CAR(BgL_cdrzd2120zd2_464); 
if(
STRINGP(BgL_carzd2125zd2_467))
{ /* Module/load.scm 51 */
BgL_modulez00_455 = BgL_carzd2119zd2_463; 
BgL_filez00_456 = BgL_carzd2125zd2_467; 
BgL_filesz00_457 = 
CDR(BgL_cdrzd2120zd2_464); 
{ 
obj_t BgL_fz00_474;
BgL_fz00_474 = BgL_filesz00_457; 
BgL_loopz00_475:
if(
NULLP(BgL_fz00_474))
{ /* Module/load.scm 55 */
{ /* Module/load.scm 56 */
obj_t BgL_arg1599z00_477;
BgL_arg1599z00_477 = 
MAKE_PAIR(BgL_filez00_456, BgL_filesz00_457); 
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_modulez00_455, BgL_arg1599z00_477);} }  else 
{ /* Module/load.scm 57 */
bool_t BgL_testz00_910;
{ /* Module/load.scm 57 */
obj_t BgL_auxz00_911;
BgL_auxz00_911 = 
CAR(BgL_fz00_474); 
BgL_testz00_910 = 
STRINGP(BgL_auxz00_911); } 
if(BgL_testz00_910)
{ /* Module/load.scm 57 */
{ 
obj_t BgL_fz00_914;
BgL_fz00_914 = 
CDR(BgL_fz00_474); 
BgL_fz00_474 = BgL_fz00_914; 
goto BgL_loopz00_475;} }  else 
{ /* Module/load.scm 57 */
{ /* Module/load.scm 58 */
obj_t BgL_list1602z00_480;
BgL_list1602z00_480 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1628z00zzmodule_loadz00, BGl_string1630z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1602z00_480);} } } } }  else 
{ /* Module/load.scm 51 */
if(
SYMBOLP(BgL_protoz00_2))
{ /* Module/load.scm 51 */
BgL_tagzd2110zd2_459:
{ /* Module/load.scm 62 */
obj_t BgL_bz00_482;
BgL_bz00_482 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_protoz00_2, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
if(
CBOOL(BgL_bz00_482))
{ /* Module/load.scm 63 */
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_protoz00_2, 
CDR(BgL_bz00_482));}  else 
{ /* Module/load.scm 63 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1631z00zzmodule_loadz00, BGl_string1632z00zzmodule_loadz00, BgL_protoz00_2, BNIL);} } }  else 
{ /* Module/load.scm 51 */
BgL_tagzd2111zd2_460:
{ /* Module/load.scm 67 */
obj_t BgL_list1606z00_485;
BgL_list1606z00_485 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1628z00zzmodule_loadz00, BGl_string1630z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1606z00_485);} } } }  else 
{ /* Module/load.scm 51 */
if(
SYMBOLP(BgL_protoz00_2))
{ /* Module/load.scm 51 */
goto BgL_tagzd2110zd2_459;}  else 
{ /* Module/load.scm 51 */
goto BgL_tagzd2111zd2_460;} } }  else 
{ /* Module/load.scm 51 */
if(
SYMBOLP(BgL_protoz00_2))
{ /* Module/load.scm 51 */
goto BgL_tagzd2110zd2_459;}  else 
{ /* Module/load.scm 51 */
goto BgL_tagzd2111zd2_460;} } }  else 
{ /* Module/load.scm 51 */
if(
SYMBOLP(BgL_protoz00_2))
{ /* Module/load.scm 51 */
goto BgL_tagzd2110zd2_459;}  else 
{ /* Module/load.scm 51 */
goto BgL_tagzd2111zd2_460;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* Module/load.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_load"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "module_load"); 
return 
BGl_modulezd2initializa7ationz75zzread_loadz00(((long)12003), "module_load");} 
}

