/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t);
static obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t);
static obj_t BGl_zc3anonymousza31583ze3z83zzmodule_mainz00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
static obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
extern obj_t BGl_za2pairza2z00zztype_cachez00;
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
static obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t, obj_t);
static obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t, obj_t);
static obj_t __cnst[ 6 ] ;

DEFINE_STRING( BGl_string1636z00zzmodule_mainz00, BgL_bgl_string1636za700za7za7module_mainza7001644z00, "Parse error", 11 );
DEFINE_STRING( BGl_string1635z00zzmodule_mainz00, BgL_bgl_string1635za700za7za7module_mainza7001645z00, "Illegal declaration of main function", 36 );
DEFINE_STATIC_PROCEDURE( BGl_mainzd2consumerzd2envz00zzmodule_mainz00, BgL_bgl__mainza7d2consumerza7d2za7za7module_mainza7001646za7, BGl__mainzd2consumerzd2zzmodule_mainz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_mainzd2producerzd2envz00zzmodule_mainz00, BgL_bgl__mainza7d2producerza7d2za7za7module_mainza7001647za7, BGl__mainzd2producerzd2zzmodule_mainz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00, BgL_bgl__makeza7d2mainza7d2compilerza700za7za7module_mainza7001648z00, BGl__makezd2mainzd2compilerz00zzmodule_mainz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1634z00zzmodule_mainz00, BgL_bgl_za7c3anonymousza7a31583za7e3za783za7za7module_mainza7001649za7, BGl_zc3anonymousza31583ze3z83zzmodule_mainz00, 0L, 0 );
DEFINE_STRING( BGl_string1639z00zzmodule_mainz00, BgL_bgl_string1639za700za7za7module_mainza7001650z00, "argv::pair argv::obj export imported void main ", 47 );
DEFINE_STRING( BGl_string1638z00zzmodule_mainz00, BgL_bgl_string1638za700za7za7module_mainza7001651z00, "Duplicated main clause", 22 );
DEFINE_STRING( BGl_string1637z00zzmodule_mainz00, BgL_bgl_string1637za700za7za7module_mainza7001652z00, "Illegal main clause", 19 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long BgL_checksumz00_834, char * BgL_fromz00_835)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_mainz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_mainz00(); 
BGl_cnstzd2initzd2zzmodule_mainz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_mainz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* Module/main.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_main"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_main"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "module_main"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
{ AN_OBJECT;
{ /* Module/main.scm 15 */
{ /* Module/main.scm 15 */
obj_t BgL_cportz00_827;
BgL_cportz00_827 = 
open_input_string(BGl_string1639z00zzmodule_mainz00); 
{ 
long BgL_iz00_828;
BgL_iz00_828 = ((long)5); 
BgL_loopz00_829:
if(
(BgL_iz00_828==((long)-1)))
{ /* Module/main.scm 15 */
return BUNSPEC;}  else 
{ /* Module/main.scm 15 */
{ /* Module/main.scm 15 */
obj_t BgL_arg1641z00_831;
{ /* Module/main.scm 15 */
obj_t BgL_list1642z00_832;
BgL_list1642z00_832 = 
MAKE_PAIR(BgL_cportz00_827, BNIL); 
BgL_arg1641z00_831 = 
BGl_readz00zz__readerz00(BgL_list1642z00_832); } 
{ /* Module/main.scm 15 */
int BgL_auxz00_850;
BgL_auxz00_850 = 
(int)(BgL_iz00_828); 
CNST_TABLE_SET(BgL_auxz00_850, BgL_arg1641z00_831); } } 
{ 
long BgL_iz00_853;
{ /* Module/main.scm 15 */
int BgL_auxz00_854;
{ /* Module/main.scm 15 */
long BgL_auxz00_855;
BgL_auxz00_855 = 
(BgL_iz00_828-((long)1)); 
BgL_auxz00_854 = 
(int)(BgL_auxz00_855); } 
BgL_iz00_853 = 
(long)(BgL_auxz00_854); } 
BgL_iz00_828 = BgL_iz00_853; 
goto BgL_loopz00_829;} } } } } 
}



/* make-main-compiler */
obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* Module/main.scm 32 */
{ /* Module/main.scm 33 */
obj_t BgL_arg1579z00_435;obj_t BgL_arg1580z00_436;obj_t BgL_arg1581z00_437;
BgL_arg1579z00_435 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1580z00_436 = BGl_mainzd2producerzd2envz00zzmodule_mainz00; 
BgL_arg1581z00_437 = BGl_mainzd2consumerzd2envz00zzmodule_mainz00; 
{ /* Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1631z00_629;
{ /* Module/main.scm 33 */
BgL_ccompz00_bglt BgL_new1020z00_613;
{ /* Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1629z00_619;
{ /* Module/main.scm 33 */
BgL_ccompz00_bglt BgL_new1022z00_614;
BgL_new1022z00_614 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/main.scm 33 */
long BgL_arg1628z00_615;
BgL_arg1628z00_615 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/main.scm 33 */
BgL_objectz00_bglt BgL_auxz00_862;
BgL_auxz00_862 = 
(BgL_objectz00_bglt)(BgL_new1022z00_614); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_862, BgL_arg1628z00_615); } } 
{ /* Module/main.scm 33 */
BgL_objectz00_bglt BgL_auxz00_865;
BgL_auxz00_865 = 
(BgL_objectz00_bglt)(BgL_new1022z00_614); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_865, BFALSE); } 
{ /* Module/main.scm 33 */
obj_t BgL_auxz00_868;
BgL_auxz00_868 = 
(obj_t)(BgL_new1022z00_614); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_868); } BUNSPEC; 
BgL_res1629z00_619 = BgL_new1022z00_614; } 
BgL_new1020z00_613 = BgL_res1629z00_619; } 
{ /* Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1630z00_628;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_613))->BgL_idz00) = ((obj_t)BgL_arg1579z00_435), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_613))->BgL_producerz00) = ((obj_t)BgL_arg1580z00_436), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_613))->BgL_consumerz00) = ((obj_t)BgL_arg1581z00_437), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_613))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1634z00zzmodule_mainz00), BUNSPEC); 
BgL_res1630z00_628 = BgL_new1020z00_613; BgL_res1630z00_628; } 
BgL_res1631z00_629 = BgL_new1020z00_613; } 
return 
(obj_t)(BgL_res1631z00_629);} } } 
}



/* _make-main-compiler */
obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t BgL_envz00_820)
{ AN_OBJECT;
{ /* Module/main.scm 32 */
return 
BGl_makezd2mainzd2compilerz00zzmodule_mainz00();} 
}



/* <anonymous:1583> */
obj_t BGl_zc3anonymousza31583ze3z83zzmodule_mainz00(obj_t BgL_envz00_821)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* correct-main? */
bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt BgL_globalz00_1)
{ AN_OBJECT;
{ /* Module/main.scm 43 */
{ /* Module/main.scm 44 */
BgL_valuez00_bglt BgL_sfunz00_441;
BgL_sfunz00_441 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1))->BgL_valuez00); 
{ /* Module/main.scm 45 */
bool_t BgL__andtest_1576z00_442;
BgL__andtest_1576z00_442 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_sfunz00_441), BGl_sfunz00zzast_varz00); 
if(BgL__andtest_1576z00_442)
{ /* Module/main.scm 46 */
bool_t BgL_testz00_882;
{ /* Module/main.scm 46 */
long BgL_auxz00_883;
{ /* Module/main.scm 46 */
BgL_sfunz00_bglt BgL_obj1376z00_632;
BgL_obj1376z00_632 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_441); 
BgL_auxz00_883 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_632))->BgL_arityz00); } 
BgL_testz00_882 = 
(BgL_auxz00_883==((long)1)); } 
if(BgL_testz00_882)
{ /* Module/main.scm 47 */
BgL_typez00_bglt BgL_typez00_445;
{ /* Module/main.scm 48 */
BgL_localz00_bglt BgL_obj1276z00_637;
{ /* Module/main.scm 48 */
obj_t BgL_auxz00_887;
{ /* Module/main.scm 47 */
obj_t BgL_auxz00_888;
{ /* Module/main.scm 47 */
BgL_sfunz00_bglt BgL_obj1395z00_635;
BgL_obj1395z00_635 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_441); 
BgL_auxz00_888 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1395z00_635))->BgL_argsz00); } 
BgL_auxz00_887 = 
CAR(BgL_auxz00_888); } 
BgL_obj1276z00_637 = 
(BgL_localz00_bglt)(BgL_auxz00_887); } 
BgL_typez00_445 = 
(((BgL_localz00_bglt)CREF(BgL_obj1276z00_637))->BgL_typez00); } 
{ /* Module/main.scm 48 */

{ /* Module/main.scm 49 */
bool_t BgL__ortest_1578z00_446;
{ /* Module/main.scm 49 */
obj_t BgL_auxz00_894;
BgL_auxz00_894 = 
(obj_t)(BgL_typez00_445); 
BgL__ortest_1578z00_446 = 
(BgL_auxz00_894==BGl_za2objza2z00zztype_cachez00); } 
if(BgL__ortest_1578z00_446)
{ /* Module/main.scm 49 */
return BgL__ortest_1578z00_446;}  else 
{ /* Module/main.scm 49 */
obj_t BgL_auxz00_898;
BgL_auxz00_898 = 
(obj_t)(BgL_typez00_445); 
return 
(BgL_auxz00_898==BGl_za2pairza2z00zztype_cachez00);} } } }  else 
{ /* Module/main.scm 46 */
return ((bool_t)0);} }  else 
{ /* Module/main.scm 45 */
return ((bool_t)0);} } } } 
}



/* main-producer */
obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t BgL_clausez00_2)
{ AN_OBJECT;
{ /* Module/main.scm 54 */
{ /* Module/main.scm 55 */
bool_t BgL_test1588z00_450;
{ /* Module/main.scm 55 */
bool_t BgL_test1612z00_481;
{ /* Module/main.scm 55 */
obj_t BgL_auxz00_901;
BgL_auxz00_901 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1612z00_481 = 
(BGl_za2mainza2z00zzmodule_modulez00==BgL_auxz00_901); } 
if(BgL_test1612z00_481)
{ /* Module/main.scm 55 */
BgL_test1588z00_450 = ((bool_t)1); }  else 
{ /* Module/main.scm 55 */
obj_t BgL_obj1271z00_638;
BgL_obj1271z00_638 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1588z00_450 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1271z00_638, BGl_globalz00zzast_varz00); } } 
if(BgL_test1588z00_450)
{ /* Module/main.scm 55 */
return 
BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_2);}  else 
{ 
obj_t BgL_mainz00_451;
if(
PAIRP(BgL_clausez00_2))
{ /* Module/main.scm 57 */
obj_t BgL_cdrzd2107zd2_456;
BgL_cdrzd2107zd2_456 = 
CDR(BgL_clausez00_2); 
if(
PAIRP(BgL_cdrzd2107zd2_456))
{ /* Module/main.scm 57 */
obj_t BgL_carzd2109zd2_458;
BgL_carzd2109zd2_458 = 
CAR(BgL_cdrzd2107zd2_456); 
if(
SYMBOLP(BgL_carzd2109zd2_458))
{ /* Module/main.scm 57 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2107zd2_456), BNIL))
{ /* Module/main.scm 57 */
BgL_mainz00_451 = BgL_carzd2109zd2_458; 
{ /* Module/main.scm 59 */
obj_t BgL_globalz00_463;
BgL_globalz00_463 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_mainz00_451, BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* Module/main.scm 60 */
bool_t BgL_test1595z00_464;
BgL_test1595z00_464 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_463, BGl_globalz00zzast_varz00); 
if(BgL_test1595z00_464)
{ /* Module/main.scm 60 */
if(
BGl_correctzd2mainzf3z21zzmodule_mainz00(
(BgL_globalz00_bglt)(BgL_globalz00_463)))
{ /* Module/main.scm 61 */
return BFALSE;}  else 
{ /* Module/main.scm 62 */
obj_t BgL_list1597z00_466;
BgL_list1597z00_466 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_string1635z00zzmodule_mainz00, BgL_mainz00_451, BgL_list1597z00_466);} }  else 
{ /* Module/main.scm 60 */
{ /* Module/main.scm 67 */
bool_t BgL_test1598z00_467;
{ /* Module/main.scm 67 */
long BgL_n1z00_646;
BgL_n1z00_646 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test1598z00_467 = 
(BgL_n1z00_646>((long)0)); } 
if(BgL_test1598z00_467)
{ /* Module/main.scm 68 */
obj_t BgL_arg1599z00_468;
{ /* Module/main.scm 68 */
obj_t BgL_arg1600z00_469;obj_t BgL_arg1601z00_470;
BgL_arg1600z00_469 = 
CNST_TABLE_REF(((long)3)); 
{ /* Module/main.scm 68 */
obj_t BgL_arg1602z00_471;
{ /* Module/main.scm 68 */
obj_t BgL_arg1604z00_473;
{ /* Module/main.scm 68 */
obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1604z00_473 = 
MAKE_PAIR(BgL_auxz00_931, BNIL); } 
BgL_arg1602z00_471 = 
MAKE_PAIR(BgL_mainz00_451, BgL_arg1604z00_473); } 
BgL_arg1601z00_470 = 
MAKE_PAIR(BgL_arg1602z00_471, BNIL); } 
BgL_arg1599z00_468 = 
MAKE_PAIR(BgL_arg1600z00_469, BgL_arg1601z00_470); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1599z00_468); }  else 
{ /* Module/main.scm 69 */
obj_t BgL_arg1605z00_474;
{ /* Module/main.scm 69 */
obj_t BgL_arg1606z00_475;obj_t BgL_arg1607z00_476;
BgL_arg1606z00_475 = 
CNST_TABLE_REF(((long)3)); 
{ /* Module/main.scm 69 */
obj_t BgL_arg1608z00_477;
{ /* Module/main.scm 69 */
obj_t BgL_arg1610z00_479;
{ /* Module/main.scm 69 */
obj_t BgL_auxz00_939;
BgL_auxz00_939 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1610z00_479 = 
MAKE_PAIR(BgL_auxz00_939, BNIL); } 
BgL_arg1608z00_477 = 
MAKE_PAIR(BgL_mainz00_451, BgL_arg1610z00_479); } 
BgL_arg1607z00_476 = 
MAKE_PAIR(BgL_arg1608z00_477, BNIL); } 
BgL_arg1605z00_474 = 
MAKE_PAIR(BgL_arg1606z00_475, BgL_arg1607z00_476); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1605z00_474); } } 
return ( 
BGl_za2mainza2z00zzmodule_modulez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_mainz00_451, BGl_za2moduleza2z00zzmodule_modulez00), BUNSPEC) ;} } } }  else 
{ /* Module/main.scm 57 */
BgL_tagzd2102zd2_453:
{ /* Module/main.scm 72 */
obj_t BgL_list1611z00_480;
BgL_list1611z00_480 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1636z00zzmodule_mainz00, BGl_string1637z00zzmodule_mainz00, BgL_clausez00_2, BgL_list1611z00_480);} } }  else 
{ /* Module/main.scm 57 */
goto BgL_tagzd2102zd2_453;} }  else 
{ /* Module/main.scm 57 */
goto BgL_tagzd2102zd2_453;} }  else 
{ /* Module/main.scm 57 */
goto BgL_tagzd2102zd2_453;} } } } 
}



/* _main-producer */
obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t BgL_envz00_822, obj_t BgL_clausez00_823)
{ AN_OBJECT;
{ /* Module/main.scm 54 */
return 
BGl_mainzd2producerzd2zzmodule_mainz00(BgL_clausez00_823);} 
}



/* main-consumer */
obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_modulez00_3, obj_t BgL_clausez00_4)
{ AN_OBJECT;
{ /* Module/main.scm 77 */
{ /* Module/main.scm 78 */
bool_t BgL_test1613z00_648;
{ /* Module/main.scm 78 */
obj_t BgL_obj1271z00_649;
BgL_obj1271z00_649 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1613z00_648 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1271z00_649, BGl_globalz00zzast_varz00); } 
if(BgL_test1613z00_648)
{ /* Module/main.scm 78 */
BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_4); }  else 
{ /* Module/main.scm 78 */
BGl_za2mainza2z00zzmodule_modulez00 = 
CNST_TABLE_REF(((long)2)); } } 
return BNIL;} 
}



/* _main-consumer */
obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_envz00_824, obj_t BgL_modulez00_825, obj_t BgL_clausez00_826)
{ AN_OBJECT;
{ /* Module/main.scm 77 */
return 
BGl_mainzd2consumerzd2zzmodule_mainz00(BgL_modulez00_825, BgL_clausez00_826);} 
}



/* duplicate-main-error */
obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_5)
{ AN_OBJECT;
{ /* Module/main.scm 86 */
{ /* Module/main.scm 87 */
obj_t BgL_list1614z00_483;
BgL_list1614z00_483 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1636z00zzmodule_mainz00, BGl_string1638z00zzmodule_mainz00, BgL_clausez00_5, BgL_list1614z00_483);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_mainz00()
{ AN_OBJECT;
{ /* Module/main.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* Module/main.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_main"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_main"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_main"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "module_main"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_main"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_main"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_main");} 
}

