/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t, BgL_variablez00_bglt);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31586ze3z83zzmodule_pragmaz00(obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31589ze3z83zzmodule_pragmaz00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00();
extern obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
static obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
static obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00();
static obj_t __cnst[ 11 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00, BgL_bgl__makeza7d2pragmaza7d2compilerza700za7za7module_pragmaza7001711z00, BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00, BgL_bgl__pragmaza7d2finaliza7a7erza775za7za7module_pragmaza7001712z00, BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1695z00zzmodule_pragmaz00, BgL_bgl_za7c3anonymousza7a31586za7e3za783za7za7module_pragmaza7001713za7, BGl_zc3anonymousza31586ze3z83zzmodule_pragmaz00, 0L, 2 );
DEFINE_STRING( BGl_string1699z00zzmodule_pragmaz00, BgL_bgl_string1699za700za7za7module_pragmaza7001714z00, "pragma-finalizer", 16 );
DEFINE_STRING( BGl_string1698z00zzmodule_pragmaz00, BgL_bgl_string1698za700za7za7module_pragmaza7001715z00, "Can't find global variable -- ", 30 );
DEFINE_STRING( BGl_string1697z00zzmodule_pragmaz00, BgL_bgl_string1697za700za7za7module_pragmaza7001716z00, "Illegal `pragma' clause", 23 );
DEFINE_STRING( BGl_string1706z00zzmodule_pragmaz00, BgL_bgl_string1706za700za7za7module_pragmaza7001717z00, "coerce predicate-of nesting no-trace allocator no-cfa-top side-effect-free void @ foreign pragma ", 97 );
DEFINE_STRING( BGl_string1696z00zzmodule_pragmaz00, BgL_bgl_string1696za700za7za7module_pragmaza7001718z00, "Parse error", 11 );
DEFINE_STRING( BGl_string1705z00zzmodule_pragmaz00, BgL_bgl_string1705za700za7za7module_pragmaza7001719z00, "predicate is not associated to a function", 41 );
DEFINE_STRING( BGl_string1704z00zzmodule_pragmaz00, BgL_bgl_string1704za700za7za7module_pragmaza7001720z00, "Illegal `pragma' form", 21 );
DEFINE_STRING( BGl_string1703z00zzmodule_pragmaz00, BgL_bgl_string1703za700za7za7module_pragmaza7001721z00, "property is not concerning a sfunction", 38 );
DEFINE_STRING( BGl_string1702z00zzmodule_pragmaz00, BgL_bgl_string1702za700za7za7module_pragmaza7001722z00, "property is not concerning a function", 37 );
DEFINE_STRING( BGl_string1701z00zzmodule_pragmaz00, BgL_bgl_string1701za700za7za7module_pragmaza7001723z00, "pragma", 6 );
DEFINE_STRING( BGl_string1700z00zzmodule_pragmaz00, BgL_bgl_string1700za700za7za7module_pragmaza7001724z00, "Illegal `pragma' finalizer form", 31 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long BgL_checksumz00_984, char * BgL_fromz00_985)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(); 
BGl_cnstzd2initzd2zzmodule_pragmaz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(); 
BGl_toplevelzd2initzd2zzmodule_pragmaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_pragma"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_pragma"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "module_pragma"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_pragma"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 15 */
{ /* Module/pragma.scm 15 */
obj_t BgL_cportz00_977;
BgL_cportz00_977 = 
open_input_string(BGl_string1706z00zzmodule_pragmaz00); 
{ 
long BgL_iz00_978;
BgL_iz00_978 = ((long)10); 
BgL_loopz00_979:
if(
(BgL_iz00_978==((long)-1)))
{ /* Module/pragma.scm 15 */
return BUNSPEC;}  else 
{ /* Module/pragma.scm 15 */
{ /* Module/pragma.scm 15 */
obj_t BgL_arg1708z00_981;
{ /* Module/pragma.scm 15 */
obj_t BgL_list1709z00_982;
BgL_list1709z00_982 = 
MAKE_PAIR(BgL_cportz00_977, BNIL); 
BgL_arg1708z00_981 = 
BGl_readz00zz__readerz00(BgL_list1709z00_982); } 
{ /* Module/pragma.scm 15 */
int BgL_auxz00_1002;
BgL_auxz00_1002 = 
(int)(BgL_iz00_978); 
CNST_TABLE_SET(BgL_auxz00_1002, BgL_arg1708z00_981); } } 
{ 
long BgL_iz00_1005;
{ /* Module/pragma.scm 15 */
int BgL_auxz00_1006;
{ /* Module/pragma.scm 15 */
long BgL_auxz00_1007;
BgL_auxz00_1007 = 
(BgL_iz00_978-((long)1)); 
BgL_auxz00_1006 = 
(int)(BgL_auxz00_1007); } 
BgL_iz00_1005 = 
(long)(BgL_auxz00_1006); } 
BgL_iz00_978 = BgL_iz00_1005; 
goto BgL_loopz00_979;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 15 */
return ( 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC) ;} 
}



/* make-pragma-compiler */
obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 31 */
{ /* Module/pragma.scm 32 */
obj_t BgL_arg1582z00_440;obj_t BgL_arg1583z00_441;obj_t BgL_arg1585z00_443;
BgL_arg1582z00_440 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1583z00_441 = 
BGl_pragmazd2producerzd2zzmodule_pragmaz00(BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_arg1585z00_443 = BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00; 
{ /* Module/pragma.scm 32 */
BgL_ccompz00_bglt BgL_res1691z00_726;
{ /* Module/pragma.scm 32 */
BgL_ccompz00_bglt BgL_new1020z00_710;
{ /* Module/pragma.scm 32 */
BgL_ccompz00_bglt BgL_res1689z00_716;
{ /* Module/pragma.scm 32 */
BgL_ccompz00_bglt BgL_new1022z00_711;
BgL_new1022z00_711 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/pragma.scm 32 */
long BgL_arg1688z00_712;
BgL_arg1688z00_712 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/pragma.scm 32 */
BgL_objectz00_bglt BgL_auxz00_1015;
BgL_auxz00_1015 = 
(BgL_objectz00_bglt)(BgL_new1022z00_711); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1015, BgL_arg1688z00_712); } } 
{ /* Module/pragma.scm 32 */
BgL_objectz00_bglt BgL_auxz00_1018;
BgL_auxz00_1018 = 
(BgL_objectz00_bglt)(BgL_new1022z00_711); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1018, BFALSE); } 
{ /* Module/pragma.scm 32 */
obj_t BgL_auxz00_1021;
BgL_auxz00_1021 = 
(obj_t)(BgL_new1022z00_711); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1021); } BUNSPEC; 
BgL_res1689z00_716 = BgL_new1022z00_711; } 
BgL_new1020z00_710 = BgL_res1689z00_716; } 
{ /* Module/pragma.scm 32 */
BgL_ccompz00_bglt BgL_res1690z00_725;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_710))->BgL_idz00) = ((obj_t)BgL_arg1582z00_440), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_710))->BgL_producerz00) = ((obj_t)BgL_arg1583z00_441), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_710))->BgL_consumerz00) = ((obj_t)BGl_proc1695z00zzmodule_pragmaz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_710))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1585z00_443), BUNSPEC); 
BgL_res1690z00_725 = BgL_new1020z00_710; BgL_res1690z00_725; } 
BgL_res1691z00_726 = BgL_new1020z00_710; } 
return 
(obj_t)(BgL_res1691z00_726);} } } 
}



/* _make-pragma-compiler */
obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t BgL_envz00_968)
{ AN_OBJECT;
{ /* Module/pragma.scm 31 */
return 
BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();} 
}



/* <anonymous:1586> */
obj_t BGl_zc3anonymousza31586ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_969, obj_t BgL_mz00_970, obj_t BgL_cz00_971)
{ AN_OBJECT;
{ /* Module/pragma.scm 34 */
{ 
obj_t BgL_mz00_444;obj_t BgL_cz00_445;
BgL_mz00_444 = BgL_mz00_970; 
BgL_cz00_445 = BgL_cz00_971; 
{ /* Module/pragma.scm 35 */
obj_t BgL_fun1588z00_727;
BgL_fun1588z00_727 = 
BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_444); 
return 
PROCEDURE_ENTRY(BgL_fun1588z00_727)(BgL_fun1588z00_727, BgL_cz00_445, BEOA);} } } 
}



/* pragma-producer */
obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_1)
{ AN_OBJECT;
{ /* Module/pragma.scm 41 */
{ /* Module/pragma.scm 42 */
obj_t BgL_zc3anonymousza31589ze3z83_973;
{ 
int BgL_auxz00_1035;int BgL_auxz00_1033;
BgL_auxz00_1035 = 
(int)(((long)1)); 
BgL_auxz00_1033 = 
(int)(((long)1)); 
BgL_zc3anonymousza31589ze3z83_973 = 
make_fx_procedure(BGl_zc3anonymousza31589ze3z83zzmodule_pragmaz00, BgL_auxz00_1033, BgL_auxz00_1035); } 
{ /* Module/pragma.scm 42 */
int BgL_auxz00_1038;
BgL_auxz00_1038 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31589ze3z83_973, BgL_auxz00_1038, BgL_modulez00_1); } 
return BgL_zc3anonymousza31589ze3z83_973;} } 
}



/* <anonymous:1589> */
obj_t BGl_zc3anonymousza31589ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_974, obj_t BgL_clausez00_976)
{ AN_OBJECT;
{ /* Module/pragma.scm 42 */
{ /* Module/pragma.scm 42 */
obj_t BgL_modulez00_975;
{ /* Module/pragma.scm 42 */
int BgL_auxz00_1041;
BgL_auxz00_1041 = 
(int)(((long)0)); 
BgL_modulez00_975 = 
PROCEDURE_REF(BgL_envz00_974, BgL_auxz00_1041); } 
{ 
obj_t BgL_clausez00_449;
BgL_clausez00_449 = BgL_clausez00_976; 
{ 
obj_t BgL_protosz00_451;
if(
PAIRP(BgL_clausez00_449))
{ /* Module/pragma.scm 42 */
BgL_protosz00_451 = 
CDR(BgL_clausez00_449); 
{ 
obj_t BgL_l1576z00_457;
BgL_l1576z00_457 = BgL_protosz00_451; 
BgL_lname1577z00_458:
if(
PAIRP(BgL_l1576z00_457))
{ /* Module/pragma.scm 45 */
BGl_pragmazd2parserzd2zzmodule_pragmaz00(
CAR(BgL_l1576z00_457), BgL_modulez00_975, BgL_clausez00_449); 
{ 
obj_t BgL_l1576z00_1050;
BgL_l1576z00_1050 = 
CDR(BgL_l1576z00_457); 
BgL_l1576z00_457 = BgL_l1576z00_1050; 
goto BgL_lname1577z00_458;} }  else 
{ /* Module/pragma.scm 45 */((bool_t)1); } } 
return BNIL;}  else 
{ /* Module/pragma.scm 42 */
{ /* Module/pragma.scm 49 */
obj_t BgL_list1595z00_462;
BgL_list1595z00_462 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1696z00zzmodule_pragmaz00, BGl_string1697z00zzmodule_pragmaz00, BgL_clausez00_449, BgL_list1595z00_462);} } } } } } 
}



/* pragma-parser */
obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_2, obj_t BgL_modulez00_3, obj_t BgL_clausez00_4)
{ AN_OBJECT;
{ /* Module/pragma.scm 57 */
{ 
obj_t BgL_idz00_463;obj_t BgL_propz00_464;
if(
PAIRP(BgL_protoz00_2))
{ /* Module/pragma.scm 58 */
obj_t BgL_carzd2116zd2_469;
BgL_carzd2116zd2_469 = 
CAR(BgL_protoz00_2); 
if(
SYMBOLP(BgL_carzd2116zd2_469))
{ /* Module/pragma.scm 58 */
BgL_idz00_463 = BgL_carzd2116zd2_469; 
BgL_propz00_464 = 
CDR(BgL_protoz00_2); 
{ /* Module/pragma.scm 60 */
obj_t BgL_arg1599z00_472;
{ /* Module/pragma.scm 60 */
obj_t BgL_list1600z00_473;
{ /* Module/pragma.scm 60 */
obj_t BgL_arg1601z00_474;
{ /* Module/pragma.scm 60 */
obj_t BgL_arg1602z00_475;
{ /* Module/pragma.scm 60 */
obj_t BgL_arg1603z00_476;
BgL_arg1603z00_476 = 
MAKE_PAIR(BgL_clausez00_4, BNIL); 
BgL_arg1602z00_475 = 
MAKE_PAIR(BgL_propz00_464, BgL_arg1603z00_476); } 
BgL_arg1601z00_474 = 
MAKE_PAIR(BgL_modulez00_3, BgL_arg1602z00_475); } 
BgL_list1600z00_473 = 
MAKE_PAIR(BgL_idz00_463, BgL_arg1601z00_474); } 
BgL_arg1599z00_472 = BgL_list1600z00_473; } 
return ( 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = 
MAKE_PAIR(BgL_arg1599z00_472, BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC) ;} }  else 
{ /* Module/pragma.scm 58 */
BgL_tagzd2110zd2_466:
{ /* Module/pragma.scm 62 */
obj_t BgL_list1604z00_477;
BgL_list1604z00_477 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1696z00zzmodule_pragmaz00, BGl_string1697z00zzmodule_pragmaz00, BgL_clausez00_4, BgL_list1604z00_477);} } }  else 
{ /* Module/pragma.scm 58 */
goto BgL_tagzd2110zd2_466;} } } 
}



/* pragma-finalizer */
obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 72 */
{ 
obj_t BgL_l1578z00_478;
BgL_l1578z00_478 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00; 
BgL_lname1579z00_479:
if(
PAIRP(BgL_l1578z00_478))
{ /* Module/pragma.scm 73 */
{ /* Module/pragma.scm 74 */
obj_t BgL_pragmaz00_481;
BgL_pragmaz00_481 = 
CAR(BgL_l1578z00_478); 
{ 
obj_t BgL_idz00_482;obj_t BgL_modulez00_483;obj_t BgL_propza2za2_484;obj_t BgL_clausez00_485;
if(
PAIRP(BgL_pragmaz00_481))
{ /* Module/pragma.scm 74 */
obj_t BgL_cdrzd2133zd2_490;
BgL_cdrzd2133zd2_490 = 
CDR(BgL_pragmaz00_481); 
if(
PAIRP(BgL_cdrzd2133zd2_490))
{ /* Module/pragma.scm 74 */
obj_t BgL_cdrzd2139zd2_492;
BgL_cdrzd2139zd2_492 = 
CDR(BgL_cdrzd2133zd2_490); 
if(
PAIRP(BgL_cdrzd2139zd2_492))
{ /* Module/pragma.scm 74 */
obj_t BgL_cdrzd2144zd2_494;
BgL_cdrzd2144zd2_494 = 
CDR(BgL_cdrzd2139zd2_492); 
if(
PAIRP(BgL_cdrzd2144zd2_494))
{ /* Module/pragma.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2144zd2_494), BNIL))
{ /* Module/pragma.scm 74 */
BgL_idz00_482 = 
CAR(BgL_pragmaz00_481); 
BgL_modulez00_483 = 
CAR(BgL_cdrzd2133zd2_490); 
BgL_propza2za2_484 = 
CAR(BgL_cdrzd2139zd2_492); 
BgL_clausez00_485 = 
CAR(BgL_cdrzd2144zd2_494); 
{ /* Module/pragma.scm 76 */
obj_t BgL_globalz00_503;
{ /* Module/pragma.scm 76 */
obj_t BgL_globalz00_514;
BgL_globalz00_514 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_482, BgL_modulez00_483); 
{ /* Module/pragma.scm 78 */
bool_t BgL_test1628z00_515;
BgL_test1628z00_515 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_514, BGl_globalz00zzast_varz00); 
if(BgL_test1628z00_515)
{ /* Module/pragma.scm 78 */
BgL_globalz00_503 = BgL_globalz00_514; }  else 
{ /* Module/pragma.scm 78 */
BgL_globalz00_503 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_482, 
CNST_TABLE_REF(((long)1))); } } } 
{ /* Module/pragma.scm 81 */
bool_t BgL_test1618z00_504;
BgL_test1618z00_504 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_503, BGl_globalz00zzast_varz00); 
if(BgL_test1618z00_504)
{ /* Module/pragma.scm 85 */
bool_t BgL_auxz00_1092;
BgL_auxz00_1092 = 
BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(BgL_globalz00_503, BgL_propza2za2_484, BgL_clausez00_485); 
BBOOL(BgL_auxz00_1092); }  else 
{ /* Module/pragma.scm 82 */
obj_t BgL_arg1621z00_507;
{ /* Module/pragma.scm 84 */
obj_t BgL_arg1625z00_511;obj_t BgL_arg1626z00_512;
BgL_arg1625z00_511 = 
CNST_TABLE_REF(((long)2)); 
{ /* Module/pragma.scm 84 */
obj_t BgL_arg1627z00_513;
BgL_arg1627z00_513 = 
MAKE_PAIR(BgL_modulez00_483, BNIL); 
BgL_arg1626z00_512 = 
MAKE_PAIR(BgL_idz00_482, BgL_arg1627z00_513); } 
BgL_arg1621z00_507 = 
MAKE_PAIR(BgL_arg1625z00_511, BgL_arg1626z00_512); } 
{ /* Module/pragma.scm 82 */
obj_t BgL_list1622z00_508;
{ /* Module/pragma.scm 82 */
obj_t BgL_arg1623z00_509;
{ /* Module/pragma.scm 82 */
obj_t BgL_arg1624z00_510;
BgL_arg1624z00_510 = 
MAKE_PAIR(BgL_arg1621z00_507, BNIL); 
BgL_arg1623z00_509 = 
MAKE_PAIR(BGl_string1698z00zzmodule_pragmaz00, BgL_arg1624z00_510); } 
BgL_list1622z00_508 = 
MAKE_PAIR(BGl_string1699z00zzmodule_pragmaz00, BgL_arg1623z00_509); } 
BGl_warningz00zz__errorz00(BgL_list1622z00_508); } } } } }  else 
{ /* Module/pragma.scm 74 */
BgL_tagzd2122zd2_487:
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1699z00zzmodule_pragmaz00, BGl_string1700z00zzmodule_pragmaz00, BgL_pragmaz00_481); } }  else 
{ /* Module/pragma.scm 74 */
goto BgL_tagzd2122zd2_487;} }  else 
{ /* Module/pragma.scm 74 */
goto BgL_tagzd2122zd2_487;} }  else 
{ /* Module/pragma.scm 74 */
goto BgL_tagzd2122zd2_487;} }  else 
{ /* Module/pragma.scm 74 */
goto BgL_tagzd2122zd2_487;} } } 
{ 
obj_t BgL_l1578z00_1108;
BgL_l1578z00_1108 = 
CDR(BgL_l1578z00_478); 
BgL_l1578z00_478 = BgL_l1578z00_1108; 
goto BgL_lname1579z00_479;} }  else 
{ /* Module/pragma.scm 73 */((bool_t)1); } } 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL; 
return 
CNST_TABLE_REF(((long)3));} 
}



/* _pragma-finalizer */
obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t BgL_envz00_972)
{ AN_OBJECT;
{ /* Module/pragma.scm 72 */
return 
BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();} 
}



/* set-pragma-properties! */
bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t BgL_globalz00_5, obj_t BgL_propza2za2_6, obj_t BgL_clausez00_7)
{ AN_OBJECT;
{ /* Module/pragma.scm 97 */
{ 
obj_t BgL_l1580z00_517;
BgL_l1580z00_517 = BgL_propza2za2_6; 
BgL_lname1581z00_518:
if(
PAIRP(BgL_l1580z00_517))
{ /* Module/pragma.scm 98 */
BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_5, 
CAR(BgL_l1580z00_517), BgL_clausez00_7); 
{ 
obj_t BgL_l1580z00_1116;
BgL_l1580z00_1116 = 
CDR(BgL_l1580z00_517); 
BgL_l1580z00_517 = BgL_l1580z00_1116; 
goto BgL_lname1581z00_518;} }  else 
{ /* Module/pragma.scm 98 */
return ((bool_t)1);} } } 
}



/* set-pragma-property! */
obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t BgL_globalz00_8, obj_t BgL_propz00_9, obj_t BgL_clausez00_10)
{ AN_OBJECT;
{ /* Module/pragma.scm 104 */
{ 
obj_t BgL_keyz00_523;obj_t BgL_valuez00_524;
if(
SYMBOLP(BgL_propz00_9))
{ /* Module/pragma.scm 105 */
{ /* Module/pragma.scm 107 */
bool_t BgL_testz00_1120;
{ /* Module/pragma.scm 107 */
obj_t BgL_auxz00_1121;
BgL_auxz00_1121 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_1120 = 
(BgL_propz00_9==BgL_auxz00_1121); } 
if(BgL_testz00_1120)
{ /* Module/pragma.scm 110 */
BgL_valuez00_bglt BgL_valuez00_541;
{ /* Module/pragma.scm 110 */
BgL_globalz00_bglt BgL_obj1178z00_768;
BgL_obj1178z00_768 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_valuez00_541 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_768))->BgL_valuez00); } 
{ /* Module/pragma.scm 111 */
bool_t BgL_test1641z00_542;
BgL_test1641z00_542 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_541), BGl_funz00zzast_varz00); 
if(BgL_test1641z00_542)
{ /* Module/pragma.scm 116 */
BgL_funz00_bglt BgL_obj1338z00_770;
BgL_obj1338z00_770 = 
(BgL_funz00_bglt)(BgL_valuez00_541); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1338z00_770))->BgL_sidezd2effectzf3z21) = ((obj_t)BFALSE), BUNSPEC);}  else 
{ /* Module/pragma.scm 112 */
obj_t BgL_list1642z00_543;
BgL_list1642z00_543 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1701z00zzmodule_pragmaz00, BGl_string1702z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1642z00_543);} } }  else 
{ /* Module/pragma.scm 107 */
bool_t BgL_testz00_1133;
{ /* Module/pragma.scm 107 */
obj_t BgL_auxz00_1134;
BgL_auxz00_1134 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_1133 = 
(BgL_propz00_9==BgL_auxz00_1134); } 
if(BgL_testz00_1133)
{ /* Module/pragma.scm 119 */
BgL_valuez00_bglt BgL_valuez00_545;
{ /* Module/pragma.scm 119 */
BgL_globalz00_bglt BgL_obj1178z00_772;
BgL_obj1178z00_772 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_valuez00_545 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_772))->BgL_valuez00); } 
{ /* Module/pragma.scm 120 */
bool_t BgL_test1644z00_546;
BgL_test1644z00_546 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_545), BGl_funz00zzast_varz00); 
if(BgL_test1644z00_546)
{ /* Module/pragma.scm 125 */
BgL_funz00_bglt BgL_obj1347z00_774;
BgL_obj1347z00_774 = 
(BgL_funz00_bglt)(BgL_valuez00_545); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1347z00_774))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC);}  else 
{ /* Module/pragma.scm 121 */
obj_t BgL_list1645z00_547;
BgL_list1645z00_547 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1701z00zzmodule_pragmaz00, BGl_string1702z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1645z00_547);} } }  else 
{ /* Module/pragma.scm 107 */
bool_t BgL_testz00_1146;
{ /* Module/pragma.scm 107 */
obj_t BgL_auxz00_1147;
BgL_auxz00_1147 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_1146 = 
(BgL_propz00_9==BgL_auxz00_1147); } 
if(BgL_testz00_1146)
{ /* Module/pragma.scm 129 */
BgL_valuez00_bglt BgL_valuez00_549;
{ /* Module/pragma.scm 129 */
BgL_globalz00_bglt BgL_obj1178z00_776;
BgL_obj1178z00_776 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_valuez00_549 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_776))->BgL_valuez00); } 
{ /* Module/pragma.scm 130 */
bool_t BgL_test1647z00_550;
BgL_test1647z00_550 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_549), BGl_sfunz00zzast_varz00); 
if(BgL_test1647z00_550)
{ /* Module/pragma.scm 136 */
obj_t BgL_arg1648z00_551;
{ /* Module/pragma.scm 135 */
obj_t BgL_auxz00_1155;
{ /* Module/pragma.scm 136 */
BgL_sfunz00_bglt BgL_obj1392z00_778;
BgL_obj1392z00_778 = 
(BgL_sfunz00_bglt)(BgL_valuez00_549); 
BgL_auxz00_1155 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1392z00_778))->BgL_propertyz00); } 
BgL_arg1648z00_551 = 
MAKE_PAIR(BgL_propz00_9, BgL_auxz00_1155); } 
{ /* Module/pragma.scm 135 */
BgL_sfunz00_bglt BgL_obj1394z00_779;
BgL_obj1394z00_779 = 
(BgL_sfunz00_bglt)(BgL_valuez00_549); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1394z00_779))->BgL_propertyz00) = ((obj_t)BgL_arg1648z00_551), BUNSPEC);} }  else 
{ /* Module/pragma.scm 131 */
obj_t BgL_list1650z00_553;
BgL_list1650z00_553 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1701z00zzmodule_pragmaz00, BGl_string1703z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1650z00_553);} } }  else 
{ /* Module/pragma.scm 107 */
bool_t BgL_testz00_1163;
{ /* Module/pragma.scm 107 */
obj_t BgL_auxz00_1164;
BgL_auxz00_1164 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_1163 = 
(BgL_propz00_9==BgL_auxz00_1164); } 
if(BgL_testz00_1163)
{ /* Module/pragma.scm 138 */
BgL_valuez00_bglt BgL_valuez00_555;
{ /* Module/pragma.scm 138 */
BgL_globalz00_bglt BgL_obj1178z00_781;
BgL_obj1178z00_781 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_valuez00_555 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_781))->BgL_valuez00); } 
{ /* Module/pragma.scm 139 */
bool_t BgL_test1652z00_556;
BgL_test1652z00_556 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_555), BGl_sfunz00zzast_varz00); 
if(BgL_test1652z00_556)
{ /* Module/pragma.scm 145 */
obj_t BgL_arg1653z00_557;
{ /* Module/pragma.scm 144 */
obj_t BgL_auxz00_1172;
{ /* Module/pragma.scm 145 */
BgL_sfunz00_bglt BgL_obj1392z00_783;
BgL_obj1392z00_783 = 
(BgL_sfunz00_bglt)(BgL_valuez00_555); 
BgL_auxz00_1172 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1392z00_783))->BgL_propertyz00); } 
BgL_arg1653z00_557 = 
MAKE_PAIR(BgL_propz00_9, BgL_auxz00_1172); } 
{ /* Module/pragma.scm 144 */
BgL_sfunz00_bglt BgL_obj1394z00_784;
BgL_obj1394z00_784 = 
(BgL_sfunz00_bglt)(BgL_valuez00_555); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1394z00_784))->BgL_propertyz00) = ((obj_t)BgL_arg1653z00_557), BUNSPEC);} }  else 
{ /* Module/pragma.scm 140 */
obj_t BgL_list1655z00_559;
BgL_list1655z00_559 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1701z00zzmodule_pragmaz00, BGl_string1703z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1655z00_559);} } }  else 
{ /* Module/pragma.scm 107 */
bool_t BgL_testz00_1180;
{ /* Module/pragma.scm 107 */
obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_1180 = 
(BgL_propz00_9==BgL_auxz00_1181); } 
if(BgL_testz00_1180)
{ /* Module/pragma.scm 148 */
bool_t BgL_test1657z00_562;
{ /* Module/pragma.scm 148 */
obj_t BgL_auxz00_1184;
{ /* Module/pragma.scm 148 */
BgL_valuez00_bglt BgL_auxz00_1185;
{ /* Module/pragma.scm 147 */
BgL_globalz00_bglt BgL_obj1178z00_786;
BgL_obj1178z00_786 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_auxz00_1185 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_786))->BgL_valuez00); } 
BgL_auxz00_1184 = 
(obj_t)(BgL_auxz00_1185); } 
BgL_test1657z00_562 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1184, BGl_cfunz00zzast_varz00); } 
if(BgL_test1657z00_562)
{ /* Module/pragma.scm 150 */
obj_t BgL_arg1658z00_563;
{ /* Module/pragma.scm 150 */
obj_t BgL_auxz00_1193;obj_t BgL_auxz00_1191;
{ /* Module/pragma.scm 151 */
BgL_globalz00_bglt BgL_obj1208z00_788;
BgL_obj1208z00_788 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_auxz00_1193 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1208z00_788))->BgL_pragmaz00); } 
BgL_auxz00_1191 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg1658z00_563 = 
MAKE_PAIR(BgL_auxz00_1191, BgL_auxz00_1193); } 
{ /* Module/pragma.scm 149 */
BgL_globalz00_bglt BgL_obj1210z00_789;
BgL_obj1210z00_789 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1210z00_789))->BgL_pragmaz00) = ((obj_t)BgL_arg1658z00_563), BUNSPEC);} }  else 
{ /* Module/pragma.scm 148 */
return BFALSE;} }  else 
{ /* Module/pragma.scm 153 */
obj_t BgL_list1663z00_566;
BgL_list1663z00_566 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1696z00zzmodule_pragmaz00, BGl_string1704z00zzmodule_pragmaz00, BgL_clausez00_10, BgL_list1663z00_566);} } } } } } }  else 
{ /* Module/pragma.scm 105 */
if(
PAIRP(BgL_propz00_9))
{ /* Module/pragma.scm 105 */
obj_t BgL_carzd2160zd2_530;obj_t BgL_cdrzd2161zd2_531;
BgL_carzd2160zd2_530 = 
CAR(BgL_propz00_9); 
BgL_cdrzd2161zd2_531 = 
CDR(BgL_propz00_9); 
if(
SYMBOLP(BgL_carzd2160zd2_530))
{ /* Module/pragma.scm 105 */
if(
PAIRP(BgL_cdrzd2161zd2_531))
{ /* Module/pragma.scm 105 */
obj_t BgL_carzd2166zd2_534;
BgL_carzd2166zd2_534 = 
CAR(BgL_cdrzd2161zd2_531); 
if(
SYMBOLP(BgL_carzd2166zd2_534))
{ /* Module/pragma.scm 105 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2161zd2_531), BNIL))
{ /* Module/pragma.scm 105 */
BgL_keyz00_523 = BgL_carzd2160zd2_530; 
BgL_valuez00_524 = BgL_carzd2166zd2_534; 
{ /* Module/pragma.scm 155 */
bool_t BgL_testz00_1215;
{ /* Module/pragma.scm 155 */
obj_t BgL_auxz00_1216;
BgL_auxz00_1216 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_1215 = 
(BgL_keyz00_523==BgL_auxz00_1216); } 
if(BgL_testz00_1215)
{ /* Module/pragma.scm 158 */
BgL_typez00_bglt BgL_typez00_569;BgL_valuez00_bglt BgL_valuez00_570;
{ /* Module/pragma.scm 158 */
obj_t BgL_arg1667z00_573;
BgL_arg1667z00_573 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_propz00_9); 
BgL_typez00_569 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_valuez00_524, BgL_arg1667z00_573); } 
{ /* Module/pragma.scm 159 */
BgL_globalz00_bglt BgL_obj1178z00_791;
BgL_obj1178z00_791 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_valuez00_570 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_791))->BgL_valuez00); } 
{ /* Module/pragma.scm 160 */
bool_t BgL_test1665z00_571;
BgL_test1665z00_571 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_570), BGl_funz00zzast_varz00); 
if(BgL_test1665z00_571)
{ /* Module/pragma.scm 160 */
{ /* Module/pragma.scm 166 */
BgL_funz00_bglt BgL_obj1341z00_793;obj_t BgL_val1340z00_794;
BgL_obj1341z00_793 = 
(BgL_funz00_bglt)(BgL_valuez00_570); 
BgL_val1340z00_794 = 
(obj_t)(BgL_typez00_569); 
((((BgL_funz00_bglt)CREF(BgL_obj1341z00_793))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_val1340z00_794), BUNSPEC); } 
BGl_removezd2varzd2fromz12z12zzast_removez00(
CNST_TABLE_REF(((long)10)), 
(BgL_variablez00_bglt)(BgL_globalz00_8)); 
{ /* Module/pragma.scm 172 */
BgL_funz00_bglt BgL_obj1338z00_795;
BgL_obj1338z00_795 = 
(BgL_funz00_bglt)(BgL_valuez00_570); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1338z00_795))->BgL_sidezd2effectzf3z21) = ((obj_t)BFALSE), BUNSPEC);} }  else 
{ /* Module/pragma.scm 161 */
obj_t BgL_list1666z00_572;
BgL_list1666z00_572 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1701z00zzmodule_pragmaz00, BGl_string1705z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1666z00_572);} } }  else 
{ /* Module/pragma.scm 174 */
obj_t BgL_list1668z00_574;
BgL_list1668z00_574 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1696z00zzmodule_pragmaz00, BGl_string1704z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1668z00_574);} } }  else 
{ /* Module/pragma.scm 105 */
BgL_tagzd2152zd2_526:
{ /* Module/pragma.scm 176 */
obj_t BgL_arg1671z00_577;
if(
PAIRP(BgL_propz00_9))
{ /* Module/pragma.scm 178 */
BgL_arg1671z00_577 = BgL_propz00_9; }  else 
{ /* Module/pragma.scm 178 */
BgL_arg1671z00_577 = BgL_clausez00_10; } 
{ /* Module/pragma.scm 176 */
obj_t BgL_list1673z00_579;
BgL_list1673z00_579 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1696z00zzmodule_pragmaz00, BGl_string1704z00zzmodule_pragmaz00, BgL_arg1671z00_577, BgL_list1673z00_579);} } } }  else 
{ /* Module/pragma.scm 105 */
goto BgL_tagzd2152zd2_526;} }  else 
{ /* Module/pragma.scm 105 */
goto BgL_tagzd2152zd2_526;} }  else 
{ /* Module/pragma.scm 105 */
goto BgL_tagzd2152zd2_526;} }  else 
{ /* Module/pragma.scm 105 */
goto BgL_tagzd2152zd2_526;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* Module/pragma.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)14829), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "module_pragma"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "module_pragma");} 
}

