/*===========================================================================*/
/*   (Module/statexp.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl_methodzd2initzd2zzmodule_statexpz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zzmodule_statexpz00();
static obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
extern obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t, obj_t);
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31788ze3z83zzmodule_statexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31789ze3z83zzmodule_statexpz00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
extern obj_t BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
static obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t);
static obj_t BGl_zc3anonymousza31826ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl_zc3anonymousza31831ze3z83zzmodule_statexpz00(obj_t);
extern obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_zc3anonymousza31836ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = BUNSPEC;
extern obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
static obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t);
static obj_t BGl_zc3anonymousza31841ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t __cnst[ 9 ] ;

DEFINE_STATIC_PROCEDURE( BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00, BgL_bgl__statexpza7d2finaliza7a7erza775za7za7module_statexpza7001899z00, BGl__statexpzd2finaliza7erz75zzmodule_statexpz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2exportzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2exportza7d2compilerza700za7za7module_statexpza7001900z00, BGl__makezd2exportzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STRING( BGl_string1894z00zzmodule_statexpz00, BgL_bgl_string1894za700za7za7module_statexpza7001901z00, "wide-class final-class abstract-class class svar (sfun sifun sgfun) export void static ", 87 );
DEFINE_STRING( BGl_string1893z00zzmodule_statexpz00, BgL_bgl_string1893za700za7za7module_statexpza7001902z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string1892z00zzmodule_statexpz00, BgL_bgl_string1892za700za7za7module_statexpza7001903z00, "Illegal `export' clause", 23 );
DEFINE_STRING( BGl_string1891z00zzmodule_statexpz00, BgL_bgl_string1891za700za7za7module_statexpza7001904z00, "Parse error", 11 );
DEFINE_STRING( BGl_string1890z00zzmodule_statexpz00, BgL_bgl_string1890za700za7za7module_statexpza7001905z00, "' clause", 8 );
DEFINE_STRING( BGl_string1889z00zzmodule_statexpz00, BgL_bgl_string1889za700za7za7module_statexpza7001906z00, "Illegal `", 9 );
DEFINE_STATIC_PROCEDURE( BGl_exportzd2consumerzd2envz00zzmodule_statexpz00, BgL_bgl__exportza7d2consumerza7d2za7za7module_statexpza7001907za7, BGl__exportzd2consumerzd2zzmodule_statexpz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1887z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31789za7e3za783za7za7module_statexpza7001908za7, BGl_zc3anonymousza31789ze3z83zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1888z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31788za7e3za783za7za7module_statexpza7001909za7, BGl_zc3anonymousza31788ze3z83zzmodule_statexpz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2staticzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2staticza7d2compilerza700za7za7module_statexpza7001910z00, BGl__makezd2staticzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_statexpzd2producerzd2envz00zzmodule_statexpz00, BgL_bgl__statexpza7d2producerza7d2za7za7module_statexpza7001911za7, BGl__statexpzd2producerzd2zzmodule_statexpz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long BgL_checksumz00_1266, char * BgL_fromz00_1267)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_statexpz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_cnstzd2initzd2zzmodule_statexpz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_toplevelzd2initzd2zzmodule_statexpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_statexp"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 15 */
{ /* Module/statexp.scm 15 */
obj_t BgL_cportz00_1259;
BgL_cportz00_1259 = 
open_input_string(BGl_string1894z00zzmodule_statexpz00); 
{ 
long BgL_iz00_1260;
BgL_iz00_1260 = ((long)8); 
BgL_loopz00_1261:
if(
(BgL_iz00_1260==((long)-1)))
{ /* Module/statexp.scm 15 */
return BUNSPEC;}  else 
{ /* Module/statexp.scm 15 */
{ /* Module/statexp.scm 15 */
obj_t BgL_arg1896z00_1263;
{ /* Module/statexp.scm 15 */
obj_t BgL_list1897z00_1264;
BgL_list1897z00_1264 = 
MAKE_PAIR(BgL_cportz00_1259, BNIL); 
BgL_arg1896z00_1263 = 
BGl_readz00zz__readerz00(BgL_list1897z00_1264); } 
{ /* Module/statexp.scm 15 */
int BgL_auxz00_1285;
BgL_auxz00_1285 = 
(int)(BgL_iz00_1260); 
CNST_TABLE_SET(BgL_auxz00_1285, BgL_arg1896z00_1263); } } 
{ 
long BgL_iz00_1288;
{ /* Module/statexp.scm 15 */
int BgL_auxz00_1289;
{ /* Module/statexp.scm 15 */
long BgL_auxz00_1290;
BgL_auxz00_1290 = 
(BgL_iz00_1260-((long)1)); 
BgL_auxz00_1289 = 
(int)(BgL_auxz00_1290); } 
BgL_iz00_1288 = 
(long)(BgL_auxz00_1289); } 
BgL_iz00_1260 = BgL_iz00_1288; 
goto BgL_loopz00_1261;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 15 */
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL, BUNSPEC) ;} 
}



/* make-static-compiler */
obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 35 */
{ /* Module/statexp.scm 36 */
obj_t BgL_arg1784z00_636;obj_t BgL_arg1785z00_637;
BgL_arg1784z00_636 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1785z00_637 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
{ /* Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res1877z00_913;
{ /* Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_new1020z00_898;
{ /* Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res1875z00_904;
{ /* Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_new1022z00_899;
BgL_new1022z00_899 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/statexp.scm 36 */
long BgL_arg1873z00_900;
BgL_arg1873z00_900 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/statexp.scm 36 */
BgL_objectz00_bglt BgL_auxz00_1297;
BgL_auxz00_1297 = 
(BgL_objectz00_bglt)(BgL_new1022z00_899); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1297, BgL_arg1873z00_900); } } 
{ /* Module/statexp.scm 36 */
BgL_objectz00_bglt BgL_auxz00_1300;
BgL_auxz00_1300 = 
(BgL_objectz00_bglt)(BgL_new1022z00_899); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1300, BFALSE); } 
{ /* Module/statexp.scm 36 */
obj_t BgL_auxz00_1303;
BgL_auxz00_1303 = 
(obj_t)(BgL_new1022z00_899); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1303); } BUNSPEC; 
BgL_res1875z00_904 = BgL_new1022z00_899; } 
BgL_new1020z00_898 = BgL_res1875z00_904; } 
{ /* Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res1876z00_912;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_898))->BgL_idz00) = ((obj_t)BgL_arg1784z00_636), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_898))->BgL_producerz00) = ((obj_t)BgL_arg1785z00_637), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_898))->BgL_consumerz00) = ((obj_t)BGl_proc1888z00zzmodule_statexpz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_898))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1887z00zzmodule_statexpz00), BUNSPEC); 
BgL_res1876z00_912 = BgL_new1020z00_898; BgL_res1876z00_912; } 
BgL_res1877z00_913 = BgL_new1020z00_898; } 
return 
(obj_t)(BgL_res1877z00_913);} } } 
}



/* _make-static-compiler */
obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_1226)
{ AN_OBJECT;
{ /* Module/statexp.scm 35 */
return 
BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();} 
}



/* <anonymous:1789> */
obj_t BGl_zc3anonymousza31789ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1227)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1788> */
obj_t BGl_zc3anonymousza31788ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1228, obj_t BgL_mz00_1229, obj_t BgL_cz00_1230)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_640;obj_t BgL_cz00_641;
BgL_mz00_640 = BgL_mz00_1229; 
BgL_cz00_641 = BgL_cz00_1230; 
return BNIL;} } 
}



/* make-export-compiler */
obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 42 */
{ /* Module/statexp.scm 43 */
obj_t BgL_arg1790z00_646;obj_t BgL_arg1791z00_647;obj_t BgL_arg1792z00_648;obj_t BgL_arg1793z00_649;
BgL_arg1790z00_646 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1791z00_647 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
BgL_arg1792z00_648 = BGl_exportzd2consumerzd2envz00zzmodule_statexpz00; 
BgL_arg1793z00_649 = BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00; 
{ /* Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res1880z00_935;
{ /* Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_new1020z00_918;
{ /* Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res1878z00_924;
{ /* Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_new1022z00_919;
BgL_new1022z00_919 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/statexp.scm 43 */
long BgL_arg1873z00_920;
BgL_arg1873z00_920 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/statexp.scm 43 */
BgL_objectz00_bglt BgL_auxz00_1316;
BgL_auxz00_1316 = 
(BgL_objectz00_bglt)(BgL_new1022z00_919); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1316, BgL_arg1873z00_920); } } 
{ /* Module/statexp.scm 43 */
BgL_objectz00_bglt BgL_auxz00_1319;
BgL_auxz00_1319 = 
(BgL_objectz00_bglt)(BgL_new1022z00_919); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1319, BFALSE); } 
{ /* Module/statexp.scm 43 */
obj_t BgL_auxz00_1322;
BgL_auxz00_1322 = 
(obj_t)(BgL_new1022z00_919); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1322); } BUNSPEC; 
BgL_res1878z00_924 = BgL_new1022z00_919; } 
BgL_new1020z00_918 = BgL_res1878z00_924; } 
{ /* Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res1879z00_934;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_918))->BgL_idz00) = ((obj_t)BgL_arg1790z00_646), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_918))->BgL_producerz00) = ((obj_t)BgL_arg1791z00_647), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_918))->BgL_consumerz00) = ((obj_t)BgL_arg1792z00_648), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_918))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1793z00_649), BUNSPEC); 
BgL_res1879z00_934 = BgL_new1020z00_918; BgL_res1879z00_934; } 
BgL_res1880z00_935 = BgL_new1020z00_918; } 
return 
(obj_t)(BgL_res1880z00_935);} } } 
}



/* _make-export-compiler */
obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_1233)
{ AN_OBJECT;
{ /* Module/statexp.scm 42 */
return 
BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();} 
}



/* statexp-producer */
obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* Module/statexp.scm 51 */
{ /* Module/statexp.scm 52 */
obj_t BgL_modez00_650;
BgL_modez00_650 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_651;
if(
PAIRP(BgL_clausez00_19))
{ /* Module/statexp.scm 53 */
BgL_protosz00_651 = 
CDR(BgL_clausez00_19); 
{ 
obj_t BgL_l1770z00_657;
BgL_l1770z00_657 = BgL_protosz00_651; 
BgL_lname1771z00_658:
if(
PAIRP(BgL_l1770z00_657))
{ /* Module/statexp.scm 55 */
BGl_statexpzd2parserzd2zzmodule_statexpz00(
CAR(BgL_l1770z00_657), BgL_modez00_650); 
{ 
obj_t BgL_l1770z00_1338;
BgL_l1770z00_1338 = 
CDR(BgL_l1770z00_657); 
BgL_l1770z00_657 = BgL_l1770z00_1338; 
goto BgL_lname1771z00_658;} }  else 
{ /* Module/statexp.scm 55 */((bool_t)1); } } 
return BNIL;}  else 
{ /* Module/statexp.scm 53 */
{ /* Module/statexp.scm 58 */
obj_t BgL_arg1798z00_662;obj_t BgL_arg1800z00_664;
BgL_arg1798z00_662 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/statexp.scm 60 */
obj_t BgL_arg1804z00_668;
{ /* Module/statexp.scm 62 */
obj_t BgL_arg1806z00_670;
BgL_arg1806z00_670 = 
SYMBOL_TO_STRING(BgL_modez00_650); 
BgL_arg1804z00_668 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1806z00_670); } 
BgL_arg1800z00_664 = 
string_append_3(BGl_string1889z00zzmodule_statexpz00, BgL_arg1804z00_668, BGl_string1890z00zzmodule_statexpz00); } 
{ /* Module/statexp.scm 58 */
obj_t BgL_list1802z00_666;
BgL_list1802z00_666 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1798z00_662, BGl_string1891z00zzmodule_statexpz00, BgL_arg1800z00_664, BgL_clausez00_19, BgL_list1802z00_666);} } } } } } 
}



/* _statexp-producer */
obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_envz00_1231, obj_t BgL_clausez00_1232)
{ AN_OBJECT;
{ /* Module/statexp.scm 51 */
return 
BGl_statexpzd2producerzd2zzmodule_statexpz00(BgL_clausez00_1232);} 
}



/* export-consumer */
obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_modulez00_20, obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* Module/statexp.scm 70 */
{ 

if(
PAIRP(BgL_clausez00_21))
{ /* Module/statexp.scm 71 */
return 
CDR(BgL_clausez00_21);}  else 
{ /* Module/statexp.scm 71 */
{ /* Module/statexp.scm 75 */
obj_t BgL_arg1809z00_677;
BgL_arg1809z00_677 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/statexp.scm 75 */
obj_t BgL_list1813z00_681;
BgL_list1813z00_681 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1809z00_677, BGl_string1891z00zzmodule_statexpz00, BGl_string1892z00zzmodule_statexpz00, BgL_clausez00_21, BgL_list1813z00_681);} } } } } 
}



/* _export-consumer */
obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_envz00_1234, obj_t BgL_modulez00_1235, obj_t BgL_clausez00_1236)
{ AN_OBJECT;
{ /* Module/statexp.scm 70 */
return 
BGl_exportzd2consumerzd2zzmodule_statexpz00(BgL_modulez00_1235, BgL_clausez00_1236);} 
}



/* statexp-parser */
obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t BgL_prototypez00_22, obj_t BgL_importz00_23)
{ AN_OBJECT;
{ /* Module/statexp.scm 84 */
{ /* Module/statexp.scm 85 */
obj_t BgL_protoz00_682;
BgL_protoz00_682 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_22); 
if(
PAIRP(BgL_protoz00_682))
{ /* Module/statexp.scm 92 */
obj_t BgL_casezd2valuezd2_684;
BgL_casezd2valuezd2_684 = 
CAR(BgL_protoz00_682); 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1359;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1360;
BgL_auxz00_1360 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_684, 
CNST_TABLE_REF(((long)3))); 
BgL_testz00_1359 = 
CBOOL(BgL_auxz00_1360); } 
if(BgL_testz00_1359)
{ /* Module/statexp.scm 94 */
BgL_globalz00_bglt BgL_arg1816z00_686;
{ /* Module/statexp.scm 94 */
obj_t BgL_auxz00_1368;obj_t BgL_auxz00_1364;
{ /* Module/statexp.scm 95 */
obj_t BgL_auxz00_1369;
{ /* Module/statexp.scm 95 */
obj_t BgL_auxz00_1370;
BgL_auxz00_1370 = 
CDR(BgL_protoz00_682); 
BgL_auxz00_1369 = 
CDR(BgL_auxz00_1370); } 
BgL_auxz00_1368 = 
CAR(BgL_auxz00_1369); } 
{ /* Module/statexp.scm 94 */
obj_t BgL_auxz00_1365;
BgL_auxz00_1365 = 
CDR(BgL_protoz00_682); 
BgL_auxz00_1364 = 
CAR(BgL_auxz00_1365); } 
BgL_arg1816z00_686 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_auxz00_1364, BgL_auxz00_1368, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_casezd2valuezd2_684, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1816z00_686);}  else 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1376;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1377;
BgL_auxz00_1377 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_1376 = 
(BgL_casezd2valuezd2_684==BgL_auxz00_1377); } 
if(BgL_testz00_1376)
{ /* Module/statexp.scm 102 */
BgL_globalz00_bglt BgL_arg1821z00_691;
{ /* Module/statexp.scm 102 */
obj_t BgL_auxz00_1380;
{ /* Module/statexp.scm 102 */
obj_t BgL_auxz00_1381;
BgL_auxz00_1381 = 
CDR(BgL_protoz00_682); 
BgL_auxz00_1380 = 
CAR(BgL_auxz00_1381); } 
BgL_arg1821z00_691 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_auxz00_1380, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1821z00_691);}  else 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1386;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1387;
BgL_auxz00_1387 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_1386 = 
(BgL_casezd2valuezd2_684==BgL_auxz00_1387); } 
if(BgL_testz00_1386)
{ /* Module/statexp.scm 108 */
obj_t BgL_arg1824z00_694;
{ /* Module/statexp.scm 108 */
obj_t BgL_zc3anonymousza31826ze3z83_1238;
{ 
int BgL_auxz00_1392;int BgL_auxz00_1390;
BgL_auxz00_1392 = 
(int)(((long)3)); 
BgL_auxz00_1390 = 
(int)(((long)0)); 
BgL_zc3anonymousza31826ze3z83_1238 = 
make_fx_procedure(BGl_zc3anonymousza31826ze3z83zzmodule_statexpz00, BgL_auxz00_1390, BgL_auxz00_1392); } 
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1395;
BgL_auxz00_1395 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31826ze3z83_1238, BgL_auxz00_1395, BgL_protoz00_682); } 
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1398;
BgL_auxz00_1398 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31826ze3z83_1238, BgL_auxz00_1398, BgL_importz00_23); } 
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1401;
BgL_auxz00_1401 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31826ze3z83_1238, BgL_auxz00_1401, BgL_prototypez00_22); } 
BgL_arg1824z00_694 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31826ze3z83_1238); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1824z00_694, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1406;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_1406 = 
(BgL_casezd2valuezd2_684==BgL_auxz00_1407); } 
if(BgL_testz00_1406)
{ /* Module/statexp.scm 116 */
obj_t BgL_arg1829z00_700;
{ /* Module/statexp.scm 116 */
obj_t BgL_zc3anonymousza31831ze3z83_1239;
{ 
int BgL_auxz00_1412;int BgL_auxz00_1410;
BgL_auxz00_1412 = 
(int)(((long)3)); 
BgL_auxz00_1410 = 
(int)(((long)0)); 
BgL_zc3anonymousza31831ze3z83_1239 = 
make_fx_procedure(BGl_zc3anonymousza31831ze3z83zzmodule_statexpz00, BgL_auxz00_1410, BgL_auxz00_1412); } 
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1415;
BgL_auxz00_1415 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31831ze3z83_1239, BgL_auxz00_1415, BgL_protoz00_682); } 
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1418;
BgL_auxz00_1418 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31831ze3z83_1239, BgL_auxz00_1418, BgL_importz00_23); } 
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1421;
BgL_auxz00_1421 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31831ze3z83_1239, BgL_auxz00_1421, BgL_prototypez00_22); } 
BgL_arg1829z00_700 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31831ze3z83_1239); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1829z00_700, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1426;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1427;
BgL_auxz00_1427 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_1426 = 
(BgL_casezd2valuezd2_684==BgL_auxz00_1427); } 
if(BgL_testz00_1426)
{ /* Module/statexp.scm 124 */
obj_t BgL_arg1834z00_706;
{ /* Module/statexp.scm 124 */
obj_t BgL_zc3anonymousza31836ze3z83_1240;
{ 
int BgL_auxz00_1432;int BgL_auxz00_1430;
BgL_auxz00_1432 = 
(int)(((long)3)); 
BgL_auxz00_1430 = 
(int)(((long)0)); 
BgL_zc3anonymousza31836ze3z83_1240 = 
make_fx_procedure(BGl_zc3anonymousza31836ze3z83zzmodule_statexpz00, BgL_auxz00_1430, BgL_auxz00_1432); } 
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1435;
BgL_auxz00_1435 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31836ze3z83_1240, BgL_auxz00_1435, BgL_protoz00_682); } 
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1438;
BgL_auxz00_1438 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31836ze3z83_1240, BgL_auxz00_1438, BgL_importz00_23); } 
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1441;
BgL_auxz00_1441 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31836ze3z83_1240, BgL_auxz00_1441, BgL_prototypez00_22); } 
BgL_arg1834z00_706 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31836ze3z83_1240); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1834z00_706, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* Module/statexp.scm 92 */
bool_t BgL_testz00_1446;
{ /* Module/statexp.scm 92 */
obj_t BgL_auxz00_1447;
BgL_auxz00_1447 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_1446 = 
(BgL_casezd2valuezd2_684==BgL_auxz00_1447); } 
if(BgL_testz00_1446)
{ /* Module/statexp.scm 132 */
obj_t BgL_arg1839z00_712;
{ /* Module/statexp.scm 132 */
obj_t BgL_zc3anonymousza31841ze3z83_1241;
{ 
int BgL_auxz00_1452;int BgL_auxz00_1450;
BgL_auxz00_1452 = 
(int)(((long)3)); 
BgL_auxz00_1450 = 
(int)(((long)0)); 
BgL_zc3anonymousza31841ze3z83_1241 = 
make_fx_procedure(BGl_zc3anonymousza31841ze3z83zzmodule_statexpz00, BgL_auxz00_1450, BgL_auxz00_1452); } 
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1455;
BgL_auxz00_1455 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_1241, BgL_auxz00_1455, BgL_protoz00_682); } 
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1458;
BgL_auxz00_1458 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_1241, BgL_auxz00_1458, BgL_importz00_23); } 
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1461;
BgL_auxz00_1461 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_1241, BgL_auxz00_1461, BgL_prototypez00_22); } 
BgL_arg1839z00_712 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31841ze3z83_1241); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1839z00_712, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* Module/statexp.scm 138 */
obj_t BgL_list1843z00_717;
BgL_list1843z00_717 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1891z00zzmodule_statexpz00, BGl_string1893z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list1843z00_717);} } } } } } } }  else 
{ /* Module/statexp.scm 87 */
obj_t BgL_arg1844z00_718;
BgL_arg1844z00_718 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/statexp.scm 87 */
obj_t BgL_list1848z00_722;
BgL_list1848z00_722 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1844z00_718, BGl_string1891z00zzmodule_statexpz00, BGl_string1893z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list1848z00_722);} } } } 
}



/* <anonymous:1826> */
obj_t BGl_zc3anonymousza31826ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1242)
{ AN_OBJECT;
{ /* Module/statexp.scm 108 */
{ /* Module/statexp.scm 108 */
obj_t BgL_protoz00_1243;obj_t BgL_importz00_1244;obj_t BgL_prototypez00_1245;
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1471;
BgL_auxz00_1471 = 
(int)(((long)0)); 
BgL_protoz00_1243 = 
PROCEDURE_REF(BgL_envz00_1242, BgL_auxz00_1471); } 
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1474;
BgL_auxz00_1474 = 
(int)(((long)1)); 
BgL_importz00_1244 = 
PROCEDURE_REF(BgL_envz00_1242, BgL_auxz00_1474); } 
{ /* Module/statexp.scm 108 */
int BgL_auxz00_1477;
BgL_auxz00_1477 = 
(int)(((long)2)); 
BgL_prototypez00_1245 = 
PROCEDURE_REF(BgL_envz00_1242, BgL_auxz00_1477); } 
{ 

return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1243), BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1244, ((bool_t)0), ((bool_t)0), BgL_prototypez00_1245, BFALSE);} } } 
}



/* <anonymous:1831> */
obj_t BGl_zc3anonymousza31831ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1246)
{ AN_OBJECT;
{ /* Module/statexp.scm 116 */
{ /* Module/statexp.scm 116 */
obj_t BgL_protoz00_1247;obj_t BgL_importz00_1248;obj_t BgL_prototypez00_1249;
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1482;
BgL_auxz00_1482 = 
(int)(((long)0)); 
BgL_protoz00_1247 = 
PROCEDURE_REF(BgL_envz00_1246, BgL_auxz00_1482); } 
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1485;
BgL_auxz00_1485 = 
(int)(((long)1)); 
BgL_importz00_1248 = 
PROCEDURE_REF(BgL_envz00_1246, BgL_auxz00_1485); } 
{ /* Module/statexp.scm 116 */
int BgL_auxz00_1488;
BgL_auxz00_1488 = 
(int)(((long)2)); 
BgL_prototypez00_1249 = 
PROCEDURE_REF(BgL_envz00_1246, BgL_auxz00_1488); } 
{ 

return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1247), BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1248, ((bool_t)0), ((bool_t)1), BgL_prototypez00_1249, BFALSE);} } } 
}



/* <anonymous:1836> */
obj_t BGl_zc3anonymousza31836ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1250)
{ AN_OBJECT;
{ /* Module/statexp.scm 124 */
{ /* Module/statexp.scm 124 */
obj_t BgL_protoz00_1251;obj_t BgL_importz00_1252;obj_t BgL_prototypez00_1253;
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1493;
BgL_auxz00_1493 = 
(int)(((long)0)); 
BgL_protoz00_1251 = 
PROCEDURE_REF(BgL_envz00_1250, BgL_auxz00_1493); } 
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1496;
BgL_auxz00_1496 = 
(int)(((long)1)); 
BgL_importz00_1252 = 
PROCEDURE_REF(BgL_envz00_1250, BgL_auxz00_1496); } 
{ /* Module/statexp.scm 124 */
int BgL_auxz00_1499;
BgL_auxz00_1499 = 
(int)(((long)2)); 
BgL_prototypez00_1253 = 
PROCEDURE_REF(BgL_envz00_1250, BgL_auxz00_1499); } 
{ 

return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1251), BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1252, ((bool_t)1), ((bool_t)0), BgL_prototypez00_1253, BFALSE);} } } 
}



/* <anonymous:1841> */
obj_t BGl_zc3anonymousza31841ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1254)
{ AN_OBJECT;
{ /* Module/statexp.scm 132 */
{ /* Module/statexp.scm 132 */
obj_t BgL_protoz00_1255;obj_t BgL_importz00_1256;obj_t BgL_prototypez00_1257;
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1504;
BgL_auxz00_1504 = 
(int)(((long)0)); 
BgL_protoz00_1255 = 
PROCEDURE_REF(BgL_envz00_1254, BgL_auxz00_1504); } 
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1507;
BgL_auxz00_1507 = 
(int)(((long)1)); 
BgL_importz00_1256 = 
PROCEDURE_REF(BgL_envz00_1254, BgL_auxz00_1507); } 
{ /* Module/statexp.scm 132 */
int BgL_auxz00_1510;
BgL_auxz00_1510 = 
(int)(((long)2)); 
BgL_prototypez00_1257 = 
PROCEDURE_REF(BgL_envz00_1254, BgL_auxz00_1510); } 
{ 

return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(
CDR(BgL_protoz00_1255), BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1256, BgL_prototypez00_1257, BFALSE);} } } 
}



/* statexp-finalizer */
obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 160 */
{ 
obj_t BgL_l1772z00_723;
{ /* Module/statexp.scm 162 */
obj_t BgL_arg1849z00_725;
BgL_arg1849z00_725 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2localzd2classesza2zd2zzmodule_statexpz00); 
BgL_l1772z00_723 = BgL_arg1849z00_725; 
BgL_lname1773z00_724:
if(
PAIRP(BgL_l1772z00_723))
{ /* Module/statexp.scm 162 */
{ /* Module/statexp.scm 162 */
obj_t BgL_arg1851z00_727;
BgL_arg1851z00_727 = 
CAR(BgL_l1772z00_723); 
PROCEDURE_ENTRY(BgL_arg1851z00_727)(BgL_arg1851z00_727, BEOA); } 
{ 
obj_t BgL_l1772z00_1521;
BgL_l1772z00_1521 = 
CDR(BgL_l1772z00_723); 
BgL_l1772z00_723 = BgL_l1772z00_1521; 
goto BgL_lname1773z00_724;} }  else 
{ /* Module/statexp.scm 162 */((bool_t)1); } } } 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL; 
{ /* Module/statexp.scm 165 */
obj_t BgL_classesz00_729;
BgL_classesz00_729 = 
BGl_classzd2finaliza7erz75zzmodule_classz00(); 
if(
PAIRP(BgL_classesz00_729))
{ /* Module/statexp.scm 166 */
return BgL_classesz00_729;}  else 
{ /* Module/statexp.scm 166 */
return 
CNST_TABLE_REF(((long)1));} } } 
}



/* _statexp-finalizer */
obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t BgL_envz00_1237)
{ AN_OBJECT;
{ /* Module/statexp.scm 160 */
return 
BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)8859), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)63226), "module_statexp"); 
return 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "module_statexp");} 
}

