/*===========================================================================*/
/*   (Object/coercion.scm)                                                   */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_coercionz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_coercionz00();
extern obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
static obj_t BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
static obj_t BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t, obj_t);
extern obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t, obj_t);
extern obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
static obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t, obj_t);
static obj_t BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t);
extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
static obj_t BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_coercionz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
static obj_t __cnst[ 15 ] ;

DEFINE_STRING( BGl_string2085z00zzobject_coercionz00, BgL_bgl_string2085za700za7za7object_coercionza7002090z00, "macro no-cfa-top side-effect-free pragma -> foreign cast x x::char lambda bool obj type coerce jvm ", 99 );
DEFINE_STRING( BGl_string2084z00zzobject_coercionz00, BgL_bgl_string2084za700za7za7object_coercionza7002091z00, ")", 1 );
DEFINE_STRING( BGl_string2083z00zzobject_coercionz00, BgL_bgl_string2083za700za7za7object_coercionza7002092z00, "(", 1 );
DEFINE_STRING( BGl_string2082z00zzobject_coercionz00, BgL_bgl_string2082za700za7za7object_coercionza7002093z00, "obj_t", 5 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2coercionsz12zd2envzc0zzobject_coercionz00, BgL_bgl__genza7d2classza7d2coercionsza712za712za7za7object_coercionza7002094za7, BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2javazd2classzd2coercionsz12zd2envz12zzobject_coercionz00, BgL_bgl__genza7d2javaza7d2classza7d2coercionsza712za7c0za7za7object_coercionza7002095z00, BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long BgL_checksumz00_1366, char * BgL_fromz00_1367)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_coercionz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_coercionz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(); 
BGl_cnstzd2initzd2zzobject_coercionz00(); 
BGl_importedzd2moduleszd2initz00zzobject_coercionz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00()
{ AN_OBJECT;
{ /* Object/coercion.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_coercion"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_coercionz00()
{ AN_OBJECT;
{ /* Object/coercion.scm 21 */
{ /* Object/coercion.scm 21 */
obj_t BgL_cportz00_1359;
BgL_cportz00_1359 = 
open_input_string(BGl_string2085z00zzobject_coercionz00); 
{ 
long BgL_iz00_1360;
BgL_iz00_1360 = ((long)14); 
BgL_loopz00_1361:
if(
(BgL_iz00_1360==((long)-1)))
{ /* Object/coercion.scm 21 */
return BUNSPEC;}  else 
{ /* Object/coercion.scm 21 */
{ /* Object/coercion.scm 21 */
obj_t BgL_arg2087z00_1363;
{ /* Object/coercion.scm 21 */
obj_t BgL_list2088z00_1364;
BgL_list2088z00_1364 = 
MAKE_PAIR(BgL_cportz00_1359, BNIL); 
BgL_arg2087z00_1363 = 
BGl_readz00zz__readerz00(BgL_list2088z00_1364); } 
{ /* Object/coercion.scm 21 */
int BgL_auxz00_1383;
BgL_auxz00_1383 = 
(int)(BgL_iz00_1360); 
CNST_TABLE_SET(BgL_auxz00_1383, BgL_arg2087z00_1363); } } 
{ 
long BgL_iz00_1386;
{ /* Object/coercion.scm 21 */
int BgL_auxz00_1387;
{ /* Object/coercion.scm 21 */
long BgL_auxz00_1388;
BgL_auxz00_1388 = 
(BgL_iz00_1360-((long)1)); 
BgL_auxz00_1387 = 
(int)(BgL_auxz00_1388); } 
BgL_iz00_1386 = 
(long)(BgL_auxz00_1387); } 
BgL_iz00_1360 = BgL_iz00_1386; 
goto BgL_loopz00_1361;} } } } } 
}



/* gen-class-coercions! */
obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_classz00_1)
{ AN_OBJECT;
{ /* Object/coercion.scm 46 */
{ /* Object/coercion.scm 48 */
obj_t BgL_auxz00_1395;obj_t BgL_auxz00_1392;
{ /* Object/coercion.scm 48 */
BgL_tclassz00_bglt BgL_obj1607z00_1079;
BgL_obj1607z00_1079 = 
(BgL_tclassz00_bglt)(BgL_classz00_1); 
{ 
obj_t BgL_auxz00_1397;
{ /* Object/coercion.scm 48 */
BgL_objectz00_bglt BgL_auxz00_1398;
BgL_auxz00_1398 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_1079); 
BgL_auxz00_1397 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1398); } 
BgL_auxz00_1395 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1397))->BgL_itszd2superzd2); } } 
{ /* Object/coercion.scm 48 */
BgL_typez00_bglt BgL_obj1625z00_1078;
BgL_obj1625z00_1078 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_auxz00_1392 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1078))->BgL_idz00); } 
BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_auxz00_1392, BgL_auxz00_1395); } 
return 
BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_1);} 
}



/* _gen-class-coercions! */
obj_t BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_envz00_1355, obj_t BgL_classz00_1356)
{ AN_OBJECT;
{ /* Object/coercion.scm 46 */
return 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(BgL_classz00_1356);} 
}



/* gen-java-class-coercions! */
obj_t BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t BgL_classz00_2)
{ AN_OBJECT;
{ /* Object/coercion.scm 54 */
{ /* Object/coercion.scm 56 */
obj_t BgL_auxz00_1408;obj_t BgL_auxz00_1405;
{ /* Object/coercion.scm 56 */
BgL_jclassz00_bglt BgL_obj1699z00_1081;
BgL_obj1699z00_1081 = 
(BgL_jclassz00_bglt)(BgL_classz00_2); 
{ 
obj_t BgL_auxz00_1410;
{ /* Object/coercion.scm 56 */
BgL_objectz00_bglt BgL_auxz00_1411;
BgL_auxz00_1411 = 
(BgL_objectz00_bglt)(BgL_obj1699z00_1081); 
BgL_auxz00_1410 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1411); } 
BgL_auxz00_1408 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1410))->BgL_itszd2superzd2); } } 
{ /* Object/coercion.scm 56 */
BgL_typez00_bglt BgL_obj1706z00_1080;
BgL_obj1706z00_1080 = 
(BgL_typez00_bglt)(BgL_classz00_2); 
BgL_auxz00_1405 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1080))->BgL_idz00); } 
BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_auxz00_1405, BgL_auxz00_1408); } 
return 
BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_2);} 
}



/* _gen-java-class-coercions! */
obj_t BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t BgL_envz00_1357, obj_t BgL_classz00_1358)
{ AN_OBJECT;
{ /* Object/coercion.scm 54 */
return 
BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(BgL_classz00_1358);} 
}



/* gen-coercion-clause! */
obj_t BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t BgL_czd2idzd2_3, obj_t BgL_superz00_4)
{ AN_OBJECT;
{ /* Object/coercion.scm 70 */
{ /* Object/coercion.scm 72 */
obj_t BgL_arg1837z00_663;
{ /* Object/coercion.scm 72 */
obj_t BgL_casezd2valuezd2_664;
BgL_casezd2valuezd2_664 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Object/coercion.scm 72 */
bool_t BgL_testz00_1418;
{ /* Object/coercion.scm 72 */
obj_t BgL_auxz00_1419;
BgL_auxz00_1419 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_1418 = 
(BgL_casezd2valuezd2_664==BgL_auxz00_1419); } 
if(BgL_testz00_1418)
{ /* Object/coercion.scm 72 */
BgL_arg1837z00_663 = 
BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(BgL_czd2idzd2_3, BgL_superz00_4); }  else 
{ /* Object/coercion.scm 72 */
BgL_arg1837z00_663 = 
BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(BgL_czd2idzd2_3, BgL_superz00_4); } } } 
return 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1837z00_663);} } 
}



/* c-make-coercion-clause */
obj_t BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t BgL_czd2idzd2_5, obj_t BgL_superz00_6)
{ AN_OBJECT;
{ /* Object/coercion.scm 81 */
{ /* Object/coercion.scm 82 */
obj_t BgL_classzd2ze3objz31_666;
BgL_classzd2ze3objz31_666 = 
BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* Object/coercion.scm 82 */
obj_t BgL_objzd2ze3classz31_667;
BgL_objzd2ze3classz31_667 = 
BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* Object/coercion.scm 83 */
obj_t BgL_classzd2idzf3z21_668;
BgL_classzd2idzf3z21_668 = 
BGl_classzf3zd2idz21zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* Object/coercion.scm 84 */

{ 
obj_t BgL_superz00_669;obj_t BgL_coercerz00_670;
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1839z00_672;
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1840z00_673;obj_t BgL_arg1841z00_674;obj_t BgL_arg1842z00_675;
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1846z00_679;obj_t BgL_arg1847z00_680;
BgL_arg1846z00_679 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1848z00_681;obj_t BgL_arg1849z00_682;
BgL_arg1848z00_681 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1850z00_683;
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1851z00_684;obj_t BgL_arg1852z00_685;
BgL_arg1851z00_684 = 
MAKE_PAIR(BgL_classzd2idzf3z21_668, BNIL); 
{ /* Object/coercion.scm 87 */
obj_t BgL_arg1854z00_686;
BgL_arg1854z00_686 = 
MAKE_PAIR(BgL_objzd2ze3classz31_667, BNIL); 
BgL_arg1852z00_685 = 
MAKE_PAIR(BgL_arg1854z00_686, BNIL); } 
BgL_arg1850z00_683 = 
MAKE_PAIR(BgL_arg1851z00_684, BgL_arg1852z00_685); } 
BgL_arg1849z00_682 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1850z00_683); } 
BgL_arg1847z00_680 = 
MAKE_PAIR(BgL_arg1848z00_681, BgL_arg1849z00_682); } 
BgL_arg1840z00_673 = 
MAKE_PAIR(BgL_arg1846z00_679, BgL_arg1847z00_680); } 
{ /* Object/coercion.scm 88 */
obj_t BgL_arg1856z00_688;obj_t BgL_arg1857z00_689;
BgL_arg1856z00_688 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 88 */
obj_t BgL_arg1858z00_690;
{ /* Object/coercion.scm 88 */
obj_t BgL_arg1859z00_691;obj_t BgL_arg1860z00_692;
BgL_arg1859z00_691 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/coercion.scm 88 */
obj_t BgL_arg1862z00_694;
{ /* Object/coercion.scm 88 */
obj_t BgL_arg1863z00_695;
BgL_arg1863z00_695 = 
MAKE_PAIR(BgL_classzd2ze3objz31_666, BNIL); 
BgL_arg1862z00_694 = 
MAKE_PAIR(BgL_arg1863z00_695, BNIL); } 
BgL_arg1860z00_692 = 
MAKE_PAIR(BNIL, BgL_arg1862z00_694); } 
BgL_arg1858z00_690 = 
MAKE_PAIR(BgL_arg1859z00_691, BgL_arg1860z00_692); } 
BgL_arg1857z00_689 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1858z00_690); } 
BgL_arg1841z00_674 = 
MAKE_PAIR(BgL_arg1856z00_688, BgL_arg1857z00_689); } 
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1866z00_697;obj_t BgL_arg1867z00_698;
BgL_arg1866z00_697 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1868z00_699;
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1869z00_700;obj_t BgL_arg1870z00_701;
BgL_arg1869z00_700 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1872z00_703;
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1873z00_704;
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1875z00_706;
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1877z00_708;obj_t BgL_arg1878z00_709;
BgL_arg1877z00_708 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 89 */
obj_t BgL_arg1879z00_710;obj_t BgL_arg1880z00_711;
{ /* Object/coercion.scm 89 */
obj_t BgL_auxz00_1448;
BgL_auxz00_1448 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1879z00_710 = 
MAKE_PAIR(BgL_auxz00_1448, BNIL); } 
BgL_arg1880z00_711 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg1878z00_709 = 
MAKE_PAIR(BgL_arg1879z00_710, BgL_arg1880z00_711); } 
BgL_arg1875z00_706 = 
MAKE_PAIR(BgL_arg1877z00_708, BgL_arg1878z00_709); } 
BgL_arg1873z00_704 = 
MAKE_PAIR(BgL_arg1875z00_706, BNIL); } 
BgL_arg1872z00_703 = 
MAKE_PAIR(BgL_arg1873z00_704, BNIL); } 
BgL_arg1870z00_701 = 
MAKE_PAIR(BNIL, BgL_arg1872z00_703); } 
BgL_arg1868z00_699 = 
MAKE_PAIR(BgL_arg1869z00_700, BgL_arg1870z00_701); } 
BgL_arg1867z00_698 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1868z00_699); } 
BgL_arg1842z00_675 = 
MAKE_PAIR(BgL_arg1866z00_697, BgL_arg1867z00_698); } 
{ /* Object/coercion.scm 86 */
obj_t BgL_list1843z00_676;
{ /* Object/coercion.scm 86 */
obj_t BgL_arg1844z00_677;
{ /* Object/coercion.scm 86 */
obj_t BgL_arg1845z00_678;
BgL_arg1845z00_678 = 
MAKE_PAIR(BgL_arg1842z00_675, BNIL); 
BgL_arg1844z00_677 = 
MAKE_PAIR(BgL_arg1841z00_674, BgL_arg1845z00_678); } 
BgL_list1843z00_676 = 
MAKE_PAIR(BgL_arg1840z00_673, BgL_arg1844z00_677); } 
BgL_arg1839z00_672 = BgL_list1843z00_676; } } 
BgL_superz00_669 = BgL_superz00_6; 
BgL_coercerz00_670 = BgL_arg1839z00_672; 
BgL_loopz00_671:
{ /* Object/coercion.scm 90 */
bool_t BgL_test1881z00_712;
BgL_test1881z00_712 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_669, BGl_tclassz00zzobject_classz00); 
if(BgL_test1881z00_712)
{ /* Object/coercion.scm 92 */
obj_t BgL_superzd2idzd2_713;
{ /* Object/coercion.scm 92 */
BgL_typez00_bglt BgL_obj1625z00_1085;
BgL_obj1625z00_1085 = 
(BgL_typez00_bglt)(BgL_superz00_669); 
BgL_superzd2idzd2_713 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1085))->BgL_idz00); } 
{ /* Object/coercion.scm 92 */
obj_t BgL_classzd2ze3superz31_714;
BgL_classzd2ze3superz31_714 = 
BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5, BgL_superzd2idzd2_713); 
{ /* Object/coercion.scm 93 */
obj_t BgL_superzd2ze3classz31_715;
BgL_superzd2ze3classz31_715 = 
BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superzd2idzd2_713, BgL_czd2idzd2_5); 
{ /* Object/coercion.scm 94 */

{ /* Object/coercion.scm 95 */
obj_t BgL_arg1882z00_716;obj_t BgL_arg1883z00_717;
{ /* Object/coercion.scm 95 */
BgL_tclassz00_bglt BgL_obj1607z00_1086;
BgL_obj1607z00_1086 = 
(BgL_tclassz00_bglt)(BgL_superz00_669); 
{ 
obj_t BgL_auxz00_1470;
{ /* Object/coercion.scm 95 */
BgL_objectz00_bglt BgL_auxz00_1471;
BgL_auxz00_1471 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_1086); 
BgL_auxz00_1470 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1471); } 
BgL_arg1882z00_716 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1470))->BgL_itszd2superzd2); } } 
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1884z00_718;obj_t BgL_arg1885z00_719;
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1886z00_720;obj_t BgL_arg1887z00_721;
BgL_arg1886z00_720 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1888z00_722;
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1889z00_723;
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1890z00_724;obj_t BgL_arg1891z00_725;
BgL_arg1890z00_724 = 
MAKE_PAIR(BgL_classzd2idzf3z21_668, BNIL); 
{ /* Object/coercion.scm 97 */
obj_t BgL_arg1892z00_726;
BgL_arg1892z00_726 = 
MAKE_PAIR(BgL_superzd2ze3classz31_715, BNIL); 
BgL_arg1891z00_725 = 
MAKE_PAIR(BgL_arg1892z00_726, BNIL); } 
BgL_arg1889z00_723 = 
MAKE_PAIR(BgL_arg1890z00_724, BgL_arg1891z00_725); } 
BgL_arg1888z00_722 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1889z00_723); } 
BgL_arg1887z00_721 = 
MAKE_PAIR(BgL_superzd2idzd2_713, BgL_arg1888z00_722); } 
BgL_arg1884z00_718 = 
MAKE_PAIR(BgL_arg1886z00_720, BgL_arg1887z00_721); } 
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1894z00_728;
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1895z00_729;obj_t BgL_arg1896z00_730;
BgL_arg1895z00_729 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1897z00_731;
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1898z00_732;
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1900z00_734;
{ /* Object/coercion.scm 99 */
obj_t BgL_arg1901z00_735;
BgL_arg1901z00_735 = 
MAKE_PAIR(BgL_classzd2ze3superz31_714, BNIL); 
BgL_arg1900z00_734 = 
MAKE_PAIR(BgL_arg1901z00_735, BNIL); } 
BgL_arg1898z00_732 = 
MAKE_PAIR(BNIL, BgL_arg1900z00_734); } 
BgL_arg1897z00_731 = 
MAKE_PAIR(BgL_superzd2idzd2_713, BgL_arg1898z00_732); } 
BgL_arg1896z00_730 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1897z00_731); } 
BgL_arg1894z00_728 = 
MAKE_PAIR(BgL_arg1895z00_729, BgL_arg1896z00_730); } 
BgL_arg1885z00_719 = 
MAKE_PAIR(BgL_arg1894z00_728, BgL_coercerz00_670); } 
BgL_arg1883z00_717 = 
MAKE_PAIR(BgL_arg1884z00_718, BgL_arg1885z00_719); } 
{ 
obj_t BgL_coercerz00_1493;obj_t BgL_superz00_1492;
BgL_superz00_1492 = BgL_arg1882z00_716; 
BgL_coercerz00_1493 = BgL_arg1883z00_717; 
BgL_coercerz00_670 = BgL_coercerz00_1493; 
BgL_superz00_669 = BgL_superz00_1492; 
goto BgL_loopz00_671;} } } } } }  else 
{ /* Object/coercion.scm 91 */
obj_t BgL_auxz00_1496;obj_t BgL_auxz00_1494;
BgL_auxz00_1496 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_670, BNIL); 
BgL_auxz00_1494 = 
CNST_TABLE_REF(((long)2)); 
return 
MAKE_PAIR(BgL_auxz00_1494, BgL_auxz00_1496);} } } } } } } } } 
}



/* jvm-make-coercion-clause */
obj_t BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t BgL_czd2idzd2_7, obj_t BgL_superz00_8)
{ AN_OBJECT;
{ /* Object/coercion.scm 105 */
{ /* Object/coercion.scm 106 */
obj_t BgL_classzd2ze3objz31_739;
{ /* Object/coercion.scm 106 */
obj_t BgL_arg1995z00_836;obj_t BgL_arg1996z00_837;
BgL_arg1995z00_836 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 106 */
obj_t BgL_arg1997z00_838;obj_t BgL_arg1998z00_839;
{ /* Object/coercion.scm 106 */
obj_t BgL_auxz00_1500;
BgL_auxz00_1500 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1997z00_838 = 
MAKE_PAIR(BgL_auxz00_1500, BNIL); } 
{ /* Object/coercion.scm 107 */
obj_t BgL_arg1999z00_840;
{ /* Object/coercion.scm 107 */
obj_t BgL_list2001z00_842;
{ /* Object/coercion.scm 107 */
obj_t BgL_auxz00_1503;
BgL_auxz00_1503 = 
CNST_TABLE_REF(((long)7)); 
BgL_list2001z00_842 = 
MAKE_PAIR(BgL_auxz00_1503, BNIL); } 
BgL_arg1999z00_840 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), 
CNST_TABLE_REF(((long)3)), BgL_list2001z00_842); } 
BgL_arg1998z00_839 = 
MAKE_PAIR(BgL_arg1999z00_840, BNIL); } 
BgL_arg1996z00_837 = 
MAKE_PAIR(BgL_arg1997z00_838, BgL_arg1998z00_839); } 
BgL_classzd2ze3objz31_739 = 
MAKE_PAIR(BgL_arg1995z00_836, BgL_arg1996z00_837); } 
{ /* Object/coercion.scm 106 */
obj_t BgL_objzd2ze3classz31_740;
{ /* Object/coercion.scm 108 */
obj_t BgL_arg1988z00_829;obj_t BgL_arg1989z00_830;
BgL_arg1988z00_829 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 108 */
obj_t BgL_arg1990z00_831;obj_t BgL_arg1991z00_832;
{ /* Object/coercion.scm 108 */
obj_t BgL_auxz00_1513;
BgL_auxz00_1513 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1990z00_831 = 
MAKE_PAIR(BgL_auxz00_1513, BNIL); } 
{ /* Object/coercion.scm 109 */
obj_t BgL_arg1992z00_833;
{ /* Object/coercion.scm 109 */
obj_t BgL_list1994z00_835;
{ /* Object/coercion.scm 109 */
obj_t BgL_auxz00_1516;
BgL_auxz00_1516 = 
CNST_TABLE_REF(((long)7)); 
BgL_list1994z00_835 = 
MAKE_PAIR(BgL_auxz00_1516, BNIL); } 
BgL_arg1992z00_833 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_czd2idzd2_7, BgL_list1994z00_835); } 
BgL_arg1991z00_832 = 
MAKE_PAIR(BgL_arg1992z00_833, BNIL); } 
BgL_arg1989z00_830 = 
MAKE_PAIR(BgL_arg1990z00_831, BgL_arg1991z00_832); } 
BgL_objzd2ze3classz31_740 = 
MAKE_PAIR(BgL_arg1988z00_829, BgL_arg1989z00_830); } 
{ /* Object/coercion.scm 108 */
obj_t BgL_classzd2idzf3z21_741;
BgL_classzd2idzf3z21_741 = 
BGl_classzf3zd2idz21zzobject_toolsz00(BgL_czd2idzd2_7); 
{ /* Object/coercion.scm 110 */

{ 
obj_t BgL_superz00_742;obj_t BgL_coercerz00_743;
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1905z00_745;
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1906z00_746;obj_t BgL_arg1907z00_747;obj_t BgL_arg1908z00_748;
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1912z00_752;obj_t BgL_arg1913z00_753;
BgL_arg1912z00_752 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1914z00_754;obj_t BgL_arg1915z00_755;
BgL_arg1914z00_754 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1916z00_756;
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1917z00_757;obj_t BgL_arg1918z00_758;
BgL_arg1917z00_757 = 
MAKE_PAIR(BgL_classzd2idzf3z21_741, BNIL); 
{ /* Object/coercion.scm 113 */
obj_t BgL_arg1919z00_759;
BgL_arg1919z00_759 = 
MAKE_PAIR(BgL_objzd2ze3classz31_740, BNIL); 
BgL_arg1918z00_758 = 
MAKE_PAIR(BgL_arg1919z00_759, BNIL); } 
BgL_arg1916z00_756 = 
MAKE_PAIR(BgL_arg1917z00_757, BgL_arg1918z00_758); } 
BgL_arg1915z00_755 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg1916z00_756); } 
BgL_arg1913z00_753 = 
MAKE_PAIR(BgL_arg1914z00_754, BgL_arg1915z00_755); } 
BgL_arg1906z00_746 = 
MAKE_PAIR(BgL_arg1912z00_752, BgL_arg1913z00_753); } 
{ /* Object/coercion.scm 114 */
obj_t BgL_arg1921z00_761;obj_t BgL_arg1922z00_762;
BgL_arg1921z00_761 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 114 */
obj_t BgL_arg1923z00_763;
{ /* Object/coercion.scm 114 */
obj_t BgL_arg1924z00_764;obj_t BgL_arg1925z00_765;
BgL_arg1924z00_764 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/coercion.scm 114 */
obj_t BgL_arg1927z00_767;
{ /* Object/coercion.scm 114 */
obj_t BgL_arg1928z00_768;
BgL_arg1928z00_768 = 
MAKE_PAIR(BgL_classzd2ze3objz31_739, BNIL); 
BgL_arg1927z00_767 = 
MAKE_PAIR(BgL_arg1928z00_768, BNIL); } 
BgL_arg1925z00_765 = 
MAKE_PAIR(BNIL, BgL_arg1927z00_767); } 
BgL_arg1923z00_763 = 
MAKE_PAIR(BgL_arg1924z00_764, BgL_arg1925z00_765); } 
BgL_arg1922z00_762 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg1923z00_763); } 
BgL_arg1907z00_747 = 
MAKE_PAIR(BgL_arg1921z00_761, BgL_arg1922z00_762); } 
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1930z00_770;obj_t BgL_arg1931z00_771;
BgL_arg1930z00_770 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1932z00_772;
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1933z00_773;obj_t BgL_arg1934z00_774;
BgL_arg1933z00_773 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1936z00_776;
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1937z00_777;
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1939z00_779;
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1941z00_781;obj_t BgL_arg1942z00_782;
BgL_arg1941z00_781 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 115 */
obj_t BgL_arg1943z00_783;obj_t BgL_arg1944z00_784;
{ /* Object/coercion.scm 115 */
obj_t BgL_auxz00_1545;
BgL_auxz00_1545 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1943z00_783 = 
MAKE_PAIR(BgL_auxz00_1545, BNIL); } 
BgL_arg1944z00_784 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg1942z00_782 = 
MAKE_PAIR(BgL_arg1943z00_783, BgL_arg1944z00_784); } 
BgL_arg1939z00_779 = 
MAKE_PAIR(BgL_arg1941z00_781, BgL_arg1942z00_782); } 
BgL_arg1937z00_777 = 
MAKE_PAIR(BgL_arg1939z00_779, BNIL); } 
BgL_arg1936z00_776 = 
MAKE_PAIR(BgL_arg1937z00_777, BNIL); } 
BgL_arg1934z00_774 = 
MAKE_PAIR(BNIL, BgL_arg1936z00_776); } 
BgL_arg1932z00_772 = 
MAKE_PAIR(BgL_arg1933z00_773, BgL_arg1934z00_774); } 
BgL_arg1931z00_771 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg1932z00_772); } 
BgL_arg1908z00_748 = 
MAKE_PAIR(BgL_arg1930z00_770, BgL_arg1931z00_771); } 
{ /* Object/coercion.scm 112 */
obj_t BgL_list1909z00_749;
{ /* Object/coercion.scm 112 */
obj_t BgL_arg1910z00_750;
{ /* Object/coercion.scm 112 */
obj_t BgL_arg1911z00_751;
BgL_arg1911z00_751 = 
MAKE_PAIR(BgL_arg1908z00_748, BNIL); 
BgL_arg1910z00_750 = 
MAKE_PAIR(BgL_arg1907z00_747, BgL_arg1911z00_751); } 
BgL_list1909z00_749 = 
MAKE_PAIR(BgL_arg1906z00_746, BgL_arg1910z00_750); } 
BgL_arg1905z00_745 = BgL_list1909z00_749; } } 
BgL_superz00_742 = BgL_superz00_8; 
BgL_coercerz00_743 = BgL_arg1905z00_745; 
BgL_loopz00_744:
{ /* Object/coercion.scm 116 */
bool_t BgL_test1945z00_785;
{ /* Object/coercion.scm 116 */
bool_t BgL_test1987z00_828;
BgL_test1987z00_828 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_742, BGl_jclassz00zzobject_classz00); 
if(BgL_test1987z00_828)
{ /* Object/coercion.scm 116 */
BgL_test1945z00_785 = ((bool_t)1); }  else 
{ /* Object/coercion.scm 116 */
BgL_test1945z00_785 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_742, BGl_tclassz00zzobject_classz00); } } 
if(BgL_test1945z00_785)
{ /* Object/coercion.scm 118 */
obj_t BgL_superzd2idzd2_786;
{ /* Object/coercion.scm 118 */
bool_t BgL_test1984z00_825;
BgL_test1984z00_825 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_742, BGl_tclassz00zzobject_classz00); 
if(BgL_test1984z00_825)
{ /* Object/coercion.scm 119 */
BgL_typez00_bglt BgL_obj1625z00_1092;
BgL_obj1625z00_1092 = 
(BgL_typez00_bglt)(BgL_superz00_742); 
BgL_superzd2idzd2_786 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1092))->BgL_idz00); }  else 
{ /* Object/coercion.scm 120 */
BgL_typez00_bglt BgL_obj1706z00_1093;
BgL_obj1706z00_1093 = 
(BgL_typez00_bglt)(BgL_superz00_742); 
BgL_superzd2idzd2_786 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1093))->BgL_idz00); } } 
{ /* Object/coercion.scm 118 */
obj_t BgL_classzd2ze3superz31_787;
{ /* Object/coercion.scm 121 */
obj_t BgL_arg1976z00_818;obj_t BgL_arg1977z00_819;
BgL_arg1976z00_818 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 121 */
obj_t BgL_arg1978z00_820;obj_t BgL_arg1980z00_821;
{ /* Object/coercion.scm 121 */
obj_t BgL_auxz00_1571;
BgL_auxz00_1571 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1978z00_820 = 
MAKE_PAIR(BgL_auxz00_1571, BNIL); } 
{ /* Object/coercion.scm 122 */
obj_t BgL_arg1981z00_822;
{ /* Object/coercion.scm 122 */
obj_t BgL_list1983z00_824;
{ /* Object/coercion.scm 122 */
obj_t BgL_auxz00_1574;
BgL_auxz00_1574 = 
CNST_TABLE_REF(((long)7)); 
BgL_list1983z00_824 = 
MAKE_PAIR(BgL_auxz00_1574, BNIL); } 
BgL_arg1981z00_822 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_superzd2idzd2_786, BgL_list1983z00_824); } 
BgL_arg1980z00_821 = 
MAKE_PAIR(BgL_arg1981z00_822, BNIL); } 
BgL_arg1977z00_819 = 
MAKE_PAIR(BgL_arg1978z00_820, BgL_arg1980z00_821); } 
BgL_classzd2ze3superz31_787 = 
MAKE_PAIR(BgL_arg1976z00_818, BgL_arg1977z00_819); } 
{ /* Object/coercion.scm 121 */
obj_t BgL_superzd2ze3classz31_788;
{ /* Object/coercion.scm 123 */
obj_t BgL_arg1969z00_811;obj_t BgL_arg1970z00_812;
BgL_arg1969z00_811 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/coercion.scm 123 */
obj_t BgL_arg1971z00_813;obj_t BgL_arg1972z00_814;
{ /* Object/coercion.scm 123 */
obj_t BgL_auxz00_1583;
BgL_auxz00_1583 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1971z00_813 = 
MAKE_PAIR(BgL_auxz00_1583, BNIL); } 
{ /* Object/coercion.scm 124 */
obj_t BgL_arg1973z00_815;
{ /* Object/coercion.scm 124 */
obj_t BgL_list1975z00_817;
{ /* Object/coercion.scm 124 */
obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
CNST_TABLE_REF(((long)7)); 
BgL_list1975z00_817 = 
MAKE_PAIR(BgL_auxz00_1586, BNIL); } 
BgL_arg1973z00_815 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_czd2idzd2_7, BgL_list1975z00_817); } 
BgL_arg1972z00_814 = 
MAKE_PAIR(BgL_arg1973z00_815, BNIL); } 
BgL_arg1970z00_812 = 
MAKE_PAIR(BgL_arg1971z00_813, BgL_arg1972z00_814); } 
BgL_superzd2ze3classz31_788 = 
MAKE_PAIR(BgL_arg1969z00_811, BgL_arg1970z00_812); } 
{ /* Object/coercion.scm 123 */

{ /* Object/coercion.scm 125 */
obj_t BgL_arg1946z00_789;obj_t BgL_arg1947z00_790;
{ /* Object/coercion.scm 125 */
bool_t BgL_test1948z00_791;
BgL_test1948z00_791 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_742, BGl_tclassz00zzobject_classz00); 
if(BgL_test1948z00_791)
{ /* Object/coercion.scm 126 */
BgL_tclassz00_bglt BgL_obj1607z00_1095;
BgL_obj1607z00_1095 = 
(BgL_tclassz00_bglt)(BgL_superz00_742); 
{ 
obj_t BgL_auxz00_1597;
{ /* Object/coercion.scm 126 */
BgL_objectz00_bglt BgL_auxz00_1598;
BgL_auxz00_1598 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_1095); 
BgL_auxz00_1597 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1598); } 
BgL_arg1946z00_789 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1597))->BgL_itszd2superzd2); } }  else 
{ /* Object/coercion.scm 127 */
BgL_jclassz00_bglt BgL_obj1699z00_1096;
BgL_obj1699z00_1096 = 
(BgL_jclassz00_bglt)(BgL_superz00_742); 
{ 
obj_t BgL_auxz00_1603;
{ /* Object/coercion.scm 127 */
BgL_objectz00_bglt BgL_auxz00_1604;
BgL_auxz00_1604 = 
(BgL_objectz00_bglt)(BgL_obj1699z00_1096); 
BgL_auxz00_1603 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1604); } 
BgL_arg1946z00_789 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1603))->BgL_itszd2superzd2); } } } 
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1949z00_792;obj_t BgL_arg1950z00_793;
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1951z00_794;obj_t BgL_arg1952z00_795;
BgL_arg1951z00_794 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1953z00_796;
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1954z00_797;
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1956z00_798;obj_t BgL_arg1957z00_799;
BgL_arg1956z00_798 = 
MAKE_PAIR(BgL_classzd2idzf3z21_741, BNIL); 
{ /* Object/coercion.scm 129 */
obj_t BgL_arg1958z00_800;
BgL_arg1958z00_800 = 
MAKE_PAIR(BgL_superzd2ze3classz31_788, BNIL); 
BgL_arg1957z00_799 = 
MAKE_PAIR(BgL_arg1958z00_800, BNIL); } 
BgL_arg1954z00_797 = 
MAKE_PAIR(BgL_arg1956z00_798, BgL_arg1957z00_799); } 
BgL_arg1953z00_796 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg1954z00_797); } 
BgL_arg1952z00_795 = 
MAKE_PAIR(BgL_superzd2idzd2_786, BgL_arg1953z00_796); } 
BgL_arg1949z00_792 = 
MAKE_PAIR(BgL_arg1951z00_794, BgL_arg1952z00_795); } 
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1960z00_802;
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1961z00_803;obj_t BgL_arg1962z00_804;
BgL_arg1961z00_803 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1963z00_805;
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1964z00_806;
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1966z00_808;
{ /* Object/coercion.scm 131 */
obj_t BgL_arg1967z00_809;
BgL_arg1967z00_809 = 
MAKE_PAIR(BgL_classzd2ze3superz31_787, BNIL); 
BgL_arg1966z00_808 = 
MAKE_PAIR(BgL_arg1967z00_809, BNIL); } 
BgL_arg1964z00_806 = 
MAKE_PAIR(BNIL, BgL_arg1966z00_808); } 
BgL_arg1963z00_805 = 
MAKE_PAIR(BgL_superzd2idzd2_786, BgL_arg1964z00_806); } 
BgL_arg1962z00_804 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg1963z00_805); } 
BgL_arg1960z00_802 = 
MAKE_PAIR(BgL_arg1961z00_803, BgL_arg1962z00_804); } 
BgL_arg1950z00_793 = 
MAKE_PAIR(BgL_arg1960z00_802, BgL_coercerz00_743); } 
BgL_arg1947z00_790 = 
MAKE_PAIR(BgL_arg1949z00_792, BgL_arg1950z00_793); } 
{ 
obj_t BgL_coercerz00_1626;obj_t BgL_superz00_1625;
BgL_superz00_1625 = BgL_arg1946z00_789; 
BgL_coercerz00_1626 = BgL_arg1947z00_790; 
BgL_coercerz00_743 = BgL_coercerz00_1626; 
BgL_superz00_742 = BgL_superz00_1625; 
goto BgL_loopz00_744;} } } } } }  else 
{ /* Object/coercion.scm 117 */
obj_t BgL_auxz00_1629;obj_t BgL_auxz00_1627;
BgL_auxz00_1629 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_743, BNIL); 
BgL_auxz00_1627 = 
CNST_TABLE_REF(((long)2)); 
return 
MAKE_PAIR(BgL_auxz00_1627, BgL_auxz00_1629);} } } } } } } } } 
}



/* gen-class-coercers! */
obj_t BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t BgL_classz00_9)
{ AN_OBJECT;
{ /* Object/coercion.scm 148 */
{ /* Object/coercion.scm 149 */
obj_t BgL_casezd2valuezd2_843;
BgL_casezd2valuezd2_843 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Object/coercion.scm 149 */
bool_t BgL_testz00_1632;
{ /* Object/coercion.scm 149 */
obj_t BgL_auxz00_1633;
BgL_auxz00_1633 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_1632 = 
(BgL_casezd2valuezd2_843==BgL_auxz00_1633); } 
if(BgL_testz00_1632)
{ /* Object/coercion.scm 149 */
return BUNSPEC;}  else 
{ /* Object/coercion.scm 149 */
return 
BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(BgL_classz00_9);} } } } 
}



/* c-gen-class-coercers! */
obj_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t BgL_classz00_10)
{ AN_OBJECT;
{ /* Object/coercion.scm 158 */
{ /* Object/coercion.scm 169 */
obj_t BgL_tidz00_846;obj_t BgL_tnamez00_847;
{ /* Object/coercion.scm 169 */
BgL_typez00_bglt BgL_obj1002z00_1098;
BgL_obj1002z00_1098 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_tidz00_846 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1098))->BgL_idz00); } 
{ /* Object/coercion.scm 170 */
BgL_typez00_bglt BgL_obj1003z00_1099;
BgL_obj1003z00_1099 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_tnamez00_847 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1099))->BgL_namez00); } 
{ 
obj_t BgL_superz00_848;obj_t BgL_coercerz00_849;
{ /* Object/coercion.scm 171 */
obj_t BgL_arg2003z00_851;obj_t BgL_arg2004z00_852;
{ /* Object/coercion.scm 171 */
BgL_tclassz00_bglt BgL_obj1607z00_1100;
BgL_obj1607z00_1100 = 
(BgL_tclassz00_bglt)(BgL_classz00_10); 
{ 
obj_t BgL_auxz00_1642;
{ /* Object/coercion.scm 171 */
BgL_objectz00_bglt BgL_auxz00_1643;
BgL_auxz00_1643 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_1100); 
BgL_auxz00_1642 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1643); } 
BgL_arg2003z00_851 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1642))->BgL_itszd2superzd2); } } 
BgL_arg2004z00_852 = 
BGl_makezd2onezd2coercionz00zzobject_coercionz00(BgL_tidz00_846, BgL_tnamez00_847, 
CNST_TABLE_REF(((long)3)), BGl_string2082z00zzobject_coercionz00); 
BgL_superz00_848 = BgL_arg2003z00_851; 
BgL_coercerz00_849 = BgL_arg2004z00_852; 
BgL_loopz00_850:
{ /* Object/coercion.scm 173 */
bool_t BgL_test2005z00_853;
BgL_test2005z00_853 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_848, BGl_tclassz00zzobject_classz00); 
if(BgL_test2005z00_853)
{ /* Object/coercion.scm 177 */
obj_t BgL_arg2006z00_856;obj_t BgL_arg2007z00_857;
{ /* Object/coercion.scm 177 */
BgL_tclassz00_bglt BgL_obj1607z00_1104;
BgL_obj1607z00_1104 = 
(BgL_tclassz00_bglt)(BgL_superz00_848); 
{ 
obj_t BgL_auxz00_1652;
{ /* Object/coercion.scm 177 */
BgL_objectz00_bglt BgL_auxz00_1653;
BgL_auxz00_1653 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_1104); 
BgL_auxz00_1652 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1653); } 
BgL_arg2006z00_856 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1652))->BgL_itszd2superzd2); } } 
{ /* Object/coercion.scm 178 */
obj_t BgL_arg2008z00_858;
{ /* Object/coercion.scm 178 */
obj_t BgL_auxz00_1660;obj_t BgL_auxz00_1657;
{ /* Object/coercion.scm 176 */
BgL_typez00_bglt BgL_obj1003z00_1103;
BgL_obj1003z00_1103 = 
(BgL_typez00_bglt)(BgL_superz00_848); 
BgL_auxz00_1660 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1103))->BgL_namez00); } 
{ /* Object/coercion.scm 175 */
BgL_typez00_bglt BgL_obj1002z00_1102;
BgL_obj1002z00_1102 = 
(BgL_typez00_bglt)(BgL_superz00_848); 
BgL_auxz00_1657 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1102))->BgL_idz00); } 
BgL_arg2008z00_858 = 
BGl_makezd2onezd2coercionz00zzobject_coercionz00(BgL_tidz00_846, BgL_tnamez00_847, BgL_auxz00_1657, BgL_auxz00_1660); } 
BgL_arg2007z00_857 = 
bgl_append2(BgL_arg2008z00_858, BgL_coercerz00_849); } 
{ 
obj_t BgL_coercerz00_1666;obj_t BgL_superz00_1665;
BgL_superz00_1665 = BgL_arg2006z00_856; 
BgL_coercerz00_1666 = BgL_arg2007z00_857; 
BgL_coercerz00_849 = BgL_coercerz00_1666; 
BgL_superz00_848 = BgL_superz00_1665; 
goto BgL_loopz00_850;} }  else 
{ /* Object/coercion.scm 174 */
obj_t BgL_arg2009z00_859;
{ /* Object/coercion.scm 174 */
obj_t BgL_auxz00_1669;obj_t BgL_auxz00_1667;
BgL_auxz00_1669 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_849, BNIL); 
BgL_auxz00_1667 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2009z00_859 = 
MAKE_PAIR(BgL_auxz00_1667, BgL_auxz00_1669); } 
return 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2009z00_859);} } } } } } 
}



/* make-one-coercion */
obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t BgL_fromzd2idzd2_862, obj_t BgL_fromzd2namezd2_863, obj_t BgL_tozd2idzd2_864, obj_t BgL_tozd2namezd2_865)
{ AN_OBJECT;
{ /* Object/coercion.scm 168 */
{ /* Object/coercion.scm 160 */
obj_t BgL_tzd2ze3fz31_867;obj_t BgL_fzd2ze3tz31_868;
{ /* Object/coercion.scm 160 */
obj_t BgL_list2047z00_902;
{ /* Object/coercion.scm 160 */
obj_t BgL_arg2048z00_903;
{ /* Object/coercion.scm 160 */
obj_t BgL_arg2049z00_904;obj_t BgL_arg2050z00_905;
BgL_arg2049z00_904 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2050z00_905 = 
MAKE_PAIR(BgL_fromzd2idzd2_862, BNIL); 
BgL_arg2048z00_903 = 
MAKE_PAIR(BgL_arg2049z00_904, BgL_arg2050z00_905); } 
BgL_list2047z00_902 = 
MAKE_PAIR(BgL_tozd2idzd2_864, BgL_arg2048z00_903); } 
BgL_tzd2ze3fz31_867 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2047z00_902); } 
{ /* Object/coercion.scm 161 */
obj_t BgL_list2051z00_906;
{ /* Object/coercion.scm 161 */
obj_t BgL_arg2052z00_907;
{ /* Object/coercion.scm 161 */
obj_t BgL_arg2053z00_908;obj_t BgL_arg2054z00_909;
BgL_arg2053z00_908 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2054z00_909 = 
MAKE_PAIR(BgL_tozd2idzd2_864, BNIL); 
BgL_arg2052z00_907 = 
MAKE_PAIR(BgL_arg2053z00_908, BgL_arg2054z00_909); } 
BgL_list2051z00_906 = 
MAKE_PAIR(BgL_fromzd2idzd2_862, BgL_arg2052z00_907); } 
BgL_fzd2ze3tz31_868 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2051z00_906); } 
{ /* Object/coercion.scm 163 */
obj_t BgL_arg2013z00_869;
{ /* Object/coercion.scm 163 */
obj_t BgL_arg2014z00_870;obj_t BgL_arg2015z00_871;
BgL_arg2014z00_870 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/coercion.scm 163 */
obj_t BgL_arg2016z00_872;obj_t BgL_arg2017z00_873;
{ /* Object/coercion.scm 163 */
obj_t BgL_arg2019z00_874;
{ /* Object/coercion.scm 163 */
obj_t BgL_arg2020z00_875;obj_t BgL_arg2021z00_876;
BgL_arg2020z00_875 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/coercion.scm 163 */
obj_t BgL_auxz00_1685;
BgL_auxz00_1685 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2021z00_876 = 
MAKE_PAIR(BgL_auxz00_1685, BNIL); } 
BgL_arg2019z00_874 = 
MAKE_PAIR(BgL_arg2020z00_875, BgL_arg2021z00_876); } 
BgL_arg2016z00_872 = 
MAKE_PAIR(BgL_tzd2ze3fz31_867, BgL_arg2019z00_874); } 
{ /* Object/coercion.scm 164 */
obj_t BgL_arg2022z00_877;
{ /* Object/coercion.scm 164 */
obj_t BgL_arg2024z00_879;
{ /* Object/coercion.scm 164 */
obj_t BgL_arg2025z00_880;obj_t BgL_arg2026z00_881;
BgL_arg2025z00_880 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/coercion.scm 164 */
obj_t BgL_auxz00_1691;
BgL_auxz00_1691 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2026z00_881 = 
MAKE_PAIR(BgL_auxz00_1691, BNIL); } 
BgL_arg2024z00_879 = 
MAKE_PAIR(BgL_arg2025z00_880, BgL_arg2026z00_881); } 
BgL_arg2022z00_877 = 
MAKE_PAIR(BgL_fzd2ze3tz31_868, BgL_arg2024z00_879); } 
BgL_arg2017z00_873 = 
MAKE_PAIR(BgL_arg2022z00_877, BNIL); } 
BgL_arg2015z00_871 = 
MAKE_PAIR(BgL_arg2016z00_872, BgL_arg2017z00_873); } 
BgL_arg2013z00_869 = 
MAKE_PAIR(BgL_arg2014z00_870, BgL_arg2015z00_871); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2013z00_869); } 
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2027z00_882;obj_t BgL_arg2028z00_883;
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2031z00_886;obj_t BgL_arg2032z00_887;
BgL_arg2031z00_886 = 
CNST_TABLE_REF(((long)14)); 
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2033z00_888;
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2034z00_889;
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2035z00_890;obj_t BgL_arg2036z00_891;
BgL_arg2035z00_890 = 
MAKE_PAIR(BgL_tozd2idzd2_864, BNIL); 
{ /* Object/coercion.scm 166 */
obj_t BgL_arg2037z00_892;
BgL_arg2037z00_892 = 
string_append_3(BGl_string2083z00zzobject_coercionz00, BgL_fromzd2namezd2_863, BGl_string2084z00zzobject_coercionz00); 
BgL_arg2036z00_891 = 
MAKE_PAIR(BgL_arg2037z00_892, BNIL); } 
BgL_arg2034z00_889 = 
MAKE_PAIR(BgL_arg2035z00_890, BgL_arg2036z00_891); } 
BgL_arg2033z00_888 = 
MAKE_PAIR(BgL_tzd2ze3fz31_867, BgL_arg2034z00_889); } 
BgL_arg2032z00_887 = 
MAKE_PAIR(BgL_fromzd2idzd2_862, BgL_arg2033z00_888); } 
BgL_arg2027z00_882 = 
MAKE_PAIR(BgL_arg2031z00_886, BgL_arg2032z00_887); } 
{ /* Object/coercion.scm 167 */
obj_t BgL_arg2039z00_894;obj_t BgL_arg2040z00_895;
BgL_arg2039z00_894 = 
CNST_TABLE_REF(((long)14)); 
{ /* Object/coercion.scm 167 */
obj_t BgL_arg2041z00_896;
{ /* Object/coercion.scm 167 */
obj_t BgL_arg2042z00_897;
{ /* Object/coercion.scm 167 */
obj_t BgL_arg2043z00_898;obj_t BgL_arg2044z00_899;
BgL_arg2043z00_898 = 
MAKE_PAIR(BgL_fromzd2idzd2_862, BNIL); 
{ /* Object/coercion.scm 168 */
obj_t BgL_arg2045z00_900;
BgL_arg2045z00_900 = 
string_append_3(BGl_string2083z00zzobject_coercionz00, BgL_tozd2namezd2_865, BGl_string2084z00zzobject_coercionz00); 
BgL_arg2044z00_899 = 
MAKE_PAIR(BgL_arg2045z00_900, BNIL); } 
BgL_arg2042z00_897 = 
MAKE_PAIR(BgL_arg2043z00_898, BgL_arg2044z00_899); } 
BgL_arg2041z00_896 = 
MAKE_PAIR(BgL_fzd2ze3tz31_868, BgL_arg2042z00_897); } 
BgL_arg2040z00_895 = 
MAKE_PAIR(BgL_tozd2idzd2_864, BgL_arg2041z00_896); } 
BgL_arg2028z00_883 = 
MAKE_PAIR(BgL_arg2039z00_894, BgL_arg2040z00_895); } 
{ /* Object/coercion.scm 165 */
obj_t BgL_list2029z00_884;
{ /* Object/coercion.scm 165 */
obj_t BgL_arg2030z00_885;
BgL_arg2030z00_885 = 
MAKE_PAIR(BgL_arg2028z00_883, BNIL); 
BgL_list2029z00_884 = 
MAKE_PAIR(BgL_arg2027z00_882, BgL_arg2030z00_885); } 
return BgL_list2029z00_884;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_coercionz00()
{ AN_OBJECT;
{ /* Object/coercion.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00()
{ AN_OBJECT;
{ /* Object/coercion.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_coercion"); 
return 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "object_coercion");} 
}

