/*===========================================================================*/
/*   (Object/getter.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_getterz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_slotzd2virtualzd2setz12z12zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl_slotzd2setz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
static obj_t BGl_slotzd2directzd2refz00zzobject_getterz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static bool_t BGl_firstzd2virtualzd2slotzf3zf3zzobject_getterz00(obj_t, BgL_tclassz00_bglt);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_slotzd2directzd2setz12z12zzobject_getterz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_getterz00();
static obj_t BGl__genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2refzd2zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_getterz00();
static obj_t BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(obj_t, BgL_jclassz00_bglt, BgL_jclassz00_bglt, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
extern obj_t BGl_slotz00zzobject_slotsz00;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2indexedzd2setz12z12zzobject_getterz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2virtualzd2refz00zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2indexedzd2refz00zzobject_getterz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(BgL_jclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
static obj_t BGl_requirezd2initializa7ationz75zzobject_getterz00 = BUNSPEC;
extern obj_t BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_getterz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 34 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2slotszd2accessz12zd2envz12zzobject_getterz00, BgL_bgl__genza7d2classza7d2slotsza7d2accessza712za7c0za7za7object_getterza7002451z00, BGl__genzd2classzd2slotszd2accessz12zc0zzobject_getterz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2javazd2classzd2slotszd2accessz12zd2envzc0zzobject_getterz00, BgL_bgl__genza7d2javaza7d2classza7d2slotsza7d2accessza712za712za7za7object_getterza7002452za7, BGl__genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00, 0L, 3 );
DEFINE_STRING( BGl_string2446z00zzobject_getterz00, BgL_bgl_string2446za700za7za7object_getterza7002453z00, "call-virtual-setter val ::obj -set! call-next-virtual-setter sval sobj ::long -ref quote error -len <fx i >=fx if i::long o define __object call-virtual-getter @ define-inline no-cfa-top side-effect-free pragma inline static - call-next-virtual-getter call-next-slot let lambda obj ", 282 );
DEFINE_STRING( BGl_string2445z00zzobject_getterz00, BgL_bgl_string2445za700za7za7object_getterza7002454z00, "Index out of bound", 18 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long BgL_checksumz00_1902, char * BgL_fromz00_1903)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_getterz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_getterz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_getterz00(); 
BGl_cnstzd2initzd2zzobject_getterz00(); 
BGl_importedzd2moduleszd2initz00zzobject_getterz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_getterz00()
{ AN_OBJECT;
{ /* Object/getter.scm 21 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_getter"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_getter"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_getter"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_getter"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "object_getter"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_getterz00()
{ AN_OBJECT;
{ /* Object/getter.scm 21 */
{ /* Object/getter.scm 21 */
obj_t BgL_cportz00_1895;
BgL_cportz00_1895 = 
open_input_string(BGl_string2446z00zzobject_getterz00); 
{ 
long BgL_iz00_1896;
BgL_iz00_1896 = ((long)33); 
BgL_loopz00_1897:
if(
(BgL_iz00_1896==((long)-1)))
{ /* Object/getter.scm 21 */
return BUNSPEC;}  else 
{ /* Object/getter.scm 21 */
{ /* Object/getter.scm 21 */
obj_t BgL_arg2448z00_1899;
{ /* Object/getter.scm 21 */
obj_t BgL_list2449z00_1900;
BgL_list2449z00_1900 = 
MAKE_PAIR(BgL_cportz00_1895, BNIL); 
BgL_arg2448z00_1899 = 
BGl_readz00zz__readerz00(BgL_list2449z00_1900); } 
{ /* Object/getter.scm 21 */
int BgL_auxz00_1920;
BgL_auxz00_1920 = 
(int)(BgL_iz00_1896); 
CNST_TABLE_SET(BgL_auxz00_1920, BgL_arg2448z00_1899); } } 
{ 
long BgL_iz00_1923;
{ /* Object/getter.scm 21 */
int BgL_auxz00_1924;
{ /* Object/getter.scm 21 */
long BgL_auxz00_1925;
BgL_auxz00_1925 = 
(BgL_iz00_1896-((long)1)); 
BgL_auxz00_1924 = 
(int)(BgL_auxz00_1925); } 
BgL_iz00_1923 = 
(long)(BgL_auxz00_1924); } 
BgL_iz00_1896 = BgL_iz00_1923; 
goto BgL_loopz00_1897;} } } } } 
}



/* gen-class-slots-access! */
obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_typez00_2, obj_t BgL_wideningz00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* Object/getter.scm 61 */
{ 
obj_t BgL_slotsz00_695;obj_t BgL_resz00_696;obj_t BgL_virtualsz00_697;
{ /* Object/getter.scm 69 */
obj_t BgL_arg1863z00_699;
{ /* Object/getter.scm 69 */
obj_t BgL_arg1867z00_702;
{ /* Object/getter.scm 69 */
bool_t BgL_test1868z00_703;
BgL_test1868z00_703 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_2, BGl_tclassz00zzobject_classz00); 
if(BgL_test1868z00_703)
{ /* Object/getter.scm 69 */
BgL_arg1867z00_702 = BgL_typez00_2; }  else 
{ /* Object/getter.scm 69 */
BgL_arg1867z00_702 = 
(obj_t)(BgL_classz00_1); } } 
{ /* Object/getter.scm 69 */
BgL_tclassz00_bglt BgL_obj1610z00_1532;
BgL_obj1610z00_1532 = 
(BgL_tclassz00_bglt)(BgL_arg1867z00_702); 
{ 
obj_t BgL_auxz00_1933;
{ /* Object/getter.scm 69 */
BgL_objectz00_bglt BgL_auxz00_1934;
BgL_auxz00_1934 = 
(BgL_objectz00_bglt)(BgL_obj1610z00_1532); 
BgL_auxz00_1933 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1934); } 
BgL_arg1863z00_699 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1933))->BgL_slotsz00); } } } 
BgL_slotsz00_695 = BgL_arg1863z00_699; 
BgL_resz00_696 = BNIL; 
BgL_virtualsz00_697 = BNIL; 
BgL_loopz00_698:
if(
NULLP(BgL_slotsz00_695))
{ /* Object/getter.scm 73 */
obj_t BgL_val0_1829z00_705;obj_t BgL_val1_1830z00_706;
BgL_val0_1829z00_705 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_696); 
BgL_val1_1830z00_706 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_virtualsz00_697); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_val1_1830z00_706; 
return BgL_val0_1829z00_705;}  else 
{ /* Object/getter.scm 74 */
obj_t BgL_slotz00_707;
BgL_slotz00_707 = 
CAR(BgL_slotsz00_695); 
{ /* Object/getter.scm 75 */
obj_t BgL_refz00_708;
BgL_refz00_708 = 
BGl_slotzd2refzd2zzobject_getterz00(BgL_classz00_1, BgL_typez00_2, BgL_slotz00_707, BgL_wideningz00_3, BgL_srcz00_4); 
{ /* Object/getter.scm 77 */
obj_t BgL_vrefz00_709;
BgL_vrefz00_709 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/getter.scm 77 */
bool_t BgL_testz00_1945;
{ /* Object/getter.scm 77 */
BgL_slotz00_bglt BgL_obj1751z00_1535;
BgL_obj1751z00_1535 = 
(BgL_slotz00_bglt)(BgL_slotz00_707); 
BgL_testz00_1945 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1751z00_1535))->BgL_readzd2onlyzf3z21); } 
if(BgL_testz00_1945)
{ /* Object/getter.scm 78 */
obj_t BgL_arg1871z00_711;obj_t BgL_arg1872z00_712;obj_t BgL_arg1873z00_713;
BgL_arg1871z00_711 = 
CDR(BgL_slotsz00_695); 
BgL_arg1872z00_712 = 
bgl_append2(BgL_refz00_708, BgL_resz00_696); 
if(
CBOOL(BgL_vrefz00_709))
{ /* Object/getter.scm 81 */
obj_t BgL_arg1874z00_714;
{ /* Object/getter.scm 81 */
obj_t BgL_arg1875z00_715;
{ /* Object/getter.scm 81 */
BgL_slotz00_bglt BgL_obj1753z00_1537;
BgL_obj1753z00_1537 = 
(BgL_slotz00_bglt)(BgL_slotz00_707); 
BgL_arg1875z00_715 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1753z00_1537))->BgL_virtualzd2numzd2); } 
{ /* Object/getter.scm 81 */
obj_t BgL_list1876z00_716;
{ /* Object/getter.scm 81 */
obj_t BgL_arg1877z00_717;
{ /* Object/getter.scm 81 */
obj_t BgL_arg1878z00_718;
BgL_arg1878z00_718 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg1877z00_717 = 
MAKE_PAIR(BgL_vrefz00_709, BgL_arg1878z00_718); } 
BgL_list1876z00_716 = 
MAKE_PAIR(BgL_arg1875z00_715, BgL_arg1877z00_717); } 
BgL_arg1874z00_714 = BgL_list1876z00_716; } } 
BgL_arg1873z00_713 = 
MAKE_PAIR(BgL_arg1874z00_714, BgL_virtualsz00_697); }  else 
{ /* Object/getter.scm 80 */
BgL_arg1873z00_713 = BgL_virtualsz00_697; } 
{ 
obj_t BgL_virtualsz00_1960;obj_t BgL_resz00_1959;obj_t BgL_slotsz00_1958;
BgL_slotsz00_1958 = BgL_arg1871z00_711; 
BgL_resz00_1959 = BgL_arg1872z00_712; 
BgL_virtualsz00_1960 = BgL_arg1873z00_713; 
BgL_virtualsz00_697 = BgL_virtualsz00_1960; 
BgL_resz00_696 = BgL_resz00_1959; 
BgL_slotsz00_695 = BgL_slotsz00_1958; 
goto BgL_loopz00_698;} }  else 
{ /* Object/getter.scm 84 */
obj_t BgL_setz00_719;
BgL_setz00_719 = 
BGl_slotzd2setz12zc0zzobject_getterz00(BgL_classz00_1, BgL_typez00_2, BgL_slotz00_707, BgL_wideningz00_3, BgL_srcz00_4); 
{ /* Object/getter.scm 86 */
obj_t BgL_vsetz00_720;
BgL_vsetz00_720 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/getter.scm 86 */
obj_t BgL_arg1879z00_721;obj_t BgL_arg1880z00_722;obj_t BgL_arg1881z00_723;
BgL_arg1879z00_721 = 
CDR(BgL_slotsz00_695); 
{ /* Object/getter.scm 87 */
obj_t BgL_list1882z00_724;
{ /* Object/getter.scm 87 */
obj_t BgL_arg1883z00_725;
{ /* Object/getter.scm 87 */
obj_t BgL_arg1884z00_726;
BgL_arg1884z00_726 = 
MAKE_PAIR(BgL_resz00_696, BNIL); 
BgL_arg1883z00_725 = 
MAKE_PAIR(BgL_setz00_719, BgL_arg1884z00_726); } 
BgL_list1882z00_724 = 
MAKE_PAIR(BgL_refz00_708, BgL_arg1883z00_725); } 
BgL_arg1880z00_722 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1882z00_724); } 
if(
CBOOL(BgL_vrefz00_709))
{ /* Object/getter.scm 89 */
obj_t BgL_arg1885z00_727;
{ /* Object/getter.scm 89 */
obj_t BgL_arg1886z00_728;
{ /* Object/getter.scm 89 */
BgL_slotz00_bglt BgL_obj1753z00_1541;
BgL_obj1753z00_1541 = 
(BgL_slotz00_bglt)(BgL_slotz00_707); 
BgL_arg1886z00_728 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1753z00_1541))->BgL_virtualzd2numzd2); } 
{ /* Object/getter.scm 89 */
obj_t BgL_list1887z00_729;
{ /* Object/getter.scm 89 */
obj_t BgL_arg1888z00_730;
{ /* Object/getter.scm 89 */
obj_t BgL_arg1889z00_731;
BgL_arg1889z00_731 = 
MAKE_PAIR(BgL_vsetz00_720, BNIL); 
BgL_arg1888z00_730 = 
MAKE_PAIR(BgL_vrefz00_709, BgL_arg1889z00_731); } 
BgL_list1887z00_729 = 
MAKE_PAIR(BgL_arg1886z00_728, BgL_arg1888z00_730); } 
BgL_arg1885z00_727 = BgL_list1887z00_729; } } 
BgL_arg1881z00_723 = 
MAKE_PAIR(BgL_arg1885z00_727, BgL_virtualsz00_697); }  else 
{ /* Object/getter.scm 88 */
BgL_arg1881z00_723 = BgL_virtualsz00_697; } 
{ 
obj_t BgL_virtualsz00_1977;obj_t BgL_resz00_1976;obj_t BgL_slotsz00_1975;
BgL_slotsz00_1975 = BgL_arg1879z00_721; 
BgL_resz00_1976 = BgL_arg1880z00_722; 
BgL_virtualsz00_1977 = BgL_arg1881z00_723; 
BgL_virtualsz00_697 = BgL_virtualsz00_1977; 
BgL_resz00_696 = BgL_resz00_1976; 
BgL_slotsz00_695 = BgL_slotsz00_1975; 
goto BgL_loopz00_698;} } } } } } } } } } } 
}



/* _gen-class-slots-access! */
obj_t BGl__genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(obj_t BgL_envz00_1883, obj_t BgL_classz00_1884, obj_t BgL_typez00_1885, obj_t BgL_wideningz00_1886, obj_t BgL_srcz00_1887)
{ AN_OBJECT;
{ /* Object/getter.scm 61 */
return 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(
(BgL_tclassz00_bglt)(BgL_classz00_1884), BgL_typez00_1885, BgL_wideningz00_1886, BgL_srcz00_1887);} 
}



/* gen-java-class-slots-access! */
obj_t BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(BgL_jclassz00_bglt BgL_jclassz00_5, obj_t BgL_slotsz00_6, obj_t BgL_srczd2defzd2_7)
{ AN_OBJECT;
{ /* Object/getter.scm 98 */
{ /* Object/getter.scm 105 */
obj_t BgL_runner1900z00_750;
if(
NULLP(BgL_slotsz00_6))
{ /* Object/getter.scm 105 */
BgL_runner1900z00_750 = BNIL; }  else 
{ /* Object/getter.scm 105 */
obj_t BgL_head1835z00_736;
{ /* Object/getter.scm 105 */
obj_t BgL_arg1897z00_747;
BgL_arg1897z00_747 = 
BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(BgL_srczd2defzd2_7, BgL_jclassz00_5, BgL_jclassz00_5, 
CAR(BgL_slotsz00_6)); 
BgL_head1835z00_736 = 
MAKE_PAIR(BgL_arg1897z00_747, BNIL); } 
{ 
obj_t BgL_l1833z00_737;obj_t BgL_tail1836z00_738;
BgL_l1833z00_737 = 
CDR(BgL_slotsz00_6); 
BgL_tail1836z00_738 = BgL_head1835z00_736; 
BgL_lname1834z00_739:
if(
NULLP(BgL_l1833z00_737))
{ /* Object/getter.scm 105 */
BgL_runner1900z00_750 = BgL_head1835z00_736; }  else 
{ /* Object/getter.scm 105 */
obj_t BgL_newtail1837z00_742;
{ /* Object/getter.scm 105 */
obj_t BgL_arg1894z00_744;
BgL_arg1894z00_744 = 
BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(BgL_srczd2defzd2_7, BgL_jclassz00_5, BgL_jclassz00_5, 
CAR(BgL_l1833z00_737)); 
BgL_newtail1837z00_742 = 
MAKE_PAIR(BgL_arg1894z00_744, BNIL); } 
SET_CDR(BgL_tail1836z00_738, BgL_newtail1837z00_742); 
{ 
obj_t BgL_tail1836z00_1993;obj_t BgL_l1833z00_1991;
BgL_l1833z00_1991 = 
CDR(BgL_l1833z00_737); 
BgL_tail1836z00_1993 = BgL_newtail1837z00_742; 
BgL_tail1836z00_738 = BgL_tail1836z00_1993; 
BgL_l1833z00_737 = BgL_l1833z00_1991; 
goto BgL_lname1834z00_739;} } } } 
return 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner1900z00_750);} } 
}



/* gen-java-class-slot-access */
obj_t BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(obj_t BgL_srczd2defzd2_1894, BgL_jclassz00_bglt BgL_jclassz00_1893, BgL_jclassz00_bglt BgL_instance1831z00_1892, obj_t BgL_slotz00_751)
{ AN_OBJECT;
{ /* Object/getter.scm 104 */
{ /* Object/getter.scm 101 */
obj_t BgL_refz00_753;
{ /* Object/getter.scm 101 */
obj_t BgL_auxz00_1996;
{ /* Object/getter.scm 101 */
BgL_typez00_bglt BgL_obj1706z00_1556;
BgL_obj1706z00_1556 = 
(BgL_typez00_bglt)(BgL_instance1831z00_1892); 
BgL_auxz00_1996 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1556))->BgL_idz00); } 
BgL_refz00_753 = 
BGl_slotzd2directzd2refz00zzobject_getterz00(BgL_auxz00_1996, 
(obj_t)(BgL_jclassz00_1893), BgL_slotz00_751, BFALSE, BgL_srczd2defzd2_1894); } 
{ /* Object/getter.scm 102 */
bool_t BgL_testz00_2001;
{ /* Object/getter.scm 102 */
BgL_slotz00_bglt BgL_obj1751z00_1557;
BgL_obj1751z00_1557 = 
(BgL_slotz00_bglt)(BgL_slotz00_751); 
BgL_testz00_2001 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1751z00_1557))->BgL_readzd2onlyzf3z21); } 
if(BgL_testz00_2001)
{ /* Object/getter.scm 102 */
return BgL_refz00_753;}  else 
{ /* Object/getter.scm 104 */
obj_t BgL_arg1903z00_755;
{ /* Object/getter.scm 104 */
obj_t BgL_auxz00_2004;
{ /* Object/getter.scm 104 */
BgL_typez00_bglt BgL_obj1706z00_1558;
BgL_obj1706z00_1558 = 
(BgL_typez00_bglt)(BgL_instance1831z00_1892); 
BgL_auxz00_2004 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1558))->BgL_idz00); } 
BgL_arg1903z00_755 = 
BGl_slotzd2directzd2setz12z12zzobject_getterz00(BgL_auxz00_2004, 
(obj_t)(BgL_jclassz00_1893), BgL_slotz00_751, BFALSE, BgL_srczd2defzd2_1894); } 
return 
bgl_append2(BgL_refz00_753, BgL_arg1903z00_755);} } } } 
}



/* _gen-java-class-slots-access! */
obj_t BGl__genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(obj_t BgL_envz00_1888, obj_t BgL_jclassz00_1889, obj_t BgL_slotsz00_1890, obj_t BgL_srczd2defzd2_1891)
{ AN_OBJECT;
{ /* Object/getter.scm 98 */
return 
BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(
(BgL_jclassz00_bglt)(BgL_jclassz00_1889), BgL_slotsz00_1890, BgL_srczd2defzd2_1891);} 
}



/* slot-ref */
obj_t BGl_slotzd2refzd2zzobject_getterz00(BgL_tclassz00_bglt BgL_classz00_8, obj_t BgL_typez00_9, obj_t BgL_slotz00_10, obj_t BgL_wideningz00_11, obj_t BgL_srczd2defzd2_12)
{ AN_OBJECT;
{ /* Object/getter.scm 110 */
{ /* Object/getter.scm 111 */
obj_t BgL_classzd2idzd2_759;
{ /* Object/getter.scm 111 */
BgL_typez00_bglt BgL_obj1625z00_1559;
BgL_obj1625z00_1559 = 
(BgL_typez00_bglt)(BgL_classz00_8); 
BgL_classzd2idzd2_759 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1559))->BgL_idz00); } 
{ /* Object/getter.scm 113 */
bool_t BgL_testz00_2014;
{ /* Object/getter.scm 113 */
BgL_slotz00_bglt BgL_obj1763z00_1560;
BgL_obj1763z00_1560 = 
(BgL_slotz00_bglt)(BgL_slotz00_10); 
{ /* Object/getter.scm 113 */
obj_t BgL_auxz00_2016;
BgL_auxz00_2016 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_1560))->BgL_indexedz00); 
BgL_testz00_2014 = 
CBOOL(BgL_auxz00_2016); } } 
if(BgL_testz00_2014)
{ /* Object/getter.scm 113 */
{ /* Object/getter.scm 114 */
obj_t BgL_val0_1838z00_761;
BgL_val0_1838z00_761 = 
BGl_slotzd2indexedzd2refz00zzobject_getterz00(BgL_classzd2idzd2_759, BgL_typez00_9, BgL_slotz00_10, BgL_wideningz00_11, BgL_srczd2defzd2_12); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BFALSE; 
return BgL_val0_1838z00_761;} }  else 
{ /* Object/getter.scm 117 */
bool_t BgL_test1907z00_763;
BgL_test1907z00_763 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_10)); 
if(BgL_test1907z00_763)
{ /* Object/getter.scm 117 */
{ /* Object/getter.scm 118 */
obj_t BgL_userzd2defzd2_764;
BgL_userzd2defzd2_764 = 
BGl_slotzd2virtualzd2refz00zzobject_getterz00(BgL_classz00_8, BgL_typez00_9, BgL_slotz00_10, BgL_wideningz00_11, BgL_srczd2defzd2_12); 
{ /* Object/getter.scm 120 */
obj_t BgL_classzd2defzd2_765;
BgL_classzd2defzd2_765 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
if(
CBOOL(BgL_classzd2defzd2_765))
{ /* Object/getter.scm 120 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_classzd2defzd2_765; 
return BgL_userzd2defzd2_764;}  else 
{ /* Object/getter.scm 120 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BFALSE; 
return BgL_userzd2defzd2_764;} } } }  else 
{ /* Object/getter.scm 117 */
{ /* Object/getter.scm 124 */
obj_t BgL_val0_1844z00_770;
BgL_val0_1844z00_770 = 
BGl_slotzd2directzd2refz00zzobject_getterz00(BgL_classzd2idzd2_759, BgL_typez00_9, BgL_slotz00_10, BgL_wideningz00_11, BgL_srczd2defzd2_12); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BFALSE; 
return BgL_val0_1844z00_770;} } } } } } 
}



/* first-virtual-slot? */
bool_t BGl_firstzd2virtualzd2slotzf3zf3zzobject_getterz00(obj_t BgL_slotz00_13, BgL_tclassz00_bglt BgL_classz00_14)
{ AN_OBJECT;
{ /* Object/getter.scm 135 */
{ /* Object/getter.scm 136 */
obj_t BgL_vnumz00_772;obj_t BgL_superz00_773;
{ /* Object/getter.scm 136 */
BgL_slotz00_bglt BgL_obj1753z00_1561;
BgL_obj1753z00_1561 = 
(BgL_slotz00_bglt)(BgL_slotz00_13); 
BgL_vnumz00_772 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1753z00_1561))->BgL_virtualzd2numzd2); } 
{ 
obj_t BgL_auxz00_2033;
{ /* Object/getter.scm 137 */
BgL_objectz00_bglt BgL_auxz00_2034;
BgL_auxz00_2034 = 
(BgL_objectz00_bglt)(BgL_classz00_14); 
BgL_auxz00_2033 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2034); } 
BgL_superz00_773 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2033))->BgL_itszd2superzd2); } 
{ /* Object/getter.scm 138 */
bool_t BgL__ortest_1846z00_774;
{ /* Object/getter.scm 138 */
bool_t BgL_test1909z00_776;
BgL_test1909z00_776 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_773, BGl_tclassz00zzobject_classz00); 
if(BgL_test1909z00_776)
{ /* Object/getter.scm 138 */
BgL__ortest_1846z00_774 = ((bool_t)0); }  else 
{ /* Object/getter.scm 138 */
BgL__ortest_1846z00_774 = ((bool_t)1); } } 
if(BgL__ortest_1846z00_774)
{ /* Object/getter.scm 138 */
return BgL__ortest_1846z00_774;}  else 
{ /* Object/getter.scm 139 */
long BgL_auxz00_2050;long BgL_auxz00_2041;
BgL_auxz00_2050 = 
(long)CINT(BgL_vnumz00_772); 
{ /* Object/getter.scm 139 */
obj_t BgL_auxz00_2042;
{ /* Object/getter.scm 139 */
BgL_tclassz00_bglt BgL_obj1620z00_1564;
BgL_obj1620z00_1564 = 
(BgL_tclassz00_bglt)(BgL_superz00_773); 
{ 
obj_t BgL_auxz00_2044;
{ /* Object/getter.scm 139 */
BgL_objectz00_bglt BgL_auxz00_2045;
BgL_auxz00_2045 = 
(BgL_objectz00_bglt)(BgL_obj1620z00_1564); 
BgL_auxz00_2044 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2045); } 
BgL_auxz00_2042 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2044))->BgL_virtualzd2slotszd2numberz00); } } 
BgL_auxz00_2041 = 
(long)CINT(BgL_auxz00_2042); } 
return 
(BgL_auxz00_2041<=BgL_auxz00_2050);} } } } 
}



/* slot-virtual-ref */
obj_t BGl_slotzd2virtualzd2refz00zzobject_getterz00(BgL_tclassz00_bglt BgL_classz00_15, obj_t BgL_typez00_16, obj_t BgL_slotz00_17, obj_t BgL_wideningz00_18, obj_t BgL_srczd2defzd2_19)
{ AN_OBJECT;
{ /* Object/getter.scm 144 */
{ 
obj_t BgL_userzd2getterzd2_841;obj_t BgL_classzd2idzd2_842;obj_t BgL_vnumz00_843;
{ /* Object/getter.scm 158 */
obj_t BgL_classzd2idzd2_778;
{ /* Object/getter.scm 158 */
BgL_typez00_bglt BgL_obj1625z00_1567;
BgL_obj1625z00_1567 = 
(BgL_typez00_bglt)(BgL_classz00_15); 
BgL_classzd2idzd2_778 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1567))->BgL_idz00); } 
{ /* Object/getter.scm 158 */
obj_t BgL_slotzd2refzd2idz00_779;
{ /* Object/getter.scm 159 */
obj_t BgL_arg1958z00_836;
BgL_arg1958z00_836 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 159 */
obj_t BgL_list1960z00_838;
{ /* Object/getter.scm 159 */
obj_t BgL_arg1961z00_839;
{ /* Object/getter.scm 159 */
obj_t BgL_arg1962z00_840;
{ /* Object/getter.scm 159 */
obj_t BgL_auxz00_2056;
{ /* Object/getter.scm 159 */
BgL_slotz00_bglt BgL_obj1746z00_1568;
BgL_obj1746z00_1568 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_auxz00_2056 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1568))->BgL_idz00); } 
BgL_arg1962z00_840 = 
MAKE_PAIR(BgL_auxz00_2056, BNIL); } 
BgL_arg1961z00_839 = 
MAKE_PAIR(BgL_arg1958z00_836, BgL_arg1962z00_840); } 
BgL_list1960z00_838 = 
MAKE_PAIR(BgL_classzd2idzd2_778, BgL_arg1961z00_839); } 
BgL_slotzd2refzd2idz00_779 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1960z00_838); } } 
{ /* Object/getter.scm 159 */
obj_t BgL_slotzd2refzd2tidz00_780;
{ /* Object/getter.scm 160 */
obj_t BgL_auxz00_2063;
{ /* Object/getter.scm 161 */
BgL_typez00_bglt BgL_obj1002z00_1570;
{ /* Object/getter.scm 161 */
obj_t BgL_auxz00_2064;
{ /* Object/getter.scm 161 */
BgL_slotz00_bglt BgL_obj1750z00_1569;
BgL_obj1750z00_1569 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_auxz00_2064 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1569))->BgL_typez00); } 
BgL_obj1002z00_1570 = 
(BgL_typez00_bglt)(BgL_auxz00_2064); } 
BgL_auxz00_2063 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1570))->BgL_idz00); } 
BgL_slotzd2refzd2tidz00_780 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_slotzd2refzd2idz00_779, BgL_auxz00_2063); } 
{ /* Object/getter.scm 160 */
obj_t BgL_tidz00_781;
{ /* Object/getter.scm 162 */
obj_t BgL_auxz00_2070;
{ /* Object/getter.scm 162 */
BgL_typez00_bglt BgL_obj1002z00_1571;
BgL_obj1002z00_1571 = 
(BgL_typez00_bglt)(BgL_typez00_16); 
BgL_auxz00_2070 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1571))->BgL_idz00); } 
BgL_tidz00_781 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_auxz00_2070); } 
{ /* Object/getter.scm 163 */
obj_t BgL_objz00_783;
{ /* Object/getter.scm 164 */
obj_t BgL_arg1953z00_832;
BgL_arg1953z00_832 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_objz00_783 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1953z00_832); } 
{ /* Object/getter.scm 164 */
obj_t BgL_vnumz00_784;
{ /* Object/getter.scm 165 */
BgL_slotz00_bglt BgL_obj1753z00_1573;
BgL_obj1753z00_1573 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_vnumz00_784 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1753z00_1573))->BgL_virtualzd2numzd2); } 
{ /* Object/getter.scm 166 */
obj_t BgL_getterz00_786;
{ /* Object/getter.scm 166 */
BgL_slotz00_bglt BgL_obj1757z00_1574;
BgL_obj1757z00_1574 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_userzd2getterzd2_841 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1757z00_1574))->BgL_getterz00); } 
BgL_classzd2idzd2_842 = BgL_classzd2idzd2_778; 
BgL_vnumz00_843 = BgL_vnumz00_784; 
if(
BGl_firstzd2virtualzd2slotzf3zf3zzobject_getterz00(BgL_slotz00_17, BgL_classz00_15))
{ /* Object/getter.scm 146 */
BgL_getterz00_786 = BgL_userzd2getterzd2_841; }  else 
{ /* Object/getter.scm 150 */
obj_t BgL_gobjz00_846;
{ /* Object/getter.scm 150 */
obj_t BgL_arg1995z00_876;
BgL_arg1995z00_876 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_gobjz00_846 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1995z00_876); } 
{ /* Object/getter.scm 151 */
obj_t BgL_arg1965z00_847;obj_t BgL_arg1966z00_848;
BgL_arg1965z00_847 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/getter.scm 151 */
obj_t BgL_arg1967z00_849;obj_t BgL_arg1968z00_850;
BgL_arg1967z00_849 = 
MAKE_PAIR(BgL_gobjz00_846, BNIL); 
{ /* Object/getter.scm 152 */
obj_t BgL_arg1969z00_851;
{ /* Object/getter.scm 152 */
obj_t BgL_arg1971z00_853;obj_t BgL_arg1972z00_854;
BgL_arg1971z00_853 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/getter.scm 152 */
obj_t BgL_arg1973z00_855;obj_t BgL_arg1974z00_856;
{ /* Object/getter.scm 152 */
obj_t BgL_arg1975z00_857;
{ /* Object/getter.scm 152 */
obj_t BgL_arg1977z00_859;obj_t BgL_arg1978z00_860;
BgL_arg1977z00_859 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/getter.scm 153 */
obj_t BgL_arg1980z00_861;
{ /* Object/getter.scm 153 */
obj_t BgL_arg1982z00_863;obj_t BgL_arg1983z00_864;
BgL_arg1982z00_863 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/getter.scm 153 */
obj_t BgL_arg1985z00_866;
{ /* Object/getter.scm 154 */
obj_t BgL_arg1986z00_867;
{ /* Object/getter.scm 154 */
obj_t BgL_arg1988z00_869;obj_t BgL_arg1989z00_870;
BgL_arg1988z00_869 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/getter.scm 154 */
obj_t BgL_arg1990z00_871;
{ /* Object/getter.scm 154 */
obj_t BgL_arg1991z00_872;
BgL_arg1991z00_872 = 
MAKE_PAIR(BgL_vnumz00_843, BNIL); 
BgL_arg1990z00_871 = 
MAKE_PAIR(BgL_gobjz00_846, BgL_arg1991z00_872); } 
BgL_arg1989z00_870 = 
MAKE_PAIR(BgL_classzd2idzd2_842, BgL_arg1990z00_871); } 
BgL_arg1986z00_867 = 
MAKE_PAIR(BgL_arg1988z00_869, BgL_arg1989z00_870); } 
BgL_arg1985z00_866 = 
MAKE_PAIR(BgL_arg1986z00_867, BNIL); } 
BgL_arg1983z00_864 = 
MAKE_PAIR(BNIL, BgL_arg1985z00_866); } 
BgL_arg1980z00_861 = 
MAKE_PAIR(BgL_arg1982z00_863, BgL_arg1983z00_864); } 
BgL_arg1978z00_860 = 
MAKE_PAIR(BgL_arg1980z00_861, BNIL); } 
BgL_arg1975z00_857 = 
MAKE_PAIR(BgL_arg1977z00_859, BgL_arg1978z00_860); } 
BgL_arg1973z00_855 = 
MAKE_PAIR(BgL_arg1975z00_857, BNIL); } 
{ /* Object/getter.scm 157 */
obj_t BgL_arg1992z00_873;
{ /* Object/getter.scm 157 */
obj_t BgL_arg1994z00_875;
BgL_arg1994z00_875 = 
MAKE_PAIR(BgL_gobjz00_846, BNIL); 
BgL_arg1992z00_873 = 
MAKE_PAIR(BgL_userzd2getterzd2_841, BgL_arg1994z00_875); } 
BgL_arg1974z00_856 = 
MAKE_PAIR(BgL_arg1992z00_873, BNIL); } 
BgL_arg1972z00_854 = 
MAKE_PAIR(BgL_arg1973z00_855, BgL_arg1974z00_856); } 
BgL_arg1969z00_851 = 
MAKE_PAIR(BgL_arg1971z00_853, BgL_arg1972z00_854); } 
BgL_arg1968z00_850 = 
MAKE_PAIR(BgL_arg1969z00_851, BNIL); } 
BgL_arg1966z00_848 = 
MAKE_PAIR(BgL_arg1967z00_849, BgL_arg1968z00_850); } 
BgL_getterz00_786 = 
MAKE_PAIR(BgL_arg1965z00_847, BgL_arg1966z00_848); } } 
{ /* Object/getter.scm 167 */

{ /* Object/getter.scm 169 */
obj_t BgL_arg1910z00_787;
{ /* Object/getter.scm 169 */
obj_t BgL_arg1911z00_788;obj_t BgL_arg1912z00_789;
BgL_arg1911z00_788 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 169 */
obj_t BgL_arg1913z00_790;
{ /* Object/getter.scm 169 */
obj_t BgL_arg1915z00_792;obj_t BgL_arg1916z00_793;
BgL_arg1915z00_792 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 169 */
obj_t BgL_arg1917z00_794;
BgL_arg1917z00_794 = 
MAKE_PAIR(BgL_tidz00_781, BNIL); 
BgL_arg1916z00_793 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_780, BgL_arg1917z00_794); } 
BgL_arg1913z00_790 = 
MAKE_PAIR(BgL_arg1915z00_792, BgL_arg1916z00_793); } 
BgL_arg1912z00_789 = 
MAKE_PAIR(BgL_arg1913z00_790, BNIL); } 
BgL_arg1910z00_787 = 
MAKE_PAIR(BgL_arg1911z00_788, BgL_arg1912z00_789); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1910z00_787); } 
{ /* Object/getter.scm 171 */
obj_t BgL_arg1918z00_795;
{ /* Object/getter.scm 171 */
obj_t BgL_arg1919z00_796;obj_t BgL_arg1920z00_797;
BgL_arg1919z00_796 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/getter.scm 171 */
obj_t BgL_arg1921z00_798;
{ /* Object/getter.scm 171 */
obj_t BgL_arg1923z00_800;
{ /* Object/getter.scm 171 */
obj_t BgL_arg1924z00_801;obj_t BgL_arg1925z00_802;
BgL_arg1924z00_801 = 
CNST_TABLE_REF(((long)9)); 
{ /* Object/getter.scm 171 */
obj_t BgL_auxz00_2122;
BgL_auxz00_2122 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1925z00_802 = 
MAKE_PAIR(BgL_auxz00_2122, BNIL); } 
BgL_arg1923z00_800 = 
MAKE_PAIR(BgL_arg1924z00_801, BgL_arg1925z00_802); } 
BgL_arg1921z00_798 = 
MAKE_PAIR(BgL_slotzd2refzd2idz00_779, BgL_arg1923z00_800); } 
BgL_arg1920z00_797 = 
MAKE_PAIR(BgL_arg1921z00_798, BNIL); } 
BgL_arg1918z00_795 = 
MAKE_PAIR(BgL_arg1919z00_796, BgL_arg1920z00_797); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1918z00_795); } 
{ /* Object/getter.scm 172 */
obj_t BgL_val0_1847z00_803;obj_t BgL_val1_1848z00_804;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1926z00_805;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1928z00_807;obj_t BgL_arg1929z00_808;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1932z00_811;obj_t BgL_arg1933z00_812;
BgL_arg1932z00_811 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 174 */
obj_t BgL_arg1934z00_813;obj_t BgL_arg1935z00_814;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1936z00_815;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1937z00_816;
{ /* Object/getter.scm 174 */
obj_t BgL_list1939z00_818;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1940z00_819;
BgL_arg1940z00_819 = 
MAKE_PAIR(BgL_tidz00_781, BNIL); 
BgL_list1939z00_818 = 
MAKE_PAIR(BgL_objz00_783, BgL_arg1940z00_819); } 
BgL_arg1937z00_816 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1939z00_818); } 
BgL_arg1936z00_815 = 
MAKE_PAIR(BgL_arg1937z00_816, BNIL); } 
BgL_arg1934z00_813 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_780, BgL_arg1936z00_815); } 
{ /* Object/getter.scm 175 */
obj_t BgL_arg1941z00_820;
{ /* Object/getter.scm 175 */
obj_t BgL_arg1943z00_822;obj_t BgL_arg1944z00_823;
{ /* Object/getter.scm 175 */
obj_t BgL_arg1945z00_824;obj_t BgL_arg1946z00_825;
BgL_arg1945z00_824 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/getter.scm 175 */
obj_t BgL_arg1947z00_826;obj_t BgL_arg1948z00_827;
BgL_arg1947z00_826 = 
CNST_TABLE_REF(((long)13)); 
{ /* Object/getter.scm 175 */
obj_t BgL_auxz00_2138;
BgL_auxz00_2138 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg1948z00_827 = 
MAKE_PAIR(BgL_auxz00_2138, BNIL); } 
BgL_arg1946z00_825 = 
MAKE_PAIR(BgL_arg1947z00_826, BgL_arg1948z00_827); } 
BgL_arg1943z00_822 = 
MAKE_PAIR(BgL_arg1945z00_824, BgL_arg1946z00_825); } 
{ /* Object/getter.scm 175 */
obj_t BgL_arg1949z00_828;
BgL_arg1949z00_828 = 
MAKE_PAIR(BgL_vnumz00_784, BNIL); 
BgL_arg1944z00_823 = 
MAKE_PAIR(BgL_objz00_783, BgL_arg1949z00_828); } 
BgL_arg1941z00_820 = 
MAKE_PAIR(BgL_arg1943z00_822, BgL_arg1944z00_823); } 
BgL_arg1935z00_814 = 
MAKE_PAIR(BgL_arg1941z00_820, BNIL); } 
BgL_arg1933z00_812 = 
MAKE_PAIR(BgL_arg1934z00_813, BgL_arg1935z00_814); } 
BgL_arg1928z00_807 = 
MAKE_PAIR(BgL_arg1932z00_811, BgL_arg1933z00_812); } 
{ /* Object/getter.scm 176 */
bool_t BgL_test1950z00_829;
BgL_test1950z00_829 = 
BGl_iszd2azf3z21zz__objectz00(BgL_slotz00_17, BGl_slotz00zzobject_slotsz00); 
if(BgL_test1950z00_829)
{ /* Object/getter.scm 177 */
BgL_slotz00_bglt BgL_obj1748z00_1576;
BgL_obj1748z00_1576 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_arg1929z00_808 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1576))->BgL_srcz00); }  else 
{ /* Object/getter.scm 176 */
BgL_arg1929z00_808 = BgL_slotz00_17; } } 
{ /* Object/getter.scm 174 */
obj_t BgL_list1930z00_809;
{ /* Object/getter.scm 174 */
obj_t BgL_arg1931z00_810;
BgL_arg1931z00_810 = 
MAKE_PAIR(BgL_srczd2defzd2_19, BNIL); 
BgL_list1930z00_809 = 
MAKE_PAIR(BgL_arg1929z00_808, BgL_arg1931z00_810); } 
BgL_arg1926z00_805 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1928z00_807, BgL_list1930z00_809); } } 
{ /* Object/getter.scm 173 */
obj_t BgL_list1927z00_806;
BgL_list1927z00_806 = 
MAKE_PAIR(BgL_arg1926z00_805, BNIL); 
BgL_val0_1847z00_803 = BgL_list1927z00_806; } } 
{ /* Object/getter.scm 180 */
bool_t BgL_testz00_2157;
{ /* Object/getter.scm 180 */
obj_t BgL_auxz00_2160;obj_t BgL_auxz00_2158;
{ /* Object/getter.scm 180 */
BgL_slotz00_bglt BgL_obj1749z00_1579;
BgL_obj1749z00_1579 = 
(BgL_slotz00_bglt)(BgL_slotz00_17); 
BgL_auxz00_2160 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1749z00_1579))->BgL_classzd2ownerzd2); } 
BgL_auxz00_2158 = 
(obj_t)(BgL_classz00_15); 
BgL_testz00_2157 = 
(BgL_auxz00_2158==BgL_auxz00_2160); } 
if(BgL_testz00_2157)
{ /* Object/getter.scm 180 */
BgL_val1_1848z00_804 = BgL_getterz00_786; }  else 
{ /* Object/getter.scm 180 */
BgL_val1_1848z00_804 = BFALSE; } } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_val1_1848z00_804; 
return BgL_val0_1847z00_803;} } } } } } } } } } } 
}



/* slot-direct-ref */
obj_t BGl_slotzd2directzd2refz00zzobject_getterz00(obj_t BgL_classzd2idzd2_20, obj_t BgL_classz00_21, obj_t BgL_slotz00_22, obj_t BgL_wideningz00_23, obj_t BgL_srczd2defzd2_24)
{ AN_OBJECT;
{ /* Object/getter.scm 187 */
{ /* Object/getter.scm 189 */
obj_t BgL_slotzd2refzd2idz00_879;
{ /* Object/getter.scm 189 */
obj_t BgL_arg2034z00_920;
BgL_arg2034z00_920 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 189 */
obj_t BgL_list2036z00_922;
{ /* Object/getter.scm 189 */
obj_t BgL_arg2037z00_923;
{ /* Object/getter.scm 189 */
obj_t BgL_arg2038z00_924;
{ /* Object/getter.scm 189 */
obj_t BgL_auxz00_2166;
{ /* Object/getter.scm 189 */
BgL_slotz00_bglt BgL_obj1746z00_1580;
BgL_obj1746z00_1580 = 
(BgL_slotz00_bglt)(BgL_slotz00_22); 
BgL_auxz00_2166 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1580))->BgL_idz00); } 
BgL_arg2038z00_924 = 
MAKE_PAIR(BgL_auxz00_2166, BNIL); } 
BgL_arg2037z00_923 = 
MAKE_PAIR(BgL_arg2034z00_920, BgL_arg2038z00_924); } 
BgL_list2036z00_922 = 
MAKE_PAIR(BgL_classzd2idzd2_20, BgL_arg2037z00_923); } 
BgL_slotzd2refzd2idz00_879 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2036z00_922); } } 
{ /* Object/getter.scm 189 */
obj_t BgL_slotzd2refzd2tidz00_880;
{ /* Object/getter.scm 190 */
obj_t BgL_auxz00_2173;
{ /* Object/getter.scm 190 */
BgL_typez00_bglt BgL_obj1002z00_1582;
{ /* Object/getter.scm 190 */
obj_t BgL_auxz00_2174;
{ /* Object/getter.scm 190 */
BgL_slotz00_bglt BgL_obj1750z00_1581;
BgL_obj1750z00_1581 = 
(BgL_slotz00_bglt)(BgL_slotz00_22); 
BgL_auxz00_2174 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1581))->BgL_typez00); } 
BgL_obj1002z00_1582 = 
(BgL_typez00_bglt)(BgL_auxz00_2174); } 
BgL_auxz00_2173 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1582))->BgL_idz00); } 
BgL_slotzd2refzd2tidz00_880 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_slotzd2refzd2idz00_879, BgL_auxz00_2173); } 
{ /* Object/getter.scm 190 */
obj_t BgL_objz00_881;
{ /* Object/getter.scm 191 */
obj_t BgL_arg2031z00_917;
BgL_arg2031z00_917 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_objz00_881 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2031z00_917); } 
{ /* Object/getter.scm 191 */
obj_t BgL_tidz00_882;
{ /* Object/getter.scm 192 */
obj_t BgL_auxz00_2184;
{ /* Object/getter.scm 192 */
BgL_typez00_bglt BgL_obj1002z00_1583;
BgL_obj1002z00_1583 = 
(BgL_typez00_bglt)(BgL_classz00_21); 
BgL_auxz00_2184 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1583))->BgL_idz00); } 
BgL_tidz00_882 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_auxz00_2184); } 
{ /* Object/getter.scm 192 */

{ /* Object/getter.scm 194 */
obj_t BgL_arg1996z00_883;
{ /* Object/getter.scm 194 */
obj_t BgL_arg1997z00_884;obj_t BgL_arg1998z00_885;
BgL_arg1997z00_884 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 194 */
obj_t BgL_arg1999z00_886;
{ /* Object/getter.scm 194 */
obj_t BgL_arg2001z00_888;obj_t BgL_arg2002z00_889;
BgL_arg2001z00_888 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 194 */
obj_t BgL_arg2003z00_890;
BgL_arg2003z00_890 = 
MAKE_PAIR(BgL_tidz00_882, BNIL); 
BgL_arg2002z00_889 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_880, BgL_arg2003z00_890); } 
BgL_arg1999z00_886 = 
MAKE_PAIR(BgL_arg2001z00_888, BgL_arg2002z00_889); } 
BgL_arg1998z00_885 = 
MAKE_PAIR(BgL_arg1999z00_886, BNIL); } 
BgL_arg1996z00_883 = 
MAKE_PAIR(BgL_arg1997z00_884, BgL_arg1998z00_885); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1996z00_883); } 
{ /* Object/getter.scm 196 */
obj_t BgL_arg2004z00_891;
{ /* Object/getter.scm 196 */
obj_t BgL_arg2005z00_892;obj_t BgL_arg2006z00_893;
BgL_arg2005z00_892 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/getter.scm 196 */
obj_t BgL_arg2007z00_894;
{ /* Object/getter.scm 196 */
obj_t BgL_arg2009z00_896;
{ /* Object/getter.scm 196 */
obj_t BgL_arg2010z00_897;obj_t BgL_arg2011z00_898;
BgL_arg2010z00_897 = 
CNST_TABLE_REF(((long)9)); 
{ /* Object/getter.scm 196 */
obj_t BgL_auxz00_2198;
BgL_auxz00_2198 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2011z00_898 = 
MAKE_PAIR(BgL_auxz00_2198, BNIL); } 
BgL_arg2009z00_896 = 
MAKE_PAIR(BgL_arg2010z00_897, BgL_arg2011z00_898); } 
BgL_arg2007z00_894 = 
MAKE_PAIR(BgL_slotzd2refzd2idz00_879, BgL_arg2009z00_896); } 
BgL_arg2006z00_893 = 
MAKE_PAIR(BgL_arg2007z00_894, BNIL); } 
BgL_arg2004z00_891 = 
MAKE_PAIR(BgL_arg2005z00_892, BgL_arg2006z00_893); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2004z00_891); } 
{ /* Object/getter.scm 198 */
obj_t BgL_arg2012z00_899;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2014z00_901;obj_t BgL_arg2015z00_902;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2019z00_905;obj_t BgL_arg2020z00_906;
BgL_arg2019z00_905 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 198 */
obj_t BgL_arg2021z00_907;obj_t BgL_arg2022z00_908;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2023z00_909;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2024z00_910;
{ /* Object/getter.scm 198 */
obj_t BgL_list2026z00_912;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2027z00_913;
BgL_arg2027z00_913 = 
MAKE_PAIR(BgL_tidz00_882, BNIL); 
BgL_list2026z00_912 = 
MAKE_PAIR(BgL_objz00_881, BgL_arg2027z00_913); } 
BgL_arg2024z00_910 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2026z00_912); } 
BgL_arg2023z00_909 = 
MAKE_PAIR(BgL_arg2024z00_910, BNIL); } 
BgL_arg2021z00_907 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_880, BgL_arg2023z00_909); } 
{ /* Object/getter.scm 199 */
obj_t BgL_arg2028z00_914;
BgL_arg2028z00_914 = 
BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_classz00_21), 
(BgL_slotz00_bglt)(BgL_slotz00_22), BgL_objz00_881, BgL_wideningz00_23); 
BgL_arg2022z00_908 = 
MAKE_PAIR(BgL_arg2028z00_914, BNIL); } 
BgL_arg2020z00_906 = 
MAKE_PAIR(BgL_arg2021z00_907, BgL_arg2022z00_908); } 
BgL_arg2014z00_901 = 
MAKE_PAIR(BgL_arg2019z00_905, BgL_arg2020z00_906); } 
{ /* Object/getter.scm 198 */
BgL_slotz00_bglt BgL_obj1748z00_1584;
BgL_obj1748z00_1584 = 
(BgL_slotz00_bglt)(BgL_slotz00_22); 
BgL_arg2015z00_902 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1584))->BgL_srcz00); } 
{ /* Object/getter.scm 198 */
obj_t BgL_list2016z00_903;
{ /* Object/getter.scm 198 */
obj_t BgL_arg2017z00_904;
BgL_arg2017z00_904 = 
MAKE_PAIR(BgL_srczd2defzd2_24, BNIL); 
BgL_list2016z00_903 = 
MAKE_PAIR(BgL_arg2015z00_902, BgL_arg2017z00_904); } 
BgL_arg2012z00_899 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2014z00_901, BgL_list2016z00_903); } } 
{ /* Object/getter.scm 197 */
obj_t BgL_list2013z00_900;
BgL_list2013z00_900 = 
MAKE_PAIR(BgL_arg2012z00_899, BNIL); 
return BgL_list2013z00_900;} } } } } } } } 
}



/* slot-indexed-ref */
obj_t BGl_slotzd2indexedzd2refz00zzobject_getterz00(obj_t BgL_classzd2idzd2_25, obj_t BgL_typez00_26, obj_t BgL_slotz00_27, obj_t BgL_wideningz00_28, obj_t BgL_srczd2defzd2_29)
{ AN_OBJECT;
{ /* Object/getter.scm 207 */
{ 
obj_t BgL_sidz00_1042;obj_t BgL_idz00_1043;obj_t BgL_tidz00_1044;obj_t BgL_sidz00_978;obj_t BgL_idz00_979;obj_t BgL_tidz00_980;
{ /* Object/getter.scm 219 */
obj_t BgL_slotzd2refzd2idz00_928;
{ /* Object/getter.scm 219 */
obj_t BgL_arg2079z00_971;obj_t BgL_arg2080z00_972;
BgL_arg2079z00_971 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 219 */
BgL_slotz00_bglt BgL_obj1746z00_1587;
BgL_obj1746z00_1587 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_arg2080z00_972 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1587))->BgL_idz00); } 
{ /* Object/getter.scm 219 */
obj_t BgL_list2082z00_974;
{ /* Object/getter.scm 219 */
obj_t BgL_arg2083z00_975;
{ /* Object/getter.scm 219 */
obj_t BgL_arg2084z00_976;
{ /* Object/getter.scm 219 */
obj_t BgL_arg2085z00_977;
{ /* Object/getter.scm 219 */
obj_t BgL_auxz00_2227;
BgL_auxz00_2227 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2085z00_977 = 
MAKE_PAIR(BgL_auxz00_2227, BNIL); } 
BgL_arg2084z00_976 = 
MAKE_PAIR(BgL_arg2080z00_972, BgL_arg2085z00_977); } 
BgL_arg2083z00_975 = 
MAKE_PAIR(BgL_arg2079z00_971, BgL_arg2084z00_976); } 
BgL_list2082z00_974 = 
MAKE_PAIR(BgL_classzd2idzd2_25, BgL_arg2083z00_975); } 
BgL_slotzd2refzd2idz00_928 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2082z00_974); } } 
{ /* Object/getter.scm 219 */
obj_t BgL_slotzd2refzd2tidz00_929;
{ /* Object/getter.scm 220 */
obj_t BgL_auxz00_2234;
{ /* Object/getter.scm 220 */
BgL_typez00_bglt BgL_obj1002z00_1589;
{ /* Object/getter.scm 220 */
obj_t BgL_auxz00_2235;
{ /* Object/getter.scm 220 */
BgL_slotz00_bglt BgL_obj1750z00_1588;
BgL_obj1750z00_1588 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_auxz00_2235 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1588))->BgL_typez00); } 
BgL_obj1002z00_1589 = 
(BgL_typez00_bglt)(BgL_auxz00_2235); } 
BgL_auxz00_2234 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1589))->BgL_idz00); } 
BgL_slotzd2refzd2tidz00_929 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_slotzd2refzd2idz00_928, BgL_auxz00_2234); } 
{ /* Object/getter.scm 220 */
obj_t BgL_tidz00_930;
BgL_tidz00_930 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_classzd2idzd2_25); 
{ /* Object/getter.scm 221 */

{ /* Object/getter.scm 223 */
obj_t BgL_arg2039z00_931;
{ /* Object/getter.scm 223 */
obj_t BgL_arg2040z00_932;obj_t BgL_arg2041z00_933;
BgL_arg2040z00_932 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/getter.scm 223 */
obj_t BgL_arg2042z00_934;
{ /* Object/getter.scm 223 */
obj_t BgL_arg2044z00_936;
{ /* Object/getter.scm 223 */
obj_t BgL_arg2045z00_937;obj_t BgL_arg2046z00_938;
BgL_arg2045z00_937 = 
CNST_TABLE_REF(((long)9)); 
{ /* Object/getter.scm 223 */
obj_t BgL_auxz00_2244;
BgL_auxz00_2244 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2046z00_938 = 
MAKE_PAIR(BgL_auxz00_2244, BNIL); } 
BgL_arg2044z00_936 = 
MAKE_PAIR(BgL_arg2045z00_937, BgL_arg2046z00_938); } 
BgL_arg2042z00_934 = 
MAKE_PAIR(BgL_slotzd2refzd2idz00_928, BgL_arg2044z00_936); } 
BgL_arg2041z00_933 = 
MAKE_PAIR(BgL_arg2042z00_934, BNIL); } 
BgL_arg2039z00_931 = 
MAKE_PAIR(BgL_arg2040z00_932, BgL_arg2041z00_933); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2039z00_931); } 
if(
CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
{ /* Object/getter.scm 225 */
{ /* Object/getter.scm 234 */
obj_t BgL_arg2047z00_939;
{ /* Object/getter.scm 234 */
obj_t BgL_arg2048z00_940;obj_t BgL_arg2049z00_941;
BgL_arg2048z00_940 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 234 */
obj_t BgL_arg2050z00_942;
{ /* Object/getter.scm 234 */
obj_t BgL_arg2052z00_944;obj_t BgL_arg2053z00_945;
BgL_arg2052z00_944 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 234 */
obj_t BgL_arg2054z00_946;
{ /* Object/getter.scm 234 */
obj_t BgL_arg2055z00_947;
{ /* Object/getter.scm 234 */
obj_t BgL_auxz00_2256;
BgL_auxz00_2256 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg2055z00_947 = 
MAKE_PAIR(BgL_auxz00_2256, BNIL); } 
BgL_arg2054z00_946 = 
MAKE_PAIR(BgL_tidz00_930, BgL_arg2055z00_947); } 
BgL_arg2053z00_945 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_929, BgL_arg2054z00_946); } 
BgL_arg2050z00_942 = 
MAKE_PAIR(BgL_arg2052z00_944, BgL_arg2053z00_945); } 
BgL_arg2049z00_941 = 
MAKE_PAIR(BgL_arg2050z00_942, BNIL); } 
BgL_arg2047z00_939 = 
MAKE_PAIR(BgL_arg2048z00_940, BgL_arg2049z00_941); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2047z00_939); } 
{ /* Object/getter.scm 236 */
obj_t BgL_arg2056z00_948;
{ /* Object/getter.scm 236 */
obj_t BgL_arg2058z00_950;obj_t BgL_arg2059z00_951;
{ /* Object/getter.scm 236 */
BgL_slotz00_bglt BgL_obj1746z00_1590;
BgL_obj1746z00_1590 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_sidz00_1042 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1590))->BgL_idz00); } 
BgL_idz00_1043 = BgL_slotzd2refzd2idz00_928; 
BgL_tidz00_1044 = BgL_slotzd2refzd2tidz00_929; 
{ /* Object/getter.scm 209 */
obj_t BgL_arg2148z00_1046;obj_t BgL_arg2149z00_1047;
BgL_arg2148z00_1046 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 209 */
obj_t BgL_arg2150z00_1048;obj_t BgL_arg2151z00_1049;
{ /* Object/getter.scm 209 */
obj_t BgL_arg2152z00_1050;
{ /* Object/getter.scm 209 */
obj_t BgL_arg2153z00_1051;obj_t BgL_arg2154z00_1052;
{ /* Object/getter.scm 209 */
obj_t BgL_auxz00_2266;
{ /* Object/getter.scm 209 */
BgL_typez00_bglt BgL_obj1002z00_1599;
BgL_obj1002z00_1599 = 
(BgL_typez00_bglt)(BgL_typez00_26); 
BgL_auxz00_2266 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1599))->BgL_idz00); } 
BgL_arg2153z00_1051 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)16)), BgL_auxz00_2266); } 
{ /* Object/getter.scm 209 */
obj_t BgL_auxz00_2271;
BgL_auxz00_2271 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2154z00_1052 = 
MAKE_PAIR(BgL_auxz00_2271, BNIL); } 
BgL_arg2152z00_1050 = 
MAKE_PAIR(BgL_arg2153z00_1051, BgL_arg2154z00_1052); } 
BgL_arg2150z00_1048 = 
MAKE_PAIR(BgL_tidz00_1044, BgL_arg2152z00_1050); } 
{ /* Object/getter.scm 210 */
obj_t BgL_arg2157z00_1055;
BgL_arg2157z00_1055 = 
BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_26), 
(BgL_slotz00_bglt)(BgL_slotz00_27), 
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)20)), BgL_wideningz00_28); 
BgL_arg2151z00_1049 = 
MAKE_PAIR(BgL_arg2157z00_1055, BNIL); } 
BgL_arg2149z00_1047 = 
MAKE_PAIR(BgL_arg2150z00_1048, BgL_arg2151z00_1049); } 
BgL_arg2058z00_950 = 
MAKE_PAIR(BgL_arg2148z00_1046, BgL_arg2149z00_1047); } 
{ /* Object/getter.scm 236 */
BgL_slotz00_bglt BgL_obj1748z00_1591;
BgL_obj1748z00_1591 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_arg2059z00_951 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1591))->BgL_srcz00); } 
{ /* Object/getter.scm 236 */
obj_t BgL_list2060z00_952;
{ /* Object/getter.scm 236 */
obj_t BgL_arg2061z00_953;
BgL_arg2061z00_953 = 
MAKE_PAIR(BgL_srczd2defzd2_29, BNIL); 
BgL_list2060z00_952 = 
MAKE_PAIR(BgL_arg2059z00_951, BgL_arg2061z00_953); } 
BgL_arg2056z00_948 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2058z00_950, BgL_list2060z00_952); } } 
{ /* Object/getter.scm 235 */
obj_t BgL_list2057z00_949;
BgL_list2057z00_949 = 
MAKE_PAIR(BgL_arg2056z00_948, BNIL); 
return BgL_list2057z00_949;} } }  else 
{ /* Object/getter.scm 225 */
{ /* Object/getter.scm 227 */
obj_t BgL_arg2063z00_955;
{ /* Object/getter.scm 227 */
obj_t BgL_arg2064z00_956;obj_t BgL_arg2065z00_957;
BgL_arg2064z00_956 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 227 */
obj_t BgL_arg2066z00_958;
{ /* Object/getter.scm 227 */
obj_t BgL_arg2068z00_960;
{ /* Object/getter.scm 227 */
obj_t BgL_arg2069z00_961;
{ /* Object/getter.scm 227 */
obj_t BgL_auxz00_2293;
BgL_auxz00_2293 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg2069z00_961 = 
MAKE_PAIR(BgL_auxz00_2293, BNIL); } 
BgL_arg2068z00_960 = 
MAKE_PAIR(BgL_tidz00_930, BgL_arg2069z00_961); } 
BgL_arg2066z00_958 = 
MAKE_PAIR(BgL_slotzd2refzd2tidz00_929, BgL_arg2068z00_960); } 
BgL_arg2065z00_957 = 
MAKE_PAIR(BgL_arg2066z00_958, BNIL); } 
BgL_arg2063z00_955 = 
MAKE_PAIR(BgL_arg2064z00_956, BgL_arg2065z00_957); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2063z00_955); } 
{ /* Object/getter.scm 229 */
obj_t BgL_arg2070z00_962;
{ /* Object/getter.scm 229 */
obj_t BgL_arg2072z00_964;obj_t BgL_arg2073z00_965;
{ /* Object/getter.scm 229 */
BgL_slotz00_bglt BgL_obj1746z00_1594;
BgL_obj1746z00_1594 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_sidz00_978 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1594))->BgL_idz00); } 
BgL_idz00_979 = BgL_slotzd2refzd2idz00_928; 
BgL_tidz00_980 = BgL_slotzd2refzd2tidz00_929; 
{ /* Object/getter.scm 212 */
obj_t BgL_arg2087z00_982;obj_t BgL_arg2088z00_983;
BgL_arg2087z00_982 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/getter.scm 212 */
obj_t BgL_arg2089z00_984;obj_t BgL_arg2090z00_985;
{ /* Object/getter.scm 212 */
obj_t BgL_arg2091z00_986;
{ /* Object/getter.scm 212 */
obj_t BgL_arg2092z00_987;obj_t BgL_arg2093z00_988;
{ /* Object/getter.scm 212 */
obj_t BgL_auxz00_2302;
{ /* Object/getter.scm 212 */
BgL_typez00_bglt BgL_obj1002z00_1598;
BgL_obj1002z00_1598 = 
(BgL_typez00_bglt)(BgL_typez00_26); 
BgL_auxz00_2302 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1598))->BgL_idz00); } 
BgL_arg2092z00_987 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)16)), BgL_auxz00_2302); } 
{ /* Object/getter.scm 212 */
obj_t BgL_auxz00_2307;
BgL_auxz00_2307 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2093z00_988 = 
MAKE_PAIR(BgL_auxz00_2307, BNIL); } 
BgL_arg2091z00_986 = 
MAKE_PAIR(BgL_arg2092z00_987, BgL_arg2093z00_988); } 
BgL_arg2089z00_984 = 
MAKE_PAIR(BgL_tidz00_980, BgL_arg2091z00_986); } 
{ /* Object/getter.scm 213 */
obj_t BgL_arg2096z00_991;
{ /* Object/getter.scm 213 */
obj_t BgL_arg2098z00_993;obj_t BgL_arg2099z00_994;
BgL_arg2098z00_993 = 
CNST_TABLE_REF(((long)18)); 
{ /* Object/getter.scm 213 */
obj_t BgL_arg2100z00_995;obj_t BgL_arg2101z00_996;
{ /* Object/getter.scm 213 */
obj_t BgL_arg2102z00_997;obj_t BgL_arg2103z00_998;
BgL_arg2102z00_997 = 
CNST_TABLE_REF(((long)19)); 
{ /* Object/getter.scm 213 */
obj_t BgL_arg2104z00_999;obj_t BgL_arg2105z00_1000;
BgL_arg2104z00_999 = 
CNST_TABLE_REF(((long)20)); 
{ /* Object/getter.scm 213 */
obj_t BgL_auxz00_2315;
BgL_auxz00_2315 = 
BINT(((long)0)); 
BgL_arg2105z00_1000 = 
MAKE_PAIR(BgL_auxz00_2315, BNIL); } 
BgL_arg2103z00_998 = 
MAKE_PAIR(BgL_arg2104z00_999, BgL_arg2105z00_1000); } 
BgL_arg2100z00_995 = 
MAKE_PAIR(BgL_arg2102z00_997, BgL_arg2103z00_998); } 
{ /* Object/getter.scm 214 */
obj_t BgL_arg2106z00_1001;obj_t BgL_arg2107z00_1002;
{ /* Object/getter.scm 214 */
obj_t BgL_arg2108z00_1003;obj_t BgL_arg2109z00_1004;
BgL_arg2108z00_1003 = 
CNST_TABLE_REF(((long)18)); 
{ /* Object/getter.scm 214 */
obj_t BgL_arg2110z00_1005;obj_t BgL_arg2111z00_1006;
{ /* Object/getter.scm 214 */
obj_t BgL_arg2112z00_1007;obj_t BgL_arg2113z00_1008;
BgL_arg2112z00_1007 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/getter.scm 214 */
obj_t BgL_arg2114z00_1009;obj_t BgL_arg2115z00_1010;
BgL_arg2114z00_1009 = 
CNST_TABLE_REF(((long)20)); 
{ /* Object/getter.scm 214 */
obj_t BgL_arg2116z00_1011;
{ /* Object/getter.scm 214 */
obj_t BgL_arg2118z00_1013;obj_t BgL_arg2119z00_1014;
{ /* Object/getter.scm 214 */
obj_t BgL_list2120z00_1015;
{ /* Object/getter.scm 214 */
obj_t BgL_arg2121z00_1016;
{ /* Object/getter.scm 214 */
obj_t BgL_arg2122z00_1017;obj_t BgL_arg2123z00_1018;
BgL_arg2122z00_1017 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 214 */
obj_t BgL_arg2124z00_1019;
{ /* Object/getter.scm 214 */
obj_t BgL_auxz00_2324;
BgL_auxz00_2324 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2124z00_1019 = 
MAKE_PAIR(BgL_auxz00_2324, BNIL); } 
BgL_arg2123z00_1018 = 
MAKE_PAIR(BgL_sidz00_978, BgL_arg2124z00_1019); } 
BgL_arg2121z00_1016 = 
MAKE_PAIR(BgL_arg2122z00_1017, BgL_arg2123z00_1018); } 
BgL_list2120z00_1015 = 
MAKE_PAIR(BgL_classzd2idzd2_25, BgL_arg2121z00_1016); } 
BgL_arg2118z00_1013 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2120z00_1015); } 
{ /* Object/getter.scm 214 */
obj_t BgL_auxz00_2331;
BgL_auxz00_2331 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg2119z00_1014 = 
MAKE_PAIR(BgL_auxz00_2331, BNIL); } 
BgL_arg2116z00_1011 = 
MAKE_PAIR(BgL_arg2118z00_1013, BgL_arg2119z00_1014); } 
BgL_arg2115z00_1010 = 
MAKE_PAIR(BgL_arg2116z00_1011, BNIL); } 
BgL_arg2113z00_1008 = 
MAKE_PAIR(BgL_arg2114z00_1009, BgL_arg2115z00_1010); } 
BgL_arg2110z00_1005 = 
MAKE_PAIR(BgL_arg2112z00_1007, BgL_arg2113z00_1008); } 
{ /* Object/getter.scm 215 */
obj_t BgL_arg2125z00_1020;obj_t BgL_arg2126z00_1021;
BgL_arg2125z00_1020 = 
BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_26), 
(BgL_slotz00_bglt)(BgL_slotz00_27), 
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)20)), BgL_wideningz00_28); 
{ /* Object/getter.scm 216 */
obj_t BgL_arg2127z00_1022;
{ /* Object/getter.scm 216 */
obj_t BgL_arg2129z00_1024;obj_t BgL_arg2130z00_1025;
BgL_arg2129z00_1024 = 
CNST_TABLE_REF(((long)23)); 
{ /* Object/getter.scm 216 */
obj_t BgL_arg2131z00_1026;obj_t BgL_arg2132z00_1027;
{ /* Object/getter.scm 216 */
obj_t BgL_arg2133z00_1028;obj_t BgL_arg2134z00_1029;
BgL_arg2133z00_1028 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2134z00_1029 = 
MAKE_PAIR(BgL_idz00_979, BNIL); 
BgL_arg2131z00_1026 = 
MAKE_PAIR(BgL_arg2133z00_1028, BgL_arg2134z00_1029); } 
{ /* Object/getter.scm 216 */
obj_t BgL_arg2136z00_1031;
{ /* Object/getter.scm 216 */
obj_t BgL_auxz00_2347;
BgL_auxz00_2347 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2136z00_1031 = 
MAKE_PAIR(BgL_auxz00_2347, BNIL); } 
BgL_arg2132z00_1027 = 
MAKE_PAIR(BGl_string2445z00zzobject_getterz00, BgL_arg2136z00_1031); } 
BgL_arg2130z00_1025 = 
MAKE_PAIR(BgL_arg2131z00_1026, BgL_arg2132z00_1027); } 
BgL_arg2127z00_1022 = 
MAKE_PAIR(BgL_arg2129z00_1024, BgL_arg2130z00_1025); } 
BgL_arg2126z00_1021 = 
MAKE_PAIR(BgL_arg2127z00_1022, BNIL); } 
BgL_arg2111z00_1006 = 
MAKE_PAIR(BgL_arg2125z00_1020, BgL_arg2126z00_1021); } 
BgL_arg2109z00_1004 = 
MAKE_PAIR(BgL_arg2110z00_1005, BgL_arg2111z00_1006); } 
BgL_arg2106z00_1001 = 
MAKE_PAIR(BgL_arg2108z00_1003, BgL_arg2109z00_1004); } 
{ /* Object/getter.scm 217 */
obj_t BgL_arg2137z00_1032;
{ /* Object/getter.scm 217 */
obj_t BgL_arg2139z00_1034;obj_t BgL_arg2140z00_1035;
BgL_arg2139z00_1034 = 
CNST_TABLE_REF(((long)23)); 
{ /* Object/getter.scm 217 */
obj_t BgL_arg2141z00_1036;obj_t BgL_arg2142z00_1037;
{ /* Object/getter.scm 217 */
obj_t BgL_arg2143z00_1038;obj_t BgL_arg2144z00_1039;
BgL_arg2143z00_1038 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2144z00_1039 = 
MAKE_PAIR(BgL_idz00_979, BNIL); 
BgL_arg2141z00_1036 = 
MAKE_PAIR(BgL_arg2143z00_1038, BgL_arg2144z00_1039); } 
{ /* Object/getter.scm 217 */
obj_t BgL_arg2146z00_1041;
{ /* Object/getter.scm 217 */
obj_t BgL_auxz00_2361;
BgL_auxz00_2361 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2146z00_1041 = 
MAKE_PAIR(BgL_auxz00_2361, BNIL); } 
BgL_arg2142z00_1037 = 
MAKE_PAIR(BGl_string2445z00zzobject_getterz00, BgL_arg2146z00_1041); } 
BgL_arg2140z00_1035 = 
MAKE_PAIR(BgL_arg2141z00_1036, BgL_arg2142z00_1037); } 
BgL_arg2137z00_1032 = 
MAKE_PAIR(BgL_arg2139z00_1034, BgL_arg2140z00_1035); } 
BgL_arg2107z00_1002 = 
MAKE_PAIR(BgL_arg2137z00_1032, BNIL); } 
BgL_arg2101z00_996 = 
MAKE_PAIR(BgL_arg2106z00_1001, BgL_arg2107z00_1002); } 
BgL_arg2099z00_994 = 
MAKE_PAIR(BgL_arg2100z00_995, BgL_arg2101z00_996); } 
BgL_arg2096z00_991 = 
MAKE_PAIR(BgL_arg2098z00_993, BgL_arg2099z00_994); } 
BgL_arg2090z00_985 = 
MAKE_PAIR(BgL_arg2096z00_991, BNIL); } 
BgL_arg2088z00_983 = 
MAKE_PAIR(BgL_arg2089z00_984, BgL_arg2090z00_985); } 
BgL_arg2072z00_964 = 
MAKE_PAIR(BgL_arg2087z00_982, BgL_arg2088z00_983); } 
{ /* Object/getter.scm 229 */
BgL_slotz00_bglt BgL_obj1748z00_1595;
BgL_obj1748z00_1595 = 
(BgL_slotz00_bglt)(BgL_slotz00_27); 
BgL_arg2073z00_965 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1595))->BgL_srcz00); } 
{ /* Object/getter.scm 229 */
obj_t BgL_list2074z00_966;
{ /* Object/getter.scm 229 */
obj_t BgL_arg2075z00_967;
BgL_arg2075z00_967 = 
MAKE_PAIR(BgL_srczd2defzd2_29, BNIL); 
BgL_list2074z00_966 = 
MAKE_PAIR(BgL_arg2073z00_965, BgL_arg2075z00_967); } 
BgL_arg2070z00_962 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2072z00_964, BgL_list2074z00_966); } } 
{ /* Object/getter.scm 228 */
obj_t BgL_list2071z00_963;
BgL_list2071z00_963 = 
MAKE_PAIR(BgL_arg2070z00_962, BNIL); 
return BgL_list2071z00_963;} } } } } } } } } 
}



/* slot-set! */
obj_t BGl_slotzd2setz12zc0zzobject_getterz00(BgL_tclassz00_bglt BgL_classz00_30, obj_t BgL_typez00_31, obj_t BgL_slotz00_32, obj_t BgL_wideningz00_33, obj_t BgL_srczd2defzd2_34)
{ AN_OBJECT;
{ /* Object/getter.scm 243 */
{ /* Object/getter.scm 244 */
obj_t BgL_classzd2idzd2_1059;
{ /* Object/getter.scm 244 */
BgL_typez00_bglt BgL_obj1625z00_1600;
BgL_obj1625z00_1600 = 
(BgL_typez00_bglt)(BgL_classz00_30); 
BgL_classzd2idzd2_1059 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1600))->BgL_idz00); } 
{ /* Object/getter.scm 246 */
bool_t BgL_testz00_2384;
{ /* Object/getter.scm 246 */
BgL_slotz00_bglt BgL_obj1763z00_1601;
BgL_obj1763z00_1601 = 
(BgL_slotz00_bglt)(BgL_slotz00_32); 
{ /* Object/getter.scm 246 */
obj_t BgL_auxz00_2386;
BgL_auxz00_2386 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_1601))->BgL_indexedz00); 
BgL_testz00_2384 = 
CBOOL(BgL_auxz00_2386); } } 
if(BgL_testz00_2384)
{ /* Object/getter.scm 246 */
{ /* Object/getter.scm 247 */
obj_t BgL_val0_1853z00_1061;
BgL_val0_1853z00_1061 = 
BGl_slotzd2indexedzd2setz12z12zzobject_getterz00(BgL_classzd2idzd2_1059, BgL_typez00_31, BgL_slotz00_32, BgL_wideningz00_33, BgL_srczd2defzd2_34); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BFALSE; 
return BgL_val0_1853z00_1061;} }  else 
{ /* Object/getter.scm 250 */
bool_t BgL_test2160z00_1063;
BgL_test2160z00_1063 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_32)); 
if(BgL_test2160z00_1063)
{ /* Object/getter.scm 250 */
{ /* Object/getter.scm 251 */
obj_t BgL_userzd2defzd2_1064;
BgL_userzd2defzd2_1064 = 
BGl_slotzd2virtualzd2setz12z12zzobject_getterz00(BgL_classz00_30, BgL_typez00_31, BgL_slotz00_32, BgL_wideningz00_33, BgL_srczd2defzd2_34); 
{ /* Object/getter.scm 253 */
obj_t BgL_classzd2defzd2_1065;
BgL_classzd2defzd2_1065 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_classzd2defzd2_1065; 
return BgL_userzd2defzd2_1064;} } }  else 
{ /* Object/getter.scm 250 */
{ /* Object/getter.scm 255 */
obj_t BgL_val0_1857z00_1068;
BgL_val0_1857z00_1068 = 
BGl_slotzd2directzd2setz12z12zzobject_getterz00(BgL_classzd2idzd2_1059, BgL_typez00_31, BgL_slotz00_32, BgL_wideningz00_33, BgL_srczd2defzd2_34); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BFALSE; 
return BgL_val0_1857z00_1068;} } } } } } 
}



/* slot-virtual-set! */
obj_t BGl_slotzd2virtualzd2setz12z12zzobject_getterz00(BgL_tclassz00_bglt BgL_classz00_35, obj_t BgL_typez00_36, obj_t BgL_slotz00_37, obj_t BgL_wideningz00_38, obj_t BgL_srcz00_39)
{ AN_OBJECT;
{ /* Object/getter.scm 262 */
{ 
obj_t BgL_userzd2setterzd2_1135;obj_t BgL_classzd2idzd2_1136;obj_t BgL_vnumz00_1137;
{ /* Object/getter.scm 278 */
obj_t BgL_classzd2idzd2_1071;
{ /* Object/getter.scm 278 */
BgL_typez00_bglt BgL_obj1625z00_1602;
BgL_obj1625z00_1602 = 
(BgL_typez00_bglt)(BgL_classz00_35); 
BgL_classzd2idzd2_1071 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1602))->BgL_idz00); } 
{ /* Object/getter.scm 278 */
obj_t BgL_slotzd2setz12zd2idz12_1072;
{ /* Object/getter.scm 279 */
obj_t BgL_arg2205z00_1128;obj_t BgL_arg2206z00_1129;
BgL_arg2205z00_1128 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 279 */
BgL_slotz00_bglt BgL_obj1746z00_1603;
BgL_obj1746z00_1603 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_arg2206z00_1129 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1603))->BgL_idz00); } 
{ /* Object/getter.scm 279 */
obj_t BgL_list2208z00_1131;
{ /* Object/getter.scm 279 */
obj_t BgL_arg2209z00_1132;
{ /* Object/getter.scm 279 */
obj_t BgL_arg2210z00_1133;
{ /* Object/getter.scm 279 */
obj_t BgL_arg2211z00_1134;
{ /* Object/getter.scm 279 */
obj_t BgL_auxz00_2403;
BgL_auxz00_2403 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg2211z00_1134 = 
MAKE_PAIR(BgL_auxz00_2403, BNIL); } 
BgL_arg2210z00_1133 = 
MAKE_PAIR(BgL_arg2206z00_1129, BgL_arg2211z00_1134); } 
BgL_arg2209z00_1132 = 
MAKE_PAIR(BgL_arg2205z00_1128, BgL_arg2210z00_1133); } 
BgL_list2208z00_1131 = 
MAKE_PAIR(BgL_classzd2idzd2_1071, BgL_arg2209z00_1132); } 
BgL_slotzd2setz12zd2idz12_1072 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2208z00_1131); } } 
{ /* Object/getter.scm 279 */
obj_t BgL_slotzd2setz12zd2tidz12_1073;
{ /* Object/getter.scm 280 */
obj_t BgL_list2203z00_1126;
{ /* Object/getter.scm 280 */
obj_t BgL_arg2204z00_1127;
{ /* Object/getter.scm 280 */
obj_t BgL_auxz00_2410;
BgL_auxz00_2410 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2204z00_1127 = 
MAKE_PAIR(BgL_auxz00_2410, BNIL); } 
BgL_list2203z00_1126 = 
MAKE_PAIR(BgL_slotzd2setz12zd2idz12_1072, BgL_arg2204z00_1127); } 
BgL_slotzd2setz12zd2tidz12_1073 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2203z00_1126); } 
{ /* Object/getter.scm 280 */
obj_t BgL_tidz00_1074;
{ /* Object/getter.scm 281 */
obj_t BgL_auxz00_2415;
{ /* Object/getter.scm 281 */
BgL_typez00_bglt BgL_obj1002z00_1604;
BgL_obj1002z00_1604 = 
(BgL_typez00_bglt)(BgL_typez00_36); 
BgL_auxz00_2415 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1604))->BgL_idz00); } 
BgL_tidz00_1074 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_auxz00_2415); } 
{ /* Object/getter.scm 282 */
obj_t BgL_vzd2idzd2_1076;
{ /* Object/getter.scm 283 */
obj_t BgL_arg2201z00_1124;
BgL_arg2201z00_1124 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)32)), BEOA); 
BgL_vzd2idzd2_1076 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2201z00_1124); } 
{ /* Object/getter.scm 283 */
obj_t BgL_objz00_1077;
{ /* Object/getter.scm 284 */
obj_t BgL_arg2200z00_1123;
BgL_arg2200z00_1123 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_objz00_1077 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2200z00_1123); } 
{ /* Object/getter.scm 284 */
obj_t BgL_vzd2tidzd2_1078;
{ /* Object/getter.scm 285 */
obj_t BgL_auxz00_2427;
{ /* Object/getter.scm 285 */
BgL_typez00_bglt BgL_obj1002z00_1607;
{ /* Object/getter.scm 285 */
obj_t BgL_auxz00_2428;
{ /* Object/getter.scm 285 */
BgL_slotz00_bglt BgL_obj1750z00_1606;
BgL_obj1750z00_1606 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_auxz00_2428 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1606))->BgL_typez00); } 
BgL_obj1002z00_1607 = 
(BgL_typez00_bglt)(BgL_auxz00_2428); } 
BgL_auxz00_2427 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1607))->BgL_idz00); } 
BgL_vzd2tidzd2_1078 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_vzd2idzd2_1076, BgL_auxz00_2427); } 
{ /* Object/getter.scm 285 */
obj_t BgL_vnumz00_1079;
{ /* Object/getter.scm 286 */
BgL_slotz00_bglt BgL_obj1753z00_1608;
BgL_obj1753z00_1608 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_vnumz00_1079 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1753z00_1608))->BgL_virtualzd2numzd2); } 
{ /* Object/getter.scm 287 */
obj_t BgL_setterz00_1081;
{ /* Object/getter.scm 287 */
BgL_slotz00_bglt BgL_obj1760z00_1609;
BgL_obj1760z00_1609 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_userzd2setterzd2_1135 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1760z00_1609))->BgL_setterz00); } 
BgL_classzd2idzd2_1136 = BgL_classzd2idzd2_1071; 
BgL_vnumz00_1137 = BgL_vnumz00_1079; 
if(
BGl_firstzd2virtualzd2slotzf3zf3zzobject_getterz00(BgL_slotz00_37, BgL_classz00_35))
{ /* Object/getter.scm 264 */
BgL_setterz00_1081 = BgL_userzd2setterzd2_1135; }  else 
{ /* Object/getter.scm 268 */
obj_t BgL_sobjz00_1140;obj_t BgL_svalz00_1141;
{ /* Object/getter.scm 268 */
obj_t BgL_arg2249z00_1174;
BgL_arg2249z00_1174 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)27)), BEOA); 
BgL_sobjz00_1140 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2249z00_1174); } 
{ /* Object/getter.scm 269 */
obj_t BgL_arg2250z00_1175;
BgL_arg2250z00_1175 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)28)), BEOA); 
BgL_svalz00_1141 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2250z00_1175); } 
{ /* Object/getter.scm 270 */
obj_t BgL_arg2214z00_1142;obj_t BgL_arg2215z00_1143;
BgL_arg2214z00_1142 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/getter.scm 270 */
obj_t BgL_arg2216z00_1144;obj_t BgL_arg2217z00_1145;
{ /* Object/getter.scm 270 */
obj_t BgL_arg2218z00_1146;
BgL_arg2218z00_1146 = 
MAKE_PAIR(BgL_svalz00_1141, BNIL); 
BgL_arg2216z00_1144 = 
MAKE_PAIR(BgL_sobjz00_1140, BgL_arg2218z00_1146); } 
{ /* Object/getter.scm 271 */
obj_t BgL_arg2219z00_1147;
{ /* Object/getter.scm 271 */
obj_t BgL_arg2221z00_1149;obj_t BgL_arg2223z00_1150;
BgL_arg2221z00_1149 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/getter.scm 271 */
obj_t BgL_arg2224z00_1151;obj_t BgL_arg2225z00_1152;
{ /* Object/getter.scm 271 */
obj_t BgL_arg2226z00_1153;
{ /* Object/getter.scm 271 */
obj_t BgL_arg2228z00_1155;obj_t BgL_arg2229z00_1156;
BgL_arg2228z00_1155 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/getter.scm 272 */
obj_t BgL_arg2230z00_1157;
{ /* Object/getter.scm 272 */
obj_t BgL_arg2232z00_1159;obj_t BgL_arg2233z00_1160;
BgL_arg2232z00_1159 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/getter.scm 272 */
obj_t BgL_arg2235z00_1162;
{ /* Object/getter.scm 273 */
obj_t BgL_arg2236z00_1163;
{ /* Object/getter.scm 273 */
obj_t BgL_arg2238z00_1165;obj_t BgL_arg2240z00_1166;
BgL_arg2238z00_1165 = 
CNST_TABLE_REF(((long)29)); 
{ /* Object/getter.scm 273 */
obj_t BgL_arg2241z00_1167;
{ /* Object/getter.scm 273 */
obj_t BgL_arg2242z00_1168;
{ /* Object/getter.scm 273 */
obj_t BgL_arg2243z00_1169;
BgL_arg2243z00_1169 = 
MAKE_PAIR(BgL_svalz00_1141, BNIL); 
BgL_arg2242z00_1168 = 
MAKE_PAIR(BgL_vnumz00_1137, BgL_arg2243z00_1169); } 
BgL_arg2241z00_1167 = 
MAKE_PAIR(BgL_sobjz00_1140, BgL_arg2242z00_1168); } 
BgL_arg2240z00_1166 = 
MAKE_PAIR(BgL_classzd2idzd2_1136, BgL_arg2241z00_1167); } 
BgL_arg2236z00_1163 = 
MAKE_PAIR(BgL_arg2238z00_1165, BgL_arg2240z00_1166); } 
BgL_arg2235z00_1162 = 
MAKE_PAIR(BgL_arg2236z00_1163, BNIL); } 
BgL_arg2233z00_1160 = 
MAKE_PAIR(BNIL, BgL_arg2235z00_1162); } 
BgL_arg2230z00_1157 = 
MAKE_PAIR(BgL_arg2232z00_1159, BgL_arg2233z00_1160); } 
BgL_arg2229z00_1156 = 
MAKE_PAIR(BgL_arg2230z00_1157, BNIL); } 
BgL_arg2226z00_1153 = 
MAKE_PAIR(BgL_arg2228z00_1155, BgL_arg2229z00_1156); } 
BgL_arg2224z00_1151 = 
MAKE_PAIR(BgL_arg2226z00_1153, BNIL); } 
{ /* Object/getter.scm 277 */
obj_t BgL_arg2244z00_1170;
{ /* Object/getter.scm 277 */
obj_t BgL_arg2246z00_1172;
{ /* Object/getter.scm 277 */
obj_t BgL_arg2248z00_1173;
BgL_arg2248z00_1173 = 
MAKE_PAIR(BgL_svalz00_1141, BNIL); 
BgL_arg2246z00_1172 = 
MAKE_PAIR(BgL_sobjz00_1140, BgL_arg2248z00_1173); } 
BgL_arg2244z00_1170 = 
MAKE_PAIR(BgL_userzd2setterzd2_1135, BgL_arg2246z00_1172); } 
BgL_arg2225z00_1152 = 
MAKE_PAIR(BgL_arg2244z00_1170, BNIL); } 
BgL_arg2223z00_1150 = 
MAKE_PAIR(BgL_arg2224z00_1151, BgL_arg2225z00_1152); } 
BgL_arg2219z00_1147 = 
MAKE_PAIR(BgL_arg2221z00_1149, BgL_arg2223z00_1150); } 
BgL_arg2217z00_1145 = 
MAKE_PAIR(BgL_arg2219z00_1147, BNIL); } 
BgL_arg2215z00_1143 = 
MAKE_PAIR(BgL_arg2216z00_1144, BgL_arg2217z00_1145); } 
BgL_setterz00_1081 = 
MAKE_PAIR(BgL_arg2214z00_1142, BgL_arg2215z00_1143); } } 
{ /* Object/getter.scm 288 */

{ /* Object/getter.scm 289 */
obj_t BgL_arg2161z00_1082;
{ /* Object/getter.scm 289 */
obj_t BgL_arg2162z00_1083;obj_t BgL_arg2163z00_1084;
BgL_arg2162z00_1083 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 289 */
obj_t BgL_arg2164z00_1085;
{ /* Object/getter.scm 289 */
obj_t BgL_arg2166z00_1087;obj_t BgL_arg2167z00_1088;
BgL_arg2166z00_1087 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 289 */
obj_t BgL_arg2168z00_1089;
{ /* Object/getter.scm 289 */
obj_t BgL_arg2169z00_1090;
BgL_arg2169z00_1090 = 
MAKE_PAIR(BgL_vzd2tidzd2_1078, BNIL); 
BgL_arg2168z00_1089 = 
MAKE_PAIR(BgL_tidz00_1074, BgL_arg2169z00_1090); } 
BgL_arg2167z00_1088 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1073, BgL_arg2168z00_1089); } 
BgL_arg2164z00_1085 = 
MAKE_PAIR(BgL_arg2166z00_1087, BgL_arg2167z00_1088); } 
BgL_arg2163z00_1084 = 
MAKE_PAIR(BgL_arg2164z00_1085, BNIL); } 
BgL_arg2161z00_1082 = 
MAKE_PAIR(BgL_arg2162z00_1083, BgL_arg2163z00_1084); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2161z00_1082); } 
{ /* Object/getter.scm 290 */
obj_t BgL_val0_1859z00_1091;obj_t BgL_val1_1860z00_1092;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2170z00_1093;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2172z00_1095;obj_t BgL_arg2173z00_1096;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2176z00_1099;obj_t BgL_arg2177z00_1100;
BgL_arg2176z00_1099 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 292 */
obj_t BgL_arg2178z00_1101;obj_t BgL_arg2179z00_1102;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2180z00_1103;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2181z00_1104;obj_t BgL_arg2182z00_1105;
{ /* Object/getter.scm 292 */
obj_t BgL_list2183z00_1106;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2184z00_1107;
BgL_arg2184z00_1107 = 
MAKE_PAIR(BgL_tidz00_1074, BNIL); 
BgL_list2183z00_1106 = 
MAKE_PAIR(BgL_objz00_1077, BgL_arg2184z00_1107); } 
BgL_arg2181z00_1104 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2183z00_1106); } 
BgL_arg2182z00_1105 = 
MAKE_PAIR(BgL_vzd2tidzd2_1078, BNIL); 
BgL_arg2180z00_1103 = 
MAKE_PAIR(BgL_arg2181z00_1104, BgL_arg2182z00_1105); } 
BgL_arg2178z00_1101 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1073, BgL_arg2180z00_1103); } 
{ /* Object/getter.scm 294 */
obj_t BgL_arg2185z00_1108;
{ /* Object/getter.scm 294 */
obj_t BgL_arg2187z00_1110;obj_t BgL_arg2188z00_1111;
{ /* Object/getter.scm 294 */
obj_t BgL_arg2189z00_1112;obj_t BgL_arg2190z00_1113;
BgL_arg2189z00_1112 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/getter.scm 294 */
obj_t BgL_arg2191z00_1114;obj_t BgL_arg2192z00_1115;
BgL_arg2191z00_1114 = 
CNST_TABLE_REF(((long)33)); 
{ /* Object/getter.scm 294 */
obj_t BgL_auxz00_2493;
BgL_auxz00_2493 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2192z00_1115 = 
MAKE_PAIR(BgL_auxz00_2493, BNIL); } 
BgL_arg2190z00_1113 = 
MAKE_PAIR(BgL_arg2191z00_1114, BgL_arg2192z00_1115); } 
BgL_arg2187z00_1110 = 
MAKE_PAIR(BgL_arg2189z00_1112, BgL_arg2190z00_1113); } 
{ /* Object/getter.scm 294 */
obj_t BgL_arg2193z00_1116;
{ /* Object/getter.scm 294 */
obj_t BgL_arg2194z00_1117;
BgL_arg2194z00_1117 = 
MAKE_PAIR(BgL_vzd2idzd2_1076, BNIL); 
BgL_arg2193z00_1116 = 
MAKE_PAIR(BgL_vnumz00_1079, BgL_arg2194z00_1117); } 
BgL_arg2188z00_1111 = 
MAKE_PAIR(BgL_objz00_1077, BgL_arg2193z00_1116); } 
BgL_arg2185z00_1108 = 
MAKE_PAIR(BgL_arg2187z00_1110, BgL_arg2188z00_1111); } 
BgL_arg2179z00_1102 = 
MAKE_PAIR(BgL_arg2185z00_1108, BNIL); } 
BgL_arg2177z00_1100 = 
MAKE_PAIR(BgL_arg2178z00_1101, BgL_arg2179z00_1102); } 
BgL_arg2172z00_1095 = 
MAKE_PAIR(BgL_arg2176z00_1099, BgL_arg2177z00_1100); } 
{ /* Object/getter.scm 295 */
bool_t BgL_test2195z00_1118;
BgL_test2195z00_1118 = 
BGl_iszd2azf3z21zz__objectz00(BgL_slotz00_37, BGl_slotz00zzobject_slotsz00); 
if(BgL_test2195z00_1118)
{ /* Object/getter.scm 296 */
BgL_slotz00_bglt BgL_obj1748z00_1611;
BgL_obj1748z00_1611 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_arg2173z00_1096 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1611))->BgL_srcz00); }  else 
{ /* Object/getter.scm 295 */
BgL_arg2173z00_1096 = BgL_slotz00_37; } } 
{ /* Object/getter.scm 292 */
obj_t BgL_list2174z00_1097;
{ /* Object/getter.scm 292 */
obj_t BgL_arg2175z00_1098;
BgL_arg2175z00_1098 = 
MAKE_PAIR(BgL_srcz00_39, BNIL); 
BgL_list2174z00_1097 = 
MAKE_PAIR(BgL_arg2173z00_1096, BgL_arg2175z00_1098); } 
BgL_arg2170z00_1093 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2172z00_1095, BgL_list2174z00_1097); } } 
{ /* Object/getter.scm 291 */
obj_t BgL_list2171z00_1094;
BgL_list2171z00_1094 = 
MAKE_PAIR(BgL_arg2170z00_1093, BNIL); 
BgL_val0_1859z00_1091 = BgL_list2171z00_1094; } } 
{ /* Object/getter.scm 299 */
bool_t BgL_testz00_2513;
{ /* Object/getter.scm 299 */
obj_t BgL_auxz00_2516;obj_t BgL_auxz00_2514;
{ /* Object/getter.scm 299 */
BgL_slotz00_bglt BgL_obj1749z00_1614;
BgL_obj1749z00_1614 = 
(BgL_slotz00_bglt)(BgL_slotz00_37); 
BgL_auxz00_2516 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1749z00_1614))->BgL_classzd2ownerzd2); } 
BgL_auxz00_2514 = 
(obj_t)(BgL_classz00_35); 
BgL_testz00_2513 = 
(BgL_auxz00_2514==BgL_auxz00_2516); } 
if(BgL_testz00_2513)
{ /* Object/getter.scm 299 */
BgL_val1_1860z00_1092 = BgL_setterz00_1081; }  else 
{ /* Object/getter.scm 299 */
BgL_val1_1860z00_1092 = BFALSE; } } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_val1_1860z00_1092; 
return BgL_val0_1859z00_1091;} } } } } } } } } } } } } 
}



/* slot-direct-set! */
obj_t BGl_slotzd2directzd2setz12z12zzobject_getterz00(obj_t BgL_classzd2idzd2_40, obj_t BgL_classz00_41, obj_t BgL_slotz00_42, obj_t BgL_wideningz00_43, obj_t BgL_srczd2defzd2_44)
{ AN_OBJECT;
{ /* Object/getter.scm 306 */
{ /* Object/getter.scm 307 */
obj_t BgL_slotzd2setz12zd2idz12_1177;
{ /* Object/getter.scm 307 */
obj_t BgL_arg2285z00_1218;obj_t BgL_arg2286z00_1219;
BgL_arg2285z00_1218 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 307 */
BgL_slotz00_bglt BgL_obj1746z00_1615;
BgL_obj1746z00_1615 = 
(BgL_slotz00_bglt)(BgL_slotz00_42); 
BgL_arg2286z00_1219 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1615))->BgL_idz00); } 
{ /* Object/getter.scm 307 */
obj_t BgL_list2288z00_1221;
{ /* Object/getter.scm 307 */
obj_t BgL_arg2289z00_1222;
{ /* Object/getter.scm 307 */
obj_t BgL_arg2290z00_1223;
{ /* Object/getter.scm 307 */
obj_t BgL_arg2291z00_1224;
{ /* Object/getter.scm 307 */
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg2291z00_1224 = 
MAKE_PAIR(BgL_auxz00_2524, BNIL); } 
BgL_arg2290z00_1223 = 
MAKE_PAIR(BgL_arg2286z00_1219, BgL_arg2291z00_1224); } 
BgL_arg2289z00_1222 = 
MAKE_PAIR(BgL_arg2285z00_1218, BgL_arg2290z00_1223); } 
BgL_list2288z00_1221 = 
MAKE_PAIR(BgL_classzd2idzd2_40, BgL_arg2289z00_1222); } 
BgL_slotzd2setz12zd2idz12_1177 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2288z00_1221); } } 
{ /* Object/getter.scm 307 */
obj_t BgL_slotzd2setz12zd2tidz12_1178;
{ /* Object/getter.scm 308 */
obj_t BgL_list2283z00_1216;
{ /* Object/getter.scm 308 */
obj_t BgL_arg2284z00_1217;
{ /* Object/getter.scm 308 */
obj_t BgL_auxz00_2531;
BgL_auxz00_2531 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2284z00_1217 = 
MAKE_PAIR(BgL_auxz00_2531, BNIL); } 
BgL_list2283z00_1216 = 
MAKE_PAIR(BgL_slotzd2setz12zd2idz12_1177, BgL_arg2284z00_1217); } 
BgL_slotzd2setz12zd2tidz12_1178 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2283z00_1216); } 
{ /* Object/getter.scm 308 */
obj_t BgL_tidz00_1179;
{ /* Object/getter.scm 309 */
obj_t BgL_auxz00_2536;
{ /* Object/getter.scm 309 */
BgL_typez00_bglt BgL_obj1002z00_1616;
BgL_obj1002z00_1616 = 
(BgL_typez00_bglt)(BgL_classz00_41); 
BgL_auxz00_2536 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1616))->BgL_idz00); } 
BgL_tidz00_1179 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_auxz00_2536); } 
{ /* Object/getter.scm 310 */
obj_t BgL_vzd2idzd2_1181;
{ /* Object/getter.scm 311 */
obj_t BgL_arg2281z00_1214;
BgL_arg2281z00_1214 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)32)), BEOA); 
BgL_vzd2idzd2_1181 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2281z00_1214); } 
{ /* Object/getter.scm 311 */
obj_t BgL_objz00_1182;
{ /* Object/getter.scm 312 */
obj_t BgL_arg2280z00_1213;
BgL_arg2280z00_1213 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_objz00_1182 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2280z00_1213); } 
{ /* Object/getter.scm 312 */
obj_t BgL_vzd2tidzd2_1183;
{ /* Object/getter.scm 313 */
obj_t BgL_auxz00_2548;
{ /* Object/getter.scm 313 */
BgL_typez00_bglt BgL_obj1002z00_1619;
{ /* Object/getter.scm 313 */
obj_t BgL_auxz00_2549;
{ /* Object/getter.scm 313 */
BgL_slotz00_bglt BgL_obj1750z00_1618;
BgL_obj1750z00_1618 = 
(BgL_slotz00_bglt)(BgL_slotz00_42); 
BgL_auxz00_2549 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1618))->BgL_typez00); } 
BgL_obj1002z00_1619 = 
(BgL_typez00_bglt)(BgL_auxz00_2549); } 
BgL_auxz00_2548 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1619))->BgL_idz00); } 
BgL_vzd2tidzd2_1183 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_vzd2idzd2_1181, BgL_auxz00_2548); } 
{ /* Object/getter.scm 313 */

{ /* Object/getter.scm 314 */
obj_t BgL_arg2251z00_1184;
{ /* Object/getter.scm 314 */
obj_t BgL_arg2252z00_1185;obj_t BgL_arg2253z00_1186;
BgL_arg2252z00_1185 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 314 */
obj_t BgL_arg2254z00_1187;
{ /* Object/getter.scm 314 */
obj_t BgL_arg2256z00_1189;obj_t BgL_arg2257z00_1190;
BgL_arg2256z00_1189 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 314 */
obj_t BgL_arg2258z00_1191;
{ /* Object/getter.scm 314 */
obj_t BgL_arg2259z00_1192;
BgL_arg2259z00_1192 = 
MAKE_PAIR(BgL_vzd2tidzd2_1183, BNIL); 
BgL_arg2258z00_1191 = 
MAKE_PAIR(BgL_tidz00_1179, BgL_arg2259z00_1192); } 
BgL_arg2257z00_1190 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1178, BgL_arg2258z00_1191); } 
BgL_arg2254z00_1187 = 
MAKE_PAIR(BgL_arg2256z00_1189, BgL_arg2257z00_1190); } 
BgL_arg2253z00_1186 = 
MAKE_PAIR(BgL_arg2254z00_1187, BNIL); } 
BgL_arg2251z00_1184 = 
MAKE_PAIR(BgL_arg2252z00_1185, BgL_arg2253z00_1186); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2251z00_1184); } 
{ /* Object/getter.scm 316 */
obj_t BgL_arg2260z00_1193;
{ /* Object/getter.scm 316 */
obj_t BgL_arg2262z00_1195;obj_t BgL_arg2263z00_1196;
{ /* Object/getter.scm 316 */
obj_t BgL_arg2266z00_1199;obj_t BgL_arg2267z00_1200;
BgL_arg2266z00_1199 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 317 */
obj_t BgL_arg2268z00_1201;obj_t BgL_arg2269z00_1202;
{ /* Object/getter.scm 317 */
obj_t BgL_arg2270z00_1203;
{ /* Object/getter.scm 317 */
obj_t BgL_arg2271z00_1204;obj_t BgL_arg2272z00_1205;
{ /* Object/getter.scm 317 */
obj_t BgL_list2273z00_1206;
{ /* Object/getter.scm 317 */
obj_t BgL_arg2274z00_1207;
BgL_arg2274z00_1207 = 
MAKE_PAIR(BgL_tidz00_1179, BNIL); 
BgL_list2273z00_1206 = 
MAKE_PAIR(BgL_objz00_1182, BgL_arg2274z00_1207); } 
BgL_arg2271z00_1204 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2273z00_1206); } 
BgL_arg2272z00_1205 = 
MAKE_PAIR(BgL_vzd2tidzd2_1183, BNIL); 
BgL_arg2270z00_1203 = 
MAKE_PAIR(BgL_arg2271z00_1204, BgL_arg2272z00_1205); } 
BgL_arg2268z00_1201 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1178, BgL_arg2270z00_1203); } 
{ /* Object/getter.scm 318 */
obj_t BgL_arg2275z00_1208;
BgL_arg2275z00_1208 = 
BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_classz00_41), 
(BgL_slotz00_bglt)(BgL_slotz00_42), BgL_objz00_1182, BgL_vzd2idzd2_1181, BgL_wideningz00_43); 
BgL_arg2269z00_1202 = 
MAKE_PAIR(BgL_arg2275z00_1208, BNIL); } 
BgL_arg2267z00_1200 = 
MAKE_PAIR(BgL_arg2268z00_1201, BgL_arg2269z00_1202); } 
BgL_arg2262z00_1195 = 
MAKE_PAIR(BgL_arg2266z00_1199, BgL_arg2267z00_1200); } 
{ /* Object/getter.scm 323 */
bool_t BgL_test2277z00_1210;
BgL_test2277z00_1210 = 
BGl_iszd2azf3z21zz__objectz00(BgL_slotz00_42, BGl_slotz00zzobject_slotsz00); 
if(BgL_test2277z00_1210)
{ /* Object/getter.scm 324 */
BgL_slotz00_bglt BgL_obj1748z00_1621;
BgL_obj1748z00_1621 = 
(BgL_slotz00_bglt)(BgL_slotz00_42); 
BgL_arg2263z00_1196 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1621))->BgL_srcz00); }  else 
{ /* Object/getter.scm 323 */
BgL_arg2263z00_1196 = BgL_slotz00_42; } } 
{ /* Object/getter.scm 316 */
obj_t BgL_list2264z00_1197;
{ /* Object/getter.scm 316 */
obj_t BgL_arg2265z00_1198;
BgL_arg2265z00_1198 = 
MAKE_PAIR(BgL_srczd2defzd2_44, BNIL); 
BgL_list2264z00_1197 = 
MAKE_PAIR(BgL_arg2263z00_1196, BgL_arg2265z00_1198); } 
BgL_arg2260z00_1193 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2262z00_1195, BgL_list2264z00_1197); } } 
{ /* Object/getter.scm 315 */
obj_t BgL_list2261z00_1194;
BgL_list2261z00_1194 = 
MAKE_PAIR(BgL_arg2260z00_1193, BNIL); 
return BgL_list2261z00_1194;} } } } } } } } } } 
}



/* slot-indexed-set! */
obj_t BGl_slotzd2indexedzd2setz12z12zzobject_getterz00(obj_t BgL_classzd2idzd2_45, obj_t BgL_classz00_46, obj_t BgL_slotz00_47, obj_t BgL_wideningz00_48, obj_t BgL_srczd2defzd2_49)
{ AN_OBJECT;
{ /* Object/getter.scm 331 */
{ 
obj_t BgL_cidz00_1345;obj_t BgL_sidz12z12_1346;obj_t BgL_stidz12z12_1347;obj_t BgL_vidz00_1348;obj_t BgL_vtidz00_1349;obj_t BgL_idz00_1278;obj_t BgL_cidz00_1279;obj_t BgL_sidz12z12_1280;obj_t BgL_stidz12z12_1281;obj_t BgL_vidz00_1282;obj_t BgL_vtidz00_1283;
{ /* Object/getter.scm 343 */
obj_t BgL_slotzd2setz12zd2idz12_1228;
{ /* Object/getter.scm 343 */
obj_t BgL_arg2330z00_1271;obj_t BgL_arg2331z00_1272;
BgL_arg2330z00_1271 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 343 */
BgL_slotz00_bglt BgL_obj1746z00_1624;
BgL_obj1746z00_1624 = 
(BgL_slotz00_bglt)(BgL_slotz00_47); 
BgL_arg2331z00_1272 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1624))->BgL_idz00); } 
{ /* Object/getter.scm 343 */
obj_t BgL_list2333z00_1274;
{ /* Object/getter.scm 343 */
obj_t BgL_arg2335z00_1275;
{ /* Object/getter.scm 343 */
obj_t BgL_arg2336z00_1276;
{ /* Object/getter.scm 343 */
obj_t BgL_arg2337z00_1277;
{ /* Object/getter.scm 343 */
obj_t BgL_auxz00_2588;
BgL_auxz00_2588 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg2337z00_1277 = 
MAKE_PAIR(BgL_auxz00_2588, BNIL); } 
BgL_arg2336z00_1276 = 
MAKE_PAIR(BgL_arg2331z00_1272, BgL_arg2337z00_1277); } 
BgL_arg2335z00_1275 = 
MAKE_PAIR(BgL_arg2330z00_1271, BgL_arg2336z00_1276); } 
BgL_list2333z00_1274 = 
MAKE_PAIR(BgL_classzd2idzd2_45, BgL_arg2335z00_1275); } 
BgL_slotzd2setz12zd2idz12_1228 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2333z00_1274); } } 
{ /* Object/getter.scm 343 */
obj_t BgL_slotzd2setz12zd2tidz12_1229;
{ /* Object/getter.scm 344 */
obj_t BgL_list2328z00_1269;
{ /* Object/getter.scm 344 */
obj_t BgL_arg2329z00_1270;
{ /* Object/getter.scm 344 */
obj_t BgL_auxz00_2595;
BgL_auxz00_2595 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2329z00_1270 = 
MAKE_PAIR(BgL_auxz00_2595, BNIL); } 
BgL_list2328z00_1269 = 
MAKE_PAIR(BgL_slotzd2setz12zd2idz12_1228, BgL_arg2329z00_1270); } 
BgL_slotzd2setz12zd2tidz12_1229 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2328z00_1269); } 
{ /* Object/getter.scm 344 */
obj_t BgL_cidz00_1230;
{ /* Object/getter.scm 345 */
BgL_typez00_bglt BgL_obj1002z00_1625;
BgL_obj1002z00_1625 = 
(BgL_typez00_bglt)(BgL_classz00_46); 
BgL_cidz00_1230 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1625))->BgL_idz00); } 
{ /* Object/getter.scm 345 */
obj_t BgL_tidz00_1231;
BgL_tidz00_1231 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_cidz00_1230); 
{ /* Object/getter.scm 346 */
obj_t BgL_vidz00_1232;
BgL_vidz00_1232 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)32)), BEOA); 
{ /* Object/getter.scm 347 */
obj_t BgL_vtidz00_1233;
{ /* Object/getter.scm 348 */
obj_t BgL_auxz00_2606;
{ /* Object/getter.scm 348 */
BgL_typez00_bglt BgL_obj1002z00_1627;
{ /* Object/getter.scm 348 */
obj_t BgL_auxz00_2607;
{ /* Object/getter.scm 348 */
BgL_slotz00_bglt BgL_obj1750z00_1626;
BgL_obj1750z00_1626 = 
(BgL_slotz00_bglt)(BgL_slotz00_47); 
BgL_auxz00_2607 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1750z00_1626))->BgL_typez00); } 
BgL_obj1002z00_1627 = 
(BgL_typez00_bglt)(BgL_auxz00_2607); } 
BgL_auxz00_2606 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1627))->BgL_idz00); } 
BgL_vtidz00_1233 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_vidz00_1232, BgL_auxz00_2606); } 
{ /* Object/getter.scm 348 */

if(
CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
{ /* Object/getter.scm 350 */
{ /* Object/getter.scm 360 */
obj_t BgL_arg2292z00_1234;
{ /* Object/getter.scm 360 */
obj_t BgL_arg2293z00_1235;obj_t BgL_arg2295z00_1236;
BgL_arg2293z00_1235 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 360 */
obj_t BgL_arg2296z00_1237;
{ /* Object/getter.scm 360 */
obj_t BgL_arg2298z00_1239;obj_t BgL_arg2299z00_1240;
BgL_arg2298z00_1239 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/getter.scm 360 */
obj_t BgL_arg2300z00_1241;
{ /* Object/getter.scm 360 */
obj_t BgL_arg2301z00_1242;
{ /* Object/getter.scm 360 */
obj_t BgL_arg2302z00_1243;obj_t BgL_arg2303z00_1244;
BgL_arg2302z00_1243 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg2303z00_1244 = 
MAKE_PAIR(BgL_vtidz00_1233, BNIL); 
BgL_arg2301z00_1242 = 
MAKE_PAIR(BgL_arg2302z00_1243, BgL_arg2303z00_1244); } 
BgL_arg2300z00_1241 = 
MAKE_PAIR(BgL_tidz00_1231, BgL_arg2301z00_1242); } 
BgL_arg2299z00_1240 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1229, BgL_arg2300z00_1241); } 
BgL_arg2296z00_1237 = 
MAKE_PAIR(BgL_arg2298z00_1239, BgL_arg2299z00_1240); } 
BgL_arg2295z00_1236 = 
MAKE_PAIR(BgL_arg2296z00_1237, BNIL); } 
BgL_arg2292z00_1234 = 
MAKE_PAIR(BgL_arg2293z00_1235, BgL_arg2295z00_1236); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2292z00_1234); } 
{ /* Object/getter.scm 363 */
obj_t BgL_arg2304z00_1245;
{ /* Object/getter.scm 363 */
obj_t BgL_arg2306z00_1247;obj_t BgL_arg2307z00_1248;
BgL_cidz00_1345 = BgL_cidz00_1230; 
BgL_sidz12z12_1346 = BgL_slotzd2setz12zd2idz12_1228; 
BgL_stidz12z12_1347 = BgL_slotzd2setz12zd2tidz12_1229; 
BgL_vidz00_1348 = BgL_vidz00_1232; 
BgL_vtidz00_1349 = BgL_vtidz00_1233; 
{ /* Object/getter.scm 333 */
obj_t BgL_arg2400z00_1351;obj_t BgL_arg2401z00_1352;
BgL_arg2400z00_1351 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/getter.scm 333 */
obj_t BgL_arg2402z00_1353;obj_t BgL_arg2403z00_1354;
{ /* Object/getter.scm 333 */
obj_t BgL_arg2404z00_1355;
{ /* Object/getter.scm 333 */
obj_t BgL_arg2405z00_1356;obj_t BgL_arg2406z00_1357;
BgL_arg2405z00_1356 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)16)), BgL_cidz00_1345); 
{ /* Object/getter.scm 333 */
obj_t BgL_arg2407z00_1358;obj_t BgL_arg2408z00_1359;
BgL_arg2407z00_1358 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2408z00_1359 = 
MAKE_PAIR(BgL_vtidz00_1349, BNIL); 
BgL_arg2406z00_1357 = 
MAKE_PAIR(BgL_arg2407z00_1358, BgL_arg2408z00_1359); } 
BgL_arg2404z00_1355 = 
MAKE_PAIR(BgL_arg2405z00_1356, BgL_arg2406z00_1357); } 
BgL_arg2402z00_1353 = 
MAKE_PAIR(BgL_stidz12z12_1347, BgL_arg2404z00_1355); } 
{ /* Object/getter.scm 334 */
obj_t BgL_arg2409z00_1360;
BgL_arg2409z00_1360 = 
BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_classz00_46), 
(BgL_slotz00_bglt)(BgL_slotz00_47), 
CNST_TABLE_REF(((long)16)), BgL_vidz00_1348, 
CNST_TABLE_REF(((long)20)), BgL_wideningz00_48); 
BgL_arg2403z00_1354 = 
MAKE_PAIR(BgL_arg2409z00_1360, BNIL); } 
BgL_arg2401z00_1352 = 
MAKE_PAIR(BgL_arg2402z00_1353, BgL_arg2403z00_1354); } 
BgL_arg2306z00_1247 = 
MAKE_PAIR(BgL_arg2400z00_1351, BgL_arg2401z00_1352); } 
{ /* Object/getter.scm 362 */
BgL_slotz00_bglt BgL_obj1748z00_1628;
BgL_obj1748z00_1628 = 
(BgL_slotz00_bglt)(BgL_slotz00_47); 
BgL_arg2307z00_1248 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1628))->BgL_srcz00); } 
{ /* Object/getter.scm 362 */
obj_t BgL_list2308z00_1249;
{ /* Object/getter.scm 362 */
obj_t BgL_arg2309z00_1250;
BgL_arg2309z00_1250 = 
MAKE_PAIR(BgL_srczd2defzd2_49, BNIL); 
BgL_list2308z00_1249 = 
MAKE_PAIR(BgL_arg2307z00_1248, BgL_arg2309z00_1250); } 
BgL_arg2304z00_1245 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2306z00_1247, BgL_list2308z00_1249); } } 
{ /* Object/getter.scm 361 */
obj_t BgL_list2305z00_1246;
BgL_list2305z00_1246 = 
MAKE_PAIR(BgL_arg2304z00_1245, BNIL); 
return BgL_list2305z00_1246;} } }  else 
{ /* Object/getter.scm 350 */
{ /* Object/getter.scm 352 */
obj_t BgL_arg2310z00_1251;
{ /* Object/getter.scm 352 */
obj_t BgL_arg2311z00_1252;obj_t BgL_arg2312z00_1253;
BgL_arg2311z00_1252 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/getter.scm 352 */
obj_t BgL_arg2313z00_1254;
{ /* Object/getter.scm 352 */
obj_t BgL_arg2315z00_1256;
{ /* Object/getter.scm 352 */
obj_t BgL_arg2316z00_1257;
{ /* Object/getter.scm 352 */
obj_t BgL_arg2317z00_1258;obj_t BgL_arg2318z00_1259;
BgL_arg2317z00_1258 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg2318z00_1259 = 
MAKE_PAIR(BgL_vtidz00_1233, BNIL); 
BgL_arg2316z00_1257 = 
MAKE_PAIR(BgL_arg2317z00_1258, BgL_arg2318z00_1259); } 
BgL_arg2315z00_1256 = 
MAKE_PAIR(BgL_tidz00_1231, BgL_arg2316z00_1257); } 
BgL_arg2313z00_1254 = 
MAKE_PAIR(BgL_slotzd2setz12zd2tidz12_1229, BgL_arg2315z00_1256); } 
BgL_arg2312z00_1253 = 
MAKE_PAIR(BgL_arg2313z00_1254, BNIL); } 
BgL_arg2310z00_1251 = 
MAKE_PAIR(BgL_arg2311z00_1252, BgL_arg2312z00_1253); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2310z00_1251); } 
{ /* Object/getter.scm 355 */
obj_t BgL_arg2319z00_1260;
{ /* Object/getter.scm 355 */
obj_t BgL_arg2321z00_1262;obj_t BgL_arg2322z00_1263;
{ /* Object/getter.scm 355 */
BgL_slotz00_bglt BgL_obj1746z00_1631;
BgL_obj1746z00_1631 = 
(BgL_slotz00_bglt)(BgL_slotz00_47); 
BgL_idz00_1278 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_1631))->BgL_idz00); } 
BgL_cidz00_1279 = BgL_cidz00_1230; 
BgL_sidz12z12_1280 = BgL_slotzd2setz12zd2idz12_1228; 
BgL_stidz12z12_1281 = BgL_slotzd2setz12zd2tidz12_1229; 
BgL_vidz00_1282 = BgL_vidz00_1232; 
BgL_vtidz00_1283 = BgL_vtidz00_1233; 
{ /* Object/getter.scm 336 */
obj_t BgL_arg2339z00_1285;obj_t BgL_arg2340z00_1286;
BgL_arg2339z00_1285 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/getter.scm 336 */
obj_t BgL_arg2341z00_1287;obj_t BgL_arg2342z00_1288;
{ /* Object/getter.scm 336 */
obj_t BgL_arg2343z00_1289;
{ /* Object/getter.scm 336 */
obj_t BgL_arg2344z00_1290;obj_t BgL_arg2345z00_1291;
BgL_arg2344z00_1290 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)16)), BgL_cidz00_1279); 
{ /* Object/getter.scm 336 */
obj_t BgL_arg2346z00_1292;obj_t BgL_arg2347z00_1293;
BgL_arg2346z00_1292 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2347z00_1293 = 
MAKE_PAIR(BgL_vtidz00_1283, BNIL); 
BgL_arg2345z00_1291 = 
MAKE_PAIR(BgL_arg2346z00_1292, BgL_arg2347z00_1293); } 
BgL_arg2343z00_1289 = 
MAKE_PAIR(BgL_arg2344z00_1290, BgL_arg2345z00_1291); } 
BgL_arg2341z00_1287 = 
MAKE_PAIR(BgL_stidz12z12_1281, BgL_arg2343z00_1289); } 
{ /* Object/getter.scm 337 */
obj_t BgL_arg2348z00_1294;
{ /* Object/getter.scm 337 */
obj_t BgL_arg2350z00_1296;obj_t BgL_arg2351z00_1297;
BgL_arg2350z00_1296 = 
CNST_TABLE_REF(((long)18)); 
{ /* Object/getter.scm 337 */
obj_t BgL_arg2352z00_1298;obj_t BgL_arg2353z00_1299;
{ /* Object/getter.scm 337 */
obj_t BgL_arg2354z00_1300;obj_t BgL_arg2355z00_1301;
BgL_arg2354z00_1300 = 
CNST_TABLE_REF(((long)19)); 
{ /* Object/getter.scm 337 */
obj_t BgL_arg2356z00_1302;obj_t BgL_arg2357z00_1303;
BgL_arg2356z00_1302 = 
CNST_TABLE_REF(((long)20)); 
{ /* Object/getter.scm 337 */
obj_t BgL_auxz00_2668;
BgL_auxz00_2668 = 
BINT(((long)0)); 
BgL_arg2357z00_1303 = 
MAKE_PAIR(BgL_auxz00_2668, BNIL); } 
BgL_arg2355z00_1301 = 
MAKE_PAIR(BgL_arg2356z00_1302, BgL_arg2357z00_1303); } 
BgL_arg2352z00_1298 = 
MAKE_PAIR(BgL_arg2354z00_1300, BgL_arg2355z00_1301); } 
{ /* Object/getter.scm 338 */
obj_t BgL_arg2358z00_1304;obj_t BgL_arg2359z00_1305;
{ /* Object/getter.scm 338 */
obj_t BgL_arg2360z00_1306;obj_t BgL_arg2361z00_1307;
BgL_arg2360z00_1306 = 
CNST_TABLE_REF(((long)18)); 
{ /* Object/getter.scm 338 */
obj_t BgL_arg2362z00_1308;obj_t BgL_arg2363z00_1309;
{ /* Object/getter.scm 338 */
obj_t BgL_arg2364z00_1310;obj_t BgL_arg2365z00_1311;
BgL_arg2364z00_1310 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/getter.scm 338 */
obj_t BgL_arg2366z00_1312;obj_t BgL_arg2367z00_1313;
BgL_arg2366z00_1312 = 
CNST_TABLE_REF(((long)20)); 
{ /* Object/getter.scm 338 */
obj_t BgL_arg2368z00_1314;
{ /* Object/getter.scm 338 */
obj_t BgL_arg2370z00_1316;obj_t BgL_arg2371z00_1317;
{ /* Object/getter.scm 338 */
obj_t BgL_list2372z00_1318;
{ /* Object/getter.scm 338 */
obj_t BgL_arg2373z00_1319;
{ /* Object/getter.scm 338 */
obj_t BgL_arg2374z00_1320;obj_t BgL_arg2375z00_1321;
BgL_arg2374z00_1320 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/getter.scm 338 */
obj_t BgL_arg2376z00_1322;
{ /* Object/getter.scm 338 */
obj_t BgL_auxz00_2677;
BgL_auxz00_2677 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2376z00_1322 = 
MAKE_PAIR(BgL_auxz00_2677, BNIL); } 
BgL_arg2375z00_1321 = 
MAKE_PAIR(BgL_idz00_1278, BgL_arg2376z00_1322); } 
BgL_arg2373z00_1319 = 
MAKE_PAIR(BgL_arg2374z00_1320, BgL_arg2375z00_1321); } 
BgL_list2372z00_1318 = 
MAKE_PAIR(BgL_classzd2idzd2_45, BgL_arg2373z00_1319); } 
BgL_arg2370z00_1316 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2372z00_1318); } 
{ /* Object/getter.scm 338 */
obj_t BgL_auxz00_2684;
BgL_auxz00_2684 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg2371z00_1317 = 
MAKE_PAIR(BgL_auxz00_2684, BNIL); } 
BgL_arg2368z00_1314 = 
MAKE_PAIR(BgL_arg2370z00_1316, BgL_arg2371z00_1317); } 
BgL_arg2367z00_1313 = 
MAKE_PAIR(BgL_arg2368z00_1314, BNIL); } 
BgL_arg2365z00_1311 = 
MAKE_PAIR(BgL_arg2366z00_1312, BgL_arg2367z00_1313); } 
BgL_arg2362z00_1308 = 
MAKE_PAIR(BgL_arg2364z00_1310, BgL_arg2365z00_1311); } 
{ /* Object/getter.scm 339 */
obj_t BgL_arg2377z00_1323;obj_t BgL_arg2378z00_1324;
BgL_arg2377z00_1323 = 
BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_classz00_46), 
(BgL_slotz00_bglt)(BgL_slotz00_47), 
CNST_TABLE_REF(((long)16)), BgL_vidz00_1282, 
CNST_TABLE_REF(((long)20)), BgL_wideningz00_48); 
{ /* Object/getter.scm 340 */
obj_t BgL_arg2379z00_1325;
{ /* Object/getter.scm 340 */
obj_t BgL_arg2381z00_1327;obj_t BgL_arg2382z00_1328;
BgL_arg2381z00_1327 = 
CNST_TABLE_REF(((long)23)); 
{ /* Object/getter.scm 340 */
obj_t BgL_arg2383z00_1329;obj_t BgL_arg2384z00_1330;
{ /* Object/getter.scm 340 */
obj_t BgL_arg2385z00_1331;obj_t BgL_arg2386z00_1332;
BgL_arg2385z00_1331 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2386z00_1332 = 
MAKE_PAIR(BgL_sidz12z12_1280, BNIL); 
BgL_arg2383z00_1329 = 
MAKE_PAIR(BgL_arg2385z00_1331, BgL_arg2386z00_1332); } 
{ /* Object/getter.scm 340 */
obj_t BgL_arg2388z00_1334;
{ /* Object/getter.scm 340 */
obj_t BgL_auxz00_2700;
BgL_auxz00_2700 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2388z00_1334 = 
MAKE_PAIR(BgL_auxz00_2700, BNIL); } 
BgL_arg2384z00_1330 = 
MAKE_PAIR(BGl_string2445z00zzobject_getterz00, BgL_arg2388z00_1334); } 
BgL_arg2382z00_1328 = 
MAKE_PAIR(BgL_arg2383z00_1329, BgL_arg2384z00_1330); } 
BgL_arg2379z00_1325 = 
MAKE_PAIR(BgL_arg2381z00_1327, BgL_arg2382z00_1328); } 
BgL_arg2378z00_1324 = 
MAKE_PAIR(BgL_arg2379z00_1325, BNIL); } 
BgL_arg2363z00_1309 = 
MAKE_PAIR(BgL_arg2377z00_1323, BgL_arg2378z00_1324); } 
BgL_arg2361z00_1307 = 
MAKE_PAIR(BgL_arg2362z00_1308, BgL_arg2363z00_1309); } 
BgL_arg2358z00_1304 = 
MAKE_PAIR(BgL_arg2360z00_1306, BgL_arg2361z00_1307); } 
{ /* Object/getter.scm 341 */
obj_t BgL_arg2389z00_1335;
{ /* Object/getter.scm 341 */
obj_t BgL_arg2391z00_1337;obj_t BgL_arg2392z00_1338;
BgL_arg2391z00_1337 = 
CNST_TABLE_REF(((long)23)); 
{ /* Object/getter.scm 341 */
obj_t BgL_arg2393z00_1339;obj_t BgL_arg2394z00_1340;
{ /* Object/getter.scm 341 */
obj_t BgL_arg2395z00_1341;obj_t BgL_arg2396z00_1342;
BgL_arg2395z00_1341 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2396z00_1342 = 
MAKE_PAIR(BgL_sidz12z12_1280, BNIL); 
BgL_arg2393z00_1339 = 
MAKE_PAIR(BgL_arg2395z00_1341, BgL_arg2396z00_1342); } 
{ /* Object/getter.scm 341 */
obj_t BgL_arg2398z00_1344;
{ /* Object/getter.scm 341 */
obj_t BgL_auxz00_2714;
BgL_auxz00_2714 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2398z00_1344 = 
MAKE_PAIR(BgL_auxz00_2714, BNIL); } 
BgL_arg2394z00_1340 = 
MAKE_PAIR(BGl_string2445z00zzobject_getterz00, BgL_arg2398z00_1344); } 
BgL_arg2392z00_1338 = 
MAKE_PAIR(BgL_arg2393z00_1339, BgL_arg2394z00_1340); } 
BgL_arg2389z00_1335 = 
MAKE_PAIR(BgL_arg2391z00_1337, BgL_arg2392z00_1338); } 
BgL_arg2359z00_1305 = 
MAKE_PAIR(BgL_arg2389z00_1335, BNIL); } 
BgL_arg2353z00_1299 = 
MAKE_PAIR(BgL_arg2358z00_1304, BgL_arg2359z00_1305); } 
BgL_arg2351z00_1297 = 
MAKE_PAIR(BgL_arg2352z00_1298, BgL_arg2353z00_1299); } 
BgL_arg2348z00_1294 = 
MAKE_PAIR(BgL_arg2350z00_1296, BgL_arg2351z00_1297); } 
BgL_arg2342z00_1288 = 
MAKE_PAIR(BgL_arg2348z00_1294, BNIL); } 
BgL_arg2340z00_1286 = 
MAKE_PAIR(BgL_arg2341z00_1287, BgL_arg2342z00_1288); } 
BgL_arg2321z00_1262 = 
MAKE_PAIR(BgL_arg2339z00_1285, BgL_arg2340z00_1286); } 
{ /* Object/getter.scm 354 */
BgL_slotz00_bglt BgL_obj1748z00_1632;
BgL_obj1748z00_1632 = 
(BgL_slotz00_bglt)(BgL_slotz00_47); 
BgL_arg2322z00_1263 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1748z00_1632))->BgL_srcz00); } 
{ /* Object/getter.scm 354 */
obj_t BgL_list2323z00_1264;
{ /* Object/getter.scm 354 */
obj_t BgL_arg2324z00_1265;
BgL_arg2324z00_1265 = 
MAKE_PAIR(BgL_srczd2defzd2_49, BNIL); 
BgL_list2323z00_1264 = 
MAKE_PAIR(BgL_arg2322z00_1263, BgL_arg2324z00_1265); } 
BgL_arg2319z00_1260 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2321z00_1262, BgL_list2323z00_1264); } } 
{ /* Object/getter.scm 353 */
obj_t BgL_list2320z00_1261;
BgL_list2320z00_1261 = 
MAKE_PAIR(BgL_arg2319z00_1260, BNIL); 
return BgL_list2320z00_1261;} } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_getterz00()
{ AN_OBJECT;
{ /* Object/getter.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_getterz00()
{ AN_OBJECT;
{ /* Object/getter.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_getter"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_getter"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_getter"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_getter"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_getter"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_getter"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_getter"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_getter"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_getter"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_getter"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_getter"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_getter"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_getter"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_getter"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_getter"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_getter"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "object_getter");} 
}

