/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_methodz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_methodz00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00();
static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
static obj_t BGl__makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 14 ] ;

DEFINE_STRING( BGl_string1902z00zzobject_methodz00, BgL_bgl_string1902za700za7za7object_methodza7001907z00, "(quote method-definition-error) add-method! begin cons* apply procedure? if @ find-super-class-method let call-next-method labels - next-method ", 144 );
DEFINE_STRING( BGl_string1901z00zzobject_methodz00, BgL_bgl_string1901za700za7za7object_methodza7001908z00, "method has a non-class dispatching type arg", 43 );
DEFINE_STRING( BGl_string1900z00zzobject_methodz00, BgL_bgl_string1900za700za7za7object_methodza7001909z00, "Can't find generic for method", 29 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2methodzd2bodyzd2envzd2zzobject_methodz00, BgL_bgl__makeza7d2methodza7d2bodyza700za7za7object_methodza7001910z00, BGl__makezd2methodzd2bodyz00zzobject_methodz00, 0L, 5 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long BgL_checksumz00_1180, char * BgL_fromz00_1181)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_methodz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_methodz00(); 
BGl_cnstzd2initzd2zzobject_methodz00(); 
BGl_importedzd2moduleszd2initz00zzobject_methodz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00()
{ AN_OBJECT;
{ /* Object/method.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_method"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_method"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_method"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_method"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_methodz00()
{ AN_OBJECT;
{ /* Object/method.scm 15 */
{ /* Object/method.scm 15 */
obj_t BgL_cportz00_1173;
BgL_cportz00_1173 = 
open_input_string(BGl_string1902z00zzobject_methodz00); 
{ 
long BgL_iz00_1174;
BgL_iz00_1174 = ((long)13); 
BgL_loopz00_1175:
if(
(BgL_iz00_1174==((long)-1)))
{ /* Object/method.scm 15 */
return BUNSPEC;}  else 
{ /* Object/method.scm 15 */
{ /* Object/method.scm 15 */
obj_t BgL_arg1904z00_1177;
{ /* Object/method.scm 15 */
obj_t BgL_list1905z00_1178;
BgL_list1905z00_1178 = 
MAKE_PAIR(BgL_cportz00_1173, BNIL); 
BgL_arg1904z00_1177 = 
BGl_readz00zz__readerz00(BgL_list1905z00_1178); } 
{ /* Object/method.scm 15 */
int BgL_auxz00_1197;
BgL_auxz00_1197 = 
(int)(BgL_iz00_1174); 
CNST_TABLE_SET(BgL_auxz00_1197, BgL_arg1904z00_1177); } } 
{ 
long BgL_iz00_1200;
{ /* Object/method.scm 15 */
int BgL_auxz00_1201;
{ /* Object/method.scm 15 */
long BgL_auxz00_1202;
BgL_auxz00_1202 = 
(BgL_iz00_1174-((long)1)); 
BgL_auxz00_1201 = 
(int)(BgL_auxz00_1202); } 
BgL_iz00_1200 = 
(long)(BgL_auxz00_1201); } 
BgL_iz00_1174 = BgL_iz00_1200; 
goto BgL_loopz00_1175;} } } } } 
}



/* make-method-body */
obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t BgL_idz00_1, obj_t BgL_argsz00_2, obj_t BgL_localsz00_3, obj_t BgL_bodyz00_4, obj_t BgL_srcz00_5)
{ AN_OBJECT;
{ /* Object/method.scm 30 */
{ /* Object/method.scm 31 */
obj_t BgL_idz00_596;
{ /* Object/method.scm 31 */
obj_t BgL_arg1868z00_729;
BgL_arg1868z00_729 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_5); 
BgL_idz00_596 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_1, BgL_arg1868z00_729); } 
{ /* Object/method.scm 31 */
obj_t BgL_methodz00_597;
BgL_methodz00_597 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* Object/method.scm 32 */
int BgL_arityz00_598;
BgL_arityz00_598 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_2); 
{ /* Object/method.scm 33 */
obj_t BgL_argszd2idzd2_599;
if(
NULLP(BgL_localsz00_3))
{ /* Object/method.scm 34 */
BgL_argszd2idzd2_599 = BNIL; }  else 
{ /* Object/method.scm 34 */
obj_t BgL_head1748z00_715;
{ /* Object/method.scm 34 */
obj_t BgL_auxz00_1214;
{ /* Object/method.scm 34 */
BgL_localz00_bglt BgL_obj1248z00_880;
{ /* Object/method.scm 34 */
obj_t BgL_auxz00_1215;
BgL_auxz00_1215 = 
CAR(BgL_localsz00_3); 
BgL_obj1248z00_880 = 
(BgL_localz00_bglt)(BgL_auxz00_1215); } 
BgL_auxz00_1214 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_880))->BgL_idz00); } 
BgL_head1748z00_715 = 
MAKE_PAIR(BgL_auxz00_1214, BNIL); } 
{ 
obj_t BgL_l1746z00_716;obj_t BgL_tail1749z00_717;
BgL_l1746z00_716 = 
CDR(BgL_localsz00_3); 
BgL_tail1749z00_717 = BgL_head1748z00_715; 
BgL_lname1747z00_718:
if(
NULLP(BgL_l1746z00_716))
{ /* Object/method.scm 34 */
BgL_argszd2idzd2_599 = BgL_head1748z00_715; }  else 
{ /* Object/method.scm 34 */
obj_t BgL_newtail1750z00_721;
{ /* Object/method.scm 34 */
obj_t BgL_auxz00_1222;
{ /* Object/method.scm 34 */
BgL_localz00_bglt BgL_obj1248z00_886;
{ /* Object/method.scm 34 */
obj_t BgL_auxz00_1223;
BgL_auxz00_1223 = 
CAR(BgL_l1746z00_716); 
BgL_obj1248z00_886 = 
(BgL_localz00_bglt)(BgL_auxz00_1223); } 
BgL_auxz00_1222 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_886))->BgL_idz00); } 
BgL_newtail1750z00_721 = 
MAKE_PAIR(BgL_auxz00_1222, BNIL); } 
SET_CDR(BgL_tail1749z00_717, BgL_newtail1750z00_721); 
{ 
obj_t BgL_tail1749z00_1231;obj_t BgL_l1746z00_1229;
BgL_l1746z00_1229 = 
CDR(BgL_l1746z00_716); 
BgL_tail1749z00_1231 = BgL_newtail1750z00_721; 
BgL_tail1749z00_717 = BgL_tail1749z00_1231; 
BgL_l1746z00_716 = BgL_l1746z00_1229; 
goto BgL_lname1747z00_718;} } } } 
{ /* Object/method.scm 34 */
BgL_typez00_bglt BgL_typez00_600;
{ /* Object/method.scm 35 */
BgL_localz00_bglt BgL_obj1252z00_893;
{ /* Object/method.scm 35 */
obj_t BgL_auxz00_1233;
BgL_auxz00_1233 = 
CAR(BgL_localsz00_3); 
BgL_obj1252z00_893 = 
(BgL_localz00_bglt)(BgL_auxz00_1233); } 
BgL_typez00_600 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_893))->BgL_typez00); } 
{ /* Object/method.scm 35 */
obj_t BgL_mzd2idzd2_601;
{ /* Object/method.scm 41 */
obj_t BgL_arg1849z00_705;
{ /* Object/method.scm 41 */
obj_t BgL_arg1850z00_706;
{ /* Object/method.scm 41 */
obj_t BgL_arg1851z00_707;
BgL_arg1851z00_707 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/method.scm 41 */
obj_t BgL_list1853z00_709;
{ /* Object/method.scm 41 */
obj_t BgL_arg1854z00_710;
{ /* Object/method.scm 41 */
obj_t BgL_arg1855z00_711;
{ /* Object/method.scm 41 */
obj_t BgL_auxz00_1238;
BgL_auxz00_1238 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_600))->BgL_idz00); 
BgL_arg1855z00_711 = 
MAKE_PAIR(BgL_auxz00_1238, BNIL); } 
BgL_arg1854z00_710 = 
MAKE_PAIR(BgL_arg1851z00_707, BgL_arg1855z00_711); } 
BgL_list1853z00_709 = 
MAKE_PAIR(BgL_idz00_596, BgL_arg1854z00_710); } 
BgL_arg1850z00_706 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1853z00_709); } } 
BgL_arg1849z00_705 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg1850z00_706, BEOA); } 
BgL_mzd2idzd2_601 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1849z00_705); } 
{ /* Object/method.scm 40 */

{ /* Object/method.scm 42 */
bool_t BgL_test1751z00_602;
BgL_test1751z00_602 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_typez00_600), BGl_tclassz00zzobject_classz00); 
if(BgL_test1751z00_602)
{ /* Object/method.scm 44 */
BgL_globalz00_bglt BgL_holderz00_603;
{ /* Object/method.scm 44 */
BgL_tclassz00_bglt BgL_obj1613z00_896;
BgL_obj1613z00_896 = 
(BgL_tclassz00_bglt)(BgL_typez00_600); 
{ 
obj_t BgL_auxz00_1251;
{ /* Object/method.scm 44 */
BgL_objectz00_bglt BgL_auxz00_1252;
BgL_auxz00_1252 = 
(BgL_objectz00_bglt)(BgL_obj1613z00_896); 
BgL_auxz00_1251 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1252); } 
BgL_holderz00_603 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1251))->BgL_holderz00); } } 
{ /* Object/method.scm 44 */
obj_t BgL_modulez00_604;
BgL_modulez00_604 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_603))->BgL_modulez00); 
{ /* Object/method.scm 45 */
obj_t BgL_genericz00_605;
BgL_genericz00_605 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_596, BNIL); 
{ /* Object/method.scm 46 */

{ /* Object/method.scm 48 */
bool_t BgL_test1752z00_606;
BgL_test1752z00_606 = 
BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_605, BGl_globalz00zzast_varz00); 
if(BgL_test1752z00_606)
{ /* Object/method.scm 48 */
{ /* Object/method.scm 51 */
obj_t BgL_bodyz00_607;
{ /* Object/method.scm 51 */
obj_t BgL_arg1780z00_638;obj_t BgL_arg1781z00_639;
BgL_arg1780z00_638 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/method.scm 51 */
obj_t BgL_arg1782z00_640;obj_t BgL_arg1784z00_641;
{ /* Object/method.scm 51 */
obj_t BgL_arg1785z00_642;
{ /* Object/method.scm 51 */
obj_t BgL_arg1787z00_644;obj_t BgL_arg1789z00_645;
BgL_arg1787z00_644 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/method.scm 51 */
obj_t BgL_arg1791z00_647;
{ /* Object/method.scm 52 */
obj_t BgL_arg1792z00_648;
{ /* Object/method.scm 52 */
obj_t BgL_arg1794z00_650;obj_t BgL_arg1795z00_651;
BgL_arg1794z00_650 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/method.scm 52 */
obj_t BgL_arg1796z00_652;obj_t BgL_arg1797z00_653;
{ /* Object/method.scm 52 */
obj_t BgL_arg1798z00_654;
{ /* Object/method.scm 52 */
obj_t BgL_arg1800z00_656;
{ /* Object/method.scm 52 */
obj_t BgL_arg1801z00_657;
{ /* Object/method.scm 52 */
obj_t BgL_arg1803z00_659;obj_t BgL_arg1804z00_660;
BgL_arg1803z00_659 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/method.scm 53 */
obj_t BgL_arg1805z00_661;obj_t BgL_arg1806z00_662;
BgL_arg1805z00_661 = 
CAR(BgL_argszd2idzd2_599); 
{ /* Object/method.scm 55 */
obj_t BgL_arg1807z00_663;
{ /* Object/method.scm 55 */
obj_t BgL_arg1808z00_664;
{ /* Object/method.scm 55 */
obj_t BgL_arg1810z00_666;obj_t BgL_arg1811z00_667;
BgL_arg1810z00_666 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/method.scm 55 */
obj_t BgL_arg1812z00_668;obj_t BgL_arg1813z00_669;
BgL_arg1812z00_668 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_603))->BgL_idz00); 
BgL_arg1813z00_669 = 
MAKE_PAIR(BgL_modulez00_604, BNIL); 
BgL_arg1811z00_667 = 
MAKE_PAIR(BgL_arg1812z00_668, BgL_arg1813z00_669); } 
BgL_arg1808z00_664 = 
MAKE_PAIR(BgL_arg1810z00_666, BgL_arg1811z00_667); } 
BgL_arg1807z00_663 = 
MAKE_PAIR(BgL_arg1808z00_664, BNIL); } 
BgL_arg1806z00_662 = 
MAKE_PAIR(BgL_idz00_596, BgL_arg1807z00_663); } 
BgL_arg1804z00_660 = 
MAKE_PAIR(BgL_arg1805z00_661, BgL_arg1806z00_662); } 
BgL_arg1801z00_657 = 
MAKE_PAIR(BgL_arg1803z00_659, BgL_arg1804z00_660); } 
BgL_arg1800z00_656 = 
MAKE_PAIR(BgL_arg1801z00_657, BNIL); } 
BgL_arg1798z00_654 = 
MAKE_PAIR(BgL_methodz00_597, BgL_arg1800z00_656); } 
BgL_arg1796z00_652 = 
MAKE_PAIR(BgL_arg1798z00_654, BNIL); } 
{ /* Object/method.scm 57 */
obj_t BgL_arg1814z00_670;
{ /* Object/method.scm 57 */
obj_t BgL_arg1816z00_672;obj_t BgL_arg1817z00_673;
BgL_arg1816z00_672 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/method.scm 57 */
obj_t BgL_arg1818z00_674;obj_t BgL_arg1819z00_675;
{ /* Object/method.scm 57 */
obj_t BgL_arg1820z00_676;obj_t BgL_arg1821z00_677;
BgL_arg1820z00_676 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg1821z00_677 = 
MAKE_PAIR(BgL_methodz00_597, BNIL); 
BgL_arg1818z00_674 = 
MAKE_PAIR(BgL_arg1820z00_676, BgL_arg1821z00_677); } 
{ /* Object/method.scm 58 */
obj_t BgL_arg1822z00_678;obj_t BgL_arg1823z00_679;
{ /* Object/method.scm 58 */
bool_t BgL_testz00_1281;
{ /* Object/method.scm 58 */
long BgL_auxz00_1282;
BgL_auxz00_1282 = 
(long)(BgL_arityz00_598); 
BgL_testz00_1281 = 
(BgL_auxz00_1282>=((long)0)); } 
if(BgL_testz00_1281)
{ /* Object/method.scm 59 */
obj_t BgL_auxz00_1285;
BgL_auxz00_1285 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_599, BNIL); 
BgL_arg1822z00_678 = 
MAKE_PAIR(BgL_methodz00_597, BgL_auxz00_1285); }  else 
{ /* Object/method.scm 60 */
obj_t BgL_arg1826z00_682;obj_t BgL_arg1827z00_683;
BgL_arg1826z00_682 = 
CNST_TABLE_REF(((long)9)); 
{ /* Object/method.scm 61 */
obj_t BgL_arg1828z00_684;
{ /* Object/method.scm 61 */
obj_t BgL_arg1829z00_685;
{ /* Object/method.scm 61 */
obj_t BgL_auxz00_1291;obj_t BgL_auxz00_1289;
BgL_auxz00_1291 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_599, BNIL); 
BgL_auxz00_1289 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1829z00_685 = 
MAKE_PAIR(BgL_auxz00_1289, BgL_auxz00_1291); } 
BgL_arg1828z00_684 = 
MAKE_PAIR(BgL_arg1829z00_685, BNIL); } 
BgL_arg1827z00_683 = 
MAKE_PAIR(BgL_methodz00_597, BgL_arg1828z00_684); } 
BgL_arg1822z00_678 = 
MAKE_PAIR(BgL_arg1826z00_682, BgL_arg1827z00_683); } } 
{ /* Object/method.scm 62 */
obj_t BgL_arg1833z00_689;
{ /* Object/method.scm 62 */
obj_t BgL_arg1835z00_691;obj_t BgL_arg1836z00_692;
BgL_arg1835z00_691 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/method.scm 63 */
obj_t BgL_arg1837z00_693;
{ /* Object/method.scm 63 */
bool_t BgL_testz00_1298;
{ /* Object/method.scm 63 */
long BgL_auxz00_1299;
BgL_auxz00_1299 = 
(long)(BgL_arityz00_598); 
BgL_testz00_1298 = 
(BgL_auxz00_1299>=((long)0)); } 
if(BgL_testz00_1298)
{ /* Object/method.scm 64 */
obj_t BgL_auxz00_1302;
BgL_auxz00_1302 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_599, BNIL); 
BgL_arg1837z00_693 = 
MAKE_PAIR(BgL_idz00_596, BgL_auxz00_1302); }  else 
{ /* Object/method.scm 65 */
obj_t BgL_arg1841z00_697;obj_t BgL_arg1842z00_698;
BgL_arg1841z00_697 = 
CNST_TABLE_REF(((long)9)); 
{ /* Object/method.scm 67 */
obj_t BgL_arg1843z00_699;
{ /* Object/method.scm 67 */
obj_t BgL_arg1844z00_700;
{ /* Object/method.scm 67 */
obj_t BgL_auxz00_1308;obj_t BgL_auxz00_1306;
BgL_auxz00_1308 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_599, BNIL); 
BgL_auxz00_1306 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1844z00_700 = 
MAKE_PAIR(BgL_auxz00_1306, BgL_auxz00_1308); } 
BgL_arg1843z00_699 = 
MAKE_PAIR(BgL_arg1844z00_700, BNIL); } 
BgL_arg1842z00_698 = 
MAKE_PAIR(BgL_idz00_596, BgL_arg1843z00_699); } 
BgL_arg1837z00_693 = 
MAKE_PAIR(BgL_arg1841z00_697, BgL_arg1842z00_698); } } 
BgL_arg1836z00_692 = 
MAKE_PAIR(BgL_arg1837z00_693, BNIL); } 
BgL_arg1833z00_689 = 
MAKE_PAIR(BgL_arg1835z00_691, BgL_arg1836z00_692); } 
BgL_arg1823z00_679 = 
MAKE_PAIR(BgL_arg1833z00_689, BNIL); } 
BgL_arg1819z00_675 = 
MAKE_PAIR(BgL_arg1822z00_678, BgL_arg1823z00_679); } 
BgL_arg1817z00_673 = 
MAKE_PAIR(BgL_arg1818z00_674, BgL_arg1819z00_675); } 
BgL_arg1814z00_670 = 
MAKE_PAIR(BgL_arg1816z00_672, BgL_arg1817z00_673); } 
BgL_arg1797z00_653 = 
MAKE_PAIR(BgL_arg1814z00_670, BNIL); } 
BgL_arg1795z00_651 = 
MAKE_PAIR(BgL_arg1796z00_652, BgL_arg1797z00_653); } 
BgL_arg1792z00_648 = 
MAKE_PAIR(BgL_arg1794z00_650, BgL_arg1795z00_651); } 
BgL_arg1791z00_647 = 
MAKE_PAIR(BgL_arg1792z00_648, BNIL); } 
BgL_arg1789z00_645 = 
MAKE_PAIR(BNIL, BgL_arg1791z00_647); } 
BgL_arg1785z00_642 = 
MAKE_PAIR(BgL_arg1787z00_644, BgL_arg1789z00_645); } 
BgL_arg1782z00_640 = 
MAKE_PAIR(BgL_arg1785z00_642, BNIL); } 
BgL_arg1784z00_641 = 
MAKE_PAIR(BgL_bodyz00_4, BNIL); 
BgL_arg1781z00_639 = 
MAKE_PAIR(BgL_arg1782z00_640, BgL_arg1784z00_641); } 
BgL_bodyz00_607 = 
MAKE_PAIR(BgL_arg1780z00_638, BgL_arg1781z00_639); } 
{ /* Object/method.scm 51 */
obj_t BgL_ebodyz00_608;
{ /* Object/method.scm 69 */
bool_t BgL_test1776z00_634;
BgL_test1776z00_634 = 
EXTENDED_PAIRP(BgL_srcz00_5); 
if(BgL_test1776z00_634)
{ /* Object/method.scm 70 */
obj_t BgL_res1890z00_912;
{ /* Object/method.scm 70 */
obj_t BgL_auxz00_1336;obj_t BgL_auxz00_1334;obj_t BgL_auxz00_1332;
BgL_auxz00_1336 = 
CER(BgL_srcz00_5); 
BgL_auxz00_1334 = 
CDR(BgL_bodyz00_607); 
BgL_auxz00_1332 = 
CAR(BgL_bodyz00_607); 
BgL_res1890z00_912 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_1332, BgL_auxz00_1334, BgL_auxz00_1336); } 
BgL_ebodyz00_608 = BgL_res1890z00_912; }  else 
{ /* Object/method.scm 69 */
BgL_ebodyz00_608 = BgL_bodyz00_607; } } 
{ /* Object/method.scm 69 */
obj_t BgL_bdgz00_609;
{ /* Object/method.scm 72 */
obj_t BgL_arg1774z00_632;
{ /* Object/method.scm 72 */
obj_t BgL_arg1775z00_633;
BgL_arg1775z00_633 = 
MAKE_PAIR(BgL_ebodyz00_608, BNIL); 
BgL_arg1774z00_632 = 
MAKE_PAIR(BgL_argsz00_2, BgL_arg1775z00_633); } 
BgL_bdgz00_609 = 
MAKE_PAIR(BgL_mzd2idzd2_601, BgL_arg1774z00_632); } 
{ /* Object/method.scm 72 */
obj_t BgL_ebdgz00_610;
{ /* Object/method.scm 73 */
bool_t BgL_test1770z00_628;
BgL_test1770z00_628 = 
EXTENDED_PAIRP(BgL_srcz00_5); 
if(BgL_test1770z00_628)
{ /* Object/method.scm 74 */
obj_t BgL_res1891z00_920;
{ /* Object/method.scm 74 */
obj_t BgL_auxz00_1348;obj_t BgL_auxz00_1346;obj_t BgL_auxz00_1344;
BgL_auxz00_1348 = 
CER(BgL_srcz00_5); 
BgL_auxz00_1346 = 
CDR(BgL_bdgz00_609); 
BgL_auxz00_1344 = 
CAR(BgL_bdgz00_609); 
BgL_res1891z00_920 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_1344, BgL_auxz00_1346, BgL_auxz00_1348); } 
BgL_ebdgz00_610 = BgL_res1891z00_920; }  else 
{ /* Object/method.scm 73 */
BgL_ebdgz00_610 = BgL_bdgz00_609; } } 
{ /* Object/method.scm 73 */

{ /* Object/method.scm 76 */
obj_t BgL_arg1753z00_611;
{ /* Object/method.scm 76 */
obj_t BgL_arg1755z00_613;obj_t BgL_arg1756z00_614;
BgL_arg1755z00_613 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/method.scm 76 */
obj_t BgL_arg1757z00_615;obj_t BgL_arg1758z00_616;
BgL_arg1757z00_615 = 
MAKE_PAIR(BgL_ebdgz00_610, BNIL); 
{ /* Object/method.scm 77 */
obj_t BgL_arg1759z00_617;
{ /* Object/method.scm 77 */
obj_t BgL_arg1761z00_619;obj_t BgL_arg1762z00_620;
BgL_arg1761z00_619 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/method.scm 78 */
obj_t BgL_arg1763z00_621;
{ /* Object/method.scm 78 */
obj_t BgL_arg1764z00_622;obj_t BgL_arg1765z00_623;
{ /* Object/method.scm 78 */
obj_t BgL_arg1766z00_624;obj_t BgL_arg1767z00_625;
BgL_arg1766z00_624 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/method.scm 78 */
obj_t BgL_arg1768z00_626;obj_t BgL_arg1769z00_627;
BgL_arg1768z00_626 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_603))->BgL_idz00); 
BgL_arg1769z00_627 = 
MAKE_PAIR(BgL_modulez00_604, BNIL); 
BgL_arg1767z00_625 = 
MAKE_PAIR(BgL_arg1768z00_626, BgL_arg1769z00_627); } 
BgL_arg1764z00_622 = 
MAKE_PAIR(BgL_arg1766z00_624, BgL_arg1767z00_625); } 
BgL_arg1765z00_623 = 
MAKE_PAIR(BgL_mzd2idzd2_601, BNIL); 
BgL_arg1763z00_621 = 
MAKE_PAIR(BgL_arg1764z00_622, BgL_arg1765z00_623); } 
BgL_arg1762z00_620 = 
MAKE_PAIR(BgL_idz00_596, BgL_arg1763z00_621); } 
BgL_arg1759z00_617 = 
MAKE_PAIR(BgL_arg1761z00_619, BgL_arg1762z00_620); } 
BgL_arg1758z00_616 = 
MAKE_PAIR(BgL_arg1759z00_617, BNIL); } 
BgL_arg1756z00_614 = 
MAKE_PAIR(BgL_arg1757z00_615, BgL_arg1758z00_616); } 
BgL_arg1753z00_611 = 
MAKE_PAIR(BgL_arg1755z00_613, BgL_arg1756z00_614); } 
{ /* Object/method.scm 76 */
obj_t BgL_list1754z00_612;
BgL_list1754z00_612 = 
MAKE_PAIR(BgL_arg1753z00_611, BNIL); 
return BgL_list1754z00_612;} } } } } } } }  else 
{ /* Object/method.scm 48 */
{ /* Object/method.scm 49 */
obj_t BgL_arg1869z00_927;
{ /* Object/method.scm 49 */
obj_t BgL_list1871z00_928;
{ /* Object/method.scm 49 */
obj_t BgL_auxz00_1367;
BgL_auxz00_1367 = 
CNST_TABLE_REF(((long)13)); 
BgL_list1871z00_928 = 
MAKE_PAIR(BgL_auxz00_1367, BNIL); } 
BgL_arg1869z00_927 = BgL_list1871z00_928; } 
{ /* Object/method.scm 49 */
obj_t BgL_list1870z00_929;
BgL_list1870z00_929 = 
MAKE_PAIR(BgL_arg1869z00_927, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_596, BGl_string1900z00zzobject_methodz00, BgL_srcz00_5, BgL_list1870z00_929);} } } } } } } }  else 
{ /* Object/method.scm 43 */
obj_t BgL_arg1869z00_935;
{ /* Object/method.scm 43 */
obj_t BgL_list1871z00_936;
{ /* Object/method.scm 43 */
obj_t BgL_auxz00_1372;
BgL_auxz00_1372 = 
CNST_TABLE_REF(((long)13)); 
BgL_list1871z00_936 = 
MAKE_PAIR(BgL_auxz00_1372, BNIL); } 
BgL_arg1869z00_935 = BgL_list1871z00_936; } 
{ /* Object/method.scm 43 */
obj_t BgL_list1870z00_937;
BgL_list1870z00_937 = 
MAKE_PAIR(BgL_arg1869z00_935, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_596, BGl_string1901z00zzobject_methodz00, BgL_srcz00_5, BgL_list1870z00_937);} } } } } } } } } } } 
}



/* _make-method-body */
obj_t BGl__makezd2methodzd2bodyz00zzobject_methodz00(obj_t BgL_envz00_1167, obj_t BgL_idz00_1168, obj_t BgL_argsz00_1169, obj_t BgL_localsz00_1170, obj_t BgL_bodyz00_1171, obj_t BgL_srcz00_1172)
{ AN_OBJECT;
{ /* Object/method.scm 30 */
return 
BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_idz00_1168, BgL_argsz00_1169, BgL_localsz00_1170, BgL_bodyz00_1171, BgL_srcz00_1172);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_methodz00()
{ AN_OBJECT;
{ /* Object/method.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00()
{ AN_OBJECT;
{ /* Object/method.scm 15 */
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "object_method"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_method"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_method"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_method"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_method"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_method"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "object_method"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_method"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_method");} 
}

