/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
static obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
static obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
static obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 17 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__genza7d2classza7d2predza712za712za7za7object_predicateza7001984za7, BGl__genzd2classzd2predz12z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__importza7d2classza7d2predza712za712za7za7object_predicateza7001985za7, BGl__importzd2classzd2predz12z12zzobject_predicatez00, 0L, 3 );
DEFINE_STRING( BGl_string1979z00zzobject_predicatez00, BgL_bgl_string1979za700za7za7object_predicateza7001986z00, "isa static define define-inline no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ", 137 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00, BgL_bgl__importza7d2javaza7d2classza7d2predza712za7c0za7za7object_predicateza7001987z00, BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long BgL_checksumz00_1266, char * BgL_fromz00_1267)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzobject_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(); 
BGl_cnstzd2initzd2zzobject_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzobject_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
{ /* Object/predicate.scm 21 */
obj_t BgL_cportz00_1259;
BgL_cportz00_1259 = 
open_input_string(BGl_string1979z00zzobject_predicatez00); 
{ 
long BgL_iz00_1260;
BgL_iz00_1260 = ((long)16); 
BgL_loopz00_1261:
if(
(BgL_iz00_1260==((long)-1)))
{ /* Object/predicate.scm 21 */
return BUNSPEC;}  else 
{ /* Object/predicate.scm 21 */
{ /* Object/predicate.scm 21 */
obj_t BgL_arg1981z00_1263;
{ /* Object/predicate.scm 21 */
obj_t BgL_list1982z00_1264;
BgL_list1982z00_1264 = 
MAKE_PAIR(BgL_cportz00_1259, BNIL); 
BgL_arg1981z00_1263 = 
BGl_readz00zz__readerz00(BgL_list1982z00_1264); } 
{ /* Object/predicate.scm 21 */
int BgL_auxz00_1283;
BgL_auxz00_1283 = 
(int)(BgL_iz00_1260); 
CNST_TABLE_SET(BgL_auxz00_1283, BgL_arg1981z00_1263); } } 
{ 
long BgL_iz00_1286;
{ /* Object/predicate.scm 21 */
int BgL_auxz00_1287;
{ /* Object/predicate.scm 21 */
long BgL_auxz00_1288;
BgL_auxz00_1288 = 
(BgL_iz00_1260-((long)1)); 
BgL_auxz00_1287 = 
(int)(BgL_auxz00_1288); } 
BgL_iz00_1286 = 
(long)(BgL_auxz00_1287); } 
BgL_iz00_1260 = BgL_iz00_1286; 
goto BgL_loopz00_1261;} } } } } 
}



/* inline-pred? */
bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 49 */
{ /* Object/predicate.scm 50 */
bool_t BgL__andtest_1829z00_657;
{ /* Object/predicate.scm 50 */
bool_t BgL__ortest_1830z00_659;
{ /* Object/predicate.scm 50 */
bool_t BgL_test1832z00_660;
{ /* Object/predicate.scm 50 */
bool_t BgL_res1972z00_974;
{ /* Object/predicate.scm 50 */
obj_t BgL_objz00_970;
BgL_objz00_970 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_970))
{ /* Object/predicate.scm 50 */
BgL_res1972z00_974 = ((bool_t)1); }  else 
{ /* Object/predicate.scm 50 */
BgL_res1972z00_974 = 
REALP(BgL_objz00_970); } } 
BgL_test1832z00_660 = BgL_res1972z00_974; } 
if(BgL_test1832z00_660)
{ /* Object/predicate.scm 50 */
BgL__ortest_1830z00_659 = ((bool_t)0); }  else 
{ /* Object/predicate.scm 50 */
BgL__ortest_1830z00_659 = ((bool_t)1); } } 
if(BgL__ortest_1830z00_659)
{ /* Object/predicate.scm 50 */
BgL__andtest_1829z00_657 = BgL__ortest_1830z00_659; }  else 
{ /* Object/predicate.scm 51 */
long BgL_n1z00_975;
BgL_n1z00_975 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL__andtest_1829z00_657 = 
(BgL_n1z00_975<((long)1)); } } 
if(BgL__andtest_1829z00_657)
{ /* Object/predicate.scm 52 */
bool_t BgL_test1831z00_658;
{ /* Object/predicate.scm 52 */
obj_t BgL_auxz00_1300;
BgL_auxz00_1300 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)0))); 
BgL_test1831z00_658 = 
CBOOL(BgL_auxz00_1300); } 
if(BgL_test1831z00_658)
{ /* Object/predicate.scm 52 */
return ((bool_t)0);}  else 
{ /* Object/predicate.scm 52 */
return ((bool_t)1);} }  else 
{ /* Object/predicate.scm 50 */
return ((bool_t)0);} } } 
}



/* gen-class-pred! */
obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
{ AN_OBJECT;
{ /* Object/predicate.scm 60 */
{ /* Object/predicate.scm 61 */
obj_t BgL_idz00_661;
{ /* Object/predicate.scm 61 */
BgL_typez00_bglt BgL_obj1625z00_977;
BgL_obj1625z00_977 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_idz00_661 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_977))->BgL_idz00); } 
{ /* Object/predicate.scm 61 */
obj_t BgL_idzf3zf3_662;
{ /* Object/predicate.scm 62 */
obj_t BgL_list1892z00_728;
{ /* Object/predicate.scm 62 */
obj_t BgL_arg1893z00_729;
{ /* Object/predicate.scm 62 */
obj_t BgL_auxz00_1307;
BgL_auxz00_1307 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1893z00_729 = 
MAKE_PAIR(BgL_auxz00_1307, BNIL); } 
BgL_list1892z00_728 = 
MAKE_PAIR(BgL_idz00_661, BgL_arg1893z00_729); } 
BgL_idzf3zf3_662 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1892z00_728); } 
{ /* Object/predicate.scm 62 */
obj_t BgL_predzd2idzd2_663;
{ /* Object/predicate.scm 63 */
obj_t BgL_list1890z00_726;
{ /* Object/predicate.scm 63 */
obj_t BgL_arg1891z00_727;
{ /* Object/predicate.scm 63 */
obj_t BgL_auxz00_1312;
BgL_auxz00_1312 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1891z00_727 = 
MAKE_PAIR(BgL_auxz00_1312, BNIL); } 
BgL_list1890z00_726 = 
MAKE_PAIR(BgL_idz00_661, BgL_arg1891z00_727); } 
BgL_predzd2idzd2_663 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1890z00_726); } 
{ /* Object/predicate.scm 63 */
BgL_globalz00_bglt BgL_holderz00_664;
{ 
obj_t BgL_auxz00_1317;
{ /* Object/predicate.scm 64 */
BgL_objectz00_bglt BgL_auxz00_1318;
BgL_auxz00_1318 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1317 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1318); } 
BgL_holderz00_664 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1317))->BgL_holderz00); } 
{ /* Object/predicate.scm 64 */
obj_t BgL_objz00_665;
{ /* Object/predicate.scm 65 */
obj_t BgL_arg1889z00_725;
BgL_arg1889z00_725 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_665 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1889z00_725); } 
{ /* Object/predicate.scm 65 */
obj_t BgL_superz00_666;
{ 
obj_t BgL_auxz00_1326;
{ /* Object/predicate.scm 66 */
BgL_objectz00_bglt BgL_auxz00_1327;
BgL_auxz00_1327 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1326 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1327); } 
BgL_superz00_666 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1326))->BgL_itszd2superzd2); } 
{ /* Object/predicate.scm 66 */

{ 

{ /* Object/predicate.scm 69 */
bool_t BgL_test1833z00_668;
BgL_test1833z00_668 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_666, BGl_tclassz00zzobject_classz00); 
if(BgL_test1833z00_668)
{ /* Object/predicate.scm 73 */
obj_t BgL_superzd2predzd2idz00_669;obj_t BgL_superzd2typedzd2_670;
{ /* Object/predicate.scm 73 */
obj_t BgL_list1872z00_707;
{ /* Object/predicate.scm 73 */
obj_t BgL_arg1873z00_708;obj_t BgL_arg1874z00_709;
BgL_arg1873z00_708 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1874z00_709 = 
MAKE_PAIR(BgL_predzd2idzd2_663, BNIL); 
BgL_list1872z00_707 = 
MAKE_PAIR(BgL_arg1873z00_708, BgL_arg1874z00_709); } 
BgL_superzd2predzd2idz00_669 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1872z00_707); } 
{ /* Object/predicate.scm 74 */
obj_t BgL_auxz00_1337;
{ /* Object/predicate.scm 74 */
BgL_typez00_bglt BgL_obj1002z00_981;
BgL_obj1002z00_981 = 
(BgL_typez00_bglt)(BgL_superz00_666); 
BgL_auxz00_1337 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_981))->BgL_idz00); } 
BgL_superzd2typedzd2_670 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)7)), BgL_auxz00_1337); } 
{ /* Object/predicate.scm 77 */
obj_t BgL_arg1834z00_671;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1836z00_673;
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1837z00_674;
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1839z00_676;obj_t BgL_arg1840z00_677;
BgL_arg1839z00_676 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1841z00_678;
{ /* Object/predicate.scm 78 */
obj_t BgL_auxz00_1345;
BgL_auxz00_1345 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1841z00_678 = 
MAKE_PAIR(BgL_auxz00_1345, BNIL); } 
BgL_arg1840z00_677 = 
MAKE_PAIR(BgL_predzd2idzd2_663, BgL_arg1841z00_678); } 
BgL_arg1837z00_674 = 
MAKE_PAIR(BgL_arg1839z00_676, BgL_arg1840z00_677); } 
BgL_arg1836z00_673 = 
MAKE_PAIR(BgL_arg1837z00_674, BNIL); } 
BgL_arg1834z00_671 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1836z00_673); }  else 
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1842z00_679;
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1843z00_680;
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1845z00_682;
{ /* Object/predicate.scm 79 */
obj_t BgL_auxz00_1352;
BgL_auxz00_1352 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1845z00_682 = 
MAKE_PAIR(BgL_auxz00_1352, BNIL); } 
BgL_arg1843z00_680 = 
MAKE_PAIR(BgL_predzd2idzd2_663, BgL_arg1845z00_682); } 
BgL_arg1842z00_679 = 
MAKE_PAIR(BgL_arg1843z00_680, BNIL); } 
BgL_arg1834z00_671 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1842z00_679); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1834z00_671); } 
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1846z00_683;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1847z00_684;obj_t BgL_arg1848z00_685;
BgL_arg1847z00_684 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1849z00_686;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1851z00_688;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1852z00_689;obj_t BgL_arg1854z00_690;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1855z00_691;obj_t BgL_arg1856z00_692;
BgL_arg1855z00_691 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/predicate.scm 81 */
obj_t BgL_auxz00_1361;
{ /* Object/predicate.scm 81 */
BgL_typez00_bglt BgL_obj1625z00_982;
BgL_obj1625z00_982 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_auxz00_1361 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_982))->BgL_idz00); } 
BgL_arg1856z00_692 = 
MAKE_PAIR(BgL_auxz00_1361, BNIL); } 
BgL_arg1852z00_689 = 
MAKE_PAIR(BgL_arg1855z00_691, BgL_arg1856z00_692); } 
{ /* Object/predicate.scm 81 */
obj_t BgL_auxz00_1366;
BgL_auxz00_1366 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1854z00_690 = 
MAKE_PAIR(BgL_auxz00_1366, BNIL); } 
BgL_arg1851z00_688 = 
MAKE_PAIR(BgL_arg1852z00_689, BgL_arg1854z00_690); } 
BgL_arg1849z00_686 = 
MAKE_PAIR(BgL_idzf3zf3_662, BgL_arg1851z00_688); } 
BgL_arg1848z00_685 = 
MAKE_PAIR(BgL_arg1849z00_686, BNIL); } 
BgL_arg1846z00_683 = 
MAKE_PAIR(BgL_arg1847z00_684, BgL_arg1848z00_685); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1846z00_683); } 
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1859z00_695;
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1861z00_697;
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1863z00_699;obj_t BgL_arg1865z00_700;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 84 */
BgL_arg1863z00_699 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* Object/predicate.scm 84 */
BgL_arg1863z00_699 = 
CNST_TABLE_REF(((long)14)); } 
{ /* Object/predicate.scm 85 */
obj_t BgL_arg1867z00_702;obj_t BgL_arg1868z00_703;
{ /* Object/predicate.scm 85 */
obj_t BgL_arg1869z00_704;
BgL_arg1869z00_704 = 
MAKE_PAIR(BgL_objz00_665, BNIL); 
BgL_arg1867z00_702 = 
MAKE_PAIR(BgL_predzd2idzd2_663, BgL_arg1869z00_704); } 
{ /* Object/predicate.scm 86 */
obj_t BgL_arg1870z00_705;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1878z00_713;obj_t BgL_arg1879z00_714;
BgL_arg1878z00_713 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1880z00_715;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1881z00_716;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1883z00_718;obj_t BgL_arg1884z00_719;
BgL_arg1883z00_718 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1885z00_720;obj_t BgL_arg1886z00_721;
BgL_arg1885z00_720 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_664))->BgL_idz00); 
{ /* Object/predicate.scm 68 */
obj_t BgL_auxz00_1383;
BgL_auxz00_1383 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_664))->BgL_modulez00); 
BgL_arg1886z00_721 = 
MAKE_PAIR(BgL_auxz00_1383, BNIL); } 
BgL_arg1884z00_719 = 
MAKE_PAIR(BgL_arg1885z00_720, BgL_arg1886z00_721); } 
BgL_arg1881z00_716 = 
MAKE_PAIR(BgL_arg1883z00_718, BgL_arg1884z00_719); } 
BgL_arg1880z00_715 = 
MAKE_PAIR(BgL_arg1881z00_716, BNIL); } 
BgL_arg1879z00_714 = 
MAKE_PAIR(BgL_objz00_665, BgL_arg1880z00_715); } 
BgL_arg1870z00_705 = 
MAKE_PAIR(BgL_arg1878z00_713, BgL_arg1879z00_714); } 
BgL_arg1868z00_703 = 
MAKE_PAIR(BgL_arg1870z00_705, BNIL); } 
BgL_arg1865z00_700 = 
MAKE_PAIR(BgL_arg1867z00_702, BgL_arg1868z00_703); } 
BgL_arg1861z00_697 = 
MAKE_PAIR(BgL_arg1863z00_699, BgL_arg1865z00_700); } 
{ /* Object/predicate.scm 84 */
obj_t BgL_list1862z00_698;
BgL_list1862z00_698 = 
MAKE_PAIR(BgL_srczd2defzd2_2, BNIL); 
BgL_arg1859z00_695 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1861z00_697, BgL_list1862z00_698); } } 
{ /* Object/predicate.scm 83 */
obj_t BgL_list1860z00_696;
BgL_list1860z00_696 = 
MAKE_PAIR(BgL_arg1859z00_695, BNIL); 
return BgL_list1860z00_696;} } }  else 
{ /* Object/predicate.scm 69 */
return BNIL;} } } } } } } } } } } 
}



/* _gen-class-pred! */
obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_1247, obj_t BgL_classz00_1248, obj_t BgL_srczd2defzd2_1249, obj_t BgL_importz00_1250)
{ AN_OBJECT;
{ /* Object/predicate.scm 60 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1248), BgL_srczd2defzd2_1249, BgL_importz00_1250);} 
}



/* import-class-pred! */
obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* Object/predicate.scm 92 */
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 93 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4, BgL_srczd2defzd2_5, 
CNST_TABLE_REF(((long)15)));}  else 
{ /* Object/predicate.scm 97 */
obj_t BgL_idz00_731;
{ /* Object/predicate.scm 97 */
BgL_typez00_bglt BgL_obj1625z00_987;
BgL_obj1625z00_987 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_idz00_731 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_987))->BgL_idz00); } 
{ /* Object/predicate.scm 97 */
obj_t BgL_idzf3zf3_732;
{ /* Object/predicate.scm 98 */
obj_t BgL_list1901z00_742;
{ /* Object/predicate.scm 98 */
obj_t BgL_arg1902z00_743;
{ /* Object/predicate.scm 98 */
obj_t BgL_auxz00_1405;
BgL_auxz00_1405 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1902z00_743 = 
MAKE_PAIR(BgL_auxz00_1405, BNIL); } 
BgL_list1901z00_742 = 
MAKE_PAIR(BgL_idz00_731, BgL_arg1902z00_743); } 
BgL_idzf3zf3_732 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1901z00_742); } 
{ /* Object/predicate.scm 98 */
obj_t BgL_predzd2idzd2_733;
{ /* Object/predicate.scm 99 */
obj_t BgL_list1899z00_740;
{ /* Object/predicate.scm 99 */
obj_t BgL_arg1900z00_741;
{ /* Object/predicate.scm 99 */
obj_t BgL_auxz00_1410;
BgL_auxz00_1410 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1900z00_741 = 
MAKE_PAIR(BgL_auxz00_1410, BNIL); } 
BgL_list1899z00_740 = 
MAKE_PAIR(BgL_idz00_731, BgL_arg1900z00_741); } 
BgL_predzd2idzd2_733 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1899z00_740); } 
{ /* Object/predicate.scm 101 */

{ /* Object/predicate.scm 102 */
bool_t BgL_test1895z00_736;
{ /* Object/predicate.scm 102 */
obj_t BgL_auxz00_1415;
{ 
obj_t BgL_auxz00_1416;
{ /* Object/predicate.scm 101 */
BgL_objectz00_bglt BgL_auxz00_1417;
BgL_auxz00_1417 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_1416 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1417); } 
BgL_auxz00_1415 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1416))->BgL_itszd2superzd2); } 
BgL_test1895z00_736 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1415, BGl_tclassz00zzobject_classz00); } 
if(BgL_test1895z00_736)
{ /* Object/predicate.scm 104 */
obj_t BgL_arg1896z00_737;
{ /* Object/predicate.scm 104 */
obj_t BgL_arg1898z00_739;
{ /* Object/predicate.scm 104 */
obj_t BgL_auxz00_1423;
BgL_auxz00_1423 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1898z00_739 = 
MAKE_PAIR(BgL_auxz00_1423, BNIL); } 
BgL_arg1896z00_737 = 
MAKE_PAIR(BgL_predzd2idzd2_733, BgL_arg1898z00_739); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6, BgL_arg1896z00_737, BNIL); }  else 
{ /* Object/predicate.scm 102 */BFALSE; } } 
return BNIL;} } } } } 
}



/* _import-class-pred! */
obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_1251, obj_t BgL_classz00_1252, obj_t BgL_srczd2defzd2_1253, obj_t BgL_modulez00_1254)
{ AN_OBJECT;
{ /* Object/predicate.scm 92 */
return 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1252), BgL_srczd2defzd2_1253, BgL_modulez00_1254);} 
}



/* gen-java-class-pred! */
obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8)
{ AN_OBJECT;
{ /* Object/predicate.scm 114 */
{ /* Object/predicate.scm 115 */
obj_t BgL_idz00_744;
{ /* Object/predicate.scm 115 */
BgL_typez00_bglt BgL_obj1706z00_991;
BgL_obj1706z00_991 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_idz00_744 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_991))->BgL_idz00); } 
{ /* Object/predicate.scm 115 */
obj_t BgL_idzf3zf3_745;
{ /* Object/predicate.scm 116 */
obj_t BgL_list1940z00_788;
{ /* Object/predicate.scm 116 */
obj_t BgL_arg1941z00_789;
{ /* Object/predicate.scm 116 */
obj_t BgL_auxz00_1432;
BgL_auxz00_1432 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1941z00_789 = 
MAKE_PAIR(BgL_auxz00_1432, BNIL); } 
BgL_list1940z00_788 = 
MAKE_PAIR(BgL_idz00_744, BgL_arg1941z00_789); } 
BgL_idzf3zf3_745 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1940z00_788); } 
{ /* Object/predicate.scm 116 */
obj_t BgL_predzd2idzd2_746;
{ /* Object/predicate.scm 117 */
obj_t BgL_list1938z00_786;
{ /* Object/predicate.scm 117 */
obj_t BgL_arg1939z00_787;
{ /* Object/predicate.scm 117 */
obj_t BgL_auxz00_1437;
BgL_auxz00_1437 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1939z00_787 = 
MAKE_PAIR(BgL_auxz00_1437, BNIL); } 
BgL_list1938z00_786 = 
MAKE_PAIR(BgL_idz00_744, BgL_arg1939z00_787); } 
BgL_predzd2idzd2_746 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1938z00_786); } 
{ /* Object/predicate.scm 117 */
obj_t BgL_objz00_747;
{ /* Object/predicate.scm 118 */
obj_t BgL_arg1937z00_785;
BgL_arg1937z00_785 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_747 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1937z00_785); } 
{ /* Object/predicate.scm 119 */

{ 

{ /* Object/predicate.scm 124 */
obj_t BgL_arg1903z00_750;
{ /* Object/predicate.scm 124 */
obj_t BgL_arg1904z00_751;obj_t BgL_arg1905z00_752;
BgL_arg1904z00_751 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/predicate.scm 124 */
obj_t BgL_arg1906z00_753;
{ /* Object/predicate.scm 124 */
obj_t BgL_arg1908z00_755;obj_t BgL_arg1909z00_756;
BgL_arg1908z00_755 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/predicate.scm 124 */
obj_t BgL_arg1910z00_757;
{ /* Object/predicate.scm 124 */
obj_t BgL_auxz00_1448;
BgL_auxz00_1448 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1910z00_757 = 
MAKE_PAIR(BgL_auxz00_1448, BNIL); } 
BgL_arg1909z00_756 = 
MAKE_PAIR(BgL_predzd2idzd2_746, BgL_arg1910z00_757); } 
BgL_arg1906z00_753 = 
MAKE_PAIR(BgL_arg1908z00_755, BgL_arg1909z00_756); } 
BgL_arg1905z00_752 = 
MAKE_PAIR(BgL_arg1906z00_753, BNIL); } 
BgL_arg1903z00_750 = 
MAKE_PAIR(BgL_arg1904z00_751, BgL_arg1905z00_752); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1903z00_750); } 
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1911z00_758;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1912z00_759;obj_t BgL_arg1913z00_760;
BgL_arg1912z00_759 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1914z00_761;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1916z00_763;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1917z00_764;obj_t BgL_arg1918z00_765;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg1919z00_766;obj_t BgL_arg1920z00_767;
BgL_arg1919z00_766 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/predicate.scm 126 */
obj_t BgL_auxz00_1458;
{ /* Object/predicate.scm 126 */
BgL_typez00_bglt BgL_obj1706z00_993;
BgL_obj1706z00_993 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_auxz00_1458 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_993))->BgL_idz00); } 
BgL_arg1920z00_767 = 
MAKE_PAIR(BgL_auxz00_1458, BNIL); } 
BgL_arg1917z00_764 = 
MAKE_PAIR(BgL_arg1919z00_766, BgL_arg1920z00_767); } 
{ /* Object/predicate.scm 126 */
obj_t BgL_auxz00_1463;
BgL_auxz00_1463 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1918z00_765 = 
MAKE_PAIR(BgL_auxz00_1463, BNIL); } 
BgL_arg1916z00_763 = 
MAKE_PAIR(BgL_arg1917z00_764, BgL_arg1918z00_765); } 
BgL_arg1914z00_761 = 
MAKE_PAIR(BgL_idzf3zf3_745, BgL_arg1916z00_763); } 
BgL_arg1913z00_760 = 
MAKE_PAIR(BgL_arg1914z00_761, BNIL); } 
BgL_arg1911z00_758 = 
MAKE_PAIR(BgL_arg1912z00_759, BgL_arg1913z00_760); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1911z00_758); } 
{ /* Object/predicate.scm 129 */
obj_t BgL_arg1923z00_770;
{ /* Object/predicate.scm 129 */
obj_t BgL_arg1925z00_772;
{ /* Object/predicate.scm 129 */
obj_t BgL_arg1927z00_774;obj_t BgL_arg1928z00_775;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 129 */
BgL_arg1927z00_774 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* Object/predicate.scm 129 */
BgL_arg1927z00_774 = 
CNST_TABLE_REF(((long)14)); } 
{ /* Object/predicate.scm 130 */
obj_t BgL_arg1930z00_777;obj_t BgL_arg1931z00_778;
{ /* Object/predicate.scm 130 */
obj_t BgL_arg1932z00_779;
BgL_arg1932z00_779 = 
MAKE_PAIR(BgL_objz00_747, BNIL); 
BgL_arg1930z00_777 = 
MAKE_PAIR(BgL_predzd2idzd2_746, BgL_arg1932z00_779); } 
{ /* Object/predicate.scm 131 */
obj_t BgL_arg1933z00_780;
{ /* Object/predicate.scm 121 */
obj_t BgL_list1936z00_783;
BgL_list1936z00_783 = 
MAKE_PAIR(BgL_objz00_747, BNIL); 
BgL_arg1933z00_780 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)16)), BgL_idz00_744, BgL_list1936z00_783); } 
BgL_arg1931z00_778 = 
MAKE_PAIR(BgL_arg1933z00_780, BNIL); } 
BgL_arg1928z00_775 = 
MAKE_PAIR(BgL_arg1930z00_777, BgL_arg1931z00_778); } 
BgL_arg1925z00_772 = 
MAKE_PAIR(BgL_arg1927z00_774, BgL_arg1928z00_775); } 
{ /* Object/predicate.scm 129 */
obj_t BgL_list1926z00_773;
BgL_list1926z00_773 = 
MAKE_PAIR(BgL_srczd2defzd2_8, BNIL); 
BgL_arg1923z00_770 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1925z00_772, BgL_list1926z00_773); } } 
{ /* Object/predicate.scm 128 */
obj_t BgL_list1924z00_771;
BgL_list1924z00_771 = 
MAKE_PAIR(BgL_arg1923z00_770, BNIL); 
return BgL_list1924z00_771;} } } } } } } } } 
}



/* import-java-class-pred! */
obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_modulez00_11)
{ AN_OBJECT;
{ /* Object/predicate.scm 137 */
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 138 */
return 
BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_classz00_9, BgL_srczd2defzd2_10);}  else 
{ /* Object/predicate.scm 142 */
obj_t BgL_idz00_791;
{ /* Object/predicate.scm 142 */
BgL_typez00_bglt BgL_obj1706z00_996;
BgL_obj1706z00_996 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_idz00_791 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_996))->BgL_idz00); } 
{ /* Object/predicate.scm 142 */
obj_t BgL_idzf3zf3_792;
{ /* Object/predicate.scm 143 */
obj_t BgL_list1949z00_801;
{ /* Object/predicate.scm 143 */
obj_t BgL_arg1950z00_802;
{ /* Object/predicate.scm 143 */
obj_t BgL_auxz00_1491;
BgL_auxz00_1491 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1950z00_802 = 
MAKE_PAIR(BgL_auxz00_1491, BNIL); } 
BgL_list1949z00_801 = 
MAKE_PAIR(BgL_idz00_791, BgL_arg1950z00_802); } 
BgL_idzf3zf3_792 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1949z00_801); } 
{ /* Object/predicate.scm 143 */
obj_t BgL_predzd2idzd2_793;
{ /* Object/predicate.scm 144 */
obj_t BgL_list1947z00_799;
{ /* Object/predicate.scm 144 */
obj_t BgL_arg1948z00_800;
{ /* Object/predicate.scm 144 */
obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1948z00_800 = 
MAKE_PAIR(BgL_auxz00_1496, BNIL); } 
BgL_list1947z00_799 = 
MAKE_PAIR(BgL_idz00_791, BgL_arg1948z00_800); } 
BgL_predzd2idzd2_793 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1947z00_799); } 
{ /* Object/predicate.scm 145 */

{ /* Object/predicate.scm 146 */
bool_t BgL_test1943z00_795;
{ /* Object/predicate.scm 146 */
obj_t BgL_auxz00_1501;
{ 
obj_t BgL_auxz00_1502;
{ /* Object/predicate.scm 145 */
BgL_objectz00_bglt BgL_auxz00_1503;
BgL_auxz00_1503 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_1502 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1503); } 
BgL_auxz00_1501 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1502))->BgL_itszd2superzd2); } 
BgL_test1943z00_795 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1501, BGl_jclassz00zzobject_classz00); } 
if(BgL_test1943z00_795)
{ /* Object/predicate.scm 148 */
obj_t BgL_arg1944z00_796;
{ /* Object/predicate.scm 148 */
obj_t BgL_arg1946z00_798;
{ /* Object/predicate.scm 148 */
obj_t BgL_auxz00_1509;
BgL_auxz00_1509 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1946z00_798 = 
MAKE_PAIR(BgL_auxz00_1509, BNIL); } 
BgL_arg1944z00_796 = 
MAKE_PAIR(BgL_predzd2idzd2_793, BgL_arg1946z00_798); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_11, BgL_arg1944z00_796, BNIL); }  else 
{ /* Object/predicate.scm 146 */BFALSE; } } 
return BNIL;} } } } } 
}



/* _import-java-class-pred! */
obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t BgL_envz00_1255, obj_t BgL_classz00_1256, obj_t BgL_srczd2defzd2_1257, obj_t BgL_modulez00_1258)
{ AN_OBJECT;
{ /* Object/predicate.scm 137 */
return 
BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
(BgL_jclassz00_bglt)(BgL_classz00_1256), BgL_srczd2defzd2_1257, BgL_modulez00_1258);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_predicate");} 
}

