/*===========================================================================*/
/*   (Object/wide-access.scm)                                                */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2();
extern obj_t open_input_string(obj_t);
static obj_t BGl__importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt, obj_t);
extern obj_t current_output_port;
extern obj_t BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl__genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t);
extern obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
static obj_t BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = BUNSPEC;
static obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t, BgL_tclassz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2();
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_heapzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__heapza7d2wideza7d2classza7d2accessorsza712za7c0za7za7object_wideza7d2accessza7d21934za7, BGl__heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2, 0L, 1 );
DEFINE_STRING( BGl_string1929z00zzobject_widezd2accesszd2, BgL_bgl_string1929za700za7za7object_wideza7d2accessza7d21935za7, "(no def found) ", 15 );
DEFINE_STRING( BGl_string1928z00zzobject_widezd2accesszd2, BgL_bgl_string1928za700za7za7object_wideza7d2accessza7d21936za7, "Should not be able to see a plain class here", 44 );
DEFINE_STRING( BGl_string1927z00zzobject_widezd2accesszd2, BgL_bgl_string1927za700za7za7object_wideza7d2accessza7d21937za7, "correct-wide-class?", 19 );
DEFINE_STRING( BGl_string1926z00zzobject_widezd2accesszd2, BgL_bgl_string1926za700za7za7object_wideza7d2accessza7d21938za7, "' is not a final class", 22 );
DEFINE_STRING( BGl_string1925z00zzobject_widezd2accesszd2, BgL_bgl_string1925za700za7za7object_wideza7d2accessza7d21939za7, "super of wide class `", 21 );
DEFINE_STRING( BGl_string1924z00zzobject_widezd2accesszd2, BgL_bgl_string1924za700za7za7object_wideza7d2accessza7d21940za7, "A class can't be `wide' and `final'", 35 );
DEFINE_STRING( BGl_string1923z00zzobject_widezd2accesszd2, BgL_bgl_string1923za700za7za7object_wideza7d2accessza7d21941za7, "' is a wide class", 17 );
DEFINE_STRING( BGl_string1922z00zzobject_widezd2accesszd2, BgL_bgl_string1922za700za7za7object_wideza7d2accessza7d21942za7, "' is not a class", 16 );
DEFINE_STRING( BGl_string1921z00zzobject_widezd2accesszd2, BgL_bgl_string1921za700za7za7object_wideza7d2accessza7d21943za7, "super of `", 10 );
DEFINE_STRING( BGl_string1920z00zzobject_widezd2accesszd2, BgL_bgl_string1920za700za7za7object_wideza7d2accessza7d21944za7, "heap super-fields: ", 19 );
DEFINE_STRING( BGl_string1919z00zzobject_widezd2accesszd2, BgL_bgl_string1919za700za7za7object_wideza7d2accessza7d21945za7, "heap fields: ", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__genza7d2wideza7d2classza7d2accessorsza712za7c0za7za7object_wideza7d2accessza7d21946za7, BGl__genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__importza7d2wideza7d2classza7d2accessorsza712za7c0za7za7object_wideza7d2accessza7d21947za7, BGl__importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long BgL_checksumz00_1207, char * BgL_fromz00_1208)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2))
{ 
BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
BGl_cnstzd2initzd2zzobject_widezd2accesszd2(); 
BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "object_wide-access"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* Object/wide-access.scm 21 */
{ /* Object/wide-access.scm 21 */
obj_t BgL_cportz00_1200;
BgL_cportz00_1200 = 
open_input_string(BGl_string1929z00zzobject_widezd2accesszd2); 
{ 
long BgL_iz00_1201;
BgL_iz00_1201 = ((long)0); 
BgL_loopz00_1202:
if(
(BgL_iz00_1201==((long)-1)))
{ /* Object/wide-access.scm 21 */
return BUNSPEC;}  else 
{ /* Object/wide-access.scm 21 */
{ /* Object/wide-access.scm 21 */
obj_t BgL_arg1931z00_1204;
{ /* Object/wide-access.scm 21 */
obj_t BgL_list1932z00_1205;
BgL_list1932z00_1205 = 
MAKE_PAIR(BgL_cportz00_1200, BNIL); 
BgL_arg1931z00_1204 = 
BGl_readz00zz__readerz00(BgL_list1932z00_1205); } 
{ /* Object/wide-access.scm 21 */
int BgL_auxz00_1225;
BgL_auxz00_1225 = 
(int)(BgL_iz00_1201); 
CNST_TABLE_SET(BgL_auxz00_1225, BgL_arg1931z00_1204); } } 
{ 
long BgL_iz00_1228;
{ /* Object/wide-access.scm 21 */
int BgL_auxz00_1229;
{ /* Object/wide-access.scm 21 */
long BgL_auxz00_1230;
BgL_auxz00_1230 = 
(BgL_iz00_1201-((long)1)); 
BgL_auxz00_1229 = 
(int)(BgL_auxz00_1230); } 
BgL_iz00_1228 = 
(long)(BgL_auxz00_1229); } 
BgL_iz00_1201 = BgL_iz00_1228; 
goto BgL_loopz00_1202;} } } } } 
}



/* gen-wide-class-accessors! */
obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_1, BgL_tclassz00_bglt BgL_classz00_2, obj_t BgL_srczd2defzd2_3, obj_t BgL_importz00_4)
{ AN_OBJECT;
{ /* Object/wide-access.scm 50 */
{ /* Object/wide-access.scm 52 */
bool_t BgL_test1845z00_660;
{ /* Object/wide-access.scm 52 */
obj_t BgL_auxz00_1234;
BgL_auxz00_1234 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_2, BgL_srczd2defzd2_3); 
BgL_test1845z00_660 = 
CBOOL(BgL_auxz00_1234); } 
if(BgL_test1845z00_660)
{ /* Object/wide-access.scm 52 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1, BgL_srczd2defzd2_3, BgL_classz00_2); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_2)); 
{ /* Object/wide-access.scm 61 */
obj_t BgL_creatsz00_662;obj_t BgL_structsz00_663;obj_t BgL_predicatez00_664;
BgL_creatsz00_662 = 
BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
BgL_structsz00_663 = 
BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(
(BgL_typez00_bglt)(BgL_classz00_2), BgL_srczd2defzd2_3); 
BgL_predicatez00_664 = 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
{ /* Object/wide-access.scm 64 */
obj_t BgL_fieldsz00_665;
BgL_fieldsz00_665 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, 
(obj_t)(BgL_classz00_2), 
(obj_t)(BgL_classz00_2), BgL_srczd2defzd2_3); 
{ /* Object/wide-access.scm 66 */
obj_t BgL_virtualsz00_666;
BgL_virtualsz00_666 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/wide-access.scm 66 */
obj_t BgL_superzd2fieldszd2_667;
{ /* Object/wide-access.scm 67 */
obj_t BgL_auxz00_1248;
{ 
obj_t BgL_auxz00_1249;
{ /* Object/wide-access.scm 67 */
BgL_objectz00_bglt BgL_auxz00_1250;
BgL_auxz00_1250 = 
(BgL_objectz00_bglt)(BgL_classz00_2); 
BgL_auxz00_1249 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1250); } 
BgL_auxz00_1248 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1249))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_667 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, BgL_auxz00_1248, BFALSE, BgL_srczd2defzd2_3); } 
{ /* Object/wide-access.scm 68 */
obj_t BgL_superzd2virtualszd2_668;
BgL_superzd2virtualszd2_668 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
bgl_append2(BgL_superzd2virtualszd2_668, BgL_virtualsz00_666); 
return 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_664, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_structsz00_663, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_662, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_667, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_665, BNIL)))));} } } } } }  else 
{ /* Object/wide-access.scm 52 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BNIL; 
return BNIL;} } } 
}



/* _gen-wide-class-accessors! */
obj_t BGl__genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1188, obj_t BgL_classzd2defzd2_1189, obj_t BgL_classz00_1190, obj_t BgL_srczd2defzd2_1191, obj_t BgL_importz00_1192)
{ AN_OBJECT;
{ /* Object/wide-access.scm 50 */
return 
BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1189, 
(BgL_tclassz00_bglt)(BgL_classz00_1190), BgL_srczd2defzd2_1191, BgL_importz00_1192);} 
}



/* import-wide-class-accessors! */
obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_5, BgL_tclassz00_bglt BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
{ AN_OBJECT;
{ /* Object/wide-access.scm 76 */
{ /* Object/wide-access.scm 78 */
bool_t BgL_test1851z00_678;
{ /* Object/wide-access.scm 78 */
obj_t BgL_auxz00_1265;
BgL_auxz00_1265 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_6, BgL_srczd2defzd2_7); 
BgL_test1851z00_678 = 
CBOOL(BgL_auxz00_1265); } 
if(BgL_test1851z00_678)
{ /* Object/wide-access.scm 78 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_5, BgL_srczd2defzd2_7, BgL_classz00_6); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_6)); 
{ /* Object/wide-access.scm 87 */
obj_t BgL_creatsz00_680;obj_t BgL_predicatez00_681;
BgL_creatsz00_680 = 
BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
BgL_predicatez00_681 = 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
{ /* Object/wide-access.scm 89 */
obj_t BgL_fieldsz00_682;
BgL_fieldsz00_682 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, 
(obj_t)(BgL_classz00_6), 
(obj_t)(BgL_classz00_6), BgL_srczd2defzd2_7); 
{ /* Object/wide-access.scm 91 */
obj_t BgL_virtualsz00_683;
BgL_virtualsz00_683 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/wide-access.scm 91 */
obj_t BgL_superzd2fieldszd2_684;
{ /* Object/wide-access.scm 92 */
obj_t BgL_auxz00_1277;
{ 
obj_t BgL_auxz00_1278;
{ /* Object/wide-access.scm 92 */
BgL_objectz00_bglt BgL_auxz00_1279;
BgL_auxz00_1279 = 
(BgL_objectz00_bglt)(BgL_classz00_6); 
BgL_auxz00_1278 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1279); } 
BgL_auxz00_1277 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1278))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_684 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, BgL_auxz00_1277, BFALSE, BgL_srczd2defzd2_7); } 
{ /* Object/wide-access.scm 93 */
obj_t BgL_superzd2virtualszd2_685;
BgL_superzd2virtualszd2_685 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
bgl_append2(BgL_superzd2virtualszd2_685, BgL_virtualsz00_683); 
return 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_681, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_680, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_684, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_682, BNIL))));} } } } } }  else 
{ /* Object/wide-access.scm 78 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BNIL; 
return BNIL;} } } 
}



/* _import-wide-class-accessors! */
obj_t BGl__importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1193, obj_t BgL_classzd2defzd2_1194, obj_t BgL_classz00_1195, obj_t BgL_srczd2defzd2_1196, obj_t BgL_modulez00_1197)
{ AN_OBJECT;
{ /* Object/wide-access.scm 76 */
return 
BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1194, 
(BgL_tclassz00_bglt)(BgL_classz00_1195), BgL_srczd2defzd2_1196, BgL_modulez00_1197);} 
}



/* heap-wide-class-accessors! */
obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_9)
{ AN_OBJECT;
{ /* Object/wide-access.scm 100 */
{ /* Object/wide-access.scm 101 */
obj_t BgL_srczd2defzd2_694;
BgL_srczd2defzd2_694 = 
CNST_TABLE_REF(((long)0)); 
{ /* Object/wide-access.scm 108 */
obj_t BgL_fieldsz00_696;
BgL_fieldsz00_696 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, 
(obj_t)(BgL_classz00_9), BFALSE, BgL_srczd2defzd2_694); 
{ /* Object/wide-access.scm 110 */
obj_t BgL_virtualsz00_697;
BgL_virtualsz00_697 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string1919z00zzobject_widezd2accesszd2, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_fieldsz00_696, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
{ /* Object/wide-access.scm 111 */
obj_t BgL_superzd2fieldszd2_702;
{ /* Object/wide-access.scm 112 */
obj_t BgL_auxz00_1299;
{ 
obj_t BgL_auxz00_1300;
{ /* Object/wide-access.scm 112 */
BgL_objectz00_bglt BgL_auxz00_1301;
BgL_auxz00_1301 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_1300 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1301); } 
BgL_auxz00_1299 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1300))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_702 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, BgL_auxz00_1299, BFALSE, BgL_srczd2defzd2_694); } 
{ /* Object/wide-access.scm 113 */
obj_t BgL_superzd2virtualszd2_703;
BgL_superzd2virtualszd2_703 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string1920z00zzobject_widezd2accesszd2, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_superzd2fieldszd2_702, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
bgl_append2(BgL_superzd2virtualszd2_703, BgL_virtualsz00_697); 
return 
bgl_append2(BgL_superzd2fieldszd2_702, BgL_fieldsz00_696);} } } } } } 
}



/* _heap-wide-class-accessors! */
obj_t BGl__heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1198, obj_t BgL_classz00_1199)
{ AN_OBJECT;
{ /* Object/wide-access.scm 100 */
return 
BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(
(BgL_tclassz00_bglt)(BgL_classz00_1199));} 
}



/* set-wide-class-slots! */
obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_10, obj_t BgL_srczd2defzd2_11, BgL_tclassz00_bglt BgL_classz00_12)
{ AN_OBJECT;
{ /* Object/wide-access.scm 123 */
{ /* Object/wide-access.scm 124 */
obj_t BgL_superz00_711;
{ /* Object/wide-access.scm 124 */
obj_t BgL_superz00_717;
{ 
obj_t BgL_auxz00_1314;
{ /* Object/wide-access.scm 124 */
BgL_objectz00_bglt BgL_auxz00_1315;
BgL_auxz00_1315 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1314 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1315); } 
BgL_superz00_717 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1314))->BgL_itszd2superzd2); } 
{ /* Object/wide-access.scm 125 */
bool_t BgL_testz00_1319;
{ /* Object/wide-access.scm 125 */
obj_t BgL_auxz00_1320;
BgL_auxz00_1320 = 
(obj_t)(BgL_classz00_12); 
BgL_testz00_1319 = 
(BgL_superz00_717==BgL_auxz00_1320); } 
if(BgL_testz00_1319)
{ /* Object/wide-access.scm 125 */
BgL_superz00_711 = BFALSE; }  else 
{ /* Object/wide-access.scm 125 */
BgL_superz00_711 = BgL_superz00_717; } } } 
{ /* Object/wide-access.scm 124 */
obj_t BgL_superzd2vnumzd2_712;
{ /* Object/wide-access.scm 128 */
bool_t BgL_test1867z00_716;
BgL_test1867z00_716 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_711, BGl_tclassz00zzobject_classz00); 
if(BgL_test1867z00_716)
{ /* Object/wide-access.scm 129 */
BgL_tclassz00_bglt BgL_obj1620z00_921;
BgL_obj1620z00_921 = 
(BgL_tclassz00_bglt)(BgL_superz00_711); 
{ 
obj_t BgL_auxz00_1326;
{ /* Object/wide-access.scm 129 */
BgL_objectz00_bglt BgL_auxz00_1327;
BgL_auxz00_1327 = 
(BgL_objectz00_bglt)(BgL_obj1620z00_921); 
BgL_auxz00_1326 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1327); } 
BgL_superzd2vnumzd2_712 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1326))->BgL_virtualzd2slotszd2numberz00); } }  else 
{ /* Object/wide-access.scm 128 */
BgL_superzd2vnumzd2_712 = 
BINT(((long)0)); } } 
{ /* Object/wide-access.scm 131 */

{ /* Object/wide-access.scm 135 */
obj_t BgL_cslotsz00_714;
{ /* Object/wide-access.scm 135 */
obj_t BgL_auxz00_1332;
{ /* Object/wide-access.scm 131 */
obj_t BgL_auxz00_1333;
BgL_auxz00_1333 = 
CDR(BgL_classzd2defzd2_10); 
BgL_auxz00_1332 = 
CDR(BgL_auxz00_1333); } 
BgL_cslotsz00_714 = 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_classz00_12, BgL_auxz00_1332, BFALSE, 
CINT(BgL_superzd2vnumzd2_712), BgL_srczd2defzd2_11); } 
{ /* Object/wide-access.scm 135 */
obj_t BgL_localzd2vnumzd2_715;
BgL_localzd2vnumzd2_715 = 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_classz00_12, BgL_cslotsz00_714); 
{ /* Object/wide-access.scm 136 */

{ 
obj_t BgL_auxz00_1339;
{ /* Object/wide-access.scm 138 */
BgL_objectz00_bglt BgL_auxz00_1340;
BgL_auxz00_1340 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1339 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1340); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1339))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_localzd2vnumzd2_715), BUNSPEC); } 
{ 
obj_t BgL_auxz00_1344;
{ /* Object/wide-access.scm 140 */
BgL_objectz00_bglt BgL_auxz00_1345;
BgL_auxz00_1345 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1344 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1345); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1344))->BgL_slotsz00) = ((obj_t)BgL_cslotsz00_714), BUNSPEC);} } } } } } } } 
}



/* correct-wide-class? */
obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_13, obj_t BgL_srczd2defzd2_14)
{ AN_OBJECT;
{ /* Object/wide-access.scm 149 */
{ /* Object/wide-access.scm 150 */
obj_t BgL_superz00_719;
{ 
obj_t BgL_auxz00_1349;
{ /* Object/wide-access.scm 150 */
BgL_objectz00_bglt BgL_auxz00_1350;
BgL_auxz00_1350 = 
(BgL_objectz00_bglt)(BgL_classz00_13); 
BgL_auxz00_1349 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1350); } 
BgL_superz00_719 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1349))->BgL_itszd2superzd2); } 
{ /* Object/wide-access.scm 150 */
obj_t BgL_classzd2idzd2_720;
{ /* Object/wide-access.scm 151 */
BgL_typez00_bglt BgL_obj1625z00_931;
BgL_obj1625z00_931 = 
(BgL_typez00_bglt)(BgL_classz00_13); 
BgL_classzd2idzd2_720 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_931))->BgL_idz00); } 
{ /* Object/wide-access.scm 151 */

{ /* Object/wide-access.scm 155 */
bool_t BgL_test1869z00_721;
{ /* Object/wide-access.scm 155 */
bool_t BgL_test1893z00_745;
BgL_test1893z00_745 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_719, BGl_typez00zztype_typez00); 
if(BgL_test1893z00_745)
{ /* Object/wide-access.scm 155 */
bool_t BgL_test1894z00_746;
BgL_test1894z00_746 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_719, BGl_tclassz00zzobject_classz00); 
if(BgL_test1894z00_746)
{ /* Object/wide-access.scm 155 */
BgL_test1869z00_721 = ((bool_t)0); }  else 
{ /* Object/wide-access.scm 155 */
BgL_test1869z00_721 = ((bool_t)1); } }  else 
{ /* Object/wide-access.scm 155 */
BgL_test1869z00_721 = ((bool_t)0); } } 
if(BgL_test1869z00_721)
{ /* Object/wide-access.scm 155 */
{ /* Object/wide-access.scm 156 */
obj_t BgL_arg1870z00_722;obj_t BgL_arg1871z00_723;
{ /* Object/wide-access.scm 156 */
BgL_typez00_bglt BgL_obj1002z00_934;
BgL_obj1002z00_934 = 
(BgL_typez00_bglt)(BgL_superz00_719); 
BgL_arg1870z00_722 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_934))->BgL_idz00); } 
{ /* Object/wide-access.scm 157 */
obj_t BgL_arg1874z00_726;
BgL_arg1874z00_726 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_720); 
BgL_arg1871z00_723 = 
string_append_3(BGl_string1921z00zzobject_widezd2accesszd2, BgL_arg1874z00_726, BGl_string1922z00zzobject_widezd2accesszd2); } 
{ /* Object/wide-access.scm 156 */
obj_t BgL_list1872z00_724;
BgL_list1872z00_724 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1870z00_722, BgL_arg1871z00_723, BgL_srczd2defzd2_14, BgL_list1872z00_724);} } }  else 
{ /* Object/wide-access.scm 162 */
bool_t BgL_test1876z00_728;
BgL_test1876z00_728 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test1876z00_728)
{ /* Object/wide-access.scm 168 */
bool_t BgL_test1877z00_729;
BgL_test1877z00_729 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_superz00_719); 
if(BgL_test1877z00_729)
{ /* Object/wide-access.scm 168 */
{ /* Object/wide-access.scm 170 */
obj_t BgL_arg1878z00_730;obj_t BgL_arg1879z00_731;
{ /* Object/wide-access.scm 170 */
BgL_typez00_bglt BgL_obj1002z00_936;
BgL_obj1002z00_936 = 
(BgL_typez00_bglt)(BgL_superz00_719); 
BgL_arg1878z00_730 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_936))->BgL_idz00); } 
{ /* Object/wide-access.scm 171 */
obj_t BgL_arg1882z00_734;
BgL_arg1882z00_734 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_720); 
BgL_arg1879z00_731 = 
string_append_3(BGl_string1921z00zzobject_widezd2accesszd2, BgL_arg1882z00_734, BGl_string1923z00zzobject_widezd2accesszd2); } 
{ /* Object/wide-access.scm 170 */
obj_t BgL_list1880z00_732;
BgL_list1880z00_732 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1878z00_730, BgL_arg1879z00_731, BgL_srczd2defzd2_14, BgL_list1880z00_732);} } }  else 
{ /* Object/wide-access.scm 176 */
bool_t BgL_test1884z00_736;
BgL_test1884z00_736 = 
BGl_finalzd2classzf3z21zzobject_classz00(BgL_superz00_719); 
if(BgL_test1884z00_736)
{ /* Object/wide-access.scm 184 */
bool_t BgL_test1885z00_737;
BgL_test1885z00_737 = 
BGl_finalzd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test1885z00_737)
{ /* Object/wide-access.scm 184 */
{ /* Object/wide-access.scm 186 */
obj_t BgL_list1886z00_738;
BgL_list1886z00_738 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_classzd2idzd2_720, BGl_string1924z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14, BgL_list1886z00_738);} }  else 
{ /* Object/wide-access.scm 184 */
return BTRUE;} }  else 
{ /* Object/wide-access.scm 176 */
{ /* Object/wide-access.scm 178 */
obj_t BgL_arg1887z00_739;obj_t BgL_arg1888z00_740;
{ /* Object/wide-access.scm 178 */
BgL_typez00_bglt BgL_obj1002z00_938;
BgL_obj1002z00_938 = 
(BgL_typez00_bglt)(BgL_superz00_719); 
BgL_arg1887z00_739 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_938))->BgL_idz00); } 
{ /* Object/wide-access.scm 179 */
obj_t BgL_arg1891z00_743;
BgL_arg1891z00_743 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_720); 
BgL_arg1888z00_740 = 
string_append_3(BGl_string1925z00zzobject_widezd2accesszd2, BgL_arg1891z00_743, BGl_string1926z00zzobject_widezd2accesszd2); } 
{ /* Object/wide-access.scm 178 */
obj_t BgL_list1889z00_741;
BgL_list1889z00_741 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1887z00_739, BgL_arg1888z00_740, BgL_srczd2defzd2_14, BgL_list1889z00_741);} } } } }  else 
{ /* Object/wide-access.scm 162 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1927z00zzobject_widezd2accesszd2, BGl_string1928z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* Object/wide-access.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_getterz00(((long)25716), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long)595), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long)48825), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long)60556), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_wide-access"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_wide-access");} 
}

