/*===========================================================================*/
/*   (Prof/emit.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzprof_emitz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzprof_emitz00();
static obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00();
extern obj_t BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00;
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32720ze3z83zzprof_emitz00(obj_t, obj_t);
extern obj_t BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzprof_emitz00();
extern obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
static unsigned char BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t, obj_t);
extern obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzprof_emitz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00();
static obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_STRING( BGl_string2845z00zzprof_emitz00, BgL_bgl_string2845za700za7za7prof_emitza7002850z00, "foreign location allocator ", 27 );
DEFINE_STRING( BGl_string2844z00zzprof_emitz00, BgL_bgl_string2844za700za7za7prof_emitza7002851z00, ") \\\"", 4 );
DEFINE_STRING( BGl_string2843z00zzprof_emitz00, BgL_bgl_string2843za700za7za7prof_emitza7002852z00, "\\\" ", 3 );
DEFINE_STRING( BGl_string2842z00zzprof_emitz00, BgL_bgl_string2842za700za7za7prof_emitza7002853z00, "      fputs( \"((\\\"", 18 );
DEFINE_STRING( BGl_string2841z00zzprof_emitz00, BgL_bgl_string2841za700za7za7prof_emitza7002854z00, "}\n", 2 );
DEFINE_STRING( BGl_string2840z00zzprof_emitz00, BgL_bgl_string2840za700za7za7prof_emitza7002855z00, "   return BUNSPEC;", 18 );
DEFINE_STRING( BGl_string2839z00zzprof_emitz00, BgL_bgl_string2839za700za7za7prof_emitza7002856z00, "   GC_profile_init();", 21 );
DEFINE_STRING( BGl_string2838z00zzprof_emitz00, BgL_bgl_string2838za700za7za7prof_emitza7002857z00, "   }", 4 );
DEFINE_STRING( BGl_string2837z00zzprof_emitz00, BgL_bgl_string2837za700za7za7prof_emitza7002858z00, ")\\n\", (FILE *)bprof_port );", 27 );
DEFINE_STRING( BGl_string2836z00zzprof_emitz00, BgL_bgl_string2836za700za7za7prof_emitza7002859z00, "\\\"", 2 );
DEFINE_STRING( BGl_string2835z00zzprof_emitz00, BgL_bgl_string2835za700za7za7prof_emitza7002860z00, "\\\" \\\"", 5 );
DEFINE_STRING( BGl_string2834z00zzprof_emitz00, BgL_bgl_string2834za700za7za7prof_emitza7002861z00, "      fputs( \"(\\\"", 17 );
DEFINE_STRING( BGl_string2833z00zzprof_emitz00, BgL_bgl_string2833za700za7za7prof_emitza7002862z00, "   if( bprof_port ) {", 21 );
DEFINE_STRING( BGl_string2832z00zzprof_emitz00, BgL_bgl_string2832za700za7za7prof_emitza7002863z00, "\", \"w\" );", 9 );
DEFINE_STRING( BGl_string2831z00zzprof_emitz00, BgL_bgl_string2831za700za7za7prof_emitza7002864z00, "   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( \"", 59 );
DEFINE_STRING( BGl_string2830z00zzprof_emitz00, BgL_bgl_string2830za700za7za7prof_emitza7002865z00, "   extern obj_t bprof_port;", 27 );
DEFINE_STRING( BGl_string2829z00zzprof_emitz00, BgL_bgl_string2829za700za7za7prof_emitza7002866z00, "static obj_t write_bprof_table() {", 34 );
DEFINE_STRING( BGl_string2828z00zzprof_emitz00, BgL_bgl_string2828za700za7za7prof_emitza7002867z00, "/* prof association table */", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2profzd2infozd2envzd2zzprof_emitz00, BgL_bgl__emitza7d2profza7d2infoza700za7za7prof_emitza7002868z00, BGl__emitzd2profzd2infoz00zzprof_emitz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long BgL_checksumz00_2355, char * BgL_fromz00_2356)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzprof_emitz00))
{ 
BGl_requirezd2initializa7ationz75zzprof_emitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzprof_emitz00(); 
BGl_cnstzd2initzd2zzprof_emitz00(); 
BGl_importedzd2moduleszd2initz00zzprof_emitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "prof_emit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* Prof/emit.scm 15 */
{ /* Prof/emit.scm 15 */
obj_t BgL_cportz00_2348;
BgL_cportz00_2348 = 
open_input_string(BGl_string2845z00zzprof_emitz00); 
{ 
long BgL_iz00_2349;
BgL_iz00_2349 = ((long)2); 
BgL_loopz00_2350:
if(
(BgL_iz00_2349==((long)-1)))
{ /* Prof/emit.scm 15 */
return BUNSPEC;}  else 
{ /* Prof/emit.scm 15 */
{ /* Prof/emit.scm 15 */
obj_t BgL_arg2847z00_2352;
{ /* Prof/emit.scm 15 */
obj_t BgL_list2848z00_2353;
BgL_list2848z00_2353 = 
MAKE_PAIR(BgL_cportz00_2348, BNIL); 
BgL_arg2847z00_2352 = 
BGl_readz00zz__readerz00(BgL_list2848z00_2353); } 
{ /* Prof/emit.scm 15 */
int BgL_auxz00_2372;
BgL_auxz00_2372 = 
(int)(BgL_iz00_2349); 
CNST_TABLE_SET(BgL_auxz00_2372, BgL_arg2847z00_2352); } } 
{ 
long BgL_iz00_2375;
{ /* Prof/emit.scm 15 */
int BgL_auxz00_2376;
{ /* Prof/emit.scm 15 */
long BgL_auxz00_2377;
BgL_auxz00_2377 = 
(BgL_iz00_2349-((long)1)); 
BgL_auxz00_2376 = 
(int)(BgL_auxz00_2377); } 
BgL_iz00_2375 = 
(long)(BgL_auxz00_2376); } 
BgL_iz00_2349 = BgL_iz00_2375; 
goto BgL_loopz00_2350;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* emit-prof-info */
obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_globalsz00_33, obj_t BgL_portz00_34)
{ AN_OBJECT;
{ /* Prof/emit.scm 37 */
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 70 */
obj_t BgL_list2712z00_1290;
BgL_list2712z00_1290 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2828z00zzprof_emitz00, BgL_list2712z00_1290); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 71 */
obj_t BgL_list2713z00_1292;
BgL_list2713z00_1292 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2829z00zzprof_emitz00, BgL_list2713z00_1292); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 72 */
obj_t BgL_list2714z00_1294;
BgL_list2714z00_1294 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2830z00zzprof_emitz00, BgL_list2714z00_1294); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 73 */
obj_t BgL_list2715z00_1296;
BgL_list2715z00_1296 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2831z00zzprof_emitz00, BgL_list2715z00_1296); } 
{ /* Prof/emit.scm 73 */
obj_t BgL_list2716z00_1297;
BgL_list2716z00_1297 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00, BgL_list2716z00_1297); } 
{ /* Prof/emit.scm 73 */
obj_t BgL_list2717z00_1298;
BgL_list2717z00_1298 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2832z00zzprof_emitz00, BgL_list2717z00_1298); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 75 */
obj_t BgL_list2718z00_1300;
BgL_list2718z00_1300 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2833z00zzprof_emitz00, BgL_list2718z00_1300); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 78 */
obj_t BgL_zc3anonymousza32720ze3z83_2338;
{ 
int BgL_auxz00_2404;int BgL_auxz00_2402;
BgL_auxz00_2404 = 
(int)(((long)1)); 
BgL_auxz00_2402 = 
(int)(((long)1)); 
BgL_zc3anonymousza32720ze3z83_2338 = 
make_fx_procedure(BGl_zc3anonymousza32720ze3z83zzprof_emitz00, BgL_auxz00_2402, BgL_auxz00_2404); } 
{ /* Prof/emit.scm 78 */
int BgL_auxz00_2407;
BgL_auxz00_2407 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_2338, BgL_auxz00_2407, BgL_portz00_34); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza32720ze3z83_2338); } 
{ 
obj_t BgL_l2685z00_1313;
BgL_l2685z00_1313 = BgL_globalsz00_33; 
BgL_lname2686z00_1314:
if(
PAIRP(BgL_l2685z00_1313))
{ /* Prof/emit.scm 84 */
{ /* Prof/emit.scm 85 */
obj_t BgL_globalz00_1316;
BgL_globalz00_1316 = 
CAR(BgL_l2685z00_1313); 
{ /* Prof/emit.scm 85 */
bool_t BgL_testz00_2414;
{ /* Prof/emit.scm 85 */
BgL_globalz00_bglt BgL_obj1182z00_1820;
BgL_obj1182z00_1820 = 
(BgL_globalz00_bglt)(BgL_globalz00_1316); 
BgL_testz00_2414 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1182z00_1820))->BgL_userzf3zf3); } 
if(BgL_testz00_2414)
{ /* Prof/emit.scm 86 */
unsigned char BgL_auxz00_2417;
BgL_auxz00_2417 = 
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_34, BgL_globalz00_1316); 
BCHAR(BgL_auxz00_2417); }  else 
{ /* Prof/emit.scm 85 */BFALSE; } } } 
{ 
obj_t BgL_l2685z00_2420;
BgL_l2685z00_2420 = 
CDR(BgL_l2685z00_1313); 
BgL_l2685z00_1313 = BgL_l2685z00_2420; 
goto BgL_lname2686z00_1314;} }  else 
{ /* Prof/emit.scm 84 */((bool_t)1); } } 
{ 
obj_t BgL_l2687z00_1319;
BgL_l2687z00_1319 = BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00; 
BgL_lname2688z00_1320:
if(
PAIRP(BgL_l2687z00_1319))
{ /* Prof/emit.scm 90 */
{ /* Prof/emit.scm 91 */
obj_t BgL_scmze2cze2_1322;
BgL_scmze2cze2_1322 = 
CAR(BgL_l2687z00_1319); 
{ /* Prof/emit.scm 91 */
obj_t BgL_scmz00_1323;obj_t BgL_cz00_1324;
BgL_scmz00_1323 = 
CAR(BgL_scmze2cze2_1322); 
BgL_cz00_1324 = 
CDR(BgL_scmze2cze2_1322); 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2733z00_1326;
BgL_list2733z00_1326 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2834z00zzprof_emitz00, BgL_list2733z00_1326); } 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2734z00_1327;
BgL_list2734z00_1327 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_scmz00_1323, BgL_list2734z00_1327); } 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2735z00_1328;
BgL_list2735z00_1328 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2835z00zzprof_emitz00, BgL_list2735z00_1328); } 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2736z00_1329;
BgL_list2736z00_1329 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_cz00_1324, BgL_list2736z00_1329); } 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2737z00_1330;
BgL_list2737z00_1330 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2836z00zzprof_emitz00, BgL_list2737z00_1330); } 
{ /* Prof/emit.scm 93 */
obj_t BgL_list2738z00_1331;
BgL_list2738z00_1331 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2837z00zzprof_emitz00, BgL_list2738z00_1331); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); } } 
{ 
obj_t BgL_l2687z00_2440;
BgL_l2687z00_2440 = 
CDR(BgL_l2687z00_1319); 
BgL_l2687z00_1319 = BgL_l2687z00_2440; 
goto BgL_lname2688z00_1320;} }  else 
{ /* Prof/emit.scm 90 */((bool_t)1); } } 
{ /* Prof/emit.scm 100 */
obj_t BgL_list2740z00_1334;
BgL_list2740z00_1334 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2838z00zzprof_emitz00, BgL_list2740z00_1334); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 101 */
obj_t BgL_list2741z00_1336;
BgL_list2741z00_1336 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2839z00zzprof_emitz00, BgL_list2741z00_1336); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 102 */
obj_t BgL_list2742z00_1338;
BgL_list2742z00_1338 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2840z00zzprof_emitz00, BgL_list2742z00_1338); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Prof/emit.scm 103 */
obj_t BgL_list2743z00_1340;
BgL_list2743z00_1340 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2841z00zzprof_emitz00, BgL_list2743z00_1340); } 
{ /* Prof/emit.scm 103 */
unsigned char BgL_auxz00_2453;
BgL_auxz00_2453 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
return 
BCHAR(BgL_auxz00_2453);} } 
}



/* _emit-prof-info */
obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_envz00_2339, obj_t BgL_globalsz00_2340, obj_t BgL_portz00_2341)
{ AN_OBJECT;
{ /* Prof/emit.scm 37 */
return 
BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_2340, BgL_portz00_2341);} 
}



/* emit-global! */
unsigned char BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t BgL_portz00_2342, obj_t BgL_globalz00_1341)
{ AN_OBJECT;
{ /* Prof/emit.scm 65 */
{ /* Prof/emit.scm 39 */
BgL_valuez00_bglt BgL_sfunz00_1343;
{ /* Prof/emit.scm 39 */
BgL_globalz00_bglt BgL_obj1155z00_1832;
BgL_obj1155z00_1832 = 
(BgL_globalz00_bglt)(BgL_globalz00_1341); 
BgL_sfunz00_1343 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1832))->BgL_valuez00); } 
{ /* Prof/emit.scm 40 */

BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(BgL_globalz00_1341); 
{ /* Prof/emit.scm 42 */
obj_t BgL_idz00_1345;obj_t BgL_czd2namezd2_1346;obj_t BgL_alloczf3zf3_1347;obj_t BgL_locz00_1348;
{ /* Prof/emit.scm 42 */
BgL_globalz00_bglt BgL_obj1148z00_1834;
BgL_obj1148z00_1834 = 
(BgL_globalz00_bglt)(BgL_globalz00_1341); 
BgL_idz00_1345 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_1834))->BgL_idz00); } 
{ /* Prof/emit.scm 43 */
BgL_globalz00_bglt BgL_obj1149z00_1835;
BgL_obj1149z00_1835 = 
(BgL_globalz00_bglt)(BgL_globalz00_1341); 
BgL_czd2namezd2_1346 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_1835))->BgL_namez00); } 
{ /* Prof/emit.scm 44 */
bool_t BgL__andtest_2676z00_1375;
BgL__andtest_2676z00_1375 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_sfunz00_1343), BGl_sfunz00zzast_varz00); 
if(BgL__andtest_2676z00_1375)
{ /* Prof/emit.scm 45 */
obj_t BgL_auxz00_2467;
{ /* Prof/emit.scm 45 */
BgL_sfunz00_bglt BgL_obj1366z00_1837;
BgL_obj1366z00_1837 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1343); 
BgL_auxz00_2467 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1366z00_1837))->BgL_propertyz00); } 
BgL_alloczf3zf3_1347 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)0)), BgL_auxz00_2467); }  else 
{ /* Prof/emit.scm 44 */
BgL_alloczf3zf3_1347 = BFALSE; } } 
{ /* Prof/emit.scm 46 */
bool_t BgL__andtest_2677z00_1378;
BgL__andtest_2677z00_1378 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_sfunz00_1343), BGl_sfunz00zzast_varz00); 
if(BgL__andtest_2677z00_1378)
{ /* Prof/emit.scm 47 */
BgL_sfunz00_bglt BgL_obj1382z00_1839;
BgL_obj1382z00_1839 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1343); 
BgL_locz00_1348 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1839))->BgL_locz00); }  else 
{ /* Prof/emit.scm 46 */
BgL_locz00_1348 = BFALSE; } } 
{ /* Prof/emit.scm 48 */
bool_t BgL_testz00_2477;
if(
STRUCTP(BgL_locz00_1348))
{ /* Prof/emit.scm 48 */
obj_t BgL_auxz00_2482;obj_t BgL_auxz00_2480;
BgL_auxz00_2482 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2480 = 
STRUCT_KEY(BgL_locz00_1348); 
BgL_testz00_2477 = 
(BgL_auxz00_2480==BgL_auxz00_2482); }  else 
{ /* Prof/emit.scm 48 */
BgL_testz00_2477 = ((bool_t)0)
; } 
if(BgL_testz00_2477)
{ /* Prof/emit.scm 48 */
{ /* Prof/emit.scm 49 */
obj_t BgL_list2746z00_1351;
BgL_list2746z00_1351 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2842z00zzprof_emitz00, BgL_list2746z00_1351); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2747z00_1352;
BgL_list2747z00_1352 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_idz00_1345, BgL_list2747z00_1352); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2748z00_1353;
BgL_list2748z00_1353 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2843z00zzprof_emitz00, BgL_list2748z00_1353); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2749z00_1354;
BgL_list2749z00_1354 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2836z00zzprof_emitz00, BgL_list2749z00_1354); } 
{ /* Prof/emit.scm 52 */
obj_t BgL_arg2750z00_1355;
{ /* Prof/emit.scm 52 */
int BgL_auxz00_2493;
BgL_auxz00_2493 = 
(int)(((long)0)); 
BgL_arg2750z00_1355 = 
STRUCT_REF(BgL_locz00_1348, BgL_auxz00_2493); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2751z00_1356;
BgL_list2751z00_1356 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2750z00_1355, BgL_list2751z00_1356); } } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2752z00_1357;
BgL_list2752z00_1357 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2843z00zzprof_emitz00, BgL_list2752z00_1357); } 
{ /* Prof/emit.scm 53 */
obj_t BgL_arg2753z00_1358;
{ /* Prof/emit.scm 53 */
int BgL_auxz00_2500;
BgL_auxz00_2500 = 
(int)(((long)1)); 
BgL_arg2753z00_1358 = 
STRUCT_REF(BgL_locz00_1348, BgL_auxz00_2500); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2754z00_1359;
BgL_list2754z00_1359 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2753z00_1358, BgL_list2754z00_1359); } } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2755z00_1360;
BgL_list2755z00_1360 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2844z00zzprof_emitz00, BgL_list2755z00_1360); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2756z00_1361;
BgL_list2756z00_1361 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_czd2namezd2_1346, BgL_list2756z00_1361); } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2757z00_1362;
BgL_list2757z00_1362 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2836z00zzprof_emitz00, BgL_list2757z00_1362); } 
{ /* Prof/emit.scm 57 */
char * BgL_arg2758z00_1363;
if(
CBOOL(BgL_alloczf3zf3_1347))
{ /* Prof/emit.scm 57 */
BgL_arg2758z00_1363 = " allocator"; }  else 
{ /* Prof/emit.scm 57 */
BgL_arg2758z00_1363 = ""; } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2759z00_1364;
BgL_list2759z00_1364 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2758z00_1363), BgL_list2759z00_1364); } } 
{ /* Prof/emit.scm 49 */
obj_t BgL_list2760z00_1365;
BgL_list2760z00_1365 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2837z00zzprof_emitz00, BgL_list2760z00_1365); } 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_2342);}  else 
{ /* Prof/emit.scm 48 */
{ /* Prof/emit.scm 59 */
obj_t BgL_list2761z00_1367;
BgL_list2761z00_1367 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2834z00zzprof_emitz00, BgL_list2761z00_1367); } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2762z00_1368;
BgL_list2762z00_1368 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_idz00_1345, BgL_list2762z00_1368); } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2763z00_1369;
BgL_list2763z00_1369 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2835z00zzprof_emitz00, BgL_list2763z00_1369); } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2764z00_1370;
BgL_list2764z00_1370 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_czd2namezd2_1346, BgL_list2764z00_1370); } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2765z00_1371;
BgL_list2765z00_1371 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2836z00zzprof_emitz00, BgL_list2765z00_1371); } 
{ /* Prof/emit.scm 64 */
char * BgL_arg2766z00_1372;
if(
CBOOL(BgL_alloczf3zf3_1347))
{ /* Prof/emit.scm 64 */
BgL_arg2766z00_1372 = " allocator"; }  else 
{ /* Prof/emit.scm 64 */
BgL_arg2766z00_1372 = ""; } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2767z00_1373;
BgL_list2767z00_1373 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2766z00_1372), BgL_list2767z00_1373); } } 
{ /* Prof/emit.scm 59 */
obj_t BgL_list2768z00_1374;
BgL_list2768z00_1374 = 
MAKE_PAIR(BgL_portz00_2342, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2837z00zzprof_emitz00, BgL_list2768z00_1374); } 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_2342);} } } } } } 
}



/* <anonymous:2720> */
obj_t BGl_zc3anonymousza32720ze3z83zzprof_emitz00(obj_t BgL_envz00_2343, obj_t BgL_gz00_2345)
{ AN_OBJECT;
{ /* Prof/emit.scm 77 */
{ /* Prof/emit.scm 78 */
obj_t BgL_portz00_2344;
{ /* Prof/emit.scm 78 */
int BgL_auxz00_2537;
BgL_auxz00_2537 = 
(int)(((long)0)); 
BgL_portz00_2344 = 
PROCEDURE_REF(BgL_envz00_2343, BgL_auxz00_2537); } 
{ 
obj_t BgL_gz00_1302;
BgL_gz00_1302 = BgL_gz00_2345; 
{ /* Prof/emit.scm 78 */
bool_t BgL_testz00_2540;
{ /* Prof/emit.scm 78 */
bool_t BgL_testz00_2541;
{ /* Prof/emit.scm 78 */
bool_t BgL_testz00_2542;
{ /* Prof/emit.scm 78 */
long BgL_auxz00_2543;
{ /* Prof/emit.scm 78 */
BgL_globalz00_bglt BgL_obj1167z00_1812;
BgL_obj1167z00_1812 = 
(BgL_globalz00_bglt)(BgL_gz00_1302); 
BgL_auxz00_2543 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1167z00_1812))->BgL_occurrencez00); } 
BgL_testz00_2542 = 
(BgL_auxz00_2543>((long)0)); } 
if(BgL_testz00_2542)
{ /* Prof/emit.scm 78 */
BgL_testz00_2541 = ((bool_t)1)
; }  else 
{ /* Prof/emit.scm 79 */
obj_t BgL_auxz00_2550;obj_t BgL_auxz00_2547;
BgL_auxz00_2550 = 
CNST_TABLE_REF(((long)2)); 
{ /* Prof/emit.scm 79 */
BgL_globalz00_bglt BgL_obj1170z00_1815;
BgL_obj1170z00_1815 = 
(BgL_globalz00_bglt)(BgL_gz00_1302); 
BgL_auxz00_2547 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1815))->BgL_modulez00); } 
BgL_testz00_2541 = 
(BgL_auxz00_2547==BgL_auxz00_2550); } } 
if(BgL_testz00_2541)
{ /* Prof/emit.scm 80 */
bool_t BgL_testz00_2553;
{ /* Prof/emit.scm 80 */
BgL_globalz00_bglt BgL_obj1179z00_1816;
BgL_obj1179z00_1816 = 
(BgL_globalz00_bglt)(BgL_gz00_1302); 
BgL_testz00_2553 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_1816))->BgL_libraryzf3zf3); } 
if(BgL_testz00_2553)
{ /* Prof/emit.scm 81 */
BgL_globalz00_bglt BgL_obj1182z00_1817;
BgL_obj1182z00_1817 = 
(BgL_globalz00_bglt)(BgL_gz00_1302); 
BgL_testz00_2540 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1182z00_1817))->BgL_userzf3zf3); }  else 
{ /* Prof/emit.scm 80 */
BgL_testz00_2540 = ((bool_t)0)
; } }  else 
{ /* Prof/emit.scm 78 */
BgL_testz00_2540 = ((bool_t)0)
; } } 
if(BgL_testz00_2540)
{ /* Prof/emit.scm 82 */
unsigned char BgL_auxz00_2558;
BgL_auxz00_2558 = 
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_2344, BgL_gz00_1302); 
return 
BCHAR(BgL_auxz00_2558);}  else 
{ /* Prof/emit.scm 78 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "prof_emit"); 
return 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)56964), "prof_emit");} 
}

