/*===========================================================================*/
/*   (Read/inline.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_inlinez00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_handling_function1600z00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_loopz00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_inlinez00();
extern obj_t close_input_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_requirezd2initializa7ationz75zzread_inlinez00 = BUNSPEC;
extern obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
static obj_t BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BUNSPEC;
extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
extern obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t, obj_t, obj_t);
extern obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzread_inlinez00();
static obj_t __cnst[ 7 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2finaliza7erzd2envza7zzread_inlinez00, BgL_bgl__inlineza7d2finaliza7a7erza775za7za7read_inlineza7001666z00, BGl__inlinezd2finaliza7erz75zzread_inlinez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_lookzd2forzd2inlinezd2envzd2zzread_inlinez00, BgL_bgl__lookza7d2forza7d2inlineza700za7za7read_inlineza7001667z00, BGl__lookzd2forzd2inlinez00zzread_inlinez00, 0L, 5 );
DEFINE_STRING( BGl_string1661z00zzread_inlinez00, BgL_bgl_string1661za700za7za7read_inlineza7001668z00, "unit imported-inlines begin define-inline @ sifun done ", 55 );
DEFINE_STRING( BGl_string1660z00zzread_inlinez00, BgL_bgl_string1660za700za7za7read_inlineza7001669z00, "Can't find file", 15 );
DEFINE_STRING( BGl_string1659z00zzread_inlinez00, BgL_bgl_string1659za700za7za7read_inlineza7001670z00, "Can't find inline/generic definition(s)", 39 );
DEFINE_STRING( BGl_string1658z00zzread_inlinez00, BgL_bgl_string1658za700za7za7read_inlineza7001671z00, "import", 6 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long BgL_checksumz00_940, char * BgL_fromz00_941)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_inlinez00))
{ 
BGl_requirezd2initializa7ationz75zzread_inlinez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_inlinez00(); 
BGl_cnstzd2initzd2zzread_inlinez00(); 
BGl_importedzd2moduleszd2initz00zzread_inlinez00(); 
BGl_toplevelzd2initzd2zzread_inlinez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "read_inline"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 15 */
{ /* Read/inline.scm 15 */
obj_t BgL_cportz00_933;
BgL_cportz00_933 = 
open_input_string(BGl_string1661z00zzread_inlinez00); 
{ 
long BgL_iz00_934;
BgL_iz00_934 = ((long)6); 
BgL_loopz00_935:
if(
(BgL_iz00_934==((long)-1)))
{ /* Read/inline.scm 15 */
return BUNSPEC;}  else 
{ /* Read/inline.scm 15 */
{ /* Read/inline.scm 15 */
obj_t BgL_arg1663z00_937;
{ /* Read/inline.scm 15 */
obj_t BgL_list1664z00_938;
BgL_list1664z00_938 = 
MAKE_PAIR(BgL_cportz00_933, BNIL); 
BgL_arg1663z00_937 = 
BGl_readz00zz__readerz00(BgL_list1664z00_938); } 
{ /* Read/inline.scm 15 */
int BgL_auxz00_960;
BgL_auxz00_960 = 
(int)(BgL_iz00_934); 
CNST_TABLE_SET(BgL_auxz00_960, BgL_arg1663z00_937); } } 
{ 
long BgL_iz00_963;
{ /* Read/inline.scm 15 */
int BgL_auxz00_964;
{ /* Read/inline.scm 15 */
long BgL_auxz00_965;
BgL_auxz00_965 = 
(BgL_iz00_934-((long)1)); 
BgL_auxz00_964 = 
(int)(BgL_auxz00_965); } 
BgL_iz00_963 = 
(long)(BgL_auxz00_964); } 
BgL_iz00_934 = BgL_iz00_963; 
goto BgL_loopz00_935;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 15 */
return ( 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BNIL, BUNSPEC) ;} 
}



/* look-for-inline */
obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_inlinesz00_19, obj_t BgL_codez00_20, obj_t BgL_portz00_21, obj_t BgL_fnamesz00_22, obj_t BgL_modulez00_23)
{ AN_OBJECT;
{ /* Read/inline.scm 35 */
{ /* Read/inline.scm 36 */
obj_t BgL_arg1572z00_457;obj_t BgL_arg1573z00_458;
BgL_arg1572z00_457 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_19, BgL_codez00_20, BgL_modulez00_23); 
{ /* Read/inline.scm 37 */
obj_t BgL_list1574z00_459;
{ /* Read/inline.scm 37 */
obj_t BgL_arg1575z00_460;
BgL_arg1575z00_460 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1574z00_459 = 
MAKE_PAIR(BgL_portz00_21, BgL_arg1575z00_460); } 
BgL_arg1573z00_458 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1574z00_459); } 
return 
BGl_loopz00zzread_inlinez00(BgL_modulez00_23, BgL_arg1572z00_457, BgL_arg1573z00_458, BgL_fnamesz00_22, BgL_portz00_21);} } 
}



/* loop */
obj_t BGl_loopz00zzread_inlinez00(obj_t BgL_modulez00_927, obj_t BgL_inlinesz00_452, obj_t BgL_expz00_453, obj_t BgL_fnamesz00_454, obj_t BgL_portz00_455)
{ AN_OBJECT;
{ /* Read/inline.scm 36 */
BGl_loopz00zzread_inlinez00:
if(
NULLP(BgL_inlinesz00_452))
{ /* Read/inline.scm 41 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Read/inline.scm 43 */
bool_t BgL_test1577z00_462;
BgL_test1577z00_462 = 
EOF_OBJECTP(BgL_expz00_453); 
if(BgL_test1577z00_462)
{ /* Read/inline.scm 43 */
if(
NULLP(BgL_fnamesz00_454))
{ /* Read/inline.scm 45 */
obj_t BgL_arg1581z00_466;
if(
NULLP(BgL_inlinesz00_452))
{ /* Read/inline.scm 47 */
BgL_arg1581z00_466 = BNIL; }  else 
{ /* Read/inline.scm 47 */
obj_t BgL_head1551z00_470;
{ /* Read/inline.scm 47 */
obj_t BgL_auxz00_983;
{ /* Read/inline.scm 47 */
obj_t BgL_auxz00_984;
BgL_auxz00_984 = 
CAR(BgL_inlinesz00_452); 
BgL_auxz00_983 = 
CAR(BgL_auxz00_984); } 
BgL_head1551z00_470 = 
MAKE_PAIR(BgL_auxz00_983, BNIL); } 
{ 
obj_t BgL_l1549z00_471;obj_t BgL_tail1552z00_472;
BgL_l1549z00_471 = 
CDR(BgL_inlinesz00_452); 
BgL_tail1552z00_472 = BgL_head1551z00_470; 
BgL_lname1550z00_473:
if(
NULLP(BgL_l1549z00_471))
{ /* Read/inline.scm 47 */
BgL_arg1581z00_466 = BgL_head1551z00_470; }  else 
{ /* Read/inline.scm 47 */
obj_t BgL_newtail1553z00_476;
{ /* Read/inline.scm 47 */
obj_t BgL_auxz00_990;
{ /* Read/inline.scm 47 */
obj_t BgL_auxz00_991;
BgL_auxz00_991 = 
CAR(BgL_l1549z00_471); 
BgL_auxz00_990 = 
CAR(BgL_auxz00_991); } 
BgL_newtail1553z00_476 = 
MAKE_PAIR(BgL_auxz00_990, BNIL); } 
SET_CDR(BgL_tail1552z00_472, BgL_newtail1553z00_476); 
{ 
obj_t BgL_tail1552z00_998;obj_t BgL_l1549z00_996;
BgL_l1549z00_996 = 
CDR(BgL_l1549z00_471); 
BgL_tail1552z00_998 = BgL_newtail1553z00_476; 
BgL_tail1552z00_472 = BgL_tail1552z00_998; 
BgL_l1549z00_471 = BgL_l1549z00_996; 
goto BgL_lname1550z00_473;} } } } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1658z00zzread_inlinez00, BGl_string1659z00zzread_inlinez00, BgL_arg1581z00_466, BNIL);}  else 
{ /* Read/inline.scm 48 */
obj_t BgL_fnamez00_484;
BgL_fnamez00_484 = 
BGl_findzd2filezf2pathz20zz__osz00(
CAR(BgL_fnamesz00_454), BGl_za2loadzd2pathza2zd2zz__evalz00); 
if(
STRINGP(BgL_fnamez00_484))
{ /* Read/inline.scm 51 */
obj_t BgL_portz00_486;
BgL_portz00_486 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_484, BNIL); 
{ /* Read/inline.scm 52 */
obj_t BgL_val1554z00_487;
BgL_val1554z00_487 = 
BGl_handling_function1600z00zzread_inlinez00(BgL_inlinesz00_452, BgL_fnamesz00_454, BgL_portz00_486, BgL_modulez00_927); 
if(
INPUT_PORTP(BgL_portz00_486))
{ /* Read/inline.scm 56 */
close_input_port(BgL_portz00_486); }  else 
{ /* Read/inline.scm 56 */BFALSE; } 
{ /* Read/inline.scm 56 */
bool_t BgL_test1597z00_489;
{ /* Read/inline.scm 56 */
obj_t BgL_auxz00_1010;
BgL_auxz00_1010 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1554z00_487); 
BgL_test1597z00_489 = 
CBOOL(BgL_auxz00_1010); } 
if(BgL_test1597z00_489)
{ /* Read/inline.scm 56 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
CAR(BgL_val1554z00_487), 
CDR(BgL_val1554z00_487));}  else 
{ /* Read/inline.scm 56 */
return BgL_val1554z00_487;} } } }  else 
{ /* Read/inline.scm 49 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1658z00zzread_inlinez00, BGl_string1660z00zzread_inlinez00, 
CAR(BgL_fnamesz00_454), BNIL);} } }  else 
{ /* Read/inline.scm 43 */
{ /* Read/inline.scm 59 */
obj_t BgL_arg1611z00_505;obj_t BgL_arg1612z00_506;
BgL_arg1611z00_505 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_452, BgL_expz00_453, BgL_modulez00_927); 
{ /* Read/inline.scm 60 */
obj_t BgL_list1613z00_507;
{ /* Read/inline.scm 60 */
obj_t BgL_arg1614z00_508;
BgL_arg1614z00_508 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1613z00_507 = 
MAKE_PAIR(BgL_portz00_455, BgL_arg1614z00_508); } 
BgL_arg1612z00_506 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1613z00_507); } 
{ 
obj_t BgL_expz00_1024;obj_t BgL_inlinesz00_1023;
BgL_inlinesz00_1023 = BgL_arg1611z00_505; 
BgL_expz00_1024 = BgL_arg1612z00_506; 
BgL_expz00_453 = BgL_expz00_1024; 
BgL_inlinesz00_452 = BgL_inlinesz00_1023; 
goto BGl_loopz00zzread_inlinez00;} } } } } 
}



/* handling_function1600 */
obj_t BGl_handling_function1600z00zzread_inlinez00(obj_t BgL_inlinesz00_931, obj_t BgL_fnamesz00_930, obj_t BgL_portz00_929, obj_t BgL_modulez00_928)
{ AN_OBJECT;
{ /* Read/inline.scm 56 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1555z00_493;
if( SET_EXIT(BgL_an_exit1555z00_493) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1555z00_493 = 
(obj_t)jmpbuf; 
{ /* Read/inline.scm 56 */

PUSH_EXIT(BgL_an_exit1555z00_493, ((bool_t)0)); 
{ /* Read/inline.scm 53 */
obj_t BgL_val1556z00_494;
{ /* Read/inline.scm 53 */
obj_t BgL_arg1601z00_495;obj_t BgL_arg1602z00_496;
{ /* Read/inline.scm 53 */
obj_t BgL_list1603z00_497;
{ /* Read/inline.scm 53 */
obj_t BgL_arg1604z00_498;
BgL_arg1604z00_498 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1603z00_497 = 
MAKE_PAIR(BgL_portz00_929, BgL_arg1604z00_498); } 
BgL_arg1601z00_495 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1603z00_497); } 
BgL_arg1602z00_496 = 
CDR(BgL_fnamesz00_930); 
BgL_val1556z00_494 = 
BGl_loopz00zzread_inlinez00(BgL_modulez00_928, BgL_inlinesz00_931, BgL_arg1601z00_495, BgL_arg1602z00_496, BgL_portz00_929); } 
POP_EXIT(); 
return BgL_val1556z00_494;} } 
} } 
}



/* _look-for-inline */
obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_envz00_920, obj_t BgL_inlinesz00_921, obj_t BgL_codez00_922, obj_t BgL_portz00_923, obj_t BgL_fnamesz00_924, obj_t BgL_modulez00_925)
{ AN_OBJECT;
{ /* Read/inline.scm 35 */
return 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_inlinesz00_921, BgL_codez00_922, BgL_portz00_923, BgL_fnamesz00_924, BgL_modulez00_925);} 
}



/* look-for-inline/exp */
obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t BgL_inlinesz00_24, obj_t BgL_expz00_25, obj_t BgL_modulez00_26)
{ AN_OBJECT;
{ /* Read/inline.scm 67 */
if(
NULLP(BgL_inlinesz00_24))
{ /* Read/inline.scm 68 */
return BNIL;}  else 
{ 
obj_t BgL_expza2za2_514;obj_t BgL_protoz00_510;obj_t BgL_namez00_511;obj_t BgL_bodyz00_512;
if(
PAIRP(BgL_expz00_25))
{ /* Read/inline.scm 70 */
obj_t BgL_cdrzd2132zd2_519;
BgL_cdrzd2132zd2_519 = 
CDR(BgL_expz00_25); 
{ /* Read/inline.scm 70 */
bool_t BgL_testz00_1040;
{ /* Read/inline.scm 70 */
obj_t BgL_auxz00_1043;obj_t BgL_auxz00_1041;
BgL_auxz00_1043 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_1041 = 
CAR(BgL_expz00_25); 
BgL_testz00_1040 = 
(BgL_auxz00_1041==BgL_auxz00_1043); } 
if(BgL_testz00_1040)
{ /* Read/inline.scm 70 */
if(
PAIRP(BgL_cdrzd2132zd2_519))
{ /* Read/inline.scm 70 */
obj_t BgL_carzd2136zd2_522;
BgL_carzd2136zd2_522 = 
CAR(BgL_cdrzd2132zd2_519); 
if(
PAIRP(BgL_carzd2136zd2_522))
{ /* Read/inline.scm 70 */
BgL_protoz00_510 = BgL_carzd2136zd2_522; 
BgL_namez00_511 = 
CAR(BgL_carzd2136zd2_522); 
BgL_bodyz00_512 = 
CDR(BgL_cdrzd2132zd2_519); 
{ /* Read/inline.scm 72 */
obj_t BgL_idz00_532;
{ /* Read/inline.scm 72 */
obj_t BgL_arg1636z00_542;
BgL_arg1636z00_542 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_25); 
BgL_idz00_532 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_namez00_511, BgL_arg1636z00_542); } 
{ /* Read/inline.scm 72 */
obj_t BgL_cellz00_533;
BgL_cellz00_533 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_532, BgL_inlinesz00_24); 
{ /* Read/inline.scm 73 */

{ /* Read/inline.scm 74 */
bool_t BgL_testz00_1054;
if(
PAIRP(BgL_cellz00_533))
{ /* Read/inline.scm 74 */
obj_t BgL_auxz00_1059;obj_t BgL_auxz00_1057;
BgL_auxz00_1059 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_1057 = 
CDR(BgL_cellz00_533); 
BgL_testz00_1054 = 
(BgL_auxz00_1057==BgL_auxz00_1059); }  else 
{ /* Read/inline.scm 74 */
BgL_testz00_1054 = ((bool_t)0)
; } 
if(BgL_testz00_1054)
{ /* Read/inline.scm 74 */
{ /* Read/inline.scm 76 */
obj_t BgL_arg1629z00_535;
{ /* Read/inline.scm 76 */
obj_t BgL_arg1630z00_536;obj_t BgL_arg1631z00_537;
BgL_arg1630z00_536 = 
CNST_TABLE_REF(((long)2)); 
{ /* Read/inline.scm 76 */
obj_t BgL_arg1632z00_538;
BgL_arg1632z00_538 = 
MAKE_PAIR(BgL_modulez00_26, BNIL); 
BgL_arg1631z00_537 = 
MAKE_PAIR(BgL_idz00_532, BgL_arg1632z00_538); } 
BgL_arg1629z00_535 = 
MAKE_PAIR(BgL_arg1630z00_536, BgL_arg1631z00_537); } 
SET_CAR(BgL_protoz00_510, BgL_arg1629z00_535); } 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = 
MAKE_PAIR(BgL_expz00_25, BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00); 
return 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_cellz00_533, BgL_inlinesz00_24);}  else 
{ /* Read/inline.scm 74 */
return BgL_inlinesz00_24;} } } } } }  else 
{ /* Read/inline.scm 70 */
return BgL_inlinesz00_24;} }  else 
{ /* Read/inline.scm 70 */
return BgL_inlinesz00_24;} }  else 
{ /* Read/inline.scm 70 */
bool_t BgL_testz00_1071;
{ /* Read/inline.scm 70 */
obj_t BgL_auxz00_1074;obj_t BgL_auxz00_1072;
BgL_auxz00_1074 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_1072 = 
CAR(BgL_expz00_25); 
BgL_testz00_1071 = 
(BgL_auxz00_1072==BgL_auxz00_1074); } 
if(BgL_testz00_1071)
{ /* Read/inline.scm 70 */
BgL_expza2za2_514 = BgL_cdrzd2132zd2_519; 
{ 
obj_t BgL_inlinesz00_543;obj_t BgL_expza2za2_544;
BgL_inlinesz00_543 = BgL_inlinesz00_24; 
BgL_expza2za2_544 = BgL_expza2za2_514; 
BgL_loopz00_545:
if(
NULLP(BgL_expza2za2_544))
{ /* Read/inline.scm 84 */
return BgL_inlinesz00_543;}  else 
{ /* Read/inline.scm 86 */
obj_t BgL_arg1638z00_547;obj_t BgL_arg1639z00_548;
BgL_arg1638z00_547 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_543, 
CAR(BgL_expza2za2_544), BgL_modulez00_26); 
BgL_arg1639z00_548 = 
CDR(BgL_expza2za2_544); 
{ 
obj_t BgL_expza2za2_1083;obj_t BgL_inlinesz00_1082;
BgL_inlinesz00_1082 = BgL_arg1638z00_547; 
BgL_expza2za2_1083 = BgL_arg1639z00_548; 
BgL_expza2za2_544 = BgL_expza2za2_1083; 
BgL_inlinesz00_543 = BgL_inlinesz00_1082; 
goto BgL_loopz00_545;} } } }  else 
{ /* Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } }  else 
{ /* Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } 
}



/* inline-finalizer */
obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 99 */
{ /* Read/inline.scm 100 */
bool_t BgL_test1641z00_550;
{ /* Read/inline.scm 100 */
obj_t BgL_objz00_749;
BgL_objz00_749 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
BgL_test1641z00_550 = 
NULLP(BgL_objz00_749); } 
if(BgL_test1641z00_550)
{ /* Read/inline.scm 100 */
return BNIL;}  else 
{ /* Read/inline.scm 102 */
obj_t BgL_arg1642z00_551;
{ /* Read/inline.scm 102 */
obj_t BgL_idz00_750;obj_t BgL_sexpza2za2_752;
BgL_idz00_750 = 
CNST_TABLE_REF(((long)5)); 
BgL_sexpza2za2_752 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
{ /* Read/inline.scm 102 */
obj_t BgL_newz00_754;
{ /* Read/inline.scm 102 */
int BgL_auxz00_1089;obj_t BgL_auxz00_1087;
BgL_auxz00_1089 = 
(int)(((long)4)); 
BgL_auxz00_1087 = 
CNST_TABLE_REF(((long)6)); 
BgL_newz00_754 = 
create_struct(BgL_auxz00_1087, BgL_auxz00_1089); } 
{ /* Read/inline.scm 102 */
int BgL_auxz00_1092;
BgL_auxz00_1092 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_754, BgL_auxz00_1092, BTRUE); } 
{ /* Read/inline.scm 102 */
int BgL_auxz00_1095;
BgL_auxz00_1095 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_754, BgL_auxz00_1095, BgL_sexpza2za2_752); } 
{ /* Read/inline.scm 102 */
obj_t BgL_auxz00_1100;int BgL_auxz00_1098;
BgL_auxz00_1100 = 
BINT(((long)0)); 
BgL_auxz00_1098 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_754, BgL_auxz00_1098, BgL_auxz00_1100); } 
{ /* Read/inline.scm 102 */
int BgL_auxz00_1103;
BgL_auxz00_1103 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_754, BgL_auxz00_1103, BgL_idz00_750); } 
BgL_arg1642z00_551 = BgL_newz00_754; } } 
{ /* Read/inline.scm 102 */
obj_t BgL_list1643z00_552;
BgL_list1643z00_552 = 
MAKE_PAIR(BgL_arg1642z00_551, BNIL); 
return BgL_list1643z00_552;} } } } 
}



/* _inline-finalizer */
obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t BgL_envz00_926)
{ AN_OBJECT;
{ /* Read/inline.scm 99 */
return 
BGl_inlinezd2finaliza7erz75zzread_inlinez00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "read_inline"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)36963), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "read_inline"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "read_inline"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "read_inline");} 
}

