/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zztools_shapez00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_cnstzd2initzd2zztools_shapez00();
extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00();
static obj_t BGl_shapezd2local2661zd2zztools_shapez00(obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zztools_shapez00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_shapezd2type2663zd2zztools_shapez00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl_shapezd2default2656zd2zztools_shapez00(obj_t);
static obj_t BGl_shapezd2global2659zd2zztools_shapez00(obj_t, obj_t);
extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
static obj_t BGl_shapezd2node2665zd2zztools_shapez00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
extern obj_t string_append(obj_t, obj_t);
extern obj_t make_vector(int, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
static obj_t BGl__shapezd2default2656zd2zztools_shapez00(obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl_loopz00zztools_shapez00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__shapez00zztools_shapez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00();
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_GENERIC( BGl_shapezd2envzd2zztools_shapez00, BgL_bgl__shapeza700za7za7tools_shapeza7002858z00, BGl__shapez00zztools_shapez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2841z00zztools_shapez00, BgL_bgl_shapeza7d2global2659za7d2za7za7tools_shapeza7002859za7, BGl_shapezd2global2659zd2zztools_shapez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2842z00zztools_shapez00, BgL_bgl_shapeza7d2local2661za7d2za7za7tools_shapeza7002860za7, BGl_shapezd2local2661zd2zztools_shapez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2843z00zztools_shapez00, BgL_bgl_shapeza7d2type2663za7d2za7za7tools_shapeza7002861za7, BGl_shapezd2type2663zd2zztools_shapez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2844z00zztools_shapez00, BgL_bgl_shapeza7d2node2665za7d2za7za7tools_shapeza7002862za7, BGl_shapezd2node2665zd2zztools_shapez00, 0L, 1 );
DEFINE_STRING( BGl_string2853z00zztools_shapez00, BgL_bgl_string2853za700za7za7tools_shapeza7002863z00, "a-tvector @ _ ", 14 );
DEFINE_STRING( BGl_string2852z00zztools_shapez00, BgL_bgl_string2852za700za7za7tools_shapeza7002864z00, "Can't find global any more", 26 );
DEFINE_STRING( BGl_string2851z00zztools_shapez00, BgL_bgl_string2851za700za7za7tools_shapeza7002865z00, "global-shape", 12 );
DEFINE_STRING( BGl_string2850z00zztools_shapez00, BgL_bgl_string2850za700za7za7tools_shapeza7002866z00, "@", 1 );
DEFINE_STRING( BGl_string2849z00zztools_shapez00, BgL_bgl_string2849za700za7za7tools_shapeza7002867z00, "}", 1 );
DEFINE_STRING( BGl_string2848z00zztools_shapez00, BgL_bgl_string2848za700za7za7tools_shapeza7002868z00, "{", 1 );
DEFINE_STRING( BGl_string2847z00zztools_shapez00, BgL_bgl_string2847za700za7za7tools_shapeza7002869z00, "", 0 );
DEFINE_STRING( BGl_string2846z00zztools_shapez00, BgL_bgl_string2846za700za7za7tools_shapeza7002870z00, "::", 2 );
DEFINE_STRING( BGl_string2845z00zztools_shapez00, BgL_bgl_string2845za700za7za7tools_shapeza7002871z00, "-", 1 );
DEFINE_STATIC_PROCEDURE( BGl_shapezd2default2656zd2envz00zztools_shapez00, BgL_bgl__shapeza7d2default2656za7d2za7za7tools_shapeza7002872za7, BGl__shapezd2default2656zd2zztools_shapez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long BgL_checksumz00_2436, char * BgL_fromz00_2437)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
{ 
BGl_requirezd2initializa7ationz75zztools_shapez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztools_shapez00(); 
BGl_cnstzd2initzd2zztools_shapez00(); 
BGl_importedzd2moduleszd2initz00zztools_shapez00(); 
BGl_methodzd2initzd2zztools_shapez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00()
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tools_shape"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "tools_shape"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "tools_shape"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "tools_shape"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "tools_shape"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztools_shapez00()
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
{ /* Tools/shape.scm 16 */
obj_t BgL_cportz00_2429;
BgL_cportz00_2429 = 
open_input_string(BGl_string2853z00zztools_shapez00); 
{ 
long BgL_iz00_2430;
BgL_iz00_2430 = ((long)2); 
BgL_loopz00_2431:
if(
(BgL_iz00_2430==((long)-1)))
{ /* Tools/shape.scm 16 */
return BUNSPEC;}  else 
{ /* Tools/shape.scm 16 */
{ /* Tools/shape.scm 16 */
obj_t BgL_arg2855z00_2433;
{ /* Tools/shape.scm 16 */
obj_t BgL_list2856z00_2434;
BgL_list2856z00_2434 = 
MAKE_PAIR(BgL_cportz00_2429, BNIL); 
BgL_arg2855z00_2433 = 
BGl_readz00zz__readerz00(BgL_list2856z00_2434); } 
{ /* Tools/shape.scm 16 */
int BgL_auxz00_2455;
BgL_auxz00_2455 = 
(int)(BgL_iz00_2430); 
CNST_TABLE_SET(BgL_auxz00_2455, BgL_arg2855z00_2433); } } 
{ 
long BgL_iz00_2458;
{ /* Tools/shape.scm 16 */
int BgL_auxz00_2459;
{ /* Tools/shape.scm 16 */
long BgL_auxz00_2460;
BgL_auxz00_2460 = 
(BgL_iz00_2430-((long)1)); 
BgL_auxz00_2459 = 
(int)(BgL_auxz00_2460); } 
BgL_iz00_2458 = 
(long)(BgL_auxz00_2459); } 
BgL_iz00_2430 = BgL_iz00_2458; 
goto BgL_loopz00_2431;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztools_shapez00()
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztools_shapez00()
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_shapezd2default2656zd2envz00zztools_shapez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_globalz00zzast_varz00, BGl_proc2841z00zztools_shapez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_localz00zzast_varz00, BGl_proc2842z00zztools_shapez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_typez00zztype_typez00, BGl_proc2843z00zztools_shapez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00, BGl_proc2844z00zztools_shapez00);} 
}



/* shape-node2665 */
obj_t BGl_shapezd2node2665zd2zztools_shapez00(obj_t BgL_envz00_2416, obj_t BgL_nodez00_2417)
{ AN_OBJECT;
{ /* Tools/shape.scm 162 */
{ 
BgL_nodez00_bglt BgL_nodez00_1737;
BgL_nodez00_1737 = 
(BgL_nodez00_bglt)(BgL_nodez00_2417); 
return 
BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_1737);} } 
}



/* shape-type2663 */
obj_t BGl_shapezd2type2663zd2zztools_shapez00(obj_t BgL_envz00_2418, obj_t BgL_typez00_2419)
{ AN_OBJECT;
{ /* Tools/shape.scm 148 */
{ 
BgL_typez00_bglt BgL_typez00_1725;
BgL_typez00_1725 = 
(BgL_typez00_bglt)(BgL_typez00_2419); 
{ /* Tools/shape.scm 149 */
obj_t BgL_spz00_1728;
{ /* Tools/shape.scm 149 */
obj_t BgL_auxz00_2471;
BgL_auxz00_2471 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_1725))->BgL_idz00); 
BgL_spz00_1728 = 
SYMBOL_TO_STRING(BgL_auxz00_2471); } 
if(
CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 151 */
obj_t BgL_arg2795z00_1730;
{ /* Tools/shape.scm 155 */
long BgL_arg2796z00_1731;
BgL_arg2796z00_1731 = 
(long)(BgL_typez00_1725); 
{ /* Tools/shape.scm 155 */
obj_t BgL_list2798z00_1733;
{ /* Tools/shape.scm 155 */
obj_t BgL_auxz00_2477;
BgL_auxz00_2477 = 
BINT(((long)16)); 
BgL_list2798z00_1733 = 
MAKE_PAIR(BgL_auxz00_2477, BNIL); } 
BgL_arg2795z00_1730 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg2796z00_1731, BgL_list2798z00_1733); } } 
return 
string_append_3(BgL_spz00_1728, BGl_string2845z00zztools_shapez00, BgL_arg2795z00_1730);}  else 
{ /* Tools/shape.scm 150 */
return BgL_spz00_1728;} } } } 
}



/* shape-local2661 */
obj_t BGl_shapezd2local2661zd2zztools_shapez00(obj_t BgL_envz00_2420, obj_t BgL_varz00_2421)
{ AN_OBJECT;
{ /* Tools/shape.scm 120 */
{ 
BgL_localz00_bglt BgL_varz00_1693;
BgL_varz00_1693 = 
(BgL_localz00_bglt)(BgL_varz00_2421); 
{ /* Tools/shape.scm 121 */
obj_t BgL_symz00_1696;
if(
CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 122 */
obj_t BgL_arg2782z00_1714;obj_t BgL_arg2783z00_1715;obj_t BgL_arg2784z00_1716;
BgL_arg2782z00_1714 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_idz00); 
BgL_arg2783z00_1715 = 
CNST_TABLE_REF(((long)0)); 
{ /* Tools/shape.scm 124 */
char * BgL_auxz00_2487;
{ /* Tools/shape.scm 124 */
obj_t BgL_auxz00_2488;
BgL_auxz00_2488 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_keyz00), BNIL); 
BgL_auxz00_2487 = 
BSTRING_TO_STRING(BgL_auxz00_2488); } 
BgL_arg2784z00_1716 = 
string_to_symbol(BgL_auxz00_2487); } 
{ /* Tools/shape.scm 122 */
obj_t BgL_list2785z00_1717;
{ /* Tools/shape.scm 122 */
obj_t BgL_arg2786z00_1718;
{ /* Tools/shape.scm 122 */
obj_t BgL_arg2788z00_1719;
BgL_arg2788z00_1719 = 
MAKE_PAIR(BgL_arg2784z00_1716, BNIL); 
BgL_arg2786z00_1718 = 
MAKE_PAIR(BgL_arg2783z00_1715, BgL_arg2788z00_1719); } 
BgL_list2785z00_1717 = 
MAKE_PAIR(BgL_arg2782z00_1714, BgL_arg2786z00_1718); } 
BgL_symz00_1696 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2785z00_1717); } }  else 
{ /* Tools/shape.scm 121 */
BgL_symz00_1696 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_idz00); } 
{ /* Tools/shape.scm 121 */
obj_t BgL_symz00_1697;
BgL_symz00_1697 = 
SYMBOL_TO_STRING(BgL_symz00_1696); 
{ /* Tools/shape.scm 127 */
BgL_typez00_bglt BgL_typez00_1698;
BgL_typez00_1698 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_typez00); 
{ /* Tools/shape.scm 128 */
obj_t BgL_tshapez00_1699;
if(
CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 131 */
obj_t BgL_arg2781z00_1713;
BgL_arg2781z00_1713 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_typez00_1698)); 
BgL_tshapez00_1699 = 
string_append(BGl_string2846z00zztools_shapez00, BgL_arg2781z00_1713); }  else 
{ /* Tools/shape.scm 129 */
BgL_tshapez00_1699 = BGl_string2847z00zztools_shapez00; } 
{ /* Tools/shape.scm 129 */
char * BgL_ushapez00_1700;
if(
CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 132 */
if(
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_userzf3zf3))
{ /* Tools/shape.scm 134 */
BgL_ushapez00_1700 = "-<user>"; }  else 
{ /* Tools/shape.scm 134 */
BgL_ushapez00_1700 = "-<no-user>"; } }  else 
{ /* Tools/shape.scm 132 */
BgL_ushapez00_1700 = ""; } 
{ /* Tools/shape.scm 132 */
obj_t BgL_ashapez00_1701;
if(
CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 138 */
{ /* Tools/shape.scm 141 */
obj_t BgL_arg2774z00_1708;
{ /* Tools/shape.scm 141 */
obj_t BgL_auxz00_2511;
BgL_auxz00_2511 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_1693))->BgL_accessz00); 
BgL_arg2774z00_1708 = 
SYMBOL_TO_STRING(BgL_auxz00_2511); } 
BgL_ashapez00_1701 = 
string_append_3(BGl_string2848z00zztools_shapez00, BgL_arg2774z00_1708, BGl_string2849z00zztools_shapez00); } }  else 
{ /* Tools/shape.scm 138 */
BgL_ashapez00_1701 = BGl_string2847z00zztools_shapez00; } 
{ /* Tools/shape.scm 137 */

{ /* Tools/shape.scm 143 */
obj_t BgL_arg2767z00_1702;
{ /* Tools/shape.scm 143 */
obj_t BgL_list2768z00_1703;
{ /* Tools/shape.scm 143 */
obj_t BgL_arg2770z00_1704;
{ /* Tools/shape.scm 143 */
obj_t BgL_arg2771z00_1705;
{ /* Tools/shape.scm 143 */
obj_t BgL_arg2772z00_1706;
BgL_arg2772z00_1706 = 
MAKE_PAIR(BgL_ashapez00_1701, BNIL); 
{ /* Tools/shape.scm 143 */
obj_t BgL_auxz00_2516;
BgL_auxz00_2516 = 
string_to_bstring(BgL_ushapez00_1700); 
BgL_arg2771z00_1705 = 
MAKE_PAIR(BgL_auxz00_2516, BgL_arg2772z00_1706); } } 
BgL_arg2770z00_1704 = 
MAKE_PAIR(BgL_tshapez00_1699, BgL_arg2771z00_1705); } 
BgL_list2768z00_1703 = 
MAKE_PAIR(BgL_symz00_1697, BgL_arg2770z00_1704); } 
BgL_arg2767z00_1702 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2768z00_1703); } 
{ /* Tools/shape.scm 143 */
char * BgL_auxz00_2522;
BgL_auxz00_2522 = 
BSTRING_TO_STRING(BgL_arg2767z00_1702); 
return 
string_to_symbol(BgL_auxz00_2522);} } } } } } } } } } } 
}



/* shape-global2659 */
obj_t BGl_shapezd2global2659zd2zztools_shapez00(obj_t BgL_envz00_2422, obj_t BgL_varz00_2423)
{ AN_OBJECT;
{ /* Tools/shape.scm 72 */
{ 
BgL_globalz00_bglt BgL_varz00_1631;
BgL_varz00_1631 = 
(BgL_globalz00_bglt)(BgL_varz00_2423); 
{ /* Tools/shape.scm 73 */
obj_t BgL_strzd2idzd2_1634;
{ /* Tools/shape.scm 73 */
obj_t BgL_auxz00_2526;
BgL_auxz00_2526 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_idz00); 
BgL_strzd2idzd2_1634 = 
SYMBOL_TO_STRING(BgL_auxz00_2526); } 
{ /* Tools/shape.scm 73 */
obj_t BgL_idz00_1635;
{ /* Tools/shape.scm 74 */
char * BgL_auxz00_2529;
BgL_auxz00_2529 = 
BSTRING_TO_STRING(BgL_strzd2idzd2_1634); 
BgL_idz00_1635 = 
string_to_symbol(BgL_auxz00_2529); } 
{ /* Tools/shape.scm 74 */
obj_t BgL_modulez00_1636;
{ /* Tools/shape.scm 75 */
obj_t BgL_auxz00_2532;
BgL_auxz00_2532 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_modulez00); 
BgL_modulez00_1636 = 
SYMBOL_TO_STRING(BgL_auxz00_2532); } 
{ /* Tools/shape.scm 75 */
BgL_typez00_bglt BgL_typez00_1637;
BgL_typez00_1637 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_typez00); 
{ /* Tools/shape.scm 76 */
obj_t BgL_tshapez00_1638;
if(
CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 79 */
obj_t BgL_arg2763z00_1688;
BgL_arg2763z00_1688 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_typez00_1637)); 
BgL_tshapez00_1638 = 
string_append(BGl_string2846z00zztools_shapez00, BgL_arg2763z00_1688); }  else 
{ /* Tools/shape.scm 77 */
BgL_tshapez00_1638 = BGl_string2847z00zztools_shapez00; } 
{ /* Tools/shape.scm 77 */
char * BgL_ushapez00_1639;
if(
CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 80 */
if(
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_userzf3zf3))
{ /* Tools/shape.scm 82 */
BgL_ushapez00_1639 = "-<user>"; }  else 
{ /* Tools/shape.scm 82 */
BgL_ushapez00_1639 = "-<no-user>"; } }  else 
{ /* Tools/shape.scm 80 */
BgL_ushapez00_1639 = ""; } 
{ /* Tools/shape.scm 80 */
obj_t BgL_ashapez00_1640;
if(
CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 86 */
{ /* Tools/shape.scm 89 */
obj_t BgL_arg2758z00_1683;
{ /* Tools/shape.scm 89 */
obj_t BgL_auxz00_2547;
BgL_auxz00_2547 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_accessz00); 
BgL_arg2758z00_1683 = 
SYMBOL_TO_STRING(BgL_auxz00_2547); } 
BgL_ashapez00_1640 = 
string_append_3(BGl_string2848z00zztools_shapez00, BgL_arg2758z00_1683, BGl_string2849z00zztools_shapez00); } }  else 
{ /* Tools/shape.scm 86 */
BgL_ashapez00_1640 = BGl_string2847z00zztools_shapez00; } 
{ /* Tools/shape.scm 85 */

if(
CBOOL(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
{ /* Tools/shape.scm 92 */
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2719z00_1641;
{ /* Tools/shape.scm 93 */
obj_t BgL_list2720z00_1642;
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2721z00_1643;
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2723z00_1645;
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2724z00_1646;
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2725z00_1647;
{ /* Tools/shape.scm 93 */
obj_t BgL_arg2726z00_1648;
BgL_arg2726z00_1648 = 
MAKE_PAIR(BgL_ashapez00_1640, BNIL); 
{ /* Tools/shape.scm 93 */
obj_t BgL_auxz00_2554;
BgL_auxz00_2554 = 
string_to_bstring(BgL_ushapez00_1639); 
BgL_arg2725z00_1647 = 
MAKE_PAIR(BgL_auxz00_2554, BgL_arg2726z00_1648); } } 
BgL_arg2724z00_1646 = 
MAKE_PAIR(BgL_tshapez00_1638, BgL_arg2725z00_1647); } 
BgL_arg2723z00_1645 = 
MAKE_PAIR(BgL_modulez00_1636, BgL_arg2724z00_1646); } 
BgL_arg2721z00_1643 = 
MAKE_PAIR(BGl_string2850z00zztools_shapez00, BgL_arg2723z00_1645); } 
BgL_list2720z00_1642 = 
MAKE_PAIR(BgL_strzd2idzd2_1634, BgL_arg2721z00_1643); } 
BgL_arg2719z00_1641 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2720z00_1642); } 
{ /* Tools/shape.scm 93 */
char * BgL_auxz00_2562;
BgL_auxz00_2562 = 
BSTRING_TO_STRING(BgL_arg2719z00_1641); 
return 
string_to_symbol(BgL_auxz00_2562);} } }  else 
{ /* Tools/shape.scm 92 */
{ 

{ /* Tools/shape.scm 100 */
obj_t BgL_aux2655z00_1650;
BgL_aux2655z00_1650 = 
BGl_globalzd2bucketzd2positionz00zzast_envz00(
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_idz00), 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_modulez00)); 
if(
INTEGERP(BgL_aux2655z00_1650))
{ /* Tools/shape.scm 100 */
switch( 
(long)CINT(BgL_aux2655z00_1650)) { case ((long)-1) : 

{ /* Tools/shape.scm 102 */
obj_t BgL_arg2730z00_1654;
{ /* Tools/shape.scm 104 */
obj_t BgL_arg2731z00_1655;obj_t BgL_arg2732z00_1656;
BgL_arg2731z00_1655 = 
CNST_TABLE_REF(((long)1)); 
{ /* Tools/shape.scm 104 */
obj_t BgL_arg2733z00_1657;
{ /* Tools/shape.scm 104 */
obj_t BgL_auxz00_2571;
BgL_auxz00_2571 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1631))->BgL_modulez00); 
BgL_arg2733z00_1657 = 
MAKE_PAIR(BgL_auxz00_2571, BNIL); } 
BgL_arg2732z00_1656 = 
MAKE_PAIR(BgL_idz00_1635, BgL_arg2733z00_1657); } 
BgL_arg2730z00_1654 = 
MAKE_PAIR(BgL_arg2731z00_1655, BgL_arg2732z00_1656); } 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2851z00zztools_shapez00, BGl_string2852z00zztools_shapez00, BgL_arg2730z00_1654);} break;case ((long)0) : 

{ /* Tools/shape.scm 107 */
obj_t BgL_arg2736z00_1660;obj_t BgL_arg2737z00_1661;obj_t BgL_arg2738z00_1662;
{ /* Tools/shape.scm 107 */
char * BgL_auxz00_2577;
BgL_auxz00_2577 = 
BSTRING_TO_STRING(BgL_tshapez00_1638); 
BgL_arg2736z00_1660 = 
string_to_symbol(BgL_auxz00_2577); } 
{ /* Tools/shape.scm 108 */
char * BgL_auxz00_2580;
{ /* Tools/shape.scm 108 */
obj_t BgL_auxz00_2581;
BgL_auxz00_2581 = 
string_to_bstring(BgL_ushapez00_1639); 
BgL_auxz00_2580 = 
BSTRING_TO_STRING(BgL_auxz00_2581); } 
BgL_arg2737z00_1661 = 
string_to_symbol(BgL_auxz00_2580); } 
{ /* Tools/shape.scm 109 */
char * BgL_auxz00_2585;
BgL_auxz00_2585 = 
BSTRING_TO_STRING(BgL_ashapez00_1640); 
BgL_arg2738z00_1662 = 
string_to_symbol(BgL_auxz00_2585); } 
{ /* Tools/shape.scm 106 */
obj_t BgL_list2739z00_1663;
{ /* Tools/shape.scm 106 */
obj_t BgL_arg2740z00_1664;
{ /* Tools/shape.scm 106 */
obj_t BgL_arg2741z00_1665;
{ /* Tools/shape.scm 106 */
obj_t BgL_arg2742z00_1666;
BgL_arg2742z00_1666 = 
MAKE_PAIR(BgL_arg2738z00_1662, BNIL); 
BgL_arg2741z00_1665 = 
MAKE_PAIR(BgL_arg2737z00_1661, BgL_arg2742z00_1666); } 
BgL_arg2740z00_1664 = 
MAKE_PAIR(BgL_arg2736z00_1660, BgL_arg2741z00_1665); } 
BgL_list2739z00_1663 = 
MAKE_PAIR(BgL_idz00_1635, BgL_arg2740z00_1664); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2739z00_1663);} } break;
default: 
BgL_case_else2654z00_1649:
{ /* Tools/shape.scm 111 */
obj_t BgL_symz00_1669;
{ /* Tools/shape.scm 112 */
obj_t BgL_arg2750z00_1675;obj_t BgL_arg2751z00_1676;obj_t BgL_arg2752z00_1677;
{ /* Tools/shape.scm 112 */
char * BgL_auxz00_2593;
BgL_auxz00_2593 = 
BSTRING_TO_STRING(BgL_tshapez00_1638); 
BgL_arg2750z00_1675 = 
string_to_symbol(BgL_auxz00_2593); } 
{ /* Tools/shape.scm 113 */
char * BgL_auxz00_2596;
{ /* Tools/shape.scm 113 */
obj_t BgL_auxz00_2597;
BgL_auxz00_2597 = 
string_to_bstring(BgL_ushapez00_1639); 
BgL_auxz00_2596 = 
BSTRING_TO_STRING(BgL_auxz00_2597); } 
BgL_arg2751z00_1676 = 
string_to_symbol(BgL_auxz00_2596); } 
{ /* Tools/shape.scm 114 */
char * BgL_auxz00_2601;
BgL_auxz00_2601 = 
BSTRING_TO_STRING(BgL_ashapez00_1640); 
BgL_arg2752z00_1677 = 
string_to_symbol(BgL_auxz00_2601); } 
{ /* Tools/shape.scm 111 */
obj_t BgL_list2753z00_1678;
{ /* Tools/shape.scm 111 */
obj_t BgL_arg2754z00_1679;
{ /* Tools/shape.scm 111 */
obj_t BgL_arg2755z00_1680;
{ /* Tools/shape.scm 111 */
obj_t BgL_arg2756z00_1681;
BgL_arg2756z00_1681 = 
MAKE_PAIR(BgL_arg2752z00_1677, BNIL); 
BgL_arg2755z00_1680 = 
MAKE_PAIR(BgL_arg2751z00_1676, BgL_arg2756z00_1681); } 
BgL_arg2754z00_1679 = 
MAKE_PAIR(BgL_arg2750z00_1675, BgL_arg2755z00_1680); } 
BgL_list2753z00_1678 = 
MAKE_PAIR(BgL_idz00_1635, BgL_arg2754z00_1679); } 
BgL_symz00_1669 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2753z00_1678); } } 
{ /* Tools/shape.scm 115 */
obj_t BgL_arg2745z00_1670;obj_t BgL_arg2746z00_1671;
BgL_arg2745z00_1670 = 
CNST_TABLE_REF(((long)1)); 
{ /* Tools/shape.scm 115 */
obj_t BgL_arg2747z00_1672;
{ /* Tools/shape.scm 115 */
obj_t BgL_arg2748z00_1673;
{ /* Tools/shape.scm 115 */
char * BgL_auxz00_2610;
BgL_auxz00_2610 = 
BSTRING_TO_STRING(BgL_modulez00_1636); 
BgL_arg2748z00_1673 = 
string_to_symbol(BgL_auxz00_2610); } 
BgL_arg2747z00_1672 = 
MAKE_PAIR(BgL_arg2748z00_1673, BNIL); } 
BgL_arg2746z00_1671 = 
MAKE_PAIR(BgL_symz00_1669, BgL_arg2747z00_1672); } 
return 
MAKE_PAIR(BgL_arg2745z00_1670, BgL_arg2746z00_1671);} } } }  else 
{ /* Tools/shape.scm 100 */
goto BgL_case_else2654z00_1649;} } } } } } } } } } } } } } 
}



/* shape */
obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_11)
{ AN_OBJECT;
{ /* Tools/shape.scm 28 */
{ 

{ /* Tools/shape.scm 28 */
bool_t BgL_test2802z00_1743;
BgL_test2802z00_1743 = 
BGL_OBJECTP(BgL_expz00_11); 
if(BgL_test2802z00_1743)
{ /* Tools/shape.scm 28 */
obj_t BgL_method2657z00_1744;
{ /* Tools/shape.scm 28 */
long BgL_objzd2classzd2numz00_2321;
{ /* Tools/shape.scm 28 */
BgL_objectz00_bglt BgL_auxz00_2621;
BgL_auxz00_2621 = 
(BgL_objectz00_bglt)(BgL_expz00_11); 
BgL_objzd2classzd2numz00_2321 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2621); } 
{ /* Tools/shape.scm 28 */
obj_t BgL_arg1221z00_2322;
{ /* Tools/shape.scm 28 */
int BgL_auxz00_2624;
BgL_auxz00_2624 = 
(int)(((long)1)); 
BgL_arg1221z00_2322 = 
PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00, BgL_auxz00_2624); } 
{ /* Tools/shape.scm 28 */
long BgL_offsetz00_2326;
{ /* Tools/shape.scm 28 */
long BgL_auxz00_2627;
{ /* Tools/shape.scm 28 */
int BgL_auxz00_2628;
BgL_auxz00_2628 = 
(int)(BgL_objzd2classzd2numz00_2321); 
BgL_auxz00_2627 = 
(long)(BgL_auxz00_2628); } 
BgL_offsetz00_2326 = 
(BgL_auxz00_2627-OBJECT_TYPE); } 
{ /* Tools/shape.scm 28 */
long BgL_modz00_2327;
{ /* Tools/shape.scm 28 */
long BgL_auxz00_2632;
{ /* Tools/shape.scm 28 */
int BgL_auxz00_2633;
BgL_auxz00_2633 = 
(int)(((long)8)); 
BgL_auxz00_2632 = 
(long)(BgL_auxz00_2633); } 
BgL_modz00_2327 = 
(BgL_offsetz00_2326/BgL_auxz00_2632); } 
{ /* Tools/shape.scm 28 */
long BgL_restz00_2329;
{ /* Tools/shape.scm 28 */
long BgL_auxz00_2637;
{ /* Tools/shape.scm 28 */
int BgL_auxz00_2638;
BgL_auxz00_2638 = 
(int)(((long)8)); 
BgL_auxz00_2637 = 
(long)(BgL_auxz00_2638); } 
BgL_restz00_2329 = 
(BgL_offsetz00_2326%BgL_auxz00_2637); } 
{ /* Tools/shape.scm 28 */

{ /* Tools/shape.scm 28 */
obj_t BgL_bucketz00_2331;
{ /* Tools/shape.scm 28 */
int BgL_kz00_2341;
BgL_kz00_2341 = 
(int)(BgL_modz00_2327); 
BgL_bucketz00_2331 = 
VECTOR_REF(BgL_arg1221z00_2322,BgL_kz00_2341); } 
{ /* Tools/shape.scm 28 */
int BgL_kz00_2343;
BgL_kz00_2343 = 
(int)(BgL_restz00_2329); 
BgL_method2657z00_1744 = 
VECTOR_REF(BgL_bucketz00_2331,BgL_kz00_2343); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2657z00_1744)(BgL_method2657z00_1744, BgL_expz00_11, BEOA);}  else 
{ /* Tools/shape.scm 28 */
{ /* Tools/shape.scm 28 */
obj_t BgL_fun2804z00_1746;
{ /* Tools/shape.scm 28 */
int BgL_auxz00_2648;
BgL_auxz00_2648 = 
(int)(((long)0)); 
BgL_fun2804z00_1746 = 
PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00, BgL_auxz00_2648); } 
return 
PROCEDURE_ENTRY(BgL_fun2804z00_1746)(BgL_fun2804z00_1746, BgL_expz00_11, BEOA);} } } } } 
}



/* _shape */
obj_t BGl__shapez00zztools_shapez00(obj_t BgL_envz00_2424, obj_t BgL_expz00_2425)
{ AN_OBJECT;
{ /* Tools/shape.scm 28 */
return 
BGl_shapez00zztools_shapez00(BgL_expz00_2425);} 
}



/* shape-default2656 */
obj_t BGl_shapezd2default2656zd2zztools_shapez00(obj_t BgL_expz00_12)
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
if(
PAIRP(BgL_expz00_12))
{ /* Tools/shape.scm 30 */
return 
BGl_loopz00zztools_shapez00(BgL_expz00_12);}  else 
{ /* Tools/shape.scm 30 */
if(
VECTORP(BgL_expz00_12))
{ /* Tools/shape.scm 41 */
{ /* Tools/shape.scm 42 */
int BgL_lenz00_1763;
BgL_lenz00_1763 = 
VECTOR_LENGTH(BgL_expz00_12); 
{ /* Tools/shape.scm 42 */
obj_t BgL_resz00_1764;
BgL_resz00_1764 = 
make_vector(BgL_lenz00_1763, BNIL); 
{ /* Tools/shape.scm 43 */

{ 
long BgL_indicez00_1765;
BgL_indicez00_1765 = ((long)0); 
BgL_loopz00_1766:
{ /* Tools/shape.scm 45 */
bool_t BgL_testz00_2661;
{ /* Tools/shape.scm 45 */
long BgL_auxz00_2662;
BgL_auxz00_2662 = 
(long)(BgL_lenz00_1763); 
BgL_testz00_2661 = 
(BgL_indicez00_1765==BgL_auxz00_2662); } 
if(BgL_testz00_2661)
{ /* Tools/shape.scm 45 */
return BgL_resz00_1764;}  else 
{ /* Tools/shape.scm 45 */
{ /* Tools/shape.scm 50 */
obj_t BgL_arg2820z00_1768;
{ /* Tools/shape.scm 50 */
obj_t BgL_arg2821z00_1769;
{ /* Tools/shape.scm 50 */
int BgL_kz00_2364;
BgL_kz00_2364 = 
(int)(BgL_indicez00_1765); 
BgL_arg2821z00_1769 = 
VECTOR_REF(BgL_expz00_12,BgL_kz00_2364); } 
BgL_arg2820z00_1768 = 
BGl_shapez00zztools_shapez00(BgL_arg2821z00_1769); } 
{ /* Tools/shape.scm 48 */
int BgL_kz00_2366;
BgL_kz00_2366 = 
(int)(BgL_indicez00_1765); 
VECTOR_SET(BgL_resz00_1764,BgL_kz00_2366,BgL_arg2820z00_1768); } } 
{ 
long BgL_indicez00_2670;
BgL_indicez00_2670 = 
(BgL_indicez00_1765+((long)1)); 
BgL_indicez00_1765 = BgL_indicez00_2670; 
goto BgL_loopz00_1766;} } } } } } } }  else 
{ /* Tools/shape.scm 52 */
bool_t BgL_testz00_2672;
if(
STRUCTP(BgL_expz00_12))
{ /* Tools/shape.scm 52 */
obj_t BgL_auxz00_2677;obj_t BgL_auxz00_2675;
BgL_auxz00_2677 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_2675 = 
STRUCT_KEY(BgL_expz00_12); 
BgL_testz00_2672 = 
(BgL_auxz00_2675==BgL_auxz00_2677); }  else 
{ /* Tools/shape.scm 52 */
BgL_testz00_2672 = ((bool_t)0)
; } 
if(BgL_testz00_2672)
{ /* Tools/shape.scm 52 */
{ /* Tools/shape.scm 53 */
obj_t BgL_arg2824z00_1772;obj_t BgL_arg2825z00_1773;
{ /* Tools/shape.scm 53 */
obj_t BgL_auxz00_2680;
{ /* Tools/shape.scm 53 */
int BgL_auxz00_2681;
BgL_auxz00_2681 = 
(int)(((long)0)); 
BgL_auxz00_2680 = 
STRUCT_REF(BgL_expz00_12, BgL_auxz00_2681); } 
BgL_arg2824z00_1772 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_2680); } 
{ /* Tools/shape.scm 53 */
obj_t BgL_auxz00_2685;
{ /* Tools/shape.scm 53 */
int BgL_auxz00_2686;
BgL_auxz00_2686 = 
(int)(((long)1)); 
BgL_auxz00_2685 = 
STRUCT_REF(BgL_expz00_12, BgL_auxz00_2686); } 
BgL_arg2825z00_1773 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_2685); } 
{ /* Tools/shape.scm 53 */
obj_t BgL_newz00_2385;
{ /* Tools/shape.scm 53 */
int BgL_auxz00_2692;obj_t BgL_auxz00_2690;
BgL_auxz00_2692 = 
(int)(((long)2)); 
BgL_auxz00_2690 = 
CNST_TABLE_REF(((long)2)); 
BgL_newz00_2385 = 
create_struct(BgL_auxz00_2690, BgL_auxz00_2692); } 
{ /* Tools/shape.scm 53 */
int BgL_auxz00_2695;
BgL_auxz00_2695 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2385, BgL_auxz00_2695, BgL_arg2825z00_1773); } 
{ /* Tools/shape.scm 53 */
int BgL_auxz00_2698;
BgL_auxz00_2698 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2385, BgL_auxz00_2698, BgL_arg2824z00_1772); } 
return BgL_newz00_2385;} } }  else 
{ /* Tools/shape.scm 52 */
if(
STRUCTP(BgL_expz00_12))
{ /* Tools/shape.scm 54 */
{ /* Tools/shape.scm 55 */
int BgL_lenz00_1778;
BgL_lenz00_1778 = 
STRUCT_LENGTH(BgL_expz00_12); 
{ /* Tools/shape.scm 56 */
obj_t BgL_resz00_1779;
{ /* Tools/shape.scm 57 */
obj_t BgL_auxz00_2704;
BgL_auxz00_2704 = 
STRUCT_KEY(BgL_expz00_12); 
BgL_resz00_1779 = 
make_struct(BgL_auxz00_2704, BgL_lenz00_1778, BNIL); } 
{ /* Tools/shape.scm 57 */

{ 
long BgL_indicez00_1780;
BgL_indicez00_1780 = ((long)0); 
BgL_loopz00_1781:
{ /* Tools/shape.scm 59 */
bool_t BgL_testz00_2707;
{ /* Tools/shape.scm 59 */
long BgL_auxz00_2708;
BgL_auxz00_2708 = 
(long)(BgL_lenz00_1778); 
BgL_testz00_2707 = 
(BgL_indicez00_1780==BgL_auxz00_2708); } 
if(BgL_testz00_2707)
{ /* Tools/shape.scm 59 */
return BgL_resz00_1779;}  else 
{ /* Tools/shape.scm 59 */
{ /* Tools/shape.scm 64 */
obj_t BgL_arg2830z00_1783;
{ /* Tools/shape.scm 64 */
obj_t BgL_auxz00_2711;
{ /* Tools/shape.scm 64 */
int BgL_auxz00_2712;
BgL_auxz00_2712 = 
(int)(BgL_indicez00_1780); 
BgL_auxz00_2711 = 
STRUCT_REF(BgL_expz00_12, BgL_auxz00_2712); } 
BgL_arg2830z00_1783 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_2711); } 
{ /* Tools/shape.scm 62 */
int BgL_auxz00_2716;
BgL_auxz00_2716 = 
(int)(BgL_indicez00_1780); 
STRUCT_SET(BgL_resz00_1779, BgL_auxz00_2716, BgL_arg2830z00_1783); } } 
{ 
long BgL_indicez00_2719;
BgL_indicez00_2719 = 
(BgL_indicez00_1780+((long)1)); 
BgL_indicez00_1780 = BgL_indicez00_2719; 
goto BgL_loopz00_1781;} } } } } } } }  else 
{ /* Tools/shape.scm 54 */
return BgL_expz00_12;} } } } } 
}



/* loop */
obj_t BGl_loopz00zztools_shapez00(obj_t BgL_expz00_1748)
{ AN_OBJECT;
{ /* Tools/shape.scm 31 */
if(
NULLP(BgL_expz00_1748))
{ /* Tools/shape.scm 33 */
return BNIL;}  else 
{ /* Tools/shape.scm 33 */
if(
PAIRP(BgL_expz00_1748))
{ /* Tools/shape.scm 37 */
bool_t BgL_test2808z00_1752;
BgL_test2808z00_1752 = 
EXTENDED_PAIRP(BgL_expz00_1748); 
if(BgL_test2808z00_1752)
{ /* Tools/shape.scm 37 */
{ /* Tools/shape.scm 38 */
obj_t BgL_arg2809z00_1753;obj_t BgL_arg2810z00_1754;obj_t BgL_arg2811z00_1755;
BgL_arg2809z00_1753 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_expz00_1748)); 
BgL_arg2810z00_1754 = 
BGl_loopz00zztools_shapez00(
CDR(BgL_expz00_1748)); 
BgL_arg2811z00_1755 = 
CER(BgL_expz00_1748); 
{ /* Tools/shape.scm 38 */
obj_t BgL_res2838z00_2356;
BgL_res2838z00_2356 = 
MAKE_EXTENDED_PAIR(BgL_arg2809z00_1753, BgL_arg2810z00_1754, BgL_arg2811z00_1755); 
return BgL_res2838z00_2356;} } }  else 
{ /* Tools/shape.scm 37 */
{ /* Tools/shape.scm 40 */
obj_t BgL_arg2814z00_1758;obj_t BgL_arg2815z00_1759;
BgL_arg2814z00_1758 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_expz00_1748)); 
BgL_arg2815z00_1759 = 
BGl_loopz00zztools_shapez00(
CDR(BgL_expz00_1748)); 
return 
MAKE_PAIR(BgL_arg2814z00_1758, BgL_arg2815z00_1759);} } }  else 
{ /* Tools/shape.scm 35 */
return 
BGl_shapez00zztools_shapez00(BgL_expz00_1748);} } } 
}



/* _shape-default2656 */
obj_t BGl__shapezd2default2656zd2zztools_shapez00(obj_t BgL_envz00_2426, obj_t BgL_expz00_2427)
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
return 
BGl_shapezd2default2656zd2zztools_shapez00(BgL_expz00_2427);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00()
{ AN_OBJECT;
{ /* Tools/shape.scm 16 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "tools_shape"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "tools_shape"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "tools_shape"); 
BGl_modulezd2initializa7ationz75zzast_dumpz00(((long)15776), "tools_shape"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "tools_shape"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "tools_shape"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "tools_shape");} 
}

