/*===========================================================================*/
/*   (Type/pptype.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zztype_pptypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl_methodzd2initzd2zztype_pptypez00();
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl__functionzd2typezd2ze3stringze3zztype_pptypez00(obj_t, obj_t);
extern obj_t BGl_variablezd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt);
extern obj_t BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt);
static obj_t BGl_loopz00zztype_pptypez00(obj_t);
static obj_t BGl__variablezd2typezd2ze3stringze3zztype_pptypez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztype_pptypez00();
static obj_t BGl_requirezd2initializa7ationz75zztype_pptypez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zztype_pptypez00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t *__cnst;

DEFINE_STRING( BGl_string1594z00zztype_pptypez00, BgL_bgl_string1594za700za7za7type_pptypeza7001596z00, "", 0 );
DEFINE_STRING( BGl_string1593z00zztype_pptypez00, BgL_bgl_string1593za700za7za7type_pptypeza7001597z00, " -> ", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_functionzd2typezd2ze3stringzd2envz31zztype_pptypez00, BgL_bgl__functionza7d2typeza7d2za7e3stringza7e3za7za7type_pptypeza7001598za7, BGl__functionzd2typezd2ze3stringze3zztype_pptypez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_variablezd2typezd2ze3stringzd2envz31zztype_pptypez00, BgL_bgl__variableza7d2typeza7d2za7e3stringza7e3za7za7type_pptypeza7001599za7, BGl__variablezd2typezd2ze3stringze3zztype_pptypez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zztype_pptypez00(long BgL_checksumz00_728, char * BgL_fromz00_729)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztype_pptypez00))
{ 
BGl_requirezd2initializa7ationz75zztype_pptypez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztype_pptypez00(); 
BGl_importedzd2moduleszd2initz00zztype_pptypez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztype_pptypez00()
{ AN_OBJECT;
{ /* Type/pptype.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "type_pptype"); 
return BUNSPEC;} 
}



/* function-type->string */
obj_t BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt BgL_variablez00_2)
{ AN_OBJECT;
{ /* Type/pptype.scm 32 */
{ /* Type/pptype.scm 34 */
obj_t BgL_arg1552z00_423;obj_t BgL_arg1554z00_425;
{ /* Type/pptype.scm 34 */
obj_t BgL_auxz00_736;
{ /* Type/pptype.scm 34 */
BgL_sfunz00_bglt BgL_obj1369z00_566;
{ /* Type/pptype.scm 34 */
BgL_valuez00_bglt BgL_auxz00_737;
BgL_auxz00_737 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_2))->BgL_valuez00); 
BgL_obj1369z00_566 = 
(BgL_sfunz00_bglt)(BgL_auxz00_737); } 
BgL_auxz00_736 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_566))->BgL_argsz00); } 
BgL_arg1552z00_423 = 
BGl_loopz00zztype_pptypez00(BgL_auxz00_736); } 
{ /* Type/pptype.scm 47 */
obj_t BgL_arg1573z00_440;
{ /* Type/pptype.scm 47 */
obj_t BgL_auxz00_742;
{ /* Type/pptype.scm 47 */
BgL_typez00_bglt BgL_arg1575z00_442;
BgL_arg1575z00_442 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_2))->BgL_typez00); 
BgL_auxz00_742 = 
(((BgL_typez00_bglt)CREF(BgL_arg1575z00_442))->BgL_idz00); } 
BgL_arg1573z00_440 = 
SYMBOL_TO_STRING(BgL_auxz00_742); } 
BgL_arg1554z00_425 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1573z00_440); } 
return 
string_append_3(BgL_arg1552z00_423, BGl_string1593z00zztype_pptypez00, BgL_arg1554z00_425);} } 
}



/* loop */
obj_t BGl_loopz00zztype_pptypez00(obj_t BgL_argsz00_426)
{ AN_OBJECT;
{ /* Type/pptype.scm 34 */
if(
NULLP(BgL_argsz00_426))
{ /* Type/pptype.scm 35 */
return BGl_string1594z00zztype_pptypez00;}  else 
{ /* Type/pptype.scm 40 */
obj_t BgL_arg1557z00_430;char * BgL_arg1558z00_431;obj_t BgL_arg1559z00_432;
{ /* Type/pptype.scm 40 */
obj_t BgL_arg1561z00_433;
{ /* Type/pptype.scm 39 */
obj_t BgL_auxz00_750;
{ /* Type/pptype.scm 40 */
BgL_typez00_bglt BgL_arg1565z00_435;
{ /* Type/pptype.scm 40 */
BgL_localz00_bglt BgL_obj1252z00_569;
{ /* Type/pptype.scm 40 */
obj_t BgL_auxz00_751;
BgL_auxz00_751 = 
CAR(BgL_argsz00_426); 
BgL_obj1252z00_569 = 
(BgL_localz00_bglt)(BgL_auxz00_751); } 
BgL_arg1565z00_435 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_569))->BgL_typez00); } 
BgL_auxz00_750 = 
(((BgL_typez00_bglt)CREF(BgL_arg1565z00_435))->BgL_idz00); } 
BgL_arg1561z00_433 = 
SYMBOL_TO_STRING(BgL_auxz00_750); } 
BgL_arg1557z00_430 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1561z00_433); } 
{ /* Type/pptype.scm 41 */
bool_t BgL_testz00_758;
{ /* Type/pptype.scm 41 */
obj_t BgL_auxz00_759;
BgL_auxz00_759 = 
CDR(BgL_argsz00_426); 
BgL_testz00_758 = 
NULLP(BgL_auxz00_759); } 
if(BgL_testz00_758)
{ /* Type/pptype.scm 41 */
BgL_arg1558z00_431 = ""; }  else 
{ /* Type/pptype.scm 41 */
BgL_arg1558z00_431 = " x "; } } 
BgL_arg1559z00_432 = 
BGl_loopz00zztype_pptypez00(
CDR(BgL_argsz00_426)); 
{ /* Type/pptype.scm 37 */
obj_t BgL_auxz00_764;
BgL_auxz00_764 = 
string_to_bstring(BgL_arg1558z00_431); 
return 
string_append_3(BgL_arg1557z00_430, BgL_auxz00_764, BgL_arg1559z00_432);} } } 
}



/* _function-type->string */
obj_t BGl__functionzd2typezd2ze3stringze3zztype_pptypez00(obj_t BgL_envz00_724, obj_t BgL_variablez00_725)
{ AN_OBJECT;
{ /* Type/pptype.scm 32 */
return 
BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(
(BgL_variablez00_bglt)(BgL_variablez00_725));} 
}



/* variable-type->string */
obj_t BGl_variablezd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt BgL_variablez00_3)
{ AN_OBJECT;
{ /* Type/pptype.scm 52 */
{ /* Type/pptype.scm 53 */
obj_t BgL_arg1576z00_443;
{ /* Type/pptype.scm 53 */
obj_t BgL_auxz00_769;
{ /* Type/pptype.scm 53 */
BgL_typez00_bglt BgL_arg1578z00_445;
BgL_arg1578z00_445 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_3))->BgL_typez00); 
BgL_auxz00_769 = 
(((BgL_typez00_bglt)CREF(BgL_arg1578z00_445))->BgL_idz00); } 
BgL_arg1576z00_443 = 
SYMBOL_TO_STRING(BgL_auxz00_769); } 
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1576z00_443);} } 
}



/* _variable-type->string */
obj_t BGl__variablezd2typezd2ze3stringze3zztype_pptypez00(obj_t BgL_envz00_726, obj_t BgL_variablez00_727)
{ AN_OBJECT;
{ /* Type/pptype.scm 52 */
return 
BGl_variablezd2typezd2ze3stringze3zztype_pptypez00(
(BgL_variablez00_bglt)(BgL_variablez00_727));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztype_pptypez00()
{ AN_OBJECT;
{ /* Type/pptype.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztype_pptypez00()
{ AN_OBJECT;
{ /* Type/pptype.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "type_pptype"); 
return 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "type_pptype");} 
}

