/*===========================================================================*/
/*   (Type/tenv.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_caliasz00_bgl {
   bool_t BgL_arrayzf3zf3;
} *BgL_caliasz00_bglt;

typedef struct BgL_cenumz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   obj_t BgL_literalsz00;
} *BgL_cenumz00_bglt;

typedef struct BgL_copaquez00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
} *BgL_copaquez00_bglt;

typedef struct BgL_cfunctionz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   long BgL_arityz00;
   struct BgL_typez00_bgl * BgL_typezd2reszd2;
   obj_t BgL_typezd2argszd2;
} *BgL_cfunctionz00_bglt;

typedef struct BgL_cptrz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_typez00_bgl * BgL_pointzd2tozd2;
   bool_t BgL_arrayzf3zf3;
} *BgL_cptrz00_bglt;

typedef struct BgL_cstructz00_bgl {
   bool_t BgL_structzf3zf3;
   obj_t BgL_fieldsz00;
   obj_t BgL_cstructza2za2;
} *BgL_cstructz00_bglt;

typedef struct BgL_cstructza2za2_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_cstructz00_bgl * BgL_cstructz00;
} *BgL_cstructza2za2_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl_methodzd2initzd2zztype_envz00();
static BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t, bool_t, obj_t);
extern bool_t BGl_ctypezf3zf3zzforeign_ctypez00(obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_getzd2tenvzd2zztype_envz00();
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static bool_t BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00;
static obj_t BGl_rhandler2307z00zztype_envz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32436ze3_2553z83zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
static obj_t BGl_rhandler2315z00zztype_envz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
static obj_t BGl__declarezd2aliastypez122551zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__usezd2typezf2importzd2locz122546ze0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__forzd2eachzd2typez122552z12zztype_envz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl__usezd2foreignzd2typezf2importzd2locz122548z32zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_escapez00zztype_envz00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
static obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t);
static obj_t BGl_escape_2554z00zztype_envz00(obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zztype_envz00();
static obj_t BGl_body2308z00zztype_envz00(obj_t);
extern BgL_typez00_bglt BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t);
static obj_t BGl_body2316z00zztype_envz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztype_envz00();
extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
extern BgL_typez00_bglt BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
static obj_t BGl__usezd2typez122545zc0zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32436ze3z83zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zztype_envz00();
extern BgL_typez00_bglt BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t, obj_t, obj_t, BgL_typez00_bglt);
static obj_t BGl__findzd2type2543zd2zztype_envz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_handling_function2472z00zztype_envz00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_handling_function2449z00zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt, obj_t);
extern obj_t BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_zc3anonymousza32452ze3z83zztype_envz00(obj_t);
static obj_t BGl_zc3anonymousza32453ze3z83zztype_envz00(obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
static obj_t BGl__declarezd2subtypez122550zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_checkzd2typeszd2zztype_envz00();
extern obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(BgL_tclassz00_bglt);
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__typezd2existszf32544z21zztype_envz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32332ze3z83zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t);
extern obj_t BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
static obj_t BGl__subzd2typezf32555z21zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
static obj_t BGl_zc3anonymousza32338ze3z83zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32475ze3z83zztype_envz00(obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
static obj_t BGl_zc3anonymousza32476ze3z83zztype_envz00(obj_t);
extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl_za2Tenvza2z00zztype_envz00 = BUNSPEC;
extern obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
extern bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t);
static obj_t BGl_zc3anonymousza32353ze3z83zztype_envz00(obj_t);
extern BgL_typez00_bglt BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztype_envz00 = BUNSPEC;
static obj_t BGl__declarezd2typez122549zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32357ze3z83zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__usezd2foreignzd2typez122547z12zztype_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00();
static obj_t BGl_uninitializa7edzd2typesz75zztype_envz00();
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc2556z00zztype_envz00, BgL_bgl_za7c3anonymousza7a32338za7e3za783za7za7type_envza7002579za7, BGl_zc3anonymousza32338ze3z83zztype_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2559z00zztype_envz00, BgL_bgl_za7c3anonymousza7a32357za7e3za783za7za7type_envza7002580za7, BGl_zc3anonymousza32357ze3z83zztype_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2tenvzd2envz00zztype_envz00, BgL_bgl__getza7d2tenvza7d2za7za7type_envza7002581za7, BGl__getzd2tenvzd2zztype_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2tenvz12zd2envz12zztype_envz00, BgL_bgl__addza7d2tenvza712za7c0za7za7type_envza7002582z00, BGl__addzd2tenvz12zc0zztype_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2foreignzd2typezf2importzd2locz12zd2envze0zztype_envz00, BgL_bgl__useza7d2foreignza7d2typeza7f2importza7d2locza7122548za732za7za7type_envza7002583za7, BGl__usezd2foreignzd2typezf2importzd2locz122548z32zztype_envz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2typez12zd2envzc0zztype_envz00, BgL_bgl__forza7d2eachza7d2typeza7122552za712za7za7type_envza7002584za7, BGl__forzd2eachzd2typez122552z12zztype_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2typezf2importzd2locz12zd2envz32zztype_envz00, BgL_bgl__useza7d2typeza7f2importza7d2locza7122546za7e0za7za7type_envza7002585z00, BGl__usezd2typezf2importzd2locz122546ze0zztype_envz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2aliastypez12zd2envz12zztype_envz00, BgL_bgl__declareza7d2aliastypeza7122551za7c0za7za7type_envza7002586z00, BGl__declarezd2aliastypez122551zc0zztype_envz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_subzd2typezf3zd2envzf3zztype_envz00, BgL_bgl__subza7d2typeza7f32555za721za7za7type_envza7002587z00, BGl__subzd2typezf32555z21zztype_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2typezd2envz00zztype_envz00, BgL_bgl__findza7d2type2543za7d2za7za7type_envza7002588za7, BGl__findzd2type2543zd2zztype_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2typez12zd2envz12zztype_envz00, BgL_bgl__declareza7d2typeza7122549za7c0za7za7type_envza7002589z00, BGl__declarezd2typez122549zc0zztype_envz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2typez12zd2envz12zztype_envz00, BgL_bgl__useza7d2typeza7122545za7c0za7za7type_envza7002590z00, BGl__usezd2typez122545zc0zztype_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2subtypez12zd2envz12zztype_envz00, BgL_bgl__declareza7d2subtypeza7122550za7c0za7za7type_envza7002591z00, BGl__declarezd2subtypez122550zc0zztype_envz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2foreignzd2typez12zd2envzc0zztype_envz00, BgL_bgl__useza7d2foreignza7d2typeza7122547za712za7za7type_envza7002592za7, BGl__usezd2foreignzd2typez122547z12zztype_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_typezd2existszf3zd2envzf3zztype_envz00, BgL_bgl__typeza7d2existsza7f32544za721za7za7type_envza7002593z00, BGl__typezd2existszf32544z21zztype_envz00, 0L, 1 );
DEFINE_STRING( BGl_string2574z00zztype_envz00, BgL_bgl_string2574za700za7za7type_envza7002594z00, "(bigloo C _ java) bigloo the-global-environment ", 48 );
DEFINE_STRING( BGl_string2573z00zztype_envz00, BgL_bgl_string2573za700za7za7type_envza7002595z00, "Undefined type", 14 );
DEFINE_STRING( BGl_string2572z00zztype_envz00, BgL_bgl_string2572za700za7za7type_envza7002596z00, "Undefined used type", 19 );
DEFINE_STRING( BGl_string2571z00zztype_envz00, BgL_bgl_string2571za700za7za7type_envza7002597z00, "Undefined type used in export clause", 36 );
DEFINE_STRING( BGl_string2570z00zztype_envz00, BgL_bgl_string2570za700za7za7type_envza7002598z00, "Stopping compilation...", 23 );
DEFINE_STRING( BGl_string2569z00zztype_envz00, BgL_bgl_string2569za700za7za7type_envza7002599z00, " type(s) used but not defined.", 30 );
DEFINE_STRING( BGl_string2568z00zztype_envz00, BgL_bgl_string2568za700za7za7type_envza7002600z00, "Illegal type class", 18 );
DEFINE_STRING( BGl_string2567z00zztype_envz00, BgL_bgl_string2567za700za7za7type_envza7002601z00, "declare-type!", 13 );
DEFINE_STRING( BGl_string2566z00zztype_envz00, BgL_bgl_string2566za700za7za7type_envza7002602z00, "use-type!", 9 );
DEFINE_STRING( BGl_string2565z00zztype_envz00, BgL_bgl_string2565za700za7za7type_envza7002603z00, "Type redefinition", 17 );
DEFINE_STRING( BGl_string2564z00zztype_envz00, BgL_bgl_string2564za700za7za7type_envza7002604z00, "bind-type!", 10 );
DEFINE_STRING( BGl_string2563z00zztype_envz00, BgL_bgl_string2563za700za7za7type_envza7002605z00, "Can't find type", 15 );
DEFINE_STRING( BGl_string2562z00zztype_envz00, BgL_bgl_string2562za700za7za7type_envza7002606z00, "find-type", 9 );
DEFINE_STRING( BGl_string2561z00zztype_envz00, BgL_bgl_string2561za700za7za7type_envza7002607z00, "Illegal type heap redefinition", 30 );
DEFINE_STRING( BGl_string2560z00zztype_envz00, BgL_bgl_string2560za700za7za7type_envza7002608z00, "add-Tenv!", 9 );
DEFINE_STRING( BGl_string2558z00zztype_envz00, BgL_bgl_string2558za700za7za7type_envza7002609z00, "Can't find super class of", 25 );
DEFINE_STRING( BGl_string2557z00zztype_envz00, BgL_bgl_string2557za700za7za7type_envza7002610z00, "add-Tenv", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Tenvz12zd2envzb5zztype_envz00, BgL_bgl__initializa7a7eza7d2tenvza712za767za7za7type_envza7002611za7, BGl__initializa7ezd2Tenvz12z67zztype_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2tenvz12zd2envz12zztype_envz00, BgL_bgl__setza7d2tenvza712za7c0za7za7type_envza7002612z00, BGl__setzd2tenvz12zc0zztype_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2typeszd2envz00zztype_envz00, BgL_bgl__checkza7d2typesza7d2za7za7type_envza7002613za7, BGl__checkzd2typeszd2zztype_envz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long BgL_checksumz00_2312, char * BgL_fromz00_2313)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztype_envz00))
{ 
BGl_requirezd2initializa7ationz75zztype_envz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztype_envz00(); 
BGl_cnstzd2initzd2zztype_envz00(); 
BGl_importedzd2moduleszd2initz00zztype_envz00(); 
BGl_toplevelzd2initzd2zztype_envz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "type_env"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "type_env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 15 */
{ /* Type/tenv.scm 15 */
obj_t BgL_cportz00_2305;
BgL_cportz00_2305 = 
open_input_string(BGl_string2574z00zztype_envz00); 
{ 
long BgL_iz00_2306;
BgL_iz00_2306 = ((long)2); 
BgL_loopz00_2307:
if(
(BgL_iz00_2306==((long)-1)))
{ /* Type/tenv.scm 15 */
return BUNSPEC;}  else 
{ /* Type/tenv.scm 15 */
{ /* Type/tenv.scm 15 */
obj_t BgL_arg2576z00_2309;
{ /* Type/tenv.scm 15 */
obj_t BgL_list2577z00_2310;
BgL_list2577z00_2310 = 
MAKE_PAIR(BgL_cportz00_2305, BNIL); 
BgL_arg2576z00_2309 = 
BGl_readz00zz__readerz00(BgL_list2577z00_2310); } 
{ /* Type/tenv.scm 15 */
int BgL_auxz00_2334;
BgL_auxz00_2334 = 
(int)(BgL_iz00_2306); 
CNST_TABLE_SET(BgL_auxz00_2334, BgL_arg2576z00_2309); } } 
{ 
long BgL_iz00_2337;
{ /* Type/tenv.scm 15 */
int BgL_auxz00_2338;
{ /* Type/tenv.scm 15 */
long BgL_auxz00_2339;
BgL_auxz00_2339 = 
(BgL_iz00_2306-((long)1)); 
BgL_auxz00_2338 = 
(int)(BgL_auxz00_2339); } 
BgL_iz00_2337 = 
(long)(BgL_auxz00_2338); } 
BgL_iz00_2306 = BgL_iz00_2337; 
goto BgL_loopz00_2307;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 15 */
BGl_za2Tenvza2z00zztype_envz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 = ((bool_t)0), BUNSPEC) ;} 
}



/* set-tenv! */
obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_19)
{ AN_OBJECT;
{ /* Type/tenv.scm 68 */
return ( 
BGl_za2Tenvza2z00zztype_envz00 = BgL_tenvz00_19, BUNSPEC) ;} 
}



/* _set-tenv! */
obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_2174, obj_t BgL_tenvz00_2175)
{ AN_OBJECT;
{ /* Type/tenv.scm 68 */
return 
BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_2175);} 
}



/* add-tenv! */
obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_20)
{ AN_OBJECT;
{ /* Type/tenv.scm 74 */
{ /* Type/tenv.scm 114 */
obj_t BgL_rememberzd2listzd2_1124;
BgL_rememberzd2listzd2_1124 = 
MAKE_CELL(BNIL); 
{ /* Type/tenv.scm 125 */
obj_t BgL_zc3anonymousza32332ze3z83_2179;
{ 
int BgL_auxz00_2347;int BgL_auxz00_2345;
BgL_auxz00_2347 = 
(int)(((long)1)); 
BgL_auxz00_2345 = 
(int)(((long)2)); 
BgL_zc3anonymousza32332ze3z83_2179 = 
make_fx_procedure(BGl_zc3anonymousza32332ze3z83zztype_envz00, BgL_auxz00_2345, BgL_auxz00_2347); } 
{ /* Type/tenv.scm 125 */
int BgL_auxz00_2350;
BgL_auxz00_2350 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_2179, BgL_auxz00_2350, BgL_rememberzd2listzd2_1124); } 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20, BgL_zc3anonymousza32332ze3z83_2179); } 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20, BGl_proc2556z00zztype_envz00); 
{ 
obj_t BgL_l2294z00_1146;
BgL_l2294z00_1146 = 
CELL_REF(BgL_rememberzd2listzd2_1124); 
BgL_lname2295z00_1147:
if(
PAIRP(BgL_l2294z00_1146))
{ /* Type/tenv.scm 154 */
{ /* Type/tenv.scm 155 */
obj_t BgL_newz00_1149;
BgL_newz00_1149 = 
CAR(BgL_l2294z00_1146); 
{ /* Type/tenv.scm 155 */
bool_t BgL_test2342z00_1150;
BgL_test2342z00_1150 = 
BGl_iszd2azf3z21zz__objectz00(BgL_newz00_1149, BGl_tclassz00zzobject_classz00); 
if(BgL_test2342z00_1150)
{ /* Type/tenv.scm 156 */
obj_t BgL_superz00_1151;
{ /* Type/tenv.scm 156 */
BgL_tclassz00_bglt BgL_obj2147z00_1655;
BgL_obj2147z00_1655 = 
(BgL_tclassz00_bglt)(BgL_newz00_1149); 
{ 
obj_t BgL_auxz00_2361;
{ /* Type/tenv.scm 156 */
BgL_objectz00_bglt BgL_auxz00_2362;
BgL_auxz00_2362 = 
(BgL_objectz00_bglt)(BgL_obj2147z00_1655); 
BgL_auxz00_2361 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2362); } 
BgL_superz00_1151 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2361))->BgL_itszd2superzd2); } } 
{ /* Type/tenv.scm 157 */
bool_t BgL_test2343z00_1152;
BgL_test2343z00_1152 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_1151, BGl_tclassz00zzobject_classz00); 
if(BgL_test2343z00_1152)
{ /* Type/tenv.scm 158 */
BgL_typez00_bglt BgL_oldzd2szd2_1154;
{ /* Type/tenv.scm 159 */
obj_t BgL_auxz00_2368;
{ /* Type/tenv.scm 158 */
BgL_typez00_bglt BgL_obj2164z00_1657;
BgL_obj2164z00_1657 = 
(BgL_typez00_bglt)(BgL_superz00_1151); 
BgL_auxz00_2368 = 
(((BgL_typez00_bglt)CREF(BgL_obj2164z00_1657))->BgL_idz00); } 
BgL_oldzd2szd2_1154 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_2368); } 
{ /* Type/tenv.scm 159 */

{ /* Type/tenv.scm 160 */
bool_t BgL_test2344z00_1155;
BgL_test2344z00_1155 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_oldzd2szd2_1154), BGl_tclassz00zzobject_classz00); 
if(BgL_test2344z00_1155)
{ /* Type/tenv.scm 164 */
BgL_tclassz00_bglt BgL_obj2149z00_1659;obj_t BgL_val2148z00_1660;
BgL_obj2149z00_1659 = 
(BgL_tclassz00_bglt)(BgL_newz00_1149); 
BgL_val2148z00_1660 = 
(obj_t)(BgL_oldzd2szd2_1154); 
{ 
obj_t BgL_auxz00_2377;
{ /* Type/tenv.scm 164 */
BgL_objectz00_bglt BgL_auxz00_2378;
BgL_auxz00_2378 = 
(BgL_objectz00_bglt)(BgL_obj2149z00_1659); 
BgL_auxz00_2377 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2378); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_2377))->BgL_itszd2superzd2) = ((obj_t)BgL_val2148z00_1660), BUNSPEC); } }  else 
{ 
obj_t BgL_auxz00_2382;
{ /* Type/tenv.scm 163 */
BgL_typez00_bglt BgL_obj2165z00_1661;
BgL_obj2165z00_1661 = 
(BgL_typez00_bglt)(BgL_newz00_1149); 
BgL_auxz00_2382 = 
(((BgL_typez00_bglt)CREF(BgL_obj2165z00_1661))->BgL_namez00); } 
FAILURE(BGl_string2557z00zztype_envz00,BGl_string2558z00zztype_envz00,BgL_auxz00_2382);} } } }  else 
{ /* Type/tenv.scm 157 */BFALSE; } } }  else 
{ /* Type/tenv.scm 155 */BFALSE; } } } 
{ 
obj_t BgL_l2294z00_2386;
BgL_l2294z00_2386 = 
CDR(BgL_l2294z00_1146); 
BgL_l2294z00_1146 = BgL_l2294z00_2386; 
goto BgL_lname2295z00_1147;} }  else 
{ /* Type/tenv.scm 154 */((bool_t)1); } } 
{ 
obj_t BgL_l2296z00_1160;
BgL_l2296z00_1160 = 
CELL_REF(BgL_rememberzd2listzd2_1124); 
BgL_lname2297z00_1161:
if(
PAIRP(BgL_l2296z00_1160))
{ /* Type/tenv.scm 171 */
{ /* Type/tenv.scm 172 */
obj_t BgL_newz00_1163;
BgL_newz00_1163 = 
CAR(BgL_l2296z00_1160); 
{ /* Type/tenv.scm 172 */
bool_t BgL_test2350z00_1164;
BgL_test2350z00_1164 = 
BGl_iszd2azf3z21zz__objectz00(BgL_newz00_1163, BGl_tclassz00zzobject_classz00); 
if(BgL_test2350z00_1164)
{ /* Type/tenv.scm 176 */
obj_t BgL_arg2351z00_1165;
{ /* Type/tenv.scm 176 */
obj_t BgL_zc3anonymousza32353ze3z83_2177;
{ 
int BgL_auxz00_2395;int BgL_auxz00_2393;
BgL_auxz00_2395 = 
(int)(((long)1)); 
BgL_auxz00_2393 = 
(int)(((long)0)); 
BgL_zc3anonymousza32353ze3z83_2177 = 
make_fx_procedure(BGl_zc3anonymousza32353ze3z83zztype_envz00, BgL_auxz00_2393, BgL_auxz00_2395); } 
{ /* Type/tenv.scm 176 */
int BgL_auxz00_2398;
BgL_auxz00_2398 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32353ze3z83_2177, BgL_auxz00_2398, BgL_newz00_1163); } 
BgL_arg2351z00_1165 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32353ze3z83_2177); } 
{ /* Type/tenv.scm 173 */
BgL_typez00_bglt BgL_auxz00_2402;
BgL_auxz00_2402 = 
BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
(BgL_typez00_bglt)(BgL_newz00_1163), BgL_arg2351z00_1165); 
(obj_t)(BgL_auxz00_2402); } }  else 
{ /* Type/tenv.scm 172 */BFALSE; } } } 
{ 
obj_t BgL_l2296z00_2406;
BgL_l2296z00_2406 = 
CDR(BgL_l2296z00_1160); 
BgL_l2296z00_1160 = BgL_l2296z00_2406; 
goto BgL_lname2297z00_1161;} }  else 
{ /* Type/tenv.scm 171 */((bool_t)1); } } } 
return 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BGl_proc2559z00zztype_envz00);} 
}



/* _add-tenv! */
obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_2180, obj_t BgL_tenvz00_2181)
{ AN_OBJECT;
{ /* Type/tenv.scm 74 */
return 
BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_2181);} 
}



/* <anonymous:2357> */
obj_t BGl_zc3anonymousza32357ze3z83zztype_envz00(obj_t BgL_envz00_2182, obj_t BgL_kz00_2183, obj_t BgL_newz00_2184)
{ AN_OBJECT;
{ /* Type/tenv.scm 187 */
{ 
obj_t BgL_kz00_1172;obj_t BgL_newz00_1173;
{ /* Type/tenv.scm 188 */
bool_t BgL_auxz00_2410;
BgL_kz00_1172 = BgL_kz00_2183; 
BgL_newz00_1173 = BgL_newz00_2184; 
{ 
obj_t BgL_typez00_1205;
BgL_typez00_1205 = BgL_newz00_1173; 
{ /* Type/tenv.scm 77 */
bool_t BgL_test2375z00_1207;
{ /* Type/tenv.scm 77 */
obj_t BgL_auxz00_2411;
{ /* Type/tenv.scm 77 */
BgL_typez00_bglt BgL_obj1508z00_1693;
BgL_obj1508z00_1693 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
BgL_auxz00_2411 = 
(((BgL_typez00_bglt)CREF(BgL_obj1508z00_1693))->BgL_aliasz00); } 
BgL_test2375z00_1207 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_2411, BGl_typez00zztype_typez00); } 
if(BgL_test2375z00_1207)
{ /* Type/tenv.scm 78 */
BgL_typez00_bglt BgL_arg2376z00_1208;
{ /* Type/tenv.scm 78 */
obj_t BgL_auxz00_2416;
{ /* Type/tenv.scm 78 */
BgL_typez00_bglt BgL_obj1483z00_1696;
{ /* Type/tenv.scm 78 */
obj_t BgL_auxz00_2417;
{ /* Type/tenv.scm 78 */
BgL_typez00_bglt BgL_obj1508z00_1695;
BgL_obj1508z00_1695 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
BgL_auxz00_2417 = 
(((BgL_typez00_bglt)CREF(BgL_obj1508z00_1695))->BgL_aliasz00); } 
BgL_obj1483z00_1696 = 
(BgL_typez00_bglt)(BgL_auxz00_2417); } 
BgL_auxz00_2416 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1696))->BgL_idz00); } 
BgL_arg2376z00_1208 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_2416); } 
{ /* Type/tenv.scm 78 */
BgL_typez00_bglt BgL_obj1510z00_1697;obj_t BgL_val1509z00_1698;
BgL_obj1510z00_1697 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
BgL_val1509z00_1698 = 
(obj_t)(BgL_arg2376z00_1208); 
((((BgL_typez00_bglt)CREF(BgL_obj1510z00_1697))->BgL_aliasz00) = ((obj_t)BgL_val1509z00_1698), BUNSPEC); } }  else 
{ /* Type/tenv.scm 77 */BFALSE; } } 
{ /* Type/tenv.scm 81 */
obj_t BgL_arg2380z00_1212;
{ /* Type/tenv.scm 81 */
obj_t BgL_l2285z00_1213;
{ /* Type/tenv.scm 83 */
BgL_typez00_bglt BgL_obj1496z00_1699;
BgL_obj1496z00_1699 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
BgL_l2285z00_1213 = 
(((BgL_typez00_bglt)CREF(BgL_obj1496z00_1699))->BgL_parentsz00); } 
if(
NULLP(BgL_l2285z00_1213))
{ /* Type/tenv.scm 81 */
BgL_arg2380z00_1212 = BNIL; }  else 
{ /* Type/tenv.scm 81 */
obj_t BgL_head2287z00_1215;
BgL_head2287z00_1215 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2285z00_1216;obj_t BgL_tail2288z00_1217;
BgL_l2285z00_1216 = BgL_l2285z00_1213; 
BgL_tail2288z00_1217 = BgL_head2287z00_1215; 
BgL_lname2286z00_1218:
if(
NULLP(BgL_l2285z00_1216))
{ /* Type/tenv.scm 81 */
BgL_arg2380z00_1212 = 
CDR(BgL_head2287z00_1215); }  else 
{ /* Type/tenv.scm 82 */
obj_t BgL_newtail2289z00_1220;
{ /* Type/tenv.scm 82 */
BgL_typez00_bglt BgL_arg2384z00_1222;
{ /* Type/tenv.scm 82 */
obj_t BgL_auxz00_2434;
{ /* Type/tenv.scm 82 */
BgL_typez00_bglt BgL_obj1483z00_1706;
{ /* Type/tenv.scm 82 */
obj_t BgL_auxz00_2435;
BgL_auxz00_2435 = 
CAR(BgL_l2285z00_1216); 
BgL_obj1483z00_1706 = 
(BgL_typez00_bglt)(BgL_auxz00_2435); } 
BgL_auxz00_2434 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1706))->BgL_idz00); } 
BgL_arg2384z00_1222 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_2434); } 
{ /* Type/tenv.scm 81 */
obj_t BgL_auxz00_2440;
BgL_auxz00_2440 = 
(obj_t)(BgL_arg2384z00_1222); 
BgL_newtail2289z00_1220 = 
MAKE_PAIR(BgL_auxz00_2440, BNIL); } } 
SET_CDR(BgL_tail2288z00_1217, BgL_newtail2289z00_1220); 
{ 
obj_t BgL_tail2288z00_2446;obj_t BgL_l2285z00_2444;
BgL_l2285z00_2444 = 
CDR(BgL_l2285z00_1216); 
BgL_tail2288z00_2446 = BgL_newtail2289z00_1220; 
BgL_tail2288z00_1217 = BgL_tail2288z00_2446; 
BgL_l2285z00_1216 = BgL_l2285z00_2444; 
goto BgL_lname2286z00_1218;} } } } } 
{ /* Type/tenv.scm 80 */
BgL_typez00_bglt BgL_obj1498z00_1712;
BgL_obj1498z00_1712 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
((((BgL_typez00_bglt)CREF(BgL_obj1498z00_1712))->BgL_parentsz00) = ((obj_t)BgL_arg2380z00_1212), BUNSPEC); } } 
{ 
obj_t BgL_l2290z00_1226;
{ /* Type/tenv.scm 90 */
BgL_typez00_bglt BgL_obj1493z00_1714;
BgL_obj1493z00_1714 = 
(BgL_typez00_bglt)(BgL_typez00_1205); 
BgL_l2290z00_1226 = 
(((BgL_typez00_bglt)CREF(BgL_obj1493z00_1714))->BgL_coercezd2tozd2); } 
BgL_lname2291z00_1227:
if(
PAIRP(BgL_l2290z00_1226))
{ /* Type/tenv.scm 85 */
{ /* Type/tenv.scm 86 */
obj_t BgL_coercerz00_1230;
BgL_coercerz00_1230 = 
CAR(BgL_l2290z00_1226); 
{ /* Type/tenv.scm 86 */
obj_t BgL_toz00_1232;
{ /* Type/tenv.scm 87 */
int BgL_auxz00_2452;
BgL_auxz00_2452 = 
(int)(((long)1)); 
BgL_toz00_1232 = 
STRUCT_REF(BgL_coercerz00_1230, BgL_auxz00_2452); } 
{ /* Type/tenv.scm 88 */
BgL_typez00_bglt BgL_arg2389z00_1233;
{ /* Type/tenv.scm 88 */
obj_t BgL_auxz00_2455;
{ /* Type/tenv.scm 88 */
BgL_typez00_bglt BgL_obj1483z00_1723;
{ /* Type/tenv.scm 88 */
obj_t BgL_auxz00_2456;
{ /* Type/tenv.scm 86 */
int BgL_auxz00_2457;
BgL_auxz00_2457 = 
(int)(((long)0)); 
BgL_auxz00_2456 = 
STRUCT_REF(BgL_coercerz00_1230, BgL_auxz00_2457); } 
BgL_obj1483z00_1723 = 
(BgL_typez00_bglt)(BgL_auxz00_2456); } 
BgL_auxz00_2455 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1723))->BgL_idz00); } 
BgL_arg2389z00_1233 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_2455); } 
{ /* Type/tenv.scm 88 */
obj_t BgL_auxz00_2465;int BgL_auxz00_2463;
BgL_auxz00_2465 = 
(obj_t)(BgL_arg2389z00_1233); 
BgL_auxz00_2463 = 
(int)(((long)0)); 
STRUCT_SET(BgL_coercerz00_1230, BgL_auxz00_2463, BgL_auxz00_2465); } } 
{ /* Type/tenv.scm 89 */
BgL_typez00_bglt BgL_arg2391z00_1235;
{ /* Type/tenv.scm 89 */
obj_t BgL_auxz00_2468;
{ /* Type/tenv.scm 89 */
BgL_typez00_bglt BgL_obj1483z00_1729;
BgL_obj1483z00_1729 = 
(BgL_typez00_bglt)(BgL_toz00_1232); 
BgL_auxz00_2468 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1729))->BgL_idz00); } 
BgL_arg2391z00_1235 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_2468); } 
{ /* Type/tenv.scm 89 */
obj_t BgL_auxz00_2474;int BgL_auxz00_2472;
BgL_auxz00_2474 = 
(obj_t)(BgL_arg2391z00_1235); 
BgL_auxz00_2472 = 
(int)(((long)1)); 
STRUCT_SET(BgL_coercerz00_1230, BgL_auxz00_2472, BgL_auxz00_2474); } } } } 
{ 
obj_t BgL_l2290z00_2477;
BgL_l2290z00_2477 = 
CDR(BgL_l2290z00_1226); 
BgL_l2290z00_1226 = BgL_l2290z00_2477; 
goto BgL_lname2291z00_1227;} }  else 
{ /* Type/tenv.scm 85 */
BgL_auxz00_2410 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_2410);} } } 
}



/* <anonymous:2353> */
obj_t BGl_zc3anonymousza32353ze3z83zztype_envz00(obj_t BgL_envz00_2185)
{ AN_OBJECT;
{ /* Type/tenv.scm 175 */
{ /* Type/tenv.scm 176 */
obj_t BgL_newz00_2186;
{ /* Type/tenv.scm 176 */
int BgL_auxz00_2482;
BgL_auxz00_2482 = 
(int)(((long)0)); 
BgL_newz00_2186 = 
PROCEDURE_REF(BgL_envz00_2185, BgL_auxz00_2482); } 
{ 

{ /* Type/tenv.scm 176 */
bool_t BgL_testz00_2485;
{ /* Type/tenv.scm 176 */
BgL_tclassz00_bglt BgL_obj2154z00_1669;
BgL_obj2154z00_1669 = 
(BgL_tclassz00_bglt)(BgL_newz00_2186); 
{ /* Type/tenv.scm 176 */
obj_t BgL_auxz00_2487;
{ 
obj_t BgL_auxz00_2488;
{ /* Type/tenv.scm 176 */
BgL_objectz00_bglt BgL_auxz00_2489;
BgL_auxz00_2489 = 
(BgL_objectz00_bglt)(BgL_obj2154z00_1669); 
BgL_auxz00_2488 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2489); } 
BgL_auxz00_2487 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2488))->BgL_wideningz00); } 
BgL_testz00_2485 = 
CBOOL(BgL_auxz00_2487); } } 
if(BgL_testz00_2485)
{ /* Type/tenv.scm 176 */
return 
BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(
(BgL_tclassz00_bglt)(BgL_newz00_2186));}  else 
{ /* Type/tenv.scm 176 */
return 
BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(
(BgL_tclassz00_bglt)(BgL_newz00_2186));} } } } } 
}



/* <anonymous:2338> */
obj_t BGl_zc3anonymousza32338ze3z83zztype_envz00(obj_t BgL_envz00_2187, obj_t BgL_kz00_2188, obj_t BgL_newz00_2189)
{ AN_OBJECT;
{ /* Type/tenv.scm 145 */
{ 
obj_t BgL_kz00_1137;obj_t BgL_newz00_1138;
BgL_kz00_1137 = BgL_kz00_2188; 
BgL_newz00_1138 = BgL_newz00_2189; 
{ /* Type/tenv.scm 146 */
obj_t BgL_oldz00_1141;
{ /* Type/tenv.scm 147 */
obj_t BgL_auxz00_2498;
{ /* Type/tenv.scm 146 */
BgL_typez00_bglt BgL_obj1483z00_1650;
BgL_obj1483z00_1650 = 
(BgL_typez00_bglt)(BgL_newz00_1138); 
BgL_auxz00_2498 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1650))->BgL_idz00); } 
BgL_oldz00_1141 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_auxz00_2498); } 
{ /* Type/tenv.scm 147 */

{ /* Type/tenv.scm 148 */
bool_t BgL_test2339z00_1142;
BgL_test2339z00_1142 = 
BGl_ctypezf3zf3zzforeign_ctypez00(BgL_oldz00_1141); 
if(BgL_test2339z00_1142)
{ /* Type/tenv.scm 151 */
obj_t BgL_arg2340z00_1144;
{ /* Type/tenv.scm 151 */
obj_t BgL_auxz00_2504;
{ /* Type/tenv.scm 149 */
BgL_typez00_bglt BgL_obj1517z00_1651;
BgL_obj1517z00_1651 = 
(BgL_typez00_bglt)(BgL_oldz00_1141); 
BgL_auxz00_2504 = 
(((BgL_typez00_bglt)CREF(BgL_obj1517z00_1651))->BgL_locationz00); } 
BgL_arg2340z00_1144 = 
BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
(BgL_typez00_bglt)(BgL_oldz00_1141), 
(BgL_typez00_bglt)(BgL_oldz00_1141), BgL_auxz00_2504); } 
return 
BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(BgL_arg2340z00_1144);}  else 
{ /* Type/tenv.scm 148 */
return BFALSE;} } } } } } 
}



/* <anonymous:2332> */
obj_t BGl_zc3anonymousza32332ze3z83zztype_envz00(obj_t BgL_envz00_2190, obj_t BgL_kz00_2192, obj_t BgL_newz00_2193)
{ AN_OBJECT;
{ /* Type/tenv.scm 124 */
{ /* Type/tenv.scm 125 */
obj_t BgL_rememberzd2listzd2_2191;
{ /* Type/tenv.scm 125 */
int BgL_auxz00_2511;
BgL_auxz00_2511 = 
(int)(((long)0)); 
BgL_rememberzd2listzd2_2191 = 
PROCEDURE_REF(BgL_envz00_2190, BgL_auxz00_2511); } 
{ 
obj_t BgL_kz00_1126;obj_t BgL_newz00_1127;
BgL_kz00_1126 = BgL_kz00_2192; 
BgL_newz00_1127 = BgL_newz00_2193; 
{ 
obj_t BgL_oldz00_1176;obj_t BgL_newz00_1177;obj_t BgL_fromz00_1194;BgL_typez00_bglt BgL_toz00_1195;
{ /* Type/tenv.scm 125 */
obj_t BgL_idz00_1129;
{ /* Type/tenv.scm 125 */
BgL_typez00_bglt BgL_obj1483z00_1643;
BgL_obj1483z00_1643 = 
(BgL_typez00_bglt)(BgL_newz00_1127); 
BgL_idz00_1129 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1643))->BgL_idz00); } 
{ /* Type/tenv.scm 125 */
obj_t BgL_oldz00_1130;
BgL_oldz00_1130 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_1129); 
{ /* Type/tenv.scm 126 */

{ /* Type/tenv.scm 128 */
bool_t BgL_test2333z00_1131;
BgL_test2333z00_1131 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1130, BGl_typez00zztype_typez00); 
if(BgL_test2333z00_1131)
{ /* Type/tenv.scm 135 */
bool_t BgL_testz00_2519;
{ /* Type/tenv.scm 135 */
BgL_typez00_bglt BgL_obj1499z00_1645;
BgL_obj1499z00_1645 = 
(BgL_typez00_bglt)(BgL_oldz00_1130); 
BgL_testz00_2519 = 
(((BgL_typez00_bglt)CREF(BgL_obj1499z00_1645))->BgL_initzf3zf3); } 
if(BgL_testz00_2519)
{ /* Type/tenv.scm 135 */
{ /* Type/tenv.scm 143 */
bool_t BgL_auxz00_2522;
BgL_oldz00_1176 = BgL_oldz00_1130; 
BgL_newz00_1177 = BgL_newz00_1127; 
{ 
obj_t BgL_l2292z00_1179;
{ /* Type/tenv.scm 111 */
BgL_typez00_bglt BgL_obj1493z00_1671;
BgL_obj1493z00_1671 = 
(BgL_typez00_bglt)(BgL_newz00_1177); 
BgL_l2292z00_1179 = 
(((BgL_typez00_bglt)CREF(BgL_obj1493z00_1671))->BgL_coercezd2tozd2); } 
BgL_lname2293z00_1180:
if(
PAIRP(BgL_l2292z00_1179))
{ /* Type/tenv.scm 101 */
{ /* Type/tenv.scm 102 */
obj_t BgL_coercerz00_1183;
BgL_coercerz00_1183 = 
CAR(BgL_l2292z00_1179); 
{ /* Type/tenv.scm 103 */
obj_t BgL_tidz00_1186;
{ /* Type/tenv.scm 104 */
BgL_typez00_bglt BgL_obj1483z00_1680;
{ /* Type/tenv.scm 104 */
obj_t BgL_auxz00_2526;
{ /* Type/tenv.scm 103 */
int BgL_auxz00_2527;
BgL_auxz00_2527 = 
(int)(((long)1)); 
BgL_auxz00_2526 = 
STRUCT_REF(BgL_coercerz00_1183, BgL_auxz00_2527); } 
BgL_obj1483z00_1680 = 
(BgL_typez00_bglt)(BgL_auxz00_2526); } 
BgL_tidz00_1186 = 
(((BgL_typez00_bglt)CREF(BgL_obj1483z00_1680))->BgL_idz00); } 
{ /* Type/tenv.scm 105 */

{ /* Type/tenv.scm 106 */
bool_t BgL_test2361z00_1188;
if(
BGl_typezd2existszf3z21zztype_envz00(BgL_tidz00_1186))
{ /* Type/tenv.scm 107 */
bool_t BgL_test2364z00_1191;
{ /* Type/tenv.scm 107 */
BgL_typez00_bglt BgL_arg2365z00_1192;
BgL_arg2365z00_1192 = 
BGl_findzd2typezd2zztype_envz00(BgL_tidz00_1186); 
{ /* Type/tenv.scm 107 */
obj_t BgL_auxz00_2535;
BgL_fromz00_1194 = BgL_oldz00_1176; 
BgL_toz00_1195 = BgL_arg2365z00_1192; 
{ 
obj_t BgL_coercerz00_1197;
{ /* Type/tenv.scm 92 */
BgL_typez00_bglt BgL_obj1493z00_1685;
BgL_obj1493z00_1685 = 
(BgL_typez00_bglt)(BgL_fromz00_1194); 
BgL_coercerz00_1197 = 
(((BgL_typez00_bglt)CREF(BgL_obj1493z00_1685))->BgL_coercezd2tozd2); } 
BgL_loopz00_1198:
if(
NULLP(BgL_coercerz00_1197))
{ /* Type/tenv.scm 94 */
BgL_auxz00_2535 = BFALSE; }  else 
{ /* Type/tenv.scm 96 */
bool_t BgL_testz00_2538;
{ /* Type/tenv.scm 96 */
obj_t BgL_auxz00_2545;obj_t BgL_auxz00_2539;
BgL_auxz00_2545 = 
(obj_t)(BgL_toz00_1195); 
{ /* Type/tenv.scm 96 */
int BgL_auxz00_2542;obj_t BgL_auxz00_2540;
BgL_auxz00_2542 = 
(int)(((long)1)); 
BgL_auxz00_2540 = 
CAR(BgL_coercerz00_1197); 
BgL_auxz00_2539 = 
STRUCT_REF(BgL_auxz00_2540, BgL_auxz00_2542); } 
BgL_testz00_2538 = 
(BgL_auxz00_2539==BgL_auxz00_2545); } 
if(BgL_testz00_2538)
{ /* Type/tenv.scm 96 */
BgL_auxz00_2535 = 
CAR(BgL_coercerz00_1197); }  else 
{ /* Type/tenv.scm 96 */
{ 
obj_t BgL_coercerz00_2549;
BgL_coercerz00_2549 = 
CDR(BgL_coercerz00_1197); 
BgL_coercerz00_1197 = BgL_coercerz00_2549; 
goto BgL_loopz00_1198;} } } } 
BgL_test2364z00_1191 = 
CBOOL(BgL_auxz00_2535); } } 
if(BgL_test2364z00_1191)
{ /* Type/tenv.scm 107 */
BgL_test2361z00_1188 = ((bool_t)0); }  else 
{ /* Type/tenv.scm 107 */
BgL_test2361z00_1188 = ((bool_t)1); } }  else 
{ /* Type/tenv.scm 106 */
BgL_test2361z00_1188 = ((bool_t)1); } 
if(BgL_test2361z00_1188)
{ /* Type/tenv.scm 110 */
obj_t BgL_arg2362z00_1189;
{ /* Type/tenv.scm 109 */
obj_t BgL_auxz00_2556;
{ /* Type/tenv.scm 110 */
BgL_typez00_bglt BgL_obj1493z00_1681;
BgL_obj1493z00_1681 = 
(BgL_typez00_bglt)(BgL_oldz00_1176); 
BgL_auxz00_2556 = 
(((BgL_typez00_bglt)CREF(BgL_obj1493z00_1681))->BgL_coercezd2tozd2); } 
BgL_arg2362z00_1189 = 
MAKE_PAIR(BgL_coercerz00_1183, BgL_auxz00_2556); } 
{ /* Type/tenv.scm 108 */
BgL_typez00_bglt BgL_obj1495z00_1682;
BgL_obj1495z00_1682 = 
(BgL_typez00_bglt)(BgL_oldz00_1176); 
((((BgL_typez00_bglt)CREF(BgL_obj1495z00_1682))->BgL_coercezd2tozd2) = ((obj_t)BgL_arg2362z00_1189), BUNSPEC); } }  else 
{ /* Type/tenv.scm 106 */BFALSE; } } } } } 
{ 
obj_t BgL_l2292z00_2562;
BgL_l2292z00_2562 = 
CDR(BgL_l2292z00_1179); 
BgL_l2292z00_1179 = BgL_l2292z00_2562; 
goto BgL_lname2293z00_1180;} }  else 
{ /* Type/tenv.scm 101 */
BgL_auxz00_2522 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2522);} }  else 
{ /* Type/tenv.scm 135 */
FAILURE(BGl_string2560z00zztype_envz00,BGl_string2561z00zztype_envz00,BgL_idz00_1129);} }  else 
{ /* Type/tenv.scm 128 */
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_1129, BgL_newz00_1127); 
{ /* Type/tenv.scm 130 */
bool_t BgL_test2336z00_1134;
BgL_test2336z00_1134 = 
BGl_iszd2azf3z21zz__objectz00(BgL_newz00_1127, BGl_tclassz00zzobject_classz00); 
if(BgL_test2336z00_1134)
{ /* Type/tenv.scm 130 */
BGl_heapzd2addzd2classz12z12zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_newz00_1127)); 
{ /* Type/tenv.scm 133 */
obj_t BgL_auxz00_2194;
{ /* Type/tenv.scm 134 */
obj_t BgL_auxz00_2577;
BgL_auxz00_2577 = 
CELL_REF(BgL_rememberzd2listzd2_2191); 
BgL_auxz00_2194 = 
MAKE_PAIR(BgL_newz00_1127, BgL_auxz00_2577); } 
return 
CELL_SET(BgL_rememberzd2listzd2_2191, BgL_auxz00_2194);} }  else 
{ /* Type/tenv.scm 130 */
return BFALSE;} } } } } } } } } } } 
}



/* get-tenv */
obj_t BGl_getzd2tenvzd2zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 193 */
return BGl_za2Tenvza2z00zztype_envz00;} 
}



/* _get-tenv */
obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t BgL_envz00_2195)
{ AN_OBJECT;
{ /* Type/tenv.scm 193 */
return 
BGl_getzd2tenvzd2zztype_envz00();} 
}



/* initialize-Tenv! */
obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 199 */
return ( 
BGl_za2Tenvza2z00zztype_envz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Tenv! */
obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t BgL_envz00_2196)
{ AN_OBJECT;
{ /* Type/tenv.scm 199 */
return 
BGl_initializa7ezd2Tenvz12z67zztype_envz00();} 
}



/* find-type */
BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t BgL_idz00_21)
{ AN_OBJECT;
{ /* Type/tenv.scm 206 */
{ /* Type/tenv.scm 207 */
obj_t BgL_typez00_1242;
BgL_typez00_1242 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_21); 
{ /* Type/tenv.scm 208 */
bool_t BgL_test2395z00_1243;
BgL_test2395z00_1243 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_1242, BGl_typez00zztype_typez00); 
if(BgL_test2395z00_1243)
{ /* Type/tenv.scm 208 */
return 
(BgL_typez00_bglt)(BgL_typez00_1242);}  else 
{ /* Type/tenv.scm 208 */
FAILURE(BGl_string2562z00zztype_envz00,BGl_string2563z00zztype_envz00,BgL_idz00_21);} } } } 
}



/* _find-type2543 */
obj_t BGl__findzd2type2543zd2zztype_envz00(obj_t BgL_envz00_2197, obj_t BgL_idz00_2198)
{ AN_OBJECT;
{ /* Type/tenv.scm 206 */
{ /* Type/tenv.scm 206 */
BgL_typez00_bglt BgL_auxz00_2587;
BgL_auxz00_2587 = 
BGl_findzd2typezd2zztype_envz00(BgL_idz00_2198); 
return 
(obj_t)(BgL_auxz00_2587);} } 
}



/* type-exists? */
bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t BgL_idz00_22)
{ AN_OBJECT;
{ /* Type/tenv.scm 217 */
{ /* Type/tenv.scm 218 */
obj_t BgL_typez00_1244;
BgL_typez00_1244 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_22); 
{ /* Type/tenv.scm 219 */
bool_t BgL_test2396z00_1245;
BgL_test2396z00_1245 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_1244, BGl_typez00zztype_typez00); 
if(BgL_test2396z00_1245)
{ /* Type/tenv.scm 221 */
BgL_typez00_bglt BgL_obj1499z00_1741;
BgL_obj1499z00_1741 = 
(BgL_typez00_bglt)(BgL_typez00_1244); 
return 
(((BgL_typez00_bglt)CREF(BgL_obj1499z00_1741))->BgL_initzf3zf3);}  else 
{ /* Type/tenv.scm 219 */
return ((bool_t)0);} } } } 
}



/* _type-exists?2544 */
obj_t BGl__typezd2existszf32544z21zztype_envz00(obj_t BgL_envz00_2199, obj_t BgL_idz00_2200)
{ AN_OBJECT;
{ /* Type/tenv.scm 217 */
{ /* Type/tenv.scm 217 */
bool_t BgL_auxz00_2595;
BgL_auxz00_2595 = 
BGl_typezd2existszf3z21zztype_envz00(BgL_idz00_2200); 
return 
BBOOL(BgL_auxz00_2595);} } 
}



/* bind-type! */
BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t BgL_idz00_23, bool_t BgL_initzf3zf3_24, obj_t BgL_locz00_25)
{ AN_OBJECT;
{ /* Type/tenv.scm 226 */
{ /* Type/tenv.scm 227 */
obj_t BgL_typez00_1246;
BgL_typez00_1246 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_23); 
{ /* Type/tenv.scm 228 */
bool_t BgL_test2397z00_1247;
BgL_test2397z00_1247 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_1246, BGl_typez00zztype_typez00); 
if(BgL_test2397z00_1247)
{ /* Type/tenv.scm 229 */
bool_t BgL_test2398z00_1248;
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Type/tenv.scm 229 */
BgL_test2398z00_1248 = ((bool_t)0); }  else 
{ /* Type/tenv.scm 229 */
BgL_typez00_bglt BgL_obj1499z00_1743;
BgL_obj1499z00_1743 = 
(BgL_typez00_bglt)(BgL_typez00_1246); 
BgL_test2398z00_1248 = 
(((BgL_typez00_bglt)CREF(BgL_obj1499z00_1743))->BgL_initzf3zf3); } 
if(BgL_test2398z00_1248)
{ /* Type/tenv.scm 230 */
obj_t BgL_arg2401z00_1251;
BgL_arg2401z00_1251 = 
BGl_shapez00zztools_shapez00(BgL_typez00_1246); 
{ /* Type/tenv.scm 230 */
obj_t BgL_auxz00_2607;
BgL_auxz00_2607 = 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2564z00zztype_envz00, BGl_string2565z00zztype_envz00, BgL_arg2401z00_1251, BNIL); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2607);} }  else 
{ /* Type/tenv.scm 229 */
if(BgL_initzf3zf3_24)
{ /* Type/tenv.scm 234 */
BgL_typez00_bglt BgL_obj1501z00_1744;
BgL_obj1501z00_1744 = 
(BgL_typez00_bglt)(BgL_typez00_1246); 
((((BgL_typez00_bglt)CREF(BgL_obj1501z00_1744))->BgL_initzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); }  else 
{ /* Type/tenv.scm 234 */BFALSE; } 
return 
(BgL_typez00_bglt)(BgL_typez00_1246);} }  else 
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_newz00_1253;
{ /* Type/tenv.scm 237 */
obj_t BgL_arg2403z00_1254;obj_t BgL_arg2404z00_1255;bool_t BgL_arg2407z00_1258;obj_t BgL_arg2408z00_1259;
BgL_arg2403z00_1254 = BgL_idz00_23; 
BgL_arg2404z00_1255 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2407z00_1258 = BgL_initzf3zf3_24; 
BgL_arg2408z00_1259 = BgL_locz00_25; 
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_res2531z00_1797;
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_new1567z00_1760;
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_res2529z00_1766;
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_new1569z00_1761;
BgL_new1569z00_1761 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* Type/tenv.scm 237 */
long BgL_arg2515z00_1762;
BgL_arg2515z00_1762 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* Type/tenv.scm 237 */
BgL_objectz00_bglt BgL_auxz00_2617;
BgL_auxz00_2617 = 
(BgL_objectz00_bglt)(BgL_new1569z00_1761); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2617, BgL_arg2515z00_1762); } } 
{ /* Type/tenv.scm 237 */
BgL_objectz00_bglt BgL_auxz00_2620;
BgL_auxz00_2620 = 
(BgL_objectz00_bglt)(BgL_new1569z00_1761); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2620, BFALSE); } 
{ /* Type/tenv.scm 237 */
obj_t BgL_auxz00_2623;
BgL_auxz00_2623 = 
(obj_t)(BgL_new1569z00_1761); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2623); } BUNSPEC; 
BgL_res2529z00_1766 = BgL_new1569z00_1761; } 
BgL_new1567z00_1760 = BgL_res2529z00_1766; } 
{ /* Type/tenv.scm 237 */
BgL_typez00_bglt BgL_res2530z00_1796;
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_idz00) = ((obj_t)BgL_arg2403z00_1254), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_namez00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_siza7eza7) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_classz00) = ((obj_t)BgL_arg2404z00_1255), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_coercezd2tozd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_parentsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_initzf3zf3) = ((bool_t)BgL_arg2407z00_1258), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_magiczf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_z42z42) = ((obj_t)BTRUE), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_aliasz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_pointedzd2tozd2byz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_tvectorz00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_locationz00) = ((obj_t)BgL_arg2408z00_1259), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1567z00_1760))->BgL_importzd2locationzd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res2530z00_1796 = BgL_new1567z00_1760; BgL_res2530z00_1796; } 
BgL_res2531z00_1797 = BgL_new1567z00_1760; } 
BgL_newz00_1253 = BgL_res2531z00_1797; } } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_23, 
(obj_t)(BgL_newz00_1253)); 
return BgL_newz00_1253;} } } } 
}



/* use-type! */
BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t BgL_idz00_26, obj_t BgL_locz00_27)
{ AN_OBJECT;
{ /* Type/tenv.scm 244 */
{ /* Type/tenv.scm 246 */
obj_t BgL_typez00_1260;
BgL_typez00_1260 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_26); 
{ /* Type/tenv.scm 248 */
bool_t BgL_test2409z00_1261;
BgL_test2409z00_1261 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_1260, BGl_typez00zztype_typez00); 
if(BgL_test2409z00_1261)
{ /* Type/tenv.scm 248 */
return 
(BgL_typez00_bglt)(BgL_typez00_1260);}  else 
{ /* Type/tenv.scm 248 */
if(BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
{ /* Type/tenv.scm 250 */
{ /* Type/tenv.scm 251 */
obj_t BgL_auxz00_2647;
BgL_auxz00_2647 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_27, BGl_string2566z00zztype_envz00, BGl_string2563z00zztype_envz00, BgL_idz00_26, BNIL); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2647);} }  else 
{ /* Type/tenv.scm 250 */
return 
BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_26, ((bool_t)0), BgL_locz00_27);} } } } } 
}



/* _use-type!2545 */
obj_t BGl__usezd2typez122545zc0zztype_envz00(obj_t BgL_envz00_2201, obj_t BgL_idz00_2202, obj_t BgL_locz00_2203)
{ AN_OBJECT;
{ /* Type/tenv.scm 244 */
{ /* Type/tenv.scm 244 */
BgL_typez00_bglt BgL_auxz00_2651;
BgL_auxz00_2651 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_idz00_2202, BgL_locz00_2203); 
return 
(obj_t)(BgL_auxz00_2651);} } 
}



/* use-type/import-loc! */
BgL_typez00_bglt BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t BgL_idz00_28, obj_t BgL_locz00_29, obj_t BgL_lociz00_30)
{ AN_OBJECT;
{ /* Type/tenv.scm 259 */
{ /* Type/tenv.scm 261 */
obj_t BgL_typez00_1263;
BgL_typez00_1263 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_28); 
{ /* Type/tenv.scm 263 */
bool_t BgL_test2411z00_1264;
BgL_test2411z00_1264 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_1263, BGl_typez00zztype_typez00); 
if(BgL_test2411z00_1264)
{ /* Type/tenv.scm 263 */
return 
(BgL_typez00_bglt)(BgL_typez00_1263);}  else 
{ /* Type/tenv.scm 263 */
if(BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
{ /* Type/tenv.scm 265 */
{ /* Type/tenv.scm 266 */
obj_t BgL_auxz00_2659;
BgL_auxz00_2659 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_29, BGl_string2566z00zztype_envz00, BGl_string2563z00zztype_envz00, BgL_idz00_28, BNIL); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2659);} }  else 
{ /* Type/tenv.scm 265 */
{ /* Type/tenv.scm 269 */
BgL_typez00_bglt BgL_typez00_1266;
BgL_typez00_1266 = 
BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_28, ((bool_t)0), BgL_locz00_29); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1266))->BgL_importzd2locationzd2) = ((obj_t)BgL_lociz00_30), BUNSPEC); 
return BgL_typez00_1266;} } } } } } 
}



/* _use-type/import-loc!2546 */
obj_t BGl__usezd2typezf2importzd2locz122546ze0zztype_envz00(obj_t BgL_envz00_2204, obj_t BgL_idz00_2205, obj_t BgL_locz00_2206, obj_t BgL_lociz00_2207)
{ AN_OBJECT;
{ /* Type/tenv.scm 259 */
{ /* Type/tenv.scm 259 */
BgL_typez00_bglt BgL_auxz00_2664;
BgL_auxz00_2664 = 
BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(BgL_idz00_2205, BgL_locz00_2206, BgL_lociz00_2207); 
return 
(obj_t)(BgL_auxz00_2664);} } 
}



/* use-foreign-type! */
BgL_typez00_bglt BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t BgL_idz00_31, obj_t BgL_locz00_32)
{ AN_OBJECT;
{ /* Type/tenv.scm 282 */
{ /* Type/tenv.scm 284 */
obj_t BgL_tidz00_1267;
BgL_tidz00_1267 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_31, BgL_locz00_32); 
{ /* Type/tenv.scm 289 */
bool_t BgL_test2413z00_1268;
{ /* Type/tenv.scm 289 */
obj_t BgL_arg2415z00_1270;BgL_typez00_bglt BgL_arg2416z00_1271;
BgL_arg2415z00_1270 = 
CDR(BgL_tidz00_1267); 
BgL_arg2416z00_1271 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Type/tenv.scm 289 */
obj_t BgL_auxz00_2670;
BgL_auxz00_2670 = 
(obj_t)(BgL_arg2416z00_1271); 
BgL_test2413z00_1268 = 
(BgL_arg2415z00_1270==BgL_auxz00_2670); } } 
if(BgL_test2413z00_1268)
{ /* Type/tenv.scm 289 */
return 
BGl_usezd2typez12zc0zztype_envz00(
CAR(BgL_tidz00_1267), BgL_locz00_32);}  else 
{ /* Type/tenv.scm 293 */
obj_t BgL_auxz00_2676;
BgL_auxz00_2676 = 
CDR(BgL_tidz00_1267); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2676);} } } } 
}



/* _use-foreign-type!2547 */
obj_t BGl__usezd2foreignzd2typez122547z12zztype_envz00(obj_t BgL_envz00_2208, obj_t BgL_idz00_2209, obj_t BgL_locz00_2210)
{ AN_OBJECT;
{ /* Type/tenv.scm 282 */
{ /* Type/tenv.scm 282 */
BgL_typez00_bglt BgL_auxz00_2679;
BgL_auxz00_2679 = 
BGl_usezd2foreignzd2typez12z12zztype_envz00(BgL_idz00_2209, BgL_locz00_2210); 
return 
(obj_t)(BgL_auxz00_2679);} } 
}



/* use-foreign-type/import-loc! */
BgL_typez00_bglt BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t BgL_idz00_33, obj_t BgL_locz00_34, obj_t BgL_lociz00_35)
{ AN_OBJECT;
{ /* Type/tenv.scm 304 */
{ /* Type/tenv.scm 306 */
obj_t BgL_tidz00_1272;
BgL_tidz00_1272 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_33, BgL_locz00_34); 
{ /* Type/tenv.scm 311 */
bool_t BgL_test2417z00_1273;
{ /* Type/tenv.scm 311 */
obj_t BgL_arg2419z00_1275;BgL_typez00_bglt BgL_arg2420z00_1276;
BgL_arg2419z00_1275 = 
CDR(BgL_tidz00_1272); 
BgL_arg2420z00_1276 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Type/tenv.scm 311 */
obj_t BgL_auxz00_2685;
BgL_auxz00_2685 = 
(obj_t)(BgL_arg2420z00_1276); 
BgL_test2417z00_1273 = 
(BgL_arg2419z00_1275==BgL_auxz00_2685); } } 
if(BgL_test2417z00_1273)
{ /* Type/tenv.scm 311 */
return 
BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(
CAR(BgL_tidz00_1272), BgL_locz00_34, BgL_lociz00_35);}  else 
{ /* Type/tenv.scm 315 */
obj_t BgL_auxz00_2691;
BgL_auxz00_2691 = 
CDR(BgL_tidz00_1272); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2691);} } } } 
}



/* _use-foreign-type/import-loc!2548 */
obj_t BGl__usezd2foreignzd2typezf2importzd2locz122548z32zztype_envz00(obj_t BgL_envz00_2211, obj_t BgL_idz00_2212, obj_t BgL_locz00_2213, obj_t BgL_lociz00_2214)
{ AN_OBJECT;
{ /* Type/tenv.scm 304 */
{ /* Type/tenv.scm 304 */
BgL_typez00_bglt BgL_auxz00_2694;
BgL_auxz00_2694 = 
BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(BgL_idz00_2212, BgL_locz00_2213, BgL_lociz00_2214); 
return 
(obj_t)(BgL_auxz00_2694);} } 
}



/* declare-type! */
BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t BgL_idz00_36, obj_t BgL_namez00_37, obj_t BgL_classz00_38)
{ AN_OBJECT;
{ /* Type/tenv.scm 320 */
{ /* Type/tenv.scm 322 */
bool_t BgL_testz00_2697;
{ /* Type/tenv.scm 322 */
obj_t BgL_auxz00_2698;
BgL_auxz00_2698 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_classz00_38, 
CNST_TABLE_REF(((long)2))); 
BgL_testz00_2697 = 
CBOOL(BgL_auxz00_2698); } 
if(BgL_testz00_2697)
{ /* Type/tenv.scm 326 */
BgL_typez00_bglt BgL_typez00_1278;
BgL_typez00_1278 = 
BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_36, ((bool_t)1), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1278))->BgL_namez00) = ((obj_t)BgL_namez00_37), BUNSPEC); 
{ /* Type/tenv.scm 328 */
obj_t BgL_arg2422z00_1279;
BgL_arg2422z00_1279 = 
BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_37); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1278))->BgL_z42z42) = ((obj_t)BgL_arg2422z00_1279), BUNSPEC); } 
((((BgL_typez00_bglt)CREF(BgL_typez00_1278))->BgL_classz00) = ((obj_t)BgL_classz00_38), BUNSPEC); 
return BgL_typez00_1278;}  else 
{ /* Type/tenv.scm 323 */
obj_t BgL_auxz00_2707;
BgL_auxz00_2707 = 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2567z00zztype_envz00, BGl_string2568z00zztype_envz00, BgL_classz00_38, BNIL); 
return 
(BgL_typez00_bglt)(BgL_auxz00_2707);} } } 
}



/* _declare-type!2549 */
obj_t BGl__declarezd2typez122549zc0zztype_envz00(obj_t BgL_envz00_2215, obj_t BgL_idz00_2216, obj_t BgL_namez00_2217, obj_t BgL_classz00_2218)
{ AN_OBJECT;
{ /* Type/tenv.scm 320 */
{ /* Type/tenv.scm 320 */
BgL_typez00_bglt BgL_auxz00_2710;
BgL_auxz00_2710 = 
BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_2216, BgL_namez00_2217, BgL_classz00_2218); 
return 
(obj_t)(BgL_auxz00_2710);} } 
}



/* declare-subtype! */
BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t BgL_idz00_39, obj_t BgL_namez00_40, obj_t BgL_parentsz00_41, obj_t BgL_classz00_42)
{ AN_OBJECT;
{ /* Type/tenv.scm 337 */
{ /* Type/tenv.scm 340 */
BgL_typez00_bglt BgL_typez00_1281;obj_t BgL_parentsz00_1282;
BgL_typez00_1281 = 
BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_39, ((bool_t)1), BUNSPEC); 
if(
NULLP(BgL_parentsz00_41))
{ /* Type/tenv.scm 341 */
BgL_parentsz00_1282 = BNIL; }  else 
{ /* Type/tenv.scm 341 */
obj_t BgL_head2301z00_1286;
{ /* Type/tenv.scm 341 */
BgL_typez00_bglt BgL_arg2432z00_1297;
BgL_arg2432z00_1297 = 
BGl_findzd2typezd2zztype_envz00(
CAR(BgL_parentsz00_41)); 
{ /* Type/tenv.scm 341 */
obj_t BgL_auxz00_2718;
BgL_auxz00_2718 = 
(obj_t)(BgL_arg2432z00_1297); 
BgL_head2301z00_1286 = 
MAKE_PAIR(BgL_auxz00_2718, BNIL); } } 
{ 
obj_t BgL_l2299z00_1287;obj_t BgL_tail2302z00_1288;
BgL_l2299z00_1287 = 
CDR(BgL_parentsz00_41); 
BgL_tail2302z00_1288 = BgL_head2301z00_1286; 
BgL_lname2300z00_1289:
if(
NULLP(BgL_l2299z00_1287))
{ /* Type/tenv.scm 341 */
BgL_parentsz00_1282 = BgL_head2301z00_1286; }  else 
{ /* Type/tenv.scm 341 */
obj_t BgL_newtail2303z00_1292;
{ /* Type/tenv.scm 341 */
BgL_typez00_bglt BgL_arg2429z00_1294;
BgL_arg2429z00_1294 = 
BGl_findzd2typezd2zztype_envz00(
CAR(BgL_l2299z00_1287)); 
{ /* Type/tenv.scm 341 */
obj_t BgL_auxz00_2725;
BgL_auxz00_2725 = 
(obj_t)(BgL_arg2429z00_1294); 
BgL_newtail2303z00_1292 = 
MAKE_PAIR(BgL_auxz00_2725, BNIL); } } 
SET_CDR(BgL_tail2302z00_1288, BgL_newtail2303z00_1292); 
{ 
obj_t BgL_tail2302z00_2731;obj_t BgL_l2299z00_2729;
BgL_l2299z00_2729 = 
CDR(BgL_l2299z00_1287); 
BgL_tail2302z00_2731 = BgL_newtail2303z00_1292; 
BgL_tail2302z00_1288 = BgL_tail2302z00_2731; 
BgL_l2299z00_1287 = BgL_l2299z00_2729; 
goto BgL_lname2300z00_1289;} } } } 
((((BgL_typez00_bglt)CREF(BgL_typez00_1281))->BgL_namez00) = ((obj_t)BgL_namez00_40), BUNSPEC); 
{ /* Type/tenv.scm 343 */
obj_t BgL_arg2424z00_1283;
BgL_arg2424z00_1283 = 
BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_40); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1281))->BgL_z42z42) = ((obj_t)BgL_arg2424z00_1283), BUNSPEC); } 
((((BgL_typez00_bglt)CREF(BgL_typez00_1281))->BgL_classz00) = ((obj_t)BgL_classz00_42), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1281))->BgL_parentsz00) = ((obj_t)BgL_parentsz00_1282), BUNSPEC); 
return BgL_typez00_1281;} } 
}



/* _declare-subtype!2550 */
obj_t BGl__declarezd2subtypez122550zc0zztype_envz00(obj_t BgL_envz00_2219, obj_t BgL_idz00_2220, obj_t BgL_namez00_2221, obj_t BgL_parentsz00_2222, obj_t BgL_classz00_2223)
{ AN_OBJECT;
{ /* Type/tenv.scm 337 */
{ /* Type/tenv.scm 337 */
BgL_typez00_bglt BgL_auxz00_2738;
BgL_auxz00_2738 = 
BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_2220, BgL_namez00_2221, BgL_parentsz00_2222, BgL_classz00_2223); 
return 
(obj_t)(BgL_auxz00_2738);} } 
}



/* declare-aliastype! */
BgL_typez00_bglt BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t BgL_idz00_43, obj_t BgL_namez00_44, obj_t BgL_classz00_45, BgL_typez00_bglt BgL_aliasz00_46)
{ AN_OBJECT;
{ /* Type/tenv.scm 351 */
{ /* Type/tenv.scm 353 */
BgL_typez00_bglt BgL_typez00_1834;
BgL_typez00_1834 = 
BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_43, BgL_namez00_44, BgL_classz00_45); 
{ /* Type/tenv.scm 353 */
obj_t BgL_val1509z00_1836;
BgL_val1509z00_1836 = 
(obj_t)(BgL_aliasz00_46); 
((((BgL_typez00_bglt)CREF(BgL_typez00_1834))->BgL_aliasz00) = ((obj_t)BgL_val1509z00_1836), BUNSPEC); } 
return BgL_typez00_1834;} } 
}



/* _declare-aliastype!2551 */
obj_t BGl__declarezd2aliastypez122551zc0zztype_envz00(obj_t BgL_envz00_2224, obj_t BgL_idz00_2225, obj_t BgL_namez00_2226, obj_t BgL_classz00_2227, obj_t BgL_aliasz00_2228)
{ AN_OBJECT;
{ /* Type/tenv.scm 351 */
{ /* Type/tenv.scm 351 */
BgL_typez00_bglt BgL_auxz00_2744;
BgL_auxz00_2744 = 
BGl_declarezd2aliastypez12zc0zztype_envz00(BgL_idz00_2225, BgL_namez00_2226, BgL_classz00_2227, 
(BgL_typez00_bglt)(BgL_aliasz00_2228)); 
return 
(obj_t)(BgL_auxz00_2744);} } 
}



/* for-each-type! */
obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t BgL_procz00_47)
{ AN_OBJECT;
{ /* Type/tenv.scm 360 */
{ /* Type/tenv.scm 361 */
obj_t BgL_zc3anonymousza32436ze3z83_2229;
{ 
int BgL_auxz00_2750;int BgL_auxz00_2748;
BgL_auxz00_2750 = 
(int)(((long)1)); 
BgL_auxz00_2748 = 
(int)(((long)2)); 
BgL_zc3anonymousza32436ze3z83_2229 = 
make_fx_procedure(BGl_zc3anonymousza32436ze3z83zztype_envz00, BgL_auxz00_2748, BgL_auxz00_2750); } 
{ /* Type/tenv.scm 361 */
int BgL_auxz00_2753;
BgL_auxz00_2753 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32436ze3z83_2229, BgL_auxz00_2753, BgL_procz00_47); } 
return 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_zc3anonymousza32436ze3z83_2229);} } 
}



/* _for-each-type!2552 */
obj_t BGl__forzd2eachzd2typez122552z12zztype_envz00(obj_t BgL_envz00_2230, obj_t BgL_procz00_2231)
{ AN_OBJECT;
{ /* Type/tenv.scm 360 */
return 
BGl_forzd2eachzd2typez12z12zztype_envz00(BgL_procz00_2231);} 
}



/* <anonymous:2436> */
obj_t BGl_zc3anonymousza32436ze3z83zztype_envz00(obj_t BgL_envz00_2232, obj_t BgL_kz00_2234, obj_t BgL_xz00_2235)
{ AN_OBJECT;
{ /* Type/tenv.scm 361 */
{ /* Type/tenv.scm 361 */
obj_t BgL_procz00_2233;
{ /* Type/tenv.scm 361 */
int BgL_auxz00_2758;
BgL_auxz00_2758 = 
(int)(((long)0)); 
BgL_procz00_2233 = 
PROCEDURE_REF(BgL_envz00_2232, BgL_auxz00_2758); } 
{ 
obj_t BgL_kz00_1838;obj_t BgL_xz00_1839;
BgL_kz00_1838 = BgL_kz00_2234; 
BgL_xz00_1839 = BgL_xz00_2235; 
return 
PROCEDURE_ENTRY(BgL_procz00_2233)(BgL_procz00_2233, BgL_xz00_1839, BEOA);} } } 
}



/* uninitialized-types */
obj_t BGl_uninitializa7edzd2typesz75zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 368 */
{ /* Type/tenv.scm 369 */
obj_t BgL_uninitz00_1306;
BgL_uninitz00_1306 = 
MAKE_CELL(BNIL); 
{ /* Type/tenv.scm 370 */
obj_t BgL_zc3anonymousza32436ze3z83_2236;
{ 
int BgL_auxz00_2765;int BgL_auxz00_2763;
BgL_auxz00_2765 = 
(int)(((long)1)); 
BgL_auxz00_2763 = 
(int)(((long)2)); 
BgL_zc3anonymousza32436ze3z83_2236 = 
make_fx_procedure(BGl_zc3anonymousza32436ze3_2553z83zztype_envz00, BgL_auxz00_2763, BgL_auxz00_2765); } 
{ /* Type/tenv.scm 370 */
int BgL_auxz00_2768;
BgL_auxz00_2768 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32436ze3z83_2236, BgL_auxz00_2768, BgL_uninitz00_1306); } 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Tenvza2z00zztype_envz00, BgL_zc3anonymousza32436ze3z83_2236); } 
return 
CELL_REF(BgL_uninitz00_1306);} } 
}



/* <anonymous:2436>_2553 */
obj_t BGl_zc3anonymousza32436ze3_2553z83zztype_envz00(obj_t BgL_envz00_2237, obj_t BgL_kz00_2239, obj_t BgL_xz00_2240)
{ AN_OBJECT;
{ /* Type/tenv.scm 361 */
{ /* Type/tenv.scm 370 */
obj_t BgL_uninitz00_2238;
{ /* Type/tenv.scm 370 */
int BgL_auxz00_2772;
BgL_auxz00_2772 = 
(int)(((long)0)); 
BgL_uninitz00_2238 = 
PROCEDURE_REF(BgL_envz00_2237, BgL_auxz00_2772); } 
{ 
obj_t BgL_kz00_1841;obj_t BgL_xz00_1842;
BgL_kz00_1841 = BgL_kz00_2239; 
BgL_xz00_1842 = BgL_xz00_2240; 
{ 
obj_t BgL_tz00_1308;
BgL_tz00_1308 = BgL_xz00_1842; 
{ /* Type/tenv.scm 371 */
bool_t BgL_testz00_2775;
{ /* Type/tenv.scm 371 */
BgL_typez00_bglt BgL_obj1499z00_1843;
BgL_obj1499z00_1843 = 
(BgL_typez00_bglt)(BgL_tz00_1308); 
BgL_testz00_2775 = 
(((BgL_typez00_bglt)CREF(BgL_obj1499z00_1843))->BgL_initzf3zf3); } 
if(BgL_testz00_2775)
{ /* Type/tenv.scm 371 */
return BFALSE;}  else 
{ /* Type/tenv.scm 372 */
obj_t BgL_auxz00_2241;
{ /* Type/tenv.scm 372 */
obj_t BgL_auxz00_2778;
BgL_auxz00_2778 = 
CELL_REF(BgL_uninitz00_2238); 
BgL_auxz00_2241 = 
MAKE_PAIR(BgL_tz00_1308, BgL_auxz00_2778); } 
return 
CELL_SET(BgL_uninitz00_2238, BgL_auxz00_2241);} } } } } } 
}



/* check-types */
obj_t BGl_checkzd2typeszd2zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 389 */
{ /* Type/tenv.scm 390 */
obj_t BgL_utz00_1312;
BgL_utz00_1312 = 
BGl_uninitializa7edzd2typesz75zztype_envz00(); 
if(
PAIRP(BgL_utz00_1312))
{ /* Type/tenv.scm 391 */
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Type/tenv.scm 395 */
long BgL_arg2442z00_1316;
BgL_arg2442z00_1316 = 
bgl_list_length(BgL_utz00_1312); 
{ /* Type/tenv.scm 394 */
obj_t BgL_list2443z00_1317;
BgL_list2443z00_1317 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
BINT(BgL_arg2442z00_1316), BgL_list2443z00_1317); } } 
{ /* Type/tenv.scm 394 */
obj_t BgL_list2444z00_1318;
BgL_list2444z00_1318 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2569z00zztype_envz00, BgL_list2444z00_1318); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ 
obj_t BgL_utz00_1319;
BgL_utz00_1319 = BgL_utz00_1312; 
BgL_loopz00_1320:
if(
NULLP(BgL_utz00_1319))
{ /* Type/tenv.scm 399 */
{ /* Type/tenv.scm 400 */
obj_t BgL_list2446z00_1323;
BgL_list2446z00_1323 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2570z00zztype_envz00, BgL_list2446z00_1323); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Type/tenv.scm 401 */
obj_t BgL_list2447z00_1324;
{ /* Type/tenv.scm 401 */
obj_t BgL_auxz00_2796;
BgL_auxz00_2796 = 
BINT(((long)-1)); 
BgL_list2447z00_1324 = 
MAKE_PAIR(BgL_auxz00_2796, BNIL); } 
BGl_exitz00zz__errorz00(BgL_list2447z00_1324); } }  else 
{ /* Type/tenv.scm 402 */
bool_t BgL_test2448z00_1325;
BgL_test2448z00_1325 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_utz00_1319), BGl_typez00zztype_typez00); 
if(BgL_test2448z00_1325)
{ /* Type/tenv.scm 402 */
{ /* Type/tenv.scm 403 */
obj_t BgL_armed2309z00_1326;
BgL_armed2309z00_1326 = 
MAKE_CELL(BUNSPEC); 
{ /* Type/tenv.scm 413 */
obj_t BgL_body2308z00_2243;obj_t BgL_rhandler2307z00_2245;
{ 
int BgL_auxz00_2805;int BgL_auxz00_2803;
BgL_auxz00_2805 = 
(int)(((long)1)); 
BgL_auxz00_2803 = 
(int)(((long)0)); 
BgL_body2308z00_2243 = 
make_fx_procedure(BGl_body2308z00zztype_envz00, BgL_auxz00_2803, BgL_auxz00_2805); } 
{ 
int BgL_auxz00_2810;int BgL_auxz00_2808;
BgL_auxz00_2810 = 
(int)(((long)1)); 
BgL_auxz00_2808 = 
(int)(((long)4)); 
BgL_rhandler2307z00_2245 = 
make_fx_procedure(BGl_rhandler2307z00zztype_envz00, BgL_auxz00_2808, BgL_auxz00_2810); } 
{ /* Type/tenv.scm 413 */
int BgL_auxz00_2813;
BgL_auxz00_2813 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body2308z00_2243, BgL_auxz00_2813, BgL_utz00_1319); } 
{ /* Type/tenv.scm 413 */
int BgL_auxz00_2816;
BgL_auxz00_2816 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler2307z00_2245, BgL_auxz00_2816, BgL_armed2309z00_1326); } 
CELL_SET(BgL_armed2309z00_1326, BTRUE); 
BGl_handling_function2449z00zztype_envz00(BgL_body2308z00_2243, BgL_rhandler2307z00_2245, BgL_armed2309z00_1326); } } 
{ 
obj_t BgL_utz00_2820;
BgL_utz00_2820 = 
CDR(BgL_utz00_1319); 
BgL_utz00_1319 = BgL_utz00_2820; 
goto BgL_loopz00_1320;} }  else 
{ /* Type/tenv.scm 402 */
{ /* Type/tenv.scm 417 */
obj_t BgL_armed2317z00_1371;
BgL_armed2317z00_1371 = 
MAKE_CELL(BUNSPEC); 
{ /* Type/tenv.scm 421 */
obj_t BgL_body2316z00_2248;obj_t BgL_rhandler2315z00_2250;
{ 
int BgL_auxz00_2824;int BgL_auxz00_2822;
BgL_auxz00_2824 = 
(int)(((long)1)); 
BgL_auxz00_2822 = 
(int)(((long)0)); 
BgL_body2316z00_2248 = 
make_fx_procedure(BGl_body2316z00zztype_envz00, BgL_auxz00_2822, BgL_auxz00_2824); } 
{ 
int BgL_auxz00_2829;int BgL_auxz00_2827;
BgL_auxz00_2829 = 
(int)(((long)1)); 
BgL_auxz00_2827 = 
(int)(((long)4)); 
BgL_rhandler2315z00_2250 = 
make_fx_procedure(BGl_rhandler2315z00zztype_envz00, BgL_auxz00_2827, BgL_auxz00_2829); } 
{ /* Type/tenv.scm 421 */
int BgL_auxz00_2832;
BgL_auxz00_2832 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body2316z00_2248, BgL_auxz00_2832, BgL_utz00_1319); } 
{ /* Type/tenv.scm 421 */
int BgL_auxz00_2835;
BgL_auxz00_2835 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler2315z00_2250, BgL_auxz00_2835, BgL_armed2317z00_1371); } 
CELL_SET(BgL_armed2317z00_1371, BTRUE); 
BGl_handling_function2472z00zztype_envz00(BgL_body2316z00_2248, BgL_rhandler2315z00_2250, BgL_armed2317z00_1371); } } 
{ 
obj_t BgL_utz00_2839;
BgL_utz00_2839 = 
CDR(BgL_utz00_1319); 
BgL_utz00_1319 = BgL_utz00_2839; 
goto BgL_loopz00_1320;} } } } }  else 
{ /* Type/tenv.scm 391 */BFALSE; } 
return ( 
BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 = ((bool_t)1), BUNSPEC) ;} } 
}



/* handling_function2472 */
obj_t BGl_handling_function2472z00zztype_envz00(obj_t BgL_body2316z00_2300, obj_t BgL_rhandler2315z00_2299, obj_t BgL_armed2317z00_2298)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit2318z00_1376;
if( SET_EXIT(BgL_an_exit2318z00_1376) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit2318z00_1376 = 
(obj_t)jmpbuf; 
{ /* Type/tenv.scm 417 */

PUSH_EXIT(BgL_an_exit2318z00_1376, ((bool_t)1)); 
{ /* Type/tenv.scm 417 */
obj_t BgL_an_exitd2319z00_1377;
BgL_an_exitd2319z00_1377 = 
BGL_GET_EXITD_TOP(); 
{ /* Type/tenv.scm 417 */
obj_t BgL_escapez00_2249;
{ 
int BgL_auxz00_2847;int BgL_auxz00_2845;
BgL_auxz00_2847 = 
(int)(((long)1)); 
BgL_auxz00_2845 = 
(int)(((long)1)); 
BgL_escapez00_2249 = 
make_fx_procedure(BGl_escape_2554z00zztype_envz00, BgL_auxz00_2845, BgL_auxz00_2847); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2850;
BgL_auxz00_2850 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2249, BgL_auxz00_2850, BgL_an_exitd2319z00_1377); } 
{ /* Type/tenv.scm 417 */
obj_t BgL_res2321z00_1380;
{ /* Type/tenv.scm 417 */
obj_t BgL_zc3anonymousza32476ze3z83_2247;obj_t BgL_zc3anonymousza32475ze3z83_2251;
{ 
int BgL_auxz00_2855;int BgL_auxz00_2853;
BgL_auxz00_2855 = 
(int)(((long)1)); 
BgL_auxz00_2853 = 
(int)(((long)0)); 
BgL_zc3anonymousza32476ze3z83_2247 = 
make_fx_procedure(BGl_zc3anonymousza32476ze3z83zztype_envz00, BgL_auxz00_2853, BgL_auxz00_2855); } 
{ 
int BgL_auxz00_2860;int BgL_auxz00_2858;
BgL_auxz00_2860 = 
(int)(((long)4)); 
BgL_auxz00_2858 = 
(int)(((long)0)); 
BgL_zc3anonymousza32475ze3z83_2251 = 
make_fx_procedure(BGl_zc3anonymousza32475ze3z83zztype_envz00, BgL_auxz00_2858, BgL_auxz00_2860); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2863;
BgL_auxz00_2863 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32476ze3z83_2247, BgL_auxz00_2863, BgL_armed2317z00_2298); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2866;
BgL_auxz00_2866 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32475ze3z83_2251, BgL_auxz00_2866, BgL_an_exitd2319z00_1377); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2869;
BgL_auxz00_2869 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32475ze3z83_2251, BgL_auxz00_2869, BgL_armed2317z00_2298); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2872;
BgL_auxz00_2872 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32475ze3z83_2251, BgL_auxz00_2872, BgL_rhandler2315z00_2299); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2875;
BgL_auxz00_2875 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32475ze3z83_2251, BgL_auxz00_2875, BgL_escapez00_2249); } 
BgL_res2321z00_1380 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32475ze3z83_2251, BgL_body2316z00_2300, BgL_zc3anonymousza32476ze3z83_2247); } 
POP_EXIT(); 
return BgL_res2321z00_1380;} } } } 
} } 
}



/* handling_function2449 */
obj_t BGl_handling_function2449z00zztype_envz00(obj_t BgL_body2308z00_2303, obj_t BgL_rhandler2307z00_2302, obj_t BgL_armed2309z00_2301)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit2310z00_1331;
if( SET_EXIT(BgL_an_exit2310z00_1331) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit2310z00_1331 = 
(obj_t)jmpbuf; 
{ /* Type/tenv.scm 403 */

PUSH_EXIT(BgL_an_exit2310z00_1331, ((bool_t)1)); 
{ /* Type/tenv.scm 403 */
obj_t BgL_an_exitd2311z00_1332;
BgL_an_exitd2311z00_1332 = 
BGL_GET_EXITD_TOP(); 
{ /* Type/tenv.scm 403 */
obj_t BgL_escapez00_2244;
{ 
int BgL_auxz00_2886;int BgL_auxz00_2884;
BgL_auxz00_2886 = 
(int)(((long)1)); 
BgL_auxz00_2884 = 
(int)(((long)1)); 
BgL_escapez00_2244 = 
make_fx_procedure(BGl_escapez00zztype_envz00, BgL_auxz00_2884, BgL_auxz00_2886); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2889;
BgL_auxz00_2889 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2244, BgL_auxz00_2889, BgL_an_exitd2311z00_1332); } 
{ /* Type/tenv.scm 403 */
obj_t BgL_res2313z00_1335;
{ /* Type/tenv.scm 403 */
obj_t BgL_zc3anonymousza32453ze3z83_2242;obj_t BgL_zc3anonymousza32452ze3z83_2246;
{ 
int BgL_auxz00_2894;int BgL_auxz00_2892;
BgL_auxz00_2894 = 
(int)(((long)1)); 
BgL_auxz00_2892 = 
(int)(((long)0)); 
BgL_zc3anonymousza32453ze3z83_2242 = 
make_fx_procedure(BGl_zc3anonymousza32453ze3z83zztype_envz00, BgL_auxz00_2892, BgL_auxz00_2894); } 
{ 
int BgL_auxz00_2899;int BgL_auxz00_2897;
BgL_auxz00_2899 = 
(int)(((long)4)); 
BgL_auxz00_2897 = 
(int)(((long)0)); 
BgL_zc3anonymousza32452ze3z83_2246 = 
make_fx_procedure(BGl_zc3anonymousza32452ze3z83zztype_envz00, BgL_auxz00_2897, BgL_auxz00_2899); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2902;
BgL_auxz00_2902 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_2242, BgL_auxz00_2902, BgL_armed2309z00_2301); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2905;
BgL_auxz00_2905 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_2246, BgL_auxz00_2905, BgL_an_exitd2311z00_1332); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2908;
BgL_auxz00_2908 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_2246, BgL_auxz00_2908, BgL_armed2309z00_2301); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2911;
BgL_auxz00_2911 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_2246, BgL_auxz00_2911, BgL_rhandler2307z00_2302); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2914;
BgL_auxz00_2914 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_2246, BgL_auxz00_2914, BgL_escapez00_2244); } 
BgL_res2313z00_1335 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32452ze3z83_2246, BgL_body2308z00_2303, BgL_zc3anonymousza32453ze3z83_2242); } 
POP_EXIT(); 
return BgL_res2313z00_1335;} } } } 
} } 
}



/* _check-types */
obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t BgL_envz00_2252)
{ AN_OBJECT;
{ /* Type/tenv.scm 389 */
return 
BGl_checkzd2typeszd2zztype_envz00();} 
}



/* <anonymous:2453> */
obj_t BGl_zc3anonymousza32453ze3z83zztype_envz00(obj_t BgL_envz00_2253)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
{ /* Type/tenv.scm 403 */
obj_t BgL_armed2309z00_2254;
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2920;
BgL_auxz00_2920 = 
(int)(((long)0)); 
BgL_armed2309z00_2254 = 
PROCEDURE_REF(BgL_envz00_2253, BgL_auxz00_2920); } 
{ 

{ /* Type/tenv.scm 403 */
bool_t BgL_testz00_2923;
{ /* Type/tenv.scm 403 */
obj_t BgL_auxz00_2924;
BgL_auxz00_2924 = 
CELL_REF(BgL_armed2309z00_2254); 
BgL_testz00_2923 = 
CBOOL(BgL_auxz00_2924); } 
if(BgL_testz00_2923)
{ /* Type/tenv.scm 403 */
CELL_SET(BgL_armed2309z00_2254, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Type/tenv.scm 403 */
return BFALSE;} } } } } 
}



/* body2308 */
obj_t BGl_body2308z00zztype_envz00(obj_t BgL_envz00_2256)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
{ /* Type/tenv.scm 403 */
obj_t BgL_utz00_2257;
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2927;
BgL_auxz00_2927 = 
(int)(((long)0)); 
BgL_utz00_2257 = 
PROCEDURE_REF(BgL_envz00_2256, BgL_auxz00_2927); } 
{ 

{ /* Type/tenv.scm 403 */
bool_t BgL_testz00_2930;
{ /* Type/tenv.scm 403 */
BgL_typez00_bglt BgL_obj1520z00_1856;
{ /* Type/tenv.scm 403 */
obj_t BgL_auxz00_2931;
BgL_auxz00_2931 = 
CAR(BgL_utz00_2257); 
BgL_obj1520z00_1856 = 
(BgL_typez00_bglt)(BgL_auxz00_2931); } 
{ /* Type/tenv.scm 403 */
obj_t BgL_auxz00_2934;
BgL_auxz00_2934 = 
(((BgL_typez00_bglt)CREF(BgL_obj1520z00_1856))->BgL_importzd2locationzd2); 
BgL_testz00_2930 = 
CBOOL(BgL_auxz00_2934); } } 
if(BgL_testz00_2930)
{ /* Type/tenv.scm 404 */
obj_t BgL_arg2458z00_1354;obj_t BgL_arg2460z00_1356;
{ /* Type/tenv.scm 404 */
BgL_typez00_bglt BgL_obj1520z00_1858;
{ /* Type/tenv.scm 404 */
obj_t BgL_auxz00_2937;
BgL_auxz00_2937 = 
CAR(BgL_utz00_2257); 
BgL_obj1520z00_1858 = 
(BgL_typez00_bglt)(BgL_auxz00_2937); } 
BgL_arg2458z00_1354 = 
(((BgL_typez00_bglt)CREF(BgL_obj1520z00_1858))->BgL_importzd2locationzd2); } 
BgL_arg2460z00_1356 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_utz00_2257)); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2458z00_1354, BGl_za2moduleza2z00zzmodule_modulez00, BGl_string2571z00zztype_envz00, BgL_arg2460z00_1356, BNIL);}  else 
{ /* Type/tenv.scm 408 */
obj_t BgL_arg2464z00_1360;obj_t BgL_arg2466z00_1362;
{ /* Type/tenv.scm 408 */
BgL_typez00_bglt BgL_obj1517z00_1861;
{ /* Type/tenv.scm 408 */
obj_t BgL_auxz00_2944;
BgL_auxz00_2944 = 
CAR(BgL_utz00_2257); 
BgL_obj1517z00_1861 = 
(BgL_typez00_bglt)(BgL_auxz00_2944); } 
BgL_arg2464z00_1360 = 
(((BgL_typez00_bglt)CREF(BgL_obj1517z00_1861))->BgL_locationz00); } 
BgL_arg2466z00_1362 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_utz00_2257)); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2464z00_1360, BGl_za2moduleza2z00zzmodule_modulez00, BGl_string2572z00zztype_envz00, BgL_arg2466z00_1362, BNIL);} } } } } 
}



/* <anonymous:2452> */
obj_t BGl_zc3anonymousza32452ze3z83zztype_envz00(obj_t BgL_envz00_2258)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
{ /* Type/tenv.scm 403 */
obj_t BgL_rhandler2307z00_2261;obj_t BgL_escapez00_2262;
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2951;
BgL_auxz00_2951 = 
(int)(((long)2)); 
BgL_rhandler2307z00_2261 = 
PROCEDURE_REF(BgL_envz00_2258, BgL_auxz00_2951); } 
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2954;
BgL_auxz00_2954 = 
(int)(((long)3)); 
BgL_escapez00_2262 = 
PROCEDURE_REF(BgL_envz00_2258, BgL_auxz00_2954); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler2307z00_2261, BgL_escapez00_2262);} } } 
}



/* escape */
obj_t BGl_escapez00zztype_envz00(obj_t BgL_envz00_2263, obj_t BgL_val2312z00_2265)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
{ /* Type/tenv.scm 403 */
obj_t BgL_an_exitd2311z00_2264;
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2958;
BgL_auxz00_2958 = 
(int)(((long)0)); 
BgL_an_exitd2311z00_2264 = 
PROCEDURE_REF(BgL_envz00_2263, BgL_auxz00_2958); } 
{ 
obj_t BgL_val2312z00_1333;
BgL_val2312z00_1333 = BgL_val2312z00_2265; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2311z00_2264, BgL_val2312z00_1333);} } } 
}



/* rhandler2307 */
obj_t BGl_rhandler2307z00zztype_envz00(obj_t BgL_envz00_2266, obj_t BgL_escz00_2268, obj_t BgL_objz00_2269, obj_t BgL_procz00_2270, obj_t BgL_msgz00_2271)
{ AN_OBJECT;
{ /* Type/tenv.scm 403 */
{ /* Type/tenv.scm 403 */
obj_t BgL_armed2309z00_2267;
{ /* Type/tenv.scm 403 */
int BgL_auxz00_2962;
BgL_auxz00_2962 = 
(int)(((long)0)); 
BgL_armed2309z00_2267 = 
PROCEDURE_REF(BgL_envz00_2266, BgL_auxz00_2962); } 
{ 
obj_t BgL_escz00_1347;obj_t BgL_objz00_1348;obj_t BgL_procz00_1349;obj_t BgL_msgz00_1350;
BgL_escz00_1347 = BgL_escz00_2268; 
BgL_objz00_1348 = BgL_objz00_2269; 
BgL_procz00_1349 = BgL_procz00_2270; 
BgL_msgz00_1350 = BgL_msgz00_2271; 
CELL_SET(BgL_armed2309z00_2267, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
BGl_notifyzd2errorzd2zz__errorz00(BgL_objz00_1348, BgL_procz00_1349, BgL_msgz00_1350); 
return 
PROCEDURE_ENTRY(BgL_escz00_1347)(BgL_escz00_1347, BFALSE, BEOA);} } } 
}



/* <anonymous:2476> */
obj_t BGl_zc3anonymousza32476ze3z83zztype_envz00(obj_t BgL_envz00_2273)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
{ /* Type/tenv.scm 417 */
obj_t BgL_armed2317z00_2274;
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2969;
BgL_auxz00_2969 = 
(int)(((long)0)); 
BgL_armed2317z00_2274 = 
PROCEDURE_REF(BgL_envz00_2273, BgL_auxz00_2969); } 
{ 

{ /* Type/tenv.scm 417 */
bool_t BgL_testz00_2972;
{ /* Type/tenv.scm 417 */
obj_t BgL_auxz00_2973;
BgL_auxz00_2973 = 
CELL_REF(BgL_armed2317z00_2274); 
BgL_testz00_2972 = 
CBOOL(BgL_auxz00_2973); } 
if(BgL_testz00_2972)
{ /* Type/tenv.scm 417 */
CELL_SET(BgL_armed2317z00_2274, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Type/tenv.scm 417 */
return BFALSE;} } } } } 
}



/* body2316 */
obj_t BGl_body2316z00zztype_envz00(obj_t BgL_envz00_2276)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
{ /* Type/tenv.scm 417 */
obj_t BgL_utz00_2277;
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2976;
BgL_auxz00_2976 = 
(int)(((long)0)); 
BgL_utz00_2277 = 
PROCEDURE_REF(BgL_envz00_2276, BgL_auxz00_2976); } 
{ 

{ /* Type/tenv.scm 417 */
obj_t BgL_arg2481z00_1399;
BgL_arg2481z00_1399 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_utz00_2277)); 
{ /* Type/tenv.scm 417 */
obj_t BgL_procz00_1869;
BgL_procz00_1869 = BGl_za2moduleza2z00zzmodule_modulez00; 
FAILURE(BgL_procz00_1869,BGl_string2573z00zztype_envz00,BgL_arg2481z00_1399);} } } } } 
}



/* <anonymous:2475> */
obj_t BGl_zc3anonymousza32475ze3z83zztype_envz00(obj_t BgL_envz00_2278)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
{ /* Type/tenv.scm 417 */
obj_t BgL_rhandler2315z00_2281;obj_t BgL_escapez00_2282;
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2982;
BgL_auxz00_2982 = 
(int)(((long)2)); 
BgL_rhandler2315z00_2281 = 
PROCEDURE_REF(BgL_envz00_2278, BgL_auxz00_2982); } 
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2985;
BgL_auxz00_2985 = 
(int)(((long)3)); 
BgL_escapez00_2282 = 
PROCEDURE_REF(BgL_envz00_2278, BgL_auxz00_2985); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler2315z00_2281, BgL_escapez00_2282);} } } 
}



/* escape_2554 */
obj_t BGl_escape_2554z00zztype_envz00(obj_t BgL_envz00_2283, obj_t BgL_val2320z00_2285)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
{ /* Type/tenv.scm 417 */
obj_t BgL_an_exitd2319z00_2284;
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2989;
BgL_auxz00_2989 = 
(int)(((long)0)); 
BgL_an_exitd2319z00_2284 = 
PROCEDURE_REF(BgL_envz00_2283, BgL_auxz00_2989); } 
{ 
obj_t BgL_val2320z00_1378;
BgL_val2320z00_1378 = BgL_val2320z00_2285; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2319z00_2284, BgL_val2320z00_1378);} } } 
}



/* rhandler2315 */
obj_t BGl_rhandler2315z00zztype_envz00(obj_t BgL_envz00_2286, obj_t BgL_escz00_2288, obj_t BgL_objz00_2289, obj_t BgL_procz00_2290, obj_t BgL_msgz00_2291)
{ AN_OBJECT;
{ /* Type/tenv.scm 417 */
{ /* Type/tenv.scm 417 */
obj_t BgL_armed2317z00_2287;
{ /* Type/tenv.scm 417 */
int BgL_auxz00_2993;
BgL_auxz00_2993 = 
(int)(((long)0)); 
BgL_armed2317z00_2287 = 
PROCEDURE_REF(BgL_envz00_2286, BgL_auxz00_2993); } 
{ 
obj_t BgL_escz00_1392;obj_t BgL_objz00_1393;obj_t BgL_procz00_1394;obj_t BgL_msgz00_1395;
BgL_escz00_1392 = BgL_escz00_2288; 
BgL_objz00_1393 = BgL_objz00_2289; 
BgL_procz00_1394 = BgL_procz00_2290; 
BgL_msgz00_1395 = BgL_msgz00_2291; 
CELL_SET(BgL_armed2317z00_2287, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
BGl_notifyzd2errorzd2zz__errorz00(BgL_objz00_1393, BgL_procz00_1394, BgL_msgz00_1395); 
return 
PROCEDURE_ENTRY(BgL_escz00_1392)(BgL_escz00_1392, BFALSE, BEOA);} } } 
}



/* sub-type? */
bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt BgL_minorz00_48, BgL_typez00_bglt BgL_majorz00_49)
{ AN_OBJECT;
{ /* Type/tenv.scm 431 */
{ /* Type/tenv.scm 433 */
bool_t BgL_testz00_3000;
{ /* Type/tenv.scm 433 */
obj_t BgL_auxz00_3003;obj_t BgL_auxz00_3001;
BgL_auxz00_3003 = 
(obj_t)(BgL_majorz00_49); 
BgL_auxz00_3001 = 
(obj_t)(BgL_minorz00_48); 
BgL_testz00_3000 = 
(BgL_auxz00_3001==BgL_auxz00_3003); } 
if(BgL_testz00_3000)
{ /* Type/tenv.scm 433 */
return ((bool_t)1);}  else 
{ /* Type/tenv.scm 435 */
bool_t BgL_testz00_3006;
{ /* Type/tenv.scm 435 */
obj_t BgL_auxz00_3007;
BgL_auxz00_3007 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_majorz00_49), 
(((BgL_typez00_bglt)CREF(BgL_minorz00_48))->BgL_parentsz00)); 
BgL_testz00_3006 = 
CBOOL(BgL_auxz00_3007); } 
if(BgL_testz00_3006)
{ /* Type/tenv.scm 435 */
return ((bool_t)1);}  else 
{ /* Type/tenv.scm 435 */
return ((bool_t)0);} } } } 
}



/* _sub-type?2555 */
obj_t BGl__subzd2typezf32555z21zztype_envz00(obj_t BgL_envz00_2295, obj_t BgL_minorz00_2296, obj_t BgL_majorz00_2297)
{ AN_OBJECT;
{ /* Type/tenv.scm 431 */
{ /* Type/tenv.scm 431 */
bool_t BgL_auxz00_3012;
BgL_auxz00_3012 = 
BGl_subzd2typezf3z21zztype_envz00(
(BgL_typez00_bglt)(BgL_minorz00_2296), 
(BgL_typez00_bglt)(BgL_majorz00_2297)); 
return 
BBOOL(BgL_auxz00_3012);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztype_envz00()
{ AN_OBJECT;
{ /* Type/tenv.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "type_env"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "type_env"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "type_env"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "type_env"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "type_env"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "type_env"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "type_env"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "type_env"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "type_env"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "type_env"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "type_env"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "type_env"); 
BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long)63074), "type_env"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "type_env"); 
BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(((long)47531), "type_env"); 
BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(((long)40143), "type_env"); 
BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long)1934), "type_env"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long)23320), "type_env");} 
}

