;*=====================================================================*/
;*    serrano/prgm/project/bigloo/comptime/Type/typeof.scm             */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Fri May 31 15:25:05 1996                          */
;*    Last change :  Mon May 15 08:08:01 2000 (serrano)                */
;*    Copyright   :  1996-2000 Manuel Serrano, see LICENSE file        */
;*    -------------------------------------------------------------    */
;*    The type of the things                                           */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module type_typeof
   (include "Tvector/tvector.sch")
   (import  type_type
	    type_cache)
   (export  (typeof-atom::type  <atom>)
	    (typeof-kwote::type <kwote>)))

;*---------------------------------------------------------------------*/
;*    typeof-atom ...                                                  */
;*---------------------------------------------------------------------*/
(define (typeof-atom atom)
   (cond
      ((null? atom)
       *bnil*)
      ((integer? atom)
       *long*)
      ((real? atom)
       *real*)
      ((boolean? atom)
       *bool*)
      ((char? atom)
       *char*)
      ((string? atom)
       *string*)
      ((eq? atom #unspecified)
       *unspec*)
      (else
       *obj*)))

;*---------------------------------------------------------------------*/
;*    typeof-kwote ...                                                 */
;*---------------------------------------------------------------------*/
(define (typeof-kwote kwote)
   (cond
      ((symbol? kwote)
       *symbol*)
      ((pair? kwote)
       *pair*)
      ((null? kwote)
       *bnil*)
      ((vector? kwote)
       *vector*)
      ((a-tvector? kwote)
       (a-tvector-type kwote))
      (else
       *obj*)))

