/*===========================================================================*/
/*   (Write/ast.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(BgL_globalz00_bglt);
static obj_t BGl_methodzd2initzd2zzwrite_astz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
extern obj_t BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t, obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl__writezd2astzd2zzwrite_astz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_zc3anonymousza32676ze3z83zzwrite_astz00(obj_t);
static obj_t BGl_zc3anonymousza32677ze3z83zzwrite_astz00(obj_t);
static obj_t BGl_escapez00zzwrite_astz00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_argszd2listzd2ze3argsza2z41zztools_argsz00(obj_t, obj_t);
extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzwrite_astz00();
extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_handling_function2673z00zzwrite_astz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_rhandler2655z00zzwrite_astz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_output_string();
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzwrite_astz00();
extern obj_t current_output_port;
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_schemez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_pptypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_handlerz00zzwrite_astz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t close_output_port(obj_t);
static obj_t BGl_atomzd2ze3stringz31zzwrite_astz00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_body2656z00zzwrite_astz00(obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern obj_t open_output_file(obj_t);
extern obj_t BGl_writezd2schemezd2commentz00zzwrite_schemez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzwrite_astz00 = BUNSPEC;
extern obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
extern obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzwrite_astz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
static obj_t __cnst[ 8 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_writezd2astzd2envz00zzwrite_astz00, BgL_bgl__writeza7d2astza7d2za7za7write_astza7002844za7, BGl__writezd2astzd2zzwrite_astz00, 0L, 1 );
DEFINE_STRING( BGl_string2839z00zzwrite_astz00, BgL_bgl_string2839za700za7za7write_astza7002845z00, "define define-method smfun define-inline sifun define-generic sgfun lower ", 74 );
DEFINE_STRING( BGl_string2838z00zzwrite_astz00, BgL_bgl_string2838za700za7za7write_astza7002846z00, "#unspecified", 12 );
DEFINE_STRING( BGl_string2837z00zzwrite_astz00, BgL_bgl_string2837za700za7za7write_astza7002847z00, "#f", 2 );
DEFINE_STRING( BGl_string2836z00zzwrite_astz00, BgL_bgl_string2836za700za7za7write_astza7002848z00, "#t", 2 );
DEFINE_STRING( BGl_string2835z00zzwrite_astz00, BgL_bgl_string2835za700za7za7write_astza7002849z00, "[", 1 );
DEFINE_STRING( BGl_string2834z00zzwrite_astz00, BgL_bgl_string2834za700za7za7write_astza7002850z00, "  side-effect: ", 15 );
DEFINE_STRING( BGl_string2833z00zzwrite_astz00, BgL_bgl_string2833za700za7za7write_astza7002851z00, "  occ: ", 7 );
DEFINE_STRING( BGl_string2832z00zzwrite_astz00, BgL_bgl_string2832za700za7za7write_astza7002852z00, "  rm: ", 6 );
DEFINE_STRING( BGl_string2831z00zzwrite_astz00, BgL_bgl_string2831za700za7za7write_astza7002853z00, "  loc: ", 7 );
DEFINE_STRING( BGl_string2830z00zzwrite_astz00, BgL_bgl_string2830za700za7za7write_astza7002854z00, "]", 1 );
DEFINE_STRING( BGl_string2829z00zzwrite_astz00, BgL_bgl_string2829za700za7za7write_astza7002855z00, "", 0 );
DEFINE_STRING( BGl_string2828z00zzwrite_astz00, BgL_bgl_string2828za700za7za7write_astza7002856z00, "  predicate-of: ", 16 );
DEFINE_STRING( BGl_string2827z00zzwrite_astz00, BgL_bgl_string2827za700za7za7write_astza7002857z00, ")", 1 );
DEFINE_STRING( BGl_string2826z00zzwrite_astz00, BgL_bgl_string2826za700za7za7write_astza7002858z00, "The AST (", 9 );
DEFINE_STRING( BGl_string2825z00zzwrite_astz00, BgL_bgl_string2825za700za7za7write_astza7002859z00, "Can't open output file", 22 );
DEFINE_STRING( BGl_string2824z00zzwrite_astz00, BgL_bgl_string2824za700za7za7write_astza7002860z00, "write-ast", 9 );
DEFINE_STRING( BGl_string2823z00zzwrite_astz00, BgL_bgl_string2823za700za7za7write_astza7002861z00, ".ast", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long BgL_checksumz00_2332, char * BgL_fromz00_2333)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzwrite_astz00))
{ 
BGl_requirezd2initializa7ationz75zzwrite_astz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzwrite_astz00(); 
BGl_cnstzd2initzd2zzwrite_astz00(); 
BGl_importedzd2moduleszd2initz00zzwrite_astz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzwrite_astz00()
{ AN_OBJECT;
{ /* Write/ast.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "write_ast"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "write_ast"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzwrite_astz00()
{ AN_OBJECT;
{ /* Write/ast.scm 15 */
{ /* Write/ast.scm 15 */
obj_t BgL_cportz00_2325;
BgL_cportz00_2325 = 
open_input_string(BGl_string2839z00zzwrite_astz00); 
{ 
long BgL_iz00_2326;
BgL_iz00_2326 = ((long)7); 
BgL_loopz00_2327:
if(
(BgL_iz00_2326==((long)-1)))
{ /* Write/ast.scm 15 */
return BUNSPEC;}  else 
{ /* Write/ast.scm 15 */
{ /* Write/ast.scm 15 */
obj_t BgL_arg2841z00_2329;
{ /* Write/ast.scm 15 */
obj_t BgL_list2842z00_2330;
BgL_list2842z00_2330 = 
MAKE_PAIR(BgL_cportz00_2325, BNIL); 
BgL_arg2841z00_2329 = 
BGl_readz00zz__readerz00(BgL_list2842z00_2330); } 
{ /* Write/ast.scm 15 */
int BgL_auxz00_2356;
BgL_auxz00_2356 = 
(int)(BgL_iz00_2326); 
CNST_TABLE_SET(BgL_auxz00_2356, BgL_arg2841z00_2329); } } 
{ 
long BgL_iz00_2359;
{ /* Write/ast.scm 15 */
int BgL_auxz00_2360;
{ /* Write/ast.scm 15 */
long BgL_auxz00_2361;
BgL_auxz00_2361 = 
(BgL_iz00_2326-((long)1)); 
BgL_auxz00_2360 = 
(int)(BgL_auxz00_2361); } 
BgL_iz00_2359 = 
(long)(BgL_auxz00_2360); } 
BgL_iz00_2326 = BgL_iz00_2359; 
goto BgL_loopz00_2327;} } } } } 
}



/* write-ast */
obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Write/ast.scm 29 */
{ /* Write/ast.scm 32 */
obj_t BgL_outputzd2namezd2_1222;
{ /* Write/ast.scm 32 */
bool_t BgL_test2717z00_1303;
{ /* Write/ast.scm 32 */
obj_t BgL_objz00_1752;
BgL_objz00_1752 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test2717z00_1303 = 
STRINGP(BgL_objz00_1752); } 
if(BgL_test2717z00_1303)
{ /* Write/ast.scm 32 */
BgL_outputzd2namezd2_1222 = BGl_za2destza2z00zzengine_paramz00; }  else 
{ /* Write/ast.scm 34 */
bool_t BgL_test2718z00_1304;
{ /* Write/ast.scm 34 */
bool_t BgL_test2722z00_1308;
{ /* Write/ast.scm 34 */
obj_t BgL_objz00_1753;
BgL_objz00_1753 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test2722z00_1308 = 
PAIRP(BgL_objz00_1753); } 
if(BgL_test2722z00_1308)
{ /* Write/ast.scm 35 */
obj_t BgL_arg2723z00_1309;
{ /* Write/ast.scm 35 */
obj_t BgL_pairz00_1754;
BgL_pairz00_1754 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg2723z00_1309 = 
CAR(BgL_pairz00_1754); } 
BgL_test2718z00_1304 = 
STRINGP(BgL_arg2723z00_1309); }  else 
{ /* Write/ast.scm 34 */
BgL_test2718z00_1304 = ((bool_t)0); } } 
if(BgL_test2718z00_1304)
{ /* Write/ast.scm 36 */
obj_t BgL_arg2719z00_1305;
{ /* Write/ast.scm 36 */
obj_t BgL_arg2721z00_1307;
{ /* Write/ast.scm 36 */
obj_t BgL_pairz00_1756;
BgL_pairz00_1756 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg2721z00_1307 = 
CAR(BgL_pairz00_1756); } 
BgL_arg2719z00_1305 = 
BGl_prefixz00zz__osz00(BgL_arg2721z00_1307); } 
BgL_outputzd2namezd2_1222 = 
string_append(BgL_arg2719z00_1305, BGl_string2823z00zzwrite_astz00); }  else 
{ /* Write/ast.scm 34 */
BgL_outputzd2namezd2_1222 = BFALSE; } } } 
{ /* Write/ast.scm 32 */
obj_t BgL_portz00_1223;
if(
STRINGP(BgL_outputzd2namezd2_1222))
{ /* Write/ast.scm 39 */
BgL_portz00_1223 = 
open_output_file(BgL_outputzd2namezd2_1222); }  else 
{ /* Write/ast.scm 39 */
BgL_portz00_1223 = current_output_port; } 
{ /* Write/ast.scm 39 */

if(
OUTPUT_PORTP(BgL_portz00_1223))
{ /* Write/ast.scm 45 */
obj_t BgL_handlerz00_2287;
{ 
int BgL_auxz00_2382;int BgL_auxz00_2380;
BgL_auxz00_2382 = 
(int)(((long)1)); 
BgL_auxz00_2380 = 
(int)(((long)4)); 
BgL_handlerz00_2287 = 
make_fx_procedure(BGl_handlerz00zzwrite_astz00, BgL_auxz00_2380, BgL_auxz00_2382); } 
{ /* Write/ast.scm 45 */
int BgL_auxz00_2385;
BgL_auxz00_2385 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_2287, BgL_auxz00_2385, BgL_portz00_1223); } 
{ /* Write/ast.scm 48 */
obj_t BgL_armed2657z00_1226;obj_t BgL_handler2654z00_1227;
BgL_armed2657z00_1226 = 
MAKE_CELL(BUNSPEC); 
BgL_handler2654z00_1227 = 
MAKE_CELL(BUNSPEC); 
{ /* Write/ast.scm 48 */
obj_t BgL_body2656z00_2283;obj_t BgL_rhandler2655z00_2285;
{ 
int BgL_auxz00_2390;int BgL_auxz00_2388;
BgL_auxz00_2390 = 
(int)(((long)2)); 
BgL_auxz00_2388 = 
(int)(((long)0)); 
BgL_body2656z00_2283 = 
make_fx_procedure(BGl_body2656z00zzwrite_astz00, BgL_auxz00_2388, BgL_auxz00_2390); } 
{ 
int BgL_auxz00_2395;int BgL_auxz00_2393;
BgL_auxz00_2395 = 
(int)(((long)2)); 
BgL_auxz00_2393 = 
(int)(((long)4)); 
BgL_rhandler2655z00_2285 = 
make_fx_procedure(BGl_rhandler2655z00zzwrite_astz00, BgL_auxz00_2393, BgL_auxz00_2395); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2398;
BgL_auxz00_2398 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body2656z00_2283, BgL_auxz00_2398, BgL_portz00_1223); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2401;
BgL_auxz00_2401 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_body2656z00_2283, BgL_auxz00_2401, BgL_globalsz00_1); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2404;
BgL_auxz00_2404 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler2655z00_2285, BgL_auxz00_2404, BgL_armed2657z00_1226); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2407;
BgL_auxz00_2407 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_rhandler2655z00_2285, BgL_auxz00_2407, BgL_handler2654z00_1227); } 
CELL_SET(BgL_handler2654z00_1227, BgL_handlerz00_2287); 
CELL_SET(BgL_armed2657z00_1226, BTRUE); 
return 
BGl_handling_function2673z00zzwrite_astz00(BgL_body2656z00_2283, BgL_rhandler2655z00_2285, BgL_handler2654z00_1227, BgL_armed2657z00_1226);} } }  else 
{ /* Write/ast.scm 42 */
FAILURE(BGl_string2824z00zzwrite_astz00,BGl_string2825z00zzwrite_astz00,BgL_outputzd2namezd2_1222);} } } } } 
}



/* handling_function2673 */
obj_t BGl_handling_function2673z00zzwrite_astz00(obj_t BgL_body2656z00_2324, obj_t BgL_rhandler2655z00_2323, obj_t BgL_handler2654z00_2322, obj_t BgL_armed2657z00_2321)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit2665z00_1231;
if( SET_EXIT(BgL_an_exit2665z00_1231) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit2665z00_1231 = 
(obj_t)jmpbuf; 
{ /* Write/ast.scm 48 */

PUSH_EXIT(BgL_an_exit2665z00_1231, ((bool_t)1)); 
{ /* Write/ast.scm 48 */
obj_t BgL_an_exitd2666z00_1232;
BgL_an_exitd2666z00_1232 = 
BGL_GET_EXITD_TOP(); 
{ /* Write/ast.scm 48 */
obj_t BgL_escapez00_2284;
{ 
int BgL_auxz00_2418;int BgL_auxz00_2416;
BgL_auxz00_2418 = 
(int)(((long)1)); 
BgL_auxz00_2416 = 
(int)(((long)1)); 
BgL_escapez00_2284 = 
make_fx_procedure(BGl_escapez00zzwrite_astz00, BgL_auxz00_2416, BgL_auxz00_2418); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2421;
BgL_auxz00_2421 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2284, BgL_auxz00_2421, BgL_an_exitd2666z00_1232); } 
{ /* Write/ast.scm 48 */
obj_t BgL_res2668z00_1235;
{ /* Write/ast.scm 48 */
obj_t BgL_zc3anonymousza32677ze3z83_2282;obj_t BgL_zc3anonymousza32676ze3z83_2286;
{ 
int BgL_auxz00_2426;int BgL_auxz00_2424;
BgL_auxz00_2426 = 
(int)(((long)1)); 
BgL_auxz00_2424 = 
(int)(((long)0)); 
BgL_zc3anonymousza32677ze3z83_2282 = 
make_fx_procedure(BGl_zc3anonymousza32677ze3z83zzwrite_astz00, BgL_auxz00_2424, BgL_auxz00_2426); } 
{ 
int BgL_auxz00_2431;int BgL_auxz00_2429;
BgL_auxz00_2431 = 
(int)(((long)5)); 
BgL_auxz00_2429 = 
(int)(((long)0)); 
BgL_zc3anonymousza32676ze3z83_2286 = 
make_fx_procedure(BGl_zc3anonymousza32676ze3z83zzwrite_astz00, BgL_auxz00_2429, BgL_auxz00_2431); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2434;
BgL_auxz00_2434 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32677ze3z83_2282, BgL_auxz00_2434, BgL_armed2657z00_2321); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2437;
BgL_auxz00_2437 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_2286, BgL_auxz00_2437, BgL_an_exitd2666z00_1232); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2440;
BgL_auxz00_2440 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_2286, BgL_auxz00_2440, BgL_armed2657z00_2321); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2443;
BgL_auxz00_2443 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_2286, BgL_auxz00_2443, BgL_handler2654z00_2322); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2446;
BgL_auxz00_2446 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_2286, BgL_auxz00_2446, BgL_rhandler2655z00_2323); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2449;
BgL_auxz00_2449 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_2286, BgL_auxz00_2449, BgL_escapez00_2284); } 
BgL_res2668z00_1235 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32676ze3z83_2286, BgL_body2656z00_2324, BgL_zc3anonymousza32677ze3z83_2282); } 
POP_EXIT(); 
return BgL_res2668z00_1235;} } } } 
} } 
}



/* _write-ast */
obj_t BGl__writezd2astzd2zzwrite_astz00(obj_t BgL_envz00_2288, obj_t BgL_globalsz00_2289)
{ AN_OBJECT;
{ /* Write/ast.scm 29 */
return 
BGl_writezd2astzd2zzwrite_astz00(BgL_globalsz00_2289);} 
}



/* <anonymous:2677> */
obj_t BGl_zc3anonymousza32677ze3z83zzwrite_astz00(obj_t BgL_envz00_2290)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
{ /* Write/ast.scm 48 */
obj_t BgL_armed2657z00_2291;
{ /* Write/ast.scm 48 */
int BgL_auxz00_2455;
BgL_auxz00_2455 = 
(int)(((long)0)); 
BgL_armed2657z00_2291 = 
PROCEDURE_REF(BgL_envz00_2290, BgL_auxz00_2455); } 
{ 

{ /* Write/ast.scm 48 */
bool_t BgL_testz00_2458;
{ /* Write/ast.scm 48 */
obj_t BgL_auxz00_2459;
BgL_auxz00_2459 = 
CELL_REF(BgL_armed2657z00_2291); 
BgL_testz00_2458 = 
CBOOL(BgL_auxz00_2459); } 
if(BgL_testz00_2458)
{ /* Write/ast.scm 48 */
CELL_SET(BgL_armed2657z00_2291, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Write/ast.scm 48 */
return BFALSE;} } } } } 
}



/* body2656 */
obj_t BGl_body2656z00zzwrite_astz00(obj_t BgL_envz00_2293)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
{ /* Write/ast.scm 49 */
obj_t BgL_portz00_2294;obj_t BgL_globalsz00_2295;
{ /* Write/ast.scm 49 */
int BgL_auxz00_2462;
BgL_auxz00_2462 = 
(int)(((long)0)); 
BgL_portz00_2294 = 
PROCEDURE_REF(BgL_envz00_2293, BgL_auxz00_2462); } 
{ /* Write/ast.scm 49 */
int BgL_auxz00_2465;
BgL_auxz00_2465 = 
(int)(((long)1)); 
BgL_globalsz00_2295 = 
PROCEDURE_REF(BgL_envz00_2293, BgL_auxz00_2465); } 
{ 

if(
CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
{ /* Write/ast.scm 49 */BFALSE; }  else 
{ /* Write/ast.scm 49 */
BGl_za2ppzd2caseza2zd2zz__ppz00 = 
CNST_TABLE_REF(((long)0)); } 
{ /* Write/ast.scm 52 */
obj_t BgL_arg2680z00_1248;
BgL_arg2680z00_1248 = 
string_append_3(BGl_string2826z00zzwrite_astz00, BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2827z00zzwrite_astz00); 
BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(BgL_portz00_2294, BgL_arg2680z00_1248); } 
{ 
obj_t BgL_l2658z00_1249;
BgL_l2658z00_1249 = BgL_globalsz00_2295; 
BgL_lname2659z00_1250:
if(
PAIRP(BgL_l2658z00_1249))
{ /* Write/ast.scm 55 */
{ /* Write/ast.scm 57 */
obj_t BgL_gz00_1252;
BgL_gz00_1252 = 
CAR(BgL_l2658z00_1249); 
{ /* Write/ast.scm 57 */
BgL_valuez00_bglt BgL_funz00_1253;
{ /* Write/ast.scm 57 */
BgL_globalz00_bglt BgL_obj1155z00_1762;
BgL_obj1155z00_1762 = 
(BgL_globalz00_bglt)(BgL_gz00_1252); 
BgL_funz00_1253 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1762))->BgL_valuez00); } 
{ /* Write/ast.scm 58 */
obj_t BgL_arg2682z00_1254;
BgL_arg2682z00_1254 = 
BGl_shapez00zztools_shapez00(BgL_gz00_1252); 
{ /* Write/ast.scm 58 */
obj_t BgL_list2683z00_1255;
BgL_list2683z00_1255 = 
MAKE_PAIR(BgL_arg2682z00_1254, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_2294, BgL_list2683z00_1255); } } 
{ /* Write/ast.scm 60 */
obj_t BgL_arg2684z00_1256;
BgL_arg2684z00_1256 = 
BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(
(BgL_variablez00_bglt)(BgL_gz00_1252)); 
{ /* Write/ast.scm 59 */
obj_t BgL_list2685z00_1257;
BgL_list2685z00_1257 = 
MAKE_PAIR(BgL_arg2684z00_1256, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_2294, BgL_list2685z00_1257); } } 
{ /* Write/ast.scm 61 */
obj_t BgL_arg2686z00_1258;
BgL_arg2686z00_1258 = 
BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(
(BgL_globalz00_bglt)(BgL_gz00_1252)); 
{ /* Write/ast.scm 61 */
obj_t BgL_list2687z00_1259;
BgL_list2687z00_1259 = 
MAKE_PAIR(BgL_arg2686z00_1258, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_2294, BgL_list2687z00_1259); } } 
{ /* Write/ast.scm 62 */
obj_t BgL_arg2688z00_1260;
{ /* Write/ast.scm 62 */
obj_t BgL_arg2690z00_1262;obj_t BgL_arg2691z00_1263;
{ /* Write/ast.scm 62 */
obj_t BgL_casezd2valuezd2_1264;
{ /* Write/ast.scm 62 */
BgL_sfunz00_bglt BgL_obj1376z00_1763;
BgL_obj1376z00_1763 = 
(BgL_sfunz00_bglt)(BgL_funz00_1253); 
BgL_casezd2valuezd2_1264 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1763))->BgL_classz00); } 
{ /* Write/ast.scm 62 */
bool_t BgL_testz00_2491;
{ /* Write/ast.scm 62 */
obj_t BgL_auxz00_2492;
BgL_auxz00_2492 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_2491 = 
(BgL_casezd2valuezd2_1264==BgL_auxz00_2492); } 
if(BgL_testz00_2491)
{ /* Write/ast.scm 62 */
BgL_arg2690z00_1262 = 
CNST_TABLE_REF(((long)2)); }  else 
{ /* Write/ast.scm 62 */
bool_t BgL_testz00_2496;
{ /* Write/ast.scm 62 */
obj_t BgL_auxz00_2497;
BgL_auxz00_2497 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_2496 = 
(BgL_casezd2valuezd2_1264==BgL_auxz00_2497); } 
if(BgL_testz00_2496)
{ /* Write/ast.scm 62 */
BgL_arg2690z00_1262 = 
CNST_TABLE_REF(((long)4)); }  else 
{ /* Write/ast.scm 62 */
bool_t BgL_testz00_2501;
{ /* Write/ast.scm 62 */
obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_2501 = 
(BgL_casezd2valuezd2_1264==BgL_auxz00_2502); } 
if(BgL_testz00_2501)
{ /* Write/ast.scm 62 */
BgL_arg2690z00_1262 = 
CNST_TABLE_REF(((long)6)); }  else 
{ /* Write/ast.scm 62 */
BgL_arg2690z00_1262 = 
CNST_TABLE_REF(((long)7)); } } } } } 
{ /* Write/ast.scm 71 */
obj_t BgL_arg2695z00_1268;obj_t BgL_arg2696z00_1269;
{ /* Write/ast.scm 71 */
obj_t BgL_arg2697z00_1270;obj_t BgL_arg2698z00_1271;
BgL_arg2697z00_1270 = 
BGl_shapez00zztools_shapez00(BgL_gz00_1252); 
{ /* Write/ast.scm 73 */
obj_t BgL_arg2699z00_1272;long BgL_arg2700z00_1273;
{ /* Write/ast.scm 73 */
obj_t BgL_l2660z00_1274;
{ /* Write/ast.scm 73 */
BgL_sfunz00_bglt BgL_obj1369z00_1764;
BgL_obj1369z00_1764 = 
(BgL_sfunz00_bglt)(BgL_funz00_1253); 
BgL_l2660z00_1274 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1764))->BgL_argsz00); } 
if(
NULLP(BgL_l2660z00_1274))
{ /* Write/ast.scm 73 */
BgL_arg2699z00_1272 = BNIL; }  else 
{ /* Write/ast.scm 73 */
obj_t BgL_head2662z00_1276;
{ /* Write/ast.scm 73 */
obj_t BgL_arg2708z00_1287;
BgL_arg2708z00_1287 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_l2660z00_1274)); 
BgL_head2662z00_1276 = 
MAKE_PAIR(BgL_arg2708z00_1287, BNIL); } 
{ 
obj_t BgL_l2660z00_1277;obj_t BgL_tail2663z00_1278;
BgL_l2660z00_1277 = 
CDR(BgL_l2660z00_1274); 
BgL_tail2663z00_1278 = BgL_head2662z00_1276; 
BgL_lname2661z00_1279:
if(
NULLP(BgL_l2660z00_1277))
{ /* Write/ast.scm 73 */
BgL_arg2699z00_1272 = BgL_head2662z00_1276; }  else 
{ /* Write/ast.scm 73 */
obj_t BgL_newtail2664z00_1282;
{ /* Write/ast.scm 73 */
obj_t BgL_arg2705z00_1284;
BgL_arg2705z00_1284 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_l2660z00_1277)); 
BgL_newtail2664z00_1282 = 
MAKE_PAIR(BgL_arg2705z00_1284, BNIL); } 
SET_CDR(BgL_tail2663z00_1278, BgL_newtail2664z00_1282); 
{ 
obj_t BgL_tail2663z00_2523;obj_t BgL_l2660z00_2521;
BgL_l2660z00_2521 = 
CDR(BgL_l2660z00_1277); 
BgL_tail2663z00_2523 = BgL_newtail2664z00_1282; 
BgL_tail2663z00_1278 = BgL_tail2663z00_2523; 
BgL_l2660z00_1277 = BgL_l2660z00_2521; 
goto BgL_lname2661z00_1279;} } } } } 
{ /* Write/ast.scm 74 */
BgL_sfunz00_bglt BgL_obj1350z00_1777;
BgL_obj1350z00_1777 = 
(BgL_sfunz00_bglt)(BgL_funz00_1253); 
BgL_arg2700z00_1273 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1350z00_1777))->BgL_arityz00); } 
BgL_arg2698z00_1271 = 
BGl_argszd2listzd2ze3argsza2z41zztools_argsz00(BgL_arg2699z00_1272, 
BINT(BgL_arg2700z00_1273)); } 
BgL_arg2695z00_1268 = 
MAKE_PAIR(BgL_arg2697z00_1270, BgL_arg2698z00_1271); } 
{ /* Write/ast.scm 75 */
obj_t BgL_arg2711z00_1290;
{ /* Write/ast.scm 75 */
obj_t BgL_auxz00_2530;
{ /* Write/ast.scm 75 */
BgL_sfunz00_bglt BgL_obj1372z00_1778;
BgL_obj1372z00_1778 = 
(BgL_sfunz00_bglt)(BgL_funz00_1253); 
BgL_auxz00_2530 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1778))->BgL_bodyz00); } 
BgL_arg2711z00_1290 = 
BGl_shapez00zztools_shapez00(BgL_auxz00_2530); } 
BgL_arg2696z00_1269 = 
MAKE_PAIR(BgL_arg2711z00_1290, BNIL); } 
BgL_arg2691z00_1263 = 
MAKE_PAIR(BgL_arg2695z00_1268, BgL_arg2696z00_1269); } 
BgL_arg2688z00_1260 = 
MAKE_PAIR(BgL_arg2690z00_1262, BgL_arg2691z00_1263); } 
{ /* Write/ast.scm 62 */
obj_t BgL_list2689z00_1261;
BgL_list2689z00_1261 = 
MAKE_PAIR(BgL_portz00_2294, BNIL); 
BGl_ppz00zz__ppz00(BgL_arg2688z00_1260, BgL_list2689z00_1261); } } } } 
{ 
obj_t BgL_l2658z00_2539;
BgL_l2658z00_2539 = 
CDR(BgL_l2658z00_1249); 
BgL_l2658z00_1249 = BgL_l2658z00_2539; 
goto BgL_lname2659z00_1250;} }  else 
{ /* Write/ast.scm 55 */((bool_t)1); } } 
return 
close_output_port(BgL_portz00_2294);} } } 
}



/* <anonymous:2676> */
obj_t BGl_zc3anonymousza32676ze3z83zzwrite_astz00(obj_t BgL_envz00_2296)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
{ /* Write/ast.scm 48 */
obj_t BgL_rhandler2655z00_2300;obj_t BgL_escapez00_2301;
{ /* Write/ast.scm 48 */
int BgL_auxz00_2542;
BgL_auxz00_2542 = 
(int)(((long)3)); 
BgL_rhandler2655z00_2300 = 
PROCEDURE_REF(BgL_envz00_2296, BgL_auxz00_2542); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2545;
BgL_auxz00_2545 = 
(int)(((long)4)); 
BgL_escapez00_2301 = 
PROCEDURE_REF(BgL_envz00_2296, BgL_auxz00_2545); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler2655z00_2300, BgL_escapez00_2301);} } } 
}



/* escape */
obj_t BGl_escapez00zzwrite_astz00(obj_t BgL_envz00_2302, obj_t BgL_val2667z00_2304)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
{ /* Write/ast.scm 48 */
obj_t BgL_an_exitd2666z00_2303;
{ /* Write/ast.scm 48 */
int BgL_auxz00_2549;
BgL_auxz00_2549 = 
(int)(((long)0)); 
BgL_an_exitd2666z00_2303 = 
PROCEDURE_REF(BgL_envz00_2302, BgL_auxz00_2549); } 
{ 
obj_t BgL_val2667z00_1233;
BgL_val2667z00_1233 = BgL_val2667z00_2304; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2666z00_2303, BgL_val2667z00_1233);} } } 
}



/* rhandler2655 */
obj_t BGl_rhandler2655z00zzwrite_astz00(obj_t BgL_envz00_2305, obj_t BgL_escz00_2308, obj_t BgL_objz00_2309, obj_t BgL_procz00_2310, obj_t BgL_msgz00_2311)
{ AN_OBJECT;
{ /* Write/ast.scm 48 */
{ /* Write/ast.scm 48 */
obj_t BgL_armed2657z00_2306;obj_t BgL_handler2654z00_2307;
{ /* Write/ast.scm 48 */
int BgL_auxz00_2553;
BgL_auxz00_2553 = 
(int)(((long)0)); 
BgL_armed2657z00_2306 = 
PROCEDURE_REF(BgL_envz00_2305, BgL_auxz00_2553); } 
{ /* Write/ast.scm 48 */
int BgL_auxz00_2556;
BgL_auxz00_2556 = 
(int)(((long)1)); 
BgL_handler2654z00_2307 = 
PROCEDURE_REF(BgL_envz00_2305, BgL_auxz00_2556); } 
{ 
obj_t BgL_escz00_1242;obj_t BgL_objz00_1243;obj_t BgL_procz00_1244;obj_t BgL_msgz00_1245;
BgL_escz00_1242 = BgL_escz00_2308; 
BgL_objz00_1243 = BgL_objz00_2309; 
BgL_procz00_1244 = BgL_procz00_2310; 
BgL_msgz00_1245 = BgL_msgz00_2311; 
CELL_SET(BgL_armed2657z00_2306, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Write/ast.scm 48 */
obj_t BgL_auxz00_2561;
BgL_auxz00_2561 = 
CELL_REF(BgL_handler2654z00_2307); 
return 
PROCEDURE_ENTRY(BgL_auxz00_2561)(
CELL_REF(BgL_handler2654z00_2307), BgL_escz00_1242, BgL_objz00_1243, BgL_procz00_1244, BgL_msgz00_1245, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzwrite_astz00(obj_t BgL_envz00_2313, obj_t BgL_escapez00_2315, obj_t BgL_procz00_2316, obj_t BgL_mesz00_2317, obj_t BgL_objz00_2318)
{ AN_OBJECT;
{ /* Write/ast.scm 44 */
{ /* Write/ast.scm 45 */
obj_t BgL_portz00_2314;
{ /* Write/ast.scm 45 */
int BgL_auxz00_2562;
BgL_auxz00_2562 = 
(int)(((long)0)); 
BgL_portz00_2314 = 
PROCEDURE_REF(BgL_envz00_2313, BgL_auxz00_2562); } 
{ 
obj_t BgL_escapez00_1296;obj_t BgL_procz00_1297;obj_t BgL_mesz00_1298;obj_t BgL_objz00_1299;
BgL_escapez00_1296 = BgL_escapez00_2315; 
BgL_procz00_1297 = BgL_procz00_2316; 
BgL_mesz00_1298 = BgL_mesz00_2317; 
BgL_objz00_1299 = BgL_objz00_2318; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_1297, BgL_mesz00_1298, BgL_objz00_1299); 
close_output_port(BgL_portz00_2314); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-8)));} } } 
}



/* make-sfun-sinfo */
obj_t BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(BgL_globalz00_bglt BgL_gz00_2)
{ AN_OBJECT;
{ /* Write/ast.scm 84 */
{ /* Write/ast.scm 107 */
BgL_valuez00_bglt BgL_sfunz00_1311;
BgL_sfunz00_1311 = 
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_valuez00); 
{ /* Write/ast.scm 108 */
obj_t BgL_arg2725z00_1313;obj_t BgL_arg2727z00_1315;obj_t BgL_arg2728z00_1316;obj_t BgL_arg2730z00_1318;obj_t BgL_arg2732z00_1320;obj_t BgL_arg2734z00_1322;char * BgL_arg2735z00_1323;
if(
CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
{ /* Write/ast.scm 110 */
obj_t BgL_auxz00_2572;
BgL_auxz00_2572 = 
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_importz00); 
BgL_arg2725z00_1313 = 
SYMBOL_TO_STRING(BgL_auxz00_2572); }  else 
{ /* Write/ast.scm 111 */
obj_t BgL_arg2751z00_1339;
{ /* Write/ast.scm 111 */
obj_t BgL_auxz00_2575;
BgL_auxz00_2575 = 
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_importz00); 
BgL_arg2751z00_1339 = 
SYMBOL_TO_STRING(BgL_auxz00_2575); } 
BgL_arg2725z00_1313 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2751z00_1339); } 
{ /* Write/ast.scm 112 */
obj_t BgL_auxz00_2579;
{ /* Write/ast.scm 112 */
BgL_sfunz00_bglt BgL_obj1351z00_1790;
BgL_obj1351z00_1790 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1311); 
BgL_auxz00_2579 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1351z00_1790))->BgL_sidezd2effectzf3z21); } 
BgL_arg2727z00_1315 = 
BGl_atomzd2ze3stringz31zzwrite_astz00(BgL_auxz00_2579); } 
{ /* Write/ast.scm 113 */
obj_t BgL_tz00_1342;
{ /* Write/ast.scm 113 */
BgL_sfunz00_bglt BgL_obj1354z00_1791;
BgL_obj1354z00_1791 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1311); 
BgL_tz00_1342 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1354z00_1791))->BgL_predicatezd2ofzd2); } 
{ /* Write/ast.scm 114 */
bool_t BgL_test2754z00_1343;
BgL_test2754z00_1343 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1342, BGl_typez00zztype_typez00); 
if(BgL_test2754z00_1343)
{ /* Write/ast.scm 115 */
obj_t BgL_arg2756z00_1345;
{ /* Write/ast.scm 116 */
obj_t BgL_arg2757z00_1346;
BgL_arg2757z00_1346 = 
BGl_shapez00zztools_shapez00(BgL_tz00_1342); 
BgL_arg2756z00_1345 = 
BGl_atomzd2ze3stringz31zzwrite_astz00(BgL_arg2757z00_1346); } 
BgL_arg2728z00_1316 = 
string_append(BGl_string2828z00zzwrite_astz00, BgL_arg2756z00_1345); }  else 
{ /* Write/ast.scm 114 */
BgL_arg2728z00_1316 = BGl_string2829z00zzwrite_astz00; } } } 
BgL_arg2730z00_1318 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_occurrencez00), BNIL); 
BgL_arg2732z00_1320 = 
BGl_atomzd2ze3stringz31zzwrite_astz00(
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_removablez00)); 
{ /* Write/ast.scm 120 */
obj_t BgL_pz00_1350;
BgL_pz00_1350 = 
open_output_string(); 
{ /* Write/ast.scm 121 */
obj_t BgL_auxz00_2595;
{ /* Write/ast.scm 121 */
BgL_sfunz00_bglt BgL_obj1382z00_1795;
BgL_obj1382z00_1795 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1311); 
BgL_auxz00_2595 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1795))->BgL_locz00); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_auxz00_2595, BgL_pz00_1350); } 
BgL_arg2734z00_1322 = 
close_output_port(BgL_pz00_1350); } 
if(
(((BgL_globalz00_bglt)CREF(BgL_gz00_2))->BgL_userzf3zf3))
{ /* Write/ast.scm 123 */
BgL_arg2735z00_1323 = "  user?: #t"; }  else 
{ /* Write/ast.scm 123 */
BgL_arg2735z00_1323 = "  user?: #f"; } 
{ /* Write/ast.scm 108 */
obj_t BgL_list2737z00_1325;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2738z00_1326;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2739z00_1327;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2740z00_1328;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2741z00_1329;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2742z00_1330;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2743z00_1331;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2744z00_1332;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2745z00_1333;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2746z00_1334;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2747z00_1335;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2748z00_1336;
{ /* Write/ast.scm 108 */
obj_t BgL_arg2749z00_1337;
BgL_arg2749z00_1337 = 
MAKE_PAIR(BGl_string2830z00zzwrite_astz00, BNIL); 
{ /* Write/ast.scm 108 */
obj_t BgL_auxz00_2603;
BgL_auxz00_2603 = 
string_to_bstring(BgL_arg2735z00_1323); 
BgL_arg2748z00_1336 = 
MAKE_PAIR(BgL_auxz00_2603, BgL_arg2749z00_1337); } } 
BgL_arg2747z00_1335 = 
MAKE_PAIR(BgL_arg2734z00_1322, BgL_arg2748z00_1336); } 
BgL_arg2746z00_1334 = 
MAKE_PAIR(BGl_string2831z00zzwrite_astz00, BgL_arg2747z00_1335); } 
BgL_arg2745z00_1333 = 
MAKE_PAIR(BgL_arg2732z00_1320, BgL_arg2746z00_1334); } 
BgL_arg2744z00_1332 = 
MAKE_PAIR(BGl_string2832z00zzwrite_astz00, BgL_arg2745z00_1333); } 
BgL_arg2743z00_1331 = 
MAKE_PAIR(BgL_arg2730z00_1318, BgL_arg2744z00_1332); } 
BgL_arg2742z00_1330 = 
MAKE_PAIR(BGl_string2833z00zzwrite_astz00, BgL_arg2743z00_1331); } 
BgL_arg2741z00_1329 = 
MAKE_PAIR(BgL_arg2728z00_1316, BgL_arg2742z00_1330); } 
BgL_arg2740z00_1328 = 
MAKE_PAIR(BgL_arg2727z00_1315, BgL_arg2741z00_1329); } 
BgL_arg2739z00_1327 = 
MAKE_PAIR(BGl_string2834z00zzwrite_astz00, BgL_arg2740z00_1328); } 
BgL_arg2738z00_1326 = 
MAKE_PAIR(BgL_arg2725z00_1313, BgL_arg2739z00_1327); } 
BgL_list2737z00_1325 = 
MAKE_PAIR(BGl_string2835z00zzwrite_astz00, BgL_arg2738z00_1326); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2737z00_1325);} } } } 
}



/* atom->string */
obj_t BGl_atomzd2ze3stringz31zzwrite_astz00(obj_t BgL_atomz00_1353)
{ AN_OBJECT;
{ /* Write/ast.scm 106 */
{ 

{ /* Write/ast.scm 86 */
long BgL_aux2671z00_1356;
if(
CNSTP(BgL_atomz00_1353))
{ /* Write/ast.scm 86 */
BgL_aux2671z00_1356 = 
CCNST(BgL_atomz00_1353); }  else 
{ /* Write/ast.scm 86 */
BgL_aux2671z00_1356 = ((long)-1); } 
switch( BgL_aux2671z00_1356) { case ((long)2) : 

return BGl_string2836z00zzwrite_astz00;break;case ((long)1) : 

return BGl_string2837z00zzwrite_astz00;break;case ((long)3) : 

return BGl_string2838z00zzwrite_astz00;break;
default: 
if(
SYMBOLP(BgL_atomz00_1353))
{ /* Write/ast.scm 95 */
if(
CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
{ /* Write/ast.scm 96 */
return 
SYMBOL_TO_STRING(BgL_atomz00_1353);}  else 
{ /* Write/ast.scm 98 */
obj_t BgL_arg2767z00_1361;
BgL_arg2767z00_1361 = 
SYMBOL_TO_STRING(BgL_atomz00_1353); 
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2767z00_1361);} }  else 
{ /* Write/ast.scm 99 */
bool_t BgL_testz00_2628;
if(
INTEGERP(BgL_atomz00_1353))
{ /* Write/ast.scm 99 */
BgL_testz00_2628 = ((bool_t)1)
; }  else 
{ /* Write/ast.scm 99 */
BgL_testz00_2628 = 
REALP(BgL_atomz00_1353)
; } 
if(BgL_testz00_2628)
{ /* Write/ast.scm 99 */
{ /* Write/ast.scm 100 */
char * BgL_auxz00_2632;
BgL_auxz00_2632 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_atomz00_1353, BNIL); 
return 
string_to_bstring(BgL_auxz00_2632);} }  else 
{ /* Write/ast.scm 99 */
if(
STRINGP(BgL_atomz00_1353))
{ /* Write/ast.scm 101 */
return BgL_atomz00_1353;}  else 
{ /* Write/ast.scm 101 */
{ /* Write/ast.scm 104 */
obj_t BgL_pz00_1365;
BgL_pz00_1365 = 
open_output_string(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_atomz00_1353, BgL_pz00_1365); 
return 
close_output_port(BgL_pz00_1365);} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzwrite_astz00()
{ AN_OBJECT;
{ /* Write/ast.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzwrite_astz00()
{ AN_OBJECT;
{ /* Write/ast.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "write_ast"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "write_ast"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "write_ast"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "write_ast"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "write_ast"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "write_ast"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "write_ast"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "write_ast"); 
BGl_modulezd2initializa7ationz75zzwrite_schemez00(((long)16825), "write_ast"); 
BGl_modulezd2initializa7ationz75zztype_pptypez00(((long)36579), "write_ast"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "write_ast"); 
return 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "write_ast");} 
}

