/*===========================================================================*/
/*   (Ast/check-sharing.scm)                                                 */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
static obj_t BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2appzd2ly2916z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2939zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_checkzd2nodezd2sharingzd2funcall2918zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2conditional2926zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2setq2924zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2select2930zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2(BgL_nodez00_bglt, obj_t);
extern obj_t current_output_port;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_checkzd2nodezd2sharingzd2makezd2box2941z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2app2914zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2cast2922zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BUNSPEC;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2letzd2fun2932z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2936zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
extern obj_t BGl_valuez00zzast_varz00;
static obj_t BGl_checkzd2nodezd2sharingzd2extern2920zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2sequence2912zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2letzd2var2934z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 = BUNSPEC;
static obj_t BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2fail2928zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2boxzd2setz122943z12zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_GENERIC( BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2nodeza7d2sharingza700za7za7ast_checkza7d2sharingza7d23231za7, BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string3226z00zzast_checkzd2sharingzd2, BgL_bgl_string3226za700za7za7ast_checkza7d2sharingza7d23232za7, "done pass-started ", 18 );
DEFINE_STRING( BGl_string3225z00zzast_checkzd2sharingzd2, BgL_bgl_string3225za700za7za7ast_checkza7d2sharingza7d23233za7, "================================", 32 );
DEFINE_STRING( BGl_string3224z00zzast_checkzd2sharingzd2, BgL_bgl_string3224za700za7za7ast_checkza7d2sharingza7d23234za7, "context : ", 10 );
DEFINE_STRING( BGl_string3223z00zzast_checkzd2sharingzd2, BgL_bgl_string3223za700za7za7ast_checkza7d2sharingza7d23235za7, "node    : ", 10 );
DEFINE_STRING( BGl_string3222z00zzast_checkzd2sharingzd2, BgL_bgl_string3222za700za7za7ast_checkza7d2sharingza7d23236za7, "shared node", 11 );
DEFINE_STRING( BGl_string3221z00zzast_checkzd2sharingzd2, BgL_bgl_string3221za700za7za7ast_checkza7d2sharingza7d23237za7, "check-node-sharing", 18 );
DEFINE_STRING( BGl_string3199z00zzast_checkzd2sharingzd2, BgL_bgl_string3199za700za7za7ast_checkza7d2sharingza7d23238za7, ")", 1 );
DEFINE_STRING( BGl_string3198z00zzast_checkzd2sharingzd2, BgL_bgl_string3198za700za7za7ast_checkza7d2sharingza7d23239za7, "Check sharing (", 15 );
DEFINE_STRING( BGl_string3204z00zzast_checkzd2sharingzd2, BgL_bgl_string3204za700za7za7ast_checkza7d2sharingza7d23240za7, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3203z00zzast_checkzd2sharingzd2, BgL_bgl_string3203za700za7za7ast_checkza7d2sharingza7d23241za7, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3202z00zzast_checkzd2sharingzd2, BgL_bgl_string3202za700za7za7ast_checkza7d2sharingza7d23242za7, " error", 6 );
DEFINE_STRING( BGl_string3201z00zzast_checkzd2sharingzd2, BgL_bgl_string3201za700za7za7ast_checkza7d2sharingza7d23243za7, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3200z00zzast_checkzd2sharingzd2, BgL_bgl_string3200za700za7za7ast_checkza7d2sharingza7d23244za7, "   . ", 5 );
DEFINE_STATIC_PROCEDURE( BGl_proc3205z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2sequence2912za7d2za7za7ast_checkza7d2sharingza7d23245z00, BGl_checkzd2nodezd2sharingzd2sequence2912zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3206z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2app2914za7d2za7za7ast_checkza7d2sharingza7d23246z00, BGl_checkzd2nodezd2sharingzd2app2914zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3207z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2appza7d2ly2916za700za7za7ast_checkza7d2sharingza7d23247za7, BGl_checkzd2nodezd2sharingzd2appzd2ly2916z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3208z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2funcall2918za7d2za7za7ast_checkza7d2sharingza7d23248z00, BGl_checkzd2nodezd2sharingzd2funcall2918zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3210z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2cast2922za7d2za7za7ast_checkza7d2sharingza7d23249z00, BGl_checkzd2nodezd2sharingzd2cast2922zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3209z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2extern2920za7d2za7za7ast_checkza7d2sharingza7d23250z00, BGl_checkzd2nodezd2sharingzd2extern2920zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3211z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2setq2924za7d2za7za7ast_checkza7d2sharingza7d23251z00, BGl_checkzd2nodezd2sharingzd2setq2924zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3212z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2conditional2926za7d2za7za7ast_checkza7d2sharingza7d23252z00, BGl_checkzd2nodezd2sharingzd2conditional2926zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3213z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2fail2928za7d2za7za7ast_checkza7d2sharingza7d23253z00, BGl_checkzd2nodezd2sharingzd2fail2928zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3214z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2select2930za7d2za7za7ast_checkza7d2sharingza7d23254z00, BGl_checkzd2nodezd2sharingzd2select2930zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3215z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2letza7d2fun2932za700za7za7ast_checkza7d2sharingza7d23255za7, BGl_checkzd2nodezd2sharingzd2letzd2fun2932z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3216z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2letza7d2var2934za700za7za7ast_checkza7d2sharingza7d23256za7, BGl_checkzd2nodezd2sharingzd2letzd2var2934z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3217z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2setza7d2exza7d2it2936za7d2za7za7ast_checkza7d2sharingza7d23257z00, BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2936zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3218z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2jumpza7d2exza7d2it2939za7d2za7za7ast_checkza7d2sharingza7d23258z00, BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2939zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3220z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2boxza7d2setza7122943za712za7za7ast_checkza7d2sharingza7d23259z00, BGl_checkzd2nodezd2sharingzd2boxzd2setz122943z12zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3219z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2makeza7d2box2941za700za7za7ast_checkza7d2sharingza7d23260za7, BGl_checkzd2nodezd2sharingzd2makezd2box2941z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2sharingzd2envz00zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2sharingza7d2za7za7ast_checkza7d2sharingza7d23261z00, BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_checkzd2nodezd2sharingzd2default2909zd2envz00zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2nodeza7d2sharingza7d2default2909za7d2za7za7ast_checkza7d2sharingza7d23262z00, BGl__checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long BgL_checksumz00_3946, char * BgL_fromz00_3947)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2))
{ 
BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2(); 
BGl_cnstzd2initzd2zzast_checkzd2sharingzd2(); 
BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2(); 
BGl_methodzd2initzd2zzast_checkzd2sharingzd2(); 
BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_check-sharing"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_cportz00_3939;
BgL_cportz00_3939 = 
open_input_string(BGl_string3226z00zzast_checkzd2sharingzd2); 
{ 
long BgL_iz00_3940;
BgL_iz00_3940 = ((long)1); 
BgL_loopz00_3941:
if(
(BgL_iz00_3940==((long)-1)))
{ /* Ast/check-sharing.scm 17 */
return BUNSPEC;}  else 
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_arg3228z00_3943;
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_list3229z00_3944;
BgL_list3229z00_3944 = 
MAKE_PAIR(BgL_cportz00_3939, BNIL); 
BgL_arg3228z00_3943 = 
BGl_readz00zz__readerz00(BgL_list3229z00_3944); } 
{ /* Ast/check-sharing.scm 17 */
int BgL_auxz00_3967;
BgL_auxz00_3967 = 
(int)(BgL_iz00_3940); 
CNST_TABLE_SET(BgL_auxz00_3967, BgL_arg3228z00_3943); } } 
{ 
long BgL_iz00_3970;
{ /* Ast/check-sharing.scm 17 */
int BgL_auxz00_3971;
{ /* Ast/check-sharing.scm 17 */
long BgL_auxz00_3972;
BgL_auxz00_3972 = 
(BgL_iz00_3940-((long)1)); 
BgL_auxz00_3971 = 
(int)(BgL_auxz00_3972); } 
BgL_iz00_3970 = 
(long)(BgL_auxz00_3971); } 
BgL_iz00_3940 = BgL_iz00_3970; 
goto BgL_loopz00_3941;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL; 
return BUNSPEC;} 
}



/* check-sharing */
obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t BgL_whenz00_19, obj_t BgL_globalsz00_20)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 36 */
if(
CBOOL(BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00))
{ /* Ast/check-sharing.scm 37 */
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_arg2955z00_1478;
BgL_arg2955z00_1478 = 
string_append_3(BGl_string3198z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string3199z00zzast_checkzd2sharingzd2); 
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_list2956z00_1479;
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_arg2957z00_1480;
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_arg2958z00_1481;
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_auxz00_3979;
BgL_auxz00_3979 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2958z00_1481 = 
MAKE_PAIR(BgL_auxz00_3979, BNIL); } 
BgL_arg2957z00_1480 = 
MAKE_PAIR(BgL_arg2955z00_1478, BgL_arg2958z00_1481); } 
BgL_list2956z00_1479 = 
MAKE_PAIR(BGl_string3200z00zzast_checkzd2sharingzd2, BgL_arg2957z00_1480); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2956z00_1479); } } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = 
string_append_3(BGl_string3198z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string3199z00zzast_checkzd2sharingzd2); 
{ 
obj_t BgL_hooksz00_1482;obj_t BgL_hnamesz00_1483;
BgL_hooksz00_1482 = BNIL; 
BgL_hnamesz00_1483 = BNIL; 
BgL_loopz00_1484:
if(
NULLP(BgL_hooksz00_1482))
{ /* Ast/check-sharing.scm 39 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Ast/check-sharing.scm 39 */
bool_t BgL_test2963z00_1489;
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_fun2969z00_1495;
BgL_fun2969z00_1495 = 
CAR(BgL_hooksz00_1482); 
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_auxz00_3992;
BgL_auxz00_3992 = 
PROCEDURE_ENTRY(BgL_fun2969z00_1495)(BgL_fun2969z00_1495, BEOA); 
BgL_test2963z00_1489 = 
CBOOL(BgL_auxz00_3992); } } 
if(BgL_test2963z00_1489)
{ /* Ast/check-sharing.scm 39 */
{ 
obj_t BgL_hnamesz00_3999;obj_t BgL_hooksz00_3997;
BgL_hooksz00_3997 = 
CDR(BgL_hooksz00_1482); 
BgL_hnamesz00_3999 = 
CDR(BgL_hnamesz00_1483); 
BgL_hnamesz00_1483 = BgL_hnamesz00_3999; 
BgL_hooksz00_1482 = BgL_hooksz00_3997; 
goto BgL_loopz00_1484;} }  else 
{ /* Ast/check-sharing.scm 39 */
{ /* Ast/check-sharing.scm 39 */
obj_t BgL_arg2966z00_1492;obj_t BgL_arg2968z00_1494;
BgL_arg2966z00_1492 = 
string_append_3(BGl_string3198z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string3199z00zzast_checkzd2sharingzd2); 
BgL_arg2968z00_1494 = 
CAR(BgL_hnamesz00_1483); 
BGl_internalzd2errorzd2zztools_errorz00(BgL_arg2966z00_1492, BGl_string3201z00zzast_checkzd2sharingzd2, BgL_arg2968z00_1494); } } } } 
{ 
obj_t BgL_l2878z00_1496;
BgL_l2878z00_1496 = BgL_globalsz00_20; 
BgL_lname2879z00_1497:
if(
PAIRP(BgL_l2878z00_1496))
{ /* Ast/check-sharing.scm 40 */
{ /* Ast/check-sharing.scm 41 */

{ /* Ast/check-sharing.scm 41 */
BgL_nodez00_bglt BgL_auxz00_4006;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_auxz00_4007;
{ /* Ast/check-sharing.scm 41 */
BgL_sfunz00_bglt BgL_obj1284z00_2144;
{ /* Ast/check-sharing.scm 41 */
BgL_valuez00_bglt BgL_auxz00_4008;
{ /* Ast/check-sharing.scm 41 */
BgL_variablez00_bglt BgL_obj1015z00_2143;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_auxz00_4009;
BgL_auxz00_4009 = 
CAR(BgL_l2878z00_1496); 
BgL_obj1015z00_2143 = 
(BgL_variablez00_bglt)(BgL_auxz00_4009); } 
BgL_auxz00_4008 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1015z00_2143))->BgL_valuez00); } 
BgL_obj1284z00_2144 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4008); } 
BgL_auxz00_4007 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_2144))->BgL_bodyz00); } 
BgL_auxz00_4006 = 
(BgL_nodez00_bglt)(BgL_auxz00_4007); } 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_auxz00_4006, BUNSPEC); } } 
{ 
obj_t BgL_l2878z00_4017;
BgL_l2878z00_4017 = 
CDR(BgL_l2878z00_1496); 
BgL_l2878z00_1496 = BgL_l2878z00_4017; 
goto BgL_lname2879z00_1497;} }  else 
{ /* Ast/check-sharing.scm 40 */((bool_t)1); } } 
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL; 
{ /* Ast/check-sharing.scm 44 */
bool_t BgL_test2972z00_1502;
{ /* Ast/check-sharing.scm 44 */
long BgL_n1z00_2146;
BgL_n1z00_2146 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2972z00_1502 = 
(BgL_n1z00_2146>((long)0)); } 
if(BgL_test2972z00_1502)
{ /* Ast/check-sharing.scm 44 */
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_list2973z00_1504;
BgL_list2973z00_1504 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2973z00_1504); } 
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_list2974z00_1505;
BgL_list2974z00_1505 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3202z00zzast_checkzd2sharingzd2, BgL_list2974z00_1505); } 
{ /* Ast/check-sharing.scm 44 */
char * BgL_arg2975z00_1506;
{ /* Ast/check-sharing.scm 44 */
bool_t BgL_test2977z00_1508;
{ /* Ast/check-sharing.scm 44 */
bool_t BgL_test2978z00_1509;
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_objz00_2148;
BgL_objz00_2148 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2978z00_1509 = 
INTEGERP(BgL_objz00_2148); } 
if(BgL_test2978z00_1509)
{ /* Ast/check-sharing.scm 44 */
BgL_test2977z00_1508 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Ast/check-sharing.scm 44 */
BgL_test2977z00_1508 = ((bool_t)0); } } 
if(BgL_test2977z00_1508)
{ /* Ast/check-sharing.scm 44 */
BgL_arg2975z00_1506 = "s"; }  else 
{ /* Ast/check-sharing.scm 44 */
BgL_arg2975z00_1506 = ""; } } 
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_list2976z00_1507;
BgL_list2976z00_1507 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2975z00_1506), BgL_list2976z00_1507); } } 
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_list2979z00_1510;
BgL_list2979z00_1510 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3203z00zzast_checkzd2sharingzd2, BgL_list2979z00_1510); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_list2980z00_1511;
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_auxz00_4037;
BgL_auxz00_4037 = 
BINT(((long)-1)); 
BgL_list2980z00_1511 = 
MAKE_PAIR(BgL_auxz00_4037, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2980z00_1511);} }  else 
{ 
obj_t BgL_hooksz00_1512;obj_t BgL_hnamesz00_1513;
BgL_hooksz00_1512 = BNIL; 
BgL_hnamesz00_1513 = BNIL; 
BgL_loopz00_1514:
if(
NULLP(BgL_hooksz00_1512))
{ /* Ast/check-sharing.scm 44 */
return BgL_globalsz00_20;}  else 
{ /* Ast/check-sharing.scm 44 */
bool_t BgL_test2985z00_1519;
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_fun2990z00_1524;
BgL_fun2990z00_1524 = 
CAR(BgL_hooksz00_1512); 
{ /* Ast/check-sharing.scm 44 */
obj_t BgL_auxz00_4044;
BgL_auxz00_4044 = 
PROCEDURE_ENTRY(BgL_fun2990z00_1524)(BgL_fun2990z00_1524, BEOA); 
BgL_test2985z00_1519 = 
CBOOL(BgL_auxz00_4044); } } 
if(BgL_test2985z00_1519)
{ /* Ast/check-sharing.scm 44 */
{ 
obj_t BgL_hnamesz00_4051;obj_t BgL_hooksz00_4049;
BgL_hooksz00_4049 = 
CDR(BgL_hooksz00_1512); 
BgL_hnamesz00_4051 = 
CDR(BgL_hnamesz00_1513); 
BgL_hnamesz00_1513 = BgL_hnamesz00_4051; 
BgL_hooksz00_1512 = BgL_hooksz00_4049; 
goto BgL_loopz00_1514;} }  else 
{ /* Ast/check-sharing.scm 44 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3204z00zzast_checkzd2sharingzd2, 
CAR(BgL_hnamesz00_1513));} } } } }  else 
{ /* Ast/check-sharing.scm 37 */
return BFALSE;} } 
}



/* _check-sharing */
obj_t BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3865, obj_t BgL_whenz00_3866, obj_t BgL_globalsz00_3867)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 36 */
return 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BgL_whenz00_3866, BgL_globalsz00_3867);} 
}



/* check-node-sharing* */
bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t BgL_nodeza2za2_59, obj_t BgL_contextz00_60)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 218 */
{ 
obj_t BgL_l2907z00_1527;
BgL_l2907z00_1527 = BgL_nodeza2za2_59; 
BgL_lname2908z00_1528:
if(
PAIRP(BgL_l2907z00_1527))
{ /* Ast/check-sharing.scm 219 */
{ /* Ast/check-sharing.scm 219 */
BgL_nodez00_bglt BgL_nodez00_2190;
{ /* Ast/check-sharing.scm 219 */
obj_t BgL_auxz00_4058;
BgL_auxz00_4058 = 
CAR(BgL_l2907z00_1527); 
BgL_nodez00_2190 = 
(BgL_nodez00_bglt)(BgL_auxz00_4058); } 
{ /* Ast/check-sharing.scm 219 */
obj_t BgL_method2910z00_2192;
{ /* Ast/check-sharing.scm 219 */
long BgL_objzd2classzd2numz00_2194;
{ /* Ast/check-sharing.scm 219 */
BgL_objectz00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_nodez00_2190); 
BgL_objzd2classzd2numz00_2194 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4061); } 
{ /* Ast/check-sharing.scm 219 */
obj_t BgL_arg1221z00_2195;
{ /* Ast/check-sharing.scm 219 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)1)); 
BgL_arg1221z00_2195 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4064); } 
{ /* Ast/check-sharing.scm 219 */
long BgL_offsetz00_2199;
{ /* Ast/check-sharing.scm 219 */
long BgL_auxz00_4067;
{ /* Ast/check-sharing.scm 219 */
int BgL_auxz00_4068;
BgL_auxz00_4068 = 
(int)(BgL_objzd2classzd2numz00_2194); 
BgL_auxz00_4067 = 
(long)(BgL_auxz00_4068); } 
BgL_offsetz00_2199 = 
(BgL_auxz00_4067-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 219 */
long BgL_modz00_2200;
{ /* Ast/check-sharing.scm 219 */
long BgL_auxz00_4072;
{ /* Ast/check-sharing.scm 219 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)8)); 
BgL_auxz00_4072 = 
(long)(BgL_auxz00_4073); } 
BgL_modz00_2200 = 
(BgL_offsetz00_2199/BgL_auxz00_4072); } 
{ /* Ast/check-sharing.scm 219 */
long BgL_restz00_2202;
{ /* Ast/check-sharing.scm 219 */
long BgL_auxz00_4077;
{ /* Ast/check-sharing.scm 219 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)8)); 
BgL_auxz00_4077 = 
(long)(BgL_auxz00_4078); } 
BgL_restz00_2202 = 
(BgL_offsetz00_2199%BgL_auxz00_4077); } 
{ /* Ast/check-sharing.scm 219 */

{ /* Ast/check-sharing.scm 219 */
obj_t BgL_bucketz00_2204;
{ /* Ast/check-sharing.scm 219 */
int BgL_kz00_2214;
BgL_kz00_2214 = 
(int)(BgL_modz00_2200); 
BgL_bucketz00_2204 = 
VECTOR_REF(BgL_arg1221z00_2195,BgL_kz00_2214); } 
{ /* Ast/check-sharing.scm 219 */
int BgL_kz00_2216;
BgL_kz00_2216 = 
(int)(BgL_restz00_2202); 
BgL_method2910z00_2192 = 
VECTOR_REF(BgL_bucketz00_2204,BgL_kz00_2216); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2192)(BgL_method2910z00_2192, 
(obj_t)(BgL_nodez00_2190), BgL_contextz00_60, BEOA); } } 
{ 
obj_t BgL_l2907z00_4089;
BgL_l2907z00_4089 = 
CDR(BgL_l2907z00_1527); 
BgL_l2907z00_1527 = BgL_l2907z00_4089; 
goto BgL_lname2908z00_1528;} }  else 
{ /* Ast/check-sharing.scm 219 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_checkzd2nodezd2sharingzd2default2909zd2envz00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_sequencez00zzast_nodez00, BGl_proc3205z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appz00zzast_nodez00, BGl_proc3206z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3207z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_funcallz00zzast_nodez00, BGl_proc3208z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_externz00zzast_nodez00, BGl_proc3209z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_castz00zzast_nodez00, BGl_proc3210z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setqz00zzast_nodez00, BGl_proc3211z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_conditionalz00zzast_nodez00, BGl_proc3212z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_failz00zzast_nodez00, BGl_proc3213z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_selectz00zzast_nodez00, BGl_proc3214z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2funzd2zzast_nodez00, BGl_proc3215z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2varzd2zzast_nodez00, BGl_proc3216z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3217z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3218z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3219z00zzast_checkzd2sharingzd2); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3220z00zzast_checkzd2sharingzd2);} 
}



/* check-node-sharing-box-set!2943 */
obj_t BGl_checkzd2nodezd2sharingzd2boxzd2setz122943z12zzast_checkzd2sharingzd2(obj_t BgL_envz00_3887, obj_t BgL_nodez00_3888, obj_t BgL_contextz00_3889)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 210 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2090;obj_t BgL_contextz00_2091;
BgL_nodez00_2090 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3888); 
BgL_contextz00_2091 = BgL_contextz00_3889; 
{ 

{ /* Ast/check-sharing.scm 210 */
obj_t BgL_nextzd2method2942zd2_2096;
BgL_nextzd2method2942zd2_2096 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2090), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_boxzd2setz12zc0zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2942zd2_2096))
{ /* Ast/check-sharing.scm 210 */
PROCEDURE_ENTRY(BgL_nextzd2method2942zd2_2096)(BgL_nextzd2method2942zd2_2096, 
(obj_t)(BgL_nodez00_2090), BgL_contextz00_2091, BEOA); }  else 
{ /* Ast/check-sharing.scm 210 */
{ /* Ast/check-sharing.scm 210 */
BgL_nodez00_bglt BgL_nodez00_3809;
BgL_nodez00_3809 = 
(BgL_nodez00_bglt)(BgL_nodez00_2090); 
{ /* Ast/check-sharing.scm 210 */
obj_t BgL_method2910z00_3811;
{ /* Ast/check-sharing.scm 210 */
long BgL_objzd2classzd2numz00_3813;
{ /* Ast/check-sharing.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4116;
BgL_auxz00_4116 = 
(BgL_objectz00_bglt)(BgL_nodez00_3809); 
BgL_objzd2classzd2numz00_3813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4116); } 
{ /* Ast/check-sharing.scm 210 */
obj_t BgL_arg1221z00_3814;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)1)); 
BgL_arg1221z00_3814 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4119); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_offsetz00_3818;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4122;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(BgL_objzd2classzd2numz00_3813); 
BgL_auxz00_4122 = 
(long)(BgL_auxz00_4123); } 
BgL_offsetz00_3818 = 
(BgL_auxz00_4122-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_modz00_3819;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4127;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4128;
BgL_auxz00_4128 = 
(int)(((long)8)); 
BgL_auxz00_4127 = 
(long)(BgL_auxz00_4128); } 
BgL_modz00_3819 = 
(BgL_offsetz00_3818/BgL_auxz00_4127); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_restz00_3821;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4132;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4133;
BgL_auxz00_4133 = 
(int)(((long)8)); 
BgL_auxz00_4132 = 
(long)(BgL_auxz00_4133); } 
BgL_restz00_3821 = 
(BgL_offsetz00_3818%BgL_auxz00_4132); } 
{ /* Ast/check-sharing.scm 210 */

{ /* Ast/check-sharing.scm 210 */
obj_t BgL_bucketz00_3823;
{ /* Ast/check-sharing.scm 210 */
int BgL_kz00_3833;
BgL_kz00_3833 = 
(int)(BgL_modz00_3819); 
BgL_bucketz00_3823 = 
VECTOR_REF(BgL_arg1221z00_3814,BgL_kz00_3833); } 
{ /* Ast/check-sharing.scm 210 */
int BgL_kz00_3835;
BgL_kz00_3835 = 
(int)(BgL_restz00_3821); 
BgL_method2910z00_3811 = 
VECTOR_REF(BgL_bucketz00_3823,BgL_kz00_3835); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3811)(BgL_method2910z00_3811, 
(obj_t)(BgL_nodez00_3809), BgL_contextz00_2091, BEOA); } } } } 
{ /* Ast/check-sharing.scm 213 */
BgL_nodez00_bglt BgL_arg3091z00_2095;
BgL_arg3091z00_2095 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2090))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 213 */
obj_t BgL_method2910z00_3783;
{ /* Ast/check-sharing.scm 213 */
long BgL_objzd2classzd2numz00_3785;
{ /* Ast/check-sharing.scm 213 */
BgL_objectz00_bglt BgL_auxz00_4145;
BgL_auxz00_4145 = 
(BgL_objectz00_bglt)(BgL_arg3091z00_2095); 
BgL_objzd2classzd2numz00_3785 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4145); } 
{ /* Ast/check-sharing.scm 213 */
obj_t BgL_arg1221z00_3786;
{ /* Ast/check-sharing.scm 213 */
int BgL_auxz00_4148;
BgL_auxz00_4148 = 
(int)(((long)1)); 
BgL_arg1221z00_3786 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4148); } 
{ /* Ast/check-sharing.scm 213 */
long BgL_offsetz00_3790;
{ /* Ast/check-sharing.scm 213 */
long BgL_auxz00_4151;
{ /* Ast/check-sharing.scm 213 */
int BgL_auxz00_4152;
BgL_auxz00_4152 = 
(int)(BgL_objzd2classzd2numz00_3785); 
BgL_auxz00_4151 = 
(long)(BgL_auxz00_4152); } 
BgL_offsetz00_3790 = 
(BgL_auxz00_4151-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 213 */
long BgL_modz00_3791;
{ /* Ast/check-sharing.scm 213 */
long BgL_auxz00_4156;
{ /* Ast/check-sharing.scm 213 */
int BgL_auxz00_4157;
BgL_auxz00_4157 = 
(int)(((long)8)); 
BgL_auxz00_4156 = 
(long)(BgL_auxz00_4157); } 
BgL_modz00_3791 = 
(BgL_offsetz00_3790/BgL_auxz00_4156); } 
{ /* Ast/check-sharing.scm 213 */
long BgL_restz00_3793;
{ /* Ast/check-sharing.scm 213 */
long BgL_auxz00_4161;
{ /* Ast/check-sharing.scm 213 */
int BgL_auxz00_4162;
BgL_auxz00_4162 = 
(int)(((long)8)); 
BgL_auxz00_4161 = 
(long)(BgL_auxz00_4162); } 
BgL_restz00_3793 = 
(BgL_offsetz00_3790%BgL_auxz00_4161); } 
{ /* Ast/check-sharing.scm 213 */

{ /* Ast/check-sharing.scm 213 */
obj_t BgL_bucketz00_3795;
{ /* Ast/check-sharing.scm 213 */
int BgL_kz00_3805;
BgL_kz00_3805 = 
(int)(BgL_modz00_3791); 
BgL_bucketz00_3795 = 
VECTOR_REF(BgL_arg1221z00_3786,BgL_kz00_3805); } 
{ /* Ast/check-sharing.scm 213 */
int BgL_kz00_3807;
BgL_kz00_3807 = 
(int)(BgL_restz00_3793); 
BgL_method2910z00_3783 = 
VECTOR_REF(BgL_bucketz00_3795,BgL_kz00_3807); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3783)(BgL_method2910z00_3783, 
(obj_t)(BgL_arg3091z00_2095), 
(obj_t)(BgL_nodez00_2090), BEOA);} } } } } 
}



/* check-node-sharing-make-box2941 */
obj_t BGl_checkzd2nodezd2sharingzd2makezd2box2941z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3890, obj_t BgL_nodez00_3891, obj_t BgL_contextz00_3892)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 203 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2083;obj_t BgL_contextz00_2084;
BgL_nodez00_2083 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3891); 
BgL_contextz00_2084 = BgL_contextz00_3892; 
{ 

{ /* Ast/check-sharing.scm 203 */
obj_t BgL_nextzd2method2940zd2_2088;
BgL_nextzd2method2940zd2_2088 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2083), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_makezd2boxzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2940zd2_2088))
{ /* Ast/check-sharing.scm 203 */
PROCEDURE_ENTRY(BgL_nextzd2method2940zd2_2088)(BgL_nextzd2method2940zd2_2088, 
(obj_t)(BgL_nodez00_2083), BgL_contextz00_2084, BEOA); }  else 
{ /* Ast/check-sharing.scm 203 */
{ /* Ast/check-sharing.scm 203 */
BgL_nodez00_bglt BgL_nodez00_3753;
BgL_nodez00_3753 = 
(BgL_nodez00_bglt)(BgL_nodez00_2083); 
{ /* Ast/check-sharing.scm 203 */
obj_t BgL_method2910z00_3755;
{ /* Ast/check-sharing.scm 203 */
long BgL_objzd2classzd2numz00_3757;
{ /* Ast/check-sharing.scm 203 */
BgL_objectz00_bglt BgL_auxz00_4183;
BgL_auxz00_4183 = 
(BgL_objectz00_bglt)(BgL_nodez00_3753); 
BgL_objzd2classzd2numz00_3757 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4183); } 
{ /* Ast/check-sharing.scm 203 */
obj_t BgL_arg1221z00_3758;
{ /* Ast/check-sharing.scm 203 */
int BgL_auxz00_4186;
BgL_auxz00_4186 = 
(int)(((long)1)); 
BgL_arg1221z00_3758 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4186); } 
{ /* Ast/check-sharing.scm 203 */
long BgL_offsetz00_3762;
{ /* Ast/check-sharing.scm 203 */
long BgL_auxz00_4189;
{ /* Ast/check-sharing.scm 203 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(BgL_objzd2classzd2numz00_3757); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_offsetz00_3762 = 
(BgL_auxz00_4189-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 203 */
long BgL_modz00_3763;
{ /* Ast/check-sharing.scm 203 */
long BgL_auxz00_4194;
{ /* Ast/check-sharing.scm 203 */
int BgL_auxz00_4195;
BgL_auxz00_4195 = 
(int)(((long)8)); 
BgL_auxz00_4194 = 
(long)(BgL_auxz00_4195); } 
BgL_modz00_3763 = 
(BgL_offsetz00_3762/BgL_auxz00_4194); } 
{ /* Ast/check-sharing.scm 203 */
long BgL_restz00_3765;
{ /* Ast/check-sharing.scm 203 */
long BgL_auxz00_4199;
{ /* Ast/check-sharing.scm 203 */
int BgL_auxz00_4200;
BgL_auxz00_4200 = 
(int)(((long)8)); 
BgL_auxz00_4199 = 
(long)(BgL_auxz00_4200); } 
BgL_restz00_3765 = 
(BgL_offsetz00_3762%BgL_auxz00_4199); } 
{ /* Ast/check-sharing.scm 203 */

{ /* Ast/check-sharing.scm 203 */
obj_t BgL_bucketz00_3767;
{ /* Ast/check-sharing.scm 203 */
int BgL_kz00_3777;
BgL_kz00_3777 = 
(int)(BgL_modz00_3763); 
BgL_bucketz00_3767 = 
VECTOR_REF(BgL_arg1221z00_3758,BgL_kz00_3777); } 
{ /* Ast/check-sharing.scm 203 */
int BgL_kz00_3779;
BgL_kz00_3779 = 
(int)(BgL_restz00_3765); 
BgL_method2910z00_3755 = 
VECTOR_REF(BgL_bucketz00_3767,BgL_kz00_3779); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3755)(BgL_method2910z00_3755, 
(obj_t)(BgL_nodez00_3753), BgL_contextz00_2084, BEOA); } } } } 
{ /* Ast/check-sharing.scm 205 */
BgL_nodez00_bglt BgL_arg3089z00_2087;
BgL_arg3089z00_2087 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2083))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 205 */
obj_t BgL_method2910z00_3727;
{ /* Ast/check-sharing.scm 205 */
long BgL_objzd2classzd2numz00_3729;
{ /* Ast/check-sharing.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4212;
BgL_auxz00_4212 = 
(BgL_objectz00_bglt)(BgL_arg3089z00_2087); 
BgL_objzd2classzd2numz00_3729 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4212); } 
{ /* Ast/check-sharing.scm 205 */
obj_t BgL_arg1221z00_3730;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4215;
BgL_auxz00_4215 = 
(int)(((long)1)); 
BgL_arg1221z00_3730 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4215); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_offsetz00_3734;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4218;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4219;
BgL_auxz00_4219 = 
(int)(BgL_objzd2classzd2numz00_3729); 
BgL_auxz00_4218 = 
(long)(BgL_auxz00_4219); } 
BgL_offsetz00_3734 = 
(BgL_auxz00_4218-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_modz00_3735;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4223;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4224;
BgL_auxz00_4224 = 
(int)(((long)8)); 
BgL_auxz00_4223 = 
(long)(BgL_auxz00_4224); } 
BgL_modz00_3735 = 
(BgL_offsetz00_3734/BgL_auxz00_4223); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_restz00_3737;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4228;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4229;
BgL_auxz00_4229 = 
(int)(((long)8)); 
BgL_auxz00_4228 = 
(long)(BgL_auxz00_4229); } 
BgL_restz00_3737 = 
(BgL_offsetz00_3734%BgL_auxz00_4228); } 
{ /* Ast/check-sharing.scm 205 */

{ /* Ast/check-sharing.scm 205 */
obj_t BgL_bucketz00_3739;
{ /* Ast/check-sharing.scm 205 */
int BgL_kz00_3749;
BgL_kz00_3749 = 
(int)(BgL_modz00_3735); 
BgL_bucketz00_3739 = 
VECTOR_REF(BgL_arg1221z00_3730,BgL_kz00_3749); } 
{ /* Ast/check-sharing.scm 205 */
int BgL_kz00_3751;
BgL_kz00_3751 = 
(int)(BgL_restz00_3737); 
BgL_method2910z00_3727 = 
VECTOR_REF(BgL_bucketz00_3739,BgL_kz00_3751); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3727)(BgL_method2910z00_3727, 
(obj_t)(BgL_arg3089z00_2087), 
(obj_t)(BgL_nodez00_2083), BEOA);} } } } } 
}



/* check-node-sharing-jump-ex-it2939 */
obj_t BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2939zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3893, obj_t BgL_nodez00_3894, obj_t BgL_contextz00_3895)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 194 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2075;obj_t BgL_contextz00_2076;
BgL_nodez00_2075 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3894); 
BgL_contextz00_2076 = BgL_contextz00_3895; 
{ 

{ /* Ast/check-sharing.scm 194 */
obj_t BgL_nextzd2method2938zd2_2081;
BgL_nextzd2method2938zd2_2081 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2075), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_jumpzd2exzd2itz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2938zd2_2081))
{ /* Ast/check-sharing.scm 194 */
PROCEDURE_ENTRY(BgL_nextzd2method2938zd2_2081)(BgL_nextzd2method2938zd2_2081, 
(obj_t)(BgL_nodez00_2075), BgL_contextz00_2076, BEOA); }  else 
{ /* Ast/check-sharing.scm 194 */
{ /* Ast/check-sharing.scm 194 */
BgL_nodez00_bglt BgL_nodez00_3697;
BgL_nodez00_3697 = 
(BgL_nodez00_bglt)(BgL_nodez00_2075); 
{ /* Ast/check-sharing.scm 194 */
obj_t BgL_method2910z00_3699;
{ /* Ast/check-sharing.scm 194 */
long BgL_objzd2classzd2numz00_3701;
{ /* Ast/check-sharing.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4250;
BgL_auxz00_4250 = 
(BgL_objectz00_bglt)(BgL_nodez00_3697); 
BgL_objzd2classzd2numz00_3701 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4250); } 
{ /* Ast/check-sharing.scm 194 */
obj_t BgL_arg1221z00_3702;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4253;
BgL_auxz00_4253 = 
(int)(((long)1)); 
BgL_arg1221z00_3702 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4253); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_offsetz00_3706;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4256;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(BgL_objzd2classzd2numz00_3701); 
BgL_auxz00_4256 = 
(long)(BgL_auxz00_4257); } 
BgL_offsetz00_3706 = 
(BgL_auxz00_4256-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_modz00_3707;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4261;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4262;
BgL_auxz00_4262 = 
(int)(((long)8)); 
BgL_auxz00_4261 = 
(long)(BgL_auxz00_4262); } 
BgL_modz00_3707 = 
(BgL_offsetz00_3706/BgL_auxz00_4261); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_restz00_3709;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4266;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4267;
BgL_auxz00_4267 = 
(int)(((long)8)); 
BgL_auxz00_4266 = 
(long)(BgL_auxz00_4267); } 
BgL_restz00_3709 = 
(BgL_offsetz00_3706%BgL_auxz00_4266); } 
{ /* Ast/check-sharing.scm 194 */

{ /* Ast/check-sharing.scm 194 */
obj_t BgL_bucketz00_3711;
{ /* Ast/check-sharing.scm 194 */
int BgL_kz00_3721;
BgL_kz00_3721 = 
(int)(BgL_modz00_3707); 
BgL_bucketz00_3711 = 
VECTOR_REF(BgL_arg1221z00_3702,BgL_kz00_3721); } 
{ /* Ast/check-sharing.scm 194 */
int BgL_kz00_3723;
BgL_kz00_3723 = 
(int)(BgL_restz00_3709); 
BgL_method2910z00_3699 = 
VECTOR_REF(BgL_bucketz00_3711,BgL_kz00_3723); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3699)(BgL_method2910z00_3699, 
(obj_t)(BgL_nodez00_3697), BgL_contextz00_2076, BEOA); } } } } 
{ /* Ast/check-sharing.scm 197 */
BgL_nodez00_bglt BgL_arg3087z00_2080;
BgL_arg3087z00_2080 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2075))->BgL_exitz00); 
{ /* Ast/check-sharing.scm 197 */
obj_t BgL_method2910z00_3644;
{ /* Ast/check-sharing.scm 197 */
long BgL_objzd2classzd2numz00_3646;
{ /* Ast/check-sharing.scm 197 */
BgL_objectz00_bglt BgL_auxz00_4279;
BgL_auxz00_4279 = 
(BgL_objectz00_bglt)(BgL_arg3087z00_2080); 
BgL_objzd2classzd2numz00_3646 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4279); } 
{ /* Ast/check-sharing.scm 197 */
obj_t BgL_arg1221z00_3647;
{ /* Ast/check-sharing.scm 197 */
int BgL_auxz00_4282;
BgL_auxz00_4282 = 
(int)(((long)1)); 
BgL_arg1221z00_3647 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4282); } 
{ /* Ast/check-sharing.scm 197 */
long BgL_offsetz00_3651;
{ /* Ast/check-sharing.scm 197 */
long BgL_auxz00_4285;
{ /* Ast/check-sharing.scm 197 */
int BgL_auxz00_4286;
BgL_auxz00_4286 = 
(int)(BgL_objzd2classzd2numz00_3646); 
BgL_auxz00_4285 = 
(long)(BgL_auxz00_4286); } 
BgL_offsetz00_3651 = 
(BgL_auxz00_4285-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 197 */
long BgL_modz00_3652;
{ /* Ast/check-sharing.scm 197 */
long BgL_auxz00_4290;
{ /* Ast/check-sharing.scm 197 */
int BgL_auxz00_4291;
BgL_auxz00_4291 = 
(int)(((long)8)); 
BgL_auxz00_4290 = 
(long)(BgL_auxz00_4291); } 
BgL_modz00_3652 = 
(BgL_offsetz00_3651/BgL_auxz00_4290); } 
{ /* Ast/check-sharing.scm 197 */
long BgL_restz00_3654;
{ /* Ast/check-sharing.scm 197 */
long BgL_auxz00_4295;
{ /* Ast/check-sharing.scm 197 */
int BgL_auxz00_4296;
BgL_auxz00_4296 = 
(int)(((long)8)); 
BgL_auxz00_4295 = 
(long)(BgL_auxz00_4296); } 
BgL_restz00_3654 = 
(BgL_offsetz00_3651%BgL_auxz00_4295); } 
{ /* Ast/check-sharing.scm 197 */

{ /* Ast/check-sharing.scm 197 */
obj_t BgL_bucketz00_3656;
{ /* Ast/check-sharing.scm 197 */
int BgL_kz00_3666;
BgL_kz00_3666 = 
(int)(BgL_modz00_3652); 
BgL_bucketz00_3656 = 
VECTOR_REF(BgL_arg1221z00_3647,BgL_kz00_3666); } 
{ /* Ast/check-sharing.scm 197 */
int BgL_kz00_3668;
BgL_kz00_3668 = 
(int)(BgL_restz00_3654); 
BgL_method2910z00_3644 = 
VECTOR_REF(BgL_bucketz00_3656,BgL_kz00_3668); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3644)(BgL_method2910z00_3644, 
(obj_t)(BgL_arg3087z00_2080), 
(obj_t)(BgL_nodez00_2075), BEOA); } } 
{ /* Ast/check-sharing.scm 198 */
BgL_nodez00_bglt BgL_nodez00_3669;
BgL_nodez00_3669 = 
(BgL_nodez00_bglt)(BGl_valuez00zzast_varz00); 
{ /* Ast/check-sharing.scm 198 */
obj_t BgL_method2910z00_3671;
{ /* Ast/check-sharing.scm 198 */
long BgL_objzd2classzd2numz00_3673;
{ /* Ast/check-sharing.scm 198 */
BgL_objectz00_bglt BgL_auxz00_4309;
BgL_auxz00_4309 = 
(BgL_objectz00_bglt)(BgL_nodez00_3669); 
BgL_objzd2classzd2numz00_3673 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4309); } 
{ /* Ast/check-sharing.scm 198 */
obj_t BgL_arg1221z00_3674;
{ /* Ast/check-sharing.scm 198 */
int BgL_auxz00_4312;
BgL_auxz00_4312 = 
(int)(((long)1)); 
BgL_arg1221z00_3674 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4312); } 
{ /* Ast/check-sharing.scm 198 */
long BgL_offsetz00_3678;
{ /* Ast/check-sharing.scm 198 */
long BgL_auxz00_4315;
{ /* Ast/check-sharing.scm 198 */
int BgL_auxz00_4316;
BgL_auxz00_4316 = 
(int)(BgL_objzd2classzd2numz00_3673); 
BgL_auxz00_4315 = 
(long)(BgL_auxz00_4316); } 
BgL_offsetz00_3678 = 
(BgL_auxz00_4315-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 198 */
long BgL_modz00_3679;
{ /* Ast/check-sharing.scm 198 */
long BgL_auxz00_4320;
{ /* Ast/check-sharing.scm 198 */
int BgL_auxz00_4321;
BgL_auxz00_4321 = 
(int)(((long)8)); 
BgL_auxz00_4320 = 
(long)(BgL_auxz00_4321); } 
BgL_modz00_3679 = 
(BgL_offsetz00_3678/BgL_auxz00_4320); } 
{ /* Ast/check-sharing.scm 198 */
long BgL_restz00_3681;
{ /* Ast/check-sharing.scm 198 */
long BgL_auxz00_4325;
{ /* Ast/check-sharing.scm 198 */
int BgL_auxz00_4326;
BgL_auxz00_4326 = 
(int)(((long)8)); 
BgL_auxz00_4325 = 
(long)(BgL_auxz00_4326); } 
BgL_restz00_3681 = 
(BgL_offsetz00_3678%BgL_auxz00_4325); } 
{ /* Ast/check-sharing.scm 198 */

{ /* Ast/check-sharing.scm 198 */
obj_t BgL_bucketz00_3683;
{ /* Ast/check-sharing.scm 198 */
int BgL_kz00_3693;
BgL_kz00_3693 = 
(int)(BgL_modz00_3679); 
BgL_bucketz00_3683 = 
VECTOR_REF(BgL_arg1221z00_3674,BgL_kz00_3693); } 
{ /* Ast/check-sharing.scm 198 */
int BgL_kz00_3695;
BgL_kz00_3695 = 
(int)(BgL_restz00_3681); 
BgL_method2910z00_3671 = 
VECTOR_REF(BgL_bucketz00_3683,BgL_kz00_3695); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3671)(BgL_method2910z00_3671, 
(obj_t)(BgL_nodez00_3669), 
(obj_t)(BgL_nodez00_2075), BEOA);} } } } } 
}



/* check-node-sharing-set-ex-it2936 */
obj_t BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2936zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3896, obj_t BgL_nodez00_3897, obj_t BgL_contextz00_3898)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 187 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2068;obj_t BgL_contextz00_2069;
BgL_nodez00_2068 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3897); 
BgL_contextz00_2069 = BgL_contextz00_3898; 
{ 

{ /* Ast/check-sharing.scm 187 */
obj_t BgL_nextzd2method2935zd2_2073;
BgL_nextzd2method2935zd2_2073 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2068), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setzd2exzd2itz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2935zd2_2073))
{ /* Ast/check-sharing.scm 187 */
PROCEDURE_ENTRY(BgL_nextzd2method2935zd2_2073)(BgL_nextzd2method2935zd2_2073, 
(obj_t)(BgL_nodez00_2068), BgL_contextz00_2069, BEOA); }  else 
{ /* Ast/check-sharing.scm 187 */
{ /* Ast/check-sharing.scm 187 */
BgL_nodez00_bglt BgL_nodez00_3614;
BgL_nodez00_3614 = 
(BgL_nodez00_bglt)(BgL_nodez00_2068); 
{ /* Ast/check-sharing.scm 187 */
obj_t BgL_method2910z00_3616;
{ /* Ast/check-sharing.scm 187 */
long BgL_objzd2classzd2numz00_3618;
{ /* Ast/check-sharing.scm 187 */
BgL_objectz00_bglt BgL_auxz00_4347;
BgL_auxz00_4347 = 
(BgL_objectz00_bglt)(BgL_nodez00_3614); 
BgL_objzd2classzd2numz00_3618 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4347); } 
{ /* Ast/check-sharing.scm 187 */
obj_t BgL_arg1221z00_3619;
{ /* Ast/check-sharing.scm 187 */
int BgL_auxz00_4350;
BgL_auxz00_4350 = 
(int)(((long)1)); 
BgL_arg1221z00_3619 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4350); } 
{ /* Ast/check-sharing.scm 187 */
long BgL_offsetz00_3623;
{ /* Ast/check-sharing.scm 187 */
long BgL_auxz00_4353;
{ /* Ast/check-sharing.scm 187 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(BgL_objzd2classzd2numz00_3618); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_offsetz00_3623 = 
(BgL_auxz00_4353-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 187 */
long BgL_modz00_3624;
{ /* Ast/check-sharing.scm 187 */
long BgL_auxz00_4358;
{ /* Ast/check-sharing.scm 187 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)8)); 
BgL_auxz00_4358 = 
(long)(BgL_auxz00_4359); } 
BgL_modz00_3624 = 
(BgL_offsetz00_3623/BgL_auxz00_4358); } 
{ /* Ast/check-sharing.scm 187 */
long BgL_restz00_3626;
{ /* Ast/check-sharing.scm 187 */
long BgL_auxz00_4363;
{ /* Ast/check-sharing.scm 187 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)8)); 
BgL_auxz00_4363 = 
(long)(BgL_auxz00_4364); } 
BgL_restz00_3626 = 
(BgL_offsetz00_3623%BgL_auxz00_4363); } 
{ /* Ast/check-sharing.scm 187 */

{ /* Ast/check-sharing.scm 187 */
obj_t BgL_bucketz00_3628;
{ /* Ast/check-sharing.scm 187 */
int BgL_kz00_3638;
BgL_kz00_3638 = 
(int)(BgL_modz00_3624); 
BgL_bucketz00_3628 = 
VECTOR_REF(BgL_arg1221z00_3619,BgL_kz00_3638); } 
{ /* Ast/check-sharing.scm 187 */
int BgL_kz00_3640;
BgL_kz00_3640 = 
(int)(BgL_restz00_3626); 
BgL_method2910z00_3616 = 
VECTOR_REF(BgL_bucketz00_3628,BgL_kz00_3640); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3616)(BgL_method2910z00_3616, 
(obj_t)(BgL_nodez00_3614), BgL_contextz00_2069, BEOA); } } } } 
{ /* Ast/check-sharing.scm 189 */
BgL_nodez00_bglt BgL_arg3085z00_2072;
BgL_arg3085z00_2072 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2068))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 189 */
obj_t BgL_method2910z00_3588;
{ /* Ast/check-sharing.scm 189 */
long BgL_objzd2classzd2numz00_3590;
{ /* Ast/check-sharing.scm 189 */
BgL_objectz00_bglt BgL_auxz00_4376;
BgL_auxz00_4376 = 
(BgL_objectz00_bglt)(BgL_arg3085z00_2072); 
BgL_objzd2classzd2numz00_3590 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4376); } 
{ /* Ast/check-sharing.scm 189 */
obj_t BgL_arg1221z00_3591;
{ /* Ast/check-sharing.scm 189 */
int BgL_auxz00_4379;
BgL_auxz00_4379 = 
(int)(((long)1)); 
BgL_arg1221z00_3591 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4379); } 
{ /* Ast/check-sharing.scm 189 */
long BgL_offsetz00_3595;
{ /* Ast/check-sharing.scm 189 */
long BgL_auxz00_4382;
{ /* Ast/check-sharing.scm 189 */
int BgL_auxz00_4383;
BgL_auxz00_4383 = 
(int)(BgL_objzd2classzd2numz00_3590); 
BgL_auxz00_4382 = 
(long)(BgL_auxz00_4383); } 
BgL_offsetz00_3595 = 
(BgL_auxz00_4382-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 189 */
long BgL_modz00_3596;
{ /* Ast/check-sharing.scm 189 */
long BgL_auxz00_4387;
{ /* Ast/check-sharing.scm 189 */
int BgL_auxz00_4388;
BgL_auxz00_4388 = 
(int)(((long)8)); 
BgL_auxz00_4387 = 
(long)(BgL_auxz00_4388); } 
BgL_modz00_3596 = 
(BgL_offsetz00_3595/BgL_auxz00_4387); } 
{ /* Ast/check-sharing.scm 189 */
long BgL_restz00_3598;
{ /* Ast/check-sharing.scm 189 */
long BgL_auxz00_4392;
{ /* Ast/check-sharing.scm 189 */
int BgL_auxz00_4393;
BgL_auxz00_4393 = 
(int)(((long)8)); 
BgL_auxz00_4392 = 
(long)(BgL_auxz00_4393); } 
BgL_restz00_3598 = 
(BgL_offsetz00_3595%BgL_auxz00_4392); } 
{ /* Ast/check-sharing.scm 189 */

{ /* Ast/check-sharing.scm 189 */
obj_t BgL_bucketz00_3600;
{ /* Ast/check-sharing.scm 189 */
int BgL_kz00_3610;
BgL_kz00_3610 = 
(int)(BgL_modz00_3596); 
BgL_bucketz00_3600 = 
VECTOR_REF(BgL_arg1221z00_3591,BgL_kz00_3610); } 
{ /* Ast/check-sharing.scm 189 */
int BgL_kz00_3612;
BgL_kz00_3612 = 
(int)(BgL_restz00_3598); 
BgL_method2910z00_3588 = 
VECTOR_REF(BgL_bucketz00_3600,BgL_kz00_3612); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3588)(BgL_method2910z00_3588, 
(obj_t)(BgL_arg3085z00_2072), 
(obj_t)(BgL_nodez00_2068), BEOA);} } } } } 
}



/* check-node-sharing-let-var2934 */
obj_t BGl_checkzd2nodezd2sharingzd2letzd2var2934z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3899, obj_t BgL_nodez00_3900, obj_t BgL_contextz00_3901)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 176 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2053;obj_t BgL_contextz00_2054;
{ /* Ast/check-sharing.scm 176 */
bool_t BgL_auxz00_4406;
BgL_nodez00_2053 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3900); 
BgL_contextz00_2054 = BgL_contextz00_3901; 
{ 

{ /* Ast/check-sharing.scm 176 */
obj_t BgL_nextzd2method2933zd2_2066;
BgL_nextzd2method2933zd2_2066 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2053), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2varzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2933zd2_2066))
{ /* Ast/check-sharing.scm 176 */
PROCEDURE_ENTRY(BgL_nextzd2method2933zd2_2066)(BgL_nextzd2method2933zd2_2066, 
(obj_t)(BgL_nodez00_2053), BgL_contextz00_2054, BEOA); }  else 
{ /* Ast/check-sharing.scm 176 */
{ /* Ast/check-sharing.scm 176 */
BgL_nodez00_bglt BgL_nodez00_3558;
BgL_nodez00_3558 = 
(BgL_nodez00_bglt)(BgL_nodez00_2053); 
{ /* Ast/check-sharing.scm 176 */
obj_t BgL_method2910z00_3560;
{ /* Ast/check-sharing.scm 176 */
long BgL_objzd2classzd2numz00_3562;
{ /* Ast/check-sharing.scm 176 */
BgL_objectz00_bglt BgL_auxz00_4415;
BgL_auxz00_4415 = 
(BgL_objectz00_bglt)(BgL_nodez00_3558); 
BgL_objzd2classzd2numz00_3562 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4415); } 
{ /* Ast/check-sharing.scm 176 */
obj_t BgL_arg1221z00_3563;
{ /* Ast/check-sharing.scm 176 */
int BgL_auxz00_4418;
BgL_auxz00_4418 = 
(int)(((long)1)); 
BgL_arg1221z00_3563 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4418); } 
{ /* Ast/check-sharing.scm 176 */
long BgL_offsetz00_3567;
{ /* Ast/check-sharing.scm 176 */
long BgL_auxz00_4421;
{ /* Ast/check-sharing.scm 176 */
int BgL_auxz00_4422;
BgL_auxz00_4422 = 
(int)(BgL_objzd2classzd2numz00_3562); 
BgL_auxz00_4421 = 
(long)(BgL_auxz00_4422); } 
BgL_offsetz00_3567 = 
(BgL_auxz00_4421-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 176 */
long BgL_modz00_3568;
{ /* Ast/check-sharing.scm 176 */
long BgL_auxz00_4426;
{ /* Ast/check-sharing.scm 176 */
int BgL_auxz00_4427;
BgL_auxz00_4427 = 
(int)(((long)8)); 
BgL_auxz00_4426 = 
(long)(BgL_auxz00_4427); } 
BgL_modz00_3568 = 
(BgL_offsetz00_3567/BgL_auxz00_4426); } 
{ /* Ast/check-sharing.scm 176 */
long BgL_restz00_3570;
{ /* Ast/check-sharing.scm 176 */
long BgL_auxz00_4431;
{ /* Ast/check-sharing.scm 176 */
int BgL_auxz00_4432;
BgL_auxz00_4432 = 
(int)(((long)8)); 
BgL_auxz00_4431 = 
(long)(BgL_auxz00_4432); } 
BgL_restz00_3570 = 
(BgL_offsetz00_3567%BgL_auxz00_4431); } 
{ /* Ast/check-sharing.scm 176 */

{ /* Ast/check-sharing.scm 176 */
obj_t BgL_bucketz00_3572;
{ /* Ast/check-sharing.scm 176 */
int BgL_kz00_3582;
BgL_kz00_3582 = 
(int)(BgL_modz00_3568); 
BgL_bucketz00_3572 = 
VECTOR_REF(BgL_arg1221z00_3563,BgL_kz00_3582); } 
{ /* Ast/check-sharing.scm 176 */
int BgL_kz00_3584;
BgL_kz00_3584 = 
(int)(BgL_restz00_3570); 
BgL_method2910z00_3560 = 
VECTOR_REF(BgL_bucketz00_3572,BgL_kz00_3584); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3560)(BgL_method2910z00_3560, 
(obj_t)(BgL_nodez00_3558), BgL_contextz00_2054, BEOA); } } } } 
{ /* Ast/check-sharing.scm 179 */
BgL_nodez00_bglt BgL_arg3079z00_2058;
BgL_arg3079z00_2058 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2053))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 179 */
obj_t BgL_method2910z00_3500;
{ /* Ast/check-sharing.scm 179 */
long BgL_objzd2classzd2numz00_3502;
{ /* Ast/check-sharing.scm 179 */
BgL_objectz00_bglt BgL_auxz00_4444;
BgL_auxz00_4444 = 
(BgL_objectz00_bglt)(BgL_arg3079z00_2058); 
BgL_objzd2classzd2numz00_3502 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4444); } 
{ /* Ast/check-sharing.scm 179 */
obj_t BgL_arg1221z00_3503;
{ /* Ast/check-sharing.scm 179 */
int BgL_auxz00_4447;
BgL_auxz00_4447 = 
(int)(((long)1)); 
BgL_arg1221z00_3503 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4447); } 
{ /* Ast/check-sharing.scm 179 */
long BgL_offsetz00_3507;
{ /* Ast/check-sharing.scm 179 */
long BgL_auxz00_4450;
{ /* Ast/check-sharing.scm 179 */
int BgL_auxz00_4451;
BgL_auxz00_4451 = 
(int)(BgL_objzd2classzd2numz00_3502); 
BgL_auxz00_4450 = 
(long)(BgL_auxz00_4451); } 
BgL_offsetz00_3507 = 
(BgL_auxz00_4450-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 179 */
long BgL_modz00_3508;
{ /* Ast/check-sharing.scm 179 */
long BgL_auxz00_4455;
{ /* Ast/check-sharing.scm 179 */
int BgL_auxz00_4456;
BgL_auxz00_4456 = 
(int)(((long)8)); 
BgL_auxz00_4455 = 
(long)(BgL_auxz00_4456); } 
BgL_modz00_3508 = 
(BgL_offsetz00_3507/BgL_auxz00_4455); } 
{ /* Ast/check-sharing.scm 179 */
long BgL_restz00_3510;
{ /* Ast/check-sharing.scm 179 */
long BgL_auxz00_4460;
{ /* Ast/check-sharing.scm 179 */
int BgL_auxz00_4461;
BgL_auxz00_4461 = 
(int)(((long)8)); 
BgL_auxz00_4460 = 
(long)(BgL_auxz00_4461); } 
BgL_restz00_3510 = 
(BgL_offsetz00_3507%BgL_auxz00_4460); } 
{ /* Ast/check-sharing.scm 179 */

{ /* Ast/check-sharing.scm 179 */
obj_t BgL_bucketz00_3512;
{ /* Ast/check-sharing.scm 179 */
int BgL_kz00_3522;
BgL_kz00_3522 = 
(int)(BgL_modz00_3508); 
BgL_bucketz00_3512 = 
VECTOR_REF(BgL_arg1221z00_3503,BgL_kz00_3522); } 
{ /* Ast/check-sharing.scm 179 */
int BgL_kz00_3524;
BgL_kz00_3524 = 
(int)(BgL_restz00_3510); 
BgL_method2910z00_3500 = 
VECTOR_REF(BgL_bucketz00_3512,BgL_kz00_3524); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3500)(BgL_method2910z00_3500, 
(obj_t)(BgL_arg3079z00_2058), 
(obj_t)(BgL_nodez00_2053), BEOA); } } 
{ 
obj_t BgL_l2901z00_2059;
BgL_l2901z00_2059 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2053))->BgL_bindingsz00); 
BgL_lname2902z00_2060:
if(
PAIRP(BgL_l2901z00_2059))
{ /* Ast/check-sharing.scm 180 */
{ /* Ast/check-sharing.scm 181 */
BgL_nodez00_bglt BgL_nodez00_3529;
{ /* Ast/check-sharing.scm 181 */
obj_t BgL_auxz00_4475;
{ /* Ast/check-sharing.scm 181 */
obj_t BgL_auxz00_4476;
BgL_auxz00_4476 = 
CAR(BgL_l2901z00_2059); 
BgL_auxz00_4475 = 
CDR(BgL_auxz00_4476); } 
BgL_nodez00_3529 = 
(BgL_nodez00_bglt)(BgL_auxz00_4475); } 
{ /* Ast/check-sharing.scm 181 */
obj_t BgL_method2910z00_3531;
{ /* Ast/check-sharing.scm 181 */
long BgL_objzd2classzd2numz00_3533;
{ /* Ast/check-sharing.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4480;
BgL_auxz00_4480 = 
(BgL_objectz00_bglt)(BgL_nodez00_3529); 
BgL_objzd2classzd2numz00_3533 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4480); } 
{ /* Ast/check-sharing.scm 181 */
obj_t BgL_arg1221z00_3534;
{ /* Ast/check-sharing.scm 181 */
int BgL_auxz00_4483;
BgL_auxz00_4483 = 
(int)(((long)1)); 
BgL_arg1221z00_3534 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4483); } 
{ /* Ast/check-sharing.scm 181 */
long BgL_offsetz00_3538;
{ /* Ast/check-sharing.scm 181 */
long BgL_auxz00_4486;
{ /* Ast/check-sharing.scm 181 */
int BgL_auxz00_4487;
BgL_auxz00_4487 = 
(int)(BgL_objzd2classzd2numz00_3533); 
BgL_auxz00_4486 = 
(long)(BgL_auxz00_4487); } 
BgL_offsetz00_3538 = 
(BgL_auxz00_4486-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 181 */
long BgL_modz00_3539;
{ /* Ast/check-sharing.scm 181 */
long BgL_auxz00_4491;
{ /* Ast/check-sharing.scm 181 */
int BgL_auxz00_4492;
BgL_auxz00_4492 = 
(int)(((long)8)); 
BgL_auxz00_4491 = 
(long)(BgL_auxz00_4492); } 
BgL_modz00_3539 = 
(BgL_offsetz00_3538/BgL_auxz00_4491); } 
{ /* Ast/check-sharing.scm 181 */
long BgL_restz00_3541;
{ /* Ast/check-sharing.scm 181 */
long BgL_auxz00_4496;
{ /* Ast/check-sharing.scm 181 */
int BgL_auxz00_4497;
BgL_auxz00_4497 = 
(int)(((long)8)); 
BgL_auxz00_4496 = 
(long)(BgL_auxz00_4497); } 
BgL_restz00_3541 = 
(BgL_offsetz00_3538%BgL_auxz00_4496); } 
{ /* Ast/check-sharing.scm 181 */

{ /* Ast/check-sharing.scm 181 */
obj_t BgL_bucketz00_3543;
{ /* Ast/check-sharing.scm 181 */
int BgL_kz00_3553;
BgL_kz00_3553 = 
(int)(BgL_modz00_3539); 
BgL_bucketz00_3543 = 
VECTOR_REF(BgL_arg1221z00_3534,BgL_kz00_3553); } 
{ /* Ast/check-sharing.scm 181 */
int BgL_kz00_3555;
BgL_kz00_3555 = 
(int)(BgL_restz00_3541); 
BgL_method2910z00_3531 = 
VECTOR_REF(BgL_bucketz00_3543,BgL_kz00_3555); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3531)(BgL_method2910z00_3531, 
(obj_t)(BgL_nodez00_3529), 
(obj_t)(BgL_nodez00_2053), BEOA); } } 
{ 
obj_t BgL_l2901z00_4509;
BgL_l2901z00_4509 = 
CDR(BgL_l2901z00_2059); 
BgL_l2901z00_2059 = BgL_l2901z00_4509; 
goto BgL_lname2902z00_2060;} }  else 
{ /* Ast/check-sharing.scm 180 */
BgL_auxz00_4406 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_4406);} } } 
}



/* check-node-sharing-let-fun2932 */
obj_t BGl_checkzd2nodezd2sharingzd2letzd2fun2932z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3902, obj_t BgL_nodez00_3903, obj_t BgL_contextz00_3904)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 167 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2039;obj_t BgL_contextz00_2040;
BgL_nodez00_2039 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3903); 
BgL_contextz00_2040 = BgL_contextz00_3904; 
{ 

{ /* Ast/check-sharing.scm 167 */
obj_t BgL_nextzd2method2931zd2_2051;
BgL_nextzd2method2931zd2_2051 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2039), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2funzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2931zd2_2051))
{ /* Ast/check-sharing.scm 167 */
PROCEDURE_ENTRY(BgL_nextzd2method2931zd2_2051)(BgL_nextzd2method2931zd2_2051, 
(obj_t)(BgL_nodez00_2039), BgL_contextz00_2040, BEOA); }  else 
{ /* Ast/check-sharing.scm 167 */
{ /* Ast/check-sharing.scm 167 */
BgL_nodez00_bglt BgL_nodez00_3470;
BgL_nodez00_3470 = 
(BgL_nodez00_bglt)(BgL_nodez00_2039); 
{ /* Ast/check-sharing.scm 167 */
obj_t BgL_method2910z00_3472;
{ /* Ast/check-sharing.scm 167 */
long BgL_objzd2classzd2numz00_3474;
{ /* Ast/check-sharing.scm 167 */
BgL_objectz00_bglt BgL_auxz00_4522;
BgL_auxz00_4522 = 
(BgL_objectz00_bglt)(BgL_nodez00_3470); 
BgL_objzd2classzd2numz00_3474 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4522); } 
{ /* Ast/check-sharing.scm 167 */
obj_t BgL_arg1221z00_3475;
{ /* Ast/check-sharing.scm 167 */
int BgL_auxz00_4525;
BgL_auxz00_4525 = 
(int)(((long)1)); 
BgL_arg1221z00_3475 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4525); } 
{ /* Ast/check-sharing.scm 167 */
long BgL_offsetz00_3479;
{ /* Ast/check-sharing.scm 167 */
long BgL_auxz00_4528;
{ /* Ast/check-sharing.scm 167 */
int BgL_auxz00_4529;
BgL_auxz00_4529 = 
(int)(BgL_objzd2classzd2numz00_3474); 
BgL_auxz00_4528 = 
(long)(BgL_auxz00_4529); } 
BgL_offsetz00_3479 = 
(BgL_auxz00_4528-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 167 */
long BgL_modz00_3480;
{ /* Ast/check-sharing.scm 167 */
long BgL_auxz00_4533;
{ /* Ast/check-sharing.scm 167 */
int BgL_auxz00_4534;
BgL_auxz00_4534 = 
(int)(((long)8)); 
BgL_auxz00_4533 = 
(long)(BgL_auxz00_4534); } 
BgL_modz00_3480 = 
(BgL_offsetz00_3479/BgL_auxz00_4533); } 
{ /* Ast/check-sharing.scm 167 */
long BgL_restz00_3482;
{ /* Ast/check-sharing.scm 167 */
long BgL_auxz00_4538;
{ /* Ast/check-sharing.scm 167 */
int BgL_auxz00_4539;
BgL_auxz00_4539 = 
(int)(((long)8)); 
BgL_auxz00_4538 = 
(long)(BgL_auxz00_4539); } 
BgL_restz00_3482 = 
(BgL_offsetz00_3479%BgL_auxz00_4538); } 
{ /* Ast/check-sharing.scm 167 */

{ /* Ast/check-sharing.scm 167 */
obj_t BgL_bucketz00_3484;
{ /* Ast/check-sharing.scm 167 */
int BgL_kz00_3494;
BgL_kz00_3494 = 
(int)(BgL_modz00_3480); 
BgL_bucketz00_3484 = 
VECTOR_REF(BgL_arg1221z00_3475,BgL_kz00_3494); } 
{ /* Ast/check-sharing.scm 167 */
int BgL_kz00_3496;
BgL_kz00_3496 = 
(int)(BgL_restz00_3482); 
BgL_method2910z00_3472 = 
VECTOR_REF(BgL_bucketz00_3484,BgL_kz00_3496); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3472)(BgL_method2910z00_3472, 
(obj_t)(BgL_nodez00_3470), BgL_contextz00_2040, BEOA); } } } } 
{ 
obj_t BgL_l2897z00_2044;
BgL_l2897z00_2044 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2039))->BgL_localsz00); 
BgL_lname2898z00_2045:
if(
PAIRP(BgL_l2897z00_2044))
{ /* Ast/check-sharing.scm 170 */
{ /* Ast/check-sharing.scm 170 */

{ /* Ast/check-sharing.scm 170 */
BgL_nodez00_bglt BgL_auxz00_4552;
{ /* Ast/check-sharing.scm 170 */
obj_t BgL_auxz00_4553;
{ /* Ast/check-sharing.scm 170 */
BgL_sfunz00_bglt BgL_obj1284z00_3439;
{ /* Ast/check-sharing.scm 170 */
BgL_valuez00_bglt BgL_auxz00_4554;
{ /* Ast/check-sharing.scm 170 */
BgL_variablez00_bglt BgL_obj1015z00_3438;
{ /* Ast/check-sharing.scm 170 */
obj_t BgL_auxz00_4555;
BgL_auxz00_4555 = 
CAR(BgL_l2897z00_2044); 
BgL_obj1015z00_3438 = 
(BgL_variablez00_bglt)(BgL_auxz00_4555); } 
BgL_auxz00_4554 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1015z00_3438))->BgL_valuez00); } 
BgL_obj1284z00_3439 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4554); } 
BgL_auxz00_4553 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_3439))->BgL_bodyz00); } 
BgL_auxz00_4552 = 
(BgL_nodez00_bglt)(BgL_auxz00_4553); } 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_auxz00_4552, 
(obj_t)(BgL_nodez00_2039)); } } 
{ 
obj_t BgL_l2897z00_4564;
BgL_l2897z00_4564 = 
CDR(BgL_l2897z00_2044); 
BgL_l2897z00_2044 = BgL_l2897z00_4564; 
goto BgL_lname2898z00_2045;} }  else 
{ /* Ast/check-sharing.scm 170 */((bool_t)1); } } 
{ /* Ast/check-sharing.scm 171 */
BgL_nodez00_bglt BgL_arg3077z00_2050;
BgL_arg3077z00_2050 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2039))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 171 */
obj_t BgL_method2910z00_3444;
{ /* Ast/check-sharing.scm 171 */
long BgL_objzd2classzd2numz00_3446;
{ /* Ast/check-sharing.scm 171 */
BgL_objectz00_bglt BgL_auxz00_4568;
BgL_auxz00_4568 = 
(BgL_objectz00_bglt)(BgL_arg3077z00_2050); 
BgL_objzd2classzd2numz00_3446 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4568); } 
{ /* Ast/check-sharing.scm 171 */
obj_t BgL_arg1221z00_3447;
{ /* Ast/check-sharing.scm 171 */
int BgL_auxz00_4571;
BgL_auxz00_4571 = 
(int)(((long)1)); 
BgL_arg1221z00_3447 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4571); } 
{ /* Ast/check-sharing.scm 171 */
long BgL_offsetz00_3451;
{ /* Ast/check-sharing.scm 171 */
long BgL_auxz00_4574;
{ /* Ast/check-sharing.scm 171 */
int BgL_auxz00_4575;
BgL_auxz00_4575 = 
(int)(BgL_objzd2classzd2numz00_3446); 
BgL_auxz00_4574 = 
(long)(BgL_auxz00_4575); } 
BgL_offsetz00_3451 = 
(BgL_auxz00_4574-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 171 */
long BgL_modz00_3452;
{ /* Ast/check-sharing.scm 171 */
long BgL_auxz00_4579;
{ /* Ast/check-sharing.scm 171 */
int BgL_auxz00_4580;
BgL_auxz00_4580 = 
(int)(((long)8)); 
BgL_auxz00_4579 = 
(long)(BgL_auxz00_4580); } 
BgL_modz00_3452 = 
(BgL_offsetz00_3451/BgL_auxz00_4579); } 
{ /* Ast/check-sharing.scm 171 */
long BgL_restz00_3454;
{ /* Ast/check-sharing.scm 171 */
long BgL_auxz00_4584;
{ /* Ast/check-sharing.scm 171 */
int BgL_auxz00_4585;
BgL_auxz00_4585 = 
(int)(((long)8)); 
BgL_auxz00_4584 = 
(long)(BgL_auxz00_4585); } 
BgL_restz00_3454 = 
(BgL_offsetz00_3451%BgL_auxz00_4584); } 
{ /* Ast/check-sharing.scm 171 */

{ /* Ast/check-sharing.scm 171 */
obj_t BgL_bucketz00_3456;
{ /* Ast/check-sharing.scm 171 */
int BgL_kz00_3466;
BgL_kz00_3466 = 
(int)(BgL_modz00_3452); 
BgL_bucketz00_3456 = 
VECTOR_REF(BgL_arg1221z00_3447,BgL_kz00_3466); } 
{ /* Ast/check-sharing.scm 171 */
int BgL_kz00_3468;
BgL_kz00_3468 = 
(int)(BgL_restz00_3454); 
BgL_method2910z00_3444 = 
VECTOR_REF(BgL_bucketz00_3456,BgL_kz00_3468); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3444)(BgL_method2910z00_3444, 
(obj_t)(BgL_arg3077z00_2050), 
(obj_t)(BgL_nodez00_2039), BEOA);} } } } } 
}



/* check-node-sharing-select2930 */
obj_t BGl_checkzd2nodezd2sharingzd2select2930zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3905, obj_t BgL_nodez00_3906, obj_t BgL_contextz00_3907)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 153 */
{ 
BgL_selectz00_bglt BgL_nodez00_2024;obj_t BgL_contextz00_2025;
{ /* Ast/check-sharing.scm 153 */
bool_t BgL_auxz00_4598;
BgL_nodez00_2024 = 
(BgL_selectz00_bglt)(BgL_nodez00_3906); 
BgL_contextz00_2025 = BgL_contextz00_3907; 
{ 

{ /* Ast/check-sharing.scm 153 */
obj_t BgL_nextzd2method2929zd2_2037;
BgL_nextzd2method2929zd2_2037 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2024), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_selectz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2929zd2_2037))
{ /* Ast/check-sharing.scm 153 */
PROCEDURE_ENTRY(BgL_nextzd2method2929zd2_2037)(BgL_nextzd2method2929zd2_2037, 
(obj_t)(BgL_nodez00_2024), BgL_contextz00_2025, BEOA); }  else 
{ /* Ast/check-sharing.scm 153 */
{ /* Ast/check-sharing.scm 153 */
BgL_nodez00_bglt BgL_nodez00_3404;
BgL_nodez00_3404 = 
(BgL_nodez00_bglt)(BgL_nodez00_2024); 
{ /* Ast/check-sharing.scm 153 */
obj_t BgL_method2910z00_3406;
{ /* Ast/check-sharing.scm 153 */
long BgL_objzd2classzd2numz00_3408;
{ /* Ast/check-sharing.scm 153 */
BgL_objectz00_bglt BgL_auxz00_4607;
BgL_auxz00_4607 = 
(BgL_objectz00_bglt)(BgL_nodez00_3404); 
BgL_objzd2classzd2numz00_3408 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4607); } 
{ /* Ast/check-sharing.scm 153 */
obj_t BgL_arg1221z00_3409;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)1)); 
BgL_arg1221z00_3409 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4610); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_offsetz00_3413;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4613;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4614;
BgL_auxz00_4614 = 
(int)(BgL_objzd2classzd2numz00_3408); 
BgL_auxz00_4613 = 
(long)(BgL_auxz00_4614); } 
BgL_offsetz00_3413 = 
(BgL_auxz00_4613-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_modz00_3414;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4618;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4619;
BgL_auxz00_4619 = 
(int)(((long)8)); 
BgL_auxz00_4618 = 
(long)(BgL_auxz00_4619); } 
BgL_modz00_3414 = 
(BgL_offsetz00_3413/BgL_auxz00_4618); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_restz00_3416;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4623;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4624;
BgL_auxz00_4624 = 
(int)(((long)8)); 
BgL_auxz00_4623 = 
(long)(BgL_auxz00_4624); } 
BgL_restz00_3416 = 
(BgL_offsetz00_3413%BgL_auxz00_4623); } 
{ /* Ast/check-sharing.scm 153 */

{ /* Ast/check-sharing.scm 153 */
obj_t BgL_bucketz00_3418;
{ /* Ast/check-sharing.scm 153 */
int BgL_kz00_3428;
BgL_kz00_3428 = 
(int)(BgL_modz00_3414); 
BgL_bucketz00_3418 = 
VECTOR_REF(BgL_arg1221z00_3409,BgL_kz00_3428); } 
{ /* Ast/check-sharing.scm 153 */
int BgL_kz00_3430;
BgL_kz00_3430 = 
(int)(BgL_restz00_3416); 
BgL_method2910z00_3406 = 
VECTOR_REF(BgL_bucketz00_3418,BgL_kz00_3430); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3406)(BgL_method2910z00_3406, 
(obj_t)(BgL_nodez00_3404), BgL_contextz00_2025, BEOA); } } } } 
{ /* Ast/check-sharing.scm 156 */
BgL_nodez00_bglt BgL_arg3068z00_2029;
BgL_arg3068z00_2029 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2024))->BgL_testz00); 
{ /* Ast/check-sharing.scm 156 */
obj_t BgL_method2910z00_3346;
{ /* Ast/check-sharing.scm 156 */
long BgL_objzd2classzd2numz00_3348;
{ /* Ast/check-sharing.scm 156 */
BgL_objectz00_bglt BgL_auxz00_4636;
BgL_auxz00_4636 = 
(BgL_objectz00_bglt)(BgL_arg3068z00_2029); 
BgL_objzd2classzd2numz00_3348 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4636); } 
{ /* Ast/check-sharing.scm 156 */
obj_t BgL_arg1221z00_3349;
{ /* Ast/check-sharing.scm 156 */
int BgL_auxz00_4639;
BgL_auxz00_4639 = 
(int)(((long)1)); 
BgL_arg1221z00_3349 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4639); } 
{ /* Ast/check-sharing.scm 156 */
long BgL_offsetz00_3353;
{ /* Ast/check-sharing.scm 156 */
long BgL_auxz00_4642;
{ /* Ast/check-sharing.scm 156 */
int BgL_auxz00_4643;
BgL_auxz00_4643 = 
(int)(BgL_objzd2classzd2numz00_3348); 
BgL_auxz00_4642 = 
(long)(BgL_auxz00_4643); } 
BgL_offsetz00_3353 = 
(BgL_auxz00_4642-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 156 */
long BgL_modz00_3354;
{ /* Ast/check-sharing.scm 156 */
long BgL_auxz00_4647;
{ /* Ast/check-sharing.scm 156 */
int BgL_auxz00_4648;
BgL_auxz00_4648 = 
(int)(((long)8)); 
BgL_auxz00_4647 = 
(long)(BgL_auxz00_4648); } 
BgL_modz00_3354 = 
(BgL_offsetz00_3353/BgL_auxz00_4647); } 
{ /* Ast/check-sharing.scm 156 */
long BgL_restz00_3356;
{ /* Ast/check-sharing.scm 156 */
long BgL_auxz00_4652;
{ /* Ast/check-sharing.scm 156 */
int BgL_auxz00_4653;
BgL_auxz00_4653 = 
(int)(((long)8)); 
BgL_auxz00_4652 = 
(long)(BgL_auxz00_4653); } 
BgL_restz00_3356 = 
(BgL_offsetz00_3353%BgL_auxz00_4652); } 
{ /* Ast/check-sharing.scm 156 */

{ /* Ast/check-sharing.scm 156 */
obj_t BgL_bucketz00_3358;
{ /* Ast/check-sharing.scm 156 */
int BgL_kz00_3368;
BgL_kz00_3368 = 
(int)(BgL_modz00_3354); 
BgL_bucketz00_3358 = 
VECTOR_REF(BgL_arg1221z00_3349,BgL_kz00_3368); } 
{ /* Ast/check-sharing.scm 156 */
int BgL_kz00_3370;
BgL_kz00_3370 = 
(int)(BgL_restz00_3356); 
BgL_method2910z00_3346 = 
VECTOR_REF(BgL_bucketz00_3358,BgL_kz00_3370); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3346)(BgL_method2910z00_3346, 
(obj_t)(BgL_arg3068z00_2029), 
(obj_t)(BgL_nodez00_2024), BEOA); } } 
{ 
obj_t BgL_l2893z00_2030;
BgL_l2893z00_2030 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2024))->BgL_clausesz00); 
BgL_lname2894z00_2031:
if(
PAIRP(BgL_l2893z00_2030))
{ /* Ast/check-sharing.scm 157 */
{ /* Ast/check-sharing.scm 158 */
BgL_nodez00_bglt BgL_nodez00_3375;
{ /* Ast/check-sharing.scm 158 */
obj_t BgL_auxz00_4667;
{ /* Ast/check-sharing.scm 158 */
obj_t BgL_auxz00_4668;
BgL_auxz00_4668 = 
CAR(BgL_l2893z00_2030); 
BgL_auxz00_4667 = 
CDR(BgL_auxz00_4668); } 
BgL_nodez00_3375 = 
(BgL_nodez00_bglt)(BgL_auxz00_4667); } 
{ /* Ast/check-sharing.scm 158 */
obj_t BgL_method2910z00_3377;
{ /* Ast/check-sharing.scm 158 */
long BgL_objzd2classzd2numz00_3379;
{ /* Ast/check-sharing.scm 158 */
BgL_objectz00_bglt BgL_auxz00_4672;
BgL_auxz00_4672 = 
(BgL_objectz00_bglt)(BgL_nodez00_3375); 
BgL_objzd2classzd2numz00_3379 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4672); } 
{ /* Ast/check-sharing.scm 158 */
obj_t BgL_arg1221z00_3380;
{ /* Ast/check-sharing.scm 158 */
int BgL_auxz00_4675;
BgL_auxz00_4675 = 
(int)(((long)1)); 
BgL_arg1221z00_3380 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4675); } 
{ /* Ast/check-sharing.scm 158 */
long BgL_offsetz00_3384;
{ /* Ast/check-sharing.scm 158 */
long BgL_auxz00_4678;
{ /* Ast/check-sharing.scm 158 */
int BgL_auxz00_4679;
BgL_auxz00_4679 = 
(int)(BgL_objzd2classzd2numz00_3379); 
BgL_auxz00_4678 = 
(long)(BgL_auxz00_4679); } 
BgL_offsetz00_3384 = 
(BgL_auxz00_4678-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 158 */
long BgL_modz00_3385;
{ /* Ast/check-sharing.scm 158 */
long BgL_auxz00_4683;
{ /* Ast/check-sharing.scm 158 */
int BgL_auxz00_4684;
BgL_auxz00_4684 = 
(int)(((long)8)); 
BgL_auxz00_4683 = 
(long)(BgL_auxz00_4684); } 
BgL_modz00_3385 = 
(BgL_offsetz00_3384/BgL_auxz00_4683); } 
{ /* Ast/check-sharing.scm 158 */
long BgL_restz00_3387;
{ /* Ast/check-sharing.scm 158 */
long BgL_auxz00_4688;
{ /* Ast/check-sharing.scm 158 */
int BgL_auxz00_4689;
BgL_auxz00_4689 = 
(int)(((long)8)); 
BgL_auxz00_4688 = 
(long)(BgL_auxz00_4689); } 
BgL_restz00_3387 = 
(BgL_offsetz00_3384%BgL_auxz00_4688); } 
{ /* Ast/check-sharing.scm 158 */

{ /* Ast/check-sharing.scm 158 */
obj_t BgL_bucketz00_3389;
{ /* Ast/check-sharing.scm 158 */
int BgL_kz00_3399;
BgL_kz00_3399 = 
(int)(BgL_modz00_3385); 
BgL_bucketz00_3389 = 
VECTOR_REF(BgL_arg1221z00_3380,BgL_kz00_3399); } 
{ /* Ast/check-sharing.scm 158 */
int BgL_kz00_3401;
BgL_kz00_3401 = 
(int)(BgL_restz00_3387); 
BgL_method2910z00_3377 = 
VECTOR_REF(BgL_bucketz00_3389,BgL_kz00_3401); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3377)(BgL_method2910z00_3377, 
(obj_t)(BgL_nodez00_3375), 
(obj_t)(BgL_nodez00_2024), BEOA); } } 
{ 
obj_t BgL_l2893z00_4701;
BgL_l2893z00_4701 = 
CDR(BgL_l2893z00_2030); 
BgL_l2893z00_2030 = BgL_l2893z00_4701; 
goto BgL_lname2894z00_2031;} }  else 
{ /* Ast/check-sharing.scm 157 */
BgL_auxz00_4598 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_4598);} } } 
}



/* check-node-sharing-fail2928 */
obj_t BGl_checkzd2nodezd2sharingzd2fail2928zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3908, obj_t BgL_nodez00_3909, obj_t BgL_contextz00_3910)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 143 */
{ 
BgL_failz00_bglt BgL_nodez00_2014;obj_t BgL_contextz00_2015;
BgL_nodez00_2014 = 
(BgL_failz00_bglt)(BgL_nodez00_3909); 
BgL_contextz00_2015 = BgL_contextz00_3910; 
{ 

{ /* Ast/check-sharing.scm 143 */
obj_t BgL_nextzd2method2927zd2_2022;
BgL_nextzd2method2927zd2_2022 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2014), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_failz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2927zd2_2022))
{ /* Ast/check-sharing.scm 143 */
PROCEDURE_ENTRY(BgL_nextzd2method2927zd2_2022)(BgL_nextzd2method2927zd2_2022, 
(obj_t)(BgL_nodez00_2014), BgL_contextz00_2015, BEOA); }  else 
{ /* Ast/check-sharing.scm 143 */
{ /* Ast/check-sharing.scm 143 */
BgL_nodez00_bglt BgL_nodez00_3316;
BgL_nodez00_3316 = 
(BgL_nodez00_bglt)(BgL_nodez00_2014); 
{ /* Ast/check-sharing.scm 143 */
obj_t BgL_method2910z00_3318;
{ /* Ast/check-sharing.scm 143 */
long BgL_objzd2classzd2numz00_3320;
{ /* Ast/check-sharing.scm 143 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_nodez00_3316); 
BgL_objzd2classzd2numz00_3320 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4714); } 
{ /* Ast/check-sharing.scm 143 */
obj_t BgL_arg1221z00_3321;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4717;
BgL_auxz00_4717 = 
(int)(((long)1)); 
BgL_arg1221z00_3321 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4717); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_offsetz00_3325;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4720;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4721;
BgL_auxz00_4721 = 
(int)(BgL_objzd2classzd2numz00_3320); 
BgL_auxz00_4720 = 
(long)(BgL_auxz00_4721); } 
BgL_offsetz00_3325 = 
(BgL_auxz00_4720-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_modz00_3326;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4725;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4726;
BgL_auxz00_4726 = 
(int)(((long)8)); 
BgL_auxz00_4725 = 
(long)(BgL_auxz00_4726); } 
BgL_modz00_3326 = 
(BgL_offsetz00_3325/BgL_auxz00_4725); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_restz00_3328;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4730;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4731;
BgL_auxz00_4731 = 
(int)(((long)8)); 
BgL_auxz00_4730 = 
(long)(BgL_auxz00_4731); } 
BgL_restz00_3328 = 
(BgL_offsetz00_3325%BgL_auxz00_4730); } 
{ /* Ast/check-sharing.scm 143 */

{ /* Ast/check-sharing.scm 143 */
obj_t BgL_bucketz00_3330;
{ /* Ast/check-sharing.scm 143 */
int BgL_kz00_3340;
BgL_kz00_3340 = 
(int)(BgL_modz00_3326); 
BgL_bucketz00_3330 = 
VECTOR_REF(BgL_arg1221z00_3321,BgL_kz00_3340); } 
{ /* Ast/check-sharing.scm 143 */
int BgL_kz00_3342;
BgL_kz00_3342 = 
(int)(BgL_restz00_3328); 
BgL_method2910z00_3318 = 
VECTOR_REF(BgL_bucketz00_3330,BgL_kz00_3342); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3318)(BgL_method2910z00_3318, 
(obj_t)(BgL_nodez00_3316), BgL_contextz00_2015, BEOA); } } } } 
{ /* Ast/check-sharing.scm 146 */
BgL_nodez00_bglt BgL_arg3064z00_2019;
BgL_arg3064z00_2019 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_procz00); 
{ /* Ast/check-sharing.scm 146 */
obj_t BgL_method2910z00_3234;
{ /* Ast/check-sharing.scm 146 */
long BgL_objzd2classzd2numz00_3236;
{ /* Ast/check-sharing.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4743;
BgL_auxz00_4743 = 
(BgL_objectz00_bglt)(BgL_arg3064z00_2019); 
BgL_objzd2classzd2numz00_3236 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4743); } 
{ /* Ast/check-sharing.scm 146 */
obj_t BgL_arg1221z00_3237;
{ /* Ast/check-sharing.scm 146 */
int BgL_auxz00_4746;
BgL_auxz00_4746 = 
(int)(((long)1)); 
BgL_arg1221z00_3237 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4746); } 
{ /* Ast/check-sharing.scm 146 */
long BgL_offsetz00_3241;
{ /* Ast/check-sharing.scm 146 */
long BgL_auxz00_4749;
{ /* Ast/check-sharing.scm 146 */
int BgL_auxz00_4750;
BgL_auxz00_4750 = 
(int)(BgL_objzd2classzd2numz00_3236); 
BgL_auxz00_4749 = 
(long)(BgL_auxz00_4750); } 
BgL_offsetz00_3241 = 
(BgL_auxz00_4749-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 146 */
long BgL_modz00_3242;
{ /* Ast/check-sharing.scm 146 */
long BgL_auxz00_4754;
{ /* Ast/check-sharing.scm 146 */
int BgL_auxz00_4755;
BgL_auxz00_4755 = 
(int)(((long)8)); 
BgL_auxz00_4754 = 
(long)(BgL_auxz00_4755); } 
BgL_modz00_3242 = 
(BgL_offsetz00_3241/BgL_auxz00_4754); } 
{ /* Ast/check-sharing.scm 146 */
long BgL_restz00_3244;
{ /* Ast/check-sharing.scm 146 */
long BgL_auxz00_4759;
{ /* Ast/check-sharing.scm 146 */
int BgL_auxz00_4760;
BgL_auxz00_4760 = 
(int)(((long)8)); 
BgL_auxz00_4759 = 
(long)(BgL_auxz00_4760); } 
BgL_restz00_3244 = 
(BgL_offsetz00_3241%BgL_auxz00_4759); } 
{ /* Ast/check-sharing.scm 146 */

{ /* Ast/check-sharing.scm 146 */
obj_t BgL_bucketz00_3246;
{ /* Ast/check-sharing.scm 146 */
int BgL_kz00_3256;
BgL_kz00_3256 = 
(int)(BgL_modz00_3242); 
BgL_bucketz00_3246 = 
VECTOR_REF(BgL_arg1221z00_3237,BgL_kz00_3256); } 
{ /* Ast/check-sharing.scm 146 */
int BgL_kz00_3258;
BgL_kz00_3258 = 
(int)(BgL_restz00_3244); 
BgL_method2910z00_3234 = 
VECTOR_REF(BgL_bucketz00_3246,BgL_kz00_3258); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3234)(BgL_method2910z00_3234, 
(obj_t)(BgL_arg3064z00_2019), 
(obj_t)(BgL_nodez00_2014), BEOA); } } 
{ /* Ast/check-sharing.scm 147 */
BgL_nodez00_bglt BgL_arg3065z00_2020;
BgL_arg3065z00_2020 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_msgz00); 
{ /* Ast/check-sharing.scm 147 */
obj_t BgL_method2910z00_3262;
{ /* Ast/check-sharing.scm 147 */
long BgL_objzd2classzd2numz00_3264;
{ /* Ast/check-sharing.scm 147 */
BgL_objectz00_bglt BgL_auxz00_4773;
BgL_auxz00_4773 = 
(BgL_objectz00_bglt)(BgL_arg3065z00_2020); 
BgL_objzd2classzd2numz00_3264 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4773); } 
{ /* Ast/check-sharing.scm 147 */
obj_t BgL_arg1221z00_3265;
{ /* Ast/check-sharing.scm 147 */
int BgL_auxz00_4776;
BgL_auxz00_4776 = 
(int)(((long)1)); 
BgL_arg1221z00_3265 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4776); } 
{ /* Ast/check-sharing.scm 147 */
long BgL_offsetz00_3269;
{ /* Ast/check-sharing.scm 147 */
long BgL_auxz00_4779;
{ /* Ast/check-sharing.scm 147 */
int BgL_auxz00_4780;
BgL_auxz00_4780 = 
(int)(BgL_objzd2classzd2numz00_3264); 
BgL_auxz00_4779 = 
(long)(BgL_auxz00_4780); } 
BgL_offsetz00_3269 = 
(BgL_auxz00_4779-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 147 */
long BgL_modz00_3270;
{ /* Ast/check-sharing.scm 147 */
long BgL_auxz00_4784;
{ /* Ast/check-sharing.scm 147 */
int BgL_auxz00_4785;
BgL_auxz00_4785 = 
(int)(((long)8)); 
BgL_auxz00_4784 = 
(long)(BgL_auxz00_4785); } 
BgL_modz00_3270 = 
(BgL_offsetz00_3269/BgL_auxz00_4784); } 
{ /* Ast/check-sharing.scm 147 */
long BgL_restz00_3272;
{ /* Ast/check-sharing.scm 147 */
long BgL_auxz00_4789;
{ /* Ast/check-sharing.scm 147 */
int BgL_auxz00_4790;
BgL_auxz00_4790 = 
(int)(((long)8)); 
BgL_auxz00_4789 = 
(long)(BgL_auxz00_4790); } 
BgL_restz00_3272 = 
(BgL_offsetz00_3269%BgL_auxz00_4789); } 
{ /* Ast/check-sharing.scm 147 */

{ /* Ast/check-sharing.scm 147 */
obj_t BgL_bucketz00_3274;
{ /* Ast/check-sharing.scm 147 */
int BgL_kz00_3284;
BgL_kz00_3284 = 
(int)(BgL_modz00_3270); 
BgL_bucketz00_3274 = 
VECTOR_REF(BgL_arg1221z00_3265,BgL_kz00_3284); } 
{ /* Ast/check-sharing.scm 147 */
int BgL_kz00_3286;
BgL_kz00_3286 = 
(int)(BgL_restz00_3272); 
BgL_method2910z00_3262 = 
VECTOR_REF(BgL_bucketz00_3274,BgL_kz00_3286); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3262)(BgL_method2910z00_3262, 
(obj_t)(BgL_arg3065z00_2020), 
(obj_t)(BgL_nodez00_2014), BEOA); } } 
{ /* Ast/check-sharing.scm 148 */
BgL_nodez00_bglt BgL_arg3066z00_2021;
BgL_arg3066z00_2021 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_objz00); 
{ /* Ast/check-sharing.scm 148 */
obj_t BgL_method2910z00_3290;
{ /* Ast/check-sharing.scm 148 */
long BgL_objzd2classzd2numz00_3292;
{ /* Ast/check-sharing.scm 148 */
BgL_objectz00_bglt BgL_auxz00_4803;
BgL_auxz00_4803 = 
(BgL_objectz00_bglt)(BgL_arg3066z00_2021); 
BgL_objzd2classzd2numz00_3292 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4803); } 
{ /* Ast/check-sharing.scm 148 */
obj_t BgL_arg1221z00_3293;
{ /* Ast/check-sharing.scm 148 */
int BgL_auxz00_4806;
BgL_auxz00_4806 = 
(int)(((long)1)); 
BgL_arg1221z00_3293 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4806); } 
{ /* Ast/check-sharing.scm 148 */
long BgL_offsetz00_3297;
{ /* Ast/check-sharing.scm 148 */
long BgL_auxz00_4809;
{ /* Ast/check-sharing.scm 148 */
int BgL_auxz00_4810;
BgL_auxz00_4810 = 
(int)(BgL_objzd2classzd2numz00_3292); 
BgL_auxz00_4809 = 
(long)(BgL_auxz00_4810); } 
BgL_offsetz00_3297 = 
(BgL_auxz00_4809-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 148 */
long BgL_modz00_3298;
{ /* Ast/check-sharing.scm 148 */
long BgL_auxz00_4814;
{ /* Ast/check-sharing.scm 148 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(((long)8)); 
BgL_auxz00_4814 = 
(long)(BgL_auxz00_4815); } 
BgL_modz00_3298 = 
(BgL_offsetz00_3297/BgL_auxz00_4814); } 
{ /* Ast/check-sharing.scm 148 */
long BgL_restz00_3300;
{ /* Ast/check-sharing.scm 148 */
long BgL_auxz00_4819;
{ /* Ast/check-sharing.scm 148 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(((long)8)); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_restz00_3300 = 
(BgL_offsetz00_3297%BgL_auxz00_4819); } 
{ /* Ast/check-sharing.scm 148 */

{ /* Ast/check-sharing.scm 148 */
obj_t BgL_bucketz00_3302;
{ /* Ast/check-sharing.scm 148 */
int BgL_kz00_3312;
BgL_kz00_3312 = 
(int)(BgL_modz00_3298); 
BgL_bucketz00_3302 = 
VECTOR_REF(BgL_arg1221z00_3293,BgL_kz00_3312); } 
{ /* Ast/check-sharing.scm 148 */
int BgL_kz00_3314;
BgL_kz00_3314 = 
(int)(BgL_restz00_3300); 
BgL_method2910z00_3290 = 
VECTOR_REF(BgL_bucketz00_3302,BgL_kz00_3314); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3290)(BgL_method2910z00_3290, 
(obj_t)(BgL_arg3066z00_2021), 
(obj_t)(BgL_nodez00_2014), BEOA);} } } } } 
}



/* check-node-sharing-conditional2926 */
obj_t BGl_checkzd2nodezd2sharingzd2conditional2926zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3911, obj_t BgL_nodez00_3912, obj_t BgL_contextz00_3913)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 133 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2004;obj_t BgL_contextz00_2005;
BgL_nodez00_2004 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3912); 
BgL_contextz00_2005 = BgL_contextz00_3913; 
{ 

{ /* Ast/check-sharing.scm 133 */
obj_t BgL_nextzd2method2925zd2_2012;
BgL_nextzd2method2925zd2_2012 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2004), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_conditionalz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2925zd2_2012))
{ /* Ast/check-sharing.scm 133 */
PROCEDURE_ENTRY(BgL_nextzd2method2925zd2_2012)(BgL_nextzd2method2925zd2_2012, 
(obj_t)(BgL_nodez00_2004), BgL_contextz00_2005, BEOA); }  else 
{ /* Ast/check-sharing.scm 133 */
{ /* Ast/check-sharing.scm 133 */
BgL_nodez00_bglt BgL_nodez00_3204;
BgL_nodez00_3204 = 
(BgL_nodez00_bglt)(BgL_nodez00_2004); 
{ /* Ast/check-sharing.scm 133 */
obj_t BgL_method2910z00_3206;
{ /* Ast/check-sharing.scm 133 */
long BgL_objzd2classzd2numz00_3208;
{ /* Ast/check-sharing.scm 133 */
BgL_objectz00_bglt BgL_auxz00_4841;
BgL_auxz00_4841 = 
(BgL_objectz00_bglt)(BgL_nodez00_3204); 
BgL_objzd2classzd2numz00_3208 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4841); } 
{ /* Ast/check-sharing.scm 133 */
obj_t BgL_arg1221z00_3209;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)1)); 
BgL_arg1221z00_3209 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4844); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_offsetz00_3213;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4847;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4848;
BgL_auxz00_4848 = 
(int)(BgL_objzd2classzd2numz00_3208); 
BgL_auxz00_4847 = 
(long)(BgL_auxz00_4848); } 
BgL_offsetz00_3213 = 
(BgL_auxz00_4847-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_modz00_3214;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4852;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(((long)8)); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_modz00_3214 = 
(BgL_offsetz00_3213/BgL_auxz00_4852); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_restz00_3216;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4857;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(((long)8)); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_restz00_3216 = 
(BgL_offsetz00_3213%BgL_auxz00_4857); } 
{ /* Ast/check-sharing.scm 133 */

{ /* Ast/check-sharing.scm 133 */
obj_t BgL_bucketz00_3218;
{ /* Ast/check-sharing.scm 133 */
int BgL_kz00_3228;
BgL_kz00_3228 = 
(int)(BgL_modz00_3214); 
BgL_bucketz00_3218 = 
VECTOR_REF(BgL_arg1221z00_3209,BgL_kz00_3228); } 
{ /* Ast/check-sharing.scm 133 */
int BgL_kz00_3230;
BgL_kz00_3230 = 
(int)(BgL_restz00_3216); 
BgL_method2910z00_3206 = 
VECTOR_REF(BgL_bucketz00_3218,BgL_kz00_3230); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3206)(BgL_method2910z00_3206, 
(obj_t)(BgL_nodez00_3204), BgL_contextz00_2005, BEOA); } } } } 
{ /* Ast/check-sharing.scm 136 */
BgL_nodez00_bglt BgL_arg3060z00_2009;
BgL_arg3060z00_2009 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_testz00); 
{ /* Ast/check-sharing.scm 136 */
obj_t BgL_method2910z00_3122;
{ /* Ast/check-sharing.scm 136 */
long BgL_objzd2classzd2numz00_3124;
{ /* Ast/check-sharing.scm 136 */
BgL_objectz00_bglt BgL_auxz00_4870;
BgL_auxz00_4870 = 
(BgL_objectz00_bglt)(BgL_arg3060z00_2009); 
BgL_objzd2classzd2numz00_3124 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4870); } 
{ /* Ast/check-sharing.scm 136 */
obj_t BgL_arg1221z00_3125;
{ /* Ast/check-sharing.scm 136 */
int BgL_auxz00_4873;
BgL_auxz00_4873 = 
(int)(((long)1)); 
BgL_arg1221z00_3125 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4873); } 
{ /* Ast/check-sharing.scm 136 */
long BgL_offsetz00_3129;
{ /* Ast/check-sharing.scm 136 */
long BgL_auxz00_4876;
{ /* Ast/check-sharing.scm 136 */
int BgL_auxz00_4877;
BgL_auxz00_4877 = 
(int)(BgL_objzd2classzd2numz00_3124); 
BgL_auxz00_4876 = 
(long)(BgL_auxz00_4877); } 
BgL_offsetz00_3129 = 
(BgL_auxz00_4876-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 136 */
long BgL_modz00_3130;
{ /* Ast/check-sharing.scm 136 */
long BgL_auxz00_4881;
{ /* Ast/check-sharing.scm 136 */
int BgL_auxz00_4882;
BgL_auxz00_4882 = 
(int)(((long)8)); 
BgL_auxz00_4881 = 
(long)(BgL_auxz00_4882); } 
BgL_modz00_3130 = 
(BgL_offsetz00_3129/BgL_auxz00_4881); } 
{ /* Ast/check-sharing.scm 136 */
long BgL_restz00_3132;
{ /* Ast/check-sharing.scm 136 */
long BgL_auxz00_4886;
{ /* Ast/check-sharing.scm 136 */
int BgL_auxz00_4887;
BgL_auxz00_4887 = 
(int)(((long)8)); 
BgL_auxz00_4886 = 
(long)(BgL_auxz00_4887); } 
BgL_restz00_3132 = 
(BgL_offsetz00_3129%BgL_auxz00_4886); } 
{ /* Ast/check-sharing.scm 136 */

{ /* Ast/check-sharing.scm 136 */
obj_t BgL_bucketz00_3134;
{ /* Ast/check-sharing.scm 136 */
int BgL_kz00_3144;
BgL_kz00_3144 = 
(int)(BgL_modz00_3130); 
BgL_bucketz00_3134 = 
VECTOR_REF(BgL_arg1221z00_3125,BgL_kz00_3144); } 
{ /* Ast/check-sharing.scm 136 */
int BgL_kz00_3146;
BgL_kz00_3146 = 
(int)(BgL_restz00_3132); 
BgL_method2910z00_3122 = 
VECTOR_REF(BgL_bucketz00_3134,BgL_kz00_3146); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3122)(BgL_method2910z00_3122, 
(obj_t)(BgL_arg3060z00_2009), 
(obj_t)(BgL_nodez00_2004), BEOA); } } 
{ /* Ast/check-sharing.scm 137 */
BgL_nodez00_bglt BgL_arg3061z00_2010;
BgL_arg3061z00_2010 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_truez00); 
{ /* Ast/check-sharing.scm 137 */
obj_t BgL_method2910z00_3150;
{ /* Ast/check-sharing.scm 137 */
long BgL_objzd2classzd2numz00_3152;
{ /* Ast/check-sharing.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4900;
BgL_auxz00_4900 = 
(BgL_objectz00_bglt)(BgL_arg3061z00_2010); 
BgL_objzd2classzd2numz00_3152 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4900); } 
{ /* Ast/check-sharing.scm 137 */
obj_t BgL_arg1221z00_3153;
{ /* Ast/check-sharing.scm 137 */
int BgL_auxz00_4903;
BgL_auxz00_4903 = 
(int)(((long)1)); 
BgL_arg1221z00_3153 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4903); } 
{ /* Ast/check-sharing.scm 137 */
long BgL_offsetz00_3157;
{ /* Ast/check-sharing.scm 137 */
long BgL_auxz00_4906;
{ /* Ast/check-sharing.scm 137 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(BgL_objzd2classzd2numz00_3152); 
BgL_auxz00_4906 = 
(long)(BgL_auxz00_4907); } 
BgL_offsetz00_3157 = 
(BgL_auxz00_4906-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 137 */
long BgL_modz00_3158;
{ /* Ast/check-sharing.scm 137 */
long BgL_auxz00_4911;
{ /* Ast/check-sharing.scm 137 */
int BgL_auxz00_4912;
BgL_auxz00_4912 = 
(int)(((long)8)); 
BgL_auxz00_4911 = 
(long)(BgL_auxz00_4912); } 
BgL_modz00_3158 = 
(BgL_offsetz00_3157/BgL_auxz00_4911); } 
{ /* Ast/check-sharing.scm 137 */
long BgL_restz00_3160;
{ /* Ast/check-sharing.scm 137 */
long BgL_auxz00_4916;
{ /* Ast/check-sharing.scm 137 */
int BgL_auxz00_4917;
BgL_auxz00_4917 = 
(int)(((long)8)); 
BgL_auxz00_4916 = 
(long)(BgL_auxz00_4917); } 
BgL_restz00_3160 = 
(BgL_offsetz00_3157%BgL_auxz00_4916); } 
{ /* Ast/check-sharing.scm 137 */

{ /* Ast/check-sharing.scm 137 */
obj_t BgL_bucketz00_3162;
{ /* Ast/check-sharing.scm 137 */
int BgL_kz00_3172;
BgL_kz00_3172 = 
(int)(BgL_modz00_3158); 
BgL_bucketz00_3162 = 
VECTOR_REF(BgL_arg1221z00_3153,BgL_kz00_3172); } 
{ /* Ast/check-sharing.scm 137 */
int BgL_kz00_3174;
BgL_kz00_3174 = 
(int)(BgL_restz00_3160); 
BgL_method2910z00_3150 = 
VECTOR_REF(BgL_bucketz00_3162,BgL_kz00_3174); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3150)(BgL_method2910z00_3150, 
(obj_t)(BgL_arg3061z00_2010), 
(obj_t)(BgL_nodez00_2004), BEOA); } } 
{ /* Ast/check-sharing.scm 138 */
BgL_nodez00_bglt BgL_arg3062z00_2011;
BgL_arg3062z00_2011 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_falsez00); 
{ /* Ast/check-sharing.scm 138 */
obj_t BgL_method2910z00_3178;
{ /* Ast/check-sharing.scm 138 */
long BgL_objzd2classzd2numz00_3180;
{ /* Ast/check-sharing.scm 138 */
BgL_objectz00_bglt BgL_auxz00_4930;
BgL_auxz00_4930 = 
(BgL_objectz00_bglt)(BgL_arg3062z00_2011); 
BgL_objzd2classzd2numz00_3180 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4930); } 
{ /* Ast/check-sharing.scm 138 */
obj_t BgL_arg1221z00_3181;
{ /* Ast/check-sharing.scm 138 */
int BgL_auxz00_4933;
BgL_auxz00_4933 = 
(int)(((long)1)); 
BgL_arg1221z00_3181 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4933); } 
{ /* Ast/check-sharing.scm 138 */
long BgL_offsetz00_3185;
{ /* Ast/check-sharing.scm 138 */
long BgL_auxz00_4936;
{ /* Ast/check-sharing.scm 138 */
int BgL_auxz00_4937;
BgL_auxz00_4937 = 
(int)(BgL_objzd2classzd2numz00_3180); 
BgL_auxz00_4936 = 
(long)(BgL_auxz00_4937); } 
BgL_offsetz00_3185 = 
(BgL_auxz00_4936-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 138 */
long BgL_modz00_3186;
{ /* Ast/check-sharing.scm 138 */
long BgL_auxz00_4941;
{ /* Ast/check-sharing.scm 138 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)8)); 
BgL_auxz00_4941 = 
(long)(BgL_auxz00_4942); } 
BgL_modz00_3186 = 
(BgL_offsetz00_3185/BgL_auxz00_4941); } 
{ /* Ast/check-sharing.scm 138 */
long BgL_restz00_3188;
{ /* Ast/check-sharing.scm 138 */
long BgL_auxz00_4946;
{ /* Ast/check-sharing.scm 138 */
int BgL_auxz00_4947;
BgL_auxz00_4947 = 
(int)(((long)8)); 
BgL_auxz00_4946 = 
(long)(BgL_auxz00_4947); } 
BgL_restz00_3188 = 
(BgL_offsetz00_3185%BgL_auxz00_4946); } 
{ /* Ast/check-sharing.scm 138 */

{ /* Ast/check-sharing.scm 138 */
obj_t BgL_bucketz00_3190;
{ /* Ast/check-sharing.scm 138 */
int BgL_kz00_3200;
BgL_kz00_3200 = 
(int)(BgL_modz00_3186); 
BgL_bucketz00_3190 = 
VECTOR_REF(BgL_arg1221z00_3181,BgL_kz00_3200); } 
{ /* Ast/check-sharing.scm 138 */
int BgL_kz00_3202;
BgL_kz00_3202 = 
(int)(BgL_restz00_3188); 
BgL_method2910z00_3178 = 
VECTOR_REF(BgL_bucketz00_3190,BgL_kz00_3202); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3178)(BgL_method2910z00_3178, 
(obj_t)(BgL_arg3062z00_2011), 
(obj_t)(BgL_nodez00_2004), BEOA);} } } } } 
}



/* check-node-sharing-setq2924 */
obj_t BGl_checkzd2nodezd2sharingzd2setq2924zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3914, obj_t BgL_nodez00_3915, obj_t BgL_contextz00_3916)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 126 */
{ 
BgL_setqz00_bglt BgL_nodez00_1997;obj_t BgL_contextz00_1998;
BgL_nodez00_1997 = 
(BgL_setqz00_bglt)(BgL_nodez00_3915); 
BgL_contextz00_1998 = BgL_contextz00_3916; 
{ 

{ /* Ast/check-sharing.scm 126 */
obj_t BgL_nextzd2method2923zd2_2002;
BgL_nextzd2method2923zd2_2002 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1997), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setqz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2923zd2_2002))
{ /* Ast/check-sharing.scm 126 */
PROCEDURE_ENTRY(BgL_nextzd2method2923zd2_2002)(BgL_nextzd2method2923zd2_2002, 
(obj_t)(BgL_nodez00_1997), BgL_contextz00_1998, BEOA); }  else 
{ /* Ast/check-sharing.scm 126 */
{ /* Ast/check-sharing.scm 126 */
BgL_nodez00_bglt BgL_nodez00_3092;
BgL_nodez00_3092 = 
(BgL_nodez00_bglt)(BgL_nodez00_1997); 
{ /* Ast/check-sharing.scm 126 */
obj_t BgL_method2910z00_3094;
{ /* Ast/check-sharing.scm 126 */
long BgL_objzd2classzd2numz00_3096;
{ /* Ast/check-sharing.scm 126 */
BgL_objectz00_bglt BgL_auxz00_4968;
BgL_auxz00_4968 = 
(BgL_objectz00_bglt)(BgL_nodez00_3092); 
BgL_objzd2classzd2numz00_3096 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4968); } 
{ /* Ast/check-sharing.scm 126 */
obj_t BgL_arg1221z00_3097;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_4971;
BgL_auxz00_4971 = 
(int)(((long)1)); 
BgL_arg1221z00_3097 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4971); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_offsetz00_3101;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_4974;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_4975;
BgL_auxz00_4975 = 
(int)(BgL_objzd2classzd2numz00_3096); 
BgL_auxz00_4974 = 
(long)(BgL_auxz00_4975); } 
BgL_offsetz00_3101 = 
(BgL_auxz00_4974-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_modz00_3102;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_4979;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_4980;
BgL_auxz00_4980 = 
(int)(((long)8)); 
BgL_auxz00_4979 = 
(long)(BgL_auxz00_4980); } 
BgL_modz00_3102 = 
(BgL_offsetz00_3101/BgL_auxz00_4979); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_restz00_3104;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_4984;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_4985;
BgL_auxz00_4985 = 
(int)(((long)8)); 
BgL_auxz00_4984 = 
(long)(BgL_auxz00_4985); } 
BgL_restz00_3104 = 
(BgL_offsetz00_3101%BgL_auxz00_4984); } 
{ /* Ast/check-sharing.scm 126 */

{ /* Ast/check-sharing.scm 126 */
obj_t BgL_bucketz00_3106;
{ /* Ast/check-sharing.scm 126 */
int BgL_kz00_3116;
BgL_kz00_3116 = 
(int)(BgL_modz00_3102); 
BgL_bucketz00_3106 = 
VECTOR_REF(BgL_arg1221z00_3097,BgL_kz00_3116); } 
{ /* Ast/check-sharing.scm 126 */
int BgL_kz00_3118;
BgL_kz00_3118 = 
(int)(BgL_restz00_3104); 
BgL_method2910z00_3094 = 
VECTOR_REF(BgL_bucketz00_3106,BgL_kz00_3118); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3094)(BgL_method2910z00_3094, 
(obj_t)(BgL_nodez00_3092), BgL_contextz00_1998, BEOA); } } } } 
{ /* Ast/check-sharing.scm 128 */
BgL_nodez00_bglt BgL_arg3058z00_2001;
BgL_arg3058z00_2001 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1997))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 128 */
obj_t BgL_method2910z00_3066;
{ /* Ast/check-sharing.scm 128 */
long BgL_objzd2classzd2numz00_3068;
{ /* Ast/check-sharing.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4997;
BgL_auxz00_4997 = 
(BgL_objectz00_bglt)(BgL_arg3058z00_2001); 
BgL_objzd2classzd2numz00_3068 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4997); } 
{ /* Ast/check-sharing.scm 128 */
obj_t BgL_arg1221z00_3069;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5000;
BgL_auxz00_5000 = 
(int)(((long)1)); 
BgL_arg1221z00_3069 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5000); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_offsetz00_3073;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5003;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5004;
BgL_auxz00_5004 = 
(int)(BgL_objzd2classzd2numz00_3068); 
BgL_auxz00_5003 = 
(long)(BgL_auxz00_5004); } 
BgL_offsetz00_3073 = 
(BgL_auxz00_5003-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_modz00_3074;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5008;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5009;
BgL_auxz00_5009 = 
(int)(((long)8)); 
BgL_auxz00_5008 = 
(long)(BgL_auxz00_5009); } 
BgL_modz00_3074 = 
(BgL_offsetz00_3073/BgL_auxz00_5008); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_restz00_3076;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5013;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5014;
BgL_auxz00_5014 = 
(int)(((long)8)); 
BgL_auxz00_5013 = 
(long)(BgL_auxz00_5014); } 
BgL_restz00_3076 = 
(BgL_offsetz00_3073%BgL_auxz00_5013); } 
{ /* Ast/check-sharing.scm 128 */

{ /* Ast/check-sharing.scm 128 */
obj_t BgL_bucketz00_3078;
{ /* Ast/check-sharing.scm 128 */
int BgL_kz00_3088;
BgL_kz00_3088 = 
(int)(BgL_modz00_3074); 
BgL_bucketz00_3078 = 
VECTOR_REF(BgL_arg1221z00_3069,BgL_kz00_3088); } 
{ /* Ast/check-sharing.scm 128 */
int BgL_kz00_3090;
BgL_kz00_3090 = 
(int)(BgL_restz00_3076); 
BgL_method2910z00_3066 = 
VECTOR_REF(BgL_bucketz00_3078,BgL_kz00_3090); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3066)(BgL_method2910z00_3066, 
(obj_t)(BgL_arg3058z00_2001), 
(obj_t)(BgL_nodez00_1997), BEOA);} } } } } 
}



/* check-node-sharing-cast2922 */
obj_t BGl_checkzd2nodezd2sharingzd2cast2922zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3917, obj_t BgL_nodez00_3918, obj_t BgL_contextz00_3919)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 119 */
{ 
BgL_castz00_bglt BgL_nodez00_1990;obj_t BgL_contextz00_1991;
BgL_nodez00_1990 = 
(BgL_castz00_bglt)(BgL_nodez00_3918); 
BgL_contextz00_1991 = BgL_contextz00_3919; 
{ 

{ /* Ast/check-sharing.scm 119 */
obj_t BgL_nextzd2method2921zd2_1995;
BgL_nextzd2method2921zd2_1995 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1990), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_castz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2921zd2_1995))
{ /* Ast/check-sharing.scm 119 */
PROCEDURE_ENTRY(BgL_nextzd2method2921zd2_1995)(BgL_nextzd2method2921zd2_1995, 
(obj_t)(BgL_nodez00_1990), BgL_contextz00_1991, BEOA); }  else 
{ /* Ast/check-sharing.scm 119 */
{ /* Ast/check-sharing.scm 119 */
BgL_nodez00_bglt BgL_nodez00_3036;
BgL_nodez00_3036 = 
(BgL_nodez00_bglt)(BgL_nodez00_1990); 
{ /* Ast/check-sharing.scm 119 */
obj_t BgL_method2910z00_3038;
{ /* Ast/check-sharing.scm 119 */
long BgL_objzd2classzd2numz00_3040;
{ /* Ast/check-sharing.scm 119 */
BgL_objectz00_bglt BgL_auxz00_5035;
BgL_auxz00_5035 = 
(BgL_objectz00_bglt)(BgL_nodez00_3036); 
BgL_objzd2classzd2numz00_3040 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5035); } 
{ /* Ast/check-sharing.scm 119 */
obj_t BgL_arg1221z00_3041;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5038;
BgL_auxz00_5038 = 
(int)(((long)1)); 
BgL_arg1221z00_3041 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5038); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_offsetz00_3045;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5041;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5042;
BgL_auxz00_5042 = 
(int)(BgL_objzd2classzd2numz00_3040); 
BgL_auxz00_5041 = 
(long)(BgL_auxz00_5042); } 
BgL_offsetz00_3045 = 
(BgL_auxz00_5041-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_modz00_3046;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5046;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5047;
BgL_auxz00_5047 = 
(int)(((long)8)); 
BgL_auxz00_5046 = 
(long)(BgL_auxz00_5047); } 
BgL_modz00_3046 = 
(BgL_offsetz00_3045/BgL_auxz00_5046); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_restz00_3048;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5051;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5052;
BgL_auxz00_5052 = 
(int)(((long)8)); 
BgL_auxz00_5051 = 
(long)(BgL_auxz00_5052); } 
BgL_restz00_3048 = 
(BgL_offsetz00_3045%BgL_auxz00_5051); } 
{ /* Ast/check-sharing.scm 119 */

{ /* Ast/check-sharing.scm 119 */
obj_t BgL_bucketz00_3050;
{ /* Ast/check-sharing.scm 119 */
int BgL_kz00_3060;
BgL_kz00_3060 = 
(int)(BgL_modz00_3046); 
BgL_bucketz00_3050 = 
VECTOR_REF(BgL_arg1221z00_3041,BgL_kz00_3060); } 
{ /* Ast/check-sharing.scm 119 */
int BgL_kz00_3062;
BgL_kz00_3062 = 
(int)(BgL_restz00_3048); 
BgL_method2910z00_3038 = 
VECTOR_REF(BgL_bucketz00_3050,BgL_kz00_3062); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_3038)(BgL_method2910z00_3038, 
(obj_t)(BgL_nodez00_3036), BgL_contextz00_1991, BEOA); } } } } 
{ /* Ast/check-sharing.scm 121 */
BgL_nodez00_bglt BgL_arg3056z00_1994;
BgL_arg3056z00_1994 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1990))->BgL_argz00); 
{ /* Ast/check-sharing.scm 121 */
obj_t BgL_method2910z00_3010;
{ /* Ast/check-sharing.scm 121 */
long BgL_objzd2classzd2numz00_3012;
{ /* Ast/check-sharing.scm 121 */
BgL_objectz00_bglt BgL_auxz00_5064;
BgL_auxz00_5064 = 
(BgL_objectz00_bglt)(BgL_arg3056z00_1994); 
BgL_objzd2classzd2numz00_3012 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5064); } 
{ /* Ast/check-sharing.scm 121 */
obj_t BgL_arg1221z00_3013;
{ /* Ast/check-sharing.scm 121 */
int BgL_auxz00_5067;
BgL_auxz00_5067 = 
(int)(((long)1)); 
BgL_arg1221z00_3013 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5067); } 
{ /* Ast/check-sharing.scm 121 */
long BgL_offsetz00_3017;
{ /* Ast/check-sharing.scm 121 */
long BgL_auxz00_5070;
{ /* Ast/check-sharing.scm 121 */
int BgL_auxz00_5071;
BgL_auxz00_5071 = 
(int)(BgL_objzd2classzd2numz00_3012); 
BgL_auxz00_5070 = 
(long)(BgL_auxz00_5071); } 
BgL_offsetz00_3017 = 
(BgL_auxz00_5070-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 121 */
long BgL_modz00_3018;
{ /* Ast/check-sharing.scm 121 */
long BgL_auxz00_5075;
{ /* Ast/check-sharing.scm 121 */
int BgL_auxz00_5076;
BgL_auxz00_5076 = 
(int)(((long)8)); 
BgL_auxz00_5075 = 
(long)(BgL_auxz00_5076); } 
BgL_modz00_3018 = 
(BgL_offsetz00_3017/BgL_auxz00_5075); } 
{ /* Ast/check-sharing.scm 121 */
long BgL_restz00_3020;
{ /* Ast/check-sharing.scm 121 */
long BgL_auxz00_5080;
{ /* Ast/check-sharing.scm 121 */
int BgL_auxz00_5081;
BgL_auxz00_5081 = 
(int)(((long)8)); 
BgL_auxz00_5080 = 
(long)(BgL_auxz00_5081); } 
BgL_restz00_3020 = 
(BgL_offsetz00_3017%BgL_auxz00_5080); } 
{ /* Ast/check-sharing.scm 121 */

{ /* Ast/check-sharing.scm 121 */
obj_t BgL_bucketz00_3022;
{ /* Ast/check-sharing.scm 121 */
int BgL_kz00_3032;
BgL_kz00_3032 = 
(int)(BgL_modz00_3018); 
BgL_bucketz00_3022 = 
VECTOR_REF(BgL_arg1221z00_3013,BgL_kz00_3032); } 
{ /* Ast/check-sharing.scm 121 */
int BgL_kz00_3034;
BgL_kz00_3034 = 
(int)(BgL_restz00_3020); 
BgL_method2910z00_3010 = 
VECTOR_REF(BgL_bucketz00_3022,BgL_kz00_3034); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3010)(BgL_method2910z00_3010, 
(obj_t)(BgL_arg3056z00_1994), 
(obj_t)(BgL_nodez00_1990), BEOA);} } } } } 
}



/* check-node-sharing-extern2920 */
obj_t BGl_checkzd2nodezd2sharingzd2extern2920zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3920, obj_t BgL_nodez00_3921, obj_t BgL_contextz00_3922)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 112 */
{ 
BgL_externz00_bglt BgL_nodez00_1983;obj_t BgL_contextz00_1984;
{ /* Ast/check-sharing.scm 112 */
bool_t BgL_auxz00_5094;
BgL_nodez00_1983 = 
(BgL_externz00_bglt)(BgL_nodez00_3921); 
BgL_contextz00_1984 = BgL_contextz00_3922; 
{ 

{ /* Ast/check-sharing.scm 112 */
obj_t BgL_nextzd2method2919zd2_1988;
BgL_nextzd2method2919zd2_1988 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1983), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_externz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2919zd2_1988))
{ /* Ast/check-sharing.scm 112 */
PROCEDURE_ENTRY(BgL_nextzd2method2919zd2_1988)(BgL_nextzd2method2919zd2_1988, 
(obj_t)(BgL_nodez00_1983), BgL_contextz00_1984, BEOA); }  else 
{ /* Ast/check-sharing.scm 112 */
{ /* Ast/check-sharing.scm 112 */
BgL_nodez00_bglt BgL_nodez00_2980;
BgL_nodez00_2980 = 
(BgL_nodez00_bglt)(BgL_nodez00_1983); 
{ /* Ast/check-sharing.scm 112 */
obj_t BgL_method2910z00_2982;
{ /* Ast/check-sharing.scm 112 */
long BgL_objzd2classzd2numz00_2984;
{ /* Ast/check-sharing.scm 112 */
BgL_objectz00_bglt BgL_auxz00_5103;
BgL_auxz00_5103 = 
(BgL_objectz00_bglt)(BgL_nodez00_2980); 
BgL_objzd2classzd2numz00_2984 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5103); } 
{ /* Ast/check-sharing.scm 112 */
obj_t BgL_arg1221z00_2985;
{ /* Ast/check-sharing.scm 112 */
int BgL_auxz00_5106;
BgL_auxz00_5106 = 
(int)(((long)1)); 
BgL_arg1221z00_2985 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5106); } 
{ /* Ast/check-sharing.scm 112 */
long BgL_offsetz00_2989;
{ /* Ast/check-sharing.scm 112 */
long BgL_auxz00_5109;
{ /* Ast/check-sharing.scm 112 */
int BgL_auxz00_5110;
BgL_auxz00_5110 = 
(int)(BgL_objzd2classzd2numz00_2984); 
BgL_auxz00_5109 = 
(long)(BgL_auxz00_5110); } 
BgL_offsetz00_2989 = 
(BgL_auxz00_5109-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 112 */
long BgL_modz00_2990;
{ /* Ast/check-sharing.scm 112 */
long BgL_auxz00_5114;
{ /* Ast/check-sharing.scm 112 */
int BgL_auxz00_5115;
BgL_auxz00_5115 = 
(int)(((long)8)); 
BgL_auxz00_5114 = 
(long)(BgL_auxz00_5115); } 
BgL_modz00_2990 = 
(BgL_offsetz00_2989/BgL_auxz00_5114); } 
{ /* Ast/check-sharing.scm 112 */
long BgL_restz00_2992;
{ /* Ast/check-sharing.scm 112 */
long BgL_auxz00_5119;
{ /* Ast/check-sharing.scm 112 */
int BgL_auxz00_5120;
BgL_auxz00_5120 = 
(int)(((long)8)); 
BgL_auxz00_5119 = 
(long)(BgL_auxz00_5120); } 
BgL_restz00_2992 = 
(BgL_offsetz00_2989%BgL_auxz00_5119); } 
{ /* Ast/check-sharing.scm 112 */

{ /* Ast/check-sharing.scm 112 */
obj_t BgL_bucketz00_2994;
{ /* Ast/check-sharing.scm 112 */
int BgL_kz00_3004;
BgL_kz00_3004 = 
(int)(BgL_modz00_2990); 
BgL_bucketz00_2994 = 
VECTOR_REF(BgL_arg1221z00_2985,BgL_kz00_3004); } 
{ /* Ast/check-sharing.scm 112 */
int BgL_kz00_3006;
BgL_kz00_3006 = 
(int)(BgL_restz00_2992); 
BgL_method2910z00_2982 = 
VECTOR_REF(BgL_bucketz00_2994,BgL_kz00_3006); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2982)(BgL_method2910z00_2982, 
(obj_t)(BgL_nodez00_2980), BgL_contextz00_1984, BEOA); } } } } 
BgL_auxz00_5094 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1983))->BgL_exprza2za2), 
(obj_t)(BgL_nodez00_1983)); } 
return 
BBOOL(BgL_auxz00_5094);} } } 
}



/* check-node-sharing-funcall2918 */
obj_t BGl_checkzd2nodezd2sharingzd2funcall2918zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3923, obj_t BgL_nodez00_3924, obj_t BgL_contextz00_3925)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 103 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1974;obj_t BgL_contextz00_1975;
{ /* Ast/check-sharing.scm 103 */
bool_t BgL_auxz00_5136;
BgL_nodez00_1974 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3924); 
BgL_contextz00_1975 = BgL_contextz00_3925; 
{ 

{ /* Ast/check-sharing.scm 103 */
obj_t BgL_nextzd2method2917zd2_1981;
BgL_nextzd2method2917zd2_1981 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1974), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_funcallz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2917zd2_1981))
{ /* Ast/check-sharing.scm 103 */
PROCEDURE_ENTRY(BgL_nextzd2method2917zd2_1981)(BgL_nextzd2method2917zd2_1981, 
(obj_t)(BgL_nodez00_1974), BgL_contextz00_1975, BEOA); }  else 
{ /* Ast/check-sharing.scm 103 */
{ /* Ast/check-sharing.scm 103 */
BgL_nodez00_bglt BgL_nodez00_2951;
BgL_nodez00_2951 = 
(BgL_nodez00_bglt)(BgL_nodez00_1974); 
{ /* Ast/check-sharing.scm 103 */
obj_t BgL_method2910z00_2953;
{ /* Ast/check-sharing.scm 103 */
long BgL_objzd2classzd2numz00_2955;
{ /* Ast/check-sharing.scm 103 */
BgL_objectz00_bglt BgL_auxz00_5145;
BgL_auxz00_5145 = 
(BgL_objectz00_bglt)(BgL_nodez00_2951); 
BgL_objzd2classzd2numz00_2955 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5145); } 
{ /* Ast/check-sharing.scm 103 */
obj_t BgL_arg1221z00_2956;
{ /* Ast/check-sharing.scm 103 */
int BgL_auxz00_5148;
BgL_auxz00_5148 = 
(int)(((long)1)); 
BgL_arg1221z00_2956 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5148); } 
{ /* Ast/check-sharing.scm 103 */
long BgL_offsetz00_2960;
{ /* Ast/check-sharing.scm 103 */
long BgL_auxz00_5151;
{ /* Ast/check-sharing.scm 103 */
int BgL_auxz00_5152;
BgL_auxz00_5152 = 
(int)(BgL_objzd2classzd2numz00_2955); 
BgL_auxz00_5151 = 
(long)(BgL_auxz00_5152); } 
BgL_offsetz00_2960 = 
(BgL_auxz00_5151-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 103 */
long BgL_modz00_2961;
{ /* Ast/check-sharing.scm 103 */
long BgL_auxz00_5156;
{ /* Ast/check-sharing.scm 103 */
int BgL_auxz00_5157;
BgL_auxz00_5157 = 
(int)(((long)8)); 
BgL_auxz00_5156 = 
(long)(BgL_auxz00_5157); } 
BgL_modz00_2961 = 
(BgL_offsetz00_2960/BgL_auxz00_5156); } 
{ /* Ast/check-sharing.scm 103 */
long BgL_restz00_2963;
{ /* Ast/check-sharing.scm 103 */
long BgL_auxz00_5161;
{ /* Ast/check-sharing.scm 103 */
int BgL_auxz00_5162;
BgL_auxz00_5162 = 
(int)(((long)8)); 
BgL_auxz00_5161 = 
(long)(BgL_auxz00_5162); } 
BgL_restz00_2963 = 
(BgL_offsetz00_2960%BgL_auxz00_5161); } 
{ /* Ast/check-sharing.scm 103 */

{ /* Ast/check-sharing.scm 103 */
obj_t BgL_bucketz00_2965;
{ /* Ast/check-sharing.scm 103 */
int BgL_kz00_2975;
BgL_kz00_2975 = 
(int)(BgL_modz00_2961); 
BgL_bucketz00_2965 = 
VECTOR_REF(BgL_arg1221z00_2956,BgL_kz00_2975); } 
{ /* Ast/check-sharing.scm 103 */
int BgL_kz00_2977;
BgL_kz00_2977 = 
(int)(BgL_restz00_2963); 
BgL_method2910z00_2953 = 
VECTOR_REF(BgL_bucketz00_2965,BgL_kz00_2977); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2953)(BgL_method2910z00_2953, 
(obj_t)(BgL_nodez00_2951), BgL_contextz00_1975, BEOA); } } } } 
{ /* Ast/check-sharing.scm 106 */
BgL_nodez00_bglt BgL_arg3051z00_1979;
BgL_arg3051z00_1979 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_funz00); 
{ /* Ast/check-sharing.scm 106 */
obj_t BgL_method2910z00_2924;
{ /* Ast/check-sharing.scm 106 */
long BgL_objzd2classzd2numz00_2926;
{ /* Ast/check-sharing.scm 106 */
BgL_objectz00_bglt BgL_auxz00_5174;
BgL_auxz00_5174 = 
(BgL_objectz00_bglt)(BgL_arg3051z00_1979); 
BgL_objzd2classzd2numz00_2926 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5174); } 
{ /* Ast/check-sharing.scm 106 */
obj_t BgL_arg1221z00_2927;
{ /* Ast/check-sharing.scm 106 */
int BgL_auxz00_5177;
BgL_auxz00_5177 = 
(int)(((long)1)); 
BgL_arg1221z00_2927 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5177); } 
{ /* Ast/check-sharing.scm 106 */
long BgL_offsetz00_2931;
{ /* Ast/check-sharing.scm 106 */
long BgL_auxz00_5180;
{ /* Ast/check-sharing.scm 106 */
int BgL_auxz00_5181;
BgL_auxz00_5181 = 
(int)(BgL_objzd2classzd2numz00_2926); 
BgL_auxz00_5180 = 
(long)(BgL_auxz00_5181); } 
BgL_offsetz00_2931 = 
(BgL_auxz00_5180-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 106 */
long BgL_modz00_2932;
{ /* Ast/check-sharing.scm 106 */
long BgL_auxz00_5185;
{ /* Ast/check-sharing.scm 106 */
int BgL_auxz00_5186;
BgL_auxz00_5186 = 
(int)(((long)8)); 
BgL_auxz00_5185 = 
(long)(BgL_auxz00_5186); } 
BgL_modz00_2932 = 
(BgL_offsetz00_2931/BgL_auxz00_5185); } 
{ /* Ast/check-sharing.scm 106 */
long BgL_restz00_2934;
{ /* Ast/check-sharing.scm 106 */
long BgL_auxz00_5190;
{ /* Ast/check-sharing.scm 106 */
int BgL_auxz00_5191;
BgL_auxz00_5191 = 
(int)(((long)8)); 
BgL_auxz00_5190 = 
(long)(BgL_auxz00_5191); } 
BgL_restz00_2934 = 
(BgL_offsetz00_2931%BgL_auxz00_5190); } 
{ /* Ast/check-sharing.scm 106 */

{ /* Ast/check-sharing.scm 106 */
obj_t BgL_bucketz00_2936;
{ /* Ast/check-sharing.scm 106 */
int BgL_kz00_2946;
BgL_kz00_2946 = 
(int)(BgL_modz00_2932); 
BgL_bucketz00_2936 = 
VECTOR_REF(BgL_arg1221z00_2927,BgL_kz00_2946); } 
{ /* Ast/check-sharing.scm 106 */
int BgL_kz00_2948;
BgL_kz00_2948 = 
(int)(BgL_restz00_2934); 
BgL_method2910z00_2924 = 
VECTOR_REF(BgL_bucketz00_2936,BgL_kz00_2948); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2924)(BgL_method2910z00_2924, 
(obj_t)(BgL_arg3051z00_1979), 
(obj_t)(BgL_nodez00_1974), BEOA); } } 
BgL_auxz00_5136 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_argsz00), 
(obj_t)(BgL_nodez00_1974)); } 
return 
BBOOL(BgL_auxz00_5136);} } } 
}



/* check-node-sharing-app-ly2916 */
obj_t BGl_checkzd2nodezd2sharingzd2appzd2ly2916z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3926, obj_t BgL_nodez00_3927, obj_t BgL_contextz00_3928)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 94 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1965;obj_t BgL_contextz00_1966;
BgL_nodez00_1965 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3927); 
BgL_contextz00_1966 = BgL_contextz00_3928; 
{ 

{ /* Ast/check-sharing.scm 94 */
obj_t BgL_nextzd2method2915zd2_1972;
BgL_nextzd2method2915zd2_1972 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1965), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appzd2lyzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2915zd2_1972))
{ /* Ast/check-sharing.scm 94 */
PROCEDURE_ENTRY(BgL_nextzd2method2915zd2_1972)(BgL_nextzd2method2915zd2_1972, 
(obj_t)(BgL_nodez00_1965), BgL_contextz00_1966, BEOA); }  else 
{ /* Ast/check-sharing.scm 94 */
{ /* Ast/check-sharing.scm 94 */
BgL_nodez00_bglt BgL_nodez00_2894;
BgL_nodez00_2894 = 
(BgL_nodez00_bglt)(BgL_nodez00_1965); 
{ /* Ast/check-sharing.scm 94 */
obj_t BgL_method2910z00_2896;
{ /* Ast/check-sharing.scm 94 */
long BgL_objzd2classzd2numz00_2898;
{ /* Ast/check-sharing.scm 94 */
BgL_objectz00_bglt BgL_auxz00_5216;
BgL_auxz00_5216 = 
(BgL_objectz00_bglt)(BgL_nodez00_2894); 
BgL_objzd2classzd2numz00_2898 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5216); } 
{ /* Ast/check-sharing.scm 94 */
obj_t BgL_arg1221z00_2899;
{ /* Ast/check-sharing.scm 94 */
int BgL_auxz00_5219;
BgL_auxz00_5219 = 
(int)(((long)1)); 
BgL_arg1221z00_2899 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5219); } 
{ /* Ast/check-sharing.scm 94 */
long BgL_offsetz00_2903;
{ /* Ast/check-sharing.scm 94 */
long BgL_auxz00_5222;
{ /* Ast/check-sharing.scm 94 */
int BgL_auxz00_5223;
BgL_auxz00_5223 = 
(int)(BgL_objzd2classzd2numz00_2898); 
BgL_auxz00_5222 = 
(long)(BgL_auxz00_5223); } 
BgL_offsetz00_2903 = 
(BgL_auxz00_5222-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 94 */
long BgL_modz00_2904;
{ /* Ast/check-sharing.scm 94 */
long BgL_auxz00_5227;
{ /* Ast/check-sharing.scm 94 */
int BgL_auxz00_5228;
BgL_auxz00_5228 = 
(int)(((long)8)); 
BgL_auxz00_5227 = 
(long)(BgL_auxz00_5228); } 
BgL_modz00_2904 = 
(BgL_offsetz00_2903/BgL_auxz00_5227); } 
{ /* Ast/check-sharing.scm 94 */
long BgL_restz00_2906;
{ /* Ast/check-sharing.scm 94 */
long BgL_auxz00_5232;
{ /* Ast/check-sharing.scm 94 */
int BgL_auxz00_5233;
BgL_auxz00_5233 = 
(int)(((long)8)); 
BgL_auxz00_5232 = 
(long)(BgL_auxz00_5233); } 
BgL_restz00_2906 = 
(BgL_offsetz00_2903%BgL_auxz00_5232); } 
{ /* Ast/check-sharing.scm 94 */

{ /* Ast/check-sharing.scm 94 */
obj_t BgL_bucketz00_2908;
{ /* Ast/check-sharing.scm 94 */
int BgL_kz00_2918;
BgL_kz00_2918 = 
(int)(BgL_modz00_2904); 
BgL_bucketz00_2908 = 
VECTOR_REF(BgL_arg1221z00_2899,BgL_kz00_2918); } 
{ /* Ast/check-sharing.scm 94 */
int BgL_kz00_2920;
BgL_kz00_2920 = 
(int)(BgL_restz00_2906); 
BgL_method2910z00_2896 = 
VECTOR_REF(BgL_bucketz00_2908,BgL_kz00_2920); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2896)(BgL_method2910z00_2896, 
(obj_t)(BgL_nodez00_2894), BgL_contextz00_1966, BEOA); } } } } 
{ /* Ast/check-sharing.scm 97 */
BgL_nodez00_bglt BgL_arg3048z00_1970;
BgL_arg3048z00_1970 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1965))->BgL_funz00); 
{ /* Ast/check-sharing.scm 97 */
obj_t BgL_method2910z00_2840;
{ /* Ast/check-sharing.scm 97 */
long BgL_objzd2classzd2numz00_2842;
{ /* Ast/check-sharing.scm 97 */
BgL_objectz00_bglt BgL_auxz00_5245;
BgL_auxz00_5245 = 
(BgL_objectz00_bglt)(BgL_arg3048z00_1970); 
BgL_objzd2classzd2numz00_2842 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5245); } 
{ /* Ast/check-sharing.scm 97 */
obj_t BgL_arg1221z00_2843;
{ /* Ast/check-sharing.scm 97 */
int BgL_auxz00_5248;
BgL_auxz00_5248 = 
(int)(((long)1)); 
BgL_arg1221z00_2843 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5248); } 
{ /* Ast/check-sharing.scm 97 */
long BgL_offsetz00_2847;
{ /* Ast/check-sharing.scm 97 */
long BgL_auxz00_5251;
{ /* Ast/check-sharing.scm 97 */
int BgL_auxz00_5252;
BgL_auxz00_5252 = 
(int)(BgL_objzd2classzd2numz00_2842); 
BgL_auxz00_5251 = 
(long)(BgL_auxz00_5252); } 
BgL_offsetz00_2847 = 
(BgL_auxz00_5251-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 97 */
long BgL_modz00_2848;
{ /* Ast/check-sharing.scm 97 */
long BgL_auxz00_5256;
{ /* Ast/check-sharing.scm 97 */
int BgL_auxz00_5257;
BgL_auxz00_5257 = 
(int)(((long)8)); 
BgL_auxz00_5256 = 
(long)(BgL_auxz00_5257); } 
BgL_modz00_2848 = 
(BgL_offsetz00_2847/BgL_auxz00_5256); } 
{ /* Ast/check-sharing.scm 97 */
long BgL_restz00_2850;
{ /* Ast/check-sharing.scm 97 */
long BgL_auxz00_5261;
{ /* Ast/check-sharing.scm 97 */
int BgL_auxz00_5262;
BgL_auxz00_5262 = 
(int)(((long)8)); 
BgL_auxz00_5261 = 
(long)(BgL_auxz00_5262); } 
BgL_restz00_2850 = 
(BgL_offsetz00_2847%BgL_auxz00_5261); } 
{ /* Ast/check-sharing.scm 97 */

{ /* Ast/check-sharing.scm 97 */
obj_t BgL_bucketz00_2852;
{ /* Ast/check-sharing.scm 97 */
int BgL_kz00_2862;
BgL_kz00_2862 = 
(int)(BgL_modz00_2848); 
BgL_bucketz00_2852 = 
VECTOR_REF(BgL_arg1221z00_2843,BgL_kz00_2862); } 
{ /* Ast/check-sharing.scm 97 */
int BgL_kz00_2864;
BgL_kz00_2864 = 
(int)(BgL_restz00_2850); 
BgL_method2910z00_2840 = 
VECTOR_REF(BgL_bucketz00_2852,BgL_kz00_2864); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2840)(BgL_method2910z00_2840, 
(obj_t)(BgL_arg3048z00_1970), 
(obj_t)(BgL_nodez00_1965), BEOA); } } 
{ /* Ast/check-sharing.scm 98 */
BgL_nodez00_bglt BgL_arg3049z00_1971;
BgL_arg3049z00_1971 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1965))->BgL_argz00); 
{ /* Ast/check-sharing.scm 98 */
obj_t BgL_method2910z00_2868;
{ /* Ast/check-sharing.scm 98 */
long BgL_objzd2classzd2numz00_2870;
{ /* Ast/check-sharing.scm 98 */
BgL_objectz00_bglt BgL_auxz00_5275;
BgL_auxz00_5275 = 
(BgL_objectz00_bglt)(BgL_arg3049z00_1971); 
BgL_objzd2classzd2numz00_2870 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5275); } 
{ /* Ast/check-sharing.scm 98 */
obj_t BgL_arg1221z00_2871;
{ /* Ast/check-sharing.scm 98 */
int BgL_auxz00_5278;
BgL_auxz00_5278 = 
(int)(((long)1)); 
BgL_arg1221z00_2871 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5278); } 
{ /* Ast/check-sharing.scm 98 */
long BgL_offsetz00_2875;
{ /* Ast/check-sharing.scm 98 */
long BgL_auxz00_5281;
{ /* Ast/check-sharing.scm 98 */
int BgL_auxz00_5282;
BgL_auxz00_5282 = 
(int)(BgL_objzd2classzd2numz00_2870); 
BgL_auxz00_5281 = 
(long)(BgL_auxz00_5282); } 
BgL_offsetz00_2875 = 
(BgL_auxz00_5281-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 98 */
long BgL_modz00_2876;
{ /* Ast/check-sharing.scm 98 */
long BgL_auxz00_5286;
{ /* Ast/check-sharing.scm 98 */
int BgL_auxz00_5287;
BgL_auxz00_5287 = 
(int)(((long)8)); 
BgL_auxz00_5286 = 
(long)(BgL_auxz00_5287); } 
BgL_modz00_2876 = 
(BgL_offsetz00_2875/BgL_auxz00_5286); } 
{ /* Ast/check-sharing.scm 98 */
long BgL_restz00_2878;
{ /* Ast/check-sharing.scm 98 */
long BgL_auxz00_5291;
{ /* Ast/check-sharing.scm 98 */
int BgL_auxz00_5292;
BgL_auxz00_5292 = 
(int)(((long)8)); 
BgL_auxz00_5291 = 
(long)(BgL_auxz00_5292); } 
BgL_restz00_2878 = 
(BgL_offsetz00_2875%BgL_auxz00_5291); } 
{ /* Ast/check-sharing.scm 98 */

{ /* Ast/check-sharing.scm 98 */
obj_t BgL_bucketz00_2880;
{ /* Ast/check-sharing.scm 98 */
int BgL_kz00_2890;
BgL_kz00_2890 = 
(int)(BgL_modz00_2876); 
BgL_bucketz00_2880 = 
VECTOR_REF(BgL_arg1221z00_2871,BgL_kz00_2890); } 
{ /* Ast/check-sharing.scm 98 */
int BgL_kz00_2892;
BgL_kz00_2892 = 
(int)(BgL_restz00_2878); 
BgL_method2910z00_2868 = 
VECTOR_REF(BgL_bucketz00_2880,BgL_kz00_2892); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_2868)(BgL_method2910z00_2868, 
(obj_t)(BgL_arg3049z00_1971), 
(obj_t)(BgL_nodez00_1965), BEOA);} } } } } 
}



/* check-node-sharing-app2914 */
obj_t BGl_checkzd2nodezd2sharingzd2app2914zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3929, obj_t BgL_nodez00_3930, obj_t BgL_contextz00_3931)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 86 */
{ 
BgL_appz00_bglt BgL_nodez00_1957;obj_t BgL_contextz00_1958;
{ /* Ast/check-sharing.scm 86 */
bool_t BgL_auxz00_5305;
BgL_nodez00_1957 = 
(BgL_appz00_bglt)(BgL_nodez00_3930); 
BgL_contextz00_1958 = BgL_contextz00_3931; 
{ 

{ /* Ast/check-sharing.scm 86 */
obj_t BgL_nextzd2method2913zd2_1963;
BgL_nextzd2method2913zd2_1963 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1957), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2913zd2_1963))
{ /* Ast/check-sharing.scm 86 */
PROCEDURE_ENTRY(BgL_nextzd2method2913zd2_1963)(BgL_nextzd2method2913zd2_1963, 
(obj_t)(BgL_nodez00_1957), BgL_contextz00_1958, BEOA); }  else 
{ /* Ast/check-sharing.scm 86 */
{ /* Ast/check-sharing.scm 86 */
BgL_nodez00_bglt BgL_nodez00_2810;
BgL_nodez00_2810 = 
(BgL_nodez00_bglt)(BgL_nodez00_1957); 
{ /* Ast/check-sharing.scm 86 */
obj_t BgL_method2910z00_2812;
{ /* Ast/check-sharing.scm 86 */
long BgL_objzd2classzd2numz00_2814;
{ /* Ast/check-sharing.scm 86 */
BgL_objectz00_bglt BgL_auxz00_5314;
BgL_auxz00_5314 = 
(BgL_objectz00_bglt)(BgL_nodez00_2810); 
BgL_objzd2classzd2numz00_2814 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5314); } 
{ /* Ast/check-sharing.scm 86 */
obj_t BgL_arg1221z00_2815;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5317;
BgL_auxz00_5317 = 
(int)(((long)1)); 
BgL_arg1221z00_2815 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5317); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_offsetz00_2819;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5320;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5321;
BgL_auxz00_5321 = 
(int)(BgL_objzd2classzd2numz00_2814); 
BgL_auxz00_5320 = 
(long)(BgL_auxz00_5321); } 
BgL_offsetz00_2819 = 
(BgL_auxz00_5320-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_modz00_2820;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5325;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5326;
BgL_auxz00_5326 = 
(int)(((long)8)); 
BgL_auxz00_5325 = 
(long)(BgL_auxz00_5326); } 
BgL_modz00_2820 = 
(BgL_offsetz00_2819/BgL_auxz00_5325); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_restz00_2822;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5330;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5331;
BgL_auxz00_5331 = 
(int)(((long)8)); 
BgL_auxz00_5330 = 
(long)(BgL_auxz00_5331); } 
BgL_restz00_2822 = 
(BgL_offsetz00_2819%BgL_auxz00_5330); } 
{ /* Ast/check-sharing.scm 86 */

{ /* Ast/check-sharing.scm 86 */
obj_t BgL_bucketz00_2824;
{ /* Ast/check-sharing.scm 86 */
int BgL_kz00_2834;
BgL_kz00_2834 = 
(int)(BgL_modz00_2820); 
BgL_bucketz00_2824 = 
VECTOR_REF(BgL_arg1221z00_2815,BgL_kz00_2834); } 
{ /* Ast/check-sharing.scm 86 */
int BgL_kz00_2836;
BgL_kz00_2836 = 
(int)(BgL_restz00_2822); 
BgL_method2910z00_2812 = 
VECTOR_REF(BgL_bucketz00_2824,BgL_kz00_2836); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2812)(BgL_method2910z00_2812, 
(obj_t)(BgL_nodez00_2810), BgL_contextz00_1958, BEOA); } } } } 
BgL_auxz00_5305 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1957))->BgL_argsz00), 
(obj_t)(BgL_nodez00_1957)); } 
return 
BBOOL(BgL_auxz00_5305);} } } 
}



/* check-node-sharing-sequence2912 */
obj_t BGl_checkzd2nodezd2sharingzd2sequence2912zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3932, obj_t BgL_nodez00_3933, obj_t BgL_contextz00_3934)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 79 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1950;obj_t BgL_contextz00_1951;
{ /* Ast/check-sharing.scm 79 */
bool_t BgL_auxz00_5347;
BgL_nodez00_1950 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3933); 
BgL_contextz00_1951 = BgL_contextz00_3934; 
{ 

{ /* Ast/check-sharing.scm 79 */
obj_t BgL_nextzd2method2911zd2_1955;
BgL_nextzd2method2911zd2_1955 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1950), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_sequencez00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2911zd2_1955))
{ /* Ast/check-sharing.scm 79 */
PROCEDURE_ENTRY(BgL_nextzd2method2911zd2_1955)(BgL_nextzd2method2911zd2_1955, 
(obj_t)(BgL_nodez00_1950), BgL_contextz00_1951, BEOA); }  else 
{ /* Ast/check-sharing.scm 79 */
{ /* Ast/check-sharing.scm 79 */
BgL_nodez00_bglt BgL_nodez00_2781;
BgL_nodez00_2781 = 
(BgL_nodez00_bglt)(BgL_nodez00_1950); 
{ /* Ast/check-sharing.scm 79 */
obj_t BgL_method2910z00_2783;
{ /* Ast/check-sharing.scm 79 */
long BgL_objzd2classzd2numz00_2785;
{ /* Ast/check-sharing.scm 79 */
BgL_objectz00_bglt BgL_auxz00_5356;
BgL_auxz00_5356 = 
(BgL_objectz00_bglt)(BgL_nodez00_2781); 
BgL_objzd2classzd2numz00_2785 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5356); } 
{ /* Ast/check-sharing.scm 79 */
obj_t BgL_arg1221z00_2786;
{ /* Ast/check-sharing.scm 79 */
int BgL_auxz00_5359;
BgL_auxz00_5359 = 
(int)(((long)1)); 
BgL_arg1221z00_2786 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5359); } 
{ /* Ast/check-sharing.scm 79 */
long BgL_offsetz00_2790;
{ /* Ast/check-sharing.scm 79 */
long BgL_auxz00_5362;
{ /* Ast/check-sharing.scm 79 */
int BgL_auxz00_5363;
BgL_auxz00_5363 = 
(int)(BgL_objzd2classzd2numz00_2785); 
BgL_auxz00_5362 = 
(long)(BgL_auxz00_5363); } 
BgL_offsetz00_2790 = 
(BgL_auxz00_5362-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 79 */
long BgL_modz00_2791;
{ /* Ast/check-sharing.scm 79 */
long BgL_auxz00_5367;
{ /* Ast/check-sharing.scm 79 */
int BgL_auxz00_5368;
BgL_auxz00_5368 = 
(int)(((long)8)); 
BgL_auxz00_5367 = 
(long)(BgL_auxz00_5368); } 
BgL_modz00_2791 = 
(BgL_offsetz00_2790/BgL_auxz00_5367); } 
{ /* Ast/check-sharing.scm 79 */
long BgL_restz00_2793;
{ /* Ast/check-sharing.scm 79 */
long BgL_auxz00_5372;
{ /* Ast/check-sharing.scm 79 */
int BgL_auxz00_5373;
BgL_auxz00_5373 = 
(int)(((long)8)); 
BgL_auxz00_5372 = 
(long)(BgL_auxz00_5373); } 
BgL_restz00_2793 = 
(BgL_offsetz00_2790%BgL_auxz00_5372); } 
{ /* Ast/check-sharing.scm 79 */

{ /* Ast/check-sharing.scm 79 */
obj_t BgL_bucketz00_2795;
{ /* Ast/check-sharing.scm 79 */
int BgL_kz00_2805;
BgL_kz00_2805 = 
(int)(BgL_modz00_2791); 
BgL_bucketz00_2795 = 
VECTOR_REF(BgL_arg1221z00_2786,BgL_kz00_2805); } 
{ /* Ast/check-sharing.scm 79 */
int BgL_kz00_2807;
BgL_kz00_2807 = 
(int)(BgL_restz00_2793); 
BgL_method2910z00_2783 = 
VECTOR_REF(BgL_bucketz00_2795,BgL_kz00_2807); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2910z00_2783)(BgL_method2910z00_2783, 
(obj_t)(BgL_nodez00_2781), BgL_contextz00_1951, BEOA); } } } } 
BgL_auxz00_5347 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1950))->BgL_nodesz00), 
(obj_t)(BgL_nodez00_1950)); } 
return 
BBOOL(BgL_auxz00_5347);} } } 
}



/* check-node-sharing */
obj_t BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt BgL_nodez00_23, obj_t BgL_contextz00_24)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 62 */
{ /* Ast/check-sharing.scm 62 */
obj_t BgL_method2910z00_3836;
{ /* Ast/check-sharing.scm 62 */
long BgL_objzd2classzd2numz00_3838;
{ /* Ast/check-sharing.scm 62 */
BgL_objectz00_bglt BgL_auxz00_5389;
BgL_auxz00_5389 = 
(BgL_objectz00_bglt)(BgL_nodez00_23); 
BgL_objzd2classzd2numz00_3838 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5389); } 
{ /* Ast/check-sharing.scm 62 */
obj_t BgL_arg1221z00_3839;
{ /* Ast/check-sharing.scm 62 */
int BgL_auxz00_5392;
BgL_auxz00_5392 = 
(int)(((long)1)); 
BgL_arg1221z00_3839 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5392); } 
{ /* Ast/check-sharing.scm 62 */
long BgL_offsetz00_3843;
{ /* Ast/check-sharing.scm 62 */
long BgL_auxz00_5395;
{ /* Ast/check-sharing.scm 62 */
int BgL_auxz00_5396;
BgL_auxz00_5396 = 
(int)(BgL_objzd2classzd2numz00_3838); 
BgL_auxz00_5395 = 
(long)(BgL_auxz00_5396); } 
BgL_offsetz00_3843 = 
(BgL_auxz00_5395-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 62 */
long BgL_modz00_3844;
{ /* Ast/check-sharing.scm 62 */
long BgL_auxz00_5400;
{ /* Ast/check-sharing.scm 62 */
int BgL_auxz00_5401;
BgL_auxz00_5401 = 
(int)(((long)8)); 
BgL_auxz00_5400 = 
(long)(BgL_auxz00_5401); } 
BgL_modz00_3844 = 
(BgL_offsetz00_3843/BgL_auxz00_5400); } 
{ /* Ast/check-sharing.scm 62 */
long BgL_restz00_3846;
{ /* Ast/check-sharing.scm 62 */
long BgL_auxz00_5405;
{ /* Ast/check-sharing.scm 62 */
int BgL_auxz00_5406;
BgL_auxz00_5406 = 
(int)(((long)8)); 
BgL_auxz00_5405 = 
(long)(BgL_auxz00_5406); } 
BgL_restz00_3846 = 
(BgL_offsetz00_3843%BgL_auxz00_5405); } 
{ /* Ast/check-sharing.scm 62 */

{ /* Ast/check-sharing.scm 62 */
obj_t BgL_bucketz00_3848;
{ /* Ast/check-sharing.scm 62 */
int BgL_kz00_3858;
BgL_kz00_3858 = 
(int)(BgL_modz00_3844); 
BgL_bucketz00_3848 = 
VECTOR_REF(BgL_arg1221z00_3839,BgL_kz00_3858); } 
{ /* Ast/check-sharing.scm 62 */
int BgL_kz00_3860;
BgL_kz00_3860 = 
(int)(BgL_restz00_3846); 
BgL_method2910z00_3836 = 
VECTOR_REF(BgL_bucketz00_3848,BgL_kz00_3860); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2910z00_3836)(BgL_method2910z00_3836, 
(obj_t)(BgL_nodez00_23), BgL_contextz00_24, BEOA);} } 
}



/* _check-node-sharing */
obj_t BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3868, obj_t BgL_nodez00_3869, obj_t BgL_contextz00_3870)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 62 */
return 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3869), BgL_contextz00_3870);} 
}



/* check-node-sharing-default2909 */
obj_t BGl_checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2(BgL_nodez00_bglt BgL_nodez00_25, obj_t BgL_contextz00_26)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 63 */
bool_t BgL_test3093z00_2099;
{ /* Ast/check-sharing.scm 63 */
obj_t BgL_auxz00_5419;
BgL_auxz00_5419 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_nodez00_25), BGl_za2previousza2z00zzast_checkzd2sharingzd2); 
BgL_test3093z00_2099 = 
CBOOL(BgL_auxz00_5419); } 
if(BgL_test3093z00_2099)
{ /* Ast/check-sharing.scm 63 */
{ /* Ast/check-sharing.scm 65 */
obj_t BgL_arg3094z00_2100;obj_t BgL_arg3097z00_2103;
BgL_arg3094z00_2100 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_25))->BgL_locz00); 
BgL_arg3097z00_2103 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_nodez00_25)); 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg3094z00_2100, BGl_string3221z00zzast_checkzd2sharingzd2, BGl_string3222z00zzast_checkzd2sharingzd2, BgL_arg3097z00_2103); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3223z00zzast_checkzd2sharingzd2, current_output_port); 
{ /* Ast/check-sharing.scm 69 */
obj_t BgL_arg3100z00_2106;
BgL_arg3100z00_2106 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_25)); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3100z00_2106, current_output_port); } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3224z00zzast_checkzd2sharingzd2, current_output_port); 
{ /* Ast/check-sharing.scm 70 */
obj_t BgL_arg3105z00_2111;
BgL_arg3105z00_2111 = 
BGl_shapez00zztools_shapez00(BgL_contextz00_26); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3105z00_2111, current_output_port); } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3225z00zzast_checkzd2sharingzd2, current_output_port); 
{ /* Ast/check-sharing.scm 71 */
unsigned char BgL_auxz00_5438;
BgL_auxz00_5438 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BCHAR(BgL_auxz00_5438); } }  else 
{ /* Ast/check-sharing.scm 72 */
obj_t BgL_auxz00_5441;
BgL_auxz00_5441 = 
(obj_t)(BgL_nodez00_25); 
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = 
MAKE_PAIR(BgL_auxz00_5441, BGl_za2previousza2z00zzast_checkzd2sharingzd2); } } 
return 
CNST_TABLE_REF(((long)1));} 
}



/* _check-node-sharing-default2909 */
obj_t BGl__checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3935, obj_t BgL_nodez00_3936, obj_t BgL_contextz00_3937)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
return 
BGl_checkzd2nodezd2sharingzd2default2909zd2zzast_checkzd2sharingzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3936), BgL_contextz00_3937);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "ast_check-sharing"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "ast_check-sharing");} 
}

