/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
static obj_t BGl_methodzd2initzd2zzast_hrtypez00();
static obj_t BGl_hrtypezd2nodez12zd2boxzd2setz122766zd2zzast_hrtypez00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
static obj_t BGl__hrtypezd2nodez12zc0zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2app2738z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2sequence2736z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_hrtypezd2nodez12zd2atom2728z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl__hrtypezd2nodez12zd2default2725z12zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2boxzd2ref2768zc0zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_hrtypezd2nodez12zd2extern2744z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_hrtypez00();
static obj_t BGl_hrtypezd2nodez12zd2letzd2fun2756zc0zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_hrtypezd2nodez12zd2letzd2var2758zc0zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2fail2752z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2jumpzd2exzd2it2762z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_hrtypezd2nodez12zd2kwote2730z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_hrtypezd2nodez12zd2makezd2box2764zc0zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2conditional2750z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
static obj_t BGl_hrtypezd2nodez12zd2var2732z12zzast_hrtypez00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_hrtypezd2nodez12zd2funcall2742z12zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2closure2734z12zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2select2754z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_hrtypezd2nodez12zd2cast2746z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_hrtypezd2nodez12zd2appzd2ly2740zc0zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
static obj_t BGl_hrtypezd2nodez12zd2setzd2exzd2it2760z12zzast_hrtypez00(obj_t, obj_t);
static obj_t BGl_hrtypezd2nodez12zd2default2725z12zzast_hrtypez00(BgL_nodez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
static obj_t BGl_hrtypezd2nodez12zd2setq2748z12zzast_hrtypez00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_GENERIC( BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_bgl__hrtypeza7d2nodeza712za7c0za7za7ast_hrtypeza7003034z00, BGl__hrtypezd2nodez12zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3002z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2atom2728za712za7za7ast_hrtypeza7003035za7, BGl_hrtypezd2nodez12zd2atom2728z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3003z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2kwote2730za712za7za7ast_hrtypeza7003036za7, BGl_hrtypezd2nodez12zd2kwote2730z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3004z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2var2732za712za7za7ast_hrtypeza7003037za7, BGl_hrtypezd2nodez12zd2var2732z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3005z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2closure2734za712za7za7ast_hrtypeza7003038za7, BGl_hrtypezd2nodez12zd2closure2734z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3006z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2sequence2736za712za7za7ast_hrtypeza7003039za7, BGl_hrtypezd2nodez12zd2sequence2736z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3007z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2app2738za712za7za7ast_hrtypeza7003040za7, BGl_hrtypezd2nodez12zd2app2738z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3008z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2appza7d2ly2740za7c0za7za7ast_hrtypeza7003041z00, BGl_hrtypezd2nodez12zd2appzd2ly2740zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3010z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2extern2744za712za7za7ast_hrtypeza7003042za7, BGl_hrtypezd2nodez12zd2extern2744z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3009z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2funcall2742za712za7za7ast_hrtypeza7003043za7, BGl_hrtypezd2nodez12zd2funcall2742z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3011z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2cast2746za712za7za7ast_hrtypeza7003044za7, BGl_hrtypezd2nodez12zd2cast2746z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3012z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2setq2748za712za7za7ast_hrtypeza7003045za7, BGl_hrtypezd2nodez12zd2setq2748z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3013z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2conditional2750za712za7za7ast_hrtypeza7003046za7, BGl_hrtypezd2nodez12zd2conditional2750z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3014z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2fail2752za712za7za7ast_hrtypeza7003047za7, BGl_hrtypezd2nodez12zd2fail2752z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3015z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2select2754za712za7za7ast_hrtypeza7003048za7, BGl_hrtypezd2nodez12zd2select2754z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3016z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2letza7d2fun2756za7c0za7za7ast_hrtypeza7003049z00, BGl_hrtypezd2nodez12zd2letzd2fun2756zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3017z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2letza7d2var2758za7c0za7za7ast_hrtypeza7003050z00, BGl_hrtypezd2nodez12zd2letzd2var2758zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3018z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2setza7d2exza7d2it2760za712za7za7ast_hrtypeza7003051za7, BGl_hrtypezd2nodez12zd2setzd2exzd2it2760z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3020z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2makeza7d2box2764za7c0za7za7ast_hrtypeza7003052z00, BGl_hrtypezd2nodez12zd2makezd2box2764zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3019z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2jumpza7d2exza7d2it2762za712za7za7ast_hrtypeza7003053za7, BGl_hrtypezd2nodez12zd2jumpzd2exzd2it2762z12zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3021z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2boxza7d2setza7122766za7d2za7za7ast_hrtypeza7003054za7, BGl_hrtypezd2nodez12zd2boxzd2setz122766zd2zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzast_hrtypez00, BgL_bgl_hrtypeza7d2nodeza712za7d2boxza7d2ref2768za7c0za7za7ast_hrtypeza7003055z00, BGl_hrtypezd2nodez12zd2boxzd2ref2768zc0zzast_hrtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_hrtypezd2nodez12zd2default2725zd2envzc0zzast_hrtypez00, BgL_bgl__hrtypeza7d2nodeza712za7d2default2725za712za7za7ast_hrtypeza7003056za7, BGl__hrtypezd2nodez12zd2default2725z12zzast_hrtypez00, 0L, 1 );
DEFINE_STRING( BGl_string3029z00zzast_hrtypez00, BgL_bgl_string3029za700za7za7ast_hrtypeza7003057z00, "hrtype-node!-default2725 static sifun ", 38 );
DEFINE_STRING( BGl_string3028z00zzast_hrtypez00, BgL_bgl_string3028za700za7za7ast_hrtypeza7003058z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3027z00zzast_hrtypez00, BgL_bgl_string3027za700za7za7ast_hrtypeza7003059z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string3026z00zzast_hrtypez00, BgL_bgl_string3026za700za7za7ast_hrtypeza7003060z00, "Can't find library variable", 27 );
DEFINE_STRING( BGl_string3025z00zzast_hrtypez00, BgL_bgl_string3025za700za7za7ast_hrtypeza7003061z00, "heap", 4 );
DEFINE_STRING( BGl_string3024z00zzast_hrtypez00, BgL_bgl_string3024za700za7za7ast_hrtypeza7003062z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string3023z00zzast_hrtypez00, BgL_bgl_string3023za700za7za7ast_hrtypeza7003063z00, "hrtype-node!", 12 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long BgL_checksumz00_3308, char * BgL_fromz00_3309)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
{ 
BGl_requirezd2initializa7ationz75zzast_hrtypez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_hrtypez00(); 
BGl_cnstzd2initzd2zzast_hrtypez00(); 
BGl_importedzd2moduleszd2initz00zzast_hrtypez00(); 
BGl_methodzd2initzd2zzast_hrtypez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00()
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_hrtype"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_hrtypez00()
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
{ /* Ast/hrtype.scm 17 */
obj_t BgL_cportz00_3301;
BgL_cportz00_3301 = 
open_input_string(BGl_string3029z00zzast_hrtypez00); 
{ 
long BgL_iz00_3302;
BgL_iz00_3302 = ((long)2); 
BgL_loopz00_3303:
if(
(BgL_iz00_3302==((long)-1)))
{ /* Ast/hrtype.scm 17 */
return BUNSPEC;}  else 
{ /* Ast/hrtype.scm 17 */
{ /* Ast/hrtype.scm 17 */
obj_t BgL_arg3031z00_3305;
{ /* Ast/hrtype.scm 17 */
obj_t BgL_list3032z00_3306;
BgL_list3032z00_3306 = 
MAKE_PAIR(BgL_cportz00_3301, BNIL); 
BgL_arg3031z00_3305 = 
BGl_readz00zz__readerz00(BgL_list3032z00_3306); } 
{ /* Ast/hrtype.scm 17 */
int BgL_auxz00_3324;
BgL_auxz00_3324 = 
(int)(BgL_iz00_3302); 
CNST_TABLE_SET(BgL_auxz00_3324, BgL_arg3031z00_3305); } } 
{ 
long BgL_iz00_3327;
{ /* Ast/hrtype.scm 17 */
int BgL_auxz00_3328;
{ /* Ast/hrtype.scm 17 */
long BgL_auxz00_3329;
BgL_auxz00_3329 = 
(BgL_iz00_3302-((long)1)); 
BgL_auxz00_3328 = 
(int)(BgL_auxz00_3329); } 
BgL_iz00_3327 = 
(long)(BgL_auxz00_3328); } 
BgL_iz00_3302 = BgL_iz00_3327; 
goto BgL_loopz00_3303;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_hrtypez00()
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
return BUNSPEC;} 
}



/* hrtype-node*! */
bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_24)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 256 */
{ 
obj_t BgL_l2723z00_1259;
BgL_l2723z00_1259 = BgL_nodeza2za2_24; 
BgL_lname2724z00_1260:
if(
PAIRP(BgL_l2723z00_1259))
{ /* Ast/hrtype.scm 257 */
{ /* Ast/hrtype.scm 257 */
BgL_nodez00_bglt BgL_nodez00_1903;
{ /* Ast/hrtype.scm 257 */
obj_t BgL_auxz00_3335;
BgL_auxz00_3335 = 
CAR(BgL_l2723z00_1259); 
BgL_nodez00_1903 = 
(BgL_nodez00_bglt)(BgL_auxz00_3335); } 
{ /* Ast/hrtype.scm 257 */
obj_t BgL_method2726z00_1904;
{ /* Ast/hrtype.scm 257 */
long BgL_objzd2classzd2numz00_1906;
{ /* Ast/hrtype.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3338;
BgL_auxz00_3338 = 
(BgL_objectz00_bglt)(BgL_nodez00_1903); 
BgL_objzd2classzd2numz00_1906 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3338); } 
{ /* Ast/hrtype.scm 257 */
obj_t BgL_arg1221z00_1907;
{ /* Ast/hrtype.scm 257 */
int BgL_auxz00_3341;
BgL_auxz00_3341 = 
(int)(((long)1)); 
BgL_arg1221z00_1907 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3341); } 
{ /* Ast/hrtype.scm 257 */
long BgL_offsetz00_1911;
{ /* Ast/hrtype.scm 257 */
long BgL_auxz00_3344;
{ /* Ast/hrtype.scm 257 */
int BgL_auxz00_3345;
BgL_auxz00_3345 = 
(int)(BgL_objzd2classzd2numz00_1906); 
BgL_auxz00_3344 = 
(long)(BgL_auxz00_3345); } 
BgL_offsetz00_1911 = 
(BgL_auxz00_3344-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 257 */
long BgL_modz00_1912;
{ /* Ast/hrtype.scm 257 */
long BgL_auxz00_3349;
{ /* Ast/hrtype.scm 257 */
int BgL_auxz00_3350;
BgL_auxz00_3350 = 
(int)(((long)8)); 
BgL_auxz00_3349 = 
(long)(BgL_auxz00_3350); } 
BgL_modz00_1912 = 
(BgL_offsetz00_1911/BgL_auxz00_3349); } 
{ /* Ast/hrtype.scm 257 */
long BgL_restz00_1914;
{ /* Ast/hrtype.scm 257 */
long BgL_auxz00_3354;
{ /* Ast/hrtype.scm 257 */
int BgL_auxz00_3355;
BgL_auxz00_3355 = 
(int)(((long)8)); 
BgL_auxz00_3354 = 
(long)(BgL_auxz00_3355); } 
BgL_restz00_1914 = 
(BgL_offsetz00_1911%BgL_auxz00_3354); } 
{ /* Ast/hrtype.scm 257 */

{ /* Ast/hrtype.scm 257 */
obj_t BgL_bucketz00_1916;
{ /* Ast/hrtype.scm 257 */
int BgL_kz00_1926;
BgL_kz00_1926 = 
(int)(BgL_modz00_1912); 
BgL_bucketz00_1916 = 
VECTOR_REF(BgL_arg1221z00_1907,BgL_kz00_1926); } 
{ /* Ast/hrtype.scm 257 */
int BgL_kz00_1928;
BgL_kz00_1928 = 
(int)(BgL_restz00_1914); 
BgL_method2726z00_1904 = 
VECTOR_REF(BgL_bucketz00_1916,BgL_kz00_1928); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_1904)(BgL_method2726z00_1904, 
(obj_t)(BgL_nodez00_1903), BEOA); } } 
{ 
obj_t BgL_l2723z00_3366;
BgL_l2723z00_3366 = 
CDR(BgL_l2723z00_1259); 
BgL_l2723z00_1259 = BgL_l2723z00_3366; 
goto BgL_lname2724z00_1260;} }  else 
{ /* Ast/hrtype.scm 257 */
return ((bool_t)1);} } } 
}



/* restore-variable-type! */
obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt BgL_variablez00_25)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 262 */
{ /* Ast/hrtype.scm 263 */
BgL_typez00_bglt BgL_typez00_1264;
BgL_typez00_1264 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_25))->BgL_typez00); 
{ /* Ast/hrtype.scm 264 */
bool_t BgL_test2772z00_1265;
BgL_test2772z00_1265 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_typez00_1264), BGl_typez00zztype_typez00); 
if(BgL_test2772z00_1265)
{ /* Ast/hrtype.scm 265 */
BgL_typez00_bglt BgL_arg2773z00_1266;
BgL_arg2773z00_1266 = 
BGl_findzd2typezd2zztype_envz00(
(((BgL_typez00_bglt)CREF(BgL_typez00_1264))->BgL_idz00)); 
return 
((((BgL_variablez00_bglt)CREF(BgL_variablez00_25))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2773z00_1266), BUNSPEC);}  else 
{ /* Ast/hrtype.scm 264 */
return BFALSE;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_hrtypez00()
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_hrtypezd2nodez12zd2default2725zd2envzc0zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_atomz00zzast_nodez00, BGl_proc3002z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_kwotez00zzast_nodez00, BGl_proc3003z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00, BGl_proc3004z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_closurez00zzast_nodez00, BGl_proc3005z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_sequencez00zzast_nodez00, BGl_proc3006z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00, BGl_proc3007z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3008z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_funcallz00zzast_nodez00, BGl_proc3009z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_externz00zzast_nodez00, BGl_proc3010z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00, BGl_proc3011z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00, BGl_proc3012z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_conditionalz00zzast_nodez00, BGl_proc3013z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00, BGl_proc3014z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_selectz00zzast_nodez00, BGl_proc3015z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3016z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3017z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3018z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3019z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3020z00zzast_hrtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3021z00zzast_hrtypez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3022z00zzast_hrtypez00);} 
}



/* hrtype-node!-box-ref2768 */
obj_t BGl_hrtypezd2nodez12zd2boxzd2ref2768zc0zzast_hrtypez00(obj_t BgL_envz00_3257, obj_t BgL_nodez00_3258)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 249 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1893;
BgL_nodez00_1893 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3258); 
{ /* Ast/hrtype.scm 250 */
BgL_nodez00_bglt BgL_nodez00_3180;
{ /* Ast/hrtype.scm 250 */
BgL_varz00_bglt BgL_auxz00_3397;
BgL_auxz00_3397 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1893))->BgL_varz00); 
BgL_nodez00_3180 = 
(BgL_nodez00_bglt)(BgL_auxz00_3397); } 
{ /* Ast/hrtype.scm 250 */
obj_t BgL_method2726z00_3181;
{ /* Ast/hrtype.scm 250 */
long BgL_objzd2classzd2numz00_3183;
{ /* Ast/hrtype.scm 250 */
BgL_objectz00_bglt BgL_auxz00_3400;
BgL_auxz00_3400 = 
(BgL_objectz00_bglt)(BgL_nodez00_3180); 
BgL_objzd2classzd2numz00_3183 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3400); } 
{ /* Ast/hrtype.scm 250 */
obj_t BgL_arg1221z00_3184;
{ /* Ast/hrtype.scm 250 */
int BgL_auxz00_3403;
BgL_auxz00_3403 = 
(int)(((long)1)); 
BgL_arg1221z00_3184 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3403); } 
{ /* Ast/hrtype.scm 250 */
long BgL_offsetz00_3188;
{ /* Ast/hrtype.scm 250 */
long BgL_auxz00_3406;
{ /* Ast/hrtype.scm 250 */
int BgL_auxz00_3407;
BgL_auxz00_3407 = 
(int)(BgL_objzd2classzd2numz00_3183); 
BgL_auxz00_3406 = 
(long)(BgL_auxz00_3407); } 
BgL_offsetz00_3188 = 
(BgL_auxz00_3406-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 250 */
long BgL_modz00_3189;
{ /* Ast/hrtype.scm 250 */
long BgL_auxz00_3411;
{ /* Ast/hrtype.scm 250 */
int BgL_auxz00_3412;
BgL_auxz00_3412 = 
(int)(((long)8)); 
BgL_auxz00_3411 = 
(long)(BgL_auxz00_3412); } 
BgL_modz00_3189 = 
(BgL_offsetz00_3188/BgL_auxz00_3411); } 
{ /* Ast/hrtype.scm 250 */
long BgL_restz00_3191;
{ /* Ast/hrtype.scm 250 */
long BgL_auxz00_3416;
{ /* Ast/hrtype.scm 250 */
int BgL_auxz00_3417;
BgL_auxz00_3417 = 
(int)(((long)8)); 
BgL_auxz00_3416 = 
(long)(BgL_auxz00_3417); } 
BgL_restz00_3191 = 
(BgL_offsetz00_3188%BgL_auxz00_3416); } 
{ /* Ast/hrtype.scm 250 */

{ /* Ast/hrtype.scm 250 */
obj_t BgL_bucketz00_3193;
{ /* Ast/hrtype.scm 250 */
int BgL_kz00_3203;
BgL_kz00_3203 = 
(int)(BgL_modz00_3189); 
BgL_bucketz00_3193 = 
VECTOR_REF(BgL_arg1221z00_3184,BgL_kz00_3203); } 
{ /* Ast/hrtype.scm 250 */
int BgL_kz00_3205;
BgL_kz00_3205 = 
(int)(BgL_restz00_3191); 
BgL_method2726z00_3181 = 
VECTOR_REF(BgL_bucketz00_3193,BgL_kz00_3205); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3181)(BgL_method2726z00_3181, 
(obj_t)(BgL_nodez00_3180), BEOA);} } } } 
}



/* hrtype-node!-box-set!2766 */
obj_t BGl_hrtypezd2nodez12zd2boxzd2setz122766zd2zzast_hrtypez00(obj_t BgL_envz00_3259, obj_t BgL_nodez00_3260)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 241 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1885;
BgL_nodez00_1885 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3260); 
{ /* Ast/hrtype.scm 243 */
BgL_nodez00_bglt BgL_nodez00_3124;
{ /* Ast/hrtype.scm 243 */
BgL_varz00_bglt BgL_auxz00_3429;
BgL_auxz00_3429 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1885))->BgL_varz00); 
BgL_nodez00_3124 = 
(BgL_nodez00_bglt)(BgL_auxz00_3429); } 
{ /* Ast/hrtype.scm 243 */
obj_t BgL_method2726z00_3125;
{ /* Ast/hrtype.scm 243 */
long BgL_objzd2classzd2numz00_3127;
{ /* Ast/hrtype.scm 243 */
BgL_objectz00_bglt BgL_auxz00_3432;
BgL_auxz00_3432 = 
(BgL_objectz00_bglt)(BgL_nodez00_3124); 
BgL_objzd2classzd2numz00_3127 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3432); } 
{ /* Ast/hrtype.scm 243 */
obj_t BgL_arg1221z00_3128;
{ /* Ast/hrtype.scm 243 */
int BgL_auxz00_3435;
BgL_auxz00_3435 = 
(int)(((long)1)); 
BgL_arg1221z00_3128 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3435); } 
{ /* Ast/hrtype.scm 243 */
long BgL_offsetz00_3132;
{ /* Ast/hrtype.scm 243 */
long BgL_auxz00_3438;
{ /* Ast/hrtype.scm 243 */
int BgL_auxz00_3439;
BgL_auxz00_3439 = 
(int)(BgL_objzd2classzd2numz00_3127); 
BgL_auxz00_3438 = 
(long)(BgL_auxz00_3439); } 
BgL_offsetz00_3132 = 
(BgL_auxz00_3438-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 243 */
long BgL_modz00_3133;
{ /* Ast/hrtype.scm 243 */
long BgL_auxz00_3443;
{ /* Ast/hrtype.scm 243 */
int BgL_auxz00_3444;
BgL_auxz00_3444 = 
(int)(((long)8)); 
BgL_auxz00_3443 = 
(long)(BgL_auxz00_3444); } 
BgL_modz00_3133 = 
(BgL_offsetz00_3132/BgL_auxz00_3443); } 
{ /* Ast/hrtype.scm 243 */
long BgL_restz00_3135;
{ /* Ast/hrtype.scm 243 */
long BgL_auxz00_3448;
{ /* Ast/hrtype.scm 243 */
int BgL_auxz00_3449;
BgL_auxz00_3449 = 
(int)(((long)8)); 
BgL_auxz00_3448 = 
(long)(BgL_auxz00_3449); } 
BgL_restz00_3135 = 
(BgL_offsetz00_3132%BgL_auxz00_3448); } 
{ /* Ast/hrtype.scm 243 */

{ /* Ast/hrtype.scm 243 */
obj_t BgL_bucketz00_3137;
{ /* Ast/hrtype.scm 243 */
int BgL_kz00_3147;
BgL_kz00_3147 = 
(int)(BgL_modz00_3133); 
BgL_bucketz00_3137 = 
VECTOR_REF(BgL_arg1221z00_3128,BgL_kz00_3147); } 
{ /* Ast/hrtype.scm 243 */
int BgL_kz00_3149;
BgL_kz00_3149 = 
(int)(BgL_restz00_3135); 
BgL_method2726z00_3125 = 
VECTOR_REF(BgL_bucketz00_3137,BgL_kz00_3149); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_3125)(BgL_method2726z00_3125, 
(obj_t)(BgL_nodez00_3124), BEOA); } } 
{ /* Ast/hrtype.scm 244 */
BgL_nodez00_bglt BgL_arg2942z00_1890;
BgL_arg2942z00_1890 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1885))->BgL_valuez00); 
{ /* Ast/hrtype.scm 244 */
obj_t BgL_method2726z00_3152;
{ /* Ast/hrtype.scm 244 */
long BgL_objzd2classzd2numz00_3154;
{ /* Ast/hrtype.scm 244 */
BgL_objectz00_bglt BgL_auxz00_3461;
BgL_auxz00_3461 = 
(BgL_objectz00_bglt)(BgL_arg2942z00_1890); 
BgL_objzd2classzd2numz00_3154 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3461); } 
{ /* Ast/hrtype.scm 244 */
obj_t BgL_arg1221z00_3155;
{ /* Ast/hrtype.scm 244 */
int BgL_auxz00_3464;
BgL_auxz00_3464 = 
(int)(((long)1)); 
BgL_arg1221z00_3155 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3464); } 
{ /* Ast/hrtype.scm 244 */
long BgL_offsetz00_3159;
{ /* Ast/hrtype.scm 244 */
long BgL_auxz00_3467;
{ /* Ast/hrtype.scm 244 */
int BgL_auxz00_3468;
BgL_auxz00_3468 = 
(int)(BgL_objzd2classzd2numz00_3154); 
BgL_auxz00_3467 = 
(long)(BgL_auxz00_3468); } 
BgL_offsetz00_3159 = 
(BgL_auxz00_3467-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 244 */
long BgL_modz00_3160;
{ /* Ast/hrtype.scm 244 */
long BgL_auxz00_3472;
{ /* Ast/hrtype.scm 244 */
int BgL_auxz00_3473;
BgL_auxz00_3473 = 
(int)(((long)8)); 
BgL_auxz00_3472 = 
(long)(BgL_auxz00_3473); } 
BgL_modz00_3160 = 
(BgL_offsetz00_3159/BgL_auxz00_3472); } 
{ /* Ast/hrtype.scm 244 */
long BgL_restz00_3162;
{ /* Ast/hrtype.scm 244 */
long BgL_auxz00_3477;
{ /* Ast/hrtype.scm 244 */
int BgL_auxz00_3478;
BgL_auxz00_3478 = 
(int)(((long)8)); 
BgL_auxz00_3477 = 
(long)(BgL_auxz00_3478); } 
BgL_restz00_3162 = 
(BgL_offsetz00_3159%BgL_auxz00_3477); } 
{ /* Ast/hrtype.scm 244 */

{ /* Ast/hrtype.scm 244 */
obj_t BgL_bucketz00_3164;
{ /* Ast/hrtype.scm 244 */
int BgL_kz00_3174;
BgL_kz00_3174 = 
(int)(BgL_modz00_3160); 
BgL_bucketz00_3164 = 
VECTOR_REF(BgL_arg1221z00_3155,BgL_kz00_3174); } 
{ /* Ast/hrtype.scm 244 */
int BgL_kz00_3176;
BgL_kz00_3176 = 
(int)(BgL_restz00_3162); 
BgL_method2726z00_3152 = 
VECTOR_REF(BgL_bucketz00_3164,BgL_kz00_3176); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3152)(BgL_method2726z00_3152, 
(obj_t)(BgL_arg2942z00_1890), BEOA);} } } } 
}



/* hrtype-node!-make-box2764 */
obj_t BGl_hrtypezd2nodez12zd2makezd2box2764zc0zzast_hrtypez00(obj_t BgL_envz00_3261, obj_t BgL_nodez00_3262)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 234 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1878;
BgL_nodez00_1878 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3262); 
{ /* Ast/hrtype.scm 235 */
BgL_nodez00_bglt BgL_arg2939z00_3095;
BgL_arg2939z00_3095 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1878))->BgL_valuez00); 
{ /* Ast/hrtype.scm 235 */
obj_t BgL_method2726z00_3098;
{ /* Ast/hrtype.scm 235 */
long BgL_objzd2classzd2numz00_3100;
{ /* Ast/hrtype.scm 235 */
BgL_objectz00_bglt BgL_auxz00_3491;
BgL_auxz00_3491 = 
(BgL_objectz00_bglt)(BgL_arg2939z00_3095); 
BgL_objzd2classzd2numz00_3100 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3491); } 
{ /* Ast/hrtype.scm 235 */
obj_t BgL_arg1221z00_3101;
{ /* Ast/hrtype.scm 235 */
int BgL_auxz00_3494;
BgL_auxz00_3494 = 
(int)(((long)1)); 
BgL_arg1221z00_3101 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3494); } 
{ /* Ast/hrtype.scm 235 */
long BgL_offsetz00_3105;
{ /* Ast/hrtype.scm 235 */
long BgL_auxz00_3497;
{ /* Ast/hrtype.scm 235 */
int BgL_auxz00_3498;
BgL_auxz00_3498 = 
(int)(BgL_objzd2classzd2numz00_3100); 
BgL_auxz00_3497 = 
(long)(BgL_auxz00_3498); } 
BgL_offsetz00_3105 = 
(BgL_auxz00_3497-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 235 */
long BgL_modz00_3106;
{ /* Ast/hrtype.scm 235 */
long BgL_auxz00_3502;
{ /* Ast/hrtype.scm 235 */
int BgL_auxz00_3503;
BgL_auxz00_3503 = 
(int)(((long)8)); 
BgL_auxz00_3502 = 
(long)(BgL_auxz00_3503); } 
BgL_modz00_3106 = 
(BgL_offsetz00_3105/BgL_auxz00_3502); } 
{ /* Ast/hrtype.scm 235 */
long BgL_restz00_3108;
{ /* Ast/hrtype.scm 235 */
long BgL_auxz00_3507;
{ /* Ast/hrtype.scm 235 */
int BgL_auxz00_3508;
BgL_auxz00_3508 = 
(int)(((long)8)); 
BgL_auxz00_3507 = 
(long)(BgL_auxz00_3508); } 
BgL_restz00_3108 = 
(BgL_offsetz00_3105%BgL_auxz00_3507); } 
{ /* Ast/hrtype.scm 235 */

{ /* Ast/hrtype.scm 235 */
obj_t BgL_bucketz00_3110;
{ /* Ast/hrtype.scm 235 */
int BgL_kz00_3120;
BgL_kz00_3120 = 
(int)(BgL_modz00_3106); 
BgL_bucketz00_3110 = 
VECTOR_REF(BgL_arg1221z00_3101,BgL_kz00_3120); } 
{ /* Ast/hrtype.scm 235 */
int BgL_kz00_3122;
BgL_kz00_3122 = 
(int)(BgL_restz00_3108); 
BgL_method2726z00_3098 = 
VECTOR_REF(BgL_bucketz00_3110,BgL_kz00_3122); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3098)(BgL_method2726z00_3098, 
(obj_t)(BgL_arg2939z00_3095), BEOA);} } } } 
}



/* hrtype-node!-jump-ex-it2762 */
obj_t BGl_hrtypezd2nodez12zd2jumpzd2exzd2it2762z12zzast_hrtypez00(obj_t BgL_envz00_3263, obj_t BgL_nodez00_3264)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 226 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1870;
BgL_nodez00_1870 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3264); 
{ /* Ast/hrtype.scm 228 */
BgL_nodez00_bglt BgL_arg2936z00_1874;
BgL_arg2936z00_1874 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1870))->BgL_exitz00); 
{ /* Ast/hrtype.scm 228 */
obj_t BgL_method2726z00_3042;
{ /* Ast/hrtype.scm 228 */
long BgL_objzd2classzd2numz00_3044;
{ /* Ast/hrtype.scm 228 */
BgL_objectz00_bglt BgL_auxz00_3521;
BgL_auxz00_3521 = 
(BgL_objectz00_bglt)(BgL_arg2936z00_1874); 
BgL_objzd2classzd2numz00_3044 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3521); } 
{ /* Ast/hrtype.scm 228 */
obj_t BgL_arg1221z00_3045;
{ /* Ast/hrtype.scm 228 */
int BgL_auxz00_3524;
BgL_auxz00_3524 = 
(int)(((long)1)); 
BgL_arg1221z00_3045 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3524); } 
{ /* Ast/hrtype.scm 228 */
long BgL_offsetz00_3049;
{ /* Ast/hrtype.scm 228 */
long BgL_auxz00_3527;
{ /* Ast/hrtype.scm 228 */
int BgL_auxz00_3528;
BgL_auxz00_3528 = 
(int)(BgL_objzd2classzd2numz00_3044); 
BgL_auxz00_3527 = 
(long)(BgL_auxz00_3528); } 
BgL_offsetz00_3049 = 
(BgL_auxz00_3527-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 228 */
long BgL_modz00_3050;
{ /* Ast/hrtype.scm 228 */
long BgL_auxz00_3532;
{ /* Ast/hrtype.scm 228 */
int BgL_auxz00_3533;
BgL_auxz00_3533 = 
(int)(((long)8)); 
BgL_auxz00_3532 = 
(long)(BgL_auxz00_3533); } 
BgL_modz00_3050 = 
(BgL_offsetz00_3049/BgL_auxz00_3532); } 
{ /* Ast/hrtype.scm 228 */
long BgL_restz00_3052;
{ /* Ast/hrtype.scm 228 */
long BgL_auxz00_3537;
{ /* Ast/hrtype.scm 228 */
int BgL_auxz00_3538;
BgL_auxz00_3538 = 
(int)(((long)8)); 
BgL_auxz00_3537 = 
(long)(BgL_auxz00_3538); } 
BgL_restz00_3052 = 
(BgL_offsetz00_3049%BgL_auxz00_3537); } 
{ /* Ast/hrtype.scm 228 */

{ /* Ast/hrtype.scm 228 */
obj_t BgL_bucketz00_3054;
{ /* Ast/hrtype.scm 228 */
int BgL_kz00_3064;
BgL_kz00_3064 = 
(int)(BgL_modz00_3050); 
BgL_bucketz00_3054 = 
VECTOR_REF(BgL_arg1221z00_3045,BgL_kz00_3064); } 
{ /* Ast/hrtype.scm 228 */
int BgL_kz00_3066;
BgL_kz00_3066 = 
(int)(BgL_restz00_3052); 
BgL_method2726z00_3042 = 
VECTOR_REF(BgL_bucketz00_3054,BgL_kz00_3066); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_3042)(BgL_method2726z00_3042, 
(obj_t)(BgL_arg2936z00_1874), BEOA); } } 
{ /* Ast/hrtype.scm 229 */
BgL_nodez00_bglt BgL_arg2937z00_1875;
BgL_arg2937z00_1875 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1870))->BgL_valuez00); 
{ /* Ast/hrtype.scm 229 */
obj_t BgL_method2726z00_3069;
{ /* Ast/hrtype.scm 229 */
long BgL_objzd2classzd2numz00_3071;
{ /* Ast/hrtype.scm 229 */
BgL_objectz00_bglt BgL_auxz00_3550;
BgL_auxz00_3550 = 
(BgL_objectz00_bglt)(BgL_arg2937z00_1875); 
BgL_objzd2classzd2numz00_3071 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3550); } 
{ /* Ast/hrtype.scm 229 */
obj_t BgL_arg1221z00_3072;
{ /* Ast/hrtype.scm 229 */
int BgL_auxz00_3553;
BgL_auxz00_3553 = 
(int)(((long)1)); 
BgL_arg1221z00_3072 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3553); } 
{ /* Ast/hrtype.scm 229 */
long BgL_offsetz00_3076;
{ /* Ast/hrtype.scm 229 */
long BgL_auxz00_3556;
{ /* Ast/hrtype.scm 229 */
int BgL_auxz00_3557;
BgL_auxz00_3557 = 
(int)(BgL_objzd2classzd2numz00_3071); 
BgL_auxz00_3556 = 
(long)(BgL_auxz00_3557); } 
BgL_offsetz00_3076 = 
(BgL_auxz00_3556-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 229 */
long BgL_modz00_3077;
{ /* Ast/hrtype.scm 229 */
long BgL_auxz00_3561;
{ /* Ast/hrtype.scm 229 */
int BgL_auxz00_3562;
BgL_auxz00_3562 = 
(int)(((long)8)); 
BgL_auxz00_3561 = 
(long)(BgL_auxz00_3562); } 
BgL_modz00_3077 = 
(BgL_offsetz00_3076/BgL_auxz00_3561); } 
{ /* Ast/hrtype.scm 229 */
long BgL_restz00_3079;
{ /* Ast/hrtype.scm 229 */
long BgL_auxz00_3566;
{ /* Ast/hrtype.scm 229 */
int BgL_auxz00_3567;
BgL_auxz00_3567 = 
(int)(((long)8)); 
BgL_auxz00_3566 = 
(long)(BgL_auxz00_3567); } 
BgL_restz00_3079 = 
(BgL_offsetz00_3076%BgL_auxz00_3566); } 
{ /* Ast/hrtype.scm 229 */

{ /* Ast/hrtype.scm 229 */
obj_t BgL_bucketz00_3081;
{ /* Ast/hrtype.scm 229 */
int BgL_kz00_3091;
BgL_kz00_3091 = 
(int)(BgL_modz00_3077); 
BgL_bucketz00_3081 = 
VECTOR_REF(BgL_arg1221z00_3072,BgL_kz00_3091); } 
{ /* Ast/hrtype.scm 229 */
int BgL_kz00_3093;
BgL_kz00_3093 = 
(int)(BgL_restz00_3079); 
BgL_method2726z00_3069 = 
VECTOR_REF(BgL_bucketz00_3081,BgL_kz00_3093); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3069)(BgL_method2726z00_3069, 
(obj_t)(BgL_arg2937z00_1875), BEOA);} } } } 
}



/* hrtype-node!-set-ex-it2760 */
obj_t BGl_hrtypezd2nodez12zd2setzd2exzd2it2760z12zzast_hrtypez00(obj_t BgL_envz00_3265, obj_t BgL_nodez00_3266)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 217 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1860;
BgL_nodez00_1860 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3266); 
{ /* Ast/hrtype.scm 219 */
BgL_variablez00_bglt BgL_auxz00_3579;
{ /* Ast/hrtype.scm 219 */
BgL_varz00_bglt BgL_arg2932z00_1865;
BgL_arg2932z00_1865 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1860))->BgL_varz00); 
BgL_auxz00_3579 = 
(((BgL_varz00_bglt)CREF(BgL_arg2932z00_1865))->BgL_variablez00); } 
BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_auxz00_3579); } 
{ /* Ast/hrtype.scm 220 */
BgL_nodez00_bglt BgL_arg2933z00_1866;
BgL_arg2933z00_1866 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1860))->BgL_bodyz00); 
{ /* Ast/hrtype.scm 220 */
obj_t BgL_method2726z00_2988;
{ /* Ast/hrtype.scm 220 */
long BgL_objzd2classzd2numz00_2990;
{ /* Ast/hrtype.scm 220 */
BgL_objectz00_bglt BgL_auxz00_3584;
BgL_auxz00_3584 = 
(BgL_objectz00_bglt)(BgL_arg2933z00_1866); 
BgL_objzd2classzd2numz00_2990 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3584); } 
{ /* Ast/hrtype.scm 220 */
obj_t BgL_arg1221z00_2991;
{ /* Ast/hrtype.scm 220 */
int BgL_auxz00_3587;
BgL_auxz00_3587 = 
(int)(((long)1)); 
BgL_arg1221z00_2991 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3587); } 
{ /* Ast/hrtype.scm 220 */
long BgL_offsetz00_2995;
{ /* Ast/hrtype.scm 220 */
long BgL_auxz00_3590;
{ /* Ast/hrtype.scm 220 */
int BgL_auxz00_3591;
BgL_auxz00_3591 = 
(int)(BgL_objzd2classzd2numz00_2990); 
BgL_auxz00_3590 = 
(long)(BgL_auxz00_3591); } 
BgL_offsetz00_2995 = 
(BgL_auxz00_3590-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 220 */
long BgL_modz00_2996;
{ /* Ast/hrtype.scm 220 */
long BgL_auxz00_3595;
{ /* Ast/hrtype.scm 220 */
int BgL_auxz00_3596;
BgL_auxz00_3596 = 
(int)(((long)8)); 
BgL_auxz00_3595 = 
(long)(BgL_auxz00_3596); } 
BgL_modz00_2996 = 
(BgL_offsetz00_2995/BgL_auxz00_3595); } 
{ /* Ast/hrtype.scm 220 */
long BgL_restz00_2998;
{ /* Ast/hrtype.scm 220 */
long BgL_auxz00_3600;
{ /* Ast/hrtype.scm 220 */
int BgL_auxz00_3601;
BgL_auxz00_3601 = 
(int)(((long)8)); 
BgL_auxz00_3600 = 
(long)(BgL_auxz00_3601); } 
BgL_restz00_2998 = 
(BgL_offsetz00_2995%BgL_auxz00_3600); } 
{ /* Ast/hrtype.scm 220 */

{ /* Ast/hrtype.scm 220 */
obj_t BgL_bucketz00_3000;
{ /* Ast/hrtype.scm 220 */
int BgL_kz00_3010;
BgL_kz00_3010 = 
(int)(BgL_modz00_2996); 
BgL_bucketz00_3000 = 
VECTOR_REF(BgL_arg1221z00_2991,BgL_kz00_3010); } 
{ /* Ast/hrtype.scm 220 */
int BgL_kz00_3012;
BgL_kz00_3012 = 
(int)(BgL_restz00_2998); 
BgL_method2726z00_2988 = 
VECTOR_REF(BgL_bucketz00_3000,BgL_kz00_3012); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2988)(BgL_method2726z00_2988, 
(obj_t)(BgL_arg2933z00_1866), BEOA); } } 
{ /* Ast/hrtype.scm 221 */
BgL_nodez00_bglt BgL_nodez00_3014;
{ /* Ast/hrtype.scm 221 */
BgL_varz00_bglt BgL_auxz00_3612;
BgL_auxz00_3612 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1860))->BgL_varz00); 
BgL_nodez00_3014 = 
(BgL_nodez00_bglt)(BgL_auxz00_3612); } 
{ /* Ast/hrtype.scm 221 */
obj_t BgL_method2726z00_3015;
{ /* Ast/hrtype.scm 221 */
long BgL_objzd2classzd2numz00_3017;
{ /* Ast/hrtype.scm 221 */
BgL_objectz00_bglt BgL_auxz00_3615;
BgL_auxz00_3615 = 
(BgL_objectz00_bglt)(BgL_nodez00_3014); 
BgL_objzd2classzd2numz00_3017 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3615); } 
{ /* Ast/hrtype.scm 221 */
obj_t BgL_arg1221z00_3018;
{ /* Ast/hrtype.scm 221 */
int BgL_auxz00_3618;
BgL_auxz00_3618 = 
(int)(((long)1)); 
BgL_arg1221z00_3018 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3618); } 
{ /* Ast/hrtype.scm 221 */
long BgL_offsetz00_3022;
{ /* Ast/hrtype.scm 221 */
long BgL_auxz00_3621;
{ /* Ast/hrtype.scm 221 */
int BgL_auxz00_3622;
BgL_auxz00_3622 = 
(int)(BgL_objzd2classzd2numz00_3017); 
BgL_auxz00_3621 = 
(long)(BgL_auxz00_3622); } 
BgL_offsetz00_3022 = 
(BgL_auxz00_3621-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 221 */
long BgL_modz00_3023;
{ /* Ast/hrtype.scm 221 */
long BgL_auxz00_3626;
{ /* Ast/hrtype.scm 221 */
int BgL_auxz00_3627;
BgL_auxz00_3627 = 
(int)(((long)8)); 
BgL_auxz00_3626 = 
(long)(BgL_auxz00_3627); } 
BgL_modz00_3023 = 
(BgL_offsetz00_3022/BgL_auxz00_3626); } 
{ /* Ast/hrtype.scm 221 */
long BgL_restz00_3025;
{ /* Ast/hrtype.scm 221 */
long BgL_auxz00_3631;
{ /* Ast/hrtype.scm 221 */
int BgL_auxz00_3632;
BgL_auxz00_3632 = 
(int)(((long)8)); 
BgL_auxz00_3631 = 
(long)(BgL_auxz00_3632); } 
BgL_restz00_3025 = 
(BgL_offsetz00_3022%BgL_auxz00_3631); } 
{ /* Ast/hrtype.scm 221 */

{ /* Ast/hrtype.scm 221 */
obj_t BgL_bucketz00_3027;
{ /* Ast/hrtype.scm 221 */
int BgL_kz00_3037;
BgL_kz00_3037 = 
(int)(BgL_modz00_3023); 
BgL_bucketz00_3027 = 
VECTOR_REF(BgL_arg1221z00_3018,BgL_kz00_3037); } 
{ /* Ast/hrtype.scm 221 */
int BgL_kz00_3039;
BgL_kz00_3039 = 
(int)(BgL_restz00_3025); 
BgL_method2726z00_3015 = 
VECTOR_REF(BgL_bucketz00_3027,BgL_kz00_3039); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3015)(BgL_method2726z00_3015, 
(obj_t)(BgL_nodez00_3014), BEOA);} } } } 
}



/* hrtype-node!-let-var2758 */
obj_t BGl_hrtypezd2nodez12zd2letzd2var2758zc0zzast_hrtypez00(obj_t BgL_envz00_3267, obj_t BgL_nodez00_3268)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 204 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1845;
BgL_nodez00_1845 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3268); 
{ 
obj_t BgL_l2711z00_1849;
BgL_l2711z00_1849 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bindingsz00); 
BgL_lname2712z00_1850:
if(
PAIRP(BgL_l2711z00_1849))
{ /* Ast/hrtype.scm 206 */
{ /* Ast/hrtype.scm 207 */
obj_t BgL_bindingz00_1853;
BgL_bindingz00_1853 = 
CAR(BgL_l2711z00_1849); 
{ /* Ast/hrtype.scm 207 */
obj_t BgL_varz00_1854;
BgL_varz00_1854 = 
CAR(BgL_bindingz00_1853); 
{ /* Ast/hrtype.scm 209 */
BgL_nodez00_bglt BgL_nodez00_2930;
{ /* Ast/hrtype.scm 209 */
obj_t BgL_auxz00_3648;
BgL_auxz00_3648 = 
CDR(BgL_bindingz00_1853); 
BgL_nodez00_2930 = 
(BgL_nodez00_bglt)(BgL_auxz00_3648); } 
{ /* Ast/hrtype.scm 209 */
obj_t BgL_method2726z00_2931;
{ /* Ast/hrtype.scm 209 */
long BgL_objzd2classzd2numz00_2933;
{ /* Ast/hrtype.scm 209 */
BgL_objectz00_bglt BgL_auxz00_3651;
BgL_auxz00_3651 = 
(BgL_objectz00_bglt)(BgL_nodez00_2930); 
BgL_objzd2classzd2numz00_2933 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3651); } 
{ /* Ast/hrtype.scm 209 */
obj_t BgL_arg1221z00_2934;
{ /* Ast/hrtype.scm 209 */
int BgL_auxz00_3654;
BgL_auxz00_3654 = 
(int)(((long)1)); 
BgL_arg1221z00_2934 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3654); } 
{ /* Ast/hrtype.scm 209 */
long BgL_offsetz00_2938;
{ /* Ast/hrtype.scm 209 */
long BgL_auxz00_3657;
{ /* Ast/hrtype.scm 209 */
int BgL_auxz00_3658;
BgL_auxz00_3658 = 
(int)(BgL_objzd2classzd2numz00_2933); 
BgL_auxz00_3657 = 
(long)(BgL_auxz00_3658); } 
BgL_offsetz00_2938 = 
(BgL_auxz00_3657-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 209 */
long BgL_modz00_2939;
{ /* Ast/hrtype.scm 209 */
long BgL_auxz00_3662;
{ /* Ast/hrtype.scm 209 */
int BgL_auxz00_3663;
BgL_auxz00_3663 = 
(int)(((long)8)); 
BgL_auxz00_3662 = 
(long)(BgL_auxz00_3663); } 
BgL_modz00_2939 = 
(BgL_offsetz00_2938/BgL_auxz00_3662); } 
{ /* Ast/hrtype.scm 209 */
long BgL_restz00_2941;
{ /* Ast/hrtype.scm 209 */
long BgL_auxz00_3667;
{ /* Ast/hrtype.scm 209 */
int BgL_auxz00_3668;
BgL_auxz00_3668 = 
(int)(((long)8)); 
BgL_auxz00_3667 = 
(long)(BgL_auxz00_3668); } 
BgL_restz00_2941 = 
(BgL_offsetz00_2938%BgL_auxz00_3667); } 
{ /* Ast/hrtype.scm 209 */

{ /* Ast/hrtype.scm 209 */
obj_t BgL_bucketz00_2943;
{ /* Ast/hrtype.scm 209 */
int BgL_kz00_2953;
BgL_kz00_2953 = 
(int)(BgL_modz00_2939); 
BgL_bucketz00_2943 = 
VECTOR_REF(BgL_arg1221z00_2934,BgL_kz00_2953); } 
{ /* Ast/hrtype.scm 209 */
int BgL_kz00_2955;
BgL_kz00_2955 = 
(int)(BgL_restz00_2941); 
BgL_method2726z00_2931 = 
VECTOR_REF(BgL_bucketz00_2943,BgL_kz00_2955); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2931)(BgL_method2726z00_2931, 
(obj_t)(BgL_nodez00_2930), BEOA); } } 
BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
(BgL_variablez00_bglt)(BgL_varz00_1854)); } } 
{ 
obj_t BgL_l2711z00_3681;
BgL_l2711z00_3681 = 
CDR(BgL_l2711z00_1849); 
BgL_l2711z00_1849 = BgL_l2711z00_3681; 
goto BgL_lname2712z00_1850;} }  else 
{ /* Ast/hrtype.scm 206 */((bool_t)1); } } 
{ /* Ast/hrtype.scm 212 */
BgL_nodez00_bglt BgL_arg2929z00_1857;
BgL_arg2929z00_1857 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bodyz00); 
{ /* Ast/hrtype.scm 212 */
obj_t BgL_method2726z00_2959;
{ /* Ast/hrtype.scm 212 */
long BgL_objzd2classzd2numz00_2961;
{ /* Ast/hrtype.scm 212 */
BgL_objectz00_bglt BgL_auxz00_3685;
BgL_auxz00_3685 = 
(BgL_objectz00_bglt)(BgL_arg2929z00_1857); 
BgL_objzd2classzd2numz00_2961 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3685); } 
{ /* Ast/hrtype.scm 212 */
obj_t BgL_arg1221z00_2962;
{ /* Ast/hrtype.scm 212 */
int BgL_auxz00_3688;
BgL_auxz00_3688 = 
(int)(((long)1)); 
BgL_arg1221z00_2962 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3688); } 
{ /* Ast/hrtype.scm 212 */
long BgL_offsetz00_2966;
{ /* Ast/hrtype.scm 212 */
long BgL_auxz00_3691;
{ /* Ast/hrtype.scm 212 */
int BgL_auxz00_3692;
BgL_auxz00_3692 = 
(int)(BgL_objzd2classzd2numz00_2961); 
BgL_auxz00_3691 = 
(long)(BgL_auxz00_3692); } 
BgL_offsetz00_2966 = 
(BgL_auxz00_3691-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 212 */
long BgL_modz00_2967;
{ /* Ast/hrtype.scm 212 */
long BgL_auxz00_3696;
{ /* Ast/hrtype.scm 212 */
int BgL_auxz00_3697;
BgL_auxz00_3697 = 
(int)(((long)8)); 
BgL_auxz00_3696 = 
(long)(BgL_auxz00_3697); } 
BgL_modz00_2967 = 
(BgL_offsetz00_2966/BgL_auxz00_3696); } 
{ /* Ast/hrtype.scm 212 */
long BgL_restz00_2969;
{ /* Ast/hrtype.scm 212 */
long BgL_auxz00_3701;
{ /* Ast/hrtype.scm 212 */
int BgL_auxz00_3702;
BgL_auxz00_3702 = 
(int)(((long)8)); 
BgL_auxz00_3701 = 
(long)(BgL_auxz00_3702); } 
BgL_restz00_2969 = 
(BgL_offsetz00_2966%BgL_auxz00_3701); } 
{ /* Ast/hrtype.scm 212 */

{ /* Ast/hrtype.scm 212 */
obj_t BgL_bucketz00_2971;
{ /* Ast/hrtype.scm 212 */
int BgL_kz00_2981;
BgL_kz00_2981 = 
(int)(BgL_modz00_2967); 
BgL_bucketz00_2971 = 
VECTOR_REF(BgL_arg1221z00_2962,BgL_kz00_2981); } 
{ /* Ast/hrtype.scm 212 */
int BgL_kz00_2983;
BgL_kz00_2983 = 
(int)(BgL_restz00_2969); 
BgL_method2726z00_2959 = 
VECTOR_REF(BgL_bucketz00_2971,BgL_kz00_2983); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2959)(BgL_method2726z00_2959, 
(obj_t)(BgL_arg2929z00_1857), BEOA);} } } } 
}



/* hrtype-node!-let-fun2756 */
obj_t BGl_hrtypezd2nodez12zd2letzd2fun2756zc0zzast_hrtypez00(obj_t BgL_envz00_3269, obj_t BgL_nodez00_3270)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 179 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1817;
BgL_nodez00_1817 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3270); 
{ 
obj_t BgL_l2707z00_1821;
BgL_l2707z00_1821 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1817))->BgL_localsz00); 
BgL_lname2708z00_1822:
if(
PAIRP(BgL_l2707z00_1821))
{ /* Ast/hrtype.scm 181 */
{ /* Ast/hrtype.scm 182 */
obj_t BgL_localz00_1825;
BgL_localz00_1825 = 
CAR(BgL_l2707z00_1821); 
{ /* Ast/hrtype.scm 182 */
BgL_valuez00_bglt BgL_sfunz00_1826;
{ /* Ast/hrtype.scm 182 */
BgL_localz00_bglt BgL_obj1279z00_2857;
BgL_obj1279z00_2857 = 
(BgL_localz00_bglt)(BgL_localz00_1825); 
BgL_sfunz00_1826 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_2857))->BgL_valuez00); } 
{ 
obj_t BgL_argsz00_1827;
{ /* Ast/hrtype.scm 183 */
BgL_sfunz00_bglt BgL_obj1395z00_2858;
BgL_obj1395z00_2858 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1826); 
BgL_argsz00_1827 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1395z00_2858))->BgL_argsz00); } 
BgL_loopz00_1828:
if(
PAIRP(BgL_argsz00_1827))
{ /* Ast/hrtype.scm 185 */
obj_t BgL_argz00_1831;
BgL_argz00_1831 = 
CAR(BgL_argsz00_1827); 
{ /* Ast/hrtype.scm 187 */
bool_t BgL_test2914z00_1832;
BgL_test2914z00_1832 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1831, BGl_typez00zztype_typez00); 
if(BgL_test2914z00_1832)
{ /* Ast/hrtype.scm 187 */
{ /* Ast/hrtype.scm 188 */
BgL_typez00_bglt BgL_arg2915z00_1833;
{ /* Ast/hrtype.scm 188 */
obj_t BgL_auxz00_3724;
{ /* Ast/hrtype.scm 188 */
BgL_typez00_bglt BgL_obj1002z00_2862;
BgL_obj1002z00_2862 = 
(BgL_typez00_bglt)(BgL_argz00_1831); 
BgL_auxz00_3724 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2862))->BgL_idz00); } 
BgL_arg2915z00_1833 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3724); } 
{ /* Ast/hrtype.scm 188 */
obj_t BgL_auxz00_3728;
BgL_auxz00_3728 = 
(obj_t)(BgL_arg2915z00_1833); 
SET_CAR(BgL_argsz00_1827, BgL_auxz00_3728); } } }  else 
{ /* Ast/hrtype.scm 189 */
bool_t BgL_test2917z00_1835;
BgL_test2917z00_1835 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1831, BGl_localz00zzast_varz00); 
if(BgL_test2917z00_1835)
{ /* Ast/hrtype.scm 189 */
BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
(BgL_variablez00_bglt)(BgL_argz00_1831)); }  else 
{ /* Ast/hrtype.scm 189 */
{ /* Ast/hrtype.scm 192 */
obj_t BgL_arg2920z00_1838;
BgL_arg2920z00_1838 = 
BGl_shapez00zztools_shapez00(BgL_argz00_1831); 
FAILURE(BGl_string3023z00zzast_hrtypez00,BGl_string3024z00zzast_hrtypez00,BgL_arg2920z00_1838);} } } } 
{ 
obj_t BgL_argsz00_3737;
BgL_argsz00_3737 = 
CDR(BgL_argsz00_1827); 
BgL_argsz00_1827 = BgL_argsz00_3737; 
goto BgL_loopz00_1828;} }  else 
{ /* Ast/hrtype.scm 184 */((bool_t)0); } } 
BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
(BgL_variablez00_bglt)(BgL_localz00_1825)); 
{ /* Ast/hrtype.scm 197 */
BgL_nodez00_bglt BgL_nodez00_2871;
{ /* Ast/hrtype.scm 197 */
obj_t BgL_auxz00_3743;
{ /* Ast/hrtype.scm 197 */
BgL_sfunz00_bglt BgL_obj1398z00_2870;
BgL_obj1398z00_2870 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1826); 
BgL_auxz00_3743 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_2870))->BgL_bodyz00); } 
BgL_nodez00_2871 = 
(BgL_nodez00_bglt)(BgL_auxz00_3743); } 
{ /* Ast/hrtype.scm 197 */
obj_t BgL_method2726z00_2872;
{ /* Ast/hrtype.scm 197 */
long BgL_objzd2classzd2numz00_2874;
{ /* Ast/hrtype.scm 197 */
BgL_objectz00_bglt BgL_auxz00_3747;
BgL_auxz00_3747 = 
(BgL_objectz00_bglt)(BgL_nodez00_2871); 
BgL_objzd2classzd2numz00_2874 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3747); } 
{ /* Ast/hrtype.scm 197 */
obj_t BgL_arg1221z00_2875;
{ /* Ast/hrtype.scm 197 */
int BgL_auxz00_3750;
BgL_auxz00_3750 = 
(int)(((long)1)); 
BgL_arg1221z00_2875 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3750); } 
{ /* Ast/hrtype.scm 197 */
long BgL_offsetz00_2879;
{ /* Ast/hrtype.scm 197 */
long BgL_auxz00_3753;
{ /* Ast/hrtype.scm 197 */
int BgL_auxz00_3754;
BgL_auxz00_3754 = 
(int)(BgL_objzd2classzd2numz00_2874); 
BgL_auxz00_3753 = 
(long)(BgL_auxz00_3754); } 
BgL_offsetz00_2879 = 
(BgL_auxz00_3753-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 197 */
long BgL_modz00_2880;
{ /* Ast/hrtype.scm 197 */
long BgL_auxz00_3758;
{ /* Ast/hrtype.scm 197 */
int BgL_auxz00_3759;
BgL_auxz00_3759 = 
(int)(((long)8)); 
BgL_auxz00_3758 = 
(long)(BgL_auxz00_3759); } 
BgL_modz00_2880 = 
(BgL_offsetz00_2879/BgL_auxz00_3758); } 
{ /* Ast/hrtype.scm 197 */
long BgL_restz00_2882;
{ /* Ast/hrtype.scm 197 */
long BgL_auxz00_3763;
{ /* Ast/hrtype.scm 197 */
int BgL_auxz00_3764;
BgL_auxz00_3764 = 
(int)(((long)8)); 
BgL_auxz00_3763 = 
(long)(BgL_auxz00_3764); } 
BgL_restz00_2882 = 
(BgL_offsetz00_2879%BgL_auxz00_3763); } 
{ /* Ast/hrtype.scm 197 */

{ /* Ast/hrtype.scm 197 */
obj_t BgL_bucketz00_2884;
{ /* Ast/hrtype.scm 197 */
int BgL_kz00_2894;
BgL_kz00_2894 = 
(int)(BgL_modz00_2880); 
BgL_bucketz00_2884 = 
VECTOR_REF(BgL_arg1221z00_2875,BgL_kz00_2894); } 
{ /* Ast/hrtype.scm 197 */
int BgL_kz00_2896;
BgL_kz00_2896 = 
(int)(BgL_restz00_2882); 
BgL_method2726z00_2872 = 
VECTOR_REF(BgL_bucketz00_2884,BgL_kz00_2896); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2872)(BgL_method2726z00_2872, 
(obj_t)(BgL_nodez00_2871), BEOA); } } } } 
{ 
obj_t BgL_l2707z00_3775;
BgL_l2707z00_3775 = 
CDR(BgL_l2707z00_1821); 
BgL_l2707z00_1821 = BgL_l2707z00_3775; 
goto BgL_lname2708z00_1822;} }  else 
{ /* Ast/hrtype.scm 181 */((bool_t)1); } } 
{ /* Ast/hrtype.scm 199 */
BgL_nodez00_bglt BgL_arg2924z00_1842;
BgL_arg2924z00_1842 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1817))->BgL_bodyz00); 
{ /* Ast/hrtype.scm 199 */
obj_t BgL_method2726z00_2900;
{ /* Ast/hrtype.scm 199 */
long BgL_objzd2classzd2numz00_2902;
{ /* Ast/hrtype.scm 199 */
BgL_objectz00_bglt BgL_auxz00_3779;
BgL_auxz00_3779 = 
(BgL_objectz00_bglt)(BgL_arg2924z00_1842); 
BgL_objzd2classzd2numz00_2902 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3779); } 
{ /* Ast/hrtype.scm 199 */
obj_t BgL_arg1221z00_2903;
{ /* Ast/hrtype.scm 199 */
int BgL_auxz00_3782;
BgL_auxz00_3782 = 
(int)(((long)1)); 
BgL_arg1221z00_2903 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3782); } 
{ /* Ast/hrtype.scm 199 */
long BgL_offsetz00_2907;
{ /* Ast/hrtype.scm 199 */
long BgL_auxz00_3785;
{ /* Ast/hrtype.scm 199 */
int BgL_auxz00_3786;
BgL_auxz00_3786 = 
(int)(BgL_objzd2classzd2numz00_2902); 
BgL_auxz00_3785 = 
(long)(BgL_auxz00_3786); } 
BgL_offsetz00_2907 = 
(BgL_auxz00_3785-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 199 */
long BgL_modz00_2908;
{ /* Ast/hrtype.scm 199 */
long BgL_auxz00_3790;
{ /* Ast/hrtype.scm 199 */
int BgL_auxz00_3791;
BgL_auxz00_3791 = 
(int)(((long)8)); 
BgL_auxz00_3790 = 
(long)(BgL_auxz00_3791); } 
BgL_modz00_2908 = 
(BgL_offsetz00_2907/BgL_auxz00_3790); } 
{ /* Ast/hrtype.scm 199 */
long BgL_restz00_2910;
{ /* Ast/hrtype.scm 199 */
long BgL_auxz00_3795;
{ /* Ast/hrtype.scm 199 */
int BgL_auxz00_3796;
BgL_auxz00_3796 = 
(int)(((long)8)); 
BgL_auxz00_3795 = 
(long)(BgL_auxz00_3796); } 
BgL_restz00_2910 = 
(BgL_offsetz00_2907%BgL_auxz00_3795); } 
{ /* Ast/hrtype.scm 199 */

{ /* Ast/hrtype.scm 199 */
obj_t BgL_bucketz00_2912;
{ /* Ast/hrtype.scm 199 */
int BgL_kz00_2922;
BgL_kz00_2922 = 
(int)(BgL_modz00_2908); 
BgL_bucketz00_2912 = 
VECTOR_REF(BgL_arg1221z00_2903,BgL_kz00_2922); } 
{ /* Ast/hrtype.scm 199 */
int BgL_kz00_2924;
BgL_kz00_2924 = 
(int)(BgL_restz00_2910); 
BgL_method2726z00_2900 = 
VECTOR_REF(BgL_bucketz00_2912,BgL_kz00_2924); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2900)(BgL_method2726z00_2900, 
(obj_t)(BgL_arg2924z00_1842), BEOA);} } } } 
}



/* hrtype-node!-select2754 */
obj_t BGl_hrtypezd2nodez12zd2select2754z12zzast_hrtypez00(obj_t BgL_envz00_3271, obj_t BgL_nodez00_3272)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 169 */
{ 
BgL_selectz00_bglt BgL_nodez00_1803;
{ /* Ast/hrtype.scm 170 */
bool_t BgL_auxz00_3808;
BgL_nodez00_1803 = 
(BgL_selectz00_bglt)(BgL_nodez00_3272); 
{ /* Ast/hrtype.scm 171 */
BgL_nodez00_bglt BgL_arg2904z00_1807;
BgL_arg2904z00_1807 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1803))->BgL_testz00); 
{ /* Ast/hrtype.scm 171 */
obj_t BgL_method2726z00_2798;
{ /* Ast/hrtype.scm 171 */
long BgL_objzd2classzd2numz00_2800;
{ /* Ast/hrtype.scm 171 */
BgL_objectz00_bglt BgL_auxz00_3810;
BgL_auxz00_3810 = 
(BgL_objectz00_bglt)(BgL_arg2904z00_1807); 
BgL_objzd2classzd2numz00_2800 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3810); } 
{ /* Ast/hrtype.scm 171 */
obj_t BgL_arg1221z00_2801;
{ /* Ast/hrtype.scm 171 */
int BgL_auxz00_3813;
BgL_auxz00_3813 = 
(int)(((long)1)); 
BgL_arg1221z00_2801 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3813); } 
{ /* Ast/hrtype.scm 171 */
long BgL_offsetz00_2805;
{ /* Ast/hrtype.scm 171 */
long BgL_auxz00_3816;
{ /* Ast/hrtype.scm 171 */
int BgL_auxz00_3817;
BgL_auxz00_3817 = 
(int)(BgL_objzd2classzd2numz00_2800); 
BgL_auxz00_3816 = 
(long)(BgL_auxz00_3817); } 
BgL_offsetz00_2805 = 
(BgL_auxz00_3816-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 171 */
long BgL_modz00_2806;
{ /* Ast/hrtype.scm 171 */
long BgL_auxz00_3821;
{ /* Ast/hrtype.scm 171 */
int BgL_auxz00_3822;
BgL_auxz00_3822 = 
(int)(((long)8)); 
BgL_auxz00_3821 = 
(long)(BgL_auxz00_3822); } 
BgL_modz00_2806 = 
(BgL_offsetz00_2805/BgL_auxz00_3821); } 
{ /* Ast/hrtype.scm 171 */
long BgL_restz00_2808;
{ /* Ast/hrtype.scm 171 */
long BgL_auxz00_3826;
{ /* Ast/hrtype.scm 171 */
int BgL_auxz00_3827;
BgL_auxz00_3827 = 
(int)(((long)8)); 
BgL_auxz00_3826 = 
(long)(BgL_auxz00_3827); } 
BgL_restz00_2808 = 
(BgL_offsetz00_2805%BgL_auxz00_3826); } 
{ /* Ast/hrtype.scm 171 */

{ /* Ast/hrtype.scm 171 */
obj_t BgL_bucketz00_2810;
{ /* Ast/hrtype.scm 171 */
int BgL_kz00_2820;
BgL_kz00_2820 = 
(int)(BgL_modz00_2806); 
BgL_bucketz00_2810 = 
VECTOR_REF(BgL_arg1221z00_2801,BgL_kz00_2820); } 
{ /* Ast/hrtype.scm 171 */
int BgL_kz00_2822;
BgL_kz00_2822 = 
(int)(BgL_restz00_2808); 
BgL_method2726z00_2798 = 
VECTOR_REF(BgL_bucketz00_2810,BgL_kz00_2822); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2798)(BgL_method2726z00_2798, 
(obj_t)(BgL_arg2904z00_1807), BEOA); } } 
{ 
obj_t BgL_l2703z00_1808;
BgL_l2703z00_1808 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1803))->BgL_clausesz00); 
BgL_lname2704z00_1809:
if(
PAIRP(BgL_l2703z00_1808))
{ /* Ast/hrtype.scm 172 */
{ /* Ast/hrtype.scm 173 */
BgL_nodez00_bglt BgL_nodez00_2827;
{ /* Ast/hrtype.scm 173 */
obj_t BgL_auxz00_3840;
{ /* Ast/hrtype.scm 173 */
obj_t BgL_auxz00_3841;
BgL_auxz00_3841 = 
CAR(BgL_l2703z00_1808); 
BgL_auxz00_3840 = 
CDR(BgL_auxz00_3841); } 
BgL_nodez00_2827 = 
(BgL_nodez00_bglt)(BgL_auxz00_3840); } 
{ /* Ast/hrtype.scm 173 */
obj_t BgL_method2726z00_2828;
{ /* Ast/hrtype.scm 173 */
long BgL_objzd2classzd2numz00_2830;
{ /* Ast/hrtype.scm 173 */
BgL_objectz00_bglt BgL_auxz00_3845;
BgL_auxz00_3845 = 
(BgL_objectz00_bglt)(BgL_nodez00_2827); 
BgL_objzd2classzd2numz00_2830 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3845); } 
{ /* Ast/hrtype.scm 173 */
obj_t BgL_arg1221z00_2831;
{ /* Ast/hrtype.scm 173 */
int BgL_auxz00_3848;
BgL_auxz00_3848 = 
(int)(((long)1)); 
BgL_arg1221z00_2831 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3848); } 
{ /* Ast/hrtype.scm 173 */
long BgL_offsetz00_2835;
{ /* Ast/hrtype.scm 173 */
long BgL_auxz00_3851;
{ /* Ast/hrtype.scm 173 */
int BgL_auxz00_3852;
BgL_auxz00_3852 = 
(int)(BgL_objzd2classzd2numz00_2830); 
BgL_auxz00_3851 = 
(long)(BgL_auxz00_3852); } 
BgL_offsetz00_2835 = 
(BgL_auxz00_3851-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 173 */
long BgL_modz00_2836;
{ /* Ast/hrtype.scm 173 */
long BgL_auxz00_3856;
{ /* Ast/hrtype.scm 173 */
int BgL_auxz00_3857;
BgL_auxz00_3857 = 
(int)(((long)8)); 
BgL_auxz00_3856 = 
(long)(BgL_auxz00_3857); } 
BgL_modz00_2836 = 
(BgL_offsetz00_2835/BgL_auxz00_3856); } 
{ /* Ast/hrtype.scm 173 */
long BgL_restz00_2838;
{ /* Ast/hrtype.scm 173 */
long BgL_auxz00_3861;
{ /* Ast/hrtype.scm 173 */
int BgL_auxz00_3862;
BgL_auxz00_3862 = 
(int)(((long)8)); 
BgL_auxz00_3861 = 
(long)(BgL_auxz00_3862); } 
BgL_restz00_2838 = 
(BgL_offsetz00_2835%BgL_auxz00_3861); } 
{ /* Ast/hrtype.scm 173 */

{ /* Ast/hrtype.scm 173 */
obj_t BgL_bucketz00_2840;
{ /* Ast/hrtype.scm 173 */
int BgL_kz00_2850;
BgL_kz00_2850 = 
(int)(BgL_modz00_2836); 
BgL_bucketz00_2840 = 
VECTOR_REF(BgL_arg1221z00_2831,BgL_kz00_2850); } 
{ /* Ast/hrtype.scm 173 */
int BgL_kz00_2852;
BgL_kz00_2852 = 
(int)(BgL_restz00_2838); 
BgL_method2726z00_2828 = 
VECTOR_REF(BgL_bucketz00_2840,BgL_kz00_2852); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2828)(BgL_method2726z00_2828, 
(obj_t)(BgL_nodez00_2827), BEOA); } } 
{ 
obj_t BgL_l2703z00_3873;
BgL_l2703z00_3873 = 
CDR(BgL_l2703z00_1808); 
BgL_l2703z00_1808 = BgL_l2703z00_3873; 
goto BgL_lname2704z00_1809;} }  else 
{ /* Ast/hrtype.scm 172 */
BgL_auxz00_3808 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3808);} } } 
}



/* hrtype-node!-fail2752 */
obj_t BGl_hrtypezd2nodez12zd2fail2752z12zzast_hrtypez00(obj_t BgL_envz00_3273, obj_t BgL_nodez00_3274)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 160 */
{ 
BgL_failz00_bglt BgL_nodez00_1794;
BgL_nodez00_1794 = 
(BgL_failz00_bglt)(BgL_nodez00_3274); 
{ /* Ast/hrtype.scm 162 */
BgL_nodez00_bglt BgL_arg2900z00_1798;
BgL_arg2900z00_1798 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1794))->BgL_procz00); 
{ /* Ast/hrtype.scm 162 */
obj_t BgL_method2726z00_2717;
{ /* Ast/hrtype.scm 162 */
long BgL_objzd2classzd2numz00_2719;
{ /* Ast/hrtype.scm 162 */
BgL_objectz00_bglt BgL_auxz00_3879;
BgL_auxz00_3879 = 
(BgL_objectz00_bglt)(BgL_arg2900z00_1798); 
BgL_objzd2classzd2numz00_2719 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3879); } 
{ /* Ast/hrtype.scm 162 */
obj_t BgL_arg1221z00_2720;
{ /* Ast/hrtype.scm 162 */
int BgL_auxz00_3882;
BgL_auxz00_3882 = 
(int)(((long)1)); 
BgL_arg1221z00_2720 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3882); } 
{ /* Ast/hrtype.scm 162 */
long BgL_offsetz00_2724;
{ /* Ast/hrtype.scm 162 */
long BgL_auxz00_3885;
{ /* Ast/hrtype.scm 162 */
int BgL_auxz00_3886;
BgL_auxz00_3886 = 
(int)(BgL_objzd2classzd2numz00_2719); 
BgL_auxz00_3885 = 
(long)(BgL_auxz00_3886); } 
BgL_offsetz00_2724 = 
(BgL_auxz00_3885-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 162 */
long BgL_modz00_2725;
{ /* Ast/hrtype.scm 162 */
long BgL_auxz00_3890;
{ /* Ast/hrtype.scm 162 */
int BgL_auxz00_3891;
BgL_auxz00_3891 = 
(int)(((long)8)); 
BgL_auxz00_3890 = 
(long)(BgL_auxz00_3891); } 
BgL_modz00_2725 = 
(BgL_offsetz00_2724/BgL_auxz00_3890); } 
{ /* Ast/hrtype.scm 162 */
long BgL_restz00_2727;
{ /* Ast/hrtype.scm 162 */
long BgL_auxz00_3895;
{ /* Ast/hrtype.scm 162 */
int BgL_auxz00_3896;
BgL_auxz00_3896 = 
(int)(((long)8)); 
BgL_auxz00_3895 = 
(long)(BgL_auxz00_3896); } 
BgL_restz00_2727 = 
(BgL_offsetz00_2724%BgL_auxz00_3895); } 
{ /* Ast/hrtype.scm 162 */

{ /* Ast/hrtype.scm 162 */
obj_t BgL_bucketz00_2729;
{ /* Ast/hrtype.scm 162 */
int BgL_kz00_2739;
BgL_kz00_2739 = 
(int)(BgL_modz00_2725); 
BgL_bucketz00_2729 = 
VECTOR_REF(BgL_arg1221z00_2720,BgL_kz00_2739); } 
{ /* Ast/hrtype.scm 162 */
int BgL_kz00_2741;
BgL_kz00_2741 = 
(int)(BgL_restz00_2727); 
BgL_method2726z00_2717 = 
VECTOR_REF(BgL_bucketz00_2729,BgL_kz00_2741); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2717)(BgL_method2726z00_2717, 
(obj_t)(BgL_arg2900z00_1798), BEOA); } } 
{ /* Ast/hrtype.scm 163 */
BgL_nodez00_bglt BgL_arg2901z00_1799;
BgL_arg2901z00_1799 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1794))->BgL_msgz00); 
{ /* Ast/hrtype.scm 163 */
obj_t BgL_method2726z00_2744;
{ /* Ast/hrtype.scm 163 */
long BgL_objzd2classzd2numz00_2746;
{ /* Ast/hrtype.scm 163 */
BgL_objectz00_bglt BgL_auxz00_3908;
BgL_auxz00_3908 = 
(BgL_objectz00_bglt)(BgL_arg2901z00_1799); 
BgL_objzd2classzd2numz00_2746 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3908); } 
{ /* Ast/hrtype.scm 163 */
obj_t BgL_arg1221z00_2747;
{ /* Ast/hrtype.scm 163 */
int BgL_auxz00_3911;
BgL_auxz00_3911 = 
(int)(((long)1)); 
BgL_arg1221z00_2747 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3911); } 
{ /* Ast/hrtype.scm 163 */
long BgL_offsetz00_2751;
{ /* Ast/hrtype.scm 163 */
long BgL_auxz00_3914;
{ /* Ast/hrtype.scm 163 */
int BgL_auxz00_3915;
BgL_auxz00_3915 = 
(int)(BgL_objzd2classzd2numz00_2746); 
BgL_auxz00_3914 = 
(long)(BgL_auxz00_3915); } 
BgL_offsetz00_2751 = 
(BgL_auxz00_3914-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 163 */
long BgL_modz00_2752;
{ /* Ast/hrtype.scm 163 */
long BgL_auxz00_3919;
{ /* Ast/hrtype.scm 163 */
int BgL_auxz00_3920;
BgL_auxz00_3920 = 
(int)(((long)8)); 
BgL_auxz00_3919 = 
(long)(BgL_auxz00_3920); } 
BgL_modz00_2752 = 
(BgL_offsetz00_2751/BgL_auxz00_3919); } 
{ /* Ast/hrtype.scm 163 */
long BgL_restz00_2754;
{ /* Ast/hrtype.scm 163 */
long BgL_auxz00_3924;
{ /* Ast/hrtype.scm 163 */
int BgL_auxz00_3925;
BgL_auxz00_3925 = 
(int)(((long)8)); 
BgL_auxz00_3924 = 
(long)(BgL_auxz00_3925); } 
BgL_restz00_2754 = 
(BgL_offsetz00_2751%BgL_auxz00_3924); } 
{ /* Ast/hrtype.scm 163 */

{ /* Ast/hrtype.scm 163 */
obj_t BgL_bucketz00_2756;
{ /* Ast/hrtype.scm 163 */
int BgL_kz00_2766;
BgL_kz00_2766 = 
(int)(BgL_modz00_2752); 
BgL_bucketz00_2756 = 
VECTOR_REF(BgL_arg1221z00_2747,BgL_kz00_2766); } 
{ /* Ast/hrtype.scm 163 */
int BgL_kz00_2768;
BgL_kz00_2768 = 
(int)(BgL_restz00_2754); 
BgL_method2726z00_2744 = 
VECTOR_REF(BgL_bucketz00_2756,BgL_kz00_2768); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2744)(BgL_method2726z00_2744, 
(obj_t)(BgL_arg2901z00_1799), BEOA); } } 
{ /* Ast/hrtype.scm 164 */
BgL_nodez00_bglt BgL_arg2902z00_1800;
BgL_arg2902z00_1800 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1794))->BgL_objz00); 
{ /* Ast/hrtype.scm 164 */
obj_t BgL_method2726z00_2771;
{ /* Ast/hrtype.scm 164 */
long BgL_objzd2classzd2numz00_2773;
{ /* Ast/hrtype.scm 164 */
BgL_objectz00_bglt BgL_auxz00_3937;
BgL_auxz00_3937 = 
(BgL_objectz00_bglt)(BgL_arg2902z00_1800); 
BgL_objzd2classzd2numz00_2773 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3937); } 
{ /* Ast/hrtype.scm 164 */
obj_t BgL_arg1221z00_2774;
{ /* Ast/hrtype.scm 164 */
int BgL_auxz00_3940;
BgL_auxz00_3940 = 
(int)(((long)1)); 
BgL_arg1221z00_2774 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3940); } 
{ /* Ast/hrtype.scm 164 */
long BgL_offsetz00_2778;
{ /* Ast/hrtype.scm 164 */
long BgL_auxz00_3943;
{ /* Ast/hrtype.scm 164 */
int BgL_auxz00_3944;
BgL_auxz00_3944 = 
(int)(BgL_objzd2classzd2numz00_2773); 
BgL_auxz00_3943 = 
(long)(BgL_auxz00_3944); } 
BgL_offsetz00_2778 = 
(BgL_auxz00_3943-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 164 */
long BgL_modz00_2779;
{ /* Ast/hrtype.scm 164 */
long BgL_auxz00_3948;
{ /* Ast/hrtype.scm 164 */
int BgL_auxz00_3949;
BgL_auxz00_3949 = 
(int)(((long)8)); 
BgL_auxz00_3948 = 
(long)(BgL_auxz00_3949); } 
BgL_modz00_2779 = 
(BgL_offsetz00_2778/BgL_auxz00_3948); } 
{ /* Ast/hrtype.scm 164 */
long BgL_restz00_2781;
{ /* Ast/hrtype.scm 164 */
long BgL_auxz00_3953;
{ /* Ast/hrtype.scm 164 */
int BgL_auxz00_3954;
BgL_auxz00_3954 = 
(int)(((long)8)); 
BgL_auxz00_3953 = 
(long)(BgL_auxz00_3954); } 
BgL_restz00_2781 = 
(BgL_offsetz00_2778%BgL_auxz00_3953); } 
{ /* Ast/hrtype.scm 164 */

{ /* Ast/hrtype.scm 164 */
obj_t BgL_bucketz00_2783;
{ /* Ast/hrtype.scm 164 */
int BgL_kz00_2793;
BgL_kz00_2793 = 
(int)(BgL_modz00_2779); 
BgL_bucketz00_2783 = 
VECTOR_REF(BgL_arg1221z00_2774,BgL_kz00_2793); } 
{ /* Ast/hrtype.scm 164 */
int BgL_kz00_2795;
BgL_kz00_2795 = 
(int)(BgL_restz00_2781); 
BgL_method2726z00_2771 = 
VECTOR_REF(BgL_bucketz00_2783,BgL_kz00_2795); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2771)(BgL_method2726z00_2771, 
(obj_t)(BgL_arg2902z00_1800), BEOA);} } } } 
}



/* hrtype-node!-conditional2750 */
obj_t BGl_hrtypezd2nodez12zd2conditional2750z12zzast_hrtypez00(obj_t BgL_envz00_3275, obj_t BgL_nodez00_3276)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 151 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1785;
BgL_nodez00_1785 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3276); 
{ /* Ast/hrtype.scm 153 */
BgL_nodez00_bglt BgL_arg2896z00_1789;
BgL_arg2896z00_1789 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1785))->BgL_testz00); 
{ /* Ast/hrtype.scm 153 */
obj_t BgL_method2726z00_2636;
{ /* Ast/hrtype.scm 153 */
long BgL_objzd2classzd2numz00_2638;
{ /* Ast/hrtype.scm 153 */
BgL_objectz00_bglt BgL_auxz00_3967;
BgL_auxz00_3967 = 
(BgL_objectz00_bglt)(BgL_arg2896z00_1789); 
BgL_objzd2classzd2numz00_2638 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3967); } 
{ /* Ast/hrtype.scm 153 */
obj_t BgL_arg1221z00_2639;
{ /* Ast/hrtype.scm 153 */
int BgL_auxz00_3970;
BgL_auxz00_3970 = 
(int)(((long)1)); 
BgL_arg1221z00_2639 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3970); } 
{ /* Ast/hrtype.scm 153 */
long BgL_offsetz00_2643;
{ /* Ast/hrtype.scm 153 */
long BgL_auxz00_3973;
{ /* Ast/hrtype.scm 153 */
int BgL_auxz00_3974;
BgL_auxz00_3974 = 
(int)(BgL_objzd2classzd2numz00_2638); 
BgL_auxz00_3973 = 
(long)(BgL_auxz00_3974); } 
BgL_offsetz00_2643 = 
(BgL_auxz00_3973-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 153 */
long BgL_modz00_2644;
{ /* Ast/hrtype.scm 153 */
long BgL_auxz00_3978;
{ /* Ast/hrtype.scm 153 */
int BgL_auxz00_3979;
BgL_auxz00_3979 = 
(int)(((long)8)); 
BgL_auxz00_3978 = 
(long)(BgL_auxz00_3979); } 
BgL_modz00_2644 = 
(BgL_offsetz00_2643/BgL_auxz00_3978); } 
{ /* Ast/hrtype.scm 153 */
long BgL_restz00_2646;
{ /* Ast/hrtype.scm 153 */
long BgL_auxz00_3983;
{ /* Ast/hrtype.scm 153 */
int BgL_auxz00_3984;
BgL_auxz00_3984 = 
(int)(((long)8)); 
BgL_auxz00_3983 = 
(long)(BgL_auxz00_3984); } 
BgL_restz00_2646 = 
(BgL_offsetz00_2643%BgL_auxz00_3983); } 
{ /* Ast/hrtype.scm 153 */

{ /* Ast/hrtype.scm 153 */
obj_t BgL_bucketz00_2648;
{ /* Ast/hrtype.scm 153 */
int BgL_kz00_2658;
BgL_kz00_2658 = 
(int)(BgL_modz00_2644); 
BgL_bucketz00_2648 = 
VECTOR_REF(BgL_arg1221z00_2639,BgL_kz00_2658); } 
{ /* Ast/hrtype.scm 153 */
int BgL_kz00_2660;
BgL_kz00_2660 = 
(int)(BgL_restz00_2646); 
BgL_method2726z00_2636 = 
VECTOR_REF(BgL_bucketz00_2648,BgL_kz00_2660); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2636)(BgL_method2726z00_2636, 
(obj_t)(BgL_arg2896z00_1789), BEOA); } } 
{ /* Ast/hrtype.scm 154 */
BgL_nodez00_bglt BgL_arg2897z00_1790;
BgL_arg2897z00_1790 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1785))->BgL_truez00); 
{ /* Ast/hrtype.scm 154 */
obj_t BgL_method2726z00_2663;
{ /* Ast/hrtype.scm 154 */
long BgL_objzd2classzd2numz00_2665;
{ /* Ast/hrtype.scm 154 */
BgL_objectz00_bglt BgL_auxz00_3996;
BgL_auxz00_3996 = 
(BgL_objectz00_bglt)(BgL_arg2897z00_1790); 
BgL_objzd2classzd2numz00_2665 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3996); } 
{ /* Ast/hrtype.scm 154 */
obj_t BgL_arg1221z00_2666;
{ /* Ast/hrtype.scm 154 */
int BgL_auxz00_3999;
BgL_auxz00_3999 = 
(int)(((long)1)); 
BgL_arg1221z00_2666 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_3999); } 
{ /* Ast/hrtype.scm 154 */
long BgL_offsetz00_2670;
{ /* Ast/hrtype.scm 154 */
long BgL_auxz00_4002;
{ /* Ast/hrtype.scm 154 */
int BgL_auxz00_4003;
BgL_auxz00_4003 = 
(int)(BgL_objzd2classzd2numz00_2665); 
BgL_auxz00_4002 = 
(long)(BgL_auxz00_4003); } 
BgL_offsetz00_2670 = 
(BgL_auxz00_4002-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 154 */
long BgL_modz00_2671;
{ /* Ast/hrtype.scm 154 */
long BgL_auxz00_4007;
{ /* Ast/hrtype.scm 154 */
int BgL_auxz00_4008;
BgL_auxz00_4008 = 
(int)(((long)8)); 
BgL_auxz00_4007 = 
(long)(BgL_auxz00_4008); } 
BgL_modz00_2671 = 
(BgL_offsetz00_2670/BgL_auxz00_4007); } 
{ /* Ast/hrtype.scm 154 */
long BgL_restz00_2673;
{ /* Ast/hrtype.scm 154 */
long BgL_auxz00_4012;
{ /* Ast/hrtype.scm 154 */
int BgL_auxz00_4013;
BgL_auxz00_4013 = 
(int)(((long)8)); 
BgL_auxz00_4012 = 
(long)(BgL_auxz00_4013); } 
BgL_restz00_2673 = 
(BgL_offsetz00_2670%BgL_auxz00_4012); } 
{ /* Ast/hrtype.scm 154 */

{ /* Ast/hrtype.scm 154 */
obj_t BgL_bucketz00_2675;
{ /* Ast/hrtype.scm 154 */
int BgL_kz00_2685;
BgL_kz00_2685 = 
(int)(BgL_modz00_2671); 
BgL_bucketz00_2675 = 
VECTOR_REF(BgL_arg1221z00_2666,BgL_kz00_2685); } 
{ /* Ast/hrtype.scm 154 */
int BgL_kz00_2687;
BgL_kz00_2687 = 
(int)(BgL_restz00_2673); 
BgL_method2726z00_2663 = 
VECTOR_REF(BgL_bucketz00_2675,BgL_kz00_2687); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2663)(BgL_method2726z00_2663, 
(obj_t)(BgL_arg2897z00_1790), BEOA); } } 
{ /* Ast/hrtype.scm 155 */
BgL_nodez00_bglt BgL_arg2898z00_1791;
BgL_arg2898z00_1791 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1785))->BgL_falsez00); 
{ /* Ast/hrtype.scm 155 */
obj_t BgL_method2726z00_2690;
{ /* Ast/hrtype.scm 155 */
long BgL_objzd2classzd2numz00_2692;
{ /* Ast/hrtype.scm 155 */
BgL_objectz00_bglt BgL_auxz00_4025;
BgL_auxz00_4025 = 
(BgL_objectz00_bglt)(BgL_arg2898z00_1791); 
BgL_objzd2classzd2numz00_2692 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4025); } 
{ /* Ast/hrtype.scm 155 */
obj_t BgL_arg1221z00_2693;
{ /* Ast/hrtype.scm 155 */
int BgL_auxz00_4028;
BgL_auxz00_4028 = 
(int)(((long)1)); 
BgL_arg1221z00_2693 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4028); } 
{ /* Ast/hrtype.scm 155 */
long BgL_offsetz00_2697;
{ /* Ast/hrtype.scm 155 */
long BgL_auxz00_4031;
{ /* Ast/hrtype.scm 155 */
int BgL_auxz00_4032;
BgL_auxz00_4032 = 
(int)(BgL_objzd2classzd2numz00_2692); 
BgL_auxz00_4031 = 
(long)(BgL_auxz00_4032); } 
BgL_offsetz00_2697 = 
(BgL_auxz00_4031-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 155 */
long BgL_modz00_2698;
{ /* Ast/hrtype.scm 155 */
long BgL_auxz00_4036;
{ /* Ast/hrtype.scm 155 */
int BgL_auxz00_4037;
BgL_auxz00_4037 = 
(int)(((long)8)); 
BgL_auxz00_4036 = 
(long)(BgL_auxz00_4037); } 
BgL_modz00_2698 = 
(BgL_offsetz00_2697/BgL_auxz00_4036); } 
{ /* Ast/hrtype.scm 155 */
long BgL_restz00_2700;
{ /* Ast/hrtype.scm 155 */
long BgL_auxz00_4041;
{ /* Ast/hrtype.scm 155 */
int BgL_auxz00_4042;
BgL_auxz00_4042 = 
(int)(((long)8)); 
BgL_auxz00_4041 = 
(long)(BgL_auxz00_4042); } 
BgL_restz00_2700 = 
(BgL_offsetz00_2697%BgL_auxz00_4041); } 
{ /* Ast/hrtype.scm 155 */

{ /* Ast/hrtype.scm 155 */
obj_t BgL_bucketz00_2702;
{ /* Ast/hrtype.scm 155 */
int BgL_kz00_2712;
BgL_kz00_2712 = 
(int)(BgL_modz00_2698); 
BgL_bucketz00_2702 = 
VECTOR_REF(BgL_arg1221z00_2693,BgL_kz00_2712); } 
{ /* Ast/hrtype.scm 155 */
int BgL_kz00_2714;
BgL_kz00_2714 = 
(int)(BgL_restz00_2700); 
BgL_method2726z00_2690 = 
VECTOR_REF(BgL_bucketz00_2702,BgL_kz00_2714); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2690)(BgL_method2726z00_2690, 
(obj_t)(BgL_arg2898z00_1791), BEOA);} } } } 
}



/* hrtype-node!-setq2748 */
obj_t BGl_hrtypezd2nodez12zd2setq2748z12zzast_hrtypez00(obj_t BgL_envz00_3277, obj_t BgL_nodez00_3278)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 143 */
{ 
BgL_setqz00_bglt BgL_nodez00_1777;
BgL_nodez00_1777 = 
(BgL_setqz00_bglt)(BgL_nodez00_3278); 
{ /* Ast/hrtype.scm 145 */
BgL_nodez00_bglt BgL_arg2893z00_1781;
BgL_arg2893z00_1781 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1777))->BgL_valuez00); 
{ /* Ast/hrtype.scm 145 */
obj_t BgL_method2726z00_2582;
{ /* Ast/hrtype.scm 145 */
long BgL_objzd2classzd2numz00_2584;
{ /* Ast/hrtype.scm 145 */
BgL_objectz00_bglt BgL_auxz00_4055;
BgL_auxz00_4055 = 
(BgL_objectz00_bglt)(BgL_arg2893z00_1781); 
BgL_objzd2classzd2numz00_2584 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4055); } 
{ /* Ast/hrtype.scm 145 */
obj_t BgL_arg1221z00_2585;
{ /* Ast/hrtype.scm 145 */
int BgL_auxz00_4058;
BgL_auxz00_4058 = 
(int)(((long)1)); 
BgL_arg1221z00_2585 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4058); } 
{ /* Ast/hrtype.scm 145 */
long BgL_offsetz00_2589;
{ /* Ast/hrtype.scm 145 */
long BgL_auxz00_4061;
{ /* Ast/hrtype.scm 145 */
int BgL_auxz00_4062;
BgL_auxz00_4062 = 
(int)(BgL_objzd2classzd2numz00_2584); 
BgL_auxz00_4061 = 
(long)(BgL_auxz00_4062); } 
BgL_offsetz00_2589 = 
(BgL_auxz00_4061-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 145 */
long BgL_modz00_2590;
{ /* Ast/hrtype.scm 145 */
long BgL_auxz00_4066;
{ /* Ast/hrtype.scm 145 */
int BgL_auxz00_4067;
BgL_auxz00_4067 = 
(int)(((long)8)); 
BgL_auxz00_4066 = 
(long)(BgL_auxz00_4067); } 
BgL_modz00_2590 = 
(BgL_offsetz00_2589/BgL_auxz00_4066); } 
{ /* Ast/hrtype.scm 145 */
long BgL_restz00_2592;
{ /* Ast/hrtype.scm 145 */
long BgL_auxz00_4071;
{ /* Ast/hrtype.scm 145 */
int BgL_auxz00_4072;
BgL_auxz00_4072 = 
(int)(((long)8)); 
BgL_auxz00_4071 = 
(long)(BgL_auxz00_4072); } 
BgL_restz00_2592 = 
(BgL_offsetz00_2589%BgL_auxz00_4071); } 
{ /* Ast/hrtype.scm 145 */

{ /* Ast/hrtype.scm 145 */
obj_t BgL_bucketz00_2594;
{ /* Ast/hrtype.scm 145 */
int BgL_kz00_2604;
BgL_kz00_2604 = 
(int)(BgL_modz00_2590); 
BgL_bucketz00_2594 = 
VECTOR_REF(BgL_arg1221z00_2585,BgL_kz00_2604); } 
{ /* Ast/hrtype.scm 145 */
int BgL_kz00_2606;
BgL_kz00_2606 = 
(int)(BgL_restz00_2592); 
BgL_method2726z00_2582 = 
VECTOR_REF(BgL_bucketz00_2594,BgL_kz00_2606); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2582)(BgL_method2726z00_2582, 
(obj_t)(BgL_arg2893z00_1781), BEOA); } } 
{ /* Ast/hrtype.scm 146 */
BgL_nodez00_bglt BgL_nodez00_2608;
{ /* Ast/hrtype.scm 146 */
BgL_varz00_bglt BgL_auxz00_4083;
BgL_auxz00_4083 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1777))->BgL_varz00); 
BgL_nodez00_2608 = 
(BgL_nodez00_bglt)(BgL_auxz00_4083); } 
{ /* Ast/hrtype.scm 146 */
obj_t BgL_method2726z00_2609;
{ /* Ast/hrtype.scm 146 */
long BgL_objzd2classzd2numz00_2611;
{ /* Ast/hrtype.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4086;
BgL_auxz00_4086 = 
(BgL_objectz00_bglt)(BgL_nodez00_2608); 
BgL_objzd2classzd2numz00_2611 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4086); } 
{ /* Ast/hrtype.scm 146 */
obj_t BgL_arg1221z00_2612;
{ /* Ast/hrtype.scm 146 */
int BgL_auxz00_4089;
BgL_auxz00_4089 = 
(int)(((long)1)); 
BgL_arg1221z00_2612 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4089); } 
{ /* Ast/hrtype.scm 146 */
long BgL_offsetz00_2616;
{ /* Ast/hrtype.scm 146 */
long BgL_auxz00_4092;
{ /* Ast/hrtype.scm 146 */
int BgL_auxz00_4093;
BgL_auxz00_4093 = 
(int)(BgL_objzd2classzd2numz00_2611); 
BgL_auxz00_4092 = 
(long)(BgL_auxz00_4093); } 
BgL_offsetz00_2616 = 
(BgL_auxz00_4092-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 146 */
long BgL_modz00_2617;
{ /* Ast/hrtype.scm 146 */
long BgL_auxz00_4097;
{ /* Ast/hrtype.scm 146 */
int BgL_auxz00_4098;
BgL_auxz00_4098 = 
(int)(((long)8)); 
BgL_auxz00_4097 = 
(long)(BgL_auxz00_4098); } 
BgL_modz00_2617 = 
(BgL_offsetz00_2616/BgL_auxz00_4097); } 
{ /* Ast/hrtype.scm 146 */
long BgL_restz00_2619;
{ /* Ast/hrtype.scm 146 */
long BgL_auxz00_4102;
{ /* Ast/hrtype.scm 146 */
int BgL_auxz00_4103;
BgL_auxz00_4103 = 
(int)(((long)8)); 
BgL_auxz00_4102 = 
(long)(BgL_auxz00_4103); } 
BgL_restz00_2619 = 
(BgL_offsetz00_2616%BgL_auxz00_4102); } 
{ /* Ast/hrtype.scm 146 */

{ /* Ast/hrtype.scm 146 */
obj_t BgL_bucketz00_2621;
{ /* Ast/hrtype.scm 146 */
int BgL_kz00_2631;
BgL_kz00_2631 = 
(int)(BgL_modz00_2617); 
BgL_bucketz00_2621 = 
VECTOR_REF(BgL_arg1221z00_2612,BgL_kz00_2631); } 
{ /* Ast/hrtype.scm 146 */
int BgL_kz00_2633;
BgL_kz00_2633 = 
(int)(BgL_restz00_2619); 
BgL_method2726z00_2609 = 
VECTOR_REF(BgL_bucketz00_2621,BgL_kz00_2633); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2609)(BgL_method2726z00_2609, 
(obj_t)(BgL_nodez00_2608), BEOA);} } } } 
}



/* hrtype-node!-cast2746 */
obj_t BGl_hrtypezd2nodez12zd2cast2746z12zzast_hrtypez00(obj_t BgL_envz00_3279, obj_t BgL_nodez00_3280)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 136 */
{ 
BgL_castz00_bglt BgL_nodez00_1770;
BgL_nodez00_1770 = 
(BgL_castz00_bglt)(BgL_nodez00_3280); 
{ /* Ast/hrtype.scm 137 */
BgL_nodez00_bglt BgL_arg2891z00_2552;
BgL_arg2891z00_2552 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1770))->BgL_argz00); 
{ /* Ast/hrtype.scm 137 */
obj_t BgL_method2726z00_2555;
{ /* Ast/hrtype.scm 137 */
long BgL_objzd2classzd2numz00_2557;
{ /* Ast/hrtype.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4116;
BgL_auxz00_4116 = 
(BgL_objectz00_bglt)(BgL_arg2891z00_2552); 
BgL_objzd2classzd2numz00_2557 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4116); } 
{ /* Ast/hrtype.scm 137 */
obj_t BgL_arg1221z00_2558;
{ /* Ast/hrtype.scm 137 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)1)); 
BgL_arg1221z00_2558 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4119); } 
{ /* Ast/hrtype.scm 137 */
long BgL_offsetz00_2562;
{ /* Ast/hrtype.scm 137 */
long BgL_auxz00_4122;
{ /* Ast/hrtype.scm 137 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(BgL_objzd2classzd2numz00_2557); 
BgL_auxz00_4122 = 
(long)(BgL_auxz00_4123); } 
BgL_offsetz00_2562 = 
(BgL_auxz00_4122-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 137 */
long BgL_modz00_2563;
{ /* Ast/hrtype.scm 137 */
long BgL_auxz00_4127;
{ /* Ast/hrtype.scm 137 */
int BgL_auxz00_4128;
BgL_auxz00_4128 = 
(int)(((long)8)); 
BgL_auxz00_4127 = 
(long)(BgL_auxz00_4128); } 
BgL_modz00_2563 = 
(BgL_offsetz00_2562/BgL_auxz00_4127); } 
{ /* Ast/hrtype.scm 137 */
long BgL_restz00_2565;
{ /* Ast/hrtype.scm 137 */
long BgL_auxz00_4132;
{ /* Ast/hrtype.scm 137 */
int BgL_auxz00_4133;
BgL_auxz00_4133 = 
(int)(((long)8)); 
BgL_auxz00_4132 = 
(long)(BgL_auxz00_4133); } 
BgL_restz00_2565 = 
(BgL_offsetz00_2562%BgL_auxz00_4132); } 
{ /* Ast/hrtype.scm 137 */

{ /* Ast/hrtype.scm 137 */
obj_t BgL_bucketz00_2567;
{ /* Ast/hrtype.scm 137 */
int BgL_kz00_2577;
BgL_kz00_2577 = 
(int)(BgL_modz00_2563); 
BgL_bucketz00_2567 = 
VECTOR_REF(BgL_arg1221z00_2558,BgL_kz00_2577); } 
{ /* Ast/hrtype.scm 137 */
int BgL_kz00_2579;
BgL_kz00_2579 = 
(int)(BgL_restz00_2565); 
BgL_method2726z00_2555 = 
VECTOR_REF(BgL_bucketz00_2567,BgL_kz00_2579); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2555)(BgL_method2726z00_2555, 
(obj_t)(BgL_arg2891z00_2552), BEOA);} } } } 
}



/* hrtype-node!-extern2744 */
obj_t BGl_hrtypezd2nodez12zd2extern2744z12zzast_hrtypez00(obj_t BgL_envz00_3281, obj_t BgL_nodez00_3282)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 127 */
{ 
BgL_externz00_bglt BgL_nodez00_1758;
{ /* Ast/hrtype.scm 128 */
bool_t BgL_auxz00_4145;
BgL_nodez00_1758 = 
(BgL_externz00_bglt)(BgL_nodez00_3282); 
{ /* Ast/hrtype.scm 129 */
bool_t BgL_test2884z00_1762;
{ /* Ast/hrtype.scm 129 */
obj_t BgL_auxz00_4146;
{ /* Ast/hrtype.scm 129 */
BgL_typez00_bglt BgL_auxz00_4147;
BgL_auxz00_4147 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_typez00); 
BgL_auxz00_4146 = 
(obj_t)(BgL_auxz00_4147); } 
BgL_test2884z00_1762 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4146, BGl_typez00zztype_typez00); } 
if(BgL_test2884z00_1762)
{ /* Ast/hrtype.scm 130 */
BgL_typez00_bglt BgL_arg2885z00_1763;
{ /* Ast/hrtype.scm 130 */
obj_t BgL_auxz00_4152;
{ /* Ast/hrtype.scm 130 */
BgL_typez00_bglt BgL_arg2887z00_1765;
BgL_arg2887z00_1765 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_typez00); 
BgL_auxz00_4152 = 
(((BgL_typez00_bglt)CREF(BgL_arg2887z00_1765))->BgL_idz00); } 
BgL_arg2885z00_1763 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_4152); } 
((((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2885z00_1763), BUNSPEC); }  else 
{ /* Ast/hrtype.scm 129 */BFALSE; } } 
BgL_auxz00_4145 = 
BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_4145);} } } 
}



/* hrtype-node!-funcall2742 */
obj_t BGl_hrtypezd2nodez12zd2funcall2742z12zzast_hrtypez00(obj_t BgL_envz00_3283, obj_t BgL_nodez00_3284)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 119 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1750;
{ /* Ast/hrtype.scm 120 */
bool_t BgL_auxz00_4161;
BgL_nodez00_1750 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3284); 
{ /* Ast/hrtype.scm 121 */
BgL_nodez00_bglt BgL_arg2881z00_1754;
BgL_arg2881z00_1754 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1750))->BgL_funz00); 
{ /* Ast/hrtype.scm 121 */
obj_t BgL_method2726z00_2518;
{ /* Ast/hrtype.scm 121 */
long BgL_objzd2classzd2numz00_2520;
{ /* Ast/hrtype.scm 121 */
BgL_objectz00_bglt BgL_auxz00_4163;
BgL_auxz00_4163 = 
(BgL_objectz00_bglt)(BgL_arg2881z00_1754); 
BgL_objzd2classzd2numz00_2520 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4163); } 
{ /* Ast/hrtype.scm 121 */
obj_t BgL_arg1221z00_2521;
{ /* Ast/hrtype.scm 121 */
int BgL_auxz00_4166;
BgL_auxz00_4166 = 
(int)(((long)1)); 
BgL_arg1221z00_2521 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4166); } 
{ /* Ast/hrtype.scm 121 */
long BgL_offsetz00_2525;
{ /* Ast/hrtype.scm 121 */
long BgL_auxz00_4169;
{ /* Ast/hrtype.scm 121 */
int BgL_auxz00_4170;
BgL_auxz00_4170 = 
(int)(BgL_objzd2classzd2numz00_2520); 
BgL_auxz00_4169 = 
(long)(BgL_auxz00_4170); } 
BgL_offsetz00_2525 = 
(BgL_auxz00_4169-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 121 */
long BgL_modz00_2526;
{ /* Ast/hrtype.scm 121 */
long BgL_auxz00_4174;
{ /* Ast/hrtype.scm 121 */
int BgL_auxz00_4175;
BgL_auxz00_4175 = 
(int)(((long)8)); 
BgL_auxz00_4174 = 
(long)(BgL_auxz00_4175); } 
BgL_modz00_2526 = 
(BgL_offsetz00_2525/BgL_auxz00_4174); } 
{ /* Ast/hrtype.scm 121 */
long BgL_restz00_2528;
{ /* Ast/hrtype.scm 121 */
long BgL_auxz00_4179;
{ /* Ast/hrtype.scm 121 */
int BgL_auxz00_4180;
BgL_auxz00_4180 = 
(int)(((long)8)); 
BgL_auxz00_4179 = 
(long)(BgL_auxz00_4180); } 
BgL_restz00_2528 = 
(BgL_offsetz00_2525%BgL_auxz00_4179); } 
{ /* Ast/hrtype.scm 121 */

{ /* Ast/hrtype.scm 121 */
obj_t BgL_bucketz00_2530;
{ /* Ast/hrtype.scm 121 */
int BgL_kz00_2540;
BgL_kz00_2540 = 
(int)(BgL_modz00_2526); 
BgL_bucketz00_2530 = 
VECTOR_REF(BgL_arg1221z00_2521,BgL_kz00_2540); } 
{ /* Ast/hrtype.scm 121 */
int BgL_kz00_2542;
BgL_kz00_2542 = 
(int)(BgL_restz00_2528); 
BgL_method2726z00_2518 = 
VECTOR_REF(BgL_bucketz00_2530,BgL_kz00_2542); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2518)(BgL_method2726z00_2518, 
(obj_t)(BgL_arg2881z00_1754), BEOA); } } 
BgL_auxz00_4161 = 
BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1750))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4161);} } } 
}



/* hrtype-node!-app-ly2740 */
obj_t BGl_hrtypezd2nodez12zd2appzd2ly2740zc0zzast_hrtypez00(obj_t BgL_envz00_3285, obj_t BgL_nodez00_3286)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 111 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1742;
BgL_nodez00_1742 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3286); 
{ /* Ast/hrtype.scm 113 */
BgL_nodez00_bglt BgL_arg2878z00_1746;
BgL_arg2878z00_1746 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1742))->BgL_funz00); 
{ /* Ast/hrtype.scm 113 */
obj_t BgL_method2726z00_2464;
{ /* Ast/hrtype.scm 113 */
long BgL_objzd2classzd2numz00_2466;
{ /* Ast/hrtype.scm 113 */
BgL_objectz00_bglt BgL_auxz00_4196;
BgL_auxz00_4196 = 
(BgL_objectz00_bglt)(BgL_arg2878z00_1746); 
BgL_objzd2classzd2numz00_2466 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4196); } 
{ /* Ast/hrtype.scm 113 */
obj_t BgL_arg1221z00_2467;
{ /* Ast/hrtype.scm 113 */
int BgL_auxz00_4199;
BgL_auxz00_4199 = 
(int)(((long)1)); 
BgL_arg1221z00_2467 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4199); } 
{ /* Ast/hrtype.scm 113 */
long BgL_offsetz00_2471;
{ /* Ast/hrtype.scm 113 */
long BgL_auxz00_4202;
{ /* Ast/hrtype.scm 113 */
int BgL_auxz00_4203;
BgL_auxz00_4203 = 
(int)(BgL_objzd2classzd2numz00_2466); 
BgL_auxz00_4202 = 
(long)(BgL_auxz00_4203); } 
BgL_offsetz00_2471 = 
(BgL_auxz00_4202-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 113 */
long BgL_modz00_2472;
{ /* Ast/hrtype.scm 113 */
long BgL_auxz00_4207;
{ /* Ast/hrtype.scm 113 */
int BgL_auxz00_4208;
BgL_auxz00_4208 = 
(int)(((long)8)); 
BgL_auxz00_4207 = 
(long)(BgL_auxz00_4208); } 
BgL_modz00_2472 = 
(BgL_offsetz00_2471/BgL_auxz00_4207); } 
{ /* Ast/hrtype.scm 113 */
long BgL_restz00_2474;
{ /* Ast/hrtype.scm 113 */
long BgL_auxz00_4212;
{ /* Ast/hrtype.scm 113 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)8)); 
BgL_auxz00_4212 = 
(long)(BgL_auxz00_4213); } 
BgL_restz00_2474 = 
(BgL_offsetz00_2471%BgL_auxz00_4212); } 
{ /* Ast/hrtype.scm 113 */

{ /* Ast/hrtype.scm 113 */
obj_t BgL_bucketz00_2476;
{ /* Ast/hrtype.scm 113 */
int BgL_kz00_2486;
BgL_kz00_2486 = 
(int)(BgL_modz00_2472); 
BgL_bucketz00_2476 = 
VECTOR_REF(BgL_arg1221z00_2467,BgL_kz00_2486); } 
{ /* Ast/hrtype.scm 113 */
int BgL_kz00_2488;
BgL_kz00_2488 = 
(int)(BgL_restz00_2474); 
BgL_method2726z00_2464 = 
VECTOR_REF(BgL_bucketz00_2476,BgL_kz00_2488); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2726z00_2464)(BgL_method2726z00_2464, 
(obj_t)(BgL_arg2878z00_1746), BEOA); } } 
{ /* Ast/hrtype.scm 114 */
BgL_nodez00_bglt BgL_arg2879z00_1747;
BgL_arg2879z00_1747 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1742))->BgL_argz00); 
{ /* Ast/hrtype.scm 114 */
obj_t BgL_method2726z00_2491;
{ /* Ast/hrtype.scm 114 */
long BgL_objzd2classzd2numz00_2493;
{ /* Ast/hrtype.scm 114 */
BgL_objectz00_bglt BgL_auxz00_4225;
BgL_auxz00_4225 = 
(BgL_objectz00_bglt)(BgL_arg2879z00_1747); 
BgL_objzd2classzd2numz00_2493 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4225); } 
{ /* Ast/hrtype.scm 114 */
obj_t BgL_arg1221z00_2494;
{ /* Ast/hrtype.scm 114 */
int BgL_auxz00_4228;
BgL_auxz00_4228 = 
(int)(((long)1)); 
BgL_arg1221z00_2494 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4228); } 
{ /* Ast/hrtype.scm 114 */
long BgL_offsetz00_2498;
{ /* Ast/hrtype.scm 114 */
long BgL_auxz00_4231;
{ /* Ast/hrtype.scm 114 */
int BgL_auxz00_4232;
BgL_auxz00_4232 = 
(int)(BgL_objzd2classzd2numz00_2493); 
BgL_auxz00_4231 = 
(long)(BgL_auxz00_4232); } 
BgL_offsetz00_2498 = 
(BgL_auxz00_4231-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 114 */
long BgL_modz00_2499;
{ /* Ast/hrtype.scm 114 */
long BgL_auxz00_4236;
{ /* Ast/hrtype.scm 114 */
int BgL_auxz00_4237;
BgL_auxz00_4237 = 
(int)(((long)8)); 
BgL_auxz00_4236 = 
(long)(BgL_auxz00_4237); } 
BgL_modz00_2499 = 
(BgL_offsetz00_2498/BgL_auxz00_4236); } 
{ /* Ast/hrtype.scm 114 */
long BgL_restz00_2501;
{ /* Ast/hrtype.scm 114 */
long BgL_auxz00_4241;
{ /* Ast/hrtype.scm 114 */
int BgL_auxz00_4242;
BgL_auxz00_4242 = 
(int)(((long)8)); 
BgL_auxz00_4241 = 
(long)(BgL_auxz00_4242); } 
BgL_restz00_2501 = 
(BgL_offsetz00_2498%BgL_auxz00_4241); } 
{ /* Ast/hrtype.scm 114 */

{ /* Ast/hrtype.scm 114 */
obj_t BgL_bucketz00_2503;
{ /* Ast/hrtype.scm 114 */
int BgL_kz00_2513;
BgL_kz00_2513 = 
(int)(BgL_modz00_2499); 
BgL_bucketz00_2503 = 
VECTOR_REF(BgL_arg1221z00_2494,BgL_kz00_2513); } 
{ /* Ast/hrtype.scm 114 */
int BgL_kz00_2515;
BgL_kz00_2515 = 
(int)(BgL_restz00_2501); 
BgL_method2726z00_2491 = 
VECTOR_REF(BgL_bucketz00_2503,BgL_kz00_2515); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_2491)(BgL_method2726z00_2491, 
(obj_t)(BgL_arg2879z00_1747), BEOA);} } } } 
}



/* hrtype-node!-app2738 */
obj_t BGl_hrtypezd2nodez12zd2app2738z12zzast_hrtypez00(obj_t BgL_envz00_3287, obj_t BgL_nodez00_3288)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 71 */
{ 
BgL_appz00_bglt BgL_nodez00_1696;
{ /* Ast/hrtype.scm 72 */
bool_t BgL_auxz00_4254;
BgL_nodez00_1696 = 
(BgL_appz00_bglt)(BgL_nodez00_3288); 
{ /* Ast/hrtype.scm 73 */
bool_t BgL_test2841z00_1700;
{ /* Ast/hrtype.scm 73 */
obj_t BgL_auxz00_4255;
{ /* Ast/hrtype.scm 73 */
BgL_typez00_bglt BgL_auxz00_4256;
BgL_auxz00_4256 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1696))->BgL_typez00); 
BgL_auxz00_4255 = 
(obj_t)(BgL_auxz00_4256); } 
BgL_test2841z00_1700 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4255, BGl_typez00zztype_typez00); } 
if(BgL_test2841z00_1700)
{ /* Ast/hrtype.scm 74 */
BgL_typez00_bglt BgL_arg2842z00_1701;
{ /* Ast/hrtype.scm 74 */
obj_t BgL_auxz00_4261;
{ /* Ast/hrtype.scm 74 */
BgL_typez00_bglt BgL_arg2844z00_1703;
BgL_arg2844z00_1703 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1696))->BgL_typez00); 
BgL_auxz00_4261 = 
(((BgL_typez00_bglt)CREF(BgL_arg2844z00_1703))->BgL_idz00); } 
BgL_arg2842z00_1701 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_4261); } 
((((BgL_appz00_bglt)CREF(BgL_nodez00_1696))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2842z00_1701), BUNSPEC); }  else 
{ /* Ast/hrtype.scm 73 */BFALSE; } } 
{ /* Ast/hrtype.scm 75 */
BgL_varz00_bglt BgL_instance2685z00_1705;
BgL_instance2685z00_1705 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1696))->BgL_funz00); 
{ /* Ast/hrtype.scm 76 */
bool_t BgL_test2846z00_1706;
{ /* Ast/hrtype.scm 76 */
obj_t BgL_auxz00_4267;
{ /* Ast/hrtype.scm 76 */
BgL_variablez00_bglt BgL_auxz00_4268;
BgL_auxz00_4268 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_auxz00_4267 = 
(obj_t)(BgL_auxz00_4268); } 
BgL_test2846z00_1706 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4267, BGl_globalz00zzast_varz00); } 
if(BgL_test2846z00_1706)
{ /* Ast/hrtype.scm 77 */
BgL_valuez00_bglt BgL_valuez00_1707;
{ /* Ast/hrtype.scm 77 */
BgL_variablez00_bglt BgL_arg2874z00_1737;
BgL_arg2874z00_1737 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_valuez00_1707 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2874z00_1737))->BgL_valuez00); } 
{ /* Ast/hrtype.scm 79 */
bool_t BgL_test2847z00_1708;
BgL_test2847z00_1708 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1707), BGl_cfunz00zzast_varz00); 
if(BgL_test2847z00_1708)
{ /* Ast/hrtype.scm 79 */
{ /* Ast/hrtype.scm 80 */
obj_t BgL_auxz00_4278;
{ /* Ast/hrtype.scm 80 */
BgL_variablez00_bglt BgL_auxz00_4279;
BgL_auxz00_4279 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_auxz00_4278 = 
(obj_t)(BgL_auxz00_4279); } 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_auxz00_4278); } }  else 
{ /* Ast/hrtype.scm 81 */
bool_t BgL_test2849z00_1710;
BgL_test2849z00_1710 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1707), BGl_sfunz00zzast_varz00); 
if(BgL_test2849z00_1710)
{ /* Ast/hrtype.scm 81 */
{ /* Ast/hrtype.scm 82 */
bool_t BgL_test2850z00_1711;
{ /* Ast/hrtype.scm 82 */
bool_t BgL_testz00_4286;
{ /* Ast/hrtype.scm 82 */
obj_t BgL_auxz00_4290;obj_t BgL_auxz00_4287;
BgL_auxz00_4290 = 
CNST_TABLE_REF(((long)0)); 
{ /* Ast/hrtype.scm 82 */
BgL_sfunz00_bglt BgL_obj1401z00_2440;
BgL_obj1401z00_2440 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1707); 
BgL_auxz00_4287 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1401z00_2440))->BgL_classz00); } 
BgL_testz00_4286 = 
(BgL_auxz00_4287==BgL_auxz00_4290); } 
if(BgL_testz00_4286)
{ /* Ast/hrtype.scm 84 */
bool_t BgL_test2870z00_1733;
{ /* Ast/hrtype.scm 84 */
obj_t BgL_auxz00_4293;
{ /* Ast/hrtype.scm 84 */
obj_t BgL_auxz00_4294;
{ /* Ast/hrtype.scm 84 */
BgL_variablez00_bglt BgL_auxz00_4295;
BgL_auxz00_4295 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_auxz00_4294 = 
(obj_t)(BgL_auxz00_4295); } 
BgL_auxz00_4293 = 
BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_auxz00_4294); } 
BgL_test2870z00_1733 = 
CBOOL(BgL_auxz00_4293); } 
if(BgL_test2870z00_1733)
{ /* Ast/hrtype.scm 84 */
BgL_test2850z00_1711 = ((bool_t)0); }  else 
{ /* Ast/hrtype.scm 84 */
BgL_test2850z00_1711 = ((bool_t)1); } }  else 
{ /* Ast/hrtype.scm 82 */
BgL_test2850z00_1711 = ((bool_t)0); } } 
if(BgL_test2850z00_1711)
{ /* Ast/hrtype.scm 88 */
obj_t BgL_auxz00_4302;
{ /* Ast/hrtype.scm 88 */
BgL_variablez00_bglt BgL_auxz00_4303;
BgL_auxz00_4303 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_auxz00_4302 = 
(obj_t)(BgL_auxz00_4303); } 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_auxz00_4302); }  else 
{ /* Ast/hrtype.scm 94 */
obj_t BgL_gz00_1713;
{ /* Ast/hrtype.scm 94 */
obj_t BgL_arg2864z00_1727;
{ /* Ast/hrtype.scm 94 */
BgL_globalz00_bglt BgL_obj1171z00_2444;
{ /* Ast/hrtype.scm 94 */
BgL_variablez00_bglt BgL_auxz00_4307;
BgL_auxz00_4307 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_obj1171z00_2444 = 
(BgL_globalz00_bglt)(BgL_auxz00_4307); } 
BgL_arg2864z00_1727 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2444))->BgL_idz00); } 
{ /* Ast/hrtype.scm 94 */
obj_t BgL_list2866z00_1729;
{ /* Ast/hrtype.scm 94 */
obj_t BgL_auxz00_4311;
{ /* Ast/hrtype.scm 95 */
BgL_globalz00_bglt BgL_obj1193z00_2446;
{ /* Ast/hrtype.scm 95 */
BgL_variablez00_bglt BgL_auxz00_4312;
BgL_auxz00_4312 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_obj1193z00_2446 = 
(BgL_globalz00_bglt)(BgL_auxz00_4312); } 
BgL_auxz00_4311 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1193z00_2446))->BgL_modulez00); } 
BgL_list2866z00_1729 = 
MAKE_PAIR(BgL_auxz00_4311, BNIL); } 
BgL_gz00_1713 = 
BGl_findzd2globalzd2zzast_envz00(BgL_arg2864z00_1727, BgL_list2866z00_1729); } } 
{ /* Ast/hrtype.scm 96 */
bool_t BgL_test2852z00_1714;
BgL_test2852z00_1714 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1713, BGl_variablez00zzast_varz00); 
if(BgL_test2852z00_1714)
{ /* Ast/hrtype.scm 105 */
BgL_variablez00_bglt BgL_val1647z00_2449;
BgL_val1647z00_2449 = 
(BgL_variablez00_bglt)(BgL_gz00_1713); 
((((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1647z00_2449), BUNSPEC); }  else 
{ /* Ast/hrtype.scm 97 */
obj_t BgL_newzd2gzd2_1715;
{ /* Ast/hrtype.scm 97 */
obj_t BgL_arg2861z00_1724;
{ /* Ast/hrtype.scm 97 */
BgL_globalz00_bglt BgL_obj1171z00_2451;
{ /* Ast/hrtype.scm 97 */
BgL_variablez00_bglt BgL_auxz00_4322;
BgL_auxz00_4322 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_obj1171z00_2451 = 
(BgL_globalz00_bglt)(BgL_auxz00_4322); } 
BgL_arg2861z00_1724 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2451))->BgL_idz00); } 
{ /* Ast/hrtype.scm 97 */
obj_t BgL_list2862z00_1725;
BgL_list2862z00_1725 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_newzd2gzd2_1715 = 
BGl_findzd2globalzd2zzast_envz00(BgL_arg2861z00_1724, BgL_list2862z00_1725); } } 
{ /* Ast/hrtype.scm 99 */
bool_t BgL_test2853z00_1716;
{ /* Ast/hrtype.scm 99 */
bool_t BgL_test2858z00_1721;
BgL_test2858z00_1721 = 
BGl_iszd2azf3z21zz__objectz00(BgL_newzd2gzd2_1715, BGl_globalz00zzast_varz00); 
if(BgL_test2858z00_1721)
{ /* Ast/hrtype.scm 100 */
obj_t BgL_auxz00_4333;obj_t BgL_auxz00_4330;
BgL_auxz00_4333 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/hrtype.scm 100 */
BgL_globalz00_bglt BgL_obj1196z00_2453;
BgL_obj1196z00_2453 = 
(BgL_globalz00_bglt)(BgL_newzd2gzd2_1715); 
BgL_auxz00_4330 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1196z00_2453))->BgL_importz00); } 
BgL_test2853z00_1716 = 
(BgL_auxz00_4330==BgL_auxz00_4333); }  else 
{ /* Ast/hrtype.scm 99 */
BgL_test2853z00_1716 = ((bool_t)0); } } 
if(BgL_test2853z00_1716)
{ /* Ast/hrtype.scm 104 */
BgL_variablez00_bglt BgL_val1647z00_2455;
BgL_val1647z00_2455 = 
(BgL_variablez00_bglt)(BgL_newzd2gzd2_1715); 
((((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1647z00_2455), BUNSPEC); }  else 
{ 
obj_t BgL_auxz00_4339;
{ /* Ast/hrtype.scm 103 */
BgL_globalz00_bglt BgL_obj1171z00_2457;
{ /* Ast/hrtype.scm 103 */
BgL_variablez00_bglt BgL_auxz00_4340;
BgL_auxz00_4340 = 
(((BgL_varz00_bglt)CREF(BgL_instance2685z00_1705))->BgL_variablez00); 
BgL_obj1171z00_2457 = 
(BgL_globalz00_bglt)(BgL_auxz00_4340); } 
BgL_auxz00_4339 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2457))->BgL_idz00); } 
FAILURE(BGl_string3025z00zzast_hrtypez00,BGl_string3026z00zzast_hrtypez00,BgL_auxz00_4339);} } } } } } }  else 
{ /* Ast/hrtype.scm 81 */BFALSE; } } } }  else 
{ /* Ast/hrtype.scm 76 */BFALSE; } } } 
BgL_auxz00_4254 = 
BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1696))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_4254);} } } 
}



/* hrtype-node!-sequence2736 */
obj_t BGl_hrtypezd2nodez12zd2sequence2736z12zzast_hrtypez00(obj_t BgL_envz00_3289, obj_t BgL_nodez00_3290)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 64 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1689;
{ /* Ast/hrtype.scm 65 */
bool_t BgL_auxz00_4349;
BgL_nodez00_1689 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3290); 
BgL_auxz00_4349 = 
BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1689))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_4349);} } } 
}



/* hrtype-node!-closure2734 */
obj_t BGl_hrtypezd2nodez12zd2closure2734z12zzast_hrtypez00(obj_t BgL_envz00_3291, obj_t BgL_nodez00_3292)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 58 */
{ 
BgL_closurez00_bglt BgL_nodez00_1681;
BgL_nodez00_1681 = 
(BgL_closurez00_bglt)(BgL_nodez00_3292); 
{ /* Ast/hrtype.scm 59 */
obj_t BgL_arg2837z00_1686;
BgL_arg2837z00_1686 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1681)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3023z00zzast_hrtypez00, BGl_string3027z00zzast_hrtypez00, BgL_arg2837z00_1686);} } } 
}



/* hrtype-node!-var2732 */
obj_t BGl_hrtypezd2nodez12zd2var2732z12zzast_hrtypez00(obj_t BgL_envz00_3293, obj_t BgL_nodez00_3294)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 49 */
{ 
BgL_varz00_bglt BgL_nodez00_1670;
BgL_nodez00_1670 = 
(BgL_varz00_bglt)(BgL_nodez00_3294); 
{ /* Ast/hrtype.scm 51 */
bool_t BgL_test2829z00_1674;
{ /* Ast/hrtype.scm 51 */
obj_t BgL_auxz00_4358;
{ /* Ast/hrtype.scm 51 */
BgL_typez00_bglt BgL_auxz00_4359;
BgL_auxz00_4359 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1670))->BgL_typez00); 
BgL_auxz00_4358 = 
(obj_t)(BgL_auxz00_4359); } 
BgL_test2829z00_1674 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4358, BGl_typez00zztype_typez00); } 
if(BgL_test2829z00_1674)
{ /* Ast/hrtype.scm 52 */
BgL_typez00_bglt BgL_arg2830z00_1675;
{ /* Ast/hrtype.scm 52 */
obj_t BgL_auxz00_4364;
{ /* Ast/hrtype.scm 52 */
BgL_typez00_bglt BgL_arg2832z00_1677;
BgL_arg2832z00_1677 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1670))->BgL_typez00); 
BgL_auxz00_4364 = 
(((BgL_typez00_bglt)CREF(BgL_arg2832z00_1677))->BgL_idz00); } 
BgL_arg2830z00_1675 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_4364); } 
((((BgL_varz00_bglt)CREF(BgL_nodez00_1670))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2830z00_1675), BUNSPEC); }  else 
{ /* Ast/hrtype.scm 51 */BFALSE; } } 
return BUNSPEC;} } 
}



/* hrtype-node!-kwote2730 */
obj_t BGl_hrtypezd2nodez12zd2kwote2730z12zzast_hrtypez00(obj_t BgL_envz00_3295, obj_t BgL_nodez00_3296)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 43 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1665;
BgL_nodez00_1665 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3296); 
return BUNSPEC;} } 
}



/* hrtype-node!-atom2728 */
obj_t BGl_hrtypezd2nodez12zd2atom2728z12zzast_hrtypez00(obj_t BgL_envz00_3297, obj_t BgL_nodez00_3298)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 37 */
{ 
BgL_atomz00_bglt BgL_nodez00_1660;
BgL_nodez00_1660 = 
(BgL_atomz00_bglt)(BgL_nodez00_3298); 
return BUNSPEC;} } 
}



/* hrtype-node! */
obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 32 */
{ /* Ast/hrtype.scm 32 */
obj_t BgL_method2726z00_3206;
{ /* Ast/hrtype.scm 32 */
long BgL_objzd2classzd2numz00_3208;
{ /* Ast/hrtype.scm 32 */
BgL_objectz00_bglt BgL_auxz00_4372;
BgL_auxz00_4372 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_3208 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4372); } 
{ /* Ast/hrtype.scm 32 */
obj_t BgL_arg1221z00_3209;
{ /* Ast/hrtype.scm 32 */
int BgL_auxz00_4375;
BgL_auxz00_4375 = 
(int)(((long)1)); 
BgL_arg1221z00_3209 = 
PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BgL_auxz00_4375); } 
{ /* Ast/hrtype.scm 32 */
long BgL_offsetz00_3213;
{ /* Ast/hrtype.scm 32 */
long BgL_auxz00_4378;
{ /* Ast/hrtype.scm 32 */
int BgL_auxz00_4379;
BgL_auxz00_4379 = 
(int)(BgL_objzd2classzd2numz00_3208); 
BgL_auxz00_4378 = 
(long)(BgL_auxz00_4379); } 
BgL_offsetz00_3213 = 
(BgL_auxz00_4378-OBJECT_TYPE); } 
{ /* Ast/hrtype.scm 32 */
long BgL_modz00_3214;
{ /* Ast/hrtype.scm 32 */
long BgL_auxz00_4383;
{ /* Ast/hrtype.scm 32 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(((long)8)); 
BgL_auxz00_4383 = 
(long)(BgL_auxz00_4384); } 
BgL_modz00_3214 = 
(BgL_offsetz00_3213/BgL_auxz00_4383); } 
{ /* Ast/hrtype.scm 32 */
long BgL_restz00_3216;
{ /* Ast/hrtype.scm 32 */
long BgL_auxz00_4388;
{ /* Ast/hrtype.scm 32 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(((long)8)); 
BgL_auxz00_4388 = 
(long)(BgL_auxz00_4389); } 
BgL_restz00_3216 = 
(BgL_offsetz00_3213%BgL_auxz00_4388); } 
{ /* Ast/hrtype.scm 32 */

{ /* Ast/hrtype.scm 32 */
obj_t BgL_bucketz00_3218;
{ /* Ast/hrtype.scm 32 */
int BgL_kz00_3228;
BgL_kz00_3228 = 
(int)(BgL_modz00_3214); 
BgL_bucketz00_3218 = 
VECTOR_REF(BgL_arg1221z00_3209,BgL_kz00_3228); } 
{ /* Ast/hrtype.scm 32 */
int BgL_kz00_3230;
BgL_kz00_3230 = 
(int)(BgL_restz00_3216); 
BgL_method2726z00_3206 = 
VECTOR_REF(BgL_bucketz00_3218,BgL_kz00_3230); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2726z00_3206)(BgL_method2726z00_3206, 
(obj_t)(BgL_nodez00_1), BEOA);} } 
}



/* _hrtype-node! */
obj_t BGl__hrtypezd2nodez12zc0zzast_hrtypez00(obj_t BgL_envz00_3234, obj_t BgL_nodez00_3235)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 32 */
return 
BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
(BgL_nodez00_bglt)(BgL_nodez00_3235));} 
}



/* hrtype-node!-default2725 */
obj_t BGl_hrtypezd2nodez12zd2default2725z12zzast_hrtypez00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
{ 
obj_t BgL_auxz00_4404;obj_t BgL_auxz00_4402;
BgL_auxz00_4404 = 
(obj_t)(BgL_nodez00_2); 
BgL_auxz00_4402 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_4402,BGl_string3028z00zzast_hrtypez00,BgL_auxz00_4404);} } 
}



/* _hrtype-node!-default2725 */
obj_t BGl__hrtypezd2nodez12zd2default2725z12zzast_hrtypez00(obj_t BgL_envz00_3299, obj_t BgL_nodez00_3300)
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
return 
BGl_hrtypezd2nodez12zd2default2725z12zzast_hrtypez00(
(BgL_nodez00_bglt)(BgL_nodez00_3300));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00()
{ AN_OBJECT;
{ /* Ast/hrtype.scm 17 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_hrtype"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_hrtype"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_hrtype");} 
}

