/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl__failzd2objzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
static obj_t BGl__makezd2boxzf3z21zzast_nodez00(obj_t, obj_t);
static obj_t BGl__getfieldzd2otypezd2zzast_nodez00(obj_t, obj_t);
obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__setqzd2varzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
static obj_t BGl__pragmazf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__letzd2varzd2bindingszd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_nodez00();
static obj_t BGl__makezd2makezd2boxz00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2pragma3516z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__setzd2exzd2itzd2bodyzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__conditionalzd2testzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2conditionalzd2zzast_nodez00(obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__fillzd2isaz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2app3530ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2getfield3510ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
static obj_t BGl__externzd2exprza2zd2setz12zb0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2getfieldzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_externz00_bglt BGl_allocatezd2externzd2zzast_nodez00();
static obj_t BGl__makezd2funcallzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2sequence3536z51zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
static obj_t BGl__allocatezd2nodezf2effectz20zzast_nodez00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_vallocz00_bglt BGl_fillzd2vallocz12zc0zzast_nodez00(BgL_vallocz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl__atomzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2varz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
static obj_t BGl__fillzd2setqz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
static obj_t BGl__allocatezd2newzd2zzast_nodez00(obj_t);
static obj_t BGl__varzd2variablezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__setfieldzd2ftypezd2zzast_nodez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
static obj_t BGl__vsetz12zd2vtypezc0zzast_nodez00(obj_t, obj_t);
extern BgL_newz00_bglt BGl_fillzd2newz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__vrefzd2czd2formatz00zzast_nodez00(obj_t, obj_t);
extern BgL_appzd2lyzd2_bglt BGl_fillzd2appzd2lyz12z12zzast_nodez00(BgL_appzd2lyzd2_bglt, obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
extern BgL_getfieldz00_bglt BGl_allocatezd2getfieldzd2zzast_nodez00();
static obj_t BGl__makezd2boxzd2refz00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_nodez00_bglt);
extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
static obj_t BGl__fillzd2externz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__failzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__funcallzd2funzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2letzd2varz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__newzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2setzd2exzd2itzd2zzast_nodez00(obj_t);
static obj_t BGl__makezd2pragmazd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_setzd2exzd2itz00_bglt BGl_fillzd2setzd2exzd2itz12zc0zzast_nodez00(BgL_setzd2exzd2itz00_bglt, obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
extern BgL_getfieldz00_bglt BGl_fillzd2getfieldz12zc0zzast_nodez00(BgL_getfieldz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern BgL_makezd2boxzd2_bglt BGl_allocatezd2makezd2boxz00zzast_nodez00();
static obj_t BGl__vlengthzd2czd2formatz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2extern3518ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__makezd2varzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2pragmaz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_typez00_bglt BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
static obj_t BGl__jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, BgL_nodez00_bglt);
extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
extern BgL_letzd2funzd2_bglt BGl_allocatezd2letzd2funz00zzast_nodez00();
static obj_t BGl__fillzd2failz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
extern BgL_nodezf2effectzf2_bglt BGl_fillzd2nodezf2effectz12z32zzast_nodez00(BgL_nodezf2effectzf2_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t);
static obj_t BGl__letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_nodez00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2boxzd2ref3440z83zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2appzd2lyz00zzast_nodez00(obj_t);
static obj_t BGl__allocatezd2valloczd2zzast_nodez00(obj_t);
static bool_t BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
static obj_t BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
static BgL_nodez00_bglt BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
extern BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__setqzd2varzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2appzd2zzast_nodez00(obj_t);
static obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
static obj_t BGl__makezd2boxzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2selectzd2zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2atom3550ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__setqzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__letzd2varzd2bodyz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
extern BgL_atomz00_bglt BGl_fillzd2atomz12zc0zzast_nodez00(BgL_atomz00_bglt, obj_t, BgL_typez00_bglt, obj_t);
static obj_t BGl__getfieldzd2fnamezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2atomz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_vlengthz00_bglt BGl_fillzd2vlengthz12zc0zzast_nodez00(BgL_vlengthz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
static obj_t BGl__funcallzd2strengthzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__nodezd2typezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
static obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
extern bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
static obj_t BGl__makezd2kwotezd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2nodezf2effect3554z11zzast_nodez00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
extern BgL_failz00_bglt BGl_fillzd2failz12zc0zzast_nodez00(BgL_failz00_bglt, obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern BgL_closurez00_bglt BGl_fillzd2closurez12zc0zzast_nodez00(BgL_closurez00_bglt, obj_t, BgL_typez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
static obj_t BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_variablez00_bglt);
static obj_t BGl__makezd2nodezf2effectz20zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2cast3480z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2conditionalz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
extern BgL_jumpzd2exzd2itz00_bglt BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
static obj_t BGl__nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(obj_t, obj_t, obj_t);
extern bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
static obj_t BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt);
static obj_t BGl__funcallzf3zf3zzast_nodez00(obj_t, obj_t);
extern BgL_newz00_bglt BGl_allocatezd2newzd2zzast_nodez00();
static obj_t BGl__conditionalzd2falsezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_varz00_bglt BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
static obj_t BGl__makezd2letzd2varz00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
static obj_t BGl__boxzd2refzd2varzd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2vsetz12zc0zzast_nodez00(obj_t);
static BgL_typez00_bglt BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2var3548z51zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_externz00_bglt BGl_fillzd2externz12zc0zzast_nodez00(BgL_externz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_kwotez00_bglt BGl_allocatezd2kwotezd2zzast_nodez00();
extern BgL_letzd2varzd2_bglt BGl_allocatezd2letzd2varz00zzast_nodez00();
static obj_t BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
static obj_t BGl__makezd2isazd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
static obj_t BGl__vsetz12zd2otypezc0zzast_nodez00(obj_t, obj_t);
extern BgL_setqz00_bglt BGl_fillzd2setqz12zc0zzast_nodez00(BgL_setqz00_bglt, obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
static obj_t BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
extern BgL_pragmaz00_bglt BGl_fillzd2pragmaz12zc0zzast_nodez00(BgL_pragmaz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
extern BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__vrefzd2ftypezd2zzast_nodez00(obj_t, obj_t);
static BgL_typez00_bglt BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
extern BgL_conditionalz00_bglt BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
extern BgL_sequencez00_bglt BGl_fillzd2sequencez12zc0zzast_nodez00(BgL_sequencez00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2jumpzd2exzd2it3448z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, BgL_nodez00_bglt);
extern BgL_appz00_bglt BGl_allocatezd2appzd2zzast_nodez00();
static BgL_nodez00_bglt BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
extern bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
static obj_t BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
static BgL_typez00_bglt BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
extern bool_t BGl_selectzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__fillzd2vlengthz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00(BgL_nodezf2effectzf2_bglt);
extern BgL_appzd2lyzd2_bglt BGl_allocatezd2appzd2lyz00zzast_nodez00();
extern BgL_vallocz00_bglt BGl_allocatezd2valloczd2zzast_nodez00();
obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
static BgL_varz00_bglt BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_objectzd2ze3structzd2fail3466ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
extern BgL_selectz00_bglt BGl_allocatezd2selectzd2zzast_nodez00();
extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl__letzd2funzd2bodyz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
extern bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__fillzd2kwotez12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_nodez00();
static obj_t BGl__makezd2letzd2funz00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2boxzd2ref3438z31zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2closurez12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2getfield3512z51zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__appzd2argszd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__boxzd2setz12zd2varz12zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2closurezd2zzast_nodez00(obj_t);
static obj_t BGl__letzd2varzd2bodyzd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2vlengthzd2zzast_nodez00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2setzd2exzd2it3452z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2valloc3498ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__letzd2varzd2bindingsz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2vsetz12z12zd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__letzd2funzd2localszd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__failzd2proczd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__vrefzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__castzd2argzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2setfield3506ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, BgL_typez00_bglt);
static obj_t BGl_objectzd2ze3structzd2funcall3522ze3zzast_nodez00(obj_t, obj_t);
extern BgL_boxzd2setz12zc0_bglt BGl_fillzd2boxzd2setz12z12z00zzast_nodez00(BgL_boxzd2setz12zc0_bglt, obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
static obj_t BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
static obj_t BGl_objectzd2ze3structzd2closure3542ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__getfieldzd2ftypezd2zzast_nodez00(obj_t, obj_t);
extern BgL_vsetz12z12_bglt BGl_fillzd2vsetz12z12zd2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl__vsetz12zf3ze1zzast_nodez00(obj_t, obj_t);
extern BgL_setfieldz00_bglt BGl_fillzd2setfieldz12zc0zzast_nodez00(BgL_setfieldz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern BgL_boxzd2refzd2_bglt BGl_allocatezd2boxzd2refz00zzast_nodez00();
static obj_t BGl__makezd2failzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
static obj_t BGl__makezd2atomzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2nodez12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__funcallzd2strengthzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__selectzd2testzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
extern bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
static obj_t BGl__nodezd2typezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt, BgL_nodez00_bglt);
static obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
static obj_t BGl_objectzd2ze3structzd2new3502ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2failzd2zzast_nodez00(obj_t);
static obj_t BGl__makezd2sequencezd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00();
static obj_t BGl__allocatezd2atomzd2zzast_nodez00(obj_t);
extern BgL_kwotez00_bglt BGl_fillzd2kwotez12zc0zzast_nodez00(BgL_kwotez00_bglt, obj_t, BgL_typez00_bglt, obj_t);
extern BgL_funcallz00_bglt BGl_allocatezd2funcallzd2zzast_nodez00();
static obj_t BGl__kwotezf3zf3zzast_nodez00(obj_t, obj_t);
obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
extern bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
extern BgL_jumpzd2exzd2itz00_bglt BGl_fillzd2jumpzd2exzd2itz12zc0zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt, obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
extern bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
extern BgL_makezd2boxzd2_bglt BGl_fillzd2makezd2boxz12z12zzast_nodez00(BgL_makezd2boxzd2_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt);
static obj_t BGl__appzd2funzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00(BgL_nodezf2effectzf2_bglt, obj_t);
static obj_t BGl__makezd2castzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
extern BgL_setzd2exzd2itz00_bglt BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
extern BgL_setfieldz00_bglt BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl__jumpzd2exzd2itzd2valuezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t);
static obj_t BGl__fillzd2newz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2isa3484z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2makezd2boxz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vrefzd2ftypezd2setz124504z12zzast_nodez00(obj_t, obj_t, obj_t);
extern bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__allocatezd2castzd2zzast_nodez00(obj_t);
static obj_t BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt, BgL_nodez00_bglt);
static BgL_nodez00_bglt BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
obj_t BGl_isaz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__jumpzd2exzd2itzd2exitzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__vsetz12zd2czd2formatz12zzast_nodez00(obj_t, obj_t);
extern BgL_varz00_bglt BGl_fillzd2varz12zc0zzast_nodez00(BgL_varz00_bglt, obj_t, BgL_typez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_objectzd2ze3structzd2sequence3534ze3zzast_nodez00(obj_t, obj_t);
extern BgL_vrefz00_bglt BGl_fillzd2vrefz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
static obj_t BGl__funcallzd2argszd2zzast_nodez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__varzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__setqzd2valuezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__setzd2exzd2itzd2varzd2zzast_nodez00(obj_t, obj_t);
extern BgL_isaz00_bglt BGl_fillzd2isaz12zc0zzast_nodez00(BgL_isaz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_typez00_bglt);
static obj_t BGl__jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2vref3496z51zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_setqz00_bglt BGl_allocatezd2setqzd2zzast_nodez00();
static obj_t BGl__nodezd2loczd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__selectzd2testzd2zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
extern BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
static obj_t BGl__allocatezd2pragmazd2zzast_nodez00(obj_t);
extern BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_variablez00_bglt);
static obj_t BGl__isazf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2setfieldzd2zzast_nodez00(obj_t);
static obj_t BGl__fillzd2boxzd2setz12z12z00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2sequencez12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__letzd2funzd2localsz00zzast_nodez00(obj_t, obj_t);
extern BgL_vrefz00_bglt BGl_allocatezd2vrefzd2zzast_nodez00();
static BgL_typez00_bglt BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2setq3476z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
static BgL_typez00_bglt BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
static obj_t BGl__appzd2lyzd2argz00zzast_nodez00(obj_t, obj_t);
obj_t BGl_selectz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__makezd2setfieldzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
static obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
static obj_t BGl__funcallzd2argszd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, BgL_nodez00_bglt);
obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzast_nodez00();
static obj_t BGl_structzb2objectzd2ze3objectzd2appzd2ly3528z83zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
static obj_t BGl__fillzd2castz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
extern BgL_sequencez00_bglt BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2letzd2var3456z83zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl__valloczd2czd2heapzd2formatzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2node3560z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__externzd2exprza2z70zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
extern bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
extern BgL_nodez00_bglt BGl_allocatezd2nodezd2zzast_nodez00();
extern bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
static obj_t BGl__makezd2newzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2vlength3486ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2funcall3524z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2closure3544z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2extern3520z51zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_funcallz00_bglt BGl_fillzd2funcallz12zc0zzast_nodez00(BgL_funcallz00_bglt, obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
static obj_t BGl__sequencezd2nodeszd2zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
extern BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
extern bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
static obj_t BGl__makezd2externzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
static BgL_typez00_bglt BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
static obj_t BGl__fillzd2setfieldz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__allocatezd2sequencezd2zzast_nodez00(obj_t);
static obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
static obj_t BGl__closurezf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__vsetz12zd2ftypezc0zzast_nodez00(obj_t, obj_t);
static obj_t BGl__conditionalzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__makezd2vlengthzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_valloczd2czd2heapzd2formatzd2zzast_nodez00(BgL_vallocz00_bglt);
static obj_t BGl__makezd2closurezd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
static obj_t BGl_objectzd2ze3structzd2boxzd2setz123434z23zzast_nodez00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2nodezf2effect3556za3zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2appzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
extern BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vlengthzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__boxzd2refzd2varz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2letzd2fun3460z83zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__valloczd2ftypezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__selectzd2itemzd2typez00zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2letzd2funz00zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2vsetz123490zf1zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2var3546ze3zzast_nodez00(obj_t, obj_t);
extern BgL_jumpzd2exzd2itz00_bglt BGl_allocatezd2jumpzd2exzd2itzd2zzast_nodez00();
static obj_t BGl__selectzd2clauseszd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__makezd2nodezd2zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2makezd2box3444z83zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__atomzd2valuezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_pragmaz00_bglt BGl_allocatezd2pragmazd2zzast_nodez00();
static obj_t BGl__conditionalzd2truezd2zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
static obj_t BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
static obj_t BGl_objectzd2ze3structzd2cast3478ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2nodezd2zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2setzd2exzd2it3450ze3zzast_nodez00(obj_t, obj_t);
obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_objectzd2ze3structzd2pragma3514ze3zzast_nodez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
static obj_t BGl__setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
extern BgL_appz00_bglt BGl_fillzd2appz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
static obj_t BGl__nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2select3462ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__conditionalzd2testzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__appzf3zf3zzast_nodez00(obj_t, obj_t);
extern BgL_nodezf2effectzf2_bglt BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t);
extern bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
static obj_t BGl__makezd2vrefzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_setfieldz00_bglt BGl_allocatezd2setfieldzd2zzast_nodez00();
static obj_t BGl__allocatezd2varzd2zzast_nodez00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2app3532z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2funcallz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__nodezf2effectzf3z01zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2vrefzd2zzast_nodez00(obj_t);
static obj_t BGl__castzd2argzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
extern bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2letzd2var3454z31zzast_nodez00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2valloc3500z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2setqzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__setzd2exzd2itzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2letzd2varz00zzast_nodez00(obj_t);
static obj_t BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
static obj_t BGl__fillzd2getfieldz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
extern bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__allocatezd2setqzd2zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2kwote3538ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__atomzd2valuezd2zzast_nodez00(obj_t, obj_t);
obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_structzb2objectzd2ze3objectzd2vlength3488z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__setqzd2valuezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2atom3552z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2conditionalzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__isazd2classzd2zzast_nodez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
static obj_t BGl__getfieldzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__funcallzd2funzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
extern BgL_castz00_bglt BGl_allocatezd2castzd2zzast_nodez00();
extern BgL_boxzd2setz12zc0_bglt BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
static obj_t BGl__castzf3zf3zzast_nodez00(obj_t, obj_t);
obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
static obj_t BGl__letzd2funzd2bodyzd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt, BgL_varz00_bglt);
static obj_t BGl__fillzd2setzd2exzd2itz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
static obj_t BGl__setfieldzd2otypezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
extern bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
static obj_t BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2vsetz123492z43zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, BgL_varz00_bglt);
static obj_t BGl__conditionalzd2truezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__failzd2msgzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
static BgL_nodez00_bglt BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
static obj_t BGl__appzd2lyzd2funzd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__appzd2argszd2zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__selectzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__vrefzd2vtypezd2zzast_nodez00(obj_t, obj_t);
static BgL_typez00_bglt BGl_isazd2classzd2zzast_nodez00(BgL_isaz00_bglt);
static BgL_typez00_bglt BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
static BgL_nodez00_bglt BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt);
static BgL_nodez00_bglt BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
extern BgL_atomz00_bglt BGl_allocatezd2atomzd2zzast_nodez00();
extern BgL_sequencez00_bglt BGl_allocatezd2sequencezd2zzast_nodez00();
extern bool_t BGl_isazf3zf3zzast_nodez00(obj_t);
extern BgL_boxzd2refzd2_bglt BGl_fillzd2boxzd2refz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt);
extern BgL_failz00_bglt BGl_allocatezd2failzd2zzast_nodez00();
static obj_t BGl_objectzd2ze3structzd2conditional3470ze3zzast_nodez00(obj_t, obj_t);
extern BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl__failzd2objzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
extern bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2letzd2fun3458z31zzast_nodez00(obj_t, obj_t);
static obj_t BGl__letzd2varzf3z21zzast_nodez00(obj_t, obj_t);
static obj_t BGl__conditionalzd2falsezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2isazd2zzast_nodez00(obj_t);
static obj_t BGl__makezd2appzd2lyz00zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2isa3482ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2boxzd2setz12z12zzast_nodez00(obj_t);
static obj_t BGl__makezd2valloczd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
extern BgL_varz00_bglt BGl_allocatezd2varzd2zzast_nodez00();
static obj_t BGl__makezd2selectzd2zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_setzd2exzd2itz00_bglt BGl_allocatezd2setzd2exzd2itzd2zzast_nodez00();
static BgL_typez00_bglt BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
static BgL_typez00_bglt BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
extern BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
static obj_t BGl__appzd2lyzd2argzd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
extern BgL_letzd2funzd2_bglt BGl_fillzd2letzd2funz12z12zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
extern BgL_getfieldz00_bglt BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern BgL_castz00_bglt BGl_fillzd2castz12zc0zzast_nodez00(BgL_castz00_bglt, obj_t, BgL_typez00_bglt, BgL_nodez00_bglt);
static obj_t BGl__kwotezd2valuezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2boxzd2refz00zzast_nodez00(obj_t);
static obj_t BGl__makezd2boxzd2valuez00zzast_nodez00(obj_t, obj_t);
extern BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
static BgL_nodez00_bglt BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
static obj_t BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt, BgL_nodez00_bglt);
obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, BgL_typez00_bglt);
extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_objectzd2ze3structzd2jumpzd2exzd2it3446ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2appzd2ly3526z31zzast_nodez00(obj_t, obj_t);
static obj_t BGl__valloczf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__pragmazd2formatzd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__allocatezd2funcallzd2zzast_nodez00(obj_t);
extern BgL_makezd2boxzd2_bglt BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt);
static obj_t BGl__fillzd2appz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2kwote3540z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2jumpzd2exzd2itz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__appzd2lyzf3z21zzast_nodez00(obj_t, obj_t);
static BgL_typez00_bglt BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
static obj_t BGl__failzd2proczd2zzast_nodez00(obj_t, obj_t);
static BgL_varz00_bglt BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
static obj_t BGl__nodezf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2selectz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__nodezf2effectzd2keyz20zzast_nodez00(obj_t, obj_t);
extern BgL_closurez00_bglt BGl_allocatezd2closurezd2zzast_nodez00();
extern BgL_vlengthz00_bglt BGl_allocatezd2vlengthzd2zzast_nodez00();
static obj_t BGl_objectzd2ze3structzd2vref3494ze3zzast_nodez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
static obj_t BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
static obj_t BGl__sequencezf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
static obj_t BGl__allocatezd2getfieldzd2zzast_nodez00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2fail3468z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2vrefz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2boxzd2valuezd2setz12zc0zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzast_nodez00();
extern BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t, BgL_typez00_bglt);
static obj_t BGl__setfieldzd2fnamezd2zzast_nodez00(obj_t, obj_t);
static BgL_typez00_bglt BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt);
extern bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2setq3474ze3zzast_nodez00(obj_t, obj_t);
extern BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
static obj_t BGl__allocatezd2externzd2zzast_nodez00(obj_t);
static obj_t BGl__appzd2lyzd2funz00zzast_nodez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
extern BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern BgL_conditionalz00_bglt BGl_allocatezd2conditionalzd2zzast_nodez00();
extern BgL_appzd2lyzd2_bglt BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
static obj_t BGl__fillzd2boxzd2refz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2makezd2boxz00zzast_nodez00(obj_t);
static BgL_varz00_bglt BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
extern BgL_isaz00_bglt BGl_allocatezd2isazd2zzast_nodez00();
static obj_t BGl__vrefzd2otypezd2zzast_nodez00(obj_t, obj_t);
static BgL_typez00_bglt BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
extern bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
static obj_t BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
static BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
static obj_t BGl__fillzd2nodezf2effectz12z32zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
static obj_t BGl__valloczd2otypezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl__appzd2funzd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__boxzd2setz12zd2valuez12zzast_nodez00(obj_t, obj_t);
extern BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
static obj_t BGl__letzd2funzf3z21zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2vallocz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2vsetz12zc0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2node3558ze3zzast_nodez00(obj_t, obj_t);
static obj_t BGl__fillzd2letzd2funz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_fillzd2nodez12zc0zzast_nodez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2boxzd2setz123436z91zzast_nodez00(obj_t, obj_t, obj_t);
static BgL_typez00_bglt BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
static BgL_typez00_bglt BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
extern BgL_isaz00_bglt BGl_makezd2isazd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_typez00_bglt);
static BgL_variablez00_bglt BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00();
static obj_t BGl__fillzd2appzd2lyz12z12zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt, BgL_typez00_bglt);
extern BgL_boxzd2refzd2_bglt BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt);
static obj_t BGl__boxzd2setz12zf3z33zzast_nodez00(obj_t, obj_t);
extern BgL_letzd2varzd2_bglt BGl_fillzd2letzd2varz12z12zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
static obj_t BGl__setfieldzf3zf3zzast_nodez00(obj_t, obj_t);
extern bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
extern bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2makezd2box3442z31zzast_nodez00(obj_t, obj_t);
static obj_t BGl__boxzd2refzf3z21zzast_nodez00(obj_t, obj_t);
static obj_t BGl__varzd2variablezd2setz12z12zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2setfield3508z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
static obj_t BGl__vsetz12zd2ftypezd2setz124505z00zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt, bool_t);
extern BgL_conditionalz00_bglt BGl_fillzd2conditionalz12zc0zzast_nodez00(BgL_conditionalz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2conditional3472z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__letzd2varzd2removablezf3zf3zzast_nodez00(obj_t, obj_t);
extern BgL_selectz00_bglt BGl_fillzd2selectz12zc0zzast_nodez00(BgL_selectz00_bglt, obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
static obj_t BGl__vlengthzd2vtypezd2zzast_nodez00(obj_t, obj_t);
static obj_t BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
static obj_t BGl__allocatezd2kwotezd2zzast_nodez00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2new3504z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__externzf3zf3zzast_nodez00(obj_t, obj_t);
extern BgL_vsetz12z12_bglt BGl_allocatezd2vsetz12zc0zzast_nodez00();
obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
static obj_t BGl_structzb2objectzd2ze3objectzd2select3464z51zzast_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__failzd2msgzd2zzast_nodez00(obj_t, obj_t);
extern BgL_boxzd2setz12zc0_bglt BGl_allocatezd2boxzd2setz12z12zzast_nodez00();
extern BgL_nodezf2effectzf2_bglt BGl_allocatezd2nodezf2effectz20zzast_nodez00();
static obj_t __cnst[ 69 ] ;

DEFINE_STATIC_PROCEDURE( BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00, BgL_bgl__setza7d2exza7d2itza7d2bodyza7d2za7za7ast_nodeza7004578za7, BGl__setzd2exzd2itzd2bodyzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__jumpza7d2exza7d2itza7d2valueza7d2setza712za712za7za7ast_nodeza7004579za7, BGl__jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__conditionalza7d2testza7d2setza712za712za7za7ast_nodeza7004580za7, BGl__conditionalzd2testzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2argszd2envz00zzast_nodez00, BgL_bgl__funcallza7d2argsza7d2za7za7ast_nodeza7004581za7, BGl__funcallzd2argszd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__vrefza7d2ftypeza7d2setza7124504za712za7za7ast_nodeza7004582za7, BGl__vrefzd2ftypezd2setz124504z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2setfieldzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2setfieldza7d2za7za7ast_nodeza7004583za7, BGl__allocatezd2setfieldzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2vlengthz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2vlengthza712za7c0za7za7ast_nodeza7004584z00, BGl__fillzd2vlengthz12zc0zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_selectzf3zd2envz21zzast_nodez00, BgL_bgl__selectza7f3za7f3za7za7ast_nodeza7004585za7, BGl__selectzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_valloczf3zd2envz21zzast_nodez00, BgL_bgl__vallocza7f3za7f3za7za7ast_nodeza7004586za7, BGl__valloczf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2varz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2varza712za7c0za7za7ast_nodeza7004587z00, BGl__fillzd2varz12zc0zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2sequencez12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2sequenceza712za7c0za7za7ast_nodeza7004588z00, BGl__fillzd2sequencez12zc0zzast_nodez00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2funzd2localszd2envzd2zzast_nodez00, BgL_bgl__letza7d2funza7d2localsza700za7za7ast_nodeza7004589z00, BGl__letzd2funzd2localsz00zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00, BgL_bgl__jumpza7d2exza7d2itza7d2exitza7d2za7za7ast_nodeza7004590za7, BGl__jumpzd2exzd2itzd2exitzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2conditionalzd2envz00zzast_nodez00, BgL_bgl__makeza7d2conditionalza7d2za7za7ast_nodeza7004591za7, BGl__makezd2conditionalzd2zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2closurezd2envz00zzast_nodez00, BgL_bgl__allocateza7d2closureza7d2za7za7ast_nodeza7004592za7, BGl__allocatezd2closurezd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__appza7d2funza7d2setza712za712za7za7ast_nodeza7004593za7, BGl__appzd2funzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2sequencezd2envz00zzast_nodez00, BgL_bgl__allocateza7d2sequenceza7d2za7za7ast_nodeza7004594za7, BGl__allocatezd2sequencezd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00, BgL_bgl__makeza7d2boxza7d2valueza700za7za7ast_nodeza7004595z00, BGl__makezd2boxzd2valuez00zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2lyzd2argzd2envzd2zzast_nodez00, BgL_bgl__appza7d2lyza7d2argza700za7za7ast_nodeza7004596z00, BGl__appzd2lyzd2argz00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2funcallzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2funcallza7d2za7za7ast_nodeza7004597za7, BGl__allocatezd2funcallzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_vrefzf3zd2envz21zzast_nodez00, BgL_bgl__vrefza7f3za7f3za7za7ast_nodeza7004598za7, BGl__vrefzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2castz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2castza712za7c0za7za7ast_nodeza7004599z00, BGl__fillzd2castz12zc0zzast_nodez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_valloczd2ftypezd2envz00zzast_nodez00, BgL_bgl__vallocza7d2ftypeza7d2za7za7ast_nodeza7004600za7, BGl__valloczd2ftypezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_vrefzd2vtypezd2envz00zzast_nodez00, BgL_bgl__vrefza7d2vtypeza7d2za7za7ast_nodeza7004601za7, BGl__vrefzd2vtypezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2kwotezd2envz00zzast_nodez00, BgL_bgl__makeza7d2kwoteza7d2za7za7ast_nodeza7004602za7, BGl__makezd2kwotezd2zzast_nodez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_vsetz12zd2ftypezd2envz12zzast_nodez00, BgL_bgl__vsetza712za7d2ftypeza7c0za7za7ast_nodeza7004603z00, BGl__vsetz12zd2ftypezc0zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2externzd2envz00zzast_nodez00, BgL_bgl__makeza7d2externza7d2za7za7ast_nodeza7004604za7, BGl__makezd2externzd2zzast_nodez00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_vrefzd2ftypezd2envz00zzast_nodez00, BgL_bgl__vrefza7d2ftypeza7d2za7za7ast_nodeza7004605za7, BGl__vrefzd2ftypezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_valloczd2czd2heapzd2formatzd2envz00zzast_nodez00, BgL_bgl__vallocza7d2cza7d2heapza7d2formatza7d2za7za7ast_nodeza7004606za7, BGl__valloczd2czd2heapzd2formatzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2getfieldzd2envz00zzast_nodez00, BgL_bgl__makeza7d2getfieldza7d2za7za7ast_nodeza7004607za7, BGl__makezd2getfieldzd2zzast_nodez00, 0L, 8 );
DEFINE_STATIC_PROCEDURE( BGl_vsetz12zd2vtypezd2envz12zzast_nodez00, BgL_bgl__vsetza712za7d2vtypeza7c0za7za7ast_nodeza7004608z00, BGl__vsetz12zd2vtypezc0zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2pragmaz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2pragmaza712za7c0za7za7ast_nodeza7004609z00, BGl__fillzd2pragmaz12zc0zzast_nodez00, 0L, 7 );
DEFINE_STATIC_PROCEDURE( BGl_selectzd2testzd2envz00zzast_nodez00, BgL_bgl__selectza7d2testza7d2za7za7ast_nodeza7004610za7, BGl__selectzd2testzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2newzd2envz00zzast_nodez00, BgL_bgl__makeza7d2newza7d2za7za7ast_nodeza7004611za7, BGl__makezd2newzd2zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2castzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2castza7d2za7za7ast_nodeza7004612za7, BGl__allocatezd2castzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00, BgL_bgl__letza7d2varza7d2removableza7f3za7f3za7za7ast_nodeza7004613za7, BGl__letzd2varzd2removablezf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00, BgL_bgl__externza7d2exprza7a2za7d2setza712za7b0za7za7ast_nodeza7004614z00, BGl__externzd2exprza2zd2setz12zb0zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_letzd2varzf3zd2envzf3zzast_nodez00, BgL_bgl__letza7d2varza7f3za721za7za7ast_nodeza7004615z00, BGl__letzd2varzf3z21zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setfieldzd2ftypezd2envz00zzast_nodez00, BgL_bgl__setfieldza7d2ftypeza7d2za7za7ast_nodeza7004616za7, BGl__setfieldzd2ftypezd2zzast_nodez00, 0L, 1 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_makezd2failzd2envz00zzast_nodez00, BgL_bgl__makeza7d2failza7d2za7za7ast_nodeza7004617za7, BGl__makezd2failzd2zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2setfieldzd2envz00zzast_nodez00, BgL_bgl__makeza7d2setfieldza7d2za7za7ast_nodeza7004618za7, BGl__makezd2setfieldzd2zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2newzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2newza7d2za7za7ast_nodeza7004619za7, BGl__allocatezd2newzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2pragmazd2envz00zzast_nodez00, BgL_bgl__allocateza7d2pragmaza7d2za7za7ast_nodeza7004620za7, BGl__allocatezd2pragmazd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00, BgL_bgl__boxza7d2setza712za7d2varza712za7za7ast_nodeza7004621za7, BGl__boxzd2setz12zd2varz12zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sequencezd2nodeszd2envz00zzast_nodez00, BgL_bgl__sequenceza7d2nodesza7d2za7za7ast_nodeza7004622za7, BGl__sequencezd2nodeszd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_selectzd2itemzd2typezd2envzd2zzast_nodez00, BgL_bgl__selectza7d2itemza7d2typeza700za7za7ast_nodeza7004623z00, BGl__selectzd2itemzd2typez00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2boxzf3zd2envzf3zzast_nodez00, BgL_bgl__makeza7d2boxza7f3za721za7za7ast_nodeza7004624z00, BGl__makezd2boxzf3z21zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00, BgL_bgl__vlengthza7d2cza7d2formatza700za7za7ast_nodeza7004625z00, BGl__vlengthzd2czd2formatz00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_kwotezf3zd2envz21zzast_nodez00, BgL_bgl__kwoteza7f3za7f3za7za7ast_nodeza7004626za7, BGl__kwotezf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00, BgL_bgl__boxza7d2setza712za7d2valueza7d2setza712za7d2za7za7ast_nodeza7004627za7, BGl__boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2boxzd2setz12z12zd2envzd2zzast_nodez00, BgL_bgl__fillza7d2boxza7d2setza712za712za700za7za7ast_nodeza7004628z00, BGl__fillzd2boxzd2setz12z12z00zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_failzf3zd2envz21zzast_nodez00, BgL_bgl__failza7f3za7f3za7za7ast_nodeza7004629za7, BGl__failzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2sequencezd2envz00zzast_nodez00, BgL_bgl__makeza7d2sequenceza7d2za7za7ast_nodeza7004630za7, BGl__makezd2sequencezd2zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_atomzf3zd2envz21zzast_nodez00, BgL_bgl__atomza7f3za7f3za7za7ast_nodeza7004631za7, BGl__atomzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_castzd2argzd2envz00zzast_nodez00, BgL_bgl__castza7d2argza7d2za7za7ast_nodeza7004632za7, BGl__castzd2argzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2vlengthzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2vlengthza7d2za7za7ast_nodeza7004633za7, BGl__allocatezd2vlengthzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_setfieldzf3zd2envz21zzast_nodez00, BgL_bgl__setfieldza7f3za7f3za7za7ast_nodeza7004634za7, BGl__setfieldzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_varzd2variablezd2envz00zzast_nodez00, BgL_bgl__varza7d2variableza7d2za7za7ast_nodeza7004635za7, BGl__varzd2variablezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2lyzd2funzd2envzd2zzast_nodez00, BgL_bgl__appza7d2lyza7d2funza700za7za7ast_nodeza7004636z00, BGl__appzd2lyzd2funz00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_appzd2lyzf3zd2envzf3zzast_nodez00, BgL_bgl__appza7d2lyza7f3za721za7za7ast_nodeza7004637z00, BGl__appzd2lyzf3z21zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2kwotezd2envz00zzast_nodez00, BgL_bgl__allocateza7d2kwoteza7d2za7za7ast_nodeza7004638za7, BGl__allocatezd2kwotezd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2appzd2lyz12zd2envzc0zzast_nodez00, BgL_bgl__fillza7d2appza7d2lyza712za712za7za7ast_nodeza7004639za7, BGl__fillzd2appzd2lyz12z12zzast_nodez00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_setfieldzd2fnamezd2envz00zzast_nodez00, BgL_bgl__setfieldza7d2fnameza7d2za7za7ast_nodeza7004640za7, BGl__setfieldzd2fnamezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_nodezf3zd2envz21zzast_nodez00, BgL_bgl__nodeza7f3za7f3za7za7ast_nodeza7004641za7, BGl__nodezf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__makeza7d2boxza7d2setza712za712za7za7ast_nodeza7004642za7, BGl__makezd2boxzd2setz12z12zzast_nodez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00, BgL_bgl__letza7d2varza7d2bodyza700za7za7ast_nodeza7004643z00, BGl__letzd2varzd2bodyz00zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setqzd2valuezd2envz00zzast_nodez00, BgL_bgl__setqza7d2valueza7d2za7za7ast_nodeza7004644za7, BGl__setqzd2valuezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00, BgL_bgl__letza7d2varza7d2bindingsza7d2setza712za7c0za7za7ast_nodeza7004645z00, BGl__letzd2varzd2bindingszd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_letzd2funzf3zd2envzf3zzast_nodez00, BgL_bgl__letza7d2funza7f3za721za7za7ast_nodeza7004646z00, BGl__letzd2funzf3z21zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2loczd2envz00zzast_nodez00, BgL_bgl__nodeza7d2locza7d2za7za7ast_nodeza7004647za7, BGl__nodezd2loczd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezf2effectzd2sidezd2effectzf3zd2envzd3zzast_nodez00, BgL_bgl__nodeza7f2effectza7d2sideza7d2effectza7f3za701za7za7ast_nodeza7004648z00, BGl__nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2vallocz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2vallocza712za7c0za7za7ast_nodeza7004649z00, BGl__fillzd2vallocz12zc0zzast_nodez00, 0L, 9 );
DEFINE_STATIC_PROCEDURE( BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__setqza7d2valueza7d2setza712za712za7za7ast_nodeza7004650za7, BGl__setqzd2valuezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__varza7d2variableza7d2setza712za712za7za7ast_nodeza7004651za7, BGl__varzd2variablezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_conditionalzf3zd2envz21zzast_nodez00, BgL_bgl__conditionalza7f3za7f3za7za7ast_nodeza7004652za7, BGl__conditionalzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2varzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2varza7d2za7za7ast_nodeza7004653za7, BGl__allocatezd2varzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2selectz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2selectza712za7c0za7za7ast_nodeza7004654z00, BGl__fillzd2selectz12zc0zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2vsetz12zd2envz12zzast_nodez00, BgL_bgl__allocateza7d2vsetza712za7c0za7za7ast_nodeza7004655z00, BGl__allocatezd2vsetz12zc0zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__atomza7d2valueza7d2setza712za712za7za7ast_nodeza7004656za7, BGl__atomzd2valuezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00, BgL_bgl__appza7d2lyza7d2argza7d2setza712za7c0za7za7ast_nodeza7004657z00, BGl__appzd2lyzd2argzd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4510z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2boxza7d2setza7123436za791za7za7ast_nodeza7004658z00, BGl_structzb2objectzd2ze3objectzd2boxzd2setz123436z91zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4509z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2boxza7d2setza7123434za723za7za7ast_nodeza7004659za7, BGl_objectzd2ze3structzd2boxzd2setz123434z23zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_boxzd2refzf3zd2envzf3zzast_nodez00, BgL_bgl__boxza7d2refza7f3za721za7za7ast_nodeza7004660z00, BGl__boxzd2refzf3z21zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4511z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2boxza7d2ref3438za731za7za7ast_nodeza7004661z00, BGl_objectzd2ze3structzd2boxzd2ref3438z31zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4512z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2boxza7d2ref3440za783za7za7ast_nodeza7004662za7, BGl_structzb2objectzd2ze3objectzd2boxzd2ref3440z83zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4513z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2makeza7d2box3442za731za7za7ast_nodeza7004663z00, BGl_objectzd2ze3structzd2makezd2box3442z31zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4514z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2makeza7d2box3444za783za7za7ast_nodeza7004664za7, BGl_structzb2objectzd2ze3objectzd2makezd2box3444z83zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4515z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2jumpza7d2exza7d2it3446za7e3za7za7ast_nodeza7004665za7, BGl_objectzd2ze3structzd2jumpzd2exzd2it3446ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__funcallza7d2funza7d2setza712za712za7za7ast_nodeza7004666za7, BGl__funcallzd2funzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4516z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2jumpza7d2exza7d2it3448za751za7za7ast_nodeza7004667z00, BGl_structzb2objectzd2ze3objectzd2jumpzd2exzd2it3448z51zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2atomzd2envz00zzast_nodez00, BgL_bgl__makeza7d2atomza7d2za7za7ast_nodeza7004668za7, BGl__makezd2atomzd2zzast_nodez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc4517z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2setza7d2exza7d2it3450za7e3za7za7ast_nodeza7004669za7, BGl_objectzd2ze3structzd2setzd2exzd2it3450ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4518z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2setza7d2exza7d2it3452za751za7za7ast_nodeza7004670z00, BGl_structzb2objectzd2ze3objectzd2setzd2exzd2it3452z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4520z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2letza7d2var3456za783za7za7ast_nodeza7004671za7, BGl_structzb2objectzd2ze3objectzd2letzd2var3456z83zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4519z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2letza7d2var3454za731za7za7ast_nodeza7004672z00, BGl_objectzd2ze3structzd2letzd2var3454z31zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4521z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2letza7d2fun3458za731za7za7ast_nodeza7004673z00, BGl_objectzd2ze3structzd2letzd2fun3458z31zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4522z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2letza7d2fun3460za783za7za7ast_nodeza7004674za7, BGl_structzb2objectzd2ze3objectzd2letzd2fun3460z83zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4523z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2select3462za7e3za7za7ast_nodeza7004675za7, BGl_objectzd2ze3structzd2select3462ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4524z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2select3464za751za7za7ast_nodeza7004676z00, BGl_structzb2objectzd2ze3objectzd2select3464z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4525z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2fail3466za7e3za7za7ast_nodeza7004677za7, BGl_objectzd2ze3structzd2fail3466ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4526z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2fail3468za751za7za7ast_nodeza7004678z00, BGl_structzb2objectzd2ze3objectzd2fail3468z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_valloczd2otypezd2envz00zzast_nodez00, BgL_bgl__vallocza7d2otypeza7d2za7za7ast_nodeza7004679za7, BGl__valloczd2otypezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4527z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2conditional3470za7e3za7za7ast_nodeza7004680za7, BGl_objectzd2ze3structzd2conditional3470ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4528z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2conditional3472za751za7za7ast_nodeza7004681z00, BGl_structzb2objectzd2ze3objectzd2conditional3472z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4530z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2setq3476za751za7za7ast_nodeza7004682z00, BGl_structzb2objectzd2ze3objectzd2setq3476z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4529z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2setq3474za7e3za7za7ast_nodeza7004683za7, BGl_objectzd2ze3structzd2setq3474ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4531z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2cast3478za7e3za7za7ast_nodeza7004684za7, BGl_objectzd2ze3structzd2cast3478ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezf2effectzd2sidezd2effectzf3zd2setz12zd2envz13zzast_nodez00, BgL_bgl__nodeza7f2effectza7d2sideza7d2effectza7f3za7d2setza712za7c1za7za7ast_nodeza7004685z00, BGl__nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4532z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2cast3480za751za7za7ast_nodeza7004686z00, BGl_structzb2objectzd2ze3objectzd2cast3480z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4533z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2isa3482za7e3za7za7ast_nodeza7004687za7, BGl_objectzd2ze3structzd2isa3482ze3zzast_nodez00, 0L, 1 );
DEFINE_STRING( BGl_string4573z00zzast_nodez00, BgL_bgl_string4573za700za7za7ast_nodeza7004688z00, "box-set! box-ref make-box exit::node jump-ex-it set-ex-it removable? bindings::obj let-var body::node locals::obj let-fun item-type clauses select obj::node msg::node proc::node fail false::node true::node test::node conditional value::node var::var setq cast class isa vlength vset! vtype c-format vref c-heap-format valloc new setfield otype ftype fname getfield format pragma expr* extern strength funcall arg::node fun::node app-ly args fun::var app nodes sequence value kwote closure variable::variable var value::obj atom key side-effect? node/effect type::type loc node ", 577 );
DEFINE_STATIC_PROCEDURE( BGl_proc4534z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2isa3484za751za7za7ast_nodeza7004689z00, BGl_structzb2objectzd2ze3objectzd2isa3484z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__failza7d2objza7d2setza712za712za7za7ast_nodeza7004690za7, BGl__failzd2objzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4535z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2vlength3486za7e3za7za7ast_nodeza7004691za7, BGl_objectzd2ze3structzd2vlength3486ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4536z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2vlength3488za751za7za7ast_nodeza7004692z00, BGl_structzb2objectzd2ze3objectzd2vlength3488z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4537z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2vsetza7123490za7f1za7za7ast_nodeza7004693z00, BGl_objectzd2ze3structzd2vsetz123490zf1zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__jumpza7d2exza7d2itza7d2exitza7d2setza712za712za7za7ast_nodeza7004694za7, BGl__jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4538z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2vsetza7123492za743za7za7ast_nodeza7004695za7, BGl_structzb2objectzd2ze3objectzd2vsetz123492z43zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00, BgL_bgl__nodeza7f2effectza7d2keyza7d2setza712za7e0za7za7ast_nodeza7004696z00, BGl__nodezf2effectzd2keyzd2setz12ze0zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4540z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2vref3496za751za7za7ast_nodeza7004697z00, BGl_structzb2objectzd2ze3objectzd2vref3496z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4539z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2vref3494za7e3za7za7ast_nodeza7004698za7, BGl_objectzd2ze3structzd2vref3494ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4541z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2valloc3498za7e3za7za7ast_nodeza7004699za7, BGl_objectzd2ze3structzd2valloc3498ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4542z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2valloc3500za751za7za7ast_nodeza7004700z00, BGl_structzb2objectzd2ze3objectzd2valloc3500z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4543z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2new3502za7e3za7za7ast_nodeza7004701za7, BGl_objectzd2ze3structzd2new3502ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4544z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2new3504za751za7za7ast_nodeza7004702z00, BGl_structzb2objectzd2ze3objectzd2new3504z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4545z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2setfield3506za7e3za7za7ast_nodeza7004703za7, BGl_objectzd2ze3structzd2setfield3506ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4546z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2setfield3508za751za7za7ast_nodeza7004704z00, BGl_structzb2objectzd2ze3objectzd2setfield3508z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_vsetz12zd2otypezd2envz12zzast_nodez00, BgL_bgl__vsetza712za7d2otypeza7c0za7za7ast_nodeza7004705z00, BGl__vsetz12zd2otypezc0zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4547z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2getfield3510za7e3za7za7ast_nodeza7004706za7, BGl_objectzd2ze3structzd2getfield3510ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4548z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2getfield3512za751za7za7ast_nodeza7004707z00, BGl_structzb2objectzd2ze3objectzd2getfield3512z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4550z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2pragma3516za751za7za7ast_nodeza7004708z00, BGl_structzb2objectzd2ze3objectzd2pragma3516z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4549z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2pragma3514za7e3za7za7ast_nodeza7004709za7, BGl_objectzd2ze3structzd2pragma3514ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4551z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2extern3518za7e3za7za7ast_nodeza7004710za7, BGl_objectzd2ze3structzd2extern3518ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4552z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2extern3520za751za7za7ast_nodeza7004711z00, BGl_structzb2objectzd2ze3objectzd2extern3520z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4553z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2funcall3522za7e3za7za7ast_nodeza7004712za7, BGl_objectzd2ze3structzd2funcall3522ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4554z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2funcall3524za751za7za7ast_nodeza7004713z00, BGl_structzb2objectzd2ze3objectzd2funcall3524z51zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2funcallzd2envz00zzast_nodez00, BgL_bgl__makeza7d2funcallza7d2za7za7ast_nodeza7004714za7, BGl__makezd2funcallzd2zzast_nodez00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_proc4555z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2appza7d2ly3526za731za7za7ast_nodeza7004715z00, BGl_objectzd2ze3structzd2appzd2ly3526z31zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4556z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2appza7d2ly3528za783za7za7ast_nodeza7004716za7, BGl_structzb2objectzd2ze3objectzd2appzd2ly3528z83zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2msgzd2envz00zzast_nodez00, BgL_bgl__failza7d2msgza7d2za7za7ast_nodeza7004717za7, BGl__failzd2msgzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4557z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2app3530za7e3za7za7ast_nodeza7004718za7, BGl_objectzd2ze3structzd2app3530ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4558z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2app3532za751za7za7ast_nodeza7004719z00, BGl_structzb2objectzd2ze3objectzd2app3532z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4560z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2sequence3536za751za7za7ast_nodeza7004720z00, BGl_structzb2objectzd2ze3objectzd2sequence3536z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4559z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2sequence3534za7e3za7za7ast_nodeza7004721za7, BGl_objectzd2ze3structzd2sequence3534ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4561z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2kwote3538za7e3za7za7ast_nodeza7004722za7, BGl_objectzd2ze3structzd2kwote3538ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4562z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2kwote3540za751za7za7ast_nodeza7004723z00, BGl_structzb2objectzd2ze3objectzd2kwote3540z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4563z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2closure3542za7e3za7za7ast_nodeza7004724za7, BGl_objectzd2ze3structzd2closure3542ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4564z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2closure3544za751za7za7ast_nodeza7004725z00, BGl_structzb2objectzd2ze3objectzd2closure3544z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4565z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2var3546za7e3za7za7ast_nodeza7004726za7, BGl_objectzd2ze3structzd2var3546ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4566z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2var3548za751za7za7ast_nodeza7004727z00, BGl_structzb2objectzd2ze3objectzd2var3548z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4567z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2atom3550za7e3za7za7ast_nodeza7004728za7, BGl_objectzd2ze3structzd2atom3550ze3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2failzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2failza7d2za7za7ast_nodeza7004729za7, BGl__allocatezd2failzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4568z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2atom3552za751za7za7ast_nodeza7004730z00, BGl_structzb2objectzd2ze3objectzd2atom3552z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4570z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2nodeza7f2effect3556za7a3za7za7ast_nodeza7004731za7, BGl_structzb2objectzd2ze3objectzd2nodezf2effect3556za3zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4569z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2nodeza7f2effect3554za711za7za7ast_nodeza7004732z00, BGl_objectzd2ze3structzd2nodezf2effect3554z11zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4571z00zzast_nodez00, BgL_bgl_objectza7d2za7e3structza7d2node3558za7e3za7za7ast_nodeza7004733za7, BGl_objectzd2ze3structzd2node3558ze3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4572z00zzast_nodez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2node3560za751za7za7ast_nodeza7004734z00, BGl_structzb2objectzd2ze3objectzd2node3560z51zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__failza7d2msgza7d2setza712za712za7za7ast_nodeza7004735za7, BGl__failzd2msgzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2letzd2funz12zd2envzc0zzast_nodez00, BgL_bgl__fillza7d2letza7d2funza712za712za7za7ast_nodeza7004736za7, BGl__fillzd2letzd2funz12z12zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_setqzf3zd2envz21zzast_nodez00, BgL_bgl__setqza7f3za7f3za7za7ast_nodeza7004737za7, BGl__setqzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2appzd2envz00zzast_nodez00, BgL_bgl__makeza7d2appza7d2za7za7ast_nodeza7004738za7, BGl__makezd2appzd2zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_nodezf2effectzf3zd2envzd3zzast_nodez00, BgL_bgl__nodeza7f2effectza7f3za701za7za7ast_nodeza7004739z00, BGl__nodezf2effectzf3z01zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00, BgL_bgl__letza7d2funza7d2bodyza700za7za7ast_nodeza7004740z00, BGl__letzd2funzd2bodyz00zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00, BgL_bgl__vrefza7d2cza7d2formatza700za7za7ast_nodeza7004741z00, BGl__vrefzd2czd2formatz00zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_pragmazd2formatzd2envz00zzast_nodez00, BgL_bgl__pragmaza7d2formatza7d2za7za7ast_nodeza7004742za7, BGl__pragmazd2formatzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2jumpzd2exzd2itz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2jumpza7d2exza7d2itza712za7c0za7za7ast_nodeza7004743z00, BGl__fillzd2jumpzd2exzd2itz12zc0zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00, BgL_bgl__makeza7d2jumpza7d2exza7d2itza7d2za7za7ast_nodeza7004744za7, BGl__makezd2jumpzd2exzd2itzd2zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2jumpzd2exzd2itzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2jumpza7d2exza7d2itza7d2za7za7ast_nodeza7004745za7, BGl__allocatezd2jumpzd2exzd2itzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2proczd2envz00zzast_nodez00, BgL_bgl__failza7d2procza7d2za7za7ast_nodeza7004746za7, BGl__failzd2proczd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_pragmazf3zd2envz21zzast_nodez00, BgL_bgl__pragmaza7f3za7f3za7za7ast_nodeza7004747za7, BGl__pragmazf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00, BgL_bgl__setza7d2exza7d2itza7d2varza7d2za7za7ast_nodeza7004748za7, BGl__setzd2exzd2itzd2varzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setfieldzd2otypezd2envz00zzast_nodez00, BgL_bgl__setfieldza7d2otypeza7d2za7za7ast_nodeza7004749za7, BGl__setfieldzd2otypezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2boxzd2refzd2envzd2zzast_nodez00, BgL_bgl__allocateza7d2boxza7d2refza700za7za7ast_nodeza7004750z00, BGl__allocatezd2boxzd2refz00zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00, BgL_bgl__makeza7d2nodeza7f2effectza720za7za7ast_nodeza7004751z00, BGl__makezd2nodezf2effectz20zzast_nodez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__conditionalza7d2falseza7d2setza712za712za7za7ast_nodeza7004752za7, BGl__conditionalzd2falsezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2nodezf2effectzd2envzf2zzast_nodez00, BgL_bgl__allocateza7d2nodeza7f2effectza720za7za7ast_nodeza7004753z00, BGl__allocatezd2nodezf2effectz20zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2valloczd2envz00zzast_nodez00, BgL_bgl__allocateza7d2vallocza7d2za7za7ast_nodeza7004754za7, BGl__allocatezd2valloczd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2selectzd2envz00zzast_nodez00, BgL_bgl__makeza7d2selectza7d2za7za7ast_nodeza7004755za7, BGl__makezd2selectzd2zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2letzd2varzd2envzd2zzast_nodez00, BgL_bgl__makeza7d2letza7d2varza700za7za7ast_nodeza7004756z00, BGl__makezd2letzd2varz00zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2setfieldz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2setfieldza712za7c0za7za7ast_nodeza7004757z00, BGl__fillzd2setfieldz12zc0zzast_nodez00, 0L, 9 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2objzd2envz00zzast_nodez00, BgL_bgl__failza7d2objza7d2za7za7ast_nodeza7004758za7, BGl__failzd2objzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2vsetz12z12zd2envz00zzast_nodez00, BgL_bgl__fillza7d2vsetza712za712za7d2za7za7ast_nodeza7004759za7, BGl__fillzd2vsetz12z12zd2zzast_nodez00, 0L, 10 );
DEFINE_STATIC_PROCEDURE( BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00, BgL_bgl__vsetza712za7d2cza7d2formatza712za7za7ast_nodeza7004760za7, BGl__vsetz12zd2czd2formatz12zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_selectzd2clauseszd2envz00zzast_nodez00, BgL_bgl__selectza7d2clausesza7d2za7za7ast_nodeza7004761za7, BGl__selectzd2clauseszd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_getfieldzd2ftypezd2envz00zzast_nodez00, BgL_bgl__getfieldza7d2ftypeza7d2za7za7ast_nodeza7004762za7, BGl__getfieldzd2ftypezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setqzd2varzd2envz00zzast_nodez00, BgL_bgl__setqza7d2varza7d2za7za7ast_nodeza7004763za7, BGl__setqzd2varzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2nodezf2effectz12zd2envze0zzast_nodez00, BgL_bgl__fillza7d2nodeza7f2effectza712za732za7za7ast_nodeza7004764za7, BGl__fillzd2nodezf2effectz12z32zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2closurezd2envz00zzast_nodez00, BgL_bgl__makeza7d2closureza7d2za7za7ast_nodeza7004765za7, BGl__makezd2closurezd2zzast_nodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2envz00zzast_nodez00, BgL_bgl__makeza7d2pragmaza7d2za7za7ast_nodeza7004766za7, BGl__makezd2pragmazd2zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2setqzd2envz00zzast_nodez00, BgL_bgl__makeza7d2setqza7d2za7za7ast_nodeza7004767za7, BGl__makezd2setqzd2zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_varzf3zd2envz21zzast_nodez00, BgL_bgl__varza7f3za7f3za7za7ast_nodeza7004768za7, BGl__varzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2setqz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2setqza712za7c0za7za7ast_nodeza7004769z00, BGl__fillzd2setqz12zc0zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2letzd2varz12zd2envzc0zzast_nodez00, BgL_bgl__fillza7d2letza7d2varza712za712za7za7ast_nodeza7004770za7, BGl__fillzd2letzd2varz12z12zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2isazd2envz00zzast_nodez00, BgL_bgl__allocateza7d2isaza7d2za7za7ast_nodeza7004771za7, BGl__allocatezd2isazd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2refzd2varzd2envzd2zzast_nodez00, BgL_bgl__boxza7d2refza7d2varza700za7za7ast_nodeza7004772z00, BGl__boxzd2refzd2varz00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2nodezd2envz00zzast_nodez00, BgL_bgl__makeza7d2nodeza7d2za7za7ast_nodeza7004773za7, BGl__makezd2nodezd2zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00, BgL_bgl__letza7d2funza7d2bodyza7d2setza712za7c0za7za7ast_nodeza7004774z00, BGl__letzd2funzd2bodyzd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_externzd2exprza2zd2envza2zzast_nodez00, BgL_bgl__externza7d2exprza7a2za770za7za7ast_nodeza7004775z00, BGl__externzd2exprza2z70zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2makezd2boxz12zd2envzc0zzast_nodez00, BgL_bgl__fillza7d2makeza7d2boxza712za712za7za7ast_nodeza7004776za7, BGl__fillzd2makezd2boxz12z12zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2setzd2exzd2itzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2setza7d2exza7d2itza7d2za7za7ast_nodeza7004777za7, BGl__allocatezd2setzd2exzd2itzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_selectzd2testzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__selectza7d2testza7d2setza712za712za7za7ast_nodeza7004778za7, BGl__selectzd2testzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2vlengthzd2envz00zzast_nodez00, BgL_bgl__makeza7d2vlengthza7d2za7za7ast_nodeza7004779za7, BGl__makezd2vlengthzd2zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2letzd2funzd2envzd2zzast_nodez00, BgL_bgl__makeza7d2letza7d2funza700za7za7ast_nodeza7004780z00, BGl__makezd2letzd2funz00zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2vrefzd2envz00zzast_nodez00, BgL_bgl__makeza7d2vrefza7d2za7za7ast_nodeza7004781za7, BGl__makezd2vrefzd2zzast_nodez00, 0L, 9 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2appzd2lyzd2envzd2zzast_nodez00, BgL_bgl__allocateza7d2appza7d2lyza700za7za7ast_nodeza7004782z00, BGl__allocatezd2appzd2lyz00zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__setza7d2exza7d2itza7d2varza7d2setza712za712za7za7ast_nodeza7004783za7, BGl__setzd2exzd2itzd2varzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2atomzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2atomza7d2za7za7ast_nodeza7004784za7, BGl__allocatezd2atomzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00, BgL_bgl__vsetza712za7d2ftypeza7d2setza7124505za700za7za7ast_nodeza7004785z00, BGl__vsetz12zd2ftypezd2setz124505z00zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2funzd2envz00zzast_nodez00, BgL_bgl__funcallza7d2funza7d2za7za7ast_nodeza7004786za7, BGl__funcallzd2funzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00, BgL_bgl__appza7d2lyza7d2funza7d2setza712za7c0za7za7ast_nodeza7004787z00, BGl__appzd2lyzd2funzd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_atomzd2valuezd2envz00zzast_nodez00, BgL_bgl__atomza7d2valueza7d2za7za7ast_nodeza7004788za7, BGl__atomzd2valuezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00, BgL_bgl__failza7d2procza7d2setza712za712za7za7ast_nodeza7004789za7, BGl__failzd2proczd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2makezd2boxzd2envzd2zzast_nodez00, BgL_bgl__allocateza7d2makeza7d2boxza700za7za7ast_nodeza7004790z00, BGl__allocatezd2makezd2boxz00zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00, BgL_bgl__jumpza7d2exza7d2itza7d2valueza7d2za7za7ast_nodeza7004791za7, BGl__jumpzd2exzd2itzd2valuezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2isazd2envz00zzast_nodez00, BgL_bgl__makeza7d2isaza7d2za7za7ast_nodeza7004792za7, BGl__makezd2isazd2zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2externzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2externza7d2za7za7ast_nodeza7004793za7, BGl__allocatezd2externzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__castza7d2argza7d2setza712za712za7za7ast_nodeza7004794za7, BGl__castzd2argzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2externz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2externza712za7c0za7za7ast_nodeza7004795z00, BGl__fillzd2externz12zc0zzast_nodez00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_getfieldzd2fnamezd2envz00zzast_nodez00, BgL_bgl__getfieldza7d2fnameza7d2za7za7ast_nodeza7004796za7, BGl__getfieldzd2fnamezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2getfieldzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2getfieldza7d2za7za7ast_nodeza7004797za7, BGl__allocatezd2getfieldzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2newz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2newza712za7c0za7za7ast_nodeza7004798z00, BGl__fillzd2newz12zc0zzast_nodez00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__conditionalza7d2trueza7d2setza712za712za7za7ast_nodeza7004799za7, BGl__conditionalzd2truezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00, BgL_bgl__makeza7d2boxza7d2valueza7d2setza712za7c0za7za7ast_nodeza7004800z00, BGl__makezd2boxzd2valuezd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2nodez12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2nodeza712za7c0za7za7ast_nodeza7004801z00, BGl__fillzd2nodez12zc0zzast_nodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2conditionalz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2conditionalza712za7c0za7za7ast_nodeza7004802z00, BGl__fillzd2conditionalz12zc0zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00, BgL_bgl__jumpza7d2exza7d2itza7f3za7f3za7za7ast_nodeza7004803za7, BGl__jumpzd2exzd2itzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_isazf3zd2envz21zzast_nodez00, BgL_bgl__isaza7f3za7f3za7za7ast_nodeza7004804za7, BGl__isazf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00, BgL_bgl__nodeza7d2typeza7d2setza712za712za7za7ast_nodeza7004805za7, BGl__nodezd2typezd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2typezd2envz00zzast_nodez00, BgL_bgl__nodeza7d2typeza7d2za7za7ast_nodeza7004806za7, BGl__nodezd2typezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vlengthzf3zd2envz21zzast_nodez00, BgL_bgl__vlengthza7f3za7f3za7za7ast_nodeza7004807za7, BGl__vlengthzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closurezf3zd2envz21zzast_nodez00, BgL_bgl__closureza7f3za7f3za7za7ast_nodeza7004808za7, BGl__closurezf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2setzd2exzd2itz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2setza7d2exza7d2itza712za7c0za7za7ast_nodeza7004809z00, BGl__fillzd2setzd2exzd2itz12zc0zzast_nodez00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00, BgL_bgl__letza7d2funza7d2localsza7d2setza712za7c0za7za7ast_nodeza7004810z00, BGl__letzd2funzd2localszd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_vrefzd2otypezd2envz00zzast_nodez00, BgL_bgl__vrefza7d2otypeza7d2za7za7ast_nodeza7004811za7, BGl__vrefzd2otypezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sequencezf3zd2envz21zzast_nodez00, BgL_bgl__sequenceza7f3za7f3za7za7ast_nodeza7004812za7, BGl__sequencezf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__setqza7d2varza7d2setza712za712za7za7ast_nodeza7004813za7, BGl__setqzd2varzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_vlengthzd2vtypezd2envz00zzast_nodez00, BgL_bgl__vlengthza7d2vtypeza7d2za7za7ast_nodeza7004814za7, BGl__vlengthzd2vtypezd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2strengthzd2envz00zzast_nodez00, BgL_bgl__funcallza7d2strengthza7d2za7za7ast_nodeza7004815za7, BGl__funcallzd2strengthzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2argszd2envz00zzast_nodez00, BgL_bgl__appza7d2argsza7d2za7za7ast_nodeza7004816za7, BGl__appzd2argszd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2atomz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2atomza712za7c0za7za7ast_nodeza7004817z00, BGl__fillzd2atomz12zc0zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2failz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2failza712za7c0za7za7ast_nodeza7004818z00, BGl__fillzd2failz12zc0zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00, BgL_bgl__makeza7d2setza7d2exza7d2itza7d2za7za7ast_nodeza7004819za7, BGl__makezd2setzd2exzd2itzd2zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_appzf3zd2envz21zzast_nodez00, BgL_bgl__appza7f3za7f3za7za7ast_nodeza7004820za7, BGl__appzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00, BgL_bgl__boxza7d2refza7d2varza7d2setza712za7c0za7za7ast_nodeza7004821z00, BGl__boxzd2refzd2varzd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2appz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2appza712za7c0za7za7ast_nodeza7004822z00, BGl__fillzd2appz12zc0zzast_nodez00, 0L, 7 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00, BgL_bgl__funcallza7d2argsza7d2setza712za712za7za7ast_nodeza7004823za7, BGl__funcallzd2argszd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00, BgL_bgl__boxza7d2setza712za7d2valueza712za7za7ast_nodeza7004824za7, BGl__boxzd2setz12zd2valuez12zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__setza7d2exza7d2itza7d2bodyza7d2setza712za712za7za7ast_nodeza7004825za7, BGl__setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__funcallza7d2strengthza7d2setza712za712za7za7ast_nodeza7004826za7, BGl__funcallzd2strengthzd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2appzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2appza7d2za7za7ast_nodeza7004827za7, BGl__allocatezd2appzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00, BgL_bgl__appza7d2argsza7d2setza712za712za7za7ast_nodeza7004828za7, BGl__appzd2argszd2setz12z12zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2boxzd2refzd2envzd2zzast_nodez00, BgL_bgl__makeza7d2boxza7d2refza700za7za7ast_nodeza7004829z00, BGl__makezd2boxzd2refz00zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_vsetz12zf3zd2envz33zzast_nodez00, BgL_bgl__vsetza712za7f3za7e1za7za7ast_nodeza7004830z00, BGl__vsetz12zf3ze1zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2boxzd2refz12zd2envzc0zzast_nodez00, BgL_bgl__fillza7d2boxza7d2refza712za712za7za7ast_nodeza7004831za7, BGl__fillzd2boxzd2refz12z12zzast_nodez00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00, BgL_bgl__boxza7d2setza712za7d2varza7d2setza712za7d2za7za7ast_nodeza7004832za7, BGl__boxzd2setz12zd2varzd2setz12zd2zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2boxzd2setz12zd2envzc0zzast_nodez00, BgL_bgl__allocateza7d2boxza7d2setza712za712za7za7ast_nodeza7004833za7, BGl__allocatezd2boxzd2setz12z12zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2makezd2boxzd2envzd2zzast_nodez00, BgL_bgl__makeza7d2makeza7d2boxza700za7za7ast_nodeza7004834z00, BGl__makezd2makezd2boxz00zzast_nodez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2setqzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2setqza7d2za7za7ast_nodeza7004835za7, BGl__allocatezd2setqzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_appzd2funzd2envz00zzast_nodez00, BgL_bgl__appza7d2funza7d2za7za7ast_nodeza7004836za7, BGl__appzd2funzd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2funcallz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2funcallza712za7c0za7za7ast_nodeza7004837z00, BGl__fillzd2funcallz12zc0zzast_nodez00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2selectzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2selectza7d2za7za7ast_nodeza7004838za7, BGl__allocatezd2selectzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2castzd2envz00zzast_nodez00, BgL_bgl__makeza7d2castza7d2za7za7ast_nodeza7004839za7, BGl__makezd2castzd2zzast_nodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2valloczd2envz00zzast_nodez00, BgL_bgl__makeza7d2vallocza7d2za7za7ast_nodeza7004840za7, BGl__makezd2valloczd2zzast_nodez00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2nodezd2envz00zzast_nodez00, BgL_bgl__allocateza7d2nodeza7d2za7za7ast_nodeza7004841za7, BGl__allocatezd2nodezd2zzast_nodez00, 0L, 0 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_isazd2classzd2envz00zzast_nodez00, BgL_bgl__isaza7d2classza7d2za7za7ast_nodeza7004842za7, BGl__isazd2classzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_getfieldzd2otypezd2envz00zzast_nodez00, BgL_bgl__getfieldza7d2otypeza7d2za7za7ast_nodeza7004843za7, BGl__getfieldzd2otypezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2letzd2varzd2envzd2zzast_nodez00, BgL_bgl__allocateza7d2letza7d2varza700za7za7ast_nodeza7004844z00, BGl__allocatezd2letzd2varz00zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2isaz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2isaza712za7c0za7za7ast_nodeza7004845z00, BGl__fillzd2isaz12zc0zzast_nodez00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_funcallzf3zd2envz21zzast_nodez00, BgL_bgl__funcallza7f3za7f3za7za7ast_nodeza7004846za7, BGl__funcallzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_externzf3zd2envz21zzast_nodez00, BgL_bgl__externza7f3za7f3za7za7ast_nodeza7004847za7, BGl__externzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2vrefzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2vrefza7d2za7za7ast_nodeza7004848za7, BGl__allocatezd2vrefzd2zzast_nodez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_kwotezd2valuezd2envz00zzast_nodez00, BgL_bgl__kwoteza7d2valueza7d2za7za7ast_nodeza7004849za7, BGl__kwotezd2valuezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2getfieldz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2getfieldza712za7c0za7za7ast_nodeza7004850z00, BGl__fillzd2getfieldz12zc0zzast_nodez00, 0L, 9 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2testzd2envz00zzast_nodez00, BgL_bgl__conditionalza7d2testza7d2za7za7ast_nodeza7004851za7, BGl__conditionalzd2testzd2zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00, BgL_bgl__letza7d2varza7d2bindingsza700za7za7ast_nodeza7004852z00, BGl__letzd2varzd2bindingsz00zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getfieldzf3zd2envz21zzast_nodez00, BgL_bgl__getfieldza7f3za7f3za7za7ast_nodeza7004853za7, BGl__getfieldzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_newzf3zd2envz21zzast_nodez00, BgL_bgl__newza7f3za7f3za7za7ast_nodeza7004854za7, BGl__newzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2kwotez12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2kwoteza712za7c0za7za7ast_nodeza7004855z00, BGl__fillzd2kwotez12zc0zzast_nodez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00, BgL_bgl__setza7d2exza7d2itza7f3za7f3za7za7ast_nodeza7004856za7, BGl__setzd2exzd2itzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00, BgL_bgl__letza7d2varza7d2removableza7f3za7d2setza712za733za7za7ast_nodeza7004857za7, BGl__letzd2varzd2removablezf3zd2setz12z33zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2varzd2envz00zzast_nodez00, BgL_bgl__makeza7d2varza7d2za7za7ast_nodeza7004858za7, BGl__makezd2varzd2zzast_nodez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2truezd2envz00zzast_nodez00, BgL_bgl__conditionalza7d2trueza7d2za7za7ast_nodeza7004859za7, BGl__conditionalzd2truezd2zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_boxzd2setz12zf3zd2envze1zzast_nodez00, BgL_bgl__boxza7d2setza712za7f3za733za7za7ast_nodeza7004860za7, BGl__boxzd2setz12zf3z33zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2conditionalzd2envz00zzast_nodez00, BgL_bgl__allocateza7d2conditionalza7d2za7za7ast_nodeza7004861za7, BGl__allocatezd2conditionalzd2zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2appzd2lyzd2envzd2zzast_nodez00, BgL_bgl__makeza7d2appza7d2lyza700za7za7ast_nodeza7004862z00, BGl__makezd2appzd2lyz00zzast_nodez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00, BgL_bgl__nodeza7f2effectza7d2keyza720za7za7ast_nodeza7004863z00, BGl__nodezf2effectzd2keyz20zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2vrefz12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2vrefza712za7c0za7za7ast_nodeza7004864z00, BGl__fillzd2vrefz12zc0zzast_nodez00, 0L, 10 );
DEFINE_EXPORT_PROCEDURE( BGl_castzf3zd2envz21zzast_nodez00, BgL_bgl__castza7f3za7f3za7za7ast_nodeza7004865za7, BGl__castzf3zf3zzast_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2vsetz12zd2envz12zzast_nodez00, BgL_bgl__makeza7d2vsetza712za7c0za7za7ast_nodeza7004866z00, BGl__makezd2vsetz12zc0zzast_nodez00, 0L, 9 );
DEFINE_STATIC_PROCEDURE( BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00, BgL_bgl__letza7d2varza7d2bodyza7d2setza712za7c0za7za7ast_nodeza7004867z00, BGl__letzd2varzd2bodyzd2setz12zc0zzast_nodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2letzd2funzd2envzd2zzast_nodez00, BgL_bgl__allocateza7d2letza7d2funza700za7za7ast_nodeza7004868z00, BGl__allocatezd2letzd2funz00zzast_nodez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2closurez12zd2envz12zzast_nodez00, BgL_bgl__fillza7d2closureza712za7c0za7za7ast_nodeza7004869z00, BGl__fillzd2closurez12zc0zzast_nodez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_conditionalzd2falsezd2envz00zzast_nodez00, BgL_bgl__conditionalza7d2falseza7d2za7za7ast_nodeza7004870za7, BGl__conditionalzd2falsezd2zzast_nodez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long BgL_checksumz00_6456, char * BgL_fromz00_6457)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
{ 
BGl_requirezd2initializa7ationz75zzast_nodez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_nodez00(); 
BGl_cnstzd2initzd2zzast_nodez00(); 
BGl_importedzd2moduleszd2initz00zzast_nodez00(); 
BGl_objectzd2initzd2zzast_nodez00(); 
BGl_methodzd2initzd2zzast_nodez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_node"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_node"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
{ /* Ast/node.scm 14 */
obj_t BgL_cportz00_6449;
BgL_cportz00_6449 = 
open_input_string(BGl_string4573z00zzast_nodez00); 
{ 
long BgL_iz00_6450;
BgL_iz00_6450 = ((long)68); 
BgL_loopz00_6451:
if(
(BgL_iz00_6450==((long)-1)))
{ /* Ast/node.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/node.scm 14 */
{ /* Ast/node.scm 14 */
obj_t BgL_arg4575z00_6453;
{ /* Ast/node.scm 14 */
obj_t BgL_list4576z00_6454;
BgL_list4576z00_6454 = 
MAKE_PAIR(BgL_cportz00_6449, BNIL); 
BgL_arg4575z00_6453 = 
BGl_readz00zz__readerz00(BgL_list4576z00_6454); } 
{ /* Ast/node.scm 14 */
int BgL_auxz00_6473;
BgL_auxz00_6473 = 
(int)(BgL_iz00_6450); 
CNST_TABLE_SET(BgL_auxz00_6473, BgL_arg4575z00_6453); } } 
{ 
long BgL_iz00_6476;
{ /* Ast/node.scm 14 */
int BgL_auxz00_6477;
{ /* Ast/node.scm 14 */
long BgL_auxz00_6478;
BgL_auxz00_6478 = 
(BgL_iz00_6450-((long)1)); 
BgL_auxz00_6477 = 
(int)(BgL_auxz00_6478); } 
BgL_iz00_6476 = 
(long)(BgL_auxz00_6477); } 
BgL_iz00_6450 = BgL_iz00_6476; 
goto BgL_loopz00_6451;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
return BUNSPEC;} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
{ /* Ast/node.scm 19 */
obj_t BgL_arg3561z00_1316;obj_t BgL_arg3563z00_1317;obj_t BgL_arg3567z00_1321;obj_t BgL_arg3568z00_1322;
BgL_arg3561z00_1316 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3563z00_1317 = BGl_objectz00zz__objectz00; 
{ /* Ast/node.scm 19 */
obj_t BgL_arg3569z00_1323;obj_t BgL_arg3570z00_1324;
BgL_arg3569z00_1323 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_nodezd2loczd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3570z00_1324 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_nodezd2typezd2envz00zzast_nodez00, BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 19 */
obj_t BgL_list3571z00_1325;
{ /* Ast/node.scm 19 */
obj_t BgL_arg3572z00_1326;
BgL_arg3572z00_1326 = 
MAKE_PAIR(BgL_arg3570z00_1324, BNIL); 
BgL_list3571z00_1325 = 
MAKE_PAIR(BgL_arg3569z00_1323, BgL_arg3572z00_1326); } 
BgL_arg3567z00_1321 = BgL_list3571z00_1325; } } 
{ /* Ast/node.scm 19 */
obj_t BgL_v3401z00_1327;
{ 
int BgL_auxz00_6489;
BgL_auxz00_6489 = 
(int)(((long)0)); 
BgL_v3401z00_1327 = 
create_vector(BgL_auxz00_6489); } 
BgL_arg3568z00_1322 = BgL_v3401z00_1327; } 
BGl_nodez00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3561z00_1316, BgL_arg3563z00_1317, BGl_makezd2nodezd2envz00zzast_nodez00, BGl_allocatezd2nodezd2envz00zzast_nodez00, ((long)16715), BgL_arg3567z00_1321, BFALSE, BgL_arg3568z00_1322); } 
{ /* Ast/node.scm 25 */
obj_t BgL_arg3573z00_1328;obj_t BgL_arg3574z00_1329;obj_t BgL_arg3578z00_1333;obj_t BgL_arg3579z00_1334;
BgL_arg3573z00_1328 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3574z00_1329 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 25 */
obj_t BgL_arg3580z00_1335;obj_t BgL_arg3581z00_1336;
BgL_arg3580z00_1335 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_nodezf2effectzd2sidezd2effectzf3zd2envzd3zzast_nodez00, BGl_nodezf2effectzd2sidezd2effectzf3zd2setz12zd2envz13zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3581z00_1336 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00, BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 25 */
obj_t BgL_list3582z00_1337;
{ /* Ast/node.scm 25 */
obj_t BgL_arg3583z00_1338;
BgL_arg3583z00_1338 = 
MAKE_PAIR(BgL_arg3581z00_1336, BNIL); 
BgL_list3582z00_1337 = 
MAKE_PAIR(BgL_arg3580z00_1335, BgL_arg3583z00_1338); } 
BgL_arg3578z00_1333 = BgL_list3582z00_1337; } } 
{ /* Ast/node.scm 25 */
obj_t BgL_v3402z00_1339;
{ 
int BgL_auxz00_6500;
BgL_auxz00_6500 = 
(int)(((long)0)); 
BgL_v3402z00_1339 = 
create_vector(BgL_auxz00_6500); } 
BgL_arg3579z00_1334 = BgL_v3402z00_1339; } 
BGl_nodezf2effectzf2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3573z00_1328, BgL_arg3574z00_1329, BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00, BGl_allocatezd2nodezf2effectzd2envzf2zzast_nodez00, ((long)60821), BgL_arg3578z00_1333, BFALSE, BgL_arg3579z00_1334); } 
{ /* Ast/node.scm 34 */
obj_t BgL_arg3585z00_1340;obj_t BgL_arg3586z00_1341;obj_t BgL_arg3590z00_1345;obj_t BgL_arg3591z00_1346;
BgL_arg3585z00_1340 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3586z00_1341 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 34 */
obj_t BgL_arg3592z00_1347;
BgL_arg3592z00_1347 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_atomzd2valuezd2envz00zzast_nodez00, BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 34 */
obj_t BgL_list3593z00_1348;
BgL_list3593z00_1348 = 
MAKE_PAIR(BgL_arg3592z00_1347, BNIL); 
BgL_arg3590z00_1345 = BgL_list3593z00_1348; } } 
{ /* Ast/node.scm 34 */
obj_t BgL_v3403z00_1349;
{ 
int BgL_auxz00_6508;
BgL_auxz00_6508 = 
(int)(((long)0)); 
BgL_v3403z00_1349 = 
create_vector(BgL_auxz00_6508); } 
BgL_arg3591z00_1346 = BgL_v3403z00_1349; } 
BGl_atomz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3585z00_1340, BgL_arg3586z00_1341, BGl_makezd2atomzd2envz00zzast_nodez00, BGl_allocatezd2atomzd2envz00zzast_nodez00, ((long)50053), BgL_arg3590z00_1345, BFALSE, BgL_arg3591z00_1346); } 
{ /* Ast/node.scm 39 */
obj_t BgL_arg3594z00_1350;obj_t BgL_arg3595z00_1351;obj_t BgL_arg3599z00_1355;obj_t BgL_arg3600z00_1356;
BgL_arg3594z00_1350 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3595z00_1351 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 39 */
obj_t BgL_arg3601z00_1357;
BgL_arg3601z00_1357 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_varzd2variablezd2envz00zzast_nodez00, BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 39 */
obj_t BgL_list3602z00_1358;
BgL_list3602z00_1358 = 
MAKE_PAIR(BgL_arg3601z00_1357, BNIL); 
BgL_arg3599z00_1355 = BgL_list3602z00_1358; } } 
{ /* Ast/node.scm 39 */
obj_t BgL_v3404z00_1359;
{ 
int BgL_auxz00_6516;
BgL_auxz00_6516 = 
(int)(((long)0)); 
BgL_v3404z00_1359 = 
create_vector(BgL_auxz00_6516); } 
BgL_arg3600z00_1356 = BgL_v3404z00_1359; } 
BGl_varz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3594z00_1350, BgL_arg3595z00_1351, BGl_makezd2varzd2envz00zzast_nodez00, BGl_allocatezd2varzd2envz00zzast_nodez00, ((long)31217), BgL_arg3599z00_1355, BFALSE, BgL_arg3600z00_1356); } 
{ /* Ast/node.scm 44 */
obj_t BgL_arg3603z00_1360;obj_t BgL_arg3604z00_1361;obj_t BgL_arg3609z00_1366;
BgL_arg3603z00_1360 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg3604z00_1361 = BGl_varz00zzast_nodez00; 
{ /* Ast/node.scm 44 */
obj_t BgL_v3405z00_1368;
{ 
int BgL_auxz00_6521;
BgL_auxz00_6521 = 
(int)(((long)0)); 
BgL_v3405z00_1368 = 
create_vector(BgL_auxz00_6521); } 
BgL_arg3609z00_1366 = BgL_v3405z00_1368; } 
BGl_closurez00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3603z00_1360, BgL_arg3604z00_1361, BGl_makezd2closurezd2envz00zzast_nodez00, BGl_allocatezd2closurezd2envz00zzast_nodez00, ((long)43829), BNIL, BFALSE, BgL_arg3609z00_1366); } 
{ /* Ast/node.scm 47 */
obj_t BgL_arg3611z00_1369;obj_t BgL_arg3612z00_1370;obj_t BgL_arg3616z00_1374;obj_t BgL_arg3617z00_1375;
BgL_arg3611z00_1369 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg3612z00_1370 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 47 */
obj_t BgL_arg3618z00_1376;
BgL_arg3618z00_1376 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_kwotezd2valuezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 47 */
obj_t BgL_list3619z00_1377;
BgL_list3619z00_1377 = 
MAKE_PAIR(BgL_arg3618z00_1376, BNIL); 
BgL_arg3616z00_1374 = BgL_list3619z00_1377; } } 
{ /* Ast/node.scm 47 */
obj_t BgL_v3406z00_1378;
{ 
int BgL_auxz00_6529;
BgL_auxz00_6529 = 
(int)(((long)0)); 
BgL_v3406z00_1378 = 
create_vector(BgL_auxz00_6529); } 
BgL_arg3617z00_1375 = BgL_v3406z00_1378; } 
BGl_kwotez00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3611z00_1369, BgL_arg3612z00_1370, BGl_makezd2kwotezd2envz00zzast_nodez00, BGl_allocatezd2kwotezd2envz00zzast_nodez00, ((long)52742), BgL_arg3616z00_1374, BFALSE, BgL_arg3617z00_1375); } 
{ /* Ast/node.scm 52 */
obj_t BgL_arg3620z00_1379;obj_t BgL_arg3623z00_1380;obj_t BgL_arg3627z00_1384;obj_t BgL_arg3628z00_1385;
BgL_arg3620z00_1379 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3623z00_1380 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 52 */
obj_t BgL_arg3629z00_1386;
BgL_arg3629z00_1386 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_sequencezd2nodeszd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 52 */
obj_t BgL_list3630z00_1387;
BgL_list3630z00_1387 = 
MAKE_PAIR(BgL_arg3629z00_1386, BNIL); 
BgL_arg3627z00_1384 = BgL_list3630z00_1387; } } 
{ /* Ast/node.scm 52 */
obj_t BgL_v3407z00_1388;
{ 
int BgL_auxz00_6537;
BgL_auxz00_6537 = 
(int)(((long)0)); 
BgL_v3407z00_1388 = 
create_vector(BgL_auxz00_6537); } 
BgL_arg3628z00_1385 = BgL_v3407z00_1388; } 
BGl_sequencez00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3620z00_1379, BgL_arg3623z00_1380, BGl_makezd2sequencezd2envz00zzast_nodez00, BGl_allocatezd2sequencezd2envz00zzast_nodez00, ((long)63129), BgL_arg3627z00_1384, BFALSE, BgL_arg3628z00_1385); } 
{ /* Ast/node.scm 56 */
obj_t BgL_arg3631z00_1389;obj_t BgL_arg3632z00_1390;obj_t BgL_arg3636z00_1394;obj_t BgL_arg3637z00_1395;
BgL_arg3631z00_1389 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg3632z00_1390 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 56 */
obj_t BgL_arg3638z00_1396;obj_t BgL_arg3639z00_1397;
BgL_arg3638z00_1396 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_appzd2funzd2envz00zzast_nodez00, BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3639z00_1397 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_appzd2argszd2envz00zzast_nodez00, BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 56 */
obj_t BgL_list3640z00_1398;
{ /* Ast/node.scm 56 */
obj_t BgL_arg3641z00_1399;
BgL_arg3641z00_1399 = 
MAKE_PAIR(BgL_arg3639z00_1397, BNIL); 
BgL_list3640z00_1398 = 
MAKE_PAIR(BgL_arg3638z00_1396, BgL_arg3641z00_1399); } 
BgL_arg3636z00_1394 = BgL_list3640z00_1398; } } 
{ /* Ast/node.scm 56 */
obj_t BgL_v3408z00_1400;
{ 
int BgL_auxz00_6548;
BgL_auxz00_6548 = 
(int)(((long)0)); 
BgL_v3408z00_1400 = 
create_vector(BgL_auxz00_6548); } 
BgL_arg3637z00_1395 = BgL_v3408z00_1400; } 
BGl_appz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3631z00_1389, BgL_arg3632z00_1390, BGl_makezd2appzd2envz00zzast_nodez00, BGl_allocatezd2appzd2envz00zzast_nodez00, ((long)44930), BgL_arg3636z00_1394, BFALSE, BgL_arg3637z00_1395); } 
{ /* Ast/node.scm 63 */
obj_t BgL_arg3642z00_1401;obj_t BgL_arg3643z00_1402;obj_t BgL_arg3648z00_1406;obj_t BgL_arg3649z00_1407;
BgL_arg3642z00_1401 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3643z00_1402 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 63 */
obj_t BgL_arg3650z00_1408;obj_t BgL_arg3651z00_1409;
BgL_arg3650z00_1408 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_appzd2lyzd2funzd2envzd2zzast_nodez00, BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3651z00_1409 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_appzd2lyzd2argzd2envzd2zzast_nodez00, BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 63 */
obj_t BgL_list3652z00_1410;
{ /* Ast/node.scm 63 */
obj_t BgL_arg3653z00_1411;
BgL_arg3653z00_1411 = 
MAKE_PAIR(BgL_arg3651z00_1409, BNIL); 
BgL_list3652z00_1410 = 
MAKE_PAIR(BgL_arg3650z00_1408, BgL_arg3653z00_1411); } 
BgL_arg3648z00_1406 = BgL_list3652z00_1410; } } 
{ /* Ast/node.scm 63 */
obj_t BgL_v3409z00_1412;
{ 
int BgL_auxz00_6559;
BgL_auxz00_6559 = 
(int)(((long)0)); 
BgL_v3409z00_1412 = 
create_vector(BgL_auxz00_6559); } 
BgL_arg3649z00_1407 = BgL_v3409z00_1412; } 
BGl_appzd2lyzd2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3642z00_1401, BgL_arg3643z00_1402, BGl_makezd2appzd2lyzd2envzd2zzast_nodez00, BGl_allocatezd2appzd2lyzd2envzd2zzast_nodez00, ((long)62372), BgL_arg3648z00_1406, BFALSE, BgL_arg3649z00_1407); } 
{ /* Ast/node.scm 70 */
obj_t BgL_arg3654z00_1413;obj_t BgL_arg3655z00_1414;obj_t BgL_arg3660z00_1418;obj_t BgL_arg3661z00_1419;
BgL_arg3654z00_1413 = 
CNST_TABLE_REF(((long)21)); 
BgL_arg3655z00_1414 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 70 */
obj_t BgL_arg3662z00_1420;obj_t BgL_arg3663z00_1421;obj_t BgL_arg3664z00_1422;
BgL_arg3662z00_1420 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_funcallzd2funzd2envz00zzast_nodez00, BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3663z00_1421 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_funcallzd2argszd2envz00zzast_nodez00, BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3664z00_1422 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_funcallzd2strengthzd2envz00zzast_nodez00, BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 70 */
obj_t BgL_list3665z00_1423;
{ /* Ast/node.scm 70 */
obj_t BgL_arg3666z00_1424;
{ /* Ast/node.scm 70 */
obj_t BgL_arg3667z00_1425;
BgL_arg3667z00_1425 = 
MAKE_PAIR(BgL_arg3664z00_1422, BNIL); 
BgL_arg3666z00_1424 = 
MAKE_PAIR(BgL_arg3663z00_1421, BgL_arg3667z00_1425); } 
BgL_list3665z00_1423 = 
MAKE_PAIR(BgL_arg3662z00_1420, BgL_arg3666z00_1424); } 
BgL_arg3660z00_1418 = BgL_list3665z00_1423; } } 
{ /* Ast/node.scm 70 */
obj_t BgL_v3410z00_1426;
{ 
int BgL_auxz00_6573;
BgL_auxz00_6573 = 
(int)(((long)0)); 
BgL_v3410z00_1426 = 
create_vector(BgL_auxz00_6573); } 
BgL_arg3661z00_1419 = BgL_v3410z00_1426; } 
BGl_funcallz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3654z00_1413, BgL_arg3655z00_1414, BGl_makezd2funcallzd2envz00zzast_nodez00, BGl_allocatezd2funcallzd2envz00zzast_nodez00, ((long)62970), BgL_arg3660z00_1418, BFALSE, BgL_arg3661z00_1419); } 
{ /* Ast/node.scm 80 */
obj_t BgL_arg3668z00_1427;obj_t BgL_arg3669z00_1428;obj_t BgL_arg3674z00_1432;obj_t BgL_arg3675z00_1433;
BgL_arg3668z00_1427 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3669z00_1428 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 80 */
obj_t BgL_arg3676z00_1434;
BgL_arg3676z00_1434 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_externzd2exprza2zd2envza2zzast_nodez00, BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 80 */
obj_t BgL_list3677z00_1435;
BgL_list3677z00_1435 = 
MAKE_PAIR(BgL_arg3676z00_1434, BNIL); 
BgL_arg3674z00_1432 = BgL_list3677z00_1435; } } 
{ /* Ast/node.scm 80 */
obj_t BgL_v3411z00_1436;
{ 
int BgL_auxz00_6581;
BgL_auxz00_6581 = 
(int)(((long)0)); 
BgL_v3411z00_1436 = 
create_vector(BgL_auxz00_6581); } 
BgL_arg3675z00_1433 = BgL_v3411z00_1436; } 
BGl_externz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3668z00_1427, BgL_arg3669z00_1428, BGl_makezd2externzd2envz00zzast_nodez00, BGl_allocatezd2externzd2envz00zzast_nodez00, ((long)36703), BgL_arg3674z00_1432, BFALSE, BgL_arg3675z00_1433); } 
{ /* Ast/node.scm 85 */
obj_t BgL_arg3678z00_1437;obj_t BgL_arg3679z00_1438;obj_t BgL_arg3683z00_1442;obj_t BgL_arg3684z00_1443;
BgL_arg3678z00_1437 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3679z00_1438 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 85 */
obj_t BgL_arg3685z00_1444;
BgL_arg3685z00_1444 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_pragmazd2formatzd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 85 */
obj_t BgL_list3686z00_1445;
BgL_list3686z00_1445 = 
MAKE_PAIR(BgL_arg3685z00_1444, BNIL); 
BgL_arg3683z00_1442 = BgL_list3686z00_1445; } } 
{ /* Ast/node.scm 85 */
obj_t BgL_v3412z00_1446;
{ 
int BgL_auxz00_6589;
BgL_auxz00_6589 = 
(int)(((long)0)); 
BgL_v3412z00_1446 = 
create_vector(BgL_auxz00_6589); } 
BgL_arg3684z00_1443 = BgL_v3412z00_1446; } 
BGl_pragmaz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3678z00_1437, BgL_arg3679z00_1438, BGl_makezd2pragmazd2envz00zzast_nodez00, BGl_allocatezd2pragmazd2envz00zzast_nodez00, ((long)64102), BgL_arg3683z00_1442, BFALSE, BgL_arg3684z00_1443); } 
{ /* Ast/node.scm 89 */
obj_t BgL_arg3687z00_1447;obj_t BgL_arg3688z00_1448;obj_t BgL_arg3692z00_1452;obj_t BgL_arg3693z00_1453;
BgL_arg3687z00_1447 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3688z00_1448 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 89 */
obj_t BgL_arg3694z00_1454;obj_t BgL_arg3696z00_1455;obj_t BgL_arg3697z00_1456;
BgL_arg3694z00_1454 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_getfieldzd2fnamezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3696z00_1455 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_getfieldzd2ftypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3697z00_1456 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_getfieldzd2otypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 89 */
obj_t BgL_list3698z00_1457;
{ /* Ast/node.scm 89 */
obj_t BgL_arg3699z00_1458;
{ /* Ast/node.scm 89 */
obj_t BgL_arg3700z00_1459;
BgL_arg3700z00_1459 = 
MAKE_PAIR(BgL_arg3697z00_1456, BNIL); 
BgL_arg3699z00_1458 = 
MAKE_PAIR(BgL_arg3696z00_1455, BgL_arg3700z00_1459); } 
BgL_list3698z00_1457 = 
MAKE_PAIR(BgL_arg3694z00_1454, BgL_arg3699z00_1458); } 
BgL_arg3692z00_1452 = BgL_list3698z00_1457; } } 
{ /* Ast/node.scm 89 */
obj_t BgL_v3413z00_1460;
{ 
int BgL_auxz00_6603;
BgL_auxz00_6603 = 
(int)(((long)0)); 
BgL_v3413z00_1460 = 
create_vector(BgL_auxz00_6603); } 
BgL_arg3693z00_1453 = BgL_v3413z00_1460; } 
BGl_getfieldz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3687z00_1447, BgL_arg3688z00_1448, BGl_makezd2getfieldzd2envz00zzast_nodez00, BGl_allocatezd2getfieldzd2envz00zzast_nodez00, ((long)47457), BgL_arg3692z00_1452, BFALSE, BgL_arg3693z00_1453); } 
{ /* Ast/node.scm 98 */
obj_t BgL_arg3701z00_1461;obj_t BgL_arg3702z00_1462;obj_t BgL_arg3706z00_1466;obj_t BgL_arg3707z00_1467;
BgL_arg3701z00_1461 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg3702z00_1462 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 98 */
obj_t BgL_arg3708z00_1468;obj_t BgL_arg3709z00_1469;obj_t BgL_arg3710z00_1470;
BgL_arg3708z00_1468 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_setfieldzd2fnamezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3709z00_1469 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_setfieldzd2ftypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3710z00_1470 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_setfieldzd2otypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 98 */
obj_t BgL_list3711z00_1471;
{ /* Ast/node.scm 98 */
obj_t BgL_arg3712z00_1472;
{ /* Ast/node.scm 98 */
obj_t BgL_arg3713z00_1473;
BgL_arg3713z00_1473 = 
MAKE_PAIR(BgL_arg3710z00_1470, BNIL); 
BgL_arg3712z00_1472 = 
MAKE_PAIR(BgL_arg3709z00_1469, BgL_arg3713z00_1473); } 
BgL_list3711z00_1471 = 
MAKE_PAIR(BgL_arg3708z00_1468, BgL_arg3712z00_1472); } 
BgL_arg3706z00_1466 = BgL_list3711z00_1471; } } 
{ /* Ast/node.scm 98 */
obj_t BgL_v3414z00_1474;
{ 
int BgL_auxz00_6617;
BgL_auxz00_6617 = 
(int)(((long)0)); 
BgL_v3414z00_1474 = 
create_vector(BgL_auxz00_6617); } 
BgL_arg3707z00_1467 = BgL_v3414z00_1474; } 
BGl_setfieldz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3701z00_1461, BgL_arg3702z00_1462, BGl_makezd2setfieldzd2envz00zzast_nodez00, BGl_allocatezd2setfieldzd2envz00zzast_nodez00, ((long)33685), BgL_arg3706z00_1466, BFALSE, BgL_arg3707z00_1467); } 
{ /* Ast/node.scm 107 */
obj_t BgL_arg3714z00_1475;obj_t BgL_arg3715z00_1476;obj_t BgL_arg3720z00_1481;
BgL_arg3714z00_1475 = 
CNST_TABLE_REF(((long)32)); 
BgL_arg3715z00_1476 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 107 */
obj_t BgL_v3415z00_1483;
{ 
int BgL_auxz00_6622;
BgL_auxz00_6622 = 
(int)(((long)0)); 
BgL_v3415z00_1483 = 
create_vector(BgL_auxz00_6622); } 
BgL_arg3720z00_1481 = BgL_v3415z00_1483; } 
BGl_newz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3714z00_1475, BgL_arg3715z00_1476, BGl_makezd2newzd2envz00zzast_nodez00, BGl_allocatezd2newzd2envz00zzast_nodez00, ((long)9938), BNIL, BFALSE, BgL_arg3720z00_1481); } 
{ /* Ast/node.scm 110 */
obj_t BgL_arg3722z00_1484;obj_t BgL_arg3723z00_1485;obj_t BgL_arg3727z00_1489;obj_t BgL_arg3728z00_1490;
BgL_arg3722z00_1484 = 
CNST_TABLE_REF(((long)33)); 
BgL_arg3723z00_1485 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 110 */
obj_t BgL_arg3729z00_1491;obj_t BgL_arg3730z00_1492;obj_t BgL_arg3731z00_1493;
BgL_arg3729z00_1491 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_valloczd2czd2heapzd2formatzd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3730z00_1492 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_valloczd2ftypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3731z00_1493 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_valloczd2otypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 110 */
obj_t BgL_list3732z00_1494;
{ /* Ast/node.scm 110 */
obj_t BgL_arg3733z00_1495;
{ /* Ast/node.scm 110 */
obj_t BgL_arg3734z00_1496;
BgL_arg3734z00_1496 = 
MAKE_PAIR(BgL_arg3731z00_1493, BNIL); 
BgL_arg3733z00_1495 = 
MAKE_PAIR(BgL_arg3730z00_1492, BgL_arg3734z00_1496); } 
BgL_list3732z00_1494 = 
MAKE_PAIR(BgL_arg3729z00_1491, BgL_arg3733z00_1495); } 
BgL_arg3727z00_1489 = BgL_list3732z00_1494; } } 
{ /* Ast/node.scm 110 */
obj_t BgL_v3416z00_1497;
{ 
int BgL_auxz00_6636;
BgL_auxz00_6636 = 
(int)(((long)0)); 
BgL_v3416z00_1497 = 
create_vector(BgL_auxz00_6636); } 
BgL_arg3728z00_1490 = BgL_v3416z00_1497; } 
BGl_vallocz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3722z00_1484, BgL_arg3723z00_1485, BGl_makezd2valloczd2envz00zzast_nodez00, BGl_allocatezd2valloczd2envz00zzast_nodez00, ((long)11057), BgL_arg3727z00_1489, BFALSE, BgL_arg3728z00_1490); } 
{ /* Ast/node.scm 119 */
obj_t BgL_arg3735z00_1498;obj_t BgL_arg3736z00_1499;obj_t BgL_arg3742z00_1503;obj_t BgL_arg3743z00_1504;
BgL_arg3735z00_1498 = 
CNST_TABLE_REF(((long)35)); 
BgL_arg3736z00_1499 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 119 */
obj_t BgL_arg3744z00_1505;obj_t BgL_arg3745z00_1506;obj_t BgL_arg3746z00_1507;obj_t BgL_arg3747z00_1508;
BgL_arg3744z00_1505 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3745z00_1506 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_vrefzd2ftypezd2envz00zzast_nodez00, BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3746z00_1507 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_vrefzd2otypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3747z00_1508 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_vrefzd2vtypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 119 */
obj_t BgL_list3748z00_1509;
{ /* Ast/node.scm 119 */
obj_t BgL_arg3749z00_1510;
{ /* Ast/node.scm 119 */
obj_t BgL_arg3750z00_1511;
{ /* Ast/node.scm 119 */
obj_t BgL_arg3751z00_1512;
BgL_arg3751z00_1512 = 
MAKE_PAIR(BgL_arg3747z00_1508, BNIL); 
BgL_arg3750z00_1511 = 
MAKE_PAIR(BgL_arg3746z00_1507, BgL_arg3751z00_1512); } 
BgL_arg3749z00_1510 = 
MAKE_PAIR(BgL_arg3745z00_1506, BgL_arg3750z00_1511); } 
BgL_list3748z00_1509 = 
MAKE_PAIR(BgL_arg3744z00_1505, BgL_arg3749z00_1510); } 
BgL_arg3742z00_1503 = BgL_list3748z00_1509; } } 
{ /* Ast/node.scm 119 */
obj_t BgL_v3417z00_1513;
{ 
int BgL_auxz00_6653;
BgL_auxz00_6653 = 
(int)(((long)0)); 
BgL_v3417z00_1513 = 
create_vector(BgL_auxz00_6653); } 
BgL_arg3743z00_1504 = BgL_v3417z00_1513; } 
BGl_vrefz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3735z00_1498, BgL_arg3736z00_1499, BGl_makezd2vrefzd2envz00zzast_nodez00, BGl_allocatezd2vrefzd2envz00zzast_nodez00, ((long)29514), BgL_arg3742z00_1503, BFALSE, BgL_arg3743z00_1504); } 
{ /* Ast/node.scm 130 */
obj_t BgL_arg3752z00_1514;obj_t BgL_arg3753z00_1515;obj_t BgL_arg3757z00_1519;obj_t BgL_arg3758z00_1520;
BgL_arg3752z00_1514 = 
CNST_TABLE_REF(((long)38)); 
BgL_arg3753z00_1515 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 130 */
obj_t BgL_arg3760z00_1521;obj_t BgL_arg3761z00_1522;obj_t BgL_arg3762z00_1523;obj_t BgL_arg3763z00_1524;
BgL_arg3760z00_1521 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3761z00_1522 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_vsetz12zd2ftypezd2envz12zzast_nodez00, BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3762z00_1523 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_vsetz12zd2otypezd2envz12zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3763z00_1524 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_vsetz12zd2vtypezd2envz12zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 130 */
obj_t BgL_list3764z00_1525;
{ /* Ast/node.scm 130 */
obj_t BgL_arg3765z00_1526;
{ /* Ast/node.scm 130 */
obj_t BgL_arg3766z00_1527;
{ /* Ast/node.scm 130 */
obj_t BgL_arg3767z00_1528;
BgL_arg3767z00_1528 = 
MAKE_PAIR(BgL_arg3763z00_1524, BNIL); 
BgL_arg3766z00_1527 = 
MAKE_PAIR(BgL_arg3762z00_1523, BgL_arg3767z00_1528); } 
BgL_arg3765z00_1526 = 
MAKE_PAIR(BgL_arg3761z00_1522, BgL_arg3766z00_1527); } 
BgL_list3764z00_1525 = 
MAKE_PAIR(BgL_arg3760z00_1521, BgL_arg3765z00_1526); } 
BgL_arg3757z00_1519 = BgL_list3764z00_1525; } } 
{ /* Ast/node.scm 130 */
obj_t BgL_v3418z00_1529;
{ 
int BgL_auxz00_6670;
BgL_auxz00_6670 = 
(int)(((long)0)); 
BgL_v3418z00_1529 = 
create_vector(BgL_auxz00_6670); } 
BgL_arg3758z00_1520 = BgL_v3418z00_1529; } 
BGl_vsetz12z12zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3752z00_1514, BgL_arg3753z00_1515, BGl_makezd2vsetz12zd2envz12zzast_nodez00, BGl_allocatezd2vsetz12zd2envz12zzast_nodez00, ((long)12442), BgL_arg3757z00_1519, BFALSE, BgL_arg3758z00_1520); } 
{ /* Ast/node.scm 141 */
obj_t BgL_arg3768z00_1530;obj_t BgL_arg3769z00_1531;obj_t BgL_arg3773z00_1535;obj_t BgL_arg3774z00_1536;
BgL_arg3768z00_1530 = 
CNST_TABLE_REF(((long)39)); 
BgL_arg3769z00_1531 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 141 */
obj_t BgL_arg3775z00_1537;obj_t BgL_arg3776z00_1538;
BgL_arg3775z00_1537 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3776z00_1538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_vlengthzd2vtypezd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 141 */
obj_t BgL_list3777z00_1539;
{ /* Ast/node.scm 141 */
obj_t BgL_arg3778z00_1540;
BgL_arg3778z00_1540 = 
MAKE_PAIR(BgL_arg3776z00_1538, BNIL); 
BgL_list3777z00_1539 = 
MAKE_PAIR(BgL_arg3775z00_1537, BgL_arg3778z00_1540); } 
BgL_arg3773z00_1535 = BgL_list3777z00_1539; } } 
{ /* Ast/node.scm 141 */
obj_t BgL_v3419z00_1541;
{ 
int BgL_auxz00_6681;
BgL_auxz00_6681 = 
(int)(((long)0)); 
BgL_v3419z00_1541 = 
create_vector(BgL_auxz00_6681); } 
BgL_arg3774z00_1536 = BgL_v3419z00_1541; } 
BGl_vlengthz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3768z00_1530, BgL_arg3769z00_1531, BGl_makezd2vlengthzd2envz00zzast_nodez00, BGl_allocatezd2vlengthzd2envz00zzast_nodez00, ((long)43088), BgL_arg3773z00_1535, BFALSE, BgL_arg3774z00_1536); } 
{ /* Ast/node.scm 148 */
obj_t BgL_arg3781z00_1542;obj_t BgL_arg3782z00_1543;obj_t BgL_arg3786z00_1547;obj_t BgL_arg3787z00_1548;
BgL_arg3781z00_1542 = 
CNST_TABLE_REF(((long)40)); 
BgL_arg3782z00_1543 = BGl_externz00zzast_nodez00; 
{ /* Ast/node.scm 148 */
obj_t BgL_arg3788z00_1549;
BgL_arg3788z00_1549 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_isazd2classzd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 148 */
obj_t BgL_list3789z00_1550;
BgL_list3789z00_1550 = 
MAKE_PAIR(BgL_arg3788z00_1549, BNIL); 
BgL_arg3786z00_1547 = BgL_list3789z00_1550; } } 
{ /* Ast/node.scm 148 */
obj_t BgL_v3420z00_1551;
{ 
int BgL_auxz00_6689;
BgL_auxz00_6689 = 
(int)(((long)0)); 
BgL_v3420z00_1551 = 
create_vector(BgL_auxz00_6689); } 
BgL_arg3787z00_1548 = BgL_v3420z00_1551; } 
BGl_isaz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3781z00_1542, BgL_arg3782z00_1543, BGl_makezd2isazd2envz00zzast_nodez00, BGl_allocatezd2isazd2envz00zzast_nodez00, ((long)43121), BgL_arg3786z00_1547, BFALSE, BgL_arg3787z00_1548); } 
{ /* Ast/node.scm 152 */
obj_t BgL_arg3790z00_1552;obj_t BgL_arg3791z00_1553;obj_t BgL_arg3795z00_1557;obj_t BgL_arg3796z00_1558;
BgL_arg3790z00_1552 = 
CNST_TABLE_REF(((long)42)); 
BgL_arg3791z00_1553 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 152 */
obj_t BgL_arg3797z00_1559;
BgL_arg3797z00_1559 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_castzd2argzd2envz00zzast_nodez00, BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 152 */
obj_t BgL_list3798z00_1560;
BgL_list3798z00_1560 = 
MAKE_PAIR(BgL_arg3797z00_1559, BNIL); 
BgL_arg3795z00_1557 = BgL_list3798z00_1560; } } 
{ /* Ast/node.scm 152 */
obj_t BgL_v3421z00_1561;
{ 
int BgL_auxz00_6697;
BgL_auxz00_6697 = 
(int)(((long)0)); 
BgL_v3421z00_1561 = 
create_vector(BgL_auxz00_6697); } 
BgL_arg3796z00_1558 = BgL_v3421z00_1561; } 
BGl_castz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3790z00_1552, BgL_arg3791z00_1553, BGl_makezd2castzd2envz00zzast_nodez00, BGl_allocatezd2castzd2envz00zzast_nodez00, ((long)1951), BgL_arg3795z00_1557, BFALSE, BgL_arg3796z00_1558); } 
{ /* Ast/node.scm 157 */
obj_t BgL_arg3799z00_1562;obj_t BgL_arg3800z00_1563;obj_t BgL_arg3804z00_1567;obj_t BgL_arg3805z00_1568;
BgL_arg3799z00_1562 = 
CNST_TABLE_REF(((long)43)); 
BgL_arg3800z00_1563 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 157 */
obj_t BgL_arg3806z00_1569;obj_t BgL_arg3807z00_1570;
BgL_arg3806z00_1569 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_setqzd2varzd2envz00zzast_nodez00, BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3807z00_1570 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_setqzd2valuezd2envz00zzast_nodez00, BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 157 */
obj_t BgL_list3808z00_1571;
{ /* Ast/node.scm 157 */
obj_t BgL_arg3810z00_1572;
BgL_arg3810z00_1572 = 
MAKE_PAIR(BgL_arg3807z00_1570, BNIL); 
BgL_list3808z00_1571 = 
MAKE_PAIR(BgL_arg3806z00_1569, BgL_arg3810z00_1572); } 
BgL_arg3804z00_1567 = BgL_list3808z00_1571; } } 
{ /* Ast/node.scm 157 */
obj_t BgL_v3422z00_1573;
{ 
int BgL_auxz00_6708;
BgL_auxz00_6708 = 
(int)(((long)0)); 
BgL_v3422z00_1573 = 
create_vector(BgL_auxz00_6708); } 
BgL_arg3805z00_1568 = BgL_v3422z00_1573; } 
BGl_setqz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3799z00_1562, BgL_arg3800z00_1563, BGl_makezd2setqzd2envz00zzast_nodez00, BGl_allocatezd2setqzd2envz00zzast_nodez00, ((long)18828), BgL_arg3804z00_1567, BFALSE, BgL_arg3805z00_1568); } 
{ /* Ast/node.scm 164 */
obj_t BgL_arg3811z00_1574;obj_t BgL_arg3812z00_1575;obj_t BgL_arg3816z00_1579;obj_t BgL_arg3817z00_1580;
BgL_arg3811z00_1574 = 
CNST_TABLE_REF(((long)46)); 
BgL_arg3812z00_1575 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 164 */
obj_t BgL_arg3818z00_1581;obj_t BgL_arg3819z00_1582;obj_t BgL_arg3820z00_1583;
BgL_arg3818z00_1581 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_conditionalzd2testzd2envz00zzast_nodez00, BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3819z00_1582 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_conditionalzd2truezd2envz00zzast_nodez00, BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3820z00_1583 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_conditionalzd2falsezd2envz00zzast_nodez00, BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 164 */
obj_t BgL_list3821z00_1584;
{ /* Ast/node.scm 164 */
obj_t BgL_arg3822z00_1585;
{ /* Ast/node.scm 164 */
obj_t BgL_arg3823z00_1586;
BgL_arg3823z00_1586 = 
MAKE_PAIR(BgL_arg3820z00_1583, BNIL); 
BgL_arg3822z00_1585 = 
MAKE_PAIR(BgL_arg3819z00_1582, BgL_arg3823z00_1586); } 
BgL_list3821z00_1584 = 
MAKE_PAIR(BgL_arg3818z00_1581, BgL_arg3822z00_1585); } 
BgL_arg3816z00_1579 = BgL_list3821z00_1584; } } 
{ /* Ast/node.scm 164 */
obj_t BgL_v3423z00_1587;
{ 
int BgL_auxz00_6722;
BgL_auxz00_6722 = 
(int)(((long)0)); 
BgL_v3423z00_1587 = 
create_vector(BgL_auxz00_6722); } 
BgL_arg3817z00_1580 = BgL_v3423z00_1587; } 
BGl_conditionalz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3811z00_1574, BgL_arg3812z00_1575, BGl_makezd2conditionalzd2envz00zzast_nodez00, BGl_allocatezd2conditionalzd2envz00zzast_nodez00, ((long)49513), BgL_arg3816z00_1579, BFALSE, BgL_arg3817z00_1580); } 
{ /* Ast/node.scm 173 */
obj_t BgL_arg3824z00_1588;obj_t BgL_arg3825z00_1589;obj_t BgL_arg3829z00_1593;obj_t BgL_arg3830z00_1594;
BgL_arg3824z00_1588 = 
CNST_TABLE_REF(((long)50)); 
BgL_arg3825z00_1589 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 173 */
obj_t BgL_arg3831z00_1595;obj_t BgL_arg3832z00_1596;obj_t BgL_arg3833z00_1597;
BgL_arg3831z00_1595 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_failzd2proczd2envz00zzast_nodez00, BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3832z00_1596 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_failzd2msgzd2envz00zzast_nodez00, BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3833z00_1597 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_failzd2objzd2envz00zzast_nodez00, BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 173 */
obj_t BgL_list3834z00_1598;
{ /* Ast/node.scm 173 */
obj_t BgL_arg3835z00_1599;
{ /* Ast/node.scm 173 */
obj_t BgL_arg3836z00_1600;
BgL_arg3836z00_1600 = 
MAKE_PAIR(BgL_arg3833z00_1597, BNIL); 
BgL_arg3835z00_1599 = 
MAKE_PAIR(BgL_arg3832z00_1596, BgL_arg3836z00_1600); } 
BgL_list3834z00_1598 = 
MAKE_PAIR(BgL_arg3831z00_1595, BgL_arg3835z00_1599); } 
BgL_arg3829z00_1593 = BgL_list3834z00_1598; } } 
{ /* Ast/node.scm 173 */
obj_t BgL_v3424z00_1601;
{ 
int BgL_auxz00_6736;
BgL_auxz00_6736 = 
(int)(((long)0)); 
BgL_v3424z00_1601 = 
create_vector(BgL_auxz00_6736); } 
BgL_arg3830z00_1594 = BgL_v3424z00_1601; } 
BGl_failz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3824z00_1588, BgL_arg3825z00_1589, BGl_makezd2failzd2envz00zzast_nodez00, BGl_allocatezd2failzd2envz00zzast_nodez00, ((long)10126), BgL_arg3829z00_1593, BFALSE, BgL_arg3830z00_1594); } 
{ /* Ast/node.scm 180 */
obj_t BgL_arg3837z00_1602;obj_t BgL_arg3838z00_1603;obj_t BgL_arg3842z00_1607;obj_t BgL_arg3843z00_1608;
BgL_arg3837z00_1602 = 
CNST_TABLE_REF(((long)54)); 
BgL_arg3838z00_1603 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 180 */
obj_t BgL_arg3844z00_1609;obj_t BgL_arg3845z00_1610;obj_t BgL_arg3846z00_1611;
BgL_arg3844z00_1609 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_selectzd2testzd2envz00zzast_nodez00, BGl_selectzd2testzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3845z00_1610 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_selectzd2clauseszd2envz00zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3846z00_1611 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_selectzd2itemzd2typezd2envzd2zzast_nodez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 180 */
obj_t BgL_list3847z00_1612;
{ /* Ast/node.scm 180 */
obj_t BgL_arg3848z00_1613;
{ /* Ast/node.scm 180 */
obj_t BgL_arg3849z00_1614;
BgL_arg3849z00_1614 = 
MAKE_PAIR(BgL_arg3846z00_1611, BNIL); 
BgL_arg3848z00_1613 = 
MAKE_PAIR(BgL_arg3845z00_1610, BgL_arg3849z00_1614); } 
BgL_list3847z00_1612 = 
MAKE_PAIR(BgL_arg3844z00_1609, BgL_arg3848z00_1613); } 
BgL_arg3842z00_1607 = BgL_list3847z00_1612; } } 
{ /* Ast/node.scm 180 */
obj_t BgL_v3425z00_1615;
{ 
int BgL_auxz00_6750;
BgL_auxz00_6750 = 
(int)(((long)0)); 
BgL_v3425z00_1615 = 
create_vector(BgL_auxz00_6750); } 
BgL_arg3843z00_1608 = BgL_v3425z00_1615; } 
BGl_selectz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3837z00_1602, BgL_arg3838z00_1603, BGl_makezd2selectzd2envz00zzast_nodez00, BGl_allocatezd2selectzd2envz00zzast_nodez00, ((long)17537), BgL_arg3842z00_1607, BFALSE, BgL_arg3843z00_1608); } 
{ /* Ast/node.scm 189 */
obj_t BgL_arg3850z00_1616;obj_t BgL_arg3851z00_1617;obj_t BgL_arg3855z00_1621;obj_t BgL_arg3856z00_1622;
BgL_arg3850z00_1616 = 
CNST_TABLE_REF(((long)57)); 
BgL_arg3851z00_1617 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 189 */
obj_t BgL_arg3857z00_1623;obj_t BgL_arg3858z00_1624;
BgL_arg3857z00_1623 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_letzd2funzd2localszd2envzd2zzast_nodez00, BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3858z00_1624 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00, BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 189 */
obj_t BgL_list3859z00_1625;
{ /* Ast/node.scm 189 */
obj_t BgL_arg3860z00_1626;
BgL_arg3860z00_1626 = 
MAKE_PAIR(BgL_arg3858z00_1624, BNIL); 
BgL_list3859z00_1625 = 
MAKE_PAIR(BgL_arg3857z00_1623, BgL_arg3860z00_1626); } 
BgL_arg3855z00_1621 = BgL_list3859z00_1625; } } 
{ /* Ast/node.scm 189 */
obj_t BgL_v3426z00_1627;
{ 
int BgL_auxz00_6761;
BgL_auxz00_6761 = 
(int)(((long)0)); 
BgL_v3426z00_1627 = 
create_vector(BgL_auxz00_6761); } 
BgL_arg3856z00_1622 = BgL_v3426z00_1627; } 
BGl_letzd2funzd2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3850z00_1616, BgL_arg3851z00_1617, BGl_makezd2letzd2funzd2envzd2zzast_nodez00, BGl_allocatezd2letzd2funzd2envzd2zzast_nodez00, ((long)61726), BgL_arg3855z00_1621, BFALSE, BgL_arg3856z00_1622); } 
{ /* Ast/node.scm 196 */
obj_t BgL_arg3861z00_1628;obj_t BgL_arg3862z00_1629;obj_t BgL_arg3866z00_1633;obj_t BgL_arg3867z00_1634;
BgL_arg3861z00_1628 = 
CNST_TABLE_REF(((long)60)); 
BgL_arg3862z00_1629 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 196 */
obj_t BgL_arg3868z00_1635;obj_t BgL_arg3869z00_1636;obj_t BgL_arg3870z00_1637;
BgL_arg3868z00_1635 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00, BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3869z00_1636 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00, BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3870z00_1637 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00, BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 196 */
obj_t BgL_list3871z00_1638;
{ /* Ast/node.scm 196 */
obj_t BgL_arg3872z00_1639;
{ /* Ast/node.scm 196 */
obj_t BgL_arg3873z00_1640;
BgL_arg3873z00_1640 = 
MAKE_PAIR(BgL_arg3870z00_1637, BNIL); 
BgL_arg3872z00_1639 = 
MAKE_PAIR(BgL_arg3869z00_1636, BgL_arg3873z00_1640); } 
BgL_list3871z00_1638 = 
MAKE_PAIR(BgL_arg3868z00_1635, BgL_arg3872z00_1639); } 
BgL_arg3866z00_1633 = BgL_list3871z00_1638; } } 
{ /* Ast/node.scm 196 */
obj_t BgL_v3427z00_1641;
{ 
int BgL_auxz00_6775;
BgL_auxz00_6775 = 
(int)(((long)0)); 
BgL_v3427z00_1641 = 
create_vector(BgL_auxz00_6775); } 
BgL_arg3867z00_1634 = BgL_v3427z00_1641; } 
BGl_letzd2varzd2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3861z00_1628, BgL_arg3862z00_1629, BGl_makezd2letzd2varzd2envzd2zzast_nodez00, BGl_allocatezd2letzd2varzd2envzd2zzast_nodez00, ((long)6658), BgL_arg3866z00_1633, BFALSE, BgL_arg3867z00_1634); } 
{ /* Ast/node.scm 205 */
obj_t BgL_arg3874z00_1642;obj_t BgL_arg3875z00_1643;obj_t BgL_arg3879z00_1647;obj_t BgL_arg3880z00_1648;
BgL_arg3874z00_1642 = 
CNST_TABLE_REF(((long)63)); 
BgL_arg3875z00_1643 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 205 */
obj_t BgL_arg3881z00_1649;obj_t BgL_arg3882z00_1650;
BgL_arg3881z00_1649 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00, BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3882z00_1650 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00, BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 205 */
obj_t BgL_list3883z00_1651;
{ /* Ast/node.scm 205 */
obj_t BgL_arg3884z00_1652;
BgL_arg3884z00_1652 = 
MAKE_PAIR(BgL_arg3882z00_1650, BNIL); 
BgL_list3883z00_1651 = 
MAKE_PAIR(BgL_arg3881z00_1649, BgL_arg3884z00_1652); } 
BgL_arg3879z00_1647 = BgL_list3883z00_1651; } } 
{ /* Ast/node.scm 205 */
obj_t BgL_v3428z00_1653;
{ 
int BgL_auxz00_6786;
BgL_auxz00_6786 = 
(int)(((long)0)); 
BgL_v3428z00_1653 = 
create_vector(BgL_auxz00_6786); } 
BgL_arg3880z00_1648 = BgL_v3428z00_1653; } 
BGl_setzd2exzd2itz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3874z00_1642, BgL_arg3875z00_1643, BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00, BGl_allocatezd2setzd2exzd2itzd2envz00zzast_nodez00, ((long)41486), BgL_arg3879z00_1647, BFALSE, BgL_arg3880z00_1648); } 
{ /* Ast/node.scm 212 */
obj_t BgL_arg3885z00_1654;obj_t BgL_arg3886z00_1655;obj_t BgL_arg3890z00_1659;obj_t BgL_arg3891z00_1660;
BgL_arg3885z00_1654 = 
CNST_TABLE_REF(((long)64)); 
BgL_arg3886z00_1655 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 212 */
obj_t BgL_arg3892z00_1661;obj_t BgL_arg3893z00_1662;
BgL_arg3892z00_1661 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00, BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3893z00_1662 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00, BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 212 */
obj_t BgL_list3894z00_1663;
{ /* Ast/node.scm 212 */
obj_t BgL_arg3895z00_1664;
BgL_arg3895z00_1664 = 
MAKE_PAIR(BgL_arg3893z00_1662, BNIL); 
BgL_list3894z00_1663 = 
MAKE_PAIR(BgL_arg3892z00_1661, BgL_arg3895z00_1664); } 
BgL_arg3890z00_1659 = BgL_list3894z00_1663; } } 
{ /* Ast/node.scm 212 */
obj_t BgL_v3429z00_1665;
{ 
int BgL_auxz00_6797;
BgL_auxz00_6797 = 
(int)(((long)0)); 
BgL_v3429z00_1665 = 
create_vector(BgL_auxz00_6797); } 
BgL_arg3891z00_1660 = BgL_v3429z00_1665; } 
BGl_jumpzd2exzd2itz00zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3885z00_1654, BgL_arg3886z00_1655, BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00, BGl_allocatezd2jumpzd2exzd2itzd2envz00zzast_nodez00, ((long)25675), BgL_arg3890z00_1659, BFALSE, BgL_arg3891z00_1660); } 
{ /* Ast/node.scm 219 */
obj_t BgL_arg3896z00_1666;obj_t BgL_arg3897z00_1667;obj_t BgL_arg3901z00_1671;obj_t BgL_arg3902z00_1672;
BgL_arg3896z00_1666 = 
CNST_TABLE_REF(((long)66)); 
BgL_arg3897z00_1667 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 219 */
obj_t BgL_arg3903z00_1673;
BgL_arg3903z00_1673 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00, BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 219 */
obj_t BgL_list3904z00_1674;
BgL_list3904z00_1674 = 
MAKE_PAIR(BgL_arg3903z00_1673, BNIL); 
BgL_arg3901z00_1671 = BgL_list3904z00_1674; } } 
{ /* Ast/node.scm 219 */
obj_t BgL_v3430z00_1675;
{ 
int BgL_auxz00_6805;
BgL_auxz00_6805 = 
(int)(((long)0)); 
BgL_v3430z00_1675 = 
create_vector(BgL_auxz00_6805); } 
BgL_arg3902z00_1672 = BgL_v3430z00_1675; } 
BGl_makezd2boxzd2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3896z00_1666, BgL_arg3897z00_1667, BGl_makezd2makezd2boxzd2envzd2zzast_nodez00, BGl_allocatezd2makezd2boxzd2envzd2zzast_nodez00, ((long)10195), BgL_arg3901z00_1671, BFALSE, BgL_arg3902z00_1672); } 
{ /* Ast/node.scm 223 */
obj_t BgL_arg3905z00_1676;obj_t BgL_arg3906z00_1677;obj_t BgL_arg3910z00_1681;obj_t BgL_arg3911z00_1682;
BgL_arg3905z00_1676 = 
CNST_TABLE_REF(((long)67)); 
BgL_arg3906z00_1677 = BGl_nodezf2effectzf2zzast_nodez00; 
{ /* Ast/node.scm 223 */
obj_t BgL_arg3912z00_1683;
BgL_arg3912z00_1683 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_boxzd2refzd2varzd2envzd2zzast_nodez00, BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 223 */
obj_t BgL_list3913z00_1684;
BgL_list3913z00_1684 = 
MAKE_PAIR(BgL_arg3912z00_1683, BNIL); 
BgL_arg3910z00_1681 = BgL_list3913z00_1684; } } 
{ /* Ast/node.scm 223 */
obj_t BgL_v3431z00_1685;
{ 
int BgL_auxz00_6813;
BgL_auxz00_6813 = 
(int)(((long)0)); 
BgL_v3431z00_1685 = 
create_vector(BgL_auxz00_6813); } 
BgL_arg3911z00_1682 = BgL_v3431z00_1685; } 
BGl_boxzd2refzd2zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3905z00_1676, BgL_arg3906z00_1677, BGl_makezd2boxzd2refzd2envzd2zzast_nodez00, BGl_allocatezd2boxzd2refzd2envzd2zzast_nodez00, ((long)46341), BgL_arg3910z00_1681, BFALSE, BgL_arg3911z00_1682); } 
{ /* Ast/node.scm 227 */
obj_t BgL_arg3914z00_1686;obj_t BgL_arg3915z00_1687;obj_t BgL_arg3919z00_1691;obj_t BgL_arg3920z00_1692;
BgL_arg3914z00_1686 = 
CNST_TABLE_REF(((long)68)); 
BgL_arg3915z00_1687 = BGl_nodez00zzast_nodez00; 
{ /* Ast/node.scm 227 */
obj_t BgL_arg3921z00_1693;obj_t BgL_arg3922z00_1694;
BgL_arg3921z00_1693 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00, BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3922z00_1694 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00, BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/node.scm 227 */
obj_t BgL_list3923z00_1695;
{ /* Ast/node.scm 227 */
obj_t BgL_arg3924z00_1696;
BgL_arg3924z00_1696 = 
MAKE_PAIR(BgL_arg3922z00_1694, BNIL); 
BgL_list3923z00_1695 = 
MAKE_PAIR(BgL_arg3921z00_1693, BgL_arg3924z00_1696); } 
BgL_arg3919z00_1691 = BgL_list3923z00_1695; } } 
{ /* Ast/node.scm 227 */
obj_t BgL_v3432z00_1697;
{ 
int BgL_auxz00_6824;
BgL_auxz00_6824 = 
(int)(((long)0)); 
BgL_v3432z00_1697 = 
create_vector(BgL_auxz00_6824); } 
BgL_arg3920z00_1692 = BgL_v3432z00_1697; } 
BGl_boxzd2setz12zc0zzast_nodez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3914z00_1686, BgL_arg3915z00_1687, BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00, BGl_allocatezd2boxzd2setz12zd2envzc0zzast_nodez00, ((long)20354), BgL_arg3919z00_1691, BFALSE, BgL_arg3920z00_1692); } 
return BUNSPEC;} 
}



/* box-set!? */
bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t BgL_obj3400z00_1)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3400z00_1, BGl_boxzd2setz12zc0zzast_nodez00);} 
}



/* _box-set!? */
obj_t BGl__boxzd2setz12zf3z33zzast_nodez00(obj_t BgL_envz00_5922, obj_t BgL_obj3400z00_5923)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
bool_t BgL_auxz00_6829;
BgL_auxz00_6829 = 
BGl_boxzd2setz12zf3z33zzast_nodez00(BgL_obj3400z00_5923); 
return 
BBOOL(BgL_auxz00_6829);} } 
}



/* fill-box-set!! */
BgL_boxzd2setz12zc0_bglt BGl_fillzd2boxzd2setz12z12z00zzast_nodez00(BgL_boxzd2setz12zc0_bglt BgL_new3369z00_5, obj_t BgL_loc3365z00_6, BgL_typez00_bglt BgL_type3366z00_7, BgL_varz00_bglt BgL_var3367z00_8, BgL_nodez00_bglt BgL_value3368z00_9)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3369z00_5))->BgL_locz00) = ((obj_t)BgL_loc3365z00_6), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3369z00_5))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3366z00_7), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3369z00_5))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3367z00_8), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3369z00_5))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3368z00_9), BUNSPEC); 
return BgL_new3369z00_5;} 
}



/* _fill-box-set!! */
obj_t BGl__fillzd2boxzd2setz12z12z00zzast_nodez00(obj_t BgL_envz00_5924, obj_t BgL_new3369z00_5925, obj_t BgL_loc3365z00_5926, obj_t BgL_type3366z00_5927, obj_t BgL_var3367z00_5928, obj_t BgL_value3368z00_5929)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_6836;
BgL_auxz00_6836 = 
BGl_fillzd2boxzd2setz12z12z00zzast_nodez00(
(BgL_boxzd2setz12zc0_bglt)(BgL_new3369z00_5925), BgL_loc3365z00_5926, 
(BgL_typez00_bglt)(BgL_type3366z00_5927), 
(BgL_varz00_bglt)(BgL_var3367z00_5928), 
(BgL_nodez00_bglt)(BgL_value3368z00_5929)); 
return 
(obj_t)(BgL_auxz00_6836);} } 
}



/* make-box-set! */
BgL_boxzd2setz12zc0_bglt BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc3375z00_10, BgL_typez00_bglt BgL_type3376z00_11, BgL_varz00_bglt BgL_var3377z00_12, BgL_nodez00_bglt BgL_value3378z00_13)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_new3379z00_3077;
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_res4440z00_3083;
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_new3381z00_3078;
BgL_new3381z00_3078 = 
((BgL_boxzd2setz12zc0_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2setz12zc0_bgl) ))); 
{ /* Ast/node.scm 227 */
long BgL_arg3925z00_3079;
BgL_arg3925z00_3079 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zc0zzast_nodez00); 
{ /* Ast/node.scm 227 */
BgL_objectz00_bglt BgL_auxz00_6845;
BgL_auxz00_6845 = 
(BgL_objectz00_bglt)(BgL_new3381z00_3078); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6845, BgL_arg3925z00_3079); } } 
{ /* Ast/node.scm 227 */
BgL_objectz00_bglt BgL_auxz00_6848;
BgL_auxz00_6848 = 
(BgL_objectz00_bglt)(BgL_new3381z00_3078); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6848, BFALSE); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_6851;
BgL_auxz00_6851 = 
(obj_t)(BgL_new3381z00_3078); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6851); } BUNSPEC; 
BgL_res4440z00_3083 = BgL_new3381z00_3078; } 
BgL_new3379z00_3077 = BgL_res4440z00_3083; } 
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_res4441z00_3093;
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3379z00_3077))->BgL_locz00) = ((obj_t)BgL_loc3375z00_10), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3379z00_3077))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3376z00_11), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3379z00_3077))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3377z00_12), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new3379z00_3077))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3378z00_13), BUNSPEC); 
BgL_res4441z00_3093 = BgL_new3379z00_3077; BgL_res4441z00_3093; } 
return BgL_new3379z00_3077;} } 
}



/* _make-box-set! */
obj_t BGl__makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5906, obj_t BgL_loc3375z00_5907, obj_t BgL_type3376z00_5908, obj_t BgL_var3377z00_5909, obj_t BgL_value3378z00_5910)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_6858;
BgL_auxz00_6858 = 
BGl_makezd2boxzd2setz12z12zzast_nodez00(BgL_loc3375z00_5907, 
(BgL_typez00_bglt)(BgL_type3376z00_5908), 
(BgL_varz00_bglt)(BgL_var3377z00_5909), 
(BgL_nodez00_bglt)(BgL_value3378z00_5910)); 
return 
(obj_t)(BgL_auxz00_6858);} } 
}



/* allocate-box-set! */
BgL_boxzd2setz12zc0_bglt BGl_allocatezd2boxzd2setz12z12zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_new3381z00_3094;
BgL_new3381z00_3094 = 
((BgL_boxzd2setz12zc0_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2setz12zc0_bgl) ))); 
{ /* Ast/node.scm 227 */
long BgL_arg3925z00_3095;
BgL_arg3925z00_3095 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zc0zzast_nodez00); 
{ /* Ast/node.scm 227 */
BgL_objectz00_bglt BgL_auxz00_6866;
BgL_auxz00_6866 = 
(BgL_objectz00_bglt)(BgL_new3381z00_3094); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6866, BgL_arg3925z00_3095); } } 
{ /* Ast/node.scm 227 */
BgL_objectz00_bglt BgL_auxz00_6869;
BgL_auxz00_6869 = 
(BgL_objectz00_bglt)(BgL_new3381z00_3094); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6869, BFALSE); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_6872;
BgL_auxz00_6872 = 
(obj_t)(BgL_new3381z00_3094); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6872); } BUNSPEC; 
return BgL_new3381z00_3094;} } 
}



/* _allocate-box-set! */
obj_t BGl__allocatezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5911)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_6875;
BgL_auxz00_6875 = 
BGl_allocatezd2boxzd2setz12z12zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_6875);} } 
}



/* box-set!-var-set! */
obj_t BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt BgL_obj3361z00_18, BgL_varz00_bglt BgL_val3360z00_19)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3361z00_18))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val3360z00_19), BUNSPEC);} 
}



/* _box-set!-var-set! */
obj_t BGl__boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5914, obj_t BgL_obj3361z00_5915, obj_t BgL_val3360z00_5916)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(
(BgL_boxzd2setz12zc0_bglt)(BgL_obj3361z00_5915), 
(BgL_varz00_bglt)(BgL_val3360z00_5916));} 
}



/* box-set!-var */
BgL_varz00_bglt BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt BgL_obj3359z00_20)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3359z00_20))->BgL_varz00);} 
}



/* _box-set!-var */
obj_t BGl__boxzd2setz12zd2varz12zzast_nodez00(obj_t BgL_envz00_5912, obj_t BgL_obj3359z00_5913)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_varz00_bglt BgL_auxz00_6883;
BgL_auxz00_6883 = 
BGl_boxzd2setz12zd2varz12zzast_nodez00(
(BgL_boxzd2setz12zc0_bglt)(BgL_obj3359z00_5913)); 
return 
(obj_t)(BgL_auxz00_6883);} } 
}



/* box-set!-value-set! */
obj_t BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt BgL_obj3364z00_21, BgL_nodez00_bglt BgL_val3363z00_22)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3364z00_21))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val3363z00_22), BUNSPEC);} 
}



/* _box-set!-value-set! */
obj_t BGl__boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5919, obj_t BgL_obj3364z00_5920, obj_t BgL_val3363z00_5921)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(
(BgL_boxzd2setz12zc0_bglt)(BgL_obj3364z00_5920), 
(BgL_nodez00_bglt)(BgL_val3363z00_5921));} 
}



/* box-set!-value */
BgL_nodez00_bglt BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt BgL_obj3362z00_23)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
return 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3362z00_23))->BgL_valuez00);} 
}



/* _box-set!-value */
obj_t BGl__boxzd2setz12zd2valuez12zzast_nodez00(obj_t BgL_envz00_5917, obj_t BgL_obj3362z00_5918)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ /* Ast/node.scm 227 */
BgL_nodez00_bglt BgL_auxz00_6892;
BgL_auxz00_6892 = 
BGl_boxzd2setz12zd2valuez12zzast_nodez00(
(BgL_boxzd2setz12zc0_bglt)(BgL_obj3362z00_5918)); 
return 
(obj_t)(BgL_auxz00_6892);} } 
}



/* box-ref? */
bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_obj3354z00_24)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3354z00_24, BGl_boxzd2refzd2zzast_nodez00);} 
}



/* _box-ref? */
obj_t BGl__boxzd2refzf3z21zzast_nodez00(obj_t BgL_envz00_5930, obj_t BgL_obj3354z00_5931)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
bool_t BgL_auxz00_6897;
BgL_auxz00_6897 = 
BGl_boxzd2refzf3z21zzast_nodez00(BgL_obj3354z00_5931); 
return 
BBOOL(BgL_auxz00_6897);} } 
}



/* fill-box-ref! */
BgL_boxzd2refzd2_bglt BGl_fillzd2boxzd2refz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_new3317z00_28, obj_t BgL_loc3312z00_29, BgL_typez00_bglt BgL_type3313z00_30, obj_t BgL_sidezd2effectzf33314z21_31, obj_t BgL_key3315z00_32, BgL_varz00_bglt BgL_var3316z00_33)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3317z00_28))->BgL_locz00) = ((obj_t)BgL_loc3312z00_29), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3317z00_28))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3313z00_30), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3317z00_28))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33314z21_31), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3317z00_28))->BgL_keyz00) = ((obj_t)BgL_key3315z00_32), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3317z00_28))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3316z00_33), BUNSPEC); 
return BgL_new3317z00_28;} 
}



/* _fill-box-ref! */
obj_t BGl__fillzd2boxzd2refz12z12zzast_nodez00(obj_t BgL_envz00_5932, obj_t BgL_new3317z00_5933, obj_t BgL_loc3312z00_5934, obj_t BgL_type3313z00_5935, obj_t BgL_sidezd2effectzf33314z21_5936, obj_t BgL_key3315z00_5937, obj_t BgL_var3316z00_5938)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_auxz00_6905;
BgL_auxz00_6905 = 
BGl_fillzd2boxzd2refz12z12zzast_nodez00(
(BgL_boxzd2refzd2_bglt)(BgL_new3317z00_5933), BgL_loc3312z00_5934, 
(BgL_typez00_bglt)(BgL_type3313z00_5935), BgL_sidezd2effectzf33314z21_5936, BgL_key3315z00_5937, 
(BgL_varz00_bglt)(BgL_var3316z00_5938)); 
return 
(obj_t)(BgL_auxz00_6905);} } 
}



/* make-box-ref */
BgL_boxzd2refzd2_bglt BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc3324z00_34, BgL_typez00_bglt BgL_type3325z00_35, obj_t BgL_sidezd2effectzf33326z21_36, obj_t BgL_key3327z00_37, BgL_varz00_bglt BgL_var3328z00_38)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_new3329z00_3104;
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_res4442z00_3110;
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_new3331z00_3105;
BgL_new3331z00_3105 = 
((BgL_boxzd2refzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2refzd2_bgl) ))); 
{ /* Ast/node.scm 223 */
long BgL_arg3926z00_3106;
BgL_arg3926z00_3106 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzd2zzast_nodez00); 
{ /* Ast/node.scm 223 */
BgL_objectz00_bglt BgL_auxz00_6913;
BgL_auxz00_6913 = 
(BgL_objectz00_bglt)(BgL_new3331z00_3105); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6913, BgL_arg3926z00_3106); } } 
{ /* Ast/node.scm 223 */
BgL_objectz00_bglt BgL_auxz00_6916;
BgL_auxz00_6916 = 
(BgL_objectz00_bglt)(BgL_new3331z00_3105); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6916, BFALSE); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_6919;
BgL_auxz00_6919 = 
(obj_t)(BgL_new3331z00_3105); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6919); } BUNSPEC; 
BgL_res4442z00_3110 = BgL_new3331z00_3105; } 
BgL_new3329z00_3104 = BgL_res4442z00_3110; } 
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_res4443z00_3122;
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3329z00_3104))->BgL_locz00) = ((obj_t)BgL_loc3324z00_34), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3329z00_3104))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3325z00_35), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3329z00_3104))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33326z21_36), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3329z00_3104))->BgL_keyz00) = ((obj_t)BgL_key3327z00_37), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new3329z00_3104))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3328z00_38), BUNSPEC); 
BgL_res4443z00_3122 = BgL_new3329z00_3104; BgL_res4443z00_3122; } 
return BgL_new3329z00_3104;} } 
}



/* _make-box-ref */
obj_t BGl__makezd2boxzd2refz00zzast_nodez00(obj_t BgL_envz00_5894, obj_t BgL_loc3324z00_5895, obj_t BgL_type3325z00_5896, obj_t BgL_sidezd2effectzf33326z21_5897, obj_t BgL_key3327z00_5898, obj_t BgL_var3328z00_5899)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_auxz00_6927;
BgL_auxz00_6927 = 
BGl_makezd2boxzd2refz00zzast_nodez00(BgL_loc3324z00_5895, 
(BgL_typez00_bglt)(BgL_type3325z00_5896), BgL_sidezd2effectzf33326z21_5897, BgL_key3327z00_5898, 
(BgL_varz00_bglt)(BgL_var3328z00_5899)); 
return 
(obj_t)(BgL_auxz00_6927);} } 
}



/* allocate-box-ref */
BgL_boxzd2refzd2_bglt BGl_allocatezd2boxzd2refz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_new3331z00_3123;
BgL_new3331z00_3123 = 
((BgL_boxzd2refzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2refzd2_bgl) ))); 
{ /* Ast/node.scm 223 */
long BgL_arg3926z00_3124;
BgL_arg3926z00_3124 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzd2zzast_nodez00); 
{ /* Ast/node.scm 223 */
BgL_objectz00_bglt BgL_auxz00_6934;
BgL_auxz00_6934 = 
(BgL_objectz00_bglt)(BgL_new3331z00_3123); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6934, BgL_arg3926z00_3124); } } 
{ /* Ast/node.scm 223 */
BgL_objectz00_bglt BgL_auxz00_6937;
BgL_auxz00_6937 = 
(BgL_objectz00_bglt)(BgL_new3331z00_3123); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6937, BFALSE); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_6940;
BgL_auxz00_6940 = 
(obj_t)(BgL_new3331z00_3123); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6940); } BUNSPEC; 
return BgL_new3331z00_3123;} } 
}



/* _allocate-box-ref */
obj_t BGl__allocatezd2boxzd2refz00zzast_nodez00(obj_t BgL_envz00_5900)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_auxz00_6943;
BgL_auxz00_6943 = 
BGl_allocatezd2boxzd2refz00zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_6943);} } 
}



/* box-ref-var-set! */
obj_t BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_obj3311z00_49, BgL_varz00_bglt BgL_val3310z00_50)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
return 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3311z00_49))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val3310z00_50), BUNSPEC);} 
}



/* _box-ref-var-set! */
obj_t BGl__boxzd2refzd2varzd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5903, obj_t BgL_obj3311z00_5904, obj_t BgL_val3310z00_5905)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
return 
BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(
(BgL_boxzd2refzd2_bglt)(BgL_obj3311z00_5904), 
(BgL_varz00_bglt)(BgL_val3310z00_5905));} 
}



/* box-ref-var */
BgL_varz00_bglt BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_obj3309z00_51)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
return 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3309z00_51))->BgL_varz00);} 
}



/* _box-ref-var */
obj_t BGl__boxzd2refzd2varz00zzast_nodez00(obj_t BgL_envz00_5901, obj_t BgL_obj3309z00_5902)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ /* Ast/node.scm 223 */
BgL_varz00_bglt BgL_auxz00_6951;
BgL_auxz00_6951 = 
BGl_boxzd2refzd2varz00zzast_nodez00(
(BgL_boxzd2refzd2_bglt)(BgL_obj3309z00_5902)); 
return 
(obj_t)(BgL_auxz00_6951);} } 
}



/* make-box? */
bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t BgL_obj3297z00_52)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3297z00_52, BGl_makezd2boxzd2zzast_nodez00);} 
}



/* _make-box? */
obj_t BGl__makezd2boxzf3z21zzast_nodez00(obj_t BgL_envz00_5939, obj_t BgL_obj3297z00_5940)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
bool_t BgL_auxz00_6956;
BgL_auxz00_6956 = 
BGl_makezd2boxzf3z21zzast_nodez00(BgL_obj3297z00_5940); 
return 
BBOOL(BgL_auxz00_6956);} } 
}



/* fill-make-box! */
BgL_makezd2boxzd2_bglt BGl_fillzd2makezd2boxz12z12zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_new3260z00_56, obj_t BgL_loc3255z00_57, BgL_typez00_bglt BgL_type3256z00_58, obj_t BgL_sidezd2effectzf33257z21_59, obj_t BgL_key3258z00_60, BgL_nodez00_bglt BgL_value3259z00_61)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3260z00_56))->BgL_locz00) = ((obj_t)BgL_loc3255z00_57), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3260z00_56))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3256z00_58), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3260z00_56))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33257z21_59), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3260z00_56))->BgL_keyz00) = ((obj_t)BgL_key3258z00_60), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3260z00_56))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3259z00_61), BUNSPEC); 
return BgL_new3260z00_56;} 
}



/* _fill-make-box! */
obj_t BGl__fillzd2makezd2boxz12z12zzast_nodez00(obj_t BgL_envz00_5941, obj_t BgL_new3260z00_5942, obj_t BgL_loc3255z00_5943, obj_t BgL_type3256z00_5944, obj_t BgL_sidezd2effectzf33257z21_5945, obj_t BgL_key3258z00_5946, obj_t BgL_value3259z00_5947)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_auxz00_6964;
BgL_auxz00_6964 = 
BGl_fillzd2makezd2boxz12z12zzast_nodez00(
(BgL_makezd2boxzd2_bglt)(BgL_new3260z00_5942), BgL_loc3255z00_5943, 
(BgL_typez00_bglt)(BgL_type3256z00_5944), BgL_sidezd2effectzf33257z21_5945, BgL_key3258z00_5946, 
(BgL_nodez00_bglt)(BgL_value3259z00_5947)); 
return 
(obj_t)(BgL_auxz00_6964);} } 
}



/* make-make-box */
BgL_makezd2boxzd2_bglt BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc3267z00_62, BgL_typez00_bglt BgL_type3268z00_63, obj_t BgL_sidezd2effectzf33269z21_64, obj_t BgL_key3270z00_65, BgL_nodez00_bglt BgL_value3271z00_66)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_new3272z00_3133;
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_res4444z00_3139;
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_new3274z00_3134;
BgL_new3274z00_3134 = 
((BgL_makezd2boxzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_makezd2boxzd2_bgl) ))); 
{ /* Ast/node.scm 219 */
long BgL_arg3927z00_3135;
BgL_arg3927z00_3135 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzd2zzast_nodez00); 
{ /* Ast/node.scm 219 */
BgL_objectz00_bglt BgL_auxz00_6972;
BgL_auxz00_6972 = 
(BgL_objectz00_bglt)(BgL_new3274z00_3134); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6972, BgL_arg3927z00_3135); } } 
{ /* Ast/node.scm 219 */
BgL_objectz00_bglt BgL_auxz00_6975;
BgL_auxz00_6975 = 
(BgL_objectz00_bglt)(BgL_new3274z00_3134); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6975, BFALSE); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_6978;
BgL_auxz00_6978 = 
(obj_t)(BgL_new3274z00_3134); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6978); } BUNSPEC; 
BgL_res4444z00_3139 = BgL_new3274z00_3134; } 
BgL_new3272z00_3133 = BgL_res4444z00_3139; } 
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_res4445z00_3151;
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3272z00_3133))->BgL_locz00) = ((obj_t)BgL_loc3267z00_62), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3272z00_3133))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3268z00_63), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3272z00_3133))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33269z21_64), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3272z00_3133))->BgL_keyz00) = ((obj_t)BgL_key3270z00_65), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new3272z00_3133))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3271z00_66), BUNSPEC); 
BgL_res4445z00_3151 = BgL_new3272z00_3133; BgL_res4445z00_3151; } 
return BgL_new3272z00_3133;} } 
}



/* _make-make-box */
obj_t BGl__makezd2makezd2boxz00zzast_nodez00(obj_t BgL_envz00_5882, obj_t BgL_loc3267z00_5883, obj_t BgL_type3268z00_5884, obj_t BgL_sidezd2effectzf33269z21_5885, obj_t BgL_key3270z00_5886, obj_t BgL_value3271z00_5887)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_auxz00_6986;
BgL_auxz00_6986 = 
BGl_makezd2makezd2boxz00zzast_nodez00(BgL_loc3267z00_5883, 
(BgL_typez00_bglt)(BgL_type3268z00_5884), BgL_sidezd2effectzf33269z21_5885, BgL_key3270z00_5886, 
(BgL_nodez00_bglt)(BgL_value3271z00_5887)); 
return 
(obj_t)(BgL_auxz00_6986);} } 
}



/* allocate-make-box */
BgL_makezd2boxzd2_bglt BGl_allocatezd2makezd2boxz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_new3274z00_3152;
BgL_new3274z00_3152 = 
((BgL_makezd2boxzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_makezd2boxzd2_bgl) ))); 
{ /* Ast/node.scm 219 */
long BgL_arg3927z00_3153;
BgL_arg3927z00_3153 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzd2zzast_nodez00); 
{ /* Ast/node.scm 219 */
BgL_objectz00_bglt BgL_auxz00_6993;
BgL_auxz00_6993 = 
(BgL_objectz00_bglt)(BgL_new3274z00_3152); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6993, BgL_arg3927z00_3153); } } 
{ /* Ast/node.scm 219 */
BgL_objectz00_bglt BgL_auxz00_6996;
BgL_auxz00_6996 = 
(BgL_objectz00_bglt)(BgL_new3274z00_3152); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6996, BFALSE); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_6999;
BgL_auxz00_6999 = 
(obj_t)(BgL_new3274z00_3152); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6999); } BUNSPEC; 
return BgL_new3274z00_3152;} } 
}



/* _allocate-make-box */
obj_t BGl__allocatezd2makezd2boxz00zzast_nodez00(obj_t BgL_envz00_5888)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_auxz00_7002;
BgL_auxz00_7002 = 
BGl_allocatezd2makezd2boxz00zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7002);} } 
}



/* make-box-value-set! */
obj_t BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_obj3254z00_77, BgL_nodez00_bglt BgL_val3253z00_78)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
return 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3254z00_77))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val3253z00_78), BUNSPEC);} 
}



/* _make-box-value-set! */
obj_t BGl__makezd2boxzd2valuezd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5891, obj_t BgL_obj3254z00_5892, obj_t BgL_val3253z00_5893)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
return 
BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(
(BgL_makezd2boxzd2_bglt)(BgL_obj3254z00_5892), 
(BgL_nodez00_bglt)(BgL_val3253z00_5893));} 
}



/* make-box-value */
BgL_nodez00_bglt BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_obj3252z00_79)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
return 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3252z00_79))->BgL_valuez00);} 
}



/* _make-box-value */
obj_t BGl__makezd2boxzd2valuez00zzast_nodez00(obj_t BgL_envz00_5889, obj_t BgL_obj3252z00_5890)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ /* Ast/node.scm 219 */
BgL_nodez00_bglt BgL_auxz00_7010;
BgL_auxz00_7010 = 
BGl_makezd2boxzd2valuez00zzast_nodez00(
(BgL_makezd2boxzd2_bglt)(BgL_obj3252z00_5890)); 
return 
(obj_t)(BgL_auxz00_7010);} } 
}



/* jump-ex-it? */
bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t BgL_obj3241z00_80)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3241z00_80, BGl_jumpzd2exzd2itz00zzast_nodez00);} 
}



/* _jump-ex-it? */
obj_t BGl__jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t BgL_envz00_5948, obj_t BgL_obj3241z00_5949)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
bool_t BgL_auxz00_7015;
BgL_auxz00_7015 = 
BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(BgL_obj3241z00_5949); 
return 
BBOOL(BgL_auxz00_7015);} } 
}



/* fill-jump-ex-it! */
BgL_jumpzd2exzd2itz00_bglt BGl_fillzd2jumpzd2exzd2itz12zc0zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt BgL_new3210z00_84, obj_t BgL_loc3206z00_85, BgL_typez00_bglt BgL_type3207z00_86, BgL_nodez00_bglt BgL_exit3208z00_87, BgL_nodez00_bglt BgL_value3209z00_88)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3210z00_84))->BgL_locz00) = ((obj_t)BgL_loc3206z00_85), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3210z00_84))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3207z00_86), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3210z00_84))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_exit3208z00_87), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3210z00_84))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3209z00_88), BUNSPEC); 
return BgL_new3210z00_84;} 
}



/* _fill-jump-ex-it! */
obj_t BGl__fillzd2jumpzd2exzd2itz12zc0zzast_nodez00(obj_t BgL_envz00_5950, obj_t BgL_new3210z00_5951, obj_t BgL_loc3206z00_5952, obj_t BgL_type3207z00_5953, obj_t BgL_exit3208z00_5954, obj_t BgL_value3209z00_5955)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_7022;
BgL_auxz00_7022 = 
BGl_fillzd2jumpzd2exzd2itz12zc0zzast_nodez00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_new3210z00_5951), BgL_loc3206z00_5952, 
(BgL_typez00_bglt)(BgL_type3207z00_5953), 
(BgL_nodez00_bglt)(BgL_exit3208z00_5954), 
(BgL_nodez00_bglt)(BgL_value3209z00_5955)); 
return 
(obj_t)(BgL_auxz00_7022);} } 
}



/* make-jump-ex-it */
BgL_jumpzd2exzd2itz00_bglt BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc3216z00_89, BgL_typez00_bglt BgL_type3217z00_90, BgL_nodez00_bglt BgL_exit3218z00_91, BgL_nodez00_bglt BgL_value3219z00_92)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_new3220z00_3161;
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_res4446z00_3167;
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_new3222z00_3162;
BgL_new3222z00_3162 = 
((BgL_jumpzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_jumpzd2exzd2itz00_bgl) ))); 
{ /* Ast/node.scm 212 */
long BgL_arg3928z00_3163;
BgL_arg3928z00_3163 = 
BGl_classzd2numzd2zz__objectz00(BGl_jumpzd2exzd2itz00zzast_nodez00); 
{ /* Ast/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_7031;
BgL_auxz00_7031 = 
(BgL_objectz00_bglt)(BgL_new3222z00_3162); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7031, BgL_arg3928z00_3163); } } 
{ /* Ast/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_7034;
BgL_auxz00_7034 = 
(BgL_objectz00_bglt)(BgL_new3222z00_3162); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7034, BFALSE); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_7037;
BgL_auxz00_7037 = 
(obj_t)(BgL_new3222z00_3162); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7037); } BUNSPEC; 
BgL_res4446z00_3167 = BgL_new3222z00_3162; } 
BgL_new3220z00_3161 = BgL_res4446z00_3167; } 
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_res4447z00_3177;
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3220z00_3161))->BgL_locz00) = ((obj_t)BgL_loc3216z00_89), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3220z00_3161))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3217z00_90), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3220z00_3161))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_exit3218z00_91), BUNSPEC); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_new3220z00_3161))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value3219z00_92), BUNSPEC); 
BgL_res4447z00_3177 = BgL_new3220z00_3161; BgL_res4447z00_3177; } 
return BgL_new3220z00_3161;} } 
}



/* _make-jump-ex-it */
obj_t BGl__makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_envz00_5866, obj_t BgL_loc3216z00_5867, obj_t BgL_type3217z00_5868, obj_t BgL_exit3218z00_5869, obj_t BgL_value3219z00_5870)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_7044;
BgL_auxz00_7044 = 
BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_loc3216z00_5867, 
(BgL_typez00_bglt)(BgL_type3217z00_5868), 
(BgL_nodez00_bglt)(BgL_exit3218z00_5869), 
(BgL_nodez00_bglt)(BgL_value3219z00_5870)); 
return 
(obj_t)(BgL_auxz00_7044);} } 
}



/* allocate-jump-ex-it */
BgL_jumpzd2exzd2itz00_bglt BGl_allocatezd2jumpzd2exzd2itzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_new3222z00_3178;
BgL_new3222z00_3178 = 
((BgL_jumpzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_jumpzd2exzd2itz00_bgl) ))); 
{ /* Ast/node.scm 212 */
long BgL_arg3928z00_3179;
BgL_arg3928z00_3179 = 
BGl_classzd2numzd2zz__objectz00(BGl_jumpzd2exzd2itz00zzast_nodez00); 
{ /* Ast/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_7052;
BgL_auxz00_7052 = 
(BgL_objectz00_bglt)(BgL_new3222z00_3178); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7052, BgL_arg3928z00_3179); } } 
{ /* Ast/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_7055;
BgL_auxz00_7055 = 
(BgL_objectz00_bglt)(BgL_new3222z00_3178); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7055, BFALSE); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_7058;
BgL_auxz00_7058 = 
(obj_t)(BgL_new3222z00_3178); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7058); } BUNSPEC; 
return BgL_new3222z00_3178;} } 
}



/* _allocate-jump-ex-it */
obj_t BGl__allocatezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_envz00_5871)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_7061;
BgL_auxz00_7061 = 
BGl_allocatezd2jumpzd2exzd2itzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7061);} } 
}



/* jump-ex-it-exit-set! */
obj_t BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt BgL_obj3201z00_97, BgL_nodez00_bglt BgL_val3200z00_98)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3201z00_97))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val3200z00_98), BUNSPEC);} 
}



/* _jump-ex-it-exit-set! */
obj_t BGl__jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5874, obj_t BgL_obj3201z00_5875, obj_t BgL_val3200z00_5876)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_obj3201z00_5875), 
(BgL_nodez00_bglt)(BgL_val3200z00_5876));} 
}



/* jump-ex-it-exit */
BgL_nodez00_bglt BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt BgL_obj3199z00_99)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3199z00_99))->BgL_exitz00);} 
}



/* _jump-ex-it-exit */
obj_t BGl__jumpzd2exzd2itzd2exitzd2zzast_nodez00(obj_t BgL_envz00_5872, obj_t BgL_obj3199z00_5873)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_auxz00_7069;
BgL_auxz00_7069 = 
BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_obj3199z00_5873)); 
return 
(obj_t)(BgL_auxz00_7069);} } 
}



/* jump-ex-it-value-set! */
obj_t BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt BgL_obj3205z00_100, BgL_nodez00_bglt BgL_val3203z00_101)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3205z00_100))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val3203z00_101), BUNSPEC);} 
}



/* _jump-ex-it-value-set! */
obj_t BGl__jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5879, obj_t BgL_obj3205z00_5880, obj_t BgL_val3203z00_5881)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_obj3205z00_5880), 
(BgL_nodez00_bglt)(BgL_val3203z00_5881));} 
}



/* jump-ex-it-value */
BgL_nodez00_bglt BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt BgL_obj3202z00_102)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
return 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3202z00_102))->BgL_valuez00);} 
}



/* _jump-ex-it-value */
obj_t BGl__jumpzd2exzd2itzd2valuezd2zzast_nodez00(obj_t BgL_envz00_5877, obj_t BgL_obj3202z00_5878)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_auxz00_7078;
BgL_auxz00_7078 = 
BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_obj3202z00_5878)); 
return 
(obj_t)(BgL_auxz00_7078);} } 
}



/* set-ex-it? */
bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t BgL_obj3194z00_103)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3194z00_103, BGl_setzd2exzd2itz00zzast_nodez00);} 
}



/* _set-ex-it? */
obj_t BGl__setzd2exzd2itzf3zf3zzast_nodez00(obj_t BgL_envz00_5956, obj_t BgL_obj3194z00_5957)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
bool_t BgL_auxz00_7083;
BgL_auxz00_7083 = 
BGl_setzd2exzd2itzf3zf3zzast_nodez00(BgL_obj3194z00_5957); 
return 
BBOOL(BgL_auxz00_7083);} } 
}



/* fill-set-ex-it! */
BgL_setzd2exzd2itz00_bglt BGl_fillzd2setzd2exzd2itz12zc0zzast_nodez00(BgL_setzd2exzd2itz00_bglt BgL_new3162z00_107, obj_t BgL_loc3158z00_108, BgL_typez00_bglt BgL_type3159z00_109, BgL_varz00_bglt BgL_var3160z00_110, BgL_nodez00_bglt BgL_body3161z00_111)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3162z00_107))->BgL_locz00) = ((obj_t)BgL_loc3158z00_108), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3162z00_107))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3159z00_109), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3162z00_107))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3160z00_110), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3162z00_107))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3161z00_111), BUNSPEC); 
return BgL_new3162z00_107;} 
}



/* _fill-set-ex-it! */
obj_t BGl__fillzd2setzd2exzd2itz12zc0zzast_nodez00(obj_t BgL_envz00_5958, obj_t BgL_new3162z00_5959, obj_t BgL_loc3158z00_5960, obj_t BgL_type3159z00_5961, obj_t BgL_var3160z00_5962, obj_t BgL_body3161z00_5963)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_7090;
BgL_auxz00_7090 = 
BGl_fillzd2setzd2exzd2itz12zc0zzast_nodez00(
(BgL_setzd2exzd2itz00_bglt)(BgL_new3162z00_5959), BgL_loc3158z00_5960, 
(BgL_typez00_bglt)(BgL_type3159z00_5961), 
(BgL_varz00_bglt)(BgL_var3160z00_5962), 
(BgL_nodez00_bglt)(BgL_body3161z00_5963)); 
return 
(obj_t)(BgL_auxz00_7090);} } 
}



/* make-set-ex-it */
BgL_setzd2exzd2itz00_bglt BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc3168z00_112, BgL_typez00_bglt BgL_type3169z00_113, BgL_varz00_bglt BgL_var3170z00_114, BgL_nodez00_bglt BgL_body3171z00_115)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_new3172z00_3187;
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_res4448z00_3193;
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_new3174z00_3188;
BgL_new3174z00_3188 = 
((BgL_setzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setzd2exzd2itz00_bgl) ))); 
{ /* Ast/node.scm 205 */
long BgL_arg3929z00_3189;
BgL_arg3929z00_3189 = 
BGl_classzd2numzd2zz__objectz00(BGl_setzd2exzd2itz00zzast_nodez00); 
{ /* Ast/node.scm 205 */
BgL_objectz00_bglt BgL_auxz00_7099;
BgL_auxz00_7099 = 
(BgL_objectz00_bglt)(BgL_new3174z00_3188); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7099, BgL_arg3929z00_3189); } } 
{ /* Ast/node.scm 205 */
BgL_objectz00_bglt BgL_auxz00_7102;
BgL_auxz00_7102 = 
(BgL_objectz00_bglt)(BgL_new3174z00_3188); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7102, BFALSE); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_7105;
BgL_auxz00_7105 = 
(obj_t)(BgL_new3174z00_3188); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7105); } BUNSPEC; 
BgL_res4448z00_3193 = BgL_new3174z00_3188; } 
BgL_new3172z00_3187 = BgL_res4448z00_3193; } 
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_res4449z00_3203;
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3172z00_3187))->BgL_locz00) = ((obj_t)BgL_loc3168z00_112), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3172z00_3187))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3169z00_113), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3172z00_3187))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var3170z00_114), BUNSPEC); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_new3172z00_3187))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3171z00_115), BUNSPEC); 
BgL_res4449z00_3203 = BgL_new3172z00_3187; BgL_res4449z00_3203; } 
return BgL_new3172z00_3187;} } 
}



/* _make-set-ex-it */
obj_t BGl__makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_envz00_5850, obj_t BgL_loc3168z00_5851, obj_t BgL_type3169z00_5852, obj_t BgL_var3170z00_5853, obj_t BgL_body3171z00_5854)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_7112;
BgL_auxz00_7112 = 
BGl_makezd2setzd2exzd2itzd2zzast_nodez00(BgL_loc3168z00_5851, 
(BgL_typez00_bglt)(BgL_type3169z00_5852), 
(BgL_varz00_bglt)(BgL_var3170z00_5853), 
(BgL_nodez00_bglt)(BgL_body3171z00_5854)); 
return 
(obj_t)(BgL_auxz00_7112);} } 
}



/* allocate-set-ex-it */
BgL_setzd2exzd2itz00_bglt BGl_allocatezd2setzd2exzd2itzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_new3174z00_3204;
BgL_new3174z00_3204 = 
((BgL_setzd2exzd2itz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setzd2exzd2itz00_bgl) ))); 
{ /* Ast/node.scm 205 */
long BgL_arg3929z00_3205;
BgL_arg3929z00_3205 = 
BGl_classzd2numzd2zz__objectz00(BGl_setzd2exzd2itz00zzast_nodez00); 
{ /* Ast/node.scm 205 */
BgL_objectz00_bglt BgL_auxz00_7120;
BgL_auxz00_7120 = 
(BgL_objectz00_bglt)(BgL_new3174z00_3204); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7120, BgL_arg3929z00_3205); } } 
{ /* Ast/node.scm 205 */
BgL_objectz00_bglt BgL_auxz00_7123;
BgL_auxz00_7123 = 
(BgL_objectz00_bglt)(BgL_new3174z00_3204); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7123, BFALSE); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_7126;
BgL_auxz00_7126 = 
(obj_t)(BgL_new3174z00_3204); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7126); } BUNSPEC; 
return BgL_new3174z00_3204;} } 
}



/* _allocate-set-ex-it */
obj_t BGl__allocatezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_envz00_5855)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_7129;
BgL_auxz00_7129 = 
BGl_allocatezd2setzd2exzd2itzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7129);} } 
}



/* set-ex-it-var-set! */
obj_t BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt BgL_obj3154z00_120, BgL_varz00_bglt BgL_val3153z00_121)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3154z00_120))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val3153z00_121), BUNSPEC);} 
}



/* _set-ex-it-var-set! */
obj_t BGl__setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5858, obj_t BgL_obj3154z00_5859, obj_t BgL_val3153z00_5860)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(
(BgL_setzd2exzd2itz00_bglt)(BgL_obj3154z00_5859), 
(BgL_varz00_bglt)(BgL_val3153z00_5860));} 
}



/* set-ex-it-var */
BgL_varz00_bglt BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt BgL_obj3152z00_122)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3152z00_122))->BgL_varz00);} 
}



/* _set-ex-it-var */
obj_t BGl__setzd2exzd2itzd2varzd2zzast_nodez00(obj_t BgL_envz00_5856, obj_t BgL_obj3152z00_5857)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_varz00_bglt BgL_auxz00_7137;
BgL_auxz00_7137 = 
BGl_setzd2exzd2itzd2varzd2zzast_nodez00(
(BgL_setzd2exzd2itz00_bglt)(BgL_obj3152z00_5857)); 
return 
(obj_t)(BgL_auxz00_7137);} } 
}



/* set-ex-it-body-set! */
obj_t BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt BgL_obj3157z00_123, BgL_nodez00_bglt BgL_val3156z00_124)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3157z00_123))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val3156z00_124), BUNSPEC);} 
}



/* _set-ex-it-body-set! */
obj_t BGl__setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5863, obj_t BgL_obj3157z00_5864, obj_t BgL_val3156z00_5865)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(
(BgL_setzd2exzd2itz00_bglt)(BgL_obj3157z00_5864), 
(BgL_nodez00_bglt)(BgL_val3156z00_5865));} 
}



/* set-ex-it-body */
BgL_nodez00_bglt BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt BgL_obj3155z00_125)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
return 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3155z00_125))->BgL_bodyz00);} 
}



/* _set-ex-it-body */
obj_t BGl__setzd2exzd2itzd2bodyzd2zzast_nodez00(obj_t BgL_envz00_5861, obj_t BgL_obj3155z00_5862)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ /* Ast/node.scm 205 */
BgL_nodez00_bglt BgL_auxz00_7146;
BgL_auxz00_7146 = 
BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(
(BgL_setzd2exzd2itz00_bglt)(BgL_obj3155z00_5862)); 
return 
(obj_t)(BgL_auxz00_7146);} } 
}



/* let-var? */
bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_obj3147z00_126)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3147z00_126, BGl_letzd2varzd2zzast_nodez00);} 
}



/* _let-var? */
obj_t BGl__letzd2varzf3z21zzast_nodez00(obj_t BgL_envz00_5964, obj_t BgL_obj3147z00_5965)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
bool_t BgL_auxz00_7151;
BgL_auxz00_7151 = 
BGl_letzd2varzf3z21zzast_nodez00(BgL_obj3147z00_5965); 
return 
BBOOL(BgL_auxz00_7151);} } 
}



/* fill-let-var! */
BgL_letzd2varzd2_bglt BGl_fillzd2letzd2varz12z12zzast_nodez00(BgL_letzd2varzd2_bglt BgL_new3098z00_130, obj_t BgL_loc3091z00_131, BgL_typez00_bglt BgL_type3092z00_132, obj_t BgL_sidezd2effectzf33093z21_133, obj_t BgL_key3094z00_134, obj_t BgL_bindings3095z00_135, BgL_nodez00_bglt BgL_body3096z00_136, bool_t BgL_removablezf33097zf3_137)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_locz00) = ((obj_t)BgL_loc3091z00_131), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3092z00_132), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33093z21_133), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_keyz00) = ((obj_t)BgL_key3094z00_134), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_bindingsz00) = ((obj_t)BgL_bindings3095z00_135), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3096z00_136), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3098z00_130))->BgL_removablezf3zf3) = ((bool_t)BgL_removablezf33097zf3_137), BUNSPEC); 
return BgL_new3098z00_130;} 
}



/* _fill-let-var! */
obj_t BGl__fillzd2letzd2varz12z12zzast_nodez00(obj_t BgL_envz00_5966, obj_t BgL_new3098z00_5967, obj_t BgL_loc3091z00_5968, obj_t BgL_type3092z00_5969, obj_t BgL_sidezd2effectzf33093z21_5970, obj_t BgL_key3094z00_5971, obj_t BgL_bindings3095z00_5972, obj_t BgL_body3096z00_5973, obj_t BgL_removablezf33097zf3_5974)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_auxz00_7161;
BgL_auxz00_7161 = 
BGl_fillzd2letzd2varz12z12zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_new3098z00_5967), BgL_loc3091z00_5968, 
(BgL_typez00_bglt)(BgL_type3092z00_5969), BgL_sidezd2effectzf33093z21_5970, BgL_key3094z00_5971, BgL_bindings3095z00_5972, 
(BgL_nodez00_bglt)(BgL_body3096z00_5973), 
CBOOL(BgL_removablezf33097zf3_5974)); 
return 
(obj_t)(BgL_auxz00_7161);} } 
}



/* make-let-var */
BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc3107z00_138, BgL_typez00_bglt BgL_type3108z00_139, obj_t BgL_sidezd2effectzf33109z21_140, obj_t BgL_key3110z00_141, obj_t BgL_bindings3111z00_142, BgL_nodez00_bglt BgL_body3112z00_143, bool_t BgL_removablezf33113zf3_144)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_new3114z00_3216;
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_res4450z00_3222;
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_new3116z00_3217;
BgL_new3116z00_3217 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/node.scm 196 */
long BgL_arg3930z00_3218;
BgL_arg3930z00_3218 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/node.scm 196 */
BgL_objectz00_bglt BgL_auxz00_7170;
BgL_auxz00_7170 = 
(BgL_objectz00_bglt)(BgL_new3116z00_3217); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7170, BgL_arg3930z00_3218); } } 
{ /* Ast/node.scm 196 */
BgL_objectz00_bglt BgL_auxz00_7173;
BgL_auxz00_7173 = 
(BgL_objectz00_bglt)(BgL_new3116z00_3217); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7173, BFALSE); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_7176;
BgL_auxz00_7176 = 
(obj_t)(BgL_new3116z00_3217); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7176); } BUNSPEC; 
BgL_res4450z00_3222 = BgL_new3116z00_3217; } 
BgL_new3114z00_3216 = BgL_res4450z00_3222; } 
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_res4451z00_3238;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_locz00) = ((obj_t)BgL_loc3107z00_138), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3108z00_139), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33109z21_140), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_keyz00) = ((obj_t)BgL_key3110z00_141), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_bindingsz00) = ((obj_t)BgL_bindings3111z00_142), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3112z00_143), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new3114z00_3216))->BgL_removablezf3zf3) = ((bool_t)BgL_removablezf33113zf3_144), BUNSPEC); 
BgL_res4451z00_3238 = BgL_new3114z00_3216; BgL_res4451z00_3238; } 
return BgL_new3114z00_3216;} } 
}



/* _make-let-var */
obj_t BGl__makezd2letzd2varz00zzast_nodez00(obj_t BgL_envz00_5826, obj_t BgL_loc3107z00_5827, obj_t BgL_type3108z00_5828, obj_t BgL_sidezd2effectzf33109z21_5829, obj_t BgL_key3110z00_5830, obj_t BgL_bindings3111z00_5831, obj_t BgL_body3112z00_5832, obj_t BgL_removablezf33113zf3_5833)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_auxz00_7186;
BgL_auxz00_7186 = 
BGl_makezd2letzd2varz00zzast_nodez00(BgL_loc3107z00_5827, 
(BgL_typez00_bglt)(BgL_type3108z00_5828), BgL_sidezd2effectzf33109z21_5829, BgL_key3110z00_5830, BgL_bindings3111z00_5831, 
(BgL_nodez00_bglt)(BgL_body3112z00_5832), 
CBOOL(BgL_removablezf33113zf3_5833)); 
return 
(obj_t)(BgL_auxz00_7186);} } 
}



/* allocate-let-var */
BgL_letzd2varzd2_bglt BGl_allocatezd2letzd2varz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_new3116z00_3239;
BgL_new3116z00_3239 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Ast/node.scm 196 */
long BgL_arg3930z00_3240;
BgL_arg3930z00_3240 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Ast/node.scm 196 */
BgL_objectz00_bglt BgL_auxz00_7194;
BgL_auxz00_7194 = 
(BgL_objectz00_bglt)(BgL_new3116z00_3239); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7194, BgL_arg3930z00_3240); } } 
{ /* Ast/node.scm 196 */
BgL_objectz00_bglt BgL_auxz00_7197;
BgL_auxz00_7197 = 
(BgL_objectz00_bglt)(BgL_new3116z00_3239); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7197, BFALSE); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_7200;
BgL_auxz00_7200 = 
(obj_t)(BgL_new3116z00_3239); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7200); } BUNSPEC; 
return BgL_new3116z00_3239;} } 
}



/* _allocate-let-var */
obj_t BGl__allocatezd2letzd2varz00zzast_nodez00(obj_t BgL_envz00_5834)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_auxz00_7203;
BgL_auxz00_7203 = 
BGl_allocatezd2letzd2varz00zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7203);} } 
}



/* let-var-bindings-set! */
obj_t BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3084z00_155, obj_t BgL_val3083z00_156)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj3084z00_155))->BgL_bindingsz00) = ((obj_t)BgL_val3083z00_156), BUNSPEC);} 
}



/* _let-var-bindings-set! */
obj_t BGl__letzd2varzd2bindingszd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5837, obj_t BgL_obj3084z00_5838, obj_t BgL_val3083z00_5839)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3084z00_5838), BgL_val3083z00_5839);} 
}



/* let-var-bindings */
obj_t BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3082z00_157)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3082z00_157))->BgL_bindingsz00);} 
}



/* _let-var-bindings */
obj_t BGl__letzd2varzd2bindingsz00zzast_nodez00(obj_t BgL_envz00_5835, obj_t BgL_obj3082z00_5836)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
BGl_letzd2varzd2bindingsz00zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3082z00_5836));} 
}



/* let-var-body-set! */
obj_t BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3087z00_158, BgL_nodez00_bglt BgL_val3086z00_159)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj3087z00_158))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val3086z00_159), BUNSPEC);} 
}



/* _let-var-body-set! */
obj_t BGl__letzd2varzd2bodyzd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5842, obj_t BgL_obj3087z00_5843, obj_t BgL_val3086z00_5844)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3087z00_5843), 
(BgL_nodez00_bglt)(BgL_val3086z00_5844));} 
}



/* let-var-body */
BgL_nodez00_bglt BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3085z00_160)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
return 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3085z00_160))->BgL_bodyz00);} 
}



/* _let-var-body */
obj_t BGl__letzd2varzd2bodyz00zzast_nodez00(obj_t BgL_envz00_5840, obj_t BgL_obj3085z00_5841)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ /* Ast/node.scm 196 */
BgL_nodez00_bglt BgL_auxz00_7217;
BgL_auxz00_7217 = 
BGl_letzd2varzd2bodyz00zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3085z00_5841)); 
return 
(obj_t)(BgL_auxz00_7217);} } 
}



/* let-var-removable?-set! */
obj_t BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3090z00_161, bool_t BgL_val3089z00_162)
{ AN_OBJECT;
{ /* Ast/node.scm 202 */
return 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj3090z00_161))->BgL_removablezf3zf3) = ((bool_t)BgL_val3089z00_162), BUNSPEC);} 
}



/* _let-var-removable?-set! */
obj_t BGl__letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(obj_t BgL_envz00_5847, obj_t BgL_obj3090z00_5848, obj_t BgL_val3089z00_5849)
{ AN_OBJECT;
{ /* Ast/node.scm 202 */
return 
BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3090z00_5848), 
CBOOL(BgL_val3089z00_5849));} 
}



/* let-var-removable? */
bool_t BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt BgL_obj3088z00_163)
{ AN_OBJECT;
{ /* Ast/node.scm 202 */
return 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3088z00_163))->BgL_removablezf3zf3);} 
}



/* _let-var-removable? */
obj_t BGl__letzd2varzd2removablezf3zf3zzast_nodez00(obj_t BgL_envz00_5845, obj_t BgL_obj3088z00_5846)
{ AN_OBJECT;
{ /* Ast/node.scm 202 */
{ /* Ast/node.scm 202 */
bool_t BgL_auxz00_7226;
BgL_auxz00_7226 = 
BGl_letzd2varzd2removablezf3zf3zzast_nodez00(
(BgL_letzd2varzd2_bglt)(BgL_obj3088z00_5846)); 
return 
BBOOL(BgL_auxz00_7226);} } 
}



/* let-fun? */
bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_obj3071z00_164)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3071z00_164, BGl_letzd2funzd2zzast_nodez00);} 
}



/* _let-fun? */
obj_t BGl__letzd2funzf3z21zzast_nodez00(obj_t BgL_envz00_5975, obj_t BgL_obj3071z00_5976)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
bool_t BgL_auxz00_7231;
BgL_auxz00_7231 = 
BGl_letzd2funzf3z21zzast_nodez00(BgL_obj3071z00_5976); 
return 
BBOOL(BgL_auxz00_7231);} } 
}



/* fill-let-fun! */
BgL_letzd2funzd2_bglt BGl_fillzd2letzd2funz12z12zzast_nodez00(BgL_letzd2funzd2_bglt BgL_new3028z00_168, obj_t BgL_loc3022z00_169, BgL_typez00_bglt BgL_type3023z00_170, obj_t BgL_sidezd2effectzf33024z21_171, obj_t BgL_key3025z00_172, obj_t BgL_locals3026z00_173, BgL_nodez00_bglt BgL_body3027z00_174)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_locz00) = ((obj_t)BgL_loc3022z00_169), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3023z00_170), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33024z21_171), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_keyz00) = ((obj_t)BgL_key3025z00_172), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_localsz00) = ((obj_t)BgL_locals3026z00_173), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3028z00_168))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3027z00_174), BUNSPEC); 
return BgL_new3028z00_168;} 
}



/* _fill-let-fun! */
obj_t BGl__fillzd2letzd2funz12z12zzast_nodez00(obj_t BgL_envz00_5977, obj_t BgL_new3028z00_5978, obj_t BgL_loc3022z00_5979, obj_t BgL_type3023z00_5980, obj_t BgL_sidezd2effectzf33024z21_5981, obj_t BgL_key3025z00_5982, obj_t BgL_locals3026z00_5983, obj_t BgL_body3027z00_5984)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_auxz00_7240;
BgL_auxz00_7240 = 
BGl_fillzd2letzd2funz12z12zzast_nodez00(
(BgL_letzd2funzd2_bglt)(BgL_new3028z00_5978), BgL_loc3022z00_5979, 
(BgL_typez00_bglt)(BgL_type3023z00_5980), BgL_sidezd2effectzf33024z21_5981, BgL_key3025z00_5982, BgL_locals3026z00_5983, 
(BgL_nodez00_bglt)(BgL_body3027z00_5984)); 
return 
(obj_t)(BgL_auxz00_7240);} } 
}



/* make-let-fun */
BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc3036z00_175, BgL_typez00_bglt BgL_type3037z00_176, obj_t BgL_sidezd2effectzf33038z21_177, obj_t BgL_key3039z00_178, obj_t BgL_locals3040z00_179, BgL_nodez00_bglt BgL_body3041z00_180)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_new3042z00_3250;
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_res4452z00_3256;
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_new3044z00_3251;
BgL_new3044z00_3251 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Ast/node.scm 189 */
long BgL_arg3931z00_3252;
BgL_arg3931z00_3252 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Ast/node.scm 189 */
BgL_objectz00_bglt BgL_auxz00_7248;
BgL_auxz00_7248 = 
(BgL_objectz00_bglt)(BgL_new3044z00_3251); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7248, BgL_arg3931z00_3252); } } 
{ /* Ast/node.scm 189 */
BgL_objectz00_bglt BgL_auxz00_7251;
BgL_auxz00_7251 = 
(BgL_objectz00_bglt)(BgL_new3044z00_3251); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7251, BFALSE); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_7254;
BgL_auxz00_7254 = 
(obj_t)(BgL_new3044z00_3251); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7254); } BUNSPEC; 
BgL_res4452z00_3256 = BgL_new3044z00_3251; } 
BgL_new3042z00_3250 = BgL_res4452z00_3256; } 
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_res4453z00_3270;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_locz00) = ((obj_t)BgL_loc3036z00_175), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type3037z00_176), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf33038z21_177), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_keyz00) = ((obj_t)BgL_key3039z00_178), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_localsz00) = ((obj_t)BgL_locals3040z00_179), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new3042z00_3250))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body3041z00_180), BUNSPEC); 
BgL_res4453z00_3270 = BgL_new3042z00_3250; BgL_res4453z00_3270; } 
return BgL_new3042z00_3250;} } 
}



/* _make-let-fun */
obj_t BGl__makezd2letzd2funz00zzast_nodez00(obj_t BgL_envz00_5808, obj_t BgL_loc3036z00_5809, obj_t BgL_type3037z00_5810, obj_t BgL_sidezd2effectzf33038z21_5811, obj_t BgL_key3039z00_5812, obj_t BgL_locals3040z00_5813, obj_t BgL_body3041z00_5814)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_auxz00_7263;
BgL_auxz00_7263 = 
BGl_makezd2letzd2funz00zzast_nodez00(BgL_loc3036z00_5809, 
(BgL_typez00_bglt)(BgL_type3037z00_5810), BgL_sidezd2effectzf33038z21_5811, BgL_key3039z00_5812, BgL_locals3040z00_5813, 
(BgL_nodez00_bglt)(BgL_body3041z00_5814)); 
return 
(obj_t)(BgL_auxz00_7263);} } 
}



/* allocate-let-fun */
BgL_letzd2funzd2_bglt BGl_allocatezd2letzd2funz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_new3044z00_3271;
BgL_new3044z00_3271 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Ast/node.scm 189 */
long BgL_arg3931z00_3272;
BgL_arg3931z00_3272 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Ast/node.scm 189 */
BgL_objectz00_bglt BgL_auxz00_7270;
BgL_auxz00_7270 = 
(BgL_objectz00_bglt)(BgL_new3044z00_3271); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7270, BgL_arg3931z00_3272); } } 
{ /* Ast/node.scm 189 */
BgL_objectz00_bglt BgL_auxz00_7273;
BgL_auxz00_7273 = 
(BgL_objectz00_bglt)(BgL_new3044z00_3271); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7273, BFALSE); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_7276;
BgL_auxz00_7276 = 
(obj_t)(BgL_new3044z00_3271); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7276); } BUNSPEC; 
return BgL_new3044z00_3271;} } 
}



/* _allocate-let-fun */
obj_t BGl__allocatezd2letzd2funz00zzast_nodez00(obj_t BgL_envz00_5815)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_auxz00_7279;
BgL_auxz00_7279 = 
BGl_allocatezd2letzd2funz00zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7279);} } 
}



/* let-fun-locals-set! */
obj_t BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt BgL_obj3018z00_191, obj_t BgL_val3017z00_192)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
((((BgL_letzd2funzd2_bglt)CREF(BgL_obj3018z00_191))->BgL_localsz00) = ((obj_t)BgL_val3017z00_192), BUNSPEC);} 
}



/* _let-fun-locals-set! */
obj_t BGl__letzd2funzd2localszd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5818, obj_t BgL_obj3018z00_5819, obj_t BgL_val3017z00_5820)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(
(BgL_letzd2funzd2_bglt)(BgL_obj3018z00_5819), BgL_val3017z00_5820);} 
}



/* let-fun-locals */
obj_t BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_obj3016z00_193)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3016z00_193))->BgL_localsz00);} 
}



/* _let-fun-locals */
obj_t BGl__letzd2funzd2localsz00zzast_nodez00(obj_t BgL_envz00_5816, obj_t BgL_obj3016z00_5817)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
BGl_letzd2funzd2localsz00zzast_nodez00(
(BgL_letzd2funzd2_bglt)(BgL_obj3016z00_5817));} 
}



/* let-fun-body-set! */
obj_t BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt BgL_obj3021z00_194, BgL_nodez00_bglt BgL_val3020z00_195)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
((((BgL_letzd2funzd2_bglt)CREF(BgL_obj3021z00_194))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val3020z00_195), BUNSPEC);} 
}



/* _let-fun-body-set! */
obj_t BGl__letzd2funzd2bodyzd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5823, obj_t BgL_obj3021z00_5824, obj_t BgL_val3020z00_5825)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(
(BgL_letzd2funzd2_bglt)(BgL_obj3021z00_5824), 
(BgL_nodez00_bglt)(BgL_val3020z00_5825));} 
}



/* let-fun-body */
BgL_nodez00_bglt BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_obj3019z00_196)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
return 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3019z00_196))->BgL_bodyz00);} 
}



/* _let-fun-body */
obj_t BGl__letzd2funzd2bodyz00zzast_nodez00(obj_t BgL_envz00_5821, obj_t BgL_obj3019z00_5822)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ /* Ast/node.scm 189 */
BgL_nodez00_bglt BgL_auxz00_7293;
BgL_auxz00_7293 = 
BGl_letzd2funzd2bodyz00zzast_nodez00(
(BgL_letzd2funzd2_bglt)(BgL_obj3019z00_5822)); 
return 
(obj_t)(BgL_auxz00_7293);} } 
}



/* select? */
bool_t BGl_selectzf3zf3zzast_nodez00(obj_t BgL_obj3004z00_197)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3004z00_197, BGl_selectz00zzast_nodez00);} 
}



/* _select? */
obj_t BGl__selectzf3zf3zzast_nodez00(obj_t BgL_envz00_5985, obj_t BgL_obj3004z00_5986)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
bool_t BgL_auxz00_7298;
BgL_auxz00_7298 = 
BGl_selectzf3zf3zzast_nodez00(BgL_obj3004z00_5986); 
return 
BBOOL(BgL_auxz00_7298);} } 
}



/* fill-select! */
BgL_selectz00_bglt BGl_fillzd2selectz12zc0zzast_nodez00(BgL_selectz00_bglt BgL_new2955z00_201, obj_t BgL_loc2948z00_202, BgL_typez00_bglt BgL_type2949z00_203, obj_t BgL_sidezd2effectzf32950z21_204, obj_t BgL_key2951z00_205, BgL_nodez00_bglt BgL_test2952z00_206, obj_t BgL_clauses2953z00_207, BgL_typez00_bglt BgL_itemzd2type2954zd2_208)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_locz00) = ((obj_t)BgL_loc2948z00_202), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2949z00_203), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32950z21_204), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_keyz00) = ((obj_t)BgL_key2951z00_205), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_test2952z00_206), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_clausesz00) = ((obj_t)BgL_clauses2953z00_207), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2955z00_201))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type2954zd2_208), BUNSPEC); 
return BgL_new2955z00_201;} 
}



/* _fill-select! */
obj_t BGl__fillzd2selectz12zc0zzast_nodez00(obj_t BgL_envz00_5987, obj_t BgL_new2955z00_5988, obj_t BgL_loc2948z00_5989, obj_t BgL_type2949z00_5990, obj_t BgL_sidezd2effectzf32950z21_5991, obj_t BgL_key2951z00_5992, obj_t BgL_test2952z00_5993, obj_t BgL_clauses2953z00_5994, obj_t BgL_itemzd2type2954zd2_5995)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_auxz00_7308;
BgL_auxz00_7308 = 
BGl_fillzd2selectz12zc0zzast_nodez00(
(BgL_selectz00_bglt)(BgL_new2955z00_5988), BgL_loc2948z00_5989, 
(BgL_typez00_bglt)(BgL_type2949z00_5990), BgL_sidezd2effectzf32950z21_5991, BgL_key2951z00_5992, 
(BgL_nodez00_bglt)(BgL_test2952z00_5993), BgL_clauses2953z00_5994, 
(BgL_typez00_bglt)(BgL_itemzd2type2954zd2_5995)); 
return 
(obj_t)(BgL_auxz00_7308);} } 
}



/* make-select */
BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t BgL_loc2964z00_209, BgL_typez00_bglt BgL_type2965z00_210, obj_t BgL_sidezd2effectzf32966z21_211, obj_t BgL_key2967z00_212, BgL_nodez00_bglt BgL_test2968z00_213, obj_t BgL_clauses2969z00_214, BgL_typez00_bglt BgL_itemzd2type2970zd2_215)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_new2971z00_3283;
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_res4454z00_3289;
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_new2973z00_3284;
BgL_new2973z00_3284 = 
((BgL_selectz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_selectz00_bgl) ))); 
{ /* Ast/node.scm 180 */
long BgL_arg3932z00_3285;
BgL_arg3932z00_3285 = 
BGl_classzd2numzd2zz__objectz00(BGl_selectz00zzast_nodez00); 
{ /* Ast/node.scm 180 */
BgL_objectz00_bglt BgL_auxz00_7317;
BgL_auxz00_7317 = 
(BgL_objectz00_bglt)(BgL_new2973z00_3284); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7317, BgL_arg3932z00_3285); } } 
{ /* Ast/node.scm 180 */
BgL_objectz00_bglt BgL_auxz00_7320;
BgL_auxz00_7320 = 
(BgL_objectz00_bglt)(BgL_new2973z00_3284); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7320, BFALSE); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_7323;
BgL_auxz00_7323 = 
(obj_t)(BgL_new2973z00_3284); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7323); } BUNSPEC; 
BgL_res4454z00_3289 = BgL_new2973z00_3284; } 
BgL_new2971z00_3283 = BgL_res4454z00_3289; } 
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_res4455z00_3305;
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_locz00) = ((obj_t)BgL_loc2964z00_209), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2965z00_210), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32966z21_211), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_keyz00) = ((obj_t)BgL_key2967z00_212), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_test2968z00_213), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_clausesz00) = ((obj_t)BgL_clauses2969z00_214), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2971z00_3283))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type2970zd2_215), BUNSPEC); 
BgL_res4455z00_3305 = BgL_new2971z00_3283; BgL_res4455z00_3305; } 
return BgL_new2971z00_3283;} } 
}



/* _make-select */
obj_t BGl__makezd2selectzd2zzast_nodez00(obj_t BgL_envz00_5790, obj_t BgL_loc2964z00_5791, obj_t BgL_type2965z00_5792, obj_t BgL_sidezd2effectzf32966z21_5793, obj_t BgL_key2967z00_5794, obj_t BgL_test2968z00_5795, obj_t BgL_clauses2969z00_5796, obj_t BgL_itemzd2type2970zd2_5797)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_auxz00_7333;
BgL_auxz00_7333 = 
BGl_makezd2selectzd2zzast_nodez00(BgL_loc2964z00_5791, 
(BgL_typez00_bglt)(BgL_type2965z00_5792), BgL_sidezd2effectzf32966z21_5793, BgL_key2967z00_5794, 
(BgL_nodez00_bglt)(BgL_test2968z00_5795), BgL_clauses2969z00_5796, 
(BgL_typez00_bglt)(BgL_itemzd2type2970zd2_5797)); 
return 
(obj_t)(BgL_auxz00_7333);} } 
}



/* allocate-select */
BgL_selectz00_bglt BGl_allocatezd2selectzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_new2973z00_3306;
BgL_new2973z00_3306 = 
((BgL_selectz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_selectz00_bgl) ))); 
{ /* Ast/node.scm 180 */
long BgL_arg3932z00_3307;
BgL_arg3932z00_3307 = 
BGl_classzd2numzd2zz__objectz00(BGl_selectz00zzast_nodez00); 
{ /* Ast/node.scm 180 */
BgL_objectz00_bglt BgL_auxz00_7341;
BgL_auxz00_7341 = 
(BgL_objectz00_bglt)(BgL_new2973z00_3306); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7341, BgL_arg3932z00_3307); } } 
{ /* Ast/node.scm 180 */
BgL_objectz00_bglt BgL_auxz00_7344;
BgL_auxz00_7344 = 
(BgL_objectz00_bglt)(BgL_new2973z00_3306); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7344, BFALSE); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_7347;
BgL_auxz00_7347 = 
(obj_t)(BgL_new2973z00_3306); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7347); } BUNSPEC; 
return BgL_new2973z00_3306;} } 
}



/* _allocate-select */
obj_t BGl__allocatezd2selectzd2zzast_nodez00(obj_t BgL_envz00_5798)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_auxz00_7350;
BgL_auxz00_7350 = 
BGl_allocatezd2selectzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7350);} } 
}



/* select-test-set! */
obj_t BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_obj2945z00_226, BgL_nodez00_bglt BgL_val2944z00_227)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
return 
((((BgL_selectz00_bglt)CREF(BgL_obj2945z00_226))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2944z00_227), BUNSPEC);} 
}



/* _select-test-set! */
obj_t BGl__selectzd2testzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5801, obj_t BgL_obj2945z00_5802, obj_t BgL_val2944z00_5803)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
return 
BGl_selectzd2testzd2setz12z12zzast_nodez00(
(BgL_selectz00_bglt)(BgL_obj2945z00_5802), 
(BgL_nodez00_bglt)(BgL_val2944z00_5803));} 
}



/* select-test */
BgL_nodez00_bglt BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt BgL_obj2943z00_228)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
return 
(((BgL_selectz00_bglt)CREF(BgL_obj2943z00_228))->BgL_testz00);} 
}



/* _select-test */
obj_t BGl__selectzd2testzd2zzast_nodez00(obj_t BgL_envz00_5799, obj_t BgL_obj2943z00_5800)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ /* Ast/node.scm 180 */
BgL_nodez00_bglt BgL_auxz00_7358;
BgL_auxz00_7358 = 
BGl_selectzd2testzd2zzast_nodez00(
(BgL_selectz00_bglt)(BgL_obj2943z00_5800)); 
return 
(obj_t)(BgL_auxz00_7358);} } 
}



/* select-clauses */
obj_t BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt BgL_obj2946z00_229)
{ AN_OBJECT;
{ /* Ast/node.scm 184 */
return 
(((BgL_selectz00_bglt)CREF(BgL_obj2946z00_229))->BgL_clausesz00);} 
}



/* _select-clauses */
obj_t BGl__selectzd2clauseszd2zzast_nodez00(obj_t BgL_envz00_5804, obj_t BgL_obj2946z00_5805)
{ AN_OBJECT;
{ /* Ast/node.scm 184 */
return 
BGl_selectzd2clauseszd2zzast_nodez00(
(BgL_selectz00_bglt)(BgL_obj2946z00_5805));} 
}



/* select-item-type */
BgL_typez00_bglt BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt BgL_obj2947z00_230)
{ AN_OBJECT;
{ /* Ast/node.scm 186 */
return 
(((BgL_selectz00_bglt)CREF(BgL_obj2947z00_230))->BgL_itemzd2typezd2);} 
}



/* _select-item-type */
obj_t BGl__selectzd2itemzd2typez00zzast_nodez00(obj_t BgL_envz00_5806, obj_t BgL_obj2947z00_5807)
{ AN_OBJECT;
{ /* Ast/node.scm 186 */
{ /* Ast/node.scm 186 */
BgL_typez00_bglt BgL_auxz00_7366;
BgL_auxz00_7366 = 
BGl_selectzd2itemzd2typez00zzast_nodez00(
(BgL_selectz00_bglt)(BgL_obj2947z00_5807)); 
return 
(obj_t)(BgL_auxz00_7366);} } 
}



/* fail? */
bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_obj2932z00_231)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2932z00_231, BGl_failz00zzast_nodez00);} 
}



/* _fail? */
obj_t BGl__failzf3zf3zzast_nodez00(obj_t BgL_envz00_5996, obj_t BgL_obj2932z00_5997)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
bool_t BgL_auxz00_7371;
BgL_auxz00_7371 = 
BGl_failzf3zf3zzast_nodez00(BgL_obj2932z00_5997); 
return 
BBOOL(BgL_auxz00_7371);} } 
}



/* fill-fail! */
BgL_failz00_bglt BGl_fillzd2failz12zc0zzast_nodez00(BgL_failz00_bglt BgL_new2895z00_235, obj_t BgL_loc2890z00_236, BgL_typez00_bglt BgL_type2891z00_237, BgL_nodez00_bglt BgL_proc2892z00_238, BgL_nodez00_bglt BgL_msg2893z00_239, BgL_nodez00_bglt BgL_obj2894z00_240)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
((((BgL_failz00_bglt)CREF(BgL_new2895z00_235))->BgL_locz00) = ((obj_t)BgL_loc2890z00_236), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2895z00_235))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2891z00_237), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2895z00_235))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_proc2892z00_238), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2895z00_235))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_msg2893z00_239), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2895z00_235))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_obj2894z00_240), BUNSPEC); 
return BgL_new2895z00_235;} 
}



/* _fill-fail! */
obj_t BGl__fillzd2failz12zc0zzast_nodez00(obj_t BgL_envz00_5998, obj_t BgL_new2895z00_5999, obj_t BgL_loc2890z00_6000, obj_t BgL_type2891z00_6001, obj_t BgL_proc2892z00_6002, obj_t BgL_msg2893z00_6003, obj_t BgL_obj2894z00_6004)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_auxz00_7379;
BgL_auxz00_7379 = 
BGl_fillzd2failz12zc0zzast_nodez00(
(BgL_failz00_bglt)(BgL_new2895z00_5999), BgL_loc2890z00_6000, 
(BgL_typez00_bglt)(BgL_type2891z00_6001), 
(BgL_nodez00_bglt)(BgL_proc2892z00_6002), 
(BgL_nodez00_bglt)(BgL_msg2893z00_6003), 
(BgL_nodez00_bglt)(BgL_obj2894z00_6004)); 
return 
(obj_t)(BgL_auxz00_7379);} } 
}



/* make-fail */
BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t BgL_loc2902z00_241, BgL_typez00_bglt BgL_type2903z00_242, BgL_nodez00_bglt BgL_proc2904z00_243, BgL_nodez00_bglt BgL_msg2905z00_244, BgL_nodez00_bglt BgL_obj2906z00_245)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_new2907z00_3316;
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_res4456z00_3322;
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_new2909z00_3317;
BgL_new2909z00_3317 = 
((BgL_failz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_failz00_bgl) ))); 
{ /* Ast/node.scm 173 */
long BgL_arg3933z00_3318;
BgL_arg3933z00_3318 = 
BGl_classzd2numzd2zz__objectz00(BGl_failz00zzast_nodez00); 
{ /* Ast/node.scm 173 */
BgL_objectz00_bglt BgL_auxz00_7389;
BgL_auxz00_7389 = 
(BgL_objectz00_bglt)(BgL_new2909z00_3317); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7389, BgL_arg3933z00_3318); } } 
{ /* Ast/node.scm 173 */
BgL_objectz00_bglt BgL_auxz00_7392;
BgL_auxz00_7392 = 
(BgL_objectz00_bglt)(BgL_new2909z00_3317); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7392, BFALSE); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_7395;
BgL_auxz00_7395 = 
(obj_t)(BgL_new2909z00_3317); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7395); } BUNSPEC; 
BgL_res4456z00_3322 = BgL_new2909z00_3317; } 
BgL_new2907z00_3316 = BgL_res4456z00_3322; } 
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_res4457z00_3334;
((((BgL_failz00_bglt)CREF(BgL_new2907z00_3316))->BgL_locz00) = ((obj_t)BgL_loc2902z00_241), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2907z00_3316))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2903z00_242), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2907z00_3316))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_proc2904z00_243), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2907z00_3316))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_msg2905z00_244), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2907z00_3316))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_obj2906z00_245), BUNSPEC); 
BgL_res4457z00_3334 = BgL_new2907z00_3316; BgL_res4457z00_3334; } 
return BgL_new2907z00_3316;} } 
}



/* _make-fail */
obj_t BGl__makezd2failzd2zzast_nodez00(obj_t BgL_envz00_5768, obj_t BgL_loc2902z00_5769, obj_t BgL_type2903z00_5770, obj_t BgL_proc2904z00_5771, obj_t BgL_msg2905z00_5772, obj_t BgL_obj2906z00_5773)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_auxz00_7403;
BgL_auxz00_7403 = 
BGl_makezd2failzd2zzast_nodez00(BgL_loc2902z00_5769, 
(BgL_typez00_bglt)(BgL_type2903z00_5770), 
(BgL_nodez00_bglt)(BgL_proc2904z00_5771), 
(BgL_nodez00_bglt)(BgL_msg2905z00_5772), 
(BgL_nodez00_bglt)(BgL_obj2906z00_5773)); 
return 
(obj_t)(BgL_auxz00_7403);} } 
}



/* allocate-fail */
BgL_failz00_bglt BGl_allocatezd2failzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_new2909z00_3335;
BgL_new2909z00_3335 = 
((BgL_failz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_failz00_bgl) ))); 
{ /* Ast/node.scm 173 */
long BgL_arg3933z00_3336;
BgL_arg3933z00_3336 = 
BGl_classzd2numzd2zz__objectz00(BGl_failz00zzast_nodez00); 
{ /* Ast/node.scm 173 */
BgL_objectz00_bglt BgL_auxz00_7412;
BgL_auxz00_7412 = 
(BgL_objectz00_bglt)(BgL_new2909z00_3335); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7412, BgL_arg3933z00_3336); } } 
{ /* Ast/node.scm 173 */
BgL_objectz00_bglt BgL_auxz00_7415;
BgL_auxz00_7415 = 
(BgL_objectz00_bglt)(BgL_new2909z00_3335); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7415, BFALSE); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_7418;
BgL_auxz00_7418 = 
(obj_t)(BgL_new2909z00_3335); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7418); } BUNSPEC; 
return BgL_new2909z00_3335;} } 
}



/* _allocate-fail */
obj_t BGl__allocatezd2failzd2zzast_nodez00(obj_t BgL_envz00_5774)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_auxz00_7421;
BgL_auxz00_7421 = 
BGl_allocatezd2failzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7421);} } 
}



/* fail-proc-set! */
obj_t BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_obj2883z00_250, BgL_nodez00_bglt BgL_val2882z00_251)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
((((BgL_failz00_bglt)CREF(BgL_obj2883z00_250))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2882z00_251), BUNSPEC);} 
}



/* _fail-proc-set! */
obj_t BGl__failzd2proczd2setz12z12zzast_nodez00(obj_t BgL_envz00_5777, obj_t BgL_obj2883z00_5778, obj_t BgL_val2882z00_5779)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
BGl_failzd2proczd2setz12z12zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2883z00_5778), 
(BgL_nodez00_bglt)(BgL_val2882z00_5779));} 
}



/* fail-proc */
BgL_nodez00_bglt BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_obj2881z00_252)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
(((BgL_failz00_bglt)CREF(BgL_obj2881z00_252))->BgL_procz00);} 
}



/* _fail-proc */
obj_t BGl__failzd2proczd2zzast_nodez00(obj_t BgL_envz00_5775, obj_t BgL_obj2881z00_5776)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_7429;
BgL_auxz00_7429 = 
BGl_failzd2proczd2zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2881z00_5776)); 
return 
(obj_t)(BgL_auxz00_7429);} } 
}



/* fail-msg-set! */
obj_t BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_obj2886z00_253, BgL_nodez00_bglt BgL_val2885z00_254)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
((((BgL_failz00_bglt)CREF(BgL_obj2886z00_253))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2885z00_254), BUNSPEC);} 
}



/* _fail-msg-set! */
obj_t BGl__failzd2msgzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5782, obj_t BgL_obj2886z00_5783, obj_t BgL_val2885z00_5784)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
BGl_failzd2msgzd2setz12z12zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2886z00_5783), 
(BgL_nodez00_bglt)(BgL_val2885z00_5784));} 
}



/* fail-msg */
BgL_nodez00_bglt BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_obj2884z00_255)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
(((BgL_failz00_bglt)CREF(BgL_obj2884z00_255))->BgL_msgz00);} 
}



/* _fail-msg */
obj_t BGl__failzd2msgzd2zzast_nodez00(obj_t BgL_envz00_5780, obj_t BgL_obj2884z00_5781)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_7438;
BgL_auxz00_7438 = 
BGl_failzd2msgzd2zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2884z00_5781)); 
return 
(obj_t)(BgL_auxz00_7438);} } 
}



/* fail-obj-set! */
obj_t BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_obj2889z00_256, BgL_nodez00_bglt BgL_val2888z00_257)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
((((BgL_failz00_bglt)CREF(BgL_obj2889z00_256))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2888z00_257), BUNSPEC);} 
}



/* _fail-obj-set! */
obj_t BGl__failzd2objzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5787, obj_t BgL_obj2889z00_5788, obj_t BgL_val2888z00_5789)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
BGl_failzd2objzd2setz12z12zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2889z00_5788), 
(BgL_nodez00_bglt)(BgL_val2888z00_5789));} 
}



/* fail-obj */
BgL_nodez00_bglt BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_obj2887z00_258)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
return 
(((BgL_failz00_bglt)CREF(BgL_obj2887z00_258))->BgL_objz00);} 
}



/* _fail-obj */
obj_t BGl__failzd2objzd2zzast_nodez00(obj_t BgL_envz00_5785, obj_t BgL_obj2887z00_5786)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_7447;
BgL_auxz00_7447 = 
BGl_failzd2objzd2zzast_nodez00(
(BgL_failz00_bglt)(BgL_obj2887z00_5786)); 
return 
(obj_t)(BgL_auxz00_7447);} } 
}



/* conditional? */
bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t BgL_obj2876z00_259)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2876z00_259, BGl_conditionalz00zzast_nodez00);} 
}



/* _conditional? */
obj_t BGl__conditionalzf3zf3zzast_nodez00(obj_t BgL_envz00_6005, obj_t BgL_obj2876z00_6006)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
bool_t BgL_auxz00_7452;
BgL_auxz00_7452 = 
BGl_conditionalzf3zf3zzast_nodez00(BgL_obj2876z00_6006); 
return 
BBOOL(BgL_auxz00_7452);} } 
}



/* fill-conditional! */
BgL_conditionalz00_bglt BGl_fillzd2conditionalz12zc0zzast_nodez00(BgL_conditionalz00_bglt BgL_new2827z00_263, obj_t BgL_loc2820z00_264, BgL_typez00_bglt BgL_type2821z00_265, obj_t BgL_sidezd2effectzf32822z21_266, obj_t BgL_key2823z00_267, BgL_nodez00_bglt BgL_test2824z00_268, BgL_nodez00_bglt BgL_true2825z00_269, BgL_nodez00_bglt BgL_false2826z00_270)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_locz00) = ((obj_t)BgL_loc2820z00_264), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2821z00_265), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32822z21_266), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_keyz00) = ((obj_t)BgL_key2823z00_267), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_test2824z00_268), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_true2825z00_269), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2827z00_263))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_false2826z00_270), BUNSPEC); 
return BgL_new2827z00_263;} 
}



/* _fill-conditional! */
obj_t BGl__fillzd2conditionalz12zc0zzast_nodez00(obj_t BgL_envz00_6007, obj_t BgL_new2827z00_6008, obj_t BgL_loc2820z00_6009, obj_t BgL_type2821z00_6010, obj_t BgL_sidezd2effectzf32822z21_6011, obj_t BgL_key2823z00_6012, obj_t BgL_test2824z00_6013, obj_t BgL_true2825z00_6014, obj_t BgL_false2826z00_6015)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_auxz00_7462;
BgL_auxz00_7462 = 
BGl_fillzd2conditionalz12zc0zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_new2827z00_6008), BgL_loc2820z00_6009, 
(BgL_typez00_bglt)(BgL_type2821z00_6010), BgL_sidezd2effectzf32822z21_6011, BgL_key2823z00_6012, 
(BgL_nodez00_bglt)(BgL_test2824z00_6013), 
(BgL_nodez00_bglt)(BgL_true2825z00_6014), 
(BgL_nodez00_bglt)(BgL_false2826z00_6015)); 
return 
(obj_t)(BgL_auxz00_7462);} } 
}



/* make-conditional */
BgL_conditionalz00_bglt BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc2836z00_271, BgL_typez00_bglt BgL_type2837z00_272, obj_t BgL_sidezd2effectzf32838z21_273, obj_t BgL_key2839z00_274, BgL_nodez00_bglt BgL_test2840z00_275, BgL_nodez00_bglt BgL_true2841z00_276, BgL_nodez00_bglt BgL_false2842z00_277)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_new2843z00_3347;
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_res4458z00_3353;
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_new2845z00_3348;
BgL_new2845z00_3348 = 
((BgL_conditionalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_conditionalz00_bgl) ))); 
{ /* Ast/node.scm 164 */
long BgL_arg3934z00_3349;
BgL_arg3934z00_3349 = 
BGl_classzd2numzd2zz__objectz00(BGl_conditionalz00zzast_nodez00); 
{ /* Ast/node.scm 164 */
BgL_objectz00_bglt BgL_auxz00_7472;
BgL_auxz00_7472 = 
(BgL_objectz00_bglt)(BgL_new2845z00_3348); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7472, BgL_arg3934z00_3349); } } 
{ /* Ast/node.scm 164 */
BgL_objectz00_bglt BgL_auxz00_7475;
BgL_auxz00_7475 = 
(BgL_objectz00_bglt)(BgL_new2845z00_3348); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7475, BFALSE); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_7478;
BgL_auxz00_7478 = 
(obj_t)(BgL_new2845z00_3348); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7478); } BUNSPEC; 
BgL_res4458z00_3353 = BgL_new2845z00_3348; } 
BgL_new2843z00_3347 = BgL_res4458z00_3353; } 
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_res4459z00_3369;
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_locz00) = ((obj_t)BgL_loc2836z00_271), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2837z00_272), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32838z21_273), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_keyz00) = ((obj_t)BgL_key2839z00_274), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_test2840z00_275), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_true2841z00_276), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2843z00_3347))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_false2842z00_277), BUNSPEC); 
BgL_res4459z00_3369 = BgL_new2843z00_3347; BgL_res4459z00_3369; } 
return BgL_new2843z00_3347;} } 
}



/* _make-conditional */
obj_t BGl__makezd2conditionalzd2zzast_nodez00(obj_t BgL_envz00_5744, obj_t BgL_loc2836z00_5745, obj_t BgL_type2837z00_5746, obj_t BgL_sidezd2effectzf32838z21_5747, obj_t BgL_key2839z00_5748, obj_t BgL_test2840z00_5749, obj_t BgL_true2841z00_5750, obj_t BgL_false2842z00_5751)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_auxz00_7488;
BgL_auxz00_7488 = 
BGl_makezd2conditionalzd2zzast_nodez00(BgL_loc2836z00_5745, 
(BgL_typez00_bglt)(BgL_type2837z00_5746), BgL_sidezd2effectzf32838z21_5747, BgL_key2839z00_5748, 
(BgL_nodez00_bglt)(BgL_test2840z00_5749), 
(BgL_nodez00_bglt)(BgL_true2841z00_5750), 
(BgL_nodez00_bglt)(BgL_false2842z00_5751)); 
return 
(obj_t)(BgL_auxz00_7488);} } 
}



/* allocate-conditional */
BgL_conditionalz00_bglt BGl_allocatezd2conditionalzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_new2845z00_3370;
BgL_new2845z00_3370 = 
((BgL_conditionalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_conditionalz00_bgl) ))); 
{ /* Ast/node.scm 164 */
long BgL_arg3934z00_3371;
BgL_arg3934z00_3371 = 
BGl_classzd2numzd2zz__objectz00(BGl_conditionalz00zzast_nodez00); 
{ /* Ast/node.scm 164 */
BgL_objectz00_bglt BgL_auxz00_7497;
BgL_auxz00_7497 = 
(BgL_objectz00_bglt)(BgL_new2845z00_3370); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7497, BgL_arg3934z00_3371); } } 
{ /* Ast/node.scm 164 */
BgL_objectz00_bglt BgL_auxz00_7500;
BgL_auxz00_7500 = 
(BgL_objectz00_bglt)(BgL_new2845z00_3370); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7500, BFALSE); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_7503;
BgL_auxz00_7503 = 
(obj_t)(BgL_new2845z00_3370); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7503); } BUNSPEC; 
return BgL_new2845z00_3370;} } 
}



/* _allocate-conditional */
obj_t BGl__allocatezd2conditionalzd2zzast_nodez00(obj_t BgL_envz00_5752)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_auxz00_7506;
BgL_auxz00_7506 = 
BGl_allocatezd2conditionalzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7506);} } 
}



/* conditional-test-set! */
obj_t BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2813z00_288, BgL_nodez00_bglt BgL_val2812z00_289)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2813z00_288))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2812z00_289), BUNSPEC);} 
}



/* _conditional-test-set! */
obj_t BGl__conditionalzd2testzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5755, obj_t BgL_obj2813z00_5756, obj_t BgL_val2812z00_5757)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
BGl_conditionalzd2testzd2setz12z12zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2813z00_5756), 
(BgL_nodez00_bglt)(BgL_val2812z00_5757));} 
}



/* conditional-test */
BgL_nodez00_bglt BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2811z00_290)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2811z00_290))->BgL_testz00);} 
}



/* _conditional-test */
obj_t BGl__conditionalzd2testzd2zzast_nodez00(obj_t BgL_envz00_5753, obj_t BgL_obj2811z00_5754)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_7514;
BgL_auxz00_7514 = 
BGl_conditionalzd2testzd2zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2811z00_5754)); 
return 
(obj_t)(BgL_auxz00_7514);} } 
}



/* conditional-true-set! */
obj_t BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2816z00_291, BgL_nodez00_bglt BgL_val2815z00_292)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2816z00_291))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2815z00_292), BUNSPEC);} 
}



/* _conditional-true-set! */
obj_t BGl__conditionalzd2truezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5760, obj_t BgL_obj2816z00_5761, obj_t BgL_val2815z00_5762)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
BGl_conditionalzd2truezd2setz12z12zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2816z00_5761), 
(BgL_nodez00_bglt)(BgL_val2815z00_5762));} 
}



/* conditional-true */
BgL_nodez00_bglt BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2814z00_293)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2814z00_293))->BgL_truez00);} 
}



/* _conditional-true */
obj_t BGl__conditionalzd2truezd2zzast_nodez00(obj_t BgL_envz00_5758, obj_t BgL_obj2814z00_5759)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_7523;
BgL_auxz00_7523 = 
BGl_conditionalzd2truezd2zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2814z00_5759)); 
return 
(obj_t)(BgL_auxz00_7523);} } 
}



/* conditional-false-set! */
obj_t BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2819z00_294, BgL_nodez00_bglt BgL_val2818z00_295)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2819z00_294))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2818z00_295), BUNSPEC);} 
}



/* _conditional-false-set! */
obj_t BGl__conditionalzd2falsezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5765, obj_t BgL_obj2819z00_5766, obj_t BgL_val2818z00_5767)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2819z00_5766), 
(BgL_nodez00_bglt)(BgL_val2818z00_5767));} 
}



/* conditional-false */
BgL_nodez00_bglt BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_obj2817z00_296)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
return 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2817z00_296))->BgL_falsez00);} 
}



/* _conditional-false */
obj_t BGl__conditionalzd2falsezd2zzast_nodez00(obj_t BgL_envz00_5763, obj_t BgL_obj2817z00_5764)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_7532;
BgL_auxz00_7532 = 
BGl_conditionalzd2falsezd2zzast_nodez00(
(BgL_conditionalz00_bglt)(BgL_obj2817z00_5764)); 
return 
(obj_t)(BgL_auxz00_7532);} } 
}



/* setq? */
bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_obj2800z00_297)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2800z00_297, BGl_setqz00zzast_nodez00);} 
}



/* _setq? */
obj_t BGl__setqzf3zf3zzast_nodez00(obj_t BgL_envz00_6016, obj_t BgL_obj2800z00_6017)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
bool_t BgL_auxz00_7537;
BgL_auxz00_7537 = 
BGl_setqzf3zf3zzast_nodez00(BgL_obj2800z00_6017); 
return 
BBOOL(BgL_auxz00_7537);} } 
}



/* fill-setq! */
BgL_setqz00_bglt BGl_fillzd2setqz12zc0zzast_nodez00(BgL_setqz00_bglt BgL_new2769z00_301, obj_t BgL_loc2765z00_302, BgL_typez00_bglt BgL_type2766z00_303, BgL_varz00_bglt BgL_var2767z00_304, BgL_nodez00_bglt BgL_value2768z00_305)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
((((BgL_setqz00_bglt)CREF(BgL_new2769z00_301))->BgL_locz00) = ((obj_t)BgL_loc2765z00_302), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2769z00_301))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2766z00_303), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2769z00_301))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var2767z00_304), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2769z00_301))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value2768z00_305), BUNSPEC); 
return BgL_new2769z00_301;} 
}



/* _fill-setq! */
obj_t BGl__fillzd2setqz12zc0zzast_nodez00(obj_t BgL_envz00_6018, obj_t BgL_new2769z00_6019, obj_t BgL_loc2765z00_6020, obj_t BgL_type2766z00_6021, obj_t BgL_var2767z00_6022, obj_t BgL_value2768z00_6023)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_auxz00_7544;
BgL_auxz00_7544 = 
BGl_fillzd2setqz12zc0zzast_nodez00(
(BgL_setqz00_bglt)(BgL_new2769z00_6019), BgL_loc2765z00_6020, 
(BgL_typez00_bglt)(BgL_type2766z00_6021), 
(BgL_varz00_bglt)(BgL_var2767z00_6022), 
(BgL_nodez00_bglt)(BgL_value2768z00_6023)); 
return 
(obj_t)(BgL_auxz00_7544);} } 
}



/* make-setq */
BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t BgL_loc2775z00_306, BgL_typez00_bglt BgL_type2776z00_307, BgL_varz00_bglt BgL_var2777z00_308, BgL_nodez00_bglt BgL_value2778z00_309)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_new2779z00_3379;
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_res4460z00_3385;
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_new2781z00_3380;
BgL_new2781z00_3380 = 
((BgL_setqz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setqz00_bgl) ))); 
{ /* Ast/node.scm 157 */
long BgL_arg3935z00_3381;
BgL_arg3935z00_3381 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqz00zzast_nodez00); 
{ /* Ast/node.scm 157 */
BgL_objectz00_bglt BgL_auxz00_7553;
BgL_auxz00_7553 = 
(BgL_objectz00_bglt)(BgL_new2781z00_3380); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7553, BgL_arg3935z00_3381); } } 
{ /* Ast/node.scm 157 */
BgL_objectz00_bglt BgL_auxz00_7556;
BgL_auxz00_7556 = 
(BgL_objectz00_bglt)(BgL_new2781z00_3380); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7556, BFALSE); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_7559;
BgL_auxz00_7559 = 
(obj_t)(BgL_new2781z00_3380); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7559); } BUNSPEC; 
BgL_res4460z00_3385 = BgL_new2781z00_3380; } 
BgL_new2779z00_3379 = BgL_res4460z00_3385; } 
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_res4461z00_3395;
((((BgL_setqz00_bglt)CREF(BgL_new2779z00_3379))->BgL_locz00) = ((obj_t)BgL_loc2775z00_306), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2779z00_3379))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2776z00_307), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2779z00_3379))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var2777z00_308), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2779z00_3379))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value2778z00_309), BUNSPEC); 
BgL_res4461z00_3395 = BgL_new2779z00_3379; BgL_res4461z00_3395; } 
return BgL_new2779z00_3379;} } 
}



/* _make-setq */
obj_t BGl__makezd2setqzd2zzast_nodez00(obj_t BgL_envz00_5728, obj_t BgL_loc2775z00_5729, obj_t BgL_type2776z00_5730, obj_t BgL_var2777z00_5731, obj_t BgL_value2778z00_5732)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_auxz00_7566;
BgL_auxz00_7566 = 
BGl_makezd2setqzd2zzast_nodez00(BgL_loc2775z00_5729, 
(BgL_typez00_bglt)(BgL_type2776z00_5730), 
(BgL_varz00_bglt)(BgL_var2777z00_5731), 
(BgL_nodez00_bglt)(BgL_value2778z00_5732)); 
return 
(obj_t)(BgL_auxz00_7566);} } 
}



/* allocate-setq */
BgL_setqz00_bglt BGl_allocatezd2setqzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_new2781z00_3396;
BgL_new2781z00_3396 = 
((BgL_setqz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setqz00_bgl) ))); 
{ /* Ast/node.scm 157 */
long BgL_arg3935z00_3397;
BgL_arg3935z00_3397 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqz00zzast_nodez00); 
{ /* Ast/node.scm 157 */
BgL_objectz00_bglt BgL_auxz00_7574;
BgL_auxz00_7574 = 
(BgL_objectz00_bglt)(BgL_new2781z00_3396); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7574, BgL_arg3935z00_3397); } } 
{ /* Ast/node.scm 157 */
BgL_objectz00_bglt BgL_auxz00_7577;
BgL_auxz00_7577 = 
(BgL_objectz00_bglt)(BgL_new2781z00_3396); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7577, BFALSE); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_7580;
BgL_auxz00_7580 = 
(obj_t)(BgL_new2781z00_3396); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7580); } BUNSPEC; 
return BgL_new2781z00_3396;} } 
}



/* _allocate-setq */
obj_t BGl__allocatezd2setqzd2zzast_nodez00(obj_t BgL_envz00_5733)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_auxz00_7583;
BgL_auxz00_7583 = 
BGl_allocatezd2setqzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7583);} } 
}



/* setq-var-set! */
obj_t BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_obj2761z00_314, BgL_varz00_bglt BgL_val2760z00_315)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
((((BgL_setqz00_bglt)CREF(BgL_obj2761z00_314))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2760z00_315), BUNSPEC);} 
}



/* _setq-var-set! */
obj_t BGl__setqzd2varzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5736, obj_t BgL_obj2761z00_5737, obj_t BgL_val2760z00_5738)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
BGl_setqzd2varzd2setz12z12zzast_nodez00(
(BgL_setqz00_bglt)(BgL_obj2761z00_5737), 
(BgL_varz00_bglt)(BgL_val2760z00_5738));} 
}



/* setq-var */
BgL_varz00_bglt BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_obj2759z00_316)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
(((BgL_setqz00_bglt)CREF(BgL_obj2759z00_316))->BgL_varz00);} 
}



/* _setq-var */
obj_t BGl__setqzd2varzd2zzast_nodez00(obj_t BgL_envz00_5734, obj_t BgL_obj2759z00_5735)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_varz00_bglt BgL_auxz00_7591;
BgL_auxz00_7591 = 
BGl_setqzd2varzd2zzast_nodez00(
(BgL_setqz00_bglt)(BgL_obj2759z00_5735)); 
return 
(obj_t)(BgL_auxz00_7591);} } 
}



/* setq-value-set! */
obj_t BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_obj2764z00_317, BgL_nodez00_bglt BgL_val2763z00_318)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
((((BgL_setqz00_bglt)CREF(BgL_obj2764z00_317))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2763z00_318), BUNSPEC);} 
}



/* _setq-value-set! */
obj_t BGl__setqzd2valuezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5741, obj_t BgL_obj2764z00_5742, obj_t BgL_val2763z00_5743)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
BGl_setqzd2valuezd2setz12z12zzast_nodez00(
(BgL_setqz00_bglt)(BgL_obj2764z00_5742), 
(BgL_nodez00_bglt)(BgL_val2763z00_5743));} 
}



/* setq-value */
BgL_nodez00_bglt BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_obj2762z00_319)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
return 
(((BgL_setqz00_bglt)CREF(BgL_obj2762z00_319))->BgL_valuez00);} 
}



/* _setq-value */
obj_t BGl__setqzd2valuezd2zzast_nodez00(obj_t BgL_envz00_5739, obj_t BgL_obj2762z00_5740)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ /* Ast/node.scm 157 */
BgL_nodez00_bglt BgL_auxz00_7600;
BgL_auxz00_7600 = 
BGl_setqzd2valuezd2zzast_nodez00(
(BgL_setqz00_bglt)(BgL_obj2762z00_5740)); 
return 
(obj_t)(BgL_auxz00_7600);} } 
}



/* cast? */
bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_obj2754z00_320)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2754z00_320, BGl_castz00zzast_nodez00);} 
}



/* _cast? */
obj_t BGl__castzf3zf3zzast_nodez00(obj_t BgL_envz00_6024, obj_t BgL_obj2754z00_6025)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
bool_t BgL_auxz00_7605;
BgL_auxz00_7605 = 
BGl_castzf3zf3zzast_nodez00(BgL_obj2754z00_6025); 
return 
BBOOL(BgL_auxz00_7605);} } 
}



/* fill-cast! */
BgL_castz00_bglt BGl_fillzd2castz12zc0zzast_nodez00(BgL_castz00_bglt BgL_new2729z00_324, obj_t BgL_loc2726z00_325, BgL_typez00_bglt BgL_type2727z00_326, BgL_nodez00_bglt BgL_arg2728z00_327)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
((((BgL_castz00_bglt)CREF(BgL_new2729z00_324))->BgL_locz00) = ((obj_t)BgL_loc2726z00_325), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2729z00_324))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2727z00_326), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2729z00_324))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2728z00_327), BUNSPEC); 
return BgL_new2729z00_324;} 
}



/* _fill-cast! */
obj_t BGl__fillzd2castz12zc0zzast_nodez00(obj_t BgL_envz00_6026, obj_t BgL_new2729z00_6027, obj_t BgL_loc2726z00_6028, obj_t BgL_type2727z00_6029, obj_t BgL_arg2728z00_6030)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_auxz00_7611;
BgL_auxz00_7611 = 
BGl_fillzd2castz12zc0zzast_nodez00(
(BgL_castz00_bglt)(BgL_new2729z00_6027), BgL_loc2726z00_6028, 
(BgL_typez00_bglt)(BgL_type2727z00_6029), 
(BgL_nodez00_bglt)(BgL_arg2728z00_6030)); 
return 
(obj_t)(BgL_auxz00_7611);} } 
}



/* make-cast */
BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t BgL_loc2734z00_328, BgL_typez00_bglt BgL_type2735z00_329, BgL_nodez00_bglt BgL_arg2736z00_330)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_new2737z00_3404;
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_res4462z00_3410;
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_new2739z00_3405;
BgL_new2739z00_3405 = 
((BgL_castz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_castz00_bgl) ))); 
{ /* Ast/node.scm 152 */
long BgL_arg3936z00_3406;
BgL_arg3936z00_3406 = 
BGl_classzd2numzd2zz__objectz00(BGl_castz00zzast_nodez00); 
{ /* Ast/node.scm 152 */
BgL_objectz00_bglt BgL_auxz00_7619;
BgL_auxz00_7619 = 
(BgL_objectz00_bglt)(BgL_new2739z00_3405); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7619, BgL_arg3936z00_3406); } } 
{ /* Ast/node.scm 152 */
BgL_objectz00_bglt BgL_auxz00_7622;
BgL_auxz00_7622 = 
(BgL_objectz00_bglt)(BgL_new2739z00_3405); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7622, BFALSE); } 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_7625;
BgL_auxz00_7625 = 
(obj_t)(BgL_new2739z00_3405); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7625); } BUNSPEC; 
BgL_res4462z00_3410 = BgL_new2739z00_3405; } 
BgL_new2737z00_3404 = BgL_res4462z00_3410; } 
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_res4463z00_3418;
((((BgL_castz00_bglt)CREF(BgL_new2737z00_3404))->BgL_locz00) = ((obj_t)BgL_loc2734z00_328), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2737z00_3404))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2735z00_329), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2737z00_3404))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2736z00_330), BUNSPEC); 
BgL_res4463z00_3418 = BgL_new2737z00_3404; BgL_res4463z00_3418; } 
return BgL_new2737z00_3404;} } 
}



/* _make-cast */
obj_t BGl__makezd2castzd2zzast_nodez00(obj_t BgL_envz00_5718, obj_t BgL_loc2734z00_5719, obj_t BgL_type2735z00_5720, obj_t BgL_arg2736z00_5721)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_auxz00_7631;
BgL_auxz00_7631 = 
BGl_makezd2castzd2zzast_nodez00(BgL_loc2734z00_5719, 
(BgL_typez00_bglt)(BgL_type2735z00_5720), 
(BgL_nodez00_bglt)(BgL_arg2736z00_5721)); 
return 
(obj_t)(BgL_auxz00_7631);} } 
}



/* allocate-cast */
BgL_castz00_bglt BGl_allocatezd2castzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_new2739z00_3419;
BgL_new2739z00_3419 = 
((BgL_castz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_castz00_bgl) ))); 
{ /* Ast/node.scm 152 */
long BgL_arg3936z00_3420;
BgL_arg3936z00_3420 = 
BGl_classzd2numzd2zz__objectz00(BGl_castz00zzast_nodez00); 
{ /* Ast/node.scm 152 */
BgL_objectz00_bglt BgL_auxz00_7638;
BgL_auxz00_7638 = 
(BgL_objectz00_bglt)(BgL_new2739z00_3419); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7638, BgL_arg3936z00_3420); } } 
{ /* Ast/node.scm 152 */
BgL_objectz00_bglt BgL_auxz00_7641;
BgL_auxz00_7641 = 
(BgL_objectz00_bglt)(BgL_new2739z00_3419); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7641, BFALSE); } 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_7644;
BgL_auxz00_7644 = 
(obj_t)(BgL_new2739z00_3419); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7644); } BUNSPEC; 
return BgL_new2739z00_3419;} } 
}



/* _allocate-cast */
obj_t BGl__allocatezd2castzd2zzast_nodez00(obj_t BgL_envz00_5722)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_auxz00_7647;
BgL_auxz00_7647 = 
BGl_allocatezd2castzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7647);} } 
}



/* cast-arg-set! */
obj_t BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_obj2725z00_335, BgL_nodez00_bglt BgL_val2723z00_336)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
return 
((((BgL_castz00_bglt)CREF(BgL_obj2725z00_335))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val2723z00_336), BUNSPEC);} 
}



/* _cast-arg-set! */
obj_t BGl__castzd2argzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5725, obj_t BgL_obj2725z00_5726, obj_t BgL_val2723z00_5727)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
return 
BGl_castzd2argzd2setz12z12zzast_nodez00(
(BgL_castz00_bglt)(BgL_obj2725z00_5726), 
(BgL_nodez00_bglt)(BgL_val2723z00_5727));} 
}



/* cast-arg */
BgL_nodez00_bglt BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_obj2722z00_337)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
return 
(((BgL_castz00_bglt)CREF(BgL_obj2722z00_337))->BgL_argz00);} 
}



/* _cast-arg */
obj_t BGl__castzd2argzd2zzast_nodez00(obj_t BgL_envz00_5723, obj_t BgL_obj2722z00_5724)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ /* Ast/node.scm 152 */
BgL_nodez00_bglt BgL_auxz00_7655;
BgL_auxz00_7655 = 
BGl_castzd2argzd2zzast_nodez00(
(BgL_castz00_bglt)(BgL_obj2722z00_5724)); 
return 
(obj_t)(BgL_auxz00_7655);} } 
}



/* isa? */
bool_t BGl_isazf3zf3zzast_nodez00(obj_t BgL_obj2717z00_338)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2717z00_338, BGl_isaz00zzast_nodez00);} 
}



/* _isa? */
obj_t BGl__isazf3zf3zzast_nodez00(obj_t BgL_envz00_6031, obj_t BgL_obj2717z00_6032)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
bool_t BgL_auxz00_7660;
BgL_auxz00_7660 = 
BGl_isazf3zf3zzast_nodez00(BgL_obj2717z00_6032); 
return 
BBOOL(BgL_auxz00_7660);} } 
}



/* fill-isa! */
BgL_isaz00_bglt BGl_fillzd2isaz12zc0zzast_nodez00(BgL_isaz00_bglt BgL_new2674z00_342, obj_t BgL_loc2668z00_343, BgL_typez00_bglt BgL_type2669z00_344, obj_t BgL_sidezd2effectzf32670z21_345, obj_t BgL_key2671z00_346, obj_t BgL_exprza22672za2_347, BgL_typez00_bglt BgL_class2673z00_348)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_locz00) = ((obj_t)BgL_loc2668z00_343), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2669z00_344), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32670z21_345), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_keyz00) = ((obj_t)BgL_key2671z00_346), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_exprza2za2) = ((obj_t)BgL_exprza22672za2_347), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2674z00_342))->BgL_classz00) = ((BgL_typez00_bglt)BgL_class2673z00_348), BUNSPEC); 
return BgL_new2674z00_342;} 
}



/* _fill-isa! */
obj_t BGl__fillzd2isaz12zc0zzast_nodez00(obj_t BgL_envz00_6033, obj_t BgL_new2674z00_6034, obj_t BgL_loc2668z00_6035, obj_t BgL_type2669z00_6036, obj_t BgL_sidezd2effectzf32670z21_6037, obj_t BgL_key2671z00_6038, obj_t BgL_exprza22672za2_6039, obj_t BgL_class2673z00_6040)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_auxz00_7669;
BgL_auxz00_7669 = 
BGl_fillzd2isaz12zc0zzast_nodez00(
(BgL_isaz00_bglt)(BgL_new2674z00_6034), BgL_loc2668z00_6035, 
(BgL_typez00_bglt)(BgL_type2669z00_6036), BgL_sidezd2effectzf32670z21_6037, BgL_key2671z00_6038, BgL_exprza22672za2_6039, 
(BgL_typez00_bglt)(BgL_class2673z00_6040)); 
return 
(obj_t)(BgL_auxz00_7669);} } 
}



/* make-isa */
BgL_isaz00_bglt BGl_makezd2isazd2zzast_nodez00(obj_t BgL_loc2682z00_349, BgL_typez00_bglt BgL_type2683z00_350, obj_t BgL_sidezd2effectzf32684z21_351, obj_t BgL_key2685z00_352, obj_t BgL_exprza22686za2_353, BgL_typez00_bglt BgL_class2687z00_354)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_new2688z00_3430;
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_res4464z00_3436;
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_new2690z00_3431;
BgL_new2690z00_3431 = 
((BgL_isaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_isaz00_bgl) ))); 
{ /* Ast/node.scm 148 */
long BgL_arg3937z00_3432;
BgL_arg3937z00_3432 = 
BGl_classzd2numzd2zz__objectz00(BGl_isaz00zzast_nodez00); 
{ /* Ast/node.scm 148 */
BgL_objectz00_bglt BgL_auxz00_7677;
BgL_auxz00_7677 = 
(BgL_objectz00_bglt)(BgL_new2690z00_3431); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7677, BgL_arg3937z00_3432); } } 
{ /* Ast/node.scm 148 */
BgL_objectz00_bglt BgL_auxz00_7680;
BgL_auxz00_7680 = 
(BgL_objectz00_bglt)(BgL_new2690z00_3431); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7680, BFALSE); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_7683;
BgL_auxz00_7683 = 
(obj_t)(BgL_new2690z00_3431); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7683); } BUNSPEC; 
BgL_res4464z00_3436 = BgL_new2690z00_3431; } 
BgL_new2688z00_3430 = BgL_res4464z00_3436; } 
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_res4465z00_3450;
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_locz00) = ((obj_t)BgL_loc2682z00_349), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2683z00_350), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32684z21_351), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_keyz00) = ((obj_t)BgL_key2685z00_352), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_exprza2za2) = ((obj_t)BgL_exprza22686za2_353), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new2688z00_3430))->BgL_classz00) = ((BgL_typez00_bglt)BgL_class2687z00_354), BUNSPEC); 
BgL_res4465z00_3450 = BgL_new2688z00_3430; BgL_res4465z00_3450; } 
return BgL_new2688z00_3430;} } 
}



/* _make-isa */
obj_t BGl__makezd2isazd2zzast_nodez00(obj_t BgL_envz00_5708, obj_t BgL_loc2682z00_5709, obj_t BgL_type2683z00_5710, obj_t BgL_sidezd2effectzf32684z21_5711, obj_t BgL_key2685z00_5712, obj_t BgL_exprza22686za2_5713, obj_t BgL_class2687z00_5714)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_auxz00_7692;
BgL_auxz00_7692 = 
BGl_makezd2isazd2zzast_nodez00(BgL_loc2682z00_5709, 
(BgL_typez00_bglt)(BgL_type2683z00_5710), BgL_sidezd2effectzf32684z21_5711, BgL_key2685z00_5712, BgL_exprza22686za2_5713, 
(BgL_typez00_bglt)(BgL_class2687z00_5714)); 
return 
(obj_t)(BgL_auxz00_7692);} } 
}



/* allocate-isa */
BgL_isaz00_bglt BGl_allocatezd2isazd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_new2690z00_3451;
BgL_new2690z00_3451 = 
((BgL_isaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_isaz00_bgl) ))); 
{ /* Ast/node.scm 148 */
long BgL_arg3937z00_3452;
BgL_arg3937z00_3452 = 
BGl_classzd2numzd2zz__objectz00(BGl_isaz00zzast_nodez00); 
{ /* Ast/node.scm 148 */
BgL_objectz00_bglt BgL_auxz00_7699;
BgL_auxz00_7699 = 
(BgL_objectz00_bglt)(BgL_new2690z00_3451); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7699, BgL_arg3937z00_3452); } } 
{ /* Ast/node.scm 148 */
BgL_objectz00_bglt BgL_auxz00_7702;
BgL_auxz00_7702 = 
(BgL_objectz00_bglt)(BgL_new2690z00_3451); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7702, BFALSE); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_7705;
BgL_auxz00_7705 = 
(obj_t)(BgL_new2690z00_3451); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7705); } BUNSPEC; 
return BgL_new2690z00_3451;} } 
}



/* _allocate-isa */
obj_t BGl__allocatezd2isazd2zzast_nodez00(obj_t BgL_envz00_5715)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_auxz00_7708;
BgL_auxz00_7708 = 
BGl_allocatezd2isazd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7708);} } 
}



/* isa-class */
BgL_typez00_bglt BGl_isazd2classzd2zzast_nodez00(BgL_isaz00_bglt BgL_obj2667z00_368)
{ AN_OBJECT;
{ /* Ast/node.scm 149 */
return 
(((BgL_isaz00_bglt)CREF(BgL_obj2667z00_368))->BgL_classz00);} 
}



/* _isa-class */
obj_t BGl__isazd2classzd2zzast_nodez00(obj_t BgL_envz00_5716, obj_t BgL_obj2667z00_5717)
{ AN_OBJECT;
{ /* Ast/node.scm 149 */
{ /* Ast/node.scm 149 */
BgL_typez00_bglt BgL_auxz00_7712;
BgL_auxz00_7712 = 
BGl_isazd2classzd2zzast_nodez00(
(BgL_isaz00_bglt)(BgL_obj2667z00_5717)); 
return 
(obj_t)(BgL_auxz00_7712);} } 
}



/* vlength? */
bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_obj2653z00_369)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2653z00_369, BGl_vlengthz00zzast_nodez00);} 
}



/* _vlength? */
obj_t BGl__vlengthzf3zf3zzast_nodez00(obj_t BgL_envz00_6041, obj_t BgL_obj2653z00_6042)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
bool_t BgL_auxz00_7717;
BgL_auxz00_7717 = 
BGl_vlengthzf3zf3zzast_nodez00(BgL_obj2653z00_6042); 
return 
BBOOL(BgL_auxz00_7717);} } 
}



/* fill-vlength! */
BgL_vlengthz00_bglt BGl_fillzd2vlengthz12zc0zzast_nodez00(BgL_vlengthz00_bglt BgL_new2604z00_373, obj_t BgL_loc2597z00_374, BgL_typez00_bglt BgL_type2598z00_375, obj_t BgL_sidezd2effectzf32599z21_376, obj_t BgL_key2600z00_377, obj_t BgL_exprza22601za2_378, obj_t BgL_czd2format2602zd2_379, BgL_typez00_bglt BgL_vtype2603z00_380)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_locz00) = ((obj_t)BgL_loc2597z00_374), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2598z00_375), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32599z21_376), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_keyz00) = ((obj_t)BgL_key2600z00_377), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_exprza2za2) = ((obj_t)BgL_exprza22601za2_378), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2602zd2_379), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2604z00_373))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2603z00_380), BUNSPEC); 
return BgL_new2604z00_373;} 
}



/* _fill-vlength! */
obj_t BGl__fillzd2vlengthz12zc0zzast_nodez00(obj_t BgL_envz00_6043, obj_t BgL_new2604z00_6044, obj_t BgL_loc2597z00_6045, obj_t BgL_type2598z00_6046, obj_t BgL_sidezd2effectzf32599z21_6047, obj_t BgL_key2600z00_6048, obj_t BgL_exprza22601za2_6049, obj_t BgL_czd2format2602zd2_6050, obj_t BgL_vtype2603z00_6051)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_auxz00_7727;
BgL_auxz00_7727 = 
BGl_fillzd2vlengthz12zc0zzast_nodez00(
(BgL_vlengthz00_bglt)(BgL_new2604z00_6044), BgL_loc2597z00_6045, 
(BgL_typez00_bglt)(BgL_type2598z00_6046), BgL_sidezd2effectzf32599z21_6047, BgL_key2600z00_6048, BgL_exprza22601za2_6049, BgL_czd2format2602zd2_6050, 
(BgL_typez00_bglt)(BgL_vtype2603z00_6051)); 
return 
(obj_t)(BgL_auxz00_7727);} } 
}



/* make-vlength */
BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t BgL_loc2613z00_381, BgL_typez00_bglt BgL_type2614z00_382, obj_t BgL_sidezd2effectzf32615z21_383, obj_t BgL_key2616z00_384, obj_t BgL_exprza22617za2_385, obj_t BgL_czd2format2618zd2_386, BgL_typez00_bglt BgL_vtype2619z00_387)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_new2620z00_3463;
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_res4466z00_3469;
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_new2622z00_3464;
BgL_new2622z00_3464 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* Ast/node.scm 141 */
long BgL_arg3938z00_3465;
BgL_arg3938z00_3465 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* Ast/node.scm 141 */
BgL_objectz00_bglt BgL_auxz00_7735;
BgL_auxz00_7735 = 
(BgL_objectz00_bglt)(BgL_new2622z00_3464); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7735, BgL_arg3938z00_3465); } } 
{ /* Ast/node.scm 141 */
BgL_objectz00_bglt BgL_auxz00_7738;
BgL_auxz00_7738 = 
(BgL_objectz00_bglt)(BgL_new2622z00_3464); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7738, BFALSE); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_7741;
BgL_auxz00_7741 = 
(obj_t)(BgL_new2622z00_3464); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7741); } BUNSPEC; 
BgL_res4466z00_3469 = BgL_new2622z00_3464; } 
BgL_new2620z00_3463 = BgL_res4466z00_3469; } 
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_res4467z00_3485;
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_locz00) = ((obj_t)BgL_loc2613z00_381), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2614z00_382), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32615z21_383), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_keyz00) = ((obj_t)BgL_key2616z00_384), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_exprza2za2) = ((obj_t)BgL_exprza22617za2_385), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2618zd2_386), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2620z00_3463))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2619z00_387), BUNSPEC); 
BgL_res4467z00_3485 = BgL_new2620z00_3463; BgL_res4467z00_3485; } 
return BgL_new2620z00_3463;} } 
}



/* _make-vlength */
obj_t BGl__makezd2vlengthzd2zzast_nodez00(obj_t BgL_envz00_5695, obj_t BgL_loc2613z00_5696, obj_t BgL_type2614z00_5697, obj_t BgL_sidezd2effectzf32615z21_5698, obj_t BgL_key2616z00_5699, obj_t BgL_exprza22617za2_5700, obj_t BgL_czd2format2618zd2_5701, obj_t BgL_vtype2619z00_5702)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_auxz00_7751;
BgL_auxz00_7751 = 
BGl_makezd2vlengthzd2zzast_nodez00(BgL_loc2613z00_5696, 
(BgL_typez00_bglt)(BgL_type2614z00_5697), BgL_sidezd2effectzf32615z21_5698, BgL_key2616z00_5699, BgL_exprza22617za2_5700, BgL_czd2format2618zd2_5701, 
(BgL_typez00_bglt)(BgL_vtype2619z00_5702)); 
return 
(obj_t)(BgL_auxz00_7751);} } 
}



/* allocate-vlength */
BgL_vlengthz00_bglt BGl_allocatezd2vlengthzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_new2622z00_3486;
BgL_new2622z00_3486 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* Ast/node.scm 141 */
long BgL_arg3938z00_3487;
BgL_arg3938z00_3487 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* Ast/node.scm 141 */
BgL_objectz00_bglt BgL_auxz00_7758;
BgL_auxz00_7758 = 
(BgL_objectz00_bglt)(BgL_new2622z00_3486); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7758, BgL_arg3938z00_3487); } } 
{ /* Ast/node.scm 141 */
BgL_objectz00_bglt BgL_auxz00_7761;
BgL_auxz00_7761 = 
(BgL_objectz00_bglt)(BgL_new2622z00_3486); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7761, BFALSE); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_7764;
BgL_auxz00_7764 = 
(obj_t)(BgL_new2622z00_3486); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7764); } BUNSPEC; 
return BgL_new2622z00_3486;} } 
}



/* _allocate-vlength */
obj_t BGl__allocatezd2vlengthzd2zzast_nodez00(obj_t BgL_envz00_5703)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_auxz00_7767;
BgL_auxz00_7767 = 
BGl_allocatezd2vlengthzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7767);} } 
}



/* vlength-c-format */
obj_t BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_obj2595z00_401)
{ AN_OBJECT;
{ /* Ast/node.scm 143 */
return 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2595z00_401))->BgL_czd2formatzd2);} 
}



/* _vlength-c-format */
obj_t BGl__vlengthzd2czd2formatz00zzast_nodez00(obj_t BgL_envz00_5704, obj_t BgL_obj2595z00_5705)
{ AN_OBJECT;
{ /* Ast/node.scm 143 */
return 
BGl_vlengthzd2czd2formatz00zzast_nodez00(
(BgL_vlengthz00_bglt)(BgL_obj2595z00_5705));} 
}



/* vlength-vtype */
BgL_typez00_bglt BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_obj2596z00_402)
{ AN_OBJECT;
{ /* Ast/node.scm 145 */
return 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2596z00_402))->BgL_vtypez00);} 
}



/* _vlength-vtype */
obj_t BGl__vlengthzd2vtypezd2zzast_nodez00(obj_t BgL_envz00_5706, obj_t BgL_obj2596z00_5707)
{ AN_OBJECT;
{ /* Ast/node.scm 145 */
{ /* Ast/node.scm 145 */
BgL_typez00_bglt BgL_auxz00_7774;
BgL_auxz00_7774 = 
BGl_vlengthzd2vtypezd2zzast_nodez00(
(BgL_vlengthz00_bglt)(BgL_obj2596z00_5707)); 
return 
(obj_t)(BgL_auxz00_7774);} } 
}



/* vset!? */
bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_obj2581z00_403)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2581z00_403, BGl_vsetz12z12zzast_nodez00);} 
}



/* _vset!? */
obj_t BGl__vsetz12zf3ze1zzast_nodez00(obj_t BgL_envz00_6052, obj_t BgL_obj2581z00_6053)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
bool_t BgL_auxz00_7779;
BgL_auxz00_7779 = 
BGl_vsetz12zf3ze1zzast_nodez00(BgL_obj2581z00_6053); 
return 
BBOOL(BgL_auxz00_7779);} } 
}



/* fill-vset!! */
BgL_vsetz12z12_bglt BGl_fillzd2vsetz12z12zd2zzast_nodez00(BgL_vsetz12z12_bglt BgL_new2520z00_407, obj_t BgL_loc2511z00_408, BgL_typez00_bglt BgL_type2512z00_409, obj_t BgL_sidezd2effectzf32513z21_410, obj_t BgL_key2514z00_411, obj_t BgL_exprza22515za2_412, obj_t BgL_czd2format2516zd2_413, BgL_typez00_bglt BgL_ftype2517z00_414, BgL_typez00_bglt BgL_otype2518z00_415, BgL_typez00_bglt BgL_vtype2519z00_416)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_locz00) = ((obj_t)BgL_loc2511z00_408), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2512z00_409), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32513z21_410), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_keyz00) = ((obj_t)BgL_key2514z00_411), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_exprza2za2) = ((obj_t)BgL_exprza22515za2_412), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2516zd2_413), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2517z00_414), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2518z00_415), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2520z00_407))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2519z00_416), BUNSPEC); 
return BgL_new2520z00_407;} 
}



/* _fill-vset!! */
obj_t BGl__fillzd2vsetz12z12zd2zzast_nodez00(obj_t BgL_envz00_6054, obj_t BgL_new2520z00_6055, obj_t BgL_loc2511z00_6056, obj_t BgL_type2512z00_6057, obj_t BgL_sidezd2effectzf32513z21_6058, obj_t BgL_key2514z00_6059, obj_t BgL_exprza22515za2_6060, obj_t BgL_czd2format2516zd2_6061, obj_t BgL_ftype2517z00_6062, obj_t BgL_otype2518z00_6063, obj_t BgL_vtype2519z00_6064)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_auxz00_7791;
BgL_auxz00_7791 = 
BGl_fillzd2vsetz12z12zd2zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_new2520z00_6055), BgL_loc2511z00_6056, 
(BgL_typez00_bglt)(BgL_type2512z00_6057), BgL_sidezd2effectzf32513z21_6058, BgL_key2514z00_6059, BgL_exprza22515za2_6060, BgL_czd2format2516zd2_6061, 
(BgL_typez00_bglt)(BgL_ftype2517z00_6062), 
(BgL_typez00_bglt)(BgL_otype2518z00_6063), 
(BgL_typez00_bglt)(BgL_vtype2519z00_6064)); 
return 
(obj_t)(BgL_auxz00_7791);} } 
}



/* make-vset! */
BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t BgL_loc2531z00_417, BgL_typez00_bglt BgL_type2532z00_418, obj_t BgL_sidezd2effectzf32533z21_419, obj_t BgL_key2534z00_420, obj_t BgL_exprza22535za2_421, obj_t BgL_czd2format2536zd2_422, BgL_typez00_bglt BgL_ftype2537z00_423, BgL_typez00_bglt BgL_otype2538z00_424, BgL_typez00_bglt BgL_vtype2539z00_425)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_new2540z00_3500;
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_res4468z00_3506;
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_new2542z00_3501;
BgL_new2542z00_3501 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* Ast/node.scm 130 */
long BgL_arg3939z00_3502;
BgL_arg3939z00_3502 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* Ast/node.scm 130 */
BgL_objectz00_bglt BgL_auxz00_7801;
BgL_auxz00_7801 = 
(BgL_objectz00_bglt)(BgL_new2542z00_3501); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7801, BgL_arg3939z00_3502); } } 
{ /* Ast/node.scm 130 */
BgL_objectz00_bglt BgL_auxz00_7804;
BgL_auxz00_7804 = 
(BgL_objectz00_bglt)(BgL_new2542z00_3501); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7804, BFALSE); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_7807;
BgL_auxz00_7807 = 
(obj_t)(BgL_new2542z00_3501); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7807); } BUNSPEC; 
BgL_res4468z00_3506 = BgL_new2542z00_3501; } 
BgL_new2540z00_3500 = BgL_res4468z00_3506; } 
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_res4469z00_3526;
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_locz00) = ((obj_t)BgL_loc2531z00_417), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2532z00_418), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32533z21_419), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_keyz00) = ((obj_t)BgL_key2534z00_420), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_exprza2za2) = ((obj_t)BgL_exprza22535za2_421), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2536zd2_422), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2537z00_423), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2538z00_424), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2540z00_3500))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2539z00_425), BUNSPEC); 
BgL_res4469z00_3526 = BgL_new2540z00_3500; BgL_res4469z00_3526; } 
return BgL_new2540z00_3500;} } 
}



/* _make-vset! */
obj_t BGl__makezd2vsetz12zc0zzast_nodez00(obj_t BgL_envz00_5673, obj_t BgL_loc2531z00_5674, obj_t BgL_type2532z00_5675, obj_t BgL_sidezd2effectzf32533z21_5676, obj_t BgL_key2534z00_5677, obj_t BgL_exprza22535za2_5678, obj_t BgL_czd2format2536zd2_5679, obj_t BgL_ftype2537z00_5680, obj_t BgL_otype2538z00_5681, obj_t BgL_vtype2539z00_5682)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_auxz00_7819;
BgL_auxz00_7819 = 
BGl_makezd2vsetz12zc0zzast_nodez00(BgL_loc2531z00_5674, 
(BgL_typez00_bglt)(BgL_type2532z00_5675), BgL_sidezd2effectzf32533z21_5676, BgL_key2534z00_5677, BgL_exprza22535za2_5678, BgL_czd2format2536zd2_5679, 
(BgL_typez00_bglt)(BgL_ftype2537z00_5680), 
(BgL_typez00_bglt)(BgL_otype2538z00_5681), 
(BgL_typez00_bglt)(BgL_vtype2539z00_5682)); 
return 
(obj_t)(BgL_auxz00_7819);} } 
}



/* allocate-vset! */
BgL_vsetz12z12_bglt BGl_allocatezd2vsetz12zc0zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_new2542z00_3527;
BgL_new2542z00_3527 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* Ast/node.scm 130 */
long BgL_arg3939z00_3528;
BgL_arg3939z00_3528 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* Ast/node.scm 130 */
BgL_objectz00_bglt BgL_auxz00_7828;
BgL_auxz00_7828 = 
(BgL_objectz00_bglt)(BgL_new2542z00_3527); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7828, BgL_arg3939z00_3528); } } 
{ /* Ast/node.scm 130 */
BgL_objectz00_bglt BgL_auxz00_7831;
BgL_auxz00_7831 = 
(BgL_objectz00_bglt)(BgL_new2542z00_3527); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7831, BFALSE); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_7834;
BgL_auxz00_7834 = 
(obj_t)(BgL_new2542z00_3527); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7834); } BUNSPEC; 
return BgL_new2542z00_3527;} } 
}



/* _allocate-vset! */
obj_t BGl__allocatezd2vsetz12zc0zzast_nodez00(obj_t BgL_envz00_5683)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_auxz00_7837;
BgL_auxz00_7837 = 
BGl_allocatezd2vsetz12zc0zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7837);} } 
}



/* vset!-c-format */
obj_t BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_obj2505z00_439)
{ AN_OBJECT;
{ /* Ast/node.scm 132 */
return 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2505z00_439))->BgL_czd2formatzd2);} 
}



/* _vset!-c-format */
obj_t BGl__vsetz12zd2czd2formatz12zzast_nodez00(obj_t BgL_envz00_5684, obj_t BgL_obj2505z00_5685)
{ AN_OBJECT;
{ /* Ast/node.scm 132 */
return 
BGl_vsetz12zd2czd2formatz12zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_obj2505z00_5685));} 
}



/* vset!-ftype-set! */
obj_t BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_obj2508z00_440, BgL_typez00_bglt BgL_val2507z00_441)
{ AN_OBJECT;
{ /* Ast/node.scm 134 */
return 
((((BgL_vsetz12z12_bglt)CREF(BgL_obj2508z00_440))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_val2507z00_441), BUNSPEC);} 
}



/* _vset!-ftype-set!4505 */
obj_t BGl__vsetz12zd2ftypezd2setz124505z00zzast_nodez00(obj_t BgL_envz00_5688, obj_t BgL_obj2508z00_5689, obj_t BgL_val2507z00_5690)
{ AN_OBJECT;
{ /* Ast/node.scm 134 */
return 
BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_obj2508z00_5689), 
(BgL_typez00_bglt)(BgL_val2507z00_5690));} 
}



/* vset!-ftype */
BgL_typez00_bglt BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_obj2506z00_442)
{ AN_OBJECT;
{ /* Ast/node.scm 134 */
return 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2506z00_442))->BgL_ftypez00);} 
}



/* _vset!-ftype */
obj_t BGl__vsetz12zd2ftypezc0zzast_nodez00(obj_t BgL_envz00_5686, obj_t BgL_obj2506z00_5687)
{ AN_OBJECT;
{ /* Ast/node.scm 134 */
{ /* Ast/node.scm 134 */
BgL_typez00_bglt BgL_auxz00_7848;
BgL_auxz00_7848 = 
BGl_vsetz12zd2ftypezc0zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_obj2506z00_5687)); 
return 
(obj_t)(BgL_auxz00_7848);} } 
}



/* vset!-otype */
BgL_typez00_bglt BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_obj2509z00_443)
{ AN_OBJECT;
{ /* Ast/node.scm 136 */
return 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2509z00_443))->BgL_otypez00);} 
}



/* _vset!-otype */
obj_t BGl__vsetz12zd2otypezc0zzast_nodez00(obj_t BgL_envz00_5691, obj_t BgL_obj2509z00_5692)
{ AN_OBJECT;
{ /* Ast/node.scm 136 */
{ /* Ast/node.scm 136 */
BgL_typez00_bglt BgL_auxz00_7853;
BgL_auxz00_7853 = 
BGl_vsetz12zd2otypezc0zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_obj2509z00_5692)); 
return 
(obj_t)(BgL_auxz00_7853);} } 
}



/* vset!-vtype */
BgL_typez00_bglt BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_obj2510z00_444)
{ AN_OBJECT;
{ /* Ast/node.scm 138 */
return 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2510z00_444))->BgL_vtypez00);} 
}



/* _vset!-vtype */
obj_t BGl__vsetz12zd2vtypezc0zzast_nodez00(obj_t BgL_envz00_5693, obj_t BgL_obj2510z00_5694)
{ AN_OBJECT;
{ /* Ast/node.scm 138 */
{ /* Ast/node.scm 138 */
BgL_typez00_bglt BgL_auxz00_7858;
BgL_auxz00_7858 = 
BGl_vsetz12zd2vtypezc0zzast_nodez00(
(BgL_vsetz12z12_bglt)(BgL_obj2510z00_5694)); 
return 
(obj_t)(BgL_auxz00_7858);} } 
}



/* vref? */
bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_obj2491z00_445)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2491z00_445, BGl_vrefz00zzast_nodez00);} 
}



/* _vref? */
obj_t BGl__vrefzf3zf3zzast_nodez00(obj_t BgL_envz00_6065, obj_t BgL_obj2491z00_6066)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
bool_t BgL_auxz00_7863;
BgL_auxz00_7863 = 
BGl_vrefzf3zf3zzast_nodez00(BgL_obj2491z00_6066); 
return 
BBOOL(BgL_auxz00_7863);} } 
}



/* fill-vref! */
BgL_vrefz00_bglt BGl_fillzd2vrefz12zc0zzast_nodez00(BgL_vrefz00_bglt BgL_new2430z00_449, obj_t BgL_loc2421z00_450, BgL_typez00_bglt BgL_type2422z00_451, obj_t BgL_sidezd2effectzf32423z21_452, obj_t BgL_key2424z00_453, obj_t BgL_exprza22425za2_454, obj_t BgL_czd2format2426zd2_455, BgL_typez00_bglt BgL_ftype2427z00_456, BgL_typez00_bglt BgL_otype2428z00_457, BgL_typez00_bglt BgL_vtype2429z00_458)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_locz00) = ((obj_t)BgL_loc2421z00_450), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2422z00_451), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32423z21_452), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_keyz00) = ((obj_t)BgL_key2424z00_453), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_exprza2za2) = ((obj_t)BgL_exprza22425za2_454), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2426zd2_455), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2427z00_456), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2428z00_457), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2430z00_449))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2429z00_458), BUNSPEC); 
return BgL_new2430z00_449;} 
}



/* _fill-vref! */
obj_t BGl__fillzd2vrefz12zc0zzast_nodez00(obj_t BgL_envz00_6067, obj_t BgL_new2430z00_6068, obj_t BgL_loc2421z00_6069, obj_t BgL_type2422z00_6070, obj_t BgL_sidezd2effectzf32423z21_6071, obj_t BgL_key2424z00_6072, obj_t BgL_exprza22425za2_6073, obj_t BgL_czd2format2426zd2_6074, obj_t BgL_ftype2427z00_6075, obj_t BgL_otype2428z00_6076, obj_t BgL_vtype2429z00_6077)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_auxz00_7875;
BgL_auxz00_7875 = 
BGl_fillzd2vrefz12zc0zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_new2430z00_6068), BgL_loc2421z00_6069, 
(BgL_typez00_bglt)(BgL_type2422z00_6070), BgL_sidezd2effectzf32423z21_6071, BgL_key2424z00_6072, BgL_exprza22425za2_6073, BgL_czd2format2426zd2_6074, 
(BgL_typez00_bglt)(BgL_ftype2427z00_6075), 
(BgL_typez00_bglt)(BgL_otype2428z00_6076), 
(BgL_typez00_bglt)(BgL_vtype2429z00_6077)); 
return 
(obj_t)(BgL_auxz00_7875);} } 
}



/* make-vref */
BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t BgL_loc2441z00_459, BgL_typez00_bglt BgL_type2442z00_460, obj_t BgL_sidezd2effectzf32443z21_461, obj_t BgL_key2444z00_462, obj_t BgL_exprza22445za2_463, obj_t BgL_czd2format2446zd2_464, BgL_typez00_bglt BgL_ftype2447z00_465, BgL_typez00_bglt BgL_otype2448z00_466, BgL_typez00_bglt BgL_vtype2449z00_467)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_new2450z00_3541;
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_res4470z00_3547;
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_new2452z00_3542;
BgL_new2452z00_3542 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* Ast/node.scm 119 */
long BgL_arg3940z00_3543;
BgL_arg3940z00_3543 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* Ast/node.scm 119 */
BgL_objectz00_bglt BgL_auxz00_7885;
BgL_auxz00_7885 = 
(BgL_objectz00_bglt)(BgL_new2452z00_3542); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7885, BgL_arg3940z00_3543); } } 
{ /* Ast/node.scm 119 */
BgL_objectz00_bglt BgL_auxz00_7888;
BgL_auxz00_7888 = 
(BgL_objectz00_bglt)(BgL_new2452z00_3542); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7888, BFALSE); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_7891;
BgL_auxz00_7891 = 
(obj_t)(BgL_new2452z00_3542); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7891); } BUNSPEC; 
BgL_res4470z00_3547 = BgL_new2452z00_3542; } 
BgL_new2450z00_3541 = BgL_res4470z00_3547; } 
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_res4471z00_3567;
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_locz00) = ((obj_t)BgL_loc2441z00_459), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2442z00_460), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32443z21_461), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_keyz00) = ((obj_t)BgL_key2444z00_462), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_exprza2za2) = ((obj_t)BgL_exprza22445za2_463), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_czd2formatzd2) = ((obj_t)BgL_czd2format2446zd2_464), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2447z00_465), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2448z00_466), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2450z00_3541))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2449z00_467), BUNSPEC); 
BgL_res4471z00_3567 = BgL_new2450z00_3541; BgL_res4471z00_3567; } 
return BgL_new2450z00_3541;} } 
}



/* _make-vref */
obj_t BGl__makezd2vrefzd2zzast_nodez00(obj_t BgL_envz00_5651, obj_t BgL_loc2441z00_5652, obj_t BgL_type2442z00_5653, obj_t BgL_sidezd2effectzf32443z21_5654, obj_t BgL_key2444z00_5655, obj_t BgL_exprza22445za2_5656, obj_t BgL_czd2format2446zd2_5657, obj_t BgL_ftype2447z00_5658, obj_t BgL_otype2448z00_5659, obj_t BgL_vtype2449z00_5660)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_auxz00_7903;
BgL_auxz00_7903 = 
BGl_makezd2vrefzd2zzast_nodez00(BgL_loc2441z00_5652, 
(BgL_typez00_bglt)(BgL_type2442z00_5653), BgL_sidezd2effectzf32443z21_5654, BgL_key2444z00_5655, BgL_exprza22445za2_5656, BgL_czd2format2446zd2_5657, 
(BgL_typez00_bglt)(BgL_ftype2447z00_5658), 
(BgL_typez00_bglt)(BgL_otype2448z00_5659), 
(BgL_typez00_bglt)(BgL_vtype2449z00_5660)); 
return 
(obj_t)(BgL_auxz00_7903);} } 
}



/* allocate-vref */
BgL_vrefz00_bglt BGl_allocatezd2vrefzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_new2452z00_3568;
BgL_new2452z00_3568 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* Ast/node.scm 119 */
long BgL_arg3940z00_3569;
BgL_arg3940z00_3569 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* Ast/node.scm 119 */
BgL_objectz00_bglt BgL_auxz00_7912;
BgL_auxz00_7912 = 
(BgL_objectz00_bglt)(BgL_new2452z00_3568); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7912, BgL_arg3940z00_3569); } } 
{ /* Ast/node.scm 119 */
BgL_objectz00_bglt BgL_auxz00_7915;
BgL_auxz00_7915 = 
(BgL_objectz00_bglt)(BgL_new2452z00_3568); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7915, BFALSE); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_7918;
BgL_auxz00_7918 = 
(obj_t)(BgL_new2452z00_3568); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7918); } BUNSPEC; 
return BgL_new2452z00_3568;} } 
}



/* _allocate-vref */
obj_t BGl__allocatezd2vrefzd2zzast_nodez00(obj_t BgL_envz00_5661)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_auxz00_7921;
BgL_auxz00_7921 = 
BGl_allocatezd2vrefzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_7921);} } 
}



/* vref-c-format */
obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt BgL_obj2415z00_481)
{ AN_OBJECT;
{ /* Ast/node.scm 121 */
return 
(((BgL_vrefz00_bglt)CREF(BgL_obj2415z00_481))->BgL_czd2formatzd2);} 
}



/* _vref-c-format */
obj_t BGl__vrefzd2czd2formatz00zzast_nodez00(obj_t BgL_envz00_5662, obj_t BgL_obj2415z00_5663)
{ AN_OBJECT;
{ /* Ast/node.scm 121 */
return 
BGl_vrefzd2czd2formatz00zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_obj2415z00_5663));} 
}



/* vref-ftype-set! */
obj_t BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_obj2418z00_482, BgL_typez00_bglt BgL_val2417z00_483)
{ AN_OBJECT;
{ /* Ast/node.scm 123 */
return 
((((BgL_vrefz00_bglt)CREF(BgL_obj2418z00_482))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_val2417z00_483), BUNSPEC);} 
}



/* _vref-ftype-set!4504 */
obj_t BGl__vrefzd2ftypezd2setz124504z12zzast_nodez00(obj_t BgL_envz00_5666, obj_t BgL_obj2418z00_5667, obj_t BgL_val2417z00_5668)
{ AN_OBJECT;
{ /* Ast/node.scm 123 */
return 
BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_obj2418z00_5667), 
(BgL_typez00_bglt)(BgL_val2417z00_5668));} 
}



/* vref-ftype */
BgL_typez00_bglt BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_obj2416z00_484)
{ AN_OBJECT;
{ /* Ast/node.scm 123 */
return 
(((BgL_vrefz00_bglt)CREF(BgL_obj2416z00_484))->BgL_ftypez00);} 
}



/* _vref-ftype */
obj_t BGl__vrefzd2ftypezd2zzast_nodez00(obj_t BgL_envz00_5664, obj_t BgL_obj2416z00_5665)
{ AN_OBJECT;
{ /* Ast/node.scm 123 */
{ /* Ast/node.scm 123 */
BgL_typez00_bglt BgL_auxz00_7932;
BgL_auxz00_7932 = 
BGl_vrefzd2ftypezd2zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_obj2416z00_5665)); 
return 
(obj_t)(BgL_auxz00_7932);} } 
}



/* vref-otype */
BgL_typez00_bglt BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_obj2419z00_485)
{ AN_OBJECT;
{ /* Ast/node.scm 125 */
return 
(((BgL_vrefz00_bglt)CREF(BgL_obj2419z00_485))->BgL_otypez00);} 
}



/* _vref-otype */
obj_t BGl__vrefzd2otypezd2zzast_nodez00(obj_t BgL_envz00_5669, obj_t BgL_obj2419z00_5670)
{ AN_OBJECT;
{ /* Ast/node.scm 125 */
{ /* Ast/node.scm 125 */
BgL_typez00_bglt BgL_auxz00_7937;
BgL_auxz00_7937 = 
BGl_vrefzd2otypezd2zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_obj2419z00_5670)); 
return 
(obj_t)(BgL_auxz00_7937);} } 
}



/* vref-vtype */
BgL_typez00_bglt BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_obj2420z00_486)
{ AN_OBJECT;
{ /* Ast/node.scm 127 */
return 
(((BgL_vrefz00_bglt)CREF(BgL_obj2420z00_486))->BgL_vtypez00);} 
}



/* _vref-vtype */
obj_t BGl__vrefzd2vtypezd2zzast_nodez00(obj_t BgL_envz00_5671, obj_t BgL_obj2420z00_5672)
{ AN_OBJECT;
{ /* Ast/node.scm 127 */
{ /* Ast/node.scm 127 */
BgL_typez00_bglt BgL_auxz00_7942;
BgL_auxz00_7942 = 
BGl_vrefzd2vtypezd2zzast_nodez00(
(BgL_vrefz00_bglt)(BgL_obj2420z00_5672)); 
return 
(obj_t)(BgL_auxz00_7942);} } 
}



/* valloc? */
bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_obj2401z00_487)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2401z00_487, BGl_vallocz00zzast_nodez00);} 
}



/* _valloc? */
obj_t BGl__valloczf3zf3zzast_nodez00(obj_t BgL_envz00_6078, obj_t BgL_obj2401z00_6079)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
bool_t BgL_auxz00_7947;
BgL_auxz00_7947 = 
BGl_valloczf3zf3zzast_nodez00(BgL_obj2401z00_6079); 
return 
BBOOL(BgL_auxz00_7947);} } 
}



/* fill-valloc! */
BgL_vallocz00_bglt BGl_fillzd2vallocz12zc0zzast_nodez00(BgL_vallocz00_bglt BgL_new2346z00_491, obj_t BgL_loc2338z00_492, BgL_typez00_bglt BgL_type2339z00_493, obj_t BgL_sidezd2effectzf32340z21_494, obj_t BgL_key2341z00_495, obj_t BgL_exprza22342za2_496, obj_t BgL_czd2heapzd2format2343z00_497, BgL_typez00_bglt BgL_ftype2344z00_498, BgL_typez00_bglt BgL_otype2345z00_499)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_locz00) = ((obj_t)BgL_loc2338z00_492), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2339z00_493), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32340z21_494), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_keyz00) = ((obj_t)BgL_key2341z00_495), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_exprza2za2) = ((obj_t)BgL_exprza22342za2_496), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_czd2heapzd2format2343z00_497), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2344z00_498), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2346z00_491))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2345z00_499), BUNSPEC); 
return BgL_new2346z00_491;} 
}



/* _fill-valloc! */
obj_t BGl__fillzd2vallocz12zc0zzast_nodez00(obj_t BgL_envz00_6080, obj_t BgL_new2346z00_6081, obj_t BgL_loc2338z00_6082, obj_t BgL_type2339z00_6083, obj_t BgL_sidezd2effectzf32340z21_6084, obj_t BgL_key2341z00_6085, obj_t BgL_exprza22342za2_6086, obj_t BgL_czd2heapzd2format2343z00_6087, obj_t BgL_ftype2344z00_6088, obj_t BgL_otype2345z00_6089)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_auxz00_7958;
BgL_auxz00_7958 = 
BGl_fillzd2vallocz12zc0zzast_nodez00(
(BgL_vallocz00_bglt)(BgL_new2346z00_6081), BgL_loc2338z00_6082, 
(BgL_typez00_bglt)(BgL_type2339z00_6083), BgL_sidezd2effectzf32340z21_6084, BgL_key2341z00_6085, BgL_exprza22342za2_6086, BgL_czd2heapzd2format2343z00_6087, 
(BgL_typez00_bglt)(BgL_ftype2344z00_6088), 
(BgL_typez00_bglt)(BgL_otype2345z00_6089)); 
return 
(obj_t)(BgL_auxz00_7958);} } 
}



/* make-valloc */
BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t BgL_loc2356z00_500, BgL_typez00_bglt BgL_type2357z00_501, obj_t BgL_sidezd2effectzf32358z21_502, obj_t BgL_key2359z00_503, obj_t BgL_exprza22360za2_504, obj_t BgL_czd2heapzd2format2361z00_505, BgL_typez00_bglt BgL_ftype2362z00_506, BgL_typez00_bglt BgL_otype2363z00_507)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_new2364z00_3581;
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_res4472z00_3587;
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_new2366z00_3582;
BgL_new2366z00_3582 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* Ast/node.scm 110 */
long BgL_arg3941z00_3583;
BgL_arg3941z00_3583 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* Ast/node.scm 110 */
BgL_objectz00_bglt BgL_auxz00_7967;
BgL_auxz00_7967 = 
(BgL_objectz00_bglt)(BgL_new2366z00_3582); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7967, BgL_arg3941z00_3583); } } 
{ /* Ast/node.scm 110 */
BgL_objectz00_bglt BgL_auxz00_7970;
BgL_auxz00_7970 = 
(BgL_objectz00_bglt)(BgL_new2366z00_3582); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7970, BFALSE); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_7973;
BgL_auxz00_7973 = 
(obj_t)(BgL_new2366z00_3582); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7973); } BUNSPEC; 
BgL_res4472z00_3587 = BgL_new2366z00_3582; } 
BgL_new2364z00_3581 = BgL_res4472z00_3587; } 
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_res4473z00_3605;
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_locz00) = ((obj_t)BgL_loc2356z00_500), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2357z00_501), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32358z21_502), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_keyz00) = ((obj_t)BgL_key2359z00_503), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_exprza2za2) = ((obj_t)BgL_exprza22360za2_504), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_czd2heapzd2format2361z00_505), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2362z00_506), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2364z00_3581))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2363z00_507), BUNSPEC); 
BgL_res4473z00_3605 = BgL_new2364z00_3581; BgL_res4473z00_3605; } 
return BgL_new2364z00_3581;} } 
}



/* _make-valloc */
obj_t BGl__makezd2valloczd2zzast_nodez00(obj_t BgL_envz00_5635, obj_t BgL_loc2356z00_5636, obj_t BgL_type2357z00_5637, obj_t BgL_sidezd2effectzf32358z21_5638, obj_t BgL_key2359z00_5639, obj_t BgL_exprza22360za2_5640, obj_t BgL_czd2heapzd2format2361z00_5641, obj_t BgL_ftype2362z00_5642, obj_t BgL_otype2363z00_5643)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_auxz00_7984;
BgL_auxz00_7984 = 
BGl_makezd2valloczd2zzast_nodez00(BgL_loc2356z00_5636, 
(BgL_typez00_bglt)(BgL_type2357z00_5637), BgL_sidezd2effectzf32358z21_5638, BgL_key2359z00_5639, BgL_exprza22360za2_5640, BgL_czd2heapzd2format2361z00_5641, 
(BgL_typez00_bglt)(BgL_ftype2362z00_5642), 
(BgL_typez00_bglt)(BgL_otype2363z00_5643)); 
return 
(obj_t)(BgL_auxz00_7984);} } 
}



/* allocate-valloc */
BgL_vallocz00_bglt BGl_allocatezd2valloczd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_new2366z00_3606;
BgL_new2366z00_3606 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* Ast/node.scm 110 */
long BgL_arg3941z00_3607;
BgL_arg3941z00_3607 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* Ast/node.scm 110 */
BgL_objectz00_bglt BgL_auxz00_7992;
BgL_auxz00_7992 = 
(BgL_objectz00_bglt)(BgL_new2366z00_3606); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7992, BgL_arg3941z00_3607); } } 
{ /* Ast/node.scm 110 */
BgL_objectz00_bglt BgL_auxz00_7995;
BgL_auxz00_7995 = 
(BgL_objectz00_bglt)(BgL_new2366z00_3606); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7995, BFALSE); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_7998;
BgL_auxz00_7998 = 
(obj_t)(BgL_new2366z00_3606); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7998); } BUNSPEC; 
return BgL_new2366z00_3606;} } 
}



/* _allocate-valloc */
obj_t BGl__allocatezd2valloczd2zzast_nodez00(obj_t BgL_envz00_5644)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_auxz00_8001;
BgL_auxz00_8001 = 
BGl_allocatezd2valloczd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8001);} } 
}



/* valloc-c-heap-format */
obj_t BGl_valloczd2czd2heapzd2formatzd2zzast_nodez00(BgL_vallocz00_bglt BgL_obj2335z00_521)
{ AN_OBJECT;
{ /* Ast/node.scm 112 */
return 
(((BgL_vallocz00_bglt)CREF(BgL_obj2335z00_521))->BgL_czd2heapzd2formatz00);} 
}



/* _valloc-c-heap-format */
obj_t BGl__valloczd2czd2heapzd2formatzd2zzast_nodez00(obj_t BgL_envz00_5645, obj_t BgL_obj2335z00_5646)
{ AN_OBJECT;
{ /* Ast/node.scm 112 */
return 
BGl_valloczd2czd2heapzd2formatzd2zzast_nodez00(
(BgL_vallocz00_bglt)(BgL_obj2335z00_5646));} 
}



/* valloc-ftype */
BgL_typez00_bglt BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_obj2336z00_522)
{ AN_OBJECT;
{ /* Ast/node.scm 114 */
return 
(((BgL_vallocz00_bglt)CREF(BgL_obj2336z00_522))->BgL_ftypez00);} 
}



/* _valloc-ftype */
obj_t BGl__valloczd2ftypezd2zzast_nodez00(obj_t BgL_envz00_5647, obj_t BgL_obj2336z00_5648)
{ AN_OBJECT;
{ /* Ast/node.scm 114 */
{ /* Ast/node.scm 114 */
BgL_typez00_bglt BgL_auxz00_8008;
BgL_auxz00_8008 = 
BGl_valloczd2ftypezd2zzast_nodez00(
(BgL_vallocz00_bglt)(BgL_obj2336z00_5648)); 
return 
(obj_t)(BgL_auxz00_8008);} } 
}



/* valloc-otype */
BgL_typez00_bglt BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_obj2337z00_523)
{ AN_OBJECT;
{ /* Ast/node.scm 116 */
return 
(((BgL_vallocz00_bglt)CREF(BgL_obj2337z00_523))->BgL_otypez00);} 
}



/* _valloc-otype */
obj_t BGl__valloczd2otypezd2zzast_nodez00(obj_t BgL_envz00_5649, obj_t BgL_obj2337z00_5650)
{ AN_OBJECT;
{ /* Ast/node.scm 116 */
{ /* Ast/node.scm 116 */
BgL_typez00_bglt BgL_auxz00_8013;
BgL_auxz00_8013 = 
BGl_valloczd2otypezd2zzast_nodez00(
(BgL_vallocz00_bglt)(BgL_obj2337z00_5650)); 
return 
(obj_t)(BgL_auxz00_8013);} } 
}



/* new? */
bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_obj2321z00_524)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2321z00_524, BGl_newz00zzast_nodez00);} 
}



/* _new? */
obj_t BGl__newzf3zf3zzast_nodez00(obj_t BgL_envz00_6090, obj_t BgL_obj2321z00_6091)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
bool_t BgL_auxz00_8018;
BgL_auxz00_8018 = 
BGl_newzf3zf3zzast_nodez00(BgL_obj2321z00_6091); 
return 
BBOOL(BgL_auxz00_8018);} } 
}



/* fill-new! */
BgL_newz00_bglt BGl_fillzd2newz12zc0zzast_nodez00(BgL_newz00_bglt BgL_new2284z00_528, obj_t BgL_loc2279z00_529, BgL_typez00_bglt BgL_type2280z00_530, obj_t BgL_sidezd2effectzf32281z21_531, obj_t BgL_key2282z00_532, obj_t BgL_exprza22283za2_533)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
((((BgL_newz00_bglt)CREF(BgL_new2284z00_528))->BgL_locz00) = ((obj_t)BgL_loc2279z00_529), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2284z00_528))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2280z00_530), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2284z00_528))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32281z21_531), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2284z00_528))->BgL_keyz00) = ((obj_t)BgL_key2282z00_532), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2284z00_528))->BgL_exprza2za2) = ((obj_t)BgL_exprza22283za2_533), BUNSPEC); 
return BgL_new2284z00_528;} 
}



/* _fill-new! */
obj_t BGl__fillzd2newz12zc0zzast_nodez00(obj_t BgL_envz00_6092, obj_t BgL_new2284z00_6093, obj_t BgL_loc2279z00_6094, obj_t BgL_type2280z00_6095, obj_t BgL_sidezd2effectzf32281z21_6096, obj_t BgL_key2282z00_6097, obj_t BgL_exprza22283za2_6098)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_auxz00_8026;
BgL_auxz00_8026 = 
BGl_fillzd2newz12zc0zzast_nodez00(
(BgL_newz00_bglt)(BgL_new2284z00_6093), BgL_loc2279z00_6094, 
(BgL_typez00_bglt)(BgL_type2280z00_6095), BgL_sidezd2effectzf32281z21_6096, BgL_key2282z00_6097, BgL_exprza22283za2_6098); 
return 
(obj_t)(BgL_auxz00_8026);} } 
}



/* make-new */
BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t BgL_loc2291z00_534, BgL_typez00_bglt BgL_type2292z00_535, obj_t BgL_sidezd2effectzf32293z21_536, obj_t BgL_key2294z00_537, obj_t BgL_exprza22295za2_538)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_new2296z00_3616;
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_res4474z00_3622;
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_new2298z00_3617;
BgL_new2298z00_3617 = 
((BgL_newz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_newz00_bgl) ))); 
{ /* Ast/node.scm 107 */
long BgL_arg3942z00_3618;
BgL_arg3942z00_3618 = 
BGl_classzd2numzd2zz__objectz00(BGl_newz00zzast_nodez00); 
{ /* Ast/node.scm 107 */
BgL_objectz00_bglt BgL_auxz00_8033;
BgL_auxz00_8033 = 
(BgL_objectz00_bglt)(BgL_new2298z00_3617); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8033, BgL_arg3942z00_3618); } } 
{ /* Ast/node.scm 107 */
BgL_objectz00_bglt BgL_auxz00_8036;
BgL_auxz00_8036 = 
(BgL_objectz00_bglt)(BgL_new2298z00_3617); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8036, BFALSE); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_8039;
BgL_auxz00_8039 = 
(obj_t)(BgL_new2298z00_3617); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8039); } BUNSPEC; 
BgL_res4474z00_3622 = BgL_new2298z00_3617; } 
BgL_new2296z00_3616 = BgL_res4474z00_3622; } 
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_res4475z00_3634;
((((BgL_newz00_bglt)CREF(BgL_new2296z00_3616))->BgL_locz00) = ((obj_t)BgL_loc2291z00_534), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2296z00_3616))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2292z00_535), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2296z00_3616))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32293z21_536), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2296z00_3616))->BgL_keyz00) = ((obj_t)BgL_key2294z00_537), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new2296z00_3616))->BgL_exprza2za2) = ((obj_t)BgL_exprza22295za2_538), BUNSPEC); 
BgL_res4475z00_3634 = BgL_new2296z00_3616; BgL_res4475z00_3634; } 
return BgL_new2296z00_3616;} } 
}



/* _make-new */
obj_t BGl__makezd2newzd2zzast_nodez00(obj_t BgL_envz00_5628, obj_t BgL_loc2291z00_5629, obj_t BgL_type2292z00_5630, obj_t BgL_sidezd2effectzf32293z21_5631, obj_t BgL_key2294z00_5632, obj_t BgL_exprza22295za2_5633)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_auxz00_8047;
BgL_auxz00_8047 = 
BGl_makezd2newzd2zzast_nodez00(BgL_loc2291z00_5629, 
(BgL_typez00_bglt)(BgL_type2292z00_5630), BgL_sidezd2effectzf32293z21_5631, BgL_key2294z00_5632, BgL_exprza22295za2_5633); 
return 
(obj_t)(BgL_auxz00_8047);} } 
}



/* allocate-new */
BgL_newz00_bglt BGl_allocatezd2newzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_new2298z00_3635;
BgL_new2298z00_3635 = 
((BgL_newz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_newz00_bgl) ))); 
{ /* Ast/node.scm 107 */
long BgL_arg3942z00_3636;
BgL_arg3942z00_3636 = 
BGl_classzd2numzd2zz__objectz00(BGl_newz00zzast_nodez00); 
{ /* Ast/node.scm 107 */
BgL_objectz00_bglt BgL_auxz00_8053;
BgL_auxz00_8053 = 
(BgL_objectz00_bglt)(BgL_new2298z00_3635); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8053, BgL_arg3942z00_3636); } } 
{ /* Ast/node.scm 107 */
BgL_objectz00_bglt BgL_auxz00_8056;
BgL_auxz00_8056 = 
(BgL_objectz00_bglt)(BgL_new2298z00_3635); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8056, BFALSE); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_8059;
BgL_auxz00_8059 = 
(obj_t)(BgL_new2298z00_3635); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8059); } BUNSPEC; 
return BgL_new2298z00_3635;} } 
}



/* _allocate-new */
obj_t BGl__allocatezd2newzd2zzast_nodez00(obj_t BgL_envz00_5634)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_auxz00_8062;
BgL_auxz00_8062 = 
BGl_allocatezd2newzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8062);} } 
}



/* setfield? */
bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_obj2265z00_552)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2265z00_552, BGl_setfieldz00zzast_nodez00);} 
}



/* _setfield? */
obj_t BGl__setfieldzf3zf3zzast_nodez00(obj_t BgL_envz00_6099, obj_t BgL_obj2265z00_6100)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
bool_t BgL_auxz00_8066;
BgL_auxz00_8066 = 
BGl_setfieldzf3zf3zzast_nodez00(BgL_obj2265z00_6100); 
return 
BBOOL(BgL_auxz00_8066);} } 
}



/* fill-setfield! */
BgL_setfieldz00_bglt BGl_fillzd2setfieldz12zc0zzast_nodez00(BgL_setfieldz00_bglt BgL_new2210z00_556, obj_t BgL_loc2202z00_557, BgL_typez00_bglt BgL_type2203z00_558, obj_t BgL_sidezd2effectzf32204z21_559, obj_t BgL_key2205z00_560, obj_t BgL_exprza22206za2_561, obj_t BgL_fname2207z00_562, BgL_typez00_bglt BgL_ftype2208z00_563, BgL_typez00_bglt BgL_otype2209z00_564)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_locz00) = ((obj_t)BgL_loc2202z00_557), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2203z00_558), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32204z21_559), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_keyz00) = ((obj_t)BgL_key2205z00_560), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_exprza2za2) = ((obj_t)BgL_exprza22206za2_561), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_fnamez00) = ((obj_t)BgL_fname2207z00_562), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2208z00_563), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2210z00_556))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2209z00_564), BUNSPEC); 
return BgL_new2210z00_556;} 
}



/* _fill-setfield! */
obj_t BGl__fillzd2setfieldz12zc0zzast_nodez00(obj_t BgL_envz00_6101, obj_t BgL_new2210z00_6102, obj_t BgL_loc2202z00_6103, obj_t BgL_type2203z00_6104, obj_t BgL_sidezd2effectzf32204z21_6105, obj_t BgL_key2205z00_6106, obj_t BgL_exprza22206za2_6107, obj_t BgL_fname2207z00_6108, obj_t BgL_ftype2208z00_6109, obj_t BgL_otype2209z00_6110)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_auxz00_8077;
BgL_auxz00_8077 = 
BGl_fillzd2setfieldz12zc0zzast_nodez00(
(BgL_setfieldz00_bglt)(BgL_new2210z00_6102), BgL_loc2202z00_6103, 
(BgL_typez00_bglt)(BgL_type2203z00_6104), BgL_sidezd2effectzf32204z21_6105, BgL_key2205z00_6106, BgL_exprza22206za2_6107, BgL_fname2207z00_6108, 
(BgL_typez00_bglt)(BgL_ftype2208z00_6109), 
(BgL_typez00_bglt)(BgL_otype2209z00_6110)); 
return 
(obj_t)(BgL_auxz00_8077);} } 
}



/* make-setfield */
BgL_setfieldz00_bglt BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc2220z00_565, BgL_typez00_bglt BgL_type2221z00_566, obj_t BgL_sidezd2effectzf32222z21_567, obj_t BgL_key2223z00_568, obj_t BgL_exprza22224za2_569, obj_t BgL_fname2225z00_570, BgL_typez00_bglt BgL_ftype2226z00_571, BgL_typez00_bglt BgL_otype2227z00_572)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_new2228z00_3648;
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_res4476z00_3654;
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_new2230z00_3649;
BgL_new2230z00_3649 = 
((BgL_setfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setfieldz00_bgl) ))); 
{ /* Ast/node.scm 98 */
long BgL_arg3943z00_3650;
BgL_arg3943z00_3650 = 
BGl_classzd2numzd2zz__objectz00(BGl_setfieldz00zzast_nodez00); 
{ /* Ast/node.scm 98 */
BgL_objectz00_bglt BgL_auxz00_8086;
BgL_auxz00_8086 = 
(BgL_objectz00_bglt)(BgL_new2230z00_3649); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8086, BgL_arg3943z00_3650); } } 
{ /* Ast/node.scm 98 */
BgL_objectz00_bglt BgL_auxz00_8089;
BgL_auxz00_8089 = 
(BgL_objectz00_bglt)(BgL_new2230z00_3649); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8089, BFALSE); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_8092;
BgL_auxz00_8092 = 
(obj_t)(BgL_new2230z00_3649); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8092); } BUNSPEC; 
BgL_res4476z00_3654 = BgL_new2230z00_3649; } 
BgL_new2228z00_3648 = BgL_res4476z00_3654; } 
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_res4477z00_3672;
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_locz00) = ((obj_t)BgL_loc2220z00_565), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2221z00_566), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32222z21_567), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_keyz00) = ((obj_t)BgL_key2223z00_568), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_exprza2za2) = ((obj_t)BgL_exprza22224za2_569), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_fnamez00) = ((obj_t)BgL_fname2225z00_570), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2226z00_571), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new2228z00_3648))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2227z00_572), BUNSPEC); 
BgL_res4477z00_3672 = BgL_new2228z00_3648; BgL_res4477z00_3672; } 
return BgL_new2228z00_3648;} } 
}



/* _make-setfield */
obj_t BGl__makezd2setfieldzd2zzast_nodez00(obj_t BgL_envz00_5612, obj_t BgL_loc2220z00_5613, obj_t BgL_type2221z00_5614, obj_t BgL_sidezd2effectzf32222z21_5615, obj_t BgL_key2223z00_5616, obj_t BgL_exprza22224za2_5617, obj_t BgL_fname2225z00_5618, obj_t BgL_ftype2226z00_5619, obj_t BgL_otype2227z00_5620)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_auxz00_8103;
BgL_auxz00_8103 = 
BGl_makezd2setfieldzd2zzast_nodez00(BgL_loc2220z00_5613, 
(BgL_typez00_bglt)(BgL_type2221z00_5614), BgL_sidezd2effectzf32222z21_5615, BgL_key2223z00_5616, BgL_exprza22224za2_5617, BgL_fname2225z00_5618, 
(BgL_typez00_bglt)(BgL_ftype2226z00_5619), 
(BgL_typez00_bglt)(BgL_otype2227z00_5620)); 
return 
(obj_t)(BgL_auxz00_8103);} } 
}



/* allocate-setfield */
BgL_setfieldz00_bglt BGl_allocatezd2setfieldzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_new2230z00_3673;
BgL_new2230z00_3673 = 
((BgL_setfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setfieldz00_bgl) ))); 
{ /* Ast/node.scm 98 */
long BgL_arg3943z00_3674;
BgL_arg3943z00_3674 = 
BGl_classzd2numzd2zz__objectz00(BGl_setfieldz00zzast_nodez00); 
{ /* Ast/node.scm 98 */
BgL_objectz00_bglt BgL_auxz00_8111;
BgL_auxz00_8111 = 
(BgL_objectz00_bglt)(BgL_new2230z00_3673); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8111, BgL_arg3943z00_3674); } } 
{ /* Ast/node.scm 98 */
BgL_objectz00_bglt BgL_auxz00_8114;
BgL_auxz00_8114 = 
(BgL_objectz00_bglt)(BgL_new2230z00_3673); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8114, BFALSE); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_8117;
BgL_auxz00_8117 = 
(obj_t)(BgL_new2230z00_3673); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8117); } BUNSPEC; 
return BgL_new2230z00_3673;} } 
}



/* _allocate-setfield */
obj_t BGl__allocatezd2setfieldzd2zzast_nodez00(obj_t BgL_envz00_5621)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_auxz00_8120;
BgL_auxz00_8120 = 
BGl_allocatezd2setfieldzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8120);} } 
}



/* setfield-fname */
obj_t BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_obj2199z00_586)
{ AN_OBJECT;
{ /* Ast/node.scm 100 */
return 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2199z00_586))->BgL_fnamez00);} 
}



/* _setfield-fname */
obj_t BGl__setfieldzd2fnamezd2zzast_nodez00(obj_t BgL_envz00_5622, obj_t BgL_obj2199z00_5623)
{ AN_OBJECT;
{ /* Ast/node.scm 100 */
return 
BGl_setfieldzd2fnamezd2zzast_nodez00(
(BgL_setfieldz00_bglt)(BgL_obj2199z00_5623));} 
}



/* setfield-ftype */
BgL_typez00_bglt BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_obj2200z00_587)
{ AN_OBJECT;
{ /* Ast/node.scm 102 */
return 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2200z00_587))->BgL_ftypez00);} 
}



/* _setfield-ftype */
obj_t BGl__setfieldzd2ftypezd2zzast_nodez00(obj_t BgL_envz00_5624, obj_t BgL_obj2200z00_5625)
{ AN_OBJECT;
{ /* Ast/node.scm 102 */
{ /* Ast/node.scm 102 */
BgL_typez00_bglt BgL_auxz00_8127;
BgL_auxz00_8127 = 
BGl_setfieldzd2ftypezd2zzast_nodez00(
(BgL_setfieldz00_bglt)(BgL_obj2200z00_5625)); 
return 
(obj_t)(BgL_auxz00_8127);} } 
}



/* setfield-otype */
BgL_typez00_bglt BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_obj2201z00_588)
{ AN_OBJECT;
{ /* Ast/node.scm 104 */
return 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2201z00_588))->BgL_otypez00);} 
}



/* _setfield-otype */
obj_t BGl__setfieldzd2otypezd2zzast_nodez00(obj_t BgL_envz00_5626, obj_t BgL_obj2201z00_5627)
{ AN_OBJECT;
{ /* Ast/node.scm 104 */
{ /* Ast/node.scm 104 */
BgL_typez00_bglt BgL_auxz00_8132;
BgL_auxz00_8132 = 
BGl_setfieldzd2otypezd2zzast_nodez00(
(BgL_setfieldz00_bglt)(BgL_obj2201z00_5627)); 
return 
(obj_t)(BgL_auxz00_8132);} } 
}



/* getfield? */
bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_obj2185z00_589)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2185z00_589, BGl_getfieldz00zzast_nodez00);} 
}



/* _getfield? */
obj_t BGl__getfieldzf3zf3zzast_nodez00(obj_t BgL_envz00_6111, obj_t BgL_obj2185z00_6112)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
bool_t BgL_auxz00_8137;
BgL_auxz00_8137 = 
BGl_getfieldzf3zf3zzast_nodez00(BgL_obj2185z00_6112); 
return 
BBOOL(BgL_auxz00_8137);} } 
}



/* fill-getfield! */
BgL_getfieldz00_bglt BGl_fillzd2getfieldz12zc0zzast_nodez00(BgL_getfieldz00_bglt BgL_new2130z00_593, obj_t BgL_loc2122z00_594, BgL_typez00_bglt BgL_type2123z00_595, obj_t BgL_sidezd2effectzf32124z21_596, obj_t BgL_key2125z00_597, obj_t BgL_exprza22126za2_598, obj_t BgL_fname2127z00_599, BgL_typez00_bglt BgL_ftype2128z00_600, BgL_typez00_bglt BgL_otype2129z00_601)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_locz00) = ((obj_t)BgL_loc2122z00_594), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2123z00_595), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32124z21_596), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_keyz00) = ((obj_t)BgL_key2125z00_597), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_exprza2za2) = ((obj_t)BgL_exprza22126za2_598), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_fnamez00) = ((obj_t)BgL_fname2127z00_599), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2128z00_600), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2130z00_593))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2129z00_601), BUNSPEC); 
return BgL_new2130z00_593;} 
}



/* _fill-getfield! */
obj_t BGl__fillzd2getfieldz12zc0zzast_nodez00(obj_t BgL_envz00_6113, obj_t BgL_new2130z00_6114, obj_t BgL_loc2122z00_6115, obj_t BgL_type2123z00_6116, obj_t BgL_sidezd2effectzf32124z21_6117, obj_t BgL_key2125z00_6118, obj_t BgL_exprza22126za2_6119, obj_t BgL_fname2127z00_6120, obj_t BgL_ftype2128z00_6121, obj_t BgL_otype2129z00_6122)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_auxz00_8148;
BgL_auxz00_8148 = 
BGl_fillzd2getfieldz12zc0zzast_nodez00(
(BgL_getfieldz00_bglt)(BgL_new2130z00_6114), BgL_loc2122z00_6115, 
(BgL_typez00_bglt)(BgL_type2123z00_6116), BgL_sidezd2effectzf32124z21_6117, BgL_key2125z00_6118, BgL_exprza22126za2_6119, BgL_fname2127z00_6120, 
(BgL_typez00_bglt)(BgL_ftype2128z00_6121), 
(BgL_typez00_bglt)(BgL_otype2129z00_6122)); 
return 
(obj_t)(BgL_auxz00_8148);} } 
}



/* make-getfield */
BgL_getfieldz00_bglt BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc2140z00_602, BgL_typez00_bglt BgL_type2141z00_603, obj_t BgL_sidezd2effectzf32142z21_604, obj_t BgL_key2143z00_605, obj_t BgL_exprza22144za2_606, obj_t BgL_fname2145z00_607, BgL_typez00_bglt BgL_ftype2146z00_608, BgL_typez00_bglt BgL_otype2147z00_609)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_new2148z00_3686;
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_res4478z00_3692;
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_new2150z00_3687;
BgL_new2150z00_3687 = 
((BgL_getfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_getfieldz00_bgl) ))); 
{ /* Ast/node.scm 89 */
long BgL_arg3944z00_3688;
BgL_arg3944z00_3688 = 
BGl_classzd2numzd2zz__objectz00(BGl_getfieldz00zzast_nodez00); 
{ /* Ast/node.scm 89 */
BgL_objectz00_bglt BgL_auxz00_8157;
BgL_auxz00_8157 = 
(BgL_objectz00_bglt)(BgL_new2150z00_3687); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8157, BgL_arg3944z00_3688); } } 
{ /* Ast/node.scm 89 */
BgL_objectz00_bglt BgL_auxz00_8160;
BgL_auxz00_8160 = 
(BgL_objectz00_bglt)(BgL_new2150z00_3687); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8160, BFALSE); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_8163;
BgL_auxz00_8163 = 
(obj_t)(BgL_new2150z00_3687); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8163); } BUNSPEC; 
BgL_res4478z00_3692 = BgL_new2150z00_3687; } 
BgL_new2148z00_3686 = BgL_res4478z00_3692; } 
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_res4479z00_3710;
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_locz00) = ((obj_t)BgL_loc2140z00_602), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2141z00_603), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32142z21_604), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_keyz00) = ((obj_t)BgL_key2143z00_605), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_exprza2za2) = ((obj_t)BgL_exprza22144za2_606), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_fnamez00) = ((obj_t)BgL_fname2145z00_607), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2146z00_608), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new2148z00_3686))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2147z00_609), BUNSPEC); 
BgL_res4479z00_3710 = BgL_new2148z00_3686; BgL_res4479z00_3710; } 
return BgL_new2148z00_3686;} } 
}



/* _make-getfield */
obj_t BGl__makezd2getfieldzd2zzast_nodez00(obj_t BgL_envz00_5596, obj_t BgL_loc2140z00_5597, obj_t BgL_type2141z00_5598, obj_t BgL_sidezd2effectzf32142z21_5599, obj_t BgL_key2143z00_5600, obj_t BgL_exprza22144za2_5601, obj_t BgL_fname2145z00_5602, obj_t BgL_ftype2146z00_5603, obj_t BgL_otype2147z00_5604)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_auxz00_8174;
BgL_auxz00_8174 = 
BGl_makezd2getfieldzd2zzast_nodez00(BgL_loc2140z00_5597, 
(BgL_typez00_bglt)(BgL_type2141z00_5598), BgL_sidezd2effectzf32142z21_5599, BgL_key2143z00_5600, BgL_exprza22144za2_5601, BgL_fname2145z00_5602, 
(BgL_typez00_bglt)(BgL_ftype2146z00_5603), 
(BgL_typez00_bglt)(BgL_otype2147z00_5604)); 
return 
(obj_t)(BgL_auxz00_8174);} } 
}



/* allocate-getfield */
BgL_getfieldz00_bglt BGl_allocatezd2getfieldzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_new2150z00_3711;
BgL_new2150z00_3711 = 
((BgL_getfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_getfieldz00_bgl) ))); 
{ /* Ast/node.scm 89 */
long BgL_arg3944z00_3712;
BgL_arg3944z00_3712 = 
BGl_classzd2numzd2zz__objectz00(BGl_getfieldz00zzast_nodez00); 
{ /* Ast/node.scm 89 */
BgL_objectz00_bglt BgL_auxz00_8182;
BgL_auxz00_8182 = 
(BgL_objectz00_bglt)(BgL_new2150z00_3711); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8182, BgL_arg3944z00_3712); } } 
{ /* Ast/node.scm 89 */
BgL_objectz00_bglt BgL_auxz00_8185;
BgL_auxz00_8185 = 
(BgL_objectz00_bglt)(BgL_new2150z00_3711); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8185, BFALSE); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_8188;
BgL_auxz00_8188 = 
(obj_t)(BgL_new2150z00_3711); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8188); } BUNSPEC; 
return BgL_new2150z00_3711;} } 
}



/* _allocate-getfield */
obj_t BGl__allocatezd2getfieldzd2zzast_nodez00(obj_t BgL_envz00_5605)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_auxz00_8191;
BgL_auxz00_8191 = 
BGl_allocatezd2getfieldzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8191);} } 
}



/* getfield-fname */
obj_t BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_obj2119z00_623)
{ AN_OBJECT;
{ /* Ast/node.scm 91 */
return 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2119z00_623))->BgL_fnamez00);} 
}



/* _getfield-fname */
obj_t BGl__getfieldzd2fnamezd2zzast_nodez00(obj_t BgL_envz00_5606, obj_t BgL_obj2119z00_5607)
{ AN_OBJECT;
{ /* Ast/node.scm 91 */
return 
BGl_getfieldzd2fnamezd2zzast_nodez00(
(BgL_getfieldz00_bglt)(BgL_obj2119z00_5607));} 
}



/* getfield-ftype */
BgL_typez00_bglt BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_obj2120z00_624)
{ AN_OBJECT;
{ /* Ast/node.scm 93 */
return 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2120z00_624))->BgL_ftypez00);} 
}



/* _getfield-ftype */
obj_t BGl__getfieldzd2ftypezd2zzast_nodez00(obj_t BgL_envz00_5608, obj_t BgL_obj2120z00_5609)
{ AN_OBJECT;
{ /* Ast/node.scm 93 */
{ /* Ast/node.scm 93 */
BgL_typez00_bglt BgL_auxz00_8198;
BgL_auxz00_8198 = 
BGl_getfieldzd2ftypezd2zzast_nodez00(
(BgL_getfieldz00_bglt)(BgL_obj2120z00_5609)); 
return 
(obj_t)(BgL_auxz00_8198);} } 
}



/* getfield-otype */
BgL_typez00_bglt BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_obj2121z00_625)
{ AN_OBJECT;
{ /* Ast/node.scm 95 */
return 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2121z00_625))->BgL_otypez00);} 
}



/* _getfield-otype */
obj_t BGl__getfieldzd2otypezd2zzast_nodez00(obj_t BgL_envz00_5610, obj_t BgL_obj2121z00_5611)
{ AN_OBJECT;
{ /* Ast/node.scm 95 */
{ /* Ast/node.scm 95 */
BgL_typez00_bglt BgL_auxz00_8203;
BgL_auxz00_8203 = 
BGl_getfieldzd2otypezd2zzast_nodez00(
(BgL_getfieldz00_bglt)(BgL_obj2121z00_5611)); 
return 
(obj_t)(BgL_auxz00_8203);} } 
}



/* pragma? */
bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_obj2105z00_626)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2105z00_626, BGl_pragmaz00zzast_nodez00);} 
}



/* _pragma? */
obj_t BGl__pragmazf3zf3zzast_nodez00(obj_t BgL_envz00_6123, obj_t BgL_obj2105z00_6124)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
bool_t BgL_auxz00_8208;
BgL_auxz00_8208 = 
BGl_pragmazf3zf3zzast_nodez00(BgL_obj2105z00_6124); 
return 
BBOOL(BgL_auxz00_8208);} } 
}



/* fill-pragma! */
BgL_pragmaz00_bglt BGl_fillzd2pragmaz12zc0zzast_nodez00(BgL_pragmaz00_bglt BgL_new2062z00_630, obj_t BgL_loc2056z00_631, BgL_typez00_bglt BgL_type2057z00_632, obj_t BgL_sidezd2effectzf32058z21_633, obj_t BgL_key2059z00_634, obj_t BgL_exprza22060za2_635, obj_t BgL_format2061z00_636)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_locz00) = ((obj_t)BgL_loc2056z00_631), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2057z00_632), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32058z21_633), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_keyz00) = ((obj_t)BgL_key2059z00_634), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_exprza2za2) = ((obj_t)BgL_exprza22060za2_635), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2062z00_630))->BgL_formatz00) = ((obj_t)BgL_format2061z00_636), BUNSPEC); 
return BgL_new2062z00_630;} 
}



/* _fill-pragma! */
obj_t BGl__fillzd2pragmaz12zc0zzast_nodez00(obj_t BgL_envz00_6125, obj_t BgL_new2062z00_6126, obj_t BgL_loc2056z00_6127, obj_t BgL_type2057z00_6128, obj_t BgL_sidezd2effectzf32058z21_6129, obj_t BgL_key2059z00_6130, obj_t BgL_exprza22060za2_6131, obj_t BgL_format2061z00_6132)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_auxz00_8217;
BgL_auxz00_8217 = 
BGl_fillzd2pragmaz12zc0zzast_nodez00(
(BgL_pragmaz00_bglt)(BgL_new2062z00_6126), BgL_loc2056z00_6127, 
(BgL_typez00_bglt)(BgL_type2057z00_6128), BgL_sidezd2effectzf32058z21_6129, BgL_key2059z00_6130, BgL_exprza22060za2_6131, BgL_format2061z00_6132); 
return 
(obj_t)(BgL_auxz00_8217);} } 
}



/* make-pragma */
BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t BgL_loc2070z00_637, BgL_typez00_bglt BgL_type2071z00_638, obj_t BgL_sidezd2effectzf32072z21_639, obj_t BgL_key2073z00_640, obj_t BgL_exprza22074za2_641, obj_t BgL_format2075z00_642)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_new2076z00_3722;
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_res4480z00_3728;
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_new2078z00_3723;
BgL_new2078z00_3723 = 
((BgL_pragmaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_pragmaz00_bgl) ))); 
{ /* Ast/node.scm 85 */
long BgL_arg3945z00_3724;
BgL_arg3945z00_3724 = 
BGl_classzd2numzd2zz__objectz00(BGl_pragmaz00zzast_nodez00); 
{ /* Ast/node.scm 85 */
BgL_objectz00_bglt BgL_auxz00_8224;
BgL_auxz00_8224 = 
(BgL_objectz00_bglt)(BgL_new2078z00_3723); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8224, BgL_arg3945z00_3724); } } 
{ /* Ast/node.scm 85 */
BgL_objectz00_bglt BgL_auxz00_8227;
BgL_auxz00_8227 = 
(BgL_objectz00_bglt)(BgL_new2078z00_3723); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8227, BFALSE); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_8230;
BgL_auxz00_8230 = 
(obj_t)(BgL_new2078z00_3723); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8230); } BUNSPEC; 
BgL_res4480z00_3728 = BgL_new2078z00_3723; } 
BgL_new2076z00_3722 = BgL_res4480z00_3728; } 
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_res4481z00_3742;
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_locz00) = ((obj_t)BgL_loc2070z00_637), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2071z00_638), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32072z21_639), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_keyz00) = ((obj_t)BgL_key2073z00_640), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_exprza2za2) = ((obj_t)BgL_exprza22074za2_641), BUNSPEC); 
((((BgL_pragmaz00_bglt)CREF(BgL_new2076z00_3722))->BgL_formatz00) = ((obj_t)BgL_format2075z00_642), BUNSPEC); 
BgL_res4481z00_3742 = BgL_new2076z00_3722; BgL_res4481z00_3742; } 
return BgL_new2076z00_3722;} } 
}



/* _make-pragma */
obj_t BGl__makezd2pragmazd2zzast_nodez00(obj_t BgL_envz00_5586, obj_t BgL_loc2070z00_5587, obj_t BgL_type2071z00_5588, obj_t BgL_sidezd2effectzf32072z21_5589, obj_t BgL_key2073z00_5590, obj_t BgL_exprza22074za2_5591, obj_t BgL_format2075z00_5592)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_auxz00_8239;
BgL_auxz00_8239 = 
BGl_makezd2pragmazd2zzast_nodez00(BgL_loc2070z00_5587, 
(BgL_typez00_bglt)(BgL_type2071z00_5588), BgL_sidezd2effectzf32072z21_5589, BgL_key2073z00_5590, BgL_exprza22074za2_5591, BgL_format2075z00_5592); 
return 
(obj_t)(BgL_auxz00_8239);} } 
}



/* allocate-pragma */
BgL_pragmaz00_bglt BGl_allocatezd2pragmazd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_new2078z00_3743;
BgL_new2078z00_3743 = 
((BgL_pragmaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_pragmaz00_bgl) ))); 
{ /* Ast/node.scm 85 */
long BgL_arg3945z00_3744;
BgL_arg3945z00_3744 = 
BGl_classzd2numzd2zz__objectz00(BGl_pragmaz00zzast_nodez00); 
{ /* Ast/node.scm 85 */
BgL_objectz00_bglt BgL_auxz00_8245;
BgL_auxz00_8245 = 
(BgL_objectz00_bglt)(BgL_new2078z00_3743); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8245, BgL_arg3945z00_3744); } } 
{ /* Ast/node.scm 85 */
BgL_objectz00_bglt BgL_auxz00_8248;
BgL_auxz00_8248 = 
(BgL_objectz00_bglt)(BgL_new2078z00_3743); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8248, BFALSE); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_8251;
BgL_auxz00_8251 = 
(obj_t)(BgL_new2078z00_3743); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8251); } BUNSPEC; 
return BgL_new2078z00_3743;} } 
}



/* _allocate-pragma */
obj_t BGl__allocatezd2pragmazd2zzast_nodez00(obj_t BgL_envz00_5593)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_auxz00_8254;
BgL_auxz00_8254 = 
BGl_allocatezd2pragmazd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8254);} } 
}



/* pragma-format */
obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt BgL_obj2055z00_656)
{ AN_OBJECT;
{ /* Ast/node.scm 86 */
return 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2055z00_656))->BgL_formatz00);} 
}



/* _pragma-format */
obj_t BGl__pragmazd2formatzd2zzast_nodez00(obj_t BgL_envz00_5594, obj_t BgL_obj2055z00_5595)
{ AN_OBJECT;
{ /* Ast/node.scm 86 */
return 
BGl_pragmazd2formatzd2zzast_nodez00(
(BgL_pragmaz00_bglt)(BgL_obj2055z00_5595));} 
}



/* extern? */
bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_obj2041z00_657)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2041z00_657, BGl_externz00zzast_nodez00);} 
}



/* _extern? */
obj_t BGl__externzf3zf3zzast_nodez00(obj_t BgL_envz00_6133, obj_t BgL_obj2041z00_6134)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
bool_t BgL_auxz00_8261;
BgL_auxz00_8261 = 
BGl_externzf3zf3zzast_nodez00(BgL_obj2041z00_6134); 
return 
BBOOL(BgL_auxz00_8261);} } 
}



/* fill-extern! */
BgL_externz00_bglt BGl_fillzd2externz12zc0zzast_nodez00(BgL_externz00_bglt BgL_new2004z00_661, obj_t BgL_loc1999z00_662, BgL_typez00_bglt BgL_type2000z00_663, obj_t BgL_sidezd2effectzf32001z21_664, obj_t BgL_key2002z00_665, obj_t BgL_exprza22003za2_666)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
((((BgL_externz00_bglt)CREF(BgL_new2004z00_661))->BgL_locz00) = ((obj_t)BgL_loc1999z00_662), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2004z00_661))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2000z00_663), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2004z00_661))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32001z21_664), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2004z00_661))->BgL_keyz00) = ((obj_t)BgL_key2002z00_665), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2004z00_661))->BgL_exprza2za2) = ((obj_t)BgL_exprza22003za2_666), BUNSPEC); 
return BgL_new2004z00_661;} 
}



/* _fill-extern! */
obj_t BGl__fillzd2externz12zc0zzast_nodez00(obj_t BgL_envz00_6135, obj_t BgL_new2004z00_6136, obj_t BgL_loc1999z00_6137, obj_t BgL_type2000z00_6138, obj_t BgL_sidezd2effectzf32001z21_6139, obj_t BgL_key2002z00_6140, obj_t BgL_exprza22003za2_6141)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_auxz00_8269;
BgL_auxz00_8269 = 
BGl_fillzd2externz12zc0zzast_nodez00(
(BgL_externz00_bglt)(BgL_new2004z00_6136), BgL_loc1999z00_6137, 
(BgL_typez00_bglt)(BgL_type2000z00_6138), BgL_sidezd2effectzf32001z21_6139, BgL_key2002z00_6140, BgL_exprza22003za2_6141); 
return 
(obj_t)(BgL_auxz00_8269);} } 
}



/* make-extern */
BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t BgL_loc2011z00_667, BgL_typez00_bglt BgL_type2012z00_668, obj_t BgL_sidezd2effectzf32013z21_669, obj_t BgL_key2014z00_670, obj_t BgL_exprza22015za2_671)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_new2016z00_3753;
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_res4482z00_3759;
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_new2018z00_3754;
BgL_new2018z00_3754 = 
((BgL_externz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_externz00_bgl) ))); 
{ /* Ast/node.scm 80 */
long BgL_arg3946z00_3755;
BgL_arg3946z00_3755 = 
BGl_classzd2numzd2zz__objectz00(BGl_externz00zzast_nodez00); 
{ /* Ast/node.scm 80 */
BgL_objectz00_bglt BgL_auxz00_8276;
BgL_auxz00_8276 = 
(BgL_objectz00_bglt)(BgL_new2018z00_3754); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8276, BgL_arg3946z00_3755); } } 
{ /* Ast/node.scm 80 */
BgL_objectz00_bglt BgL_auxz00_8279;
BgL_auxz00_8279 = 
(BgL_objectz00_bglt)(BgL_new2018z00_3754); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8279, BFALSE); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_8282;
BgL_auxz00_8282 = 
(obj_t)(BgL_new2018z00_3754); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8282); } BUNSPEC; 
BgL_res4482z00_3759 = BgL_new2018z00_3754; } 
BgL_new2016z00_3753 = BgL_res4482z00_3759; } 
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_res4483z00_3771;
((((BgL_externz00_bglt)CREF(BgL_new2016z00_3753))->BgL_locz00) = ((obj_t)BgL_loc2011z00_667), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2016z00_3753))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2012z00_668), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2016z00_3753))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32013z21_669), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2016z00_3753))->BgL_keyz00) = ((obj_t)BgL_key2014z00_670), BUNSPEC); 
((((BgL_externz00_bglt)CREF(BgL_new2016z00_3753))->BgL_exprza2za2) = ((obj_t)BgL_exprza22015za2_671), BUNSPEC); 
BgL_res4483z00_3771 = BgL_new2016z00_3753; BgL_res4483z00_3771; } 
return BgL_new2016z00_3753;} } 
}



/* _make-extern */
obj_t BGl__makezd2externzd2zzast_nodez00(obj_t BgL_envz00_5574, obj_t BgL_loc2011z00_5575, obj_t BgL_type2012z00_5576, obj_t BgL_sidezd2effectzf32013z21_5577, obj_t BgL_key2014z00_5578, obj_t BgL_exprza22015za2_5579)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_auxz00_8290;
BgL_auxz00_8290 = 
BGl_makezd2externzd2zzast_nodez00(BgL_loc2011z00_5575, 
(BgL_typez00_bglt)(BgL_type2012z00_5576), BgL_sidezd2effectzf32013z21_5577, BgL_key2014z00_5578, BgL_exprza22015za2_5579); 
return 
(obj_t)(BgL_auxz00_8290);} } 
}



/* allocate-extern */
BgL_externz00_bglt BGl_allocatezd2externzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_new2018z00_3772;
BgL_new2018z00_3772 = 
((BgL_externz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_externz00_bgl) ))); 
{ /* Ast/node.scm 80 */
long BgL_arg3946z00_3773;
BgL_arg3946z00_3773 = 
BGl_classzd2numzd2zz__objectz00(BGl_externz00zzast_nodez00); 
{ /* Ast/node.scm 80 */
BgL_objectz00_bglt BgL_auxz00_8296;
BgL_auxz00_8296 = 
(BgL_objectz00_bglt)(BgL_new2018z00_3772); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8296, BgL_arg3946z00_3773); } } 
{ /* Ast/node.scm 80 */
BgL_objectz00_bglt BgL_auxz00_8299;
BgL_auxz00_8299 = 
(BgL_objectz00_bglt)(BgL_new2018z00_3772); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8299, BFALSE); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_8302;
BgL_auxz00_8302 = 
(obj_t)(BgL_new2018z00_3772); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8302); } BUNSPEC; 
return BgL_new2018z00_3772;} } 
}



/* _allocate-extern */
obj_t BGl__allocatezd2externzd2zzast_nodez00(obj_t BgL_envz00_5580)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_auxz00_8305;
BgL_auxz00_8305 = 
BGl_allocatezd2externzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8305);} } 
}



/* extern-expr*-set! */
obj_t BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt BgL_obj1998z00_682, obj_t BgL_val1997z00_683)
{ AN_OBJECT;
{ /* Ast/node.scm 82 */
return 
((((BgL_externz00_bglt)CREF(BgL_obj1998z00_682))->BgL_exprza2za2) = ((obj_t)BgL_val1997z00_683), BUNSPEC);} 
}



/* _extern-expr*-set! */
obj_t BGl__externzd2exprza2zd2setz12zb0zzast_nodez00(obj_t BgL_envz00_5583, obj_t BgL_obj1998z00_5584, obj_t BgL_val1997z00_5585)
{ AN_OBJECT;
{ /* Ast/node.scm 82 */
return 
BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(
(BgL_externz00_bglt)(BgL_obj1998z00_5584), BgL_val1997z00_5585);} 
}



/* extern-expr* */
obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt BgL_obj1996z00_684)
{ AN_OBJECT;
{ /* Ast/node.scm 82 */
return 
(((BgL_externz00_bglt)CREF(BgL_obj1996z00_684))->BgL_exprza2za2);} 
}



/* _extern-expr* */
obj_t BGl__externzd2exprza2z70zzast_nodez00(obj_t BgL_envz00_5581, obj_t BgL_obj1996z00_5582)
{ AN_OBJECT;
{ /* Ast/node.scm 82 */
return 
BGl_externzd2exprza2z70zzast_nodez00(
(BgL_externz00_bglt)(BgL_obj1996z00_5582));} 
}



/* funcall? */
bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_obj1985z00_685)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1985z00_685, BGl_funcallz00zzast_nodez00);} 
}



/* _funcall? */
obj_t BGl__funcallzf3zf3zzast_nodez00(obj_t BgL_envz00_6142, obj_t BgL_obj1985z00_6143)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
bool_t BgL_auxz00_8315;
BgL_auxz00_8315 = 
BGl_funcallzf3zf3zzast_nodez00(BgL_obj1985z00_6143); 
return 
BBOOL(BgL_auxz00_8315);} } 
}



/* fill-funcall! */
BgL_funcallz00_bglt BGl_fillzd2funcallz12zc0zzast_nodez00(BgL_funcallz00_bglt BgL_new1948z00_689, obj_t BgL_loc1943z00_690, BgL_typez00_bglt BgL_type1944z00_691, BgL_nodez00_bglt BgL_fun1945z00_692, obj_t BgL_args1946z00_693, obj_t BgL_strength1947z00_694)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
((((BgL_funcallz00_bglt)CREF(BgL_new1948z00_689))->BgL_locz00) = ((obj_t)BgL_loc1943z00_690), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1948z00_689))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1944z00_691), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1948z00_689))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1945z00_692), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1948z00_689))->BgL_argsz00) = ((obj_t)BgL_args1946z00_693), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1948z00_689))->BgL_strengthz00) = ((obj_t)BgL_strength1947z00_694), BUNSPEC); 
return BgL_new1948z00_689;} 
}



/* _fill-funcall! */
obj_t BGl__fillzd2funcallz12zc0zzast_nodez00(obj_t BgL_envz00_6144, obj_t BgL_new1948z00_6145, obj_t BgL_loc1943z00_6146, obj_t BgL_type1944z00_6147, obj_t BgL_fun1945z00_6148, obj_t BgL_args1946z00_6149, obj_t BgL_strength1947z00_6150)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_auxz00_8323;
BgL_auxz00_8323 = 
BGl_fillzd2funcallz12zc0zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_new1948z00_6145), BgL_loc1943z00_6146, 
(BgL_typez00_bglt)(BgL_type1944z00_6147), 
(BgL_nodez00_bglt)(BgL_fun1945z00_6148), BgL_args1946z00_6149, BgL_strength1947z00_6150); 
return 
(obj_t)(BgL_auxz00_8323);} } 
}



/* make-funcall */
BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t BgL_loc1955z00_695, BgL_typez00_bglt BgL_type1956z00_696, BgL_nodez00_bglt BgL_fun1957z00_697, obj_t BgL_args1958z00_698, obj_t BgL_strength1959z00_699)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_new1960z00_3782;
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_res4484z00_3788;
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_new1962z00_3783;
BgL_new1962z00_3783 = 
((BgL_funcallz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funcallz00_bgl) ))); 
{ /* Ast/node.scm 70 */
long BgL_arg3947z00_3784;
BgL_arg3947z00_3784 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallz00zzast_nodez00); 
{ /* Ast/node.scm 70 */
BgL_objectz00_bglt BgL_auxz00_8331;
BgL_auxz00_8331 = 
(BgL_objectz00_bglt)(BgL_new1962z00_3783); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8331, BgL_arg3947z00_3784); } } 
{ /* Ast/node.scm 70 */
BgL_objectz00_bglt BgL_auxz00_8334;
BgL_auxz00_8334 = 
(BgL_objectz00_bglt)(BgL_new1962z00_3783); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8334, BFALSE); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_8337;
BgL_auxz00_8337 = 
(obj_t)(BgL_new1962z00_3783); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8337); } BUNSPEC; 
BgL_res4484z00_3788 = BgL_new1962z00_3783; } 
BgL_new1960z00_3782 = BgL_res4484z00_3788; } 
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_res4485z00_3800;
((((BgL_funcallz00_bglt)CREF(BgL_new1960z00_3782))->BgL_locz00) = ((obj_t)BgL_loc1955z00_695), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1960z00_3782))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1956z00_696), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1960z00_3782))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1957z00_697), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1960z00_3782))->BgL_argsz00) = ((obj_t)BgL_args1958z00_698), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1960z00_3782))->BgL_strengthz00) = ((obj_t)BgL_strength1959z00_699), BUNSPEC); 
BgL_res4485z00_3800 = BgL_new1960z00_3782; BgL_res4485z00_3800; } 
return BgL_new1960z00_3782;} } 
}



/* _make-funcall */
obj_t BGl__makezd2funcallzd2zzast_nodez00(obj_t BgL_envz00_5552, obj_t BgL_loc1955z00_5553, obj_t BgL_type1956z00_5554, obj_t BgL_fun1957z00_5555, obj_t BgL_args1958z00_5556, obj_t BgL_strength1959z00_5557)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_auxz00_8345;
BgL_auxz00_8345 = 
BGl_makezd2funcallzd2zzast_nodez00(BgL_loc1955z00_5553, 
(BgL_typez00_bglt)(BgL_type1956z00_5554), 
(BgL_nodez00_bglt)(BgL_fun1957z00_5555), BgL_args1958z00_5556, BgL_strength1959z00_5557); 
return 
(obj_t)(BgL_auxz00_8345);} } 
}



/* allocate-funcall */
BgL_funcallz00_bglt BGl_allocatezd2funcallzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_new1962z00_3801;
BgL_new1962z00_3801 = 
((BgL_funcallz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funcallz00_bgl) ))); 
{ /* Ast/node.scm 70 */
long BgL_arg3947z00_3802;
BgL_arg3947z00_3802 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallz00zzast_nodez00); 
{ /* Ast/node.scm 70 */
BgL_objectz00_bglt BgL_auxz00_8352;
BgL_auxz00_8352 = 
(BgL_objectz00_bglt)(BgL_new1962z00_3801); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8352, BgL_arg3947z00_3802); } } 
{ /* Ast/node.scm 70 */
BgL_objectz00_bglt BgL_auxz00_8355;
BgL_auxz00_8355 = 
(BgL_objectz00_bglt)(BgL_new1962z00_3801); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8355, BFALSE); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_8358;
BgL_auxz00_8358 = 
(obj_t)(BgL_new1962z00_3801); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8358); } BUNSPEC; 
return BgL_new1962z00_3801;} } 
}



/* _allocate-funcall */
obj_t BGl__allocatezd2funcallzd2zzast_nodez00(obj_t BgL_envz00_5558)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_auxz00_8361;
BgL_auxz00_8361 = 
BGl_allocatezd2funcallzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8361);} } 
}



/* funcall-fun-set! */
obj_t BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_obj1936z00_704, BgL_nodez00_bglt BgL_val1935z00_705)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
((((BgL_funcallz00_bglt)CREF(BgL_obj1936z00_704))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1935z00_705), BUNSPEC);} 
}



/* _funcall-fun-set! */
obj_t BGl__funcallzd2funzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5561, obj_t BgL_obj1936z00_5562, obj_t BgL_val1935z00_5563)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
BGl_funcallzd2funzd2setz12z12zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1936z00_5562), 
(BgL_nodez00_bglt)(BgL_val1935z00_5563));} 
}



/* funcall-fun */
BgL_nodez00_bglt BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_obj1934z00_706)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
(((BgL_funcallz00_bglt)CREF(BgL_obj1934z00_706))->BgL_funz00);} 
}



/* _funcall-fun */
obj_t BGl__funcallzd2funzd2zzast_nodez00(obj_t BgL_envz00_5559, obj_t BgL_obj1934z00_5560)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ /* Ast/node.scm 70 */
BgL_nodez00_bglt BgL_auxz00_8369;
BgL_auxz00_8369 = 
BGl_funcallzd2funzd2zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1934z00_5560)); 
return 
(obj_t)(BgL_auxz00_8369);} } 
}



/* funcall-args-set! */
obj_t BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_obj1939z00_707, obj_t BgL_val1938z00_708)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
((((BgL_funcallz00_bglt)CREF(BgL_obj1939z00_707))->BgL_argsz00) = ((obj_t)BgL_val1938z00_708), BUNSPEC);} 
}



/* _funcall-args-set! */
obj_t BGl__funcallzd2argszd2setz12z12zzast_nodez00(obj_t BgL_envz00_5566, obj_t BgL_obj1939z00_5567, obj_t BgL_val1938z00_5568)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
BGl_funcallzd2argszd2setz12z12zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1939z00_5567), BgL_val1938z00_5568);} 
}



/* funcall-args */
obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt BgL_obj1937z00_709)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
(((BgL_funcallz00_bglt)CREF(BgL_obj1937z00_709))->BgL_argsz00);} 
}



/* _funcall-args */
obj_t BGl__funcallzd2argszd2zzast_nodez00(obj_t BgL_envz00_5564, obj_t BgL_obj1937z00_5565)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
return 
BGl_funcallzd2argszd2zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1937z00_5565));} 
}



/* funcall-strength-set! */
obj_t BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_obj1942z00_710, obj_t BgL_val1941z00_711)
{ AN_OBJECT;
{ /* Ast/node.scm 77 */
return 
((((BgL_funcallz00_bglt)CREF(BgL_obj1942z00_710))->BgL_strengthz00) = ((obj_t)BgL_val1941z00_711), BUNSPEC);} 
}



/* _funcall-strength-set! */
obj_t BGl__funcallzd2strengthzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5571, obj_t BgL_obj1942z00_5572, obj_t BgL_val1941z00_5573)
{ AN_OBJECT;
{ /* Ast/node.scm 77 */
return 
BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1942z00_5572), BgL_val1941z00_5573);} 
}



/* funcall-strength */
obj_t BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_obj1940z00_712)
{ AN_OBJECT;
{ /* Ast/node.scm 77 */
return 
(((BgL_funcallz00_bglt)CREF(BgL_obj1940z00_712))->BgL_strengthz00);} 
}



/* _funcall-strength */
obj_t BGl__funcallzd2strengthzd2zzast_nodez00(obj_t BgL_envz00_5569, obj_t BgL_obj1940z00_5570)
{ AN_OBJECT;
{ /* Ast/node.scm 77 */
return 
BGl_funcallzd2strengthzd2zzast_nodez00(
(BgL_funcallz00_bglt)(BgL_obj1940z00_5570));} 
}



/* app-ly? */
bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_obj1929z00_713)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1929z00_713, BGl_appzd2lyzd2zzast_nodez00);} 
}



/* _app-ly? */
obj_t BGl__appzd2lyzf3z21zzast_nodez00(obj_t BgL_envz00_6151, obj_t BgL_obj1929z00_6152)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
bool_t BgL_auxz00_8386;
BgL_auxz00_8386 = 
BGl_appzd2lyzf3z21zzast_nodez00(BgL_obj1929z00_6152); 
return 
BBOOL(BgL_auxz00_8386);} } 
}



/* fill-app-ly! */
BgL_appzd2lyzd2_bglt BGl_fillzd2appzd2lyz12z12zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_new1898z00_717, obj_t BgL_loc1894z00_718, BgL_typez00_bglt BgL_type1895z00_719, BgL_nodez00_bglt BgL_fun1896z00_720, BgL_nodez00_bglt BgL_arg1897z00_721)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1898z00_717))->BgL_locz00) = ((obj_t)BgL_loc1894z00_718), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1898z00_717))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1895z00_719), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1898z00_717))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1896z00_720), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1898z00_717))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg1897z00_721), BUNSPEC); 
return BgL_new1898z00_717;} 
}



/* _fill-app-ly! */
obj_t BGl__fillzd2appzd2lyz12z12zzast_nodez00(obj_t BgL_envz00_6153, obj_t BgL_new1898z00_6154, obj_t BgL_loc1894z00_6155, obj_t BgL_type1895z00_6156, obj_t BgL_fun1896z00_6157, obj_t BgL_arg1897z00_6158)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_auxz00_8393;
BgL_auxz00_8393 = 
BGl_fillzd2appzd2lyz12z12zzast_nodez00(
(BgL_appzd2lyzd2_bglt)(BgL_new1898z00_6154), BgL_loc1894z00_6155, 
(BgL_typez00_bglt)(BgL_type1895z00_6156), 
(BgL_nodez00_bglt)(BgL_fun1896z00_6157), 
(BgL_nodez00_bglt)(BgL_arg1897z00_6158)); 
return 
(obj_t)(BgL_auxz00_8393);} } 
}



/* make-app-ly */
BgL_appzd2lyzd2_bglt BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1904z00_722, BgL_typez00_bglt BgL_type1905z00_723, BgL_nodez00_bglt BgL_fun1906z00_724, BgL_nodez00_bglt BgL_arg1907z00_725)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_new1908z00_3810;
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_res4486z00_3816;
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_new1910z00_3811;
BgL_new1910z00_3811 = 
((BgL_appzd2lyzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appzd2lyzd2_bgl) ))); 
{ /* Ast/node.scm 63 */
long BgL_arg3948z00_3812;
BgL_arg3948z00_3812 = 
BGl_classzd2numzd2zz__objectz00(BGl_appzd2lyzd2zzast_nodez00); 
{ /* Ast/node.scm 63 */
BgL_objectz00_bglt BgL_auxz00_8402;
BgL_auxz00_8402 = 
(BgL_objectz00_bglt)(BgL_new1910z00_3811); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8402, BgL_arg3948z00_3812); } } 
{ /* Ast/node.scm 63 */
BgL_objectz00_bglt BgL_auxz00_8405;
BgL_auxz00_8405 = 
(BgL_objectz00_bglt)(BgL_new1910z00_3811); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8405, BFALSE); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_8408;
BgL_auxz00_8408 = 
(obj_t)(BgL_new1910z00_3811); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8408); } BUNSPEC; 
BgL_res4486z00_3816 = BgL_new1910z00_3811; } 
BgL_new1908z00_3810 = BgL_res4486z00_3816; } 
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_res4487z00_3826;
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1908z00_3810))->BgL_locz00) = ((obj_t)BgL_loc1904z00_722), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1908z00_3810))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1905z00_723), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1908z00_3810))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1906z00_724), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_new1908z00_3810))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg1907z00_725), BUNSPEC); 
BgL_res4487z00_3826 = BgL_new1908z00_3810; BgL_res4487z00_3826; } 
return BgL_new1908z00_3810;} } 
}



/* _make-app-ly */
obj_t BGl__makezd2appzd2lyz00zzast_nodez00(obj_t BgL_envz00_5536, obj_t BgL_loc1904z00_5537, obj_t BgL_type1905z00_5538, obj_t BgL_fun1906z00_5539, obj_t BgL_arg1907z00_5540)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_auxz00_8415;
BgL_auxz00_8415 = 
BGl_makezd2appzd2lyz00zzast_nodez00(BgL_loc1904z00_5537, 
(BgL_typez00_bglt)(BgL_type1905z00_5538), 
(BgL_nodez00_bglt)(BgL_fun1906z00_5539), 
(BgL_nodez00_bglt)(BgL_arg1907z00_5540)); 
return 
(obj_t)(BgL_auxz00_8415);} } 
}



/* allocate-app-ly */
BgL_appzd2lyzd2_bglt BGl_allocatezd2appzd2lyz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_new1910z00_3827;
BgL_new1910z00_3827 = 
((BgL_appzd2lyzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appzd2lyzd2_bgl) ))); 
{ /* Ast/node.scm 63 */
long BgL_arg3948z00_3828;
BgL_arg3948z00_3828 = 
BGl_classzd2numzd2zz__objectz00(BGl_appzd2lyzd2zzast_nodez00); 
{ /* Ast/node.scm 63 */
BgL_objectz00_bglt BgL_auxz00_8423;
BgL_auxz00_8423 = 
(BgL_objectz00_bglt)(BgL_new1910z00_3827); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8423, BgL_arg3948z00_3828); } } 
{ /* Ast/node.scm 63 */
BgL_objectz00_bglt BgL_auxz00_8426;
BgL_auxz00_8426 = 
(BgL_objectz00_bglt)(BgL_new1910z00_3827); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8426, BFALSE); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_8429;
BgL_auxz00_8429 = 
(obj_t)(BgL_new1910z00_3827); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8429); } BUNSPEC; 
return BgL_new1910z00_3827;} } 
}



/* _allocate-app-ly */
obj_t BGl__allocatezd2appzd2lyz00zzast_nodez00(obj_t BgL_envz00_5541)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_auxz00_8432;
BgL_auxz00_8432 = 
BGl_allocatezd2appzd2lyz00zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8432);} } 
}



/* app-ly-fun-set! */
obj_t BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_obj1890z00_730, BgL_nodez00_bglt BgL_val1889z00_731)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1890z00_730))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1889z00_731), BUNSPEC);} 
}



/* _app-ly-fun-set! */
obj_t BGl__appzd2lyzd2funzd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5544, obj_t BgL_obj1890z00_5545, obj_t BgL_val1889z00_5546)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(
(BgL_appzd2lyzd2_bglt)(BgL_obj1890z00_5545), 
(BgL_nodez00_bglt)(BgL_val1889z00_5546));} 
}



/* app-ly-fun */
BgL_nodez00_bglt BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_obj1888z00_732)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1888z00_732))->BgL_funz00);} 
}



/* _app-ly-fun */
obj_t BGl__appzd2lyzd2funz00zzast_nodez00(obj_t BgL_envz00_5542, obj_t BgL_obj1888z00_5543)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_auxz00_8440;
BgL_auxz00_8440 = 
BGl_appzd2lyzd2funz00zzast_nodez00(
(BgL_appzd2lyzd2_bglt)(BgL_obj1888z00_5543)); 
return 
(obj_t)(BgL_auxz00_8440);} } 
}



/* app-ly-arg-set! */
obj_t BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_obj1893z00_733, BgL_nodez00_bglt BgL_val1892z00_734)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1893z00_733))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1892z00_734), BUNSPEC);} 
}



/* _app-ly-arg-set! */
obj_t BGl__appzd2lyzd2argzd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5549, obj_t BgL_obj1893z00_5550, obj_t BgL_val1892z00_5551)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(
(BgL_appzd2lyzd2_bglt)(BgL_obj1893z00_5550), 
(BgL_nodez00_bglt)(BgL_val1892z00_5551));} 
}



/* app-ly-arg */
BgL_nodez00_bglt BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_obj1891z00_735)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
return 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1891z00_735))->BgL_argz00);} 
}



/* _app-ly-arg */
obj_t BGl__appzd2lyzd2argz00zzast_nodez00(obj_t BgL_envz00_5547, obj_t BgL_obj1891z00_5548)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_auxz00_8449;
BgL_auxz00_8449 = 
BGl_appzd2lyzd2argz00zzast_nodez00(
(BgL_appzd2lyzd2_bglt)(BgL_obj1891z00_5548)); 
return 
(obj_t)(BgL_auxz00_8449);} } 
}



/* app? */
bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_obj1883z00_736)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1883z00_736, BGl_appz00zzast_nodez00);} 
}



/* _app? */
obj_t BGl__appzf3zf3zzast_nodez00(obj_t BgL_envz00_6159, obj_t BgL_obj1883z00_6160)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
bool_t BgL_auxz00_8454;
BgL_auxz00_8454 = 
BGl_appzf3zf3zzast_nodez00(BgL_obj1883z00_6160); 
return 
BBOOL(BgL_auxz00_8454);} } 
}



/* fill-app! */
BgL_appz00_bglt BGl_fillzd2appz12zc0zzast_nodez00(BgL_appz00_bglt BgL_new1840z00_740, obj_t BgL_loc1834z00_741, BgL_typez00_bglt BgL_type1835z00_742, obj_t BgL_sidezd2effectzf31836z21_743, obj_t BgL_key1837z00_744, BgL_varz00_bglt BgL_fun1838z00_745, obj_t BgL_args1839z00_746)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_locz00) = ((obj_t)BgL_loc1834z00_741), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1835z00_742), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31836z21_743), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_keyz00) = ((obj_t)BgL_key1837z00_744), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_funz00) = ((BgL_varz00_bglt)BgL_fun1838z00_745), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1840z00_740))->BgL_argsz00) = ((obj_t)BgL_args1839z00_746), BUNSPEC); 
return BgL_new1840z00_740;} 
}



/* _fill-app! */
obj_t BGl__fillzd2appz12zc0zzast_nodez00(obj_t BgL_envz00_6161, obj_t BgL_new1840z00_6162, obj_t BgL_loc1834z00_6163, obj_t BgL_type1835z00_6164, obj_t BgL_sidezd2effectzf31836z21_6165, obj_t BgL_key1837z00_6166, obj_t BgL_fun1838z00_6167, obj_t BgL_args1839z00_6168)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_auxz00_8463;
BgL_auxz00_8463 = 
BGl_fillzd2appz12zc0zzast_nodez00(
(BgL_appz00_bglt)(BgL_new1840z00_6162), BgL_loc1834z00_6163, 
(BgL_typez00_bglt)(BgL_type1835z00_6164), BgL_sidezd2effectzf31836z21_6165, BgL_key1837z00_6166, 
(BgL_varz00_bglt)(BgL_fun1838z00_6167), BgL_args1839z00_6168); 
return 
(obj_t)(BgL_auxz00_8463);} } 
}



/* make-app */
BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t BgL_loc1848z00_747, BgL_typez00_bglt BgL_type1849z00_748, obj_t BgL_sidezd2effectzf31850z21_749, obj_t BgL_key1851z00_750, BgL_varz00_bglt BgL_fun1852z00_751, obj_t BgL_args1853z00_752)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_new1854z00_3838;
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_res4488z00_3844;
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_new1856z00_3839;
BgL_new1856z00_3839 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/node.scm 56 */
long BgL_arg3949z00_3840;
BgL_arg3949z00_3840 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/node.scm 56 */
BgL_objectz00_bglt BgL_auxz00_8471;
BgL_auxz00_8471 = 
(BgL_objectz00_bglt)(BgL_new1856z00_3839); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8471, BgL_arg3949z00_3840); } } 
{ /* Ast/node.scm 56 */
BgL_objectz00_bglt BgL_auxz00_8474;
BgL_auxz00_8474 = 
(BgL_objectz00_bglt)(BgL_new1856z00_3839); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8474, BFALSE); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_8477;
BgL_auxz00_8477 = 
(obj_t)(BgL_new1856z00_3839); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8477); } BUNSPEC; 
BgL_res4488z00_3844 = BgL_new1856z00_3839; } 
BgL_new1854z00_3838 = BgL_res4488z00_3844; } 
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_res4489z00_3858;
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_locz00) = ((obj_t)BgL_loc1848z00_747), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1849z00_748), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31850z21_749), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_keyz00) = ((obj_t)BgL_key1851z00_750), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_funz00) = ((BgL_varz00_bglt)BgL_fun1852z00_751), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1854z00_3838))->BgL_argsz00) = ((obj_t)BgL_args1853z00_752), BUNSPEC); 
BgL_res4489z00_3858 = BgL_new1854z00_3838; BgL_res4489z00_3858; } 
return BgL_new1854z00_3838;} } 
}



/* _make-app */
obj_t BGl__makezd2appzd2zzast_nodez00(obj_t BgL_envz00_5518, obj_t BgL_loc1848z00_5519, obj_t BgL_type1849z00_5520, obj_t BgL_sidezd2effectzf31850z21_5521, obj_t BgL_key1851z00_5522, obj_t BgL_fun1852z00_5523, obj_t BgL_args1853z00_5524)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_auxz00_8486;
BgL_auxz00_8486 = 
BGl_makezd2appzd2zzast_nodez00(BgL_loc1848z00_5519, 
(BgL_typez00_bglt)(BgL_type1849z00_5520), BgL_sidezd2effectzf31850z21_5521, BgL_key1851z00_5522, 
(BgL_varz00_bglt)(BgL_fun1852z00_5523), BgL_args1853z00_5524); 
return 
(obj_t)(BgL_auxz00_8486);} } 
}



/* allocate-app */
BgL_appz00_bglt BGl_allocatezd2appzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_new1856z00_3859;
BgL_new1856z00_3859 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/node.scm 56 */
long BgL_arg3949z00_3860;
BgL_arg3949z00_3860 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/node.scm 56 */
BgL_objectz00_bglt BgL_auxz00_8493;
BgL_auxz00_8493 = 
(BgL_objectz00_bglt)(BgL_new1856z00_3859); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8493, BgL_arg3949z00_3860); } } 
{ /* Ast/node.scm 56 */
BgL_objectz00_bglt BgL_auxz00_8496;
BgL_auxz00_8496 = 
(BgL_objectz00_bglt)(BgL_new1856z00_3859); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8496, BFALSE); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_8499;
BgL_auxz00_8499 = 
(obj_t)(BgL_new1856z00_3859); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8499); } BUNSPEC; 
return BgL_new1856z00_3859;} } 
}



/* _allocate-app */
obj_t BGl__allocatezd2appzd2zzast_nodez00(obj_t BgL_envz00_5525)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_auxz00_8502;
BgL_auxz00_8502 = 
BGl_allocatezd2appzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8502);} } 
}



/* app-fun-set! */
obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt BgL_obj1830z00_763, BgL_varz00_bglt BgL_val1829z00_764)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
((((BgL_appz00_bglt)CREF(BgL_obj1830z00_763))->BgL_funz00) = ((BgL_varz00_bglt)BgL_val1829z00_764), BUNSPEC);} 
}



/* _app-fun-set! */
obj_t BGl__appzd2funzd2setz12z12zzast_nodez00(obj_t BgL_envz00_5528, obj_t BgL_obj1830z00_5529, obj_t BgL_val1829z00_5530)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
BGl_appzd2funzd2setz12z12zzast_nodez00(
(BgL_appz00_bglt)(BgL_obj1830z00_5529), 
(BgL_varz00_bglt)(BgL_val1829z00_5530));} 
}



/* app-fun */
BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt BgL_obj1828z00_765)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
(((BgL_appz00_bglt)CREF(BgL_obj1828z00_765))->BgL_funz00);} 
}



/* _app-fun */
obj_t BGl__appzd2funzd2zzast_nodez00(obj_t BgL_envz00_5526, obj_t BgL_obj1828z00_5527)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ /* Ast/node.scm 56 */
BgL_varz00_bglt BgL_auxz00_8510;
BgL_auxz00_8510 = 
BGl_appzd2funzd2zzast_nodez00(
(BgL_appz00_bglt)(BgL_obj1828z00_5527)); 
return 
(obj_t)(BgL_auxz00_8510);} } 
}



/* app-args-set! */
obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt BgL_obj1833z00_766, obj_t BgL_val1832z00_767)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
((((BgL_appz00_bglt)CREF(BgL_obj1833z00_766))->BgL_argsz00) = ((obj_t)BgL_val1832z00_767), BUNSPEC);} 
}



/* _app-args-set! */
obj_t BGl__appzd2argszd2setz12z12zzast_nodez00(obj_t BgL_envz00_5533, obj_t BgL_obj1833z00_5534, obj_t BgL_val1832z00_5535)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
BGl_appzd2argszd2setz12z12zzast_nodez00(
(BgL_appz00_bglt)(BgL_obj1833z00_5534), BgL_val1832z00_5535);} 
}



/* app-args */
obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt BgL_obj1831z00_768)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
(((BgL_appz00_bglt)CREF(BgL_obj1831z00_768))->BgL_argsz00);} 
}



/* _app-args */
obj_t BGl__appzd2argszd2zzast_nodez00(obj_t BgL_envz00_5531, obj_t BgL_obj1831z00_5532)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
return 
BGl_appzd2argszd2zzast_nodez00(
(BgL_appz00_bglt)(BgL_obj1831z00_5532));} 
}



/* sequence? */
bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_obj1817z00_769)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1817z00_769, BGl_sequencez00zzast_nodez00);} 
}



/* _sequence? */
obj_t BGl__sequencezf3zf3zzast_nodez00(obj_t BgL_envz00_6169, obj_t BgL_obj1817z00_6170)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
bool_t BgL_auxz00_8521;
BgL_auxz00_8521 = 
BGl_sequencezf3zf3zzast_nodez00(BgL_obj1817z00_6170); 
return 
BBOOL(BgL_auxz00_8521);} } 
}



/* fill-sequence! */
BgL_sequencez00_bglt BGl_fillzd2sequencez12zc0zzast_nodez00(BgL_sequencez00_bglt BgL_new1780z00_773, obj_t BgL_loc1775z00_774, BgL_typez00_bglt BgL_type1776z00_775, obj_t BgL_sidezd2effectzf31777z21_776, obj_t BgL_key1778z00_777, obj_t BgL_nodes1779z00_778)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
((((BgL_sequencez00_bglt)CREF(BgL_new1780z00_773))->BgL_locz00) = ((obj_t)BgL_loc1775z00_774), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1780z00_773))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1776z00_775), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1780z00_773))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31777z21_776), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1780z00_773))->BgL_keyz00) = ((obj_t)BgL_key1778z00_777), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1780z00_773))->BgL_nodesz00) = ((obj_t)BgL_nodes1779z00_778), BUNSPEC); 
return BgL_new1780z00_773;} 
}



/* _fill-sequence! */
obj_t BGl__fillzd2sequencez12zc0zzast_nodez00(obj_t BgL_envz00_6171, obj_t BgL_new1780z00_6172, obj_t BgL_loc1775z00_6173, obj_t BgL_type1776z00_6174, obj_t BgL_sidezd2effectzf31777z21_6175, obj_t BgL_key1778z00_6176, obj_t BgL_nodes1779z00_6177)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_auxz00_8529;
BgL_auxz00_8529 = 
BGl_fillzd2sequencez12zc0zzast_nodez00(
(BgL_sequencez00_bglt)(BgL_new1780z00_6172), BgL_loc1775z00_6173, 
(BgL_typez00_bglt)(BgL_type1776z00_6174), BgL_sidezd2effectzf31777z21_6175, BgL_key1778z00_6176, BgL_nodes1779z00_6177); 
return 
(obj_t)(BgL_auxz00_8529);} } 
}



/* make-sequence */
BgL_sequencez00_bglt BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1787z00_779, BgL_typez00_bglt BgL_type1788z00_780, obj_t BgL_sidezd2effectzf31789z21_781, obj_t BgL_key1790z00_782, obj_t BgL_nodes1791z00_783)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_new1792z00_3869;
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_res4490z00_3875;
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_new1794z00_3870;
BgL_new1794z00_3870 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Ast/node.scm 52 */
long BgL_arg3950z00_3871;
BgL_arg3950z00_3871 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Ast/node.scm 52 */
BgL_objectz00_bglt BgL_auxz00_8536;
BgL_auxz00_8536 = 
(BgL_objectz00_bglt)(BgL_new1794z00_3870); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8536, BgL_arg3950z00_3871); } } 
{ /* Ast/node.scm 52 */
BgL_objectz00_bglt BgL_auxz00_8539;
BgL_auxz00_8539 = 
(BgL_objectz00_bglt)(BgL_new1794z00_3870); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8539, BFALSE); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_8542;
BgL_auxz00_8542 = 
(obj_t)(BgL_new1794z00_3870); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8542); } BUNSPEC; 
BgL_res4490z00_3875 = BgL_new1794z00_3870; } 
BgL_new1792z00_3869 = BgL_res4490z00_3875; } 
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_res4491z00_3887;
((((BgL_sequencez00_bglt)CREF(BgL_new1792z00_3869))->BgL_locz00) = ((obj_t)BgL_loc1787z00_779), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1792z00_3869))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1788z00_780), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1792z00_3869))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31789z21_781), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1792z00_3869))->BgL_keyz00) = ((obj_t)BgL_key1790z00_782), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1792z00_3869))->BgL_nodesz00) = ((obj_t)BgL_nodes1791z00_783), BUNSPEC); 
BgL_res4491z00_3887 = BgL_new1792z00_3869; BgL_res4491z00_3887; } 
return BgL_new1792z00_3869;} } 
}



/* _make-sequence */
obj_t BGl__makezd2sequencezd2zzast_nodez00(obj_t BgL_envz00_5509, obj_t BgL_loc1787z00_5510, obj_t BgL_type1788z00_5511, obj_t BgL_sidezd2effectzf31789z21_5512, obj_t BgL_key1790z00_5513, obj_t BgL_nodes1791z00_5514)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_auxz00_8550;
BgL_auxz00_8550 = 
BGl_makezd2sequencezd2zzast_nodez00(BgL_loc1787z00_5510, 
(BgL_typez00_bglt)(BgL_type1788z00_5511), BgL_sidezd2effectzf31789z21_5512, BgL_key1790z00_5513, BgL_nodes1791z00_5514); 
return 
(obj_t)(BgL_auxz00_8550);} } 
}



/* allocate-sequence */
BgL_sequencez00_bglt BGl_allocatezd2sequencezd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_new1794z00_3888;
BgL_new1794z00_3888 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Ast/node.scm 52 */
long BgL_arg3950z00_3889;
BgL_arg3950z00_3889 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Ast/node.scm 52 */
BgL_objectz00_bglt BgL_auxz00_8556;
BgL_auxz00_8556 = 
(BgL_objectz00_bglt)(BgL_new1794z00_3888); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8556, BgL_arg3950z00_3889); } } 
{ /* Ast/node.scm 52 */
BgL_objectz00_bglt BgL_auxz00_8559;
BgL_auxz00_8559 = 
(BgL_objectz00_bglt)(BgL_new1794z00_3888); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8559, BFALSE); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_8562;
BgL_auxz00_8562 = 
(obj_t)(BgL_new1794z00_3888); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8562); } BUNSPEC; 
return BgL_new1794z00_3888;} } 
}



/* _allocate-sequence */
obj_t BGl__allocatezd2sequencezd2zzast_nodez00(obj_t BgL_envz00_5515)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_auxz00_8565;
BgL_auxz00_8565 = 
BGl_allocatezd2sequencezd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8565);} } 
}



/* sequence-nodes */
obj_t BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_obj1774z00_794)
{ AN_OBJECT;
{ /* Ast/node.scm 53 */
return 
(((BgL_sequencez00_bglt)CREF(BgL_obj1774z00_794))->BgL_nodesz00);} 
}



/* _sequence-nodes */
obj_t BGl__sequencezd2nodeszd2zzast_nodez00(obj_t BgL_envz00_5516, obj_t BgL_obj1774z00_5517)
{ AN_OBJECT;
{ /* Ast/node.scm 53 */
return 
BGl_sequencezd2nodeszd2zzast_nodez00(
(BgL_sequencez00_bglt)(BgL_obj1774z00_5517));} 
}



/* kwote? */
bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_obj1763z00_795)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1763z00_795, BGl_kwotez00zzast_nodez00);} 
}



/* _kwote? */
obj_t BGl__kwotezf3zf3zzast_nodez00(obj_t BgL_envz00_6178, obj_t BgL_obj1763z00_6179)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
bool_t BgL_auxz00_8572;
BgL_auxz00_8572 = 
BGl_kwotezf3zf3zzast_nodez00(BgL_obj1763z00_6179); 
return 
BBOOL(BgL_auxz00_8572);} } 
}



/* fill-kwote! */
BgL_kwotez00_bglt BGl_fillzd2kwotez12zc0zzast_nodez00(BgL_kwotez00_bglt BgL_new1738z00_799, obj_t BgL_loc1735z00_800, BgL_typez00_bglt BgL_type1736z00_801, obj_t BgL_value1737z00_802)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
((((BgL_kwotez00_bglt)CREF(BgL_new1738z00_799))->BgL_locz00) = ((obj_t)BgL_loc1735z00_800), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1738z00_799))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1736z00_801), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1738z00_799))->BgL_valuez00) = ((obj_t)BgL_value1737z00_802), BUNSPEC); 
return BgL_new1738z00_799;} 
}



/* _fill-kwote! */
obj_t BGl__fillzd2kwotez12zc0zzast_nodez00(obj_t BgL_envz00_6180, obj_t BgL_new1738z00_6181, obj_t BgL_loc1735z00_6182, obj_t BgL_type1736z00_6183, obj_t BgL_value1737z00_6184)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_auxz00_8578;
BgL_auxz00_8578 = 
BGl_fillzd2kwotez12zc0zzast_nodez00(
(BgL_kwotez00_bglt)(BgL_new1738z00_6181), BgL_loc1735z00_6182, 
(BgL_typez00_bglt)(BgL_type1736z00_6183), BgL_value1737z00_6184); 
return 
(obj_t)(BgL_auxz00_8578);} } 
}



/* make-kwote */
BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t BgL_loc1743z00_803, BgL_typez00_bglt BgL_type1744z00_804, obj_t BgL_value1745z00_805)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_new1746z00_3896;
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_res4492z00_3902;
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_new1748z00_3897;
BgL_new1748z00_3897 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Ast/node.scm 47 */
long BgL_arg3951z00_3898;
BgL_arg3951z00_3898 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Ast/node.scm 47 */
BgL_objectz00_bglt BgL_auxz00_8585;
BgL_auxz00_8585 = 
(BgL_objectz00_bglt)(BgL_new1748z00_3897); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8585, BgL_arg3951z00_3898); } } 
{ /* Ast/node.scm 47 */
BgL_objectz00_bglt BgL_auxz00_8588;
BgL_auxz00_8588 = 
(BgL_objectz00_bglt)(BgL_new1748z00_3897); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8588, BFALSE); } 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_8591;
BgL_auxz00_8591 = 
(obj_t)(BgL_new1748z00_3897); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8591); } BUNSPEC; 
BgL_res4492z00_3902 = BgL_new1748z00_3897; } 
BgL_new1746z00_3896 = BgL_res4492z00_3902; } 
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_res4493z00_3910;
((((BgL_kwotez00_bglt)CREF(BgL_new1746z00_3896))->BgL_locz00) = ((obj_t)BgL_loc1743z00_803), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1746z00_3896))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1744z00_804), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1746z00_3896))->BgL_valuez00) = ((obj_t)BgL_value1745z00_805), BUNSPEC); 
BgL_res4493z00_3910 = BgL_new1746z00_3896; BgL_res4493z00_3910; } 
return BgL_new1746z00_3896;} } 
}



/* _make-kwote */
obj_t BGl__makezd2kwotezd2zzast_nodez00(obj_t BgL_envz00_5502, obj_t BgL_loc1743z00_5503, obj_t BgL_type1744z00_5504, obj_t BgL_value1745z00_5505)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_auxz00_8597;
BgL_auxz00_8597 = 
BGl_makezd2kwotezd2zzast_nodez00(BgL_loc1743z00_5503, 
(BgL_typez00_bglt)(BgL_type1744z00_5504), BgL_value1745z00_5505); 
return 
(obj_t)(BgL_auxz00_8597);} } 
}



/* allocate-kwote */
BgL_kwotez00_bglt BGl_allocatezd2kwotezd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_new1748z00_3911;
BgL_new1748z00_3911 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Ast/node.scm 47 */
long BgL_arg3951z00_3912;
BgL_arg3951z00_3912 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Ast/node.scm 47 */
BgL_objectz00_bglt BgL_auxz00_8603;
BgL_auxz00_8603 = 
(BgL_objectz00_bglt)(BgL_new1748z00_3911); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8603, BgL_arg3951z00_3912); } } 
{ /* Ast/node.scm 47 */
BgL_objectz00_bglt BgL_auxz00_8606;
BgL_auxz00_8606 = 
(BgL_objectz00_bglt)(BgL_new1748z00_3911); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8606, BFALSE); } 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_8609;
BgL_auxz00_8609 = 
(obj_t)(BgL_new1748z00_3911); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8609); } BUNSPEC; 
return BgL_new1748z00_3911;} } 
}



/* _allocate-kwote */
obj_t BGl__allocatezd2kwotezd2zzast_nodez00(obj_t BgL_envz00_5506)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_auxz00_8612;
BgL_auxz00_8612 = 
BGl_allocatezd2kwotezd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8612);} } 
}



/* kwote-value */
obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt BgL_obj1734z00_810)
{ AN_OBJECT;
{ /* Ast/node.scm 49 */
return 
(((BgL_kwotez00_bglt)CREF(BgL_obj1734z00_810))->BgL_valuez00);} 
}



/* _kwote-value */
obj_t BGl__kwotezd2valuezd2zzast_nodez00(obj_t BgL_envz00_5507, obj_t BgL_obj1734z00_5508)
{ AN_OBJECT;
{ /* Ast/node.scm 49 */
return 
BGl_kwotezd2valuezd2zzast_nodez00(
(BgL_kwotez00_bglt)(BgL_obj1734z00_5508));} 
}



/* closure? */
bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_obj1729z00_811)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_811, BGl_closurez00zzast_nodez00);} 
}



/* _closure? */
obj_t BGl__closurezf3zf3zzast_nodez00(obj_t BgL_envz00_6185, obj_t BgL_obj1729z00_6186)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
bool_t BgL_auxz00_8619;
BgL_auxz00_8619 = 
BGl_closurezf3zf3zzast_nodez00(BgL_obj1729z00_6186); 
return 
BBOOL(BgL_auxz00_8619);} } 
}



/* fill-closure! */
BgL_closurez00_bglt BGl_fillzd2closurez12zc0zzast_nodez00(BgL_closurez00_bglt BgL_new1704z00_815, obj_t BgL_loc1701z00_816, BgL_typez00_bglt BgL_type1702z00_817, BgL_variablez00_bglt BgL_variable1703z00_818)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
((((BgL_closurez00_bglt)CREF(BgL_new1704z00_815))->BgL_locz00) = ((obj_t)BgL_loc1701z00_816), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1704z00_815))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1702z00_817), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1704z00_815))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1703z00_818), BUNSPEC); 
return BgL_new1704z00_815;} 
}



/* _fill-closure! */
obj_t BGl__fillzd2closurez12zc0zzast_nodez00(obj_t BgL_envz00_6187, obj_t BgL_new1704z00_6188, obj_t BgL_loc1701z00_6189, obj_t BgL_type1702z00_6190, obj_t BgL_variable1703z00_6191)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_auxz00_8625;
BgL_auxz00_8625 = 
BGl_fillzd2closurez12zc0zzast_nodez00(
(BgL_closurez00_bglt)(BgL_new1704z00_6188), BgL_loc1701z00_6189, 
(BgL_typez00_bglt)(BgL_type1702z00_6190), 
(BgL_variablez00_bglt)(BgL_variable1703z00_6191)); 
return 
(obj_t)(BgL_auxz00_8625);} } 
}



/* make-closure */
BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t BgL_loc1709z00_819, BgL_typez00_bglt BgL_type1710z00_820, BgL_variablez00_bglt BgL_variable1711z00_821)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_new1712z00_3919;
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_res4494z00_3925;
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_new1714z00_3920;
BgL_new1714z00_3920 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/node.scm 44 */
long BgL_arg3952z00_3921;
BgL_arg3952z00_3921 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/node.scm 44 */
BgL_objectz00_bglt BgL_auxz00_8633;
BgL_auxz00_8633 = 
(BgL_objectz00_bglt)(BgL_new1714z00_3920); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8633, BgL_arg3952z00_3921); } } 
{ /* Ast/node.scm 44 */
BgL_objectz00_bglt BgL_auxz00_8636;
BgL_auxz00_8636 = 
(BgL_objectz00_bglt)(BgL_new1714z00_3920); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8636, BFALSE); } 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_8639;
BgL_auxz00_8639 = 
(obj_t)(BgL_new1714z00_3920); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8639); } BUNSPEC; 
BgL_res4494z00_3925 = BgL_new1714z00_3920; } 
BgL_new1712z00_3919 = BgL_res4494z00_3925; } 
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_res4495z00_3933;
((((BgL_closurez00_bglt)CREF(BgL_new1712z00_3919))->BgL_locz00) = ((obj_t)BgL_loc1709z00_819), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1712z00_3919))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1710z00_820), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1712z00_3919))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1711z00_821), BUNSPEC); 
BgL_res4495z00_3933 = BgL_new1712z00_3919; BgL_res4495z00_3933; } 
return BgL_new1712z00_3919;} } 
}



/* _make-closure */
obj_t BGl__makezd2closurezd2zzast_nodez00(obj_t BgL_envz00_5497, obj_t BgL_loc1709z00_5498, obj_t BgL_type1710z00_5499, obj_t BgL_variable1711z00_5500)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_auxz00_8645;
BgL_auxz00_8645 = 
BGl_makezd2closurezd2zzast_nodez00(BgL_loc1709z00_5498, 
(BgL_typez00_bglt)(BgL_type1710z00_5499), 
(BgL_variablez00_bglt)(BgL_variable1711z00_5500)); 
return 
(obj_t)(BgL_auxz00_8645);} } 
}



/* allocate-closure */
BgL_closurez00_bglt BGl_allocatezd2closurezd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_new1714z00_3934;
BgL_new1714z00_3934 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/node.scm 44 */
long BgL_arg3952z00_3935;
BgL_arg3952z00_3935 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/node.scm 44 */
BgL_objectz00_bglt BgL_auxz00_8652;
BgL_auxz00_8652 = 
(BgL_objectz00_bglt)(BgL_new1714z00_3934); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8652, BgL_arg3952z00_3935); } } 
{ /* Ast/node.scm 44 */
BgL_objectz00_bglt BgL_auxz00_8655;
BgL_auxz00_8655 = 
(BgL_objectz00_bglt)(BgL_new1714z00_3934); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8655, BFALSE); } 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_8658;
BgL_auxz00_8658 = 
(obj_t)(BgL_new1714z00_3934); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8658); } BUNSPEC; 
return BgL_new1714z00_3934;} } 
}



/* _allocate-closure */
obj_t BGl__allocatezd2closurezd2zzast_nodez00(obj_t BgL_envz00_5501)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_auxz00_8661;
BgL_auxz00_8661 = 
BGl_allocatezd2closurezd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8661);} } 
}



/* var? */
bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_obj1693z00_829)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1693z00_829, BGl_varz00zzast_nodez00);} 
}



/* _var? */
obj_t BGl__varzf3zf3zzast_nodez00(obj_t BgL_envz00_6192, obj_t BgL_obj1693z00_6193)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
bool_t BgL_auxz00_8665;
BgL_auxz00_8665 = 
BGl_varzf3zf3zzast_nodez00(BgL_obj1693z00_6193); 
return 
BBOOL(BgL_auxz00_8665);} } 
}



/* fill-var! */
BgL_varz00_bglt BGl_fillzd2varz12zc0zzast_nodez00(BgL_varz00_bglt BgL_new1668z00_833, obj_t BgL_loc1665z00_834, BgL_typez00_bglt BgL_type1666z00_835, BgL_variablez00_bglt BgL_variable1667z00_836)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
((((BgL_varz00_bglt)CREF(BgL_new1668z00_833))->BgL_locz00) = ((obj_t)BgL_loc1665z00_834), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1668z00_833))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1666z00_835), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1668z00_833))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1667z00_836), BUNSPEC); 
return BgL_new1668z00_833;} 
}



/* _fill-var! */
obj_t BGl__fillzd2varz12zc0zzast_nodez00(obj_t BgL_envz00_6194, obj_t BgL_new1668z00_6195, obj_t BgL_loc1665z00_6196, obj_t BgL_type1666z00_6197, obj_t BgL_variable1667z00_6198)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_auxz00_8671;
BgL_auxz00_8671 = 
BGl_fillzd2varz12zc0zzast_nodez00(
(BgL_varz00_bglt)(BgL_new1668z00_6195), BgL_loc1665z00_6196, 
(BgL_typez00_bglt)(BgL_type1666z00_6197), 
(BgL_variablez00_bglt)(BgL_variable1667z00_6198)); 
return 
(obj_t)(BgL_auxz00_8671);} } 
}



/* make-var */
BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t BgL_loc1673z00_837, BgL_typez00_bglt BgL_type1674z00_838, BgL_variablez00_bglt BgL_variable1675z00_839)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_new1676z00_3942;
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_res4496z00_3948;
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_new1678z00_3943;
BgL_new1678z00_3943 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/node.scm 39 */
long BgL_arg3953z00_3944;
BgL_arg3953z00_3944 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/node.scm 39 */
BgL_objectz00_bglt BgL_auxz00_8679;
BgL_auxz00_8679 = 
(BgL_objectz00_bglt)(BgL_new1678z00_3943); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8679, BgL_arg3953z00_3944); } } 
{ /* Ast/node.scm 39 */
BgL_objectz00_bglt BgL_auxz00_8682;
BgL_auxz00_8682 = 
(BgL_objectz00_bglt)(BgL_new1678z00_3943); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8682, BFALSE); } 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_8685;
BgL_auxz00_8685 = 
(obj_t)(BgL_new1678z00_3943); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8685); } BUNSPEC; 
BgL_res4496z00_3948 = BgL_new1678z00_3943; } 
BgL_new1676z00_3942 = BgL_res4496z00_3948; } 
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_res4497z00_3956;
((((BgL_varz00_bglt)CREF(BgL_new1676z00_3942))->BgL_locz00) = ((obj_t)BgL_loc1673z00_837), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1676z00_3942))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1674z00_838), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1676z00_3942))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1675z00_839), BUNSPEC); 
BgL_res4497z00_3956 = BgL_new1676z00_3942; BgL_res4497z00_3956; } 
return BgL_new1676z00_3942;} } 
}



/* _make-var */
obj_t BGl__makezd2varzd2zzast_nodez00(obj_t BgL_envz00_5487, obj_t BgL_loc1673z00_5488, obj_t BgL_type1674z00_5489, obj_t BgL_variable1675z00_5490)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_auxz00_8691;
BgL_auxz00_8691 = 
BGl_makezd2varzd2zzast_nodez00(BgL_loc1673z00_5488, 
(BgL_typez00_bglt)(BgL_type1674z00_5489), 
(BgL_variablez00_bglt)(BgL_variable1675z00_5490)); 
return 
(obj_t)(BgL_auxz00_8691);} } 
}



/* allocate-var */
BgL_varz00_bglt BGl_allocatezd2varzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_new1678z00_3957;
BgL_new1678z00_3957 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/node.scm 39 */
long BgL_arg3953z00_3958;
BgL_arg3953z00_3958 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/node.scm 39 */
BgL_objectz00_bglt BgL_auxz00_8698;
BgL_auxz00_8698 = 
(BgL_objectz00_bglt)(BgL_new1678z00_3957); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8698, BgL_arg3953z00_3958); } } 
{ /* Ast/node.scm 39 */
BgL_objectz00_bglt BgL_auxz00_8701;
BgL_auxz00_8701 = 
(BgL_objectz00_bglt)(BgL_new1678z00_3957); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8701, BFALSE); } 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_8704;
BgL_auxz00_8704 = 
(obj_t)(BgL_new1678z00_3957); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8704); } BUNSPEC; 
return BgL_new1678z00_3957;} } 
}



/* _allocate-var */
obj_t BGl__allocatezd2varzd2zzast_nodez00(obj_t BgL_envz00_5491)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_auxz00_8707;
BgL_auxz00_8707 = 
BGl_allocatezd2varzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8707);} } 
}



/* var-variable-set! */
obj_t BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_obj1664z00_844, BgL_variablez00_bglt BgL_val1663z00_845)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
return 
((((BgL_varz00_bglt)CREF(BgL_obj1664z00_844))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1663z00_845), BUNSPEC);} 
}



/* _var-variable-set! */
obj_t BGl__varzd2variablezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5494, obj_t BgL_obj1664z00_5495, obj_t BgL_val1663z00_5496)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
return 
BGl_varzd2variablezd2setz12z12zzast_nodez00(
(BgL_varz00_bglt)(BgL_obj1664z00_5495), 
(BgL_variablez00_bglt)(BgL_val1663z00_5496));} 
}



/* var-variable */
BgL_variablez00_bglt BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_obj1662z00_846)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
return 
(((BgL_varz00_bglt)CREF(BgL_obj1662z00_846))->BgL_variablez00);} 
}



/* _var-variable */
obj_t BGl__varzd2variablezd2zzast_nodez00(obj_t BgL_envz00_5492, obj_t BgL_obj1662z00_5493)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ /* Ast/node.scm 39 */
BgL_variablez00_bglt BgL_auxz00_8715;
BgL_auxz00_8715 = 
BGl_varzd2variablezd2zzast_nodez00(
(BgL_varz00_bglt)(BgL_obj1662z00_5493)); 
return 
(obj_t)(BgL_auxz00_8715);} } 
}



/* atom? */
bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_obj1656z00_847)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1656z00_847, BGl_atomz00zzast_nodez00);} 
}



/* _atom? */
obj_t BGl__atomzf3zf3zzast_nodez00(obj_t BgL_envz00_6199, obj_t BgL_obj1656z00_6200)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
bool_t BgL_auxz00_8720;
BgL_auxz00_8720 = 
BGl_atomzf3zf3zzast_nodez00(BgL_obj1656z00_6200); 
return 
BBOOL(BgL_auxz00_8720);} } 
}



/* fill-atom! */
BgL_atomz00_bglt BGl_fillzd2atomz12zc0zzast_nodez00(BgL_atomz00_bglt BgL_new1631z00_851, obj_t BgL_loc1628z00_852, BgL_typez00_bglt BgL_type1629z00_853, obj_t BgL_value1630z00_854)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
((((BgL_atomz00_bglt)CREF(BgL_new1631z00_851))->BgL_locz00) = ((obj_t)BgL_loc1628z00_852), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1631z00_851))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1629z00_853), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1631z00_851))->BgL_valuez00) = ((obj_t)BgL_value1630z00_854), BUNSPEC); 
return BgL_new1631z00_851;} 
}



/* _fill-atom! */
obj_t BGl__fillzd2atomz12zc0zzast_nodez00(obj_t BgL_envz00_6201, obj_t BgL_new1631z00_6202, obj_t BgL_loc1628z00_6203, obj_t BgL_type1629z00_6204, obj_t BgL_value1630z00_6205)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_auxz00_8726;
BgL_auxz00_8726 = 
BGl_fillzd2atomz12zc0zzast_nodez00(
(BgL_atomz00_bglt)(BgL_new1631z00_6202), BgL_loc1628z00_6203, 
(BgL_typez00_bglt)(BgL_type1629z00_6204), BgL_value1630z00_6205); 
return 
(obj_t)(BgL_auxz00_8726);} } 
}



/* make-atom */
BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t BgL_loc1636z00_855, BgL_typez00_bglt BgL_type1637z00_856, obj_t BgL_value1638z00_857)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_new1639z00_3965;
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_res4498z00_3971;
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_new1641z00_3966;
BgL_new1641z00_3966 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Ast/node.scm 34 */
long BgL_arg3954z00_3967;
BgL_arg3954z00_3967 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Ast/node.scm 34 */
BgL_objectz00_bglt BgL_auxz00_8733;
BgL_auxz00_8733 = 
(BgL_objectz00_bglt)(BgL_new1641z00_3966); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8733, BgL_arg3954z00_3967); } } 
{ /* Ast/node.scm 34 */
BgL_objectz00_bglt BgL_auxz00_8736;
BgL_auxz00_8736 = 
(BgL_objectz00_bglt)(BgL_new1641z00_3966); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8736, BFALSE); } 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_8739;
BgL_auxz00_8739 = 
(obj_t)(BgL_new1641z00_3966); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8739); } BUNSPEC; 
BgL_res4498z00_3971 = BgL_new1641z00_3966; } 
BgL_new1639z00_3965 = BgL_res4498z00_3971; } 
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_res4499z00_3979;
((((BgL_atomz00_bglt)CREF(BgL_new1639z00_3965))->BgL_locz00) = ((obj_t)BgL_loc1636z00_855), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1639z00_3965))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1637z00_856), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1639z00_3965))->BgL_valuez00) = ((obj_t)BgL_value1638z00_857), BUNSPEC); 
BgL_res4499z00_3979 = BgL_new1639z00_3965; BgL_res4499z00_3979; } 
return BgL_new1639z00_3965;} } 
}



/* _make-atom */
obj_t BGl__makezd2atomzd2zzast_nodez00(obj_t BgL_envz00_5477, obj_t BgL_loc1636z00_5478, obj_t BgL_type1637z00_5479, obj_t BgL_value1638z00_5480)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_auxz00_8745;
BgL_auxz00_8745 = 
BGl_makezd2atomzd2zzast_nodez00(BgL_loc1636z00_5478, 
(BgL_typez00_bglt)(BgL_type1637z00_5479), BgL_value1638z00_5480); 
return 
(obj_t)(BgL_auxz00_8745);} } 
}



/* allocate-atom */
BgL_atomz00_bglt BGl_allocatezd2atomzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_new1641z00_3980;
BgL_new1641z00_3980 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Ast/node.scm 34 */
long BgL_arg3954z00_3981;
BgL_arg3954z00_3981 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Ast/node.scm 34 */
BgL_objectz00_bglt BgL_auxz00_8751;
BgL_auxz00_8751 = 
(BgL_objectz00_bglt)(BgL_new1641z00_3980); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8751, BgL_arg3954z00_3981); } } 
{ /* Ast/node.scm 34 */
BgL_objectz00_bglt BgL_auxz00_8754;
BgL_auxz00_8754 = 
(BgL_objectz00_bglt)(BgL_new1641z00_3980); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8754, BFALSE); } 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_8757;
BgL_auxz00_8757 = 
(obj_t)(BgL_new1641z00_3980); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8757); } BUNSPEC; 
return BgL_new1641z00_3980;} } 
}



/* _allocate-atom */
obj_t BGl__allocatezd2atomzd2zzast_nodez00(obj_t BgL_envz00_5481)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_auxz00_8760;
BgL_auxz00_8760 = 
BGl_allocatezd2atomzd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8760);} } 
}



/* atom-value-set! */
obj_t BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_obj1627z00_862, obj_t BgL_val1626z00_863)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
return 
((((BgL_atomz00_bglt)CREF(BgL_obj1627z00_862))->BgL_valuez00) = ((obj_t)BgL_val1626z00_863), BUNSPEC);} 
}



/* _atom-value-set! */
obj_t BGl__atomzd2valuezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5484, obj_t BgL_obj1627z00_5485, obj_t BgL_val1626z00_5486)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
return 
BGl_atomzd2valuezd2setz12z12zzast_nodez00(
(BgL_atomz00_bglt)(BgL_obj1627z00_5485), BgL_val1626z00_5486);} 
}



/* atom-value */
obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt BgL_obj1625z00_864)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
return 
(((BgL_atomz00_bglt)CREF(BgL_obj1625z00_864))->BgL_valuez00);} 
}



/* _atom-value */
obj_t BGl__atomzd2valuezd2zzast_nodez00(obj_t BgL_envz00_5482, obj_t BgL_obj1625z00_5483)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
return 
BGl_atomzd2valuezd2zzast_nodez00(
(BgL_atomz00_bglt)(BgL_obj1625z00_5483));} 
}



/* node/effect? */
bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t BgL_obj1620z00_865)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1620z00_865, BGl_nodezf2effectzf2zzast_nodez00);} 
}



/* _node/effect? */
obj_t BGl__nodezf2effectzf3z01zzast_nodez00(obj_t BgL_envz00_6206, obj_t BgL_obj1620z00_6207)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
bool_t BgL_auxz00_8770;
BgL_auxz00_8770 = 
BGl_nodezf2effectzf3z01zzast_nodez00(BgL_obj1620z00_6207); 
return 
BBOOL(BgL_auxz00_8770);} } 
}



/* fill-node/effect! */
BgL_nodezf2effectzf2_bglt BGl_fillzd2nodezf2effectz12z32zzast_nodez00(BgL_nodezf2effectzf2_bglt BgL_new1589z00_869, obj_t BgL_loc1585z00_870, BgL_typez00_bglt BgL_type1586z00_871, obj_t BgL_sidezd2effectzf31587z21_872, obj_t BgL_key1588z00_873)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1589z00_869))->BgL_locz00) = ((obj_t)BgL_loc1585z00_870), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1589z00_869))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1586z00_871), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1589z00_869))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31587z21_872), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1589z00_869))->BgL_keyz00) = ((obj_t)BgL_key1588z00_873), BUNSPEC); 
return BgL_new1589z00_869;} 
}



/* _fill-node/effect! */
obj_t BGl__fillzd2nodezf2effectz12z32zzast_nodez00(obj_t BgL_envz00_6208, obj_t BgL_new1589z00_6209, obj_t BgL_loc1585z00_6210, obj_t BgL_type1586z00_6211, obj_t BgL_sidezd2effectzf31587z21_6212, obj_t BgL_key1588z00_6213)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_auxz00_8777;
BgL_auxz00_8777 = 
BGl_fillzd2nodezf2effectz12z32zzast_nodez00(
(BgL_nodezf2effectzf2_bglt)(BgL_new1589z00_6209), BgL_loc1585z00_6210, 
(BgL_typez00_bglt)(BgL_type1586z00_6211), BgL_sidezd2effectzf31587z21_6212, BgL_key1588z00_6213); 
return 
(obj_t)(BgL_auxz00_8777);} } 
}



/* make-node/effect */
BgL_nodezf2effectzf2_bglt BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1595z00_874, BgL_typez00_bglt BgL_type1596z00_875, obj_t BgL_sidezd2effectzf31597z21_876, obj_t BgL_key1598z00_877)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_new1599z00_3989;
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_res4500z00_3995;
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_new1601z00_3990;
BgL_new1601z00_3990 = 
((BgL_nodezf2effectzf2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_nodezf2effectzf2_bgl) ))); 
{ /* Ast/node.scm 25 */
long BgL_arg3955z00_3991;
BgL_arg3955z00_3991 = 
BGl_classzd2numzd2zz__objectz00(BGl_nodezf2effectzf2zzast_nodez00); 
{ /* Ast/node.scm 25 */
BgL_objectz00_bglt BgL_auxz00_8784;
BgL_auxz00_8784 = 
(BgL_objectz00_bglt)(BgL_new1601z00_3990); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8784, BgL_arg3955z00_3991); } } 
{ /* Ast/node.scm 25 */
BgL_objectz00_bglt BgL_auxz00_8787;
BgL_auxz00_8787 = 
(BgL_objectz00_bglt)(BgL_new1601z00_3990); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8787, BFALSE); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_8790;
BgL_auxz00_8790 = 
(obj_t)(BgL_new1601z00_3990); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8790); } BUNSPEC; 
BgL_res4500z00_3995 = BgL_new1601z00_3990; } 
BgL_new1599z00_3989 = BgL_res4500z00_3995; } 
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_res4501z00_4005;
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1599z00_3989))->BgL_locz00) = ((obj_t)BgL_loc1595z00_874), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1599z00_3989))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1596z00_875), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1599z00_3989))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31597z21_876), BUNSPEC); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_new1599z00_3989))->BgL_keyz00) = ((obj_t)BgL_key1598z00_877), BUNSPEC); 
BgL_res4501z00_4005 = BgL_new1599z00_3989; BgL_res4501z00_4005; } 
return BgL_new1599z00_3989;} } 
}



/* _make-node/effect */
obj_t BGl__makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_envz00_5461, obj_t BgL_loc1595z00_5462, obj_t BgL_type1596z00_5463, obj_t BgL_sidezd2effectzf31597z21_5464, obj_t BgL_key1598z00_5465)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_auxz00_8797;
BgL_auxz00_8797 = 
BGl_makezd2nodezf2effectz20zzast_nodez00(BgL_loc1595z00_5462, 
(BgL_typez00_bglt)(BgL_type1596z00_5463), BgL_sidezd2effectzf31597z21_5464, BgL_key1598z00_5465); 
return 
(obj_t)(BgL_auxz00_8797);} } 
}



/* allocate-node/effect */
BgL_nodezf2effectzf2_bglt BGl_allocatezd2nodezf2effectz20zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_new1601z00_4006;
BgL_new1601z00_4006 = 
((BgL_nodezf2effectzf2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_nodezf2effectzf2_bgl) ))); 
{ /* Ast/node.scm 25 */
long BgL_arg3955z00_4007;
BgL_arg3955z00_4007 = 
BGl_classzd2numzd2zz__objectz00(BGl_nodezf2effectzf2zzast_nodez00); 
{ /* Ast/node.scm 25 */
BgL_objectz00_bglt BgL_auxz00_8803;
BgL_auxz00_8803 = 
(BgL_objectz00_bglt)(BgL_new1601z00_4006); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8803, BgL_arg3955z00_4007); } } 
{ /* Ast/node.scm 25 */
BgL_objectz00_bglt BgL_auxz00_8806;
BgL_auxz00_8806 = 
(BgL_objectz00_bglt)(BgL_new1601z00_4006); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8806, BFALSE); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_8809;
BgL_auxz00_8809 = 
(obj_t)(BgL_new1601z00_4006); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8809); } BUNSPEC; 
return BgL_new1601z00_4006;} } 
}



/* _allocate-node/effect */
obj_t BGl__allocatezd2nodezf2effectz20zzast_nodez00(obj_t BgL_envz00_5466)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_auxz00_8812;
BgL_auxz00_8812 = 
BGl_allocatezd2nodezf2effectz20zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8812);} } 
}



/* node/effect-side-effect?-set! */
obj_t BGl_nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00(BgL_nodezf2effectzf2_bglt BgL_obj1581z00_882, obj_t BgL_val1580z00_883)
{ AN_OBJECT;
{ /* Ast/node.scm 27 */
return 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1581z00_882))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1580z00_883), BUNSPEC);} 
}



/* _node/effect-side-effect?-set! */
obj_t BGl__nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00(obj_t BgL_envz00_5469, obj_t BgL_obj1581z00_5470, obj_t BgL_val1580z00_5471)
{ AN_OBJECT;
{ /* Ast/node.scm 27 */
return 
BGl_nodezf2effectzd2sidezd2effectzf3zd2setz12zc1zzast_nodez00(
(BgL_nodezf2effectzf2_bglt)(BgL_obj1581z00_5470), BgL_val1580z00_5471);} 
}



/* node/effect-side-effect? */
obj_t BGl_nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00(BgL_nodezf2effectzf2_bglt BgL_obj1579z00_884)
{ AN_OBJECT;
{ /* Ast/node.scm 27 */
return 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1579z00_884))->BgL_sidezd2effectzf3z21);} 
}



/* _node/effect-side-effect? */
obj_t BGl__nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00(obj_t BgL_envz00_5467, obj_t BgL_obj1579z00_5468)
{ AN_OBJECT;
{ /* Ast/node.scm 27 */
return 
BGl_nodezf2effectzd2sidezd2effectzf3z01zzast_nodez00(
(BgL_nodezf2effectzf2_bglt)(BgL_obj1579z00_5468));} 
}



/* node/effect-key-set! */
obj_t BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt BgL_obj1584z00_885, obj_t BgL_val1583z00_886)
{ AN_OBJECT;
{ /* Ast/node.scm 31 */
return 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1584z00_885))->BgL_keyz00) = ((obj_t)BgL_val1583z00_886), BUNSPEC);} 
}



/* _node/effect-key-set! */
obj_t BGl__nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(obj_t BgL_envz00_5474, obj_t BgL_obj1584z00_5475, obj_t BgL_val1583z00_5476)
{ AN_OBJECT;
{ /* Ast/node.scm 31 */
return 
BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(
(BgL_nodezf2effectzf2_bglt)(BgL_obj1584z00_5475), BgL_val1583z00_5476);} 
}



/* node/effect-key */
obj_t BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt BgL_obj1582z00_887)
{ AN_OBJECT;
{ /* Ast/node.scm 31 */
return 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1582z00_887))->BgL_keyz00);} 
}



/* _node/effect-key */
obj_t BGl__nodezf2effectzd2keyz20zzast_nodez00(obj_t BgL_envz00_5472, obj_t BgL_obj1582z00_5473)
{ AN_OBJECT;
{ /* Ast/node.scm 31 */
return 
BGl_nodezf2effectzd2keyz20zzast_nodez00(
(BgL_nodezf2effectzf2_bglt)(BgL_obj1582z00_5473));} 
}



/* node? */
bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_obj1574z00_888)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1574z00_888, BGl_nodez00zzast_nodez00);} 
}



/* _node? */
obj_t BGl__nodezf3zf3zzast_nodez00(obj_t BgL_envz00_6214, obj_t BgL_obj1574z00_6215)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
bool_t BgL_auxz00_8828;
BgL_auxz00_8828 = 
BGl_nodezf3zf3zzast_nodez00(BgL_obj1574z00_6215); 
return 
BBOOL(BgL_auxz00_8828);} } 
}



/* fill-node! */
BgL_nodez00_bglt BGl_fillzd2nodez12zc0zzast_nodez00(BgL_nodez00_bglt BgL_new1555z00_892, obj_t BgL_loc1553z00_893, BgL_typez00_bglt BgL_type1554z00_894)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
((((BgL_nodez00_bglt)CREF(BgL_new1555z00_892))->BgL_locz00) = ((obj_t)BgL_loc1553z00_893), BUNSPEC); 
((((BgL_nodez00_bglt)CREF(BgL_new1555z00_892))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1554z00_894), BUNSPEC); 
return BgL_new1555z00_892;} 
}



/* _fill-node! */
obj_t BGl__fillzd2nodez12zc0zzast_nodez00(obj_t BgL_envz00_6216, obj_t BgL_new1555z00_6217, obj_t BgL_loc1553z00_6218, obj_t BgL_type1554z00_6219)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_auxz00_8833;
BgL_auxz00_8833 = 
BGl_fillzd2nodez12zc0zzast_nodez00(
(BgL_nodez00_bglt)(BgL_new1555z00_6217), BgL_loc1553z00_6218, 
(BgL_typez00_bglt)(BgL_type1554z00_6219)); 
return 
(obj_t)(BgL_auxz00_8833);} } 
}



/* make-node */
BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t BgL_loc1559z00_895, BgL_typez00_bglt BgL_type1560z00_896)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_new1561z00_4013;
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_res4502z00_4019;
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_new1563z00_4014;
BgL_new1563z00_4014 = 
((BgL_nodez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_nodez00_bgl) ))); 
{ /* Ast/node.scm 19 */
long BgL_arg3956z00_4015;
BgL_arg3956z00_4015 = 
BGl_classzd2numzd2zz__objectz00(BGl_nodez00zzast_nodez00); 
{ /* Ast/node.scm 19 */
BgL_objectz00_bglt BgL_auxz00_8840;
BgL_auxz00_8840 = 
(BgL_objectz00_bglt)(BgL_new1563z00_4014); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8840, BgL_arg3956z00_4015); } } 
{ /* Ast/node.scm 19 */
BgL_objectz00_bglt BgL_auxz00_8843;
BgL_auxz00_8843 = 
(BgL_objectz00_bglt)(BgL_new1563z00_4014); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8843, BFALSE); } 
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8846;
BgL_auxz00_8846 = 
(obj_t)(BgL_new1563z00_4014); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8846); } BUNSPEC; 
BgL_res4502z00_4019 = BgL_new1563z00_4014; } 
BgL_new1561z00_4013 = BgL_res4502z00_4019; } 
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_res4503z00_4025;
((((BgL_nodez00_bglt)CREF(BgL_new1561z00_4013))->BgL_locz00) = ((obj_t)BgL_loc1559z00_895), BUNSPEC); 
((((BgL_nodez00_bglt)CREF(BgL_new1561z00_4013))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1560z00_896), BUNSPEC); 
BgL_res4503z00_4025 = BgL_new1561z00_4013; BgL_res4503z00_4025; } 
return BgL_new1561z00_4013;} } 
}



/* _make-node */
obj_t BGl__makezd2nodezd2zzast_nodez00(obj_t BgL_envz00_5450, obj_t BgL_loc1559z00_5451, obj_t BgL_type1560z00_5452)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_auxz00_8851;
BgL_auxz00_8851 = 
BGl_makezd2nodezd2zzast_nodez00(BgL_loc1559z00_5451, 
(BgL_typez00_bglt)(BgL_type1560z00_5452)); 
return 
(obj_t)(BgL_auxz00_8851);} } 
}



/* allocate-node */
BgL_nodez00_bglt BGl_allocatezd2nodezd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_new1563z00_4026;
BgL_new1563z00_4026 = 
((BgL_nodez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_nodez00_bgl) ))); 
{ /* Ast/node.scm 19 */
long BgL_arg3956z00_4027;
BgL_arg3956z00_4027 = 
BGl_classzd2numzd2zz__objectz00(BGl_nodez00zzast_nodez00); 
{ /* Ast/node.scm 19 */
BgL_objectz00_bglt BgL_auxz00_8857;
BgL_auxz00_8857 = 
(BgL_objectz00_bglt)(BgL_new1563z00_4026); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8857, BgL_arg3956z00_4027); } } 
{ /* Ast/node.scm 19 */
BgL_objectz00_bglt BgL_auxz00_8860;
BgL_auxz00_8860 = 
(BgL_objectz00_bglt)(BgL_new1563z00_4026); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8860, BFALSE); } 
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8863;
BgL_auxz00_8863 = 
(obj_t)(BgL_new1563z00_4026); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8863); } BUNSPEC; 
return BgL_new1563z00_4026;} } 
}



/* _allocate-node */
obj_t BGl__allocatezd2nodezd2zzast_nodez00(obj_t BgL_envz00_5453)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_auxz00_8866;
BgL_auxz00_8866 = 
BGl_allocatezd2nodezd2zzast_nodez00(); 
return 
(obj_t)(BgL_auxz00_8866);} } 
}



/* node-loc */
obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt BgL_obj1549z00_897)
{ AN_OBJECT;
{ /* Ast/node.scm 21 */
return 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_897))->BgL_locz00);} 
}



/* _node-loc */
obj_t BGl__nodezd2loczd2zzast_nodez00(obj_t BgL_envz00_5454, obj_t BgL_obj1549z00_5455)
{ AN_OBJECT;
{ /* Ast/node.scm 21 */
return 
BGl_nodezd2loczd2zzast_nodez00(
(BgL_nodez00_bglt)(BgL_obj1549z00_5455));} 
}



/* node-type-set! */
obj_t BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_obj1552z00_898, BgL_typez00_bglt BgL_val1551z00_899)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_898))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_899), BUNSPEC);} 
}



/* _node-type-set! */
obj_t BGl__nodezd2typezd2setz12z12zzast_nodez00(obj_t BgL_envz00_5458, obj_t BgL_obj1552z00_5459, obj_t BgL_val1551z00_5460)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
return 
BGl_nodezd2typezd2setz12z12zzast_nodez00(
(BgL_nodez00_bglt)(BgL_obj1552z00_5459), 
(BgL_typez00_bglt)(BgL_val1551z00_5460));} 
}



/* node-type */
BgL_typez00_bglt BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_obj1550z00_900)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
return 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_900))->BgL_typez00);} 
}



/* _node-type */
obj_t BGl__nodezd2typezd2zzast_nodez00(obj_t BgL_envz00_5456, obj_t BgL_obj1550z00_5457)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ /* Ast/node.scm 19 */
BgL_typez00_bglt BgL_auxz00_8877;
BgL_auxz00_8877 = 
BGl_nodezd2typezd2zzast_nodez00(
(BgL_nodez00_bglt)(BgL_obj1550z00_5457)); 
return 
(obj_t)(BgL_auxz00_8877);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4509z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4510z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4511z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4512z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4513z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4514z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4515z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4516z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4517z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4518z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4519z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4520z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4521z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4522z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_selectz00zzast_nodez00, BGl_proc4523z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_selectz00zzast_nodez00, BGl_proc4524z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_failz00zzast_nodez00, BGl_proc4525z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_failz00zzast_nodez00, BGl_proc4526z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_conditionalz00zzast_nodez00, BGl_proc4527z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_conditionalz00zzast_nodez00, BGl_proc4528z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_setqz00zzast_nodez00, BGl_proc4529z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_setqz00zzast_nodez00, BGl_proc4530z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_castz00zzast_nodez00, BGl_proc4531z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_castz00zzast_nodez00, BGl_proc4532z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_isaz00zzast_nodez00, BGl_proc4533z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_isaz00zzast_nodez00, BGl_proc4534z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_vlengthz00zzast_nodez00, BGl_proc4535z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_vlengthz00zzast_nodez00, BGl_proc4536z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc4537z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc4538z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_vrefz00zzast_nodez00, BGl_proc4539z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_vrefz00zzast_nodez00, BGl_proc4540z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_vallocz00zzast_nodez00, BGl_proc4541z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_vallocz00zzast_nodez00, BGl_proc4542z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_newz00zzast_nodez00, BGl_proc4543z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_newz00zzast_nodez00, BGl_proc4544z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_setfieldz00zzast_nodez00, BGl_proc4545z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_setfieldz00zzast_nodez00, BGl_proc4546z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_getfieldz00zzast_nodez00, BGl_proc4547z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_getfieldz00zzast_nodez00, BGl_proc4548z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_pragmaz00zzast_nodez00, BGl_proc4549z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_pragmaz00zzast_nodez00, BGl_proc4550z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_externz00zzast_nodez00, BGl_proc4551z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_externz00zzast_nodez00, BGl_proc4552z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_funcallz00zzast_nodez00, BGl_proc4553z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_funcallz00zzast_nodez00, BGl_proc4554z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4555z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4556z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_appz00zzast_nodez00, BGl_proc4557z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_appz00zzast_nodez00, BGl_proc4558z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sequencez00zzast_nodez00, BGl_proc4559z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sequencez00zzast_nodez00, BGl_proc4560z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_kwotez00zzast_nodez00, BGl_proc4561z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_kwotez00zzast_nodez00, BGl_proc4562z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_closurez00zzast_nodez00, BGl_proc4563z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_closurez00zzast_nodez00, BGl_proc4564z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_varz00zzast_nodez00, BGl_proc4565z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_varz00zzast_nodez00, BGl_proc4566z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_atomz00zzast_nodez00, BGl_proc4567z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_atomz00zzast_nodez00, BGl_proc4568z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_nodezf2effectzf2zzast_nodez00, BGl_proc4569z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_nodezf2effectzf2zzast_nodez00, BGl_proc4570z00zzast_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_nodez00zzast_nodez00, BGl_proc4571z00zzast_nodez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_nodez00zzast_nodez00, BGl_proc4572z00zzast_nodez00);} 
}



/* struct+object->object-node3560 */
obj_t BGl_structzb2objectzd2ze3objectzd2node3560z51zzast_nodez00(obj_t BgL_envz00_6284, obj_t BgL_oz00_6285, obj_t BgL_sz00_6286)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ 
BgL_nodez00_bglt BgL_oz00_3000;obj_t BgL_sz00_3001;
{ /* Ast/node.scm 19 */
BgL_nodez00_bglt BgL_auxz00_8945;
BgL_oz00_3000 = 
(BgL_nodez00_bglt)(BgL_oz00_6285); 
BgL_sz00_3001 = BgL_sz00_6286; 
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8948;BgL_objectz00_bglt BgL_auxz00_8946;
{ /* Ast/node.scm 19 */
int BgL_auxz00_8949;
BgL_auxz00_8949 = 
(int)(((long)0)); 
BgL_auxz00_8948 = 
STRUCT_REF(BgL_sz00_3001, BgL_auxz00_8949); } 
BgL_auxz00_8946 = 
(BgL_objectz00_bglt)(BgL_oz00_3000); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8946, BgL_auxz00_8948); } 
{ /* Ast/node.scm 19 */
obj_t BgL_v1568z00_3005;
{ /* Ast/node.scm 19 */
int BgL_auxz00_8953;
BgL_auxz00_8953 = 
(int)(((long)1)); 
BgL_v1568z00_3005 = 
STRUCT_REF(BgL_sz00_3001, BgL_auxz00_8953); } 
((((BgL_nodez00_bglt)CREF(BgL_oz00_3000))->BgL_locz00) = ((obj_t)BgL_v1568z00_3005), BUNSPEC); } 
{ /* Ast/node.scm 19 */
BgL_typez00_bglt BgL_v1572z00_3006;
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8957;
{ /* Ast/node.scm 19 */
int BgL_auxz00_8958;
BgL_auxz00_8958 = 
(int)(((long)2)); 
BgL_auxz00_8957 = 
STRUCT_REF(BgL_sz00_3001, BgL_auxz00_8958); } 
BgL_v1572z00_3006 = 
(BgL_typez00_bglt)(BgL_auxz00_8957); } 
((((BgL_nodez00_bglt)CREF(BgL_oz00_3000))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1572z00_3006), BUNSPEC); } 
BgL_auxz00_8945 = BgL_oz00_3000; 
return 
(obj_t)(BgL_auxz00_8945);} } } 
}



/* object->struct-node3558 */
obj_t BGl_objectzd2ze3structzd2node3558ze3zzast_nodez00(obj_t BgL_envz00_6287, obj_t BgL_obj1564z00_6288)
{ AN_OBJECT;
{ /* Ast/node.scm 19 */
{ 
BgL_nodez00_bglt BgL_obj1564z00_2990;
BgL_obj1564z00_2990 = 
(BgL_nodez00_bglt)(BgL_obj1564z00_6288); 
{ /* Ast/node.scm 19 */
obj_t BgL_res1565z00_2993;
{ /* Ast/node.scm 19 */
int BgL_auxz00_8967;obj_t BgL_auxz00_8965;
BgL_auxz00_8967 = 
(int)(((long)3)); 
BgL_auxz00_8965 = 
CNST_TABLE_REF(((long)0)); 
BgL_res1565z00_2993 = 
make_struct(BgL_auxz00_8965, BgL_auxz00_8967, BUNSPEC); } 
{ /* Ast/node.scm 19 */
int BgL_auxz00_8970;
BgL_auxz00_8970 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1565z00_2993, BgL_auxz00_8970, BFALSE); } 
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8975;int BgL_auxz00_8973;
BgL_auxz00_8975 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1564z00_2990))->BgL_locz00); 
BgL_auxz00_8973 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1565z00_2993, BgL_auxz00_8973, BgL_auxz00_8975); } 
{ /* Ast/node.scm 19 */
obj_t BgL_auxz00_8980;int BgL_auxz00_8978;
{ /* Ast/node.scm 19 */
BgL_typez00_bglt BgL_auxz00_8981;
BgL_auxz00_8981 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1564z00_2990))->BgL_typez00); 
BgL_auxz00_8980 = 
(obj_t)(BgL_auxz00_8981); } 
BgL_auxz00_8978 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1565z00_2993, BgL_auxz00_8978, BgL_auxz00_8980); } 
return BgL_res1565z00_2993;} } } 
}



/* struct+object->object-node/effect3556 */
obj_t BGl_structzb2objectzd2ze3objectzd2nodezf2effect3556za3zzast_nodez00(obj_t BgL_envz00_6289, obj_t BgL_oz00_6290, obj_t BgL_sz00_6291)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ 
BgL_nodezf2effectzf2_bglt BgL_oz00_2979;obj_t BgL_sz00_2980;
{ /* Ast/node.scm 25 */
BgL_nodezf2effectzf2_bglt BgL_auxz00_8986;
BgL_oz00_2979 = 
(BgL_nodezf2effectzf2_bglt)(BgL_oz00_6290); 
BgL_sz00_2980 = BgL_sz00_6291; 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_8989;BgL_objectz00_bglt BgL_auxz00_8987;
{ /* Ast/node.scm 25 */
int BgL_auxz00_8990;
BgL_auxz00_8990 = 
(int)(((long)0)); 
BgL_auxz00_8989 = 
STRUCT_REF(BgL_sz00_2980, BgL_auxz00_8990); } 
BgL_auxz00_8987 = 
(BgL_objectz00_bglt)(BgL_oz00_2979); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8987, BgL_auxz00_8989); } 
{ /* Ast/node.scm 25 */
obj_t BgL_v1606z00_2984;
{ /* Ast/node.scm 25 */
int BgL_auxz00_8994;
BgL_auxz00_8994 = 
(int)(((long)1)); 
BgL_v1606z00_2984 = 
STRUCT_REF(BgL_sz00_2980, BgL_auxz00_8994); } 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_oz00_2979))->BgL_locz00) = ((obj_t)BgL_v1606z00_2984), BUNSPEC); } 
{ /* Ast/node.scm 25 */
BgL_typez00_bglt BgL_v1610z00_2985;
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_8998;
{ /* Ast/node.scm 25 */
int BgL_auxz00_8999;
BgL_auxz00_8999 = 
(int)(((long)2)); 
BgL_auxz00_8998 = 
STRUCT_REF(BgL_sz00_2980, BgL_auxz00_8999); } 
BgL_v1610z00_2985 = 
(BgL_typez00_bglt)(BgL_auxz00_8998); } 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_oz00_2979))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1610z00_2985), BUNSPEC); } 
{ /* Ast/node.scm 25 */
obj_t BgL_v1614z00_2986;
{ /* Ast/node.scm 25 */
int BgL_auxz00_9004;
BgL_auxz00_9004 = 
(int)(((long)3)); 
BgL_v1614z00_2986 = 
STRUCT_REF(BgL_sz00_2980, BgL_auxz00_9004); } 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_oz00_2979))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1614z00_2986), BUNSPEC); } 
{ /* Ast/node.scm 25 */
obj_t BgL_v1618z00_2987;
{ /* Ast/node.scm 25 */
int BgL_auxz00_9008;
BgL_auxz00_9008 = 
(int)(((long)4)); 
BgL_v1618z00_2987 = 
STRUCT_REF(BgL_sz00_2980, BgL_auxz00_9008); } 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_oz00_2979))->BgL_keyz00) = ((obj_t)BgL_v1618z00_2987), BUNSPEC); } 
BgL_auxz00_8986 = BgL_oz00_2979; 
return 
(obj_t)(BgL_auxz00_8986);} } } 
}



/* object->struct-node/effect3554 */
obj_t BGl_objectzd2ze3structzd2nodezf2effect3554z11zzast_nodez00(obj_t BgL_envz00_6292, obj_t BgL_obj1602z00_6293)
{ AN_OBJECT;
{ /* Ast/node.scm 25 */
{ 
BgL_nodezf2effectzf2_bglt BgL_obj1602z00_2965;
BgL_obj1602z00_2965 = 
(BgL_nodezf2effectzf2_bglt)(BgL_obj1602z00_6293); 
{ /* Ast/node.scm 25 */
obj_t BgL_res1603z00_2968;
{ /* Ast/node.scm 25 */
int BgL_auxz00_9016;obj_t BgL_auxz00_9014;
BgL_auxz00_9016 = 
(int)(((long)5)); 
BgL_auxz00_9014 = 
CNST_TABLE_REF(((long)3)); 
BgL_res1603z00_2968 = 
make_struct(BgL_auxz00_9014, BgL_auxz00_9016, BUNSPEC); } 
{ /* Ast/node.scm 25 */
int BgL_auxz00_9019;
BgL_auxz00_9019 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1603z00_2968, BgL_auxz00_9019, BFALSE); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_9024;int BgL_auxz00_9022;
BgL_auxz00_9024 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1602z00_2965))->BgL_locz00); 
BgL_auxz00_9022 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1603z00_2968, BgL_auxz00_9022, BgL_auxz00_9024); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_9029;int BgL_auxz00_9027;
{ /* Ast/node.scm 25 */
BgL_typez00_bglt BgL_auxz00_9030;
BgL_auxz00_9030 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1602z00_2965))->BgL_typez00); 
BgL_auxz00_9029 = 
(obj_t)(BgL_auxz00_9030); } 
BgL_auxz00_9027 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1603z00_2968, BgL_auxz00_9027, BgL_auxz00_9029); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_9036;int BgL_auxz00_9034;
BgL_auxz00_9036 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1602z00_2965))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9034 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1603z00_2968, BgL_auxz00_9034, BgL_auxz00_9036); } 
{ /* Ast/node.scm 25 */
obj_t BgL_auxz00_9041;int BgL_auxz00_9039;
BgL_auxz00_9041 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_obj1602z00_2965))->BgL_keyz00); 
BgL_auxz00_9039 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1603z00_2968, BgL_auxz00_9039, BgL_auxz00_9041); } 
return BgL_res1603z00_2968;} } } 
}



/* struct+object->object-atom3552 */
obj_t BGl_structzb2objectzd2ze3objectzd2atom3552z51zzast_nodez00(obj_t BgL_envz00_6294, obj_t BgL_oz00_6295, obj_t BgL_sz00_6296)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ 
BgL_atomz00_bglt BgL_oz00_2955;obj_t BgL_sz00_2956;
{ /* Ast/node.scm 34 */
BgL_atomz00_bglt BgL_auxz00_9045;
BgL_oz00_2955 = 
(BgL_atomz00_bglt)(BgL_oz00_6295); 
BgL_sz00_2956 = BgL_sz00_6296; 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_9048;BgL_objectz00_bglt BgL_auxz00_9046;
{ /* Ast/node.scm 34 */
int BgL_auxz00_9049;
BgL_auxz00_9049 = 
(int)(((long)0)); 
BgL_auxz00_9048 = 
STRUCT_REF(BgL_sz00_2956, BgL_auxz00_9049); } 
BgL_auxz00_9046 = 
(BgL_objectz00_bglt)(BgL_oz00_2955); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9046, BgL_auxz00_9048); } 
{ /* Ast/node.scm 34 */
obj_t BgL_v1646z00_2960;
{ /* Ast/node.scm 34 */
int BgL_auxz00_9053;
BgL_auxz00_9053 = 
(int)(((long)1)); 
BgL_v1646z00_2960 = 
STRUCT_REF(BgL_sz00_2956, BgL_auxz00_9053); } 
((((BgL_atomz00_bglt)CREF(BgL_oz00_2955))->BgL_locz00) = ((obj_t)BgL_v1646z00_2960), BUNSPEC); } 
{ /* Ast/node.scm 34 */
BgL_typez00_bglt BgL_v1650z00_2961;
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_9057;
{ /* Ast/node.scm 34 */
int BgL_auxz00_9058;
BgL_auxz00_9058 = 
(int)(((long)2)); 
BgL_auxz00_9057 = 
STRUCT_REF(BgL_sz00_2956, BgL_auxz00_9058); } 
BgL_v1650z00_2961 = 
(BgL_typez00_bglt)(BgL_auxz00_9057); } 
((((BgL_atomz00_bglt)CREF(BgL_oz00_2955))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1650z00_2961), BUNSPEC); } 
{ /* Ast/node.scm 34 */
obj_t BgL_v1654z00_2962;
{ /* Ast/node.scm 34 */
int BgL_auxz00_9063;
BgL_auxz00_9063 = 
(int)(((long)3)); 
BgL_v1654z00_2962 = 
STRUCT_REF(BgL_sz00_2956, BgL_auxz00_9063); } 
((((BgL_atomz00_bglt)CREF(BgL_oz00_2955))->BgL_valuez00) = ((obj_t)BgL_v1654z00_2962), BUNSPEC); } 
BgL_auxz00_9045 = BgL_oz00_2955; 
return 
(obj_t)(BgL_auxz00_9045);} } } 
}



/* object->struct-atom3550 */
obj_t BGl_objectzd2ze3structzd2atom3550ze3zzast_nodez00(obj_t BgL_envz00_6297, obj_t BgL_obj1642z00_6298)
{ AN_OBJECT;
{ /* Ast/node.scm 34 */
{ 
BgL_atomz00_bglt BgL_obj1642z00_2943;
BgL_obj1642z00_2943 = 
(BgL_atomz00_bglt)(BgL_obj1642z00_6298); 
{ /* Ast/node.scm 34 */
obj_t BgL_res1643z00_2946;
{ /* Ast/node.scm 34 */
int BgL_auxz00_9071;obj_t BgL_auxz00_9069;
BgL_auxz00_9071 = 
(int)(((long)4)); 
BgL_auxz00_9069 = 
CNST_TABLE_REF(((long)6)); 
BgL_res1643z00_2946 = 
make_struct(BgL_auxz00_9069, BgL_auxz00_9071, BUNSPEC); } 
{ /* Ast/node.scm 34 */
int BgL_auxz00_9074;
BgL_auxz00_9074 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1643z00_2946, BgL_auxz00_9074, BFALSE); } 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_9079;int BgL_auxz00_9077;
BgL_auxz00_9079 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1642z00_2943))->BgL_locz00); 
BgL_auxz00_9077 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1643z00_2946, BgL_auxz00_9077, BgL_auxz00_9079); } 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_9084;int BgL_auxz00_9082;
{ /* Ast/node.scm 34 */
BgL_typez00_bglt BgL_auxz00_9085;
BgL_auxz00_9085 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1642z00_2943))->BgL_typez00); 
BgL_auxz00_9084 = 
(obj_t)(BgL_auxz00_9085); } 
BgL_auxz00_9082 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1643z00_2946, BgL_auxz00_9082, BgL_auxz00_9084); } 
{ /* Ast/node.scm 34 */
obj_t BgL_auxz00_9091;int BgL_auxz00_9089;
BgL_auxz00_9091 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1642z00_2943))->BgL_valuez00); 
BgL_auxz00_9089 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1643z00_2946, BgL_auxz00_9089, BgL_auxz00_9091); } 
return BgL_res1643z00_2946;} } } 
}



/* struct+object->object-var3548 */
obj_t BGl_structzb2objectzd2ze3objectzd2var3548z51zzast_nodez00(obj_t BgL_envz00_6299, obj_t BgL_oz00_6300, obj_t BgL_sz00_6301)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ 
BgL_varz00_bglt BgL_oz00_2933;obj_t BgL_sz00_2934;
{ /* Ast/node.scm 39 */
BgL_varz00_bglt BgL_auxz00_9095;
BgL_oz00_2933 = 
(BgL_varz00_bglt)(BgL_oz00_6300); 
BgL_sz00_2934 = BgL_sz00_6301; 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9098;BgL_objectz00_bglt BgL_auxz00_9096;
{ /* Ast/node.scm 39 */
int BgL_auxz00_9099;
BgL_auxz00_9099 = 
(int)(((long)0)); 
BgL_auxz00_9098 = 
STRUCT_REF(BgL_sz00_2934, BgL_auxz00_9099); } 
BgL_auxz00_9096 = 
(BgL_objectz00_bglt)(BgL_oz00_2933); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9096, BgL_auxz00_9098); } 
{ /* Ast/node.scm 39 */
obj_t BgL_v1683z00_2938;
{ /* Ast/node.scm 39 */
int BgL_auxz00_9103;
BgL_auxz00_9103 = 
(int)(((long)1)); 
BgL_v1683z00_2938 = 
STRUCT_REF(BgL_sz00_2934, BgL_auxz00_9103); } 
((((BgL_varz00_bglt)CREF(BgL_oz00_2933))->BgL_locz00) = ((obj_t)BgL_v1683z00_2938), BUNSPEC); } 
{ /* Ast/node.scm 39 */
BgL_typez00_bglt BgL_v1687z00_2939;
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9107;
{ /* Ast/node.scm 39 */
int BgL_auxz00_9108;
BgL_auxz00_9108 = 
(int)(((long)2)); 
BgL_auxz00_9107 = 
STRUCT_REF(BgL_sz00_2934, BgL_auxz00_9108); } 
BgL_v1687z00_2939 = 
(BgL_typez00_bglt)(BgL_auxz00_9107); } 
((((BgL_varz00_bglt)CREF(BgL_oz00_2933))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1687z00_2939), BUNSPEC); } 
{ /* Ast/node.scm 39 */
BgL_variablez00_bglt BgL_v1691z00_2940;
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9113;
{ /* Ast/node.scm 39 */
int BgL_auxz00_9114;
BgL_auxz00_9114 = 
(int)(((long)3)); 
BgL_auxz00_9113 = 
STRUCT_REF(BgL_sz00_2934, BgL_auxz00_9114); } 
BgL_v1691z00_2940 = 
(BgL_variablez00_bglt)(BgL_auxz00_9113); } 
((((BgL_varz00_bglt)CREF(BgL_oz00_2933))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_v1691z00_2940), BUNSPEC); } 
BgL_auxz00_9095 = BgL_oz00_2933; 
return 
(obj_t)(BgL_auxz00_9095);} } } 
}



/* object->struct-var3546 */
obj_t BGl_objectzd2ze3structzd2var3546ze3zzast_nodez00(obj_t BgL_envz00_6302, obj_t BgL_obj1679z00_6303)
{ AN_OBJECT;
{ /* Ast/node.scm 39 */
{ 
BgL_varz00_bglt BgL_obj1679z00_2921;
BgL_obj1679z00_2921 = 
(BgL_varz00_bglt)(BgL_obj1679z00_6303); 
{ /* Ast/node.scm 39 */
obj_t BgL_res1680z00_2924;
{ /* Ast/node.scm 39 */
int BgL_auxz00_9123;obj_t BgL_auxz00_9121;
BgL_auxz00_9123 = 
(int)(((long)4)); 
BgL_auxz00_9121 = 
CNST_TABLE_REF(((long)8)); 
BgL_res1680z00_2924 = 
make_struct(BgL_auxz00_9121, BgL_auxz00_9123, BUNSPEC); } 
{ /* Ast/node.scm 39 */
int BgL_auxz00_9126;
BgL_auxz00_9126 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1680z00_2924, BgL_auxz00_9126, BFALSE); } 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9131;int BgL_auxz00_9129;
BgL_auxz00_9131 = 
(((BgL_varz00_bglt)CREF(BgL_obj1679z00_2921))->BgL_locz00); 
BgL_auxz00_9129 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1680z00_2924, BgL_auxz00_9129, BgL_auxz00_9131); } 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9136;int BgL_auxz00_9134;
{ /* Ast/node.scm 39 */
BgL_typez00_bglt BgL_auxz00_9137;
BgL_auxz00_9137 = 
(((BgL_varz00_bglt)CREF(BgL_obj1679z00_2921))->BgL_typez00); 
BgL_auxz00_9136 = 
(obj_t)(BgL_auxz00_9137); } 
BgL_auxz00_9134 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1680z00_2924, BgL_auxz00_9134, BgL_auxz00_9136); } 
{ /* Ast/node.scm 39 */
obj_t BgL_auxz00_9143;int BgL_auxz00_9141;
{ /* Ast/node.scm 39 */
BgL_variablez00_bglt BgL_auxz00_9144;
BgL_auxz00_9144 = 
(((BgL_varz00_bglt)CREF(BgL_obj1679z00_2921))->BgL_variablez00); 
BgL_auxz00_9143 = 
(obj_t)(BgL_auxz00_9144); } 
BgL_auxz00_9141 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1680z00_2924, BgL_auxz00_9141, BgL_auxz00_9143); } 
return BgL_res1680z00_2924;} } } 
}



/* struct+object->object-closure3544 */
obj_t BGl_structzb2objectzd2ze3objectzd2closure3544z51zzast_nodez00(obj_t BgL_envz00_6304, obj_t BgL_oz00_6305, obj_t BgL_sz00_6306)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ 
BgL_closurez00_bglt BgL_oz00_2911;obj_t BgL_sz00_2912;
{ /* Ast/node.scm 44 */
BgL_closurez00_bglt BgL_auxz00_9149;
BgL_oz00_2911 = 
(BgL_closurez00_bglt)(BgL_oz00_6305); 
BgL_sz00_2912 = BgL_sz00_6306; 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9152;BgL_objectz00_bglt BgL_auxz00_9150;
{ /* Ast/node.scm 44 */
int BgL_auxz00_9153;
BgL_auxz00_9153 = 
(int)(((long)0)); 
BgL_auxz00_9152 = 
STRUCT_REF(BgL_sz00_2912, BgL_auxz00_9153); } 
BgL_auxz00_9150 = 
(BgL_objectz00_bglt)(BgL_oz00_2911); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9150, BgL_auxz00_9152); } 
{ /* Ast/node.scm 44 */
obj_t BgL_v1719z00_2916;
{ /* Ast/node.scm 44 */
int BgL_auxz00_9157;
BgL_auxz00_9157 = 
(int)(((long)1)); 
BgL_v1719z00_2916 = 
STRUCT_REF(BgL_sz00_2912, BgL_auxz00_9157); } 
((((BgL_closurez00_bglt)CREF(BgL_oz00_2911))->BgL_locz00) = ((obj_t)BgL_v1719z00_2916), BUNSPEC); } 
{ /* Ast/node.scm 44 */
BgL_typez00_bglt BgL_v1723z00_2917;
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9161;
{ /* Ast/node.scm 44 */
int BgL_auxz00_9162;
BgL_auxz00_9162 = 
(int)(((long)2)); 
BgL_auxz00_9161 = 
STRUCT_REF(BgL_sz00_2912, BgL_auxz00_9162); } 
BgL_v1723z00_2917 = 
(BgL_typez00_bglt)(BgL_auxz00_9161); } 
((((BgL_closurez00_bglt)CREF(BgL_oz00_2911))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1723z00_2917), BUNSPEC); } 
{ /* Ast/node.scm 44 */
BgL_variablez00_bglt BgL_v1727z00_2918;
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9167;
{ /* Ast/node.scm 44 */
int BgL_auxz00_9168;
BgL_auxz00_9168 = 
(int)(((long)3)); 
BgL_auxz00_9167 = 
STRUCT_REF(BgL_sz00_2912, BgL_auxz00_9168); } 
BgL_v1727z00_2918 = 
(BgL_variablez00_bglt)(BgL_auxz00_9167); } 
((((BgL_closurez00_bglt)CREF(BgL_oz00_2911))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_v1727z00_2918), BUNSPEC); } 
BgL_auxz00_9149 = BgL_oz00_2911; 
return 
(obj_t)(BgL_auxz00_9149);} } } 
}



/* object->struct-closure3542 */
obj_t BGl_objectzd2ze3structzd2closure3542ze3zzast_nodez00(obj_t BgL_envz00_6307, obj_t BgL_obj1715z00_6308)
{ AN_OBJECT;
{ /* Ast/node.scm 44 */
{ 
BgL_closurez00_bglt BgL_obj1715z00_2899;
BgL_obj1715z00_2899 = 
(BgL_closurez00_bglt)(BgL_obj1715z00_6308); 
{ /* Ast/node.scm 44 */
obj_t BgL_res1716z00_2902;
{ /* Ast/node.scm 44 */
int BgL_auxz00_9177;obj_t BgL_auxz00_9175;
BgL_auxz00_9177 = 
(int)(((long)4)); 
BgL_auxz00_9175 = 
CNST_TABLE_REF(((long)10)); 
BgL_res1716z00_2902 = 
make_struct(BgL_auxz00_9175, BgL_auxz00_9177, BUNSPEC); } 
{ /* Ast/node.scm 44 */
int BgL_auxz00_9180;
BgL_auxz00_9180 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1716z00_2902, BgL_auxz00_9180, BFALSE); } 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9185;int BgL_auxz00_9183;
BgL_auxz00_9185 = 
(((BgL_closurez00_bglt)CREF(BgL_obj1715z00_2899))->BgL_locz00); 
BgL_auxz00_9183 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1716z00_2902, BgL_auxz00_9183, BgL_auxz00_9185); } 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9190;int BgL_auxz00_9188;
{ /* Ast/node.scm 44 */
BgL_typez00_bglt BgL_auxz00_9191;
BgL_auxz00_9191 = 
(((BgL_closurez00_bglt)CREF(BgL_obj1715z00_2899))->BgL_typez00); 
BgL_auxz00_9190 = 
(obj_t)(BgL_auxz00_9191); } 
BgL_auxz00_9188 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1716z00_2902, BgL_auxz00_9188, BgL_auxz00_9190); } 
{ /* Ast/node.scm 44 */
obj_t BgL_auxz00_9197;int BgL_auxz00_9195;
{ /* Ast/node.scm 44 */
BgL_variablez00_bglt BgL_auxz00_9198;
BgL_auxz00_9198 = 
(((BgL_closurez00_bglt)CREF(BgL_obj1715z00_2899))->BgL_variablez00); 
BgL_auxz00_9197 = 
(obj_t)(BgL_auxz00_9198); } 
BgL_auxz00_9195 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1716z00_2902, BgL_auxz00_9195, BgL_auxz00_9197); } 
return BgL_res1716z00_2902;} } } 
}



/* struct+object->object-kwote3540 */
obj_t BGl_structzb2objectzd2ze3objectzd2kwote3540z51zzast_nodez00(obj_t BgL_envz00_6309, obj_t BgL_oz00_6310, obj_t BgL_sz00_6311)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ 
BgL_kwotez00_bglt BgL_oz00_2889;obj_t BgL_sz00_2890;
{ /* Ast/node.scm 47 */
BgL_kwotez00_bglt BgL_auxz00_9203;
BgL_oz00_2889 = 
(BgL_kwotez00_bglt)(BgL_oz00_6310); 
BgL_sz00_2890 = BgL_sz00_6311; 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_9206;BgL_objectz00_bglt BgL_auxz00_9204;
{ /* Ast/node.scm 47 */
int BgL_auxz00_9207;
BgL_auxz00_9207 = 
(int)(((long)0)); 
BgL_auxz00_9206 = 
STRUCT_REF(BgL_sz00_2890, BgL_auxz00_9207); } 
BgL_auxz00_9204 = 
(BgL_objectz00_bglt)(BgL_oz00_2889); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9204, BgL_auxz00_9206); } 
{ /* Ast/node.scm 47 */
obj_t BgL_v1753z00_2894;
{ /* Ast/node.scm 47 */
int BgL_auxz00_9211;
BgL_auxz00_9211 = 
(int)(((long)1)); 
BgL_v1753z00_2894 = 
STRUCT_REF(BgL_sz00_2890, BgL_auxz00_9211); } 
((((BgL_kwotez00_bglt)CREF(BgL_oz00_2889))->BgL_locz00) = ((obj_t)BgL_v1753z00_2894), BUNSPEC); } 
{ /* Ast/node.scm 47 */
BgL_typez00_bglt BgL_v1757z00_2895;
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_9215;
{ /* Ast/node.scm 47 */
int BgL_auxz00_9216;
BgL_auxz00_9216 = 
(int)(((long)2)); 
BgL_auxz00_9215 = 
STRUCT_REF(BgL_sz00_2890, BgL_auxz00_9216); } 
BgL_v1757z00_2895 = 
(BgL_typez00_bglt)(BgL_auxz00_9215); } 
((((BgL_kwotez00_bglt)CREF(BgL_oz00_2889))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1757z00_2895), BUNSPEC); } 
{ /* Ast/node.scm 47 */
obj_t BgL_v1761z00_2896;
{ /* Ast/node.scm 47 */
int BgL_auxz00_9221;
BgL_auxz00_9221 = 
(int)(((long)3)); 
BgL_v1761z00_2896 = 
STRUCT_REF(BgL_sz00_2890, BgL_auxz00_9221); } 
((((BgL_kwotez00_bglt)CREF(BgL_oz00_2889))->BgL_valuez00) = ((obj_t)BgL_v1761z00_2896), BUNSPEC); } 
BgL_auxz00_9203 = BgL_oz00_2889; 
return 
(obj_t)(BgL_auxz00_9203);} } } 
}



/* object->struct-kwote3538 */
obj_t BGl_objectzd2ze3structzd2kwote3538ze3zzast_nodez00(obj_t BgL_envz00_6312, obj_t BgL_obj1749z00_6313)
{ AN_OBJECT;
{ /* Ast/node.scm 47 */
{ 
BgL_kwotez00_bglt BgL_obj1749z00_2877;
BgL_obj1749z00_2877 = 
(BgL_kwotez00_bglt)(BgL_obj1749z00_6313); 
{ /* Ast/node.scm 47 */
obj_t BgL_res1750z00_2880;
{ /* Ast/node.scm 47 */
int BgL_auxz00_9229;obj_t BgL_auxz00_9227;
BgL_auxz00_9229 = 
(int)(((long)4)); 
BgL_auxz00_9227 = 
CNST_TABLE_REF(((long)11)); 
BgL_res1750z00_2880 = 
make_struct(BgL_auxz00_9227, BgL_auxz00_9229, BUNSPEC); } 
{ /* Ast/node.scm 47 */
int BgL_auxz00_9232;
BgL_auxz00_9232 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1750z00_2880, BgL_auxz00_9232, BFALSE); } 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_9237;int BgL_auxz00_9235;
BgL_auxz00_9237 = 
(((BgL_kwotez00_bglt)CREF(BgL_obj1749z00_2877))->BgL_locz00); 
BgL_auxz00_9235 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1750z00_2880, BgL_auxz00_9235, BgL_auxz00_9237); } 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_9242;int BgL_auxz00_9240;
{ /* Ast/node.scm 47 */
BgL_typez00_bglt BgL_auxz00_9243;
BgL_auxz00_9243 = 
(((BgL_kwotez00_bglt)CREF(BgL_obj1749z00_2877))->BgL_typez00); 
BgL_auxz00_9242 = 
(obj_t)(BgL_auxz00_9243); } 
BgL_auxz00_9240 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1750z00_2880, BgL_auxz00_9240, BgL_auxz00_9242); } 
{ /* Ast/node.scm 47 */
obj_t BgL_auxz00_9249;int BgL_auxz00_9247;
BgL_auxz00_9249 = 
(((BgL_kwotez00_bglt)CREF(BgL_obj1749z00_2877))->BgL_valuez00); 
BgL_auxz00_9247 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1750z00_2880, BgL_auxz00_9247, BgL_auxz00_9249); } 
return BgL_res1750z00_2880;} } } 
}



/* struct+object->object-sequence3536 */
obj_t BGl_structzb2objectzd2ze3objectzd2sequence3536z51zzast_nodez00(obj_t BgL_envz00_6314, obj_t BgL_oz00_6315, obj_t BgL_sz00_6316)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ 
BgL_sequencez00_bglt BgL_oz00_2865;obj_t BgL_sz00_2866;
{ /* Ast/node.scm 52 */
BgL_sequencez00_bglt BgL_auxz00_9253;
BgL_oz00_2865 = 
(BgL_sequencez00_bglt)(BgL_oz00_6315); 
BgL_sz00_2866 = BgL_sz00_6316; 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9256;BgL_objectz00_bglt BgL_auxz00_9254;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9257;
BgL_auxz00_9257 = 
(int)(((long)0)); 
BgL_auxz00_9256 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9257); } 
BgL_auxz00_9254 = 
(BgL_objectz00_bglt)(BgL_oz00_2865); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9254, BgL_auxz00_9256); } 
{ /* Ast/node.scm 52 */
obj_t BgL_v1799z00_2870;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9261;
BgL_auxz00_9261 = 
(int)(((long)1)); 
BgL_v1799z00_2870 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9261); } 
((((BgL_sequencez00_bglt)CREF(BgL_oz00_2865))->BgL_locz00) = ((obj_t)BgL_v1799z00_2870), BUNSPEC); } 
{ /* Ast/node.scm 52 */
BgL_typez00_bglt BgL_v1803z00_2871;
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9265;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9266;
BgL_auxz00_9266 = 
(int)(((long)2)); 
BgL_auxz00_9265 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9266); } 
BgL_v1803z00_2871 = 
(BgL_typez00_bglt)(BgL_auxz00_9265); } 
((((BgL_sequencez00_bglt)CREF(BgL_oz00_2865))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1803z00_2871), BUNSPEC); } 
{ /* Ast/node.scm 52 */
obj_t BgL_v1807z00_2872;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9271;
BgL_auxz00_9271 = 
(int)(((long)3)); 
BgL_v1807z00_2872 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9271); } 
((((BgL_sequencez00_bglt)CREF(BgL_oz00_2865))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1807z00_2872), BUNSPEC); } 
{ /* Ast/node.scm 52 */
obj_t BgL_v1811z00_2873;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9275;
BgL_auxz00_9275 = 
(int)(((long)4)); 
BgL_v1811z00_2873 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9275); } 
((((BgL_sequencez00_bglt)CREF(BgL_oz00_2865))->BgL_keyz00) = ((obj_t)BgL_v1811z00_2873), BUNSPEC); } 
{ /* Ast/node.scm 52 */
obj_t BgL_v1815z00_2874;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9279;
BgL_auxz00_9279 = 
(int)(((long)5)); 
BgL_v1815z00_2874 = 
STRUCT_REF(BgL_sz00_2866, BgL_auxz00_9279); } 
((((BgL_sequencez00_bglt)CREF(BgL_oz00_2865))->BgL_nodesz00) = ((obj_t)BgL_v1815z00_2874), BUNSPEC); } 
BgL_auxz00_9253 = BgL_oz00_2865; 
return 
(obj_t)(BgL_auxz00_9253);} } } 
}



/* object->struct-sequence3534 */
obj_t BGl_objectzd2ze3structzd2sequence3534ze3zzast_nodez00(obj_t BgL_envz00_6317, obj_t BgL_obj1795z00_6318)
{ AN_OBJECT;
{ /* Ast/node.scm 52 */
{ 
BgL_sequencez00_bglt BgL_obj1795z00_2849;
BgL_obj1795z00_2849 = 
(BgL_sequencez00_bglt)(BgL_obj1795z00_6318); 
{ /* Ast/node.scm 52 */
obj_t BgL_res1796z00_2852;
{ /* Ast/node.scm 52 */
int BgL_auxz00_9287;obj_t BgL_auxz00_9285;
BgL_auxz00_9287 = 
(int)(((long)6)); 
BgL_auxz00_9285 = 
CNST_TABLE_REF(((long)13)); 
BgL_res1796z00_2852 = 
make_struct(BgL_auxz00_9285, BgL_auxz00_9287, BUNSPEC); } 
{ /* Ast/node.scm 52 */
int BgL_auxz00_9290;
BgL_auxz00_9290 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9290, BFALSE); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9295;int BgL_auxz00_9293;
BgL_auxz00_9295 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1795z00_2849))->BgL_locz00); 
BgL_auxz00_9293 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9293, BgL_auxz00_9295); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9300;int BgL_auxz00_9298;
{ /* Ast/node.scm 52 */
BgL_typez00_bglt BgL_auxz00_9301;
BgL_auxz00_9301 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1795z00_2849))->BgL_typez00); 
BgL_auxz00_9300 = 
(obj_t)(BgL_auxz00_9301); } 
BgL_auxz00_9298 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9298, BgL_auxz00_9300); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9307;int BgL_auxz00_9305;
BgL_auxz00_9307 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1795z00_2849))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9305 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9305, BgL_auxz00_9307); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9312;int BgL_auxz00_9310;
BgL_auxz00_9312 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1795z00_2849))->BgL_keyz00); 
BgL_auxz00_9310 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9310, BgL_auxz00_9312); } 
{ /* Ast/node.scm 52 */
obj_t BgL_auxz00_9317;int BgL_auxz00_9315;
BgL_auxz00_9317 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1795z00_2849))->BgL_nodesz00); 
BgL_auxz00_9315 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1796z00_2852, BgL_auxz00_9315, BgL_auxz00_9317); } 
return BgL_res1796z00_2852;} } } 
}



/* struct+object->object-app3532 */
obj_t BGl_structzb2objectzd2ze3objectzd2app3532z51zzast_nodez00(obj_t BgL_envz00_6319, obj_t BgL_oz00_6320, obj_t BgL_sz00_6321)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ 
BgL_appz00_bglt BgL_oz00_2836;obj_t BgL_sz00_2837;
{ /* Ast/node.scm 56 */
BgL_appz00_bglt BgL_auxz00_9321;
BgL_oz00_2836 = 
(BgL_appz00_bglt)(BgL_oz00_6320); 
BgL_sz00_2837 = BgL_sz00_6321; 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9324;BgL_objectz00_bglt BgL_auxz00_9322;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9325;
BgL_auxz00_9325 = 
(int)(((long)0)); 
BgL_auxz00_9324 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9325); } 
BgL_auxz00_9322 = 
(BgL_objectz00_bglt)(BgL_oz00_2836); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9322, BgL_auxz00_9324); } 
{ /* Ast/node.scm 56 */
obj_t BgL_v1861z00_2841;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9329;
BgL_auxz00_9329 = 
(int)(((long)1)); 
BgL_v1861z00_2841 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9329); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_locz00) = ((obj_t)BgL_v1861z00_2841), BUNSPEC); } 
{ /* Ast/node.scm 56 */
BgL_typez00_bglt BgL_v1865z00_2842;
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9333;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9334;
BgL_auxz00_9334 = 
(int)(((long)2)); 
BgL_auxz00_9333 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9334); } 
BgL_v1865z00_2842 = 
(BgL_typez00_bglt)(BgL_auxz00_9333); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1865z00_2842), BUNSPEC); } 
{ /* Ast/node.scm 56 */
obj_t BgL_v1869z00_2843;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9339;
BgL_auxz00_9339 = 
(int)(((long)3)); 
BgL_v1869z00_2843 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9339); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1869z00_2843), BUNSPEC); } 
{ /* Ast/node.scm 56 */
obj_t BgL_v1873z00_2844;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9343;
BgL_auxz00_9343 = 
(int)(((long)4)); 
BgL_v1873z00_2844 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9343); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_keyz00) = ((obj_t)BgL_v1873z00_2844), BUNSPEC); } 
{ /* Ast/node.scm 56 */
BgL_varz00_bglt BgL_v1877z00_2845;
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9347;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9348;
BgL_auxz00_9348 = 
(int)(((long)5)); 
BgL_auxz00_9347 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9348); } 
BgL_v1877z00_2845 = 
(BgL_varz00_bglt)(BgL_auxz00_9347); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_funz00) = ((BgL_varz00_bglt)BgL_v1877z00_2845), BUNSPEC); } 
{ /* Ast/node.scm 56 */
obj_t BgL_v1881z00_2846;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9353;
BgL_auxz00_9353 = 
(int)(((long)6)); 
BgL_v1881z00_2846 = 
STRUCT_REF(BgL_sz00_2837, BgL_auxz00_9353); } 
((((BgL_appz00_bglt)CREF(BgL_oz00_2836))->BgL_argsz00) = ((obj_t)BgL_v1881z00_2846), BUNSPEC); } 
BgL_auxz00_9321 = BgL_oz00_2836; 
return 
(obj_t)(BgL_auxz00_9321);} } } 
}



/* object->struct-app3530 */
obj_t BGl_objectzd2ze3structzd2app3530ze3zzast_nodez00(obj_t BgL_envz00_6322, obj_t BgL_obj1857z00_6323)
{ AN_OBJECT;
{ /* Ast/node.scm 56 */
{ 
BgL_appz00_bglt BgL_obj1857z00_2818;
BgL_obj1857z00_2818 = 
(BgL_appz00_bglt)(BgL_obj1857z00_6323); 
{ /* Ast/node.scm 56 */
obj_t BgL_res1858z00_2821;
{ /* Ast/node.scm 56 */
int BgL_auxz00_9361;obj_t BgL_auxz00_9359;
BgL_auxz00_9361 = 
(int)(((long)7)); 
BgL_auxz00_9359 = 
CNST_TABLE_REF(((long)15)); 
BgL_res1858z00_2821 = 
make_struct(BgL_auxz00_9359, BgL_auxz00_9361, BUNSPEC); } 
{ /* Ast/node.scm 56 */
int BgL_auxz00_9364;
BgL_auxz00_9364 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9364, BFALSE); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9369;int BgL_auxz00_9367;
BgL_auxz00_9369 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_locz00); 
BgL_auxz00_9367 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9367, BgL_auxz00_9369); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9374;int BgL_auxz00_9372;
{ /* Ast/node.scm 56 */
BgL_typez00_bglt BgL_auxz00_9375;
BgL_auxz00_9375 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_typez00); 
BgL_auxz00_9374 = 
(obj_t)(BgL_auxz00_9375); } 
BgL_auxz00_9372 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9372, BgL_auxz00_9374); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9381;int BgL_auxz00_9379;
BgL_auxz00_9381 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9379 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9379, BgL_auxz00_9381); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9386;int BgL_auxz00_9384;
BgL_auxz00_9386 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_keyz00); 
BgL_auxz00_9384 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9384, BgL_auxz00_9386); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9391;int BgL_auxz00_9389;
{ /* Ast/node.scm 56 */
BgL_varz00_bglt BgL_auxz00_9392;
BgL_auxz00_9392 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_funz00); 
BgL_auxz00_9391 = 
(obj_t)(BgL_auxz00_9392); } 
BgL_auxz00_9389 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9389, BgL_auxz00_9391); } 
{ /* Ast/node.scm 56 */
obj_t BgL_auxz00_9398;int BgL_auxz00_9396;
BgL_auxz00_9398 = 
(((BgL_appz00_bglt)CREF(BgL_obj1857z00_2818))->BgL_argsz00); 
BgL_auxz00_9396 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1858z00_2821, BgL_auxz00_9396, BgL_auxz00_9398); } 
return BgL_res1858z00_2821;} } } 
}



/* struct+object->object-app-ly3528 */
obj_t BGl_structzb2objectzd2ze3objectzd2appzd2ly3528z83zzast_nodez00(obj_t BgL_envz00_6324, obj_t BgL_oz00_6325, obj_t BgL_sz00_6326)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ 
BgL_appzd2lyzd2_bglt BgL_oz00_2807;obj_t BgL_sz00_2808;
{ /* Ast/node.scm 63 */
BgL_appzd2lyzd2_bglt BgL_auxz00_9402;
BgL_oz00_2807 = 
(BgL_appzd2lyzd2_bglt)(BgL_oz00_6325); 
BgL_sz00_2808 = BgL_sz00_6326; 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9405;BgL_objectz00_bglt BgL_auxz00_9403;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9406;
BgL_auxz00_9406 = 
(int)(((long)0)); 
BgL_auxz00_9405 = 
STRUCT_REF(BgL_sz00_2808, BgL_auxz00_9406); } 
BgL_auxz00_9403 = 
(BgL_objectz00_bglt)(BgL_oz00_2807); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9403, BgL_auxz00_9405); } 
{ /* Ast/node.scm 63 */
obj_t BgL_v1915z00_2812;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9410;
BgL_auxz00_9410 = 
(int)(((long)1)); 
BgL_v1915z00_2812 = 
STRUCT_REF(BgL_sz00_2808, BgL_auxz00_9410); } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_oz00_2807))->BgL_locz00) = ((obj_t)BgL_v1915z00_2812), BUNSPEC); } 
{ /* Ast/node.scm 63 */
BgL_typez00_bglt BgL_v1919z00_2813;
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9414;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9415;
BgL_auxz00_9415 = 
(int)(((long)2)); 
BgL_auxz00_9414 = 
STRUCT_REF(BgL_sz00_2808, BgL_auxz00_9415); } 
BgL_v1919z00_2813 = 
(BgL_typez00_bglt)(BgL_auxz00_9414); } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_oz00_2807))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1919z00_2813), BUNSPEC); } 
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_v1923z00_2814;
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9420;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9421;
BgL_auxz00_9421 = 
(int)(((long)3)); 
BgL_auxz00_9420 = 
STRUCT_REF(BgL_sz00_2808, BgL_auxz00_9421); } 
BgL_v1923z00_2814 = 
(BgL_nodez00_bglt)(BgL_auxz00_9420); } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_oz00_2807))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_v1923z00_2814), BUNSPEC); } 
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_v1927z00_2815;
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9426;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9427;
BgL_auxz00_9427 = 
(int)(((long)4)); 
BgL_auxz00_9426 = 
STRUCT_REF(BgL_sz00_2808, BgL_auxz00_9427); } 
BgL_v1927z00_2815 = 
(BgL_nodez00_bglt)(BgL_auxz00_9426); } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_oz00_2807))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_v1927z00_2815), BUNSPEC); } 
BgL_auxz00_9402 = BgL_oz00_2807; 
return 
(obj_t)(BgL_auxz00_9402);} } } 
}



/* object->struct-app-ly3526 */
obj_t BGl_objectzd2ze3structzd2appzd2ly3526z31zzast_nodez00(obj_t BgL_envz00_6327, obj_t BgL_obj1911z00_6328)
{ AN_OBJECT;
{ /* Ast/node.scm 63 */
{ 
BgL_appzd2lyzd2_bglt BgL_obj1911z00_2793;
BgL_obj1911z00_2793 = 
(BgL_appzd2lyzd2_bglt)(BgL_obj1911z00_6328); 
{ /* Ast/node.scm 63 */
obj_t BgL_res1912z00_2796;
{ /* Ast/node.scm 63 */
int BgL_auxz00_9436;obj_t BgL_auxz00_9434;
BgL_auxz00_9436 = 
(int)(((long)5)); 
BgL_auxz00_9434 = 
CNST_TABLE_REF(((long)18)); 
BgL_res1912z00_2796 = 
make_struct(BgL_auxz00_9434, BgL_auxz00_9436, BUNSPEC); } 
{ /* Ast/node.scm 63 */
int BgL_auxz00_9439;
BgL_auxz00_9439 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1912z00_2796, BgL_auxz00_9439, BFALSE); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9444;int BgL_auxz00_9442;
BgL_auxz00_9444 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1911z00_2793))->BgL_locz00); 
BgL_auxz00_9442 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1912z00_2796, BgL_auxz00_9442, BgL_auxz00_9444); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9449;int BgL_auxz00_9447;
{ /* Ast/node.scm 63 */
BgL_typez00_bglt BgL_auxz00_9450;
BgL_auxz00_9450 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1911z00_2793))->BgL_typez00); 
BgL_auxz00_9449 = 
(obj_t)(BgL_auxz00_9450); } 
BgL_auxz00_9447 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1912z00_2796, BgL_auxz00_9447, BgL_auxz00_9449); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9456;int BgL_auxz00_9454;
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_auxz00_9457;
BgL_auxz00_9457 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1911z00_2793))->BgL_funz00); 
BgL_auxz00_9456 = 
(obj_t)(BgL_auxz00_9457); } 
BgL_auxz00_9454 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1912z00_2796, BgL_auxz00_9454, BgL_auxz00_9456); } 
{ /* Ast/node.scm 63 */
obj_t BgL_auxz00_9463;int BgL_auxz00_9461;
{ /* Ast/node.scm 63 */
BgL_nodez00_bglt BgL_auxz00_9464;
BgL_auxz00_9464 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1911z00_2793))->BgL_argz00); 
BgL_auxz00_9463 = 
(obj_t)(BgL_auxz00_9464); } 
BgL_auxz00_9461 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1912z00_2796, BgL_auxz00_9461, BgL_auxz00_9463); } 
return BgL_res1912z00_2796;} } } 
}



/* struct+object->object-funcall3524 */
obj_t BGl_structzb2objectzd2ze3objectzd2funcall3524z51zzast_nodez00(obj_t BgL_envz00_6329, obj_t BgL_oz00_6330, obj_t BgL_sz00_6331)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ 
BgL_funcallz00_bglt BgL_oz00_2781;obj_t BgL_sz00_2782;
{ /* Ast/node.scm 70 */
BgL_funcallz00_bglt BgL_auxz00_9469;
BgL_oz00_2781 = 
(BgL_funcallz00_bglt)(BgL_oz00_6330); 
BgL_sz00_2782 = BgL_sz00_6331; 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9472;BgL_objectz00_bglt BgL_auxz00_9470;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9473;
BgL_auxz00_9473 = 
(int)(((long)0)); 
BgL_auxz00_9472 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9473); } 
BgL_auxz00_9470 = 
(BgL_objectz00_bglt)(BgL_oz00_2781); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9470, BgL_auxz00_9472); } 
{ /* Ast/node.scm 70 */
obj_t BgL_v1967z00_2786;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9477;
BgL_auxz00_9477 = 
(int)(((long)1)); 
BgL_v1967z00_2786 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9477); } 
((((BgL_funcallz00_bglt)CREF(BgL_oz00_2781))->BgL_locz00) = ((obj_t)BgL_v1967z00_2786), BUNSPEC); } 
{ /* Ast/node.scm 70 */
BgL_typez00_bglt BgL_v1971z00_2787;
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9481;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9482;
BgL_auxz00_9482 = 
(int)(((long)2)); 
BgL_auxz00_9481 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9482); } 
BgL_v1971z00_2787 = 
(BgL_typez00_bglt)(BgL_auxz00_9481); } 
((((BgL_funcallz00_bglt)CREF(BgL_oz00_2781))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1971z00_2787), BUNSPEC); } 
{ /* Ast/node.scm 70 */
BgL_nodez00_bglt BgL_v1975z00_2788;
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9487;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9488;
BgL_auxz00_9488 = 
(int)(((long)3)); 
BgL_auxz00_9487 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9488); } 
BgL_v1975z00_2788 = 
(BgL_nodez00_bglt)(BgL_auxz00_9487); } 
((((BgL_funcallz00_bglt)CREF(BgL_oz00_2781))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_v1975z00_2788), BUNSPEC); } 
{ /* Ast/node.scm 70 */
obj_t BgL_v1979z00_2789;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9493;
BgL_auxz00_9493 = 
(int)(((long)4)); 
BgL_v1979z00_2789 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9493); } 
((((BgL_funcallz00_bglt)CREF(BgL_oz00_2781))->BgL_argsz00) = ((obj_t)BgL_v1979z00_2789), BUNSPEC); } 
{ /* Ast/node.scm 70 */
obj_t BgL_v1983z00_2790;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9497;
BgL_auxz00_9497 = 
(int)(((long)5)); 
BgL_v1983z00_2790 = 
STRUCT_REF(BgL_sz00_2782, BgL_auxz00_9497); } 
((((BgL_funcallz00_bglt)CREF(BgL_oz00_2781))->BgL_strengthz00) = ((obj_t)BgL_v1983z00_2790), BUNSPEC); } 
BgL_auxz00_9469 = BgL_oz00_2781; 
return 
(obj_t)(BgL_auxz00_9469);} } } 
}



/* object->struct-funcall3522 */
obj_t BGl_objectzd2ze3structzd2funcall3522ze3zzast_nodez00(obj_t BgL_envz00_6332, obj_t BgL_obj1963z00_6333)
{ AN_OBJECT;
{ /* Ast/node.scm 70 */
{ 
BgL_funcallz00_bglt BgL_obj1963z00_2765;
BgL_obj1963z00_2765 = 
(BgL_funcallz00_bglt)(BgL_obj1963z00_6333); 
{ /* Ast/node.scm 70 */
obj_t BgL_res1964z00_2768;
{ /* Ast/node.scm 70 */
int BgL_auxz00_9505;obj_t BgL_auxz00_9503;
BgL_auxz00_9505 = 
(int)(((long)6)); 
BgL_auxz00_9503 = 
CNST_TABLE_REF(((long)21)); 
BgL_res1964z00_2768 = 
make_struct(BgL_auxz00_9503, BgL_auxz00_9505, BUNSPEC); } 
{ /* Ast/node.scm 70 */
int BgL_auxz00_9508;
BgL_auxz00_9508 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9508, BFALSE); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9513;int BgL_auxz00_9511;
BgL_auxz00_9513 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1963z00_2765))->BgL_locz00); 
BgL_auxz00_9511 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9511, BgL_auxz00_9513); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9518;int BgL_auxz00_9516;
{ /* Ast/node.scm 70 */
BgL_typez00_bglt BgL_auxz00_9519;
BgL_auxz00_9519 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1963z00_2765))->BgL_typez00); 
BgL_auxz00_9518 = 
(obj_t)(BgL_auxz00_9519); } 
BgL_auxz00_9516 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9516, BgL_auxz00_9518); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9525;int BgL_auxz00_9523;
{ /* Ast/node.scm 70 */
BgL_nodez00_bglt BgL_auxz00_9526;
BgL_auxz00_9526 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1963z00_2765))->BgL_funz00); 
BgL_auxz00_9525 = 
(obj_t)(BgL_auxz00_9526); } 
BgL_auxz00_9523 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9523, BgL_auxz00_9525); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9532;int BgL_auxz00_9530;
BgL_auxz00_9532 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1963z00_2765))->BgL_argsz00); 
BgL_auxz00_9530 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9530, BgL_auxz00_9532); } 
{ /* Ast/node.scm 70 */
obj_t BgL_auxz00_9537;int BgL_auxz00_9535;
BgL_auxz00_9537 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1963z00_2765))->BgL_strengthz00); 
BgL_auxz00_9535 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1964z00_2768, BgL_auxz00_9535, BgL_auxz00_9537); } 
return BgL_res1964z00_2768;} } } 
}



/* struct+object->object-extern3520 */
obj_t BGl_structzb2objectzd2ze3objectzd2extern3520z51zzast_nodez00(obj_t BgL_envz00_6334, obj_t BgL_oz00_6335, obj_t BgL_sz00_6336)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ 
BgL_externz00_bglt BgL_oz00_2753;obj_t BgL_sz00_2754;
{ /* Ast/node.scm 80 */
BgL_externz00_bglt BgL_auxz00_9541;
BgL_oz00_2753 = 
(BgL_externz00_bglt)(BgL_oz00_6335); 
BgL_sz00_2754 = BgL_sz00_6336; 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9544;BgL_objectz00_bglt BgL_auxz00_9542;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9545;
BgL_auxz00_9545 = 
(int)(((long)0)); 
BgL_auxz00_9544 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9545); } 
BgL_auxz00_9542 = 
(BgL_objectz00_bglt)(BgL_oz00_2753); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9542, BgL_auxz00_9544); } 
{ /* Ast/node.scm 80 */
obj_t BgL_v2023z00_2758;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9549;
BgL_auxz00_9549 = 
(int)(((long)1)); 
BgL_v2023z00_2758 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9549); } 
((((BgL_externz00_bglt)CREF(BgL_oz00_2753))->BgL_locz00) = ((obj_t)BgL_v2023z00_2758), BUNSPEC); } 
{ /* Ast/node.scm 80 */
BgL_typez00_bglt BgL_v2027z00_2759;
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9553;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9554;
BgL_auxz00_9554 = 
(int)(((long)2)); 
BgL_auxz00_9553 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9554); } 
BgL_v2027z00_2759 = 
(BgL_typez00_bglt)(BgL_auxz00_9553); } 
((((BgL_externz00_bglt)CREF(BgL_oz00_2753))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2027z00_2759), BUNSPEC); } 
{ /* Ast/node.scm 80 */
obj_t BgL_v2031z00_2760;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9559;
BgL_auxz00_9559 = 
(int)(((long)3)); 
BgL_v2031z00_2760 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9559); } 
((((BgL_externz00_bglt)CREF(BgL_oz00_2753))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2031z00_2760), BUNSPEC); } 
{ /* Ast/node.scm 80 */
obj_t BgL_v2035z00_2761;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9563;
BgL_auxz00_9563 = 
(int)(((long)4)); 
BgL_v2035z00_2761 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9563); } 
((((BgL_externz00_bglt)CREF(BgL_oz00_2753))->BgL_keyz00) = ((obj_t)BgL_v2035z00_2761), BUNSPEC); } 
{ /* Ast/node.scm 80 */
obj_t BgL_v2039z00_2762;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9567;
BgL_auxz00_9567 = 
(int)(((long)5)); 
BgL_v2039z00_2762 = 
STRUCT_REF(BgL_sz00_2754, BgL_auxz00_9567); } 
((((BgL_externz00_bglt)CREF(BgL_oz00_2753))->BgL_exprza2za2) = ((obj_t)BgL_v2039z00_2762), BUNSPEC); } 
BgL_auxz00_9541 = BgL_oz00_2753; 
return 
(obj_t)(BgL_auxz00_9541);} } } 
}



/* object->struct-extern3518 */
obj_t BGl_objectzd2ze3structzd2extern3518ze3zzast_nodez00(obj_t BgL_envz00_6337, obj_t BgL_obj2019z00_6338)
{ AN_OBJECT;
{ /* Ast/node.scm 80 */
{ 
BgL_externz00_bglt BgL_obj2019z00_2737;
BgL_obj2019z00_2737 = 
(BgL_externz00_bglt)(BgL_obj2019z00_6338); 
{ /* Ast/node.scm 80 */
obj_t BgL_res2020z00_2740;
{ /* Ast/node.scm 80 */
int BgL_auxz00_9575;obj_t BgL_auxz00_9573;
BgL_auxz00_9575 = 
(int)(((long)6)); 
BgL_auxz00_9573 = 
CNST_TABLE_REF(((long)23)); 
BgL_res2020z00_2740 = 
make_struct(BgL_auxz00_9573, BgL_auxz00_9575, BUNSPEC); } 
{ /* Ast/node.scm 80 */
int BgL_auxz00_9578;
BgL_auxz00_9578 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9578, BFALSE); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9583;int BgL_auxz00_9581;
BgL_auxz00_9583 = 
(((BgL_externz00_bglt)CREF(BgL_obj2019z00_2737))->BgL_locz00); 
BgL_auxz00_9581 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9581, BgL_auxz00_9583); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9588;int BgL_auxz00_9586;
{ /* Ast/node.scm 80 */
BgL_typez00_bglt BgL_auxz00_9589;
BgL_auxz00_9589 = 
(((BgL_externz00_bglt)CREF(BgL_obj2019z00_2737))->BgL_typez00); 
BgL_auxz00_9588 = 
(obj_t)(BgL_auxz00_9589); } 
BgL_auxz00_9586 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9586, BgL_auxz00_9588); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9595;int BgL_auxz00_9593;
BgL_auxz00_9595 = 
(((BgL_externz00_bglt)CREF(BgL_obj2019z00_2737))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9593 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9593, BgL_auxz00_9595); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9600;int BgL_auxz00_9598;
BgL_auxz00_9600 = 
(((BgL_externz00_bglt)CREF(BgL_obj2019z00_2737))->BgL_keyz00); 
BgL_auxz00_9598 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9598, BgL_auxz00_9600); } 
{ /* Ast/node.scm 80 */
obj_t BgL_auxz00_9605;int BgL_auxz00_9603;
BgL_auxz00_9605 = 
(((BgL_externz00_bglt)CREF(BgL_obj2019z00_2737))->BgL_exprza2za2); 
BgL_auxz00_9603 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2020z00_2740, BgL_auxz00_9603, BgL_auxz00_9605); } 
return BgL_res2020z00_2740;} } } 
}



/* struct+object->object-pragma3516 */
obj_t BGl_structzb2objectzd2ze3objectzd2pragma3516z51zzast_nodez00(obj_t BgL_envz00_6339, obj_t BgL_oz00_6340, obj_t BgL_sz00_6341)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ 
BgL_pragmaz00_bglt BgL_oz00_2724;obj_t BgL_sz00_2725;
{ /* Ast/node.scm 85 */
BgL_pragmaz00_bglt BgL_auxz00_9609;
BgL_oz00_2724 = 
(BgL_pragmaz00_bglt)(BgL_oz00_6340); 
BgL_sz00_2725 = BgL_sz00_6341; 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9612;BgL_objectz00_bglt BgL_auxz00_9610;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9613;
BgL_auxz00_9613 = 
(int)(((long)0)); 
BgL_auxz00_9612 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9613); } 
BgL_auxz00_9610 = 
(BgL_objectz00_bglt)(BgL_oz00_2724); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9610, BgL_auxz00_9612); } 
{ /* Ast/node.scm 85 */
obj_t BgL_v2083z00_2729;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9617;
BgL_auxz00_9617 = 
(int)(((long)1)); 
BgL_v2083z00_2729 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9617); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_locz00) = ((obj_t)BgL_v2083z00_2729), BUNSPEC); } 
{ /* Ast/node.scm 85 */
BgL_typez00_bglt BgL_v2087z00_2730;
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9621;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9622;
BgL_auxz00_9622 = 
(int)(((long)2)); 
BgL_auxz00_9621 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9622); } 
BgL_v2087z00_2730 = 
(BgL_typez00_bglt)(BgL_auxz00_9621); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2087z00_2730), BUNSPEC); } 
{ /* Ast/node.scm 85 */
obj_t BgL_v2091z00_2731;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9627;
BgL_auxz00_9627 = 
(int)(((long)3)); 
BgL_v2091z00_2731 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9627); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2091z00_2731), BUNSPEC); } 
{ /* Ast/node.scm 85 */
obj_t BgL_v2095z00_2732;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9631;
BgL_auxz00_9631 = 
(int)(((long)4)); 
BgL_v2095z00_2732 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9631); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_keyz00) = ((obj_t)BgL_v2095z00_2732), BUNSPEC); } 
{ /* Ast/node.scm 85 */
obj_t BgL_v2099z00_2733;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9635;
BgL_auxz00_9635 = 
(int)(((long)5)); 
BgL_v2099z00_2733 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9635); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_exprza2za2) = ((obj_t)BgL_v2099z00_2733), BUNSPEC); } 
{ /* Ast/node.scm 85 */
obj_t BgL_v2103z00_2734;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9639;
BgL_auxz00_9639 = 
(int)(((long)6)); 
BgL_v2103z00_2734 = 
STRUCT_REF(BgL_sz00_2725, BgL_auxz00_9639); } 
((((BgL_pragmaz00_bglt)CREF(BgL_oz00_2724))->BgL_formatz00) = ((obj_t)BgL_v2103z00_2734), BUNSPEC); } 
BgL_auxz00_9609 = BgL_oz00_2724; 
return 
(obj_t)(BgL_auxz00_9609);} } } 
}



/* object->struct-pragma3514 */
obj_t BGl_objectzd2ze3structzd2pragma3514ze3zzast_nodez00(obj_t BgL_envz00_6342, obj_t BgL_obj2079z00_6343)
{ AN_OBJECT;
{ /* Ast/node.scm 85 */
{ 
BgL_pragmaz00_bglt BgL_obj2079z00_2706;
BgL_obj2079z00_2706 = 
(BgL_pragmaz00_bglt)(BgL_obj2079z00_6343); 
{ /* Ast/node.scm 85 */
obj_t BgL_res2080z00_2709;
{ /* Ast/node.scm 85 */
int BgL_auxz00_9647;obj_t BgL_auxz00_9645;
BgL_auxz00_9647 = 
(int)(((long)7)); 
BgL_auxz00_9645 = 
CNST_TABLE_REF(((long)25)); 
BgL_res2080z00_2709 = 
make_struct(BgL_auxz00_9645, BgL_auxz00_9647, BUNSPEC); } 
{ /* Ast/node.scm 85 */
int BgL_auxz00_9650;
BgL_auxz00_9650 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9650, BFALSE); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9655;int BgL_auxz00_9653;
BgL_auxz00_9655 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_locz00); 
BgL_auxz00_9653 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9653, BgL_auxz00_9655); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9660;int BgL_auxz00_9658;
{ /* Ast/node.scm 85 */
BgL_typez00_bglt BgL_auxz00_9661;
BgL_auxz00_9661 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_typez00); 
BgL_auxz00_9660 = 
(obj_t)(BgL_auxz00_9661); } 
BgL_auxz00_9658 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9658, BgL_auxz00_9660); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9667;int BgL_auxz00_9665;
BgL_auxz00_9667 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9665 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9665, BgL_auxz00_9667); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9672;int BgL_auxz00_9670;
BgL_auxz00_9672 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_keyz00); 
BgL_auxz00_9670 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9670, BgL_auxz00_9672); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9677;int BgL_auxz00_9675;
BgL_auxz00_9677 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_exprza2za2); 
BgL_auxz00_9675 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9675, BgL_auxz00_9677); } 
{ /* Ast/node.scm 85 */
obj_t BgL_auxz00_9682;int BgL_auxz00_9680;
BgL_auxz00_9682 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj2079z00_2706))->BgL_formatz00); 
BgL_auxz00_9680 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2080z00_2709, BgL_auxz00_9680, BgL_auxz00_9682); } 
return BgL_res2080z00_2709;} } } 
}



/* struct+object->object-getfield3512 */
obj_t BGl_structzb2objectzd2ze3objectzd2getfield3512z51zzast_nodez00(obj_t BgL_envz00_6344, obj_t BgL_oz00_6345, obj_t BgL_sz00_6346)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ 
BgL_getfieldz00_bglt BgL_oz00_2691;obj_t BgL_sz00_2692;
{ /* Ast/node.scm 89 */
BgL_getfieldz00_bglt BgL_auxz00_9686;
BgL_oz00_2691 = 
(BgL_getfieldz00_bglt)(BgL_oz00_6345); 
BgL_sz00_2692 = BgL_sz00_6346; 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9689;BgL_objectz00_bglt BgL_auxz00_9687;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9690;
BgL_auxz00_9690 = 
(int)(((long)0)); 
BgL_auxz00_9689 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9690); } 
BgL_auxz00_9687 = 
(BgL_objectz00_bglt)(BgL_oz00_2691); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9687, BgL_auxz00_9689); } 
{ /* Ast/node.scm 89 */
obj_t BgL_v2155z00_2696;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9694;
BgL_auxz00_9694 = 
(int)(((long)1)); 
BgL_v2155z00_2696 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9694); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_locz00) = ((obj_t)BgL_v2155z00_2696), BUNSPEC); } 
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_v2159z00_2697;
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9698;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9699;
BgL_auxz00_9699 = 
(int)(((long)2)); 
BgL_auxz00_9698 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9699); } 
BgL_v2159z00_2697 = 
(BgL_typez00_bglt)(BgL_auxz00_9698); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2159z00_2697), BUNSPEC); } 
{ /* Ast/node.scm 89 */
obj_t BgL_v2163z00_2698;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9704;
BgL_auxz00_9704 = 
(int)(((long)3)); 
BgL_v2163z00_2698 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9704); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2163z00_2698), BUNSPEC); } 
{ /* Ast/node.scm 89 */
obj_t BgL_v2167z00_2699;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9708;
BgL_auxz00_9708 = 
(int)(((long)4)); 
BgL_v2167z00_2699 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9708); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_keyz00) = ((obj_t)BgL_v2167z00_2699), BUNSPEC); } 
{ /* Ast/node.scm 89 */
obj_t BgL_v2171z00_2700;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9712;
BgL_auxz00_9712 = 
(int)(((long)5)); 
BgL_v2171z00_2700 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9712); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_exprza2za2) = ((obj_t)BgL_v2171z00_2700), BUNSPEC); } 
{ /* Ast/node.scm 89 */
obj_t BgL_v2175z00_2701;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9716;
BgL_auxz00_9716 = 
(int)(((long)6)); 
BgL_v2175z00_2701 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9716); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_fnamez00) = ((obj_t)BgL_v2175z00_2701), BUNSPEC); } 
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_v2179z00_2702;
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9720;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9721;
BgL_auxz00_9721 = 
(int)(((long)7)); 
BgL_auxz00_9720 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9721); } 
BgL_v2179z00_2702 = 
(BgL_typez00_bglt)(BgL_auxz00_9720); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_v2179z00_2702), BUNSPEC); } 
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_v2183z00_2703;
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9726;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9727;
BgL_auxz00_9727 = 
(int)(((long)8)); 
BgL_auxz00_9726 = 
STRUCT_REF(BgL_sz00_2692, BgL_auxz00_9727); } 
BgL_v2183z00_2703 = 
(BgL_typez00_bglt)(BgL_auxz00_9726); } 
((((BgL_getfieldz00_bglt)CREF(BgL_oz00_2691))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_v2183z00_2703), BUNSPEC); } 
BgL_auxz00_9686 = BgL_oz00_2691; 
return 
(obj_t)(BgL_auxz00_9686);} } } 
}



/* object->struct-getfield3510 */
obj_t BGl_objectzd2ze3structzd2getfield3510ze3zzast_nodez00(obj_t BgL_envz00_6347, obj_t BgL_obj2151z00_6348)
{ AN_OBJECT;
{ /* Ast/node.scm 89 */
{ 
BgL_getfieldz00_bglt BgL_obj2151z00_2669;
BgL_obj2151z00_2669 = 
(BgL_getfieldz00_bglt)(BgL_obj2151z00_6348); 
{ /* Ast/node.scm 89 */
obj_t BgL_res2152z00_2672;
{ /* Ast/node.scm 89 */
int BgL_auxz00_9736;obj_t BgL_auxz00_9734;
BgL_auxz00_9736 = 
(int)(((long)9)); 
BgL_auxz00_9734 = 
CNST_TABLE_REF(((long)27)); 
BgL_res2152z00_2672 = 
make_struct(BgL_auxz00_9734, BgL_auxz00_9736, BUNSPEC); } 
{ /* Ast/node.scm 89 */
int BgL_auxz00_9739;
BgL_auxz00_9739 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9739, BFALSE); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9744;int BgL_auxz00_9742;
BgL_auxz00_9744 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_locz00); 
BgL_auxz00_9742 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9742, BgL_auxz00_9744); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9749;int BgL_auxz00_9747;
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_auxz00_9750;
BgL_auxz00_9750 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_typez00); 
BgL_auxz00_9749 = 
(obj_t)(BgL_auxz00_9750); } 
BgL_auxz00_9747 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9747, BgL_auxz00_9749); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9756;int BgL_auxz00_9754;
BgL_auxz00_9756 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9754 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9754, BgL_auxz00_9756); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9761;int BgL_auxz00_9759;
BgL_auxz00_9761 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_keyz00); 
BgL_auxz00_9759 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9759, BgL_auxz00_9761); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9766;int BgL_auxz00_9764;
BgL_auxz00_9766 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_exprza2za2); 
BgL_auxz00_9764 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9764, BgL_auxz00_9766); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9771;int BgL_auxz00_9769;
BgL_auxz00_9771 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_fnamez00); 
BgL_auxz00_9769 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9769, BgL_auxz00_9771); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9776;int BgL_auxz00_9774;
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_auxz00_9777;
BgL_auxz00_9777 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_ftypez00); 
BgL_auxz00_9776 = 
(obj_t)(BgL_auxz00_9777); } 
BgL_auxz00_9774 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9774, BgL_auxz00_9776); } 
{ /* Ast/node.scm 89 */
obj_t BgL_auxz00_9783;int BgL_auxz00_9781;
{ /* Ast/node.scm 89 */
BgL_typez00_bglt BgL_auxz00_9784;
BgL_auxz00_9784 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj2151z00_2669))->BgL_otypez00); 
BgL_auxz00_9783 = 
(obj_t)(BgL_auxz00_9784); } 
BgL_auxz00_9781 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res2152z00_2672, BgL_auxz00_9781, BgL_auxz00_9783); } 
return BgL_res2152z00_2672;} } } 
}



/* struct+object->object-setfield3508 */
obj_t BGl_structzb2objectzd2ze3objectzd2setfield3508z51zzast_nodez00(obj_t BgL_envz00_6349, obj_t BgL_oz00_6350, obj_t BgL_sz00_6351)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ 
BgL_setfieldz00_bglt BgL_oz00_2654;obj_t BgL_sz00_2655;
{ /* Ast/node.scm 98 */
BgL_setfieldz00_bglt BgL_auxz00_9789;
BgL_oz00_2654 = 
(BgL_setfieldz00_bglt)(BgL_oz00_6350); 
BgL_sz00_2655 = BgL_sz00_6351; 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9792;BgL_objectz00_bglt BgL_auxz00_9790;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9793;
BgL_auxz00_9793 = 
(int)(((long)0)); 
BgL_auxz00_9792 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9793); } 
BgL_auxz00_9790 = 
(BgL_objectz00_bglt)(BgL_oz00_2654); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9790, BgL_auxz00_9792); } 
{ /* Ast/node.scm 98 */
obj_t BgL_v2235z00_2659;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9797;
BgL_auxz00_9797 = 
(int)(((long)1)); 
BgL_v2235z00_2659 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9797); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_locz00) = ((obj_t)BgL_v2235z00_2659), BUNSPEC); } 
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_v2239z00_2660;
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9801;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9802;
BgL_auxz00_9802 = 
(int)(((long)2)); 
BgL_auxz00_9801 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9802); } 
BgL_v2239z00_2660 = 
(BgL_typez00_bglt)(BgL_auxz00_9801); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2239z00_2660), BUNSPEC); } 
{ /* Ast/node.scm 98 */
obj_t BgL_v2243z00_2661;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9807;
BgL_auxz00_9807 = 
(int)(((long)3)); 
BgL_v2243z00_2661 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9807); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2243z00_2661), BUNSPEC); } 
{ /* Ast/node.scm 98 */
obj_t BgL_v2247z00_2662;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9811;
BgL_auxz00_9811 = 
(int)(((long)4)); 
BgL_v2247z00_2662 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9811); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_keyz00) = ((obj_t)BgL_v2247z00_2662), BUNSPEC); } 
{ /* Ast/node.scm 98 */
obj_t BgL_v2251z00_2663;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9815;
BgL_auxz00_9815 = 
(int)(((long)5)); 
BgL_v2251z00_2663 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9815); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_exprza2za2) = ((obj_t)BgL_v2251z00_2663), BUNSPEC); } 
{ /* Ast/node.scm 98 */
obj_t BgL_v2255z00_2664;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9819;
BgL_auxz00_9819 = 
(int)(((long)6)); 
BgL_v2255z00_2664 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9819); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_fnamez00) = ((obj_t)BgL_v2255z00_2664), BUNSPEC); } 
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_v2259z00_2665;
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9823;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9824;
BgL_auxz00_9824 = 
(int)(((long)7)); 
BgL_auxz00_9823 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9824); } 
BgL_v2259z00_2665 = 
(BgL_typez00_bglt)(BgL_auxz00_9823); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_v2259z00_2665), BUNSPEC); } 
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_v2263z00_2666;
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9829;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9830;
BgL_auxz00_9830 = 
(int)(((long)8)); 
BgL_auxz00_9829 = 
STRUCT_REF(BgL_sz00_2655, BgL_auxz00_9830); } 
BgL_v2263z00_2666 = 
(BgL_typez00_bglt)(BgL_auxz00_9829); } 
((((BgL_setfieldz00_bglt)CREF(BgL_oz00_2654))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_v2263z00_2666), BUNSPEC); } 
BgL_auxz00_9789 = BgL_oz00_2654; 
return 
(obj_t)(BgL_auxz00_9789);} } } 
}



/* object->struct-setfield3506 */
obj_t BGl_objectzd2ze3structzd2setfield3506ze3zzast_nodez00(obj_t BgL_envz00_6352, obj_t BgL_obj2231z00_6353)
{ AN_OBJECT;
{ /* Ast/node.scm 98 */
{ 
BgL_setfieldz00_bglt BgL_obj2231z00_2632;
BgL_obj2231z00_2632 = 
(BgL_setfieldz00_bglt)(BgL_obj2231z00_6353); 
{ /* Ast/node.scm 98 */
obj_t BgL_res2232z00_2635;
{ /* Ast/node.scm 98 */
int BgL_auxz00_9839;obj_t BgL_auxz00_9837;
BgL_auxz00_9839 = 
(int)(((long)9)); 
BgL_auxz00_9837 = 
CNST_TABLE_REF(((long)31)); 
BgL_res2232z00_2635 = 
make_struct(BgL_auxz00_9837, BgL_auxz00_9839, BUNSPEC); } 
{ /* Ast/node.scm 98 */
int BgL_auxz00_9842;
BgL_auxz00_9842 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9842, BFALSE); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9847;int BgL_auxz00_9845;
BgL_auxz00_9847 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_locz00); 
BgL_auxz00_9845 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9845, BgL_auxz00_9847); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9852;int BgL_auxz00_9850;
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_auxz00_9853;
BgL_auxz00_9853 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_typez00); 
BgL_auxz00_9852 = 
(obj_t)(BgL_auxz00_9853); } 
BgL_auxz00_9850 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9850, BgL_auxz00_9852); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9859;int BgL_auxz00_9857;
BgL_auxz00_9859 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9857 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9857, BgL_auxz00_9859); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9864;int BgL_auxz00_9862;
BgL_auxz00_9864 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_keyz00); 
BgL_auxz00_9862 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9862, BgL_auxz00_9864); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9869;int BgL_auxz00_9867;
BgL_auxz00_9869 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_exprza2za2); 
BgL_auxz00_9867 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9867, BgL_auxz00_9869); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9874;int BgL_auxz00_9872;
BgL_auxz00_9874 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_fnamez00); 
BgL_auxz00_9872 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9872, BgL_auxz00_9874); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9879;int BgL_auxz00_9877;
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_auxz00_9880;
BgL_auxz00_9880 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_ftypez00); 
BgL_auxz00_9879 = 
(obj_t)(BgL_auxz00_9880); } 
BgL_auxz00_9877 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9877, BgL_auxz00_9879); } 
{ /* Ast/node.scm 98 */
obj_t BgL_auxz00_9886;int BgL_auxz00_9884;
{ /* Ast/node.scm 98 */
BgL_typez00_bglt BgL_auxz00_9887;
BgL_auxz00_9887 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj2231z00_2632))->BgL_otypez00); 
BgL_auxz00_9886 = 
(obj_t)(BgL_auxz00_9887); } 
BgL_auxz00_9884 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res2232z00_2635, BgL_auxz00_9884, BgL_auxz00_9886); } 
return BgL_res2232z00_2635;} } } 
}



/* struct+object->object-new3504 */
obj_t BGl_structzb2objectzd2ze3objectzd2new3504z51zzast_nodez00(obj_t BgL_envz00_6354, obj_t BgL_oz00_6355, obj_t BgL_sz00_6356)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ 
BgL_newz00_bglt BgL_oz00_2620;obj_t BgL_sz00_2621;
{ /* Ast/node.scm 107 */
BgL_newz00_bglt BgL_auxz00_9892;
BgL_oz00_2620 = 
(BgL_newz00_bglt)(BgL_oz00_6355); 
BgL_sz00_2621 = BgL_sz00_6356; 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9895;BgL_objectz00_bglt BgL_auxz00_9893;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9896;
BgL_auxz00_9896 = 
(int)(((long)0)); 
BgL_auxz00_9895 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9896); } 
BgL_auxz00_9893 = 
(BgL_objectz00_bglt)(BgL_oz00_2620); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9893, BgL_auxz00_9895); } 
{ /* Ast/node.scm 107 */
obj_t BgL_v2303z00_2625;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9900;
BgL_auxz00_9900 = 
(int)(((long)1)); 
BgL_v2303z00_2625 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9900); } 
((((BgL_newz00_bglt)CREF(BgL_oz00_2620))->BgL_locz00) = ((obj_t)BgL_v2303z00_2625), BUNSPEC); } 
{ /* Ast/node.scm 107 */
BgL_typez00_bglt BgL_v2307z00_2626;
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9904;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9905;
BgL_auxz00_9905 = 
(int)(((long)2)); 
BgL_auxz00_9904 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9905); } 
BgL_v2307z00_2626 = 
(BgL_typez00_bglt)(BgL_auxz00_9904); } 
((((BgL_newz00_bglt)CREF(BgL_oz00_2620))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2307z00_2626), BUNSPEC); } 
{ /* Ast/node.scm 107 */
obj_t BgL_v2311z00_2627;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9910;
BgL_auxz00_9910 = 
(int)(((long)3)); 
BgL_v2311z00_2627 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9910); } 
((((BgL_newz00_bglt)CREF(BgL_oz00_2620))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2311z00_2627), BUNSPEC); } 
{ /* Ast/node.scm 107 */
obj_t BgL_v2315z00_2628;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9914;
BgL_auxz00_9914 = 
(int)(((long)4)); 
BgL_v2315z00_2628 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9914); } 
((((BgL_newz00_bglt)CREF(BgL_oz00_2620))->BgL_keyz00) = ((obj_t)BgL_v2315z00_2628), BUNSPEC); } 
{ /* Ast/node.scm 107 */
obj_t BgL_v2319z00_2629;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9918;
BgL_auxz00_9918 = 
(int)(((long)5)); 
BgL_v2319z00_2629 = 
STRUCT_REF(BgL_sz00_2621, BgL_auxz00_9918); } 
((((BgL_newz00_bglt)CREF(BgL_oz00_2620))->BgL_exprza2za2) = ((obj_t)BgL_v2319z00_2629), BUNSPEC); } 
BgL_auxz00_9892 = BgL_oz00_2620; 
return 
(obj_t)(BgL_auxz00_9892);} } } 
}



/* object->struct-new3502 */
obj_t BGl_objectzd2ze3structzd2new3502ze3zzast_nodez00(obj_t BgL_envz00_6357, obj_t BgL_obj2299z00_6358)
{ AN_OBJECT;
{ /* Ast/node.scm 107 */
{ 
BgL_newz00_bglt BgL_obj2299z00_2604;
BgL_obj2299z00_2604 = 
(BgL_newz00_bglt)(BgL_obj2299z00_6358); 
{ /* Ast/node.scm 107 */
obj_t BgL_res2300z00_2607;
{ /* Ast/node.scm 107 */
int BgL_auxz00_9926;obj_t BgL_auxz00_9924;
BgL_auxz00_9926 = 
(int)(((long)6)); 
BgL_auxz00_9924 = 
CNST_TABLE_REF(((long)32)); 
BgL_res2300z00_2607 = 
make_struct(BgL_auxz00_9924, BgL_auxz00_9926, BUNSPEC); } 
{ /* Ast/node.scm 107 */
int BgL_auxz00_9929;
BgL_auxz00_9929 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9929, BFALSE); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9934;int BgL_auxz00_9932;
BgL_auxz00_9934 = 
(((BgL_newz00_bglt)CREF(BgL_obj2299z00_2604))->BgL_locz00); 
BgL_auxz00_9932 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9932, BgL_auxz00_9934); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9939;int BgL_auxz00_9937;
{ /* Ast/node.scm 107 */
BgL_typez00_bglt BgL_auxz00_9940;
BgL_auxz00_9940 = 
(((BgL_newz00_bglt)CREF(BgL_obj2299z00_2604))->BgL_typez00); 
BgL_auxz00_9939 = 
(obj_t)(BgL_auxz00_9940); } 
BgL_auxz00_9937 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9937, BgL_auxz00_9939); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9946;int BgL_auxz00_9944;
BgL_auxz00_9946 = 
(((BgL_newz00_bglt)CREF(BgL_obj2299z00_2604))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_9944 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9944, BgL_auxz00_9946); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9951;int BgL_auxz00_9949;
BgL_auxz00_9951 = 
(((BgL_newz00_bglt)CREF(BgL_obj2299z00_2604))->BgL_keyz00); 
BgL_auxz00_9949 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9949, BgL_auxz00_9951); } 
{ /* Ast/node.scm 107 */
obj_t BgL_auxz00_9956;int BgL_auxz00_9954;
BgL_auxz00_9956 = 
(((BgL_newz00_bglt)CREF(BgL_obj2299z00_2604))->BgL_exprza2za2); 
BgL_auxz00_9954 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2300z00_2607, BgL_auxz00_9954, BgL_auxz00_9956); } 
return BgL_res2300z00_2607;} } } 
}



/* struct+object->object-valloc3500 */
obj_t BGl_structzb2objectzd2ze3objectzd2valloc3500z51zzast_nodez00(obj_t BgL_envz00_6359, obj_t BgL_oz00_6360, obj_t BgL_sz00_6361)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ 
BgL_vallocz00_bglt BgL_oz00_2589;obj_t BgL_sz00_2590;
{ /* Ast/node.scm 110 */
BgL_vallocz00_bglt BgL_auxz00_9960;
BgL_oz00_2589 = 
(BgL_vallocz00_bglt)(BgL_oz00_6360); 
BgL_sz00_2590 = BgL_sz00_6361; 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_9963;BgL_objectz00_bglt BgL_auxz00_9961;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9964;
BgL_auxz00_9964 = 
(int)(((long)0)); 
BgL_auxz00_9963 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9964); } 
BgL_auxz00_9961 = 
(BgL_objectz00_bglt)(BgL_oz00_2589); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9961, BgL_auxz00_9963); } 
{ /* Ast/node.scm 110 */
obj_t BgL_v2371z00_2594;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9968;
BgL_auxz00_9968 = 
(int)(((long)1)); 
BgL_v2371z00_2594 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9968); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_locz00) = ((obj_t)BgL_v2371z00_2594), BUNSPEC); } 
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_v2375z00_2595;
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_9972;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9973;
BgL_auxz00_9973 = 
(int)(((long)2)); 
BgL_auxz00_9972 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9973); } 
BgL_v2375z00_2595 = 
(BgL_typez00_bglt)(BgL_auxz00_9972); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2375z00_2595), BUNSPEC); } 
{ /* Ast/node.scm 110 */
obj_t BgL_v2379z00_2596;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9978;
BgL_auxz00_9978 = 
(int)(((long)3)); 
BgL_v2379z00_2596 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9978); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2379z00_2596), BUNSPEC); } 
{ /* Ast/node.scm 110 */
obj_t BgL_v2383z00_2597;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9982;
BgL_auxz00_9982 = 
(int)(((long)4)); 
BgL_v2383z00_2597 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9982); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_keyz00) = ((obj_t)BgL_v2383z00_2597), BUNSPEC); } 
{ /* Ast/node.scm 110 */
obj_t BgL_v2387z00_2598;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9986;
BgL_auxz00_9986 = 
(int)(((long)5)); 
BgL_v2387z00_2598 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9986); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_exprza2za2) = ((obj_t)BgL_v2387z00_2598), BUNSPEC); } 
{ /* Ast/node.scm 110 */
obj_t BgL_v2391z00_2599;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9990;
BgL_auxz00_9990 = 
(int)(((long)6)); 
BgL_v2391z00_2599 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9990); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_v2391z00_2599), BUNSPEC); } 
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_v2395z00_2600;
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_9994;
{ /* Ast/node.scm 110 */
int BgL_auxz00_9995;
BgL_auxz00_9995 = 
(int)(((long)7)); 
BgL_auxz00_9994 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_9995); } 
BgL_v2395z00_2600 = 
(BgL_typez00_bglt)(BgL_auxz00_9994); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_v2395z00_2600), BUNSPEC); } 
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_v2399z00_2601;
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10000;
{ /* Ast/node.scm 110 */
int BgL_auxz00_10001;
BgL_auxz00_10001 = 
(int)(((long)8)); 
BgL_auxz00_10000 = 
STRUCT_REF(BgL_sz00_2590, BgL_auxz00_10001); } 
BgL_v2399z00_2601 = 
(BgL_typez00_bglt)(BgL_auxz00_10000); } 
((((BgL_vallocz00_bglt)CREF(BgL_oz00_2589))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_v2399z00_2601), BUNSPEC); } 
BgL_auxz00_9960 = BgL_oz00_2589; 
return 
(obj_t)(BgL_auxz00_9960);} } } 
}



/* object->struct-valloc3498 */
obj_t BGl_objectzd2ze3structzd2valloc3498ze3zzast_nodez00(obj_t BgL_envz00_6362, obj_t BgL_obj2367z00_6363)
{ AN_OBJECT;
{ /* Ast/node.scm 110 */
{ 
BgL_vallocz00_bglt BgL_obj2367z00_2567;
BgL_obj2367z00_2567 = 
(BgL_vallocz00_bglt)(BgL_obj2367z00_6363); 
{ /* Ast/node.scm 110 */
obj_t BgL_res2368z00_2570;
{ /* Ast/node.scm 110 */
int BgL_auxz00_10010;obj_t BgL_auxz00_10008;
BgL_auxz00_10010 = 
(int)(((long)9)); 
BgL_auxz00_10008 = 
CNST_TABLE_REF(((long)33)); 
BgL_res2368z00_2570 = 
make_struct(BgL_auxz00_10008, BgL_auxz00_10010, BUNSPEC); } 
{ /* Ast/node.scm 110 */
int BgL_auxz00_10013;
BgL_auxz00_10013 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10013, BFALSE); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10018;int BgL_auxz00_10016;
BgL_auxz00_10018 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_locz00); 
BgL_auxz00_10016 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10016, BgL_auxz00_10018); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10023;int BgL_auxz00_10021;
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_auxz00_10024;
BgL_auxz00_10024 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_typez00); 
BgL_auxz00_10023 = 
(obj_t)(BgL_auxz00_10024); } 
BgL_auxz00_10021 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10021, BgL_auxz00_10023); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10030;int BgL_auxz00_10028;
BgL_auxz00_10030 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10028 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10028, BgL_auxz00_10030); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10035;int BgL_auxz00_10033;
BgL_auxz00_10035 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_keyz00); 
BgL_auxz00_10033 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10033, BgL_auxz00_10035); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10040;int BgL_auxz00_10038;
BgL_auxz00_10040 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_exprza2za2); 
BgL_auxz00_10038 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10038, BgL_auxz00_10040); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10045;int BgL_auxz00_10043;
BgL_auxz00_10045 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_czd2heapzd2formatz00); 
BgL_auxz00_10043 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10043, BgL_auxz00_10045); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10050;int BgL_auxz00_10048;
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_auxz00_10051;
BgL_auxz00_10051 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_ftypez00); 
BgL_auxz00_10050 = 
(obj_t)(BgL_auxz00_10051); } 
BgL_auxz00_10048 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10048, BgL_auxz00_10050); } 
{ /* Ast/node.scm 110 */
obj_t BgL_auxz00_10057;int BgL_auxz00_10055;
{ /* Ast/node.scm 110 */
BgL_typez00_bglt BgL_auxz00_10058;
BgL_auxz00_10058 = 
(((BgL_vallocz00_bglt)CREF(BgL_obj2367z00_2567))->BgL_otypez00); 
BgL_auxz00_10057 = 
(obj_t)(BgL_auxz00_10058); } 
BgL_auxz00_10055 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res2368z00_2570, BgL_auxz00_10055, BgL_auxz00_10057); } 
return BgL_res2368z00_2570;} } } 
}



/* struct+object->object-vref3496 */
obj_t BGl_structzb2objectzd2ze3objectzd2vref3496z51zzast_nodez00(obj_t BgL_envz00_6364, obj_t BgL_oz00_6365, obj_t BgL_sz00_6366)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ 
BgL_vrefz00_bglt BgL_oz00_2551;obj_t BgL_sz00_2552;
{ /* Ast/node.scm 119 */
BgL_vrefz00_bglt BgL_auxz00_10063;
BgL_oz00_2551 = 
(BgL_vrefz00_bglt)(BgL_oz00_6365); 
BgL_sz00_2552 = BgL_sz00_6366; 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10066;BgL_objectz00_bglt BgL_auxz00_10064;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10067;
BgL_auxz00_10067 = 
(int)(((long)0)); 
BgL_auxz00_10066 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10067); } 
BgL_auxz00_10064 = 
(BgL_objectz00_bglt)(BgL_oz00_2551); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10064, BgL_auxz00_10066); } 
{ /* Ast/node.scm 119 */
obj_t BgL_v2457z00_2556;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10071;
BgL_auxz00_10071 = 
(int)(((long)1)); 
BgL_v2457z00_2556 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10071); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_locz00) = ((obj_t)BgL_v2457z00_2556), BUNSPEC); } 
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_v2461z00_2557;
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10075;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10076;
BgL_auxz00_10076 = 
(int)(((long)2)); 
BgL_auxz00_10075 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10076); } 
BgL_v2461z00_2557 = 
(BgL_typez00_bglt)(BgL_auxz00_10075); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2461z00_2557), BUNSPEC); } 
{ /* Ast/node.scm 119 */
obj_t BgL_v2465z00_2558;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10081;
BgL_auxz00_10081 = 
(int)(((long)3)); 
BgL_v2465z00_2558 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10081); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2465z00_2558), BUNSPEC); } 
{ /* Ast/node.scm 119 */
obj_t BgL_v2469z00_2559;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10085;
BgL_auxz00_10085 = 
(int)(((long)4)); 
BgL_v2469z00_2559 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10085); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_keyz00) = ((obj_t)BgL_v2469z00_2559), BUNSPEC); } 
{ /* Ast/node.scm 119 */
obj_t BgL_v2473z00_2560;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10089;
BgL_auxz00_10089 = 
(int)(((long)5)); 
BgL_v2473z00_2560 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10089); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_exprza2za2) = ((obj_t)BgL_v2473z00_2560), BUNSPEC); } 
{ /* Ast/node.scm 119 */
obj_t BgL_v2477z00_2561;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10093;
BgL_auxz00_10093 = 
(int)(((long)6)); 
BgL_v2477z00_2561 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10093); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_czd2formatzd2) = ((obj_t)BgL_v2477z00_2561), BUNSPEC); } 
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_v2481z00_2562;
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10097;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10098;
BgL_auxz00_10098 = 
(int)(((long)7)); 
BgL_auxz00_10097 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10098); } 
BgL_v2481z00_2562 = 
(BgL_typez00_bglt)(BgL_auxz00_10097); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_v2481z00_2562), BUNSPEC); } 
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_v2485z00_2563;
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10103;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10104;
BgL_auxz00_10104 = 
(int)(((long)8)); 
BgL_auxz00_10103 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10104); } 
BgL_v2485z00_2563 = 
(BgL_typez00_bglt)(BgL_auxz00_10103); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_v2485z00_2563), BUNSPEC); } 
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_v2489z00_2564;
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10109;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10110;
BgL_auxz00_10110 = 
(int)(((long)9)); 
BgL_auxz00_10109 = 
STRUCT_REF(BgL_sz00_2552, BgL_auxz00_10110); } 
BgL_v2489z00_2564 = 
(BgL_typez00_bglt)(BgL_auxz00_10109); } 
((((BgL_vrefz00_bglt)CREF(BgL_oz00_2551))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_v2489z00_2564), BUNSPEC); } 
BgL_auxz00_10063 = BgL_oz00_2551; 
return 
(obj_t)(BgL_auxz00_10063);} } } 
}



/* object->struct-vref3494 */
obj_t BGl_objectzd2ze3structzd2vref3494ze3zzast_nodez00(obj_t BgL_envz00_6367, obj_t BgL_obj2453z00_6368)
{ AN_OBJECT;
{ /* Ast/node.scm 119 */
{ 
BgL_vrefz00_bglt BgL_obj2453z00_2527;
BgL_obj2453z00_2527 = 
(BgL_vrefz00_bglt)(BgL_obj2453z00_6368); 
{ /* Ast/node.scm 119 */
obj_t BgL_res2454z00_2530;
{ /* Ast/node.scm 119 */
int BgL_auxz00_10119;obj_t BgL_auxz00_10117;
BgL_auxz00_10119 = 
(int)(((long)10)); 
BgL_auxz00_10117 = 
CNST_TABLE_REF(((long)35)); 
BgL_res2454z00_2530 = 
make_struct(BgL_auxz00_10117, BgL_auxz00_10119, BUNSPEC); } 
{ /* Ast/node.scm 119 */
int BgL_auxz00_10122;
BgL_auxz00_10122 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10122, BFALSE); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10127;int BgL_auxz00_10125;
BgL_auxz00_10127 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_locz00); 
BgL_auxz00_10125 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10125, BgL_auxz00_10127); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10132;int BgL_auxz00_10130;
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_auxz00_10133;
BgL_auxz00_10133 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_typez00); 
BgL_auxz00_10132 = 
(obj_t)(BgL_auxz00_10133); } 
BgL_auxz00_10130 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10130, BgL_auxz00_10132); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10139;int BgL_auxz00_10137;
BgL_auxz00_10139 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10137 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10137, BgL_auxz00_10139); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10144;int BgL_auxz00_10142;
BgL_auxz00_10144 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_keyz00); 
BgL_auxz00_10142 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10142, BgL_auxz00_10144); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10149;int BgL_auxz00_10147;
BgL_auxz00_10149 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_exprza2za2); 
BgL_auxz00_10147 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10147, BgL_auxz00_10149); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10154;int BgL_auxz00_10152;
BgL_auxz00_10154 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_czd2formatzd2); 
BgL_auxz00_10152 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10152, BgL_auxz00_10154); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10159;int BgL_auxz00_10157;
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_auxz00_10160;
BgL_auxz00_10160 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_ftypez00); 
BgL_auxz00_10159 = 
(obj_t)(BgL_auxz00_10160); } 
BgL_auxz00_10157 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10157, BgL_auxz00_10159); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10166;int BgL_auxz00_10164;
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_auxz00_10167;
BgL_auxz00_10167 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_otypez00); 
BgL_auxz00_10166 = 
(obj_t)(BgL_auxz00_10167); } 
BgL_auxz00_10164 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10164, BgL_auxz00_10166); } 
{ /* Ast/node.scm 119 */
obj_t BgL_auxz00_10173;int BgL_auxz00_10171;
{ /* Ast/node.scm 119 */
BgL_typez00_bglt BgL_auxz00_10174;
BgL_auxz00_10174 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2453z00_2527))->BgL_vtypez00); 
BgL_auxz00_10173 = 
(obj_t)(BgL_auxz00_10174); } 
BgL_auxz00_10171 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res2454z00_2530, BgL_auxz00_10171, BgL_auxz00_10173); } 
return BgL_res2454z00_2530;} } } 
}



/* struct+object->object-vset!3492 */
obj_t BGl_structzb2objectzd2ze3objectzd2vsetz123492z43zzast_nodez00(obj_t BgL_envz00_6369, obj_t BgL_oz00_6370, obj_t BgL_sz00_6371)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ 
BgL_vsetz12z12_bglt BgL_oz00_2511;obj_t BgL_sz00_2512;
{ /* Ast/node.scm 130 */
BgL_vsetz12z12_bglt BgL_auxz00_10179;
BgL_oz00_2511 = 
(BgL_vsetz12z12_bglt)(BgL_oz00_6370); 
BgL_sz00_2512 = BgL_sz00_6371; 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10182;BgL_objectz00_bglt BgL_auxz00_10180;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10183;
BgL_auxz00_10183 = 
(int)(((long)0)); 
BgL_auxz00_10182 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10183); } 
BgL_auxz00_10180 = 
(BgL_objectz00_bglt)(BgL_oz00_2511); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10180, BgL_auxz00_10182); } 
{ /* Ast/node.scm 130 */
obj_t BgL_v2547z00_2516;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10187;
BgL_auxz00_10187 = 
(int)(((long)1)); 
BgL_v2547z00_2516 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10187); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_locz00) = ((obj_t)BgL_v2547z00_2516), BUNSPEC); } 
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_v2551z00_2517;
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10191;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10192;
BgL_auxz00_10192 = 
(int)(((long)2)); 
BgL_auxz00_10191 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10192); } 
BgL_v2551z00_2517 = 
(BgL_typez00_bglt)(BgL_auxz00_10191); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2551z00_2517), BUNSPEC); } 
{ /* Ast/node.scm 130 */
obj_t BgL_v2555z00_2518;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10197;
BgL_auxz00_10197 = 
(int)(((long)3)); 
BgL_v2555z00_2518 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10197); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2555z00_2518), BUNSPEC); } 
{ /* Ast/node.scm 130 */
obj_t BgL_v2559z00_2519;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10201;
BgL_auxz00_10201 = 
(int)(((long)4)); 
BgL_v2559z00_2519 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10201); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_keyz00) = ((obj_t)BgL_v2559z00_2519), BUNSPEC); } 
{ /* Ast/node.scm 130 */
obj_t BgL_v2563z00_2520;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10205;
BgL_auxz00_10205 = 
(int)(((long)5)); 
BgL_v2563z00_2520 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10205); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_exprza2za2) = ((obj_t)BgL_v2563z00_2520), BUNSPEC); } 
{ /* Ast/node.scm 130 */
obj_t BgL_v2567z00_2521;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10209;
BgL_auxz00_10209 = 
(int)(((long)6)); 
BgL_v2567z00_2521 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10209); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_czd2formatzd2) = ((obj_t)BgL_v2567z00_2521), BUNSPEC); } 
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_v2571z00_2522;
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10213;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10214;
BgL_auxz00_10214 = 
(int)(((long)7)); 
BgL_auxz00_10213 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10214); } 
BgL_v2571z00_2522 = 
(BgL_typez00_bglt)(BgL_auxz00_10213); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_v2571z00_2522), BUNSPEC); } 
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_v2575z00_2523;
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10219;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10220;
BgL_auxz00_10220 = 
(int)(((long)8)); 
BgL_auxz00_10219 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10220); } 
BgL_v2575z00_2523 = 
(BgL_typez00_bglt)(BgL_auxz00_10219); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_v2575z00_2523), BUNSPEC); } 
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_v2579z00_2524;
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10225;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10226;
BgL_auxz00_10226 = 
(int)(((long)9)); 
BgL_auxz00_10225 = 
STRUCT_REF(BgL_sz00_2512, BgL_auxz00_10226); } 
BgL_v2579z00_2524 = 
(BgL_typez00_bglt)(BgL_auxz00_10225); } 
((((BgL_vsetz12z12_bglt)CREF(BgL_oz00_2511))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_v2579z00_2524), BUNSPEC); } 
BgL_auxz00_10179 = BgL_oz00_2511; 
return 
(obj_t)(BgL_auxz00_10179);} } } 
}



/* object->struct-vset!3490 */
obj_t BGl_objectzd2ze3structzd2vsetz123490zf1zzast_nodez00(obj_t BgL_envz00_6372, obj_t BgL_obj2543z00_6373)
{ AN_OBJECT;
{ /* Ast/node.scm 130 */
{ 
BgL_vsetz12z12_bglt BgL_obj2543z00_2487;
BgL_obj2543z00_2487 = 
(BgL_vsetz12z12_bglt)(BgL_obj2543z00_6373); 
{ /* Ast/node.scm 130 */
obj_t BgL_res2544z00_2490;
{ /* Ast/node.scm 130 */
int BgL_auxz00_10235;obj_t BgL_auxz00_10233;
BgL_auxz00_10235 = 
(int)(((long)10)); 
BgL_auxz00_10233 = 
CNST_TABLE_REF(((long)38)); 
BgL_res2544z00_2490 = 
make_struct(BgL_auxz00_10233, BgL_auxz00_10235, BUNSPEC); } 
{ /* Ast/node.scm 130 */
int BgL_auxz00_10238;
BgL_auxz00_10238 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10238, BFALSE); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10243;int BgL_auxz00_10241;
BgL_auxz00_10243 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_locz00); 
BgL_auxz00_10241 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10241, BgL_auxz00_10243); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10248;int BgL_auxz00_10246;
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_auxz00_10249;
BgL_auxz00_10249 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_typez00); 
BgL_auxz00_10248 = 
(obj_t)(BgL_auxz00_10249); } 
BgL_auxz00_10246 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10246, BgL_auxz00_10248); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10255;int BgL_auxz00_10253;
BgL_auxz00_10255 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10253 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10253, BgL_auxz00_10255); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10260;int BgL_auxz00_10258;
BgL_auxz00_10260 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_keyz00); 
BgL_auxz00_10258 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10258, BgL_auxz00_10260); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10265;int BgL_auxz00_10263;
BgL_auxz00_10265 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_exprza2za2); 
BgL_auxz00_10263 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10263, BgL_auxz00_10265); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10270;int BgL_auxz00_10268;
BgL_auxz00_10270 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_czd2formatzd2); 
BgL_auxz00_10268 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10268, BgL_auxz00_10270); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10275;int BgL_auxz00_10273;
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_auxz00_10276;
BgL_auxz00_10276 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_ftypez00); 
BgL_auxz00_10275 = 
(obj_t)(BgL_auxz00_10276); } 
BgL_auxz00_10273 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10273, BgL_auxz00_10275); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10282;int BgL_auxz00_10280;
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_auxz00_10283;
BgL_auxz00_10283 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_otypez00); 
BgL_auxz00_10282 = 
(obj_t)(BgL_auxz00_10283); } 
BgL_auxz00_10280 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10280, BgL_auxz00_10282); } 
{ /* Ast/node.scm 130 */
obj_t BgL_auxz00_10289;int BgL_auxz00_10287;
{ /* Ast/node.scm 130 */
BgL_typez00_bglt BgL_auxz00_10290;
BgL_auxz00_10290 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_obj2543z00_2487))->BgL_vtypez00); 
BgL_auxz00_10289 = 
(obj_t)(BgL_auxz00_10290); } 
BgL_auxz00_10287 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res2544z00_2490, BgL_auxz00_10287, BgL_auxz00_10289); } 
return BgL_res2544z00_2490;} } } 
}



/* struct+object->object-vlength3488 */
obj_t BGl_structzb2objectzd2ze3objectzd2vlength3488z51zzast_nodez00(obj_t BgL_envz00_6374, obj_t BgL_oz00_6375, obj_t BgL_sz00_6376)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ 
BgL_vlengthz00_bglt BgL_oz00_2473;obj_t BgL_sz00_2474;
{ /* Ast/node.scm 141 */
BgL_vlengthz00_bglt BgL_auxz00_10295;
BgL_oz00_2473 = 
(BgL_vlengthz00_bglt)(BgL_oz00_6375); 
BgL_sz00_2474 = BgL_sz00_6376; 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10298;BgL_objectz00_bglt BgL_auxz00_10296;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10299;
BgL_auxz00_10299 = 
(int)(((long)0)); 
BgL_auxz00_10298 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10299); } 
BgL_auxz00_10296 = 
(BgL_objectz00_bglt)(BgL_oz00_2473); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10296, BgL_auxz00_10298); } 
{ /* Ast/node.scm 141 */
obj_t BgL_v2627z00_2478;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10303;
BgL_auxz00_10303 = 
(int)(((long)1)); 
BgL_v2627z00_2478 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10303); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_locz00) = ((obj_t)BgL_v2627z00_2478), BUNSPEC); } 
{ /* Ast/node.scm 141 */
BgL_typez00_bglt BgL_v2631z00_2479;
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10307;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10308;
BgL_auxz00_10308 = 
(int)(((long)2)); 
BgL_auxz00_10307 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10308); } 
BgL_v2631z00_2479 = 
(BgL_typez00_bglt)(BgL_auxz00_10307); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2631z00_2479), BUNSPEC); } 
{ /* Ast/node.scm 141 */
obj_t BgL_v2635z00_2480;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10313;
BgL_auxz00_10313 = 
(int)(((long)3)); 
BgL_v2635z00_2480 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10313); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2635z00_2480), BUNSPEC); } 
{ /* Ast/node.scm 141 */
obj_t BgL_v2639z00_2481;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10317;
BgL_auxz00_10317 = 
(int)(((long)4)); 
BgL_v2639z00_2481 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10317); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_keyz00) = ((obj_t)BgL_v2639z00_2481), BUNSPEC); } 
{ /* Ast/node.scm 141 */
obj_t BgL_v2643z00_2482;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10321;
BgL_auxz00_10321 = 
(int)(((long)5)); 
BgL_v2643z00_2482 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10321); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_exprza2za2) = ((obj_t)BgL_v2643z00_2482), BUNSPEC); } 
{ /* Ast/node.scm 141 */
obj_t BgL_v2647z00_2483;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10325;
BgL_auxz00_10325 = 
(int)(((long)6)); 
BgL_v2647z00_2483 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10325); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_czd2formatzd2) = ((obj_t)BgL_v2647z00_2483), BUNSPEC); } 
{ /* Ast/node.scm 141 */
BgL_typez00_bglt BgL_v2651z00_2484;
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10329;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10330;
BgL_auxz00_10330 = 
(int)(((long)7)); 
BgL_auxz00_10329 = 
STRUCT_REF(BgL_sz00_2474, BgL_auxz00_10330); } 
BgL_v2651z00_2484 = 
(BgL_typez00_bglt)(BgL_auxz00_10329); } 
((((BgL_vlengthz00_bglt)CREF(BgL_oz00_2473))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_v2651z00_2484), BUNSPEC); } 
BgL_auxz00_10295 = BgL_oz00_2473; 
return 
(obj_t)(BgL_auxz00_10295);} } } 
}



/* object->struct-vlength3486 */
obj_t BGl_objectzd2ze3structzd2vlength3486ze3zzast_nodez00(obj_t BgL_envz00_6377, obj_t BgL_obj2623z00_6378)
{ AN_OBJECT;
{ /* Ast/node.scm 141 */
{ 
BgL_vlengthz00_bglt BgL_obj2623z00_2453;
BgL_obj2623z00_2453 = 
(BgL_vlengthz00_bglt)(BgL_obj2623z00_6378); 
{ /* Ast/node.scm 141 */
obj_t BgL_res2624z00_2456;
{ /* Ast/node.scm 141 */
int BgL_auxz00_10339;obj_t BgL_auxz00_10337;
BgL_auxz00_10339 = 
(int)(((long)8)); 
BgL_auxz00_10337 = 
CNST_TABLE_REF(((long)39)); 
BgL_res2624z00_2456 = 
make_struct(BgL_auxz00_10337, BgL_auxz00_10339, BUNSPEC); } 
{ /* Ast/node.scm 141 */
int BgL_auxz00_10342;
BgL_auxz00_10342 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10342, BFALSE); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10347;int BgL_auxz00_10345;
BgL_auxz00_10347 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_locz00); 
BgL_auxz00_10345 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10345, BgL_auxz00_10347); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10352;int BgL_auxz00_10350;
{ /* Ast/node.scm 141 */
BgL_typez00_bglt BgL_auxz00_10353;
BgL_auxz00_10353 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_typez00); 
BgL_auxz00_10352 = 
(obj_t)(BgL_auxz00_10353); } 
BgL_auxz00_10350 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10350, BgL_auxz00_10352); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10359;int BgL_auxz00_10357;
BgL_auxz00_10359 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10357 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10357, BgL_auxz00_10359); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10364;int BgL_auxz00_10362;
BgL_auxz00_10364 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_keyz00); 
BgL_auxz00_10362 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10362, BgL_auxz00_10364); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10369;int BgL_auxz00_10367;
BgL_auxz00_10369 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_exprza2za2); 
BgL_auxz00_10367 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10367, BgL_auxz00_10369); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10374;int BgL_auxz00_10372;
BgL_auxz00_10374 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_czd2formatzd2); 
BgL_auxz00_10372 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10372, BgL_auxz00_10374); } 
{ /* Ast/node.scm 141 */
obj_t BgL_auxz00_10379;int BgL_auxz00_10377;
{ /* Ast/node.scm 141 */
BgL_typez00_bglt BgL_auxz00_10380;
BgL_auxz00_10380 = 
(((BgL_vlengthz00_bglt)CREF(BgL_obj2623z00_2453))->BgL_vtypez00); 
BgL_auxz00_10379 = 
(obj_t)(BgL_auxz00_10380); } 
BgL_auxz00_10377 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2624z00_2456, BgL_auxz00_10377, BgL_auxz00_10379); } 
return BgL_res2624z00_2456;} } } 
}



/* struct+object->object-isa3484 */
obj_t BGl_structzb2objectzd2ze3objectzd2isa3484z51zzast_nodez00(obj_t BgL_envz00_6379, obj_t BgL_oz00_6380, obj_t BgL_sz00_6381)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ 
BgL_isaz00_bglt BgL_oz00_2440;obj_t BgL_sz00_2441;
{ /* Ast/node.scm 148 */
BgL_isaz00_bglt BgL_auxz00_10385;
BgL_oz00_2440 = 
(BgL_isaz00_bglt)(BgL_oz00_6380); 
BgL_sz00_2441 = BgL_sz00_6381; 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10388;BgL_objectz00_bglt BgL_auxz00_10386;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10389;
BgL_auxz00_10389 = 
(int)(((long)0)); 
BgL_auxz00_10388 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10389); } 
BgL_auxz00_10386 = 
(BgL_objectz00_bglt)(BgL_oz00_2440); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10386, BgL_auxz00_10388); } 
{ /* Ast/node.scm 148 */
obj_t BgL_v2695z00_2445;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10393;
BgL_auxz00_10393 = 
(int)(((long)1)); 
BgL_v2695z00_2445 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10393); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_locz00) = ((obj_t)BgL_v2695z00_2445), BUNSPEC); } 
{ /* Ast/node.scm 148 */
BgL_typez00_bglt BgL_v2699z00_2446;
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10397;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10398;
BgL_auxz00_10398 = 
(int)(((long)2)); 
BgL_auxz00_10397 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10398); } 
BgL_v2699z00_2446 = 
(BgL_typez00_bglt)(BgL_auxz00_10397); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2699z00_2446), BUNSPEC); } 
{ /* Ast/node.scm 148 */
obj_t BgL_v2703z00_2447;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10403;
BgL_auxz00_10403 = 
(int)(((long)3)); 
BgL_v2703z00_2447 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10403); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2703z00_2447), BUNSPEC); } 
{ /* Ast/node.scm 148 */
obj_t BgL_v2707z00_2448;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10407;
BgL_auxz00_10407 = 
(int)(((long)4)); 
BgL_v2707z00_2448 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10407); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_keyz00) = ((obj_t)BgL_v2707z00_2448), BUNSPEC); } 
{ /* Ast/node.scm 148 */
obj_t BgL_v2711z00_2449;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10411;
BgL_auxz00_10411 = 
(int)(((long)5)); 
BgL_v2711z00_2449 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10411); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_exprza2za2) = ((obj_t)BgL_v2711z00_2449), BUNSPEC); } 
{ /* Ast/node.scm 148 */
BgL_typez00_bglt BgL_v2715z00_2450;
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10415;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10416;
BgL_auxz00_10416 = 
(int)(((long)6)); 
BgL_auxz00_10415 = 
STRUCT_REF(BgL_sz00_2441, BgL_auxz00_10416); } 
BgL_v2715z00_2450 = 
(BgL_typez00_bglt)(BgL_auxz00_10415); } 
((((BgL_isaz00_bglt)CREF(BgL_oz00_2440))->BgL_classz00) = ((BgL_typez00_bglt)BgL_v2715z00_2450), BUNSPEC); } 
BgL_auxz00_10385 = BgL_oz00_2440; 
return 
(obj_t)(BgL_auxz00_10385);} } } 
}



/* object->struct-isa3482 */
obj_t BGl_objectzd2ze3structzd2isa3482ze3zzast_nodez00(obj_t BgL_envz00_6382, obj_t BgL_obj2691z00_6383)
{ AN_OBJECT;
{ /* Ast/node.scm 148 */
{ 
BgL_isaz00_bglt BgL_obj2691z00_2422;
BgL_obj2691z00_2422 = 
(BgL_isaz00_bglt)(BgL_obj2691z00_6383); 
{ /* Ast/node.scm 148 */
obj_t BgL_res2692z00_2425;
{ /* Ast/node.scm 148 */
int BgL_auxz00_10425;obj_t BgL_auxz00_10423;
BgL_auxz00_10425 = 
(int)(((long)7)); 
BgL_auxz00_10423 = 
CNST_TABLE_REF(((long)40)); 
BgL_res2692z00_2425 = 
make_struct(BgL_auxz00_10423, BgL_auxz00_10425, BUNSPEC); } 
{ /* Ast/node.scm 148 */
int BgL_auxz00_10428;
BgL_auxz00_10428 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10428, BFALSE); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10433;int BgL_auxz00_10431;
BgL_auxz00_10433 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_locz00); 
BgL_auxz00_10431 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10431, BgL_auxz00_10433); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10438;int BgL_auxz00_10436;
{ /* Ast/node.scm 148 */
BgL_typez00_bglt BgL_auxz00_10439;
BgL_auxz00_10439 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_typez00); 
BgL_auxz00_10438 = 
(obj_t)(BgL_auxz00_10439); } 
BgL_auxz00_10436 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10436, BgL_auxz00_10438); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10445;int BgL_auxz00_10443;
BgL_auxz00_10445 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10443 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10443, BgL_auxz00_10445); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10450;int BgL_auxz00_10448;
BgL_auxz00_10450 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_keyz00); 
BgL_auxz00_10448 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10448, BgL_auxz00_10450); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10455;int BgL_auxz00_10453;
BgL_auxz00_10455 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_exprza2za2); 
BgL_auxz00_10453 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10453, BgL_auxz00_10455); } 
{ /* Ast/node.scm 148 */
obj_t BgL_auxz00_10460;int BgL_auxz00_10458;
{ /* Ast/node.scm 148 */
BgL_typez00_bglt BgL_auxz00_10461;
BgL_auxz00_10461 = 
(((BgL_isaz00_bglt)CREF(BgL_obj2691z00_2422))->BgL_classz00); 
BgL_auxz00_10460 = 
(obj_t)(BgL_auxz00_10461); } 
BgL_auxz00_10458 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2692z00_2425, BgL_auxz00_10458, BgL_auxz00_10460); } 
return BgL_res2692z00_2425;} } } 
}



/* struct+object->object-cast3480 */
obj_t BGl_structzb2objectzd2ze3objectzd2cast3480z51zzast_nodez00(obj_t BgL_envz00_6384, obj_t BgL_oz00_6385, obj_t BgL_sz00_6386)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ 
BgL_castz00_bglt BgL_oz00_2412;obj_t BgL_sz00_2413;
{ /* Ast/node.scm 152 */
BgL_castz00_bglt BgL_auxz00_10466;
BgL_oz00_2412 = 
(BgL_castz00_bglt)(BgL_oz00_6385); 
BgL_sz00_2413 = BgL_sz00_6386; 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10469;BgL_objectz00_bglt BgL_auxz00_10467;
{ /* Ast/node.scm 152 */
int BgL_auxz00_10470;
BgL_auxz00_10470 = 
(int)(((long)0)); 
BgL_auxz00_10469 = 
STRUCT_REF(BgL_sz00_2413, BgL_auxz00_10470); } 
BgL_auxz00_10467 = 
(BgL_objectz00_bglt)(BgL_oz00_2412); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10467, BgL_auxz00_10469); } 
{ /* Ast/node.scm 152 */
obj_t BgL_v2744z00_2417;
{ /* Ast/node.scm 152 */
int BgL_auxz00_10474;
BgL_auxz00_10474 = 
(int)(((long)1)); 
BgL_v2744z00_2417 = 
STRUCT_REF(BgL_sz00_2413, BgL_auxz00_10474); } 
((((BgL_castz00_bglt)CREF(BgL_oz00_2412))->BgL_locz00) = ((obj_t)BgL_v2744z00_2417), BUNSPEC); } 
{ /* Ast/node.scm 152 */
BgL_typez00_bglt BgL_v2748z00_2418;
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10478;
{ /* Ast/node.scm 152 */
int BgL_auxz00_10479;
BgL_auxz00_10479 = 
(int)(((long)2)); 
BgL_auxz00_10478 = 
STRUCT_REF(BgL_sz00_2413, BgL_auxz00_10479); } 
BgL_v2748z00_2418 = 
(BgL_typez00_bglt)(BgL_auxz00_10478); } 
((((BgL_castz00_bglt)CREF(BgL_oz00_2412))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2748z00_2418), BUNSPEC); } 
{ /* Ast/node.scm 152 */
BgL_nodez00_bglt BgL_v2752z00_2419;
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10484;
{ /* Ast/node.scm 152 */
int BgL_auxz00_10485;
BgL_auxz00_10485 = 
(int)(((long)3)); 
BgL_auxz00_10484 = 
STRUCT_REF(BgL_sz00_2413, BgL_auxz00_10485); } 
BgL_v2752z00_2419 = 
(BgL_nodez00_bglt)(BgL_auxz00_10484); } 
((((BgL_castz00_bglt)CREF(BgL_oz00_2412))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_v2752z00_2419), BUNSPEC); } 
BgL_auxz00_10466 = BgL_oz00_2412; 
return 
(obj_t)(BgL_auxz00_10466);} } } 
}



/* object->struct-cast3478 */
obj_t BGl_objectzd2ze3structzd2cast3478ze3zzast_nodez00(obj_t BgL_envz00_6387, obj_t BgL_obj2740z00_6388)
{ AN_OBJECT;
{ /* Ast/node.scm 152 */
{ 
BgL_castz00_bglt BgL_obj2740z00_2400;
BgL_obj2740z00_2400 = 
(BgL_castz00_bglt)(BgL_obj2740z00_6388); 
{ /* Ast/node.scm 152 */
obj_t BgL_res2741z00_2403;
{ /* Ast/node.scm 152 */
int BgL_auxz00_10494;obj_t BgL_auxz00_10492;
BgL_auxz00_10494 = 
(int)(((long)4)); 
BgL_auxz00_10492 = 
CNST_TABLE_REF(((long)42)); 
BgL_res2741z00_2403 = 
make_struct(BgL_auxz00_10492, BgL_auxz00_10494, BUNSPEC); } 
{ /* Ast/node.scm 152 */
int BgL_auxz00_10497;
BgL_auxz00_10497 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2741z00_2403, BgL_auxz00_10497, BFALSE); } 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10502;int BgL_auxz00_10500;
BgL_auxz00_10502 = 
(((BgL_castz00_bglt)CREF(BgL_obj2740z00_2400))->BgL_locz00); 
BgL_auxz00_10500 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2741z00_2403, BgL_auxz00_10500, BgL_auxz00_10502); } 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10507;int BgL_auxz00_10505;
{ /* Ast/node.scm 152 */
BgL_typez00_bglt BgL_auxz00_10508;
BgL_auxz00_10508 = 
(((BgL_castz00_bglt)CREF(BgL_obj2740z00_2400))->BgL_typez00); 
BgL_auxz00_10507 = 
(obj_t)(BgL_auxz00_10508); } 
BgL_auxz00_10505 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2741z00_2403, BgL_auxz00_10505, BgL_auxz00_10507); } 
{ /* Ast/node.scm 152 */
obj_t BgL_auxz00_10514;int BgL_auxz00_10512;
{ /* Ast/node.scm 152 */
BgL_nodez00_bglt BgL_auxz00_10515;
BgL_auxz00_10515 = 
(((BgL_castz00_bglt)CREF(BgL_obj2740z00_2400))->BgL_argz00); 
BgL_auxz00_10514 = 
(obj_t)(BgL_auxz00_10515); } 
BgL_auxz00_10512 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2741z00_2403, BgL_auxz00_10512, BgL_auxz00_10514); } 
return BgL_res2741z00_2403;} } } 
}



/* struct+object->object-setq3476 */
obj_t BGl_structzb2objectzd2ze3objectzd2setq3476z51zzast_nodez00(obj_t BgL_envz00_6389, obj_t BgL_oz00_6390, obj_t BgL_sz00_6391)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ 
BgL_setqz00_bglt BgL_oz00_2389;obj_t BgL_sz00_2390;
{ /* Ast/node.scm 157 */
BgL_setqz00_bglt BgL_auxz00_10520;
BgL_oz00_2389 = 
(BgL_setqz00_bglt)(BgL_oz00_6390); 
BgL_sz00_2390 = BgL_sz00_6391; 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10523;BgL_objectz00_bglt BgL_auxz00_10521;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10524;
BgL_auxz00_10524 = 
(int)(((long)0)); 
BgL_auxz00_10523 = 
STRUCT_REF(BgL_sz00_2390, BgL_auxz00_10524); } 
BgL_auxz00_10521 = 
(BgL_objectz00_bglt)(BgL_oz00_2389); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10521, BgL_auxz00_10523); } 
{ /* Ast/node.scm 157 */
obj_t BgL_v2786z00_2394;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10528;
BgL_auxz00_10528 = 
(int)(((long)1)); 
BgL_v2786z00_2394 = 
STRUCT_REF(BgL_sz00_2390, BgL_auxz00_10528); } 
((((BgL_setqz00_bglt)CREF(BgL_oz00_2389))->BgL_locz00) = ((obj_t)BgL_v2786z00_2394), BUNSPEC); } 
{ /* Ast/node.scm 157 */
BgL_typez00_bglt BgL_v2790z00_2395;
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10532;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10533;
BgL_auxz00_10533 = 
(int)(((long)2)); 
BgL_auxz00_10532 = 
STRUCT_REF(BgL_sz00_2390, BgL_auxz00_10533); } 
BgL_v2790z00_2395 = 
(BgL_typez00_bglt)(BgL_auxz00_10532); } 
((((BgL_setqz00_bglt)CREF(BgL_oz00_2389))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2790z00_2395), BUNSPEC); } 
{ /* Ast/node.scm 157 */
BgL_varz00_bglt BgL_v2794z00_2396;
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10538;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10539;
BgL_auxz00_10539 = 
(int)(((long)3)); 
BgL_auxz00_10538 = 
STRUCT_REF(BgL_sz00_2390, BgL_auxz00_10539); } 
BgL_v2794z00_2396 = 
(BgL_varz00_bglt)(BgL_auxz00_10538); } 
((((BgL_setqz00_bglt)CREF(BgL_oz00_2389))->BgL_varz00) = ((BgL_varz00_bglt)BgL_v2794z00_2396), BUNSPEC); } 
{ /* Ast/node.scm 157 */
BgL_nodez00_bglt BgL_v2798z00_2397;
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10544;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10545;
BgL_auxz00_10545 = 
(int)(((long)4)); 
BgL_auxz00_10544 = 
STRUCT_REF(BgL_sz00_2390, BgL_auxz00_10545); } 
BgL_v2798z00_2397 = 
(BgL_nodez00_bglt)(BgL_auxz00_10544); } 
((((BgL_setqz00_bglt)CREF(BgL_oz00_2389))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_v2798z00_2397), BUNSPEC); } 
BgL_auxz00_10520 = BgL_oz00_2389; 
return 
(obj_t)(BgL_auxz00_10520);} } } 
}



/* object->struct-setq3474 */
obj_t BGl_objectzd2ze3structzd2setq3474ze3zzast_nodez00(obj_t BgL_envz00_6392, obj_t BgL_obj2782z00_6393)
{ AN_OBJECT;
{ /* Ast/node.scm 157 */
{ 
BgL_setqz00_bglt BgL_obj2782z00_2375;
BgL_obj2782z00_2375 = 
(BgL_setqz00_bglt)(BgL_obj2782z00_6393); 
{ /* Ast/node.scm 157 */
obj_t BgL_res2783z00_2378;
{ /* Ast/node.scm 157 */
int BgL_auxz00_10554;obj_t BgL_auxz00_10552;
BgL_auxz00_10554 = 
(int)(((long)5)); 
BgL_auxz00_10552 = 
CNST_TABLE_REF(((long)43)); 
BgL_res2783z00_2378 = 
make_struct(BgL_auxz00_10552, BgL_auxz00_10554, BUNSPEC); } 
{ /* Ast/node.scm 157 */
int BgL_auxz00_10557;
BgL_auxz00_10557 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2783z00_2378, BgL_auxz00_10557, BFALSE); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10562;int BgL_auxz00_10560;
BgL_auxz00_10562 = 
(((BgL_setqz00_bglt)CREF(BgL_obj2782z00_2375))->BgL_locz00); 
BgL_auxz00_10560 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2783z00_2378, BgL_auxz00_10560, BgL_auxz00_10562); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10567;int BgL_auxz00_10565;
{ /* Ast/node.scm 157 */
BgL_typez00_bglt BgL_auxz00_10568;
BgL_auxz00_10568 = 
(((BgL_setqz00_bglt)CREF(BgL_obj2782z00_2375))->BgL_typez00); 
BgL_auxz00_10567 = 
(obj_t)(BgL_auxz00_10568); } 
BgL_auxz00_10565 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2783z00_2378, BgL_auxz00_10565, BgL_auxz00_10567); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10574;int BgL_auxz00_10572;
{ /* Ast/node.scm 157 */
BgL_varz00_bglt BgL_auxz00_10575;
BgL_auxz00_10575 = 
(((BgL_setqz00_bglt)CREF(BgL_obj2782z00_2375))->BgL_varz00); 
BgL_auxz00_10574 = 
(obj_t)(BgL_auxz00_10575); } 
BgL_auxz00_10572 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2783z00_2378, BgL_auxz00_10572, BgL_auxz00_10574); } 
{ /* Ast/node.scm 157 */
obj_t BgL_auxz00_10581;int BgL_auxz00_10579;
{ /* Ast/node.scm 157 */
BgL_nodez00_bglt BgL_auxz00_10582;
BgL_auxz00_10582 = 
(((BgL_setqz00_bglt)CREF(BgL_obj2782z00_2375))->BgL_valuez00); 
BgL_auxz00_10581 = 
(obj_t)(BgL_auxz00_10582); } 
BgL_auxz00_10579 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2783z00_2378, BgL_auxz00_10579, BgL_auxz00_10581); } 
return BgL_res2783z00_2378;} } } 
}



/* struct+object->object-conditional3472 */
obj_t BGl_structzb2objectzd2ze3objectzd2conditional3472z51zzast_nodez00(obj_t BgL_envz00_6394, obj_t BgL_oz00_6395, obj_t BgL_sz00_6396)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ 
BgL_conditionalz00_bglt BgL_oz00_2361;obj_t BgL_sz00_2362;
{ /* Ast/node.scm 164 */
BgL_conditionalz00_bglt BgL_auxz00_10587;
BgL_oz00_2361 = 
(BgL_conditionalz00_bglt)(BgL_oz00_6395); 
BgL_sz00_2362 = BgL_sz00_6396; 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10590;BgL_objectz00_bglt BgL_auxz00_10588;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10591;
BgL_auxz00_10591 = 
(int)(((long)0)); 
BgL_auxz00_10590 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10591); } 
BgL_auxz00_10588 = 
(BgL_objectz00_bglt)(BgL_oz00_2361); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10588, BgL_auxz00_10590); } 
{ /* Ast/node.scm 164 */
obj_t BgL_v2850z00_2366;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10595;
BgL_auxz00_10595 = 
(int)(((long)1)); 
BgL_v2850z00_2366 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10595); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_locz00) = ((obj_t)BgL_v2850z00_2366), BUNSPEC); } 
{ /* Ast/node.scm 164 */
BgL_typez00_bglt BgL_v2854z00_2367;
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10599;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10600;
BgL_auxz00_10600 = 
(int)(((long)2)); 
BgL_auxz00_10599 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10600); } 
BgL_v2854z00_2367 = 
(BgL_typez00_bglt)(BgL_auxz00_10599); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2854z00_2367), BUNSPEC); } 
{ /* Ast/node.scm 164 */
obj_t BgL_v2858z00_2368;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10605;
BgL_auxz00_10605 = 
(int)(((long)3)); 
BgL_v2858z00_2368 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10605); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2858z00_2368), BUNSPEC); } 
{ /* Ast/node.scm 164 */
obj_t BgL_v2862z00_2369;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10609;
BgL_auxz00_10609 = 
(int)(((long)4)); 
BgL_v2862z00_2369 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10609); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_keyz00) = ((obj_t)BgL_v2862z00_2369), BUNSPEC); } 
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_v2866z00_2370;
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10613;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10614;
BgL_auxz00_10614 = 
(int)(((long)5)); 
BgL_auxz00_10613 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10614); } 
BgL_v2866z00_2370 = 
(BgL_nodez00_bglt)(BgL_auxz00_10613); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_v2866z00_2370), BUNSPEC); } 
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_v2870z00_2371;
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10619;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10620;
BgL_auxz00_10620 = 
(int)(((long)6)); 
BgL_auxz00_10619 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10620); } 
BgL_v2870z00_2371 = 
(BgL_nodez00_bglt)(BgL_auxz00_10619); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_v2870z00_2371), BUNSPEC); } 
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_v2874z00_2372;
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10625;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10626;
BgL_auxz00_10626 = 
(int)(((long)7)); 
BgL_auxz00_10625 = 
STRUCT_REF(BgL_sz00_2362, BgL_auxz00_10626); } 
BgL_v2874z00_2372 = 
(BgL_nodez00_bglt)(BgL_auxz00_10625); } 
((((BgL_conditionalz00_bglt)CREF(BgL_oz00_2361))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_v2874z00_2372), BUNSPEC); } 
BgL_auxz00_10587 = BgL_oz00_2361; 
return 
(obj_t)(BgL_auxz00_10587);} } } 
}



/* object->struct-conditional3470 */
obj_t BGl_objectzd2ze3structzd2conditional3470ze3zzast_nodez00(obj_t BgL_envz00_6397, obj_t BgL_obj2846z00_6398)
{ AN_OBJECT;
{ /* Ast/node.scm 164 */
{ 
BgL_conditionalz00_bglt BgL_obj2846z00_2341;
BgL_obj2846z00_2341 = 
(BgL_conditionalz00_bglt)(BgL_obj2846z00_6398); 
{ /* Ast/node.scm 164 */
obj_t BgL_res2847z00_2344;
{ /* Ast/node.scm 164 */
int BgL_auxz00_10635;obj_t BgL_auxz00_10633;
BgL_auxz00_10635 = 
(int)(((long)8)); 
BgL_auxz00_10633 = 
CNST_TABLE_REF(((long)46)); 
BgL_res2847z00_2344 = 
make_struct(BgL_auxz00_10633, BgL_auxz00_10635, BUNSPEC); } 
{ /* Ast/node.scm 164 */
int BgL_auxz00_10638;
BgL_auxz00_10638 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10638, BFALSE); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10643;int BgL_auxz00_10641;
BgL_auxz00_10643 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_locz00); 
BgL_auxz00_10641 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10641, BgL_auxz00_10643); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10648;int BgL_auxz00_10646;
{ /* Ast/node.scm 164 */
BgL_typez00_bglt BgL_auxz00_10649;
BgL_auxz00_10649 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_typez00); 
BgL_auxz00_10648 = 
(obj_t)(BgL_auxz00_10649); } 
BgL_auxz00_10646 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10646, BgL_auxz00_10648); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10655;int BgL_auxz00_10653;
BgL_auxz00_10655 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10653 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10653, BgL_auxz00_10655); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10660;int BgL_auxz00_10658;
BgL_auxz00_10660 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_keyz00); 
BgL_auxz00_10658 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10658, BgL_auxz00_10660); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10665;int BgL_auxz00_10663;
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_10666;
BgL_auxz00_10666 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_testz00); 
BgL_auxz00_10665 = 
(obj_t)(BgL_auxz00_10666); } 
BgL_auxz00_10663 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10663, BgL_auxz00_10665); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10672;int BgL_auxz00_10670;
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_10673;
BgL_auxz00_10673 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_truez00); 
BgL_auxz00_10672 = 
(obj_t)(BgL_auxz00_10673); } 
BgL_auxz00_10670 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10670, BgL_auxz00_10672); } 
{ /* Ast/node.scm 164 */
obj_t BgL_auxz00_10679;int BgL_auxz00_10677;
{ /* Ast/node.scm 164 */
BgL_nodez00_bglt BgL_auxz00_10680;
BgL_auxz00_10680 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2846z00_2341))->BgL_falsez00); 
BgL_auxz00_10679 = 
(obj_t)(BgL_auxz00_10680); } 
BgL_auxz00_10677 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2847z00_2344, BgL_auxz00_10677, BgL_auxz00_10679); } 
return BgL_res2847z00_2344;} } } 
}



/* struct+object->object-fail3468 */
obj_t BGl_structzb2objectzd2ze3objectzd2fail3468z51zzast_nodez00(obj_t BgL_envz00_6399, obj_t BgL_oz00_6400, obj_t BgL_sz00_6401)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ 
BgL_failz00_bglt BgL_oz00_2329;obj_t BgL_sz00_2330;
{ /* Ast/node.scm 173 */
BgL_failz00_bglt BgL_auxz00_10685;
BgL_oz00_2329 = 
(BgL_failz00_bglt)(BgL_oz00_6400); 
BgL_sz00_2330 = BgL_sz00_6401; 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10688;BgL_objectz00_bglt BgL_auxz00_10686;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10689;
BgL_auxz00_10689 = 
(int)(((long)0)); 
BgL_auxz00_10688 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10689); } 
BgL_auxz00_10686 = 
(BgL_objectz00_bglt)(BgL_oz00_2329); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10686, BgL_auxz00_10688); } 
{ /* Ast/node.scm 173 */
obj_t BgL_v2914z00_2334;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10693;
BgL_auxz00_10693 = 
(int)(((long)1)); 
BgL_v2914z00_2334 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10693); } 
((((BgL_failz00_bglt)CREF(BgL_oz00_2329))->BgL_locz00) = ((obj_t)BgL_v2914z00_2334), BUNSPEC); } 
{ /* Ast/node.scm 173 */
BgL_typez00_bglt BgL_v2918z00_2335;
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10697;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10698;
BgL_auxz00_10698 = 
(int)(((long)2)); 
BgL_auxz00_10697 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10698); } 
BgL_v2918z00_2335 = 
(BgL_typez00_bglt)(BgL_auxz00_10697); } 
((((BgL_failz00_bglt)CREF(BgL_oz00_2329))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2918z00_2335), BUNSPEC); } 
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_v2922z00_2336;
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10703;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10704;
BgL_auxz00_10704 = 
(int)(((long)3)); 
BgL_auxz00_10703 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10704); } 
BgL_v2922z00_2336 = 
(BgL_nodez00_bglt)(BgL_auxz00_10703); } 
((((BgL_failz00_bglt)CREF(BgL_oz00_2329))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_v2922z00_2336), BUNSPEC); } 
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_v2926z00_2337;
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10709;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10710;
BgL_auxz00_10710 = 
(int)(((long)4)); 
BgL_auxz00_10709 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10710); } 
BgL_v2926z00_2337 = 
(BgL_nodez00_bglt)(BgL_auxz00_10709); } 
((((BgL_failz00_bglt)CREF(BgL_oz00_2329))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_v2926z00_2337), BUNSPEC); } 
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_v2930z00_2338;
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10715;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10716;
BgL_auxz00_10716 = 
(int)(((long)5)); 
BgL_auxz00_10715 = 
STRUCT_REF(BgL_sz00_2330, BgL_auxz00_10716); } 
BgL_v2930z00_2338 = 
(BgL_nodez00_bglt)(BgL_auxz00_10715); } 
((((BgL_failz00_bglt)CREF(BgL_oz00_2329))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_v2930z00_2338), BUNSPEC); } 
BgL_auxz00_10685 = BgL_oz00_2329; 
return 
(obj_t)(BgL_auxz00_10685);} } } 
}



/* object->struct-fail3466 */
obj_t BGl_objectzd2ze3structzd2fail3466ze3zzast_nodez00(obj_t BgL_envz00_6402, obj_t BgL_obj2910z00_6403)
{ AN_OBJECT;
{ /* Ast/node.scm 173 */
{ 
BgL_failz00_bglt BgL_obj2910z00_2313;
BgL_obj2910z00_2313 = 
(BgL_failz00_bglt)(BgL_obj2910z00_6403); 
{ /* Ast/node.scm 173 */
obj_t BgL_res2911z00_2316;
{ /* Ast/node.scm 173 */
int BgL_auxz00_10725;obj_t BgL_auxz00_10723;
BgL_auxz00_10725 = 
(int)(((long)6)); 
BgL_auxz00_10723 = 
CNST_TABLE_REF(((long)50)); 
BgL_res2911z00_2316 = 
make_struct(BgL_auxz00_10723, BgL_auxz00_10725, BUNSPEC); } 
{ /* Ast/node.scm 173 */
int BgL_auxz00_10728;
BgL_auxz00_10728 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10728, BFALSE); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10733;int BgL_auxz00_10731;
BgL_auxz00_10733 = 
(((BgL_failz00_bglt)CREF(BgL_obj2910z00_2313))->BgL_locz00); 
BgL_auxz00_10731 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10731, BgL_auxz00_10733); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10738;int BgL_auxz00_10736;
{ /* Ast/node.scm 173 */
BgL_typez00_bglt BgL_auxz00_10739;
BgL_auxz00_10739 = 
(((BgL_failz00_bglt)CREF(BgL_obj2910z00_2313))->BgL_typez00); 
BgL_auxz00_10738 = 
(obj_t)(BgL_auxz00_10739); } 
BgL_auxz00_10736 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10736, BgL_auxz00_10738); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10745;int BgL_auxz00_10743;
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_10746;
BgL_auxz00_10746 = 
(((BgL_failz00_bglt)CREF(BgL_obj2910z00_2313))->BgL_procz00); 
BgL_auxz00_10745 = 
(obj_t)(BgL_auxz00_10746); } 
BgL_auxz00_10743 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10743, BgL_auxz00_10745); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10752;int BgL_auxz00_10750;
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_10753;
BgL_auxz00_10753 = 
(((BgL_failz00_bglt)CREF(BgL_obj2910z00_2313))->BgL_msgz00); 
BgL_auxz00_10752 = 
(obj_t)(BgL_auxz00_10753); } 
BgL_auxz00_10750 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10750, BgL_auxz00_10752); } 
{ /* Ast/node.scm 173 */
obj_t BgL_auxz00_10759;int BgL_auxz00_10757;
{ /* Ast/node.scm 173 */
BgL_nodez00_bglt BgL_auxz00_10760;
BgL_auxz00_10760 = 
(((BgL_failz00_bglt)CREF(BgL_obj2910z00_2313))->BgL_objz00); 
BgL_auxz00_10759 = 
(obj_t)(BgL_auxz00_10760); } 
BgL_auxz00_10757 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2911z00_2316, BgL_auxz00_10757, BgL_auxz00_10759); } 
return BgL_res2911z00_2316;} } } 
}



/* struct+object->object-select3464 */
obj_t BGl_structzb2objectzd2ze3objectzd2select3464z51zzast_nodez00(obj_t BgL_envz00_6404, obj_t BgL_oz00_6405, obj_t BgL_sz00_6406)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ 
BgL_selectz00_bglt BgL_oz00_2299;obj_t BgL_sz00_2300;
{ /* Ast/node.scm 180 */
BgL_selectz00_bglt BgL_auxz00_10765;
BgL_oz00_2299 = 
(BgL_selectz00_bglt)(BgL_oz00_6405); 
BgL_sz00_2300 = BgL_sz00_6406; 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10768;BgL_objectz00_bglt BgL_auxz00_10766;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10769;
BgL_auxz00_10769 = 
(int)(((long)0)); 
BgL_auxz00_10768 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10769); } 
BgL_auxz00_10766 = 
(BgL_objectz00_bglt)(BgL_oz00_2299); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10766, BgL_auxz00_10768); } 
{ /* Ast/node.scm 180 */
obj_t BgL_v2978z00_2304;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10773;
BgL_auxz00_10773 = 
(int)(((long)1)); 
BgL_v2978z00_2304 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10773); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_locz00) = ((obj_t)BgL_v2978z00_2304), BUNSPEC); } 
{ /* Ast/node.scm 180 */
BgL_typez00_bglt BgL_v2982z00_2305;
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10777;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10778;
BgL_auxz00_10778 = 
(int)(((long)2)); 
BgL_auxz00_10777 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10778); } 
BgL_v2982z00_2305 = 
(BgL_typez00_bglt)(BgL_auxz00_10777); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v2982z00_2305), BUNSPEC); } 
{ /* Ast/node.scm 180 */
obj_t BgL_v2986z00_2306;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10783;
BgL_auxz00_10783 = 
(int)(((long)3)); 
BgL_v2986z00_2306 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10783); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v2986z00_2306), BUNSPEC); } 
{ /* Ast/node.scm 180 */
obj_t BgL_v2990z00_2307;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10787;
BgL_auxz00_10787 = 
(int)(((long)4)); 
BgL_v2990z00_2307 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10787); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_keyz00) = ((obj_t)BgL_v2990z00_2307), BUNSPEC); } 
{ /* Ast/node.scm 180 */
BgL_nodez00_bglt BgL_v2994z00_2308;
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10791;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10792;
BgL_auxz00_10792 = 
(int)(((long)5)); 
BgL_auxz00_10791 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10792); } 
BgL_v2994z00_2308 = 
(BgL_nodez00_bglt)(BgL_auxz00_10791); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_v2994z00_2308), BUNSPEC); } 
{ /* Ast/node.scm 180 */
obj_t BgL_v2998z00_2309;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10797;
BgL_auxz00_10797 = 
(int)(((long)6)); 
BgL_v2998z00_2309 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10797); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_clausesz00) = ((obj_t)BgL_v2998z00_2309), BUNSPEC); } 
{ /* Ast/node.scm 180 */
BgL_typez00_bglt BgL_v3002z00_2310;
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10801;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10802;
BgL_auxz00_10802 = 
(int)(((long)7)); 
BgL_auxz00_10801 = 
STRUCT_REF(BgL_sz00_2300, BgL_auxz00_10802); } 
BgL_v3002z00_2310 = 
(BgL_typez00_bglt)(BgL_auxz00_10801); } 
((((BgL_selectz00_bglt)CREF(BgL_oz00_2299))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_v3002z00_2310), BUNSPEC); } 
BgL_auxz00_10765 = BgL_oz00_2299; 
return 
(obj_t)(BgL_auxz00_10765);} } } 
}



/* object->struct-select3462 */
obj_t BGl_objectzd2ze3structzd2select3462ze3zzast_nodez00(obj_t BgL_envz00_6407, obj_t BgL_obj2974z00_6408)
{ AN_OBJECT;
{ /* Ast/node.scm 180 */
{ 
BgL_selectz00_bglt BgL_obj2974z00_2279;
BgL_obj2974z00_2279 = 
(BgL_selectz00_bglt)(BgL_obj2974z00_6408); 
{ /* Ast/node.scm 180 */
obj_t BgL_res2975z00_2282;
{ /* Ast/node.scm 180 */
int BgL_auxz00_10811;obj_t BgL_auxz00_10809;
BgL_auxz00_10811 = 
(int)(((long)8)); 
BgL_auxz00_10809 = 
CNST_TABLE_REF(((long)54)); 
BgL_res2975z00_2282 = 
make_struct(BgL_auxz00_10809, BgL_auxz00_10811, BUNSPEC); } 
{ /* Ast/node.scm 180 */
int BgL_auxz00_10814;
BgL_auxz00_10814 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10814, BFALSE); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10819;int BgL_auxz00_10817;
BgL_auxz00_10819 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_locz00); 
BgL_auxz00_10817 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10817, BgL_auxz00_10819); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10824;int BgL_auxz00_10822;
{ /* Ast/node.scm 180 */
BgL_typez00_bglt BgL_auxz00_10825;
BgL_auxz00_10825 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_typez00); 
BgL_auxz00_10824 = 
(obj_t)(BgL_auxz00_10825); } 
BgL_auxz00_10822 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10822, BgL_auxz00_10824); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10831;int BgL_auxz00_10829;
BgL_auxz00_10831 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10829 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10829, BgL_auxz00_10831); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10836;int BgL_auxz00_10834;
BgL_auxz00_10836 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_keyz00); 
BgL_auxz00_10834 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10834, BgL_auxz00_10836); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10841;int BgL_auxz00_10839;
{ /* Ast/node.scm 180 */
BgL_nodez00_bglt BgL_auxz00_10842;
BgL_auxz00_10842 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_testz00); 
BgL_auxz00_10841 = 
(obj_t)(BgL_auxz00_10842); } 
BgL_auxz00_10839 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10839, BgL_auxz00_10841); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10848;int BgL_auxz00_10846;
BgL_auxz00_10848 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_clausesz00); 
BgL_auxz00_10846 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10846, BgL_auxz00_10848); } 
{ /* Ast/node.scm 180 */
obj_t BgL_auxz00_10853;int BgL_auxz00_10851;
{ /* Ast/node.scm 180 */
BgL_typez00_bglt BgL_auxz00_10854;
BgL_auxz00_10854 = 
(((BgL_selectz00_bglt)CREF(BgL_obj2974z00_2279))->BgL_itemzd2typezd2); 
BgL_auxz00_10853 = 
(obj_t)(BgL_auxz00_10854); } 
BgL_auxz00_10851 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res2975z00_2282, BgL_auxz00_10851, BgL_auxz00_10853); } 
return BgL_res2975z00_2282;} } } 
}



/* struct+object->object-let-fun3460 */
obj_t BGl_structzb2objectzd2ze3objectzd2letzd2fun3460z83zzast_nodez00(obj_t BgL_envz00_6409, obj_t BgL_oz00_6410, obj_t BgL_sz00_6411)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ 
BgL_letzd2funzd2_bglt BgL_oz00_2266;obj_t BgL_sz00_2267;
{ /* Ast/node.scm 189 */
BgL_letzd2funzd2_bglt BgL_auxz00_10859;
BgL_oz00_2266 = 
(BgL_letzd2funzd2_bglt)(BgL_oz00_6410); 
BgL_sz00_2267 = BgL_sz00_6411; 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10862;BgL_objectz00_bglt BgL_auxz00_10860;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10863;
BgL_auxz00_10863 = 
(int)(((long)0)); 
BgL_auxz00_10862 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10863); } 
BgL_auxz00_10860 = 
(BgL_objectz00_bglt)(BgL_oz00_2266); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10860, BgL_auxz00_10862); } 
{ /* Ast/node.scm 189 */
obj_t BgL_v3049z00_2271;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10867;
BgL_auxz00_10867 = 
(int)(((long)1)); 
BgL_v3049z00_2271 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10867); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_locz00) = ((obj_t)BgL_v3049z00_2271), BUNSPEC); } 
{ /* Ast/node.scm 189 */
BgL_typez00_bglt BgL_v3053z00_2272;
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10871;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10872;
BgL_auxz00_10872 = 
(int)(((long)2)); 
BgL_auxz00_10871 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10872); } 
BgL_v3053z00_2272 = 
(BgL_typez00_bglt)(BgL_auxz00_10871); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3053z00_2272), BUNSPEC); } 
{ /* Ast/node.scm 189 */
obj_t BgL_v3057z00_2273;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10877;
BgL_auxz00_10877 = 
(int)(((long)3)); 
BgL_v3057z00_2273 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10877); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v3057z00_2273), BUNSPEC); } 
{ /* Ast/node.scm 189 */
obj_t BgL_v3061z00_2274;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10881;
BgL_auxz00_10881 = 
(int)(((long)4)); 
BgL_v3061z00_2274 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10881); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_keyz00) = ((obj_t)BgL_v3061z00_2274), BUNSPEC); } 
{ /* Ast/node.scm 189 */
obj_t BgL_v3065z00_2275;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10885;
BgL_auxz00_10885 = 
(int)(((long)5)); 
BgL_v3065z00_2275 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10885); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_localsz00) = ((obj_t)BgL_v3065z00_2275), BUNSPEC); } 
{ /* Ast/node.scm 189 */
BgL_nodez00_bglt BgL_v3069z00_2276;
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10889;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10890;
BgL_auxz00_10890 = 
(int)(((long)6)); 
BgL_auxz00_10889 = 
STRUCT_REF(BgL_sz00_2267, BgL_auxz00_10890); } 
BgL_v3069z00_2276 = 
(BgL_nodez00_bglt)(BgL_auxz00_10889); } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_oz00_2266))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_v3069z00_2276), BUNSPEC); } 
BgL_auxz00_10859 = BgL_oz00_2266; 
return 
(obj_t)(BgL_auxz00_10859);} } } 
}



/* object->struct-let-fun3458 */
obj_t BGl_objectzd2ze3structzd2letzd2fun3458z31zzast_nodez00(obj_t BgL_envz00_6412, obj_t BgL_obj3045z00_6413)
{ AN_OBJECT;
{ /* Ast/node.scm 189 */
{ 
BgL_letzd2funzd2_bglt BgL_obj3045z00_2248;
BgL_obj3045z00_2248 = 
(BgL_letzd2funzd2_bglt)(BgL_obj3045z00_6413); 
{ /* Ast/node.scm 189 */
obj_t BgL_res3046z00_2251;
{ /* Ast/node.scm 189 */
int BgL_auxz00_10899;obj_t BgL_auxz00_10897;
BgL_auxz00_10899 = 
(int)(((long)7)); 
BgL_auxz00_10897 = 
CNST_TABLE_REF(((long)57)); 
BgL_res3046z00_2251 = 
make_struct(BgL_auxz00_10897, BgL_auxz00_10899, BUNSPEC); } 
{ /* Ast/node.scm 189 */
int BgL_auxz00_10902;
BgL_auxz00_10902 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10902, BFALSE); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10907;int BgL_auxz00_10905;
BgL_auxz00_10907 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_locz00); 
BgL_auxz00_10905 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10905, BgL_auxz00_10907); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10912;int BgL_auxz00_10910;
{ /* Ast/node.scm 189 */
BgL_typez00_bglt BgL_auxz00_10913;
BgL_auxz00_10913 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_typez00); 
BgL_auxz00_10912 = 
(obj_t)(BgL_auxz00_10913); } 
BgL_auxz00_10910 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10910, BgL_auxz00_10912); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10919;int BgL_auxz00_10917;
BgL_auxz00_10919 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_10917 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10917, BgL_auxz00_10919); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10924;int BgL_auxz00_10922;
BgL_auxz00_10924 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_keyz00); 
BgL_auxz00_10922 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10922, BgL_auxz00_10924); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10929;int BgL_auxz00_10927;
BgL_auxz00_10929 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_localsz00); 
BgL_auxz00_10927 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10927, BgL_auxz00_10929); } 
{ /* Ast/node.scm 189 */
obj_t BgL_auxz00_10934;int BgL_auxz00_10932;
{ /* Ast/node.scm 189 */
BgL_nodez00_bglt BgL_auxz00_10935;
BgL_auxz00_10935 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_obj3045z00_2248))->BgL_bodyz00); 
BgL_auxz00_10934 = 
(obj_t)(BgL_auxz00_10935); } 
BgL_auxz00_10932 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res3046z00_2251, BgL_auxz00_10932, BgL_auxz00_10934); } 
return BgL_res3046z00_2251;} } } 
}



/* struct+object->object-let-var3456 */
obj_t BGl_structzb2objectzd2ze3objectzd2letzd2var3456z83zzast_nodez00(obj_t BgL_envz00_6414, obj_t BgL_oz00_6415, obj_t BgL_sz00_6416)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ 
BgL_letzd2varzd2_bglt BgL_oz00_2234;obj_t BgL_sz00_2235;
{ /* Ast/node.scm 196 */
BgL_letzd2varzd2_bglt BgL_auxz00_10940;
BgL_oz00_2234 = 
(BgL_letzd2varzd2_bglt)(BgL_oz00_6415); 
BgL_sz00_2235 = BgL_sz00_6416; 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10943;BgL_objectz00_bglt BgL_auxz00_10941;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10944;
BgL_auxz00_10944 = 
(int)(((long)0)); 
BgL_auxz00_10943 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10944); } 
BgL_auxz00_10941 = 
(BgL_objectz00_bglt)(BgL_oz00_2234); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_10941, BgL_auxz00_10943); } 
{ /* Ast/node.scm 196 */
obj_t BgL_v3121z00_2239;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10948;
BgL_auxz00_10948 = 
(int)(((long)1)); 
BgL_v3121z00_2239 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10948); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_locz00) = ((obj_t)BgL_v3121z00_2239), BUNSPEC); } 
{ /* Ast/node.scm 196 */
BgL_typez00_bglt BgL_v3125z00_2240;
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10952;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10953;
BgL_auxz00_10953 = 
(int)(((long)2)); 
BgL_auxz00_10952 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10953); } 
BgL_v3125z00_2240 = 
(BgL_typez00_bglt)(BgL_auxz00_10952); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3125z00_2240), BUNSPEC); } 
{ /* Ast/node.scm 196 */
obj_t BgL_v3129z00_2241;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10958;
BgL_auxz00_10958 = 
(int)(((long)3)); 
BgL_v3129z00_2241 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10958); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v3129z00_2241), BUNSPEC); } 
{ /* Ast/node.scm 196 */
obj_t BgL_v3133z00_2242;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10962;
BgL_auxz00_10962 = 
(int)(((long)4)); 
BgL_v3133z00_2242 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10962); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_keyz00) = ((obj_t)BgL_v3133z00_2242), BUNSPEC); } 
{ /* Ast/node.scm 196 */
obj_t BgL_v3137z00_2243;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10966;
BgL_auxz00_10966 = 
(int)(((long)5)); 
BgL_v3137z00_2243 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10966); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_bindingsz00) = ((obj_t)BgL_v3137z00_2243), BUNSPEC); } 
{ /* Ast/node.scm 196 */
BgL_nodez00_bglt BgL_v3141z00_2244;
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10970;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10971;
BgL_auxz00_10971 = 
(int)(((long)6)); 
BgL_auxz00_10970 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10971); } 
BgL_v3141z00_2244 = 
(BgL_nodez00_bglt)(BgL_auxz00_10970); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_v3141z00_2244), BUNSPEC); } 
{ /* Ast/node.scm 196 */
bool_t BgL_v3145z00_2245;
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10976;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10977;
BgL_auxz00_10977 = 
(int)(((long)7)); 
BgL_auxz00_10976 = 
STRUCT_REF(BgL_sz00_2235, BgL_auxz00_10977); } 
BgL_v3145z00_2245 = 
CBOOL(BgL_auxz00_10976); } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_oz00_2234))->BgL_removablezf3zf3) = ((bool_t)BgL_v3145z00_2245), BUNSPEC); } 
BgL_auxz00_10940 = BgL_oz00_2234; 
return 
(obj_t)(BgL_auxz00_10940);} } } 
}



/* object->struct-let-var3454 */
obj_t BGl_objectzd2ze3structzd2letzd2var3454z31zzast_nodez00(obj_t BgL_envz00_6417, obj_t BgL_obj3117z00_6418)
{ AN_OBJECT;
{ /* Ast/node.scm 196 */
{ 
BgL_letzd2varzd2_bglt BgL_obj3117z00_2214;
BgL_obj3117z00_2214 = 
(BgL_letzd2varzd2_bglt)(BgL_obj3117z00_6418); 
{ /* Ast/node.scm 196 */
obj_t BgL_res3118z00_2217;
{ /* Ast/node.scm 196 */
int BgL_auxz00_10986;obj_t BgL_auxz00_10984;
BgL_auxz00_10986 = 
(int)(((long)8)); 
BgL_auxz00_10984 = 
CNST_TABLE_REF(((long)60)); 
BgL_res3118z00_2217 = 
make_struct(BgL_auxz00_10984, BgL_auxz00_10986, BUNSPEC); } 
{ /* Ast/node.scm 196 */
int BgL_auxz00_10989;
BgL_auxz00_10989 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_10989, BFALSE); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10994;int BgL_auxz00_10992;
BgL_auxz00_10994 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_locz00); 
BgL_auxz00_10992 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_10992, BgL_auxz00_10994); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_10999;int BgL_auxz00_10997;
{ /* Ast/node.scm 196 */
BgL_typez00_bglt BgL_auxz00_11000;
BgL_auxz00_11000 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_typez00); 
BgL_auxz00_10999 = 
(obj_t)(BgL_auxz00_11000); } 
BgL_auxz00_10997 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_10997, BgL_auxz00_10999); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_11006;int BgL_auxz00_11004;
BgL_auxz00_11006 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_11004 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_11004, BgL_auxz00_11006); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_11011;int BgL_auxz00_11009;
BgL_auxz00_11011 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_keyz00); 
BgL_auxz00_11009 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_11009, BgL_auxz00_11011); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_11016;int BgL_auxz00_11014;
BgL_auxz00_11016 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_bindingsz00); 
BgL_auxz00_11014 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_11014, BgL_auxz00_11016); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_11021;int BgL_auxz00_11019;
{ /* Ast/node.scm 196 */
BgL_nodez00_bglt BgL_auxz00_11022;
BgL_auxz00_11022 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_bodyz00); 
BgL_auxz00_11021 = 
(obj_t)(BgL_auxz00_11022); } 
BgL_auxz00_11019 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_11019, BgL_auxz00_11021); } 
{ /* Ast/node.scm 196 */
obj_t BgL_auxz00_11028;int BgL_auxz00_11026;
{ /* Ast/node.scm 196 */
bool_t BgL_auxz00_11029;
BgL_auxz00_11029 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj3117z00_2214))->BgL_removablezf3zf3); 
BgL_auxz00_11028 = 
BBOOL(BgL_auxz00_11029); } 
BgL_auxz00_11026 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res3118z00_2217, BgL_auxz00_11026, BgL_auxz00_11028); } 
return BgL_res3118z00_2217;} } } 
}



/* struct+object->object-set-ex-it3452 */
obj_t BGl_structzb2objectzd2ze3objectzd2setzd2exzd2it3452z51zzast_nodez00(obj_t BgL_envz00_6419, obj_t BgL_oz00_6420, obj_t BgL_sz00_6421)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_oz00_2203;obj_t BgL_sz00_2204;
{ /* Ast/node.scm 205 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_11034;
BgL_oz00_2203 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_oz00_6420); 
BgL_sz00_2204 = BgL_sz00_6421; 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11037;BgL_objectz00_bglt BgL_auxz00_11035;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11038;
BgL_auxz00_11038 = 
(int)(((long)0)); 
BgL_auxz00_11037 = 
STRUCT_REF(BgL_sz00_2204, BgL_auxz00_11038); } 
BgL_auxz00_11035 = 
(BgL_objectz00_bglt)(BgL_oz00_2203); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_11035, BgL_auxz00_11037); } 
{ /* Ast/node.scm 205 */
obj_t BgL_v3180z00_2208;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11042;
BgL_auxz00_11042 = 
(int)(((long)1)); 
BgL_v3180z00_2208 = 
STRUCT_REF(BgL_sz00_2204, BgL_auxz00_11042); } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_oz00_2203))->BgL_locz00) = ((obj_t)BgL_v3180z00_2208), BUNSPEC); } 
{ /* Ast/node.scm 205 */
BgL_typez00_bglt BgL_v3184z00_2209;
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11046;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11047;
BgL_auxz00_11047 = 
(int)(((long)2)); 
BgL_auxz00_11046 = 
STRUCT_REF(BgL_sz00_2204, BgL_auxz00_11047); } 
BgL_v3184z00_2209 = 
(BgL_typez00_bglt)(BgL_auxz00_11046); } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_oz00_2203))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3184z00_2209), BUNSPEC); } 
{ /* Ast/node.scm 205 */
BgL_varz00_bglt BgL_v3188z00_2210;
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11052;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11053;
BgL_auxz00_11053 = 
(int)(((long)3)); 
BgL_auxz00_11052 = 
STRUCT_REF(BgL_sz00_2204, BgL_auxz00_11053); } 
BgL_v3188z00_2210 = 
(BgL_varz00_bglt)(BgL_auxz00_11052); } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_oz00_2203))->BgL_varz00) = ((BgL_varz00_bglt)BgL_v3188z00_2210), BUNSPEC); } 
{ /* Ast/node.scm 205 */
BgL_nodez00_bglt BgL_v3192z00_2211;
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11058;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11059;
BgL_auxz00_11059 = 
(int)(((long)4)); 
BgL_auxz00_11058 = 
STRUCT_REF(BgL_sz00_2204, BgL_auxz00_11059); } 
BgL_v3192z00_2211 = 
(BgL_nodez00_bglt)(BgL_auxz00_11058); } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_oz00_2203))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_v3192z00_2211), BUNSPEC); } 
BgL_auxz00_11034 = BgL_oz00_2203; 
return 
(obj_t)(BgL_auxz00_11034);} } } 
}



/* object->struct-set-ex-it3450 */
obj_t BGl_objectzd2ze3structzd2setzd2exzd2it3450ze3zzast_nodez00(obj_t BgL_envz00_6422, obj_t BgL_obj3176z00_6423)
{ AN_OBJECT;
{ /* Ast/node.scm 205 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_obj3176z00_2189;
BgL_obj3176z00_2189 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_obj3176z00_6423); 
{ /* Ast/node.scm 205 */
obj_t BgL_res3177z00_2192;
{ /* Ast/node.scm 205 */
int BgL_auxz00_11068;obj_t BgL_auxz00_11066;
BgL_auxz00_11068 = 
(int)(((long)5)); 
BgL_auxz00_11066 = 
CNST_TABLE_REF(((long)63)); 
BgL_res3177z00_2192 = 
make_struct(BgL_auxz00_11066, BgL_auxz00_11068, BUNSPEC); } 
{ /* Ast/node.scm 205 */
int BgL_auxz00_11071;
BgL_auxz00_11071 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3177z00_2192, BgL_auxz00_11071, BFALSE); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11076;int BgL_auxz00_11074;
BgL_auxz00_11076 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3176z00_2189))->BgL_locz00); 
BgL_auxz00_11074 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3177z00_2192, BgL_auxz00_11074, BgL_auxz00_11076); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11081;int BgL_auxz00_11079;
{ /* Ast/node.scm 205 */
BgL_typez00_bglt BgL_auxz00_11082;
BgL_auxz00_11082 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3176z00_2189))->BgL_typez00); 
BgL_auxz00_11081 = 
(obj_t)(BgL_auxz00_11082); } 
BgL_auxz00_11079 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3177z00_2192, BgL_auxz00_11079, BgL_auxz00_11081); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11088;int BgL_auxz00_11086;
{ /* Ast/node.scm 205 */
BgL_varz00_bglt BgL_auxz00_11089;
BgL_auxz00_11089 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3176z00_2189))->BgL_varz00); 
BgL_auxz00_11088 = 
(obj_t)(BgL_auxz00_11089); } 
BgL_auxz00_11086 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3177z00_2192, BgL_auxz00_11086, BgL_auxz00_11088); } 
{ /* Ast/node.scm 205 */
obj_t BgL_auxz00_11095;int BgL_auxz00_11093;
{ /* Ast/node.scm 205 */
BgL_nodez00_bglt BgL_auxz00_11096;
BgL_auxz00_11096 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3176z00_2189))->BgL_bodyz00); 
BgL_auxz00_11095 = 
(obj_t)(BgL_auxz00_11096); } 
BgL_auxz00_11093 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3177z00_2192, BgL_auxz00_11093, BgL_auxz00_11095); } 
return BgL_res3177z00_2192;} } } 
}



/* struct+object->object-jump-ex-it3448 */
obj_t BGl_structzb2objectzd2ze3objectzd2jumpzd2exzd2it3448z51zzast_nodez00(obj_t BgL_envz00_6424, obj_t BgL_oz00_6425, obj_t BgL_sz00_6426)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_oz00_2178;obj_t BgL_sz00_2179;
{ /* Ast/node.scm 212 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_11101;
BgL_oz00_2178 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_oz00_6425); 
BgL_sz00_2179 = BgL_sz00_6426; 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11104;BgL_objectz00_bglt BgL_auxz00_11102;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11105;
BgL_auxz00_11105 = 
(int)(((long)0)); 
BgL_auxz00_11104 = 
STRUCT_REF(BgL_sz00_2179, BgL_auxz00_11105); } 
BgL_auxz00_11102 = 
(BgL_objectz00_bglt)(BgL_oz00_2178); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_11102, BgL_auxz00_11104); } 
{ /* Ast/node.scm 212 */
obj_t BgL_v3227z00_2183;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11109;
BgL_auxz00_11109 = 
(int)(((long)1)); 
BgL_v3227z00_2183 = 
STRUCT_REF(BgL_sz00_2179, BgL_auxz00_11109); } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_oz00_2178))->BgL_locz00) = ((obj_t)BgL_v3227z00_2183), BUNSPEC); } 
{ /* Ast/node.scm 212 */
BgL_typez00_bglt BgL_v3231z00_2184;
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11113;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11114;
BgL_auxz00_11114 = 
(int)(((long)2)); 
BgL_auxz00_11113 = 
STRUCT_REF(BgL_sz00_2179, BgL_auxz00_11114); } 
BgL_v3231z00_2184 = 
(BgL_typez00_bglt)(BgL_auxz00_11113); } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_oz00_2178))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3231z00_2184), BUNSPEC); } 
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_v3235z00_2185;
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11119;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11120;
BgL_auxz00_11120 = 
(int)(((long)3)); 
BgL_auxz00_11119 = 
STRUCT_REF(BgL_sz00_2179, BgL_auxz00_11120); } 
BgL_v3235z00_2185 = 
(BgL_nodez00_bglt)(BgL_auxz00_11119); } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_oz00_2178))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_v3235z00_2185), BUNSPEC); } 
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_v3239z00_2186;
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11125;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11126;
BgL_auxz00_11126 = 
(int)(((long)4)); 
BgL_auxz00_11125 = 
STRUCT_REF(BgL_sz00_2179, BgL_auxz00_11126); } 
BgL_v3239z00_2186 = 
(BgL_nodez00_bglt)(BgL_auxz00_11125); } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_oz00_2178))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_v3239z00_2186), BUNSPEC); } 
BgL_auxz00_11101 = BgL_oz00_2178; 
return 
(obj_t)(BgL_auxz00_11101);} } } 
}



/* object->struct-jump-ex-it3446 */
obj_t BGl_objectzd2ze3structzd2jumpzd2exzd2it3446ze3zzast_nodez00(obj_t BgL_envz00_6427, obj_t BgL_obj3223z00_6428)
{ AN_OBJECT;
{ /* Ast/node.scm 212 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_obj3223z00_2164;
BgL_obj3223z00_2164 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_obj3223z00_6428); 
{ /* Ast/node.scm 212 */
obj_t BgL_res3224z00_2167;
{ /* Ast/node.scm 212 */
int BgL_auxz00_11135;obj_t BgL_auxz00_11133;
BgL_auxz00_11135 = 
(int)(((long)5)); 
BgL_auxz00_11133 = 
CNST_TABLE_REF(((long)64)); 
BgL_res3224z00_2167 = 
make_struct(BgL_auxz00_11133, BgL_auxz00_11135, BUNSPEC); } 
{ /* Ast/node.scm 212 */
int BgL_auxz00_11138;
BgL_auxz00_11138 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3224z00_2167, BgL_auxz00_11138, BFALSE); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11143;int BgL_auxz00_11141;
BgL_auxz00_11143 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3223z00_2164))->BgL_locz00); 
BgL_auxz00_11141 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3224z00_2167, BgL_auxz00_11141, BgL_auxz00_11143); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11148;int BgL_auxz00_11146;
{ /* Ast/node.scm 212 */
BgL_typez00_bglt BgL_auxz00_11149;
BgL_auxz00_11149 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3223z00_2164))->BgL_typez00); 
BgL_auxz00_11148 = 
(obj_t)(BgL_auxz00_11149); } 
BgL_auxz00_11146 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3224z00_2167, BgL_auxz00_11146, BgL_auxz00_11148); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11155;int BgL_auxz00_11153;
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_auxz00_11156;
BgL_auxz00_11156 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3223z00_2164))->BgL_exitz00); 
BgL_auxz00_11155 = 
(obj_t)(BgL_auxz00_11156); } 
BgL_auxz00_11153 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3224z00_2167, BgL_auxz00_11153, BgL_auxz00_11155); } 
{ /* Ast/node.scm 212 */
obj_t BgL_auxz00_11162;int BgL_auxz00_11160;
{ /* Ast/node.scm 212 */
BgL_nodez00_bglt BgL_auxz00_11163;
BgL_auxz00_11163 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3223z00_2164))->BgL_valuez00); 
BgL_auxz00_11162 = 
(obj_t)(BgL_auxz00_11163); } 
BgL_auxz00_11160 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3224z00_2167, BgL_auxz00_11160, BgL_auxz00_11162); } 
return BgL_res3224z00_2167;} } } 
}



/* struct+object->object-make-box3444 */
obj_t BGl_structzb2objectzd2ze3objectzd2makezd2box3444z83zzast_nodez00(obj_t BgL_envz00_6429, obj_t BgL_oz00_6430, obj_t BgL_sz00_6431)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ 
BgL_makezd2boxzd2_bglt BgL_oz00_2152;obj_t BgL_sz00_2153;
{ /* Ast/node.scm 219 */
BgL_makezd2boxzd2_bglt BgL_auxz00_11168;
BgL_oz00_2152 = 
(BgL_makezd2boxzd2_bglt)(BgL_oz00_6430); 
BgL_sz00_2153 = BgL_sz00_6431; 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11171;BgL_objectz00_bglt BgL_auxz00_11169;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11172;
BgL_auxz00_11172 = 
(int)(((long)0)); 
BgL_auxz00_11171 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11172); } 
BgL_auxz00_11169 = 
(BgL_objectz00_bglt)(BgL_oz00_2152); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_11169, BgL_auxz00_11171); } 
{ /* Ast/node.scm 219 */
obj_t BgL_v3279z00_2157;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11176;
BgL_auxz00_11176 = 
(int)(((long)1)); 
BgL_v3279z00_2157 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11176); } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_oz00_2152))->BgL_locz00) = ((obj_t)BgL_v3279z00_2157), BUNSPEC); } 
{ /* Ast/node.scm 219 */
BgL_typez00_bglt BgL_v3283z00_2158;
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11180;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11181;
BgL_auxz00_11181 = 
(int)(((long)2)); 
BgL_auxz00_11180 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11181); } 
BgL_v3283z00_2158 = 
(BgL_typez00_bglt)(BgL_auxz00_11180); } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_oz00_2152))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3283z00_2158), BUNSPEC); } 
{ /* Ast/node.scm 219 */
obj_t BgL_v3287z00_2159;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11186;
BgL_auxz00_11186 = 
(int)(((long)3)); 
BgL_v3287z00_2159 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11186); } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_oz00_2152))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v3287z00_2159), BUNSPEC); } 
{ /* Ast/node.scm 219 */
obj_t BgL_v3291z00_2160;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11190;
BgL_auxz00_11190 = 
(int)(((long)4)); 
BgL_v3291z00_2160 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11190); } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_oz00_2152))->BgL_keyz00) = ((obj_t)BgL_v3291z00_2160), BUNSPEC); } 
{ /* Ast/node.scm 219 */
BgL_nodez00_bglt BgL_v3295z00_2161;
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11194;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11195;
BgL_auxz00_11195 = 
(int)(((long)5)); 
BgL_auxz00_11194 = 
STRUCT_REF(BgL_sz00_2153, BgL_auxz00_11195); } 
BgL_v3295z00_2161 = 
(BgL_nodez00_bglt)(BgL_auxz00_11194); } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_oz00_2152))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_v3295z00_2161), BUNSPEC); } 
BgL_auxz00_11168 = BgL_oz00_2152; 
return 
(obj_t)(BgL_auxz00_11168);} } } 
}



/* object->struct-make-box3442 */
obj_t BGl_objectzd2ze3structzd2makezd2box3442z31zzast_nodez00(obj_t BgL_envz00_6432, obj_t BgL_obj3275z00_6433)
{ AN_OBJECT;
{ /* Ast/node.scm 219 */
{ 
BgL_makezd2boxzd2_bglt BgL_obj3275z00_2136;
BgL_obj3275z00_2136 = 
(BgL_makezd2boxzd2_bglt)(BgL_obj3275z00_6433); 
{ /* Ast/node.scm 219 */
obj_t BgL_res3276z00_2139;
{ /* Ast/node.scm 219 */
int BgL_auxz00_11204;obj_t BgL_auxz00_11202;
BgL_auxz00_11204 = 
(int)(((long)6)); 
BgL_auxz00_11202 = 
CNST_TABLE_REF(((long)66)); 
BgL_res3276z00_2139 = 
make_struct(BgL_auxz00_11202, BgL_auxz00_11204, BUNSPEC); } 
{ /* Ast/node.scm 219 */
int BgL_auxz00_11207;
BgL_auxz00_11207 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11207, BFALSE); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11212;int BgL_auxz00_11210;
BgL_auxz00_11212 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3275z00_2136))->BgL_locz00); 
BgL_auxz00_11210 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11210, BgL_auxz00_11212); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11217;int BgL_auxz00_11215;
{ /* Ast/node.scm 219 */
BgL_typez00_bglt BgL_auxz00_11218;
BgL_auxz00_11218 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3275z00_2136))->BgL_typez00); 
BgL_auxz00_11217 = 
(obj_t)(BgL_auxz00_11218); } 
BgL_auxz00_11215 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11215, BgL_auxz00_11217); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11224;int BgL_auxz00_11222;
BgL_auxz00_11224 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3275z00_2136))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_11222 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11222, BgL_auxz00_11224); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11229;int BgL_auxz00_11227;
BgL_auxz00_11229 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3275z00_2136))->BgL_keyz00); 
BgL_auxz00_11227 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11227, BgL_auxz00_11229); } 
{ /* Ast/node.scm 219 */
obj_t BgL_auxz00_11234;int BgL_auxz00_11232;
{ /* Ast/node.scm 219 */
BgL_nodez00_bglt BgL_auxz00_11235;
BgL_auxz00_11235 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3275z00_2136))->BgL_valuez00); 
BgL_auxz00_11234 = 
(obj_t)(BgL_auxz00_11235); } 
BgL_auxz00_11232 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res3276z00_2139, BgL_auxz00_11232, BgL_auxz00_11234); } 
return BgL_res3276z00_2139;} } } 
}



/* struct+object->object-box-ref3440 */
obj_t BGl_structzb2objectzd2ze3objectzd2boxzd2ref3440z83zzast_nodez00(obj_t BgL_envz00_6434, obj_t BgL_oz00_6435, obj_t BgL_sz00_6436)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ 
BgL_boxzd2refzd2_bglt BgL_oz00_2124;obj_t BgL_sz00_2125;
{ /* Ast/node.scm 223 */
BgL_boxzd2refzd2_bglt BgL_auxz00_11240;
BgL_oz00_2124 = 
(BgL_boxzd2refzd2_bglt)(BgL_oz00_6435); 
BgL_sz00_2125 = BgL_sz00_6436; 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11243;BgL_objectz00_bglt BgL_auxz00_11241;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11244;
BgL_auxz00_11244 = 
(int)(((long)0)); 
BgL_auxz00_11243 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11244); } 
BgL_auxz00_11241 = 
(BgL_objectz00_bglt)(BgL_oz00_2124); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_11241, BgL_auxz00_11243); } 
{ /* Ast/node.scm 223 */
obj_t BgL_v3336z00_2129;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11248;
BgL_auxz00_11248 = 
(int)(((long)1)); 
BgL_v3336z00_2129 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11248); } 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_oz00_2124))->BgL_locz00) = ((obj_t)BgL_v3336z00_2129), BUNSPEC); } 
{ /* Ast/node.scm 223 */
BgL_typez00_bglt BgL_v3340z00_2130;
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11252;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11253;
BgL_auxz00_11253 = 
(int)(((long)2)); 
BgL_auxz00_11252 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11253); } 
BgL_v3340z00_2130 = 
(BgL_typez00_bglt)(BgL_auxz00_11252); } 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_oz00_2124))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3340z00_2130), BUNSPEC); } 
{ /* Ast/node.scm 223 */
obj_t BgL_v3344z00_2131;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11258;
BgL_auxz00_11258 = 
(int)(((long)3)); 
BgL_v3344z00_2131 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11258); } 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_oz00_2124))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v3344z00_2131), BUNSPEC); } 
{ /* Ast/node.scm 223 */
obj_t BgL_v3348z00_2132;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11262;
BgL_auxz00_11262 = 
(int)(((long)4)); 
BgL_v3348z00_2132 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11262); } 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_oz00_2124))->BgL_keyz00) = ((obj_t)BgL_v3348z00_2132), BUNSPEC); } 
{ /* Ast/node.scm 223 */
BgL_varz00_bglt BgL_v3352z00_2133;
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11266;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11267;
BgL_auxz00_11267 = 
(int)(((long)5)); 
BgL_auxz00_11266 = 
STRUCT_REF(BgL_sz00_2125, BgL_auxz00_11267); } 
BgL_v3352z00_2133 = 
(BgL_varz00_bglt)(BgL_auxz00_11266); } 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_oz00_2124))->BgL_varz00) = ((BgL_varz00_bglt)BgL_v3352z00_2133), BUNSPEC); } 
BgL_auxz00_11240 = BgL_oz00_2124; 
return 
(obj_t)(BgL_auxz00_11240);} } } 
}



/* object->struct-box-ref3438 */
obj_t BGl_objectzd2ze3structzd2boxzd2ref3438z31zzast_nodez00(obj_t BgL_envz00_6437, obj_t BgL_obj3332z00_6438)
{ AN_OBJECT;
{ /* Ast/node.scm 223 */
{ 
BgL_boxzd2refzd2_bglt BgL_obj3332z00_2108;
BgL_obj3332z00_2108 = 
(BgL_boxzd2refzd2_bglt)(BgL_obj3332z00_6438); 
{ /* Ast/node.scm 223 */
obj_t BgL_res3333z00_2111;
{ /* Ast/node.scm 223 */
int BgL_auxz00_11276;obj_t BgL_auxz00_11274;
BgL_auxz00_11276 = 
(int)(((long)6)); 
BgL_auxz00_11274 = 
CNST_TABLE_REF(((long)67)); 
BgL_res3333z00_2111 = 
make_struct(BgL_auxz00_11274, BgL_auxz00_11276, BUNSPEC); } 
{ /* Ast/node.scm 223 */
int BgL_auxz00_11279;
BgL_auxz00_11279 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11279, BFALSE); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11284;int BgL_auxz00_11282;
BgL_auxz00_11284 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3332z00_2108))->BgL_locz00); 
BgL_auxz00_11282 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11282, BgL_auxz00_11284); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11289;int BgL_auxz00_11287;
{ /* Ast/node.scm 223 */
BgL_typez00_bglt BgL_auxz00_11290;
BgL_auxz00_11290 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3332z00_2108))->BgL_typez00); 
BgL_auxz00_11289 = 
(obj_t)(BgL_auxz00_11290); } 
BgL_auxz00_11287 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11287, BgL_auxz00_11289); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11296;int BgL_auxz00_11294;
BgL_auxz00_11296 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3332z00_2108))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_11294 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11294, BgL_auxz00_11296); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11301;int BgL_auxz00_11299;
BgL_auxz00_11301 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3332z00_2108))->BgL_keyz00); 
BgL_auxz00_11299 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11299, BgL_auxz00_11301); } 
{ /* Ast/node.scm 223 */
obj_t BgL_auxz00_11306;int BgL_auxz00_11304;
{ /* Ast/node.scm 223 */
BgL_varz00_bglt BgL_auxz00_11307;
BgL_auxz00_11307 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3332z00_2108))->BgL_varz00); 
BgL_auxz00_11306 = 
(obj_t)(BgL_auxz00_11307); } 
BgL_auxz00_11304 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res3333z00_2111, BgL_auxz00_11304, BgL_auxz00_11306); } 
return BgL_res3333z00_2111;} } } 
}



/* struct+object->object-box-set!3436 */
obj_t BGl_structzb2objectzd2ze3objectzd2boxzd2setz123436z91zzast_nodez00(obj_t BgL_envz00_6439, obj_t BgL_oz00_6440, obj_t BgL_sz00_6441)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_oz00_2097;obj_t BgL_sz00_2098;
{ /* Ast/node.scm 227 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_11312;
BgL_oz00_2097 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_oz00_6440); 
BgL_sz00_2098 = BgL_sz00_6441; 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11315;BgL_objectz00_bglt BgL_auxz00_11313;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11316;
BgL_auxz00_11316 = 
(int)(((long)0)); 
BgL_auxz00_11315 = 
STRUCT_REF(BgL_sz00_2098, BgL_auxz00_11316); } 
BgL_auxz00_11313 = 
(BgL_objectz00_bglt)(BgL_oz00_2097); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_11313, BgL_auxz00_11315); } 
{ /* Ast/node.scm 227 */
obj_t BgL_v3386z00_2102;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11320;
BgL_auxz00_11320 = 
(int)(((long)1)); 
BgL_v3386z00_2102 = 
STRUCT_REF(BgL_sz00_2098, BgL_auxz00_11320); } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_oz00_2097))->BgL_locz00) = ((obj_t)BgL_v3386z00_2102), BUNSPEC); } 
{ /* Ast/node.scm 227 */
BgL_typez00_bglt BgL_v3390z00_2103;
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11324;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11325;
BgL_auxz00_11325 = 
(int)(((long)2)); 
BgL_auxz00_11324 = 
STRUCT_REF(BgL_sz00_2098, BgL_auxz00_11325); } 
BgL_v3390z00_2103 = 
(BgL_typez00_bglt)(BgL_auxz00_11324); } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_oz00_2097))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v3390z00_2103), BUNSPEC); } 
{ /* Ast/node.scm 227 */
BgL_varz00_bglt BgL_v3394z00_2104;
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11330;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11331;
BgL_auxz00_11331 = 
(int)(((long)3)); 
BgL_auxz00_11330 = 
STRUCT_REF(BgL_sz00_2098, BgL_auxz00_11331); } 
BgL_v3394z00_2104 = 
(BgL_varz00_bglt)(BgL_auxz00_11330); } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_oz00_2097))->BgL_varz00) = ((BgL_varz00_bglt)BgL_v3394z00_2104), BUNSPEC); } 
{ /* Ast/node.scm 227 */
BgL_nodez00_bglt BgL_v3398z00_2105;
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11336;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11337;
BgL_auxz00_11337 = 
(int)(((long)4)); 
BgL_auxz00_11336 = 
STRUCT_REF(BgL_sz00_2098, BgL_auxz00_11337); } 
BgL_v3398z00_2105 = 
(BgL_nodez00_bglt)(BgL_auxz00_11336); } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_oz00_2097))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_v3398z00_2105), BUNSPEC); } 
BgL_auxz00_11312 = BgL_oz00_2097; 
return 
(obj_t)(BgL_auxz00_11312);} } } 
}



/* object->struct-box-set!3434 */
obj_t BGl_objectzd2ze3structzd2boxzd2setz123434z23zzast_nodez00(obj_t BgL_envz00_6442, obj_t BgL_obj3382z00_6443)
{ AN_OBJECT;
{ /* Ast/node.scm 227 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_obj3382z00_2083;
BgL_obj3382z00_2083 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_obj3382z00_6443); 
{ /* Ast/node.scm 227 */
obj_t BgL_res3383z00_2086;
{ /* Ast/node.scm 227 */
int BgL_auxz00_11346;obj_t BgL_auxz00_11344;
BgL_auxz00_11346 = 
(int)(((long)5)); 
BgL_auxz00_11344 = 
CNST_TABLE_REF(((long)68)); 
BgL_res3383z00_2086 = 
make_struct(BgL_auxz00_11344, BgL_auxz00_11346, BUNSPEC); } 
{ /* Ast/node.scm 227 */
int BgL_auxz00_11349;
BgL_auxz00_11349 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3383z00_2086, BgL_auxz00_11349, BFALSE); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11354;int BgL_auxz00_11352;
BgL_auxz00_11354 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3382z00_2083))->BgL_locz00); 
BgL_auxz00_11352 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3383z00_2086, BgL_auxz00_11352, BgL_auxz00_11354); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11359;int BgL_auxz00_11357;
{ /* Ast/node.scm 227 */
BgL_typez00_bglt BgL_auxz00_11360;
BgL_auxz00_11360 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3382z00_2083))->BgL_typez00); 
BgL_auxz00_11359 = 
(obj_t)(BgL_auxz00_11360); } 
BgL_auxz00_11357 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3383z00_2086, BgL_auxz00_11357, BgL_auxz00_11359); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11366;int BgL_auxz00_11364;
{ /* Ast/node.scm 227 */
BgL_varz00_bglt BgL_auxz00_11367;
BgL_auxz00_11367 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3382z00_2083))->BgL_varz00); 
BgL_auxz00_11366 = 
(obj_t)(BgL_auxz00_11367); } 
BgL_auxz00_11364 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3383z00_2086, BgL_auxz00_11364, BgL_auxz00_11366); } 
{ /* Ast/node.scm 227 */
obj_t BgL_auxz00_11373;int BgL_auxz00_11371;
{ /* Ast/node.scm 227 */
BgL_nodez00_bglt BgL_auxz00_11374;
BgL_auxz00_11374 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3382z00_2083))->BgL_valuez00); 
BgL_auxz00_11373 = 
(obj_t)(BgL_auxz00_11374); } 
BgL_auxz00_11371 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3383z00_2086, BgL_auxz00_11371, BgL_auxz00_11373); } 
return BgL_res3383z00_2086;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00()
{ AN_OBJECT;
{ /* Ast/node.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_node"); 
return 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_node");} 
}

