/*===========================================================================*/
/*   (Ast/remove.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_removez00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_nodezd2removez12zd2app2673z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2letzd2fun2697zc0zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2atom2665z12zzast_removez00(obj_t, obj_t);
static obj_t BGl__removezd2varzd2fromz12z12zzast_removez00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2appzd2ly2675zc0zzast_removez00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2boxzd2setz122695zd2zzast_removez00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_nodezd2removez12zd2setq2683z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzast_removez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2sequence2671z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2select2689z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_removez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2boxzd2ref2693zc0zzast_removez00(obj_t, obj_t);
static obj_t BGl__nodezd2removez12zd2default2662z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2kwote2669z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_removez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2var2667z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2jumpzd2exzd2it2703z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2cast2681z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t, BgL_variablez00_bglt);
static obj_t BGl__removezd2varzd2zzast_removez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2conditional2685z12zzast_removez00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t);
static obj_t BGl_nodezd2removez12zd2makezd2box2691zc0zzast_removez00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2removez12zd2default2662z12zzast_removez00(BgL_nodez00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd2removez12zd2extern2679z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2setzd2exzd2it2701z12zzast_removez00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2removez12zd2fail2687z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_removez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00();
static obj_t BGl__nodezd2removez12zc0zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2funcall2677z12zzast_removez00(obj_t, obj_t);
static obj_t BGl_nodezd2removez12zd2letzd2var2699zc0zzast_removez00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 6 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_removezd2varzd2fromz12zd2envzc0zzast_removez00, BgL_bgl__removeza7d2varza7d2fromza712za712za7za7ast_removeza7003048za7, BGl__removezd2varzd2fromz12z12zzast_removez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_removezd2varzd2envz00zzast_removez00, BgL_bgl__removeza7d2varza7d2za7za7ast_removeza7003049za7, BGl__removezd2varzd2zzast_removez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2atom2665za712za7za7ast_removeza7003050za7, BGl_nodezd2removez12zd2atom2665z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3023z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2var2667za712za7za7ast_removeza7003051za7, BGl_nodezd2removez12zd2var2667z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3024z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2kwote2669za712za7za7ast_removeza7003052za7, BGl_nodezd2removez12zd2kwote2669z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3025z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2sequence2671za712za7za7ast_removeza7003053za7, BGl_nodezd2removez12zd2sequence2671z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3026z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2app2673za712za7za7ast_removeza7003054za7, BGl_nodezd2removez12zd2app2673z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3027z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2appza7d2ly2675za7c0za7za7ast_removeza7003055z00, BGl_nodezd2removez12zd2appzd2ly2675zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3028z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2funcall2677za712za7za7ast_removeza7003056za7, BGl_nodezd2removez12zd2funcall2677z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3030z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2cast2681za712za7za7ast_removeza7003057za7, BGl_nodezd2removez12zd2cast2681z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3029z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2extern2679za712za7za7ast_removeza7003058za7, BGl_nodezd2removez12zd2extern2679z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3031z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2setq2683za712za7za7ast_removeza7003059za7, BGl_nodezd2removez12zd2setq2683z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3032z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2conditional2685za712za7za7ast_removeza7003060za7, BGl_nodezd2removez12zd2conditional2685z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3033z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2fail2687za712za7za7ast_removeza7003061za7, BGl_nodezd2removez12zd2fail2687z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3034z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2select2689za712za7za7ast_removeza7003062za7, BGl_nodezd2removez12zd2select2689z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3035z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2makeza7d2box2691za7c0za7za7ast_removeza7003063z00, BGl_nodezd2removez12zd2makezd2box2691zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3036z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2boxza7d2ref2693za7c0za7za7ast_removeza7003064z00, BGl_nodezd2removez12zd2boxzd2ref2693zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3037z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2boxza7d2setza7122695za7d2za7za7ast_removeza7003065za7, BGl_nodezd2removez12zd2boxzd2setz122695zd2zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3038z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2letza7d2fun2697za7c0za7za7ast_removeza7003066z00, BGl_nodezd2removez12zd2letzd2fun2697zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3040z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2setza7d2exza7d2it2701za712za7za7ast_removeza7003067za7, BGl_nodezd2removez12zd2setzd2exzd2it2701z12zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3039z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2letza7d2var2699za7c0za7za7ast_removeza7003068z00, BGl_nodezd2removez12zd2letzd2var2699zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3041z00zzast_removez00, BgL_bgl_nodeza7d2removeza712za7d2jumpza7d2exza7d2it2703za712za7za7ast_removeza7003069za7, BGl_nodezd2removez12zd2jumpzd2exzd2it2703z12zzast_removez00, 0L, 1 );
DEFINE_STRING( BGl_string3043z00zzast_removez00, BgL_bgl_string3043za700za7za7ast_removeza7003070z00, "node-remove!-default2662 done no-remove export ok now ", 54 );
DEFINE_STRING( BGl_string3042z00zzast_removez00, BgL_bgl_string3042za700za7za7ast_removeza7003071z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3021z00zzast_removez00, BgL_bgl_string3021za700za7za7ast_removeza7003072z00, "        ", 8 );
DEFINE_STRING( BGl_string3020z00zzast_removez00, BgL_bgl_string3020za700za7za7ast_removeza7003073z00, " removed", 8 );
DEFINE_STRING( BGl_string3019z00zzast_removez00, BgL_bgl_string3019za700za7za7ast_removeza7003074z00, "         removing ", 18 );
DEFINE_STRING( BGl_string3018z00zzast_removez00, BgL_bgl_string3018za700za7za7ast_removeza7003075z00, "already removable variable", 26 );
DEFINE_STRING( BGl_string3017z00zzast_removez00, BgL_bgl_string3017za700za7za7ast_removeza7003076z00, "remove-var-from!", 16 );
DEFINE_STRING( BGl_string3016z00zzast_removez00, BgL_bgl_string3016za700za7za7ast_removeza7003077z00, "/", 1 );
DEFINE_STATIC_GENERIC( BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_bgl__nodeza7d2removeza712za7c0za7za7ast_removeza7003078z00, BGl__nodezd2removez12zc0zzast_removez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2removez12zd2default2662zd2envzc0zzast_removez00, BgL_bgl__nodeza7d2removeza712za7d2default2662za712za7za7ast_removeza7003079za7, BGl__nodezd2removez12zd2default2662z12zzast_removez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long BgL_checksumz00_3442, char * BgL_fromz00_3443)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_removez00))
{ 
BGl_requirezd2initializa7ationz75zzast_removez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_removez00(); 
BGl_cnstzd2initzd2zzast_removez00(); 
BGl_importedzd2moduleszd2initz00zzast_removez00(); 
BGl_methodzd2initzd2zzast_removez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00()
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_remove"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_remove"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_remove"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_removez00()
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
{ /* Ast/remove.scm 16 */
obj_t BgL_cportz00_3435;
BgL_cportz00_3435 = 
open_input_string(BGl_string3043z00zzast_removez00); 
{ 
long BgL_iz00_3436;
BgL_iz00_3436 = ((long)5); 
BgL_loopz00_3437:
if(
(BgL_iz00_3436==((long)-1)))
{ /* Ast/remove.scm 16 */
return BUNSPEC;}  else 
{ /* Ast/remove.scm 16 */
{ /* Ast/remove.scm 16 */
obj_t BgL_arg3045z00_3439;
{ /* Ast/remove.scm 16 */
obj_t BgL_list3046z00_3440;
BgL_list3046z00_3440 = 
MAKE_PAIR(BgL_cportz00_3435, BNIL); 
BgL_arg3045z00_3439 = 
BGl_readz00zz__readerz00(BgL_list3046z00_3440); } 
{ /* Ast/remove.scm 16 */
int BgL_auxz00_3459;
BgL_auxz00_3459 = 
(int)(BgL_iz00_3436); 
CNST_TABLE_SET(BgL_auxz00_3459, BgL_arg3045z00_3439); } } 
{ 
long BgL_iz00_3462;
{ /* Ast/remove.scm 16 */
int BgL_auxz00_3463;
{ /* Ast/remove.scm 16 */
long BgL_auxz00_3464;
BgL_auxz00_3464 = 
(BgL_iz00_3436-((long)1)); 
BgL_auxz00_3463 = 
(int)(BgL_auxz00_3464); } 
BgL_iz00_3462 = 
(long)(BgL_auxz00_3463); } 
BgL_iz00_3436 = BgL_iz00_3462; 
goto BgL_loopz00_3437;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_removez00()
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
return BUNSPEC;} 
}



/* remove-var-from! */
obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t BgL_passz00_1, BgL_variablez00_bglt BgL_varz00_2)
{ AN_OBJECT;
{ /* Ast/remove.scm 30 */
{ /* Ast/remove.scm 31 */
obj_t BgL_oldz00_1247;
BgL_oldz00_1247 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2))->BgL_removablez00); 
{ /* Ast/remove.scm 33 */
bool_t BgL_testz00_3469;
{ /* Ast/remove.scm 33 */
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_3469 = 
(BgL_oldz00_1247==BgL_auxz00_3470); } 
if(BgL_testz00_3469)
{ /* Ast/remove.scm 33 */
{ /* Ast/remove.scm 35 */
BgL_globalz00_bglt BgL_obj1166z00_1911;
BgL_obj1166z00_1911 = 
(BgL_globalz00_bglt)(BgL_varz00_2); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1166z00_1911))->BgL_removablez00) = ((obj_t)BgL_passz00_1), BUNSPEC);} }  else 
{ /* Ast/remove.scm 33 */
if(
(BgL_oldz00_1247==BgL_passz00_1))
{ /* Ast/remove.scm 36 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Ast/remove.scm 38 */
bool_t BgL_testz00_3478;
{ /* Ast/remove.scm 38 */
obj_t BgL_auxz00_3479;
BgL_auxz00_3479 = 
CNST_TABLE_REF(((long)0)); 
BgL_testz00_3478 = 
(BgL_passz00_1==BgL_auxz00_3479); } 
if(BgL_testz00_3478)
{ /* Ast/remove.scm 38 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Ast/remove.scm 38 */
{ /* Ast/remove.scm 41 */
obj_t BgL_arg2709z00_1253;
{ /* Ast/remove.scm 43 */
obj_t BgL_arg2710z00_1254;obj_t BgL_arg2712z00_1256;
BgL_arg2710z00_1254 = 
SYMBOL_TO_STRING(BgL_oldz00_1247); 
BgL_arg2712z00_1256 = 
SYMBOL_TO_STRING(BgL_passz00_1); 
BgL_arg2709z00_1253 = 
string_append_3(BgL_arg2710z00_1254, BGl_string3016z00zzast_removez00, BgL_arg2712z00_1256); } 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3017z00zzast_removez00, BGl_string3018z00zzast_removez00, BgL_arg2709z00_1253);} } } } } } } 
}



/* _remove-var-from! */
obj_t BGl__removezd2varzd2fromz12z12zzast_removez00(obj_t BgL_envz00_3365, obj_t BgL_passz00_3366, obj_t BgL_varz00_3367)
{ AN_OBJECT;
{ /* Ast/remove.scm 30 */
return 
BGl_removezd2varzd2fromz12z12zzast_removez00(BgL_passz00_3366, 
(BgL_variablez00_bglt)(BgL_varz00_3367));} 
}



/* remove-var */
obj_t BGl_removezd2varzd2zzast_removez00(obj_t BgL_passz00_3, obj_t BgL_globalsz00_4)
{ AN_OBJECT;
{ /* Ast/remove.scm 50 */
BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_4); 
{ 
obj_t BgL_globalsz00_1257;obj_t BgL_resz00_1258;
BgL_globalsz00_1257 = BgL_globalsz00_4; 
BgL_resz00_1258 = BNIL; 
BgL_loopz00_1259:
if(
NULLP(BgL_globalsz00_1257))
{ /* Ast/remove.scm 56 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1258);}  else 
{ /* Ast/remove.scm 59 */
obj_t BgL_globalz00_1261;
BgL_globalz00_1261 = 
CAR(BgL_globalsz00_1257); 
{ /* Ast/remove.scm 62 */
bool_t BgL_testz00_3494;
{ /* Ast/remove.scm 62 */
obj_t BgL_auxz00_3498;obj_t BgL_auxz00_3495;
BgL_auxz00_3498 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/remove.scm 62 */
BgL_globalz00_bglt BgL_obj1173z00_1917;
BgL_obj1173z00_1917 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3495 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_1917))->BgL_importz00); } 
BgL_testz00_3494 = 
(BgL_auxz00_3495==BgL_auxz00_3498); } 
if(BgL_testz00_3494)
{ /* Ast/remove.scm 62 */
{ /* Ast/remove.scm 63 */
BgL_valuez00_bglt BgL_sfunz00_1263;
{ /* Ast/remove.scm 63 */
BgL_globalz00_bglt BgL_obj1155z00_1918;
BgL_obj1155z00_1918 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_sfunz00_1263 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1918))->BgL_valuez00); } 
{ /* Ast/remove.scm 64 */
BgL_nodez00_bglt BgL_arg2715z00_1264;
{ /* Ast/remove.scm 64 */
BgL_nodez00_bglt BgL_res2929z00_1946;
{ /* Ast/remove.scm 64 */
BgL_nodez00_bglt BgL_nodez00_1920;
{ /* Ast/remove.scm 64 */
obj_t BgL_auxz00_3503;
{ /* Ast/remove.scm 64 */
BgL_sfunz00_bglt BgL_obj1372z00_1919;
BgL_obj1372z00_1919 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1263); 
BgL_auxz00_3503 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1919))->BgL_bodyz00); } 
BgL_nodez00_1920 = 
(BgL_nodez00_bglt)(BgL_auxz00_3503); } 
{ /* Ast/remove.scm 64 */
obj_t BgL_method2663z00_1921;
{ /* Ast/remove.scm 64 */
long BgL_objzd2classzd2numz00_1923;
{ /* Ast/remove.scm 64 */
BgL_objectz00_bglt BgL_auxz00_3507;
BgL_auxz00_3507 = 
(BgL_objectz00_bglt)(BgL_nodez00_1920); 
BgL_objzd2classzd2numz00_1923 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3507); } 
{ /* Ast/remove.scm 64 */
obj_t BgL_arg1221z00_1924;
{ /* Ast/remove.scm 64 */
int BgL_auxz00_3510;
BgL_auxz00_3510 = 
(int)(((long)1)); 
BgL_arg1221z00_1924 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3510); } 
{ /* Ast/remove.scm 64 */
long BgL_offsetz00_1928;
{ /* Ast/remove.scm 64 */
long BgL_auxz00_3513;
{ /* Ast/remove.scm 64 */
int BgL_auxz00_3514;
BgL_auxz00_3514 = 
(int)(BgL_objzd2classzd2numz00_1923); 
BgL_auxz00_3513 = 
(long)(BgL_auxz00_3514); } 
BgL_offsetz00_1928 = 
(BgL_auxz00_3513-OBJECT_TYPE); } 
{ /* Ast/remove.scm 64 */
long BgL_modz00_1929;
{ /* Ast/remove.scm 64 */
long BgL_auxz00_3518;
{ /* Ast/remove.scm 64 */
int BgL_auxz00_3519;
BgL_auxz00_3519 = 
(int)(((long)8)); 
BgL_auxz00_3518 = 
(long)(BgL_auxz00_3519); } 
BgL_modz00_1929 = 
(BgL_offsetz00_1928/BgL_auxz00_3518); } 
{ /* Ast/remove.scm 64 */
long BgL_restz00_1931;
{ /* Ast/remove.scm 64 */
long BgL_auxz00_3523;
{ /* Ast/remove.scm 64 */
int BgL_auxz00_3524;
BgL_auxz00_3524 = 
(int)(((long)8)); 
BgL_auxz00_3523 = 
(long)(BgL_auxz00_3524); } 
BgL_restz00_1931 = 
(BgL_offsetz00_1928%BgL_auxz00_3523); } 
{ /* Ast/remove.scm 64 */

{ /* Ast/remove.scm 64 */
obj_t BgL_bucketz00_1933;
{ /* Ast/remove.scm 64 */
int BgL_kz00_1943;
BgL_kz00_1943 = 
(int)(BgL_modz00_1929); 
BgL_bucketz00_1933 = 
VECTOR_REF(BgL_arg1221z00_1924,BgL_kz00_1943); } 
{ /* Ast/remove.scm 64 */
int BgL_kz00_1945;
BgL_kz00_1945 = 
(int)(BgL_restz00_1931); 
BgL_method2663z00_1921 = 
VECTOR_REF(BgL_bucketz00_1933,BgL_kz00_1945); } } } } } } } } 
{ /* Ast/remove.scm 64 */
obj_t BgL_auxz00_3532;
BgL_auxz00_3532 = 
PROCEDURE_ENTRY(BgL_method2663z00_1921)(BgL_method2663z00_1921, 
(obj_t)(BgL_nodez00_1920), BEOA); 
BgL_res2929z00_1946 = 
(BgL_nodez00_bglt)(BgL_auxz00_3532); } } } 
BgL_arg2715z00_1264 = BgL_res2929z00_1946; } 
{ /* Ast/remove.scm 64 */
BgL_sfunz00_bglt BgL_obj1374z00_1947;obj_t BgL_val1373z00_1948;
BgL_obj1374z00_1947 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1263); 
BgL_val1373z00_1948 = 
(obj_t)(BgL_arg2715z00_1264); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1947))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1948), BUNSPEC); } } } 
{ /* Ast/remove.scm 65 */
obj_t BgL_arg2717z00_1266;obj_t BgL_arg2718z00_1267;
BgL_arg2717z00_1266 = 
CDR(BgL_globalsz00_1257); 
BgL_arg2718z00_1267 = 
MAKE_PAIR(BgL_globalz00_1261, BgL_resz00_1258); 
{ 
obj_t BgL_resz00_3543;obj_t BgL_globalsz00_3542;
BgL_globalsz00_3542 = BgL_arg2717z00_1266; 
BgL_resz00_3543 = BgL_arg2718z00_1267; 
BgL_resz00_1258 = BgL_resz00_3543; 
BgL_globalsz00_1257 = BgL_globalsz00_3542; 
goto BgL_loopz00_1259;} } }  else 
{ /* Ast/remove.scm 68 */
bool_t BgL_testz00_3544;
{ /* Ast/remove.scm 68 */
bool_t BgL_testz00_3545;
{ /* Ast/remove.scm 68 */
obj_t BgL_auxz00_3546;
{ /* Ast/remove.scm 68 */
BgL_globalz00_bglt BgL_obj1164z00_1950;
BgL_obj1164z00_1950 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3546 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1164z00_1950))->BgL_removablez00); } 
BgL_testz00_3545 = 
(BgL_auxz00_3546==BgL_passz00_3); } 
if(BgL_testz00_3545)
{ /* Ast/remove.scm 68 */
BgL_testz00_3544 = ((bool_t)1)
; }  else 
{ /* Ast/remove.scm 68 */
if(
PAIRP(BgL_passz00_3))
{ /* Ast/remove.scm 70 */
obj_t BgL_auxz00_3552;
{ /* Ast/remove.scm 70 */
obj_t BgL_auxz00_3553;
{ /* Ast/remove.scm 70 */
BgL_globalz00_bglt BgL_obj1164z00_1952;
BgL_obj1164z00_1952 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3553 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1164z00_1952))->BgL_removablez00); } 
BgL_auxz00_3552 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3553, BgL_passz00_3); } 
BgL_testz00_3544 = 
CBOOL(BgL_auxz00_3552); }  else 
{ /* Ast/remove.scm 69 */
BgL_testz00_3544 = ((bool_t)0)
; } } } 
if(BgL_testz00_3544)
{ /* Ast/remove.scm 68 */
{ /* Ast/remove.scm 71 */
bool_t BgL_testz00_3558;
{ /* Ast/remove.scm 71 */
long BgL_auxz00_3559;
{ /* Ast/remove.scm 71 */
BgL_globalz00_bglt BgL_obj1167z00_1953;
BgL_obj1167z00_1953 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3559 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1167z00_1953))->BgL_occurrencez00); } 
BgL_testz00_3558 = 
(BgL_auxz00_3559<=((long)0)); } 
if(BgL_testz00_3558)
{ /* Ast/remove.scm 71 */
{ /* Ast/remove.scm 74 */
obj_t BgL_arg2723z00_1272;
BgL_arg2723z00_1272 = 
BGl_shapez00zztools_shapez00(BgL_globalz00_1261); 
{ /* Ast/remove.scm 74 */
obj_t BgL_list2724z00_1273;
{ /* Ast/remove.scm 74 */
obj_t BgL_arg2725z00_1274;
{ /* Ast/remove.scm 74 */
obj_t BgL_arg2726z00_1275;
{ /* Ast/remove.scm 74 */
obj_t BgL_auxz00_3564;
BgL_auxz00_3564 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2726z00_1275 = 
MAKE_PAIR(BgL_auxz00_3564, BNIL); } 
BgL_arg2725z00_1274 = 
MAKE_PAIR(BgL_arg2723z00_1272, BgL_arg2726z00_1275); } 
BgL_list2724z00_1273 = 
MAKE_PAIR(BGl_string3019z00zzast_removez00, BgL_arg2725z00_1274); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2724z00_1273); } } 
{ 
obj_t BgL_globalsz00_3571;
BgL_globalsz00_3571 = 
CDR(BgL_globalsz00_1257); 
BgL_globalsz00_1257 = BgL_globalsz00_3571; 
goto BgL_loopz00_1259;} }  else 
{ /* Ast/remove.scm 77 */
BgL_valuez00_bglt BgL_sfunz00_1277;
{ /* Ast/remove.scm 77 */
BgL_globalz00_bglt BgL_obj1155z00_1957;
BgL_obj1155z00_1957 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_sfunz00_1277 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1957))->BgL_valuez00); } 
{ /* Ast/remove.scm 78 */
BgL_globalz00_bglt BgL_obj1166z00_1958;obj_t BgL_val1165z00_1959;
BgL_obj1166z00_1958 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_val1165z00_1959 = 
CNST_TABLE_REF(((long)0)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1166z00_1958))->BgL_removablez00) = ((obj_t)BgL_val1165z00_1959), BUNSPEC); } 
{ /* Ast/remove.scm 79 */
BgL_nodez00_bglt BgL_arg2728z00_1278;
{ /* Ast/remove.scm 79 */
BgL_nodez00_bglt BgL_res2932z00_1987;
{ /* Ast/remove.scm 79 */
BgL_nodez00_bglt BgL_nodez00_1961;
{ /* Ast/remove.scm 79 */
obj_t BgL_auxz00_3578;
{ /* Ast/remove.scm 79 */
BgL_sfunz00_bglt BgL_obj1372z00_1960;
BgL_obj1372z00_1960 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1277); 
BgL_auxz00_3578 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1960))->BgL_bodyz00); } 
BgL_nodez00_1961 = 
(BgL_nodez00_bglt)(BgL_auxz00_3578); } 
{ /* Ast/remove.scm 79 */
obj_t BgL_method2663z00_1962;
{ /* Ast/remove.scm 79 */
long BgL_objzd2classzd2numz00_1964;
{ /* Ast/remove.scm 79 */
BgL_objectz00_bglt BgL_auxz00_3582;
BgL_auxz00_3582 = 
(BgL_objectz00_bglt)(BgL_nodez00_1961); 
BgL_objzd2classzd2numz00_1964 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3582); } 
{ /* Ast/remove.scm 79 */
obj_t BgL_arg1221z00_1965;
{ /* Ast/remove.scm 79 */
int BgL_auxz00_3585;
BgL_auxz00_3585 = 
(int)(((long)1)); 
BgL_arg1221z00_1965 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3585); } 
{ /* Ast/remove.scm 79 */
long BgL_offsetz00_1969;
{ /* Ast/remove.scm 79 */
long BgL_auxz00_3588;
{ /* Ast/remove.scm 79 */
int BgL_auxz00_3589;
BgL_auxz00_3589 = 
(int)(BgL_objzd2classzd2numz00_1964); 
BgL_auxz00_3588 = 
(long)(BgL_auxz00_3589); } 
BgL_offsetz00_1969 = 
(BgL_auxz00_3588-OBJECT_TYPE); } 
{ /* Ast/remove.scm 79 */
long BgL_modz00_1970;
{ /* Ast/remove.scm 79 */
long BgL_auxz00_3593;
{ /* Ast/remove.scm 79 */
int BgL_auxz00_3594;
BgL_auxz00_3594 = 
(int)(((long)8)); 
BgL_auxz00_3593 = 
(long)(BgL_auxz00_3594); } 
BgL_modz00_1970 = 
(BgL_offsetz00_1969/BgL_auxz00_3593); } 
{ /* Ast/remove.scm 79 */
long BgL_restz00_1972;
{ /* Ast/remove.scm 79 */
long BgL_auxz00_3598;
{ /* Ast/remove.scm 79 */
int BgL_auxz00_3599;
BgL_auxz00_3599 = 
(int)(((long)8)); 
BgL_auxz00_3598 = 
(long)(BgL_auxz00_3599); } 
BgL_restz00_1972 = 
(BgL_offsetz00_1969%BgL_auxz00_3598); } 
{ /* Ast/remove.scm 79 */

{ /* Ast/remove.scm 79 */
obj_t BgL_bucketz00_1974;
{ /* Ast/remove.scm 79 */
int BgL_kz00_1984;
BgL_kz00_1984 = 
(int)(BgL_modz00_1970); 
BgL_bucketz00_1974 = 
VECTOR_REF(BgL_arg1221z00_1965,BgL_kz00_1984); } 
{ /* Ast/remove.scm 79 */
int BgL_kz00_1986;
BgL_kz00_1986 = 
(int)(BgL_restz00_1972); 
BgL_method2663z00_1962 = 
VECTOR_REF(BgL_bucketz00_1974,BgL_kz00_1986); } } } } } } } } 
{ /* Ast/remove.scm 79 */
obj_t BgL_auxz00_3607;
BgL_auxz00_3607 = 
PROCEDURE_ENTRY(BgL_method2663z00_1962)(BgL_method2663z00_1962, 
(obj_t)(BgL_nodez00_1961), BEOA); 
BgL_res2932z00_1987 = 
(BgL_nodez00_bglt)(BgL_auxz00_3607); } } } 
BgL_arg2728z00_1278 = BgL_res2932z00_1987; } 
{ /* Ast/remove.scm 79 */
BgL_sfunz00_bglt BgL_obj1374z00_1988;obj_t BgL_val1373z00_1989;
BgL_obj1374z00_1988 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1277); 
BgL_val1373z00_1989 = 
(obj_t)(BgL_arg2728z00_1278); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1988))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1989), BUNSPEC); } } 
{ /* Ast/remove.scm 80 */
obj_t BgL_arg2730z00_1280;obj_t BgL_arg2731z00_1281;
BgL_arg2730z00_1280 = 
CDR(BgL_globalsz00_1257); 
BgL_arg2731z00_1281 = 
MAKE_PAIR(BgL_globalz00_1261, BgL_resz00_1258); 
{ 
obj_t BgL_resz00_3618;obj_t BgL_globalsz00_3617;
BgL_globalsz00_3617 = BgL_arg2730z00_1280; 
BgL_resz00_3618 = BgL_arg2731z00_1281; 
BgL_resz00_1258 = BgL_resz00_3618; 
BgL_globalsz00_1257 = BgL_globalsz00_3617; 
goto BgL_loopz00_1259;} } } } }  else 
{ /* Ast/remove.scm 81 */
bool_t BgL_testz00_3619;
{ /* Ast/remove.scm 81 */
bool_t BgL_testz00_3620;
{ /* Ast/remove.scm 81 */
long BgL_auxz00_3621;
{ /* Ast/remove.scm 81 */
BgL_globalz00_bglt BgL_obj1167z00_1991;
BgL_obj1167z00_1991 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3621 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1167z00_1991))->BgL_occurrencez00); } 
BgL_testz00_3620 = 
(BgL_auxz00_3621<=((long)0)); } 
if(BgL_testz00_3620)
{ /* Ast/remove.scm 82 */
bool_t BgL_testz00_3625;
{ /* Ast/remove.scm 82 */
obj_t BgL_auxz00_3629;obj_t BgL_auxz00_3626;
BgL_auxz00_3629 = 
CNST_TABLE_REF(((long)0)); 
{ /* Ast/remove.scm 82 */
BgL_globalz00_bglt BgL_obj1164z00_1994;
BgL_obj1164z00_1994 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_auxz00_3626 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1164z00_1994))->BgL_removablez00); } 
BgL_testz00_3625 = 
(BgL_auxz00_3626==BgL_auxz00_3629); } 
if(BgL_testz00_3625)
{ /* Ast/remove.scm 83 */
bool_t BgL_testz00_3632;
{ /* Ast/remove.scm 83 */
obj_t BgL_auxz00_3633;
BgL_auxz00_3633 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_3632 = 
(BgL_passz00_3==BgL_auxz00_3633); } 
if(BgL_testz00_3632)
{ /* Ast/remove.scm 83 */
BgL_testz00_3619 = ((bool_t)0)
; }  else 
{ /* Ast/remove.scm 83 */
BgL_testz00_3619 = ((bool_t)1)
; } }  else 
{ /* Ast/remove.scm 82 */
BgL_testz00_3619 = ((bool_t)0)
; } }  else 
{ /* Ast/remove.scm 81 */
BgL_testz00_3619 = ((bool_t)0)
; } } 
if(BgL_testz00_3619)
{ /* Ast/remove.scm 81 */
{ /* Ast/remove.scm 85 */
obj_t BgL_arg2737z00_1287;
BgL_arg2737z00_1287 = 
BGl_shapez00zztools_shapez00(BgL_globalz00_1261); 
{ /* Ast/remove.scm 85 */
obj_t BgL_list2739z00_1289;
{ /* Ast/remove.scm 85 */
obj_t BgL_arg2740z00_1290;
{ /* Ast/remove.scm 85 */
obj_t BgL_arg2741z00_1291;
{ /* Ast/remove.scm 85 */
obj_t BgL_arg2742z00_1292;
{ /* Ast/remove.scm 85 */
obj_t BgL_auxz00_3637;
BgL_auxz00_3637 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2742z00_1292 = 
MAKE_PAIR(BgL_auxz00_3637, BNIL); } 
BgL_arg2741z00_1291 = 
MAKE_PAIR(BGl_string3020z00zzast_removez00, BgL_arg2742z00_1292); } 
BgL_arg2740z00_1290 = 
MAKE_PAIR(BgL_arg2737z00_1287, BgL_arg2741z00_1291); } 
BgL_list2739z00_1289 = 
MAKE_PAIR(BGl_string3021z00zzast_removez00, BgL_arg2740z00_1290); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2739z00_1289); } } 
{ 
obj_t BgL_globalsz00_3645;
BgL_globalsz00_3645 = 
CDR(BgL_globalsz00_1257); 
BgL_globalsz00_1257 = BgL_globalsz00_3645; 
goto BgL_loopz00_1259;} }  else 
{ /* Ast/remove.scm 81 */
{ /* Ast/remove.scm 88 */
BgL_valuez00_bglt BgL_sfunz00_1294;
{ /* Ast/remove.scm 88 */
BgL_globalz00_bglt BgL_obj1155z00_1996;
BgL_obj1155z00_1996 = 
(BgL_globalz00_bglt)(BgL_globalz00_1261); 
BgL_sfunz00_1294 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1996))->BgL_valuez00); } 
{ /* Ast/remove.scm 89 */
BgL_nodez00_bglt BgL_arg2744z00_1295;
{ /* Ast/remove.scm 89 */
BgL_nodez00_bglt BgL_res2935z00_2024;
{ /* Ast/remove.scm 89 */
BgL_nodez00_bglt BgL_nodez00_1998;
{ /* Ast/remove.scm 89 */
obj_t BgL_auxz00_3649;
{ /* Ast/remove.scm 89 */
BgL_sfunz00_bglt BgL_obj1372z00_1997;
BgL_obj1372z00_1997 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1294); 
BgL_auxz00_3649 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1997))->BgL_bodyz00); } 
BgL_nodez00_1998 = 
(BgL_nodez00_bglt)(BgL_auxz00_3649); } 
{ /* Ast/remove.scm 89 */
obj_t BgL_method2663z00_1999;
{ /* Ast/remove.scm 89 */
long BgL_objzd2classzd2numz00_2001;
{ /* Ast/remove.scm 89 */
BgL_objectz00_bglt BgL_auxz00_3653;
BgL_auxz00_3653 = 
(BgL_objectz00_bglt)(BgL_nodez00_1998); 
BgL_objzd2classzd2numz00_2001 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3653); } 
{ /* Ast/remove.scm 89 */
obj_t BgL_arg1221z00_2002;
{ /* Ast/remove.scm 89 */
int BgL_auxz00_3656;
BgL_auxz00_3656 = 
(int)(((long)1)); 
BgL_arg1221z00_2002 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3656); } 
{ /* Ast/remove.scm 89 */
long BgL_offsetz00_2006;
{ /* Ast/remove.scm 89 */
long BgL_auxz00_3659;
{ /* Ast/remove.scm 89 */
int BgL_auxz00_3660;
BgL_auxz00_3660 = 
(int)(BgL_objzd2classzd2numz00_2001); 
BgL_auxz00_3659 = 
(long)(BgL_auxz00_3660); } 
BgL_offsetz00_2006 = 
(BgL_auxz00_3659-OBJECT_TYPE); } 
{ /* Ast/remove.scm 89 */
long BgL_modz00_2007;
{ /* Ast/remove.scm 89 */
long BgL_auxz00_3664;
{ /* Ast/remove.scm 89 */
int BgL_auxz00_3665;
BgL_auxz00_3665 = 
(int)(((long)8)); 
BgL_auxz00_3664 = 
(long)(BgL_auxz00_3665); } 
BgL_modz00_2007 = 
(BgL_offsetz00_2006/BgL_auxz00_3664); } 
{ /* Ast/remove.scm 89 */
long BgL_restz00_2009;
{ /* Ast/remove.scm 89 */
long BgL_auxz00_3669;
{ /* Ast/remove.scm 89 */
int BgL_auxz00_3670;
BgL_auxz00_3670 = 
(int)(((long)8)); 
BgL_auxz00_3669 = 
(long)(BgL_auxz00_3670); } 
BgL_restz00_2009 = 
(BgL_offsetz00_2006%BgL_auxz00_3669); } 
{ /* Ast/remove.scm 89 */

{ /* Ast/remove.scm 89 */
obj_t BgL_bucketz00_2011;
{ /* Ast/remove.scm 89 */
int BgL_kz00_2021;
BgL_kz00_2021 = 
(int)(BgL_modz00_2007); 
BgL_bucketz00_2011 = 
VECTOR_REF(BgL_arg1221z00_2002,BgL_kz00_2021); } 
{ /* Ast/remove.scm 89 */
int BgL_kz00_2023;
BgL_kz00_2023 = 
(int)(BgL_restz00_2009); 
BgL_method2663z00_1999 = 
VECTOR_REF(BgL_bucketz00_2011,BgL_kz00_2023); } } } } } } } } 
{ /* Ast/remove.scm 89 */
obj_t BgL_auxz00_3678;
BgL_auxz00_3678 = 
PROCEDURE_ENTRY(BgL_method2663z00_1999)(BgL_method2663z00_1999, 
(obj_t)(BgL_nodez00_1998), BEOA); 
BgL_res2935z00_2024 = 
(BgL_nodez00_bglt)(BgL_auxz00_3678); } } } 
BgL_arg2744z00_1295 = BgL_res2935z00_2024; } 
{ /* Ast/remove.scm 89 */
BgL_sfunz00_bglt BgL_obj1374z00_2025;obj_t BgL_val1373z00_2026;
BgL_obj1374z00_2025 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1294); 
BgL_val1373z00_2026 = 
(obj_t)(BgL_arg2744z00_1295); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2025))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2026), BUNSPEC); } } 
{ /* Ast/remove.scm 91 */
obj_t BgL_arg2746z00_1297;obj_t BgL_arg2747z00_1298;
BgL_arg2746z00_1297 = 
CDR(BgL_globalsz00_1257); 
BgL_arg2747z00_1298 = 
MAKE_PAIR(BgL_globalz00_1261, BgL_resz00_1258); 
{ 
obj_t BgL_resz00_3689;obj_t BgL_globalsz00_3688;
BgL_globalsz00_3688 = BgL_arg2746z00_1297; 
BgL_resz00_3689 = BgL_arg2747z00_1298; 
BgL_resz00_1258 = BgL_resz00_3689; 
BgL_globalsz00_1257 = BgL_globalsz00_3688; 
goto BgL_loopz00_1259;} } } } } } } } } } 
}



/* _remove-var */
obj_t BGl__removezd2varzd2zzast_removez00(obj_t BgL_envz00_3368, obj_t BgL_passz00_3369, obj_t BgL_globalsz00_3370)
{ AN_OBJECT;
{ /* Ast/remove.scm 50 */
return 
BGl_removezd2varzd2zzast_removez00(BgL_passz00_3369, BgL_globalsz00_3370);} 
}



/* node-remove*! */
obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t BgL_nodeza2za2_27)
{ AN_OBJECT;
{ /* Ast/remove.scm 296 */
BGl_nodezd2removeza2z12z62zzast_removez00:
if(
NULLP(BgL_nodeza2za2_27))
{ /* Ast/remove.scm 297 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Ast/remove.scm 297 */
{ /* Ast/remove.scm 300 */
BgL_nodez00_bglt BgL_arg2761z00_1313;
{ /* Ast/remove.scm 300 */
BgL_nodez00_bglt BgL_res2938z00_2056;
{ /* Ast/remove.scm 300 */
BgL_nodez00_bglt BgL_nodez00_2030;
{ /* Ast/remove.scm 300 */
obj_t BgL_auxz00_3694;
BgL_auxz00_3694 = 
CAR(BgL_nodeza2za2_27); 
BgL_nodez00_2030 = 
(BgL_nodez00_bglt)(BgL_auxz00_3694); } 
{ /* Ast/remove.scm 300 */
obj_t BgL_method2663z00_2031;
{ /* Ast/remove.scm 300 */
long BgL_objzd2classzd2numz00_2033;
{ /* Ast/remove.scm 300 */
BgL_objectz00_bglt BgL_auxz00_3697;
BgL_auxz00_3697 = 
(BgL_objectz00_bglt)(BgL_nodez00_2030); 
BgL_objzd2classzd2numz00_2033 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3697); } 
{ /* Ast/remove.scm 300 */
obj_t BgL_arg1221z00_2034;
{ /* Ast/remove.scm 300 */
int BgL_auxz00_3700;
BgL_auxz00_3700 = 
(int)(((long)1)); 
BgL_arg1221z00_2034 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3700); } 
{ /* Ast/remove.scm 300 */
long BgL_offsetz00_2038;
{ /* Ast/remove.scm 300 */
long BgL_auxz00_3703;
{ /* Ast/remove.scm 300 */
int BgL_auxz00_3704;
BgL_auxz00_3704 = 
(int)(BgL_objzd2classzd2numz00_2033); 
BgL_auxz00_3703 = 
(long)(BgL_auxz00_3704); } 
BgL_offsetz00_2038 = 
(BgL_auxz00_3703-OBJECT_TYPE); } 
{ /* Ast/remove.scm 300 */
long BgL_modz00_2039;
{ /* Ast/remove.scm 300 */
long BgL_auxz00_3708;
{ /* Ast/remove.scm 300 */
int BgL_auxz00_3709;
BgL_auxz00_3709 = 
(int)(((long)8)); 
BgL_auxz00_3708 = 
(long)(BgL_auxz00_3709); } 
BgL_modz00_2039 = 
(BgL_offsetz00_2038/BgL_auxz00_3708); } 
{ /* Ast/remove.scm 300 */
long BgL_restz00_2041;
{ /* Ast/remove.scm 300 */
long BgL_auxz00_3713;
{ /* Ast/remove.scm 300 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(((long)8)); 
BgL_auxz00_3713 = 
(long)(BgL_auxz00_3714); } 
BgL_restz00_2041 = 
(BgL_offsetz00_2038%BgL_auxz00_3713); } 
{ /* Ast/remove.scm 300 */

{ /* Ast/remove.scm 300 */
obj_t BgL_bucketz00_2043;
{ /* Ast/remove.scm 300 */
int BgL_kz00_2053;
BgL_kz00_2053 = 
(int)(BgL_modz00_2039); 
BgL_bucketz00_2043 = 
VECTOR_REF(BgL_arg1221z00_2034,BgL_kz00_2053); } 
{ /* Ast/remove.scm 300 */
int BgL_kz00_2055;
BgL_kz00_2055 = 
(int)(BgL_restz00_2041); 
BgL_method2663z00_2031 = 
VECTOR_REF(BgL_bucketz00_2043,BgL_kz00_2055); } } } } } } } } 
{ /* Ast/remove.scm 300 */
obj_t BgL_auxz00_3722;
BgL_auxz00_3722 = 
PROCEDURE_ENTRY(BgL_method2663z00_2031)(BgL_method2663z00_2031, 
(obj_t)(BgL_nodez00_2030), BEOA); 
BgL_res2938z00_2056 = 
(BgL_nodez00_bglt)(BgL_auxz00_3722); } } } 
BgL_arg2761z00_1313 = BgL_res2938z00_2056; } 
{ /* Ast/remove.scm 300 */
obj_t BgL_auxz00_3727;
BgL_auxz00_3727 = 
(obj_t)(BgL_arg2761z00_1313); 
SET_CAR(BgL_nodeza2za2_27, BgL_auxz00_3727); } } 
{ 
obj_t BgL_nodeza2za2_3730;
BgL_nodeza2za2_3730 = 
CDR(BgL_nodeza2za2_27); 
BgL_nodeza2za2_27 = BgL_nodeza2za2_3730; 
goto BGl_nodezd2removeza2z12z62zzast_removez00;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_removez00()
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_nodezd2removez12zd2default2662zd2envzc0zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_atomz00zzast_nodez00, BGl_proc3022z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_varz00zzast_nodez00, BGl_proc3023z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_kwotez00zzast_nodez00, BGl_proc3024z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_sequencez00zzast_nodez00, BGl_proc3025z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_appz00zzast_nodez00, BGl_proc3026z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3027z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_funcallz00zzast_nodez00, BGl_proc3028z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_externz00zzast_nodez00, BGl_proc3029z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_castz00zzast_nodez00, BGl_proc3030z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_setqz00zzast_nodez00, BGl_proc3031z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_conditionalz00zzast_nodez00, BGl_proc3032z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_failz00zzast_nodez00, BGl_proc3033z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_selectz00zzast_nodez00, BGl_proc3034z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3035z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3036z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3037z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3038z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3039z00zzast_removez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3040z00zzast_removez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3041z00zzast_removez00);} 
}



/* node-remove!-jump-ex-it2703 */
obj_t BGl_nodezd2removez12zd2jumpzd2exzd2it2703z12zzast_removez00(obj_t BgL_envz00_3393, obj_t BgL_nodez00_3394)
{ AN_OBJECT;
{ /* Ast/remove.scm 288 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1900;
{ /* Ast/remove.scm 289 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3753;
BgL_nodez00_1900 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3394); 
{ /* Ast/remove.scm 289 */
BgL_nodez00_bglt BgL_arg2922z00_1903;
{ /* Ast/remove.scm 289 */
BgL_nodez00_bglt BgL_arg2923z00_1904;
BgL_arg2923z00_1904 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1900))->BgL_exitz00); 
{ /* Ast/remove.scm 289 */
BgL_nodez00_bglt BgL_res3010z00_3304;
{ /* Ast/remove.scm 289 */
obj_t BgL_method2663z00_3279;
{ /* Ast/remove.scm 289 */
long BgL_objzd2classzd2numz00_3281;
{ /* Ast/remove.scm 289 */
BgL_objectz00_bglt BgL_auxz00_3755;
BgL_auxz00_3755 = 
(BgL_objectz00_bglt)(BgL_arg2923z00_1904); 
BgL_objzd2classzd2numz00_3281 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3755); } 
{ /* Ast/remove.scm 289 */
obj_t BgL_arg1221z00_3282;
{ /* Ast/remove.scm 289 */
int BgL_auxz00_3758;
BgL_auxz00_3758 = 
(int)(((long)1)); 
BgL_arg1221z00_3282 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3758); } 
{ /* Ast/remove.scm 289 */
long BgL_offsetz00_3286;
{ /* Ast/remove.scm 289 */
long BgL_auxz00_3761;
{ /* Ast/remove.scm 289 */
int BgL_auxz00_3762;
BgL_auxz00_3762 = 
(int)(BgL_objzd2classzd2numz00_3281); 
BgL_auxz00_3761 = 
(long)(BgL_auxz00_3762); } 
BgL_offsetz00_3286 = 
(BgL_auxz00_3761-OBJECT_TYPE); } 
{ /* Ast/remove.scm 289 */
long BgL_modz00_3287;
{ /* Ast/remove.scm 289 */
long BgL_auxz00_3766;
{ /* Ast/remove.scm 289 */
int BgL_auxz00_3767;
BgL_auxz00_3767 = 
(int)(((long)8)); 
BgL_auxz00_3766 = 
(long)(BgL_auxz00_3767); } 
BgL_modz00_3287 = 
(BgL_offsetz00_3286/BgL_auxz00_3766); } 
{ /* Ast/remove.scm 289 */
long BgL_restz00_3289;
{ /* Ast/remove.scm 289 */
long BgL_auxz00_3771;
{ /* Ast/remove.scm 289 */
int BgL_auxz00_3772;
BgL_auxz00_3772 = 
(int)(((long)8)); 
BgL_auxz00_3771 = 
(long)(BgL_auxz00_3772); } 
BgL_restz00_3289 = 
(BgL_offsetz00_3286%BgL_auxz00_3771); } 
{ /* Ast/remove.scm 289 */

{ /* Ast/remove.scm 289 */
obj_t BgL_bucketz00_3291;
{ /* Ast/remove.scm 289 */
int BgL_kz00_3301;
BgL_kz00_3301 = 
(int)(BgL_modz00_3287); 
BgL_bucketz00_3291 = 
VECTOR_REF(BgL_arg1221z00_3282,BgL_kz00_3301); } 
{ /* Ast/remove.scm 289 */
int BgL_kz00_3303;
BgL_kz00_3303 = 
(int)(BgL_restz00_3289); 
BgL_method2663z00_3279 = 
VECTOR_REF(BgL_bucketz00_3291,BgL_kz00_3303); } } } } } } } } 
{ /* Ast/remove.scm 289 */
obj_t BgL_auxz00_3780;
BgL_auxz00_3780 = 
PROCEDURE_ENTRY(BgL_method2663z00_3279)(BgL_method2663z00_3279, 
(obj_t)(BgL_arg2923z00_1904), BEOA); 
BgL_res3010z00_3304 = 
(BgL_nodez00_bglt)(BgL_auxz00_3780); } } 
BgL_arg2922z00_1903 = BgL_res3010z00_3304; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1900))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2922z00_1903), BUNSPEC); } 
{ /* Ast/remove.scm 290 */
BgL_nodez00_bglt BgL_arg2924z00_1905;
{ /* Ast/remove.scm 290 */
BgL_nodez00_bglt BgL_arg2925z00_1906;
BgL_arg2925z00_1906 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1900))->BgL_valuez00); 
{ /* Ast/remove.scm 290 */
BgL_nodez00_bglt BgL_res3013z00_3334;
{ /* Ast/remove.scm 290 */
obj_t BgL_method2663z00_3309;
{ /* Ast/remove.scm 290 */
long BgL_objzd2classzd2numz00_3311;
{ /* Ast/remove.scm 290 */
BgL_objectz00_bglt BgL_auxz00_3787;
BgL_auxz00_3787 = 
(BgL_objectz00_bglt)(BgL_arg2925z00_1906); 
BgL_objzd2classzd2numz00_3311 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3787); } 
{ /* Ast/remove.scm 290 */
obj_t BgL_arg1221z00_3312;
{ /* Ast/remove.scm 290 */
int BgL_auxz00_3790;
BgL_auxz00_3790 = 
(int)(((long)1)); 
BgL_arg1221z00_3312 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3790); } 
{ /* Ast/remove.scm 290 */
long BgL_offsetz00_3316;
{ /* Ast/remove.scm 290 */
long BgL_auxz00_3793;
{ /* Ast/remove.scm 290 */
int BgL_auxz00_3794;
BgL_auxz00_3794 = 
(int)(BgL_objzd2classzd2numz00_3311); 
BgL_auxz00_3793 = 
(long)(BgL_auxz00_3794); } 
BgL_offsetz00_3316 = 
(BgL_auxz00_3793-OBJECT_TYPE); } 
{ /* Ast/remove.scm 290 */
long BgL_modz00_3317;
{ /* Ast/remove.scm 290 */
long BgL_auxz00_3798;
{ /* Ast/remove.scm 290 */
int BgL_auxz00_3799;
BgL_auxz00_3799 = 
(int)(((long)8)); 
BgL_auxz00_3798 = 
(long)(BgL_auxz00_3799); } 
BgL_modz00_3317 = 
(BgL_offsetz00_3316/BgL_auxz00_3798); } 
{ /* Ast/remove.scm 290 */
long BgL_restz00_3319;
{ /* Ast/remove.scm 290 */
long BgL_auxz00_3803;
{ /* Ast/remove.scm 290 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(((long)8)); 
BgL_auxz00_3803 = 
(long)(BgL_auxz00_3804); } 
BgL_restz00_3319 = 
(BgL_offsetz00_3316%BgL_auxz00_3803); } 
{ /* Ast/remove.scm 290 */

{ /* Ast/remove.scm 290 */
obj_t BgL_bucketz00_3321;
{ /* Ast/remove.scm 290 */
int BgL_kz00_3331;
BgL_kz00_3331 = 
(int)(BgL_modz00_3317); 
BgL_bucketz00_3321 = 
VECTOR_REF(BgL_arg1221z00_3312,BgL_kz00_3331); } 
{ /* Ast/remove.scm 290 */
int BgL_kz00_3333;
BgL_kz00_3333 = 
(int)(BgL_restz00_3319); 
BgL_method2663z00_3309 = 
VECTOR_REF(BgL_bucketz00_3321,BgL_kz00_3333); } } } } } } } } 
{ /* Ast/remove.scm 290 */
obj_t BgL_auxz00_3812;
BgL_auxz00_3812 = 
PROCEDURE_ENTRY(BgL_method2663z00_3309)(BgL_method2663z00_3309, 
(obj_t)(BgL_arg2925z00_1906), BEOA); 
BgL_res3013z00_3334 = 
(BgL_nodez00_bglt)(BgL_auxz00_3812); } } 
BgL_arg2924z00_1905 = BgL_res3013z00_3334; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1900))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2924z00_1905), BUNSPEC); } 
BgL_auxz00_3753 = BgL_nodez00_1900; 
return 
(obj_t)(BgL_auxz00_3753);} } } 
}



/* node-remove!-set-ex-it2701 */
obj_t BGl_nodezd2removez12zd2setzd2exzd2it2701z12zzast_removez00(obj_t BgL_envz00_3395, obj_t BgL_nodez00_3396)
{ AN_OBJECT;
{ /* Ast/remove.scm 279 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1888;
BgL_nodez00_1888 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3396); 
{ /* Ast/remove.scm 280 */
BgL_nodez00_bglt BgL_arg2914z00_1891;
{ /* Ast/remove.scm 280 */
BgL_nodez00_bglt BgL_arg2915z00_1892;
BgL_arg2915z00_1892 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1888))->BgL_bodyz00); 
{ /* Ast/remove.scm 280 */
BgL_nodez00_bglt BgL_res3007z00_3268;
{ /* Ast/remove.scm 280 */
obj_t BgL_method2663z00_3243;
{ /* Ast/remove.scm 280 */
long BgL_objzd2classzd2numz00_3245;
{ /* Ast/remove.scm 280 */
BgL_objectz00_bglt BgL_auxz00_3821;
BgL_auxz00_3821 = 
(BgL_objectz00_bglt)(BgL_arg2915z00_1892); 
BgL_objzd2classzd2numz00_3245 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3821); } 
{ /* Ast/remove.scm 280 */
obj_t BgL_arg1221z00_3246;
{ /* Ast/remove.scm 280 */
int BgL_auxz00_3824;
BgL_auxz00_3824 = 
(int)(((long)1)); 
BgL_arg1221z00_3246 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3824); } 
{ /* Ast/remove.scm 280 */
long BgL_offsetz00_3250;
{ /* Ast/remove.scm 280 */
long BgL_auxz00_3827;
{ /* Ast/remove.scm 280 */
int BgL_auxz00_3828;
BgL_auxz00_3828 = 
(int)(BgL_objzd2classzd2numz00_3245); 
BgL_auxz00_3827 = 
(long)(BgL_auxz00_3828); } 
BgL_offsetz00_3250 = 
(BgL_auxz00_3827-OBJECT_TYPE); } 
{ /* Ast/remove.scm 280 */
long BgL_modz00_3251;
{ /* Ast/remove.scm 280 */
long BgL_auxz00_3832;
{ /* Ast/remove.scm 280 */
int BgL_auxz00_3833;
BgL_auxz00_3833 = 
(int)(((long)8)); 
BgL_auxz00_3832 = 
(long)(BgL_auxz00_3833); } 
BgL_modz00_3251 = 
(BgL_offsetz00_3250/BgL_auxz00_3832); } 
{ /* Ast/remove.scm 280 */
long BgL_restz00_3253;
{ /* Ast/remove.scm 280 */
long BgL_auxz00_3837;
{ /* Ast/remove.scm 280 */
int BgL_auxz00_3838;
BgL_auxz00_3838 = 
(int)(((long)8)); 
BgL_auxz00_3837 = 
(long)(BgL_auxz00_3838); } 
BgL_restz00_3253 = 
(BgL_offsetz00_3250%BgL_auxz00_3837); } 
{ /* Ast/remove.scm 280 */

{ /* Ast/remove.scm 280 */
obj_t BgL_bucketz00_3255;
{ /* Ast/remove.scm 280 */
int BgL_kz00_3265;
BgL_kz00_3265 = 
(int)(BgL_modz00_3251); 
BgL_bucketz00_3255 = 
VECTOR_REF(BgL_arg1221z00_3246,BgL_kz00_3265); } 
{ /* Ast/remove.scm 280 */
int BgL_kz00_3267;
BgL_kz00_3267 = 
(int)(BgL_restz00_3253); 
BgL_method2663z00_3243 = 
VECTOR_REF(BgL_bucketz00_3255,BgL_kz00_3267); } } } } } } } } 
{ /* Ast/remove.scm 280 */
obj_t BgL_auxz00_3846;
BgL_auxz00_3846 = 
PROCEDURE_ENTRY(BgL_method2663z00_3243)(BgL_method2663z00_3243, 
(obj_t)(BgL_arg2915z00_1892), BEOA); 
BgL_res3007z00_3268 = 
(BgL_nodez00_bglt)(BgL_auxz00_3846); } } 
BgL_arg2914z00_1891 = BgL_res3007z00_3268; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1888))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2914z00_1891), BUNSPEC); } 
{ /* Ast/remove.scm 281 */
bool_t BgL_testz00_3852;
{ /* Ast/remove.scm 281 */
long BgL_auxz00_3853;
{ /* Ast/remove.scm 281 */
BgL_localz00_bglt BgL_obj1267z00_3273;
{ /* Ast/remove.scm 281 */
BgL_variablez00_bglt BgL_auxz00_3854;
{ /* Ast/remove.scm 281 */
BgL_varz00_bglt BgL_arg2920z00_1897;
BgL_arg2920z00_1897 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1888))->BgL_varz00); 
BgL_auxz00_3854 = 
(((BgL_varz00_bglt)CREF(BgL_arg2920z00_1897))->BgL_variablez00); } 
BgL_obj1267z00_3273 = 
(BgL_localz00_bglt)(BgL_auxz00_3854); } 
BgL_auxz00_3853 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3273))->BgL_occurrencez00); } 
BgL_testz00_3852 = 
(BgL_auxz00_3853<=((long)0)); } 
if(BgL_testz00_3852)
{ /* Ast/remove.scm 282 */
BgL_nodez00_bglt BgL_auxz00_3860;
BgL_auxz00_3860 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1888))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_3860);}  else 
{ /* Ast/remove.scm 281 */
return 
(obj_t)(BgL_nodez00_1888);} } } } 
}



/* node-remove!-let-var2699 */
obj_t BGl_nodezd2removez12zd2letzd2var2699zc0zzast_removez00(obj_t BgL_envz00_3397, obj_t BgL_nodez00_3398)
{ AN_OBJECT;
{ /* Ast/remove.scm 242 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1852;
BgL_nodez00_1852 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3398); 
{ /* Ast/remove.scm 244 */
BgL_nodez00_bglt BgL_arg2891z00_1856;
{ /* Ast/remove.scm 244 */
BgL_nodez00_bglt BgL_arg2892z00_1857;
BgL_arg2892z00_1857 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bodyz00); 
{ /* Ast/remove.scm 244 */
BgL_nodez00_bglt BgL_res3001z00_3182;
{ /* Ast/remove.scm 244 */
obj_t BgL_method2663z00_3157;
{ /* Ast/remove.scm 244 */
long BgL_objzd2classzd2numz00_3159;
{ /* Ast/remove.scm 244 */
BgL_objectz00_bglt BgL_auxz00_3866;
BgL_auxz00_3866 = 
(BgL_objectz00_bglt)(BgL_arg2892z00_1857); 
BgL_objzd2classzd2numz00_3159 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3866); } 
{ /* Ast/remove.scm 244 */
obj_t BgL_arg1221z00_3160;
{ /* Ast/remove.scm 244 */
int BgL_auxz00_3869;
BgL_auxz00_3869 = 
(int)(((long)1)); 
BgL_arg1221z00_3160 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3869); } 
{ /* Ast/remove.scm 244 */
long BgL_offsetz00_3164;
{ /* Ast/remove.scm 244 */
long BgL_auxz00_3872;
{ /* Ast/remove.scm 244 */
int BgL_auxz00_3873;
BgL_auxz00_3873 = 
(int)(BgL_objzd2classzd2numz00_3159); 
BgL_auxz00_3872 = 
(long)(BgL_auxz00_3873); } 
BgL_offsetz00_3164 = 
(BgL_auxz00_3872-OBJECT_TYPE); } 
{ /* Ast/remove.scm 244 */
long BgL_modz00_3165;
{ /* Ast/remove.scm 244 */
long BgL_auxz00_3877;
{ /* Ast/remove.scm 244 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)8)); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_modz00_3165 = 
(BgL_offsetz00_3164/BgL_auxz00_3877); } 
{ /* Ast/remove.scm 244 */
long BgL_restz00_3167;
{ /* Ast/remove.scm 244 */
long BgL_auxz00_3882;
{ /* Ast/remove.scm 244 */
int BgL_auxz00_3883;
BgL_auxz00_3883 = 
(int)(((long)8)); 
BgL_auxz00_3882 = 
(long)(BgL_auxz00_3883); } 
BgL_restz00_3167 = 
(BgL_offsetz00_3164%BgL_auxz00_3882); } 
{ /* Ast/remove.scm 244 */

{ /* Ast/remove.scm 244 */
obj_t BgL_bucketz00_3169;
{ /* Ast/remove.scm 244 */
int BgL_kz00_3179;
BgL_kz00_3179 = 
(int)(BgL_modz00_3165); 
BgL_bucketz00_3169 = 
VECTOR_REF(BgL_arg1221z00_3160,BgL_kz00_3179); } 
{ /* Ast/remove.scm 244 */
int BgL_kz00_3181;
BgL_kz00_3181 = 
(int)(BgL_restz00_3167); 
BgL_method2663z00_3157 = 
VECTOR_REF(BgL_bucketz00_3169,BgL_kz00_3181); } } } } } } } } 
{ /* Ast/remove.scm 244 */
obj_t BgL_auxz00_3891;
BgL_auxz00_3891 = 
PROCEDURE_ENTRY(BgL_method2663z00_3157)(BgL_method2663z00_3157, 
(obj_t)(BgL_arg2892z00_1857), BEOA); 
BgL_res3001z00_3182 = 
(BgL_nodez00_bglt)(BgL_auxz00_3891); } } 
BgL_arg2891z00_1856 = BgL_res3001z00_3182; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2891z00_1856), BUNSPEC); } 
{ 
obj_t BgL_oldzd2bindingszd2_1858;obj_t BgL_newzd2bindingszd2_1859;
BgL_oldzd2bindingszd2_1858 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bindingsz00); 
BgL_newzd2bindingszd2_1859 = BNIL; 
BgL_loopz00_1860:
if(
NULLP(BgL_oldzd2bindingszd2_1858))
{ /* Ast/remove.scm 247 */
if(
NULLP(BgL_newzd2bindingszd2_1859))
{ /* Ast/remove.scm 248 */
if(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_removablezf3zf3))
{ /* Ast/remove.scm 249 */
BgL_nodez00_bglt BgL_auxz00_3903;
BgL_auxz00_3903 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_3903);}  else 
{ /* Ast/remove.scm 249 */
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bindingsz00) = ((obj_t)BNIL), BUNSPEC); 
return 
(obj_t)(BgL_nodez00_1852);} }  else 
{ /* Ast/remove.scm 248 */
{ /* Ast/remove.scm 255 */
obj_t BgL_arg2898z00_1866;
BgL_arg2898z00_1866 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2bindingszd2_1859); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bindingsz00) = ((obj_t)BgL_arg2898z00_1866), BUNSPEC); } 
return 
(obj_t)(BgL_nodez00_1852);} }  else 
{ /* Ast/remove.scm 257 */
obj_t BgL_bindingz00_1867;
BgL_bindingz00_1867 = 
CAR(BgL_oldzd2bindingszd2_1858); 
{ /* Ast/remove.scm 257 */
obj_t BgL_varz00_1868;
BgL_varz00_1868 = 
CAR(BgL_bindingz00_1867); 
{ /* Ast/remove.scm 258 */
BgL_nodez00_bglt BgL_valz00_1869;
{ /* Ast/remove.scm 259 */
BgL_nodez00_bglt BgL_res3004z00_3223;
{ /* Ast/remove.scm 259 */
BgL_nodez00_bglt BgL_nodez00_3197;
{ /* Ast/remove.scm 259 */
obj_t BgL_auxz00_3913;
BgL_auxz00_3913 = 
CDR(BgL_bindingz00_1867); 
BgL_nodez00_3197 = 
(BgL_nodez00_bglt)(BgL_auxz00_3913); } 
{ /* Ast/remove.scm 259 */
obj_t BgL_method2663z00_3198;
{ /* Ast/remove.scm 259 */
long BgL_objzd2classzd2numz00_3200;
{ /* Ast/remove.scm 259 */
BgL_objectz00_bglt BgL_auxz00_3916;
BgL_auxz00_3916 = 
(BgL_objectz00_bglt)(BgL_nodez00_3197); 
BgL_objzd2classzd2numz00_3200 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3916); } 
{ /* Ast/remove.scm 259 */
obj_t BgL_arg1221z00_3201;
{ /* Ast/remove.scm 259 */
int BgL_auxz00_3919;
BgL_auxz00_3919 = 
(int)(((long)1)); 
BgL_arg1221z00_3201 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3919); } 
{ /* Ast/remove.scm 259 */
long BgL_offsetz00_3205;
{ /* Ast/remove.scm 259 */
long BgL_auxz00_3922;
{ /* Ast/remove.scm 259 */
int BgL_auxz00_3923;
BgL_auxz00_3923 = 
(int)(BgL_objzd2classzd2numz00_3200); 
BgL_auxz00_3922 = 
(long)(BgL_auxz00_3923); } 
BgL_offsetz00_3205 = 
(BgL_auxz00_3922-OBJECT_TYPE); } 
{ /* Ast/remove.scm 259 */
long BgL_modz00_3206;
{ /* Ast/remove.scm 259 */
long BgL_auxz00_3927;
{ /* Ast/remove.scm 259 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)8)); 
BgL_auxz00_3927 = 
(long)(BgL_auxz00_3928); } 
BgL_modz00_3206 = 
(BgL_offsetz00_3205/BgL_auxz00_3927); } 
{ /* Ast/remove.scm 259 */
long BgL_restz00_3208;
{ /* Ast/remove.scm 259 */
long BgL_auxz00_3932;
{ /* Ast/remove.scm 259 */
int BgL_auxz00_3933;
BgL_auxz00_3933 = 
(int)(((long)8)); 
BgL_auxz00_3932 = 
(long)(BgL_auxz00_3933); } 
BgL_restz00_3208 = 
(BgL_offsetz00_3205%BgL_auxz00_3932); } 
{ /* Ast/remove.scm 259 */

{ /* Ast/remove.scm 259 */
obj_t BgL_bucketz00_3210;
{ /* Ast/remove.scm 259 */
int BgL_kz00_3220;
BgL_kz00_3220 = 
(int)(BgL_modz00_3206); 
BgL_bucketz00_3210 = 
VECTOR_REF(BgL_arg1221z00_3201,BgL_kz00_3220); } 
{ /* Ast/remove.scm 259 */
int BgL_kz00_3222;
BgL_kz00_3222 = 
(int)(BgL_restz00_3208); 
BgL_method2663z00_3198 = 
VECTOR_REF(BgL_bucketz00_3210,BgL_kz00_3222); } } } } } } } } 
{ /* Ast/remove.scm 259 */
obj_t BgL_auxz00_3941;
BgL_auxz00_3941 = 
PROCEDURE_ENTRY(BgL_method2663z00_3198)(BgL_method2663z00_3198, 
(obj_t)(BgL_nodez00_3197), BEOA); 
BgL_res3004z00_3223 = 
(BgL_nodez00_bglt)(BgL_auxz00_3941); } } } 
BgL_valz00_1869 = BgL_res3004z00_3223; } 
{ /* Ast/remove.scm 259 */

{ /* Ast/remove.scm 260 */
bool_t BgL_test2899z00_1870;
{ /* Ast/remove.scm 260 */
bool_t BgL_testz00_3946;
{ /* Ast/remove.scm 260 */
long BgL_auxz00_3947;
{ /* Ast/remove.scm 260 */
BgL_localz00_bglt BgL_obj1267z00_3224;
BgL_obj1267z00_3224 = 
(BgL_localz00_bglt)(BgL_varz00_1868); 
BgL_auxz00_3947 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3224))->BgL_occurrencez00); } 
BgL_testz00_3946 = 
(BgL_auxz00_3947<=((long)0)); } 
if(BgL_testz00_3946)
{ /* Ast/remove.scm 261 */
bool_t BgL_test2908z00_1880;
BgL_test2908z00_1880 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_valz00_1869); 
if(BgL_test2908z00_1880)
{ /* Ast/remove.scm 261 */
BgL_test2899z00_1870 = ((bool_t)0); }  else 
{ /* Ast/remove.scm 262 */
bool_t BgL__ortest_2661z00_1881;
{ /* Ast/remove.scm 262 */
bool_t BgL_testz00_3953;
{ /* Ast/remove.scm 262 */
BgL_localz00_bglt BgL_obj1270z00_3227;
BgL_obj1270z00_3227 = 
(BgL_localz00_bglt)(BgL_varz00_1868); 
BgL_testz00_3953 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_3227))->BgL_userzf3zf3); } 
if(BgL_testz00_3953)
{ /* Ast/remove.scm 262 */
BgL__ortest_2661z00_1881 = ((bool_t)0); }  else 
{ /* Ast/remove.scm 262 */
BgL__ortest_2661z00_1881 = ((bool_t)1); } } 
if(BgL__ortest_2661z00_1881)
{ /* Ast/remove.scm 262 */
BgL_test2899z00_1870 = BgL__ortest_2661z00_1881; }  else 
{ /* Ast/remove.scm 263 */
long BgL_n1z00_3228;
BgL_n1z00_3228 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2899z00_1870 = 
(BgL_n1z00_3228==((long)0)); } } }  else 
{ /* Ast/remove.scm 260 */
BgL_test2899z00_1870 = ((bool_t)0); } } 
if(BgL_test2899z00_1870)
{ /* Ast/remove.scm 260 */
{ /* Ast/remove.scm 265 */
bool_t BgL_test2900z00_1871;
BgL_test2900z00_1871 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1869), BGl_varz00zzast_nodez00); 
if(BgL_test2900z00_1871)
{ /* Ast/remove.scm 266 */
BgL_variablez00_bglt BgL_vz00_1872;
{ /* Ast/remove.scm 266 */
BgL_varz00_bglt BgL_obj1619z00_3231;
BgL_obj1619z00_3231 = 
(BgL_varz00_bglt)(BgL_valz00_1869); 
BgL_vz00_1872 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3231))->BgL_variablez00); } 
{ /* Ast/remove.scm 269 */
long BgL_arg2901z00_1873;
{ /* Ast/remove.scm 269 */
long BgL_auxz00_3965;
BgL_auxz00_3965 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1872))->BgL_occurrencez00); 
BgL_arg2901z00_1873 = 
(BgL_auxz00_3965-((long)1)); } 
((((BgL_variablez00_bglt)CREF(BgL_vz00_1872))->BgL_occurrencez00) = ((long)BgL_arg2901z00_1873), BUNSPEC); } }  else 
{ /* Ast/remove.scm 265 */BFALSE; } } 
{ 
obj_t BgL_oldzd2bindingszd2_3969;
BgL_oldzd2bindingszd2_3969 = 
CDR(BgL_oldzd2bindingszd2_1858); 
BgL_oldzd2bindingszd2_1858 = BgL_oldzd2bindingszd2_3969; 
goto BgL_loopz00_1860;} }  else 
{ /* Ast/remove.scm 260 */
{ /* Ast/remove.scm 272 */
obj_t BgL_auxz00_3971;
BgL_auxz00_3971 = 
(obj_t)(BgL_valz00_1869); 
SET_CDR(BgL_bindingz00_1867, BgL_auxz00_3971); } 
{ /* Ast/remove.scm 273 */
obj_t BgL_arg2905z00_1877;obj_t BgL_arg2906z00_1878;
BgL_arg2905z00_1877 = 
CDR(BgL_oldzd2bindingszd2_1858); 
BgL_arg2906z00_1878 = 
MAKE_PAIR(BgL_bindingz00_1867, BgL_newzd2bindingszd2_1859); 
{ 
obj_t BgL_newzd2bindingszd2_3977;obj_t BgL_oldzd2bindingszd2_3976;
BgL_oldzd2bindingszd2_3976 = BgL_arg2905z00_1877; 
BgL_newzd2bindingszd2_3977 = BgL_arg2906z00_1878; 
BgL_newzd2bindingszd2_1859 = BgL_newzd2bindingszd2_3977; 
BgL_oldzd2bindingszd2_1858 = BgL_oldzd2bindingszd2_3976; 
goto BgL_loopz00_1860;} } } } } } } } } } } 
}



/* node-remove!-let-fun2697 */
obj_t BGl_nodezd2removez12zd2letzd2fun2697zc0zzast_removez00(obj_t BgL_envz00_3399, obj_t BgL_nodez00_3400)
{ AN_OBJECT;
{ /* Ast/remove.scm 221 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1826;
BgL_nodez00_1826 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3400); 
{ /* Ast/remove.scm 223 */
BgL_nodez00_bglt BgL_arg2875z00_1830;
{ /* Ast/remove.scm 223 */
BgL_nodez00_bglt BgL_arg2876z00_1831;
BgL_arg2876z00_1831 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1826))->BgL_bodyz00); 
{ /* Ast/remove.scm 223 */
BgL_nodez00_bglt BgL_res2995z00_3109;
{ /* Ast/remove.scm 223 */
obj_t BgL_method2663z00_3084;
{ /* Ast/remove.scm 223 */
long BgL_objzd2classzd2numz00_3086;
{ /* Ast/remove.scm 223 */
BgL_objectz00_bglt BgL_auxz00_3981;
BgL_auxz00_3981 = 
(BgL_objectz00_bglt)(BgL_arg2876z00_1831); 
BgL_objzd2classzd2numz00_3086 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3981); } 
{ /* Ast/remove.scm 223 */
obj_t BgL_arg1221z00_3087;
{ /* Ast/remove.scm 223 */
int BgL_auxz00_3984;
BgL_auxz00_3984 = 
(int)(((long)1)); 
BgL_arg1221z00_3087 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_3984); } 
{ /* Ast/remove.scm 223 */
long BgL_offsetz00_3091;
{ /* Ast/remove.scm 223 */
long BgL_auxz00_3987;
{ /* Ast/remove.scm 223 */
int BgL_auxz00_3988;
BgL_auxz00_3988 = 
(int)(BgL_objzd2classzd2numz00_3086); 
BgL_auxz00_3987 = 
(long)(BgL_auxz00_3988); } 
BgL_offsetz00_3091 = 
(BgL_auxz00_3987-OBJECT_TYPE); } 
{ /* Ast/remove.scm 223 */
long BgL_modz00_3092;
{ /* Ast/remove.scm 223 */
long BgL_auxz00_3992;
{ /* Ast/remove.scm 223 */
int BgL_auxz00_3993;
BgL_auxz00_3993 = 
(int)(((long)8)); 
BgL_auxz00_3992 = 
(long)(BgL_auxz00_3993); } 
BgL_modz00_3092 = 
(BgL_offsetz00_3091/BgL_auxz00_3992); } 
{ /* Ast/remove.scm 223 */
long BgL_restz00_3094;
{ /* Ast/remove.scm 223 */
long BgL_auxz00_3997;
{ /* Ast/remove.scm 223 */
int BgL_auxz00_3998;
BgL_auxz00_3998 = 
(int)(((long)8)); 
BgL_auxz00_3997 = 
(long)(BgL_auxz00_3998); } 
BgL_restz00_3094 = 
(BgL_offsetz00_3091%BgL_auxz00_3997); } 
{ /* Ast/remove.scm 223 */

{ /* Ast/remove.scm 223 */
obj_t BgL_bucketz00_3096;
{ /* Ast/remove.scm 223 */
int BgL_kz00_3106;
BgL_kz00_3106 = 
(int)(BgL_modz00_3092); 
BgL_bucketz00_3096 = 
VECTOR_REF(BgL_arg1221z00_3087,BgL_kz00_3106); } 
{ /* Ast/remove.scm 223 */
int BgL_kz00_3108;
BgL_kz00_3108 = 
(int)(BgL_restz00_3094); 
BgL_method2663z00_3084 = 
VECTOR_REF(BgL_bucketz00_3096,BgL_kz00_3108); } } } } } } } } 
{ /* Ast/remove.scm 223 */
obj_t BgL_auxz00_4006;
BgL_auxz00_4006 = 
PROCEDURE_ENTRY(BgL_method2663z00_3084)(BgL_method2663z00_3084, 
(obj_t)(BgL_arg2876z00_1831), BEOA); 
BgL_res2995z00_3109 = 
(BgL_nodez00_bglt)(BgL_auxz00_4006); } } 
BgL_arg2875z00_1830 = BgL_res2995z00_3109; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1826))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2875z00_1830), BUNSPEC); } 
{ 
obj_t BgL_oldzd2localszd2_1832;obj_t BgL_newzd2localszd2_1833;
BgL_oldzd2localszd2_1832 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1826))->BgL_localsz00); 
BgL_newzd2localszd2_1833 = BNIL; 
BgL_loopz00_1834:
if(
NULLP(BgL_oldzd2localszd2_1832))
{ /* Ast/remove.scm 226 */
if(
NULLP(BgL_newzd2localszd2_1833))
{ /* Ast/remove.scm 227 */
BgL_nodez00_bglt BgL_auxz00_4016;
BgL_auxz00_4016 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1826))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_4016);}  else 
{ /* Ast/remove.scm 227 */
{ /* Ast/remove.scm 230 */
obj_t BgL_arg2881z00_1839;
BgL_arg2881z00_1839 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2localszd2_1833); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1826))->BgL_localsz00) = ((obj_t)BgL_arg2881z00_1839), BUNSPEC); } 
return 
(obj_t)(BgL_nodez00_1826);} }  else 
{ /* Ast/remove.scm 232 */
obj_t BgL_localz00_1840;
BgL_localz00_1840 = 
CAR(BgL_oldzd2localszd2_1832); 
{ /* Ast/remove.scm 233 */
bool_t BgL_testz00_4023;
{ /* Ast/remove.scm 233 */
long BgL_auxz00_4024;
{ /* Ast/remove.scm 233 */
BgL_localz00_bglt BgL_obj1267z00_3119;
BgL_obj1267z00_3119 = 
(BgL_localz00_bglt)(BgL_localz00_1840); 
BgL_auxz00_4024 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3119))->BgL_occurrencez00); } 
BgL_testz00_4023 = 
(BgL_auxz00_4024<=((long)0)); } 
if(BgL_testz00_4023)
{ 
obj_t BgL_oldzd2localszd2_4028;
BgL_oldzd2localszd2_4028 = 
CDR(BgL_oldzd2localszd2_1832); 
BgL_oldzd2localszd2_1832 = BgL_oldzd2localszd2_4028; 
goto BgL_loopz00_1834;}  else 
{ /* Ast/remove.scm 235 */
BgL_valuez00_bglt BgL_sfunz00_1843;
{ /* Ast/remove.scm 235 */
BgL_localz00_bglt BgL_obj1255z00_3123;
BgL_obj1255z00_3123 = 
(BgL_localz00_bglt)(BgL_localz00_1840); 
BgL_sfunz00_1843 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3123))->BgL_valuez00); } 
{ /* Ast/remove.scm 236 */
BgL_nodez00_bglt BgL_arg2884z00_1844;
{ /* Ast/remove.scm 236 */
BgL_nodez00_bglt BgL_res2998z00_3151;
{ /* Ast/remove.scm 236 */
BgL_nodez00_bglt BgL_nodez00_3125;
{ /* Ast/remove.scm 236 */
obj_t BgL_auxz00_4032;
{ /* Ast/remove.scm 236 */
BgL_sfunz00_bglt BgL_obj1372z00_3124;
BgL_obj1372z00_3124 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1843); 
BgL_auxz00_4032 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3124))->BgL_bodyz00); } 
BgL_nodez00_3125 = 
(BgL_nodez00_bglt)(BgL_auxz00_4032); } 
{ /* Ast/remove.scm 236 */
obj_t BgL_method2663z00_3126;
{ /* Ast/remove.scm 236 */
long BgL_objzd2classzd2numz00_3128;
{ /* Ast/remove.scm 236 */
BgL_objectz00_bglt BgL_auxz00_4036;
BgL_auxz00_4036 = 
(BgL_objectz00_bglt)(BgL_nodez00_3125); 
BgL_objzd2classzd2numz00_3128 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4036); } 
{ /* Ast/remove.scm 236 */
obj_t BgL_arg1221z00_3129;
{ /* Ast/remove.scm 236 */
int BgL_auxz00_4039;
BgL_auxz00_4039 = 
(int)(((long)1)); 
BgL_arg1221z00_3129 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4039); } 
{ /* Ast/remove.scm 236 */
long BgL_offsetz00_3133;
{ /* Ast/remove.scm 236 */
long BgL_auxz00_4042;
{ /* Ast/remove.scm 236 */
int BgL_auxz00_4043;
BgL_auxz00_4043 = 
(int)(BgL_objzd2classzd2numz00_3128); 
BgL_auxz00_4042 = 
(long)(BgL_auxz00_4043); } 
BgL_offsetz00_3133 = 
(BgL_auxz00_4042-OBJECT_TYPE); } 
{ /* Ast/remove.scm 236 */
long BgL_modz00_3134;
{ /* Ast/remove.scm 236 */
long BgL_auxz00_4047;
{ /* Ast/remove.scm 236 */
int BgL_auxz00_4048;
BgL_auxz00_4048 = 
(int)(((long)8)); 
BgL_auxz00_4047 = 
(long)(BgL_auxz00_4048); } 
BgL_modz00_3134 = 
(BgL_offsetz00_3133/BgL_auxz00_4047); } 
{ /* Ast/remove.scm 236 */
long BgL_restz00_3136;
{ /* Ast/remove.scm 236 */
long BgL_auxz00_4052;
{ /* Ast/remove.scm 236 */
int BgL_auxz00_4053;
BgL_auxz00_4053 = 
(int)(((long)8)); 
BgL_auxz00_4052 = 
(long)(BgL_auxz00_4053); } 
BgL_restz00_3136 = 
(BgL_offsetz00_3133%BgL_auxz00_4052); } 
{ /* Ast/remove.scm 236 */

{ /* Ast/remove.scm 236 */
obj_t BgL_bucketz00_3138;
{ /* Ast/remove.scm 236 */
int BgL_kz00_3148;
BgL_kz00_3148 = 
(int)(BgL_modz00_3134); 
BgL_bucketz00_3138 = 
VECTOR_REF(BgL_arg1221z00_3129,BgL_kz00_3148); } 
{ /* Ast/remove.scm 236 */
int BgL_kz00_3150;
BgL_kz00_3150 = 
(int)(BgL_restz00_3136); 
BgL_method2663z00_3126 = 
VECTOR_REF(BgL_bucketz00_3138,BgL_kz00_3150); } } } } } } } } 
{ /* Ast/remove.scm 236 */
obj_t BgL_auxz00_4061;
BgL_auxz00_4061 = 
PROCEDURE_ENTRY(BgL_method2663z00_3126)(BgL_method2663z00_3126, 
(obj_t)(BgL_nodez00_3125), BEOA); 
BgL_res2998z00_3151 = 
(BgL_nodez00_bglt)(BgL_auxz00_4061); } } } 
BgL_arg2884z00_1844 = BgL_res2998z00_3151; } 
{ /* Ast/remove.scm 236 */
BgL_sfunz00_bglt BgL_obj1374z00_3152;obj_t BgL_val1373z00_3153;
BgL_obj1374z00_3152 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1843); 
BgL_val1373z00_3153 = 
(obj_t)(BgL_arg2884z00_1844); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3152))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_3153), BUNSPEC); } } 
{ /* Ast/remove.scm 237 */
obj_t BgL_arg2886z00_1846;obj_t BgL_arg2887z00_1847;
BgL_arg2886z00_1846 = 
CDR(BgL_oldzd2localszd2_1832); 
BgL_arg2887z00_1847 = 
MAKE_PAIR(BgL_localz00_1840, BgL_newzd2localszd2_1833); 
{ 
obj_t BgL_newzd2localszd2_4072;obj_t BgL_oldzd2localszd2_4071;
BgL_oldzd2localszd2_4071 = BgL_arg2886z00_1846; 
BgL_newzd2localszd2_4072 = BgL_arg2887z00_1847; 
BgL_newzd2localszd2_1833 = BgL_newzd2localszd2_4072; 
BgL_oldzd2localszd2_1832 = BgL_oldzd2localszd2_4071; 
goto BgL_loopz00_1834;} } } } } } } } 
}



/* node-remove!-box-set!2695 */
obj_t BGl_nodezd2removez12zd2boxzd2setz122695zd2zzast_removez00(obj_t BgL_envz00_3401, obj_t BgL_nodez00_3402)
{ AN_OBJECT;
{ /* Ast/remove.scm 213 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1817;
{ /* Ast/remove.scm 214 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4075;
BgL_nodez00_1817 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3402); 
{ /* Ast/remove.scm 214 */
BgL_nodez00_bglt BgL_arg2870z00_1820;
{ /* Ast/remove.scm 214 */
BgL_nodez00_bglt BgL_res2989z00_3049;
{ /* Ast/remove.scm 214 */
BgL_nodez00_bglt BgL_nodez00_3023;
{ /* Ast/remove.scm 214 */
BgL_varz00_bglt BgL_auxz00_4076;
BgL_auxz00_4076 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_varz00); 
BgL_nodez00_3023 = 
(BgL_nodez00_bglt)(BgL_auxz00_4076); } 
{ /* Ast/remove.scm 214 */
obj_t BgL_method2663z00_3024;
{ /* Ast/remove.scm 214 */
long BgL_objzd2classzd2numz00_3026;
{ /* Ast/remove.scm 214 */
BgL_objectz00_bglt BgL_auxz00_4079;
BgL_auxz00_4079 = 
(BgL_objectz00_bglt)(BgL_nodez00_3023); 
BgL_objzd2classzd2numz00_3026 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4079); } 
{ /* Ast/remove.scm 214 */
obj_t BgL_arg1221z00_3027;
{ /* Ast/remove.scm 214 */
int BgL_auxz00_4082;
BgL_auxz00_4082 = 
(int)(((long)1)); 
BgL_arg1221z00_3027 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4082); } 
{ /* Ast/remove.scm 214 */
long BgL_offsetz00_3031;
{ /* Ast/remove.scm 214 */
long BgL_auxz00_4085;
{ /* Ast/remove.scm 214 */
int BgL_auxz00_4086;
BgL_auxz00_4086 = 
(int)(BgL_objzd2classzd2numz00_3026); 
BgL_auxz00_4085 = 
(long)(BgL_auxz00_4086); } 
BgL_offsetz00_3031 = 
(BgL_auxz00_4085-OBJECT_TYPE); } 
{ /* Ast/remove.scm 214 */
long BgL_modz00_3032;
{ /* Ast/remove.scm 214 */
long BgL_auxz00_4090;
{ /* Ast/remove.scm 214 */
int BgL_auxz00_4091;
BgL_auxz00_4091 = 
(int)(((long)8)); 
BgL_auxz00_4090 = 
(long)(BgL_auxz00_4091); } 
BgL_modz00_3032 = 
(BgL_offsetz00_3031/BgL_auxz00_4090); } 
{ /* Ast/remove.scm 214 */
long BgL_restz00_3034;
{ /* Ast/remove.scm 214 */
long BgL_auxz00_4095;
{ /* Ast/remove.scm 214 */
int BgL_auxz00_4096;
BgL_auxz00_4096 = 
(int)(((long)8)); 
BgL_auxz00_4095 = 
(long)(BgL_auxz00_4096); } 
BgL_restz00_3034 = 
(BgL_offsetz00_3031%BgL_auxz00_4095); } 
{ /* Ast/remove.scm 214 */

{ /* Ast/remove.scm 214 */
obj_t BgL_bucketz00_3036;
{ /* Ast/remove.scm 214 */
int BgL_kz00_3046;
BgL_kz00_3046 = 
(int)(BgL_modz00_3032); 
BgL_bucketz00_3036 = 
VECTOR_REF(BgL_arg1221z00_3027,BgL_kz00_3046); } 
{ /* Ast/remove.scm 214 */
int BgL_kz00_3048;
BgL_kz00_3048 = 
(int)(BgL_restz00_3034); 
BgL_method2663z00_3024 = 
VECTOR_REF(BgL_bucketz00_3036,BgL_kz00_3048); } } } } } } } } 
{ /* Ast/remove.scm 214 */
obj_t BgL_auxz00_4104;
BgL_auxz00_4104 = 
PROCEDURE_ENTRY(BgL_method2663z00_3024)(BgL_method2663z00_3024, 
(obj_t)(BgL_nodez00_3023), BEOA); 
BgL_res2989z00_3049 = 
(BgL_nodez00_bglt)(BgL_auxz00_4104); } } } 
BgL_arg2870z00_1820 = BgL_res2989z00_3049; } 
{ /* Ast/remove.scm 214 */
BgL_varz00_bglt BgL_val2631z00_3051;
BgL_val2631z00_3051 = 
(BgL_varz00_bglt)(BgL_arg2870z00_1820); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3051), BUNSPEC); } } 
{ /* Ast/remove.scm 215 */
BgL_nodez00_bglt BgL_arg2872z00_1822;
{ /* Ast/remove.scm 215 */
BgL_nodez00_bglt BgL_arg2873z00_1823;
BgL_arg2873z00_1823 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_valuez00); 
{ /* Ast/remove.scm 215 */
BgL_nodez00_bglt BgL_res2992z00_3079;
{ /* Ast/remove.scm 215 */
obj_t BgL_method2663z00_3054;
{ /* Ast/remove.scm 215 */
long BgL_objzd2classzd2numz00_3056;
{ /* Ast/remove.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4112;
BgL_auxz00_4112 = 
(BgL_objectz00_bglt)(BgL_arg2873z00_1823); 
BgL_objzd2classzd2numz00_3056 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4112); } 
{ /* Ast/remove.scm 215 */
obj_t BgL_arg1221z00_3057;
{ /* Ast/remove.scm 215 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(((long)1)); 
BgL_arg1221z00_3057 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4115); } 
{ /* Ast/remove.scm 215 */
long BgL_offsetz00_3061;
{ /* Ast/remove.scm 215 */
long BgL_auxz00_4118;
{ /* Ast/remove.scm 215 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(BgL_objzd2classzd2numz00_3056); 
BgL_auxz00_4118 = 
(long)(BgL_auxz00_4119); } 
BgL_offsetz00_3061 = 
(BgL_auxz00_4118-OBJECT_TYPE); } 
{ /* Ast/remove.scm 215 */
long BgL_modz00_3062;
{ /* Ast/remove.scm 215 */
long BgL_auxz00_4123;
{ /* Ast/remove.scm 215 */
int BgL_auxz00_4124;
BgL_auxz00_4124 = 
(int)(((long)8)); 
BgL_auxz00_4123 = 
(long)(BgL_auxz00_4124); } 
BgL_modz00_3062 = 
(BgL_offsetz00_3061/BgL_auxz00_4123); } 
{ /* Ast/remove.scm 215 */
long BgL_restz00_3064;
{ /* Ast/remove.scm 215 */
long BgL_auxz00_4128;
{ /* Ast/remove.scm 215 */
int BgL_auxz00_4129;
BgL_auxz00_4129 = 
(int)(((long)8)); 
BgL_auxz00_4128 = 
(long)(BgL_auxz00_4129); } 
BgL_restz00_3064 = 
(BgL_offsetz00_3061%BgL_auxz00_4128); } 
{ /* Ast/remove.scm 215 */

{ /* Ast/remove.scm 215 */
obj_t BgL_bucketz00_3066;
{ /* Ast/remove.scm 215 */
int BgL_kz00_3076;
BgL_kz00_3076 = 
(int)(BgL_modz00_3062); 
BgL_bucketz00_3066 = 
VECTOR_REF(BgL_arg1221z00_3057,BgL_kz00_3076); } 
{ /* Ast/remove.scm 215 */
int BgL_kz00_3078;
BgL_kz00_3078 = 
(int)(BgL_restz00_3064); 
BgL_method2663z00_3054 = 
VECTOR_REF(BgL_bucketz00_3066,BgL_kz00_3078); } } } } } } } } 
{ /* Ast/remove.scm 215 */
obj_t BgL_auxz00_4137;
BgL_auxz00_4137 = 
PROCEDURE_ENTRY(BgL_method2663z00_3054)(BgL_method2663z00_3054, 
(obj_t)(BgL_arg2873z00_1823), BEOA); 
BgL_res2992z00_3079 = 
(BgL_nodez00_bglt)(BgL_auxz00_4137); } } 
BgL_arg2872z00_1822 = BgL_res2992z00_3079; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1817))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2872z00_1822), BUNSPEC); } 
BgL_auxz00_4075 = BgL_nodez00_1817; 
return 
(obj_t)(BgL_auxz00_4075);} } } 
}



/* node-remove!-box-ref2693 */
obj_t BGl_nodezd2removez12zd2boxzd2ref2693zc0zzast_removez00(obj_t BgL_envz00_3403, obj_t BgL_nodez00_3404)
{ AN_OBJECT;
{ /* Ast/remove.scm 206 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1810;
{ /* Ast/remove.scm 207 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4145;
BgL_nodez00_1810 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3404); 
{ /* Ast/remove.scm 207 */
BgL_nodez00_bglt BgL_arg2867z00_1813;
{ /* Ast/remove.scm 207 */
BgL_nodez00_bglt BgL_res2986z00_3019;
{ /* Ast/remove.scm 207 */
BgL_nodez00_bglt BgL_nodez00_2993;
{ /* Ast/remove.scm 207 */
BgL_varz00_bglt BgL_auxz00_4146;
BgL_auxz00_4146 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1810))->BgL_varz00); 
BgL_nodez00_2993 = 
(BgL_nodez00_bglt)(BgL_auxz00_4146); } 
{ /* Ast/remove.scm 207 */
obj_t BgL_method2663z00_2994;
{ /* Ast/remove.scm 207 */
long BgL_objzd2classzd2numz00_2996;
{ /* Ast/remove.scm 207 */
BgL_objectz00_bglt BgL_auxz00_4149;
BgL_auxz00_4149 = 
(BgL_objectz00_bglt)(BgL_nodez00_2993); 
BgL_objzd2classzd2numz00_2996 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4149); } 
{ /* Ast/remove.scm 207 */
obj_t BgL_arg1221z00_2997;
{ /* Ast/remove.scm 207 */
int BgL_auxz00_4152;
BgL_auxz00_4152 = 
(int)(((long)1)); 
BgL_arg1221z00_2997 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4152); } 
{ /* Ast/remove.scm 207 */
long BgL_offsetz00_3001;
{ /* Ast/remove.scm 207 */
long BgL_auxz00_4155;
{ /* Ast/remove.scm 207 */
int BgL_auxz00_4156;
BgL_auxz00_4156 = 
(int)(BgL_objzd2classzd2numz00_2996); 
BgL_auxz00_4155 = 
(long)(BgL_auxz00_4156); } 
BgL_offsetz00_3001 = 
(BgL_auxz00_4155-OBJECT_TYPE); } 
{ /* Ast/remove.scm 207 */
long BgL_modz00_3002;
{ /* Ast/remove.scm 207 */
long BgL_auxz00_4160;
{ /* Ast/remove.scm 207 */
int BgL_auxz00_4161;
BgL_auxz00_4161 = 
(int)(((long)8)); 
BgL_auxz00_4160 = 
(long)(BgL_auxz00_4161); } 
BgL_modz00_3002 = 
(BgL_offsetz00_3001/BgL_auxz00_4160); } 
{ /* Ast/remove.scm 207 */
long BgL_restz00_3004;
{ /* Ast/remove.scm 207 */
long BgL_auxz00_4165;
{ /* Ast/remove.scm 207 */
int BgL_auxz00_4166;
BgL_auxz00_4166 = 
(int)(((long)8)); 
BgL_auxz00_4165 = 
(long)(BgL_auxz00_4166); } 
BgL_restz00_3004 = 
(BgL_offsetz00_3001%BgL_auxz00_4165); } 
{ /* Ast/remove.scm 207 */

{ /* Ast/remove.scm 207 */
obj_t BgL_bucketz00_3006;
{ /* Ast/remove.scm 207 */
int BgL_kz00_3016;
BgL_kz00_3016 = 
(int)(BgL_modz00_3002); 
BgL_bucketz00_3006 = 
VECTOR_REF(BgL_arg1221z00_2997,BgL_kz00_3016); } 
{ /* Ast/remove.scm 207 */
int BgL_kz00_3018;
BgL_kz00_3018 = 
(int)(BgL_restz00_3004); 
BgL_method2663z00_2994 = 
VECTOR_REF(BgL_bucketz00_3006,BgL_kz00_3018); } } } } } } } } 
{ /* Ast/remove.scm 207 */
obj_t BgL_auxz00_4174;
BgL_auxz00_4174 = 
PROCEDURE_ENTRY(BgL_method2663z00_2994)(BgL_method2663z00_2994, 
(obj_t)(BgL_nodez00_2993), BEOA); 
BgL_res2986z00_3019 = 
(BgL_nodez00_bglt)(BgL_auxz00_4174); } } } 
BgL_arg2867z00_1813 = BgL_res2986z00_3019; } 
{ /* Ast/remove.scm 207 */
BgL_varz00_bglt BgL_val2603z00_3021;
BgL_val2603z00_3021 = 
(BgL_varz00_bglt)(BgL_arg2867z00_1813); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1810))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3021), BUNSPEC); } } 
BgL_auxz00_4145 = BgL_nodez00_1810; 
return 
(obj_t)(BgL_auxz00_4145);} } } 
}



/* node-remove!-make-box2691 */
obj_t BGl_nodezd2removez12zd2makezd2box2691zc0zzast_removez00(obj_t BgL_envz00_3405, obj_t BgL_nodez00_3406)
{ AN_OBJECT;
{ /* Ast/remove.scm 199 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1803;
{ /* Ast/remove.scm 200 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4183;
BgL_nodez00_1803 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3406); 
{ /* Ast/remove.scm 200 */
BgL_nodez00_bglt BgL_arg2864z00_1806;
{ /* Ast/remove.scm 200 */
BgL_nodez00_bglt BgL_arg2865z00_1807;
BgL_arg2865z00_1807 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1803))->BgL_valuez00); 
{ /* Ast/remove.scm 200 */
BgL_nodez00_bglt BgL_res2983z00_2989;
{ /* Ast/remove.scm 200 */
obj_t BgL_method2663z00_2964;
{ /* Ast/remove.scm 200 */
long BgL_objzd2classzd2numz00_2966;
{ /* Ast/remove.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4185;
BgL_auxz00_4185 = 
(BgL_objectz00_bglt)(BgL_arg2865z00_1807); 
BgL_objzd2classzd2numz00_2966 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4185); } 
{ /* Ast/remove.scm 200 */
obj_t BgL_arg1221z00_2967;
{ /* Ast/remove.scm 200 */
int BgL_auxz00_4188;
BgL_auxz00_4188 = 
(int)(((long)1)); 
BgL_arg1221z00_2967 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4188); } 
{ /* Ast/remove.scm 200 */
long BgL_offsetz00_2971;
{ /* Ast/remove.scm 200 */
long BgL_auxz00_4191;
{ /* Ast/remove.scm 200 */
int BgL_auxz00_4192;
BgL_auxz00_4192 = 
(int)(BgL_objzd2classzd2numz00_2966); 
BgL_auxz00_4191 = 
(long)(BgL_auxz00_4192); } 
BgL_offsetz00_2971 = 
(BgL_auxz00_4191-OBJECT_TYPE); } 
{ /* Ast/remove.scm 200 */
long BgL_modz00_2972;
{ /* Ast/remove.scm 200 */
long BgL_auxz00_4196;
{ /* Ast/remove.scm 200 */
int BgL_auxz00_4197;
BgL_auxz00_4197 = 
(int)(((long)8)); 
BgL_auxz00_4196 = 
(long)(BgL_auxz00_4197); } 
BgL_modz00_2972 = 
(BgL_offsetz00_2971/BgL_auxz00_4196); } 
{ /* Ast/remove.scm 200 */
long BgL_restz00_2974;
{ /* Ast/remove.scm 200 */
long BgL_auxz00_4201;
{ /* Ast/remove.scm 200 */
int BgL_auxz00_4202;
BgL_auxz00_4202 = 
(int)(((long)8)); 
BgL_auxz00_4201 = 
(long)(BgL_auxz00_4202); } 
BgL_restz00_2974 = 
(BgL_offsetz00_2971%BgL_auxz00_4201); } 
{ /* Ast/remove.scm 200 */

{ /* Ast/remove.scm 200 */
obj_t BgL_bucketz00_2976;
{ /* Ast/remove.scm 200 */
int BgL_kz00_2986;
BgL_kz00_2986 = 
(int)(BgL_modz00_2972); 
BgL_bucketz00_2976 = 
VECTOR_REF(BgL_arg1221z00_2967,BgL_kz00_2986); } 
{ /* Ast/remove.scm 200 */
int BgL_kz00_2988;
BgL_kz00_2988 = 
(int)(BgL_restz00_2974); 
BgL_method2663z00_2964 = 
VECTOR_REF(BgL_bucketz00_2976,BgL_kz00_2988); } } } } } } } } 
{ /* Ast/remove.scm 200 */
obj_t BgL_auxz00_4210;
BgL_auxz00_4210 = 
PROCEDURE_ENTRY(BgL_method2663z00_2964)(BgL_method2663z00_2964, 
(obj_t)(BgL_arg2865z00_1807), BEOA); 
BgL_res2983z00_2989 = 
(BgL_nodez00_bglt)(BgL_auxz00_4210); } } 
BgL_arg2864z00_1806 = BgL_res2983z00_2989; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1803))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2864z00_1806), BUNSPEC); } 
BgL_auxz00_4183 = BgL_nodez00_1803; 
return 
(obj_t)(BgL_auxz00_4183);} } } 
}



/* node-remove!-select2689 */
obj_t BGl_nodezd2removez12zd2select2689z12zzast_removez00(obj_t BgL_envz00_3407, obj_t BgL_nodez00_3408)
{ AN_OBJECT;
{ /* Ast/remove.scm 189 */
{ 
BgL_selectz00_bglt BgL_nodez00_1788;
{ /* Ast/remove.scm 190 */
BgL_selectz00_bglt BgL_auxz00_4218;
BgL_nodez00_1788 = 
(BgL_selectz00_bglt)(BgL_nodez00_3408); 
{ /* Ast/remove.scm 190 */
BgL_nodez00_bglt BgL_arg2856z00_1791;
{ /* Ast/remove.scm 190 */
BgL_nodez00_bglt BgL_arg2857z00_1792;
BgL_arg2857z00_1792 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1788))->BgL_testz00); 
{ /* Ast/remove.scm 190 */
BgL_nodez00_bglt BgL_res2977z00_2925;
{ /* Ast/remove.scm 190 */
obj_t BgL_method2663z00_2900;
{ /* Ast/remove.scm 190 */
long BgL_objzd2classzd2numz00_2902;
{ /* Ast/remove.scm 190 */
BgL_objectz00_bglt BgL_auxz00_4220;
BgL_auxz00_4220 = 
(BgL_objectz00_bglt)(BgL_arg2857z00_1792); 
BgL_objzd2classzd2numz00_2902 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4220); } 
{ /* Ast/remove.scm 190 */
obj_t BgL_arg1221z00_2903;
{ /* Ast/remove.scm 190 */
int BgL_auxz00_4223;
BgL_auxz00_4223 = 
(int)(((long)1)); 
BgL_arg1221z00_2903 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4223); } 
{ /* Ast/remove.scm 190 */
long BgL_offsetz00_2907;
{ /* Ast/remove.scm 190 */
long BgL_auxz00_4226;
{ /* Ast/remove.scm 190 */
int BgL_auxz00_4227;
BgL_auxz00_4227 = 
(int)(BgL_objzd2classzd2numz00_2902); 
BgL_auxz00_4226 = 
(long)(BgL_auxz00_4227); } 
BgL_offsetz00_2907 = 
(BgL_auxz00_4226-OBJECT_TYPE); } 
{ /* Ast/remove.scm 190 */
long BgL_modz00_2908;
{ /* Ast/remove.scm 190 */
long BgL_auxz00_4231;
{ /* Ast/remove.scm 190 */
int BgL_auxz00_4232;
BgL_auxz00_4232 = 
(int)(((long)8)); 
BgL_auxz00_4231 = 
(long)(BgL_auxz00_4232); } 
BgL_modz00_2908 = 
(BgL_offsetz00_2907/BgL_auxz00_4231); } 
{ /* Ast/remove.scm 190 */
long BgL_restz00_2910;
{ /* Ast/remove.scm 190 */
long BgL_auxz00_4236;
{ /* Ast/remove.scm 190 */
int BgL_auxz00_4237;
BgL_auxz00_4237 = 
(int)(((long)8)); 
BgL_auxz00_4236 = 
(long)(BgL_auxz00_4237); } 
BgL_restz00_2910 = 
(BgL_offsetz00_2907%BgL_auxz00_4236); } 
{ /* Ast/remove.scm 190 */

{ /* Ast/remove.scm 190 */
obj_t BgL_bucketz00_2912;
{ /* Ast/remove.scm 190 */
int BgL_kz00_2922;
BgL_kz00_2922 = 
(int)(BgL_modz00_2908); 
BgL_bucketz00_2912 = 
VECTOR_REF(BgL_arg1221z00_2903,BgL_kz00_2922); } 
{ /* Ast/remove.scm 190 */
int BgL_kz00_2924;
BgL_kz00_2924 = 
(int)(BgL_restz00_2910); 
BgL_method2663z00_2900 = 
VECTOR_REF(BgL_bucketz00_2912,BgL_kz00_2924); } } } } } } } } 
{ /* Ast/remove.scm 190 */
obj_t BgL_auxz00_4245;
BgL_auxz00_4245 = 
PROCEDURE_ENTRY(BgL_method2663z00_2900)(BgL_method2663z00_2900, 
(obj_t)(BgL_arg2857z00_1792), BEOA); 
BgL_res2977z00_2925 = 
(BgL_nodez00_bglt)(BgL_auxz00_4245); } } 
BgL_arg2856z00_1791 = BgL_res2977z00_2925; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1788))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2856z00_1791), BUNSPEC); } 
{ 
obj_t BgL_l2655z00_1793;
BgL_l2655z00_1793 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1788))->BgL_clausesz00); 
BgL_lname2656z00_1794:
if(
PAIRP(BgL_l2655z00_1793))
{ /* Ast/remove.scm 191 */
{ /* Ast/remove.scm 192 */
obj_t BgL_clausez00_1797;
BgL_clausez00_1797 = 
CAR(BgL_l2655z00_1793); 
{ /* Ast/remove.scm 192 */
BgL_nodez00_bglt BgL_arg2860z00_1798;
{ /* Ast/remove.scm 192 */
BgL_nodez00_bglt BgL_res2980z00_2958;
{ /* Ast/remove.scm 192 */
BgL_nodez00_bglt BgL_nodez00_2932;
{ /* Ast/remove.scm 192 */
obj_t BgL_auxz00_4254;
BgL_auxz00_4254 = 
CDR(BgL_clausez00_1797); 
BgL_nodez00_2932 = 
(BgL_nodez00_bglt)(BgL_auxz00_4254); } 
{ /* Ast/remove.scm 192 */
obj_t BgL_method2663z00_2933;
{ /* Ast/remove.scm 192 */
long BgL_objzd2classzd2numz00_2935;
{ /* Ast/remove.scm 192 */
BgL_objectz00_bglt BgL_auxz00_4257;
BgL_auxz00_4257 = 
(BgL_objectz00_bglt)(BgL_nodez00_2932); 
BgL_objzd2classzd2numz00_2935 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4257); } 
{ /* Ast/remove.scm 192 */
obj_t BgL_arg1221z00_2936;
{ /* Ast/remove.scm 192 */
int BgL_auxz00_4260;
BgL_auxz00_4260 = 
(int)(((long)1)); 
BgL_arg1221z00_2936 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4260); } 
{ /* Ast/remove.scm 192 */
long BgL_offsetz00_2940;
{ /* Ast/remove.scm 192 */
long BgL_auxz00_4263;
{ /* Ast/remove.scm 192 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(BgL_objzd2classzd2numz00_2935); 
BgL_auxz00_4263 = 
(long)(BgL_auxz00_4264); } 
BgL_offsetz00_2940 = 
(BgL_auxz00_4263-OBJECT_TYPE); } 
{ /* Ast/remove.scm 192 */
long BgL_modz00_2941;
{ /* Ast/remove.scm 192 */
long BgL_auxz00_4268;
{ /* Ast/remove.scm 192 */
int BgL_auxz00_4269;
BgL_auxz00_4269 = 
(int)(((long)8)); 
BgL_auxz00_4268 = 
(long)(BgL_auxz00_4269); } 
BgL_modz00_2941 = 
(BgL_offsetz00_2940/BgL_auxz00_4268); } 
{ /* Ast/remove.scm 192 */
long BgL_restz00_2943;
{ /* Ast/remove.scm 192 */
long BgL_auxz00_4273;
{ /* Ast/remove.scm 192 */
int BgL_auxz00_4274;
BgL_auxz00_4274 = 
(int)(((long)8)); 
BgL_auxz00_4273 = 
(long)(BgL_auxz00_4274); } 
BgL_restz00_2943 = 
(BgL_offsetz00_2940%BgL_auxz00_4273); } 
{ /* Ast/remove.scm 192 */

{ /* Ast/remove.scm 192 */
obj_t BgL_bucketz00_2945;
{ /* Ast/remove.scm 192 */
int BgL_kz00_2955;
BgL_kz00_2955 = 
(int)(BgL_modz00_2941); 
BgL_bucketz00_2945 = 
VECTOR_REF(BgL_arg1221z00_2936,BgL_kz00_2955); } 
{ /* Ast/remove.scm 192 */
int BgL_kz00_2957;
BgL_kz00_2957 = 
(int)(BgL_restz00_2943); 
BgL_method2663z00_2933 = 
VECTOR_REF(BgL_bucketz00_2945,BgL_kz00_2957); } } } } } } } } 
{ /* Ast/remove.scm 192 */
obj_t BgL_auxz00_4282;
BgL_auxz00_4282 = 
PROCEDURE_ENTRY(BgL_method2663z00_2933)(BgL_method2663z00_2933, 
(obj_t)(BgL_nodez00_2932), BEOA); 
BgL_res2980z00_2958 = 
(BgL_nodez00_bglt)(BgL_auxz00_4282); } } } 
BgL_arg2860z00_1798 = BgL_res2980z00_2958; } 
{ /* Ast/remove.scm 192 */
obj_t BgL_auxz00_4287;
BgL_auxz00_4287 = 
(obj_t)(BgL_arg2860z00_1798); 
SET_CDR(BgL_clausez00_1797, BgL_auxz00_4287); } } } 
{ 
obj_t BgL_l2655z00_4290;
BgL_l2655z00_4290 = 
CDR(BgL_l2655z00_1793); 
BgL_l2655z00_1793 = BgL_l2655z00_4290; 
goto BgL_lname2656z00_1794;} }  else 
{ /* Ast/remove.scm 191 */((bool_t)1); } } 
BgL_auxz00_4218 = BgL_nodez00_1788; 
return 
(obj_t)(BgL_auxz00_4218);} } } 
}



/* node-remove!-fail2687 */
obj_t BGl_nodezd2removez12zd2fail2687z12zzast_removez00(obj_t BgL_envz00_3409, obj_t BgL_nodez00_3410)
{ AN_OBJECT;
{ /* Ast/remove.scm 180 */
{ 
BgL_failz00_bglt BgL_nodez00_1777;
{ /* Ast/remove.scm 181 */
BgL_failz00_bglt BgL_auxz00_4295;
BgL_nodez00_1777 = 
(BgL_failz00_bglt)(BgL_nodez00_3410); 
{ /* Ast/remove.scm 181 */
BgL_nodez00_bglt BgL_arg2848z00_1780;
{ /* Ast/remove.scm 181 */
BgL_nodez00_bglt BgL_arg2850z00_1781;
BgL_arg2850z00_1781 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_procz00); 
{ /* Ast/remove.scm 181 */
BgL_nodez00_bglt BgL_res2968z00_2835;
{ /* Ast/remove.scm 181 */
obj_t BgL_method2663z00_2810;
{ /* Ast/remove.scm 181 */
long BgL_objzd2classzd2numz00_2812;
{ /* Ast/remove.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4297;
BgL_auxz00_4297 = 
(BgL_objectz00_bglt)(BgL_arg2850z00_1781); 
BgL_objzd2classzd2numz00_2812 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4297); } 
{ /* Ast/remove.scm 181 */
obj_t BgL_arg1221z00_2813;
{ /* Ast/remove.scm 181 */
int BgL_auxz00_4300;
BgL_auxz00_4300 = 
(int)(((long)1)); 
BgL_arg1221z00_2813 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4300); } 
{ /* Ast/remove.scm 181 */
long BgL_offsetz00_2817;
{ /* Ast/remove.scm 181 */
long BgL_auxz00_4303;
{ /* Ast/remove.scm 181 */
int BgL_auxz00_4304;
BgL_auxz00_4304 = 
(int)(BgL_objzd2classzd2numz00_2812); 
BgL_auxz00_4303 = 
(long)(BgL_auxz00_4304); } 
BgL_offsetz00_2817 = 
(BgL_auxz00_4303-OBJECT_TYPE); } 
{ /* Ast/remove.scm 181 */
long BgL_modz00_2818;
{ /* Ast/remove.scm 181 */
long BgL_auxz00_4308;
{ /* Ast/remove.scm 181 */
int BgL_auxz00_4309;
BgL_auxz00_4309 = 
(int)(((long)8)); 
BgL_auxz00_4308 = 
(long)(BgL_auxz00_4309); } 
BgL_modz00_2818 = 
(BgL_offsetz00_2817/BgL_auxz00_4308); } 
{ /* Ast/remove.scm 181 */
long BgL_restz00_2820;
{ /* Ast/remove.scm 181 */
long BgL_auxz00_4313;
{ /* Ast/remove.scm 181 */
int BgL_auxz00_4314;
BgL_auxz00_4314 = 
(int)(((long)8)); 
BgL_auxz00_4313 = 
(long)(BgL_auxz00_4314); } 
BgL_restz00_2820 = 
(BgL_offsetz00_2817%BgL_auxz00_4313); } 
{ /* Ast/remove.scm 181 */

{ /* Ast/remove.scm 181 */
obj_t BgL_bucketz00_2822;
{ /* Ast/remove.scm 181 */
int BgL_kz00_2832;
BgL_kz00_2832 = 
(int)(BgL_modz00_2818); 
BgL_bucketz00_2822 = 
VECTOR_REF(BgL_arg1221z00_2813,BgL_kz00_2832); } 
{ /* Ast/remove.scm 181 */
int BgL_kz00_2834;
BgL_kz00_2834 = 
(int)(BgL_restz00_2820); 
BgL_method2663z00_2810 = 
VECTOR_REF(BgL_bucketz00_2822,BgL_kz00_2834); } } } } } } } } 
{ /* Ast/remove.scm 181 */
obj_t BgL_auxz00_4322;
BgL_auxz00_4322 = 
PROCEDURE_ENTRY(BgL_method2663z00_2810)(BgL_method2663z00_2810, 
(obj_t)(BgL_arg2850z00_1781), BEOA); 
BgL_res2968z00_2835 = 
(BgL_nodez00_bglt)(BgL_auxz00_4322); } } 
BgL_arg2848z00_1780 = BgL_res2968z00_2835; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2848z00_1780), BUNSPEC); } 
{ /* Ast/remove.scm 182 */
BgL_nodez00_bglt BgL_arg2851z00_1782;
{ /* Ast/remove.scm 182 */
BgL_nodez00_bglt BgL_arg2852z00_1783;
BgL_arg2852z00_1783 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_msgz00); 
{ /* Ast/remove.scm 182 */
BgL_nodez00_bglt BgL_res2971z00_2865;
{ /* Ast/remove.scm 182 */
obj_t BgL_method2663z00_2840;
{ /* Ast/remove.scm 182 */
long BgL_objzd2classzd2numz00_2842;
{ /* Ast/remove.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4329;
BgL_auxz00_4329 = 
(BgL_objectz00_bglt)(BgL_arg2852z00_1783); 
BgL_objzd2classzd2numz00_2842 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4329); } 
{ /* Ast/remove.scm 182 */
obj_t BgL_arg1221z00_2843;
{ /* Ast/remove.scm 182 */
int BgL_auxz00_4332;
BgL_auxz00_4332 = 
(int)(((long)1)); 
BgL_arg1221z00_2843 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4332); } 
{ /* Ast/remove.scm 182 */
long BgL_offsetz00_2847;
{ /* Ast/remove.scm 182 */
long BgL_auxz00_4335;
{ /* Ast/remove.scm 182 */
int BgL_auxz00_4336;
BgL_auxz00_4336 = 
(int)(BgL_objzd2classzd2numz00_2842); 
BgL_auxz00_4335 = 
(long)(BgL_auxz00_4336); } 
BgL_offsetz00_2847 = 
(BgL_auxz00_4335-OBJECT_TYPE); } 
{ /* Ast/remove.scm 182 */
long BgL_modz00_2848;
{ /* Ast/remove.scm 182 */
long BgL_auxz00_4340;
{ /* Ast/remove.scm 182 */
int BgL_auxz00_4341;
BgL_auxz00_4341 = 
(int)(((long)8)); 
BgL_auxz00_4340 = 
(long)(BgL_auxz00_4341); } 
BgL_modz00_2848 = 
(BgL_offsetz00_2847/BgL_auxz00_4340); } 
{ /* Ast/remove.scm 182 */
long BgL_restz00_2850;
{ /* Ast/remove.scm 182 */
long BgL_auxz00_4345;
{ /* Ast/remove.scm 182 */
int BgL_auxz00_4346;
BgL_auxz00_4346 = 
(int)(((long)8)); 
BgL_auxz00_4345 = 
(long)(BgL_auxz00_4346); } 
BgL_restz00_2850 = 
(BgL_offsetz00_2847%BgL_auxz00_4345); } 
{ /* Ast/remove.scm 182 */

{ /* Ast/remove.scm 182 */
obj_t BgL_bucketz00_2852;
{ /* Ast/remove.scm 182 */
int BgL_kz00_2862;
BgL_kz00_2862 = 
(int)(BgL_modz00_2848); 
BgL_bucketz00_2852 = 
VECTOR_REF(BgL_arg1221z00_2843,BgL_kz00_2862); } 
{ /* Ast/remove.scm 182 */
int BgL_kz00_2864;
BgL_kz00_2864 = 
(int)(BgL_restz00_2850); 
BgL_method2663z00_2840 = 
VECTOR_REF(BgL_bucketz00_2852,BgL_kz00_2864); } } } } } } } } 
{ /* Ast/remove.scm 182 */
obj_t BgL_auxz00_4354;
BgL_auxz00_4354 = 
PROCEDURE_ENTRY(BgL_method2663z00_2840)(BgL_method2663z00_2840, 
(obj_t)(BgL_arg2852z00_1783), BEOA); 
BgL_res2971z00_2865 = 
(BgL_nodez00_bglt)(BgL_auxz00_4354); } } 
BgL_arg2851z00_1782 = BgL_res2971z00_2865; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2851z00_1782), BUNSPEC); } 
{ /* Ast/remove.scm 183 */
BgL_nodez00_bglt BgL_arg2853z00_1784;
{ /* Ast/remove.scm 183 */
BgL_nodez00_bglt BgL_arg2854z00_1785;
BgL_arg2854z00_1785 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_objz00); 
{ /* Ast/remove.scm 183 */
BgL_nodez00_bglt BgL_res2974z00_2895;
{ /* Ast/remove.scm 183 */
obj_t BgL_method2663z00_2870;
{ /* Ast/remove.scm 183 */
long BgL_objzd2classzd2numz00_2872;
{ /* Ast/remove.scm 183 */
BgL_objectz00_bglt BgL_auxz00_4361;
BgL_auxz00_4361 = 
(BgL_objectz00_bglt)(BgL_arg2854z00_1785); 
BgL_objzd2classzd2numz00_2872 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4361); } 
{ /* Ast/remove.scm 183 */
obj_t BgL_arg1221z00_2873;
{ /* Ast/remove.scm 183 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)1)); 
BgL_arg1221z00_2873 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4364); } 
{ /* Ast/remove.scm 183 */
long BgL_offsetz00_2877;
{ /* Ast/remove.scm 183 */
long BgL_auxz00_4367;
{ /* Ast/remove.scm 183 */
int BgL_auxz00_4368;
BgL_auxz00_4368 = 
(int)(BgL_objzd2classzd2numz00_2872); 
BgL_auxz00_4367 = 
(long)(BgL_auxz00_4368); } 
BgL_offsetz00_2877 = 
(BgL_auxz00_4367-OBJECT_TYPE); } 
{ /* Ast/remove.scm 183 */
long BgL_modz00_2878;
{ /* Ast/remove.scm 183 */
long BgL_auxz00_4372;
{ /* Ast/remove.scm 183 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(((long)8)); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_modz00_2878 = 
(BgL_offsetz00_2877/BgL_auxz00_4372); } 
{ /* Ast/remove.scm 183 */
long BgL_restz00_2880;
{ /* Ast/remove.scm 183 */
long BgL_auxz00_4377;
{ /* Ast/remove.scm 183 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)8)); 
BgL_auxz00_4377 = 
(long)(BgL_auxz00_4378); } 
BgL_restz00_2880 = 
(BgL_offsetz00_2877%BgL_auxz00_4377); } 
{ /* Ast/remove.scm 183 */

{ /* Ast/remove.scm 183 */
obj_t BgL_bucketz00_2882;
{ /* Ast/remove.scm 183 */
int BgL_kz00_2892;
BgL_kz00_2892 = 
(int)(BgL_modz00_2878); 
BgL_bucketz00_2882 = 
VECTOR_REF(BgL_arg1221z00_2873,BgL_kz00_2892); } 
{ /* Ast/remove.scm 183 */
int BgL_kz00_2894;
BgL_kz00_2894 = 
(int)(BgL_restz00_2880); 
BgL_method2663z00_2870 = 
VECTOR_REF(BgL_bucketz00_2882,BgL_kz00_2894); } } } } } } } } 
{ /* Ast/remove.scm 183 */
obj_t BgL_auxz00_4386;
BgL_auxz00_4386 = 
PROCEDURE_ENTRY(BgL_method2663z00_2870)(BgL_method2663z00_2870, 
(obj_t)(BgL_arg2854z00_1785), BEOA); 
BgL_res2974z00_2895 = 
(BgL_nodez00_bglt)(BgL_auxz00_4386); } } 
BgL_arg2853z00_1784 = BgL_res2974z00_2895; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1777))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2853z00_1784), BUNSPEC); } 
BgL_auxz00_4295 = BgL_nodez00_1777; 
return 
(obj_t)(BgL_auxz00_4295);} } } 
}



/* node-remove!-conditional2685 */
obj_t BGl_nodezd2removez12zd2conditional2685z12zzast_removez00(obj_t BgL_envz00_3411, obj_t BgL_nodez00_3412)
{ AN_OBJECT;
{ /* Ast/remove.scm 171 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1766;
{ /* Ast/remove.scm 172 */
BgL_conditionalz00_bglt BgL_auxz00_4394;
BgL_nodez00_1766 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3412); 
{ /* Ast/remove.scm 172 */
BgL_nodez00_bglt BgL_arg2841z00_1769;
{ /* Ast/remove.scm 172 */
BgL_nodez00_bglt BgL_arg2842z00_1770;
BgL_arg2842z00_1770 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_testz00); 
{ /* Ast/remove.scm 172 */
BgL_nodez00_bglt BgL_res2959z00_2745;
{ /* Ast/remove.scm 172 */
obj_t BgL_method2663z00_2720;
{ /* Ast/remove.scm 172 */
long BgL_objzd2classzd2numz00_2722;
{ /* Ast/remove.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4396;
BgL_auxz00_4396 = 
(BgL_objectz00_bglt)(BgL_arg2842z00_1770); 
BgL_objzd2classzd2numz00_2722 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4396); } 
{ /* Ast/remove.scm 172 */
obj_t BgL_arg1221z00_2723;
{ /* Ast/remove.scm 172 */
int BgL_auxz00_4399;
BgL_auxz00_4399 = 
(int)(((long)1)); 
BgL_arg1221z00_2723 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4399); } 
{ /* Ast/remove.scm 172 */
long BgL_offsetz00_2727;
{ /* Ast/remove.scm 172 */
long BgL_auxz00_4402;
{ /* Ast/remove.scm 172 */
int BgL_auxz00_4403;
BgL_auxz00_4403 = 
(int)(BgL_objzd2classzd2numz00_2722); 
BgL_auxz00_4402 = 
(long)(BgL_auxz00_4403); } 
BgL_offsetz00_2727 = 
(BgL_auxz00_4402-OBJECT_TYPE); } 
{ /* Ast/remove.scm 172 */
long BgL_modz00_2728;
{ /* Ast/remove.scm 172 */
long BgL_auxz00_4407;
{ /* Ast/remove.scm 172 */
int BgL_auxz00_4408;
BgL_auxz00_4408 = 
(int)(((long)8)); 
BgL_auxz00_4407 = 
(long)(BgL_auxz00_4408); } 
BgL_modz00_2728 = 
(BgL_offsetz00_2727/BgL_auxz00_4407); } 
{ /* Ast/remove.scm 172 */
long BgL_restz00_2730;
{ /* Ast/remove.scm 172 */
long BgL_auxz00_4412;
{ /* Ast/remove.scm 172 */
int BgL_auxz00_4413;
BgL_auxz00_4413 = 
(int)(((long)8)); 
BgL_auxz00_4412 = 
(long)(BgL_auxz00_4413); } 
BgL_restz00_2730 = 
(BgL_offsetz00_2727%BgL_auxz00_4412); } 
{ /* Ast/remove.scm 172 */

{ /* Ast/remove.scm 172 */
obj_t BgL_bucketz00_2732;
{ /* Ast/remove.scm 172 */
int BgL_kz00_2742;
BgL_kz00_2742 = 
(int)(BgL_modz00_2728); 
BgL_bucketz00_2732 = 
VECTOR_REF(BgL_arg1221z00_2723,BgL_kz00_2742); } 
{ /* Ast/remove.scm 172 */
int BgL_kz00_2744;
BgL_kz00_2744 = 
(int)(BgL_restz00_2730); 
BgL_method2663z00_2720 = 
VECTOR_REF(BgL_bucketz00_2732,BgL_kz00_2744); } } } } } } } } 
{ /* Ast/remove.scm 172 */
obj_t BgL_auxz00_4421;
BgL_auxz00_4421 = 
PROCEDURE_ENTRY(BgL_method2663z00_2720)(BgL_method2663z00_2720, 
(obj_t)(BgL_arg2842z00_1770), BEOA); 
BgL_res2959z00_2745 = 
(BgL_nodez00_bglt)(BgL_auxz00_4421); } } 
BgL_arg2841z00_1769 = BgL_res2959z00_2745; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2841z00_1769), BUNSPEC); } 
{ /* Ast/remove.scm 173 */
BgL_nodez00_bglt BgL_arg2843z00_1771;
{ /* Ast/remove.scm 173 */
BgL_nodez00_bglt BgL_arg2844z00_1772;
BgL_arg2844z00_1772 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_truez00); 
{ /* Ast/remove.scm 173 */
BgL_nodez00_bglt BgL_res2962z00_2775;
{ /* Ast/remove.scm 173 */
obj_t BgL_method2663z00_2750;
{ /* Ast/remove.scm 173 */
long BgL_objzd2classzd2numz00_2752;
{ /* Ast/remove.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4428;
BgL_auxz00_4428 = 
(BgL_objectz00_bglt)(BgL_arg2844z00_1772); 
BgL_objzd2classzd2numz00_2752 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4428); } 
{ /* Ast/remove.scm 173 */
obj_t BgL_arg1221z00_2753;
{ /* Ast/remove.scm 173 */
int BgL_auxz00_4431;
BgL_auxz00_4431 = 
(int)(((long)1)); 
BgL_arg1221z00_2753 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4431); } 
{ /* Ast/remove.scm 173 */
long BgL_offsetz00_2757;
{ /* Ast/remove.scm 173 */
long BgL_auxz00_4434;
{ /* Ast/remove.scm 173 */
int BgL_auxz00_4435;
BgL_auxz00_4435 = 
(int)(BgL_objzd2classzd2numz00_2752); 
BgL_auxz00_4434 = 
(long)(BgL_auxz00_4435); } 
BgL_offsetz00_2757 = 
(BgL_auxz00_4434-OBJECT_TYPE); } 
{ /* Ast/remove.scm 173 */
long BgL_modz00_2758;
{ /* Ast/remove.scm 173 */
long BgL_auxz00_4439;
{ /* Ast/remove.scm 173 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(((long)8)); 
BgL_auxz00_4439 = 
(long)(BgL_auxz00_4440); } 
BgL_modz00_2758 = 
(BgL_offsetz00_2757/BgL_auxz00_4439); } 
{ /* Ast/remove.scm 173 */
long BgL_restz00_2760;
{ /* Ast/remove.scm 173 */
long BgL_auxz00_4444;
{ /* Ast/remove.scm 173 */
int BgL_auxz00_4445;
BgL_auxz00_4445 = 
(int)(((long)8)); 
BgL_auxz00_4444 = 
(long)(BgL_auxz00_4445); } 
BgL_restz00_2760 = 
(BgL_offsetz00_2757%BgL_auxz00_4444); } 
{ /* Ast/remove.scm 173 */

{ /* Ast/remove.scm 173 */
obj_t BgL_bucketz00_2762;
{ /* Ast/remove.scm 173 */
int BgL_kz00_2772;
BgL_kz00_2772 = 
(int)(BgL_modz00_2758); 
BgL_bucketz00_2762 = 
VECTOR_REF(BgL_arg1221z00_2753,BgL_kz00_2772); } 
{ /* Ast/remove.scm 173 */
int BgL_kz00_2774;
BgL_kz00_2774 = 
(int)(BgL_restz00_2760); 
BgL_method2663z00_2750 = 
VECTOR_REF(BgL_bucketz00_2762,BgL_kz00_2774); } } } } } } } } 
{ /* Ast/remove.scm 173 */
obj_t BgL_auxz00_4453;
BgL_auxz00_4453 = 
PROCEDURE_ENTRY(BgL_method2663z00_2750)(BgL_method2663z00_2750, 
(obj_t)(BgL_arg2844z00_1772), BEOA); 
BgL_res2962z00_2775 = 
(BgL_nodez00_bglt)(BgL_auxz00_4453); } } 
BgL_arg2843z00_1771 = BgL_res2962z00_2775; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2843z00_1771), BUNSPEC); } 
{ /* Ast/remove.scm 174 */
BgL_nodez00_bglt BgL_arg2845z00_1773;
{ /* Ast/remove.scm 174 */
BgL_nodez00_bglt BgL_arg2846z00_1774;
BgL_arg2846z00_1774 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_falsez00); 
{ /* Ast/remove.scm 174 */
BgL_nodez00_bglt BgL_res2965z00_2805;
{ /* Ast/remove.scm 174 */
obj_t BgL_method2663z00_2780;
{ /* Ast/remove.scm 174 */
long BgL_objzd2classzd2numz00_2782;
{ /* Ast/remove.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4460;
BgL_auxz00_4460 = 
(BgL_objectz00_bglt)(BgL_arg2846z00_1774); 
BgL_objzd2classzd2numz00_2782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4460); } 
{ /* Ast/remove.scm 174 */
obj_t BgL_arg1221z00_2783;
{ /* Ast/remove.scm 174 */
int BgL_auxz00_4463;
BgL_auxz00_4463 = 
(int)(((long)1)); 
BgL_arg1221z00_2783 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4463); } 
{ /* Ast/remove.scm 174 */
long BgL_offsetz00_2787;
{ /* Ast/remove.scm 174 */
long BgL_auxz00_4466;
{ /* Ast/remove.scm 174 */
int BgL_auxz00_4467;
BgL_auxz00_4467 = 
(int)(BgL_objzd2classzd2numz00_2782); 
BgL_auxz00_4466 = 
(long)(BgL_auxz00_4467); } 
BgL_offsetz00_2787 = 
(BgL_auxz00_4466-OBJECT_TYPE); } 
{ /* Ast/remove.scm 174 */
long BgL_modz00_2788;
{ /* Ast/remove.scm 174 */
long BgL_auxz00_4471;
{ /* Ast/remove.scm 174 */
int BgL_auxz00_4472;
BgL_auxz00_4472 = 
(int)(((long)8)); 
BgL_auxz00_4471 = 
(long)(BgL_auxz00_4472); } 
BgL_modz00_2788 = 
(BgL_offsetz00_2787/BgL_auxz00_4471); } 
{ /* Ast/remove.scm 174 */
long BgL_restz00_2790;
{ /* Ast/remove.scm 174 */
long BgL_auxz00_4476;
{ /* Ast/remove.scm 174 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)8)); 
BgL_auxz00_4476 = 
(long)(BgL_auxz00_4477); } 
BgL_restz00_2790 = 
(BgL_offsetz00_2787%BgL_auxz00_4476); } 
{ /* Ast/remove.scm 174 */

{ /* Ast/remove.scm 174 */
obj_t BgL_bucketz00_2792;
{ /* Ast/remove.scm 174 */
int BgL_kz00_2802;
BgL_kz00_2802 = 
(int)(BgL_modz00_2788); 
BgL_bucketz00_2792 = 
VECTOR_REF(BgL_arg1221z00_2783,BgL_kz00_2802); } 
{ /* Ast/remove.scm 174 */
int BgL_kz00_2804;
BgL_kz00_2804 = 
(int)(BgL_restz00_2790); 
BgL_method2663z00_2780 = 
VECTOR_REF(BgL_bucketz00_2792,BgL_kz00_2804); } } } } } } } } 
{ /* Ast/remove.scm 174 */
obj_t BgL_auxz00_4485;
BgL_auxz00_4485 = 
PROCEDURE_ENTRY(BgL_method2663z00_2780)(BgL_method2663z00_2780, 
(obj_t)(BgL_arg2846z00_1774), BEOA); 
BgL_res2965z00_2805 = 
(BgL_nodez00_bglt)(BgL_auxz00_4485); } } 
BgL_arg2845z00_1773 = BgL_res2965z00_2805; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1766))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2845z00_1773), BUNSPEC); } 
BgL_auxz00_4394 = BgL_nodez00_1766; 
return 
(obj_t)(BgL_auxz00_4394);} } } 
}



/* node-remove!-setq2683 */
obj_t BGl_nodezd2removez12zd2setq2683z12zzast_removez00(obj_t BgL_envz00_3413, obj_t BgL_nodez00_3414)
{ AN_OBJECT;
{ /* Ast/remove.scm 164 */
{ 
BgL_setqz00_bglt BgL_nodez00_1759;
{ /* Ast/remove.scm 165 */
BgL_setqz00_bglt BgL_auxz00_4493;
BgL_nodez00_1759 = 
(BgL_setqz00_bglt)(BgL_nodez00_3414); 
{ /* Ast/remove.scm 165 */
BgL_nodez00_bglt BgL_arg2838z00_1762;
{ /* Ast/remove.scm 165 */
BgL_nodez00_bglt BgL_arg2839z00_1763;
BgL_arg2839z00_1763 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1759))->BgL_valuez00); 
{ /* Ast/remove.scm 165 */
BgL_nodez00_bglt BgL_res2956z00_2715;
{ /* Ast/remove.scm 165 */
obj_t BgL_method2663z00_2690;
{ /* Ast/remove.scm 165 */
long BgL_objzd2classzd2numz00_2692;
{ /* Ast/remove.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4495;
BgL_auxz00_4495 = 
(BgL_objectz00_bglt)(BgL_arg2839z00_1763); 
BgL_objzd2classzd2numz00_2692 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4495); } 
{ /* Ast/remove.scm 165 */
obj_t BgL_arg1221z00_2693;
{ /* Ast/remove.scm 165 */
int BgL_auxz00_4498;
BgL_auxz00_4498 = 
(int)(((long)1)); 
BgL_arg1221z00_2693 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4498); } 
{ /* Ast/remove.scm 165 */
long BgL_offsetz00_2697;
{ /* Ast/remove.scm 165 */
long BgL_auxz00_4501;
{ /* Ast/remove.scm 165 */
int BgL_auxz00_4502;
BgL_auxz00_4502 = 
(int)(BgL_objzd2classzd2numz00_2692); 
BgL_auxz00_4501 = 
(long)(BgL_auxz00_4502); } 
BgL_offsetz00_2697 = 
(BgL_auxz00_4501-OBJECT_TYPE); } 
{ /* Ast/remove.scm 165 */
long BgL_modz00_2698;
{ /* Ast/remove.scm 165 */
long BgL_auxz00_4506;
{ /* Ast/remove.scm 165 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(((long)8)); 
BgL_auxz00_4506 = 
(long)(BgL_auxz00_4507); } 
BgL_modz00_2698 = 
(BgL_offsetz00_2697/BgL_auxz00_4506); } 
{ /* Ast/remove.scm 165 */
long BgL_restz00_2700;
{ /* Ast/remove.scm 165 */
long BgL_auxz00_4511;
{ /* Ast/remove.scm 165 */
int BgL_auxz00_4512;
BgL_auxz00_4512 = 
(int)(((long)8)); 
BgL_auxz00_4511 = 
(long)(BgL_auxz00_4512); } 
BgL_restz00_2700 = 
(BgL_offsetz00_2697%BgL_auxz00_4511); } 
{ /* Ast/remove.scm 165 */

{ /* Ast/remove.scm 165 */
obj_t BgL_bucketz00_2702;
{ /* Ast/remove.scm 165 */
int BgL_kz00_2712;
BgL_kz00_2712 = 
(int)(BgL_modz00_2698); 
BgL_bucketz00_2702 = 
VECTOR_REF(BgL_arg1221z00_2693,BgL_kz00_2712); } 
{ /* Ast/remove.scm 165 */
int BgL_kz00_2714;
BgL_kz00_2714 = 
(int)(BgL_restz00_2700); 
BgL_method2663z00_2690 = 
VECTOR_REF(BgL_bucketz00_2702,BgL_kz00_2714); } } } } } } } } 
{ /* Ast/remove.scm 165 */
obj_t BgL_auxz00_4520;
BgL_auxz00_4520 = 
PROCEDURE_ENTRY(BgL_method2663z00_2690)(BgL_method2663z00_2690, 
(obj_t)(BgL_arg2839z00_1763), BEOA); 
BgL_res2956z00_2715 = 
(BgL_nodez00_bglt)(BgL_auxz00_4520); } } 
BgL_arg2838z00_1762 = BgL_res2956z00_2715; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1759))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2838z00_1762), BUNSPEC); } 
BgL_auxz00_4493 = BgL_nodez00_1759; 
return 
(obj_t)(BgL_auxz00_4493);} } } 
}



/* node-remove!-cast2681 */
obj_t BGl_nodezd2removez12zd2cast2681z12zzast_removez00(obj_t BgL_envz00_3415, obj_t BgL_nodez00_3416)
{ AN_OBJECT;
{ /* Ast/remove.scm 157 */
{ 
BgL_castz00_bglt BgL_nodez00_1753;
{ /* Ast/remove.scm 158 */
BgL_castz00_bglt BgL_auxz00_4528;
BgL_nodez00_1753 = 
(BgL_castz00_bglt)(BgL_nodez00_3416); 
{ /* Ast/remove.scm 158 */
BgL_nodez00_bglt BgL_arg2836z00_2659;
BgL_arg2836z00_2659 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1753))->BgL_argz00); 
{ /* Ast/remove.scm 158 */
BgL_nodez00_bglt BgL_res2953z00_2687;
{ /* Ast/remove.scm 158 */
obj_t BgL_method2663z00_2662;
{ /* Ast/remove.scm 158 */
long BgL_objzd2classzd2numz00_2664;
{ /* Ast/remove.scm 158 */
BgL_objectz00_bglt BgL_auxz00_4530;
BgL_auxz00_4530 = 
(BgL_objectz00_bglt)(BgL_arg2836z00_2659); 
BgL_objzd2classzd2numz00_2664 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4530); } 
{ /* Ast/remove.scm 158 */
obj_t BgL_arg1221z00_2665;
{ /* Ast/remove.scm 158 */
int BgL_auxz00_4533;
BgL_auxz00_4533 = 
(int)(((long)1)); 
BgL_arg1221z00_2665 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4533); } 
{ /* Ast/remove.scm 158 */
long BgL_offsetz00_2669;
{ /* Ast/remove.scm 158 */
long BgL_auxz00_4536;
{ /* Ast/remove.scm 158 */
int BgL_auxz00_4537;
BgL_auxz00_4537 = 
(int)(BgL_objzd2classzd2numz00_2664); 
BgL_auxz00_4536 = 
(long)(BgL_auxz00_4537); } 
BgL_offsetz00_2669 = 
(BgL_auxz00_4536-OBJECT_TYPE); } 
{ /* Ast/remove.scm 158 */
long BgL_modz00_2670;
{ /* Ast/remove.scm 158 */
long BgL_auxz00_4541;
{ /* Ast/remove.scm 158 */
int BgL_auxz00_4542;
BgL_auxz00_4542 = 
(int)(((long)8)); 
BgL_auxz00_4541 = 
(long)(BgL_auxz00_4542); } 
BgL_modz00_2670 = 
(BgL_offsetz00_2669/BgL_auxz00_4541); } 
{ /* Ast/remove.scm 158 */
long BgL_restz00_2672;
{ /* Ast/remove.scm 158 */
long BgL_auxz00_4546;
{ /* Ast/remove.scm 158 */
int BgL_auxz00_4547;
BgL_auxz00_4547 = 
(int)(((long)8)); 
BgL_auxz00_4546 = 
(long)(BgL_auxz00_4547); } 
BgL_restz00_2672 = 
(BgL_offsetz00_2669%BgL_auxz00_4546); } 
{ /* Ast/remove.scm 158 */

{ /* Ast/remove.scm 158 */
obj_t BgL_bucketz00_2674;
{ /* Ast/remove.scm 158 */
int BgL_kz00_2684;
BgL_kz00_2684 = 
(int)(BgL_modz00_2670); 
BgL_bucketz00_2674 = 
VECTOR_REF(BgL_arg1221z00_2665,BgL_kz00_2684); } 
{ /* Ast/remove.scm 158 */
int BgL_kz00_2686;
BgL_kz00_2686 = 
(int)(BgL_restz00_2672); 
BgL_method2663z00_2662 = 
VECTOR_REF(BgL_bucketz00_2674,BgL_kz00_2686); } } } } } } } } 
{ /* Ast/remove.scm 158 */
obj_t BgL_auxz00_4555;
BgL_auxz00_4555 = 
PROCEDURE_ENTRY(BgL_method2663z00_2662)(BgL_method2663z00_2662, 
(obj_t)(BgL_arg2836z00_2659), BEOA); 
BgL_res2953z00_2687 = 
(BgL_nodez00_bglt)(BgL_auxz00_4555); } } BgL_res2953z00_2687; } } 
BgL_auxz00_4528 = BgL_nodez00_1753; 
return 
(obj_t)(BgL_auxz00_4528);} } } 
}



/* node-remove!-extern2679 */
obj_t BGl_nodezd2removez12zd2extern2679z12zzast_removez00(obj_t BgL_envz00_3417, obj_t BgL_nodez00_3418)
{ AN_OBJECT;
{ /* Ast/remove.scm 150 */
{ 
BgL_externz00_bglt BgL_nodez00_1747;
{ /* Ast/remove.scm 151 */
BgL_externz00_bglt BgL_auxz00_4562;
BgL_nodez00_1747 = 
(BgL_externz00_bglt)(BgL_nodez00_3418); 
BGl_nodezd2removeza2z12z62zzast_removez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1747))->BgL_exprza2za2)); 
BgL_auxz00_4562 = BgL_nodez00_1747; 
return 
(obj_t)(BgL_auxz00_4562);} } } 
}



/* node-remove!-funcall2677 */
obj_t BGl_nodezd2removez12zd2funcall2677z12zzast_removez00(obj_t BgL_envz00_3419, obj_t BgL_nodez00_3420)
{ AN_OBJECT;
{ /* Ast/remove.scm 142 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1739;
{ /* Ast/remove.scm 143 */
BgL_funcallz00_bglt BgL_auxz00_4567;
BgL_nodez00_1739 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3420); 
{ /* Ast/remove.scm 143 */
BgL_nodez00_bglt BgL_arg2830z00_1742;
{ /* Ast/remove.scm 143 */
BgL_nodez00_bglt BgL_arg2831z00_1743;
BgL_arg2831z00_1743 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1739))->BgL_funz00); 
{ /* Ast/remove.scm 143 */
BgL_nodez00_bglt BgL_res2950z00_2653;
{ /* Ast/remove.scm 143 */
obj_t BgL_method2663z00_2628;
{ /* Ast/remove.scm 143 */
long BgL_objzd2classzd2numz00_2630;
{ /* Ast/remove.scm 143 */
BgL_objectz00_bglt BgL_auxz00_4569;
BgL_auxz00_4569 = 
(BgL_objectz00_bglt)(BgL_arg2831z00_1743); 
BgL_objzd2classzd2numz00_2630 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4569); } 
{ /* Ast/remove.scm 143 */
obj_t BgL_arg1221z00_2631;
{ /* Ast/remove.scm 143 */
int BgL_auxz00_4572;
BgL_auxz00_4572 = 
(int)(((long)1)); 
BgL_arg1221z00_2631 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4572); } 
{ /* Ast/remove.scm 143 */
long BgL_offsetz00_2635;
{ /* Ast/remove.scm 143 */
long BgL_auxz00_4575;
{ /* Ast/remove.scm 143 */
int BgL_auxz00_4576;
BgL_auxz00_4576 = 
(int)(BgL_objzd2classzd2numz00_2630); 
BgL_auxz00_4575 = 
(long)(BgL_auxz00_4576); } 
BgL_offsetz00_2635 = 
(BgL_auxz00_4575-OBJECT_TYPE); } 
{ /* Ast/remove.scm 143 */
long BgL_modz00_2636;
{ /* Ast/remove.scm 143 */
long BgL_auxz00_4580;
{ /* Ast/remove.scm 143 */
int BgL_auxz00_4581;
BgL_auxz00_4581 = 
(int)(((long)8)); 
BgL_auxz00_4580 = 
(long)(BgL_auxz00_4581); } 
BgL_modz00_2636 = 
(BgL_offsetz00_2635/BgL_auxz00_4580); } 
{ /* Ast/remove.scm 143 */
long BgL_restz00_2638;
{ /* Ast/remove.scm 143 */
long BgL_auxz00_4585;
{ /* Ast/remove.scm 143 */
int BgL_auxz00_4586;
BgL_auxz00_4586 = 
(int)(((long)8)); 
BgL_auxz00_4585 = 
(long)(BgL_auxz00_4586); } 
BgL_restz00_2638 = 
(BgL_offsetz00_2635%BgL_auxz00_4585); } 
{ /* Ast/remove.scm 143 */

{ /* Ast/remove.scm 143 */
obj_t BgL_bucketz00_2640;
{ /* Ast/remove.scm 143 */
int BgL_kz00_2650;
BgL_kz00_2650 = 
(int)(BgL_modz00_2636); 
BgL_bucketz00_2640 = 
VECTOR_REF(BgL_arg1221z00_2631,BgL_kz00_2650); } 
{ /* Ast/remove.scm 143 */
int BgL_kz00_2652;
BgL_kz00_2652 = 
(int)(BgL_restz00_2638); 
BgL_method2663z00_2628 = 
VECTOR_REF(BgL_bucketz00_2640,BgL_kz00_2652); } } } } } } } } 
{ /* Ast/remove.scm 143 */
obj_t BgL_auxz00_4594;
BgL_auxz00_4594 = 
PROCEDURE_ENTRY(BgL_method2663z00_2628)(BgL_method2663z00_2628, 
(obj_t)(BgL_arg2831z00_1743), BEOA); 
BgL_res2950z00_2653 = 
(BgL_nodez00_bglt)(BgL_auxz00_4594); } } 
BgL_arg2830z00_1742 = BgL_res2950z00_2653; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1739))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2830z00_1742), BUNSPEC); } 
BGl_nodezd2removeza2z12z62zzast_removez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1739))->BgL_argsz00)); 
BgL_auxz00_4567 = BgL_nodez00_1739; 
return 
(obj_t)(BgL_auxz00_4567);} } } 
}



/* node-remove!-app-ly2675 */
obj_t BGl_nodezd2removez12zd2appzd2ly2675zc0zzast_removez00(obj_t BgL_envz00_3421, obj_t BgL_nodez00_3422)
{ AN_OBJECT;
{ /* Ast/remove.scm 134 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1730;
{ /* Ast/remove.scm 135 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4604;
BgL_nodez00_1730 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3422); 
{ /* Ast/remove.scm 135 */
BgL_nodez00_bglt BgL_arg2825z00_1733;
{ /* Ast/remove.scm 135 */
BgL_nodez00_bglt BgL_arg2826z00_1734;
BgL_arg2826z00_1734 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1730))->BgL_funz00); 
{ /* Ast/remove.scm 135 */
BgL_nodez00_bglt BgL_res2944z00_2593;
{ /* Ast/remove.scm 135 */
obj_t BgL_method2663z00_2568;
{ /* Ast/remove.scm 135 */
long BgL_objzd2classzd2numz00_2570;
{ /* Ast/remove.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4606;
BgL_auxz00_4606 = 
(BgL_objectz00_bglt)(BgL_arg2826z00_1734); 
BgL_objzd2classzd2numz00_2570 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4606); } 
{ /* Ast/remove.scm 135 */
obj_t BgL_arg1221z00_2571;
{ /* Ast/remove.scm 135 */
int BgL_auxz00_4609;
BgL_auxz00_4609 = 
(int)(((long)1)); 
BgL_arg1221z00_2571 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4609); } 
{ /* Ast/remove.scm 135 */
long BgL_offsetz00_2575;
{ /* Ast/remove.scm 135 */
long BgL_auxz00_4612;
{ /* Ast/remove.scm 135 */
int BgL_auxz00_4613;
BgL_auxz00_4613 = 
(int)(BgL_objzd2classzd2numz00_2570); 
BgL_auxz00_4612 = 
(long)(BgL_auxz00_4613); } 
BgL_offsetz00_2575 = 
(BgL_auxz00_4612-OBJECT_TYPE); } 
{ /* Ast/remove.scm 135 */
long BgL_modz00_2576;
{ /* Ast/remove.scm 135 */
long BgL_auxz00_4617;
{ /* Ast/remove.scm 135 */
int BgL_auxz00_4618;
BgL_auxz00_4618 = 
(int)(((long)8)); 
BgL_auxz00_4617 = 
(long)(BgL_auxz00_4618); } 
BgL_modz00_2576 = 
(BgL_offsetz00_2575/BgL_auxz00_4617); } 
{ /* Ast/remove.scm 135 */
long BgL_restz00_2578;
{ /* Ast/remove.scm 135 */
long BgL_auxz00_4622;
{ /* Ast/remove.scm 135 */
int BgL_auxz00_4623;
BgL_auxz00_4623 = 
(int)(((long)8)); 
BgL_auxz00_4622 = 
(long)(BgL_auxz00_4623); } 
BgL_restz00_2578 = 
(BgL_offsetz00_2575%BgL_auxz00_4622); } 
{ /* Ast/remove.scm 135 */

{ /* Ast/remove.scm 135 */
obj_t BgL_bucketz00_2580;
{ /* Ast/remove.scm 135 */
int BgL_kz00_2590;
BgL_kz00_2590 = 
(int)(BgL_modz00_2576); 
BgL_bucketz00_2580 = 
VECTOR_REF(BgL_arg1221z00_2571,BgL_kz00_2590); } 
{ /* Ast/remove.scm 135 */
int BgL_kz00_2592;
BgL_kz00_2592 = 
(int)(BgL_restz00_2578); 
BgL_method2663z00_2568 = 
VECTOR_REF(BgL_bucketz00_2580,BgL_kz00_2592); } } } } } } } } 
{ /* Ast/remove.scm 135 */
obj_t BgL_auxz00_4631;
BgL_auxz00_4631 = 
PROCEDURE_ENTRY(BgL_method2663z00_2568)(BgL_method2663z00_2568, 
(obj_t)(BgL_arg2826z00_1734), BEOA); 
BgL_res2944z00_2593 = 
(BgL_nodez00_bglt)(BgL_auxz00_4631); } } 
BgL_arg2825z00_1733 = BgL_res2944z00_2593; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1730))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2825z00_1733), BUNSPEC); } 
{ /* Ast/remove.scm 136 */
BgL_nodez00_bglt BgL_arg2827z00_1735;
{ /* Ast/remove.scm 136 */
BgL_nodez00_bglt BgL_arg2828z00_1736;
BgL_arg2828z00_1736 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1730))->BgL_argz00); 
{ /* Ast/remove.scm 136 */
BgL_nodez00_bglt BgL_res2947z00_2623;
{ /* Ast/remove.scm 136 */
obj_t BgL_method2663z00_2598;
{ /* Ast/remove.scm 136 */
long BgL_objzd2classzd2numz00_2600;
{ /* Ast/remove.scm 136 */
BgL_objectz00_bglt BgL_auxz00_4638;
BgL_auxz00_4638 = 
(BgL_objectz00_bglt)(BgL_arg2828z00_1736); 
BgL_objzd2classzd2numz00_2600 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4638); } 
{ /* Ast/remove.scm 136 */
obj_t BgL_arg1221z00_2601;
{ /* Ast/remove.scm 136 */
int BgL_auxz00_4641;
BgL_auxz00_4641 = 
(int)(((long)1)); 
BgL_arg1221z00_2601 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4641); } 
{ /* Ast/remove.scm 136 */
long BgL_offsetz00_2605;
{ /* Ast/remove.scm 136 */
long BgL_auxz00_4644;
{ /* Ast/remove.scm 136 */
int BgL_auxz00_4645;
BgL_auxz00_4645 = 
(int)(BgL_objzd2classzd2numz00_2600); 
BgL_auxz00_4644 = 
(long)(BgL_auxz00_4645); } 
BgL_offsetz00_2605 = 
(BgL_auxz00_4644-OBJECT_TYPE); } 
{ /* Ast/remove.scm 136 */
long BgL_modz00_2606;
{ /* Ast/remove.scm 136 */
long BgL_auxz00_4649;
{ /* Ast/remove.scm 136 */
int BgL_auxz00_4650;
BgL_auxz00_4650 = 
(int)(((long)8)); 
BgL_auxz00_4649 = 
(long)(BgL_auxz00_4650); } 
BgL_modz00_2606 = 
(BgL_offsetz00_2605/BgL_auxz00_4649); } 
{ /* Ast/remove.scm 136 */
long BgL_restz00_2608;
{ /* Ast/remove.scm 136 */
long BgL_auxz00_4654;
{ /* Ast/remove.scm 136 */
int BgL_auxz00_4655;
BgL_auxz00_4655 = 
(int)(((long)8)); 
BgL_auxz00_4654 = 
(long)(BgL_auxz00_4655); } 
BgL_restz00_2608 = 
(BgL_offsetz00_2605%BgL_auxz00_4654); } 
{ /* Ast/remove.scm 136 */

{ /* Ast/remove.scm 136 */
obj_t BgL_bucketz00_2610;
{ /* Ast/remove.scm 136 */
int BgL_kz00_2620;
BgL_kz00_2620 = 
(int)(BgL_modz00_2606); 
BgL_bucketz00_2610 = 
VECTOR_REF(BgL_arg1221z00_2601,BgL_kz00_2620); } 
{ /* Ast/remove.scm 136 */
int BgL_kz00_2622;
BgL_kz00_2622 = 
(int)(BgL_restz00_2608); 
BgL_method2663z00_2598 = 
VECTOR_REF(BgL_bucketz00_2610,BgL_kz00_2622); } } } } } } } } 
{ /* Ast/remove.scm 136 */
obj_t BgL_auxz00_4663;
BgL_auxz00_4663 = 
PROCEDURE_ENTRY(BgL_method2663z00_2598)(BgL_method2663z00_2598, 
(obj_t)(BgL_arg2828z00_1736), BEOA); 
BgL_res2947z00_2623 = 
(BgL_nodez00_bglt)(BgL_auxz00_4663); } } 
BgL_arg2827z00_1735 = BgL_res2947z00_2623; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1730))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2827z00_1735), BUNSPEC); } 
BgL_auxz00_4604 = BgL_nodez00_1730; 
return 
(obj_t)(BgL_auxz00_4604);} } } 
}



/* node-remove!-app2673 */
obj_t BGl_nodezd2removez12zd2app2673z12zzast_removez00(obj_t BgL_envz00_3423, obj_t BgL_nodez00_3424)
{ AN_OBJECT;
{ /* Ast/remove.scm 126 */
{ 
BgL_appz00_bglt BgL_nodez00_1722;
{ /* Ast/remove.scm 127 */
BgL_appz00_bglt BgL_auxz00_4671;
BgL_nodez00_1722 = 
(BgL_appz00_bglt)(BgL_nodez00_3424); 
{ /* Ast/remove.scm 127 */
BgL_nodez00_bglt BgL_arg2821z00_1725;
{ /* Ast/remove.scm 127 */
BgL_nodez00_bglt BgL_res2941z00_2562;
{ /* Ast/remove.scm 127 */
BgL_nodez00_bglt BgL_nodez00_2536;
{ /* Ast/remove.scm 127 */
BgL_varz00_bglt BgL_auxz00_4672;
BgL_auxz00_4672 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1722))->BgL_funz00); 
BgL_nodez00_2536 = 
(BgL_nodez00_bglt)(BgL_auxz00_4672); } 
{ /* Ast/remove.scm 127 */
obj_t BgL_method2663z00_2537;
{ /* Ast/remove.scm 127 */
long BgL_objzd2classzd2numz00_2539;
{ /* Ast/remove.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4675;
BgL_auxz00_4675 = 
(BgL_objectz00_bglt)(BgL_nodez00_2536); 
BgL_objzd2classzd2numz00_2539 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4675); } 
{ /* Ast/remove.scm 127 */
obj_t BgL_arg1221z00_2540;
{ /* Ast/remove.scm 127 */
int BgL_auxz00_4678;
BgL_auxz00_4678 = 
(int)(((long)1)); 
BgL_arg1221z00_2540 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4678); } 
{ /* Ast/remove.scm 127 */
long BgL_offsetz00_2544;
{ /* Ast/remove.scm 127 */
long BgL_auxz00_4681;
{ /* Ast/remove.scm 127 */
int BgL_auxz00_4682;
BgL_auxz00_4682 = 
(int)(BgL_objzd2classzd2numz00_2539); 
BgL_auxz00_4681 = 
(long)(BgL_auxz00_4682); } 
BgL_offsetz00_2544 = 
(BgL_auxz00_4681-OBJECT_TYPE); } 
{ /* Ast/remove.scm 127 */
long BgL_modz00_2545;
{ /* Ast/remove.scm 127 */
long BgL_auxz00_4686;
{ /* Ast/remove.scm 127 */
int BgL_auxz00_4687;
BgL_auxz00_4687 = 
(int)(((long)8)); 
BgL_auxz00_4686 = 
(long)(BgL_auxz00_4687); } 
BgL_modz00_2545 = 
(BgL_offsetz00_2544/BgL_auxz00_4686); } 
{ /* Ast/remove.scm 127 */
long BgL_restz00_2547;
{ /* Ast/remove.scm 127 */
long BgL_auxz00_4691;
{ /* Ast/remove.scm 127 */
int BgL_auxz00_4692;
BgL_auxz00_4692 = 
(int)(((long)8)); 
BgL_auxz00_4691 = 
(long)(BgL_auxz00_4692); } 
BgL_restz00_2547 = 
(BgL_offsetz00_2544%BgL_auxz00_4691); } 
{ /* Ast/remove.scm 127 */

{ /* Ast/remove.scm 127 */
obj_t BgL_bucketz00_2549;
{ /* Ast/remove.scm 127 */
int BgL_kz00_2559;
BgL_kz00_2559 = 
(int)(BgL_modz00_2545); 
BgL_bucketz00_2549 = 
VECTOR_REF(BgL_arg1221z00_2540,BgL_kz00_2559); } 
{ /* Ast/remove.scm 127 */
int BgL_kz00_2561;
BgL_kz00_2561 = 
(int)(BgL_restz00_2547); 
BgL_method2663z00_2537 = 
VECTOR_REF(BgL_bucketz00_2549,BgL_kz00_2561); } } } } } } } } 
{ /* Ast/remove.scm 127 */
obj_t BgL_auxz00_4700;
BgL_auxz00_4700 = 
PROCEDURE_ENTRY(BgL_method2663z00_2537)(BgL_method2663z00_2537, 
(obj_t)(BgL_nodez00_2536), BEOA); 
BgL_res2941z00_2562 = 
(BgL_nodez00_bglt)(BgL_auxz00_4700); } } } 
BgL_arg2821z00_1725 = BgL_res2941z00_2562; } 
{ /* Ast/remove.scm 127 */
BgL_varz00_bglt BgL_val1723z00_2564;
BgL_val1723z00_2564 = 
(BgL_varz00_bglt)(BgL_arg2821z00_1725); 
((((BgL_appz00_bglt)CREF(BgL_nodez00_1722))->BgL_funz00) = ((BgL_varz00_bglt)BgL_val1723z00_2564), BUNSPEC); } } 
BGl_nodezd2removeza2z12z62zzast_removez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1722))->BgL_argsz00)); 
BgL_auxz00_4671 = BgL_nodez00_1722; 
return 
(obj_t)(BgL_auxz00_4671);} } } 
}



/* node-remove!-sequence2671 */
obj_t BGl_nodezd2removez12zd2sequence2671z12zzast_removez00(obj_t BgL_envz00_3425, obj_t BgL_nodez00_3426)
{ AN_OBJECT;
{ /* Ast/remove.scm 119 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1716;
{ /* Ast/remove.scm 120 */
BgL_sequencez00_bglt BgL_auxz00_4711;
BgL_nodez00_1716 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3426); 
BGl_nodezd2removeza2z12z62zzast_removez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1716))->BgL_nodesz00)); 
BgL_auxz00_4711 = BgL_nodez00_1716; 
return 
(obj_t)(BgL_auxz00_4711);} } } 
}



/* node-remove!-kwote2669 */
obj_t BGl_nodezd2removez12zd2kwote2669z12zzast_removez00(obj_t BgL_envz00_3427, obj_t BgL_nodez00_3428)
{ AN_OBJECT;
{ /* Ast/remove.scm 113 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1711;
{ /* Ast/remove.scm 113 */
BgL_kwotez00_bglt BgL_auxz00_4716;
BgL_nodez00_1711 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3428); 
BgL_auxz00_4716 = BgL_nodez00_1711; 
return 
(obj_t)(BgL_auxz00_4716);} } } 
}



/* node-remove!-var2667 */
obj_t BGl_nodezd2removez12zd2var2667z12zzast_removez00(obj_t BgL_envz00_3429, obj_t BgL_nodez00_3430)
{ AN_OBJECT;
{ /* Ast/remove.scm 107 */
{ 
BgL_varz00_bglt BgL_nodez00_1706;
{ /* Ast/remove.scm 107 */
BgL_varz00_bglt BgL_auxz00_4719;
BgL_nodez00_1706 = 
(BgL_varz00_bglt)(BgL_nodez00_3430); 
BgL_auxz00_4719 = BgL_nodez00_1706; 
return 
(obj_t)(BgL_auxz00_4719);} } } 
}



/* node-remove!-atom2665 */
obj_t BGl_nodezd2removez12zd2atom2665z12zzast_removez00(obj_t BgL_envz00_3431, obj_t BgL_nodez00_3432)
{ AN_OBJECT;
{ /* Ast/remove.scm 101 */
{ 
BgL_atomz00_bglt BgL_nodez00_1701;
{ /* Ast/remove.scm 101 */
BgL_atomz00_bglt BgL_auxz00_4722;
BgL_nodez00_1701 = 
(BgL_atomz00_bglt)(BgL_nodez00_3432); 
BgL_auxz00_4722 = BgL_nodez00_1701; 
return 
(obj_t)(BgL_auxz00_4722);} } } 
}



/* node-remove! */
BgL_nodez00_bglt BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt BgL_nodez00_5)
{ AN_OBJECT;
{ /* Ast/remove.scm 96 */
{ /* Ast/remove.scm 96 */
obj_t BgL_method2663z00_3337;
{ /* Ast/remove.scm 96 */
long BgL_objzd2classzd2numz00_3339;
{ /* Ast/remove.scm 96 */
BgL_objectz00_bglt BgL_auxz00_4725;
BgL_auxz00_4725 = 
(BgL_objectz00_bglt)(BgL_nodez00_5); 
BgL_objzd2classzd2numz00_3339 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4725); } 
{ /* Ast/remove.scm 96 */
obj_t BgL_arg1221z00_3340;
{ /* Ast/remove.scm 96 */
int BgL_auxz00_4728;
BgL_auxz00_4728 = 
(int)(((long)1)); 
BgL_arg1221z00_3340 = 
PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00, BgL_auxz00_4728); } 
{ /* Ast/remove.scm 96 */
long BgL_offsetz00_3344;
{ /* Ast/remove.scm 96 */
long BgL_auxz00_4731;
{ /* Ast/remove.scm 96 */
int BgL_auxz00_4732;
BgL_auxz00_4732 = 
(int)(BgL_objzd2classzd2numz00_3339); 
BgL_auxz00_4731 = 
(long)(BgL_auxz00_4732); } 
BgL_offsetz00_3344 = 
(BgL_auxz00_4731-OBJECT_TYPE); } 
{ /* Ast/remove.scm 96 */
long BgL_modz00_3345;
{ /* Ast/remove.scm 96 */
long BgL_auxz00_4736;
{ /* Ast/remove.scm 96 */
int BgL_auxz00_4737;
BgL_auxz00_4737 = 
(int)(((long)8)); 
BgL_auxz00_4736 = 
(long)(BgL_auxz00_4737); } 
BgL_modz00_3345 = 
(BgL_offsetz00_3344/BgL_auxz00_4736); } 
{ /* Ast/remove.scm 96 */
long BgL_restz00_3347;
{ /* Ast/remove.scm 96 */
long BgL_auxz00_4741;
{ /* Ast/remove.scm 96 */
int BgL_auxz00_4742;
BgL_auxz00_4742 = 
(int)(((long)8)); 
BgL_auxz00_4741 = 
(long)(BgL_auxz00_4742); } 
BgL_restz00_3347 = 
(BgL_offsetz00_3344%BgL_auxz00_4741); } 
{ /* Ast/remove.scm 96 */

{ /* Ast/remove.scm 96 */
obj_t BgL_bucketz00_3349;
{ /* Ast/remove.scm 96 */
int BgL_kz00_3359;
BgL_kz00_3359 = 
(int)(BgL_modz00_3345); 
BgL_bucketz00_3349 = 
VECTOR_REF(BgL_arg1221z00_3340,BgL_kz00_3359); } 
{ /* Ast/remove.scm 96 */
int BgL_kz00_3361;
BgL_kz00_3361 = 
(int)(BgL_restz00_3347); 
BgL_method2663z00_3337 = 
VECTOR_REF(BgL_bucketz00_3349,BgL_kz00_3361); } } } } } } } } 
{ /* Ast/remove.scm 96 */
obj_t BgL_auxz00_4750;
BgL_auxz00_4750 = 
PROCEDURE_ENTRY(BgL_method2663z00_3337)(BgL_method2663z00_3337, 
(obj_t)(BgL_nodez00_5), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4750);} } } 
}



/* _node-remove! */
obj_t BGl__nodezd2removez12zc0zzast_removez00(obj_t BgL_envz00_3371, obj_t BgL_nodez00_3372)
{ AN_OBJECT;
{ /* Ast/remove.scm 96 */
{ /* Ast/remove.scm 96 */
BgL_nodez00_bglt BgL_auxz00_4755;
BgL_auxz00_4755 = 
BGl_nodezd2removez12zc0zzast_removez00(
(BgL_nodez00_bglt)(BgL_nodez00_3372)); 
return 
(obj_t)(BgL_auxz00_4755);} } 
}



/* node-remove!-default2662 */
BgL_nodez00_bglt BGl_nodezd2removez12zd2default2662z12zzast_removez00(BgL_nodez00_bglt BgL_nodez00_6)
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
{ 
obj_t BgL_auxz00_4761;obj_t BgL_auxz00_4759;
BgL_auxz00_4761 = 
(obj_t)(BgL_nodez00_6); 
BgL_auxz00_4759 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_4759,BGl_string3042z00zzast_removez00,BgL_auxz00_4761);} } 
}



/* _node-remove!-default2662 */
obj_t BGl__nodezd2removez12zd2default2662z12zzast_removez00(obj_t BgL_envz00_3433, obj_t BgL_nodez00_3434)
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
{ /* Ast/remove.scm 16 */
BgL_nodez00_bglt BgL_auxz00_4764;
BgL_auxz00_4764 = 
BGl_nodezd2removez12zd2default2662z12zzast_removez00(
(BgL_nodez00_bglt)(BgL_nodez00_3434)); 
return 
(obj_t)(BgL_auxz00_4764);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_removez00()
{ AN_OBJECT;
{ /* Ast/remove.scm 16 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_remove"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_remove"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_remove"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_remove"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "ast_remove"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_remove"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "ast_remove"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_remove"); 
return 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28461), "ast_remove");} 
}

