/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__usezd2variablez12zc0zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_sexpz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
extern obj_t BGl_nodez00zzast_nodez00;
extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_liipz00zzast_sexpz00(obj_t);
static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza33067ze3z83zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl__sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_za2bnilza2z00zztype_cachez00;
extern BgL_nodez00_bglt BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
extern BgL_jumpzd2exzd2itz00_bglt BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern BgL_nodez00_bglt BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt, BgL_nodez00_bglt);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_lookupz00zzast_sexpz00(obj_t, obj_t);
static obj_t BGl__locationzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2magicza2z00zztype_cachez00;
extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
extern obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 35 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00, BgL_bgl__sexpza7d2za7e3nodeza731za7za7ast_sexpza7003413z00, BGl__sexpzd2ze3nodez31zzast_sexpz00, 0L, 4 );
DEFINE_STRING( BGl_string3399z00zzast_sexpz00, BgL_bgl_string3399za700za7za7ast_sexpza7003414z00, "Illegal atom", 12 );
DEFINE_STRING( BGl_string3408z00zzast_sexpz00, BgL_bgl_string3408za700za7za7ast_sexpza7003415z00, "> <anonymous- (@ __evmeaning_address foreign) define-primop! define-primop-ref! write cons (quote ()) jump-exit set-exit case failure letrec define begin apply jvm quote @ app eval not if ::bool test location set! let else labels lambda free-pragma pragma value (value apply app set!) ", 285 );
DEFINE_STRING( BGl_string3398z00zzast_sexpz00, BgL_bgl_string3398za700za7za7ast_sexpza7003416z00, "Java method cannot be used as value", 35 );
DEFINE_STRING( BGl_string3407z00zzast_sexpz00, BgL_bgl_string3407za700za7za7ast_sexpza7003417z00, ":", 1 );
DEFINE_STRING( BGl_string3397z00zzast_sexpz00, BgL_bgl_string3397za700za7za7ast_sexpza7003418z00, "Unbound variable", 16 );
DEFINE_STRING( BGl_string3406z00zzast_sexpz00, BgL_bgl_string3406za700za7za7ast_sexpza7003419z00, ">", 1 );
DEFINE_STRING( BGl_string3396z00zzast_sexpz00, BgL_bgl_string3396za700za7za7ast_sexpza7003420z00, "Illegal `@' expression", 22 );
DEFINE_STRING( BGl_string3405z00zzast_sexpz00, BgL_bgl_string3405za700za7za7ast_sexpza7003421z00, "<anonymous:", 11 );
DEFINE_STRING( BGl_string3395z00zzast_sexpz00, BgL_bgl_string3395za700za7za7ast_sexpza7003422z00, "Illegal `quote' expression", 26 );
DEFINE_STRING( BGl_string3404z00zzast_sexpz00, BgL_bgl_string3404za700za7za7ast_sexpza7003423z00, "Illegal mutation", 16 );
DEFINE_STRING( BGl_string3394z00zzast_sexpz00, BgL_bgl_string3394za700za7za7ast_sexpza7003424z00, "Illegal `if' form", 17 );
DEFINE_STRING( BGl_string3403z00zzast_sexpz00, BgL_bgl_string3403za700za7za7ast_sexpza7003425z00, "Illegal empty sequence", 22 );
DEFINE_STRING( BGl_string3393z00zzast_sexpz00, BgL_bgl_string3393za700za7za7ast_sexpza7003426z00, "illegal `set!' expression", 25 );
DEFINE_STRING( BGl_string3402z00zzast_sexpz00, BgL_bgl_string3402za700za7za7ast_sexpza7003427z00, "Illegal formal argument", 23 );
DEFINE_STRING( BGl_string3392z00zzast_sexpz00, BgL_bgl_string3392za700za7za7ast_sexpza7003428z00, "Read-only variable", 18 );
DEFINE_STRING( BGl_string3401z00zzast_sexpz00, BgL_bgl_string3401za700za7za7ast_sexpza7003429z00, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string3391z00zzast_sexpz00, BgL_bgl_string3391za700za7za7ast_sexpza7003430z00, "Illegal `set!' form", 19 );
DEFINE_STRING( BGl_string3400z00zzast_sexpz00, BgL_bgl_string3400za700za7za7ast_sexpza7003431z00, "Illegal `()' expression", 23 );
DEFINE_STRING( BGl_string3390z00zzast_sexpz00, BgL_bgl_string3390za700za7za7ast_sexpza7003432z00, "illegal `define' expression", 27 );
DEFINE_STRING( BGl_string3389z00zzast_sexpz00, BgL_bgl_string3389za700za7za7ast_sexpza7003433z00, "Illegal `define' form", 21 );
DEFINE_STRING( BGl_string3388z00zzast_sexpz00, BgL_bgl_string3388za700za7za7ast_sexpza7003434z00, "Illegal `failure' form", 22 );
DEFINE_STRING( BGl_string3387z00zzast_sexpz00, BgL_bgl_string3387za700za7za7ast_sexpza7003435z00, "Illegal `case' form", 19 );
DEFINE_STRING( BGl_string3386z00zzast_sexpz00, BgL_bgl_string3386za700za7za7ast_sexpza7003436z00, "Illegal `lambda' form", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00, BgL_bgl__topza7d2levelza7d2sexpza7d2za7e3nodeza731za7za7ast_sexpza7003437z00, BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00, BgL_bgl__sexpza7a2za7d2za7e3nodeza793za7za7ast_sexpza7003438za7, BGl__sexpza2zd2ze3nodez93zzast_sexpz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00, BgL_bgl__defineza7d2primopza7d2za7e3nodeza7e3za7za7ast_sexpza7003439za7, BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00, BgL_bgl__errorza7d2sexpza7d2za7e3nodeza7e3za7za7ast_sexpza7003440za7, BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2variablez12zd2envz12zzast_sexpz00, BgL_bgl__useza7d2variableza712za7c0za7za7ast_sexpza7003441z00, BGl__usezd2variablez12zc0zzast_sexpz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00, BgL_bgl__defineza7d2primopza7d2refza7d2za7e3nodeza731za7za7ast_sexpza7003442z00, BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_locationzd2ze3nodezd2envze3zzast_sexpz00, BgL_bgl__locationza7d2za7e3nodeza731za7za7ast_sexpza7003443z00, BGl__locationzd2ze3nodez31zzast_sexpz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long BgL_checksumz00_3902, char * BgL_fromz00_3903)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
{ 
BGl_requirezd2initializa7ationz75zzast_sexpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_sexpz00(); 
BGl_cnstzd2initzd2zzast_sexpz00(); 
BGl_importedzd2moduleszd2initz00zzast_sexpz00(); 
BGl_toplevelzd2initzd2zzast_sexpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
{ AN_OBJECT;
{ /* Ast/sexp.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "ast_sexp"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_sexpz00()
{ AN_OBJECT;
{ /* Ast/sexp.scm 14 */
{ /* Ast/sexp.scm 14 */
obj_t BgL_cportz00_3895;
BgL_cportz00_3895 = 
open_input_string(BGl_string3408z00zzast_sexpz00); 
{ 
long BgL_iz00_3896;
BgL_iz00_3896 = ((long)34); 
BgL_loopz00_3897:
if(
(BgL_iz00_3896==((long)-1)))
{ /* Ast/sexp.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/sexp.scm 14 */
{ /* Ast/sexp.scm 14 */
obj_t BgL_arg3410z00_3899;
{ /* Ast/sexp.scm 14 */
obj_t BgL_list3411z00_3900;
BgL_list3411z00_3900 = 
MAKE_PAIR(BgL_cportz00_3895, BNIL); 
BgL_arg3410z00_3899 = 
BGl_readz00zz__readerz00(BgL_list3411z00_3900); } 
{ /* Ast/sexp.scm 14 */
int BgL_auxz00_3924;
BgL_auxz00_3924 = 
(int)(BgL_iz00_3896); 
CNST_TABLE_SET(BgL_auxz00_3924, BgL_arg3410z00_3899); } } 
{ 
long BgL_iz00_3927;
{ /* Ast/sexp.scm 14 */
int BgL_auxz00_3928;
{ /* Ast/sexp.scm 14 */
long BgL_auxz00_3929;
BgL_auxz00_3929 = 
(BgL_iz00_3896-((long)1)); 
BgL_auxz00_3928 = 
(int)(BgL_auxz00_3929); } 
BgL_iz00_3927 = 
(long)(BgL_auxz00_3928); } 
BgL_iz00_3896 = BgL_iz00_3927; 
goto BgL_loopz00_3897;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
{ AN_OBJECT;
{ /* Ast/sexp.scm 14 */
BGl_za2sitesza2z00zzast_sexpz00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE; 
BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE; 
return ( 
BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC) ;} 
}



/* top-level-sexp->node */
BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_15, obj_t BgL_locz00_16)
{ AN_OBJECT;
{ /* Ast/sexp.scm 55 */
return 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15, BNIL, BgL_locz00_16, 
CNST_TABLE_REF(((long)1)));} 
}



/* _top-level-sexp->node */
obj_t BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_3858, obj_t BgL_expz00_3859, obj_t BgL_locz00_3860)
{ AN_OBJECT;
{ /* Ast/sexp.scm 55 */
{ /* Ast/sexp.scm 55 */
BgL_nodez00_bglt BgL_auxz00_3936;
BgL_auxz00_3936 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_3859, BgL_locz00_3860); 
return 
(obj_t)(BgL_auxz00_3936);} } 
}



/* sexp->node */
BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17, obj_t BgL_stackz00_18, obj_t BgL_locz00_19, obj_t BgL_sitez00_20)
{ AN_OBJECT;
{ /* Ast/sexp.scm 71 */
BGl_sexpzd2ze3nodez31zzast_sexpz00:
{ 
obj_t BgL_atomz00_1269;obj_t BgL_bodyz00_1273;obj_t BgL_bodyz00_1278;obj_t BgL_argsz00_1279;obj_t BgL_varsz00_1283;obj_t BgL_bodyz00_1284;obj_t BgL_argsz00_1285;
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_expz00_17, BNIL))
{ /* Ast/sexp.scm 74 */
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3400z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2686z00_1299;
BgL_test2686z00_1299 = 
BGl_iszd2azf3z21zz__objectz00(BgL_expz00_17, BGl_nodez00zzast_nodez00); 
if(BgL_test2686z00_1299)
{ /* Ast/sexp.scm 74 */
return 
(BgL_nodez00_bglt)(BgL_expz00_17);}  else 
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_3947;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_3950;obj_t BgL_auxz00_3948;
BgL_auxz00_3950 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3948 = 
CAR(BgL_expz00_17); 
BgL_testz00_3947 = 
(BgL_auxz00_3948==BgL_auxz00_3950); } 
if(BgL_testz00_3947)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_3953;
{ /* Ast/sexp.scm 145 */
obj_t BgL_locz00_1464;
BgL_locz00_1464 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ 
obj_t BgL_namez00_1465;obj_t BgL_modulez00_1466;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 146 */
obj_t BgL_cdrzd2357zd2_1471;
BgL_cdrzd2357zd2_1471 = 
CDR(BgL_expz00_17); 
{ /* Ast/sexp.scm 146 */
bool_t BgL_testz00_3958;
{ /* Ast/sexp.scm 146 */
obj_t BgL_auxz00_3961;obj_t BgL_auxz00_3959;
BgL_auxz00_3961 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3959 = 
CAR(BgL_expz00_17); 
BgL_testz00_3958 = 
(BgL_auxz00_3959==BgL_auxz00_3961); } 
if(BgL_testz00_3958)
{ /* Ast/sexp.scm 146 */
if(
PAIRP(BgL_cdrzd2357zd2_1471))
{ /* Ast/sexp.scm 146 */
obj_t BgL_carzd2360zd2_1474;obj_t BgL_cdrzd2361zd2_1475;
BgL_carzd2360zd2_1474 = 
CAR(BgL_cdrzd2357zd2_1471); 
BgL_cdrzd2361zd2_1475 = 
CDR(BgL_cdrzd2357zd2_1471); 
if(
SYMBOLP(BgL_carzd2360zd2_1474))
{ /* Ast/sexp.scm 146 */
if(
PAIRP(BgL_cdrzd2361zd2_1475))
{ /* Ast/sexp.scm 146 */
obj_t BgL_carzd2366zd2_1478;
BgL_carzd2366zd2_1478 = 
CAR(BgL_cdrzd2361zd2_1475); 
if(
SYMBOLP(BgL_carzd2366zd2_1478))
{ /* Ast/sexp.scm 146 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2361zd2_1475), BNIL))
{ /* Ast/sexp.scm 146 */
BgL_namez00_1465 = BgL_carzd2360zd2_1474; 
BgL_modulez00_1466 = BgL_carzd2366zd2_1478; 
{ /* Ast/sexp.scm 148 */
obj_t BgL_globalz00_1485;
BgL_globalz00_1485 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_namez00_1465, BgL_modulez00_1466); 
{ /* Ast/sexp.scm 150 */
bool_t BgL_test2854z00_1486;
BgL_test2854z00_1486 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1485, BGl_globalz00zzast_varz00); 
if(BgL_test2854z00_1486)
{ /* Ast/sexp.scm 152 */
bool_t BgL_testz00_3981;
{ /* Ast/sexp.scm 152 */
obj_t BgL_auxz00_3985;obj_t BgL_auxz00_3982;
BgL_auxz00_3985 = 
CNST_TABLE_REF(((long)14)); 
{ /* Ast/sexp.scm 152 */
BgL_globalz00_bglt BgL_obj1173z00_2648;
BgL_obj1173z00_2648 = 
(BgL_globalz00_bglt)(BgL_globalz00_1485); 
BgL_auxz00_3982 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_2648))->BgL_importz00); } 
BgL_testz00_3981 = 
(BgL_auxz00_3982==BgL_auxz00_3985); } 
if(BgL_testz00_3981)
{ /* Ast/sexp.scm 152 */
{ /* Ast/sexp.scm 153 */
obj_t BgL_arg2856z00_1488;
{ /* Ast/sexp.scm 153 */
obj_t BgL_arg2857z00_1489;obj_t BgL_arg2858z00_1490;
BgL_arg2857z00_1489 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2858z00_1490 = 
MAKE_PAIR(BGl_atomz00zzast_nodez00, BNIL); 
BgL_arg2856z00_1488 = 
MAKE_PAIR(BgL_arg2857z00_1489, BgL_arg2858z00_1490); } 
{ /* Ast/sexp.scm 153 */
BgL_nodez00_bglt BgL_auxz00_3991;
BgL_auxz00_3991 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2856z00_1488, BgL_stackz00_18, BgL_locz00_1464, BgL_sitez00_20); 
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_3991); } } }  else 
{ /* Ast/sexp.scm 152 */
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_globalz00_1485), BgL_locz00_1464, BgL_sitez00_20); 
{ /* Ast/sexp.scm 156 */
bool_t BgL_test2859z00_1491;
{ /* Ast/sexp.scm 156 */
bool_t BgL_testz00_3996;
{ /* Ast/sexp.scm 156 */
obj_t BgL_auxz00_3997;
BgL_auxz00_3997 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_3996 = 
(BgL_sitez00_20==BgL_auxz00_3997); } 
if(BgL_testz00_3996)
{ /* Ast/sexp.scm 156 */
BgL_test2859z00_1491 = ((bool_t)0); }  else 
{ /* Ast/sexp.scm 157 */
obj_t BgL_auxz00_4000;
{ /* Ast/sexp.scm 157 */
BgL_valuez00_bglt BgL_auxz00_4001;
{ /* Ast/sexp.scm 157 */
BgL_globalz00_bglt BgL_obj1155z00_2649;
BgL_obj1155z00_2649 = 
(BgL_globalz00_bglt)(BgL_globalz00_1485); 
BgL_auxz00_4001 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2649))->BgL_valuez00); } 
BgL_auxz00_4000 = 
(obj_t)(BgL_auxz00_4001); } 
BgL_test2859z00_1491 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4000, BGl_funz00zzast_varz00); } } 
if(BgL_test2859z00_1491)
{ /* Ast/sexp.scm 158 */
obj_t BgL_arg2860z00_1492;BgL_typez00_bglt BgL_arg2861z00_1493;
BgL_arg2860z00_1492 = BgL_locz00_1464; 
{ /* Ast/sexp.scm 159 */
BgL_globalz00_bglt BgL_obj1152z00_2651;
BgL_obj1152z00_2651 = 
(BgL_globalz00_bglt)(BgL_globalz00_1485); 
BgL_arg2861z00_1493 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2651))->BgL_typez00); } 
{ /* Ast/sexp.scm 158 */
BgL_closurez00_bglt BgL_res3318z00_2670;
{ /* Ast/sexp.scm 158 */
BgL_variablez00_bglt BgL_variable1654z00_2654;
{ /* Ast/sexp.scm 160 */
obj_t BgL_auxz00_4009;
BgL_auxz00_4009 = BgL_globalz00_1485; 
BgL_variable1654z00_2654 = 
(BgL_variablez00_bglt)(BgL_auxz00_4009); } 
{ /* Ast/sexp.scm 158 */
BgL_closurez00_bglt BgL_new1655z00_2655;
{ /* Ast/sexp.scm 158 */
BgL_closurez00_bglt BgL_res3316z00_2661;
{ /* Ast/sexp.scm 158 */
BgL_closurez00_bglt BgL_new1657z00_2656;
BgL_new1657z00_2656 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/sexp.scm 158 */
long BgL_arg3276z00_2657;
BgL_arg3276z00_2657 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/sexp.scm 158 */
BgL_objectz00_bglt BgL_auxz00_4013;
BgL_auxz00_4013 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2656); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4013, BgL_arg3276z00_2657); } } 
{ /* Ast/sexp.scm 158 */
BgL_objectz00_bglt BgL_auxz00_4016;
BgL_auxz00_4016 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2656); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4016, BFALSE); } 
{ /* Ast/sexp.scm 158 */
obj_t BgL_auxz00_4019;
BgL_auxz00_4019 = 
(obj_t)(BgL_new1657z00_2656); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4019); } BUNSPEC; 
BgL_res3316z00_2661 = BgL_new1657z00_2656; } 
BgL_new1655z00_2655 = BgL_res3316z00_2661; } 
{ /* Ast/sexp.scm 158 */
BgL_closurez00_bglt BgL_res3317z00_2669;
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2655))->BgL_locz00) = ((obj_t)BgL_arg2860z00_1492), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2655))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2861z00_1493), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2655))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1654z00_2654), BUNSPEC); 
BgL_res3317z00_2669 = BgL_new1655z00_2655; BgL_res3317z00_2669; } 
BgL_res3318z00_2670 = BgL_new1655z00_2655; } } 
BgL_auxz00_3953 = 
(obj_t)(BgL_res3318z00_2670); } }  else 
{ /* Ast/sexp.scm 161 */
obj_t BgL_arg2863z00_1495;BgL_typez00_bglt BgL_arg2864z00_1496;
BgL_arg2863z00_1495 = BgL_locz00_1464; 
{ /* Ast/sexp.scm 162 */
BgL_globalz00_bglt BgL_obj1152z00_2671;
BgL_obj1152z00_2671 = 
(BgL_globalz00_bglt)(BgL_globalz00_1485); 
BgL_arg2864z00_1496 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2671))->BgL_typez00); } 
{ /* Ast/sexp.scm 161 */
BgL_varz00_bglt BgL_res3321z00_2690;
{ /* Ast/sexp.scm 161 */
BgL_variablez00_bglt BgL_variable1632z00_2674;
{ /* Ast/sexp.scm 163 */
obj_t BgL_auxz00_4028;
BgL_auxz00_4028 = BgL_globalz00_1485; 
BgL_variable1632z00_2674 = 
(BgL_variablez00_bglt)(BgL_auxz00_4028); } 
{ /* Ast/sexp.scm 161 */
BgL_varz00_bglt BgL_new1633z00_2675;
{ /* Ast/sexp.scm 161 */
BgL_varz00_bglt BgL_res3319z00_2681;
{ /* Ast/sexp.scm 161 */
BgL_varz00_bglt BgL_new1635z00_2676;
BgL_new1635z00_2676 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/sexp.scm 161 */
long BgL_arg3277z00_2677;
BgL_arg3277z00_2677 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/sexp.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4032;
BgL_auxz00_4032 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2676); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4032, BgL_arg3277z00_2677); } } 
{ /* Ast/sexp.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4035;
BgL_auxz00_4035 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2676); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4035, BFALSE); } 
{ /* Ast/sexp.scm 161 */
obj_t BgL_auxz00_4038;
BgL_auxz00_4038 = 
(obj_t)(BgL_new1635z00_2676); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4038); } BUNSPEC; 
BgL_res3319z00_2681 = BgL_new1635z00_2676; } 
BgL_new1633z00_2675 = BgL_res3319z00_2681; } 
{ /* Ast/sexp.scm 161 */
BgL_varz00_bglt BgL_res3320z00_2689;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2675))->BgL_locz00) = ((obj_t)BgL_arg2863z00_1495), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2675))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2864z00_1496), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2675))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2674), BUNSPEC); 
BgL_res3320z00_2689 = BgL_new1633z00_2675; BgL_res3320z00_2689; } 
BgL_res3321z00_2690 = BgL_new1633z00_2675; } } 
BgL_auxz00_3953 = 
(obj_t)(BgL_res3321z00_2690); } } } } }  else 
{ /* Ast/sexp.scm 150 */
{ /* Ast/sexp.scm 151 */
BgL_nodez00_bglt BgL_auxz00_4045;
BgL_auxz00_4045 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3397z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1464); 
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4045); } } } } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4048;
BgL_tagzd2350zd2_1468:
BgL_auxz00_4048 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3396z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1464); 
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4048); } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4051;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4051); } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4053;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4053); } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4055;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4055); } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4057;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4057); } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4059;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4059); } } }  else 
{ /* Ast/sexp.scm 146 */
BgL_nodez00_bglt BgL_auxz00_4061;
goto BgL_tagzd2350zd2_1468;
BgL_auxz00_3953 = 
(obj_t)(BgL_auxz00_4061); } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3953);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4064;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4067;obj_t BgL_auxz00_4065;
BgL_auxz00_4067 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_4065 = 
CAR(BgL_expz00_17); 
BgL_testz00_4064 = 
(BgL_auxz00_4065==BgL_auxz00_4067); } 
if(BgL_testz00_4064)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4070;
{ 
obj_t BgL_valuez00_1502;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2377zd2_1507;
BgL_cdrzd2377zd2_1507 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2377zd2_1507))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2377zd2_1507), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_valuez00_1502 = 
CAR(BgL_cdrzd2377zd2_1507); 
{ /* Ast/sexp.scm 170 */
obj_t BgL_locz00_1513;
BgL_locz00_1513 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
if(
NULLP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 172 */
{ /* Ast/sexp.scm 173 */
obj_t BgL_arg2877z00_1515;obj_t BgL_arg2878z00_1516;
BgL_arg2877z00_1515 = BgL_locz00_1513; 
BgL_arg2878z00_1516 = BGl_za2bnilza2z00zztype_cachez00; 
{ /* Ast/sexp.scm 173 */
BgL_atomz00_bglt BgL_res3324z00_2715;
{ /* Ast/sexp.scm 173 */
BgL_typez00_bglt BgL_type1609z00_2698;
BgL_type1609z00_2698 = 
(BgL_typez00_bglt)(BgL_arg2878z00_1516); 
{ /* Ast/sexp.scm 173 */
BgL_atomz00_bglt BgL_new1611z00_2700;
{ /* Ast/sexp.scm 173 */
BgL_atomz00_bglt BgL_res3322z00_2706;
{ /* Ast/sexp.scm 173 */
BgL_atomz00_bglt BgL_new1613z00_2701;
BgL_new1613z00_2701 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Ast/sexp.scm 173 */
long BgL_arg3278z00_2702;
BgL_arg3278z00_2702 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Ast/sexp.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4085;
BgL_auxz00_4085 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2701); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4085, BgL_arg3278z00_2702); } } 
{ /* Ast/sexp.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4088;
BgL_auxz00_4088 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2701); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4088, BFALSE); } 
{ /* Ast/sexp.scm 173 */
obj_t BgL_auxz00_4091;
BgL_auxz00_4091 = 
(obj_t)(BgL_new1613z00_2701); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4091); } BUNSPEC; 
BgL_res3322z00_2706 = BgL_new1613z00_2701; } 
BgL_new1611z00_2700 = BgL_res3322z00_2706; } 
{ /* Ast/sexp.scm 173 */
BgL_atomz00_bglt BgL_res3323z00_2714;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2700))->BgL_locz00) = ((obj_t)BgL_arg2877z00_1515), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2700))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1609z00_2698), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2700))->BgL_valuez00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3323z00_2714 = BgL_new1611z00_2700; BgL_res3323z00_2714; } 
BgL_res3324z00_2715 = BgL_new1611z00_2700; } } 
BgL_auxz00_4070 = 
(obj_t)(BgL_res3324z00_2715); } } }  else 
{ /* Ast/sexp.scm 176 */
bool_t BgL_testz00_4098;
if(
PAIRP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 176 */
BgL_testz00_4098 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 176 */
if(
VECTORP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 177 */
BgL_testz00_4098 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 177 */
if(
STRUCTP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 178 */
BgL_testz00_4098 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 178 */
if(
SYMBOLP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 179 */
BgL_testz00_4098 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 179 */
BgL_testz00_4098 = 
KEYWORDP(BgL_valuez00_1502)
; } } } } 
if(BgL_testz00_4098)
{ /* Ast/sexp.scm 176 */
{ /* Ast/sexp.scm 181 */
obj_t BgL_arg2881z00_1519;obj_t BgL_arg2882z00_1520;obj_t BgL_arg2883z00_1521;
BgL_arg2881z00_1519 = BgL_locz00_1513; 
BgL_arg2882z00_1520 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2883z00_1521 = BgL_valuez00_1502; 
{ /* Ast/sexp.scm 181 */
BgL_kwotez00_bglt BgL_res3327z00_2739;
{ /* Ast/sexp.scm 181 */
BgL_typez00_bglt BgL_type1674z00_2722;
BgL_type1674z00_2722 = 
(BgL_typez00_bglt)(BgL_arg2882z00_1520); 
{ /* Ast/sexp.scm 181 */
BgL_kwotez00_bglt BgL_new1676z00_2724;
{ /* Ast/sexp.scm 181 */
BgL_kwotez00_bglt BgL_res3325z00_2730;
{ /* Ast/sexp.scm 181 */
BgL_kwotez00_bglt BgL_new1678z00_2725;
BgL_new1678z00_2725 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Ast/sexp.scm 181 */
long BgL_arg3275z00_2726;
BgL_arg3275z00_2726 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Ast/sexp.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4111;
BgL_auxz00_4111 = 
(BgL_objectz00_bglt)(BgL_new1678z00_2725); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4111, BgL_arg3275z00_2726); } } 
{ /* Ast/sexp.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4114;
BgL_auxz00_4114 = 
(BgL_objectz00_bglt)(BgL_new1678z00_2725); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4114, BFALSE); } 
{ /* Ast/sexp.scm 181 */
obj_t BgL_auxz00_4117;
BgL_auxz00_4117 = 
(obj_t)(BgL_new1678z00_2725); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4117); } BUNSPEC; 
BgL_res3325z00_2730 = BgL_new1678z00_2725; } 
BgL_new1676z00_2724 = BgL_res3325z00_2730; } 
{ /* Ast/sexp.scm 181 */
BgL_kwotez00_bglt BgL_res3326z00_2738;
((((BgL_kwotez00_bglt)CREF(BgL_new1676z00_2724))->BgL_locz00) = ((obj_t)BgL_arg2881z00_1519), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1676z00_2724))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1674z00_2722), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1676z00_2724))->BgL_valuez00) = ((obj_t)BgL_arg2883z00_1521), BUNSPEC); 
BgL_res3326z00_2738 = BgL_new1676z00_2724; BgL_res3326z00_2738; } 
BgL_res3327z00_2739 = BgL_new1676z00_2724; } } 
BgL_auxz00_4070 = 
(obj_t)(BgL_res3327z00_2739); } } }  else 
{ /* Ast/sexp.scm 184 */
bool_t BgL_testz00_4124;
{ /* Ast/sexp.scm 184 */
bool_t BgL_test2885z00_1523;
BgL_test2885z00_1523 = 
INTEGERP(BgL_valuez00_1502); 
if(BgL_test2885z00_1523)
{ /* Ast/sexp.scm 184 */
BgL_testz00_4124 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 185 */
bool_t BgL_testz00_4127;
if(BgL_test2885z00_1523)
{ /* Ast/sexp.scm 185 */
BgL_testz00_4127 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 185 */
BgL_testz00_4127 = 
REALP(BgL_valuez00_1502)
; } 
if(BgL_testz00_4127)
{ /* Ast/sexp.scm 185 */
BgL_testz00_4124 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 185 */
if(
STRINGP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 186 */
BgL_testz00_4124 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 186 */
if(
CNSTP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 187 */
BgL_testz00_4124 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 187 */
if(
CHARP(BgL_valuez00_1502))
{ /* Ast/sexp.scm 191 */
BgL_testz00_4124 = ((bool_t)1)
; }  else 
{ /* Ast/sexp.scm 191 */
BgL_testz00_4124 = 
BOOLEANP(BgL_valuez00_1502)
; } } } } } } 
if(BgL_testz00_4124)
{ /* Ast/sexp.scm 184 */
{ /* Ast/sexp.scm 193 */
BgL_nodez00_bglt BgL_auxz00_4137;
BgL_auxz00_4137 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valuez00_1502, BgL_stackz00_18, BgL_locz00_1513, BgL_sitez00_20); 
BgL_auxz00_4070 = 
(obj_t)(BgL_auxz00_4137); } }  else 
{ /* Ast/sexp.scm 184 */
{ /* Ast/sexp.scm 195 */
BgL_nodez00_bglt BgL_auxz00_4140;
BgL_auxz00_4140 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3395z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1513); 
BgL_auxz00_4070 = 
(obj_t)(BgL_auxz00_4140); } } } } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4144;
BgL_tagzd2372zd2_1504:
BgL_auxz00_4144 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3395z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4070 = 
(obj_t)(BgL_auxz00_4144); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4147;
goto BgL_tagzd2372zd2_1504;
BgL_auxz00_4070 = 
(obj_t)(BgL_auxz00_4147); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4149;
goto BgL_tagzd2372zd2_1504;
BgL_auxz00_4070 = 
(obj_t)(BgL_auxz00_4149); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4070);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4152;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4155;obj_t BgL_auxz00_4153;
BgL_auxz00_4155 = 
CNST_TABLE_REF(((long)20)); 
BgL_auxz00_4153 = 
CAR(BgL_expz00_17); 
BgL_testz00_4152 = 
(BgL_auxz00_4153==BgL_auxz00_4155); } 
if(BgL_testz00_4152)
{ /* Ast/sexp.scm 74 */
BgL_sequencez00_bglt BgL_auxz00_4158;
BgL_bodyz00_1273 = 
CDR(BgL_expz00_17); 
{ /* Ast/sexp.scm 200 */
obj_t BgL_bodyz00_1532;
if(
NULLP(BgL_bodyz00_1273))
{ /* Ast/sexp.scm 201 */
obj_t BgL_list2899z00_1540;
BgL_list2899z00_1540 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_bodyz00_1532 = BgL_list2899z00_1540; }  else 
{ /* Ast/sexp.scm 200 */
BgL_bodyz00_1532 = BgL_bodyz00_1273; } 
{ /* Ast/sexp.scm 203 */
obj_t BgL_locz00_1533;
BgL_locz00_1533 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 203 */
obj_t BgL_nodesz00_1534;
BgL_nodesz00_1534 = 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_bodyz00_1532, BgL_stackz00_18, BgL_locz00_1533, BgL_sitez00_20); 
{ /* Ast/sexp.scm 204 */

{ /* Ast/sexp.scm 205 */
obj_t BgL_arg2894z00_1535;obj_t BgL_arg2895z00_1536;obj_t BgL_arg2897z00_1538;
BgL_arg2894z00_1535 = BgL_locz00_1533; 
BgL_arg2895z00_1536 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2897z00_1538 = BgL_nodesz00_1534; 
{ /* Ast/sexp.scm 205 */
BgL_sequencez00_bglt BgL_res3332z00_2775;
{ /* Ast/sexp.scm 205 */
BgL_typez00_bglt BgL_type1704z00_2752;obj_t BgL_key1706z00_2754;
BgL_type1704z00_2752 = 
(BgL_typez00_bglt)(BgL_arg2895z00_1536); 
BgL_key1706z00_2754 = 
BINT(((long)-1)); 
{ /* Ast/sexp.scm 205 */
BgL_sequencez00_bglt BgL_new1708z00_2756;
{ /* Ast/sexp.scm 205 */
BgL_sequencez00_bglt BgL_res3330z00_2762;
{ /* Ast/sexp.scm 205 */
BgL_sequencez00_bglt BgL_new1710z00_2757;
BgL_new1710z00_2757 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Ast/sexp.scm 205 */
long BgL_arg3274z00_2758;
BgL_arg3274z00_2758 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Ast/sexp.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4168;
BgL_auxz00_4168 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2757); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4168, BgL_arg3274z00_2758); } } 
{ /* Ast/sexp.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4171;
BgL_auxz00_4171 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2757); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4171, BFALSE); } 
{ /* Ast/sexp.scm 205 */
obj_t BgL_auxz00_4174;
BgL_auxz00_4174 = 
(obj_t)(BgL_new1710z00_2757); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4174); } BUNSPEC; 
BgL_res3330z00_2762 = BgL_new1710z00_2757; } 
BgL_new1708z00_2756 = BgL_res3330z00_2762; } 
{ /* Ast/sexp.scm 205 */
BgL_sequencez00_bglt BgL_res3331z00_2774;
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2756))->BgL_locz00) = ((obj_t)BgL_arg2894z00_1535), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2756))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1704z00_2752), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2756))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2756))->BgL_keyz00) = ((obj_t)BgL_key1706z00_2754), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2756))->BgL_nodesz00) = ((obj_t)BgL_arg2897z00_1538), BUNSPEC); 
BgL_res3331z00_2774 = BgL_new1708z00_2756; BgL_res3331z00_2774; } 
BgL_res3332z00_2775 = BgL_new1708z00_2756; } } 
BgL_auxz00_4158 = BgL_res3332z00_2775; } } } } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4158);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4184;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4187;obj_t BgL_auxz00_4185;
BgL_auxz00_4187 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_4185 = 
CAR(BgL_expz00_17); 
BgL_testz00_4184 = 
(BgL_auxz00_4185==BgL_auxz00_4187); } 
if(BgL_testz00_4184)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4190;
{ 
obj_t BgL_siz00_1541;obj_t BgL_alorsz00_1542;obj_t BgL_sinonz00_1543;obj_t BgL_siz00_1545;obj_t BgL_alorsz00_1546;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2393zd2_1551;
BgL_cdrzd2393zd2_1551 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2393zd2_1551))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2398zd2_1553;
BgL_cdrzd2398zd2_1553 = 
CDR(BgL_cdrzd2393zd2_1551); 
if(
PAIRP(BgL_cdrzd2398zd2_1553))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2403zd2_1555;
BgL_cdrzd2403zd2_1555 = 
CDR(BgL_cdrzd2398zd2_1553); 
if(
PAIRP(BgL_cdrzd2403zd2_1555))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2403zd2_1555), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_siz00_1541 = 
CAR(BgL_cdrzd2393zd2_1551); 
BgL_alorsz00_1542 = 
CAR(BgL_cdrzd2398zd2_1553); 
BgL_sinonz00_1543 = 
CAR(BgL_cdrzd2403zd2_1555); 
{ 
obj_t BgL_siz00_1570;
if(
PAIRP(BgL_siz00_1541))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2458zd2_1575;
BgL_cdrzd2458zd2_1575 = 
CDR(BgL_siz00_1541); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4208;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4211;obj_t BgL_auxz00_4209;
BgL_auxz00_4211 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_4209 = 
CAR(BgL_siz00_1541); 
BgL_testz00_4208 = 
(BgL_auxz00_4209==BgL_auxz00_4211); } 
if(BgL_testz00_4208)
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_cdrzd2458zd2_1575))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2461zd2_1578;
BgL_cdrzd2461zd2_1578 = 
CDR(BgL_cdrzd2458zd2_1575); 
if(
PAIRP(BgL_cdrzd2461zd2_1578))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2464zd2_1580;
BgL_cdrzd2464zd2_1580 = 
CDR(BgL_cdrzd2461zd2_1578); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4220;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4221;
BgL_auxz00_4221 = 
CAR(BgL_cdrzd2461zd2_1578); 
BgL_testz00_4220 = 
(BgL_auxz00_4221==BFALSE); } 
if(BgL_testz00_4220)
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_cdrzd2464zd2_1580))
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4226;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4227;
BgL_auxz00_4227 = 
CAR(BgL_cdrzd2464zd2_1580); 
BgL_testz00_4226 = 
(BgL_auxz00_4227==BTRUE); } 
if(BgL_testz00_4226)
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2464zd2_1580), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4233;
BgL_siz00_1570 = 
CAR(BgL_cdrzd2458zd2_1575); 
BgL_tagzd2450zd2_1571:
{ /* Ast/sexp.scm 214 */
obj_t BgL_auxz00_4234;
BgL_auxz00_4234 = 
CDR(BgL_expz00_17); 
SET_CAR(BgL_auxz00_4234, BgL_siz00_1570); } 
{ /* Ast/sexp.scm 215 */
obj_t BgL_auxz00_4237;
{ /* Ast/sexp.scm 215 */
obj_t BgL_auxz00_4238;
BgL_auxz00_4238 = 
CDR(BgL_expz00_17); 
BgL_auxz00_4237 = 
CDR(BgL_auxz00_4238); } 
SET_CAR(BgL_auxz00_4237, BgL_sinonz00_1543); } 
{ /* Ast/sexp.scm 216 */
obj_t BgL_auxz00_4242;
{ /* Ast/sexp.scm 216 */
obj_t BgL_auxz00_4243;
{ /* Ast/sexp.scm 216 */
obj_t BgL_auxz00_4244;
BgL_auxz00_4244 = 
CDR(BgL_expz00_17); 
BgL_auxz00_4243 = 
CDR(BgL_auxz00_4244); } 
BgL_auxz00_4242 = 
CDR(BgL_auxz00_4243); } 
SET_CAR(BgL_auxz00_4242, BgL_alorsz00_1542); } 
BgL_auxz00_4233 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4233); }  else 
{ /* Ast/sexp.scm 74 */
BgL_tagzd2451zd2_1572:
{ /* Ast/sexp.scm 219 */
bool_t BgL_test2943z00_1606;
if(
SYMBOLP(BgL_siz00_1541))
{ /* Ast/sexp.scm 219 */
BgL_test2943z00_1606 = ((bool_t)1); }  else 
{ /* Ast/sexp.scm 219 */
BgL_test2943z00_1606 = 
BGl_iszd2azf3z21zz__objectz00(BgL_siz00_1541, BGl_atomz00zzast_nodez00); } 
if(BgL_test2943z00_1606)
{ /* Ast/sexp.scm 220 */
obj_t BgL_olocz00_1607;
BgL_olocz00_1607 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 220 */
obj_t BgL_lzd2sizd2_1608;
BgL_lzd2sizd2_1608 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_siz00_1541, BgL_olocz00_1607); 
{ /* Ast/sexp.scm 221 */
obj_t BgL_lzd2alorszd2_1609;
BgL_lzd2alorszd2_1609 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_alorsz00_1542, BgL_olocz00_1607); 
{ /* Ast/sexp.scm 222 */
obj_t BgL_lzd2sinonzd2_1610;
BgL_lzd2sinonzd2_1610 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_sinonz00_1543, BgL_olocz00_1607); 
{ /* Ast/sexp.scm 223 */
BgL_nodez00_bglt BgL_siz00_1611;
BgL_siz00_1611 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_siz00_1541, BgL_stackz00_18, BgL_lzd2sizd2_1608, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 224 */
BgL_nodez00_bglt BgL_alorsz00_1612;
BgL_alorsz00_1612 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_alorsz00_1542, BgL_stackz00_18, BgL_lzd2alorszd2_1609, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 225 */
BgL_nodez00_bglt BgL_sinonz00_1613;
BgL_sinonz00_1613 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_sinonz00_1543, BgL_stackz00_18, BgL_lzd2sinonzd2_1610, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 226 */
obj_t BgL_locz00_1614;
{ /* Ast/sexp.scm 227 */
obj_t BgL_locz00_1621;
BgL_locz00_1621 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, 
(((BgL_nodez00_bglt)CREF(BgL_siz00_1611))->BgL_locz00)); 
{ /* Ast/sexp.scm 230 */
bool_t BgL_testz00_4268;
if(
STRUCTP(BgL_locz00_1621))
{ /* Ast/sexp.scm 230 */
obj_t BgL_auxz00_4273;obj_t BgL_auxz00_4271;
BgL_auxz00_4273 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_4271 = 
STRUCT_KEY(BgL_locz00_1621); 
BgL_testz00_4268 = 
(BgL_auxz00_4271==BgL_auxz00_4273); }  else 
{ /* Ast/sexp.scm 230 */
BgL_testz00_4268 = ((bool_t)0)
; } 
if(BgL_testz00_4268)
{ /* Ast/sexp.scm 230 */
BgL_locz00_1614 = BgL_locz00_1621; }  else 
{ /* Ast/sexp.scm 230 */
BgL_locz00_1614 = BgL_olocz00_1607; } } } 
{ /* Ast/sexp.scm 227 */

{ /* Ast/sexp.scm 233 */
obj_t BgL_arg2944z00_1615;obj_t BgL_arg2945z00_1616;BgL_nodez00_bglt BgL_arg2947z00_1618;BgL_nodez00_bglt BgL_arg2948z00_1619;BgL_nodez00_bglt BgL_arg2949z00_1620;
BgL_arg2944z00_1615 = BgL_locz00_1614; 
BgL_arg2945z00_1616 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2947z00_1618 = BgL_siz00_1611; 
BgL_arg2948z00_1619 = BgL_alorsz00_1612; 
BgL_arg2949z00_1620 = BgL_sinonz00_1613; 
{ /* Ast/sexp.scm 233 */
BgL_conditionalz00_bglt BgL_res3336z00_2866;
{ /* Ast/sexp.scm 233 */
BgL_typez00_bglt BgL_type2330z00_2837;obj_t BgL_key2332z00_2839;
BgL_type2330z00_2837 = 
(BgL_typez00_bglt)(BgL_arg2945z00_1616); 
BgL_key2332z00_2839 = 
BINT(((long)-1)); 
{ /* Ast/sexp.scm 233 */
BgL_conditionalz00_bglt BgL_new2336z00_2843;
{ /* Ast/sexp.scm 233 */
BgL_conditionalz00_bglt BgL_res3334z00_2849;
{ /* Ast/sexp.scm 233 */
BgL_conditionalz00_bglt BgL_new2338z00_2844;
BgL_new2338z00_2844 = 
((BgL_conditionalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_conditionalz00_bgl) ))); 
{ /* Ast/sexp.scm 233 */
long BgL_arg3257z00_2845;
BgL_arg3257z00_2845 = 
BGl_classzd2numzd2zz__objectz00(BGl_conditionalz00zzast_nodez00); 
{ /* Ast/sexp.scm 233 */
BgL_objectz00_bglt BgL_auxz00_4280;
BgL_auxz00_4280 = 
(BgL_objectz00_bglt)(BgL_new2338z00_2844); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4280, BgL_arg3257z00_2845); } } 
{ /* Ast/sexp.scm 233 */
BgL_objectz00_bglt BgL_auxz00_4283;
BgL_auxz00_4283 = 
(BgL_objectz00_bglt)(BgL_new2338z00_2844); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4283, BFALSE); } 
{ /* Ast/sexp.scm 233 */
obj_t BgL_auxz00_4286;
BgL_auxz00_4286 = 
(obj_t)(BgL_new2338z00_2844); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4286); } BUNSPEC; 
BgL_res3334z00_2849 = BgL_new2338z00_2844; } 
BgL_new2336z00_2843 = BgL_res3334z00_2849; } 
{ /* Ast/sexp.scm 233 */
BgL_conditionalz00_bglt BgL_res3335z00_2865;
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_locz00) = ((obj_t)BgL_arg2944z00_1615), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2330z00_2837), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_keyz00) = ((obj_t)BgL_key2332z00_2839), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2947z00_1618), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2948z00_1619), BUNSPEC); 
((((BgL_conditionalz00_bglt)CREF(BgL_new2336z00_2843))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2949z00_1620), BUNSPEC); 
BgL_res3335z00_2865 = BgL_new2336z00_2843; BgL_res3335z00_2865; } 
BgL_res3336z00_2866 = BgL_new2336z00_2843; } } 
BgL_auxz00_4190 = 
(obj_t)(BgL_res3336z00_2866); } } } } } } } } } } }  else 
{ /* Ast/sexp.scm 238 */
obj_t BgL_testz00_1624;
{ /* Ast/sexp.scm 238 */
obj_t BgL_arg2969z00_1642;
BgL_arg2969z00_1642 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)10)), BEOA); 
BgL_testz00_1624 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2969z00_1642); } 
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2952z00_1625;
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2953z00_1626;obj_t BgL_arg2954z00_1627;
BgL_arg2953z00_1626 = 
CNST_TABLE_REF(((long)7)); 
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2955z00_1628;obj_t BgL_arg2956z00_1629;
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2957z00_1630;
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2959z00_1632;obj_t BgL_arg2960z00_1633;
{ /* Ast/sexp.scm 240 */
obj_t BgL_list2961z00_1634;
{ /* Ast/sexp.scm 240 */
obj_t BgL_arg2962z00_1635;
{ /* Ast/sexp.scm 240 */
obj_t BgL_auxz00_4302;
BgL_auxz00_4302 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2962z00_1635 = 
MAKE_PAIR(BgL_auxz00_4302, BNIL); } 
BgL_list2961z00_1634 = 
MAKE_PAIR(BgL_testz00_1624, BgL_arg2962z00_1635); } 
BgL_arg2959z00_1632 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2961z00_1634); } 
BgL_arg2960z00_1633 = 
MAKE_PAIR(BgL_siz00_1541, BNIL); 
BgL_arg2957z00_1630 = 
MAKE_PAIR(BgL_arg2959z00_1632, BgL_arg2960z00_1633); } 
BgL_arg2955z00_1628 = 
MAKE_PAIR(BgL_arg2957z00_1630, BNIL); } 
{ /* Ast/sexp.scm 241 */
obj_t BgL_arg2963z00_1636;
{ /* Ast/sexp.scm 241 */
obj_t BgL_arg2965z00_1638;obj_t BgL_arg2966z00_1639;
BgL_arg2965z00_1638 = 
CNST_TABLE_REF(((long)12)); 
{ /* Ast/sexp.scm 241 */
obj_t BgL_arg2967z00_1640;
{ /* Ast/sexp.scm 241 */
obj_t BgL_arg2968z00_1641;
BgL_arg2968z00_1641 = 
MAKE_PAIR(BgL_sinonz00_1543, BNIL); 
BgL_arg2967z00_1640 = 
MAKE_PAIR(BgL_alorsz00_1542, BgL_arg2968z00_1641); } 
BgL_arg2966z00_1639 = 
MAKE_PAIR(BgL_testz00_1624, BgL_arg2967z00_1640); } 
BgL_arg2963z00_1636 = 
MAKE_PAIR(BgL_arg2965z00_1638, BgL_arg2966z00_1639); } 
BgL_arg2956z00_1629 = 
MAKE_PAIR(BgL_arg2963z00_1636, BNIL); } 
BgL_arg2954z00_1627 = 
MAKE_PAIR(BgL_arg2955z00_1628, BgL_arg2956z00_1629); } 
BgL_arg2952z00_1625 = 
MAKE_PAIR(BgL_arg2953z00_1626, BgL_arg2954z00_1627); } 
BGl_replacez12z12zztools_miscz00(BgL_expz00_17, BgL_arg2952z00_1625); } 
{ /* Ast/sexp.scm 242 */
BgL_nodez00_bglt BgL_auxz00_4319;
BgL_auxz00_4319 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4319); } } } } }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} } }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4322;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4325;obj_t BgL_auxz00_4323;
BgL_auxz00_4325 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_4323 = 
CAR(BgL_siz00_1541); 
BgL_testz00_4322 = 
(BgL_auxz00_4323==BgL_auxz00_4325); } 
if(BgL_testz00_4322)
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_cdrzd2458zd2_1575))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2458zd2_1575), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4333;
{ 
obj_t BgL_siz00_4334;
BgL_siz00_4334 = 
CAR(BgL_cdrzd2458zd2_1575); 
BgL_siz00_1570 = BgL_siz00_4334; 
goto BgL_tagzd2450zd2_1571;} 
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4333); }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} } } }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2451zd2_1572;} } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4340;
BgL_tagzd2384zd2_1548:
BgL_auxz00_4340 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3394z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4340); } }  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2428zd2_1564;
BgL_cdrzd2428zd2_1564 = 
CDR(BgL_cdrzd2393zd2_1551); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2428zd2_1564), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4347;
BgL_siz00_1545 = 
CAR(BgL_cdrzd2393zd2_1551); 
BgL_alorsz00_1546 = 
CAR(BgL_cdrzd2428zd2_1564); 
{ /* Ast/sexp.scm 244 */
obj_t BgL_arg2971z00_1644;obj_t BgL_arg2972z00_1645;
{ /* Ast/sexp.scm 244 */
obj_t BgL_auxz00_4348;
BgL_auxz00_4348 = 
CDR(BgL_expz00_17); 
BgL_arg2971z00_1644 = 
CDR(BgL_auxz00_4348); } 
{ /* Ast/sexp.scm 244 */
obj_t BgL_list2973z00_1646;
BgL_list2973z00_1646 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2972z00_1645 = BgL_list2973z00_1646; } 
SET_CDR(BgL_arg2971z00_1644, BgL_arg2972z00_1645); } 
BgL_auxz00_4347 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4347); }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4357;
goto BgL_tagzd2384zd2_1548;
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4357); } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4359;
goto BgL_tagzd2384zd2_1548;
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4359); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4361;
goto BgL_tagzd2384zd2_1548;
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4361); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4363;
goto BgL_tagzd2384zd2_1548;
BgL_auxz00_4190 = 
(obj_t)(BgL_auxz00_4363); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4190);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4366;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4369;obj_t BgL_auxz00_4367;
BgL_auxz00_4369 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_4367 = 
CAR(BgL_expz00_17); 
BgL_testz00_4366 = 
(BgL_auxz00_4367==BgL_auxz00_4369); } 
if(BgL_testz00_4366)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4372;
{ 
obj_t BgL_varz00_1647;obj_t BgL_valz00_1648;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2489zd2_1653;
BgL_cdrzd2489zd2_1653 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2489zd2_1653))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2493zd2_1655;
BgL_cdrzd2493zd2_1655 = 
CDR(BgL_cdrzd2489zd2_1653); 
if(
PAIRP(BgL_cdrzd2493zd2_1655))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2493zd2_1655), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_varz00_1647 = 
CAR(BgL_cdrzd2489zd2_1653); 
BgL_valz00_1648 = 
CAR(BgL_cdrzd2493zd2_1655); 
{ /* Ast/sexp.scm 252 */
obj_t BgL_locz00_1662;
BgL_locz00_1662 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 252 */
obj_t BgL_valzd2loczd2_1663;
BgL_valzd2loczd2_1663 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_valz00_1648, BgL_locz00_1662); 
{ /* Ast/sexp.scm 253 */
BgL_nodez00_bglt BgL_valz00_1664;
BgL_valz00_1664 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_1648, BgL_stackz00_18, BgL_valzd2loczd2_1663, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 254 */

{ /* Ast/sexp.scm 255 */
BgL_nodez00_bglt BgL_astz00_1665;
BgL_astz00_1665 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_varz00_1647, BgL_stackz00_18, BgL_locz00_1662, 
CNST_TABLE_REF(((long)8))); 
{ /* Ast/sexp.scm 256 */
bool_t BgL_test2982z00_1666;
BgL_test2982z00_1666 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_astz00_1665), BGl_varz00zzast_nodez00); 
if(BgL_test2982z00_1666)
{ /* Ast/sexp.scm 258 */
bool_t BgL_test2983z00_1668;
{ /* Ast/sexp.scm 258 */
bool_t BgL_test2988z00_1673;
{ /* Ast/sexp.scm 258 */
obj_t BgL_auxz00_4393;
{ /* Ast/sexp.scm 258 */
BgL_variablez00_bglt BgL_auxz00_4394;
{ /* Ast/sexp.scm 258 */
BgL_varz00_bglt BgL_obj1619z00_2884;
BgL_obj1619z00_2884 = 
(BgL_varz00_bglt)(BgL_astz00_1665); 
BgL_auxz00_4394 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2884))->BgL_variablez00); } 
BgL_auxz00_4393 = 
(obj_t)(BgL_auxz00_4394); } 
BgL_test2988z00_1673 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4393, BGl_globalz00zzast_varz00); } 
if(BgL_test2988z00_1673)
{ /* Ast/sexp.scm 259 */
BgL_globalz00_bglt BgL_auxz00_4400;
{ /* Ast/sexp.scm 259 */
BgL_variablez00_bglt BgL_auxz00_4401;
{ /* Ast/sexp.scm 259 */
BgL_varz00_bglt BgL_obj1619z00_2886;
BgL_obj1619z00_2886 = 
(BgL_varz00_bglt)(BgL_astz00_1665); 
BgL_auxz00_4401 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2886))->BgL_variablez00); } 
BgL_auxz00_4400 = 
(BgL_globalz00_bglt)(BgL_auxz00_4401); } 
BgL_test2983z00_1668 = 
BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_auxz00_4400); }  else 
{ /* Ast/sexp.scm 258 */
BgL_test2983z00_1668 = ((bool_t)0); } } 
if(BgL_test2983z00_1668)
{ /* Ast/sexp.scm 260 */
BgL_nodez00_bglt BgL_auxz00_4407;
BgL_auxz00_4407 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3392z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1662); 
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4407); }  else 
{ /* Ast/sexp.scm 264 */
obj_t BgL_arg2984z00_1669;obj_t BgL_arg2985z00_1670;BgL_nodez00_bglt BgL_arg2987z00_1672;
BgL_arg2984z00_1669 = BgL_locz00_1662; 
BgL_arg2985z00_1670 = BGl_za2unspecza2z00zztype_cachez00; 
BgL_arg2987z00_1672 = BgL_valz00_1664; 
{ /* Ast/sexp.scm 263 */
BgL_setqz00_bglt BgL_res3340z00_2908;
{ /* Ast/sexp.scm 263 */
BgL_typez00_bglt BgL_type2287z00_2888;BgL_varz00_bglt BgL_var2288z00_2889;
BgL_type2287z00_2888 = 
(BgL_typez00_bglt)(BgL_arg2985z00_1670); 
{ /* Ast/sexp.scm 266 */
BgL_nodez00_bglt BgL_auxz00_4411;
BgL_auxz00_4411 = BgL_astz00_1665; 
BgL_var2288z00_2889 = 
(BgL_varz00_bglt)(BgL_auxz00_4411); } 
{ /* Ast/sexp.scm 263 */
BgL_setqz00_bglt BgL_new2290z00_2891;
{ /* Ast/sexp.scm 263 */
BgL_setqz00_bglt BgL_res3338z00_2897;
{ /* Ast/sexp.scm 263 */
BgL_setqz00_bglt BgL_new2292z00_2892;
BgL_new2292z00_2892 = 
((BgL_setqz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setqz00_bgl) ))); 
{ /* Ast/sexp.scm 263 */
long BgL_arg3258z00_2893;
BgL_arg3258z00_2893 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqz00zzast_nodez00); 
{ /* Ast/sexp.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4415;
BgL_auxz00_4415 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2892); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4415, BgL_arg3258z00_2893); } } 
{ /* Ast/sexp.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4418;
BgL_auxz00_4418 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2892); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4418, BFALSE); } 
{ /* Ast/sexp.scm 263 */
obj_t BgL_auxz00_4421;
BgL_auxz00_4421 = 
(obj_t)(BgL_new2292z00_2892); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4421); } BUNSPEC; 
BgL_res3338z00_2897 = BgL_new2292z00_2892; } 
BgL_new2290z00_2891 = BgL_res3338z00_2897; } 
{ /* Ast/sexp.scm 263 */
BgL_setqz00_bglt BgL_res3339z00_2907;
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2891))->BgL_locz00) = ((obj_t)BgL_arg2984z00_1669), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2891))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2287z00_2888), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2891))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var2288z00_2889), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2891))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2987z00_1672), BUNSPEC); 
BgL_res3339z00_2907 = BgL_new2290z00_2891; BgL_res3339z00_2907; } 
BgL_res3340z00_2908 = BgL_new2290z00_2891; } } 
BgL_auxz00_4372 = 
(obj_t)(BgL_res3340z00_2908); } } }  else 
{ /* Ast/sexp.scm 268 */
BgL_nodez00_bglt BgL_auxz00_4429;
BgL_auxz00_4429 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3393z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1662); 
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4429); } } } } } } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4434;
BgL_tagzd2482zd2_1650:
{ /* Ast/sexp.scm 272 */
obj_t BgL_arg2992z00_1677;
BgL_arg2992z00_1677 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4434 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3391z00zzast_sexpz00, BgL_expz00_17, BgL_arg2992z00_1677); } 
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4434); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4438;
goto BgL_tagzd2482zd2_1650;
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4438); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4440;
goto BgL_tagzd2482zd2_1650;
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4440); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4442;
goto BgL_tagzd2482zd2_1650;
BgL_auxz00_4372 = 
(obj_t)(BgL_auxz00_4442); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4372);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4445;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4448;obj_t BgL_auxz00_4446;
BgL_auxz00_4448 = 
CNST_TABLE_REF(((long)21)); 
BgL_auxz00_4446 = 
CAR(BgL_expz00_17); 
BgL_testz00_4445 = 
(BgL_auxz00_4446==BgL_auxz00_4448); } 
if(BgL_testz00_4445)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4451;
{ 
obj_t BgL_varz00_1678;obj_t BgL_valz00_1679;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2507zd2_1684;
BgL_cdrzd2507zd2_1684 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2507zd2_1684))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2511zd2_1686;
BgL_cdrzd2511zd2_1686 = 
CDR(BgL_cdrzd2507zd2_1684); 
if(
PAIRP(BgL_cdrzd2511zd2_1686))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2511zd2_1686), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_varz00_1678 = 
CAR(BgL_cdrzd2507zd2_1684); 
BgL_valz00_1679 = 
CAR(BgL_cdrzd2511zd2_1686); 
{ /* Ast/sexp.scm 281 */
obj_t BgL_locz00_1693;
BgL_locz00_1693 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 281 */
obj_t BgL_valzd2loczd2_1694;
BgL_valzd2loczd2_1694 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_valz00_1679, BgL_locz00_1693); 
{ /* Ast/sexp.scm 282 */
BgL_nodez00_bglt BgL_valz00_1695;
BgL_valz00_1695 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_1679, BgL_stackz00_18, BgL_valzd2loczd2_1694, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 283 */

{ /* Ast/sexp.scm 284 */
BgL_nodez00_bglt BgL_astz00_1696;
BgL_astz00_1696 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_varz00_1678, BgL_stackz00_18, BgL_locz00_1693, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 285 */
bool_t BgL_test3001z00_1697;
{ /* Ast/sexp.scm 285 */
bool_t BgL_test3007z00_1703;
BgL_test3007z00_1703 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_astz00_1696), BGl_varz00zzast_nodez00); 
if(BgL_test3007z00_1703)
{ /* Ast/sexp.scm 285 */
obj_t BgL_auxz00_4472;
{ /* Ast/sexp.scm 285 */
BgL_variablez00_bglt BgL_auxz00_4473;
{ /* Ast/sexp.scm 285 */
BgL_varz00_bglt BgL_obj1619z00_2918;
BgL_obj1619z00_2918 = 
(BgL_varz00_bglt)(BgL_astz00_1696); 
BgL_auxz00_4473 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2918))->BgL_variablez00); } 
BgL_auxz00_4472 = 
(obj_t)(BgL_auxz00_4473); } 
BgL_test3001z00_1697 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4472, BGl_globalz00zzast_varz00); }  else 
{ /* Ast/sexp.scm 285 */
BgL_test3001z00_1697 = ((bool_t)0); } } 
if(BgL_test3001z00_1697)
{ /* Ast/sexp.scm 285 */
{ /* Ast/sexp.scm 287 */
BgL_globalz00_bglt BgL_obj1190z00_2921;obj_t BgL_val1189z00_2922;
{ /* Ast/sexp.scm 287 */
BgL_variablez00_bglt BgL_auxz00_4479;
{ /* Ast/sexp.scm 287 */
BgL_varz00_bglt BgL_obj1619z00_2920;
BgL_obj1619z00_2920 = 
(BgL_varz00_bglt)(BgL_astz00_1696); 
BgL_auxz00_4479 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2920))->BgL_variablez00); } 
BgL_obj1190z00_2921 = 
(BgL_globalz00_bglt)(BgL_auxz00_4479); } 
BgL_val1189z00_2922 = 
(obj_t)(BgL_valz00_1695); 
((((BgL_globalz00_bglt)CREF(BgL_obj1190z00_2921))->BgL_srcz00) = ((obj_t)BgL_val1189z00_2922), BUNSPEC); } 
{ /* Ast/sexp.scm 289 */
obj_t BgL_arg3003z00_1699;obj_t BgL_arg3004z00_1700;BgL_nodez00_bglt BgL_arg3006z00_1702;
BgL_arg3003z00_1699 = BgL_locz00_1693; 
BgL_arg3004z00_1700 = BGl_za2unspecza2z00zztype_cachez00; 
BgL_arg3006z00_1702 = BgL_valz00_1695; 
{ /* Ast/sexp.scm 288 */
BgL_setqz00_bglt BgL_res3343z00_2944;
{ /* Ast/sexp.scm 288 */
BgL_typez00_bglt BgL_type2287z00_2924;BgL_varz00_bglt BgL_var2288z00_2925;
BgL_type2287z00_2924 = 
(BgL_typez00_bglt)(BgL_arg3004z00_1700); 
{ /* Ast/sexp.scm 291 */
BgL_nodez00_bglt BgL_auxz00_4486;
BgL_auxz00_4486 = BgL_astz00_1696; 
BgL_var2288z00_2925 = 
(BgL_varz00_bglt)(BgL_auxz00_4486); } 
{ /* Ast/sexp.scm 288 */
BgL_setqz00_bglt BgL_new2290z00_2927;
{ /* Ast/sexp.scm 288 */
BgL_setqz00_bglt BgL_res3341z00_2933;
{ /* Ast/sexp.scm 288 */
BgL_setqz00_bglt BgL_new2292z00_2928;
BgL_new2292z00_2928 = 
((BgL_setqz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setqz00_bgl) ))); 
{ /* Ast/sexp.scm 288 */
long BgL_arg3258z00_2929;
BgL_arg3258z00_2929 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqz00zzast_nodez00); 
{ /* Ast/sexp.scm 288 */
BgL_objectz00_bglt BgL_auxz00_4490;
BgL_auxz00_4490 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2928); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4490, BgL_arg3258z00_2929); } } 
{ /* Ast/sexp.scm 288 */
BgL_objectz00_bglt BgL_auxz00_4493;
BgL_auxz00_4493 = 
(BgL_objectz00_bglt)(BgL_new2292z00_2928); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4493, BFALSE); } 
{ /* Ast/sexp.scm 288 */
obj_t BgL_auxz00_4496;
BgL_auxz00_4496 = 
(obj_t)(BgL_new2292z00_2928); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4496); } BUNSPEC; 
BgL_res3341z00_2933 = BgL_new2292z00_2928; } 
BgL_new2290z00_2927 = BgL_res3341z00_2933; } 
{ /* Ast/sexp.scm 288 */
BgL_setqz00_bglt BgL_res3342z00_2943;
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2927))->BgL_locz00) = ((obj_t)BgL_arg3003z00_1699), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2927))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2287z00_2924), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2927))->BgL_varz00) = ((BgL_varz00_bglt)BgL_var2288z00_2925), BUNSPEC); 
((((BgL_setqz00_bglt)CREF(BgL_new2290z00_2927))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3006z00_1702), BUNSPEC); 
BgL_res3342z00_2943 = BgL_new2290z00_2927; BgL_res3342z00_2943; } 
BgL_res3343z00_2944 = BgL_new2290z00_2927; } } 
BgL_auxz00_4451 = 
(obj_t)(BgL_res3343z00_2944); } } }  else 
{ /* Ast/sexp.scm 293 */
BgL_nodez00_bglt BgL_auxz00_4504;
BgL_auxz00_4504 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3390z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1693); 
BgL_auxz00_4451 = 
(obj_t)(BgL_auxz00_4504); } } } } } } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4509;
BgL_tagzd2500zd2_1681:
{ /* Ast/sexp.scm 297 */
obj_t BgL_arg3010z00_1706;
BgL_arg3010z00_1706 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4509 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3389z00zzast_sexpz00, BgL_expz00_17, BgL_arg3010z00_1706); } 
BgL_auxz00_4451 = 
(obj_t)(BgL_auxz00_4509); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4513;
goto BgL_tagzd2500zd2_1681;
BgL_auxz00_4451 = 
(obj_t)(BgL_auxz00_4513); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4515;
goto BgL_tagzd2500zd2_1681;
BgL_auxz00_4451 = 
(obj_t)(BgL_auxz00_4515); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4517;
goto BgL_tagzd2500zd2_1681;
BgL_auxz00_4451 = 
(obj_t)(BgL_auxz00_4517); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4451);}  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_carzd2197zd2_1308;
BgL_carzd2197zd2_1308 = 
CAR(BgL_expz00_17); 
if(
PAIRP(BgL_carzd2197zd2_1308))
{ /* Ast/sexp.scm 74 */
obj_t BgL_carzd2200zd2_1310;obj_t BgL_cdrzd2201zd2_1311;
BgL_carzd2200zd2_1310 = 
CAR(BgL_carzd2197zd2_1308); 
BgL_cdrzd2201zd2_1311 = 
CDR(BgL_carzd2197zd2_1308); 
{ 

{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4525;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4526;
BgL_auxz00_4526 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4525 = 
(BgL_carzd2200zd2_1310==BgL_auxz00_4526); } 
if(BgL_testz00_4525)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4529;
BgL_kapzd2202zd2_1312:
if(
PAIRP(BgL_cdrzd2201zd2_1311))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2205zd2_1328;
BgL_cdrzd2205zd2_1328 = 
CDR(BgL_cdrzd2201zd2_1311); 
if(
PAIRP(BgL_cdrzd2205zd2_1328))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2205zd2_1328), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4538;
BgL_bodyz00_1278 = 
CAR(BgL_cdrzd2205zd2_1328); 
BgL_argsz00_1279 = 
CDR(BgL_expz00_17); 
{ /* Ast/sexp.scm 302 */
obj_t BgL_letzd2partzd2_1707;
BgL_letzd2partzd2_1707 = 
CAR(BgL_expz00_17); 
{ /* Ast/sexp.scm 303 */
obj_t BgL_arg3011z00_1708;obj_t BgL_arg3012z00_1709;
{ /* Ast/sexp.scm 303 */
obj_t BgL_auxz00_4540;
BgL_auxz00_4540 = 
CDR(BgL_letzd2partzd2_1707); 
BgL_arg3011z00_1708 = 
CDR(BgL_auxz00_4540); } 
{ /* Ast/sexp.scm 303 */
obj_t BgL_auxz00_4543;
BgL_auxz00_4543 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1279, BNIL); 
BgL_arg3012z00_1709 = 
MAKE_PAIR(BgL_bodyz00_1278, BgL_auxz00_4543); } 
SET_CAR(BgL_arg3011z00_1708, BgL_arg3012z00_1709); } 
BgL_auxz00_4538 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_letzd2partzd2_1707, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); } 
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4538); }  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_carzd2226zd2_1333;
BgL_carzd2226zd2_1333 = 
CAR(BgL_expz00_17); 
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2231zd2_1334;
BgL_cdrzd2231zd2_1334 = 
CDR(BgL_carzd2226zd2_1333); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4553;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4556;obj_t BgL_auxz00_4554;
BgL_auxz00_4556 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4554 = 
CAR(BgL_carzd2226zd2_1333); 
BgL_testz00_4553 = 
(BgL_auxz00_4554==BgL_auxz00_4556); } 
if(BgL_testz00_4553)
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4559;
BgL_varsz00_1283 = 
CAR(BgL_cdrzd2231zd2_1334); 
BgL_bodyz00_1284 = 
CDR(BgL_cdrzd2231zd2_1334); 
BgL_argsz00_1285 = 
CDR(BgL_expz00_17); 
BgL_tagzd2132zd2_1286:
{ /* Ast/sexp.scm 313 */
obj_t BgL_locz00_1711;
BgL_locz00_1711 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 314 */
obj_t BgL_arg3014z00_1712;
{ /* Ast/sexp.scm 314 */
obj_t BgL_arg3015z00_1713;obj_t BgL_arg3016z00_1714;
BgL_arg3015z00_1713 = 
CNST_TABLE_REF(((long)7)); 
{ /* Ast/sexp.scm 314 */
obj_t BgL_arg3017z00_1715;obj_t BgL_arg3018z00_1716;
BgL_arg3017z00_1715 = 
BGl_loopz00zzast_sexpz00(BgL_expz00_17, BgL_locz00_1711, BgL_varsz00_1283, BgL_argsz00_1285); 
{ /* Ast/sexp.scm 356 */
obj_t BgL_arg3061z00_1765;
{ /* Ast/sexp.scm 356 */
obj_t BgL_arg3063z00_1767;obj_t BgL_arg3064z00_1768;
{ /* Ast/sexp.scm 356 */
obj_t BgL_arg3066z00_1770;
BgL_arg3066z00_1770 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3063z00_1767 = 
BGl_shapez00zztools_shapez00(BgL_arg3066z00_1770); } 
BgL_arg3064z00_1768 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1284); 
{ /* Ast/sexp.scm 360 */
obj_t BgL_zc3anonymousza33067ze3z83_3861;
{ 
int BgL_auxz00_4568;int BgL_auxz00_4566;
BgL_auxz00_4568 = 
(int)(((long)1)); 
BgL_auxz00_4566 = 
(int)(((long)3)); 
BgL_zc3anonymousza33067ze3z83_3861 = 
make_fx_procedure(BGl_zc3anonymousza33067ze3z83zzast_sexpz00, BgL_auxz00_4566, BgL_auxz00_4568); } 
{ /* Ast/sexp.scm 360 */
int BgL_auxz00_4571;
BgL_auxz00_4571 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_3861, BgL_auxz00_4571, BgL_locz00_1711); } 
BgL_arg3061z00_1765 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_arg3063z00_1767, BgL_varsz00_1283, BgL_arg3064z00_1768, BgL_zc3anonymousza33067ze3z83_3861); } } 
BgL_arg3018z00_1716 = 
MAKE_PAIR(BgL_arg3061z00_1765, BNIL); } 
BgL_arg3016z00_1714 = 
MAKE_PAIR(BgL_arg3017z00_1715, BgL_arg3018z00_1716); } 
BgL_arg3014z00_1712 = 
MAKE_PAIR(BgL_arg3015z00_1713, BgL_arg3016z00_1714); } 
BgL_auxz00_4559 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3014z00_1712, BgL_stackz00_18, BgL_locz00_1711, BgL_sitez00_20); } } 
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4559); }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2717z00_1339;
BgL_test2717z00_1339 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2717z00_1339)
{ /* Ast/sexp.scm 74 */
BgL_tagzd2141zd2_1295:
BgL_auxz00_4529 = 
BGl_privatezd2ze3nodez31zzast_privatez00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20)
; }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4586;
BgL_tagzd2142zd2_1296:
{ /* Ast/sexp.scm 466 */
obj_t BgL_callerz00_1883;obj_t BgL_locz00_1884;
BgL_callerz00_1883 = 
CAR(BgL_expz00_17); 
BgL_locz00_1884 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
if(
SYMBOLP(BgL_callerz00_1883))
{ /* Ast/sexp.scm 470 */
obj_t BgL_pidz00_1886;
BgL_pidz00_1886 = 
BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_1883, BgL_locz00_1884); 
{ /* Ast/sexp.scm 470 */
obj_t BgL_idz00_1887;
BgL_idz00_1887 = 
CAR(BgL_pidz00_1886); 
{ /* Ast/sexp.scm 471 */
obj_t BgL_typez00_1888;
BgL_typez00_1888 = 
CDR(BgL_pidz00_1886); 
{ /* Ast/sexp.scm 472 */

{ /* Ast/sexp.scm 473 */
bool_t BgL_testz00_4594;
{ /* Ast/sexp.scm 473 */
obj_t BgL_auxz00_4595;
BgL_auxz00_4595 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_4594 = 
(BgL_idz00_1887==BgL_auxz00_4595); } 
if(BgL_testz00_4594)
{ /* Ast/sexp.scm 473 */
BgL_auxz00_4586 = 
BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)0), 
(BgL_typez00_bglt)(BgL_typez00_1888), BgL_expz00_17, BgL_stackz00_18, BgL_locz00_1884, BgL_sitez00_20)
; }  else 
{ /* Ast/sexp.scm 473 */
bool_t BgL_testz00_4600;
{ /* Ast/sexp.scm 473 */
obj_t BgL_auxz00_4601;
BgL_auxz00_4601 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_4600 = 
(BgL_idz00_1887==BgL_auxz00_4601); } 
if(BgL_testz00_4600)
{ /* Ast/sexp.scm 473 */
BgL_auxz00_4586 = 
BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)1), 
(BgL_typez00_bglt)(BgL_typez00_1888), BgL_expz00_17, BgL_stackz00_18, BgL_locz00_1884, BgL_sitez00_20)
; }  else 
{ /* Ast/sexp.scm 473 */
bool_t BgL_testz00_4606;
{ /* Ast/sexp.scm 473 */
obj_t BgL_auxz00_4607;
BgL_auxz00_4607 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_4606 = 
(BgL_idz00_1887==BgL_auxz00_4607); } 
if(BgL_testz00_4606)
{ 
obj_t BgL_argsz00_1893;obj_t BgL_bodyz00_1894;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 479 */
obj_t BgL_cdrzd2581zd2_1899;
BgL_cdrzd2581zd2_1899 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2581zd2_1899))
{ /* Ast/sexp.scm 479 */
BgL_argsz00_1893 = 
CAR(BgL_cdrzd2581zd2_1899); 
BgL_bodyz00_1894 = 
CDR(BgL_cdrzd2581zd2_1899); 
{ /* Ast/sexp.scm 481 */
obj_t BgL_locz00_1903;
BgL_locz00_1903 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_1884); 
{ /* Ast/sexp.scm 481 */
obj_t BgL_funz00_1904;
{ /* Ast/sexp.scm 482 */
obj_t BgL_arg3157z00_1918;
BgL_arg3157z00_1918 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)4)), BEOA); 
BgL_funz00_1904 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3157z00_1918); } 
{ /* Ast/sexp.scm 482 */
obj_t BgL_tfunz00_1905;
{ /* Ast/sexp.scm 483 */
obj_t BgL_auxz00_4620;
{ /* Ast/sexp.scm 483 */
BgL_typez00_bglt BgL_obj1002z00_3071;
BgL_obj1002z00_3071 = 
(BgL_typez00_bglt)(BgL_typez00_1888); 
BgL_auxz00_4620 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_3071))->BgL_idz00); } 
BgL_tfunz00_1905 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_funz00_1904, BgL_auxz00_4620); } 
{ /* Ast/sexp.scm 483 */

{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3145z00_1906;
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3146z00_1907;obj_t BgL_arg3147z00_1908;
BgL_arg3146z00_1907 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3148z00_1909;obj_t BgL_arg3149z00_1910;
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3150z00_1911;
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3152z00_1913;
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3153z00_1914;
{ /* Ast/sexp.scm 485 */
obj_t BgL_arg3154z00_1915;
BgL_arg3154z00_1915 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1894); 
BgL_arg3153z00_1914 = 
MAKE_PAIR(BgL_arg3154z00_1915, BNIL); } 
BgL_arg3152z00_1913 = 
MAKE_PAIR(BgL_argsz00_1893, BgL_arg3153z00_1914); } 
BgL_arg3150z00_1911 = 
MAKE_PAIR(BgL_tfunz00_1905, BgL_arg3152z00_1913); } 
BgL_arg3148z00_1909 = 
MAKE_PAIR(BgL_arg3150z00_1911, BNIL); } 
BgL_arg3149z00_1910 = 
MAKE_PAIR(BgL_funz00_1904, BNIL); 
BgL_arg3147z00_1908 = 
MAKE_PAIR(BgL_arg3148z00_1909, BgL_arg3149z00_1910); } 
BgL_arg3145z00_1906 = 
MAKE_PAIR(BgL_arg3146z00_1907, BgL_arg3147z00_1908); } 
BgL_auxz00_4586 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3145z00_1906, BgL_stackz00_18, BgL_locz00_1903, BgL_sitez00_20); } } } } } }  else 
{ /* Ast/sexp.scm 479 */
BgL_tagzd2574zd2_1896:
BgL_auxz00_4586 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3386z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_1884)
; } }  else 
{ /* Ast/sexp.scm 479 */
goto BgL_tagzd2574zd2_1896;} }  else 
{ /* Ast/sexp.scm 473 */
BgL_auxz00_4586 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_1884, BgL_sitez00_20)
; } } } } } } } }  else 
{ /* Ast/sexp.scm 468 */
BgL_auxz00_4586 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_1884, BgL_sitez00_20)
; } } 
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4586); } } } } } }  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_carzd2254zd2_1344;
BgL_carzd2254zd2_1344 = 
CAR(BgL_expz00_17); 
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2259zd2_1345;
BgL_cdrzd2259zd2_1345 = 
CDR(BgL_carzd2254zd2_1344); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4642;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4645;obj_t BgL_auxz00_4643;
BgL_auxz00_4645 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4643 = 
CAR(BgL_carzd2254zd2_1344); 
BgL_testz00_4642 = 
(BgL_auxz00_4643==BgL_auxz00_4645); } 
if(BgL_testz00_4642)
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4648;
{ 
obj_t BgL_argsz00_4653;obj_t BgL_bodyz00_4651;obj_t BgL_varsz00_4649;
BgL_varsz00_4649 = 
CAR(BgL_cdrzd2259zd2_1345); 
BgL_bodyz00_4651 = 
CDR(BgL_cdrzd2259zd2_1345); 
BgL_argsz00_4653 = 
CDR(BgL_expz00_17); 
BgL_argsz00_1285 = BgL_argsz00_4653; 
BgL_bodyz00_1284 = BgL_bodyz00_4651; 
BgL_varsz00_1283 = BgL_varsz00_4649; 
goto BgL_tagzd2132zd2_1286;} 
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4648); }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2726z00_1350;
BgL_test2726z00_1350 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2726z00_1350)
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2141zd2_1295;}  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4658;
goto BgL_tagzd2142zd2_1296;
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4658); } } } } } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2729z00_1353;
BgL_test2729z00_1353 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2729z00_1353)
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2141zd2_1295;}  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4662;
goto BgL_tagzd2142zd2_1296;
BgL_auxz00_4529 = 
(obj_t)(BgL_auxz00_4662); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4529);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4665;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4666;
BgL_auxz00_4666 = 
CNST_TABLE_REF(((long)22)); 
BgL_testz00_4665 = 
(BgL_carzd2200zd2_1310==BgL_auxz00_4666); } 
if(BgL_testz00_4665)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4669;
goto BgL_kapzd2202zd2_1312;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4669);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4671;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4672;
BgL_auxz00_4672 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_4671 = 
(BgL_carzd2200zd2_1310==BgL_auxz00_4672); } 
if(BgL_testz00_4671)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4675;
goto BgL_kapzd2202zd2_1312;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4675);}  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2303zd2_1317;
BgL_cdrzd2303zd2_1317 = 
CDR(BgL_carzd2197zd2_1308); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4678;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4681;obj_t BgL_auxz00_4679;
BgL_auxz00_4681 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4679 = 
CAR(BgL_carzd2197zd2_1308); 
BgL_testz00_4678 = 
(BgL_auxz00_4679==BgL_auxz00_4681); } 
if(BgL_testz00_4678)
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_cdrzd2303zd2_1317))
{ 
obj_t BgL_argsz00_4690;obj_t BgL_bodyz00_4688;obj_t BgL_varsz00_4686;
BgL_varsz00_4686 = 
CAR(BgL_cdrzd2303zd2_1317); 
BgL_bodyz00_4688 = 
CDR(BgL_cdrzd2303zd2_1317); 
BgL_argsz00_4690 = 
CDR(BgL_expz00_17); 
BgL_argsz00_1285 = BgL_argsz00_4690; 
BgL_bodyz00_1284 = BgL_bodyz00_4688; 
BgL_varsz00_1283 = BgL_varsz00_4686; 
goto BgL_tagzd2132zd2_1286;}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2704z00_1323;
BgL_test2704z00_1323 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2704z00_1323)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4694;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4694);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2705z00_1324;
BgL_test2705z00_1324 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2705z00_1324)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4698;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4698);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } } } } } } } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4700;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4701;
BgL_auxz00_4701 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4700 = 
(BgL_carzd2197zd2_1308==BgL_auxz00_4701); } 
if(BgL_testz00_4700)
{ /* Ast/sexp.scm 74 */
BgL_tagzd2130zd2_1281:
return 
BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, 
CNST_TABLE_REF(((long)1)));}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4706;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4707;
BgL_auxz00_4707 = 
CNST_TABLE_REF(((long)22)); 
BgL_testz00_4706 = 
(BgL_carzd2197zd2_1308==BgL_auxz00_4707); } 
if(BgL_testz00_4706)
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2130zd2_1281;}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4710;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4713;obj_t BgL_auxz00_4711;
BgL_auxz00_4713 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_4711 = 
CAR(BgL_expz00_17); 
BgL_testz00_4710 = 
(BgL_auxz00_4711==BgL_auxz00_4713); } 
if(BgL_testz00_4710)
{ /* Ast/sexp.scm 74 */
BgL_letzd2funzd2_bglt BgL_auxz00_4716;
BgL_auxz00_4716 = 
BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, 
CNST_TABLE_REF(((long)1))); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4716);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4720;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4723;obj_t BgL_auxz00_4721;
BgL_auxz00_4723 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4721 = 
CAR(BgL_expz00_17); 
BgL_testz00_4720 = 
(BgL_auxz00_4721==BgL_auxz00_4723); } 
if(BgL_testz00_4720)
{ /* Ast/sexp.scm 74 */
{ 
obj_t BgL_argsz00_1777;obj_t BgL_bodyz00_1778;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2525zd2_1783;
BgL_cdrzd2525zd2_1783 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2525zd2_1783))
{ /* Ast/sexp.scm 74 */
BgL_argsz00_1777 = 
CAR(BgL_cdrzd2525zd2_1783); 
BgL_bodyz00_1778 = 
CDR(BgL_cdrzd2525zd2_1783); 
{ /* Ast/sexp.scm 368 */
obj_t BgL_locz00_1787;obj_t BgL_funz00_1788;
BgL_locz00_1787 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
BgL_funz00_1788 = 
BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_19); 
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3073z00_1789;
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3074z00_1790;obj_t BgL_arg3075z00_1791;
BgL_arg3074z00_1790 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3076z00_1792;obj_t BgL_arg3077z00_1793;
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3078z00_1794;
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3080z00_1796;
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3081z00_1797;
{ /* Ast/sexp.scm 370 */
obj_t BgL_arg3082z00_1798;
BgL_arg3082z00_1798 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_1778); 
BgL_arg3081z00_1797 = 
MAKE_PAIR(BgL_arg3082z00_1798, BNIL); } 
BgL_arg3080z00_1796 = 
MAKE_PAIR(BgL_argsz00_1777, BgL_arg3081z00_1797); } 
BgL_arg3078z00_1794 = 
MAKE_PAIR(BgL_funz00_1788, BgL_arg3080z00_1796); } 
BgL_arg3076z00_1792 = 
MAKE_PAIR(BgL_arg3078z00_1794, BNIL); } 
BgL_arg3077z00_1793 = 
MAKE_PAIR(BgL_funz00_1788, BNIL); 
BgL_arg3075z00_1791 = 
MAKE_PAIR(BgL_arg3076z00_1792, BgL_arg3077z00_1793); } 
BgL_arg3073z00_1789 = 
MAKE_PAIR(BgL_arg3074z00_1790, BgL_arg3075z00_1791); } 
{ 
obj_t BgL_locz00_4743;obj_t BgL_expz00_4742;
BgL_expz00_4742 = BgL_arg3073z00_1789; 
BgL_locz00_4743 = BgL_locz00_1787; 
BgL_locz00_19 = BgL_locz00_4743; 
BgL_expz00_17 = BgL_expz00_4742; 
goto BGl_sexpzd2ze3nodez31zzast_sexpz00;} } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_tagzd2518zd2_1780:
{ /* Ast/sexp.scm 375 */
obj_t BgL_arg3085z00_1801;
BgL_arg3085z00_1801 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3386z00zzast_sexpz00, BgL_expz00_17, BgL_arg3085z00_1801);} } }  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2518zd2_1780;} } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4748;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4751;obj_t BgL_auxz00_4749;
BgL_auxz00_4751 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_4749 = 
CAR(BgL_expz00_17); 
BgL_testz00_4748 = 
(BgL_auxz00_4749==BgL_auxz00_4751); } 
if(BgL_testz00_4748)
{ /* Ast/sexp.scm 74 */
return 
BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)0), 
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4756;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4759;obj_t BgL_auxz00_4757;
BgL_auxz00_4759 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_4757 = 
CAR(BgL_expz00_17); 
BgL_testz00_4756 = 
(BgL_auxz00_4757==BgL_auxz00_4759); } 
if(BgL_testz00_4756)
{ /* Ast/sexp.scm 74 */
return 
BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)1), 
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4764;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4767;obj_t BgL_auxz00_4765;
BgL_auxz00_4767 = 
CNST_TABLE_REF(((long)23)); 
BgL_auxz00_4765 = 
CAR(BgL_expz00_17); 
BgL_testz00_4764 = 
(BgL_auxz00_4765==BgL_auxz00_4767); } 
if(BgL_testz00_4764)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4770;
{ 
obj_t BgL_procz00_1802;obj_t BgL_msgz00_1803;obj_t BgL_objz00_1804;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2542zd2_1809;
BgL_cdrzd2542zd2_1809 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2542zd2_1809))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2547zd2_1811;
BgL_cdrzd2547zd2_1811 = 
CDR(BgL_cdrzd2542zd2_1809); 
if(
PAIRP(BgL_cdrzd2547zd2_1811))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2552zd2_1813;
BgL_cdrzd2552zd2_1813 = 
CDR(BgL_cdrzd2547zd2_1811); 
if(
PAIRP(BgL_cdrzd2552zd2_1813))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2552zd2_1813), BNIL))
{ /* Ast/sexp.scm 74 */
BgL_failz00_bglt BgL_auxz00_4785;
BgL_procz00_1802 = 
CAR(BgL_cdrzd2542zd2_1809); 
BgL_msgz00_1803 = 
CAR(BgL_cdrzd2547zd2_1811); 
BgL_objz00_1804 = 
CAR(BgL_cdrzd2552zd2_1813); 
{ /* Ast/sexp.scm 388 */
obj_t BgL_locz00_1821;
BgL_locz00_1821 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 388 */
obj_t BgL_loczd2proczd2_1822;
BgL_loczd2proczd2_1822 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_procz00_1802, BgL_locz00_1821); 
{ /* Ast/sexp.scm 389 */
obj_t BgL_loczd2msgzd2_1823;
BgL_loczd2msgzd2_1823 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_msgz00_1803, BgL_locz00_1821); 
{ /* Ast/sexp.scm 390 */
obj_t BgL_loczd2objzd2_1824;
BgL_loczd2objzd2_1824 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_objz00_1804, BgL_locz00_1821); 
{ /* Ast/sexp.scm 391 */
BgL_nodez00_bglt BgL_procz00_1825;
BgL_procz00_1825 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_procz00_1802, BgL_stackz00_18, BgL_loczd2proczd2_1822, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 392 */
BgL_nodez00_bglt BgL_msgz00_1826;
BgL_msgz00_1826 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_msgz00_1803, BgL_stackz00_18, BgL_loczd2msgzd2_1823, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 393 */
BgL_nodez00_bglt BgL_objz00_1827;
BgL_objz00_1827 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_objz00_1804, BgL_stackz00_18, BgL_loczd2objzd2_1824, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 394 */

{ /* Ast/sexp.scm 395 */
obj_t BgL_arg3096z00_1828;obj_t BgL_arg3097z00_1829;BgL_nodez00_bglt BgL_arg3098z00_1830;BgL_nodez00_bglt BgL_arg3099z00_1831;BgL_nodez00_bglt BgL_arg3100z00_1832;
BgL_arg3096z00_1828 = BgL_locz00_1821; 
BgL_arg3097z00_1829 = BGl_za2magicza2z00zztype_cachez00; 
BgL_arg3098z00_1830 = BgL_procz00_1825; 
BgL_arg3099z00_1831 = BgL_msgz00_1826; 
BgL_arg3100z00_1832 = BgL_objz00_1827; 
{ /* Ast/sexp.scm 395 */
BgL_failz00_bglt BgL_res3349z00_3014;
{ /* Ast/sexp.scm 395 */
BgL_typez00_bglt BgL_type2366z00_2991;
BgL_type2366z00_2991 = 
(BgL_typez00_bglt)(BgL_arg3097z00_1829); 
{ /* Ast/sexp.scm 395 */
BgL_failz00_bglt BgL_new2370z00_2995;
{ /* Ast/sexp.scm 395 */
BgL_failz00_bglt BgL_res3347z00_3001;
{ /* Ast/sexp.scm 395 */
BgL_failz00_bglt BgL_new2372z00_2996;
BgL_new2372z00_2996 = 
((BgL_failz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_failz00_bgl) ))); 
{ /* Ast/sexp.scm 395 */
long BgL_arg3256z00_2997;
BgL_arg3256z00_2997 = 
BGl_classzd2numzd2zz__objectz00(BGl_failz00zzast_nodez00); 
{ /* Ast/sexp.scm 395 */
BgL_objectz00_bglt BgL_auxz00_4799;
BgL_auxz00_4799 = 
(BgL_objectz00_bglt)(BgL_new2372z00_2996); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4799, BgL_arg3256z00_2997); } } 
{ /* Ast/sexp.scm 395 */
BgL_objectz00_bglt BgL_auxz00_4802;
BgL_auxz00_4802 = 
(BgL_objectz00_bglt)(BgL_new2372z00_2996); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4802, BFALSE); } 
{ /* Ast/sexp.scm 395 */
obj_t BgL_auxz00_4805;
BgL_auxz00_4805 = 
(obj_t)(BgL_new2372z00_2996); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4805); } BUNSPEC; 
BgL_res3347z00_3001 = BgL_new2372z00_2996; } 
BgL_new2370z00_2995 = BgL_res3347z00_3001; } 
{ /* Ast/sexp.scm 395 */
BgL_failz00_bglt BgL_res3348z00_3013;
((((BgL_failz00_bglt)CREF(BgL_new2370z00_2995))->BgL_locz00) = ((obj_t)BgL_arg3096z00_1828), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2370z00_2995))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2366z00_2991), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2370z00_2995))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3098z00_1830), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2370z00_2995))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3099z00_1831), BUNSPEC); 
((((BgL_failz00_bglt)CREF(BgL_new2370z00_2995))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3100z00_1832), BUNSPEC); 
BgL_res3348z00_3013 = BgL_new2370z00_2995; BgL_res3348z00_3013; } 
BgL_res3349z00_3014 = BgL_new2370z00_2995; } } 
BgL_auxz00_4785 = BgL_res3349z00_3014; } } } } } } } } } } 
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4785); }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4817;
BgL_tagzd2533zd2_1806:
{ /* Ast/sexp.scm 401 */
obj_t BgL_arg3102z00_1834;
BgL_arg3102z00_1834 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4817 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3388z00zzast_sexpz00, BgL_expz00_17, BgL_arg3102z00_1834); } 
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4817); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4821;
goto BgL_tagzd2533zd2_1806;
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4821); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4823;
goto BgL_tagzd2533zd2_1806;
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4823); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4825;
goto BgL_tagzd2533zd2_1806;
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4825); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4827;
goto BgL_tagzd2533zd2_1806;
BgL_auxz00_4770 = 
(obj_t)(BgL_auxz00_4827); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4770);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4830;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4833;obj_t BgL_auxz00_4831;
BgL_auxz00_4833 = 
CNST_TABLE_REF(((long)24)); 
BgL_auxz00_4831 = 
CAR(BgL_expz00_17); 
BgL_testz00_4830 = 
(BgL_auxz00_4831==BgL_auxz00_4833); } 
if(BgL_testz00_4830)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4836;
{ 
obj_t BgL_testz00_1835;obj_t BgL_clausesz00_1836;
if(
PAIRP(BgL_expz00_17))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2566zd2_1841;
BgL_cdrzd2566zd2_1841 = 
CDR(BgL_expz00_17); 
if(
PAIRP(BgL_cdrzd2566zd2_1841))
{ /* Ast/sexp.scm 74 */
BgL_testz00_1835 = 
CAR(BgL_cdrzd2566zd2_1841); 
BgL_clausesz00_1836 = 
CDR(BgL_cdrzd2566zd2_1841); 
{ /* Ast/sexp.scm 414 */
obj_t BgL_locz00_1845;
BgL_locz00_1845 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
{ /* Ast/sexp.scm 414 */
BgL_nodez00_bglt BgL_testz00_1846;
{ /* Ast/sexp.scm 417 */
obj_t BgL_arg3133z00_1879;obj_t BgL_arg3134z00_1880;
BgL_arg3133z00_1879 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_testz00_1835, BgL_locz00_1845); 
BgL_arg3134z00_1880 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_1846 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_testz00_1835, BgL_stackz00_18, BgL_arg3133z00_1879, BgL_arg3134z00_1880); } 
{ /* Ast/sexp.scm 415 */

{ 
obj_t BgL_clsz00_1847;obj_t BgL_nclausesz00_1848;
BgL_clsz00_1847 = BgL_clausesz00_1836; 
BgL_nclausesz00_1848 = BNIL; 
BgL_loopz00_1849:
if(
NULLP(BgL_clsz00_1847))
{ /* Ast/sexp.scm 423 */
obj_t BgL_arg3108z00_1851;obj_t BgL_arg3109z00_1852;BgL_nodez00_bglt BgL_arg3111z00_1854;obj_t BgL_arg3112z00_1855;BgL_typez00_bglt BgL_arg3113z00_1856;
BgL_arg3108z00_1851 = BgL_locz00_1845; 
BgL_arg3109z00_1852 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3111z00_1854 = BgL_testz00_1846; 
BgL_arg3112z00_1855 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_nclausesz00_1848); 
{ /* Ast/sexp.scm 426 */
obj_t BgL_auxz00_4849;
{ /* Ast/sexp.scm 426 */
obj_t BgL_auxz00_4850;
{ /* Ast/sexp.scm 426 */
obj_t BgL_auxz00_4851;
BgL_auxz00_4851 = 
CAR(BgL_clausesz00_1836); 
BgL_auxz00_4850 = 
CAR(BgL_auxz00_4851); } 
BgL_auxz00_4849 = 
CAR(BgL_auxz00_4850); } 
BgL_arg3113z00_1856 = 
BGl_typeofzd2atomzd2zztype_typeofz00(BgL_auxz00_4849); } 
{ /* Ast/sexp.scm 422 */
BgL_selectz00_bglt BgL_res3352z00_3054;
{ /* Ast/sexp.scm 422 */
BgL_typez00_bglt BgL_type2406z00_3025;obj_t BgL_key2408z00_3027;
BgL_type2406z00_3025 = 
(BgL_typez00_bglt)(BgL_arg3109z00_1852); 
BgL_key2408z00_3027 = 
BINT(((long)-1)); 
{ /* Ast/sexp.scm 422 */
BgL_selectz00_bglt BgL_new2412z00_3031;
{ /* Ast/sexp.scm 422 */
BgL_selectz00_bglt BgL_res3350z00_3037;
{ /* Ast/sexp.scm 422 */
BgL_selectz00_bglt BgL_new2414z00_3032;
BgL_new2414z00_3032 = 
((BgL_selectz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_selectz00_bgl) ))); 
{ /* Ast/sexp.scm 422 */
long BgL_arg3255z00_3033;
BgL_arg3255z00_3033 = 
BGl_classzd2numzd2zz__objectz00(BGl_selectz00zzast_nodez00); 
{ /* Ast/sexp.scm 422 */
BgL_objectz00_bglt BgL_auxz00_4860;
BgL_auxz00_4860 = 
(BgL_objectz00_bglt)(BgL_new2414z00_3032); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4860, BgL_arg3255z00_3033); } } 
{ /* Ast/sexp.scm 422 */
BgL_objectz00_bglt BgL_auxz00_4863;
BgL_auxz00_4863 = 
(BgL_objectz00_bglt)(BgL_new2414z00_3032); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4863, BFALSE); } 
{ /* Ast/sexp.scm 422 */
obj_t BgL_auxz00_4866;
BgL_auxz00_4866 = 
(obj_t)(BgL_new2414z00_3032); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4866); } BUNSPEC; 
BgL_res3350z00_3037 = BgL_new2414z00_3032; } 
BgL_new2412z00_3031 = BgL_res3350z00_3037; } 
{ /* Ast/sexp.scm 422 */
BgL_selectz00_bglt BgL_res3351z00_3053;
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_locz00) = ((obj_t)BgL_arg3108z00_1851), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2406z00_3025), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_keyz00) = ((obj_t)BgL_key2408z00_3027), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3111z00_1854), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_clausesz00) = ((obj_t)BgL_arg3112z00_1855), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_3031))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_arg3113z00_1856), BUNSPEC); 
BgL_res3351z00_3053 = BgL_new2412z00_3031; BgL_res3351z00_3053; } 
BgL_res3352z00_3054 = BgL_new2412z00_3031; } } 
BgL_auxz00_4836 = 
(obj_t)(BgL_res3352z00_3054); } }  else 
{ /* Ast/sexp.scm 428 */
obj_t BgL_clausez00_1860;
BgL_clausez00_1860 = 
CAR(BgL_clsz00_1847); 
{ /* Ast/sexp.scm 428 */
BgL_nodez00_bglt BgL_bodyz00_1861;
{ /* Ast/sexp.scm 429 */
obj_t BgL_arg3129z00_1875;obj_t BgL_arg3130z00_1876;obj_t BgL_arg3131z00_1877;
BgL_arg3129z00_1875 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(
CDR(BgL_clausez00_1860)); 
BgL_arg3130z00_1876 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_clausez00_1860, BgL_locz00_1845); 
BgL_arg3131z00_1877 = 
CNST_TABLE_REF(((long)1)); 
BgL_bodyz00_1861 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3129z00_1875, BgL_stackz00_18, BgL_arg3130z00_1876, BgL_arg3131z00_1877); } 
{ /* Ast/sexp.scm 429 */
obj_t BgL_nclausez00_1862;
{ /* Ast/sexp.scm 433 */
obj_t BgL_auxz00_4885;obj_t BgL_auxz00_4883;
BgL_auxz00_4885 = 
(obj_t)(BgL_bodyz00_1861); 
BgL_auxz00_4883 = 
CAR(BgL_clausez00_1860); 
BgL_nclausez00_1862 = 
MAKE_PAIR(BgL_auxz00_4883, BgL_auxz00_4885); } 
{ /* Ast/sexp.scm 433 */

{ /* Ast/sexp.scm 435 */
bool_t BgL_testz00_4888;
{ /* Ast/sexp.scm 435 */
bool_t BgL_testz00_4889;
{ /* Ast/sexp.scm 435 */
obj_t BgL_auxz00_4892;obj_t BgL_auxz00_4890;
BgL_auxz00_4892 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_4890 = 
CAR(BgL_clausez00_1860); 
BgL_testz00_4889 = 
(BgL_auxz00_4890==BgL_auxz00_4892); } 
if(BgL_testz00_4889)
{ /* Ast/sexp.scm 436 */
bool_t BgL_testz00_4895;
{ /* Ast/sexp.scm 436 */
obj_t BgL_auxz00_4896;
BgL_auxz00_4896 = 
CDR(BgL_clsz00_1847); 
BgL_testz00_4895 = 
NULLP(BgL_auxz00_4896); } 
if(BgL_testz00_4895)
{ /* Ast/sexp.scm 436 */
BgL_testz00_4888 = ((bool_t)0)
; }  else 
{ /* Ast/sexp.scm 436 */
BgL_testz00_4888 = ((bool_t)1)
; } }  else 
{ /* Ast/sexp.scm 435 */
BgL_testz00_4888 = ((bool_t)0)
; } } 
if(BgL_testz00_4888)
{ /* Ast/sexp.scm 437 */
obj_t BgL_arg3119z00_1865;
BgL_arg3119z00_1865 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_1845); 
{ /* Ast/sexp.scm 437 */
BgL_nodez00_bglt BgL_auxz00_4900;
BgL_auxz00_4900 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3387z00zzast_sexpz00, BgL_arg3119z00_1865, BgL_expz00_17); 
BgL_auxz00_4836 = 
(obj_t)(BgL_auxz00_4900); } }  else 
{ /* Ast/sexp.scm 440 */
obj_t BgL_arg3120z00_1866;obj_t BgL_arg3121z00_1867;
BgL_arg3120z00_1866 = 
CDR(BgL_clsz00_1847); 
{ /* Ast/sexp.scm 441 */
obj_t BgL_arg3122z00_1868;
BgL_arg3122z00_1868 = 
BGl_epairifyz00zztools_miscz00(BgL_nclausez00_1862, BgL_clausez00_1860); 
BgL_arg3121z00_1867 = 
MAKE_PAIR(BgL_arg3122z00_1868, BgL_nclausesz00_1848); } 
{ 
obj_t BgL_nclausesz00_4907;obj_t BgL_clsz00_4906;
BgL_clsz00_4906 = BgL_arg3120z00_1866; 
BgL_nclausesz00_4907 = BgL_arg3121z00_1867; 
BgL_nclausesz00_1848 = BgL_nclausesz00_4907; 
BgL_clsz00_1847 = BgL_clsz00_4906; 
goto BgL_loopz00_1849;} } } } } } } } } } } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4910;
BgL_tagzd2559zd2_1838:
{ /* Ast/sexp.scm 444 */
obj_t BgL_arg3136z00_1882;
BgL_arg3136z00_1882 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4910 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3387z00zzast_sexpz00, BgL_arg3136z00_1882, BgL_expz00_17); } 
BgL_auxz00_4836 = 
(obj_t)(BgL_auxz00_4910); } }  else 
{ /* Ast/sexp.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4914;
goto BgL_tagzd2559zd2_1838;
BgL_auxz00_4836 = 
(obj_t)(BgL_auxz00_4914); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4836);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4917;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4920;obj_t BgL_auxz00_4918;
BgL_auxz00_4920 = 
CNST_TABLE_REF(((long)25)); 
BgL_auxz00_4918 = 
CAR(BgL_expz00_17); 
BgL_testz00_4917 = 
(BgL_auxz00_4918==BgL_auxz00_4920); } 
if(BgL_testz00_4917)
{ /* Ast/sexp.scm 74 */
BgL_letzd2funzd2_bglt BgL_auxz00_4923;
BgL_auxz00_4923 = 
BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4923);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4926;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4929;obj_t BgL_auxz00_4927;
BgL_auxz00_4929 = 
CNST_TABLE_REF(((long)26)); 
BgL_auxz00_4927 = 
CAR(BgL_expz00_17); 
BgL_testz00_4926 = 
(BgL_auxz00_4927==BgL_auxz00_4929); } 
if(BgL_testz00_4926)
{ /* Ast/sexp.scm 74 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4932;
BgL_auxz00_4932 = 
BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4932);}  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2343zd2_1365;
BgL_cdrzd2343zd2_1365 = 
CDR(BgL_expz00_17); 
{ /* Ast/sexp.scm 74 */
bool_t BgL_testz00_4936;
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4939;obj_t BgL_auxz00_4937;
BgL_auxz00_4939 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_4937 = 
CAR(BgL_expz00_17); 
BgL_testz00_4936 = 
(BgL_auxz00_4937==BgL_auxz00_4939); } 
if(BgL_testz00_4936)
{ /* Ast/sexp.scm 74 */
if(
PAIRP(BgL_cdrzd2343zd2_1365))
{ /* Ast/sexp.scm 74 */
obj_t BgL_cdrzd2345zd2_1368;
BgL_cdrzd2345zd2_1368 = 
CDR(BgL_cdrzd2343zd2_1365); 
if(
PAIRP(BgL_cdrzd2345zd2_1368))
{ /* Ast/sexp.scm 74 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2345zd2_1368), BNIL))
{ /* Ast/sexp.scm 74 */
return 
BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_17, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20);}  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2744z00_1371;
BgL_test2744z00_1371 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2744z00_1371)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4953;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4953);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2747z00_1374;
BgL_test2747z00_1374 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2747z00_1374)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4957;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4957);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2748z00_1375;
BgL_test2748z00_1375 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2748z00_1375)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4961;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4961);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } }  else 
{ /* Ast/sexp.scm 74 */
bool_t BgL_test2749z00_1376;
BgL_test2749z00_1376 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_17); 
if(BgL_test2749z00_1376)
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4965;
goto BgL_tagzd2141zd2_1295;
return 
(BgL_nodez00_bglt)(BgL_auxz00_4965);}  else 
{ /* Ast/sexp.scm 74 */
goto BgL_tagzd2142zd2_1296;} } } } } } } } } } } } } } } } } } } } }  else 
{ /* Ast/sexp.scm 74 */
obj_t BgL_auxz00_4967;
BgL_atomz00_1269 = BgL_expz00_17; 
if(
SYMBOLP(BgL_atomz00_1269))
{ /* Ast/sexp.scm 106 */
bool_t BgL_test2784z00_1408;
{ /* Ast/sexp.scm 106 */
obj_t BgL_auxz00_4970;
BgL_auxz00_4970 = 
BGl_lookupz00zzast_sexpz00(BgL_atomz00_1269, BgL_stackz00_18); 
BgL_test2784z00_1408 = 
CBOOL(BgL_auxz00_4970); } 
if(BgL_test2784z00_1408)
{ /* Ast/sexp.scm 106 */
{ /* Ast/sexp.scm 107 */
obj_t BgL_localz00_1409;
BgL_localz00_1409 = 
BGl_lookupz00zzast_sexpz00(BgL_atomz00_1269, BgL_stackz00_18); 
{ /* Ast/sexp.scm 107 */
obj_t BgL_varz00_1410;
{ /* Ast/sexp.scm 108 */
bool_t BgL_test2785z00_1411;
{ /* Ast/sexp.scm 108 */
bool_t BgL_testz00_4975;
{ /* Ast/sexp.scm 108 */
obj_t BgL_auxz00_4976;
BgL_auxz00_4976 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_4975 = 
(BgL_sitez00_20==BgL_auxz00_4976); } 
if(BgL_testz00_4975)
{ /* Ast/sexp.scm 108 */
BgL_test2785z00_1411 = ((bool_t)0); }  else 
{ /* Ast/sexp.scm 109 */
obj_t BgL_auxz00_4979;
{ /* Ast/sexp.scm 109 */
BgL_valuez00_bglt BgL_auxz00_4980;
{ /* Ast/sexp.scm 109 */
BgL_localz00_bglt BgL_obj1255z00_2482;
BgL_obj1255z00_2482 = 
(BgL_localz00_bglt)(BgL_localz00_1409); 
BgL_auxz00_4980 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2482))->BgL_valuez00); } 
BgL_auxz00_4979 = 
(obj_t)(BgL_auxz00_4980); } 
BgL_test2785z00_1411 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4979, BGl_funz00zzast_varz00); } } 
if(BgL_test2785z00_1411)
{ /* Ast/sexp.scm 111 */
obj_t BgL_arg2786z00_1412;BgL_typez00_bglt BgL_arg2788z00_1413;
BgL_arg2786z00_1412 = BgL_locz00_19; 
{ /* Ast/sexp.scm 112 */
BgL_localz00_bglt BgL_obj1252z00_2484;
BgL_obj1252z00_2484 = 
(BgL_localz00_bglt)(BgL_localz00_1409); 
BgL_arg2788z00_1413 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2484))->BgL_typez00); } 
{ /* Ast/sexp.scm 110 */
BgL_closurez00_bglt BgL_res3297z00_2503;
{ /* Ast/sexp.scm 110 */
BgL_variablez00_bglt BgL_variable1654z00_2487;
{ /* Ast/sexp.scm 113 */
obj_t BgL_auxz00_4988;
BgL_auxz00_4988 = BgL_localz00_1409; 
BgL_variable1654z00_2487 = 
(BgL_variablez00_bglt)(BgL_auxz00_4988); } 
{ /* Ast/sexp.scm 110 */
BgL_closurez00_bglt BgL_new1655z00_2488;
{ /* Ast/sexp.scm 110 */
BgL_closurez00_bglt BgL_res3295z00_2494;
{ /* Ast/sexp.scm 110 */
BgL_closurez00_bglt BgL_new1657z00_2489;
BgL_new1657z00_2489 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/sexp.scm 110 */
long BgL_arg3276z00_2490;
BgL_arg3276z00_2490 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/sexp.scm 110 */
BgL_objectz00_bglt BgL_auxz00_4992;
BgL_auxz00_4992 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2489); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4992, BgL_arg3276z00_2490); } } 
{ /* Ast/sexp.scm 110 */
BgL_objectz00_bglt BgL_auxz00_4995;
BgL_auxz00_4995 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2489); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4995, BFALSE); } 
{ /* Ast/sexp.scm 110 */
obj_t BgL_auxz00_4998;
BgL_auxz00_4998 = 
(obj_t)(BgL_new1657z00_2489); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4998); } BUNSPEC; 
BgL_res3295z00_2494 = BgL_new1657z00_2489; } 
BgL_new1655z00_2488 = BgL_res3295z00_2494; } 
{ /* Ast/sexp.scm 110 */
BgL_closurez00_bglt BgL_res3296z00_2502;
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2488))->BgL_locz00) = ((obj_t)BgL_arg2786z00_1412), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2488))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2788z00_1413), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2488))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1654z00_2487), BUNSPEC); 
BgL_res3296z00_2502 = BgL_new1655z00_2488; BgL_res3296z00_2502; } 
BgL_res3297z00_2503 = BgL_new1655z00_2488; } } 
BgL_varz00_1410 = 
(obj_t)(BgL_res3297z00_2503); } }  else 
{ /* Ast/sexp.scm 115 */
obj_t BgL_arg2790z00_1415;BgL_typez00_bglt BgL_arg2791z00_1416;
BgL_arg2790z00_1415 = BgL_locz00_19; 
{ /* Ast/sexp.scm 116 */
BgL_localz00_bglt BgL_obj1252z00_2504;
BgL_obj1252z00_2504 = 
(BgL_localz00_bglt)(BgL_localz00_1409); 
BgL_arg2791z00_1416 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2504))->BgL_typez00); } 
{ /* Ast/sexp.scm 114 */
BgL_varz00_bglt BgL_res3300z00_2523;
{ /* Ast/sexp.scm 114 */
BgL_variablez00_bglt BgL_variable1632z00_2507;
{ /* Ast/sexp.scm 117 */
obj_t BgL_auxz00_5007;
BgL_auxz00_5007 = BgL_localz00_1409; 
BgL_variable1632z00_2507 = 
(BgL_variablez00_bglt)(BgL_auxz00_5007); } 
{ /* Ast/sexp.scm 114 */
BgL_varz00_bglt BgL_new1633z00_2508;
{ /* Ast/sexp.scm 114 */
BgL_varz00_bglt BgL_res3298z00_2514;
{ /* Ast/sexp.scm 114 */
BgL_varz00_bglt BgL_new1635z00_2509;
BgL_new1635z00_2509 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/sexp.scm 114 */
long BgL_arg3277z00_2510;
BgL_arg3277z00_2510 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/sexp.scm 114 */
BgL_objectz00_bglt BgL_auxz00_5011;
BgL_auxz00_5011 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2509); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5011, BgL_arg3277z00_2510); } } 
{ /* Ast/sexp.scm 114 */
BgL_objectz00_bglt BgL_auxz00_5014;
BgL_auxz00_5014 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2509); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5014, BFALSE); } 
{ /* Ast/sexp.scm 114 */
obj_t BgL_auxz00_5017;
BgL_auxz00_5017 = 
(obj_t)(BgL_new1635z00_2509); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5017); } BUNSPEC; 
BgL_res3298z00_2514 = BgL_new1635z00_2509; } 
BgL_new1633z00_2508 = BgL_res3298z00_2514; } 
{ /* Ast/sexp.scm 114 */
BgL_varz00_bglt BgL_res3299z00_2522;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2508))->BgL_locz00) = ((obj_t)BgL_arg2790z00_1415), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2508))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2791z00_1416), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2508))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2507), BUNSPEC); 
BgL_res3299z00_2522 = BgL_new1633z00_2508; BgL_res3299z00_2522; } 
BgL_res3300z00_2523 = BgL_new1633z00_2508; } } 
BgL_varz00_1410 = 
(obj_t)(BgL_res3300z00_2523); } } } 
{ /* Ast/sexp.scm 108 */

BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_localz00_1409), BgL_locz00_19, BgL_sitez00_20); 
BgL_auxz00_4967 = BgL_varz00_1410; } } } }  else 
{ /* Ast/sexp.scm 106 */
{ /* Ast/sexp.scm 121 */
obj_t BgL_globalz00_1420;
BgL_globalz00_1420 = 
BGl_findzd2globalzd2zzast_envz00(BgL_atomz00_1269, BNIL); 
{ /* Ast/sexp.scm 123 */
bool_t BgL_test2796z00_1421;
BgL_test2796z00_1421 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1420, BGl_globalz00zzast_varz00); 
if(BgL_test2796z00_1421)
{ /* Ast/sexp.scm 125 */
bool_t BgL_testz00_5029;
{ /* Ast/sexp.scm 125 */
obj_t BgL_auxz00_5033;obj_t BgL_auxz00_5030;
BgL_auxz00_5033 = 
CNST_TABLE_REF(((long)14)); 
{ /* Ast/sexp.scm 125 */
BgL_globalz00_bglt BgL_obj1173z00_2525;
BgL_obj1173z00_2525 = 
(BgL_globalz00_bglt)(BgL_globalz00_1420); 
BgL_auxz00_5030 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_2525))->BgL_importz00); } 
BgL_testz00_5029 = 
(BgL_auxz00_5030==BgL_auxz00_5033); } 
if(BgL_testz00_5029)
{ /* Ast/sexp.scm 125 */
{ /* Ast/sexp.scm 126 */
obj_t BgL_arg2799z00_1423;
{ /* Ast/sexp.scm 126 */
obj_t BgL_arg2800z00_1424;obj_t BgL_arg2801z00_1425;
BgL_arg2800z00_1424 = 
CNST_TABLE_REF(((long)14)); 
{ /* Ast/sexp.scm 126 */
obj_t BgL_arg2802z00_1426;
{ /* Ast/sexp.scm 126 */
obj_t BgL_arg2806z00_1428;obj_t BgL_arg2807z00_1429;
BgL_arg2806z00_1428 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2807z00_1429 = 
MAKE_PAIR(BgL_atomz00_1269, BNIL); 
BgL_arg2802z00_1426 = 
MAKE_PAIR(BgL_arg2806z00_1428, BgL_arg2807z00_1429); } 
BgL_arg2801z00_1425 = 
MAKE_PAIR(BgL_arg2802z00_1426, BNIL); } 
BgL_arg2799z00_1423 = 
MAKE_PAIR(BgL_arg2800z00_1424, BgL_arg2801z00_1425); } 
{ /* Ast/sexp.scm 126 */
BgL_nodez00_bglt BgL_auxz00_5042;
BgL_auxz00_5042 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2799z00_1423, BgL_stackz00_18, BgL_locz00_19, BgL_sitez00_20); 
BgL_auxz00_4967 = 
(obj_t)(BgL_auxz00_5042); } } }  else 
{ /* Ast/sexp.scm 125 */
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_globalz00_1420), BgL_locz00_19, BgL_sitez00_20); 
{ /* Ast/sexp.scm 129 */
bool_t BgL_test2808z00_1430;
{ /* Ast/sexp.scm 129 */
bool_t BgL_testz00_5047;
{ /* Ast/sexp.scm 129 */
obj_t BgL_auxz00_5048;
BgL_auxz00_5048 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_5047 = 
(BgL_sitez00_20==BgL_auxz00_5048); } 
if(BgL_testz00_5047)
{ /* Ast/sexp.scm 129 */
BgL_test2808z00_1430 = ((bool_t)0); }  else 
{ /* Ast/sexp.scm 129 */
obj_t BgL_auxz00_5051;
{ /* Ast/sexp.scm 129 */
BgL_valuez00_bglt BgL_auxz00_5052;
{ /* Ast/sexp.scm 129 */
BgL_globalz00_bglt BgL_obj1155z00_2526;
BgL_obj1155z00_2526 = 
(BgL_globalz00_bglt)(BgL_globalz00_1420); 
BgL_auxz00_5052 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2526))->BgL_valuez00); } 
BgL_auxz00_5051 = 
(obj_t)(BgL_auxz00_5052); } 
BgL_test2808z00_1430 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5051, BGl_funz00zzast_varz00); } } 
if(BgL_test2808z00_1430)
{ /* Ast/sexp.scm 130 */
bool_t BgL_test2809z00_1431;
{ /* Ast/sexp.scm 130 */
bool_t BgL_test2813z00_1435;
{ /* Ast/sexp.scm 130 */
obj_t BgL_auxz00_5058;
{ /* Ast/sexp.scm 130 */
BgL_valuez00_bglt BgL_auxz00_5059;
{ /* Ast/sexp.scm 130 */
BgL_globalz00_bglt BgL_obj1155z00_2528;
BgL_obj1155z00_2528 = 
(BgL_globalz00_bglt)(BgL_globalz00_1420); 
BgL_auxz00_5059 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2528))->BgL_valuez00); } 
BgL_auxz00_5058 = 
(obj_t)(BgL_auxz00_5059); } 
BgL_test2813z00_1435 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5058, BGl_cfunz00zzast_varz00); } 
if(BgL_test2813z00_1435)
{ /* Ast/sexp.scm 131 */
bool_t BgL_test2814z00_1436;
{ /* Ast/sexp.scm 131 */
obj_t BgL_auxz00_5065;
BgL_auxz00_5065 = 
CNST_TABLE_REF(((long)18)); 
BgL_test2814z00_1436 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_5065); } 
if(BgL_test2814z00_1436)
{ /* Ast/sexp.scm 132 */
bool_t BgL_testz00_5069;
{ /* Ast/sexp.scm 132 */
obj_t BgL_auxz00_5070;
BgL_auxz00_5070 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_5069 = 
(BgL_sitez00_20==BgL_auxz00_5070); } 
if(BgL_testz00_5069)
{ /* Ast/sexp.scm 132 */
BgL_test2809z00_1431 = ((bool_t)0); }  else 
{ /* Ast/sexp.scm 132 */
BgL_test2809z00_1431 = ((bool_t)1); } }  else 
{ /* Ast/sexp.scm 131 */
BgL_test2809z00_1431 = ((bool_t)0); } }  else 
{ /* Ast/sexp.scm 130 */
BgL_test2809z00_1431 = ((bool_t)0); } } 
if(BgL_test2809z00_1431)
{ /* Ast/sexp.scm 133 */
BgL_nodez00_bglt BgL_auxz00_5074;
BgL_auxz00_5074 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3398z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4967 = 
(obj_t)(BgL_auxz00_5074); }  else 
{ /* Ast/sexp.scm 136 */
obj_t BgL_arg2810z00_1432;BgL_typez00_bglt BgL_arg2811z00_1433;
BgL_arg2810z00_1432 = BgL_locz00_19; 
{ /* Ast/sexp.scm 137 */
BgL_globalz00_bglt BgL_obj1152z00_2530;
BgL_obj1152z00_2530 = 
(BgL_globalz00_bglt)(BgL_globalz00_1420); 
BgL_arg2811z00_1433 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2530))->BgL_typez00); } 
{ /* Ast/sexp.scm 135 */
BgL_closurez00_bglt BgL_res3303z00_2549;
{ /* Ast/sexp.scm 135 */
BgL_variablez00_bglt BgL_variable1654z00_2533;
{ /* Ast/sexp.scm 138 */
obj_t BgL_auxz00_5079;
BgL_auxz00_5079 = BgL_globalz00_1420; 
BgL_variable1654z00_2533 = 
(BgL_variablez00_bglt)(BgL_auxz00_5079); } 
{ /* Ast/sexp.scm 135 */
BgL_closurez00_bglt BgL_new1655z00_2534;
{ /* Ast/sexp.scm 135 */
BgL_closurez00_bglt BgL_res3301z00_2540;
{ /* Ast/sexp.scm 135 */
BgL_closurez00_bglt BgL_new1657z00_2535;
BgL_new1657z00_2535 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/sexp.scm 135 */
long BgL_arg3276z00_2536;
BgL_arg3276z00_2536 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/sexp.scm 135 */
BgL_objectz00_bglt BgL_auxz00_5083;
BgL_auxz00_5083 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2535); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5083, BgL_arg3276z00_2536); } } 
{ /* Ast/sexp.scm 135 */
BgL_objectz00_bglt BgL_auxz00_5086;
BgL_auxz00_5086 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2535); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5086, BFALSE); } 
{ /* Ast/sexp.scm 135 */
obj_t BgL_auxz00_5089;
BgL_auxz00_5089 = 
(obj_t)(BgL_new1657z00_2535); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5089); } BUNSPEC; 
BgL_res3301z00_2540 = BgL_new1657z00_2535; } 
BgL_new1655z00_2534 = BgL_res3301z00_2540; } 
{ /* Ast/sexp.scm 135 */
BgL_closurez00_bglt BgL_res3302z00_2548;
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2534))->BgL_locz00) = ((obj_t)BgL_arg2810z00_1432), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2534))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2811z00_1433), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2534))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1654z00_2533), BUNSPEC); 
BgL_res3302z00_2548 = BgL_new1655z00_2534; BgL_res3302z00_2548; } 
BgL_res3303z00_2549 = BgL_new1655z00_2534; } } 
BgL_auxz00_4967 = 
(obj_t)(BgL_res3303z00_2549); } } }  else 
{ /* Ast/sexp.scm 140 */
obj_t BgL_arg2817z00_1439;BgL_typez00_bglt BgL_arg2818z00_1440;
BgL_arg2817z00_1439 = BgL_locz00_19; 
{ /* Ast/sexp.scm 141 */
BgL_globalz00_bglt BgL_obj1152z00_2550;
BgL_obj1152z00_2550 = 
(BgL_globalz00_bglt)(BgL_globalz00_1420); 
BgL_arg2818z00_1440 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_2550))->BgL_typez00); } 
{ /* Ast/sexp.scm 139 */
BgL_varz00_bglt BgL_res3306z00_2569;
{ /* Ast/sexp.scm 139 */
BgL_variablez00_bglt BgL_variable1632z00_2553;
{ /* Ast/sexp.scm 142 */
obj_t BgL_auxz00_5098;
BgL_auxz00_5098 = BgL_globalz00_1420; 
BgL_variable1632z00_2553 = 
(BgL_variablez00_bglt)(BgL_auxz00_5098); } 
{ /* Ast/sexp.scm 139 */
BgL_varz00_bglt BgL_new1633z00_2554;
{ /* Ast/sexp.scm 139 */
BgL_varz00_bglt BgL_res3304z00_2560;
{ /* Ast/sexp.scm 139 */
BgL_varz00_bglt BgL_new1635z00_2555;
BgL_new1635z00_2555 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/sexp.scm 139 */
long BgL_arg3277z00_2556;
BgL_arg3277z00_2556 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/sexp.scm 139 */
BgL_objectz00_bglt BgL_auxz00_5102;
BgL_auxz00_5102 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2555); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5102, BgL_arg3277z00_2556); } } 
{ /* Ast/sexp.scm 139 */
BgL_objectz00_bglt BgL_auxz00_5105;
BgL_auxz00_5105 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2555); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5105, BFALSE); } 
{ /* Ast/sexp.scm 139 */
obj_t BgL_auxz00_5108;
BgL_auxz00_5108 = 
(obj_t)(BgL_new1635z00_2555); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5108); } BUNSPEC; 
BgL_res3304z00_2560 = BgL_new1635z00_2555; } 
BgL_new1633z00_2554 = BgL_res3304z00_2560; } 
{ /* Ast/sexp.scm 139 */
BgL_varz00_bglt BgL_res3305z00_2568;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2554))->BgL_locz00) = ((obj_t)BgL_arg2817z00_1439), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2554))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2818z00_1440), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2554))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2553), BUNSPEC); 
BgL_res3305z00_2568 = BgL_new1633z00_2554; BgL_res3305z00_2568; } 
BgL_res3306z00_2569 = BgL_new1633z00_2554; } } 
BgL_auxz00_4967 = 
(obj_t)(BgL_res3306z00_2569); } } } } }  else 
{ /* Ast/sexp.scm 123 */
{ /* Ast/sexp.scm 124 */
BgL_nodez00_bglt BgL_auxz00_5115;
BgL_auxz00_5115 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3397z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4967 = 
(obj_t)(BgL_auxz00_5115); } } } } } }  else 
{ /* Ast/sexp.scm 84 */
{ /* Ast/sexp.scm 86 */
bool_t BgL_test2825z00_1447;
{ /* Ast/sexp.scm 86 */
bool_t BgL_test2841z00_1463;
BgL_test2841z00_1463 = 
BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_1269, BGl_localz00zzast_varz00); 
if(BgL_test2841z00_1463)
{ /* Ast/sexp.scm 86 */
BgL_test2825z00_1447 = ((bool_t)1); }  else 
{ /* Ast/sexp.scm 86 */
BgL_test2825z00_1447 = 
BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_1269, BGl_globalz00zzast_varz00); } } 
if(BgL_test2825z00_1447)
{ /* Ast/sexp.scm 86 */
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_atomz00_1269), BgL_locz00_19, BgL_sitez00_20); 
{ /* Ast/sexp.scm 88 */
bool_t BgL_test2826z00_1448;
{ /* Ast/sexp.scm 88 */
bool_t BgL_testz00_5124;
{ /* Ast/sexp.scm 88 */
obj_t BgL_auxz00_5125;
BgL_auxz00_5125 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_5124 = 
(BgL_sitez00_20==BgL_auxz00_5125); } 
if(BgL_testz00_5124)
{ /* Ast/sexp.scm 88 */
BgL_test2826z00_1448 = ((bool_t)0); }  else 
{ /* Ast/sexp.scm 88 */
obj_t BgL_auxz00_5128;
{ /* Ast/sexp.scm 88 */
BgL_valuez00_bglt BgL_auxz00_5129;
{ /* Ast/sexp.scm 88 */
BgL_variablez00_bglt BgL_obj1103z00_2572;
BgL_obj1103z00_2572 = 
(BgL_variablez00_bglt)(BgL_atomz00_1269); 
BgL_auxz00_5129 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2572))->BgL_valuez00); } 
BgL_auxz00_5128 = 
(obj_t)(BgL_auxz00_5129); } 
BgL_test2826z00_1448 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5128, BGl_funz00zzast_varz00); } } 
if(BgL_test2826z00_1448)
{ /* Ast/sexp.scm 90 */
obj_t BgL_arg2827z00_1449;BgL_typez00_bglt BgL_arg2828z00_1450;
BgL_arg2827z00_1449 = BgL_locz00_19; 
{ /* Ast/sexp.scm 91 */
BgL_variablez00_bglt BgL_obj1100z00_2574;
BgL_obj1100z00_2574 = 
(BgL_variablez00_bglt)(BgL_atomz00_1269); 
BgL_arg2828z00_1450 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_2574))->BgL_typez00); } 
{ /* Ast/sexp.scm 89 */
BgL_closurez00_bglt BgL_res3309z00_2593;
{ /* Ast/sexp.scm 89 */
BgL_variablez00_bglt BgL_variable1654z00_2577;
{ /* Ast/sexp.scm 92 */
obj_t BgL_auxz00_5137;
BgL_auxz00_5137 = BgL_atomz00_1269; 
BgL_variable1654z00_2577 = 
(BgL_variablez00_bglt)(BgL_auxz00_5137); } 
{ /* Ast/sexp.scm 89 */
BgL_closurez00_bglt BgL_new1655z00_2578;
{ /* Ast/sexp.scm 89 */
BgL_closurez00_bglt BgL_res3307z00_2584;
{ /* Ast/sexp.scm 89 */
BgL_closurez00_bglt BgL_new1657z00_2579;
BgL_new1657z00_2579 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/sexp.scm 89 */
long BgL_arg3276z00_2580;
BgL_arg3276z00_2580 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/sexp.scm 89 */
BgL_objectz00_bglt BgL_auxz00_5141;
BgL_auxz00_5141 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2579); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5141, BgL_arg3276z00_2580); } } 
{ /* Ast/sexp.scm 89 */
BgL_objectz00_bglt BgL_auxz00_5144;
BgL_auxz00_5144 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2579); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5144, BFALSE); } 
{ /* Ast/sexp.scm 89 */
obj_t BgL_auxz00_5147;
BgL_auxz00_5147 = 
(obj_t)(BgL_new1657z00_2579); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5147); } BUNSPEC; 
BgL_res3307z00_2584 = BgL_new1657z00_2579; } 
BgL_new1655z00_2578 = BgL_res3307z00_2584; } 
{ /* Ast/sexp.scm 89 */
BgL_closurez00_bglt BgL_res3308z00_2592;
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2578))->BgL_locz00) = ((obj_t)BgL_arg2827z00_1449), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2578))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2828z00_1450), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2578))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1654z00_2577), BUNSPEC); 
BgL_res3308z00_2592 = BgL_new1655z00_2578; BgL_res3308z00_2592; } 
BgL_res3309z00_2593 = BgL_new1655z00_2578; } } 
BgL_auxz00_4967 = 
(obj_t)(BgL_res3309z00_2593); } }  else 
{ /* Ast/sexp.scm 94 */
obj_t BgL_arg2830z00_1452;BgL_typez00_bglt BgL_arg2831z00_1453;
BgL_arg2830z00_1452 = BgL_locz00_19; 
{ /* Ast/sexp.scm 95 */
BgL_variablez00_bglt BgL_obj1100z00_2594;
BgL_obj1100z00_2594 = 
(BgL_variablez00_bglt)(BgL_atomz00_1269); 
BgL_arg2831z00_1453 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_2594))->BgL_typez00); } 
{ /* Ast/sexp.scm 93 */
BgL_varz00_bglt BgL_res3312z00_2613;
{ /* Ast/sexp.scm 93 */
BgL_variablez00_bglt BgL_variable1632z00_2597;
{ /* Ast/sexp.scm 96 */
obj_t BgL_auxz00_5156;
BgL_auxz00_5156 = BgL_atomz00_1269; 
BgL_variable1632z00_2597 = 
(BgL_variablez00_bglt)(BgL_auxz00_5156); } 
{ /* Ast/sexp.scm 93 */
BgL_varz00_bglt BgL_new1633z00_2598;
{ /* Ast/sexp.scm 93 */
BgL_varz00_bglt BgL_res3310z00_2604;
{ /* Ast/sexp.scm 93 */
BgL_varz00_bglt BgL_new1635z00_2599;
BgL_new1635z00_2599 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/sexp.scm 93 */
long BgL_arg3277z00_2600;
BgL_arg3277z00_2600 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/sexp.scm 93 */
BgL_objectz00_bglt BgL_auxz00_5160;
BgL_auxz00_5160 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2599); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5160, BgL_arg3277z00_2600); } } 
{ /* Ast/sexp.scm 93 */
BgL_objectz00_bglt BgL_auxz00_5163;
BgL_auxz00_5163 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2599); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5163, BFALSE); } 
{ /* Ast/sexp.scm 93 */
obj_t BgL_auxz00_5166;
BgL_auxz00_5166 = 
(obj_t)(BgL_new1635z00_2599); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5166); } BUNSPEC; 
BgL_res3310z00_2604 = BgL_new1635z00_2599; } 
BgL_new1633z00_2598 = BgL_res3310z00_2604; } 
{ /* Ast/sexp.scm 93 */
BgL_varz00_bglt BgL_res3311z00_2612;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2598))->BgL_locz00) = ((obj_t)BgL_arg2830z00_1452), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2598))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2831z00_1453), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2598))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2597), BUNSPEC); 
BgL_res3311z00_2612 = BgL_new1633z00_2598; BgL_res3311z00_2612; } 
BgL_res3312z00_2613 = BgL_new1633z00_2598; } } 
BgL_auxz00_4967 = 
(obj_t)(BgL_res3312z00_2613); } } } }  else 
{ /* Ast/sexp.scm 97 */
bool_t BgL_test2835z00_1457;
if(
STRUCTP(BgL_atomz00_1269))
{ /* Ast/sexp.scm 97 */
BgL_test2835z00_1457 = ((bool_t)1); }  else 
{ /* Ast/sexp.scm 97 */
if(
VECTORP(BgL_atomz00_1269))
{ /* Ast/sexp.scm 98 */
BgL_test2835z00_1457 = ((bool_t)1); }  else 
{ /* Ast/sexp.scm 98 */
BgL_test2835z00_1457 = 
BGL_OBJECTP(BgL_atomz00_1269); } } 
if(BgL_test2835z00_1457)
{ /* Ast/sexp.scm 97 */
{ /* Ast/sexp.scm 100 */
BgL_nodez00_bglt BgL_auxz00_5179;
BgL_auxz00_5179 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3399z00zzast_sexpz00, BgL_expz00_17, BgL_locz00_19); 
BgL_auxz00_4967 = 
(obj_t)(BgL_auxz00_5179); } }  else 
{ /* Ast/sexp.scm 97 */
{ /* Ast/sexp.scm 103 */
obj_t BgL_arg2836z00_1458;BgL_typez00_bglt BgL_arg2837z00_1459;obj_t BgL_arg2838z00_1460;
BgL_arg2836z00_1458 = BgL_locz00_19; 
BgL_arg2837z00_1459 = 
BGl_typeofzd2atomzd2zztype_typeofz00(BgL_atomz00_1269); 
BgL_arg2838z00_1460 = BgL_atomz00_1269; 
{ /* Ast/sexp.scm 102 */
BgL_atomz00_bglt BgL_res3315z00_2635;
{ /* Ast/sexp.scm 102 */
BgL_atomz00_bglt BgL_new1611z00_2620;
{ /* Ast/sexp.scm 102 */
BgL_atomz00_bglt BgL_res3313z00_2626;
{ /* Ast/sexp.scm 102 */
BgL_atomz00_bglt BgL_new1613z00_2621;
BgL_new1613z00_2621 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Ast/sexp.scm 102 */
long BgL_arg3278z00_2622;
BgL_arg3278z00_2622 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Ast/sexp.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5185;
BgL_auxz00_5185 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2621); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5185, BgL_arg3278z00_2622); } } 
{ /* Ast/sexp.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5188;
BgL_auxz00_5188 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2621); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5188, BFALSE); } 
{ /* Ast/sexp.scm 102 */
obj_t BgL_auxz00_5191;
BgL_auxz00_5191 = 
(obj_t)(BgL_new1613z00_2621); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5191); } BUNSPEC; 
BgL_res3313z00_2626 = BgL_new1613z00_2621; } 
BgL_new1611z00_2620 = BgL_res3313z00_2626; } 
{ /* Ast/sexp.scm 102 */
BgL_atomz00_bglt BgL_res3314z00_2634;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2620))->BgL_locz00) = ((obj_t)BgL_arg2836z00_1458), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2620))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2837z00_1459), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2620))->BgL_valuez00) = ((obj_t)BgL_arg2838z00_1460), BUNSPEC); 
BgL_res3314z00_2634 = BgL_new1611z00_2620; BgL_res3314z00_2634; } 
BgL_res3315z00_2635 = BgL_new1611z00_2620; } 
BgL_auxz00_4967 = 
(obj_t)(BgL_res3315z00_2635); } } } } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4967);} } } } } 
}



/* liip */
obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_1755)
{ AN_OBJECT;
{ /* Ast/sexp.scm 329 */
if(
NULLP(BgL_argsz00_1755))
{ /* Ast/sexp.scm 330 */
return 
CNST_TABLE_REF(((long)27));}  else 
{ /* Ast/sexp.scm 332 */
obj_t BgL_arg3054z00_1758;obj_t BgL_arg3055z00_1759;
BgL_arg3054z00_1758 = 
CNST_TABLE_REF(((long)28)); 
{ /* Ast/sexp.scm 332 */
obj_t BgL_arg3056z00_1760;obj_t BgL_arg3057z00_1761;
BgL_arg3056z00_1760 = 
CAR(BgL_argsz00_1755); 
{ /* Ast/sexp.scm 333 */
obj_t BgL_arg3058z00_1762;
BgL_arg3058z00_1762 = 
BGl_liipz00zzast_sexpz00(
CDR(BgL_argsz00_1755)); 
BgL_arg3057z00_1761 = 
MAKE_PAIR(BgL_arg3058z00_1762, BNIL); } 
BgL_arg3055z00_1759 = 
MAKE_PAIR(BgL_arg3056z00_1760, BgL_arg3057z00_1761); } 
return 
MAKE_PAIR(BgL_arg3054z00_1758, BgL_arg3055z00_1759);} } 
}



/* loop */
obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_3893, obj_t BgL_locz00_3892, obj_t BgL_varsz00_1717, obj_t BgL_argsz00_1718)
{ AN_OBJECT;
{ /* Ast/sexp.scm 314 */
BGl_loopz00zzast_sexpz00:
if(
NULLP(BgL_varsz00_1717))
{ /* Ast/sexp.scm 317 */
if(
NULLP(BgL_argsz00_1718))
{ /* Ast/sexp.scm 318 */
return BNIL;}  else 
{ /* Ast/sexp.scm 322 */
obj_t BgL_arg3021z00_1722;
{ /* Ast/sexp.scm 322 */
obj_t BgL_arg3024z00_1725;
BgL_arg3024z00_1725 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3021z00_1722 = 
BGl_shapez00zztools_shapez00(BgL_arg3024z00_1725); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_3892, BgL_arg3021z00_1722, BGl_string3401z00zzast_sexpz00, BgL_expz00_3893, BNIL);} }  else 
{ /* Ast/sexp.scm 317 */
if(
PAIRP(BgL_varsz00_1717))
{ /* Ast/sexp.scm 334 */
bool_t BgL_test3026z00_1727;
{ /* Ast/sexp.scm 334 */
obj_t BgL_auxz00_5218;
BgL_auxz00_5218 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(
CAR(BgL_varsz00_1717)); 
BgL_test3026z00_1727 = 
CBOOL(BgL_auxz00_5218); } 
if(BgL_test3026z00_1727)
{ /* Ast/sexp.scm 334 */
{ /* Ast/sexp.scm 335 */
obj_t BgL_argz00_1728;
BgL_argz00_1728 = 
BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(
CDR(BgL_varsz00_1717)); 
if(
CBOOL(BgL_argz00_1728))
{ 
obj_t BgL_varsz00_5227;
BgL_varsz00_5227 = BgL_argz00_1728; 
BgL_varsz00_1717 = BgL_varsz00_5227; 
goto BGl_loopz00zzast_sexpz00;}  else 
{ 
obj_t BgL_varsz00_5228;
BgL_varsz00_5228 = BNIL; 
BgL_varsz00_1717 = BgL_varsz00_5228; 
goto BGl_loopz00zzast_sexpz00;} } }  else 
{ /* Ast/sexp.scm 340 */
bool_t BgL_testz00_5229;
{ /* Ast/sexp.scm 340 */
obj_t BgL_auxz00_5230;
BgL_auxz00_5230 = 
CAR(BgL_varsz00_1717); 
BgL_testz00_5229 = 
SYMBOLP(BgL_auxz00_5230); } 
if(BgL_testz00_5229)
{ /* Ast/sexp.scm 340 */
if(
NULLP(BgL_argsz00_1718))
{ /* Ast/sexp.scm 346 */
{ /* Ast/sexp.scm 349 */
obj_t BgL_arg3030z00_1732;
{ /* Ast/sexp.scm 349 */
obj_t BgL_arg3033z00_1735;
BgL_arg3033z00_1735 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3030z00_1732 = 
BGl_shapez00zztools_shapez00(BgL_arg3033z00_1735); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_3892, BgL_arg3030z00_1732, BGl_string3401z00zzast_sexpz00, BgL_expz00_3893, BNIL);} }  else 
{ /* Ast/sexp.scm 346 */
{ /* Ast/sexp.scm 353 */
obj_t BgL_arg3034z00_1736;obj_t BgL_arg3035z00_1737;
{ /* Ast/sexp.scm 353 */
obj_t BgL_arg3036z00_1738;
BgL_arg3036z00_1738 = 
CAR(BgL_varsz00_1717); 
{ /* Ast/sexp.scm 353 */
obj_t BgL_list3038z00_1740;
{ /* Ast/sexp.scm 353 */
obj_t BgL_arg3039z00_1741;
{ /* Ast/sexp.scm 353 */
obj_t BgL_auxz00_5239;
BgL_auxz00_5239 = 
CAR(BgL_argsz00_1718); 
BgL_arg3039z00_1741 = 
MAKE_PAIR(BgL_auxz00_5239, BNIL); } 
BgL_list3038z00_1740 = 
MAKE_PAIR(BgL_arg3036z00_1738, BgL_arg3039z00_1741); } 
BgL_arg3034z00_1736 = BgL_list3038z00_1740; } } 
BgL_arg3035z00_1737 = 
BGl_loopz00zzast_sexpz00(BgL_expz00_3893, BgL_locz00_3892, 
CDR(BgL_varsz00_1717), 
CDR(BgL_argsz00_1718)); 
return 
MAKE_PAIR(BgL_arg3034z00_1736, BgL_arg3035z00_1737);} } }  else 
{ /* Ast/sexp.scm 340 */
{ /* Ast/sexp.scm 343 */
obj_t BgL_arg3042z00_1744;
{ /* Ast/sexp.scm 343 */
obj_t BgL_arg3045z00_1747;
BgL_arg3045z00_1747 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3042z00_1744 = 
BGl_shapez00zztools_shapez00(BgL_arg3045z00_1747); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_3892, BgL_arg3042z00_1744, BGl_string3402z00zzast_sexpz00, BgL_expz00_3893, BNIL);} } } }  else 
{ /* Ast/sexp.scm 325 */
{ /* Ast/sexp.scm 329 */
obj_t BgL_arg3048z00_1750;
{ /* Ast/sexp.scm 329 */
obj_t BgL_arg3050z00_1752;
BgL_arg3050z00_1752 = 
BGl_liipz00zzast_sexpz00(BgL_argsz00_1718); 
{ /* Ast/sexp.scm 327 */
obj_t BgL_list3051z00_1753;
{ /* Ast/sexp.scm 327 */
obj_t BgL_arg3052z00_1754;
BgL_arg3052z00_1754 = 
MAKE_PAIR(BgL_arg3050z00_1752, BNIL); 
BgL_list3051z00_1753 = 
MAKE_PAIR(BgL_varsz00_1717, BgL_arg3052z00_1754); } 
BgL_arg3048z00_1750 = BgL_list3051z00_1753; } } 
{ /* Ast/sexp.scm 326 */
obj_t BgL_list3049z00_1751;
BgL_list3049z00_1751 = 
MAKE_PAIR(BgL_arg3048z00_1750, BNIL); 
return BgL_list3049z00_1751;} } } } } 
}



/* _sexp->node */
obj_t BGl__sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_3862, obj_t BgL_expz00_3863, obj_t BgL_stackz00_3864, obj_t BgL_locz00_3865, obj_t BgL_sitez00_3866)
{ AN_OBJECT;
{ /* Ast/sexp.scm 71 */
{ /* Ast/sexp.scm 71 */
BgL_nodez00_bglt BgL_auxz00_5254;
BgL_auxz00_5254 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_3863, BgL_stackz00_3864, BgL_locz00_3865, BgL_sitez00_3866); 
return 
(obj_t)(BgL_auxz00_5254);} } 
}



/* <anonymous:3067> */
obj_t BGl_zc3anonymousza33067ze3z83zzast_sexpz00(obj_t BgL_envz00_3867, obj_t BgL_objz00_3869, obj_t BgL_procz00_3870, obj_t BgL_msgz00_3871)
{ AN_OBJECT;
{ /* Ast/sexp.scm 359 */
{ /* Ast/sexp.scm 360 */
obj_t BgL_locz00_3868;
{ /* Ast/sexp.scm 360 */
int BgL_auxz00_5257;
BgL_auxz00_5257 = 
(int)(((long)0)); 
BgL_locz00_3868 = 
PROCEDURE_REF(BgL_envz00_3867, BgL_auxz00_5257); } 
{ 
obj_t BgL_objz00_1771;obj_t BgL_procz00_1772;obj_t BgL_msgz00_1773;
BgL_objz00_1771 = BgL_objz00_3869; 
BgL_procz00_1772 = BgL_procz00_3870; 
BgL_msgz00_1773 = BgL_msgz00_3871; 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_3868, BgL_objz00_1771, BgL_procz00_1772, BgL_msgz00_1773, BNIL);} } } 
}



/* sexp*->node */
obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t BgL_expza2za2_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23, obj_t BgL_sitez00_24)
{ AN_OBJECT;
{ /* Ast/sexp.scm 501 */
{ 
obj_t BgL_expsz00_1919;obj_t BgL_resz00_1920;obj_t BgL_locz00_1921;
BgL_expsz00_1919 = BgL_expza2za2_21; 
BgL_resz00_1920 = BNIL; 
BgL_locz00_1921 = BgL_locz00_23; 
BgL_loopz00_1922:
if(
NULLP(BgL_expsz00_1919))
{ /* Ast/sexp.scm 506 */
{ /* Ast/sexp.scm 507 */
BgL_nodez00_bglt BgL_auxz00_5263;
BgL_auxz00_5263 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3403z00zzast_sexpz00, BgL_expsz00_1919, BgL_locz00_1921); 
return 
(obj_t)(BgL_auxz00_5263);} }  else 
{ /* Ast/sexp.scm 508 */
bool_t BgL_testz00_5266;
{ /* Ast/sexp.scm 508 */
obj_t BgL_auxz00_5267;
BgL_auxz00_5267 = 
CDR(BgL_expsz00_1919); 
BgL_testz00_5266 = 
NULLP(BgL_auxz00_5267); } 
if(BgL_testz00_5266)
{ /* Ast/sexp.scm 508 */
{ /* Ast/sexp.scm 509 */
obj_t BgL_locz00_1925;
{ /* Ast/sexp.scm 509 */
obj_t BgL_arg3163z00_1929;obj_t BgL_arg3164z00_1930;
BgL_arg3163z00_1929 = 
CAR(BgL_expsz00_1919); 
BgL_arg3164z00_1930 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expsz00_1919, BgL_locz00_1921); 
BgL_locz00_1925 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_arg3163z00_1929, BgL_arg3164z00_1930); } 
{ /* Ast/sexp.scm 511 */
obj_t BgL_arg3160z00_1926;
{ /* Ast/sexp.scm 511 */
BgL_nodez00_bglt BgL_arg3161z00_1927;
BgL_arg3161z00_1927 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_expsz00_1919), BgL_stackz00_22, BgL_locz00_1925, BgL_sitez00_24); 
{ /* Ast/sexp.scm 511 */
obj_t BgL_auxz00_5275;
BgL_auxz00_5275 = 
(obj_t)(BgL_arg3161z00_1927); 
BgL_arg3160z00_1926 = 
MAKE_PAIR(BgL_auxz00_5275, BgL_resz00_1920); } } 
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3160z00_1926);} } }  else 
{ /* Ast/sexp.scm 508 */
{ /* Ast/sexp.scm 513 */
obj_t BgL_locz00_1931;
{ /* Ast/sexp.scm 513 */
obj_t BgL_arg3170z00_1937;obj_t BgL_arg3171z00_1938;
BgL_arg3170z00_1937 = 
CAR(BgL_expsz00_1919); 
BgL_arg3171z00_1938 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expsz00_1919, BgL_locz00_1921); 
BgL_locz00_1931 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_arg3170z00_1937, BgL_arg3171z00_1938); } 
{ /* Ast/sexp.scm 515 */
obj_t BgL_arg3165z00_1932;obj_t BgL_arg3166z00_1933;
BgL_arg3165z00_1932 = 
CDR(BgL_expsz00_1919); 
{ /* Ast/sexp.scm 516 */
BgL_nodez00_bglt BgL_arg3167z00_1934;
BgL_arg3167z00_1934 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_expsz00_1919), BgL_stackz00_22, BgL_locz00_1931, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 516 */
obj_t BgL_auxz00_5286;
BgL_auxz00_5286 = 
(obj_t)(BgL_arg3167z00_1934); 
BgL_arg3166z00_1933 = 
MAKE_PAIR(BgL_auxz00_5286, BgL_resz00_1920); } } 
{ 
obj_t BgL_locz00_5291;obj_t BgL_resz00_5290;obj_t BgL_expsz00_5289;
BgL_expsz00_5289 = BgL_arg3165z00_1932; 
BgL_resz00_5290 = BgL_arg3166z00_1933; 
BgL_locz00_5291 = BgL_locz00_1931; 
BgL_locz00_1921 = BgL_locz00_5291; 
BgL_resz00_1920 = BgL_resz00_5290; 
BgL_expsz00_1919 = BgL_expsz00_5289; 
goto BgL_loopz00_1922;} } } } } } } 
}



/* _sexp*->node */
obj_t BGl__sexpza2zd2ze3nodez93zzast_sexpz00(obj_t BgL_envz00_3872, obj_t BgL_expza2za2_3873, obj_t BgL_stackz00_3874, obj_t BgL_locz00_3875, obj_t BgL_sitez00_3876)
{ AN_OBJECT;
{ /* Ast/sexp.scm 501 */
return 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_3873, BgL_stackz00_3874, BgL_locz00_3875, BgL_sitez00_3876);} 
}



/* lookup */
obj_t BGl_lookupz00zzast_sexpz00(obj_t BgL_namez00_25, obj_t BgL_stackz00_26)
{ AN_OBJECT;
{ /* Ast/sexp.scm 529 */
{ /* Ast/sexp.scm 530 */
bool_t BgL_test3173z00_1940;
{ /* Ast/sexp.scm 530 */
bool_t BgL_test3179z00_1948;
BgL_test3179z00_1948 = 
(BgL_namez00_25==BGl_za2cachezd2nameza2zd2zzast_sexpz00); 
if(BgL_test3179z00_1948)
{ /* Ast/sexp.scm 530 */
BgL_test3173z00_1940 = 
(BgL_stackz00_26==BGl_za2cachezd2stackza2zd2zzast_sexpz00); }  else 
{ /* Ast/sexp.scm 530 */
BgL_test3173z00_1940 = ((bool_t)0); } } 
if(BgL_test3173z00_1940)
{ /* Ast/sexp.scm 530 */
return BGl_za2cachezd2resza2zd2zzast_sexpz00;}  else 
{ /* Ast/sexp.scm 530 */
BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_25; 
BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_26; 
{ 
obj_t BgL_stackz00_1941;
BgL_stackz00_1941 = BgL_stackz00_26; 
BgL_loopz00_1942:
if(
NULLP(BgL_stackz00_1941))
{ /* Ast/sexp.scm 538 */
BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE; 
return BFALSE;}  else 
{ /* Ast/sexp.scm 541 */
bool_t BgL_testz00_5299;
{ /* Ast/sexp.scm 541 */
obj_t BgL_auxz00_5300;
{ /* Ast/sexp.scm 541 */
BgL_localz00_bglt BgL_obj1248z00_3082;
{ /* Ast/sexp.scm 541 */
obj_t BgL_auxz00_5301;
BgL_auxz00_5301 = 
CAR(BgL_stackz00_1941); 
BgL_obj1248z00_3082 = 
(BgL_localz00_bglt)(BgL_auxz00_5301); } 
BgL_auxz00_5300 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_3082))->BgL_idz00); } 
BgL_testz00_5299 = 
(BgL_auxz00_5300==BgL_namez00_25); } 
if(BgL_testz00_5299)
{ /* Ast/sexp.scm 541 */
BGl_za2cachezd2resza2zd2zzast_sexpz00 = 
CAR(BgL_stackz00_1941); 
return 
CAR(BgL_stackz00_1941);}  else 
{ /* Ast/sexp.scm 541 */
{ 
obj_t BgL_stackz00_5308;
BgL_stackz00_5308 = 
CDR(BgL_stackz00_1941); 
BgL_stackz00_1941 = BgL_stackz00_5308; 
goto BgL_loopz00_1942;} } } } } } } 
}



/* use-variable! */
obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_27, obj_t BgL_locz00_28, obj_t BgL_sitez00_29)
{ AN_OBJECT;
{ /* Ast/sexp.scm 550 */
{ /* Ast/sexp.scm 552 */
bool_t BgL_testz00_5310;
{ /* Ast/sexp.scm 552 */
obj_t BgL_auxz00_5311;
BgL_auxz00_5311 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_5310 = 
(BgL_sitez00_29==BgL_auxz00_5311); } 
if(BgL_testz00_5310)
{ /* Ast/sexp.scm 553 */
obj_t BgL_val1107z00_3087;
BgL_val1107z00_3087 = 
CNST_TABLE_REF(((long)29)); 
((((BgL_variablez00_bglt)CREF(BgL_varz00_27))->BgL_accessz00) = ((obj_t)BgL_val1107z00_3087), BUNSPEC); }  else 
{ /* Ast/sexp.scm 552 */BFALSE; } } 
{ /* Ast/sexp.scm 555 */
bool_t BgL_test3181z00_1951;
{ /* Ast/sexp.scm 555 */
bool_t BgL_testz00_5316;
{ /* Ast/sexp.scm 555 */
obj_t BgL_auxz00_5317;
BgL_auxz00_5317 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_5316 = 
(BgL_sitez00_29==BgL_auxz00_5317); } 
if(BgL_testz00_5316)
{ /* Ast/sexp.scm 555 */
obj_t BgL_auxz00_5320;
{ /* Ast/sexp.scm 555 */
BgL_valuez00_bglt BgL_auxz00_5321;
BgL_auxz00_5321 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_27))->BgL_valuez00); 
BgL_auxz00_5320 = 
(obj_t)(BgL_auxz00_5321); } 
BgL_test3181z00_1951 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5320, BGl_funz00zzast_varz00); }  else 
{ /* Ast/sexp.scm 555 */
BgL_test3181z00_1951 = ((bool_t)0); } } 
if(BgL_test3181z00_1951)
{ /* Ast/sexp.scm 556 */
obj_t BgL_arg3183z00_1953;
BgL_arg3183z00_1953 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_varz00_27)); 
{ /* Ast/sexp.scm 556 */
BgL_nodez00_bglt BgL_auxz00_5328;
BgL_auxz00_5328 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3404z00zzast_sexpz00, BgL_arg3183z00_1953, BgL_locz00_28); 
return 
(obj_t)(BgL_auxz00_5328);} }  else 
{ /* Ast/sexp.scm 555 */
return BFALSE;} } } 
}



/* _use-variable! */
obj_t BGl__usezd2variablez12zc0zzast_sexpz00(obj_t BgL_envz00_3877, obj_t BgL_varz00_3878, obj_t BgL_locz00_3879, obj_t BgL_sitez00_3880)
{ AN_OBJECT;
{ /* Ast/sexp.scm 550 */
return 
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_varz00_3878), BgL_locz00_3879, BgL_sitez00_3880);} 
}



/* error-sexp->node */
BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_30, obj_t BgL_expz00_31, obj_t BgL_locz00_32)
{ AN_OBJECT;
{ /* Ast/sexp.scm 561 */
{ /* Ast/sexp.scm 563 */
obj_t BgL_arg3185z00_1955;BgL_nodez00_bglt BgL_arg3186z00_1956;
{ /* Ast/sexp.scm 563 */
obj_t BgL_arg3188z00_1958;
BgL_arg3188z00_1958 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3185z00_1955 = 
BGl_shapez00zztools_shapez00(BgL_arg3188z00_1958); } 
BgL_arg3186z00_1956 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)27)), BNIL, BgL_locz00_32, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 562 */
obj_t BgL_list3187z00_1957;
{ /* Ast/sexp.scm 562 */
obj_t BgL_auxz00_5338;
BgL_auxz00_5338 = 
(obj_t)(BgL_arg3186z00_1956); 
BgL_list3187z00_1957 = 
MAKE_PAIR(BgL_auxz00_5338, BNIL); } 
{ /* Ast/sexp.scm 562 */
obj_t BgL_auxz00_5341;
BgL_auxz00_5341 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_32, BgL_arg3185z00_1955, BgL_msgz00_30, BgL_expz00_31, BgL_list3187z00_1957); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5341);} } } } 
}



/* _error-sexp->node */
obj_t BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_envz00_3881, obj_t BgL_msgz00_3882, obj_t BgL_expz00_3883, obj_t BgL_locz00_3884)
{ AN_OBJECT;
{ /* Ast/sexp.scm 561 */
{ /* Ast/sexp.scm 561 */
BgL_nodez00_bglt BgL_auxz00_5344;
BgL_auxz00_5344 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_3882, BgL_expz00_3883, BgL_locz00_3884); 
return 
(obj_t)(BgL_auxz00_5344);} } 
}



/* define-primop-ref->node */
BgL_nodez00_bglt BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_33, BgL_nodez00_bglt BgL_refz00_34)
{ AN_OBJECT;
{ /* Ast/sexp.scm 571 */
{ /* Ast/sexp.scm 572 */
BgL_nodez00_bglt BgL_funz00_1959;
BgL_funz00_1959 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)30)), BNIL, BFALSE, 
CNST_TABLE_REF(((long)15))); 
{ /* Ast/sexp.scm 573 */
bool_t BgL_test3189z00_1960;
BgL_test3189z00_1960 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1959), BGl_varz00zzast_nodez00); 
if(BgL_test3189z00_1960)
{ /* Ast/sexp.scm 574 */
obj_t BgL_arg3190z00_1961;BgL_nodez00_bglt BgL_arg3192z00_1963;obj_t BgL_arg3193z00_1964;
BgL_arg3190z00_1961 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3192z00_1963 = BgL_funz00_1959; 
{ /* Ast/sexp.scm 576 */
BgL_nodez00_bglt BgL_arg3194z00_1965;
{ /* Ast/sexp.scm 576 */
obj_t BgL_arg3197z00_1968;obj_t BgL_arg3199z00_1970;
{ /* Ast/sexp.scm 576 */
obj_t BgL_arg3200z00_1971;obj_t BgL_arg3201z00_1972;
BgL_arg3200z00_1971 = 
CNST_TABLE_REF(((long)17)); 
{ /* Ast/sexp.scm 576 */
obj_t BgL_auxz00_5354;
BgL_auxz00_5354 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_33))->BgL_idz00); 
BgL_arg3201z00_1972 = 
MAKE_PAIR(BgL_auxz00_5354, BNIL); } 
BgL_arg3197z00_1968 = 
MAKE_PAIR(BgL_arg3200z00_1971, BgL_arg3201z00_1972); } 
BgL_arg3199z00_1970 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3194z00_1965 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3197z00_1968, BNIL, BFALSE, BgL_arg3199z00_1970); } 
{ /* Ast/sexp.scm 576 */
obj_t BgL_list3195z00_1966;
{ /* Ast/sexp.scm 576 */
obj_t BgL_arg3196z00_1967;
{ /* Ast/sexp.scm 576 */
obj_t BgL_auxz00_5360;
BgL_auxz00_5360 = 
(obj_t)(BgL_refz00_34); 
BgL_arg3196z00_1967 = 
MAKE_PAIR(BgL_auxz00_5360, BNIL); } 
{ /* Ast/sexp.scm 576 */
obj_t BgL_auxz00_5363;
BgL_auxz00_5363 = 
(obj_t)(BgL_arg3194z00_1965); 
BgL_list3195z00_1966 = 
MAKE_PAIR(BgL_auxz00_5363, BgL_arg3196z00_1967); } } 
BgL_arg3193z00_1964 = BgL_list3195z00_1966; } } 
{ /* Ast/sexp.scm 574 */
BgL_appz00_bglt BgL_res3356z00_3121;
{ /* Ast/sexp.scm 574 */
BgL_typez00_bglt BgL_type1743z00_3095;obj_t BgL_key1745z00_3097;BgL_varz00_bglt BgL_fun1746z00_3098;
BgL_type1743z00_3095 = 
(BgL_typez00_bglt)(BgL_arg3190z00_1961); 
BgL_key1745z00_3097 = 
BINT(((long)-1)); 
BgL_fun1746z00_3098 = 
(BgL_varz00_bglt)(BgL_arg3192z00_1963); 
{ /* Ast/sexp.scm 574 */
BgL_appz00_bglt BgL_new1748z00_3100;
{ /* Ast/sexp.scm 574 */
BgL_appz00_bglt BgL_res3354z00_3106;
{ /* Ast/sexp.scm 574 */
BgL_appz00_bglt BgL_new1750z00_3101;
BgL_new1750z00_3101 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/sexp.scm 574 */
long BgL_arg3273z00_3102;
BgL_arg3273z00_3102 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/sexp.scm 574 */
BgL_objectz00_bglt BgL_auxz00_5371;
BgL_auxz00_5371 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3101); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5371, BgL_arg3273z00_3102); } } 
{ /* Ast/sexp.scm 574 */
BgL_objectz00_bglt BgL_auxz00_5374;
BgL_auxz00_5374 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3101); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5374, BFALSE); } 
{ /* Ast/sexp.scm 574 */
obj_t BgL_auxz00_5377;
BgL_auxz00_5377 = 
(obj_t)(BgL_new1750z00_3101); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5377); } BUNSPEC; 
BgL_res3354z00_3106 = BgL_new1750z00_3101; } 
BgL_new1748z00_3100 = BgL_res3354z00_3106; } 
{ /* Ast/sexp.scm 574 */
BgL_appz00_bglt BgL_res3355z00_3120;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_locz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1743z00_3095), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_keyz00) = ((obj_t)BgL_key1745z00_3097), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_funz00) = ((BgL_varz00_bglt)BgL_fun1746z00_3098), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3100))->BgL_argsz00) = ((obj_t)BgL_arg3193z00_1964), BUNSPEC); 
BgL_res3355z00_3120 = BgL_new1748z00_3100; BgL_res3355z00_3120; } 
BgL_res3356z00_3121 = BgL_new1748z00_3100; } } 
return 
(BgL_nodez00_bglt)(BgL_res3356z00_3121);} }  else 
{ /* Ast/sexp.scm 573 */
return BgL_funz00_1959;} } } } 
}



/* _define-primop-ref->node */
obj_t BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_3885, obj_t BgL_globalz00_3886, obj_t BgL_refz00_3887)
{ AN_OBJECT;
{ /* Ast/sexp.scm 571 */
{ /* Ast/sexp.scm 571 */
BgL_nodez00_bglt BgL_auxz00_5387;
BgL_auxz00_5387 = 
BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_globalz00_3886), 
(BgL_nodez00_bglt)(BgL_refz00_3887)); 
return 
(obj_t)(BgL_auxz00_5387);} } 
}



/* define-primop->node */
BgL_nodez00_bglt BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_35)
{ AN_OBJECT;
{ /* Ast/sexp.scm 586 */
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_globalz00_35), BFALSE, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 588 */
BgL_nodez00_bglt BgL_funz00_1975;
BgL_funz00_1975 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)31)), BNIL, BFALSE, 
CNST_TABLE_REF(((long)15))); 
{ /* Ast/sexp.scm 589 */
bool_t BgL_test3204z00_1976;
BgL_test3204z00_1976 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1975), BGl_varz00zzast_nodez00); 
if(BgL_test3204z00_1976)
{ /* Ast/sexp.scm 590 */
obj_t BgL_arg3205z00_1977;BgL_nodez00_bglt BgL_arg3207z00_1979;obj_t BgL_arg3208z00_1980;
BgL_arg3205z00_1977 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3207z00_1979 = BgL_funz00_1975; 
{ /* Ast/sexp.scm 592 */
BgL_nodez00_bglt BgL_arg3209z00_1981;BgL_nodez00_bglt BgL_arg3210z00_1982;
{ /* Ast/sexp.scm 592 */
obj_t BgL_arg3213z00_1985;obj_t BgL_arg3215z00_1987;
{ /* Ast/sexp.scm 592 */
obj_t BgL_arg3216z00_1988;obj_t BgL_arg3217z00_1989;
BgL_arg3216z00_1988 = 
CNST_TABLE_REF(((long)17)); 
{ /* Ast/sexp.scm 592 */
obj_t BgL_auxz00_5402;
BgL_auxz00_5402 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_35))->BgL_idz00); 
BgL_arg3217z00_1989 = 
MAKE_PAIR(BgL_auxz00_5402, BNIL); } 
BgL_arg3213z00_1985 = 
MAKE_PAIR(BgL_arg3216z00_1988, BgL_arg3217z00_1989); } 
BgL_arg3215z00_1987 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3209z00_1981 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3213z00_1985, BNIL, BFALSE, BgL_arg3215z00_1987); } 
BgL_arg3210z00_1982 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
(obj_t)(BgL_globalz00_35), BNIL, BFALSE, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 592 */
obj_t BgL_list3211z00_1983;
{ /* Ast/sexp.scm 592 */
obj_t BgL_arg3212z00_1984;
{ /* Ast/sexp.scm 592 */
obj_t BgL_auxz00_5411;
BgL_auxz00_5411 = 
(obj_t)(BgL_arg3210z00_1982); 
BgL_arg3212z00_1984 = 
MAKE_PAIR(BgL_auxz00_5411, BNIL); } 
{ /* Ast/sexp.scm 592 */
obj_t BgL_auxz00_5414;
BgL_auxz00_5414 = 
(obj_t)(BgL_arg3209z00_1981); 
BgL_list3211z00_1983 = 
MAKE_PAIR(BgL_auxz00_5414, BgL_arg3212z00_1984); } } 
BgL_arg3208z00_1980 = BgL_list3211z00_1983; } } 
{ /* Ast/sexp.scm 590 */
BgL_appz00_bglt BgL_res3360z00_3153;
{ /* Ast/sexp.scm 590 */
BgL_typez00_bglt BgL_type1743z00_3127;obj_t BgL_key1745z00_3129;BgL_varz00_bglt BgL_fun1746z00_3130;
BgL_type1743z00_3127 = 
(BgL_typez00_bglt)(BgL_arg3205z00_1977); 
BgL_key1745z00_3129 = 
BINT(((long)-1)); 
BgL_fun1746z00_3130 = 
(BgL_varz00_bglt)(BgL_arg3207z00_1979); 
{ /* Ast/sexp.scm 590 */
BgL_appz00_bglt BgL_new1748z00_3132;
{ /* Ast/sexp.scm 590 */
BgL_appz00_bglt BgL_res3358z00_3138;
{ /* Ast/sexp.scm 590 */
BgL_appz00_bglt BgL_new1750z00_3133;
BgL_new1750z00_3133 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/sexp.scm 590 */
long BgL_arg3273z00_3134;
BgL_arg3273z00_3134 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/sexp.scm 590 */
BgL_objectz00_bglt BgL_auxz00_5422;
BgL_auxz00_5422 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3133); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5422, BgL_arg3273z00_3134); } } 
{ /* Ast/sexp.scm 590 */
BgL_objectz00_bglt BgL_auxz00_5425;
BgL_auxz00_5425 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3133); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5425, BFALSE); } 
{ /* Ast/sexp.scm 590 */
obj_t BgL_auxz00_5428;
BgL_auxz00_5428 = 
(obj_t)(BgL_new1750z00_3133); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5428); } BUNSPEC; 
BgL_res3358z00_3138 = BgL_new1750z00_3133; } 
BgL_new1748z00_3132 = BgL_res3358z00_3138; } 
{ /* Ast/sexp.scm 590 */
BgL_appz00_bglt BgL_res3359z00_3152;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_locz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1743z00_3127), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_keyz00) = ((obj_t)BgL_key1745z00_3129), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_funz00) = ((BgL_varz00_bglt)BgL_fun1746z00_3130), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3132))->BgL_argsz00) = ((obj_t)BgL_arg3208z00_1980), BUNSPEC); 
BgL_res3359z00_3152 = BgL_new1748z00_3132; BgL_res3359z00_3152; } 
BgL_res3360z00_3153 = BgL_new1748z00_3132; } } 
return 
(BgL_nodez00_bglt)(BgL_res3360z00_3153);} }  else 
{ /* Ast/sexp.scm 589 */
return BgL_funz00_1975;} } } } 
}



/* _define-primop->node */
obj_t BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00(obj_t BgL_envz00_3888, obj_t BgL_globalz00_3889)
{ AN_OBJECT;
{ /* Ast/sexp.scm 586 */
{ /* Ast/sexp.scm 586 */
BgL_nodez00_bglt BgL_auxz00_5438;
BgL_auxz00_5438 = 
BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_globalz00_3889)); 
return 
(obj_t)(BgL_auxz00_5438);} } 
}



/* location->node */
BgL_nodez00_bglt BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_36)
{ AN_OBJECT;
{ /* Ast/sexp.scm 605 */
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_globalz00_36), BFALSE, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 607 */
BgL_nodez00_bglt BgL_funz00_1992;
BgL_funz00_1992 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)32)), BNIL, BFALSE, 
CNST_TABLE_REF(((long)15))); 
{ /* Ast/sexp.scm 611 */
bool_t BgL_test3220z00_1993;
BgL_test3220z00_1993 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1992), BGl_varz00zzast_nodez00); 
if(BgL_test3220z00_1993)
{ /* Ast/sexp.scm 612 */
obj_t BgL_arg3221z00_1994;BgL_nodez00_bglt BgL_arg3223z00_1996;obj_t BgL_arg3224z00_1997;
BgL_arg3221z00_1994 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3223z00_1996 = BgL_funz00_1992; 
{ /* Ast/sexp.scm 614 */
BgL_nodez00_bglt BgL_arg3225z00_1998;
BgL_arg3225z00_1998 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
(obj_t)(BgL_globalz00_36), BNIL, BFALSE, 
CNST_TABLE_REF(((long)1))); 
{ /* Ast/sexp.scm 614 */
obj_t BgL_list3226z00_1999;
{ /* Ast/sexp.scm 614 */
obj_t BgL_auxz00_5454;
BgL_auxz00_5454 = 
(obj_t)(BgL_arg3225z00_1998); 
BgL_list3226z00_1999 = 
MAKE_PAIR(BgL_auxz00_5454, BNIL); } 
BgL_arg3224z00_1997 = BgL_list3226z00_1999; } } 
{ /* Ast/sexp.scm 612 */
BgL_appz00_bglt BgL_res3364z00_3184;
{ /* Ast/sexp.scm 612 */
BgL_typez00_bglt BgL_type1743z00_3158;obj_t BgL_key1745z00_3160;BgL_varz00_bglt BgL_fun1746z00_3161;
BgL_type1743z00_3158 = 
(BgL_typez00_bglt)(BgL_arg3221z00_1994); 
BgL_key1745z00_3160 = 
BINT(((long)-1)); 
BgL_fun1746z00_3161 = 
(BgL_varz00_bglt)(BgL_arg3223z00_1996); 
{ /* Ast/sexp.scm 612 */
BgL_appz00_bglt BgL_new1748z00_3163;
{ /* Ast/sexp.scm 612 */
BgL_appz00_bglt BgL_res3362z00_3169;
{ /* Ast/sexp.scm 612 */
BgL_appz00_bglt BgL_new1750z00_3164;
BgL_new1750z00_3164 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/sexp.scm 612 */
long BgL_arg3273z00_3165;
BgL_arg3273z00_3165 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/sexp.scm 612 */
BgL_objectz00_bglt BgL_auxz00_5462;
BgL_auxz00_5462 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3164); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5462, BgL_arg3273z00_3165); } } 
{ /* Ast/sexp.scm 612 */
BgL_objectz00_bglt BgL_auxz00_5465;
BgL_auxz00_5465 = 
(BgL_objectz00_bglt)(BgL_new1750z00_3164); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5465, BFALSE); } 
{ /* Ast/sexp.scm 612 */
obj_t BgL_auxz00_5468;
BgL_auxz00_5468 = 
(obj_t)(BgL_new1750z00_3164); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5468); } BUNSPEC; 
BgL_res3362z00_3169 = BgL_new1750z00_3164; } 
BgL_new1748z00_3163 = BgL_res3362z00_3169; } 
{ /* Ast/sexp.scm 612 */
BgL_appz00_bglt BgL_res3363z00_3183;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_locz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1743z00_3158), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_keyz00) = ((obj_t)BgL_key1745z00_3160), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_funz00) = ((BgL_varz00_bglt)BgL_fun1746z00_3161), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_3163))->BgL_argsz00) = ((obj_t)BgL_arg3224z00_1997), BUNSPEC); 
BgL_res3363z00_3183 = BgL_new1748z00_3163; BgL_res3363z00_3183; } 
BgL_res3364z00_3184 = BgL_new1748z00_3163; } } 
return 
(BgL_nodez00_bglt)(BgL_res3364z00_3184);} }  else 
{ /* Ast/sexp.scm 611 */
return BgL_funz00_1992;} } } } 
}



/* _location->node */
obj_t BGl__locationzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_3890, obj_t BgL_globalz00_3891)
{ AN_OBJECT;
{ /* Ast/sexp.scm 605 */
{ /* Ast/sexp.scm 605 */
BgL_nodez00_bglt BgL_auxz00_5478;
BgL_auxz00_5478 = 
BGl_locationzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_globalz00_3891)); 
return 
(obj_t)(BgL_auxz00_5478);} } 
}



/* make-anonymous-name */
obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t BgL_locz00_37)
{ AN_OBJECT;
{ /* Ast/sexp.scm 620 */
{ /* Ast/sexp.scm 621 */
bool_t BgL_testz00_5482;
if(
STRUCTP(BgL_locz00_37))
{ /* Ast/sexp.scm 621 */
obj_t BgL_auxz00_5487;obj_t BgL_auxz00_5485;
BgL_auxz00_5487 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_5485 = 
STRUCT_KEY(BgL_locz00_37); 
BgL_testz00_5482 = 
(BgL_auxz00_5485==BgL_auxz00_5487); }  else 
{ /* Ast/sexp.scm 621 */
BgL_testz00_5482 = ((bool_t)0)
; } 
if(BgL_testz00_5482)
{ /* Ast/sexp.scm 622 */
obj_t BgL_filez00_2001;obj_t BgL_linez00_2002;obj_t BgL_basez00_2003;
{ /* Ast/sexp.scm 622 */
int BgL_auxz00_5490;
BgL_auxz00_5490 = 
(int)(((long)0)); 
BgL_filez00_2001 = 
STRUCT_REF(BgL_locz00_37, BgL_auxz00_5490); } 
{ /* Ast/sexp.scm 623 */
int BgL_auxz00_5493;
BgL_auxz00_5493 = 
(int)(((long)2)); 
BgL_linez00_2002 = 
STRUCT_REF(BgL_locz00_37, BgL_auxz00_5493); } 
{ /* Ast/sexp.scm 624 */
obj_t BgL_arg3243z00_2018;
BgL_arg3243z00_2018 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3405z00zzast_sexpz00, BEOA); 
BgL_basez00_2003 = 
SYMBOL_TO_STRING(BgL_arg3243z00_2018); } 
{ /* Ast/sexp.scm 626 */
bool_t BgL_test3228z00_2004;
{ /* Ast/sexp.scm 626 */
long BgL_n1z00_3199;
BgL_n1z00_3199 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test3228z00_2004 = 
(BgL_n1z00_3199>=((long)1)); } 
if(BgL_test3228z00_2004)
{ /* Ast/sexp.scm 626 */
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3229z00_2005;
{ /* Ast/sexp.scm 628 */
char * BgL_arg3233z00_2008;
BgL_arg3233z00_2008 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_linez00_2002, BNIL); 
{ /* Ast/sexp.scm 628 */
obj_t BgL_list3235z00_2010;
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3236z00_2011;
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3237z00_2012;
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3238z00_2013;
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3239z00_2014;
{ /* Ast/sexp.scm 628 */
obj_t BgL_arg3240z00_2015;
BgL_arg3240z00_2015 = 
MAKE_PAIR(BGl_string3406z00zzast_sexpz00, BNIL); 
{ /* Ast/sexp.scm 628 */
obj_t BgL_auxz00_5504;
BgL_auxz00_5504 = 
string_to_bstring(BgL_arg3233z00_2008); 
BgL_arg3239z00_2014 = 
MAKE_PAIR(BgL_auxz00_5504, BgL_arg3240z00_2015); } } 
BgL_arg3238z00_2013 = 
MAKE_PAIR(BGl_string3407z00zzast_sexpz00, BgL_arg3239z00_2014); } 
BgL_arg3237z00_2012 = 
MAKE_PAIR(BgL_filez00_2001, BgL_arg3238z00_2013); } 
BgL_arg3236z00_2011 = 
MAKE_PAIR(BGl_string3407z00zzast_sexpz00, BgL_arg3237z00_2012); } 
BgL_list3235z00_2010 = 
MAKE_PAIR(BgL_basez00_2003, BgL_arg3236z00_2011); } 
BgL_arg3229z00_2005 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3235z00_2010); } } 
{ /* Ast/sexp.scm 627 */
char * BgL_auxz00_5512;
BgL_auxz00_5512 = 
BSTRING_TO_STRING(BgL_arg3229z00_2005); 
return 
string_to_symbol(BgL_auxz00_5512);} } }  else 
{ /* Ast/sexp.scm 626 */
{ /* Ast/sexp.scm 632 */
obj_t BgL_arg3242z00_2017;
BgL_arg3242z00_2017 = 
string_append(BgL_basez00_2003, BGl_string3406z00zzast_sexpz00); 
{ /* Ast/sexp.scm 632 */
char * BgL_auxz00_5516;
BgL_auxz00_5516 = 
BSTRING_TO_STRING(BgL_arg3242z00_2017); 
return 
string_to_symbol(BgL_auxz00_5516);} } } } }  else 
{ /* Ast/sexp.scm 633 */
obj_t BgL_arg3244z00_2019;
BgL_arg3244z00_2019 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)33)), BEOA); 
{ /* Ast/sexp.scm 633 */
obj_t BgL_list3246z00_2021;
{ /* Ast/sexp.scm 633 */
obj_t BgL_arg3247z00_2022;
{ /* Ast/sexp.scm 633 */
obj_t BgL_auxz00_5522;
BgL_auxz00_5522 = 
CNST_TABLE_REF(((long)34)); 
BgL_arg3247z00_2022 = 
MAKE_PAIR(BgL_auxz00_5522, BNIL); } 
BgL_list3246z00_2021 = 
MAKE_PAIR(BgL_arg3244z00_2019, BgL_arg3247z00_2022); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3246z00_2021);} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_sexpz00()
{ AN_OBJECT;
{ /* Ast/sexp.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
{ AN_OBJECT;
{ /* Ast/sexp.scm 14 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)34095), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)23045), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long)40790), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_labelsz00(((long)44282), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_letz00(((long)39525), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_exitz00(((long)5484), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_appz00(((long)54071), "ast_sexp"); 
BGl_modulezd2initializa7ationz75zzast_applyz00(((long)56957), "ast_sexp"); 
return 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "ast_sexp");} 
}

