/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_shrinkzd2nodez12zd2select2712z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2letzd2fun2720zc0zzast_shrinkifyz00(obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
static obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00(BgL_nodez00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2letzd2var2723zc0zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zd2sequence2694z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zd2var2690z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2setq2706z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
extern obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zd2atom2688z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zd2extern2702z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2appzd2ly2698zc0zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_shrinkzd2nodez12zd2boxzd2ref2716zc0zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00(BgL_variablez00_bglt);
static obj_t BGl_shrinkzd2nodez12zd2makezd2box2714zc0zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2jumpzd2exzd2it2727z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2fail2710z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl__shrinkifyz12z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2app2696z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl__shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_shrinkzd2nodez12zd2conditional2708z12zzast_shrinkifyz00(obj_t, obj_t);
static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
static obj_t BGl_shrinkzd2nodez12zd2kwote2692z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
static obj_t BGl_shrinkzd2nodez12zd2funcall2700z12zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2boxzd2setz122718zd2zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2cast2704z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
static obj_t BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00(obj_t, obj_t);
static obj_t BGl_shrinkzd2nodez12zd2setzd2exzd2it2725z12zzast_shrinkifyz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_STATIC_GENERIC( BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_bgl__shrinkza7d2nodeza712za7c0za7za7ast_shrinkifyza7003022z00, BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00, BgL_bgl__shrinkifyza712za712za7za7ast_shrinkifyza7003023za7, BGl__shrinkifyz12z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3000z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2app2696za712za7za7ast_shrinkifyza7003024za7, BGl_shrinkzd2nodez12zd2app2696z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3001z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2appza7d2ly2698za7c0za7za7ast_shrinkifyza7003025z00, BGl_shrinkzd2nodez12zd2appzd2ly2698zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3002z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2funcall2700za712za7za7ast_shrinkifyza7003026za7, BGl_shrinkzd2nodez12zd2funcall2700z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3003z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2extern2702za712za7za7ast_shrinkifyza7003027za7, BGl_shrinkzd2nodez12zd2extern2702z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3004z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2cast2704za712za7za7ast_shrinkifyza7003028za7, BGl_shrinkzd2nodez12zd2cast2704z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3005z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2setq2706za712za7za7ast_shrinkifyza7003029za7, BGl_shrinkzd2nodez12zd2setq2706z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3006z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2conditional2708za712za7za7ast_shrinkifyza7003030za7, BGl_shrinkzd2nodez12zd2conditional2708z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3007z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2fail2710za712za7za7ast_shrinkifyza7003031za7, BGl_shrinkzd2nodez12zd2fail2710z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3008z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2select2712za712za7za7ast_shrinkifyza7003032za7, BGl_shrinkzd2nodez12zd2select2712z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3010z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2boxza7d2ref2716za7c0za7za7ast_shrinkifyza7003033z00, BGl_shrinkzd2nodez12zd2boxzd2ref2716zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3009z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2makeza7d2box2714za7c0za7za7ast_shrinkifyza7003034z00, BGl_shrinkzd2nodez12zd2makezd2box2714zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3011z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2boxza7d2setza7122718za7d2za7za7ast_shrinkifyza7003035za7, BGl_shrinkzd2nodez12zd2boxzd2setz122718zd2zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3012z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2letza7d2fun2720za7c0za7za7ast_shrinkifyza7003036z00, BGl_shrinkzd2nodez12zd2letzd2fun2720zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3013z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2letza7d2var2723za7c0za7za7ast_shrinkifyza7003037z00, BGl_shrinkzd2nodez12zd2letzd2var2723zc0zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3014z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2setza7d2exza7d2it2725za712za7za7ast_shrinkifyza7003038za7, BGl_shrinkzd2nodez12zd2setzd2exzd2it2725z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3015z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2jumpza7d2exza7d2it2727za712za7za7ast_shrinkifyza7003039za7, BGl_shrinkzd2nodez12zd2jumpzd2exzd2it2727z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_shrinkzd2nodez12zd2default2685zd2envzc0zzast_shrinkifyz00, BgL_bgl__shrinkza7d2nodeza712za7d2default2685za712za7za7ast_shrinkifyza7003040za7, BGl__shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2996z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2atom2688za712za7za7ast_shrinkifyza7003041za7, BGl_shrinkzd2nodez12zd2atom2688z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2997z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2var2690za712za7za7ast_shrinkifyza7003042za7, BGl_shrinkzd2nodez12zd2var2690z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2998z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2kwote2692za712za7za7ast_shrinkifyza7003043za7, BGl_shrinkzd2nodez12zd2kwote2692z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2999z00zzast_shrinkifyz00, BgL_bgl_shrinkza7d2nodeza712za7d2sequence2694za712za7za7ast_shrinkifyza7003044za7, BGl_shrinkzd2nodez12zd2sequence2694z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STRING( BGl_string3017z00zzast_shrinkifyz00, BgL_bgl_string3017za700za7za7ast_shrinkifyza7003045z00, "shrink-node!-default2685 ", 25 );
DEFINE_STRING( BGl_string3016z00zzast_shrinkifyz00, BgL_bgl_string3016za700za7za7ast_shrinkifyza7003046z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_shrinkzd2variablez12zd2default2683zd2envzc0zzast_shrinkifyz00, BgL_bgl__shrinkza7d2variableza712za7d2default2683za712za7za7ast_shrinkifyza7003047za7, BGl__shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_bgl__shrinkza7d2variableza712za7c0za7za7ast_shrinkifyza7003048z00, BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long BgL_checksumz00_3532, char * BgL_fromz00_3533)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
{ 
BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00(); 
BGl_cnstzd2initzd2zzast_shrinkifyz00(); 
BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00(); 
BGl_methodzd2initzd2zzast_shrinkifyz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_shrinkify"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_shrinkify"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
{ /* Ast/shrinkify.scm 15 */
obj_t BgL_cportz00_3525;
BgL_cportz00_3525 = 
open_input_string(BGl_string3017z00zzast_shrinkifyz00); 
{ 
long BgL_iz00_3526;
BgL_iz00_3526 = ((long)0); 
BgL_loopz00_3527:
if(
(BgL_iz00_3526==((long)-1)))
{ /* Ast/shrinkify.scm 15 */
return BUNSPEC;}  else 
{ /* Ast/shrinkify.scm 15 */
{ /* Ast/shrinkify.scm 15 */
obj_t BgL_arg3019z00_3529;
{ /* Ast/shrinkify.scm 15 */
obj_t BgL_list3020z00_3530;
BgL_list3020z00_3530 = 
MAKE_PAIR(BgL_cportz00_3525, BNIL); 
BgL_arg3019z00_3529 = 
BGl_readz00zz__readerz00(BgL_list3020z00_3530); } 
{ /* Ast/shrinkify.scm 15 */
int BgL_auxz00_3548;
BgL_auxz00_3548 = 
(int)(BgL_iz00_3526); 
CNST_TABLE_SET(BgL_auxz00_3548, BgL_arg3019z00_3529); } } 
{ 
long BgL_iz00_3551;
{ /* Ast/shrinkify.scm 15 */
int BgL_auxz00_3552;
{ /* Ast/shrinkify.scm 15 */
long BgL_auxz00_3553;
BgL_auxz00_3553 = 
(BgL_iz00_3526-((long)1)); 
BgL_auxz00_3552 = 
(int)(BgL_auxz00_3553); } 
BgL_iz00_3551 = 
(long)(BgL_auxz00_3552); } 
BgL_iz00_3526 = BgL_iz00_3551; 
goto BgL_loopz00_3527;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
return BUNSPEC;} 
}



/* shrinkify! */
obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 25 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00); 
{ 
obj_t BgL_l2654z00_1246;
BgL_l2654z00_1246 = BgL_globalsz00_1; 
BgL_lname2655z00_1247:
if(
PAIRP(BgL_l2654z00_1246))
{ /* Ast/shrinkify.scm 27 */
{ /* Ast/shrinkify.scm 28 */
obj_t BgL_globalz00_1249;
BgL_globalz00_1249 = 
CAR(BgL_l2654z00_1246); 
{ 
obj_t BgL_l2656z00_1251;
{ /* Ast/shrinkify.scm 29 */
BgL_sfunz00_bglt BgL_obj1369z00_1860;
{ /* Ast/shrinkify.scm 29 */
BgL_valuez00_bglt BgL_auxz00_3596;
{ /* Ast/shrinkify.scm 28 */
BgL_globalz00_bglt BgL_obj1155z00_1859;
BgL_obj1155z00_1859 = 
(BgL_globalz00_bglt)(BgL_globalz00_1249); 
BgL_auxz00_3596 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1859))->BgL_valuez00); } 
BgL_obj1369z00_1860 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3596); } 
BgL_l2656z00_1251 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_1860))->BgL_argsz00); } 
BgL_lname2657z00_1252:
if(
PAIRP(BgL_l2656z00_1251))
{ /* Ast/shrinkify.scm 29 */
{ /* Ast/shrinkify.scm 29 */
BgL_variablez00_bglt BgL_variablez00_1863;
{ /* Ast/shrinkify.scm 29 */
obj_t BgL_auxz00_3563;
BgL_auxz00_3563 = 
CAR(BgL_l2656z00_1251); 
BgL_variablez00_1863 = 
(BgL_variablez00_bglt)(BgL_auxz00_3563); } 
{ /* Ast/shrinkify.scm 29 */
obj_t BgL_method2684z00_1864;
{ /* Ast/shrinkify.scm 29 */
long BgL_objzd2classzd2numz00_1866;
{ /* Ast/shrinkify.scm 29 */
BgL_objectz00_bglt BgL_auxz00_3566;
BgL_auxz00_3566 = 
(BgL_objectz00_bglt)(BgL_variablez00_1863); 
BgL_objzd2classzd2numz00_1866 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3566); } 
{ /* Ast/shrinkify.scm 29 */
obj_t BgL_arg1221z00_1867;
{ /* Ast/shrinkify.scm 29 */
int BgL_auxz00_3569;
BgL_auxz00_3569 = 
(int)(((long)1)); 
BgL_arg1221z00_1867 = 
PROCEDURE_REF(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3569); } 
{ /* Ast/shrinkify.scm 29 */
long BgL_offsetz00_1871;
{ /* Ast/shrinkify.scm 29 */
long BgL_auxz00_3572;
{ /* Ast/shrinkify.scm 29 */
int BgL_auxz00_3573;
BgL_auxz00_3573 = 
(int)(BgL_objzd2classzd2numz00_1866); 
BgL_auxz00_3572 = 
(long)(BgL_auxz00_3573); } 
BgL_offsetz00_1871 = 
(BgL_auxz00_3572-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 29 */
long BgL_modz00_1872;
{ /* Ast/shrinkify.scm 29 */
long BgL_auxz00_3577;
{ /* Ast/shrinkify.scm 29 */
int BgL_auxz00_3578;
BgL_auxz00_3578 = 
(int)(((long)8)); 
BgL_auxz00_3577 = 
(long)(BgL_auxz00_3578); } 
BgL_modz00_1872 = 
(BgL_offsetz00_1871/BgL_auxz00_3577); } 
{ /* Ast/shrinkify.scm 29 */
long BgL_restz00_1874;
{ /* Ast/shrinkify.scm 29 */
long BgL_auxz00_3582;
{ /* Ast/shrinkify.scm 29 */
int BgL_auxz00_3583;
BgL_auxz00_3583 = 
(int)(((long)8)); 
BgL_auxz00_3582 = 
(long)(BgL_auxz00_3583); } 
BgL_restz00_1874 = 
(BgL_offsetz00_1871%BgL_auxz00_3582); } 
{ /* Ast/shrinkify.scm 29 */

{ /* Ast/shrinkify.scm 29 */
obj_t BgL_bucketz00_1876;
{ /* Ast/shrinkify.scm 29 */
int BgL_kz00_1886;
BgL_kz00_1886 = 
(int)(BgL_modz00_1872); 
BgL_bucketz00_1876 = 
VECTOR_REF(BgL_arg1221z00_1867,BgL_kz00_1886); } 
{ /* Ast/shrinkify.scm 29 */
int BgL_kz00_1888;
BgL_kz00_1888 = 
(int)(BgL_restz00_1874); 
BgL_method2684z00_1864 = 
VECTOR_REF(BgL_bucketz00_1876,BgL_kz00_1888); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2684z00_1864)(BgL_method2684z00_1864, 
(obj_t)(BgL_variablez00_1863), BEOA); } } 
{ 
obj_t BgL_l2656z00_3594;
BgL_l2656z00_3594 = 
CDR(BgL_l2656z00_1251); 
BgL_l2656z00_1251 = BgL_l2656z00_3594; 
goto BgL_lname2657z00_1252;} }  else 
{ /* Ast/shrinkify.scm 29 */((bool_t)1); } } 
{ /* Ast/shrinkify.scm 30 */
obj_t BgL_res2895z00_1918;
{ /* Ast/shrinkify.scm 30 */
BgL_nodez00_bglt BgL_nodez00_1892;
{ /* Ast/shrinkify.scm 30 */
obj_t BgL_auxz00_3601;
{ /* Ast/shrinkify.scm 30 */
BgL_sfunz00_bglt BgL_obj1372z00_1891;
{ /* Ast/shrinkify.scm 30 */
BgL_valuez00_bglt BgL_auxz00_3602;
{ /* Ast/shrinkify.scm 30 */
BgL_globalz00_bglt BgL_obj1155z00_1890;
BgL_obj1155z00_1890 = 
(BgL_globalz00_bglt)(BgL_globalz00_1249); 
BgL_auxz00_3602 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1890))->BgL_valuez00); } 
BgL_obj1372z00_1891 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3602); } 
BgL_auxz00_3601 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1891))->BgL_bodyz00); } 
BgL_nodez00_1892 = 
(BgL_nodez00_bglt)(BgL_auxz00_3601); } 
{ /* Ast/shrinkify.scm 30 */
obj_t BgL_method2686z00_1893;
{ /* Ast/shrinkify.scm 30 */
long BgL_objzd2classzd2numz00_1895;
{ /* Ast/shrinkify.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3608;
BgL_auxz00_3608 = 
(BgL_objectz00_bglt)(BgL_nodez00_1892); 
BgL_objzd2classzd2numz00_1895 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3608); } 
{ /* Ast/shrinkify.scm 30 */
obj_t BgL_arg1221z00_1896;
{ /* Ast/shrinkify.scm 30 */
int BgL_auxz00_3611;
BgL_auxz00_3611 = 
(int)(((long)1)); 
BgL_arg1221z00_1896 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3611); } 
{ /* Ast/shrinkify.scm 30 */
long BgL_offsetz00_1900;
{ /* Ast/shrinkify.scm 30 */
long BgL_auxz00_3614;
{ /* Ast/shrinkify.scm 30 */
int BgL_auxz00_3615;
BgL_auxz00_3615 = 
(int)(BgL_objzd2classzd2numz00_1895); 
BgL_auxz00_3614 = 
(long)(BgL_auxz00_3615); } 
BgL_offsetz00_1900 = 
(BgL_auxz00_3614-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 30 */
long BgL_modz00_1901;
{ /* Ast/shrinkify.scm 30 */
long BgL_auxz00_3619;
{ /* Ast/shrinkify.scm 30 */
int BgL_auxz00_3620;
BgL_auxz00_3620 = 
(int)(((long)8)); 
BgL_auxz00_3619 = 
(long)(BgL_auxz00_3620); } 
BgL_modz00_1901 = 
(BgL_offsetz00_1900/BgL_auxz00_3619); } 
{ /* Ast/shrinkify.scm 30 */
long BgL_restz00_1903;
{ /* Ast/shrinkify.scm 30 */
long BgL_auxz00_3624;
{ /* Ast/shrinkify.scm 30 */
int BgL_auxz00_3625;
BgL_auxz00_3625 = 
(int)(((long)8)); 
BgL_auxz00_3624 = 
(long)(BgL_auxz00_3625); } 
BgL_restz00_1903 = 
(BgL_offsetz00_1900%BgL_auxz00_3624); } 
{ /* Ast/shrinkify.scm 30 */

{ /* Ast/shrinkify.scm 30 */
obj_t BgL_bucketz00_1905;
{ /* Ast/shrinkify.scm 30 */
int BgL_kz00_1915;
BgL_kz00_1915 = 
(int)(BgL_modz00_1901); 
BgL_bucketz00_1905 = 
VECTOR_REF(BgL_arg1221z00_1896,BgL_kz00_1915); } 
{ /* Ast/shrinkify.scm 30 */
int BgL_kz00_1917;
BgL_kz00_1917 = 
(int)(BgL_restz00_1903); 
BgL_method2686z00_1893 = 
VECTOR_REF(BgL_bucketz00_1905,BgL_kz00_1917); } } } } } } } } 
{ /* Ast/shrinkify.scm 30 */
obj_t BgL_xz00_3496;
BgL_xz00_3496 = 
PROCEDURE_ENTRY(BgL_method2686z00_1893)(BgL_method2686z00_1893, 
(obj_t)(BgL_nodez00_1892), BEOA); 
BgL_res2895z00_1918 = BUNSPEC; } } } BgL_res2895z00_1918; } } 
{ 
obj_t BgL_l2654z00_3636;
BgL_l2654z00_3636 = 
CDR(BgL_l2654z00_1246); 
BgL_l2654z00_1246 = BgL_l2654z00_3636; 
goto BgL_lname2655z00_1247;} }  else 
{ /* Ast/shrinkify.scm 27 */((bool_t)1); } } 
return BgL_globalsz00_1;} 
}



/* _shrinkify! */
obj_t BGl__shrinkifyz12z12zzast_shrinkifyz00(obj_t BgL_envz00_3426, obj_t BgL_globalsz00_3427)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 25 */
return 
BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_3427);} 
}



/* shrink-node*! */
bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_26)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 221 */
{ 
obj_t BgL_l2681z00_1260;
BgL_l2681z00_1260 = BgL_nodeza2za2_26; 
BgL_lname2682z00_1261:
if(
PAIRP(BgL_l2681z00_1260))
{ /* Ast/shrinkify.scm 222 */
{ /* Ast/shrinkify.scm 222 */
obj_t BgL_res2898z00_1948;
{ /* Ast/shrinkify.scm 222 */
BgL_nodez00_bglt BgL_nodez00_1922;
{ /* Ast/shrinkify.scm 222 */
obj_t BgL_auxz00_3641;
BgL_auxz00_3641 = 
CAR(BgL_l2681z00_1260); 
BgL_nodez00_1922 = 
(BgL_nodez00_bglt)(BgL_auxz00_3641); } 
{ /* Ast/shrinkify.scm 222 */
obj_t BgL_method2686z00_1923;
{ /* Ast/shrinkify.scm 222 */
long BgL_objzd2classzd2numz00_1925;
{ /* Ast/shrinkify.scm 222 */
BgL_objectz00_bglt BgL_auxz00_3644;
BgL_auxz00_3644 = 
(BgL_objectz00_bglt)(BgL_nodez00_1922); 
BgL_objzd2classzd2numz00_1925 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3644); } 
{ /* Ast/shrinkify.scm 222 */
obj_t BgL_arg1221z00_1926;
{ /* Ast/shrinkify.scm 222 */
int BgL_auxz00_3647;
BgL_auxz00_3647 = 
(int)(((long)1)); 
BgL_arg1221z00_1926 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3647); } 
{ /* Ast/shrinkify.scm 222 */
long BgL_offsetz00_1930;
{ /* Ast/shrinkify.scm 222 */
long BgL_auxz00_3650;
{ /* Ast/shrinkify.scm 222 */
int BgL_auxz00_3651;
BgL_auxz00_3651 = 
(int)(BgL_objzd2classzd2numz00_1925); 
BgL_auxz00_3650 = 
(long)(BgL_auxz00_3651); } 
BgL_offsetz00_1930 = 
(BgL_auxz00_3650-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 222 */
long BgL_modz00_1931;
{ /* Ast/shrinkify.scm 222 */
long BgL_auxz00_3655;
{ /* Ast/shrinkify.scm 222 */
int BgL_auxz00_3656;
BgL_auxz00_3656 = 
(int)(((long)8)); 
BgL_auxz00_3655 = 
(long)(BgL_auxz00_3656); } 
BgL_modz00_1931 = 
(BgL_offsetz00_1930/BgL_auxz00_3655); } 
{ /* Ast/shrinkify.scm 222 */
long BgL_restz00_1933;
{ /* Ast/shrinkify.scm 222 */
long BgL_auxz00_3660;
{ /* Ast/shrinkify.scm 222 */
int BgL_auxz00_3661;
BgL_auxz00_3661 = 
(int)(((long)8)); 
BgL_auxz00_3660 = 
(long)(BgL_auxz00_3661); } 
BgL_restz00_1933 = 
(BgL_offsetz00_1930%BgL_auxz00_3660); } 
{ /* Ast/shrinkify.scm 222 */

{ /* Ast/shrinkify.scm 222 */
obj_t BgL_bucketz00_1935;
{ /* Ast/shrinkify.scm 222 */
int BgL_kz00_1945;
BgL_kz00_1945 = 
(int)(BgL_modz00_1931); 
BgL_bucketz00_1935 = 
VECTOR_REF(BgL_arg1221z00_1926,BgL_kz00_1945); } 
{ /* Ast/shrinkify.scm 222 */
int BgL_kz00_1947;
BgL_kz00_1947 = 
(int)(BgL_restz00_1933); 
BgL_method2686z00_1923 = 
VECTOR_REF(BgL_bucketz00_1935,BgL_kz00_1947); } } } } } } } } 
{ /* Ast/shrinkify.scm 222 */
obj_t BgL_xz00_3497;
BgL_xz00_3497 = 
PROCEDURE_ENTRY(BgL_method2686z00_1923)(BgL_method2686z00_1923, 
(obj_t)(BgL_nodez00_1922), BEOA); 
BgL_res2898z00_1948 = BUNSPEC; } } } BgL_res2898z00_1948; } 
{ 
obj_t BgL_l2681z00_3672;
BgL_l2681z00_3672 = 
CDR(BgL_l2681z00_1260); 
BgL_l2681z00_1260 = BgL_l2681z00_3672; 
goto BgL_lname2682z00_1261;} }  else 
{ /* Ast/shrinkify.scm 222 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BGl_shrinkzd2variablez12zd2default2683zd2envzc0zzast_shrinkifyz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_shrinkzd2nodez12zd2default2685zd2envzc0zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_atomz00zzast_nodez00, BGl_proc2996z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_varz00zzast_nodez00, BGl_proc2997z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_kwotez00zzast_nodez00, BGl_proc2998z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_sequencez00zzast_nodez00, BGl_proc2999z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_appz00zzast_nodez00, BGl_proc3000z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3001z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_funcallz00zzast_nodez00, BGl_proc3002z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_externz00zzast_nodez00, BGl_proc3003z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_castz00zzast_nodez00, BGl_proc3004z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_setqz00zzast_nodez00, BGl_proc3005z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_conditionalz00zzast_nodez00, BGl_proc3006z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_failz00zzast_nodez00, BGl_proc3007z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_selectz00zzast_nodez00, BGl_proc3008z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3009z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3010z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3011z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3012z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3013z00zzast_shrinkifyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3014z00zzast_shrinkifyz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3015z00zzast_shrinkifyz00);} 
}



/* shrink-node!-jump-ex-it2727 */
obj_t BGl_shrinkzd2nodez12zd2jumpzd2exzd2it2727z12zzast_shrinkifyz00(obj_t BgL_envz00_3452, obj_t BgL_nodez00_3453)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 213 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1837;
BgL_nodez00_1837 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3453); 
{ /* Ast/shrinkify.scm 214 */
BgL_nodez00_bglt BgL_arg2879z00_1840;
BgL_arg2879z00_1840 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1837))->BgL_exitz00); 
{ /* Ast/shrinkify.scm 214 */
obj_t BgL_res2986z00_3316;
{ /* Ast/shrinkify.scm 214 */
obj_t BgL_method2686z00_3291;
{ /* Ast/shrinkify.scm 214 */
long BgL_objzd2classzd2numz00_3293;
{ /* Ast/shrinkify.scm 214 */
BgL_objectz00_bglt BgL_auxz00_3697;
BgL_auxz00_3697 = 
(BgL_objectz00_bglt)(BgL_arg2879z00_1840); 
BgL_objzd2classzd2numz00_3293 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3697); } 
{ /* Ast/shrinkify.scm 214 */
obj_t BgL_arg1221z00_3294;
{ /* Ast/shrinkify.scm 214 */
int BgL_auxz00_3700;
BgL_auxz00_3700 = 
(int)(((long)1)); 
BgL_arg1221z00_3294 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3700); } 
{ /* Ast/shrinkify.scm 214 */
long BgL_offsetz00_3298;
{ /* Ast/shrinkify.scm 214 */
long BgL_auxz00_3703;
{ /* Ast/shrinkify.scm 214 */
int BgL_auxz00_3704;
BgL_auxz00_3704 = 
(int)(BgL_objzd2classzd2numz00_3293); 
BgL_auxz00_3703 = 
(long)(BgL_auxz00_3704); } 
BgL_offsetz00_3298 = 
(BgL_auxz00_3703-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 214 */
long BgL_modz00_3299;
{ /* Ast/shrinkify.scm 214 */
long BgL_auxz00_3708;
{ /* Ast/shrinkify.scm 214 */
int BgL_auxz00_3709;
BgL_auxz00_3709 = 
(int)(((long)8)); 
BgL_auxz00_3708 = 
(long)(BgL_auxz00_3709); } 
BgL_modz00_3299 = 
(BgL_offsetz00_3298/BgL_auxz00_3708); } 
{ /* Ast/shrinkify.scm 214 */
long BgL_restz00_3301;
{ /* Ast/shrinkify.scm 214 */
long BgL_auxz00_3713;
{ /* Ast/shrinkify.scm 214 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(((long)8)); 
BgL_auxz00_3713 = 
(long)(BgL_auxz00_3714); } 
BgL_restz00_3301 = 
(BgL_offsetz00_3298%BgL_auxz00_3713); } 
{ /* Ast/shrinkify.scm 214 */

{ /* Ast/shrinkify.scm 214 */
obj_t BgL_bucketz00_3303;
{ /* Ast/shrinkify.scm 214 */
int BgL_kz00_3313;
BgL_kz00_3313 = 
(int)(BgL_modz00_3299); 
BgL_bucketz00_3303 = 
VECTOR_REF(BgL_arg1221z00_3294,BgL_kz00_3313); } 
{ /* Ast/shrinkify.scm 214 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_restz00_3301); 
BgL_method2686z00_3291 = 
VECTOR_REF(BgL_bucketz00_3303,BgL_kz00_3315); } } } } } } } } 
{ /* Ast/shrinkify.scm 214 */
obj_t BgL_xz00_3498;
BgL_xz00_3498 = 
PROCEDURE_ENTRY(BgL_method2686z00_3291)(BgL_method2686z00_3291, 
(obj_t)(BgL_arg2879z00_1840), BEOA); 
BgL_res2986z00_3316 = BUNSPEC; } } BgL_res2986z00_3316; } } 
{ /* Ast/shrinkify.scm 215 */
BgL_nodez00_bglt BgL_arg2880z00_1841;
BgL_arg2880z00_1841 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1837))->BgL_valuez00); 
{ /* Ast/shrinkify.scm 215 */
obj_t BgL_res2989z00_3344;
{ /* Ast/shrinkify.scm 215 */
obj_t BgL_method2686z00_3319;
{ /* Ast/shrinkify.scm 215 */
long BgL_objzd2classzd2numz00_3321;
{ /* Ast/shrinkify.scm 215 */
BgL_objectz00_bglt BgL_auxz00_3726;
BgL_auxz00_3726 = 
(BgL_objectz00_bglt)(BgL_arg2880z00_1841); 
BgL_objzd2classzd2numz00_3321 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3726); } 
{ /* Ast/shrinkify.scm 215 */
obj_t BgL_arg1221z00_3322;
{ /* Ast/shrinkify.scm 215 */
int BgL_auxz00_3729;
BgL_auxz00_3729 = 
(int)(((long)1)); 
BgL_arg1221z00_3322 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3729); } 
{ /* Ast/shrinkify.scm 215 */
long BgL_offsetz00_3326;
{ /* Ast/shrinkify.scm 215 */
long BgL_auxz00_3732;
{ /* Ast/shrinkify.scm 215 */
int BgL_auxz00_3733;
BgL_auxz00_3733 = 
(int)(BgL_objzd2classzd2numz00_3321); 
BgL_auxz00_3732 = 
(long)(BgL_auxz00_3733); } 
BgL_offsetz00_3326 = 
(BgL_auxz00_3732-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 215 */
long BgL_modz00_3327;
{ /* Ast/shrinkify.scm 215 */
long BgL_auxz00_3737;
{ /* Ast/shrinkify.scm 215 */
int BgL_auxz00_3738;
BgL_auxz00_3738 = 
(int)(((long)8)); 
BgL_auxz00_3737 = 
(long)(BgL_auxz00_3738); } 
BgL_modz00_3327 = 
(BgL_offsetz00_3326/BgL_auxz00_3737); } 
{ /* Ast/shrinkify.scm 215 */
long BgL_restz00_3329;
{ /* Ast/shrinkify.scm 215 */
long BgL_auxz00_3742;
{ /* Ast/shrinkify.scm 215 */
int BgL_auxz00_3743;
BgL_auxz00_3743 = 
(int)(((long)8)); 
BgL_auxz00_3742 = 
(long)(BgL_auxz00_3743); } 
BgL_restz00_3329 = 
(BgL_offsetz00_3326%BgL_auxz00_3742); } 
{ /* Ast/shrinkify.scm 215 */

{ /* Ast/shrinkify.scm 215 */
obj_t BgL_bucketz00_3331;
{ /* Ast/shrinkify.scm 215 */
int BgL_kz00_3341;
BgL_kz00_3341 = 
(int)(BgL_modz00_3327); 
BgL_bucketz00_3331 = 
VECTOR_REF(BgL_arg1221z00_3322,BgL_kz00_3341); } 
{ /* Ast/shrinkify.scm 215 */
int BgL_kz00_3343;
BgL_kz00_3343 = 
(int)(BgL_restz00_3329); 
BgL_method2686z00_3319 = 
VECTOR_REF(BgL_bucketz00_3331,BgL_kz00_3343); } } } } } } } } 
{ /* Ast/shrinkify.scm 215 */
obj_t BgL_xz00_3499;
BgL_xz00_3499 = 
PROCEDURE_ENTRY(BgL_method2686z00_3319)(BgL_method2686z00_3319, 
(obj_t)(BgL_arg2880z00_1841), BEOA); 
BgL_res2989z00_3344 = BUNSPEC; } } BgL_res2989z00_3344; } } 
return BUNSPEC;} } 
}



/* shrink-node!-set-ex-it2725 */
obj_t BGl_shrinkzd2nodez12zd2setzd2exzd2it2725z12zzast_shrinkifyz00(obj_t BgL_envz00_3454, obj_t BgL_nodez00_3455)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 204 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1829;
BgL_nodez00_1829 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3455); 
{ /* Ast/shrinkify.scm 206 */
obj_t BgL_res2980z00_3260;
{ /* Ast/shrinkify.scm 206 */
BgL_nodez00_bglt BgL_nodez00_3234;
{ /* Ast/shrinkify.scm 206 */
BgL_varz00_bglt BgL_auxz00_3755;
BgL_auxz00_3755 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1829))->BgL_varz00); 
BgL_nodez00_3234 = 
(BgL_nodez00_bglt)(BgL_auxz00_3755); } 
{ /* Ast/shrinkify.scm 206 */
obj_t BgL_method2686z00_3235;
{ /* Ast/shrinkify.scm 206 */
long BgL_objzd2classzd2numz00_3237;
{ /* Ast/shrinkify.scm 206 */
BgL_objectz00_bglt BgL_auxz00_3758;
BgL_auxz00_3758 = 
(BgL_objectz00_bglt)(BgL_nodez00_3234); 
BgL_objzd2classzd2numz00_3237 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3758); } 
{ /* Ast/shrinkify.scm 206 */
obj_t BgL_arg1221z00_3238;
{ /* Ast/shrinkify.scm 206 */
int BgL_auxz00_3761;
BgL_auxz00_3761 = 
(int)(((long)1)); 
BgL_arg1221z00_3238 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3761); } 
{ /* Ast/shrinkify.scm 206 */
long BgL_offsetz00_3242;
{ /* Ast/shrinkify.scm 206 */
long BgL_auxz00_3764;
{ /* Ast/shrinkify.scm 206 */
int BgL_auxz00_3765;
BgL_auxz00_3765 = 
(int)(BgL_objzd2classzd2numz00_3237); 
BgL_auxz00_3764 = 
(long)(BgL_auxz00_3765); } 
BgL_offsetz00_3242 = 
(BgL_auxz00_3764-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 206 */
long BgL_modz00_3243;
{ /* Ast/shrinkify.scm 206 */
long BgL_auxz00_3769;
{ /* Ast/shrinkify.scm 206 */
int BgL_auxz00_3770;
BgL_auxz00_3770 = 
(int)(((long)8)); 
BgL_auxz00_3769 = 
(long)(BgL_auxz00_3770); } 
BgL_modz00_3243 = 
(BgL_offsetz00_3242/BgL_auxz00_3769); } 
{ /* Ast/shrinkify.scm 206 */
long BgL_restz00_3245;
{ /* Ast/shrinkify.scm 206 */
long BgL_auxz00_3774;
{ /* Ast/shrinkify.scm 206 */
int BgL_auxz00_3775;
BgL_auxz00_3775 = 
(int)(((long)8)); 
BgL_auxz00_3774 = 
(long)(BgL_auxz00_3775); } 
BgL_restz00_3245 = 
(BgL_offsetz00_3242%BgL_auxz00_3774); } 
{ /* Ast/shrinkify.scm 206 */

{ /* Ast/shrinkify.scm 206 */
obj_t BgL_bucketz00_3247;
{ /* Ast/shrinkify.scm 206 */
int BgL_kz00_3257;
BgL_kz00_3257 = 
(int)(BgL_modz00_3243); 
BgL_bucketz00_3247 = 
VECTOR_REF(BgL_arg1221z00_3238,BgL_kz00_3257); } 
{ /* Ast/shrinkify.scm 206 */
int BgL_kz00_3259;
BgL_kz00_3259 = 
(int)(BgL_restz00_3245); 
BgL_method2686z00_3235 = 
VECTOR_REF(BgL_bucketz00_3247,BgL_kz00_3259); } } } } } } } } 
{ /* Ast/shrinkify.scm 206 */
obj_t BgL_xz00_3500;
BgL_xz00_3500 = 
PROCEDURE_ENTRY(BgL_method2686z00_3235)(BgL_method2686z00_3235, 
(obj_t)(BgL_nodez00_3234), BEOA); 
BgL_res2980z00_3260 = BUNSPEC; } } } BgL_res2980z00_3260; } 
{ /* Ast/shrinkify.scm 207 */
BgL_nodez00_bglt BgL_arg2877z00_1834;
BgL_arg2877z00_1834 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1829))->BgL_bodyz00); 
{ /* Ast/shrinkify.scm 207 */
obj_t BgL_res2983z00_3288;
{ /* Ast/shrinkify.scm 207 */
obj_t BgL_method2686z00_3263;
{ /* Ast/shrinkify.scm 207 */
long BgL_objzd2classzd2numz00_3265;
{ /* Ast/shrinkify.scm 207 */
BgL_objectz00_bglt BgL_auxz00_3787;
BgL_auxz00_3787 = 
(BgL_objectz00_bglt)(BgL_arg2877z00_1834); 
BgL_objzd2classzd2numz00_3265 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3787); } 
{ /* Ast/shrinkify.scm 207 */
obj_t BgL_arg1221z00_3266;
{ /* Ast/shrinkify.scm 207 */
int BgL_auxz00_3790;
BgL_auxz00_3790 = 
(int)(((long)1)); 
BgL_arg1221z00_3266 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3790); } 
{ /* Ast/shrinkify.scm 207 */
long BgL_offsetz00_3270;
{ /* Ast/shrinkify.scm 207 */
long BgL_auxz00_3793;
{ /* Ast/shrinkify.scm 207 */
int BgL_auxz00_3794;
BgL_auxz00_3794 = 
(int)(BgL_objzd2classzd2numz00_3265); 
BgL_auxz00_3793 = 
(long)(BgL_auxz00_3794); } 
BgL_offsetz00_3270 = 
(BgL_auxz00_3793-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 207 */
long BgL_modz00_3271;
{ /* Ast/shrinkify.scm 207 */
long BgL_auxz00_3798;
{ /* Ast/shrinkify.scm 207 */
int BgL_auxz00_3799;
BgL_auxz00_3799 = 
(int)(((long)8)); 
BgL_auxz00_3798 = 
(long)(BgL_auxz00_3799); } 
BgL_modz00_3271 = 
(BgL_offsetz00_3270/BgL_auxz00_3798); } 
{ /* Ast/shrinkify.scm 207 */
long BgL_restz00_3273;
{ /* Ast/shrinkify.scm 207 */
long BgL_auxz00_3803;
{ /* Ast/shrinkify.scm 207 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(((long)8)); 
BgL_auxz00_3803 = 
(long)(BgL_auxz00_3804); } 
BgL_restz00_3273 = 
(BgL_offsetz00_3270%BgL_auxz00_3803); } 
{ /* Ast/shrinkify.scm 207 */

{ /* Ast/shrinkify.scm 207 */
obj_t BgL_bucketz00_3275;
{ /* Ast/shrinkify.scm 207 */
int BgL_kz00_3285;
BgL_kz00_3285 = 
(int)(BgL_modz00_3271); 
BgL_bucketz00_3275 = 
VECTOR_REF(BgL_arg1221z00_3266,BgL_kz00_3285); } 
{ /* Ast/shrinkify.scm 207 */
int BgL_kz00_3287;
BgL_kz00_3287 = 
(int)(BgL_restz00_3273); 
BgL_method2686z00_3263 = 
VECTOR_REF(BgL_bucketz00_3275,BgL_kz00_3287); } } } } } } } } 
{ /* Ast/shrinkify.scm 207 */
obj_t BgL_xz00_3501;
BgL_xz00_3501 = 
PROCEDURE_ENTRY(BgL_method2686z00_3263)(BgL_method2686z00_3263, 
(obj_t)(BgL_arg2877z00_1834), BEOA); 
BgL_res2983z00_3288 = BUNSPEC; } } BgL_res2983z00_3288; } } 
return BUNSPEC;} } 
}



/* shrink-node!-let-var2723 */
obj_t BGl_shrinkzd2nodez12zd2letzd2var2723zc0zzast_shrinkifyz00(obj_t BgL_envz00_3456, obj_t BgL_nodez00_3457)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 192 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1814;
BgL_nodez00_1814 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3457); 
{ /* Ast/shrinkify.scm 194 */
BgL_nodez00_bglt BgL_arg2869z00_1818;
BgL_arg2869z00_1818 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1814))->BgL_bodyz00); 
{ /* Ast/shrinkify.scm 194 */
obj_t BgL_res2972z00_3173;
{ /* Ast/shrinkify.scm 194 */
obj_t BgL_method2686z00_3148;
{ /* Ast/shrinkify.scm 194 */
long BgL_objzd2classzd2numz00_3150;
{ /* Ast/shrinkify.scm 194 */
BgL_objectz00_bglt BgL_auxz00_3817;
BgL_auxz00_3817 = 
(BgL_objectz00_bglt)(BgL_arg2869z00_1818); 
BgL_objzd2classzd2numz00_3150 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3817); } 
{ /* Ast/shrinkify.scm 194 */
obj_t BgL_arg1221z00_3151;
{ /* Ast/shrinkify.scm 194 */
int BgL_auxz00_3820;
BgL_auxz00_3820 = 
(int)(((long)1)); 
BgL_arg1221z00_3151 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3820); } 
{ /* Ast/shrinkify.scm 194 */
long BgL_offsetz00_3155;
{ /* Ast/shrinkify.scm 194 */
long BgL_auxz00_3823;
{ /* Ast/shrinkify.scm 194 */
int BgL_auxz00_3824;
BgL_auxz00_3824 = 
(int)(BgL_objzd2classzd2numz00_3150); 
BgL_auxz00_3823 = 
(long)(BgL_auxz00_3824); } 
BgL_offsetz00_3155 = 
(BgL_auxz00_3823-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 194 */
long BgL_modz00_3156;
{ /* Ast/shrinkify.scm 194 */
long BgL_auxz00_3828;
{ /* Ast/shrinkify.scm 194 */
int BgL_auxz00_3829;
BgL_auxz00_3829 = 
(int)(((long)8)); 
BgL_auxz00_3828 = 
(long)(BgL_auxz00_3829); } 
BgL_modz00_3156 = 
(BgL_offsetz00_3155/BgL_auxz00_3828); } 
{ /* Ast/shrinkify.scm 194 */
long BgL_restz00_3158;
{ /* Ast/shrinkify.scm 194 */
long BgL_auxz00_3833;
{ /* Ast/shrinkify.scm 194 */
int BgL_auxz00_3834;
BgL_auxz00_3834 = 
(int)(((long)8)); 
BgL_auxz00_3833 = 
(long)(BgL_auxz00_3834); } 
BgL_restz00_3158 = 
(BgL_offsetz00_3155%BgL_auxz00_3833); } 
{ /* Ast/shrinkify.scm 194 */

{ /* Ast/shrinkify.scm 194 */
obj_t BgL_bucketz00_3160;
{ /* Ast/shrinkify.scm 194 */
int BgL_kz00_3170;
BgL_kz00_3170 = 
(int)(BgL_modz00_3156); 
BgL_bucketz00_3160 = 
VECTOR_REF(BgL_arg1221z00_3151,BgL_kz00_3170); } 
{ /* Ast/shrinkify.scm 194 */
int BgL_kz00_3172;
BgL_kz00_3172 = 
(int)(BgL_restz00_3158); 
BgL_method2686z00_3148 = 
VECTOR_REF(BgL_bucketz00_3160,BgL_kz00_3172); } } } } } } } } 
{ /* Ast/shrinkify.scm 194 */
obj_t BgL_xz00_3502;
BgL_xz00_3502 = 
PROCEDURE_ENTRY(BgL_method2686z00_3148)(BgL_method2686z00_3148, 
(obj_t)(BgL_arg2869z00_1818), BEOA); 
BgL_res2972z00_3173 = BUNSPEC; } } BgL_res2972z00_3173; } } 
{ 
obj_t BgL_l2677z00_1819;
BgL_l2677z00_1819 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1814))->BgL_bindingsz00); 
BgL_lname2678z00_1820:
if(
PAIRP(BgL_l2677z00_1819))
{ /* Ast/shrinkify.scm 195 */
{ /* Ast/shrinkify.scm 196 */
obj_t BgL_bindingz00_1823;
BgL_bindingz00_1823 = 
CAR(BgL_l2677z00_1819); 
{ /* Ast/shrinkify.scm 196 */
BgL_variablez00_bglt BgL_variablez00_3178;
{ /* Ast/shrinkify.scm 196 */
obj_t BgL_auxz00_3848;
BgL_auxz00_3848 = 
CAR(BgL_bindingz00_1823); 
BgL_variablez00_3178 = 
(BgL_variablez00_bglt)(BgL_auxz00_3848); } 
{ /* Ast/shrinkify.scm 196 */
obj_t BgL_method2684z00_3179;
{ /* Ast/shrinkify.scm 196 */
long BgL_objzd2classzd2numz00_3181;
{ /* Ast/shrinkify.scm 196 */
BgL_objectz00_bglt BgL_auxz00_3851;
BgL_auxz00_3851 = 
(BgL_objectz00_bglt)(BgL_variablez00_3178); 
BgL_objzd2classzd2numz00_3181 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3851); } 
{ /* Ast/shrinkify.scm 196 */
obj_t BgL_arg1221z00_3182;
{ /* Ast/shrinkify.scm 196 */
int BgL_auxz00_3854;
BgL_auxz00_3854 = 
(int)(((long)1)); 
BgL_arg1221z00_3182 = 
PROCEDURE_REF(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3854); } 
{ /* Ast/shrinkify.scm 196 */
long BgL_offsetz00_3186;
{ /* Ast/shrinkify.scm 196 */
long BgL_auxz00_3857;
{ /* Ast/shrinkify.scm 196 */
int BgL_auxz00_3858;
BgL_auxz00_3858 = 
(int)(BgL_objzd2classzd2numz00_3181); 
BgL_auxz00_3857 = 
(long)(BgL_auxz00_3858); } 
BgL_offsetz00_3186 = 
(BgL_auxz00_3857-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 196 */
long BgL_modz00_3187;
{ /* Ast/shrinkify.scm 196 */
long BgL_auxz00_3862;
{ /* Ast/shrinkify.scm 196 */
int BgL_auxz00_3863;
BgL_auxz00_3863 = 
(int)(((long)8)); 
BgL_auxz00_3862 = 
(long)(BgL_auxz00_3863); } 
BgL_modz00_3187 = 
(BgL_offsetz00_3186/BgL_auxz00_3862); } 
{ /* Ast/shrinkify.scm 196 */
long BgL_restz00_3189;
{ /* Ast/shrinkify.scm 196 */
long BgL_auxz00_3867;
{ /* Ast/shrinkify.scm 196 */
int BgL_auxz00_3868;
BgL_auxz00_3868 = 
(int)(((long)8)); 
BgL_auxz00_3867 = 
(long)(BgL_auxz00_3868); } 
BgL_restz00_3189 = 
(BgL_offsetz00_3186%BgL_auxz00_3867); } 
{ /* Ast/shrinkify.scm 196 */

{ /* Ast/shrinkify.scm 196 */
obj_t BgL_bucketz00_3191;
{ /* Ast/shrinkify.scm 196 */
int BgL_kz00_3201;
BgL_kz00_3201 = 
(int)(BgL_modz00_3187); 
BgL_bucketz00_3191 = 
VECTOR_REF(BgL_arg1221z00_3182,BgL_kz00_3201); } 
{ /* Ast/shrinkify.scm 196 */
int BgL_kz00_3203;
BgL_kz00_3203 = 
(int)(BgL_restz00_3189); 
BgL_method2684z00_3179 = 
VECTOR_REF(BgL_bucketz00_3191,BgL_kz00_3203); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2684z00_3179)(BgL_method2684z00_3179, 
(obj_t)(BgL_variablez00_3178), BEOA); } } 
{ /* Ast/shrinkify.scm 197 */
obj_t BgL_res2977z00_3231;
{ /* Ast/shrinkify.scm 197 */
BgL_nodez00_bglt BgL_nodez00_3205;
{ /* Ast/shrinkify.scm 197 */
obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
CDR(BgL_bindingz00_1823); 
BgL_nodez00_3205 = 
(BgL_nodez00_bglt)(BgL_auxz00_3879); } 
{ /* Ast/shrinkify.scm 197 */
obj_t BgL_method2686z00_3206;
{ /* Ast/shrinkify.scm 197 */
long BgL_objzd2classzd2numz00_3208;
{ /* Ast/shrinkify.scm 197 */
BgL_objectz00_bglt BgL_auxz00_3882;
BgL_auxz00_3882 = 
(BgL_objectz00_bglt)(BgL_nodez00_3205); 
BgL_objzd2classzd2numz00_3208 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3882); } 
{ /* Ast/shrinkify.scm 197 */
obj_t BgL_arg1221z00_3209;
{ /* Ast/shrinkify.scm 197 */
int BgL_auxz00_3885;
BgL_auxz00_3885 = 
(int)(((long)1)); 
BgL_arg1221z00_3209 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3885); } 
{ /* Ast/shrinkify.scm 197 */
long BgL_offsetz00_3213;
{ /* Ast/shrinkify.scm 197 */
long BgL_auxz00_3888;
{ /* Ast/shrinkify.scm 197 */
int BgL_auxz00_3889;
BgL_auxz00_3889 = 
(int)(BgL_objzd2classzd2numz00_3208); 
BgL_auxz00_3888 = 
(long)(BgL_auxz00_3889); } 
BgL_offsetz00_3213 = 
(BgL_auxz00_3888-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 197 */
long BgL_modz00_3214;
{ /* Ast/shrinkify.scm 197 */
long BgL_auxz00_3893;
{ /* Ast/shrinkify.scm 197 */
int BgL_auxz00_3894;
BgL_auxz00_3894 = 
(int)(((long)8)); 
BgL_auxz00_3893 = 
(long)(BgL_auxz00_3894); } 
BgL_modz00_3214 = 
(BgL_offsetz00_3213/BgL_auxz00_3893); } 
{ /* Ast/shrinkify.scm 197 */
long BgL_restz00_3216;
{ /* Ast/shrinkify.scm 197 */
long BgL_auxz00_3898;
{ /* Ast/shrinkify.scm 197 */
int BgL_auxz00_3899;
BgL_auxz00_3899 = 
(int)(((long)8)); 
BgL_auxz00_3898 = 
(long)(BgL_auxz00_3899); } 
BgL_restz00_3216 = 
(BgL_offsetz00_3213%BgL_auxz00_3898); } 
{ /* Ast/shrinkify.scm 197 */

{ /* Ast/shrinkify.scm 197 */
obj_t BgL_bucketz00_3218;
{ /* Ast/shrinkify.scm 197 */
int BgL_kz00_3228;
BgL_kz00_3228 = 
(int)(BgL_modz00_3214); 
BgL_bucketz00_3218 = 
VECTOR_REF(BgL_arg1221z00_3209,BgL_kz00_3228); } 
{ /* Ast/shrinkify.scm 197 */
int BgL_kz00_3230;
BgL_kz00_3230 = 
(int)(BgL_restz00_3216); 
BgL_method2686z00_3206 = 
VECTOR_REF(BgL_bucketz00_3218,BgL_kz00_3230); } } } } } } } } 
{ /* Ast/shrinkify.scm 197 */
obj_t BgL_xz00_3503;
BgL_xz00_3503 = 
PROCEDURE_ENTRY(BgL_method2686z00_3206)(BgL_method2686z00_3206, 
(obj_t)(BgL_nodez00_3205), BEOA); 
BgL_res2977z00_3231 = BUNSPEC; } } } BgL_res2977z00_3231; } } 
{ 
obj_t BgL_l2677z00_3910;
BgL_l2677z00_3910 = 
CDR(BgL_l2677z00_1819); 
BgL_l2677z00_1819 = BgL_l2677z00_3910; 
goto BgL_lname2678z00_1820;} }  else 
{ /* Ast/shrinkify.scm 195 */((bool_t)1); } } 
return BUNSPEC;} } 
}



/* shrink-node!-let-fun2720 */
obj_t BGl_shrinkzd2nodez12zd2letzd2fun2720zc0zzast_shrinkifyz00(obj_t BgL_envz00_3458, obj_t BgL_nodez00_3459)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 178 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1793;
BgL_nodez00_1793 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3459); 
{ /* Ast/shrinkify.scm 180 */
BgL_nodez00_bglt BgL_arg2859z00_1797;
BgL_arg2859z00_1797 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1793))->BgL_bodyz00); 
{ /* Ast/shrinkify.scm 180 */
obj_t BgL_res2962z00_3056;
{ /* Ast/shrinkify.scm 180 */
obj_t BgL_method2686z00_3031;
{ /* Ast/shrinkify.scm 180 */
long BgL_objzd2classzd2numz00_3033;
{ /* Ast/shrinkify.scm 180 */
BgL_objectz00_bglt BgL_auxz00_3915;
BgL_auxz00_3915 = 
(BgL_objectz00_bglt)(BgL_arg2859z00_1797); 
BgL_objzd2classzd2numz00_3033 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3915); } 
{ /* Ast/shrinkify.scm 180 */
obj_t BgL_arg1221z00_3034;
{ /* Ast/shrinkify.scm 180 */
int BgL_auxz00_3918;
BgL_auxz00_3918 = 
(int)(((long)1)); 
BgL_arg1221z00_3034 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3918); } 
{ /* Ast/shrinkify.scm 180 */
long BgL_offsetz00_3038;
{ /* Ast/shrinkify.scm 180 */
long BgL_auxz00_3921;
{ /* Ast/shrinkify.scm 180 */
int BgL_auxz00_3922;
BgL_auxz00_3922 = 
(int)(BgL_objzd2classzd2numz00_3033); 
BgL_auxz00_3921 = 
(long)(BgL_auxz00_3922); } 
BgL_offsetz00_3038 = 
(BgL_auxz00_3921-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 180 */
long BgL_modz00_3039;
{ /* Ast/shrinkify.scm 180 */
long BgL_auxz00_3926;
{ /* Ast/shrinkify.scm 180 */
int BgL_auxz00_3927;
BgL_auxz00_3927 = 
(int)(((long)8)); 
BgL_auxz00_3926 = 
(long)(BgL_auxz00_3927); } 
BgL_modz00_3039 = 
(BgL_offsetz00_3038/BgL_auxz00_3926); } 
{ /* Ast/shrinkify.scm 180 */
long BgL_restz00_3041;
{ /* Ast/shrinkify.scm 180 */
long BgL_auxz00_3931;
{ /* Ast/shrinkify.scm 180 */
int BgL_auxz00_3932;
BgL_auxz00_3932 = 
(int)(((long)8)); 
BgL_auxz00_3931 = 
(long)(BgL_auxz00_3932); } 
BgL_restz00_3041 = 
(BgL_offsetz00_3038%BgL_auxz00_3931); } 
{ /* Ast/shrinkify.scm 180 */

{ /* Ast/shrinkify.scm 180 */
obj_t BgL_bucketz00_3043;
{ /* Ast/shrinkify.scm 180 */
int BgL_kz00_3053;
BgL_kz00_3053 = 
(int)(BgL_modz00_3039); 
BgL_bucketz00_3043 = 
VECTOR_REF(BgL_arg1221z00_3034,BgL_kz00_3053); } 
{ /* Ast/shrinkify.scm 180 */
int BgL_kz00_3055;
BgL_kz00_3055 = 
(int)(BgL_restz00_3041); 
BgL_method2686z00_3031 = 
VECTOR_REF(BgL_bucketz00_3043,BgL_kz00_3055); } } } } } } } } 
{ /* Ast/shrinkify.scm 180 */
obj_t BgL_xz00_3504;
BgL_xz00_3504 = 
PROCEDURE_ENTRY(BgL_method2686z00_3031)(BgL_method2686z00_3031, 
(obj_t)(BgL_arg2859z00_1797), BEOA); 
BgL_res2962z00_3056 = BUNSPEC; } } BgL_res2962z00_3056; } } 
{ 
obj_t BgL_l2671z00_1798;
BgL_l2671z00_1798 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1793))->BgL_localsz00); 
BgL_lname2672z00_1799:
if(
PAIRP(BgL_l2671z00_1798))
{ /* Ast/shrinkify.scm 181 */
{ /* Ast/shrinkify.scm 182 */
obj_t BgL_localz00_1802;
BgL_localz00_1802 = 
CAR(BgL_l2671z00_1798); 
{ /* Ast/shrinkify.scm 182 */
BgL_valuez00_bglt BgL_sfunz00_1803;
{ /* Ast/shrinkify.scm 182 */
BgL_localz00_bglt BgL_obj1255z00_3060;
BgL_obj1255z00_3060 = 
(BgL_localz00_bglt)(BgL_localz00_1802); 
BgL_sfunz00_1803 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3060))->BgL_valuez00); } 
{ /* Ast/shrinkify.scm 183 */
BgL_variablez00_bglt BgL_variablez00_3061;
BgL_variablez00_3061 = 
(BgL_variablez00_bglt)(BgL_localz00_1802); 
{ /* Ast/shrinkify.scm 183 */
obj_t BgL_method2684z00_3062;
{ /* Ast/shrinkify.scm 183 */
long BgL_objzd2classzd2numz00_3064;
{ /* Ast/shrinkify.scm 183 */
BgL_objectz00_bglt BgL_auxz00_3949;
BgL_auxz00_3949 = 
(BgL_objectz00_bglt)(BgL_variablez00_3061); 
BgL_objzd2classzd2numz00_3064 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3949); } 
{ /* Ast/shrinkify.scm 183 */
obj_t BgL_arg1221z00_3065;
{ /* Ast/shrinkify.scm 183 */
int BgL_auxz00_3952;
BgL_auxz00_3952 = 
(int)(((long)1)); 
BgL_arg1221z00_3065 = 
PROCEDURE_REF(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3952); } 
{ /* Ast/shrinkify.scm 183 */
long BgL_offsetz00_3069;
{ /* Ast/shrinkify.scm 183 */
long BgL_auxz00_3955;
{ /* Ast/shrinkify.scm 183 */
int BgL_auxz00_3956;
BgL_auxz00_3956 = 
(int)(BgL_objzd2classzd2numz00_3064); 
BgL_auxz00_3955 = 
(long)(BgL_auxz00_3956); } 
BgL_offsetz00_3069 = 
(BgL_auxz00_3955-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 183 */
long BgL_modz00_3070;
{ /* Ast/shrinkify.scm 183 */
long BgL_auxz00_3960;
{ /* Ast/shrinkify.scm 183 */
int BgL_auxz00_3961;
BgL_auxz00_3961 = 
(int)(((long)8)); 
BgL_auxz00_3960 = 
(long)(BgL_auxz00_3961); } 
BgL_modz00_3070 = 
(BgL_offsetz00_3069/BgL_auxz00_3960); } 
{ /* Ast/shrinkify.scm 183 */
long BgL_restz00_3072;
{ /* Ast/shrinkify.scm 183 */
long BgL_auxz00_3965;
{ /* Ast/shrinkify.scm 183 */
int BgL_auxz00_3966;
BgL_auxz00_3966 = 
(int)(((long)8)); 
BgL_auxz00_3965 = 
(long)(BgL_auxz00_3966); } 
BgL_restz00_3072 = 
(BgL_offsetz00_3069%BgL_auxz00_3965); } 
{ /* Ast/shrinkify.scm 183 */

{ /* Ast/shrinkify.scm 183 */
obj_t BgL_bucketz00_3074;
{ /* Ast/shrinkify.scm 183 */
int BgL_kz00_3084;
BgL_kz00_3084 = 
(int)(BgL_modz00_3070); 
BgL_bucketz00_3074 = 
VECTOR_REF(BgL_arg1221z00_3065,BgL_kz00_3084); } 
{ /* Ast/shrinkify.scm 183 */
int BgL_kz00_3086;
BgL_kz00_3086 = 
(int)(BgL_restz00_3072); 
BgL_method2684z00_3062 = 
VECTOR_REF(BgL_bucketz00_3074,BgL_kz00_3086); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2684z00_3062)(BgL_method2684z00_3062, 
(obj_t)(BgL_variablez00_3061), BEOA); } } 
{ 
obj_t BgL_l2673z00_1804;
{ /* Ast/shrinkify.scm 184 */
BgL_sfunz00_bglt BgL_obj1369z00_3087;
BgL_obj1369z00_3087 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1803); 
BgL_l2673z00_1804 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_3087))->BgL_argsz00); } 
BgL_lname2674z00_1805:
if(
PAIRP(BgL_l2673z00_1804))
{ /* Ast/shrinkify.scm 184 */
{ /* Ast/shrinkify.scm 184 */
BgL_variablez00_bglt BgL_variablez00_3090;
{ /* Ast/shrinkify.scm 184 */
obj_t BgL_auxz00_3979;
BgL_auxz00_3979 = 
CAR(BgL_l2673z00_1804); 
BgL_variablez00_3090 = 
(BgL_variablez00_bglt)(BgL_auxz00_3979); } 
{ /* Ast/shrinkify.scm 184 */
obj_t BgL_method2684z00_3091;
{ /* Ast/shrinkify.scm 184 */
long BgL_objzd2classzd2numz00_3093;
{ /* Ast/shrinkify.scm 184 */
BgL_objectz00_bglt BgL_auxz00_3982;
BgL_auxz00_3982 = 
(BgL_objectz00_bglt)(BgL_variablez00_3090); 
BgL_objzd2classzd2numz00_3093 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3982); } 
{ /* Ast/shrinkify.scm 184 */
obj_t BgL_arg1221z00_3094;
{ /* Ast/shrinkify.scm 184 */
int BgL_auxz00_3985;
BgL_auxz00_3985 = 
(int)(((long)1)); 
BgL_arg1221z00_3094 = 
PROCEDURE_REF(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_3985); } 
{ /* Ast/shrinkify.scm 184 */
long BgL_offsetz00_3098;
{ /* Ast/shrinkify.scm 184 */
long BgL_auxz00_3988;
{ /* Ast/shrinkify.scm 184 */
int BgL_auxz00_3989;
BgL_auxz00_3989 = 
(int)(BgL_objzd2classzd2numz00_3093); 
BgL_auxz00_3988 = 
(long)(BgL_auxz00_3989); } 
BgL_offsetz00_3098 = 
(BgL_auxz00_3988-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 184 */
long BgL_modz00_3099;
{ /* Ast/shrinkify.scm 184 */
long BgL_auxz00_3993;
{ /* Ast/shrinkify.scm 184 */
int BgL_auxz00_3994;
BgL_auxz00_3994 = 
(int)(((long)8)); 
BgL_auxz00_3993 = 
(long)(BgL_auxz00_3994); } 
BgL_modz00_3099 = 
(BgL_offsetz00_3098/BgL_auxz00_3993); } 
{ /* Ast/shrinkify.scm 184 */
long BgL_restz00_3101;
{ /* Ast/shrinkify.scm 184 */
long BgL_auxz00_3998;
{ /* Ast/shrinkify.scm 184 */
int BgL_auxz00_3999;
BgL_auxz00_3999 = 
(int)(((long)8)); 
BgL_auxz00_3998 = 
(long)(BgL_auxz00_3999); } 
BgL_restz00_3101 = 
(BgL_offsetz00_3098%BgL_auxz00_3998); } 
{ /* Ast/shrinkify.scm 184 */

{ /* Ast/shrinkify.scm 184 */
obj_t BgL_bucketz00_3103;
{ /* Ast/shrinkify.scm 184 */
int BgL_kz00_3113;
BgL_kz00_3113 = 
(int)(BgL_modz00_3099); 
BgL_bucketz00_3103 = 
VECTOR_REF(BgL_arg1221z00_3094,BgL_kz00_3113); } 
{ /* Ast/shrinkify.scm 184 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_restz00_3101); 
BgL_method2684z00_3091 = 
VECTOR_REF(BgL_bucketz00_3103,BgL_kz00_3115); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2684z00_3091)(BgL_method2684z00_3091, 
(obj_t)(BgL_variablez00_3090), BEOA); } } 
{ 
obj_t BgL_l2673z00_4010;
BgL_l2673z00_4010 = 
CDR(BgL_l2673z00_1804); 
BgL_l2673z00_1804 = BgL_l2673z00_4010; 
goto BgL_lname2674z00_1805;} }  else 
{ /* Ast/shrinkify.scm 184 */((bool_t)1); } } 
{ /* Ast/shrinkify.scm 185 */
obj_t BgL_res2969z00_3144;
{ /* Ast/shrinkify.scm 185 */
BgL_nodez00_bglt BgL_nodez00_3118;
{ /* Ast/shrinkify.scm 185 */
obj_t BgL_auxz00_4014;
{ /* Ast/shrinkify.scm 185 */
BgL_sfunz00_bglt BgL_obj1372z00_3117;
BgL_obj1372z00_3117 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1803); 
BgL_auxz00_4014 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3117))->BgL_bodyz00); } 
BgL_nodez00_3118 = 
(BgL_nodez00_bglt)(BgL_auxz00_4014); } 
{ /* Ast/shrinkify.scm 185 */
obj_t BgL_method2686z00_3119;
{ /* Ast/shrinkify.scm 185 */
long BgL_objzd2classzd2numz00_3121;
{ /* Ast/shrinkify.scm 185 */
BgL_objectz00_bglt BgL_auxz00_4018;
BgL_auxz00_4018 = 
(BgL_objectz00_bglt)(BgL_nodez00_3118); 
BgL_objzd2classzd2numz00_3121 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4018); } 
{ /* Ast/shrinkify.scm 185 */
obj_t BgL_arg1221z00_3122;
{ /* Ast/shrinkify.scm 185 */
int BgL_auxz00_4021;
BgL_auxz00_4021 = 
(int)(((long)1)); 
BgL_arg1221z00_3122 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4021); } 
{ /* Ast/shrinkify.scm 185 */
long BgL_offsetz00_3126;
{ /* Ast/shrinkify.scm 185 */
long BgL_auxz00_4024;
{ /* Ast/shrinkify.scm 185 */
int BgL_auxz00_4025;
BgL_auxz00_4025 = 
(int)(BgL_objzd2classzd2numz00_3121); 
BgL_auxz00_4024 = 
(long)(BgL_auxz00_4025); } 
BgL_offsetz00_3126 = 
(BgL_auxz00_4024-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 185 */
long BgL_modz00_3127;
{ /* Ast/shrinkify.scm 185 */
long BgL_auxz00_4029;
{ /* Ast/shrinkify.scm 185 */
int BgL_auxz00_4030;
BgL_auxz00_4030 = 
(int)(((long)8)); 
BgL_auxz00_4029 = 
(long)(BgL_auxz00_4030); } 
BgL_modz00_3127 = 
(BgL_offsetz00_3126/BgL_auxz00_4029); } 
{ /* Ast/shrinkify.scm 185 */
long BgL_restz00_3129;
{ /* Ast/shrinkify.scm 185 */
long BgL_auxz00_4034;
{ /* Ast/shrinkify.scm 185 */
int BgL_auxz00_4035;
BgL_auxz00_4035 = 
(int)(((long)8)); 
BgL_auxz00_4034 = 
(long)(BgL_auxz00_4035); } 
BgL_restz00_3129 = 
(BgL_offsetz00_3126%BgL_auxz00_4034); } 
{ /* Ast/shrinkify.scm 185 */

{ /* Ast/shrinkify.scm 185 */
obj_t BgL_bucketz00_3131;
{ /* Ast/shrinkify.scm 185 */
int BgL_kz00_3141;
BgL_kz00_3141 = 
(int)(BgL_modz00_3127); 
BgL_bucketz00_3131 = 
VECTOR_REF(BgL_arg1221z00_3122,BgL_kz00_3141); } 
{ /* Ast/shrinkify.scm 185 */
int BgL_kz00_3143;
BgL_kz00_3143 = 
(int)(BgL_restz00_3129); 
BgL_method2686z00_3119 = 
VECTOR_REF(BgL_bucketz00_3131,BgL_kz00_3143); } } } } } } } } 
{ /* Ast/shrinkify.scm 185 */
obj_t BgL_xz00_3505;
BgL_xz00_3505 = 
PROCEDURE_ENTRY(BgL_method2686z00_3119)(BgL_method2686z00_3119, 
(obj_t)(BgL_nodez00_3118), BEOA); 
BgL_res2969z00_3144 = BUNSPEC; } } } BgL_res2969z00_3144; } } } 
{ 
obj_t BgL_l2671z00_4046;
BgL_l2671z00_4046 = 
CDR(BgL_l2671z00_1798); 
BgL_l2671z00_1798 = BgL_l2671z00_4046; 
goto BgL_lname2672z00_1799;} }  else 
{ /* Ast/shrinkify.scm 181 */((bool_t)1); } } 
return BUNSPEC;} } 
}



/* shrink-node!-box-set!2718 */
obj_t BGl_shrinkzd2nodez12zd2boxzd2setz122718zd2zzast_shrinkifyz00(obj_t BgL_envz00_3460, obj_t BgL_nodez00_3461)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 169 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1781;
BgL_nodez00_1781 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3461); 
{ /* Ast/shrinkify.scm 170 */
bool_t BgL_testz00_4050;
{ /* Ast/shrinkify.scm 170 */
bool_t BgL_testz00_4051;
{ /* Ast/shrinkify.scm 170 */
obj_t BgL_auxz00_4052;
{ /* Ast/shrinkify.scm 170 */
BgL_objectz00_bglt BgL_auxz00_4053;
BgL_auxz00_4053 = 
(BgL_objectz00_bglt)(BgL_nodez00_1781); 
BgL_auxz00_4052 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4053); } 
BgL_testz00_4051 = 
CBOOL(BgL_auxz00_4052); } 
if(BgL_testz00_4051)
{ /* Ast/shrinkify.scm 170 */
BgL_testz00_4050 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 170 */
BgL_testz00_4050 = ((bool_t)0)
; } } 
if(BgL_testz00_4050)
{ /* Ast/shrinkify.scm 170 */
{ /* Ast/shrinkify.scm 170 */
long BgL_arg2853z00_1786;
{ /* Ast/shrinkify.scm 170 */
obj_t BgL_arg2854z00_1787;
{ /* Ast/shrinkify.scm 170 */
obj_t BgL_arg2855z00_1788;
{ /* Ast/shrinkify.scm 170 */
long BgL_arg1224z00_2964;
{ /* Ast/shrinkify.scm 170 */
long BgL_arg1225z00_2965;
{ /* Ast/shrinkify.scm 170 */
BgL_objectz00_bglt BgL_auxz00_4057;
BgL_auxz00_4057 = 
(BgL_objectz00_bglt)(BgL_nodez00_1781); 
BgL_arg1225z00_2965 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4057); } 
BgL_arg1224z00_2964 = 
(BgL_arg1225z00_2965-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 170 */
obj_t BgL_vectorz00_2969;int BgL_kz00_2970;
BgL_vectorz00_2969 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2970 = 
(int)(BgL_arg1224z00_2964); 
BgL_arg2855z00_1788 = 
VECTOR_REF(BgL_vectorz00_2969,BgL_kz00_2970); } } 
BgL_arg2854z00_1787 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2855z00_1788); } 
BgL_arg2853z00_1786 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2854z00_1787); } 
{ /* Ast/shrinkify.scm 170 */
BgL_objectz00_bglt BgL_auxz00_4065;
BgL_auxz00_4065 = 
(BgL_objectz00_bglt)(BgL_nodez00_1781); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4065, BgL_arg2853z00_1786); } } 
{ /* Ast/shrinkify.scm 170 */
BgL_objectz00_bglt BgL_auxz00_4068;
BgL_auxz00_4068 = 
(BgL_objectz00_bglt)(BgL_nodez00_1781); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4068, BFALSE); } 
(obj_t)(BgL_nodez00_1781); }  else 
{ /* Ast/shrinkify.scm 170 */BFALSE; } } 
{ /* Ast/shrinkify.scm 171 */
obj_t BgL_res2956z00_3000;
{ /* Ast/shrinkify.scm 171 */
BgL_nodez00_bglt BgL_nodez00_2974;
{ /* Ast/shrinkify.scm 171 */
BgL_varz00_bglt BgL_auxz00_4072;
BgL_auxz00_4072 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1781))->BgL_varz00); 
BgL_nodez00_2974 = 
(BgL_nodez00_bglt)(BgL_auxz00_4072); } 
{ /* Ast/shrinkify.scm 171 */
obj_t BgL_method2686z00_2975;
{ /* Ast/shrinkify.scm 171 */
long BgL_objzd2classzd2numz00_2977;
{ /* Ast/shrinkify.scm 171 */
BgL_objectz00_bglt BgL_auxz00_4075;
BgL_auxz00_4075 = 
(BgL_objectz00_bglt)(BgL_nodez00_2974); 
BgL_objzd2classzd2numz00_2977 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4075); } 
{ /* Ast/shrinkify.scm 171 */
obj_t BgL_arg1221z00_2978;
{ /* Ast/shrinkify.scm 171 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)1)); 
BgL_arg1221z00_2978 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4078); } 
{ /* Ast/shrinkify.scm 171 */
long BgL_offsetz00_2982;
{ /* Ast/shrinkify.scm 171 */
long BgL_auxz00_4081;
{ /* Ast/shrinkify.scm 171 */
int BgL_auxz00_4082;
BgL_auxz00_4082 = 
(int)(BgL_objzd2classzd2numz00_2977); 
BgL_auxz00_4081 = 
(long)(BgL_auxz00_4082); } 
BgL_offsetz00_2982 = 
(BgL_auxz00_4081-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 171 */
long BgL_modz00_2983;
{ /* Ast/shrinkify.scm 171 */
long BgL_auxz00_4086;
{ /* Ast/shrinkify.scm 171 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)8)); 
BgL_auxz00_4086 = 
(long)(BgL_auxz00_4087); } 
BgL_modz00_2983 = 
(BgL_offsetz00_2982/BgL_auxz00_4086); } 
{ /* Ast/shrinkify.scm 171 */
long BgL_restz00_2985;
{ /* Ast/shrinkify.scm 171 */
long BgL_auxz00_4091;
{ /* Ast/shrinkify.scm 171 */
int BgL_auxz00_4092;
BgL_auxz00_4092 = 
(int)(((long)8)); 
BgL_auxz00_4091 = 
(long)(BgL_auxz00_4092); } 
BgL_restz00_2985 = 
(BgL_offsetz00_2982%BgL_auxz00_4091); } 
{ /* Ast/shrinkify.scm 171 */

{ /* Ast/shrinkify.scm 171 */
obj_t BgL_bucketz00_2987;
{ /* Ast/shrinkify.scm 171 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_modz00_2983); 
BgL_bucketz00_2987 = 
VECTOR_REF(BgL_arg1221z00_2978,BgL_kz00_2997); } 
{ /* Ast/shrinkify.scm 171 */
int BgL_kz00_2999;
BgL_kz00_2999 = 
(int)(BgL_restz00_2985); 
BgL_method2686z00_2975 = 
VECTOR_REF(BgL_bucketz00_2987,BgL_kz00_2999); } } } } } } } } 
{ /* Ast/shrinkify.scm 171 */
obj_t BgL_xz00_3506;
BgL_xz00_3506 = 
PROCEDURE_ENTRY(BgL_method2686z00_2975)(BgL_method2686z00_2975, 
(obj_t)(BgL_nodez00_2974), BEOA); 
BgL_res2956z00_3000 = BUNSPEC; } } } BgL_res2956z00_3000; } 
{ /* Ast/shrinkify.scm 172 */
BgL_nodez00_bglt BgL_arg2857z00_1790;
BgL_arg2857z00_1790 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1781))->BgL_valuez00); 
{ /* Ast/shrinkify.scm 172 */
obj_t BgL_res2959z00_3028;
{ /* Ast/shrinkify.scm 172 */
obj_t BgL_method2686z00_3003;
{ /* Ast/shrinkify.scm 172 */
long BgL_objzd2classzd2numz00_3005;
{ /* Ast/shrinkify.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4104;
BgL_auxz00_4104 = 
(BgL_objectz00_bglt)(BgL_arg2857z00_1790); 
BgL_objzd2classzd2numz00_3005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4104); } 
{ /* Ast/shrinkify.scm 172 */
obj_t BgL_arg1221z00_3006;
{ /* Ast/shrinkify.scm 172 */
int BgL_auxz00_4107;
BgL_auxz00_4107 = 
(int)(((long)1)); 
BgL_arg1221z00_3006 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4107); } 
{ /* Ast/shrinkify.scm 172 */
long BgL_offsetz00_3010;
{ /* Ast/shrinkify.scm 172 */
long BgL_auxz00_4110;
{ /* Ast/shrinkify.scm 172 */
int BgL_auxz00_4111;
BgL_auxz00_4111 = 
(int)(BgL_objzd2classzd2numz00_3005); 
BgL_auxz00_4110 = 
(long)(BgL_auxz00_4111); } 
BgL_offsetz00_3010 = 
(BgL_auxz00_4110-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 172 */
long BgL_modz00_3011;
{ /* Ast/shrinkify.scm 172 */
long BgL_auxz00_4115;
{ /* Ast/shrinkify.scm 172 */
int BgL_auxz00_4116;
BgL_auxz00_4116 = 
(int)(((long)8)); 
BgL_auxz00_4115 = 
(long)(BgL_auxz00_4116); } 
BgL_modz00_3011 = 
(BgL_offsetz00_3010/BgL_auxz00_4115); } 
{ /* Ast/shrinkify.scm 172 */
long BgL_restz00_3013;
{ /* Ast/shrinkify.scm 172 */
long BgL_auxz00_4120;
{ /* Ast/shrinkify.scm 172 */
int BgL_auxz00_4121;
BgL_auxz00_4121 = 
(int)(((long)8)); 
BgL_auxz00_4120 = 
(long)(BgL_auxz00_4121); } 
BgL_restz00_3013 = 
(BgL_offsetz00_3010%BgL_auxz00_4120); } 
{ /* Ast/shrinkify.scm 172 */

{ /* Ast/shrinkify.scm 172 */
obj_t BgL_bucketz00_3015;
{ /* Ast/shrinkify.scm 172 */
int BgL_kz00_3025;
BgL_kz00_3025 = 
(int)(BgL_modz00_3011); 
BgL_bucketz00_3015 = 
VECTOR_REF(BgL_arg1221z00_3006,BgL_kz00_3025); } 
{ /* Ast/shrinkify.scm 172 */
int BgL_kz00_3027;
BgL_kz00_3027 = 
(int)(BgL_restz00_3013); 
BgL_method2686z00_3003 = 
VECTOR_REF(BgL_bucketz00_3015,BgL_kz00_3027); } } } } } } } } 
{ /* Ast/shrinkify.scm 172 */
obj_t BgL_xz00_3507;
BgL_xz00_3507 = 
PROCEDURE_ENTRY(BgL_method2686z00_3003)(BgL_method2686z00_3003, 
(obj_t)(BgL_arg2857z00_1790), BEOA); 
BgL_res2959z00_3028 = BUNSPEC; } } BgL_res2959z00_3028; } } 
return BUNSPEC;} } 
}



/* shrink-node!-box-ref2716 */
obj_t BGl_shrinkzd2nodez12zd2boxzd2ref2716zc0zzast_shrinkifyz00(obj_t BgL_envz00_3462, obj_t BgL_nodez00_3463)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 161 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1770;
BgL_nodez00_1770 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3463); 
{ /* Ast/shrinkify.scm 162 */
bool_t BgL_testz00_4133;
{ /* Ast/shrinkify.scm 162 */
bool_t BgL_testz00_4134;
{ /* Ast/shrinkify.scm 162 */
obj_t BgL_auxz00_4135;
{ /* Ast/shrinkify.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4136;
BgL_auxz00_4136 = 
(BgL_objectz00_bglt)(BgL_nodez00_1770); 
BgL_auxz00_4135 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4136); } 
BgL_testz00_4134 = 
CBOOL(BgL_auxz00_4135); } 
if(BgL_testz00_4134)
{ /* Ast/shrinkify.scm 162 */
BgL_testz00_4133 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 162 */
BgL_testz00_4133 = ((bool_t)0)
; } } 
if(BgL_testz00_4133)
{ /* Ast/shrinkify.scm 162 */
{ /* Ast/shrinkify.scm 162 */
long BgL_arg2846z00_1775;
{ /* Ast/shrinkify.scm 162 */
obj_t BgL_arg2847z00_1776;
{ /* Ast/shrinkify.scm 162 */
obj_t BgL_arg2848z00_1777;
{ /* Ast/shrinkify.scm 162 */
long BgL_arg1224z00_2923;
{ /* Ast/shrinkify.scm 162 */
long BgL_arg1225z00_2924;
{ /* Ast/shrinkify.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4140;
BgL_auxz00_4140 = 
(BgL_objectz00_bglt)(BgL_nodez00_1770); 
BgL_arg1225z00_2924 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4140); } 
BgL_arg1224z00_2923 = 
(BgL_arg1225z00_2924-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 162 */
obj_t BgL_vectorz00_2928;int BgL_kz00_2929;
BgL_vectorz00_2928 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2929 = 
(int)(BgL_arg1224z00_2923); 
BgL_arg2848z00_1777 = 
VECTOR_REF(BgL_vectorz00_2928,BgL_kz00_2929); } } 
BgL_arg2847z00_1776 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2848z00_1777); } 
BgL_arg2846z00_1775 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2847z00_1776); } 
{ /* Ast/shrinkify.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4148;
BgL_auxz00_4148 = 
(BgL_objectz00_bglt)(BgL_nodez00_1770); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4148, BgL_arg2846z00_1775); } } 
{ /* Ast/shrinkify.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4151;
BgL_auxz00_4151 = 
(BgL_objectz00_bglt)(BgL_nodez00_1770); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4151, BFALSE); } 
(obj_t)(BgL_nodez00_1770); }  else 
{ /* Ast/shrinkify.scm 162 */BFALSE; } } 
{ /* Ast/shrinkify.scm 163 */
obj_t BgL_res2952z00_2959;
{ /* Ast/shrinkify.scm 163 */
BgL_nodez00_bglt BgL_nodez00_2933;
{ /* Ast/shrinkify.scm 163 */
BgL_varz00_bglt BgL_auxz00_4155;
BgL_auxz00_4155 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1770))->BgL_varz00); 
BgL_nodez00_2933 = 
(BgL_nodez00_bglt)(BgL_auxz00_4155); } 
{ /* Ast/shrinkify.scm 163 */
obj_t BgL_method2686z00_2934;
{ /* Ast/shrinkify.scm 163 */
long BgL_objzd2classzd2numz00_2936;
{ /* Ast/shrinkify.scm 163 */
BgL_objectz00_bglt BgL_auxz00_4158;
BgL_auxz00_4158 = 
(BgL_objectz00_bglt)(BgL_nodez00_2933); 
BgL_objzd2classzd2numz00_2936 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4158); } 
{ /* Ast/shrinkify.scm 163 */
obj_t BgL_arg1221z00_2937;
{ /* Ast/shrinkify.scm 163 */
int BgL_auxz00_4161;
BgL_auxz00_4161 = 
(int)(((long)1)); 
BgL_arg1221z00_2937 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4161); } 
{ /* Ast/shrinkify.scm 163 */
long BgL_offsetz00_2941;
{ /* Ast/shrinkify.scm 163 */
long BgL_auxz00_4164;
{ /* Ast/shrinkify.scm 163 */
int BgL_auxz00_4165;
BgL_auxz00_4165 = 
(int)(BgL_objzd2classzd2numz00_2936); 
BgL_auxz00_4164 = 
(long)(BgL_auxz00_4165); } 
BgL_offsetz00_2941 = 
(BgL_auxz00_4164-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 163 */
long BgL_modz00_2942;
{ /* Ast/shrinkify.scm 163 */
long BgL_auxz00_4169;
{ /* Ast/shrinkify.scm 163 */
int BgL_auxz00_4170;
BgL_auxz00_4170 = 
(int)(((long)8)); 
BgL_auxz00_4169 = 
(long)(BgL_auxz00_4170); } 
BgL_modz00_2942 = 
(BgL_offsetz00_2941/BgL_auxz00_4169); } 
{ /* Ast/shrinkify.scm 163 */
long BgL_restz00_2944;
{ /* Ast/shrinkify.scm 163 */
long BgL_auxz00_4174;
{ /* Ast/shrinkify.scm 163 */
int BgL_auxz00_4175;
BgL_auxz00_4175 = 
(int)(((long)8)); 
BgL_auxz00_4174 = 
(long)(BgL_auxz00_4175); } 
BgL_restz00_2944 = 
(BgL_offsetz00_2941%BgL_auxz00_4174); } 
{ /* Ast/shrinkify.scm 163 */

{ /* Ast/shrinkify.scm 163 */
obj_t BgL_bucketz00_2946;
{ /* Ast/shrinkify.scm 163 */
int BgL_kz00_2956;
BgL_kz00_2956 = 
(int)(BgL_modz00_2942); 
BgL_bucketz00_2946 = 
VECTOR_REF(BgL_arg1221z00_2937,BgL_kz00_2956); } 
{ /* Ast/shrinkify.scm 163 */
int BgL_kz00_2958;
BgL_kz00_2958 = 
(int)(BgL_restz00_2944); 
BgL_method2686z00_2934 = 
VECTOR_REF(BgL_bucketz00_2946,BgL_kz00_2958); } } } } } } } } 
{ /* Ast/shrinkify.scm 163 */
obj_t BgL_xz00_3508;
BgL_xz00_3508 = 
PROCEDURE_ENTRY(BgL_method2686z00_2934)(BgL_method2686z00_2934, 
(obj_t)(BgL_nodez00_2933), BEOA); 
BgL_res2952z00_2959 = BUNSPEC; } } } BgL_res2952z00_2959; } 
return BUNSPEC;} } 
}



/* shrink-node!-make-box2714 */
obj_t BGl_shrinkzd2nodez12zd2makezd2box2714zc0zzast_shrinkifyz00(obj_t BgL_envz00_3464, obj_t BgL_nodez00_3465)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 153 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1759;
BgL_nodez00_1759 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3465); 
{ /* Ast/shrinkify.scm 154 */
bool_t BgL_testz00_4187;
{ /* Ast/shrinkify.scm 154 */
bool_t BgL_testz00_4188;
{ /* Ast/shrinkify.scm 154 */
obj_t BgL_auxz00_4189;
{ /* Ast/shrinkify.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4190;
BgL_auxz00_4190 = 
(BgL_objectz00_bglt)(BgL_nodez00_1759); 
BgL_auxz00_4189 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4190); } 
BgL_testz00_4188 = 
CBOOL(BgL_auxz00_4189); } 
if(BgL_testz00_4188)
{ /* Ast/shrinkify.scm 154 */
BgL_testz00_4187 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 154 */
BgL_testz00_4187 = ((bool_t)0)
; } } 
if(BgL_testz00_4187)
{ /* Ast/shrinkify.scm 154 */
{ /* Ast/shrinkify.scm 154 */
long BgL_arg2840z00_1764;
{ /* Ast/shrinkify.scm 154 */
obj_t BgL_arg2841z00_1765;
{ /* Ast/shrinkify.scm 154 */
obj_t BgL_arg2842z00_1766;
{ /* Ast/shrinkify.scm 154 */
long BgL_arg1224z00_2882;
{ /* Ast/shrinkify.scm 154 */
long BgL_arg1225z00_2883;
{ /* Ast/shrinkify.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4194;
BgL_auxz00_4194 = 
(BgL_objectz00_bglt)(BgL_nodez00_1759); 
BgL_arg1225z00_2883 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4194); } 
BgL_arg1224z00_2882 = 
(BgL_arg1225z00_2883-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 154 */
obj_t BgL_vectorz00_2887;int BgL_kz00_2888;
BgL_vectorz00_2887 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2888 = 
(int)(BgL_arg1224z00_2882); 
BgL_arg2842z00_1766 = 
VECTOR_REF(BgL_vectorz00_2887,BgL_kz00_2888); } } 
BgL_arg2841z00_1765 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2842z00_1766); } 
BgL_arg2840z00_1764 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2841z00_1765); } 
{ /* Ast/shrinkify.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4202;
BgL_auxz00_4202 = 
(BgL_objectz00_bglt)(BgL_nodez00_1759); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4202, BgL_arg2840z00_1764); } } 
{ /* Ast/shrinkify.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4205;
BgL_auxz00_4205 = 
(BgL_objectz00_bglt)(BgL_nodez00_1759); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4205, BFALSE); } 
(obj_t)(BgL_nodez00_1759); }  else 
{ /* Ast/shrinkify.scm 154 */BFALSE; } } 
{ /* Ast/shrinkify.scm 155 */
BgL_nodez00_bglt BgL_arg2843z00_1767;
BgL_arg2843z00_1767 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1759))->BgL_valuez00); 
{ /* Ast/shrinkify.scm 155 */
obj_t BgL_res2948z00_2918;
{ /* Ast/shrinkify.scm 155 */
obj_t BgL_method2686z00_2893;
{ /* Ast/shrinkify.scm 155 */
long BgL_objzd2classzd2numz00_2895;
{ /* Ast/shrinkify.scm 155 */
BgL_objectz00_bglt BgL_auxz00_4210;
BgL_auxz00_4210 = 
(BgL_objectz00_bglt)(BgL_arg2843z00_1767); 
BgL_objzd2classzd2numz00_2895 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4210); } 
{ /* Ast/shrinkify.scm 155 */
obj_t BgL_arg1221z00_2896;
{ /* Ast/shrinkify.scm 155 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)1)); 
BgL_arg1221z00_2896 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4213); } 
{ /* Ast/shrinkify.scm 155 */
long BgL_offsetz00_2900;
{ /* Ast/shrinkify.scm 155 */
long BgL_auxz00_4216;
{ /* Ast/shrinkify.scm 155 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(BgL_objzd2classzd2numz00_2895); 
BgL_auxz00_4216 = 
(long)(BgL_auxz00_4217); } 
BgL_offsetz00_2900 = 
(BgL_auxz00_4216-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 155 */
long BgL_modz00_2901;
{ /* Ast/shrinkify.scm 155 */
long BgL_auxz00_4221;
{ /* Ast/shrinkify.scm 155 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)8)); 
BgL_auxz00_4221 = 
(long)(BgL_auxz00_4222); } 
BgL_modz00_2901 = 
(BgL_offsetz00_2900/BgL_auxz00_4221); } 
{ /* Ast/shrinkify.scm 155 */
long BgL_restz00_2903;
{ /* Ast/shrinkify.scm 155 */
long BgL_auxz00_4226;
{ /* Ast/shrinkify.scm 155 */
int BgL_auxz00_4227;
BgL_auxz00_4227 = 
(int)(((long)8)); 
BgL_auxz00_4226 = 
(long)(BgL_auxz00_4227); } 
BgL_restz00_2903 = 
(BgL_offsetz00_2900%BgL_auxz00_4226); } 
{ /* Ast/shrinkify.scm 155 */

{ /* Ast/shrinkify.scm 155 */
obj_t BgL_bucketz00_2905;
{ /* Ast/shrinkify.scm 155 */
int BgL_kz00_2915;
BgL_kz00_2915 = 
(int)(BgL_modz00_2901); 
BgL_bucketz00_2905 = 
VECTOR_REF(BgL_arg1221z00_2896,BgL_kz00_2915); } 
{ /* Ast/shrinkify.scm 155 */
int BgL_kz00_2917;
BgL_kz00_2917 = 
(int)(BgL_restz00_2903); 
BgL_method2686z00_2893 = 
VECTOR_REF(BgL_bucketz00_2905,BgL_kz00_2917); } } } } } } } } 
{ /* Ast/shrinkify.scm 155 */
obj_t BgL_xz00_3509;
BgL_xz00_3509 = 
PROCEDURE_ENTRY(BgL_method2686z00_2893)(BgL_method2686z00_2893, 
(obj_t)(BgL_arg2843z00_1767), BEOA); 
BgL_res2948z00_2918 = BUNSPEC; } } BgL_res2948z00_2918; } } 
return BUNSPEC;} } 
}



/* shrink-node!-select2712 */
obj_t BGl_shrinkzd2nodez12zd2select2712z12zzast_shrinkifyz00(obj_t BgL_envz00_3466, obj_t BgL_nodez00_3467)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 143 */
{ 
BgL_selectz00_bglt BgL_nodez00_1746;
BgL_nodez00_1746 = 
(BgL_selectz00_bglt)(BgL_nodez00_3467); 
{ /* Ast/shrinkify.scm 144 */
BgL_nodez00_bglt BgL_arg2833z00_1749;
BgL_arg2833z00_1749 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1746))->BgL_testz00); 
{ /* Ast/shrinkify.scm 144 */
obj_t BgL_res2941z00_2845;
{ /* Ast/shrinkify.scm 144 */
obj_t BgL_method2686z00_2820;
{ /* Ast/shrinkify.scm 144 */
long BgL_objzd2classzd2numz00_2822;
{ /* Ast/shrinkify.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4240;
BgL_auxz00_4240 = 
(BgL_objectz00_bglt)(BgL_arg2833z00_1749); 
BgL_objzd2classzd2numz00_2822 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4240); } 
{ /* Ast/shrinkify.scm 144 */
obj_t BgL_arg1221z00_2823;
{ /* Ast/shrinkify.scm 144 */
int BgL_auxz00_4243;
BgL_auxz00_4243 = 
(int)(((long)1)); 
BgL_arg1221z00_2823 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4243); } 
{ /* Ast/shrinkify.scm 144 */
long BgL_offsetz00_2827;
{ /* Ast/shrinkify.scm 144 */
long BgL_auxz00_4246;
{ /* Ast/shrinkify.scm 144 */
int BgL_auxz00_4247;
BgL_auxz00_4247 = 
(int)(BgL_objzd2classzd2numz00_2822); 
BgL_auxz00_4246 = 
(long)(BgL_auxz00_4247); } 
BgL_offsetz00_2827 = 
(BgL_auxz00_4246-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 144 */
long BgL_modz00_2828;
{ /* Ast/shrinkify.scm 144 */
long BgL_auxz00_4251;
{ /* Ast/shrinkify.scm 144 */
int BgL_auxz00_4252;
BgL_auxz00_4252 = 
(int)(((long)8)); 
BgL_auxz00_4251 = 
(long)(BgL_auxz00_4252); } 
BgL_modz00_2828 = 
(BgL_offsetz00_2827/BgL_auxz00_4251); } 
{ /* Ast/shrinkify.scm 144 */
long BgL_restz00_2830;
{ /* Ast/shrinkify.scm 144 */
long BgL_auxz00_4256;
{ /* Ast/shrinkify.scm 144 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(((long)8)); 
BgL_auxz00_4256 = 
(long)(BgL_auxz00_4257); } 
BgL_restz00_2830 = 
(BgL_offsetz00_2827%BgL_auxz00_4256); } 
{ /* Ast/shrinkify.scm 144 */

{ /* Ast/shrinkify.scm 144 */
obj_t BgL_bucketz00_2832;
{ /* Ast/shrinkify.scm 144 */
int BgL_kz00_2842;
BgL_kz00_2842 = 
(int)(BgL_modz00_2828); 
BgL_bucketz00_2832 = 
VECTOR_REF(BgL_arg1221z00_2823,BgL_kz00_2842); } 
{ /* Ast/shrinkify.scm 144 */
int BgL_kz00_2844;
BgL_kz00_2844 = 
(int)(BgL_restz00_2830); 
BgL_method2686z00_2820 = 
VECTOR_REF(BgL_bucketz00_2832,BgL_kz00_2844); } } } } } } } } 
{ /* Ast/shrinkify.scm 144 */
obj_t BgL_xz00_3510;
BgL_xz00_3510 = 
PROCEDURE_ENTRY(BgL_method2686z00_2820)(BgL_method2686z00_2820, 
(obj_t)(BgL_arg2833z00_1749), BEOA); 
BgL_res2941z00_2845 = BUNSPEC; } } BgL_res2941z00_2845; } } 
{ 
obj_t BgL_l2664z00_1750;
BgL_l2664z00_1750 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1746))->BgL_clausesz00); 
BgL_lname2665z00_1751:
if(
PAIRP(BgL_l2664z00_1750))
{ /* Ast/shrinkify.scm 145 */
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_res2944z00_2876;
{ /* Ast/shrinkify.scm 146 */
BgL_nodez00_bglt BgL_nodez00_2850;
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_auxz00_4270;
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_auxz00_4271;
BgL_auxz00_4271 = 
CAR(BgL_l2664z00_1750); 
BgL_auxz00_4270 = 
CDR(BgL_auxz00_4271); } 
BgL_nodez00_2850 = 
(BgL_nodez00_bglt)(BgL_auxz00_4270); } 
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_method2686z00_2851;
{ /* Ast/shrinkify.scm 146 */
long BgL_objzd2classzd2numz00_2853;
{ /* Ast/shrinkify.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4275;
BgL_auxz00_4275 = 
(BgL_objectz00_bglt)(BgL_nodez00_2850); 
BgL_objzd2classzd2numz00_2853 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4275); } 
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_arg1221z00_2854;
{ /* Ast/shrinkify.scm 146 */
int BgL_auxz00_4278;
BgL_auxz00_4278 = 
(int)(((long)1)); 
BgL_arg1221z00_2854 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4278); } 
{ /* Ast/shrinkify.scm 146 */
long BgL_offsetz00_2858;
{ /* Ast/shrinkify.scm 146 */
long BgL_auxz00_4281;
{ /* Ast/shrinkify.scm 146 */
int BgL_auxz00_4282;
BgL_auxz00_4282 = 
(int)(BgL_objzd2classzd2numz00_2853); 
BgL_auxz00_4281 = 
(long)(BgL_auxz00_4282); } 
BgL_offsetz00_2858 = 
(BgL_auxz00_4281-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 146 */
long BgL_modz00_2859;
{ /* Ast/shrinkify.scm 146 */
long BgL_auxz00_4286;
{ /* Ast/shrinkify.scm 146 */
int BgL_auxz00_4287;
BgL_auxz00_4287 = 
(int)(((long)8)); 
BgL_auxz00_4286 = 
(long)(BgL_auxz00_4287); } 
BgL_modz00_2859 = 
(BgL_offsetz00_2858/BgL_auxz00_4286); } 
{ /* Ast/shrinkify.scm 146 */
long BgL_restz00_2861;
{ /* Ast/shrinkify.scm 146 */
long BgL_auxz00_4291;
{ /* Ast/shrinkify.scm 146 */
int BgL_auxz00_4292;
BgL_auxz00_4292 = 
(int)(((long)8)); 
BgL_auxz00_4291 = 
(long)(BgL_auxz00_4292); } 
BgL_restz00_2861 = 
(BgL_offsetz00_2858%BgL_auxz00_4291); } 
{ /* Ast/shrinkify.scm 146 */

{ /* Ast/shrinkify.scm 146 */
obj_t BgL_bucketz00_2863;
{ /* Ast/shrinkify.scm 146 */
int BgL_kz00_2873;
BgL_kz00_2873 = 
(int)(BgL_modz00_2859); 
BgL_bucketz00_2863 = 
VECTOR_REF(BgL_arg1221z00_2854,BgL_kz00_2873); } 
{ /* Ast/shrinkify.scm 146 */
int BgL_kz00_2875;
BgL_kz00_2875 = 
(int)(BgL_restz00_2861); 
BgL_method2686z00_2851 = 
VECTOR_REF(BgL_bucketz00_2863,BgL_kz00_2875); } } } } } } } } 
{ /* Ast/shrinkify.scm 146 */
obj_t BgL_xz00_3511;
BgL_xz00_3511 = 
PROCEDURE_ENTRY(BgL_method2686z00_2851)(BgL_method2686z00_2851, 
(obj_t)(BgL_nodez00_2850), BEOA); 
BgL_res2944z00_2876 = BUNSPEC; } } } BgL_res2944z00_2876; } 
{ 
obj_t BgL_l2664z00_4303;
BgL_l2664z00_4303 = 
CDR(BgL_l2664z00_1750); 
BgL_l2664z00_1750 = BgL_l2664z00_4303; 
goto BgL_lname2665z00_1751;} }  else 
{ /* Ast/shrinkify.scm 145 */((bool_t)1); } } 
return BUNSPEC;} } 
}



/* shrink-node!-fail2710 */
obj_t BGl_shrinkzd2nodez12zd2fail2710z12zzast_shrinkifyz00(obj_t BgL_envz00_3468, obj_t BgL_nodez00_3469)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 134 */
{ 
BgL_failz00_bglt BgL_nodez00_1738;
BgL_nodez00_1738 = 
(BgL_failz00_bglt)(BgL_nodez00_3469); 
{ /* Ast/shrinkify.scm 135 */
BgL_nodez00_bglt BgL_arg2829z00_1741;
BgL_arg2829z00_1741 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1738))->BgL_procz00); 
{ /* Ast/shrinkify.scm 135 */
obj_t BgL_res2932z00_2761;
{ /* Ast/shrinkify.scm 135 */
obj_t BgL_method2686z00_2736;
{ /* Ast/shrinkify.scm 135 */
long BgL_objzd2classzd2numz00_2738;
{ /* Ast/shrinkify.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4308;
BgL_auxz00_4308 = 
(BgL_objectz00_bglt)(BgL_arg2829z00_1741); 
BgL_objzd2classzd2numz00_2738 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4308); } 
{ /* Ast/shrinkify.scm 135 */
obj_t BgL_arg1221z00_2739;
{ /* Ast/shrinkify.scm 135 */
int BgL_auxz00_4311;
BgL_auxz00_4311 = 
(int)(((long)1)); 
BgL_arg1221z00_2739 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4311); } 
{ /* Ast/shrinkify.scm 135 */
long BgL_offsetz00_2743;
{ /* Ast/shrinkify.scm 135 */
long BgL_auxz00_4314;
{ /* Ast/shrinkify.scm 135 */
int BgL_auxz00_4315;
BgL_auxz00_4315 = 
(int)(BgL_objzd2classzd2numz00_2738); 
BgL_auxz00_4314 = 
(long)(BgL_auxz00_4315); } 
BgL_offsetz00_2743 = 
(BgL_auxz00_4314-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 135 */
long BgL_modz00_2744;
{ /* Ast/shrinkify.scm 135 */
long BgL_auxz00_4319;
{ /* Ast/shrinkify.scm 135 */
int BgL_auxz00_4320;
BgL_auxz00_4320 = 
(int)(((long)8)); 
BgL_auxz00_4319 = 
(long)(BgL_auxz00_4320); } 
BgL_modz00_2744 = 
(BgL_offsetz00_2743/BgL_auxz00_4319); } 
{ /* Ast/shrinkify.scm 135 */
long BgL_restz00_2746;
{ /* Ast/shrinkify.scm 135 */
long BgL_auxz00_4324;
{ /* Ast/shrinkify.scm 135 */
int BgL_auxz00_4325;
BgL_auxz00_4325 = 
(int)(((long)8)); 
BgL_auxz00_4324 = 
(long)(BgL_auxz00_4325); } 
BgL_restz00_2746 = 
(BgL_offsetz00_2743%BgL_auxz00_4324); } 
{ /* Ast/shrinkify.scm 135 */

{ /* Ast/shrinkify.scm 135 */
obj_t BgL_bucketz00_2748;
{ /* Ast/shrinkify.scm 135 */
int BgL_kz00_2758;
BgL_kz00_2758 = 
(int)(BgL_modz00_2744); 
BgL_bucketz00_2748 = 
VECTOR_REF(BgL_arg1221z00_2739,BgL_kz00_2758); } 
{ /* Ast/shrinkify.scm 135 */
int BgL_kz00_2760;
BgL_kz00_2760 = 
(int)(BgL_restz00_2746); 
BgL_method2686z00_2736 = 
VECTOR_REF(BgL_bucketz00_2748,BgL_kz00_2760); } } } } } } } } 
{ /* Ast/shrinkify.scm 135 */
obj_t BgL_xz00_3512;
BgL_xz00_3512 = 
PROCEDURE_ENTRY(BgL_method2686z00_2736)(BgL_method2686z00_2736, 
(obj_t)(BgL_arg2829z00_1741), BEOA); 
BgL_res2932z00_2761 = BUNSPEC; } } BgL_res2932z00_2761; } } 
{ /* Ast/shrinkify.scm 136 */
BgL_nodez00_bglt BgL_arg2830z00_1742;
BgL_arg2830z00_1742 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1738))->BgL_msgz00); 
{ /* Ast/shrinkify.scm 136 */
obj_t BgL_res2935z00_2789;
{ /* Ast/shrinkify.scm 136 */
obj_t BgL_method2686z00_2764;
{ /* Ast/shrinkify.scm 136 */
long BgL_objzd2classzd2numz00_2766;
{ /* Ast/shrinkify.scm 136 */
BgL_objectz00_bglt BgL_auxz00_4337;
BgL_auxz00_4337 = 
(BgL_objectz00_bglt)(BgL_arg2830z00_1742); 
BgL_objzd2classzd2numz00_2766 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4337); } 
{ /* Ast/shrinkify.scm 136 */
obj_t BgL_arg1221z00_2767;
{ /* Ast/shrinkify.scm 136 */
int BgL_auxz00_4340;
BgL_auxz00_4340 = 
(int)(((long)1)); 
BgL_arg1221z00_2767 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4340); } 
{ /* Ast/shrinkify.scm 136 */
long BgL_offsetz00_2771;
{ /* Ast/shrinkify.scm 136 */
long BgL_auxz00_4343;
{ /* Ast/shrinkify.scm 136 */
int BgL_auxz00_4344;
BgL_auxz00_4344 = 
(int)(BgL_objzd2classzd2numz00_2766); 
BgL_auxz00_4343 = 
(long)(BgL_auxz00_4344); } 
BgL_offsetz00_2771 = 
(BgL_auxz00_4343-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 136 */
long BgL_modz00_2772;
{ /* Ast/shrinkify.scm 136 */
long BgL_auxz00_4348;
{ /* Ast/shrinkify.scm 136 */
int BgL_auxz00_4349;
BgL_auxz00_4349 = 
(int)(((long)8)); 
BgL_auxz00_4348 = 
(long)(BgL_auxz00_4349); } 
BgL_modz00_2772 = 
(BgL_offsetz00_2771/BgL_auxz00_4348); } 
{ /* Ast/shrinkify.scm 136 */
long BgL_restz00_2774;
{ /* Ast/shrinkify.scm 136 */
long BgL_auxz00_4353;
{ /* Ast/shrinkify.scm 136 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(((long)8)); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_restz00_2774 = 
(BgL_offsetz00_2771%BgL_auxz00_4353); } 
{ /* Ast/shrinkify.scm 136 */

{ /* Ast/shrinkify.scm 136 */
obj_t BgL_bucketz00_2776;
{ /* Ast/shrinkify.scm 136 */
int BgL_kz00_2786;
BgL_kz00_2786 = 
(int)(BgL_modz00_2772); 
BgL_bucketz00_2776 = 
VECTOR_REF(BgL_arg1221z00_2767,BgL_kz00_2786); } 
{ /* Ast/shrinkify.scm 136 */
int BgL_kz00_2788;
BgL_kz00_2788 = 
(int)(BgL_restz00_2774); 
BgL_method2686z00_2764 = 
VECTOR_REF(BgL_bucketz00_2776,BgL_kz00_2788); } } } } } } } } 
{ /* Ast/shrinkify.scm 136 */
obj_t BgL_xz00_3513;
BgL_xz00_3513 = 
PROCEDURE_ENTRY(BgL_method2686z00_2764)(BgL_method2686z00_2764, 
(obj_t)(BgL_arg2830z00_1742), BEOA); 
BgL_res2935z00_2789 = BUNSPEC; } } BgL_res2935z00_2789; } } 
{ /* Ast/shrinkify.scm 137 */
BgL_nodez00_bglt BgL_arg2831z00_1743;
BgL_arg2831z00_1743 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1738))->BgL_objz00); 
{ /* Ast/shrinkify.scm 137 */
obj_t BgL_res2938z00_2817;
{ /* Ast/shrinkify.scm 137 */
obj_t BgL_method2686z00_2792;
{ /* Ast/shrinkify.scm 137 */
long BgL_objzd2classzd2numz00_2794;
{ /* Ast/shrinkify.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4366;
BgL_auxz00_4366 = 
(BgL_objectz00_bglt)(BgL_arg2831z00_1743); 
BgL_objzd2classzd2numz00_2794 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4366); } 
{ /* Ast/shrinkify.scm 137 */
obj_t BgL_arg1221z00_2795;
{ /* Ast/shrinkify.scm 137 */
int BgL_auxz00_4369;
BgL_auxz00_4369 = 
(int)(((long)1)); 
BgL_arg1221z00_2795 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4369); } 
{ /* Ast/shrinkify.scm 137 */
long BgL_offsetz00_2799;
{ /* Ast/shrinkify.scm 137 */
long BgL_auxz00_4372;
{ /* Ast/shrinkify.scm 137 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(BgL_objzd2classzd2numz00_2794); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_offsetz00_2799 = 
(BgL_auxz00_4372-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 137 */
long BgL_modz00_2800;
{ /* Ast/shrinkify.scm 137 */
long BgL_auxz00_4377;
{ /* Ast/shrinkify.scm 137 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)8)); 
BgL_auxz00_4377 = 
(long)(BgL_auxz00_4378); } 
BgL_modz00_2800 = 
(BgL_offsetz00_2799/BgL_auxz00_4377); } 
{ /* Ast/shrinkify.scm 137 */
long BgL_restz00_2802;
{ /* Ast/shrinkify.scm 137 */
long BgL_auxz00_4382;
{ /* Ast/shrinkify.scm 137 */
int BgL_auxz00_4383;
BgL_auxz00_4383 = 
(int)(((long)8)); 
BgL_auxz00_4382 = 
(long)(BgL_auxz00_4383); } 
BgL_restz00_2802 = 
(BgL_offsetz00_2799%BgL_auxz00_4382); } 
{ /* Ast/shrinkify.scm 137 */

{ /* Ast/shrinkify.scm 137 */
obj_t BgL_bucketz00_2804;
{ /* Ast/shrinkify.scm 137 */
int BgL_kz00_2814;
BgL_kz00_2814 = 
(int)(BgL_modz00_2800); 
BgL_bucketz00_2804 = 
VECTOR_REF(BgL_arg1221z00_2795,BgL_kz00_2814); } 
{ /* Ast/shrinkify.scm 137 */
int BgL_kz00_2816;
BgL_kz00_2816 = 
(int)(BgL_restz00_2802); 
BgL_method2686z00_2792 = 
VECTOR_REF(BgL_bucketz00_2804,BgL_kz00_2816); } } } } } } } } 
{ /* Ast/shrinkify.scm 137 */
obj_t BgL_xz00_3514;
BgL_xz00_3514 = 
PROCEDURE_ENTRY(BgL_method2686z00_2792)(BgL_method2686z00_2792, 
(obj_t)(BgL_arg2831z00_1743), BEOA); 
BgL_res2938z00_2817 = BUNSPEC; } } BgL_res2938z00_2817; } } 
return BUNSPEC;} } 
}



/* shrink-node!-conditional2708 */
obj_t BGl_shrinkzd2nodez12zd2conditional2708z12zzast_shrinkifyz00(obj_t BgL_envz00_3470, obj_t BgL_nodez00_3471)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 125 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1730;
BgL_nodez00_1730 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3471); 
{ /* Ast/shrinkify.scm 126 */
BgL_nodez00_bglt BgL_arg2825z00_1733;
BgL_arg2825z00_1733 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1730))->BgL_testz00); 
{ /* Ast/shrinkify.scm 126 */
obj_t BgL_res2923z00_2677;
{ /* Ast/shrinkify.scm 126 */
obj_t BgL_method2686z00_2652;
{ /* Ast/shrinkify.scm 126 */
long BgL_objzd2classzd2numz00_2654;
{ /* Ast/shrinkify.scm 126 */
BgL_objectz00_bglt BgL_auxz00_4396;
BgL_auxz00_4396 = 
(BgL_objectz00_bglt)(BgL_arg2825z00_1733); 
BgL_objzd2classzd2numz00_2654 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4396); } 
{ /* Ast/shrinkify.scm 126 */
obj_t BgL_arg1221z00_2655;
{ /* Ast/shrinkify.scm 126 */
int BgL_auxz00_4399;
BgL_auxz00_4399 = 
(int)(((long)1)); 
BgL_arg1221z00_2655 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4399); } 
{ /* Ast/shrinkify.scm 126 */
long BgL_offsetz00_2659;
{ /* Ast/shrinkify.scm 126 */
long BgL_auxz00_4402;
{ /* Ast/shrinkify.scm 126 */
int BgL_auxz00_4403;
BgL_auxz00_4403 = 
(int)(BgL_objzd2classzd2numz00_2654); 
BgL_auxz00_4402 = 
(long)(BgL_auxz00_4403); } 
BgL_offsetz00_2659 = 
(BgL_auxz00_4402-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 126 */
long BgL_modz00_2660;
{ /* Ast/shrinkify.scm 126 */
long BgL_auxz00_4407;
{ /* Ast/shrinkify.scm 126 */
int BgL_auxz00_4408;
BgL_auxz00_4408 = 
(int)(((long)8)); 
BgL_auxz00_4407 = 
(long)(BgL_auxz00_4408); } 
BgL_modz00_2660 = 
(BgL_offsetz00_2659/BgL_auxz00_4407); } 
{ /* Ast/shrinkify.scm 126 */
long BgL_restz00_2662;
{ /* Ast/shrinkify.scm 126 */
long BgL_auxz00_4412;
{ /* Ast/shrinkify.scm 126 */
int BgL_auxz00_4413;
BgL_auxz00_4413 = 
(int)(((long)8)); 
BgL_auxz00_4412 = 
(long)(BgL_auxz00_4413); } 
BgL_restz00_2662 = 
(BgL_offsetz00_2659%BgL_auxz00_4412); } 
{ /* Ast/shrinkify.scm 126 */

{ /* Ast/shrinkify.scm 126 */
obj_t BgL_bucketz00_2664;
{ /* Ast/shrinkify.scm 126 */
int BgL_kz00_2674;
BgL_kz00_2674 = 
(int)(BgL_modz00_2660); 
BgL_bucketz00_2664 = 
VECTOR_REF(BgL_arg1221z00_2655,BgL_kz00_2674); } 
{ /* Ast/shrinkify.scm 126 */
int BgL_kz00_2676;
BgL_kz00_2676 = 
(int)(BgL_restz00_2662); 
BgL_method2686z00_2652 = 
VECTOR_REF(BgL_bucketz00_2664,BgL_kz00_2676); } } } } } } } } 
{ /* Ast/shrinkify.scm 126 */
obj_t BgL_xz00_3515;
BgL_xz00_3515 = 
PROCEDURE_ENTRY(BgL_method2686z00_2652)(BgL_method2686z00_2652, 
(obj_t)(BgL_arg2825z00_1733), BEOA); 
BgL_res2923z00_2677 = BUNSPEC; } } BgL_res2923z00_2677; } } 
{ /* Ast/shrinkify.scm 127 */
BgL_nodez00_bglt BgL_arg2826z00_1734;
BgL_arg2826z00_1734 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1730))->BgL_truez00); 
{ /* Ast/shrinkify.scm 127 */
obj_t BgL_res2926z00_2705;
{ /* Ast/shrinkify.scm 127 */
obj_t BgL_method2686z00_2680;
{ /* Ast/shrinkify.scm 127 */
long BgL_objzd2classzd2numz00_2682;
{ /* Ast/shrinkify.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4425;
BgL_auxz00_4425 = 
(BgL_objectz00_bglt)(BgL_arg2826z00_1734); 
BgL_objzd2classzd2numz00_2682 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4425); } 
{ /* Ast/shrinkify.scm 127 */
obj_t BgL_arg1221z00_2683;
{ /* Ast/shrinkify.scm 127 */
int BgL_auxz00_4428;
BgL_auxz00_4428 = 
(int)(((long)1)); 
BgL_arg1221z00_2683 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4428); } 
{ /* Ast/shrinkify.scm 127 */
long BgL_offsetz00_2687;
{ /* Ast/shrinkify.scm 127 */
long BgL_auxz00_4431;
{ /* Ast/shrinkify.scm 127 */
int BgL_auxz00_4432;
BgL_auxz00_4432 = 
(int)(BgL_objzd2classzd2numz00_2682); 
BgL_auxz00_4431 = 
(long)(BgL_auxz00_4432); } 
BgL_offsetz00_2687 = 
(BgL_auxz00_4431-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 127 */
long BgL_modz00_2688;
{ /* Ast/shrinkify.scm 127 */
long BgL_auxz00_4436;
{ /* Ast/shrinkify.scm 127 */
int BgL_auxz00_4437;
BgL_auxz00_4437 = 
(int)(((long)8)); 
BgL_auxz00_4436 = 
(long)(BgL_auxz00_4437); } 
BgL_modz00_2688 = 
(BgL_offsetz00_2687/BgL_auxz00_4436); } 
{ /* Ast/shrinkify.scm 127 */
long BgL_restz00_2690;
{ /* Ast/shrinkify.scm 127 */
long BgL_auxz00_4441;
{ /* Ast/shrinkify.scm 127 */
int BgL_auxz00_4442;
BgL_auxz00_4442 = 
(int)(((long)8)); 
BgL_auxz00_4441 = 
(long)(BgL_auxz00_4442); } 
BgL_restz00_2690 = 
(BgL_offsetz00_2687%BgL_auxz00_4441); } 
{ /* Ast/shrinkify.scm 127 */

{ /* Ast/shrinkify.scm 127 */
obj_t BgL_bucketz00_2692;
{ /* Ast/shrinkify.scm 127 */
int BgL_kz00_2702;
BgL_kz00_2702 = 
(int)(BgL_modz00_2688); 
BgL_bucketz00_2692 = 
VECTOR_REF(BgL_arg1221z00_2683,BgL_kz00_2702); } 
{ /* Ast/shrinkify.scm 127 */
int BgL_kz00_2704;
BgL_kz00_2704 = 
(int)(BgL_restz00_2690); 
BgL_method2686z00_2680 = 
VECTOR_REF(BgL_bucketz00_2692,BgL_kz00_2704); } } } } } } } } 
{ /* Ast/shrinkify.scm 127 */
obj_t BgL_xz00_3516;
BgL_xz00_3516 = 
PROCEDURE_ENTRY(BgL_method2686z00_2680)(BgL_method2686z00_2680, 
(obj_t)(BgL_arg2826z00_1734), BEOA); 
BgL_res2926z00_2705 = BUNSPEC; } } BgL_res2926z00_2705; } } 
{ /* Ast/shrinkify.scm 128 */
BgL_nodez00_bglt BgL_arg2827z00_1735;
BgL_arg2827z00_1735 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1730))->BgL_falsez00); 
{ /* Ast/shrinkify.scm 128 */
obj_t BgL_res2929z00_2733;
{ /* Ast/shrinkify.scm 128 */
obj_t BgL_method2686z00_2708;
{ /* Ast/shrinkify.scm 128 */
long BgL_objzd2classzd2numz00_2710;
{ /* Ast/shrinkify.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4454;
BgL_auxz00_4454 = 
(BgL_objectz00_bglt)(BgL_arg2827z00_1735); 
BgL_objzd2classzd2numz00_2710 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4454); } 
{ /* Ast/shrinkify.scm 128 */
obj_t BgL_arg1221z00_2711;
{ /* Ast/shrinkify.scm 128 */
int BgL_auxz00_4457;
BgL_auxz00_4457 = 
(int)(((long)1)); 
BgL_arg1221z00_2711 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4457); } 
{ /* Ast/shrinkify.scm 128 */
long BgL_offsetz00_2715;
{ /* Ast/shrinkify.scm 128 */
long BgL_auxz00_4460;
{ /* Ast/shrinkify.scm 128 */
int BgL_auxz00_4461;
BgL_auxz00_4461 = 
(int)(BgL_objzd2classzd2numz00_2710); 
BgL_auxz00_4460 = 
(long)(BgL_auxz00_4461); } 
BgL_offsetz00_2715 = 
(BgL_auxz00_4460-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 128 */
long BgL_modz00_2716;
{ /* Ast/shrinkify.scm 128 */
long BgL_auxz00_4465;
{ /* Ast/shrinkify.scm 128 */
int BgL_auxz00_4466;
BgL_auxz00_4466 = 
(int)(((long)8)); 
BgL_auxz00_4465 = 
(long)(BgL_auxz00_4466); } 
BgL_modz00_2716 = 
(BgL_offsetz00_2715/BgL_auxz00_4465); } 
{ /* Ast/shrinkify.scm 128 */
long BgL_restz00_2718;
{ /* Ast/shrinkify.scm 128 */
long BgL_auxz00_4470;
{ /* Ast/shrinkify.scm 128 */
int BgL_auxz00_4471;
BgL_auxz00_4471 = 
(int)(((long)8)); 
BgL_auxz00_4470 = 
(long)(BgL_auxz00_4471); } 
BgL_restz00_2718 = 
(BgL_offsetz00_2715%BgL_auxz00_4470); } 
{ /* Ast/shrinkify.scm 128 */

{ /* Ast/shrinkify.scm 128 */
obj_t BgL_bucketz00_2720;
{ /* Ast/shrinkify.scm 128 */
int BgL_kz00_2730;
BgL_kz00_2730 = 
(int)(BgL_modz00_2716); 
BgL_bucketz00_2720 = 
VECTOR_REF(BgL_arg1221z00_2711,BgL_kz00_2730); } 
{ /* Ast/shrinkify.scm 128 */
int BgL_kz00_2732;
BgL_kz00_2732 = 
(int)(BgL_restz00_2718); 
BgL_method2686z00_2708 = 
VECTOR_REF(BgL_bucketz00_2720,BgL_kz00_2732); } } } } } } } } 
{ /* Ast/shrinkify.scm 128 */
obj_t BgL_xz00_3517;
BgL_xz00_3517 = 
PROCEDURE_ENTRY(BgL_method2686z00_2708)(BgL_method2686z00_2708, 
(obj_t)(BgL_arg2827z00_1735), BEOA); 
BgL_res2929z00_2733 = BUNSPEC; } } BgL_res2929z00_2733; } } 
return BUNSPEC;} } 
}



/* shrink-node!-setq2706 */
obj_t BGl_shrinkzd2nodez12zd2setq2706z12zzast_shrinkifyz00(obj_t BgL_envz00_3472, obj_t BgL_nodez00_3473)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 118 */
{ 
BgL_setqz00_bglt BgL_nodez00_1724;
BgL_nodez00_1724 = 
(BgL_setqz00_bglt)(BgL_nodez00_3473); 
{ /* Ast/shrinkify.scm 119 */
BgL_nodez00_bglt BgL_arg2823z00_2621;
BgL_arg2823z00_2621 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1724))->BgL_valuez00); 
{ /* Ast/shrinkify.scm 119 */
obj_t BgL_res2920z00_2649;
{ /* Ast/shrinkify.scm 119 */
obj_t BgL_method2686z00_2624;
{ /* Ast/shrinkify.scm 119 */
long BgL_objzd2classzd2numz00_2626;
{ /* Ast/shrinkify.scm 119 */
BgL_objectz00_bglt BgL_auxz00_4484;
BgL_auxz00_4484 = 
(BgL_objectz00_bglt)(BgL_arg2823z00_2621); 
BgL_objzd2classzd2numz00_2626 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4484); } 
{ /* Ast/shrinkify.scm 119 */
obj_t BgL_arg1221z00_2627;
{ /* Ast/shrinkify.scm 119 */
int BgL_auxz00_4487;
BgL_auxz00_4487 = 
(int)(((long)1)); 
BgL_arg1221z00_2627 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4487); } 
{ /* Ast/shrinkify.scm 119 */
long BgL_offsetz00_2631;
{ /* Ast/shrinkify.scm 119 */
long BgL_auxz00_4490;
{ /* Ast/shrinkify.scm 119 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(BgL_objzd2classzd2numz00_2626); 
BgL_auxz00_4490 = 
(long)(BgL_auxz00_4491); } 
BgL_offsetz00_2631 = 
(BgL_auxz00_4490-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 119 */
long BgL_modz00_2632;
{ /* Ast/shrinkify.scm 119 */
long BgL_auxz00_4495;
{ /* Ast/shrinkify.scm 119 */
int BgL_auxz00_4496;
BgL_auxz00_4496 = 
(int)(((long)8)); 
BgL_auxz00_4495 = 
(long)(BgL_auxz00_4496); } 
BgL_modz00_2632 = 
(BgL_offsetz00_2631/BgL_auxz00_4495); } 
{ /* Ast/shrinkify.scm 119 */
long BgL_restz00_2634;
{ /* Ast/shrinkify.scm 119 */
long BgL_auxz00_4500;
{ /* Ast/shrinkify.scm 119 */
int BgL_auxz00_4501;
BgL_auxz00_4501 = 
(int)(((long)8)); 
BgL_auxz00_4500 = 
(long)(BgL_auxz00_4501); } 
BgL_restz00_2634 = 
(BgL_offsetz00_2631%BgL_auxz00_4500); } 
{ /* Ast/shrinkify.scm 119 */

{ /* Ast/shrinkify.scm 119 */
obj_t BgL_bucketz00_2636;
{ /* Ast/shrinkify.scm 119 */
int BgL_kz00_2646;
BgL_kz00_2646 = 
(int)(BgL_modz00_2632); 
BgL_bucketz00_2636 = 
VECTOR_REF(BgL_arg1221z00_2627,BgL_kz00_2646); } 
{ /* Ast/shrinkify.scm 119 */
int BgL_kz00_2648;
BgL_kz00_2648 = 
(int)(BgL_restz00_2634); 
BgL_method2686z00_2624 = 
VECTOR_REF(BgL_bucketz00_2636,BgL_kz00_2648); } } } } } } } } 
{ /* Ast/shrinkify.scm 119 */
obj_t BgL_xz00_3518;
BgL_xz00_3518 = 
PROCEDURE_ENTRY(BgL_method2686z00_2624)(BgL_method2686z00_2624, 
(obj_t)(BgL_arg2823z00_2621), BEOA); 
BgL_res2920z00_2649 = BUNSPEC; } } BgL_res2920z00_2649; } } 
return BUNSPEC;} } 
}



/* shrink-node!-cast2704 */
obj_t BGl_shrinkzd2nodez12zd2cast2704z12zzast_shrinkifyz00(obj_t BgL_envz00_3474, obj_t BgL_nodez00_3475)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 111 */
{ 
BgL_castz00_bglt BgL_nodez00_1718;
{ /* Ast/shrinkify.scm 112 */
BgL_castz00_bglt BgL_auxz00_4513;
BgL_nodez00_1718 = 
(BgL_castz00_bglt)(BgL_nodez00_3475); 
{ /* Ast/shrinkify.scm 112 */
BgL_nodez00_bglt BgL_arg2821z00_2592;
BgL_arg2821z00_2592 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1718))->BgL_argz00); 
{ /* Ast/shrinkify.scm 112 */
obj_t BgL_res2917z00_2620;
{ /* Ast/shrinkify.scm 112 */
obj_t BgL_method2686z00_2595;
{ /* Ast/shrinkify.scm 112 */
long BgL_objzd2classzd2numz00_2597;
{ /* Ast/shrinkify.scm 112 */
BgL_objectz00_bglt BgL_auxz00_4515;
BgL_auxz00_4515 = 
(BgL_objectz00_bglt)(BgL_arg2821z00_2592); 
BgL_objzd2classzd2numz00_2597 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4515); } 
{ /* Ast/shrinkify.scm 112 */
obj_t BgL_arg1221z00_2598;
{ /* Ast/shrinkify.scm 112 */
int BgL_auxz00_4518;
BgL_auxz00_4518 = 
(int)(((long)1)); 
BgL_arg1221z00_2598 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4518); } 
{ /* Ast/shrinkify.scm 112 */
long BgL_offsetz00_2602;
{ /* Ast/shrinkify.scm 112 */
long BgL_auxz00_4521;
{ /* Ast/shrinkify.scm 112 */
int BgL_auxz00_4522;
BgL_auxz00_4522 = 
(int)(BgL_objzd2classzd2numz00_2597); 
BgL_auxz00_4521 = 
(long)(BgL_auxz00_4522); } 
BgL_offsetz00_2602 = 
(BgL_auxz00_4521-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 112 */
long BgL_modz00_2603;
{ /* Ast/shrinkify.scm 112 */
long BgL_auxz00_4526;
{ /* Ast/shrinkify.scm 112 */
int BgL_auxz00_4527;
BgL_auxz00_4527 = 
(int)(((long)8)); 
BgL_auxz00_4526 = 
(long)(BgL_auxz00_4527); } 
BgL_modz00_2603 = 
(BgL_offsetz00_2602/BgL_auxz00_4526); } 
{ /* Ast/shrinkify.scm 112 */
long BgL_restz00_2605;
{ /* Ast/shrinkify.scm 112 */
long BgL_auxz00_4531;
{ /* Ast/shrinkify.scm 112 */
int BgL_auxz00_4532;
BgL_auxz00_4532 = 
(int)(((long)8)); 
BgL_auxz00_4531 = 
(long)(BgL_auxz00_4532); } 
BgL_restz00_2605 = 
(BgL_offsetz00_2602%BgL_auxz00_4531); } 
{ /* Ast/shrinkify.scm 112 */

{ /* Ast/shrinkify.scm 112 */
obj_t BgL_bucketz00_2607;
{ /* Ast/shrinkify.scm 112 */
int BgL_kz00_2617;
BgL_kz00_2617 = 
(int)(BgL_modz00_2603); 
BgL_bucketz00_2607 = 
VECTOR_REF(BgL_arg1221z00_2598,BgL_kz00_2617); } 
{ /* Ast/shrinkify.scm 112 */
int BgL_kz00_2619;
BgL_kz00_2619 = 
(int)(BgL_restz00_2605); 
BgL_method2686z00_2595 = 
VECTOR_REF(BgL_bucketz00_2607,BgL_kz00_2619); } } } } } } } } 
{ /* Ast/shrinkify.scm 112 */
obj_t BgL_xz00_3519;
BgL_xz00_3519 = 
PROCEDURE_ENTRY(BgL_method2686z00_2595)(BgL_method2686z00_2595, 
(obj_t)(BgL_arg2821z00_2592), BEOA); 
BgL_res2917z00_2620 = BUNSPEC; } } BgL_res2917z00_2620; } } 
BgL_auxz00_4513 = BgL_nodez00_1718; 
return 
(obj_t)(BgL_auxz00_4513);} } } 
}



/* shrink-node!-extern2702 */
obj_t BGl_shrinkzd2nodez12zd2extern2702z12zzast_shrinkifyz00(obj_t BgL_envz00_3476, obj_t BgL_nodez00_3477)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 103 */
{ 
BgL_externz00_bglt BgL_nodez00_1707;
{ /* Ast/shrinkify.scm 104 */
BgL_externz00_bglt BgL_auxz00_4545;
BgL_nodez00_1707 = 
(BgL_externz00_bglt)(BgL_nodez00_3477); 
{ /* Ast/shrinkify.scm 104 */
bool_t BgL_testz00_4546;
{ /* Ast/shrinkify.scm 104 */
bool_t BgL_testz00_4547;
{ /* Ast/shrinkify.scm 104 */
obj_t BgL_auxz00_4548;
{ /* Ast/shrinkify.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4549;
BgL_auxz00_4549 = 
(BgL_objectz00_bglt)(BgL_nodez00_1707); 
BgL_auxz00_4548 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4549); } 
BgL_testz00_4547 = 
CBOOL(BgL_auxz00_4548); } 
if(BgL_testz00_4547)
{ /* Ast/shrinkify.scm 104 */
BgL_testz00_4546 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 104 */
BgL_testz00_4546 = ((bool_t)0)
; } } 
if(BgL_testz00_4546)
{ /* Ast/shrinkify.scm 104 */
{ /* Ast/shrinkify.scm 104 */
long BgL_arg2816z00_1712;
{ /* Ast/shrinkify.scm 104 */
obj_t BgL_arg2817z00_1713;
{ /* Ast/shrinkify.scm 104 */
obj_t BgL_arg2818z00_1714;
{ /* Ast/shrinkify.scm 104 */
long BgL_arg1224z00_2582;
{ /* Ast/shrinkify.scm 104 */
long BgL_arg1225z00_2583;
{ /* Ast/shrinkify.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4553;
BgL_auxz00_4553 = 
(BgL_objectz00_bglt)(BgL_nodez00_1707); 
BgL_arg1225z00_2583 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4553); } 
BgL_arg1224z00_2582 = 
(BgL_arg1225z00_2583-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 104 */
obj_t BgL_vectorz00_2587;int BgL_kz00_2588;
BgL_vectorz00_2587 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2588 = 
(int)(BgL_arg1224z00_2582); 
BgL_arg2818z00_1714 = 
VECTOR_REF(BgL_vectorz00_2587,BgL_kz00_2588); } } 
BgL_arg2817z00_1713 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2818z00_1714); } 
BgL_arg2816z00_1712 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2817z00_1713); } 
{ /* Ast/shrinkify.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4561;
BgL_auxz00_4561 = 
(BgL_objectz00_bglt)(BgL_nodez00_1707); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4561, BgL_arg2816z00_1712); } } 
{ /* Ast/shrinkify.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4564;
BgL_auxz00_4564 = 
(BgL_objectz00_bglt)(BgL_nodez00_1707); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4564, BFALSE); } 
(obj_t)(BgL_nodez00_1707); }  else 
{ /* Ast/shrinkify.scm 104 */BFALSE; } } 
BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1707))->BgL_exprza2za2)); 
BgL_auxz00_4545 = BgL_nodez00_1707; 
return 
(obj_t)(BgL_auxz00_4545);} } } 
}



/* shrink-node!-funcall2700 */
obj_t BGl_shrinkzd2nodez12zd2funcall2700z12zzast_shrinkifyz00(obj_t BgL_envz00_3478, obj_t BgL_nodez00_3479)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 94 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1695;
BgL_nodez00_1695 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3479); 
{ /* Ast/shrinkify.scm 95 */
bool_t BgL_testz00_4572;
{ /* Ast/shrinkify.scm 95 */
bool_t BgL_testz00_4573;
{ /* Ast/shrinkify.scm 95 */
obj_t BgL_auxz00_4574;
{ /* Ast/shrinkify.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4575;
BgL_auxz00_4575 = 
(BgL_objectz00_bglt)(BgL_nodez00_1695); 
BgL_auxz00_4574 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4575); } 
BgL_testz00_4573 = 
CBOOL(BgL_auxz00_4574); } 
if(BgL_testz00_4573)
{ /* Ast/shrinkify.scm 95 */
BgL_testz00_4572 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 95 */
BgL_testz00_4572 = ((bool_t)0)
; } } 
if(BgL_testz00_4572)
{ /* Ast/shrinkify.scm 95 */
{ /* Ast/shrinkify.scm 95 */
long BgL_arg2809z00_1700;
{ /* Ast/shrinkify.scm 95 */
obj_t BgL_arg2810z00_1701;
{ /* Ast/shrinkify.scm 95 */
obj_t BgL_arg2811z00_1702;
{ /* Ast/shrinkify.scm 95 */
long BgL_arg1224z00_2540;
{ /* Ast/shrinkify.scm 95 */
long BgL_arg1225z00_2541;
{ /* Ast/shrinkify.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4579;
BgL_auxz00_4579 = 
(BgL_objectz00_bglt)(BgL_nodez00_1695); 
BgL_arg1225z00_2541 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4579); } 
BgL_arg1224z00_2540 = 
(BgL_arg1225z00_2541-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 95 */
obj_t BgL_vectorz00_2545;int BgL_kz00_2546;
BgL_vectorz00_2545 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2546 = 
(int)(BgL_arg1224z00_2540); 
BgL_arg2811z00_1702 = 
VECTOR_REF(BgL_vectorz00_2545,BgL_kz00_2546); } } 
BgL_arg2810z00_1701 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2811z00_1702); } 
BgL_arg2809z00_1700 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2810z00_1701); } 
{ /* Ast/shrinkify.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4587;
BgL_auxz00_4587 = 
(BgL_objectz00_bglt)(BgL_nodez00_1695); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4587, BgL_arg2809z00_1700); } } 
{ /* Ast/shrinkify.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4590;
BgL_auxz00_4590 = 
(BgL_objectz00_bglt)(BgL_nodez00_1695); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4590, BFALSE); } 
(obj_t)(BgL_nodez00_1695); }  else 
{ /* Ast/shrinkify.scm 95 */BFALSE; } } 
{ /* Ast/shrinkify.scm 96 */
BgL_nodez00_bglt BgL_arg2812z00_1703;
BgL_arg2812z00_1703 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1695))->BgL_funz00); 
{ /* Ast/shrinkify.scm 96 */
obj_t BgL_res2913z00_2576;
{ /* Ast/shrinkify.scm 96 */
obj_t BgL_method2686z00_2551;
{ /* Ast/shrinkify.scm 96 */
long BgL_objzd2classzd2numz00_2553;
{ /* Ast/shrinkify.scm 96 */
BgL_objectz00_bglt BgL_auxz00_4595;
BgL_auxz00_4595 = 
(BgL_objectz00_bglt)(BgL_arg2812z00_1703); 
BgL_objzd2classzd2numz00_2553 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4595); } 
{ /* Ast/shrinkify.scm 96 */
obj_t BgL_arg1221z00_2554;
{ /* Ast/shrinkify.scm 96 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)1)); 
BgL_arg1221z00_2554 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4598); } 
{ /* Ast/shrinkify.scm 96 */
long BgL_offsetz00_2558;
{ /* Ast/shrinkify.scm 96 */
long BgL_auxz00_4601;
{ /* Ast/shrinkify.scm 96 */
int BgL_auxz00_4602;
BgL_auxz00_4602 = 
(int)(BgL_objzd2classzd2numz00_2553); 
BgL_auxz00_4601 = 
(long)(BgL_auxz00_4602); } 
BgL_offsetz00_2558 = 
(BgL_auxz00_4601-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 96 */
long BgL_modz00_2559;
{ /* Ast/shrinkify.scm 96 */
long BgL_auxz00_4606;
{ /* Ast/shrinkify.scm 96 */
int BgL_auxz00_4607;
BgL_auxz00_4607 = 
(int)(((long)8)); 
BgL_auxz00_4606 = 
(long)(BgL_auxz00_4607); } 
BgL_modz00_2559 = 
(BgL_offsetz00_2558/BgL_auxz00_4606); } 
{ /* Ast/shrinkify.scm 96 */
long BgL_restz00_2561;
{ /* Ast/shrinkify.scm 96 */
long BgL_auxz00_4611;
{ /* Ast/shrinkify.scm 96 */
int BgL_auxz00_4612;
BgL_auxz00_4612 = 
(int)(((long)8)); 
BgL_auxz00_4611 = 
(long)(BgL_auxz00_4612); } 
BgL_restz00_2561 = 
(BgL_offsetz00_2558%BgL_auxz00_4611); } 
{ /* Ast/shrinkify.scm 96 */

{ /* Ast/shrinkify.scm 96 */
obj_t BgL_bucketz00_2563;
{ /* Ast/shrinkify.scm 96 */
int BgL_kz00_2573;
BgL_kz00_2573 = 
(int)(BgL_modz00_2559); 
BgL_bucketz00_2563 = 
VECTOR_REF(BgL_arg1221z00_2554,BgL_kz00_2573); } 
{ /* Ast/shrinkify.scm 96 */
int BgL_kz00_2575;
BgL_kz00_2575 = 
(int)(BgL_restz00_2561); 
BgL_method2686z00_2551 = 
VECTOR_REF(BgL_bucketz00_2563,BgL_kz00_2575); } } } } } } } } 
{ /* Ast/shrinkify.scm 96 */
obj_t BgL_xz00_3520;
BgL_xz00_3520 = 
PROCEDURE_ENTRY(BgL_method2686z00_2551)(BgL_method2686z00_2551, 
(obj_t)(BgL_arg2812z00_1703), BEOA); 
BgL_res2913z00_2576 = BUNSPEC; } } BgL_res2913z00_2576; } } 
BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1695))->BgL_argsz00)); 
return BUNSPEC;} } 
}



/* shrink-node!-app-ly2698 */
obj_t BGl_shrinkzd2nodez12zd2appzd2ly2698zc0zzast_shrinkifyz00(obj_t BgL_envz00_3480, obj_t BgL_nodez00_3481)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 85 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1683;
BgL_nodez00_1683 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3481); 
{ /* Ast/shrinkify.scm 86 */
bool_t BgL_testz00_4626;
{ /* Ast/shrinkify.scm 86 */
bool_t BgL_testz00_4627;
{ /* Ast/shrinkify.scm 86 */
obj_t BgL_auxz00_4628;
{ /* Ast/shrinkify.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4629;
BgL_auxz00_4629 = 
(BgL_objectz00_bglt)(BgL_nodez00_1683); 
BgL_auxz00_4628 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4629); } 
BgL_testz00_4627 = 
CBOOL(BgL_auxz00_4628); } 
if(BgL_testz00_4627)
{ /* Ast/shrinkify.scm 86 */
BgL_testz00_4626 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 86 */
BgL_testz00_4626 = ((bool_t)0)
; } } 
if(BgL_testz00_4626)
{ /* Ast/shrinkify.scm 86 */
{ /* Ast/shrinkify.scm 86 */
long BgL_arg2800z00_1688;
{ /* Ast/shrinkify.scm 86 */
obj_t BgL_arg2801z00_1689;
{ /* Ast/shrinkify.scm 86 */
obj_t BgL_arg2802z00_1690;
{ /* Ast/shrinkify.scm 86 */
long BgL_arg1224z00_2471;
{ /* Ast/shrinkify.scm 86 */
long BgL_arg1225z00_2472;
{ /* Ast/shrinkify.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4633;
BgL_auxz00_4633 = 
(BgL_objectz00_bglt)(BgL_nodez00_1683); 
BgL_arg1225z00_2472 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4633); } 
BgL_arg1224z00_2471 = 
(BgL_arg1225z00_2472-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 86 */
obj_t BgL_vectorz00_2476;int BgL_kz00_2477;
BgL_vectorz00_2476 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2477 = 
(int)(BgL_arg1224z00_2471); 
BgL_arg2802z00_1690 = 
VECTOR_REF(BgL_vectorz00_2476,BgL_kz00_2477); } } 
BgL_arg2801z00_1689 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2802z00_1690); } 
BgL_arg2800z00_1688 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2801z00_1689); } 
{ /* Ast/shrinkify.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4641;
BgL_auxz00_4641 = 
(BgL_objectz00_bglt)(BgL_nodez00_1683); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4641, BgL_arg2800z00_1688); } } 
{ /* Ast/shrinkify.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4644;
BgL_auxz00_4644 = 
(BgL_objectz00_bglt)(BgL_nodez00_1683); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4644, BFALSE); } 
(obj_t)(BgL_nodez00_1683); }  else 
{ /* Ast/shrinkify.scm 86 */BFALSE; } } 
{ /* Ast/shrinkify.scm 87 */
BgL_nodez00_bglt BgL_arg2805z00_1691;
BgL_arg2805z00_1691 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1683))->BgL_funz00); 
{ /* Ast/shrinkify.scm 87 */
obj_t BgL_res2906z00_2507;
{ /* Ast/shrinkify.scm 87 */
obj_t BgL_method2686z00_2482;
{ /* Ast/shrinkify.scm 87 */
long BgL_objzd2classzd2numz00_2484;
{ /* Ast/shrinkify.scm 87 */
BgL_objectz00_bglt BgL_auxz00_4649;
BgL_auxz00_4649 = 
(BgL_objectz00_bglt)(BgL_arg2805z00_1691); 
BgL_objzd2classzd2numz00_2484 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4649); } 
{ /* Ast/shrinkify.scm 87 */
obj_t BgL_arg1221z00_2485;
{ /* Ast/shrinkify.scm 87 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)1)); 
BgL_arg1221z00_2485 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4652); } 
{ /* Ast/shrinkify.scm 87 */
long BgL_offsetz00_2489;
{ /* Ast/shrinkify.scm 87 */
long BgL_auxz00_4655;
{ /* Ast/shrinkify.scm 87 */
int BgL_auxz00_4656;
BgL_auxz00_4656 = 
(int)(BgL_objzd2classzd2numz00_2484); 
BgL_auxz00_4655 = 
(long)(BgL_auxz00_4656); } 
BgL_offsetz00_2489 = 
(BgL_auxz00_4655-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 87 */
long BgL_modz00_2490;
{ /* Ast/shrinkify.scm 87 */
long BgL_auxz00_4660;
{ /* Ast/shrinkify.scm 87 */
int BgL_auxz00_4661;
BgL_auxz00_4661 = 
(int)(((long)8)); 
BgL_auxz00_4660 = 
(long)(BgL_auxz00_4661); } 
BgL_modz00_2490 = 
(BgL_offsetz00_2489/BgL_auxz00_4660); } 
{ /* Ast/shrinkify.scm 87 */
long BgL_restz00_2492;
{ /* Ast/shrinkify.scm 87 */
long BgL_auxz00_4665;
{ /* Ast/shrinkify.scm 87 */
int BgL_auxz00_4666;
BgL_auxz00_4666 = 
(int)(((long)8)); 
BgL_auxz00_4665 = 
(long)(BgL_auxz00_4666); } 
BgL_restz00_2492 = 
(BgL_offsetz00_2489%BgL_auxz00_4665); } 
{ /* Ast/shrinkify.scm 87 */

{ /* Ast/shrinkify.scm 87 */
obj_t BgL_bucketz00_2494;
{ /* Ast/shrinkify.scm 87 */
int BgL_kz00_2504;
BgL_kz00_2504 = 
(int)(BgL_modz00_2490); 
BgL_bucketz00_2494 = 
VECTOR_REF(BgL_arg1221z00_2485,BgL_kz00_2504); } 
{ /* Ast/shrinkify.scm 87 */
int BgL_kz00_2506;
BgL_kz00_2506 = 
(int)(BgL_restz00_2492); 
BgL_method2686z00_2482 = 
VECTOR_REF(BgL_bucketz00_2494,BgL_kz00_2506); } } } } } } } } 
{ /* Ast/shrinkify.scm 87 */
obj_t BgL_xz00_3521;
BgL_xz00_3521 = 
PROCEDURE_ENTRY(BgL_method2686z00_2482)(BgL_method2686z00_2482, 
(obj_t)(BgL_arg2805z00_1691), BEOA); 
BgL_res2906z00_2507 = BUNSPEC; } } BgL_res2906z00_2507; } } 
{ /* Ast/shrinkify.scm 88 */
BgL_nodez00_bglt BgL_arg2806z00_1692;
BgL_arg2806z00_1692 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1683))->BgL_argz00); 
{ /* Ast/shrinkify.scm 88 */
obj_t BgL_res2909z00_2535;
{ /* Ast/shrinkify.scm 88 */
obj_t BgL_method2686z00_2510;
{ /* Ast/shrinkify.scm 88 */
long BgL_objzd2classzd2numz00_2512;
{ /* Ast/shrinkify.scm 88 */
BgL_objectz00_bglt BgL_auxz00_4678;
BgL_auxz00_4678 = 
(BgL_objectz00_bglt)(BgL_arg2806z00_1692); 
BgL_objzd2classzd2numz00_2512 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4678); } 
{ /* Ast/shrinkify.scm 88 */
obj_t BgL_arg1221z00_2513;
{ /* Ast/shrinkify.scm 88 */
int BgL_auxz00_4681;
BgL_auxz00_4681 = 
(int)(((long)1)); 
BgL_arg1221z00_2513 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4681); } 
{ /* Ast/shrinkify.scm 88 */
long BgL_offsetz00_2517;
{ /* Ast/shrinkify.scm 88 */
long BgL_auxz00_4684;
{ /* Ast/shrinkify.scm 88 */
int BgL_auxz00_4685;
BgL_auxz00_4685 = 
(int)(BgL_objzd2classzd2numz00_2512); 
BgL_auxz00_4684 = 
(long)(BgL_auxz00_4685); } 
BgL_offsetz00_2517 = 
(BgL_auxz00_4684-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 88 */
long BgL_modz00_2518;
{ /* Ast/shrinkify.scm 88 */
long BgL_auxz00_4689;
{ /* Ast/shrinkify.scm 88 */
int BgL_auxz00_4690;
BgL_auxz00_4690 = 
(int)(((long)8)); 
BgL_auxz00_4689 = 
(long)(BgL_auxz00_4690); } 
BgL_modz00_2518 = 
(BgL_offsetz00_2517/BgL_auxz00_4689); } 
{ /* Ast/shrinkify.scm 88 */
long BgL_restz00_2520;
{ /* Ast/shrinkify.scm 88 */
long BgL_auxz00_4694;
{ /* Ast/shrinkify.scm 88 */
int BgL_auxz00_4695;
BgL_auxz00_4695 = 
(int)(((long)8)); 
BgL_auxz00_4694 = 
(long)(BgL_auxz00_4695); } 
BgL_restz00_2520 = 
(BgL_offsetz00_2517%BgL_auxz00_4694); } 
{ /* Ast/shrinkify.scm 88 */

{ /* Ast/shrinkify.scm 88 */
obj_t BgL_bucketz00_2522;
{ /* Ast/shrinkify.scm 88 */
int BgL_kz00_2532;
BgL_kz00_2532 = 
(int)(BgL_modz00_2518); 
BgL_bucketz00_2522 = 
VECTOR_REF(BgL_arg1221z00_2513,BgL_kz00_2532); } 
{ /* Ast/shrinkify.scm 88 */
int BgL_kz00_2534;
BgL_kz00_2534 = 
(int)(BgL_restz00_2520); 
BgL_method2686z00_2510 = 
VECTOR_REF(BgL_bucketz00_2522,BgL_kz00_2534); } } } } } } } } 
{ /* Ast/shrinkify.scm 88 */
obj_t BgL_xz00_3522;
BgL_xz00_3522 = 
PROCEDURE_ENTRY(BgL_method2686z00_2510)(BgL_method2686z00_2510, 
(obj_t)(BgL_arg2806z00_1692), BEOA); 
BgL_res2909z00_2535 = BUNSPEC; } } BgL_res2909z00_2535; } } 
return BUNSPEC;} } 
}



/* shrink-node!-app2696 */
obj_t BGl_shrinkzd2nodez12zd2app2696z12zzast_shrinkifyz00(obj_t BgL_envz00_3482, obj_t BgL_nodez00_3483)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 76 */
{ 
BgL_appz00_bglt BgL_nodez00_1671;
BgL_nodez00_1671 = 
(BgL_appz00_bglt)(BgL_nodez00_3483); 
{ /* Ast/shrinkify.scm 77 */
bool_t BgL_testz00_4707;
{ /* Ast/shrinkify.scm 77 */
bool_t BgL_testz00_4708;
{ /* Ast/shrinkify.scm 77 */
obj_t BgL_auxz00_4709;
{ /* Ast/shrinkify.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4710;
BgL_auxz00_4710 = 
(BgL_objectz00_bglt)(BgL_nodez00_1671); 
BgL_auxz00_4709 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4710); } 
BgL_testz00_4708 = 
CBOOL(BgL_auxz00_4709); } 
if(BgL_testz00_4708)
{ /* Ast/shrinkify.scm 77 */
BgL_testz00_4707 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 77 */
BgL_testz00_4707 = ((bool_t)0)
; } } 
if(BgL_testz00_4707)
{ /* Ast/shrinkify.scm 77 */
{ /* Ast/shrinkify.scm 77 */
long BgL_arg2792z00_1676;
{ /* Ast/shrinkify.scm 77 */
obj_t BgL_arg2793z00_1677;
{ /* Ast/shrinkify.scm 77 */
obj_t BgL_arg2795z00_1678;
{ /* Ast/shrinkify.scm 77 */
long BgL_arg1224z00_2429;
{ /* Ast/shrinkify.scm 77 */
long BgL_arg1225z00_2430;
{ /* Ast/shrinkify.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_nodez00_1671); 
BgL_arg1225z00_2430 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4714); } 
BgL_arg1224z00_2429 = 
(BgL_arg1225z00_2430-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 77 */
obj_t BgL_vectorz00_2434;int BgL_kz00_2435;
BgL_vectorz00_2434 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2435 = 
(int)(BgL_arg1224z00_2429); 
BgL_arg2795z00_1678 = 
VECTOR_REF(BgL_vectorz00_2434,BgL_kz00_2435); } } 
BgL_arg2793z00_1677 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2795z00_1678); } 
BgL_arg2792z00_1676 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2793z00_1677); } 
{ /* Ast/shrinkify.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4722;
BgL_auxz00_4722 = 
(BgL_objectz00_bglt)(BgL_nodez00_1671); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4722, BgL_arg2792z00_1676); } } 
{ /* Ast/shrinkify.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4725;
BgL_auxz00_4725 = 
(BgL_objectz00_bglt)(BgL_nodez00_1671); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4725, BFALSE); } 
(obj_t)(BgL_nodez00_1671); }  else 
{ /* Ast/shrinkify.scm 77 */BFALSE; } } 
{ /* Ast/shrinkify.scm 78 */
obj_t BgL_res2902z00_2465;
{ /* Ast/shrinkify.scm 78 */
BgL_nodez00_bglt BgL_nodez00_2439;
{ /* Ast/shrinkify.scm 78 */
BgL_varz00_bglt BgL_auxz00_4729;
BgL_auxz00_4729 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1671))->BgL_funz00); 
BgL_nodez00_2439 = 
(BgL_nodez00_bglt)(BgL_auxz00_4729); } 
{ /* Ast/shrinkify.scm 78 */
obj_t BgL_method2686z00_2440;
{ /* Ast/shrinkify.scm 78 */
long BgL_objzd2classzd2numz00_2442;
{ /* Ast/shrinkify.scm 78 */
BgL_objectz00_bglt BgL_auxz00_4732;
BgL_auxz00_4732 = 
(BgL_objectz00_bglt)(BgL_nodez00_2439); 
BgL_objzd2classzd2numz00_2442 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4732); } 
{ /* Ast/shrinkify.scm 78 */
obj_t BgL_arg1221z00_2443;
{ /* Ast/shrinkify.scm 78 */
int BgL_auxz00_4735;
BgL_auxz00_4735 = 
(int)(((long)1)); 
BgL_arg1221z00_2443 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4735); } 
{ /* Ast/shrinkify.scm 78 */
long BgL_offsetz00_2447;
{ /* Ast/shrinkify.scm 78 */
long BgL_auxz00_4738;
{ /* Ast/shrinkify.scm 78 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(BgL_objzd2classzd2numz00_2442); 
BgL_auxz00_4738 = 
(long)(BgL_auxz00_4739); } 
BgL_offsetz00_2447 = 
(BgL_auxz00_4738-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 78 */
long BgL_modz00_2448;
{ /* Ast/shrinkify.scm 78 */
long BgL_auxz00_4743;
{ /* Ast/shrinkify.scm 78 */
int BgL_auxz00_4744;
BgL_auxz00_4744 = 
(int)(((long)8)); 
BgL_auxz00_4743 = 
(long)(BgL_auxz00_4744); } 
BgL_modz00_2448 = 
(BgL_offsetz00_2447/BgL_auxz00_4743); } 
{ /* Ast/shrinkify.scm 78 */
long BgL_restz00_2450;
{ /* Ast/shrinkify.scm 78 */
long BgL_auxz00_4748;
{ /* Ast/shrinkify.scm 78 */
int BgL_auxz00_4749;
BgL_auxz00_4749 = 
(int)(((long)8)); 
BgL_auxz00_4748 = 
(long)(BgL_auxz00_4749); } 
BgL_restz00_2450 = 
(BgL_offsetz00_2447%BgL_auxz00_4748); } 
{ /* Ast/shrinkify.scm 78 */

{ /* Ast/shrinkify.scm 78 */
obj_t BgL_bucketz00_2452;
{ /* Ast/shrinkify.scm 78 */
int BgL_kz00_2462;
BgL_kz00_2462 = 
(int)(BgL_modz00_2448); 
BgL_bucketz00_2452 = 
VECTOR_REF(BgL_arg1221z00_2443,BgL_kz00_2462); } 
{ /* Ast/shrinkify.scm 78 */
int BgL_kz00_2464;
BgL_kz00_2464 = 
(int)(BgL_restz00_2450); 
BgL_method2686z00_2440 = 
VECTOR_REF(BgL_bucketz00_2452,BgL_kz00_2464); } } } } } } } } 
{ /* Ast/shrinkify.scm 78 */
obj_t BgL_xz00_3523;
BgL_xz00_3523 = 
PROCEDURE_ENTRY(BgL_method2686z00_2440)(BgL_method2686z00_2440, 
(obj_t)(BgL_nodez00_2439), BEOA); 
BgL_res2902z00_2465 = BUNSPEC; } } } BgL_res2902z00_2465; } 
BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1671))->BgL_argsz00)); 
return BUNSPEC;} } 
}



/* shrink-node!-sequence2694 */
obj_t BGl_shrinkzd2nodez12zd2sequence2694z12zzast_shrinkifyz00(obj_t BgL_envz00_3484, obj_t BgL_nodez00_3485)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 69 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1665;
BgL_nodez00_1665 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3485); 
BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1665))->BgL_nodesz00)); 
return BUNSPEC;} } 
}



/* shrink-node!-kwote2692 */
obj_t BGl_shrinkzd2nodez12zd2kwote2692z12zzast_shrinkifyz00(obj_t BgL_envz00_3486, obj_t BgL_nodez00_3487)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 63 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1660;
BgL_nodez00_1660 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3487); 
return BUNSPEC;} } 
}



/* shrink-node!-var2690 */
obj_t BGl_shrinkzd2nodez12zd2var2690z12zzast_shrinkifyz00(obj_t BgL_envz00_3488, obj_t BgL_nodez00_3489)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 57 */
{ 
BgL_varz00_bglt BgL_nodez00_1655;
BgL_nodez00_1655 = 
(BgL_varz00_bglt)(BgL_nodez00_3489); 
return BUNSPEC;} } 
}



/* shrink-node!-atom2688 */
obj_t BGl_shrinkzd2nodez12zd2atom2688z12zzast_shrinkifyz00(obj_t BgL_envz00_3490, obj_t BgL_nodez00_3491)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 51 */
{ 
BgL_atomz00_bglt BgL_nodez00_1650;
BgL_nodez00_1650 = 
(BgL_atomz00_bglt)(BgL_nodez00_3491); 
return BUNSPEC;} } 
}



/* shrink-variable! */
obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt BgL_variablez00_2)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 37 */
{ /* Ast/shrinkify.scm 37 */
obj_t BgL_method2684z00_3345;
{ /* Ast/shrinkify.scm 37 */
long BgL_objzd2classzd2numz00_3347;
{ /* Ast/shrinkify.scm 37 */
BgL_objectz00_bglt BgL_auxz00_4769;
BgL_auxz00_4769 = 
(BgL_objectz00_bglt)(BgL_variablez00_2); 
BgL_objzd2classzd2numz00_3347 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4769); } 
{ /* Ast/shrinkify.scm 37 */
obj_t BgL_arg1221z00_3348;
{ /* Ast/shrinkify.scm 37 */
int BgL_auxz00_4772;
BgL_auxz00_4772 = 
(int)(((long)1)); 
BgL_arg1221z00_3348 = 
PROCEDURE_REF(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4772); } 
{ /* Ast/shrinkify.scm 37 */
long BgL_offsetz00_3352;
{ /* Ast/shrinkify.scm 37 */
long BgL_auxz00_4775;
{ /* Ast/shrinkify.scm 37 */
int BgL_auxz00_4776;
BgL_auxz00_4776 = 
(int)(BgL_objzd2classzd2numz00_3347); 
BgL_auxz00_4775 = 
(long)(BgL_auxz00_4776); } 
BgL_offsetz00_3352 = 
(BgL_auxz00_4775-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 37 */
long BgL_modz00_3353;
{ /* Ast/shrinkify.scm 37 */
long BgL_auxz00_4780;
{ /* Ast/shrinkify.scm 37 */
int BgL_auxz00_4781;
BgL_auxz00_4781 = 
(int)(((long)8)); 
BgL_auxz00_4780 = 
(long)(BgL_auxz00_4781); } 
BgL_modz00_3353 = 
(BgL_offsetz00_3352/BgL_auxz00_4780); } 
{ /* Ast/shrinkify.scm 37 */
long BgL_restz00_3355;
{ /* Ast/shrinkify.scm 37 */
long BgL_auxz00_4785;
{ /* Ast/shrinkify.scm 37 */
int BgL_auxz00_4786;
BgL_auxz00_4786 = 
(int)(((long)8)); 
BgL_auxz00_4785 = 
(long)(BgL_auxz00_4786); } 
BgL_restz00_3355 = 
(BgL_offsetz00_3352%BgL_auxz00_4785); } 
{ /* Ast/shrinkify.scm 37 */

{ /* Ast/shrinkify.scm 37 */
obj_t BgL_bucketz00_3357;
{ /* Ast/shrinkify.scm 37 */
int BgL_kz00_3367;
BgL_kz00_3367 = 
(int)(BgL_modz00_3353); 
BgL_bucketz00_3357 = 
VECTOR_REF(BgL_arg1221z00_3348,BgL_kz00_3367); } 
{ /* Ast/shrinkify.scm 37 */
int BgL_kz00_3369;
BgL_kz00_3369 = 
(int)(BgL_restz00_3355); 
BgL_method2684z00_3345 = 
VECTOR_REF(BgL_bucketz00_3357,BgL_kz00_3369); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2684z00_3345)(BgL_method2684z00_3345, 
(obj_t)(BgL_variablez00_2), BEOA);} } 
}



/* _shrink-variable! */
obj_t BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00(obj_t BgL_envz00_3428, obj_t BgL_variablez00_3429)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 37 */
return 
BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
(BgL_variablez00_bglt)(BgL_variablez00_3429));} 
}



/* shrink-variable!-default2683 */
obj_t BGl_shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00(BgL_variablez00_bglt BgL_variablez00_3)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
{ /* Ast/shrinkify.scm 38 */
bool_t BgL_testz00_4799;
{ /* Ast/shrinkify.scm 38 */
bool_t BgL_testz00_4800;
{ /* Ast/shrinkify.scm 38 */
obj_t BgL_auxz00_4801;
{ /* Ast/shrinkify.scm 38 */
BgL_objectz00_bglt BgL_auxz00_4802;
BgL_auxz00_4802 = 
(BgL_objectz00_bglt)(BgL_variablez00_3); 
BgL_auxz00_4801 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4802); } 
BgL_testz00_4800 = 
CBOOL(BgL_auxz00_4801); } 
if(BgL_testz00_4800)
{ /* Ast/shrinkify.scm 38 */
BgL_testz00_4799 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 38 */
BgL_testz00_4799 = ((bool_t)0)
; } } 
if(BgL_testz00_4799)
{ /* Ast/shrinkify.scm 38 */
{ /* Ast/shrinkify.scm 39 */
long BgL_arg2883z00_1847;
{ /* Ast/shrinkify.scm 39 */
obj_t BgL_arg2884z00_1848;
{ /* Ast/shrinkify.scm 39 */
obj_t BgL_arg2885z00_1849;
{ /* Ast/shrinkify.scm 39 */
long BgL_arg1224z00_3374;
{ /* Ast/shrinkify.scm 39 */
long BgL_arg1225z00_3375;
{ /* Ast/shrinkify.scm 39 */
BgL_objectz00_bglt BgL_auxz00_4806;
BgL_auxz00_4806 = 
(BgL_objectz00_bglt)(BgL_variablez00_3); 
BgL_arg1225z00_3375 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4806); } 
BgL_arg1224z00_3374 = 
(BgL_arg1225z00_3375-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 39 */
obj_t BgL_vectorz00_3379;int BgL_kz00_3380;
BgL_vectorz00_3379 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_3380 = 
(int)(BgL_arg1224z00_3374); 
BgL_arg2885z00_1849 = 
VECTOR_REF(BgL_vectorz00_3379,BgL_kz00_3380); } } 
BgL_arg2884z00_1848 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2885z00_1849); } 
BgL_arg2883z00_1847 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2884z00_1848); } 
{ /* Ast/shrinkify.scm 39 */
BgL_objectz00_bglt BgL_auxz00_4814;
BgL_auxz00_4814 = 
(BgL_objectz00_bglt)(BgL_variablez00_3); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4814, BgL_arg2883z00_1847); } } 
{ /* Ast/shrinkify.scm 39 */
BgL_objectz00_bglt BgL_auxz00_4817;
BgL_auxz00_4817 = 
(BgL_objectz00_bglt)(BgL_variablez00_3); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4817, BFALSE); } 
(obj_t)(BgL_variablez00_3); }  else 
{ /* Ast/shrinkify.scm 38 */BFALSE; } } 
{ /* Ast/shrinkify.scm 40 */
bool_t BgL_testz00_4821;
{ /* Ast/shrinkify.scm 40 */
bool_t BgL_testz00_4822;
{ /* Ast/shrinkify.scm 40 */
obj_t BgL_auxz00_4823;
{ /* Ast/shrinkify.scm 40 */
BgL_objectz00_bglt BgL_auxz00_4824;
{ /* Ast/shrinkify.scm 40 */
BgL_valuez00_bglt BgL_auxz00_4825;
BgL_auxz00_4825 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_3))->BgL_valuez00); 
BgL_auxz00_4824 = 
(BgL_objectz00_bglt)(BgL_auxz00_4825); } 
BgL_auxz00_4823 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4824); } 
BgL_testz00_4822 = 
CBOOL(BgL_auxz00_4823); } 
if(BgL_testz00_4822)
{ /* Ast/shrinkify.scm 40 */
BgL_testz00_4821 = ((bool_t)1)
; }  else 
{ /* Ast/shrinkify.scm 40 */
BgL_testz00_4821 = ((bool_t)0)
; } } 
if(BgL_testz00_4821)
{ /* Ast/shrinkify.scm 41 */
BgL_valuez00_bglt BgL_o2659z00_1851;
BgL_o2659z00_1851 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_3))->BgL_valuez00); 
{ /* Ast/shrinkify.scm 41 */
long BgL_arg2887z00_1852;
{ /* Ast/shrinkify.scm 41 */
obj_t BgL_arg2888z00_1853;
{ /* Ast/shrinkify.scm 41 */
obj_t BgL_arg2889z00_1854;
{ /* Ast/shrinkify.scm 41 */
long BgL_arg1224z00_3389;
{ /* Ast/shrinkify.scm 41 */
long BgL_arg1225z00_3390;
{ /* Ast/shrinkify.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4831;
BgL_auxz00_4831 = 
(BgL_objectz00_bglt)(BgL_o2659z00_1851); 
BgL_arg1225z00_3390 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4831); } 
BgL_arg1224z00_3389 = 
(BgL_arg1225z00_3390-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 41 */
obj_t BgL_vectorz00_3394;int BgL_kz00_3395;
BgL_vectorz00_3394 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_3395 = 
(int)(BgL_arg1224z00_3389); 
BgL_arg2889z00_1854 = 
VECTOR_REF(BgL_vectorz00_3394,BgL_kz00_3395); } } 
BgL_arg2888z00_1853 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2889z00_1854); } 
BgL_arg2887z00_1852 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg2888z00_1853); } 
{ /* Ast/shrinkify.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4839;
BgL_auxz00_4839 = 
(BgL_objectz00_bglt)(BgL_o2659z00_1851); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4839, BgL_arg2887z00_1852); } } 
{ /* Ast/shrinkify.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4842;
BgL_auxz00_4842 = 
(BgL_objectz00_bglt)(BgL_o2659z00_1851); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4842, BFALSE); } 
return 
(obj_t)(BgL_o2659z00_1851);}  else 
{ /* Ast/shrinkify.scm 40 */
return BFALSE;} } } 
}



/* _shrink-variable!-default2683 */
obj_t BGl__shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00(obj_t BgL_envz00_3492, obj_t BgL_variablez00_3493)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
return 
BGl_shrinkzd2variablez12zd2default2683z12zzast_shrinkifyz00(
(BgL_variablez00_bglt)(BgL_variablez00_3493));} 
}



/* shrink-node! */
obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt BgL_nodez00_4)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 46 */
{ /* Ast/shrinkify.scm 46 */
obj_t BgL_method2686z00_3398;
{ /* Ast/shrinkify.scm 46 */
long BgL_objzd2classzd2numz00_3400;
{ /* Ast/shrinkify.scm 46 */
BgL_objectz00_bglt BgL_auxz00_4848;
BgL_auxz00_4848 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_3400 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4848); } 
{ /* Ast/shrinkify.scm 46 */
obj_t BgL_arg1221z00_3401;
{ /* Ast/shrinkify.scm 46 */
int BgL_auxz00_4851;
BgL_auxz00_4851 = 
(int)(((long)1)); 
BgL_arg1221z00_3401 = 
PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00, BgL_auxz00_4851); } 
{ /* Ast/shrinkify.scm 46 */
long BgL_offsetz00_3405;
{ /* Ast/shrinkify.scm 46 */
long BgL_auxz00_4854;
{ /* Ast/shrinkify.scm 46 */
int BgL_auxz00_4855;
BgL_auxz00_4855 = 
(int)(BgL_objzd2classzd2numz00_3400); 
BgL_auxz00_4854 = 
(long)(BgL_auxz00_4855); } 
BgL_offsetz00_3405 = 
(BgL_auxz00_4854-OBJECT_TYPE); } 
{ /* Ast/shrinkify.scm 46 */
long BgL_modz00_3406;
{ /* Ast/shrinkify.scm 46 */
long BgL_auxz00_4859;
{ /* Ast/shrinkify.scm 46 */
int BgL_auxz00_4860;
BgL_auxz00_4860 = 
(int)(((long)8)); 
BgL_auxz00_4859 = 
(long)(BgL_auxz00_4860); } 
BgL_modz00_3406 = 
(BgL_offsetz00_3405/BgL_auxz00_4859); } 
{ /* Ast/shrinkify.scm 46 */
long BgL_restz00_3408;
{ /* Ast/shrinkify.scm 46 */
long BgL_auxz00_4864;
{ /* Ast/shrinkify.scm 46 */
int BgL_auxz00_4865;
BgL_auxz00_4865 = 
(int)(((long)8)); 
BgL_auxz00_4864 = 
(long)(BgL_auxz00_4865); } 
BgL_restz00_3408 = 
(BgL_offsetz00_3405%BgL_auxz00_4864); } 
{ /* Ast/shrinkify.scm 46 */

{ /* Ast/shrinkify.scm 46 */
obj_t BgL_bucketz00_3410;
{ /* Ast/shrinkify.scm 46 */
int BgL_kz00_3420;
BgL_kz00_3420 = 
(int)(BgL_modz00_3406); 
BgL_bucketz00_3410 = 
VECTOR_REF(BgL_arg1221z00_3401,BgL_kz00_3420); } 
{ /* Ast/shrinkify.scm 46 */
int BgL_kz00_3422;
BgL_kz00_3422 = 
(int)(BgL_restz00_3408); 
BgL_method2686z00_3398 = 
VECTOR_REF(BgL_bucketz00_3410,BgL_kz00_3422); } } } } } } } } 
{ /* Ast/shrinkify.scm 46 */
obj_t BgL_xz00_3524;
BgL_xz00_3524 = 
PROCEDURE_ENTRY(BgL_method2686z00_3398)(BgL_method2686z00_3398, 
(obj_t)(BgL_nodez00_4), BEOA); 
return BUNSPEC;} } } 
}



/* _shrink-node! */
obj_t BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00(obj_t BgL_envz00_3430, obj_t BgL_nodez00_3431)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 46 */
return 
BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
(BgL_nodez00_bglt)(BgL_nodez00_3431));} 
}



/* shrink-node!-default2685 */
obj_t BGl_shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00(BgL_nodez00_bglt BgL_nodez00_5)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
{ 
obj_t BgL_auxz00_4880;obj_t BgL_auxz00_4878;
BgL_auxz00_4880 = 
(obj_t)(BgL_nodez00_5); 
BgL_auxz00_4878 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_4878,BGl_string3016z00zzast_shrinkifyz00,BgL_auxz00_4880);} } 
}



/* _shrink-node!-default2685 */
obj_t BGl__shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00(obj_t BgL_envz00_3494, obj_t BgL_nodez00_3495)
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
return 
BGl_shrinkzd2nodez12zd2default2685z12zzast_shrinkifyz00(
(BgL_nodez00_bglt)(BgL_nodez00_3495));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
{ AN_OBJECT;
{ /* Ast/shrinkify.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_shrinkify"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_shrinkify"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_shrinkify"); 
return 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_shrinkify");} 
}

