/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzast_substitutez00();
static obj_t BGl_dozd2substitutez12zd2atom2688z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_dozd2substitutez12zd2sequence2694z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2funcall2700z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2select2712z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_dozd2substitutez12zd2setq2706z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
extern obj_t BGl_atomz00zzast_nodez00;
static BgL_nodez00_bglt BGl_dozd2substitutez12zd2default2685z12zzast_substitutez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_dozd2substitutez12zd2appzd2ly2698zc0zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2app2696z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl__dozd2substitutez12zc0zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_dozd2substitutez12zd2cast2704z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2extern2702z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2makezd2box2723zc0zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_dozd2substitutez12zd2boxzd2ref2725zc0zzast_substitutez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__dozd2substitutez12zd2default2685z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl__substitutez12z12zzast_substitutez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_dozd2substitutez12zd2fail2710z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2letzd2fun2714zc0zzast_substitutez00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
static obj_t BGl_dozd2substitutez12zd2kwote2692z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
static obj_t BGl_dozd2substitutez12zd2setzd2exzd2it2718z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2var2690z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2letzd2var2716zc0zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
static obj_t BGl_dozd2substitutez12zd2boxzd2setz122727zd2zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2jumpzd2exzd2it2720z12zzast_substitutez00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2substitutez12zd2conditional2708z12zzast_substitutez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 6 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3044z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2atom2688za712za7za7ast_substituteza7003074za7, BGl_dozd2substitutez12zd2atom2688z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3045z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2var2690za712za7za7ast_substituteza7003075za7, BGl_dozd2substitutez12zd2var2690z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3046z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2kwote2692za712za7za7ast_substituteza7003076za7, BGl_dozd2substitutez12zd2kwote2692z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3047z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2sequence2694za712za7za7ast_substituteza7003077za7, BGl_dozd2substitutez12zd2sequence2694z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3048z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2app2696za712za7za7ast_substituteza7003078za7, BGl_dozd2substitutez12zd2app2696z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3050z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2funcall2700za712za7za7ast_substituteza7003079za7, BGl_dozd2substitutez12zd2funcall2700z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3049z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2appza7d2ly2698za7c0za7za7ast_substituteza7003080z00, BGl_dozd2substitutez12zd2appzd2ly2698zc0zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3051z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2extern2702za712za7za7ast_substituteza7003081za7, BGl_dozd2substitutez12zd2extern2702z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3052z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2cast2704za712za7za7ast_substituteza7003082za7, BGl_dozd2substitutez12zd2cast2704z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3053z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2setq2706za712za7za7ast_substituteza7003083za7, BGl_dozd2substitutez12zd2setq2706z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3054z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2conditional2708za712za7za7ast_substituteza7003084za7, BGl_dozd2substitutez12zd2conditional2708z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3055z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2fail2710za712za7za7ast_substituteza7003085za7, BGl_dozd2substitutez12zd2fail2710z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3056z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2select2712za712za7za7ast_substituteza7003086za7, BGl_dozd2substitutez12zd2select2712z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3057z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2letza7d2fun2714za7c0za7za7ast_substituteza7003087z00, BGl_dozd2substitutez12zd2letzd2fun2714zc0zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3058z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2letza7d2var2716za7c0za7za7ast_substituteza7003088z00, BGl_dozd2substitutez12zd2letzd2var2716zc0zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3060z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2jumpza7d2exza7d2it2720za712za7za7ast_substituteza7003089za7, BGl_dozd2substitutez12zd2jumpzd2exzd2it2720z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3059z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2setza7d2exza7d2it2718za712za7za7ast_substituteza7003090za7, BGl_dozd2substitutez12zd2setzd2exzd2it2718z12zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3061z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2makeza7d2box2723za7c0za7za7ast_substituteza7003091z00, BGl_dozd2substitutez12zd2makezd2box2723zc0zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3062z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2boxza7d2ref2725za7c0za7za7ast_substituteza7003092z00, BGl_dozd2substitutez12zd2boxzd2ref2725zc0zzast_substitutez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3063z00zzast_substitutez00, BgL_bgl_doza7d2substituteza712za7d2boxza7d2setza7122727za7d2za7za7ast_substituteza7003093za7, BGl_dozd2substitutez12zd2boxzd2setz122727zd2zzast_substitutez00, 0L, 2 );
DEFINE_STRING( BGl_string3069z00zzast_substitutez00, BgL_bgl_string3069za700za7za7ast_substituteza7003094z00, "do-substitute!-default2685 apply set! app value done ", 53 );
DEFINE_STRING( BGl_string3068z00zzast_substitutez00, BgL_bgl_string3068za700za7za7ast_substituteza7003095z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3067z00zzast_substitutez00, BgL_bgl_string3067za700za7za7ast_substituteza7003096z00, "Illegal substitution", 20 );
DEFINE_STRING( BGl_string3066z00zzast_substitutez00, BgL_bgl_string3066za700za7za7ast_substituteza7003097z00, "duplicate", 9 );
DEFINE_STRING( BGl_string3065z00zzast_substitutez00, BgL_bgl_string3065za700za7za7ast_substituteza7003098z00, "wrong number of argument(s)", 27 );
DEFINE_STRING( BGl_string3064z00zzast_substitutez00, BgL_bgl_string3064za700za7za7ast_substituteza7003099z00, "Illegal application", 19 );
DEFINE_STATIC_GENERIC( BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_bgl__doza7d2substituteza712za7c0za7za7ast_substituteza7003100z00, BGl__dozd2substitutez12zc0zzast_substitutez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_substitutez12zd2envzc0zzast_substitutez00, BgL_bgl__substituteza712za712za7za7ast_substituteza7003101za7, BGl__substitutez12z12zzast_substitutez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_dozd2substitutez12zd2default2685zd2envzc0zzast_substitutez00, BgL_bgl__doza7d2substituteza712za7d2default2685za712za7za7ast_substituteza7003102za7, BGl__dozd2substitutez12zd2default2685z12zzast_substitutez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_substitutez00(long BgL_checksumz00_3650, char * BgL_fromz00_3651)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
{ 
BGl_requirezd2initializa7ationz75zzast_substitutez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_substitutez00(); 
BGl_cnstzd2initzd2zzast_substitutez00(); 
BGl_importedzd2moduleszd2initz00zzast_substitutez00(); 
BGl_methodzd2initzd2zzast_substitutez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_substitute"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_substitutez00()
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
{ /* Ast/substitute.scm 14 */
obj_t BgL_cportz00_3643;
BgL_cportz00_3643 = 
open_input_string(BGl_string3069z00zzast_substitutez00); 
{ 
long BgL_iz00_3644;
BgL_iz00_3644 = ((long)5); 
BgL_loopz00_3645:
if(
(BgL_iz00_3644==((long)-1)))
{ /* Ast/substitute.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/substitute.scm 14 */
{ /* Ast/substitute.scm 14 */
obj_t BgL_arg3071z00_3647;
{ /* Ast/substitute.scm 14 */
obj_t BgL_list3072z00_3648;
BgL_list3072z00_3648 = 
MAKE_PAIR(BgL_cportz00_3643, BNIL); 
BgL_arg3071z00_3647 = 
BGl_readz00zz__readerz00(BgL_list3072z00_3648); } 
{ /* Ast/substitute.scm 14 */
int BgL_auxz00_3666;
BgL_auxz00_3666 = 
(int)(BgL_iz00_3644); 
CNST_TABLE_SET(BgL_auxz00_3666, BgL_arg3071z00_3647); } } 
{ 
long BgL_iz00_3669;
{ /* Ast/substitute.scm 14 */
int BgL_auxz00_3670;
{ /* Ast/substitute.scm 14 */
long BgL_auxz00_3671;
BgL_auxz00_3671 = 
(BgL_iz00_3644-((long)1)); 
BgL_auxz00_3670 = 
(int)(BgL_auxz00_3671); } 
BgL_iz00_3669 = 
(long)(BgL_auxz00_3670); } 
BgL_iz00_3644 = BgL_iz00_3669; 
goto BgL_loopz00_3645;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
return BUNSPEC;} 
}



/* substitute! */
BgL_nodez00_bglt BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_1, obj_t BgL_byza2za2_2, BgL_nodez00_bglt BgL_nodez00_3, obj_t BgL_sitez00_4)
{ AN_OBJECT;
{ /* Ast/substitute.scm 34 */
{ 
obj_t BgL_ll2654z00_1270;obj_t BgL_ll2655z00_1271;
BgL_ll2654z00_1270 = BgL_whatza2za2_1; 
BgL_ll2655z00_1271 = BgL_byza2za2_2; 
BgL_lname2656z00_1272:
if(
NULLP(BgL_ll2654z00_1270))
{ /* Ast/substitute.scm 37 */((bool_t)1); }  else 
{ /* Ast/substitute.scm 37 */
{ /* Ast/substitute.scm 38 */
obj_t BgL_byz00_1275;
BgL_byz00_1275 = 
CAR(BgL_ll2655z00_1271); 
{ /* Ast/substitute.scm 39 */
BgL_variablez00_bglt BgL_obj1111z00_1960;
{ /* Ast/substitute.scm 39 */
obj_t BgL_auxz00_3678;
BgL_auxz00_3678 = 
CAR(BgL_ll2654z00_1270); 
BgL_obj1111z00_1960 = 
(BgL_variablez00_bglt)(BgL_auxz00_3678); } 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_1960))->BgL_fastzd2alphazd2) = ((obj_t)BgL_byz00_1275), BUNSPEC); } } 
{ 
obj_t BgL_ll2655z00_3684;obj_t BgL_ll2654z00_3682;
BgL_ll2654z00_3682 = 
CDR(BgL_ll2654z00_1270); 
BgL_ll2655z00_3684 = 
CDR(BgL_ll2655z00_1271); 
BgL_ll2655z00_1271 = BgL_ll2655z00_3684; 
BgL_ll2654z00_1270 = BgL_ll2654z00_3682; 
goto BgL_lname2656z00_1272;} } } 
{ /* Ast/substitute.scm 42 */
BgL_nodez00_bglt BgL_resz00_1278;
{ /* Ast/substitute.scm 42 */
BgL_nodez00_bglt BgL_res2941z00_1991;
{ /* Ast/substitute.scm 42 */
obj_t BgL_method2686z00_1966;
{ /* Ast/substitute.scm 42 */
long BgL_objzd2classzd2numz00_1968;
{ /* Ast/substitute.scm 42 */
BgL_objectz00_bglt BgL_auxz00_3686;
BgL_auxz00_3686 = 
(BgL_objectz00_bglt)(BgL_nodez00_3); 
BgL_objzd2classzd2numz00_1968 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3686); } 
{ /* Ast/substitute.scm 42 */
obj_t BgL_arg1221z00_1969;
{ /* Ast/substitute.scm 42 */
int BgL_auxz00_3689;
BgL_auxz00_3689 = 
(int)(((long)1)); 
BgL_arg1221z00_1969 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3689); } 
{ /* Ast/substitute.scm 42 */
long BgL_offsetz00_1973;
{ /* Ast/substitute.scm 42 */
long BgL_auxz00_3692;
{ /* Ast/substitute.scm 42 */
int BgL_auxz00_3693;
BgL_auxz00_3693 = 
(int)(BgL_objzd2classzd2numz00_1968); 
BgL_auxz00_3692 = 
(long)(BgL_auxz00_3693); } 
BgL_offsetz00_1973 = 
(BgL_auxz00_3692-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 42 */
long BgL_modz00_1974;
{ /* Ast/substitute.scm 42 */
long BgL_auxz00_3697;
{ /* Ast/substitute.scm 42 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(((long)8)); 
BgL_auxz00_3697 = 
(long)(BgL_auxz00_3698); } 
BgL_modz00_1974 = 
(BgL_offsetz00_1973/BgL_auxz00_3697); } 
{ /* Ast/substitute.scm 42 */
long BgL_restz00_1976;
{ /* Ast/substitute.scm 42 */
long BgL_auxz00_3702;
{ /* Ast/substitute.scm 42 */
int BgL_auxz00_3703;
BgL_auxz00_3703 = 
(int)(((long)8)); 
BgL_auxz00_3702 = 
(long)(BgL_auxz00_3703); } 
BgL_restz00_1976 = 
(BgL_offsetz00_1973%BgL_auxz00_3702); } 
{ /* Ast/substitute.scm 42 */

{ /* Ast/substitute.scm 42 */
obj_t BgL_bucketz00_1978;
{ /* Ast/substitute.scm 42 */
int BgL_kz00_1988;
BgL_kz00_1988 = 
(int)(BgL_modz00_1974); 
BgL_bucketz00_1978 = 
VECTOR_REF(BgL_arg1221z00_1969,BgL_kz00_1988); } 
{ /* Ast/substitute.scm 42 */
int BgL_kz00_1990;
BgL_kz00_1990 = 
(int)(BgL_restz00_1976); 
BgL_method2686z00_1966 = 
VECTOR_REF(BgL_bucketz00_1978,BgL_kz00_1990); } } } } } } } } 
{ /* Ast/substitute.scm 42 */
obj_t BgL_auxz00_3711;
BgL_auxz00_3711 = 
PROCEDURE_ENTRY(BgL_method2686z00_1966)(BgL_method2686z00_1966, 
(obj_t)(BgL_nodez00_3), BgL_sitez00_4, BEOA); 
BgL_res2941z00_1991 = 
(BgL_nodez00_bglt)(BgL_auxz00_3711); } } 
BgL_resz00_1278 = BgL_res2941z00_1991; } 
{ 
obj_t BgL_l2657z00_1279;
BgL_l2657z00_1279 = BgL_whatza2za2_1; 
BgL_lname2658z00_1280:
if(
PAIRP(BgL_l2657z00_1279))
{ /* Ast/substitute.scm 44 */
{ /* Ast/substitute.scm 45 */
BgL_variablez00_bglt BgL_obj1111z00_1994;
{ /* Ast/substitute.scm 45 */
obj_t BgL_auxz00_3718;
BgL_auxz00_3718 = 
CAR(BgL_l2657z00_1279); 
BgL_obj1111z00_1994 = 
(BgL_variablez00_bglt)(BgL_auxz00_3718); } 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_1994))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); } 
{ 
obj_t BgL_l2657z00_3722;
BgL_l2657z00_3722 = 
CDR(BgL_l2657z00_1279); 
BgL_l2657z00_1279 = BgL_l2657z00_3722; 
goto BgL_lname2658z00_1280;} }  else 
{ /* Ast/substitute.scm 44 */((bool_t)1); } } 
return BgL_resz00_1278;} } 
}



/* _substitute! */
obj_t BGl__substitutez12z12zzast_substitutez00(obj_t BgL_envz00_3552, obj_t BgL_whatza2za2_3553, obj_t BgL_byza2za2_3554, obj_t BgL_nodez00_3555, obj_t BgL_sitez00_3556)
{ AN_OBJECT;
{ /* Ast/substitute.scm 34 */
{ /* Ast/substitute.scm 34 */
BgL_nodez00_bglt BgL_auxz00_3724;
BgL_auxz00_3724 = 
BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_3553, BgL_byza2za2_3554, 
(BgL_nodez00_bglt)(BgL_nodez00_3555), BgL_sitez00_3556); 
return 
(obj_t)(BgL_auxz00_3724);} } 
}



/* do-substitute*! */
obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_49, obj_t BgL_sitez00_50)
{ AN_OBJECT;
{ /* Ast/substitute.scm 268 */
BGl_dozd2substituteza2z12z62zzast_substitutez00:
if(
NULLP(BgL_nodeza2za2_49))
{ /* Ast/substitute.scm 270 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Ast/substitute.scm 272 */
bool_t BgL_testz00_3731;
{ /* Ast/substitute.scm 272 */
obj_t BgL_auxz00_3732;
BgL_auxz00_3732 = 
CDR(BgL_nodeza2za2_49); 
BgL_testz00_3731 = 
NULLP(BgL_auxz00_3732); } 
if(BgL_testz00_3731)
{ /* Ast/substitute.scm 272 */
{ /* Ast/substitute.scm 273 */
BgL_nodez00_bglt BgL_arg2735z00_1286;
{ /* Ast/substitute.scm 273 */
BgL_nodez00_bglt BgL_res2944z00_2028;
{ /* Ast/substitute.scm 273 */
BgL_nodez00_bglt BgL_nodez00_2001;
{ /* Ast/substitute.scm 273 */
obj_t BgL_auxz00_3735;
BgL_auxz00_3735 = 
CAR(BgL_nodeza2za2_49); 
BgL_nodez00_2001 = 
(BgL_nodez00_bglt)(BgL_auxz00_3735); } 
{ /* Ast/substitute.scm 273 */
obj_t BgL_method2686z00_2003;
{ /* Ast/substitute.scm 273 */
long BgL_objzd2classzd2numz00_2005;
{ /* Ast/substitute.scm 273 */
BgL_objectz00_bglt BgL_auxz00_3738;
BgL_auxz00_3738 = 
(BgL_objectz00_bglt)(BgL_nodez00_2001); 
BgL_objzd2classzd2numz00_2005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3738); } 
{ /* Ast/substitute.scm 273 */
obj_t BgL_arg1221z00_2006;
{ /* Ast/substitute.scm 273 */
int BgL_auxz00_3741;
BgL_auxz00_3741 = 
(int)(((long)1)); 
BgL_arg1221z00_2006 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3741); } 
{ /* Ast/substitute.scm 273 */
long BgL_offsetz00_2010;
{ /* Ast/substitute.scm 273 */
long BgL_auxz00_3744;
{ /* Ast/substitute.scm 273 */
int BgL_auxz00_3745;
BgL_auxz00_3745 = 
(int)(BgL_objzd2classzd2numz00_2005); 
BgL_auxz00_3744 = 
(long)(BgL_auxz00_3745); } 
BgL_offsetz00_2010 = 
(BgL_auxz00_3744-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 273 */
long BgL_modz00_2011;
{ /* Ast/substitute.scm 273 */
long BgL_auxz00_3749;
{ /* Ast/substitute.scm 273 */
int BgL_auxz00_3750;
BgL_auxz00_3750 = 
(int)(((long)8)); 
BgL_auxz00_3749 = 
(long)(BgL_auxz00_3750); } 
BgL_modz00_2011 = 
(BgL_offsetz00_2010/BgL_auxz00_3749); } 
{ /* Ast/substitute.scm 273 */
long BgL_restz00_2013;
{ /* Ast/substitute.scm 273 */
long BgL_auxz00_3754;
{ /* Ast/substitute.scm 273 */
int BgL_auxz00_3755;
BgL_auxz00_3755 = 
(int)(((long)8)); 
BgL_auxz00_3754 = 
(long)(BgL_auxz00_3755); } 
BgL_restz00_2013 = 
(BgL_offsetz00_2010%BgL_auxz00_3754); } 
{ /* Ast/substitute.scm 273 */

{ /* Ast/substitute.scm 273 */
obj_t BgL_bucketz00_2015;
{ /* Ast/substitute.scm 273 */
int BgL_kz00_2025;
BgL_kz00_2025 = 
(int)(BgL_modz00_2011); 
BgL_bucketz00_2015 = 
VECTOR_REF(BgL_arg1221z00_2006,BgL_kz00_2025); } 
{ /* Ast/substitute.scm 273 */
int BgL_kz00_2027;
BgL_kz00_2027 = 
(int)(BgL_restz00_2013); 
BgL_method2686z00_2003 = 
VECTOR_REF(BgL_bucketz00_2015,BgL_kz00_2027); } } } } } } } } 
{ /* Ast/substitute.scm 273 */
obj_t BgL_auxz00_3763;
BgL_auxz00_3763 = 
PROCEDURE_ENTRY(BgL_method2686z00_2003)(BgL_method2686z00_2003, 
(obj_t)(BgL_nodez00_2001), BgL_sitez00_50, BEOA); 
BgL_res2944z00_2028 = 
(BgL_nodez00_bglt)(BgL_auxz00_3763); } } } 
BgL_arg2735z00_1286 = BgL_res2944z00_2028; } 
{ /* Ast/substitute.scm 273 */
obj_t BgL_auxz00_3768;
BgL_auxz00_3768 = 
(obj_t)(BgL_arg2735z00_1286); 
SET_CAR(BgL_nodeza2za2_49, BgL_auxz00_3768); } } 
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Ast/substitute.scm 272 */
{ /* Ast/substitute.scm 276 */
BgL_nodez00_bglt BgL_arg2737z00_1288;
{ /* Ast/substitute.scm 276 */
obj_t BgL_arg2739z00_1290;
BgL_arg2739z00_1290 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 276 */
BgL_nodez00_bglt BgL_res2947z00_2059;
{ /* Ast/substitute.scm 276 */
BgL_nodez00_bglt BgL_nodez00_2032;
{ /* Ast/substitute.scm 276 */
obj_t BgL_auxz00_3773;
BgL_auxz00_3773 = 
CAR(BgL_nodeza2za2_49); 
BgL_nodez00_2032 = 
(BgL_nodez00_bglt)(BgL_auxz00_3773); } 
{ /* Ast/substitute.scm 276 */
obj_t BgL_method2686z00_2034;
{ /* Ast/substitute.scm 276 */
long BgL_objzd2classzd2numz00_2036;
{ /* Ast/substitute.scm 276 */
BgL_objectz00_bglt BgL_auxz00_3776;
BgL_auxz00_3776 = 
(BgL_objectz00_bglt)(BgL_nodez00_2032); 
BgL_objzd2classzd2numz00_2036 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3776); } 
{ /* Ast/substitute.scm 276 */
obj_t BgL_arg1221z00_2037;
{ /* Ast/substitute.scm 276 */
int BgL_auxz00_3779;
BgL_auxz00_3779 = 
(int)(((long)1)); 
BgL_arg1221z00_2037 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3779); } 
{ /* Ast/substitute.scm 276 */
long BgL_offsetz00_2041;
{ /* Ast/substitute.scm 276 */
long BgL_auxz00_3782;
{ /* Ast/substitute.scm 276 */
int BgL_auxz00_3783;
BgL_auxz00_3783 = 
(int)(BgL_objzd2classzd2numz00_2036); 
BgL_auxz00_3782 = 
(long)(BgL_auxz00_3783); } 
BgL_offsetz00_2041 = 
(BgL_auxz00_3782-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 276 */
long BgL_modz00_2042;
{ /* Ast/substitute.scm 276 */
long BgL_auxz00_3787;
{ /* Ast/substitute.scm 276 */
int BgL_auxz00_3788;
BgL_auxz00_3788 = 
(int)(((long)8)); 
BgL_auxz00_3787 = 
(long)(BgL_auxz00_3788); } 
BgL_modz00_2042 = 
(BgL_offsetz00_2041/BgL_auxz00_3787); } 
{ /* Ast/substitute.scm 276 */
long BgL_restz00_2044;
{ /* Ast/substitute.scm 276 */
long BgL_auxz00_3792;
{ /* Ast/substitute.scm 276 */
int BgL_auxz00_3793;
BgL_auxz00_3793 = 
(int)(((long)8)); 
BgL_auxz00_3792 = 
(long)(BgL_auxz00_3793); } 
BgL_restz00_2044 = 
(BgL_offsetz00_2041%BgL_auxz00_3792); } 
{ /* Ast/substitute.scm 276 */

{ /* Ast/substitute.scm 276 */
obj_t BgL_bucketz00_2046;
{ /* Ast/substitute.scm 276 */
int BgL_kz00_2056;
BgL_kz00_2056 = 
(int)(BgL_modz00_2042); 
BgL_bucketz00_2046 = 
VECTOR_REF(BgL_arg1221z00_2037,BgL_kz00_2056); } 
{ /* Ast/substitute.scm 276 */
int BgL_kz00_2058;
BgL_kz00_2058 = 
(int)(BgL_restz00_2044); 
BgL_method2686z00_2034 = 
VECTOR_REF(BgL_bucketz00_2046,BgL_kz00_2058); } } } } } } } } 
{ /* Ast/substitute.scm 276 */
obj_t BgL_auxz00_3801;
BgL_auxz00_3801 = 
PROCEDURE_ENTRY(BgL_method2686z00_2034)(BgL_method2686z00_2034, 
(obj_t)(BgL_nodez00_2032), BgL_arg2739z00_1290, BEOA); 
BgL_res2947z00_2059 = 
(BgL_nodez00_bglt)(BgL_auxz00_3801); } } } 
BgL_arg2737z00_1288 = BgL_res2947z00_2059; } } 
{ /* Ast/substitute.scm 276 */
obj_t BgL_auxz00_3806;
BgL_auxz00_3806 = 
(obj_t)(BgL_arg2737z00_1288); 
SET_CAR(BgL_nodeza2za2_49, BgL_auxz00_3806); } } 
{ 
obj_t BgL_nodeza2za2_3809;
BgL_nodeza2za2_3809 = 
CDR(BgL_nodeza2za2_49); 
BgL_nodeza2za2_49 = BgL_nodeza2za2_3809; 
goto BGl_dozd2substituteza2z12z62zzast_substitutez00;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_substitutez00()
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_dozd2substitutez12zd2default2685zd2envzc0zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_atomz00zzast_nodez00, BGl_proc3044z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_varz00zzast_nodez00, BGl_proc3045z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_kwotez00zzast_nodez00, BGl_proc3046z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_sequencez00zzast_nodez00, BGl_proc3047z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_appz00zzast_nodez00, BGl_proc3048z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3049z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_funcallz00zzast_nodez00, BGl_proc3050z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_externz00zzast_nodez00, BGl_proc3051z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_castz00zzast_nodez00, BGl_proc3052z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_setqz00zzast_nodez00, BGl_proc3053z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_conditionalz00zzast_nodez00, BGl_proc3054z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_failz00zzast_nodez00, BGl_proc3055z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_selectz00zzast_nodez00, BGl_proc3056z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3057z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3058z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3059z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3060z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3061z00zzast_substitutez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3062z00zzast_substitutez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3063z00zzast_substitutez00);} 
}



/* do-substitute!-box-set!2727 */
obj_t BGl_dozd2substitutez12zd2boxzd2setz122727zd2zzast_substitutez00(obj_t BgL_envz00_3580, obj_t BgL_nodez00_3581, obj_t BgL_sitez00_3582)
{ AN_OBJECT;
{ /* Ast/substitute.scm 260 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1944;obj_t BgL_sitez00_1945;
{ /* Ast/substitute.scm 261 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_3832;
BgL_nodez00_1944 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3581); 
BgL_sitez00_1945 = BgL_sitez00_3582; 
{ /* Ast/substitute.scm 261 */
BgL_nodez00_bglt BgL_arg2932z00_1948;
{ /* Ast/substitute.scm 261 */
obj_t BgL_arg2934z00_1950;
BgL_arg2934z00_1950 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 261 */
BgL_nodez00_bglt BgL_res3038z00_3490;
{ /* Ast/substitute.scm 261 */
BgL_nodez00_bglt BgL_nodez00_3463;
{ /* Ast/substitute.scm 261 */
BgL_varz00_bglt BgL_auxz00_3834;
BgL_auxz00_3834 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1944))->BgL_varz00); 
BgL_nodez00_3463 = 
(BgL_nodez00_bglt)(BgL_auxz00_3834); } 
{ /* Ast/substitute.scm 261 */
obj_t BgL_method2686z00_3465;
{ /* Ast/substitute.scm 261 */
long BgL_objzd2classzd2numz00_3467;
{ /* Ast/substitute.scm 261 */
BgL_objectz00_bglt BgL_auxz00_3837;
BgL_auxz00_3837 = 
(BgL_objectz00_bglt)(BgL_nodez00_3463); 
BgL_objzd2classzd2numz00_3467 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3837); } 
{ /* Ast/substitute.scm 261 */
obj_t BgL_arg1221z00_3468;
{ /* Ast/substitute.scm 261 */
int BgL_auxz00_3840;
BgL_auxz00_3840 = 
(int)(((long)1)); 
BgL_arg1221z00_3468 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3840); } 
{ /* Ast/substitute.scm 261 */
long BgL_offsetz00_3472;
{ /* Ast/substitute.scm 261 */
long BgL_auxz00_3843;
{ /* Ast/substitute.scm 261 */
int BgL_auxz00_3844;
BgL_auxz00_3844 = 
(int)(BgL_objzd2classzd2numz00_3467); 
BgL_auxz00_3843 = 
(long)(BgL_auxz00_3844); } 
BgL_offsetz00_3472 = 
(BgL_auxz00_3843-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 261 */
long BgL_modz00_3473;
{ /* Ast/substitute.scm 261 */
long BgL_auxz00_3848;
{ /* Ast/substitute.scm 261 */
int BgL_auxz00_3849;
BgL_auxz00_3849 = 
(int)(((long)8)); 
BgL_auxz00_3848 = 
(long)(BgL_auxz00_3849); } 
BgL_modz00_3473 = 
(BgL_offsetz00_3472/BgL_auxz00_3848); } 
{ /* Ast/substitute.scm 261 */
long BgL_restz00_3475;
{ /* Ast/substitute.scm 261 */
long BgL_auxz00_3853;
{ /* Ast/substitute.scm 261 */
int BgL_auxz00_3854;
BgL_auxz00_3854 = 
(int)(((long)8)); 
BgL_auxz00_3853 = 
(long)(BgL_auxz00_3854); } 
BgL_restz00_3475 = 
(BgL_offsetz00_3472%BgL_auxz00_3853); } 
{ /* Ast/substitute.scm 261 */

{ /* Ast/substitute.scm 261 */
obj_t BgL_bucketz00_3477;
{ /* Ast/substitute.scm 261 */
int BgL_kz00_3487;
BgL_kz00_3487 = 
(int)(BgL_modz00_3473); 
BgL_bucketz00_3477 = 
VECTOR_REF(BgL_arg1221z00_3468,BgL_kz00_3487); } 
{ /* Ast/substitute.scm 261 */
int BgL_kz00_3489;
BgL_kz00_3489 = 
(int)(BgL_restz00_3475); 
BgL_method2686z00_3465 = 
VECTOR_REF(BgL_bucketz00_3477,BgL_kz00_3489); } } } } } } } } 
{ /* Ast/substitute.scm 261 */
obj_t BgL_auxz00_3862;
BgL_auxz00_3862 = 
PROCEDURE_ENTRY(BgL_method2686z00_3465)(BgL_method2686z00_3465, 
(obj_t)(BgL_nodez00_3463), BgL_arg2934z00_1950, BEOA); 
BgL_res3038z00_3490 = 
(BgL_nodez00_bglt)(BgL_auxz00_3862); } } } 
BgL_arg2932z00_1948 = BgL_res3038z00_3490; } } 
{ /* Ast/substitute.scm 261 */
BgL_varz00_bglt BgL_val2631z00_3492;
BgL_val2631z00_3492 = 
(BgL_varz00_bglt)(BgL_arg2932z00_1948); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1944))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3492), BUNSPEC); } } 
{ /* Ast/substitute.scm 262 */
BgL_nodez00_bglt BgL_arg2935z00_1951;
{ /* Ast/substitute.scm 262 */
BgL_nodez00_bglt BgL_arg2936z00_1952;obj_t BgL_arg2937z00_1953;
BgL_arg2936z00_1952 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1944))->BgL_valuez00); 
BgL_arg2937z00_1953 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 262 */
BgL_nodez00_bglt BgL_res3041z00_3521;
{ /* Ast/substitute.scm 262 */
obj_t BgL_method2686z00_3496;
{ /* Ast/substitute.scm 262 */
long BgL_objzd2classzd2numz00_3498;
{ /* Ast/substitute.scm 262 */
BgL_objectz00_bglt BgL_auxz00_3871;
BgL_auxz00_3871 = 
(BgL_objectz00_bglt)(BgL_arg2936z00_1952); 
BgL_objzd2classzd2numz00_3498 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3871); } 
{ /* Ast/substitute.scm 262 */
obj_t BgL_arg1221z00_3499;
{ /* Ast/substitute.scm 262 */
int BgL_auxz00_3874;
BgL_auxz00_3874 = 
(int)(((long)1)); 
BgL_arg1221z00_3499 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3874); } 
{ /* Ast/substitute.scm 262 */
long BgL_offsetz00_3503;
{ /* Ast/substitute.scm 262 */
long BgL_auxz00_3877;
{ /* Ast/substitute.scm 262 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(BgL_objzd2classzd2numz00_3498); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_offsetz00_3503 = 
(BgL_auxz00_3877-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 262 */
long BgL_modz00_3504;
{ /* Ast/substitute.scm 262 */
long BgL_auxz00_3882;
{ /* Ast/substitute.scm 262 */
int BgL_auxz00_3883;
BgL_auxz00_3883 = 
(int)(((long)8)); 
BgL_auxz00_3882 = 
(long)(BgL_auxz00_3883); } 
BgL_modz00_3504 = 
(BgL_offsetz00_3503/BgL_auxz00_3882); } 
{ /* Ast/substitute.scm 262 */
long BgL_restz00_3506;
{ /* Ast/substitute.scm 262 */
long BgL_auxz00_3887;
{ /* Ast/substitute.scm 262 */
int BgL_auxz00_3888;
BgL_auxz00_3888 = 
(int)(((long)8)); 
BgL_auxz00_3887 = 
(long)(BgL_auxz00_3888); } 
BgL_restz00_3506 = 
(BgL_offsetz00_3503%BgL_auxz00_3887); } 
{ /* Ast/substitute.scm 262 */

{ /* Ast/substitute.scm 262 */
obj_t BgL_bucketz00_3508;
{ /* Ast/substitute.scm 262 */
int BgL_kz00_3518;
BgL_kz00_3518 = 
(int)(BgL_modz00_3504); 
BgL_bucketz00_3508 = 
VECTOR_REF(BgL_arg1221z00_3499,BgL_kz00_3518); } 
{ /* Ast/substitute.scm 262 */
int BgL_kz00_3520;
BgL_kz00_3520 = 
(int)(BgL_restz00_3506); 
BgL_method2686z00_3496 = 
VECTOR_REF(BgL_bucketz00_3508,BgL_kz00_3520); } } } } } } } } 
{ /* Ast/substitute.scm 262 */
obj_t BgL_auxz00_3896;
BgL_auxz00_3896 = 
PROCEDURE_ENTRY(BgL_method2686z00_3496)(BgL_method2686z00_3496, 
(obj_t)(BgL_arg2936z00_1952), BgL_arg2937z00_1953, BEOA); 
BgL_res3041z00_3521 = 
(BgL_nodez00_bglt)(BgL_auxz00_3896); } } 
BgL_arg2935z00_1951 = BgL_res3041z00_3521; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1944))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2935z00_1951), BUNSPEC); } 
BgL_auxz00_3832 = BgL_nodez00_1944; 
return 
(obj_t)(BgL_auxz00_3832);} } } 
}



/* do-substitute!-box-ref2725 */
obj_t BGl_dozd2substitutez12zd2boxzd2ref2725zc0zzast_substitutez00(obj_t BgL_envz00_3583, obj_t BgL_nodez00_3584, obj_t BgL_sitez00_3585)
{ AN_OBJECT;
{ /* Ast/substitute.scm 253 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1935;obj_t BgL_sitez00_1936;
{ /* Ast/substitute.scm 254 */
BgL_boxzd2refzd2_bglt BgL_auxz00_3904;
BgL_nodez00_1935 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3584); 
BgL_sitez00_1936 = BgL_sitez00_3585; 
{ /* Ast/substitute.scm 254 */
BgL_nodez00_bglt BgL_arg2928z00_3428;
{ /* Ast/substitute.scm 254 */
obj_t BgL_arg2930z00_3430;
BgL_arg2930z00_3430 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 254 */
BgL_nodez00_bglt BgL_res3035z00_3459;
{ /* Ast/substitute.scm 254 */
BgL_nodez00_bglt BgL_nodez00_3432;
{ /* Ast/substitute.scm 254 */
BgL_varz00_bglt BgL_auxz00_3906;
BgL_auxz00_3906 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1935))->BgL_varz00); 
BgL_nodez00_3432 = 
(BgL_nodez00_bglt)(BgL_auxz00_3906); } 
{ /* Ast/substitute.scm 254 */
obj_t BgL_method2686z00_3434;
{ /* Ast/substitute.scm 254 */
long BgL_objzd2classzd2numz00_3436;
{ /* Ast/substitute.scm 254 */
BgL_objectz00_bglt BgL_auxz00_3909;
BgL_auxz00_3909 = 
(BgL_objectz00_bglt)(BgL_nodez00_3432); 
BgL_objzd2classzd2numz00_3436 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3909); } 
{ /* Ast/substitute.scm 254 */
obj_t BgL_arg1221z00_3437;
{ /* Ast/substitute.scm 254 */
int BgL_auxz00_3912;
BgL_auxz00_3912 = 
(int)(((long)1)); 
BgL_arg1221z00_3437 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3912); } 
{ /* Ast/substitute.scm 254 */
long BgL_offsetz00_3441;
{ /* Ast/substitute.scm 254 */
long BgL_auxz00_3915;
{ /* Ast/substitute.scm 254 */
int BgL_auxz00_3916;
BgL_auxz00_3916 = 
(int)(BgL_objzd2classzd2numz00_3436); 
BgL_auxz00_3915 = 
(long)(BgL_auxz00_3916); } 
BgL_offsetz00_3441 = 
(BgL_auxz00_3915-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 254 */
long BgL_modz00_3442;
{ /* Ast/substitute.scm 254 */
long BgL_auxz00_3920;
{ /* Ast/substitute.scm 254 */
int BgL_auxz00_3921;
BgL_auxz00_3921 = 
(int)(((long)8)); 
BgL_auxz00_3920 = 
(long)(BgL_auxz00_3921); } 
BgL_modz00_3442 = 
(BgL_offsetz00_3441/BgL_auxz00_3920); } 
{ /* Ast/substitute.scm 254 */
long BgL_restz00_3444;
{ /* Ast/substitute.scm 254 */
long BgL_auxz00_3925;
{ /* Ast/substitute.scm 254 */
int BgL_auxz00_3926;
BgL_auxz00_3926 = 
(int)(((long)8)); 
BgL_auxz00_3925 = 
(long)(BgL_auxz00_3926); } 
BgL_restz00_3444 = 
(BgL_offsetz00_3441%BgL_auxz00_3925); } 
{ /* Ast/substitute.scm 254 */

{ /* Ast/substitute.scm 254 */
obj_t BgL_bucketz00_3446;
{ /* Ast/substitute.scm 254 */
int BgL_kz00_3456;
BgL_kz00_3456 = 
(int)(BgL_modz00_3442); 
BgL_bucketz00_3446 = 
VECTOR_REF(BgL_arg1221z00_3437,BgL_kz00_3456); } 
{ /* Ast/substitute.scm 254 */
int BgL_kz00_3458;
BgL_kz00_3458 = 
(int)(BgL_restz00_3444); 
BgL_method2686z00_3434 = 
VECTOR_REF(BgL_bucketz00_3446,BgL_kz00_3458); } } } } } } } } 
{ /* Ast/substitute.scm 254 */
obj_t BgL_auxz00_3934;
BgL_auxz00_3934 = 
PROCEDURE_ENTRY(BgL_method2686z00_3434)(BgL_method2686z00_3434, 
(obj_t)(BgL_nodez00_3432), BgL_arg2930z00_3430, BEOA); 
BgL_res3035z00_3459 = 
(BgL_nodez00_bglt)(BgL_auxz00_3934); } } } 
BgL_arg2928z00_3428 = BgL_res3035z00_3459; } } 
{ /* Ast/substitute.scm 254 */
BgL_varz00_bglt BgL_val2603z00_3461;
BgL_val2603z00_3461 = 
(BgL_varz00_bglt)(BgL_arg2928z00_3428); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1935))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3461), BUNSPEC); } } 
BgL_auxz00_3904 = BgL_nodez00_1935; 
return 
(obj_t)(BgL_auxz00_3904);} } } 
}



/* do-substitute!-make-box2723 */
obj_t BGl_dozd2substitutez12zd2makezd2box2723zc0zzast_substitutez00(obj_t BgL_envz00_3586, obj_t BgL_nodez00_3587, obj_t BgL_sitez00_3588)
{ AN_OBJECT;
{ /* Ast/substitute.scm 246 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1926;obj_t BgL_sitez00_1927;
{ /* Ast/substitute.scm 247 */
BgL_makezd2boxzd2_bglt BgL_auxz00_3943;
BgL_nodez00_1926 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3587); 
BgL_sitez00_1927 = BgL_sitez00_3588; 
{ /* Ast/substitute.scm 247 */
BgL_nodez00_bglt BgL_arg2924z00_3394;
{ /* Ast/substitute.scm 247 */
BgL_nodez00_bglt BgL_arg2925z00_3395;obj_t BgL_arg2926z00_3396;
BgL_arg2925z00_3395 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1926))->BgL_valuez00); 
BgL_arg2926z00_3396 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 247 */
BgL_nodez00_bglt BgL_res3032z00_3425;
{ /* Ast/substitute.scm 247 */
obj_t BgL_method2686z00_3400;
{ /* Ast/substitute.scm 247 */
long BgL_objzd2classzd2numz00_3402;
{ /* Ast/substitute.scm 247 */
BgL_objectz00_bglt BgL_auxz00_3946;
BgL_auxz00_3946 = 
(BgL_objectz00_bglt)(BgL_arg2925z00_3395); 
BgL_objzd2classzd2numz00_3402 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3946); } 
{ /* Ast/substitute.scm 247 */
obj_t BgL_arg1221z00_3403;
{ /* Ast/substitute.scm 247 */
int BgL_auxz00_3949;
BgL_auxz00_3949 = 
(int)(((long)1)); 
BgL_arg1221z00_3403 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3949); } 
{ /* Ast/substitute.scm 247 */
long BgL_offsetz00_3407;
{ /* Ast/substitute.scm 247 */
long BgL_auxz00_3952;
{ /* Ast/substitute.scm 247 */
int BgL_auxz00_3953;
BgL_auxz00_3953 = 
(int)(BgL_objzd2classzd2numz00_3402); 
BgL_auxz00_3952 = 
(long)(BgL_auxz00_3953); } 
BgL_offsetz00_3407 = 
(BgL_auxz00_3952-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 247 */
long BgL_modz00_3408;
{ /* Ast/substitute.scm 247 */
long BgL_auxz00_3957;
{ /* Ast/substitute.scm 247 */
int BgL_auxz00_3958;
BgL_auxz00_3958 = 
(int)(((long)8)); 
BgL_auxz00_3957 = 
(long)(BgL_auxz00_3958); } 
BgL_modz00_3408 = 
(BgL_offsetz00_3407/BgL_auxz00_3957); } 
{ /* Ast/substitute.scm 247 */
long BgL_restz00_3410;
{ /* Ast/substitute.scm 247 */
long BgL_auxz00_3962;
{ /* Ast/substitute.scm 247 */
int BgL_auxz00_3963;
BgL_auxz00_3963 = 
(int)(((long)8)); 
BgL_auxz00_3962 = 
(long)(BgL_auxz00_3963); } 
BgL_restz00_3410 = 
(BgL_offsetz00_3407%BgL_auxz00_3962); } 
{ /* Ast/substitute.scm 247 */

{ /* Ast/substitute.scm 247 */
obj_t BgL_bucketz00_3412;
{ /* Ast/substitute.scm 247 */
int BgL_kz00_3422;
BgL_kz00_3422 = 
(int)(BgL_modz00_3408); 
BgL_bucketz00_3412 = 
VECTOR_REF(BgL_arg1221z00_3403,BgL_kz00_3422); } 
{ /* Ast/substitute.scm 247 */
int BgL_kz00_3424;
BgL_kz00_3424 = 
(int)(BgL_restz00_3410); 
BgL_method2686z00_3400 = 
VECTOR_REF(BgL_bucketz00_3412,BgL_kz00_3424); } } } } } } } } 
{ /* Ast/substitute.scm 247 */
obj_t BgL_auxz00_3971;
BgL_auxz00_3971 = 
PROCEDURE_ENTRY(BgL_method2686z00_3400)(BgL_method2686z00_3400, 
(obj_t)(BgL_arg2925z00_3395), BgL_arg2926z00_3396, BEOA); 
BgL_res3032z00_3425 = 
(BgL_nodez00_bglt)(BgL_auxz00_3971); } } 
BgL_arg2924z00_3394 = BgL_res3032z00_3425; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1926))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2924z00_3394), BUNSPEC); } 
BgL_auxz00_3943 = BgL_nodez00_1926; 
return 
(obj_t)(BgL_auxz00_3943);} } } 
}



/* do-substitute!-jump-ex-it2720 */
obj_t BGl_dozd2substitutez12zd2jumpzd2exzd2it2720z12zzast_substitutez00(obj_t BgL_envz00_3589, obj_t BgL_nodez00_3590, obj_t BgL_sitez00_3591)
{ AN_OBJECT;
{ /* Ast/substitute.scm 238 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1914;obj_t BgL_sitez00_1915;
{ /* Ast/substitute.scm 239 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3979;
BgL_nodez00_1914 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3590); 
BgL_sitez00_1915 = BgL_sitez00_3591; 
{ /* Ast/substitute.scm 239 */
BgL_nodez00_bglt BgL_arg2917z00_1918;
{ /* Ast/substitute.scm 239 */
BgL_nodez00_bglt BgL_arg2918z00_1919;obj_t BgL_arg2919z00_1920;
BgL_arg2918z00_1919 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1914))->BgL_exitz00); 
BgL_arg2919z00_1920 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/substitute.scm 239 */
BgL_nodez00_bglt BgL_res3026z00_3360;
{ /* Ast/substitute.scm 239 */
obj_t BgL_method2686z00_3335;
{ /* Ast/substitute.scm 239 */
long BgL_objzd2classzd2numz00_3337;
{ /* Ast/substitute.scm 239 */
BgL_objectz00_bglt BgL_auxz00_3982;
BgL_auxz00_3982 = 
(BgL_objectz00_bglt)(BgL_arg2918z00_1919); 
BgL_objzd2classzd2numz00_3337 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3982); } 
{ /* Ast/substitute.scm 239 */
obj_t BgL_arg1221z00_3338;
{ /* Ast/substitute.scm 239 */
int BgL_auxz00_3985;
BgL_auxz00_3985 = 
(int)(((long)1)); 
BgL_arg1221z00_3338 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_3985); } 
{ /* Ast/substitute.scm 239 */
long BgL_offsetz00_3342;
{ /* Ast/substitute.scm 239 */
long BgL_auxz00_3988;
{ /* Ast/substitute.scm 239 */
int BgL_auxz00_3989;
BgL_auxz00_3989 = 
(int)(BgL_objzd2classzd2numz00_3337); 
BgL_auxz00_3988 = 
(long)(BgL_auxz00_3989); } 
BgL_offsetz00_3342 = 
(BgL_auxz00_3988-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 239 */
long BgL_modz00_3343;
{ /* Ast/substitute.scm 239 */
long BgL_auxz00_3993;
{ /* Ast/substitute.scm 239 */
int BgL_auxz00_3994;
BgL_auxz00_3994 = 
(int)(((long)8)); 
BgL_auxz00_3993 = 
(long)(BgL_auxz00_3994); } 
BgL_modz00_3343 = 
(BgL_offsetz00_3342/BgL_auxz00_3993); } 
{ /* Ast/substitute.scm 239 */
long BgL_restz00_3345;
{ /* Ast/substitute.scm 239 */
long BgL_auxz00_3998;
{ /* Ast/substitute.scm 239 */
int BgL_auxz00_3999;
BgL_auxz00_3999 = 
(int)(((long)8)); 
BgL_auxz00_3998 = 
(long)(BgL_auxz00_3999); } 
BgL_restz00_3345 = 
(BgL_offsetz00_3342%BgL_auxz00_3998); } 
{ /* Ast/substitute.scm 239 */

{ /* Ast/substitute.scm 239 */
obj_t BgL_bucketz00_3347;
{ /* Ast/substitute.scm 239 */
int BgL_kz00_3357;
BgL_kz00_3357 = 
(int)(BgL_modz00_3343); 
BgL_bucketz00_3347 = 
VECTOR_REF(BgL_arg1221z00_3338,BgL_kz00_3357); } 
{ /* Ast/substitute.scm 239 */
int BgL_kz00_3359;
BgL_kz00_3359 = 
(int)(BgL_restz00_3345); 
BgL_method2686z00_3335 = 
VECTOR_REF(BgL_bucketz00_3347,BgL_kz00_3359); } } } } } } } } 
{ /* Ast/substitute.scm 239 */
obj_t BgL_auxz00_4007;
BgL_auxz00_4007 = 
PROCEDURE_ENTRY(BgL_method2686z00_3335)(BgL_method2686z00_3335, 
(obj_t)(BgL_arg2918z00_1919), BgL_arg2919z00_1920, BEOA); 
BgL_res3026z00_3360 = 
(BgL_nodez00_bglt)(BgL_auxz00_4007); } } 
BgL_arg2917z00_1918 = BgL_res3026z00_3360; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1914))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2917z00_1918), BUNSPEC); } 
{ /* Ast/substitute.scm 240 */
BgL_nodez00_bglt BgL_arg2920z00_1921;
{ /* Ast/substitute.scm 240 */
BgL_nodez00_bglt BgL_arg2921z00_1922;obj_t BgL_arg2922z00_1923;
BgL_arg2921z00_1922 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1914))->BgL_valuez00); 
BgL_arg2922z00_1923 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 240 */
BgL_nodez00_bglt BgL_res3029z00_3391;
{ /* Ast/substitute.scm 240 */
obj_t BgL_method2686z00_3366;
{ /* Ast/substitute.scm 240 */
long BgL_objzd2classzd2numz00_3368;
{ /* Ast/substitute.scm 240 */
BgL_objectz00_bglt BgL_auxz00_4015;
BgL_auxz00_4015 = 
(BgL_objectz00_bglt)(BgL_arg2921z00_1922); 
BgL_objzd2classzd2numz00_3368 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4015); } 
{ /* Ast/substitute.scm 240 */
obj_t BgL_arg1221z00_3369;
{ /* Ast/substitute.scm 240 */
int BgL_auxz00_4018;
BgL_auxz00_4018 = 
(int)(((long)1)); 
BgL_arg1221z00_3369 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4018); } 
{ /* Ast/substitute.scm 240 */
long BgL_offsetz00_3373;
{ /* Ast/substitute.scm 240 */
long BgL_auxz00_4021;
{ /* Ast/substitute.scm 240 */
int BgL_auxz00_4022;
BgL_auxz00_4022 = 
(int)(BgL_objzd2classzd2numz00_3368); 
BgL_auxz00_4021 = 
(long)(BgL_auxz00_4022); } 
BgL_offsetz00_3373 = 
(BgL_auxz00_4021-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 240 */
long BgL_modz00_3374;
{ /* Ast/substitute.scm 240 */
long BgL_auxz00_4026;
{ /* Ast/substitute.scm 240 */
int BgL_auxz00_4027;
BgL_auxz00_4027 = 
(int)(((long)8)); 
BgL_auxz00_4026 = 
(long)(BgL_auxz00_4027); } 
BgL_modz00_3374 = 
(BgL_offsetz00_3373/BgL_auxz00_4026); } 
{ /* Ast/substitute.scm 240 */
long BgL_restz00_3376;
{ /* Ast/substitute.scm 240 */
long BgL_auxz00_4031;
{ /* Ast/substitute.scm 240 */
int BgL_auxz00_4032;
BgL_auxz00_4032 = 
(int)(((long)8)); 
BgL_auxz00_4031 = 
(long)(BgL_auxz00_4032); } 
BgL_restz00_3376 = 
(BgL_offsetz00_3373%BgL_auxz00_4031); } 
{ /* Ast/substitute.scm 240 */

{ /* Ast/substitute.scm 240 */
obj_t BgL_bucketz00_3378;
{ /* Ast/substitute.scm 240 */
int BgL_kz00_3388;
BgL_kz00_3388 = 
(int)(BgL_modz00_3374); 
BgL_bucketz00_3378 = 
VECTOR_REF(BgL_arg1221z00_3369,BgL_kz00_3388); } 
{ /* Ast/substitute.scm 240 */
int BgL_kz00_3390;
BgL_kz00_3390 = 
(int)(BgL_restz00_3376); 
BgL_method2686z00_3366 = 
VECTOR_REF(BgL_bucketz00_3378,BgL_kz00_3390); } } } } } } } } 
{ /* Ast/substitute.scm 240 */
obj_t BgL_auxz00_4040;
BgL_auxz00_4040 = 
PROCEDURE_ENTRY(BgL_method2686z00_3366)(BgL_method2686z00_3366, 
(obj_t)(BgL_arg2921z00_1922), BgL_arg2922z00_1923, BEOA); 
BgL_res3029z00_3391 = 
(BgL_nodez00_bglt)(BgL_auxz00_4040); } } 
BgL_arg2920z00_1921 = BgL_res3029z00_3391; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1914))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2920z00_1921), BUNSPEC); } 
BgL_auxz00_3979 = BgL_nodez00_1914; 
return 
(obj_t)(BgL_auxz00_3979);} } } 
}



/* do-substitute!-set-ex-it2718 */
obj_t BGl_dozd2substitutez12zd2setzd2exzd2it2718z12zzast_substitutez00(obj_t BgL_envz00_3592, obj_t BgL_nodez00_3593, obj_t BgL_sitez00_3594)
{ AN_OBJECT;
{ /* Ast/substitute.scm 231 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1906;obj_t BgL_sitez00_1907;
{ /* Ast/substitute.scm 232 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4048;
BgL_nodez00_1906 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3593); 
BgL_sitez00_1907 = BgL_sitez00_3594; 
{ /* Ast/substitute.scm 232 */
BgL_nodez00_bglt BgL_arg2914z00_3299;
{ /* Ast/substitute.scm 232 */
BgL_nodez00_bglt BgL_arg2915z00_3300;
BgL_arg2915z00_3300 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1906))->BgL_bodyz00); 
{ /* Ast/substitute.scm 232 */
BgL_nodez00_bglt BgL_res3023z00_3329;
{ /* Ast/substitute.scm 232 */
obj_t BgL_method2686z00_3304;
{ /* Ast/substitute.scm 232 */
long BgL_objzd2classzd2numz00_3306;
{ /* Ast/substitute.scm 232 */
BgL_objectz00_bglt BgL_auxz00_4050;
BgL_auxz00_4050 = 
(BgL_objectz00_bglt)(BgL_arg2915z00_3300); 
BgL_objzd2classzd2numz00_3306 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4050); } 
{ /* Ast/substitute.scm 232 */
obj_t BgL_arg1221z00_3307;
{ /* Ast/substitute.scm 232 */
int BgL_auxz00_4053;
BgL_auxz00_4053 = 
(int)(((long)1)); 
BgL_arg1221z00_3307 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4053); } 
{ /* Ast/substitute.scm 232 */
long BgL_offsetz00_3311;
{ /* Ast/substitute.scm 232 */
long BgL_auxz00_4056;
{ /* Ast/substitute.scm 232 */
int BgL_auxz00_4057;
BgL_auxz00_4057 = 
(int)(BgL_objzd2classzd2numz00_3306); 
BgL_auxz00_4056 = 
(long)(BgL_auxz00_4057); } 
BgL_offsetz00_3311 = 
(BgL_auxz00_4056-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 232 */
long BgL_modz00_3312;
{ /* Ast/substitute.scm 232 */
long BgL_auxz00_4061;
{ /* Ast/substitute.scm 232 */
int BgL_auxz00_4062;
BgL_auxz00_4062 = 
(int)(((long)8)); 
BgL_auxz00_4061 = 
(long)(BgL_auxz00_4062); } 
BgL_modz00_3312 = 
(BgL_offsetz00_3311/BgL_auxz00_4061); } 
{ /* Ast/substitute.scm 232 */
long BgL_restz00_3314;
{ /* Ast/substitute.scm 232 */
long BgL_auxz00_4066;
{ /* Ast/substitute.scm 232 */
int BgL_auxz00_4067;
BgL_auxz00_4067 = 
(int)(((long)8)); 
BgL_auxz00_4066 = 
(long)(BgL_auxz00_4067); } 
BgL_restz00_3314 = 
(BgL_offsetz00_3311%BgL_auxz00_4066); } 
{ /* Ast/substitute.scm 232 */

{ /* Ast/substitute.scm 232 */
obj_t BgL_bucketz00_3316;
{ /* Ast/substitute.scm 232 */
int BgL_kz00_3326;
BgL_kz00_3326 = 
(int)(BgL_modz00_3312); 
BgL_bucketz00_3316 = 
VECTOR_REF(BgL_arg1221z00_3307,BgL_kz00_3326); } 
{ /* Ast/substitute.scm 232 */
int BgL_kz00_3328;
BgL_kz00_3328 = 
(int)(BgL_restz00_3314); 
BgL_method2686z00_3304 = 
VECTOR_REF(BgL_bucketz00_3316,BgL_kz00_3328); } } } } } } } } 
{ /* Ast/substitute.scm 232 */
obj_t BgL_auxz00_4075;
BgL_auxz00_4075 = 
PROCEDURE_ENTRY(BgL_method2686z00_3304)(BgL_method2686z00_3304, 
(obj_t)(BgL_arg2915z00_3300), BgL_sitez00_1907, BEOA); 
BgL_res3023z00_3329 = 
(BgL_nodez00_bglt)(BgL_auxz00_4075); } } 
BgL_arg2914z00_3299 = BgL_res3023z00_3329; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1906))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2914z00_3299), BUNSPEC); } 
BgL_auxz00_4048 = BgL_nodez00_1906; 
return 
(obj_t)(BgL_auxz00_4048);} } } 
}



/* do-substitute!-let-var2716 */
obj_t BGl_dozd2substitutez12zd2letzd2var2716zc0zzast_substitutez00(obj_t BgL_envz00_3595, obj_t BgL_nodez00_3596, obj_t BgL_sitez00_3597)
{ AN_OBJECT;
{ /* Ast/substitute.scm 221 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1889;obj_t BgL_sitez00_1890;
{ /* Ast/substitute.scm 222 */
BgL_letzd2varzd2_bglt BgL_auxz00_4083;
BgL_nodez00_1889 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3596); 
BgL_sitez00_1890 = BgL_sitez00_3597; 
{ 
obj_t BgL_l2683z00_1893;
BgL_l2683z00_1893 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1889))->BgL_bindingsz00); 
BgL_lname2684z00_1894:
if(
PAIRP(BgL_l2683z00_1893))
{ /* Ast/substitute.scm 222 */
{ /* Ast/substitute.scm 223 */
obj_t BgL_bindingz00_1897;
BgL_bindingz00_1897 = 
CAR(BgL_l2683z00_1893); 
{ /* Ast/substitute.scm 223 */
BgL_nodez00_bglt BgL_arg2907z00_1898;
{ /* Ast/substitute.scm 223 */
obj_t BgL_arg2909z00_1900;
BgL_arg2909z00_1900 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 223 */
BgL_nodez00_bglt BgL_res3017z00_3264;
{ /* Ast/substitute.scm 223 */
BgL_nodez00_bglt BgL_nodez00_3237;
{ /* Ast/substitute.scm 223 */
obj_t BgL_auxz00_4088;
BgL_auxz00_4088 = 
CDR(BgL_bindingz00_1897); 
BgL_nodez00_3237 = 
(BgL_nodez00_bglt)(BgL_auxz00_4088); } 
{ /* Ast/substitute.scm 223 */
obj_t BgL_method2686z00_3239;
{ /* Ast/substitute.scm 223 */
long BgL_objzd2classzd2numz00_3241;
{ /* Ast/substitute.scm 223 */
BgL_objectz00_bglt BgL_auxz00_4091;
BgL_auxz00_4091 = 
(BgL_objectz00_bglt)(BgL_nodez00_3237); 
BgL_objzd2classzd2numz00_3241 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4091); } 
{ /* Ast/substitute.scm 223 */
obj_t BgL_arg1221z00_3242;
{ /* Ast/substitute.scm 223 */
int BgL_auxz00_4094;
BgL_auxz00_4094 = 
(int)(((long)1)); 
BgL_arg1221z00_3242 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4094); } 
{ /* Ast/substitute.scm 223 */
long BgL_offsetz00_3246;
{ /* Ast/substitute.scm 223 */
long BgL_auxz00_4097;
{ /* Ast/substitute.scm 223 */
int BgL_auxz00_4098;
BgL_auxz00_4098 = 
(int)(BgL_objzd2classzd2numz00_3241); 
BgL_auxz00_4097 = 
(long)(BgL_auxz00_4098); } 
BgL_offsetz00_3246 = 
(BgL_auxz00_4097-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 223 */
long BgL_modz00_3247;
{ /* Ast/substitute.scm 223 */
long BgL_auxz00_4102;
{ /* Ast/substitute.scm 223 */
int BgL_auxz00_4103;
BgL_auxz00_4103 = 
(int)(((long)8)); 
BgL_auxz00_4102 = 
(long)(BgL_auxz00_4103); } 
BgL_modz00_3247 = 
(BgL_offsetz00_3246/BgL_auxz00_4102); } 
{ /* Ast/substitute.scm 223 */
long BgL_restz00_3249;
{ /* Ast/substitute.scm 223 */
long BgL_auxz00_4107;
{ /* Ast/substitute.scm 223 */
int BgL_auxz00_4108;
BgL_auxz00_4108 = 
(int)(((long)8)); 
BgL_auxz00_4107 = 
(long)(BgL_auxz00_4108); } 
BgL_restz00_3249 = 
(BgL_offsetz00_3246%BgL_auxz00_4107); } 
{ /* Ast/substitute.scm 223 */

{ /* Ast/substitute.scm 223 */
obj_t BgL_bucketz00_3251;
{ /* Ast/substitute.scm 223 */
int BgL_kz00_3261;
BgL_kz00_3261 = 
(int)(BgL_modz00_3247); 
BgL_bucketz00_3251 = 
VECTOR_REF(BgL_arg1221z00_3242,BgL_kz00_3261); } 
{ /* Ast/substitute.scm 223 */
int BgL_kz00_3263;
BgL_kz00_3263 = 
(int)(BgL_restz00_3249); 
BgL_method2686z00_3239 = 
VECTOR_REF(BgL_bucketz00_3251,BgL_kz00_3263); } } } } } } } } 
{ /* Ast/substitute.scm 223 */
obj_t BgL_auxz00_4116;
BgL_auxz00_4116 = 
PROCEDURE_ENTRY(BgL_method2686z00_3239)(BgL_method2686z00_3239, 
(obj_t)(BgL_nodez00_3237), BgL_arg2909z00_1900, BEOA); 
BgL_res3017z00_3264 = 
(BgL_nodez00_bglt)(BgL_auxz00_4116); } } } 
BgL_arg2907z00_1898 = BgL_res3017z00_3264; } } 
{ /* Ast/substitute.scm 223 */
obj_t BgL_auxz00_4121;
BgL_auxz00_4121 = 
(obj_t)(BgL_arg2907z00_1898); 
SET_CDR(BgL_bindingz00_1897, BgL_auxz00_4121); } } } 
{ 
obj_t BgL_l2683z00_4124;
BgL_l2683z00_4124 = 
CDR(BgL_l2683z00_1893); 
BgL_l2683z00_1893 = BgL_l2683z00_4124; 
goto BgL_lname2684z00_1894;} }  else 
{ /* Ast/substitute.scm 222 */((bool_t)1); } } 
{ /* Ast/substitute.scm 225 */
BgL_nodez00_bglt BgL_arg2911z00_1902;
{ /* Ast/substitute.scm 225 */
BgL_nodez00_bglt BgL_arg2912z00_1903;
BgL_arg2912z00_1903 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1889))->BgL_bodyz00); 
{ /* Ast/substitute.scm 225 */
BgL_nodez00_bglt BgL_res3020z00_3296;
{ /* Ast/substitute.scm 225 */
obj_t BgL_method2686z00_3271;
{ /* Ast/substitute.scm 225 */
long BgL_objzd2classzd2numz00_3273;
{ /* Ast/substitute.scm 225 */
BgL_objectz00_bglt BgL_auxz00_4128;
BgL_auxz00_4128 = 
(BgL_objectz00_bglt)(BgL_arg2912z00_1903); 
BgL_objzd2classzd2numz00_3273 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4128); } 
{ /* Ast/substitute.scm 225 */
obj_t BgL_arg1221z00_3274;
{ /* Ast/substitute.scm 225 */
int BgL_auxz00_4131;
BgL_auxz00_4131 = 
(int)(((long)1)); 
BgL_arg1221z00_3274 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4131); } 
{ /* Ast/substitute.scm 225 */
long BgL_offsetz00_3278;
{ /* Ast/substitute.scm 225 */
long BgL_auxz00_4134;
{ /* Ast/substitute.scm 225 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(BgL_objzd2classzd2numz00_3273); 
BgL_auxz00_4134 = 
(long)(BgL_auxz00_4135); } 
BgL_offsetz00_3278 = 
(BgL_auxz00_4134-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 225 */
long BgL_modz00_3279;
{ /* Ast/substitute.scm 225 */
long BgL_auxz00_4139;
{ /* Ast/substitute.scm 225 */
int BgL_auxz00_4140;
BgL_auxz00_4140 = 
(int)(((long)8)); 
BgL_auxz00_4139 = 
(long)(BgL_auxz00_4140); } 
BgL_modz00_3279 = 
(BgL_offsetz00_3278/BgL_auxz00_4139); } 
{ /* Ast/substitute.scm 225 */
long BgL_restz00_3281;
{ /* Ast/substitute.scm 225 */
long BgL_auxz00_4144;
{ /* Ast/substitute.scm 225 */
int BgL_auxz00_4145;
BgL_auxz00_4145 = 
(int)(((long)8)); 
BgL_auxz00_4144 = 
(long)(BgL_auxz00_4145); } 
BgL_restz00_3281 = 
(BgL_offsetz00_3278%BgL_auxz00_4144); } 
{ /* Ast/substitute.scm 225 */

{ /* Ast/substitute.scm 225 */
obj_t BgL_bucketz00_3283;
{ /* Ast/substitute.scm 225 */
int BgL_kz00_3293;
BgL_kz00_3293 = 
(int)(BgL_modz00_3279); 
BgL_bucketz00_3283 = 
VECTOR_REF(BgL_arg1221z00_3274,BgL_kz00_3293); } 
{ /* Ast/substitute.scm 225 */
int BgL_kz00_3295;
BgL_kz00_3295 = 
(int)(BgL_restz00_3281); 
BgL_method2686z00_3271 = 
VECTOR_REF(BgL_bucketz00_3283,BgL_kz00_3295); } } } } } } } } 
{ /* Ast/substitute.scm 225 */
obj_t BgL_auxz00_4153;
BgL_auxz00_4153 = 
PROCEDURE_ENTRY(BgL_method2686z00_3271)(BgL_method2686z00_3271, 
(obj_t)(BgL_arg2912z00_1903), BgL_sitez00_1890, BEOA); 
BgL_res3020z00_3296 = 
(BgL_nodez00_bglt)(BgL_auxz00_4153); } } 
BgL_arg2911z00_1902 = BgL_res3020z00_3296; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1889))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2911z00_1902), BUNSPEC); } 
BgL_auxz00_4083 = BgL_nodez00_1889; 
return 
(obj_t)(BgL_auxz00_4083);} } } 
}



/* do-substitute!-let-fun2714 */
obj_t BGl_dozd2substitutez12zd2letzd2fun2714zc0zzast_substitutez00(obj_t BgL_envz00_3598, obj_t BgL_nodez00_3599, obj_t BgL_sitez00_3600)
{ AN_OBJECT;
{ /* Ast/substitute.scm 209 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1871;obj_t BgL_sitez00_1872;
{ /* Ast/substitute.scm 210 */
BgL_letzd2funzd2_bglt BgL_auxz00_4161;
BgL_nodez00_1871 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3599); 
BgL_sitez00_1872 = BgL_sitez00_3600; 
{ 
obj_t BgL_l2681z00_1875;
BgL_l2681z00_1875 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1871))->BgL_localsz00); 
BgL_lname2682z00_1876:
if(
PAIRP(BgL_l2681z00_1875))
{ /* Ast/substitute.scm 210 */
{ /* Ast/substitute.scm 211 */
BgL_valuez00_bglt BgL_funz00_1880;
{ /* Ast/substitute.scm 211 */
BgL_localz00_bglt BgL_obj1255z00_3169;
{ /* Ast/substitute.scm 211 */
obj_t BgL_auxz00_4164;
BgL_auxz00_4164 = 
CAR(BgL_l2681z00_1875); 
BgL_obj1255z00_3169 = 
(BgL_localz00_bglt)(BgL_auxz00_4164); } 
BgL_funz00_1880 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3169))->BgL_valuez00); } 
{ /* Ast/substitute.scm 212 */
BgL_nodez00_bglt BgL_arg2898z00_1881;
{ /* Ast/substitute.scm 212 */
obj_t BgL_arg2900z00_1883;
BgL_arg2900z00_1883 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 212 */
BgL_nodez00_bglt BgL_res3011z00_3198;
{ /* Ast/substitute.scm 212 */
BgL_nodez00_bglt BgL_nodez00_3171;
{ /* Ast/substitute.scm 212 */
obj_t BgL_auxz00_4169;
{ /* Ast/substitute.scm 212 */
BgL_sfunz00_bglt BgL_obj1372z00_3170;
BgL_obj1372z00_3170 = 
(BgL_sfunz00_bglt)(BgL_funz00_1880); 
BgL_auxz00_4169 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3170))->BgL_bodyz00); } 
BgL_nodez00_3171 = 
(BgL_nodez00_bglt)(BgL_auxz00_4169); } 
{ /* Ast/substitute.scm 212 */
obj_t BgL_method2686z00_3173;
{ /* Ast/substitute.scm 212 */
long BgL_objzd2classzd2numz00_3175;
{ /* Ast/substitute.scm 212 */
BgL_objectz00_bglt BgL_auxz00_4173;
BgL_auxz00_4173 = 
(BgL_objectz00_bglt)(BgL_nodez00_3171); 
BgL_objzd2classzd2numz00_3175 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4173); } 
{ /* Ast/substitute.scm 212 */
obj_t BgL_arg1221z00_3176;
{ /* Ast/substitute.scm 212 */
int BgL_auxz00_4176;
BgL_auxz00_4176 = 
(int)(((long)1)); 
BgL_arg1221z00_3176 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4176); } 
{ /* Ast/substitute.scm 212 */
long BgL_offsetz00_3180;
{ /* Ast/substitute.scm 212 */
long BgL_auxz00_4179;
{ /* Ast/substitute.scm 212 */
int BgL_auxz00_4180;
BgL_auxz00_4180 = 
(int)(BgL_objzd2classzd2numz00_3175); 
BgL_auxz00_4179 = 
(long)(BgL_auxz00_4180); } 
BgL_offsetz00_3180 = 
(BgL_auxz00_4179-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 212 */
long BgL_modz00_3181;
{ /* Ast/substitute.scm 212 */
long BgL_auxz00_4184;
{ /* Ast/substitute.scm 212 */
int BgL_auxz00_4185;
BgL_auxz00_4185 = 
(int)(((long)8)); 
BgL_auxz00_4184 = 
(long)(BgL_auxz00_4185); } 
BgL_modz00_3181 = 
(BgL_offsetz00_3180/BgL_auxz00_4184); } 
{ /* Ast/substitute.scm 212 */
long BgL_restz00_3183;
{ /* Ast/substitute.scm 212 */
long BgL_auxz00_4189;
{ /* Ast/substitute.scm 212 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(((long)8)); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_restz00_3183 = 
(BgL_offsetz00_3180%BgL_auxz00_4189); } 
{ /* Ast/substitute.scm 212 */

{ /* Ast/substitute.scm 212 */
obj_t BgL_bucketz00_3185;
{ /* Ast/substitute.scm 212 */
int BgL_kz00_3195;
BgL_kz00_3195 = 
(int)(BgL_modz00_3181); 
BgL_bucketz00_3185 = 
VECTOR_REF(BgL_arg1221z00_3176,BgL_kz00_3195); } 
{ /* Ast/substitute.scm 212 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_restz00_3183); 
BgL_method2686z00_3173 = 
VECTOR_REF(BgL_bucketz00_3185,BgL_kz00_3197); } } } } } } } } 
{ /* Ast/substitute.scm 212 */
obj_t BgL_auxz00_4198;
BgL_auxz00_4198 = 
PROCEDURE_ENTRY(BgL_method2686z00_3173)(BgL_method2686z00_3173, 
(obj_t)(BgL_nodez00_3171), BgL_arg2900z00_1883, BEOA); 
BgL_res3011z00_3198 = 
(BgL_nodez00_bglt)(BgL_auxz00_4198); } } } 
BgL_arg2898z00_1881 = BgL_res3011z00_3198; } } 
{ /* Ast/substitute.scm 212 */
BgL_sfunz00_bglt BgL_obj1374z00_3199;obj_t BgL_val1373z00_3200;
BgL_obj1374z00_3199 = 
(BgL_sfunz00_bglt)(BgL_funz00_1880); 
BgL_val1373z00_3200 = 
(obj_t)(BgL_arg2898z00_1881); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3199))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_3200), BUNSPEC); } } } 
{ 
obj_t BgL_l2681z00_4206;
BgL_l2681z00_4206 = 
CDR(BgL_l2681z00_1875); 
BgL_l2681z00_1875 = BgL_l2681z00_4206; 
goto BgL_lname2682z00_1876;} }  else 
{ /* Ast/substitute.scm 210 */((bool_t)1); } } 
{ /* Ast/substitute.scm 215 */
BgL_nodez00_bglt BgL_arg2902z00_1885;
{ /* Ast/substitute.scm 215 */
BgL_nodez00_bglt BgL_arg2903z00_1886;
BgL_arg2903z00_1886 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1871))->BgL_bodyz00); 
{ /* Ast/substitute.scm 215 */
BgL_nodez00_bglt BgL_res3014z00_3230;
{ /* Ast/substitute.scm 215 */
obj_t BgL_method2686z00_3205;
{ /* Ast/substitute.scm 215 */
long BgL_objzd2classzd2numz00_3207;
{ /* Ast/substitute.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4210;
BgL_auxz00_4210 = 
(BgL_objectz00_bglt)(BgL_arg2903z00_1886); 
BgL_objzd2classzd2numz00_3207 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4210); } 
{ /* Ast/substitute.scm 215 */
obj_t BgL_arg1221z00_3208;
{ /* Ast/substitute.scm 215 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)1)); 
BgL_arg1221z00_3208 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4213); } 
{ /* Ast/substitute.scm 215 */
long BgL_offsetz00_3212;
{ /* Ast/substitute.scm 215 */
long BgL_auxz00_4216;
{ /* Ast/substitute.scm 215 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(BgL_objzd2classzd2numz00_3207); 
BgL_auxz00_4216 = 
(long)(BgL_auxz00_4217); } 
BgL_offsetz00_3212 = 
(BgL_auxz00_4216-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 215 */
long BgL_modz00_3213;
{ /* Ast/substitute.scm 215 */
long BgL_auxz00_4221;
{ /* Ast/substitute.scm 215 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)8)); 
BgL_auxz00_4221 = 
(long)(BgL_auxz00_4222); } 
BgL_modz00_3213 = 
(BgL_offsetz00_3212/BgL_auxz00_4221); } 
{ /* Ast/substitute.scm 215 */
long BgL_restz00_3215;
{ /* Ast/substitute.scm 215 */
long BgL_auxz00_4226;
{ /* Ast/substitute.scm 215 */
int BgL_auxz00_4227;
BgL_auxz00_4227 = 
(int)(((long)8)); 
BgL_auxz00_4226 = 
(long)(BgL_auxz00_4227); } 
BgL_restz00_3215 = 
(BgL_offsetz00_3212%BgL_auxz00_4226); } 
{ /* Ast/substitute.scm 215 */

{ /* Ast/substitute.scm 215 */
obj_t BgL_bucketz00_3217;
{ /* Ast/substitute.scm 215 */
int BgL_kz00_3227;
BgL_kz00_3227 = 
(int)(BgL_modz00_3213); 
BgL_bucketz00_3217 = 
VECTOR_REF(BgL_arg1221z00_3208,BgL_kz00_3227); } 
{ /* Ast/substitute.scm 215 */
int BgL_kz00_3229;
BgL_kz00_3229 = 
(int)(BgL_restz00_3215); 
BgL_method2686z00_3205 = 
VECTOR_REF(BgL_bucketz00_3217,BgL_kz00_3229); } } } } } } } } 
{ /* Ast/substitute.scm 215 */
obj_t BgL_auxz00_4235;
BgL_auxz00_4235 = 
PROCEDURE_ENTRY(BgL_method2686z00_3205)(BgL_method2686z00_3205, 
(obj_t)(BgL_arg2903z00_1886), BgL_sitez00_1872, BEOA); 
BgL_res3014z00_3230 = 
(BgL_nodez00_bglt)(BgL_auxz00_4235); } } 
BgL_arg2902z00_1885 = BgL_res3014z00_3230; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1871))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2902z00_1885), BUNSPEC); } 
BgL_auxz00_4161 = BgL_nodez00_1871; 
return 
(obj_t)(BgL_auxz00_4161);} } } 
}



/* do-substitute!-select2712 */
obj_t BGl_dozd2substitutez12zd2select2712z12zzast_substitutez00(obj_t BgL_envz00_3601, obj_t BgL_nodez00_3602, obj_t BgL_sitez00_3603)
{ AN_OBJECT;
{ /* Ast/substitute.scm 199 */
{ 
BgL_selectz00_bglt BgL_nodez00_1854;obj_t BgL_sitez00_1855;
{ /* Ast/substitute.scm 200 */
BgL_selectz00_bglt BgL_auxz00_4243;
BgL_nodez00_1854 = 
(BgL_selectz00_bglt)(BgL_nodez00_3602); 
BgL_sitez00_1855 = BgL_sitez00_3603; 
{ /* Ast/substitute.scm 200 */
BgL_nodez00_bglt BgL_arg2887z00_1858;
{ /* Ast/substitute.scm 200 */
BgL_nodez00_bglt BgL_arg2888z00_1859;obj_t BgL_arg2889z00_1860;
BgL_arg2888z00_1859 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1854))->BgL_testz00); 
BgL_arg2889z00_1860 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 200 */
BgL_nodez00_bglt BgL_res3005z00_3128;
{ /* Ast/substitute.scm 200 */
obj_t BgL_method2686z00_3103;
{ /* Ast/substitute.scm 200 */
long BgL_objzd2classzd2numz00_3105;
{ /* Ast/substitute.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4246;
BgL_auxz00_4246 = 
(BgL_objectz00_bglt)(BgL_arg2888z00_1859); 
BgL_objzd2classzd2numz00_3105 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4246); } 
{ /* Ast/substitute.scm 200 */
obj_t BgL_arg1221z00_3106;
{ /* Ast/substitute.scm 200 */
int BgL_auxz00_4249;
BgL_auxz00_4249 = 
(int)(((long)1)); 
BgL_arg1221z00_3106 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4249); } 
{ /* Ast/substitute.scm 200 */
long BgL_offsetz00_3110;
{ /* Ast/substitute.scm 200 */
long BgL_auxz00_4252;
{ /* Ast/substitute.scm 200 */
int BgL_auxz00_4253;
BgL_auxz00_4253 = 
(int)(BgL_objzd2classzd2numz00_3105); 
BgL_auxz00_4252 = 
(long)(BgL_auxz00_4253); } 
BgL_offsetz00_3110 = 
(BgL_auxz00_4252-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 200 */
long BgL_modz00_3111;
{ /* Ast/substitute.scm 200 */
long BgL_auxz00_4257;
{ /* Ast/substitute.scm 200 */
int BgL_auxz00_4258;
BgL_auxz00_4258 = 
(int)(((long)8)); 
BgL_auxz00_4257 = 
(long)(BgL_auxz00_4258); } 
BgL_modz00_3111 = 
(BgL_offsetz00_3110/BgL_auxz00_4257); } 
{ /* Ast/substitute.scm 200 */
long BgL_restz00_3113;
{ /* Ast/substitute.scm 200 */
long BgL_auxz00_4262;
{ /* Ast/substitute.scm 200 */
int BgL_auxz00_4263;
BgL_auxz00_4263 = 
(int)(((long)8)); 
BgL_auxz00_4262 = 
(long)(BgL_auxz00_4263); } 
BgL_restz00_3113 = 
(BgL_offsetz00_3110%BgL_auxz00_4262); } 
{ /* Ast/substitute.scm 200 */

{ /* Ast/substitute.scm 200 */
obj_t BgL_bucketz00_3115;
{ /* Ast/substitute.scm 200 */
int BgL_kz00_3125;
BgL_kz00_3125 = 
(int)(BgL_modz00_3111); 
BgL_bucketz00_3115 = 
VECTOR_REF(BgL_arg1221z00_3106,BgL_kz00_3125); } 
{ /* Ast/substitute.scm 200 */
int BgL_kz00_3127;
BgL_kz00_3127 = 
(int)(BgL_restz00_3113); 
BgL_method2686z00_3103 = 
VECTOR_REF(BgL_bucketz00_3115,BgL_kz00_3127); } } } } } } } } 
{ /* Ast/substitute.scm 200 */
obj_t BgL_auxz00_4271;
BgL_auxz00_4271 = 
PROCEDURE_ENTRY(BgL_method2686z00_3103)(BgL_method2686z00_3103, 
(obj_t)(BgL_arg2888z00_1859), BgL_arg2889z00_1860, BEOA); 
BgL_res3005z00_3128 = 
(BgL_nodez00_bglt)(BgL_auxz00_4271); } } 
BgL_arg2887z00_1858 = BgL_res3005z00_3128; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1854))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2887z00_1858), BUNSPEC); } 
{ 
obj_t BgL_l2679z00_1861;
BgL_l2679z00_1861 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1854))->BgL_clausesz00); 
BgL_lname2680z00_1862:
if(
PAIRP(BgL_l2679z00_1861))
{ /* Ast/substitute.scm 201 */
{ /* Ast/substitute.scm 202 */
obj_t BgL_clausez00_1865;
BgL_clausez00_1865 = 
CAR(BgL_l2679z00_1861); 
{ /* Ast/substitute.scm 202 */
BgL_nodez00_bglt BgL_arg2892z00_1866;
{ /* Ast/substitute.scm 202 */
BgL_nodez00_bglt BgL_res3008z00_3162;
{ /* Ast/substitute.scm 202 */
BgL_nodez00_bglt BgL_nodez00_3135;
{ /* Ast/substitute.scm 202 */
obj_t BgL_auxz00_4280;
BgL_auxz00_4280 = 
CDR(BgL_clausez00_1865); 
BgL_nodez00_3135 = 
(BgL_nodez00_bglt)(BgL_auxz00_4280); } 
{ /* Ast/substitute.scm 202 */
obj_t BgL_method2686z00_3137;
{ /* Ast/substitute.scm 202 */
long BgL_objzd2classzd2numz00_3139;
{ /* Ast/substitute.scm 202 */
BgL_objectz00_bglt BgL_auxz00_4283;
BgL_auxz00_4283 = 
(BgL_objectz00_bglt)(BgL_nodez00_3135); 
BgL_objzd2classzd2numz00_3139 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4283); } 
{ /* Ast/substitute.scm 202 */
obj_t BgL_arg1221z00_3140;
{ /* Ast/substitute.scm 202 */
int BgL_auxz00_4286;
BgL_auxz00_4286 = 
(int)(((long)1)); 
BgL_arg1221z00_3140 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4286); } 
{ /* Ast/substitute.scm 202 */
long BgL_offsetz00_3144;
{ /* Ast/substitute.scm 202 */
long BgL_auxz00_4289;
{ /* Ast/substitute.scm 202 */
int BgL_auxz00_4290;
BgL_auxz00_4290 = 
(int)(BgL_objzd2classzd2numz00_3139); 
BgL_auxz00_4289 = 
(long)(BgL_auxz00_4290); } 
BgL_offsetz00_3144 = 
(BgL_auxz00_4289-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 202 */
long BgL_modz00_3145;
{ /* Ast/substitute.scm 202 */
long BgL_auxz00_4294;
{ /* Ast/substitute.scm 202 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)8)); 
BgL_auxz00_4294 = 
(long)(BgL_auxz00_4295); } 
BgL_modz00_3145 = 
(BgL_offsetz00_3144/BgL_auxz00_4294); } 
{ /* Ast/substitute.scm 202 */
long BgL_restz00_3147;
{ /* Ast/substitute.scm 202 */
long BgL_auxz00_4299;
{ /* Ast/substitute.scm 202 */
int BgL_auxz00_4300;
BgL_auxz00_4300 = 
(int)(((long)8)); 
BgL_auxz00_4299 = 
(long)(BgL_auxz00_4300); } 
BgL_restz00_3147 = 
(BgL_offsetz00_3144%BgL_auxz00_4299); } 
{ /* Ast/substitute.scm 202 */

{ /* Ast/substitute.scm 202 */
obj_t BgL_bucketz00_3149;
{ /* Ast/substitute.scm 202 */
int BgL_kz00_3159;
BgL_kz00_3159 = 
(int)(BgL_modz00_3145); 
BgL_bucketz00_3149 = 
VECTOR_REF(BgL_arg1221z00_3140,BgL_kz00_3159); } 
{ /* Ast/substitute.scm 202 */
int BgL_kz00_3161;
BgL_kz00_3161 = 
(int)(BgL_restz00_3147); 
BgL_method2686z00_3137 = 
VECTOR_REF(BgL_bucketz00_3149,BgL_kz00_3161); } } } } } } } } 
{ /* Ast/substitute.scm 202 */
obj_t BgL_auxz00_4308;
BgL_auxz00_4308 = 
PROCEDURE_ENTRY(BgL_method2686z00_3137)(BgL_method2686z00_3137, 
(obj_t)(BgL_nodez00_3135), BgL_sitez00_1855, BEOA); 
BgL_res3008z00_3162 = 
(BgL_nodez00_bglt)(BgL_auxz00_4308); } } } 
BgL_arg2892z00_1866 = BgL_res3008z00_3162; } 
{ /* Ast/substitute.scm 202 */
obj_t BgL_auxz00_4313;
BgL_auxz00_4313 = 
(obj_t)(BgL_arg2892z00_1866); 
SET_CDR(BgL_clausez00_1865, BgL_auxz00_4313); } } } 
{ 
obj_t BgL_l2679z00_4316;
BgL_l2679z00_4316 = 
CDR(BgL_l2679z00_1861); 
BgL_l2679z00_1861 = BgL_l2679z00_4316; 
goto BgL_lname2680z00_1862;} }  else 
{ /* Ast/substitute.scm 201 */((bool_t)1); } } 
BgL_auxz00_4243 = BgL_nodez00_1854; 
return 
(obj_t)(BgL_auxz00_4243);} } } 
}



/* do-substitute!-fail2710 */
obj_t BGl_dozd2substitutez12zd2fail2710z12zzast_substitutez00(obj_t BgL_envz00_3604, obj_t BgL_nodez00_3605, obj_t BgL_sitez00_3606)
{ AN_OBJECT;
{ /* Ast/substitute.scm 189 */
{ 
BgL_failz00_bglt BgL_nodez00_1838;obj_t BgL_sitez00_1839;
{ /* Ast/substitute.scm 190 */
BgL_failz00_bglt BgL_auxz00_4321;
BgL_nodez00_1838 = 
(BgL_failz00_bglt)(BgL_nodez00_3605); 
BgL_sitez00_1839 = BgL_sitez00_3606; 
{ /* Ast/substitute.scm 191 */
BgL_nodez00_bglt BgL_arg2877z00_1843;
{ /* Ast/substitute.scm 191 */
BgL_nodez00_bglt BgL_arg2878z00_1844;obj_t BgL_arg2879z00_1845;
BgL_arg2878z00_1844 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_procz00); 
BgL_arg2879z00_1845 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 191 */
BgL_nodez00_bglt BgL_res2996z00_3035;
{ /* Ast/substitute.scm 191 */
obj_t BgL_method2686z00_3010;
{ /* Ast/substitute.scm 191 */
long BgL_objzd2classzd2numz00_3012;
{ /* Ast/substitute.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4324;
BgL_auxz00_4324 = 
(BgL_objectz00_bglt)(BgL_arg2878z00_1844); 
BgL_objzd2classzd2numz00_3012 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4324); } 
{ /* Ast/substitute.scm 191 */
obj_t BgL_arg1221z00_3013;
{ /* Ast/substitute.scm 191 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(((long)1)); 
BgL_arg1221z00_3013 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4327); } 
{ /* Ast/substitute.scm 191 */
long BgL_offsetz00_3017;
{ /* Ast/substitute.scm 191 */
long BgL_auxz00_4330;
{ /* Ast/substitute.scm 191 */
int BgL_auxz00_4331;
BgL_auxz00_4331 = 
(int)(BgL_objzd2classzd2numz00_3012); 
BgL_auxz00_4330 = 
(long)(BgL_auxz00_4331); } 
BgL_offsetz00_3017 = 
(BgL_auxz00_4330-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 191 */
long BgL_modz00_3018;
{ /* Ast/substitute.scm 191 */
long BgL_auxz00_4335;
{ /* Ast/substitute.scm 191 */
int BgL_auxz00_4336;
BgL_auxz00_4336 = 
(int)(((long)8)); 
BgL_auxz00_4335 = 
(long)(BgL_auxz00_4336); } 
BgL_modz00_3018 = 
(BgL_offsetz00_3017/BgL_auxz00_4335); } 
{ /* Ast/substitute.scm 191 */
long BgL_restz00_3020;
{ /* Ast/substitute.scm 191 */
long BgL_auxz00_4340;
{ /* Ast/substitute.scm 191 */
int BgL_auxz00_4341;
BgL_auxz00_4341 = 
(int)(((long)8)); 
BgL_auxz00_4340 = 
(long)(BgL_auxz00_4341); } 
BgL_restz00_3020 = 
(BgL_offsetz00_3017%BgL_auxz00_4340); } 
{ /* Ast/substitute.scm 191 */

{ /* Ast/substitute.scm 191 */
obj_t BgL_bucketz00_3022;
{ /* Ast/substitute.scm 191 */
int BgL_kz00_3032;
BgL_kz00_3032 = 
(int)(BgL_modz00_3018); 
BgL_bucketz00_3022 = 
VECTOR_REF(BgL_arg1221z00_3013,BgL_kz00_3032); } 
{ /* Ast/substitute.scm 191 */
int BgL_kz00_3034;
BgL_kz00_3034 = 
(int)(BgL_restz00_3020); 
BgL_method2686z00_3010 = 
VECTOR_REF(BgL_bucketz00_3022,BgL_kz00_3034); } } } } } } } } 
{ /* Ast/substitute.scm 191 */
obj_t BgL_auxz00_4349;
BgL_auxz00_4349 = 
PROCEDURE_ENTRY(BgL_method2686z00_3010)(BgL_method2686z00_3010, 
(obj_t)(BgL_arg2878z00_1844), BgL_arg2879z00_1845, BEOA); 
BgL_res2996z00_3035 = 
(BgL_nodez00_bglt)(BgL_auxz00_4349); } } 
BgL_arg2877z00_1843 = BgL_res2996z00_3035; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2877z00_1843), BUNSPEC); } 
{ /* Ast/substitute.scm 192 */
BgL_nodez00_bglt BgL_arg2880z00_1846;
{ /* Ast/substitute.scm 192 */
BgL_nodez00_bglt BgL_arg2881z00_1847;obj_t BgL_arg2882z00_1848;
BgL_arg2881z00_1847 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_msgz00); 
BgL_arg2882z00_1848 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 192 */
BgL_nodez00_bglt BgL_res2999z00_3066;
{ /* Ast/substitute.scm 192 */
obj_t BgL_method2686z00_3041;
{ /* Ast/substitute.scm 192 */
long BgL_objzd2classzd2numz00_3043;
{ /* Ast/substitute.scm 192 */
BgL_objectz00_bglt BgL_auxz00_4357;
BgL_auxz00_4357 = 
(BgL_objectz00_bglt)(BgL_arg2881z00_1847); 
BgL_objzd2classzd2numz00_3043 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4357); } 
{ /* Ast/substitute.scm 192 */
obj_t BgL_arg1221z00_3044;
{ /* Ast/substitute.scm 192 */
int BgL_auxz00_4360;
BgL_auxz00_4360 = 
(int)(((long)1)); 
BgL_arg1221z00_3044 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4360); } 
{ /* Ast/substitute.scm 192 */
long BgL_offsetz00_3048;
{ /* Ast/substitute.scm 192 */
long BgL_auxz00_4363;
{ /* Ast/substitute.scm 192 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(BgL_objzd2classzd2numz00_3043); 
BgL_auxz00_4363 = 
(long)(BgL_auxz00_4364); } 
BgL_offsetz00_3048 = 
(BgL_auxz00_4363-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 192 */
long BgL_modz00_3049;
{ /* Ast/substitute.scm 192 */
long BgL_auxz00_4368;
{ /* Ast/substitute.scm 192 */
int BgL_auxz00_4369;
BgL_auxz00_4369 = 
(int)(((long)8)); 
BgL_auxz00_4368 = 
(long)(BgL_auxz00_4369); } 
BgL_modz00_3049 = 
(BgL_offsetz00_3048/BgL_auxz00_4368); } 
{ /* Ast/substitute.scm 192 */
long BgL_restz00_3051;
{ /* Ast/substitute.scm 192 */
long BgL_auxz00_4373;
{ /* Ast/substitute.scm 192 */
int BgL_auxz00_4374;
BgL_auxz00_4374 = 
(int)(((long)8)); 
BgL_auxz00_4373 = 
(long)(BgL_auxz00_4374); } 
BgL_restz00_3051 = 
(BgL_offsetz00_3048%BgL_auxz00_4373); } 
{ /* Ast/substitute.scm 192 */

{ /* Ast/substitute.scm 192 */
obj_t BgL_bucketz00_3053;
{ /* Ast/substitute.scm 192 */
int BgL_kz00_3063;
BgL_kz00_3063 = 
(int)(BgL_modz00_3049); 
BgL_bucketz00_3053 = 
VECTOR_REF(BgL_arg1221z00_3044,BgL_kz00_3063); } 
{ /* Ast/substitute.scm 192 */
int BgL_kz00_3065;
BgL_kz00_3065 = 
(int)(BgL_restz00_3051); 
BgL_method2686z00_3041 = 
VECTOR_REF(BgL_bucketz00_3053,BgL_kz00_3065); } } } } } } } } 
{ /* Ast/substitute.scm 192 */
obj_t BgL_auxz00_4382;
BgL_auxz00_4382 = 
PROCEDURE_ENTRY(BgL_method2686z00_3041)(BgL_method2686z00_3041, 
(obj_t)(BgL_arg2881z00_1847), BgL_arg2882z00_1848, BEOA); 
BgL_res2999z00_3066 = 
(BgL_nodez00_bglt)(BgL_auxz00_4382); } } 
BgL_arg2880z00_1846 = BgL_res2999z00_3066; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2880z00_1846), BUNSPEC); } 
{ /* Ast/substitute.scm 193 */
BgL_nodez00_bglt BgL_arg2883z00_1849;
{ /* Ast/substitute.scm 193 */
BgL_nodez00_bglt BgL_arg2884z00_1850;obj_t BgL_arg2885z00_1851;
BgL_arg2884z00_1850 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_objz00); 
BgL_arg2885z00_1851 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 193 */
BgL_nodez00_bglt BgL_res3002z00_3097;
{ /* Ast/substitute.scm 193 */
obj_t BgL_method2686z00_3072;
{ /* Ast/substitute.scm 193 */
long BgL_objzd2classzd2numz00_3074;
{ /* Ast/substitute.scm 193 */
BgL_objectz00_bglt BgL_auxz00_4390;
BgL_auxz00_4390 = 
(BgL_objectz00_bglt)(BgL_arg2884z00_1850); 
BgL_objzd2classzd2numz00_3074 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4390); } 
{ /* Ast/substitute.scm 193 */
obj_t BgL_arg1221z00_3075;
{ /* Ast/substitute.scm 193 */
int BgL_auxz00_4393;
BgL_auxz00_4393 = 
(int)(((long)1)); 
BgL_arg1221z00_3075 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4393); } 
{ /* Ast/substitute.scm 193 */
long BgL_offsetz00_3079;
{ /* Ast/substitute.scm 193 */
long BgL_auxz00_4396;
{ /* Ast/substitute.scm 193 */
int BgL_auxz00_4397;
BgL_auxz00_4397 = 
(int)(BgL_objzd2classzd2numz00_3074); 
BgL_auxz00_4396 = 
(long)(BgL_auxz00_4397); } 
BgL_offsetz00_3079 = 
(BgL_auxz00_4396-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 193 */
long BgL_modz00_3080;
{ /* Ast/substitute.scm 193 */
long BgL_auxz00_4401;
{ /* Ast/substitute.scm 193 */
int BgL_auxz00_4402;
BgL_auxz00_4402 = 
(int)(((long)8)); 
BgL_auxz00_4401 = 
(long)(BgL_auxz00_4402); } 
BgL_modz00_3080 = 
(BgL_offsetz00_3079/BgL_auxz00_4401); } 
{ /* Ast/substitute.scm 193 */
long BgL_restz00_3082;
{ /* Ast/substitute.scm 193 */
long BgL_auxz00_4406;
{ /* Ast/substitute.scm 193 */
int BgL_auxz00_4407;
BgL_auxz00_4407 = 
(int)(((long)8)); 
BgL_auxz00_4406 = 
(long)(BgL_auxz00_4407); } 
BgL_restz00_3082 = 
(BgL_offsetz00_3079%BgL_auxz00_4406); } 
{ /* Ast/substitute.scm 193 */

{ /* Ast/substitute.scm 193 */
obj_t BgL_bucketz00_3084;
{ /* Ast/substitute.scm 193 */
int BgL_kz00_3094;
BgL_kz00_3094 = 
(int)(BgL_modz00_3080); 
BgL_bucketz00_3084 = 
VECTOR_REF(BgL_arg1221z00_3075,BgL_kz00_3094); } 
{ /* Ast/substitute.scm 193 */
int BgL_kz00_3096;
BgL_kz00_3096 = 
(int)(BgL_restz00_3082); 
BgL_method2686z00_3072 = 
VECTOR_REF(BgL_bucketz00_3084,BgL_kz00_3096); } } } } } } } } 
{ /* Ast/substitute.scm 193 */
obj_t BgL_auxz00_4415;
BgL_auxz00_4415 = 
PROCEDURE_ENTRY(BgL_method2686z00_3072)(BgL_method2686z00_3072, 
(obj_t)(BgL_arg2884z00_1850), BgL_arg2885z00_1851, BEOA); 
BgL_res3002z00_3097 = 
(BgL_nodez00_bglt)(BgL_auxz00_4415); } } 
BgL_arg2883z00_1849 = BgL_res3002z00_3097; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1838))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2883z00_1849), BUNSPEC); } 
BgL_auxz00_4321 = BgL_nodez00_1838; 
return 
(obj_t)(BgL_auxz00_4321);} } } 
}



/* do-substitute!-conditional2708 */
obj_t BGl_dozd2substitutez12zd2conditional2708z12zzast_substitutez00(obj_t BgL_envz00_3607, obj_t BgL_nodez00_3608, obj_t BgL_sitez00_3609)
{ AN_OBJECT;
{ /* Ast/substitute.scm 179 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1824;obj_t BgL_sitez00_1825;
{ /* Ast/substitute.scm 180 */
BgL_conditionalz00_bglt BgL_auxz00_4423;
BgL_nodez00_1824 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3608); 
BgL_sitez00_1825 = BgL_sitez00_3609; 
{ /* Ast/substitute.scm 181 */
BgL_nodez00_bglt BgL_arg2869z00_1829;
{ /* Ast/substitute.scm 181 */
BgL_nodez00_bglt BgL_arg2870z00_1830;obj_t BgL_arg2871z00_1831;
BgL_arg2870z00_1830 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00); 
BgL_arg2871z00_1831 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 181 */
BgL_nodez00_bglt BgL_res2987z00_2942;
{ /* Ast/substitute.scm 181 */
obj_t BgL_method2686z00_2917;
{ /* Ast/substitute.scm 181 */
long BgL_objzd2classzd2numz00_2919;
{ /* Ast/substitute.scm 181 */
BgL_objectz00_bglt BgL_auxz00_4426;
BgL_auxz00_4426 = 
(BgL_objectz00_bglt)(BgL_arg2870z00_1830); 
BgL_objzd2classzd2numz00_2919 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4426); } 
{ /* Ast/substitute.scm 181 */
obj_t BgL_arg1221z00_2920;
{ /* Ast/substitute.scm 181 */
int BgL_auxz00_4429;
BgL_auxz00_4429 = 
(int)(((long)1)); 
BgL_arg1221z00_2920 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4429); } 
{ /* Ast/substitute.scm 181 */
long BgL_offsetz00_2924;
{ /* Ast/substitute.scm 181 */
long BgL_auxz00_4432;
{ /* Ast/substitute.scm 181 */
int BgL_auxz00_4433;
BgL_auxz00_4433 = 
(int)(BgL_objzd2classzd2numz00_2919); 
BgL_auxz00_4432 = 
(long)(BgL_auxz00_4433); } 
BgL_offsetz00_2924 = 
(BgL_auxz00_4432-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 181 */
long BgL_modz00_2925;
{ /* Ast/substitute.scm 181 */
long BgL_auxz00_4437;
{ /* Ast/substitute.scm 181 */
int BgL_auxz00_4438;
BgL_auxz00_4438 = 
(int)(((long)8)); 
BgL_auxz00_4437 = 
(long)(BgL_auxz00_4438); } 
BgL_modz00_2925 = 
(BgL_offsetz00_2924/BgL_auxz00_4437); } 
{ /* Ast/substitute.scm 181 */
long BgL_restz00_2927;
{ /* Ast/substitute.scm 181 */
long BgL_auxz00_4442;
{ /* Ast/substitute.scm 181 */
int BgL_auxz00_4443;
BgL_auxz00_4443 = 
(int)(((long)8)); 
BgL_auxz00_4442 = 
(long)(BgL_auxz00_4443); } 
BgL_restz00_2927 = 
(BgL_offsetz00_2924%BgL_auxz00_4442); } 
{ /* Ast/substitute.scm 181 */

{ /* Ast/substitute.scm 181 */
obj_t BgL_bucketz00_2929;
{ /* Ast/substitute.scm 181 */
int BgL_kz00_2939;
BgL_kz00_2939 = 
(int)(BgL_modz00_2925); 
BgL_bucketz00_2929 = 
VECTOR_REF(BgL_arg1221z00_2920,BgL_kz00_2939); } 
{ /* Ast/substitute.scm 181 */
int BgL_kz00_2941;
BgL_kz00_2941 = 
(int)(BgL_restz00_2927); 
BgL_method2686z00_2917 = 
VECTOR_REF(BgL_bucketz00_2929,BgL_kz00_2941); } } } } } } } } 
{ /* Ast/substitute.scm 181 */
obj_t BgL_auxz00_4451;
BgL_auxz00_4451 = 
PROCEDURE_ENTRY(BgL_method2686z00_2917)(BgL_method2686z00_2917, 
(obj_t)(BgL_arg2870z00_1830), BgL_arg2871z00_1831, BEOA); 
BgL_res2987z00_2942 = 
(BgL_nodez00_bglt)(BgL_auxz00_4451); } } 
BgL_arg2869z00_1829 = BgL_res2987z00_2942; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2869z00_1829), BUNSPEC); } 
{ /* Ast/substitute.scm 182 */
BgL_nodez00_bglt BgL_arg2872z00_1832;
{ /* Ast/substitute.scm 182 */
BgL_nodez00_bglt BgL_arg2873z00_1833;
BgL_arg2873z00_1833 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00); 
{ /* Ast/substitute.scm 182 */
BgL_nodez00_bglt BgL_res2990z00_2973;
{ /* Ast/substitute.scm 182 */
obj_t BgL_method2686z00_2948;
{ /* Ast/substitute.scm 182 */
long BgL_objzd2classzd2numz00_2950;
{ /* Ast/substitute.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4458;
BgL_auxz00_4458 = 
(BgL_objectz00_bglt)(BgL_arg2873z00_1833); 
BgL_objzd2classzd2numz00_2950 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4458); } 
{ /* Ast/substitute.scm 182 */
obj_t BgL_arg1221z00_2951;
{ /* Ast/substitute.scm 182 */
int BgL_auxz00_4461;
BgL_auxz00_4461 = 
(int)(((long)1)); 
BgL_arg1221z00_2951 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4461); } 
{ /* Ast/substitute.scm 182 */
long BgL_offsetz00_2955;
{ /* Ast/substitute.scm 182 */
long BgL_auxz00_4464;
{ /* Ast/substitute.scm 182 */
int BgL_auxz00_4465;
BgL_auxz00_4465 = 
(int)(BgL_objzd2classzd2numz00_2950); 
BgL_auxz00_4464 = 
(long)(BgL_auxz00_4465); } 
BgL_offsetz00_2955 = 
(BgL_auxz00_4464-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 182 */
long BgL_modz00_2956;
{ /* Ast/substitute.scm 182 */
long BgL_auxz00_4469;
{ /* Ast/substitute.scm 182 */
int BgL_auxz00_4470;
BgL_auxz00_4470 = 
(int)(((long)8)); 
BgL_auxz00_4469 = 
(long)(BgL_auxz00_4470); } 
BgL_modz00_2956 = 
(BgL_offsetz00_2955/BgL_auxz00_4469); } 
{ /* Ast/substitute.scm 182 */
long BgL_restz00_2958;
{ /* Ast/substitute.scm 182 */
long BgL_auxz00_4474;
{ /* Ast/substitute.scm 182 */
int BgL_auxz00_4475;
BgL_auxz00_4475 = 
(int)(((long)8)); 
BgL_auxz00_4474 = 
(long)(BgL_auxz00_4475); } 
BgL_restz00_2958 = 
(BgL_offsetz00_2955%BgL_auxz00_4474); } 
{ /* Ast/substitute.scm 182 */

{ /* Ast/substitute.scm 182 */
obj_t BgL_bucketz00_2960;
{ /* Ast/substitute.scm 182 */
int BgL_kz00_2970;
BgL_kz00_2970 = 
(int)(BgL_modz00_2956); 
BgL_bucketz00_2960 = 
VECTOR_REF(BgL_arg1221z00_2951,BgL_kz00_2970); } 
{ /* Ast/substitute.scm 182 */
int BgL_kz00_2972;
BgL_kz00_2972 = 
(int)(BgL_restz00_2958); 
BgL_method2686z00_2948 = 
VECTOR_REF(BgL_bucketz00_2960,BgL_kz00_2972); } } } } } } } } 
{ /* Ast/substitute.scm 182 */
obj_t BgL_auxz00_4483;
BgL_auxz00_4483 = 
PROCEDURE_ENTRY(BgL_method2686z00_2948)(BgL_method2686z00_2948, 
(obj_t)(BgL_arg2873z00_1833), BgL_sitez00_1825, BEOA); 
BgL_res2990z00_2973 = 
(BgL_nodez00_bglt)(BgL_auxz00_4483); } } 
BgL_arg2872z00_1832 = BgL_res2990z00_2973; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2872z00_1832), BUNSPEC); } 
{ /* Ast/substitute.scm 183 */
BgL_nodez00_bglt BgL_arg2874z00_1834;
{ /* Ast/substitute.scm 183 */
BgL_nodez00_bglt BgL_arg2875z00_1835;
BgL_arg2875z00_1835 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00); 
{ /* Ast/substitute.scm 183 */
BgL_nodez00_bglt BgL_res2993z00_3004;
{ /* Ast/substitute.scm 183 */
obj_t BgL_method2686z00_2979;
{ /* Ast/substitute.scm 183 */
long BgL_objzd2classzd2numz00_2981;
{ /* Ast/substitute.scm 183 */
BgL_objectz00_bglt BgL_auxz00_4490;
BgL_auxz00_4490 = 
(BgL_objectz00_bglt)(BgL_arg2875z00_1835); 
BgL_objzd2classzd2numz00_2981 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4490); } 
{ /* Ast/substitute.scm 183 */
obj_t BgL_arg1221z00_2982;
{ /* Ast/substitute.scm 183 */
int BgL_auxz00_4493;
BgL_auxz00_4493 = 
(int)(((long)1)); 
BgL_arg1221z00_2982 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4493); } 
{ /* Ast/substitute.scm 183 */
long BgL_offsetz00_2986;
{ /* Ast/substitute.scm 183 */
long BgL_auxz00_4496;
{ /* Ast/substitute.scm 183 */
int BgL_auxz00_4497;
BgL_auxz00_4497 = 
(int)(BgL_objzd2classzd2numz00_2981); 
BgL_auxz00_4496 = 
(long)(BgL_auxz00_4497); } 
BgL_offsetz00_2986 = 
(BgL_auxz00_4496-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 183 */
long BgL_modz00_2987;
{ /* Ast/substitute.scm 183 */
long BgL_auxz00_4501;
{ /* Ast/substitute.scm 183 */
int BgL_auxz00_4502;
BgL_auxz00_4502 = 
(int)(((long)8)); 
BgL_auxz00_4501 = 
(long)(BgL_auxz00_4502); } 
BgL_modz00_2987 = 
(BgL_offsetz00_2986/BgL_auxz00_4501); } 
{ /* Ast/substitute.scm 183 */
long BgL_restz00_2989;
{ /* Ast/substitute.scm 183 */
long BgL_auxz00_4506;
{ /* Ast/substitute.scm 183 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(((long)8)); 
BgL_auxz00_4506 = 
(long)(BgL_auxz00_4507); } 
BgL_restz00_2989 = 
(BgL_offsetz00_2986%BgL_auxz00_4506); } 
{ /* Ast/substitute.scm 183 */

{ /* Ast/substitute.scm 183 */
obj_t BgL_bucketz00_2991;
{ /* Ast/substitute.scm 183 */
int BgL_kz00_3001;
BgL_kz00_3001 = 
(int)(BgL_modz00_2987); 
BgL_bucketz00_2991 = 
VECTOR_REF(BgL_arg1221z00_2982,BgL_kz00_3001); } 
{ /* Ast/substitute.scm 183 */
int BgL_kz00_3003;
BgL_kz00_3003 = 
(int)(BgL_restz00_2989); 
BgL_method2686z00_2979 = 
VECTOR_REF(BgL_bucketz00_2991,BgL_kz00_3003); } } } } } } } } 
{ /* Ast/substitute.scm 183 */
obj_t BgL_auxz00_4515;
BgL_auxz00_4515 = 
PROCEDURE_ENTRY(BgL_method2686z00_2979)(BgL_method2686z00_2979, 
(obj_t)(BgL_arg2875z00_1835), BgL_sitez00_1825, BEOA); 
BgL_res2993z00_3004 = 
(BgL_nodez00_bglt)(BgL_auxz00_4515); } } 
BgL_arg2874z00_1834 = BgL_res2993z00_3004; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2874z00_1834), BUNSPEC); } 
BgL_auxz00_4423 = BgL_nodez00_1824; 
return 
(obj_t)(BgL_auxz00_4423);} } } 
}



/* do-substitute!-setq2706 */
obj_t BGl_dozd2substitutez12zd2setq2706z12zzast_substitutez00(obj_t BgL_envz00_3610, obj_t BgL_nodez00_3611, obj_t BgL_sitez00_3612)
{ AN_OBJECT;
{ /* Ast/substitute.scm 170 */
{ 
BgL_setqz00_bglt BgL_nodez00_1812;obj_t BgL_sitez00_1813;
{ /* Ast/substitute.scm 171 */
BgL_setqz00_bglt BgL_auxz00_4523;
BgL_nodez00_1812 = 
(BgL_setqz00_bglt)(BgL_nodez00_3611); 
BgL_sitez00_1813 = BgL_sitez00_3612; 
{ /* Ast/substitute.scm 172 */
BgL_nodez00_bglt BgL_arg2863z00_1817;
{ /* Ast/substitute.scm 172 */
obj_t BgL_arg2865z00_1819;
BgL_arg2865z00_1819 = 
CNST_TABLE_REF(((long)3)); 
{ /* Ast/substitute.scm 172 */
BgL_nodez00_bglt BgL_res2981z00_2880;
{ /* Ast/substitute.scm 172 */
BgL_nodez00_bglt BgL_nodez00_2853;
{ /* Ast/substitute.scm 172 */
BgL_varz00_bglt BgL_auxz00_4525;
BgL_auxz00_4525 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_varz00); 
BgL_nodez00_2853 = 
(BgL_nodez00_bglt)(BgL_auxz00_4525); } 
{ /* Ast/substitute.scm 172 */
obj_t BgL_method2686z00_2855;
{ /* Ast/substitute.scm 172 */
long BgL_objzd2classzd2numz00_2857;
{ /* Ast/substitute.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4528;
BgL_auxz00_4528 = 
(BgL_objectz00_bglt)(BgL_nodez00_2853); 
BgL_objzd2classzd2numz00_2857 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4528); } 
{ /* Ast/substitute.scm 172 */
obj_t BgL_arg1221z00_2858;
{ /* Ast/substitute.scm 172 */
int BgL_auxz00_4531;
BgL_auxz00_4531 = 
(int)(((long)1)); 
BgL_arg1221z00_2858 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4531); } 
{ /* Ast/substitute.scm 172 */
long BgL_offsetz00_2862;
{ /* Ast/substitute.scm 172 */
long BgL_auxz00_4534;
{ /* Ast/substitute.scm 172 */
int BgL_auxz00_4535;
BgL_auxz00_4535 = 
(int)(BgL_objzd2classzd2numz00_2857); 
BgL_auxz00_4534 = 
(long)(BgL_auxz00_4535); } 
BgL_offsetz00_2862 = 
(BgL_auxz00_4534-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 172 */
long BgL_modz00_2863;
{ /* Ast/substitute.scm 172 */
long BgL_auxz00_4539;
{ /* Ast/substitute.scm 172 */
int BgL_auxz00_4540;
BgL_auxz00_4540 = 
(int)(((long)8)); 
BgL_auxz00_4539 = 
(long)(BgL_auxz00_4540); } 
BgL_modz00_2863 = 
(BgL_offsetz00_2862/BgL_auxz00_4539); } 
{ /* Ast/substitute.scm 172 */
long BgL_restz00_2865;
{ /* Ast/substitute.scm 172 */
long BgL_auxz00_4544;
{ /* Ast/substitute.scm 172 */
int BgL_auxz00_4545;
BgL_auxz00_4545 = 
(int)(((long)8)); 
BgL_auxz00_4544 = 
(long)(BgL_auxz00_4545); } 
BgL_restz00_2865 = 
(BgL_offsetz00_2862%BgL_auxz00_4544); } 
{ /* Ast/substitute.scm 172 */

{ /* Ast/substitute.scm 172 */
obj_t BgL_bucketz00_2867;
{ /* Ast/substitute.scm 172 */
int BgL_kz00_2877;
BgL_kz00_2877 = 
(int)(BgL_modz00_2863); 
BgL_bucketz00_2867 = 
VECTOR_REF(BgL_arg1221z00_2858,BgL_kz00_2877); } 
{ /* Ast/substitute.scm 172 */
int BgL_kz00_2879;
BgL_kz00_2879 = 
(int)(BgL_restz00_2865); 
BgL_method2686z00_2855 = 
VECTOR_REF(BgL_bucketz00_2867,BgL_kz00_2879); } } } } } } } } 
{ /* Ast/substitute.scm 172 */
obj_t BgL_auxz00_4553;
BgL_auxz00_4553 = 
PROCEDURE_ENTRY(BgL_method2686z00_2855)(BgL_method2686z00_2855, 
(obj_t)(BgL_nodez00_2853), BgL_arg2865z00_1819, BEOA); 
BgL_res2981z00_2880 = 
(BgL_nodez00_bglt)(BgL_auxz00_4553); } } } 
BgL_arg2863z00_1817 = BgL_res2981z00_2880; } } 
{ /* Ast/substitute.scm 172 */
BgL_varz00_bglt BgL_val2271z00_2882;
BgL_val2271z00_2882 = 
(BgL_varz00_bglt)(BgL_arg2863z00_1817); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2271z00_2882), BUNSPEC); } } 
{ /* Ast/substitute.scm 173 */
BgL_nodez00_bglt BgL_arg2866z00_1820;
{ /* Ast/substitute.scm 173 */
BgL_nodez00_bglt BgL_arg2867z00_1821;
BgL_arg2867z00_1821 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00); 
{ /* Ast/substitute.scm 173 */
BgL_nodez00_bglt BgL_res2984z00_2911;
{ /* Ast/substitute.scm 173 */
obj_t BgL_method2686z00_2886;
{ /* Ast/substitute.scm 173 */
long BgL_objzd2classzd2numz00_2888;
{ /* Ast/substitute.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4561;
BgL_auxz00_4561 = 
(BgL_objectz00_bglt)(BgL_arg2867z00_1821); 
BgL_objzd2classzd2numz00_2888 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4561); } 
{ /* Ast/substitute.scm 173 */
obj_t BgL_arg1221z00_2889;
{ /* Ast/substitute.scm 173 */
int BgL_auxz00_4564;
BgL_auxz00_4564 = 
(int)(((long)1)); 
BgL_arg1221z00_2889 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4564); } 
{ /* Ast/substitute.scm 173 */
long BgL_offsetz00_2893;
{ /* Ast/substitute.scm 173 */
long BgL_auxz00_4567;
{ /* Ast/substitute.scm 173 */
int BgL_auxz00_4568;
BgL_auxz00_4568 = 
(int)(BgL_objzd2classzd2numz00_2888); 
BgL_auxz00_4567 = 
(long)(BgL_auxz00_4568); } 
BgL_offsetz00_2893 = 
(BgL_auxz00_4567-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 173 */
long BgL_modz00_2894;
{ /* Ast/substitute.scm 173 */
long BgL_auxz00_4572;
{ /* Ast/substitute.scm 173 */
int BgL_auxz00_4573;
BgL_auxz00_4573 = 
(int)(((long)8)); 
BgL_auxz00_4572 = 
(long)(BgL_auxz00_4573); } 
BgL_modz00_2894 = 
(BgL_offsetz00_2893/BgL_auxz00_4572); } 
{ /* Ast/substitute.scm 173 */
long BgL_restz00_2896;
{ /* Ast/substitute.scm 173 */
long BgL_auxz00_4577;
{ /* Ast/substitute.scm 173 */
int BgL_auxz00_4578;
BgL_auxz00_4578 = 
(int)(((long)8)); 
BgL_auxz00_4577 = 
(long)(BgL_auxz00_4578); } 
BgL_restz00_2896 = 
(BgL_offsetz00_2893%BgL_auxz00_4577); } 
{ /* Ast/substitute.scm 173 */

{ /* Ast/substitute.scm 173 */
obj_t BgL_bucketz00_2898;
{ /* Ast/substitute.scm 173 */
int BgL_kz00_2908;
BgL_kz00_2908 = 
(int)(BgL_modz00_2894); 
BgL_bucketz00_2898 = 
VECTOR_REF(BgL_arg1221z00_2889,BgL_kz00_2908); } 
{ /* Ast/substitute.scm 173 */
int BgL_kz00_2910;
BgL_kz00_2910 = 
(int)(BgL_restz00_2896); 
BgL_method2686z00_2886 = 
VECTOR_REF(BgL_bucketz00_2898,BgL_kz00_2910); } } } } } } } } 
{ /* Ast/substitute.scm 173 */
obj_t BgL_auxz00_4586;
BgL_auxz00_4586 = 
PROCEDURE_ENTRY(BgL_method2686z00_2886)(BgL_method2686z00_2886, 
(obj_t)(BgL_arg2867z00_1821), BgL_sitez00_1813, BEOA); 
BgL_res2984z00_2911 = 
(BgL_nodez00_bglt)(BgL_auxz00_4586); } } 
BgL_arg2866z00_1820 = BgL_res2984z00_2911; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2866z00_1820), BUNSPEC); } 
BgL_auxz00_4523 = BgL_nodez00_1812; 
return 
(obj_t)(BgL_auxz00_4523);} } } 
}



/* do-substitute!-cast2704 */
obj_t BGl_dozd2substitutez12zd2cast2704z12zzast_substitutez00(obj_t BgL_envz00_3613, obj_t BgL_nodez00_3614, obj_t BgL_sitez00_3615)
{ AN_OBJECT;
{ /* Ast/substitute.scm 163 */
{ 
BgL_castz00_bglt BgL_nodez00_1805;obj_t BgL_sitez00_1806;
{ /* Ast/substitute.scm 164 */
BgL_castz00_bglt BgL_auxz00_4594;
BgL_nodez00_1805 = 
(BgL_castz00_bglt)(BgL_nodez00_3614); 
BgL_sitez00_1806 = BgL_sitez00_3615; 
{ /* Ast/substitute.scm 164 */
BgL_nodez00_bglt BgL_arg2861z00_2822;
BgL_arg2861z00_2822 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1805))->BgL_argz00); 
{ /* Ast/substitute.scm 164 */
BgL_nodez00_bglt BgL_res2978z00_2851;
{ /* Ast/substitute.scm 164 */
obj_t BgL_method2686z00_2826;
{ /* Ast/substitute.scm 164 */
long BgL_objzd2classzd2numz00_2828;
{ /* Ast/substitute.scm 164 */
BgL_objectz00_bglt BgL_auxz00_4596;
BgL_auxz00_4596 = 
(BgL_objectz00_bglt)(BgL_arg2861z00_2822); 
BgL_objzd2classzd2numz00_2828 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4596); } 
{ /* Ast/substitute.scm 164 */
obj_t BgL_arg1221z00_2829;
{ /* Ast/substitute.scm 164 */
int BgL_auxz00_4599;
BgL_auxz00_4599 = 
(int)(((long)1)); 
BgL_arg1221z00_2829 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4599); } 
{ /* Ast/substitute.scm 164 */
long BgL_offsetz00_2833;
{ /* Ast/substitute.scm 164 */
long BgL_auxz00_4602;
{ /* Ast/substitute.scm 164 */
int BgL_auxz00_4603;
BgL_auxz00_4603 = 
(int)(BgL_objzd2classzd2numz00_2828); 
BgL_auxz00_4602 = 
(long)(BgL_auxz00_4603); } 
BgL_offsetz00_2833 = 
(BgL_auxz00_4602-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 164 */
long BgL_modz00_2834;
{ /* Ast/substitute.scm 164 */
long BgL_auxz00_4607;
{ /* Ast/substitute.scm 164 */
int BgL_auxz00_4608;
BgL_auxz00_4608 = 
(int)(((long)8)); 
BgL_auxz00_4607 = 
(long)(BgL_auxz00_4608); } 
BgL_modz00_2834 = 
(BgL_offsetz00_2833/BgL_auxz00_4607); } 
{ /* Ast/substitute.scm 164 */
long BgL_restz00_2836;
{ /* Ast/substitute.scm 164 */
long BgL_auxz00_4612;
{ /* Ast/substitute.scm 164 */
int BgL_auxz00_4613;
BgL_auxz00_4613 = 
(int)(((long)8)); 
BgL_auxz00_4612 = 
(long)(BgL_auxz00_4613); } 
BgL_restz00_2836 = 
(BgL_offsetz00_2833%BgL_auxz00_4612); } 
{ /* Ast/substitute.scm 164 */

{ /* Ast/substitute.scm 164 */
obj_t BgL_bucketz00_2838;
{ /* Ast/substitute.scm 164 */
int BgL_kz00_2848;
BgL_kz00_2848 = 
(int)(BgL_modz00_2834); 
BgL_bucketz00_2838 = 
VECTOR_REF(BgL_arg1221z00_2829,BgL_kz00_2848); } 
{ /* Ast/substitute.scm 164 */
int BgL_kz00_2850;
BgL_kz00_2850 = 
(int)(BgL_restz00_2836); 
BgL_method2686z00_2826 = 
VECTOR_REF(BgL_bucketz00_2838,BgL_kz00_2850); } } } } } } } } 
{ /* Ast/substitute.scm 164 */
obj_t BgL_auxz00_4621;
BgL_auxz00_4621 = 
PROCEDURE_ENTRY(BgL_method2686z00_2826)(BgL_method2686z00_2826, 
(obj_t)(BgL_arg2861z00_2822), BgL_sitez00_1806, BEOA); 
BgL_res2978z00_2851 = 
(BgL_nodez00_bglt)(BgL_auxz00_4621); } } BgL_res2978z00_2851; } } 
BgL_auxz00_4594 = BgL_nodez00_1805; 
return 
(obj_t)(BgL_auxz00_4594);} } } 
}



/* do-substitute!-extern2702 */
obj_t BGl_dozd2substitutez12zd2extern2702z12zzast_substitutez00(obj_t BgL_envz00_3616, obj_t BgL_nodez00_3617, obj_t BgL_sitez00_3618)
{ AN_OBJECT;
{ /* Ast/substitute.scm 156 */
{ 
BgL_externz00_bglt BgL_nodez00_1798;obj_t BgL_sitez00_1799;
{ /* Ast/substitute.scm 157 */
BgL_externz00_bglt BgL_auxz00_4628;
BgL_nodez00_1798 = 
(BgL_externz00_bglt)(BgL_nodez00_3617); 
BgL_sitez00_1799 = BgL_sitez00_3618; 
BGl_dozd2substituteza2z12z62zzast_substitutez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1798))->BgL_exprza2za2), BgL_sitez00_1799); 
BgL_auxz00_4628 = BgL_nodez00_1798; 
return 
(obj_t)(BgL_auxz00_4628);} } } 
}



/* do-substitute!-funcall2700 */
obj_t BGl_dozd2substitutez12zd2funcall2700z12zzast_substitutez00(obj_t BgL_envz00_3619, obj_t BgL_nodez00_3620, obj_t BgL_sitez00_3621)
{ AN_OBJECT;
{ /* Ast/substitute.scm 131 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1759;obj_t BgL_sitez00_1760;
BgL_nodez00_1759 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3620); 
BgL_sitez00_1760 = BgL_sitez00_3621; 
{ /* Ast/substitute.scm 133 */
BgL_nodez00_bglt BgL_nfunz00_1764;obj_t BgL_nargsz00_1765;
{ /* Ast/substitute.scm 133 */
BgL_nodez00_bglt BgL_arg2851z00_1782;obj_t BgL_arg2852z00_1783;
BgL_arg2851z00_1782 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_funz00); 
BgL_arg2852z00_1783 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 133 */
BgL_nodez00_bglt BgL_res2972z00_2765;
{ /* Ast/substitute.scm 133 */
obj_t BgL_method2686z00_2740;
{ /* Ast/substitute.scm 133 */
long BgL_objzd2classzd2numz00_2742;
{ /* Ast/substitute.scm 133 */
BgL_objectz00_bglt BgL_auxz00_4635;
BgL_auxz00_4635 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1782); 
BgL_objzd2classzd2numz00_2742 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4635); } 
{ /* Ast/substitute.scm 133 */
obj_t BgL_arg1221z00_2743;
{ /* Ast/substitute.scm 133 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(((long)1)); 
BgL_arg1221z00_2743 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4638); } 
{ /* Ast/substitute.scm 133 */
long BgL_offsetz00_2747;
{ /* Ast/substitute.scm 133 */
long BgL_auxz00_4641;
{ /* Ast/substitute.scm 133 */
int BgL_auxz00_4642;
BgL_auxz00_4642 = 
(int)(BgL_objzd2classzd2numz00_2742); 
BgL_auxz00_4641 = 
(long)(BgL_auxz00_4642); } 
BgL_offsetz00_2747 = 
(BgL_auxz00_4641-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 133 */
long BgL_modz00_2748;
{ /* Ast/substitute.scm 133 */
long BgL_auxz00_4646;
{ /* Ast/substitute.scm 133 */
int BgL_auxz00_4647;
BgL_auxz00_4647 = 
(int)(((long)8)); 
BgL_auxz00_4646 = 
(long)(BgL_auxz00_4647); } 
BgL_modz00_2748 = 
(BgL_offsetz00_2747/BgL_auxz00_4646); } 
{ /* Ast/substitute.scm 133 */
long BgL_restz00_2750;
{ /* Ast/substitute.scm 133 */
long BgL_auxz00_4651;
{ /* Ast/substitute.scm 133 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)8)); 
BgL_auxz00_4651 = 
(long)(BgL_auxz00_4652); } 
BgL_restz00_2750 = 
(BgL_offsetz00_2747%BgL_auxz00_4651); } 
{ /* Ast/substitute.scm 133 */

{ /* Ast/substitute.scm 133 */
obj_t BgL_bucketz00_2752;
{ /* Ast/substitute.scm 133 */
int BgL_kz00_2762;
BgL_kz00_2762 = 
(int)(BgL_modz00_2748); 
BgL_bucketz00_2752 = 
VECTOR_REF(BgL_arg1221z00_2743,BgL_kz00_2762); } 
{ /* Ast/substitute.scm 133 */
int BgL_kz00_2764;
BgL_kz00_2764 = 
(int)(BgL_restz00_2750); 
BgL_method2686z00_2740 = 
VECTOR_REF(BgL_bucketz00_2752,BgL_kz00_2764); } } } } } } } } 
{ /* Ast/substitute.scm 133 */
obj_t BgL_auxz00_4660;
BgL_auxz00_4660 = 
PROCEDURE_ENTRY(BgL_method2686z00_2740)(BgL_method2686z00_2740, 
(obj_t)(BgL_arg2851z00_1782), BgL_arg2852z00_1783, BEOA); 
BgL_res2972z00_2765 = 
(BgL_nodez00_bglt)(BgL_auxz00_4660); } } 
BgL_nfunz00_1764 = BgL_res2972z00_2765; } } 
{ /* Ast/substitute.scm 134 */
obj_t BgL_l2667z00_1784;
BgL_l2667z00_1784 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_argsz00); 
if(
NULLP(BgL_l2667z00_1784))
{ /* Ast/substitute.scm 134 */
BgL_nargsz00_1765 = BNIL; }  else 
{ /* Ast/substitute.scm 134 */
obj_t BgL_head2669z00_1786;
BgL_head2669z00_1786 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2667z00_1787;obj_t BgL_tail2670z00_1788;
BgL_l2667z00_1787 = BgL_l2667z00_1784; 
BgL_tail2670z00_1788 = BgL_head2669z00_1786; 
BgL_lname2668z00_1789:
if(
NULLP(BgL_l2667z00_1787))
{ /* Ast/substitute.scm 134 */
BgL_nargsz00_1765 = 
CDR(BgL_head2669z00_1786); }  else 
{ /* Ast/substitute.scm 134 */
obj_t BgL_newtail2671z00_1791;
{ /* Ast/substitute.scm 134 */
BgL_nodez00_bglt BgL_arg2856z00_1793;
{ /* Ast/substitute.scm 134 */
BgL_nodez00_bglt BgL_res2975z00_2800;
{ /* Ast/substitute.scm 134 */
BgL_nodez00_bglt BgL_nodez00_2773;obj_t BgL_sitez00_2774;
{ /* Ast/substitute.scm 134 */
obj_t BgL_auxz00_4672;
BgL_auxz00_4672 = 
CAR(BgL_l2667z00_1787); 
BgL_nodez00_2773 = 
(BgL_nodez00_bglt)(BgL_auxz00_4672); } 
BgL_sitez00_2774 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 134 */
obj_t BgL_method2686z00_2775;
{ /* Ast/substitute.scm 134 */
long BgL_objzd2classzd2numz00_2777;
{ /* Ast/substitute.scm 134 */
BgL_objectz00_bglt BgL_auxz00_4676;
BgL_auxz00_4676 = 
(BgL_objectz00_bglt)(BgL_nodez00_2773); 
BgL_objzd2classzd2numz00_2777 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4676); } 
{ /* Ast/substitute.scm 134 */
obj_t BgL_arg1221z00_2778;
{ /* Ast/substitute.scm 134 */
int BgL_auxz00_4679;
BgL_auxz00_4679 = 
(int)(((long)1)); 
BgL_arg1221z00_2778 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4679); } 
{ /* Ast/substitute.scm 134 */
long BgL_offsetz00_2782;
{ /* Ast/substitute.scm 134 */
long BgL_auxz00_4682;
{ /* Ast/substitute.scm 134 */
int BgL_auxz00_4683;
BgL_auxz00_4683 = 
(int)(BgL_objzd2classzd2numz00_2777); 
BgL_auxz00_4682 = 
(long)(BgL_auxz00_4683); } 
BgL_offsetz00_2782 = 
(BgL_auxz00_4682-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 134 */
long BgL_modz00_2783;
{ /* Ast/substitute.scm 134 */
long BgL_auxz00_4687;
{ /* Ast/substitute.scm 134 */
int BgL_auxz00_4688;
BgL_auxz00_4688 = 
(int)(((long)8)); 
BgL_auxz00_4687 = 
(long)(BgL_auxz00_4688); } 
BgL_modz00_2783 = 
(BgL_offsetz00_2782/BgL_auxz00_4687); } 
{ /* Ast/substitute.scm 134 */
long BgL_restz00_2785;
{ /* Ast/substitute.scm 134 */
long BgL_auxz00_4692;
{ /* Ast/substitute.scm 134 */
int BgL_auxz00_4693;
BgL_auxz00_4693 = 
(int)(((long)8)); 
BgL_auxz00_4692 = 
(long)(BgL_auxz00_4693); } 
BgL_restz00_2785 = 
(BgL_offsetz00_2782%BgL_auxz00_4692); } 
{ /* Ast/substitute.scm 134 */

{ /* Ast/substitute.scm 134 */
obj_t BgL_bucketz00_2787;
{ /* Ast/substitute.scm 134 */
int BgL_kz00_2797;
BgL_kz00_2797 = 
(int)(BgL_modz00_2783); 
BgL_bucketz00_2787 = 
VECTOR_REF(BgL_arg1221z00_2778,BgL_kz00_2797); } 
{ /* Ast/substitute.scm 134 */
int BgL_kz00_2799;
BgL_kz00_2799 = 
(int)(BgL_restz00_2785); 
BgL_method2686z00_2775 = 
VECTOR_REF(BgL_bucketz00_2787,BgL_kz00_2799); } } } } } } } } 
{ /* Ast/substitute.scm 134 */
obj_t BgL_auxz00_4701;
BgL_auxz00_4701 = 
PROCEDURE_ENTRY(BgL_method2686z00_2775)(BgL_method2686z00_2775, 
(obj_t)(BgL_nodez00_2773), BgL_sitez00_2774, BEOA); 
BgL_res2975z00_2800 = 
(BgL_nodez00_bglt)(BgL_auxz00_4701); } } } 
BgL_arg2856z00_1793 = BgL_res2975z00_2800; } 
{ /* Ast/substitute.scm 134 */
obj_t BgL_auxz00_4706;
BgL_auxz00_4706 = 
(obj_t)(BgL_arg2856z00_1793); 
BgL_newtail2671z00_1791 = 
MAKE_PAIR(BgL_auxz00_4706, BNIL); } } 
SET_CDR(BgL_tail2670z00_1788, BgL_newtail2671z00_1791); 
{ 
obj_t BgL_tail2670z00_4712;obj_t BgL_l2667z00_4710;
BgL_l2667z00_4710 = 
CDR(BgL_l2667z00_1787); 
BgL_tail2670z00_4712 = BgL_newtail2671z00_1791; 
BgL_tail2670z00_1788 = BgL_tail2670z00_4712; 
BgL_l2667z00_1787 = BgL_l2667z00_4710; 
goto BgL_lname2668z00_1789;} } } } } 
{ /* Ast/substitute.scm 135 */
bool_t BgL_test2835z00_1766;
{ /* Ast/substitute.scm 135 */
bool_t BgL_test2847z00_1778;
BgL_test2847z00_1778 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nfunz00_1764), BGl_closurez00zzast_nodez00); 
if(BgL_test2847z00_1778)
{ /* Ast/substitute.scm 135 */
BgL_test2835z00_1766 = ((bool_t)1); }  else 
{ /* Ast/substitute.scm 136 */
bool_t BgL__andtest_2672z00_1779;
BgL__andtest_2672z00_1779 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nfunz00_1764), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2672z00_1779)
{ /* Ast/substitute.scm 137 */
obj_t BgL_auxz00_4719;
{ /* Ast/substitute.scm 137 */
BgL_valuez00_bglt BgL_auxz00_4720;
{ /* Ast/substitute.scm 137 */
BgL_variablez00_bglt BgL_arg2850z00_1781;
{ /* Ast/substitute.scm 137 */
BgL_varz00_bglt BgL_obj1619z00_2808;
BgL_obj1619z00_2808 = 
(BgL_varz00_bglt)(BgL_nfunz00_1764); 
BgL_arg2850z00_1781 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2808))->BgL_variablez00); } 
BgL_auxz00_4720 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2850z00_1781))->BgL_valuez00); } 
BgL_auxz00_4719 = 
(obj_t)(BgL_auxz00_4720); } 
BgL_test2835z00_1766 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4719, BGl_funz00zzast_varz00); }  else 
{ /* Ast/substitute.scm 136 */
BgL_test2835z00_1766 = ((bool_t)0); } } } 
if(BgL_test2835z00_1766)
{ /* Ast/substitute.scm 138 */
bool_t BgL_test2836z00_1767;
{ /* Ast/substitute.scm 138 */
BgL_variablez00_bglt BgL_auxz00_4727;
{ /* Ast/substitute.scm 138 */
BgL_varz00_bglt BgL_obj1619z00_2811;
BgL_obj1619z00_2811 = 
(BgL_varz00_bglt)(BgL_nfunz00_1764); 
BgL_auxz00_4727 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2811))->BgL_variablez00); } 
BgL_test2836z00_1767 = 
BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_auxz00_4727, 
CDR(BgL_nargsz00_1765)); } 
if(BgL_test2836z00_1767)
{ /* Ast/substitute.scm 140 */
BgL_nodez00_bglt BgL_auxz00_4733;
BgL_auxz00_4733 = 
BGl_makezd2appzd2nodez00zzast_appz00(BNIL, 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_locz00), 
(BgL_varz00_bglt)(BgL_nfunz00_1764), 
CDR(BgL_nargsz00_1765)); 
return 
(obj_t)(BgL_auxz00_4733);}  else 
{ /* Ast/substitute.scm 144 */
obj_t BgL_arg2840z00_1771;obj_t BgL_arg2843z00_1774;
BgL_arg2840z00_1771 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_locz00); 
BgL_arg2843z00_1774 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1759)); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2840z00_1771, BGl_string3064z00zzast_substitutez00, BGl_string3065z00zzast_substitutez00, BgL_arg2843z00_1774, BNIL);} }  else 
{ /* Ast/substitute.scm 135 */
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_nfunz00_1764), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1759))->BgL_argsz00) = ((obj_t)BgL_nargsz00_1765), BUNSPEC); 
return 
(obj_t)(BgL_nodez00_1759);} } } } } 
}



/* do-substitute!-app-ly2698 */
obj_t BGl_dozd2substitutez12zd2appzd2ly2698zc0zzast_substitutez00(obj_t BgL_envz00_3622, obj_t BgL_nodez00_3623, obj_t BgL_sitez00_3624)
{ AN_OBJECT;
{ /* Ast/substitute.scm 114 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1737;obj_t BgL_sitez00_1738;
BgL_nodez00_1737 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3623); 
BgL_sitez00_1738 = BgL_sitez00_3624; 
{ /* Ast/substitute.scm 116 */
BgL_nodez00_bglt BgL_nfunz00_1742;BgL_nodez00_bglt BgL_nargz00_1743;
{ /* Ast/substitute.scm 116 */
BgL_nodez00_bglt BgL_arg2830z00_1753;obj_t BgL_arg2831z00_1754;
BgL_arg2830z00_1753 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00); 
BgL_arg2831z00_1754 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/substitute.scm 116 */
BgL_nodez00_bglt BgL_res2963z00_2679;
{ /* Ast/substitute.scm 116 */
obj_t BgL_method2686z00_2654;
{ /* Ast/substitute.scm 116 */
long BgL_objzd2classzd2numz00_2656;
{ /* Ast/substitute.scm 116 */
BgL_objectz00_bglt BgL_auxz00_4749;
BgL_auxz00_4749 = 
(BgL_objectz00_bglt)(BgL_arg2830z00_1753); 
BgL_objzd2classzd2numz00_2656 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4749); } 
{ /* Ast/substitute.scm 116 */
obj_t BgL_arg1221z00_2657;
{ /* Ast/substitute.scm 116 */
int BgL_auxz00_4752;
BgL_auxz00_4752 = 
(int)(((long)1)); 
BgL_arg1221z00_2657 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4752); } 
{ /* Ast/substitute.scm 116 */
long BgL_offsetz00_2661;
{ /* Ast/substitute.scm 116 */
long BgL_auxz00_4755;
{ /* Ast/substitute.scm 116 */
int BgL_auxz00_4756;
BgL_auxz00_4756 = 
(int)(BgL_objzd2classzd2numz00_2656); 
BgL_auxz00_4755 = 
(long)(BgL_auxz00_4756); } 
BgL_offsetz00_2661 = 
(BgL_auxz00_4755-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 116 */
long BgL_modz00_2662;
{ /* Ast/substitute.scm 116 */
long BgL_auxz00_4760;
{ /* Ast/substitute.scm 116 */
int BgL_auxz00_4761;
BgL_auxz00_4761 = 
(int)(((long)8)); 
BgL_auxz00_4760 = 
(long)(BgL_auxz00_4761); } 
BgL_modz00_2662 = 
(BgL_offsetz00_2661/BgL_auxz00_4760); } 
{ /* Ast/substitute.scm 116 */
long BgL_restz00_2664;
{ /* Ast/substitute.scm 116 */
long BgL_auxz00_4765;
{ /* Ast/substitute.scm 116 */
int BgL_auxz00_4766;
BgL_auxz00_4766 = 
(int)(((long)8)); 
BgL_auxz00_4765 = 
(long)(BgL_auxz00_4766); } 
BgL_restz00_2664 = 
(BgL_offsetz00_2661%BgL_auxz00_4765); } 
{ /* Ast/substitute.scm 116 */

{ /* Ast/substitute.scm 116 */
obj_t BgL_bucketz00_2666;
{ /* Ast/substitute.scm 116 */
int BgL_kz00_2676;
BgL_kz00_2676 = 
(int)(BgL_modz00_2662); 
BgL_bucketz00_2666 = 
VECTOR_REF(BgL_arg1221z00_2657,BgL_kz00_2676); } 
{ /* Ast/substitute.scm 116 */
int BgL_kz00_2678;
BgL_kz00_2678 = 
(int)(BgL_restz00_2664); 
BgL_method2686z00_2654 = 
VECTOR_REF(BgL_bucketz00_2666,BgL_kz00_2678); } } } } } } } } 
{ /* Ast/substitute.scm 116 */
obj_t BgL_auxz00_4774;
BgL_auxz00_4774 = 
PROCEDURE_ENTRY(BgL_method2686z00_2654)(BgL_method2686z00_2654, 
(obj_t)(BgL_arg2830z00_1753), BgL_arg2831z00_1754, BEOA); 
BgL_res2963z00_2679 = 
(BgL_nodez00_bglt)(BgL_auxz00_4774); } } 
BgL_nfunz00_1742 = BgL_res2963z00_2679; } } 
{ /* Ast/substitute.scm 117 */
BgL_nodez00_bglt BgL_arg2832z00_1755;obj_t BgL_arg2833z00_1756;
BgL_arg2832z00_1755 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00); 
BgL_arg2833z00_1756 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/substitute.scm 117 */
BgL_nodez00_bglt BgL_res2966z00_2708;
{ /* Ast/substitute.scm 117 */
obj_t BgL_method2686z00_2683;
{ /* Ast/substitute.scm 117 */
long BgL_objzd2classzd2numz00_2685;
{ /* Ast/substitute.scm 117 */
BgL_objectz00_bglt BgL_auxz00_4781;
BgL_auxz00_4781 = 
(BgL_objectz00_bglt)(BgL_arg2832z00_1755); 
BgL_objzd2classzd2numz00_2685 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4781); } 
{ /* Ast/substitute.scm 117 */
obj_t BgL_arg1221z00_2686;
{ /* Ast/substitute.scm 117 */
int BgL_auxz00_4784;
BgL_auxz00_4784 = 
(int)(((long)1)); 
BgL_arg1221z00_2686 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4784); } 
{ /* Ast/substitute.scm 117 */
long BgL_offsetz00_2690;
{ /* Ast/substitute.scm 117 */
long BgL_auxz00_4787;
{ /* Ast/substitute.scm 117 */
int BgL_auxz00_4788;
BgL_auxz00_4788 = 
(int)(BgL_objzd2classzd2numz00_2685); 
BgL_auxz00_4787 = 
(long)(BgL_auxz00_4788); } 
BgL_offsetz00_2690 = 
(BgL_auxz00_4787-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 117 */
long BgL_modz00_2691;
{ /* Ast/substitute.scm 117 */
long BgL_auxz00_4792;
{ /* Ast/substitute.scm 117 */
int BgL_auxz00_4793;
BgL_auxz00_4793 = 
(int)(((long)8)); 
BgL_auxz00_4792 = 
(long)(BgL_auxz00_4793); } 
BgL_modz00_2691 = 
(BgL_offsetz00_2690/BgL_auxz00_4792); } 
{ /* Ast/substitute.scm 117 */
long BgL_restz00_2693;
{ /* Ast/substitute.scm 117 */
long BgL_auxz00_4797;
{ /* Ast/substitute.scm 117 */
int BgL_auxz00_4798;
BgL_auxz00_4798 = 
(int)(((long)8)); 
BgL_auxz00_4797 = 
(long)(BgL_auxz00_4798); } 
BgL_restz00_2693 = 
(BgL_offsetz00_2690%BgL_auxz00_4797); } 
{ /* Ast/substitute.scm 117 */

{ /* Ast/substitute.scm 117 */
obj_t BgL_bucketz00_2695;
{ /* Ast/substitute.scm 117 */
int BgL_kz00_2705;
BgL_kz00_2705 = 
(int)(BgL_modz00_2691); 
BgL_bucketz00_2695 = 
VECTOR_REF(BgL_arg1221z00_2686,BgL_kz00_2705); } 
{ /* Ast/substitute.scm 117 */
int BgL_kz00_2707;
BgL_kz00_2707 = 
(int)(BgL_restz00_2693); 
BgL_method2686z00_2683 = 
VECTOR_REF(BgL_bucketz00_2695,BgL_kz00_2707); } } } } } } } } 
{ /* Ast/substitute.scm 117 */
obj_t BgL_auxz00_4806;
BgL_auxz00_4806 = 
PROCEDURE_ENTRY(BgL_method2686z00_2683)(BgL_method2686z00_2683, 
(obj_t)(BgL_arg2832z00_1755), BgL_arg2833z00_1756, BEOA); 
BgL_res2966z00_2708 = 
(BgL_nodez00_bglt)(BgL_auxz00_4806); } } 
BgL_nargz00_1743 = BgL_res2966z00_2708; } } 
{ /* Ast/substitute.scm 118 */
bool_t BgL_test2823z00_1744;
BgL_test2823z00_1744 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nfunz00_1742), BGl_closurez00zzast_nodez00); 
if(BgL_test2823z00_1744)
{ /* Ast/substitute.scm 119 */
obj_t BgL_arg2825z00_1746;BgL_varz00_bglt BgL_arg2826z00_1747;
BgL_arg2825z00_1746 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_locz00); 
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_duplicated2663z00_1748;
BgL_duplicated2663z00_1748 = 
(BgL_varz00_bglt)(BgL_nfunz00_1742); 
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_new2664z00_1749;
{ /* Ast/substitute.scm 119 */
obj_t BgL_arg2827z00_1750;BgL_typez00_bglt BgL_arg2828z00_1751;BgL_variablez00_bglt BgL_arg2829z00_1752;
BgL_arg2827z00_1750 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2663z00_1748))->BgL_locz00); 
BgL_arg2828z00_1751 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2663z00_1748))->BgL_typez00); 
BgL_arg2829z00_1752 = 
(((BgL_varz00_bglt)CREF(BgL_duplicated2663z00_1748))->BgL_variablez00); 
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_res2969z00_2732;
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_new1633z00_2717;
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_res2967z00_2723;
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_new1635z00_2718;
BgL_new1635z00_2718 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/substitute.scm 119 */
long BgL_arg2771z00_2719;
BgL_arg2771z00_2719 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/substitute.scm 119 */
BgL_objectz00_bglt BgL_auxz00_4821;
BgL_auxz00_4821 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2718); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4821, BgL_arg2771z00_2719); } } 
{ /* Ast/substitute.scm 119 */
BgL_objectz00_bglt BgL_auxz00_4824;
BgL_auxz00_4824 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2718); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4824, BFALSE); } 
{ /* Ast/substitute.scm 119 */
obj_t BgL_auxz00_4827;
BgL_auxz00_4827 = 
(obj_t)(BgL_new1635z00_2718); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4827); } BUNSPEC; 
BgL_res2967z00_2723 = BgL_new1635z00_2718; } 
BgL_new1633z00_2717 = BgL_res2967z00_2723; } 
{ /* Ast/substitute.scm 119 */
BgL_varz00_bglt BgL_res2968z00_2731;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2717))->BgL_locz00) = ((obj_t)BgL_arg2827z00_1750), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2717))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2828z00_1751), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2717))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg2829z00_1752), BUNSPEC); 
BgL_res2968z00_2731 = BgL_new1633z00_2717; BgL_res2968z00_2731; } 
BgL_res2969z00_2732 = BgL_new1633z00_2717; } 
BgL_new2664z00_1749 = BgL_res2969z00_2732; } } 
{ /* Ast/substitute.scm 119 */

BgL_arg2826z00_1747 = BgL_new2664z00_1749; } } } 
{ /* Ast/substitute.scm 119 */
BgL_nodez00_bglt BgL_auxz00_4833;
BgL_auxz00_4833 = 
BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL, BgL_arg2825z00_1746, 
(BgL_nodez00_bglt)(BgL_arg2826z00_1747), BgL_nargz00_1743, BgL_sitez00_1738); 
return 
(obj_t)(BgL_auxz00_4833);} }  else 
{ /* Ast/substitute.scm 118 */
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_nfunz00_1742), BUNSPEC); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_nargz00_1743), BUNSPEC); 
return 
(obj_t)(BgL_nodez00_1737);} } } } } 
}



/* do-substitute!-app2696 */
obj_t BGl_dozd2substitutez12zd2app2696z12zzast_substitutez00(obj_t BgL_envz00_3625, obj_t BgL_nodez00_3626, obj_t BgL_sitez00_3627)
{ AN_OBJECT;
{ /* Ast/substitute.scm 106 */
{ 
BgL_appz00_bglt BgL_nodez00_1726;obj_t BgL_sitez00_1727;
{ /* Ast/substitute.scm 107 */
BgL_appz00_bglt BgL_auxz00_4841;
BgL_nodez00_1726 = 
(BgL_appz00_bglt)(BgL_nodez00_3626); 
BgL_sitez00_1727 = BgL_sitez00_3627; 
{ /* Ast/substitute.scm 107 */
BgL_nodez00_bglt BgL_arg2817z00_1730;
{ /* Ast/substitute.scm 107 */
obj_t BgL_arg2819z00_1732;
BgL_arg2819z00_1732 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/substitute.scm 107 */
BgL_nodez00_bglt BgL_res2960z00_2647;
{ /* Ast/substitute.scm 107 */
BgL_nodez00_bglt BgL_nodez00_2620;
{ /* Ast/substitute.scm 107 */
BgL_varz00_bglt BgL_auxz00_4843;
BgL_auxz00_4843 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1726))->BgL_funz00); 
BgL_nodez00_2620 = 
(BgL_nodez00_bglt)(BgL_auxz00_4843); } 
{ /* Ast/substitute.scm 107 */
obj_t BgL_method2686z00_2622;
{ /* Ast/substitute.scm 107 */
long BgL_objzd2classzd2numz00_2624;
{ /* Ast/substitute.scm 107 */
BgL_objectz00_bglt BgL_auxz00_4846;
BgL_auxz00_4846 = 
(BgL_objectz00_bglt)(BgL_nodez00_2620); 
BgL_objzd2classzd2numz00_2624 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4846); } 
{ /* Ast/substitute.scm 107 */
obj_t BgL_arg1221z00_2625;
{ /* Ast/substitute.scm 107 */
int BgL_auxz00_4849;
BgL_auxz00_4849 = 
(int)(((long)1)); 
BgL_arg1221z00_2625 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4849); } 
{ /* Ast/substitute.scm 107 */
long BgL_offsetz00_2629;
{ /* Ast/substitute.scm 107 */
long BgL_auxz00_4852;
{ /* Ast/substitute.scm 107 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(BgL_objzd2classzd2numz00_2624); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_offsetz00_2629 = 
(BgL_auxz00_4852-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 107 */
long BgL_modz00_2630;
{ /* Ast/substitute.scm 107 */
long BgL_auxz00_4857;
{ /* Ast/substitute.scm 107 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(((long)8)); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_modz00_2630 = 
(BgL_offsetz00_2629/BgL_auxz00_4857); } 
{ /* Ast/substitute.scm 107 */
long BgL_restz00_2632;
{ /* Ast/substitute.scm 107 */
long BgL_auxz00_4862;
{ /* Ast/substitute.scm 107 */
int BgL_auxz00_4863;
BgL_auxz00_4863 = 
(int)(((long)8)); 
BgL_auxz00_4862 = 
(long)(BgL_auxz00_4863); } 
BgL_restz00_2632 = 
(BgL_offsetz00_2629%BgL_auxz00_4862); } 
{ /* Ast/substitute.scm 107 */

{ /* Ast/substitute.scm 107 */
obj_t BgL_bucketz00_2634;
{ /* Ast/substitute.scm 107 */
int BgL_kz00_2644;
BgL_kz00_2644 = 
(int)(BgL_modz00_2630); 
BgL_bucketz00_2634 = 
VECTOR_REF(BgL_arg1221z00_2625,BgL_kz00_2644); } 
{ /* Ast/substitute.scm 107 */
int BgL_kz00_2646;
BgL_kz00_2646 = 
(int)(BgL_restz00_2632); 
BgL_method2686z00_2622 = 
VECTOR_REF(BgL_bucketz00_2634,BgL_kz00_2646); } } } } } } } } 
{ /* Ast/substitute.scm 107 */
obj_t BgL_auxz00_4871;
BgL_auxz00_4871 = 
PROCEDURE_ENTRY(BgL_method2686z00_2622)(BgL_method2686z00_2622, 
(obj_t)(BgL_nodez00_2620), BgL_arg2819z00_1732, BEOA); 
BgL_res2960z00_2647 = 
(BgL_nodez00_bglt)(BgL_auxz00_4871); } } } 
BgL_arg2817z00_1730 = BgL_res2960z00_2647; } } 
{ /* Ast/substitute.scm 107 */
BgL_varz00_bglt BgL_val1723z00_2649;
BgL_val1723z00_2649 = 
(BgL_varz00_bglt)(BgL_arg2817z00_1730); 
((((BgL_appz00_bglt)CREF(BgL_nodez00_1726))->BgL_funz00) = ((BgL_varz00_bglt)BgL_val1723z00_2649), BUNSPEC); } } 
BGl_dozd2substituteza2z12z62zzast_substitutez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1726))->BgL_argsz00), 
CNST_TABLE_REF(((long)1))); 
BgL_auxz00_4841 = BgL_nodez00_1726; 
return 
(obj_t)(BgL_auxz00_4841);} } } 
}



/* do-substitute!-sequence2694 */
obj_t BGl_dozd2substitutez12zd2sequence2694z12zzast_substitutez00(obj_t BgL_envz00_3628, obj_t BgL_nodez00_3629, obj_t BgL_sitez00_3630)
{ AN_OBJECT;
{ /* Ast/substitute.scm 99 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1719;obj_t BgL_sitez00_1720;
{ /* Ast/substitute.scm 100 */
BgL_sequencez00_bglt BgL_auxz00_4883;
BgL_nodez00_1719 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3629); 
BgL_sitez00_1720 = BgL_sitez00_3630; 
BGl_dozd2substituteza2z12z62zzast_substitutez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1719))->BgL_nodesz00), BgL_sitez00_1720); 
BgL_auxz00_4883 = BgL_nodez00_1719; 
return 
(obj_t)(BgL_auxz00_4883);} } } 
}



/* do-substitute!-kwote2692 */
obj_t BGl_dozd2substitutez12zd2kwote2692z12zzast_substitutez00(obj_t BgL_envz00_3631, obj_t BgL_nodez00_3632, obj_t BgL_sitez00_3633)
{ AN_OBJECT;
{ /* Ast/substitute.scm 93 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1713;obj_t BgL_sitez00_1714;
{ /* Ast/substitute.scm 93 */
BgL_kwotez00_bglt BgL_auxz00_4888;
BgL_nodez00_1713 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3632); 
BgL_sitez00_1714 = BgL_sitez00_3633; 
BgL_auxz00_4888 = BgL_nodez00_1713; 
return 
(obj_t)(BgL_auxz00_4888);} } } 
}



/* do-substitute!-var2690 */
obj_t BGl_dozd2substitutez12zd2var2690z12zzast_substitutez00(obj_t BgL_envz00_3634, obj_t BgL_nodez00_3635, obj_t BgL_sitez00_3636)
{ AN_OBJECT;
{ /* Ast/substitute.scm 63 */
{ 
BgL_varz00_bglt BgL_nodez00_1684;obj_t BgL_sitez00_1685;
BgL_nodez00_1684 = 
(BgL_varz00_bglt)(BgL_nodez00_3635); 
BgL_sitez00_1685 = BgL_sitez00_3636; 
{ /* Ast/substitute.scm 64 */
BgL_variablez00_bglt BgL_varz00_1688;
BgL_varz00_1688 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1684))->BgL_variablez00); 
{ /* Ast/substitute.scm 65 */

{ 
obj_t BgL_alphaz00_1690;
BgL_alphaz00_1690 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1688))->BgL_fastzd2alphazd2); 
BgL_loopz00_1691:
if(
(BgL_alphaz00_1690==BUNSPEC))
{ /* Ast/substitute.scm 68 */
return 
(obj_t)(BgL_nodez00_1684);}  else 
{ /* Ast/substitute.scm 70 */
bool_t BgL_test2792z00_1693;
BgL_test2792z00_1693 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1690, BGl_varz00zzast_nodez00); 
if(BgL_test2792z00_1693)
{ /* Ast/substitute.scm 70 */
{ 
obj_t BgL_alphaz00_4897;
{ /* Ast/substitute.scm 71 */
BgL_variablez00_bglt BgL_auxz00_4898;
{ /* Ast/substitute.scm 71 */
BgL_varz00_bglt BgL_obj1619z00_2569;
BgL_obj1619z00_2569 = 
(BgL_varz00_bglt)(BgL_alphaz00_1690); 
BgL_auxz00_4898 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2569))->BgL_variablez00); } 
BgL_alphaz00_4897 = 
(obj_t)(BgL_auxz00_4898); } 
BgL_alphaz00_1690 = BgL_alphaz00_4897; 
goto BgL_loopz00_1691;} }  else 
{ /* Ast/substitute.scm 72 */
bool_t BgL_test2794z00_1695;
BgL_test2794z00_1695 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1690, BGl_variablez00zzast_varz00); 
if(BgL_test2794z00_1695)
{ /* Ast/substitute.scm 72 */
{ /* Ast/substitute.scm 73 */
obj_t BgL_auxz00_4904;
{ /* Ast/substitute.scm 73 */
BgL_nodez00_bglt BgL_obj1549z00_2571;
BgL_obj1549z00_2571 = 
(BgL_nodez00_bglt)(BgL_nodez00_1684); 
BgL_auxz00_4904 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2571))->BgL_locz00); } 
BGl_usezd2variablez12zc0zzast_sexpz00(
(BgL_variablez00_bglt)(BgL_alphaz00_1690), BgL_auxz00_4904, BgL_sitez00_1685); } 
{ /* Ast/substitute.scm 74 */
bool_t BgL_test2796z00_1697;
{ /* Ast/substitute.scm 74 */
bool_t BgL_test2806z00_1704;
{ /* Ast/substitute.scm 74 */
obj_t BgL_auxz00_4909;
{ /* Ast/substitute.scm 74 */
BgL_valuez00_bglt BgL_auxz00_4910;
{ /* Ast/substitute.scm 74 */
BgL_variablez00_bglt BgL_obj1103z00_2572;
BgL_obj1103z00_2572 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1690); 
BgL_auxz00_4910 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2572))->BgL_valuez00); } 
BgL_auxz00_4909 = 
(obj_t)(BgL_auxz00_4910); } 
BgL_test2806z00_1704 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4909, BGl_funz00zzast_varz00); } 
if(BgL_test2806z00_1704)
{ /* Ast/substitute.scm 74 */
bool_t BgL_testz00_4916;
{ /* Ast/substitute.scm 74 */
obj_t BgL_auxz00_4917;
BgL_auxz00_4917 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_4916 = 
(BgL_sitez00_1685==BgL_auxz00_4917); } 
if(BgL_testz00_4916)
{ /* Ast/substitute.scm 74 */
BgL_test2796z00_1697 = ((bool_t)0); }  else 
{ /* Ast/substitute.scm 74 */
BgL_test2796z00_1697 = ((bool_t)1); } }  else 
{ /* Ast/substitute.scm 74 */
BgL_test2796z00_1697 = ((bool_t)0); } } 
if(BgL_test2796z00_1697)
{ /* Ast/substitute.scm 76 */
obj_t BgL_arg2797z00_1698;BgL_typez00_bglt BgL_arg2799z00_1699;
{ /* Ast/substitute.scm 76 */
BgL_nodez00_bglt BgL_obj1549z00_2574;
BgL_obj1549z00_2574 = 
(BgL_nodez00_bglt)(BgL_nodez00_1684); 
BgL_arg2797z00_1698 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2574))->BgL_locz00); } 
{ /* Ast/substitute.scm 77 */
BgL_nodez00_bglt BgL_obj1550z00_2575;
BgL_obj1550z00_2575 = 
(BgL_nodez00_bglt)(BgL_nodez00_1684); 
BgL_arg2799z00_1699 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2575))->BgL_typez00); } 
{ /* Ast/substitute.scm 75 */
BgL_closurez00_bglt BgL_res2954z00_2594;
{ /* Ast/substitute.scm 75 */
BgL_variablez00_bglt BgL_variable1654z00_2578;
{ /* Ast/substitute.scm 78 */
obj_t BgL_auxz00_4925;
BgL_auxz00_4925 = BgL_alphaz00_1690; 
BgL_variable1654z00_2578 = 
(BgL_variablez00_bglt)(BgL_auxz00_4925); } 
{ /* Ast/substitute.scm 75 */
BgL_closurez00_bglt BgL_new1655z00_2579;
{ /* Ast/substitute.scm 75 */
BgL_closurez00_bglt BgL_res2952z00_2585;
{ /* Ast/substitute.scm 75 */
BgL_closurez00_bglt BgL_new1657z00_2580;
BgL_new1657z00_2580 = 
((BgL_closurez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_closurez00_bgl) ))); 
{ /* Ast/substitute.scm 75 */
long BgL_arg2770z00_2581;
BgL_arg2770z00_2581 = 
BGl_classzd2numzd2zz__objectz00(BGl_closurez00zzast_nodez00); 
{ /* Ast/substitute.scm 75 */
BgL_objectz00_bglt BgL_auxz00_4929;
BgL_auxz00_4929 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2580); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4929, BgL_arg2770z00_2581); } } 
{ /* Ast/substitute.scm 75 */
BgL_objectz00_bglt BgL_auxz00_4932;
BgL_auxz00_4932 = 
(BgL_objectz00_bglt)(BgL_new1657z00_2580); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4932, BFALSE); } 
{ /* Ast/substitute.scm 75 */
obj_t BgL_auxz00_4935;
BgL_auxz00_4935 = 
(obj_t)(BgL_new1657z00_2580); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4935); } BUNSPEC; 
BgL_res2952z00_2585 = BgL_new1657z00_2580; } 
BgL_new1655z00_2579 = BgL_res2952z00_2585; } 
{ /* Ast/substitute.scm 75 */
BgL_closurez00_bglt BgL_res2953z00_2593;
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2579))->BgL_locz00) = ((obj_t)BgL_arg2797z00_1698), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2579))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2799z00_1699), BUNSPEC); 
((((BgL_closurez00_bglt)CREF(BgL_new1655z00_2579))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1654z00_2578), BUNSPEC); 
BgL_res2953z00_2593 = BgL_new1655z00_2579; BgL_res2953z00_2593; } 
BgL_res2954z00_2594 = BgL_new1655z00_2579; } } 
return 
(obj_t)(BgL_res2954z00_2594);} }  else 
{ /* Ast/substitute.scm 80 */
obj_t BgL_arg2801z00_1701;BgL_typez00_bglt BgL_arg2802z00_1702;
{ /* Ast/substitute.scm 80 */
BgL_nodez00_bglt BgL_obj1549z00_2595;
BgL_obj1549z00_2595 = 
(BgL_nodez00_bglt)(BgL_nodez00_1684); 
BgL_arg2801z00_1701 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2595))->BgL_locz00); } 
{ /* Ast/substitute.scm 81 */
BgL_nodez00_bglt BgL_obj1550z00_2596;
BgL_obj1550z00_2596 = 
(BgL_nodez00_bglt)(BgL_nodez00_1684); 
BgL_arg2802z00_1702 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2596))->BgL_typez00); } 
{ /* Ast/substitute.scm 79 */
BgL_varz00_bglt BgL_res2957z00_2615;
{ /* Ast/substitute.scm 79 */
BgL_variablez00_bglt BgL_variable1632z00_2599;
{ /* Ast/substitute.scm 82 */
obj_t BgL_auxz00_4946;
BgL_auxz00_4946 = BgL_alphaz00_1690; 
BgL_variable1632z00_2599 = 
(BgL_variablez00_bglt)(BgL_auxz00_4946); } 
{ /* Ast/substitute.scm 79 */
BgL_varz00_bglt BgL_new1633z00_2600;
{ /* Ast/substitute.scm 79 */
BgL_varz00_bglt BgL_res2955z00_2606;
{ /* Ast/substitute.scm 79 */
BgL_varz00_bglt BgL_new1635z00_2601;
BgL_new1635z00_2601 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/substitute.scm 79 */
long BgL_arg2771z00_2602;
BgL_arg2771z00_2602 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/substitute.scm 79 */
BgL_objectz00_bglt BgL_auxz00_4950;
BgL_auxz00_4950 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2601); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4950, BgL_arg2771z00_2602); } } 
{ /* Ast/substitute.scm 79 */
BgL_objectz00_bglt BgL_auxz00_4953;
BgL_auxz00_4953 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2601); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4953, BFALSE); } 
{ /* Ast/substitute.scm 79 */
obj_t BgL_auxz00_4956;
BgL_auxz00_4956 = 
(obj_t)(BgL_new1635z00_2601); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4956); } BUNSPEC; 
BgL_res2955z00_2606 = BgL_new1635z00_2601; } 
BgL_new1633z00_2600 = BgL_res2955z00_2606; } 
{ /* Ast/substitute.scm 79 */
BgL_varz00_bglt BgL_res2956z00_2614;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2600))->BgL_locz00) = ((obj_t)BgL_arg2801z00_1701), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2600))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2802z00_1702), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2600))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2599), BUNSPEC); 
BgL_res2956z00_2614 = BgL_new1633z00_2600; BgL_res2956z00_2614; } 
BgL_res2957z00_2615 = BgL_new1633z00_2600; } } 
return 
(obj_t)(BgL_res2957z00_2615);} } } }  else 
{ /* Ast/substitute.scm 83 */
bool_t BgL_test2809z00_1707;
BgL_test2809z00_1707 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1690, BGl_atomz00zzast_nodez00); 
if(BgL_test2809z00_1707)
{ /* Ast/substitute.scm 83 */
return BgL_alphaz00_1690;}  else 
{ /* Ast/substitute.scm 83 */
{ /* Ast/substitute.scm 86 */
obj_t BgL_arg2812z00_1710;
BgL_arg2812z00_1710 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1684)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3066z00zzast_substitutez00, BGl_string3067z00zzast_substitutez00, BgL_arg2812z00_1710);} } } } } } } } } } 
}



/* do-substitute!-atom2688 */
obj_t BGl_dozd2substitutez12zd2atom2688z12zzast_substitutez00(obj_t BgL_envz00_3637, obj_t BgL_nodez00_3638, obj_t BgL_sitez00_3639)
{ AN_OBJECT;
{ /* Ast/substitute.scm 57 */
{ 
BgL_atomz00_bglt BgL_nodez00_1678;obj_t BgL_sitez00_1679;
{ /* Ast/substitute.scm 57 */
BgL_atomz00_bglt BgL_auxz00_4970;
BgL_nodez00_1678 = 
(BgL_atomz00_bglt)(BgL_nodez00_3638); 
BgL_sitez00_1679 = BgL_sitez00_3639; 
BgL_auxz00_4970 = BgL_nodez00_1678; 
return 
(obj_t)(BgL_auxz00_4970);} } } 
}



/* do-substitute! */
BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
{ AN_OBJECT;
{ /* Ast/substitute.scm 52 */
{ /* Ast/substitute.scm 52 */
obj_t BgL_method2686z00_3524;
{ /* Ast/substitute.scm 52 */
long BgL_objzd2classzd2numz00_3526;
{ /* Ast/substitute.scm 52 */
BgL_objectz00_bglt BgL_auxz00_4973;
BgL_auxz00_4973 = 
(BgL_objectz00_bglt)(BgL_nodez00_5); 
BgL_objzd2classzd2numz00_3526 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4973); } 
{ /* Ast/substitute.scm 52 */
obj_t BgL_arg1221z00_3527;
{ /* Ast/substitute.scm 52 */
int BgL_auxz00_4976;
BgL_auxz00_4976 = 
(int)(((long)1)); 
BgL_arg1221z00_3527 = 
PROCEDURE_REF(BGl_dozd2substitutez12zd2envz12zzast_substitutez00, BgL_auxz00_4976); } 
{ /* Ast/substitute.scm 52 */
long BgL_offsetz00_3531;
{ /* Ast/substitute.scm 52 */
long BgL_auxz00_4979;
{ /* Ast/substitute.scm 52 */
int BgL_auxz00_4980;
BgL_auxz00_4980 = 
(int)(BgL_objzd2classzd2numz00_3526); 
BgL_auxz00_4979 = 
(long)(BgL_auxz00_4980); } 
BgL_offsetz00_3531 = 
(BgL_auxz00_4979-OBJECT_TYPE); } 
{ /* Ast/substitute.scm 52 */
long BgL_modz00_3532;
{ /* Ast/substitute.scm 52 */
long BgL_auxz00_4984;
{ /* Ast/substitute.scm 52 */
int BgL_auxz00_4985;
BgL_auxz00_4985 = 
(int)(((long)8)); 
BgL_auxz00_4984 = 
(long)(BgL_auxz00_4985); } 
BgL_modz00_3532 = 
(BgL_offsetz00_3531/BgL_auxz00_4984); } 
{ /* Ast/substitute.scm 52 */
long BgL_restz00_3534;
{ /* Ast/substitute.scm 52 */
long BgL_auxz00_4989;
{ /* Ast/substitute.scm 52 */
int BgL_auxz00_4990;
BgL_auxz00_4990 = 
(int)(((long)8)); 
BgL_auxz00_4989 = 
(long)(BgL_auxz00_4990); } 
BgL_restz00_3534 = 
(BgL_offsetz00_3531%BgL_auxz00_4989); } 
{ /* Ast/substitute.scm 52 */

{ /* Ast/substitute.scm 52 */
obj_t BgL_bucketz00_3536;
{ /* Ast/substitute.scm 52 */
int BgL_kz00_3546;
BgL_kz00_3546 = 
(int)(BgL_modz00_3532); 
BgL_bucketz00_3536 = 
VECTOR_REF(BgL_arg1221z00_3527,BgL_kz00_3546); } 
{ /* Ast/substitute.scm 52 */
int BgL_kz00_3548;
BgL_kz00_3548 = 
(int)(BgL_restz00_3534); 
BgL_method2686z00_3524 = 
VECTOR_REF(BgL_bucketz00_3536,BgL_kz00_3548); } } } } } } } } 
{ /* Ast/substitute.scm 52 */
obj_t BgL_auxz00_4998;
BgL_auxz00_4998 = 
PROCEDURE_ENTRY(BgL_method2686z00_3524)(BgL_method2686z00_3524, 
(obj_t)(BgL_nodez00_5), BgL_sitez00_6, BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4998);} } } 
}



/* _do-substitute! */
obj_t BGl__dozd2substitutez12zc0zzast_substitutez00(obj_t BgL_envz00_3557, obj_t BgL_nodez00_3558, obj_t BgL_sitez00_3559)
{ AN_OBJECT;
{ /* Ast/substitute.scm 52 */
{ /* Ast/substitute.scm 52 */
BgL_nodez00_bglt BgL_auxz00_5003;
BgL_auxz00_5003 = 
BGl_dozd2substitutez12zc0zzast_substitutez00(
(BgL_nodez00_bglt)(BgL_nodez00_3558), BgL_sitez00_3559); 
return 
(obj_t)(BgL_auxz00_5003);} } 
}



/* do-substitute!-default2685 */
BgL_nodez00_bglt BGl_dozd2substitutez12zd2default2685z12zzast_substitutez00(BgL_nodez00_bglt BgL_nodez00_7, obj_t BgL_sitez00_8)
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
{ 
obj_t BgL_auxz00_5009;obj_t BgL_auxz00_5007;
BgL_auxz00_5009 = 
(obj_t)(BgL_nodez00_7); 
BgL_auxz00_5007 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_5007,BGl_string3068z00zzast_substitutez00,BgL_auxz00_5009);} } 
}



/* _do-substitute!-default2685 */
obj_t BGl__dozd2substitutez12zd2default2685z12zzast_substitutez00(obj_t BgL_envz00_3640, obj_t BgL_nodez00_3641, obj_t BgL_sitez00_3642)
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
{ /* Ast/substitute.scm 14 */
BgL_nodez00_bglt BgL_auxz00_5012;
BgL_auxz00_5012 = 
BGl_dozd2substitutez12zd2default2685z12zzast_substitutez00(
(BgL_nodez00_bglt)(BgL_nodez00_3641), BgL_sitez00_3642); 
return 
(obj_t)(BgL_auxz00_5012);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
{ AN_OBJECT;
{ /* Ast/substitute.scm 14 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zzast_applyz00(((long)56957), "ast_substitute"); 
BGl_modulezd2initializa7ationz75zzast_appz00(((long)54071), "ast_substitute"); 
return 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_substitute");} 
}

