/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_unitz00();
static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
extern obj_t BGl_za2_za2z00zztype_cachez00;
static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzast_unitz00();
extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
static obj_t BGl_getzd2globalzd2arityz00zzast_unitz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
static obj_t BGl__unitzd2initzd2callsz00zzast_unitz00(obj_t);
extern obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00();
static obj_t BGl__unitzd2ze3defsz31zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_unitz00();
extern obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
static obj_t BGl__unitzd2initializa7ersz75zzast_unitz00(obj_t);
extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
static obj_t BGl__unitzd2initializa7erzd2idza7zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_makezd2sgfunzd2defaultz00zzast_unitz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t);
static obj_t BGl_makezd2sgfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00();
extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
static obj_t __cnst[ 24 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00, BgL_bgl__unitza7d2sexpza7a2za7d2addza712za7b0za7za7ast_unitza7003531z00, BGl__unitzd2sexpza2zd2addz12zb0zzast_unitz00, 0L, 2 );
extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;
DEFINE_EXPORT_PROCEDURE( BGl_unitzd2initzd2callszd2envzd2zzast_unitz00, BgL_bgl__unitza7d2initza7d2callsza700za7za7ast_unitza7003532z00, BGl__unitzd2initzd2callsz00zzast_unitz00, 0L, 0 );
DEFINE_STRING( BGl_string3526z00zzast_unitz00, BgL_bgl_string3526za700za7za7ast_unitza7003533z00, "unit add-generic! sgfun -default quote error now cons* apply define-method define-generic sifun define-inline define begin lambda set! sfun read @ -init cgen snifun ::obj ", 171 );
DEFINE_STRING( BGl_string3525z00zzast_unitz00, BgL_bgl_string3525za700za7za7ast_unitza7003534z00, "Illegal generic definition (first argument missing)", 51 );
DEFINE_STRING( BGl_string3524z00zzast_unitz00, BgL_bgl_string3524za700za7za7ast_unitza7003535z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3523z00zzast_unitz00, BgL_bgl_string3523za700za7za7ast_unitza7003536z00, "Illegal '() expression", 22 );
DEFINE_STRING( BGl_string3522z00zzast_unitz00, BgL_bgl_string3522za700za7za7ast_unitza7003537z00, "      [", 7 );
DEFINE_STRING( BGl_string3521z00zzast_unitz00, BgL_bgl_string3521za700za7za7ast_unitza7003538z00, "]", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unitzd2ze3defszd2envze3zzast_unitz00, BgL_bgl__unitza7d2za7e3defsza731za7za7ast_unitza7003539z00, BGl__unitzd2ze3defsz31zzast_unitz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unitzd2initializa7erszd2envza7zzast_unitz00, BgL_bgl__unitza7d2initializa7a7ersza775za7za7ast_unitza7003540z00, BGl__unitzd2initializa7ersz75zzast_unitz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00, BgL_bgl__unitza7d2initializa7a7erza7d2idza7a7za7za7ast_unitza7003541za7, BGl__unitzd2initializa7erzd2idza7zzast_unitz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long BgL_checksumz00_3846, char * BgL_fromz00_3847)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
{ 
BGl_requirezd2initializa7ationz75zzast_unitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_unitz00(); 
BGl_cnstzd2initzd2zzast_unitz00(); 
BGl_importedzd2moduleszd2initz00zzast_unitz00(); 
BGl_toplevelzd2initzd2zzast_unitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_unit"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "ast_unit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 21 */
{ /* Ast/unit.scm 21 */
obj_t BgL_cportz00_3839;
BgL_cportz00_3839 = 
open_input_string(BGl_string3526z00zzast_unitz00); 
{ 
long BgL_iz00_3840;
BgL_iz00_3840 = ((long)23); 
BgL_loopz00_3841:
if(
(BgL_iz00_3840==((long)-1)))
{ /* Ast/unit.scm 21 */
return BUNSPEC;}  else 
{ /* Ast/unit.scm 21 */
{ /* Ast/unit.scm 21 */
obj_t BgL_arg3528z00_3843;
{ /* Ast/unit.scm 21 */
obj_t BgL_list3529z00_3844;
BgL_list3529z00_3844 = 
MAKE_PAIR(BgL_cportz00_3839, BNIL); 
BgL_arg3528z00_3843 = 
BGl_readz00zz__readerz00(BgL_list3529z00_3844); } 
{ /* Ast/unit.scm 21 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(BgL_iz00_3840); 
CNST_TABLE_SET(BgL_auxz00_3867, BgL_arg3528z00_3843); } } 
{ 
long BgL_iz00_3870;
{ /* Ast/unit.scm 21 */
int BgL_auxz00_3871;
{ /* Ast/unit.scm 21 */
long BgL_auxz00_3872;
BgL_auxz00_3872 = 
(BgL_iz00_3840-((long)1)); 
BgL_auxz00_3871 = 
(int)(BgL_auxz00_3872); } 
BgL_iz00_3870 = 
(long)(BgL_auxz00_3871); } 
BgL_iz00_3840 = BgL_iz00_3870; 
goto BgL_loopz00_3841;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 21 */
return ( 
BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC) ;} 
}



/* unit-sexp*-add! */
obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t BgL_unitz00_19, obj_t BgL_sexpz00_20)
{ AN_OBJECT;
{ /* Ast/unit.scm 56 */
{ /* Ast/unit.scm 57 */
bool_t BgL_testz00_3876;
{ /* Ast/unit.scm 57 */
obj_t BgL_auxz00_3877;
{ /* Ast/unit.scm 57 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)2)); 
BgL_auxz00_3877 = 
STRUCT_REF(BgL_unitz00_19, BgL_auxz00_3878); } 
BgL_testz00_3876 = 
NULLP(BgL_auxz00_3877); } 
if(BgL_testz00_3876)
{ /* Ast/unit.scm 58 */
int BgL_auxz00_3882;
BgL_auxz00_3882 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_unitz00_19, BgL_auxz00_3882, BgL_sexpz00_20);}  else 
{ /* Ast/unit.scm 59 */
obj_t BgL_auxz00_3885;
{ /* Ast/unit.scm 59 */
obj_t BgL_auxz00_3886;
{ /* Ast/unit.scm 59 */
int BgL_auxz00_3887;
BgL_auxz00_3887 = 
(int)(((long)2)); 
BgL_auxz00_3886 = 
STRUCT_REF(BgL_unitz00_19, BgL_auxz00_3887); } 
BgL_auxz00_3885 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3886); } 
return 
SET_CDR(BgL_auxz00_3885, BgL_sexpz00_20);} } } 
}



/* _unit-sexp*-add! */
obj_t BGl__unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t BgL_envz00_3824, obj_t BgL_unitz00_3825, obj_t BgL_sexpz00_3826)
{ AN_OBJECT;
{ /* Ast/unit.scm 56 */
return 
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_3825, BgL_sexpz00_3826);} 
}



/* unit->defs */
obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t BgL_unitz00_21)
{ AN_OBJECT;
{ /* Ast/unit.scm 64 */
{ /* Ast/unit.scm 65 */
obj_t BgL_arg2906z00_1481;
{ /* Ast/unit.scm 66 */
obj_t BgL_arg2912z00_1487;
{ /* Ast/unit.scm 66 */
obj_t BgL_auxz00_3893;
{ /* Ast/unit.scm 66 */
int BgL_auxz00_3894;
BgL_auxz00_3894 = 
(int)(((long)0)); 
BgL_auxz00_3893 = 
STRUCT_REF(BgL_unitz00_21, BgL_auxz00_3894); } 
BgL_arg2912z00_1487 = 
SYMBOL_TO_STRING(BgL_auxz00_3893); } 
BgL_arg2906z00_1481 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2912z00_1487); } 
{ /* Ast/unit.scm 65 */
obj_t BgL_list2908z00_1483;
{ /* Ast/unit.scm 65 */
obj_t BgL_arg2909z00_1484;
{ /* Ast/unit.scm 65 */
obj_t BgL_arg2910z00_1485;
{ /* Ast/unit.scm 65 */
obj_t BgL_arg2911z00_1486;
{ /* Ast/unit.scm 65 */
obj_t BgL_auxz00_3899;
BgL_auxz00_3899 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2911z00_1486 = 
MAKE_PAIR(BgL_auxz00_3899, BNIL); } 
BgL_arg2910z00_1485 = 
MAKE_PAIR(BGl_string3521z00zzast_unitz00, BgL_arg2911z00_1486); } 
BgL_arg2909z00_1484 = 
MAKE_PAIR(BgL_arg2906z00_1481, BgL_arg2910z00_1485); } 
BgL_list2908z00_1483 = 
MAKE_PAIR(BGl_string3522z00zzast_unitz00, BgL_arg2909z00_1484); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2908z00_1483); } } 
{ /* Ast/unit.scm 70 */
obj_t BgL_idz00_1489;obj_t BgL_weightz00_1490;obj_t BgL_sexpza2za2_1491;
{ /* Ast/unit.scm 70 */
int BgL_auxz00_3907;
BgL_auxz00_3907 = 
(int)(((long)0)); 
BgL_idz00_1489 = 
STRUCT_REF(BgL_unitz00_21, BgL_auxz00_3907); } 
{ /* Ast/unit.scm 71 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(((long)1)); 
BgL_weightz00_1490 = 
STRUCT_REF(BgL_unitz00_21, BgL_auxz00_3910); } 
{ /* Ast/unit.scm 72 */
int BgL_auxz00_3913;
BgL_auxz00_3913 = 
(int)(((long)2)); 
BgL_sexpza2za2_1491 = 
STRUCT_REF(BgL_unitz00_21, BgL_auxz00_3913); } 
{ 
obj_t BgL_aexpza2za2_1492;obj_t BgL_initza2za2_1493;obj_t BgL_defza2za2_1494;
{ /* Ast/unit.scm 74 */
obj_t BgL_arg2914z00_1496;
if(
PROCEDUREP(BgL_sexpza2za2_1491))
{ /* Ast/unit.scm 74 */
BgL_arg2914z00_1496 = 
PROCEDURE_ENTRY(BgL_sexpza2za2_1491)(BgL_sexpza2za2_1491, BEOA); }  else 
{ /* Ast/unit.scm 76 */
obj_t BgL_arg2918z00_1500;
BgL_arg2918z00_1500 = 
BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(BgL_sexpza2za2_1491); 
BgL_arg2914z00_1496 = 
BGl_toplevelza2zd2ze3astz93zzast_unitz00(BgL_sexpza2za2_1491, BgL_arg2918z00_1500); } 
BgL_aexpza2za2_1492 = BgL_arg2914z00_1496; 
BgL_initza2za2_1493 = BNIL; 
BgL_defza2za2_1494 = BNIL; 
BgL_loopz00_1495:
if(
NULLP(BgL_aexpza2za2_1492))
{ /* Ast/unit.scm 79 */
if(
PAIRP(BgL_initza2za2_1493))
{ /* Ast/unit.scm 81 */
BgL_globalz00_bglt BgL_initz00_1503;
{ /* Ast/unit.scm 82 */
obj_t BgL_arg2924z00_1507;obj_t BgL_arg2927z00_1510;obj_t BgL_arg2928z00_1511;obj_t BgL_arg2929z00_1512;
{ /* Ast/unit.scm 82 */
obj_t BgL_arg2930z00_1513;obj_t BgL_arg2931z00_1514;
BgL_arg2930z00_1513 = 
BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_1489); 
BgL_arg2931z00_1514 = 
CNST_TABLE_REF(((long)0)); 
{ /* Ast/unit.scm 82 */
obj_t BgL_list2932z00_1515;
{ /* Ast/unit.scm 82 */
obj_t BgL_arg2933z00_1516;
BgL_arg2933z00_1516 = 
MAKE_PAIR(BgL_arg2931z00_1514, BNIL); 
BgL_list2932z00_1515 = 
MAKE_PAIR(BgL_arg2930z00_1513, BgL_arg2933z00_1516); } 
BgL_arg2924z00_1507 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2932z00_1515); } } 
BgL_arg2927z00_1510 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2928z00_1511 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/unit.scm 89 */
obj_t BgL_arg2934z00_1517;
BgL_arg2934z00_1517 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_initza2za2_1493); 
BgL_arg2929z00_1512 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_arg2934z00_1517); } 
BgL_initz00_1503 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_arg2924z00_1507, BNIL, BNIL, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2927z00_1510, BGl_za2modulezd2clauseza2zd2zzmodule_modulez00, BgL_arg2928z00_1511, BgL_arg2929z00_1512); } 
{ /* Ast/unit.scm 92 */
bool_t BgL_test2921z00_1504;
{ /* Ast/unit.scm 92 */
obj_t BgL_arg2922z00_1505;
BgL_arg2922z00_1505 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
BgL_test2921z00_1504 = 
(BgL_unitz00_21==BgL_arg2922z00_1505); } 
if(BgL_test2921z00_1504)
{ /* Ast/unit.scm 92 */BFALSE; }  else 
{ /* Ast/unit.scm 92 */
((((BgL_globalz00_bglt)CREF(BgL_initz00_1503))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
BGl_declarezd2unitz12zc0zzast_unitz00(BgL_idz00_1489, 
(long)CINT(BgL_weightz00_1490)); 
((((BgL_globalz00_bglt)CREF(BgL_initz00_1503))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
{ /* Ast/unit.scm 102 */
obj_t BgL_arg2923z00_1506;
BgL_arg2923z00_1506 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_defza2za2_1494); 
{ /* Ast/unit.scm 102 */
obj_t BgL_auxz00_3944;
BgL_auxz00_3944 = 
(obj_t)(BgL_initz00_1503); 
return 
MAKE_PAIR(BgL_auxz00_3944, BgL_arg2923z00_1506);} } }  else 
{ /* Ast/unit.scm 80 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_defza2za2_1494);} }  else 
{ /* Ast/unit.scm 104 */
bool_t BgL_test2935z00_1518;
BgL_test2935z00_1518 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_aexpza2za2_1492), BGl_globalz00zzast_varz00); 
if(BgL_test2935z00_1518)
{ /* Ast/unit.scm 105 */
obj_t BgL_arg2936z00_1519;obj_t BgL_arg2937z00_1520;
BgL_arg2936z00_1519 = 
CDR(BgL_aexpza2za2_1492); 
{ /* Ast/unit.scm 107 */
obj_t BgL_auxz00_3952;
BgL_auxz00_3952 = 
CAR(BgL_aexpza2za2_1492); 
BgL_arg2937z00_1520 = 
MAKE_PAIR(BgL_auxz00_3952, BgL_defza2za2_1494); } 
{ 
obj_t BgL_defza2za2_3956;obj_t BgL_aexpza2za2_3955;
BgL_aexpza2za2_3955 = BgL_arg2936z00_1519; 
BgL_defza2za2_3956 = BgL_arg2937z00_1520; 
BgL_defza2za2_1494 = BgL_defza2za2_3956; 
BgL_aexpza2za2_1492 = BgL_aexpza2za2_3955; 
goto BgL_loopz00_1495;} }  else 
{ /* Ast/unit.scm 108 */
obj_t BgL_arg2939z00_1522;obj_t BgL_arg2940z00_1523;
BgL_arg2939z00_1522 = 
CDR(BgL_aexpza2za2_1492); 
{ /* Ast/unit.scm 109 */
obj_t BgL_auxz00_3958;
BgL_auxz00_3958 = 
CAR(BgL_aexpza2za2_1492); 
BgL_arg2940z00_1523 = 
MAKE_PAIR(BgL_auxz00_3958, BgL_initza2za2_1493); } 
{ 
obj_t BgL_initza2za2_3962;obj_t BgL_aexpza2za2_3961;
BgL_aexpza2za2_3961 = BgL_arg2939z00_1522; 
BgL_initza2za2_3962 = BgL_arg2940z00_1523; 
BgL_initza2za2_1493 = BgL_initza2za2_3962; 
BgL_aexpza2za2_1492 = BgL_aexpza2za2_3961; 
goto BgL_loopz00_1495;} } } } } } } 
}



/* _unit->defs */
obj_t BGl__unitzd2ze3defsz31zzast_unitz00(obj_t BgL_envz00_3827, obj_t BgL_unitz00_3828)
{ AN_OBJECT;
{ /* Ast/unit.scm 64 */
return 
BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_3828);} 
}



/* declare-unit! */
obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_22, long BgL_weightz00_23)
{ AN_OBJECT;
{ /* Ast/unit.scm 120 */
{ /* Ast/unit.scm 121 */
bool_t BgL_test2943z00_1526;
{ /* Ast/unit.scm 121 */
bool_t BgL_test2958z00_1543;
{ /* Ast/unit.scm 121 */
obj_t BgL_objz00_2743;
BgL_objz00_2743 = BGl_za2unitzd2listza2zd2zzast_unitz00; 
BgL_test2958z00_1543 = 
NULLP(BgL_objz00_2743); } 
if(BgL_test2958z00_1543)
{ /* Ast/unit.scm 121 */
BgL_test2943z00_1526 = ((bool_t)1); }  else 
{ /* Ast/unit.scm 121 */
obj_t BgL_arg2959z00_1544;
{ /* Ast/unit.scm 121 */
obj_t BgL_arg2960z00_1545;
{ /* Ast/unit.scm 121 */
obj_t BgL_pairz00_2744;
BgL_pairz00_2744 = BGl_za2unitzd2listza2zd2zzast_unitz00; 
BgL_arg2960z00_1545 = 
CAR(BgL_pairz00_2744); } 
BgL_arg2959z00_1544 = 
CDR(BgL_arg2960z00_1545); } 
{ /* Ast/unit.scm 121 */
long BgL_auxz00_3968;
BgL_auxz00_3968 = 
(long)CINT(BgL_arg2959z00_1544); 
BgL_test2943z00_1526 = 
(BgL_weightz00_23<BgL_auxz00_3968); } } } 
if(BgL_test2943z00_1526)
{ /* Ast/unit.scm 122 */
obj_t BgL_arg2944z00_1527;
{ /* Ast/unit.scm 122 */
obj_t BgL_auxz00_3972;
BgL_auxz00_3972 = 
BINT(BgL_weightz00_23); 
BgL_arg2944z00_1527 = 
MAKE_PAIR(BgL_idz00_22, BgL_auxz00_3972); } 
return ( 
BGl_za2unitzd2listza2zd2zzast_unitz00 = 
MAKE_PAIR(BgL_arg2944z00_1527, BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC) ;}  else 
{ 
obj_t BgL_ulistz00_1528;
BgL_ulistz00_1528 = BGl_za2unitzd2listza2zd2zzast_unitz00; 
BgL_loopz00_1529:
{ /* Ast/unit.scm 125 */
bool_t BgL_testz00_3976;
{ /* Ast/unit.scm 125 */
long BgL_auxz00_3977;
{ /* Ast/unit.scm 125 */
obj_t BgL_auxz00_3978;
{ /* Ast/unit.scm 125 */
obj_t BgL_auxz00_3979;
BgL_auxz00_3979 = 
CAR(BgL_ulistz00_1528); 
BgL_auxz00_3978 = 
CDR(BgL_auxz00_3979); } 
BgL_auxz00_3977 = 
(long)CINT(BgL_auxz00_3978); } 
BgL_testz00_3976 = 
(BgL_weightz00_23<BgL_auxz00_3977); } 
if(BgL_testz00_3976)
{ /* Ast/unit.scm 125 */
{ /* Ast/unit.scm 126 */
obj_t BgL_arg2946z00_1531;
{ /* Ast/unit.scm 126 */
obj_t BgL_auxz00_3986;obj_t BgL_auxz00_3984;
BgL_auxz00_3986 = 
CDR(BgL_ulistz00_1528); 
BgL_auxz00_3984 = 
CAR(BgL_ulistz00_1528); 
BgL_arg2946z00_1531 = 
MAKE_PAIR(BgL_auxz00_3984, BgL_auxz00_3986); } 
SET_CDR(BgL_ulistz00_1528, BgL_arg2946z00_1531); } 
{ /* Ast/unit.scm 127 */
obj_t BgL_arg2949z00_1534;
{ /* Ast/unit.scm 127 */
obj_t BgL_auxz00_3990;
BgL_auxz00_3990 = 
BINT(BgL_weightz00_23); 
BgL_arg2949z00_1534 = 
MAKE_PAIR(BgL_idz00_22, BgL_auxz00_3990); } 
return 
SET_CAR(BgL_ulistz00_1528, BgL_arg2949z00_1534);} }  else 
{ /* Ast/unit.scm 128 */
bool_t BgL_testz00_3994;
{ /* Ast/unit.scm 128 */
obj_t BgL_auxz00_3995;
BgL_auxz00_3995 = 
CDR(BgL_ulistz00_1528); 
BgL_testz00_3994 = 
NULLP(BgL_auxz00_3995); } 
if(BgL_testz00_3994)
{ /* Ast/unit.scm 128 */
{ /* Ast/unit.scm 129 */
obj_t BgL_arg2951z00_1536;
{ /* Ast/unit.scm 129 */
obj_t BgL_arg2952z00_1537;
{ /* Ast/unit.scm 129 */
obj_t BgL_auxz00_3998;
BgL_auxz00_3998 = 
BINT(BgL_weightz00_23); 
BgL_arg2952z00_1537 = 
MAKE_PAIR(BgL_idz00_22, BgL_auxz00_3998); } 
{ /* Ast/unit.scm 129 */
obj_t BgL_list2953z00_1538;
BgL_list2953z00_1538 = 
MAKE_PAIR(BgL_arg2952z00_1537, BNIL); 
BgL_arg2951z00_1536 = BgL_list2953z00_1538; } } 
return 
SET_CDR(BgL_ulistz00_1528, BgL_arg2951z00_1536);} }  else 
{ /* Ast/unit.scm 128 */
{ 
obj_t BgL_ulistz00_4003;
BgL_ulistz00_4003 = 
CDR(BgL_ulistz00_1528); 
BgL_ulistz00_1528 = BgL_ulistz00_4003; 
goto BgL_loopz00_1529;} } } } } } } 
}



/* unit-initializer-id */
obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t BgL_idz00_24)
{ AN_OBJECT;
{ /* Ast/unit.scm 136 */
{ /* Ast/unit.scm 137 */
obj_t BgL_list2961z00_1546;
{ /* Ast/unit.scm 137 */
obj_t BgL_arg2962z00_1547;
{ /* Ast/unit.scm 137 */
obj_t BgL_auxz00_4005;
BgL_auxz00_4005 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2962z00_1547 = 
MAKE_PAIR(BgL_auxz00_4005, BNIL); } 
BgL_list2961z00_1546 = 
MAKE_PAIR(BgL_idz00_24, BgL_arg2962z00_1547); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2961z00_1546);} } 
}



/* _unit-initializer-id */
obj_t BGl__unitzd2initializa7erzd2idza7zzast_unitz00(obj_t BgL_envz00_3829, obj_t BgL_idz00_3830)
{ AN_OBJECT;
{ /* Ast/unit.scm 136 */
return 
BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_3830);} 
}



/* unit-initializers */
obj_t BGl_unitzd2initializa7ersz75zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 142 */
{ /* Ast/unit.scm 143 */
obj_t BgL_l2878z00_1548;
BgL_l2878z00_1548 = BGl_za2unitzd2listza2zd2zzast_unitz00; 
if(
NULLP(BgL_l2878z00_1548))
{ /* Ast/unit.scm 143 */
return BNIL;}  else 
{ /* Ast/unit.scm 143 */
obj_t BgL_head2880z00_1550;
BgL_head2880z00_1550 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2878z00_1551;obj_t BgL_tail2881z00_1552;
BgL_l2878z00_1551 = BgL_l2878z00_1548; 
BgL_tail2881z00_1552 = BgL_head2880z00_1550; 
BgL_lname2879z00_1553:
if(
NULLP(BgL_l2878z00_1551))
{ /* Ast/unit.scm 143 */
return 
CDR(BgL_head2880z00_1550);}  else 
{ /* Ast/unit.scm 144 */
obj_t BgL_newtail2882z00_1555;
{ /* Ast/unit.scm 144 */
obj_t BgL_arg2966z00_1557;
{ /* Ast/unit.scm 144 */
obj_t BgL_arg2968z00_1560;
{ /* Ast/unit.scm 144 */
obj_t BgL_auxz00_4017;
{ /* Ast/unit.scm 144 */
obj_t BgL_auxz00_4018;
BgL_auxz00_4018 = 
CAR(BgL_l2878z00_1551); 
BgL_auxz00_4017 = 
CAR(BgL_auxz00_4018); } 
BgL_arg2968z00_1560 = 
BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_auxz00_4017); } 
BgL_arg2966z00_1557 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg2968z00_1560, BGl_za2moduleza2z00zzmodule_modulez00); } 
BgL_newtail2882z00_1555 = 
MAKE_PAIR(BgL_arg2966z00_1557, BNIL); } 
SET_CDR(BgL_tail2881z00_1552, BgL_newtail2882z00_1555); 
{ 
obj_t BgL_tail2881z00_4027;obj_t BgL_l2878z00_4025;
BgL_l2878z00_4025 = 
CDR(BgL_l2878z00_1551); 
BgL_tail2881z00_4027 = BgL_newtail2882z00_1555; 
BgL_tail2881z00_1552 = BgL_tail2881z00_4027; 
BgL_l2878z00_1551 = BgL_l2878z00_4025; 
goto BgL_lname2879z00_1553;} } } } } } 
}



/* _unit-initializers */
obj_t BGl__unitzd2initializa7ersz75zzast_unitz00(obj_t BgL_envz00_3831)
{ AN_OBJECT;
{ /* Ast/unit.scm 142 */
return 
BGl_unitzd2initializa7ersz75zzast_unitz00();} 
}



/* unit-init-calls */
obj_t BGl_unitzd2initzd2callsz00zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 150 */
{ /* Ast/unit.scm 151 */
obj_t BgL_l2883z00_1562;
BgL_l2883z00_1562 = BGl_za2unitzd2listza2zd2zzast_unitz00; 
if(
NULLP(BgL_l2883z00_1562))
{ /* Ast/unit.scm 151 */
return BNIL;}  else 
{ /* Ast/unit.scm 151 */
obj_t BgL_head2885z00_1564;
BgL_head2885z00_1564 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2883z00_1565;obj_t BgL_tail2886z00_1566;
BgL_l2883z00_1565 = BgL_l2883z00_1562; 
BgL_tail2886z00_1566 = BgL_head2885z00_1564; 
BgL_lname2884z00_1567:
if(
NULLP(BgL_l2883z00_1565))
{ /* Ast/unit.scm 151 */
return 
CDR(BgL_head2885z00_1564);}  else 
{ /* Ast/unit.scm 151 */
obj_t BgL_newtail2887z00_1569;
{ /* Ast/unit.scm 151 */
obj_t BgL_arg2973z00_1571;
{ /* Ast/unit.scm 151 */
obj_t BgL_arg2975z00_1574;
{ /* Ast/unit.scm 151 */
obj_t BgL_arg2977z00_1576;obj_t BgL_arg2978z00_1577;
BgL_arg2977z00_1576 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/unit.scm 151 */
obj_t BgL_arg2979z00_1578;obj_t BgL_arg2980z00_1579;
{ /* Ast/unit.scm 151 */
obj_t BgL_auxz00_4036;
{ /* Ast/unit.scm 151 */
obj_t BgL_auxz00_4037;
BgL_auxz00_4037 = 
CAR(BgL_l2883z00_1565); 
BgL_auxz00_4036 = 
CAR(BgL_auxz00_4037); } 
BgL_arg2979z00_1578 = 
BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_auxz00_4036); } 
BgL_arg2980z00_1579 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2978z00_1577 = 
MAKE_PAIR(BgL_arg2979z00_1578, BgL_arg2980z00_1579); } 
BgL_arg2975z00_1574 = 
MAKE_PAIR(BgL_arg2977z00_1576, BgL_arg2978z00_1577); } 
BgL_arg2973z00_1571 = 
MAKE_PAIR(BgL_arg2975z00_1574, BNIL); } 
BgL_newtail2887z00_1569 = 
MAKE_PAIR(BgL_arg2973z00_1571, BNIL); } 
SET_CDR(BgL_tail2886z00_1566, BgL_newtail2887z00_1569); 
{ 
obj_t BgL_tail2886z00_4049;obj_t BgL_l2883z00_4047;
BgL_l2883z00_4047 = 
CDR(BgL_l2883z00_1565); 
BgL_tail2886z00_4049 = BgL_newtail2887z00_1569; 
BgL_tail2886z00_1566 = BgL_tail2886z00_4049; 
BgL_l2883z00_1565 = BgL_l2883z00_4047; 
goto BgL_lname2884z00_1567;} } } } } } 
}



/* _unit-init-calls */
obj_t BGl__unitzd2initzd2callsz00zzast_unitz00(obj_t BgL_envz00_3832)
{ AN_OBJECT;
{ /* Ast/unit.scm 150 */
return 
BGl_unitzd2initzd2callsz00zzast_unitz00();} 
}



/* toplevel*->ast */
obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_25, obj_t BgL_gdefsz00_26)
{ AN_OBJECT;
{ /* Ast/unit.scm 157 */
{ 
obj_t BgL_sexpza2za2_1581;obj_t BgL_aexpza2za2_1582;
BgL_sexpza2za2_1581 = BgL_sexpza2za2_25; 
BgL_aexpza2za2_1582 = BNIL; 
BgL_loopz00_1583:
if(
NULLP(BgL_sexpza2za2_1581))
{ /* Ast/unit.scm 160 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_aexpza2za2_1582);}  else 
{ /* Ast/unit.scm 162 */
obj_t BgL_arg2983z00_1585;obj_t BgL_arg2984z00_1586;
BgL_arg2983z00_1585 = 
CDR(BgL_sexpza2za2_1581); 
{ /* Ast/unit.scm 163 */
obj_t BgL_arg2985z00_1587;
BgL_arg2985z00_1587 = 
BGl_toplevelzd2ze3astz31zzast_unitz00(
CAR(BgL_sexpza2za2_1581), BgL_gdefsz00_26); 
BgL_arg2984z00_1586 = 
bgl_append2(BgL_arg2985z00_1587, BgL_aexpza2za2_1582); } 
{ 
obj_t BgL_aexpza2za2_4059;obj_t BgL_sexpza2za2_4058;
BgL_sexpza2za2_4058 = BgL_arg2983z00_1585; 
BgL_aexpza2za2_4059 = BgL_arg2984z00_1586; 
BgL_aexpza2za2_1582 = BgL_aexpza2za2_4059; 
BgL_sexpza2za2_1581 = BgL_sexpza2za2_4058; 
goto BgL_loopz00_1583;} } } } 
}



/* toplevel->ast */
obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_27, obj_t BgL_gdefsz00_28)
{ AN_OBJECT;
{ /* Ast/unit.scm 170 */
BGl_toplevelzd2ze3astz31zzast_unitz00:
{ 
obj_t BgL_varz00_1606;obj_t BgL_var2z00_1607;obj_t BgL_modulez00_1608;obj_t BgL_varz00_1603;obj_t BgL_var2z00_1604;obj_t BgL_varz00_1596;obj_t BgL_argsz00_1597;obj_t BgL_expz00_1598;obj_t BgL_varz00_1592;obj_t BgL_argsz00_1593;obj_t BgL_expz00_1594;
if(
PAIRP(BgL_sexpz00_27))
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4062;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4065;obj_t BgL_auxz00_4063;
BgL_auxz00_4065 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_4063 = 
CAR(BgL_sexpz00_27); 
BgL_testz00_4062 = 
(BgL_auxz00_4063==BgL_auxz00_4065); } 
if(BgL_testz00_4062)
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_sexpz00_27), BNIL))
{ /* Ast/unit.scm 171 */
{ /* Ast/unit.scm 173 */
obj_t BgL_list3179z00_1911;
BgL_list3179z00_1911 = 
MAKE_PAIR(BgL_sexpz00_27, BNIL); 
return BgL_list3179z00_1911;} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3180z00_2797;
BgL_arg3180z00_2797 = 
BGl_toplevelza2zd2ze3astz93zzast_unitz00(
CDR(BgL_sexpz00_27), BgL_gdefsz00_28); 
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3180z00_2797);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2173zd2_1643;
BgL_cdrzd2173zd2_1643 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4076;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4079;obj_t BgL_auxz00_4077;
BgL_auxz00_4079 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_4077 = 
CAR(BgL_sexpz00_27); 
BgL_testz00_4076 = 
(BgL_auxz00_4077==BgL_auxz00_4079); } 
if(BgL_testz00_4076)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2173zd2_1643))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2177zd2_1646;
BgL_carzd2177zd2_1646 = 
CAR(BgL_cdrzd2173zd2_1643); 
if(
PAIRP(BgL_carzd2177zd2_1646))
{ /* Ast/unit.scm 171 */
BgL_varz00_1592 = 
CAR(BgL_carzd2177zd2_1646); 
BgL_argsz00_1593 = 
CDR(BgL_carzd2177zd2_1646); 
BgL_expz00_1594 = 
CDR(BgL_cdrzd2173zd2_1643); 
{ /* Ast/unit.scm 177 */
obj_t BgL_idz00_1913;
{ /* Ast/unit.scm 177 */
obj_t BgL_arg3199z00_1937;
BgL_arg3199z00_1937 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sexpz00_27); 
BgL_idz00_1913 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_varz00_1592, BgL_arg3199z00_1937); } 
{ /* Ast/unit.scm 177 */
obj_t BgL_defz00_1914;
BgL_defz00_1914 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1913, BgL_gdefsz00_28); 
{ /* Ast/unit.scm 178 */
obj_t BgL_globalz00_1915;
BgL_globalz00_1915 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1913, BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* Ast/unit.scm 179 */

{ /* Ast/unit.scm 187 */
bool_t BgL_test3181z00_1916;
if(
PAIRP(BgL_defz00_1914))
{ /* Ast/unit.scm 188 */
bool_t BgL_testz00_4093;
{ /* Ast/unit.scm 188 */
obj_t BgL_auxz00_4098;obj_t BgL_auxz00_4094;
BgL_auxz00_4098 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 188 */
obj_t BgL_auxz00_4095;
BgL_auxz00_4095 = 
CDR(BgL_defz00_1914); 
BgL_auxz00_4094 = 
CAR(BgL_auxz00_4095); } 
BgL_testz00_4093 = 
(BgL_auxz00_4094==BgL_auxz00_4098); } 
if(BgL_testz00_4093)
{ /* Ast/unit.scm 189 */
bool_t BgL__ortest_2889z00_1930;
{ /* Ast/unit.scm 189 */
bool_t BgL_test3195z00_1933;
BgL_test3195z00_1933 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1915, BGl_globalz00zzast_varz00); 
if(BgL_test3195z00_1933)
{ /* Ast/unit.scm 189 */
BgL__ortest_2889z00_1930 = ((bool_t)0); }  else 
{ /* Ast/unit.scm 189 */
BgL__ortest_2889z00_1930 = ((bool_t)1); } } 
if(BgL__ortest_2889z00_1930)
{ /* Ast/unit.scm 189 */
BgL_test3181z00_1916 = BgL__ortest_2889z00_1930; }  else 
{ /* Ast/unit.scm 190 */
obj_t BgL_auxz00_4107;obj_t BgL_auxz00_4104;
BgL_auxz00_4107 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 190 */
BgL_globalz00_bglt BgL_obj1158z00_3130;
BgL_obj1158z00_3130 = 
(BgL_globalz00_bglt)(BgL_globalz00_1915); 
BgL_auxz00_4104 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1158z00_3130))->BgL_accessz00); } 
BgL_test3181z00_1916 = 
(BgL_auxz00_4104==BgL_auxz00_4107); } }  else 
{ /* Ast/unit.scm 188 */
BgL_test3181z00_1916 = ((bool_t)0); } }  else 
{ /* Ast/unit.scm 187 */
BgL_test3181z00_1916 = ((bool_t)1); } 
if(BgL_test3181z00_1916)
{ /* Ast/unit.scm 194 */
obj_t BgL_arg3182z00_1917;obj_t BgL_arg3183z00_1918;
BgL_arg3182z00_1917 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(BgL_expz00_1594, BgL_sexpz00_27); 
BgL_arg3183z00_1918 = 
CNST_TABLE_REF(((long)6)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_varz00_1592, BGl_za2moduleza2z00zzmodule_modulez00, BgL_argsz00_1593, BgL_arg3182z00_1917, BgL_sexpz00_27, BgL_arg3183z00_1918);}  else 
{ /* Ast/unit.scm 197 */
obj_t BgL_newzd2sexpzd2_1919;
{ /* Ast/unit.scm 197 */
obj_t BgL_arg3184z00_1920;obj_t BgL_arg3185z00_1921;
BgL_arg3184z00_1920 = 
CNST_TABLE_REF(((long)7)); 
{ /* Ast/unit.scm 197 */
obj_t BgL_arg3186z00_1922;
{ /* Ast/unit.scm 197 */
obj_t BgL_arg3187z00_1923;
{ /* Ast/unit.scm 197 */
obj_t BgL_arg3189z00_1925;obj_t BgL_arg3190z00_1926;
BgL_arg3189z00_1925 = 
CNST_TABLE_REF(((long)8)); 
{ /* Ast/unit.scm 197 */
obj_t BgL_auxz00_4116;
BgL_auxz00_4116 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_expz00_1594, BNIL); 
BgL_arg3190z00_1926 = 
MAKE_PAIR(BgL_argsz00_1593, BgL_auxz00_4116); } 
BgL_arg3187z00_1923 = 
MAKE_PAIR(BgL_arg3189z00_1925, BgL_arg3190z00_1926); } 
BgL_arg3186z00_1922 = 
MAKE_PAIR(BgL_arg3187z00_1923, BNIL); } 
BgL_arg3185z00_1921 = 
MAKE_PAIR(BgL_varz00_1592, BgL_arg3186z00_1922); } 
BgL_newzd2sexpzd2_1919 = 
MAKE_PAIR(BgL_arg3184z00_1920, BgL_arg3185z00_1921); } 
BGl_replacez12z12zztools_miscz00(BgL_sexpz00_27, BgL_newzd2sexpzd2_1919); 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1592, BgL_sexpz00_27);} } } } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2201zd2_1652;
BgL_cdrzd2201zd2_1652 = 
CDR(BgL_cdrzd2173zd2_1643); 
if(
PAIRP(BgL_cdrzd2201zd2_1652))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2205zd2_1654;
BgL_carzd2205zd2_1654 = 
CAR(BgL_cdrzd2201zd2_1652); 
if(
PAIRP(BgL_carzd2205zd2_1654))
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2210zd2_1656;
BgL_cdrzd2210zd2_1656 = 
CDR(BgL_carzd2205zd2_1654); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4135;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4138;obj_t BgL_auxz00_4136;
BgL_auxz00_4138 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_4136 = 
CAR(BgL_carzd2205zd2_1654); 
BgL_testz00_4135 = 
(BgL_auxz00_4136==BgL_auxz00_4138); } 
if(BgL_testz00_4135)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2210zd2_1656))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2201zd2_1652), BNIL))
{ /* Ast/unit.scm 171 */
BgL_varz00_1596 = 
CAR(BgL_cdrzd2173zd2_1643); 
BgL_argsz00_1597 = 
CAR(BgL_cdrzd2210zd2_1656); 
BgL_expz00_1598 = 
CDR(BgL_cdrzd2210zd2_1656); 
{ /* Ast/unit.scm 201 */
obj_t BgL_idz00_1938;
{ /* Ast/unit.scm 201 */
obj_t BgL_arg3210z00_1952;
BgL_arg3210z00_1952 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sexpz00_27); 
BgL_idz00_1938 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_varz00_1596, BgL_arg3210z00_1952); } 
{ /* Ast/unit.scm 201 */
obj_t BgL_defz00_1939;
BgL_defz00_1939 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1938, BgL_gdefsz00_28); 
{ /* Ast/unit.scm 202 */
obj_t BgL_globalz00_1940;
BgL_globalz00_1940 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1938, BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* Ast/unit.scm 203 */

{ /* Ast/unit.scm 205 */
bool_t BgL_test3200z00_1941;
{ /* Ast/unit.scm 205 */
bool_t BgL_testz00_4150;
{ /* Ast/unit.scm 205 */
obj_t BgL_auxz00_4155;obj_t BgL_auxz00_4151;
BgL_auxz00_4155 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 205 */
obj_t BgL_auxz00_4152;
BgL_auxz00_4152 = 
CDR(BgL_defz00_1939); 
BgL_auxz00_4151 = 
CAR(BgL_auxz00_4152); } 
BgL_testz00_4150 = 
(BgL_auxz00_4151==BgL_auxz00_4155); } 
if(BgL_testz00_4150)
{ /* Ast/unit.scm 206 */
bool_t BgL__ortest_2890z00_1945;
{ /* Ast/unit.scm 206 */
bool_t BgL_test3206z00_1948;
BgL_test3206z00_1948 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1940, BGl_globalz00zzast_varz00); 
if(BgL_test3206z00_1948)
{ /* Ast/unit.scm 206 */
BgL__ortest_2890z00_1945 = ((bool_t)0); }  else 
{ /* Ast/unit.scm 206 */
BgL__ortest_2890z00_1945 = ((bool_t)1); } } 
if(BgL__ortest_2890z00_1945)
{ /* Ast/unit.scm 206 */
BgL_test3200z00_1941 = BgL__ortest_2890z00_1945; }  else 
{ /* Ast/unit.scm 207 */
obj_t BgL_auxz00_4164;obj_t BgL_auxz00_4161;
BgL_auxz00_4164 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 207 */
BgL_globalz00_bglt BgL_obj1158z00_3134;
BgL_obj1158z00_3134 = 
(BgL_globalz00_bglt)(BgL_globalz00_1940); 
BgL_auxz00_4161 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1158z00_3134))->BgL_accessz00); } 
BgL_test3200z00_1941 = 
(BgL_auxz00_4161==BgL_auxz00_4164); } }  else 
{ /* Ast/unit.scm 205 */
BgL_test3200z00_1941 = ((bool_t)0); } } 
if(BgL_test3200z00_1941)
{ /* Ast/unit.scm 211 */
obj_t BgL_arg3201z00_1942;obj_t BgL_arg3202z00_1943;
BgL_arg3201z00_1942 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(BgL_expz00_1598, BgL_sexpz00_27); 
BgL_arg3202z00_1943 = 
CNST_TABLE_REF(((long)6)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_varz00_1596, BGl_za2moduleza2z00zzmodule_modulez00, BgL_argsz00_1597, BgL_arg3201z00_1942, BgL_sexpz00_27, BgL_arg3202z00_1943);}  else 
{ /* Ast/unit.scm 205 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1596, BgL_sexpz00_27);} } } } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4175;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4176;
BgL_auxz00_4176 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4175 = 
CAR(BgL_auxz00_4176); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4175, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2278zd2_1668;
BgL_cdrzd2278zd2_1668 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2283zd2_1669;
BgL_cdrzd2283zd2_1669 = 
CDR(BgL_cdrzd2278zd2_1668); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2287zd2_1670;
BgL_carzd2287zd2_1670 = 
CAR(BgL_cdrzd2283zd2_1669); 
if(
SYMBOLP(BgL_carzd2287zd2_1670))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2283zd2_1669), BNIL))
{ /* Ast/unit.scm 171 */
BgL_varz00_1603 = 
CAR(BgL_cdrzd2278zd2_1668); 
BgL_var2z00_1604 = BgL_carzd2287zd2_1670; 
BgL_tagzd2125zd2_1605:
{ /* Ast/unit.scm 219 */
obj_t BgL_defz00_1954;
{ /* Ast/unit.scm 219 */
obj_t BgL_arg3217z00_1962;
{ /* Ast/unit.scm 219 */
obj_t BgL_arg3218z00_1963;
BgL_arg3218z00_1963 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sexpz00_27); 
BgL_arg3217z00_1962 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_varz00_1603, BgL_arg3218z00_1963); } 
BgL_defz00_1954 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg3217z00_1962, BgL_gdefsz00_28); } 
{ /* Ast/unit.scm 220 */
bool_t BgL_testz00_4191;
{ /* Ast/unit.scm 220 */
obj_t BgL_auxz00_4196;obj_t BgL_auxz00_4192;
BgL_auxz00_4196 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 220 */
obj_t BgL_auxz00_4193;
BgL_auxz00_4193 = 
CDR(BgL_defz00_1954); 
BgL_auxz00_4192 = 
CAR(BgL_auxz00_4193); } 
BgL_testz00_4191 = 
(BgL_auxz00_4192==BgL_auxz00_4196); } 
if(BgL_testz00_4191)
{ /* Ast/unit.scm 221 */
obj_t BgL_arityz00_1956;
BgL_arityz00_1956 = 
BGl_getzd2globalzd2arityz00zzast_unitz00(BgL_var2z00_1604, BFALSE, BgL_gdefsz00_28); 
if(
INTEGERP(BgL_arityz00_1956))
{ /* Ast/unit.scm 223 */
obj_t BgL_defz00_1958;
BgL_defz00_1958 = 
BGl_etazd2expansezd2zzast_unitz00(BgL_sexpz00_27, BgL_arityz00_1956); 
{ 
obj_t BgL_sexpz00_4203;
BgL_sexpz00_4203 = BgL_defz00_1958; 
BgL_sexpz00_27 = BgL_sexpz00_4203; 
goto BGl_toplevelzd2ze3astz31zzast_unitz00;} }  else 
{ /* Ast/unit.scm 222 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1603, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 220 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1603, BgL_sexpz00_27);} } } }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2278zd2_1668), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2278zd2_1668), BgL_sexpz00_27);} } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2354zd2_1682;
BgL_cdrzd2354zd2_1682 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2359zd2_1683;
BgL_cdrzd2359zd2_1683 = 
CDR(BgL_cdrzd2354zd2_1682); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2363zd2_1684;
BgL_carzd2363zd2_1684 = 
CAR(BgL_cdrzd2359zd2_1683); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2367zd2_1685;
BgL_cdrzd2367zd2_1685 = 
CDR(BgL_carzd2363zd2_1684); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4215;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4218;obj_t BgL_auxz00_4216;
BgL_auxz00_4218 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_4216 = 
CAR(BgL_carzd2363zd2_1684); 
BgL_testz00_4215 = 
(BgL_auxz00_4216==BgL_auxz00_4218); } 
if(BgL_testz00_4215)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2367zd2_1685))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2367zd2_1685), BNIL))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2359zd2_1683), BNIL))
{ /* Ast/unit.scm 171 */
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4231;obj_t BgL_auxz00_4229;
BgL_auxz00_4231 = 
CAR(BgL_cdrzd2367zd2_1685); 
BgL_auxz00_4229 = 
CDR(BgL_cdrzd2354zd2_1682); 
SET_CAR(BgL_auxz00_4229, BgL_auxz00_4231); } 
{ 

goto BGl_toplevelzd2ze3astz31zzast_unitz00;} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2354zd2_1682), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2420zd2_1698;
BgL_cdrzd2420zd2_1698 = 
CDR(BgL_cdrzd2354zd2_1682); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2424zd2_1699;
BgL_carzd2424zd2_1699 = 
CAR(BgL_cdrzd2420zd2_1698); 
if(
SYMBOLP(BgL_carzd2424zd2_1699))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2420zd2_1698), BNIL))
{ 
obj_t BgL_var2z00_4245;obj_t BgL_varz00_4243;
BgL_varz00_4243 = 
CAR(BgL_cdrzd2354zd2_1682); 
BgL_var2z00_4245 = BgL_carzd2424zd2_1699; 
BgL_var2z00_1604 = BgL_var2z00_4245; 
BgL_varz00_1603 = BgL_varz00_4243; 
goto BgL_tagzd2125zd2_1605;}  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4246;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4247;
BgL_auxz00_4247 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4246 = 
CAR(BgL_auxz00_4247); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4246, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4251;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4252;
BgL_auxz00_4252 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4251 = 
CAR(BgL_auxz00_4252); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4251, BgL_sexpz00_27);} } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2495zd2_1714;
BgL_cdrzd2495zd2_1714 = 
CDR(BgL_cdrzd2354zd2_1682); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2499zd2_1715;
BgL_carzd2499zd2_1715 = 
CAR(BgL_cdrzd2495zd2_1714); 
if(
SYMBOLP(BgL_carzd2499zd2_1715))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2495zd2_1714), BNIL))
{ 
obj_t BgL_var2z00_4265;obj_t BgL_varz00_4263;
BgL_varz00_4263 = 
CAR(BgL_cdrzd2354zd2_1682); 
BgL_var2z00_4265 = BgL_carzd2499zd2_1715; 
BgL_var2z00_1604 = BgL_var2z00_4265; 
BgL_varz00_1603 = BgL_varz00_4263; 
goto BgL_tagzd2125zd2_1605;}  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4266;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4267;
BgL_auxz00_4267 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4266 = 
CAR(BgL_auxz00_4267); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4266, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4271;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4272;
BgL_auxz00_4272 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4271 = 
CAR(BgL_auxz00_4272); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4271, BgL_sexpz00_27);} } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2570zd2_1728;
BgL_cdrzd2570zd2_1728 = 
CDR(BgL_cdrzd2354zd2_1682); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2574zd2_1729;
BgL_carzd2574zd2_1729 = 
CAR(BgL_cdrzd2570zd2_1728); 
if(
SYMBOLP(BgL_carzd2574zd2_1729))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2570zd2_1728), BNIL))
{ 
obj_t BgL_var2z00_4285;obj_t BgL_varz00_4283;
BgL_varz00_4283 = 
CAR(BgL_cdrzd2354zd2_1682); 
BgL_var2z00_4285 = BgL_carzd2574zd2_1729; 
BgL_var2z00_1604 = BgL_var2z00_4285; 
BgL_varz00_1603 = BgL_varz00_4283; 
goto BgL_tagzd2125zd2_1605;}  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4286;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4287;
BgL_auxz00_4287 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4286 = 
CAR(BgL_auxz00_4287); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4286, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2615zd2_1738;
BgL_cdrzd2615zd2_1738 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2621zd2_1739;
BgL_cdrzd2621zd2_1739 = 
CDR(BgL_cdrzd2615zd2_1738); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2626zd2_1740;
BgL_carzd2626zd2_1740 = 
CAR(BgL_cdrzd2621zd2_1739); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2631zd2_1741;
BgL_cdrzd2631zd2_1741 = 
CDR(BgL_carzd2626zd2_1740); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4295;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4298;obj_t BgL_auxz00_4296;
BgL_auxz00_4298 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4296 = 
CAR(BgL_carzd2626zd2_1740); 
BgL_testz00_4295 = 
(BgL_auxz00_4296==BgL_auxz00_4298); } 
if(BgL_testz00_4295)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2631zd2_1741))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2634zd2_1744;obj_t BgL_cdrzd2635zd2_1745;
BgL_carzd2634zd2_1744 = 
CAR(BgL_cdrzd2631zd2_1741); 
BgL_cdrzd2635zd2_1745 = 
CDR(BgL_cdrzd2631zd2_1741); 
if(
SYMBOLP(BgL_carzd2634zd2_1744))
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2635zd2_1745))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2640zd2_1748;
BgL_carzd2640zd2_1748 = 
CAR(BgL_cdrzd2635zd2_1745); 
if(
SYMBOLP(BgL_carzd2640zd2_1748))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2635zd2_1745), BNIL))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2621zd2_1739), BNIL))
{ /* Ast/unit.scm 171 */
BgL_varz00_1606 = 
CAR(BgL_cdrzd2615zd2_1738); 
BgL_var2z00_1607 = BgL_carzd2634zd2_1744; 
BgL_modulez00_1608 = BgL_carzd2640zd2_1748; 
{ /* Ast/unit.scm 228 */
obj_t BgL_defz00_1964;
{ /* Ast/unit.scm 228 */
obj_t BgL_arg3224z00_1972;
{ /* Ast/unit.scm 228 */
obj_t BgL_arg3225z00_1973;
BgL_arg3225z00_1973 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sexpz00_27); 
BgL_arg3224z00_1972 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_varz00_1606, BgL_arg3225z00_1973); } 
BgL_defz00_1964 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg3224z00_1972, BgL_gdefsz00_28); } 
{ /* Ast/unit.scm 229 */
bool_t BgL_testz00_4321;
{ /* Ast/unit.scm 229 */
obj_t BgL_auxz00_4326;obj_t BgL_auxz00_4322;
BgL_auxz00_4326 = 
CNST_TABLE_REF(((long)5)); 
{ /* Ast/unit.scm 229 */
obj_t BgL_auxz00_4323;
BgL_auxz00_4323 = 
CDR(BgL_defz00_1964); 
BgL_auxz00_4322 = 
CAR(BgL_auxz00_4323); } 
BgL_testz00_4321 = 
(BgL_auxz00_4322==BgL_auxz00_4326); } 
if(BgL_testz00_4321)
{ /* Ast/unit.scm 230 */
obj_t BgL_arityz00_1966;
BgL_arityz00_1966 = 
BGl_getzd2globalzd2arityz00zzast_unitz00(BgL_var2z00_1607, BgL_modulez00_1608, BgL_gdefsz00_28); 
if(
INTEGERP(BgL_arityz00_1966))
{ /* Ast/unit.scm 232 */
obj_t BgL_defz00_1968;
BgL_defz00_1968 = 
BGl_etazd2expansezd2zzast_unitz00(BgL_sexpz00_27, BgL_arityz00_1966); 
{ 
obj_t BgL_sexpz00_4333;
BgL_sexpz00_4333 = BgL_defz00_1968; 
BgL_sexpz00_27 = BgL_sexpz00_4333; 
goto BGl_toplevelzd2ze3astz31zzast_unitz00;} }  else 
{ /* Ast/unit.scm 231 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1606, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 229 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_varz00_1606, BgL_sexpz00_27);} } } }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2615zd2_1738), BgL_sexpz00_27);} } } } } } } } } } } } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2782zd2_1784;
BgL_cdrzd2782zd2_1784 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd2787zd2_1785;
BgL_cdrzd2787zd2_1785 = 
CDR(BgL_cdrzd2782zd2_1784); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd2791zd2_1786;
BgL_carzd2791zd2_1786 = 
CAR(BgL_cdrzd2787zd2_1785); 
if(
SYMBOLP(BgL_carzd2791zd2_1786))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2787zd2_1785), BNIL))
{ 
obj_t BgL_var2z00_4361;obj_t BgL_varz00_4359;
BgL_varz00_4359 = 
CAR(BgL_cdrzd2782zd2_1784); 
BgL_var2z00_4361 = BgL_carzd2791zd2_1786; 
BgL_var2z00_1604 = BgL_var2z00_4361; 
BgL_varz00_1603 = BgL_varz00_4359; 
goto BgL_tagzd2125zd2_1605;}  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2782zd2_1784), BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd2782zd2_1784), BgL_sexpz00_27);} } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4366;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4367;
BgL_auxz00_4367 = 
CDR(BgL_sexpz00_27); 
BgL_auxz00_4366 = 
CAR(BgL_auxz00_4367); } 
return 
BGl_makezd2svarzd2definitionz00zzast_unitz00(BgL_auxz00_4366, BgL_sexpz00_27);} } }  else 
{ /* Ast/unit.scm 171 */
BgL_tagzd2133zd2_1635:
{ /* Ast/unit.scm 269 */
obj_t BgL_list3232z00_1979;
BgL_list3232z00_1979 = 
MAKE_PAIR(BgL_sexpz00_27, BNIL); 
return BgL_list3232z00_1979;} } }  else 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4372;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4375;obj_t BgL_auxz00_4373;
BgL_auxz00_4375 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_4373 = 
CAR(BgL_sexpz00_27); 
BgL_testz00_4372 = 
(BgL_auxz00_4373==BgL_auxz00_4375); } 
if(BgL_testz00_4372)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd2173zd2_1643))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21016zd2_1804;
BgL_carzd21016zd2_1804 = 
CAR(BgL_cdrzd2173zd2_1643); 
if(
PAIRP(BgL_carzd21016zd2_1804))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21021zd2_1806;
BgL_carzd21021zd2_1806 = 
CAR(BgL_carzd21016zd2_1804); 
if(
PAIRP(BgL_carzd21021zd2_1806))
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21026zd2_1808;
BgL_cdrzd21026zd2_1808 = 
CDR(BgL_carzd21021zd2_1806); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4387;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4390;obj_t BgL_auxz00_4388;
BgL_auxz00_4390 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4388 = 
CAR(BgL_carzd21021zd2_1806); 
BgL_testz00_4387 = 
(BgL_auxz00_4388==BgL_auxz00_4390); } 
if(BgL_testz00_4387)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd21026zd2_1808))
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21030zd2_1811;
BgL_cdrzd21030zd2_1811 = 
CDR(BgL_cdrzd21026zd2_1808); 
if(
PAIRP(BgL_cdrzd21030zd2_1811))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21030zd2_1811), BNIL))
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3109z00_1814;obj_t BgL_arg3110z00_1815;obj_t BgL_arg3111z00_1816;
BgL_arg3109z00_1814 = 
CAR(BgL_cdrzd21026zd2_1808); 
BgL_arg3110z00_1815 = 
CAR(BgL_cdrzd21030zd2_1811); 
BgL_arg3111z00_1816 = 
CDR(BgL_carzd21016zd2_1804); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3226z00_2998;obj_t BgL_arg3227z00_2999;
BgL_arg3226z00_2998 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd2173zd2_1643), BgL_sexpz00_27); 
BgL_arg3227z00_2999 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3109z00_1814, BgL_arg3110z00_1815, BgL_arg3111z00_1816, BgL_arg3226z00_2998, BgL_sexpz00_27, BgL_arg3227z00_2999);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21046zd2_1818;
BgL_cdrzd21046zd2_1818 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21050zd2_1819;
BgL_carzd21050zd2_1819 = 
CAR(BgL_cdrzd21046zd2_1818); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3113z00_1820;obj_t BgL_arg3114z00_1821;
BgL_arg3113z00_1820 = 
CAR(BgL_carzd21050zd2_1819); 
BgL_arg3114z00_1821 = 
CDR(BgL_carzd21050zd2_1819); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3228z00_3008;obj_t BgL_arg3229z00_3009;
BgL_arg3228z00_3008 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21046zd2_1818), BgL_sexpz00_27); 
BgL_arg3229z00_3009 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3113z00_1820, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3114z00_1821, BgL_arg3228z00_3008, BgL_sexpz00_27, BgL_arg3229z00_3009);} } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21067zd2_1825;
BgL_cdrzd21067zd2_1825 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21071zd2_1826;
BgL_carzd21071zd2_1826 = 
CAR(BgL_cdrzd21067zd2_1825); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3118z00_1827;obj_t BgL_arg3119z00_1828;
BgL_arg3118z00_1827 = 
CAR(BgL_carzd21071zd2_1826); 
BgL_arg3119z00_1828 = 
CDR(BgL_carzd21071zd2_1826); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3228z00_3018;obj_t BgL_arg3229z00_3019;
BgL_arg3228z00_3018 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21067zd2_1825), BgL_sexpz00_27); 
BgL_arg3229z00_3019 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3118z00_1827, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3119z00_1828, BgL_arg3228z00_3018, BgL_sexpz00_27, BgL_arg3229z00_3019);} } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21088zd2_1830;
BgL_cdrzd21088zd2_1830 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21092zd2_1831;
BgL_carzd21092zd2_1831 = 
CAR(BgL_cdrzd21088zd2_1830); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3121z00_1832;obj_t BgL_arg3122z00_1833;
BgL_arg3121z00_1832 = 
CAR(BgL_carzd21092zd2_1831); 
BgL_arg3122z00_1833 = 
CDR(BgL_carzd21092zd2_1831); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3228z00_3028;obj_t BgL_arg3229z00_3029;
BgL_arg3228z00_3028 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21088zd2_1830), BgL_sexpz00_27); 
BgL_arg3229z00_3029 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3121z00_1832, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3122z00_1833, BgL_arg3228z00_3028, BgL_sexpz00_27, BgL_arg3229z00_3029);} } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21109zd2_1835;
BgL_cdrzd21109zd2_1835 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21113zd2_1836;
BgL_carzd21113zd2_1836 = 
CAR(BgL_cdrzd21109zd2_1835); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3124z00_1837;obj_t BgL_arg3125z00_1838;
BgL_arg3124z00_1837 = 
CAR(BgL_carzd21113zd2_1836); 
BgL_arg3125z00_1838 = 
CDR(BgL_carzd21113zd2_1836); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3228z00_3038;obj_t BgL_arg3229z00_3039;
BgL_arg3228z00_3038 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21109zd2_1835), BgL_sexpz00_27); 
BgL_arg3229z00_3039 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3124z00_1837, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3125z00_1838, BgL_arg3228z00_3038, BgL_sexpz00_27, BgL_arg3229z00_3039);} } } } } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21130zd2_1842;
BgL_cdrzd21130zd2_1842 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21134zd2_1843;
BgL_carzd21134zd2_1843 = 
CAR(BgL_cdrzd21130zd2_1842); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3129z00_1844;obj_t BgL_arg3130z00_1845;
BgL_arg3129z00_1844 = 
CAR(BgL_carzd21134zd2_1843); 
BgL_arg3130z00_1845 = 
CDR(BgL_carzd21134zd2_1843); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3228z00_3048;obj_t BgL_arg3229z00_3049;
BgL_arg3228z00_3048 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21130zd2_1842), BgL_sexpz00_27); 
BgL_arg3229z00_3049 = 
CNST_TABLE_REF(((long)12)); 
return 
BGl_makezd2sfunzd2definitionz00zzast_unitz00(BgL_arg3129z00_1844, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3130z00_1845, BgL_arg3228z00_3048, BgL_sexpz00_27, BgL_arg3229z00_3049);} } } } }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21213zd2_1847;
BgL_cdrzd21213zd2_1847 = 
CDR(BgL_sexpz00_27); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4449;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4452;obj_t BgL_auxz00_4450;
BgL_auxz00_4452 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_4450 = 
CAR(BgL_sexpz00_27); 
BgL_testz00_4449 = 
(BgL_auxz00_4450==BgL_auxz00_4452); } 
if(BgL_testz00_4449)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd21213zd2_1847))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21218zd2_1850;
BgL_carzd21218zd2_1850 = 
CAR(BgL_cdrzd21213zd2_1847); 
if(
PAIRP(BgL_carzd21218zd2_1850))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21223zd2_1852;
BgL_carzd21223zd2_1852 = 
CAR(BgL_carzd21218zd2_1850); 
if(
PAIRP(BgL_carzd21223zd2_1852))
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21228zd2_1854;
BgL_cdrzd21228zd2_1854 = 
CDR(BgL_carzd21223zd2_1852); 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4464;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4467;obj_t BgL_auxz00_4465;
BgL_auxz00_4467 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4465 = 
CAR(BgL_carzd21223zd2_1852); 
BgL_testz00_4464 = 
(BgL_auxz00_4465==BgL_auxz00_4467); } 
if(BgL_testz00_4464)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd21228zd2_1854))
{ /* Ast/unit.scm 171 */
obj_t BgL_cdrzd21232zd2_1857;
BgL_cdrzd21232zd2_1857 = 
CDR(BgL_cdrzd21228zd2_1854); 
if(
PAIRP(BgL_cdrzd21232zd2_1857))
{ /* Ast/unit.scm 171 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21232zd2_1857), BNIL))
{ /* Ast/unit.scm 171 */
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_cdrzd21228zd2_1854), 
CAR(BgL_cdrzd21232zd2_1857), 
CDR(BgL_carzd21218zd2_1850), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);}  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21251zd2_1865;
BgL_carzd21251zd2_1865 = 
CAR(BgL_cdrzd21213zd2_1847); 
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_carzd21251zd2_1865), BGl_za2moduleza2z00zzmodule_modulez00, 
CDR(BgL_carzd21251zd2_1865), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21271zd2_1872;
BgL_carzd21271zd2_1872 = 
CAR(BgL_cdrzd21213zd2_1847); 
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_carzd21271zd2_1872), BGl_za2moduleza2z00zzmodule_modulez00, 
CDR(BgL_carzd21271zd2_1872), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21291zd2_1877;
BgL_carzd21291zd2_1877 = 
CAR(BgL_cdrzd21213zd2_1847); 
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_carzd21291zd2_1877), BGl_za2moduleza2z00zzmodule_modulez00, 
CDR(BgL_carzd21291zd2_1877), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);} }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21311zd2_1882;
BgL_carzd21311zd2_1882 = 
CAR(BgL_cdrzd21213zd2_1847); 
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_carzd21311zd2_1882), BGl_za2moduleza2z00zzmodule_modulez00, 
CDR(BgL_carzd21311zd2_1882), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);} } }  else 
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21331zd2_1889;
BgL_carzd21331zd2_1889 = 
CAR(BgL_cdrzd21213zd2_1847); 
return 
BGl_makezd2sgfunzd2definitionz00zzast_unitz00(
CAR(BgL_carzd21331zd2_1889), BGl_za2moduleza2z00zzmodule_modulez00, 
CDR(BgL_carzd21331zd2_1889), 
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27, BgL_gdefsz00_28);} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
bool_t BgL_testz00_4508;
{ /* Ast/unit.scm 171 */
obj_t BgL_auxz00_4511;obj_t BgL_auxz00_4509;
BgL_auxz00_4511 = 
CNST_TABLE_REF(((long)14)); 
BgL_auxz00_4509 = 
CAR(BgL_sexpz00_27); 
BgL_testz00_4508 = 
(BgL_auxz00_4509==BgL_auxz00_4511); } 
if(BgL_testz00_4508)
{ /* Ast/unit.scm 171 */
if(
PAIRP(BgL_cdrzd21213zd2_1847))
{ /* Ast/unit.scm 171 */
obj_t BgL_carzd21381zd2_1896;
BgL_carzd21381zd2_1896 = 
CAR(BgL_cdrzd21213zd2_1847); 
if(
PAIRP(BgL_carzd21381zd2_1896))
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3166z00_1898;obj_t BgL_arg3167z00_1899;
BgL_arg3166z00_1898 = 
CAR(BgL_carzd21381zd2_1896); 
BgL_arg3167z00_1899 = 
CDR(BgL_carzd21381zd2_1896); 
{ /* Ast/unit.scm 171 */
obj_t BgL_arg3231z00_3122;
BgL_arg3231z00_3122 = 
BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(
CDR(BgL_cdrzd21213zd2_1847), BgL_sexpz00_27); 
return 
BGl_makezd2methodzd2definitionz00zzast_unitz00(BgL_arg3166z00_1898, BgL_arg3167z00_1899, BgL_arg3231z00_3122, BgL_sexpz00_27);} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} } } } } } } }  else 
{ /* Ast/unit.scm 171 */
goto BgL_tagzd2133zd2_1635;} } } 
}



/* normalize-progn/error */
obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_29, obj_t BgL_srcz00_30)
{ AN_OBJECT;
{ /* Ast/unit.scm 274 */
if(
NULLP(BgL_expz00_29))
{ /* Ast/unit.scm 276 */
obj_t BgL_arg3235z00_1982;
BgL_arg3235z00_1982 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_30); 
{ /* Ast/unit.scm 276 */
BgL_nodez00_bglt BgL_auxz00_4527;
BgL_auxz00_4527 = 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3523z00zzast_unitz00, BgL_srcz00_30, BgL_arg3235z00_1982); 
return 
(obj_t)(BgL_auxz00_4527);} }  else 
{ /* Ast/unit.scm 275 */
return 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_29);} } 
}



/* get-global-arity */
obj_t BGl_getzd2globalzd2arityz00zzast_unitz00(obj_t BgL_idz00_31, obj_t BgL_modulez00_32, obj_t BgL_gdefsz00_33)
{ AN_OBJECT;
{ /* Ast/unit.scm 282 */
{ /* Ast/unit.scm 283 */
obj_t BgL_globalz00_1983;
if(
SYMBOLP(BgL_modulez00_32))
{ /* Ast/unit.scm 283 */
BgL_globalz00_1983 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_31, BgL_modulez00_32); }  else 
{ /* Ast/unit.scm 283 */
BgL_globalz00_1983 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_31, BNIL); } 
{ /* Ast/unit.scm 286 */
bool_t BgL_test3236z00_1984;
BgL_test3236z00_1984 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1983, BGl_globalz00zzast_varz00); 
if(BgL_test3236z00_1984)
{ /* Ast/unit.scm 288 */
bool_t BgL_test3237z00_1985;
{ /* Ast/unit.scm 288 */
obj_t BgL_auxz00_4537;
{ /* Ast/unit.scm 288 */
BgL_valuez00_bglt BgL_auxz00_4538;
{ /* Ast/unit.scm 288 */
BgL_globalz00_bglt BgL_obj1155z00_3158;
BgL_obj1155z00_3158 = 
(BgL_globalz00_bglt)(BgL_globalz00_1983); 
BgL_auxz00_4538 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3158))->BgL_valuez00); } 
BgL_auxz00_4537 = 
(obj_t)(BgL_auxz00_4538); } 
BgL_test3237z00_1985 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4537, BGl_funz00zzast_varz00); } 
if(BgL_test3237z00_1985)
{ /* Ast/unit.scm 289 */
BgL_funz00_bglt BgL_obj1310z00_3161;
{ /* Ast/unit.scm 289 */
BgL_valuez00_bglt BgL_auxz00_4544;
{ /* Ast/unit.scm 289 */
BgL_globalz00_bglt BgL_obj1155z00_3160;
BgL_obj1155z00_3160 = 
(BgL_globalz00_bglt)(BgL_globalz00_1983); 
BgL_auxz00_4544 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3160))->BgL_valuez00); } 
BgL_obj1310z00_3161 = 
(BgL_funz00_bglt)(BgL_auxz00_4544); } 
{ /* Ast/unit.scm 289 */
long BgL_auxz00_4548;
BgL_auxz00_4548 = 
(((BgL_funz00_bglt)CREF(BgL_obj1310z00_3161))->BgL_arityz00); 
return 
BINT(BgL_auxz00_4548);} }  else 
{ /* Ast/unit.scm 288 */
return BFALSE;} }  else 
{ /* Ast/unit.scm 286 */
return BFALSE;} } } } 
}



/* eta-expanse */
obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_34, obj_t BgL_arityz00_35)
{ AN_OBJECT;
{ /* Ast/unit.scm 295 */
{ /* Ast/unit.scm 296 */
obj_t BgL_argsz00_1990;
BgL_argsz00_1990 = 
BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_35); 
{ 
obj_t BgL_varz00_2020;obj_t BgL_id2z00_2021;
if(
PAIRP(BgL_sexpz00_34))
{ /* Ast/unit.scm 320 */
obj_t BgL_cdrzd21489zd2_2002;
BgL_cdrzd21489zd2_2002 = 
CDR(BgL_sexpz00_34); 
{ /* Ast/unit.scm 320 */
bool_t BgL_testz00_4555;
{ /* Ast/unit.scm 320 */
obj_t BgL_auxz00_4558;obj_t BgL_auxz00_4556;
BgL_auxz00_4558 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_4556 = 
CAR(BgL_sexpz00_34); 
BgL_testz00_4555 = 
(BgL_auxz00_4556==BgL_auxz00_4558); } 
if(BgL_testz00_4555)
{ /* Ast/unit.scm 320 */
if(
PAIRP(BgL_cdrzd21489zd2_2002))
{ /* Ast/unit.scm 320 */
obj_t BgL_cdrzd21493zd2_2005;
BgL_cdrzd21493zd2_2005 = 
CDR(BgL_cdrzd21489zd2_2002); 
if(
PAIRP(BgL_cdrzd21493zd2_2005))
{ /* Ast/unit.scm 320 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21493zd2_2005), BNIL))
{ /* Ast/unit.scm 320 */
obj_t BgL_arg3247z00_2008;obj_t BgL_arg3248z00_2009;
BgL_arg3247z00_2008 = 
CAR(BgL_cdrzd21489zd2_2002); 
BgL_arg3248z00_2009 = 
CAR(BgL_cdrzd21493zd2_2005); 
{ /* Ast/unit.scm 320 */
obj_t BgL_id2z00_3173;
{ /* Ast/unit.scm 320 */
obj_t BgL_arg3254z00_3174;
BgL_arg3254z00_3174 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sexpz00_34); 
BgL_id2z00_3173 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg3248z00_2009, BgL_arg3254z00_3174); } 
{ /* Ast/unit.scm 320 */
obj_t BgL_arg3253z00_3175;
BgL_varz00_2020 = BgL_arg3247z00_2008; 
BgL_id2z00_2021 = BgL_id2z00_3173; 
{ /* Ast/unit.scm 311 */
bool_t BgL_testz00_4573;
{ /* Ast/unit.scm 311 */
long BgL_auxz00_4574;
BgL_auxz00_4574 = 
(long)CINT(BgL_arityz00_35); 
BgL_testz00_4573 = 
(BgL_auxz00_4574>=((long)0)); } 
if(BgL_testz00_4573)
{ /* Ast/unit.scm 311 */
{ /* Ast/unit.scm 312 */
obj_t BgL_arg3259z00_2024;obj_t BgL_arg3260z00_2025;
BgL_arg3259z00_2024 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/unit.scm 312 */
obj_t BgL_arg3261z00_2026;obj_t BgL_arg3262z00_2027;
BgL_arg3261z00_2026 = 
MAKE_PAIR(BgL_varz00_2020, BgL_argsz00_1990); 
{ /* Ast/unit.scm 313 */
obj_t BgL_arg3263z00_2028;
{ /* Ast/unit.scm 313 */
obj_t BgL_auxz00_4579;
BgL_auxz00_4579 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1990, BNIL); 
BgL_arg3263z00_2028 = 
MAKE_PAIR(BgL_id2z00_2021, BgL_auxz00_4579); } 
BgL_arg3262z00_2027 = 
MAKE_PAIR(BgL_arg3263z00_2028, BNIL); } 
BgL_arg3260z00_2025 = 
MAKE_PAIR(BgL_arg3261z00_2026, BgL_arg3262z00_2027); } 
BgL_arg3253z00_3175 = 
MAKE_PAIR(BgL_arg3259z00_2024, BgL_arg3260z00_2025); } }  else 
{ /* Ast/unit.scm 314 */
bool_t BgL_testz00_4585;
{ /* Ast/unit.scm 314 */
long BgL_auxz00_4586;
BgL_auxz00_4586 = 
(long)CINT(BgL_arityz00_35); 
BgL_testz00_4585 = 
(BgL_auxz00_4586==((long)-1)); } 
if(BgL_testz00_4585)
{ /* Ast/unit.scm 314 */
{ /* Ast/unit.scm 315 */
obj_t BgL_arg3267z00_2032;obj_t BgL_arg3268z00_2033;
BgL_arg3267z00_2032 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/unit.scm 315 */
obj_t BgL_arg3269z00_2034;obj_t BgL_arg3270z00_2035;
BgL_arg3269z00_2034 = 
MAKE_PAIR(BgL_varz00_2020, BgL_argsz00_1990); 
{ /* Ast/unit.scm 316 */
obj_t BgL_arg3271z00_2036;
{ /* Ast/unit.scm 316 */
obj_t BgL_arg3273z00_2038;obj_t BgL_arg3274z00_2039;
BgL_arg3273z00_2038 = 
CNST_TABLE_REF(((long)15)); 
{ /* Ast/unit.scm 316 */
obj_t BgL_arg3275z00_2040;
BgL_arg3275z00_2040 = 
MAKE_PAIR(BgL_argsz00_1990, BNIL); 
BgL_arg3274z00_2039 = 
MAKE_PAIR(BgL_id2z00_2021, BgL_arg3275z00_2040); } 
BgL_arg3271z00_2036 = 
MAKE_PAIR(BgL_arg3273z00_2038, BgL_arg3274z00_2039); } 
BgL_arg3270z00_2035 = 
MAKE_PAIR(BgL_arg3271z00_2036, BNIL); } 
BgL_arg3268z00_2033 = 
MAKE_PAIR(BgL_arg3269z00_2034, BgL_arg3270z00_2035); } 
BgL_arg3253z00_3175 = 
MAKE_PAIR(BgL_arg3267z00_2032, BgL_arg3268z00_2033); } }  else 
{ /* Ast/unit.scm 314 */
{ /* Ast/unit.scm 318 */
obj_t BgL_arg3276z00_2041;obj_t BgL_arg3277z00_2042;
BgL_arg3276z00_2041 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/unit.scm 318 */
obj_t BgL_arg3278z00_2043;obj_t BgL_arg3279z00_2044;
BgL_arg3278z00_2043 = 
MAKE_PAIR(BgL_varz00_2020, BgL_argsz00_1990); 
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3280z00_2045;
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3282z00_2047;obj_t BgL_arg3283z00_2048;
BgL_arg3282z00_2047 = 
CNST_TABLE_REF(((long)15)); 
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3284z00_2049;
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3285z00_2050;
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3287z00_2052;obj_t BgL_arg3288z00_2053;
BgL_arg3287z00_2052 = 
CNST_TABLE_REF(((long)16)); 
{ /* Ast/unit.scm 319 */
obj_t BgL_arg3289z00_2054;
BgL_arg3289z00_2054 = 
BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_1990); 
BgL_arg3288z00_2053 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3289z00_2054, BNIL); } 
BgL_arg3285z00_2050 = 
MAKE_PAIR(BgL_arg3287z00_2052, BgL_arg3288z00_2053); } 
BgL_arg3284z00_2049 = 
MAKE_PAIR(BgL_arg3285z00_2050, BNIL); } 
BgL_arg3283z00_2048 = 
MAKE_PAIR(BgL_id2z00_2021, BgL_arg3284z00_2049); } 
BgL_arg3280z00_2045 = 
MAKE_PAIR(BgL_arg3282z00_2047, BgL_arg3283z00_2048); } 
BgL_arg3279z00_2044 = 
MAKE_PAIR(BgL_arg3280z00_2045, BNIL); } 
BgL_arg3277z00_2042 = 
MAKE_PAIR(BgL_arg3278z00_2043, BgL_arg3279z00_2044); } 
BgL_arg3253z00_3175 = 
MAKE_PAIR(BgL_arg3276z00_2041, BgL_arg3277z00_2042); } } } } 
return 
BGl_replacez12z12zztools_miscz00(BgL_sexpz00_34, BgL_arg3253z00_3175);} } }  else 
{ /* Ast/unit.scm 320 */
return BFALSE;} }  else 
{ /* Ast/unit.scm 320 */
return BFALSE;} }  else 
{ /* Ast/unit.scm 320 */
return BFALSE;} }  else 
{ /* Ast/unit.scm 320 */
return BFALSE;} } }  else 
{ /* Ast/unit.scm 320 */
return BFALSE;} } } } 
}



/* make-sfun-definition */
obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_36, obj_t BgL_modulez00_37, obj_t BgL_argsz00_38, obj_t BgL_bodyz00_39, obj_t BgL_srcz00_40, obj_t BgL_classz00_41)
{ AN_OBJECT;
{ /* Ast/unit.scm 331 */
{ /* Ast/unit.scm 332 */
obj_t BgL_locz00_2107;
BgL_locz00_2107 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_40); 
{ /* Ast/unit.scm 332 */
obj_t BgL_localsz00_2108;
{ 
obj_t BgL_argsz00_2112;obj_t BgL_resz00_2113;
BgL_argsz00_2112 = BgL_argsz00_38; 
BgL_resz00_2113 = BNIL; 
BgL_loopz00_2114:
if(
NULLP(BgL_argsz00_2112))
{ /* Ast/unit.scm 336 */
BgL_localsz00_2108 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_2113); }  else 
{ /* Ast/unit.scm 336 */
if(
PAIRP(BgL_argsz00_2112))
{ /* Ast/unit.scm 347 */
bool_t BgL_test3346z00_2117;
{ /* Ast/unit.scm 347 */
obj_t BgL_auxz00_4618;
BgL_auxz00_4618 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(
CAR(BgL_argsz00_2112)); 
BgL_test3346z00_2117 = 
CBOOL(BgL_auxz00_4618); } 
if(BgL_test3346z00_2117)
{ /* Ast/unit.scm 347 */
{ /* Ast/unit.scm 348 */
obj_t BgL_argz00_2118;
BgL_argz00_2118 = 
BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(BgL_argsz00_2112); 
if(
CBOOL(BgL_argz00_2118))
{ /* Ast/unit.scm 351 */
obj_t BgL_arg3347z00_2119;
{ /* Ast/unit.scm 351 */
BgL_localz00_bglt BgL_arg3348z00_2120;
BgL_arg3348z00_2120 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(BgL_argz00_2118, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Ast/unit.scm 351 */
obj_t BgL_auxz00_4628;
BgL_auxz00_4628 = 
(obj_t)(BgL_arg3348z00_2120); 
BgL_arg3347z00_2119 = 
MAKE_PAIR(BgL_auxz00_4628, BgL_resz00_2113); } } 
BgL_localsz00_2108 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3347z00_2119); }  else 
{ /* Ast/unit.scm 349 */
BgL_localsz00_2108 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_2113); } } }  else 
{ /* Ast/unit.scm 347 */
{ /* Ast/unit.scm 354 */
obj_t BgL_pidz00_2121;
{ /* Ast/unit.scm 354 */
obj_t BgL_arg3353z00_2128;
BgL_arg3353z00_2128 = 
BGl_parsezd2idzd2zzast_identz00(
CAR(BgL_argsz00_2112), BgL_locz00_2107); 
BgL_pidz00_2121 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3353z00_2128, BgL_srcz00_40); } 
{ /* Ast/unit.scm 354 */
obj_t BgL_idz00_2122;
BgL_idz00_2122 = 
CAR(BgL_pidz00_2121); 
{ /* Ast/unit.scm 356 */
obj_t BgL_typez00_2123;
BgL_typez00_2123 = 
CDR(BgL_pidz00_2121); 
{ /* Ast/unit.scm 357 */

{ /* Ast/unit.scm 358 */
obj_t BgL_arg3349z00_2124;obj_t BgL_arg3350z00_2125;
BgL_arg3349z00_2124 = 
CDR(BgL_argsz00_2112); 
{ /* Ast/unit.scm 359 */
BgL_localz00_bglt BgL_arg3351z00_2126;
{ /* Ast/unit.scm 359 */
bool_t BgL_test3352z00_2127;
BgL_test3352z00_2127 = 
BGl_userzd2symbolzf3z21zzast_identz00(BgL_idz00_2122); 
if(BgL_test3352z00_2127)
{ /* Ast/unit.scm 359 */
BgL_arg3351z00_2126 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(BgL_idz00_2122, 
(BgL_typez00_bglt)(BgL_typez00_2123)); }  else 
{ /* Ast/unit.scm 359 */
BgL_arg3351z00_2126 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_idz00_2122, 
(BgL_typez00_bglt)(BgL_typez00_2123)); } } 
{ /* Ast/unit.scm 359 */
obj_t BgL_auxz00_4645;
BgL_auxz00_4645 = 
(obj_t)(BgL_arg3351z00_2126); 
BgL_arg3350z00_2125 = 
MAKE_PAIR(BgL_auxz00_4645, BgL_resz00_2113); } } 
{ 
obj_t BgL_resz00_4649;obj_t BgL_argsz00_4648;
BgL_argsz00_4648 = BgL_arg3349z00_2124; 
BgL_resz00_4649 = BgL_arg3350z00_2125; 
BgL_resz00_2113 = BgL_resz00_4649; 
BgL_argsz00_2112 = BgL_argsz00_4648; 
goto BgL_loopz00_2114;} } } } } } } }  else 
{ /* Ast/unit.scm 338 */
{ /* Ast/unit.scm 339 */
obj_t BgL_pidz00_2131;
{ /* Ast/unit.scm 339 */
obj_t BgL_arg3359z00_2136;
BgL_arg3359z00_2136 = 
BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2112, BgL_locz00_2107); 
BgL_pidz00_2131 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3359z00_2136, BgL_srcz00_40); } 
{ /* Ast/unit.scm 341 */

{ /* Ast/unit.scm 345 */
obj_t BgL_arg3356z00_2134;
{ /* Ast/unit.scm 345 */
BgL_localz00_bglt BgL_arg3358z00_2135;
{ /* Ast/unit.scm 345 */
BgL_typez00_bglt BgL_auxz00_4652;
{ /* Ast/unit.scm 345 */
obj_t BgL_auxz00_4654;
BgL_auxz00_4654 = 
CDR(BgL_pidz00_2131); 
BgL_auxz00_4652 = 
(BgL_typez00_bglt)(BgL_auxz00_4654); } 
BgL_arg3358z00_2135 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(
CAR(BgL_pidz00_2131), BgL_auxz00_4652); } 
{ /* Ast/unit.scm 345 */
obj_t BgL_auxz00_4658;
BgL_auxz00_4658 = 
(obj_t)(BgL_arg3358z00_2135); 
BgL_arg3356z00_2134 = 
MAKE_PAIR(BgL_auxz00_4658, BgL_resz00_2113); } } 
BgL_localsz00_2108 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3356z00_2134); } } } } } } 
{ /* Ast/unit.scm 333 */
obj_t BgL_bodyz00_2109;
BgL_bodyz00_2109 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_idz00_36, BgL_argsz00_38, BgL_bodyz00_39, BGl_userzd2errorzd2envz00zztools_errorz00); 
{ /* Ast/unit.scm 363 */

{ /* Ast/unit.scm 364 */
BgL_globalz00_bglt BgL_arg3342z00_2110;
BgL_arg3342z00_2110 = 
BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_36, BgL_argsz00_38, BgL_localsz00_2108, BgL_modulez00_37, BgL_classz00_41, BgL_srcz00_40, 
CNST_TABLE_REF(((long)17)), BgL_bodyz00_2109); 
{ /* Ast/unit.scm 364 */
obj_t BgL_list3343z00_2111;
{ /* Ast/unit.scm 364 */
obj_t BgL_auxz00_4665;
BgL_auxz00_4665 = 
(obj_t)(BgL_arg3342z00_2110); 
BgL_list3343z00_2111 = 
MAKE_PAIR(BgL_auxz00_4665, BNIL); } 
return BgL_list3343z00_2111;} } } } } } } 
}



/* make-svar-definition */
obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_42, obj_t BgL_srcz00_43)
{ AN_OBJECT;
{ /* Ast/unit.scm 369 */
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_42, BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_43, 
CNST_TABLE_REF(((long)17))); 
{ /* Ast/unit.scm 373 */
obj_t BgL_arg3360z00_2137;obj_t BgL_arg3361z00_2138;
BgL_arg3360z00_2137 = 
CDR(BgL_srcz00_43); 
{ /* Ast/unit.scm 373 */
obj_t BgL_arg3362z00_2139;
{ /* Ast/unit.scm 373 */
obj_t BgL_arg3363z00_2140;
{ /* Ast/unit.scm 373 */
obj_t BgL_arg3364z00_2141;
BgL_arg3364z00_2141 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_43); 
BgL_arg3363z00_2140 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_42, BgL_arg3364z00_2141); } 
BgL_arg3362z00_2139 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3363z00_2140, BgL_srcz00_43); } 
BgL_arg3361z00_2138 = 
CAR(BgL_arg3362z00_2139); } 
SET_CAR(BgL_arg3360z00_2137, BgL_arg3361z00_2138); } 
{ /* Ast/unit.scm 374 */
obj_t BgL_list3365z00_2142;
BgL_list3365z00_2142 = 
MAKE_PAIR(BgL_srcz00_43, BNIL); 
return BgL_list3365z00_2142;} } 
}



/* make-sgfun-default */
obj_t BGl_makezd2sgfunzd2defaultz00zzast_unitz00(obj_t BgL_namez00_44, obj_t BgL_typez00_45, obj_t BgL_argsz00_46, obj_t BgL_bodyz00_47, obj_t BgL_srcz00_48, obj_t BgL_gdefsz00_49)
{ AN_OBJECT;
{ /* Ast/unit.scm 379 */
{ /* Ast/unit.scm 381 */
obj_t BgL_defaultzd2tidzd2_2144;
{ /* Ast/unit.scm 382 */
bool_t BgL_test3393z00_2174;
BgL_test3393z00_2174 = 
(BgL_typez00_45==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test3393z00_2174)
{ /* Ast/unit.scm 382 */
BgL_defaultzd2tidzd2_2144 = BgL_namez00_44; }  else 
{ /* Ast/unit.scm 384 */
obj_t BgL_auxz00_4679;
{ /* Ast/unit.scm 384 */
BgL_typez00_bglt BgL_obj1002z00_3204;
BgL_obj1002z00_3204 = 
(BgL_typez00_bglt)(BgL_typez00_45); 
BgL_auxz00_4679 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_3204))->BgL_idz00); } 
BgL_defaultzd2tidzd2_2144 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_namez00_44, BgL_auxz00_4679); } } 
{ /* Ast/unit.scm 382 */
obj_t BgL_defaultzd2bodyzd2_2145;
if(
PAIRP(BgL_bodyz00_47))
{ /* Ast/unit.scm 385 */
BgL_defaultzd2bodyzd2_2145 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_47); }  else 
{ /* Ast/unit.scm 387 */
obj_t BgL_arg3380z00_2162;obj_t BgL_arg3381z00_2163;
BgL_arg3380z00_2162 = 
CNST_TABLE_REF(((long)18)); 
{ /* Ast/unit.scm 387 */
obj_t BgL_arg3382z00_2164;obj_t BgL_arg3383z00_2165;
{ /* Ast/unit.scm 387 */
obj_t BgL_arg3384z00_2166;obj_t BgL_arg3385z00_2167;
BgL_arg3384z00_2166 = 
CNST_TABLE_REF(((long)19)); 
BgL_arg3385z00_2167 = 
MAKE_PAIR(BgL_namez00_44, BNIL); 
BgL_arg3382z00_2164 = 
MAKE_PAIR(BgL_arg3384z00_2166, BgL_arg3385z00_2167); } 
{ /* Ast/unit.scm 387 */
obj_t BgL_arg3388z00_2169;
{ /* Ast/unit.scm 389 */
obj_t BgL_arg3389z00_2170;
{ /* Ast/unit.scm 389 */
obj_t BgL_arg3391z00_2172;obj_t BgL_arg3392z00_2173;
BgL_arg3391z00_2172 = 
CAR(BgL_argsz00_46); 
BgL_arg3392z00_2173 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_48); 
BgL_arg3389z00_2170 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_arg3391z00_2172, BgL_arg3392z00_2173); } 
BgL_arg3388z00_2169 = 
MAKE_PAIR(BgL_arg3389z00_2170, BNIL); } 
BgL_arg3383z00_2165 = 
MAKE_PAIR(BGl_string3524z00zzast_unitz00, BgL_arg3388z00_2169); } 
BgL_arg3381z00_2163 = 
MAKE_PAIR(BgL_arg3382z00_2164, BgL_arg3383z00_2165); } 
BgL_defaultzd2bodyzd2_2145 = 
MAKE_PAIR(BgL_arg3380z00_2162, BgL_arg3381z00_2163); } 
{ /* Ast/unit.scm 385 */
obj_t BgL_formz00_2146;
{ /* Ast/unit.scm 391 */
obj_t BgL_tmpz00_2152;
{ /* Ast/unit.scm 391 */
obj_t BgL_arg3374z00_2157;obj_t BgL_arg3375z00_2158;
BgL_arg3374z00_2157 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/unit.scm 391 */
obj_t BgL_arg3377z00_2159;obj_t BgL_arg3378z00_2160;
BgL_arg3377z00_2159 = 
MAKE_PAIR(BgL_defaultzd2tidzd2_2144, BgL_argsz00_46); 
BgL_arg3378z00_2160 = 
MAKE_PAIR(BgL_defaultzd2bodyzd2_2145, BNIL); 
BgL_arg3375z00_2158 = 
MAKE_PAIR(BgL_arg3377z00_2159, BgL_arg3378z00_2160); } 
BgL_tmpz00_2152 = 
MAKE_PAIR(BgL_arg3374z00_2157, BgL_arg3375z00_2158); } 
{ /* Ast/unit.scm 392 */
bool_t BgL_test3370z00_2153;
{ /* Ast/unit.scm 392 */
obj_t BgL_objz00_3207;
BgL_objz00_3207 = BGl_za2modulezd2clauseza2zd2zzmodule_modulez00; 
BgL_test3370z00_2153 = 
EXTENDED_PAIRP(BgL_objz00_3207); } 
if(BgL_test3370z00_2153)
{ /* Ast/unit.scm 393 */
obj_t BgL_arg3373z00_2156;
{ /* Ast/unit.scm 393 */
obj_t BgL_objz00_3210;
BgL_objz00_3210 = BGl_za2modulezd2clauseza2zd2zzmodule_modulez00; 
BgL_arg3373z00_2156 = 
CER(BgL_objz00_3210); } 
{ /* Ast/unit.scm 393 */
obj_t BgL_res3506z00_3214;
{ /* Ast/unit.scm 393 */
obj_t BgL_auxz00_4707;obj_t BgL_auxz00_4705;
BgL_auxz00_4707 = 
CDR(BgL_tmpz00_2152); 
BgL_auxz00_4705 = 
CAR(BgL_tmpz00_2152); 
BgL_res3506z00_3214 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_4705, BgL_auxz00_4707, BgL_arg3373z00_2156); } 
BgL_formz00_2146 = BgL_res3506z00_3214; } }  else 
{ /* Ast/unit.scm 392 */
BgL_formz00_2146 = BgL_tmpz00_2152; } } } 
{ /* Ast/unit.scm 391 */

{ /* Ast/unit.scm 396 */
obj_t BgL_astz00_2147;
BgL_astz00_2147 = 
BGl_toplevelzd2ze3astz31zzast_unitz00(BgL_formz00_2146, BgL_gdefsz00_49); 
if(
PAIRP(BgL_astz00_2147))
{ /* Ast/unit.scm 399 */
bool_t BgL_test3367z00_2149;
BgL_test3367z00_2149 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_astz00_2147), BGl_globalz00zzast_varz00); 
if(BgL_test3367z00_2149)
{ /* Ast/unit.scm 403 */
BgL_globalz00_bglt BgL_obj1184z00_3219;
{ /* Ast/unit.scm 403 */
obj_t BgL_auxz00_4716;
BgL_auxz00_4716 = 
CAR(BgL_astz00_2147); 
BgL_obj1184z00_3219 = 
(BgL_globalz00_bglt)(BgL_auxz00_4716); } 
((((BgL_globalz00_bglt)CREF(BgL_obj1184z00_3219))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); }  else 
{ /* Ast/unit.scm 399 */BFALSE; } }  else 
{ /* Ast/unit.scm 398 */BFALSE; } 
return BgL_astz00_2147;} } } } } } 
}



/* make-sgfun-definition */
obj_t BGl_makezd2sgfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_50, obj_t BgL_modulez00_51, obj_t BgL_argsz00_52, obj_t BgL_bodyz00_53, obj_t BgL_srcz00_54, obj_t BgL_gdefsz00_55)
{ AN_OBJECT;
{ /* Ast/unit.scm 409 */
{ /* Ast/unit.scm 412 */
obj_t BgL_locz00_2176;
BgL_locz00_2176 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_54); 
{ /* Ast/unit.scm 412 */
obj_t BgL_localsz00_2177;
if(
NULLP(BgL_argsz00_52))
{ /* Ast/unit.scm 413 */
BgL_localsz00_2177 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_50, BGl_string3525z00zzast_unitz00, BgL_srcz00_54, BNIL); }  else 
{ 
obj_t BgL_argsz00_2213;obj_t BgL_resz00_2214;
BgL_argsz00_2213 = BgL_argsz00_52; 
BgL_resz00_2214 = BNIL; 
BgL_loopz00_2215:
if(
NULLP(BgL_argsz00_2213))
{ /* Ast/unit.scm 420 */
BgL_localsz00_2177 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_2214); }  else 
{ /* Ast/unit.scm 420 */
if(
PAIRP(BgL_argsz00_2213))
{ /* Ast/unit.scm 422 */
{ /* Ast/unit.scm 432 */
obj_t BgL_pidz00_2218;
{ /* Ast/unit.scm 432 */
obj_t BgL_arg3427z00_2224;
BgL_arg3427z00_2224 = 
BGl_parsezd2idzd2zzast_identz00(
CAR(BgL_argsz00_2213), BgL_locz00_2176); 
BgL_pidz00_2218 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3427z00_2224, BgL_srcz00_54); } 
{ /* Ast/unit.scm 435 */

{ /* Ast/unit.scm 436 */
obj_t BgL_arg3424z00_2221;obj_t BgL_arg3425z00_2222;
BgL_arg3424z00_2221 = 
CDR(BgL_argsz00_2213); 
{ /* Ast/unit.scm 437 */
BgL_localz00_bglt BgL_arg3426z00_2223;
{ /* Ast/unit.scm 437 */
BgL_typez00_bglt BgL_auxz00_4733;
{ /* Ast/unit.scm 437 */
obj_t BgL_auxz00_4735;
BgL_auxz00_4735 = 
CDR(BgL_pidz00_2218); 
BgL_auxz00_4733 = 
(BgL_typez00_bglt)(BgL_auxz00_4735); } 
BgL_arg3426z00_2223 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(
CAR(BgL_pidz00_2218), BgL_auxz00_4733); } 
{ /* Ast/unit.scm 437 */
obj_t BgL_auxz00_4739;
BgL_auxz00_4739 = 
(obj_t)(BgL_arg3426z00_2223); 
BgL_arg3425z00_2222 = 
MAKE_PAIR(BgL_auxz00_4739, BgL_resz00_2214); } } 
{ 
obj_t BgL_resz00_4743;obj_t BgL_argsz00_4742;
BgL_argsz00_4742 = BgL_arg3424z00_2221; 
BgL_resz00_4743 = BgL_arg3425z00_2222; 
BgL_resz00_2214 = BgL_resz00_4743; 
BgL_argsz00_2213 = BgL_argsz00_4742; 
goto BgL_loopz00_2215;} } } } }  else 
{ /* Ast/unit.scm 422 */
{ /* Ast/unit.scm 423 */
obj_t BgL_pidz00_2226;
{ /* Ast/unit.scm 423 */
obj_t BgL_arg3432z00_2231;
BgL_arg3432z00_2231 = 
BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2213, BgL_locz00_2176); 
BgL_pidz00_2226 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3432z00_2231, BgL_srcz00_54); } 
{ /* Ast/unit.scm 425 */

{ /* Ast/unit.scm 429 */
obj_t BgL_arg3430z00_2229;
{ /* Ast/unit.scm 429 */
BgL_localz00_bglt BgL_arg3431z00_2230;
{ /* Ast/unit.scm 429 */
BgL_typez00_bglt BgL_auxz00_4746;
{ /* Ast/unit.scm 429 */
obj_t BgL_auxz00_4748;
BgL_auxz00_4748 = 
CDR(BgL_pidz00_2226); 
BgL_auxz00_4746 = 
(BgL_typez00_bglt)(BgL_auxz00_4748); } 
BgL_arg3431z00_2230 = 
BGl_makezd2userzd2localzd2svarzd2zzast_localz00(
CAR(BgL_pidz00_2226), BgL_auxz00_4746); } 
{ /* Ast/unit.scm 429 */
obj_t BgL_auxz00_4752;
BgL_auxz00_4752 = 
(obj_t)(BgL_arg3431z00_2230); 
BgL_arg3430z00_2229 = 
MAKE_PAIR(BgL_auxz00_4752, BgL_resz00_2214); } } 
BgL_localsz00_2177 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3430z00_2229); } } } } } } 
{ /* Ast/unit.scm 413 */
obj_t BgL_pidz00_2178;
{ /* Ast/unit.scm 439 */
obj_t BgL_arg3419z00_2210;
BgL_arg3419z00_2210 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_50, BgL_locz00_2176); 
BgL_pidz00_2178 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3419z00_2210, BgL_srcz00_54); } 
{ /* Ast/unit.scm 439 */
obj_t BgL_namez00_2179;
BgL_namez00_2179 = 
CAR(BgL_pidz00_2178); 
{ /* Ast/unit.scm 440 */
obj_t BgL_typez00_2180;
BgL_typez00_2180 = 
CDR(BgL_pidz00_2178); 
{ /* Ast/unit.scm 441 */
obj_t BgL_dnamez00_2181;
{ /* Ast/unit.scm 442 */
obj_t BgL_arg3416z00_2207;
{ /* Ast/unit.scm 442 */
obj_t BgL_list3417z00_2208;
{ /* Ast/unit.scm 442 */
obj_t BgL_arg3418z00_2209;
{ /* Ast/unit.scm 442 */
obj_t BgL_auxz00_4760;
BgL_auxz00_4760 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg3418z00_2209 = 
MAKE_PAIR(BgL_auxz00_4760, BNIL); } 
BgL_list3417z00_2208 = 
MAKE_PAIR(BgL_namez00_2179, BgL_arg3418z00_2209); } 
BgL_arg3416z00_2207 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3417z00_2208); } 
BgL_dnamez00_2181 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg3416z00_2207, BEOA); } 
{ /* Ast/unit.scm 442 */
obj_t BgL_defaultz00_2182;
{ /* Ast/unit.scm 443 */
bool_t BgL_test3415z00_2206;
BgL_test3415z00_2206 = 
(BgL_modulez00_51==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test3415z00_2206)
{ /* Ast/unit.scm 443 */
BgL_defaultz00_2182 = 
BGl_makezd2sgfunzd2defaultz00zzast_unitz00(BgL_dnamez00_2181, BgL_typez00_2180, BgL_argsz00_52, BgL_bodyz00_53, BgL_srcz00_54, BgL_gdefsz00_55); }  else 
{ /* Ast/unit.scm 443 */
BgL_defaultz00_2182 = BNIL; } } 
{ /* Ast/unit.scm 443 */
obj_t BgL_bodyz00_2183;
BgL_bodyz00_2183 = 
BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_50, BgL_localsz00_2177, BgL_argsz00_52, BgL_srcz00_54); 
{ /* Ast/unit.scm 446 */
BgL_globalz00_bglt BgL_genericz00_2184;
BgL_genericz00_2184 = 
BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_50, BgL_argsz00_52, BgL_localsz00_2177, BgL_modulez00_51, 
CNST_TABLE_REF(((long)21)), BgL_srcz00_54, 
CNST_TABLE_REF(((long)17)), BgL_bodyz00_2183); 
{ /* Ast/unit.scm 447 */

{ /* Ast/unit.scm 456 */
obj_t BgL_ozd2unitzd2_2185;obj_t BgL_sexpza2za2_2186;
BgL_ozd2unitzd2_2185 = 
BGl_getzd2methodzd2unitz00zzmodule_classz00(); 
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3397z00_2189;
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3398z00_2190;
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3399z00_2191;
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3401z00_2193;obj_t BgL_arg3402z00_2194;
BgL_arg3401z00_2193 = 
CNST_TABLE_REF(((long)22)); 
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3403z00_2195;obj_t BgL_arg3404z00_2196;
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3405z00_2197;obj_t BgL_arg3406z00_2198;
BgL_arg3405z00_2197 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/unit.scm 458 */
obj_t BgL_arg3407z00_2199;obj_t BgL_arg3409z00_2200;
BgL_arg3407z00_2199 = 
(((BgL_globalz00_bglt)CREF(BgL_genericz00_2184))->BgL_idz00); 
BgL_arg3409z00_2200 = 
MAKE_PAIR(BgL_modulez00_51, BNIL); 
BgL_arg3406z00_2198 = 
MAKE_PAIR(BgL_arg3407z00_2199, BgL_arg3409z00_2200); } 
BgL_arg3403z00_2195 = 
MAKE_PAIR(BgL_arg3405z00_2197, BgL_arg3406z00_2198); } 
{ /* Ast/unit.scm 460 */
obj_t BgL_arg3410z00_2201;
{ /* Ast/unit.scm 460 */
obj_t BgL_arg3412z00_2203;obj_t BgL_arg3413z00_2204;
BgL_arg3412z00_2203 = 
CNST_TABLE_REF(((long)4)); 
{ /* Ast/unit.scm 460 */
obj_t BgL_arg3414z00_2205;
BgL_arg3414z00_2205 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg3413z00_2204 = 
MAKE_PAIR(BgL_dnamez00_2181, BgL_arg3414z00_2205); } 
BgL_arg3410z00_2201 = 
MAKE_PAIR(BgL_arg3412z00_2203, BgL_arg3413z00_2204); } 
BgL_arg3404z00_2196 = 
MAKE_PAIR(BgL_arg3410z00_2201, BNIL); } 
BgL_arg3402z00_2194 = 
MAKE_PAIR(BgL_arg3403z00_2195, BgL_arg3404z00_2196); } 
BgL_arg3399z00_2191 = 
MAKE_PAIR(BgL_arg3401z00_2193, BgL_arg3402z00_2194); } 
{ /* Ast/unit.scm 458 */
obj_t BgL_list3400z00_2192;
BgL_list3400z00_2192 = 
MAKE_PAIR(BgL_arg3399z00_2191, BNIL); 
BgL_arg3398z00_2190 = BgL_list3400z00_2192; } } 
BgL_arg3397z00_2189 = 
bgl_append2(BgL_arg3398z00_2190, BgL_defaultz00_2182); } 
{ /* Ast/unit.scm 457 */
obj_t BgL_auxz00_4790;
BgL_auxz00_4790 = 
(obj_t)(BgL_genericz00_2184); 
BgL_sexpza2za2_2186 = 
MAKE_PAIR(BgL_auxz00_4790, BgL_arg3397z00_2189); } } 
{ /* Ast/unit.scm 462 */
bool_t BgL_testz00_4793;
if(
STRUCTP(BgL_ozd2unitzd2_2185))
{ /* Ast/unit.scm 462 */
obj_t BgL_auxz00_4798;obj_t BgL_auxz00_4796;
BgL_auxz00_4798 = 
CNST_TABLE_REF(((long)23)); 
BgL_auxz00_4796 = 
STRUCT_KEY(BgL_ozd2unitzd2_2185); 
BgL_testz00_4793 = 
(BgL_auxz00_4796==BgL_auxz00_4798); }  else 
{ /* Ast/unit.scm 462 */
BgL_testz00_4793 = ((bool_t)0)
; } 
if(BgL_testz00_4793)
{ /* Ast/unit.scm 462 */
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_ozd2unitzd2_2185, BgL_sexpza2za2_2186); 
{ /* Ast/unit.scm 466 */
obj_t BgL_list3396z00_2188;
BgL_list3396z00_2188 = 
MAKE_PAIR(BUNSPEC, BNIL); 
return BgL_list3396z00_2188;} }  else 
{ /* Ast/unit.scm 462 */
return BgL_sexpza2za2_2186;} } } } } } } } } } } } } } 
}



/* make-method-definition */
obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_56, obj_t BgL_argsz00_57, obj_t BgL_bodyz00_58, obj_t BgL_srcz00_59)
{ AN_OBJECT;
{ /* Ast/unit.scm 471 */
{ /* Ast/unit.scm 472 */
obj_t BgL_locz00_2232;
BgL_locz00_2232 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_59); 
{ /* Ast/unit.scm 472 */
obj_t BgL_localsz00_2233;
{ 
obj_t BgL_argsz00_2240;obj_t BgL_resz00_2241;
BgL_argsz00_2240 = BgL_argsz00_57; 
BgL_resz00_2241 = BNIL; 
BgL_loopz00_2242:
if(
NULLP(BgL_argsz00_2240))
{ /* Ast/unit.scm 476 */
BgL_localsz00_2233 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_2241); }  else 
{ /* Ast/unit.scm 476 */
if(
PAIRP(BgL_argsz00_2240))
{ /* Ast/unit.scm 478 */
{ /* Ast/unit.scm 487 */
obj_t BgL_pidz00_2245;
{ /* Ast/unit.scm 487 */
obj_t BgL_arg3442z00_2251;
BgL_arg3442z00_2251 = 
BGl_parsezd2idzd2zzast_identz00(
CAR(BgL_argsz00_2240), BgL_locz00_2232); 
BgL_pidz00_2245 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3442z00_2251, BgL_srcz00_59); } 
{ /* Ast/unit.scm 489 */

{ /* Ast/unit.scm 490 */
obj_t BgL_arg3439z00_2248;obj_t BgL_arg3440z00_2249;
BgL_arg3439z00_2248 = 
CDR(BgL_argsz00_2240); 
{ /* Ast/unit.scm 491 */
BgL_localz00_bglt BgL_arg3441z00_2250;
{ /* Ast/unit.scm 491 */
BgL_typez00_bglt BgL_auxz00_4813;
{ /* Ast/unit.scm 491 */
obj_t BgL_auxz00_4815;
BgL_auxz00_4815 = 
CDR(BgL_pidz00_2245); 
BgL_auxz00_4813 = 
(BgL_typez00_bglt)(BgL_auxz00_4815); } 
BgL_arg3441z00_2250 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CAR(BgL_pidz00_2245), BgL_auxz00_4813); } 
{ /* Ast/unit.scm 491 */
obj_t BgL_auxz00_4819;
BgL_auxz00_4819 = 
(obj_t)(BgL_arg3441z00_2250); 
BgL_arg3440z00_2249 = 
MAKE_PAIR(BgL_auxz00_4819, BgL_resz00_2241); } } 
{ 
obj_t BgL_resz00_4823;obj_t BgL_argsz00_4822;
BgL_argsz00_4822 = BgL_arg3439z00_2248; 
BgL_resz00_4823 = BgL_arg3440z00_2249; 
BgL_resz00_2241 = BgL_resz00_4823; 
BgL_argsz00_2240 = BgL_argsz00_4822; 
goto BgL_loopz00_2242;} } } } }  else 
{ /* Ast/unit.scm 478 */
{ /* Ast/unit.scm 479 */
obj_t BgL_pidz00_2253;
{ /* Ast/unit.scm 479 */
obj_t BgL_arg3447z00_2258;
BgL_arg3447z00_2258 = 
BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2240, BgL_locz00_2232); 
BgL_pidz00_2253 = 
BGl_checkzd2idzd2zzast_identz00(BgL_arg3447z00_2258, BgL_srcz00_59); } 
{ /* Ast/unit.scm 481 */

{ /* Ast/unit.scm 485 */
obj_t BgL_arg3444z00_2256;
{ /* Ast/unit.scm 485 */
BgL_localz00_bglt BgL_arg3445z00_2257;
{ /* Ast/unit.scm 485 */
BgL_typez00_bglt BgL_auxz00_4826;
{ /* Ast/unit.scm 485 */
obj_t BgL_auxz00_4828;
BgL_auxz00_4828 = 
CDR(BgL_pidz00_2253); 
BgL_auxz00_4826 = 
(BgL_typez00_bglt)(BgL_auxz00_4828); } 
BgL_arg3445z00_2257 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CAR(BgL_pidz00_2253), BgL_auxz00_4826); } 
{ /* Ast/unit.scm 485 */
obj_t BgL_auxz00_4832;
BgL_auxz00_4832 = 
(obj_t)(BgL_arg3445z00_2257); 
BgL_arg3444z00_2256 = 
MAKE_PAIR(BgL_auxz00_4832, BgL_resz00_2241); } } 
BgL_localsz00_2233 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3444z00_2256); } } } } } } 
{ /* Ast/unit.scm 473 */

{ /* Ast/unit.scm 492 */
bool_t BgL_test3433z00_2234;
BgL_test3433z00_2234 = 
BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(BgL_idz00_56, BgL_argsz00_57, BgL_localsz00_2233, BgL_srcz00_59); 
if(BgL_test3433z00_2234)
{ /* Ast/unit.scm 494 */
obj_t BgL_ozd2unitzd2_2235;obj_t BgL_sexpza2za2_2236;
BgL_ozd2unitzd2_2235 = 
BGl_getzd2methodzd2unitz00zzmodule_classz00(); 
BgL_sexpza2za2_2236 = 
BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_idz00_56, BgL_argsz00_57, BgL_localsz00_2233, BgL_bodyz00_58, BgL_srcz00_59); 
{ /* Ast/unit.scm 496 */
bool_t BgL_testz00_4840;
if(
STRUCTP(BgL_ozd2unitzd2_2235))
{ /* Ast/unit.scm 496 */
obj_t BgL_auxz00_4845;obj_t BgL_auxz00_4843;
BgL_auxz00_4845 = 
CNST_TABLE_REF(((long)23)); 
BgL_auxz00_4843 = 
STRUCT_KEY(BgL_ozd2unitzd2_2235); 
BgL_testz00_4840 = 
(BgL_auxz00_4843==BgL_auxz00_4845); }  else 
{ /* Ast/unit.scm 496 */
BgL_testz00_4840 = ((bool_t)0)
; } 
if(BgL_testz00_4840)
{ /* Ast/unit.scm 496 */
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_ozd2unitzd2_2235, BgL_sexpza2za2_2236); 
{ /* Ast/unit.scm 500 */
obj_t BgL_list3435z00_2238;
BgL_list3435z00_2238 = 
MAKE_PAIR(BUNSPEC, BNIL); 
return BgL_list3435z00_2238;} }  else 
{ /* Ast/unit.scm 496 */
return BgL_sexpza2za2_2236;} } }  else 
{ /* Ast/unit.scm 493 */
obj_t BgL_list3436z00_2239;
BgL_list3436z00_2239 = 
MAKE_PAIR(BUNSPEC, BNIL); 
return BgL_list3436z00_2239;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00()
{ AN_OBJECT;
{ /* Ast/unit.scm 21 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)63226), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzobject_genericz00(((long)48751), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzobject_methodz00(((long)28982), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_unit"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)53421), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "ast_unit"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "ast_unit"); 
return 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_unit");} 
}

