/*===========================================================================*/
/*   (Ast/var.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl__sfunzd2propertyzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2svarzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__allocatezd2cfunzd2zzast_varz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl__globalzd2importzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2valuez12zc0zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2topzf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2arityzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__globalzd2libraryzf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2accesszd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl__allocatezd2svarzd2zzast_varz00(obj_t);
static obj_t BGl__sfunzd2argszd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__makezd2funzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__variablezd2namezd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2thezd2closurezd2setz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_varz00();
static obj_t BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
extern BgL_sfunz00_bglt BGl_allocatezd2sfunzd2zzast_varz00();
extern BgL_sexitz00_bglt BGl_fillzd2sexitz12zc0zzast_varz00(BgL_sexitz00_bglt, obj_t, bool_t);
static obj_t BGl__sexitzf3zf3zzast_varz00(obj_t, obj_t);
extern BgL_variablez00_bglt BGl_allocatezd2variablezd2zzast_varz00();
static obj_t BGl__allocatezd2scnstzd2zzast_varz00(obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__fillzd2globalz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
static obj_t BGl__makezd2globalzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2importzd2zzast_varz00(obj_t, obj_t);
extern bool_t BGl_cvarzf3zf3zzast_varz00(obj_t);
extern BgL_globalz00_bglt BGl_allocatezd2globalzd2zzast_varz00();
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static bool_t BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt);
static BgL_valuez00_bglt BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl__sfunzd2bodyzd2zzast_varz00(obj_t, obj_t);
extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__localzd2userzf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern bool_t BGl_valuezf3zf3zzast_varz00(obj_t);
extern BgL_funz00_bglt BGl_fillzd2funz12zc0zzast_varz00(BgL_funz00_bglt, long, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
static obj_t BGl__allocatezd2funzd2zzast_varz00(obj_t);
static bool_t BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt);
extern bool_t BGl_svarzf3zf3zzast_varz00(obj_t);
obj_t BGl_sfunz00zzast_varz00 = BUNSPEC;
static obj_t BGl_objectzd2ze3structzd2sexit1865ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__funzf3zf3zzast_varz00(obj_t, obj_t);
extern BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t);
static obj_t BGl__variablezd2fastzd2alphaz00zzast_varz00(obj_t, obj_t);
static obj_t BGl__sexitzd2detachedzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2sfunzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2variablezd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__cfunzd2macrozf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__sfunzd2argszd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt);
static obj_t BGl__sfunzd2loczd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
static obj_t BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt, obj_t);
static obj_t BGl__makezd2scnstzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt);
static obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt);
static obj_t BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
static obj_t BGl__allocatezd2sfunzd2zzast_varz00(obj_t);
static obj_t BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt);
extern BgL_svarz00_bglt BGl_allocatezd2svarzd2zzast_varz00();
static obj_t BGl_objectzd2ze3structzd2value1905ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__cfunzd2methodzd2zzast_varz00(obj_t, obj_t);
extern bool_t BGl_variablezf3zf3zzast_varz00(obj_t);
extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t);
extern BgL_cfunz00_bglt BGl_allocatezd2cfunzd2zzast_varz00();
static obj_t BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
obj_t BGl_scnstz00zzast_varz00 = BUNSPEC;
static obj_t BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt);
static obj_t BGl_objectzd2ze3structzd2scnst1873ze3zzast_varz00(obj_t, obj_t);
static long BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl__fillzd2sexitz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl__funzd2sidezd2effectzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2occurrencezd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_scnstz00_bglt BGl_allocatezd2scnstzd2zzast_varz00();
static obj_t BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt, long);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt);
static obj_t BGl__funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(obj_t, obj_t, obj_t);
obj_t BGl_svarz00zzast_varz00 = BUNSPEC;
static obj_t BGl__funzd2predicatezd2ofz00zzast_varz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_fillzd2globalz12zc0zzast_varz00(BgL_globalz00_bglt, obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern BgL_valuez00_bglt BGl_fillzd2valuez12zc0zzast_varz00(BgL_valuez00_bglt);
static obj_t BGl__valuezf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt);
static obj_t BGl__funzd2sidezd2effectzf3zd2setz12z33zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__variablezd2valuezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_funzd2sidezd2effectzf3zf3zzast_varz00(BgL_funz00_bglt);
obj_t BGl_cfunz00zzast_varz00 = BUNSPEC;
static obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt);
static obj_t BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
extern bool_t BGl_localzf3zf3zzast_varz00(obj_t);
static obj_t BGl__globalzd2userzf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2idzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt);
static obj_t BGl__globalzd2srczd2zzast_varz00(obj_t, obj_t);
extern BgL_funz00_bglt BGl_allocatezd2funzd2zzast_varz00();
obj_t BGl_funz00zzast_varz00 = BUNSPEC;
static obj_t BGl__localzd2keyzd2zzast_varz00(obj_t, obj_t);
obj_t BGl_globalz00zzast_varz00 = BUNSPEC;
static obj_t BGl__globalzd2modulezd2zzast_varz00(obj_t, obj_t);
extern bool_t BGl_cfunzf3zf3zzast_varz00(obj_t);
static obj_t BGl_objectzd2ze3structzd2sfun1885ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2accesszd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__scnstzd2loczd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__cfunzd2methodzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern BgL_cvarz00_bglt BGl_allocatezd2cvarzd2zzast_varz00();
static obj_t BGl__sexitzd2handlerzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__scnstzd2loczd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2readzd2onlyzf3zf3zzast_varz00(obj_t, obj_t);
static bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2sexit1867z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2evaluablezf3z21zzast_varz00(obj_t, obj_t);
extern bool_t BGl_sfunzf3zf3zzast_varz00(obj_t);
static obj_t BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl__makezd2sexitzd2zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2srczd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2pragmazd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__cvarzf3zf3zzast_varz00(obj_t, obj_t);
extern BgL_variablez00_bglt BGl_fillzd2variablez12zc0zzast_varz00(BgL_variablez00_bglt, obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long);
extern BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
static obj_t BGl__cvarzd2macrozf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2stackzd2allocatorz00zzast_varz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__makezd2valuezd2zzast_varz00(obj_t);
static obj_t BGl__svarzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt);
static obj_t BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt);
static obj_t BGl__makezd2localzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2modulezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
obj_t BGl_sexitz00zzast_varz00 = BUNSPEC;
static obj_t BGl_funzd2sidezd2effectzf3zd2setz12z33zzast_varz00(BgL_funz00_bglt, obj_t);
static obj_t BGl__variablezd2valuezd2zzast_varz00(obj_t, obj_t);
static long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2value1907z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__variablezd2namezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern BgL_variablez00_bglt BGl_makezd2variablezd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long);
static obj_t BGl__globalzd2libraryzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
obj_t BGl_cvarz00zzast_varz00 = BUNSPEC;
obj_t BGl_valuez00zzast_varz00 = BUNSPEC;
static bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt);
static obj_t BGl__sexitzd2handlerzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern bool_t BGl_scnstzf3zf3zzast_varz00(obj_t);
extern obj_t BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__cfunzd2argszd2typez00zzast_varz00(obj_t, obj_t);
static obj_t BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt, bool_t);
static obj_t BGl__fillzd2scnstz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_sexitz00_bglt BGl_allocatezd2sexitzd2zzast_varz00();
static obj_t BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
static obj_t BGl__scnstzd2classzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2sfun1887z51zzast_varz00(obj_t, obj_t, obj_t);
obj_t BGl_localz00zzast_varz00 = BUNSPEC;
static obj_t BGl__variablezd2removablezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2scnst1875z51zzast_varz00(obj_t, obj_t, obj_t);
extern BgL_localz00_bglt BGl_fillzd2localz12zc0zzast_varz00(BgL_localz00_bglt, obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long);
static obj_t BGl__localzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl__fillzd2sfunz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2svar1877ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__globalzd2jvmzd2typezd2namezd2zzast_varz00(obj_t, obj_t);
extern BgL_valuez00_bglt BGl_allocatezd2valuezd2zzast_varz00();
static obj_t BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_varz00();
static obj_t BGl__funzd2predicatezd2ofzd2setz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static BgL_typez00_bglt BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl__sfunzd2dssslzd2keywordsz00zzast_varz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2global1899z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2local1893ze3zzast_varz00(obj_t, obj_t);
static bool_t BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__variablezd2occurrencezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern BgL_localz00_bglt BGl_allocatezd2localzd2zzast_varz00();
static obj_t BGl__fillzd2cfunz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__localzd2userzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__variablezd2removablezd2zzast_varz00(obj_t, obj_t);
extern BgL_cvarz00_bglt BGl_fillzd2cvarz12zc0zzast_varz00(BgL_cvarz00_bglt, bool_t);
static obj_t BGl_objectzd2ze3structzd2cfun1881ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2typezd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
static obj_t BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt, BgL_valuez00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2variable1903z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2variablezd2zzast_varz00(obj_t);
static obj_t BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
extern BgL_svarz00_bglt BGl_fillzd2svarz12zc0zzast_varz00(BgL_svarz00_bglt, obj_t);
static obj_t BGl__globalzd2setzd2readzd2onlyz12zc0zzast_varz00(obj_t, obj_t);
static obj_t BGl_globalzd2libraryzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
static obj_t BGl__cfunzd2infixzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzd2bodyzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static bool_t BGl_globalzd2libraryzf3z21zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl_objectzd2ze3structzd2fun1889ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl__globalzd2pragmazd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_varz00();
static obj_t BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
static obj_t BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
static obj_t BGl_objectzd2initzd2zzast_varz00();
static obj_t BGl_structzb2objectzd2ze3objectzd2svar1879z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzd2loczd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl__fillzd2localz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
static obj_t BGl__allocatezd2localzd2zzast_varz00(obj_t);
static obj_t BGl__variablezd2fastzd2alphazd2setz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__scnstzd2classzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2cvarzd2zzast_varz00(obj_t, obj_t);
extern BgL_scnstz00_bglt BGl_fillzd2scnstz12zc0zzast_varz00(BgL_scnstz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__scnstzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2topzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__cfunzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_varz00 = BUNSPEC;
static obj_t BGl__allocatezd2globalzd2zzast_varz00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2cfun1883z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__allocatezd2valuezd2zzast_varz00(obj_t);
extern bool_t BGl_funzf3zf3zzast_varz00(obj_t);
static obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt);
static obj_t BGl_objectzd2ze3structzd2cvar1869ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt);
static obj_t BGl__fillzd2funz12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2cvarzd2zzast_varz00(obj_t);
static obj_t BGl__sfunzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl__sexitzd2detachedzf3z21zzast_varz00(obj_t, obj_t);
static obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt);
static obj_t BGl__allocatezd2sexitzd2zzast_varz00(obj_t);
static obj_t BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
static bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt);
static obj_t BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt);
static obj_t BGl__globalzd2userzf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt, obj_t);
static obj_t BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
static obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt);
static bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt);
extern bool_t BGl_sexitzf3zf3zzast_varz00(obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long);
static obj_t BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
static obj_t BGl__fillzd2variablez12zc0zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt);
static obj_t BGl__sfunzd2propertyzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__funzd2thezd2closurez00zzast_varz00(obj_t, obj_t);
static obj_t BGl__variablezd2typezd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzf3zf3zzast_varz00(obj_t, obj_t);
static obj_t BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt, BgL_typez00_bglt);
static obj_t BGl__svarzd2loczd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00();
static obj_t BGl__sfunzd2classzd2setz12z12zzast_varz00(obj_t, obj_t, obj_t);
extern BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00();
obj_t BGl_variablez00zzast_varz00 = BUNSPEC;
static obj_t BGl__globalzd2evaluablezf3zd2setz12ze1zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2global1897ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__fillzd2svarz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt);
static obj_t BGl_objectzd2ze3structzd2variable1901ze3zzast_varz00(obj_t, obj_t);
static obj_t BGl__scnstzd2nodezd2zzast_varz00(obj_t, obj_t);
static obj_t BGl__cfunzd2infixzf3z21zzast_varz00(obj_t, obj_t);
extern BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t, bool_t);
static long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2local1895z51zzast_varz00(obj_t, obj_t, obj_t);
extern bool_t BGl_globalzf3zf3zzast_varz00(obj_t);
static obj_t BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
static obj_t BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt, bool_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2fun1891z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt, bool_t);
static obj_t BGl__fillzd2cvarz12zc0zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__svarzd2loczd2zzast_varz00(obj_t, obj_t);
extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
extern BgL_cfunz00_bglt BGl_fillzd2cfunz12zc0zzast_varz00(BgL_cfunz00_bglt, long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, bool_t, bool_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2cvar1871z51zzast_varz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2cfunzd2zzast_varz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__sfunzd2classzd2zzast_varz00(obj_t, obj_t);
static obj_t BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt);
extern BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, bool_t, bool_t, obj_t);
extern BgL_sfunz00_bglt BGl_fillzd2sfunz12zc0zzast_varz00(BgL_sfunz00_bglt, long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 48 ] ;

DEFINE_STATIC_PROCEDURE( BGl_cfunzd2macrozf3zd2envzf3zzast_varz00, BgL_bgl__cfunza7d2macroza7f3za721za7za7ast_varza7002325z00, BGl__cfunzd2macrozf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2typezd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2typeza7d2setza712za712za7za7ast_varza7002326za7, BGl__variablezd2typezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2variablezd2envz00zzast_varz00, BgL_bgl__makeza7d2variableza7d2za7za7ast_varza7002327za7, BGl__makezd2variablezd2zzast_varz00, 0L, 8 );
DEFINE_EXPORT_PROCEDURE( BGl_variablezf3zd2envz21zzast_varz00, BgL_bgl__variableza7f3za7f3za7za7ast_varza7002328za7, BGl__variablezf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfunzd2infixzf3zd2envzf3zzast_varz00, BgL_bgl__cfunza7d2infixza7f3za721za7za7ast_varza7002329z00, BGl__cfunzd2infixzf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2classzd2envz00zzast_varz00, BgL_bgl__sfunza7d2classza7d2za7za7ast_varza7002330za7, BGl__sfunzd2classzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfunzd2infixzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__cfunza7d2infixza7f3za7d2setza712za7e1za7za7ast_varza7002331z00, BGl__cfunzd2infixzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2removablezd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2removableza7d2setza712za712za7za7ast_varza7002332za7, BGl__variablezd2removablezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2funzd2envz00zzast_varz00, BgL_bgl__makeza7d2funza7d2za7za7ast_varza7002333za7, BGl__makezd2funzd2zzast_varz00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_scnstzd2classzd2setz12zd2envzc0zzast_varz00, BgL_bgl__scnstza7d2classza7d2setza712za712za7za7ast_varza7002334za7, BGl__scnstzd2classzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STRING( BGl_string2320z00zzast_varz00, BgL_bgl_string2320za700za7za7ast_varza7002335z00, "detached? handler::obj sexit cvar node scnst svar method infix? macro? args-type cfun loc dsssl-keywords class body args property sfun the-closure top? stack-allocator predicate-of side-effect? arity fun key local jvm-type-name::bstring src::obj pragma user? library? evaluable? import module::symbol global occurrence removable fast-alpha access value::value type name id variable value read-only ", 398 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2localzd2envz00zzast_varz00, BgL_bgl__allocateza7d2localza7d2za7za7ast_varza7002336za7, BGl__allocatezd2localzd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2cfunzd2envz00zzast_varz00, BgL_bgl__makeza7d2cfunza7d2za7za7ast_varza7002337za7, BGl__makezd2cfunzd2zzast_varz00, 0L, 10 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2sidezd2effectzf3zd2setz12zd2envze1zzast_varz00, BgL_bgl__funza7d2sideza7d2effectza7f3za7d2setza712za733za7za7ast_varza7002338za7, BGl__funzd2sidezd2effectzf3zd2setz12z33zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2srczd2setz12zd2envzc0zzast_varz00, BgL_bgl__globalza7d2srcza7d2setza712za712za7za7ast_varza7002339za7, BGl__globalzd2srczd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2svarzd2envz00zzast_varz00, BgL_bgl__makeza7d2svarza7d2za7za7ast_varza7002340za7, BGl__makezd2svarzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2namezd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2nameza7d2setza712za712za7za7ast_varza7002341za7, BGl__variablezd2namezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2evaluablezf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__globalza7d2evaluableza7f3za7d2setza712za7e1za7za7ast_varza7002342z00, BGl__globalzd2evaluablezf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_svarzd2loczd2setz12zd2envzc0zzast_varz00, BgL_bgl__svarza7d2locza7d2setza712za712za7za7ast_varza7002343za7, BGl__svarzd2loczd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2valuez12zd2envz12zzast_varz00, BgL_bgl__fillza7d2valueza712za7c0za7za7ast_varza7002344z00, BGl__fillzd2valuez12zc0zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2localz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2localza712za7c0za7za7ast_varza7002345z00, BGl__fillzd2localz12zc0zzast_varz00, 0L, 11 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2valuezd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2valueza7d2setza712za712za7za7ast_varza7002346za7, BGl__variablezd2valuezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2pragmazd2setz12zd2envzc0zzast_varz00, BgL_bgl__globalza7d2pragmaza7d2setza712za712za7za7ast_varza7002347za7, BGl__globalzd2pragmazd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2libraryzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__globalza7d2libraryza7f3za7d2setza712za7e1za7za7ast_varza7002348z00, BGl__globalzd2libraryzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2setzd2readzd2onlyz12zd2envz12zzast_varz00, BgL_bgl__globalza7d2setza7d2readza7d2onlyza712za7c0za7za7ast_varza7002349z00, BGl__globalzd2setzd2readzd2onlyz12zc0zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2fastzd2alphazd2envzd2zzast_varz00, BgL_bgl__variableza7d2fastza7d2alphaza700za7za7ast_varza7002350z00, BGl__variablezd2fastzd2alphaz00zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_scnstzd2nodezd2envz00zzast_varz00, BgL_bgl__scnstza7d2nodeza7d2za7za7ast_varza7002351za7, BGl__scnstzd2nodezd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_cvarzf3zd2envz21zzast_varz00, BgL_bgl__cvarza7f3za7f3za7za7ast_varza7002352za7, BGl__cvarzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2bodyzd2envz00zzast_varz00, BgL_bgl__sfunza7d2bodyza7d2za7za7ast_varza7002353za7, BGl__sfunzd2bodyzd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2globalzd2envz00zzast_varz00, BgL_bgl__makeza7d2globalza7d2za7za7ast_varza7002354za7, BGl__makezd2globalzd2zzast_varz00, 0L, 16 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2accesszd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2accessza7d2setza712za712za7za7ast_varza7002355za7, BGl__variablezd2accesszd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2evaluablezf3zd2envzf3zzast_varz00, BgL_bgl__globalza7d2evaluableza7f3za721za7za7ast_varza7002356z00, BGl__globalzd2evaluablezf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2srczd2envz00zzast_varz00, BgL_bgl__globalza7d2srcza7d2za7za7ast_varza7002357za7, BGl__globalzd2srczd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2classzd2setz12zd2envzc0zzast_varz00, BgL_bgl__sfunza7d2classza7d2setza712za712za7za7ast_varza7002358za7, BGl__sfunzd2classzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_svarzf3zd2envz21zzast_varz00, BgL_bgl__svarza7f3za7f3za7za7ast_varza7002359za7, BGl__svarzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2namezd2envz00zzast_varz00, BgL_bgl__variableza7d2nameza7d2za7za7ast_varza7002360za7, BGl__variablezd2namezd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cvarzd2macrozf3zd2envzf3zzast_varz00, BgL_bgl__cvarza7d2macroza7f3za721za7za7ast_varza7002361z00, BGl__cvarzd2macrozf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2stackzd2allocatorzd2envzd2zzast_varz00, BgL_bgl__funza7d2stackza7d2allocatorza700za7za7ast_varza7002362z00, BGl__funzd2stackzd2allocatorz00zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2variablez12zd2envz12zzast_varz00, BgL_bgl__fillza7d2variableza712za7c0za7za7ast_varza7002363z00, BGl__fillzd2variablez12zc0zzast_varz00, 0L, 9 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2sfunzd2envz00zzast_varz00, BgL_bgl__makeza7d2sfunza7d2za7za7ast_varza7002364za7, BGl__makezd2sfunzd2zzast_varz00, 0L, 12 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2sidezd2effectzf3zd2envz21zzast_varz00, BgL_bgl__funza7d2sideza7d2effectza7f3za7f3za7za7ast_varza7002365za7, BGl__funzd2sidezd2effectzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2modulezd2setz12zd2envzc0zzast_varz00, BgL_bgl__globalza7d2moduleza7d2setza712za712za7za7ast_varza7002366za7, BGl__globalzd2modulezd2setz12z12zzast_varz00, 0L, 2 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2variablezd2envz00zzast_varz00, BgL_bgl__allocateza7d2variableza7d2za7za7ast_varza7002367za7, BGl__allocatezd2variablezd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2scnstzd2envz00zzast_varz00, BgL_bgl__allocateza7d2scnstza7d2za7za7ast_varza7002368za7, BGl__allocatezd2scnstzd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_valuezf3zd2envz21zzast_varz00, BgL_bgl__valueza7f3za7f3za7za7ast_varza7002369za7, BGl__valuezf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2occurrencezd2setz12zd2envzc0zzast_varz00, BgL_bgl__variableza7d2occurrenceza7d2setza712za712za7za7ast_varza7002370za7, BGl__variablezd2occurrencezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2removablezd2envz00zzast_varz00, BgL_bgl__variableza7d2removableza7d2za7za7ast_varza7002371za7, BGl__variablezd2removablezd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00, BgL_bgl__funza7d2predicateza7d2ofza7d2setza712za7c0za7za7ast_varza7002372z00, BGl__funzd2predicatezd2ofzd2setz12zc0zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_cfunzd2methodzd2envz00zzast_varz00, BgL_bgl__cfunza7d2methodza7d2za7za7ast_varza7002373za7, BGl__cfunzd2methodzd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2cvarzd2envz00zzast_varz00, BgL_bgl__allocateza7d2cvarza7d2za7za7ast_varza7002374za7, BGl__allocatezd2cvarzd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2libraryzf3zd2envzf3zzast_varz00, BgL_bgl__globalza7d2libraryza7f3za721za7za7ast_varza7002375z00, BGl__globalzd2libraryzf3z21zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2sfunz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2sfunza712za7c0za7za7ast_varza7002376z00, BGl__fillzd2sfunz12zc0zzast_varz00, 0L, 13 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2valuezd2envz00zzast_varz00, BgL_bgl__allocateza7d2valueza7d2za7za7ast_varza7002377za7, BGl__allocatezd2valuezd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2userzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__globalza7d2userza7f3za7d2setza712za7e1za7za7ast_varza7002378z00, BGl__globalzd2userzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2loczd2setz12zd2envzc0zzast_varz00, BgL_bgl__sfunza7d2locza7d2setza712za712za7za7ast_varza7002379za7, BGl__sfunzd2loczd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzd2detachedzf3zd2envzf3zzast_varz00, BgL_bgl__sexitza7d2detachedza7f3za721za7za7ast_varza7002380z00, BGl__sexitzd2detachedzf3z21zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_funzf3zd2envz21zzast_varz00, BgL_bgl__funza7f3za7f3za7za7ast_varza7002381za7, BGl__funzf3zf3zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2cfunz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2cfunza712za7c0za7za7ast_varza7002382z00, BGl__fillzd2cfunz12zc0zzast_varz00, 0L, 11 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2sexitzd2envz00zzast_varz00, BgL_bgl__allocateza7d2sexitza7d2za7za7ast_varza7002383za7, BGl__allocatezd2sexitzd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2globalzd2envz00zzast_varz00, BgL_bgl__allocateza7d2globalza7d2za7za7ast_varza7002384za7, BGl__allocatezd2globalzd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2funzd2envz00zzast_varz00, BgL_bgl__allocateza7d2funza7d2za7za7ast_varza7002385za7, BGl__allocatezd2funzd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_localzd2keyzd2envz00zzast_varz00, BgL_bgl__localza7d2keyza7d2za7za7ast_varza7002386za7, BGl__localzd2keyzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2propertyzd2setz12zd2envzc0zzast_varz00, BgL_bgl__sfunza7d2propertyza7d2setza712za712za7za7ast_varza7002387za7, BGl__sfunzd2propertyzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cfunzf3zd2envz21zzast_varz00, BgL_bgl__cfunza7f3za7f3za7za7ast_varza7002388za7, BGl__cfunzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfunzd2methodzd2setz12zd2envzc0zzast_varz00, BgL_bgl__cfunza7d2methodza7d2setza712za712za7za7ast_varza7002389za7, BGl__cfunzd2methodzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_scnstzf3zd2envz21zzast_varz00, BgL_bgl__scnstza7f3za7f3za7za7ast_varza7002390za7, BGl__scnstzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2300z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2cvar1869za7e3za7za7ast_varza7002391za7, BGl_objectzd2ze3structzd2cvar1869ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2301z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2cvar1871za751za7za7ast_varza7002392z00, BGl_structzb2objectzd2ze3objectzd2cvar1871z51zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2scnstzd2envz00zzast_varz00, BgL_bgl__makeza7d2scnstza7d2za7za7ast_varza7002393za7, BGl__makezd2scnstzd2zzast_varz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2302z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2scnst1873za7e3za7za7ast_varza7002394za7, BGl_objectzd2ze3structzd2scnst1873ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2typezd2envz00zzast_varz00, BgL_bgl__variableza7d2typeza7d2za7za7ast_varza7002395za7, BGl__variablezd2typezd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2303z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2scnst1875za751za7za7ast_varza7002396z00, BGl_structzb2objectzd2ze3objectzd2scnst1875z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_scnstzd2loczd2envz00zzast_varz00, BgL_bgl__scnstza7d2locza7d2za7za7ast_varza7002397za7, BGl__scnstzd2loczd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2304z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2svar1877za7e3za7za7ast_varza7002398za7, BGl_objectzd2ze3structzd2svar1877ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2305z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2svar1879za751za7za7ast_varza7002399z00, BGl_structzb2objectzd2ze3objectzd2svar1879z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2topzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__funza7d2topza7f3za7d2setza712za7e1za7za7ast_varza7002400z00, BGl__funzd2topzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2306z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2cfun1881za7e3za7za7ast_varza7002401za7, BGl_objectzd2ze3structzd2cfun1881ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2307z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2cfun1883za751za7za7ast_varza7002402z00, BGl_structzb2objectzd2ze3objectzd2cfun1883z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2308z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2sfun1885za7e3za7za7ast_varza7002403za7, BGl_objectzd2ze3structzd2sfun1885ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2298z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2sexit1865za7e3za7za7ast_varza7002404za7, BGl_objectzd2ze3structzd2sexit1865ze3zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sfunzf3zd2envz21zzast_varz00, BgL_bgl__sfunza7f3za7f3za7za7ast_varza7002405za7, BGl__sfunzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2310z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2fun1889za7e3za7za7ast_varza7002406za7, BGl_objectzd2ze3structzd2fun1889ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2309z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2sfun1887za751za7za7ast_varza7002407z00, BGl_structzb2objectzd2ze3objectzd2sfun1887z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2299z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2sexit1867za751za7za7ast_varza7002408z00, BGl_structzb2objectzd2ze3objectzd2sexit1867z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2311z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2fun1891za751za7za7ast_varza7002409z00, BGl_structzb2objectzd2ze3objectzd2fun1891z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2312z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2local1893za7e3za7za7ast_varza7002410za7, BGl_objectzd2ze3structzd2local1893ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2313z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2local1895za751za7za7ast_varza7002411z00, BGl_structzb2objectzd2ze3objectzd2local1895z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2314z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2global1897za7e3za7za7ast_varza7002412za7, BGl_objectzd2ze3structzd2global1897ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2315z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2global1899za751za7za7ast_varza7002413z00, BGl_structzb2objectzd2ze3objectzd2global1899z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2316z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2variable1901za7e3za7za7ast_varza7002414za7, BGl_objectzd2ze3structzd2variable1901ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzd2handlerzd2setz12zd2envzc0zzast_varz00, BgL_bgl__sexitza7d2handlerza7d2setza712za712za7za7ast_varza7002415za7, BGl__sexitzd2handlerzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2317z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2variable1903za751za7za7ast_varza7002416z00, BGl_structzb2objectzd2ze3objectzd2variable1903z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2318z00zzast_varz00, BgL_bgl_objectza7d2za7e3structza7d2value1905za7e3za7za7ast_varza7002417za7, BGl_objectzd2ze3structzd2value1905ze3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_scnstzd2classzd2envz00zzast_varz00, BgL_bgl__scnstza7d2classza7d2za7za7ast_varza7002418za7, BGl__scnstzd2classzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2319z00zzast_varz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2value1907za751za7za7ast_varza7002419z00, BGl_structzb2objectzd2ze3objectzd2value1907z51zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2importzd2setz12zd2envzc0zzast_varz00, BgL_bgl__globalza7d2importza7d2setza712za712za7za7ast_varza7002420za7, BGl__globalzd2importzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2cfunzd2envz00zzast_varz00, BgL_bgl__allocateza7d2cfunza7d2za7za7ast_varza7002421za7, BGl__allocatezd2cfunzd2zzast_varz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2readzd2onlyzf3zd2envz21zzast_varz00, BgL_bgl__globalza7d2readza7d2onlyza7f3za7f3za7za7ast_varza7002422za7, BGl__globalzd2readzd2onlyzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2arityzd2envz00zzast_varz00, BgL_bgl__funza7d2arityza7d2za7za7ast_varza7002423za7, BGl__funzd2arityzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_scnstzd2loczd2setz12zd2envzc0zzast_varz00, BgL_bgl__scnstza7d2locza7d2setza712za712za7za7ast_varza7002424za7, BGl__scnstzd2loczd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2argszd2setz12zd2envzc0zzast_varz00, BgL_bgl__sfunza7d2argsza7d2setza712za712za7za7ast_varza7002425za7, BGl__sfunzd2argszd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2jvmzd2typezd2namezd2setz12zd2envzc0zzast_varz00, BgL_bgl__globalza7d2jvmza7d2typeza7d2nameza7d2setza712za712za7za7ast_varza7002426za7, BGl__globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2svarzd2envz00zzast_varz00, BgL_bgl__allocateza7d2svarza7d2za7za7ast_varza7002427za7, BGl__allocatezd2svarzd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_localzd2userzf3zd2envzf3zzast_varz00, BgL_bgl__localza7d2userza7f3za721za7za7ast_varza7002428z00, BGl__localzd2userzf3z21zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sexitzf3zd2envz21zzast_varz00, BgL_bgl__sexitza7f3za7f3za7za7ast_varza7002429za7, BGl__sexitzf3zf3zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2valuezd2envz00zzast_varz00, BgL_bgl__makeza7d2valueza7d2za7za7ast_varza7002430za7, BGl__makezd2valuezd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_svarzd2loczd2envz00zzast_varz00, BgL_bgl__svarza7d2locza7d2za7za7ast_varza7002431za7, BGl__svarzd2loczd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzd2envz00zzast_varz00, BgL_bgl__makeza7d2localza7d2za7za7ast_varza7002432za7, BGl__makezd2localzd2zzast_varz00, 0L, 10 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2sexitzd2envz00zzast_varz00, BgL_bgl__makeza7d2sexitza7d2za7za7ast_varza7002433za7, BGl__makezd2sexitzd2zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2dssslzd2keywordszd2envzd2zzast_varz00, BgL_bgl__sfunza7d2dssslza7d2keywordsza700za7za7ast_varza7002434z00, BGl__sfunzd2dssslzd2keywordsz00zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfunzd2argszd2typezd2envzd2zzast_varz00, BgL_bgl__cfunza7d2argsza7d2typeza700za7za7ast_varza7002435z00, BGl__cfunzd2argszd2typez00zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2propertyzd2envz00zzast_varz00, BgL_bgl__sfunza7d2propertyza7d2za7za7ast_varza7002436za7, BGl__sfunzd2propertyzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2predicatezd2ofzd2envzd2zzast_varz00, BgL_bgl__funza7d2predicateza7d2ofza700za7za7ast_varza7002437z00, BGl__funzd2predicatezd2ofz00zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2occurrencezd2envz00zzast_varz00, BgL_bgl__variableza7d2occurrenceza7d2za7za7ast_varza7002438za7, BGl__variablezd2occurrencezd2zzast_varz00, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2funz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2funza712za7c0za7za7ast_varza7002439z00, BGl__fillzd2funz12zc0zzast_varz00, 0L, 7 );
DEFINE_EXPORT_PROCEDURE( BGl_localzf3zd2envz21zzast_varz00, BgL_bgl__localza7f3za7f3za7za7ast_varza7002440za7, BGl__localzf3zf3zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2svarz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2svarza712za7c0za7za7ast_varza7002441z00, BGl__fillzd2svarz12zc0zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2jvmzd2typezd2namezd2envz00zzast_varz00, BgL_bgl__globalza7d2jvmza7d2typeza7d2nameza7d2za7za7ast_varza7002442za7, BGl__globalzd2jvmzd2typezd2namezd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2modulezd2envz00zzast_varz00, BgL_bgl__globalza7d2moduleza7d2za7za7ast_varza7002443za7, BGl__globalzd2modulezd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2thezd2closurezd2envzd2zzast_varz00, BgL_bgl__funza7d2theza7d2closureza700za7za7ast_varza7002444z00, BGl__funzd2thezd2closurez00zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2importzd2envz00zzast_varz00, BgL_bgl__globalza7d2importza7d2za7za7ast_varza7002445za7, BGl__globalzd2importzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2idzd2envz00zzast_varz00, BgL_bgl__variableza7d2idza7d2za7za7ast_varza7002446za7, BGl__variablezd2idzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00, BgL_bgl__funza7d2stackza7d2allocatorza7d2setza712za7c0za7za7ast_varza7002447z00, BGl__funzd2stackzd2allocatorzd2setz12zc0zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2cvarz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2cvarza712za7c0za7za7ast_varza7002448z00, BGl__fillzd2cvarz12zc0zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2topzf3zd2envzf3zzast_varz00, BgL_bgl__funza7d2topza7f3za721za7za7ast_varza7002449z00, BGl__funzd2topzf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzd2detachedzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__sexitza7d2detachedza7f3za7d2setza712za7e1za7za7ast_varza7002450z00, BGl__sexitzd2detachedzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzf3zd2envz21zzast_varz00, BgL_bgl__globalza7f3za7f3za7za7ast_varza7002451za7, BGl__globalzf3zf3zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_localzd2userzf3zd2setz12zd2envz33zzast_varz00, BgL_bgl__localza7d2userza7f3za7d2setza712za7e1za7za7ast_varza7002452z00, BGl__localzd2userzf3zd2setz12ze1zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2sfunzd2envz00zzast_varz00, BgL_bgl__allocateza7d2sfunza7d2za7za7ast_varza7002453za7, BGl__allocatezd2sfunzd2zzast_varz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2bodyzd2setz12zd2envzc0zzast_varz00, BgL_bgl__sfunza7d2bodyza7d2setza712za712za7za7ast_varza7002454za7, BGl__sfunzd2bodyzd2setz12z12zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2pragmazd2envz00zzast_varz00, BgL_bgl__globalza7d2pragmaza7d2za7za7ast_varza7002455za7, BGl__globalzd2pragmazd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2loczd2envz00zzast_varz00, BgL_bgl__sfunza7d2locza7d2za7za7ast_varza7002456za7, BGl__sfunzd2loczd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzd2userzf3zd2envzf3zzast_varz00, BgL_bgl__globalza7d2userza7f3za721za7za7ast_varza7002457z00, BGl__globalzd2userzf3z21zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2dssslzd2keywordszd2setz12zd2envz12zzast_varz00, BgL_bgl__sfunza7d2dssslza7d2keywordsza7d2setza712za7c0za7za7ast_varza7002458z00, BGl__sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2sexitz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2sexitza712za7c0za7za7ast_varza7002459z00, BGl__fillzd2sexitz12zc0zzast_varz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2valuezd2envz00zzast_varz00, BgL_bgl__variableza7d2valueza7d2za7za7ast_varza7002460za7, BGl__variablezd2valuezd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2cvarzd2envz00zzast_varz00, BgL_bgl__makeza7d2cvarza7d2za7za7ast_varza7002461za7, BGl__makezd2cvarzd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2globalz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2globalza712za7c0za7za7ast_varza7002462z00, BGl__fillzd2globalz12zc0zzast_varz00, 0L, 17 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2fastzd2alphazd2setz12zd2envz12zzast_varz00, BgL_bgl__variableza7d2fastza7d2alphaza7d2setza712za7c0za7za7ast_varza7002463z00, BGl__variablezd2fastzd2alphazd2setz12zc0zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzd2handlerzd2envz00zzast_varz00, BgL_bgl__sexitza7d2handlerza7d2za7za7ast_varza7002464za7, BGl__sexitzd2handlerzd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_variablezd2accesszd2envz00zzast_varz00, BgL_bgl__variableza7d2accessza7d2za7za7ast_varza7002465za7, BGl__variablezd2accesszd2zzast_varz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2thezd2closurezd2setz12zd2envz12zzast_varz00, BgL_bgl__funza7d2theza7d2closureza7d2setza712za7c0za7za7ast_varza7002466z00, BGl__funzd2thezd2closurezd2setz12zc0zzast_varz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzd2argszd2envz00zzast_varz00, BgL_bgl__sfunza7d2argsza7d2za7za7ast_varza7002467za7, BGl__sfunzd2argszd2zzast_varz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2scnstz12zd2envz12zzast_varz00, BgL_bgl__fillza7d2scnstza712za7c0za7za7ast_varza7002468z00, BGl__fillzd2scnstz12zc0zzast_varz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long BgL_checksumz00_2489, char * BgL_fromz00_2490)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_varz00))
{ 
BGl_requirezd2initializa7ationz75zzast_varz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_varz00(); 
BGl_cnstzd2initzd2zzast_varz00(); 
BGl_importedzd2moduleszd2initz00zzast_varz00(); 
BGl_objectzd2initzd2zzast_varz00(); 
BGl_methodzd2initzd2zzast_varz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_var"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_var"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_var"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 14 */
{ /* Ast/var.scm 14 */
obj_t BgL_cportz00_2482;
BgL_cportz00_2482 = 
open_input_string(BGl_string2320z00zzast_varz00); 
{ 
long BgL_iz00_2483;
BgL_iz00_2483 = ((long)47); 
BgL_loopz00_2484:
if(
(BgL_iz00_2483==((long)-1)))
{ /* Ast/var.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/var.scm 14 */
{ /* Ast/var.scm 14 */
obj_t BgL_arg2322z00_2486;
{ /* Ast/var.scm 14 */
obj_t BgL_list2323z00_2487;
BgL_list2323z00_2487 = 
MAKE_PAIR(BgL_cportz00_2482, BNIL); 
BgL_arg2322z00_2486 = 
BGl_readz00zz__readerz00(BgL_list2323z00_2487); } 
{ /* Ast/var.scm 14 */
int BgL_auxz00_2507;
BgL_auxz00_2507 = 
(int)(BgL_iz00_2483); 
CNST_TABLE_SET(BgL_auxz00_2507, BgL_arg2322z00_2486); } } 
{ 
long BgL_iz00_2510;
{ /* Ast/var.scm 14 */
int BgL_auxz00_2511;
{ /* Ast/var.scm 14 */
long BgL_auxz00_2512;
BgL_auxz00_2512 = 
(BgL_iz00_2483-((long)1)); 
BgL_auxz00_2511 = 
(int)(BgL_auxz00_2512); } 
BgL_iz00_2510 = 
(long)(BgL_auxz00_2511); } 
BgL_iz00_2483 = BgL_iz00_2510; 
goto BgL_loopz00_2484;} } } } } 
}



/* global-read-only? */
bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt BgL_globalz00_1)
{ AN_OBJECT;
{ /* Ast/var.scm 140 */
{ /* Ast/var.scm 142 */
obj_t BgL_auxz00_2516;
BgL_auxz00_2516 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)0)), 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1))->BgL_pragmaz00)); 
return 
PAIRP(BgL_auxz00_2516);} } 
}



/* _global-read-only? */
obj_t BGl__globalzd2readzd2onlyzf3zf3zzast_varz00(obj_t BgL_envz00_2008, obj_t BgL_globalz00_2009)
{ AN_OBJECT;
{ /* Ast/var.scm 140 */
{ /* Ast/var.scm 140 */
bool_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(
(BgL_globalz00_bglt)(BgL_globalz00_2009)); 
return 
BBOOL(BgL_auxz00_2521);} } 
}



/* global-set-read-only! */
obj_t BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt BgL_globalz00_2)
{ AN_OBJECT;
{ /* Ast/var.scm 147 */
{ /* Ast/var.scm 149 */
obj_t BgL_arg1911z00_456;
{ /* Ast/var.scm 149 */
obj_t BgL_auxz00_2527;obj_t BgL_auxz00_2525;
BgL_auxz00_2527 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_2))->BgL_pragmaz00); 
BgL_auxz00_2525 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1911z00_456 = 
MAKE_PAIR(BgL_auxz00_2525, BgL_auxz00_2527); } 
return 
((((BgL_globalz00_bglt)CREF(BgL_globalz00_2))->BgL_pragmaz00) = ((obj_t)BgL_arg1911z00_456), BUNSPEC);} } 
}



/* _global-set-read-only! */
obj_t BGl__globalzd2setzd2readzd2onlyz12zc0zzast_varz00(obj_t BgL_envz00_2010, obj_t BgL_globalz00_2011)
{ AN_OBJECT;
{ /* Ast/var.scm 147 */
return 
BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(
(BgL_globalz00_bglt)(BgL_globalz00_2011));} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 14 */
{ /* Ast/var.scm 19 */
obj_t BgL_arg1914z00_459;obj_t BgL_arg1915z00_460;obj_t BgL_arg1920z00_465;
BgL_arg1914z00_459 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1915z00_460 = BGl_objectz00zz__objectz00; 
{ /* Ast/var.scm 19 */
obj_t BgL_v1853z00_467;
{ 
int BgL_auxz00_2534;
BgL_auxz00_2534 = 
(int)(((long)0)); 
BgL_v1853z00_467 = 
create_vector(BgL_auxz00_2534); } 
BgL_arg1920z00_465 = BgL_v1853z00_467; } 
BGl_valuez00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1914z00_459, BgL_arg1915z00_460, BGl_makezd2valuezd2envz00zzast_varz00, BGl_allocatezd2valuezd2envz00zzast_varz00, ((long)2845), BNIL, BFALSE, BgL_arg1920z00_465); } 
{ /* Ast/var.scm 21 */
obj_t BgL_arg1922z00_468;obj_t BgL_arg1923z00_469;obj_t BgL_arg1927z00_473;obj_t BgL_arg1928z00_474;
BgL_arg1922z00_468 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1923z00_469 = BGl_objectz00zz__objectz00; 
{ /* Ast/var.scm 21 */
obj_t BgL_arg1929z00_475;obj_t BgL_arg1930z00_476;obj_t BgL_arg1931z00_477;obj_t BgL_arg1932z00_478;obj_t BgL_arg1933z00_479;obj_t BgL_arg1934z00_480;obj_t BgL_arg1935z00_481;obj_t BgL_arg1936z00_482;
BgL_arg1929z00_475 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_variablezd2idzd2envz00zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1930z00_476 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_variablezd2namezd2envz00zzast_varz00, BGl_variablezd2namezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1931z00_477 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_variablezd2typezd2envz00zzast_varz00, BGl_variablezd2typezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1932z00_478 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_variablezd2valuezd2envz00zzast_varz00, BGl_variablezd2valuezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1933z00_479 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_variablezd2accesszd2envz00zzast_varz00, BGl_variablezd2accesszd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1934z00_480 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_variablezd2fastzd2alphazd2envzd2zzast_varz00, BGl_variablezd2fastzd2alphazd2setz12zd2envz12zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1935z00_481 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_variablezd2removablezd2envz00zzast_varz00, BGl_variablezd2removablezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1936z00_482 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_variablezd2occurrencezd2envz00zzast_varz00, BGl_variablezd2occurrencezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 21 */
obj_t BgL_list1937z00_483;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1938z00_484;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1939z00_485;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1940z00_486;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1941z00_487;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1942z00_488;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1943z00_489;
{ /* Ast/var.scm 21 */
obj_t BgL_arg1944z00_490;
BgL_arg1944z00_490 = 
MAKE_PAIR(BgL_arg1936z00_482, BNIL); 
BgL_arg1943z00_489 = 
MAKE_PAIR(BgL_arg1935z00_481, BgL_arg1944z00_490); } 
BgL_arg1942z00_488 = 
MAKE_PAIR(BgL_arg1934z00_480, BgL_arg1943z00_489); } 
BgL_arg1941z00_487 = 
MAKE_PAIR(BgL_arg1933z00_479, BgL_arg1942z00_488); } 
BgL_arg1940z00_486 = 
MAKE_PAIR(BgL_arg1932z00_478, BgL_arg1941z00_487); } 
BgL_arg1939z00_485 = 
MAKE_PAIR(BgL_arg1931z00_477, BgL_arg1940z00_486); } 
BgL_arg1938z00_484 = 
MAKE_PAIR(BgL_arg1930z00_476, BgL_arg1939z00_485); } 
BgL_list1937z00_483 = 
MAKE_PAIR(BgL_arg1929z00_475, BgL_arg1938z00_484); } 
BgL_arg1927z00_473 = BgL_list1937z00_483; } } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1854z00_491;
{ 
int BgL_auxz00_2563;
BgL_auxz00_2563 = 
(int)(((long)0)); 
BgL_v1854z00_491 = 
create_vector(BgL_auxz00_2563); } 
BgL_arg1928z00_474 = BgL_v1854z00_491; } 
BGl_variablez00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1922z00_468, BgL_arg1923z00_469, BGl_makezd2variablezd2envz00zzast_varz00, BGl_allocatezd2variablezd2envz00zzast_varz00, ((long)11853), BgL_arg1927z00_473, BFALSE, BgL_arg1928z00_474); } 
{ /* Ast/var.scm 40 */
obj_t BgL_arg1945z00_492;obj_t BgL_arg1946z00_493;obj_t BgL_arg1950z00_497;obj_t BgL_arg1951z00_498;
BgL_arg1945z00_492 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg1946z00_493 = BGl_variablez00zzast_varz00; 
{ /* Ast/var.scm 40 */
obj_t BgL_arg1952z00_499;obj_t BgL_arg1953z00_500;obj_t BgL_arg1954z00_501;obj_t BgL_arg1956z00_502;obj_t BgL_arg1957z00_503;obj_t BgL_arg1958z00_504;obj_t BgL_arg1959z00_505;obj_t BgL_arg1960z00_506;
BgL_arg1952z00_499 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_globalzd2modulezd2envz00zzast_varz00, BGl_globalzd2modulezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1953z00_500 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_globalzd2importzd2envz00zzast_varz00, BGl_globalzd2importzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1954z00_501 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_globalzd2evaluablezf3zd2envzf3zzast_varz00, BGl_globalzd2evaluablezf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1956z00_502 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_globalzd2libraryzf3zd2envzf3zzast_varz00, BGl_globalzd2libraryzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1957z00_503 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_globalzd2userzf3zd2envzf3zzast_varz00, BGl_globalzd2userzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1958z00_504 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_globalzd2pragmazd2envz00zzast_varz00, BGl_globalzd2pragmazd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1959z00_505 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_globalzd2srczd2envz00zzast_varz00, BGl_globalzd2srczd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1960z00_506 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_globalzd2jvmzd2typezd2namezd2envz00zzast_varz00, BGl_globalzd2jvmzd2typezd2namezd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 40 */
obj_t BgL_list1961z00_507;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1962z00_508;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1963z00_509;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1964z00_510;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1965z00_511;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1966z00_512;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1967z00_513;
{ /* Ast/var.scm 40 */
obj_t BgL_arg1968z00_514;
BgL_arg1968z00_514 = 
MAKE_PAIR(BgL_arg1960z00_506, BNIL); 
BgL_arg1967z00_513 = 
MAKE_PAIR(BgL_arg1959z00_505, BgL_arg1968z00_514); } 
BgL_arg1966z00_512 = 
MAKE_PAIR(BgL_arg1958z00_504, BgL_arg1967z00_513); } 
BgL_arg1965z00_511 = 
MAKE_PAIR(BgL_arg1957z00_503, BgL_arg1966z00_512); } 
BgL_arg1964z00_510 = 
MAKE_PAIR(BgL_arg1956z00_502, BgL_arg1965z00_511); } 
BgL_arg1963z00_509 = 
MAKE_PAIR(BgL_arg1954z00_501, BgL_arg1964z00_510); } 
BgL_arg1962z00_508 = 
MAKE_PAIR(BgL_arg1953z00_500, BgL_arg1963z00_509); } 
BgL_list1961z00_507 = 
MAKE_PAIR(BgL_arg1952z00_499, BgL_arg1962z00_508); } 
BgL_arg1950z00_497 = BgL_list1961z00_507; } } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1855z00_515;
{ 
int BgL_auxz00_2592;
BgL_auxz00_2592 = 
(int)(((long)0)); 
BgL_v1855z00_515 = 
create_vector(BgL_auxz00_2592); } 
BgL_arg1951z00_498 = BgL_v1855z00_515; } 
BGl_globalz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1945z00_492, BgL_arg1946z00_493, BGl_makezd2globalzd2envz00zzast_varz00, BGl_allocatezd2globalzd2envz00zzast_varz00, ((long)52319), BgL_arg1950z00_497, BFALSE, BgL_arg1951z00_498); } 
{ /* Ast/var.scm 65 */
obj_t BgL_arg1969z00_516;obj_t BgL_arg1970z00_517;obj_t BgL_arg1974z00_521;obj_t BgL_arg1975z00_522;
BgL_arg1969z00_516 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg1970z00_517 = BGl_variablez00zzast_varz00; 
{ /* Ast/var.scm 65 */
obj_t BgL_arg1976z00_523;obj_t BgL_arg1977z00_524;
BgL_arg1976z00_523 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_localzd2userzf3zd2envzf3zzast_varz00, BGl_localzd2userzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1977z00_524 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_localzd2keyzd2envz00zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 65 */
obj_t BgL_list1978z00_525;
{ /* Ast/var.scm 65 */
obj_t BgL_arg1980z00_526;
BgL_arg1980z00_526 = 
MAKE_PAIR(BgL_arg1977z00_524, BNIL); 
BgL_list1978z00_525 = 
MAKE_PAIR(BgL_arg1976z00_523, BgL_arg1980z00_526); } 
BgL_arg1974z00_521 = BgL_list1978z00_525; } } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1856z00_527;
{ 
int BgL_auxz00_2603;
BgL_auxz00_2603 = 
(int)(((long)0)); 
BgL_v1856z00_527 = 
create_vector(BgL_auxz00_2603); } 
BgL_arg1975z00_522 = BgL_v1856z00_527; } 
BGl_localz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1969z00_516, BgL_arg1970z00_517, BGl_makezd2localzd2envz00zzast_varz00, BGl_allocatezd2localzd2envz00zzast_varz00, ((long)5504), BgL_arg1974z00_521, BFALSE, BgL_arg1975z00_522); } 
{ /* Ast/var.scm 71 */
obj_t BgL_arg1981z00_528;obj_t BgL_arg1982z00_529;obj_t BgL_arg1986z00_533;obj_t BgL_arg1987z00_534;
BgL_arg1981z00_528 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg1982z00_529 = BGl_valuez00zzast_varz00; 
{ /* Ast/var.scm 71 */
obj_t BgL_arg1988z00_535;obj_t BgL_arg1989z00_536;obj_t BgL_arg1990z00_537;obj_t BgL_arg1991z00_538;obj_t BgL_arg1992z00_539;obj_t BgL_arg1993z00_540;
BgL_arg1988z00_535 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_funzd2arityzd2envz00zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1989z00_536 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_funzd2sidezd2effectzf3zd2envz21zzast_varz00, BGl_funzd2sidezd2effectzf3zd2setz12zd2envze1zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1990z00_537 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_funzd2predicatezd2ofzd2envzd2zzast_varz00, BGl_funzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1991z00_538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_funzd2stackzd2allocatorzd2envzd2zzast_varz00, BGl_funzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1992z00_539 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_funzd2topzf3zd2envzf3zzast_varz00, BGl_funzd2topzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1993z00_540 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_funzd2thezd2closurezd2envzd2zzast_varz00, BGl_funzd2thezd2closurezd2setz12zd2envz12zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 71 */
obj_t BgL_list1994z00_541;
{ /* Ast/var.scm 71 */
obj_t BgL_arg1995z00_542;
{ /* Ast/var.scm 71 */
obj_t BgL_arg1996z00_543;
{ /* Ast/var.scm 71 */
obj_t BgL_arg1997z00_544;
{ /* Ast/var.scm 71 */
obj_t BgL_arg1998z00_545;
{ /* Ast/var.scm 71 */
obj_t BgL_arg1999z00_546;
BgL_arg1999z00_546 = 
MAKE_PAIR(BgL_arg1993z00_540, BNIL); 
BgL_arg1998z00_545 = 
MAKE_PAIR(BgL_arg1992z00_539, BgL_arg1999z00_546); } 
BgL_arg1997z00_544 = 
MAKE_PAIR(BgL_arg1991z00_538, BgL_arg1998z00_545); } 
BgL_arg1996z00_543 = 
MAKE_PAIR(BgL_arg1990z00_537, BgL_arg1997z00_544); } 
BgL_arg1995z00_542 = 
MAKE_PAIR(BgL_arg1989z00_536, BgL_arg1996z00_543); } 
BgL_list1994z00_541 = 
MAKE_PAIR(BgL_arg1988z00_535, BgL_arg1995z00_542); } 
BgL_arg1986z00_533 = BgL_list1994z00_541; } } 
{ /* Ast/var.scm 71 */
obj_t BgL_v1857z00_547;
{ 
int BgL_auxz00_2626;
BgL_auxz00_2626 = 
(int)(((long)0)); 
BgL_v1857z00_547 = 
create_vector(BgL_auxz00_2626); } 
BgL_arg1987z00_534 = BgL_v1857z00_547; } 
BGl_funz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1981z00_528, BgL_arg1982z00_529, BGl_makezd2funzd2envz00zzast_varz00, BGl_allocatezd2funzd2envz00zzast_varz00, ((long)40108), BgL_arg1986z00_533, BFALSE, BgL_arg1987z00_534); } 
{ /* Ast/var.scm 85 */
obj_t BgL_arg2000z00_548;obj_t BgL_arg2001z00_549;obj_t BgL_arg2005z00_553;obj_t BgL_arg2006z00_554;
BgL_arg2000z00_548 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2001z00_549 = BGl_funz00zzast_varz00; 
{ /* Ast/var.scm 85 */
obj_t BgL_arg2007z00_555;obj_t BgL_arg2008z00_556;obj_t BgL_arg2009z00_557;obj_t BgL_arg2010z00_558;obj_t BgL_arg2011z00_559;obj_t BgL_arg2012z00_560;
BgL_arg2007z00_555 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_sfunzd2propertyzd2envz00zzast_varz00, BGl_sfunzd2propertyzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2008z00_556 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_sfunzd2argszd2envz00zzast_varz00, BGl_sfunzd2argszd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2009z00_557 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_sfunzd2bodyzd2envz00zzast_varz00, BGl_sfunzd2bodyzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2010z00_558 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_sfunzd2classzd2envz00zzast_varz00, BGl_sfunzd2classzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2011z00_559 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_sfunzd2dssslzd2keywordszd2envzd2zzast_varz00, BGl_sfunzd2dssslzd2keywordszd2setz12zd2envz12zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2012z00_560 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_sfunzd2loczd2envz00zzast_varz00, BGl_sfunzd2loczd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 85 */
obj_t BgL_list2013z00_561;
{ /* Ast/var.scm 85 */
obj_t BgL_arg2014z00_562;
{ /* Ast/var.scm 85 */
obj_t BgL_arg2015z00_563;
{ /* Ast/var.scm 85 */
obj_t BgL_arg2016z00_564;
{ /* Ast/var.scm 85 */
obj_t BgL_arg2017z00_565;
{ /* Ast/var.scm 85 */
obj_t BgL_arg2019z00_566;
BgL_arg2019z00_566 = 
MAKE_PAIR(BgL_arg2012z00_560, BNIL); 
BgL_arg2017z00_565 = 
MAKE_PAIR(BgL_arg2011z00_559, BgL_arg2019z00_566); } 
BgL_arg2016z00_564 = 
MAKE_PAIR(BgL_arg2010z00_558, BgL_arg2017z00_565); } 
BgL_arg2015z00_563 = 
MAKE_PAIR(BgL_arg2009z00_557, BgL_arg2016z00_564); } 
BgL_arg2014z00_562 = 
MAKE_PAIR(BgL_arg2008z00_556, BgL_arg2015z00_563); } 
BgL_list2013z00_561 = 
MAKE_PAIR(BgL_arg2007z00_555, BgL_arg2014z00_562); } 
BgL_arg2005z00_553 = BgL_list2013z00_561; } } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1858z00_567;
{ 
int BgL_auxz00_2649;
BgL_auxz00_2649 = 
(int)(((long)0)); 
BgL_v1858z00_567 = 
create_vector(BgL_auxz00_2649); } 
BgL_arg2006z00_554 = BgL_v1858z00_567; } 
BGl_sfunz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2000z00_548, BgL_arg2001z00_549, BGl_makezd2sfunzd2envz00zzast_varz00, BGl_allocatezd2sfunzd2envz00zzast_varz00, ((long)5125), BgL_arg2005z00_553, BFALSE, BgL_arg2006z00_554); } 
{ /* Ast/var.scm 102 */
obj_t BgL_arg2020z00_568;obj_t BgL_arg2021z00_569;obj_t BgL_arg2025z00_573;obj_t BgL_arg2026z00_574;
BgL_arg2020z00_568 = 
CNST_TABLE_REF(((long)36)); 
BgL_arg2021z00_569 = BGl_funz00zzast_varz00; 
{ /* Ast/var.scm 102 */
obj_t BgL_arg2027z00_575;obj_t BgL_arg2028z00_576;obj_t BgL_arg2029z00_577;obj_t BgL_arg2030z00_578;
BgL_arg2027z00_575 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_cfunzd2argszd2typezd2envzd2zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2028z00_576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_cfunzd2macrozf3zd2envzf3zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2029z00_577 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)39)), BGl_cfunzd2infixzf3zd2envzf3zzast_varz00, BGl_cfunzd2infixzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2030z00_578 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_cfunzd2methodzd2envz00zzast_varz00, BGl_cfunzd2methodzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 102 */
obj_t BgL_list2031z00_579;
{ /* Ast/var.scm 102 */
obj_t BgL_arg2032z00_580;
{ /* Ast/var.scm 102 */
obj_t BgL_arg2033z00_581;
{ /* Ast/var.scm 102 */
obj_t BgL_arg2034z00_582;
BgL_arg2034z00_582 = 
MAKE_PAIR(BgL_arg2030z00_578, BNIL); 
BgL_arg2033z00_581 = 
MAKE_PAIR(BgL_arg2029z00_577, BgL_arg2034z00_582); } 
BgL_arg2032z00_580 = 
MAKE_PAIR(BgL_arg2028z00_576, BgL_arg2033z00_581); } 
BgL_list2031z00_579 = 
MAKE_PAIR(BgL_arg2027z00_575, BgL_arg2032z00_580); } 
BgL_arg2025z00_573 = BgL_list2031z00_579; } } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1859z00_583;
{ 
int BgL_auxz00_2666;
BgL_auxz00_2666 = 
(int)(((long)0)); 
BgL_v1859z00_583 = 
create_vector(BgL_auxz00_2666); } 
BgL_arg2026z00_574 = BgL_v1859z00_583; } 
BGl_cfunz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2020z00_568, BgL_arg2021z00_569, BGl_makezd2cfunzd2envz00zzast_varz00, BGl_allocatezd2cfunzd2envz00zzast_varz00, ((long)6013), BgL_arg2025z00_573, BFALSE, BgL_arg2026z00_574); } 
{ /* Ast/var.scm 112 */
obj_t BgL_arg2035z00_584;obj_t BgL_arg2036z00_585;obj_t BgL_arg2040z00_589;obj_t BgL_arg2041z00_590;
BgL_arg2035z00_584 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg2036z00_585 = BGl_valuez00zzast_varz00; 
{ /* Ast/var.scm 112 */
obj_t BgL_arg2042z00_591;
BgL_arg2042z00_591 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_svarzd2loczd2envz00zzast_varz00, BGl_svarzd2loczd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 112 */
obj_t BgL_list2043z00_592;
BgL_list2043z00_592 = 
MAKE_PAIR(BgL_arg2042z00_591, BNIL); 
BgL_arg2040z00_589 = BgL_list2043z00_592; } } 
{ /* Ast/var.scm 112 */
obj_t BgL_v1860z00_593;
{ 
int BgL_auxz00_2674;
BgL_auxz00_2674 = 
(int)(((long)0)); 
BgL_v1860z00_593 = 
create_vector(BgL_auxz00_2674); } 
BgL_arg2041z00_590 = BgL_v1860z00_593; } 
BGl_svarz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2035z00_584, BgL_arg2036z00_585, BGl_makezd2svarzd2envz00zzast_varz00, BGl_allocatezd2svarzd2envz00zzast_varz00, ((long)22234), BgL_arg2040z00_589, BFALSE, BgL_arg2041z00_590); } 
{ /* Ast/var.scm 116 */
obj_t BgL_arg2044z00_594;obj_t BgL_arg2045z00_595;obj_t BgL_arg2049z00_599;obj_t BgL_arg2050z00_600;
BgL_arg2044z00_594 = 
CNST_TABLE_REF(((long)42)); 
BgL_arg2045z00_595 = BGl_valuez00zzast_varz00; 
{ /* Ast/var.scm 116 */
obj_t BgL_arg2051z00_601;obj_t BgL_arg2052z00_602;obj_t BgL_arg2053z00_603;
BgL_arg2051z00_601 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_scnstzd2nodezd2envz00zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2052z00_602 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_scnstzd2classzd2envz00zzast_varz00, BGl_scnstzd2classzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2053z00_603 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_scnstzd2loczd2envz00zzast_varz00, BGl_scnstzd2loczd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 116 */
obj_t BgL_list2054z00_604;
{ /* Ast/var.scm 116 */
obj_t BgL_arg2055z00_605;
{ /* Ast/var.scm 116 */
obj_t BgL_arg2056z00_606;
BgL_arg2056z00_606 = 
MAKE_PAIR(BgL_arg2053z00_603, BNIL); 
BgL_arg2055z00_605 = 
MAKE_PAIR(BgL_arg2052z00_602, BgL_arg2056z00_606); } 
BgL_list2054z00_604 = 
MAKE_PAIR(BgL_arg2051z00_601, BgL_arg2055z00_605); } 
BgL_arg2049z00_599 = BgL_list2054z00_604; } } 
{ /* Ast/var.scm 116 */
obj_t BgL_v1861z00_607;
{ 
int BgL_auxz00_2688;
BgL_auxz00_2688 = 
(int)(((long)0)); 
BgL_v1861z00_607 = 
create_vector(BgL_auxz00_2688); } 
BgL_arg2050z00_600 = BgL_v1861z00_607; } 
BGl_scnstz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2044z00_594, BgL_arg2045z00_595, BGl_makezd2scnstzd2envz00zzast_varz00, BGl_allocatezd2scnstzd2envz00zzast_varz00, ((long)48453), BgL_arg2049z00_599, BFALSE, BgL_arg2050z00_600); } 
{ /* Ast/var.scm 124 */
obj_t BgL_arg2057z00_608;obj_t BgL_arg2058z00_609;obj_t BgL_arg2062z00_613;obj_t BgL_arg2063z00_614;
BgL_arg2057z00_608 = 
CNST_TABLE_REF(((long)44)); 
BgL_arg2058z00_609 = BGl_valuez00zzast_varz00; 
{ /* Ast/var.scm 124 */
obj_t BgL_arg2064z00_615;
BgL_arg2064z00_615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_cvarzd2macrozf3zd2envzf3zzast_varz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 124 */
obj_t BgL_list2065z00_616;
BgL_list2065z00_616 = 
MAKE_PAIR(BgL_arg2064z00_615, BNIL); 
BgL_arg2062z00_613 = BgL_list2065z00_616; } } 
{ /* Ast/var.scm 124 */
obj_t BgL_v1862z00_617;
{ 
int BgL_auxz00_2696;
BgL_auxz00_2696 = 
(int)(((long)0)); 
BgL_v1862z00_617 = 
create_vector(BgL_auxz00_2696); } 
BgL_arg2063z00_614 = BgL_v1862z00_617; } 
BGl_cvarz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2057z00_608, BgL_arg2058z00_609, BGl_makezd2cvarzd2envz00zzast_varz00, BGl_allocatezd2cvarzd2envz00zzast_varz00, ((long)5325), BgL_arg2062z00_613, BFALSE, BgL_arg2063z00_614); } 
{ /* Ast/var.scm 128 */
obj_t BgL_arg2066z00_618;obj_t BgL_arg2067z00_619;obj_t BgL_arg2071z00_623;obj_t BgL_arg2072z00_624;
BgL_arg2066z00_618 = 
CNST_TABLE_REF(((long)45)); 
BgL_arg2067z00_619 = BGl_valuez00zzast_varz00; 
{ /* Ast/var.scm 128 */
obj_t BgL_arg2073z00_625;obj_t BgL_arg2074z00_626;
BgL_arg2073z00_625 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_sexitzd2handlerzd2envz00zzast_varz00, BGl_sexitzd2handlerzd2setz12zd2envzc0zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2074z00_626 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_sexitzd2detachedzf3zd2envzf3zzast_varz00, BGl_sexitzd2detachedzf3zd2setz12zd2envz33zzast_varz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Ast/var.scm 128 */
obj_t BgL_list2075z00_627;
{ /* Ast/var.scm 128 */
obj_t BgL_arg2076z00_628;
BgL_arg2076z00_628 = 
MAKE_PAIR(BgL_arg2074z00_626, BNIL); 
BgL_list2075z00_627 = 
MAKE_PAIR(BgL_arg2073z00_625, BgL_arg2076z00_628); } 
BgL_arg2071z00_623 = BgL_list2075z00_627; } } 
{ /* Ast/var.scm 128 */
obj_t BgL_v1863z00_629;
{ 
int BgL_auxz00_2707;
BgL_auxz00_2707 = 
(int)(((long)0)); 
BgL_v1863z00_629 = 
create_vector(BgL_auxz00_2707); } 
BgL_arg2072z00_624 = BgL_v1863z00_629; } 
BGl_sexitz00zzast_varz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2066z00_618, BgL_arg2067z00_619, BGl_makezd2sexitzd2envz00zzast_varz00, BGl_allocatezd2sexitzd2envz00zzast_varz00, ((long)4969), BgL_arg2071z00_623, BFALSE, BgL_arg2072z00_624); } 
return BUNSPEC;} 
}



/* sexit? */
bool_t BGl_sexitzf3zf3zzast_varz00(obj_t BgL_obj1848z00_3)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1848z00_3, BGl_sexitz00zzast_varz00);} 
}



/* _sexit? */
obj_t BGl__sexitzf3zf3zzast_varz00(obj_t BgL_envz00_2287, obj_t BgL_obj1848z00_2288)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
bool_t BgL_auxz00_2712;
BgL_auxz00_2712 = 
BGl_sexitzf3zf3zzast_varz00(BgL_obj1848z00_2288); 
return 
BBOOL(BgL_auxz00_2712);} } 
}



/* fill-sexit! */
BgL_sexitz00_bglt BGl_fillzd2sexitz12zc0zzast_varz00(BgL_sexitz00_bglt BgL_new1829z00_7, obj_t BgL_handler1827z00_8, bool_t BgL_detachedzf31828zf3_9)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
((((BgL_sexitz00_bglt)CREF(BgL_new1829z00_7))->BgL_handlerz00) = ((obj_t)BgL_handler1827z00_8), BUNSPEC); 
((((BgL_sexitz00_bglt)CREF(BgL_new1829z00_7))->BgL_detachedzf3zf3) = ((bool_t)BgL_detachedzf31828zf3_9), BUNSPEC); 
return BgL_new1829z00_7;} 
}



/* _fill-sexit! */
obj_t BGl__fillzd2sexitz12zc0zzast_varz00(obj_t BgL_envz00_2289, obj_t BgL_new1829z00_2290, obj_t BgL_handler1827z00_2291, obj_t BgL_detachedzf31828zf3_2292)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_auxz00_2717;
BgL_auxz00_2717 = 
BGl_fillzd2sexitz12zc0zzast_varz00(
(BgL_sexitz00_bglt)(BgL_new1829z00_2290), BgL_handler1827z00_2291, 
CBOOL(BgL_detachedzf31828zf3_2292)); 
return 
(obj_t)(BgL_auxz00_2717);} } 
}



/* make-sexit */
BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t BgL_handler1833z00_10, bool_t BgL_detachedzf31834zf3_11)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_new1835z00_1128;
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_res2274z00_1134;
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_new1837z00_1129;
BgL_new1837z00_1129 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* Ast/var.scm 128 */
long BgL_arg2077z00_1130;
BgL_arg2077z00_1130 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitz00zzast_varz00); 
{ /* Ast/var.scm 128 */
BgL_objectz00_bglt BgL_auxz00_2724;
BgL_auxz00_2724 = 
(BgL_objectz00_bglt)(BgL_new1837z00_1129); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2724, BgL_arg2077z00_1130); } } 
{ /* Ast/var.scm 128 */
BgL_objectz00_bglt BgL_auxz00_2727;
BgL_auxz00_2727 = 
(BgL_objectz00_bglt)(BgL_new1837z00_1129); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2727, BFALSE); } 
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_2730;
BgL_auxz00_2730 = 
(obj_t)(BgL_new1837z00_1129); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2730); } BUNSPEC; 
BgL_res2274z00_1134 = BgL_new1837z00_1129; } 
BgL_new1835z00_1128 = BgL_res2274z00_1134; } 
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_res2275z00_1140;
((((BgL_sexitz00_bglt)CREF(BgL_new1835z00_1128))->BgL_handlerz00) = ((obj_t)BgL_handler1833z00_10), BUNSPEC); 
((((BgL_sexitz00_bglt)CREF(BgL_new1835z00_1128))->BgL_detachedzf3zf3) = ((bool_t)BgL_detachedzf31834zf3_11), BUNSPEC); 
BgL_res2275z00_1140 = BgL_new1835z00_1128; BgL_res2275z00_1140; } 
return BgL_new1835z00_1128;} } 
}



/* _make-sexit */
obj_t BGl__makezd2sexitzd2zzast_varz00(obj_t BgL_envz00_2273, obj_t BgL_handler1833z00_2274, obj_t BgL_detachedzf31834zf3_2275)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_auxz00_2735;
BgL_auxz00_2735 = 
BGl_makezd2sexitzd2zzast_varz00(BgL_handler1833z00_2274, 
CBOOL(BgL_detachedzf31834zf3_2275)); 
return 
(obj_t)(BgL_auxz00_2735);} } 
}



/* allocate-sexit */
BgL_sexitz00_bglt BGl_allocatezd2sexitzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_new1837z00_1141;
BgL_new1837z00_1141 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* Ast/var.scm 128 */
long BgL_arg2077z00_1142;
BgL_arg2077z00_1142 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitz00zzast_varz00); 
{ /* Ast/var.scm 128 */
BgL_objectz00_bglt BgL_auxz00_2741;
BgL_auxz00_2741 = 
(BgL_objectz00_bglt)(BgL_new1837z00_1141); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2741, BgL_arg2077z00_1142); } } 
{ /* Ast/var.scm 128 */
BgL_objectz00_bglt BgL_auxz00_2744;
BgL_auxz00_2744 = 
(BgL_objectz00_bglt)(BgL_new1837z00_1141); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2744, BFALSE); } 
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_2747;
BgL_auxz00_2747 = 
(obj_t)(BgL_new1837z00_1141); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2747); } BUNSPEC; 
return BgL_new1837z00_1141;} } 
}



/* _allocate-sexit */
obj_t BGl__allocatezd2sexitzd2zzast_varz00(obj_t BgL_envz00_2276)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_auxz00_2750;
BgL_auxz00_2750 = 
BGl_allocatezd2sexitzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_2750);} } 
}



/* sexit-handler-set! */
obj_t BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt BgL_obj1823z00_12, obj_t BgL_val1822z00_13)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
return 
((((BgL_sexitz00_bglt)CREF(BgL_obj1823z00_12))->BgL_handlerz00) = ((obj_t)BgL_val1822z00_13), BUNSPEC);} 
}



/* _sexit-handler-set! */
obj_t BGl__sexitzd2handlerzd2setz12z12zzast_varz00(obj_t BgL_envz00_2279, obj_t BgL_obj1823z00_2280, obj_t BgL_val1822z00_2281)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
return 
BGl_sexitzd2handlerzd2setz12z12zzast_varz00(
(BgL_sexitz00_bglt)(BgL_obj1823z00_2280), BgL_val1822z00_2281);} 
}



/* sexit-handler */
obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt BgL_obj1821z00_14)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
return 
(((BgL_sexitz00_bglt)CREF(BgL_obj1821z00_14))->BgL_handlerz00);} 
}



/* _sexit-handler */
obj_t BGl__sexitzd2handlerzd2zzast_varz00(obj_t BgL_envz00_2277, obj_t BgL_obj1821z00_2278)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
return 
BGl_sexitzd2handlerzd2zzast_varz00(
(BgL_sexitz00_bglt)(BgL_obj1821z00_2278));} 
}



/* sexit-detached?-set! */
obj_t BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt BgL_obj1826z00_15, bool_t BgL_val1825z00_16)
{ AN_OBJECT;
{ /* Ast/var.scm 132 */
return 
((((BgL_sexitz00_bglt)CREF(BgL_obj1826z00_15))->BgL_detachedzf3zf3) = ((bool_t)BgL_val1825z00_16), BUNSPEC);} 
}



/* _sexit-detached?-set! */
obj_t BGl__sexitzd2detachedzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2284, obj_t BgL_obj1826z00_2285, obj_t BgL_val1825z00_2286)
{ AN_OBJECT;
{ /* Ast/var.scm 132 */
return 
BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(
(BgL_sexitz00_bglt)(BgL_obj1826z00_2285), 
CBOOL(BgL_val1825z00_2286));} 
}



/* sexit-detached? */
bool_t BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt BgL_obj1824z00_17)
{ AN_OBJECT;
{ /* Ast/var.scm 132 */
return 
(((BgL_sexitz00_bglt)CREF(BgL_obj1824z00_17))->BgL_detachedzf3zf3);} 
}



/* _sexit-detached? */
obj_t BGl__sexitzd2detachedzf3z21zzast_varz00(obj_t BgL_envz00_2282, obj_t BgL_obj1824z00_2283)
{ AN_OBJECT;
{ /* Ast/var.scm 132 */
{ /* Ast/var.scm 132 */
bool_t BgL_auxz00_2764;
BgL_auxz00_2764 = 
BGl_sexitzd2detachedzf3z21zzast_varz00(
(BgL_sexitz00_bglt)(BgL_obj1824z00_2283)); 
return 
BBOOL(BgL_auxz00_2764);} } 
}



/* cvar? */
bool_t BGl_cvarzf3zf3zzast_varz00(obj_t BgL_obj1820z00_18)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1820z00_18, BGl_cvarz00zzast_varz00);} 
}



/* _cvar? */
obj_t BGl__cvarzf3zf3zzast_varz00(obj_t BgL_envz00_2293, obj_t BgL_obj1820z00_2294)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
bool_t BgL_auxz00_2769;
BgL_auxz00_2769 = 
BGl_cvarzf3zf3zzast_varz00(BgL_obj1820z00_2294); 
return 
BBOOL(BgL_auxz00_2769);} } 
}



/* fill-cvar! */
BgL_cvarz00_bglt BGl_fillzd2cvarz12zc0zzast_varz00(BgL_cvarz00_bglt BgL_new1807z00_22, bool_t BgL_macrozf31806zf3_23)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
((((BgL_cvarz00_bglt)CREF(BgL_new1807z00_22))->BgL_macrozf3zf3) = ((bool_t)BgL_macrozf31806zf3_23), BUNSPEC); 
return BgL_new1807z00_22;} 
}



/* _fill-cvar! */
obj_t BGl__fillzd2cvarz12zc0zzast_varz00(obj_t BgL_envz00_2295, obj_t BgL_new1807z00_2296, obj_t BgL_macrozf31806zf3_2297)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_auxz00_2773;
BgL_auxz00_2773 = 
BGl_fillzd2cvarz12zc0zzast_varz00(
(BgL_cvarz00_bglt)(BgL_new1807z00_2296), 
CBOOL(BgL_macrozf31806zf3_2297)); 
return 
(obj_t)(BgL_auxz00_2773);} } 
}



/* make-cvar */
BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t BgL_macrozf31810zf3_24)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_new1811z00_1147;
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_res2276z00_1153;
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_new1813z00_1148;
BgL_new1813z00_1148 = 
((BgL_cvarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cvarz00_bgl) ))); 
{ /* Ast/var.scm 124 */
long BgL_arg2078z00_1149;
BgL_arg2078z00_1149 = 
BGl_classzd2numzd2zz__objectz00(BGl_cvarz00zzast_varz00); 
{ /* Ast/var.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2780;
BgL_auxz00_2780 = 
(BgL_objectz00_bglt)(BgL_new1813z00_1148); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2780, BgL_arg2078z00_1149); } } 
{ /* Ast/var.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2783;
BgL_auxz00_2783 = 
(BgL_objectz00_bglt)(BgL_new1813z00_1148); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2783, BFALSE); } 
{ /* Ast/var.scm 124 */
obj_t BgL_auxz00_2786;
BgL_auxz00_2786 = 
(obj_t)(BgL_new1813z00_1148); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2786); } BUNSPEC; 
BgL_res2276z00_1153 = BgL_new1813z00_1148; } 
BgL_new1811z00_1147 = BgL_res2276z00_1153; } 
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_res2277z00_1157;
((((BgL_cvarz00_bglt)CREF(BgL_new1811z00_1147))->BgL_macrozf3zf3) = ((bool_t)BgL_macrozf31810zf3_24), BUNSPEC); 
BgL_res2277z00_1157 = BgL_new1811z00_1147; BgL_res2277z00_1157; } 
return BgL_new1811z00_1147;} } 
}



/* _make-cvar */
obj_t BGl__makezd2cvarzd2zzast_varz00(obj_t BgL_envz00_2268, obj_t BgL_macrozf31810zf3_2269)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_auxz00_2790;
BgL_auxz00_2790 = 
BGl_makezd2cvarzd2zzast_varz00(
CBOOL(BgL_macrozf31810zf3_2269)); 
return 
(obj_t)(BgL_auxz00_2790);} } 
}



/* allocate-cvar */
BgL_cvarz00_bglt BGl_allocatezd2cvarzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_new1813z00_1158;
BgL_new1813z00_1158 = 
((BgL_cvarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cvarz00_bgl) ))); 
{ /* Ast/var.scm 124 */
long BgL_arg2078z00_1159;
BgL_arg2078z00_1159 = 
BGl_classzd2numzd2zz__objectz00(BGl_cvarz00zzast_varz00); 
{ /* Ast/var.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2796;
BgL_auxz00_2796 = 
(BgL_objectz00_bglt)(BgL_new1813z00_1158); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2796, BgL_arg2078z00_1159); } } 
{ /* Ast/var.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2799;
BgL_auxz00_2799 = 
(BgL_objectz00_bglt)(BgL_new1813z00_1158); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2799, BFALSE); } 
{ /* Ast/var.scm 124 */
obj_t BgL_auxz00_2802;
BgL_auxz00_2802 = 
(obj_t)(BgL_new1813z00_1158); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2802); } BUNSPEC; 
return BgL_new1813z00_1158;} } 
}



/* _allocate-cvar */
obj_t BGl__allocatezd2cvarzd2zzast_varz00(obj_t BgL_envz00_2270)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_auxz00_2805;
BgL_auxz00_2805 = 
BGl_allocatezd2cvarzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_2805);} } 
}



/* cvar-macro? */
bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt BgL_obj1805z00_25)
{ AN_OBJECT;
{ /* Ast/var.scm 126 */
return 
(((BgL_cvarz00_bglt)CREF(BgL_obj1805z00_25))->BgL_macrozf3zf3);} 
}



/* _cvar-macro? */
obj_t BGl__cvarzd2macrozf3z21zzast_varz00(obj_t BgL_envz00_2271, obj_t BgL_obj1805z00_2272)
{ AN_OBJECT;
{ /* Ast/var.scm 126 */
{ /* Ast/var.scm 126 */
bool_t BgL_auxz00_2809;
BgL_auxz00_2809 = 
BGl_cvarzd2macrozf3z21zzast_varz00(
(BgL_cvarz00_bglt)(BgL_obj1805z00_2272)); 
return 
BBOOL(BgL_auxz00_2809);} } 
}



/* scnst? */
bool_t BGl_scnstzf3zf3zzast_varz00(obj_t BgL_obj1804z00_26)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1804z00_26, BGl_scnstz00zzast_varz00);} 
}



/* _scnst? */
obj_t BGl__scnstzf3zf3zzast_varz00(obj_t BgL_envz00_2298, obj_t BgL_obj1804z00_2299)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
bool_t BgL_auxz00_2814;
BgL_auxz00_2814 = 
BGl_scnstzf3zf3zzast_varz00(BgL_obj1804z00_2299); 
return 
BBOOL(BgL_auxz00_2814);} } 
}



/* fill-scnst! */
BgL_scnstz00_bglt BGl_fillzd2scnstz12zc0zzast_varz00(BgL_scnstz00_bglt BgL_new1779z00_30, obj_t BgL_node1776z00_31, obj_t BgL_class1777z00_32, obj_t BgL_loc1778z00_33)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
((((BgL_scnstz00_bglt)CREF(BgL_new1779z00_30))->BgL_nodez00) = ((obj_t)BgL_node1776z00_31), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1779z00_30))->BgL_classz00) = ((obj_t)BgL_class1777z00_32), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1779z00_30))->BgL_locz00) = ((obj_t)BgL_loc1778z00_33), BUNSPEC); 
return BgL_new1779z00_30;} 
}



/* _fill-scnst! */
obj_t BGl__fillzd2scnstz12zc0zzast_varz00(obj_t BgL_envz00_2300, obj_t BgL_new1779z00_2301, obj_t BgL_node1776z00_2302, obj_t BgL_class1777z00_2303, obj_t BgL_loc1778z00_2304)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_auxz00_2820;
BgL_auxz00_2820 = 
BGl_fillzd2scnstz12zc0zzast_varz00(
(BgL_scnstz00_bglt)(BgL_new1779z00_2301), BgL_node1776z00_2302, BgL_class1777z00_2303, BgL_loc1778z00_2304); 
return 
(obj_t)(BgL_auxz00_2820);} } 
}



/* make-scnst */
BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t BgL_node1784z00_34, obj_t BgL_class1785z00_35, obj_t BgL_loc1786z00_36)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_new1787z00_1166;
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_res2278z00_1172;
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_new1789z00_1167;
BgL_new1789z00_1167 = 
((BgL_scnstz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_scnstz00_bgl) ))); 
{ /* Ast/var.scm 116 */
long BgL_arg2079z00_1168;
BgL_arg2079z00_1168 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstz00zzast_varz00); 
{ /* Ast/var.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2826;
BgL_auxz00_2826 = 
(BgL_objectz00_bglt)(BgL_new1789z00_1167); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2826, BgL_arg2079z00_1168); } } 
{ /* Ast/var.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2829;
BgL_auxz00_2829 = 
(BgL_objectz00_bglt)(BgL_new1789z00_1167); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2829, BFALSE); } 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_2832;
BgL_auxz00_2832 = 
(obj_t)(BgL_new1789z00_1167); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2832); } BUNSPEC; 
BgL_res2278z00_1172 = BgL_new1789z00_1167; } 
BgL_new1787z00_1166 = BgL_res2278z00_1172; } 
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_res2279z00_1180;
((((BgL_scnstz00_bglt)CREF(BgL_new1787z00_1166))->BgL_nodez00) = ((obj_t)BgL_node1784z00_34), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1787z00_1166))->BgL_classz00) = ((obj_t)BgL_class1785z00_35), BUNSPEC); 
((((BgL_scnstz00_bglt)CREF(BgL_new1787z00_1166))->BgL_locz00) = ((obj_t)BgL_loc1786z00_36), BUNSPEC); 
BgL_res2279z00_1180 = BgL_new1787z00_1166; BgL_res2279z00_1180; } 
return BgL_new1787z00_1166;} } 
}



/* _make-scnst */
obj_t BGl__makezd2scnstzd2zzast_varz00(obj_t BgL_envz00_2251, obj_t BgL_node1784z00_2252, obj_t BgL_class1785z00_2253, obj_t BgL_loc1786z00_2254)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_auxz00_2838;
BgL_auxz00_2838 = 
BGl_makezd2scnstzd2zzast_varz00(BgL_node1784z00_2252, BgL_class1785z00_2253, BgL_loc1786z00_2254); 
return 
(obj_t)(BgL_auxz00_2838);} } 
}



/* allocate-scnst */
BgL_scnstz00_bglt BGl_allocatezd2scnstzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_new1789z00_1181;
BgL_new1789z00_1181 = 
((BgL_scnstz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_scnstz00_bgl) ))); 
{ /* Ast/var.scm 116 */
long BgL_arg2079z00_1182;
BgL_arg2079z00_1182 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstz00zzast_varz00); 
{ /* Ast/var.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2843;
BgL_auxz00_2843 = 
(BgL_objectz00_bglt)(BgL_new1789z00_1181); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2843, BgL_arg2079z00_1182); } } 
{ /* Ast/var.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2846;
BgL_auxz00_2846 = 
(BgL_objectz00_bglt)(BgL_new1789z00_1181); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2846, BFALSE); } 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_2849;
BgL_auxz00_2849 = 
(obj_t)(BgL_new1789z00_1181); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2849); } BUNSPEC; 
return BgL_new1789z00_1181;} } 
}



/* _allocate-scnst */
obj_t BGl__allocatezd2scnstzd2zzast_varz00(obj_t BgL_envz00_2255)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_auxz00_2852;
BgL_auxz00_2852 = 
BGl_allocatezd2scnstzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_2852);} } 
}



/* scnst-node */
obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt BgL_obj1769z00_37)
{ AN_OBJECT;
{ /* Ast/var.scm 118 */
return 
(((BgL_scnstz00_bglt)CREF(BgL_obj1769z00_37))->BgL_nodez00);} 
}



/* _scnst-node */
obj_t BGl__scnstzd2nodezd2zzast_varz00(obj_t BgL_envz00_2256, obj_t BgL_obj1769z00_2257)
{ AN_OBJECT;
{ /* Ast/var.scm 118 */
return 
BGl_scnstzd2nodezd2zzast_varz00(
(BgL_scnstz00_bglt)(BgL_obj1769z00_2257));} 
}



/* scnst-class-set! */
obj_t BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_obj1772z00_38, obj_t BgL_val1771z00_39)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
return 
((((BgL_scnstz00_bglt)CREF(BgL_obj1772z00_38))->BgL_classz00) = ((obj_t)BgL_val1771z00_39), BUNSPEC);} 
}



/* _scnst-class-set! */
obj_t BGl__scnstzd2classzd2setz12z12zzast_varz00(obj_t BgL_envz00_2260, obj_t BgL_obj1772z00_2261, obj_t BgL_val1771z00_2262)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
return 
BGl_scnstzd2classzd2setz12z12zzast_varz00(
(BgL_scnstz00_bglt)(BgL_obj1772z00_2261), BgL_val1771z00_2262);} 
}



/* scnst-class */
obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt BgL_obj1770z00_40)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
return 
(((BgL_scnstz00_bglt)CREF(BgL_obj1770z00_40))->BgL_classz00);} 
}



/* _scnst-class */
obj_t BGl__scnstzd2classzd2zzast_varz00(obj_t BgL_envz00_2258, obj_t BgL_obj1770z00_2259)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
return 
BGl_scnstzd2classzd2zzast_varz00(
(BgL_scnstz00_bglt)(BgL_obj1770z00_2259));} 
}



/* scnst-loc-set! */
obj_t BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_obj1775z00_41, obj_t BgL_val1774z00_42)
{ AN_OBJECT;
{ /* Ast/var.scm 122 */
return 
((((BgL_scnstz00_bglt)CREF(BgL_obj1775z00_41))->BgL_locz00) = ((obj_t)BgL_val1774z00_42), BUNSPEC);} 
}



/* _scnst-loc-set! */
obj_t BGl__scnstzd2loczd2setz12z12zzast_varz00(obj_t BgL_envz00_2265, obj_t BgL_obj1775z00_2266, obj_t BgL_val1774z00_2267)
{ AN_OBJECT;
{ /* Ast/var.scm 122 */
return 
BGl_scnstzd2loczd2setz12z12zzast_varz00(
(BgL_scnstz00_bglt)(BgL_obj1775z00_2266), BgL_val1774z00_2267);} 
}



/* scnst-loc */
obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt BgL_obj1773z00_43)
{ AN_OBJECT;
{ /* Ast/var.scm 122 */
return 
(((BgL_scnstz00_bglt)CREF(BgL_obj1773z00_43))->BgL_locz00);} 
}



/* _scnst-loc */
obj_t BGl__scnstzd2loczd2zzast_varz00(obj_t BgL_envz00_2263, obj_t BgL_obj1773z00_2264)
{ AN_OBJECT;
{ /* Ast/var.scm 122 */
return 
BGl_scnstzd2loczd2zzast_varz00(
(BgL_scnstz00_bglt)(BgL_obj1773z00_2264));} 
}



/* svar? */
bool_t BGl_svarzf3zf3zzast_varz00(obj_t BgL_obj1768z00_44)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1768z00_44, BGl_svarz00zzast_varz00);} 
}



/* _svar? */
obj_t BGl__svarzf3zf3zzast_varz00(obj_t BgL_envz00_2305, obj_t BgL_obj1768z00_2306)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
bool_t BgL_auxz00_2871;
BgL_auxz00_2871 = 
BGl_svarzf3zf3zzast_varz00(BgL_obj1768z00_2306); 
return 
BBOOL(BgL_auxz00_2871);} } 
}



/* fill-svar! */
BgL_svarz00_bglt BGl_fillzd2svarz12zc0zzast_varz00(BgL_svarz00_bglt BgL_new1755z00_48, obj_t BgL_loc1754z00_49)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
((((BgL_svarz00_bglt)CREF(BgL_new1755z00_48))->BgL_locz00) = ((obj_t)BgL_loc1754z00_49), BUNSPEC); 
return BgL_new1755z00_48;} 
}



/* _fill-svar! */
obj_t BGl__fillzd2svarz12zc0zzast_varz00(obj_t BgL_envz00_2307, obj_t BgL_new1755z00_2308, obj_t BgL_loc1754z00_2309)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_auxz00_2875;
BgL_auxz00_2875 = 
BGl_fillzd2svarz12zc0zzast_varz00(
(BgL_svarz00_bglt)(BgL_new1755z00_2308), BgL_loc1754z00_2309); 
return 
(obj_t)(BgL_auxz00_2875);} } 
}



/* make-svar */
BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t BgL_loc1758z00_50)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_new1759z00_1187;
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_res2280z00_1193;
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_new1761z00_1188;
BgL_new1761z00_1188 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Ast/var.scm 112 */
long BgL_arg2080z00_1189;
BgL_arg2080z00_1189 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Ast/var.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2881;
BgL_auxz00_2881 = 
(BgL_objectz00_bglt)(BgL_new1761z00_1188); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2881, BgL_arg2080z00_1189); } } 
{ /* Ast/var.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2884;
BgL_auxz00_2884 = 
(BgL_objectz00_bglt)(BgL_new1761z00_1188); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2884, BFALSE); } 
{ /* Ast/var.scm 112 */
obj_t BgL_auxz00_2887;
BgL_auxz00_2887 = 
(obj_t)(BgL_new1761z00_1188); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2887); } BUNSPEC; 
BgL_res2280z00_1193 = BgL_new1761z00_1188; } 
BgL_new1759z00_1187 = BgL_res2280z00_1193; } 
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_res2281z00_1197;
((((BgL_svarz00_bglt)CREF(BgL_new1759z00_1187))->BgL_locz00) = ((obj_t)BgL_loc1758z00_50), BUNSPEC); 
BgL_res2281z00_1197 = BgL_new1759z00_1187; BgL_res2281z00_1197; } 
return BgL_new1759z00_1187;} } 
}



/* _make-svar */
obj_t BGl__makezd2svarzd2zzast_varz00(obj_t BgL_envz00_2243, obj_t BgL_loc1758z00_2244)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_auxz00_2891;
BgL_auxz00_2891 = 
BGl_makezd2svarzd2zzast_varz00(BgL_loc1758z00_2244); 
return 
(obj_t)(BgL_auxz00_2891);} } 
}



/* allocate-svar */
BgL_svarz00_bglt BGl_allocatezd2svarzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_new1761z00_1198;
BgL_new1761z00_1198 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Ast/var.scm 112 */
long BgL_arg2080z00_1199;
BgL_arg2080z00_1199 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Ast/var.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2896;
BgL_auxz00_2896 = 
(BgL_objectz00_bglt)(BgL_new1761z00_1198); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2896, BgL_arg2080z00_1199); } } 
{ /* Ast/var.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2899;
BgL_auxz00_2899 = 
(BgL_objectz00_bglt)(BgL_new1761z00_1198); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2899, BFALSE); } 
{ /* Ast/var.scm 112 */
obj_t BgL_auxz00_2902;
BgL_auxz00_2902 = 
(obj_t)(BgL_new1761z00_1198); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2902); } BUNSPEC; 
return BgL_new1761z00_1198;} } 
}



/* _allocate-svar */
obj_t BGl__allocatezd2svarzd2zzast_varz00(obj_t BgL_envz00_2245)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_auxz00_2905;
BgL_auxz00_2905 = 
BGl_allocatezd2svarzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_2905);} } 
}



/* svar-loc-set! */
obj_t BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt BgL_obj1753z00_51, obj_t BgL_val1752z00_52)
{ AN_OBJECT;
{ /* Ast/var.scm 114 */
return 
((((BgL_svarz00_bglt)CREF(BgL_obj1753z00_51))->BgL_locz00) = ((obj_t)BgL_val1752z00_52), BUNSPEC);} 
}



/* _svar-loc-set! */
obj_t BGl__svarzd2loczd2setz12z12zzast_varz00(obj_t BgL_envz00_2248, obj_t BgL_obj1753z00_2249, obj_t BgL_val1752z00_2250)
{ AN_OBJECT;
{ /* Ast/var.scm 114 */
return 
BGl_svarzd2loczd2setz12z12zzast_varz00(
(BgL_svarz00_bglt)(BgL_obj1753z00_2249), BgL_val1752z00_2250);} 
}



/* svar-loc */
obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt BgL_obj1751z00_53)
{ AN_OBJECT;
{ /* Ast/var.scm 114 */
return 
(((BgL_svarz00_bglt)CREF(BgL_obj1751z00_53))->BgL_locz00);} 
}



/* _svar-loc */
obj_t BGl__svarzd2loczd2zzast_varz00(obj_t BgL_envz00_2246, obj_t BgL_obj1751z00_2247)
{ AN_OBJECT;
{ /* Ast/var.scm 114 */
return 
BGl_svarzd2loczd2zzast_varz00(
(BgL_svarz00_bglt)(BgL_obj1751z00_2247));} 
}



/* cfun? */
bool_t BGl_cfunzf3zf3zzast_varz00(obj_t BgL_obj1750z00_54)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1750z00_54, BGl_cfunz00zzast_varz00);} 
}



/* _cfun? */
obj_t BGl__cfunzf3zf3zzast_varz00(obj_t BgL_envz00_2310, obj_t BgL_obj1750z00_2311)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
bool_t BgL_auxz00_2915;
BgL_auxz00_2915 = 
BGl_cfunzf3zf3zzast_varz00(BgL_obj1750z00_2311); 
return 
BBOOL(BgL_auxz00_2915);} } 
}



/* fill-cfun! */
BgL_cfunz00_bglt BGl_fillzd2cfunz12zc0zzast_varz00(BgL_cfunz00_bglt BgL_new1683z00_58, long BgL_arity1673z00_59, obj_t BgL_sidezd2effectzf31674z21_60, obj_t BgL_predicatezd2of1675zd2_61, obj_t BgL_stackzd2allocator1676zd2_62, bool_t BgL_topzf31677zf3_63, obj_t BgL_thezd2closure1678zd2_64, obj_t BgL_argszd2type1679zd2_65, bool_t BgL_macrozf31680zf3_66, bool_t BgL_infixzf31681zf3_67, obj_t BgL_method1682z00_68)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_arityz00) = ((long)BgL_arity1673z00_59), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31674z21_60), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1675zd2_61), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1676zd2_62), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31677zf3_63), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1678zd2_64), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_argszd2typezd2) = ((obj_t)BgL_argszd2type1679zd2_65), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_macrozf3zf3) = ((bool_t)BgL_macrozf31680zf3_66), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_infixzf3zf3) = ((bool_t)BgL_infixzf31681zf3_67), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1683z00_58))->BgL_methodz00) = ((obj_t)BgL_method1682z00_68), BUNSPEC); 
return BgL_new1683z00_58;} 
}



/* _fill-cfun! */
obj_t BGl__fillzd2cfunz12zc0zzast_varz00(obj_t BgL_envz00_2312, obj_t BgL_new1683z00_2313, obj_t BgL_arity1673z00_2314, obj_t BgL_sidezd2effectzf31674z21_2315, obj_t BgL_predicatezd2of1675zd2_2316, obj_t BgL_stackzd2allocator1676zd2_2317, obj_t BgL_topzf31677zf3_2318, obj_t BgL_thezd2closure1678zd2_2319, obj_t BgL_argszd2type1679zd2_2320, obj_t BgL_macrozf31680zf3_2321, obj_t BgL_infixzf31681zf3_2322, obj_t BgL_method1682z00_2323)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_auxz00_2928;
BgL_auxz00_2928 = 
BGl_fillzd2cfunz12zc0zzast_varz00(
(BgL_cfunz00_bglt)(BgL_new1683z00_2313), 
(long)CINT(BgL_arity1673z00_2314), BgL_sidezd2effectzf31674z21_2315, BgL_predicatezd2of1675zd2_2316, BgL_stackzd2allocator1676zd2_2317, 
CBOOL(BgL_topzf31677zf3_2318), BgL_thezd2closure1678zd2_2319, BgL_argszd2type1679zd2_2320, 
CBOOL(BgL_macrozf31680zf3_2321), 
CBOOL(BgL_infixzf31681zf3_2322), BgL_method1682z00_2323); 
return 
(obj_t)(BgL_auxz00_2928);} } 
}



/* make-cfun */
BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long BgL_arity1695z00_69, obj_t BgL_sidezd2effectzf31696z21_70, obj_t BgL_predicatezd2of1697zd2_71, obj_t BgL_stackzd2allocator1698zd2_72, bool_t BgL_topzf31699zf3_73, obj_t BgL_thezd2closure1700zd2_74, obj_t BgL_argszd2type1701zd2_75, bool_t BgL_macrozf31702zf3_76, bool_t BgL_infixzf31703zf3_77, obj_t BgL_method1704z00_78)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_new1705z00_1213;
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_res2282z00_1219;
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_new1707z00_1214;
BgL_new1707z00_1214 = 
((BgL_cfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cfunz00_bgl) ))); 
{ /* Ast/var.scm 102 */
long BgL_arg2081z00_1215;
BgL_arg2081z00_1215 = 
BGl_classzd2numzd2zz__objectz00(BGl_cfunz00zzast_varz00); 
{ /* Ast/var.scm 102 */
BgL_objectz00_bglt BgL_auxz00_2938;
BgL_auxz00_2938 = 
(BgL_objectz00_bglt)(BgL_new1707z00_1214); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2938, BgL_arg2081z00_1215); } } 
{ /* Ast/var.scm 102 */
BgL_objectz00_bglt BgL_auxz00_2941;
BgL_auxz00_2941 = 
(BgL_objectz00_bglt)(BgL_new1707z00_1214); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2941, BFALSE); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_2944;
BgL_auxz00_2944 = 
(obj_t)(BgL_new1707z00_1214); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2944); } BUNSPEC; 
BgL_res2282z00_1219 = BgL_new1707z00_1214; } 
BgL_new1705z00_1213 = BgL_res2282z00_1219; } 
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_res2283z00_1241;
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_arityz00) = ((long)BgL_arity1695z00_69), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31696z21_70), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1697zd2_71), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1698zd2_72), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31699zf3_73), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1700zd2_74), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_argszd2typezd2) = ((obj_t)BgL_argszd2type1701zd2_75), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_macrozf3zf3) = ((bool_t)BgL_macrozf31702zf3_76), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_infixzf3zf3) = ((bool_t)BgL_infixzf31703zf3_77), BUNSPEC); 
((((BgL_cfunz00_bglt)CREF(BgL_new1705z00_1213))->BgL_methodz00) = ((obj_t)BgL_method1704z00_78), BUNSPEC); 
BgL_res2283z00_1241 = BgL_new1705z00_1213; BgL_res2283z00_1241; } 
return BgL_new1705z00_1213;} } 
}



/* _make-cfun */
obj_t BGl__makezd2cfunzd2zzast_varz00(obj_t BgL_envz00_2217, obj_t BgL_arity1695z00_2218, obj_t BgL_sidezd2effectzf31696z21_2219, obj_t BgL_predicatezd2of1697zd2_2220, obj_t BgL_stackzd2allocator1698zd2_2221, obj_t BgL_topzf31699zf3_2222, obj_t BgL_thezd2closure1700zd2_2223, obj_t BgL_argszd2type1701zd2_2224, obj_t BgL_macrozf31702zf3_2225, obj_t BgL_infixzf31703zf3_2226, obj_t BgL_method1704z00_2227)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_auxz00_2957;
BgL_auxz00_2957 = 
BGl_makezd2cfunzd2zzast_varz00(
(long)CINT(BgL_arity1695z00_2218), BgL_sidezd2effectzf31696z21_2219, BgL_predicatezd2of1697zd2_2220, BgL_stackzd2allocator1698zd2_2221, 
CBOOL(BgL_topzf31699zf3_2222), BgL_thezd2closure1700zd2_2223, BgL_argszd2type1701zd2_2224, 
CBOOL(BgL_macrozf31702zf3_2225), 
CBOOL(BgL_infixzf31703zf3_2226), BgL_method1704z00_2227); 
return 
(obj_t)(BgL_auxz00_2957);} } 
}



/* allocate-cfun */
BgL_cfunz00_bglt BGl_allocatezd2cfunzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_new1707z00_1242;
BgL_new1707z00_1242 = 
((BgL_cfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_cfunz00_bgl) ))); 
{ /* Ast/var.scm 102 */
long BgL_arg2081z00_1243;
BgL_arg2081z00_1243 = 
BGl_classzd2numzd2zz__objectz00(BGl_cfunz00zzast_varz00); 
{ /* Ast/var.scm 102 */
BgL_objectz00_bglt BgL_auxz00_2966;
BgL_auxz00_2966 = 
(BgL_objectz00_bglt)(BgL_new1707z00_1242); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2966, BgL_arg2081z00_1243); } } 
{ /* Ast/var.scm 102 */
BgL_objectz00_bglt BgL_auxz00_2969;
BgL_auxz00_2969 = 
(BgL_objectz00_bglt)(BgL_new1707z00_1242); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2969, BFALSE); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_2972;
BgL_auxz00_2972 = 
(obj_t)(BgL_new1707z00_1242); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2972); } BUNSPEC; 
return BgL_new1707z00_1242;} } 
}



/* _allocate-cfun */
obj_t BGl__allocatezd2cfunzd2zzast_varz00(obj_t BgL_envz00_2228)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_auxz00_2975;
BgL_auxz00_2975 = 
BGl_allocatezd2cfunzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_2975);} } 
}



/* cfun-args-type */
obj_t BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt BgL_obj1665z00_95)
{ AN_OBJECT;
{ /* Ast/var.scm 104 */
return 
(((BgL_cfunz00_bglt)CREF(BgL_obj1665z00_95))->BgL_argszd2typezd2);} 
}



/* _cfun-args-type */
obj_t BGl__cfunzd2argszd2typez00zzast_varz00(obj_t BgL_envz00_2229, obj_t BgL_obj1665z00_2230)
{ AN_OBJECT;
{ /* Ast/var.scm 104 */
return 
BGl_cfunzd2argszd2typez00zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1665z00_2230));} 
}



/* cfun-macro? */
bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt BgL_obj1666z00_96)
{ AN_OBJECT;
{ /* Ast/var.scm 106 */
return 
(((BgL_cfunz00_bglt)CREF(BgL_obj1666z00_96))->BgL_macrozf3zf3);} 
}



/* _cfun-macro? */
obj_t BGl__cfunzd2macrozf3z21zzast_varz00(obj_t BgL_envz00_2231, obj_t BgL_obj1666z00_2232)
{ AN_OBJECT;
{ /* Ast/var.scm 106 */
{ /* Ast/var.scm 106 */
bool_t BgL_auxz00_2982;
BgL_auxz00_2982 = 
BGl_cfunzd2macrozf3z21zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1666z00_2232)); 
return 
BBOOL(BgL_auxz00_2982);} } 
}



/* cfun-infix?-set! */
obj_t BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_obj1669z00_97, bool_t BgL_val1668z00_98)
{ AN_OBJECT;
{ /* Ast/var.scm 108 */
return 
((((BgL_cfunz00_bglt)CREF(BgL_obj1669z00_97))->BgL_infixzf3zf3) = ((bool_t)BgL_val1668z00_98), BUNSPEC);} 
}



/* _cfun-infix?-set! */
obj_t BGl__cfunzd2infixzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2235, obj_t BgL_obj1669z00_2236, obj_t BgL_val1668z00_2237)
{ AN_OBJECT;
{ /* Ast/var.scm 108 */
return 
BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1669z00_2236), 
CBOOL(BgL_val1668z00_2237));} 
}



/* cfun-infix? */
bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt BgL_obj1667z00_99)
{ AN_OBJECT;
{ /* Ast/var.scm 108 */
return 
(((BgL_cfunz00_bglt)CREF(BgL_obj1667z00_99))->BgL_infixzf3zf3);} 
}



/* _cfun-infix? */
obj_t BGl__cfunzd2infixzf3z21zzast_varz00(obj_t BgL_envz00_2233, obj_t BgL_obj1667z00_2234)
{ AN_OBJECT;
{ /* Ast/var.scm 108 */
{ /* Ast/var.scm 108 */
bool_t BgL_auxz00_2991;
BgL_auxz00_2991 = 
BGl_cfunzd2infixzf3z21zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1667z00_2234)); 
return 
BBOOL(BgL_auxz00_2991);} } 
}



/* cfun-method-set! */
obj_t BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_obj1672z00_100, obj_t BgL_val1671z00_101)
{ AN_OBJECT;
{ /* Ast/var.scm 110 */
return 
((((BgL_cfunz00_bglt)CREF(BgL_obj1672z00_100))->BgL_methodz00) = ((obj_t)BgL_val1671z00_101), BUNSPEC);} 
}



/* _cfun-method-set! */
obj_t BGl__cfunzd2methodzd2setz12z12zzast_varz00(obj_t BgL_envz00_2240, obj_t BgL_obj1672z00_2241, obj_t BgL_val1671z00_2242)
{ AN_OBJECT;
{ /* Ast/var.scm 110 */
return 
BGl_cfunzd2methodzd2setz12z12zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1672z00_2241), BgL_val1671z00_2242);} 
}



/* cfun-method */
obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt BgL_obj1670z00_102)
{ AN_OBJECT;
{ /* Ast/var.scm 110 */
return 
(((BgL_cfunz00_bglt)CREF(BgL_obj1670z00_102))->BgL_methodz00);} 
}



/* _cfun-method */
obj_t BGl__cfunzd2methodzd2zzast_varz00(obj_t BgL_envz00_2238, obj_t BgL_obj1670z00_2239)
{ AN_OBJECT;
{ /* Ast/var.scm 110 */
return 
BGl_cfunzd2methodzd2zzast_varz00(
(BgL_cfunz00_bglt)(BgL_obj1670z00_2239));} 
}



/* sfun? */
bool_t BGl_sfunzf3zf3zzast_varz00(obj_t BgL_obj1647z00_103)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1647z00_103, BGl_sfunz00zzast_varz00);} 
}



/* _sfun? */
obj_t BGl__sfunzf3zf3zzast_varz00(obj_t BgL_envz00_2324, obj_t BgL_obj1647z00_2325)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
bool_t BgL_auxz00_3002;
BgL_auxz00_3002 = 
BGl_sfunzf3zf3zzast_varz00(BgL_obj1647z00_2325); 
return 
BBOOL(BgL_auxz00_3002);} } 
}



/* fill-sfun! */
BgL_sfunz00_bglt BGl_fillzd2sfunz12zc0zzast_varz00(BgL_sfunz00_bglt BgL_new1568z00_107, long BgL_arity1556z00_108, obj_t BgL_sidezd2effectzf31557z21_109, obj_t BgL_predicatezd2of1558zd2_110, obj_t BgL_stackzd2allocator1559zd2_111, bool_t BgL_topzf31560zf3_112, obj_t BgL_thezd2closure1561zd2_113, obj_t BgL_property1562z00_114, obj_t BgL_args1563z00_115, obj_t BgL_body1564z00_116, obj_t BgL_class1565z00_117, obj_t BgL_dssslzd2keywords1566zd2_118, obj_t BgL_loc1567z00_119)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_arityz00) = ((long)BgL_arity1556z00_108), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31557z21_109), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1558zd2_110), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1559zd2_111), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31560zf3_112), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1561zd2_113), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_propertyz00) = ((obj_t)BgL_property1562z00_114), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_argsz00) = ((obj_t)BgL_args1563z00_115), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_bodyz00) = ((obj_t)BgL_body1564z00_116), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_classz00) = ((obj_t)BgL_class1565z00_117), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_dssslzd2keywords1566zd2_118), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1568z00_107))->BgL_locz00) = ((obj_t)BgL_loc1567z00_119), BUNSPEC); 
return BgL_new1568z00_107;} 
}



/* _fill-sfun! */
obj_t BGl__fillzd2sfunz12zc0zzast_varz00(obj_t BgL_envz00_2326, obj_t BgL_new1568z00_2327, obj_t BgL_arity1556z00_2328, obj_t BgL_sidezd2effectzf31557z21_2329, obj_t BgL_predicatezd2of1558zd2_2330, obj_t BgL_stackzd2allocator1559zd2_2331, obj_t BgL_topzf31560zf3_2332, obj_t BgL_thezd2closure1561zd2_2333, obj_t BgL_property1562z00_2334, obj_t BgL_args1563z00_2335, obj_t BgL_body1564z00_2336, obj_t BgL_class1565z00_2337, obj_t BgL_dssslzd2keywords1566zd2_2338, obj_t BgL_loc1567z00_2339)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_auxz00_3017;
BgL_auxz00_3017 = 
BGl_fillzd2sfunz12zc0zzast_varz00(
(BgL_sfunz00_bglt)(BgL_new1568z00_2327), 
(long)CINT(BgL_arity1556z00_2328), BgL_sidezd2effectzf31557z21_2329, BgL_predicatezd2of1558zd2_2330, BgL_stackzd2allocator1559zd2_2331, 
CBOOL(BgL_topzf31560zf3_2332), BgL_thezd2closure1561zd2_2333, BgL_property1562z00_2334, BgL_args1563z00_2335, BgL_body1564z00_2336, BgL_class1565z00_2337, BgL_dssslzd2keywords1566zd2_2338, BgL_loc1567z00_2339); 
return 
(obj_t)(BgL_auxz00_3017);} } 
}



/* make-sfun */
BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long BgL_arity1582z00_120, obj_t BgL_sidezd2effectzf31583z21_121, obj_t BgL_predicatezd2of1584zd2_122, obj_t BgL_stackzd2allocator1585zd2_123, bool_t BgL_topzf31586zf3_124, obj_t BgL_thezd2closure1587zd2_125, obj_t BgL_property1588z00_126, obj_t BgL_args1589z00_127, obj_t BgL_body1590z00_128, obj_t BgL_class1591z00_129, obj_t BgL_dssslzd2keywords1592zd2_130, obj_t BgL_loc1593z00_131)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_new1594z00_1259;
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_res2284z00_1265;
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_new1596z00_1260;
BgL_new1596z00_1260 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Ast/var.scm 85 */
long BgL_arg2082z00_1261;
BgL_arg2082z00_1261 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Ast/var.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3025;
BgL_auxz00_3025 = 
(BgL_objectz00_bglt)(BgL_new1596z00_1260); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3025, BgL_arg2082z00_1261); } } 
{ /* Ast/var.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3028;
BgL_auxz00_3028 = 
(BgL_objectz00_bglt)(BgL_new1596z00_1260); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3028, BFALSE); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_3031;
BgL_auxz00_3031 = 
(obj_t)(BgL_new1596z00_1260); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3031); } BUNSPEC; 
BgL_res2284z00_1265 = BgL_new1596z00_1260; } 
BgL_new1594z00_1259 = BgL_res2284z00_1265; } 
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_res2285z00_1291;
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_arityz00) = ((long)BgL_arity1582z00_120), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31583z21_121), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1584zd2_122), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1585zd2_123), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31586zf3_124), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1587zd2_125), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_propertyz00) = ((obj_t)BgL_property1588z00_126), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_argsz00) = ((obj_t)BgL_args1589z00_127), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_bodyz00) = ((obj_t)BgL_body1590z00_128), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_classz00) = ((obj_t)BgL_class1591z00_129), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_dssslzd2keywords1592zd2_130), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1594z00_1259))->BgL_locz00) = ((obj_t)BgL_loc1593z00_131), BUNSPEC); 
BgL_res2285z00_1291 = BgL_new1594z00_1259; BgL_res2285z00_1291; } 
return BgL_new1594z00_1259;} } 
}



/* _make-sfun */
obj_t BGl__makezd2sfunzd2zzast_varz00(obj_t BgL_envz00_2173, obj_t BgL_arity1582z00_2174, obj_t BgL_sidezd2effectzf31583z21_2175, obj_t BgL_predicatezd2of1584zd2_2176, obj_t BgL_stackzd2allocator1585zd2_2177, obj_t BgL_topzf31586zf3_2178, obj_t BgL_thezd2closure1587zd2_2179, obj_t BgL_property1588z00_2180, obj_t BgL_args1589z00_2181, obj_t BgL_body1590z00_2182, obj_t BgL_class1591z00_2183, obj_t BgL_dssslzd2keywords1592zd2_2184, obj_t BgL_loc1593z00_2185)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_auxz00_3046;
BgL_auxz00_3046 = 
BGl_makezd2sfunzd2zzast_varz00(
(long)CINT(BgL_arity1582z00_2174), BgL_sidezd2effectzf31583z21_2175, BgL_predicatezd2of1584zd2_2176, BgL_stackzd2allocator1585zd2_2177, 
CBOOL(BgL_topzf31586zf3_2178), BgL_thezd2closure1587zd2_2179, BgL_property1588z00_2180, BgL_args1589z00_2181, BgL_body1590z00_2182, BgL_class1591z00_2183, BgL_dssslzd2keywords1592zd2_2184, BgL_loc1593z00_2185); 
return 
(obj_t)(BgL_auxz00_3046);} } 
}



/* allocate-sfun */
BgL_sfunz00_bglt BGl_allocatezd2sfunzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_new1596z00_1292;
BgL_new1596z00_1292 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Ast/var.scm 85 */
long BgL_arg2082z00_1293;
BgL_arg2082z00_1293 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Ast/var.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3053;
BgL_auxz00_3053 = 
(BgL_objectz00_bglt)(BgL_new1596z00_1292); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3053, BgL_arg2082z00_1293); } } 
{ /* Ast/var.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3056;
BgL_auxz00_3056 = 
(BgL_objectz00_bglt)(BgL_new1596z00_1292); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3056, BFALSE); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_3059;
BgL_auxz00_3059 = 
(obj_t)(BgL_new1596z00_1292); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3059); } BUNSPEC; 
return BgL_new1596z00_1292;} } 
}



/* _allocate-sfun */
obj_t BGl__allocatezd2sfunzd2zzast_varz00(obj_t BgL_envz00_2186)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_auxz00_3062;
BgL_auxz00_3062 = 
BGl_allocatezd2sfunzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3062);} } 
}



/* sfun-property-set! */
obj_t BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_obj1540z00_148, obj_t BgL_val1539z00_149)
{ AN_OBJECT;
{ /* Ast/var.scm 87 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1540z00_148))->BgL_propertyz00) = ((obj_t)BgL_val1539z00_149), BUNSPEC);} 
}



/* _sfun-property-set! */
obj_t BGl__sfunzd2propertyzd2setz12z12zzast_varz00(obj_t BgL_envz00_2189, obj_t BgL_obj1540z00_2190, obj_t BgL_val1539z00_2191)
{ AN_OBJECT;
{ /* Ast/var.scm 87 */
return 
BGl_sfunzd2propertyzd2setz12z12zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1540z00_2190), BgL_val1539z00_2191);} 
}



/* sfun-property */
obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt BgL_obj1538z00_150)
{ AN_OBJECT;
{ /* Ast/var.scm 87 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1538z00_150))->BgL_propertyz00);} 
}



/* _sfun-property */
obj_t BGl__sfunzd2propertyzd2zzast_varz00(obj_t BgL_envz00_2187, obj_t BgL_obj1538z00_2188)
{ AN_OBJECT;
{ /* Ast/var.scm 87 */
return 
BGl_sfunzd2propertyzd2zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1538z00_2188));} 
}



/* sfun-args-set! */
obj_t BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_obj1543z00_151, obj_t BgL_val1542z00_152)
{ AN_OBJECT;
{ /* Ast/var.scm 89 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1543z00_151))->BgL_argsz00) = ((obj_t)BgL_val1542z00_152), BUNSPEC);} 
}



/* _sfun-args-set! */
obj_t BGl__sfunzd2argszd2setz12z12zzast_varz00(obj_t BgL_envz00_2194, obj_t BgL_obj1543z00_2195, obj_t BgL_val1542z00_2196)
{ AN_OBJECT;
{ /* Ast/var.scm 89 */
return 
BGl_sfunzd2argszd2setz12z12zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1543z00_2195), BgL_val1542z00_2196);} 
}



/* sfun-args */
obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt BgL_obj1541z00_153)
{ AN_OBJECT;
{ /* Ast/var.scm 89 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1541z00_153))->BgL_argsz00);} 
}



/* _sfun-args */
obj_t BGl__sfunzd2argszd2zzast_varz00(obj_t BgL_envz00_2192, obj_t BgL_obj1541z00_2193)
{ AN_OBJECT;
{ /* Ast/var.scm 89 */
return 
BGl_sfunzd2argszd2zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1541z00_2193));} 
}



/* sfun-body-set! */
obj_t BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_obj1546z00_154, obj_t BgL_val1545z00_155)
{ AN_OBJECT;
{ /* Ast/var.scm 91 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1546z00_154))->BgL_bodyz00) = ((obj_t)BgL_val1545z00_155), BUNSPEC);} 
}



/* _sfun-body-set! */
obj_t BGl__sfunzd2bodyzd2setz12z12zzast_varz00(obj_t BgL_envz00_2199, obj_t BgL_obj1546z00_2200, obj_t BgL_val1545z00_2201)
{ AN_OBJECT;
{ /* Ast/var.scm 91 */
return 
BGl_sfunzd2bodyzd2setz12z12zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1546z00_2200), BgL_val1545z00_2201);} 
}



/* sfun-body */
obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt BgL_obj1544z00_156)
{ AN_OBJECT;
{ /* Ast/var.scm 91 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1544z00_156))->BgL_bodyz00);} 
}



/* _sfun-body */
obj_t BGl__sfunzd2bodyzd2zzast_varz00(obj_t BgL_envz00_2197, obj_t BgL_obj1544z00_2198)
{ AN_OBJECT;
{ /* Ast/var.scm 91 */
return 
BGl_sfunzd2bodyzd2zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1544z00_2198));} 
}



/* sfun-class-set! */
obj_t BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_obj1549z00_157, obj_t BgL_val1548z00_158)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1549z00_157))->BgL_classz00) = ((obj_t)BgL_val1548z00_158), BUNSPEC);} 
}



/* _sfun-class-set! */
obj_t BGl__sfunzd2classzd2setz12z12zzast_varz00(obj_t BgL_envz00_2204, obj_t BgL_obj1549z00_2205, obj_t BgL_val1548z00_2206)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
return 
BGl_sfunzd2classzd2setz12z12zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1549z00_2205), BgL_val1548z00_2206);} 
}



/* sfun-class */
obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt BgL_obj1547z00_159)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1547z00_159))->BgL_classz00);} 
}



/* _sfun-class */
obj_t BGl__sfunzd2classzd2zzast_varz00(obj_t BgL_envz00_2202, obj_t BgL_obj1547z00_2203)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
return 
BGl_sfunzd2classzd2zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1547z00_2203));} 
}



/* sfun-dsssl-keywords-set! */
obj_t BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt BgL_obj1552z00_160, obj_t BgL_val1551z00_161)
{ AN_OBJECT;
{ /* Ast/var.scm 95 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1552z00_160))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_val1551z00_161), BUNSPEC);} 
}



/* _sfun-dsssl-keywords-set! */
obj_t BGl__sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(obj_t BgL_envz00_2209, obj_t BgL_obj1552z00_2210, obj_t BgL_val1551z00_2211)
{ AN_OBJECT;
{ /* Ast/var.scm 95 */
return 
BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1552z00_2210), BgL_val1551z00_2211);} 
}



/* sfun-dsssl-keywords */
obj_t BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt BgL_obj1550z00_162)
{ AN_OBJECT;
{ /* Ast/var.scm 95 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1550z00_162))->BgL_dssslzd2keywordszd2);} 
}



/* _sfun-dsssl-keywords */
obj_t BGl__sfunzd2dssslzd2keywordsz00zzast_varz00(obj_t BgL_envz00_2207, obj_t BgL_obj1550z00_2208)
{ AN_OBJECT;
{ /* Ast/var.scm 95 */
return 
BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1550z00_2208));} 
}



/* sfun-loc-set! */
obj_t BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_obj1555z00_163, obj_t BgL_val1554z00_164)
{ AN_OBJECT;
{ /* Ast/var.scm 100 */
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1555z00_163))->BgL_locz00) = ((obj_t)BgL_val1554z00_164), BUNSPEC);} 
}



/* _sfun-loc-set! */
obj_t BGl__sfunzd2loczd2setz12z12zzast_varz00(obj_t BgL_envz00_2214, obj_t BgL_obj1555z00_2215, obj_t BgL_val1554z00_2216)
{ AN_OBJECT;
{ /* Ast/var.scm 100 */
return 
BGl_sfunzd2loczd2setz12z12zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1555z00_2215), BgL_val1554z00_2216);} 
}



/* sfun-loc */
obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt BgL_obj1553z00_165)
{ AN_OBJECT;
{ /* Ast/var.scm 100 */
return 
(((BgL_sfunz00_bglt)CREF(BgL_obj1553z00_165))->BgL_locz00);} 
}



/* _sfun-loc */
obj_t BGl__sfunzd2loczd2zzast_varz00(obj_t BgL_envz00_2212, obj_t BgL_obj1553z00_2213)
{ AN_OBJECT;
{ /* Ast/var.scm 100 */
return 
BGl_sfunzd2loczd2zzast_varz00(
(BgL_sfunz00_bglt)(BgL_obj1553z00_2213));} 
}



/* fun? */
bool_t BGl_funzf3zf3zzast_varz00(obj_t BgL_obj1521z00_166)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1521z00_166, BGl_funz00zzast_varz00);} 
}



/* _fun? */
obj_t BGl__funzf3zf3zzast_varz00(obj_t BgL_envz00_2340, obj_t BgL_obj1521z00_2341)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
bool_t BgL_auxz00_3102;
BgL_auxz00_3102 = 
BGl_funzf3zf3zzast_varz00(BgL_obj1521z00_2341); 
return 
BBOOL(BgL_auxz00_3102);} } 
}



/* fill-fun! */
BgL_funz00_bglt BGl_fillzd2funz12zc0zzast_varz00(BgL_funz00_bglt BgL_new1478z00_170, long BgL_arity1472z00_171, obj_t BgL_sidezd2effectzf31473z21_172, obj_t BgL_predicatezd2of1474zd2_173, obj_t BgL_stackzd2allocator1475zd2_174, bool_t BgL_topzf31476zf3_175, obj_t BgL_thezd2closure1477zd2_176)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_arityz00) = ((long)BgL_arity1472z00_171), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31473z21_172), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1474zd2_173), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1475zd2_174), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31476zf3_175), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1478z00_170))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1477zd2_176), BUNSPEC); 
return BgL_new1478z00_170;} 
}



/* _fill-fun! */
obj_t BGl__fillzd2funz12zc0zzast_varz00(obj_t BgL_envz00_2342, obj_t BgL_new1478z00_2343, obj_t BgL_arity1472z00_2344, obj_t BgL_sidezd2effectzf31473z21_2345, obj_t BgL_predicatezd2of1474zd2_2346, obj_t BgL_stackzd2allocator1475zd2_2347, obj_t BgL_topzf31476zf3_2348, obj_t BgL_thezd2closure1477zd2_2349)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_auxz00_3111;
BgL_auxz00_3111 = 
BGl_fillzd2funz12zc0zzast_varz00(
(BgL_funz00_bglt)(BgL_new1478z00_2343), 
(long)CINT(BgL_arity1472z00_2344), BgL_sidezd2effectzf31473z21_2345, BgL_predicatezd2of1474zd2_2346, BgL_stackzd2allocator1475zd2_2347, 
CBOOL(BgL_topzf31476zf3_2348), BgL_thezd2closure1477zd2_2349); 
return 
(obj_t)(BgL_auxz00_3111);} } 
}



/* make-fun */
BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long BgL_arity1486z00_177, obj_t BgL_sidezd2effectzf31487z21_178, obj_t BgL_predicatezd2of1488zd2_179, obj_t BgL_stackzd2allocator1489zd2_180, bool_t BgL_topzf31490zf3_181, obj_t BgL_thezd2closure1491zd2_182)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_new1492z00_1303;
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_res2286z00_1309;
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_new1494z00_1304;
BgL_new1494z00_1304 = 
((BgL_funz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funz00_bgl) ))); 
{ /* Ast/var.scm 71 */
long BgL_arg2083z00_1305;
BgL_arg2083z00_1305 = 
BGl_classzd2numzd2zz__objectz00(BGl_funz00zzast_varz00); 
{ /* Ast/var.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3119;
BgL_auxz00_3119 = 
(BgL_objectz00_bglt)(BgL_new1494z00_1304); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3119, BgL_arg2083z00_1305); } } 
{ /* Ast/var.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3122;
BgL_auxz00_3122 = 
(BgL_objectz00_bglt)(BgL_new1494z00_1304); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3122, BFALSE); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_3125;
BgL_auxz00_3125 = 
(obj_t)(BgL_new1494z00_1304); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3125); } BUNSPEC; 
BgL_res2286z00_1309 = BgL_new1494z00_1304; } 
BgL_new1492z00_1303 = BgL_res2286z00_1309; } 
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_res2287z00_1323;
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_arityz00) = ((long)BgL_arity1486z00_177), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31487z21_178), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of1488zd2_179), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator1489zd2_180), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_topzf3zf3) = ((bool_t)BgL_topzf31490zf3_181), BUNSPEC); 
((((BgL_funz00_bglt)CREF(BgL_new1492z00_1303))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure1491zd2_182), BUNSPEC); 
BgL_res2287z00_1323 = BgL_new1492z00_1303; BgL_res2287z00_1323; } 
return BgL_new1492z00_1303;} } 
}



/* _make-fun */
obj_t BGl__makezd2funzd2zzast_varz00(obj_t BgL_envz00_2138, obj_t BgL_arity1486z00_2139, obj_t BgL_sidezd2effectzf31487z21_2140, obj_t BgL_predicatezd2of1488zd2_2141, obj_t BgL_stackzd2allocator1489zd2_2142, obj_t BgL_topzf31490zf3_2143, obj_t BgL_thezd2closure1491zd2_2144)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_auxz00_3134;
BgL_auxz00_3134 = 
BGl_makezd2funzd2zzast_varz00(
(long)CINT(BgL_arity1486z00_2139), BgL_sidezd2effectzf31487z21_2140, BgL_predicatezd2of1488zd2_2141, BgL_stackzd2allocator1489zd2_2142, 
CBOOL(BgL_topzf31490zf3_2143), BgL_thezd2closure1491zd2_2144); 
return 
(obj_t)(BgL_auxz00_3134);} } 
}



/* allocate-fun */
BgL_funz00_bglt BGl_allocatezd2funzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_new1494z00_1324;
BgL_new1494z00_1324 = 
((BgL_funz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funz00_bgl) ))); 
{ /* Ast/var.scm 71 */
long BgL_arg2083z00_1325;
BgL_arg2083z00_1325 = 
BGl_classzd2numzd2zz__objectz00(BGl_funz00zzast_varz00); 
{ /* Ast/var.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3141;
BgL_auxz00_3141 = 
(BgL_objectz00_bglt)(BgL_new1494z00_1324); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3141, BgL_arg2083z00_1325); } } 
{ /* Ast/var.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3144;
BgL_auxz00_3144 = 
(BgL_objectz00_bglt)(BgL_new1494z00_1324); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3144, BFALSE); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_3147;
BgL_auxz00_3147 = 
(obj_t)(BgL_new1494z00_1324); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3147); } BUNSPEC; 
return BgL_new1494z00_1324;} } 
}



/* _allocate-fun */
obj_t BGl__allocatezd2funzd2zzast_varz00(obj_t BgL_envz00_2145)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_auxz00_3150;
BgL_auxz00_3150 = 
BGl_allocatezd2funzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3150);} } 
}



/* fun-arity */
long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt BgL_obj1455z00_183)
{ AN_OBJECT;
{ /* Ast/var.scm 73 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1455z00_183))->BgL_arityz00);} 
}



/* _fun-arity */
obj_t BGl__funzd2arityzd2zzast_varz00(obj_t BgL_envz00_2146, obj_t BgL_obj1455z00_2147)
{ AN_OBJECT;
{ /* Ast/var.scm 73 */
{ /* Ast/var.scm 73 */
long BgL_auxz00_3154;
BgL_auxz00_3154 = 
BGl_funzd2arityzd2zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1455z00_2147)); 
return 
BINT(BgL_auxz00_3154);} } 
}



/* fun-side-effect?-set! */
obj_t BGl_funzd2sidezd2effectzf3zd2setz12z33zzast_varz00(BgL_funz00_bglt BgL_obj1458z00_184, obj_t BgL_val1457z00_185)
{ AN_OBJECT;
{ /* Ast/var.scm 75 */
return 
((((BgL_funz00_bglt)CREF(BgL_obj1458z00_184))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1457z00_185), BUNSPEC);} 
}



/* _fun-side-effect?-set! */
obj_t BGl__funzd2sidezd2effectzf3zd2setz12z33zzast_varz00(obj_t BgL_envz00_2150, obj_t BgL_obj1458z00_2151, obj_t BgL_val1457z00_2152)
{ AN_OBJECT;
{ /* Ast/var.scm 75 */
return 
BGl_funzd2sidezd2effectzf3zd2setz12z33zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1458z00_2151), BgL_val1457z00_2152);} 
}



/* fun-side-effect? */
obj_t BGl_funzd2sidezd2effectzf3zf3zzast_varz00(BgL_funz00_bglt BgL_obj1456z00_186)
{ AN_OBJECT;
{ /* Ast/var.scm 75 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1456z00_186))->BgL_sidezd2effectzf3z21);} 
}



/* _fun-side-effect? */
obj_t BGl__funzd2sidezd2effectzf3zf3zzast_varz00(obj_t BgL_envz00_2148, obj_t BgL_obj1456z00_2149)
{ AN_OBJECT;
{ /* Ast/var.scm 75 */
return 
BGl_funzd2sidezd2effectzf3zf3zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1456z00_2149));} 
}



/* fun-predicate-of-set! */
obj_t BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt BgL_obj1462z00_187, obj_t BgL_val1461z00_188)
{ AN_OBJECT;
{ /* Ast/var.scm 77 */
return 
((((BgL_funz00_bglt)CREF(BgL_obj1462z00_187))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_val1461z00_188), BUNSPEC);} 
}



/* _fun-predicate-of-set! */
obj_t BGl__funzd2predicatezd2ofzd2setz12zc0zzast_varz00(obj_t BgL_envz00_2155, obj_t BgL_obj1462z00_2156, obj_t BgL_val1461z00_2157)
{ AN_OBJECT;
{ /* Ast/var.scm 77 */
return 
BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1462z00_2156), BgL_val1461z00_2157);} 
}



/* fun-predicate-of */
obj_t BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt BgL_obj1460z00_189)
{ AN_OBJECT;
{ /* Ast/var.scm 77 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1460z00_189))->BgL_predicatezd2ofzd2);} 
}



/* _fun-predicate-of */
obj_t BGl__funzd2predicatezd2ofz00zzast_varz00(obj_t BgL_envz00_2153, obj_t BgL_obj1460z00_2154)
{ AN_OBJECT;
{ /* Ast/var.scm 77 */
return 
BGl_funzd2predicatezd2ofz00zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1460z00_2154));} 
}



/* fun-stack-allocator-set! */
obj_t BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt BgL_obj1465z00_190, obj_t BgL_val1464z00_191)
{ AN_OBJECT;
{ /* Ast/var.scm 79 */
return 
((((BgL_funz00_bglt)CREF(BgL_obj1465z00_190))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_val1464z00_191), BUNSPEC);} 
}



/* _fun-stack-allocator-set! */
obj_t BGl__funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(obj_t BgL_envz00_2160, obj_t BgL_obj1465z00_2161, obj_t BgL_val1464z00_2162)
{ AN_OBJECT;
{ /* Ast/var.scm 79 */
return 
BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1465z00_2161), BgL_val1464z00_2162);} 
}



/* fun-stack-allocator */
obj_t BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt BgL_obj1463z00_192)
{ AN_OBJECT;
{ /* Ast/var.scm 79 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1463z00_192))->BgL_stackzd2allocatorzd2);} 
}



/* _fun-stack-allocator */
obj_t BGl__funzd2stackzd2allocatorz00zzast_varz00(obj_t BgL_envz00_2158, obj_t BgL_obj1463z00_2159)
{ AN_OBJECT;
{ /* Ast/var.scm 79 */
return 
BGl_funzd2stackzd2allocatorz00zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1463z00_2159));} 
}



/* fun-top?-set! */
obj_t BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt BgL_obj1468z00_193, bool_t BgL_val1467z00_194)
{ AN_OBJECT;
{ /* Ast/var.scm 81 */
return 
((((BgL_funz00_bglt)CREF(BgL_obj1468z00_193))->BgL_topzf3zf3) = ((bool_t)BgL_val1467z00_194), BUNSPEC);} 
}



/* _fun-top?-set! */
obj_t BGl__funzd2topzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2165, obj_t BgL_obj1468z00_2166, obj_t BgL_val1467z00_2167)
{ AN_OBJECT;
{ /* Ast/var.scm 81 */
return 
BGl_funzd2topzf3zd2setz12ze1zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1468z00_2166), 
CBOOL(BgL_val1467z00_2167));} 
}



/* fun-top? */
bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt BgL_obj1466z00_195)
{ AN_OBJECT;
{ /* Ast/var.scm 81 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1466z00_195))->BgL_topzf3zf3);} 
}



/* _fun-top? */
obj_t BGl__funzd2topzf3z21zzast_varz00(obj_t BgL_envz00_2163, obj_t BgL_obj1466z00_2164)
{ AN_OBJECT;
{ /* Ast/var.scm 81 */
{ /* Ast/var.scm 81 */
bool_t BgL_auxz00_3181;
BgL_auxz00_3181 = 
BGl_funzd2topzf3z21zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1466z00_2164)); 
return 
BBOOL(BgL_auxz00_3181);} } 
}



/* fun-the-closure-set! */
obj_t BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt BgL_obj1471z00_196, obj_t BgL_val1470z00_197)
{ AN_OBJECT;
{ /* Ast/var.scm 83 */
return 
((((BgL_funz00_bglt)CREF(BgL_obj1471z00_196))->BgL_thezd2closurezd2) = ((obj_t)BgL_val1470z00_197), BUNSPEC);} 
}



/* _fun-the-closure-set! */
obj_t BGl__funzd2thezd2closurezd2setz12zc0zzast_varz00(obj_t BgL_envz00_2170, obj_t BgL_obj1471z00_2171, obj_t BgL_val1470z00_2172)
{ AN_OBJECT;
{ /* Ast/var.scm 83 */
return 
BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1471z00_2171), BgL_val1470z00_2172);} 
}



/* fun-the-closure */
obj_t BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt BgL_obj1469z00_198)
{ AN_OBJECT;
{ /* Ast/var.scm 83 */
return 
(((BgL_funz00_bglt)CREF(BgL_obj1469z00_198))->BgL_thezd2closurezd2);} 
}



/* _fun-the-closure */
obj_t BGl__funzd2thezd2closurez00zzast_varz00(obj_t BgL_envz00_2168, obj_t BgL_obj1469z00_2169)
{ AN_OBJECT;
{ /* Ast/var.scm 83 */
return 
BGl_funzd2thezd2closurez00zzast_varz00(
(BgL_funz00_bglt)(BgL_obj1469z00_2169));} 
}



/* local? */
bool_t BGl_localzf3zf3zzast_varz00(obj_t BgL_obj1454z00_199)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1454z00_199, BGl_localz00zzast_varz00);} 
}



/* _local? */
obj_t BGl__localzf3zf3zzast_varz00(obj_t BgL_envz00_2350, obj_t BgL_obj1454z00_2351)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
bool_t BgL_auxz00_3192;
BgL_auxz00_3192 = 
BGl_localzf3zf3zzast_varz00(BgL_obj1454z00_2351); 
return 
BBOOL(BgL_auxz00_3192);} } 
}



/* fill-local! */
BgL_localz00_bglt BGl_fillzd2localz12zc0zzast_varz00(BgL_localz00_bglt BgL_new1387z00_203, obj_t BgL_id1377z00_204, obj_t BgL_name1378z00_205, BgL_typez00_bglt BgL_type1379z00_206, BgL_valuez00_bglt BgL_value1380z00_207, obj_t BgL_access1381z00_208, obj_t BgL_fastzd2alpha1382zd2_209, obj_t BgL_removable1383z00_210, long BgL_occurrence1384z00_211, bool_t BgL_userzf31385zf3_212, long BgL_key1386z00_213)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_idz00) = ((obj_t)BgL_id1377z00_204), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_namez00) = ((obj_t)BgL_name1378z00_205), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1379z00_206), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1380z00_207), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_accessz00) = ((obj_t)BgL_access1381z00_208), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1382zd2_209), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_removablez00) = ((obj_t)BgL_removable1383z00_210), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_occurrencez00) = ((long)BgL_occurrence1384z00_211), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_userzf3zf3) = ((bool_t)BgL_userzf31385zf3_212), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1387z00_203))->BgL_keyz00) = ((long)BgL_key1386z00_213), BUNSPEC); 
return BgL_new1387z00_203;} 
}



/* _fill-local! */
obj_t BGl__fillzd2localz12zc0zzast_varz00(obj_t BgL_envz00_2352, obj_t BgL_new1387z00_2353, obj_t BgL_id1377z00_2354, obj_t BgL_name1378z00_2355, obj_t BgL_type1379z00_2356, obj_t BgL_value1380z00_2357, obj_t BgL_access1381z00_2358, obj_t BgL_fastzd2alpha1382zd2_2359, obj_t BgL_removable1383z00_2360, obj_t BgL_occurrence1384z00_2361, obj_t BgL_userzf31385zf3_2362, obj_t BgL_key1386z00_2363)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_auxz00_3205;
BgL_auxz00_3205 = 
BGl_fillzd2localz12zc0zzast_varz00(
(BgL_localz00_bglt)(BgL_new1387z00_2353), BgL_id1377z00_2354, BgL_name1378z00_2355, 
(BgL_typez00_bglt)(BgL_type1379z00_2356), 
(BgL_valuez00_bglt)(BgL_value1380z00_2357), BgL_access1381z00_2358, BgL_fastzd2alpha1382zd2_2359, BgL_removable1383z00_2360, 
(long)CINT(BgL_occurrence1384z00_2361), 
CBOOL(BgL_userzf31385zf3_2362), 
(long)CINT(BgL_key1386z00_2363)); 
return 
(obj_t)(BgL_auxz00_3205);} } 
}



/* make-local */
BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t BgL_id1399z00_214, obj_t BgL_name1400z00_215, BgL_typez00_bglt BgL_type1401z00_216, BgL_valuez00_bglt BgL_value1402z00_217, obj_t BgL_access1403z00_218, obj_t BgL_fastzd2alpha1404zd2_219, obj_t BgL_removable1405z00_220, long BgL_occurrence1406z00_221, bool_t BgL_userzf31407zf3_222, long BgL_key1408z00_223)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_new1409z00_1339;
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_res2288z00_1345;
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_new1411z00_1340;
BgL_new1411z00_1340 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Ast/var.scm 65 */
long BgL_arg2084z00_1341;
BgL_arg2084z00_1341 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Ast/var.scm 65 */
BgL_objectz00_bglt BgL_auxz00_3216;
BgL_auxz00_3216 = 
(BgL_objectz00_bglt)(BgL_new1411z00_1340); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3216, BgL_arg2084z00_1341); } } 
{ /* Ast/var.scm 65 */
BgL_objectz00_bglt BgL_auxz00_3219;
BgL_auxz00_3219 = 
(BgL_objectz00_bglt)(BgL_new1411z00_1340); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3219, BFALSE); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3222;
BgL_auxz00_3222 = 
(obj_t)(BgL_new1411z00_1340); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3222); } BUNSPEC; 
BgL_res2288z00_1345 = BgL_new1411z00_1340; } 
BgL_new1409z00_1339 = BgL_res2288z00_1345; } 
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_res2289z00_1367;
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_idz00) = ((obj_t)BgL_id1399z00_214), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_namez00) = ((obj_t)BgL_name1400z00_215), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1401z00_216), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1402z00_217), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_accessz00) = ((obj_t)BgL_access1403z00_218), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1404zd2_219), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_removablez00) = ((obj_t)BgL_removable1405z00_220), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_occurrencez00) = ((long)BgL_occurrence1406z00_221), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_userzf3zf3) = ((bool_t)BgL_userzf31407zf3_222), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1409z00_1339))->BgL_keyz00) = ((long)BgL_key1408z00_223), BUNSPEC); 
BgL_res2289z00_1367 = BgL_new1409z00_1339; BgL_res2289z00_1367; } 
return BgL_new1409z00_1339;} } 
}



/* _make-local */
obj_t BGl__makezd2localzd2zzast_varz00(obj_t BgL_envz00_2119, obj_t BgL_id1399z00_2120, obj_t BgL_name1400z00_2121, obj_t BgL_type1401z00_2122, obj_t BgL_value1402z00_2123, obj_t BgL_access1403z00_2124, obj_t BgL_fastzd2alpha1404zd2_2125, obj_t BgL_removable1405z00_2126, obj_t BgL_occurrence1406z00_2127, obj_t BgL_userzf31407zf3_2128, obj_t BgL_key1408z00_2129)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_auxz00_3235;
BgL_auxz00_3235 = 
BGl_makezd2localzd2zzast_varz00(BgL_id1399z00_2120, BgL_name1400z00_2121, 
(BgL_typez00_bglt)(BgL_type1401z00_2122), 
(BgL_valuez00_bglt)(BgL_value1402z00_2123), BgL_access1403z00_2124, BgL_fastzd2alpha1404zd2_2125, BgL_removable1405z00_2126, 
(long)CINT(BgL_occurrence1406z00_2127), 
CBOOL(BgL_userzf31407zf3_2128), 
(long)CINT(BgL_key1408z00_2129)); 
return 
(obj_t)(BgL_auxz00_3235);} } 
}



/* allocate-local */
BgL_localz00_bglt BGl_allocatezd2localzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_new1411z00_1368;
BgL_new1411z00_1368 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Ast/var.scm 65 */
long BgL_arg2084z00_1369;
BgL_arg2084z00_1369 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Ast/var.scm 65 */
BgL_objectz00_bglt BgL_auxz00_3245;
BgL_auxz00_3245 = 
(BgL_objectz00_bglt)(BgL_new1411z00_1368); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3245, BgL_arg2084z00_1369); } } 
{ /* Ast/var.scm 65 */
BgL_objectz00_bglt BgL_auxz00_3248;
BgL_auxz00_3248 = 
(BgL_objectz00_bglt)(BgL_new1411z00_1368); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3248, BFALSE); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3251;
BgL_auxz00_3251 = 
(obj_t)(BgL_new1411z00_1368); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3251); } BUNSPEC; 
return BgL_new1411z00_1368;} } 
}



/* _allocate-local */
obj_t BGl__allocatezd2localzd2zzast_varz00(obj_t BgL_envz00_2130)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_auxz00_3254;
BgL_auxz00_3254 = 
BGl_allocatezd2localzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3254);} } 
}



/* local-user?-set! */
obj_t BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt BgL_obj1374z00_246, bool_t BgL_val1373z00_247)
{ AN_OBJECT;
{ /* Ast/var.scm 67 */
return 
((((BgL_localz00_bglt)CREF(BgL_obj1374z00_246))->BgL_userzf3zf3) = ((bool_t)BgL_val1373z00_247), BUNSPEC);} 
}



/* _local-user?-set! */
obj_t BGl__localzd2userzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2133, obj_t BgL_obj1374z00_2134, obj_t BgL_val1373z00_2135)
{ AN_OBJECT;
{ /* Ast/var.scm 67 */
return 
BGl_localzd2userzf3zd2setz12ze1zzast_varz00(
(BgL_localz00_bglt)(BgL_obj1374z00_2134), 
CBOOL(BgL_val1373z00_2135));} 
}



/* local-user? */
bool_t BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt BgL_obj1372z00_248)
{ AN_OBJECT;
{ /* Ast/var.scm 67 */
return 
(((BgL_localz00_bglt)CREF(BgL_obj1372z00_248))->BgL_userzf3zf3);} 
}



/* _local-user? */
obj_t BGl__localzd2userzf3z21zzast_varz00(obj_t BgL_envz00_2131, obj_t BgL_obj1372z00_2132)
{ AN_OBJECT;
{ /* Ast/var.scm 67 */
{ /* Ast/var.scm 67 */
bool_t BgL_auxz00_3262;
BgL_auxz00_3262 = 
BGl_localzd2userzf3z21zzast_varz00(
(BgL_localz00_bglt)(BgL_obj1372z00_2132)); 
return 
BBOOL(BgL_auxz00_3262);} } 
}



/* local-key */
long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt BgL_obj1376z00_249)
{ AN_OBJECT;
{ /* Ast/var.scm 69 */
return 
(((BgL_localz00_bglt)CREF(BgL_obj1376z00_249))->BgL_keyz00);} 
}



/* _local-key */
obj_t BGl__localzd2keyzd2zzast_varz00(obj_t BgL_envz00_2136, obj_t BgL_obj1376z00_2137)
{ AN_OBJECT;
{ /* Ast/var.scm 69 */
{ /* Ast/var.scm 69 */
long BgL_auxz00_3267;
BgL_auxz00_3267 = 
BGl_localzd2keyzd2zzast_varz00(
(BgL_localz00_bglt)(BgL_obj1376z00_2137)); 
return 
BINT(BgL_auxz00_3267);} } 
}



/* global? */
bool_t BGl_globalzf3zf3zzast_varz00(obj_t BgL_obj1349z00_250)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1349z00_250, BGl_globalz00zzast_varz00);} 
}



/* _global? */
obj_t BGl__globalzf3zf3zzast_varz00(obj_t BgL_envz00_2364, obj_t BgL_obj1349z00_2365)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
bool_t BgL_auxz00_3272;
BgL_auxz00_3272 = 
BGl_globalzf3zf3zzast_varz00(BgL_obj1349z00_2365); 
return 
BBOOL(BgL_auxz00_3272);} } 
}



/* fill-global! */
BgL_globalz00_bglt BGl_fillzd2globalz12zc0zzast_varz00(BgL_globalz00_bglt BgL_new1246z00_254, obj_t BgL_id1230z00_255, obj_t BgL_name1231z00_256, BgL_typez00_bglt BgL_type1232z00_257, BgL_valuez00_bglt BgL_value1233z00_258, obj_t BgL_access1234z00_259, obj_t BgL_fastzd2alpha1235zd2_260, obj_t BgL_removable1236z00_261, long BgL_occurrence1237z00_262, obj_t BgL_module1238z00_263, obj_t BgL_import1239z00_264, bool_t BgL_evaluablezf31240zf3_265, bool_t BgL_libraryzf31241zf3_266, bool_t BgL_userzf31242zf3_267, obj_t BgL_pragma1243z00_268, obj_t BgL_src1244z00_269, obj_t BgL_jvmzd2typezd2name1245z00_270)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_idz00) = ((obj_t)BgL_id1230z00_255), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_namez00) = ((obj_t)BgL_name1231z00_256), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1232z00_257), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1233z00_258), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_accessz00) = ((obj_t)BgL_access1234z00_259), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1235zd2_260), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_removablez00) = ((obj_t)BgL_removable1236z00_261), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_occurrencez00) = ((long)BgL_occurrence1237z00_262), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_modulez00) = ((obj_t)BgL_module1238z00_263), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_importz00) = ((obj_t)BgL_import1239z00_264), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_evaluablezf3zf3) = ((bool_t)BgL_evaluablezf31240zf3_265), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf31241zf3_266), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_userzf3zf3) = ((bool_t)BgL_userzf31242zf3_267), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_pragmaz00) = ((obj_t)BgL_pragma1243z00_268), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_srcz00) = ((obj_t)BgL_src1244z00_269), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1246z00_254))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_jvmzd2typezd2name1245z00_270), BUNSPEC); 
return BgL_new1246z00_254;} 
}



/* _fill-global! */
obj_t BGl__fillzd2globalz12zc0zzast_varz00(obj_t BgL_envz00_2366, obj_t BgL_new1246z00_2367, obj_t BgL_id1230z00_2368, obj_t BgL_name1231z00_2369, obj_t BgL_type1232z00_2370, obj_t BgL_value1233z00_2371, obj_t BgL_access1234z00_2372, obj_t BgL_fastzd2alpha1235zd2_2373, obj_t BgL_removable1236z00_2374, obj_t BgL_occurrence1237z00_2375, obj_t BgL_module1238z00_2376, obj_t BgL_import1239z00_2377, obj_t BgL_evaluablezf31240zf3_2378, obj_t BgL_libraryzf31241zf3_2379, obj_t BgL_userzf31242zf3_2380, obj_t BgL_pragma1243z00_2381, obj_t BgL_src1244z00_2382, obj_t BgL_jvmzd2typezd2name1245z00_2383)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_auxz00_3291;
BgL_auxz00_3291 = 
BGl_fillzd2globalz12zc0zzast_varz00(
(BgL_globalz00_bglt)(BgL_new1246z00_2367), BgL_id1230z00_2368, BgL_name1231z00_2369, 
(BgL_typez00_bglt)(BgL_type1232z00_2370), 
(BgL_valuez00_bglt)(BgL_value1233z00_2371), BgL_access1234z00_2372, BgL_fastzd2alpha1235zd2_2373, BgL_removable1236z00_2374, 
(long)CINT(BgL_occurrence1237z00_2375), BgL_module1238z00_2376, BgL_import1239z00_2377, 
CBOOL(BgL_evaluablezf31240zf3_2378), 
CBOOL(BgL_libraryzf31241zf3_2379), 
CBOOL(BgL_userzf31242zf3_2380), BgL_pragma1243z00_2381, BgL_src1244z00_2382, BgL_jvmzd2typezd2name1245z00_2383); 
return 
(obj_t)(BgL_auxz00_3291);} } 
}



/* make-global */
BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t BgL_id1264z00_271, obj_t BgL_name1265z00_272, BgL_typez00_bglt BgL_type1266z00_273, BgL_valuez00_bglt BgL_value1267z00_274, obj_t BgL_access1268z00_275, obj_t BgL_fastzd2alpha1269zd2_276, obj_t BgL_removable1270z00_277, long BgL_occurrence1271z00_278, obj_t BgL_module1272z00_279, obj_t BgL_import1273z00_280, bool_t BgL_evaluablezf31274zf3_281, bool_t BgL_libraryzf31275zf3_282, bool_t BgL_userzf31276zf3_283, obj_t BgL_pragma1277z00_284, obj_t BgL_src1278z00_285, obj_t BgL_jvmzd2typezd2name1279z00_286)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_new1280z00_1389;
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_res2290z00_1395;
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_new1282z00_1390;
BgL_new1282z00_1390 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Ast/var.scm 40 */
long BgL_arg2085z00_1391;
BgL_arg2085z00_1391 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Ast/var.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3303;
BgL_auxz00_3303 = 
(BgL_objectz00_bglt)(BgL_new1282z00_1390); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3303, BgL_arg2085z00_1391); } } 
{ /* Ast/var.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3306;
BgL_auxz00_3306 = 
(BgL_objectz00_bglt)(BgL_new1282z00_1390); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3306, BFALSE); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3309;
BgL_auxz00_3309 = 
(obj_t)(BgL_new1282z00_1390); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3309); } BUNSPEC; 
BgL_res2290z00_1395 = BgL_new1282z00_1390; } 
BgL_new1280z00_1389 = BgL_res2290z00_1395; } 
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_res2291z00_1429;
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_idz00) = ((obj_t)BgL_id1264z00_271), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_namez00) = ((obj_t)BgL_name1265z00_272), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1266z00_273), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1267z00_274), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_accessz00) = ((obj_t)BgL_access1268z00_275), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1269zd2_276), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_removablez00) = ((obj_t)BgL_removable1270z00_277), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_occurrencez00) = ((long)BgL_occurrence1271z00_278), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_modulez00) = ((obj_t)BgL_module1272z00_279), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_importz00) = ((obj_t)BgL_import1273z00_280), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_evaluablezf3zf3) = ((bool_t)BgL_evaluablezf31274zf3_281), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf31275zf3_282), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_userzf3zf3) = ((bool_t)BgL_userzf31276zf3_283), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_pragmaz00) = ((obj_t)BgL_pragma1277z00_284), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_srcz00) = ((obj_t)BgL_src1278z00_285), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1280z00_1389))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_jvmzd2typezd2name1279z00_286), BUNSPEC); 
BgL_res2291z00_1429 = BgL_new1280z00_1389; BgL_res2291z00_1429; } 
return BgL_new1280z00_1389;} } 
}



/* _make-global */
obj_t BGl__makezd2globalzd2zzast_varz00(obj_t BgL_envz00_2061, obj_t BgL_id1264z00_2062, obj_t BgL_name1265z00_2063, obj_t BgL_type1266z00_2064, obj_t BgL_value1267z00_2065, obj_t BgL_access1268z00_2066, obj_t BgL_fastzd2alpha1269zd2_2067, obj_t BgL_removable1270z00_2068, obj_t BgL_occurrence1271z00_2069, obj_t BgL_module1272z00_2070, obj_t BgL_import1273z00_2071, obj_t BgL_evaluablezf31274zf3_2072, obj_t BgL_libraryzf31275zf3_2073, obj_t BgL_userzf31276zf3_2074, obj_t BgL_pragma1277z00_2075, obj_t BgL_src1278z00_2076, obj_t BgL_jvmzd2typezd2name1279z00_2077)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_auxz00_3328;
BgL_auxz00_3328 = 
BGl_makezd2globalzd2zzast_varz00(BgL_id1264z00_2062, BgL_name1265z00_2063, 
(BgL_typez00_bglt)(BgL_type1266z00_2064), 
(BgL_valuez00_bglt)(BgL_value1267z00_2065), BgL_access1268z00_2066, BgL_fastzd2alpha1269zd2_2067, BgL_removable1270z00_2068, 
(long)CINT(BgL_occurrence1271z00_2069), BgL_module1272z00_2070, BgL_import1273z00_2071, 
CBOOL(BgL_evaluablezf31274zf3_2072), 
CBOOL(BgL_libraryzf31275zf3_2073), 
CBOOL(BgL_userzf31276zf3_2074), BgL_pragma1277z00_2075, BgL_src1278z00_2076, BgL_jvmzd2typezd2name1279z00_2077); 
return 
(obj_t)(BgL_auxz00_3328);} } 
}



/* allocate-global */
BgL_globalz00_bglt BGl_allocatezd2globalzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_new1282z00_1430;
BgL_new1282z00_1430 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Ast/var.scm 40 */
long BgL_arg2085z00_1431;
BgL_arg2085z00_1431 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Ast/var.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3339;
BgL_auxz00_3339 = 
(BgL_objectz00_bglt)(BgL_new1282z00_1430); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3339, BgL_arg2085z00_1431); } } 
{ /* Ast/var.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3342;
BgL_auxz00_3342 = 
(BgL_objectz00_bglt)(BgL_new1282z00_1430); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3342, BFALSE); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3345;
BgL_auxz00_3345 = 
(obj_t)(BgL_new1282z00_1430); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3345); } BUNSPEC; 
return BgL_new1282z00_1430;} } 
}



/* _allocate-global */
obj_t BGl__allocatezd2globalzd2zzast_varz00(obj_t BgL_envz00_2078)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_auxz00_3348;
BgL_auxz00_3348 = 
BGl_allocatezd2globalzd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3348);} } 
}



/* global-module-set! */
obj_t BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_obj1208z00_309, obj_t BgL_val1207z00_310)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1208z00_309))->BgL_modulez00) = ((obj_t)BgL_val1207z00_310), BUNSPEC);} 
}



/* _global-module-set! */
obj_t BGl__globalzd2modulezd2setz12z12zzast_varz00(obj_t BgL_envz00_2081, obj_t BgL_obj1208z00_2082, obj_t BgL_val1207z00_2083)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2modulezd2setz12z12zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1208z00_2082), BgL_val1207z00_2083);} 
}



/* global-module */
obj_t BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt BgL_obj1206z00_311)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1206z00_311))->BgL_modulez00);} 
}



/* _global-module */
obj_t BGl__globalzd2modulezd2zzast_varz00(obj_t BgL_envz00_2079, obj_t BgL_obj1206z00_2080)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2modulezd2zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1206z00_2080));} 
}



/* global-import-set! */
obj_t BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_obj1211z00_312, obj_t BgL_val1210z00_313)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1211z00_312))->BgL_importz00) = ((obj_t)BgL_val1210z00_313), BUNSPEC);} 
}



/* _global-import-set! */
obj_t BGl__globalzd2importzd2setz12z12zzast_varz00(obj_t BgL_envz00_2086, obj_t BgL_obj1211z00_2087, obj_t BgL_val1210z00_2088)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2importzd2setz12z12zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1211z00_2087), BgL_val1210z00_2088);} 
}



/* global-import */
obj_t BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt BgL_obj1209z00_314)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1209z00_314))->BgL_importz00);} 
}



/* _global-import */
obj_t BGl__globalzd2importzd2zzast_varz00(obj_t BgL_envz00_2084, obj_t BgL_obj1209z00_2085)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2importzd2zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1209z00_2085));} 
}



/* global-evaluable?-set! */
obj_t BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_obj1214z00_315, bool_t BgL_val1213z00_316)
{ AN_OBJECT;
{ /* Ast/var.scm 49 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1214z00_315))->BgL_evaluablezf3zf3) = ((bool_t)BgL_val1213z00_316), BUNSPEC);} 
}



/* _global-evaluable?-set! */
obj_t BGl__globalzd2evaluablezf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2091, obj_t BgL_obj1214z00_2092, obj_t BgL_val1213z00_2093)
{ AN_OBJECT;
{ /* Ast/var.scm 49 */
return 
BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1214z00_2092), 
CBOOL(BgL_val1213z00_2093));} 
}



/* global-evaluable? */
bool_t BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt BgL_obj1212z00_317)
{ AN_OBJECT;
{ /* Ast/var.scm 49 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1212z00_317))->BgL_evaluablezf3zf3);} 
}



/* _global-evaluable? */
obj_t BGl__globalzd2evaluablezf3z21zzast_varz00(obj_t BgL_envz00_2089, obj_t BgL_obj1212z00_2090)
{ AN_OBJECT;
{ /* Ast/var.scm 49 */
{ /* Ast/var.scm 49 */
bool_t BgL_auxz00_3368;
BgL_auxz00_3368 = 
BGl_globalzd2evaluablezf3z21zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1212z00_2090)); 
return 
BBOOL(BgL_auxz00_3368);} } 
}



/* global-library?-set! */
obj_t BGl_globalzd2libraryzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_obj1217z00_318, bool_t BgL_val1216z00_319)
{ AN_OBJECT;
{ /* Ast/var.scm 51 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1217z00_318))->BgL_libraryzf3zf3) = ((bool_t)BgL_val1216z00_319), BUNSPEC);} 
}



/* _global-library?-set! */
obj_t BGl__globalzd2libraryzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2096, obj_t BgL_obj1217z00_2097, obj_t BgL_val1216z00_2098)
{ AN_OBJECT;
{ /* Ast/var.scm 51 */
return 
BGl_globalzd2libraryzf3zd2setz12ze1zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1217z00_2097), 
CBOOL(BgL_val1216z00_2098));} 
}



/* global-library? */
bool_t BGl_globalzd2libraryzf3z21zzast_varz00(BgL_globalz00_bglt BgL_obj1215z00_320)
{ AN_OBJECT;
{ /* Ast/var.scm 51 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1215z00_320))->BgL_libraryzf3zf3);} 
}



/* _global-library? */
obj_t BGl__globalzd2libraryzf3z21zzast_varz00(obj_t BgL_envz00_2094, obj_t BgL_obj1215z00_2095)
{ AN_OBJECT;
{ /* Ast/var.scm 51 */
{ /* Ast/var.scm 51 */
bool_t BgL_auxz00_3377;
BgL_auxz00_3377 = 
BGl_globalzd2libraryzf3z21zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1215z00_2095)); 
return 
BBOOL(BgL_auxz00_3377);} } 
}



/* global-user?-set! */
obj_t BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_obj1220z00_321, bool_t BgL_val1219z00_322)
{ AN_OBJECT;
{ /* Ast/var.scm 56 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1220z00_321))->BgL_userzf3zf3) = ((bool_t)BgL_val1219z00_322), BUNSPEC);} 
}



/* _global-user?-set! */
obj_t BGl__globalzd2userzf3zd2setz12ze1zzast_varz00(obj_t BgL_envz00_2101, obj_t BgL_obj1220z00_2102, obj_t BgL_val1219z00_2103)
{ AN_OBJECT;
{ /* Ast/var.scm 56 */
return 
BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1220z00_2102), 
CBOOL(BgL_val1219z00_2103));} 
}



/* global-user? */
bool_t BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt BgL_obj1218z00_323)
{ AN_OBJECT;
{ /* Ast/var.scm 56 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1218z00_323))->BgL_userzf3zf3);} 
}



/* _global-user? */
obj_t BGl__globalzd2userzf3z21zzast_varz00(obj_t BgL_envz00_2099, obj_t BgL_obj1218z00_2100)
{ AN_OBJECT;
{ /* Ast/var.scm 56 */
{ /* Ast/var.scm 56 */
bool_t BgL_auxz00_3386;
BgL_auxz00_3386 = 
BGl_globalzd2userzf3z21zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1218z00_2100)); 
return 
BBOOL(BgL_auxz00_3386);} } 
}



/* global-pragma-set! */
obj_t BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_obj1223z00_324, obj_t BgL_val1222z00_325)
{ AN_OBJECT;
{ /* Ast/var.scm 58 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1223z00_324))->BgL_pragmaz00) = ((obj_t)BgL_val1222z00_325), BUNSPEC);} 
}



/* _global-pragma-set! */
obj_t BGl__globalzd2pragmazd2setz12z12zzast_varz00(obj_t BgL_envz00_2106, obj_t BgL_obj1223z00_2107, obj_t BgL_val1222z00_2108)
{ AN_OBJECT;
{ /* Ast/var.scm 58 */
return 
BGl_globalzd2pragmazd2setz12z12zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1223z00_2107), BgL_val1222z00_2108);} 
}



/* global-pragma */
obj_t BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt BgL_obj1221z00_326)
{ AN_OBJECT;
{ /* Ast/var.scm 58 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1221z00_326))->BgL_pragmaz00);} 
}



/* _global-pragma */
obj_t BGl__globalzd2pragmazd2zzast_varz00(obj_t BgL_envz00_2104, obj_t BgL_obj1221z00_2105)
{ AN_OBJECT;
{ /* Ast/var.scm 58 */
return 
BGl_globalzd2pragmazd2zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1221z00_2105));} 
}



/* global-src-set! */
obj_t BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_obj1226z00_327, obj_t BgL_val1225z00_328)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1226z00_327))->BgL_srcz00) = ((obj_t)BgL_val1225z00_328), BUNSPEC);} 
}



/* _global-src-set! */
obj_t BGl__globalzd2srczd2setz12z12zzast_varz00(obj_t BgL_envz00_2111, obj_t BgL_obj1226z00_2112, obj_t BgL_val1225z00_2113)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2srczd2setz12z12zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1226z00_2112), BgL_val1225z00_2113);} 
}



/* global-src */
obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt BgL_obj1224z00_329)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1224z00_329))->BgL_srcz00);} 
}



/* _global-src */
obj_t BGl__globalzd2srczd2zzast_varz00(obj_t BgL_envz00_2109, obj_t BgL_obj1224z00_2110)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2srczd2zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1224z00_2110));} 
}



/* global-jvm-type-name-set! */
obj_t BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_obj1229z00_330, obj_t BgL_val1228z00_331)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1229z00_330))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_val1228z00_331), BUNSPEC);} 
}



/* _global-jvm-type-name-set! */
obj_t BGl__globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(obj_t BgL_envz00_2116, obj_t BgL_obj1229z00_2117, obj_t BgL_val1228z00_2118)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2jvmzd2typezd2namezd2setz12z12zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1229z00_2117), BgL_val1228z00_2118);} 
}



/* global-jvm-type-name */
obj_t BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt BgL_obj1227z00_332)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
(((BgL_globalz00_bglt)CREF(BgL_obj1227z00_332))->BgL_jvmzd2typezd2namez00);} 
}



/* _global-jvm-type-name */
obj_t BGl__globalzd2jvmzd2typezd2namezd2zzast_varz00(obj_t BgL_envz00_2114, obj_t BgL_obj1227z00_2115)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
return 
BGl_globalzd2jvmzd2typezd2namezd2zzast_varz00(
(BgL_globalz00_bglt)(BgL_obj1227z00_2115));} 
}



/* variable? */
bool_t BGl_variablezf3zf3zzast_varz00(obj_t BgL_obj1183z00_333)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1183z00_333, BGl_variablez00zzast_varz00);} 
}



/* _variable? */
obj_t BGl__variablezf3zf3zzast_varz00(obj_t BgL_envz00_2384, obj_t BgL_obj1183z00_2385)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
bool_t BgL_auxz00_3409;
BgL_auxz00_3409 = 
BGl_variablezf3zf3zzast_varz00(BgL_obj1183z00_2385); 
return 
BBOOL(BgL_auxz00_3409);} } 
}



/* fill-variable! */
BgL_variablez00_bglt BGl_fillzd2variablez12zc0zzast_varz00(BgL_variablez00_bglt BgL_new1128z00_337, obj_t BgL_id1120z00_338, obj_t BgL_name1121z00_339, BgL_typez00_bglt BgL_type1122z00_340, BgL_valuez00_bglt BgL_value1123z00_341, obj_t BgL_access1124z00_342, obj_t BgL_fastzd2alpha1125zd2_343, obj_t BgL_removable1126z00_344, long BgL_occurrence1127z00_345)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_idz00) = ((obj_t)BgL_id1120z00_338), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_namez00) = ((obj_t)BgL_name1121z00_339), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1122z00_340), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1123z00_341), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_accessz00) = ((obj_t)BgL_access1124z00_342), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1125zd2_343), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_removablez00) = ((obj_t)BgL_removable1126z00_344), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1128z00_337))->BgL_occurrencez00) = ((long)BgL_occurrence1127z00_345), BUNSPEC); 
return BgL_new1128z00_337;} 
}



/* _fill-variable! */
obj_t BGl__fillzd2variablez12zc0zzast_varz00(obj_t BgL_envz00_2386, obj_t BgL_new1128z00_2387, obj_t BgL_id1120z00_2388, obj_t BgL_name1121z00_2389, obj_t BgL_type1122z00_2390, obj_t BgL_value1123z00_2391, obj_t BgL_access1124z00_2392, obj_t BgL_fastzd2alpha1125zd2_2393, obj_t BgL_removable1126z00_2394, obj_t BgL_occurrence1127z00_2395)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_auxz00_3420;
BgL_auxz00_3420 = 
BGl_fillzd2variablez12zc0zzast_varz00(
(BgL_variablez00_bglt)(BgL_new1128z00_2387), BgL_id1120z00_2388, BgL_name1121z00_2389, 
(BgL_typez00_bglt)(BgL_type1122z00_2390), 
(BgL_valuez00_bglt)(BgL_value1123z00_2391), BgL_access1124z00_2392, BgL_fastzd2alpha1125zd2_2393, BgL_removable1126z00_2394, 
(long)CINT(BgL_occurrence1127z00_2395)); 
return 
(obj_t)(BgL_auxz00_3420);} } 
}



/* make-variable */
BgL_variablez00_bglt BGl_makezd2variablezd2zzast_varz00(obj_t BgL_id1138z00_346, obj_t BgL_name1139z00_347, BgL_typez00_bglt BgL_type1140z00_348, BgL_valuez00_bglt BgL_value1141z00_349, obj_t BgL_access1142z00_350, obj_t BgL_fastzd2alpha1143zd2_351, obj_t BgL_removable1144z00_352, long BgL_occurrence1145z00_353)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_new1146z00_1443;
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_res2292z00_1449;
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_new1148z00_1444;
BgL_new1148z00_1444 = 
((BgL_variablez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_variablez00_bgl) ))); 
{ /* Ast/var.scm 21 */
long BgL_arg2086z00_1445;
BgL_arg2086z00_1445 = 
BGl_classzd2numzd2zz__objectz00(BGl_variablez00zzast_varz00); 
{ /* Ast/var.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3429;
BgL_auxz00_3429 = 
(BgL_objectz00_bglt)(BgL_new1148z00_1444); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3429, BgL_arg2086z00_1445); } } 
{ /* Ast/var.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3432;
BgL_auxz00_3432 = 
(BgL_objectz00_bglt)(BgL_new1148z00_1444); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3432, BFALSE); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3435;
BgL_auxz00_3435 = 
(obj_t)(BgL_new1148z00_1444); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3435); } BUNSPEC; 
BgL_res2292z00_1449 = BgL_new1148z00_1444; } 
BgL_new1146z00_1443 = BgL_res2292z00_1449; } 
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_res2293z00_1467;
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_idz00) = ((obj_t)BgL_id1138z00_346), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_namez00) = ((obj_t)BgL_name1139z00_347), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1140z00_348), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value1141z00_349), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_accessz00) = ((obj_t)BgL_access1142z00_350), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha1143zd2_351), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_removablez00) = ((obj_t)BgL_removable1144z00_352), BUNSPEC); 
((((BgL_variablez00_bglt)CREF(BgL_new1146z00_1443))->BgL_occurrencez00) = ((long)BgL_occurrence1145z00_353), BUNSPEC); 
BgL_res2293z00_1467 = BgL_new1146z00_1443; BgL_res2293z00_1467; } 
return BgL_new1146z00_1443;} } 
}



/* _make-variable */
obj_t BGl__makezd2variablezd2zzast_varz00(obj_t BgL_envz00_2014, obj_t BgL_id1138z00_2015, obj_t BgL_name1139z00_2016, obj_t BgL_type1140z00_2017, obj_t BgL_value1141z00_2018, obj_t BgL_access1142z00_2019, obj_t BgL_fastzd2alpha1143zd2_2020, obj_t BgL_removable1144z00_2021, obj_t BgL_occurrence1145z00_2022)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_auxz00_3446;
BgL_auxz00_3446 = 
BGl_makezd2variablezd2zzast_varz00(BgL_id1138z00_2015, BgL_name1139z00_2016, 
(BgL_typez00_bglt)(BgL_type1140z00_2017), 
(BgL_valuez00_bglt)(BgL_value1141z00_2018), BgL_access1142z00_2019, BgL_fastzd2alpha1143zd2_2020, BgL_removable1144z00_2021, 
(long)CINT(BgL_occurrence1145z00_2022)); 
return 
(obj_t)(BgL_auxz00_3446);} } 
}



/* allocate-variable */
BgL_variablez00_bglt BGl_allocatezd2variablezd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_new1148z00_1468;
BgL_new1148z00_1468 = 
((BgL_variablez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_variablez00_bgl) ))); 
{ /* Ast/var.scm 21 */
long BgL_arg2086z00_1469;
BgL_arg2086z00_1469 = 
BGl_classzd2numzd2zz__objectz00(BGl_variablez00zzast_varz00); 
{ /* Ast/var.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3454;
BgL_auxz00_3454 = 
(BgL_objectz00_bglt)(BgL_new1148z00_1468); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3454, BgL_arg2086z00_1469); } } 
{ /* Ast/var.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3457;
BgL_auxz00_3457 = 
(BgL_objectz00_bglt)(BgL_new1148z00_1468); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3457, BFALSE); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3460;
BgL_auxz00_3460 = 
(obj_t)(BgL_new1148z00_1468); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3460); } BUNSPEC; 
return BgL_new1148z00_1468;} } 
}



/* _allocate-variable */
obj_t BGl__allocatezd2variablezd2zzast_varz00(obj_t BgL_envz00_2023)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_auxz00_3463;
BgL_auxz00_3463 = 
BGl_allocatezd2variablezd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3463);} } 
}



/* variable-id */
obj_t BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt BgL_obj1098z00_354)
{ AN_OBJECT;
{ /* Ast/var.scm 23 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_354))->BgL_idz00);} 
}



/* _variable-id */
obj_t BGl__variablezd2idzd2zzast_varz00(obj_t BgL_envz00_2024, obj_t BgL_obj1098z00_2025)
{ AN_OBJECT;
{ /* Ast/var.scm 23 */
return 
BGl_variablezd2idzd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1098z00_2025));} 
}



/* variable-name-set! */
obj_t BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1101z00_355, obj_t BgL_val1100z00_356)
{ AN_OBJECT;
{ /* Ast/var.scm 25 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1101z00_355))->BgL_namez00) = ((obj_t)BgL_val1100z00_356), BUNSPEC);} 
}



/* _variable-name-set! */
obj_t BGl__variablezd2namezd2setz12z12zzast_varz00(obj_t BgL_envz00_2028, obj_t BgL_obj1101z00_2029, obj_t BgL_val1100z00_2030)
{ AN_OBJECT;
{ /* Ast/var.scm 25 */
return 
BGl_variablezd2namezd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1101z00_2029), BgL_val1100z00_2030);} 
}



/* variable-name */
obj_t BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt BgL_obj1099z00_357)
{ AN_OBJECT;
{ /* Ast/var.scm 25 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1099z00_357))->BgL_namez00);} 
}



/* _variable-name */
obj_t BGl__variablezd2namezd2zzast_varz00(obj_t BgL_envz00_2026, obj_t BgL_obj1099z00_2027)
{ AN_OBJECT;
{ /* Ast/var.scm 25 */
return 
BGl_variablezd2namezd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1099z00_2027));} 
}



/* variable-type-set! */
obj_t BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1104z00_358, BgL_typez00_bglt BgL_val1103z00_359)
{ AN_OBJECT;
{ /* Ast/var.scm 27 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1104z00_358))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1103z00_359), BUNSPEC);} 
}



/* _variable-type-set! */
obj_t BGl__variablezd2typezd2setz12z12zzast_varz00(obj_t BgL_envz00_2033, obj_t BgL_obj1104z00_2034, obj_t BgL_val1103z00_2035)
{ AN_OBJECT;
{ /* Ast/var.scm 27 */
return 
BGl_variablezd2typezd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1104z00_2034), 
(BgL_typez00_bglt)(BgL_val1103z00_2035));} 
}



/* variable-type */
BgL_typez00_bglt BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt BgL_obj1102z00_360)
{ AN_OBJECT;
{ /* Ast/var.scm 27 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1102z00_360))->BgL_typez00);} 
}



/* _variable-type */
obj_t BGl__variablezd2typezd2zzast_varz00(obj_t BgL_envz00_2031, obj_t BgL_obj1102z00_2032)
{ AN_OBJECT;
{ /* Ast/var.scm 27 */
{ /* Ast/var.scm 27 */
BgL_typez00_bglt BgL_auxz00_3480;
BgL_auxz00_3480 = 
BGl_variablezd2typezd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1102z00_2032)); 
return 
(obj_t)(BgL_auxz00_3480);} } 
}



/* variable-value-set! */
obj_t BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1107z00_361, BgL_valuez00_bglt BgL_val1106z00_362)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1107z00_361))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1106z00_362), BUNSPEC);} 
}



/* _variable-value-set! */
obj_t BGl__variablezd2valuezd2setz12z12zzast_varz00(obj_t BgL_envz00_2038, obj_t BgL_obj1107z00_2039, obj_t BgL_val1106z00_2040)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
return 
BGl_variablezd2valuezd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1107z00_2039), 
(BgL_valuez00_bglt)(BgL_val1106z00_2040));} 
}



/* variable-value */
BgL_valuez00_bglt BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt BgL_obj1105z00_363)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1105z00_363))->BgL_valuez00);} 
}



/* _variable-value */
obj_t BGl__variablezd2valuezd2zzast_varz00(obj_t BgL_envz00_2036, obj_t BgL_obj1105z00_2037)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ /* Ast/var.scm 21 */
BgL_valuez00_bglt BgL_auxz00_3489;
BgL_auxz00_3489 = 
BGl_variablezd2valuezd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1105z00_2037)); 
return 
(obj_t)(BgL_auxz00_3489);} } 
}



/* variable-access-set! */
obj_t BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1110z00_364, obj_t BgL_val1109z00_365)
{ AN_OBJECT;
{ /* Ast/var.scm 32 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1110z00_364))->BgL_accessz00) = ((obj_t)BgL_val1109z00_365), BUNSPEC);} 
}



/* _variable-access-set! */
obj_t BGl__variablezd2accesszd2setz12z12zzast_varz00(obj_t BgL_envz00_2043, obj_t BgL_obj1110z00_2044, obj_t BgL_val1109z00_2045)
{ AN_OBJECT;
{ /* Ast/var.scm 32 */
return 
BGl_variablezd2accesszd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1110z00_2044), BgL_val1109z00_2045);} 
}



/* variable-access */
obj_t BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt BgL_obj1108z00_366)
{ AN_OBJECT;
{ /* Ast/var.scm 32 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1108z00_366))->BgL_accessz00);} 
}



/* _variable-access */
obj_t BGl__variablezd2accesszd2zzast_varz00(obj_t BgL_envz00_2041, obj_t BgL_obj1108z00_2042)
{ AN_OBJECT;
{ /* Ast/var.scm 32 */
return 
BGl_variablezd2accesszd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1108z00_2042));} 
}



/* variable-fast-alpha-set! */
obj_t BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt BgL_obj1113z00_367, obj_t BgL_val1112z00_368)
{ AN_OBJECT;
{ /* Ast/var.scm 34 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1113z00_367))->BgL_fastzd2alphazd2) = ((obj_t)BgL_val1112z00_368), BUNSPEC);} 
}



/* _variable-fast-alpha-set! */
obj_t BGl__variablezd2fastzd2alphazd2setz12zc0zzast_varz00(obj_t BgL_envz00_2048, obj_t BgL_obj1113z00_2049, obj_t BgL_val1112z00_2050)
{ AN_OBJECT;
{ /* Ast/var.scm 34 */
return 
BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1113z00_2049), BgL_val1112z00_2050);} 
}



/* variable-fast-alpha */
obj_t BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt BgL_obj1111z00_369)
{ AN_OBJECT;
{ /* Ast/var.scm 34 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1111z00_369))->BgL_fastzd2alphazd2);} 
}



/* _variable-fast-alpha */
obj_t BGl__variablezd2fastzd2alphaz00zzast_varz00(obj_t BgL_envz00_2046, obj_t BgL_obj1111z00_2047)
{ AN_OBJECT;
{ /* Ast/var.scm 34 */
return 
BGl_variablezd2fastzd2alphaz00zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1111z00_2047));} 
}



/* variable-removable-set! */
obj_t BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1116z00_370, obj_t BgL_val1115z00_371)
{ AN_OBJECT;
{ /* Ast/var.scm 36 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1116z00_370))->BgL_removablez00) = ((obj_t)BgL_val1115z00_371), BUNSPEC);} 
}



/* _variable-removable-set! */
obj_t BGl__variablezd2removablezd2setz12z12zzast_varz00(obj_t BgL_envz00_2053, obj_t BgL_obj1116z00_2054, obj_t BgL_val1115z00_2055)
{ AN_OBJECT;
{ /* Ast/var.scm 36 */
return 
BGl_variablezd2removablezd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1116z00_2054), BgL_val1115z00_2055);} 
}



/* variable-removable */
obj_t BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt BgL_obj1114z00_372)
{ AN_OBJECT;
{ /* Ast/var.scm 36 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1114z00_372))->BgL_removablez00);} 
}



/* _variable-removable */
obj_t BGl__variablezd2removablezd2zzast_varz00(obj_t BgL_envz00_2051, obj_t BgL_obj1114z00_2052)
{ AN_OBJECT;
{ /* Ast/var.scm 36 */
return 
BGl_variablezd2removablezd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1114z00_2052));} 
}



/* variable-occurrence-set! */
obj_t BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt BgL_obj1119z00_373, long BgL_val1118z00_374)
{ AN_OBJECT;
{ /* Ast/var.scm 38 */
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1119z00_373))->BgL_occurrencez00) = ((long)BgL_val1118z00_374), BUNSPEC);} 
}



/* _variable-occurrence-set! */
obj_t BGl__variablezd2occurrencezd2setz12z12zzast_varz00(obj_t BgL_envz00_2058, obj_t BgL_obj1119z00_2059, obj_t BgL_val1118z00_2060)
{ AN_OBJECT;
{ /* Ast/var.scm 38 */
return 
BGl_variablezd2occurrencezd2setz12z12zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1119z00_2059), 
(long)CINT(BgL_val1118z00_2060));} 
}



/* variable-occurrence */
long BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt BgL_obj1117z00_375)
{ AN_OBJECT;
{ /* Ast/var.scm 38 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1117z00_375))->BgL_occurrencez00);} 
}



/* _variable-occurrence */
obj_t BGl__variablezd2occurrencezd2zzast_varz00(obj_t BgL_envz00_2056, obj_t BgL_obj1117z00_2057)
{ AN_OBJECT;
{ /* Ast/var.scm 38 */
{ /* Ast/var.scm 38 */
long BgL_auxz00_3516;
BgL_auxz00_3516 = 
BGl_variablezd2occurrencezd2zzast_varz00(
(BgL_variablez00_bglt)(BgL_obj1117z00_2057)); 
return 
BINT(BgL_auxz00_3516);} } 
}



/* value? */
bool_t BGl_valuezf3zf3zzast_varz00(obj_t BgL_obj1097z00_376)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1097z00_376, BGl_valuez00zzast_varz00);} 
}



/* _value? */
obj_t BGl__valuezf3zf3zzast_varz00(obj_t BgL_envz00_2396, obj_t BgL_obj1097z00_2397)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
bool_t BgL_auxz00_3521;
BgL_auxz00_3521 = 
BGl_valuezf3zf3zzast_varz00(BgL_obj1097z00_2397); 
return 
BBOOL(BgL_auxz00_3521);} } 
}



/* fill-value! */
BgL_valuez00_bglt BGl_fillzd2valuez12zc0zzast_varz00(BgL_valuez00_bglt BgL_new1090z00_380)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */

return BgL_new1090z00_380;} } 
}



/* _fill-value! */
obj_t BGl__fillzd2valuez12zc0zzast_varz00(obj_t BgL_envz00_2398, obj_t BgL_new1090z00_2399)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_auxz00_3524;
BgL_auxz00_3524 = 
BGl_fillzd2valuez12zc0zzast_varz00(
(BgL_valuez00_bglt)(BgL_new1090z00_2399)); 
return 
(obj_t)(BgL_auxz00_3524);} } 
}



/* make-value */
BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_new1092z00_1473;
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_res2294z00_1479;
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_new1094z00_1474;
BgL_new1094z00_1474 = 
((BgL_valuez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_valuez00_bgl) ))); 
{ /* Ast/var.scm 19 */
long BgL_arg2087z00_1475;
BgL_arg2087z00_1475 = 
BGl_classzd2numzd2zz__objectz00(BGl_valuez00zzast_varz00); 
{ /* Ast/var.scm 19 */
BgL_objectz00_bglt BgL_auxz00_3530;
BgL_auxz00_3530 = 
(BgL_objectz00_bglt)(BgL_new1094z00_1474); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3530, BgL_arg2087z00_1475); } } 
{ /* Ast/var.scm 19 */
BgL_objectz00_bglt BgL_auxz00_3533;
BgL_auxz00_3533 = 
(BgL_objectz00_bglt)(BgL_new1094z00_1474); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3533, BFALSE); } 
{ /* Ast/var.scm 19 */
obj_t BgL_auxz00_3536;
BgL_auxz00_3536 = 
(obj_t)(BgL_new1094z00_1474); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3536); } BUNSPEC; 
BgL_res2294z00_1479 = BgL_new1094z00_1474; } 
BgL_new1092z00_1473 = BgL_res2294z00_1479; } 
return BgL_new1092z00_1473;} } 
}



/* _make-value */
obj_t BGl__makezd2valuezd2zzast_varz00(obj_t BgL_envz00_2012)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_auxz00_3539;
BgL_auxz00_3539 = 
BGl_makezd2valuezd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3539);} } 
}



/* allocate-value */
BgL_valuez00_bglt BGl_allocatezd2valuezd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_new1094z00_1481;
BgL_new1094z00_1481 = 
((BgL_valuez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_valuez00_bgl) ))); 
{ /* Ast/var.scm 19 */
long BgL_arg2087z00_1482;
BgL_arg2087z00_1482 = 
BGl_classzd2numzd2zz__objectz00(BGl_valuez00zzast_varz00); 
{ /* Ast/var.scm 19 */
BgL_objectz00_bglt BgL_auxz00_3544;
BgL_auxz00_3544 = 
(BgL_objectz00_bglt)(BgL_new1094z00_1481); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3544, BgL_arg2087z00_1482); } } 
{ /* Ast/var.scm 19 */
BgL_objectz00_bglt BgL_auxz00_3547;
BgL_auxz00_3547 = 
(BgL_objectz00_bglt)(BgL_new1094z00_1481); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3547, BFALSE); } 
{ /* Ast/var.scm 19 */
obj_t BgL_auxz00_3550;
BgL_auxz00_3550 = 
(obj_t)(BgL_new1094z00_1481); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3550); } BUNSPEC; 
return BgL_new1094z00_1481;} } 
}



/* _allocate-value */
obj_t BGl__allocatezd2valuezd2zzast_varz00(obj_t BgL_envz00_2013)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_auxz00_3553;
BgL_auxz00_3553 = 
BGl_allocatezd2valuezd2zzast_varz00(); 
return 
(obj_t)(BgL_auxz00_3553);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 14 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sexitz00zzast_varz00, BGl_proc2298z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sexitz00zzast_varz00, BGl_proc2299z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_cvarz00zzast_varz00, BGl_proc2300z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_cvarz00zzast_varz00, BGl_proc2301z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_scnstz00zzast_varz00, BGl_proc2302z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_scnstz00zzast_varz00, BGl_proc2303z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_svarz00zzast_varz00, BGl_proc2304z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_svarz00zzast_varz00, BGl_proc2305z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_cfunz00zzast_varz00, BGl_proc2306z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_cfunz00zzast_varz00, BGl_proc2307z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sfunz00zzast_varz00, BGl_proc2308z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sfunz00zzast_varz00, BGl_proc2309z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_funz00zzast_varz00, BGl_proc2310z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_funz00zzast_varz00, BGl_proc2311z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localz00zzast_varz00, BGl_proc2312z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localz00zzast_varz00, BGl_proc2313z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_globalz00zzast_varz00, BGl_proc2314z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_globalz00zzast_varz00, BGl_proc2315z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_variablez00zzast_varz00, BGl_proc2316z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_variablez00zzast_varz00, BGl_proc2317z00zzast_varz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_valuez00zzast_varz00, BGl_proc2318z00zzast_varz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_valuez00zzast_varz00, BGl_proc2319z00zzast_varz00);} 
}



/* struct+object->object-value1907 */
obj_t BGl_structzb2objectzd2ze3objectzd2value1907z51zzast_varz00(obj_t BgL_envz00_2422, obj_t BgL_oz00_2423, obj_t BgL_sz00_2424)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ 
BgL_valuez00_bglt BgL_oz00_1092;obj_t BgL_sz00_1093;
{ /* Ast/var.scm 19 */
BgL_valuez00_bglt BgL_auxz00_3578;
BgL_oz00_1092 = 
(BgL_valuez00_bglt)(BgL_oz00_2423); 
BgL_sz00_1093 = BgL_sz00_2424; 
{ /* Ast/var.scm 19 */
obj_t BgL_auxz00_3581;BgL_objectz00_bglt BgL_auxz00_3579;
{ /* Ast/var.scm 19 */
int BgL_auxz00_3582;
BgL_auxz00_3582 = 
(int)(((long)0)); 
BgL_auxz00_3581 = 
STRUCT_REF(BgL_sz00_1093, BgL_auxz00_3582); } 
BgL_auxz00_3579 = 
(BgL_objectz00_bglt)(BgL_oz00_1092); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3579, BgL_auxz00_3581); } 
BgL_auxz00_3578 = BgL_oz00_1092; 
return 
(obj_t)(BgL_auxz00_3578);} } } 
}



/* object->struct-value1905 */
obj_t BGl_objectzd2ze3structzd2value1905ze3zzast_varz00(obj_t BgL_envz00_2425, obj_t BgL_obj1095z00_2426)
{ AN_OBJECT;
{ /* Ast/var.scm 19 */
{ 
BgL_valuez00_bglt BgL_obj1095z00_1086;
BgL_obj1095z00_1086 = 
(BgL_valuez00_bglt)(BgL_obj1095z00_2426); 
{ /* Ast/var.scm 19 */
obj_t BgL_res1096z00_1089;
{ /* Ast/var.scm 19 */
int BgL_auxz00_3590;obj_t BgL_auxz00_3588;
BgL_auxz00_3590 = 
(int)(((long)1)); 
BgL_auxz00_3588 = 
CNST_TABLE_REF(((long)1)); 
BgL_res1096z00_1089 = 
make_struct(BgL_auxz00_3588, BgL_auxz00_3590, BUNSPEC); } 
{ /* Ast/var.scm 19 */
int BgL_auxz00_3593;
BgL_auxz00_3593 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1096z00_1089, BgL_auxz00_3593, BFALSE); } 
return BgL_res1096z00_1089;} } } 
}



/* struct+object->object-variable1903 */
obj_t BGl_structzb2objectzd2ze3objectzd2variable1903z51zzast_varz00(obj_t BgL_envz00_2427, obj_t BgL_oz00_2428, obj_t BgL_sz00_2429)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ 
BgL_variablez00_bglt BgL_oz00_1071;obj_t BgL_sz00_1072;
{ /* Ast/var.scm 21 */
BgL_variablez00_bglt BgL_auxz00_3597;
BgL_oz00_1071 = 
(BgL_variablez00_bglt)(BgL_oz00_2428); 
BgL_sz00_1072 = BgL_sz00_2429; 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3600;BgL_objectz00_bglt BgL_auxz00_3598;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3601;
BgL_auxz00_3601 = 
(int)(((long)0)); 
BgL_auxz00_3600 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3601); } 
BgL_auxz00_3598 = 
(BgL_objectz00_bglt)(BgL_oz00_1071); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3598, BgL_auxz00_3600); } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1153z00_1076;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3605;
BgL_auxz00_3605 = 
(int)(((long)1)); 
BgL_v1153z00_1076 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3605); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_idz00) = ((obj_t)BgL_v1153z00_1076), BUNSPEC); } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1157z00_1077;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3609;
BgL_auxz00_3609 = 
(int)(((long)2)); 
BgL_v1157z00_1077 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3609); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_namez00) = ((obj_t)BgL_v1157z00_1077), BUNSPEC); } 
{ /* Ast/var.scm 21 */
BgL_typez00_bglt BgL_v1161z00_1078;
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3613;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3614;
BgL_auxz00_3614 = 
(int)(((long)3)); 
BgL_auxz00_3613 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3614); } 
BgL_v1161z00_1078 = 
(BgL_typez00_bglt)(BgL_auxz00_3613); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1161z00_1078), BUNSPEC); } 
{ /* Ast/var.scm 21 */
BgL_valuez00_bglt BgL_v1165z00_1079;
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3619;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3620;
BgL_auxz00_3620 = 
(int)(((long)4)); 
BgL_auxz00_3619 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3620); } 
BgL_v1165z00_1079 = 
(BgL_valuez00_bglt)(BgL_auxz00_3619); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_v1165z00_1079), BUNSPEC); } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1169z00_1080;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3625;
BgL_auxz00_3625 = 
(int)(((long)5)); 
BgL_v1169z00_1080 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3625); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_accessz00) = ((obj_t)BgL_v1169z00_1080), BUNSPEC); } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1173z00_1081;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3629;
BgL_auxz00_3629 = 
(int)(((long)6)); 
BgL_v1173z00_1081 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3629); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_fastzd2alphazd2) = ((obj_t)BgL_v1173z00_1081), BUNSPEC); } 
{ /* Ast/var.scm 21 */
obj_t BgL_v1177z00_1082;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)7)); 
BgL_v1177z00_1082 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3633); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_removablez00) = ((obj_t)BgL_v1177z00_1082), BUNSPEC); } 
{ /* Ast/var.scm 21 */
long BgL_v1181z00_1083;
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3637;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3638;
BgL_auxz00_3638 = 
(int)(((long)8)); 
BgL_auxz00_3637 = 
STRUCT_REF(BgL_sz00_1072, BgL_auxz00_3638); } 
BgL_v1181z00_1083 = 
(long)CINT(BgL_auxz00_3637); } 
((((BgL_variablez00_bglt)CREF(BgL_oz00_1071))->BgL_occurrencez00) = ((long)BgL_v1181z00_1083), BUNSPEC); } 
BgL_auxz00_3597 = BgL_oz00_1071; 
return 
(obj_t)(BgL_auxz00_3597);} } } 
}



/* object->struct-variable1901 */
obj_t BGl_objectzd2ze3structzd2variable1901ze3zzast_varz00(obj_t BgL_envz00_2430, obj_t BgL_obj1149z00_2431)
{ AN_OBJECT;
{ /* Ast/var.scm 21 */
{ 
BgL_variablez00_bglt BgL_obj1149z00_1049;
BgL_obj1149z00_1049 = 
(BgL_variablez00_bglt)(BgL_obj1149z00_2431); 
{ /* Ast/var.scm 21 */
obj_t BgL_res1150z00_1052;
{ /* Ast/var.scm 21 */
int BgL_auxz00_3647;obj_t BgL_auxz00_3645;
BgL_auxz00_3647 = 
(int)(((long)9)); 
BgL_auxz00_3645 = 
CNST_TABLE_REF(((long)2)); 
BgL_res1150z00_1052 = 
make_struct(BgL_auxz00_3645, BgL_auxz00_3647, BUNSPEC); } 
{ /* Ast/var.scm 21 */
int BgL_auxz00_3650;
BgL_auxz00_3650 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3650, BFALSE); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3655;int BgL_auxz00_3653;
BgL_auxz00_3655 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_idz00); 
BgL_auxz00_3653 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3653, BgL_auxz00_3655); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3660;int BgL_auxz00_3658;
BgL_auxz00_3660 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_namez00); 
BgL_auxz00_3658 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3658, BgL_auxz00_3660); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3665;int BgL_auxz00_3663;
{ /* Ast/var.scm 21 */
BgL_typez00_bglt BgL_auxz00_3666;
BgL_auxz00_3666 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_typez00); 
BgL_auxz00_3665 = 
(obj_t)(BgL_auxz00_3666); } 
BgL_auxz00_3663 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3663, BgL_auxz00_3665); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3672;int BgL_auxz00_3670;
{ /* Ast/var.scm 21 */
BgL_valuez00_bglt BgL_auxz00_3673;
BgL_auxz00_3673 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_valuez00); 
BgL_auxz00_3672 = 
(obj_t)(BgL_auxz00_3673); } 
BgL_auxz00_3670 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3670, BgL_auxz00_3672); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3679;int BgL_auxz00_3677;
BgL_auxz00_3679 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_accessz00); 
BgL_auxz00_3677 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3677, BgL_auxz00_3679); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3684;int BgL_auxz00_3682;
BgL_auxz00_3684 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_fastzd2alphazd2); 
BgL_auxz00_3682 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3682, BgL_auxz00_3684); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3689;int BgL_auxz00_3687;
BgL_auxz00_3689 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_removablez00); 
BgL_auxz00_3687 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3687, BgL_auxz00_3689); } 
{ /* Ast/var.scm 21 */
obj_t BgL_auxz00_3694;int BgL_auxz00_3692;
{ /* Ast/var.scm 21 */
long BgL_auxz00_3695;
BgL_auxz00_3695 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1149z00_1049))->BgL_occurrencez00); 
BgL_auxz00_3694 = 
BINT(BgL_auxz00_3695); } 
BgL_auxz00_3692 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1150z00_1052, BgL_auxz00_3692, BgL_auxz00_3694); } 
return BgL_res1150z00_1052;} } } 
}



/* struct+object->object-global1899 */
obj_t BGl_structzb2objectzd2ze3objectzd2global1899z51zzast_varz00(obj_t BgL_envz00_2432, obj_t BgL_oz00_2433, obj_t BgL_sz00_2434)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ 
BgL_globalz00_bglt BgL_oz00_1026;obj_t BgL_sz00_1027;
{ /* Ast/var.scm 40 */
BgL_globalz00_bglt BgL_auxz00_3700;
BgL_oz00_1026 = 
(BgL_globalz00_bglt)(BgL_oz00_2433); 
BgL_sz00_1027 = BgL_sz00_2434; 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3703;BgL_objectz00_bglt BgL_auxz00_3701;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3704;
BgL_auxz00_3704 = 
(int)(((long)0)); 
BgL_auxz00_3703 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3704); } 
BgL_auxz00_3701 = 
(BgL_objectz00_bglt)(BgL_oz00_1026); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3701, BgL_auxz00_3703); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1287z00_1031;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3708;
BgL_auxz00_3708 = 
(int)(((long)1)); 
BgL_v1287z00_1031 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3708); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_idz00) = ((obj_t)BgL_v1287z00_1031), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1291z00_1032;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3712;
BgL_auxz00_3712 = 
(int)(((long)2)); 
BgL_v1291z00_1032 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3712); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_namez00) = ((obj_t)BgL_v1291z00_1032), BUNSPEC); } 
{ /* Ast/var.scm 40 */
BgL_typez00_bglt BgL_v1295z00_1033;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3716;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3717;
BgL_auxz00_3717 = 
(int)(((long)3)); 
BgL_auxz00_3716 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3717); } 
BgL_v1295z00_1033 = 
(BgL_typez00_bglt)(BgL_auxz00_3716); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1295z00_1033), BUNSPEC); } 
{ /* Ast/var.scm 40 */
BgL_valuez00_bglt BgL_v1299z00_1034;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3722;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3723;
BgL_auxz00_3723 = 
(int)(((long)4)); 
BgL_auxz00_3722 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3723); } 
BgL_v1299z00_1034 = 
(BgL_valuez00_bglt)(BgL_auxz00_3722); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_v1299z00_1034), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1303z00_1035;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3728;
BgL_auxz00_3728 = 
(int)(((long)5)); 
BgL_v1303z00_1035 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3728); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_accessz00) = ((obj_t)BgL_v1303z00_1035), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1307z00_1036;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3732;
BgL_auxz00_3732 = 
(int)(((long)6)); 
BgL_v1307z00_1036 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3732); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_fastzd2alphazd2) = ((obj_t)BgL_v1307z00_1036), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1311z00_1037;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3736;
BgL_auxz00_3736 = 
(int)(((long)7)); 
BgL_v1311z00_1037 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3736); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_removablez00) = ((obj_t)BgL_v1311z00_1037), BUNSPEC); } 
{ /* Ast/var.scm 40 */
long BgL_v1315z00_1038;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3740;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3741;
BgL_auxz00_3741 = 
(int)(((long)8)); 
BgL_auxz00_3740 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3741); } 
BgL_v1315z00_1038 = 
(long)CINT(BgL_auxz00_3740); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_occurrencez00) = ((long)BgL_v1315z00_1038), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1319z00_1039;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3746;
BgL_auxz00_3746 = 
(int)(((long)9)); 
BgL_v1319z00_1039 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3746); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_modulez00) = ((obj_t)BgL_v1319z00_1039), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1323z00_1040;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3750;
BgL_auxz00_3750 = 
(int)(((long)10)); 
BgL_v1323z00_1040 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3750); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_importz00) = ((obj_t)BgL_v1323z00_1040), BUNSPEC); } 
{ /* Ast/var.scm 40 */
bool_t BgL_v1327z00_1041;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3754;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3755;
BgL_auxz00_3755 = 
(int)(((long)11)); 
BgL_auxz00_3754 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3755); } 
BgL_v1327z00_1041 = 
CBOOL(BgL_auxz00_3754); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_evaluablezf3zf3) = ((bool_t)BgL_v1327z00_1041), BUNSPEC); } 
{ /* Ast/var.scm 40 */
bool_t BgL_v1331z00_1042;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3760;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3761;
BgL_auxz00_3761 = 
(int)(((long)12)); 
BgL_auxz00_3760 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3761); } 
BgL_v1331z00_1042 = 
CBOOL(BgL_auxz00_3760); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_libraryzf3zf3) = ((bool_t)BgL_v1331z00_1042), BUNSPEC); } 
{ /* Ast/var.scm 40 */
bool_t BgL_v1335z00_1043;
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3766;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3767;
BgL_auxz00_3767 = 
(int)(((long)13)); 
BgL_auxz00_3766 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3767); } 
BgL_v1335z00_1043 = 
CBOOL(BgL_auxz00_3766); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_userzf3zf3) = ((bool_t)BgL_v1335z00_1043), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1339z00_1044;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3772;
BgL_auxz00_3772 = 
(int)(((long)14)); 
BgL_v1339z00_1044 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3772); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_pragmaz00) = ((obj_t)BgL_v1339z00_1044), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1343z00_1045;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3776;
BgL_auxz00_3776 = 
(int)(((long)15)); 
BgL_v1343z00_1045 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3776); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_srcz00) = ((obj_t)BgL_v1343z00_1045), BUNSPEC); } 
{ /* Ast/var.scm 40 */
obj_t BgL_v1347z00_1046;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3780;
BgL_auxz00_3780 = 
(int)(((long)16)); 
BgL_v1347z00_1046 = 
STRUCT_REF(BgL_sz00_1027, BgL_auxz00_3780); } 
((((BgL_globalz00_bglt)CREF(BgL_oz00_1026))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_v1347z00_1046), BUNSPEC); } 
BgL_auxz00_3700 = BgL_oz00_1026; 
return 
(obj_t)(BgL_auxz00_3700);} } } 
}



/* object->struct-global1897 */
obj_t BGl_objectzd2ze3structzd2global1897ze3zzast_varz00(obj_t BgL_envz00_2435, obj_t BgL_obj1283z00_2436)
{ AN_OBJECT;
{ /* Ast/var.scm 40 */
{ 
BgL_globalz00_bglt BgL_obj1283z00_988;
BgL_obj1283z00_988 = 
(BgL_globalz00_bglt)(BgL_obj1283z00_2436); 
{ /* Ast/var.scm 40 */
obj_t BgL_res1284z00_991;
{ /* Ast/var.scm 40 */
int BgL_auxz00_3788;obj_t BgL_auxz00_3786;
BgL_auxz00_3788 = 
(int)(((long)17)); 
BgL_auxz00_3786 = 
CNST_TABLE_REF(((long)11)); 
BgL_res1284z00_991 = 
make_struct(BgL_auxz00_3786, BgL_auxz00_3788, BUNSPEC); } 
{ /* Ast/var.scm 40 */
int BgL_auxz00_3791;
BgL_auxz00_3791 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3791, BFALSE); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3796;int BgL_auxz00_3794;
BgL_auxz00_3796 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_idz00); 
BgL_auxz00_3794 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3794, BgL_auxz00_3796); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3801;int BgL_auxz00_3799;
BgL_auxz00_3801 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_namez00); 
BgL_auxz00_3799 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3799, BgL_auxz00_3801); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3806;int BgL_auxz00_3804;
{ /* Ast/var.scm 40 */
BgL_typez00_bglt BgL_auxz00_3807;
BgL_auxz00_3807 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_typez00); 
BgL_auxz00_3806 = 
(obj_t)(BgL_auxz00_3807); } 
BgL_auxz00_3804 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3804, BgL_auxz00_3806); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3813;int BgL_auxz00_3811;
{ /* Ast/var.scm 40 */
BgL_valuez00_bglt BgL_auxz00_3814;
BgL_auxz00_3814 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_valuez00); 
BgL_auxz00_3813 = 
(obj_t)(BgL_auxz00_3814); } 
BgL_auxz00_3811 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3811, BgL_auxz00_3813); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3820;int BgL_auxz00_3818;
BgL_auxz00_3820 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_accessz00); 
BgL_auxz00_3818 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3818, BgL_auxz00_3820); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3825;int BgL_auxz00_3823;
BgL_auxz00_3825 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_fastzd2alphazd2); 
BgL_auxz00_3823 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3823, BgL_auxz00_3825); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3830;int BgL_auxz00_3828;
BgL_auxz00_3830 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_removablez00); 
BgL_auxz00_3828 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3828, BgL_auxz00_3830); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3835;int BgL_auxz00_3833;
{ /* Ast/var.scm 40 */
long BgL_auxz00_3836;
BgL_auxz00_3836 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_occurrencez00); 
BgL_auxz00_3835 = 
BINT(BgL_auxz00_3836); } 
BgL_auxz00_3833 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3833, BgL_auxz00_3835); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3842;int BgL_auxz00_3840;
BgL_auxz00_3842 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_modulez00); 
BgL_auxz00_3840 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3840, BgL_auxz00_3842); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3847;int BgL_auxz00_3845;
BgL_auxz00_3847 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_importz00); 
BgL_auxz00_3845 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3845, BgL_auxz00_3847); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3852;int BgL_auxz00_3850;
{ /* Ast/var.scm 40 */
bool_t BgL_auxz00_3853;
BgL_auxz00_3853 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_evaluablezf3zf3); 
BgL_auxz00_3852 = 
BBOOL(BgL_auxz00_3853); } 
BgL_auxz00_3850 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3850, BgL_auxz00_3852); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3859;int BgL_auxz00_3857;
{ /* Ast/var.scm 40 */
bool_t BgL_auxz00_3860;
BgL_auxz00_3860 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_libraryzf3zf3); 
BgL_auxz00_3859 = 
BBOOL(BgL_auxz00_3860); } 
BgL_auxz00_3857 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3857, BgL_auxz00_3859); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3866;int BgL_auxz00_3864;
{ /* Ast/var.scm 40 */
bool_t BgL_auxz00_3867;
BgL_auxz00_3867 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_userzf3zf3); 
BgL_auxz00_3866 = 
BBOOL(BgL_auxz00_3867); } 
BgL_auxz00_3864 = 
(int)(((long)13)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3864, BgL_auxz00_3866); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3873;int BgL_auxz00_3871;
BgL_auxz00_3873 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_pragmaz00); 
BgL_auxz00_3871 = 
(int)(((long)14)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3871, BgL_auxz00_3873); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3878;int BgL_auxz00_3876;
BgL_auxz00_3878 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_srcz00); 
BgL_auxz00_3876 = 
(int)(((long)15)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3876, BgL_auxz00_3878); } 
{ /* Ast/var.scm 40 */
obj_t BgL_auxz00_3883;int BgL_auxz00_3881;
BgL_auxz00_3883 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1283z00_988))->BgL_jvmzd2typezd2namez00); 
BgL_auxz00_3881 = 
(int)(((long)16)); 
STRUCT_SET(BgL_res1284z00_991, BgL_auxz00_3881, BgL_auxz00_3883); } 
return BgL_res1284z00_991;} } } 
}



/* struct+object->object-local1895 */
obj_t BGl_structzb2objectzd2ze3objectzd2local1895z51zzast_varz00(obj_t BgL_envz00_2437, obj_t BgL_oz00_2438, obj_t BgL_sz00_2439)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ 
BgL_localz00_bglt BgL_oz00_971;obj_t BgL_sz00_972;
{ /* Ast/var.scm 65 */
BgL_localz00_bglt BgL_auxz00_3887;
BgL_oz00_971 = 
(BgL_localz00_bglt)(BgL_oz00_2438); 
BgL_sz00_972 = BgL_sz00_2439; 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3890;BgL_objectz00_bglt BgL_auxz00_3888;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3891;
BgL_auxz00_3891 = 
(int)(((long)0)); 
BgL_auxz00_3890 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3891); } 
BgL_auxz00_3888 = 
(BgL_objectz00_bglt)(BgL_oz00_971); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3888, BgL_auxz00_3890); } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1416z00_976;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3895;
BgL_auxz00_3895 = 
(int)(((long)1)); 
BgL_v1416z00_976 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3895); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_idz00) = ((obj_t)BgL_v1416z00_976), BUNSPEC); } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1420z00_977;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3899;
BgL_auxz00_3899 = 
(int)(((long)2)); 
BgL_v1420z00_977 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3899); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_namez00) = ((obj_t)BgL_v1420z00_977), BUNSPEC); } 
{ /* Ast/var.scm 65 */
BgL_typez00_bglt BgL_v1424z00_978;
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3903;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3904;
BgL_auxz00_3904 = 
(int)(((long)3)); 
BgL_auxz00_3903 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3904); } 
BgL_v1424z00_978 = 
(BgL_typez00_bglt)(BgL_auxz00_3903); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_typez00) = ((BgL_typez00_bglt)BgL_v1424z00_978), BUNSPEC); } 
{ /* Ast/var.scm 65 */
BgL_valuez00_bglt BgL_v1428z00_979;
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3909;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(((long)4)); 
BgL_auxz00_3909 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3910); } 
BgL_v1428z00_979 = 
(BgL_valuez00_bglt)(BgL_auxz00_3909); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_v1428z00_979), BUNSPEC); } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1432z00_980;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3915;
BgL_auxz00_3915 = 
(int)(((long)5)); 
BgL_v1432z00_980 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3915); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_accessz00) = ((obj_t)BgL_v1432z00_980), BUNSPEC); } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1436z00_981;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3919;
BgL_auxz00_3919 = 
(int)(((long)6)); 
BgL_v1436z00_981 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3919); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_fastzd2alphazd2) = ((obj_t)BgL_v1436z00_981), BUNSPEC); } 
{ /* Ast/var.scm 65 */
obj_t BgL_v1440z00_982;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3923;
BgL_auxz00_3923 = 
(int)(((long)7)); 
BgL_v1440z00_982 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3923); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_removablez00) = ((obj_t)BgL_v1440z00_982), BUNSPEC); } 
{ /* Ast/var.scm 65 */
long BgL_v1444z00_983;
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3927;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)8)); 
BgL_auxz00_3927 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3928); } 
BgL_v1444z00_983 = 
(long)CINT(BgL_auxz00_3927); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_occurrencez00) = ((long)BgL_v1444z00_983), BUNSPEC); } 
{ /* Ast/var.scm 65 */
bool_t BgL_v1448z00_984;
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3933;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3934;
BgL_auxz00_3934 = 
(int)(((long)9)); 
BgL_auxz00_3933 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3934); } 
BgL_v1448z00_984 = 
CBOOL(BgL_auxz00_3933); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_userzf3zf3) = ((bool_t)BgL_v1448z00_984), BUNSPEC); } 
{ /* Ast/var.scm 65 */
long BgL_v1452z00_985;
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3939;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3940;
BgL_auxz00_3940 = 
(int)(((long)10)); 
BgL_auxz00_3939 = 
STRUCT_REF(BgL_sz00_972, BgL_auxz00_3940); } 
BgL_v1452z00_985 = 
(long)CINT(BgL_auxz00_3939); } 
((((BgL_localz00_bglt)CREF(BgL_oz00_971))->BgL_keyz00) = ((long)BgL_v1452z00_985), BUNSPEC); } 
BgL_auxz00_3887 = BgL_oz00_971; 
return 
(obj_t)(BgL_auxz00_3887);} } } 
}



/* object->struct-local1893 */
obj_t BGl_objectzd2ze3structzd2local1893ze3zzast_varz00(obj_t BgL_envz00_2440, obj_t BgL_obj1412z00_2441)
{ AN_OBJECT;
{ /* Ast/var.scm 65 */
{ 
BgL_localz00_bglt BgL_obj1412z00_945;
BgL_obj1412z00_945 = 
(BgL_localz00_bglt)(BgL_obj1412z00_2441); 
{ /* Ast/var.scm 65 */
obj_t BgL_res1413z00_948;
{ /* Ast/var.scm 65 */
int BgL_auxz00_3949;obj_t BgL_auxz00_3947;
BgL_auxz00_3949 = 
(int)(((long)11)); 
BgL_auxz00_3947 = 
CNST_TABLE_REF(((long)20)); 
BgL_res1413z00_948 = 
make_struct(BgL_auxz00_3947, BgL_auxz00_3949, BUNSPEC); } 
{ /* Ast/var.scm 65 */
int BgL_auxz00_3952;
BgL_auxz00_3952 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3952, BFALSE); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3957;int BgL_auxz00_3955;
BgL_auxz00_3957 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_idz00); 
BgL_auxz00_3955 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3955, BgL_auxz00_3957); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3962;int BgL_auxz00_3960;
BgL_auxz00_3962 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_namez00); 
BgL_auxz00_3960 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3960, BgL_auxz00_3962); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3967;int BgL_auxz00_3965;
{ /* Ast/var.scm 65 */
BgL_typez00_bglt BgL_auxz00_3968;
BgL_auxz00_3968 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_typez00); 
BgL_auxz00_3967 = 
(obj_t)(BgL_auxz00_3968); } 
BgL_auxz00_3965 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3965, BgL_auxz00_3967); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3974;int BgL_auxz00_3972;
{ /* Ast/var.scm 65 */
BgL_valuez00_bglt BgL_auxz00_3975;
BgL_auxz00_3975 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_valuez00); 
BgL_auxz00_3974 = 
(obj_t)(BgL_auxz00_3975); } 
BgL_auxz00_3972 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3972, BgL_auxz00_3974); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3981;int BgL_auxz00_3979;
BgL_auxz00_3981 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_accessz00); 
BgL_auxz00_3979 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3979, BgL_auxz00_3981); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3986;int BgL_auxz00_3984;
BgL_auxz00_3986 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_fastzd2alphazd2); 
BgL_auxz00_3984 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3984, BgL_auxz00_3986); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3991;int BgL_auxz00_3989;
BgL_auxz00_3991 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_removablez00); 
BgL_auxz00_3989 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3989, BgL_auxz00_3991); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_3996;int BgL_auxz00_3994;
{ /* Ast/var.scm 65 */
long BgL_auxz00_3997;
BgL_auxz00_3997 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_occurrencez00); 
BgL_auxz00_3996 = 
BINT(BgL_auxz00_3997); } 
BgL_auxz00_3994 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_3994, BgL_auxz00_3996); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_4003;int BgL_auxz00_4001;
{ /* Ast/var.scm 65 */
bool_t BgL_auxz00_4004;
BgL_auxz00_4004 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_userzf3zf3); 
BgL_auxz00_4003 = 
BBOOL(BgL_auxz00_4004); } 
BgL_auxz00_4001 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_4001, BgL_auxz00_4003); } 
{ /* Ast/var.scm 65 */
obj_t BgL_auxz00_4010;int BgL_auxz00_4008;
{ /* Ast/var.scm 65 */
long BgL_auxz00_4011;
BgL_auxz00_4011 = 
(((BgL_localz00_bglt)CREF(BgL_obj1412z00_945))->BgL_keyz00); 
BgL_auxz00_4010 = 
BINT(BgL_auxz00_4011); } 
BgL_auxz00_4008 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1413z00_948, BgL_auxz00_4008, BgL_auxz00_4010); } 
return BgL_res1413z00_948;} } } 
}



/* struct+object->object-fun1891 */
obj_t BGl_structzb2objectzd2ze3objectzd2fun1891z51zzast_varz00(obj_t BgL_envz00_2442, obj_t BgL_oz00_2443, obj_t BgL_sz00_2444)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ 
BgL_funz00_bglt BgL_oz00_932;obj_t BgL_sz00_933;
{ /* Ast/var.scm 71 */
BgL_funz00_bglt BgL_auxz00_4016;
BgL_oz00_932 = 
(BgL_funz00_bglt)(BgL_oz00_2443); 
BgL_sz00_933 = BgL_sz00_2444; 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4019;BgL_objectz00_bglt BgL_auxz00_4017;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4020;
BgL_auxz00_4020 = 
(int)(((long)0)); 
BgL_auxz00_4019 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4020); } 
BgL_auxz00_4017 = 
(BgL_objectz00_bglt)(BgL_oz00_932); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4017, BgL_auxz00_4019); } 
{ /* Ast/var.scm 71 */
long BgL_v1499z00_937;
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4024;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4025;
BgL_auxz00_4025 = 
(int)(((long)1)); 
BgL_auxz00_4024 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4025); } 
BgL_v1499z00_937 = 
(long)CINT(BgL_auxz00_4024); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_arityz00) = ((long)BgL_v1499z00_937), BUNSPEC); } 
{ /* Ast/var.scm 71 */
obj_t BgL_v1503z00_938;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4030;
BgL_auxz00_4030 = 
(int)(((long)2)); 
BgL_v1503z00_938 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4030); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1503z00_938), BUNSPEC); } 
{ /* Ast/var.scm 71 */
obj_t BgL_v1507z00_939;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4034;
BgL_auxz00_4034 = 
(int)(((long)3)); 
BgL_v1507z00_939 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4034); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_v1507z00_939), BUNSPEC); } 
{ /* Ast/var.scm 71 */
obj_t BgL_v1511z00_940;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4038;
BgL_auxz00_4038 = 
(int)(((long)4)); 
BgL_v1511z00_940 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4038); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_v1511z00_940), BUNSPEC); } 
{ /* Ast/var.scm 71 */
bool_t BgL_v1515z00_941;
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4042;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4043;
BgL_auxz00_4043 = 
(int)(((long)5)); 
BgL_auxz00_4042 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4043); } 
BgL_v1515z00_941 = 
CBOOL(BgL_auxz00_4042); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_topzf3zf3) = ((bool_t)BgL_v1515z00_941), BUNSPEC); } 
{ /* Ast/var.scm 71 */
obj_t BgL_v1519z00_942;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4048;
BgL_auxz00_4048 = 
(int)(((long)6)); 
BgL_v1519z00_942 = 
STRUCT_REF(BgL_sz00_933, BgL_auxz00_4048); } 
((((BgL_funz00_bglt)CREF(BgL_oz00_932))->BgL_thezd2closurezd2) = ((obj_t)BgL_v1519z00_942), BUNSPEC); } 
BgL_auxz00_4016 = BgL_oz00_932; 
return 
(obj_t)(BgL_auxz00_4016);} } } 
}



/* object->struct-fun1889 */
obj_t BGl_objectzd2ze3structzd2fun1889ze3zzast_varz00(obj_t BgL_envz00_2445, obj_t BgL_obj1495z00_2446)
{ AN_OBJECT;
{ /* Ast/var.scm 71 */
{ 
BgL_funz00_bglt BgL_obj1495z00_914;
BgL_obj1495z00_914 = 
(BgL_funz00_bglt)(BgL_obj1495z00_2446); 
{ /* Ast/var.scm 71 */
obj_t BgL_res1496z00_917;
{ /* Ast/var.scm 71 */
int BgL_auxz00_4056;obj_t BgL_auxz00_4054;
BgL_auxz00_4056 = 
(int)(((long)7)); 
BgL_auxz00_4054 = 
CNST_TABLE_REF(((long)22)); 
BgL_res1496z00_917 = 
make_struct(BgL_auxz00_4054, BgL_auxz00_4056, BUNSPEC); } 
{ /* Ast/var.scm 71 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4059, BFALSE); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4064;int BgL_auxz00_4062;
{ /* Ast/var.scm 71 */
long BgL_auxz00_4065;
BgL_auxz00_4065 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_arityz00); 
BgL_auxz00_4064 = 
BINT(BgL_auxz00_4065); } 
BgL_auxz00_4062 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4062, BgL_auxz00_4064); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4071;int BgL_auxz00_4069;
BgL_auxz00_4071 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_4069 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4069, BgL_auxz00_4071); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4076;int BgL_auxz00_4074;
BgL_auxz00_4076 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_predicatezd2ofzd2); 
BgL_auxz00_4074 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4074, BgL_auxz00_4076); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4081;int BgL_auxz00_4079;
BgL_auxz00_4081 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_stackzd2allocatorzd2); 
BgL_auxz00_4079 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4079, BgL_auxz00_4081); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4086;int BgL_auxz00_4084;
{ /* Ast/var.scm 71 */
bool_t BgL_auxz00_4087;
BgL_auxz00_4087 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_topzf3zf3); 
BgL_auxz00_4086 = 
BBOOL(BgL_auxz00_4087); } 
BgL_auxz00_4084 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4084, BgL_auxz00_4086); } 
{ /* Ast/var.scm 71 */
obj_t BgL_auxz00_4093;int BgL_auxz00_4091;
BgL_auxz00_4093 = 
(((BgL_funz00_bglt)CREF(BgL_obj1495z00_914))->BgL_thezd2closurezd2); 
BgL_auxz00_4091 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1496z00_917, BgL_auxz00_4091, BgL_auxz00_4093); } 
return BgL_res1496z00_917;} } } 
}



/* struct+object->object-sfun1887 */
obj_t BGl_structzb2objectzd2ze3objectzd2sfun1887z51zzast_varz00(obj_t BgL_envz00_2447, obj_t BgL_oz00_2448, obj_t BgL_sz00_2449)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ 
BgL_sfunz00_bglt BgL_oz00_895;obj_t BgL_sz00_896;
{ /* Ast/var.scm 85 */
BgL_sfunz00_bglt BgL_auxz00_4097;
BgL_oz00_895 = 
(BgL_sfunz00_bglt)(BgL_oz00_2448); 
BgL_sz00_896 = BgL_sz00_2449; 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4100;BgL_objectz00_bglt BgL_auxz00_4098;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)0)); 
BgL_auxz00_4100 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4101); } 
BgL_auxz00_4098 = 
(BgL_objectz00_bglt)(BgL_oz00_895); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4098, BgL_auxz00_4100); } 
{ /* Ast/var.scm 85 */
long BgL_v1601z00_900;
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4105;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4106;
BgL_auxz00_4106 = 
(int)(((long)1)); 
BgL_auxz00_4105 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4106); } 
BgL_v1601z00_900 = 
(long)CINT(BgL_auxz00_4105); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_arityz00) = ((long)BgL_v1601z00_900), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1605z00_901;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4111;
BgL_auxz00_4111 = 
(int)(((long)2)); 
BgL_v1605z00_901 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4111); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1605z00_901), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1609z00_902;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(((long)3)); 
BgL_v1609z00_902 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4115); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_v1609z00_902), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1613z00_903;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)4)); 
BgL_v1613z00_903 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4119); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_v1613z00_903), BUNSPEC); } 
{ /* Ast/var.scm 85 */
bool_t BgL_v1617z00_904;
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4123;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4124;
BgL_auxz00_4124 = 
(int)(((long)5)); 
BgL_auxz00_4123 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4124); } 
BgL_v1617z00_904 = 
CBOOL(BgL_auxz00_4123); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_topzf3zf3) = ((bool_t)BgL_v1617z00_904), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1621z00_905;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4129;
BgL_auxz00_4129 = 
(int)(((long)6)); 
BgL_v1621z00_905 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4129); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_thezd2closurezd2) = ((obj_t)BgL_v1621z00_905), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1625z00_906;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4133;
BgL_auxz00_4133 = 
(int)(((long)7)); 
BgL_v1625z00_906 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4133); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_propertyz00) = ((obj_t)BgL_v1625z00_906), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1629z00_907;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4137;
BgL_auxz00_4137 = 
(int)(((long)8)); 
BgL_v1629z00_907 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4137); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_argsz00) = ((obj_t)BgL_v1629z00_907), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1633z00_908;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4141;
BgL_auxz00_4141 = 
(int)(((long)9)); 
BgL_v1633z00_908 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4141); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_bodyz00) = ((obj_t)BgL_v1633z00_908), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1637z00_909;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4145;
BgL_auxz00_4145 = 
(int)(((long)10)); 
BgL_v1637z00_909 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4145); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_classz00) = ((obj_t)BgL_v1637z00_909), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1641z00_910;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4149;
BgL_auxz00_4149 = 
(int)(((long)11)); 
BgL_v1641z00_910 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4149); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_v1641z00_910), BUNSPEC); } 
{ /* Ast/var.scm 85 */
obj_t BgL_v1645z00_911;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)12)); 
BgL_v1645z00_911 = 
STRUCT_REF(BgL_sz00_896, BgL_auxz00_4153); } 
((((BgL_sfunz00_bglt)CREF(BgL_oz00_895))->BgL_locz00) = ((obj_t)BgL_v1645z00_911), BUNSPEC); } 
BgL_auxz00_4097 = BgL_oz00_895; 
return 
(obj_t)(BgL_auxz00_4097);} } } 
}



/* object->struct-sfun1885 */
obj_t BGl_objectzd2ze3structzd2sfun1885ze3zzast_varz00(obj_t BgL_envz00_2450, obj_t BgL_obj1597z00_2451)
{ AN_OBJECT;
{ /* Ast/var.scm 85 */
{ 
BgL_sfunz00_bglt BgL_obj1597z00_865;
BgL_obj1597z00_865 = 
(BgL_sfunz00_bglt)(BgL_obj1597z00_2451); 
{ /* Ast/var.scm 85 */
obj_t BgL_res1598z00_868;
{ /* Ast/var.scm 85 */
int BgL_auxz00_4161;obj_t BgL_auxz00_4159;
BgL_auxz00_4161 = 
(int)(((long)13)); 
BgL_auxz00_4159 = 
CNST_TABLE_REF(((long)29)); 
BgL_res1598z00_868 = 
make_struct(BgL_auxz00_4159, BgL_auxz00_4161, BUNSPEC); } 
{ /* Ast/var.scm 85 */
int BgL_auxz00_4164;
BgL_auxz00_4164 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4164, BFALSE); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4169;int BgL_auxz00_4167;
{ /* Ast/var.scm 85 */
long BgL_auxz00_4170;
BgL_auxz00_4170 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_arityz00); 
BgL_auxz00_4169 = 
BINT(BgL_auxz00_4170); } 
BgL_auxz00_4167 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4167, BgL_auxz00_4169); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4176;int BgL_auxz00_4174;
BgL_auxz00_4176 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_4174 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4174, BgL_auxz00_4176); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4181;int BgL_auxz00_4179;
BgL_auxz00_4181 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_predicatezd2ofzd2); 
BgL_auxz00_4179 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4179, BgL_auxz00_4181); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4186;int BgL_auxz00_4184;
BgL_auxz00_4186 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_stackzd2allocatorzd2); 
BgL_auxz00_4184 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4184, BgL_auxz00_4186); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4191;int BgL_auxz00_4189;
{ /* Ast/var.scm 85 */
bool_t BgL_auxz00_4192;
BgL_auxz00_4192 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_topzf3zf3); 
BgL_auxz00_4191 = 
BBOOL(BgL_auxz00_4192); } 
BgL_auxz00_4189 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4189, BgL_auxz00_4191); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4198;int BgL_auxz00_4196;
BgL_auxz00_4198 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_thezd2closurezd2); 
BgL_auxz00_4196 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4196, BgL_auxz00_4198); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4203;int BgL_auxz00_4201;
BgL_auxz00_4203 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_propertyz00); 
BgL_auxz00_4201 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4201, BgL_auxz00_4203); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4208;int BgL_auxz00_4206;
BgL_auxz00_4208 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_argsz00); 
BgL_auxz00_4206 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4206, BgL_auxz00_4208); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4213;int BgL_auxz00_4211;
BgL_auxz00_4213 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_bodyz00); 
BgL_auxz00_4211 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4211, BgL_auxz00_4213); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4218;int BgL_auxz00_4216;
BgL_auxz00_4218 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_classz00); 
BgL_auxz00_4216 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4216, BgL_auxz00_4218); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4223;int BgL_auxz00_4221;
BgL_auxz00_4223 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_dssslzd2keywordszd2); 
BgL_auxz00_4221 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4221, BgL_auxz00_4223); } 
{ /* Ast/var.scm 85 */
obj_t BgL_auxz00_4228;int BgL_auxz00_4226;
BgL_auxz00_4228 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_865))->BgL_locz00); 
BgL_auxz00_4226 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res1598z00_868, BgL_auxz00_4226, BgL_auxz00_4228); } 
return BgL_res1598z00_868;} } } 
}



/* struct+object->object-cfun1883 */
obj_t BGl_structzb2objectzd2ze3objectzd2cfun1883z51zzast_varz00(obj_t BgL_envz00_2452, obj_t BgL_oz00_2453, obj_t BgL_sz00_2454)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ 
BgL_cfunz00_bglt BgL_oz00_848;obj_t BgL_sz00_849;
{ /* Ast/var.scm 102 */
BgL_cfunz00_bglt BgL_auxz00_4232;
BgL_oz00_848 = 
(BgL_cfunz00_bglt)(BgL_oz00_2453); 
BgL_sz00_849 = BgL_sz00_2454; 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4235;BgL_objectz00_bglt BgL_auxz00_4233;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4236;
BgL_auxz00_4236 = 
(int)(((long)0)); 
BgL_auxz00_4235 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4236); } 
BgL_auxz00_4233 = 
(BgL_objectz00_bglt)(BgL_oz00_848); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4233, BgL_auxz00_4235); } 
{ /* Ast/var.scm 102 */
long BgL_v1712z00_853;
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4240;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4241;
BgL_auxz00_4241 = 
(int)(((long)1)); 
BgL_auxz00_4240 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4241); } 
BgL_v1712z00_853 = 
(long)CINT(BgL_auxz00_4240); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_arityz00) = ((long)BgL_v1712z00_853), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1716z00_854;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4246;
BgL_auxz00_4246 = 
(int)(((long)2)); 
BgL_v1716z00_854 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4246); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_v1716z00_854), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1720z00_855;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4250;
BgL_auxz00_4250 = 
(int)(((long)3)); 
BgL_v1720z00_855 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4250); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_v1720z00_855), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1724z00_856;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4254;
BgL_auxz00_4254 = 
(int)(((long)4)); 
BgL_v1724z00_856 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4254); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_v1724z00_856), BUNSPEC); } 
{ /* Ast/var.scm 102 */
bool_t BgL_v1728z00_857;
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4258;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4259;
BgL_auxz00_4259 = 
(int)(((long)5)); 
BgL_auxz00_4258 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4259); } 
BgL_v1728z00_857 = 
CBOOL(BgL_auxz00_4258); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_topzf3zf3) = ((bool_t)BgL_v1728z00_857), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1732z00_858;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(((long)6)); 
BgL_v1732z00_858 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4264); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_thezd2closurezd2) = ((obj_t)BgL_v1732z00_858), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1736z00_859;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4268;
BgL_auxz00_4268 = 
(int)(((long)7)); 
BgL_v1736z00_859 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4268); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_argszd2typezd2) = ((obj_t)BgL_v1736z00_859), BUNSPEC); } 
{ /* Ast/var.scm 102 */
bool_t BgL_v1740z00_860;
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4272;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4273;
BgL_auxz00_4273 = 
(int)(((long)8)); 
BgL_auxz00_4272 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4273); } 
BgL_v1740z00_860 = 
CBOOL(BgL_auxz00_4272); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_macrozf3zf3) = ((bool_t)BgL_v1740z00_860), BUNSPEC); } 
{ /* Ast/var.scm 102 */
bool_t BgL_v1744z00_861;
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4278;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4279;
BgL_auxz00_4279 = 
(int)(((long)9)); 
BgL_auxz00_4278 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4279); } 
BgL_v1744z00_861 = 
CBOOL(BgL_auxz00_4278); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_infixzf3zf3) = ((bool_t)BgL_v1744z00_861), BUNSPEC); } 
{ /* Ast/var.scm 102 */
obj_t BgL_v1748z00_862;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4284;
BgL_auxz00_4284 = 
(int)(((long)10)); 
BgL_v1748z00_862 = 
STRUCT_REF(BgL_sz00_849, BgL_auxz00_4284); } 
((((BgL_cfunz00_bglt)CREF(BgL_oz00_848))->BgL_methodz00) = ((obj_t)BgL_v1748z00_862), BUNSPEC); } 
BgL_auxz00_4232 = BgL_oz00_848; 
return 
(obj_t)(BgL_auxz00_4232);} } } 
}



/* object->struct-cfun1881 */
obj_t BGl_objectzd2ze3structzd2cfun1881ze3zzast_varz00(obj_t BgL_envz00_2455, obj_t BgL_obj1708z00_2456)
{ AN_OBJECT;
{ /* Ast/var.scm 102 */
{ 
BgL_cfunz00_bglt BgL_obj1708z00_822;
BgL_obj1708z00_822 = 
(BgL_cfunz00_bglt)(BgL_obj1708z00_2456); 
{ /* Ast/var.scm 102 */
obj_t BgL_res1709z00_825;
{ /* Ast/var.scm 102 */
int BgL_auxz00_4292;obj_t BgL_auxz00_4290;
BgL_auxz00_4292 = 
(int)(((long)11)); 
BgL_auxz00_4290 = 
CNST_TABLE_REF(((long)36)); 
BgL_res1709z00_825 = 
make_struct(BgL_auxz00_4290, BgL_auxz00_4292, BUNSPEC); } 
{ /* Ast/var.scm 102 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4295, BFALSE); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4300;int BgL_auxz00_4298;
{ /* Ast/var.scm 102 */
long BgL_auxz00_4301;
BgL_auxz00_4301 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_arityz00); 
BgL_auxz00_4300 = 
BINT(BgL_auxz00_4301); } 
BgL_auxz00_4298 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4298, BgL_auxz00_4300); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4307;int BgL_auxz00_4305;
BgL_auxz00_4307 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_sidezd2effectzf3z21); 
BgL_auxz00_4305 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4305, BgL_auxz00_4307); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4312;int BgL_auxz00_4310;
BgL_auxz00_4312 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_predicatezd2ofzd2); 
BgL_auxz00_4310 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4310, BgL_auxz00_4312); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4317;int BgL_auxz00_4315;
BgL_auxz00_4317 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_stackzd2allocatorzd2); 
BgL_auxz00_4315 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4315, BgL_auxz00_4317); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4322;int BgL_auxz00_4320;
{ /* Ast/var.scm 102 */
bool_t BgL_auxz00_4323;
BgL_auxz00_4323 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_topzf3zf3); 
BgL_auxz00_4322 = 
BBOOL(BgL_auxz00_4323); } 
BgL_auxz00_4320 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4320, BgL_auxz00_4322); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4329;int BgL_auxz00_4327;
BgL_auxz00_4329 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_thezd2closurezd2); 
BgL_auxz00_4327 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4327, BgL_auxz00_4329); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4334;int BgL_auxz00_4332;
BgL_auxz00_4334 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_argszd2typezd2); 
BgL_auxz00_4332 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4332, BgL_auxz00_4334); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4339;int BgL_auxz00_4337;
{ /* Ast/var.scm 102 */
bool_t BgL_auxz00_4340;
BgL_auxz00_4340 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_macrozf3zf3); 
BgL_auxz00_4339 = 
BBOOL(BgL_auxz00_4340); } 
BgL_auxz00_4337 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4337, BgL_auxz00_4339); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4346;int BgL_auxz00_4344;
{ /* Ast/var.scm 102 */
bool_t BgL_auxz00_4347;
BgL_auxz00_4347 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_infixzf3zf3); 
BgL_auxz00_4346 = 
BBOOL(BgL_auxz00_4347); } 
BgL_auxz00_4344 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4344, BgL_auxz00_4346); } 
{ /* Ast/var.scm 102 */
obj_t BgL_auxz00_4353;int BgL_auxz00_4351;
BgL_auxz00_4353 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1708z00_822))->BgL_methodz00); 
BgL_auxz00_4351 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1709z00_825, BgL_auxz00_4351, BgL_auxz00_4353); } 
return BgL_res1709z00_825;} } } 
}



/* struct+object->object-svar1879 */
obj_t BGl_structzb2objectzd2ze3objectzd2svar1879z51zzast_varz00(obj_t BgL_envz00_2457, obj_t BgL_oz00_2458, obj_t BgL_sz00_2459)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ 
BgL_svarz00_bglt BgL_oz00_814;obj_t BgL_sz00_815;
{ /* Ast/var.scm 112 */
BgL_svarz00_bglt BgL_auxz00_4357;
BgL_oz00_814 = 
(BgL_svarz00_bglt)(BgL_oz00_2458); 
BgL_sz00_815 = BgL_sz00_2459; 
{ /* Ast/var.scm 112 */
obj_t BgL_auxz00_4360;BgL_objectz00_bglt BgL_auxz00_4358;
{ /* Ast/var.scm 112 */
int BgL_auxz00_4361;
BgL_auxz00_4361 = 
(int)(((long)0)); 
BgL_auxz00_4360 = 
STRUCT_REF(BgL_sz00_815, BgL_auxz00_4361); } 
BgL_auxz00_4358 = 
(BgL_objectz00_bglt)(BgL_oz00_814); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4358, BgL_auxz00_4360); } 
{ /* Ast/var.scm 112 */
obj_t BgL_v1766z00_819;
{ /* Ast/var.scm 112 */
int BgL_auxz00_4365;
BgL_auxz00_4365 = 
(int)(((long)1)); 
BgL_v1766z00_819 = 
STRUCT_REF(BgL_sz00_815, BgL_auxz00_4365); } 
((((BgL_svarz00_bglt)CREF(BgL_oz00_814))->BgL_locz00) = ((obj_t)BgL_v1766z00_819), BUNSPEC); } 
BgL_auxz00_4357 = BgL_oz00_814; 
return 
(obj_t)(BgL_auxz00_4357);} } } 
}



/* object->struct-svar1877 */
obj_t BGl_objectzd2ze3structzd2svar1877ze3zzast_varz00(obj_t BgL_envz00_2460, obj_t BgL_obj1762z00_2461)
{ AN_OBJECT;
{ /* Ast/var.scm 112 */
{ 
BgL_svarz00_bglt BgL_obj1762z00_806;
BgL_obj1762z00_806 = 
(BgL_svarz00_bglt)(BgL_obj1762z00_2461); 
{ /* Ast/var.scm 112 */
obj_t BgL_res1763z00_809;
{ /* Ast/var.scm 112 */
int BgL_auxz00_4373;obj_t BgL_auxz00_4371;
BgL_auxz00_4373 = 
(int)(((long)2)); 
BgL_auxz00_4371 = 
CNST_TABLE_REF(((long)41)); 
BgL_res1763z00_809 = 
make_struct(BgL_auxz00_4371, BgL_auxz00_4373, BUNSPEC); } 
{ /* Ast/var.scm 112 */
int BgL_auxz00_4376;
BgL_auxz00_4376 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1763z00_809, BgL_auxz00_4376, BFALSE); } 
{ /* Ast/var.scm 112 */
obj_t BgL_auxz00_4381;int BgL_auxz00_4379;
BgL_auxz00_4381 = 
(((BgL_svarz00_bglt)CREF(BgL_obj1762z00_806))->BgL_locz00); 
BgL_auxz00_4379 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1763z00_809, BgL_auxz00_4379, BgL_auxz00_4381); } 
return BgL_res1763z00_809;} } } 
}



/* struct+object->object-scnst1875 */
obj_t BGl_structzb2objectzd2ze3objectzd2scnst1875z51zzast_varz00(obj_t BgL_envz00_2462, obj_t BgL_oz00_2463, obj_t BgL_sz00_2464)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ 
BgL_scnstz00_bglt BgL_oz00_796;obj_t BgL_sz00_797;
{ /* Ast/var.scm 116 */
BgL_scnstz00_bglt BgL_auxz00_4385;
BgL_oz00_796 = 
(BgL_scnstz00_bglt)(BgL_oz00_2463); 
BgL_sz00_797 = BgL_sz00_2464; 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_4388;BgL_objectz00_bglt BgL_auxz00_4386;
{ /* Ast/var.scm 116 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(((long)0)); 
BgL_auxz00_4388 = 
STRUCT_REF(BgL_sz00_797, BgL_auxz00_4389); } 
BgL_auxz00_4386 = 
(BgL_objectz00_bglt)(BgL_oz00_796); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4386, BgL_auxz00_4388); } 
{ /* Ast/var.scm 116 */
obj_t BgL_v1794z00_801;
{ /* Ast/var.scm 116 */
int BgL_auxz00_4393;
BgL_auxz00_4393 = 
(int)(((long)1)); 
BgL_v1794z00_801 = 
STRUCT_REF(BgL_sz00_797, BgL_auxz00_4393); } 
((((BgL_scnstz00_bglt)CREF(BgL_oz00_796))->BgL_nodez00) = ((obj_t)BgL_v1794z00_801), BUNSPEC); } 
{ /* Ast/var.scm 116 */
obj_t BgL_v1798z00_802;
{ /* Ast/var.scm 116 */
int BgL_auxz00_4397;
BgL_auxz00_4397 = 
(int)(((long)2)); 
BgL_v1798z00_802 = 
STRUCT_REF(BgL_sz00_797, BgL_auxz00_4397); } 
((((BgL_scnstz00_bglt)CREF(BgL_oz00_796))->BgL_classz00) = ((obj_t)BgL_v1798z00_802), BUNSPEC); } 
{ /* Ast/var.scm 116 */
obj_t BgL_v1802z00_803;
{ /* Ast/var.scm 116 */
int BgL_auxz00_4401;
BgL_auxz00_4401 = 
(int)(((long)3)); 
BgL_v1802z00_803 = 
STRUCT_REF(BgL_sz00_797, BgL_auxz00_4401); } 
((((BgL_scnstz00_bglt)CREF(BgL_oz00_796))->BgL_locz00) = ((obj_t)BgL_v1802z00_803), BUNSPEC); } 
BgL_auxz00_4385 = BgL_oz00_796; 
return 
(obj_t)(BgL_auxz00_4385);} } } 
}



/* object->struct-scnst1873 */
obj_t BGl_objectzd2ze3structzd2scnst1873ze3zzast_varz00(obj_t BgL_envz00_2465, obj_t BgL_obj1790z00_2466)
{ AN_OBJECT;
{ /* Ast/var.scm 116 */
{ 
BgL_scnstz00_bglt BgL_obj1790z00_784;
BgL_obj1790z00_784 = 
(BgL_scnstz00_bglt)(BgL_obj1790z00_2466); 
{ /* Ast/var.scm 116 */
obj_t BgL_res1791z00_787;
{ /* Ast/var.scm 116 */
int BgL_auxz00_4409;obj_t BgL_auxz00_4407;
BgL_auxz00_4409 = 
(int)(((long)4)); 
BgL_auxz00_4407 = 
CNST_TABLE_REF(((long)42)); 
BgL_res1791z00_787 = 
make_struct(BgL_auxz00_4407, BgL_auxz00_4409, BUNSPEC); } 
{ /* Ast/var.scm 116 */
int BgL_auxz00_4412;
BgL_auxz00_4412 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1791z00_787, BgL_auxz00_4412, BFALSE); } 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_4417;int BgL_auxz00_4415;
BgL_auxz00_4417 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1790z00_784))->BgL_nodez00); 
BgL_auxz00_4415 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1791z00_787, BgL_auxz00_4415, BgL_auxz00_4417); } 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_4422;int BgL_auxz00_4420;
BgL_auxz00_4422 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1790z00_784))->BgL_classz00); 
BgL_auxz00_4420 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1791z00_787, BgL_auxz00_4420, BgL_auxz00_4422); } 
{ /* Ast/var.scm 116 */
obj_t BgL_auxz00_4427;int BgL_auxz00_4425;
BgL_auxz00_4427 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1790z00_784))->BgL_locz00); 
BgL_auxz00_4425 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1791z00_787, BgL_auxz00_4425, BgL_auxz00_4427); } 
return BgL_res1791z00_787;} } } 
}



/* struct+object->object-cvar1871 */
obj_t BGl_structzb2objectzd2ze3objectzd2cvar1871z51zzast_varz00(obj_t BgL_envz00_2467, obj_t BgL_oz00_2468, obj_t BgL_sz00_2469)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ 
BgL_cvarz00_bglt BgL_oz00_776;obj_t BgL_sz00_777;
{ /* Ast/var.scm 124 */
BgL_cvarz00_bglt BgL_auxz00_4431;
BgL_oz00_776 = 
(BgL_cvarz00_bglt)(BgL_oz00_2468); 
BgL_sz00_777 = BgL_sz00_2469; 
{ /* Ast/var.scm 124 */
obj_t BgL_auxz00_4434;BgL_objectz00_bglt BgL_auxz00_4432;
{ /* Ast/var.scm 124 */
int BgL_auxz00_4435;
BgL_auxz00_4435 = 
(int)(((long)0)); 
BgL_auxz00_4434 = 
STRUCT_REF(BgL_sz00_777, BgL_auxz00_4435); } 
BgL_auxz00_4432 = 
(BgL_objectz00_bglt)(BgL_oz00_776); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4432, BgL_auxz00_4434); } 
{ /* Ast/var.scm 124 */
bool_t BgL_v1818z00_781;
{ /* Ast/var.scm 124 */
obj_t BgL_auxz00_4439;
{ /* Ast/var.scm 124 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(((long)1)); 
BgL_auxz00_4439 = 
STRUCT_REF(BgL_sz00_777, BgL_auxz00_4440); } 
BgL_v1818z00_781 = 
CBOOL(BgL_auxz00_4439); } 
((((BgL_cvarz00_bglt)CREF(BgL_oz00_776))->BgL_macrozf3zf3) = ((bool_t)BgL_v1818z00_781), BUNSPEC); } 
BgL_auxz00_4431 = BgL_oz00_776; 
return 
(obj_t)(BgL_auxz00_4431);} } } 
}



/* object->struct-cvar1869 */
obj_t BGl_objectzd2ze3structzd2cvar1869ze3zzast_varz00(obj_t BgL_envz00_2470, obj_t BgL_obj1814z00_2471)
{ AN_OBJECT;
{ /* Ast/var.scm 124 */
{ 
BgL_cvarz00_bglt BgL_obj1814z00_768;
BgL_obj1814z00_768 = 
(BgL_cvarz00_bglt)(BgL_obj1814z00_2471); 
{ /* Ast/var.scm 124 */
obj_t BgL_res1815z00_771;
{ /* Ast/var.scm 124 */
int BgL_auxz00_4449;obj_t BgL_auxz00_4447;
BgL_auxz00_4449 = 
(int)(((long)2)); 
BgL_auxz00_4447 = 
CNST_TABLE_REF(((long)44)); 
BgL_res1815z00_771 = 
make_struct(BgL_auxz00_4447, BgL_auxz00_4449, BUNSPEC); } 
{ /* Ast/var.scm 124 */
int BgL_auxz00_4452;
BgL_auxz00_4452 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1815z00_771, BgL_auxz00_4452, BFALSE); } 
{ /* Ast/var.scm 124 */
obj_t BgL_auxz00_4457;int BgL_auxz00_4455;
{ /* Ast/var.scm 124 */
bool_t BgL_auxz00_4458;
BgL_auxz00_4458 = 
(((BgL_cvarz00_bglt)CREF(BgL_obj1814z00_768))->BgL_macrozf3zf3); 
BgL_auxz00_4457 = 
BBOOL(BgL_auxz00_4458); } 
BgL_auxz00_4455 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1815z00_771, BgL_auxz00_4455, BgL_auxz00_4457); } 
return BgL_res1815z00_771;} } } 
}



/* struct+object->object-sexit1867 */
obj_t BGl_structzb2objectzd2ze3objectzd2sexit1867z51zzast_varz00(obj_t BgL_envz00_2472, obj_t BgL_oz00_2473, obj_t BgL_sz00_2474)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ 
BgL_sexitz00_bglt BgL_oz00_759;obj_t BgL_sz00_760;
{ /* Ast/var.scm 128 */
BgL_sexitz00_bglt BgL_auxz00_4463;
BgL_oz00_759 = 
(BgL_sexitz00_bglt)(BgL_oz00_2473); 
BgL_sz00_760 = BgL_sz00_2474; 
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_4466;BgL_objectz00_bglt BgL_auxz00_4464;
{ /* Ast/var.scm 128 */
int BgL_auxz00_4467;
BgL_auxz00_4467 = 
(int)(((long)0)); 
BgL_auxz00_4466 = 
STRUCT_REF(BgL_sz00_760, BgL_auxz00_4467); } 
BgL_auxz00_4464 = 
(BgL_objectz00_bglt)(BgL_oz00_759); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4464, BgL_auxz00_4466); } 
{ /* Ast/var.scm 128 */
obj_t BgL_v1842z00_764;
{ /* Ast/var.scm 128 */
int BgL_auxz00_4471;
BgL_auxz00_4471 = 
(int)(((long)1)); 
BgL_v1842z00_764 = 
STRUCT_REF(BgL_sz00_760, BgL_auxz00_4471); } 
((((BgL_sexitz00_bglt)CREF(BgL_oz00_759))->BgL_handlerz00) = ((obj_t)BgL_v1842z00_764), BUNSPEC); } 
{ /* Ast/var.scm 128 */
bool_t BgL_v1846z00_765;
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_4475;
{ /* Ast/var.scm 128 */
int BgL_auxz00_4476;
BgL_auxz00_4476 = 
(int)(((long)2)); 
BgL_auxz00_4475 = 
STRUCT_REF(BgL_sz00_760, BgL_auxz00_4476); } 
BgL_v1846z00_765 = 
CBOOL(BgL_auxz00_4475); } 
((((BgL_sexitz00_bglt)CREF(BgL_oz00_759))->BgL_detachedzf3zf3) = ((bool_t)BgL_v1846z00_765), BUNSPEC); } 
BgL_auxz00_4463 = BgL_oz00_759; 
return 
(obj_t)(BgL_auxz00_4463);} } } 
}



/* object->struct-sexit1865 */
obj_t BGl_objectzd2ze3structzd2sexit1865ze3zzast_varz00(obj_t BgL_envz00_2475, obj_t BgL_obj1838z00_2476)
{ AN_OBJECT;
{ /* Ast/var.scm 128 */
{ 
BgL_sexitz00_bglt BgL_obj1838z00_749;
BgL_obj1838z00_749 = 
(BgL_sexitz00_bglt)(BgL_obj1838z00_2476); 
{ /* Ast/var.scm 128 */
obj_t BgL_res1839z00_752;
{ /* Ast/var.scm 128 */
int BgL_auxz00_4485;obj_t BgL_auxz00_4483;
BgL_auxz00_4485 = 
(int)(((long)3)); 
BgL_auxz00_4483 = 
CNST_TABLE_REF(((long)45)); 
BgL_res1839z00_752 = 
make_struct(BgL_auxz00_4483, BgL_auxz00_4485, BUNSPEC); } 
{ /* Ast/var.scm 128 */
int BgL_auxz00_4488;
BgL_auxz00_4488 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1839z00_752, BgL_auxz00_4488, BFALSE); } 
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_4493;int BgL_auxz00_4491;
BgL_auxz00_4493 = 
(((BgL_sexitz00_bglt)CREF(BgL_obj1838z00_749))->BgL_handlerz00); 
BgL_auxz00_4491 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1839z00_752, BgL_auxz00_4491, BgL_auxz00_4493); } 
{ /* Ast/var.scm 128 */
obj_t BgL_auxz00_4498;int BgL_auxz00_4496;
{ /* Ast/var.scm 128 */
bool_t BgL_auxz00_4499;
BgL_auxz00_4499 = 
(((BgL_sexitz00_bglt)CREF(BgL_obj1838z00_749))->BgL_detachedzf3zf3); 
BgL_auxz00_4498 = 
BBOOL(BgL_auxz00_4499); } 
BgL_auxz00_4496 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1839z00_752, BgL_auxz00_4496, BgL_auxz00_4498); } 
return BgL_res1839z00_752;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_varz00()
{ AN_OBJECT;
{ /* Ast/var.scm 14 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "ast_var"); 
return 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_var");} 
}

