/*===========================================================================*/
/*   (Bdb/emit.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


extern obj_t BGl_za2charza2z00zztype_cachez00;
static obj_t BGl_methodzd2initzd2zzbdb_emitz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza33043ze3z83zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_bdbz12zd2extern2956zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__bdbz12zd2default2951zc0zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2fail2964zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2boxzd2setz122978z00zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2modulezd2manglez00zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t);
static obj_t BGl__bdbz12z12zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2setzd2exzd2it2972zc0zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2app2984zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzbdb_emitz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
static obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t);
extern obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
static obj_t BGl_bdbz12zd2funcall2982zc0zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_bdbz12zd2conditional2962zc0zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2makezd2box2976z12zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_bdbz12zd2cast2958zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t);
extern obj_t BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzbdb_emitz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_bdbz12zd2select2966zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_bdbz12zd2letzd2fun2968z12zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt);
extern obj_t BGl_za2longza2z00zztype_cachez00;
static obj_t BGl_bdbz12zd2default2951zc0zzbdb_emitz00(BgL_nodez00_bglt);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t);
extern obj_t BGl_za2boolza2z00zztype_cachez00;
static obj_t BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
static obj_t BGl_bdbz12zd2letzd2var2970z12zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_bdbz12zd2setq2960zc0zzbdb_emitz00(obj_t, obj_t);
static obj_t BGl_bdbz12zd2jumpzd2exzd2it2974zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt);
extern obj_t BGl_za2stringza2z00zztype_cachez00;
static obj_t BGl_bdbz12zd2sequence2954zc0zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_emitzd2bdbzd2classzd2typeszd2zzobject_classz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BUNSPEC;
extern obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_za2realza2z00zztype_cachez00;
static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_bdbz12zd2appzd2ly2980z12zzbdb_emitz00(obj_t, obj_t);
static obj_t __cnst[ 6 ] ;

DEFINE_STRING( BGl_string3320z00zzbdb_emitz00, BgL_bgl_string3320za700za7za7bdb_emitza7003325z00, "done bigloo @ TOPLEVEL-INIT export location ", 44 );
DEFINE_STATIC_GENERIC( BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_bgl__bdbza712za712za7za7bdb_emitza7003326za7, BGl__bdbz12z12zzbdb_emitz00, 0L, 1 );
DEFINE_STRING( BGl_string3299z00zzbdb_emitz00, BgL_bgl_string3299za700za7za7bdb_emitza7003327z00, "   {", 4 );
DEFINE_STRING( BGl_string3298z00zzbdb_emitz00, BgL_bgl_string3298za700za7za7bdb_emitza7003328z00, "\", 0},", 6 );
DEFINE_STRING( BGl_string3297z00zzbdb_emitz00, BgL_bgl_string3297za700za7za7bdb_emitza7003329z00, "\", (char *)", 11 );
DEFINE_STRING( BGl_string3296z00zzbdb_emitz00, BgL_bgl_string3296za700za7za7bdb_emitza7003330z00, "   0};\n", 7 );
DEFINE_STRING( BGl_string3295z00zzbdb_emitz00, BgL_bgl_string3295za700za7za7bdb_emitza7003331z00, "   {0, 0},", 10 );
DEFINE_STRING( BGl_string3303z00zzbdb_emitz00, BgL_bgl_string3303za700za7za7bdb_emitza7003332z00, "     {\"", 7 );
DEFINE_STRING( BGl_string3293z00zzbdb_emitz00, BgL_bgl_string3293za700za7za7bdb_emitza7003333z00, "   /* Global variables */", 25 );
DEFINE_STRING( BGl_string3302z00zzbdb_emitz00, BgL_bgl_string3302za700za7za7bdb_emitza7003334z00, "     {0, 0},", 12 );
DEFINE_STRING( BGl_string3292z00zzbdb_emitz00, BgL_bgl_string3292za700za7za7bdb_emitza7003335z00, "   /* Global functions */", 25 );
DEFINE_STRING( BGl_string3301z00zzbdb_emitz00, BgL_bgl_string3301za700za7za7bdb_emitza7003336z00, "\"},", 3 );
DEFINE_STRING( BGl_string3291z00zzbdb_emitz00, BgL_bgl_string3291za700za7za7bdb_emitza7003337z00, " },", 3 );
DEFINE_STRING( BGl_string3300z00zzbdb_emitz00, BgL_bgl_string3300za700za7za7bdb_emitza7003338z00, ", \"", 3 );
DEFINE_STRING( BGl_string3290z00zzbdb_emitz00, BgL_bgl_string3290za700za7za7bdb_emitza7003339z00, "0", 1 );
DEFINE_STRING( BGl_string3289z00zzbdb_emitz00, BgL_bgl_string3289za700za7za7bdb_emitza7003340z00, "   { 0, (char *)", 16 );
DEFINE_STRING( BGl_string3288z00zzbdb_emitz00, BgL_bgl_string3288za700za7za7bdb_emitza7003341z00, "\", 0 },", 7 );
DEFINE_STRING( BGl_string3287z00zzbdb_emitz00, BgL_bgl_string3287za700za7za7bdb_emitza7003342z00, "\" },", 4 );
DEFINE_STRING( BGl_string3286z00zzbdb_emitz00, BgL_bgl_string3286za700za7za7bdb_emitza7003343z00, "\", \"", 4 );
DEFINE_STRING( BGl_string3285z00zzbdb_emitz00, BgL_bgl_string3285za700za7za7bdb_emitza7003344z00, "   {\"", 5 );
DEFINE_STRING( BGl_string3284z00zzbdb_emitz00, BgL_bgl_string3284za700za7za7bdb_emitza7003345z00, "   /* Module and source file identification */", 46 );
DEFINE_STRING( BGl_string3283z00zzbdb_emitz00, BgL_bgl_string3283za700za7za7bdb_emitza7003346z00, "},", 2 );
DEFINE_STRING( BGl_string3282z00zzbdb_emitz00, BgL_bgl_string3282za700za7za7bdb_emitza7003347z00, ", (char *)", 10 );
DEFINE_STRING( BGl_string3281z00zzbdb_emitz00, BgL_bgl_string3281za700za7za7bdb_emitza7003348z00, "   {(char *)", 12 );
DEFINE_STRING( BGl_string3280z00zzbdb_emitz00, BgL_bgl_string3280za700za7za7bdb_emitza7003349z00, "   /* Magic number to ensure comp/dbg compatibility */", 54 );
DEFINE_STRING( BGl_string3279z00zzbdb_emitz00, BgL_bgl_string3279za700za7za7bdb_emitza7003350z00, "[] = { ", 7 );
DEFINE_STRING( BGl_string3278z00zzbdb_emitz00, BgL_bgl_string3278za700za7za7bdb_emitza7003351z00, "__bdb_info", 10 );
DEFINE_STRING( BGl_string3277z00zzbdb_emitz00, BgL_bgl_string3277za700za7za7bdb_emitza7003352z00, "} ", 2 );
DEFINE_STRING( BGl_string3276z00zzbdb_emitz00, BgL_bgl_string3276za700za7za7bdb_emitza7003353z00, "   char *sname, *cname;\n", 24 );
DEFINE_STRING( BGl_string3275z00zzbdb_emitz00, BgL_bgl_string3275za700za7za7bdb_emitza7003354z00, "static struct bdb_fun_info {\n", 29 );
DEFINE_STRING( BGl_string3274z00zzbdb_emitz00, BgL_bgl_string3274za700za7za7bdb_emitza7003355z00, "/* bdb association table */", 27 );
DEFINE_STATIC_PROCEDURE( BGl_proc3304z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2sequence2954za7c0za7za7bdb_emitza7003356z00, BGl_bdbz12zd2sequence2954zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3294z00zzbdb_emitz00, BgL_bgl_za7c3anonymousza7a33043za7e3za783za7za7bdb_emitza7003357za7, BGl_zc3anonymousza33043ze3z83zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3305z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2extern2956za7c0za7za7bdb_emitza7003358z00, BGl_bdbz12zd2extern2956zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3306z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2cast2958za7c0za7za7bdb_emitza7003359z00, BGl_bdbz12zd2cast2958zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3307z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2setq2960za7c0za7za7bdb_emitza7003360z00, BGl_bdbz12zd2setq2960zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3308z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2conditional2962za7c0za7za7bdb_emitza7003361z00, BGl_bdbz12zd2conditional2962zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3310z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2select2966za7c0za7za7bdb_emitza7003362z00, BGl_bdbz12zd2select2966zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3309z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2fail2964za7c0za7za7bdb_emitza7003363z00, BGl_bdbz12zd2fail2964zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3311z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2letza7d2fun2968za712za7za7bdb_emitza7003364za7, BGl_bdbz12zd2letzd2fun2968z12zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3312z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2letza7d2var2970za712za7za7bdb_emitza7003365za7, BGl_bdbz12zd2letzd2var2970z12zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3313z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2setza7d2exza7d2it2972za7c0za7za7bdb_emitza7003366z00, BGl_bdbz12zd2setzd2exzd2it2972zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3314z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2jumpza7d2exza7d2it2974za7c0za7za7bdb_emitza7003367z00, BGl_bdbz12zd2jumpzd2exzd2it2974zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3315z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2makeza7d2box2976za712za7za7bdb_emitza7003368za7, BGl_bdbz12zd2makezd2box2976z12zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3316z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2boxza7d2setza7122978za700za7za7bdb_emitza7003369z00, BGl_bdbz12zd2boxzd2setz122978z00zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3317z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2appza7d2ly2980za712za7za7bdb_emitza7003370za7, BGl_bdbz12zd2appzd2ly2980z12zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3318z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2funcall2982za7c0za7za7bdb_emitza7003371z00, BGl_bdbz12zd2funcall2982zc0zzbdb_emitz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3319z00zzbdb_emitz00, BgL_bgl_bdbza712za7d2app2984za7c0za7za7bdb_emitza7003372z00, BGl_bdbz12zd2app2984zc0zzbdb_emitz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2bdbzd2infozd2envzd2zzbdb_emitz00, BgL_bgl__emitza7d2bdbza7d2infoza700za7za7bdb_emitza7003373z00, BGl__emitzd2bdbzd2infoz00zzbdb_emitz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_bdbz12zd2default2951zd2envz12zzbdb_emitz00, BgL_bgl__bdbza712za7d2default2951za7c0za7za7bdb_emitza7003374z00, BGl__bdbz12zd2default2951zc0zzbdb_emitz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long BgL_checksumz00_3667, char * BgL_fromz00_3668)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbdb_emitz00))
{ 
BGl_requirezd2initializa7ationz75zzbdb_emitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbdb_emitz00(); 
BGl_cnstzd2initzd2zzbdb_emitz00(); 
BGl_importedzd2moduleszd2initz00zzbdb_emitz00(); 
BGl_methodzd2initzd2zzbdb_emitz00(); 
BGl_toplevelzd2initzd2zzbdb_emitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00()
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "bdb_emit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbdb_emitz00()
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
{ /* Bdb/emit.scm 15 */
obj_t BgL_cportz00_3660;
BgL_cportz00_3660 = 
open_input_string(BGl_string3320z00zzbdb_emitz00); 
{ 
long BgL_iz00_3661;
BgL_iz00_3661 = ((long)5); 
BgL_loopz00_3662:
if(
(BgL_iz00_3661==((long)-1)))
{ /* Bdb/emit.scm 15 */
return BUNSPEC;}  else 
{ /* Bdb/emit.scm 15 */
{ /* Bdb/emit.scm 15 */
obj_t BgL_arg3322z00_3664;
{ /* Bdb/emit.scm 15 */
obj_t BgL_list3323z00_3665;
BgL_list3323z00_3665 = 
MAKE_PAIR(BgL_cportz00_3660, BNIL); 
BgL_arg3322z00_3664 = 
BGl_readz00zz__readerz00(BgL_list3323z00_3665); } 
{ /* Bdb/emit.scm 15 */
int BgL_auxz00_3687;
BgL_auxz00_3687 = 
(int)(BgL_iz00_3661); 
CNST_TABLE_SET(BgL_auxz00_3687, BgL_arg3322z00_3664); } } 
{ 
long BgL_iz00_3690;
{ /* Bdb/emit.scm 15 */
int BgL_auxz00_3691;
{ /* Bdb/emit.scm 15 */
long BgL_auxz00_3692;
BgL_auxz00_3692 = 
(BgL_iz00_3661-((long)1)); 
BgL_auxz00_3691 = 
(int)(BgL_auxz00_3692); } 
BgL_iz00_3690 = 
(long)(BgL_auxz00_3691); } 
BgL_iz00_3661 = BgL_iz00_3690; 
goto BgL_loopz00_3662;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbdb_emitz00()
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC; 
return BUNSPEC;} 
}



/* emit-bdb-info */
obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t BgL_globalsz00_33, obj_t BgL_portz00_34)
{ AN_OBJECT;
{ /* Bdb/emit.scm 40 */
BGl_za2czd2portza2zd2zzbdb_emitz00 = BgL_portz00_34; 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 46 */
obj_t BgL_list3003z00_1485;
BgL_list3003z00_1485 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3274z00zzbdb_emitz00, BgL_list3003z00_1485); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 48 */
obj_t BgL_list3004z00_1488;
BgL_list3004z00_1488 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3275z00zzbdb_emitz00, BgL_list3004z00_1488); } 
{ /* Bdb/emit.scm 48 */
obj_t BgL_list3005z00_1489;
BgL_list3005z00_1489 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3276z00zzbdb_emitz00, BgL_list3005z00_1489); } 
{ /* Bdb/emit.scm 48 */
obj_t BgL_list3006z00_1490;
BgL_list3006z00_1490 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3277z00zzbdb_emitz00, BgL_list3006z00_1490); } 
{ /* Bdb/emit.scm 48 */
obj_t BgL_list3007z00_1491;
BgL_list3007z00_1491 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3278z00zzbdb_emitz00, BgL_list3007z00_1491); } 
{ /* Bdb/emit.scm 48 */
obj_t BgL_list3008z00_1492;
BgL_list3008z00_1492 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3279z00zzbdb_emitz00, BgL_list3008z00_1492); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 53 */
obj_t BgL_list3009z00_1494;
BgL_list3009z00_1494 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3280z00zzbdb_emitz00, BgL_list3009z00_1494); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 54 */
obj_t BgL_list3010z00_1496;
BgL_list3010z00_1496 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3281z00zzbdb_emitz00, BgL_list3010z00_1496); } 
{ /* Bdb/emit.scm 54 */
obj_t BgL_list3011z00_1497;
BgL_list3011z00_1497 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_list3011z00_1497); } 
{ /* Bdb/emit.scm 54 */
obj_t BgL_list3012z00_1498;
BgL_list3012z00_1498 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3282z00zzbdb_emitz00, BgL_list3012z00_1498); } 
{ /* Bdb/emit.scm 54 */
obj_t BgL_list3013z00_1499;
BgL_list3013z00_1499 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_list3013z00_1499); } 
{ /* Bdb/emit.scm 54 */
obj_t BgL_list3014z00_1500;
BgL_list3014z00_1500 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3283z00zzbdb_emitz00, BgL_list3014z00_1500); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 58 */
obj_t BgL_list3015z00_1502;
BgL_list3015z00_1502 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3284z00zzbdb_emitz00, BgL_list3015z00_1502); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 59 */
obj_t BgL_list3016z00_1504;
BgL_list3016z00_1504 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3016z00_1504); } 
{ /* Bdb/emit.scm 59 */
obj_t BgL_list3017z00_1505;
BgL_list3017z00_1505 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_list3017z00_1505); } 
{ /* Bdb/emit.scm 59 */
obj_t BgL_list3018z00_1506;
BgL_list3018z00_1506 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3286z00zzbdb_emitz00, BgL_list3018z00_1506); } 
{ /* Bdb/emit.scm 63 */
obj_t BgL_arg3019z00_1507;
{ /* Bdb/emit.scm 63 */
obj_t BgL_arg3021z00_1509;obj_t BgL_arg3022z00_1510;
{ /* Bdb/emit.scm 63 */
obj_t BgL_arg3023z00_1511;
{ /* Bdb/emit.scm 63 */
obj_t BgL_arg3024z00_1512;
{ /* Bdb/emit.scm 63 */
obj_t BgL_arg3025z00_1513;
BgL_arg3025z00_1513 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
{ /* Bdb/emit.scm 63 */
int BgL_auxz00_3738;
BgL_auxz00_3738 = 
(int)(((long)0)); 
BgL_arg3024z00_1512 = 
STRUCT_REF(BgL_arg3025z00_1513, BgL_auxz00_3738); } } 
BgL_arg3023z00_1511 = 
BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_arg3024z00_1512); } 
BgL_arg3021z00_1509 = 
SYMBOL_TO_STRING(BgL_arg3023z00_1511); } 
{ /* Bdb/emit.scm 64 */
obj_t BgL_symbolz00_2263;
BgL_symbolz00_2263 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg3022z00_1510 = 
SYMBOL_TO_STRING(BgL_symbolz00_2263); } 
BgL_arg3019z00_1507 = 
BGl_bigloozd2modulezd2manglez00zz__biglooz00(BgL_arg3021z00_1509, BgL_arg3022z00_1510); } 
{ /* Bdb/emit.scm 59 */
obj_t BgL_list3020z00_1508;
BgL_list3020z00_1508 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg3019z00_1507, BgL_list3020z00_1508); } } 
{ /* Bdb/emit.scm 59 */
obj_t BgL_list3026z00_1514;
BgL_list3026z00_1514 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3287z00zzbdb_emitz00, BgL_list3026z00_1514); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ 
obj_t BgL_l2884z00_1515;
BgL_l2884z00_1515 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_lname2885z00_1516:
if(
PAIRP(BgL_l2884z00_1515))
{ /* Bdb/emit.scm 66 */
{ /* Bdb/emit.scm 67 */
obj_t BgL_srcz00_1518;
BgL_srcz00_1518 = 
CAR(BgL_l2884z00_1515); 
{ /* Bdb/emit.scm 67 */
obj_t BgL_list3028z00_1520;
BgL_list3028z00_1520 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3028z00_1520); } 
{ /* Bdb/emit.scm 67 */
obj_t BgL_list3029z00_1521;
BgL_list3029z00_1521 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_srcz00_1518, BgL_list3029z00_1521); } 
{ /* Bdb/emit.scm 67 */
obj_t BgL_list3030z00_1522;
BgL_list3030z00_1522 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3288z00zzbdb_emitz00, BgL_list3030z00_1522); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); } 
{ 
obj_t BgL_l2884z00_3760;
BgL_l2884z00_3760 = 
CDR(BgL_l2884z00_1515); 
BgL_l2884z00_1515 = BgL_l2884z00_3760; 
goto BgL_lname2885z00_1516;} }  else 
{ /* Bdb/emit.scm 66 */((bool_t)1); } } 
{ /* Bdb/emit.scm 69 */
obj_t BgL_list3032z00_1525;
BgL_list3032z00_1525 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3289z00zzbdb_emitz00, BgL_list3032z00_1525); } 
{ /* Bdb/emit.scm 71 */
obj_t BgL_arg3033z00_1526;
{ /* Bdb/emit.scm 71 */
obj_t BgL_locz00_1528;
BgL_locz00_1528 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Bdb/emit.scm 72 */
bool_t BgL_testz00_3765;
if(
STRUCTP(BgL_locz00_1528))
{ /* Bdb/emit.scm 72 */
obj_t BgL_auxz00_3770;obj_t BgL_auxz00_3768;
BgL_auxz00_3770 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3768 = 
STRUCT_KEY(BgL_locz00_1528); 
BgL_testz00_3765 = 
(BgL_auxz00_3768==BgL_auxz00_3770); }  else 
{ /* Bdb/emit.scm 72 */
BgL_testz00_3765 = ((bool_t)0)
; } 
if(BgL_testz00_3765)
{ /* Bdb/emit.scm 73 */
int BgL_auxz00_3773;
BgL_auxz00_3773 = 
(int)(((long)2)); 
BgL_arg3033z00_1526 = 
STRUCT_REF(BgL_locz00_1528, BgL_auxz00_3773); }  else 
{ /* Bdb/emit.scm 72 */
BgL_arg3033z00_1526 = BGl_string3290z00zzbdb_emitz00; } } } 
{ /* Bdb/emit.scm 69 */
obj_t BgL_list3034z00_1527;
BgL_list3034z00_1527 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg3033z00_1526, BgL_list3034z00_1527); } } 
{ /* Bdb/emit.scm 69 */
obj_t BgL_list3036z00_1530;
BgL_list3036z00_1530 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3291z00zzbdb_emitz00, BgL_list3036z00_1530); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* Bdb/emit.scm 77 */
obj_t BgL_list3037z00_1532;
BgL_list3037z00_1532 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3292z00zzbdb_emitz00, BgL_list3037z00_1532); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ 
obj_t BgL_l2889z00_1533;
BgL_l2889z00_1533 = BgL_globalsz00_33; 
BgL_lname2890z00_1534:
if(
PAIRP(BgL_l2889z00_1533))
{ /* Bdb/emit.scm 78 */
{ /* Bdb/emit.scm 79 */
obj_t BgL_globalz00_1536;
BgL_globalz00_1536 = 
CAR(BgL_l2889z00_1533); 
{ /* Bdb/emit.scm 79 */
obj_t BgL_auxz00_3787;
{ /* Bdb/emit.scm 79 */
BgL_globalz00_bglt BgL_obj1148z00_2283;
BgL_obj1148z00_2283 = 
(BgL_globalz00_bglt)(BgL_globalz00_1536); 
BgL_auxz00_3787 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2283))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_3787); } 
BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(BgL_globalz00_1536); 
BGl_leavezd2functionzd2zztools_errorz00(); } 
{ 
obj_t BgL_l2889z00_3793;
BgL_l2889z00_3793 = 
CDR(BgL_l2889z00_1533); 
BgL_l2889z00_1533 = BgL_l2889z00_3793; 
goto BgL_lname2890z00_1534;} }  else 
{ /* Bdb/emit.scm 78 */((bool_t)1); } } 
{ /* Bdb/emit.scm 84 */
obj_t BgL_list3041z00_1540;
BgL_list3041z00_1540 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3293z00zzbdb_emitz00, BgL_list3041z00_1540); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc3294z00zzbdb_emitz00); 
{ /* Bdb/emit.scm 91 */
obj_t BgL_list3054z00_1556;
BgL_list3054z00_1556 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3295z00zzbdb_emitz00, BgL_list3054z00_1556); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
BGl_emitzd2bdbzd2classzd2typeszd2zzobject_classz00(BgL_portz00_34); 
{ /* Bdb/emit.scm 94 */
obj_t BgL_list3055z00_1558;
BgL_list3055z00_1558 = 
MAKE_PAIR(BgL_portz00_34, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3296z00zzbdb_emitz00, BgL_list3055z00_1558); } 
{ /* Bdb/emit.scm 94 */
unsigned char BgL_auxz00_3805;
BgL_auxz00_3805 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
return 
BCHAR(BgL_auxz00_3805);} } 
}



/* _emit-bdb-info */
obj_t BGl__emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t BgL_envz00_3601, obj_t BgL_globalsz00_3602, obj_t BgL_portz00_3603)
{ AN_OBJECT;
{ /* Bdb/emit.scm 40 */
return 
BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_3602, BgL_portz00_3603);} 
}



/* <anonymous:3043> */
obj_t BGl_zc3anonymousza33043ze3z83zzbdb_emitz00(obj_t BgL_envz00_3604, obj_t BgL_globalz00_3605)
{ AN_OBJECT;
{ /* Bdb/emit.scm 85 */
{ 
obj_t BgL_globalz00_1542;
BgL_globalz00_1542 = BgL_globalz00_3605; 
{ /* Bdb/emit.scm 86 */
bool_t BgL_test3044z00_1544;
{ /* Bdb/emit.scm 86 */
bool_t BgL_test3045z00_1545;
{ /* Bdb/emit.scm 86 */
bool_t BgL_test3047z00_1547;
{ /* Bdb/emit.scm 86 */
bool_t BgL_test3050z00_1550;
{ /* Bdb/emit.scm 86 */
obj_t BgL_auxz00_3809;
{ /* Bdb/emit.scm 86 */
BgL_globalz00_bglt BgL_obj1170z00_2286;
BgL_obj1170z00_2286 = 
(BgL_globalz00_bglt)(BgL_globalz00_1542); 
BgL_auxz00_3809 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_2286))->BgL_modulez00); } 
BgL_test3050z00_1550 = 
(BgL_auxz00_3809==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3050z00_1550)
{ /* Bdb/emit.scm 87 */
obj_t BgL_auxz00_3817;obj_t BgL_auxz00_3814;
BgL_auxz00_3817 = 
CNST_TABLE_REF(((long)1)); 
{ /* Bdb/emit.scm 87 */
BgL_globalz00_bglt BgL_obj1173z00_2287;
BgL_obj1173z00_2287 = 
(BgL_globalz00_bglt)(BgL_globalz00_1542); 
BgL_auxz00_3814 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_2287))->BgL_importz00); } 
BgL_test3047z00_1547 = 
(BgL_auxz00_3814==BgL_auxz00_3817); }  else 
{ /* Bdb/emit.scm 86 */
BgL_test3047z00_1547 = ((bool_t)0); } } 
if(BgL_test3047z00_1547)
{ /* Bdb/emit.scm 86 */
BgL_test3045z00_1545 = ((bool_t)1); }  else 
{ /* Bdb/emit.scm 88 */
long BgL_auxz00_3821;
{ /* Bdb/emit.scm 88 */
BgL_globalz00_bglt BgL_obj1167z00_2288;
BgL_obj1167z00_2288 = 
(BgL_globalz00_bglt)(BgL_globalz00_1542); 
BgL_auxz00_3821 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1167z00_2288))->BgL_occurrencez00); } 
BgL_test3045z00_1545 = 
(BgL_auxz00_3821>((long)0)); } } 
if(BgL_test3045z00_1545)
{ /* Bdb/emit.scm 89 */
obj_t BgL_auxz00_3826;
{ /* Bdb/emit.scm 89 */
BgL_valuez00_bglt BgL_auxz00_3827;
{ /* Bdb/emit.scm 89 */
BgL_globalz00_bglt BgL_obj1155z00_2291;
BgL_obj1155z00_2291 = 
(BgL_globalz00_bglt)(BgL_globalz00_1542); 
BgL_auxz00_3827 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2291))->BgL_valuez00); } 
BgL_auxz00_3826 = 
(obj_t)(BgL_auxz00_3827); } 
BgL_test3044z00_1544 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3826, BGl_svarz00zzast_varz00); }  else 
{ /* Bdb/emit.scm 86 */
BgL_test3044z00_1544 = ((bool_t)0); } } 
if(BgL_test3044z00_1544)
{ /* Bdb/emit.scm 86 */
return 
BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(BgL_globalz00_1542);}  else 
{ /* Bdb/emit.scm 86 */
return BFALSE;} } } } 
}



/* bdb-global-sfun! */
obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t BgL_globalz00_35)
{ AN_OBJECT;
{ /* Bdb/emit.scm 99 */
{ /* Bdb/emit.scm 100 */
BgL_valuez00_bglt BgL_sfunz00_1559;
{ /* Bdb/emit.scm 100 */
BgL_globalz00_bglt BgL_obj1155z00_2295;
BgL_obj1155z00_2295 = 
(BgL_globalz00_bglt)(BgL_globalz00_35); 
BgL_sfunz00_1559 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2295))->BgL_valuez00); } 
{ /* Bdb/emit.scm 100 */
obj_t BgL_sfunzd2loczd2_1560;
{ /* Bdb/emit.scm 101 */
BgL_sfunz00_bglt BgL_obj1382z00_2296;
BgL_obj1382z00_2296 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1559); 
BgL_sfunzd2loczd2_1560 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_2296))->BgL_locz00); } 
{ /* Bdb/emit.scm 101 */
obj_t BgL_cloz00_1561;
{ /* Bdb/emit.scm 102 */
BgL_sfunz00_bglt BgL_obj1363z00_2297;
BgL_obj1363z00_2297 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1559); 
BgL_cloz00_1561 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1363z00_2297))->BgL_thezd2closurezd2); } 
{ /* Bdb/emit.scm 102 */

{ /* Bdb/emit.scm 103 */
bool_t BgL_testz00_3840;
{ /* Bdb/emit.scm 103 */
bool_t BgL_testz00_3841;
if(
STRUCTP(BgL_sfunzd2loczd2_1560))
{ /* Bdb/emit.scm 103 */
obj_t BgL_auxz00_3846;obj_t BgL_auxz00_3844;
BgL_auxz00_3846 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3844 = 
STRUCT_KEY(BgL_sfunzd2loczd2_1560); 
BgL_testz00_3841 = 
(BgL_auxz00_3844==BgL_auxz00_3846); }  else 
{ /* Bdb/emit.scm 103 */
BgL_testz00_3841 = ((bool_t)0)
; } 
if(BgL_testz00_3841)
{ /* Bdb/emit.scm 104 */
BgL_globalz00_bglt BgL_obj1182z00_2305;
BgL_obj1182z00_2305 = 
(BgL_globalz00_bglt)(BgL_globalz00_35); 
BgL_testz00_3840 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1182z00_2305))->BgL_userzf3zf3); }  else 
{ /* Bdb/emit.scm 103 */
BgL_testz00_3840 = ((bool_t)0)
; } } 
if(BgL_testz00_3840)
{ /* Bdb/emit.scm 103 */
BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(BgL_globalz00_35); 
{ /* Bdb/emit.scm 107 */
obj_t BgL_fnamez00_1563;obj_t BgL_lnumz00_1564;obj_t BgL_idz00_1565;obj_t BgL_valzd2namezd2_1566;obj_t BgL_bpzd2namezd2_1567;
{ /* Bdb/emit.scm 107 */
int BgL_auxz00_3852;
BgL_auxz00_3852 = 
(int)(((long)0)); 
BgL_fnamez00_1563 = 
STRUCT_REF(BgL_sfunzd2loczd2_1560, BgL_auxz00_3852); } 
{ /* Bdb/emit.scm 108 */
int BgL_auxz00_3855;
BgL_auxz00_3855 = 
(int)(((long)2)); 
BgL_lnumz00_1564 = 
STRUCT_REF(BgL_sfunzd2loczd2_1560, BgL_auxz00_3855); } 
{ /* Bdb/emit.scm 109 */
obj_t BgL_idz00_1593;
{ /* Bdb/emit.scm 109 */
BgL_globalz00_bglt BgL_obj1148z00_2312;
BgL_obj1148z00_2312 = 
(BgL_globalz00_bglt)(BgL_globalz00_35); 
BgL_idz00_1593 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2312))->BgL_idz00); } 
{ /* Bdb/emit.scm 110 */
bool_t BgL_testz00_3860;
{ /* Bdb/emit.scm 110 */
obj_t BgL_auxz00_3861;
BgL_auxz00_3861 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_3860 = 
(BgL_idz00_1593==BgL_auxz00_3861); } 
if(BgL_testz00_3860)
{ /* Bdb/emit.scm 111 */
obj_t BgL_arg3078z00_1595;
BgL_arg3078z00_1595 = 
CNST_TABLE_REF(((long)3)); 
{ /* Bdb/emit.scm 111 */
obj_t BgL_list3080z00_1597;
{ /* Bdb/emit.scm 111 */
obj_t BgL_arg3081z00_1598;
{ /* Bdb/emit.scm 111 */
obj_t BgL_auxz00_3865;
{ /* Bdb/emit.scm 111 */
BgL_globalz00_bglt BgL_obj1170z00_2313;
BgL_obj1170z00_2313 = 
(BgL_globalz00_bglt)(BgL_globalz00_35); 
BgL_auxz00_3865 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_2313))->BgL_modulez00); } 
BgL_arg3081z00_1598 = 
MAKE_PAIR(BgL_auxz00_3865, BNIL); } 
BgL_list3080z00_1597 = 
MAKE_PAIR(BgL_arg3078z00_1595, BgL_arg3081z00_1598); } 
BgL_idz00_1565 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3080z00_1597); } }  else 
{ /* Bdb/emit.scm 110 */
BgL_idz00_1565 = BgL_idz00_1593; } } } 
{ /* Bdb/emit.scm 113 */
bool_t BgL_test3082z00_1599;
BgL_test3082z00_1599 = 
BGl_iszd2azf3z21zz__objectz00(BgL_cloz00_1561, BGl_globalz00zzast_varz00); 
if(BgL_test3082z00_1599)
{ /* Bdb/emit.scm 114 */
BgL_globalz00_bglt BgL_obj1149z00_2315;
BgL_obj1149z00_2315 = 
(BgL_globalz00_bglt)(BgL_cloz00_1561); 
BgL_valzd2namezd2_1566 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2315))->BgL_namez00); }  else 
{ /* Bdb/emit.scm 113 */
BgL_valzd2namezd2_1566 = 
BINT(((long)0)); } } 
{ /* Bdb/emit.scm 116 */
BgL_globalz00_bglt BgL_obj1149z00_2316;
BgL_obj1149z00_2316 = 
(BgL_globalz00_bglt)(BgL_globalz00_35); 
BgL_bpzd2namezd2_1567 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2316))->BgL_namez00); } 
{ /* Bdb/emit.scm 117 */
obj_t BgL_port2894z00_1568;
BgL_port2894z00_1568 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 117 */
obj_t BgL_list3057z00_1569;
BgL_list3057z00_1569 = 
MAKE_PAIR(BgL_port2894z00_1568, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3057z00_1569); } 
{ /* Bdb/emit.scm 117 */
obj_t BgL_list3058z00_1570;
BgL_list3058z00_1570 = 
MAKE_PAIR(BgL_port2894z00_1568, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_fnamez00_1563, BgL_list3058z00_1570); } 
{ /* Bdb/emit.scm 117 */
obj_t BgL_list3059z00_1571;
BgL_list3059z00_1571 = 
MAKE_PAIR(BgL_port2894z00_1568, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3297z00zzbdb_emitz00, BgL_list3059z00_1571); } 
{ /* Bdb/emit.scm 117 */
obj_t BgL_list3060z00_1572;
BgL_list3060z00_1572 = 
MAKE_PAIR(BgL_port2894z00_1568, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_lnumz00_1564, BgL_list3060z00_1572); } 
{ /* Bdb/emit.scm 117 */
obj_t BgL_list3061z00_1573;
BgL_list3061z00_1573 = 
MAKE_PAIR(BgL_port2894z00_1568, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3291z00zzbdb_emitz00, BgL_list3061z00_1573); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2894z00_1568); } 
{ /* Bdb/emit.scm 118 */
obj_t BgL_port2895z00_1574;
BgL_port2895z00_1574 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 118 */
obj_t BgL_list3062z00_1575;
BgL_list3062z00_1575 = 
MAKE_PAIR(BgL_port2895z00_1574, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3062z00_1575); } 
{ /* Bdb/emit.scm 118 */
obj_t BgL_list3063z00_1576;
BgL_list3063z00_1576 = 
MAKE_PAIR(BgL_port2895z00_1574, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_idz00_1565, BgL_list3063z00_1576); } 
{ /* Bdb/emit.scm 118 */
obj_t BgL_list3064z00_1577;
BgL_list3064z00_1577 = 
MAKE_PAIR(BgL_port2895z00_1574, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3298z00zzbdb_emitz00, BgL_list3064z00_1577); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2895z00_1574); } 
{ /* Bdb/emit.scm 119 */
bool_t BgL_testz00_3896;
if(
INTEGERP(BgL_valzd2namezd2_1566))
{ /* Bdb/emit.scm 119 */
BgL_testz00_3896 = ((bool_t)1)
; }  else 
{ /* Bdb/emit.scm 119 */
BgL_testz00_3896 = 
REALP(BgL_valzd2namezd2_1566)
; } 
if(BgL_testz00_3896)
{ /* Bdb/emit.scm 121 */
obj_t BgL_port2897z00_1579;
BgL_port2897z00_1579 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 121 */
obj_t BgL_list3066z00_1580;
BgL_list3066z00_1580 = 
MAKE_PAIR(BgL_port2897z00_1579, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3299z00zzbdb_emitz00, BgL_list3066z00_1580); } 
{ /* Bdb/emit.scm 121 */
obj_t BgL_list3067z00_1581;
BgL_list3067z00_1581 = 
MAKE_PAIR(BgL_port2897z00_1579, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_valzd2namezd2_1566, BgL_list3067z00_1581); } 
{ /* Bdb/emit.scm 121 */
obj_t BgL_list3068z00_1582;
BgL_list3068z00_1582 = 
MAKE_PAIR(BgL_port2897z00_1579, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3300z00zzbdb_emitz00, BgL_list3068z00_1582); } 
{ /* Bdb/emit.scm 121 */
obj_t BgL_list3069z00_1583;
BgL_list3069z00_1583 = 
MAKE_PAIR(BgL_port2897z00_1579, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_bpzd2namezd2_1567, BgL_list3069z00_1583); } 
{ /* Bdb/emit.scm 121 */
obj_t BgL_list3070z00_1584;
BgL_list3070z00_1584 = 
MAKE_PAIR(BgL_port2897z00_1579, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3301z00zzbdb_emitz00, BgL_list3070z00_1584); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2897z00_1579); }  else 
{ /* Bdb/emit.scm 120 */
obj_t BgL_port2896z00_1585;
BgL_port2896z00_1585 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 120 */
obj_t BgL_list3071z00_1586;
BgL_list3071z00_1586 = 
MAKE_PAIR(BgL_port2896z00_1585, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3071z00_1586); } 
{ /* Bdb/emit.scm 120 */
obj_t BgL_list3072z00_1587;
BgL_list3072z00_1587 = 
MAKE_PAIR(BgL_port2896z00_1585, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_valzd2namezd2_1566, BgL_list3072z00_1587); } 
{ /* Bdb/emit.scm 120 */
obj_t BgL_list3073z00_1588;
BgL_list3073z00_1588 = 
MAKE_PAIR(BgL_port2896z00_1585, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3286z00zzbdb_emitz00, BgL_list3073z00_1588); } 
{ /* Bdb/emit.scm 120 */
obj_t BgL_list3074z00_1589;
BgL_list3074z00_1589 = 
MAKE_PAIR(BgL_port2896z00_1585, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_bpzd2namezd2_1567, BgL_list3074z00_1589); } 
{ /* Bdb/emit.scm 120 */
obj_t BgL_list3075z00_1590;
BgL_list3075z00_1590 = 
MAKE_PAIR(BgL_port2896z00_1585, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3301z00zzbdb_emitz00, BgL_list3075z00_1590); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2896z00_1585); } } 
BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_sfunz00_1559); 
{ /* Bdb/emit.scm 123 */
obj_t BgL_port2898z00_1591;
BgL_port2898z00_1591 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 123 */
obj_t BgL_list3076z00_1592;
BgL_list3076z00_1592 = 
MAKE_PAIR(BgL_port2898z00_1591, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3302z00zzbdb_emitz00, BgL_list3076z00_1592); } 
{ /* Bdb/emit.scm 123 */
unsigned char BgL_auxz00_3925;
BgL_auxz00_3925 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2898z00_1591); 
return 
BCHAR(BgL_auxz00_3925);} } } }  else 
{ /* Bdb/emit.scm 103 */
return BFALSE;} } } } } } } 
}



/* bdb-global-svar! */
obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t BgL_globalz00_36)
{ AN_OBJECT;
{ /* Bdb/emit.scm 128 */
{ /* Bdb/emit.scm 129 */
obj_t BgL_svarzd2loczd2_1602;
{ /* Bdb/emit.scm 130 */
BgL_svarz00_bglt BgL_obj1487z00_2328;
{ /* Bdb/emit.scm 130 */
BgL_valuez00_bglt BgL_auxz00_3928;
{ /* Bdb/emit.scm 129 */
BgL_globalz00_bglt BgL_obj1155z00_2327;
BgL_obj1155z00_2327 = 
(BgL_globalz00_bglt)(BgL_globalz00_36); 
BgL_auxz00_3928 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2327))->BgL_valuez00); } 
BgL_obj1487z00_2328 = 
(BgL_svarz00_bglt)(BgL_auxz00_3928); } 
BgL_svarzd2loczd2_1602 = 
(((BgL_svarz00_bglt)CREF(BgL_obj1487z00_2328))->BgL_locz00); } 
{ /* Bdb/emit.scm 130 */

{ /* Bdb/emit.scm 131 */
bool_t BgL_testz00_3933;
if(
STRUCTP(BgL_svarzd2loczd2_1602))
{ /* Bdb/emit.scm 131 */
obj_t BgL_auxz00_3938;obj_t BgL_auxz00_3936;
BgL_auxz00_3938 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3936 = 
STRUCT_KEY(BgL_svarzd2loczd2_1602); 
BgL_testz00_3933 = 
(BgL_auxz00_3936==BgL_auxz00_3938); }  else 
{ /* Bdb/emit.scm 131 */
BgL_testz00_3933 = ((bool_t)0)
; } 
if(BgL_testz00_3933)
{ /* Bdb/emit.scm 131 */
BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(BgL_globalz00_36); 
{ /* Bdb/emit.scm 134 */
obj_t BgL_fnamez00_1604;obj_t BgL_lnumz00_1605;obj_t BgL_idz00_1606;obj_t BgL_namez00_1607;
{ /* Bdb/emit.scm 134 */
int BgL_auxz00_3942;
BgL_auxz00_3942 = 
(int)(((long)0)); 
BgL_fnamez00_1604 = 
STRUCT_REF(BgL_svarzd2loczd2_1602, BgL_auxz00_3942); } 
{ /* Bdb/emit.scm 135 */
int BgL_auxz00_3945;
BgL_auxz00_3945 = 
(int)(((long)2)); 
BgL_lnumz00_1605 = 
STRUCT_REF(BgL_svarzd2loczd2_1602, BgL_auxz00_3945); } 
{ /* Bdb/emit.scm 136 */
BgL_globalz00_bglt BgL_obj1148z00_2342;
BgL_obj1148z00_2342 = 
(BgL_globalz00_bglt)(BgL_globalz00_36); 
BgL_idz00_1606 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2342))->BgL_idz00); } 
{ /* Bdb/emit.scm 137 */
BgL_globalz00_bglt BgL_obj1149z00_2343;
BgL_obj1149z00_2343 = 
(BgL_globalz00_bglt)(BgL_globalz00_36); 
BgL_namez00_1607 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2343))->BgL_namez00); } 
{ /* Bdb/emit.scm 138 */
obj_t BgL_port2899z00_1608;
BgL_port2899z00_1608 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 138 */
obj_t BgL_list3085z00_1609;
BgL_list3085z00_1609 = 
MAKE_PAIR(BgL_port2899z00_1608, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3085z00_1609); } 
{ /* Bdb/emit.scm 138 */
obj_t BgL_list3086z00_1610;
BgL_list3086z00_1610 = 
MAKE_PAIR(BgL_port2899z00_1608, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_fnamez00_1604, BgL_list3086z00_1610); } 
{ /* Bdb/emit.scm 138 */
obj_t BgL_list3087z00_1611;
BgL_list3087z00_1611 = 
MAKE_PAIR(BgL_port2899z00_1608, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3297z00zzbdb_emitz00, BgL_list3087z00_1611); } 
{ /* Bdb/emit.scm 138 */
obj_t BgL_list3088z00_1612;
BgL_list3088z00_1612 = 
MAKE_PAIR(BgL_port2899z00_1608, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_lnumz00_1605, BgL_list3088z00_1612); } 
{ /* Bdb/emit.scm 138 */
obj_t BgL_list3089z00_1613;
BgL_list3089z00_1613 = 
MAKE_PAIR(BgL_port2899z00_1608, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3291z00zzbdb_emitz00, BgL_list3089z00_1613); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2899z00_1608); } 
{ /* Bdb/emit.scm 139 */
obj_t BgL_port2900z00_1614;
BgL_port2900z00_1614 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 139 */
obj_t BgL_list3090z00_1615;
BgL_list3090z00_1615 = 
MAKE_PAIR(BgL_port2900z00_1614, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3285z00zzbdb_emitz00, BgL_list3090z00_1615); } 
{ /* Bdb/emit.scm 139 */
obj_t BgL_list3091z00_1616;
BgL_list3091z00_1616 = 
MAKE_PAIR(BgL_port2900z00_1614, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_idz00_1606, BgL_list3091z00_1616); } 
{ /* Bdb/emit.scm 139 */
obj_t BgL_list3092z00_1617;
BgL_list3092z00_1617 = 
MAKE_PAIR(BgL_port2900z00_1614, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3286z00zzbdb_emitz00, BgL_list3092z00_1617); } 
{ /* Bdb/emit.scm 139 */
obj_t BgL_list3093z00_1618;
BgL_list3093z00_1618 = 
MAKE_PAIR(BgL_port2900z00_1614, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_namez00_1607, BgL_list3093z00_1618); } 
{ /* Bdb/emit.scm 139 */
obj_t BgL_list3094z00_1619;
BgL_list3094z00_1619 = 
MAKE_PAIR(BgL_port2900z00_1614, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3301z00zzbdb_emitz00, BgL_list3094z00_1619); } 
{ /* Bdb/emit.scm 139 */
unsigned char BgL_auxz00_3973;
BgL_auxz00_3973 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2900z00_1614); 
return 
BCHAR(BgL_auxz00_3973);} } } }  else 
{ /* Bdb/emit.scm 131 */
return BFALSE;} } } } } 
}



/* bdb-sfun! */
obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt BgL_sfunz00_37)
{ AN_OBJECT;
{ /* Bdb/emit.scm 144 */
{ 
obj_t BgL_l2903z00_1621;
{ /* Bdb/emit.scm 146 */
BgL_sfunz00_bglt BgL_obj1369z00_2346;
BgL_obj1369z00_2346 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_37); 
BgL_l2903z00_1621 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2346))->BgL_argsz00); } 
BgL_lname2904z00_1622:
if(
PAIRP(BgL_l2903z00_1621))
{ /* Bdb/emit.scm 146 */
BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(
CAR(BgL_l2903z00_1621)); 
{ 
obj_t BgL_l2903z00_3980;
BgL_l2903z00_3980 = 
CDR(BgL_l2903z00_1621); 
BgL_l2903z00_1621 = BgL_l2903z00_3980; 
goto BgL_lname2904z00_1622;} }  else 
{ /* Bdb/emit.scm 146 */((bool_t)1); } } 
{ /* Bdb/emit.scm 147 */
BgL_nodez00_bglt BgL_nodez00_2351;
{ /* Bdb/emit.scm 147 */
obj_t BgL_auxz00_3984;
{ /* Bdb/emit.scm 147 */
BgL_sfunz00_bglt BgL_obj1372z00_2350;
BgL_obj1372z00_2350 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_37); 
BgL_auxz00_3984 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2350))->BgL_bodyz00); } 
BgL_nodez00_2351 = 
(BgL_nodez00_bglt)(BgL_auxz00_3984); } 
{ /* Bdb/emit.scm 147 */
obj_t BgL_method2952z00_2352;
{ /* Bdb/emit.scm 147 */
long BgL_objzd2classzd2numz00_2354;
{ /* Bdb/emit.scm 147 */
BgL_objectz00_bglt BgL_auxz00_3988;
BgL_auxz00_3988 = 
(BgL_objectz00_bglt)(BgL_nodez00_2351); 
BgL_objzd2classzd2numz00_2354 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3988); } 
{ /* Bdb/emit.scm 147 */
obj_t BgL_arg1221z00_2355;
{ /* Bdb/emit.scm 147 */
int BgL_auxz00_3991;
BgL_auxz00_3991 = 
(int)(((long)1)); 
BgL_arg1221z00_2355 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_3991); } 
{ /* Bdb/emit.scm 147 */
long BgL_offsetz00_2359;
{ /* Bdb/emit.scm 147 */
long BgL_auxz00_3994;
{ /* Bdb/emit.scm 147 */
int BgL_auxz00_3995;
BgL_auxz00_3995 = 
(int)(BgL_objzd2classzd2numz00_2354); 
BgL_auxz00_3994 = 
(long)(BgL_auxz00_3995); } 
BgL_offsetz00_2359 = 
(BgL_auxz00_3994-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 147 */
long BgL_modz00_2360;
{ /* Bdb/emit.scm 147 */
long BgL_auxz00_3999;
{ /* Bdb/emit.scm 147 */
int BgL_auxz00_4000;
BgL_auxz00_4000 = 
(int)(((long)8)); 
BgL_auxz00_3999 = 
(long)(BgL_auxz00_4000); } 
BgL_modz00_2360 = 
(BgL_offsetz00_2359/BgL_auxz00_3999); } 
{ /* Bdb/emit.scm 147 */
long BgL_restz00_2362;
{ /* Bdb/emit.scm 147 */
long BgL_auxz00_4004;
{ /* Bdb/emit.scm 147 */
int BgL_auxz00_4005;
BgL_auxz00_4005 = 
(int)(((long)8)); 
BgL_auxz00_4004 = 
(long)(BgL_auxz00_4005); } 
BgL_restz00_2362 = 
(BgL_offsetz00_2359%BgL_auxz00_4004); } 
{ /* Bdb/emit.scm 147 */

{ /* Bdb/emit.scm 147 */
obj_t BgL_bucketz00_2364;
{ /* Bdb/emit.scm 147 */
int BgL_kz00_2374;
BgL_kz00_2374 = 
(int)(BgL_modz00_2360); 
BgL_bucketz00_2364 = 
VECTOR_REF(BgL_arg1221z00_2355,BgL_kz00_2374); } 
{ /* Bdb/emit.scm 147 */
int BgL_kz00_2376;
BgL_kz00_2376 = 
(int)(BgL_restz00_2362); 
BgL_method2952z00_2352 = 
VECTOR_REF(BgL_bucketz00_2364,BgL_kz00_2376); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_2352)(BgL_method2952z00_2352, 
(obj_t)(BgL_nodez00_2351), BEOA);} } } 
}



/* bdb-local-variable? */
bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t BgL_localz00_38)
{ AN_OBJECT;
{ /* Bdb/emit.scm 159 */
{ 
obj_t BgL_localz00_1630;
{ /* Bdb/emit.scm 173 */
bool_t BgL_testz00_4016;
{ /* Bdb/emit.scm 173 */
BgL_localz00_bglt BgL_obj1270z00_2377;
BgL_obj1270z00_2377 = 
(BgL_localz00_bglt)(BgL_localz00_38); 
BgL_testz00_4016 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2377))->BgL_userzf3zf3); } 
if(BgL_testz00_4016)
{ /* Bdb/emit.scm 173 */
BgL_localz00_1630 = BgL_localz00_38; 
{ /* Bdb/emit.scm 163 */
BgL_typez00_bglt BgL_tz00_1632;
{ /* Bdb/emit.scm 163 */
BgL_localz00_bglt BgL_obj1252z00_2378;
BgL_obj1252z00_2378 = 
(BgL_localz00_bglt)(BgL_localz00_1630); 
BgL_tz00_1632 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2378))->BgL_typez00); } 
{ /* Bdb/emit.scm 164 */
bool_t BgL__ortest_2905z00_1633;
{ /* Bdb/emit.scm 164 */
obj_t BgL_auxz00_4023;obj_t BgL_auxz00_4021;
BgL_auxz00_4023 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4021 = 
(((BgL_typez00_bglt)CREF(BgL_tz00_1632))->BgL_classz00); 
BgL__ortest_2905z00_1633 = 
(BgL_auxz00_4021==BgL_auxz00_4023); } 
if(BgL__ortest_2905z00_1633)
{ /* Bdb/emit.scm 164 */
return BgL__ortest_2905z00_1633;}  else 
{ /* Bdb/emit.scm 165 */
bool_t BgL__ortest_2906z00_1634;
{ /* Bdb/emit.scm 165 */
obj_t BgL_auxz00_4027;
BgL_auxz00_4027 = 
(obj_t)(BgL_tz00_1632); 
BgL__ortest_2906z00_1634 = 
(BgL_auxz00_4027==BGl_za2intza2z00zztype_cachez00); } 
if(BgL__ortest_2906z00_1634)
{ /* Bdb/emit.scm 165 */
return BgL__ortest_2906z00_1634;}  else 
{ /* Bdb/emit.scm 166 */
bool_t BgL__ortest_2907z00_1635;
{ /* Bdb/emit.scm 166 */
obj_t BgL_auxz00_4031;
BgL_auxz00_4031 = 
(obj_t)(BgL_tz00_1632); 
BgL__ortest_2907z00_1635 = 
(BgL_auxz00_4031==BGl_za2longza2z00zztype_cachez00); } 
if(BgL__ortest_2907z00_1635)
{ /* Bdb/emit.scm 166 */
return BgL__ortest_2907z00_1635;}  else 
{ /* Bdb/emit.scm 167 */
bool_t BgL__ortest_2908z00_1636;
{ /* Bdb/emit.scm 167 */
obj_t BgL_auxz00_4035;
BgL_auxz00_4035 = 
(obj_t)(BgL_tz00_1632); 
BgL__ortest_2908z00_1636 = 
(BgL_auxz00_4035==BGl_za2boolza2z00zztype_cachez00); } 
if(BgL__ortest_2908z00_1636)
{ /* Bdb/emit.scm 167 */
return BgL__ortest_2908z00_1636;}  else 
{ /* Bdb/emit.scm 168 */
bool_t BgL__ortest_2909z00_1637;
{ /* Bdb/emit.scm 168 */
obj_t BgL_auxz00_4039;
BgL_auxz00_4039 = 
(obj_t)(BgL_tz00_1632); 
BgL__ortest_2909z00_1637 = 
(BgL_auxz00_4039==BGl_za2realza2z00zztype_cachez00); } 
if(BgL__ortest_2909z00_1637)
{ /* Bdb/emit.scm 168 */
return BgL__ortest_2909z00_1637;}  else 
{ /* Bdb/emit.scm 169 */
bool_t BgL__ortest_2910z00_1638;
{ /* Bdb/emit.scm 169 */
obj_t BgL_auxz00_4043;
BgL_auxz00_4043 = 
(obj_t)(BgL_tz00_1632); 
BgL__ortest_2910z00_1638 = 
(BgL_auxz00_4043==BGl_za2charza2z00zztype_cachez00); } 
if(BgL__ortest_2910z00_1638)
{ /* Bdb/emit.scm 169 */
return BgL__ortest_2910z00_1638;}  else 
{ /* Bdb/emit.scm 170 */
obj_t BgL_auxz00_4047;
BgL_auxz00_4047 = 
(obj_t)(BgL_tz00_1632); 
return 
(BgL_auxz00_4047==BGl_za2stringza2z00zztype_cachez00);} } } } } } } } }  else 
{ /* Bdb/emit.scm 173 */
return ((bool_t)0);} } } } 
}



/* bdb-emit-local-info! */
obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t BgL_localz00_39)
{ AN_OBJECT;
{ /* Bdb/emit.scm 178 */
if(
BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(BgL_localz00_39))
{ /* Bdb/emit.scm 179 */
BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(BgL_localz00_39); 
{ /* Bdb/emit.scm 182 */
obj_t BgL_idz00_1643;obj_t BgL_namez00_1644;
{ /* Bdb/emit.scm 182 */
BgL_localz00_bglt BgL_obj1248z00_2380;
BgL_obj1248z00_2380 = 
(BgL_localz00_bglt)(BgL_localz00_39); 
BgL_idz00_1643 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_2380))->BgL_idz00); } 
{ /* Bdb/emit.scm 183 */
BgL_localz00_bglt BgL_obj1249z00_2381;
BgL_obj1249z00_2381 = 
(BgL_localz00_bglt)(BgL_localz00_39); 
BgL_namez00_1644 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2381))->BgL_namez00); } 
{ /* Bdb/emit.scm 184 */
obj_t BgL_port2912z00_1645;
BgL_port2912z00_1645 = BGl_za2czd2portza2zd2zzbdb_emitz00; 
{ /* Bdb/emit.scm 184 */
obj_t BgL_list3104z00_1646;
BgL_list3104z00_1646 = 
MAKE_PAIR(BgL_port2912z00_1645, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3303z00zzbdb_emitz00, BgL_list3104z00_1646); } 
{ /* Bdb/emit.scm 184 */
obj_t BgL_list3105z00_1647;
BgL_list3105z00_1647 = 
MAKE_PAIR(BgL_port2912z00_1645, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_idz00_1643, BgL_list3105z00_1647); } 
{ /* Bdb/emit.scm 184 */
obj_t BgL_list3106z00_1648;
BgL_list3106z00_1648 = 
MAKE_PAIR(BgL_port2912z00_1645, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3286z00zzbdb_emitz00, BgL_list3106z00_1648); } 
{ /* Bdb/emit.scm 184 */
obj_t BgL_list3107z00_1649;
BgL_list3107z00_1649 = 
MAKE_PAIR(BgL_port2912z00_1645, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_namez00_1644, BgL_list3107z00_1649); } 
{ /* Bdb/emit.scm 184 */
obj_t BgL_list3108z00_1650;
BgL_list3108z00_1650 = 
MAKE_PAIR(BgL_port2912z00_1645, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3301z00zzbdb_emitz00, BgL_list3108z00_1650); } 
{ /* Bdb/emit.scm 184 */
unsigned char BgL_auxz00_4067;
BgL_auxz00_4067 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2912z00_1645); 
return 
BCHAR(BgL_auxz00_4067);} } } }  else 
{ /* Bdb/emit.scm 179 */
return BFALSE;} } 
}



/* bdb*! */
obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t BgL_nodesz00_57)
{ AN_OBJECT;
{ /* Bdb/emit.scm 316 */
{ 
obj_t BgL_hookz00_1651;
BgL_hookz00_1651 = BgL_nodesz00_57; 
BgL_loopz00_1652:
if(
NULLP(BgL_hookz00_1651))
{ /* Bdb/emit.scm 318 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Bdb/emit.scm 318 */
{ /* Bdb/emit.scm 321 */
BgL_nodez00_bglt BgL_nodez00_2385;
{ /* Bdb/emit.scm 321 */
obj_t BgL_auxz00_4073;
BgL_auxz00_4073 = 
CAR(BgL_hookz00_1651); 
BgL_nodez00_2385 = 
(BgL_nodez00_bglt)(BgL_auxz00_4073); } 
{ /* Bdb/emit.scm 321 */
obj_t BgL_method2952z00_2386;
{ /* Bdb/emit.scm 321 */
long BgL_objzd2classzd2numz00_2388;
{ /* Bdb/emit.scm 321 */
BgL_objectz00_bglt BgL_auxz00_4076;
BgL_auxz00_4076 = 
(BgL_objectz00_bglt)(BgL_nodez00_2385); 
BgL_objzd2classzd2numz00_2388 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4076); } 
{ /* Bdb/emit.scm 321 */
obj_t BgL_arg1221z00_2389;
{ /* Bdb/emit.scm 321 */
int BgL_auxz00_4079;
BgL_auxz00_4079 = 
(int)(((long)1)); 
BgL_arg1221z00_2389 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4079); } 
{ /* Bdb/emit.scm 321 */
long BgL_offsetz00_2393;
{ /* Bdb/emit.scm 321 */
long BgL_auxz00_4082;
{ /* Bdb/emit.scm 321 */
int BgL_auxz00_4083;
BgL_auxz00_4083 = 
(int)(BgL_objzd2classzd2numz00_2388); 
BgL_auxz00_4082 = 
(long)(BgL_auxz00_4083); } 
BgL_offsetz00_2393 = 
(BgL_auxz00_4082-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 321 */
long BgL_modz00_2394;
{ /* Bdb/emit.scm 321 */
long BgL_auxz00_4087;
{ /* Bdb/emit.scm 321 */
int BgL_auxz00_4088;
BgL_auxz00_4088 = 
(int)(((long)8)); 
BgL_auxz00_4087 = 
(long)(BgL_auxz00_4088); } 
BgL_modz00_2394 = 
(BgL_offsetz00_2393/BgL_auxz00_4087); } 
{ /* Bdb/emit.scm 321 */
long BgL_restz00_2396;
{ /* Bdb/emit.scm 321 */
long BgL_auxz00_4092;
{ /* Bdb/emit.scm 321 */
int BgL_auxz00_4093;
BgL_auxz00_4093 = 
(int)(((long)8)); 
BgL_auxz00_4092 = 
(long)(BgL_auxz00_4093); } 
BgL_restz00_2396 = 
(BgL_offsetz00_2393%BgL_auxz00_4092); } 
{ /* Bdb/emit.scm 321 */

{ /* Bdb/emit.scm 321 */
obj_t BgL_bucketz00_2398;
{ /* Bdb/emit.scm 321 */
int BgL_kz00_2408;
BgL_kz00_2408 = 
(int)(BgL_modz00_2394); 
BgL_bucketz00_2398 = 
VECTOR_REF(BgL_arg1221z00_2389,BgL_kz00_2408); } 
{ /* Bdb/emit.scm 321 */
int BgL_kz00_2410;
BgL_kz00_2410 = 
(int)(BgL_restz00_2396); 
BgL_method2952z00_2386 = 
VECTOR_REF(BgL_bucketz00_2398,BgL_kz00_2410); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_2386)(BgL_method2952z00_2386, 
(obj_t)(BgL_nodez00_2385), BEOA); } } 
{ 
obj_t BgL_hookz00_4104;
BgL_hookz00_4104 = 
CDR(BgL_hookz00_1651); 
BgL_hookz00_1651 = BgL_hookz00_4104; 
goto BgL_loopz00_1652;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzbdb_emitz00()
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_bdbz12zd2default2951zd2envz12zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_sequencez00zzast_nodez00, BGl_proc3304z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_externz00zzast_nodez00, BGl_proc3305z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_castz00zzast_nodez00, BGl_proc3306z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setqz00zzast_nodez00, BGl_proc3307z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_conditionalz00zzast_nodez00, BGl_proc3308z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_failz00zzast_nodez00, BGl_proc3309z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_selectz00zzast_nodez00, BGl_proc3310z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3311z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3312z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3313z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3314z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3315z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3316z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3317z00zzbdb_emitz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_funcallz00zzast_nodez00, BGl_proc3318z00zzbdb_emitz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appz00zzast_nodez00, BGl_proc3319z00zzbdb_emitz00);} 
}



/* bdb!-app2984 */
obj_t BGl_bdbz12zd2app2984zc0zzbdb_emitz00(obj_t BgL_envz00_3624, obj_t BgL_nodez00_3625)
{ AN_OBJECT;
{ /* Bdb/emit.scm 327 */
{ 
BgL_appz00_bglt BgL_nodez00_2209;
BgL_nodez00_2209 = 
(BgL_appz00_bglt)(BgL_nodez00_3625); 
return 
BGl_bdbza2z12zb0zzbdb_emitz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2209))->BgL_argsz00));} } 
}



/* bdb!-funcall2982 */
obj_t BGl_bdbz12zd2funcall2982zc0zzbdb_emitz00(obj_t BgL_envz00_3626, obj_t BgL_nodez00_3627)
{ AN_OBJECT;
{ /* Bdb/emit.scm 308 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2201;
BgL_nodez00_2201 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3627); 
{ /* Bdb/emit.scm 310 */
BgL_nodez00_bglt BgL_arg3210z00_2205;
BgL_arg3210z00_2205 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2201))->BgL_funz00); 
{ /* Bdb/emit.scm 310 */
obj_t BgL_method2952z00_3546;
{ /* Bdb/emit.scm 310 */
long BgL_objzd2classzd2numz00_3548;
{ /* Bdb/emit.scm 310 */
BgL_objectz00_bglt BgL_auxz00_4127;
BgL_auxz00_4127 = 
(BgL_objectz00_bglt)(BgL_arg3210z00_2205); 
BgL_objzd2classzd2numz00_3548 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4127); } 
{ /* Bdb/emit.scm 310 */
obj_t BgL_arg1221z00_3549;
{ /* Bdb/emit.scm 310 */
int BgL_auxz00_4130;
BgL_auxz00_4130 = 
(int)(((long)1)); 
BgL_arg1221z00_3549 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4130); } 
{ /* Bdb/emit.scm 310 */
long BgL_offsetz00_3553;
{ /* Bdb/emit.scm 310 */
long BgL_auxz00_4133;
{ /* Bdb/emit.scm 310 */
int BgL_auxz00_4134;
BgL_auxz00_4134 = 
(int)(BgL_objzd2classzd2numz00_3548); 
BgL_auxz00_4133 = 
(long)(BgL_auxz00_4134); } 
BgL_offsetz00_3553 = 
(BgL_auxz00_4133-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 310 */
long BgL_modz00_3554;
{ /* Bdb/emit.scm 310 */
long BgL_auxz00_4138;
{ /* Bdb/emit.scm 310 */
int BgL_auxz00_4139;
BgL_auxz00_4139 = 
(int)(((long)8)); 
BgL_auxz00_4138 = 
(long)(BgL_auxz00_4139); } 
BgL_modz00_3554 = 
(BgL_offsetz00_3553/BgL_auxz00_4138); } 
{ /* Bdb/emit.scm 310 */
long BgL_restz00_3556;
{ /* Bdb/emit.scm 310 */
long BgL_auxz00_4143;
{ /* Bdb/emit.scm 310 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(((long)8)); 
BgL_auxz00_4143 = 
(long)(BgL_auxz00_4144); } 
BgL_restz00_3556 = 
(BgL_offsetz00_3553%BgL_auxz00_4143); } 
{ /* Bdb/emit.scm 310 */

{ /* Bdb/emit.scm 310 */
obj_t BgL_bucketz00_3558;
{ /* Bdb/emit.scm 310 */
int BgL_kz00_3568;
BgL_kz00_3568 = 
(int)(BgL_modz00_3554); 
BgL_bucketz00_3558 = 
VECTOR_REF(BgL_arg1221z00_3549,BgL_kz00_3568); } 
{ /* Bdb/emit.scm 310 */
int BgL_kz00_3570;
BgL_kz00_3570 = 
(int)(BgL_restz00_3556); 
BgL_method2952z00_3546 = 
VECTOR_REF(BgL_bucketz00_3558,BgL_kz00_3570); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3546)(BgL_method2952z00_3546, 
(obj_t)(BgL_arg3210z00_2205), BEOA); } } 
return 
BGl_bdbza2z12zb0zzbdb_emitz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2201))->BgL_argsz00));} } 
}



/* bdb!-app-ly2980 */
obj_t BGl_bdbz12zd2appzd2ly2980z12zzbdb_emitz00(obj_t BgL_envz00_3628, obj_t BgL_nodez00_3629)
{ AN_OBJECT;
{ /* Bdb/emit.scm 300 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2193;
BgL_nodez00_2193 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3629); 
{ /* Bdb/emit.scm 302 */
BgL_nodez00_bglt BgL_arg3207z00_2197;
BgL_arg3207z00_2197 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2193))->BgL_funz00); 
{ /* Bdb/emit.scm 302 */
obj_t BgL_method2952z00_3492;
{ /* Bdb/emit.scm 302 */
long BgL_objzd2classzd2numz00_3494;
{ /* Bdb/emit.scm 302 */
BgL_objectz00_bglt BgL_auxz00_4159;
BgL_auxz00_4159 = 
(BgL_objectz00_bglt)(BgL_arg3207z00_2197); 
BgL_objzd2classzd2numz00_3494 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4159); } 
{ /* Bdb/emit.scm 302 */
obj_t BgL_arg1221z00_3495;
{ /* Bdb/emit.scm 302 */
int BgL_auxz00_4162;
BgL_auxz00_4162 = 
(int)(((long)1)); 
BgL_arg1221z00_3495 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4162); } 
{ /* Bdb/emit.scm 302 */
long BgL_offsetz00_3499;
{ /* Bdb/emit.scm 302 */
long BgL_auxz00_4165;
{ /* Bdb/emit.scm 302 */
int BgL_auxz00_4166;
BgL_auxz00_4166 = 
(int)(BgL_objzd2classzd2numz00_3494); 
BgL_auxz00_4165 = 
(long)(BgL_auxz00_4166); } 
BgL_offsetz00_3499 = 
(BgL_auxz00_4165-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 302 */
long BgL_modz00_3500;
{ /* Bdb/emit.scm 302 */
long BgL_auxz00_4170;
{ /* Bdb/emit.scm 302 */
int BgL_auxz00_4171;
BgL_auxz00_4171 = 
(int)(((long)8)); 
BgL_auxz00_4170 = 
(long)(BgL_auxz00_4171); } 
BgL_modz00_3500 = 
(BgL_offsetz00_3499/BgL_auxz00_4170); } 
{ /* Bdb/emit.scm 302 */
long BgL_restz00_3502;
{ /* Bdb/emit.scm 302 */
long BgL_auxz00_4175;
{ /* Bdb/emit.scm 302 */
int BgL_auxz00_4176;
BgL_auxz00_4176 = 
(int)(((long)8)); 
BgL_auxz00_4175 = 
(long)(BgL_auxz00_4176); } 
BgL_restz00_3502 = 
(BgL_offsetz00_3499%BgL_auxz00_4175); } 
{ /* Bdb/emit.scm 302 */

{ /* Bdb/emit.scm 302 */
obj_t BgL_bucketz00_3504;
{ /* Bdb/emit.scm 302 */
int BgL_kz00_3514;
BgL_kz00_3514 = 
(int)(BgL_modz00_3500); 
BgL_bucketz00_3504 = 
VECTOR_REF(BgL_arg1221z00_3495,BgL_kz00_3514); } 
{ /* Bdb/emit.scm 302 */
int BgL_kz00_3516;
BgL_kz00_3516 = 
(int)(BgL_restz00_3502); 
BgL_method2952z00_3492 = 
VECTOR_REF(BgL_bucketz00_3504,BgL_kz00_3516); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3492)(BgL_method2952z00_3492, 
(obj_t)(BgL_arg3207z00_2197), BEOA); } } 
{ /* Bdb/emit.scm 303 */
BgL_nodez00_bglt BgL_arg3208z00_2198;
BgL_arg3208z00_2198 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2193))->BgL_argz00); 
{ /* Bdb/emit.scm 303 */
obj_t BgL_method2952z00_3519;
{ /* Bdb/emit.scm 303 */
long BgL_objzd2classzd2numz00_3521;
{ /* Bdb/emit.scm 303 */
BgL_objectz00_bglt BgL_auxz00_4188;
BgL_auxz00_4188 = 
(BgL_objectz00_bglt)(BgL_arg3208z00_2198); 
BgL_objzd2classzd2numz00_3521 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4188); } 
{ /* Bdb/emit.scm 303 */
obj_t BgL_arg1221z00_3522;
{ /* Bdb/emit.scm 303 */
int BgL_auxz00_4191;
BgL_auxz00_4191 = 
(int)(((long)1)); 
BgL_arg1221z00_3522 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4191); } 
{ /* Bdb/emit.scm 303 */
long BgL_offsetz00_3526;
{ /* Bdb/emit.scm 303 */
long BgL_auxz00_4194;
{ /* Bdb/emit.scm 303 */
int BgL_auxz00_4195;
BgL_auxz00_4195 = 
(int)(BgL_objzd2classzd2numz00_3521); 
BgL_auxz00_4194 = 
(long)(BgL_auxz00_4195); } 
BgL_offsetz00_3526 = 
(BgL_auxz00_4194-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 303 */
long BgL_modz00_3527;
{ /* Bdb/emit.scm 303 */
long BgL_auxz00_4199;
{ /* Bdb/emit.scm 303 */
int BgL_auxz00_4200;
BgL_auxz00_4200 = 
(int)(((long)8)); 
BgL_auxz00_4199 = 
(long)(BgL_auxz00_4200); } 
BgL_modz00_3527 = 
(BgL_offsetz00_3526/BgL_auxz00_4199); } 
{ /* Bdb/emit.scm 303 */
long BgL_restz00_3529;
{ /* Bdb/emit.scm 303 */
long BgL_auxz00_4204;
{ /* Bdb/emit.scm 303 */
int BgL_auxz00_4205;
BgL_auxz00_4205 = 
(int)(((long)8)); 
BgL_auxz00_4204 = 
(long)(BgL_auxz00_4205); } 
BgL_restz00_3529 = 
(BgL_offsetz00_3526%BgL_auxz00_4204); } 
{ /* Bdb/emit.scm 303 */

{ /* Bdb/emit.scm 303 */
obj_t BgL_bucketz00_3531;
{ /* Bdb/emit.scm 303 */
int BgL_kz00_3541;
BgL_kz00_3541 = 
(int)(BgL_modz00_3527); 
BgL_bucketz00_3531 = 
VECTOR_REF(BgL_arg1221z00_3522,BgL_kz00_3541); } 
{ /* Bdb/emit.scm 303 */
int BgL_kz00_3543;
BgL_kz00_3543 = 
(int)(BgL_restz00_3529); 
BgL_method2952z00_3519 = 
VECTOR_REF(BgL_bucketz00_3531,BgL_kz00_3543); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3519)(BgL_method2952z00_3519, 
(obj_t)(BgL_arg3208z00_2198), BEOA);} } } } 
}



/* bdb!-box-set!2978 */
obj_t BGl_bdbz12zd2boxzd2setz122978z00zzbdb_emitz00(obj_t BgL_envz00_3630, obj_t BgL_nodez00_3631)
{ AN_OBJECT;
{ /* Bdb/emit.scm 293 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2186;
BgL_nodez00_2186 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3631); 
{ /* Bdb/emit.scm 294 */
BgL_nodez00_bglt BgL_arg3205z00_3462;
BgL_arg3205z00_3462 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2186))->BgL_valuez00); 
{ /* Bdb/emit.scm 294 */
obj_t BgL_method2952z00_3465;
{ /* Bdb/emit.scm 294 */
long BgL_objzd2classzd2numz00_3467;
{ /* Bdb/emit.scm 294 */
BgL_objectz00_bglt BgL_auxz00_4218;
BgL_auxz00_4218 = 
(BgL_objectz00_bglt)(BgL_arg3205z00_3462); 
BgL_objzd2classzd2numz00_3467 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4218); } 
{ /* Bdb/emit.scm 294 */
obj_t BgL_arg1221z00_3468;
{ /* Bdb/emit.scm 294 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(((long)1)); 
BgL_arg1221z00_3468 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4221); } 
{ /* Bdb/emit.scm 294 */
long BgL_offsetz00_3472;
{ /* Bdb/emit.scm 294 */
long BgL_auxz00_4224;
{ /* Bdb/emit.scm 294 */
int BgL_auxz00_4225;
BgL_auxz00_4225 = 
(int)(BgL_objzd2classzd2numz00_3467); 
BgL_auxz00_4224 = 
(long)(BgL_auxz00_4225); } 
BgL_offsetz00_3472 = 
(BgL_auxz00_4224-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 294 */
long BgL_modz00_3473;
{ /* Bdb/emit.scm 294 */
long BgL_auxz00_4229;
{ /* Bdb/emit.scm 294 */
int BgL_auxz00_4230;
BgL_auxz00_4230 = 
(int)(((long)8)); 
BgL_auxz00_4229 = 
(long)(BgL_auxz00_4230); } 
BgL_modz00_3473 = 
(BgL_offsetz00_3472/BgL_auxz00_4229); } 
{ /* Bdb/emit.scm 294 */
long BgL_restz00_3475;
{ /* Bdb/emit.scm 294 */
long BgL_auxz00_4234;
{ /* Bdb/emit.scm 294 */
int BgL_auxz00_4235;
BgL_auxz00_4235 = 
(int)(((long)8)); 
BgL_auxz00_4234 = 
(long)(BgL_auxz00_4235); } 
BgL_restz00_3475 = 
(BgL_offsetz00_3472%BgL_auxz00_4234); } 
{ /* Bdb/emit.scm 294 */

{ /* Bdb/emit.scm 294 */
obj_t BgL_bucketz00_3477;
{ /* Bdb/emit.scm 294 */
int BgL_kz00_3487;
BgL_kz00_3487 = 
(int)(BgL_modz00_3473); 
BgL_bucketz00_3477 = 
VECTOR_REF(BgL_arg1221z00_3468,BgL_kz00_3487); } 
{ /* Bdb/emit.scm 294 */
int BgL_kz00_3489;
BgL_kz00_3489 = 
(int)(BgL_restz00_3475); 
BgL_method2952z00_3465 = 
VECTOR_REF(BgL_bucketz00_3477,BgL_kz00_3489); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3465)(BgL_method2952z00_3465, 
(obj_t)(BgL_arg3205z00_3462), BEOA);} } } } 
}



/* bdb!-make-box2976 */
obj_t BGl_bdbz12zd2makezd2box2976z12zzbdb_emitz00(obj_t BgL_envz00_3632, obj_t BgL_nodez00_3633)
{ AN_OBJECT;
{ /* Bdb/emit.scm 286 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2179;
BgL_nodez00_2179 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3633); 
{ /* Bdb/emit.scm 287 */
BgL_nodez00_bglt BgL_arg3203z00_3433;
BgL_arg3203z00_3433 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2179))->BgL_valuez00); 
{ /* Bdb/emit.scm 287 */
obj_t BgL_method2952z00_3436;
{ /* Bdb/emit.scm 287 */
long BgL_objzd2classzd2numz00_3438;
{ /* Bdb/emit.scm 287 */
BgL_objectz00_bglt BgL_auxz00_4248;
BgL_auxz00_4248 = 
(BgL_objectz00_bglt)(BgL_arg3203z00_3433); 
BgL_objzd2classzd2numz00_3438 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4248); } 
{ /* Bdb/emit.scm 287 */
obj_t BgL_arg1221z00_3439;
{ /* Bdb/emit.scm 287 */
int BgL_auxz00_4251;
BgL_auxz00_4251 = 
(int)(((long)1)); 
BgL_arg1221z00_3439 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4251); } 
{ /* Bdb/emit.scm 287 */
long BgL_offsetz00_3443;
{ /* Bdb/emit.scm 287 */
long BgL_auxz00_4254;
{ /* Bdb/emit.scm 287 */
int BgL_auxz00_4255;
BgL_auxz00_4255 = 
(int)(BgL_objzd2classzd2numz00_3438); 
BgL_auxz00_4254 = 
(long)(BgL_auxz00_4255); } 
BgL_offsetz00_3443 = 
(BgL_auxz00_4254-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 287 */
long BgL_modz00_3444;
{ /* Bdb/emit.scm 287 */
long BgL_auxz00_4259;
{ /* Bdb/emit.scm 287 */
int BgL_auxz00_4260;
BgL_auxz00_4260 = 
(int)(((long)8)); 
BgL_auxz00_4259 = 
(long)(BgL_auxz00_4260); } 
BgL_modz00_3444 = 
(BgL_offsetz00_3443/BgL_auxz00_4259); } 
{ /* Bdb/emit.scm 287 */
long BgL_restz00_3446;
{ /* Bdb/emit.scm 287 */
long BgL_auxz00_4264;
{ /* Bdb/emit.scm 287 */
int BgL_auxz00_4265;
BgL_auxz00_4265 = 
(int)(((long)8)); 
BgL_auxz00_4264 = 
(long)(BgL_auxz00_4265); } 
BgL_restz00_3446 = 
(BgL_offsetz00_3443%BgL_auxz00_4264); } 
{ /* Bdb/emit.scm 287 */

{ /* Bdb/emit.scm 287 */
obj_t BgL_bucketz00_3448;
{ /* Bdb/emit.scm 287 */
int BgL_kz00_3458;
BgL_kz00_3458 = 
(int)(BgL_modz00_3444); 
BgL_bucketz00_3448 = 
VECTOR_REF(BgL_arg1221z00_3439,BgL_kz00_3458); } 
{ /* Bdb/emit.scm 287 */
int BgL_kz00_3460;
BgL_kz00_3460 = 
(int)(BgL_restz00_3446); 
BgL_method2952z00_3436 = 
VECTOR_REF(BgL_bucketz00_3448,BgL_kz00_3460); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3436)(BgL_method2952z00_3436, 
(obj_t)(BgL_arg3203z00_3433), BEOA);} } } } 
}



/* bdb!-jump-ex-it2974 */
obj_t BGl_bdbz12zd2jumpzd2exzd2it2974zc0zzbdb_emitz00(obj_t BgL_envz00_3634, obj_t BgL_nodez00_3635)
{ AN_OBJECT;
{ /* Bdb/emit.scm 278 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2171;
BgL_nodez00_2171 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3635); 
{ /* Bdb/emit.scm 280 */
BgL_nodez00_bglt BgL_arg3200z00_2175;
BgL_arg3200z00_2175 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2171))->BgL_exitz00); 
{ /* Bdb/emit.scm 280 */
obj_t BgL_method2952z00_3380;
{ /* Bdb/emit.scm 280 */
long BgL_objzd2classzd2numz00_3382;
{ /* Bdb/emit.scm 280 */
BgL_objectz00_bglt BgL_auxz00_4278;
BgL_auxz00_4278 = 
(BgL_objectz00_bglt)(BgL_arg3200z00_2175); 
BgL_objzd2classzd2numz00_3382 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4278); } 
{ /* Bdb/emit.scm 280 */
obj_t BgL_arg1221z00_3383;
{ /* Bdb/emit.scm 280 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)1)); 
BgL_arg1221z00_3383 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4281); } 
{ /* Bdb/emit.scm 280 */
long BgL_offsetz00_3387;
{ /* Bdb/emit.scm 280 */
long BgL_auxz00_4284;
{ /* Bdb/emit.scm 280 */
int BgL_auxz00_4285;
BgL_auxz00_4285 = 
(int)(BgL_objzd2classzd2numz00_3382); 
BgL_auxz00_4284 = 
(long)(BgL_auxz00_4285); } 
BgL_offsetz00_3387 = 
(BgL_auxz00_4284-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 280 */
long BgL_modz00_3388;
{ /* Bdb/emit.scm 280 */
long BgL_auxz00_4289;
{ /* Bdb/emit.scm 280 */
int BgL_auxz00_4290;
BgL_auxz00_4290 = 
(int)(((long)8)); 
BgL_auxz00_4289 = 
(long)(BgL_auxz00_4290); } 
BgL_modz00_3388 = 
(BgL_offsetz00_3387/BgL_auxz00_4289); } 
{ /* Bdb/emit.scm 280 */
long BgL_restz00_3390;
{ /* Bdb/emit.scm 280 */
long BgL_auxz00_4294;
{ /* Bdb/emit.scm 280 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)8)); 
BgL_auxz00_4294 = 
(long)(BgL_auxz00_4295); } 
BgL_restz00_3390 = 
(BgL_offsetz00_3387%BgL_auxz00_4294); } 
{ /* Bdb/emit.scm 280 */

{ /* Bdb/emit.scm 280 */
obj_t BgL_bucketz00_3392;
{ /* Bdb/emit.scm 280 */
int BgL_kz00_3402;
BgL_kz00_3402 = 
(int)(BgL_modz00_3388); 
BgL_bucketz00_3392 = 
VECTOR_REF(BgL_arg1221z00_3383,BgL_kz00_3402); } 
{ /* Bdb/emit.scm 280 */
int BgL_kz00_3404;
BgL_kz00_3404 = 
(int)(BgL_restz00_3390); 
BgL_method2952z00_3380 = 
VECTOR_REF(BgL_bucketz00_3392,BgL_kz00_3404); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3380)(BgL_method2952z00_3380, 
(obj_t)(BgL_arg3200z00_2175), BEOA); } } 
{ /* Bdb/emit.scm 281 */
BgL_nodez00_bglt BgL_arg3201z00_2176;
BgL_arg3201z00_2176 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2171))->BgL_valuez00); 
{ /* Bdb/emit.scm 281 */
obj_t BgL_method2952z00_3407;
{ /* Bdb/emit.scm 281 */
long BgL_objzd2classzd2numz00_3409;
{ /* Bdb/emit.scm 281 */
BgL_objectz00_bglt BgL_auxz00_4307;
BgL_auxz00_4307 = 
(BgL_objectz00_bglt)(BgL_arg3201z00_2176); 
BgL_objzd2classzd2numz00_3409 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4307); } 
{ /* Bdb/emit.scm 281 */
obj_t BgL_arg1221z00_3410;
{ /* Bdb/emit.scm 281 */
int BgL_auxz00_4310;
BgL_auxz00_4310 = 
(int)(((long)1)); 
BgL_arg1221z00_3410 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4310); } 
{ /* Bdb/emit.scm 281 */
long BgL_offsetz00_3414;
{ /* Bdb/emit.scm 281 */
long BgL_auxz00_4313;
{ /* Bdb/emit.scm 281 */
int BgL_auxz00_4314;
BgL_auxz00_4314 = 
(int)(BgL_objzd2classzd2numz00_3409); 
BgL_auxz00_4313 = 
(long)(BgL_auxz00_4314); } 
BgL_offsetz00_3414 = 
(BgL_auxz00_4313-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 281 */
long BgL_modz00_3415;
{ /* Bdb/emit.scm 281 */
long BgL_auxz00_4318;
{ /* Bdb/emit.scm 281 */
int BgL_auxz00_4319;
BgL_auxz00_4319 = 
(int)(((long)8)); 
BgL_auxz00_4318 = 
(long)(BgL_auxz00_4319); } 
BgL_modz00_3415 = 
(BgL_offsetz00_3414/BgL_auxz00_4318); } 
{ /* Bdb/emit.scm 281 */
long BgL_restz00_3417;
{ /* Bdb/emit.scm 281 */
long BgL_auxz00_4323;
{ /* Bdb/emit.scm 281 */
int BgL_auxz00_4324;
BgL_auxz00_4324 = 
(int)(((long)8)); 
BgL_auxz00_4323 = 
(long)(BgL_auxz00_4324); } 
BgL_restz00_3417 = 
(BgL_offsetz00_3414%BgL_auxz00_4323); } 
{ /* Bdb/emit.scm 281 */

{ /* Bdb/emit.scm 281 */
obj_t BgL_bucketz00_3419;
{ /* Bdb/emit.scm 281 */
int BgL_kz00_3429;
BgL_kz00_3429 = 
(int)(BgL_modz00_3415); 
BgL_bucketz00_3419 = 
VECTOR_REF(BgL_arg1221z00_3410,BgL_kz00_3429); } 
{ /* Bdb/emit.scm 281 */
int BgL_kz00_3431;
BgL_kz00_3431 = 
(int)(BgL_restz00_3417); 
BgL_method2952z00_3407 = 
VECTOR_REF(BgL_bucketz00_3419,BgL_kz00_3431); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3407)(BgL_method2952z00_3407, 
(obj_t)(BgL_arg3201z00_2176), BEOA);} } } } 
}



/* bdb!-set-ex-it2972 */
obj_t BGl_bdbz12zd2setzd2exzd2it2972zc0zzbdb_emitz00(obj_t BgL_envz00_3636, obj_t BgL_nodez00_3637)
{ AN_OBJECT;
{ /* Bdb/emit.scm 271 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2164;
BgL_nodez00_2164 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3637); 
{ /* Bdb/emit.scm 272 */
BgL_nodez00_bglt BgL_arg3198z00_3350;
BgL_arg3198z00_3350 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2164))->BgL_bodyz00); 
{ /* Bdb/emit.scm 272 */
obj_t BgL_method2952z00_3353;
{ /* Bdb/emit.scm 272 */
long BgL_objzd2classzd2numz00_3355;
{ /* Bdb/emit.scm 272 */
BgL_objectz00_bglt BgL_auxz00_4337;
BgL_auxz00_4337 = 
(BgL_objectz00_bglt)(BgL_arg3198z00_3350); 
BgL_objzd2classzd2numz00_3355 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4337); } 
{ /* Bdb/emit.scm 272 */
obj_t BgL_arg1221z00_3356;
{ /* Bdb/emit.scm 272 */
int BgL_auxz00_4340;
BgL_auxz00_4340 = 
(int)(((long)1)); 
BgL_arg1221z00_3356 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4340); } 
{ /* Bdb/emit.scm 272 */
long BgL_offsetz00_3360;
{ /* Bdb/emit.scm 272 */
long BgL_auxz00_4343;
{ /* Bdb/emit.scm 272 */
int BgL_auxz00_4344;
BgL_auxz00_4344 = 
(int)(BgL_objzd2classzd2numz00_3355); 
BgL_auxz00_4343 = 
(long)(BgL_auxz00_4344); } 
BgL_offsetz00_3360 = 
(BgL_auxz00_4343-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 272 */
long BgL_modz00_3361;
{ /* Bdb/emit.scm 272 */
long BgL_auxz00_4348;
{ /* Bdb/emit.scm 272 */
int BgL_auxz00_4349;
BgL_auxz00_4349 = 
(int)(((long)8)); 
BgL_auxz00_4348 = 
(long)(BgL_auxz00_4349); } 
BgL_modz00_3361 = 
(BgL_offsetz00_3360/BgL_auxz00_4348); } 
{ /* Bdb/emit.scm 272 */
long BgL_restz00_3363;
{ /* Bdb/emit.scm 272 */
long BgL_auxz00_4353;
{ /* Bdb/emit.scm 272 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(((long)8)); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_restz00_3363 = 
(BgL_offsetz00_3360%BgL_auxz00_4353); } 
{ /* Bdb/emit.scm 272 */

{ /* Bdb/emit.scm 272 */
obj_t BgL_bucketz00_3365;
{ /* Bdb/emit.scm 272 */
int BgL_kz00_3375;
BgL_kz00_3375 = 
(int)(BgL_modz00_3361); 
BgL_bucketz00_3365 = 
VECTOR_REF(BgL_arg1221z00_3356,BgL_kz00_3375); } 
{ /* Bdb/emit.scm 272 */
int BgL_kz00_3377;
BgL_kz00_3377 = 
(int)(BgL_restz00_3363); 
BgL_method2952z00_3353 = 
VECTOR_REF(BgL_bucketz00_3365,BgL_kz00_3377); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3353)(BgL_method2952z00_3353, 
(obj_t)(BgL_arg3198z00_3350), BEOA);} } } } 
}



/* bdb!-let-var2970 */
obj_t BGl_bdbz12zd2letzd2var2970z12zzbdb_emitz00(obj_t BgL_envz00_3638, obj_t BgL_nodez00_3639)
{ AN_OBJECT;
{ /* Bdb/emit.scm 259 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2148;
BgL_nodez00_2148 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3639); 
{ 
obj_t BgL_l2935z00_2152;
BgL_l2935z00_2152 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2148))->BgL_bindingsz00); 
BgL_lname2936z00_2153:
if(
PAIRP(BgL_l2935z00_2152))
{ /* Bdb/emit.scm 261 */
{ /* Bdb/emit.scm 262 */
obj_t BgL_bindingz00_2156;
BgL_bindingz00_2156 = 
CAR(BgL_l2935z00_2152); 
{ /* Bdb/emit.scm 263 */
BgL_nodez00_bglt BgL_nodez00_3294;
{ /* Bdb/emit.scm 263 */
obj_t BgL_auxz00_4369;
BgL_auxz00_4369 = 
CDR(BgL_bindingz00_2156); 
BgL_nodez00_3294 = 
(BgL_nodez00_bglt)(BgL_auxz00_4369); } 
{ /* Bdb/emit.scm 263 */
obj_t BgL_method2952z00_3295;
{ /* Bdb/emit.scm 263 */
long BgL_objzd2classzd2numz00_3297;
{ /* Bdb/emit.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4372;
BgL_auxz00_4372 = 
(BgL_objectz00_bglt)(BgL_nodez00_3294); 
BgL_objzd2classzd2numz00_3297 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4372); } 
{ /* Bdb/emit.scm 263 */
obj_t BgL_arg1221z00_3298;
{ /* Bdb/emit.scm 263 */
int BgL_auxz00_4375;
BgL_auxz00_4375 = 
(int)(((long)1)); 
BgL_arg1221z00_3298 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4375); } 
{ /* Bdb/emit.scm 263 */
long BgL_offsetz00_3302;
{ /* Bdb/emit.scm 263 */
long BgL_auxz00_4378;
{ /* Bdb/emit.scm 263 */
int BgL_auxz00_4379;
BgL_auxz00_4379 = 
(int)(BgL_objzd2classzd2numz00_3297); 
BgL_auxz00_4378 = 
(long)(BgL_auxz00_4379); } 
BgL_offsetz00_3302 = 
(BgL_auxz00_4378-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 263 */
long BgL_modz00_3303;
{ /* Bdb/emit.scm 263 */
long BgL_auxz00_4383;
{ /* Bdb/emit.scm 263 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(((long)8)); 
BgL_auxz00_4383 = 
(long)(BgL_auxz00_4384); } 
BgL_modz00_3303 = 
(BgL_offsetz00_3302/BgL_auxz00_4383); } 
{ /* Bdb/emit.scm 263 */
long BgL_restz00_3305;
{ /* Bdb/emit.scm 263 */
long BgL_auxz00_4388;
{ /* Bdb/emit.scm 263 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(((long)8)); 
BgL_auxz00_4388 = 
(long)(BgL_auxz00_4389); } 
BgL_restz00_3305 = 
(BgL_offsetz00_3302%BgL_auxz00_4388); } 
{ /* Bdb/emit.scm 263 */

{ /* Bdb/emit.scm 263 */
obj_t BgL_bucketz00_3307;
{ /* Bdb/emit.scm 263 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_modz00_3303); 
BgL_bucketz00_3307 = 
VECTOR_REF(BgL_arg1221z00_3298,BgL_kz00_3317); } 
{ /* Bdb/emit.scm 263 */
int BgL_kz00_3319;
BgL_kz00_3319 = 
(int)(BgL_restz00_3305); 
BgL_method2952z00_3295 = 
VECTOR_REF(BgL_bucketz00_3307,BgL_kz00_3319); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3295)(BgL_method2952z00_3295, 
(obj_t)(BgL_nodez00_3294), BEOA); } } 
BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(
CAR(BgL_bindingz00_2156)); } 
{ 
obj_t BgL_l2935z00_4402;
BgL_l2935z00_4402 = 
CDR(BgL_l2935z00_2152); 
BgL_l2935z00_2152 = BgL_l2935z00_4402; 
goto BgL_lname2936z00_2153;} }  else 
{ /* Bdb/emit.scm 261 */((bool_t)1); } } 
{ /* Bdb/emit.scm 266 */
BgL_nodez00_bglt BgL_arg3196z00_2161;
BgL_arg3196z00_2161 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2148))->BgL_bodyz00); 
{ /* Bdb/emit.scm 266 */
obj_t BgL_method2952z00_3324;
{ /* Bdb/emit.scm 266 */
long BgL_objzd2classzd2numz00_3326;
{ /* Bdb/emit.scm 266 */
BgL_objectz00_bglt BgL_auxz00_4406;
BgL_auxz00_4406 = 
(BgL_objectz00_bglt)(BgL_arg3196z00_2161); 
BgL_objzd2classzd2numz00_3326 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4406); } 
{ /* Bdb/emit.scm 266 */
obj_t BgL_arg1221z00_3327;
{ /* Bdb/emit.scm 266 */
int BgL_auxz00_4409;
BgL_auxz00_4409 = 
(int)(((long)1)); 
BgL_arg1221z00_3327 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4409); } 
{ /* Bdb/emit.scm 266 */
long BgL_offsetz00_3331;
{ /* Bdb/emit.scm 266 */
long BgL_auxz00_4412;
{ /* Bdb/emit.scm 266 */
int BgL_auxz00_4413;
BgL_auxz00_4413 = 
(int)(BgL_objzd2classzd2numz00_3326); 
BgL_auxz00_4412 = 
(long)(BgL_auxz00_4413); } 
BgL_offsetz00_3331 = 
(BgL_auxz00_4412-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 266 */
long BgL_modz00_3332;
{ /* Bdb/emit.scm 266 */
long BgL_auxz00_4417;
{ /* Bdb/emit.scm 266 */
int BgL_auxz00_4418;
BgL_auxz00_4418 = 
(int)(((long)8)); 
BgL_auxz00_4417 = 
(long)(BgL_auxz00_4418); } 
BgL_modz00_3332 = 
(BgL_offsetz00_3331/BgL_auxz00_4417); } 
{ /* Bdb/emit.scm 266 */
long BgL_restz00_3334;
{ /* Bdb/emit.scm 266 */
long BgL_auxz00_4422;
{ /* Bdb/emit.scm 266 */
int BgL_auxz00_4423;
BgL_auxz00_4423 = 
(int)(((long)8)); 
BgL_auxz00_4422 = 
(long)(BgL_auxz00_4423); } 
BgL_restz00_3334 = 
(BgL_offsetz00_3331%BgL_auxz00_4422); } 
{ /* Bdb/emit.scm 266 */

{ /* Bdb/emit.scm 266 */
obj_t BgL_bucketz00_3336;
{ /* Bdb/emit.scm 266 */
int BgL_kz00_3346;
BgL_kz00_3346 = 
(int)(BgL_modz00_3332); 
BgL_bucketz00_3336 = 
VECTOR_REF(BgL_arg1221z00_3327,BgL_kz00_3346); } 
{ /* Bdb/emit.scm 266 */
int BgL_kz00_3348;
BgL_kz00_3348 = 
(int)(BgL_restz00_3334); 
BgL_method2952z00_3324 = 
VECTOR_REF(BgL_bucketz00_3336,BgL_kz00_3348); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3324)(BgL_method2952z00_3324, 
(obj_t)(BgL_arg3196z00_2161), BEOA);} } } } 
}



/* bdb!-let-fun2968 */
obj_t BGl_bdbz12zd2letzd2fun2968z12zzbdb_emitz00(obj_t BgL_envz00_3640, obj_t BgL_nodez00_3641)
{ AN_OBJECT;
{ /* Bdb/emit.scm 249 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2134;
BgL_nodez00_2134 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3641); 
{ 
obj_t BgL_l2931z00_2138;
BgL_l2931z00_2138 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2134))->BgL_localsz00); 
BgL_lname2932z00_2139:
if(
PAIRP(BgL_l2931z00_2138))
{ /* Bdb/emit.scm 251 */
{ /* Bdb/emit.scm 252 */
BgL_valuez00_bglt BgL_auxz00_4437;
{ /* Bdb/emit.scm 252 */
BgL_localz00_bglt BgL_obj1255z00_3260;
{ /* Bdb/emit.scm 252 */
obj_t BgL_auxz00_4438;
BgL_auxz00_4438 = 
CAR(BgL_l2931z00_2138); 
BgL_obj1255z00_3260 = 
(BgL_localz00_bglt)(BgL_auxz00_4438); } 
BgL_auxz00_4437 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3260))->BgL_valuez00); } 
BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_auxz00_4437); } 
{ 
obj_t BgL_l2931z00_4443;
BgL_l2931z00_4443 = 
CDR(BgL_l2931z00_2138); 
BgL_l2931z00_2138 = BgL_l2931z00_4443; 
goto BgL_lname2932z00_2139;} }  else 
{ /* Bdb/emit.scm 251 */((bool_t)1); } } 
{ /* Bdb/emit.scm 254 */
BgL_nodez00_bglt BgL_arg3189z00_2145;
BgL_arg3189z00_2145 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2134))->BgL_bodyz00); 
{ /* Bdb/emit.scm 254 */
obj_t BgL_method2952z00_3264;
{ /* Bdb/emit.scm 254 */
long BgL_objzd2classzd2numz00_3266;
{ /* Bdb/emit.scm 254 */
BgL_objectz00_bglt BgL_auxz00_4447;
BgL_auxz00_4447 = 
(BgL_objectz00_bglt)(BgL_arg3189z00_2145); 
BgL_objzd2classzd2numz00_3266 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4447); } 
{ /* Bdb/emit.scm 254 */
obj_t BgL_arg1221z00_3267;
{ /* Bdb/emit.scm 254 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(((long)1)); 
BgL_arg1221z00_3267 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4450); } 
{ /* Bdb/emit.scm 254 */
long BgL_offsetz00_3271;
{ /* Bdb/emit.scm 254 */
long BgL_auxz00_4453;
{ /* Bdb/emit.scm 254 */
int BgL_auxz00_4454;
BgL_auxz00_4454 = 
(int)(BgL_objzd2classzd2numz00_3266); 
BgL_auxz00_4453 = 
(long)(BgL_auxz00_4454); } 
BgL_offsetz00_3271 = 
(BgL_auxz00_4453-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 254 */
long BgL_modz00_3272;
{ /* Bdb/emit.scm 254 */
long BgL_auxz00_4458;
{ /* Bdb/emit.scm 254 */
int BgL_auxz00_4459;
BgL_auxz00_4459 = 
(int)(((long)8)); 
BgL_auxz00_4458 = 
(long)(BgL_auxz00_4459); } 
BgL_modz00_3272 = 
(BgL_offsetz00_3271/BgL_auxz00_4458); } 
{ /* Bdb/emit.scm 254 */
long BgL_restz00_3274;
{ /* Bdb/emit.scm 254 */
long BgL_auxz00_4463;
{ /* Bdb/emit.scm 254 */
int BgL_auxz00_4464;
BgL_auxz00_4464 = 
(int)(((long)8)); 
BgL_auxz00_4463 = 
(long)(BgL_auxz00_4464); } 
BgL_restz00_3274 = 
(BgL_offsetz00_3271%BgL_auxz00_4463); } 
{ /* Bdb/emit.scm 254 */

{ /* Bdb/emit.scm 254 */
obj_t BgL_bucketz00_3276;
{ /* Bdb/emit.scm 254 */
int BgL_kz00_3286;
BgL_kz00_3286 = 
(int)(BgL_modz00_3272); 
BgL_bucketz00_3276 = 
VECTOR_REF(BgL_arg1221z00_3267,BgL_kz00_3286); } 
{ /* Bdb/emit.scm 254 */
int BgL_kz00_3288;
BgL_kz00_3288 = 
(int)(BgL_restz00_3274); 
BgL_method2952z00_3264 = 
VECTOR_REF(BgL_bucketz00_3276,BgL_kz00_3288); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3264)(BgL_method2952z00_3264, 
(obj_t)(BgL_arg3189z00_2145), BEOA);} } } } 
}



/* bdb!-select2966 */
obj_t BGl_bdbz12zd2select2966zc0zzbdb_emitz00(obj_t BgL_envz00_3642, obj_t BgL_nodez00_3643)
{ AN_OBJECT;
{ /* Bdb/emit.scm 241 */
{ 
BgL_selectz00_bglt BgL_nodez00_2120;
{ /* Bdb/emit.scm 242 */
bool_t BgL_auxz00_4476;
BgL_nodez00_2120 = 
(BgL_selectz00_bglt)(BgL_nodez00_3643); 
{ /* Bdb/emit.scm 243 */
BgL_nodez00_bglt BgL_arg3179z00_2124;
BgL_arg3179z00_2124 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2120))->BgL_testz00); 
{ /* Bdb/emit.scm 243 */
obj_t BgL_method2952z00_3201;
{ /* Bdb/emit.scm 243 */
long BgL_objzd2classzd2numz00_3203;
{ /* Bdb/emit.scm 243 */
BgL_objectz00_bglt BgL_auxz00_4478;
BgL_auxz00_4478 = 
(BgL_objectz00_bglt)(BgL_arg3179z00_2124); 
BgL_objzd2classzd2numz00_3203 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4478); } 
{ /* Bdb/emit.scm 243 */
obj_t BgL_arg1221z00_3204;
{ /* Bdb/emit.scm 243 */
int BgL_auxz00_4481;
BgL_auxz00_4481 = 
(int)(((long)1)); 
BgL_arg1221z00_3204 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4481); } 
{ /* Bdb/emit.scm 243 */
long BgL_offsetz00_3208;
{ /* Bdb/emit.scm 243 */
long BgL_auxz00_4484;
{ /* Bdb/emit.scm 243 */
int BgL_auxz00_4485;
BgL_auxz00_4485 = 
(int)(BgL_objzd2classzd2numz00_3203); 
BgL_auxz00_4484 = 
(long)(BgL_auxz00_4485); } 
BgL_offsetz00_3208 = 
(BgL_auxz00_4484-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 243 */
long BgL_modz00_3209;
{ /* Bdb/emit.scm 243 */
long BgL_auxz00_4489;
{ /* Bdb/emit.scm 243 */
int BgL_auxz00_4490;
BgL_auxz00_4490 = 
(int)(((long)8)); 
BgL_auxz00_4489 = 
(long)(BgL_auxz00_4490); } 
BgL_modz00_3209 = 
(BgL_offsetz00_3208/BgL_auxz00_4489); } 
{ /* Bdb/emit.scm 243 */
long BgL_restz00_3211;
{ /* Bdb/emit.scm 243 */
long BgL_auxz00_4494;
{ /* Bdb/emit.scm 243 */
int BgL_auxz00_4495;
BgL_auxz00_4495 = 
(int)(((long)8)); 
BgL_auxz00_4494 = 
(long)(BgL_auxz00_4495); } 
BgL_restz00_3211 = 
(BgL_offsetz00_3208%BgL_auxz00_4494); } 
{ /* Bdb/emit.scm 243 */

{ /* Bdb/emit.scm 243 */
obj_t BgL_bucketz00_3213;
{ /* Bdb/emit.scm 243 */
int BgL_kz00_3223;
BgL_kz00_3223 = 
(int)(BgL_modz00_3209); 
BgL_bucketz00_3213 = 
VECTOR_REF(BgL_arg1221z00_3204,BgL_kz00_3223); } 
{ /* Bdb/emit.scm 243 */
int BgL_kz00_3225;
BgL_kz00_3225 = 
(int)(BgL_restz00_3211); 
BgL_method2952z00_3201 = 
VECTOR_REF(BgL_bucketz00_3213,BgL_kz00_3225); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3201)(BgL_method2952z00_3201, 
(obj_t)(BgL_arg3179z00_2124), BEOA); } } 
{ 
obj_t BgL_l2927z00_2125;
BgL_l2927z00_2125 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2120))->BgL_clausesz00); 
BgL_lname2928z00_2126:
if(
PAIRP(BgL_l2927z00_2125))
{ /* Bdb/emit.scm 244 */
{ /* Bdb/emit.scm 244 */
BgL_nodez00_bglt BgL_nodez00_3230;
{ /* Bdb/emit.scm 244 */
obj_t BgL_auxz00_4508;
{ /* Bdb/emit.scm 244 */
obj_t BgL_auxz00_4509;
BgL_auxz00_4509 = 
CAR(BgL_l2927z00_2125); 
BgL_auxz00_4508 = 
CDR(BgL_auxz00_4509); } 
BgL_nodez00_3230 = 
(BgL_nodez00_bglt)(BgL_auxz00_4508); } 
{ /* Bdb/emit.scm 244 */
obj_t BgL_method2952z00_3231;
{ /* Bdb/emit.scm 244 */
long BgL_objzd2classzd2numz00_3233;
{ /* Bdb/emit.scm 244 */
BgL_objectz00_bglt BgL_auxz00_4513;
BgL_auxz00_4513 = 
(BgL_objectz00_bglt)(BgL_nodez00_3230); 
BgL_objzd2classzd2numz00_3233 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4513); } 
{ /* Bdb/emit.scm 244 */
obj_t BgL_arg1221z00_3234;
{ /* Bdb/emit.scm 244 */
int BgL_auxz00_4516;
BgL_auxz00_4516 = 
(int)(((long)1)); 
BgL_arg1221z00_3234 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4516); } 
{ /* Bdb/emit.scm 244 */
long BgL_offsetz00_3238;
{ /* Bdb/emit.scm 244 */
long BgL_auxz00_4519;
{ /* Bdb/emit.scm 244 */
int BgL_auxz00_4520;
BgL_auxz00_4520 = 
(int)(BgL_objzd2classzd2numz00_3233); 
BgL_auxz00_4519 = 
(long)(BgL_auxz00_4520); } 
BgL_offsetz00_3238 = 
(BgL_auxz00_4519-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 244 */
long BgL_modz00_3239;
{ /* Bdb/emit.scm 244 */
long BgL_auxz00_4524;
{ /* Bdb/emit.scm 244 */
int BgL_auxz00_4525;
BgL_auxz00_4525 = 
(int)(((long)8)); 
BgL_auxz00_4524 = 
(long)(BgL_auxz00_4525); } 
BgL_modz00_3239 = 
(BgL_offsetz00_3238/BgL_auxz00_4524); } 
{ /* Bdb/emit.scm 244 */
long BgL_restz00_3241;
{ /* Bdb/emit.scm 244 */
long BgL_auxz00_4529;
{ /* Bdb/emit.scm 244 */
int BgL_auxz00_4530;
BgL_auxz00_4530 = 
(int)(((long)8)); 
BgL_auxz00_4529 = 
(long)(BgL_auxz00_4530); } 
BgL_restz00_3241 = 
(BgL_offsetz00_3238%BgL_auxz00_4529); } 
{ /* Bdb/emit.scm 244 */

{ /* Bdb/emit.scm 244 */
obj_t BgL_bucketz00_3243;
{ /* Bdb/emit.scm 244 */
int BgL_kz00_3253;
BgL_kz00_3253 = 
(int)(BgL_modz00_3239); 
BgL_bucketz00_3243 = 
VECTOR_REF(BgL_arg1221z00_3234,BgL_kz00_3253); } 
{ /* Bdb/emit.scm 244 */
int BgL_kz00_3255;
BgL_kz00_3255 = 
(int)(BgL_restz00_3241); 
BgL_method2952z00_3231 = 
VECTOR_REF(BgL_bucketz00_3243,BgL_kz00_3255); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3231)(BgL_method2952z00_3231, 
(obj_t)(BgL_nodez00_3230), BEOA); } } 
{ 
obj_t BgL_l2927z00_4541;
BgL_l2927z00_4541 = 
CDR(BgL_l2927z00_2125); 
BgL_l2927z00_2125 = BgL_l2927z00_4541; 
goto BgL_lname2928z00_2126;} }  else 
{ /* Bdb/emit.scm 244 */
BgL_auxz00_4476 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4476);} } } 
}



/* bdb!-fail2964 */
obj_t BGl_bdbz12zd2fail2964zc0zzbdb_emitz00(obj_t BgL_envz00_3644, obj_t BgL_nodez00_3645)
{ AN_OBJECT;
{ /* Bdb/emit.scm 232 */
{ 
BgL_failz00_bglt BgL_nodez00_2111;
BgL_nodez00_2111 = 
(BgL_failz00_bglt)(BgL_nodez00_3645); 
{ /* Bdb/emit.scm 234 */
BgL_nodez00_bglt BgL_arg3175z00_2115;
BgL_arg3175z00_2115 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2111))->BgL_procz00); 
{ /* Bdb/emit.scm 234 */
obj_t BgL_method2952z00_3120;
{ /* Bdb/emit.scm 234 */
long BgL_objzd2classzd2numz00_3122;
{ /* Bdb/emit.scm 234 */
BgL_objectz00_bglt BgL_auxz00_4547;
BgL_auxz00_4547 = 
(BgL_objectz00_bglt)(BgL_arg3175z00_2115); 
BgL_objzd2classzd2numz00_3122 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4547); } 
{ /* Bdb/emit.scm 234 */
obj_t BgL_arg1221z00_3123;
{ /* Bdb/emit.scm 234 */
int BgL_auxz00_4550;
BgL_auxz00_4550 = 
(int)(((long)1)); 
BgL_arg1221z00_3123 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4550); } 
{ /* Bdb/emit.scm 234 */
long BgL_offsetz00_3127;
{ /* Bdb/emit.scm 234 */
long BgL_auxz00_4553;
{ /* Bdb/emit.scm 234 */
int BgL_auxz00_4554;
BgL_auxz00_4554 = 
(int)(BgL_objzd2classzd2numz00_3122); 
BgL_auxz00_4553 = 
(long)(BgL_auxz00_4554); } 
BgL_offsetz00_3127 = 
(BgL_auxz00_4553-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 234 */
long BgL_modz00_3128;
{ /* Bdb/emit.scm 234 */
long BgL_auxz00_4558;
{ /* Bdb/emit.scm 234 */
int BgL_auxz00_4559;
BgL_auxz00_4559 = 
(int)(((long)8)); 
BgL_auxz00_4558 = 
(long)(BgL_auxz00_4559); } 
BgL_modz00_3128 = 
(BgL_offsetz00_3127/BgL_auxz00_4558); } 
{ /* Bdb/emit.scm 234 */
long BgL_restz00_3130;
{ /* Bdb/emit.scm 234 */
long BgL_auxz00_4563;
{ /* Bdb/emit.scm 234 */
int BgL_auxz00_4564;
BgL_auxz00_4564 = 
(int)(((long)8)); 
BgL_auxz00_4563 = 
(long)(BgL_auxz00_4564); } 
BgL_restz00_3130 = 
(BgL_offsetz00_3127%BgL_auxz00_4563); } 
{ /* Bdb/emit.scm 234 */

{ /* Bdb/emit.scm 234 */
obj_t BgL_bucketz00_3132;
{ /* Bdb/emit.scm 234 */
int BgL_kz00_3142;
BgL_kz00_3142 = 
(int)(BgL_modz00_3128); 
BgL_bucketz00_3132 = 
VECTOR_REF(BgL_arg1221z00_3123,BgL_kz00_3142); } 
{ /* Bdb/emit.scm 234 */
int BgL_kz00_3144;
BgL_kz00_3144 = 
(int)(BgL_restz00_3130); 
BgL_method2952z00_3120 = 
VECTOR_REF(BgL_bucketz00_3132,BgL_kz00_3144); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3120)(BgL_method2952z00_3120, 
(obj_t)(BgL_arg3175z00_2115), BEOA); } } 
{ /* Bdb/emit.scm 235 */
BgL_nodez00_bglt BgL_arg3176z00_2116;
BgL_arg3176z00_2116 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2111))->BgL_msgz00); 
{ /* Bdb/emit.scm 235 */
obj_t BgL_method2952z00_3147;
{ /* Bdb/emit.scm 235 */
long BgL_objzd2classzd2numz00_3149;
{ /* Bdb/emit.scm 235 */
BgL_objectz00_bglt BgL_auxz00_4576;
BgL_auxz00_4576 = 
(BgL_objectz00_bglt)(BgL_arg3176z00_2116); 
BgL_objzd2classzd2numz00_3149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4576); } 
{ /* Bdb/emit.scm 235 */
obj_t BgL_arg1221z00_3150;
{ /* Bdb/emit.scm 235 */
int BgL_auxz00_4579;
BgL_auxz00_4579 = 
(int)(((long)1)); 
BgL_arg1221z00_3150 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4579); } 
{ /* Bdb/emit.scm 235 */
long BgL_offsetz00_3154;
{ /* Bdb/emit.scm 235 */
long BgL_auxz00_4582;
{ /* Bdb/emit.scm 235 */
int BgL_auxz00_4583;
BgL_auxz00_4583 = 
(int)(BgL_objzd2classzd2numz00_3149); 
BgL_auxz00_4582 = 
(long)(BgL_auxz00_4583); } 
BgL_offsetz00_3154 = 
(BgL_auxz00_4582-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 235 */
long BgL_modz00_3155;
{ /* Bdb/emit.scm 235 */
long BgL_auxz00_4587;
{ /* Bdb/emit.scm 235 */
int BgL_auxz00_4588;
BgL_auxz00_4588 = 
(int)(((long)8)); 
BgL_auxz00_4587 = 
(long)(BgL_auxz00_4588); } 
BgL_modz00_3155 = 
(BgL_offsetz00_3154/BgL_auxz00_4587); } 
{ /* Bdb/emit.scm 235 */
long BgL_restz00_3157;
{ /* Bdb/emit.scm 235 */
long BgL_auxz00_4592;
{ /* Bdb/emit.scm 235 */
int BgL_auxz00_4593;
BgL_auxz00_4593 = 
(int)(((long)8)); 
BgL_auxz00_4592 = 
(long)(BgL_auxz00_4593); } 
BgL_restz00_3157 = 
(BgL_offsetz00_3154%BgL_auxz00_4592); } 
{ /* Bdb/emit.scm 235 */

{ /* Bdb/emit.scm 235 */
obj_t BgL_bucketz00_3159;
{ /* Bdb/emit.scm 235 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_modz00_3155); 
BgL_bucketz00_3159 = 
VECTOR_REF(BgL_arg1221z00_3150,BgL_kz00_3169); } 
{ /* Bdb/emit.scm 235 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_restz00_3157); 
BgL_method2952z00_3147 = 
VECTOR_REF(BgL_bucketz00_3159,BgL_kz00_3171); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3147)(BgL_method2952z00_3147, 
(obj_t)(BgL_arg3176z00_2116), BEOA); } } 
{ /* Bdb/emit.scm 236 */
BgL_nodez00_bglt BgL_arg3177z00_2117;
BgL_arg3177z00_2117 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2111))->BgL_objz00); 
{ /* Bdb/emit.scm 236 */
obj_t BgL_method2952z00_3174;
{ /* Bdb/emit.scm 236 */
long BgL_objzd2classzd2numz00_3176;
{ /* Bdb/emit.scm 236 */
BgL_objectz00_bglt BgL_auxz00_4605;
BgL_auxz00_4605 = 
(BgL_objectz00_bglt)(BgL_arg3177z00_2117); 
BgL_objzd2classzd2numz00_3176 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4605); } 
{ /* Bdb/emit.scm 236 */
obj_t BgL_arg1221z00_3177;
{ /* Bdb/emit.scm 236 */
int BgL_auxz00_4608;
BgL_auxz00_4608 = 
(int)(((long)1)); 
BgL_arg1221z00_3177 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4608); } 
{ /* Bdb/emit.scm 236 */
long BgL_offsetz00_3181;
{ /* Bdb/emit.scm 236 */
long BgL_auxz00_4611;
{ /* Bdb/emit.scm 236 */
int BgL_auxz00_4612;
BgL_auxz00_4612 = 
(int)(BgL_objzd2classzd2numz00_3176); 
BgL_auxz00_4611 = 
(long)(BgL_auxz00_4612); } 
BgL_offsetz00_3181 = 
(BgL_auxz00_4611-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 236 */
long BgL_modz00_3182;
{ /* Bdb/emit.scm 236 */
long BgL_auxz00_4616;
{ /* Bdb/emit.scm 236 */
int BgL_auxz00_4617;
BgL_auxz00_4617 = 
(int)(((long)8)); 
BgL_auxz00_4616 = 
(long)(BgL_auxz00_4617); } 
BgL_modz00_3182 = 
(BgL_offsetz00_3181/BgL_auxz00_4616); } 
{ /* Bdb/emit.scm 236 */
long BgL_restz00_3184;
{ /* Bdb/emit.scm 236 */
long BgL_auxz00_4621;
{ /* Bdb/emit.scm 236 */
int BgL_auxz00_4622;
BgL_auxz00_4622 = 
(int)(((long)8)); 
BgL_auxz00_4621 = 
(long)(BgL_auxz00_4622); } 
BgL_restz00_3184 = 
(BgL_offsetz00_3181%BgL_auxz00_4621); } 
{ /* Bdb/emit.scm 236 */

{ /* Bdb/emit.scm 236 */
obj_t BgL_bucketz00_3186;
{ /* Bdb/emit.scm 236 */
int BgL_kz00_3196;
BgL_kz00_3196 = 
(int)(BgL_modz00_3182); 
BgL_bucketz00_3186 = 
VECTOR_REF(BgL_arg1221z00_3177,BgL_kz00_3196); } 
{ /* Bdb/emit.scm 236 */
int BgL_kz00_3198;
BgL_kz00_3198 = 
(int)(BgL_restz00_3184); 
BgL_method2952z00_3174 = 
VECTOR_REF(BgL_bucketz00_3186,BgL_kz00_3198); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3174)(BgL_method2952z00_3174, 
(obj_t)(BgL_arg3177z00_2117), BEOA);} } } } 
}



/* bdb!-conditional2962 */
obj_t BGl_bdbz12zd2conditional2962zc0zzbdb_emitz00(obj_t BgL_envz00_3646, obj_t BgL_nodez00_3647)
{ AN_OBJECT;
{ /* Bdb/emit.scm 223 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2102;
BgL_nodez00_2102 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3647); 
{ /* Bdb/emit.scm 225 */
BgL_nodez00_bglt BgL_arg3171z00_2106;
BgL_arg3171z00_2106 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2102))->BgL_testz00); 
{ /* Bdb/emit.scm 225 */
obj_t BgL_method2952z00_3039;
{ /* Bdb/emit.scm 225 */
long BgL_objzd2classzd2numz00_3041;
{ /* Bdb/emit.scm 225 */
BgL_objectz00_bglt BgL_auxz00_4635;
BgL_auxz00_4635 = 
(BgL_objectz00_bglt)(BgL_arg3171z00_2106); 
BgL_objzd2classzd2numz00_3041 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4635); } 
{ /* Bdb/emit.scm 225 */
obj_t BgL_arg1221z00_3042;
{ /* Bdb/emit.scm 225 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(((long)1)); 
BgL_arg1221z00_3042 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4638); } 
{ /* Bdb/emit.scm 225 */
long BgL_offsetz00_3046;
{ /* Bdb/emit.scm 225 */
long BgL_auxz00_4641;
{ /* Bdb/emit.scm 225 */
int BgL_auxz00_4642;
BgL_auxz00_4642 = 
(int)(BgL_objzd2classzd2numz00_3041); 
BgL_auxz00_4641 = 
(long)(BgL_auxz00_4642); } 
BgL_offsetz00_3046 = 
(BgL_auxz00_4641-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 225 */
long BgL_modz00_3047;
{ /* Bdb/emit.scm 225 */
long BgL_auxz00_4646;
{ /* Bdb/emit.scm 225 */
int BgL_auxz00_4647;
BgL_auxz00_4647 = 
(int)(((long)8)); 
BgL_auxz00_4646 = 
(long)(BgL_auxz00_4647); } 
BgL_modz00_3047 = 
(BgL_offsetz00_3046/BgL_auxz00_4646); } 
{ /* Bdb/emit.scm 225 */
long BgL_restz00_3049;
{ /* Bdb/emit.scm 225 */
long BgL_auxz00_4651;
{ /* Bdb/emit.scm 225 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)8)); 
BgL_auxz00_4651 = 
(long)(BgL_auxz00_4652); } 
BgL_restz00_3049 = 
(BgL_offsetz00_3046%BgL_auxz00_4651); } 
{ /* Bdb/emit.scm 225 */

{ /* Bdb/emit.scm 225 */
obj_t BgL_bucketz00_3051;
{ /* Bdb/emit.scm 225 */
int BgL_kz00_3061;
BgL_kz00_3061 = 
(int)(BgL_modz00_3047); 
BgL_bucketz00_3051 = 
VECTOR_REF(BgL_arg1221z00_3042,BgL_kz00_3061); } 
{ /* Bdb/emit.scm 225 */
int BgL_kz00_3063;
BgL_kz00_3063 = 
(int)(BgL_restz00_3049); 
BgL_method2952z00_3039 = 
VECTOR_REF(BgL_bucketz00_3051,BgL_kz00_3063); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3039)(BgL_method2952z00_3039, 
(obj_t)(BgL_arg3171z00_2106), BEOA); } } 
{ /* Bdb/emit.scm 226 */
BgL_nodez00_bglt BgL_arg3172z00_2107;
BgL_arg3172z00_2107 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2102))->BgL_truez00); 
{ /* Bdb/emit.scm 226 */
obj_t BgL_method2952z00_3066;
{ /* Bdb/emit.scm 226 */
long BgL_objzd2classzd2numz00_3068;
{ /* Bdb/emit.scm 226 */
BgL_objectz00_bglt BgL_auxz00_4664;
BgL_auxz00_4664 = 
(BgL_objectz00_bglt)(BgL_arg3172z00_2107); 
BgL_objzd2classzd2numz00_3068 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4664); } 
{ /* Bdb/emit.scm 226 */
obj_t BgL_arg1221z00_3069;
{ /* Bdb/emit.scm 226 */
int BgL_auxz00_4667;
BgL_auxz00_4667 = 
(int)(((long)1)); 
BgL_arg1221z00_3069 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4667); } 
{ /* Bdb/emit.scm 226 */
long BgL_offsetz00_3073;
{ /* Bdb/emit.scm 226 */
long BgL_auxz00_4670;
{ /* Bdb/emit.scm 226 */
int BgL_auxz00_4671;
BgL_auxz00_4671 = 
(int)(BgL_objzd2classzd2numz00_3068); 
BgL_auxz00_4670 = 
(long)(BgL_auxz00_4671); } 
BgL_offsetz00_3073 = 
(BgL_auxz00_4670-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 226 */
long BgL_modz00_3074;
{ /* Bdb/emit.scm 226 */
long BgL_auxz00_4675;
{ /* Bdb/emit.scm 226 */
int BgL_auxz00_4676;
BgL_auxz00_4676 = 
(int)(((long)8)); 
BgL_auxz00_4675 = 
(long)(BgL_auxz00_4676); } 
BgL_modz00_3074 = 
(BgL_offsetz00_3073/BgL_auxz00_4675); } 
{ /* Bdb/emit.scm 226 */
long BgL_restz00_3076;
{ /* Bdb/emit.scm 226 */
long BgL_auxz00_4680;
{ /* Bdb/emit.scm 226 */
int BgL_auxz00_4681;
BgL_auxz00_4681 = 
(int)(((long)8)); 
BgL_auxz00_4680 = 
(long)(BgL_auxz00_4681); } 
BgL_restz00_3076 = 
(BgL_offsetz00_3073%BgL_auxz00_4680); } 
{ /* Bdb/emit.scm 226 */

{ /* Bdb/emit.scm 226 */
obj_t BgL_bucketz00_3078;
{ /* Bdb/emit.scm 226 */
int BgL_kz00_3088;
BgL_kz00_3088 = 
(int)(BgL_modz00_3074); 
BgL_bucketz00_3078 = 
VECTOR_REF(BgL_arg1221z00_3069,BgL_kz00_3088); } 
{ /* Bdb/emit.scm 226 */
int BgL_kz00_3090;
BgL_kz00_3090 = 
(int)(BgL_restz00_3076); 
BgL_method2952z00_3066 = 
VECTOR_REF(BgL_bucketz00_3078,BgL_kz00_3090); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2952z00_3066)(BgL_method2952z00_3066, 
(obj_t)(BgL_arg3172z00_2107), BEOA); } } 
{ /* Bdb/emit.scm 227 */
BgL_nodez00_bglt BgL_arg3173z00_2108;
BgL_arg3173z00_2108 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2102))->BgL_falsez00); 
{ /* Bdb/emit.scm 227 */
obj_t BgL_method2952z00_3093;
{ /* Bdb/emit.scm 227 */
long BgL_objzd2classzd2numz00_3095;
{ /* Bdb/emit.scm 227 */
BgL_objectz00_bglt BgL_auxz00_4693;
BgL_auxz00_4693 = 
(BgL_objectz00_bglt)(BgL_arg3173z00_2108); 
BgL_objzd2classzd2numz00_3095 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4693); } 
{ /* Bdb/emit.scm 227 */
obj_t BgL_arg1221z00_3096;
{ /* Bdb/emit.scm 227 */
int BgL_auxz00_4696;
BgL_auxz00_4696 = 
(int)(((long)1)); 
BgL_arg1221z00_3096 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4696); } 
{ /* Bdb/emit.scm 227 */
long BgL_offsetz00_3100;
{ /* Bdb/emit.scm 227 */
long BgL_auxz00_4699;
{ /* Bdb/emit.scm 227 */
int BgL_auxz00_4700;
BgL_auxz00_4700 = 
(int)(BgL_objzd2classzd2numz00_3095); 
BgL_auxz00_4699 = 
(long)(BgL_auxz00_4700); } 
BgL_offsetz00_3100 = 
(BgL_auxz00_4699-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 227 */
long BgL_modz00_3101;
{ /* Bdb/emit.scm 227 */
long BgL_auxz00_4704;
{ /* Bdb/emit.scm 227 */
int BgL_auxz00_4705;
BgL_auxz00_4705 = 
(int)(((long)8)); 
BgL_auxz00_4704 = 
(long)(BgL_auxz00_4705); } 
BgL_modz00_3101 = 
(BgL_offsetz00_3100/BgL_auxz00_4704); } 
{ /* Bdb/emit.scm 227 */
long BgL_restz00_3103;
{ /* Bdb/emit.scm 227 */
long BgL_auxz00_4709;
{ /* Bdb/emit.scm 227 */
int BgL_auxz00_4710;
BgL_auxz00_4710 = 
(int)(((long)8)); 
BgL_auxz00_4709 = 
(long)(BgL_auxz00_4710); } 
BgL_restz00_3103 = 
(BgL_offsetz00_3100%BgL_auxz00_4709); } 
{ /* Bdb/emit.scm 227 */

{ /* Bdb/emit.scm 227 */
obj_t BgL_bucketz00_3105;
{ /* Bdb/emit.scm 227 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_modz00_3101); 
BgL_bucketz00_3105 = 
VECTOR_REF(BgL_arg1221z00_3096,BgL_kz00_3115); } 
{ /* Bdb/emit.scm 227 */
int BgL_kz00_3117;
BgL_kz00_3117 = 
(int)(BgL_restz00_3103); 
BgL_method2952z00_3093 = 
VECTOR_REF(BgL_bucketz00_3105,BgL_kz00_3117); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3093)(BgL_method2952z00_3093, 
(obj_t)(BgL_arg3173z00_2108), BEOA);} } } } 
}



/* bdb!-setq2960 */
obj_t BGl_bdbz12zd2setq2960zc0zzbdb_emitz00(obj_t BgL_envz00_3648, obj_t BgL_nodez00_3649)
{ AN_OBJECT;
{ /* Bdb/emit.scm 216 */
{ 
BgL_setqz00_bglt BgL_nodez00_2095;
BgL_nodez00_2095 = 
(BgL_setqz00_bglt)(BgL_nodez00_3649); 
{ /* Bdb/emit.scm 217 */
BgL_nodez00_bglt BgL_arg3169z00_3009;
BgL_arg3169z00_3009 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2095))->BgL_valuez00); 
{ /* Bdb/emit.scm 217 */
obj_t BgL_method2952z00_3012;
{ /* Bdb/emit.scm 217 */
long BgL_objzd2classzd2numz00_3014;
{ /* Bdb/emit.scm 217 */
BgL_objectz00_bglt BgL_auxz00_4723;
BgL_auxz00_4723 = 
(BgL_objectz00_bglt)(BgL_arg3169z00_3009); 
BgL_objzd2classzd2numz00_3014 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4723); } 
{ /* Bdb/emit.scm 217 */
obj_t BgL_arg1221z00_3015;
{ /* Bdb/emit.scm 217 */
int BgL_auxz00_4726;
BgL_auxz00_4726 = 
(int)(((long)1)); 
BgL_arg1221z00_3015 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4726); } 
{ /* Bdb/emit.scm 217 */
long BgL_offsetz00_3019;
{ /* Bdb/emit.scm 217 */
long BgL_auxz00_4729;
{ /* Bdb/emit.scm 217 */
int BgL_auxz00_4730;
BgL_auxz00_4730 = 
(int)(BgL_objzd2classzd2numz00_3014); 
BgL_auxz00_4729 = 
(long)(BgL_auxz00_4730); } 
BgL_offsetz00_3019 = 
(BgL_auxz00_4729-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 217 */
long BgL_modz00_3020;
{ /* Bdb/emit.scm 217 */
long BgL_auxz00_4734;
{ /* Bdb/emit.scm 217 */
int BgL_auxz00_4735;
BgL_auxz00_4735 = 
(int)(((long)8)); 
BgL_auxz00_4734 = 
(long)(BgL_auxz00_4735); } 
BgL_modz00_3020 = 
(BgL_offsetz00_3019/BgL_auxz00_4734); } 
{ /* Bdb/emit.scm 217 */
long BgL_restz00_3022;
{ /* Bdb/emit.scm 217 */
long BgL_auxz00_4739;
{ /* Bdb/emit.scm 217 */
int BgL_auxz00_4740;
BgL_auxz00_4740 = 
(int)(((long)8)); 
BgL_auxz00_4739 = 
(long)(BgL_auxz00_4740); } 
BgL_restz00_3022 = 
(BgL_offsetz00_3019%BgL_auxz00_4739); } 
{ /* Bdb/emit.scm 217 */

{ /* Bdb/emit.scm 217 */
obj_t BgL_bucketz00_3024;
{ /* Bdb/emit.scm 217 */
int BgL_kz00_3034;
BgL_kz00_3034 = 
(int)(BgL_modz00_3020); 
BgL_bucketz00_3024 = 
VECTOR_REF(BgL_arg1221z00_3015,BgL_kz00_3034); } 
{ /* Bdb/emit.scm 217 */
int BgL_kz00_3036;
BgL_kz00_3036 = 
(int)(BgL_restz00_3022); 
BgL_method2952z00_3012 = 
VECTOR_REF(BgL_bucketz00_3024,BgL_kz00_3036); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3012)(BgL_method2952z00_3012, 
(obj_t)(BgL_arg3169z00_3009), BEOA);} } } } 
}



/* bdb!-cast2958 */
obj_t BGl_bdbz12zd2cast2958zc0zzbdb_emitz00(obj_t BgL_envz00_3650, obj_t BgL_nodez00_3651)
{ AN_OBJECT;
{ /* Bdb/emit.scm 209 */
{ 
BgL_castz00_bglt BgL_nodez00_2088;
BgL_nodez00_2088 = 
(BgL_castz00_bglt)(BgL_nodez00_3651); 
{ /* Bdb/emit.scm 210 */
BgL_nodez00_bglt BgL_arg3167z00_2980;
BgL_arg3167z00_2980 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2088))->BgL_argz00); 
{ /* Bdb/emit.scm 210 */
obj_t BgL_method2952z00_2983;
{ /* Bdb/emit.scm 210 */
long BgL_objzd2classzd2numz00_2985;
{ /* Bdb/emit.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4753;
BgL_auxz00_4753 = 
(BgL_objectz00_bglt)(BgL_arg3167z00_2980); 
BgL_objzd2classzd2numz00_2985 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4753); } 
{ /* Bdb/emit.scm 210 */
obj_t BgL_arg1221z00_2986;
{ /* Bdb/emit.scm 210 */
int BgL_auxz00_4756;
BgL_auxz00_4756 = 
(int)(((long)1)); 
BgL_arg1221z00_2986 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4756); } 
{ /* Bdb/emit.scm 210 */
long BgL_offsetz00_2990;
{ /* Bdb/emit.scm 210 */
long BgL_auxz00_4759;
{ /* Bdb/emit.scm 210 */
int BgL_auxz00_4760;
BgL_auxz00_4760 = 
(int)(BgL_objzd2classzd2numz00_2985); 
BgL_auxz00_4759 = 
(long)(BgL_auxz00_4760); } 
BgL_offsetz00_2990 = 
(BgL_auxz00_4759-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 210 */
long BgL_modz00_2991;
{ /* Bdb/emit.scm 210 */
long BgL_auxz00_4764;
{ /* Bdb/emit.scm 210 */
int BgL_auxz00_4765;
BgL_auxz00_4765 = 
(int)(((long)8)); 
BgL_auxz00_4764 = 
(long)(BgL_auxz00_4765); } 
BgL_modz00_2991 = 
(BgL_offsetz00_2990/BgL_auxz00_4764); } 
{ /* Bdb/emit.scm 210 */
long BgL_restz00_2993;
{ /* Bdb/emit.scm 210 */
long BgL_auxz00_4769;
{ /* Bdb/emit.scm 210 */
int BgL_auxz00_4770;
BgL_auxz00_4770 = 
(int)(((long)8)); 
BgL_auxz00_4769 = 
(long)(BgL_auxz00_4770); } 
BgL_restz00_2993 = 
(BgL_offsetz00_2990%BgL_auxz00_4769); } 
{ /* Bdb/emit.scm 210 */

{ /* Bdb/emit.scm 210 */
obj_t BgL_bucketz00_2995;
{ /* Bdb/emit.scm 210 */
int BgL_kz00_3005;
BgL_kz00_3005 = 
(int)(BgL_modz00_2991); 
BgL_bucketz00_2995 = 
VECTOR_REF(BgL_arg1221z00_2986,BgL_kz00_3005); } 
{ /* Bdb/emit.scm 210 */
int BgL_kz00_3007;
BgL_kz00_3007 = 
(int)(BgL_restz00_2993); 
BgL_method2952z00_2983 = 
VECTOR_REF(BgL_bucketz00_2995,BgL_kz00_3007); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_2983)(BgL_method2952z00_2983, 
(obj_t)(BgL_arg3167z00_2980), BEOA);} } } } 
}



/* bdb!-extern2956 */
obj_t BGl_bdbz12zd2extern2956zc0zzbdb_emitz00(obj_t BgL_envz00_3652, obj_t BgL_nodez00_3653)
{ AN_OBJECT;
{ /* Bdb/emit.scm 202 */
{ 
BgL_externz00_bglt BgL_nodez00_2081;
BgL_nodez00_2081 = 
(BgL_externz00_bglt)(BgL_nodez00_3653); 
return 
BGl_bdbza2z12zb0zzbdb_emitz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2081))->BgL_exprza2za2));} } 
}



/* bdb!-sequence2954 */
obj_t BGl_bdbz12zd2sequence2954zc0zzbdb_emitz00(obj_t BgL_envz00_3654, obj_t BgL_nodez00_3655)
{ AN_OBJECT;
{ /* Bdb/emit.scm 195 */
{ 
BgL_sequencez00_bglt BgL_nodez00_2074;
BgL_nodez00_2074 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3655); 
return 
BGl_bdbza2z12zb0zzbdb_emitz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_2074))->BgL_nodesz00));} } 
}



/* bdb! */
obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt BgL_nodez00_40)
{ AN_OBJECT;
{ /* Bdb/emit.scm 189 */
{ /* Bdb/emit.scm 189 */
obj_t BgL_method2952z00_3575;
{ /* Bdb/emit.scm 189 */
long BgL_objzd2classzd2numz00_3577;
{ /* Bdb/emit.scm 189 */
BgL_objectz00_bglt BgL_auxz00_4788;
BgL_auxz00_4788 = 
(BgL_objectz00_bglt)(BgL_nodez00_40); 
BgL_objzd2classzd2numz00_3577 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4788); } 
{ /* Bdb/emit.scm 189 */
obj_t BgL_arg1221z00_3578;
{ /* Bdb/emit.scm 189 */
int BgL_auxz00_4791;
BgL_auxz00_4791 = 
(int)(((long)1)); 
BgL_arg1221z00_3578 = 
PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, BgL_auxz00_4791); } 
{ /* Bdb/emit.scm 189 */
long BgL_offsetz00_3582;
{ /* Bdb/emit.scm 189 */
long BgL_auxz00_4794;
{ /* Bdb/emit.scm 189 */
int BgL_auxz00_4795;
BgL_auxz00_4795 = 
(int)(BgL_objzd2classzd2numz00_3577); 
BgL_auxz00_4794 = 
(long)(BgL_auxz00_4795); } 
BgL_offsetz00_3582 = 
(BgL_auxz00_4794-OBJECT_TYPE); } 
{ /* Bdb/emit.scm 189 */
long BgL_modz00_3583;
{ /* Bdb/emit.scm 189 */
long BgL_auxz00_4799;
{ /* Bdb/emit.scm 189 */
int BgL_auxz00_4800;
BgL_auxz00_4800 = 
(int)(((long)8)); 
BgL_auxz00_4799 = 
(long)(BgL_auxz00_4800); } 
BgL_modz00_3583 = 
(BgL_offsetz00_3582/BgL_auxz00_4799); } 
{ /* Bdb/emit.scm 189 */
long BgL_restz00_3585;
{ /* Bdb/emit.scm 189 */
long BgL_auxz00_4804;
{ /* Bdb/emit.scm 189 */
int BgL_auxz00_4805;
BgL_auxz00_4805 = 
(int)(((long)8)); 
BgL_auxz00_4804 = 
(long)(BgL_auxz00_4805); } 
BgL_restz00_3585 = 
(BgL_offsetz00_3582%BgL_auxz00_4804); } 
{ /* Bdb/emit.scm 189 */

{ /* Bdb/emit.scm 189 */
obj_t BgL_bucketz00_3587;
{ /* Bdb/emit.scm 189 */
int BgL_kz00_3597;
BgL_kz00_3597 = 
(int)(BgL_modz00_3583); 
BgL_bucketz00_3587 = 
VECTOR_REF(BgL_arg1221z00_3578,BgL_kz00_3597); } 
{ /* Bdb/emit.scm 189 */
int BgL_kz00_3599;
BgL_kz00_3599 = 
(int)(BgL_restz00_3585); 
BgL_method2952z00_3575 = 
VECTOR_REF(BgL_bucketz00_3587,BgL_kz00_3599); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2952z00_3575)(BgL_method2952z00_3575, 
(obj_t)(BgL_nodez00_40), BEOA);} } 
}



/* _bdb! */
obj_t BGl__bdbz12z12zzbdb_emitz00(obj_t BgL_envz00_3606, obj_t BgL_nodez00_3607)
{ AN_OBJECT;
{ /* Bdb/emit.scm 189 */
return 
BGl_bdbz12z12zzbdb_emitz00(
(BgL_nodez00_bglt)(BgL_nodez00_3607));} 
}



/* bdb!-default2951 */
obj_t BGl_bdbz12zd2default2951zc0zzbdb_emitz00(BgL_nodez00_bglt BgL_nodez00_41)
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
return BUNSPEC;} 
}



/* _bdb!-default2951 */
obj_t BGl__bdbz12zd2default2951zc0zzbdb_emitz00(obj_t BgL_envz00_3656, obj_t BgL_nodez00_3657)
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
return 
BGl_bdbz12zd2default2951zc0zzbdb_emitz00(
(BgL_nodez00_bglt)(BgL_nodez00_3657));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00()
{ AN_OBJECT;
{ /* Bdb/emit.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzengine_configurez00(((long)13091), "bdb_emit"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "bdb_emit"); 
return 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)56964), "bdb_emit");} 
}

