/*===========================================================================*/
/*   (Callcc/walk.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_localzf2cellzf2_bgl {
   char dummy;
} *BgL_localzf2cellzf2_bglt;


static obj_t BGl_methodzd2initzd2zzcallcc_walkz00();
static BgL_nodez00_bglt BGl_callccz12zd2default2757zc0zzcallcc_walkz00(BgL_nodez00_bglt);
static obj_t BGl__callccz12zd2default2757zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_callccza2z12zb0zzcallcc_walkz00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl__callccz12z12zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
static BgL_nodez00_bglt BGl_cellzd2formalszd2zzcallcc_walkz00(obj_t, BgL_nodez00_bglt);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
static obj_t BGl_callccz12zd2cast2776zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_callccz12zd2funcall2772zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t current_error_port;
static BgL_makezd2boxzd2_bglt BGl_azd2makezd2cellz00zzcallcc_walkz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcallcc_walkz00();
static obj_t BGl_callccz12zd2boxzd2setz122798z00zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2app2768zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_callccz12zd2boxzd2ref2796z12zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzcallcc_walkz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_callccz12zd2sequence2766zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2localzf2cell2800z11zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcallcc_walkz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_callccz12zd2setq2778zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static bool_t BGl_celledzf3zf3zzcallcc_walkz00(BgL_variablez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2select2784zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2jumpzd2exzd2it2792zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2setzd2exzd2it2790zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static bool_t BGl_callcczd2funz12zc0zzcallcc_walkz00(obj_t);
static BgL_nodez00_bglt BGl_callccz12z12zzcallcc_walkz00(BgL_nodez00_bglt);
static obj_t BGl_callccz12zd2atom2760zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl__allocatezd2localzf2cellz20zzcallcc_walkz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static BgL_localz00_bglt BGl_allocatezd2localzf2cellz20zzcallcc_walkz00();
static obj_t BGl_callccz12zd2letzd2var2788z12zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_callccz12zd2kwote2762zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_celledzd2bindingszd2zzcallcc_walkz00(obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_callccz12zd2makezd2box2794z12zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl__callcczd2walkz12zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_callccz12zd2conditional2780zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2letzd2fun2786z12zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2localzf2cell2802za3zzcallcc_walkz00(obj_t, obj_t, obj_t);
static obj_t BGl_callccz12zd2var2764zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_objectzd2initzd2zzcallcc_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzcallcc_walkz00 = BUNSPEC;
static BgL_localzf2cellzf2_bglt BGl_makezd2localzf2cellz20zzcallcc_walkz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long);
static obj_t BGl_callccz12zd2fail2782zc0zzcallcc_walkz00(obj_t, obj_t);
extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
static obj_t BGl__makezd2localzf2cellz20zzcallcc_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00();
static obj_t BGl_callccz12zd2appzd2ly2770z12zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_callccz12zd2extern2774zc0zzcallcc_walkz00(obj_t, obj_t);
static obj_t BGl_localzf2cellzf2zzcallcc_walkz00 = BUNSPEC;
extern obj_t BGl_setqz00zzast_nodez00;
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STRING( BGl_string3214z00zzcallcc_walkz00, BgL_bgl_string3214za700za7za7callcc_walkza7003219z00, "callcc!-default2757 aux local/cell done write cell-callcc pass-started ", 71 );
DEFINE_STRING( BGl_string3213z00zzcallcc_walkz00, BgL_bgl_string3213za700za7za7callcc_walkza7003220z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3190z00zzcallcc_walkz00, BgL_bgl_string3190za700za7za7callcc_walkza7003221z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3189z00zzcallcc_walkz00, BgL_bgl_string3189za700za7za7callcc_walkza7003222z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3188z00zzcallcc_walkz00, BgL_bgl_string3188za700za7za7callcc_walkza7003223z00, " error", 6 );
DEFINE_STRING( BGl_string3187z00zzcallcc_walkz00, BgL_bgl_string3187za700za7za7callcc_walkza7003224z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3186z00zzcallcc_walkz00, BgL_bgl_string3186za700za7za7callcc_walkza7003225z00, "   . ", 5 );
DEFINE_STRING( BGl_string3185z00zzcallcc_walkz00, BgL_bgl_string3185za700za7za7callcc_walkza7003226z00, "Callcc", 6 );
DEFINE_STATIC_PROCEDURE( BGl_proc3200z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2setq2778za7c0za7za7callcc_walkza7003227z00, BGl_callccz12zd2setq2778zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3201z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2conditional2780za7c0za7za7callcc_walkza7003228z00, BGl_callccz12zd2conditional2780zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3191z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2atom2760za7c0za7za7callcc_walkza7003229z00, BGl_callccz12zd2atom2760zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3202z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2fail2782za7c0za7za7callcc_walkza7003230z00, BGl_callccz12zd2fail2782zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3192z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2kwote2762za7c0za7za7callcc_walkza7003231z00, BGl_callccz12zd2kwote2762zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3203z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2select2784za7c0za7za7callcc_walkza7003232z00, BGl_callccz12zd2select2784zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3193z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2var2764za7c0za7za7callcc_walkza7003233z00, BGl_callccz12zd2var2764zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3204z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2letza7d2fun2786za712za7za7callcc_walkza7003234za7, BGl_callccz12zd2letzd2fun2786z12zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3194z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2sequence2766za7c0za7za7callcc_walkza7003235z00, BGl_callccz12zd2sequence2766zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3205z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2letza7d2var2788za712za7za7callcc_walkza7003236za7, BGl_callccz12zd2letzd2var2788z12zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3195z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2app2768za7c0za7za7callcc_walkza7003237z00, BGl_callccz12zd2app2768zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3206z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2setza7d2exza7d2it2790za7c0za7za7callcc_walkza7003238z00, BGl_callccz12zd2setzd2exzd2it2790zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3196z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2appza7d2ly2770za712za7za7callcc_walkza7003239za7, BGl_callccz12zd2appzd2ly2770z12zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3207z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2jumpza7d2exza7d2it2792za7c0za7za7callcc_walkza7003240z00, BGl_callccz12zd2jumpzd2exzd2it2792zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3197z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2funcall2772za7c0za7za7callcc_walkza7003241z00, BGl_callccz12zd2funcall2772zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3208z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2makeza7d2box2794za712za7za7callcc_walkza7003242za7, BGl_callccz12zd2makezd2box2794z12zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3198z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2extern2774za7c0za7za7callcc_walkza7003243z00, BGl_callccz12zd2extern2774zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3210z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2boxza7d2setza7122798za700za7za7callcc_walkza7003244z00, BGl_callccz12zd2boxzd2setz122798z00zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3209z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2boxza7d2ref2796za712za7za7callcc_walkza7003245za7, BGl_callccz12zd2boxzd2ref2796z12zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3199z00zzcallcc_walkz00, BgL_bgl_callccza712za7d2cast2776za7c0za7za7callcc_walkza7003246z00, BGl_callccz12zd2cast2776zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3211z00zzcallcc_walkz00, BgL_bgl_objectza7d2za7e3structza7d2localza7f2cell2800za711za7za7callcc_walkza7003247z00, BGl_objectzd2ze3structzd2localzf2cell2800z11zzcallcc_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3212z00zzcallcc_walkz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2localza7f2cell2802za7a3za7za7callcc_walkza7003248za7, BGl_structzb2objectzd2ze3objectzd2localzf2cell2802za3zzcallcc_walkz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2localzf2cellzd2envzf2zzcallcc_walkz00, BgL_bgl__makeza7d2localza7f2cellza720za7za7callcc_walkza7003249z00, BGl__makezd2localzf2cellz20zzcallcc_walkz00, 0L, 10 );
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2localzf2cellzd2envzf2zzcallcc_walkz00, BgL_bgl__allocateza7d2localza7f2cellza720za7za7callcc_walkza7003250z00, BGl__allocatezd2localzf2cellz20zzcallcc_walkz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_callccz12zd2default2757zd2envz12zzcallcc_walkz00, BgL_bgl__callccza712za7d2default2757za7c0za7za7callcc_walkza7003251z00, BGl__callccz12zd2default2757zc0zzcallcc_walkz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_callcczd2walkz12zd2envz12zzcallcc_walkz00, BgL_bgl__callccza7d2walkza712za7c0za7za7callcc_walkza7003252z00, BGl__callcczd2walkz12zc0zzcallcc_walkz00, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_GENERIC( BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_bgl__callccza712za712za7za7callcc_walkza7003253za7, BGl__callccz12z12zzcallcc_walkz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long BgL_checksumz00_3878, char * BgL_fromz00_3879)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcallcc_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzcallcc_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00(); 
BGl_cnstzd2initzd2zzcallcc_walkz00(); 
BGl_importedzd2moduleszd2initz00zzcallcc_walkz00(); 
BGl_objectzd2initzd2zzcallcc_walkz00(); 
BGl_methodzd2initzd2zzcallcc_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "callcc_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
{ /* Callcc/walk.scm 16 */
obj_t BgL_cportz00_3871;
BgL_cportz00_3871 = 
open_input_string(BGl_string3214z00zzcallcc_walkz00); 
{ 
long BgL_iz00_3872;
BgL_iz00_3872 = ((long)6); 
BgL_loopz00_3873:
if(
(BgL_iz00_3872==((long)-1)))
{ /* Callcc/walk.scm 16 */
return BUNSPEC;}  else 
{ /* Callcc/walk.scm 16 */
{ /* Callcc/walk.scm 16 */
obj_t BgL_arg3216z00_3875;
{ /* Callcc/walk.scm 16 */
obj_t BgL_list3217z00_3876;
BgL_list3217z00_3876 = 
MAKE_PAIR(BgL_cportz00_3871, BNIL); 
BgL_arg3216z00_3875 = 
BGl_readz00zz__readerz00(BgL_list3217z00_3876); } 
{ /* Callcc/walk.scm 16 */
int BgL_auxz00_3898;
BgL_auxz00_3898 = 
(int)(BgL_iz00_3872); 
CNST_TABLE_SET(BgL_auxz00_3898, BgL_arg3216z00_3875); } } 
{ 
long BgL_iz00_3901;
{ /* Callcc/walk.scm 16 */
int BgL_auxz00_3902;
{ /* Callcc/walk.scm 16 */
long BgL_auxz00_3903;
BgL_auxz00_3903 = 
(BgL_iz00_3872-((long)1)); 
BgL_auxz00_3902 = 
(int)(BgL_auxz00_3903); } 
BgL_iz00_3901 = 
(long)(BgL_auxz00_3902); } 
BgL_iz00_3872 = BgL_iz00_3901; 
goto BgL_loopz00_3873;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
return BUNSPEC;} 
}



/* callcc-walk! */
obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Callcc/walk.scm 30 */
{ /* Callcc/walk.scm 31 */
obj_t BgL_list2803z00_1292;
{ /* Callcc/walk.scm 31 */
obj_t BgL_arg2806z00_1294;
{ /* Callcc/walk.scm 31 */
obj_t BgL_arg2808z00_1296;
{ /* Callcc/walk.scm 31 */
obj_t BgL_auxz00_3907;
BgL_auxz00_3907 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2808z00_1296 = 
MAKE_PAIR(BgL_auxz00_3907, BNIL); } 
BgL_arg2806z00_1294 = 
MAKE_PAIR(BGl_string3185z00zzcallcc_walkz00, BgL_arg2808z00_1296); } 
BgL_list2803z00_1292 = 
MAKE_PAIR(BGl_string3186z00zzcallcc_walkz00, BgL_arg2806z00_1294); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2803z00_1292); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3185z00zzcallcc_walkz00; 
{ 
obj_t BgL_hooksz00_1297;obj_t BgL_hnamesz00_1298;
BgL_hooksz00_1297 = BNIL; 
BgL_hnamesz00_1298 = BNIL; 
BgL_loopz00_1299:
if(
NULLP(BgL_hooksz00_1297))
{ /* Callcc/walk.scm 31 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Callcc/walk.scm 31 */
bool_t BgL_test2813z00_1304;
{ /* Callcc/walk.scm 31 */
obj_t BgL_fun2819z00_1310;
BgL_fun2819z00_1310 = 
CAR(BgL_hooksz00_1297); 
{ /* Callcc/walk.scm 31 */
obj_t BgL_auxz00_3919;
BgL_auxz00_3919 = 
PROCEDURE_ENTRY(BgL_fun2819z00_1310)(BgL_fun2819z00_1310, BEOA); 
BgL_test2813z00_1304 = 
CBOOL(BgL_auxz00_3919); } } 
if(BgL_test2813z00_1304)
{ /* Callcc/walk.scm 31 */
{ 
obj_t BgL_hnamesz00_3926;obj_t BgL_hooksz00_3924;
BgL_hooksz00_3924 = 
CDR(BgL_hooksz00_1297); 
BgL_hnamesz00_3926 = 
CDR(BgL_hnamesz00_1298); 
BgL_hnamesz00_1298 = BgL_hnamesz00_3926; 
BgL_hooksz00_1297 = BgL_hooksz00_3924; 
goto BgL_loopz00_1299;} }  else 
{ /* Callcc/walk.scm 31 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3185z00zzcallcc_walkz00, BGl_string3187z00zzcallcc_walkz00, 
CAR(BgL_hnamesz00_1298)); } } } 
{ /* Callcc/walk.scm 33 */
bool_t BgL_test2820z00_1311;
{ /* Callcc/walk.scm 33 */
long BgL_n1z00_2065;
BgL_n1z00_2065 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2820z00_1311 = 
(BgL_n1z00_2065>((long)2)); } 
if(BgL_test2820z00_1311)
{ /* Callcc/walk.scm 33 */
BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = 
BINT(((long)2)); }  else 
{ /* Callcc/walk.scm 33 */BFALSE; } } 
{ 
obj_t BgL_l2706z00_1312;
BgL_l2706z00_1312 = BgL_globalsz00_1; 
BgL_lname2707z00_1313:
if(
PAIRP(BgL_l2706z00_1312))
{ /* Callcc/walk.scm 35 */
BGl_callcczd2funz12zc0zzcallcc_walkz00(
CAR(BgL_l2706z00_1312)); 
{ 
obj_t BgL_l2706z00_3938;
BgL_l2706z00_3938 = 
CDR(BgL_l2706z00_1312); 
BgL_l2706z00_1312 = BgL_l2706z00_3938; 
goto BgL_lname2707z00_1313;} }  else 
{ /* Callcc/walk.scm 35 */((bool_t)1); } } 
{ /* Callcc/walk.scm 36 */
bool_t BgL_test2824z00_1318;
{ /* Callcc/walk.scm 36 */
long BgL_n1z00_2070;
BgL_n1z00_2070 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2824z00_1318 = 
(BgL_n1z00_2070>((long)0)); } 
if(BgL_test2824z00_1318)
{ /* Callcc/walk.scm 36 */
{ /* Callcc/walk.scm 36 */
obj_t BgL_list2825z00_1320;
BgL_list2825z00_1320 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2825z00_1320); } 
{ /* Callcc/walk.scm 36 */
obj_t BgL_list2826z00_1321;
BgL_list2826z00_1321 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3188z00zzcallcc_walkz00, BgL_list2826z00_1321); } 
{ /* Callcc/walk.scm 36 */
char * BgL_arg2827z00_1322;
{ /* Callcc/walk.scm 36 */
bool_t BgL_test2829z00_1324;
{ /* Callcc/walk.scm 36 */
bool_t BgL_test2830z00_1325;
{ /* Callcc/walk.scm 36 */
obj_t BgL_objz00_2072;
BgL_objz00_2072 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2830z00_1325 = 
INTEGERP(BgL_objz00_2072); } 
if(BgL_test2830z00_1325)
{ /* Callcc/walk.scm 36 */
BgL_test2829z00_1324 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Callcc/walk.scm 36 */
BgL_test2829z00_1324 = ((bool_t)0); } } 
if(BgL_test2829z00_1324)
{ /* Callcc/walk.scm 36 */
BgL_arg2827z00_1322 = "s"; }  else 
{ /* Callcc/walk.scm 36 */
BgL_arg2827z00_1322 = ""; } } 
{ /* Callcc/walk.scm 36 */
obj_t BgL_list2828z00_1323;
BgL_list2828z00_1323 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2827z00_1322), BgL_list2828z00_1323); } } 
{ /* Callcc/walk.scm 36 */
obj_t BgL_list2831z00_1326;
BgL_list2831z00_1326 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3189z00zzcallcc_walkz00, BgL_list2831z00_1326); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Callcc/walk.scm 36 */
obj_t BgL_list2832z00_1327;
{ /* Callcc/walk.scm 36 */
obj_t BgL_auxz00_3958;
BgL_auxz00_3958 = 
BINT(((long)-1)); 
BgL_list2832z00_1327 = 
MAKE_PAIR(BgL_auxz00_3958, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2832z00_1327);} }  else 
{ 
obj_t BgL_hooksz00_1328;obj_t BgL_hnamesz00_1329;
BgL_hooksz00_1328 = BNIL; 
BgL_hnamesz00_1329 = BNIL; 
BgL_loopz00_1330:
if(
NULLP(BgL_hooksz00_1328))
{ /* Callcc/walk.scm 36 */
return BgL_globalsz00_1;}  else 
{ /* Callcc/walk.scm 36 */
bool_t BgL_test2837z00_1335;
{ /* Callcc/walk.scm 36 */
obj_t BgL_fun2842z00_1340;
BgL_fun2842z00_1340 = 
CAR(BgL_hooksz00_1328); 
{ /* Callcc/walk.scm 36 */
obj_t BgL_auxz00_3965;
BgL_auxz00_3965 = 
PROCEDURE_ENTRY(BgL_fun2842z00_1340)(BgL_fun2842z00_1340, BEOA); 
BgL_test2837z00_1335 = 
CBOOL(BgL_auxz00_3965); } } 
if(BgL_test2837z00_1335)
{ /* Callcc/walk.scm 36 */
{ 
obj_t BgL_hnamesz00_3972;obj_t BgL_hooksz00_3970;
BgL_hooksz00_3970 = 
CDR(BgL_hooksz00_1328); 
BgL_hnamesz00_3972 = 
CDR(BgL_hnamesz00_1329); 
BgL_hnamesz00_1329 = BgL_hnamesz00_3972; 
BgL_hooksz00_1328 = BgL_hooksz00_3970; 
goto BgL_loopz00_1330;} }  else 
{ /* Callcc/walk.scm 36 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3190z00zzcallcc_walkz00, 
CAR(BgL_hnamesz00_1329));} } } } } 
}



/* _callcc-walk! */
obj_t BGl__callcczd2walkz12zc0zzcallcc_walkz00(obj_t BgL_envz00_3781, obj_t BgL_globalsz00_3782)
{ AN_OBJECT;
{ /* Callcc/walk.scm 30 */
return 
BGl_callcczd2walkz12zc0zzcallcc_walkz00(BgL_globalsz00_3782);} 
}



/* callcc-fun! */
bool_t BGl_callcczd2funz12zc0zzcallcc_walkz00(obj_t BgL_varz00_2)
{ AN_OBJECT;
{ /* Callcc/walk.scm 41 */
{ /* Callcc/walk.scm 42 */
BgL_valuez00_bglt BgL_funz00_1341;
{ /* Callcc/walk.scm 42 */
BgL_variablez00_bglt BgL_obj1103z00_2081;
BgL_obj1103z00_2081 = 
(BgL_variablez00_bglt)(BgL_varz00_2); 
BgL_funz00_1341 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2081))->BgL_valuez00); } 
{ /* Callcc/walk.scm 42 */
obj_t BgL_bodyz00_1342;
{ /* Callcc/walk.scm 43 */
BgL_sfunz00_bglt BgL_obj1372z00_2082;
BgL_obj1372z00_2082 = 
(BgL_sfunz00_bglt)(BgL_funz00_1341); 
BgL_bodyz00_1342 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2082))->BgL_bodyz00); } 
{ /* Callcc/walk.scm 43 */
obj_t BgL_celledz00_1343;
{ /* Callcc/walk.scm 44 */
obj_t BgL_auxz00_3981;
{ /* Callcc/walk.scm 44 */
BgL_sfunz00_bglt BgL_obj1369z00_2083;
BgL_obj1369z00_2083 = 
(BgL_sfunz00_bglt)(BgL_funz00_1341); 
BgL_auxz00_3981 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2083))->BgL_argsz00); } 
BgL_celledz00_1343 = 
BGl_celledzd2bindingszd2zzcallcc_walkz00(BgL_auxz00_3981); } 
{ /* Callcc/walk.scm 44 */

{ 
obj_t BgL_l2709z00_1344;
BgL_l2709z00_1344 = BgL_celledz00_1343; 
BgL_lname2710z00_1345:
if(
PAIRP(BgL_l2709z00_1344))
{ /* Callcc/walk.scm 46 */
{ /* Callcc/walk.scm 47 */
obj_t BgL_wze2bze2_1347;
BgL_wze2bze2_1347 = 
CAR(BgL_l2709z00_1344); 
{ /* Callcc/walk.scm 47 */
obj_t BgL_arg2845z00_1349;
BgL_arg2845z00_1349 = 
CDR(BgL_wze2bze2_1347); 
{ /* Callcc/walk.scm 47 */
BgL_localz00_bglt BgL_obj1263z00_2088;
{ /* Callcc/walk.scm 47 */
obj_t BgL_auxz00_3989;
BgL_auxz00_3989 = 
CAR(BgL_wze2bze2_1347); 
BgL_obj1263z00_2088 = 
(BgL_localz00_bglt)(BgL_auxz00_3989); } 
((((BgL_localz00_bglt)CREF(BgL_obj1263z00_2088))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg2845z00_1349), BUNSPEC); } } } 
{ 
obj_t BgL_l2709z00_3993;
BgL_l2709z00_3993 = 
CDR(BgL_l2709z00_1344); 
BgL_l2709z00_1344 = BgL_l2709z00_3993; 
goto BgL_lname2710z00_1345;} }  else 
{ /* Callcc/walk.scm 46 */((bool_t)1); } } 
{ /* Callcc/walk.scm 49 */
BgL_nodez00_bglt BgL_arg2847z00_1351;
{ /* Callcc/walk.scm 49 */
BgL_nodez00_bglt BgL_arg2848z00_1352;
{ /* Callcc/walk.scm 49 */
BgL_nodez00_bglt BgL_res3067z00_2117;
{ /* Callcc/walk.scm 49 */
BgL_nodez00_bglt BgL_nodez00_2091;
BgL_nodez00_2091 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1342); 
{ /* Callcc/walk.scm 49 */
obj_t BgL_method2758z00_2092;
{ /* Callcc/walk.scm 49 */
long BgL_objzd2classzd2numz00_2094;
{ /* Callcc/walk.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3996;
BgL_auxz00_3996 = 
(BgL_objectz00_bglt)(BgL_nodez00_2091); 
BgL_objzd2classzd2numz00_2094 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3996); } 
{ /* Callcc/walk.scm 49 */
obj_t BgL_arg1221z00_2095;
{ /* Callcc/walk.scm 49 */
int BgL_auxz00_3999;
BgL_auxz00_3999 = 
(int)(((long)1)); 
BgL_arg1221z00_2095 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_3999); } 
{ /* Callcc/walk.scm 49 */
long BgL_offsetz00_2099;
{ /* Callcc/walk.scm 49 */
long BgL_auxz00_4002;
{ /* Callcc/walk.scm 49 */
int BgL_auxz00_4003;
BgL_auxz00_4003 = 
(int)(BgL_objzd2classzd2numz00_2094); 
BgL_auxz00_4002 = 
(long)(BgL_auxz00_4003); } 
BgL_offsetz00_2099 = 
(BgL_auxz00_4002-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 49 */
long BgL_modz00_2100;
{ /* Callcc/walk.scm 49 */
long BgL_auxz00_4007;
{ /* Callcc/walk.scm 49 */
int BgL_auxz00_4008;
BgL_auxz00_4008 = 
(int)(((long)8)); 
BgL_auxz00_4007 = 
(long)(BgL_auxz00_4008); } 
BgL_modz00_2100 = 
(BgL_offsetz00_2099/BgL_auxz00_4007); } 
{ /* Callcc/walk.scm 49 */
long BgL_restz00_2102;
{ /* Callcc/walk.scm 49 */
long BgL_auxz00_4012;
{ /* Callcc/walk.scm 49 */
int BgL_auxz00_4013;
BgL_auxz00_4013 = 
(int)(((long)8)); 
BgL_auxz00_4012 = 
(long)(BgL_auxz00_4013); } 
BgL_restz00_2102 = 
(BgL_offsetz00_2099%BgL_auxz00_4012); } 
{ /* Callcc/walk.scm 49 */

{ /* Callcc/walk.scm 49 */
obj_t BgL_bucketz00_2104;
{ /* Callcc/walk.scm 49 */
int BgL_kz00_2114;
BgL_kz00_2114 = 
(int)(BgL_modz00_2100); 
BgL_bucketz00_2104 = 
VECTOR_REF(BgL_arg1221z00_2095,BgL_kz00_2114); } 
{ /* Callcc/walk.scm 49 */
int BgL_kz00_2116;
BgL_kz00_2116 = 
(int)(BgL_restz00_2102); 
BgL_method2758z00_2092 = 
VECTOR_REF(BgL_bucketz00_2104,BgL_kz00_2116); } } } } } } } } 
{ /* Callcc/walk.scm 49 */
obj_t BgL_auxz00_4021;
BgL_auxz00_4021 = 
PROCEDURE_ENTRY(BgL_method2758z00_2092)(BgL_method2758z00_2092, 
(obj_t)(BgL_nodez00_2091), BEOA); 
BgL_res3067z00_2117 = 
(BgL_nodez00_bglt)(BgL_auxz00_4021); } } } 
BgL_arg2848z00_1352 = BgL_res3067z00_2117; } 
BgL_arg2847z00_1351 = 
BGl_cellzd2formalszd2zzcallcc_walkz00(BgL_celledz00_1343, BgL_arg2848z00_1352); } 
{ /* Callcc/walk.scm 49 */
BgL_sfunz00_bglt BgL_obj1374z00_2118;obj_t BgL_val1373z00_2119;
BgL_obj1374z00_2118 = 
(BgL_sfunz00_bglt)(BgL_funz00_1341); 
BgL_val1373z00_2119 = 
(obj_t)(BgL_arg2847z00_1351); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2118))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2119), BUNSPEC); } } 
{ 
obj_t BgL_l2711z00_1353;
BgL_l2711z00_1353 = BgL_celledz00_1343; 
BgL_lname2712z00_1354:
if(
PAIRP(BgL_l2711z00_1353))
{ /* Callcc/walk.scm 51 */
{ /* Callcc/walk.scm 52 */
BgL_localz00_bglt BgL_obj1263z00_2123;
{ /* Callcc/walk.scm 52 */
obj_t BgL_auxz00_4032;
{ /* Callcc/walk.scm 52 */
obj_t BgL_auxz00_4033;
BgL_auxz00_4033 = 
CAR(BgL_l2711z00_1353); 
BgL_auxz00_4032 = 
CAR(BgL_auxz00_4033); } 
BgL_obj1263z00_2123 = 
(BgL_localz00_bglt)(BgL_auxz00_4032); } 
((((BgL_localz00_bglt)CREF(BgL_obj1263z00_2123))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); } 
{ 
obj_t BgL_l2711z00_4038;
BgL_l2711z00_4038 = 
CDR(BgL_l2711z00_1353); 
BgL_l2711z00_1353 = BgL_l2711z00_4038; 
goto BgL_lname2712z00_1354;} }  else 
{ /* Callcc/walk.scm 51 */
return ((bool_t)1);} } } } } } } 
}



/* celled-bindings */
obj_t BGl_celledzd2bindingszd2zzcallcc_walkz00(obj_t BgL_formalsz00_3)
{ AN_OBJECT;
{ /* Callcc/walk.scm 58 */
{ 
obj_t BgL_celledz00_1360;obj_t BgL_formalsz00_1361;
BgL_celledz00_1360 = BNIL; 
BgL_formalsz00_1361 = BgL_formalsz00_3; 
BgL_loopz00_1362:
if(
NULLP(BgL_formalsz00_1361))
{ /* Callcc/walk.scm 62 */
return BgL_celledz00_1360;}  else 
{ /* Callcc/walk.scm 64 */
bool_t BgL_testz00_4042;
{ /* Callcc/walk.scm 64 */
BgL_variablez00_bglt BgL_auxz00_4043;
{ /* Callcc/walk.scm 64 */
obj_t BgL_auxz00_4044;
BgL_auxz00_4044 = 
CAR(BgL_formalsz00_1361); 
BgL_auxz00_4043 = 
(BgL_variablez00_bglt)(BgL_auxz00_4044); } 
BgL_testz00_4042 = 
BGl_celledzf3zf3zzcallcc_walkz00(BgL_auxz00_4043); } 
if(BgL_testz00_4042)
{ /* Callcc/walk.scm 64 */
{ /* Callcc/walk.scm 67 */
BgL_localz00_bglt BgL_varz00_1365;
{ /* Callcc/walk.scm 67 */
obj_t BgL_auxz00_4048;
{ /* Callcc/walk.scm 67 */
BgL_localz00_bglt BgL_obj1248z00_2129;
{ /* Callcc/walk.scm 67 */
obj_t BgL_auxz00_4049;
BgL_auxz00_4049 = 
CAR(BgL_formalsz00_1361); 
BgL_obj1248z00_2129 = 
(BgL_localz00_bglt)(BgL_auxz00_4049); } 
BgL_auxz00_4048 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_2129))->BgL_idz00); } 
BgL_varz00_1365 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_4048, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Callcc/walk.scm 67 */
obj_t BgL_oze2nze2_1366;
{ /* Callcc/walk.scm 68 */
obj_t BgL_auxz00_4057;obj_t BgL_auxz00_4055;
BgL_auxz00_4057 = 
(obj_t)(BgL_varz00_1365); 
BgL_auxz00_4055 = 
CAR(BgL_formalsz00_1361); 
BgL_oze2nze2_1366 = 
MAKE_PAIR(BgL_auxz00_4055, BgL_auxz00_4057); } 
{ /* Callcc/walk.scm 68 */

{ /* Callcc/walk.scm 69 */
BgL_localzf2cellzf2_bglt BgL_obj2713z00_1367;
BgL_obj2713z00_1367 = 
((BgL_localzf2cellzf2_bglt)BgL_varz00_1365); 
{ /* Callcc/walk.scm 69 */
obj_t BgL_auxz00_4063;BgL_objectz00_bglt BgL_auxz00_4061;
{ /* Callcc/walk.scm 69 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4064;
{ /* Callcc/walk.scm 69 */
BgL_localzf2cellzf2_bglt BgL_new2654z00_2131;
BgL_new2654z00_2131 = 
((BgL_localzf2cellzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2cellzf2_bgl)))); 
BgL_auxz00_4064 = BgL_new2654z00_2131; } 
BgL_auxz00_4063 = 
(obj_t)(BgL_auxz00_4064); } 
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_obj2713z00_1367); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4061, BgL_auxz00_4063); } 
{ /* Callcc/walk.scm 69 */
long BgL_auxz00_4070;BgL_objectz00_bglt BgL_auxz00_4068;
BgL_auxz00_4070 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2cellzf2zzcallcc_walkz00); 
BgL_auxz00_4068 = 
(BgL_objectz00_bglt)(BgL_obj2713z00_1367); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4068, BgL_auxz00_4070); } 
{ /* Callcc/walk.scm 69 */
obj_t BgL_auxz00_4073;
BgL_auxz00_4073 = 
(obj_t)(BgL_obj2713z00_1367); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4073); } BUNSPEC; BgL_obj2713z00_1367; } 
{ /* Callcc/walk.scm 70 */
obj_t BgL_arg2857z00_1370;obj_t BgL_arg2858z00_1371;
BgL_arg2857z00_1370 = 
MAKE_PAIR(BgL_oze2nze2_1366, BgL_celledz00_1360); 
BgL_arg2858z00_1371 = 
CDR(BgL_formalsz00_1361); 
{ 
obj_t BgL_formalsz00_4079;obj_t BgL_celledz00_4078;
BgL_celledz00_4078 = BgL_arg2857z00_1370; 
BgL_formalsz00_4079 = BgL_arg2858z00_1371; 
BgL_formalsz00_1361 = BgL_formalsz00_4079; 
BgL_celledz00_1360 = BgL_celledz00_4078; 
goto BgL_loopz00_1362;} } } } } }  else 
{ /* Callcc/walk.scm 64 */
{ 
obj_t BgL_formalsz00_4080;
BgL_formalsz00_4080 = 
CDR(BgL_formalsz00_1361); 
BgL_formalsz00_1361 = BgL_formalsz00_4080; 
goto BgL_loopz00_1362;} } } } } 
}



/* cell-formals */
BgL_nodez00_bglt BGl_cellzd2formalszd2zzcallcc_walkz00(obj_t BgL_celledz00_4, BgL_nodez00_bglt BgL_bodyz00_5)
{ AN_OBJECT;
{ /* Callcc/walk.scm 75 */
{ /* Callcc/walk.scm 76 */
bool_t BgL_test2864z00_1377;
BgL_test2864z00_1377 = 
NULLP(BgL_celledz00_4); 
if(BgL_test2864z00_1377)
{ /* Callcc/walk.scm 76 */
return BgL_bodyz00_5;}  else 
{ /* Callcc/walk.scm 78 */
obj_t BgL_locz00_1378;
BgL_locz00_1378 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_5))->BgL_locz00); 
{ /* Callcc/walk.scm 80 */
obj_t BgL_arg2865z00_1379;obj_t BgL_arg2866z00_1380;obj_t BgL_arg2868z00_1382;BgL_nodez00_bglt BgL_arg2869z00_1383;
BgL_arg2865z00_1379 = BgL_locz00_1378; 
BgL_arg2866z00_1380 = BGl_za2_za2z00zztype_cachez00; 
if(BgL_test2864z00_1377)
{ /* Callcc/walk.scm 83 */
BgL_arg2868z00_1382 = BNIL; }  else 
{ /* Callcc/walk.scm 83 */
obj_t BgL_head2717z00_1386;
BgL_head2717z00_1386 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2715z00_1387;obj_t BgL_tail2718z00_1388;
BgL_l2715z00_1387 = BgL_celledz00_4; 
BgL_tail2718z00_1388 = BgL_head2717z00_1386; 
BgL_lname2716z00_1389:
if(
NULLP(BgL_l2715z00_1387))
{ /* Callcc/walk.scm 83 */
BgL_arg2868z00_1382 = 
CDR(BgL_head2717z00_1386); }  else 
{ /* Callcc/walk.scm 84 */
obj_t BgL_newtail2719z00_1391;
{ /* Callcc/walk.scm 84 */
obj_t BgL_arg2873z00_1393;
{ /* Callcc/walk.scm 84 */
obj_t BgL_oze2nze2_1395;
BgL_oze2nze2_1395 = 
CAR(BgL_l2715z00_1387); 
{ /* Callcc/walk.scm 84 */
obj_t BgL_arg2875z00_1396;BgL_makezd2boxzd2_bglt BgL_arg2876z00_1397;
BgL_arg2875z00_1396 = 
CDR(BgL_oze2nze2_1395); 
{ /* Callcc/walk.scm 87 */
BgL_varz00_bglt BgL_arg2877z00_1398;obj_t BgL_arg2878z00_1399;
{ /* Callcc/walk.scm 87 */
obj_t BgL_arg2879z00_1400;obj_t BgL_arg2880z00_1401;
BgL_arg2879z00_1400 = BgL_locz00_1378; 
BgL_arg2880z00_1401 = BGl_za2_za2z00zztype_cachez00; 
{ /* Callcc/walk.scm 85 */
BgL_varz00_bglt BgL_res3071z00_2167;
{ /* Callcc/walk.scm 85 */
BgL_typez00_bglt BgL_type1631z00_2150;BgL_variablez00_bglt BgL_variable1632z00_2151;
BgL_type1631z00_2150 = 
(BgL_typez00_bglt)(BgL_arg2880z00_1401); 
{ /* Callcc/walk.scm 88 */
obj_t BgL_auxz00_4093;
BgL_auxz00_4093 = 
CAR(BgL_oze2nze2_1395); 
BgL_variable1632z00_2151 = 
(BgL_variablez00_bglt)(BgL_auxz00_4093); } 
{ /* Callcc/walk.scm 85 */
BgL_varz00_bglt BgL_new1633z00_2152;
{ /* Callcc/walk.scm 85 */
BgL_varz00_bglt BgL_res3069z00_2158;
{ /* Callcc/walk.scm 85 */
BgL_varz00_bglt BgL_new1635z00_2153;
BgL_new1635z00_2153 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Callcc/walk.scm 85 */
long BgL_arg2933z00_2154;
BgL_arg2933z00_2154 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Callcc/walk.scm 85 */
BgL_objectz00_bglt BgL_auxz00_4098;
BgL_auxz00_4098 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2153); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4098, BgL_arg2933z00_2154); } } 
{ /* Callcc/walk.scm 85 */
BgL_objectz00_bglt BgL_auxz00_4101;
BgL_auxz00_4101 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2153); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4101, BFALSE); } 
{ /* Callcc/walk.scm 85 */
obj_t BgL_auxz00_4104;
BgL_auxz00_4104 = 
(obj_t)(BgL_new1635z00_2153); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4104); } BUNSPEC; 
BgL_res3069z00_2158 = BgL_new1635z00_2153; } 
BgL_new1633z00_2152 = BgL_res3069z00_2158; } 
{ /* Callcc/walk.scm 85 */
BgL_varz00_bglt BgL_res3070z00_2166;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2152))->BgL_locz00) = ((obj_t)BgL_arg2879z00_1400), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2152))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2150), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2152))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2151), BUNSPEC); 
BgL_res3070z00_2166 = BgL_new1633z00_2152; BgL_res3070z00_2166; } 
BgL_res3071z00_2167 = BgL_new1633z00_2152; } } 
BgL_arg2877z00_1398 = BgL_res3071z00_2167; } } 
BgL_arg2878z00_1399 = 
CAR(BgL_oze2nze2_1395); 
BgL_arg2876z00_1397 = 
BGl_azd2makezd2cellz00zzcallcc_walkz00(
(BgL_nodez00_bglt)(BgL_arg2877z00_1398), 
(BgL_variablez00_bglt)(BgL_arg2878z00_1399)); } 
{ /* Callcc/walk.scm 84 */
obj_t BgL_auxz00_4114;
BgL_auxz00_4114 = 
(obj_t)(BgL_arg2876z00_1397); 
BgL_arg2873z00_1393 = 
MAKE_PAIR(BgL_arg2875z00_1396, BgL_auxz00_4114); } } } 
BgL_newtail2719z00_1391 = 
MAKE_PAIR(BgL_arg2873z00_1393, BNIL); } 
SET_CDR(BgL_tail2718z00_1388, BgL_newtail2719z00_1391); 
{ 
obj_t BgL_tail2718z00_4121;obj_t BgL_l2715z00_4119;
BgL_l2715z00_4119 = 
CDR(BgL_l2715z00_1387); 
BgL_tail2718z00_4121 = BgL_newtail2719z00_1391; 
BgL_tail2718z00_1388 = BgL_tail2718z00_4121; 
BgL_l2715z00_1387 = BgL_l2715z00_4119; 
goto BgL_lname2716z00_1389;} } } } 
BgL_arg2869z00_1383 = BgL_bodyz00_5; 
{ /* Callcc/walk.scm 79 */
BgL_letzd2varzd2_bglt BgL_res3074z00_2204;
{ /* Callcc/walk.scm 79 */
BgL_typez00_bglt BgL_type2492z00_2175;obj_t BgL_key2494z00_2177;
BgL_type2492z00_2175 = 
(BgL_typez00_bglt)(BgL_arg2866z00_1380); 
BgL_key2494z00_2177 = 
BINT(((long)-1)); 
{ /* Callcc/walk.scm 79 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2181;
{ /* Callcc/walk.scm 79 */
BgL_letzd2varzd2_bglt BgL_res3072z00_2187;
{ /* Callcc/walk.scm 79 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2182;
BgL_new2500z00_2182 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Callcc/walk.scm 79 */
long BgL_arg2910z00_2183;
BgL_arg2910z00_2183 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Callcc/walk.scm 79 */
BgL_objectz00_bglt BgL_auxz00_4126;
BgL_auxz00_4126 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2182); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4126, BgL_arg2910z00_2183); } } 
{ /* Callcc/walk.scm 79 */
BgL_objectz00_bglt BgL_auxz00_4129;
BgL_auxz00_4129 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2182); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4129, BFALSE); } 
{ /* Callcc/walk.scm 79 */
obj_t BgL_auxz00_4132;
BgL_auxz00_4132 = 
(obj_t)(BgL_new2500z00_2182); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4132); } BUNSPEC; 
BgL_res3072z00_2187 = BgL_new2500z00_2182; } 
BgL_new2498z00_2181 = BgL_res3072z00_2187; } 
{ /* Callcc/walk.scm 79 */
BgL_letzd2varzd2_bglt BgL_res3073z00_2203;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_locz00) = ((obj_t)BgL_arg2865z00_1379), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_2175), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2177), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_bindingsz00) = ((obj_t)BgL_arg2868z00_1382), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2869z00_1383), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2181))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3073z00_2203 = BgL_new2498z00_2181; BgL_res3073z00_2203; } 
BgL_res3074z00_2204 = BgL_new2498z00_2181; } } 
return 
(BgL_nodez00_bglt)(BgL_res3074z00_2204);} } } } } 
}



/* a-make-cell */
BgL_makezd2boxzd2_bglt BGl_azd2makezd2cellz00zzcallcc_walkz00(BgL_nodez00_bglt BgL_nodez00_6, BgL_variablez00_bglt BgL_variablez00_7)
{ AN_OBJECT;
{ /* Callcc/walk.scm 95 */
{ /* Callcc/walk.scm 97 */
BgL_localz00_bglt BgL_obj1260z00_2205;obj_t BgL_val1259z00_2206;
BgL_obj1260z00_2205 = 
(BgL_localz00_bglt)(BgL_variablez00_7); 
BgL_val1259z00_2206 = 
CNST_TABLE_REF(((long)1)); 
((((BgL_localz00_bglt)CREF(BgL_obj1260z00_2205))->BgL_accessz00) = ((obj_t)BgL_val1259z00_2206), BUNSPEC); } 
{ /* Callcc/walk.scm 98 */
BgL_localzf2cellzf2_bglt BgL_obj2723z00_1404;
BgL_obj2723z00_1404 = 
((BgL_localzf2cellzf2_bglt)BgL_variablez00_7); 
{ /* Callcc/walk.scm 98 */
obj_t BgL_auxz00_4149;BgL_objectz00_bglt BgL_auxz00_4147;
{ /* Callcc/walk.scm 98 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4150;
{ /* Callcc/walk.scm 98 */
BgL_localzf2cellzf2_bglt BgL_new2654z00_2207;
BgL_new2654z00_2207 = 
((BgL_localzf2cellzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2cellzf2_bgl)))); 
BgL_auxz00_4150 = BgL_new2654z00_2207; } 
BgL_auxz00_4149 = 
(obj_t)(BgL_auxz00_4150); } 
BgL_auxz00_4147 = 
(BgL_objectz00_bglt)(BgL_obj2723z00_1404); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4147, BgL_auxz00_4149); } 
{ /* Callcc/walk.scm 98 */
long BgL_auxz00_4156;BgL_objectz00_bglt BgL_auxz00_4154;
BgL_auxz00_4156 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2cellzf2zzcallcc_walkz00); 
BgL_auxz00_4154 = 
(BgL_objectz00_bglt)(BgL_obj2723z00_1404); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4154, BgL_auxz00_4156); } 
{ /* Callcc/walk.scm 98 */
obj_t BgL_auxz00_4159;
BgL_auxz00_4159 = 
(obj_t)(BgL_obj2723z00_1404); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4159); } BUNSPEC; BgL_obj2723z00_1404; } 
{ /* Callcc/walk.scm 99 */
obj_t BgL_arg2884z00_1407;obj_t BgL_arg2885z00_1408;BgL_nodez00_bglt BgL_arg2887z00_1410;
BgL_arg2884z00_1407 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_6))->BgL_locz00); 
BgL_arg2885z00_1408 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2887z00_1410 = BgL_nodez00_6; 
{ /* Callcc/walk.scm 99 */
BgL_makezd2boxzd2_bglt BgL_res3078z00_2238;
{ /* Callcc/walk.scm 99 */
BgL_typez00_bglt BgL_type2584z00_2215;obj_t BgL_key2586z00_2217;
BgL_type2584z00_2215 = 
(BgL_typez00_bglt)(BgL_arg2885z00_1408); 
BgL_key2586z00_2217 = 
BINT(((long)-1)); 
{ /* Callcc/walk.scm 99 */
BgL_makezd2boxzd2_bglt BgL_new2588z00_2219;
{ /* Callcc/walk.scm 99 */
BgL_makezd2boxzd2_bglt BgL_res3076z00_2225;
{ /* Callcc/walk.scm 99 */
BgL_makezd2boxzd2_bglt BgL_new2590z00_2220;
BgL_new2590z00_2220 = 
((BgL_makezd2boxzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_makezd2boxzd2_bgl) ))); 
{ /* Callcc/walk.scm 99 */
long BgL_arg2907z00_2221;
BgL_arg2907z00_2221 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzd2zzast_nodez00); 
{ /* Callcc/walk.scm 99 */
BgL_objectz00_bglt BgL_auxz00_4167;
BgL_auxz00_4167 = 
(BgL_objectz00_bglt)(BgL_new2590z00_2220); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4167, BgL_arg2907z00_2221); } } 
{ /* Callcc/walk.scm 99 */
BgL_objectz00_bglt BgL_auxz00_4170;
BgL_auxz00_4170 = 
(BgL_objectz00_bglt)(BgL_new2590z00_2220); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4170, BFALSE); } 
{ /* Callcc/walk.scm 99 */
obj_t BgL_auxz00_4173;
BgL_auxz00_4173 = 
(obj_t)(BgL_new2590z00_2220); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4173); } BUNSPEC; 
BgL_res3076z00_2225 = BgL_new2590z00_2220; } 
BgL_new2588z00_2219 = BgL_res3076z00_2225; } 
{ /* Callcc/walk.scm 99 */
BgL_makezd2boxzd2_bglt BgL_res3077z00_2237;
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2219))->BgL_locz00) = ((obj_t)BgL_arg2884z00_1407), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2219))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2584z00_2215), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2219))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2219))->BgL_keyz00) = ((obj_t)BgL_key2586z00_2217), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2219))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2887z00_1410), BUNSPEC); 
BgL_res3077z00_2237 = BgL_new2588z00_2219; BgL_res3077z00_2237; } 
BgL_res3078z00_2238 = BgL_new2588z00_2219; } } 
return BgL_res3078z00_2238;} } } 
}



/* celled? */
bool_t BGl_celledzf3zf3zzcallcc_walkz00(BgL_variablez00_bglt BgL_varz00_8)
{ AN_OBJECT;
{ /* Callcc/walk.scm 104 */
{ /* Callcc/walk.scm 105 */
bool_t BgL__ortest_2725z00_1411;
BgL__ortest_2725z00_1411 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_8), BGl_localzf2cellzf2zzcallcc_walkz00); 
if(BgL__ortest_2725z00_1411)
{ /* Callcc/walk.scm 105 */
return BgL__ortest_2725z00_1411;}  else 
{ /* Callcc/walk.scm 105 */
obj_t BgL_auxz00_4187;obj_t BgL_auxz00_4184;
BgL_auxz00_4187 = 
CNST_TABLE_REF(((long)2)); 
{ /* Callcc/walk.scm 105 */
BgL_localz00_bglt BgL_obj1258z00_2240;
BgL_obj1258z00_2240 = 
(BgL_localz00_bglt)(BgL_varz00_8); 
BgL_auxz00_4184 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_2240))->BgL_accessz00); } 
return 
(BgL_auxz00_4184==BgL_auxz00_4187);} } } 
}



/* callcc*! */
obj_t BGl_callccza2z12zb0zzcallcc_walkz00(obj_t BgL_nodeza2za2_31)
{ AN_OBJECT;
{ /* Callcc/walk.scm 327 */
BGl_callccza2z12zb0zzcallcc_walkz00:
if(
NULLP(BgL_nodeza2za2_31))
{ /* Callcc/walk.scm 328 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Callcc/walk.scm 328 */
{ /* Callcc/walk.scm 331 */
BgL_nodez00_bglt BgL_arg2891z00_1415;
{ /* Callcc/walk.scm 331 */
BgL_nodez00_bglt BgL_res3081z00_2269;
{ /* Callcc/walk.scm 331 */
BgL_nodez00_bglt BgL_nodez00_2243;
{ /* Callcc/walk.scm 331 */
obj_t BgL_auxz00_4193;
BgL_auxz00_4193 = 
CAR(BgL_nodeza2za2_31); 
BgL_nodez00_2243 = 
(BgL_nodez00_bglt)(BgL_auxz00_4193); } 
{ /* Callcc/walk.scm 331 */
obj_t BgL_method2758z00_2244;
{ /* Callcc/walk.scm 331 */
long BgL_objzd2classzd2numz00_2246;
{ /* Callcc/walk.scm 331 */
BgL_objectz00_bglt BgL_auxz00_4196;
BgL_auxz00_4196 = 
(BgL_objectz00_bglt)(BgL_nodez00_2243); 
BgL_objzd2classzd2numz00_2246 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4196); } 
{ /* Callcc/walk.scm 331 */
obj_t BgL_arg1221z00_2247;
{ /* Callcc/walk.scm 331 */
int BgL_auxz00_4199;
BgL_auxz00_4199 = 
(int)(((long)1)); 
BgL_arg1221z00_2247 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4199); } 
{ /* Callcc/walk.scm 331 */
long BgL_offsetz00_2251;
{ /* Callcc/walk.scm 331 */
long BgL_auxz00_4202;
{ /* Callcc/walk.scm 331 */
int BgL_auxz00_4203;
BgL_auxz00_4203 = 
(int)(BgL_objzd2classzd2numz00_2246); 
BgL_auxz00_4202 = 
(long)(BgL_auxz00_4203); } 
BgL_offsetz00_2251 = 
(BgL_auxz00_4202-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 331 */
long BgL_modz00_2252;
{ /* Callcc/walk.scm 331 */
long BgL_auxz00_4207;
{ /* Callcc/walk.scm 331 */
int BgL_auxz00_4208;
BgL_auxz00_4208 = 
(int)(((long)8)); 
BgL_auxz00_4207 = 
(long)(BgL_auxz00_4208); } 
BgL_modz00_2252 = 
(BgL_offsetz00_2251/BgL_auxz00_4207); } 
{ /* Callcc/walk.scm 331 */
long BgL_restz00_2254;
{ /* Callcc/walk.scm 331 */
long BgL_auxz00_4212;
{ /* Callcc/walk.scm 331 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)8)); 
BgL_auxz00_4212 = 
(long)(BgL_auxz00_4213); } 
BgL_restz00_2254 = 
(BgL_offsetz00_2251%BgL_auxz00_4212); } 
{ /* Callcc/walk.scm 331 */

{ /* Callcc/walk.scm 331 */
obj_t BgL_bucketz00_2256;
{ /* Callcc/walk.scm 331 */
int BgL_kz00_2266;
BgL_kz00_2266 = 
(int)(BgL_modz00_2252); 
BgL_bucketz00_2256 = 
VECTOR_REF(BgL_arg1221z00_2247,BgL_kz00_2266); } 
{ /* Callcc/walk.scm 331 */
int BgL_kz00_2268;
BgL_kz00_2268 = 
(int)(BgL_restz00_2254); 
BgL_method2758z00_2244 = 
VECTOR_REF(BgL_bucketz00_2256,BgL_kz00_2268); } } } } } } } } 
{ /* Callcc/walk.scm 331 */
obj_t BgL_auxz00_4221;
BgL_auxz00_4221 = 
PROCEDURE_ENTRY(BgL_method2758z00_2244)(BgL_method2758z00_2244, 
(obj_t)(BgL_nodez00_2243), BEOA); 
BgL_res3081z00_2269 = 
(BgL_nodez00_bglt)(BgL_auxz00_4221); } } } 
BgL_arg2891z00_1415 = BgL_res3081z00_2269; } 
{ /* Callcc/walk.scm 331 */
obj_t BgL_auxz00_4226;
BgL_auxz00_4226 = 
(obj_t)(BgL_arg2891z00_1415); 
SET_CAR(BgL_nodeza2za2_31, BgL_auxz00_4226); } } 
{ 
obj_t BgL_nodeza2za2_4229;
BgL_nodeza2za2_4229 = 
CDR(BgL_nodeza2za2_31); 
BgL_nodeza2za2_31 = BgL_nodeza2za2_4229; 
goto BGl_callccza2z12zb0zzcallcc_walkz00;} } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
{ /* Callcc/walk.scm 24 */
obj_t BgL_arg2894z00_1418;obj_t BgL_arg2895z00_1419;obj_t BgL_arg2900z00_1424;
BgL_arg2894z00_1418 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2895z00_1419 = BGl_localz00zzast_varz00; 
{ /* Callcc/walk.scm 24 */
obj_t BgL_v2756z00_1426;
{ 
int BgL_auxz00_4232;
BgL_auxz00_4232 = 
(int)(((long)0)); 
BgL_v2756z00_1426 = 
create_vector(BgL_auxz00_4232); } 
BgL_arg2900z00_1424 = BgL_v2756z00_1426; } 
BGl_localzf2cellzf2zzcallcc_walkz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2894z00_1418, BgL_arg2895z00_1419, BGl_makezd2localzf2cellzd2envzf2zzcallcc_walkz00, BGl_allocatezd2localzf2cellzd2envzf2zzcallcc_walkz00, ((long)47114), BNIL, BFALSE, BgL_arg2900z00_1424); } 
return BUNSPEC;} 
}



/* make-local/cell */
BgL_localzf2cellzf2_bglt BGl_makezd2localzf2cellz20zzcallcc_walkz00(obj_t BgL_id2658z00_37, obj_t BgL_name2659z00_38, BgL_typez00_bglt BgL_type2660z00_39, BgL_valuez00_bglt BgL_value2661z00_40, obj_t BgL_access2662z00_41, obj_t BgL_fastzd2alpha2663zd2_42, obj_t BgL_removable2664z00_43, long BgL_occurrence2665z00_44, bool_t BgL_userzf32666zf3_45, long BgL_key2667z00_46)
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_aux2668z00_2277;
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_res3085z00_2320;
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_new1306z00_2291;
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_res3083z00_2297;
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_new1308z00_2292;
BgL_new1308z00_2292 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Callcc/walk.scm 24 */
long BgL_arg2944z00_2293;
BgL_arg2944z00_2293 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Callcc/walk.scm 24 */
BgL_objectz00_bglt BgL_auxz00_4238;
BgL_auxz00_4238 = 
(BgL_objectz00_bglt)(BgL_new1308z00_2292); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4238, BgL_arg2944z00_2293); } } 
{ /* Callcc/walk.scm 24 */
BgL_objectz00_bglt BgL_auxz00_4241;
BgL_auxz00_4241 = 
(BgL_objectz00_bglt)(BgL_new1308z00_2292); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4241, BFALSE); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4244;
BgL_auxz00_4244 = 
(obj_t)(BgL_new1308z00_2292); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4244); } BUNSPEC; 
BgL_res3083z00_2297 = BgL_new1308z00_2292; } 
BgL_new1306z00_2291 = BgL_res3083z00_2297; } 
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_res3084z00_2319;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_idz00) = ((obj_t)BgL_id2658z00_37), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_namez00) = ((obj_t)BgL_name2659z00_38), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2660z00_39), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value2661z00_40), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_accessz00) = ((obj_t)BgL_access2662z00_41), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha2663zd2_42), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_removablez00) = ((obj_t)BgL_removable2664z00_43), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_occurrencez00) = ((long)BgL_occurrence2665z00_44), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_userzf3zf3) = ((bool_t)BgL_userzf32666zf3_45), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2291))->BgL_keyz00) = ((long)BgL_key2667z00_46), BUNSPEC); 
BgL_res3084z00_2319 = BgL_new1306z00_2291; BgL_res3084z00_2319; } 
BgL_res3085z00_2320 = BgL_new1306z00_2291; } 
BgL_aux2668z00_2277 = BgL_res3085z00_2320; } 
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_new2669z00_2278;
BgL_new2669z00_2278 = 
((BgL_localzf2cellzf2_bglt)BgL_aux2668z00_2277); 
{ /* Callcc/walk.scm 24 */
long BgL_auxz00_4260;BgL_objectz00_bglt BgL_auxz00_4258;
BgL_auxz00_4260 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2cellzf2zzcallcc_walkz00); 
BgL_auxz00_4258 = 
(BgL_objectz00_bglt)(BgL_new2669z00_2278); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4258, BgL_auxz00_4260); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4265;BgL_objectz00_bglt BgL_auxz00_4263;
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4266;
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_new2654z00_2323;
BgL_new2654z00_2323 = 
((BgL_localzf2cellzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2cellzf2_bgl)))); 
BgL_auxz00_4266 = BgL_new2654z00_2323; } 
BgL_auxz00_4265 = 
(obj_t)(BgL_auxz00_4266); } 
BgL_auxz00_4263 = 
(BgL_objectz00_bglt)(BgL_new2669z00_2278); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4263, BgL_auxz00_4265); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4270;
BgL_auxz00_4270 = 
(obj_t)(BgL_new2669z00_2278); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4270); } BUNSPEC; 
return BgL_new2669z00_2278;} } } 
}



/* _make-local/cell */
obj_t BGl__makezd2localzf2cellz20zzcallcc_walkz00(obj_t BgL_envz00_3785, obj_t BgL_id2658z00_3786, obj_t BgL_name2659z00_3787, obj_t BgL_type2660z00_3788, obj_t BgL_value2661z00_3789, obj_t BgL_access2662z00_3790, obj_t BgL_fastzd2alpha2663zd2_3791, obj_t BgL_removable2664z00_3792, obj_t BgL_occurrence2665z00_3793, obj_t BgL_userzf32666zf3_3794, obj_t BgL_key2667z00_3795)
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4273;
BgL_auxz00_4273 = 
BGl_makezd2localzf2cellz20zzcallcc_walkz00(BgL_id2658z00_3786, BgL_name2659z00_3787, 
(BgL_typez00_bglt)(BgL_type2660z00_3788), 
(BgL_valuez00_bglt)(BgL_value2661z00_3789), BgL_access2662z00_3790, BgL_fastzd2alpha2663zd2_3791, BgL_removable2664z00_3792, 
(long)CINT(BgL_occurrence2665z00_3793), 
CBOOL(BgL_userzf32666zf3_3794), 
(long)CINT(BgL_key2667z00_3795)); 
return 
(obj_t)(BgL_auxz00_4273);} } 
}



/* allocate-local/cell */
BgL_localz00_bglt BGl_allocatezd2localzf2cellz20zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_new2670z00_2327;
BgL_new2670z00_2327 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Callcc/walk.scm 24 */
long BgL_auxz00_4284;BgL_objectz00_bglt BgL_auxz00_4282;
BgL_auxz00_4284 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2cellzf2zzcallcc_walkz00); 
BgL_auxz00_4282 = 
(BgL_objectz00_bglt)(BgL_new2670z00_2327); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4282, BgL_auxz00_4284); } 
{ /* Callcc/walk.scm 24 */
BgL_objectz00_bglt BgL_auxz00_4287;
BgL_auxz00_4287 = 
(BgL_objectz00_bglt)(BgL_new2670z00_2327); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4287, BFALSE); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4290;
BgL_auxz00_4290 = 
(obj_t)(BgL_new2670z00_2327); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4290); } BUNSPEC; 
return BgL_new2670z00_2327;} } 
}



/* _allocate-local/cell */
obj_t BGl__allocatezd2localzf2cellz20zzcallcc_walkz00(obj_t BgL_envz00_3796)
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ /* Callcc/walk.scm 24 */
BgL_localz00_bglt BgL_auxz00_4293;
BgL_auxz00_4293 = 
BGl_allocatezd2localzf2cellz20zzcallcc_walkz00(); 
return 
(obj_t)(BgL_auxz00_4293);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_callccz12zd2default2757zd2envz12zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_atomz00zzast_nodez00, BGl_proc3191z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_kwotez00zzast_nodez00, BGl_proc3192z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_varz00zzast_nodez00, BGl_proc3193z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc3194z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_appz00zzast_nodez00, BGl_proc3195z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3196z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_funcallz00zzast_nodez00, BGl_proc3197z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_externz00zzast_nodez00, BGl_proc3198z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_castz00zzast_nodez00, BGl_proc3199z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_setqz00zzast_nodez00, BGl_proc3200z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_conditionalz00zzast_nodez00, BGl_proc3201z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_failz00zzast_nodez00, BGl_proc3202z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_selectz00zzast_nodez00, BGl_proc3203z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3204z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3205z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3206z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3207z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3208z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3209z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callccz12zd2envzc0zzcallcc_walkz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3210z00zzcallcc_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2cellzf2zzcallcc_walkz00, BGl_proc3211z00zzcallcc_walkz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2cellzf2zzcallcc_walkz00, BGl_proc3212z00zzcallcc_walkz00);} 
}



/* struct+object->object-local/cell2802 */
obj_t BGl_structzb2objectzd2ze3objectzd2localzf2cell2802za3zzcallcc_walkz00(obj_t BgL_envz00_3824, obj_t BgL_oz00_3825, obj_t BgL_sz00_3826)
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ 
BgL_localzf2cellzf2_bglt BgL_oz00_2046;obj_t BgL_sz00_2047;
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4319;
BgL_oz00_2046 = 
(BgL_localzf2cellzf2_bglt)(BgL_oz00_3825); 
BgL_sz00_2047 = BgL_sz00_3826; 
{ 

{ /* Callcc/walk.scm 24 */
obj_t BgL_old2674z00_2050;
{ /* Callcc/walk.scm 24 */
obj_t BgL_nextzd2method2801zd2_2055;
BgL_nextzd2method2801zd2_2055 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2046), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2cellzf2zzcallcc_walkz00); 
if(
PROCEDUREP(BgL_nextzd2method2801zd2_2055))
{ /* Callcc/walk.scm 24 */
BgL_old2674z00_2050 = 
PROCEDURE_ENTRY(BgL_nextzd2method2801zd2_2055)(BgL_nextzd2method2801zd2_2055, 
(obj_t)(BgL_oz00_2046), BgL_sz00_2047, BEOA); }  else 
{ /* Callcc/walk.scm 24 */
{ /* Callcc/walk.scm 24 */
BgL_objectz00_bglt BgL_auxz00_4327;
BgL_auxz00_4327 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2046), BgL_sz00_2047); 
BgL_old2674z00_2050 = 
(obj_t)(BgL_auxz00_4327); } } } 
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_new2676z00_2052;
BgL_new2676z00_2052 = 
((BgL_localzf2cellzf2_bglt)(BgL_old2674z00_2050)); 
{ /* Callcc/walk.scm 24 */
long BgL_auxz00_4334;BgL_objectz00_bglt BgL_auxz00_4332;
BgL_auxz00_4334 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2cellzf2zzcallcc_walkz00); 
BgL_auxz00_4332 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2052); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4332, BgL_auxz00_4334); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4339;BgL_objectz00_bglt BgL_auxz00_4337;
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_auxz00_4340;
{ /* Callcc/walk.scm 24 */
BgL_localzf2cellzf2_bglt BgL_new2654z00_3748;
BgL_new2654z00_3748 = 
((BgL_localzf2cellzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2cellzf2_bgl)))); 
BgL_auxz00_4340 = BgL_new2654z00_3748; } 
BgL_auxz00_4339 = 
(obj_t)(BgL_auxz00_4340); } 
BgL_auxz00_4337 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2052); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4337, BgL_auxz00_4339); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4344;
BgL_auxz00_4344 = 
(obj_t)(BgL_new2676z00_2052); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4344); } BUNSPEC; 
BgL_auxz00_4319 = BgL_new2676z00_2052; } } } 
return 
(obj_t)(BgL_auxz00_4319);} } } 
}



/* object->struct-local/cell2800 */
obj_t BGl_objectzd2ze3structzd2localzf2cell2800z11zzcallcc_walkz00(obj_t BgL_envz00_3827, obj_t BgL_obj2671z00_3828)
{ AN_OBJECT;
{ /* Callcc/walk.scm 24 */
{ 
BgL_localzf2cellzf2_bglt BgL_obj2671z00_2038;
BgL_obj2671z00_2038 = 
(BgL_localzf2cellzf2_bglt)(BgL_obj2671z00_3828); 
{ 

{ /* Callcc/walk.scm 24 */
obj_t BgL_res2672z00_2041;
{ /* Callcc/walk.scm 24 */
obj_t BgL_nextzd2method2799zd2_2044;
BgL_nextzd2method2799zd2_2044 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2671z00_2038), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2cellzf2zzcallcc_walkz00); 
if(
PROCEDUREP(BgL_nextzd2method2799zd2_2044))
{ /* Callcc/walk.scm 24 */
BgL_res2672z00_2041 = 
PROCEDURE_ENTRY(BgL_nextzd2method2799zd2_2044)(BgL_nextzd2method2799zd2_2044, 
(obj_t)(BgL_obj2671z00_2038), BEOA); }  else 
{ /* Callcc/walk.scm 24 */
BgL_res2672z00_2041 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2671z00_2038)); } } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_aux2673z00_2042;
{ /* Callcc/walk.scm 24 */
int BgL_auxz00_4360;obj_t BgL_auxz00_4358;
BgL_auxz00_4360 = 
(int)(((long)0)); 
BgL_auxz00_4358 = 
CNST_TABLE_REF(((long)4)); 
BgL_aux2673z00_2042 = 
make_struct(BgL_auxz00_4358, BgL_auxz00_4360, BUNSPEC); } 
{ /* Callcc/walk.scm 24 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2672z00_2041, BgL_auxz00_4363, BgL_aux2673z00_2042); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4366;
BgL_auxz00_4366 = 
STRUCT_KEY(BgL_res2672z00_2041); 
STRUCT_KEY_SET(BgL_aux2673z00_2042, BgL_auxz00_4366); } 
{ /* Callcc/walk.scm 24 */
obj_t BgL_auxz00_4369;
BgL_auxz00_4369 = 
CNST_TABLE_REF(((long)4)); 
STRUCT_KEY_SET(BgL_res2672z00_2041, BgL_auxz00_4369); } 
return BgL_res2672z00_2041;} } } } } 
}



/* callcc!-box-set!2798 */
obj_t BGl_callccz12zd2boxzd2setz122798z00zzcallcc_walkz00(obj_t BgL_envz00_3829, obj_t BgL_nodez00_3830)
{ AN_OBJECT;
{ /* Callcc/walk.scm 319 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2030;
{ /* Callcc/walk.scm 320 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4373;
BgL_nodez00_2030 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3830); 
{ /* Callcc/walk.scm 321 */
BgL_nodez00_bglt BgL_arg3055z00_2034;
{ /* Callcc/walk.scm 321 */
BgL_nodez00_bglt BgL_arg3056z00_2035;
BgL_arg3056z00_2035 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2030))->BgL_valuez00); 
{ /* Callcc/walk.scm 321 */
BgL_nodez00_bglt BgL_res3177z00_3728;
{ /* Callcc/walk.scm 321 */
obj_t BgL_method2758z00_3703;
{ /* Callcc/walk.scm 321 */
long BgL_objzd2classzd2numz00_3705;
{ /* Callcc/walk.scm 321 */
BgL_objectz00_bglt BgL_auxz00_4375;
BgL_auxz00_4375 = 
(BgL_objectz00_bglt)(BgL_arg3056z00_2035); 
BgL_objzd2classzd2numz00_3705 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4375); } 
{ /* Callcc/walk.scm 321 */
obj_t BgL_arg1221z00_3706;
{ /* Callcc/walk.scm 321 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)1)); 
BgL_arg1221z00_3706 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4378); } 
{ /* Callcc/walk.scm 321 */
long BgL_offsetz00_3710;
{ /* Callcc/walk.scm 321 */
long BgL_auxz00_4381;
{ /* Callcc/walk.scm 321 */
int BgL_auxz00_4382;
BgL_auxz00_4382 = 
(int)(BgL_objzd2classzd2numz00_3705); 
BgL_auxz00_4381 = 
(long)(BgL_auxz00_4382); } 
BgL_offsetz00_3710 = 
(BgL_auxz00_4381-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 321 */
long BgL_modz00_3711;
{ /* Callcc/walk.scm 321 */
long BgL_auxz00_4386;
{ /* Callcc/walk.scm 321 */
int BgL_auxz00_4387;
BgL_auxz00_4387 = 
(int)(((long)8)); 
BgL_auxz00_4386 = 
(long)(BgL_auxz00_4387); } 
BgL_modz00_3711 = 
(BgL_offsetz00_3710/BgL_auxz00_4386); } 
{ /* Callcc/walk.scm 321 */
long BgL_restz00_3713;
{ /* Callcc/walk.scm 321 */
long BgL_auxz00_4391;
{ /* Callcc/walk.scm 321 */
int BgL_auxz00_4392;
BgL_auxz00_4392 = 
(int)(((long)8)); 
BgL_auxz00_4391 = 
(long)(BgL_auxz00_4392); } 
BgL_restz00_3713 = 
(BgL_offsetz00_3710%BgL_auxz00_4391); } 
{ /* Callcc/walk.scm 321 */

{ /* Callcc/walk.scm 321 */
obj_t BgL_bucketz00_3715;
{ /* Callcc/walk.scm 321 */
int BgL_kz00_3725;
BgL_kz00_3725 = 
(int)(BgL_modz00_3711); 
BgL_bucketz00_3715 = 
VECTOR_REF(BgL_arg1221z00_3706,BgL_kz00_3725); } 
{ /* Callcc/walk.scm 321 */
int BgL_kz00_3727;
BgL_kz00_3727 = 
(int)(BgL_restz00_3713); 
BgL_method2758z00_3703 = 
VECTOR_REF(BgL_bucketz00_3715,BgL_kz00_3727); } } } } } } } } 
{ /* Callcc/walk.scm 321 */
obj_t BgL_auxz00_4400;
BgL_auxz00_4400 = 
PROCEDURE_ENTRY(BgL_method2758z00_3703)(BgL_method2758z00_3703, 
(obj_t)(BgL_arg3056z00_2035), BEOA); 
BgL_res3177z00_3728 = 
(BgL_nodez00_bglt)(BgL_auxz00_4400); } } 
BgL_arg3055z00_2034 = BgL_res3177z00_3728; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2030))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3055z00_2034), BUNSPEC); } 
BgL_auxz00_4373 = BgL_nodez00_2030; 
return 
(obj_t)(BgL_auxz00_4373);} } } 
}



/* callcc!-box-ref2796 */
obj_t BGl_callccz12zd2boxzd2ref2796z12zzcallcc_walkz00(obj_t BgL_envz00_3831, obj_t BgL_nodez00_3832)
{ AN_OBJECT;
{ /* Callcc/walk.scm 313 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2025;
{ /* Callcc/walk.scm 313 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4408;
BgL_nodez00_2025 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3832); 
BgL_auxz00_4408 = BgL_nodez00_2025; 
return 
(obj_t)(BgL_auxz00_4408);} } } 
}



/* callcc!-make-box2794 */
obj_t BGl_callccz12zd2makezd2box2794z12zzcallcc_walkz00(obj_t BgL_envz00_3833, obj_t BgL_nodez00_3834)
{ AN_OBJECT;
{ /* Callcc/walk.scm 306 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2018;
{ /* Callcc/walk.scm 307 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4411;
BgL_nodez00_2018 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3834); 
{ /* Callcc/walk.scm 307 */
BgL_nodez00_bglt BgL_arg3051z00_2021;
{ /* Callcc/walk.scm 307 */
BgL_nodez00_bglt BgL_arg3052z00_2022;
BgL_arg3052z00_2022 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2018))->BgL_valuez00); 
{ /* Callcc/walk.scm 307 */
BgL_nodez00_bglt BgL_res3174z00_3698;
{ /* Callcc/walk.scm 307 */
obj_t BgL_method2758z00_3673;
{ /* Callcc/walk.scm 307 */
long BgL_objzd2classzd2numz00_3675;
{ /* Callcc/walk.scm 307 */
BgL_objectz00_bglt BgL_auxz00_4413;
BgL_auxz00_4413 = 
(BgL_objectz00_bglt)(BgL_arg3052z00_2022); 
BgL_objzd2classzd2numz00_3675 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4413); } 
{ /* Callcc/walk.scm 307 */
obj_t BgL_arg1221z00_3676;
{ /* Callcc/walk.scm 307 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(((long)1)); 
BgL_arg1221z00_3676 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4416); } 
{ /* Callcc/walk.scm 307 */
long BgL_offsetz00_3680;
{ /* Callcc/walk.scm 307 */
long BgL_auxz00_4419;
{ /* Callcc/walk.scm 307 */
int BgL_auxz00_4420;
BgL_auxz00_4420 = 
(int)(BgL_objzd2classzd2numz00_3675); 
BgL_auxz00_4419 = 
(long)(BgL_auxz00_4420); } 
BgL_offsetz00_3680 = 
(BgL_auxz00_4419-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 307 */
long BgL_modz00_3681;
{ /* Callcc/walk.scm 307 */
long BgL_auxz00_4424;
{ /* Callcc/walk.scm 307 */
int BgL_auxz00_4425;
BgL_auxz00_4425 = 
(int)(((long)8)); 
BgL_auxz00_4424 = 
(long)(BgL_auxz00_4425); } 
BgL_modz00_3681 = 
(BgL_offsetz00_3680/BgL_auxz00_4424); } 
{ /* Callcc/walk.scm 307 */
long BgL_restz00_3683;
{ /* Callcc/walk.scm 307 */
long BgL_auxz00_4429;
{ /* Callcc/walk.scm 307 */
int BgL_auxz00_4430;
BgL_auxz00_4430 = 
(int)(((long)8)); 
BgL_auxz00_4429 = 
(long)(BgL_auxz00_4430); } 
BgL_restz00_3683 = 
(BgL_offsetz00_3680%BgL_auxz00_4429); } 
{ /* Callcc/walk.scm 307 */

{ /* Callcc/walk.scm 307 */
obj_t BgL_bucketz00_3685;
{ /* Callcc/walk.scm 307 */
int BgL_kz00_3695;
BgL_kz00_3695 = 
(int)(BgL_modz00_3681); 
BgL_bucketz00_3685 = 
VECTOR_REF(BgL_arg1221z00_3676,BgL_kz00_3695); } 
{ /* Callcc/walk.scm 307 */
int BgL_kz00_3697;
BgL_kz00_3697 = 
(int)(BgL_restz00_3683); 
BgL_method2758z00_3673 = 
VECTOR_REF(BgL_bucketz00_3685,BgL_kz00_3697); } } } } } } } } 
{ /* Callcc/walk.scm 307 */
obj_t BgL_auxz00_4438;
BgL_auxz00_4438 = 
PROCEDURE_ENTRY(BgL_method2758z00_3673)(BgL_method2758z00_3673, 
(obj_t)(BgL_arg3052z00_2022), BEOA); 
BgL_res3174z00_3698 = 
(BgL_nodez00_bglt)(BgL_auxz00_4438); } } 
BgL_arg3051z00_2021 = BgL_res3174z00_3698; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2018))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3051z00_2021), BUNSPEC); } 
BgL_auxz00_4411 = BgL_nodez00_2018; 
return 
(obj_t)(BgL_auxz00_4411);} } } 
}



/* callcc!-jump-ex-it2792 */
obj_t BGl_callccz12zd2jumpzd2exzd2it2792zc0zzcallcc_walkz00(obj_t BgL_envz00_3835, obj_t BgL_nodez00_3836)
{ AN_OBJECT;
{ /* Callcc/walk.scm 297 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2008;
{ /* Callcc/walk.scm 298 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4446;
BgL_nodez00_2008 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3836); 
{ /* Callcc/walk.scm 299 */
BgL_nodez00_bglt BgL_arg3046z00_2012;
{ /* Callcc/walk.scm 299 */
BgL_nodez00_bglt BgL_arg3047z00_2013;
BgL_arg3047z00_2013 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2008))->BgL_exitz00); 
{ /* Callcc/walk.scm 299 */
BgL_nodez00_bglt BgL_res3168z00_3638;
{ /* Callcc/walk.scm 299 */
obj_t BgL_method2758z00_3613;
{ /* Callcc/walk.scm 299 */
long BgL_objzd2classzd2numz00_3615;
{ /* Callcc/walk.scm 299 */
BgL_objectz00_bglt BgL_auxz00_4448;
BgL_auxz00_4448 = 
(BgL_objectz00_bglt)(BgL_arg3047z00_2013); 
BgL_objzd2classzd2numz00_3615 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4448); } 
{ /* Callcc/walk.scm 299 */
obj_t BgL_arg1221z00_3616;
{ /* Callcc/walk.scm 299 */
int BgL_auxz00_4451;
BgL_auxz00_4451 = 
(int)(((long)1)); 
BgL_arg1221z00_3616 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4451); } 
{ /* Callcc/walk.scm 299 */
long BgL_offsetz00_3620;
{ /* Callcc/walk.scm 299 */
long BgL_auxz00_4454;
{ /* Callcc/walk.scm 299 */
int BgL_auxz00_4455;
BgL_auxz00_4455 = 
(int)(BgL_objzd2classzd2numz00_3615); 
BgL_auxz00_4454 = 
(long)(BgL_auxz00_4455); } 
BgL_offsetz00_3620 = 
(BgL_auxz00_4454-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 299 */
long BgL_modz00_3621;
{ /* Callcc/walk.scm 299 */
long BgL_auxz00_4459;
{ /* Callcc/walk.scm 299 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)8)); 
BgL_auxz00_4459 = 
(long)(BgL_auxz00_4460); } 
BgL_modz00_3621 = 
(BgL_offsetz00_3620/BgL_auxz00_4459); } 
{ /* Callcc/walk.scm 299 */
long BgL_restz00_3623;
{ /* Callcc/walk.scm 299 */
long BgL_auxz00_4464;
{ /* Callcc/walk.scm 299 */
int BgL_auxz00_4465;
BgL_auxz00_4465 = 
(int)(((long)8)); 
BgL_auxz00_4464 = 
(long)(BgL_auxz00_4465); } 
BgL_restz00_3623 = 
(BgL_offsetz00_3620%BgL_auxz00_4464); } 
{ /* Callcc/walk.scm 299 */

{ /* Callcc/walk.scm 299 */
obj_t BgL_bucketz00_3625;
{ /* Callcc/walk.scm 299 */
int BgL_kz00_3635;
BgL_kz00_3635 = 
(int)(BgL_modz00_3621); 
BgL_bucketz00_3625 = 
VECTOR_REF(BgL_arg1221z00_3616,BgL_kz00_3635); } 
{ /* Callcc/walk.scm 299 */
int BgL_kz00_3637;
BgL_kz00_3637 = 
(int)(BgL_restz00_3623); 
BgL_method2758z00_3613 = 
VECTOR_REF(BgL_bucketz00_3625,BgL_kz00_3637); } } } } } } } } 
{ /* Callcc/walk.scm 299 */
obj_t BgL_auxz00_4473;
BgL_auxz00_4473 = 
PROCEDURE_ENTRY(BgL_method2758z00_3613)(BgL_method2758z00_3613, 
(obj_t)(BgL_arg3047z00_2013), BEOA); 
BgL_res3168z00_3638 = 
(BgL_nodez00_bglt)(BgL_auxz00_4473); } } 
BgL_arg3046z00_2012 = BgL_res3168z00_3638; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2008))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3046z00_2012), BUNSPEC); } 
{ /* Callcc/walk.scm 300 */
BgL_nodez00_bglt BgL_arg3048z00_2014;
{ /* Callcc/walk.scm 300 */
BgL_nodez00_bglt BgL_arg3049z00_2015;
BgL_arg3049z00_2015 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2008))->BgL_valuez00); 
{ /* Callcc/walk.scm 300 */
BgL_nodez00_bglt BgL_res3171z00_3668;
{ /* Callcc/walk.scm 300 */
obj_t BgL_method2758z00_3643;
{ /* Callcc/walk.scm 300 */
long BgL_objzd2classzd2numz00_3645;
{ /* Callcc/walk.scm 300 */
BgL_objectz00_bglt BgL_auxz00_4480;
BgL_auxz00_4480 = 
(BgL_objectz00_bglt)(BgL_arg3049z00_2015); 
BgL_objzd2classzd2numz00_3645 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4480); } 
{ /* Callcc/walk.scm 300 */
obj_t BgL_arg1221z00_3646;
{ /* Callcc/walk.scm 300 */
int BgL_auxz00_4483;
BgL_auxz00_4483 = 
(int)(((long)1)); 
BgL_arg1221z00_3646 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4483); } 
{ /* Callcc/walk.scm 300 */
long BgL_offsetz00_3650;
{ /* Callcc/walk.scm 300 */
long BgL_auxz00_4486;
{ /* Callcc/walk.scm 300 */
int BgL_auxz00_4487;
BgL_auxz00_4487 = 
(int)(BgL_objzd2classzd2numz00_3645); 
BgL_auxz00_4486 = 
(long)(BgL_auxz00_4487); } 
BgL_offsetz00_3650 = 
(BgL_auxz00_4486-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 300 */
long BgL_modz00_3651;
{ /* Callcc/walk.scm 300 */
long BgL_auxz00_4491;
{ /* Callcc/walk.scm 300 */
int BgL_auxz00_4492;
BgL_auxz00_4492 = 
(int)(((long)8)); 
BgL_auxz00_4491 = 
(long)(BgL_auxz00_4492); } 
BgL_modz00_3651 = 
(BgL_offsetz00_3650/BgL_auxz00_4491); } 
{ /* Callcc/walk.scm 300 */
long BgL_restz00_3653;
{ /* Callcc/walk.scm 300 */
long BgL_auxz00_4496;
{ /* Callcc/walk.scm 300 */
int BgL_auxz00_4497;
BgL_auxz00_4497 = 
(int)(((long)8)); 
BgL_auxz00_4496 = 
(long)(BgL_auxz00_4497); } 
BgL_restz00_3653 = 
(BgL_offsetz00_3650%BgL_auxz00_4496); } 
{ /* Callcc/walk.scm 300 */

{ /* Callcc/walk.scm 300 */
obj_t BgL_bucketz00_3655;
{ /* Callcc/walk.scm 300 */
int BgL_kz00_3665;
BgL_kz00_3665 = 
(int)(BgL_modz00_3651); 
BgL_bucketz00_3655 = 
VECTOR_REF(BgL_arg1221z00_3646,BgL_kz00_3665); } 
{ /* Callcc/walk.scm 300 */
int BgL_kz00_3667;
BgL_kz00_3667 = 
(int)(BgL_restz00_3653); 
BgL_method2758z00_3643 = 
VECTOR_REF(BgL_bucketz00_3655,BgL_kz00_3667); } } } } } } } } 
{ /* Callcc/walk.scm 300 */
obj_t BgL_auxz00_4505;
BgL_auxz00_4505 = 
PROCEDURE_ENTRY(BgL_method2758z00_3643)(BgL_method2758z00_3643, 
(obj_t)(BgL_arg3049z00_2015), BEOA); 
BgL_res3171z00_3668 = 
(BgL_nodez00_bglt)(BgL_auxz00_4505); } } 
BgL_arg3048z00_2014 = BgL_res3171z00_3668; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2008))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3048z00_2014), BUNSPEC); } 
BgL_auxz00_4446 = BgL_nodez00_2008; 
return 
(obj_t)(BgL_auxz00_4446);} } } 
}



/* callcc!-set-ex-it2790 */
obj_t BGl_callccz12zd2setzd2exzd2it2790zc0zzcallcc_walkz00(obj_t BgL_envz00_3837, obj_t BgL_nodez00_3838)
{ AN_OBJECT;
{ /* Callcc/walk.scm 290 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2001;
{ /* Callcc/walk.scm 291 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4513;
BgL_nodez00_2001 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3838); 
{ /* Callcc/walk.scm 291 */
BgL_nodez00_bglt BgL_arg3043z00_2004;
{ /* Callcc/walk.scm 291 */
BgL_nodez00_bglt BgL_arg3044z00_2005;
BgL_arg3044z00_2005 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00); 
{ /* Callcc/walk.scm 291 */
BgL_nodez00_bglt BgL_res3165z00_3608;
{ /* Callcc/walk.scm 291 */
obj_t BgL_method2758z00_3583;
{ /* Callcc/walk.scm 291 */
long BgL_objzd2classzd2numz00_3585;
{ /* Callcc/walk.scm 291 */
BgL_objectz00_bglt BgL_auxz00_4515;
BgL_auxz00_4515 = 
(BgL_objectz00_bglt)(BgL_arg3044z00_2005); 
BgL_objzd2classzd2numz00_3585 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4515); } 
{ /* Callcc/walk.scm 291 */
obj_t BgL_arg1221z00_3586;
{ /* Callcc/walk.scm 291 */
int BgL_auxz00_4518;
BgL_auxz00_4518 = 
(int)(((long)1)); 
BgL_arg1221z00_3586 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4518); } 
{ /* Callcc/walk.scm 291 */
long BgL_offsetz00_3590;
{ /* Callcc/walk.scm 291 */
long BgL_auxz00_4521;
{ /* Callcc/walk.scm 291 */
int BgL_auxz00_4522;
BgL_auxz00_4522 = 
(int)(BgL_objzd2classzd2numz00_3585); 
BgL_auxz00_4521 = 
(long)(BgL_auxz00_4522); } 
BgL_offsetz00_3590 = 
(BgL_auxz00_4521-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 291 */
long BgL_modz00_3591;
{ /* Callcc/walk.scm 291 */
long BgL_auxz00_4526;
{ /* Callcc/walk.scm 291 */
int BgL_auxz00_4527;
BgL_auxz00_4527 = 
(int)(((long)8)); 
BgL_auxz00_4526 = 
(long)(BgL_auxz00_4527); } 
BgL_modz00_3591 = 
(BgL_offsetz00_3590/BgL_auxz00_4526); } 
{ /* Callcc/walk.scm 291 */
long BgL_restz00_3593;
{ /* Callcc/walk.scm 291 */
long BgL_auxz00_4531;
{ /* Callcc/walk.scm 291 */
int BgL_auxz00_4532;
BgL_auxz00_4532 = 
(int)(((long)8)); 
BgL_auxz00_4531 = 
(long)(BgL_auxz00_4532); } 
BgL_restz00_3593 = 
(BgL_offsetz00_3590%BgL_auxz00_4531); } 
{ /* Callcc/walk.scm 291 */

{ /* Callcc/walk.scm 291 */
obj_t BgL_bucketz00_3595;
{ /* Callcc/walk.scm 291 */
int BgL_kz00_3605;
BgL_kz00_3605 = 
(int)(BgL_modz00_3591); 
BgL_bucketz00_3595 = 
VECTOR_REF(BgL_arg1221z00_3586,BgL_kz00_3605); } 
{ /* Callcc/walk.scm 291 */
int BgL_kz00_3607;
BgL_kz00_3607 = 
(int)(BgL_restz00_3593); 
BgL_method2758z00_3583 = 
VECTOR_REF(BgL_bucketz00_3595,BgL_kz00_3607); } } } } } } } } 
{ /* Callcc/walk.scm 291 */
obj_t BgL_auxz00_4540;
BgL_auxz00_4540 = 
PROCEDURE_ENTRY(BgL_method2758z00_3583)(BgL_method2758z00_3583, 
(obj_t)(BgL_arg3044z00_2005), BEOA); 
BgL_res3165z00_3608 = 
(BgL_nodez00_bglt)(BgL_auxz00_4540); } } 
BgL_arg3043z00_2004 = BgL_res3165z00_3608; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3043z00_2004), BUNSPEC); } 
BgL_auxz00_4513 = BgL_nodez00_2001; 
return 
(obj_t)(BgL_auxz00_4513);} } } 
}



/* callcc!-let-var2788 */
obj_t BGl_callccz12zd2letzd2var2788z12zzcallcc_walkz00(obj_t BgL_envz00_3839, obj_t BgL_nodez00_3840)
{ AN_OBJECT;
{ /* Callcc/walk.scm 272 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1981;
{ /* Callcc/walk.scm 273 */
BgL_letzd2varzd2_bglt BgL_auxz00_4548;
BgL_nodez00_1981 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3840); 
{ /* Callcc/walk.scm 274 */
BgL_nodez00_bglt BgL_arg3033z00_1985;
{ /* Callcc/walk.scm 274 */
BgL_nodez00_bglt BgL_arg3034z00_1986;
BgL_arg3034z00_1986 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1981))->BgL_bodyz00); 
{ /* Callcc/walk.scm 274 */
BgL_nodez00_bglt BgL_res3159z00_3538;
{ /* Callcc/walk.scm 274 */
obj_t BgL_method2758z00_3513;
{ /* Callcc/walk.scm 274 */
long BgL_objzd2classzd2numz00_3515;
{ /* Callcc/walk.scm 274 */
BgL_objectz00_bglt BgL_auxz00_4550;
BgL_auxz00_4550 = 
(BgL_objectz00_bglt)(BgL_arg3034z00_1986); 
BgL_objzd2classzd2numz00_3515 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4550); } 
{ /* Callcc/walk.scm 274 */
obj_t BgL_arg1221z00_3516;
{ /* Callcc/walk.scm 274 */
int BgL_auxz00_4553;
BgL_auxz00_4553 = 
(int)(((long)1)); 
BgL_arg1221z00_3516 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4553); } 
{ /* Callcc/walk.scm 274 */
long BgL_offsetz00_3520;
{ /* Callcc/walk.scm 274 */
long BgL_auxz00_4556;
{ /* Callcc/walk.scm 274 */
int BgL_auxz00_4557;
BgL_auxz00_4557 = 
(int)(BgL_objzd2classzd2numz00_3515); 
BgL_auxz00_4556 = 
(long)(BgL_auxz00_4557); } 
BgL_offsetz00_3520 = 
(BgL_auxz00_4556-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 274 */
long BgL_modz00_3521;
{ /* Callcc/walk.scm 274 */
long BgL_auxz00_4561;
{ /* Callcc/walk.scm 274 */
int BgL_auxz00_4562;
BgL_auxz00_4562 = 
(int)(((long)8)); 
BgL_auxz00_4561 = 
(long)(BgL_auxz00_4562); } 
BgL_modz00_3521 = 
(BgL_offsetz00_3520/BgL_auxz00_4561); } 
{ /* Callcc/walk.scm 274 */
long BgL_restz00_3523;
{ /* Callcc/walk.scm 274 */
long BgL_auxz00_4566;
{ /* Callcc/walk.scm 274 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)8)); 
BgL_auxz00_4566 = 
(long)(BgL_auxz00_4567); } 
BgL_restz00_3523 = 
(BgL_offsetz00_3520%BgL_auxz00_4566); } 
{ /* Callcc/walk.scm 274 */

{ /* Callcc/walk.scm 274 */
obj_t BgL_bucketz00_3525;
{ /* Callcc/walk.scm 274 */
int BgL_kz00_3535;
BgL_kz00_3535 = 
(int)(BgL_modz00_3521); 
BgL_bucketz00_3525 = 
VECTOR_REF(BgL_arg1221z00_3516,BgL_kz00_3535); } 
{ /* Callcc/walk.scm 274 */
int BgL_kz00_3537;
BgL_kz00_3537 = 
(int)(BgL_restz00_3523); 
BgL_method2758z00_3513 = 
VECTOR_REF(BgL_bucketz00_3525,BgL_kz00_3537); } } } } } } } } 
{ /* Callcc/walk.scm 274 */
obj_t BgL_auxz00_4575;
BgL_auxz00_4575 = 
PROCEDURE_ENTRY(BgL_method2758z00_3513)(BgL_method2758z00_3513, 
(obj_t)(BgL_arg3034z00_1986), BEOA); 
BgL_res3159z00_3538 = 
(BgL_nodez00_bglt)(BgL_auxz00_4575); } } 
BgL_arg3033z00_1985 = BgL_res3159z00_3538; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1981))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3033z00_1985), BUNSPEC); } 
{ 
obj_t BgL_l2750z00_1987;
BgL_l2750z00_1987 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1981))->BgL_bindingsz00); 
BgL_lname2751z00_1988:
if(
PAIRP(BgL_l2750z00_1987))
{ /* Callcc/walk.scm 275 */
{ /* Callcc/walk.scm 276 */
obj_t BgL_bindingz00_1991;
BgL_bindingz00_1991 = 
CAR(BgL_l2750z00_1987); 
{ /* Callcc/walk.scm 276 */
obj_t BgL_varz00_1992;
BgL_varz00_1992 = 
CAR(BgL_bindingz00_1991); 
{ /* Callcc/walk.scm 278 */
BgL_nodez00_bglt BgL_arg3037z00_1994;
{ /* Callcc/walk.scm 278 */
BgL_nodez00_bglt BgL_res3162z00_3572;
{ /* Callcc/walk.scm 278 */
BgL_nodez00_bglt BgL_nodez00_3546;
{ /* Callcc/walk.scm 278 */
obj_t BgL_auxz00_4585;
BgL_auxz00_4585 = 
CDR(BgL_bindingz00_1991); 
BgL_nodez00_3546 = 
(BgL_nodez00_bglt)(BgL_auxz00_4585); } 
{ /* Callcc/walk.scm 278 */
obj_t BgL_method2758z00_3547;
{ /* Callcc/walk.scm 278 */
long BgL_objzd2classzd2numz00_3549;
{ /* Callcc/walk.scm 278 */
BgL_objectz00_bglt BgL_auxz00_4588;
BgL_auxz00_4588 = 
(BgL_objectz00_bglt)(BgL_nodez00_3546); 
BgL_objzd2classzd2numz00_3549 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4588); } 
{ /* Callcc/walk.scm 278 */
obj_t BgL_arg1221z00_3550;
{ /* Callcc/walk.scm 278 */
int BgL_auxz00_4591;
BgL_auxz00_4591 = 
(int)(((long)1)); 
BgL_arg1221z00_3550 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4591); } 
{ /* Callcc/walk.scm 278 */
long BgL_offsetz00_3554;
{ /* Callcc/walk.scm 278 */
long BgL_auxz00_4594;
{ /* Callcc/walk.scm 278 */
int BgL_auxz00_4595;
BgL_auxz00_4595 = 
(int)(BgL_objzd2classzd2numz00_3549); 
BgL_auxz00_4594 = 
(long)(BgL_auxz00_4595); } 
BgL_offsetz00_3554 = 
(BgL_auxz00_4594-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 278 */
long BgL_modz00_3555;
{ /* Callcc/walk.scm 278 */
long BgL_auxz00_4599;
{ /* Callcc/walk.scm 278 */
int BgL_auxz00_4600;
BgL_auxz00_4600 = 
(int)(((long)8)); 
BgL_auxz00_4599 = 
(long)(BgL_auxz00_4600); } 
BgL_modz00_3555 = 
(BgL_offsetz00_3554/BgL_auxz00_4599); } 
{ /* Callcc/walk.scm 278 */
long BgL_restz00_3557;
{ /* Callcc/walk.scm 278 */
long BgL_auxz00_4604;
{ /* Callcc/walk.scm 278 */
int BgL_auxz00_4605;
BgL_auxz00_4605 = 
(int)(((long)8)); 
BgL_auxz00_4604 = 
(long)(BgL_auxz00_4605); } 
BgL_restz00_3557 = 
(BgL_offsetz00_3554%BgL_auxz00_4604); } 
{ /* Callcc/walk.scm 278 */

{ /* Callcc/walk.scm 278 */
obj_t BgL_bucketz00_3559;
{ /* Callcc/walk.scm 278 */
int BgL_kz00_3569;
BgL_kz00_3569 = 
(int)(BgL_modz00_3555); 
BgL_bucketz00_3559 = 
VECTOR_REF(BgL_arg1221z00_3550,BgL_kz00_3569); } 
{ /* Callcc/walk.scm 278 */
int BgL_kz00_3571;
BgL_kz00_3571 = 
(int)(BgL_restz00_3557); 
BgL_method2758z00_3547 = 
VECTOR_REF(BgL_bucketz00_3559,BgL_kz00_3571); } } } } } } } } 
{ /* Callcc/walk.scm 278 */
obj_t BgL_auxz00_4613;
BgL_auxz00_4613 = 
PROCEDURE_ENTRY(BgL_method2758z00_3547)(BgL_method2758z00_3547, 
(obj_t)(BgL_nodez00_3546), BEOA); 
BgL_res3162z00_3572 = 
(BgL_nodez00_bglt)(BgL_auxz00_4613); } } } 
BgL_arg3037z00_1994 = BgL_res3162z00_3572; } 
{ /* Callcc/walk.scm 278 */
obj_t BgL_auxz00_4618;
BgL_auxz00_4618 = 
(obj_t)(BgL_arg3037z00_1994); 
SET_CDR(BgL_bindingz00_1991, BgL_auxz00_4618); } } 
if(
BGl_celledzf3zf3zzcallcc_walkz00(
(BgL_variablez00_bglt)(BgL_varz00_1992)))
{ /* Callcc/walk.scm 279 */
{ /* Callcc/walk.scm 281 */
BgL_localz00_bglt BgL_obj1254z00_3575;BgL_typez00_bglt BgL_val1253z00_3576;
BgL_obj1254z00_3575 = 
(BgL_localz00_bglt)(BgL_varz00_1992); 
BgL_val1253z00_3576 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_3575))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1253z00_3576), BUNSPEC); } 
{ /* Callcc/walk.scm 283 */
BgL_makezd2boxzd2_bglt BgL_arg3039z00_1996;
{ /* Callcc/walk.scm 283 */
BgL_nodez00_bglt BgL_auxz00_4627;
{ /* Callcc/walk.scm 283 */
obj_t BgL_auxz00_4628;
BgL_auxz00_4628 = 
CDR(BgL_bindingz00_1991); 
BgL_auxz00_4627 = 
(BgL_nodez00_bglt)(BgL_auxz00_4628); } 
BgL_arg3039z00_1996 = 
BGl_azd2makezd2cellz00zzcallcc_walkz00(BgL_auxz00_4627, 
(BgL_variablez00_bglt)(BgL_varz00_1992)); } 
{ /* Callcc/walk.scm 282 */
obj_t BgL_auxz00_4633;
BgL_auxz00_4633 = 
(obj_t)(BgL_arg3039z00_1996); 
SET_CDR(BgL_bindingz00_1991, BgL_auxz00_4633); } } }  else 
{ /* Callcc/walk.scm 279 */BFALSE; } } } 
{ 
obj_t BgL_l2750z00_4636;
BgL_l2750z00_4636 = 
CDR(BgL_l2750z00_1987); 
BgL_l2750z00_1987 = BgL_l2750z00_4636; 
goto BgL_lname2751z00_1988;} }  else 
{ /* Callcc/walk.scm 275 */((bool_t)1); } } 
BgL_auxz00_4548 = BgL_nodez00_1981; 
return 
(obj_t)(BgL_auxz00_4548);} } } 
}



/* callcc!-let-fun2786 */
obj_t BGl_callccz12zd2letzd2fun2786z12zzcallcc_walkz00(obj_t BgL_envz00_3841, obj_t BgL_nodez00_3842)
{ AN_OBJECT;
{ /* Callcc/walk.scm 263 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1967;
{ /* Callcc/walk.scm 264 */
BgL_letzd2funzd2_bglt BgL_auxz00_4641;
BgL_nodez00_1967 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3842); 
{ 
obj_t BgL_l2746z00_1971;
BgL_l2746z00_1971 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1967))->BgL_localsz00); 
BgL_lname2747z00_1972:
if(
PAIRP(BgL_l2746z00_1971))
{ /* Callcc/walk.scm 265 */
BGl_callcczd2funz12zc0zzcallcc_walkz00(
CAR(BgL_l2746z00_1971)); 
{ 
obj_t BgL_l2746z00_4646;
BgL_l2746z00_4646 = 
CDR(BgL_l2746z00_1971); 
BgL_l2746z00_1971 = BgL_l2746z00_4646; 
goto BgL_lname2747z00_1972;} }  else 
{ /* Callcc/walk.scm 265 */((bool_t)1); } } 
{ /* Callcc/walk.scm 266 */
BgL_nodez00_bglt BgL_arg3030z00_1977;
{ /* Callcc/walk.scm 266 */
BgL_nodez00_bglt BgL_arg3031z00_1978;
BgL_arg3031z00_1978 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1967))->BgL_bodyz00); 
{ /* Callcc/walk.scm 266 */
BgL_nodez00_bglt BgL_res3156z00_3508;
{ /* Callcc/walk.scm 266 */
obj_t BgL_method2758z00_3483;
{ /* Callcc/walk.scm 266 */
long BgL_objzd2classzd2numz00_3485;
{ /* Callcc/walk.scm 266 */
BgL_objectz00_bglt BgL_auxz00_4650;
BgL_auxz00_4650 = 
(BgL_objectz00_bglt)(BgL_arg3031z00_1978); 
BgL_objzd2classzd2numz00_3485 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4650); } 
{ /* Callcc/walk.scm 266 */
obj_t BgL_arg1221z00_3486;
{ /* Callcc/walk.scm 266 */
int BgL_auxz00_4653;
BgL_auxz00_4653 = 
(int)(((long)1)); 
BgL_arg1221z00_3486 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4653); } 
{ /* Callcc/walk.scm 266 */
long BgL_offsetz00_3490;
{ /* Callcc/walk.scm 266 */
long BgL_auxz00_4656;
{ /* Callcc/walk.scm 266 */
int BgL_auxz00_4657;
BgL_auxz00_4657 = 
(int)(BgL_objzd2classzd2numz00_3485); 
BgL_auxz00_4656 = 
(long)(BgL_auxz00_4657); } 
BgL_offsetz00_3490 = 
(BgL_auxz00_4656-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 266 */
long BgL_modz00_3491;
{ /* Callcc/walk.scm 266 */
long BgL_auxz00_4661;
{ /* Callcc/walk.scm 266 */
int BgL_auxz00_4662;
BgL_auxz00_4662 = 
(int)(((long)8)); 
BgL_auxz00_4661 = 
(long)(BgL_auxz00_4662); } 
BgL_modz00_3491 = 
(BgL_offsetz00_3490/BgL_auxz00_4661); } 
{ /* Callcc/walk.scm 266 */
long BgL_restz00_3493;
{ /* Callcc/walk.scm 266 */
long BgL_auxz00_4666;
{ /* Callcc/walk.scm 266 */
int BgL_auxz00_4667;
BgL_auxz00_4667 = 
(int)(((long)8)); 
BgL_auxz00_4666 = 
(long)(BgL_auxz00_4667); } 
BgL_restz00_3493 = 
(BgL_offsetz00_3490%BgL_auxz00_4666); } 
{ /* Callcc/walk.scm 266 */

{ /* Callcc/walk.scm 266 */
obj_t BgL_bucketz00_3495;
{ /* Callcc/walk.scm 266 */
int BgL_kz00_3505;
BgL_kz00_3505 = 
(int)(BgL_modz00_3491); 
BgL_bucketz00_3495 = 
VECTOR_REF(BgL_arg1221z00_3486,BgL_kz00_3505); } 
{ /* Callcc/walk.scm 266 */
int BgL_kz00_3507;
BgL_kz00_3507 = 
(int)(BgL_restz00_3493); 
BgL_method2758z00_3483 = 
VECTOR_REF(BgL_bucketz00_3495,BgL_kz00_3507); } } } } } } } } 
{ /* Callcc/walk.scm 266 */
obj_t BgL_auxz00_4675;
BgL_auxz00_4675 = 
PROCEDURE_ENTRY(BgL_method2758z00_3483)(BgL_method2758z00_3483, 
(obj_t)(BgL_arg3031z00_1978), BEOA); 
BgL_res3156z00_3508 = 
(BgL_nodez00_bglt)(BgL_auxz00_4675); } } 
BgL_arg3030z00_1977 = BgL_res3156z00_3508; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1967))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3030z00_1977), BUNSPEC); } 
BgL_auxz00_4641 = BgL_nodez00_1967; 
return 
(obj_t)(BgL_auxz00_4641);} } } 
}



/* callcc!-select2784 */
obj_t BGl_callccz12zd2select2784zc0zzcallcc_walkz00(obj_t BgL_envz00_3843, obj_t BgL_nodez00_3844)
{ AN_OBJECT;
{ /* Callcc/walk.scm 252 */
{ 
BgL_selectz00_bglt BgL_nodez00_1951;
{ /* Callcc/walk.scm 253 */
BgL_selectz00_bglt BgL_auxz00_4683;
BgL_nodez00_1951 = 
(BgL_selectz00_bglt)(BgL_nodez00_3844); 
{ /* Callcc/walk.scm 254 */
BgL_nodez00_bglt BgL_arg3018z00_1955;
{ /* Callcc/walk.scm 254 */
BgL_nodez00_bglt BgL_arg3019z00_1956;
BgL_arg3019z00_1956 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1951))->BgL_testz00); 
{ /* Callcc/walk.scm 254 */
BgL_nodez00_bglt BgL_res3150z00_3440;
{ /* Callcc/walk.scm 254 */
obj_t BgL_method2758z00_3415;
{ /* Callcc/walk.scm 254 */
long BgL_objzd2classzd2numz00_3417;
{ /* Callcc/walk.scm 254 */
BgL_objectz00_bglt BgL_auxz00_4685;
BgL_auxz00_4685 = 
(BgL_objectz00_bglt)(BgL_arg3019z00_1956); 
BgL_objzd2classzd2numz00_3417 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4685); } 
{ /* Callcc/walk.scm 254 */
obj_t BgL_arg1221z00_3418;
{ /* Callcc/walk.scm 254 */
int BgL_auxz00_4688;
BgL_auxz00_4688 = 
(int)(((long)1)); 
BgL_arg1221z00_3418 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4688); } 
{ /* Callcc/walk.scm 254 */
long BgL_offsetz00_3422;
{ /* Callcc/walk.scm 254 */
long BgL_auxz00_4691;
{ /* Callcc/walk.scm 254 */
int BgL_auxz00_4692;
BgL_auxz00_4692 = 
(int)(BgL_objzd2classzd2numz00_3417); 
BgL_auxz00_4691 = 
(long)(BgL_auxz00_4692); } 
BgL_offsetz00_3422 = 
(BgL_auxz00_4691-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 254 */
long BgL_modz00_3423;
{ /* Callcc/walk.scm 254 */
long BgL_auxz00_4696;
{ /* Callcc/walk.scm 254 */
int BgL_auxz00_4697;
BgL_auxz00_4697 = 
(int)(((long)8)); 
BgL_auxz00_4696 = 
(long)(BgL_auxz00_4697); } 
BgL_modz00_3423 = 
(BgL_offsetz00_3422/BgL_auxz00_4696); } 
{ /* Callcc/walk.scm 254 */
long BgL_restz00_3425;
{ /* Callcc/walk.scm 254 */
long BgL_auxz00_4701;
{ /* Callcc/walk.scm 254 */
int BgL_auxz00_4702;
BgL_auxz00_4702 = 
(int)(((long)8)); 
BgL_auxz00_4701 = 
(long)(BgL_auxz00_4702); } 
BgL_restz00_3425 = 
(BgL_offsetz00_3422%BgL_auxz00_4701); } 
{ /* Callcc/walk.scm 254 */

{ /* Callcc/walk.scm 254 */
obj_t BgL_bucketz00_3427;
{ /* Callcc/walk.scm 254 */
int BgL_kz00_3437;
BgL_kz00_3437 = 
(int)(BgL_modz00_3423); 
BgL_bucketz00_3427 = 
VECTOR_REF(BgL_arg1221z00_3418,BgL_kz00_3437); } 
{ /* Callcc/walk.scm 254 */
int BgL_kz00_3439;
BgL_kz00_3439 = 
(int)(BgL_restz00_3425); 
BgL_method2758z00_3415 = 
VECTOR_REF(BgL_bucketz00_3427,BgL_kz00_3439); } } } } } } } } 
{ /* Callcc/walk.scm 254 */
obj_t BgL_auxz00_4710;
BgL_auxz00_4710 = 
PROCEDURE_ENTRY(BgL_method2758z00_3415)(BgL_method2758z00_3415, 
(obj_t)(BgL_arg3019z00_1956), BEOA); 
BgL_res3150z00_3440 = 
(BgL_nodez00_bglt)(BgL_auxz00_4710); } } 
BgL_arg3018z00_1955 = BgL_res3150z00_3440; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1951))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3018z00_1955), BUNSPEC); } 
{ 
obj_t BgL_l2742z00_1957;
BgL_l2742z00_1957 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1951))->BgL_clausesz00); 
BgL_lname2743z00_1958:
if(
PAIRP(BgL_l2742z00_1957))
{ /* Callcc/walk.scm 255 */
{ /* Callcc/walk.scm 256 */
obj_t BgL_clausez00_1961;
BgL_clausez00_1961 = 
CAR(BgL_l2742z00_1957); 
{ /* Callcc/walk.scm 256 */
BgL_nodez00_bglt BgL_arg3022z00_1962;
{ /* Callcc/walk.scm 256 */
BgL_nodez00_bglt BgL_res3153z00_3473;
{ /* Callcc/walk.scm 256 */
BgL_nodez00_bglt BgL_nodez00_3447;
{ /* Callcc/walk.scm 256 */
obj_t BgL_auxz00_4719;
BgL_auxz00_4719 = 
CDR(BgL_clausez00_1961); 
BgL_nodez00_3447 = 
(BgL_nodez00_bglt)(BgL_auxz00_4719); } 
{ /* Callcc/walk.scm 256 */
obj_t BgL_method2758z00_3448;
{ /* Callcc/walk.scm 256 */
long BgL_objzd2classzd2numz00_3450;
{ /* Callcc/walk.scm 256 */
BgL_objectz00_bglt BgL_auxz00_4722;
BgL_auxz00_4722 = 
(BgL_objectz00_bglt)(BgL_nodez00_3447); 
BgL_objzd2classzd2numz00_3450 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4722); } 
{ /* Callcc/walk.scm 256 */
obj_t BgL_arg1221z00_3451;
{ /* Callcc/walk.scm 256 */
int BgL_auxz00_4725;
BgL_auxz00_4725 = 
(int)(((long)1)); 
BgL_arg1221z00_3451 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4725); } 
{ /* Callcc/walk.scm 256 */
long BgL_offsetz00_3455;
{ /* Callcc/walk.scm 256 */
long BgL_auxz00_4728;
{ /* Callcc/walk.scm 256 */
int BgL_auxz00_4729;
BgL_auxz00_4729 = 
(int)(BgL_objzd2classzd2numz00_3450); 
BgL_auxz00_4728 = 
(long)(BgL_auxz00_4729); } 
BgL_offsetz00_3455 = 
(BgL_auxz00_4728-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 256 */
long BgL_modz00_3456;
{ /* Callcc/walk.scm 256 */
long BgL_auxz00_4733;
{ /* Callcc/walk.scm 256 */
int BgL_auxz00_4734;
BgL_auxz00_4734 = 
(int)(((long)8)); 
BgL_auxz00_4733 = 
(long)(BgL_auxz00_4734); } 
BgL_modz00_3456 = 
(BgL_offsetz00_3455/BgL_auxz00_4733); } 
{ /* Callcc/walk.scm 256 */
long BgL_restz00_3458;
{ /* Callcc/walk.scm 256 */
long BgL_auxz00_4738;
{ /* Callcc/walk.scm 256 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(((long)8)); 
BgL_auxz00_4738 = 
(long)(BgL_auxz00_4739); } 
BgL_restz00_3458 = 
(BgL_offsetz00_3455%BgL_auxz00_4738); } 
{ /* Callcc/walk.scm 256 */

{ /* Callcc/walk.scm 256 */
obj_t BgL_bucketz00_3460;
{ /* Callcc/walk.scm 256 */
int BgL_kz00_3470;
BgL_kz00_3470 = 
(int)(BgL_modz00_3456); 
BgL_bucketz00_3460 = 
VECTOR_REF(BgL_arg1221z00_3451,BgL_kz00_3470); } 
{ /* Callcc/walk.scm 256 */
int BgL_kz00_3472;
BgL_kz00_3472 = 
(int)(BgL_restz00_3458); 
BgL_method2758z00_3448 = 
VECTOR_REF(BgL_bucketz00_3460,BgL_kz00_3472); } } } } } } } } 
{ /* Callcc/walk.scm 256 */
obj_t BgL_auxz00_4747;
BgL_auxz00_4747 = 
PROCEDURE_ENTRY(BgL_method2758z00_3448)(BgL_method2758z00_3448, 
(obj_t)(BgL_nodez00_3447), BEOA); 
BgL_res3153z00_3473 = 
(BgL_nodez00_bglt)(BgL_auxz00_4747); } } } 
BgL_arg3022z00_1962 = BgL_res3153z00_3473; } 
{ /* Callcc/walk.scm 256 */
obj_t BgL_auxz00_4752;
BgL_auxz00_4752 = 
(obj_t)(BgL_arg3022z00_1962); 
SET_CDR(BgL_clausez00_1961, BgL_auxz00_4752); } } } 
{ 
obj_t BgL_l2742z00_4755;
BgL_l2742z00_4755 = 
CDR(BgL_l2742z00_1957); 
BgL_l2742z00_1957 = BgL_l2742z00_4755; 
goto BgL_lname2743z00_1958;} }  else 
{ /* Callcc/walk.scm 255 */((bool_t)1); } } 
BgL_auxz00_4683 = BgL_nodez00_1951; 
return 
(obj_t)(BgL_auxz00_4683);} } } 
}



/* callcc!-fail2782 */
obj_t BGl_callccz12zd2fail2782zc0zzcallcc_walkz00(obj_t BgL_envz00_3845, obj_t BgL_nodez00_3846)
{ AN_OBJECT;
{ /* Callcc/walk.scm 242 */
{ 
BgL_failz00_bglt BgL_nodez00_1939;
{ /* Callcc/walk.scm 243 */
BgL_failz00_bglt BgL_auxz00_4760;
BgL_nodez00_1939 = 
(BgL_failz00_bglt)(BgL_nodez00_3846); 
{ /* Callcc/walk.scm 244 */
BgL_nodez00_bglt BgL_arg3011z00_1943;
{ /* Callcc/walk.scm 244 */
BgL_nodez00_bglt BgL_arg3012z00_1944;
BgL_arg3012z00_1944 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_procz00); 
{ /* Callcc/walk.scm 244 */
BgL_nodez00_bglt BgL_res3141z00_3350;
{ /* Callcc/walk.scm 244 */
obj_t BgL_method2758z00_3325;
{ /* Callcc/walk.scm 244 */
long BgL_objzd2classzd2numz00_3327;
{ /* Callcc/walk.scm 244 */
BgL_objectz00_bglt BgL_auxz00_4762;
BgL_auxz00_4762 = 
(BgL_objectz00_bglt)(BgL_arg3012z00_1944); 
BgL_objzd2classzd2numz00_3327 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4762); } 
{ /* Callcc/walk.scm 244 */
obj_t BgL_arg1221z00_3328;
{ /* Callcc/walk.scm 244 */
int BgL_auxz00_4765;
BgL_auxz00_4765 = 
(int)(((long)1)); 
BgL_arg1221z00_3328 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4765); } 
{ /* Callcc/walk.scm 244 */
long BgL_offsetz00_3332;
{ /* Callcc/walk.scm 244 */
long BgL_auxz00_4768;
{ /* Callcc/walk.scm 244 */
int BgL_auxz00_4769;
BgL_auxz00_4769 = 
(int)(BgL_objzd2classzd2numz00_3327); 
BgL_auxz00_4768 = 
(long)(BgL_auxz00_4769); } 
BgL_offsetz00_3332 = 
(BgL_auxz00_4768-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 244 */
long BgL_modz00_3333;
{ /* Callcc/walk.scm 244 */
long BgL_auxz00_4773;
{ /* Callcc/walk.scm 244 */
int BgL_auxz00_4774;
BgL_auxz00_4774 = 
(int)(((long)8)); 
BgL_auxz00_4773 = 
(long)(BgL_auxz00_4774); } 
BgL_modz00_3333 = 
(BgL_offsetz00_3332/BgL_auxz00_4773); } 
{ /* Callcc/walk.scm 244 */
long BgL_restz00_3335;
{ /* Callcc/walk.scm 244 */
long BgL_auxz00_4778;
{ /* Callcc/walk.scm 244 */
int BgL_auxz00_4779;
BgL_auxz00_4779 = 
(int)(((long)8)); 
BgL_auxz00_4778 = 
(long)(BgL_auxz00_4779); } 
BgL_restz00_3335 = 
(BgL_offsetz00_3332%BgL_auxz00_4778); } 
{ /* Callcc/walk.scm 244 */

{ /* Callcc/walk.scm 244 */
obj_t BgL_bucketz00_3337;
{ /* Callcc/walk.scm 244 */
int BgL_kz00_3347;
BgL_kz00_3347 = 
(int)(BgL_modz00_3333); 
BgL_bucketz00_3337 = 
VECTOR_REF(BgL_arg1221z00_3328,BgL_kz00_3347); } 
{ /* Callcc/walk.scm 244 */
int BgL_kz00_3349;
BgL_kz00_3349 = 
(int)(BgL_restz00_3335); 
BgL_method2758z00_3325 = 
VECTOR_REF(BgL_bucketz00_3337,BgL_kz00_3349); } } } } } } } } 
{ /* Callcc/walk.scm 244 */
obj_t BgL_auxz00_4787;
BgL_auxz00_4787 = 
PROCEDURE_ENTRY(BgL_method2758z00_3325)(BgL_method2758z00_3325, 
(obj_t)(BgL_arg3012z00_1944), BEOA); 
BgL_res3141z00_3350 = 
(BgL_nodez00_bglt)(BgL_auxz00_4787); } } 
BgL_arg3011z00_1943 = BgL_res3141z00_3350; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3011z00_1943), BUNSPEC); } 
{ /* Callcc/walk.scm 245 */
BgL_nodez00_bglt BgL_arg3013z00_1945;
{ /* Callcc/walk.scm 245 */
BgL_nodez00_bglt BgL_arg3014z00_1946;
BgL_arg3014z00_1946 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_msgz00); 
{ /* Callcc/walk.scm 245 */
BgL_nodez00_bglt BgL_res3144z00_3380;
{ /* Callcc/walk.scm 245 */
obj_t BgL_method2758z00_3355;
{ /* Callcc/walk.scm 245 */
long BgL_objzd2classzd2numz00_3357;
{ /* Callcc/walk.scm 245 */
BgL_objectz00_bglt BgL_auxz00_4794;
BgL_auxz00_4794 = 
(BgL_objectz00_bglt)(BgL_arg3014z00_1946); 
BgL_objzd2classzd2numz00_3357 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4794); } 
{ /* Callcc/walk.scm 245 */
obj_t BgL_arg1221z00_3358;
{ /* Callcc/walk.scm 245 */
int BgL_auxz00_4797;
BgL_auxz00_4797 = 
(int)(((long)1)); 
BgL_arg1221z00_3358 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4797); } 
{ /* Callcc/walk.scm 245 */
long BgL_offsetz00_3362;
{ /* Callcc/walk.scm 245 */
long BgL_auxz00_4800;
{ /* Callcc/walk.scm 245 */
int BgL_auxz00_4801;
BgL_auxz00_4801 = 
(int)(BgL_objzd2classzd2numz00_3357); 
BgL_auxz00_4800 = 
(long)(BgL_auxz00_4801); } 
BgL_offsetz00_3362 = 
(BgL_auxz00_4800-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 245 */
long BgL_modz00_3363;
{ /* Callcc/walk.scm 245 */
long BgL_auxz00_4805;
{ /* Callcc/walk.scm 245 */
int BgL_auxz00_4806;
BgL_auxz00_4806 = 
(int)(((long)8)); 
BgL_auxz00_4805 = 
(long)(BgL_auxz00_4806); } 
BgL_modz00_3363 = 
(BgL_offsetz00_3362/BgL_auxz00_4805); } 
{ /* Callcc/walk.scm 245 */
long BgL_restz00_3365;
{ /* Callcc/walk.scm 245 */
long BgL_auxz00_4810;
{ /* Callcc/walk.scm 245 */
int BgL_auxz00_4811;
BgL_auxz00_4811 = 
(int)(((long)8)); 
BgL_auxz00_4810 = 
(long)(BgL_auxz00_4811); } 
BgL_restz00_3365 = 
(BgL_offsetz00_3362%BgL_auxz00_4810); } 
{ /* Callcc/walk.scm 245 */

{ /* Callcc/walk.scm 245 */
obj_t BgL_bucketz00_3367;
{ /* Callcc/walk.scm 245 */
int BgL_kz00_3377;
BgL_kz00_3377 = 
(int)(BgL_modz00_3363); 
BgL_bucketz00_3367 = 
VECTOR_REF(BgL_arg1221z00_3358,BgL_kz00_3377); } 
{ /* Callcc/walk.scm 245 */
int BgL_kz00_3379;
BgL_kz00_3379 = 
(int)(BgL_restz00_3365); 
BgL_method2758z00_3355 = 
VECTOR_REF(BgL_bucketz00_3367,BgL_kz00_3379); } } } } } } } } 
{ /* Callcc/walk.scm 245 */
obj_t BgL_auxz00_4819;
BgL_auxz00_4819 = 
PROCEDURE_ENTRY(BgL_method2758z00_3355)(BgL_method2758z00_3355, 
(obj_t)(BgL_arg3014z00_1946), BEOA); 
BgL_res3144z00_3380 = 
(BgL_nodez00_bglt)(BgL_auxz00_4819); } } 
BgL_arg3013z00_1945 = BgL_res3144z00_3380; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3013z00_1945), BUNSPEC); } 
{ /* Callcc/walk.scm 246 */
BgL_nodez00_bglt BgL_arg3015z00_1947;
{ /* Callcc/walk.scm 246 */
BgL_nodez00_bglt BgL_arg3016z00_1948;
BgL_arg3016z00_1948 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_objz00); 
{ /* Callcc/walk.scm 246 */
BgL_nodez00_bglt BgL_res3147z00_3410;
{ /* Callcc/walk.scm 246 */
obj_t BgL_method2758z00_3385;
{ /* Callcc/walk.scm 246 */
long BgL_objzd2classzd2numz00_3387;
{ /* Callcc/walk.scm 246 */
BgL_objectz00_bglt BgL_auxz00_4826;
BgL_auxz00_4826 = 
(BgL_objectz00_bglt)(BgL_arg3016z00_1948); 
BgL_objzd2classzd2numz00_3387 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4826); } 
{ /* Callcc/walk.scm 246 */
obj_t BgL_arg1221z00_3388;
{ /* Callcc/walk.scm 246 */
int BgL_auxz00_4829;
BgL_auxz00_4829 = 
(int)(((long)1)); 
BgL_arg1221z00_3388 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4829); } 
{ /* Callcc/walk.scm 246 */
long BgL_offsetz00_3392;
{ /* Callcc/walk.scm 246 */
long BgL_auxz00_4832;
{ /* Callcc/walk.scm 246 */
int BgL_auxz00_4833;
BgL_auxz00_4833 = 
(int)(BgL_objzd2classzd2numz00_3387); 
BgL_auxz00_4832 = 
(long)(BgL_auxz00_4833); } 
BgL_offsetz00_3392 = 
(BgL_auxz00_4832-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 246 */
long BgL_modz00_3393;
{ /* Callcc/walk.scm 246 */
long BgL_auxz00_4837;
{ /* Callcc/walk.scm 246 */
int BgL_auxz00_4838;
BgL_auxz00_4838 = 
(int)(((long)8)); 
BgL_auxz00_4837 = 
(long)(BgL_auxz00_4838); } 
BgL_modz00_3393 = 
(BgL_offsetz00_3392/BgL_auxz00_4837); } 
{ /* Callcc/walk.scm 246 */
long BgL_restz00_3395;
{ /* Callcc/walk.scm 246 */
long BgL_auxz00_4842;
{ /* Callcc/walk.scm 246 */
int BgL_auxz00_4843;
BgL_auxz00_4843 = 
(int)(((long)8)); 
BgL_auxz00_4842 = 
(long)(BgL_auxz00_4843); } 
BgL_restz00_3395 = 
(BgL_offsetz00_3392%BgL_auxz00_4842); } 
{ /* Callcc/walk.scm 246 */

{ /* Callcc/walk.scm 246 */
obj_t BgL_bucketz00_3397;
{ /* Callcc/walk.scm 246 */
int BgL_kz00_3407;
BgL_kz00_3407 = 
(int)(BgL_modz00_3393); 
BgL_bucketz00_3397 = 
VECTOR_REF(BgL_arg1221z00_3388,BgL_kz00_3407); } 
{ /* Callcc/walk.scm 246 */
int BgL_kz00_3409;
BgL_kz00_3409 = 
(int)(BgL_restz00_3395); 
BgL_method2758z00_3385 = 
VECTOR_REF(BgL_bucketz00_3397,BgL_kz00_3409); } } } } } } } } 
{ /* Callcc/walk.scm 246 */
obj_t BgL_auxz00_4851;
BgL_auxz00_4851 = 
PROCEDURE_ENTRY(BgL_method2758z00_3385)(BgL_method2758z00_3385, 
(obj_t)(BgL_arg3016z00_1948), BEOA); 
BgL_res3147z00_3410 = 
(BgL_nodez00_bglt)(BgL_auxz00_4851); } } 
BgL_arg3015z00_1947 = BgL_res3147z00_3410; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1939))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3015z00_1947), BUNSPEC); } 
BgL_auxz00_4760 = BgL_nodez00_1939; 
return 
(obj_t)(BgL_auxz00_4760);} } } 
}



/* callcc!-conditional2780 */
obj_t BGl_callccz12zd2conditional2780zc0zzcallcc_walkz00(obj_t BgL_envz00_3847, obj_t BgL_nodez00_3848)
{ AN_OBJECT;
{ /* Callcc/walk.scm 232 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1927;
{ /* Callcc/walk.scm 233 */
BgL_conditionalz00_bglt BgL_auxz00_4859;
BgL_nodez00_1927 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3848); 
{ /* Callcc/walk.scm 234 */
BgL_nodez00_bglt BgL_arg3004z00_1931;
{ /* Callcc/walk.scm 234 */
BgL_nodez00_bglt BgL_arg3005z00_1932;
BgL_arg3005z00_1932 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_testz00); 
{ /* Callcc/walk.scm 234 */
BgL_nodez00_bglt BgL_res3132z00_3260;
{ /* Callcc/walk.scm 234 */
obj_t BgL_method2758z00_3235;
{ /* Callcc/walk.scm 234 */
long BgL_objzd2classzd2numz00_3237;
{ /* Callcc/walk.scm 234 */
BgL_objectz00_bglt BgL_auxz00_4861;
BgL_auxz00_4861 = 
(BgL_objectz00_bglt)(BgL_arg3005z00_1932); 
BgL_objzd2classzd2numz00_3237 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4861); } 
{ /* Callcc/walk.scm 234 */
obj_t BgL_arg1221z00_3238;
{ /* Callcc/walk.scm 234 */
int BgL_auxz00_4864;
BgL_auxz00_4864 = 
(int)(((long)1)); 
BgL_arg1221z00_3238 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4864); } 
{ /* Callcc/walk.scm 234 */
long BgL_offsetz00_3242;
{ /* Callcc/walk.scm 234 */
long BgL_auxz00_4867;
{ /* Callcc/walk.scm 234 */
int BgL_auxz00_4868;
BgL_auxz00_4868 = 
(int)(BgL_objzd2classzd2numz00_3237); 
BgL_auxz00_4867 = 
(long)(BgL_auxz00_4868); } 
BgL_offsetz00_3242 = 
(BgL_auxz00_4867-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 234 */
long BgL_modz00_3243;
{ /* Callcc/walk.scm 234 */
long BgL_auxz00_4872;
{ /* Callcc/walk.scm 234 */
int BgL_auxz00_4873;
BgL_auxz00_4873 = 
(int)(((long)8)); 
BgL_auxz00_4872 = 
(long)(BgL_auxz00_4873); } 
BgL_modz00_3243 = 
(BgL_offsetz00_3242/BgL_auxz00_4872); } 
{ /* Callcc/walk.scm 234 */
long BgL_restz00_3245;
{ /* Callcc/walk.scm 234 */
long BgL_auxz00_4877;
{ /* Callcc/walk.scm 234 */
int BgL_auxz00_4878;
BgL_auxz00_4878 = 
(int)(((long)8)); 
BgL_auxz00_4877 = 
(long)(BgL_auxz00_4878); } 
BgL_restz00_3245 = 
(BgL_offsetz00_3242%BgL_auxz00_4877); } 
{ /* Callcc/walk.scm 234 */

{ /* Callcc/walk.scm 234 */
obj_t BgL_bucketz00_3247;
{ /* Callcc/walk.scm 234 */
int BgL_kz00_3257;
BgL_kz00_3257 = 
(int)(BgL_modz00_3243); 
BgL_bucketz00_3247 = 
VECTOR_REF(BgL_arg1221z00_3238,BgL_kz00_3257); } 
{ /* Callcc/walk.scm 234 */
int BgL_kz00_3259;
BgL_kz00_3259 = 
(int)(BgL_restz00_3245); 
BgL_method2758z00_3235 = 
VECTOR_REF(BgL_bucketz00_3247,BgL_kz00_3259); } } } } } } } } 
{ /* Callcc/walk.scm 234 */
obj_t BgL_auxz00_4886;
BgL_auxz00_4886 = 
PROCEDURE_ENTRY(BgL_method2758z00_3235)(BgL_method2758z00_3235, 
(obj_t)(BgL_arg3005z00_1932), BEOA); 
BgL_res3132z00_3260 = 
(BgL_nodez00_bglt)(BgL_auxz00_4886); } } 
BgL_arg3004z00_1931 = BgL_res3132z00_3260; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3004z00_1931), BUNSPEC); } 
{ /* Callcc/walk.scm 235 */
BgL_nodez00_bglt BgL_arg3006z00_1933;
{ /* Callcc/walk.scm 235 */
BgL_nodez00_bglt BgL_arg3007z00_1934;
BgL_arg3007z00_1934 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_truez00); 
{ /* Callcc/walk.scm 235 */
BgL_nodez00_bglt BgL_res3135z00_3290;
{ /* Callcc/walk.scm 235 */
obj_t BgL_method2758z00_3265;
{ /* Callcc/walk.scm 235 */
long BgL_objzd2classzd2numz00_3267;
{ /* Callcc/walk.scm 235 */
BgL_objectz00_bglt BgL_auxz00_4893;
BgL_auxz00_4893 = 
(BgL_objectz00_bglt)(BgL_arg3007z00_1934); 
BgL_objzd2classzd2numz00_3267 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4893); } 
{ /* Callcc/walk.scm 235 */
obj_t BgL_arg1221z00_3268;
{ /* Callcc/walk.scm 235 */
int BgL_auxz00_4896;
BgL_auxz00_4896 = 
(int)(((long)1)); 
BgL_arg1221z00_3268 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4896); } 
{ /* Callcc/walk.scm 235 */
long BgL_offsetz00_3272;
{ /* Callcc/walk.scm 235 */
long BgL_auxz00_4899;
{ /* Callcc/walk.scm 235 */
int BgL_auxz00_4900;
BgL_auxz00_4900 = 
(int)(BgL_objzd2classzd2numz00_3267); 
BgL_auxz00_4899 = 
(long)(BgL_auxz00_4900); } 
BgL_offsetz00_3272 = 
(BgL_auxz00_4899-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 235 */
long BgL_modz00_3273;
{ /* Callcc/walk.scm 235 */
long BgL_auxz00_4904;
{ /* Callcc/walk.scm 235 */
int BgL_auxz00_4905;
BgL_auxz00_4905 = 
(int)(((long)8)); 
BgL_auxz00_4904 = 
(long)(BgL_auxz00_4905); } 
BgL_modz00_3273 = 
(BgL_offsetz00_3272/BgL_auxz00_4904); } 
{ /* Callcc/walk.scm 235 */
long BgL_restz00_3275;
{ /* Callcc/walk.scm 235 */
long BgL_auxz00_4909;
{ /* Callcc/walk.scm 235 */
int BgL_auxz00_4910;
BgL_auxz00_4910 = 
(int)(((long)8)); 
BgL_auxz00_4909 = 
(long)(BgL_auxz00_4910); } 
BgL_restz00_3275 = 
(BgL_offsetz00_3272%BgL_auxz00_4909); } 
{ /* Callcc/walk.scm 235 */

{ /* Callcc/walk.scm 235 */
obj_t BgL_bucketz00_3277;
{ /* Callcc/walk.scm 235 */
int BgL_kz00_3287;
BgL_kz00_3287 = 
(int)(BgL_modz00_3273); 
BgL_bucketz00_3277 = 
VECTOR_REF(BgL_arg1221z00_3268,BgL_kz00_3287); } 
{ /* Callcc/walk.scm 235 */
int BgL_kz00_3289;
BgL_kz00_3289 = 
(int)(BgL_restz00_3275); 
BgL_method2758z00_3265 = 
VECTOR_REF(BgL_bucketz00_3277,BgL_kz00_3289); } } } } } } } } 
{ /* Callcc/walk.scm 235 */
obj_t BgL_auxz00_4918;
BgL_auxz00_4918 = 
PROCEDURE_ENTRY(BgL_method2758z00_3265)(BgL_method2758z00_3265, 
(obj_t)(BgL_arg3007z00_1934), BEOA); 
BgL_res3135z00_3290 = 
(BgL_nodez00_bglt)(BgL_auxz00_4918); } } 
BgL_arg3006z00_1933 = BgL_res3135z00_3290; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3006z00_1933), BUNSPEC); } 
{ /* Callcc/walk.scm 236 */
BgL_nodez00_bglt BgL_arg3008z00_1935;
{ /* Callcc/walk.scm 236 */
BgL_nodez00_bglt BgL_arg3009z00_1936;
BgL_arg3009z00_1936 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_falsez00); 
{ /* Callcc/walk.scm 236 */
BgL_nodez00_bglt BgL_res3138z00_3320;
{ /* Callcc/walk.scm 236 */
obj_t BgL_method2758z00_3295;
{ /* Callcc/walk.scm 236 */
long BgL_objzd2classzd2numz00_3297;
{ /* Callcc/walk.scm 236 */
BgL_objectz00_bglt BgL_auxz00_4925;
BgL_auxz00_4925 = 
(BgL_objectz00_bglt)(BgL_arg3009z00_1936); 
BgL_objzd2classzd2numz00_3297 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4925); } 
{ /* Callcc/walk.scm 236 */
obj_t BgL_arg1221z00_3298;
{ /* Callcc/walk.scm 236 */
int BgL_auxz00_4928;
BgL_auxz00_4928 = 
(int)(((long)1)); 
BgL_arg1221z00_3298 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4928); } 
{ /* Callcc/walk.scm 236 */
long BgL_offsetz00_3302;
{ /* Callcc/walk.scm 236 */
long BgL_auxz00_4931;
{ /* Callcc/walk.scm 236 */
int BgL_auxz00_4932;
BgL_auxz00_4932 = 
(int)(BgL_objzd2classzd2numz00_3297); 
BgL_auxz00_4931 = 
(long)(BgL_auxz00_4932); } 
BgL_offsetz00_3302 = 
(BgL_auxz00_4931-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 236 */
long BgL_modz00_3303;
{ /* Callcc/walk.scm 236 */
long BgL_auxz00_4936;
{ /* Callcc/walk.scm 236 */
int BgL_auxz00_4937;
BgL_auxz00_4937 = 
(int)(((long)8)); 
BgL_auxz00_4936 = 
(long)(BgL_auxz00_4937); } 
BgL_modz00_3303 = 
(BgL_offsetz00_3302/BgL_auxz00_4936); } 
{ /* Callcc/walk.scm 236 */
long BgL_restz00_3305;
{ /* Callcc/walk.scm 236 */
long BgL_auxz00_4941;
{ /* Callcc/walk.scm 236 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)8)); 
BgL_auxz00_4941 = 
(long)(BgL_auxz00_4942); } 
BgL_restz00_3305 = 
(BgL_offsetz00_3302%BgL_auxz00_4941); } 
{ /* Callcc/walk.scm 236 */

{ /* Callcc/walk.scm 236 */
obj_t BgL_bucketz00_3307;
{ /* Callcc/walk.scm 236 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_modz00_3303); 
BgL_bucketz00_3307 = 
VECTOR_REF(BgL_arg1221z00_3298,BgL_kz00_3317); } 
{ /* Callcc/walk.scm 236 */
int BgL_kz00_3319;
BgL_kz00_3319 = 
(int)(BgL_restz00_3305); 
BgL_method2758z00_3295 = 
VECTOR_REF(BgL_bucketz00_3307,BgL_kz00_3319); } } } } } } } } 
{ /* Callcc/walk.scm 236 */
obj_t BgL_auxz00_4950;
BgL_auxz00_4950 = 
PROCEDURE_ENTRY(BgL_method2758z00_3295)(BgL_method2758z00_3295, 
(obj_t)(BgL_arg3009z00_1936), BEOA); 
BgL_res3138z00_3320 = 
(BgL_nodez00_bglt)(BgL_auxz00_4950); } } 
BgL_arg3008z00_1935 = BgL_res3138z00_3320; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1927))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3008z00_1935), BUNSPEC); } 
BgL_auxz00_4859 = BgL_nodez00_1927; 
return 
(obj_t)(BgL_auxz00_4859);} } } 
}



/* callcc!-setq2778 */
obj_t BGl_callccz12zd2setq2778zc0zzcallcc_walkz00(obj_t BgL_envz00_3849, obj_t BgL_nodez00_3850)
{ AN_OBJECT;
{ /* Callcc/walk.scm 199 */
{ 
BgL_setqz00_bglt BgL_nodez00_1892;
BgL_nodez00_1892 = 
(BgL_setqz00_bglt)(BgL_nodez00_3850); 
{ /* Callcc/walk.scm 200 */
BgL_nodez00_bglt BgL_arg2979z00_1895;
{ /* Callcc/walk.scm 200 */
BgL_nodez00_bglt BgL_arg2980z00_1896;
BgL_arg2980z00_1896 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_valuez00); 
{ /* Callcc/walk.scm 200 */
BgL_nodez00_bglt BgL_res3119z00_3144;
{ /* Callcc/walk.scm 200 */
obj_t BgL_method2758z00_3119;
{ /* Callcc/walk.scm 200 */
long BgL_objzd2classzd2numz00_3121;
{ /* Callcc/walk.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4959;
BgL_auxz00_4959 = 
(BgL_objectz00_bglt)(BgL_arg2980z00_1896); 
BgL_objzd2classzd2numz00_3121 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4959); } 
{ /* Callcc/walk.scm 200 */
obj_t BgL_arg1221z00_3122;
{ /* Callcc/walk.scm 200 */
int BgL_auxz00_4962;
BgL_auxz00_4962 = 
(int)(((long)1)); 
BgL_arg1221z00_3122 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_4962); } 
{ /* Callcc/walk.scm 200 */
long BgL_offsetz00_3126;
{ /* Callcc/walk.scm 200 */
long BgL_auxz00_4965;
{ /* Callcc/walk.scm 200 */
int BgL_auxz00_4966;
BgL_auxz00_4966 = 
(int)(BgL_objzd2classzd2numz00_3121); 
BgL_auxz00_4965 = 
(long)(BgL_auxz00_4966); } 
BgL_offsetz00_3126 = 
(BgL_auxz00_4965-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 200 */
long BgL_modz00_3127;
{ /* Callcc/walk.scm 200 */
long BgL_auxz00_4970;
{ /* Callcc/walk.scm 200 */
int BgL_auxz00_4971;
BgL_auxz00_4971 = 
(int)(((long)8)); 
BgL_auxz00_4970 = 
(long)(BgL_auxz00_4971); } 
BgL_modz00_3127 = 
(BgL_offsetz00_3126/BgL_auxz00_4970); } 
{ /* Callcc/walk.scm 200 */
long BgL_restz00_3129;
{ /* Callcc/walk.scm 200 */
long BgL_auxz00_4975;
{ /* Callcc/walk.scm 200 */
int BgL_auxz00_4976;
BgL_auxz00_4976 = 
(int)(((long)8)); 
BgL_auxz00_4975 = 
(long)(BgL_auxz00_4976); } 
BgL_restz00_3129 = 
(BgL_offsetz00_3126%BgL_auxz00_4975); } 
{ /* Callcc/walk.scm 200 */

{ /* Callcc/walk.scm 200 */
obj_t BgL_bucketz00_3131;
{ /* Callcc/walk.scm 200 */
int BgL_kz00_3141;
BgL_kz00_3141 = 
(int)(BgL_modz00_3127); 
BgL_bucketz00_3131 = 
VECTOR_REF(BgL_arg1221z00_3122,BgL_kz00_3141); } 
{ /* Callcc/walk.scm 200 */
int BgL_kz00_3143;
BgL_kz00_3143 = 
(int)(BgL_restz00_3129); 
BgL_method2758z00_3119 = 
VECTOR_REF(BgL_bucketz00_3131,BgL_kz00_3143); } } } } } } } } 
{ /* Callcc/walk.scm 200 */
obj_t BgL_auxz00_4984;
BgL_auxz00_4984 = 
PROCEDURE_ENTRY(BgL_method2758z00_3119)(BgL_method2758z00_3119, 
(obj_t)(BgL_arg2980z00_1896), BEOA); 
BgL_res3119z00_3144 = 
(BgL_nodez00_bglt)(BgL_auxz00_4984); } } 
BgL_arg2979z00_1895 = BgL_res3119z00_3144; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2979z00_1895), BUNSPEC); } 
{ /* Callcc/walk.scm 201 */
BgL_variablez00_bglt BgL_varz00_1897;
{ /* Callcc/walk.scm 201 */
BgL_varz00_bglt BgL_arg3002z00_1924;
BgL_arg3002z00_1924 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_varz00); 
BgL_varz00_1897 = 
(((BgL_varz00_bglt)CREF(BgL_arg3002z00_1924))->BgL_variablez00); } 
{ 
obj_t BgL_varz00_1898;obj_t BgL_alphaz00_1899;
BgL_varz00_1898 = 
(obj_t)(BgL_varz00_1897); 
BgL_alphaz00_1899 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1897))->BgL_fastzd2alphazd2); 
BgL_loopz00_1900:
{ /* Callcc/walk.scm 204 */
bool_t BgL_test2982z00_1902;
BgL_test2982z00_1902 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1899, BGl_localz00zzast_varz00); 
if(BgL_test2982z00_1902)
{ /* Callcc/walk.scm 204 */
{ /* Callcc/walk.scm 206 */
BgL_varz00_bglt BgL_arg2983z00_1903;
BgL_arg2983z00_1903 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_varz00); 
{ /* Callcc/walk.scm 206 */
BgL_variablez00_bglt BgL_val1620z00_3153;
BgL_val1620z00_3153 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1899); 
((((BgL_varz00_bglt)CREF(BgL_arg2983z00_1903))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3153), BUNSPEC); } } 
{ 
obj_t BgL_alphaz00_4998;obj_t BgL_varz00_4997;
BgL_varz00_4997 = BgL_alphaz00_1899; 
{ /* Callcc/walk.scm 207 */
BgL_variablez00_bglt BgL_obj1109z00_3154;
BgL_obj1109z00_3154 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1899); 
BgL_alphaz00_4998 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1109z00_3154))->BgL_fastzd2alphazd2); } 
BgL_alphaz00_1899 = BgL_alphaz00_4998; 
BgL_varz00_1898 = BgL_varz00_4997; 
goto BgL_loopz00_1900;} }  else 
{ /* Callcc/walk.scm 209 */
bool_t BgL_test2985z00_1905;
BgL_test2985z00_1905 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_1898, BGl_globalz00zzast_varz00); 
if(BgL_test2985z00_1905)
{ /* Callcc/walk.scm 209 */
return 
(obj_t)(BgL_nodez00_1892);}  else 
{ /* Callcc/walk.scm 209 */
if(
BGl_celledzf3zf3zzcallcc_walkz00(
(BgL_variablez00_bglt)(BgL_varz00_1898)))
{ /* Callcc/walk.scm 211 */
{ /* Callcc/walk.scm 214 */
BgL_localz00_bglt BgL_azd2varzd2_1907;obj_t BgL_locz00_1908;
BgL_azd2varzd2_1907 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)5)), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Callcc/walk.scm 215 */
BgL_nodez00_bglt BgL_obj1549z00_3156;
BgL_obj1549z00_3156 = 
(BgL_nodez00_bglt)(BgL_nodez00_1892); 
BgL_locz00_1908 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_3156))->BgL_locz00); } 
{ /* Callcc/walk.scm 218 */
obj_t BgL_arg2987z00_1909;obj_t BgL_arg2988z00_1910;obj_t BgL_arg2990z00_1912;BgL_boxzd2setz12zc0_bglt BgL_arg2991z00_1913;
BgL_arg2987z00_1909 = BgL_locz00_1908; 
BgL_arg2988z00_1910 = BGl_za2_za2z00zztype_cachez00; 
{ /* Callcc/walk.scm 219 */
obj_t BgL_arg2992z00_1914;
{ /* Callcc/walk.scm 219 */
obj_t BgL_auxz00_5014;obj_t BgL_auxz00_5012;
{ /* Callcc/walk.scm 219 */
BgL_nodez00_bglt BgL_auxz00_5015;
BgL_auxz00_5015 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_valuez00); 
BgL_auxz00_5014 = 
(obj_t)(BgL_auxz00_5015); } 
BgL_auxz00_5012 = 
(obj_t)(BgL_azd2varzd2_1907); 
BgL_arg2992z00_1914 = 
MAKE_PAIR(BgL_auxz00_5012, BgL_auxz00_5014); } 
{ /* Callcc/walk.scm 219 */
obj_t BgL_list2993z00_1915;
BgL_list2993z00_1915 = 
MAKE_PAIR(BgL_arg2992z00_1914, BNIL); 
BgL_arg2990z00_1912 = BgL_list2993z00_1915; } } 
{ /* Callcc/walk.scm 222 */
obj_t BgL_arg2995z00_1917;obj_t BgL_arg2996z00_1918;BgL_varz00_bglt BgL_arg2997z00_1919;BgL_varz00_bglt BgL_arg2998z00_1920;
BgL_arg2995z00_1917 = BgL_locz00_1908; 
BgL_arg2996z00_1918 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2997z00_1919 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1892))->BgL_varz00); 
{ /* Callcc/walk.scm 226 */
obj_t BgL_arg2999z00_1921;obj_t BgL_arg3000z00_1922;
BgL_arg2999z00_1921 = BgL_locz00_1908; 
BgL_arg3000z00_1922 = BGl_za2_za2z00zztype_cachez00; 
{ /* Callcc/walk.scm 224 */
BgL_varz00_bglt BgL_res3123z00_3179;
{ /* Callcc/walk.scm 224 */
BgL_typez00_bglt BgL_type1631z00_3162;BgL_variablez00_bglt BgL_variable1632z00_3163;
BgL_type1631z00_3162 = 
(BgL_typez00_bglt)(BgL_arg3000z00_1922); 
{ /* Callcc/walk.scm 227 */
BgL_localz00_bglt BgL_auxz00_5022;
BgL_auxz00_5022 = BgL_azd2varzd2_1907; 
BgL_variable1632z00_3163 = 
(BgL_variablez00_bglt)(BgL_auxz00_5022); } 
{ /* Callcc/walk.scm 224 */
BgL_varz00_bglt BgL_new1633z00_3164;
{ /* Callcc/walk.scm 224 */
BgL_varz00_bglt BgL_res3121z00_3170;
{ /* Callcc/walk.scm 224 */
BgL_varz00_bglt BgL_new1635z00_3165;
BgL_new1635z00_3165 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Callcc/walk.scm 224 */
long BgL_arg2933z00_3166;
BgL_arg2933z00_3166 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Callcc/walk.scm 224 */
BgL_objectz00_bglt BgL_auxz00_5026;
BgL_auxz00_5026 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3165); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5026, BgL_arg2933z00_3166); } } 
{ /* Callcc/walk.scm 224 */
BgL_objectz00_bglt BgL_auxz00_5029;
BgL_auxz00_5029 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3165); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5029, BFALSE); } 
{ /* Callcc/walk.scm 224 */
obj_t BgL_auxz00_5032;
BgL_auxz00_5032 = 
(obj_t)(BgL_new1635z00_3165); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5032); } BUNSPEC; 
BgL_res3121z00_3170 = BgL_new1635z00_3165; } 
BgL_new1633z00_3164 = BgL_res3121z00_3170; } 
{ /* Callcc/walk.scm 224 */
BgL_varz00_bglt BgL_res3122z00_3178;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3164))->BgL_locz00) = ((obj_t)BgL_arg2999z00_1921), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3164))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_3162), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3164))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3163), BUNSPEC); 
BgL_res3122z00_3178 = BgL_new1633z00_3164; BgL_res3122z00_3178; } 
BgL_res3123z00_3179 = BgL_new1633z00_3164; } } 
BgL_arg2998z00_1920 = BgL_res3123z00_3179; } } 
{ /* Callcc/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_res3126z00_3201;
{ /* Callcc/walk.scm 220 */
BgL_typez00_bglt BgL_type2647z00_3181;BgL_nodez00_bglt BgL_value2649z00_3183;
BgL_type2647z00_3181 = 
(BgL_typez00_bglt)(BgL_arg2996z00_1918); 
BgL_value2649z00_3183 = 
(BgL_nodez00_bglt)(BgL_arg2998z00_1920); 
{ /* Callcc/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_new2650z00_3184;
{ /* Callcc/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_res3124z00_3190;
{ /* Callcc/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_new2652z00_3185;
BgL_new2652z00_3185 = 
((BgL_boxzd2setz12zc0_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2setz12zc0_bgl) ))); 
{ /* Callcc/walk.scm 220 */
long BgL_arg2905z00_3186;
BgL_arg2905z00_3186 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zc0zzast_nodez00); 
{ /* Callcc/walk.scm 220 */
BgL_objectz00_bglt BgL_auxz00_5042;
BgL_auxz00_5042 = 
(BgL_objectz00_bglt)(BgL_new2652z00_3185); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5042, BgL_arg2905z00_3186); } } 
{ /* Callcc/walk.scm 220 */
BgL_objectz00_bglt BgL_auxz00_5045;
BgL_auxz00_5045 = 
(BgL_objectz00_bglt)(BgL_new2652z00_3185); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5045, BFALSE); } 
{ /* Callcc/walk.scm 220 */
obj_t BgL_auxz00_5048;
BgL_auxz00_5048 = 
(obj_t)(BgL_new2652z00_3185); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5048); } BUNSPEC; 
BgL_res3124z00_3190 = BgL_new2652z00_3185; } 
BgL_new2650z00_3184 = BgL_res3124z00_3190; } 
{ /* Callcc/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_res3125z00_3200;
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3184))->BgL_locz00) = ((obj_t)BgL_arg2995z00_1917), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3184))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2647z00_3181), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3184))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg2997z00_1919), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3184))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value2649z00_3183), BUNSPEC); 
BgL_res3125z00_3200 = BgL_new2650z00_3184; BgL_res3125z00_3200; } 
BgL_res3126z00_3201 = BgL_new2650z00_3184; } } 
BgL_arg2991z00_1913 = BgL_res3126z00_3201; } } 
{ /* Callcc/walk.scm 216 */
BgL_letzd2varzd2_bglt BgL_res3129z00_3232;
{ /* Callcc/walk.scm 216 */
BgL_typez00_bglt BgL_type2492z00_3203;obj_t BgL_key2494z00_3205;BgL_nodez00_bglt BgL_body2496z00_3207;
BgL_type2492z00_3203 = 
(BgL_typez00_bglt)(BgL_arg2988z00_1910); 
BgL_key2494z00_3205 = 
BINT(((long)-1)); 
BgL_body2496z00_3207 = 
(BgL_nodez00_bglt)(BgL_arg2991z00_1913); 
{ /* Callcc/walk.scm 216 */
BgL_letzd2varzd2_bglt BgL_new2498z00_3209;
{ /* Callcc/walk.scm 216 */
BgL_letzd2varzd2_bglt BgL_res3127z00_3215;
{ /* Callcc/walk.scm 216 */
BgL_letzd2varzd2_bglt BgL_new2500z00_3210;
BgL_new2500z00_3210 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Callcc/walk.scm 216 */
long BgL_arg2910z00_3211;
BgL_arg2910z00_3211 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Callcc/walk.scm 216 */
BgL_objectz00_bglt BgL_auxz00_5060;
BgL_auxz00_5060 = 
(BgL_objectz00_bglt)(BgL_new2500z00_3210); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5060, BgL_arg2910z00_3211); } } 
{ /* Callcc/walk.scm 216 */
BgL_objectz00_bglt BgL_auxz00_5063;
BgL_auxz00_5063 = 
(BgL_objectz00_bglt)(BgL_new2500z00_3210); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5063, BFALSE); } 
{ /* Callcc/walk.scm 216 */
obj_t BgL_auxz00_5066;
BgL_auxz00_5066 = 
(obj_t)(BgL_new2500z00_3210); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5066); } BUNSPEC; 
BgL_res3127z00_3215 = BgL_new2500z00_3210; } 
BgL_new2498z00_3209 = BgL_res3127z00_3215; } 
{ /* Callcc/walk.scm 216 */
BgL_letzd2varzd2_bglt BgL_res3128z00_3231;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_locz00) = ((obj_t)BgL_arg2987z00_1909), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_3203), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_keyz00) = ((obj_t)BgL_key2494z00_3205), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_bindingsz00) = ((obj_t)BgL_arg2990z00_1912), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_3207), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3209))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3128z00_3231 = BgL_new2498z00_3209; BgL_res3128z00_3231; } 
BgL_res3129z00_3232 = BgL_new2498z00_3209; } } 
return 
(obj_t)(BgL_res3129z00_3232);} } } }  else 
{ /* Callcc/walk.scm 211 */
return 
(obj_t)(BgL_nodez00_1892);} } } } } } } } 
}



/* callcc!-cast2776 */
obj_t BGl_callccz12zd2cast2776zc0zzcallcc_walkz00(obj_t BgL_envz00_3851, obj_t BgL_nodez00_3852)
{ AN_OBJECT;
{ /* Callcc/walk.scm 192 */
{ 
BgL_castz00_bglt BgL_nodez00_1886;
{ /* Callcc/walk.scm 193 */
BgL_castz00_bglt BgL_auxz00_5081;
BgL_nodez00_1886 = 
(BgL_castz00_bglt)(BgL_nodez00_3852); 
{ /* Callcc/walk.scm 193 */
BgL_nodez00_bglt BgL_arg2977z00_3088;
BgL_arg2977z00_3088 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1886))->BgL_argz00); 
{ /* Callcc/walk.scm 193 */
BgL_nodez00_bglt BgL_res3116z00_3116;
{ /* Callcc/walk.scm 193 */
obj_t BgL_method2758z00_3091;
{ /* Callcc/walk.scm 193 */
long BgL_objzd2classzd2numz00_3093;
{ /* Callcc/walk.scm 193 */
BgL_objectz00_bglt BgL_auxz00_5083;
BgL_auxz00_5083 = 
(BgL_objectz00_bglt)(BgL_arg2977z00_3088); 
BgL_objzd2classzd2numz00_3093 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5083); } 
{ /* Callcc/walk.scm 193 */
obj_t BgL_arg1221z00_3094;
{ /* Callcc/walk.scm 193 */
int BgL_auxz00_5086;
BgL_auxz00_5086 = 
(int)(((long)1)); 
BgL_arg1221z00_3094 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5086); } 
{ /* Callcc/walk.scm 193 */
long BgL_offsetz00_3098;
{ /* Callcc/walk.scm 193 */
long BgL_auxz00_5089;
{ /* Callcc/walk.scm 193 */
int BgL_auxz00_5090;
BgL_auxz00_5090 = 
(int)(BgL_objzd2classzd2numz00_3093); 
BgL_auxz00_5089 = 
(long)(BgL_auxz00_5090); } 
BgL_offsetz00_3098 = 
(BgL_auxz00_5089-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 193 */
long BgL_modz00_3099;
{ /* Callcc/walk.scm 193 */
long BgL_auxz00_5094;
{ /* Callcc/walk.scm 193 */
int BgL_auxz00_5095;
BgL_auxz00_5095 = 
(int)(((long)8)); 
BgL_auxz00_5094 = 
(long)(BgL_auxz00_5095); } 
BgL_modz00_3099 = 
(BgL_offsetz00_3098/BgL_auxz00_5094); } 
{ /* Callcc/walk.scm 193 */
long BgL_restz00_3101;
{ /* Callcc/walk.scm 193 */
long BgL_auxz00_5099;
{ /* Callcc/walk.scm 193 */
int BgL_auxz00_5100;
BgL_auxz00_5100 = 
(int)(((long)8)); 
BgL_auxz00_5099 = 
(long)(BgL_auxz00_5100); } 
BgL_restz00_3101 = 
(BgL_offsetz00_3098%BgL_auxz00_5099); } 
{ /* Callcc/walk.scm 193 */

{ /* Callcc/walk.scm 193 */
obj_t BgL_bucketz00_3103;
{ /* Callcc/walk.scm 193 */
int BgL_kz00_3113;
BgL_kz00_3113 = 
(int)(BgL_modz00_3099); 
BgL_bucketz00_3103 = 
VECTOR_REF(BgL_arg1221z00_3094,BgL_kz00_3113); } 
{ /* Callcc/walk.scm 193 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_restz00_3101); 
BgL_method2758z00_3091 = 
VECTOR_REF(BgL_bucketz00_3103,BgL_kz00_3115); } } } } } } } } 
{ /* Callcc/walk.scm 193 */
obj_t BgL_auxz00_5108;
BgL_auxz00_5108 = 
PROCEDURE_ENTRY(BgL_method2758z00_3091)(BgL_method2758z00_3091, 
(obj_t)(BgL_arg2977z00_3088), BEOA); 
BgL_res3116z00_3116 = 
(BgL_nodez00_bglt)(BgL_auxz00_5108); } } BgL_res3116z00_3116; } } 
BgL_auxz00_5081 = BgL_nodez00_1886; 
return 
(obj_t)(BgL_auxz00_5081);} } } 
}



/* callcc!-extern2774 */
obj_t BGl_callccz12zd2extern2774zc0zzcallcc_walkz00(obj_t BgL_envz00_3853, obj_t BgL_nodez00_3854)
{ AN_OBJECT;
{ /* Callcc/walk.scm 185 */
{ 
BgL_externz00_bglt BgL_nodez00_1880;
{ /* Callcc/walk.scm 186 */
BgL_externz00_bglt BgL_auxz00_5115;
BgL_nodez00_1880 = 
(BgL_externz00_bglt)(BgL_nodez00_3854); 
BGl_callccza2z12zb0zzcallcc_walkz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1880))->BgL_exprza2za2)); 
BgL_auxz00_5115 = BgL_nodez00_1880; 
return 
(obj_t)(BgL_auxz00_5115);} } } 
}



/* callcc!-funcall2772 */
obj_t BGl_callccz12zd2funcall2772zc0zzcallcc_walkz00(obj_t BgL_envz00_3855, obj_t BgL_nodez00_3856)
{ AN_OBJECT;
{ /* Callcc/walk.scm 176 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1871;
{ /* Callcc/walk.scm 177 */
BgL_funcallz00_bglt BgL_auxz00_5120;
BgL_nodez00_1871 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3856); 
{ /* Callcc/walk.scm 178 */
BgL_nodez00_bglt BgL_arg2971z00_1875;
{ /* Callcc/walk.scm 178 */
BgL_nodez00_bglt BgL_arg2972z00_1876;
BgL_arg2972z00_1876 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1871))->BgL_funz00); 
{ /* Callcc/walk.scm 178 */
BgL_nodez00_bglt BgL_res3113z00_3082;
{ /* Callcc/walk.scm 178 */
obj_t BgL_method2758z00_3057;
{ /* Callcc/walk.scm 178 */
long BgL_objzd2classzd2numz00_3059;
{ /* Callcc/walk.scm 178 */
BgL_objectz00_bglt BgL_auxz00_5122;
BgL_auxz00_5122 = 
(BgL_objectz00_bglt)(BgL_arg2972z00_1876); 
BgL_objzd2classzd2numz00_3059 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5122); } 
{ /* Callcc/walk.scm 178 */
obj_t BgL_arg1221z00_3060;
{ /* Callcc/walk.scm 178 */
int BgL_auxz00_5125;
BgL_auxz00_5125 = 
(int)(((long)1)); 
BgL_arg1221z00_3060 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5125); } 
{ /* Callcc/walk.scm 178 */
long BgL_offsetz00_3064;
{ /* Callcc/walk.scm 178 */
long BgL_auxz00_5128;
{ /* Callcc/walk.scm 178 */
int BgL_auxz00_5129;
BgL_auxz00_5129 = 
(int)(BgL_objzd2classzd2numz00_3059); 
BgL_auxz00_5128 = 
(long)(BgL_auxz00_5129); } 
BgL_offsetz00_3064 = 
(BgL_auxz00_5128-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 178 */
long BgL_modz00_3065;
{ /* Callcc/walk.scm 178 */
long BgL_auxz00_5133;
{ /* Callcc/walk.scm 178 */
int BgL_auxz00_5134;
BgL_auxz00_5134 = 
(int)(((long)8)); 
BgL_auxz00_5133 = 
(long)(BgL_auxz00_5134); } 
BgL_modz00_3065 = 
(BgL_offsetz00_3064/BgL_auxz00_5133); } 
{ /* Callcc/walk.scm 178 */
long BgL_restz00_3067;
{ /* Callcc/walk.scm 178 */
long BgL_auxz00_5138;
{ /* Callcc/walk.scm 178 */
int BgL_auxz00_5139;
BgL_auxz00_5139 = 
(int)(((long)8)); 
BgL_auxz00_5138 = 
(long)(BgL_auxz00_5139); } 
BgL_restz00_3067 = 
(BgL_offsetz00_3064%BgL_auxz00_5138); } 
{ /* Callcc/walk.scm 178 */

{ /* Callcc/walk.scm 178 */
obj_t BgL_bucketz00_3069;
{ /* Callcc/walk.scm 178 */
int BgL_kz00_3079;
BgL_kz00_3079 = 
(int)(BgL_modz00_3065); 
BgL_bucketz00_3069 = 
VECTOR_REF(BgL_arg1221z00_3060,BgL_kz00_3079); } 
{ /* Callcc/walk.scm 178 */
int BgL_kz00_3081;
BgL_kz00_3081 = 
(int)(BgL_restz00_3067); 
BgL_method2758z00_3057 = 
VECTOR_REF(BgL_bucketz00_3069,BgL_kz00_3081); } } } } } } } } 
{ /* Callcc/walk.scm 178 */
obj_t BgL_auxz00_5147;
BgL_auxz00_5147 = 
PROCEDURE_ENTRY(BgL_method2758z00_3057)(BgL_method2758z00_3057, 
(obj_t)(BgL_arg2972z00_1876), BEOA); 
BgL_res3113z00_3082 = 
(BgL_nodez00_bglt)(BgL_auxz00_5147); } } 
BgL_arg2971z00_1875 = BgL_res3113z00_3082; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1871))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2971z00_1875), BUNSPEC); } 
BGl_callccza2z12zb0zzcallcc_walkz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1871))->BgL_argsz00)); 
BgL_auxz00_5120 = BgL_nodez00_1871; 
return 
(obj_t)(BgL_auxz00_5120);} } } 
}



/* callcc!-app-ly2770 */
obj_t BGl_callccz12zd2appzd2ly2770z12zzcallcc_walkz00(obj_t BgL_envz00_3857, obj_t BgL_nodez00_3858)
{ AN_OBJECT;
{ /* Callcc/walk.scm 167 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1861;
{ /* Callcc/walk.scm 168 */
BgL_appzd2lyzd2_bglt BgL_auxz00_5157;
BgL_nodez00_1861 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3858); 
{ /* Callcc/walk.scm 169 */
BgL_nodez00_bglt BgL_arg2966z00_1865;
{ /* Callcc/walk.scm 169 */
BgL_nodez00_bglt BgL_arg2967z00_1866;
BgL_arg2967z00_1866 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1861))->BgL_funz00); 
{ /* Callcc/walk.scm 169 */
BgL_nodez00_bglt BgL_res3107z00_3022;
{ /* Callcc/walk.scm 169 */
obj_t BgL_method2758z00_2997;
{ /* Callcc/walk.scm 169 */
long BgL_objzd2classzd2numz00_2999;
{ /* Callcc/walk.scm 169 */
BgL_objectz00_bglt BgL_auxz00_5159;
BgL_auxz00_5159 = 
(BgL_objectz00_bglt)(BgL_arg2967z00_1866); 
BgL_objzd2classzd2numz00_2999 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5159); } 
{ /* Callcc/walk.scm 169 */
obj_t BgL_arg1221z00_3000;
{ /* Callcc/walk.scm 169 */
int BgL_auxz00_5162;
BgL_auxz00_5162 = 
(int)(((long)1)); 
BgL_arg1221z00_3000 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5162); } 
{ /* Callcc/walk.scm 169 */
long BgL_offsetz00_3004;
{ /* Callcc/walk.scm 169 */
long BgL_auxz00_5165;
{ /* Callcc/walk.scm 169 */
int BgL_auxz00_5166;
BgL_auxz00_5166 = 
(int)(BgL_objzd2classzd2numz00_2999); 
BgL_auxz00_5165 = 
(long)(BgL_auxz00_5166); } 
BgL_offsetz00_3004 = 
(BgL_auxz00_5165-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 169 */
long BgL_modz00_3005;
{ /* Callcc/walk.scm 169 */
long BgL_auxz00_5170;
{ /* Callcc/walk.scm 169 */
int BgL_auxz00_5171;
BgL_auxz00_5171 = 
(int)(((long)8)); 
BgL_auxz00_5170 = 
(long)(BgL_auxz00_5171); } 
BgL_modz00_3005 = 
(BgL_offsetz00_3004/BgL_auxz00_5170); } 
{ /* Callcc/walk.scm 169 */
long BgL_restz00_3007;
{ /* Callcc/walk.scm 169 */
long BgL_auxz00_5175;
{ /* Callcc/walk.scm 169 */
int BgL_auxz00_5176;
BgL_auxz00_5176 = 
(int)(((long)8)); 
BgL_auxz00_5175 = 
(long)(BgL_auxz00_5176); } 
BgL_restz00_3007 = 
(BgL_offsetz00_3004%BgL_auxz00_5175); } 
{ /* Callcc/walk.scm 169 */

{ /* Callcc/walk.scm 169 */
obj_t BgL_bucketz00_3009;
{ /* Callcc/walk.scm 169 */
int BgL_kz00_3019;
BgL_kz00_3019 = 
(int)(BgL_modz00_3005); 
BgL_bucketz00_3009 = 
VECTOR_REF(BgL_arg1221z00_3000,BgL_kz00_3019); } 
{ /* Callcc/walk.scm 169 */
int BgL_kz00_3021;
BgL_kz00_3021 = 
(int)(BgL_restz00_3007); 
BgL_method2758z00_2997 = 
VECTOR_REF(BgL_bucketz00_3009,BgL_kz00_3021); } } } } } } } } 
{ /* Callcc/walk.scm 169 */
obj_t BgL_auxz00_5184;
BgL_auxz00_5184 = 
PROCEDURE_ENTRY(BgL_method2758z00_2997)(BgL_method2758z00_2997, 
(obj_t)(BgL_arg2967z00_1866), BEOA); 
BgL_res3107z00_3022 = 
(BgL_nodez00_bglt)(BgL_auxz00_5184); } } 
BgL_arg2966z00_1865 = BgL_res3107z00_3022; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1861))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2966z00_1865), BUNSPEC); } 
{ /* Callcc/walk.scm 170 */
BgL_nodez00_bglt BgL_arg2968z00_1867;
{ /* Callcc/walk.scm 170 */
BgL_nodez00_bglt BgL_arg2969z00_1868;
BgL_arg2969z00_1868 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1861))->BgL_argz00); 
{ /* Callcc/walk.scm 170 */
BgL_nodez00_bglt BgL_res3110z00_3052;
{ /* Callcc/walk.scm 170 */
obj_t BgL_method2758z00_3027;
{ /* Callcc/walk.scm 170 */
long BgL_objzd2classzd2numz00_3029;
{ /* Callcc/walk.scm 170 */
BgL_objectz00_bglt BgL_auxz00_5191;
BgL_auxz00_5191 = 
(BgL_objectz00_bglt)(BgL_arg2969z00_1868); 
BgL_objzd2classzd2numz00_3029 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5191); } 
{ /* Callcc/walk.scm 170 */
obj_t BgL_arg1221z00_3030;
{ /* Callcc/walk.scm 170 */
int BgL_auxz00_5194;
BgL_auxz00_5194 = 
(int)(((long)1)); 
BgL_arg1221z00_3030 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5194); } 
{ /* Callcc/walk.scm 170 */
long BgL_offsetz00_3034;
{ /* Callcc/walk.scm 170 */
long BgL_auxz00_5197;
{ /* Callcc/walk.scm 170 */
int BgL_auxz00_5198;
BgL_auxz00_5198 = 
(int)(BgL_objzd2classzd2numz00_3029); 
BgL_auxz00_5197 = 
(long)(BgL_auxz00_5198); } 
BgL_offsetz00_3034 = 
(BgL_auxz00_5197-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 170 */
long BgL_modz00_3035;
{ /* Callcc/walk.scm 170 */
long BgL_auxz00_5202;
{ /* Callcc/walk.scm 170 */
int BgL_auxz00_5203;
BgL_auxz00_5203 = 
(int)(((long)8)); 
BgL_auxz00_5202 = 
(long)(BgL_auxz00_5203); } 
BgL_modz00_3035 = 
(BgL_offsetz00_3034/BgL_auxz00_5202); } 
{ /* Callcc/walk.scm 170 */
long BgL_restz00_3037;
{ /* Callcc/walk.scm 170 */
long BgL_auxz00_5207;
{ /* Callcc/walk.scm 170 */
int BgL_auxz00_5208;
BgL_auxz00_5208 = 
(int)(((long)8)); 
BgL_auxz00_5207 = 
(long)(BgL_auxz00_5208); } 
BgL_restz00_3037 = 
(BgL_offsetz00_3034%BgL_auxz00_5207); } 
{ /* Callcc/walk.scm 170 */

{ /* Callcc/walk.scm 170 */
obj_t BgL_bucketz00_3039;
{ /* Callcc/walk.scm 170 */
int BgL_kz00_3049;
BgL_kz00_3049 = 
(int)(BgL_modz00_3035); 
BgL_bucketz00_3039 = 
VECTOR_REF(BgL_arg1221z00_3030,BgL_kz00_3049); } 
{ /* Callcc/walk.scm 170 */
int BgL_kz00_3051;
BgL_kz00_3051 = 
(int)(BgL_restz00_3037); 
BgL_method2758z00_3027 = 
VECTOR_REF(BgL_bucketz00_3039,BgL_kz00_3051); } } } } } } } } 
{ /* Callcc/walk.scm 170 */
obj_t BgL_auxz00_5216;
BgL_auxz00_5216 = 
PROCEDURE_ENTRY(BgL_method2758z00_3027)(BgL_method2758z00_3027, 
(obj_t)(BgL_arg2969z00_1868), BEOA); 
BgL_res3110z00_3052 = 
(BgL_nodez00_bglt)(BgL_auxz00_5216); } } 
BgL_arg2968z00_1867 = BgL_res3110z00_3052; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1861))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2968z00_1867), BUNSPEC); } 
BgL_auxz00_5157 = BgL_nodez00_1861; 
return 
(obj_t)(BgL_auxz00_5157);} } } 
}



/* callcc!-app2768 */
obj_t BGl_callccz12zd2app2768zc0zzcallcc_walkz00(obj_t BgL_envz00_3859, obj_t BgL_nodez00_3860)
{ AN_OBJECT;
{ /* Callcc/walk.scm 159 */
{ 
BgL_appz00_bglt BgL_nodez00_1854;
{ /* Callcc/walk.scm 160 */
BgL_appz00_bglt BgL_auxz00_5224;
BgL_nodez00_1854 = 
(BgL_appz00_bglt)(BgL_nodez00_3860); 
BGl_callccza2z12zb0zzcallcc_walkz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1854))->BgL_argsz00)); 
BgL_auxz00_5224 = BgL_nodez00_1854; 
return 
(obj_t)(BgL_auxz00_5224);} } } 
}



/* callcc!-sequence2766 */
obj_t BGl_callccz12zd2sequence2766zc0zzcallcc_walkz00(obj_t BgL_envz00_3861, obj_t BgL_nodez00_3862)
{ AN_OBJECT;
{ /* Callcc/walk.scm 152 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1848;
{ /* Callcc/walk.scm 153 */
BgL_sequencez00_bglt BgL_auxz00_5229;
BgL_nodez00_1848 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3862); 
BGl_callccza2z12zb0zzcallcc_walkz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1848))->BgL_nodesz00)); 
BgL_auxz00_5229 = BgL_nodez00_1848; 
return 
(obj_t)(BgL_auxz00_5229);} } } 
}



/* callcc!-var2764 */
obj_t BGl_callccz12zd2var2764zc0zzcallcc_walkz00(obj_t BgL_envz00_3863, obj_t BgL_nodez00_3864)
{ AN_OBJECT;
{ /* Callcc/walk.scm 127 */
{ 
BgL_varz00_bglt BgL_nodez00_1829;
BgL_nodez00_1829 = 
(BgL_varz00_bglt)(BgL_nodez00_3864); 
{ /* Callcc/walk.scm 128 */
BgL_variablez00_bglt BgL_varz00_1832;
BgL_varz00_1832 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1829))->BgL_variablez00); 
{ 
obj_t BgL_varz00_1833;obj_t BgL_alphaz00_1834;
BgL_varz00_1833 = 
(obj_t)(BgL_varz00_1832); 
BgL_alphaz00_1834 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1832))->BgL_fastzd2alphazd2); 
BgL_loopz00_1835:
{ /* Callcc/walk.scm 131 */
bool_t BgL_test2952z00_1837;
BgL_test2952z00_1837 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1834, BGl_localz00zzast_varz00); 
if(BgL_test2952z00_1837)
{ /* Callcc/walk.scm 131 */
{ /* Callcc/walk.scm 133 */
BgL_variablez00_bglt BgL_val1620z00_2931;
BgL_val1620z00_2931 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1834); 
((((BgL_varz00_bglt)CREF(BgL_nodez00_1829))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_2931), BUNSPEC); } 
{ 
obj_t BgL_alphaz00_5240;obj_t BgL_varz00_5239;
BgL_varz00_5239 = BgL_alphaz00_1834; 
{ /* Callcc/walk.scm 134 */
BgL_variablez00_bglt BgL_obj1109z00_2932;
BgL_obj1109z00_2932 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1834); 
BgL_alphaz00_5240 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1109z00_2932))->BgL_fastzd2alphazd2); } 
BgL_alphaz00_1834 = BgL_alphaz00_5240; 
BgL_varz00_1833 = BgL_varz00_5239; 
goto BgL_loopz00_1835;} }  else 
{ /* Callcc/walk.scm 136 */
bool_t BgL_test2954z00_1839;
BgL_test2954z00_1839 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1834, BGl_localz00zzast_varz00); 
if(BgL_test2954z00_1839)
{ /* Callcc/walk.scm 136 */
{ /* Callcc/walk.scm 137 */
BgL_variablez00_bglt BgL_val1620z00_2935;
BgL_val1620z00_2935 = 
(BgL_variablez00_bglt)(BgL_alphaz00_1834); 
((((BgL_varz00_bglt)CREF(BgL_nodez00_1829))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_2935), BUNSPEC); } 
{ /* Callcc/walk.scm 138 */
BgL_nodez00_bglt BgL_res3101z00_2962;
{ /* Callcc/walk.scm 138 */
BgL_nodez00_bglt BgL_nodez00_2936;
BgL_nodez00_2936 = 
(BgL_nodez00_bglt)(BgL_nodez00_1829); 
{ /* Callcc/walk.scm 138 */
obj_t BgL_method2758z00_2937;
{ /* Callcc/walk.scm 138 */
long BgL_objzd2classzd2numz00_2939;
{ /* Callcc/walk.scm 138 */
BgL_objectz00_bglt BgL_auxz00_5248;
BgL_auxz00_5248 = 
(BgL_objectz00_bglt)(BgL_nodez00_2936); 
BgL_objzd2classzd2numz00_2939 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5248); } 
{ /* Callcc/walk.scm 138 */
obj_t BgL_arg1221z00_2940;
{ /* Callcc/walk.scm 138 */
int BgL_auxz00_5251;
BgL_auxz00_5251 = 
(int)(((long)1)); 
BgL_arg1221z00_2940 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5251); } 
{ /* Callcc/walk.scm 138 */
long BgL_offsetz00_2944;
{ /* Callcc/walk.scm 138 */
long BgL_auxz00_5254;
{ /* Callcc/walk.scm 138 */
int BgL_auxz00_5255;
BgL_auxz00_5255 = 
(int)(BgL_objzd2classzd2numz00_2939); 
BgL_auxz00_5254 = 
(long)(BgL_auxz00_5255); } 
BgL_offsetz00_2944 = 
(BgL_auxz00_5254-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 138 */
long BgL_modz00_2945;
{ /* Callcc/walk.scm 138 */
long BgL_auxz00_5259;
{ /* Callcc/walk.scm 138 */
int BgL_auxz00_5260;
BgL_auxz00_5260 = 
(int)(((long)8)); 
BgL_auxz00_5259 = 
(long)(BgL_auxz00_5260); } 
BgL_modz00_2945 = 
(BgL_offsetz00_2944/BgL_auxz00_5259); } 
{ /* Callcc/walk.scm 138 */
long BgL_restz00_2947;
{ /* Callcc/walk.scm 138 */
long BgL_auxz00_5264;
{ /* Callcc/walk.scm 138 */
int BgL_auxz00_5265;
BgL_auxz00_5265 = 
(int)(((long)8)); 
BgL_auxz00_5264 = 
(long)(BgL_auxz00_5265); } 
BgL_restz00_2947 = 
(BgL_offsetz00_2944%BgL_auxz00_5264); } 
{ /* Callcc/walk.scm 138 */

{ /* Callcc/walk.scm 138 */
obj_t BgL_bucketz00_2949;
{ /* Callcc/walk.scm 138 */
int BgL_kz00_2959;
BgL_kz00_2959 = 
(int)(BgL_modz00_2945); 
BgL_bucketz00_2949 = 
VECTOR_REF(BgL_arg1221z00_2940,BgL_kz00_2959); } 
{ /* Callcc/walk.scm 138 */
int BgL_kz00_2961;
BgL_kz00_2961 = 
(int)(BgL_restz00_2947); 
BgL_method2758z00_2937 = 
VECTOR_REF(BgL_bucketz00_2949,BgL_kz00_2961); } } } } } } } } 
{ /* Callcc/walk.scm 138 */
obj_t BgL_auxz00_5273;
BgL_auxz00_5273 = 
PROCEDURE_ENTRY(BgL_method2758z00_2937)(BgL_method2758z00_2937, 
(obj_t)(BgL_nodez00_2936), BEOA); 
BgL_res3101z00_2962 = 
(BgL_nodez00_bglt)(BgL_auxz00_5273); } } } 
return 
(obj_t)(BgL_res3101z00_2962);} }  else 
{ /* Callcc/walk.scm 139 */
bool_t BgL_test2955z00_1840;
BgL_test2955z00_1840 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_1833, BGl_globalz00zzast_varz00); 
if(BgL_test2955z00_1840)
{ /* Callcc/walk.scm 139 */
return 
(obj_t)(BgL_nodez00_1829);}  else 
{ /* Callcc/walk.scm 139 */
if(
BGl_celledzf3zf3zzcallcc_walkz00(
(BgL_variablez00_bglt)(BgL_varz00_1833)))
{ /* Callcc/walk.scm 141 */
{ /* Callcc/walk.scm 146 */
obj_t BgL_arg2957z00_1842;obj_t BgL_arg2958z00_1843;BgL_varz00_bglt BgL_arg2960z00_1845;
{ /* Callcc/walk.scm 146 */
BgL_nodez00_bglt BgL_obj1549z00_2964;
BgL_obj1549z00_2964 = 
(BgL_nodez00_bglt)(BgL_nodez00_1829); 
BgL_arg2957z00_1842 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2964))->BgL_locz00); } 
BgL_arg2958z00_1843 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg2960z00_1845 = BgL_nodez00_1829; 
{ /* Callcc/walk.scm 144 */
BgL_boxzd2refzd2_bglt BgL_res3104z00_2989;
{ /* Callcc/walk.scm 144 */
BgL_typez00_bglt BgL_type2618z00_2966;obj_t BgL_key2620z00_2968;
BgL_type2618z00_2966 = 
(BgL_typez00_bglt)(BgL_arg2958z00_1843); 
BgL_key2620z00_2968 = 
BINT(((long)-1)); 
{ /* Callcc/walk.scm 144 */
BgL_boxzd2refzd2_bglt BgL_new2622z00_2970;
{ /* Callcc/walk.scm 144 */
BgL_boxzd2refzd2_bglt BgL_res3102z00_2976;
{ /* Callcc/walk.scm 144 */
BgL_boxzd2refzd2_bglt BgL_new2624z00_2971;
BgL_new2624z00_2971 = 
((BgL_boxzd2refzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2refzd2_bgl) ))); 
{ /* Callcc/walk.scm 144 */
long BgL_arg2906z00_2972;
BgL_arg2906z00_2972 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzd2zzast_nodez00); 
{ /* Callcc/walk.scm 144 */
BgL_objectz00_bglt BgL_auxz00_5291;
BgL_auxz00_5291 = 
(BgL_objectz00_bglt)(BgL_new2624z00_2971); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5291, BgL_arg2906z00_2972); } } 
{ /* Callcc/walk.scm 144 */
BgL_objectz00_bglt BgL_auxz00_5294;
BgL_auxz00_5294 = 
(BgL_objectz00_bglt)(BgL_new2624z00_2971); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5294, BFALSE); } 
{ /* Callcc/walk.scm 144 */
obj_t BgL_auxz00_5297;
BgL_auxz00_5297 = 
(obj_t)(BgL_new2624z00_2971); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5297); } BUNSPEC; 
BgL_res3102z00_2976 = BgL_new2624z00_2971; } 
BgL_new2622z00_2970 = BgL_res3102z00_2976; } 
{ /* Callcc/walk.scm 144 */
BgL_boxzd2refzd2_bglt BgL_res3103z00_2988;
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_2970))->BgL_locz00) = ((obj_t)BgL_arg2957z00_1842), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_2970))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2618z00_2966), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_2970))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_2970))->BgL_keyz00) = ((obj_t)BgL_key2620z00_2968), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_2970))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg2960z00_1845), BUNSPEC); 
BgL_res3103z00_2988 = BgL_new2622z00_2970; BgL_res3103z00_2988; } 
BgL_res3104z00_2989 = BgL_new2622z00_2970; } } 
return 
(obj_t)(BgL_res3104z00_2989);} } }  else 
{ /* Callcc/walk.scm 141 */
return 
(obj_t)(BgL_nodez00_1829);} } } } } } } } } 
}



/* callcc!-kwote2762 */
obj_t BGl_callccz12zd2kwote2762zc0zzcallcc_walkz00(obj_t BgL_envz00_3865, obj_t BgL_nodez00_3866)
{ AN_OBJECT;
{ /* Callcc/walk.scm 121 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1824;
{ /* Callcc/walk.scm 121 */
BgL_kwotez00_bglt BgL_auxz00_5310;
BgL_nodez00_1824 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3866); 
BgL_auxz00_5310 = BgL_nodez00_1824; 
return 
(obj_t)(BgL_auxz00_5310);} } } 
}



/* callcc!-atom2760 */
obj_t BGl_callccz12zd2atom2760zc0zzcallcc_walkz00(obj_t BgL_envz00_3867, obj_t BgL_nodez00_3868)
{ AN_OBJECT;
{ /* Callcc/walk.scm 115 */
{ 
BgL_atomz00_bglt BgL_nodez00_1819;
{ /* Callcc/walk.scm 115 */
BgL_atomz00_bglt BgL_auxz00_5313;
BgL_nodez00_1819 = 
(BgL_atomz00_bglt)(BgL_nodez00_3868); 
BgL_auxz00_5313 = BgL_nodez00_1819; 
return 
(obj_t)(BgL_auxz00_5313);} } } 
}



/* callcc! */
BgL_nodez00_bglt BGl_callccz12z12zzcallcc_walkz00(BgL_nodez00_bglt BgL_nodez00_9)
{ AN_OBJECT;
{ /* Callcc/walk.scm 110 */
{ /* Callcc/walk.scm 110 */
obj_t BgL_method2758z00_3753;
{ /* Callcc/walk.scm 110 */
long BgL_objzd2classzd2numz00_3755;
{ /* Callcc/walk.scm 110 */
BgL_objectz00_bglt BgL_auxz00_5316;
BgL_auxz00_5316 = 
(BgL_objectz00_bglt)(BgL_nodez00_9); 
BgL_objzd2classzd2numz00_3755 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5316); } 
{ /* Callcc/walk.scm 110 */
obj_t BgL_arg1221z00_3756;
{ /* Callcc/walk.scm 110 */
int BgL_auxz00_5319;
BgL_auxz00_5319 = 
(int)(((long)1)); 
BgL_arg1221z00_3756 = 
PROCEDURE_REF(BGl_callccz12zd2envzc0zzcallcc_walkz00, BgL_auxz00_5319); } 
{ /* Callcc/walk.scm 110 */
long BgL_offsetz00_3760;
{ /* Callcc/walk.scm 110 */
long BgL_auxz00_5322;
{ /* Callcc/walk.scm 110 */
int BgL_auxz00_5323;
BgL_auxz00_5323 = 
(int)(BgL_objzd2classzd2numz00_3755); 
BgL_auxz00_5322 = 
(long)(BgL_auxz00_5323); } 
BgL_offsetz00_3760 = 
(BgL_auxz00_5322-OBJECT_TYPE); } 
{ /* Callcc/walk.scm 110 */
long BgL_modz00_3761;
{ /* Callcc/walk.scm 110 */
long BgL_auxz00_5327;
{ /* Callcc/walk.scm 110 */
int BgL_auxz00_5328;
BgL_auxz00_5328 = 
(int)(((long)8)); 
BgL_auxz00_5327 = 
(long)(BgL_auxz00_5328); } 
BgL_modz00_3761 = 
(BgL_offsetz00_3760/BgL_auxz00_5327); } 
{ /* Callcc/walk.scm 110 */
long BgL_restz00_3763;
{ /* Callcc/walk.scm 110 */
long BgL_auxz00_5332;
{ /* Callcc/walk.scm 110 */
int BgL_auxz00_5333;
BgL_auxz00_5333 = 
(int)(((long)8)); 
BgL_auxz00_5332 = 
(long)(BgL_auxz00_5333); } 
BgL_restz00_3763 = 
(BgL_offsetz00_3760%BgL_auxz00_5332); } 
{ /* Callcc/walk.scm 110 */

{ /* Callcc/walk.scm 110 */
obj_t BgL_bucketz00_3765;
{ /* Callcc/walk.scm 110 */
int BgL_kz00_3775;
BgL_kz00_3775 = 
(int)(BgL_modz00_3761); 
BgL_bucketz00_3765 = 
VECTOR_REF(BgL_arg1221z00_3756,BgL_kz00_3775); } 
{ /* Callcc/walk.scm 110 */
int BgL_kz00_3777;
BgL_kz00_3777 = 
(int)(BgL_restz00_3763); 
BgL_method2758z00_3753 = 
VECTOR_REF(BgL_bucketz00_3765,BgL_kz00_3777); } } } } } } } } 
{ /* Callcc/walk.scm 110 */
obj_t BgL_auxz00_5341;
BgL_auxz00_5341 = 
PROCEDURE_ENTRY(BgL_method2758z00_3753)(BgL_method2758z00_3753, 
(obj_t)(BgL_nodez00_9), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5341);} } } 
}



/* _callcc! */
obj_t BGl__callccz12z12zzcallcc_walkz00(obj_t BgL_envz00_3783, obj_t BgL_nodez00_3784)
{ AN_OBJECT;
{ /* Callcc/walk.scm 110 */
{ /* Callcc/walk.scm 110 */
BgL_nodez00_bglt BgL_auxz00_5346;
BgL_auxz00_5346 = 
BGl_callccz12z12zzcallcc_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3784)); 
return 
(obj_t)(BgL_auxz00_5346);} } 
}



/* callcc!-default2757 */
BgL_nodez00_bglt BGl_callccz12zd2default2757zc0zzcallcc_walkz00(BgL_nodez00_bglt BgL_nodez00_10)
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
{ 
obj_t BgL_auxz00_5352;obj_t BgL_auxz00_5350;
BgL_auxz00_5352 = 
(obj_t)(BgL_nodez00_10); 
BgL_auxz00_5350 = 
CNST_TABLE_REF(((long)6)); 
FAILURE(BgL_auxz00_5350,BGl_string3213z00zzcallcc_walkz00,BgL_auxz00_5352);} } 
}



/* _callcc!-default2757 */
obj_t BGl__callccz12zd2default2757zc0zzcallcc_walkz00(obj_t BgL_envz00_3869, obj_t BgL_nodez00_3870)
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
{ /* Callcc/walk.scm 16 */
BgL_nodez00_bglt BgL_auxz00_5355;
BgL_auxz00_5355 = 
BGl_callccz12zd2default2757zc0zzcallcc_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3870)); 
return 
(obj_t)(BgL_auxz00_5355);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcallcc_walkz00()
{ AN_OBJECT;
{ /* Callcc/walk.scm 16 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "callcc_walk"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "callcc_walk"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "callcc_walk");} 
}

