/*===========================================================================*/
/*   (Cfa/cfa.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl__cfaz12zd2default4816zc0zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_cfaz00();
extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
extern obj_t open_input_string(obj_t);
static obj_t BGl_cfaz12zd2isazf2Cinfo4853z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2kwotezf2node4823z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
static obj_t BGl_cfaz12zd2setzd2exzd2itzf2Cinfo4869z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2pragmazf2Cinfo4845z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2boxzd2setz12zf2Cinfo4875zf2zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_cfaz12zd2conditionalzf2Cinfo4859z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2boxzd2refzf2Cinfo4877ze0zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_cfaz12zd2atomzf2Cinfo4819z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2sequence4841zc0zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_cfaz12zd2setqzf2Cinfo4857z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2closure4827zc0zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00(BgL_valuez00_bglt);
extern obj_t BGl_atomzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_cfaz00();
extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
static obj_t BGl_cfaz12zd2newzf2Cinfo4851z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2scnstzf2Cinfo4833zf2zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl__cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00();
extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2sexitzf2Cinfo4837zf2zzcfa_cfaz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_cfaz12zd2getfieldzf2Cinfo4847z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_cfaz12zd2kwotezf2Cinfo4821z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00();
static BgL_approxz00_bglt BGl_cfaz12zd2default4816zc0zzcfa_cfaz00(BgL_nodez00_bglt);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2svarzf2Cinfo4831zf2zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_cfaz12zd2var4825zc0zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2internzd2sfunzf2Cinfo4839z20zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2letzd2fun4865z12zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
static obj_t BGl_cfaz12zd2jumpzd2exzd2itzf2Cinfo4871z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
static obj_t BGl_cfaz12zd2letzd2var4867z12zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl__cfazd2variablezd2valuezd2approx5404zd2zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt, BgL_approxz00_bglt);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
extern obj_t BGl_isazf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_cfaz12zd2setfieldzf2Cinfo4849z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_cfaz12zd2cast4855zc0zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_cfaz12zd2appzd2lyzf2Cinfo4843ze0zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BUNSPEC;
static obj_t BGl_cfazd2variablezd2valuezd2approxzd2cvarzf2Cinfo4835zf2zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2selectzf2Cinfo4863z32zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00();
static obj_t BGl_cfaz12zd2makezd2boxzf2Cinfo4873ze0zzcfa_cfaz00(obj_t, obj_t);
extern obj_t BGl_selectzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_cfaz12zd2failzf2Cinfo4861z32zzcfa_cfaz00(obj_t, obj_t);
static obj_t BGl__cfaz125403z12zzcfa_cfaz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc5405z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2atomza7f2cinfo4819za732za7za7cfa_cfaza7005443za7, BGl_cfaz12zd2atomzf2Cinfo4819z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5406z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2kwoteza7f2cinfo4821za732za7za7cfa_cfaza7005444za7, BGl_cfaz12zd2kwotezf2Cinfo4821z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5407z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2kwoteza7f2node4823za732za7za7cfa_cfaza7005445za7, BGl_cfaz12zd2kwotezf2node4823z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5408z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2var4825za7c0za7za7cfa_cfaza7005446z00, BGl_cfaz12zd2var4825zc0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5410z00zzcfa_cfaz00, BgL_bgl_cfaza7d2variableza7d2valueza7d2approxza7d2svarza7f2cinfo4831za7f2za7za7cfa_cfaza7005447za7, BGl_cfazd2variablezd2valuezd2approxzd2svarzf2Cinfo4831zf2zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5409z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2closure4827za7c0za7za7cfa_cfaza7005448z00, BGl_cfaz12zd2closure4827zc0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5411z00zzcfa_cfaz00, BgL_bgl_cfaza7d2variableza7d2valueza7d2approxza7d2scnstza7f2cinfo4833za7f2za7za7cfa_cfaza7005449za7, BGl_cfazd2variablezd2valuezd2approxzd2scnstzf2Cinfo4833zf2zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5412z00zzcfa_cfaz00, BgL_bgl_cfaza7d2variableza7d2valueza7d2approxza7d2cvarza7f2cinfo4835za7f2za7za7cfa_cfaza7005450za7, BGl_cfazd2variablezd2valuezd2approxzd2cvarzf2Cinfo4835zf2zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5413z00zzcfa_cfaz00, BgL_bgl_cfaza7d2variableza7d2valueza7d2approxza7d2sexitza7f2cinfo4837za7f2za7za7cfa_cfaza7005451za7, BGl_cfazd2variablezd2valuezd2approxzd2sexitzf2Cinfo4837zf2zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5414z00zzcfa_cfaz00, BgL_bgl_cfaza7d2variableza7d2valueza7d2approxza7d2internza7d2sfunza7f2cinfo4839za720za7za7cfa_cfaza7005452z00, BGl_cfazd2variablezd2valuezd2approxzd2internzd2sfunzf2Cinfo4839z20zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5415z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2sequence4841za7c0za7za7cfa_cfaza7005453z00, BGl_cfaz12zd2sequence4841zc0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5416z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2appza7d2lyza7f2cinfo4843za7e0za7za7cfa_cfaza7005454z00, BGl_cfaz12zd2appzd2lyzf2Cinfo4843ze0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5417z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2pragmaza7f2cinfo4845za732za7za7cfa_cfaza7005455za7, BGl_cfaz12zd2pragmazf2Cinfo4845z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5418z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2getfieldza7f2cinfo4847za732za7za7cfa_cfaza7005456za7, BGl_cfaz12zd2getfieldzf2Cinfo4847z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5420z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2newza7f2cinfo4851za732za7za7cfa_cfaza7005457za7, BGl_cfaz12zd2newzf2Cinfo4851z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5419z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2setfieldza7f2cinfo4849za732za7za7cfa_cfaza7005458za7, BGl_cfaz12zd2setfieldzf2Cinfo4849z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5421z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2isaza7f2cinfo4853za732za7za7cfa_cfaza7005459za7, BGl_cfaz12zd2isazf2Cinfo4853z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5422z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2cast4855za7c0za7za7cfa_cfaza7005460z00, BGl_cfaz12zd2cast4855zc0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5423z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2setqza7f2cinfo4857za732za7za7cfa_cfaza7005461za7, BGl_cfaz12zd2setqzf2Cinfo4857z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5424z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2conditionalza7f2cinfo4859za732za7za7cfa_cfaza7005462za7, BGl_cfaz12zd2conditionalzf2Cinfo4859z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5425z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2failza7f2cinfo4861za732za7za7cfa_cfaza7005463za7, BGl_cfaz12zd2failzf2Cinfo4861z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5426z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2selectza7f2cinfo4863za732za7za7cfa_cfaza7005464za7, BGl_cfaz12zd2selectzf2Cinfo4863z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5427z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2letza7d2fun4865za712za7za7cfa_cfaza7005465za7, BGl_cfaz12zd2letzd2fun4865z12zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5428z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2letza7d2var4867za712za7za7cfa_cfaza7005466za7, BGl_cfaz12zd2letzd2var4867z12zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5430z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2jumpza7d2exza7d2itza7f2cinfo4871za732za7za7cfa_cfaza7005467za7, BGl_cfaz12zd2jumpzd2exzd2itzf2Cinfo4871z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5429z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2setza7d2exza7d2itza7f2cinfo4869za732za7za7cfa_cfaza7005468za7, BGl_cfaz12zd2setzd2exzd2itzf2Cinfo4869z32zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5431z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2makeza7d2boxza7f2cinfo4873za7e0za7za7cfa_cfaza7005469z00, BGl_cfaz12zd2makezd2boxzf2Cinfo4873ze0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5432z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2boxza7d2setza712za7f2cinfo4875za7f2za7za7cfa_cfaza7005470za7, BGl_cfaz12zd2boxzd2setz12zf2Cinfo4875zf2zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5433z00zzcfa_cfaz00, BgL_bgl_cfaza712za7d2boxza7d2refza7f2cinfo4877za7e0za7za7cfa_cfaza7005471z00, BGl_cfaz12zd2boxzd2refzf2Cinfo4877ze0zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfaz12zd2default4816zd2envz12zzcfa_cfaz00, BgL_bgl__cfaza712za7d2default4816za7c0za7za7cfa_cfaza7005472z00, BGl__cfaz12zd2default4816zc0zzcfa_cfaz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_bgl__cfaza7125403za712za7za7cfa_cfaza7005473za7, BGl__cfaz125403z12zzcfa_cfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_cfazd2variablezd2valuezd2approxzd2default4828zd2envzd2zzcfa_cfaz00, BgL_bgl__cfaza7d2variableza7d2valueza7d2approxza7d2default4828za700za7za7cfa_cfaza7005474z00, BGl__cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BgL_bgl__cfaza7d2variableza7d2valueza7d2approx5404za7d2za7za7cfa_cfaza7005475za7, BGl__cfazd2variablezd2valuezd2approx5404zd2zzcfa_cfaz00, 0L, 1 );
DEFINE_STRING( BGl_string5438z00zzcfa_cfaz00, BgL_bgl_string5438za700za7za7cfa_cfaza7005476z00, "cfa-variable-value-approx-default4828 all ", 42 );
DEFINE_STRING( BGl_string5437z00zzcfa_cfaz00, BgL_bgl_string5437za700za7za7cfa_cfaza7005477z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string5436z00zzcfa_cfaz00, BgL_bgl_string5436za700za7za7cfa_cfaza7005478z00, "cfa!:no method for this ast", 27 );
DEFINE_STRING( BGl_string5435z00zzcfa_cfaz00, BgL_bgl_string5435za700za7za7cfa_cfaza7005479z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string5434z00zzcfa_cfaz00, BgL_bgl_string5434za700za7za7cfa_cfaza7005480z00, "cfa!", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long BgL_checksumz00_6629, char * BgL_fromz00_6630)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_cfaz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00(); 
BGl_cnstzd2initzd2zzcfa_cfaz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_cfaz00(); 
BGl_methodzd2initzd2zzcfa_cfaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00()
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_cfa"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_cfaz00()
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
{ /* Cfa/cfa.scm 15 */
obj_t BgL_cportz00_6622;
BgL_cportz00_6622 = 
open_input_string(BGl_string5438z00zzcfa_cfaz00); 
{ 
long BgL_iz00_6623;
BgL_iz00_6623 = ((long)1); 
BgL_loopz00_6624:
if(
(BgL_iz00_6623==((long)-1)))
{ /* Cfa/cfa.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/cfa.scm 15 */
{ /* Cfa/cfa.scm 15 */
obj_t BgL_arg5440z00_6626;
{ /* Cfa/cfa.scm 15 */
obj_t BgL_list5441z00_6627;
BgL_list5441z00_6627 = 
MAKE_PAIR(BgL_cportz00_6622, BNIL); 
BgL_arg5440z00_6626 = 
BGl_readz00zz__readerz00(BgL_list5441z00_6627); } 
{ /* Cfa/cfa.scm 15 */
int BgL_auxz00_6645;
BgL_auxz00_6645 = 
(int)(BgL_iz00_6623); 
CNST_TABLE_SET(BgL_auxz00_6645, BgL_arg5440z00_6626); } } 
{ 
long BgL_iz00_6648;
{ /* Cfa/cfa.scm 15 */
int BgL_auxz00_6649;
{ /* Cfa/cfa.scm 15 */
long BgL_auxz00_6650;
BgL_auxz00_6650 = 
(BgL_iz00_6623-((long)1)); 
BgL_auxz00_6649 = 
(int)(BgL_auxz00_6650); } 
BgL_iz00_6648 = 
(long)(BgL_auxz00_6649); } 
BgL_iz00_6623 = BgL_iz00_6648; 
goto BgL_loopz00_6624;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00()
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_cfaz00()
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_cfaz12zd2default4816zd2envz12zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_atomzf2Cinfozf2zzcfa_infoz00, BGl_proc5405z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2Cinfozf2zzcfa_infoz00, BGl_proc5406z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc5407z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_varz00zzast_nodez00, BGl_proc5408z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_closurez00zzast_nodez00, BGl_proc5409z00zzcfa_cfaz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_cfazd2variablezd2valuezd2approxzd2default4828zd2envzd2zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc5410z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc5411z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc5412z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc5413z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5414z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_sequencez00zzast_nodez00, BGl_proc5415z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc5416z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_pragmazf2Cinfozf2zzcfa_info3z00, BGl_proc5417z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_getfieldzf2Cinfozf2zzcfa_info3z00, BGl_proc5418z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setfieldzf2Cinfozf2zzcfa_info3z00, BGl_proc5419z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_newzf2Cinfozf2zzcfa_info3z00, BGl_proc5420z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_isazf2Cinfozf2zzcfa_info3z00, BGl_proc5421z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_castz00zzast_nodez00, BGl_proc5422z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setqzf2Cinfozf2zzcfa_infoz00, BGl_proc5423z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc5424z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_failzf2Cinfozf2zzcfa_infoz00, BGl_proc5425z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_selectzf2Cinfozf2zzcfa_infoz00, BGl_proc5426z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc5427z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc5428z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc5429z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc5430z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00, BGl_proc5431z00zzcfa_cfaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00, BGl_proc5432z00zzcfa_cfaz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00, BGl_proc5433z00zzcfa_cfaz00);} 
}



/* cfa!-box-ref/Cinfo4877 */
obj_t BGl_cfaz12zd2boxzd2refzf2Cinfo4877ze0zzcfa_cfaz00(obj_t BgL_envz00_6560, obj_t BgL_nodez00_6561)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 311 */
{ 
BgL_boxzd2refzf2cinfoz20_bglt BgL_nodez00_4043;
{ /* Cfa/cfa.scm 312 */
BgL_approxz00_bglt BgL_auxz00_6685;
BgL_nodez00_4043 = 
(BgL_boxzd2refzf2cinfoz20_bglt)(BgL_nodez00_6561); 
{ /* Cfa/cfa.scm 312 */
BgL_approxz00_bglt BgL_res5398z00_6470;
{ /* Cfa/cfa.scm 312 */
BgL_nodez00_bglt BgL_nodez00_6444;
{ /* Cfa/cfa.scm 312 */
BgL_varz00_bglt BgL_auxz00_6686;
{ /* Cfa/cfa.scm 312 */
BgL_boxzd2refzd2_bglt BgL_obj3560z00_6443;
BgL_obj3560z00_6443 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4043); 
BgL_auxz00_6686 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_obj3560z00_6443))->BgL_varz00); } 
BgL_nodez00_6444 = 
(BgL_nodez00_bglt)(BgL_auxz00_6686); } 
{ /* Cfa/cfa.scm 312 */
obj_t BgL_method4817z00_6445;
{ /* Cfa/cfa.scm 312 */
long BgL_objzd2classzd2numz00_6447;
{ /* Cfa/cfa.scm 312 */
BgL_objectz00_bglt BgL_auxz00_6690;
BgL_auxz00_6690 = 
(BgL_objectz00_bglt)(BgL_nodez00_6444); 
BgL_objzd2classzd2numz00_6447 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6690); } 
{ /* Cfa/cfa.scm 312 */
obj_t BgL_arg1221z00_6448;
{ /* Cfa/cfa.scm 312 */
int BgL_auxz00_6693;
BgL_auxz00_6693 = 
(int)(((long)1)); 
BgL_arg1221z00_6448 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6693); } 
{ /* Cfa/cfa.scm 312 */
long BgL_offsetz00_6452;
{ /* Cfa/cfa.scm 312 */
long BgL_auxz00_6696;
{ /* Cfa/cfa.scm 312 */
int BgL_auxz00_6697;
BgL_auxz00_6697 = 
(int)(BgL_objzd2classzd2numz00_6447); 
BgL_auxz00_6696 = 
(long)(BgL_auxz00_6697); } 
BgL_offsetz00_6452 = 
(BgL_auxz00_6696-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 312 */
long BgL_modz00_6453;
{ /* Cfa/cfa.scm 312 */
long BgL_auxz00_6701;
{ /* Cfa/cfa.scm 312 */
int BgL_auxz00_6702;
BgL_auxz00_6702 = 
(int)(((long)8)); 
BgL_auxz00_6701 = 
(long)(BgL_auxz00_6702); } 
BgL_modz00_6453 = 
(BgL_offsetz00_6452/BgL_auxz00_6701); } 
{ /* Cfa/cfa.scm 312 */
long BgL_restz00_6455;
{ /* Cfa/cfa.scm 312 */
long BgL_auxz00_6706;
{ /* Cfa/cfa.scm 312 */
int BgL_auxz00_6707;
BgL_auxz00_6707 = 
(int)(((long)8)); 
BgL_auxz00_6706 = 
(long)(BgL_auxz00_6707); } 
BgL_restz00_6455 = 
(BgL_offsetz00_6452%BgL_auxz00_6706); } 
{ /* Cfa/cfa.scm 312 */

{ /* Cfa/cfa.scm 312 */
obj_t BgL_bucketz00_6457;
{ /* Cfa/cfa.scm 312 */
int BgL_kz00_6467;
BgL_kz00_6467 = 
(int)(BgL_modz00_6453); 
BgL_bucketz00_6457 = 
VECTOR_REF(BgL_arg1221z00_6448,BgL_kz00_6467); } 
{ /* Cfa/cfa.scm 312 */
int BgL_kz00_6469;
BgL_kz00_6469 = 
(int)(BgL_restz00_6455); 
BgL_method4817z00_6445 = 
VECTOR_REF(BgL_bucketz00_6457,BgL_kz00_6469); } } } } } } } } 
{ /* Cfa/cfa.scm 312 */
obj_t BgL_auxz00_6715;
BgL_auxz00_6715 = 
PROCEDURE_ENTRY(BgL_method4817z00_6445)(BgL_method4817z00_6445, 
(obj_t)(BgL_nodez00_6444), BEOA); 
BgL_res5398z00_6470 = 
(BgL_approxz00_bglt)(BgL_auxz00_6715); } } } BgL_res5398z00_6470; } 
{ 
obj_t BgL_auxz00_6720;
{ /* Cfa/cfa.scm 312 */
BgL_objectz00_bglt BgL_auxz00_6721;
BgL_auxz00_6721 = 
(BgL_objectz00_bglt)(BgL_nodez00_4043); 
BgL_auxz00_6720 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6721); } 
BgL_auxz00_6685 = 
(((BgL_boxzd2refzf2cinfoz20_bglt)CREF(BgL_auxz00_6720))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_6685);} } } 
}



/* cfa!-box-set!/Cinfo4875 */
obj_t BGl_cfaz12zd2boxzd2setz12zf2Cinfo4875zf2zzcfa_cfaz00(obj_t BgL_envz00_6562, obj_t BgL_nodez00_6563)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 302 */
{ 
BgL_boxzd2setz12zf2cinfoz32_bglt BgL_nodez00_4033;
{ /* Cfa/cfa.scm 303 */
BgL_approxz00_bglt BgL_auxz00_6727;
BgL_nodez00_4033 = 
(BgL_boxzd2setz12zf2cinfoz32_bglt)(BgL_nodez00_6563); 
{ /* Cfa/cfa.scm 304 */
BgL_approxz00_bglt BgL_res5392z00_6411;
{ /* Cfa/cfa.scm 304 */
BgL_nodez00_bglt BgL_nodez00_6385;
{ /* Cfa/cfa.scm 304 */
BgL_varz00_bglt BgL_auxz00_6728;
{ /* Cfa/cfa.scm 304 */
BgL_boxzd2setz12zc0_bglt BgL_obj3526z00_6384;
BgL_obj3526z00_6384 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4033); 
BgL_auxz00_6728 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3526z00_6384))->BgL_varz00); } 
BgL_nodez00_6385 = 
(BgL_nodez00_bglt)(BgL_auxz00_6728); } 
{ /* Cfa/cfa.scm 304 */
obj_t BgL_method4817z00_6386;
{ /* Cfa/cfa.scm 304 */
long BgL_objzd2classzd2numz00_6388;
{ /* Cfa/cfa.scm 304 */
BgL_objectz00_bglt BgL_auxz00_6732;
BgL_auxz00_6732 = 
(BgL_objectz00_bglt)(BgL_nodez00_6385); 
BgL_objzd2classzd2numz00_6388 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6732); } 
{ /* Cfa/cfa.scm 304 */
obj_t BgL_arg1221z00_6389;
{ /* Cfa/cfa.scm 304 */
int BgL_auxz00_6735;
BgL_auxz00_6735 = 
(int)(((long)1)); 
BgL_arg1221z00_6389 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6735); } 
{ /* Cfa/cfa.scm 304 */
long BgL_offsetz00_6393;
{ /* Cfa/cfa.scm 304 */
long BgL_auxz00_6738;
{ /* Cfa/cfa.scm 304 */
int BgL_auxz00_6739;
BgL_auxz00_6739 = 
(int)(BgL_objzd2classzd2numz00_6388); 
BgL_auxz00_6738 = 
(long)(BgL_auxz00_6739); } 
BgL_offsetz00_6393 = 
(BgL_auxz00_6738-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 304 */
long BgL_modz00_6394;
{ /* Cfa/cfa.scm 304 */
long BgL_auxz00_6743;
{ /* Cfa/cfa.scm 304 */
int BgL_auxz00_6744;
BgL_auxz00_6744 = 
(int)(((long)8)); 
BgL_auxz00_6743 = 
(long)(BgL_auxz00_6744); } 
BgL_modz00_6394 = 
(BgL_offsetz00_6393/BgL_auxz00_6743); } 
{ /* Cfa/cfa.scm 304 */
long BgL_restz00_6396;
{ /* Cfa/cfa.scm 304 */
long BgL_auxz00_6748;
{ /* Cfa/cfa.scm 304 */
int BgL_auxz00_6749;
BgL_auxz00_6749 = 
(int)(((long)8)); 
BgL_auxz00_6748 = 
(long)(BgL_auxz00_6749); } 
BgL_restz00_6396 = 
(BgL_offsetz00_6393%BgL_auxz00_6748); } 
{ /* Cfa/cfa.scm 304 */

{ /* Cfa/cfa.scm 304 */
obj_t BgL_bucketz00_6398;
{ /* Cfa/cfa.scm 304 */
int BgL_kz00_6408;
BgL_kz00_6408 = 
(int)(BgL_modz00_6394); 
BgL_bucketz00_6398 = 
VECTOR_REF(BgL_arg1221z00_6389,BgL_kz00_6408); } 
{ /* Cfa/cfa.scm 304 */
int BgL_kz00_6410;
BgL_kz00_6410 = 
(int)(BgL_restz00_6396); 
BgL_method4817z00_6386 = 
VECTOR_REF(BgL_bucketz00_6398,BgL_kz00_6410); } } } } } } } } 
{ /* Cfa/cfa.scm 304 */
obj_t BgL_auxz00_6757;
BgL_auxz00_6757 = 
PROCEDURE_ENTRY(BgL_method4817z00_6386)(BgL_method4817z00_6386, 
(obj_t)(BgL_nodez00_6385), BEOA); 
BgL_res5392z00_6411 = 
(BgL_approxz00_bglt)(BgL_auxz00_6757); } } } BgL_res5392z00_6411; } 
{ /* Cfa/cfa.scm 305 */
BgL_approxz00_bglt BgL_arg5195z00_4038;obj_t BgL_arg5196z00_4039;
{ /* Cfa/cfa.scm 305 */
BgL_nodez00_bglt BgL_arg5197z00_4040;
{ /* Cfa/cfa.scm 305 */
BgL_boxzd2setz12zc0_bglt BgL_obj3529z00_6412;
BgL_obj3529z00_6412 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4033); 
BgL_arg5197z00_4040 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_obj3529z00_6412))->BgL_valuez00); } 
{ /* Cfa/cfa.scm 305 */
BgL_approxz00_bglt BgL_res5395z00_6439;
{ /* Cfa/cfa.scm 305 */
obj_t BgL_method4817z00_6414;
{ /* Cfa/cfa.scm 305 */
long BgL_objzd2classzd2numz00_6416;
{ /* Cfa/cfa.scm 305 */
BgL_objectz00_bglt BgL_auxz00_6764;
BgL_auxz00_6764 = 
(BgL_objectz00_bglt)(BgL_arg5197z00_4040); 
BgL_objzd2classzd2numz00_6416 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6764); } 
{ /* Cfa/cfa.scm 305 */
obj_t BgL_arg1221z00_6417;
{ /* Cfa/cfa.scm 305 */
int BgL_auxz00_6767;
BgL_auxz00_6767 = 
(int)(((long)1)); 
BgL_arg1221z00_6417 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6767); } 
{ /* Cfa/cfa.scm 305 */
long BgL_offsetz00_6421;
{ /* Cfa/cfa.scm 305 */
long BgL_auxz00_6770;
{ /* Cfa/cfa.scm 305 */
int BgL_auxz00_6771;
BgL_auxz00_6771 = 
(int)(BgL_objzd2classzd2numz00_6416); 
BgL_auxz00_6770 = 
(long)(BgL_auxz00_6771); } 
BgL_offsetz00_6421 = 
(BgL_auxz00_6770-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 305 */
long BgL_modz00_6422;
{ /* Cfa/cfa.scm 305 */
long BgL_auxz00_6775;
{ /* Cfa/cfa.scm 305 */
int BgL_auxz00_6776;
BgL_auxz00_6776 = 
(int)(((long)8)); 
BgL_auxz00_6775 = 
(long)(BgL_auxz00_6776); } 
BgL_modz00_6422 = 
(BgL_offsetz00_6421/BgL_auxz00_6775); } 
{ /* Cfa/cfa.scm 305 */
long BgL_restz00_6424;
{ /* Cfa/cfa.scm 305 */
long BgL_auxz00_6780;
{ /* Cfa/cfa.scm 305 */
int BgL_auxz00_6781;
BgL_auxz00_6781 = 
(int)(((long)8)); 
BgL_auxz00_6780 = 
(long)(BgL_auxz00_6781); } 
BgL_restz00_6424 = 
(BgL_offsetz00_6421%BgL_auxz00_6780); } 
{ /* Cfa/cfa.scm 305 */

{ /* Cfa/cfa.scm 305 */
obj_t BgL_bucketz00_6426;
{ /* Cfa/cfa.scm 305 */
int BgL_kz00_6436;
BgL_kz00_6436 = 
(int)(BgL_modz00_6422); 
BgL_bucketz00_6426 = 
VECTOR_REF(BgL_arg1221z00_6417,BgL_kz00_6436); } 
{ /* Cfa/cfa.scm 305 */
int BgL_kz00_6438;
BgL_kz00_6438 = 
(int)(BgL_restz00_6424); 
BgL_method4817z00_6414 = 
VECTOR_REF(BgL_bucketz00_6426,BgL_kz00_6438); } } } } } } } } 
{ /* Cfa/cfa.scm 305 */
obj_t BgL_auxz00_6789;
BgL_auxz00_6789 = 
PROCEDURE_ENTRY(BgL_method4817z00_6414)(BgL_method4817z00_6414, 
(obj_t)(BgL_arg5197z00_4040), BEOA); 
BgL_res5395z00_6439 = 
(BgL_approxz00_bglt)(BgL_auxz00_6789); } } 
BgL_arg5195z00_4038 = BgL_res5395z00_6439; } } 
BgL_arg5196z00_4039 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5195z00_4038, BgL_arg5196z00_4039); } 
{ 
obj_t BgL_auxz00_6796;
{ /* Cfa/cfa.scm 306 */
BgL_objectz00_bglt BgL_auxz00_6797;
BgL_auxz00_6797 = 
(BgL_objectz00_bglt)(BgL_nodez00_4033); 
BgL_auxz00_6796 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6797); } 
BgL_auxz00_6727 = 
(((BgL_boxzd2setz12zf2cinfoz32_bglt)CREF(BgL_auxz00_6796))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_6727);} } } 
}



/* cfa!-make-box/Cinfo4873 */
obj_t BGl_cfaz12zd2makezd2boxzf2Cinfo4873ze0zzcfa_cfaz00(obj_t BgL_envz00_6564, obj_t BgL_nodez00_6565)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 293 */
{ 
BgL_makezd2boxzf2cinfoz20_bglt BgL_nodez00_4024;
{ /* Cfa/cfa.scm 294 */
BgL_approxz00_bglt BgL_auxz00_6803;
BgL_nodez00_4024 = 
(BgL_makezd2boxzf2cinfoz20_bglt)(BgL_nodez00_6565); 
{ /* Cfa/cfa.scm 296 */
BgL_approxz00_bglt BgL_arg5190z00_4028;obj_t BgL_arg5191z00_4029;
{ /* Cfa/cfa.scm 296 */
BgL_nodez00_bglt BgL_arg5192z00_4030;
{ /* Cfa/cfa.scm 296 */
BgL_makezd2boxzd2_bglt BgL_obj3464z00_6355;
BgL_obj3464z00_6355 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4024); 
BgL_arg5192z00_4030 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_obj3464z00_6355))->BgL_valuez00); } 
{ /* Cfa/cfa.scm 296 */
BgL_approxz00_bglt BgL_res5389z00_6382;
{ /* Cfa/cfa.scm 296 */
obj_t BgL_method4817z00_6357;
{ /* Cfa/cfa.scm 296 */
long BgL_objzd2classzd2numz00_6359;
{ /* Cfa/cfa.scm 296 */
BgL_objectz00_bglt BgL_auxz00_6806;
BgL_auxz00_6806 = 
(BgL_objectz00_bglt)(BgL_arg5192z00_4030); 
BgL_objzd2classzd2numz00_6359 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6806); } 
{ /* Cfa/cfa.scm 296 */
obj_t BgL_arg1221z00_6360;
{ /* Cfa/cfa.scm 296 */
int BgL_auxz00_6809;
BgL_auxz00_6809 = 
(int)(((long)1)); 
BgL_arg1221z00_6360 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6809); } 
{ /* Cfa/cfa.scm 296 */
long BgL_offsetz00_6364;
{ /* Cfa/cfa.scm 296 */
long BgL_auxz00_6812;
{ /* Cfa/cfa.scm 296 */
int BgL_auxz00_6813;
BgL_auxz00_6813 = 
(int)(BgL_objzd2classzd2numz00_6359); 
BgL_auxz00_6812 = 
(long)(BgL_auxz00_6813); } 
BgL_offsetz00_6364 = 
(BgL_auxz00_6812-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 296 */
long BgL_modz00_6365;
{ /* Cfa/cfa.scm 296 */
long BgL_auxz00_6817;
{ /* Cfa/cfa.scm 296 */
int BgL_auxz00_6818;
BgL_auxz00_6818 = 
(int)(((long)8)); 
BgL_auxz00_6817 = 
(long)(BgL_auxz00_6818); } 
BgL_modz00_6365 = 
(BgL_offsetz00_6364/BgL_auxz00_6817); } 
{ /* Cfa/cfa.scm 296 */
long BgL_restz00_6367;
{ /* Cfa/cfa.scm 296 */
long BgL_auxz00_6822;
{ /* Cfa/cfa.scm 296 */
int BgL_auxz00_6823;
BgL_auxz00_6823 = 
(int)(((long)8)); 
BgL_auxz00_6822 = 
(long)(BgL_auxz00_6823); } 
BgL_restz00_6367 = 
(BgL_offsetz00_6364%BgL_auxz00_6822); } 
{ /* Cfa/cfa.scm 296 */

{ /* Cfa/cfa.scm 296 */
obj_t BgL_bucketz00_6369;
{ /* Cfa/cfa.scm 296 */
int BgL_kz00_6379;
BgL_kz00_6379 = 
(int)(BgL_modz00_6365); 
BgL_bucketz00_6369 = 
VECTOR_REF(BgL_arg1221z00_6360,BgL_kz00_6379); } 
{ /* Cfa/cfa.scm 296 */
int BgL_kz00_6381;
BgL_kz00_6381 = 
(int)(BgL_restz00_6367); 
BgL_method4817z00_6357 = 
VECTOR_REF(BgL_bucketz00_6369,BgL_kz00_6381); } } } } } } } } 
{ /* Cfa/cfa.scm 296 */
obj_t BgL_auxz00_6831;
BgL_auxz00_6831 = 
PROCEDURE_ENTRY(BgL_method4817z00_6357)(BgL_method4817z00_6357, 
(obj_t)(BgL_arg5192z00_4030), BEOA); 
BgL_res5389z00_6382 = 
(BgL_approxz00_bglt)(BgL_auxz00_6831); } } 
BgL_arg5190z00_4028 = BgL_res5389z00_6382; } } 
BgL_arg5191z00_4029 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5190z00_4028, BgL_arg5191z00_4029); } 
{ 
obj_t BgL_auxz00_6838;
{ /* Cfa/cfa.scm 297 */
BgL_objectz00_bglt BgL_auxz00_6839;
BgL_auxz00_6839 = 
(BgL_objectz00_bglt)(BgL_nodez00_4024); 
BgL_auxz00_6838 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6839); } 
BgL_auxz00_6803 = 
(((BgL_makezd2boxzf2cinfoz20_bglt)CREF(BgL_auxz00_6838))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_6803);} } } 
}



/* cfa!-jump-ex-it/Cinfo4871 */
obj_t BGl_cfaz12zd2jumpzd2exzd2itzf2Cinfo4871z32zzcfa_cfaz00(obj_t BgL_envz00_6566, obj_t BgL_nodez00_6567)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 283 */
{ 
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_nodez00_4015;
{ /* Cfa/cfa.scm 284 */
BgL_approxz00_bglt BgL_auxz00_6845;
BgL_nodez00_4015 = 
(BgL_jumpzd2exzd2itzf2cinfozf2_bglt)(BgL_nodez00_6567); 
{ /* Cfa/cfa.scm 285 */
BgL_nodez00_bglt BgL_arg5187z00_4019;
{ /* Cfa/cfa.scm 285 */
BgL_jumpzd2exzd2itz00_bglt BgL_obj3403z00_6298;
BgL_obj3403z00_6298 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4015); 
BgL_arg5187z00_4019 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3403z00_6298))->BgL_exitz00); } 
{ /* Cfa/cfa.scm 285 */
BgL_approxz00_bglt BgL_res5383z00_6325;
{ /* Cfa/cfa.scm 285 */
obj_t BgL_method4817z00_6300;
{ /* Cfa/cfa.scm 285 */
long BgL_objzd2classzd2numz00_6302;
{ /* Cfa/cfa.scm 285 */
BgL_objectz00_bglt BgL_auxz00_6848;
BgL_auxz00_6848 = 
(BgL_objectz00_bglt)(BgL_arg5187z00_4019); 
BgL_objzd2classzd2numz00_6302 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6848); } 
{ /* Cfa/cfa.scm 285 */
obj_t BgL_arg1221z00_6303;
{ /* Cfa/cfa.scm 285 */
int BgL_auxz00_6851;
BgL_auxz00_6851 = 
(int)(((long)1)); 
BgL_arg1221z00_6303 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6851); } 
{ /* Cfa/cfa.scm 285 */
long BgL_offsetz00_6307;
{ /* Cfa/cfa.scm 285 */
long BgL_auxz00_6854;
{ /* Cfa/cfa.scm 285 */
int BgL_auxz00_6855;
BgL_auxz00_6855 = 
(int)(BgL_objzd2classzd2numz00_6302); 
BgL_auxz00_6854 = 
(long)(BgL_auxz00_6855); } 
BgL_offsetz00_6307 = 
(BgL_auxz00_6854-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 285 */
long BgL_modz00_6308;
{ /* Cfa/cfa.scm 285 */
long BgL_auxz00_6859;
{ /* Cfa/cfa.scm 285 */
int BgL_auxz00_6860;
BgL_auxz00_6860 = 
(int)(((long)8)); 
BgL_auxz00_6859 = 
(long)(BgL_auxz00_6860); } 
BgL_modz00_6308 = 
(BgL_offsetz00_6307/BgL_auxz00_6859); } 
{ /* Cfa/cfa.scm 285 */
long BgL_restz00_6310;
{ /* Cfa/cfa.scm 285 */
long BgL_auxz00_6864;
{ /* Cfa/cfa.scm 285 */
int BgL_auxz00_6865;
BgL_auxz00_6865 = 
(int)(((long)8)); 
BgL_auxz00_6864 = 
(long)(BgL_auxz00_6865); } 
BgL_restz00_6310 = 
(BgL_offsetz00_6307%BgL_auxz00_6864); } 
{ /* Cfa/cfa.scm 285 */

{ /* Cfa/cfa.scm 285 */
obj_t BgL_bucketz00_6312;
{ /* Cfa/cfa.scm 285 */
int BgL_kz00_6322;
BgL_kz00_6322 = 
(int)(BgL_modz00_6308); 
BgL_bucketz00_6312 = 
VECTOR_REF(BgL_arg1221z00_6303,BgL_kz00_6322); } 
{ /* Cfa/cfa.scm 285 */
int BgL_kz00_6324;
BgL_kz00_6324 = 
(int)(BgL_restz00_6310); 
BgL_method4817z00_6300 = 
VECTOR_REF(BgL_bucketz00_6312,BgL_kz00_6324); } } } } } } } } 
{ /* Cfa/cfa.scm 285 */
obj_t BgL_auxz00_6873;
BgL_auxz00_6873 = 
PROCEDURE_ENTRY(BgL_method4817z00_6300)(BgL_method4817z00_6300, 
(obj_t)(BgL_arg5187z00_4019), BEOA); 
BgL_res5383z00_6325 = 
(BgL_approxz00_bglt)(BgL_auxz00_6873); } } BgL_res5383z00_6325; } } 
{ /* Cfa/cfa.scm 286 */
BgL_approxz00_bglt BgL_valzd2approxzd2_4020;
{ /* Cfa/cfa.scm 286 */
BgL_nodez00_bglt BgL_arg5188z00_4021;
{ /* Cfa/cfa.scm 286 */
BgL_jumpzd2exzd2itz00_bglt BgL_obj3406z00_6326;
BgL_obj3406z00_6326 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4015); 
BgL_arg5188z00_4021 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_obj3406z00_6326))->BgL_valuez00); } 
{ /* Cfa/cfa.scm 286 */
BgL_approxz00_bglt BgL_res5386z00_6353;
{ /* Cfa/cfa.scm 286 */
obj_t BgL_method4817z00_6328;
{ /* Cfa/cfa.scm 286 */
long BgL_objzd2classzd2numz00_6330;
{ /* Cfa/cfa.scm 286 */
BgL_objectz00_bglt BgL_auxz00_6880;
BgL_auxz00_6880 = 
(BgL_objectz00_bglt)(BgL_arg5188z00_4021); 
BgL_objzd2classzd2numz00_6330 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6880); } 
{ /* Cfa/cfa.scm 286 */
obj_t BgL_arg1221z00_6331;
{ /* Cfa/cfa.scm 286 */
int BgL_auxz00_6883;
BgL_auxz00_6883 = 
(int)(((long)1)); 
BgL_arg1221z00_6331 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6883); } 
{ /* Cfa/cfa.scm 286 */
long BgL_offsetz00_6335;
{ /* Cfa/cfa.scm 286 */
long BgL_auxz00_6886;
{ /* Cfa/cfa.scm 286 */
int BgL_auxz00_6887;
BgL_auxz00_6887 = 
(int)(BgL_objzd2classzd2numz00_6330); 
BgL_auxz00_6886 = 
(long)(BgL_auxz00_6887); } 
BgL_offsetz00_6335 = 
(BgL_auxz00_6886-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 286 */
long BgL_modz00_6336;
{ /* Cfa/cfa.scm 286 */
long BgL_auxz00_6891;
{ /* Cfa/cfa.scm 286 */
int BgL_auxz00_6892;
BgL_auxz00_6892 = 
(int)(((long)8)); 
BgL_auxz00_6891 = 
(long)(BgL_auxz00_6892); } 
BgL_modz00_6336 = 
(BgL_offsetz00_6335/BgL_auxz00_6891); } 
{ /* Cfa/cfa.scm 286 */
long BgL_restz00_6338;
{ /* Cfa/cfa.scm 286 */
long BgL_auxz00_6896;
{ /* Cfa/cfa.scm 286 */
int BgL_auxz00_6897;
BgL_auxz00_6897 = 
(int)(((long)8)); 
BgL_auxz00_6896 = 
(long)(BgL_auxz00_6897); } 
BgL_restz00_6338 = 
(BgL_offsetz00_6335%BgL_auxz00_6896); } 
{ /* Cfa/cfa.scm 286 */

{ /* Cfa/cfa.scm 286 */
obj_t BgL_bucketz00_6340;
{ /* Cfa/cfa.scm 286 */
int BgL_kz00_6350;
BgL_kz00_6350 = 
(int)(BgL_modz00_6336); 
BgL_bucketz00_6340 = 
VECTOR_REF(BgL_arg1221z00_6331,BgL_kz00_6350); } 
{ /* Cfa/cfa.scm 286 */
int BgL_kz00_6352;
BgL_kz00_6352 = 
(int)(BgL_restz00_6338); 
BgL_method4817z00_6328 = 
VECTOR_REF(BgL_bucketz00_6340,BgL_kz00_6352); } } } } } } } } 
{ /* Cfa/cfa.scm 286 */
obj_t BgL_auxz00_6905;
BgL_auxz00_6905 = 
PROCEDURE_ENTRY(BgL_method4817z00_6328)(BgL_method4817z00_6328, 
(obj_t)(BgL_arg5188z00_4021), BEOA); 
BgL_res5386z00_6353 = 
(BgL_approxz00_bglt)(BgL_auxz00_6905); } } 
BgL_valzd2approxzd2_4020 = BgL_res5386z00_6353; } } 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4020, 
CNST_TABLE_REF(((long)0))); 
{ 
obj_t BgL_auxz00_6912;
{ /* Cfa/cfa.scm 288 */
BgL_objectz00_bglt BgL_auxz00_6913;
BgL_auxz00_6913 = 
(BgL_objectz00_bglt)(BgL_nodez00_4015); 
BgL_auxz00_6912 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6913); } 
BgL_auxz00_6845 = 
(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_auxz00_6912))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_6845);} } } 
}



/* cfa!-set-ex-it/Cinfo4869 */
obj_t BGl_cfaz12zd2setzd2exzd2itzf2Cinfo4869z32zzcfa_cfaz00(obj_t BgL_envz00_6568, obj_t BgL_nodez00_6569)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 275 */
{ 
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_nodez00_4006;
{ /* Cfa/cfa.scm 276 */
BgL_approxz00_bglt BgL_auxz00_6919;
BgL_nodez00_4006 = 
(BgL_setzd2exzd2itzf2cinfozf2_bglt)(BgL_nodez00_6569); 
{ /* Cfa/cfa.scm 277 */
BgL_approxz00_bglt BgL_arg5183z00_4010;obj_t BgL_arg5184z00_4011;
{ /* Cfa/cfa.scm 277 */
BgL_nodez00_bglt BgL_arg5185z00_4012;
{ /* Cfa/cfa.scm 277 */
BgL_setzd2exzd2itz00_bglt BgL_obj3379z00_6269;
BgL_obj3379z00_6269 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4006); 
BgL_arg5185z00_4012 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_obj3379z00_6269))->BgL_bodyz00); } 
{ /* Cfa/cfa.scm 277 */
BgL_approxz00_bglt BgL_res5380z00_6296;
{ /* Cfa/cfa.scm 277 */
obj_t BgL_method4817z00_6271;
{ /* Cfa/cfa.scm 277 */
long BgL_objzd2classzd2numz00_6273;
{ /* Cfa/cfa.scm 277 */
BgL_objectz00_bglt BgL_auxz00_6922;
BgL_auxz00_6922 = 
(BgL_objectz00_bglt)(BgL_arg5185z00_4012); 
BgL_objzd2classzd2numz00_6273 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6922); } 
{ /* Cfa/cfa.scm 277 */
obj_t BgL_arg1221z00_6274;
{ /* Cfa/cfa.scm 277 */
int BgL_auxz00_6925;
BgL_auxz00_6925 = 
(int)(((long)1)); 
BgL_arg1221z00_6274 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6925); } 
{ /* Cfa/cfa.scm 277 */
long BgL_offsetz00_6278;
{ /* Cfa/cfa.scm 277 */
long BgL_auxz00_6928;
{ /* Cfa/cfa.scm 277 */
int BgL_auxz00_6929;
BgL_auxz00_6929 = 
(int)(BgL_objzd2classzd2numz00_6273); 
BgL_auxz00_6928 = 
(long)(BgL_auxz00_6929); } 
BgL_offsetz00_6278 = 
(BgL_auxz00_6928-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 277 */
long BgL_modz00_6279;
{ /* Cfa/cfa.scm 277 */
long BgL_auxz00_6933;
{ /* Cfa/cfa.scm 277 */
int BgL_auxz00_6934;
BgL_auxz00_6934 = 
(int)(((long)8)); 
BgL_auxz00_6933 = 
(long)(BgL_auxz00_6934); } 
BgL_modz00_6279 = 
(BgL_offsetz00_6278/BgL_auxz00_6933); } 
{ /* Cfa/cfa.scm 277 */
long BgL_restz00_6281;
{ /* Cfa/cfa.scm 277 */
long BgL_auxz00_6938;
{ /* Cfa/cfa.scm 277 */
int BgL_auxz00_6939;
BgL_auxz00_6939 = 
(int)(((long)8)); 
BgL_auxz00_6938 = 
(long)(BgL_auxz00_6939); } 
BgL_restz00_6281 = 
(BgL_offsetz00_6278%BgL_auxz00_6938); } 
{ /* Cfa/cfa.scm 277 */

{ /* Cfa/cfa.scm 277 */
obj_t BgL_bucketz00_6283;
{ /* Cfa/cfa.scm 277 */
int BgL_kz00_6293;
BgL_kz00_6293 = 
(int)(BgL_modz00_6279); 
BgL_bucketz00_6283 = 
VECTOR_REF(BgL_arg1221z00_6274,BgL_kz00_6293); } 
{ /* Cfa/cfa.scm 277 */
int BgL_kz00_6295;
BgL_kz00_6295 = 
(int)(BgL_restz00_6281); 
BgL_method4817z00_6271 = 
VECTOR_REF(BgL_bucketz00_6283,BgL_kz00_6295); } } } } } } } } 
{ /* Cfa/cfa.scm 277 */
obj_t BgL_auxz00_6947;
BgL_auxz00_6947 = 
PROCEDURE_ENTRY(BgL_method4817z00_6271)(BgL_method4817z00_6271, 
(obj_t)(BgL_arg5185z00_4012), BEOA); 
BgL_res5380z00_6296 = 
(BgL_approxz00_bglt)(BgL_auxz00_6947); } } 
BgL_arg5183z00_4010 = BgL_res5380z00_6296; } } 
BgL_arg5184z00_4011 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5183z00_4010, BgL_arg5184z00_4011); } 
{ 
obj_t BgL_auxz00_6954;
{ /* Cfa/cfa.scm 278 */
BgL_objectz00_bglt BgL_auxz00_6955;
BgL_auxz00_6955 = 
(BgL_objectz00_bglt)(BgL_nodez00_4006); 
BgL_auxz00_6954 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6955); } 
BgL_auxz00_6919 = 
(((BgL_setzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_auxz00_6954))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_6919);} } } 
}



/* cfa!-let-var4867 */
obj_t BGl_cfaz12zd2letzd2var4867z12zzcfa_cfaz00(obj_t BgL_envz00_6570, obj_t BgL_nodez00_6571)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 244 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_3981;
{ /* Cfa/cfa.scm 245 */
BgL_approxz00_bglt BgL_auxz00_6961;
BgL_nodez00_3981 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_6571); 
{ 
obj_t BgL_l4804z00_3985;
BgL_l4804z00_3985 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_3981))->BgL_bindingsz00); 
BgL_lname4805z00_3986:
if(
PAIRP(BgL_l4804z00_3985))
{ /* Cfa/cfa.scm 247 */
{ /* Cfa/cfa.scm 248 */
obj_t BgL_bindingz00_3989;
BgL_bindingz00_3989 = 
CAR(BgL_l4804z00_3985); 
{ /* Cfa/cfa.scm 248 */
obj_t BgL_varz00_3990;
BgL_varz00_3990 = 
CAR(BgL_bindingz00_3989); 
{ /* Cfa/cfa.scm 248 */
BgL_approxz00_bglt BgL_varzd2approxzd2_3991;
{ /* Cfa/cfa.scm 249 */
BgL_svarzf2cinfozf2_bglt BgL_obj2914z00_6209;
{ /* Cfa/cfa.scm 249 */
BgL_valuez00_bglt BgL_auxz00_6966;
{ /* Cfa/cfa.scm 249 */
BgL_variablez00_bglt BgL_obj1103z00_6208;
BgL_obj1103z00_6208 = 
(BgL_variablez00_bglt)(BgL_varz00_3990); 
BgL_auxz00_6966 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_6208))->BgL_valuez00); } 
BgL_obj2914z00_6209 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_auxz00_6966); } 
{ 
obj_t BgL_auxz00_6970;
{ /* Cfa/cfa.scm 249 */
BgL_objectz00_bglt BgL_auxz00_6971;
BgL_auxz00_6971 = 
(BgL_objectz00_bglt)(BgL_obj2914z00_6209); 
BgL_auxz00_6970 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6971); } 
BgL_varzd2approxzd2_3991 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_6970))->BgL_approxz00); } } 
{ /* Cfa/cfa.scm 249 */
BgL_approxz00_bglt BgL_valzd2approxzd2_3992;
{ /* Cfa/cfa.scm 250 */
BgL_approxz00_bglt BgL_res5374z00_6237;
{ /* Cfa/cfa.scm 250 */
BgL_nodez00_bglt BgL_nodez00_6211;
{ /* Cfa/cfa.scm 250 */
obj_t BgL_auxz00_6975;
BgL_auxz00_6975 = 
CDR(BgL_bindingz00_3989); 
BgL_nodez00_6211 = 
(BgL_nodez00_bglt)(BgL_auxz00_6975); } 
{ /* Cfa/cfa.scm 250 */
obj_t BgL_method4817z00_6212;
{ /* Cfa/cfa.scm 250 */
long BgL_objzd2classzd2numz00_6214;
{ /* Cfa/cfa.scm 250 */
BgL_objectz00_bglt BgL_auxz00_6978;
BgL_auxz00_6978 = 
(BgL_objectz00_bglt)(BgL_nodez00_6211); 
BgL_objzd2classzd2numz00_6214 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6978); } 
{ /* Cfa/cfa.scm 250 */
obj_t BgL_arg1221z00_6215;
{ /* Cfa/cfa.scm 250 */
int BgL_auxz00_6981;
BgL_auxz00_6981 = 
(int)(((long)1)); 
BgL_arg1221z00_6215 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_6981); } 
{ /* Cfa/cfa.scm 250 */
long BgL_offsetz00_6219;
{ /* Cfa/cfa.scm 250 */
long BgL_auxz00_6984;
{ /* Cfa/cfa.scm 250 */
int BgL_auxz00_6985;
BgL_auxz00_6985 = 
(int)(BgL_objzd2classzd2numz00_6214); 
BgL_auxz00_6984 = 
(long)(BgL_auxz00_6985); } 
BgL_offsetz00_6219 = 
(BgL_auxz00_6984-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 250 */
long BgL_modz00_6220;
{ /* Cfa/cfa.scm 250 */
long BgL_auxz00_6989;
{ /* Cfa/cfa.scm 250 */
int BgL_auxz00_6990;
BgL_auxz00_6990 = 
(int)(((long)8)); 
BgL_auxz00_6989 = 
(long)(BgL_auxz00_6990); } 
BgL_modz00_6220 = 
(BgL_offsetz00_6219/BgL_auxz00_6989); } 
{ /* Cfa/cfa.scm 250 */
long BgL_restz00_6222;
{ /* Cfa/cfa.scm 250 */
long BgL_auxz00_6994;
{ /* Cfa/cfa.scm 250 */
int BgL_auxz00_6995;
BgL_auxz00_6995 = 
(int)(((long)8)); 
BgL_auxz00_6994 = 
(long)(BgL_auxz00_6995); } 
BgL_restz00_6222 = 
(BgL_offsetz00_6219%BgL_auxz00_6994); } 
{ /* Cfa/cfa.scm 250 */

{ /* Cfa/cfa.scm 250 */
obj_t BgL_bucketz00_6224;
{ /* Cfa/cfa.scm 250 */
int BgL_kz00_6234;
BgL_kz00_6234 = 
(int)(BgL_modz00_6220); 
BgL_bucketz00_6224 = 
VECTOR_REF(BgL_arg1221z00_6215,BgL_kz00_6234); } 
{ /* Cfa/cfa.scm 250 */
int BgL_kz00_6236;
BgL_kz00_6236 = 
(int)(BgL_restz00_6222); 
BgL_method4817z00_6212 = 
VECTOR_REF(BgL_bucketz00_6224,BgL_kz00_6236); } } } } } } } } 
{ /* Cfa/cfa.scm 250 */
obj_t BgL_auxz00_7003;
BgL_auxz00_7003 = 
PROCEDURE_ENTRY(BgL_method4817z00_6212)(BgL_method4817z00_6212, 
(obj_t)(BgL_nodez00_6211), BEOA); 
BgL_res5374z00_6237 = 
(BgL_approxz00_bglt)(BgL_auxz00_7003); } } } 
BgL_valzd2approxzd2_3992 = BgL_res5374z00_6237; } 
{ /* Cfa/cfa.scm 250 */

{ /* Cfa/cfa.scm 251 */
BgL_typez00_bglt BgL_vtypez00_3993;BgL_typez00_bglt BgL_atypez00_3994;
{ /* Cfa/cfa.scm 251 */
BgL_variablez00_bglt BgL_obj1100z00_6238;
BgL_obj1100z00_6238 = 
(BgL_variablez00_bglt)(BgL_varz00_3990); 
BgL_vtypez00_3993 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_6238))->BgL_typez00); } 
BgL_atypez00_3994 = 
(((BgL_approxz00_bglt)CREF(BgL_valzd2approxzd2_3992))->BgL_typez00); 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_varzd2approxzd2_3991, BgL_valzd2approxzd2_3992); 
{ /* Cfa/cfa.scm 262 */
bool_t BgL_test5173z00_3995;
{ /* Cfa/cfa.scm 262 */
bool_t BgL_test5174z00_3996;
{ /* Cfa/cfa.scm 262 */
obj_t BgL_auxz00_7012;
BgL_auxz00_7012 = 
(obj_t)(BgL_vtypez00_3993); 
BgL_test5174z00_3996 = 
(BgL_auxz00_7012==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test5174z00_3996)
{ /* Cfa/cfa.scm 262 */
BgL_test5173z00_3995 = ((bool_t)0); }  else 
{ /* Cfa/cfa.scm 263 */
bool_t BgL_test5175z00_3997;
{ /* Cfa/cfa.scm 263 */
obj_t BgL_auxz00_7016;
BgL_auxz00_7016 = 
(obj_t)(BgL_vtypez00_3993); 
BgL_test5175z00_3997 = 
(BgL_auxz00_7016==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test5175z00_3997)
{ /* Cfa/cfa.scm 263 */
BgL_test5173z00_3995 = ((bool_t)0); }  else 
{ /* Cfa/cfa.scm 264 */
bool_t BgL_test5176z00_3998;
{ /* Cfa/cfa.scm 264 */
obj_t BgL_auxz00_7020;
BgL_auxz00_7020 = 
(obj_t)(BgL_atypez00_3994); 
BgL_test5176z00_3998 = 
(BgL_auxz00_7020==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test5176z00_3998)
{ /* Cfa/cfa.scm 264 */
BgL_test5173z00_3995 = ((bool_t)0); }  else 
{ /* Cfa/cfa.scm 265 */
bool_t BgL_testz00_7024;
{ /* Cfa/cfa.scm 265 */
obj_t BgL_auxz00_7027;obj_t BgL_auxz00_7025;
BgL_auxz00_7027 = 
(obj_t)(BgL_vtypez00_3993); 
BgL_auxz00_7025 = 
(obj_t)(BgL_atypez00_3994); 
BgL_testz00_7024 = 
(BgL_auxz00_7025==BgL_auxz00_7027); } 
if(BgL_testz00_7024)
{ /* Cfa/cfa.scm 265 */
BgL_test5173z00_3995 = ((bool_t)0); }  else 
{ /* Cfa/cfa.scm 265 */
BgL_test5173z00_3995 = ((bool_t)1); } } } } } 
if(BgL_test5173z00_3995)
{ /* Cfa/cfa.scm 262 */
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_valzd2approxzd2_3992); 
{ /* Cfa/cfa.scm 268 */
BgL_approxz00_bglt BgL_auxz00_7032;
BgL_auxz00_7032 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3992, 
CNST_TABLE_REF(((long)0))); 
(obj_t)(BgL_auxz00_7032); } }  else 
{ /* Cfa/cfa.scm 262 */BFALSE; } } } } } } } } 
{ 
obj_t BgL_l4804z00_7036;
BgL_l4804z00_7036 = 
CDR(BgL_l4804z00_3985); 
BgL_l4804z00_3985 = BgL_l4804z00_7036; 
goto BgL_lname4805z00_3986;} }  else 
{ /* Cfa/cfa.scm 247 */((bool_t)1); } } 
{ /* Cfa/cfa.scm 270 */
BgL_nodez00_bglt BgL_arg5181z00_4003;
BgL_arg5181z00_4003 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_3981))->BgL_bodyz00); 
{ /* Cfa/cfa.scm 270 */
BgL_approxz00_bglt BgL_res5377z00_6268;
{ /* Cfa/cfa.scm 270 */
obj_t BgL_method4817z00_6243;
{ /* Cfa/cfa.scm 270 */
long BgL_objzd2classzd2numz00_6245;
{ /* Cfa/cfa.scm 270 */
BgL_objectz00_bglt BgL_auxz00_7040;
BgL_auxz00_7040 = 
(BgL_objectz00_bglt)(BgL_arg5181z00_4003); 
BgL_objzd2classzd2numz00_6245 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7040); } 
{ /* Cfa/cfa.scm 270 */
obj_t BgL_arg1221z00_6246;
{ /* Cfa/cfa.scm 270 */
int BgL_auxz00_7043;
BgL_auxz00_7043 = 
(int)(((long)1)); 
BgL_arg1221z00_6246 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7043); } 
{ /* Cfa/cfa.scm 270 */
long BgL_offsetz00_6250;
{ /* Cfa/cfa.scm 270 */
long BgL_auxz00_7046;
{ /* Cfa/cfa.scm 270 */
int BgL_auxz00_7047;
BgL_auxz00_7047 = 
(int)(BgL_objzd2classzd2numz00_6245); 
BgL_auxz00_7046 = 
(long)(BgL_auxz00_7047); } 
BgL_offsetz00_6250 = 
(BgL_auxz00_7046-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 270 */
long BgL_modz00_6251;
{ /* Cfa/cfa.scm 270 */
long BgL_auxz00_7051;
{ /* Cfa/cfa.scm 270 */
int BgL_auxz00_7052;
BgL_auxz00_7052 = 
(int)(((long)8)); 
BgL_auxz00_7051 = 
(long)(BgL_auxz00_7052); } 
BgL_modz00_6251 = 
(BgL_offsetz00_6250/BgL_auxz00_7051); } 
{ /* Cfa/cfa.scm 270 */
long BgL_restz00_6253;
{ /* Cfa/cfa.scm 270 */
long BgL_auxz00_7056;
{ /* Cfa/cfa.scm 270 */
int BgL_auxz00_7057;
BgL_auxz00_7057 = 
(int)(((long)8)); 
BgL_auxz00_7056 = 
(long)(BgL_auxz00_7057); } 
BgL_restz00_6253 = 
(BgL_offsetz00_6250%BgL_auxz00_7056); } 
{ /* Cfa/cfa.scm 270 */

{ /* Cfa/cfa.scm 270 */
obj_t BgL_bucketz00_6255;
{ /* Cfa/cfa.scm 270 */
int BgL_kz00_6265;
BgL_kz00_6265 = 
(int)(BgL_modz00_6251); 
BgL_bucketz00_6255 = 
VECTOR_REF(BgL_arg1221z00_6246,BgL_kz00_6265); } 
{ /* Cfa/cfa.scm 270 */
int BgL_kz00_6267;
BgL_kz00_6267 = 
(int)(BgL_restz00_6253); 
BgL_method4817z00_6243 = 
VECTOR_REF(BgL_bucketz00_6255,BgL_kz00_6267); } } } } } } } } 
{ /* Cfa/cfa.scm 270 */
obj_t BgL_auxz00_7065;
BgL_auxz00_7065 = 
PROCEDURE_ENTRY(BgL_method4817z00_6243)(BgL_method4817z00_6243, 
(obj_t)(BgL_arg5181z00_4003), BEOA); 
BgL_res5377z00_6268 = 
(BgL_approxz00_bglt)(BgL_auxz00_7065); } } 
BgL_auxz00_6961 = BgL_res5377z00_6268; } } 
return 
(obj_t)(BgL_auxz00_6961);} } } 
}



/* cfa!-let-fun4865 */
obj_t BGl_cfaz12zd2letzd2fun4865z12zzcfa_cfaz00(obj_t BgL_envz00_6572, obj_t BgL_nodez00_6573)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 237 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_3974;
{ /* Cfa/cfa.scm 238 */
BgL_approxz00_bglt BgL_auxz00_7072;
BgL_nodez00_3974 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_6573); 
{ /* Cfa/cfa.scm 238 */
BgL_nodez00_bglt BgL_arg5169z00_6175;
BgL_arg5169z00_6175 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_3974))->BgL_bodyz00); 
{ /* Cfa/cfa.scm 238 */
BgL_approxz00_bglt BgL_res5371z00_6203;
{ /* Cfa/cfa.scm 238 */
obj_t BgL_method4817z00_6178;
{ /* Cfa/cfa.scm 238 */
long BgL_objzd2classzd2numz00_6180;
{ /* Cfa/cfa.scm 238 */
BgL_objectz00_bglt BgL_auxz00_7074;
BgL_auxz00_7074 = 
(BgL_objectz00_bglt)(BgL_arg5169z00_6175); 
BgL_objzd2classzd2numz00_6180 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7074); } 
{ /* Cfa/cfa.scm 238 */
obj_t BgL_arg1221z00_6181;
{ /* Cfa/cfa.scm 238 */
int BgL_auxz00_7077;
BgL_auxz00_7077 = 
(int)(((long)1)); 
BgL_arg1221z00_6181 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7077); } 
{ /* Cfa/cfa.scm 238 */
long BgL_offsetz00_6185;
{ /* Cfa/cfa.scm 238 */
long BgL_auxz00_7080;
{ /* Cfa/cfa.scm 238 */
int BgL_auxz00_7081;
BgL_auxz00_7081 = 
(int)(BgL_objzd2classzd2numz00_6180); 
BgL_auxz00_7080 = 
(long)(BgL_auxz00_7081); } 
BgL_offsetz00_6185 = 
(BgL_auxz00_7080-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 238 */
long BgL_modz00_6186;
{ /* Cfa/cfa.scm 238 */
long BgL_auxz00_7085;
{ /* Cfa/cfa.scm 238 */
int BgL_auxz00_7086;
BgL_auxz00_7086 = 
(int)(((long)8)); 
BgL_auxz00_7085 = 
(long)(BgL_auxz00_7086); } 
BgL_modz00_6186 = 
(BgL_offsetz00_6185/BgL_auxz00_7085); } 
{ /* Cfa/cfa.scm 238 */
long BgL_restz00_6188;
{ /* Cfa/cfa.scm 238 */
long BgL_auxz00_7090;
{ /* Cfa/cfa.scm 238 */
int BgL_auxz00_7091;
BgL_auxz00_7091 = 
(int)(((long)8)); 
BgL_auxz00_7090 = 
(long)(BgL_auxz00_7091); } 
BgL_restz00_6188 = 
(BgL_offsetz00_6185%BgL_auxz00_7090); } 
{ /* Cfa/cfa.scm 238 */

{ /* Cfa/cfa.scm 238 */
obj_t BgL_bucketz00_6190;
{ /* Cfa/cfa.scm 238 */
int BgL_kz00_6200;
BgL_kz00_6200 = 
(int)(BgL_modz00_6186); 
BgL_bucketz00_6190 = 
VECTOR_REF(BgL_arg1221z00_6181,BgL_kz00_6200); } 
{ /* Cfa/cfa.scm 238 */
int BgL_kz00_6202;
BgL_kz00_6202 = 
(int)(BgL_restz00_6188); 
BgL_method4817z00_6178 = 
VECTOR_REF(BgL_bucketz00_6190,BgL_kz00_6202); } } } } } } } } 
{ /* Cfa/cfa.scm 238 */
obj_t BgL_auxz00_7099;
BgL_auxz00_7099 = 
PROCEDURE_ENTRY(BgL_method4817z00_6178)(BgL_method4817z00_6178, 
(obj_t)(BgL_arg5169z00_6175), BEOA); 
BgL_res5371z00_6203 = 
(BgL_approxz00_bglt)(BgL_auxz00_7099); } } 
BgL_auxz00_7072 = BgL_res5371z00_6203; } } 
return 
(obj_t)(BgL_auxz00_7072);} } } 
}



/* cfa!-select/Cinfo4863 */
obj_t BGl_cfaz12zd2selectzf2Cinfo4863z32zzcfa_cfaz00(obj_t BgL_envz00_6574, obj_t BgL_nodez00_6575)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 223 */
{ 
BgL_selectzf2cinfozf2_bglt BgL_nodez00_3958;
{ /* Cfa/cfa.scm 224 */
BgL_approxz00_bglt BgL_auxz00_7106;
BgL_nodez00_3958 = 
(BgL_selectzf2cinfozf2_bglt)(BgL_nodez00_6575); 
{ /* Cfa/cfa.scm 225 */
BgL_nodez00_bglt BgL_arg5162z00_3962;
{ /* Cfa/cfa.scm 225 */
BgL_selectz00_bglt BgL_obj3350z00_6113;
BgL_obj3350z00_6113 = 
(BgL_selectz00_bglt)(BgL_nodez00_3958); 
BgL_arg5162z00_3962 = 
(((BgL_selectz00_bglt)CREF(BgL_obj3350z00_6113))->BgL_testz00); } 
{ /* Cfa/cfa.scm 225 */
BgL_approxz00_bglt BgL_res5365z00_6140;
{ /* Cfa/cfa.scm 225 */
obj_t BgL_method4817z00_6115;
{ /* Cfa/cfa.scm 225 */
long BgL_objzd2classzd2numz00_6117;
{ /* Cfa/cfa.scm 225 */
BgL_objectz00_bglt BgL_auxz00_7109;
BgL_auxz00_7109 = 
(BgL_objectz00_bglt)(BgL_arg5162z00_3962); 
BgL_objzd2classzd2numz00_6117 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7109); } 
{ /* Cfa/cfa.scm 225 */
obj_t BgL_arg1221z00_6118;
{ /* Cfa/cfa.scm 225 */
int BgL_auxz00_7112;
BgL_auxz00_7112 = 
(int)(((long)1)); 
BgL_arg1221z00_6118 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7112); } 
{ /* Cfa/cfa.scm 225 */
long BgL_offsetz00_6122;
{ /* Cfa/cfa.scm 225 */
long BgL_auxz00_7115;
{ /* Cfa/cfa.scm 225 */
int BgL_auxz00_7116;
BgL_auxz00_7116 = 
(int)(BgL_objzd2classzd2numz00_6117); 
BgL_auxz00_7115 = 
(long)(BgL_auxz00_7116); } 
BgL_offsetz00_6122 = 
(BgL_auxz00_7115-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 225 */
long BgL_modz00_6123;
{ /* Cfa/cfa.scm 225 */
long BgL_auxz00_7120;
{ /* Cfa/cfa.scm 225 */
int BgL_auxz00_7121;
BgL_auxz00_7121 = 
(int)(((long)8)); 
BgL_auxz00_7120 = 
(long)(BgL_auxz00_7121); } 
BgL_modz00_6123 = 
(BgL_offsetz00_6122/BgL_auxz00_7120); } 
{ /* Cfa/cfa.scm 225 */
long BgL_restz00_6125;
{ /* Cfa/cfa.scm 225 */
long BgL_auxz00_7125;
{ /* Cfa/cfa.scm 225 */
int BgL_auxz00_7126;
BgL_auxz00_7126 = 
(int)(((long)8)); 
BgL_auxz00_7125 = 
(long)(BgL_auxz00_7126); } 
BgL_restz00_6125 = 
(BgL_offsetz00_6122%BgL_auxz00_7125); } 
{ /* Cfa/cfa.scm 225 */

{ /* Cfa/cfa.scm 225 */
obj_t BgL_bucketz00_6127;
{ /* Cfa/cfa.scm 225 */
int BgL_kz00_6137;
BgL_kz00_6137 = 
(int)(BgL_modz00_6123); 
BgL_bucketz00_6127 = 
VECTOR_REF(BgL_arg1221z00_6118,BgL_kz00_6137); } 
{ /* Cfa/cfa.scm 225 */
int BgL_kz00_6139;
BgL_kz00_6139 = 
(int)(BgL_restz00_6125); 
BgL_method4817z00_6115 = 
VECTOR_REF(BgL_bucketz00_6127,BgL_kz00_6139); } } } } } } } } 
{ /* Cfa/cfa.scm 225 */
obj_t BgL_auxz00_7134;
BgL_auxz00_7134 = 
PROCEDURE_ENTRY(BgL_method4817z00_6115)(BgL_method4817z00_6115, 
(obj_t)(BgL_arg5162z00_3962), BEOA); 
BgL_res5365z00_6140 = 
(BgL_approxz00_bglt)(BgL_auxz00_7134); } } BgL_res5365z00_6140; } } 
{ /* Cfa/cfa.scm 226 */
BgL_approxz00_bglt BgL_reszd2approxzd2_3963;
{ 
obj_t BgL_auxz00_7139;
{ /* Cfa/cfa.scm 226 */
BgL_objectz00_bglt BgL_auxz00_7140;
BgL_auxz00_7140 = 
(BgL_objectz00_bglt)(BgL_nodez00_3958); 
BgL_auxz00_7139 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7140); } 
BgL_reszd2approxzd2_3963 = 
(((BgL_selectzf2cinfozf2_bglt)CREF(BgL_auxz00_7139))->BgL_approxz00); } 
{ 
obj_t BgL_clsz00_3964;
{ /* Cfa/cfa.scm 227 */
BgL_selectz00_bglt BgL_obj3353z00_6142;
BgL_obj3353z00_6142 = 
(BgL_selectz00_bglt)(BgL_nodez00_3958); 
BgL_clsz00_3964 = 
(((BgL_selectz00_bglt)CREF(BgL_obj3353z00_6142))->BgL_clausesz00); } 
BgL_loopz00_3965:
if(
NULLP(BgL_clsz00_3964))
{ /* Cfa/cfa.scm 228 */
BgL_auxz00_7106 = BgL_reszd2approxzd2_3963
; }  else 
{ /* Cfa/cfa.scm 230 */
BgL_approxz00_bglt BgL_newzd2approxzd2_3968;
{ /* Cfa/cfa.scm 230 */
BgL_approxz00_bglt BgL_res5368z00_6172;
{ /* Cfa/cfa.scm 230 */
BgL_nodez00_bglt BgL_nodez00_6146;
{ /* Cfa/cfa.scm 230 */
obj_t BgL_auxz00_7146;
{ /* Cfa/cfa.scm 230 */
obj_t BgL_auxz00_7147;
BgL_auxz00_7147 = 
CAR(BgL_clsz00_3964); 
BgL_auxz00_7146 = 
CDR(BgL_auxz00_7147); } 
BgL_nodez00_6146 = 
(BgL_nodez00_bglt)(BgL_auxz00_7146); } 
{ /* Cfa/cfa.scm 230 */
obj_t BgL_method4817z00_6147;
{ /* Cfa/cfa.scm 230 */
long BgL_objzd2classzd2numz00_6149;
{ /* Cfa/cfa.scm 230 */
BgL_objectz00_bglt BgL_auxz00_7151;
BgL_auxz00_7151 = 
(BgL_objectz00_bglt)(BgL_nodez00_6146); 
BgL_objzd2classzd2numz00_6149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7151); } 
{ /* Cfa/cfa.scm 230 */
obj_t BgL_arg1221z00_6150;
{ /* Cfa/cfa.scm 230 */
int BgL_auxz00_7154;
BgL_auxz00_7154 = 
(int)(((long)1)); 
BgL_arg1221z00_6150 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7154); } 
{ /* Cfa/cfa.scm 230 */
long BgL_offsetz00_6154;
{ /* Cfa/cfa.scm 230 */
long BgL_auxz00_7157;
{ /* Cfa/cfa.scm 230 */
int BgL_auxz00_7158;
BgL_auxz00_7158 = 
(int)(BgL_objzd2classzd2numz00_6149); 
BgL_auxz00_7157 = 
(long)(BgL_auxz00_7158); } 
BgL_offsetz00_6154 = 
(BgL_auxz00_7157-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 230 */
long BgL_modz00_6155;
{ /* Cfa/cfa.scm 230 */
long BgL_auxz00_7162;
{ /* Cfa/cfa.scm 230 */
int BgL_auxz00_7163;
BgL_auxz00_7163 = 
(int)(((long)8)); 
BgL_auxz00_7162 = 
(long)(BgL_auxz00_7163); } 
BgL_modz00_6155 = 
(BgL_offsetz00_6154/BgL_auxz00_7162); } 
{ /* Cfa/cfa.scm 230 */
long BgL_restz00_6157;
{ /* Cfa/cfa.scm 230 */
long BgL_auxz00_7167;
{ /* Cfa/cfa.scm 230 */
int BgL_auxz00_7168;
BgL_auxz00_7168 = 
(int)(((long)8)); 
BgL_auxz00_7167 = 
(long)(BgL_auxz00_7168); } 
BgL_restz00_6157 = 
(BgL_offsetz00_6154%BgL_auxz00_7167); } 
{ /* Cfa/cfa.scm 230 */

{ /* Cfa/cfa.scm 230 */
obj_t BgL_bucketz00_6159;
{ /* Cfa/cfa.scm 230 */
int BgL_kz00_6169;
BgL_kz00_6169 = 
(int)(BgL_modz00_6155); 
BgL_bucketz00_6159 = 
VECTOR_REF(BgL_arg1221z00_6150,BgL_kz00_6169); } 
{ /* Cfa/cfa.scm 230 */
int BgL_kz00_6171;
BgL_kz00_6171 = 
(int)(BgL_restz00_6157); 
BgL_method4817z00_6147 = 
VECTOR_REF(BgL_bucketz00_6159,BgL_kz00_6171); } } } } } } } } 
{ /* Cfa/cfa.scm 230 */
obj_t BgL_auxz00_7176;
BgL_auxz00_7176 = 
PROCEDURE_ENTRY(BgL_method4817z00_6147)(BgL_method4817z00_6147, 
(obj_t)(BgL_nodez00_6146), BEOA); 
BgL_res5368z00_6172 = 
(BgL_approxz00_bglt)(BgL_auxz00_7176); } } } 
BgL_newzd2approxzd2_3968 = BgL_res5368z00_6172; } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_reszd2approxzd2_3963, BgL_newzd2approxzd2_3968); 
{ 
obj_t BgL_clsz00_7182;
BgL_clsz00_7182 = 
CDR(BgL_clsz00_3964); 
BgL_clsz00_3964 = BgL_clsz00_7182; 
goto BgL_loopz00_3965;} } } } 
return 
(obj_t)(BgL_auxz00_7106);} } } 
}



/* cfa!-fail/Cinfo4861 */
obj_t BGl_cfaz12zd2failzf2Cinfo4861z32zzcfa_cfaz00(obj_t BgL_envz00_6576, obj_t BgL_nodez00_6577)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 213 */
{ 
BgL_failzf2cinfozf2_bglt BgL_nodez00_3943;
{ /* Cfa/cfa.scm 214 */
BgL_approxz00_bglt BgL_auxz00_7188;
BgL_nodez00_3943 = 
(BgL_failzf2cinfozf2_bglt)(BgL_nodez00_6577); 
{ /* Cfa/cfa.scm 215 */
BgL_approxz00_bglt BgL_arg5152z00_3947;obj_t BgL_arg5153z00_3948;
{ /* Cfa/cfa.scm 215 */
BgL_nodez00_bglt BgL_arg5154z00_3949;
{ /* Cfa/cfa.scm 215 */
BgL_failz00_bglt BgL_obj3311z00_6028;
BgL_obj3311z00_6028 = 
(BgL_failz00_bglt)(BgL_nodez00_3943); 
BgL_arg5154z00_3949 = 
(((BgL_failz00_bglt)CREF(BgL_obj3311z00_6028))->BgL_procz00); } 
{ /* Cfa/cfa.scm 215 */
BgL_approxz00_bglt BgL_res5356z00_6055;
{ /* Cfa/cfa.scm 215 */
obj_t BgL_method4817z00_6030;
{ /* Cfa/cfa.scm 215 */
long BgL_objzd2classzd2numz00_6032;
{ /* Cfa/cfa.scm 215 */
BgL_objectz00_bglt BgL_auxz00_7191;
BgL_auxz00_7191 = 
(BgL_objectz00_bglt)(BgL_arg5154z00_3949); 
BgL_objzd2classzd2numz00_6032 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7191); } 
{ /* Cfa/cfa.scm 215 */
obj_t BgL_arg1221z00_6033;
{ /* Cfa/cfa.scm 215 */
int BgL_auxz00_7194;
BgL_auxz00_7194 = 
(int)(((long)1)); 
BgL_arg1221z00_6033 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7194); } 
{ /* Cfa/cfa.scm 215 */
long BgL_offsetz00_6037;
{ /* Cfa/cfa.scm 215 */
long BgL_auxz00_7197;
{ /* Cfa/cfa.scm 215 */
int BgL_auxz00_7198;
BgL_auxz00_7198 = 
(int)(BgL_objzd2classzd2numz00_6032); 
BgL_auxz00_7197 = 
(long)(BgL_auxz00_7198); } 
BgL_offsetz00_6037 = 
(BgL_auxz00_7197-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 215 */
long BgL_modz00_6038;
{ /* Cfa/cfa.scm 215 */
long BgL_auxz00_7202;
{ /* Cfa/cfa.scm 215 */
int BgL_auxz00_7203;
BgL_auxz00_7203 = 
(int)(((long)8)); 
BgL_auxz00_7202 = 
(long)(BgL_auxz00_7203); } 
BgL_modz00_6038 = 
(BgL_offsetz00_6037/BgL_auxz00_7202); } 
{ /* Cfa/cfa.scm 215 */
long BgL_restz00_6040;
{ /* Cfa/cfa.scm 215 */
long BgL_auxz00_7207;
{ /* Cfa/cfa.scm 215 */
int BgL_auxz00_7208;
BgL_auxz00_7208 = 
(int)(((long)8)); 
BgL_auxz00_7207 = 
(long)(BgL_auxz00_7208); } 
BgL_restz00_6040 = 
(BgL_offsetz00_6037%BgL_auxz00_7207); } 
{ /* Cfa/cfa.scm 215 */

{ /* Cfa/cfa.scm 215 */
obj_t BgL_bucketz00_6042;
{ /* Cfa/cfa.scm 215 */
int BgL_kz00_6052;
BgL_kz00_6052 = 
(int)(BgL_modz00_6038); 
BgL_bucketz00_6042 = 
VECTOR_REF(BgL_arg1221z00_6033,BgL_kz00_6052); } 
{ /* Cfa/cfa.scm 215 */
int BgL_kz00_6054;
BgL_kz00_6054 = 
(int)(BgL_restz00_6040); 
BgL_method4817z00_6030 = 
VECTOR_REF(BgL_bucketz00_6042,BgL_kz00_6054); } } } } } } } } 
{ /* Cfa/cfa.scm 215 */
obj_t BgL_auxz00_7216;
BgL_auxz00_7216 = 
PROCEDURE_ENTRY(BgL_method4817z00_6030)(BgL_method4817z00_6030, 
(obj_t)(BgL_arg5154z00_3949), BEOA); 
BgL_res5356z00_6055 = 
(BgL_approxz00_bglt)(BgL_auxz00_7216); } } 
BgL_arg5152z00_3947 = BgL_res5356z00_6055; } } 
BgL_arg5153z00_3948 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5152z00_3947, BgL_arg5153z00_3948); } 
{ /* Cfa/cfa.scm 216 */
BgL_approxz00_bglt BgL_arg5155z00_3950;obj_t BgL_arg5156z00_3951;
{ /* Cfa/cfa.scm 216 */
BgL_nodez00_bglt BgL_arg5157z00_3952;
{ /* Cfa/cfa.scm 216 */
BgL_failz00_bglt BgL_obj3314z00_6056;
BgL_obj3314z00_6056 = 
(BgL_failz00_bglt)(BgL_nodez00_3943); 
BgL_arg5157z00_3952 = 
(((BgL_failz00_bglt)CREF(BgL_obj3314z00_6056))->BgL_msgz00); } 
{ /* Cfa/cfa.scm 216 */
BgL_approxz00_bglt BgL_res5359z00_6083;
{ /* Cfa/cfa.scm 216 */
obj_t BgL_method4817z00_6058;
{ /* Cfa/cfa.scm 216 */
long BgL_objzd2classzd2numz00_6060;
{ /* Cfa/cfa.scm 216 */
BgL_objectz00_bglt BgL_auxz00_7225;
BgL_auxz00_7225 = 
(BgL_objectz00_bglt)(BgL_arg5157z00_3952); 
BgL_objzd2classzd2numz00_6060 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7225); } 
{ /* Cfa/cfa.scm 216 */
obj_t BgL_arg1221z00_6061;
{ /* Cfa/cfa.scm 216 */
int BgL_auxz00_7228;
BgL_auxz00_7228 = 
(int)(((long)1)); 
BgL_arg1221z00_6061 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7228); } 
{ /* Cfa/cfa.scm 216 */
long BgL_offsetz00_6065;
{ /* Cfa/cfa.scm 216 */
long BgL_auxz00_7231;
{ /* Cfa/cfa.scm 216 */
int BgL_auxz00_7232;
BgL_auxz00_7232 = 
(int)(BgL_objzd2classzd2numz00_6060); 
BgL_auxz00_7231 = 
(long)(BgL_auxz00_7232); } 
BgL_offsetz00_6065 = 
(BgL_auxz00_7231-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 216 */
long BgL_modz00_6066;
{ /* Cfa/cfa.scm 216 */
long BgL_auxz00_7236;
{ /* Cfa/cfa.scm 216 */
int BgL_auxz00_7237;
BgL_auxz00_7237 = 
(int)(((long)8)); 
BgL_auxz00_7236 = 
(long)(BgL_auxz00_7237); } 
BgL_modz00_6066 = 
(BgL_offsetz00_6065/BgL_auxz00_7236); } 
{ /* Cfa/cfa.scm 216 */
long BgL_restz00_6068;
{ /* Cfa/cfa.scm 216 */
long BgL_auxz00_7241;
{ /* Cfa/cfa.scm 216 */
int BgL_auxz00_7242;
BgL_auxz00_7242 = 
(int)(((long)8)); 
BgL_auxz00_7241 = 
(long)(BgL_auxz00_7242); } 
BgL_restz00_6068 = 
(BgL_offsetz00_6065%BgL_auxz00_7241); } 
{ /* Cfa/cfa.scm 216 */

{ /* Cfa/cfa.scm 216 */
obj_t BgL_bucketz00_6070;
{ /* Cfa/cfa.scm 216 */
int BgL_kz00_6080;
BgL_kz00_6080 = 
(int)(BgL_modz00_6066); 
BgL_bucketz00_6070 = 
VECTOR_REF(BgL_arg1221z00_6061,BgL_kz00_6080); } 
{ /* Cfa/cfa.scm 216 */
int BgL_kz00_6082;
BgL_kz00_6082 = 
(int)(BgL_restz00_6068); 
BgL_method4817z00_6058 = 
VECTOR_REF(BgL_bucketz00_6070,BgL_kz00_6082); } } } } } } } } 
{ /* Cfa/cfa.scm 216 */
obj_t BgL_auxz00_7250;
BgL_auxz00_7250 = 
PROCEDURE_ENTRY(BgL_method4817z00_6058)(BgL_method4817z00_6058, 
(obj_t)(BgL_arg5157z00_3952), BEOA); 
BgL_res5359z00_6083 = 
(BgL_approxz00_bglt)(BgL_auxz00_7250); } } 
BgL_arg5155z00_3950 = BgL_res5359z00_6083; } } 
BgL_arg5156z00_3951 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5155z00_3950, BgL_arg5156z00_3951); } 
{ /* Cfa/cfa.scm 217 */
BgL_approxz00_bglt BgL_arg5158z00_3953;obj_t BgL_arg5159z00_3954;
{ /* Cfa/cfa.scm 217 */
BgL_nodez00_bglt BgL_arg5160z00_3955;
{ /* Cfa/cfa.scm 217 */
BgL_failz00_bglt BgL_obj3317z00_6084;
BgL_obj3317z00_6084 = 
(BgL_failz00_bglt)(BgL_nodez00_3943); 
BgL_arg5160z00_3955 = 
(((BgL_failz00_bglt)CREF(BgL_obj3317z00_6084))->BgL_objz00); } 
{ /* Cfa/cfa.scm 217 */
BgL_approxz00_bglt BgL_res5362z00_6111;
{ /* Cfa/cfa.scm 217 */
obj_t BgL_method4817z00_6086;
{ /* Cfa/cfa.scm 217 */
long BgL_objzd2classzd2numz00_6088;
{ /* Cfa/cfa.scm 217 */
BgL_objectz00_bglt BgL_auxz00_7259;
BgL_auxz00_7259 = 
(BgL_objectz00_bglt)(BgL_arg5160z00_3955); 
BgL_objzd2classzd2numz00_6088 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7259); } 
{ /* Cfa/cfa.scm 217 */
obj_t BgL_arg1221z00_6089;
{ /* Cfa/cfa.scm 217 */
int BgL_auxz00_7262;
BgL_auxz00_7262 = 
(int)(((long)1)); 
BgL_arg1221z00_6089 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7262); } 
{ /* Cfa/cfa.scm 217 */
long BgL_offsetz00_6093;
{ /* Cfa/cfa.scm 217 */
long BgL_auxz00_7265;
{ /* Cfa/cfa.scm 217 */
int BgL_auxz00_7266;
BgL_auxz00_7266 = 
(int)(BgL_objzd2classzd2numz00_6088); 
BgL_auxz00_7265 = 
(long)(BgL_auxz00_7266); } 
BgL_offsetz00_6093 = 
(BgL_auxz00_7265-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 217 */
long BgL_modz00_6094;
{ /* Cfa/cfa.scm 217 */
long BgL_auxz00_7270;
{ /* Cfa/cfa.scm 217 */
int BgL_auxz00_7271;
BgL_auxz00_7271 = 
(int)(((long)8)); 
BgL_auxz00_7270 = 
(long)(BgL_auxz00_7271); } 
BgL_modz00_6094 = 
(BgL_offsetz00_6093/BgL_auxz00_7270); } 
{ /* Cfa/cfa.scm 217 */
long BgL_restz00_6096;
{ /* Cfa/cfa.scm 217 */
long BgL_auxz00_7275;
{ /* Cfa/cfa.scm 217 */
int BgL_auxz00_7276;
BgL_auxz00_7276 = 
(int)(((long)8)); 
BgL_auxz00_7275 = 
(long)(BgL_auxz00_7276); } 
BgL_restz00_6096 = 
(BgL_offsetz00_6093%BgL_auxz00_7275); } 
{ /* Cfa/cfa.scm 217 */

{ /* Cfa/cfa.scm 217 */
obj_t BgL_bucketz00_6098;
{ /* Cfa/cfa.scm 217 */
int BgL_kz00_6108;
BgL_kz00_6108 = 
(int)(BgL_modz00_6094); 
BgL_bucketz00_6098 = 
VECTOR_REF(BgL_arg1221z00_6089,BgL_kz00_6108); } 
{ /* Cfa/cfa.scm 217 */
int BgL_kz00_6110;
BgL_kz00_6110 = 
(int)(BgL_restz00_6096); 
BgL_method4817z00_6086 = 
VECTOR_REF(BgL_bucketz00_6098,BgL_kz00_6110); } } } } } } } } 
{ /* Cfa/cfa.scm 217 */
obj_t BgL_auxz00_7284;
BgL_auxz00_7284 = 
PROCEDURE_ENTRY(BgL_method4817z00_6086)(BgL_method4817z00_6086, 
(obj_t)(BgL_arg5160z00_3955), BEOA); 
BgL_res5362z00_6111 = 
(BgL_approxz00_bglt)(BgL_auxz00_7284); } } 
BgL_arg5158z00_3953 = BgL_res5362z00_6111; } } 
BgL_arg5159z00_3954 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5158z00_3953, BgL_arg5159z00_3954); } 
{ 
obj_t BgL_auxz00_7291;
{ /* Cfa/cfa.scm 218 */
BgL_objectz00_bglt BgL_auxz00_7292;
BgL_auxz00_7292 = 
(BgL_objectz00_bglt)(BgL_nodez00_3943); 
BgL_auxz00_7291 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7292); } 
BgL_auxz00_7188 = 
(((BgL_failzf2cinfozf2_bglt)CREF(BgL_auxz00_7291))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7188);} } } 
}



/* cfa!-conditional/Cinfo4859 */
obj_t BGl_cfaz12zd2conditionalzf2Cinfo4859z32zzcfa_cfaz00(obj_t BgL_envz00_6578, obj_t BgL_nodez00_6579)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 201 */
{ 
BgL_conditionalzf2cinfozf2_bglt BgL_nodez00_3930;
{ /* Cfa/cfa.scm 202 */
BgL_approxz00_bglt BgL_auxz00_7298;
BgL_nodez00_3930 = 
(BgL_conditionalzf2cinfozf2_bglt)(BgL_nodez00_6579); 
{ /* Cfa/cfa.scm 203 */
BgL_nodez00_bglt BgL_arg5146z00_3934;
{ /* Cfa/cfa.scm 203 */
BgL_conditionalz00_bglt BgL_obj3279z00_5941;
BgL_obj3279z00_5941 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3930); 
BgL_arg5146z00_3934 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj3279z00_5941))->BgL_testz00); } 
{ /* Cfa/cfa.scm 203 */
BgL_approxz00_bglt BgL_res5347z00_5968;
{ /* Cfa/cfa.scm 203 */
obj_t BgL_method4817z00_5943;
{ /* Cfa/cfa.scm 203 */
long BgL_objzd2classzd2numz00_5945;
{ /* Cfa/cfa.scm 203 */
BgL_objectz00_bglt BgL_auxz00_7301;
BgL_auxz00_7301 = 
(BgL_objectz00_bglt)(BgL_arg5146z00_3934); 
BgL_objzd2classzd2numz00_5945 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7301); } 
{ /* Cfa/cfa.scm 203 */
obj_t BgL_arg1221z00_5946;
{ /* Cfa/cfa.scm 203 */
int BgL_auxz00_7304;
BgL_auxz00_7304 = 
(int)(((long)1)); 
BgL_arg1221z00_5946 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7304); } 
{ /* Cfa/cfa.scm 203 */
long BgL_offsetz00_5950;
{ /* Cfa/cfa.scm 203 */
long BgL_auxz00_7307;
{ /* Cfa/cfa.scm 203 */
int BgL_auxz00_7308;
BgL_auxz00_7308 = 
(int)(BgL_objzd2classzd2numz00_5945); 
BgL_auxz00_7307 = 
(long)(BgL_auxz00_7308); } 
BgL_offsetz00_5950 = 
(BgL_auxz00_7307-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 203 */
long BgL_modz00_5951;
{ /* Cfa/cfa.scm 203 */
long BgL_auxz00_7312;
{ /* Cfa/cfa.scm 203 */
int BgL_auxz00_7313;
BgL_auxz00_7313 = 
(int)(((long)8)); 
BgL_auxz00_7312 = 
(long)(BgL_auxz00_7313); } 
BgL_modz00_5951 = 
(BgL_offsetz00_5950/BgL_auxz00_7312); } 
{ /* Cfa/cfa.scm 203 */
long BgL_restz00_5953;
{ /* Cfa/cfa.scm 203 */
long BgL_auxz00_7317;
{ /* Cfa/cfa.scm 203 */
int BgL_auxz00_7318;
BgL_auxz00_7318 = 
(int)(((long)8)); 
BgL_auxz00_7317 = 
(long)(BgL_auxz00_7318); } 
BgL_restz00_5953 = 
(BgL_offsetz00_5950%BgL_auxz00_7317); } 
{ /* Cfa/cfa.scm 203 */

{ /* Cfa/cfa.scm 203 */
obj_t BgL_bucketz00_5955;
{ /* Cfa/cfa.scm 203 */
int BgL_kz00_5965;
BgL_kz00_5965 = 
(int)(BgL_modz00_5951); 
BgL_bucketz00_5955 = 
VECTOR_REF(BgL_arg1221z00_5946,BgL_kz00_5965); } 
{ /* Cfa/cfa.scm 203 */
int BgL_kz00_5967;
BgL_kz00_5967 = 
(int)(BgL_restz00_5953); 
BgL_method4817z00_5943 = 
VECTOR_REF(BgL_bucketz00_5955,BgL_kz00_5967); } } } } } } } } 
{ /* Cfa/cfa.scm 203 */
obj_t BgL_auxz00_7326;
BgL_auxz00_7326 = 
PROCEDURE_ENTRY(BgL_method4817z00_5943)(BgL_method4817z00_5943, 
(obj_t)(BgL_arg5146z00_3934), BEOA); 
BgL_res5347z00_5968 = 
(BgL_approxz00_bglt)(BgL_auxz00_7326); } } BgL_res5347z00_5968; } } 
{ /* Cfa/cfa.scm 204 */
BgL_approxz00_bglt BgL_thenzd2approxzd2_3935;BgL_approxz00_bglt BgL_elsezd2approxzd2_3936;
{ /* Cfa/cfa.scm 204 */
BgL_nodez00_bglt BgL_arg5149z00_3939;
{ /* Cfa/cfa.scm 204 */
BgL_conditionalz00_bglt BgL_obj3282z00_5969;
BgL_obj3282z00_5969 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3930); 
BgL_arg5149z00_3939 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj3282z00_5969))->BgL_truez00); } 
{ /* Cfa/cfa.scm 204 */
BgL_approxz00_bglt BgL_res5350z00_5996;
{ /* Cfa/cfa.scm 204 */
obj_t BgL_method4817z00_5971;
{ /* Cfa/cfa.scm 204 */
long BgL_objzd2classzd2numz00_5973;
{ /* Cfa/cfa.scm 204 */
BgL_objectz00_bglt BgL_auxz00_7333;
BgL_auxz00_7333 = 
(BgL_objectz00_bglt)(BgL_arg5149z00_3939); 
BgL_objzd2classzd2numz00_5973 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7333); } 
{ /* Cfa/cfa.scm 204 */
obj_t BgL_arg1221z00_5974;
{ /* Cfa/cfa.scm 204 */
int BgL_auxz00_7336;
BgL_auxz00_7336 = 
(int)(((long)1)); 
BgL_arg1221z00_5974 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7336); } 
{ /* Cfa/cfa.scm 204 */
long BgL_offsetz00_5978;
{ /* Cfa/cfa.scm 204 */
long BgL_auxz00_7339;
{ /* Cfa/cfa.scm 204 */
int BgL_auxz00_7340;
BgL_auxz00_7340 = 
(int)(BgL_objzd2classzd2numz00_5973); 
BgL_auxz00_7339 = 
(long)(BgL_auxz00_7340); } 
BgL_offsetz00_5978 = 
(BgL_auxz00_7339-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 204 */
long BgL_modz00_5979;
{ /* Cfa/cfa.scm 204 */
long BgL_auxz00_7344;
{ /* Cfa/cfa.scm 204 */
int BgL_auxz00_7345;
BgL_auxz00_7345 = 
(int)(((long)8)); 
BgL_auxz00_7344 = 
(long)(BgL_auxz00_7345); } 
BgL_modz00_5979 = 
(BgL_offsetz00_5978/BgL_auxz00_7344); } 
{ /* Cfa/cfa.scm 204 */
long BgL_restz00_5981;
{ /* Cfa/cfa.scm 204 */
long BgL_auxz00_7349;
{ /* Cfa/cfa.scm 204 */
int BgL_auxz00_7350;
BgL_auxz00_7350 = 
(int)(((long)8)); 
BgL_auxz00_7349 = 
(long)(BgL_auxz00_7350); } 
BgL_restz00_5981 = 
(BgL_offsetz00_5978%BgL_auxz00_7349); } 
{ /* Cfa/cfa.scm 204 */

{ /* Cfa/cfa.scm 204 */
obj_t BgL_bucketz00_5983;
{ /* Cfa/cfa.scm 204 */
int BgL_kz00_5993;
BgL_kz00_5993 = 
(int)(BgL_modz00_5979); 
BgL_bucketz00_5983 = 
VECTOR_REF(BgL_arg1221z00_5974,BgL_kz00_5993); } 
{ /* Cfa/cfa.scm 204 */
int BgL_kz00_5995;
BgL_kz00_5995 = 
(int)(BgL_restz00_5981); 
BgL_method4817z00_5971 = 
VECTOR_REF(BgL_bucketz00_5983,BgL_kz00_5995); } } } } } } } } 
{ /* Cfa/cfa.scm 204 */
obj_t BgL_auxz00_7358;
BgL_auxz00_7358 = 
PROCEDURE_ENTRY(BgL_method4817z00_5971)(BgL_method4817z00_5971, 
(obj_t)(BgL_arg5149z00_3939), BEOA); 
BgL_res5350z00_5996 = 
(BgL_approxz00_bglt)(BgL_auxz00_7358); } } 
BgL_thenzd2approxzd2_3935 = BgL_res5350z00_5996; } } 
{ /* Cfa/cfa.scm 205 */
BgL_nodez00_bglt BgL_arg5150z00_3940;
{ /* Cfa/cfa.scm 205 */
BgL_conditionalz00_bglt BgL_obj3285z00_5997;
BgL_obj3285z00_5997 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3930); 
BgL_arg5150z00_3940 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj3285z00_5997))->BgL_falsez00); } 
{ /* Cfa/cfa.scm 205 */
BgL_approxz00_bglt BgL_res5353z00_6024;
{ /* Cfa/cfa.scm 205 */
obj_t BgL_method4817z00_5999;
{ /* Cfa/cfa.scm 205 */
long BgL_objzd2classzd2numz00_6001;
{ /* Cfa/cfa.scm 205 */
BgL_objectz00_bglt BgL_auxz00_7365;
BgL_auxz00_7365 = 
(BgL_objectz00_bglt)(BgL_arg5150z00_3940); 
BgL_objzd2classzd2numz00_6001 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7365); } 
{ /* Cfa/cfa.scm 205 */
obj_t BgL_arg1221z00_6002;
{ /* Cfa/cfa.scm 205 */
int BgL_auxz00_7368;
BgL_auxz00_7368 = 
(int)(((long)1)); 
BgL_arg1221z00_6002 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7368); } 
{ /* Cfa/cfa.scm 205 */
long BgL_offsetz00_6006;
{ /* Cfa/cfa.scm 205 */
long BgL_auxz00_7371;
{ /* Cfa/cfa.scm 205 */
int BgL_auxz00_7372;
BgL_auxz00_7372 = 
(int)(BgL_objzd2classzd2numz00_6001); 
BgL_auxz00_7371 = 
(long)(BgL_auxz00_7372); } 
BgL_offsetz00_6006 = 
(BgL_auxz00_7371-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 205 */
long BgL_modz00_6007;
{ /* Cfa/cfa.scm 205 */
long BgL_auxz00_7376;
{ /* Cfa/cfa.scm 205 */
int BgL_auxz00_7377;
BgL_auxz00_7377 = 
(int)(((long)8)); 
BgL_auxz00_7376 = 
(long)(BgL_auxz00_7377); } 
BgL_modz00_6007 = 
(BgL_offsetz00_6006/BgL_auxz00_7376); } 
{ /* Cfa/cfa.scm 205 */
long BgL_restz00_6009;
{ /* Cfa/cfa.scm 205 */
long BgL_auxz00_7381;
{ /* Cfa/cfa.scm 205 */
int BgL_auxz00_7382;
BgL_auxz00_7382 = 
(int)(((long)8)); 
BgL_auxz00_7381 = 
(long)(BgL_auxz00_7382); } 
BgL_restz00_6009 = 
(BgL_offsetz00_6006%BgL_auxz00_7381); } 
{ /* Cfa/cfa.scm 205 */

{ /* Cfa/cfa.scm 205 */
obj_t BgL_bucketz00_6011;
{ /* Cfa/cfa.scm 205 */
int BgL_kz00_6021;
BgL_kz00_6021 = 
(int)(BgL_modz00_6007); 
BgL_bucketz00_6011 = 
VECTOR_REF(BgL_arg1221z00_6002,BgL_kz00_6021); } 
{ /* Cfa/cfa.scm 205 */
int BgL_kz00_6023;
BgL_kz00_6023 = 
(int)(BgL_restz00_6009); 
BgL_method4817z00_5999 = 
VECTOR_REF(BgL_bucketz00_6011,BgL_kz00_6023); } } } } } } } } 
{ /* Cfa/cfa.scm 205 */
obj_t BgL_auxz00_7390;
BgL_auxz00_7390 = 
PROCEDURE_ENTRY(BgL_method4817z00_5999)(BgL_method4817z00_5999, 
(obj_t)(BgL_arg5150z00_3940), BEOA); 
BgL_res5353z00_6024 = 
(BgL_approxz00_bglt)(BgL_auxz00_7390); } } 
BgL_elsezd2approxzd2_3936 = BgL_res5353z00_6024; } } 
{ /* Cfa/cfa.scm 206 */
BgL_approxz00_bglt BgL_auxz00_7395;
{ 
obj_t BgL_auxz00_7396;
{ /* Cfa/cfa.scm 206 */
BgL_objectz00_bglt BgL_auxz00_7397;
BgL_auxz00_7397 = 
(BgL_objectz00_bglt)(BgL_nodez00_3930); 
BgL_auxz00_7396 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7397); } 
BgL_auxz00_7395 = 
(((BgL_conditionalzf2cinfozf2_bglt)CREF(BgL_auxz00_7396))->BgL_approxz00); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_7395, BgL_thenzd2approxzd2_3935); } 
{ /* Cfa/cfa.scm 207 */
BgL_approxz00_bglt BgL_auxz00_7402;
{ 
obj_t BgL_auxz00_7403;
{ /* Cfa/cfa.scm 207 */
BgL_objectz00_bglt BgL_auxz00_7404;
BgL_auxz00_7404 = 
(BgL_objectz00_bglt)(BgL_nodez00_3930); 
BgL_auxz00_7403 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7404); } 
BgL_auxz00_7402 = 
(((BgL_conditionalzf2cinfozf2_bglt)CREF(BgL_auxz00_7403))->BgL_approxz00); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_auxz00_7402, BgL_elsezd2approxzd2_3936); } 
{ 
obj_t BgL_auxz00_7409;
{ /* Cfa/cfa.scm 208 */
BgL_objectz00_bglt BgL_auxz00_7410;
BgL_auxz00_7410 = 
(BgL_objectz00_bglt)(BgL_nodez00_3930); 
BgL_auxz00_7409 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7410); } 
BgL_auxz00_7298 = 
(((BgL_conditionalzf2cinfozf2_bglt)CREF(BgL_auxz00_7409))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_7298);} } } 
}



/* cfa!-setq/Cinfo4857 */
obj_t BGl_cfaz12zd2setqzf2Cinfo4857z32zzcfa_cfaz00(obj_t BgL_envz00_6580, obj_t BgL_nodez00_6581)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 187 */
{ 
BgL_setqzf2cinfozf2_bglt BgL_nodez00_3917;
{ /* Cfa/cfa.scm 188 */
BgL_approxz00_bglt BgL_auxz00_7416;
BgL_nodez00_3917 = 
(BgL_setqzf2cinfozf2_bglt)(BgL_nodez00_6581); 
{ /* Cfa/cfa.scm 189 */
BgL_approxz00_bglt BgL_varzd2approxzd2_3921;
{ /* Cfa/cfa.scm 189 */
BgL_approxz00_bglt BgL_res5341z00_5908;
{ /* Cfa/cfa.scm 189 */
BgL_nodez00_bglt BgL_nodez00_5882;
{ /* Cfa/cfa.scm 189 */
BgL_varz00_bglt BgL_auxz00_7417;
{ /* Cfa/cfa.scm 189 */
BgL_setqz00_bglt BgL_obj3243z00_5881;
BgL_obj3243z00_5881 = 
(BgL_setqz00_bglt)(BgL_nodez00_3917); 
BgL_auxz00_7417 = 
(((BgL_setqz00_bglt)CREF(BgL_obj3243z00_5881))->BgL_varz00); } 
BgL_nodez00_5882 = 
(BgL_nodez00_bglt)(BgL_auxz00_7417); } 
{ /* Cfa/cfa.scm 189 */
obj_t BgL_method4817z00_5883;
{ /* Cfa/cfa.scm 189 */
long BgL_objzd2classzd2numz00_5885;
{ /* Cfa/cfa.scm 189 */
BgL_objectz00_bglt BgL_auxz00_7421;
BgL_auxz00_7421 = 
(BgL_objectz00_bglt)(BgL_nodez00_5882); 
BgL_objzd2classzd2numz00_5885 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7421); } 
{ /* Cfa/cfa.scm 189 */
obj_t BgL_arg1221z00_5886;
{ /* Cfa/cfa.scm 189 */
int BgL_auxz00_7424;
BgL_auxz00_7424 = 
(int)(((long)1)); 
BgL_arg1221z00_5886 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7424); } 
{ /* Cfa/cfa.scm 189 */
long BgL_offsetz00_5890;
{ /* Cfa/cfa.scm 189 */
long BgL_auxz00_7427;
{ /* Cfa/cfa.scm 189 */
int BgL_auxz00_7428;
BgL_auxz00_7428 = 
(int)(BgL_objzd2classzd2numz00_5885); 
BgL_auxz00_7427 = 
(long)(BgL_auxz00_7428); } 
BgL_offsetz00_5890 = 
(BgL_auxz00_7427-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 189 */
long BgL_modz00_5891;
{ /* Cfa/cfa.scm 189 */
long BgL_auxz00_7432;
{ /* Cfa/cfa.scm 189 */
int BgL_auxz00_7433;
BgL_auxz00_7433 = 
(int)(((long)8)); 
BgL_auxz00_7432 = 
(long)(BgL_auxz00_7433); } 
BgL_modz00_5891 = 
(BgL_offsetz00_5890/BgL_auxz00_7432); } 
{ /* Cfa/cfa.scm 189 */
long BgL_restz00_5893;
{ /* Cfa/cfa.scm 189 */
long BgL_auxz00_7437;
{ /* Cfa/cfa.scm 189 */
int BgL_auxz00_7438;
BgL_auxz00_7438 = 
(int)(((long)8)); 
BgL_auxz00_7437 = 
(long)(BgL_auxz00_7438); } 
BgL_restz00_5893 = 
(BgL_offsetz00_5890%BgL_auxz00_7437); } 
{ /* Cfa/cfa.scm 189 */

{ /* Cfa/cfa.scm 189 */
obj_t BgL_bucketz00_5895;
{ /* Cfa/cfa.scm 189 */
int BgL_kz00_5905;
BgL_kz00_5905 = 
(int)(BgL_modz00_5891); 
BgL_bucketz00_5895 = 
VECTOR_REF(BgL_arg1221z00_5886,BgL_kz00_5905); } 
{ /* Cfa/cfa.scm 189 */
int BgL_kz00_5907;
BgL_kz00_5907 = 
(int)(BgL_restz00_5893); 
BgL_method4817z00_5883 = 
VECTOR_REF(BgL_bucketz00_5895,BgL_kz00_5907); } } } } } } } } 
{ /* Cfa/cfa.scm 189 */
obj_t BgL_auxz00_7446;
BgL_auxz00_7446 = 
PROCEDURE_ENTRY(BgL_method4817z00_5883)(BgL_method4817z00_5883, 
(obj_t)(BgL_nodez00_5882), BEOA); 
BgL_res5341z00_5908 = 
(BgL_approxz00_bglt)(BgL_auxz00_7446); } } } 
BgL_varzd2approxzd2_3921 = BgL_res5341z00_5908; } 
{ /* Cfa/cfa.scm 189 */
BgL_approxz00_bglt BgL_valzd2approxzd2_3922;
{ /* Cfa/cfa.scm 190 */
BgL_nodez00_bglt BgL_arg5143z00_3926;
{ /* Cfa/cfa.scm 190 */
BgL_setqz00_bglt BgL_obj3246z00_5909;
BgL_obj3246z00_5909 = 
(BgL_setqz00_bglt)(BgL_nodez00_3917); 
BgL_arg5143z00_3926 = 
(((BgL_setqz00_bglt)CREF(BgL_obj3246z00_5909))->BgL_valuez00); } 
{ /* Cfa/cfa.scm 190 */
BgL_approxz00_bglt BgL_res5344z00_5936;
{ /* Cfa/cfa.scm 190 */
obj_t BgL_method4817z00_5911;
{ /* Cfa/cfa.scm 190 */
long BgL_objzd2classzd2numz00_5913;
{ /* Cfa/cfa.scm 190 */
BgL_objectz00_bglt BgL_auxz00_7453;
BgL_auxz00_7453 = 
(BgL_objectz00_bglt)(BgL_arg5143z00_3926); 
BgL_objzd2classzd2numz00_5913 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7453); } 
{ /* Cfa/cfa.scm 190 */
obj_t BgL_arg1221z00_5914;
{ /* Cfa/cfa.scm 190 */
int BgL_auxz00_7456;
BgL_auxz00_7456 = 
(int)(((long)1)); 
BgL_arg1221z00_5914 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7456); } 
{ /* Cfa/cfa.scm 190 */
long BgL_offsetz00_5918;
{ /* Cfa/cfa.scm 190 */
long BgL_auxz00_7459;
{ /* Cfa/cfa.scm 190 */
int BgL_auxz00_7460;
BgL_auxz00_7460 = 
(int)(BgL_objzd2classzd2numz00_5913); 
BgL_auxz00_7459 = 
(long)(BgL_auxz00_7460); } 
BgL_offsetz00_5918 = 
(BgL_auxz00_7459-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 190 */
long BgL_modz00_5919;
{ /* Cfa/cfa.scm 190 */
long BgL_auxz00_7464;
{ /* Cfa/cfa.scm 190 */
int BgL_auxz00_7465;
BgL_auxz00_7465 = 
(int)(((long)8)); 
BgL_auxz00_7464 = 
(long)(BgL_auxz00_7465); } 
BgL_modz00_5919 = 
(BgL_offsetz00_5918/BgL_auxz00_7464); } 
{ /* Cfa/cfa.scm 190 */
long BgL_restz00_5921;
{ /* Cfa/cfa.scm 190 */
long BgL_auxz00_7469;
{ /* Cfa/cfa.scm 190 */
int BgL_auxz00_7470;
BgL_auxz00_7470 = 
(int)(((long)8)); 
BgL_auxz00_7469 = 
(long)(BgL_auxz00_7470); } 
BgL_restz00_5921 = 
(BgL_offsetz00_5918%BgL_auxz00_7469); } 
{ /* Cfa/cfa.scm 190 */

{ /* Cfa/cfa.scm 190 */
obj_t BgL_bucketz00_5923;
{ /* Cfa/cfa.scm 190 */
int BgL_kz00_5933;
BgL_kz00_5933 = 
(int)(BgL_modz00_5919); 
BgL_bucketz00_5923 = 
VECTOR_REF(BgL_arg1221z00_5914,BgL_kz00_5933); } 
{ /* Cfa/cfa.scm 190 */
int BgL_kz00_5935;
BgL_kz00_5935 = 
(int)(BgL_restz00_5921); 
BgL_method4817z00_5911 = 
VECTOR_REF(BgL_bucketz00_5923,BgL_kz00_5935); } } } } } } } } 
{ /* Cfa/cfa.scm 190 */
obj_t BgL_auxz00_7478;
BgL_auxz00_7478 = 
PROCEDURE_ENTRY(BgL_method4817z00_5911)(BgL_method4817z00_5911, 
(obj_t)(BgL_arg5143z00_3926), BEOA); 
BgL_res5344z00_5936 = 
(BgL_approxz00_bglt)(BgL_auxz00_7478); } } 
BgL_valzd2approxzd2_3922 = BgL_res5344z00_5936; } } 
{ /* Cfa/cfa.scm 190 */
BgL_variablez00_bglt BgL_vz00_3923;
{ /* Cfa/cfa.scm 191 */
BgL_varz00_bglt BgL_arg5142z00_3925;
{ /* Cfa/cfa.scm 191 */
BgL_setqz00_bglt BgL_obj3243z00_5937;
BgL_obj3243z00_5937 = 
(BgL_setqz00_bglt)(BgL_nodez00_3917); 
BgL_arg5142z00_3925 = 
(((BgL_setqz00_bglt)CREF(BgL_obj3243z00_5937))->BgL_varz00); } 
BgL_vz00_3923 = 
(((BgL_varz00_bglt)CREF(BgL_arg5142z00_3925))->BgL_variablez00); } 
{ /* Cfa/cfa.scm 191 */

BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_varzd2approxzd2_3921, BgL_valzd2approxzd2_3922); 
{ /* Cfa/cfa.scm 195 */
bool_t BgL_test5141z00_3924;
BgL_test5141z00_3924 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3923), BGl_globalz00zzast_varz00); 
if(BgL_test5141z00_3924)
{ /* Cfa/cfa.scm 195 */
BGl_globalzd2loosez12zc0zzcfa_loosez00(
(BgL_globalz00_bglt)(BgL_vz00_3923), BgL_varzd2approxzd2_3921); }  else 
{ /* Cfa/cfa.scm 195 */BFALSE; } } 
{ 
obj_t BgL_auxz00_7492;
{ /* Cfa/cfa.scm 196 */
BgL_objectz00_bglt BgL_auxz00_7493;
BgL_auxz00_7493 = 
(BgL_objectz00_bglt)(BgL_nodez00_3917); 
BgL_auxz00_7492 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7493); } 
BgL_auxz00_7416 = 
(((BgL_setqzf2cinfozf2_bglt)CREF(BgL_auxz00_7492))->BgL_approxz00); } } } } } 
return 
(obj_t)(BgL_auxz00_7416);} } } 
}



/* cfa!-cast4855 */
obj_t BGl_cfaz12zd2cast4855zc0zzcfa_cfaz00(obj_t BgL_envz00_6582, obj_t BgL_nodez00_6583)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 180 */
{ 
BgL_castz00_bglt BgL_nodez00_3910;
{ /* Cfa/cfa.scm 181 */
BgL_approxz00_bglt BgL_auxz00_7499;
BgL_nodez00_3910 = 
(BgL_castz00_bglt)(BgL_nodez00_6583); 
{ /* Cfa/cfa.scm 181 */
BgL_nodez00_bglt BgL_arg5139z00_5852;
BgL_arg5139z00_5852 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_3910))->BgL_argz00); 
{ /* Cfa/cfa.scm 181 */
BgL_approxz00_bglt BgL_res5338z00_5880;
{ /* Cfa/cfa.scm 181 */
obj_t BgL_method4817z00_5855;
{ /* Cfa/cfa.scm 181 */
long BgL_objzd2classzd2numz00_5857;
{ /* Cfa/cfa.scm 181 */
BgL_objectz00_bglt BgL_auxz00_7501;
BgL_auxz00_7501 = 
(BgL_objectz00_bglt)(BgL_arg5139z00_5852); 
BgL_objzd2classzd2numz00_5857 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7501); } 
{ /* Cfa/cfa.scm 181 */
obj_t BgL_arg1221z00_5858;
{ /* Cfa/cfa.scm 181 */
int BgL_auxz00_7504;
BgL_auxz00_7504 = 
(int)(((long)1)); 
BgL_arg1221z00_5858 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7504); } 
{ /* Cfa/cfa.scm 181 */
long BgL_offsetz00_5862;
{ /* Cfa/cfa.scm 181 */
long BgL_auxz00_7507;
{ /* Cfa/cfa.scm 181 */
int BgL_auxz00_7508;
BgL_auxz00_7508 = 
(int)(BgL_objzd2classzd2numz00_5857); 
BgL_auxz00_7507 = 
(long)(BgL_auxz00_7508); } 
BgL_offsetz00_5862 = 
(BgL_auxz00_7507-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 181 */
long BgL_modz00_5863;
{ /* Cfa/cfa.scm 181 */
long BgL_auxz00_7512;
{ /* Cfa/cfa.scm 181 */
int BgL_auxz00_7513;
BgL_auxz00_7513 = 
(int)(((long)8)); 
BgL_auxz00_7512 = 
(long)(BgL_auxz00_7513); } 
BgL_modz00_5863 = 
(BgL_offsetz00_5862/BgL_auxz00_7512); } 
{ /* Cfa/cfa.scm 181 */
long BgL_restz00_5865;
{ /* Cfa/cfa.scm 181 */
long BgL_auxz00_7517;
{ /* Cfa/cfa.scm 181 */
int BgL_auxz00_7518;
BgL_auxz00_7518 = 
(int)(((long)8)); 
BgL_auxz00_7517 = 
(long)(BgL_auxz00_7518); } 
BgL_restz00_5865 = 
(BgL_offsetz00_5862%BgL_auxz00_7517); } 
{ /* Cfa/cfa.scm 181 */

{ /* Cfa/cfa.scm 181 */
obj_t BgL_bucketz00_5867;
{ /* Cfa/cfa.scm 181 */
int BgL_kz00_5877;
BgL_kz00_5877 = 
(int)(BgL_modz00_5863); 
BgL_bucketz00_5867 = 
VECTOR_REF(BgL_arg1221z00_5858,BgL_kz00_5877); } 
{ /* Cfa/cfa.scm 181 */
int BgL_kz00_5879;
BgL_kz00_5879 = 
(int)(BgL_restz00_5865); 
BgL_method4817z00_5855 = 
VECTOR_REF(BgL_bucketz00_5867,BgL_kz00_5879); } } } } } } } } 
{ /* Cfa/cfa.scm 181 */
obj_t BgL_auxz00_7526;
BgL_auxz00_7526 = 
PROCEDURE_ENTRY(BgL_method4817z00_5855)(BgL_method4817z00_5855, 
(obj_t)(BgL_arg5139z00_5852), BEOA); 
BgL_res5338z00_5880 = 
(BgL_approxz00_bglt)(BgL_auxz00_7526); } } 
BgL_auxz00_7499 = BgL_res5338z00_5880; } } 
return 
(obj_t)(BgL_auxz00_7499);} } } 
}



/* cfa!-isa/Cinfo4853 */
obj_t BGl_cfaz12zd2isazf2Cinfo4853z32zzcfa_cfaz00(obj_t BgL_envz00_6584, obj_t BgL_nodez00_6585)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 173 */
{ 
BgL_isazf2cinfozf2_bglt BgL_nodez00_3904;
{ /* Cfa/cfa.scm 174 */
BgL_approxz00_bglt BgL_auxz00_7533;
BgL_nodez00_3904 = 
(BgL_isazf2cinfozf2_bglt)(BgL_nodez00_6585); 
{ 
obj_t BgL_auxz00_7534;
{ /* Cfa/cfa.scm 174 */
BgL_objectz00_bglt BgL_auxz00_7535;
BgL_auxz00_7535 = 
(BgL_objectz00_bglt)(BgL_nodez00_3904); 
BgL_auxz00_7534 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7535); } 
BgL_auxz00_7533 = 
(((BgL_isazf2cinfozf2_bglt)CREF(BgL_auxz00_7534))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7533);} } } 
}



/* cfa!-new/Cinfo4851 */
obj_t BGl_cfaz12zd2newzf2Cinfo4851z32zzcfa_cfaz00(obj_t BgL_envz00_6586, obj_t BgL_nodez00_6587)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 166 */
{ 
BgL_newzf2cinfozf2_bglt BgL_nodez00_3898;
{ /* Cfa/cfa.scm 167 */
BgL_approxz00_bglt BgL_auxz00_7541;
BgL_nodez00_3898 = 
(BgL_newzf2cinfozf2_bglt)(BgL_nodez00_6587); 
{ 
obj_t BgL_auxz00_7542;
{ /* Cfa/cfa.scm 167 */
BgL_objectz00_bglt BgL_auxz00_7543;
BgL_auxz00_7543 = 
(BgL_objectz00_bglt)(BgL_nodez00_3898); 
BgL_auxz00_7542 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7543); } 
BgL_auxz00_7541 = 
(((BgL_newzf2cinfozf2_bglt)CREF(BgL_auxz00_7542))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7541);} } } 
}



/* cfa!-setfield/Cinfo4849 */
obj_t BGl_cfaz12zd2setfieldzf2Cinfo4849z32zzcfa_cfaz00(obj_t BgL_envz00_6588, obj_t BgL_nodez00_6589)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 158 */
{ 
BgL_setfieldzf2cinfozf2_bglt BgL_nodez00_3884;
{ /* Cfa/cfa.scm 159 */
BgL_approxz00_bglt BgL_auxz00_7549;
BgL_nodez00_3884 = 
(BgL_setfieldzf2cinfozf2_bglt)(BgL_nodez00_6589); 
{ 
obj_t BgL_l4784z00_3888;
{ /* Cfa/cfa.scm 160 */
BgL_setfieldz00_bglt BgL_obj4393z00_5815;
BgL_obj4393z00_5815 = 
(BgL_setfieldz00_bglt)(BgL_nodez00_3884); 
BgL_l4784z00_3888 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj4393z00_5815))->BgL_exprza2za2); } 
BgL_lname4785z00_3889:
if(
PAIRP(BgL_l4784z00_3888))
{ /* Cfa/cfa.scm 160 */
{ /* Cfa/cfa.scm 160 */
BgL_approxz00_bglt BgL_arg5133z00_3893;obj_t BgL_arg5134z00_3894;
{ /* Cfa/cfa.scm 160 */
BgL_approxz00_bglt BgL_res5335z00_5844;
{ /* Cfa/cfa.scm 160 */
BgL_nodez00_bglt BgL_nodez00_5818;
{ /* Cfa/cfa.scm 160 */
obj_t BgL_auxz00_7552;
BgL_auxz00_7552 = 
CAR(BgL_l4784z00_3888); 
BgL_nodez00_5818 = 
(BgL_nodez00_bglt)(BgL_auxz00_7552); } 
{ /* Cfa/cfa.scm 160 */
obj_t BgL_method4817z00_5819;
{ /* Cfa/cfa.scm 160 */
long BgL_objzd2classzd2numz00_5821;
{ /* Cfa/cfa.scm 160 */
BgL_objectz00_bglt BgL_auxz00_7555;
BgL_auxz00_7555 = 
(BgL_objectz00_bglt)(BgL_nodez00_5818); 
BgL_objzd2classzd2numz00_5821 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7555); } 
{ /* Cfa/cfa.scm 160 */
obj_t BgL_arg1221z00_5822;
{ /* Cfa/cfa.scm 160 */
int BgL_auxz00_7558;
BgL_auxz00_7558 = 
(int)(((long)1)); 
BgL_arg1221z00_5822 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7558); } 
{ /* Cfa/cfa.scm 160 */
long BgL_offsetz00_5826;
{ /* Cfa/cfa.scm 160 */
long BgL_auxz00_7561;
{ /* Cfa/cfa.scm 160 */
int BgL_auxz00_7562;
BgL_auxz00_7562 = 
(int)(BgL_objzd2classzd2numz00_5821); 
BgL_auxz00_7561 = 
(long)(BgL_auxz00_7562); } 
BgL_offsetz00_5826 = 
(BgL_auxz00_7561-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 160 */
long BgL_modz00_5827;
{ /* Cfa/cfa.scm 160 */
long BgL_auxz00_7566;
{ /* Cfa/cfa.scm 160 */
int BgL_auxz00_7567;
BgL_auxz00_7567 = 
(int)(((long)8)); 
BgL_auxz00_7566 = 
(long)(BgL_auxz00_7567); } 
BgL_modz00_5827 = 
(BgL_offsetz00_5826/BgL_auxz00_7566); } 
{ /* Cfa/cfa.scm 160 */
long BgL_restz00_5829;
{ /* Cfa/cfa.scm 160 */
long BgL_auxz00_7571;
{ /* Cfa/cfa.scm 160 */
int BgL_auxz00_7572;
BgL_auxz00_7572 = 
(int)(((long)8)); 
BgL_auxz00_7571 = 
(long)(BgL_auxz00_7572); } 
BgL_restz00_5829 = 
(BgL_offsetz00_5826%BgL_auxz00_7571); } 
{ /* Cfa/cfa.scm 160 */

{ /* Cfa/cfa.scm 160 */
obj_t BgL_bucketz00_5831;
{ /* Cfa/cfa.scm 160 */
int BgL_kz00_5841;
BgL_kz00_5841 = 
(int)(BgL_modz00_5827); 
BgL_bucketz00_5831 = 
VECTOR_REF(BgL_arg1221z00_5822,BgL_kz00_5841); } 
{ /* Cfa/cfa.scm 160 */
int BgL_kz00_5843;
BgL_kz00_5843 = 
(int)(BgL_restz00_5829); 
BgL_method4817z00_5819 = 
VECTOR_REF(BgL_bucketz00_5831,BgL_kz00_5843); } } } } } } } } 
{ /* Cfa/cfa.scm 160 */
obj_t BgL_auxz00_7580;
BgL_auxz00_7580 = 
PROCEDURE_ENTRY(BgL_method4817z00_5819)(BgL_method4817z00_5819, 
(obj_t)(BgL_nodez00_5818), BEOA); 
BgL_res5335z00_5844 = 
(BgL_approxz00_bglt)(BgL_auxz00_7580); } } } 
BgL_arg5133z00_3893 = BgL_res5335z00_5844; } 
BgL_arg5134z00_3894 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5133z00_3893, BgL_arg5134z00_3894); } 
{ 
obj_t BgL_l4784z00_7587;
BgL_l4784z00_7587 = 
CDR(BgL_l4784z00_3888); 
BgL_l4784z00_3888 = BgL_l4784z00_7587; 
goto BgL_lname4785z00_3889;} }  else 
{ /* Cfa/cfa.scm 160 */((bool_t)1); } } 
{ 
obj_t BgL_auxz00_7591;
{ /* Cfa/cfa.scm 161 */
BgL_objectz00_bglt BgL_auxz00_7592;
BgL_auxz00_7592 = 
(BgL_objectz00_bglt)(BgL_nodez00_3884); 
BgL_auxz00_7591 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7592); } 
BgL_auxz00_7549 = 
(((BgL_setfieldzf2cinfozf2_bglt)CREF(BgL_auxz00_7591))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7549);} } } 
}



/* cfa!-getfield/Cinfo4847 */
obj_t BGl_cfaz12zd2getfieldzf2Cinfo4847z32zzcfa_cfaz00(obj_t BgL_envz00_6590, obj_t BgL_nodez00_6591)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 150 */
{ 
BgL_getfieldzf2cinfozf2_bglt BgL_nodez00_3870;
{ /* Cfa/cfa.scm 151 */
BgL_approxz00_bglt BgL_auxz00_7598;
BgL_nodez00_3870 = 
(BgL_getfieldzf2cinfozf2_bglt)(BgL_nodez00_6591); 
{ 
obj_t BgL_l4780z00_3874;
{ /* Cfa/cfa.scm 152 */
BgL_getfieldz00_bglt BgL_obj4356z00_5783;
BgL_obj4356z00_5783 = 
(BgL_getfieldz00_bglt)(BgL_nodez00_3870); 
BgL_l4780z00_3874 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj4356z00_5783))->BgL_exprza2za2); } 
BgL_lname4781z00_3875:
if(
PAIRP(BgL_l4780z00_3874))
{ /* Cfa/cfa.scm 152 */
{ /* Cfa/cfa.scm 152 */
BgL_approxz00_bglt BgL_arg5127z00_3879;obj_t BgL_arg5128z00_3880;
{ /* Cfa/cfa.scm 152 */
BgL_approxz00_bglt BgL_res5332z00_5812;
{ /* Cfa/cfa.scm 152 */
BgL_nodez00_bglt BgL_nodez00_5786;
{ /* Cfa/cfa.scm 152 */
obj_t BgL_auxz00_7601;
BgL_auxz00_7601 = 
CAR(BgL_l4780z00_3874); 
BgL_nodez00_5786 = 
(BgL_nodez00_bglt)(BgL_auxz00_7601); } 
{ /* Cfa/cfa.scm 152 */
obj_t BgL_method4817z00_5787;
{ /* Cfa/cfa.scm 152 */
long BgL_objzd2classzd2numz00_5789;
{ /* Cfa/cfa.scm 152 */
BgL_objectz00_bglt BgL_auxz00_7604;
BgL_auxz00_7604 = 
(BgL_objectz00_bglt)(BgL_nodez00_5786); 
BgL_objzd2classzd2numz00_5789 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7604); } 
{ /* Cfa/cfa.scm 152 */
obj_t BgL_arg1221z00_5790;
{ /* Cfa/cfa.scm 152 */
int BgL_auxz00_7607;
BgL_auxz00_7607 = 
(int)(((long)1)); 
BgL_arg1221z00_5790 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7607); } 
{ /* Cfa/cfa.scm 152 */
long BgL_offsetz00_5794;
{ /* Cfa/cfa.scm 152 */
long BgL_auxz00_7610;
{ /* Cfa/cfa.scm 152 */
int BgL_auxz00_7611;
BgL_auxz00_7611 = 
(int)(BgL_objzd2classzd2numz00_5789); 
BgL_auxz00_7610 = 
(long)(BgL_auxz00_7611); } 
BgL_offsetz00_5794 = 
(BgL_auxz00_7610-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 152 */
long BgL_modz00_5795;
{ /* Cfa/cfa.scm 152 */
long BgL_auxz00_7615;
{ /* Cfa/cfa.scm 152 */
int BgL_auxz00_7616;
BgL_auxz00_7616 = 
(int)(((long)8)); 
BgL_auxz00_7615 = 
(long)(BgL_auxz00_7616); } 
BgL_modz00_5795 = 
(BgL_offsetz00_5794/BgL_auxz00_7615); } 
{ /* Cfa/cfa.scm 152 */
long BgL_restz00_5797;
{ /* Cfa/cfa.scm 152 */
long BgL_auxz00_7620;
{ /* Cfa/cfa.scm 152 */
int BgL_auxz00_7621;
BgL_auxz00_7621 = 
(int)(((long)8)); 
BgL_auxz00_7620 = 
(long)(BgL_auxz00_7621); } 
BgL_restz00_5797 = 
(BgL_offsetz00_5794%BgL_auxz00_7620); } 
{ /* Cfa/cfa.scm 152 */

{ /* Cfa/cfa.scm 152 */
obj_t BgL_bucketz00_5799;
{ /* Cfa/cfa.scm 152 */
int BgL_kz00_5809;
BgL_kz00_5809 = 
(int)(BgL_modz00_5795); 
BgL_bucketz00_5799 = 
VECTOR_REF(BgL_arg1221z00_5790,BgL_kz00_5809); } 
{ /* Cfa/cfa.scm 152 */
int BgL_kz00_5811;
BgL_kz00_5811 = 
(int)(BgL_restz00_5797); 
BgL_method4817z00_5787 = 
VECTOR_REF(BgL_bucketz00_5799,BgL_kz00_5811); } } } } } } } } 
{ /* Cfa/cfa.scm 152 */
obj_t BgL_auxz00_7629;
BgL_auxz00_7629 = 
PROCEDURE_ENTRY(BgL_method4817z00_5787)(BgL_method4817z00_5787, 
(obj_t)(BgL_nodez00_5786), BEOA); 
BgL_res5332z00_5812 = 
(BgL_approxz00_bglt)(BgL_auxz00_7629); } } } 
BgL_arg5127z00_3879 = BgL_res5332z00_5812; } 
BgL_arg5128z00_3880 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5127z00_3879, BgL_arg5128z00_3880); } 
{ 
obj_t BgL_l4780z00_7636;
BgL_l4780z00_7636 = 
CDR(BgL_l4780z00_3874); 
BgL_l4780z00_3874 = BgL_l4780z00_7636; 
goto BgL_lname4781z00_3875;} }  else 
{ /* Cfa/cfa.scm 152 */((bool_t)1); } } 
{ 
obj_t BgL_auxz00_7640;
{ /* Cfa/cfa.scm 153 */
BgL_objectz00_bglt BgL_auxz00_7641;
BgL_auxz00_7641 = 
(BgL_objectz00_bglt)(BgL_nodez00_3870); 
BgL_auxz00_7640 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7641); } 
BgL_auxz00_7598 = 
(((BgL_getfieldzf2cinfozf2_bglt)CREF(BgL_auxz00_7640))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7598);} } } 
}



/* cfa!-pragma/Cinfo4845 */
obj_t BGl_cfaz12zd2pragmazf2Cinfo4845z32zzcfa_cfaz00(obj_t BgL_envz00_6592, obj_t BgL_nodez00_6593)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 142 */
{ 
BgL_pragmazf2cinfozf2_bglt BgL_nodez00_3856;
{ /* Cfa/cfa.scm 143 */
BgL_approxz00_bglt BgL_auxz00_7647;
BgL_nodez00_3856 = 
(BgL_pragmazf2cinfozf2_bglt)(BgL_nodez00_6593); 
{ 
obj_t BgL_l4776z00_3860;
{ /* Cfa/cfa.scm 144 */
BgL_pragmaz00_bglt BgL_obj4320z00_5751;
BgL_obj4320z00_5751 = 
(BgL_pragmaz00_bglt)(BgL_nodez00_3856); 
BgL_l4776z00_3860 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj4320z00_5751))->BgL_exprza2za2); } 
BgL_lname4777z00_3861:
if(
PAIRP(BgL_l4776z00_3860))
{ /* Cfa/cfa.scm 144 */
{ /* Cfa/cfa.scm 144 */
BgL_approxz00_bglt BgL_arg5121z00_3865;obj_t BgL_arg5122z00_3866;
{ /* Cfa/cfa.scm 144 */
BgL_approxz00_bglt BgL_res5329z00_5780;
{ /* Cfa/cfa.scm 144 */
BgL_nodez00_bglt BgL_nodez00_5754;
{ /* Cfa/cfa.scm 144 */
obj_t BgL_auxz00_7650;
BgL_auxz00_7650 = 
CAR(BgL_l4776z00_3860); 
BgL_nodez00_5754 = 
(BgL_nodez00_bglt)(BgL_auxz00_7650); } 
{ /* Cfa/cfa.scm 144 */
obj_t BgL_method4817z00_5755;
{ /* Cfa/cfa.scm 144 */
long BgL_objzd2classzd2numz00_5757;
{ /* Cfa/cfa.scm 144 */
BgL_objectz00_bglt BgL_auxz00_7653;
BgL_auxz00_7653 = 
(BgL_objectz00_bglt)(BgL_nodez00_5754); 
BgL_objzd2classzd2numz00_5757 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7653); } 
{ /* Cfa/cfa.scm 144 */
obj_t BgL_arg1221z00_5758;
{ /* Cfa/cfa.scm 144 */
int BgL_auxz00_7656;
BgL_auxz00_7656 = 
(int)(((long)1)); 
BgL_arg1221z00_5758 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7656); } 
{ /* Cfa/cfa.scm 144 */
long BgL_offsetz00_5762;
{ /* Cfa/cfa.scm 144 */
long BgL_auxz00_7659;
{ /* Cfa/cfa.scm 144 */
int BgL_auxz00_7660;
BgL_auxz00_7660 = 
(int)(BgL_objzd2classzd2numz00_5757); 
BgL_auxz00_7659 = 
(long)(BgL_auxz00_7660); } 
BgL_offsetz00_5762 = 
(BgL_auxz00_7659-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 144 */
long BgL_modz00_5763;
{ /* Cfa/cfa.scm 144 */
long BgL_auxz00_7664;
{ /* Cfa/cfa.scm 144 */
int BgL_auxz00_7665;
BgL_auxz00_7665 = 
(int)(((long)8)); 
BgL_auxz00_7664 = 
(long)(BgL_auxz00_7665); } 
BgL_modz00_5763 = 
(BgL_offsetz00_5762/BgL_auxz00_7664); } 
{ /* Cfa/cfa.scm 144 */
long BgL_restz00_5765;
{ /* Cfa/cfa.scm 144 */
long BgL_auxz00_7669;
{ /* Cfa/cfa.scm 144 */
int BgL_auxz00_7670;
BgL_auxz00_7670 = 
(int)(((long)8)); 
BgL_auxz00_7669 = 
(long)(BgL_auxz00_7670); } 
BgL_restz00_5765 = 
(BgL_offsetz00_5762%BgL_auxz00_7669); } 
{ /* Cfa/cfa.scm 144 */

{ /* Cfa/cfa.scm 144 */
obj_t BgL_bucketz00_5767;
{ /* Cfa/cfa.scm 144 */
int BgL_kz00_5777;
BgL_kz00_5777 = 
(int)(BgL_modz00_5763); 
BgL_bucketz00_5767 = 
VECTOR_REF(BgL_arg1221z00_5758,BgL_kz00_5777); } 
{ /* Cfa/cfa.scm 144 */
int BgL_kz00_5779;
BgL_kz00_5779 = 
(int)(BgL_restz00_5765); 
BgL_method4817z00_5755 = 
VECTOR_REF(BgL_bucketz00_5767,BgL_kz00_5779); } } } } } } } } 
{ /* Cfa/cfa.scm 144 */
obj_t BgL_auxz00_7678;
BgL_auxz00_7678 = 
PROCEDURE_ENTRY(BgL_method4817z00_5755)(BgL_method4817z00_5755, 
(obj_t)(BgL_nodez00_5754), BEOA); 
BgL_res5329z00_5780 = 
(BgL_approxz00_bglt)(BgL_auxz00_7678); } } } 
BgL_arg5121z00_3865 = BgL_res5329z00_5780; } 
BgL_arg5122z00_3866 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5121z00_3865, BgL_arg5122z00_3866); } 
{ 
obj_t BgL_l4776z00_7685;
BgL_l4776z00_7685 = 
CDR(BgL_l4776z00_3860); 
BgL_l4776z00_3860 = BgL_l4776z00_7685; 
goto BgL_lname4777z00_3861;} }  else 
{ /* Cfa/cfa.scm 144 */((bool_t)1); } } 
{ 
obj_t BgL_auxz00_7689;
{ /* Cfa/cfa.scm 145 */
BgL_objectz00_bglt BgL_auxz00_7690;
BgL_auxz00_7690 = 
(BgL_objectz00_bglt)(BgL_nodez00_3856); 
BgL_auxz00_7689 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7690); } 
BgL_auxz00_7647 = 
(((BgL_pragmazf2cinfozf2_bglt)CREF(BgL_auxz00_7689))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7647);} } } 
}



/* cfa!-app-ly/Cinfo4843 */
obj_t BGl_cfaz12zd2appzd2lyzf2Cinfo4843ze0zzcfa_cfaz00(obj_t BgL_envz00_6594, obj_t BgL_nodez00_6595)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 133 */
{ 
BgL_appzd2lyzf2cinfoz20_bglt BgL_nodez00_3844;
{ /* Cfa/cfa.scm 134 */
BgL_approxz00_bglt BgL_auxz00_7696;
BgL_nodez00_3844 = 
(BgL_appzd2lyzf2cinfoz20_bglt)(BgL_nodez00_6595); 
{ /* Cfa/cfa.scm 135 */
BgL_approxz00_bglt BgL_arg5112z00_3848;obj_t BgL_arg5113z00_3849;
{ /* Cfa/cfa.scm 135 */
BgL_nodez00_bglt BgL_arg5114z00_3850;
{ /* Cfa/cfa.scm 135 */
BgL_appzd2lyzd2_bglt BgL_obj3168z00_5694;
BgL_obj3168z00_5694 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3844); 
BgL_arg5114z00_3850 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj3168z00_5694))->BgL_argz00); } 
{ /* Cfa/cfa.scm 135 */
BgL_approxz00_bglt BgL_res5323z00_5721;
{ /* Cfa/cfa.scm 135 */
obj_t BgL_method4817z00_5696;
{ /* Cfa/cfa.scm 135 */
long BgL_objzd2classzd2numz00_5698;
{ /* Cfa/cfa.scm 135 */
BgL_objectz00_bglt BgL_auxz00_7699;
BgL_auxz00_7699 = 
(BgL_objectz00_bglt)(BgL_arg5114z00_3850); 
BgL_objzd2classzd2numz00_5698 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7699); } 
{ /* Cfa/cfa.scm 135 */
obj_t BgL_arg1221z00_5699;
{ /* Cfa/cfa.scm 135 */
int BgL_auxz00_7702;
BgL_auxz00_7702 = 
(int)(((long)1)); 
BgL_arg1221z00_5699 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7702); } 
{ /* Cfa/cfa.scm 135 */
long BgL_offsetz00_5703;
{ /* Cfa/cfa.scm 135 */
long BgL_auxz00_7705;
{ /* Cfa/cfa.scm 135 */
int BgL_auxz00_7706;
BgL_auxz00_7706 = 
(int)(BgL_objzd2classzd2numz00_5698); 
BgL_auxz00_7705 = 
(long)(BgL_auxz00_7706); } 
BgL_offsetz00_5703 = 
(BgL_auxz00_7705-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 135 */
long BgL_modz00_5704;
{ /* Cfa/cfa.scm 135 */
long BgL_auxz00_7710;
{ /* Cfa/cfa.scm 135 */
int BgL_auxz00_7711;
BgL_auxz00_7711 = 
(int)(((long)8)); 
BgL_auxz00_7710 = 
(long)(BgL_auxz00_7711); } 
BgL_modz00_5704 = 
(BgL_offsetz00_5703/BgL_auxz00_7710); } 
{ /* Cfa/cfa.scm 135 */
long BgL_restz00_5706;
{ /* Cfa/cfa.scm 135 */
long BgL_auxz00_7715;
{ /* Cfa/cfa.scm 135 */
int BgL_auxz00_7716;
BgL_auxz00_7716 = 
(int)(((long)8)); 
BgL_auxz00_7715 = 
(long)(BgL_auxz00_7716); } 
BgL_restz00_5706 = 
(BgL_offsetz00_5703%BgL_auxz00_7715); } 
{ /* Cfa/cfa.scm 135 */

{ /* Cfa/cfa.scm 135 */
obj_t BgL_bucketz00_5708;
{ /* Cfa/cfa.scm 135 */
int BgL_kz00_5718;
BgL_kz00_5718 = 
(int)(BgL_modz00_5704); 
BgL_bucketz00_5708 = 
VECTOR_REF(BgL_arg1221z00_5699,BgL_kz00_5718); } 
{ /* Cfa/cfa.scm 135 */
int BgL_kz00_5720;
BgL_kz00_5720 = 
(int)(BgL_restz00_5706); 
BgL_method4817z00_5696 = 
VECTOR_REF(BgL_bucketz00_5708,BgL_kz00_5720); } } } } } } } } 
{ /* Cfa/cfa.scm 135 */
obj_t BgL_auxz00_7724;
BgL_auxz00_7724 = 
PROCEDURE_ENTRY(BgL_method4817z00_5696)(BgL_method4817z00_5696, 
(obj_t)(BgL_arg5114z00_3850), BEOA); 
BgL_res5323z00_5721 = 
(BgL_approxz00_bglt)(BgL_auxz00_7724); } } 
BgL_arg5112z00_3848 = BgL_res5323z00_5721; } } 
BgL_arg5113z00_3849 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5112z00_3848, BgL_arg5113z00_3849); } 
{ /* Cfa/cfa.scm 136 */
BgL_approxz00_bglt BgL_arg5115z00_3851;obj_t BgL_arg5116z00_3852;
{ /* Cfa/cfa.scm 136 */
BgL_nodez00_bglt BgL_arg5117z00_3853;
{ /* Cfa/cfa.scm 136 */
BgL_appzd2lyzd2_bglt BgL_obj3165z00_5722;
BgL_obj3165z00_5722 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3844); 
BgL_arg5117z00_3853 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj3165z00_5722))->BgL_funz00); } 
{ /* Cfa/cfa.scm 136 */
BgL_approxz00_bglt BgL_res5326z00_5749;
{ /* Cfa/cfa.scm 136 */
obj_t BgL_method4817z00_5724;
{ /* Cfa/cfa.scm 136 */
long BgL_objzd2classzd2numz00_5726;
{ /* Cfa/cfa.scm 136 */
BgL_objectz00_bglt BgL_auxz00_7733;
BgL_auxz00_7733 = 
(BgL_objectz00_bglt)(BgL_arg5117z00_3853); 
BgL_objzd2classzd2numz00_5726 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7733); } 
{ /* Cfa/cfa.scm 136 */
obj_t BgL_arg1221z00_5727;
{ /* Cfa/cfa.scm 136 */
int BgL_auxz00_7736;
BgL_auxz00_7736 = 
(int)(((long)1)); 
BgL_arg1221z00_5727 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7736); } 
{ /* Cfa/cfa.scm 136 */
long BgL_offsetz00_5731;
{ /* Cfa/cfa.scm 136 */
long BgL_auxz00_7739;
{ /* Cfa/cfa.scm 136 */
int BgL_auxz00_7740;
BgL_auxz00_7740 = 
(int)(BgL_objzd2classzd2numz00_5726); 
BgL_auxz00_7739 = 
(long)(BgL_auxz00_7740); } 
BgL_offsetz00_5731 = 
(BgL_auxz00_7739-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 136 */
long BgL_modz00_5732;
{ /* Cfa/cfa.scm 136 */
long BgL_auxz00_7744;
{ /* Cfa/cfa.scm 136 */
int BgL_auxz00_7745;
BgL_auxz00_7745 = 
(int)(((long)8)); 
BgL_auxz00_7744 = 
(long)(BgL_auxz00_7745); } 
BgL_modz00_5732 = 
(BgL_offsetz00_5731/BgL_auxz00_7744); } 
{ /* Cfa/cfa.scm 136 */
long BgL_restz00_5734;
{ /* Cfa/cfa.scm 136 */
long BgL_auxz00_7749;
{ /* Cfa/cfa.scm 136 */
int BgL_auxz00_7750;
BgL_auxz00_7750 = 
(int)(((long)8)); 
BgL_auxz00_7749 = 
(long)(BgL_auxz00_7750); } 
BgL_restz00_5734 = 
(BgL_offsetz00_5731%BgL_auxz00_7749); } 
{ /* Cfa/cfa.scm 136 */

{ /* Cfa/cfa.scm 136 */
obj_t BgL_bucketz00_5736;
{ /* Cfa/cfa.scm 136 */
int BgL_kz00_5746;
BgL_kz00_5746 = 
(int)(BgL_modz00_5732); 
BgL_bucketz00_5736 = 
VECTOR_REF(BgL_arg1221z00_5727,BgL_kz00_5746); } 
{ /* Cfa/cfa.scm 136 */
int BgL_kz00_5748;
BgL_kz00_5748 = 
(int)(BgL_restz00_5734); 
BgL_method4817z00_5724 = 
VECTOR_REF(BgL_bucketz00_5736,BgL_kz00_5748); } } } } } } } } 
{ /* Cfa/cfa.scm 136 */
obj_t BgL_auxz00_7758;
BgL_auxz00_7758 = 
PROCEDURE_ENTRY(BgL_method4817z00_5724)(BgL_method4817z00_5724, 
(obj_t)(BgL_arg5117z00_3853), BEOA); 
BgL_res5326z00_5749 = 
(BgL_approxz00_bglt)(BgL_auxz00_7758); } } 
BgL_arg5115z00_3851 = BgL_res5326z00_5749; } } 
BgL_arg5116z00_3852 = 
CNST_TABLE_REF(((long)0)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg5115z00_3851, BgL_arg5116z00_3852); } 
{ 
obj_t BgL_auxz00_7765;
{ /* Cfa/cfa.scm 137 */
BgL_objectz00_bglt BgL_auxz00_7766;
BgL_auxz00_7766 = 
(BgL_objectz00_bglt)(BgL_nodez00_3844); 
BgL_auxz00_7765 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7766); } 
BgL_auxz00_7696 = 
(((BgL_appzd2lyzf2cinfoz20_bglt)CREF(BgL_auxz00_7765))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7696);} } } 
}



/* cfa!-sequence4841 */
obj_t BGl_cfaz12zd2sequence4841zc0zzcfa_cfaz00(obj_t BgL_envz00_6596, obj_t BgL_nodez00_6597)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 122 */
{ 
BgL_sequencez00_bglt BgL_nodez00_3830;
BgL_nodez00_3830 = 
(BgL_sequencez00_bglt)(BgL_nodez00_6597); 
{ 
obj_t BgL_nz00_3834;obj_t BgL_approxz00_3835;
BgL_nz00_3834 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_3830))->BgL_nodesz00); 
BgL_approxz00_3835 = BUNSPEC; 
BgL_loopz00_3836:
if(
NULLP(BgL_nz00_3834))
{ /* Cfa/cfa.scm 126 */
return BgL_approxz00_3835;}  else 
{ /* Cfa/cfa.scm 128 */
obj_t BgL_arg5108z00_3839;BgL_approxz00_bglt BgL_arg5109z00_3840;
BgL_arg5108z00_3839 = 
CDR(BgL_nz00_3834); 
{ /* Cfa/cfa.scm 128 */
BgL_approxz00_bglt BgL_res5320z00_5693;
{ /* Cfa/cfa.scm 128 */
BgL_nodez00_bglt BgL_nodez00_5667;
{ /* Cfa/cfa.scm 128 */
obj_t BgL_auxz00_7775;
BgL_auxz00_7775 = 
CAR(BgL_nz00_3834); 
BgL_nodez00_5667 = 
(BgL_nodez00_bglt)(BgL_auxz00_7775); } 
{ /* Cfa/cfa.scm 128 */
obj_t BgL_method4817z00_5668;
{ /* Cfa/cfa.scm 128 */
long BgL_objzd2classzd2numz00_5670;
{ /* Cfa/cfa.scm 128 */
BgL_objectz00_bglt BgL_auxz00_7778;
BgL_auxz00_7778 = 
(BgL_objectz00_bglt)(BgL_nodez00_5667); 
BgL_objzd2classzd2numz00_5670 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7778); } 
{ /* Cfa/cfa.scm 128 */
obj_t BgL_arg1221z00_5671;
{ /* Cfa/cfa.scm 128 */
int BgL_auxz00_7781;
BgL_auxz00_7781 = 
(int)(((long)1)); 
BgL_arg1221z00_5671 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7781); } 
{ /* Cfa/cfa.scm 128 */
long BgL_offsetz00_5675;
{ /* Cfa/cfa.scm 128 */
long BgL_auxz00_7784;
{ /* Cfa/cfa.scm 128 */
int BgL_auxz00_7785;
BgL_auxz00_7785 = 
(int)(BgL_objzd2classzd2numz00_5670); 
BgL_auxz00_7784 = 
(long)(BgL_auxz00_7785); } 
BgL_offsetz00_5675 = 
(BgL_auxz00_7784-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 128 */
long BgL_modz00_5676;
{ /* Cfa/cfa.scm 128 */
long BgL_auxz00_7789;
{ /* Cfa/cfa.scm 128 */
int BgL_auxz00_7790;
BgL_auxz00_7790 = 
(int)(((long)8)); 
BgL_auxz00_7789 = 
(long)(BgL_auxz00_7790); } 
BgL_modz00_5676 = 
(BgL_offsetz00_5675/BgL_auxz00_7789); } 
{ /* Cfa/cfa.scm 128 */
long BgL_restz00_5678;
{ /* Cfa/cfa.scm 128 */
long BgL_auxz00_7794;
{ /* Cfa/cfa.scm 128 */
int BgL_auxz00_7795;
BgL_auxz00_7795 = 
(int)(((long)8)); 
BgL_auxz00_7794 = 
(long)(BgL_auxz00_7795); } 
BgL_restz00_5678 = 
(BgL_offsetz00_5675%BgL_auxz00_7794); } 
{ /* Cfa/cfa.scm 128 */

{ /* Cfa/cfa.scm 128 */
obj_t BgL_bucketz00_5680;
{ /* Cfa/cfa.scm 128 */
int BgL_kz00_5690;
BgL_kz00_5690 = 
(int)(BgL_modz00_5676); 
BgL_bucketz00_5680 = 
VECTOR_REF(BgL_arg1221z00_5671,BgL_kz00_5690); } 
{ /* Cfa/cfa.scm 128 */
int BgL_kz00_5692;
BgL_kz00_5692 = 
(int)(BgL_restz00_5678); 
BgL_method4817z00_5668 = 
VECTOR_REF(BgL_bucketz00_5680,BgL_kz00_5692); } } } } } } } } 
{ /* Cfa/cfa.scm 128 */
obj_t BgL_auxz00_7803;
BgL_auxz00_7803 = 
PROCEDURE_ENTRY(BgL_method4817z00_5668)(BgL_method4817z00_5668, 
(obj_t)(BgL_nodez00_5667), BEOA); 
BgL_res5320z00_5693 = 
(BgL_approxz00_bglt)(BgL_auxz00_7803); } } } 
BgL_arg5109z00_3840 = BgL_res5320z00_5693; } 
{ 
obj_t BgL_approxz00_7809;obj_t BgL_nz00_7808;
BgL_nz00_7808 = BgL_arg5108z00_3839; 
BgL_approxz00_7809 = 
(obj_t)(BgL_arg5109z00_3840); 
BgL_approxz00_3835 = BgL_approxz00_7809; 
BgL_nz00_3834 = BgL_nz00_7808; 
goto BgL_loopz00_3836;} } } } } 
}



/* cfa-variable-value-approx-intern-sfun/Cinfo4839 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2internzd2sfunzf2Cinfo4839z20zzcfa_cfaz00(obj_t BgL_envz00_6598, obj_t BgL_valuez00_6599)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 115 */
{ 
BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_3824;
{ /* Cfa/cfa.scm 116 */
BgL_approxz00_bglt BgL_auxz00_7813;
BgL_valuez00_3824 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_valuez00_6599); 
{ 
obj_t BgL_auxz00_7814;
{ /* Cfa/cfa.scm 116 */
BgL_objectz00_bglt BgL_auxz00_7815;
BgL_auxz00_7815 = 
(BgL_objectz00_bglt)(BgL_valuez00_3824); 
BgL_auxz00_7814 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7815); } 
BgL_auxz00_7813 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_7814))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7813);} } } 
}



/* cfa-variable-value-approx-sexit/Cinfo4837 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2sexitzf2Cinfo4837zf2zzcfa_cfaz00(obj_t BgL_envz00_6600, obj_t BgL_valuez00_6601)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 104 */
{ 
BgL_sexitzf2cinfozf2_bglt BgL_valuez00_3818;
{ /* Cfa/cfa.scm 105 */
BgL_approxz00_bglt BgL_auxz00_7821;
BgL_valuez00_3818 = 
(BgL_sexitzf2cinfozf2_bglt)(BgL_valuez00_6601); 
{ 
obj_t BgL_auxz00_7822;
{ /* Cfa/cfa.scm 105 */
BgL_objectz00_bglt BgL_auxz00_7823;
BgL_auxz00_7823 = 
(BgL_objectz00_bglt)(BgL_valuez00_3818); 
BgL_auxz00_7822 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7823); } 
BgL_auxz00_7821 = 
(((BgL_sexitzf2cinfozf2_bglt)CREF(BgL_auxz00_7822))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7821);} } } 
}



/* cfa-variable-value-approx-cvar/Cinfo4835 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2cvarzf2Cinfo4835zf2zzcfa_cfaz00(obj_t BgL_envz00_6602, obj_t BgL_valuez00_6603)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 97 */
{ 
BgL_cvarzf2cinfozf2_bglt BgL_valuez00_3812;
{ /* Cfa/cfa.scm 98 */
BgL_approxz00_bglt BgL_auxz00_7829;
BgL_valuez00_3812 = 
(BgL_cvarzf2cinfozf2_bglt)(BgL_valuez00_6603); 
{ 
obj_t BgL_auxz00_7830;
{ /* Cfa/cfa.scm 98 */
BgL_objectz00_bglt BgL_auxz00_7831;
BgL_auxz00_7831 = 
(BgL_objectz00_bglt)(BgL_valuez00_3812); 
BgL_auxz00_7830 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7831); } 
BgL_auxz00_7829 = 
(((BgL_cvarzf2cinfozf2_bglt)CREF(BgL_auxz00_7830))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7829);} } } 
}



/* cfa-variable-value-approx-scnst/Cinfo4833 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2scnstzf2Cinfo4833zf2zzcfa_cfaz00(obj_t BgL_envz00_6604, obj_t BgL_valuez00_6605)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 90 */
{ 
BgL_scnstzf2cinfozf2_bglt BgL_valuez00_3806;
{ /* Cfa/cfa.scm 91 */
BgL_approxz00_bglt BgL_auxz00_7837;
BgL_valuez00_3806 = 
(BgL_scnstzf2cinfozf2_bglt)(BgL_valuez00_6605); 
{ 
obj_t BgL_auxz00_7838;
{ /* Cfa/cfa.scm 91 */
BgL_objectz00_bglt BgL_auxz00_7839;
BgL_auxz00_7839 = 
(BgL_objectz00_bglt)(BgL_valuez00_3806); 
BgL_auxz00_7838 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7839); } 
BgL_auxz00_7837 = 
(((BgL_scnstzf2cinfozf2_bglt)CREF(BgL_auxz00_7838))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7837);} } } 
}



/* cfa-variable-value-approx-svar/Cinfo4831 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2svarzf2Cinfo4831zf2zzcfa_cfaz00(obj_t BgL_envz00_6606, obj_t BgL_valuez00_6607)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 83 */
{ 
BgL_svarzf2cinfozf2_bglt BgL_valuez00_3800;
{ /* Cfa/cfa.scm 84 */
BgL_approxz00_bglt BgL_auxz00_7845;
BgL_valuez00_3800 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_valuez00_6607); 
{ 
obj_t BgL_auxz00_7846;
{ /* Cfa/cfa.scm 84 */
BgL_objectz00_bglt BgL_auxz00_7847;
BgL_auxz00_7847 = 
(BgL_objectz00_bglt)(BgL_valuez00_3800); 
BgL_auxz00_7846 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7847); } 
BgL_auxz00_7845 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_7846))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7845);} } } 
}



/* cfa!-closure4827 */
obj_t BGl_cfaz12zd2closure4827zc0zzcfa_cfaz00(obj_t BgL_envz00_6608, obj_t BgL_nodez00_6609)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 72 */
{ 
BgL_closurez00_bglt BgL_nodez00_3792;
BgL_nodez00_3792 = 
(BgL_closurez00_bglt)(BgL_nodez00_6609); 
{ /* Cfa/cfa.scm 73 */
obj_t BgL_arg5099z00_3797;
BgL_arg5099z00_3797 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_3792)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5434z00zzcfa_cfaz00, BGl_string5435z00zzcfa_cfaz00, BgL_arg5099z00_3797);} } } 
}



/* cfa!-var4825 */
obj_t BGl_cfaz12zd2var4825zc0zzcfa_cfaz00(obj_t BgL_envz00_6610, obj_t BgL_nodez00_6611)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 65 */
{ 
BgL_varz00_bglt BgL_nodez00_3784;
BgL_nodez00_3784 = 
(BgL_varz00_bglt)(BgL_nodez00_6611); 
{ /* Cfa/cfa.scm 66 */
BgL_valuez00_bglt BgL_arg5094z00_5623;
{ /* Cfa/cfa.scm 66 */
BgL_variablez00_bglt BgL_arg5095z00_5624;
BgL_arg5095z00_5624 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3784))->BgL_variablez00); 
BgL_arg5094z00_5623 = 
(((BgL_variablez00_bglt)CREF(BgL_arg5095z00_5624))->BgL_valuez00); } 
{ /* Cfa/cfa.scm 66 */
obj_t BgL_method4829z00_5628;
{ /* Cfa/cfa.scm 66 */
long BgL_objzd2classzd2numz00_5630;
{ /* Cfa/cfa.scm 66 */
BgL_objectz00_bglt BgL_auxz00_7859;
BgL_auxz00_7859 = 
(BgL_objectz00_bglt)(BgL_arg5094z00_5623); 
BgL_objzd2classzd2numz00_5630 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7859); } 
{ /* Cfa/cfa.scm 66 */
obj_t BgL_arg1221z00_5631;
{ /* Cfa/cfa.scm 66 */
int BgL_auxz00_7862;
BgL_auxz00_7862 = 
(int)(((long)1)); 
BgL_arg1221z00_5631 = 
PROCEDURE_REF(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BgL_auxz00_7862); } 
{ /* Cfa/cfa.scm 66 */
long BgL_offsetz00_5635;
{ /* Cfa/cfa.scm 66 */
long BgL_auxz00_7865;
{ /* Cfa/cfa.scm 66 */
int BgL_auxz00_7866;
BgL_auxz00_7866 = 
(int)(BgL_objzd2classzd2numz00_5630); 
BgL_auxz00_7865 = 
(long)(BgL_auxz00_7866); } 
BgL_offsetz00_5635 = 
(BgL_auxz00_7865-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 66 */
long BgL_modz00_5636;
{ /* Cfa/cfa.scm 66 */
long BgL_auxz00_7870;
{ /* Cfa/cfa.scm 66 */
int BgL_auxz00_7871;
BgL_auxz00_7871 = 
(int)(((long)8)); 
BgL_auxz00_7870 = 
(long)(BgL_auxz00_7871); } 
BgL_modz00_5636 = 
(BgL_offsetz00_5635/BgL_auxz00_7870); } 
{ /* Cfa/cfa.scm 66 */
long BgL_restz00_5638;
{ /* Cfa/cfa.scm 66 */
long BgL_auxz00_7875;
{ /* Cfa/cfa.scm 66 */
int BgL_auxz00_7876;
BgL_auxz00_7876 = 
(int)(((long)8)); 
BgL_auxz00_7875 = 
(long)(BgL_auxz00_7876); } 
BgL_restz00_5638 = 
(BgL_offsetz00_5635%BgL_auxz00_7875); } 
{ /* Cfa/cfa.scm 66 */

{ /* Cfa/cfa.scm 66 */
obj_t BgL_bucketz00_5640;
{ /* Cfa/cfa.scm 66 */
int BgL_kz00_5650;
BgL_kz00_5650 = 
(int)(BgL_modz00_5636); 
BgL_bucketz00_5640 = 
VECTOR_REF(BgL_arg1221z00_5631,BgL_kz00_5650); } 
{ /* Cfa/cfa.scm 66 */
int BgL_kz00_5652;
BgL_kz00_5652 = 
(int)(BgL_restz00_5638); 
BgL_method4829z00_5628 = 
VECTOR_REF(BgL_bucketz00_5640,BgL_kz00_5652); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4829z00_5628)(BgL_method4829z00_5628, 
(obj_t)(BgL_arg5094z00_5623), BEOA);} } } } 
}



/* cfa!-kwote/node4823 */
obj_t BGl_cfaz12zd2kwotezf2node4823z32zzcfa_cfaz00(obj_t BgL_envz00_6612, obj_t BgL_knodez00_6613)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 56 */
{ 
BgL_kwotezf2nodezf2_bglt BgL_knodez00_3777;
{ /* Cfa/cfa.scm 57 */
BgL_approxz00_bglt BgL_auxz00_7888;
BgL_knodez00_3777 = 
(BgL_kwotezf2nodezf2_bglt)(BgL_knodez00_6613); 
{ /* Cfa/cfa.scm 57 */
BgL_nodez00_bglt BgL_arg5092z00_5593;
{ 
obj_t BgL_auxz00_7889;
{ /* Cfa/cfa.scm 57 */
BgL_objectz00_bglt BgL_auxz00_7890;
BgL_auxz00_7890 = 
(BgL_objectz00_bglt)(BgL_knodez00_3777); 
BgL_auxz00_7889 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7890); } 
BgL_arg5092z00_5593 = 
(((BgL_kwotezf2nodezf2_bglt)CREF(BgL_auxz00_7889))->BgL_nodez00); } 
{ /* Cfa/cfa.scm 57 */
BgL_approxz00_bglt BgL_res5315z00_5621;
{ /* Cfa/cfa.scm 57 */
obj_t BgL_method4817z00_5596;
{ /* Cfa/cfa.scm 57 */
long BgL_objzd2classzd2numz00_5598;
{ /* Cfa/cfa.scm 57 */
BgL_objectz00_bglt BgL_auxz00_7894;
BgL_auxz00_7894 = 
(BgL_objectz00_bglt)(BgL_arg5092z00_5593); 
BgL_objzd2classzd2numz00_5598 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7894); } 
{ /* Cfa/cfa.scm 57 */
obj_t BgL_arg1221z00_5599;
{ /* Cfa/cfa.scm 57 */
int BgL_auxz00_7897;
BgL_auxz00_7897 = 
(int)(((long)1)); 
BgL_arg1221z00_5599 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7897); } 
{ /* Cfa/cfa.scm 57 */
long BgL_offsetz00_5603;
{ /* Cfa/cfa.scm 57 */
long BgL_auxz00_7900;
{ /* Cfa/cfa.scm 57 */
int BgL_auxz00_7901;
BgL_auxz00_7901 = 
(int)(BgL_objzd2classzd2numz00_5598); 
BgL_auxz00_7900 = 
(long)(BgL_auxz00_7901); } 
BgL_offsetz00_5603 = 
(BgL_auxz00_7900-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 57 */
long BgL_modz00_5604;
{ /* Cfa/cfa.scm 57 */
long BgL_auxz00_7905;
{ /* Cfa/cfa.scm 57 */
int BgL_auxz00_7906;
BgL_auxz00_7906 = 
(int)(((long)8)); 
BgL_auxz00_7905 = 
(long)(BgL_auxz00_7906); } 
BgL_modz00_5604 = 
(BgL_offsetz00_5603/BgL_auxz00_7905); } 
{ /* Cfa/cfa.scm 57 */
long BgL_restz00_5606;
{ /* Cfa/cfa.scm 57 */
long BgL_auxz00_7910;
{ /* Cfa/cfa.scm 57 */
int BgL_auxz00_7911;
BgL_auxz00_7911 = 
(int)(((long)8)); 
BgL_auxz00_7910 = 
(long)(BgL_auxz00_7911); } 
BgL_restz00_5606 = 
(BgL_offsetz00_5603%BgL_auxz00_7910); } 
{ /* Cfa/cfa.scm 57 */

{ /* Cfa/cfa.scm 57 */
obj_t BgL_bucketz00_5608;
{ /* Cfa/cfa.scm 57 */
int BgL_kz00_5618;
BgL_kz00_5618 = 
(int)(BgL_modz00_5604); 
BgL_bucketz00_5608 = 
VECTOR_REF(BgL_arg1221z00_5599,BgL_kz00_5618); } 
{ /* Cfa/cfa.scm 57 */
int BgL_kz00_5620;
BgL_kz00_5620 = 
(int)(BgL_restz00_5606); 
BgL_method4817z00_5596 = 
VECTOR_REF(BgL_bucketz00_5608,BgL_kz00_5620); } } } } } } } } 
{ /* Cfa/cfa.scm 57 */
obj_t BgL_auxz00_7919;
BgL_auxz00_7919 = 
PROCEDURE_ENTRY(BgL_method4817z00_5596)(BgL_method4817z00_5596, 
(obj_t)(BgL_arg5092z00_5593), BEOA); 
BgL_res5315z00_5621 = 
(BgL_approxz00_bglt)(BgL_auxz00_7919); } } 
BgL_auxz00_7888 = BgL_res5315z00_5621; } } 
return 
(obj_t)(BgL_auxz00_7888);} } } 
}



/* cfa!-kwote/Cinfo4821 */
obj_t BGl_cfaz12zd2kwotezf2Cinfo4821z32zzcfa_cfaz00(obj_t BgL_envz00_6614, obj_t BgL_nodez00_6615)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 49 */
{ 
BgL_kwotezf2cinfozf2_bglt BgL_nodez00_3771;
{ /* Cfa/cfa.scm 50 */
BgL_approxz00_bglt BgL_auxz00_7926;
BgL_nodez00_3771 = 
(BgL_kwotezf2cinfozf2_bglt)(BgL_nodez00_6615); 
{ 
obj_t BgL_auxz00_7927;
{ /* Cfa/cfa.scm 50 */
BgL_objectz00_bglt BgL_auxz00_7928;
BgL_auxz00_7928 = 
(BgL_objectz00_bglt)(BgL_nodez00_3771); 
BgL_auxz00_7927 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7928); } 
BgL_auxz00_7926 = 
(((BgL_kwotezf2cinfozf2_bglt)CREF(BgL_auxz00_7927))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7926);} } } 
}



/* cfa!-atom/Cinfo4819 */
obj_t BGl_cfaz12zd2atomzf2Cinfo4819z32zzcfa_cfaz00(obj_t BgL_envz00_6616, obj_t BgL_nodez00_6617)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 42 */
{ 
BgL_atomzf2cinfozf2_bglt BgL_nodez00_3765;
{ /* Cfa/cfa.scm 43 */
BgL_approxz00_bglt BgL_auxz00_7934;
BgL_nodez00_3765 = 
(BgL_atomzf2cinfozf2_bglt)(BgL_nodez00_6617); 
{ 
obj_t BgL_auxz00_7935;
{ /* Cfa/cfa.scm 43 */
BgL_objectz00_bglt BgL_auxz00_7936;
BgL_auxz00_7936 = 
(BgL_objectz00_bglt)(BgL_nodez00_3765); 
BgL_auxz00_7935 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7936); } 
BgL_auxz00_7934 = 
(((BgL_atomzf2cinfozf2_bglt)CREF(BgL_auxz00_7935))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_7934);} } } 
}



/* cfa! */
BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 36 */
{ /* Cfa/cfa.scm 36 */
obj_t BgL_method4817z00_6472;
{ /* Cfa/cfa.scm 36 */
long BgL_objzd2classzd2numz00_6474;
{ /* Cfa/cfa.scm 36 */
BgL_objectz00_bglt BgL_auxz00_7942;
BgL_auxz00_7942 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_6474 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7942); } 
{ /* Cfa/cfa.scm 36 */
obj_t BgL_arg1221z00_6475;
{ /* Cfa/cfa.scm 36 */
int BgL_auxz00_7945;
BgL_auxz00_7945 = 
(int)(((long)1)); 
BgL_arg1221z00_6475 = 
PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BgL_auxz00_7945); } 
{ /* Cfa/cfa.scm 36 */
long BgL_offsetz00_6479;
{ /* Cfa/cfa.scm 36 */
long BgL_auxz00_7948;
{ /* Cfa/cfa.scm 36 */
int BgL_auxz00_7949;
BgL_auxz00_7949 = 
(int)(BgL_objzd2classzd2numz00_6474); 
BgL_auxz00_7948 = 
(long)(BgL_auxz00_7949); } 
BgL_offsetz00_6479 = 
(BgL_auxz00_7948-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 36 */
long BgL_modz00_6480;
{ /* Cfa/cfa.scm 36 */
long BgL_auxz00_7953;
{ /* Cfa/cfa.scm 36 */
int BgL_auxz00_7954;
BgL_auxz00_7954 = 
(int)(((long)8)); 
BgL_auxz00_7953 = 
(long)(BgL_auxz00_7954); } 
BgL_modz00_6480 = 
(BgL_offsetz00_6479/BgL_auxz00_7953); } 
{ /* Cfa/cfa.scm 36 */
long BgL_restz00_6482;
{ /* Cfa/cfa.scm 36 */
long BgL_auxz00_7958;
{ /* Cfa/cfa.scm 36 */
int BgL_auxz00_7959;
BgL_auxz00_7959 = 
(int)(((long)8)); 
BgL_auxz00_7958 = 
(long)(BgL_auxz00_7959); } 
BgL_restz00_6482 = 
(BgL_offsetz00_6479%BgL_auxz00_7958); } 
{ /* Cfa/cfa.scm 36 */

{ /* Cfa/cfa.scm 36 */
obj_t BgL_bucketz00_6484;
{ /* Cfa/cfa.scm 36 */
int BgL_kz00_6494;
BgL_kz00_6494 = 
(int)(BgL_modz00_6480); 
BgL_bucketz00_6484 = 
VECTOR_REF(BgL_arg1221z00_6475,BgL_kz00_6494); } 
{ /* Cfa/cfa.scm 36 */
int BgL_kz00_6496;
BgL_kz00_6496 = 
(int)(BgL_restz00_6482); 
BgL_method4817z00_6472 = 
VECTOR_REF(BgL_bucketz00_6484,BgL_kz00_6496); } } } } } } } } 
{ /* Cfa/cfa.scm 36 */
obj_t BgL_auxz00_7967;
BgL_auxz00_7967 = 
PROCEDURE_ENTRY(BgL_method4817z00_6472)(BgL_method4817z00_6472, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
(BgL_approxz00_bglt)(BgL_auxz00_7967);} } } 
}



/* _cfa!5403 */
obj_t BGl__cfaz125403z12zzcfa_cfaz00(obj_t BgL_envz00_6528, obj_t BgL_nodez00_6529)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 36 */
{ /* Cfa/cfa.scm 36 */
BgL_approxz00_bglt BgL_auxz00_7972;
BgL_auxz00_7972 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_nodez00_6529)); 
return 
(obj_t)(BgL_auxz00_7972);} } 
}



/* cfa!-default4816 */
BgL_approxz00_bglt BGl_cfaz12zd2default4816zc0zzcfa_cfaz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
{ /* Cfa/cfa.scm 37 */
obj_t BgL_arg5202z00_6498;
BgL_arg5202z00_6498 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_2)); 
{ /* Cfa/cfa.scm 37 */
obj_t BgL_auxz00_7978;
BgL_auxz00_7978 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5436z00zzcfa_cfaz00, 
(obj_t)(BgL_nodez00_2), BgL_arg5202z00_6498); 
return 
(BgL_approxz00_bglt)(BgL_auxz00_7978);} } } 
}



/* _cfa!-default4816 */
obj_t BGl__cfaz12zd2default4816zc0zzcfa_cfaz00(obj_t BgL_envz00_6618, obj_t BgL_nodez00_6619)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
{ /* Cfa/cfa.scm 15 */
BgL_approxz00_bglt BgL_auxz00_7982;
BgL_auxz00_7982 = 
BGl_cfaz12zd2default4816zc0zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_nodez00_6619)); 
return 
(obj_t)(BgL_auxz00_7982);} } 
}



/* cfa-variable-value-approx */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt BgL_valuez00_8)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 78 */
{ /* Cfa/cfa.scm 78 */
obj_t BgL_method4829z00_6499;
{ /* Cfa/cfa.scm 78 */
long BgL_objzd2classzd2numz00_6501;
{ /* Cfa/cfa.scm 78 */
BgL_objectz00_bglt BgL_auxz00_7986;
BgL_auxz00_7986 = 
(BgL_objectz00_bglt)(BgL_valuez00_8); 
BgL_objzd2classzd2numz00_6501 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7986); } 
{ /* Cfa/cfa.scm 78 */
obj_t BgL_arg1221z00_6502;
{ /* Cfa/cfa.scm 78 */
int BgL_auxz00_7989;
BgL_auxz00_7989 = 
(int)(((long)1)); 
BgL_arg1221z00_6502 = 
PROCEDURE_REF(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00, BgL_auxz00_7989); } 
{ /* Cfa/cfa.scm 78 */
long BgL_offsetz00_6506;
{ /* Cfa/cfa.scm 78 */
long BgL_auxz00_7992;
{ /* Cfa/cfa.scm 78 */
int BgL_auxz00_7993;
BgL_auxz00_7993 = 
(int)(BgL_objzd2classzd2numz00_6501); 
BgL_auxz00_7992 = 
(long)(BgL_auxz00_7993); } 
BgL_offsetz00_6506 = 
(BgL_auxz00_7992-OBJECT_TYPE); } 
{ /* Cfa/cfa.scm 78 */
long BgL_modz00_6507;
{ /* Cfa/cfa.scm 78 */
long BgL_auxz00_7997;
{ /* Cfa/cfa.scm 78 */
int BgL_auxz00_7998;
BgL_auxz00_7998 = 
(int)(((long)8)); 
BgL_auxz00_7997 = 
(long)(BgL_auxz00_7998); } 
BgL_modz00_6507 = 
(BgL_offsetz00_6506/BgL_auxz00_7997); } 
{ /* Cfa/cfa.scm 78 */
long BgL_restz00_6509;
{ /* Cfa/cfa.scm 78 */
long BgL_auxz00_8002;
{ /* Cfa/cfa.scm 78 */
int BgL_auxz00_8003;
BgL_auxz00_8003 = 
(int)(((long)8)); 
BgL_auxz00_8002 = 
(long)(BgL_auxz00_8003); } 
BgL_restz00_6509 = 
(BgL_offsetz00_6506%BgL_auxz00_8002); } 
{ /* Cfa/cfa.scm 78 */

{ /* Cfa/cfa.scm 78 */
obj_t BgL_bucketz00_6511;
{ /* Cfa/cfa.scm 78 */
int BgL_kz00_6521;
BgL_kz00_6521 = 
(int)(BgL_modz00_6507); 
BgL_bucketz00_6511 = 
VECTOR_REF(BgL_arg1221z00_6502,BgL_kz00_6521); } 
{ /* Cfa/cfa.scm 78 */
int BgL_kz00_6523;
BgL_kz00_6523 = 
(int)(BgL_restz00_6509); 
BgL_method4829z00_6499 = 
VECTOR_REF(BgL_bucketz00_6511,BgL_kz00_6523); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4829z00_6499)(BgL_method4829z00_6499, 
(obj_t)(BgL_valuez00_8), BEOA);} } 
}



/* _cfa-variable-value-approx5404 */
obj_t BGl__cfazd2variablezd2valuezd2approx5404zd2zzcfa_cfaz00(obj_t BgL_envz00_6555, obj_t BgL_valuez00_6556)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 78 */
return 
BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
(BgL_valuez00_bglt)(BgL_valuez00_6556));} 
}



/* cfa-variable-value-approx-default4828 */
obj_t BGl_cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00(BgL_valuez00_bglt BgL_valuez00_9)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
{ 
obj_t BgL_auxz00_8018;obj_t BgL_auxz00_8016;
BgL_auxz00_8018 = 
(obj_t)(BgL_valuez00_9); 
BgL_auxz00_8016 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_8016,BGl_string5437z00zzcfa_cfaz00,BgL_auxz00_8018);} } 
}



/* _cfa-variable-value-approx-default4828 */
obj_t BGl__cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00(obj_t BgL_envz00_6620, obj_t BgL_valuez00_6621)
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
return 
BGl_cfazd2variablezd2valuezd2approxzd2default4828z00zzcfa_cfaz00(
(BgL_valuez00_bglt)(BgL_valuez00_6621));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00()
{ AN_OBJECT;
{ /* Cfa/cfa.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)51683), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_cfa"); 
BGl_modulezd2initializa7ationz75zzcfa_appz00(((long)12354), "cfa_cfa"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_funcallz00(((long)4465), "cfa_cfa");} 
}

