/*===========================================================================*/
/*   (Cfa/collect.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_methodzd2initzd2zzcfa_collectz00();
static obj_t BGl_nodezd2collectz12zd2boxzd2ref4867zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00;
static obj_t BGl__collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
static obj_t BGl_nodezd2collectz12zd2app4835z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_nodezd2collectz12zd2extern4843z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
static obj_t BGl_nodezd2collectz12zd2fail4851z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl__nodezd2collectz12zd2default4824z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_collectz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
static obj_t BGl_nodezd2collectz12zd2letzd2var4857zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
static obj_t BGl__nodezd2collectz125429zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2default4824z12zzcfa_collectz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2atypezd2zzcfa_collectz00(obj_t);
extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
static obj_t BGl_nodezd2collectz12zd2valloc4837z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2letzd2fun4855zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcfa_collectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static bool_t BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_nodezd2collectz12zd2atom4827z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2funcall4841z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2makezd2box4863zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2var4831z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
static obj_t BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BUNSPEC;
static obj_t BGl_nodezd2collectz12zd2kwote4829z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_nodezd2collectz12zd2setzd2exzd2it4859z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2setq4847z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2appzd2ly4839zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
static obj_t BGl_nodezd2collectz12zd2jumpzd2exzd2it4861z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
static bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2select4853z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
static obj_t BGl__getzd2allocszd2zzcfa_collectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_collectz00 = BUNSPEC;
static obj_t BGl_nodezd2collectz12zd2boxzd2setz124865zd2zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
static obj_t BGl_nodezd2collectz12zd2cast4845z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2sequence4833z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2conditional4849z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 17 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc5430z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2atom4827za712za7za7cfa_collectza7005459za7, BGl_nodezd2collectz12zd2atom4827z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5431z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2kwote4829za712za7za7cfa_collectza7005460za7, BGl_nodezd2collectz12zd2kwote4829z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5432z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2var4831za712za7za7cfa_collectza7005461za7, BGl_nodezd2collectz12zd2var4831z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5433z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2sequence4833za712za7za7cfa_collectza7005462za7, BGl_nodezd2collectz12zd2sequence4833z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5434z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2app4835za712za7za7cfa_collectza7005463za7, BGl_nodezd2collectz12zd2app4835z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5435z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2valloc4837za712za7za7cfa_collectza7005464za7, BGl_nodezd2collectz12zd2valloc4837z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5436z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2appza7d2ly4839za7c0za7za7cfa_collectza7005465z00, BGl_nodezd2collectz12zd2appzd2ly4839zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5437z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2funcall4841za712za7za7cfa_collectza7005466za7, BGl_nodezd2collectz12zd2funcall4841z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5438z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2extern4843za712za7za7cfa_collectza7005467za7, BGl_nodezd2collectz12zd2extern4843z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5440z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2setq4847za712za7za7cfa_collectza7005468za7, BGl_nodezd2collectz12zd2setq4847z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5439z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2cast4845za712za7za7cfa_collectza7005469za7, BGl_nodezd2collectz12zd2cast4845z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5441z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2conditional4849za712za7za7cfa_collectza7005470za7, BGl_nodezd2collectz12zd2conditional4849z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5442z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2fail4851za712za7za7cfa_collectza7005471za7, BGl_nodezd2collectz12zd2fail4851z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5443z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2select4853za712za7za7cfa_collectza7005472za7, BGl_nodezd2collectz12zd2select4853z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5444z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2letza7d2fun4855za7c0za7za7cfa_collectza7005473z00, BGl_nodezd2collectz12zd2letzd2fun4855zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5445z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2letza7d2var4857za7c0za7za7cfa_collectza7005474z00, BGl_nodezd2collectz12zd2letzd2var4857zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5446z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2setza7d2exza7d2it4859za712za7za7cfa_collectza7005475za7, BGl_nodezd2collectz12zd2setzd2exzd2it4859z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5447z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2jumpza7d2exza7d2it4861za712za7za7cfa_collectza7005476za7, BGl_nodezd2collectz12zd2jumpzd2exzd2it4861z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5448z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2makeza7d2box4863za7c0za7za7cfa_collectza7005477z00, BGl_nodezd2collectz12zd2makezd2box4863zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5450z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2boxza7d2ref4867za7c0za7za7cfa_collectza7005478z00, BGl_nodezd2collectz12zd2boxzd2ref4867zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5449z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2boxza7d2setza7124865za7d2za7za7cfa_collectza7005479za7, BGl_nodezd2collectz12zd2boxzd2setz124865zd2zzcfa_collectz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_collectzd2allzd2approxz12zd2envzc0zzcfa_collectz00, BgL_bgl__collectza7d2allza7d2approxza712za712za7za7cfa_collectza7005480za7, BGl__collectzd2allzd2approxz12z12zzcfa_collectz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2allocszd2envz00zzcfa_collectz00, BgL_bgl__getza7d2allocsza7d2za7za7cfa_collectza7005481za7, BGl__getzd2allocszd2zzcfa_collectz00, 0L, 0 );
DEFINE_STRING( BGl_string5454z00zzcfa_collectz00, BgL_bgl_string5454za700za7za7cfa_collectza7005482z00, "node-collect!-default4824 (pragma::obj \"\") c-struct-set! c-struct-ref c-make-struct (c-vector-ref c-vector-set! c-vector-length c-create-vector) c-make-vector procedure-set! procedure-ref make-va-procedure make-fx-procedure c-eq? real string boolean char integer ", 263 );
DEFINE_STRING( BGl_string5453z00zzcfa_collectz00, BgL_bgl_string5453za700za7za7cfa_collectza7005483z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string5452z00zzcfa_collectz00, BgL_bgl_string5452za700za7za7cfa_collectza7005484z00, "Illegal foreign application", 27 );
DEFINE_STRING( BGl_string5451z00zzcfa_collectz00, BgL_bgl_string5451za700za7za7cfa_collectza7005485z00, "node-collect!", 13 );
DEFINE_STATIC_GENERIC( BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_bgl__nodeza7d2collectza7125429za7c0za7za7cfa_collectza7005486z00, BGl__nodezd2collectz125429zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2collectz12zd2default4824zd2envzc0zzcfa_collectz00, BgL_bgl__nodeza7d2collectza712za7d2default4824za712za7za7cfa_collectza7005487za7, BGl__nodezd2collectz12zd2default4824z12zzcfa_collectz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long BgL_checksumz00_6817, char * BgL_fromz00_6818)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_collectz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_collectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(); 
BGl_cnstzd2initzd2zzcfa_collectz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_collectz00(); 
BGl_methodzd2initzd2zzcfa_collectz00(); 
BGl_toplevelzd2initzd2zzcfa_collectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_collect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
{ /* Cfa/collect.scm 15 */
obj_t BgL_cportz00_6810;
BgL_cportz00_6810 = 
open_input_string(BGl_string5454z00zzcfa_collectz00); 
{ 
long BgL_iz00_6811;
BgL_iz00_6811 = ((long)16); 
BgL_loopz00_6812:
if(
(BgL_iz00_6811==((long)-1)))
{ /* Cfa/collect.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/collect.scm 15 */
{ /* Cfa/collect.scm 15 */
obj_t BgL_arg5456z00_6814;
{ /* Cfa/collect.scm 15 */
obj_t BgL_list5457z00_6815;
BgL_list5457z00_6815 = 
MAKE_PAIR(BgL_cportz00_6810, BNIL); 
BgL_arg5456z00_6814 = 
BGl_readz00zz__readerz00(BgL_list5457z00_6815); } 
{ /* Cfa/collect.scm 15 */
int BgL_auxz00_6835;
BgL_auxz00_6835 = 
(int)(BgL_iz00_6811); 
CNST_TABLE_SET(BgL_auxz00_6835, BgL_arg5456z00_6814); } } 
{ 
long BgL_iz00_6838;
{ /* Cfa/collect.scm 15 */
int BgL_auxz00_6839;
{ /* Cfa/collect.scm 15 */
long BgL_auxz00_6840;
BgL_auxz00_6840 = 
(BgL_iz00_6811-((long)1)); 
BgL_auxz00_6839 = 
(int)(BgL_auxz00_6840); } 
BgL_iz00_6838 = 
(long)(BgL_auxz00_6839); } 
BgL_iz00_6811 = BgL_iz00_6838; 
goto BgL_loopz00_6812;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
return ( 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BNIL, BUNSPEC) ;} 
}



/* collect-all-approx! */
obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/collect.scm 45 */
{ 
obj_t BgL_l4769z00_2939;
{ /* Cfa/collect.scm 46 */
bool_t BgL_auxz00_6844;
BgL_l4769z00_2939 = BgL_globalsz00_1; 
BgL_lname4770z00_2940:
if(
PAIRP(BgL_l4769z00_2939))
{ /* Cfa/collect.scm 46 */
{ /* Cfa/collect.scm 46 */
obj_t BgL_globalz00_2942;
BgL_globalz00_2942 = 
CAR(BgL_l4769z00_2939); 
{ /* Cfa/collect.scm 46 */
BgL_sfunz00_bglt BgL_valuez00_4128;
{ /* Cfa/collect.scm 46 */
BgL_valuez00_bglt BgL_auxz00_6848;
{ /* Cfa/collect.scm 46 */
BgL_globalz00_bglt BgL_obj1178z00_4127;
BgL_obj1178z00_4127 = 
(BgL_globalz00_bglt)(BgL_globalz00_2942); 
BgL_auxz00_6848 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_4127))->BgL_valuez00); } 
BgL_valuez00_4128 = 
(BgL_sfunz00_bglt)(BgL_auxz00_6848); } 
{ /* Cfa/collect.scm 46 */
BgL_variablez00_bglt BgL_auxz00_6856;BgL_nodez00_bglt BgL_auxz00_6852;
{ /* Cfa/collect.scm 46 */
BgL_globalz00_bglt BgL_auxz00_6857;
BgL_auxz00_6857 = 
(BgL_globalz00_bglt)(BgL_globalz00_2942); 
BgL_auxz00_6856 = 
(BgL_variablez00_bglt)(BgL_auxz00_6857); } 
{ /* Cfa/collect.scm 46 */
obj_t BgL_auxz00_6853;
BgL_auxz00_6853 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_4128))->BgL_bodyz00); 
BgL_auxz00_6852 = 
(BgL_nodez00_bglt)(BgL_auxz00_6853); } 
BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_auxz00_6852, BgL_auxz00_6856); } } } 
{ 
obj_t BgL_l4769z00_6861;
BgL_l4769z00_6861 = 
CDR(BgL_l4769z00_2939); 
BgL_l4769z00_2939 = BgL_l4769z00_6861; 
goto BgL_lname4770z00_2940;} }  else 
{ /* Cfa/collect.scm 46 */
BgL_auxz00_6844 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_6844);} } } 
}



/* _collect-all-approx! */
obj_t BGl__collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t BgL_envz00_6717, obj_t BgL_globalsz00_6718)
{ AN_OBJECT;
{ /* Cfa/collect.scm 45 */
return 
BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_6718);} 
}



/* monomorphic-vector? */
bool_t BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(obj_t BgL_vectorz00_12)
{ AN_OBJECT;
{ /* Cfa/collect.scm 84 */
{ /* Cfa/collect.scm 99 */
int BgL_lenz00_2947;
BgL_lenz00_2947 = 
VECTOR_LENGTH(BgL_vectorz00_12); 
{ /* Cfa/collect.scm 100 */
bool_t BgL_testz00_6866;
{ /* Cfa/collect.scm 100 */
long BgL_auxz00_6867;
BgL_auxz00_6867 = 
(long)(BgL_lenz00_2947); 
BgL_testz00_6866 = 
(BgL_auxz00_6867==((long)0)); } 
if(BgL_testz00_6866)
{ /* Cfa/collect.scm 100 */
return ((bool_t)0);}  else 
{ /* Cfa/collect.scm 102 */
obj_t BgL_atypez00_2949;
{ /* Cfa/collect.scm 102 */
obj_t BgL_arg4878z00_2957;
{ /* Cfa/collect.scm 102 */
int BgL_kz00_4166;
BgL_kz00_4166 = 
(int)(((long)0)); 
BgL_arg4878z00_2957 = 
VECTOR_REF(BgL_vectorz00_12,BgL_kz00_4166); } 
BgL_atypez00_2949 = 
BGl_getzd2atypezd2zzcfa_collectz00(BgL_arg4878z00_2957); } 
{ 
long BgL_iz00_2950;
BgL_iz00_2950 = ((long)1); 
BgL_loopz00_2951:
if(
CBOOL(BgL_atypez00_2949))
{ /* Cfa/collect.scm 107 */
bool_t BgL_testz00_6875;
{ /* Cfa/collect.scm 107 */
long BgL_auxz00_6876;
BgL_auxz00_6876 = 
(long)(BgL_lenz00_2947); 
BgL_testz00_6875 = 
(BgL_iz00_2950==BgL_auxz00_6876); } 
if(BgL_testz00_6875)
{ /* Cfa/collect.scm 107 */
return ((bool_t)1);}  else 
{ /* Cfa/collect.scm 109 */
bool_t BgL_test4874z00_2953;
{ /* Cfa/collect.scm 109 */
obj_t BgL_arg4876z00_2955;
{ /* Cfa/collect.scm 109 */
obj_t BgL_arg4877z00_2956;
{ /* Cfa/collect.scm 109 */
int BgL_kz00_4170;
BgL_kz00_4170 = 
(int)(BgL_iz00_2950); 
BgL_arg4877z00_2956 = 
VECTOR_REF(BgL_vectorz00_12,BgL_kz00_4170); } 
BgL_arg4876z00_2955 = 
BGl_getzd2atypezd2zzcfa_collectz00(BgL_arg4877z00_2956); } 
BgL_test4874z00_2953 = 
(BgL_arg4876z00_2955==BgL_atypez00_2949); } 
if(BgL_test4874z00_2953)
{ /* Cfa/collect.scm 109 */
{ 
long BgL_iz00_6884;
BgL_iz00_6884 = 
(BgL_iz00_2950+((long)1)); 
BgL_iz00_2950 = BgL_iz00_6884; 
goto BgL_loopz00_2951;} }  else 
{ /* Cfa/collect.scm 109 */
return ((bool_t)0);} } }  else 
{ /* Cfa/collect.scm 105 */
return ((bool_t)0);} } } } } } 
}



/* get-atype */
obj_t BGl_getzd2atypezd2zzcfa_collectz00(obj_t BgL_valuez00_2958)
{ AN_OBJECT;
{ /* Cfa/collect.scm 98 */
{ /* Cfa/collect.scm 87 */
bool_t BgL_test4880z00_2960;
BgL_test4880z00_2960 = 
INTEGERP(BgL_valuez00_2958); 
if(BgL_test4880z00_2960)
{ /* Cfa/collect.scm 87 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Cfa/collect.scm 87 */
if(
CHARP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 89 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Cfa/collect.scm 89 */
if(
BOOLEANP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 91 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Cfa/collect.scm 91 */
if(
STRINGP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 93 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Cfa/collect.scm 95 */
bool_t BgL_testz00_6898;
if(BgL_test4880z00_2960)
{ /* Cfa/collect.scm 95 */
BgL_testz00_6898 = ((bool_t)1)
; }  else 
{ /* Cfa/collect.scm 95 */
BgL_testz00_6898 = 
REALP(BgL_valuez00_2958)
; } 
if(BgL_testz00_6898)
{ /* Cfa/collect.scm 95 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Cfa/collect.scm 95 */
return BFALSE;} } } } } } } 
}



/* node-collect*! */
bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t BgL_nodeza2za2_51, obj_t BgL_ownerz00_52)
{ AN_OBJECT;
{ /* Cfa/collect.scm 334 */
{ 
obj_t BgL_l4822z00_2966;
BgL_l4822z00_2966 = BgL_nodeza2za2_51; 
BgL_lname4823z00_2967:
if(
PAIRP(BgL_l4822z00_2966))
{ /* Cfa/collect.scm 335 */
{ /* Cfa/collect.scm 335 */
BgL_nodez00_bglt BgL_nodez00_4182;BgL_variablez00_bglt BgL_ownerz00_4183;
{ /* Cfa/collect.scm 335 */
obj_t BgL_auxz00_6904;
BgL_auxz00_6904 = 
CAR(BgL_l4822z00_2966); 
BgL_nodez00_4182 = 
(BgL_nodez00_bglt)(BgL_auxz00_6904); } 
BgL_ownerz00_4183 = 
(BgL_variablez00_bglt)(BgL_ownerz00_52); 
{ /* Cfa/collect.scm 335 */
obj_t BgL_method4825z00_4184;
{ /* Cfa/collect.scm 335 */
long BgL_objzd2classzd2numz00_4186;
{ /* Cfa/collect.scm 335 */
BgL_objectz00_bglt BgL_auxz00_6908;
BgL_auxz00_6908 = 
(BgL_objectz00_bglt)(BgL_nodez00_4182); 
BgL_objzd2classzd2numz00_4186 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6908); } 
{ /* Cfa/collect.scm 335 */
obj_t BgL_arg1221z00_4187;
{ /* Cfa/collect.scm 335 */
int BgL_auxz00_6911;
BgL_auxz00_6911 = 
(int)(((long)1)); 
BgL_arg1221z00_4187 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_6911); } 
{ /* Cfa/collect.scm 335 */
long BgL_offsetz00_4191;
{ /* Cfa/collect.scm 335 */
long BgL_auxz00_6914;
{ /* Cfa/collect.scm 335 */
int BgL_auxz00_6915;
BgL_auxz00_6915 = 
(int)(BgL_objzd2classzd2numz00_4186); 
BgL_auxz00_6914 = 
(long)(BgL_auxz00_6915); } 
BgL_offsetz00_4191 = 
(BgL_auxz00_6914-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 335 */
long BgL_modz00_4192;
{ /* Cfa/collect.scm 335 */
long BgL_auxz00_6919;
{ /* Cfa/collect.scm 335 */
int BgL_auxz00_6920;
BgL_auxz00_6920 = 
(int)(((long)8)); 
BgL_auxz00_6919 = 
(long)(BgL_auxz00_6920); } 
BgL_modz00_4192 = 
(BgL_offsetz00_4191/BgL_auxz00_6919); } 
{ /* Cfa/collect.scm 335 */
long BgL_restz00_4194;
{ /* Cfa/collect.scm 335 */
long BgL_auxz00_6924;
{ /* Cfa/collect.scm 335 */
int BgL_auxz00_6925;
BgL_auxz00_6925 = 
(int)(((long)8)); 
BgL_auxz00_6924 = 
(long)(BgL_auxz00_6925); } 
BgL_restz00_4194 = 
(BgL_offsetz00_4191%BgL_auxz00_6924); } 
{ /* Cfa/collect.scm 335 */

{ /* Cfa/collect.scm 335 */
obj_t BgL_bucketz00_4196;
{ /* Cfa/collect.scm 335 */
int BgL_kz00_4206;
BgL_kz00_4206 = 
(int)(BgL_modz00_4192); 
BgL_bucketz00_4196 = 
VECTOR_REF(BgL_arg1221z00_4187,BgL_kz00_4206); } 
{ /* Cfa/collect.scm 335 */
int BgL_kz00_4208;
BgL_kz00_4208 = 
(int)(BgL_restz00_4194); 
BgL_method4825z00_4184 = 
VECTOR_REF(BgL_bucketz00_4196,BgL_kz00_4208); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_4184)(BgL_method4825z00_4184, 
(obj_t)(BgL_nodez00_4182), 
(obj_t)(BgL_ownerz00_4183), BEOA); } } 
{ 
obj_t BgL_l4822z00_6937;
BgL_l4822z00_6937 = 
CDR(BgL_l4822z00_2966); 
BgL_l4822z00_2966 = BgL_l4822z00_6937; 
goto BgL_lname4823z00_2967;} }  else 
{ /* Cfa/collect.scm 335 */
return ((bool_t)1);} } } 
}



/* get-allocs */
obj_t BGl_getzd2allocszd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 357 */
return BGl_za2usedzd2allocza2zd2zzcfa_collectz00;} 
}



/* _get-allocs */
obj_t BGl__getzd2allocszd2zzcfa_collectz00(obj_t BgL_envz00_6722)
{ AN_OBJECT;
{ /* Cfa/collect.scm 357 */
return 
BGl_getzd2allocszd2zzcfa_collectz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_nodezd2collectz12zd2default4824zd2envzc0zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_atomz00zzast_nodez00, BGl_proc5430z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_kwotez00zzast_nodez00, BGl_proc5431z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_varz00zzast_nodez00, BGl_proc5432z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_sequencez00zzast_nodez00, BGl_proc5433z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_appz00zzast_nodez00, BGl_proc5434z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_vallocz00zzast_nodez00, BGl_proc5435z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc5436z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_funcallz00zzast_nodez00, BGl_proc5437z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_externz00zzast_nodez00, BGl_proc5438z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_castz00zzast_nodez00, BGl_proc5439z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_setqz00zzast_nodez00, BGl_proc5440z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_conditionalz00zzast_nodez00, BGl_proc5441z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_failz00zzast_nodez00, BGl_proc5442z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_selectz00zzast_nodez00, BGl_proc5443z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc5444z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc5445z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc5446z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc5447z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc5448z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc5449z00zzcfa_collectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc5450z00zzcfa_collectz00);} 
}



/* node-collect!-box-ref4867 */
obj_t BGl_nodezd2collectz12zd2boxzd2ref4867zc0zzcfa_collectz00(obj_t BgL_envz00_6744, obj_t BgL_nodez00_6745, obj_t BgL_ownerz00_6746)
{ AN_OBJECT;
{ /* Cfa/collect.scm 327 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_4116;obj_t BgL_ownerz00_4117;
BgL_nodez00_4116 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_6745); 
BgL_ownerz00_4117 = BgL_ownerz00_6746; 
{ /* Cfa/collect.scm 328 */
BgL_nodez00_bglt BgL_nodez00_6662;BgL_variablez00_bglt BgL_ownerz00_6663;
{ /* Cfa/collect.scm 328 */
BgL_varz00_bglt BgL_auxz00_6962;
BgL_auxz00_6962 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_4116))->BgL_varz00); 
BgL_nodez00_6662 = 
(BgL_nodez00_bglt)(BgL_auxz00_6962); } 
BgL_ownerz00_6663 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4117); 
{ /* Cfa/collect.scm 328 */
obj_t BgL_method4825z00_6664;
{ /* Cfa/collect.scm 328 */
long BgL_objzd2classzd2numz00_6666;
{ /* Cfa/collect.scm 328 */
BgL_objectz00_bglt BgL_auxz00_6966;
BgL_auxz00_6966 = 
(BgL_objectz00_bglt)(BgL_nodez00_6662); 
BgL_objzd2classzd2numz00_6666 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6966); } 
{ /* Cfa/collect.scm 328 */
obj_t BgL_arg1221z00_6667;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_6969;
BgL_auxz00_6969 = 
(int)(((long)1)); 
BgL_arg1221z00_6667 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_6969); } 
{ /* Cfa/collect.scm 328 */
long BgL_offsetz00_6671;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_6972;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_6973;
BgL_auxz00_6973 = 
(int)(BgL_objzd2classzd2numz00_6666); 
BgL_auxz00_6972 = 
(long)(BgL_auxz00_6973); } 
BgL_offsetz00_6671 = 
(BgL_auxz00_6972-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 328 */
long BgL_modz00_6672;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_6977;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_6978;
BgL_auxz00_6978 = 
(int)(((long)8)); 
BgL_auxz00_6977 = 
(long)(BgL_auxz00_6978); } 
BgL_modz00_6672 = 
(BgL_offsetz00_6671/BgL_auxz00_6977); } 
{ /* Cfa/collect.scm 328 */
long BgL_restz00_6674;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_6982;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_6983;
BgL_auxz00_6983 = 
(int)(((long)8)); 
BgL_auxz00_6982 = 
(long)(BgL_auxz00_6983); } 
BgL_restz00_6674 = 
(BgL_offsetz00_6671%BgL_auxz00_6982); } 
{ /* Cfa/collect.scm 328 */

{ /* Cfa/collect.scm 328 */
obj_t BgL_bucketz00_6676;
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6686;
BgL_kz00_6686 = 
(int)(BgL_modz00_6672); 
BgL_bucketz00_6676 = 
VECTOR_REF(BgL_arg1221z00_6667,BgL_kz00_6686); } 
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6688;
BgL_kz00_6688 = 
(int)(BgL_restz00_6674); 
BgL_method4825z00_6664 = 
VECTOR_REF(BgL_bucketz00_6676,BgL_kz00_6688); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6664)(BgL_method4825z00_6664, 
(obj_t)(BgL_nodez00_6662), 
(obj_t)(BgL_ownerz00_6663), BEOA);} } } } 
}



/* node-collect!-box-set!4865 */
obj_t BGl_nodezd2collectz12zd2boxzd2setz124865zd2zzcfa_collectz00(obj_t BgL_envz00_6747, obj_t BgL_nodez00_6748, obj_t BgL_ownerz00_6749)
{ AN_OBJECT;
{ /* Cfa/collect.scm 319 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_4107;obj_t BgL_ownerz00_4108;
BgL_nodez00_4107 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_6748); 
BgL_ownerz00_4108 = BgL_ownerz00_6749; 
{ /* Cfa/collect.scm 320 */
BgL_nodez00_bglt BgL_nodez00_6604;BgL_variablez00_bglt BgL_ownerz00_6605;
{ /* Cfa/collect.scm 320 */
BgL_varz00_bglt BgL_auxz00_6996;
BgL_auxz00_6996 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4107))->BgL_varz00); 
BgL_nodez00_6604 = 
(BgL_nodez00_bglt)(BgL_auxz00_6996); } 
BgL_ownerz00_6605 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4108); 
{ /* Cfa/collect.scm 320 */
obj_t BgL_method4825z00_6606;
{ /* Cfa/collect.scm 320 */
long BgL_objzd2classzd2numz00_6608;
{ /* Cfa/collect.scm 320 */
BgL_objectz00_bglt BgL_auxz00_7000;
BgL_auxz00_7000 = 
(BgL_objectz00_bglt)(BgL_nodez00_6604); 
BgL_objzd2classzd2numz00_6608 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7000); } 
{ /* Cfa/collect.scm 320 */
obj_t BgL_arg1221z00_6609;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7003;
BgL_auxz00_7003 = 
(int)(((long)1)); 
BgL_arg1221z00_6609 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7003); } 
{ /* Cfa/collect.scm 320 */
long BgL_offsetz00_6613;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7006;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7007;
BgL_auxz00_7007 = 
(int)(BgL_objzd2classzd2numz00_6608); 
BgL_auxz00_7006 = 
(long)(BgL_auxz00_7007); } 
BgL_offsetz00_6613 = 
(BgL_auxz00_7006-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 320 */
long BgL_modz00_6614;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7011;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7012;
BgL_auxz00_7012 = 
(int)(((long)8)); 
BgL_auxz00_7011 = 
(long)(BgL_auxz00_7012); } 
BgL_modz00_6614 = 
(BgL_offsetz00_6613/BgL_auxz00_7011); } 
{ /* Cfa/collect.scm 320 */
long BgL_restz00_6616;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7016;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7017;
BgL_auxz00_7017 = 
(int)(((long)8)); 
BgL_auxz00_7016 = 
(long)(BgL_auxz00_7017); } 
BgL_restz00_6616 = 
(BgL_offsetz00_6613%BgL_auxz00_7016); } 
{ /* Cfa/collect.scm 320 */

{ /* Cfa/collect.scm 320 */
obj_t BgL_bucketz00_6618;
{ /* Cfa/collect.scm 320 */
int BgL_kz00_6628;
BgL_kz00_6628 = 
(int)(BgL_modz00_6614); 
BgL_bucketz00_6618 = 
VECTOR_REF(BgL_arg1221z00_6609,BgL_kz00_6628); } 
{ /* Cfa/collect.scm 320 */
int BgL_kz00_6630;
BgL_kz00_6630 = 
(int)(BgL_restz00_6616); 
BgL_method4825z00_6606 = 
VECTOR_REF(BgL_bucketz00_6618,BgL_kz00_6630); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6606)(BgL_method4825z00_6606, 
(obj_t)(BgL_nodez00_6604), 
(obj_t)(BgL_ownerz00_6605), BEOA); } } 
{ /* Cfa/collect.scm 320 */
BgL_nodez00_bglt BgL_arg5233z00_6602;
BgL_arg5233z00_6602 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4107))->BgL_valuez00); 
{ /* Cfa/collect.scm 320 */
BgL_variablez00_bglt BgL_ownerz00_6633;
BgL_ownerz00_6633 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4108); 
{ /* Cfa/collect.scm 320 */
obj_t BgL_method4825z00_6634;
{ /* Cfa/collect.scm 320 */
long BgL_objzd2classzd2numz00_6636;
{ /* Cfa/collect.scm 320 */
BgL_objectz00_bglt BgL_auxz00_7031;
BgL_auxz00_7031 = 
(BgL_objectz00_bglt)(BgL_arg5233z00_6602); 
BgL_objzd2classzd2numz00_6636 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7031); } 
{ /* Cfa/collect.scm 320 */
obj_t BgL_arg1221z00_6637;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7034;
BgL_auxz00_7034 = 
(int)(((long)1)); 
BgL_arg1221z00_6637 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7034); } 
{ /* Cfa/collect.scm 320 */
long BgL_offsetz00_6641;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7037;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7038;
BgL_auxz00_7038 = 
(int)(BgL_objzd2classzd2numz00_6636); 
BgL_auxz00_7037 = 
(long)(BgL_auxz00_7038); } 
BgL_offsetz00_6641 = 
(BgL_auxz00_7037-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 320 */
long BgL_modz00_6642;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7042;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7043;
BgL_auxz00_7043 = 
(int)(((long)8)); 
BgL_auxz00_7042 = 
(long)(BgL_auxz00_7043); } 
BgL_modz00_6642 = 
(BgL_offsetz00_6641/BgL_auxz00_7042); } 
{ /* Cfa/collect.scm 320 */
long BgL_restz00_6644;
{ /* Cfa/collect.scm 320 */
long BgL_auxz00_7047;
{ /* Cfa/collect.scm 320 */
int BgL_auxz00_7048;
BgL_auxz00_7048 = 
(int)(((long)8)); 
BgL_auxz00_7047 = 
(long)(BgL_auxz00_7048); } 
BgL_restz00_6644 = 
(BgL_offsetz00_6641%BgL_auxz00_7047); } 
{ /* Cfa/collect.scm 320 */

{ /* Cfa/collect.scm 320 */
obj_t BgL_bucketz00_6646;
{ /* Cfa/collect.scm 320 */
int BgL_kz00_6656;
BgL_kz00_6656 = 
(int)(BgL_modz00_6642); 
BgL_bucketz00_6646 = 
VECTOR_REF(BgL_arg1221z00_6637,BgL_kz00_6656); } 
{ /* Cfa/collect.scm 320 */
int BgL_kz00_6658;
BgL_kz00_6658 = 
(int)(BgL_restz00_6644); 
BgL_method4825z00_6634 = 
VECTOR_REF(BgL_bucketz00_6646,BgL_kz00_6658); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6634)(BgL_method4825z00_6634, 
(obj_t)(BgL_arg5233z00_6602), 
(obj_t)(BgL_ownerz00_6633), BEOA);} } } } } 
}



/* node-collect!-make-box4863 */
obj_t BGl_nodezd2collectz12zd2makezd2box4863zc0zzcfa_collectz00(obj_t BgL_envz00_6750, obj_t BgL_nodez00_6751, obj_t BgL_ownerz00_6752)
{ AN_OBJECT;
{ /* Cfa/collect.scm 309 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_4096;obj_t BgL_ownerz00_4097;
BgL_nodez00_4096 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_6751); 
BgL_ownerz00_4097 = BgL_ownerz00_6752; 
{ /* Cfa/collect.scm 310 */
BgL_nodez00_bglt BgL_arg5227z00_4100;
BgL_arg5227z00_4100 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_4096))->BgL_valuez00); 
{ /* Cfa/collect.scm 310 */
BgL_variablez00_bglt BgL_ownerz00_6565;
BgL_ownerz00_6565 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4097); 
{ /* Cfa/collect.scm 310 */
obj_t BgL_method4825z00_6566;
{ /* Cfa/collect.scm 310 */
long BgL_objzd2classzd2numz00_6568;
{ /* Cfa/collect.scm 310 */
BgL_objectz00_bglt BgL_auxz00_7063;
BgL_auxz00_7063 = 
(BgL_objectz00_bglt)(BgL_arg5227z00_4100); 
BgL_objzd2classzd2numz00_6568 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7063); } 
{ /* Cfa/collect.scm 310 */
obj_t BgL_arg1221z00_6569;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7066;
BgL_auxz00_7066 = 
(int)(((long)1)); 
BgL_arg1221z00_6569 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7066); } 
{ /* Cfa/collect.scm 310 */
long BgL_offsetz00_6573;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7069;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7070;
BgL_auxz00_7070 = 
(int)(BgL_objzd2classzd2numz00_6568); 
BgL_auxz00_7069 = 
(long)(BgL_auxz00_7070); } 
BgL_offsetz00_6573 = 
(BgL_auxz00_7069-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 310 */
long BgL_modz00_6574;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7074;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7075;
BgL_auxz00_7075 = 
(int)(((long)8)); 
BgL_auxz00_7074 = 
(long)(BgL_auxz00_7075); } 
BgL_modz00_6574 = 
(BgL_offsetz00_6573/BgL_auxz00_7074); } 
{ /* Cfa/collect.scm 310 */
long BgL_restz00_6576;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7079;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7080;
BgL_auxz00_7080 = 
(int)(((long)8)); 
BgL_auxz00_7079 = 
(long)(BgL_auxz00_7080); } 
BgL_restz00_6576 = 
(BgL_offsetz00_6573%BgL_auxz00_7079); } 
{ /* Cfa/collect.scm 310 */

{ /* Cfa/collect.scm 310 */
obj_t BgL_bucketz00_6578;
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6588;
BgL_kz00_6588 = 
(int)(BgL_modz00_6574); 
BgL_bucketz00_6578 = 
VECTOR_REF(BgL_arg1221z00_6569,BgL_kz00_6588); } 
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6590;
BgL_kz00_6590 = 
(int)(BgL_restz00_6576); 
BgL_method4825z00_6566 = 
VECTOR_REF(BgL_bucketz00_6578,BgL_kz00_6590); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6566)(BgL_method4825z00_6566, 
(obj_t)(BgL_arg5227z00_4100), 
(obj_t)(BgL_ownerz00_6565), BEOA); } } } 
{ /* Cfa/collect.scm 311 */
bool_t BgL_test5228z00_4101;
{ /* Cfa/collect.scm 311 */
long BgL_n1z00_6591;
BgL_n1z00_6591 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test5228z00_4101 = 
(BgL_n1z00_6591>=((long)1)); } 
if(BgL_test5228z00_4101)
{ /* Cfa/collect.scm 311 */
{ /* Cfa/collect.scm 313 */
obj_t BgL_auxz00_7095;
BgL_auxz00_7095 = 
(obj_t)(BgL_nodez00_4096); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7095, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 314 */
BgL_prezd2makezd2boxz00_bglt BgL_obj4817z00_4102;
BgL_obj4817z00_4102 = 
((BgL_prezd2makezd2boxz00_bglt)BgL_nodez00_4096); 
{ /* Cfa/collect.scm 314 */
obj_t BgL_auxz00_7101;BgL_objectz00_bglt BgL_auxz00_7099;
{ /* Cfa/collect.scm 314 */
BgL_prezd2makezd2boxz00_bglt BgL_auxz00_7102;
{ /* Cfa/collect.scm 314 */
BgL_prezd2makezd2boxz00_bglt BgL_new3433z00_6594;
BgL_new3433z00_6594 = 
((BgL_prezd2makezd2boxz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2boxz00_bgl)))); 
BgL_auxz00_7102 = BgL_new3433z00_6594; } 
BgL_auxz00_7101 = 
(obj_t)(BgL_auxz00_7102); } 
BgL_auxz00_7099 = 
(BgL_objectz00_bglt)(BgL_obj4817z00_4102); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7099, BgL_auxz00_7101); } 
{ /* Cfa/collect.scm 314 */
long BgL_arg5230z00_4104;
BgL_arg5230z00_4104 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2boxz00zzcfa_infoz00); 
{ /* Cfa/collect.scm 314 */
BgL_objectz00_bglt BgL_auxz00_7107;
BgL_auxz00_7107 = 
(BgL_objectz00_bglt)(BgL_obj4817z00_4102); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7107, BgL_arg5230z00_4104); } } 
{ /* Cfa/collect.scm 314 */
obj_t BgL_auxz00_7110;
BgL_auxz00_7110 = 
(obj_t)(BgL_obj4817z00_4102); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7110); } BUNSPEC; 
return 
(obj_t)(BgL_obj4817z00_4102);} }  else 
{ /* Cfa/collect.scm 311 */
return BFALSE;} } } } 
}



/* node-collect!-jump-ex-it4861 */
obj_t BGl_nodezd2collectz12zd2jumpzd2exzd2it4861z12zzcfa_collectz00(obj_t BgL_envz00_6753, obj_t BgL_nodez00_6754, obj_t BgL_ownerz00_6755)
{ AN_OBJECT;
{ /* Cfa/collect.scm 301 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_4087;obj_t BgL_ownerz00_4088;
BgL_nodez00_4087 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_6754); 
BgL_ownerz00_4088 = BgL_ownerz00_6755; 
{ /* Cfa/collect.scm 302 */
BgL_nodez00_bglt BgL_arg5224z00_6505;
BgL_arg5224z00_6505 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4087))->BgL_exitz00); 
{ /* Cfa/collect.scm 302 */
BgL_variablez00_bglt BgL_ownerz00_6509;
BgL_ownerz00_6509 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4088); 
{ /* Cfa/collect.scm 302 */
obj_t BgL_method4825z00_6510;
{ /* Cfa/collect.scm 302 */
long BgL_objzd2classzd2numz00_6512;
{ /* Cfa/collect.scm 302 */
BgL_objectz00_bglt BgL_auxz00_7117;
BgL_auxz00_7117 = 
(BgL_objectz00_bglt)(BgL_arg5224z00_6505); 
BgL_objzd2classzd2numz00_6512 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7117); } 
{ /* Cfa/collect.scm 302 */
obj_t BgL_arg1221z00_6513;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7120;
BgL_auxz00_7120 = 
(int)(((long)1)); 
BgL_arg1221z00_6513 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7120); } 
{ /* Cfa/collect.scm 302 */
long BgL_offsetz00_6517;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7123;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7124;
BgL_auxz00_7124 = 
(int)(BgL_objzd2classzd2numz00_6512); 
BgL_auxz00_7123 = 
(long)(BgL_auxz00_7124); } 
BgL_offsetz00_6517 = 
(BgL_auxz00_7123-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 302 */
long BgL_modz00_6518;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7128;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7129;
BgL_auxz00_7129 = 
(int)(((long)8)); 
BgL_auxz00_7128 = 
(long)(BgL_auxz00_7129); } 
BgL_modz00_6518 = 
(BgL_offsetz00_6517/BgL_auxz00_7128); } 
{ /* Cfa/collect.scm 302 */
long BgL_restz00_6520;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7133;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7134;
BgL_auxz00_7134 = 
(int)(((long)8)); 
BgL_auxz00_7133 = 
(long)(BgL_auxz00_7134); } 
BgL_restz00_6520 = 
(BgL_offsetz00_6517%BgL_auxz00_7133); } 
{ /* Cfa/collect.scm 302 */

{ /* Cfa/collect.scm 302 */
obj_t BgL_bucketz00_6522;
{ /* Cfa/collect.scm 302 */
int BgL_kz00_6532;
BgL_kz00_6532 = 
(int)(BgL_modz00_6518); 
BgL_bucketz00_6522 = 
VECTOR_REF(BgL_arg1221z00_6513,BgL_kz00_6532); } 
{ /* Cfa/collect.scm 302 */
int BgL_kz00_6534;
BgL_kz00_6534 = 
(int)(BgL_restz00_6520); 
BgL_method4825z00_6510 = 
VECTOR_REF(BgL_bucketz00_6522,BgL_kz00_6534); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6510)(BgL_method4825z00_6510, 
(obj_t)(BgL_arg5224z00_6505), 
(obj_t)(BgL_ownerz00_6509), BEOA); } } } 
{ /* Cfa/collect.scm 302 */
BgL_nodez00_bglt BgL_arg5225z00_6506;
BgL_arg5225z00_6506 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4087))->BgL_valuez00); 
{ /* Cfa/collect.scm 302 */
BgL_variablez00_bglt BgL_ownerz00_6537;
BgL_ownerz00_6537 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4088); 
{ /* Cfa/collect.scm 302 */
obj_t BgL_method4825z00_6538;
{ /* Cfa/collect.scm 302 */
long BgL_objzd2classzd2numz00_6540;
{ /* Cfa/collect.scm 302 */
BgL_objectz00_bglt BgL_auxz00_7148;
BgL_auxz00_7148 = 
(BgL_objectz00_bglt)(BgL_arg5225z00_6506); 
BgL_objzd2classzd2numz00_6540 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7148); } 
{ /* Cfa/collect.scm 302 */
obj_t BgL_arg1221z00_6541;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7151;
BgL_auxz00_7151 = 
(int)(((long)1)); 
BgL_arg1221z00_6541 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7151); } 
{ /* Cfa/collect.scm 302 */
long BgL_offsetz00_6545;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7154;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7155;
BgL_auxz00_7155 = 
(int)(BgL_objzd2classzd2numz00_6540); 
BgL_auxz00_7154 = 
(long)(BgL_auxz00_7155); } 
BgL_offsetz00_6545 = 
(BgL_auxz00_7154-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 302 */
long BgL_modz00_6546;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7159;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7160;
BgL_auxz00_7160 = 
(int)(((long)8)); 
BgL_auxz00_7159 = 
(long)(BgL_auxz00_7160); } 
BgL_modz00_6546 = 
(BgL_offsetz00_6545/BgL_auxz00_7159); } 
{ /* Cfa/collect.scm 302 */
long BgL_restz00_6548;
{ /* Cfa/collect.scm 302 */
long BgL_auxz00_7164;
{ /* Cfa/collect.scm 302 */
int BgL_auxz00_7165;
BgL_auxz00_7165 = 
(int)(((long)8)); 
BgL_auxz00_7164 = 
(long)(BgL_auxz00_7165); } 
BgL_restz00_6548 = 
(BgL_offsetz00_6545%BgL_auxz00_7164); } 
{ /* Cfa/collect.scm 302 */

{ /* Cfa/collect.scm 302 */
obj_t BgL_bucketz00_6550;
{ /* Cfa/collect.scm 302 */
int BgL_kz00_6560;
BgL_kz00_6560 = 
(int)(BgL_modz00_6546); 
BgL_bucketz00_6550 = 
VECTOR_REF(BgL_arg1221z00_6541,BgL_kz00_6560); } 
{ /* Cfa/collect.scm 302 */
int BgL_kz00_6562;
BgL_kz00_6562 = 
(int)(BgL_restz00_6548); 
BgL_method4825z00_6538 = 
VECTOR_REF(BgL_bucketz00_6550,BgL_kz00_6562); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6538)(BgL_method4825z00_6538, 
(obj_t)(BgL_arg5225z00_6506), 
(obj_t)(BgL_ownerz00_6537), BEOA);} } } } } 
}



/* node-collect!-set-ex-it4859 */
obj_t BGl_nodezd2collectz12zd2setzd2exzd2it4859z12zzcfa_collectz00(obj_t BgL_envz00_6756, obj_t BgL_nodez00_6757, obj_t BgL_ownerz00_6758)
{ AN_OBJECT;
{ /* Cfa/collect.scm 294 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_4079;obj_t BgL_ownerz00_4080;
BgL_nodez00_4079 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_6757); 
BgL_ownerz00_4080 = BgL_ownerz00_6758; 
{ /* Cfa/collect.scm 295 */
BgL_nodez00_bglt BgL_arg5222z00_6475;
BgL_arg5222z00_6475 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4079))->BgL_bodyz00); 
{ /* Cfa/collect.scm 295 */
BgL_variablez00_bglt BgL_ownerz00_6478;
BgL_ownerz00_6478 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4080); 
{ /* Cfa/collect.scm 295 */
obj_t BgL_method4825z00_6479;
{ /* Cfa/collect.scm 295 */
long BgL_objzd2classzd2numz00_6481;
{ /* Cfa/collect.scm 295 */
BgL_objectz00_bglt BgL_auxz00_7180;
BgL_auxz00_7180 = 
(BgL_objectz00_bglt)(BgL_arg5222z00_6475); 
BgL_objzd2classzd2numz00_6481 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7180); } 
{ /* Cfa/collect.scm 295 */
obj_t BgL_arg1221z00_6482;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7183;
BgL_auxz00_7183 = 
(int)(((long)1)); 
BgL_arg1221z00_6482 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7183); } 
{ /* Cfa/collect.scm 295 */
long BgL_offsetz00_6486;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7186;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7187;
BgL_auxz00_7187 = 
(int)(BgL_objzd2classzd2numz00_6481); 
BgL_auxz00_7186 = 
(long)(BgL_auxz00_7187); } 
BgL_offsetz00_6486 = 
(BgL_auxz00_7186-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 295 */
long BgL_modz00_6487;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7191;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7192;
BgL_auxz00_7192 = 
(int)(((long)8)); 
BgL_auxz00_7191 = 
(long)(BgL_auxz00_7192); } 
BgL_modz00_6487 = 
(BgL_offsetz00_6486/BgL_auxz00_7191); } 
{ /* Cfa/collect.scm 295 */
long BgL_restz00_6489;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7196;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7197;
BgL_auxz00_7197 = 
(int)(((long)8)); 
BgL_auxz00_7196 = 
(long)(BgL_auxz00_7197); } 
BgL_restz00_6489 = 
(BgL_offsetz00_6486%BgL_auxz00_7196); } 
{ /* Cfa/collect.scm 295 */

{ /* Cfa/collect.scm 295 */
obj_t BgL_bucketz00_6491;
{ /* Cfa/collect.scm 295 */
int BgL_kz00_6501;
BgL_kz00_6501 = 
(int)(BgL_modz00_6487); 
BgL_bucketz00_6491 = 
VECTOR_REF(BgL_arg1221z00_6482,BgL_kz00_6501); } 
{ /* Cfa/collect.scm 295 */
int BgL_kz00_6503;
BgL_kz00_6503 = 
(int)(BgL_restz00_6489); 
BgL_method4825z00_6479 = 
VECTOR_REF(BgL_bucketz00_6491,BgL_kz00_6503); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6479)(BgL_method4825z00_6479, 
(obj_t)(BgL_arg5222z00_6475), 
(obj_t)(BgL_ownerz00_6478), BEOA);} } } } } 
}



/* node-collect!-let-var4857 */
obj_t BGl_nodezd2collectz12zd2letzd2var4857zc0zzcfa_collectz00(obj_t BgL_envz00_6759, obj_t BgL_nodez00_6760, obj_t BgL_ownerz00_6761)
{ AN_OBJECT;
{ /* Cfa/collect.scm 284 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_4064;obj_t BgL_ownerz00_4065;
BgL_nodez00_4064 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_6760); 
BgL_ownerz00_4065 = BgL_ownerz00_6761; 
{ 
obj_t BgL_l4811z00_4069;
BgL_l4811z00_4069 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4064))->BgL_bindingsz00); 
BgL_lname4812z00_4070:
if(
PAIRP(BgL_l4811z00_4069))
{ /* Cfa/collect.scm 286 */
{ /* Cfa/collect.scm 287 */
BgL_nodez00_bglt BgL_nodez00_6418;BgL_variablez00_bglt BgL_ownerz00_6419;
{ /* Cfa/collect.scm 287 */
obj_t BgL_auxz00_7212;
{ /* Cfa/collect.scm 287 */
obj_t BgL_auxz00_7213;
BgL_auxz00_7213 = 
CAR(BgL_l4811z00_4069); 
BgL_auxz00_7212 = 
CDR(BgL_auxz00_7213); } 
BgL_nodez00_6418 = 
(BgL_nodez00_bglt)(BgL_auxz00_7212); } 
BgL_ownerz00_6419 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4065); 
{ /* Cfa/collect.scm 287 */
obj_t BgL_method4825z00_6420;
{ /* Cfa/collect.scm 287 */
long BgL_objzd2classzd2numz00_6422;
{ /* Cfa/collect.scm 287 */
BgL_objectz00_bglt BgL_auxz00_7218;
BgL_auxz00_7218 = 
(BgL_objectz00_bglt)(BgL_nodez00_6418); 
BgL_objzd2classzd2numz00_6422 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7218); } 
{ /* Cfa/collect.scm 287 */
obj_t BgL_arg1221z00_6423;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7221;
BgL_auxz00_7221 = 
(int)(((long)1)); 
BgL_arg1221z00_6423 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7221); } 
{ /* Cfa/collect.scm 287 */
long BgL_offsetz00_6427;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7224;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7225;
BgL_auxz00_7225 = 
(int)(BgL_objzd2classzd2numz00_6422); 
BgL_auxz00_7224 = 
(long)(BgL_auxz00_7225); } 
BgL_offsetz00_6427 = 
(BgL_auxz00_7224-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 287 */
long BgL_modz00_6428;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7229;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7230;
BgL_auxz00_7230 = 
(int)(((long)8)); 
BgL_auxz00_7229 = 
(long)(BgL_auxz00_7230); } 
BgL_modz00_6428 = 
(BgL_offsetz00_6427/BgL_auxz00_7229); } 
{ /* Cfa/collect.scm 287 */
long BgL_restz00_6430;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7234;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7235;
BgL_auxz00_7235 = 
(int)(((long)8)); 
BgL_auxz00_7234 = 
(long)(BgL_auxz00_7235); } 
BgL_restz00_6430 = 
(BgL_offsetz00_6427%BgL_auxz00_7234); } 
{ /* Cfa/collect.scm 287 */

{ /* Cfa/collect.scm 287 */
obj_t BgL_bucketz00_6432;
{ /* Cfa/collect.scm 287 */
int BgL_kz00_6442;
BgL_kz00_6442 = 
(int)(BgL_modz00_6428); 
BgL_bucketz00_6432 = 
VECTOR_REF(BgL_arg1221z00_6423,BgL_kz00_6442); } 
{ /* Cfa/collect.scm 287 */
int BgL_kz00_6444;
BgL_kz00_6444 = 
(int)(BgL_restz00_6430); 
BgL_method4825z00_6420 = 
VECTOR_REF(BgL_bucketz00_6432,BgL_kz00_6444); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6420)(BgL_method4825z00_6420, 
(obj_t)(BgL_nodez00_6418), 
(obj_t)(BgL_ownerz00_6419), BEOA); } } 
{ 
obj_t BgL_l4811z00_7247;
BgL_l4811z00_7247 = 
CDR(BgL_l4811z00_4069); 
BgL_l4811z00_4069 = BgL_l4811z00_7247; 
goto BgL_lname4812z00_4070;} }  else 
{ /* Cfa/collect.scm 286 */((bool_t)1); } } 
{ /* Cfa/collect.scm 289 */
BgL_nodez00_bglt BgL_arg5220z00_4076;
BgL_arg5220z00_4076 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4064))->BgL_bodyz00); 
{ /* Cfa/collect.scm 289 */
BgL_variablez00_bglt BgL_ownerz00_6448;
BgL_ownerz00_6448 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4065); 
{ /* Cfa/collect.scm 289 */
obj_t BgL_method4825z00_6449;
{ /* Cfa/collect.scm 289 */
long BgL_objzd2classzd2numz00_6451;
{ /* Cfa/collect.scm 289 */
BgL_objectz00_bglt BgL_auxz00_7252;
BgL_auxz00_7252 = 
(BgL_objectz00_bglt)(BgL_arg5220z00_4076); 
BgL_objzd2classzd2numz00_6451 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7252); } 
{ /* Cfa/collect.scm 289 */
obj_t BgL_arg1221z00_6452;
{ /* Cfa/collect.scm 289 */
int BgL_auxz00_7255;
BgL_auxz00_7255 = 
(int)(((long)1)); 
BgL_arg1221z00_6452 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7255); } 
{ /* Cfa/collect.scm 289 */
long BgL_offsetz00_6456;
{ /* Cfa/collect.scm 289 */
long BgL_auxz00_7258;
{ /* Cfa/collect.scm 289 */
int BgL_auxz00_7259;
BgL_auxz00_7259 = 
(int)(BgL_objzd2classzd2numz00_6451); 
BgL_auxz00_7258 = 
(long)(BgL_auxz00_7259); } 
BgL_offsetz00_6456 = 
(BgL_auxz00_7258-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 289 */
long BgL_modz00_6457;
{ /* Cfa/collect.scm 289 */
long BgL_auxz00_7263;
{ /* Cfa/collect.scm 289 */
int BgL_auxz00_7264;
BgL_auxz00_7264 = 
(int)(((long)8)); 
BgL_auxz00_7263 = 
(long)(BgL_auxz00_7264); } 
BgL_modz00_6457 = 
(BgL_offsetz00_6456/BgL_auxz00_7263); } 
{ /* Cfa/collect.scm 289 */
long BgL_restz00_6459;
{ /* Cfa/collect.scm 289 */
long BgL_auxz00_7268;
{ /* Cfa/collect.scm 289 */
int BgL_auxz00_7269;
BgL_auxz00_7269 = 
(int)(((long)8)); 
BgL_auxz00_7268 = 
(long)(BgL_auxz00_7269); } 
BgL_restz00_6459 = 
(BgL_offsetz00_6456%BgL_auxz00_7268); } 
{ /* Cfa/collect.scm 289 */

{ /* Cfa/collect.scm 289 */
obj_t BgL_bucketz00_6461;
{ /* Cfa/collect.scm 289 */
int BgL_kz00_6471;
BgL_kz00_6471 = 
(int)(BgL_modz00_6457); 
BgL_bucketz00_6461 = 
VECTOR_REF(BgL_arg1221z00_6452,BgL_kz00_6471); } 
{ /* Cfa/collect.scm 289 */
int BgL_kz00_6473;
BgL_kz00_6473 = 
(int)(BgL_restz00_6459); 
BgL_method4825z00_6449 = 
VECTOR_REF(BgL_bucketz00_6461,BgL_kz00_6473); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6449)(BgL_method4825z00_6449, 
(obj_t)(BgL_arg5220z00_4076), 
(obj_t)(BgL_ownerz00_6448), BEOA);} } } } } 
}



/* node-collect!-let-fun4855 */
obj_t BGl_nodezd2collectz12zd2letzd2fun4855zc0zzcfa_collectz00(obj_t BgL_envz00_6762, obj_t BgL_nodez00_6763, obj_t BgL_ownerz00_6764)
{ AN_OBJECT;
{ /* Cfa/collect.scm 273 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_4048;obj_t BgL_ownerz00_4049;
BgL_nodez00_4048 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_6763); 
BgL_ownerz00_4049 = BgL_ownerz00_6764; 
{ 
obj_t BgL_l4807z00_4053;
BgL_l4807z00_4053 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4048))->BgL_localsz00); 
BgL_lname4808z00_4054:
if(
PAIRP(BgL_l4807z00_4053))
{ /* Cfa/collect.scm 275 */
{ /* Cfa/collect.scm 276 */
obj_t BgL_lz00_4057;
BgL_lz00_4057 = 
CAR(BgL_l4807z00_4053); 
{ /* Cfa/collect.scm 277 */
BgL_nodez00_bglt BgL_nodez00_6358;BgL_variablez00_bglt BgL_ownerz00_6359;
{ /* Cfa/collect.scm 277 */
obj_t BgL_auxz00_7285;
{ /* Cfa/collect.scm 277 */
BgL_sfunz00_bglt BgL_obj1398z00_6357;
{ /* Cfa/collect.scm 277 */
BgL_valuez00_bglt BgL_auxz00_7286;
{ /* Cfa/collect.scm 276 */
BgL_localz00_bglt BgL_obj1279z00_6356;
BgL_obj1279z00_6356 = 
(BgL_localz00_bglt)(BgL_lz00_4057); 
BgL_auxz00_7286 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_6356))->BgL_valuez00); } 
BgL_obj1398z00_6357 = 
(BgL_sfunz00_bglt)(BgL_auxz00_7286); } 
BgL_auxz00_7285 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_6357))->BgL_bodyz00); } 
BgL_nodez00_6358 = 
(BgL_nodez00_bglt)(BgL_auxz00_7285); } 
BgL_ownerz00_6359 = 
(BgL_variablez00_bglt)(BgL_lz00_4057); 
{ /* Cfa/collect.scm 277 */
obj_t BgL_method4825z00_6360;
{ /* Cfa/collect.scm 277 */
long BgL_objzd2classzd2numz00_6362;
{ /* Cfa/collect.scm 277 */
BgL_objectz00_bglt BgL_auxz00_7293;
BgL_auxz00_7293 = 
(BgL_objectz00_bglt)(BgL_nodez00_6358); 
BgL_objzd2classzd2numz00_6362 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7293); } 
{ /* Cfa/collect.scm 277 */
obj_t BgL_arg1221z00_6363;
{ /* Cfa/collect.scm 277 */
int BgL_auxz00_7296;
BgL_auxz00_7296 = 
(int)(((long)1)); 
BgL_arg1221z00_6363 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7296); } 
{ /* Cfa/collect.scm 277 */
long BgL_offsetz00_6367;
{ /* Cfa/collect.scm 277 */
long BgL_auxz00_7299;
{ /* Cfa/collect.scm 277 */
int BgL_auxz00_7300;
BgL_auxz00_7300 = 
(int)(BgL_objzd2classzd2numz00_6362); 
BgL_auxz00_7299 = 
(long)(BgL_auxz00_7300); } 
BgL_offsetz00_6367 = 
(BgL_auxz00_7299-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 277 */
long BgL_modz00_6368;
{ /* Cfa/collect.scm 277 */
long BgL_auxz00_7304;
{ /* Cfa/collect.scm 277 */
int BgL_auxz00_7305;
BgL_auxz00_7305 = 
(int)(((long)8)); 
BgL_auxz00_7304 = 
(long)(BgL_auxz00_7305); } 
BgL_modz00_6368 = 
(BgL_offsetz00_6367/BgL_auxz00_7304); } 
{ /* Cfa/collect.scm 277 */
long BgL_restz00_6370;
{ /* Cfa/collect.scm 277 */
long BgL_auxz00_7309;
{ /* Cfa/collect.scm 277 */
int BgL_auxz00_7310;
BgL_auxz00_7310 = 
(int)(((long)8)); 
BgL_auxz00_7309 = 
(long)(BgL_auxz00_7310); } 
BgL_restz00_6370 = 
(BgL_offsetz00_6367%BgL_auxz00_7309); } 
{ /* Cfa/collect.scm 277 */

{ /* Cfa/collect.scm 277 */
obj_t BgL_bucketz00_6372;
{ /* Cfa/collect.scm 277 */
int BgL_kz00_6382;
BgL_kz00_6382 = 
(int)(BgL_modz00_6368); 
BgL_bucketz00_6372 = 
VECTOR_REF(BgL_arg1221z00_6363,BgL_kz00_6382); } 
{ /* Cfa/collect.scm 277 */
int BgL_kz00_6384;
BgL_kz00_6384 = 
(int)(BgL_restz00_6370); 
BgL_method4825z00_6360 = 
VECTOR_REF(BgL_bucketz00_6372,BgL_kz00_6384); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6360)(BgL_method4825z00_6360, 
(obj_t)(BgL_nodez00_6358), 
(obj_t)(BgL_ownerz00_6359), BEOA); } } } 
{ 
obj_t BgL_l4807z00_7322;
BgL_l4807z00_7322 = 
CDR(BgL_l4807z00_4053); 
BgL_l4807z00_4053 = BgL_l4807z00_7322; 
goto BgL_lname4808z00_4054;} }  else 
{ /* Cfa/collect.scm 275 */((bool_t)1); } } 
{ /* Cfa/collect.scm 279 */
BgL_nodez00_bglt BgL_arg5214z00_4061;
BgL_arg5214z00_4061 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4048))->BgL_bodyz00); 
{ /* Cfa/collect.scm 279 */
BgL_variablez00_bglt BgL_ownerz00_6388;
BgL_ownerz00_6388 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4049); 
{ /* Cfa/collect.scm 279 */
obj_t BgL_method4825z00_6389;
{ /* Cfa/collect.scm 279 */
long BgL_objzd2classzd2numz00_6391;
{ /* Cfa/collect.scm 279 */
BgL_objectz00_bglt BgL_auxz00_7327;
BgL_auxz00_7327 = 
(BgL_objectz00_bglt)(BgL_arg5214z00_4061); 
BgL_objzd2classzd2numz00_6391 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7327); } 
{ /* Cfa/collect.scm 279 */
obj_t BgL_arg1221z00_6392;
{ /* Cfa/collect.scm 279 */
int BgL_auxz00_7330;
BgL_auxz00_7330 = 
(int)(((long)1)); 
BgL_arg1221z00_6392 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7330); } 
{ /* Cfa/collect.scm 279 */
long BgL_offsetz00_6396;
{ /* Cfa/collect.scm 279 */
long BgL_auxz00_7333;
{ /* Cfa/collect.scm 279 */
int BgL_auxz00_7334;
BgL_auxz00_7334 = 
(int)(BgL_objzd2classzd2numz00_6391); 
BgL_auxz00_7333 = 
(long)(BgL_auxz00_7334); } 
BgL_offsetz00_6396 = 
(BgL_auxz00_7333-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 279 */
long BgL_modz00_6397;
{ /* Cfa/collect.scm 279 */
long BgL_auxz00_7338;
{ /* Cfa/collect.scm 279 */
int BgL_auxz00_7339;
BgL_auxz00_7339 = 
(int)(((long)8)); 
BgL_auxz00_7338 = 
(long)(BgL_auxz00_7339); } 
BgL_modz00_6397 = 
(BgL_offsetz00_6396/BgL_auxz00_7338); } 
{ /* Cfa/collect.scm 279 */
long BgL_restz00_6399;
{ /* Cfa/collect.scm 279 */
long BgL_auxz00_7343;
{ /* Cfa/collect.scm 279 */
int BgL_auxz00_7344;
BgL_auxz00_7344 = 
(int)(((long)8)); 
BgL_auxz00_7343 = 
(long)(BgL_auxz00_7344); } 
BgL_restz00_6399 = 
(BgL_offsetz00_6396%BgL_auxz00_7343); } 
{ /* Cfa/collect.scm 279 */

{ /* Cfa/collect.scm 279 */
obj_t BgL_bucketz00_6401;
{ /* Cfa/collect.scm 279 */
int BgL_kz00_6411;
BgL_kz00_6411 = 
(int)(BgL_modz00_6397); 
BgL_bucketz00_6401 = 
VECTOR_REF(BgL_arg1221z00_6392,BgL_kz00_6411); } 
{ /* Cfa/collect.scm 279 */
int BgL_kz00_6413;
BgL_kz00_6413 = 
(int)(BgL_restz00_6399); 
BgL_method4825z00_6389 = 
VECTOR_REF(BgL_bucketz00_6401,BgL_kz00_6413); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6389)(BgL_method4825z00_6389, 
(obj_t)(BgL_arg5214z00_4061), 
(obj_t)(BgL_ownerz00_6388), BEOA);} } } } } 
}



/* node-collect!-select4853 */
obj_t BGl_nodezd2collectz12zd2select4853z12zzcfa_collectz00(obj_t BgL_envz00_6765, obj_t BgL_nodez00_6766, obj_t BgL_ownerz00_6767)
{ AN_OBJECT;
{ /* Cfa/collect.scm 263 */
{ 
BgL_selectz00_bglt BgL_nodez00_4033;obj_t BgL_ownerz00_4034;
{ /* Cfa/collect.scm 264 */
bool_t BgL_auxz00_7357;
BgL_nodez00_4033 = 
(BgL_selectz00_bglt)(BgL_nodez00_6766); 
BgL_ownerz00_4034 = BgL_ownerz00_6767; 
{ /* Cfa/collect.scm 265 */
BgL_nodez00_bglt BgL_arg5204z00_4038;
BgL_arg5204z00_4038 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4033))->BgL_testz00); 
{ /* Cfa/collect.scm 265 */
BgL_variablez00_bglt BgL_ownerz00_6295;
BgL_ownerz00_6295 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4034); 
{ /* Cfa/collect.scm 265 */
obj_t BgL_method4825z00_6296;
{ /* Cfa/collect.scm 265 */
long BgL_objzd2classzd2numz00_6298;
{ /* Cfa/collect.scm 265 */
BgL_objectz00_bglt BgL_auxz00_7360;
BgL_auxz00_7360 = 
(BgL_objectz00_bglt)(BgL_arg5204z00_4038); 
BgL_objzd2classzd2numz00_6298 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7360); } 
{ /* Cfa/collect.scm 265 */
obj_t BgL_arg1221z00_6299;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7363;
BgL_auxz00_7363 = 
(int)(((long)1)); 
BgL_arg1221z00_6299 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7363); } 
{ /* Cfa/collect.scm 265 */
long BgL_offsetz00_6303;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7366;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7367;
BgL_auxz00_7367 = 
(int)(BgL_objzd2classzd2numz00_6298); 
BgL_auxz00_7366 = 
(long)(BgL_auxz00_7367); } 
BgL_offsetz00_6303 = 
(BgL_auxz00_7366-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 265 */
long BgL_modz00_6304;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7371;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7372;
BgL_auxz00_7372 = 
(int)(((long)8)); 
BgL_auxz00_7371 = 
(long)(BgL_auxz00_7372); } 
BgL_modz00_6304 = 
(BgL_offsetz00_6303/BgL_auxz00_7371); } 
{ /* Cfa/collect.scm 265 */
long BgL_restz00_6306;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7376;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7377;
BgL_auxz00_7377 = 
(int)(((long)8)); 
BgL_auxz00_7376 = 
(long)(BgL_auxz00_7377); } 
BgL_restz00_6306 = 
(BgL_offsetz00_6303%BgL_auxz00_7376); } 
{ /* Cfa/collect.scm 265 */

{ /* Cfa/collect.scm 265 */
obj_t BgL_bucketz00_6308;
{ /* Cfa/collect.scm 265 */
int BgL_kz00_6318;
BgL_kz00_6318 = 
(int)(BgL_modz00_6304); 
BgL_bucketz00_6308 = 
VECTOR_REF(BgL_arg1221z00_6299,BgL_kz00_6318); } 
{ /* Cfa/collect.scm 265 */
int BgL_kz00_6320;
BgL_kz00_6320 = 
(int)(BgL_restz00_6306); 
BgL_method4825z00_6296 = 
VECTOR_REF(BgL_bucketz00_6308,BgL_kz00_6320); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6296)(BgL_method4825z00_6296, 
(obj_t)(BgL_arg5204z00_4038), 
(obj_t)(BgL_ownerz00_6295), BEOA); } } } 
{ 
obj_t BgL_l4803z00_4039;
BgL_l4803z00_4039 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4033))->BgL_clausesz00); 
BgL_lname4804z00_4040:
if(
PAIRP(BgL_l4803z00_4039))
{ /* Cfa/collect.scm 266 */
{ /* Cfa/collect.scm 267 */
BgL_nodez00_bglt BgL_nodez00_6325;BgL_variablez00_bglt BgL_ownerz00_6326;
{ /* Cfa/collect.scm 267 */
obj_t BgL_auxz00_7391;
{ /* Cfa/collect.scm 267 */
obj_t BgL_auxz00_7392;
BgL_auxz00_7392 = 
CAR(BgL_l4803z00_4039); 
BgL_auxz00_7391 = 
CDR(BgL_auxz00_7392); } 
BgL_nodez00_6325 = 
(BgL_nodez00_bglt)(BgL_auxz00_7391); } 
BgL_ownerz00_6326 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4034); 
{ /* Cfa/collect.scm 267 */
obj_t BgL_method4825z00_6327;
{ /* Cfa/collect.scm 267 */
long BgL_objzd2classzd2numz00_6329;
{ /* Cfa/collect.scm 267 */
BgL_objectz00_bglt BgL_auxz00_7397;
BgL_auxz00_7397 = 
(BgL_objectz00_bglt)(BgL_nodez00_6325); 
BgL_objzd2classzd2numz00_6329 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7397); } 
{ /* Cfa/collect.scm 267 */
obj_t BgL_arg1221z00_6330;
{ /* Cfa/collect.scm 267 */
int BgL_auxz00_7400;
BgL_auxz00_7400 = 
(int)(((long)1)); 
BgL_arg1221z00_6330 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7400); } 
{ /* Cfa/collect.scm 267 */
long BgL_offsetz00_6334;
{ /* Cfa/collect.scm 267 */
long BgL_auxz00_7403;
{ /* Cfa/collect.scm 267 */
int BgL_auxz00_7404;
BgL_auxz00_7404 = 
(int)(BgL_objzd2classzd2numz00_6329); 
BgL_auxz00_7403 = 
(long)(BgL_auxz00_7404); } 
BgL_offsetz00_6334 = 
(BgL_auxz00_7403-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 267 */
long BgL_modz00_6335;
{ /* Cfa/collect.scm 267 */
long BgL_auxz00_7408;
{ /* Cfa/collect.scm 267 */
int BgL_auxz00_7409;
BgL_auxz00_7409 = 
(int)(((long)8)); 
BgL_auxz00_7408 = 
(long)(BgL_auxz00_7409); } 
BgL_modz00_6335 = 
(BgL_offsetz00_6334/BgL_auxz00_7408); } 
{ /* Cfa/collect.scm 267 */
long BgL_restz00_6337;
{ /* Cfa/collect.scm 267 */
long BgL_auxz00_7413;
{ /* Cfa/collect.scm 267 */
int BgL_auxz00_7414;
BgL_auxz00_7414 = 
(int)(((long)8)); 
BgL_auxz00_7413 = 
(long)(BgL_auxz00_7414); } 
BgL_restz00_6337 = 
(BgL_offsetz00_6334%BgL_auxz00_7413); } 
{ /* Cfa/collect.scm 267 */

{ /* Cfa/collect.scm 267 */
obj_t BgL_bucketz00_6339;
{ /* Cfa/collect.scm 267 */
int BgL_kz00_6349;
BgL_kz00_6349 = 
(int)(BgL_modz00_6335); 
BgL_bucketz00_6339 = 
VECTOR_REF(BgL_arg1221z00_6330,BgL_kz00_6349); } 
{ /* Cfa/collect.scm 267 */
int BgL_kz00_6351;
BgL_kz00_6351 = 
(int)(BgL_restz00_6337); 
BgL_method4825z00_6327 = 
VECTOR_REF(BgL_bucketz00_6339,BgL_kz00_6351); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6327)(BgL_method4825z00_6327, 
(obj_t)(BgL_nodez00_6325), 
(obj_t)(BgL_ownerz00_6326), BEOA); } } 
{ 
obj_t BgL_l4803z00_7426;
BgL_l4803z00_7426 = 
CDR(BgL_l4803z00_4039); 
BgL_l4803z00_4039 = BgL_l4803z00_7426; 
goto BgL_lname4804z00_4040;} }  else 
{ /* Cfa/collect.scm 266 */
BgL_auxz00_7357 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_7357);} } } 
}



/* node-collect!-fail4851 */
obj_t BGl_nodezd2collectz12zd2fail4851z12zzcfa_collectz00(obj_t BgL_envz00_6768, obj_t BgL_nodez00_6769, obj_t BgL_ownerz00_6770)
{ AN_OBJECT;
{ /* Cfa/collect.scm 254 */
{ 
BgL_failz00_bglt BgL_nodez00_4023;obj_t BgL_ownerz00_4024;
BgL_nodez00_4023 = 
(BgL_failz00_bglt)(BgL_nodez00_6769); 
BgL_ownerz00_4024 = BgL_ownerz00_6770; 
{ /* Cfa/collect.scm 256 */
BgL_nodez00_bglt BgL_arg5200z00_4028;
BgL_arg5200z00_4028 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4023))->BgL_procz00); 
{ /* Cfa/collect.scm 256 */
BgL_variablez00_bglt BgL_ownerz00_6211;
BgL_ownerz00_6211 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4024); 
{ /* Cfa/collect.scm 256 */
obj_t BgL_method4825z00_6212;
{ /* Cfa/collect.scm 256 */
long BgL_objzd2classzd2numz00_6214;
{ /* Cfa/collect.scm 256 */
BgL_objectz00_bglt BgL_auxz00_7433;
BgL_auxz00_7433 = 
(BgL_objectz00_bglt)(BgL_arg5200z00_4028); 
BgL_objzd2classzd2numz00_6214 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7433); } 
{ /* Cfa/collect.scm 256 */
obj_t BgL_arg1221z00_6215;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7436;
BgL_auxz00_7436 = 
(int)(((long)1)); 
BgL_arg1221z00_6215 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7436); } 
{ /* Cfa/collect.scm 256 */
long BgL_offsetz00_6219;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7439;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7440;
BgL_auxz00_7440 = 
(int)(BgL_objzd2classzd2numz00_6214); 
BgL_auxz00_7439 = 
(long)(BgL_auxz00_7440); } 
BgL_offsetz00_6219 = 
(BgL_auxz00_7439-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 256 */
long BgL_modz00_6220;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7444;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7445;
BgL_auxz00_7445 = 
(int)(((long)8)); 
BgL_auxz00_7444 = 
(long)(BgL_auxz00_7445); } 
BgL_modz00_6220 = 
(BgL_offsetz00_6219/BgL_auxz00_7444); } 
{ /* Cfa/collect.scm 256 */
long BgL_restz00_6222;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7449;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7450;
BgL_auxz00_7450 = 
(int)(((long)8)); 
BgL_auxz00_7449 = 
(long)(BgL_auxz00_7450); } 
BgL_restz00_6222 = 
(BgL_offsetz00_6219%BgL_auxz00_7449); } 
{ /* Cfa/collect.scm 256 */

{ /* Cfa/collect.scm 256 */
obj_t BgL_bucketz00_6224;
{ /* Cfa/collect.scm 256 */
int BgL_kz00_6234;
BgL_kz00_6234 = 
(int)(BgL_modz00_6220); 
BgL_bucketz00_6224 = 
VECTOR_REF(BgL_arg1221z00_6215,BgL_kz00_6234); } 
{ /* Cfa/collect.scm 256 */
int BgL_kz00_6236;
BgL_kz00_6236 = 
(int)(BgL_restz00_6222); 
BgL_method4825z00_6212 = 
VECTOR_REF(BgL_bucketz00_6224,BgL_kz00_6236); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6212)(BgL_method4825z00_6212, 
(obj_t)(BgL_arg5200z00_4028), 
(obj_t)(BgL_ownerz00_6211), BEOA); } } } 
{ /* Cfa/collect.scm 257 */
BgL_nodez00_bglt BgL_arg5201z00_4029;
BgL_arg5201z00_4029 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4023))->BgL_msgz00); 
{ /* Cfa/collect.scm 257 */
BgL_variablez00_bglt BgL_ownerz00_6239;
BgL_ownerz00_6239 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4024); 
{ /* Cfa/collect.scm 257 */
obj_t BgL_method4825z00_6240;
{ /* Cfa/collect.scm 257 */
long BgL_objzd2classzd2numz00_6242;
{ /* Cfa/collect.scm 257 */
BgL_objectz00_bglt BgL_auxz00_7464;
BgL_auxz00_7464 = 
(BgL_objectz00_bglt)(BgL_arg5201z00_4029); 
BgL_objzd2classzd2numz00_6242 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7464); } 
{ /* Cfa/collect.scm 257 */
obj_t BgL_arg1221z00_6243;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7467;
BgL_auxz00_7467 = 
(int)(((long)1)); 
BgL_arg1221z00_6243 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7467); } 
{ /* Cfa/collect.scm 257 */
long BgL_offsetz00_6247;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7470;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7471;
BgL_auxz00_7471 = 
(int)(BgL_objzd2classzd2numz00_6242); 
BgL_auxz00_7470 = 
(long)(BgL_auxz00_7471); } 
BgL_offsetz00_6247 = 
(BgL_auxz00_7470-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 257 */
long BgL_modz00_6248;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7475;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7476;
BgL_auxz00_7476 = 
(int)(((long)8)); 
BgL_auxz00_7475 = 
(long)(BgL_auxz00_7476); } 
BgL_modz00_6248 = 
(BgL_offsetz00_6247/BgL_auxz00_7475); } 
{ /* Cfa/collect.scm 257 */
long BgL_restz00_6250;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7480;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7481;
BgL_auxz00_7481 = 
(int)(((long)8)); 
BgL_auxz00_7480 = 
(long)(BgL_auxz00_7481); } 
BgL_restz00_6250 = 
(BgL_offsetz00_6247%BgL_auxz00_7480); } 
{ /* Cfa/collect.scm 257 */

{ /* Cfa/collect.scm 257 */
obj_t BgL_bucketz00_6252;
{ /* Cfa/collect.scm 257 */
int BgL_kz00_6262;
BgL_kz00_6262 = 
(int)(BgL_modz00_6248); 
BgL_bucketz00_6252 = 
VECTOR_REF(BgL_arg1221z00_6243,BgL_kz00_6262); } 
{ /* Cfa/collect.scm 257 */
int BgL_kz00_6264;
BgL_kz00_6264 = 
(int)(BgL_restz00_6250); 
BgL_method4825z00_6240 = 
VECTOR_REF(BgL_bucketz00_6252,BgL_kz00_6264); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6240)(BgL_method4825z00_6240, 
(obj_t)(BgL_arg5201z00_4029), 
(obj_t)(BgL_ownerz00_6239), BEOA); } } } 
{ /* Cfa/collect.scm 258 */
BgL_nodez00_bglt BgL_arg5202z00_4030;
BgL_arg5202z00_4030 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4023))->BgL_objz00); 
{ /* Cfa/collect.scm 258 */
BgL_variablez00_bglt BgL_ownerz00_6267;
BgL_ownerz00_6267 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4024); 
{ /* Cfa/collect.scm 258 */
obj_t BgL_method4825z00_6268;
{ /* Cfa/collect.scm 258 */
long BgL_objzd2classzd2numz00_6270;
{ /* Cfa/collect.scm 258 */
BgL_objectz00_bglt BgL_auxz00_7495;
BgL_auxz00_7495 = 
(BgL_objectz00_bglt)(BgL_arg5202z00_4030); 
BgL_objzd2classzd2numz00_6270 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7495); } 
{ /* Cfa/collect.scm 258 */
obj_t BgL_arg1221z00_6271;
{ /* Cfa/collect.scm 258 */
int BgL_auxz00_7498;
BgL_auxz00_7498 = 
(int)(((long)1)); 
BgL_arg1221z00_6271 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7498); } 
{ /* Cfa/collect.scm 258 */
long BgL_offsetz00_6275;
{ /* Cfa/collect.scm 258 */
long BgL_auxz00_7501;
{ /* Cfa/collect.scm 258 */
int BgL_auxz00_7502;
BgL_auxz00_7502 = 
(int)(BgL_objzd2classzd2numz00_6270); 
BgL_auxz00_7501 = 
(long)(BgL_auxz00_7502); } 
BgL_offsetz00_6275 = 
(BgL_auxz00_7501-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 258 */
long BgL_modz00_6276;
{ /* Cfa/collect.scm 258 */
long BgL_auxz00_7506;
{ /* Cfa/collect.scm 258 */
int BgL_auxz00_7507;
BgL_auxz00_7507 = 
(int)(((long)8)); 
BgL_auxz00_7506 = 
(long)(BgL_auxz00_7507); } 
BgL_modz00_6276 = 
(BgL_offsetz00_6275/BgL_auxz00_7506); } 
{ /* Cfa/collect.scm 258 */
long BgL_restz00_6278;
{ /* Cfa/collect.scm 258 */
long BgL_auxz00_7511;
{ /* Cfa/collect.scm 258 */
int BgL_auxz00_7512;
BgL_auxz00_7512 = 
(int)(((long)8)); 
BgL_auxz00_7511 = 
(long)(BgL_auxz00_7512); } 
BgL_restz00_6278 = 
(BgL_offsetz00_6275%BgL_auxz00_7511); } 
{ /* Cfa/collect.scm 258 */

{ /* Cfa/collect.scm 258 */
obj_t BgL_bucketz00_6280;
{ /* Cfa/collect.scm 258 */
int BgL_kz00_6290;
BgL_kz00_6290 = 
(int)(BgL_modz00_6276); 
BgL_bucketz00_6280 = 
VECTOR_REF(BgL_arg1221z00_6271,BgL_kz00_6290); } 
{ /* Cfa/collect.scm 258 */
int BgL_kz00_6292;
BgL_kz00_6292 = 
(int)(BgL_restz00_6278); 
BgL_method4825z00_6268 = 
VECTOR_REF(BgL_bucketz00_6280,BgL_kz00_6292); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6268)(BgL_method4825z00_6268, 
(obj_t)(BgL_arg5202z00_4030), 
(obj_t)(BgL_ownerz00_6267), BEOA);} } } } } 
}



/* node-collect!-conditional4849 */
obj_t BGl_nodezd2collectz12zd2conditional4849z12zzcfa_collectz00(obj_t BgL_envz00_6771, obj_t BgL_nodez00_6772, obj_t BgL_ownerz00_6773)
{ AN_OBJECT;
{ /* Cfa/collect.scm 245 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_4013;obj_t BgL_ownerz00_4014;
BgL_nodez00_4013 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_6772); 
BgL_ownerz00_4014 = BgL_ownerz00_6773; 
{ /* Cfa/collect.scm 247 */
BgL_nodez00_bglt BgL_arg5196z00_4018;
BgL_arg5196z00_4018 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4013))->BgL_testz00); 
{ /* Cfa/collect.scm 247 */
BgL_variablez00_bglt BgL_ownerz00_6127;
BgL_ownerz00_6127 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4014); 
{ /* Cfa/collect.scm 247 */
obj_t BgL_method4825z00_6128;
{ /* Cfa/collect.scm 247 */
long BgL_objzd2classzd2numz00_6130;
{ /* Cfa/collect.scm 247 */
BgL_objectz00_bglt BgL_auxz00_7527;
BgL_auxz00_7527 = 
(BgL_objectz00_bglt)(BgL_arg5196z00_4018); 
BgL_objzd2classzd2numz00_6130 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7527); } 
{ /* Cfa/collect.scm 247 */
obj_t BgL_arg1221z00_6131;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7530;
BgL_auxz00_7530 = 
(int)(((long)1)); 
BgL_arg1221z00_6131 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7530); } 
{ /* Cfa/collect.scm 247 */
long BgL_offsetz00_6135;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7533;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7534;
BgL_auxz00_7534 = 
(int)(BgL_objzd2classzd2numz00_6130); 
BgL_auxz00_7533 = 
(long)(BgL_auxz00_7534); } 
BgL_offsetz00_6135 = 
(BgL_auxz00_7533-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 247 */
long BgL_modz00_6136;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7538;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7539;
BgL_auxz00_7539 = 
(int)(((long)8)); 
BgL_auxz00_7538 = 
(long)(BgL_auxz00_7539); } 
BgL_modz00_6136 = 
(BgL_offsetz00_6135/BgL_auxz00_7538); } 
{ /* Cfa/collect.scm 247 */
long BgL_restz00_6138;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7543;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7544;
BgL_auxz00_7544 = 
(int)(((long)8)); 
BgL_auxz00_7543 = 
(long)(BgL_auxz00_7544); } 
BgL_restz00_6138 = 
(BgL_offsetz00_6135%BgL_auxz00_7543); } 
{ /* Cfa/collect.scm 247 */

{ /* Cfa/collect.scm 247 */
obj_t BgL_bucketz00_6140;
{ /* Cfa/collect.scm 247 */
int BgL_kz00_6150;
BgL_kz00_6150 = 
(int)(BgL_modz00_6136); 
BgL_bucketz00_6140 = 
VECTOR_REF(BgL_arg1221z00_6131,BgL_kz00_6150); } 
{ /* Cfa/collect.scm 247 */
int BgL_kz00_6152;
BgL_kz00_6152 = 
(int)(BgL_restz00_6138); 
BgL_method4825z00_6128 = 
VECTOR_REF(BgL_bucketz00_6140,BgL_kz00_6152); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6128)(BgL_method4825z00_6128, 
(obj_t)(BgL_arg5196z00_4018), 
(obj_t)(BgL_ownerz00_6127), BEOA); } } } 
{ /* Cfa/collect.scm 248 */
BgL_nodez00_bglt BgL_arg5197z00_4019;
BgL_arg5197z00_4019 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4013))->BgL_truez00); 
{ /* Cfa/collect.scm 248 */
BgL_variablez00_bglt BgL_ownerz00_6155;
BgL_ownerz00_6155 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4014); 
{ /* Cfa/collect.scm 248 */
obj_t BgL_method4825z00_6156;
{ /* Cfa/collect.scm 248 */
long BgL_objzd2classzd2numz00_6158;
{ /* Cfa/collect.scm 248 */
BgL_objectz00_bglt BgL_auxz00_7558;
BgL_auxz00_7558 = 
(BgL_objectz00_bglt)(BgL_arg5197z00_4019); 
BgL_objzd2classzd2numz00_6158 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7558); } 
{ /* Cfa/collect.scm 248 */
obj_t BgL_arg1221z00_6159;
{ /* Cfa/collect.scm 248 */
int BgL_auxz00_7561;
BgL_auxz00_7561 = 
(int)(((long)1)); 
BgL_arg1221z00_6159 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7561); } 
{ /* Cfa/collect.scm 248 */
long BgL_offsetz00_6163;
{ /* Cfa/collect.scm 248 */
long BgL_auxz00_7564;
{ /* Cfa/collect.scm 248 */
int BgL_auxz00_7565;
BgL_auxz00_7565 = 
(int)(BgL_objzd2classzd2numz00_6158); 
BgL_auxz00_7564 = 
(long)(BgL_auxz00_7565); } 
BgL_offsetz00_6163 = 
(BgL_auxz00_7564-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 248 */
long BgL_modz00_6164;
{ /* Cfa/collect.scm 248 */
long BgL_auxz00_7569;
{ /* Cfa/collect.scm 248 */
int BgL_auxz00_7570;
BgL_auxz00_7570 = 
(int)(((long)8)); 
BgL_auxz00_7569 = 
(long)(BgL_auxz00_7570); } 
BgL_modz00_6164 = 
(BgL_offsetz00_6163/BgL_auxz00_7569); } 
{ /* Cfa/collect.scm 248 */
long BgL_restz00_6166;
{ /* Cfa/collect.scm 248 */
long BgL_auxz00_7574;
{ /* Cfa/collect.scm 248 */
int BgL_auxz00_7575;
BgL_auxz00_7575 = 
(int)(((long)8)); 
BgL_auxz00_7574 = 
(long)(BgL_auxz00_7575); } 
BgL_restz00_6166 = 
(BgL_offsetz00_6163%BgL_auxz00_7574); } 
{ /* Cfa/collect.scm 248 */

{ /* Cfa/collect.scm 248 */
obj_t BgL_bucketz00_6168;
{ /* Cfa/collect.scm 248 */
int BgL_kz00_6178;
BgL_kz00_6178 = 
(int)(BgL_modz00_6164); 
BgL_bucketz00_6168 = 
VECTOR_REF(BgL_arg1221z00_6159,BgL_kz00_6178); } 
{ /* Cfa/collect.scm 248 */
int BgL_kz00_6180;
BgL_kz00_6180 = 
(int)(BgL_restz00_6166); 
BgL_method4825z00_6156 = 
VECTOR_REF(BgL_bucketz00_6168,BgL_kz00_6180); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6156)(BgL_method4825z00_6156, 
(obj_t)(BgL_arg5197z00_4019), 
(obj_t)(BgL_ownerz00_6155), BEOA); } } } 
{ /* Cfa/collect.scm 249 */
BgL_nodez00_bglt BgL_arg5198z00_4020;
BgL_arg5198z00_4020 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4013))->BgL_falsez00); 
{ /* Cfa/collect.scm 249 */
BgL_variablez00_bglt BgL_ownerz00_6183;
BgL_ownerz00_6183 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4014); 
{ /* Cfa/collect.scm 249 */
obj_t BgL_method4825z00_6184;
{ /* Cfa/collect.scm 249 */
long BgL_objzd2classzd2numz00_6186;
{ /* Cfa/collect.scm 249 */
BgL_objectz00_bglt BgL_auxz00_7589;
BgL_auxz00_7589 = 
(BgL_objectz00_bglt)(BgL_arg5198z00_4020); 
BgL_objzd2classzd2numz00_6186 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7589); } 
{ /* Cfa/collect.scm 249 */
obj_t BgL_arg1221z00_6187;
{ /* Cfa/collect.scm 249 */
int BgL_auxz00_7592;
BgL_auxz00_7592 = 
(int)(((long)1)); 
BgL_arg1221z00_6187 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7592); } 
{ /* Cfa/collect.scm 249 */
long BgL_offsetz00_6191;
{ /* Cfa/collect.scm 249 */
long BgL_auxz00_7595;
{ /* Cfa/collect.scm 249 */
int BgL_auxz00_7596;
BgL_auxz00_7596 = 
(int)(BgL_objzd2classzd2numz00_6186); 
BgL_auxz00_7595 = 
(long)(BgL_auxz00_7596); } 
BgL_offsetz00_6191 = 
(BgL_auxz00_7595-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 249 */
long BgL_modz00_6192;
{ /* Cfa/collect.scm 249 */
long BgL_auxz00_7600;
{ /* Cfa/collect.scm 249 */
int BgL_auxz00_7601;
BgL_auxz00_7601 = 
(int)(((long)8)); 
BgL_auxz00_7600 = 
(long)(BgL_auxz00_7601); } 
BgL_modz00_6192 = 
(BgL_offsetz00_6191/BgL_auxz00_7600); } 
{ /* Cfa/collect.scm 249 */
long BgL_restz00_6194;
{ /* Cfa/collect.scm 249 */
long BgL_auxz00_7605;
{ /* Cfa/collect.scm 249 */
int BgL_auxz00_7606;
BgL_auxz00_7606 = 
(int)(((long)8)); 
BgL_auxz00_7605 = 
(long)(BgL_auxz00_7606); } 
BgL_restz00_6194 = 
(BgL_offsetz00_6191%BgL_auxz00_7605); } 
{ /* Cfa/collect.scm 249 */

{ /* Cfa/collect.scm 249 */
obj_t BgL_bucketz00_6196;
{ /* Cfa/collect.scm 249 */
int BgL_kz00_6206;
BgL_kz00_6206 = 
(int)(BgL_modz00_6192); 
BgL_bucketz00_6196 = 
VECTOR_REF(BgL_arg1221z00_6187,BgL_kz00_6206); } 
{ /* Cfa/collect.scm 249 */
int BgL_kz00_6208;
BgL_kz00_6208 = 
(int)(BgL_restz00_6194); 
BgL_method4825z00_6184 = 
VECTOR_REF(BgL_bucketz00_6196,BgL_kz00_6208); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6184)(BgL_method4825z00_6184, 
(obj_t)(BgL_arg5198z00_4020), 
(obj_t)(BgL_ownerz00_6183), BEOA);} } } } } 
}



/* node-collect!-setq4847 */
obj_t BGl_nodezd2collectz12zd2setq4847z12zzcfa_collectz00(obj_t BgL_envz00_6774, obj_t BgL_nodez00_6775, obj_t BgL_ownerz00_6776)
{ AN_OBJECT;
{ /* Cfa/collect.scm 238 */
{ 
BgL_setqz00_bglt BgL_nodez00_4005;obj_t BgL_ownerz00_4006;
BgL_nodez00_4005 = 
(BgL_setqz00_bglt)(BgL_nodez00_6775); 
BgL_ownerz00_4006 = BgL_ownerz00_6776; 
{ /* Cfa/collect.scm 239 */
BgL_nodez00_bglt BgL_arg5194z00_6096;
BgL_arg5194z00_6096 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4005))->BgL_valuez00); 
{ /* Cfa/collect.scm 239 */
BgL_variablez00_bglt BgL_ownerz00_6099;
BgL_ownerz00_6099 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4006); 
{ /* Cfa/collect.scm 239 */
obj_t BgL_method4825z00_6100;
{ /* Cfa/collect.scm 239 */
long BgL_objzd2classzd2numz00_6102;
{ /* Cfa/collect.scm 239 */
BgL_objectz00_bglt BgL_auxz00_7621;
BgL_auxz00_7621 = 
(BgL_objectz00_bglt)(BgL_arg5194z00_6096); 
BgL_objzd2classzd2numz00_6102 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7621); } 
{ /* Cfa/collect.scm 239 */
obj_t BgL_arg1221z00_6103;
{ /* Cfa/collect.scm 239 */
int BgL_auxz00_7624;
BgL_auxz00_7624 = 
(int)(((long)1)); 
BgL_arg1221z00_6103 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7624); } 
{ /* Cfa/collect.scm 239 */
long BgL_offsetz00_6107;
{ /* Cfa/collect.scm 239 */
long BgL_auxz00_7627;
{ /* Cfa/collect.scm 239 */
int BgL_auxz00_7628;
BgL_auxz00_7628 = 
(int)(BgL_objzd2classzd2numz00_6102); 
BgL_auxz00_7627 = 
(long)(BgL_auxz00_7628); } 
BgL_offsetz00_6107 = 
(BgL_auxz00_7627-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 239 */
long BgL_modz00_6108;
{ /* Cfa/collect.scm 239 */
long BgL_auxz00_7632;
{ /* Cfa/collect.scm 239 */
int BgL_auxz00_7633;
BgL_auxz00_7633 = 
(int)(((long)8)); 
BgL_auxz00_7632 = 
(long)(BgL_auxz00_7633); } 
BgL_modz00_6108 = 
(BgL_offsetz00_6107/BgL_auxz00_7632); } 
{ /* Cfa/collect.scm 239 */
long BgL_restz00_6110;
{ /* Cfa/collect.scm 239 */
long BgL_auxz00_7637;
{ /* Cfa/collect.scm 239 */
int BgL_auxz00_7638;
BgL_auxz00_7638 = 
(int)(((long)8)); 
BgL_auxz00_7637 = 
(long)(BgL_auxz00_7638); } 
BgL_restz00_6110 = 
(BgL_offsetz00_6107%BgL_auxz00_7637); } 
{ /* Cfa/collect.scm 239 */

{ /* Cfa/collect.scm 239 */
obj_t BgL_bucketz00_6112;
{ /* Cfa/collect.scm 239 */
int BgL_kz00_6122;
BgL_kz00_6122 = 
(int)(BgL_modz00_6108); 
BgL_bucketz00_6112 = 
VECTOR_REF(BgL_arg1221z00_6103,BgL_kz00_6122); } 
{ /* Cfa/collect.scm 239 */
int BgL_kz00_6124;
BgL_kz00_6124 = 
(int)(BgL_restz00_6110); 
BgL_method4825z00_6100 = 
VECTOR_REF(BgL_bucketz00_6112,BgL_kz00_6124); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6100)(BgL_method4825z00_6100, 
(obj_t)(BgL_arg5194z00_6096), 
(obj_t)(BgL_ownerz00_6099), BEOA);} } } } } 
}



/* node-collect!-cast4845 */
obj_t BGl_nodezd2collectz12zd2cast4845z12zzcfa_collectz00(obj_t BgL_envz00_6777, obj_t BgL_nodez00_6778, obj_t BgL_ownerz00_6779)
{ AN_OBJECT;
{ /* Cfa/collect.scm 231 */
{ 
BgL_castz00_bglt BgL_nodez00_3997;obj_t BgL_ownerz00_3998;
BgL_nodez00_3997 = 
(BgL_castz00_bglt)(BgL_nodez00_6778); 
BgL_ownerz00_3998 = BgL_ownerz00_6779; 
{ /* Cfa/collect.scm 232 */
BgL_nodez00_bglt BgL_arg5192z00_6066;
BgL_arg5192z00_6066 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_3997))->BgL_argz00); 
{ /* Cfa/collect.scm 232 */
BgL_variablez00_bglt BgL_ownerz00_6069;
BgL_ownerz00_6069 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3998); 
{ /* Cfa/collect.scm 232 */
obj_t BgL_method4825z00_6070;
{ /* Cfa/collect.scm 232 */
long BgL_objzd2classzd2numz00_6072;
{ /* Cfa/collect.scm 232 */
BgL_objectz00_bglt BgL_auxz00_7653;
BgL_auxz00_7653 = 
(BgL_objectz00_bglt)(BgL_arg5192z00_6066); 
BgL_objzd2classzd2numz00_6072 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7653); } 
{ /* Cfa/collect.scm 232 */
obj_t BgL_arg1221z00_6073;
{ /* Cfa/collect.scm 232 */
int BgL_auxz00_7656;
BgL_auxz00_7656 = 
(int)(((long)1)); 
BgL_arg1221z00_6073 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7656); } 
{ /* Cfa/collect.scm 232 */
long BgL_offsetz00_6077;
{ /* Cfa/collect.scm 232 */
long BgL_auxz00_7659;
{ /* Cfa/collect.scm 232 */
int BgL_auxz00_7660;
BgL_auxz00_7660 = 
(int)(BgL_objzd2classzd2numz00_6072); 
BgL_auxz00_7659 = 
(long)(BgL_auxz00_7660); } 
BgL_offsetz00_6077 = 
(BgL_auxz00_7659-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 232 */
long BgL_modz00_6078;
{ /* Cfa/collect.scm 232 */
long BgL_auxz00_7664;
{ /* Cfa/collect.scm 232 */
int BgL_auxz00_7665;
BgL_auxz00_7665 = 
(int)(((long)8)); 
BgL_auxz00_7664 = 
(long)(BgL_auxz00_7665); } 
BgL_modz00_6078 = 
(BgL_offsetz00_6077/BgL_auxz00_7664); } 
{ /* Cfa/collect.scm 232 */
long BgL_restz00_6080;
{ /* Cfa/collect.scm 232 */
long BgL_auxz00_7669;
{ /* Cfa/collect.scm 232 */
int BgL_auxz00_7670;
BgL_auxz00_7670 = 
(int)(((long)8)); 
BgL_auxz00_7669 = 
(long)(BgL_auxz00_7670); } 
BgL_restz00_6080 = 
(BgL_offsetz00_6077%BgL_auxz00_7669); } 
{ /* Cfa/collect.scm 232 */

{ /* Cfa/collect.scm 232 */
obj_t BgL_bucketz00_6082;
{ /* Cfa/collect.scm 232 */
int BgL_kz00_6092;
BgL_kz00_6092 = 
(int)(BgL_modz00_6078); 
BgL_bucketz00_6082 = 
VECTOR_REF(BgL_arg1221z00_6073,BgL_kz00_6092); } 
{ /* Cfa/collect.scm 232 */
int BgL_kz00_6094;
BgL_kz00_6094 = 
(int)(BgL_restz00_6080); 
BgL_method4825z00_6070 = 
VECTOR_REF(BgL_bucketz00_6082,BgL_kz00_6094); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6070)(BgL_method4825z00_6070, 
(obj_t)(BgL_arg5192z00_6066), 
(obj_t)(BgL_ownerz00_6069), BEOA);} } } } } 
}



/* node-collect!-extern4843 */
obj_t BGl_nodezd2collectz12zd2extern4843z12zzcfa_collectz00(obj_t BgL_envz00_6780, obj_t BgL_nodez00_6781, obj_t BgL_ownerz00_6782)
{ AN_OBJECT;
{ /* Cfa/collect.scm 224 */
{ 
BgL_externz00_bglt BgL_nodez00_3989;obj_t BgL_ownerz00_3990;
{ /* Cfa/collect.scm 225 */
bool_t BgL_auxz00_7683;
BgL_nodez00_3989 = 
(BgL_externz00_bglt)(BgL_nodez00_6781); 
BgL_ownerz00_3990 = BgL_ownerz00_6782; 
BgL_auxz00_7683 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_3989))->BgL_exprza2za2), BgL_ownerz00_3990); 
return 
BBOOL(BgL_auxz00_7683);} } } 
}



/* node-collect!-funcall4841 */
obj_t BGl_nodezd2collectz12zd2funcall4841z12zzcfa_collectz00(obj_t BgL_envz00_6783, obj_t BgL_nodez00_6784, obj_t BgL_ownerz00_6785)
{ AN_OBJECT;
{ /* Cfa/collect.scm 215 */
{ 
BgL_funcallz00_bglt BgL_nodez00_3980;obj_t BgL_ownerz00_3981;
{ /* Cfa/collect.scm 216 */
bool_t BgL_auxz00_7688;
BgL_nodez00_3980 = 
(BgL_funcallz00_bglt)(BgL_nodez00_6784); 
BgL_ownerz00_3981 = BgL_ownerz00_6785; 
BGl_addzd2funcallz12zc0zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_nodez00_3980)); 
{ /* Cfa/collect.scm 218 */
BgL_nodez00_bglt BgL_arg5187z00_3985;
BgL_arg5187z00_3985 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3980))->BgL_funz00); 
{ /* Cfa/collect.scm 218 */
BgL_variablez00_bglt BgL_ownerz00_6035;
BgL_ownerz00_6035 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3981); 
{ /* Cfa/collect.scm 218 */
obj_t BgL_method4825z00_6036;
{ /* Cfa/collect.scm 218 */
long BgL_objzd2classzd2numz00_6038;
{ /* Cfa/collect.scm 218 */
BgL_objectz00_bglt BgL_auxz00_7693;
BgL_auxz00_7693 = 
(BgL_objectz00_bglt)(BgL_arg5187z00_3985); 
BgL_objzd2classzd2numz00_6038 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7693); } 
{ /* Cfa/collect.scm 218 */
obj_t BgL_arg1221z00_6039;
{ /* Cfa/collect.scm 218 */
int BgL_auxz00_7696;
BgL_auxz00_7696 = 
(int)(((long)1)); 
BgL_arg1221z00_6039 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7696); } 
{ /* Cfa/collect.scm 218 */
long BgL_offsetz00_6043;
{ /* Cfa/collect.scm 218 */
long BgL_auxz00_7699;
{ /* Cfa/collect.scm 218 */
int BgL_auxz00_7700;
BgL_auxz00_7700 = 
(int)(BgL_objzd2classzd2numz00_6038); 
BgL_auxz00_7699 = 
(long)(BgL_auxz00_7700); } 
BgL_offsetz00_6043 = 
(BgL_auxz00_7699-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 218 */
long BgL_modz00_6044;
{ /* Cfa/collect.scm 218 */
long BgL_auxz00_7704;
{ /* Cfa/collect.scm 218 */
int BgL_auxz00_7705;
BgL_auxz00_7705 = 
(int)(((long)8)); 
BgL_auxz00_7704 = 
(long)(BgL_auxz00_7705); } 
BgL_modz00_6044 = 
(BgL_offsetz00_6043/BgL_auxz00_7704); } 
{ /* Cfa/collect.scm 218 */
long BgL_restz00_6046;
{ /* Cfa/collect.scm 218 */
long BgL_auxz00_7709;
{ /* Cfa/collect.scm 218 */
int BgL_auxz00_7710;
BgL_auxz00_7710 = 
(int)(((long)8)); 
BgL_auxz00_7709 = 
(long)(BgL_auxz00_7710); } 
BgL_restz00_6046 = 
(BgL_offsetz00_6043%BgL_auxz00_7709); } 
{ /* Cfa/collect.scm 218 */

{ /* Cfa/collect.scm 218 */
obj_t BgL_bucketz00_6048;
{ /* Cfa/collect.scm 218 */
int BgL_kz00_6058;
BgL_kz00_6058 = 
(int)(BgL_modz00_6044); 
BgL_bucketz00_6048 = 
VECTOR_REF(BgL_arg1221z00_6039,BgL_kz00_6058); } 
{ /* Cfa/collect.scm 218 */
int BgL_kz00_6060;
BgL_kz00_6060 = 
(int)(BgL_restz00_6046); 
BgL_method4825z00_6036 = 
VECTOR_REF(BgL_bucketz00_6048,BgL_kz00_6060); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_6036)(BgL_method4825z00_6036, 
(obj_t)(BgL_arg5187z00_3985), 
(obj_t)(BgL_ownerz00_6035), BEOA); } } } 
BgL_auxz00_7688 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3980))->BgL_argsz00), BgL_ownerz00_3981); 
return 
BBOOL(BgL_auxz00_7688);} } } 
}



/* node-collect!-app-ly4839 */
obj_t BGl_nodezd2collectz12zd2appzd2ly4839zc0zzcfa_collectz00(obj_t BgL_envz00_6786, obj_t BgL_nodez00_6787, obj_t BgL_ownerz00_6788)
{ AN_OBJECT;
{ /* Cfa/collect.scm 207 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_3971;obj_t BgL_ownerz00_3972;
BgL_nodez00_3971 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_6787); 
BgL_ownerz00_3972 = BgL_ownerz00_6788; 
{ /* Cfa/collect.scm 208 */
BgL_nodez00_bglt BgL_arg5184z00_5975;
BgL_arg5184z00_5975 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3971))->BgL_funz00); 
{ /* Cfa/collect.scm 208 */
BgL_variablez00_bglt BgL_ownerz00_5979;
BgL_ownerz00_5979 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3972); 
{ /* Cfa/collect.scm 208 */
obj_t BgL_method4825z00_5980;
{ /* Cfa/collect.scm 208 */
long BgL_objzd2classzd2numz00_5982;
{ /* Cfa/collect.scm 208 */
BgL_objectz00_bglt BgL_auxz00_7728;
BgL_auxz00_7728 = 
(BgL_objectz00_bglt)(BgL_arg5184z00_5975); 
BgL_objzd2classzd2numz00_5982 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7728); } 
{ /* Cfa/collect.scm 208 */
obj_t BgL_arg1221z00_5983;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7731;
BgL_auxz00_7731 = 
(int)(((long)1)); 
BgL_arg1221z00_5983 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7731); } 
{ /* Cfa/collect.scm 208 */
long BgL_offsetz00_5987;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7734;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7735;
BgL_auxz00_7735 = 
(int)(BgL_objzd2classzd2numz00_5982); 
BgL_auxz00_7734 = 
(long)(BgL_auxz00_7735); } 
BgL_offsetz00_5987 = 
(BgL_auxz00_7734-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 208 */
long BgL_modz00_5988;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7739;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7740;
BgL_auxz00_7740 = 
(int)(((long)8)); 
BgL_auxz00_7739 = 
(long)(BgL_auxz00_7740); } 
BgL_modz00_5988 = 
(BgL_offsetz00_5987/BgL_auxz00_7739); } 
{ /* Cfa/collect.scm 208 */
long BgL_restz00_5990;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7744;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7745;
BgL_auxz00_7745 = 
(int)(((long)8)); 
BgL_auxz00_7744 = 
(long)(BgL_auxz00_7745); } 
BgL_restz00_5990 = 
(BgL_offsetz00_5987%BgL_auxz00_7744); } 
{ /* Cfa/collect.scm 208 */

{ /* Cfa/collect.scm 208 */
obj_t BgL_bucketz00_5992;
{ /* Cfa/collect.scm 208 */
int BgL_kz00_6002;
BgL_kz00_6002 = 
(int)(BgL_modz00_5988); 
BgL_bucketz00_5992 = 
VECTOR_REF(BgL_arg1221z00_5983,BgL_kz00_6002); } 
{ /* Cfa/collect.scm 208 */
int BgL_kz00_6004;
BgL_kz00_6004 = 
(int)(BgL_restz00_5990); 
BgL_method4825z00_5980 = 
VECTOR_REF(BgL_bucketz00_5992,BgL_kz00_6004); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_5980)(BgL_method4825z00_5980, 
(obj_t)(BgL_arg5184z00_5975), 
(obj_t)(BgL_ownerz00_5979), BEOA); } } } 
{ /* Cfa/collect.scm 208 */
BgL_nodez00_bglt BgL_arg5185z00_5976;
BgL_arg5185z00_5976 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3971))->BgL_argz00); 
{ /* Cfa/collect.scm 208 */
BgL_variablez00_bglt BgL_ownerz00_6007;
BgL_ownerz00_6007 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3972); 
{ /* Cfa/collect.scm 208 */
obj_t BgL_method4825z00_6008;
{ /* Cfa/collect.scm 208 */
long BgL_objzd2classzd2numz00_6010;
{ /* Cfa/collect.scm 208 */
BgL_objectz00_bglt BgL_auxz00_7759;
BgL_auxz00_7759 = 
(BgL_objectz00_bglt)(BgL_arg5185z00_5976); 
BgL_objzd2classzd2numz00_6010 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7759); } 
{ /* Cfa/collect.scm 208 */
obj_t BgL_arg1221z00_6011;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7762;
BgL_auxz00_7762 = 
(int)(((long)1)); 
BgL_arg1221z00_6011 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7762); } 
{ /* Cfa/collect.scm 208 */
long BgL_offsetz00_6015;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7765;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7766;
BgL_auxz00_7766 = 
(int)(BgL_objzd2classzd2numz00_6010); 
BgL_auxz00_7765 = 
(long)(BgL_auxz00_7766); } 
BgL_offsetz00_6015 = 
(BgL_auxz00_7765-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 208 */
long BgL_modz00_6016;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7770;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7771;
BgL_auxz00_7771 = 
(int)(((long)8)); 
BgL_auxz00_7770 = 
(long)(BgL_auxz00_7771); } 
BgL_modz00_6016 = 
(BgL_offsetz00_6015/BgL_auxz00_7770); } 
{ /* Cfa/collect.scm 208 */
long BgL_restz00_6018;
{ /* Cfa/collect.scm 208 */
long BgL_auxz00_7775;
{ /* Cfa/collect.scm 208 */
int BgL_auxz00_7776;
BgL_auxz00_7776 = 
(int)(((long)8)); 
BgL_auxz00_7775 = 
(long)(BgL_auxz00_7776); } 
BgL_restz00_6018 = 
(BgL_offsetz00_6015%BgL_auxz00_7775); } 
{ /* Cfa/collect.scm 208 */

{ /* Cfa/collect.scm 208 */
obj_t BgL_bucketz00_6020;
{ /* Cfa/collect.scm 208 */
int BgL_kz00_6030;
BgL_kz00_6030 = 
(int)(BgL_modz00_6016); 
BgL_bucketz00_6020 = 
VECTOR_REF(BgL_arg1221z00_6011,BgL_kz00_6030); } 
{ /* Cfa/collect.scm 208 */
int BgL_kz00_6032;
BgL_kz00_6032 = 
(int)(BgL_restz00_6018); 
BgL_method4825z00_6008 = 
VECTOR_REF(BgL_bucketz00_6020,BgL_kz00_6032); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6008)(BgL_method4825z00_6008, 
(obj_t)(BgL_arg5185z00_5976), 
(obj_t)(BgL_ownerz00_6007), BEOA);} } } } } 
}



/* node-collect!-valloc4837 */
obj_t BGl_nodezd2collectz12zd2valloc4837z12zzcfa_collectz00(obj_t BgL_envz00_6789, obj_t BgL_nodez00_6790, obj_t BgL_ownerz00_6791)
{ AN_OBJECT;
{ /* Cfa/collect.scm 196 */
{ 
BgL_vallocz00_bglt BgL_nodez00_3958;obj_t BgL_ownerz00_3959;
BgL_nodez00_3958 = 
(BgL_vallocz00_bglt)(BgL_nodez00_6790); 
BgL_ownerz00_3959 = BgL_ownerz00_6791; 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_3958))->BgL_exprza2za2), BgL_ownerz00_3959); 
{ /* Cfa/collect.scm 199 */
bool_t BgL_test5179z00_3964;
BgL_test5179z00_3964 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test5179z00_3964)
{ /* Cfa/collect.scm 199 */
{ /* Cfa/collect.scm 201 */
obj_t BgL_auxz00_7793;
BgL_auxz00_7793 = 
(obj_t)(BgL_nodez00_3958); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7793, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 202 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_obj4786z00_3965;
BgL_obj4786z00_3965 = 
((BgL_prezd2valloczf2cinfoz20_bglt)BgL_nodez00_3958); 
{ /* Cfa/collect.scm 202 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_arg5180z00_3966;
{ /* Cfa/collect.scm 202 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_res5377z00_5970;
{ /* Cfa/collect.scm 202 */
BgL_variablez00_bglt BgL_owner4618z00_5964;
{ /* Cfa/collect.scm 202 */
obj_t BgL_auxz00_7797;
BgL_auxz00_7797 = BgL_ownerz00_3959; 
BgL_owner4618z00_5964 = 
(BgL_variablez00_bglt)(BgL_auxz00_7797); } 
{ /* Cfa/collect.scm 202 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_new4619z00_5965;
BgL_new4619z00_5965 = 
((BgL_prezd2valloczf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2valloczf2cinfoz20_bgl)))); 
{ /* Cfa/collect.scm 202 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_res5376z00_5969;
((((BgL_prezd2valloczf2cinfoz20_bglt)CREF(BgL_new4619z00_5965))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner4618z00_5964), BUNSPEC); 
BgL_res5376z00_5969 = BgL_new4619z00_5965; BgL_res5376z00_5969; } 
BgL_res5377z00_5970 = BgL_new4619z00_5965; } } 
BgL_arg5180z00_3966 = BgL_res5377z00_5970; } 
{ /* Cfa/collect.scm 202 */
obj_t BgL_auxz00_7803;BgL_objectz00_bglt BgL_auxz00_7801;
BgL_auxz00_7803 = 
(obj_t)(BgL_arg5180z00_3966); 
BgL_auxz00_7801 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3965); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7801, BgL_auxz00_7803); } } 
{ /* Cfa/collect.scm 202 */
long BgL_arg5182z00_3968;
BgL_arg5182z00_3968 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00); 
{ /* Cfa/collect.scm 202 */
BgL_objectz00_bglt BgL_auxz00_7807;
BgL_auxz00_7807 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3965); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7807, BgL_arg5182z00_3968); } } 
{ /* Cfa/collect.scm 202 */
obj_t BgL_auxz00_7810;
BgL_auxz00_7810 = 
(obj_t)(BgL_obj4786z00_3965); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7810); } BUNSPEC; 
return 
(obj_t)(BgL_obj4786z00_3965);} }  else 
{ /* Cfa/collect.scm 199 */
return BFALSE;} } } } 
}



/* node-collect!-app4835 */
obj_t BGl_nodezd2collectz12zd2app4835z12zzcfa_collectz00(obj_t BgL_envz00_6792, obj_t BgL_nodez00_6793, obj_t BgL_ownerz00_6794)
{ AN_OBJECT;
{ /* Cfa/collect.scm 140 */
{ 
BgL_appz00_bglt BgL_nodez00_3889;obj_t BgL_ownerz00_3890;
BgL_nodez00_3889 = 
(BgL_appz00_bglt)(BgL_nodez00_6793); 
BgL_ownerz00_3890 = BgL_ownerz00_6794; 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_3889))->BgL_argsz00), BgL_ownerz00_3890); 
{ /* Cfa/collect.scm 143 */
BgL_nodez00_bglt BgL_nodez00_5836;BgL_variablez00_bglt BgL_ownerz00_5837;
{ /* Cfa/collect.scm 143 */
BgL_varz00_bglt BgL_auxz00_7817;
BgL_auxz00_7817 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_3889))->BgL_funz00); 
BgL_nodez00_5836 = 
(BgL_nodez00_bglt)(BgL_auxz00_7817); } 
BgL_ownerz00_5837 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3890); 
{ /* Cfa/collect.scm 143 */
obj_t BgL_method4825z00_5838;
{ /* Cfa/collect.scm 143 */
long BgL_objzd2classzd2numz00_5840;
{ /* Cfa/collect.scm 143 */
BgL_objectz00_bglt BgL_auxz00_7821;
BgL_auxz00_7821 = 
(BgL_objectz00_bglt)(BgL_nodez00_5836); 
BgL_objzd2classzd2numz00_5840 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7821); } 
{ /* Cfa/collect.scm 143 */
obj_t BgL_arg1221z00_5841;
{ /* Cfa/collect.scm 143 */
int BgL_auxz00_7824;
BgL_auxz00_7824 = 
(int)(((long)1)); 
BgL_arg1221z00_5841 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7824); } 
{ /* Cfa/collect.scm 143 */
long BgL_offsetz00_5845;
{ /* Cfa/collect.scm 143 */
long BgL_auxz00_7827;
{ /* Cfa/collect.scm 143 */
int BgL_auxz00_7828;
BgL_auxz00_7828 = 
(int)(BgL_objzd2classzd2numz00_5840); 
BgL_auxz00_7827 = 
(long)(BgL_auxz00_7828); } 
BgL_offsetz00_5845 = 
(BgL_auxz00_7827-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 143 */
long BgL_modz00_5846;
{ /* Cfa/collect.scm 143 */
long BgL_auxz00_7832;
{ /* Cfa/collect.scm 143 */
int BgL_auxz00_7833;
BgL_auxz00_7833 = 
(int)(((long)8)); 
BgL_auxz00_7832 = 
(long)(BgL_auxz00_7833); } 
BgL_modz00_5846 = 
(BgL_offsetz00_5845/BgL_auxz00_7832); } 
{ /* Cfa/collect.scm 143 */
long BgL_restz00_5848;
{ /* Cfa/collect.scm 143 */
long BgL_auxz00_7837;
{ /* Cfa/collect.scm 143 */
int BgL_auxz00_7838;
BgL_auxz00_7838 = 
(int)(((long)8)); 
BgL_auxz00_7837 = 
(long)(BgL_auxz00_7838); } 
BgL_restz00_5848 = 
(BgL_offsetz00_5845%BgL_auxz00_7837); } 
{ /* Cfa/collect.scm 143 */

{ /* Cfa/collect.scm 143 */
obj_t BgL_bucketz00_5850;
{ /* Cfa/collect.scm 143 */
int BgL_kz00_5860;
BgL_kz00_5860 = 
(int)(BgL_modz00_5846); 
BgL_bucketz00_5850 = 
VECTOR_REF(BgL_arg1221z00_5841,BgL_kz00_5860); } 
{ /* Cfa/collect.scm 143 */
int BgL_kz00_5862;
BgL_kz00_5862 = 
(int)(BgL_restz00_5848); 
BgL_method4825z00_5838 = 
VECTOR_REF(BgL_bucketz00_5850,BgL_kz00_5862); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_5838)(BgL_method4825z00_5838, 
(obj_t)(BgL_nodez00_5836), 
(obj_t)(BgL_ownerz00_5837), BEOA); } } 
{ /* Cfa/collect.scm 144 */
BgL_variablez00_bglt BgL_vz00_3896;
{ /* Cfa/collect.scm 144 */
BgL_varz00_bglt BgL_arg5176z00_3955;
BgL_arg5176z00_3955 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_3889))->BgL_funz00); 
BgL_vz00_3896 = 
(((BgL_varz00_bglt)CREF(BgL_arg5176z00_3955))->BgL_variablez00); } 
{ /* Cfa/collect.scm 145 */
bool_t BgL_test5131z00_3897;
BgL_test5131z00_3897 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3896), BGl_globalz00zzast_varz00); 
if(BgL_test5131z00_3897)
{ /* Cfa/collect.scm 146 */
bool_t BgL_test5132z00_3898;
{ /* Cfa/collect.scm 146 */
obj_t BgL_auxz00_7855;
{ /* Cfa/collect.scm 146 */
BgL_valuez00_bglt BgL_auxz00_7856;
BgL_auxz00_7856 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_3896))->BgL_valuez00); 
BgL_auxz00_7855 = 
(obj_t)(BgL_auxz00_7856); } 
BgL_test5132z00_3898 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_7855, BGl_cfunz00zzast_varz00); } 
if(BgL_test5132z00_3898)
{ /* Cfa/collect.scm 146 */
{ /* Cfa/collect.scm 152 */
obj_t BgL_casezd2valuezd2_3899;
{ /* Cfa/collect.scm 152 */
BgL_globalz00_bglt BgL_obj1171z00_5868;
BgL_obj1171z00_5868 = 
(BgL_globalz00_bglt)(BgL_vz00_3896); 
BgL_casezd2valuezd2_3899 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_5868))->BgL_idz00); } 
{ /* Cfa/collect.scm 152 */
bool_t BgL_testz00_7863;
{ /* Cfa/collect.scm 152 */
obj_t BgL_auxz00_7864;
BgL_auxz00_7864 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_7863 = 
(BgL_casezd2valuezd2_3899==BgL_auxz00_7864); } 
if(BgL_testz00_7863)
{ /* Cfa/collect.scm 152 */
if(
CBOOL(BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00))
{ /* Cfa/collect.scm 155 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_obj4774z00_3901;
BgL_obj4774z00_3901 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 156 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_arg5134z00_3902;
{ /* Cfa/collect.scm 156 */
obj_t BgL_arg5135z00_3903;
BgL_arg5135z00_3903 = 
BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3896)); 
{ /* Cfa/collect.scm 155 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res5361z00_5875;
{ /* Cfa/collect.scm 155 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_new3648z00_5870;
BgL_new3648z00_5870 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2arithmeticzd2appz00_bgl)))); 
{ /* Cfa/collect.scm 155 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res5360z00_5874;
((((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_new3648z00_5870))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg5135z00_3903), BUNSPEC); 
BgL_res5360z00_5874 = BgL_new3648z00_5870; BgL_res5360z00_5874; } 
BgL_res5361z00_5875 = BgL_new3648z00_5870; } 
BgL_arg5134z00_3902 = BgL_res5361z00_5875; } } 
{ /* Cfa/collect.scm 155 */
obj_t BgL_auxz00_7876;BgL_objectz00_bglt BgL_auxz00_7874;
BgL_auxz00_7876 = 
(obj_t)(BgL_arg5134z00_3902); 
BgL_auxz00_7874 = 
(BgL_objectz00_bglt)(BgL_obj4774z00_3901); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7874, BgL_auxz00_7876); } } 
{ /* Cfa/collect.scm 155 */
long BgL_arg5136z00_3904;
BgL_arg5136z00_3904 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00); 
{ /* Cfa/collect.scm 155 */
BgL_objectz00_bglt BgL_auxz00_7880;
BgL_auxz00_7880 = 
(BgL_objectz00_bglt)(BgL_obj4774z00_3901); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7880, BgL_arg5136z00_3904); } } 
{ /* Cfa/collect.scm 155 */
obj_t BgL_auxz00_7883;
BgL_auxz00_7883 = 
(obj_t)(BgL_obj4774z00_3901); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7883); } BUNSPEC; 
(obj_t)(BgL_obj4774z00_3901); }  else 
{ /* Cfa/collect.scm 154 */BFALSE; } }  else 
{ /* Cfa/collect.scm 152 */
bool_t BgL_testz00_7887;
{ /* Cfa/collect.scm 152 */
obj_t BgL_auxz00_7888;
BgL_auxz00_7888 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_7887 = 
(BgL_casezd2valuezd2_3899==BgL_auxz00_7888); } 
if(BgL_testz00_7887)
{ /* Cfa/collect.scm 152 */
{ /* Cfa/collect.scm 158 */
obj_t BgL_auxz00_7891;
BgL_auxz00_7891 = 
(obj_t)(BgL_nodez00_3889); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7891, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 159 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_obj4775z00_3906;
BgL_obj4775z00_3906 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 159 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_arg5138z00_3907;
{ /* Cfa/collect.scm 159 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res5363z00_5886;
{ /* Cfa/collect.scm 159 */
BgL_variablez00_bglt BgL_owner3723z00_5880;
{ /* Cfa/collect.scm 159 */
obj_t BgL_auxz00_7895;
BgL_auxz00_7895 = BgL_ownerz00_3890; 
BgL_owner3723z00_5880 = 
(BgL_variablez00_bglt)(BgL_auxz00_7895); } 
{ /* Cfa/collect.scm 159 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_new3724z00_5881;
BgL_new3724z00_5881 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2procedurezd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 159 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res5362z00_5885;
((((BgL_prezd2makezd2procedurezd2appzd2_bglt)CREF(BgL_new3724z00_5881))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3723z00_5880), BUNSPEC); 
BgL_res5362z00_5885 = BgL_new3724z00_5881; BgL_res5362z00_5885; } 
BgL_res5363z00_5886 = BgL_new3724z00_5881; } } 
BgL_arg5138z00_3907 = BgL_res5363z00_5886; } 
{ /* Cfa/collect.scm 159 */
obj_t BgL_auxz00_7901;BgL_objectz00_bglt BgL_auxz00_7899;
BgL_auxz00_7901 = 
(obj_t)(BgL_arg5138z00_3907); 
BgL_auxz00_7899 = 
(BgL_objectz00_bglt)(BgL_obj4775z00_3906); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7899, BgL_auxz00_7901); } } 
{ /* Cfa/collect.scm 159 */
long BgL_arg5140z00_3909;
BgL_arg5140z00_3909 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 159 */
BgL_objectz00_bglt BgL_auxz00_7905;
BgL_auxz00_7905 = 
(BgL_objectz00_bglt)(BgL_obj4775z00_3906); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7905, BgL_arg5140z00_3909); } } 
{ /* Cfa/collect.scm 159 */
obj_t BgL_auxz00_7908;
BgL_auxz00_7908 = 
(obj_t)(BgL_obj4775z00_3906); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7908); } BUNSPEC; 
(obj_t)(BgL_obj4775z00_3906); } }  else 
{ /* Cfa/collect.scm 152 */
bool_t BgL_testz00_7912;
{ /* Cfa/collect.scm 152 */
obj_t BgL_auxz00_7913;
BgL_auxz00_7913 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_7912 = 
(BgL_casezd2valuezd2_3899==BgL_auxz00_7913); } 
if(BgL_testz00_7912)
{ /* Cfa/collect.scm 152 */
{ /* Cfa/collect.scm 161 */
obj_t BgL_auxz00_7916;
BgL_auxz00_7916 = 
(obj_t)(BgL_nodez00_3889); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7916, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 162 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_obj4776z00_3911;
BgL_obj4776z00_3911 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 162 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_arg5142z00_3912;
{ /* Cfa/collect.scm 162 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res5365z00_5897;
{ /* Cfa/collect.scm 162 */
BgL_variablez00_bglt BgL_owner3723z00_5891;
{ /* Cfa/collect.scm 162 */
obj_t BgL_auxz00_7920;
BgL_auxz00_7920 = BgL_ownerz00_3890; 
BgL_owner3723z00_5891 = 
(BgL_variablez00_bglt)(BgL_auxz00_7920); } 
{ /* Cfa/collect.scm 162 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_new3724z00_5892;
BgL_new3724z00_5892 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2procedurezd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 162 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res5364z00_5896;
((((BgL_prezd2makezd2procedurezd2appzd2_bglt)CREF(BgL_new3724z00_5892))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3723z00_5891), BUNSPEC); 
BgL_res5364z00_5896 = BgL_new3724z00_5892; BgL_res5364z00_5896; } 
BgL_res5365z00_5897 = BgL_new3724z00_5892; } } 
BgL_arg5142z00_3912 = BgL_res5365z00_5897; } 
{ /* Cfa/collect.scm 162 */
obj_t BgL_auxz00_7926;BgL_objectz00_bglt BgL_auxz00_7924;
BgL_auxz00_7926 = 
(obj_t)(BgL_arg5142z00_3912); 
BgL_auxz00_7924 = 
(BgL_objectz00_bglt)(BgL_obj4776z00_3911); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7924, BgL_auxz00_7926); } } 
{ /* Cfa/collect.scm 162 */
long BgL_arg5144z00_3914;
BgL_arg5144z00_3914 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 162 */
BgL_objectz00_bglt BgL_auxz00_7930;
BgL_auxz00_7930 = 
(BgL_objectz00_bglt)(BgL_obj4776z00_3911); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7930, BgL_arg5144z00_3914); } } 
{ /* Cfa/collect.scm 162 */
obj_t BgL_auxz00_7933;
BgL_auxz00_7933 = 
(obj_t)(BgL_obj4776z00_3911); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7933); } BUNSPEC; 
(obj_t)(BgL_obj4776z00_3911); } }  else 
{ /* Cfa/collect.scm 152 */
bool_t BgL_testz00_7937;
{ /* Cfa/collect.scm 152 */
obj_t BgL_auxz00_7938;
BgL_auxz00_7938 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_7937 = 
(BgL_casezd2valuezd2_3899==BgL_auxz00_7938); } 
if(BgL_testz00_7937)
{ /* Cfa/collect.scm 164 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_obj4777z00_3916;
BgL_obj4777z00_3916 = 
((BgL_prezd2procedurezd2refzd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 164 */
obj_t BgL_auxz00_7944;BgL_objectz00_bglt BgL_auxz00_7942;
{ /* Cfa/collect.scm 164 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_auxz00_7945;
{ /* Cfa/collect.scm 164 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_new3758z00_5901;
BgL_new3758z00_5901 = 
((BgL_prezd2procedurezd2refzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2procedurezd2refzd2appzd2_bgl)))); 
BgL_auxz00_7945 = BgL_new3758z00_5901; } 
BgL_auxz00_7944 = 
(obj_t)(BgL_auxz00_7945); } 
BgL_auxz00_7942 = 
(BgL_objectz00_bglt)(BgL_obj4777z00_3916); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7942, BgL_auxz00_7944); } 
{ /* Cfa/collect.scm 164 */
long BgL_arg5147z00_3918;
BgL_arg5147z00_3918 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 164 */
BgL_objectz00_bglt BgL_auxz00_7950;
BgL_auxz00_7950 = 
(BgL_objectz00_bglt)(BgL_obj4777z00_3916); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7950, BgL_arg5147z00_3918); } } 
{ /* Cfa/collect.scm 164 */
obj_t BgL_auxz00_7953;
BgL_auxz00_7953 = 
(obj_t)(BgL_obj4777z00_3916); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7953); } BUNSPEC; 
(obj_t)(BgL_obj4777z00_3916); }  else 
{ /* Cfa/collect.scm 152 */
bool_t BgL_testz00_7957;
{ /* Cfa/collect.scm 152 */
obj_t BgL_auxz00_7958;
BgL_auxz00_7958 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_7957 = 
(BgL_casezd2valuezd2_3899==BgL_auxz00_7958); } 
if(BgL_testz00_7957)
{ /* Cfa/collect.scm 166 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_obj4778z00_3920;
BgL_obj4778z00_3920 = 
((BgL_prezd2procedurezd2setz12zd2appzc0_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 166 */
obj_t BgL_auxz00_7964;BgL_objectz00_bglt BgL_auxz00_7962;
{ /* Cfa/collect.scm 166 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_auxz00_7965;
{ /* Cfa/collect.scm 166 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_new3788z00_5907;
BgL_new3788z00_5907 = 
((BgL_prezd2procedurezd2setz12zd2appzc0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl)))); 
BgL_auxz00_7965 = BgL_new3788z00_5907; } 
BgL_auxz00_7964 = 
(obj_t)(BgL_auxz00_7965); } 
BgL_auxz00_7962 = 
(BgL_objectz00_bglt)(BgL_obj4778z00_3920); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7962, BgL_auxz00_7964); } 
{ /* Cfa/collect.scm 166 */
long BgL_arg5150z00_3922;
BgL_arg5150z00_3922 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00); 
{ /* Cfa/collect.scm 166 */
BgL_objectz00_bglt BgL_auxz00_7970;
BgL_auxz00_7970 = 
(BgL_objectz00_bglt)(BgL_obj4778z00_3920); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7970, BgL_arg5150z00_3922); } } 
{ /* Cfa/collect.scm 166 */
obj_t BgL_auxz00_7973;
BgL_auxz00_7973 = 
(obj_t)(BgL_obj4778z00_3920); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7973); } BUNSPEC; 
(obj_t)(BgL_obj4778z00_3920); }  else 
{ /* Cfa/collect.scm 152 */BUNSPEC; } } } } } } } 
{ /* Cfa/collect.scm 167 */
bool_t BgL_test5151z00_3923;
BgL_test5151z00_3923 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test5151z00_3923)
{ /* Cfa/collect.scm 168 */
obj_t BgL_casezd2valuezd2_3924;
{ /* Cfa/collect.scm 168 */
BgL_globalz00_bglt BgL_obj1171z00_5913;
BgL_obj1171z00_5913 = 
(BgL_globalz00_bglt)(BgL_vz00_3896); 
BgL_casezd2valuezd2_3924 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_5913))->BgL_idz00); } 
{ /* Cfa/collect.scm 168 */
bool_t BgL_testz00_7981;
{ /* Cfa/collect.scm 168 */
obj_t BgL_auxz00_7982;
BgL_auxz00_7982 = 
CNST_TABLE_REF(((long)10)); 
BgL_testz00_7981 = 
(BgL_casezd2valuezd2_3924==BgL_auxz00_7982); } 
if(BgL_testz00_7981)
{ /* Cfa/collect.scm 168 */
{ /* Cfa/collect.scm 170 */
obj_t BgL_auxz00_7985;
BgL_auxz00_7985 = 
(obj_t)(BgL_nodez00_3889); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7985, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 171 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_obj4779z00_3926;
BgL_obj4779z00_3926 = 
((BgL_prezd2makezd2vectorzd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 171 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_arg5153z00_3927;
{ /* Cfa/collect.scm 171 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_res5369z00_5921;
{ /* Cfa/collect.scm 171 */
BgL_variablez00_bglt BgL_owner3974z00_5915;
{ /* Cfa/collect.scm 171 */
obj_t BgL_auxz00_7989;
BgL_auxz00_7989 = BgL_ownerz00_3890; 
BgL_owner3974z00_5915 = 
(BgL_variablez00_bglt)(BgL_auxz00_7989); } 
{ /* Cfa/collect.scm 171 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_new3975z00_5916;
BgL_new3975z00_5916 = 
((BgL_prezd2makezd2vectorzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2vectorzd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 171 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_res5368z00_5920;
((((BgL_prezd2makezd2vectorzd2appzd2_bglt)CREF(BgL_new3975z00_5916))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3974z00_5915), BUNSPEC); 
BgL_res5368z00_5920 = BgL_new3975z00_5916; BgL_res5368z00_5920; } 
BgL_res5369z00_5921 = BgL_new3975z00_5916; } } 
BgL_arg5153z00_3927 = BgL_res5369z00_5921; } 
{ /* Cfa/collect.scm 171 */
obj_t BgL_auxz00_7995;BgL_objectz00_bglt BgL_auxz00_7993;
BgL_auxz00_7995 = 
(obj_t)(BgL_arg5153z00_3927); 
BgL_auxz00_7993 = 
(BgL_objectz00_bglt)(BgL_obj4779z00_3926); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7993, BgL_auxz00_7995); } } 
{ /* Cfa/collect.scm 171 */
long BgL_arg5155z00_3929;
BgL_arg5155z00_3929 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 171 */
BgL_objectz00_bglt BgL_auxz00_7999;
BgL_auxz00_7999 = 
(BgL_objectz00_bglt)(BgL_obj4779z00_3926); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7999, BgL_arg5155z00_3929); } } 
{ /* Cfa/collect.scm 171 */
obj_t BgL_auxz00_8002;
BgL_auxz00_8002 = 
(obj_t)(BgL_obj4779z00_3926); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8002); } BUNSPEC; 
(obj_t)(BgL_obj4779z00_3926); } }  else 
{ /* Cfa/collect.scm 168 */
bool_t BgL_testz00_8006;
{ /* Cfa/collect.scm 168 */
obj_t BgL_auxz00_8007;
BgL_auxz00_8007 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_3924, 
CNST_TABLE_REF(((long)11))); 
BgL_testz00_8006 = 
CBOOL(BgL_auxz00_8007); } 
if(BgL_testz00_8006)
{ /* Cfa/collect.scm 168 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5451z00zzcfa_collectz00, BGl_string5452z00zzcfa_collectz00, BgL_casezd2valuezd2_3924); }  else 
{ /* Cfa/collect.scm 168 */BUNSPEC; } } } }  else 
{ /* Cfa/collect.scm 167 */BFALSE; } } 
{ /* Cfa/collect.scm 178 */
bool_t BgL_test5160z00_3934;
{ /* Cfa/collect.scm 178 */
long BgL_n1z00_5926;
BgL_n1z00_5926 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test5160z00_3934 = 
(BgL_n1z00_5926>=((long)2)); } 
if(BgL_test5160z00_3934)
{ /* Cfa/collect.scm 179 */
obj_t BgL_casezd2valuezd2_3935;
{ /* Cfa/collect.scm 179 */
BgL_globalz00_bglt BgL_obj1171z00_5928;
BgL_obj1171z00_5928 = 
(BgL_globalz00_bglt)(BgL_vz00_3896); 
BgL_casezd2valuezd2_3935 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_5928))->BgL_idz00); } 
{ /* Cfa/collect.scm 179 */
bool_t BgL_testz00_8017;
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_8018;
BgL_auxz00_8018 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_8017 = 
(BgL_casezd2valuezd2_3935==BgL_auxz00_8018); } 
if(BgL_testz00_8017)
{ /* Cfa/collect.scm 179 */
{ /* Cfa/collect.scm 181 */
obj_t BgL_auxz00_8021;
BgL_auxz00_8021 = 
(obj_t)(BgL_nodez00_3889); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_8021, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 182 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_obj4780z00_3937;
BgL_obj4780z00_3937 = 
((BgL_prezd2makezd2structzd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 182 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_arg5162z00_3938;
{ /* Cfa/collect.scm 182 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_res5371z00_5936;
{ /* Cfa/collect.scm 182 */
BgL_variablez00_bglt BgL_owner4079z00_5930;
{ /* Cfa/collect.scm 182 */
obj_t BgL_auxz00_8025;
BgL_auxz00_8025 = BgL_ownerz00_3890; 
BgL_owner4079z00_5930 = 
(BgL_variablez00_bglt)(BgL_auxz00_8025); } 
{ /* Cfa/collect.scm 182 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_new4080z00_5931;
BgL_new4080z00_5931 = 
((BgL_prezd2makezd2structzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2structzd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 182 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_res5370z00_5935;
((((BgL_prezd2makezd2structzd2appzd2_bglt)CREF(BgL_new4080z00_5931))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner4079z00_5930), BUNSPEC); 
BgL_res5370z00_5935 = BgL_new4080z00_5931; BgL_res5370z00_5935; } 
BgL_res5371z00_5936 = BgL_new4080z00_5931; } } 
BgL_arg5162z00_3938 = BgL_res5371z00_5936; } 
{ /* Cfa/collect.scm 182 */
obj_t BgL_auxz00_8031;BgL_objectz00_bglt BgL_auxz00_8029;
BgL_auxz00_8031 = 
(obj_t)(BgL_arg5162z00_3938); 
BgL_auxz00_8029 = 
(BgL_objectz00_bglt)(BgL_obj4780z00_3937); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8029, BgL_auxz00_8031); } } 
{ /* Cfa/collect.scm 182 */
long BgL_arg5164z00_3940;
BgL_arg5164z00_3940 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 182 */
BgL_objectz00_bglt BgL_auxz00_8035;
BgL_auxz00_8035 = 
(BgL_objectz00_bglt)(BgL_obj4780z00_3937); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8035, BgL_arg5164z00_3940); } } 
{ /* Cfa/collect.scm 182 */
obj_t BgL_auxz00_8038;
BgL_auxz00_8038 = 
(obj_t)(BgL_obj4780z00_3937); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8038); } BUNSPEC; 
return 
(obj_t)(BgL_obj4780z00_3937);} }  else 
{ /* Cfa/collect.scm 179 */
bool_t BgL_testz00_8042;
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_8043;
BgL_auxz00_8043 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_8042 = 
(BgL_casezd2valuezd2_3935==BgL_auxz00_8043); } 
if(BgL_testz00_8042)
{ /* Cfa/collect.scm 184 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_obj4781z00_3942;
BgL_obj4781z00_3942 = 
((BgL_prezd2structzd2refzd2appzd2_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 184 */
obj_t BgL_auxz00_8049;BgL_objectz00_bglt BgL_auxz00_8047;
{ /* Cfa/collect.scm 184 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_auxz00_8050;
{ /* Cfa/collect.scm 184 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_new4115z00_5940;
BgL_new4115z00_5940 = 
((BgL_prezd2structzd2refzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2structzd2refzd2appzd2_bgl)))); 
BgL_auxz00_8050 = BgL_new4115z00_5940; } 
BgL_auxz00_8049 = 
(obj_t)(BgL_auxz00_8050); } 
BgL_auxz00_8047 = 
(BgL_objectz00_bglt)(BgL_obj4781z00_3942); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8047, BgL_auxz00_8049); } 
{ /* Cfa/collect.scm 184 */
long BgL_arg5167z00_3944;
BgL_arg5167z00_3944 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 184 */
BgL_objectz00_bglt BgL_auxz00_8055;
BgL_auxz00_8055 = 
(BgL_objectz00_bglt)(BgL_obj4781z00_3942); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8055, BgL_arg5167z00_3944); } } 
{ /* Cfa/collect.scm 184 */
obj_t BgL_auxz00_8058;
BgL_auxz00_8058 = 
(obj_t)(BgL_obj4781z00_3942); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8058); } BUNSPEC; 
return 
(obj_t)(BgL_obj4781z00_3942);}  else 
{ /* Cfa/collect.scm 179 */
bool_t BgL_testz00_8062;
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_8063;
BgL_auxz00_8063 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_8062 = 
(BgL_casezd2valuezd2_3935==BgL_auxz00_8063); } 
if(BgL_testz00_8062)
{ /* Cfa/collect.scm 186 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_obj4782z00_3946;
BgL_obj4782z00_3946 = 
((BgL_prezd2structzd2setz12zd2appzc0_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 186 */
obj_t BgL_auxz00_8069;BgL_objectz00_bglt BgL_auxz00_8067;
{ /* Cfa/collect.scm 186 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_auxz00_8070;
{ /* Cfa/collect.scm 186 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_new4145z00_5946;
BgL_new4145z00_5946 = 
((BgL_prezd2structzd2setz12zd2appzc0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2structzd2setz12zd2appzc0_bgl)))); 
BgL_auxz00_8070 = BgL_new4145z00_5946; } 
BgL_auxz00_8069 = 
(obj_t)(BgL_auxz00_8070); } 
BgL_auxz00_8067 = 
(BgL_objectz00_bglt)(BgL_obj4782z00_3946); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8067, BgL_auxz00_8069); } 
{ /* Cfa/collect.scm 186 */
long BgL_arg5170z00_3948;
BgL_arg5170z00_3948 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00); 
{ /* Cfa/collect.scm 186 */
BgL_objectz00_bglt BgL_auxz00_8075;
BgL_auxz00_8075 = 
(BgL_objectz00_bglt)(BgL_obj4782z00_3946); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8075, BgL_arg5170z00_3948); } } 
{ /* Cfa/collect.scm 186 */
obj_t BgL_auxz00_8078;
BgL_auxz00_8078 = 
(obj_t)(BgL_obj4782z00_3946); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8078); } BUNSPEC; 
return 
(obj_t)(BgL_obj4782z00_3946);}  else 
{ /* Cfa/collect.scm 179 */
return BUNSPEC;} } } } }  else 
{ /* Cfa/collect.scm 178 */
return BFALSE;} } }  else 
{ /* Cfa/collect.scm 146 */
if(
CBOOL(BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00))
{ /* Cfa/collect.scm 189 */
bool_t BgL_test5171z00_3949;
{ /* Cfa/collect.scm 189 */
obj_t BgL_auxz00_8084;
BgL_auxz00_8084 = 
BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3896)); 
BgL_test5171z00_3949 = 
CBOOL(BgL_auxz00_8084); } 
if(BgL_test5171z00_3949)
{ /* Cfa/collect.scm 190 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_obj4783z00_3950;
BgL_obj4783z00_3950 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BgL_nodez00_3889); 
{ /* Cfa/collect.scm 191 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_arg5172z00_3951;
{ /* Cfa/collect.scm 191 */
obj_t BgL_arg5173z00_3952;
BgL_arg5173z00_3952 = 
BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3896)); 
{ /* Cfa/collect.scm 190 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res5375z00_5958;
{ /* Cfa/collect.scm 190 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_new3648z00_5953;
BgL_new3648z00_5953 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2arithmeticzd2appz00_bgl)))); 
{ /* Cfa/collect.scm 190 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res5374z00_5957;
((((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_new3648z00_5953))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg5173z00_3952), BUNSPEC); 
BgL_res5374z00_5957 = BgL_new3648z00_5953; BgL_res5374z00_5957; } 
BgL_res5375z00_5958 = BgL_new3648z00_5953; } 
BgL_arg5172z00_3951 = BgL_res5375z00_5958; } } 
{ /* Cfa/collect.scm 190 */
obj_t BgL_auxz00_8096;BgL_objectz00_bglt BgL_auxz00_8094;
BgL_auxz00_8096 = 
(obj_t)(BgL_arg5172z00_3951); 
BgL_auxz00_8094 = 
(BgL_objectz00_bglt)(BgL_obj4783z00_3950); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8094, BgL_auxz00_8096); } } 
{ /* Cfa/collect.scm 190 */
long BgL_arg5174z00_3953;
BgL_arg5174z00_3953 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00); 
{ /* Cfa/collect.scm 190 */
BgL_objectz00_bglt BgL_auxz00_8100;
BgL_auxz00_8100 = 
(BgL_objectz00_bglt)(BgL_obj4783z00_3950); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8100, BgL_arg5174z00_3953); } } 
{ /* Cfa/collect.scm 190 */
obj_t BgL_auxz00_8103;
BgL_auxz00_8103 = 
(obj_t)(BgL_obj4783z00_3950); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8103); } BUNSPEC; 
return 
(obj_t)(BgL_obj4783z00_3950);}  else 
{ /* Cfa/collect.scm 189 */
return BFALSE;} }  else 
{ /* Cfa/collect.scm 188 */
return BFALSE;} } }  else 
{ /* Cfa/collect.scm 145 */
return BFALSE;} } } } } 
}



/* node-collect!-sequence4833 */
obj_t BGl_nodezd2collectz12zd2sequence4833z12zzcfa_collectz00(obj_t BgL_envz00_6795, obj_t BgL_nodez00_6796, obj_t BgL_ownerz00_6797)
{ AN_OBJECT;
{ /* Cfa/collect.scm 134 */
{ 
BgL_sequencez00_bglt BgL_nodez00_3882;obj_t BgL_ownerz00_3883;
{ /* Cfa/collect.scm 135 */
bool_t BgL_auxz00_8108;
BgL_nodez00_3882 = 
(BgL_sequencez00_bglt)(BgL_nodez00_6796); 
BgL_ownerz00_3883 = BgL_ownerz00_6797; 
BgL_auxz00_8108 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_3882))->BgL_nodesz00), BgL_ownerz00_3883); 
return 
BBOOL(BgL_auxz00_8108);} } } 
}



/* node-collect!-var4831 */
obj_t BGl_nodezd2collectz12zd2var4831z12zzcfa_collectz00(obj_t BgL_envz00_6798, obj_t BgL_nodez00_6799, obj_t BgL_ownerz00_6800)
{ AN_OBJECT;
{ /* Cfa/collect.scm 117 */
{ 
BgL_varz00_bglt BgL_nodez00_3864;obj_t BgL_ownerz00_3865;
BgL_nodez00_3864 = 
(BgL_varz00_bglt)(BgL_nodez00_6799); 
BgL_ownerz00_3865 = BgL_ownerz00_6800; 
{ /* Cfa/collect.scm 118 */
BgL_variablez00_bglt BgL_vz00_3868;
BgL_vz00_3868 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
{ /* Cfa/collect.scm 119 */
bool_t BgL_test5115z00_3869;
{ /* Cfa/collect.scm 119 */
bool_t BgL_test5118z00_3872;
BgL_test5118z00_3872 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3868), BGl_globalz00zzast_varz00); 
if(BgL_test5118z00_3872)
{ /* Cfa/collect.scm 120 */
bool_t BgL_test5119z00_3873;
{ /* Cfa/collect.scm 120 */
obj_t BgL_auxz00_8117;
{ /* Cfa/collect.scm 120 */
BgL_globalz00_bglt BgL_obj1193z00_5797;
BgL_obj1193z00_5797 = 
(BgL_globalz00_bglt)(BgL_vz00_3868); 
BgL_auxz00_8117 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1193z00_5797))->BgL_modulez00); } 
BgL_test5119z00_3873 = 
(BgL_auxz00_8117==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test5119z00_3873)
{ /* Cfa/collect.scm 121 */
bool_t BgL_test5120z00_3874;
{ /* Cfa/collect.scm 121 */
obj_t BgL_auxz00_8122;
{ /* Cfa/collect.scm 121 */
BgL_valuez00_bglt BgL_auxz00_8123;
{ /* Cfa/collect.scm 121 */
BgL_globalz00_bglt BgL_obj1178z00_5798;
BgL_obj1178z00_5798 = 
(BgL_globalz00_bglt)(BgL_vz00_3868); 
BgL_auxz00_8123 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_5798))->BgL_valuez00); } 
BgL_auxz00_8122 = 
(obj_t)(BgL_auxz00_8123); } 
BgL_test5120z00_3874 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_8122, BGl_scnstz00zzast_varz00); } 
if(BgL_test5120z00_3874)
{ /* Cfa/collect.scm 122 */
bool_t BgL_test5121z00_3875;
{ /* Cfa/collect.scm 122 */
obj_t BgL_auxz00_8129;
{ /* Cfa/collect.scm 122 */
obj_t BgL_auxz00_8130;
{ /* Cfa/collect.scm 122 */
BgL_scnstz00_bglt BgL_obj1525z00_5801;
{ /* Cfa/collect.scm 122 */
BgL_valuez00_bglt BgL_auxz00_8131;
{ /* Cfa/collect.scm 122 */
BgL_globalz00_bglt BgL_obj1178z00_5800;
BgL_obj1178z00_5800 = 
(BgL_globalz00_bglt)(BgL_vz00_3868); 
BgL_auxz00_8131 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_5800))->BgL_valuez00); } 
BgL_obj1525z00_5801 = 
(BgL_scnstz00_bglt)(BgL_auxz00_8131); } 
BgL_auxz00_8130 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1525z00_5801))->BgL_nodez00); } 
BgL_auxz00_8129 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_8130, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
BgL_test5121z00_3875 = 
CBOOL(BgL_auxz00_8129); } 
if(BgL_test5121z00_3875)
{ /* Cfa/collect.scm 122 */
BgL_test5115z00_3869 = ((bool_t)0); }  else 
{ /* Cfa/collect.scm 122 */
BgL_test5115z00_3869 = ((bool_t)1); } }  else 
{ /* Cfa/collect.scm 121 */
BgL_test5115z00_3869 = ((bool_t)0); } }  else 
{ /* Cfa/collect.scm 120 */
BgL_test5115z00_3869 = ((bool_t)0); } }  else 
{ /* Cfa/collect.scm 119 */
BgL_test5115z00_3869 = ((bool_t)0); } } 
if(BgL_test5115z00_3869)
{ /* Cfa/collect.scm 119 */
{ /* Cfa/collect.scm 128 */
BgL_nodez00_bglt BgL_nodez00_5805;BgL_variablez00_bglt BgL_ownerz00_5806;
{ /* Cfa/collect.scm 128 */
obj_t BgL_auxz00_8140;
{ /* Cfa/collect.scm 128 */
BgL_scnstz00_bglt BgL_obj1525z00_5804;
{ /* Cfa/collect.scm 128 */
BgL_valuez00_bglt BgL_auxz00_8141;
{ /* Cfa/collect.scm 128 */
BgL_globalz00_bglt BgL_obj1178z00_5803;
BgL_obj1178z00_5803 = 
(BgL_globalz00_bglt)(BgL_vz00_3868); 
BgL_auxz00_8141 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_5803))->BgL_valuez00); } 
BgL_obj1525z00_5804 = 
(BgL_scnstz00_bglt)(BgL_auxz00_8141); } 
BgL_auxz00_8140 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1525z00_5804))->BgL_nodez00); } 
BgL_nodez00_5805 = 
(BgL_nodez00_bglt)(BgL_auxz00_8140); } 
BgL_ownerz00_5806 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3865); 
{ /* Cfa/collect.scm 128 */
obj_t BgL_method4825z00_5807;
{ /* Cfa/collect.scm 128 */
long BgL_objzd2classzd2numz00_5809;
{ /* Cfa/collect.scm 128 */
BgL_objectz00_bglt BgL_auxz00_8148;
BgL_auxz00_8148 = 
(BgL_objectz00_bglt)(BgL_nodez00_5805); 
BgL_objzd2classzd2numz00_5809 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8148); } 
{ /* Cfa/collect.scm 128 */
obj_t BgL_arg1221z00_5810;
{ /* Cfa/collect.scm 128 */
int BgL_auxz00_8151;
BgL_auxz00_8151 = 
(int)(((long)1)); 
BgL_arg1221z00_5810 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8151); } 
{ /* Cfa/collect.scm 128 */
long BgL_offsetz00_5814;
{ /* Cfa/collect.scm 128 */
long BgL_auxz00_8154;
{ /* Cfa/collect.scm 128 */
int BgL_auxz00_8155;
BgL_auxz00_8155 = 
(int)(BgL_objzd2classzd2numz00_5809); 
BgL_auxz00_8154 = 
(long)(BgL_auxz00_8155); } 
BgL_offsetz00_5814 = 
(BgL_auxz00_8154-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 128 */
long BgL_modz00_5815;
{ /* Cfa/collect.scm 128 */
long BgL_auxz00_8159;
{ /* Cfa/collect.scm 128 */
int BgL_auxz00_8160;
BgL_auxz00_8160 = 
(int)(((long)8)); 
BgL_auxz00_8159 = 
(long)(BgL_auxz00_8160); } 
BgL_modz00_5815 = 
(BgL_offsetz00_5814/BgL_auxz00_8159); } 
{ /* Cfa/collect.scm 128 */
long BgL_restz00_5817;
{ /* Cfa/collect.scm 128 */
long BgL_auxz00_8164;
{ /* Cfa/collect.scm 128 */
int BgL_auxz00_8165;
BgL_auxz00_8165 = 
(int)(((long)8)); 
BgL_auxz00_8164 = 
(long)(BgL_auxz00_8165); } 
BgL_restz00_5817 = 
(BgL_offsetz00_5814%BgL_auxz00_8164); } 
{ /* Cfa/collect.scm 128 */

{ /* Cfa/collect.scm 128 */
obj_t BgL_bucketz00_5819;
{ /* Cfa/collect.scm 128 */
int BgL_kz00_5829;
BgL_kz00_5829 = 
(int)(BgL_modz00_5815); 
BgL_bucketz00_5819 = 
VECTOR_REF(BgL_arg1221z00_5810,BgL_kz00_5829); } 
{ /* Cfa/collect.scm 128 */
int BgL_kz00_5831;
BgL_kz00_5831 = 
(int)(BgL_restz00_5817); 
BgL_method4825z00_5807 = 
VECTOR_REF(BgL_bucketz00_5819,BgL_kz00_5831); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4825z00_5807)(BgL_method4825z00_5807, 
(obj_t)(BgL_nodez00_5805), 
(obj_t)(BgL_ownerz00_5806), BEOA); } } }  else 
{ /* Cfa/collect.scm 119 */BFALSE; } } } 
return BUNSPEC;} } 
}



/* node-collect!-kwote4829 */
obj_t BGl_nodezd2collectz12zd2kwote4829z12zzcfa_collectz00(obj_t BgL_envz00_6801, obj_t BgL_nodez00_6802, obj_t BgL_ownerz00_6803)
{ AN_OBJECT;
{ /* Cfa/collect.scm 69 */
{ 
BgL_kwotez00_bglt BgL_nodez00_3842;obj_t BgL_ownerz00_3843;
BgL_nodez00_3842 = 
(BgL_kwotez00_bglt)(BgL_nodez00_6802); 
BgL_ownerz00_3843 = BgL_ownerz00_6803; 
{ /* Cfa/collect.scm 70 */
obj_t BgL_valuez00_3846;
BgL_valuez00_3846 = 
(((BgL_kwotez00_bglt)CREF(BgL_nodez00_3842))->BgL_valuez00); 
{ /* Cfa/collect.scm 71 */
bool_t BgL_test5101z00_3847;
{ /* Cfa/collect.scm 71 */
bool_t BgL_test5113z00_3861;
BgL_test5113z00_3861 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test5113z00_3861)
{ /* Cfa/collect.scm 71 */
BgL_test5101z00_3847 = 
VECTORP(BgL_valuez00_3846); }  else 
{ /* Cfa/collect.scm 71 */
BgL_test5101z00_3847 = ((bool_t)0); } } 
if(BgL_test5101z00_3847)
{ /* Cfa/collect.scm 72 */
BgL_nodez00_bglt BgL_dummyz00_3848;
{ /* Cfa/collect.scm 73 */
obj_t BgL_arg5105z00_3853;
{ /* Cfa/collect.scm 73 */
obj_t BgL_arg5106z00_3854;obj_t BgL_arg5107z00_3855;
BgL_arg5106z00_3854 = 
CNST_TABLE_REF(((long)10)); 
{ /* Cfa/collect.scm 73 */
int BgL_arg5108z00_3856;obj_t BgL_arg5109z00_3857;
BgL_arg5108z00_3856 = 
VECTOR_LENGTH(BgL_valuez00_3846); 
{ /* Cfa/collect.scm 74 */
obj_t BgL_arg5110z00_3858;
{ /* Cfa/collect.scm 74 */
bool_t BgL_test5112z00_3860;
BgL_test5112z00_3860 = 
BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(BgL_valuez00_3846); 
if(BgL_test5112z00_3860)
{ /* Cfa/collect.scm 75 */
int BgL_kz00_5757;
BgL_kz00_5757 = 
(int)(((long)0)); 
BgL_arg5110z00_3858 = 
VECTOR_REF(BgL_valuez00_3846,BgL_kz00_5757); }  else 
{ /* Cfa/collect.scm 74 */
BgL_arg5110z00_3858 = 
CNST_TABLE_REF(((long)15)); } } 
BgL_arg5109z00_3857 = 
MAKE_PAIR(BgL_arg5110z00_3858, BNIL); } 
{ /* Cfa/collect.scm 73 */
obj_t BgL_auxz00_8191;
BgL_auxz00_8191 = 
BINT(BgL_arg5108z00_3856); 
BgL_arg5107z00_3855 = 
MAKE_PAIR(BgL_auxz00_8191, BgL_arg5109z00_3857); } } 
BgL_arg5105z00_3853 = 
MAKE_PAIR(BgL_arg5106z00_3854, BgL_arg5107z00_3855); } 
BgL_dummyz00_3848 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg5105z00_3853, BFALSE); } 
{ /* Cfa/collect.scm 78 */
BgL_kwotezf2nodezf2_bglt BgL_obj4771z00_3849;
BgL_obj4771z00_3849 = 
((BgL_kwotezf2nodezf2_bglt)BgL_nodez00_3842); 
{ /* Cfa/collect.scm 78 */
BgL_kwotezf2nodezf2_bglt BgL_arg5102z00_3850;
{ /* Cfa/collect.scm 78 */
BgL_nodez00_bglt BgL_arg5103z00_3851;
BgL_arg5103z00_3851 = BgL_dummyz00_3848; 
{ /* Cfa/collect.scm 78 */
BgL_kwotezf2nodezf2_bglt BgL_res5353z00_5764;
{ /* Cfa/collect.scm 78 */
BgL_kwotezf2nodezf2_bglt BgL_new3127z00_5759;
BgL_new3127z00_5759 = 
((BgL_kwotezf2nodezf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_kwotezf2nodezf2_bgl)))); 
{ /* Cfa/collect.scm 78 */
BgL_kwotezf2nodezf2_bglt BgL_res5352z00_5763;
((((BgL_kwotezf2nodezf2_bglt)CREF(BgL_new3127z00_5759))->BgL_nodez00) = ((BgL_nodez00_bglt)BgL_arg5103z00_3851), BUNSPEC); 
BgL_res5352z00_5763 = BgL_new3127z00_5759; BgL_res5352z00_5763; } 
BgL_res5353z00_5764 = BgL_new3127z00_5759; } 
BgL_arg5102z00_3850 = BgL_res5353z00_5764; } } 
{ /* Cfa/collect.scm 78 */
obj_t BgL_auxz00_8201;BgL_objectz00_bglt BgL_auxz00_8199;
BgL_auxz00_8201 = 
(obj_t)(BgL_arg5102z00_3850); 
BgL_auxz00_8199 = 
(BgL_objectz00_bglt)(BgL_obj4771z00_3849); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8199, BgL_auxz00_8201); } } 
{ /* Cfa/collect.scm 78 */
long BgL_arg5104z00_3852;
BgL_arg5104z00_3852 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotezf2nodezf2zzcfa_infoz00); 
{ /* Cfa/collect.scm 78 */
BgL_objectz00_bglt BgL_auxz00_8205;
BgL_auxz00_8205 = 
(BgL_objectz00_bglt)(BgL_obj4771z00_3849); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8205, BgL_arg5104z00_3852); } } 
{ /* Cfa/collect.scm 78 */
obj_t BgL_auxz00_8208;
BgL_auxz00_8208 = 
(obj_t)(BgL_obj4771z00_3849); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8208); } BUNSPEC; BgL_obj4771z00_3849; } 
{ /* Cfa/collect.scm 79 */
BgL_variablez00_bglt BgL_ownerz00_5769;
BgL_ownerz00_5769 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3843); 
{ /* Cfa/collect.scm 79 */
obj_t BgL_method4825z00_5770;
{ /* Cfa/collect.scm 79 */
long BgL_objzd2classzd2numz00_5772;
{ /* Cfa/collect.scm 79 */
BgL_objectz00_bglt BgL_auxz00_8212;
BgL_auxz00_8212 = 
(BgL_objectz00_bglt)(BgL_dummyz00_3848); 
BgL_objzd2classzd2numz00_5772 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8212); } 
{ /* Cfa/collect.scm 79 */
obj_t BgL_arg1221z00_5773;
{ /* Cfa/collect.scm 79 */
int BgL_auxz00_8215;
BgL_auxz00_8215 = 
(int)(((long)1)); 
BgL_arg1221z00_5773 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8215); } 
{ /* Cfa/collect.scm 79 */
long BgL_offsetz00_5777;
{ /* Cfa/collect.scm 79 */
long BgL_auxz00_8218;
{ /* Cfa/collect.scm 79 */
int BgL_auxz00_8219;
BgL_auxz00_8219 = 
(int)(BgL_objzd2classzd2numz00_5772); 
BgL_auxz00_8218 = 
(long)(BgL_auxz00_8219); } 
BgL_offsetz00_5777 = 
(BgL_auxz00_8218-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 79 */
long BgL_modz00_5778;
{ /* Cfa/collect.scm 79 */
long BgL_auxz00_8223;
{ /* Cfa/collect.scm 79 */
int BgL_auxz00_8224;
BgL_auxz00_8224 = 
(int)(((long)8)); 
BgL_auxz00_8223 = 
(long)(BgL_auxz00_8224); } 
BgL_modz00_5778 = 
(BgL_offsetz00_5777/BgL_auxz00_8223); } 
{ /* Cfa/collect.scm 79 */
long BgL_restz00_5780;
{ /* Cfa/collect.scm 79 */
long BgL_auxz00_8228;
{ /* Cfa/collect.scm 79 */
int BgL_auxz00_8229;
BgL_auxz00_8229 = 
(int)(((long)8)); 
BgL_auxz00_8228 = 
(long)(BgL_auxz00_8229); } 
BgL_restz00_5780 = 
(BgL_offsetz00_5777%BgL_auxz00_8228); } 
{ /* Cfa/collect.scm 79 */

{ /* Cfa/collect.scm 79 */
obj_t BgL_bucketz00_5782;
{ /* Cfa/collect.scm 79 */
int BgL_kz00_5792;
BgL_kz00_5792 = 
(int)(BgL_modz00_5778); 
BgL_bucketz00_5782 = 
VECTOR_REF(BgL_arg1221z00_5773,BgL_kz00_5792); } 
{ /* Cfa/collect.scm 79 */
int BgL_kz00_5794;
BgL_kz00_5794 = 
(int)(BgL_restz00_5780); 
BgL_method4825z00_5770 = 
VECTOR_REF(BgL_bucketz00_5782,BgL_kz00_5794); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_5770)(BgL_method4825z00_5770, 
(obj_t)(BgL_dummyz00_3848), 
(obj_t)(BgL_ownerz00_5769), BEOA);} } }  else 
{ /* Cfa/collect.scm 71 */
return BFALSE;} } } } } 
}



/* node-collect!-atom4827 */
obj_t BGl_nodezd2collectz12zd2atom4827z12zzcfa_collectz00(obj_t BgL_envz00_6804, obj_t BgL_nodez00_6805, obj_t BgL_ownerz00_6806)
{ AN_OBJECT;
{ /* Cfa/collect.scm 63 */
{ 
BgL_atomz00_bglt BgL_nodez00_3836;obj_t BgL_ownerz00_3837;
BgL_nodez00_3836 = 
(BgL_atomz00_bglt)(BgL_nodez00_6805); 
BgL_ownerz00_3837 = BgL_ownerz00_6806; 
return BUNSPEC;} } 
}



/* node-collect! */
obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_ownerz00_5)
{ AN_OBJECT;
{ /* Cfa/collect.scm 58 */
{ /* Cfa/collect.scm 58 */
obj_t BgL_method4825z00_6689;
{ /* Cfa/collect.scm 58 */
long BgL_objzd2classzd2numz00_6691;
{ /* Cfa/collect.scm 58 */
BgL_objectz00_bglt BgL_auxz00_8243;
BgL_auxz00_8243 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_6691 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8243); } 
{ /* Cfa/collect.scm 58 */
obj_t BgL_arg1221z00_6692;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8246;
BgL_auxz00_8246 = 
(int)(((long)1)); 
BgL_arg1221z00_6692 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8246); } 
{ /* Cfa/collect.scm 58 */
long BgL_offsetz00_6696;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8249;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8250;
BgL_auxz00_8250 = 
(int)(BgL_objzd2classzd2numz00_6691); 
BgL_auxz00_8249 = 
(long)(BgL_auxz00_8250); } 
BgL_offsetz00_6696 = 
(BgL_auxz00_8249-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 58 */
long BgL_modz00_6697;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8254;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8255;
BgL_auxz00_8255 = 
(int)(((long)8)); 
BgL_auxz00_8254 = 
(long)(BgL_auxz00_8255); } 
BgL_modz00_6697 = 
(BgL_offsetz00_6696/BgL_auxz00_8254); } 
{ /* Cfa/collect.scm 58 */
long BgL_restz00_6699;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8259;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8260;
BgL_auxz00_8260 = 
(int)(((long)8)); 
BgL_auxz00_8259 = 
(long)(BgL_auxz00_8260); } 
BgL_restz00_6699 = 
(BgL_offsetz00_6696%BgL_auxz00_8259); } 
{ /* Cfa/collect.scm 58 */

{ /* Cfa/collect.scm 58 */
obj_t BgL_bucketz00_6701;
{ /* Cfa/collect.scm 58 */
int BgL_kz00_6711;
BgL_kz00_6711 = 
(int)(BgL_modz00_6697); 
BgL_bucketz00_6701 = 
VECTOR_REF(BgL_arg1221z00_6692,BgL_kz00_6711); } 
{ /* Cfa/collect.scm 58 */
int BgL_kz00_6713;
BgL_kz00_6713 = 
(int)(BgL_restz00_6699); 
BgL_method4825z00_6689 = 
VECTOR_REF(BgL_bucketz00_6701,BgL_kz00_6713); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4825z00_6689)(BgL_method4825z00_6689, 
(obj_t)(BgL_nodez00_4), 
(obj_t)(BgL_ownerz00_5), BEOA);} } 
}



/* _node-collect!5429 */
obj_t BGl__nodezd2collectz125429zc0zzcfa_collectz00(obj_t BgL_envz00_6719, obj_t BgL_nodez00_6720, obj_t BgL_ownerz00_6721)
{ AN_OBJECT;
{ /* Cfa/collect.scm 58 */
return 
BGl_nodezd2collectz12zc0zzcfa_collectz00(
(BgL_nodez00_bglt)(BgL_nodez00_6720), 
(BgL_variablez00_bglt)(BgL_ownerz00_6721));} 
}



/* node-collect!-default4824 */
obj_t BGl_nodezd2collectz12zd2default4824z12zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_6, BgL_variablez00_bglt BgL_ownerz00_7)
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
{ 
obj_t BgL_auxz00_8277;obj_t BgL_auxz00_8275;
BgL_auxz00_8277 = 
(obj_t)(BgL_nodez00_6); 
BgL_auxz00_8275 = 
CNST_TABLE_REF(((long)16)); 
FAILURE(BgL_auxz00_8275,BGl_string5453z00zzcfa_collectz00,BgL_auxz00_8277);} } 
}



/* _node-collect!-default4824 */
obj_t BGl__nodezd2collectz12zd2default4824z12zzcfa_collectz00(obj_t BgL_envz00_6807, obj_t BgL_nodez00_6808, obj_t BgL_ownerz00_6809)
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
return 
BGl_nodezd2collectz12zd2default4824z12zzcfa_collectz00(
(BgL_nodez00_bglt)(BgL_nodez00_6808), 
(BgL_variablez00_bglt)(BgL_ownerz00_6809));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)34095), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_dumpz00(((long)15776), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long)46756), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long)28745), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long)8132), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_vectorz00(((long)24181), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_structz00(((long)26985), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_boxz00(((long)46845), "cfa_collect"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)39060), "cfa_collect");} 
}

