/*===========================================================================*/
/*   (Cfa/setup.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl_variablezd2valuezd2setupz12zd2svar4877zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl__variablezd2valuezd2setupz125664z12zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2sequence4891z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
static obj_t BGl_funzd2setupz12zd2cfun4899z12zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_variablezd2valuezd2setupz12zd2sfun4875zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2funcall4903z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_funzd2setupz12zd2sfun4897z12zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static obj_t BGl_nodezd2setupz12zd2new4912z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_setupz00();
extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2default4862z12zzcfa_setupz00(BgL_nodez00_bglt);
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl__funzd2setupz12zd2default4894z12zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_funzd2setupz12zd2default4894z12zzcfa_setupz00(BgL_funz00_bglt, obj_t);
static obj_t BGl_variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00(BgL_valuez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_nodezd2setupz12zd2conditional4920z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl__nodezd2setupz12zd2default4862z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2atom4865z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2appzd2ly4901zc0zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_nodezd2setupz12zd2kwote4867z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2jumpzd2exzd2it4932z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
static obj_t BGl_variablezd2valuezd2setupz12zd2scnst4885zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_cvarz00zzast_varz00;
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2letzd2fun4926zc0zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_variablezd2valuezd2setupz12zd2scnstzf2Cinfo4883z32zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2app4893z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_variablezd2valuezd2setupz12zd2prezd2clozd2env4879zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BUNSPEC;
static obj_t BGl__variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2letzd2var4928zc0zzcfa_setupz00(obj_t, obj_t);
static bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt);
extern obj_t BGl_selectzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_nodezd2setupz12zd2setfield4909z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_setupz00();
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2cast4916z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2closure4889z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_sexitz00zzast_varz00;
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_atomzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2getfield4907z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_nodezd2setupz12zd2setzd2exzd2it4930z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
static obj_t BGl_nodezd2setupz12zd2kwotezf2node4869ze0zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00();
extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
static obj_t BGl_nodezd2setupz12zd2setq4918z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2var4871z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
static obj_t BGl_toplevelzd2initzd2zzcfa_setupz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00;
extern obj_t BGl_za2structza2z00zztype_cachez00;
static obj_t BGl__nodezd2setupz125665zc0zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl__funzd2setupz125663zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_za2vectorza2z00zztype_cachez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl__setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2isa4914z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt, obj_t);
extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
static obj_t BGl_variablezd2valuezd2setupz12zd2sexit4881zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_nodezd2setupz12zd2fail4922z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_setfieldz00zzast_nodez00;
extern obj_t BGl_isazf2Cinfozf2zzcfa_info3z00;
static obj_t BGl__nodezd2setupza2z12z62zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
extern BgL_typez00_bglt BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t);
static obj_t BGl_variablezd2valuezd2setupz12zd2cvar4887zc0zzcfa_setupz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2pragma4905z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
extern BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
static BgL_variablez00_bglt BGl_varzd2variablezd2zzcfa_setupz00(BgL_varz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00();
static obj_t BGl_nodezd2setupz12zd2select4924z12zzcfa_setupz00(obj_t, obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_STATIC_PROCEDURE( BGl_variablezd2valuezd2setupz12zd2default4872zd2envz12zzcfa_setupz00, BgL_bgl__variableza7d2valueza7d2setupza712za7d2default4872za7c0za7za7cfa_setupza7005706z00, BGl__variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_nodezd2setupza2z12zd2envzb0zzcfa_setupz00, BgL_bgl__nodeza7d2setupza7a2za712za762za7za7cfa_setupza7005707za7, BGl__nodezd2setupza2z12z62zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_funzd2setupz12zd2default4894zd2envzc0zzcfa_setupz00, BgL_bgl__funza7d2setupza712za7d2default4894za712za7za7cfa_setupza7005708za7, BGl__funzd2setupz12zd2default4894z12zzcfa_setupz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2initialzd2approxz12zd2envzc0zzcfa_setupz00, BgL_bgl__setza7d2initialza7d2approxza712za712za7za7cfa_setupza7005709za7, BGl__setzd2initialzd2approxz12z12zzcfa_setupz00, 0L, 1 );
DEFINE_STRING( BGl_string5699z00zzcfa_setupz00, BgL_bgl_string5699za700za7za7cfa_setupza7005710z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string5698z00zzcfa_setupz00, BgL_bgl_string5698za700za7za7cfa_setupza7005711z00, "node-setup!", 11 );
DEFINE_STRING( BGl_string5701z00zzcfa_setupz00, BgL_bgl_string5701za700za7za7cfa_setupza7005712z00, "variable-value-setup!-default4872 node-setup!-default4862 static already-done (sfun sgfun) import read ", 103 );
DEFINE_STRING( BGl_string5700z00zzcfa_setupz00, BgL_bgl_string5700za700za7za7cfa_setupza7005713z00, "No method for this object", 25 );
DEFINE_STATIC_GENERIC( BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BgL_bgl__funza7d2setupza7125663za7c0za7za7cfa_setupza7005714z00, BGl__funzd2setupz125663zc0zzcfa_setupz00, 0L, 2 );
DEFINE_EXPORT_GENERIC( BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_bgl__nodeza7d2setupza7125665za7c0za7za7cfa_setupza7005715z00, BGl__nodezd2setupz125665zc0zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2setupz12zd2default4862zd2envzc0zzcfa_setupz00, BgL_bgl__nodeza7d2setupza712za7d2default4862za712za7za7cfa_setupza7005716za7, BGl__nodezd2setupz12zd2default4862z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5666z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2atom4865za712za7za7cfa_setupza7005717za7, BGl_nodezd2setupz12zd2atom4865z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5667z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2kwote4867za712za7za7cfa_setupza7005718za7, BGl_nodezd2setupz12zd2kwote4867z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5668z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2kwoteza7f2node4869za7e0za7za7cfa_setupza7005719z00, BGl_nodezd2setupz12zd2kwotezf2node4869ze0zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5670z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2sfun4875za7c0za7za7cfa_setupza7005720z00, BGl_variablezd2valuezd2setupz12zd2sfun4875zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5669z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2var4871za712za7za7cfa_setupza7005721za7, BGl_nodezd2setupz12zd2var4871z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5671z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2svar4877za7c0za7za7cfa_setupza7005722z00, BGl_variablezd2valuezd2setupz12zd2svar4877zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5672z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2preza7d2cloza7d2env4879za7c0za7za7cfa_setupza7005723z00, BGl_variablezd2valuezd2setupz12zd2prezd2clozd2env4879zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5673z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2sexit4881za7c0za7za7cfa_setupza7005724z00, BGl_variablezd2valuezd2setupz12zd2sexit4881zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5674z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2scnstza7f2cinfo4883za732za7za7cfa_setupza7005725za7, BGl_variablezd2valuezd2setupz12zd2scnstzf2Cinfo4883z32zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5675z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2scnst4885za7c0za7za7cfa_setupza7005726z00, BGl_variablezd2valuezd2setupz12zd2scnst4885zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5676z00zzcfa_setupz00, BgL_bgl_variableza7d2valueza7d2setupza712za7d2cvar4887za7c0za7za7cfa_setupza7005727z00, BGl_variablezd2valuezd2setupz12zd2cvar4887zc0zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5677z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2closure4889za712za7za7cfa_setupza7005728za7, BGl_nodezd2setupz12zd2closure4889z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5678z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2sequence4891za712za7za7cfa_setupza7005729za7, BGl_nodezd2setupz12zd2sequence4891z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5680z00zzcfa_setupz00, BgL_bgl_funza7d2setupza712za7d2sfun4897za712za7za7cfa_setupza7005730za7, BGl_funzd2setupz12zd2sfun4897z12zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5679z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2app4893za712za7za7cfa_setupza7005731za7, BGl_nodezd2setupz12zd2app4893z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5681z00zzcfa_setupz00, BgL_bgl_funza7d2setupza712za7d2cfun4899za712za7za7cfa_setupza7005732za7, BGl_funzd2setupz12zd2cfun4899z12zzcfa_setupz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5682z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2appza7d2ly4901za7c0za7za7cfa_setupza7005733z00, BGl_nodezd2setupz12zd2appzd2ly4901zc0zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5683z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2funcall4903za712za7za7cfa_setupza7005734za7, BGl_nodezd2setupz12zd2funcall4903z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5684z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2pragma4905za712za7za7cfa_setupza7005735za7, BGl_nodezd2setupz12zd2pragma4905z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5685z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2getfield4907za712za7za7cfa_setupza7005736za7, BGl_nodezd2setupz12zd2getfield4907z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5686z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2setfield4909za712za7za7cfa_setupza7005737za7, BGl_nodezd2setupz12zd2setfield4909z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5687z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2new4912za712za7za7cfa_setupza7005738za7, BGl_nodezd2setupz12zd2new4912z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5688z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2isa4914za712za7za7cfa_setupza7005739za7, BGl_nodezd2setupz12zd2isa4914z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5690z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2setq4918za712za7za7cfa_setupza7005740za7, BGl_nodezd2setupz12zd2setq4918z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5689z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2cast4916za712za7za7cfa_setupza7005741za7, BGl_nodezd2setupz12zd2cast4916z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5691z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2conditional4920za712za7za7cfa_setupza7005742za7, BGl_nodezd2setupz12zd2conditional4920z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5692z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2fail4922za712za7za7cfa_setupza7005743za7, BGl_nodezd2setupz12zd2fail4922z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5693z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2select4924za712za7za7cfa_setupza7005744za7, BGl_nodezd2setupz12zd2select4924z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5694z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2letza7d2fun4926za7c0za7za7cfa_setupza7005745z00, BGl_nodezd2setupz12zd2letzd2fun4926zc0zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5695z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2letza7d2var4928za7c0za7za7cfa_setupza7005746z00, BGl_nodezd2setupz12zd2letzd2var4928zc0zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5696z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2setza7d2exza7d2it4930za712za7za7cfa_setupza7005747za7, BGl_nodezd2setupz12zd2setzd2exzd2it4930z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5697z00zzcfa_setupz00, BgL_bgl_nodeza7d2setupza712za7d2jumpza7d2exza7d2it4932za712za7za7cfa_setupza7005748za7, BGl_nodezd2setupz12zd2jumpzd2exzd2it4932z12zzcfa_setupz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_bgl__variableza7d2valueza7d2setupza7125664za712za7za7cfa_setupza7005749za7, BGl__variablezd2valuezd2setupz125664z12zzcfa_setupz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long BgL_checksumz00_7419, char * BgL_fromz00_7420)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setupz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_setupz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_setupz00(); 
BGl_cnstzd2initzd2zzcfa_setupz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_setupz00(); 
BGl_methodzd2initzd2zzcfa_setupz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00()
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cfa_setup"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_setupz00()
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
{ /* Cfa/setup.scm 15 */
obj_t BgL_cportz00_7412;
BgL_cportz00_7412 = 
open_input_string(BGl_string5701z00zzcfa_setupz00); 
{ 
long BgL_iz00_7413;
BgL_iz00_7413 = ((long)6); 
BgL_loopz00_7414:
if(
(BgL_iz00_7413==((long)-1)))
{ /* Cfa/setup.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/setup.scm 15 */
{ /* Cfa/setup.scm 15 */
obj_t BgL_arg5703z00_7416;
{ /* Cfa/setup.scm 15 */
obj_t BgL_list5704z00_7417;
BgL_list5704z00_7417 = 
MAKE_PAIR(BgL_cportz00_7412, BNIL); 
BgL_arg5703z00_7416 = 
BGl_readz00zz__readerz00(BgL_list5704z00_7417); } 
{ /* Cfa/setup.scm 15 */
int BgL_auxz00_7437;
BgL_auxz00_7437 = 
(int)(BgL_iz00_7413); 
CNST_TABLE_SET(BgL_auxz00_7437, BgL_arg5703z00_7416); } } 
{ 
long BgL_iz00_7440;
{ /* Cfa/setup.scm 15 */
int BgL_auxz00_7441;
{ /* Cfa/setup.scm 15 */
long BgL_auxz00_7442;
BgL_auxz00_7442 = 
(BgL_iz00_7413-((long)1)); 
BgL_auxz00_7441 = 
(int)(BgL_auxz00_7442); } 
BgL_iz00_7440 = 
(long)(BgL_auxz00_7441); } 
BgL_iz00_7413 = BgL_iz00_7440; 
goto BgL_loopz00_7414;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_setupz00()
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
return BUNSPEC;} 
}



/* set-initial-approx! */
obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/setup.scm 36 */
{ 
obj_t BgL_l4769z00_2942;
{ /* Cfa/setup.scm 37 */
bool_t BgL_auxz00_7446;
BgL_l4769z00_2942 = BgL_globalsz00_1; 
BgL_lname4770z00_2943:
if(
PAIRP(BgL_l4769z00_2942))
{ /* Cfa/setup.scm 37 */
{ /* Cfa/setup.scm 38 */
obj_t BgL_globalz00_2945;
BgL_globalz00_2945 = 
CAR(BgL_l4769z00_2942); 
{ /* Cfa/setup.scm 40 */
BgL_valuez00_bglt BgL_funz00_2946;
{ /* Cfa/setup.scm 40 */
BgL_globalz00_bglt BgL_obj1178z00_4307;
BgL_obj1178z00_4307 = 
(BgL_globalz00_bglt)(BgL_globalz00_2945); 
BgL_funz00_2946 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_4307))->BgL_valuez00); } 
{ /* Cfa/setup.scm 41 */
BgL_funz00_bglt BgL_funz00_4308;
BgL_funz00_4308 = 
(BgL_funz00_bglt)(BgL_funz00_2946); 
{ /* Cfa/setup.scm 41 */
obj_t BgL_method4895z00_4310;
{ /* Cfa/setup.scm 41 */
long BgL_objzd2classzd2numz00_4312;
{ /* Cfa/setup.scm 41 */
BgL_objectz00_bglt BgL_auxz00_7453;
BgL_auxz00_7453 = 
(BgL_objectz00_bglt)(BgL_funz00_4308); 
BgL_objzd2classzd2numz00_4312 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7453); } 
{ /* Cfa/setup.scm 41 */
obj_t BgL_arg1221z00_4313;
{ /* Cfa/setup.scm 41 */
int BgL_auxz00_7456;
BgL_auxz00_7456 = 
(int)(((long)1)); 
BgL_arg1221z00_4313 = 
PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7456); } 
{ /* Cfa/setup.scm 41 */
long BgL_offsetz00_4317;
{ /* Cfa/setup.scm 41 */
long BgL_auxz00_7459;
{ /* Cfa/setup.scm 41 */
int BgL_auxz00_7460;
BgL_auxz00_7460 = 
(int)(BgL_objzd2classzd2numz00_4312); 
BgL_auxz00_7459 = 
(long)(BgL_auxz00_7460); } 
BgL_offsetz00_4317 = 
(BgL_auxz00_7459-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 41 */
long BgL_modz00_4318;
{ /* Cfa/setup.scm 41 */
long BgL_auxz00_7464;
{ /* Cfa/setup.scm 41 */
int BgL_auxz00_7465;
BgL_auxz00_7465 = 
(int)(((long)8)); 
BgL_auxz00_7464 = 
(long)(BgL_auxz00_7465); } 
BgL_modz00_4318 = 
(BgL_offsetz00_4317/BgL_auxz00_7464); } 
{ /* Cfa/setup.scm 41 */
long BgL_restz00_4320;
{ /* Cfa/setup.scm 41 */
long BgL_auxz00_7469;
{ /* Cfa/setup.scm 41 */
int BgL_auxz00_7470;
BgL_auxz00_7470 = 
(int)(((long)8)); 
BgL_auxz00_7469 = 
(long)(BgL_auxz00_7470); } 
BgL_restz00_4320 = 
(BgL_offsetz00_4317%BgL_auxz00_7469); } 
{ /* Cfa/setup.scm 41 */

{ /* Cfa/setup.scm 41 */
obj_t BgL_bucketz00_4322;
{ /* Cfa/setup.scm 41 */
int BgL_kz00_4332;
BgL_kz00_4332 = 
(int)(BgL_modz00_4318); 
BgL_bucketz00_4322 = 
VECTOR_REF(BgL_arg1221z00_4313,BgL_kz00_4332); } 
{ /* Cfa/setup.scm 41 */
int BgL_kz00_4334;
BgL_kz00_4334 = 
(int)(BgL_restz00_4320); 
BgL_method4895z00_4310 = 
VECTOR_REF(BgL_bucketz00_4322,BgL_kz00_4334); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4895z00_4310)(BgL_method4895z00_4310, 
(obj_t)(BgL_funz00_4308), BgL_globalz00_2945, BEOA); } } 
{ 
obj_t BgL_l4771z00_2947;
{ /* Cfa/setup.scm 46 */
BgL_sfunz00_bglt BgL_obj1395z00_4335;
BgL_obj1395z00_4335 = 
(BgL_sfunz00_bglt)(BgL_funz00_2946); 
BgL_l4771z00_2947 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1395z00_4335))->BgL_argsz00); } 
BgL_lname4772z00_2948:
if(
PAIRP(BgL_l4771z00_2947))
{ /* Cfa/setup.scm 42 */
{ /* Cfa/setup.scm 43 */
obj_t BgL_localz00_2951;
BgL_localz00_2951 = 
CAR(BgL_l4771z00_2947); 
{ /* Cfa/setup.scm 43 */
BgL_reshapedzd2localzd2_bglt BgL_obj4773z00_2952;
BgL_obj4773z00_2952 = 
((BgL_reshapedzd2localzd2_bglt)BgL_localz00_2951); 
{ /* Cfa/setup.scm 43 */
BgL_reshapedzd2localzd2_bglt BgL_arg4936z00_2953;
{ /* Cfa/setup.scm 43 */
BgL_reshapedzd2localzd2_bglt BgL_res5418z00_4344;
{ /* Cfa/setup.scm 43 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_4339;
BgL_new2985z00_4339 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 43 */
BgL_reshapedzd2localzd2_bglt BgL_res5417z00_4343;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_4339))->BgL_bindingzd2valuezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res5417z00_4343 = BgL_new2985z00_4339; BgL_res5417z00_4343; } 
BgL_res5418z00_4344 = BgL_new2985z00_4339; } 
BgL_arg4936z00_2953 = BgL_res5418z00_4344; } 
{ /* Cfa/setup.scm 43 */
obj_t BgL_auxz00_7489;BgL_objectz00_bglt BgL_auxz00_7487;
BgL_auxz00_7489 = 
(obj_t)(BgL_arg4936z00_2953); 
BgL_auxz00_7487 = 
(BgL_objectz00_bglt)(BgL_obj4773z00_2952); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7487, BgL_auxz00_7489); } } 
{ /* Cfa/setup.scm 43 */
long BgL_arg4937z00_2954;
BgL_arg4937z00_2954 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 43 */
BgL_objectz00_bglt BgL_auxz00_7493;
BgL_auxz00_7493 = 
(BgL_objectz00_bglt)(BgL_obj4773z00_2952); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7493, BgL_arg4937z00_2954); } } 
{ /* Cfa/setup.scm 43 */
obj_t BgL_auxz00_7496;
BgL_auxz00_7496 = 
(obj_t)(BgL_obj4773z00_2952); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7496); } BUNSPEC; BgL_obj4773z00_2952; } 
{ /* Cfa/setup.scm 44 */
BgL_valuez00_bglt BgL_arg4938z00_2955;
{ /* Cfa/setup.scm 44 */
BgL_localz00_bglt BgL_obj1279z00_4348;
BgL_obj1279z00_4348 = 
(BgL_localz00_bglt)(BgL_localz00_2951); 
BgL_arg4938z00_2955 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_4348))->BgL_valuez00); } 
{ /* Cfa/setup.scm 44 */
BgL_variablez00_bglt BgL_variablez00_4350;
BgL_variablez00_4350 = 
(BgL_variablez00_bglt)(BgL_localz00_2951); 
{ /* Cfa/setup.scm 44 */
obj_t BgL_method4873z00_4351;
{ /* Cfa/setup.scm 44 */
long BgL_objzd2classzd2numz00_4353;
{ /* Cfa/setup.scm 44 */
BgL_objectz00_bglt BgL_auxz00_7502;
BgL_auxz00_7502 = 
(BgL_objectz00_bglt)(BgL_arg4938z00_2955); 
BgL_objzd2classzd2numz00_4353 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7502); } 
{ /* Cfa/setup.scm 44 */
obj_t BgL_arg1221z00_4354;
{ /* Cfa/setup.scm 44 */
int BgL_auxz00_7505;
BgL_auxz00_7505 = 
(int)(((long)1)); 
BgL_arg1221z00_4354 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_7505); } 
{ /* Cfa/setup.scm 44 */
long BgL_offsetz00_4358;
{ /* Cfa/setup.scm 44 */
long BgL_auxz00_7508;
{ /* Cfa/setup.scm 44 */
int BgL_auxz00_7509;
BgL_auxz00_7509 = 
(int)(BgL_objzd2classzd2numz00_4353); 
BgL_auxz00_7508 = 
(long)(BgL_auxz00_7509); } 
BgL_offsetz00_4358 = 
(BgL_auxz00_7508-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 44 */
long BgL_modz00_4359;
{ /* Cfa/setup.scm 44 */
long BgL_auxz00_7513;
{ /* Cfa/setup.scm 44 */
int BgL_auxz00_7514;
BgL_auxz00_7514 = 
(int)(((long)8)); 
BgL_auxz00_7513 = 
(long)(BgL_auxz00_7514); } 
BgL_modz00_4359 = 
(BgL_offsetz00_4358/BgL_auxz00_7513); } 
{ /* Cfa/setup.scm 44 */
long BgL_restz00_4361;
{ /* Cfa/setup.scm 44 */
long BgL_auxz00_7518;
{ /* Cfa/setup.scm 44 */
int BgL_auxz00_7519;
BgL_auxz00_7519 = 
(int)(((long)8)); 
BgL_auxz00_7518 = 
(long)(BgL_auxz00_7519); } 
BgL_restz00_4361 = 
(BgL_offsetz00_4358%BgL_auxz00_7518); } 
{ /* Cfa/setup.scm 44 */

{ /* Cfa/setup.scm 44 */
obj_t BgL_bucketz00_4363;
{ /* Cfa/setup.scm 44 */
int BgL_kz00_4373;
BgL_kz00_4373 = 
(int)(BgL_modz00_4359); 
BgL_bucketz00_4363 = 
VECTOR_REF(BgL_arg1221z00_4354,BgL_kz00_4373); } 
{ /* Cfa/setup.scm 44 */
int BgL_kz00_4375;
BgL_kz00_4375 = 
(int)(BgL_restz00_4361); 
BgL_method4873z00_4351 = 
VECTOR_REF(BgL_bucketz00_4363,BgL_kz00_4375); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4873z00_4351)(BgL_method4873z00_4351, 
(obj_t)(BgL_arg4938z00_2955), 
(obj_t)(BgL_variablez00_4350), BEOA); } } } } 
{ 
obj_t BgL_l4771z00_7531;
BgL_l4771z00_7531 = 
CDR(BgL_l4771z00_2947); 
BgL_l4771z00_2947 = BgL_l4771z00_7531; 
goto BgL_lname4772z00_2948;} }  else 
{ /* Cfa/setup.scm 42 */((bool_t)1); } } } 
{ /* Cfa/setup.scm 47 */
BgL_nodez00_bglt BgL_nodez00_4379;
{ /* Cfa/setup.scm 47 */
obj_t BgL_auxz00_7535;
{ /* Cfa/setup.scm 47 */
BgL_sfunz00_bglt BgL_obj1398z00_4378;
{ /* Cfa/setup.scm 47 */
BgL_valuez00_bglt BgL_auxz00_7536;
{ /* Cfa/setup.scm 47 */
BgL_globalz00_bglt BgL_obj1178z00_4377;
BgL_obj1178z00_4377 = 
(BgL_globalz00_bglt)(BgL_globalz00_2945); 
BgL_auxz00_7536 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1178z00_4377))->BgL_valuez00); } 
BgL_obj1398z00_4378 = 
(BgL_sfunz00_bglt)(BgL_auxz00_7536); } 
BgL_auxz00_7535 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_4378))->BgL_bodyz00); } 
BgL_nodez00_4379 = 
(BgL_nodez00_bglt)(BgL_auxz00_7535); } 
{ /* Cfa/setup.scm 47 */
obj_t BgL_method4863z00_4380;
{ /* Cfa/setup.scm 47 */
long BgL_objzd2classzd2numz00_4382;
{ /* Cfa/setup.scm 47 */
BgL_objectz00_bglt BgL_auxz00_7542;
BgL_auxz00_7542 = 
(BgL_objectz00_bglt)(BgL_nodez00_4379); 
BgL_objzd2classzd2numz00_4382 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7542); } 
{ /* Cfa/setup.scm 47 */
obj_t BgL_arg1221z00_4383;
{ /* Cfa/setup.scm 47 */
int BgL_auxz00_7545;
BgL_auxz00_7545 = 
(int)(((long)1)); 
BgL_arg1221z00_4383 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7545); } 
{ /* Cfa/setup.scm 47 */
long BgL_offsetz00_4387;
{ /* Cfa/setup.scm 47 */
long BgL_auxz00_7548;
{ /* Cfa/setup.scm 47 */
int BgL_auxz00_7549;
BgL_auxz00_7549 = 
(int)(BgL_objzd2classzd2numz00_4382); 
BgL_auxz00_7548 = 
(long)(BgL_auxz00_7549); } 
BgL_offsetz00_4387 = 
(BgL_auxz00_7548-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 47 */
long BgL_modz00_4388;
{ /* Cfa/setup.scm 47 */
long BgL_auxz00_7553;
{ /* Cfa/setup.scm 47 */
int BgL_auxz00_7554;
BgL_auxz00_7554 = 
(int)(((long)8)); 
BgL_auxz00_7553 = 
(long)(BgL_auxz00_7554); } 
BgL_modz00_4388 = 
(BgL_offsetz00_4387/BgL_auxz00_7553); } 
{ /* Cfa/setup.scm 47 */
long BgL_restz00_4390;
{ /* Cfa/setup.scm 47 */
long BgL_auxz00_7558;
{ /* Cfa/setup.scm 47 */
int BgL_auxz00_7559;
BgL_auxz00_7559 = 
(int)(((long)8)); 
BgL_auxz00_7558 = 
(long)(BgL_auxz00_7559); } 
BgL_restz00_4390 = 
(BgL_offsetz00_4387%BgL_auxz00_7558); } 
{ /* Cfa/setup.scm 47 */

{ /* Cfa/setup.scm 47 */
obj_t BgL_bucketz00_4392;
{ /* Cfa/setup.scm 47 */
int BgL_kz00_4402;
BgL_kz00_4402 = 
(int)(BgL_modz00_4388); 
BgL_bucketz00_4392 = 
VECTOR_REF(BgL_arg1221z00_4383,BgL_kz00_4402); } 
{ /* Cfa/setup.scm 47 */
int BgL_kz00_4404;
BgL_kz00_4404 = 
(int)(BgL_restz00_4390); 
BgL_method4863z00_4380 = 
VECTOR_REF(BgL_bucketz00_4392,BgL_kz00_4404); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_4380)(BgL_method4863z00_4380, 
(obj_t)(BgL_nodez00_4379), BEOA); } } } 
{ 
obj_t BgL_l4769z00_7570;
BgL_l4769z00_7570 = 
CDR(BgL_l4769z00_2942); 
BgL_l4769z00_2942 = BgL_l4769z00_7570; 
goto BgL_lname4770z00_2943;} }  else 
{ /* Cfa/setup.scm 37 */
BgL_auxz00_7446 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_7446);} } } 
}



/* _set-initial-approx! */
obj_t BGl__setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t BgL_envz00_7287, obj_t BgL_globalsz00_7288)
{ AN_OBJECT;
{ /* Cfa/setup.scm 36 */
return 
BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_7288);} 
}



/* alloc-type? */
bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_typez00_bglt BgL_typez00_8)
{ AN_OBJECT;
{ /* Cfa/setup.scm 97 */
{ /* Cfa/setup.scm 99 */
bool_t BgL_test4943z00_2960;
{ /* Cfa/setup.scm 99 */
obj_t BgL_auxz00_7574;
BgL_auxz00_7574 = 
(obj_t)(BgL_typez00_8); 
BgL_test4943z00_2960 = 
(BgL_auxz00_7574==BGl_za2vectorza2z00zztype_cachez00); } 
if(BgL_test4943z00_2960)
{ /* Cfa/setup.scm 99 */
return ((bool_t)1);}  else 
{ /* Cfa/setup.scm 101 */
bool_t BgL_test4944z00_2961;
{ /* Cfa/setup.scm 101 */
obj_t BgL_auxz00_7578;
BgL_auxz00_7578 = 
(obj_t)(BgL_typez00_8); 
BgL_test4944z00_2961 = 
(BgL_auxz00_7578==BGl_za2procedureza2z00zztype_cachez00); } 
if(BgL_test4944z00_2961)
{ /* Cfa/setup.scm 101 */
return ((bool_t)1);}  else 
{ /* Cfa/setup.scm 103 */
bool_t BgL_test4945z00_2962;
{ /* Cfa/setup.scm 103 */
obj_t BgL_auxz00_7582;
BgL_auxz00_7582 = 
(obj_t)(BgL_typez00_8); 
BgL_test4945z00_2962 = 
(BgL_auxz00_7582==BGl_za2structza2z00zztype_cachez00); } 
if(BgL_test4945z00_2962)
{ /* Cfa/setup.scm 103 */
return ((bool_t)1);}  else 
{ /* Cfa/setup.scm 103 */
return ((bool_t)0);} } } } } 
}



/* node-setup*! */
obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t BgL_nodeza2za2_54)
{ AN_OBJECT;
{ /* Cfa/setup.scm 434 */
{ 
obj_t BgL_l4860z00_2963;
{ /* Cfa/setup.scm 435 */
bool_t BgL_auxz00_7586;
BgL_l4860z00_2963 = BgL_nodeza2za2_54; 
BgL_lname4861z00_2964:
if(
PAIRP(BgL_l4860z00_2963))
{ /* Cfa/setup.scm 435 */
{ /* Cfa/setup.scm 435 */
BgL_nodez00_bglt BgL_nodez00_4408;
{ /* Cfa/setup.scm 435 */
obj_t BgL_auxz00_7589;
BgL_auxz00_7589 = 
CAR(BgL_l4860z00_2963); 
BgL_nodez00_4408 = 
(BgL_nodez00_bglt)(BgL_auxz00_7589); } 
{ /* Cfa/setup.scm 435 */
obj_t BgL_method4863z00_4409;
{ /* Cfa/setup.scm 435 */
long BgL_objzd2classzd2numz00_4411;
{ /* Cfa/setup.scm 435 */
BgL_objectz00_bglt BgL_auxz00_7592;
BgL_auxz00_7592 = 
(BgL_objectz00_bglt)(BgL_nodez00_4408); 
BgL_objzd2classzd2numz00_4411 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7592); } 
{ /* Cfa/setup.scm 435 */
obj_t BgL_arg1221z00_4412;
{ /* Cfa/setup.scm 435 */
int BgL_auxz00_7595;
BgL_auxz00_7595 = 
(int)(((long)1)); 
BgL_arg1221z00_4412 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7595); } 
{ /* Cfa/setup.scm 435 */
long BgL_offsetz00_4416;
{ /* Cfa/setup.scm 435 */
long BgL_auxz00_7598;
{ /* Cfa/setup.scm 435 */
int BgL_auxz00_7599;
BgL_auxz00_7599 = 
(int)(BgL_objzd2classzd2numz00_4411); 
BgL_auxz00_7598 = 
(long)(BgL_auxz00_7599); } 
BgL_offsetz00_4416 = 
(BgL_auxz00_7598-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 435 */
long BgL_modz00_4417;
{ /* Cfa/setup.scm 435 */
long BgL_auxz00_7603;
{ /* Cfa/setup.scm 435 */
int BgL_auxz00_7604;
BgL_auxz00_7604 = 
(int)(((long)8)); 
BgL_auxz00_7603 = 
(long)(BgL_auxz00_7604); } 
BgL_modz00_4417 = 
(BgL_offsetz00_4416/BgL_auxz00_7603); } 
{ /* Cfa/setup.scm 435 */
long BgL_restz00_4419;
{ /* Cfa/setup.scm 435 */
long BgL_auxz00_7608;
{ /* Cfa/setup.scm 435 */
int BgL_auxz00_7609;
BgL_auxz00_7609 = 
(int)(((long)8)); 
BgL_auxz00_7608 = 
(long)(BgL_auxz00_7609); } 
BgL_restz00_4419 = 
(BgL_offsetz00_4416%BgL_auxz00_7608); } 
{ /* Cfa/setup.scm 435 */

{ /* Cfa/setup.scm 435 */
obj_t BgL_bucketz00_4421;
{ /* Cfa/setup.scm 435 */
int BgL_kz00_4431;
BgL_kz00_4431 = 
(int)(BgL_modz00_4417); 
BgL_bucketz00_4421 = 
VECTOR_REF(BgL_arg1221z00_4412,BgL_kz00_4431); } 
{ /* Cfa/setup.scm 435 */
int BgL_kz00_4433;
BgL_kz00_4433 = 
(int)(BgL_restz00_4419); 
BgL_method4863z00_4409 = 
VECTOR_REF(BgL_bucketz00_4421,BgL_kz00_4433); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_4409)(BgL_method4863z00_4409, 
(obj_t)(BgL_nodez00_4408), BEOA); } } 
{ 
obj_t BgL_l4860z00_7620;
BgL_l4860z00_7620 = 
CDR(BgL_l4860z00_2963); 
BgL_l4860z00_2963 = BgL_l4860z00_7620; 
goto BgL_lname4861z00_2964;} }  else 
{ /* Cfa/setup.scm 435 */
BgL_auxz00_7586 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_7586);} } } 
}



/* _node-setup*! */
obj_t BGl__nodezd2setupza2z12z62zzcfa_setupz00(obj_t BgL_envz00_7297, obj_t BgL_nodeza2za2_7298)
{ AN_OBJECT;
{ /* Cfa/setup.scm 434 */
return 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_nodeza2za2_7298);} 
}



/* var-variable */
BgL_variablez00_bglt BGl_varzd2variablezd2zzcfa_setupz00(BgL_varz00_bglt BgL_obj1646z00_2464)
{ AN_OBJECT;
{ /* ./Ast/node.scm 39 */
return 
(((BgL_varz00_bglt)CREF(BgL_obj1646z00_2464))->BgL_variablez00);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_setupz00()
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_nodezd2setupz12zd2default4862zd2envzc0zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_atomz00zzast_nodez00, BGl_proc5666z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_kwotez00zzast_nodez00, BGl_proc5667z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc5668z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_varz00zzast_nodez00, BGl_proc5669z00zzcfa_setupz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_variablezd2valuezd2setupz12zd2default4872zd2envz12zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_sfunz00zzast_varz00, BGl_proc5670z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_svarz00zzast_varz00, BGl_proc5671z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_prezd2clozd2envz00zzcfa_infoz00, BGl_proc5672z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_sexitz00zzast_varz00, BGl_proc5673z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc5674z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_scnstz00zzast_varz00, BGl_proc5675z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_cvarz00zzast_varz00, BGl_proc5676z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_closurez00zzast_nodez00, BGl_proc5677z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_sequencez00zzast_nodez00, BGl_proc5678z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_appz00zzast_nodez00, BGl_proc5679z00zzcfa_setupz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_funzd2setupz12zd2default4894zd2envzc0zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_sfunz00zzast_varz00, BGl_proc5680z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_cfunz00zzast_varz00, BGl_proc5681z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc5682z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_funcallz00zzast_nodez00, BGl_proc5683z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_pragmaz00zzast_nodez00, BGl_proc5684z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_getfieldz00zzast_nodez00, BGl_proc5685z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setfieldz00zzast_nodez00, BGl_proc5686z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_newz00zzast_nodez00, BGl_proc5687z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_isaz00zzast_nodez00, BGl_proc5688z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_castz00zzast_nodez00, BGl_proc5689z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setqz00zzast_nodez00, BGl_proc5690z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_conditionalz00zzast_nodez00, BGl_proc5691z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_failz00zzast_nodez00, BGl_proc5692z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_selectz00zzast_nodez00, BGl_proc5693z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc5694z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc5695z00zzcfa_setupz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc5696z00zzcfa_setupz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc5697z00zzcfa_setupz00);} 
}



/* node-setup!-jump-ex-it4932 */
obj_t BGl_nodezd2setupz12zd2jumpzd2exzd2it4932z12zzcfa_setupz00(obj_t BgL_envz00_7331, obj_t BgL_nodez00_7332)
{ AN_OBJECT;
{ /* Cfa/setup.scm 423 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_4283;
BgL_nodez00_4283 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_7332); 
{ /* Cfa/setup.scm 425 */
BgL_nodez00_bglt BgL_arg5403z00_4287;
BgL_arg5403z00_4287 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4283))->BgL_exitz00); 
{ /* Cfa/setup.scm 425 */
obj_t BgL_method4863z00_7135;
{ /* Cfa/setup.scm 425 */
long BgL_objzd2classzd2numz00_7137;
{ /* Cfa/setup.scm 425 */
BgL_objectz00_bglt BgL_auxz00_7661;
BgL_auxz00_7661 = 
(BgL_objectz00_bglt)(BgL_arg5403z00_4287); 
BgL_objzd2classzd2numz00_7137 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7661); } 
{ /* Cfa/setup.scm 425 */
obj_t BgL_arg1221z00_7138;
{ /* Cfa/setup.scm 425 */
int BgL_auxz00_7664;
BgL_auxz00_7664 = 
(int)(((long)1)); 
BgL_arg1221z00_7138 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7664); } 
{ /* Cfa/setup.scm 425 */
long BgL_offsetz00_7142;
{ /* Cfa/setup.scm 425 */
long BgL_auxz00_7667;
{ /* Cfa/setup.scm 425 */
int BgL_auxz00_7668;
BgL_auxz00_7668 = 
(int)(BgL_objzd2classzd2numz00_7137); 
BgL_auxz00_7667 = 
(long)(BgL_auxz00_7668); } 
BgL_offsetz00_7142 = 
(BgL_auxz00_7667-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 425 */
long BgL_modz00_7143;
{ /* Cfa/setup.scm 425 */
long BgL_auxz00_7672;
{ /* Cfa/setup.scm 425 */
int BgL_auxz00_7673;
BgL_auxz00_7673 = 
(int)(((long)8)); 
BgL_auxz00_7672 = 
(long)(BgL_auxz00_7673); } 
BgL_modz00_7143 = 
(BgL_offsetz00_7142/BgL_auxz00_7672); } 
{ /* Cfa/setup.scm 425 */
long BgL_restz00_7145;
{ /* Cfa/setup.scm 425 */
long BgL_auxz00_7677;
{ /* Cfa/setup.scm 425 */
int BgL_auxz00_7678;
BgL_auxz00_7678 = 
(int)(((long)8)); 
BgL_auxz00_7677 = 
(long)(BgL_auxz00_7678); } 
BgL_restz00_7145 = 
(BgL_offsetz00_7142%BgL_auxz00_7677); } 
{ /* Cfa/setup.scm 425 */

{ /* Cfa/setup.scm 425 */
obj_t BgL_bucketz00_7147;
{ /* Cfa/setup.scm 425 */
int BgL_kz00_7157;
BgL_kz00_7157 = 
(int)(BgL_modz00_7143); 
BgL_bucketz00_7147 = 
VECTOR_REF(BgL_arg1221z00_7138,BgL_kz00_7157); } 
{ /* Cfa/setup.scm 425 */
int BgL_kz00_7159;
BgL_kz00_7159 = 
(int)(BgL_restz00_7145); 
BgL_method4863z00_7135 = 
VECTOR_REF(BgL_bucketz00_7147,BgL_kz00_7159); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_7135)(BgL_method4863z00_7135, 
(obj_t)(BgL_arg5403z00_4287), BEOA); } } 
{ /* Cfa/setup.scm 426 */
BgL_nodez00_bglt BgL_arg5404z00_4288;
BgL_arg5404z00_4288 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4283))->BgL_valuez00); 
{ /* Cfa/setup.scm 426 */
obj_t BgL_method4863z00_7162;
{ /* Cfa/setup.scm 426 */
long BgL_objzd2classzd2numz00_7164;
{ /* Cfa/setup.scm 426 */
BgL_objectz00_bglt BgL_auxz00_7690;
BgL_auxz00_7690 = 
(BgL_objectz00_bglt)(BgL_arg5404z00_4288); 
BgL_objzd2classzd2numz00_7164 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7690); } 
{ /* Cfa/setup.scm 426 */
obj_t BgL_arg1221z00_7165;
{ /* Cfa/setup.scm 426 */
int BgL_auxz00_7693;
BgL_auxz00_7693 = 
(int)(((long)1)); 
BgL_arg1221z00_7165 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7693); } 
{ /* Cfa/setup.scm 426 */
long BgL_offsetz00_7169;
{ /* Cfa/setup.scm 426 */
long BgL_auxz00_7696;
{ /* Cfa/setup.scm 426 */
int BgL_auxz00_7697;
BgL_auxz00_7697 = 
(int)(BgL_objzd2classzd2numz00_7164); 
BgL_auxz00_7696 = 
(long)(BgL_auxz00_7697); } 
BgL_offsetz00_7169 = 
(BgL_auxz00_7696-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 426 */
long BgL_modz00_7170;
{ /* Cfa/setup.scm 426 */
long BgL_auxz00_7701;
{ /* Cfa/setup.scm 426 */
int BgL_auxz00_7702;
BgL_auxz00_7702 = 
(int)(((long)8)); 
BgL_auxz00_7701 = 
(long)(BgL_auxz00_7702); } 
BgL_modz00_7170 = 
(BgL_offsetz00_7169/BgL_auxz00_7701); } 
{ /* Cfa/setup.scm 426 */
long BgL_restz00_7172;
{ /* Cfa/setup.scm 426 */
long BgL_auxz00_7706;
{ /* Cfa/setup.scm 426 */
int BgL_auxz00_7707;
BgL_auxz00_7707 = 
(int)(((long)8)); 
BgL_auxz00_7706 = 
(long)(BgL_auxz00_7707); } 
BgL_restz00_7172 = 
(BgL_offsetz00_7169%BgL_auxz00_7706); } 
{ /* Cfa/setup.scm 426 */

{ /* Cfa/setup.scm 426 */
obj_t BgL_bucketz00_7174;
{ /* Cfa/setup.scm 426 */
int BgL_kz00_7184;
BgL_kz00_7184 = 
(int)(BgL_modz00_7170); 
BgL_bucketz00_7174 = 
VECTOR_REF(BgL_arg1221z00_7165,BgL_kz00_7184); } 
{ /* Cfa/setup.scm 426 */
int BgL_kz00_7186;
BgL_kz00_7186 = 
(int)(BgL_restz00_7172); 
BgL_method4863z00_7162 = 
VECTOR_REF(BgL_bucketz00_7174,BgL_kz00_7186); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_7162)(BgL_method4863z00_7162, 
(obj_t)(BgL_arg5404z00_4288), BEOA); } } 
{ /* Cfa/setup.scm 427 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_obj4859z00_4289;
BgL_obj4859z00_4289 = 
((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)BgL_nodez00_4283); 
{ /* Cfa/setup.scm 428 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_arg5405z00_4290;
{ /* Cfa/setup.scm 428 */
BgL_approxz00_bglt BgL_arg5406z00_4291;
BgL_arg5406z00_4291 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/setup.scm 427 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_res5655z00_7193;
{ /* Cfa/setup.scm 427 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_new3407z00_7188;
BgL_new3407z00_7188 = 
((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 427 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_res5654z00_7192;
((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_new3407z00_7188))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5406z00_4291), BUNSPEC); 
BgL_res5654z00_7192 = BgL_new3407z00_7188; BgL_res5654z00_7192; } 
BgL_res5655z00_7193 = BgL_new3407z00_7188; } 
BgL_arg5405z00_4290 = BgL_res5655z00_7193; } } 
{ /* Cfa/setup.scm 427 */
obj_t BgL_auxz00_7725;BgL_objectz00_bglt BgL_auxz00_7723;
BgL_auxz00_7725 = 
(obj_t)(BgL_arg5405z00_4290); 
BgL_auxz00_7723 = 
(BgL_objectz00_bglt)(BgL_obj4859z00_4289); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7723, BgL_auxz00_7725); } } 
{ /* Cfa/setup.scm 427 */
long BgL_arg5407z00_4292;
BgL_arg5407z00_4292 = 
BGl_classzd2numzd2zz__objectz00(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 427 */
BgL_objectz00_bglt BgL_auxz00_7729;
BgL_auxz00_7729 = 
(BgL_objectz00_bglt)(BgL_obj4859z00_4289); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7729, BgL_arg5407z00_4292); } } 
{ /* Cfa/setup.scm 427 */
obj_t BgL_auxz00_7732;
BgL_auxz00_7732 = 
(obj_t)(BgL_obj4859z00_4289); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7732); } BUNSPEC; BgL_obj4859z00_4289; } 
{ /* Cfa/setup.scm 429 */
BgL_approxz00_bglt BgL_auxz00_7735;
{ /* Cfa/setup.scm 429 */
BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_obj3422z00_7197;
BgL_obj3422z00_7197 = 
(BgL_jumpzd2exzd2itzf2cinfozf2_bglt)(BgL_nodez00_4283); 
{ 
obj_t BgL_auxz00_7737;
{ /* Cfa/setup.scm 429 */
BgL_objectz00_bglt BgL_auxz00_7738;
BgL_auxz00_7738 = 
(BgL_objectz00_bglt)(BgL_obj3422z00_7197); 
BgL_auxz00_7737 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7738); } 
BgL_auxz00_7735 = 
(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_auxz00_7737))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_7735);} } } 
}



/* node-setup!-set-ex-it4930 */
obj_t BGl_nodezd2setupz12zd2setzd2exzd2it4930z12zzcfa_setupz00(obj_t BgL_envz00_7333, obj_t BgL_nodez00_7334)
{ AN_OBJECT;
{ /* Cfa/setup.scm 411 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_4266;
BgL_nodez00_4266 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_7334); 
{ /* Cfa/setup.scm 413 */
BgL_nodez00_bglt BgL_arg5393z00_4270;
BgL_arg5393z00_4270 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4266))->BgL_bodyz00); 
{ /* Cfa/setup.scm 413 */
obj_t BgL_method4863z00_7058;
{ /* Cfa/setup.scm 413 */
long BgL_objzd2classzd2numz00_7060;
{ /* Cfa/setup.scm 413 */
BgL_objectz00_bglt BgL_auxz00_7745;
BgL_auxz00_7745 = 
(BgL_objectz00_bglt)(BgL_arg5393z00_4270); 
BgL_objzd2classzd2numz00_7060 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7745); } 
{ /* Cfa/setup.scm 413 */
obj_t BgL_arg1221z00_7061;
{ /* Cfa/setup.scm 413 */
int BgL_auxz00_7748;
BgL_auxz00_7748 = 
(int)(((long)1)); 
BgL_arg1221z00_7061 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7748); } 
{ /* Cfa/setup.scm 413 */
long BgL_offsetz00_7065;
{ /* Cfa/setup.scm 413 */
long BgL_auxz00_7751;
{ /* Cfa/setup.scm 413 */
int BgL_auxz00_7752;
BgL_auxz00_7752 = 
(int)(BgL_objzd2classzd2numz00_7060); 
BgL_auxz00_7751 = 
(long)(BgL_auxz00_7752); } 
BgL_offsetz00_7065 = 
(BgL_auxz00_7751-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 413 */
long BgL_modz00_7066;
{ /* Cfa/setup.scm 413 */
long BgL_auxz00_7756;
{ /* Cfa/setup.scm 413 */
int BgL_auxz00_7757;
BgL_auxz00_7757 = 
(int)(((long)8)); 
BgL_auxz00_7756 = 
(long)(BgL_auxz00_7757); } 
BgL_modz00_7066 = 
(BgL_offsetz00_7065/BgL_auxz00_7756); } 
{ /* Cfa/setup.scm 413 */
long BgL_restz00_7068;
{ /* Cfa/setup.scm 413 */
long BgL_auxz00_7761;
{ /* Cfa/setup.scm 413 */
int BgL_auxz00_7762;
BgL_auxz00_7762 = 
(int)(((long)8)); 
BgL_auxz00_7761 = 
(long)(BgL_auxz00_7762); } 
BgL_restz00_7068 = 
(BgL_offsetz00_7065%BgL_auxz00_7761); } 
{ /* Cfa/setup.scm 413 */

{ /* Cfa/setup.scm 413 */
obj_t BgL_bucketz00_7070;
{ /* Cfa/setup.scm 413 */
int BgL_kz00_7080;
BgL_kz00_7080 = 
(int)(BgL_modz00_7066); 
BgL_bucketz00_7070 = 
VECTOR_REF(BgL_arg1221z00_7061,BgL_kz00_7080); } 
{ /* Cfa/setup.scm 413 */
int BgL_kz00_7082;
BgL_kz00_7082 = 
(int)(BgL_restz00_7068); 
BgL_method4863z00_7058 = 
VECTOR_REF(BgL_bucketz00_7070,BgL_kz00_7082); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_7058)(BgL_method4863z00_7058, 
(obj_t)(BgL_arg5393z00_4270), BEOA); } } 
{ /* Cfa/setup.scm 414 */
BgL_nodez00_bglt BgL_nodez00_7084;
{ /* Cfa/setup.scm 414 */
BgL_varz00_bglt BgL_auxz00_7773;
BgL_auxz00_7773 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4266))->BgL_varz00); 
BgL_nodez00_7084 = 
(BgL_nodez00_bglt)(BgL_auxz00_7773); } 
{ /* Cfa/setup.scm 414 */
obj_t BgL_method4863z00_7085;
{ /* Cfa/setup.scm 414 */
long BgL_objzd2classzd2numz00_7087;
{ /* Cfa/setup.scm 414 */
BgL_objectz00_bglt BgL_auxz00_7776;
BgL_auxz00_7776 = 
(BgL_objectz00_bglt)(BgL_nodez00_7084); 
BgL_objzd2classzd2numz00_7087 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7776); } 
{ /* Cfa/setup.scm 414 */
obj_t BgL_arg1221z00_7088;
{ /* Cfa/setup.scm 414 */
int BgL_auxz00_7779;
BgL_auxz00_7779 = 
(int)(((long)1)); 
BgL_arg1221z00_7088 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7779); } 
{ /* Cfa/setup.scm 414 */
long BgL_offsetz00_7092;
{ /* Cfa/setup.scm 414 */
long BgL_auxz00_7782;
{ /* Cfa/setup.scm 414 */
int BgL_auxz00_7783;
BgL_auxz00_7783 = 
(int)(BgL_objzd2classzd2numz00_7087); 
BgL_auxz00_7782 = 
(long)(BgL_auxz00_7783); } 
BgL_offsetz00_7092 = 
(BgL_auxz00_7782-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 414 */
long BgL_modz00_7093;
{ /* Cfa/setup.scm 414 */
long BgL_auxz00_7787;
{ /* Cfa/setup.scm 414 */
int BgL_auxz00_7788;
BgL_auxz00_7788 = 
(int)(((long)8)); 
BgL_auxz00_7787 = 
(long)(BgL_auxz00_7788); } 
BgL_modz00_7093 = 
(BgL_offsetz00_7092/BgL_auxz00_7787); } 
{ /* Cfa/setup.scm 414 */
long BgL_restz00_7095;
{ /* Cfa/setup.scm 414 */
long BgL_auxz00_7792;
{ /* Cfa/setup.scm 414 */
int BgL_auxz00_7793;
BgL_auxz00_7793 = 
(int)(((long)8)); 
BgL_auxz00_7792 = 
(long)(BgL_auxz00_7793); } 
BgL_restz00_7095 = 
(BgL_offsetz00_7092%BgL_auxz00_7792); } 
{ /* Cfa/setup.scm 414 */

{ /* Cfa/setup.scm 414 */
obj_t BgL_bucketz00_7097;
{ /* Cfa/setup.scm 414 */
int BgL_kz00_7107;
BgL_kz00_7107 = 
(int)(BgL_modz00_7093); 
BgL_bucketz00_7097 = 
VECTOR_REF(BgL_arg1221z00_7088,BgL_kz00_7107); } 
{ /* Cfa/setup.scm 414 */
int BgL_kz00_7109;
BgL_kz00_7109 = 
(int)(BgL_restz00_7095); 
BgL_method4863z00_7085 = 
VECTOR_REF(BgL_bucketz00_7097,BgL_kz00_7109); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_7085)(BgL_method4863z00_7085, 
(obj_t)(BgL_nodez00_7084), BEOA); } } 
{ /* Cfa/setup.scm 415 */
BgL_reshapedzd2localzd2_bglt BgL_obj4855z00_4272;
{ 
BgL_variablez00_bglt BgL_auxz00_7804;
{ /* Cfa/setup.scm 415 */
BgL_varz00_bglt BgL_arg5397z00_4275;
BgL_arg5397z00_4275 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4266))->BgL_varz00); 
BgL_auxz00_7804 = 
(((BgL_varz00_bglt)CREF(BgL_arg5397z00_4275))->BgL_variablez00); } 
BgL_obj4855z00_4272 = 
((BgL_reshapedzd2localzd2_bglt)BgL_auxz00_7804); } 
{ /* Cfa/setup.scm 415 */
BgL_reshapedzd2localzd2_bglt BgL_arg5395z00_4273;
{ /* Cfa/setup.scm 415 */
BgL_reshapedzd2localzd2_bglt BgL_res5647z00_7118;
{ /* Cfa/setup.scm 415 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_7113;
BgL_new2985z00_7113 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 415 */
BgL_reshapedzd2localzd2_bglt BgL_res5646z00_7117;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_7113))->BgL_bindingzd2valuezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res5646z00_7117 = BgL_new2985z00_7113; BgL_res5646z00_7117; } 
BgL_res5647z00_7118 = BgL_new2985z00_7113; } 
BgL_arg5395z00_4273 = BgL_res5647z00_7118; } 
{ /* Cfa/setup.scm 415 */
obj_t BgL_auxz00_7812;BgL_objectz00_bglt BgL_auxz00_7810;
BgL_auxz00_7812 = 
(obj_t)(BgL_arg5395z00_4273); 
BgL_auxz00_7810 = 
(BgL_objectz00_bglt)(BgL_obj4855z00_4272); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7810, BgL_auxz00_7812); } } 
{ /* Cfa/setup.scm 415 */
long BgL_arg5396z00_4274;
BgL_arg5396z00_4274 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 415 */
BgL_objectz00_bglt BgL_auxz00_7816;
BgL_auxz00_7816 = 
(BgL_objectz00_bglt)(BgL_obj4855z00_4272); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7816, BgL_arg5396z00_4274); } } 
{ /* Cfa/setup.scm 415 */
obj_t BgL_auxz00_7819;
BgL_auxz00_7819 = 
(obj_t)(BgL_obj4855z00_4272); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7819); } BUNSPEC; BgL_obj4855z00_4272; } 
{ /* Cfa/setup.scm 416 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_obj4856z00_4276;
BgL_obj4856z00_4276 = 
((BgL_setzd2exzd2itzf2cinfozf2_bglt)BgL_nodez00_4266); 
{ /* Cfa/setup.scm 417 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_arg5398z00_4277;
{ /* Cfa/setup.scm 417 */
BgL_approxz00_bglt BgL_arg5399z00_4278;
BgL_arg5399z00_4278 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/setup.scm 416 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_res5649z00_7128;
{ /* Cfa/setup.scm 416 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_new3380z00_7123;
BgL_new3380z00_7123 = 
((BgL_setzd2exzd2itzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_setzd2exzd2itzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 416 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_res5648z00_7127;
((((BgL_setzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_new3380z00_7123))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5399z00_4278), BUNSPEC); 
BgL_res5648z00_7127 = BgL_new3380z00_7123; BgL_res5648z00_7127; } 
BgL_res5649z00_7128 = BgL_new3380z00_7123; } 
BgL_arg5398z00_4277 = BgL_res5649z00_7128; } } 
{ /* Cfa/setup.scm 416 */
obj_t BgL_auxz00_7829;BgL_objectz00_bglt BgL_auxz00_7827;
BgL_auxz00_7829 = 
(obj_t)(BgL_arg5398z00_4277); 
BgL_auxz00_7827 = 
(BgL_objectz00_bglt)(BgL_obj4856z00_4276); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7827, BgL_auxz00_7829); } } 
{ /* Cfa/setup.scm 416 */
long BgL_arg5400z00_4279;
BgL_arg5400z00_4279 = 
BGl_classzd2numzd2zz__objectz00(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 416 */
BgL_objectz00_bglt BgL_auxz00_7833;
BgL_auxz00_7833 = 
(BgL_objectz00_bglt)(BgL_obj4856z00_4276); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7833, BgL_arg5400z00_4279); } } 
{ /* Cfa/setup.scm 416 */
obj_t BgL_auxz00_7836;
BgL_auxz00_7836 = 
(obj_t)(BgL_obj4856z00_4276); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7836); } BUNSPEC; BgL_obj4856z00_4276; } 
{ /* Cfa/setup.scm 418 */
BgL_approxz00_bglt BgL_auxz00_7839;
{ /* Cfa/setup.scm 418 */
BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_obj3395z00_7132;
BgL_obj3395z00_7132 = 
(BgL_setzd2exzd2itzf2cinfozf2_bglt)(BgL_nodez00_4266); 
{ 
obj_t BgL_auxz00_7841;
{ /* Cfa/setup.scm 418 */
BgL_objectz00_bglt BgL_auxz00_7842;
BgL_auxz00_7842 = 
(BgL_objectz00_bglt)(BgL_obj3395z00_7132); 
BgL_auxz00_7841 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7842); } 
BgL_auxz00_7839 = 
(((BgL_setzd2exzd2itzf2cinfozf2_bglt)CREF(BgL_auxz00_7841))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_7839);} } } 
}



/* node-setup!-let-var4928 */
obj_t BGl_nodezd2setupz12zd2letzd2var4928zc0zzcfa_setupz00(obj_t BgL_envz00_7335, obj_t BgL_nodez00_7336)
{ AN_OBJECT;
{ /* Cfa/setup.scm 386 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_4243;
BgL_nodez00_4243 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_7336); 
{ 
obj_t BgL_l4850z00_4247;
BgL_l4850z00_4247 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4243))->BgL_bindingsz00); 
BgL_lname4851z00_4248:
if(
PAIRP(BgL_l4850z00_4247))
{ /* Cfa/setup.scm 389 */
{ /* Cfa/setup.scm 390 */
obj_t BgL_bindingz00_4251;
BgL_bindingz00_4251 = 
CAR(BgL_l4850z00_4247); 
{ /* Cfa/setup.scm 390 */
obj_t BgL_varz00_4252;obj_t BgL_valz00_4253;
BgL_varz00_4252 = 
CAR(BgL_bindingz00_4251); 
BgL_valz00_4253 = 
CDR(BgL_bindingz00_4251); 
{ /* Cfa/setup.scm 392 */
BgL_valuez00_bglt BgL_arg5383z00_4254;
{ /* Cfa/setup.scm 392 */
BgL_localz00_bglt BgL_obj1279z00_6963;
BgL_obj1279z00_6963 = 
(BgL_localz00_bglt)(BgL_varz00_4252); 
BgL_arg5383z00_4254 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_6963))->BgL_valuez00); } 
{ /* Cfa/setup.scm 392 */
BgL_variablez00_bglt BgL_variablez00_6965;
BgL_variablez00_6965 = 
(BgL_variablez00_bglt)(BgL_varz00_4252); 
{ /* Cfa/setup.scm 392 */
obj_t BgL_method4873z00_6966;
{ /* Cfa/setup.scm 392 */
long BgL_objzd2classzd2numz00_6968;
{ /* Cfa/setup.scm 392 */
BgL_objectz00_bglt BgL_auxz00_7856;
BgL_auxz00_7856 = 
(BgL_objectz00_bglt)(BgL_arg5383z00_4254); 
BgL_objzd2classzd2numz00_6968 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7856); } 
{ /* Cfa/setup.scm 392 */
obj_t BgL_arg1221z00_6969;
{ /* Cfa/setup.scm 392 */
int BgL_auxz00_7859;
BgL_auxz00_7859 = 
(int)(((long)1)); 
BgL_arg1221z00_6969 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_7859); } 
{ /* Cfa/setup.scm 392 */
long BgL_offsetz00_6973;
{ /* Cfa/setup.scm 392 */
long BgL_auxz00_7862;
{ /* Cfa/setup.scm 392 */
int BgL_auxz00_7863;
BgL_auxz00_7863 = 
(int)(BgL_objzd2classzd2numz00_6968); 
BgL_auxz00_7862 = 
(long)(BgL_auxz00_7863); } 
BgL_offsetz00_6973 = 
(BgL_auxz00_7862-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 392 */
long BgL_modz00_6974;
{ /* Cfa/setup.scm 392 */
long BgL_auxz00_7867;
{ /* Cfa/setup.scm 392 */
int BgL_auxz00_7868;
BgL_auxz00_7868 = 
(int)(((long)8)); 
BgL_auxz00_7867 = 
(long)(BgL_auxz00_7868); } 
BgL_modz00_6974 = 
(BgL_offsetz00_6973/BgL_auxz00_7867); } 
{ /* Cfa/setup.scm 392 */
long BgL_restz00_6976;
{ /* Cfa/setup.scm 392 */
long BgL_auxz00_7872;
{ /* Cfa/setup.scm 392 */
int BgL_auxz00_7873;
BgL_auxz00_7873 = 
(int)(((long)8)); 
BgL_auxz00_7872 = 
(long)(BgL_auxz00_7873); } 
BgL_restz00_6976 = 
(BgL_offsetz00_6973%BgL_auxz00_7872); } 
{ /* Cfa/setup.scm 392 */

{ /* Cfa/setup.scm 392 */
obj_t BgL_bucketz00_6978;
{ /* Cfa/setup.scm 392 */
int BgL_kz00_6988;
BgL_kz00_6988 = 
(int)(BgL_modz00_6974); 
BgL_bucketz00_6978 = 
VECTOR_REF(BgL_arg1221z00_6969,BgL_kz00_6988); } 
{ /* Cfa/setup.scm 392 */
int BgL_kz00_6990;
BgL_kz00_6990 = 
(int)(BgL_restz00_6976); 
BgL_method4873z00_6966 = 
VECTOR_REF(BgL_bucketz00_6978,BgL_kz00_6990); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4873z00_6966)(BgL_method4873z00_6966, 
(obj_t)(BgL_arg5383z00_4254), 
(obj_t)(BgL_variablez00_6965), BEOA); } } } 
{ /* Cfa/setup.scm 396 */
BgL_nodez00_bglt BgL_nodez00_6991;
BgL_nodez00_6991 = 
(BgL_nodez00_bglt)(BgL_valz00_4253); 
{ /* Cfa/setup.scm 396 */
obj_t BgL_method4863z00_6992;
{ /* Cfa/setup.scm 396 */
long BgL_objzd2classzd2numz00_6994;
{ /* Cfa/setup.scm 396 */
BgL_objectz00_bglt BgL_auxz00_7886;
BgL_auxz00_7886 = 
(BgL_objectz00_bglt)(BgL_nodez00_6991); 
BgL_objzd2classzd2numz00_6994 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7886); } 
{ /* Cfa/setup.scm 396 */
obj_t BgL_arg1221z00_6995;
{ /* Cfa/setup.scm 396 */
int BgL_auxz00_7889;
BgL_auxz00_7889 = 
(int)(((long)1)); 
BgL_arg1221z00_6995 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7889); } 
{ /* Cfa/setup.scm 396 */
long BgL_offsetz00_6999;
{ /* Cfa/setup.scm 396 */
long BgL_auxz00_7892;
{ /* Cfa/setup.scm 396 */
int BgL_auxz00_7893;
BgL_auxz00_7893 = 
(int)(BgL_objzd2classzd2numz00_6994); 
BgL_auxz00_7892 = 
(long)(BgL_auxz00_7893); } 
BgL_offsetz00_6999 = 
(BgL_auxz00_7892-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 396 */
long BgL_modz00_7000;
{ /* Cfa/setup.scm 396 */
long BgL_auxz00_7897;
{ /* Cfa/setup.scm 396 */
int BgL_auxz00_7898;
BgL_auxz00_7898 = 
(int)(((long)8)); 
BgL_auxz00_7897 = 
(long)(BgL_auxz00_7898); } 
BgL_modz00_7000 = 
(BgL_offsetz00_6999/BgL_auxz00_7897); } 
{ /* Cfa/setup.scm 396 */
long BgL_restz00_7002;
{ /* Cfa/setup.scm 396 */
long BgL_auxz00_7902;
{ /* Cfa/setup.scm 396 */
int BgL_auxz00_7903;
BgL_auxz00_7903 = 
(int)(((long)8)); 
BgL_auxz00_7902 = 
(long)(BgL_auxz00_7903); } 
BgL_restz00_7002 = 
(BgL_offsetz00_6999%BgL_auxz00_7902); } 
{ /* Cfa/setup.scm 396 */

{ /* Cfa/setup.scm 396 */
obj_t BgL_bucketz00_7004;
{ /* Cfa/setup.scm 396 */
int BgL_kz00_7014;
BgL_kz00_7014 = 
(int)(BgL_modz00_7000); 
BgL_bucketz00_7004 = 
VECTOR_REF(BgL_arg1221z00_6995,BgL_kz00_7014); } 
{ /* Cfa/setup.scm 396 */
int BgL_kz00_7016;
BgL_kz00_7016 = 
(int)(BgL_restz00_7002); 
BgL_method4863z00_6992 = 
VECTOR_REF(BgL_bucketz00_7004,BgL_kz00_7016); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6992)(BgL_method4863z00_6992, 
(obj_t)(BgL_nodez00_6991), BEOA); } } 
{ /* Cfa/setup.scm 397 */
BgL_reshapedzd2localzd2_bglt BgL_obj4852z00_4255;
BgL_obj4852z00_4255 = 
((BgL_reshapedzd2localzd2_bglt)BgL_varz00_4252); 
{ /* Cfa/setup.scm 398 */
BgL_reshapedzd2localzd2_bglt BgL_arg5384z00_4256;
{ /* Cfa/setup.scm 398 */
obj_t BgL_arg5385z00_4257;
{ /* Cfa/setup.scm 398 */
bool_t BgL_testz00_7915;
{ /* Cfa/setup.scm 398 */
obj_t BgL_auxz00_7919;obj_t BgL_auxz00_7916;
BgL_auxz00_7919 = 
CNST_TABLE_REF(((long)0)); 
{ /* Cfa/setup.scm 398 */
BgL_localz00_bglt BgL_obj1282z00_7017;
BgL_obj1282z00_7017 = 
(BgL_localz00_bglt)(BgL_varz00_4252); 
BgL_auxz00_7916 = 
(((BgL_localz00_bglt)CREF(BgL_obj1282z00_7017))->BgL_accessz00); } 
BgL_testz00_7915 = 
(BgL_auxz00_7916==BgL_auxz00_7919); } 
if(BgL_testz00_7915)
{ /* Cfa/setup.scm 398 */
BgL_arg5385z00_4257 = BgL_valz00_4253; }  else 
{ /* Cfa/setup.scm 398 */
BgL_arg5385z00_4257 = BFALSE; } } 
{ /* Cfa/setup.scm 397 */
BgL_reshapedzd2localzd2_bglt BgL_res5639z00_7024;
{ /* Cfa/setup.scm 397 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_7019;
BgL_new2985z00_7019 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 397 */
BgL_reshapedzd2localzd2_bglt BgL_res5638z00_7023;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_7019))->BgL_bindingzd2valuezd2) = ((obj_t)BgL_arg5385z00_4257), BUNSPEC); 
BgL_res5638z00_7023 = BgL_new2985z00_7019; BgL_res5638z00_7023; } 
BgL_res5639z00_7024 = BgL_new2985z00_7019; } 
BgL_arg5384z00_4256 = BgL_res5639z00_7024; } } 
{ /* Cfa/setup.scm 397 */
obj_t BgL_auxz00_7926;BgL_objectz00_bglt BgL_auxz00_7924;
BgL_auxz00_7926 = 
(obj_t)(BgL_arg5384z00_4256); 
BgL_auxz00_7924 = 
(BgL_objectz00_bglt)(BgL_obj4852z00_4255); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7924, BgL_auxz00_7926); } } 
{ /* Cfa/setup.scm 397 */
long BgL_arg5389z00_4261;
BgL_arg5389z00_4261 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 397 */
BgL_objectz00_bglt BgL_auxz00_7930;
BgL_auxz00_7930 = 
(BgL_objectz00_bglt)(BgL_obj4852z00_4255); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7930, BgL_arg5389z00_4261); } } 
{ /* Cfa/setup.scm 397 */
obj_t BgL_auxz00_7933;
BgL_auxz00_7933 = 
(obj_t)(BgL_obj4852z00_4255); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7933); } BUNSPEC; BgL_obj4852z00_4255; } BNIL; } } 
{ 
obj_t BgL_l4850z00_7936;
BgL_l4850z00_7936 = 
CDR(BgL_l4850z00_4247); 
BgL_l4850z00_4247 = BgL_l4850z00_7936; 
goto BgL_lname4851z00_4248;} }  else 
{ /* Cfa/setup.scm 389 */((bool_t)1); } } 
{ /* Cfa/setup.scm 406 */
BgL_nodez00_bglt BgL_arg5391z00_4263;
BgL_arg5391z00_4263 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4243))->BgL_bodyz00); 
{ /* Cfa/setup.scm 406 */
obj_t BgL_method4863z00_7031;
{ /* Cfa/setup.scm 406 */
long BgL_objzd2classzd2numz00_7033;
{ /* Cfa/setup.scm 406 */
BgL_objectz00_bglt BgL_auxz00_7940;
BgL_auxz00_7940 = 
(BgL_objectz00_bglt)(BgL_arg5391z00_4263); 
BgL_objzd2classzd2numz00_7033 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7940); } 
{ /* Cfa/setup.scm 406 */
obj_t BgL_arg1221z00_7034;
{ /* Cfa/setup.scm 406 */
int BgL_auxz00_7943;
BgL_auxz00_7943 = 
(int)(((long)1)); 
BgL_arg1221z00_7034 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_7943); } 
{ /* Cfa/setup.scm 406 */
long BgL_offsetz00_7038;
{ /* Cfa/setup.scm 406 */
long BgL_auxz00_7946;
{ /* Cfa/setup.scm 406 */
int BgL_auxz00_7947;
BgL_auxz00_7947 = 
(int)(BgL_objzd2classzd2numz00_7033); 
BgL_auxz00_7946 = 
(long)(BgL_auxz00_7947); } 
BgL_offsetz00_7038 = 
(BgL_auxz00_7946-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 406 */
long BgL_modz00_7039;
{ /* Cfa/setup.scm 406 */
long BgL_auxz00_7951;
{ /* Cfa/setup.scm 406 */
int BgL_auxz00_7952;
BgL_auxz00_7952 = 
(int)(((long)8)); 
BgL_auxz00_7951 = 
(long)(BgL_auxz00_7952); } 
BgL_modz00_7039 = 
(BgL_offsetz00_7038/BgL_auxz00_7951); } 
{ /* Cfa/setup.scm 406 */
long BgL_restz00_7041;
{ /* Cfa/setup.scm 406 */
long BgL_auxz00_7956;
{ /* Cfa/setup.scm 406 */
int BgL_auxz00_7957;
BgL_auxz00_7957 = 
(int)(((long)8)); 
BgL_auxz00_7956 = 
(long)(BgL_auxz00_7957); } 
BgL_restz00_7041 = 
(BgL_offsetz00_7038%BgL_auxz00_7956); } 
{ /* Cfa/setup.scm 406 */

{ /* Cfa/setup.scm 406 */
obj_t BgL_bucketz00_7043;
{ /* Cfa/setup.scm 406 */
int BgL_kz00_7053;
BgL_kz00_7053 = 
(int)(BgL_modz00_7039); 
BgL_bucketz00_7043 = 
VECTOR_REF(BgL_arg1221z00_7034,BgL_kz00_7053); } 
{ /* Cfa/setup.scm 406 */
int BgL_kz00_7055;
BgL_kz00_7055 = 
(int)(BgL_restz00_7041); 
BgL_method4863z00_7031 = 
VECTOR_REF(BgL_bucketz00_7043,BgL_kz00_7055); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4863z00_7031)(BgL_method4863z00_7031, 
(obj_t)(BgL_arg5391z00_4263), BEOA);} } } } 
}



/* node-setup!-let-fun4926 */
obj_t BGl_nodezd2setupz12zd2letzd2fun4926zc0zzcfa_setupz00(obj_t BgL_envz00_7337, obj_t BgL_nodez00_7338)
{ AN_OBJECT;
{ /* Cfa/setup.scm 369 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_4215;
BgL_nodez00_4215 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_7338); 
{ 
obj_t BgL_l4842z00_4219;
BgL_l4842z00_4219 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4215))->BgL_localsz00); 
BgL_lname4843z00_4220:
if(
PAIRP(BgL_l4842z00_4219))
{ /* Cfa/setup.scm 371 */
{ /* Cfa/setup.scm 372 */
obj_t BgL_lz00_4223;
BgL_lz00_4223 = 
CAR(BgL_l4842z00_4219); 
{ /* Cfa/setup.scm 372 */
BgL_reshapedzd2localzd2_bglt BgL_obj4844z00_4224;
BgL_obj4844z00_4224 = 
((BgL_reshapedzd2localzd2_bglt)BgL_lz00_4223); 
{ /* Cfa/setup.scm 372 */
BgL_reshapedzd2localzd2_bglt BgL_arg5369z00_4225;
{ /* Cfa/setup.scm 372 */
BgL_reshapedzd2localzd2_bglt BgL_res5625z00_6856;
{ /* Cfa/setup.scm 372 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_6851;
BgL_new2985z00_6851 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 372 */
BgL_reshapedzd2localzd2_bglt BgL_res5624z00_6855;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_6851))->BgL_bindingzd2valuezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res5624z00_6855 = BgL_new2985z00_6851; BgL_res5624z00_6855; } 
BgL_res5625z00_6856 = BgL_new2985z00_6851; } 
BgL_arg5369z00_4225 = BgL_res5625z00_6856; } 
{ /* Cfa/setup.scm 372 */
obj_t BgL_auxz00_7977;BgL_objectz00_bglt BgL_auxz00_7975;
BgL_auxz00_7977 = 
(obj_t)(BgL_arg5369z00_4225); 
BgL_auxz00_7975 = 
(BgL_objectz00_bglt)(BgL_obj4844z00_4224); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7975, BgL_auxz00_7977); } } 
{ /* Cfa/setup.scm 372 */
long BgL_arg5370z00_4226;
BgL_arg5370z00_4226 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 372 */
BgL_objectz00_bglt BgL_auxz00_7981;
BgL_auxz00_7981 = 
(BgL_objectz00_bglt)(BgL_obj4844z00_4224); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7981, BgL_arg5370z00_4226); } } 
{ /* Cfa/setup.scm 372 */
obj_t BgL_auxz00_7984;
BgL_auxz00_7984 = 
(obj_t)(BgL_obj4844z00_4224); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7984); } BUNSPEC; BgL_obj4844z00_4224; } 
{ /* Cfa/setup.scm 373 */
BgL_valuez00_bglt BgL_funz00_4227;
{ /* Cfa/setup.scm 373 */
BgL_localz00_bglt BgL_obj1279z00_6860;
BgL_obj1279z00_6860 = 
(BgL_localz00_bglt)(BgL_lz00_4223); 
BgL_funz00_4227 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_6860))->BgL_valuez00); } 
{ 
obj_t BgL_l4845z00_4228;
{ /* Cfa/setup.scm 378 */
BgL_sfunz00_bglt BgL_obj1395z00_6861;
BgL_obj1395z00_6861 = 
(BgL_sfunz00_bglt)(BgL_funz00_4227); 
BgL_l4845z00_4228 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1395z00_6861))->BgL_argsz00); } 
BgL_lname4846z00_4229:
if(
PAIRP(BgL_l4845z00_4228))
{ /* Cfa/setup.scm 374 */
{ /* Cfa/setup.scm 375 */
obj_t BgL_localz00_4232;
BgL_localz00_4232 = 
CAR(BgL_l4845z00_4228); 
{ /* Cfa/setup.scm 375 */
BgL_reshapedzd2localzd2_bglt BgL_obj4847z00_4233;
BgL_obj4847z00_4233 = 
((BgL_reshapedzd2localzd2_bglt)BgL_localz00_4232); 
{ /* Cfa/setup.scm 375 */
BgL_reshapedzd2localzd2_bglt BgL_arg5373z00_4234;
{ /* Cfa/setup.scm 375 */
BgL_reshapedzd2localzd2_bglt BgL_res5627z00_6870;
{ /* Cfa/setup.scm 375 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_6865;
BgL_new2985z00_6865 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 375 */
BgL_reshapedzd2localzd2_bglt BgL_res5626z00_6869;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_6865))->BgL_bindingzd2valuezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res5626z00_6869 = BgL_new2985z00_6865; BgL_res5626z00_6869; } 
BgL_res5627z00_6870 = BgL_new2985z00_6865; } 
BgL_arg5373z00_4234 = BgL_res5627z00_6870; } 
{ /* Cfa/setup.scm 375 */
obj_t BgL_auxz00_7997;BgL_objectz00_bglt BgL_auxz00_7995;
BgL_auxz00_7997 = 
(obj_t)(BgL_arg5373z00_4234); 
BgL_auxz00_7995 = 
(BgL_objectz00_bglt)(BgL_obj4847z00_4233); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7995, BgL_auxz00_7997); } } 
{ /* Cfa/setup.scm 375 */
long BgL_arg5374z00_4235;
BgL_arg5374z00_4235 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 375 */
BgL_objectz00_bglt BgL_auxz00_8001;
BgL_auxz00_8001 = 
(BgL_objectz00_bglt)(BgL_obj4847z00_4233); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8001, BgL_arg5374z00_4235); } } 
{ /* Cfa/setup.scm 375 */
obj_t BgL_auxz00_8004;
BgL_auxz00_8004 = 
(obj_t)(BgL_obj4847z00_4233); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8004); } BUNSPEC; BgL_obj4847z00_4233; } 
{ /* Cfa/setup.scm 376 */
BgL_valuez00_bglt BgL_arg5375z00_4236;
{ /* Cfa/setup.scm 376 */
BgL_localz00_bglt BgL_obj1279z00_6874;
BgL_obj1279z00_6874 = 
(BgL_localz00_bglt)(BgL_localz00_4232); 
BgL_arg5375z00_4236 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_6874))->BgL_valuez00); } 
{ /* Cfa/setup.scm 376 */
BgL_variablez00_bglt BgL_variablez00_6876;
BgL_variablez00_6876 = 
(BgL_variablez00_bglt)(BgL_localz00_4232); 
{ /* Cfa/setup.scm 376 */
obj_t BgL_method4873z00_6877;
{ /* Cfa/setup.scm 376 */
long BgL_objzd2classzd2numz00_6879;
{ /* Cfa/setup.scm 376 */
BgL_objectz00_bglt BgL_auxz00_8010;
BgL_auxz00_8010 = 
(BgL_objectz00_bglt)(BgL_arg5375z00_4236); 
BgL_objzd2classzd2numz00_6879 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8010); } 
{ /* Cfa/setup.scm 376 */
obj_t BgL_arg1221z00_6880;
{ /* Cfa/setup.scm 376 */
int BgL_auxz00_8013;
BgL_auxz00_8013 = 
(int)(((long)1)); 
BgL_arg1221z00_6880 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_8013); } 
{ /* Cfa/setup.scm 376 */
long BgL_offsetz00_6884;
{ /* Cfa/setup.scm 376 */
long BgL_auxz00_8016;
{ /* Cfa/setup.scm 376 */
int BgL_auxz00_8017;
BgL_auxz00_8017 = 
(int)(BgL_objzd2classzd2numz00_6879); 
BgL_auxz00_8016 = 
(long)(BgL_auxz00_8017); } 
BgL_offsetz00_6884 = 
(BgL_auxz00_8016-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 376 */
long BgL_modz00_6885;
{ /* Cfa/setup.scm 376 */
long BgL_auxz00_8021;
{ /* Cfa/setup.scm 376 */
int BgL_auxz00_8022;
BgL_auxz00_8022 = 
(int)(((long)8)); 
BgL_auxz00_8021 = 
(long)(BgL_auxz00_8022); } 
BgL_modz00_6885 = 
(BgL_offsetz00_6884/BgL_auxz00_8021); } 
{ /* Cfa/setup.scm 376 */
long BgL_restz00_6887;
{ /* Cfa/setup.scm 376 */
long BgL_auxz00_8026;
{ /* Cfa/setup.scm 376 */
int BgL_auxz00_8027;
BgL_auxz00_8027 = 
(int)(((long)8)); 
BgL_auxz00_8026 = 
(long)(BgL_auxz00_8027); } 
BgL_restz00_6887 = 
(BgL_offsetz00_6884%BgL_auxz00_8026); } 
{ /* Cfa/setup.scm 376 */

{ /* Cfa/setup.scm 376 */
obj_t BgL_bucketz00_6889;
{ /* Cfa/setup.scm 376 */
int BgL_kz00_6899;
BgL_kz00_6899 = 
(int)(BgL_modz00_6885); 
BgL_bucketz00_6889 = 
VECTOR_REF(BgL_arg1221z00_6880,BgL_kz00_6899); } 
{ /* Cfa/setup.scm 376 */
int BgL_kz00_6901;
BgL_kz00_6901 = 
(int)(BgL_restz00_6887); 
BgL_method4873z00_6877 = 
VECTOR_REF(BgL_bucketz00_6889,BgL_kz00_6901); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4873z00_6877)(BgL_method4873z00_6877, 
(obj_t)(BgL_arg5375z00_4236), 
(obj_t)(BgL_variablez00_6876), BEOA); } } } } 
{ 
obj_t BgL_l4845z00_8039;
BgL_l4845z00_8039 = 
CDR(BgL_l4845z00_4228); 
BgL_l4845z00_4228 = BgL_l4845z00_8039; 
goto BgL_lname4846z00_4229;} }  else 
{ /* Cfa/setup.scm 374 */((bool_t)1); } } 
{ /* Cfa/setup.scm 379 */
BgL_nodez00_bglt BgL_nodez00_6904;
{ /* Cfa/setup.scm 379 */
obj_t BgL_auxz00_8043;
{ /* Cfa/setup.scm 379 */
BgL_sfunz00_bglt BgL_obj1398z00_6903;
BgL_obj1398z00_6903 = 
(BgL_sfunz00_bglt)(BgL_funz00_4227); 
BgL_auxz00_8043 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1398z00_6903))->BgL_bodyz00); } 
BgL_nodez00_6904 = 
(BgL_nodez00_bglt)(BgL_auxz00_8043); } 
{ /* Cfa/setup.scm 379 */
obj_t BgL_method4863z00_6905;
{ /* Cfa/setup.scm 379 */
long BgL_objzd2classzd2numz00_6907;
{ /* Cfa/setup.scm 379 */
BgL_objectz00_bglt BgL_auxz00_8047;
BgL_auxz00_8047 = 
(BgL_objectz00_bglt)(BgL_nodez00_6904); 
BgL_objzd2classzd2numz00_6907 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8047); } 
{ /* Cfa/setup.scm 379 */
obj_t BgL_arg1221z00_6908;
{ /* Cfa/setup.scm 379 */
int BgL_auxz00_8050;
BgL_auxz00_8050 = 
(int)(((long)1)); 
BgL_arg1221z00_6908 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8050); } 
{ /* Cfa/setup.scm 379 */
long BgL_offsetz00_6912;
{ /* Cfa/setup.scm 379 */
long BgL_auxz00_8053;
{ /* Cfa/setup.scm 379 */
int BgL_auxz00_8054;
BgL_auxz00_8054 = 
(int)(BgL_objzd2classzd2numz00_6907); 
BgL_auxz00_8053 = 
(long)(BgL_auxz00_8054); } 
BgL_offsetz00_6912 = 
(BgL_auxz00_8053-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 379 */
long BgL_modz00_6913;
{ /* Cfa/setup.scm 379 */
long BgL_auxz00_8058;
{ /* Cfa/setup.scm 379 */
int BgL_auxz00_8059;
BgL_auxz00_8059 = 
(int)(((long)8)); 
BgL_auxz00_8058 = 
(long)(BgL_auxz00_8059); } 
BgL_modz00_6913 = 
(BgL_offsetz00_6912/BgL_auxz00_8058); } 
{ /* Cfa/setup.scm 379 */
long BgL_restz00_6915;
{ /* Cfa/setup.scm 379 */
long BgL_auxz00_8063;
{ /* Cfa/setup.scm 379 */
int BgL_auxz00_8064;
BgL_auxz00_8064 = 
(int)(((long)8)); 
BgL_auxz00_8063 = 
(long)(BgL_auxz00_8064); } 
BgL_restz00_6915 = 
(BgL_offsetz00_6912%BgL_auxz00_8063); } 
{ /* Cfa/setup.scm 379 */

{ /* Cfa/setup.scm 379 */
obj_t BgL_bucketz00_6917;
{ /* Cfa/setup.scm 379 */
int BgL_kz00_6927;
BgL_kz00_6927 = 
(int)(BgL_modz00_6913); 
BgL_bucketz00_6917 = 
VECTOR_REF(BgL_arg1221z00_6908,BgL_kz00_6927); } 
{ /* Cfa/setup.scm 379 */
int BgL_kz00_6929;
BgL_kz00_6929 = 
(int)(BgL_restz00_6915); 
BgL_method4863z00_6905 = 
VECTOR_REF(BgL_bucketz00_6917,BgL_kz00_6929); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6905)(BgL_method4863z00_6905, 
(obj_t)(BgL_nodez00_6904), BEOA); } } } } 
{ 
obj_t BgL_l4842z00_8075;
BgL_l4842z00_8075 = 
CDR(BgL_l4842z00_4219); 
BgL_l4842z00_4219 = BgL_l4842z00_8075; 
goto BgL_lname4843z00_4220;} }  else 
{ /* Cfa/setup.scm 371 */((bool_t)1); } } 
{ /* Cfa/setup.scm 381 */
BgL_nodez00_bglt BgL_arg5379z00_4240;
BgL_arg5379z00_4240 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4215))->BgL_bodyz00); 
{ /* Cfa/setup.scm 381 */
obj_t BgL_method4863z00_6933;
{ /* Cfa/setup.scm 381 */
long BgL_objzd2classzd2numz00_6935;
{ /* Cfa/setup.scm 381 */
BgL_objectz00_bglt BgL_auxz00_8079;
BgL_auxz00_8079 = 
(BgL_objectz00_bglt)(BgL_arg5379z00_4240); 
BgL_objzd2classzd2numz00_6935 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8079); } 
{ /* Cfa/setup.scm 381 */
obj_t BgL_arg1221z00_6936;
{ /* Cfa/setup.scm 381 */
int BgL_auxz00_8082;
BgL_auxz00_8082 = 
(int)(((long)1)); 
BgL_arg1221z00_6936 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8082); } 
{ /* Cfa/setup.scm 381 */
long BgL_offsetz00_6940;
{ /* Cfa/setup.scm 381 */
long BgL_auxz00_8085;
{ /* Cfa/setup.scm 381 */
int BgL_auxz00_8086;
BgL_auxz00_8086 = 
(int)(BgL_objzd2classzd2numz00_6935); 
BgL_auxz00_8085 = 
(long)(BgL_auxz00_8086); } 
BgL_offsetz00_6940 = 
(BgL_auxz00_8085-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 381 */
long BgL_modz00_6941;
{ /* Cfa/setup.scm 381 */
long BgL_auxz00_8090;
{ /* Cfa/setup.scm 381 */
int BgL_auxz00_8091;
BgL_auxz00_8091 = 
(int)(((long)8)); 
BgL_auxz00_8090 = 
(long)(BgL_auxz00_8091); } 
BgL_modz00_6941 = 
(BgL_offsetz00_6940/BgL_auxz00_8090); } 
{ /* Cfa/setup.scm 381 */
long BgL_restz00_6943;
{ /* Cfa/setup.scm 381 */
long BgL_auxz00_8095;
{ /* Cfa/setup.scm 381 */
int BgL_auxz00_8096;
BgL_auxz00_8096 = 
(int)(((long)8)); 
BgL_auxz00_8095 = 
(long)(BgL_auxz00_8096); } 
BgL_restz00_6943 = 
(BgL_offsetz00_6940%BgL_auxz00_8095); } 
{ /* Cfa/setup.scm 381 */

{ /* Cfa/setup.scm 381 */
obj_t BgL_bucketz00_6945;
{ /* Cfa/setup.scm 381 */
int BgL_kz00_6955;
BgL_kz00_6955 = 
(int)(BgL_modz00_6941); 
BgL_bucketz00_6945 = 
VECTOR_REF(BgL_arg1221z00_6936,BgL_kz00_6955); } 
{ /* Cfa/setup.scm 381 */
int BgL_kz00_6957;
BgL_kz00_6957 = 
(int)(BgL_restz00_6943); 
BgL_method4863z00_6933 = 
VECTOR_REF(BgL_bucketz00_6945,BgL_kz00_6957); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4863z00_6933)(BgL_method4863z00_6933, 
(obj_t)(BgL_arg5379z00_4240), BEOA);} } } } 
}



/* node-setup!-select4924 */
obj_t BGl_nodezd2setupz12zd2select4924z12zzcfa_setupz00(obj_t BgL_envz00_7339, obj_t BgL_nodez00_7340)
{ AN_OBJECT;
{ /* Cfa/setup.scm 357 */
{ 
BgL_selectz00_bglt BgL_nodez00_4197;
{ /* Cfa/setup.scm 358 */
BgL_selectzf2cinfozf2_bglt BgL_auxz00_8108;
BgL_nodez00_4197 = 
(BgL_selectz00_bglt)(BgL_nodez00_7340); 
{ /* Cfa/setup.scm 359 */
BgL_nodez00_bglt BgL_arg5358z00_4201;
BgL_arg5358z00_4201 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4197))->BgL_testz00); 
{ /* Cfa/setup.scm 359 */
obj_t BgL_method4863z00_6781;
{ /* Cfa/setup.scm 359 */
long BgL_objzd2classzd2numz00_6783;
{ /* Cfa/setup.scm 359 */
BgL_objectz00_bglt BgL_auxz00_8110;
BgL_auxz00_8110 = 
(BgL_objectz00_bglt)(BgL_arg5358z00_4201); 
BgL_objzd2classzd2numz00_6783 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8110); } 
{ /* Cfa/setup.scm 359 */
obj_t BgL_arg1221z00_6784;
{ /* Cfa/setup.scm 359 */
int BgL_auxz00_8113;
BgL_auxz00_8113 = 
(int)(((long)1)); 
BgL_arg1221z00_6784 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8113); } 
{ /* Cfa/setup.scm 359 */
long BgL_offsetz00_6788;
{ /* Cfa/setup.scm 359 */
long BgL_auxz00_8116;
{ /* Cfa/setup.scm 359 */
int BgL_auxz00_8117;
BgL_auxz00_8117 = 
(int)(BgL_objzd2classzd2numz00_6783); 
BgL_auxz00_8116 = 
(long)(BgL_auxz00_8117); } 
BgL_offsetz00_6788 = 
(BgL_auxz00_8116-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 359 */
long BgL_modz00_6789;
{ /* Cfa/setup.scm 359 */
long BgL_auxz00_8121;
{ /* Cfa/setup.scm 359 */
int BgL_auxz00_8122;
BgL_auxz00_8122 = 
(int)(((long)8)); 
BgL_auxz00_8121 = 
(long)(BgL_auxz00_8122); } 
BgL_modz00_6789 = 
(BgL_offsetz00_6788/BgL_auxz00_8121); } 
{ /* Cfa/setup.scm 359 */
long BgL_restz00_6791;
{ /* Cfa/setup.scm 359 */
long BgL_auxz00_8126;
{ /* Cfa/setup.scm 359 */
int BgL_auxz00_8127;
BgL_auxz00_8127 = 
(int)(((long)8)); 
BgL_auxz00_8126 = 
(long)(BgL_auxz00_8127); } 
BgL_restz00_6791 = 
(BgL_offsetz00_6788%BgL_auxz00_8126); } 
{ /* Cfa/setup.scm 359 */

{ /* Cfa/setup.scm 359 */
obj_t BgL_bucketz00_6793;
{ /* Cfa/setup.scm 359 */
int BgL_kz00_6803;
BgL_kz00_6803 = 
(int)(BgL_modz00_6789); 
BgL_bucketz00_6793 = 
VECTOR_REF(BgL_arg1221z00_6784,BgL_kz00_6803); } 
{ /* Cfa/setup.scm 359 */
int BgL_kz00_6805;
BgL_kz00_6805 = 
(int)(BgL_restz00_6791); 
BgL_method4863z00_6781 = 
VECTOR_REF(BgL_bucketz00_6793,BgL_kz00_6805); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6781)(BgL_method4863z00_6781, 
(obj_t)(BgL_arg5358z00_4201), BEOA); } } 
{ 
obj_t BgL_l4837z00_4202;
BgL_l4837z00_4202 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4197))->BgL_clausesz00); 
BgL_lname4838z00_4203:
if(
PAIRP(BgL_l4837z00_4202))
{ /* Cfa/setup.scm 360 */
{ /* Cfa/setup.scm 361 */
BgL_nodez00_bglt BgL_nodez00_6810;
{ /* Cfa/setup.scm 361 */
obj_t BgL_auxz00_8140;
{ /* Cfa/setup.scm 361 */
obj_t BgL_auxz00_8141;
BgL_auxz00_8141 = 
CAR(BgL_l4837z00_4202); 
BgL_auxz00_8140 = 
CDR(BgL_auxz00_8141); } 
BgL_nodez00_6810 = 
(BgL_nodez00_bglt)(BgL_auxz00_8140); } 
{ /* Cfa/setup.scm 361 */
obj_t BgL_method4863z00_6811;
{ /* Cfa/setup.scm 361 */
long BgL_objzd2classzd2numz00_6813;
{ /* Cfa/setup.scm 361 */
BgL_objectz00_bglt BgL_auxz00_8145;
BgL_auxz00_8145 = 
(BgL_objectz00_bglt)(BgL_nodez00_6810); 
BgL_objzd2classzd2numz00_6813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8145); } 
{ /* Cfa/setup.scm 361 */
obj_t BgL_arg1221z00_6814;
{ /* Cfa/setup.scm 361 */
int BgL_auxz00_8148;
BgL_auxz00_8148 = 
(int)(((long)1)); 
BgL_arg1221z00_6814 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8148); } 
{ /* Cfa/setup.scm 361 */
long BgL_offsetz00_6818;
{ /* Cfa/setup.scm 361 */
long BgL_auxz00_8151;
{ /* Cfa/setup.scm 361 */
int BgL_auxz00_8152;
BgL_auxz00_8152 = 
(int)(BgL_objzd2classzd2numz00_6813); 
BgL_auxz00_8151 = 
(long)(BgL_auxz00_8152); } 
BgL_offsetz00_6818 = 
(BgL_auxz00_8151-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 361 */
long BgL_modz00_6819;
{ /* Cfa/setup.scm 361 */
long BgL_auxz00_8156;
{ /* Cfa/setup.scm 361 */
int BgL_auxz00_8157;
BgL_auxz00_8157 = 
(int)(((long)8)); 
BgL_auxz00_8156 = 
(long)(BgL_auxz00_8157); } 
BgL_modz00_6819 = 
(BgL_offsetz00_6818/BgL_auxz00_8156); } 
{ /* Cfa/setup.scm 361 */
long BgL_restz00_6821;
{ /* Cfa/setup.scm 361 */
long BgL_auxz00_8161;
{ /* Cfa/setup.scm 361 */
int BgL_auxz00_8162;
BgL_auxz00_8162 = 
(int)(((long)8)); 
BgL_auxz00_8161 = 
(long)(BgL_auxz00_8162); } 
BgL_restz00_6821 = 
(BgL_offsetz00_6818%BgL_auxz00_8161); } 
{ /* Cfa/setup.scm 361 */

{ /* Cfa/setup.scm 361 */
obj_t BgL_bucketz00_6823;
{ /* Cfa/setup.scm 361 */
int BgL_kz00_6833;
BgL_kz00_6833 = 
(int)(BgL_modz00_6819); 
BgL_bucketz00_6823 = 
VECTOR_REF(BgL_arg1221z00_6814,BgL_kz00_6833); } 
{ /* Cfa/setup.scm 361 */
int BgL_kz00_6835;
BgL_kz00_6835 = 
(int)(BgL_restz00_6821); 
BgL_method4863z00_6811 = 
VECTOR_REF(BgL_bucketz00_6823,BgL_kz00_6835); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6811)(BgL_method4863z00_6811, 
(obj_t)(BgL_nodez00_6810), BEOA); } } 
{ 
obj_t BgL_l4837z00_8173;
BgL_l4837z00_8173 = 
CDR(BgL_l4837z00_4202); 
BgL_l4837z00_4202 = BgL_l4837z00_8173; 
goto BgL_lname4838z00_4203;} }  else 
{ /* Cfa/setup.scm 360 */((bool_t)1); } } 
{ /* Cfa/setup.scm 363 */
BgL_selectzf2cinfozf2_bglt BgL_obj4839z00_4209;
BgL_obj4839z00_4209 = 
((BgL_selectzf2cinfozf2_bglt)BgL_nodez00_4197); 
{ /* Cfa/setup.scm 364 */
BgL_selectzf2cinfozf2_bglt BgL_arg5363z00_4210;
{ /* Cfa/setup.scm 364 */
BgL_approxz00_bglt BgL_arg5364z00_4211;
BgL_arg5364z00_4211 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
{ /* Cfa/setup.scm 363 */
BgL_selectzf2cinfozf2_bglt BgL_res5623z00_6843;
{ /* Cfa/setup.scm 363 */
BgL_selectzf2cinfozf2_bglt BgL_new3345z00_6838;
BgL_new3345z00_6838 = 
((BgL_selectzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_selectzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 363 */
BgL_selectzf2cinfozf2_bglt BgL_res5622z00_6842;
((((BgL_selectzf2cinfozf2_bglt)CREF(BgL_new3345z00_6838))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5364z00_4211), BUNSPEC); 
BgL_res5622z00_6842 = BgL_new3345z00_6838; BgL_res5622z00_6842; } 
BgL_res5623z00_6843 = BgL_new3345z00_6838; } 
BgL_arg5363z00_4210 = BgL_res5623z00_6843; } } 
{ /* Cfa/setup.scm 363 */
obj_t BgL_auxz00_8182;BgL_objectz00_bglt BgL_auxz00_8180;
BgL_auxz00_8182 = 
(obj_t)(BgL_arg5363z00_4210); 
BgL_auxz00_8180 = 
(BgL_objectz00_bglt)(BgL_obj4839z00_4209); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8180, BgL_auxz00_8182); } } 
{ /* Cfa/setup.scm 363 */
long BgL_arg5365z00_4212;
BgL_arg5365z00_4212 = 
BGl_classzd2numzd2zz__objectz00(BGl_selectzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 363 */
BgL_objectz00_bglt BgL_auxz00_8186;
BgL_auxz00_8186 = 
(BgL_objectz00_bglt)(BgL_obj4839z00_4209); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8186, BgL_arg5365z00_4212); } } 
{ /* Cfa/setup.scm 363 */
obj_t BgL_auxz00_8189;
BgL_auxz00_8189 = 
(obj_t)(BgL_obj4839z00_4209); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8189); } BUNSPEC; 
BgL_auxz00_8108 = BgL_obj4839z00_4209; } 
return 
(obj_t)(BgL_auxz00_8108);} } } 
}



/* node-setup!-fail4922 */
obj_t BGl_nodezd2setupz12zd2fail4922z12zzcfa_setupz00(obj_t BgL_envz00_7341, obj_t BgL_nodez00_7342)
{ AN_OBJECT;
{ /* Cfa/setup.scm 346 */
{ 
BgL_failz00_bglt BgL_nodez00_4184;
{ /* Cfa/setup.scm 347 */
BgL_failzf2cinfozf2_bglt BgL_auxz00_8194;
BgL_nodez00_4184 = 
(BgL_failz00_bglt)(BgL_nodez00_7342); 
{ /* Cfa/setup.scm 348 */
BgL_nodez00_bglt BgL_arg5351z00_4188;
BgL_arg5351z00_4188 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4184))->BgL_procz00); 
{ /* Cfa/setup.scm 348 */
obj_t BgL_method4863z00_6690;
{ /* Cfa/setup.scm 348 */
long BgL_objzd2classzd2numz00_6692;
{ /* Cfa/setup.scm 348 */
BgL_objectz00_bglt BgL_auxz00_8196;
BgL_auxz00_8196 = 
(BgL_objectz00_bglt)(BgL_arg5351z00_4188); 
BgL_objzd2classzd2numz00_6692 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8196); } 
{ /* Cfa/setup.scm 348 */
obj_t BgL_arg1221z00_6693;
{ /* Cfa/setup.scm 348 */
int BgL_auxz00_8199;
BgL_auxz00_8199 = 
(int)(((long)1)); 
BgL_arg1221z00_6693 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8199); } 
{ /* Cfa/setup.scm 348 */
long BgL_offsetz00_6697;
{ /* Cfa/setup.scm 348 */
long BgL_auxz00_8202;
{ /* Cfa/setup.scm 348 */
int BgL_auxz00_8203;
BgL_auxz00_8203 = 
(int)(BgL_objzd2classzd2numz00_6692); 
BgL_auxz00_8202 = 
(long)(BgL_auxz00_8203); } 
BgL_offsetz00_6697 = 
(BgL_auxz00_8202-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 348 */
long BgL_modz00_6698;
{ /* Cfa/setup.scm 348 */
long BgL_auxz00_8207;
{ /* Cfa/setup.scm 348 */
int BgL_auxz00_8208;
BgL_auxz00_8208 = 
(int)(((long)8)); 
BgL_auxz00_8207 = 
(long)(BgL_auxz00_8208); } 
BgL_modz00_6698 = 
(BgL_offsetz00_6697/BgL_auxz00_8207); } 
{ /* Cfa/setup.scm 348 */
long BgL_restz00_6700;
{ /* Cfa/setup.scm 348 */
long BgL_auxz00_8212;
{ /* Cfa/setup.scm 348 */
int BgL_auxz00_8213;
BgL_auxz00_8213 = 
(int)(((long)8)); 
BgL_auxz00_8212 = 
(long)(BgL_auxz00_8213); } 
BgL_restz00_6700 = 
(BgL_offsetz00_6697%BgL_auxz00_8212); } 
{ /* Cfa/setup.scm 348 */

{ /* Cfa/setup.scm 348 */
obj_t BgL_bucketz00_6702;
{ /* Cfa/setup.scm 348 */
int BgL_kz00_6712;
BgL_kz00_6712 = 
(int)(BgL_modz00_6698); 
BgL_bucketz00_6702 = 
VECTOR_REF(BgL_arg1221z00_6693,BgL_kz00_6712); } 
{ /* Cfa/setup.scm 348 */
int BgL_kz00_6714;
BgL_kz00_6714 = 
(int)(BgL_restz00_6700); 
BgL_method4863z00_6690 = 
VECTOR_REF(BgL_bucketz00_6702,BgL_kz00_6714); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6690)(BgL_method4863z00_6690, 
(obj_t)(BgL_arg5351z00_4188), BEOA); } } 
{ /* Cfa/setup.scm 349 */
BgL_nodez00_bglt BgL_arg5352z00_4189;
BgL_arg5352z00_4189 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4184))->BgL_msgz00); 
{ /* Cfa/setup.scm 349 */
obj_t BgL_method4863z00_6717;
{ /* Cfa/setup.scm 349 */
long BgL_objzd2classzd2numz00_6719;
{ /* Cfa/setup.scm 349 */
BgL_objectz00_bglt BgL_auxz00_8225;
BgL_auxz00_8225 = 
(BgL_objectz00_bglt)(BgL_arg5352z00_4189); 
BgL_objzd2classzd2numz00_6719 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8225); } 
{ /* Cfa/setup.scm 349 */
obj_t BgL_arg1221z00_6720;
{ /* Cfa/setup.scm 349 */
int BgL_auxz00_8228;
BgL_auxz00_8228 = 
(int)(((long)1)); 
BgL_arg1221z00_6720 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8228); } 
{ /* Cfa/setup.scm 349 */
long BgL_offsetz00_6724;
{ /* Cfa/setup.scm 349 */
long BgL_auxz00_8231;
{ /* Cfa/setup.scm 349 */
int BgL_auxz00_8232;
BgL_auxz00_8232 = 
(int)(BgL_objzd2classzd2numz00_6719); 
BgL_auxz00_8231 = 
(long)(BgL_auxz00_8232); } 
BgL_offsetz00_6724 = 
(BgL_auxz00_8231-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 349 */
long BgL_modz00_6725;
{ /* Cfa/setup.scm 349 */
long BgL_auxz00_8236;
{ /* Cfa/setup.scm 349 */
int BgL_auxz00_8237;
BgL_auxz00_8237 = 
(int)(((long)8)); 
BgL_auxz00_8236 = 
(long)(BgL_auxz00_8237); } 
BgL_modz00_6725 = 
(BgL_offsetz00_6724/BgL_auxz00_8236); } 
{ /* Cfa/setup.scm 349 */
long BgL_restz00_6727;
{ /* Cfa/setup.scm 349 */
long BgL_auxz00_8241;
{ /* Cfa/setup.scm 349 */
int BgL_auxz00_8242;
BgL_auxz00_8242 = 
(int)(((long)8)); 
BgL_auxz00_8241 = 
(long)(BgL_auxz00_8242); } 
BgL_restz00_6727 = 
(BgL_offsetz00_6724%BgL_auxz00_8241); } 
{ /* Cfa/setup.scm 349 */

{ /* Cfa/setup.scm 349 */
obj_t BgL_bucketz00_6729;
{ /* Cfa/setup.scm 349 */
int BgL_kz00_6739;
BgL_kz00_6739 = 
(int)(BgL_modz00_6725); 
BgL_bucketz00_6729 = 
VECTOR_REF(BgL_arg1221z00_6720,BgL_kz00_6739); } 
{ /* Cfa/setup.scm 349 */
int BgL_kz00_6741;
BgL_kz00_6741 = 
(int)(BgL_restz00_6727); 
BgL_method4863z00_6717 = 
VECTOR_REF(BgL_bucketz00_6729,BgL_kz00_6741); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6717)(BgL_method4863z00_6717, 
(obj_t)(BgL_arg5352z00_4189), BEOA); } } 
{ /* Cfa/setup.scm 350 */
BgL_nodez00_bglt BgL_arg5353z00_4190;
BgL_arg5353z00_4190 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4184))->BgL_objz00); 
{ /* Cfa/setup.scm 350 */
obj_t BgL_method4863z00_6744;
{ /* Cfa/setup.scm 350 */
long BgL_objzd2classzd2numz00_6746;
{ /* Cfa/setup.scm 350 */
BgL_objectz00_bglt BgL_auxz00_8254;
BgL_auxz00_8254 = 
(BgL_objectz00_bglt)(BgL_arg5353z00_4190); 
BgL_objzd2classzd2numz00_6746 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8254); } 
{ /* Cfa/setup.scm 350 */
obj_t BgL_arg1221z00_6747;
{ /* Cfa/setup.scm 350 */
int BgL_auxz00_8257;
BgL_auxz00_8257 = 
(int)(((long)1)); 
BgL_arg1221z00_6747 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8257); } 
{ /* Cfa/setup.scm 350 */
long BgL_offsetz00_6751;
{ /* Cfa/setup.scm 350 */
long BgL_auxz00_8260;
{ /* Cfa/setup.scm 350 */
int BgL_auxz00_8261;
BgL_auxz00_8261 = 
(int)(BgL_objzd2classzd2numz00_6746); 
BgL_auxz00_8260 = 
(long)(BgL_auxz00_8261); } 
BgL_offsetz00_6751 = 
(BgL_auxz00_8260-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 350 */
long BgL_modz00_6752;
{ /* Cfa/setup.scm 350 */
long BgL_auxz00_8265;
{ /* Cfa/setup.scm 350 */
int BgL_auxz00_8266;
BgL_auxz00_8266 = 
(int)(((long)8)); 
BgL_auxz00_8265 = 
(long)(BgL_auxz00_8266); } 
BgL_modz00_6752 = 
(BgL_offsetz00_6751/BgL_auxz00_8265); } 
{ /* Cfa/setup.scm 350 */
long BgL_restz00_6754;
{ /* Cfa/setup.scm 350 */
long BgL_auxz00_8270;
{ /* Cfa/setup.scm 350 */
int BgL_auxz00_8271;
BgL_auxz00_8271 = 
(int)(((long)8)); 
BgL_auxz00_8270 = 
(long)(BgL_auxz00_8271); } 
BgL_restz00_6754 = 
(BgL_offsetz00_6751%BgL_auxz00_8270); } 
{ /* Cfa/setup.scm 350 */

{ /* Cfa/setup.scm 350 */
obj_t BgL_bucketz00_6756;
{ /* Cfa/setup.scm 350 */
int BgL_kz00_6766;
BgL_kz00_6766 = 
(int)(BgL_modz00_6752); 
BgL_bucketz00_6756 = 
VECTOR_REF(BgL_arg1221z00_6747,BgL_kz00_6766); } 
{ /* Cfa/setup.scm 350 */
int BgL_kz00_6768;
BgL_kz00_6768 = 
(int)(BgL_restz00_6754); 
BgL_method4863z00_6744 = 
VECTOR_REF(BgL_bucketz00_6756,BgL_kz00_6768); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6744)(BgL_method4863z00_6744, 
(obj_t)(BgL_arg5353z00_4190), BEOA); } } 
{ /* Cfa/setup.scm 351 */
BgL_failzf2cinfozf2_bglt BgL_obj4834z00_4191;
BgL_obj4834z00_4191 = 
((BgL_failzf2cinfozf2_bglt)BgL_nodez00_4184); 
{ /* Cfa/setup.scm 352 */
BgL_failzf2cinfozf2_bglt BgL_arg5354z00_4192;
{ /* Cfa/setup.scm 352 */
BgL_approxz00_bglt BgL_arg5355z00_4193;
BgL_arg5355z00_4193 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/setup.scm 351 */
BgL_failzf2cinfozf2_bglt BgL_res5617z00_6775;
{ /* Cfa/setup.scm 351 */
BgL_failzf2cinfozf2_bglt BgL_new3314z00_6770;
BgL_new3314z00_6770 = 
((BgL_failzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_failzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 351 */
BgL_failzf2cinfozf2_bglt BgL_res5616z00_6774;
((((BgL_failzf2cinfozf2_bglt)CREF(BgL_new3314z00_6770))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5355z00_4193), BUNSPEC); 
BgL_res5616z00_6774 = BgL_new3314z00_6770; BgL_res5616z00_6774; } 
BgL_res5617z00_6775 = BgL_new3314z00_6770; } 
BgL_arg5354z00_4192 = BgL_res5617z00_6775; } } 
{ /* Cfa/setup.scm 351 */
obj_t BgL_auxz00_8289;BgL_objectz00_bglt BgL_auxz00_8287;
BgL_auxz00_8289 = 
(obj_t)(BgL_arg5354z00_4192); 
BgL_auxz00_8287 = 
(BgL_objectz00_bglt)(BgL_obj4834z00_4191); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8287, BgL_auxz00_8289); } } 
{ /* Cfa/setup.scm 351 */
long BgL_arg5356z00_4194;
BgL_arg5356z00_4194 = 
BGl_classzd2numzd2zz__objectz00(BGl_failzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 351 */
BgL_objectz00_bglt BgL_auxz00_8293;
BgL_auxz00_8293 = 
(BgL_objectz00_bglt)(BgL_obj4834z00_4191); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8293, BgL_arg5356z00_4194); } } 
{ /* Cfa/setup.scm 351 */
obj_t BgL_auxz00_8296;
BgL_auxz00_8296 = 
(obj_t)(BgL_obj4834z00_4191); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8296); } BUNSPEC; 
BgL_auxz00_8194 = BgL_obj4834z00_4191; } 
return 
(obj_t)(BgL_auxz00_8194);} } } 
}



/* node-setup!-conditional4920 */
obj_t BGl_nodezd2setupz12zd2conditional4920z12zzcfa_setupz00(obj_t BgL_envz00_7343, obj_t BgL_nodez00_7344)
{ AN_OBJECT;
{ /* Cfa/setup.scm 335 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_4171;
{ /* Cfa/setup.scm 336 */
BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_8301;
BgL_nodez00_4171 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_7344); 
{ /* Cfa/setup.scm 337 */
BgL_nodez00_bglt BgL_arg5344z00_4175;
BgL_arg5344z00_4175 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4171))->BgL_testz00); 
{ /* Cfa/setup.scm 337 */
obj_t BgL_method4863z00_6599;
{ /* Cfa/setup.scm 337 */
long BgL_objzd2classzd2numz00_6601;
{ /* Cfa/setup.scm 337 */
BgL_objectz00_bglt BgL_auxz00_8303;
BgL_auxz00_8303 = 
(BgL_objectz00_bglt)(BgL_arg5344z00_4175); 
BgL_objzd2classzd2numz00_6601 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8303); } 
{ /* Cfa/setup.scm 337 */
obj_t BgL_arg1221z00_6602;
{ /* Cfa/setup.scm 337 */
int BgL_auxz00_8306;
BgL_auxz00_8306 = 
(int)(((long)1)); 
BgL_arg1221z00_6602 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8306); } 
{ /* Cfa/setup.scm 337 */
long BgL_offsetz00_6606;
{ /* Cfa/setup.scm 337 */
long BgL_auxz00_8309;
{ /* Cfa/setup.scm 337 */
int BgL_auxz00_8310;
BgL_auxz00_8310 = 
(int)(BgL_objzd2classzd2numz00_6601); 
BgL_auxz00_8309 = 
(long)(BgL_auxz00_8310); } 
BgL_offsetz00_6606 = 
(BgL_auxz00_8309-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 337 */
long BgL_modz00_6607;
{ /* Cfa/setup.scm 337 */
long BgL_auxz00_8314;
{ /* Cfa/setup.scm 337 */
int BgL_auxz00_8315;
BgL_auxz00_8315 = 
(int)(((long)8)); 
BgL_auxz00_8314 = 
(long)(BgL_auxz00_8315); } 
BgL_modz00_6607 = 
(BgL_offsetz00_6606/BgL_auxz00_8314); } 
{ /* Cfa/setup.scm 337 */
long BgL_restz00_6609;
{ /* Cfa/setup.scm 337 */
long BgL_auxz00_8319;
{ /* Cfa/setup.scm 337 */
int BgL_auxz00_8320;
BgL_auxz00_8320 = 
(int)(((long)8)); 
BgL_auxz00_8319 = 
(long)(BgL_auxz00_8320); } 
BgL_restz00_6609 = 
(BgL_offsetz00_6606%BgL_auxz00_8319); } 
{ /* Cfa/setup.scm 337 */

{ /* Cfa/setup.scm 337 */
obj_t BgL_bucketz00_6611;
{ /* Cfa/setup.scm 337 */
int BgL_kz00_6621;
BgL_kz00_6621 = 
(int)(BgL_modz00_6607); 
BgL_bucketz00_6611 = 
VECTOR_REF(BgL_arg1221z00_6602,BgL_kz00_6621); } 
{ /* Cfa/setup.scm 337 */
int BgL_kz00_6623;
BgL_kz00_6623 = 
(int)(BgL_restz00_6609); 
BgL_method4863z00_6599 = 
VECTOR_REF(BgL_bucketz00_6611,BgL_kz00_6623); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6599)(BgL_method4863z00_6599, 
(obj_t)(BgL_arg5344z00_4175), BEOA); } } 
{ /* Cfa/setup.scm 338 */
BgL_nodez00_bglt BgL_arg5345z00_4176;
BgL_arg5345z00_4176 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4171))->BgL_truez00); 
{ /* Cfa/setup.scm 338 */
obj_t BgL_method4863z00_6626;
{ /* Cfa/setup.scm 338 */
long BgL_objzd2classzd2numz00_6628;
{ /* Cfa/setup.scm 338 */
BgL_objectz00_bglt BgL_auxz00_8332;
BgL_auxz00_8332 = 
(BgL_objectz00_bglt)(BgL_arg5345z00_4176); 
BgL_objzd2classzd2numz00_6628 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8332); } 
{ /* Cfa/setup.scm 338 */
obj_t BgL_arg1221z00_6629;
{ /* Cfa/setup.scm 338 */
int BgL_auxz00_8335;
BgL_auxz00_8335 = 
(int)(((long)1)); 
BgL_arg1221z00_6629 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8335); } 
{ /* Cfa/setup.scm 338 */
long BgL_offsetz00_6633;
{ /* Cfa/setup.scm 338 */
long BgL_auxz00_8338;
{ /* Cfa/setup.scm 338 */
int BgL_auxz00_8339;
BgL_auxz00_8339 = 
(int)(BgL_objzd2classzd2numz00_6628); 
BgL_auxz00_8338 = 
(long)(BgL_auxz00_8339); } 
BgL_offsetz00_6633 = 
(BgL_auxz00_8338-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 338 */
long BgL_modz00_6634;
{ /* Cfa/setup.scm 338 */
long BgL_auxz00_8343;
{ /* Cfa/setup.scm 338 */
int BgL_auxz00_8344;
BgL_auxz00_8344 = 
(int)(((long)8)); 
BgL_auxz00_8343 = 
(long)(BgL_auxz00_8344); } 
BgL_modz00_6634 = 
(BgL_offsetz00_6633/BgL_auxz00_8343); } 
{ /* Cfa/setup.scm 338 */
long BgL_restz00_6636;
{ /* Cfa/setup.scm 338 */
long BgL_auxz00_8348;
{ /* Cfa/setup.scm 338 */
int BgL_auxz00_8349;
BgL_auxz00_8349 = 
(int)(((long)8)); 
BgL_auxz00_8348 = 
(long)(BgL_auxz00_8349); } 
BgL_restz00_6636 = 
(BgL_offsetz00_6633%BgL_auxz00_8348); } 
{ /* Cfa/setup.scm 338 */

{ /* Cfa/setup.scm 338 */
obj_t BgL_bucketz00_6638;
{ /* Cfa/setup.scm 338 */
int BgL_kz00_6648;
BgL_kz00_6648 = 
(int)(BgL_modz00_6634); 
BgL_bucketz00_6638 = 
VECTOR_REF(BgL_arg1221z00_6629,BgL_kz00_6648); } 
{ /* Cfa/setup.scm 338 */
int BgL_kz00_6650;
BgL_kz00_6650 = 
(int)(BgL_restz00_6636); 
BgL_method4863z00_6626 = 
VECTOR_REF(BgL_bucketz00_6638,BgL_kz00_6650); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6626)(BgL_method4863z00_6626, 
(obj_t)(BgL_arg5345z00_4176), BEOA); } } 
{ /* Cfa/setup.scm 339 */
BgL_nodez00_bglt BgL_arg5346z00_4177;
BgL_arg5346z00_4177 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4171))->BgL_falsez00); 
{ /* Cfa/setup.scm 339 */
obj_t BgL_method4863z00_6653;
{ /* Cfa/setup.scm 339 */
long BgL_objzd2classzd2numz00_6655;
{ /* Cfa/setup.scm 339 */
BgL_objectz00_bglt BgL_auxz00_8361;
BgL_auxz00_8361 = 
(BgL_objectz00_bglt)(BgL_arg5346z00_4177); 
BgL_objzd2classzd2numz00_6655 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8361); } 
{ /* Cfa/setup.scm 339 */
obj_t BgL_arg1221z00_6656;
{ /* Cfa/setup.scm 339 */
int BgL_auxz00_8364;
BgL_auxz00_8364 = 
(int)(((long)1)); 
BgL_arg1221z00_6656 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8364); } 
{ /* Cfa/setup.scm 339 */
long BgL_offsetz00_6660;
{ /* Cfa/setup.scm 339 */
long BgL_auxz00_8367;
{ /* Cfa/setup.scm 339 */
int BgL_auxz00_8368;
BgL_auxz00_8368 = 
(int)(BgL_objzd2classzd2numz00_6655); 
BgL_auxz00_8367 = 
(long)(BgL_auxz00_8368); } 
BgL_offsetz00_6660 = 
(BgL_auxz00_8367-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 339 */
long BgL_modz00_6661;
{ /* Cfa/setup.scm 339 */
long BgL_auxz00_8372;
{ /* Cfa/setup.scm 339 */
int BgL_auxz00_8373;
BgL_auxz00_8373 = 
(int)(((long)8)); 
BgL_auxz00_8372 = 
(long)(BgL_auxz00_8373); } 
BgL_modz00_6661 = 
(BgL_offsetz00_6660/BgL_auxz00_8372); } 
{ /* Cfa/setup.scm 339 */
long BgL_restz00_6663;
{ /* Cfa/setup.scm 339 */
long BgL_auxz00_8377;
{ /* Cfa/setup.scm 339 */
int BgL_auxz00_8378;
BgL_auxz00_8378 = 
(int)(((long)8)); 
BgL_auxz00_8377 = 
(long)(BgL_auxz00_8378); } 
BgL_restz00_6663 = 
(BgL_offsetz00_6660%BgL_auxz00_8377); } 
{ /* Cfa/setup.scm 339 */

{ /* Cfa/setup.scm 339 */
obj_t BgL_bucketz00_6665;
{ /* Cfa/setup.scm 339 */
int BgL_kz00_6675;
BgL_kz00_6675 = 
(int)(BgL_modz00_6661); 
BgL_bucketz00_6665 = 
VECTOR_REF(BgL_arg1221z00_6656,BgL_kz00_6675); } 
{ /* Cfa/setup.scm 339 */
int BgL_kz00_6677;
BgL_kz00_6677 = 
(int)(BgL_restz00_6663); 
BgL_method4863z00_6653 = 
VECTOR_REF(BgL_bucketz00_6665,BgL_kz00_6677); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6653)(BgL_method4863z00_6653, 
(obj_t)(BgL_arg5346z00_4177), BEOA); } } 
{ /* Cfa/setup.scm 340 */
BgL_conditionalzf2cinfozf2_bglt BgL_obj4831z00_4178;
BgL_obj4831z00_4178 = 
((BgL_conditionalzf2cinfozf2_bglt)BgL_nodez00_4171); 
{ /* Cfa/setup.scm 341 */
BgL_conditionalzf2cinfozf2_bglt BgL_arg5347z00_4179;
{ /* Cfa/setup.scm 341 */
BgL_approxz00_bglt BgL_arg5348z00_4180;
BgL_arg5348z00_4180 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
{ /* Cfa/setup.scm 340 */
BgL_conditionalzf2cinfozf2_bglt BgL_res5609z00_6684;
{ /* Cfa/setup.scm 340 */
BgL_conditionalzf2cinfozf2_bglt BgL_new3274z00_6679;
BgL_new3274z00_6679 = 
((BgL_conditionalzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_conditionalzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 340 */
BgL_conditionalzf2cinfozf2_bglt BgL_res5608z00_6683;
((((BgL_conditionalzf2cinfozf2_bglt)CREF(BgL_new3274z00_6679))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5348z00_4180), BUNSPEC); 
BgL_res5608z00_6683 = BgL_new3274z00_6679; BgL_res5608z00_6683; } 
BgL_res5609z00_6684 = BgL_new3274z00_6679; } 
BgL_arg5347z00_4179 = BgL_res5609z00_6684; } } 
{ /* Cfa/setup.scm 340 */
obj_t BgL_auxz00_8395;BgL_objectz00_bglt BgL_auxz00_8393;
BgL_auxz00_8395 = 
(obj_t)(BgL_arg5347z00_4179); 
BgL_auxz00_8393 = 
(BgL_objectz00_bglt)(BgL_obj4831z00_4178); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8393, BgL_auxz00_8395); } } 
{ /* Cfa/setup.scm 340 */
long BgL_arg5349z00_4181;
BgL_arg5349z00_4181 = 
BGl_classzd2numzd2zz__objectz00(BGl_conditionalzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 340 */
BgL_objectz00_bglt BgL_auxz00_8399;
BgL_auxz00_8399 = 
(BgL_objectz00_bglt)(BgL_obj4831z00_4178); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8399, BgL_arg5349z00_4181); } } 
{ /* Cfa/setup.scm 340 */
obj_t BgL_auxz00_8402;
BgL_auxz00_8402 = 
(obj_t)(BgL_obj4831z00_4178); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8402); } BUNSPEC; 
BgL_auxz00_8301 = BgL_obj4831z00_4178; } 
return 
(obj_t)(BgL_auxz00_8301);} } } 
}



/* node-setup!-setq4918 */
obj_t BGl_nodezd2setupz12zd2setq4918z12zzcfa_setupz00(obj_t BgL_envz00_7345, obj_t BgL_nodez00_7346)
{ AN_OBJECT;
{ /* Cfa/setup.scm 324 */
{ 
BgL_setqz00_bglt BgL_nodez00_4159;
{ /* ./Tools/trace.sch 42 */
BgL_setqzf2cinfozf2_bglt BgL_auxz00_8407;
BgL_nodez00_4159 = 
(BgL_setqz00_bglt)(BgL_nodez00_7346); 
{ /* Cfa/setup.scm 327 */
BgL_nodez00_bglt BgL_arg5338z00_4163;
BgL_arg5338z00_4163 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4159))->BgL_valuez00); 
{ /* Cfa/setup.scm 327 */
obj_t BgL_method4863z00_6535;
{ /* Cfa/setup.scm 327 */
long BgL_objzd2classzd2numz00_6537;
{ /* Cfa/setup.scm 327 */
BgL_objectz00_bglt BgL_auxz00_8409;
BgL_auxz00_8409 = 
(BgL_objectz00_bglt)(BgL_arg5338z00_4163); 
BgL_objzd2classzd2numz00_6537 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8409); } 
{ /* Cfa/setup.scm 327 */
obj_t BgL_arg1221z00_6538;
{ /* Cfa/setup.scm 327 */
int BgL_auxz00_8412;
BgL_auxz00_8412 = 
(int)(((long)1)); 
BgL_arg1221z00_6538 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8412); } 
{ /* Cfa/setup.scm 327 */
long BgL_offsetz00_6542;
{ /* Cfa/setup.scm 327 */
long BgL_auxz00_8415;
{ /* Cfa/setup.scm 327 */
int BgL_auxz00_8416;
BgL_auxz00_8416 = 
(int)(BgL_objzd2classzd2numz00_6537); 
BgL_auxz00_8415 = 
(long)(BgL_auxz00_8416); } 
BgL_offsetz00_6542 = 
(BgL_auxz00_8415-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 327 */
long BgL_modz00_6543;
{ /* Cfa/setup.scm 327 */
long BgL_auxz00_8420;
{ /* Cfa/setup.scm 327 */
int BgL_auxz00_8421;
BgL_auxz00_8421 = 
(int)(((long)8)); 
BgL_auxz00_8420 = 
(long)(BgL_auxz00_8421); } 
BgL_modz00_6543 = 
(BgL_offsetz00_6542/BgL_auxz00_8420); } 
{ /* Cfa/setup.scm 327 */
long BgL_restz00_6545;
{ /* Cfa/setup.scm 327 */
long BgL_auxz00_8425;
{ /* Cfa/setup.scm 327 */
int BgL_auxz00_8426;
BgL_auxz00_8426 = 
(int)(((long)8)); 
BgL_auxz00_8425 = 
(long)(BgL_auxz00_8426); } 
BgL_restz00_6545 = 
(BgL_offsetz00_6542%BgL_auxz00_8425); } 
{ /* Cfa/setup.scm 327 */

{ /* Cfa/setup.scm 327 */
obj_t BgL_bucketz00_6547;
{ /* Cfa/setup.scm 327 */
int BgL_kz00_6557;
BgL_kz00_6557 = 
(int)(BgL_modz00_6543); 
BgL_bucketz00_6547 = 
VECTOR_REF(BgL_arg1221z00_6538,BgL_kz00_6557); } 
{ /* Cfa/setup.scm 327 */
int BgL_kz00_6559;
BgL_kz00_6559 = 
(int)(BgL_restz00_6545); 
BgL_method4863z00_6535 = 
VECTOR_REF(BgL_bucketz00_6547,BgL_kz00_6559); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6535)(BgL_method4863z00_6535, 
(obj_t)(BgL_arg5338z00_4163), BEOA); } } 
{ /* Cfa/setup.scm 328 */
BgL_nodez00_bglt BgL_nodez00_6561;
{ /* Cfa/setup.scm 328 */
BgL_varz00_bglt BgL_auxz00_8437;
BgL_auxz00_8437 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4159))->BgL_varz00); 
BgL_nodez00_6561 = 
(BgL_nodez00_bglt)(BgL_auxz00_8437); } 
{ /* Cfa/setup.scm 328 */
obj_t BgL_method4863z00_6562;
{ /* Cfa/setup.scm 328 */
long BgL_objzd2classzd2numz00_6564;
{ /* Cfa/setup.scm 328 */
BgL_objectz00_bglt BgL_auxz00_8440;
BgL_auxz00_8440 = 
(BgL_objectz00_bglt)(BgL_nodez00_6561); 
BgL_objzd2classzd2numz00_6564 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8440); } 
{ /* Cfa/setup.scm 328 */
obj_t BgL_arg1221z00_6565;
{ /* Cfa/setup.scm 328 */
int BgL_auxz00_8443;
BgL_auxz00_8443 = 
(int)(((long)1)); 
BgL_arg1221z00_6565 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8443); } 
{ /* Cfa/setup.scm 328 */
long BgL_offsetz00_6569;
{ /* Cfa/setup.scm 328 */
long BgL_auxz00_8446;
{ /* Cfa/setup.scm 328 */
int BgL_auxz00_8447;
BgL_auxz00_8447 = 
(int)(BgL_objzd2classzd2numz00_6564); 
BgL_auxz00_8446 = 
(long)(BgL_auxz00_8447); } 
BgL_offsetz00_6569 = 
(BgL_auxz00_8446-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 328 */
long BgL_modz00_6570;
{ /* Cfa/setup.scm 328 */
long BgL_auxz00_8451;
{ /* Cfa/setup.scm 328 */
int BgL_auxz00_8452;
BgL_auxz00_8452 = 
(int)(((long)8)); 
BgL_auxz00_8451 = 
(long)(BgL_auxz00_8452); } 
BgL_modz00_6570 = 
(BgL_offsetz00_6569/BgL_auxz00_8451); } 
{ /* Cfa/setup.scm 328 */
long BgL_restz00_6572;
{ /* Cfa/setup.scm 328 */
long BgL_auxz00_8456;
{ /* Cfa/setup.scm 328 */
int BgL_auxz00_8457;
BgL_auxz00_8457 = 
(int)(((long)8)); 
BgL_auxz00_8456 = 
(long)(BgL_auxz00_8457); } 
BgL_restz00_6572 = 
(BgL_offsetz00_6569%BgL_auxz00_8456); } 
{ /* Cfa/setup.scm 328 */

{ /* Cfa/setup.scm 328 */
obj_t BgL_bucketz00_6574;
{ /* Cfa/setup.scm 328 */
int BgL_kz00_6584;
BgL_kz00_6584 = 
(int)(BgL_modz00_6570); 
BgL_bucketz00_6574 = 
VECTOR_REF(BgL_arg1221z00_6565,BgL_kz00_6584); } 
{ /* Cfa/setup.scm 328 */
int BgL_kz00_6586;
BgL_kz00_6586 = 
(int)(BgL_restz00_6572); 
BgL_method4863z00_6562 = 
VECTOR_REF(BgL_bucketz00_6574,BgL_kz00_6586); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6562)(BgL_method4863z00_6562, 
(obj_t)(BgL_nodez00_6561), BEOA); } } 
{ /* Cfa/setup.scm 329 */
BgL_setqzf2cinfozf2_bglt BgL_obj4828z00_4165;
BgL_obj4828z00_4165 = 
((BgL_setqzf2cinfozf2_bglt)BgL_nodez00_4159); 
{ /* Cfa/setup.scm 330 */
BgL_setqzf2cinfozf2_bglt BgL_arg5340z00_4166;
{ /* Cfa/setup.scm 330 */
BgL_approxz00_bglt BgL_arg5341z00_4167;
BgL_arg5341z00_4167 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* Cfa/setup.scm 329 */
BgL_setqzf2cinfozf2_bglt BgL_res5601z00_6593;
{ /* Cfa/setup.scm 329 */
BgL_setqzf2cinfozf2_bglt BgL_new3247z00_6588;
BgL_new3247z00_6588 = 
((BgL_setqzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_setqzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 329 */
BgL_setqzf2cinfozf2_bglt BgL_res5600z00_6592;
((((BgL_setqzf2cinfozf2_bglt)CREF(BgL_new3247z00_6588))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5341z00_4167), BUNSPEC); 
BgL_res5600z00_6592 = BgL_new3247z00_6588; BgL_res5600z00_6592; } 
BgL_res5601z00_6593 = BgL_new3247z00_6588; } 
BgL_arg5340z00_4166 = BgL_res5601z00_6593; } } 
{ /* Cfa/setup.scm 329 */
obj_t BgL_auxz00_8475;BgL_objectz00_bglt BgL_auxz00_8473;
BgL_auxz00_8475 = 
(obj_t)(BgL_arg5340z00_4166); 
BgL_auxz00_8473 = 
(BgL_objectz00_bglt)(BgL_obj4828z00_4165); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8473, BgL_auxz00_8475); } } 
{ /* Cfa/setup.scm 329 */
long BgL_arg5342z00_4168;
BgL_arg5342z00_4168 = 
BGl_classzd2numzd2zz__objectz00(BGl_setqzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 329 */
BgL_objectz00_bglt BgL_auxz00_8479;
BgL_auxz00_8479 = 
(BgL_objectz00_bglt)(BgL_obj4828z00_4165); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8479, BgL_arg5342z00_4168); } } 
{ /* Cfa/setup.scm 329 */
obj_t BgL_auxz00_8482;
BgL_auxz00_8482 = 
(obj_t)(BgL_obj4828z00_4165); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8482); } BUNSPEC; 
BgL_auxz00_8407 = BgL_obj4828z00_4165; } 
return 
(obj_t)(BgL_auxz00_8407);} } } 
}



/* node-setup!-cast4916 */
obj_t BGl_nodezd2setupz12zd2cast4916z12zzcfa_setupz00(obj_t BgL_envz00_7347, obj_t BgL_nodez00_7348)
{ AN_OBJECT;
{ /* Cfa/setup.scm 317 */
{ 
BgL_castz00_bglt BgL_nodez00_4152;
BgL_nodez00_4152 = 
(BgL_castz00_bglt)(BgL_nodez00_7348); 
{ /* Cfa/setup.scm 318 */
BgL_nodez00_bglt BgL_arg5336z00_6505;
BgL_arg5336z00_6505 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_4152))->BgL_argz00); 
{ /* Cfa/setup.scm 318 */
obj_t BgL_method4863z00_6508;
{ /* Cfa/setup.scm 318 */
long BgL_objzd2classzd2numz00_6510;
{ /* Cfa/setup.scm 318 */
BgL_objectz00_bglt BgL_auxz00_8488;
BgL_auxz00_8488 = 
(BgL_objectz00_bglt)(BgL_arg5336z00_6505); 
BgL_objzd2classzd2numz00_6510 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8488); } 
{ /* Cfa/setup.scm 318 */
obj_t BgL_arg1221z00_6511;
{ /* Cfa/setup.scm 318 */
int BgL_auxz00_8491;
BgL_auxz00_8491 = 
(int)(((long)1)); 
BgL_arg1221z00_6511 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8491); } 
{ /* Cfa/setup.scm 318 */
long BgL_offsetz00_6515;
{ /* Cfa/setup.scm 318 */
long BgL_auxz00_8494;
{ /* Cfa/setup.scm 318 */
int BgL_auxz00_8495;
BgL_auxz00_8495 = 
(int)(BgL_objzd2classzd2numz00_6510); 
BgL_auxz00_8494 = 
(long)(BgL_auxz00_8495); } 
BgL_offsetz00_6515 = 
(BgL_auxz00_8494-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 318 */
long BgL_modz00_6516;
{ /* Cfa/setup.scm 318 */
long BgL_auxz00_8499;
{ /* Cfa/setup.scm 318 */
int BgL_auxz00_8500;
BgL_auxz00_8500 = 
(int)(((long)8)); 
BgL_auxz00_8499 = 
(long)(BgL_auxz00_8500); } 
BgL_modz00_6516 = 
(BgL_offsetz00_6515/BgL_auxz00_8499); } 
{ /* Cfa/setup.scm 318 */
long BgL_restz00_6518;
{ /* Cfa/setup.scm 318 */
long BgL_auxz00_8504;
{ /* Cfa/setup.scm 318 */
int BgL_auxz00_8505;
BgL_auxz00_8505 = 
(int)(((long)8)); 
BgL_auxz00_8504 = 
(long)(BgL_auxz00_8505); } 
BgL_restz00_6518 = 
(BgL_offsetz00_6515%BgL_auxz00_8504); } 
{ /* Cfa/setup.scm 318 */

{ /* Cfa/setup.scm 318 */
obj_t BgL_bucketz00_6520;
{ /* Cfa/setup.scm 318 */
int BgL_kz00_6530;
BgL_kz00_6530 = 
(int)(BgL_modz00_6516); 
BgL_bucketz00_6520 = 
VECTOR_REF(BgL_arg1221z00_6511,BgL_kz00_6530); } 
{ /* Cfa/setup.scm 318 */
int BgL_kz00_6532;
BgL_kz00_6532 = 
(int)(BgL_restz00_6518); 
BgL_method4863z00_6508 = 
VECTOR_REF(BgL_bucketz00_6520,BgL_kz00_6532); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4863z00_6508)(BgL_method4863z00_6508, 
(obj_t)(BgL_arg5336z00_6505), BEOA);} } } } 
}



/* node-setup!-isa4914 */
obj_t BGl_nodezd2setupz12zd2isa4914z12zzcfa_setupz00(obj_t BgL_envz00_7349, obj_t BgL_nodez00_7350)
{ AN_OBJECT;
{ /* Cfa/setup.scm 307 */
{ 
BgL_isaz00_bglt BgL_nodez00_4139;
BgL_nodez00_4139 = 
(BgL_isaz00_bglt)(BgL_nodez00_7350); 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_isaz00_bglt)CREF(BgL_nodez00_4139))->BgL_exprza2za2)); 
{ /* Cfa/setup.scm 310 */
BgL_isazf2cinfozf2_bglt BgL_obj4823z00_4144;
BgL_obj4823z00_4144 = 
((BgL_isazf2cinfozf2_bglt)BgL_nodez00_4139); 
{ /* Cfa/setup.scm 311 */
BgL_isazf2cinfozf2_bglt BgL_arg5330z00_4145;
{ /* Cfa/setup.scm 311 */
BgL_approxz00_bglt BgL_arg5331z00_4146;
BgL_arg5331z00_4146 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_isaz00_bglt)CREF(BgL_nodez00_4139))->BgL_typez00)); 
{ /* Cfa/setup.scm 310 */
BgL_isazf2cinfozf2_bglt BgL_res5593z00_6499;
{ /* Cfa/setup.scm 310 */
BgL_isazf2cinfozf2_bglt BgL_new4448z00_6494;
BgL_new4448z00_6494 = 
((BgL_isazf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isazf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 310 */
BgL_isazf2cinfozf2_bglt BgL_res5592z00_6498;
((((BgL_isazf2cinfozf2_bglt)CREF(BgL_new4448z00_6494))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5331z00_4146), BUNSPEC); 
BgL_res5592z00_6498 = BgL_new4448z00_6494; BgL_res5592z00_6498; } 
BgL_res5593z00_6499 = BgL_new4448z00_6494; } 
BgL_arg5330z00_4145 = BgL_res5593z00_6499; } } 
{ /* Cfa/setup.scm 310 */
obj_t BgL_auxz00_8526;BgL_objectz00_bglt BgL_auxz00_8524;
BgL_auxz00_8526 = 
(obj_t)(BgL_arg5330z00_4145); 
BgL_auxz00_8524 = 
(BgL_objectz00_bglt)(BgL_obj4823z00_4144); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8524, BgL_auxz00_8526); } } 
{ /* Cfa/setup.scm 310 */
long BgL_arg5333z00_4148;
BgL_arg5333z00_4148 = 
BGl_classzd2numzd2zz__objectz00(BGl_isazf2Cinfozf2zzcfa_info3z00); 
{ /* Cfa/setup.scm 310 */
BgL_objectz00_bglt BgL_auxz00_8530;
BgL_auxz00_8530 = 
(BgL_objectz00_bglt)(BgL_obj4823z00_4144); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8530, BgL_arg5333z00_4148); } } 
{ /* Cfa/setup.scm 310 */
obj_t BgL_auxz00_8533;
BgL_auxz00_8533 = 
(obj_t)(BgL_obj4823z00_4144); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8533); } BUNSPEC; BgL_obj4823z00_4144; } 
{ /* Cfa/setup.scm 312 */
BgL_approxz00_bglt BgL_auxz00_8536;
{ /* Cfa/setup.scm 312 */
BgL_isazf2cinfozf2_bglt BgL_obj4465z00_6503;
BgL_obj4465z00_6503 = 
(BgL_isazf2cinfozf2_bglt)(BgL_nodez00_4139); 
{ 
obj_t BgL_auxz00_8538;
{ /* Cfa/setup.scm 312 */
BgL_objectz00_bglt BgL_auxz00_8539;
BgL_auxz00_8539 = 
(BgL_objectz00_bglt)(BgL_obj4465z00_6503); 
BgL_auxz00_8538 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8539); } 
BgL_auxz00_8536 = 
(((BgL_isazf2cinfozf2_bglt)CREF(BgL_auxz00_8538))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8536);} } } 
}



/* node-setup!-new4912 */
obj_t BGl_nodezd2setupz12zd2new4912z12zzcfa_setupz00(obj_t BgL_envz00_7351, obj_t BgL_nodez00_7352)
{ AN_OBJECT;
{ /* Cfa/setup.scm 298 */
{ 
BgL_newz00_bglt BgL_nodez00_4127;
BgL_nodez00_4127 = 
(BgL_newz00_bglt)(BgL_nodez00_7352); 
{ /* Cfa/setup.scm 300 */
BgL_newzf2cinfozf2_bglt BgL_obj4820z00_4131;
BgL_obj4820z00_4131 = 
((BgL_newzf2cinfozf2_bglt)BgL_nodez00_4127); 
{ /* Cfa/setup.scm 301 */
BgL_newzf2cinfozf2_bglt BgL_arg5323z00_4132;
{ /* Cfa/setup.scm 301 */
BgL_approxz00_bglt BgL_arg5324z00_4133;
BgL_arg5324z00_4133 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_newz00_bglt)CREF(BgL_nodez00_4127))->BgL_typez00)); 
{ /* Cfa/setup.scm 300 */
BgL_newzf2cinfozf2_bglt BgL_res5591z00_6486;
{ /* Cfa/setup.scm 300 */
BgL_newzf2cinfozf2_bglt BgL_new4417z00_6481;
BgL_new4417z00_6481 = 
((BgL_newzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_newzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 300 */
BgL_newzf2cinfozf2_bglt BgL_res5590z00_6485;
((((BgL_newzf2cinfozf2_bglt)CREF(BgL_new4417z00_6481))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5324z00_4133), BUNSPEC); 
BgL_res5590z00_6485 = BgL_new4417z00_6481; BgL_res5590z00_6485; } 
BgL_res5591z00_6486 = BgL_new4417z00_6481; } 
BgL_arg5323z00_4132 = BgL_res5591z00_6486; } } 
{ /* Cfa/setup.scm 300 */
obj_t BgL_auxz00_8552;BgL_objectz00_bglt BgL_auxz00_8550;
BgL_auxz00_8552 = 
(obj_t)(BgL_arg5323z00_4132); 
BgL_auxz00_8550 = 
(BgL_objectz00_bglt)(BgL_obj4820z00_4131); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8550, BgL_auxz00_8552); } } 
{ /* Cfa/setup.scm 300 */
long BgL_arg5326z00_4135;
BgL_arg5326z00_4135 = 
BGl_classzd2numzd2zz__objectz00(BGl_newzf2Cinfozf2zzcfa_info3z00); 
{ /* Cfa/setup.scm 300 */
BgL_objectz00_bglt BgL_auxz00_8556;
BgL_auxz00_8556 = 
(BgL_objectz00_bglt)(BgL_obj4820z00_4131); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8556, BgL_arg5326z00_4135); } } 
{ /* Cfa/setup.scm 300 */
obj_t BgL_auxz00_8559;
BgL_auxz00_8559 = 
(obj_t)(BgL_obj4820z00_4131); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8559); } BUNSPEC; BgL_obj4820z00_4131; } 
{ /* Cfa/setup.scm 302 */
BgL_approxz00_bglt BgL_auxz00_8562;
{ /* Cfa/setup.scm 302 */
BgL_newzf2cinfozf2_bglt BgL_obj4433z00_6490;
BgL_obj4433z00_6490 = 
(BgL_newzf2cinfozf2_bglt)(BgL_nodez00_4127); 
{ 
obj_t BgL_auxz00_8564;
{ /* Cfa/setup.scm 302 */
BgL_objectz00_bglt BgL_auxz00_8565;
BgL_auxz00_8565 = 
(BgL_objectz00_bglt)(BgL_obj4433z00_6490); 
BgL_auxz00_8564 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8565); } 
BgL_auxz00_8562 = 
(((BgL_newzf2cinfozf2_bglt)CREF(BgL_auxz00_8564))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8562);} } } 
}



/* node-setup!-setfield4909 */
obj_t BGl_nodezd2setupz12zd2setfield4909z12zzcfa_setupz00(obj_t BgL_envz00_7353, obj_t BgL_nodez00_7354)
{ AN_OBJECT;
{ /* Cfa/setup.scm 288 */
{ 
BgL_setfieldz00_bglt BgL_nodez00_4114;
BgL_nodez00_4114 = 
(BgL_setfieldz00_bglt)(BgL_nodez00_7354); 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_4114))->BgL_exprza2za2)); 
{ /* Cfa/setup.scm 291 */
BgL_setfieldzf2cinfozf2_bglt BgL_obj4817z00_4119;
BgL_obj4817z00_4119 = 
((BgL_setfieldzf2cinfozf2_bglt)BgL_nodez00_4114); 
{ /* Cfa/setup.scm 292 */
BgL_setfieldzf2cinfozf2_bglt BgL_arg5317z00_4120;
{ /* Cfa/setup.scm 292 */
BgL_approxz00_bglt BgL_arg5318z00_4121;
BgL_arg5318z00_4121 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_4114))->BgL_typez00)); 
{ /* Cfa/setup.scm 291 */
BgL_setfieldzf2cinfozf2_bglt BgL_res5589z00_6474;
{ /* Cfa/setup.scm 291 */
BgL_setfieldzf2cinfozf2_bglt BgL_new4380z00_6469;
BgL_new4380z00_6469 = 
((BgL_setfieldzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_setfieldzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 291 */
BgL_setfieldzf2cinfozf2_bglt BgL_res5588z00_6473;
((((BgL_setfieldzf2cinfozf2_bglt)CREF(BgL_new4380z00_6469))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5318z00_4121), BUNSPEC); 
BgL_res5588z00_6473 = BgL_new4380z00_6469; BgL_res5588z00_6473; } 
BgL_res5589z00_6474 = BgL_new4380z00_6469; } 
BgL_arg5317z00_4120 = BgL_res5589z00_6474; } } 
{ /* Cfa/setup.scm 291 */
obj_t BgL_auxz00_8580;BgL_objectz00_bglt BgL_auxz00_8578;
BgL_auxz00_8580 = 
(obj_t)(BgL_arg5317z00_4120); 
BgL_auxz00_8578 = 
(BgL_objectz00_bglt)(BgL_obj4817z00_4119); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8578, BgL_auxz00_8580); } } 
{ /* Cfa/setup.scm 291 */
long BgL_arg5320z00_4123;
BgL_arg5320z00_4123 = 
BGl_classzd2numzd2zz__objectz00(BGl_setfieldzf2Cinfozf2zzcfa_info3z00); 
{ /* Cfa/setup.scm 291 */
BgL_objectz00_bglt BgL_auxz00_8584;
BgL_auxz00_8584 = 
(BgL_objectz00_bglt)(BgL_obj4817z00_4119); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8584, BgL_arg5320z00_4123); } } 
{ /* Cfa/setup.scm 291 */
obj_t BgL_auxz00_8587;
BgL_auxz00_8587 = 
(obj_t)(BgL_obj4817z00_4119); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8587); } BUNSPEC; BgL_obj4817z00_4119; } 
{ /* Cfa/setup.scm 293 */
BgL_approxz00_bglt BgL_auxz00_8590;
{ /* Cfa/setup.scm 293 */
BgL_setfieldzf2cinfozf2_bglt BgL_obj4399z00_6478;
BgL_obj4399z00_6478 = 
(BgL_setfieldzf2cinfozf2_bglt)(BgL_nodez00_4114); 
{ 
obj_t BgL_auxz00_8592;
{ /* Cfa/setup.scm 293 */
BgL_objectz00_bglt BgL_auxz00_8593;
BgL_auxz00_8593 = 
(BgL_objectz00_bglt)(BgL_obj4399z00_6478); 
BgL_auxz00_8592 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8593); } 
BgL_auxz00_8590 = 
(((BgL_setfieldzf2cinfozf2_bglt)CREF(BgL_auxz00_8592))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8590);} } } 
}



/* node-setup!-getfield4907 */
obj_t BGl_nodezd2setupz12zd2getfield4907z12zzcfa_setupz00(obj_t BgL_envz00_7355, obj_t BgL_nodez00_7356)
{ AN_OBJECT;
{ /* Cfa/setup.scm 278 */
{ 
BgL_getfieldz00_bglt BgL_nodez00_4101;
BgL_nodez00_4101 = 
(BgL_getfieldz00_bglt)(BgL_nodez00_7356); 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_4101))->BgL_exprza2za2)); 
{ /* Cfa/setup.scm 281 */
BgL_getfieldzf2cinfozf2_bglt BgL_obj4814z00_4106;
BgL_obj4814z00_4106 = 
((BgL_getfieldzf2cinfozf2_bglt)BgL_nodez00_4101); 
{ /* Cfa/setup.scm 282 */
BgL_getfieldzf2cinfozf2_bglt BgL_arg5310z00_4107;
{ /* Cfa/setup.scm 282 */
BgL_approxz00_bglt BgL_arg5311z00_4108;
BgL_arg5311z00_4108 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_4101))->BgL_typez00)); 
{ /* Cfa/setup.scm 281 */
BgL_getfieldzf2cinfozf2_bglt BgL_res5587z00_6461;
{ /* Cfa/setup.scm 281 */
BgL_getfieldzf2cinfozf2_bglt BgL_new4343z00_6456;
BgL_new4343z00_6456 = 
((BgL_getfieldzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_getfieldzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 281 */
BgL_getfieldzf2cinfozf2_bglt BgL_res5586z00_6460;
((((BgL_getfieldzf2cinfozf2_bglt)CREF(BgL_new4343z00_6456))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5311z00_4108), BUNSPEC); 
BgL_res5586z00_6460 = BgL_new4343z00_6456; BgL_res5586z00_6460; } 
BgL_res5587z00_6461 = BgL_new4343z00_6456; } 
BgL_arg5310z00_4107 = BgL_res5587z00_6461; } } 
{ /* Cfa/setup.scm 281 */
obj_t BgL_auxz00_8608;BgL_objectz00_bglt BgL_auxz00_8606;
BgL_auxz00_8608 = 
(obj_t)(BgL_arg5310z00_4107); 
BgL_auxz00_8606 = 
(BgL_objectz00_bglt)(BgL_obj4814z00_4106); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8606, BgL_auxz00_8608); } } 
{ /* Cfa/setup.scm 281 */
long BgL_arg5313z00_4110;
BgL_arg5313z00_4110 = 
BGl_classzd2numzd2zz__objectz00(BGl_getfieldzf2Cinfozf2zzcfa_info3z00); 
{ /* Cfa/setup.scm 281 */
BgL_objectz00_bglt BgL_auxz00_8612;
BgL_auxz00_8612 = 
(BgL_objectz00_bglt)(BgL_obj4814z00_4106); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8612, BgL_arg5313z00_4110); } } 
{ /* Cfa/setup.scm 281 */
obj_t BgL_auxz00_8615;
BgL_auxz00_8615 = 
(obj_t)(BgL_obj4814z00_4106); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8615); } BUNSPEC; BgL_obj4814z00_4106; } 
{ /* Cfa/setup.scm 283 */
BgL_approxz00_bglt BgL_auxz00_8618;
{ /* Cfa/setup.scm 283 */
BgL_getfieldzf2cinfozf2_bglt BgL_obj4362z00_6465;
BgL_obj4362z00_6465 = 
(BgL_getfieldzf2cinfozf2_bglt)(BgL_nodez00_4101); 
{ 
obj_t BgL_auxz00_8620;
{ /* Cfa/setup.scm 283 */
BgL_objectz00_bglt BgL_auxz00_8621;
BgL_auxz00_8621 = 
(BgL_objectz00_bglt)(BgL_obj4362z00_6465); 
BgL_auxz00_8620 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8621); } 
BgL_auxz00_8618 = 
(((BgL_getfieldzf2cinfozf2_bglt)CREF(BgL_auxz00_8620))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8618);} } } 
}



/* node-setup!-pragma4905 */
obj_t BGl_nodezd2setupz12zd2pragma4905z12zzcfa_setupz00(obj_t BgL_envz00_7357, obj_t BgL_nodez00_7358)
{ AN_OBJECT;
{ /* Cfa/setup.scm 268 */
{ 
BgL_pragmaz00_bglt BgL_nodez00_4088;
BgL_nodez00_4088 = 
(BgL_pragmaz00_bglt)(BgL_nodez00_7358); 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_pragmaz00_bglt)CREF(BgL_nodez00_4088))->BgL_exprza2za2)); 
{ /* Cfa/setup.scm 271 */
BgL_pragmazf2cinfozf2_bglt BgL_obj4811z00_4093;
BgL_obj4811z00_4093 = 
((BgL_pragmazf2cinfozf2_bglt)BgL_nodez00_4088); 
{ /* Cfa/setup.scm 272 */
BgL_pragmazf2cinfozf2_bglt BgL_arg5303z00_4094;
{ /* Cfa/setup.scm 272 */
BgL_approxz00_bglt BgL_arg5304z00_4095;
BgL_arg5304z00_4095 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(((BgL_pragmaz00_bglt)CREF(BgL_nodez00_4088))->BgL_typez00)); 
{ /* Cfa/setup.scm 271 */
BgL_pragmazf2cinfozf2_bglt BgL_res5585z00_6448;
{ /* Cfa/setup.scm 271 */
BgL_pragmazf2cinfozf2_bglt BgL_new4310z00_6443;
BgL_new4310z00_6443 = 
((BgL_pragmazf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_pragmazf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 271 */
BgL_pragmazf2cinfozf2_bglt BgL_res5584z00_6447;
((((BgL_pragmazf2cinfozf2_bglt)CREF(BgL_new4310z00_6443))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5304z00_4095), BUNSPEC); 
BgL_res5584z00_6447 = BgL_new4310z00_6443; BgL_res5584z00_6447; } 
BgL_res5585z00_6448 = BgL_new4310z00_6443; } 
BgL_arg5303z00_4094 = BgL_res5585z00_6448; } } 
{ /* Cfa/setup.scm 271 */
obj_t BgL_auxz00_8636;BgL_objectz00_bglt BgL_auxz00_8634;
BgL_auxz00_8636 = 
(obj_t)(BgL_arg5303z00_4094); 
BgL_auxz00_8634 = 
(BgL_objectz00_bglt)(BgL_obj4811z00_4093); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8634, BgL_auxz00_8636); } } 
{ /* Cfa/setup.scm 271 */
long BgL_arg5306z00_4097;
BgL_arg5306z00_4097 = 
BGl_classzd2numzd2zz__objectz00(BGl_pragmazf2Cinfozf2zzcfa_info3z00); 
{ /* Cfa/setup.scm 271 */
BgL_objectz00_bglt BgL_auxz00_8640;
BgL_auxz00_8640 = 
(BgL_objectz00_bglt)(BgL_obj4811z00_4093); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8640, BgL_arg5306z00_4097); } } 
{ /* Cfa/setup.scm 271 */
obj_t BgL_auxz00_8643;
BgL_auxz00_8643 = 
(obj_t)(BgL_obj4811z00_4093); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8643); } BUNSPEC; BgL_obj4811z00_4093; } 
{ /* Cfa/setup.scm 273 */
BgL_approxz00_bglt BgL_auxz00_8646;
{ /* Cfa/setup.scm 273 */
BgL_pragmazf2cinfozf2_bglt BgL_obj4327z00_6452;
BgL_obj4327z00_6452 = 
(BgL_pragmazf2cinfozf2_bglt)(BgL_nodez00_4088); 
{ 
obj_t BgL_auxz00_8648;
{ /* Cfa/setup.scm 273 */
BgL_objectz00_bglt BgL_auxz00_8649;
BgL_auxz00_8649 = 
(BgL_objectz00_bglt)(BgL_obj4327z00_6452); 
BgL_auxz00_8648 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8649); } 
BgL_auxz00_8646 = 
(((BgL_pragmazf2cinfozf2_bglt)CREF(BgL_auxz00_8648))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8646);} } } 
}



/* node-setup!-funcall4903 */
obj_t BGl_nodezd2setupz12zd2funcall4903z12zzcfa_setupz00(obj_t BgL_envz00_7359, obj_t BgL_nodez00_7360)
{ AN_OBJECT;
{ /* Cfa/setup.scm 256 */
{ 
BgL_funcallz00_bglt BgL_nodez00_4072;
BgL_nodez00_4072 = 
(BgL_funcallz00_bglt)(BgL_nodez00_7360); 
{ /* Cfa/setup.scm 258 */
BgL_nodez00_bglt BgL_arg5292z00_4076;
BgL_arg5292z00_4076 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_4072))->BgL_funz00); 
{ /* Cfa/setup.scm 258 */
obj_t BgL_method4863z00_6394;
{ /* Cfa/setup.scm 258 */
long BgL_objzd2classzd2numz00_6396;
{ /* Cfa/setup.scm 258 */
BgL_objectz00_bglt BgL_auxz00_8656;
BgL_auxz00_8656 = 
(BgL_objectz00_bglt)(BgL_arg5292z00_4076); 
BgL_objzd2classzd2numz00_6396 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8656); } 
{ /* Cfa/setup.scm 258 */
obj_t BgL_arg1221z00_6397;
{ /* Cfa/setup.scm 258 */
int BgL_auxz00_8659;
BgL_auxz00_8659 = 
(int)(((long)1)); 
BgL_arg1221z00_6397 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8659); } 
{ /* Cfa/setup.scm 258 */
long BgL_offsetz00_6401;
{ /* Cfa/setup.scm 258 */
long BgL_auxz00_8662;
{ /* Cfa/setup.scm 258 */
int BgL_auxz00_8663;
BgL_auxz00_8663 = 
(int)(BgL_objzd2classzd2numz00_6396); 
BgL_auxz00_8662 = 
(long)(BgL_auxz00_8663); } 
BgL_offsetz00_6401 = 
(BgL_auxz00_8662-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 258 */
long BgL_modz00_6402;
{ /* Cfa/setup.scm 258 */
long BgL_auxz00_8667;
{ /* Cfa/setup.scm 258 */
int BgL_auxz00_8668;
BgL_auxz00_8668 = 
(int)(((long)8)); 
BgL_auxz00_8667 = 
(long)(BgL_auxz00_8668); } 
BgL_modz00_6402 = 
(BgL_offsetz00_6401/BgL_auxz00_8667); } 
{ /* Cfa/setup.scm 258 */
long BgL_restz00_6404;
{ /* Cfa/setup.scm 258 */
long BgL_auxz00_8672;
{ /* Cfa/setup.scm 258 */
int BgL_auxz00_8673;
BgL_auxz00_8673 = 
(int)(((long)8)); 
BgL_auxz00_8672 = 
(long)(BgL_auxz00_8673); } 
BgL_restz00_6404 = 
(BgL_offsetz00_6401%BgL_auxz00_8672); } 
{ /* Cfa/setup.scm 258 */

{ /* Cfa/setup.scm 258 */
obj_t BgL_bucketz00_6406;
{ /* Cfa/setup.scm 258 */
int BgL_kz00_6416;
BgL_kz00_6416 = 
(int)(BgL_modz00_6402); 
BgL_bucketz00_6406 = 
VECTOR_REF(BgL_arg1221z00_6397,BgL_kz00_6416); } 
{ /* Cfa/setup.scm 258 */
int BgL_kz00_6418;
BgL_kz00_6418 = 
(int)(BgL_restz00_6404); 
BgL_method4863z00_6394 = 
VECTOR_REF(BgL_bucketz00_6406,BgL_kz00_6418); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6394)(BgL_method4863z00_6394, 
(obj_t)(BgL_arg5292z00_4076), BEOA); } } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_4072))->BgL_argsz00)); 
{ /* Cfa/setup.scm 260 */
BgL_funcallzf2cinfozf2_bglt BgL_obj4808z00_4078;
BgL_obj4808z00_4078 = 
((BgL_funcallzf2cinfozf2_bglt)BgL_nodez00_4072); 
{ /* Cfa/setup.scm 261 */
BgL_funcallzf2cinfozf2_bglt BgL_arg5294z00_4079;
{ /* Cfa/setup.scm 261 */
BgL_approxz00_bglt BgL_arg5295z00_4080;BgL_approxz00_bglt BgL_arg5296z00_4081;bool_t BgL_arg5297z00_4082;bool_t BgL_arg5298z00_4083;
BgL_arg5295z00_4080 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
BgL_arg5296z00_4081 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* ./Cfa/cinfo.scm 84 */
BgL_arg5297z00_4082 = ((bool_t)0); }  else 
{ /* ./Cfa/cinfo.scm 84 */
BgL_arg5297z00_4082 = ((bool_t)1); } 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* ./Cfa/cinfo.scm 85 */
BgL_arg5298z00_4083 = ((bool_t)0); }  else 
{ /* ./Cfa/cinfo.scm 85 */
BgL_arg5298z00_4083 = ((bool_t)1); } 
{ /* Cfa/setup.scm 260 */
BgL_funcallzf2cinfozf2_bglt BgL_res5583z00_6435;
{ /* Cfa/setup.scm 260 */
BgL_funcallzf2cinfozf2_bglt BgL_new3199z00_6424;
BgL_new3199z00_6424 = 
((BgL_funcallzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_funcallzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 260 */
BgL_funcallzf2cinfozf2_bglt BgL_res5582z00_6434;
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_new3199z00_6424))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5295z00_4080), BUNSPEC); 
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_new3199z00_6424))->BgL_vazd2approxzd2) = ((BgL_approxz00_bglt)BgL_arg5296z00_4081), BUNSPEC); 
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_new3199z00_6424))->BgL_arityzd2errorzd2noticedzf3zf3) = ((bool_t)BgL_arg5297z00_4082), BUNSPEC); 
((((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_new3199z00_6424))->BgL_typezd2errorzd2noticedzf3zf3) = ((bool_t)BgL_arg5298z00_4083), BUNSPEC); 
BgL_res5582z00_6434 = BgL_new3199z00_6424; BgL_res5582z00_6434; } 
BgL_res5583z00_6435 = BgL_new3199z00_6424; } 
BgL_arg5294z00_4079 = BgL_res5583z00_6435; } } 
{ /* Cfa/setup.scm 260 */
obj_t BgL_auxz00_8702;BgL_objectz00_bglt BgL_auxz00_8700;
BgL_auxz00_8702 = 
(obj_t)(BgL_arg5294z00_4079); 
BgL_auxz00_8700 = 
(BgL_objectz00_bglt)(BgL_obj4808z00_4078); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8700, BgL_auxz00_8702); } } 
{ /* Cfa/setup.scm 260 */
long BgL_arg5299z00_4084;
BgL_arg5299z00_4084 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 260 */
BgL_objectz00_bglt BgL_auxz00_8706;
BgL_auxz00_8706 = 
(BgL_objectz00_bglt)(BgL_obj4808z00_4078); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8706, BgL_arg5299z00_4084); } } 
{ /* Cfa/setup.scm 260 */
obj_t BgL_auxz00_8709;
BgL_auxz00_8709 = 
(obj_t)(BgL_obj4808z00_4078); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8709); } BUNSPEC; BgL_obj4808z00_4078; } 
{ /* Cfa/setup.scm 263 */
BgL_approxz00_bglt BgL_auxz00_8712;
{ /* Cfa/setup.scm 263 */
BgL_funcallzf2cinfozf2_bglt BgL_obj3225z00_6439;
BgL_obj3225z00_6439 = 
(BgL_funcallzf2cinfozf2_bglt)(BgL_nodez00_4072); 
{ 
obj_t BgL_auxz00_8714;
{ /* Cfa/setup.scm 263 */
BgL_objectz00_bglt BgL_auxz00_8715;
BgL_auxz00_8715 = 
(BgL_objectz00_bglt)(BgL_obj3225z00_6439); 
BgL_auxz00_8714 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8715); } 
BgL_auxz00_8712 = 
(((BgL_funcallzf2cinfozf2_bglt)CREF(BgL_auxz00_8714))->BgL_vazd2approxzd2); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8712);} } } 
}



/* node-setup!-app-ly4901 */
obj_t BGl_nodezd2setupz12zd2appzd2ly4901zc0zzcfa_setupz00(obj_t BgL_envz00_7361, obj_t BgL_nodez00_7362)
{ AN_OBJECT;
{ /* Cfa/setup.scm 245 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_4059;
BgL_nodez00_4059 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_7362); 
{ /* Cfa/setup.scm 247 */
BgL_nodez00_bglt BgL_arg5285z00_4063;
BgL_arg5285z00_4063 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_4059))->BgL_funz00); 
{ /* Cfa/setup.scm 247 */
obj_t BgL_method4863z00_6329;
{ /* Cfa/setup.scm 247 */
long BgL_objzd2classzd2numz00_6331;
{ /* Cfa/setup.scm 247 */
BgL_objectz00_bglt BgL_auxz00_8722;
BgL_auxz00_8722 = 
(BgL_objectz00_bglt)(BgL_arg5285z00_4063); 
BgL_objzd2classzd2numz00_6331 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8722); } 
{ /* Cfa/setup.scm 247 */
obj_t BgL_arg1221z00_6332;
{ /* Cfa/setup.scm 247 */
int BgL_auxz00_8725;
BgL_auxz00_8725 = 
(int)(((long)1)); 
BgL_arg1221z00_6332 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8725); } 
{ /* Cfa/setup.scm 247 */
long BgL_offsetz00_6336;
{ /* Cfa/setup.scm 247 */
long BgL_auxz00_8728;
{ /* Cfa/setup.scm 247 */
int BgL_auxz00_8729;
BgL_auxz00_8729 = 
(int)(BgL_objzd2classzd2numz00_6331); 
BgL_auxz00_8728 = 
(long)(BgL_auxz00_8729); } 
BgL_offsetz00_6336 = 
(BgL_auxz00_8728-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 247 */
long BgL_modz00_6337;
{ /* Cfa/setup.scm 247 */
long BgL_auxz00_8733;
{ /* Cfa/setup.scm 247 */
int BgL_auxz00_8734;
BgL_auxz00_8734 = 
(int)(((long)8)); 
BgL_auxz00_8733 = 
(long)(BgL_auxz00_8734); } 
BgL_modz00_6337 = 
(BgL_offsetz00_6336/BgL_auxz00_8733); } 
{ /* Cfa/setup.scm 247 */
long BgL_restz00_6339;
{ /* Cfa/setup.scm 247 */
long BgL_auxz00_8738;
{ /* Cfa/setup.scm 247 */
int BgL_auxz00_8739;
BgL_auxz00_8739 = 
(int)(((long)8)); 
BgL_auxz00_8738 = 
(long)(BgL_auxz00_8739); } 
BgL_restz00_6339 = 
(BgL_offsetz00_6336%BgL_auxz00_8738); } 
{ /* Cfa/setup.scm 247 */

{ /* Cfa/setup.scm 247 */
obj_t BgL_bucketz00_6341;
{ /* Cfa/setup.scm 247 */
int BgL_kz00_6351;
BgL_kz00_6351 = 
(int)(BgL_modz00_6337); 
BgL_bucketz00_6341 = 
VECTOR_REF(BgL_arg1221z00_6332,BgL_kz00_6351); } 
{ /* Cfa/setup.scm 247 */
int BgL_kz00_6353;
BgL_kz00_6353 = 
(int)(BgL_restz00_6339); 
BgL_method4863z00_6329 = 
VECTOR_REF(BgL_bucketz00_6341,BgL_kz00_6353); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6329)(BgL_method4863z00_6329, 
(obj_t)(BgL_arg5285z00_4063), BEOA); } } 
{ /* Cfa/setup.scm 248 */
BgL_nodez00_bglt BgL_arg5286z00_4064;
BgL_arg5286z00_4064 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_4059))->BgL_argz00); 
{ /* Cfa/setup.scm 248 */
obj_t BgL_method4863z00_6356;
{ /* Cfa/setup.scm 248 */
long BgL_objzd2classzd2numz00_6358;
{ /* Cfa/setup.scm 248 */
BgL_objectz00_bglt BgL_auxz00_8751;
BgL_auxz00_8751 = 
(BgL_objectz00_bglt)(BgL_arg5286z00_4064); 
BgL_objzd2classzd2numz00_6358 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8751); } 
{ /* Cfa/setup.scm 248 */
obj_t BgL_arg1221z00_6359;
{ /* Cfa/setup.scm 248 */
int BgL_auxz00_8754;
BgL_auxz00_8754 = 
(int)(((long)1)); 
BgL_arg1221z00_6359 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8754); } 
{ /* Cfa/setup.scm 248 */
long BgL_offsetz00_6363;
{ /* Cfa/setup.scm 248 */
long BgL_auxz00_8757;
{ /* Cfa/setup.scm 248 */
int BgL_auxz00_8758;
BgL_auxz00_8758 = 
(int)(BgL_objzd2classzd2numz00_6358); 
BgL_auxz00_8757 = 
(long)(BgL_auxz00_8758); } 
BgL_offsetz00_6363 = 
(BgL_auxz00_8757-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 248 */
long BgL_modz00_6364;
{ /* Cfa/setup.scm 248 */
long BgL_auxz00_8762;
{ /* Cfa/setup.scm 248 */
int BgL_auxz00_8763;
BgL_auxz00_8763 = 
(int)(((long)8)); 
BgL_auxz00_8762 = 
(long)(BgL_auxz00_8763); } 
BgL_modz00_6364 = 
(BgL_offsetz00_6363/BgL_auxz00_8762); } 
{ /* Cfa/setup.scm 248 */
long BgL_restz00_6366;
{ /* Cfa/setup.scm 248 */
long BgL_auxz00_8767;
{ /* Cfa/setup.scm 248 */
int BgL_auxz00_8768;
BgL_auxz00_8768 = 
(int)(((long)8)); 
BgL_auxz00_8767 = 
(long)(BgL_auxz00_8768); } 
BgL_restz00_6366 = 
(BgL_offsetz00_6363%BgL_auxz00_8767); } 
{ /* Cfa/setup.scm 248 */

{ /* Cfa/setup.scm 248 */
obj_t BgL_bucketz00_6368;
{ /* Cfa/setup.scm 248 */
int BgL_kz00_6378;
BgL_kz00_6378 = 
(int)(BgL_modz00_6364); 
BgL_bucketz00_6368 = 
VECTOR_REF(BgL_arg1221z00_6359,BgL_kz00_6378); } 
{ /* Cfa/setup.scm 248 */
int BgL_kz00_6380;
BgL_kz00_6380 = 
(int)(BgL_restz00_6366); 
BgL_method4863z00_6356 = 
VECTOR_REF(BgL_bucketz00_6368,BgL_kz00_6380); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6356)(BgL_method4863z00_6356, 
(obj_t)(BgL_arg5286z00_4064), BEOA); } } 
{ /* Cfa/setup.scm 249 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_obj4805z00_4065;
BgL_obj4805z00_4065 = 
((BgL_appzd2lyzf2cinfoz20_bglt)BgL_nodez00_4059); 
{ /* Cfa/setup.scm 250 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_arg5287z00_4066;
{ /* Cfa/setup.scm 250 */
BgL_approxz00_bglt BgL_arg5288z00_4067;
BgL_arg5288z00_4067 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Cfa/setup.scm 249 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_res5579z00_6387;
{ /* Cfa/setup.scm 249 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_new3169z00_6382;
BgL_new3169z00_6382 = 
((BgL_appzd2lyzf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_appzd2lyzf2cinfoz20_bgl)))); 
{ /* Cfa/setup.scm 249 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_res5578z00_6386;
((((BgL_appzd2lyzf2cinfoz20_bglt)CREF(BgL_new3169z00_6382))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5288z00_4067), BUNSPEC); 
BgL_res5578z00_6386 = BgL_new3169z00_6382; BgL_res5578z00_6386; } 
BgL_res5579z00_6387 = BgL_new3169z00_6382; } 
BgL_arg5287z00_4066 = BgL_res5579z00_6387; } } 
{ /* Cfa/setup.scm 249 */
obj_t BgL_auxz00_8786;BgL_objectz00_bglt BgL_auxz00_8784;
BgL_auxz00_8786 = 
(obj_t)(BgL_arg5287z00_4066); 
BgL_auxz00_8784 = 
(BgL_objectz00_bglt)(BgL_obj4805z00_4065); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8784, BgL_auxz00_8786); } } 
{ /* Cfa/setup.scm 249 */
long BgL_arg5289z00_4068;
BgL_arg5289z00_4068 = 
BGl_classzd2numzd2zz__objectz00(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00); 
{ /* Cfa/setup.scm 249 */
BgL_objectz00_bglt BgL_auxz00_8790;
BgL_auxz00_8790 = 
(BgL_objectz00_bglt)(BgL_obj4805z00_4065); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8790, BgL_arg5289z00_4068); } } 
{ /* Cfa/setup.scm 249 */
obj_t BgL_auxz00_8793;
BgL_auxz00_8793 = 
(obj_t)(BgL_obj4805z00_4065); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8793); } BUNSPEC; BgL_obj4805z00_4065; } 
{ /* Cfa/setup.scm 251 */
BgL_approxz00_bglt BgL_auxz00_8796;
{ /* Cfa/setup.scm 251 */
BgL_appzd2lyzf2cinfoz20_bglt BgL_obj3184z00_6391;
BgL_obj3184z00_6391 = 
(BgL_appzd2lyzf2cinfoz20_bglt)(BgL_nodez00_4059); 
{ 
obj_t BgL_auxz00_8798;
{ /* Cfa/setup.scm 251 */
BgL_objectz00_bglt BgL_auxz00_8799;
BgL_auxz00_8799 = 
(BgL_objectz00_bglt)(BgL_obj3184z00_6391); 
BgL_auxz00_8798 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8799); } 
BgL_auxz00_8796 = 
(((BgL_appzd2lyzf2cinfoz20_bglt)CREF(BgL_auxz00_8798))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8796);} } } 
}



/* fun-setup!-cfun4899 */
obj_t BGl_funzd2setupz12zd2cfun4899z12zzcfa_setupz00(obj_t BgL_envz00_7363, obj_t BgL_funz00_7364, obj_t BgL_varz00_7365)
{ AN_OBJECT;
{ /* Cfa/setup.scm 234 */
{ 
BgL_cfunz00_bglt BgL_funz00_4042;obj_t BgL_varz00_4043;
{ /* Cfa/setup.scm 235 */
BgL_cfunzf2cinfozf2_bglt BgL_auxz00_8805;
BgL_funz00_4042 = 
(BgL_cfunz00_bglt)(BgL_funz00_7364); 
BgL_varz00_4043 = BgL_varz00_7365; 
{ /* Cfa/setup.scm 235 */
bool_t BgL_test5276z00_4046;
BgL_test5276z00_4046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_4043, BGl_reshapedzd2globalzd2zzcfa_infoz00); 
if(BgL_test5276z00_4046)
{ /* Cfa/setup.scm 235 */BFALSE; }  else 
{ /* Cfa/setup.scm 236 */
BgL_reshapedzd2globalzd2_bglt BgL_obj4801z00_4047;
BgL_obj4801z00_4047 = 
((BgL_reshapedzd2globalzd2_bglt)BgL_varz00_4043); 
{ /* Cfa/setup.scm 236 */
obj_t BgL_auxz00_8811;BgL_objectz00_bglt BgL_auxz00_8809;
{ /* Cfa/setup.scm 236 */
BgL_reshapedzd2globalzd2_bglt BgL_auxz00_8812;
{ /* Cfa/setup.scm 236 */
BgL_reshapedzd2globalzd2_bglt BgL_new3033z00_6309;
BgL_new3033z00_6309 = 
((BgL_reshapedzd2globalzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2globalzd2_bgl)))); 
BgL_auxz00_8812 = BgL_new3033z00_6309; } 
BgL_auxz00_8811 = 
(obj_t)(BgL_auxz00_8812); } 
BgL_auxz00_8809 = 
(BgL_objectz00_bglt)(BgL_obj4801z00_4047); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8809, BgL_auxz00_8811); } 
{ /* Cfa/setup.scm 236 */
long BgL_arg5278z00_4049;
BgL_arg5278z00_4049 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2globalzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 236 */
BgL_objectz00_bglt BgL_auxz00_8817;
BgL_auxz00_8817 = 
(BgL_objectz00_bglt)(BgL_obj4801z00_4047); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8817, BgL_arg5278z00_4049); } } 
{ /* Cfa/setup.scm 236 */
obj_t BgL_auxz00_8820;
BgL_auxz00_8820 = 
(obj_t)(BgL_obj4801z00_4047); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8820); } BUNSPEC; 
(obj_t)(BgL_obj4801z00_4047); } } 
{ /* Cfa/setup.scm 237 */
BgL_approxz00_bglt BgL_approxz00_4050;
{ /* Cfa/setup.scm 237 */
BgL_typez00_bglt BgL_auxz00_8824;
{ /* Cfa/setup.scm 237 */
BgL_globalz00_bglt BgL_obj1175z00_6315;
BgL_obj1175z00_6315 = 
(BgL_globalz00_bglt)(BgL_varz00_4043); 
BgL_auxz00_8824 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1175z00_6315))->BgL_typez00); } 
BgL_approxz00_4050 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_8824); } 
if(
(((BgL_cfunz00_bglt)CREF(BgL_funz00_4042))->BgL_topzf3zf3))
{ /* Cfa/setup.scm 238 */
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_4050); }  else 
{ /* Cfa/setup.scm 238 */BFALSE; } 
{ /* Cfa/setup.scm 239 */
BgL_cfunzf2cinfozf2_bglt BgL_obj4802z00_4052;
BgL_obj4802z00_4052 = 
((BgL_cfunzf2cinfozf2_bglt)BgL_funz00_4042); 
{ /* Cfa/setup.scm 240 */
BgL_cfunzf2cinfozf2_bglt BgL_arg5280z00_4053;
{ /* Cfa/setup.scm 240 */
BgL_approxz00_bglt BgL_arg5281z00_4054;
BgL_arg5281z00_4054 = BgL_approxz00_4050; 
{ /* Cfa/setup.scm 239 */
BgL_cfunzf2cinfozf2_bglt BgL_res5573z00_6323;
{ /* Cfa/setup.scm 239 */
BgL_cfunzf2cinfozf2_bglt BgL_new2712z00_6318;
BgL_new2712z00_6318 = 
((BgL_cfunzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_cfunzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 239 */
BgL_cfunzf2cinfozf2_bglt BgL_res5572z00_6322;
((((BgL_cfunzf2cinfozf2_bglt)CREF(BgL_new2712z00_6318))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5281z00_4054), BUNSPEC); 
BgL_res5572z00_6322 = BgL_new2712z00_6318; BgL_res5572z00_6322; } 
BgL_res5573z00_6323 = BgL_new2712z00_6318; } 
BgL_arg5280z00_4053 = BgL_res5573z00_6323; } } 
{ /* Cfa/setup.scm 239 */
obj_t BgL_auxz00_8836;BgL_objectz00_bglt BgL_auxz00_8834;
BgL_auxz00_8836 = 
(obj_t)(BgL_arg5280z00_4053); 
BgL_auxz00_8834 = 
(BgL_objectz00_bglt)(BgL_obj4802z00_4052); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8834, BgL_auxz00_8836); } } 
{ /* Cfa/setup.scm 239 */
long BgL_arg5282z00_4055;
BgL_arg5282z00_4055 = 
BGl_classzd2numzd2zz__objectz00(BGl_cfunzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 239 */
BgL_objectz00_bglt BgL_auxz00_8840;
BgL_auxz00_8840 = 
(BgL_objectz00_bglt)(BgL_obj4802z00_4052); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8840, BgL_arg5282z00_4055); } } 
{ /* Cfa/setup.scm 239 */
obj_t BgL_auxz00_8843;
BgL_auxz00_8843 = 
(obj_t)(BgL_obj4802z00_4052); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8843); } BUNSPEC; 
BgL_auxz00_8805 = BgL_obj4802z00_4052; } } 
return 
(obj_t)(BgL_auxz00_8805);} } } 
}



/* fun-setup!-sfun4897 */
obj_t BGl_funzd2setupz12zd2sfun4897z12zzcfa_setupz00(obj_t BgL_envz00_7366, obj_t BgL_funz00_7367, obj_t BgL_varz00_7368)
{ AN_OBJECT;
{ /* Cfa/setup.scm 220 */
{ 
BgL_sfunz00_bglt BgL_funz00_4013;obj_t BgL_varz00_4014;
BgL_funz00_4013 = 
(BgL_sfunz00_bglt)(BgL_funz00_7367); 
BgL_varz00_4014 = BgL_varz00_7368; 
{ /* Cfa/setup.scm 221 */
bool_t BgL_test5256z00_4017;
{ /* Cfa/setup.scm 221 */
bool_t BgL_test5259z00_4021;
BgL_test5259z00_4021 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_4014, BGl_globalz00zzast_varz00); 
if(BgL_test5259z00_4021)
{ /* Cfa/setup.scm 221 */
bool_t BgL_test5260z00_4022;
BgL_test5260z00_4022 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_4014, BGl_reshapedzd2globalzd2zzcfa_infoz00); 
if(BgL_test5260z00_4022)
{ /* Cfa/setup.scm 221 */
BgL_test5256z00_4017 = ((bool_t)0); }  else 
{ /* Cfa/setup.scm 221 */
BgL_test5256z00_4017 = ((bool_t)1); } }  else 
{ /* Cfa/setup.scm 221 */
BgL_test5256z00_4017 = ((bool_t)0); } } 
if(BgL_test5256z00_4017)
{ /* Cfa/setup.scm 222 */
BgL_reshapedzd2globalzd2_bglt BgL_obj4798z00_4018;
BgL_obj4798z00_4018 = 
((BgL_reshapedzd2globalzd2_bglt)BgL_varz00_4014); 
{ /* Cfa/setup.scm 222 */
obj_t BgL_auxz00_8856;BgL_objectz00_bglt BgL_auxz00_8854;
{ /* Cfa/setup.scm 222 */
BgL_reshapedzd2globalzd2_bglt BgL_auxz00_8857;
{ /* Cfa/setup.scm 222 */
BgL_reshapedzd2globalzd2_bglt BgL_new3033z00_6274;
BgL_new3033z00_6274 = 
((BgL_reshapedzd2globalzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2globalzd2_bgl)))); 
BgL_auxz00_8857 = BgL_new3033z00_6274; } 
BgL_auxz00_8856 = 
(obj_t)(BgL_auxz00_8857); } 
BgL_auxz00_8854 = 
(BgL_objectz00_bglt)(BgL_obj4798z00_4018); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8854, BgL_auxz00_8856); } 
{ /* Cfa/setup.scm 222 */
long BgL_arg5258z00_4020;
BgL_arg5258z00_4020 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2globalzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 222 */
BgL_objectz00_bglt BgL_auxz00_8862;
BgL_auxz00_8862 = 
(BgL_objectz00_bglt)(BgL_obj4798z00_4018); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8862, BgL_arg5258z00_4020); } } 
{ /* Cfa/setup.scm 222 */
obj_t BgL_auxz00_8865;
BgL_auxz00_8865 = 
(obj_t)(BgL_obj4798z00_4018); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8865); } BUNSPEC; 
(obj_t)(BgL_obj4798z00_4018); }  else 
{ /* Cfa/setup.scm 221 */BFALSE; } } 
{ /* Cfa/setup.scm 223 */
bool_t BgL_test5261z00_4023;
{ /* Cfa/setup.scm 223 */
bool_t BgL_test5272z00_4037;
BgL_test5272z00_4037 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_4014, BGl_globalz00zzast_varz00); 
if(BgL_test5272z00_4037)
{ /* Cfa/setup.scm 223 */
obj_t BgL_auxz00_8874;obj_t BgL_auxz00_8871;
BgL_auxz00_8874 = 
CNST_TABLE_REF(((long)1)); 
{ /* Cfa/setup.scm 223 */
BgL_globalz00_bglt BgL_obj1196z00_6281;
BgL_obj1196z00_6281 = 
(BgL_globalz00_bglt)(BgL_varz00_4014); 
BgL_auxz00_8871 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1196z00_6281))->BgL_importz00); } 
BgL_test5261z00_4023 = 
(BgL_auxz00_8871==BgL_auxz00_8874); }  else 
{ /* Cfa/setup.scm 223 */
BgL_test5261z00_4023 = ((bool_t)0); } } 
if(BgL_test5261z00_4023)
{ /* Cfa/setup.scm 224 */
BgL_approxz00_bglt BgL_approxz00_4024;
{ /* Cfa/setup.scm 224 */
BgL_typez00_bglt BgL_auxz00_8878;
{ /* Cfa/setup.scm 224 */
BgL_globalz00_bglt BgL_obj1175z00_6282;
BgL_obj1175z00_6282 = 
(BgL_globalz00_bglt)(BgL_varz00_4014); 
BgL_auxz00_8878 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1175z00_6282))->BgL_typez00); } 
BgL_approxz00_4024 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_8878); } 
if(
(((BgL_sfunz00_bglt)CREF(BgL_funz00_4013))->BgL_topzf3zf3))
{ /* Cfa/setup.scm 225 */
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_4024); }  else 
{ /* Cfa/setup.scm 225 */BFALSE; } 
{ /* Cfa/setup.scm 226 */
BgL_externzd2sfunzf2cinfoz20_bglt BgL_obj4799z00_4026;
BgL_obj4799z00_4026 = 
((BgL_externzd2sfunzf2cinfoz20_bglt)BgL_funz00_4013); 
{ /* Cfa/setup.scm 227 */
BgL_externzd2sfunzf2cinfoz20_bglt BgL_arg5263z00_4027;
{ /* Cfa/setup.scm 227 */
BgL_approxz00_bglt BgL_arg5264z00_4028;
BgL_arg5264z00_4028 = BgL_approxz00_4024; 
{ /* Cfa/setup.scm 226 */
BgL_externzd2sfunzf2cinfoz20_bglt BgL_res5568z00_6290;
{ /* Cfa/setup.scm 226 */
BgL_externzd2sfunzf2cinfoz20_bglt BgL_new2763z00_6285;
BgL_new2763z00_6285 = 
((BgL_externzd2sfunzf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_externzd2sfunzf2cinfoz20_bgl)))); 
{ /* Cfa/setup.scm 226 */
BgL_externzd2sfunzf2cinfoz20_bglt BgL_res5567z00_6289;
((((BgL_externzd2sfunzf2cinfoz20_bglt)CREF(BgL_new2763z00_6285))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5264z00_4028), BUNSPEC); 
BgL_res5567z00_6289 = BgL_new2763z00_6285; BgL_res5567z00_6289; } 
BgL_res5568z00_6290 = BgL_new2763z00_6285; } 
BgL_arg5263z00_4027 = BgL_res5568z00_6290; } } 
{ /* Cfa/setup.scm 226 */
obj_t BgL_auxz00_8890;BgL_objectz00_bglt BgL_auxz00_8888;
BgL_auxz00_8890 = 
(obj_t)(BgL_arg5263z00_4027); 
BgL_auxz00_8888 = 
(BgL_objectz00_bglt)(BgL_obj4799z00_4026); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8888, BgL_auxz00_8890); } } 
{ /* Cfa/setup.scm 226 */
long BgL_arg5265z00_4029;
BgL_arg5265z00_4029 = 
BGl_classzd2numzd2zz__objectz00(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00); 
{ /* Cfa/setup.scm 226 */
BgL_objectz00_bglt BgL_auxz00_8894;
BgL_auxz00_8894 = 
(BgL_objectz00_bglt)(BgL_obj4799z00_4026); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8894, BgL_arg5265z00_4029); } } 
{ /* Cfa/setup.scm 226 */
obj_t BgL_auxz00_8897;
BgL_auxz00_8897 = 
(obj_t)(BgL_obj4799z00_4026); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8897); } BUNSPEC; 
return 
(obj_t)(BgL_obj4799z00_4026);} }  else 
{ /* Cfa/setup.scm 228 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj4800z00_4031;
BgL_obj4800z00_4031 = 
((BgL_internzd2sfunzf2cinfoz20_bglt)BgL_funz00_4013); 
{ /* Cfa/setup.scm 229 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_arg5267z00_4032;
{ /* Cfa/setup.scm 229 */
BgL_approxz00_bglt BgL_arg5268z00_4033;
{ /* Cfa/setup.scm 229 */
BgL_typez00_bglt BgL_auxz00_8902;
{ /* Cfa/setup.scm 229 */
BgL_variablez00_bglt BgL_obj1122z00_6294;
BgL_obj1122z00_6294 = 
(BgL_variablez00_bglt)(BgL_varz00_4014); 
BgL_auxz00_8902 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6294))->BgL_typez00); } 
BgL_arg5268z00_4033 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_8902); } 
{ /* Cfa/setup.scm 228 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_res5570z00_6304;
{ /* Cfa/setup.scm 228 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_new2823z00_6297;
BgL_new2823z00_6297 = 
((BgL_internzd2sfunzf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_internzd2sfunzf2cinfoz20_bgl)))); 
{ /* Cfa/setup.scm 228 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_res5569z00_6303;
((((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_new2823z00_6297))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5268z00_4033), BUNSPEC); 
((((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_new2823z00_6297))->BgL_stampz00) = ((long)((long)-1)), BUNSPEC); 
BgL_res5569z00_6303 = BgL_new2823z00_6297; BgL_res5569z00_6303; } 
BgL_res5570z00_6304 = BgL_new2823z00_6297; } 
BgL_arg5267z00_4032 = BgL_res5570z00_6304; } } 
{ /* Cfa/setup.scm 228 */
obj_t BgL_auxz00_8911;BgL_objectz00_bglt BgL_auxz00_8909;
BgL_auxz00_8911 = 
(obj_t)(BgL_arg5267z00_4032); 
BgL_auxz00_8909 = 
(BgL_objectz00_bglt)(BgL_obj4800z00_4031); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8909, BgL_auxz00_8911); } } 
{ /* Cfa/setup.scm 228 */
long BgL_arg5271z00_4036;
BgL_arg5271z00_4036 = 
BGl_classzd2numzd2zz__objectz00(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00); 
{ /* Cfa/setup.scm 228 */
BgL_objectz00_bglt BgL_auxz00_8915;
BgL_auxz00_8915 = 
(BgL_objectz00_bglt)(BgL_obj4800z00_4031); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8915, BgL_arg5271z00_4036); } } 
{ /* Cfa/setup.scm 228 */
obj_t BgL_auxz00_8918;
BgL_auxz00_8918 = 
(obj_t)(BgL_obj4800z00_4031); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8918); } BUNSPEC; 
return 
(obj_t)(BgL_obj4800z00_4031);} } } } 
}



/* node-setup!-app4893 */
obj_t BGl_nodezd2setupz12zd2app4893z12zzcfa_setupz00(obj_t BgL_envz00_7369, obj_t BgL_nodez00_7370)
{ AN_OBJECT;
{ /* Cfa/setup.scm 202 */
{ 
BgL_appz00_bglt BgL_nodez00_4003;
BgL_nodez00_4003 = 
(BgL_appz00_bglt)(BgL_nodez00_7370); 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_4003))->BgL_argsz00)); 
{ /* Cfa/setup.scm 206 */
BgL_variablez00_bglt BgL_variablez00_4008;
{ /* Cfa/setup.scm 206 */
BgL_varz00_bglt BgL_arg5254z00_4010;
BgL_arg5254z00_4010 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_4003))->BgL_funz00); 
BgL_variablez00_4008 = 
(((BgL_varz00_bglt)CREF(BgL_arg5254z00_4010))->BgL_variablez00); } 
{ /* Cfa/setup.scm 207 */
BgL_funz00_bglt BgL_funz00_6245;
{ /* Cfa/setup.scm 207 */
BgL_valuez00_bglt BgL_auxz00_8927;
BgL_auxz00_8927 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_4008))->BgL_valuez00); 
BgL_funz00_6245 = 
(BgL_funz00_bglt)(BgL_auxz00_8927); } 
{ /* Cfa/setup.scm 207 */
obj_t BgL_method4895z00_6247;
{ /* Cfa/setup.scm 207 */
long BgL_objzd2classzd2numz00_6249;
{ /* Cfa/setup.scm 207 */
BgL_objectz00_bglt BgL_auxz00_8930;
BgL_auxz00_8930 = 
(BgL_objectz00_bglt)(BgL_funz00_6245); 
BgL_objzd2classzd2numz00_6249 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8930); } 
{ /* Cfa/setup.scm 207 */
obj_t BgL_arg1221z00_6250;
{ /* Cfa/setup.scm 207 */
int BgL_auxz00_8933;
BgL_auxz00_8933 = 
(int)(((long)1)); 
BgL_arg1221z00_6250 = 
PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_8933); } 
{ /* Cfa/setup.scm 207 */
long BgL_offsetz00_6254;
{ /* Cfa/setup.scm 207 */
long BgL_auxz00_8936;
{ /* Cfa/setup.scm 207 */
int BgL_auxz00_8937;
BgL_auxz00_8937 = 
(int)(BgL_objzd2classzd2numz00_6249); 
BgL_auxz00_8936 = 
(long)(BgL_auxz00_8937); } 
BgL_offsetz00_6254 = 
(BgL_auxz00_8936-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 207 */
long BgL_modz00_6255;
{ /* Cfa/setup.scm 207 */
long BgL_auxz00_8941;
{ /* Cfa/setup.scm 207 */
int BgL_auxz00_8942;
BgL_auxz00_8942 = 
(int)(((long)8)); 
BgL_auxz00_8941 = 
(long)(BgL_auxz00_8942); } 
BgL_modz00_6255 = 
(BgL_offsetz00_6254/BgL_auxz00_8941); } 
{ /* Cfa/setup.scm 207 */
long BgL_restz00_6257;
{ /* Cfa/setup.scm 207 */
long BgL_auxz00_8946;
{ /* Cfa/setup.scm 207 */
int BgL_auxz00_8947;
BgL_auxz00_8947 = 
(int)(((long)8)); 
BgL_auxz00_8946 = 
(long)(BgL_auxz00_8947); } 
BgL_restz00_6257 = 
(BgL_offsetz00_6254%BgL_auxz00_8946); } 
{ /* Cfa/setup.scm 207 */

{ /* Cfa/setup.scm 207 */
obj_t BgL_bucketz00_6259;
{ /* Cfa/setup.scm 207 */
int BgL_kz00_6269;
BgL_kz00_6269 = 
(int)(BgL_modz00_6255); 
BgL_bucketz00_6259 = 
VECTOR_REF(BgL_arg1221z00_6250,BgL_kz00_6269); } 
{ /* Cfa/setup.scm 207 */
int BgL_kz00_6271;
BgL_kz00_6271 = 
(int)(BgL_restz00_6257); 
BgL_method4895z00_6247 = 
VECTOR_REF(BgL_bucketz00_6259,BgL_kz00_6271); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4895z00_6247)(BgL_method4895z00_6247, 
(obj_t)(BgL_funz00_6245), 
(obj_t)(BgL_variablez00_4008), BEOA);} } } } } 
}



/* node-setup!-sequence4891 */
obj_t BGl_nodezd2setupz12zd2sequence4891z12zzcfa_setupz00(obj_t BgL_envz00_7371, obj_t BgL_nodez00_7372)
{ AN_OBJECT;
{ /* Cfa/setup.scm 195 */
{ 
BgL_sequencez00_bglt BgL_nodez00_3996;
BgL_nodez00_3996 = 
(BgL_sequencez00_bglt)(BgL_nodez00_7372); 
return 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_3996))->BgL_nodesz00));} } 
}



/* node-setup!-closure4889 */
obj_t BGl_nodezd2setupz12zd2closure4889z12zzcfa_setupz00(obj_t BgL_envz00_7373, obj_t BgL_nodez00_7374)
{ AN_OBJECT;
{ /* Cfa/setup.scm 189 */
{ 
BgL_closurez00_bglt BgL_nodez00_3988;
BgL_nodez00_3988 = 
(BgL_closurez00_bglt)(BgL_nodez00_7374); 
{ /* Cfa/setup.scm 190 */
obj_t BgL_arg5248z00_3993;
BgL_arg5248z00_3993 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_3988)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5698z00zzcfa_setupz00, BGl_string5699z00zzcfa_setupz00, BgL_arg5248z00_3993);} } } 
}



/* variable-value-setup!-cvar4887 */
obj_t BGl_variablezd2valuezd2setupz12zd2cvar4887zc0zzcfa_setupz00(obj_t BgL_envz00_7375, obj_t BgL_valuez00_7376, obj_t BgL_varz00_7377)
{ AN_OBJECT;
{ /* Cfa/setup.scm 180 */
{ 
BgL_cvarz00_bglt BgL_valuez00_3974;obj_t BgL_varz00_3975;
BgL_valuez00_3974 = 
(BgL_cvarz00_bglt)(BgL_valuez00_7376); 
BgL_varz00_3975 = BgL_varz00_7377; 
{ /* Cfa/setup.scm 181 */
BgL_cvarzf2cinfozf2_bglt BgL_obj4792z00_3978;
BgL_obj4792z00_3978 = 
((BgL_cvarzf2cinfozf2_bglt)BgL_valuez00_3974); 
{ /* Cfa/setup.scm 182 */
BgL_cvarzf2cinfozf2_bglt BgL_arg5238z00_3979;
{ /* Cfa/setup.scm 182 */
BgL_approxz00_bglt BgL_arg5239z00_3980;
{ /* Cfa/setup.scm 182 */
BgL_typez00_bglt BgL_auxz00_8968;
{ /* Cfa/setup.scm 182 */
BgL_variablez00_bglt BgL_obj1122z00_6225;
BgL_obj1122z00_6225 = 
(BgL_variablez00_bglt)(BgL_varz00_3975); 
BgL_auxz00_8968 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6225))->BgL_typez00); } 
BgL_arg5239z00_3980 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_8968); } 
{ /* Cfa/setup.scm 181 */
BgL_cvarzf2cinfozf2_bglt BgL_res5563z00_6232;
{ /* Cfa/setup.scm 181 */
BgL_cvarzf2cinfozf2_bglt BgL_new2949z00_6227;
BgL_new2949z00_6227 = 
((BgL_cvarzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_cvarzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 181 */
BgL_cvarzf2cinfozf2_bglt BgL_res5562z00_6231;
((((BgL_cvarzf2cinfozf2_bglt)CREF(BgL_new2949z00_6227))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5239z00_3980), BUNSPEC); 
BgL_res5562z00_6231 = BgL_new2949z00_6227; BgL_res5562z00_6231; } 
BgL_res5563z00_6232 = BgL_new2949z00_6227; } 
BgL_arg5238z00_3979 = BgL_res5563z00_6232; } } 
{ /* Cfa/setup.scm 181 */
obj_t BgL_auxz00_8976;BgL_objectz00_bglt BgL_auxz00_8974;
BgL_auxz00_8976 = 
(obj_t)(BgL_arg5238z00_3979); 
BgL_auxz00_8974 = 
(BgL_objectz00_bglt)(BgL_obj4792z00_3978); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8974, BgL_auxz00_8976); } } 
{ /* Cfa/setup.scm 181 */
long BgL_arg5241z00_3982;
BgL_arg5241z00_3982 = 
BGl_classzd2numzd2zz__objectz00(BGl_cvarzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 181 */
BgL_objectz00_bglt BgL_auxz00_8980;
BgL_auxz00_8980 = 
(BgL_objectz00_bglt)(BgL_obj4792z00_3978); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8980, BgL_arg5241z00_3982); } } 
{ /* Cfa/setup.scm 181 */
obj_t BgL_auxz00_8983;
BgL_auxz00_8983 = 
(obj_t)(BgL_obj4792z00_3978); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8983); } BUNSPEC; BgL_obj4792z00_3978; } 
{ /* Cfa/setup.scm 183 */
bool_t BgL_testz00_8986;
{ /* Cfa/setup.scm 183 */
BgL_typez00_bglt BgL_auxz00_8987;
{ /* Cfa/setup.scm 183 */
BgL_variablez00_bglt BgL_obj1122z00_6236;
BgL_obj1122z00_6236 = 
(BgL_variablez00_bglt)(BgL_varz00_3975); 
BgL_auxz00_8987 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6236))->BgL_typez00); } 
BgL_testz00_8986 = 
BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_auxz00_8987); } 
if(BgL_testz00_8986)
{ /* Cfa/setup.scm 184 */
BgL_approxz00_bglt BgL_auxz00_8991;
{ /* Cfa/setup.scm 184 */
BgL_cvarzf2cinfozf2_bglt BgL_obj2961z00_6237;
BgL_obj2961z00_6237 = 
(BgL_cvarzf2cinfozf2_bglt)(BgL_valuez00_3974); 
{ 
obj_t BgL_auxz00_8993;
{ /* Cfa/setup.scm 184 */
BgL_objectz00_bglt BgL_auxz00_8994;
BgL_auxz00_8994 = 
(BgL_objectz00_bglt)(BgL_obj2961z00_6237); 
BgL_auxz00_8993 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8994); } 
BgL_auxz00_8991 = 
(((BgL_cvarzf2cinfozf2_bglt)CREF(BgL_auxz00_8993))->BgL_approxz00); } } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_8991);}  else 
{ /* Cfa/setup.scm 183 */
return BFALSE;} } } } 
}



/* variable-value-setup!-scnst4885 */
obj_t BGl_variablezd2valuezd2setupz12zd2scnst4885zc0zzcfa_setupz00(obj_t BgL_envz00_7378, obj_t BgL_valuez00_7379, obj_t BgL_varz00_7380)
{ AN_OBJECT;
{ /* Cfa/setup.scm 158 */
{ 
BgL_scnstz00_bglt BgL_valuez00_3943;obj_t BgL_varz00_3944;
BgL_valuez00_3943 = 
(BgL_scnstz00_bglt)(BgL_valuez00_7379); 
BgL_varz00_3944 = BgL_varz00_7380; 
{ /* Cfa/setup.scm 161 */
bool_t BgL_test5217z00_3947;
BgL_test5217z00_3947 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_3944, BGl_globalz00zzast_varz00); 
if(BgL_test5217z00_3947)
{ /* Cfa/setup.scm 162 */
bool_t BgL_test5218z00_3948;
{ /* Cfa/setup.scm 162 */
bool_t BgL_test5227z00_3961;
{ /* Cfa/setup.scm 162 */
obj_t BgL_auxz00_9002;
{ /* Cfa/setup.scm 162 */
BgL_globalz00_bglt BgL_obj1193z00_6160;
BgL_obj1193z00_6160 = 
(BgL_globalz00_bglt)(BgL_varz00_3944); 
BgL_auxz00_9002 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1193z00_6160))->BgL_modulez00); } 
BgL_test5227z00_3961 = 
(BgL_auxz00_9002==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test5227z00_3961)
{ /* Cfa/setup.scm 163 */
bool_t BgL_testz00_9007;
{ /* Cfa/setup.scm 163 */
obj_t BgL_auxz00_9008;
BgL_auxz00_9008 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_scnstz00_bglt)CREF(BgL_valuez00_3943))->BgL_classz00), 
CNST_TABLE_REF(((long)2))); 
BgL_testz00_9007 = 
CBOOL(BgL_auxz00_9008); } 
if(BgL_testz00_9007)
{ /* Cfa/setup.scm 163 */
BgL_test5218z00_3948 = 
BGl_iszd2azf3z21zz__objectz00(
(((BgL_scnstz00_bglt)CREF(BgL_valuez00_3943))->BgL_nodez00), BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); }  else 
{ /* Cfa/setup.scm 163 */
BgL_test5218z00_3948 = ((bool_t)0); } }  else 
{ /* Cfa/setup.scm 162 */
BgL_test5218z00_3948 = ((bool_t)0); } } 
if(BgL_test5218z00_3948)
{ /* Cfa/setup.scm 166 */
obj_t BgL_nodez00_3949;
BgL_nodez00_3949 = 
(((BgL_scnstz00_bglt)CREF(BgL_valuez00_3943))->BgL_nodez00); 
{ /* Cfa/setup.scm 168 */
BgL_nodez00_bglt BgL_nodez00_6165;
BgL_nodez00_6165 = 
(BgL_nodez00_bglt)(BgL_nodez00_3949); 
{ /* Cfa/setup.scm 168 */
obj_t BgL_method4863z00_6166;
{ /* Cfa/setup.scm 168 */
long BgL_objzd2classzd2numz00_6168;
{ /* Cfa/setup.scm 168 */
BgL_objectz00_bglt BgL_auxz00_9018;
BgL_auxz00_9018 = 
(BgL_objectz00_bglt)(BgL_nodez00_6165); 
BgL_objzd2classzd2numz00_6168 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9018); } 
{ /* Cfa/setup.scm 168 */
obj_t BgL_arg1221z00_6169;
{ /* Cfa/setup.scm 168 */
int BgL_auxz00_9021;
BgL_auxz00_9021 = 
(int)(((long)1)); 
BgL_arg1221z00_6169 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_9021); } 
{ /* Cfa/setup.scm 168 */
long BgL_offsetz00_6173;
{ /* Cfa/setup.scm 168 */
long BgL_auxz00_9024;
{ /* Cfa/setup.scm 168 */
int BgL_auxz00_9025;
BgL_auxz00_9025 = 
(int)(BgL_objzd2classzd2numz00_6168); 
BgL_auxz00_9024 = 
(long)(BgL_auxz00_9025); } 
BgL_offsetz00_6173 = 
(BgL_auxz00_9024-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 168 */
long BgL_modz00_6174;
{ /* Cfa/setup.scm 168 */
long BgL_auxz00_9029;
{ /* Cfa/setup.scm 168 */
int BgL_auxz00_9030;
BgL_auxz00_9030 = 
(int)(((long)8)); 
BgL_auxz00_9029 = 
(long)(BgL_auxz00_9030); } 
BgL_modz00_6174 = 
(BgL_offsetz00_6173/BgL_auxz00_9029); } 
{ /* Cfa/setup.scm 168 */
long BgL_restz00_6176;
{ /* Cfa/setup.scm 168 */
long BgL_auxz00_9034;
{ /* Cfa/setup.scm 168 */
int BgL_auxz00_9035;
BgL_auxz00_9035 = 
(int)(((long)8)); 
BgL_auxz00_9034 = 
(long)(BgL_auxz00_9035); } 
BgL_restz00_6176 = 
(BgL_offsetz00_6173%BgL_auxz00_9034); } 
{ /* Cfa/setup.scm 168 */

{ /* Cfa/setup.scm 168 */
obj_t BgL_bucketz00_6178;
{ /* Cfa/setup.scm 168 */
int BgL_kz00_6188;
BgL_kz00_6188 = 
(int)(BgL_modz00_6174); 
BgL_bucketz00_6178 = 
VECTOR_REF(BgL_arg1221z00_6169,BgL_kz00_6188); } 
{ /* Cfa/setup.scm 168 */
int BgL_kz00_6190;
BgL_kz00_6190 = 
(int)(BgL_restz00_6176); 
BgL_method4863z00_6166 = 
VECTOR_REF(BgL_bucketz00_6178,BgL_kz00_6190); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4863z00_6166)(BgL_method4863z00_6166, 
(obj_t)(BgL_nodez00_6165), BEOA); } } 
{ /* Cfa/setup.scm 169 */
BgL_scnstzf2cinfozf2_bglt BgL_obj4789z00_3950;
BgL_obj4789z00_3950 = 
((BgL_scnstzf2cinfozf2_bglt)BgL_valuez00_3943); 
{ /* Cfa/setup.scm 170 */
BgL_scnstzf2cinfozf2_bglt BgL_arg5219z00_3951;
{ /* Cfa/setup.scm 170 */
BgL_approxz00_bglt BgL_arg5220z00_3952;
{ /* Cfa/setup.scm 170 */
BgL_makezd2procedurezd2appz00_bglt BgL_obj3865z00_6191;
BgL_obj3865z00_6191 = 
(BgL_makezd2procedurezd2appz00_bglt)(BgL_nodez00_3949); 
{ 
obj_t BgL_auxz00_9048;
{ /* Cfa/setup.scm 170 */
BgL_objectz00_bglt BgL_auxz00_9049;
BgL_auxz00_9049 = 
(BgL_objectz00_bglt)(BgL_obj3865z00_6191); 
BgL_auxz00_9048 = 
BGL_OBJECT_WIDENING(BgL_auxz00_9049); } 
BgL_arg5220z00_3952 = 
(((BgL_makezd2procedurezd2appz00_bglt)CREF(BgL_auxz00_9048))->BgL_approxz00); } } 
{ /* Cfa/setup.scm 169 */
BgL_scnstzf2cinfozf2_bglt BgL_res5557z00_6198;
{ /* Cfa/setup.scm 169 */
BgL_scnstzf2cinfozf2_bglt BgL_new2889z00_6193;
BgL_new2889z00_6193 = 
((BgL_scnstzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_scnstzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 169 */
BgL_scnstzf2cinfozf2_bglt BgL_res5556z00_6197;
((((BgL_scnstzf2cinfozf2_bglt)CREF(BgL_new2889z00_6193))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5220z00_3952), BUNSPEC); 
BgL_res5556z00_6197 = BgL_new2889z00_6193; BgL_res5556z00_6197; } 
BgL_res5557z00_6198 = BgL_new2889z00_6193; } 
BgL_arg5219z00_3951 = BgL_res5557z00_6198; } } 
{ /* Cfa/setup.scm 169 */
obj_t BgL_auxz00_9057;BgL_objectz00_bglt BgL_auxz00_9055;
BgL_auxz00_9057 = 
(obj_t)(BgL_arg5219z00_3951); 
BgL_auxz00_9055 = 
(BgL_objectz00_bglt)(BgL_obj4789z00_3950); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9055, BgL_auxz00_9057); } } 
{ /* Cfa/setup.scm 169 */
long BgL_arg5221z00_3953;
BgL_arg5221z00_3953 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 169 */
BgL_objectz00_bglt BgL_auxz00_9061;
BgL_auxz00_9061 = 
(BgL_objectz00_bglt)(BgL_obj4789z00_3950); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9061, BgL_arg5221z00_3953); } } 
{ /* Cfa/setup.scm 169 */
obj_t BgL_auxz00_9064;
BgL_auxz00_9064 = 
(obj_t)(BgL_obj4789z00_3950); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9064); } BUNSPEC; 
return 
(obj_t)(BgL_obj4789z00_3950);} }  else 
{ /* Cfa/setup.scm 171 */
BgL_scnstzf2cinfozf2_bglt BgL_valuez00_3954;
{ /* Cfa/setup.scm 171 */
BgL_scnstzf2cinfozf2_bglt BgL_obj4790z00_3956;
BgL_obj4790z00_3956 = 
((BgL_scnstzf2cinfozf2_bglt)BgL_valuez00_3943); 
{ /* Cfa/setup.scm 172 */
BgL_scnstzf2cinfozf2_bglt BgL_arg5223z00_3957;
{ /* Cfa/setup.scm 172 */
BgL_approxz00_bglt BgL_arg5224z00_3958;
{ /* Cfa/setup.scm 172 */
BgL_typez00_bglt BgL_auxz00_9069;
{ /* Cfa/setup.scm 172 */
BgL_variablez00_bglt BgL_obj1122z00_6202;
BgL_obj1122z00_6202 = 
(BgL_variablez00_bglt)(BgL_varz00_3944); 
BgL_auxz00_9069 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6202))->BgL_typez00); } 
BgL_arg5224z00_3958 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_9069); } 
{ /* Cfa/setup.scm 171 */
BgL_scnstzf2cinfozf2_bglt BgL_res5559z00_6209;
{ /* Cfa/setup.scm 171 */
BgL_scnstzf2cinfozf2_bglt BgL_new2889z00_6204;
BgL_new2889z00_6204 = 
((BgL_scnstzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_scnstzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 171 */
BgL_scnstzf2cinfozf2_bglt BgL_res5558z00_6208;
((((BgL_scnstzf2cinfozf2_bglt)CREF(BgL_new2889z00_6204))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5224z00_3958), BUNSPEC); 
BgL_res5558z00_6208 = BgL_new2889z00_6204; BgL_res5558z00_6208; } 
BgL_res5559z00_6209 = BgL_new2889z00_6204; } 
BgL_arg5223z00_3957 = BgL_res5559z00_6209; } } 
{ /* Cfa/setup.scm 171 */
obj_t BgL_auxz00_9077;BgL_objectz00_bglt BgL_auxz00_9075;
BgL_auxz00_9077 = 
(obj_t)(BgL_arg5223z00_3957); 
BgL_auxz00_9075 = 
(BgL_objectz00_bglt)(BgL_obj4790z00_3956); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9075, BgL_auxz00_9077); } } 
{ /* Cfa/setup.scm 171 */
long BgL_arg5226z00_3960;
BgL_arg5226z00_3960 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 171 */
BgL_objectz00_bglt BgL_auxz00_9081;
BgL_auxz00_9081 = 
(BgL_objectz00_bglt)(BgL_obj4790z00_3956); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9081, BgL_arg5226z00_3960); } } 
{ /* Cfa/setup.scm 171 */
obj_t BgL_auxz00_9084;
BgL_auxz00_9084 = 
(obj_t)(BgL_obj4790z00_3956); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9084); } BUNSPEC; 
BgL_valuez00_3954 = BgL_obj4790z00_3956; } 
{ /* Cfa/setup.scm 173 */
BgL_approxz00_bglt BgL_auxz00_9087;
{ 
obj_t BgL_auxz00_9088;
{ /* Cfa/setup.scm 173 */
BgL_objectz00_bglt BgL_auxz00_9089;
BgL_auxz00_9089 = 
(BgL_objectz00_bglt)(BgL_valuez00_3954); 
BgL_auxz00_9088 = 
BGL_OBJECT_WIDENING(BgL_auxz00_9089); } 
BgL_auxz00_9087 = 
(((BgL_scnstzf2cinfozf2_bglt)CREF(BgL_auxz00_9088))->BgL_approxz00); } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_9087);} } }  else 
{ /* Cfa/setup.scm 174 */
BgL_scnstzf2cinfozf2_bglt BgL_obj4791z00_3967;
BgL_obj4791z00_3967 = 
((BgL_scnstzf2cinfozf2_bglt)BgL_valuez00_3943); 
{ /* Cfa/setup.scm 175 */
BgL_scnstzf2cinfozf2_bglt BgL_arg5233z00_3968;
{ /* Cfa/setup.scm 175 */
BgL_approxz00_bglt BgL_arg5234z00_3969;
{ /* Cfa/setup.scm 175 */
BgL_typez00_bglt BgL_auxz00_9095;
{ /* Cfa/setup.scm 175 */
BgL_variablez00_bglt BgL_obj1122z00_6214;
BgL_obj1122z00_6214 = 
(BgL_variablez00_bglt)(BgL_varz00_3944); 
BgL_auxz00_9095 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6214))->BgL_typez00); } 
BgL_arg5234z00_3969 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_9095); } 
{ /* Cfa/setup.scm 174 */
BgL_scnstzf2cinfozf2_bglt BgL_res5561z00_6221;
{ /* Cfa/setup.scm 174 */
BgL_scnstzf2cinfozf2_bglt BgL_new2889z00_6216;
BgL_new2889z00_6216 = 
((BgL_scnstzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_scnstzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 174 */
BgL_scnstzf2cinfozf2_bglt BgL_res5560z00_6220;
((((BgL_scnstzf2cinfozf2_bglt)CREF(BgL_new2889z00_6216))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5234z00_3969), BUNSPEC); 
BgL_res5560z00_6220 = BgL_new2889z00_6216; BgL_res5560z00_6220; } 
BgL_res5561z00_6221 = BgL_new2889z00_6216; } 
BgL_arg5233z00_3968 = BgL_res5561z00_6221; } } 
{ /* Cfa/setup.scm 174 */
obj_t BgL_auxz00_9103;BgL_objectz00_bglt BgL_auxz00_9101;
BgL_auxz00_9103 = 
(obj_t)(BgL_arg5233z00_3968); 
BgL_auxz00_9101 = 
(BgL_objectz00_bglt)(BgL_obj4791z00_3967); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9101, BgL_auxz00_9103); } } 
{ /* Cfa/setup.scm 174 */
long BgL_arg5236z00_3971;
BgL_arg5236z00_3971 = 
BGl_classzd2numzd2zz__objectz00(BGl_scnstzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 174 */
BgL_objectz00_bglt BgL_auxz00_9107;
BgL_auxz00_9107 = 
(BgL_objectz00_bglt)(BgL_obj4791z00_3967); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9107, BgL_arg5236z00_3971); } } 
{ /* Cfa/setup.scm 174 */
obj_t BgL_auxz00_9110;
BgL_auxz00_9110 = 
(obj_t)(BgL_obj4791z00_3967); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9110); } BUNSPEC; 
return 
(obj_t)(BgL_obj4791z00_3967);} } } } 
}



/* variable-value-setup!-scnst/Cinfo4883 */
obj_t BGl_variablezd2valuezd2setupz12zd2scnstzf2Cinfo4883z32zzcfa_setupz00(obj_t BgL_envz00_7381, obj_t BgL_valuez00_7382, obj_t BgL_varz00_7383)
{ AN_OBJECT;
{ /* Cfa/setup.scm 152 */
{ 
BgL_scnstzf2cinfozf2_bglt BgL_valuez00_3937;obj_t BgL_varz00_3938;
BgL_valuez00_3937 = 
(BgL_scnstzf2cinfozf2_bglt)(BgL_valuez00_7382); 
BgL_varz00_3938 = BgL_varz00_7383; 
return 
CNST_TABLE_REF(((long)3));} } 
}



/* variable-value-setup!-sexit4881 */
obj_t BGl_variablezd2valuezd2setupz12zd2sexit4881zc0zzcfa_setupz00(obj_t BgL_envz00_7384, obj_t BgL_valuez00_7385, obj_t BgL_varz00_7386)
{ AN_OBJECT;
{ /* Cfa/setup.scm 145 */
{ 
BgL_sexitz00_bglt BgL_valuez00_3926;obj_t BgL_varz00_3927;
{ /* Cfa/setup.scm 146 */
BgL_sexitzf2cinfozf2_bglt BgL_auxz00_9117;
BgL_valuez00_3926 = 
(BgL_sexitz00_bglt)(BgL_valuez00_7385); 
BgL_varz00_3927 = BgL_varz00_7386; 
{ /* Cfa/setup.scm 146 */
BgL_sexitzf2cinfozf2_bglt BgL_obj4788z00_3930;
BgL_obj4788z00_3930 = 
((BgL_sexitzf2cinfozf2_bglt)BgL_valuez00_3926); 
{ /* Cfa/setup.scm 147 */
BgL_sexitzf2cinfozf2_bglt BgL_arg5211z00_3931;
{ /* Cfa/setup.scm 147 */
BgL_approxz00_bglt BgL_arg5212z00_3932;
{ /* Cfa/setup.scm 147 */
BgL_typez00_bglt BgL_auxz00_9119;
{ /* Cfa/setup.scm 147 */
BgL_variablez00_bglt BgL_obj1122z00_6148;
BgL_obj1122z00_6148 = 
(BgL_variablez00_bglt)(BgL_varz00_3927); 
BgL_auxz00_9119 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6148))->BgL_typez00); } 
BgL_arg5212z00_3932 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_9119); } 
{ /* Cfa/setup.scm 146 */
BgL_sexitzf2cinfozf2_bglt BgL_res5553z00_6155;
{ /* Cfa/setup.scm 146 */
BgL_sexitzf2cinfozf2_bglt BgL_new2964z00_6150;
BgL_new2964z00_6150 = 
((BgL_sexitzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sexitzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 146 */
BgL_sexitzf2cinfozf2_bglt BgL_res5552z00_6154;
((((BgL_sexitzf2cinfozf2_bglt)CREF(BgL_new2964z00_6150))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5212z00_3932), BUNSPEC); 
BgL_res5552z00_6154 = BgL_new2964z00_6150; BgL_res5552z00_6154; } 
BgL_res5553z00_6155 = BgL_new2964z00_6150; } 
BgL_arg5211z00_3931 = BgL_res5553z00_6155; } } 
{ /* Cfa/setup.scm 146 */
obj_t BgL_auxz00_9127;BgL_objectz00_bglt BgL_auxz00_9125;
BgL_auxz00_9127 = 
(obj_t)(BgL_arg5211z00_3931); 
BgL_auxz00_9125 = 
(BgL_objectz00_bglt)(BgL_obj4788z00_3930); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9125, BgL_auxz00_9127); } } 
{ /* Cfa/setup.scm 146 */
long BgL_arg5214z00_3934;
BgL_arg5214z00_3934 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 146 */
BgL_objectz00_bglt BgL_auxz00_9131;
BgL_auxz00_9131 = 
(BgL_objectz00_bglt)(BgL_obj4788z00_3930); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9131, BgL_arg5214z00_3934); } } 
{ /* Cfa/setup.scm 146 */
obj_t BgL_auxz00_9134;
BgL_auxz00_9134 = 
(obj_t)(BgL_obj4788z00_3930); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9134); } BUNSPEC; 
BgL_auxz00_9117 = BgL_obj4788z00_3930; } 
return 
(obj_t)(BgL_auxz00_9117);} } } 
}



/* variable-value-setup!-pre-clo-env4879 */
obj_t BGl_variablezd2valuezd2setupz12zd2prezd2clozd2env4879zc0zzcfa_setupz00(obj_t BgL_envz00_7387, obj_t BgL_valuez00_7388, obj_t BgL_varz00_7389)
{ AN_OBJECT;
{ /* Cfa/setup.scm 137 */
{ 
BgL_prezd2clozd2envz00_bglt BgL_valuez00_3919;obj_t BgL_varz00_3920;
BgL_valuez00_3919 = 
(BgL_prezd2clozd2envz00_bglt)(BgL_valuez00_7388); 
BgL_varz00_3920 = BgL_varz00_7389; 
{ 

{ /* Cfa/setup.scm 137 */
obj_t BgL_nextzd2method4878zd2_3924;
BgL_nextzd2method4878zd2_3924 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_valuez00_3919), BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BGl_prezd2clozd2envz00zzcfa_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method4878zd2_3924))
{ /* Cfa/setup.scm 137 */
PROCEDURE_ENTRY(BgL_nextzd2method4878zd2_3924)(BgL_nextzd2method4878zd2_3924, 
(obj_t)(BgL_valuez00_3919), BgL_varz00_3920, BEOA); }  else 
{ /* Cfa/setup.scm 137 */
{ /* Cfa/setup.scm 137 */
BgL_valuez00_bglt BgL_valuez00_6121;BgL_variablez00_bglt BgL_variablez00_6122;
BgL_valuez00_6121 = 
(BgL_valuez00_bglt)(BgL_valuez00_3919); 
BgL_variablez00_6122 = 
(BgL_variablez00_bglt)(BgL_varz00_3920); 
{ /* Cfa/setup.scm 137 */
obj_t BgL_method4873z00_6123;
{ /* Cfa/setup.scm 137 */
long BgL_objzd2classzd2numz00_6125;
{ /* Cfa/setup.scm 137 */
BgL_objectz00_bglt BgL_auxz00_9148;
BgL_auxz00_9148 = 
(BgL_objectz00_bglt)(BgL_valuez00_6121); 
BgL_objzd2classzd2numz00_6125 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9148); } 
{ /* Cfa/setup.scm 137 */
obj_t BgL_arg1221z00_6126;
{ /* Cfa/setup.scm 137 */
int BgL_auxz00_9151;
BgL_auxz00_9151 = 
(int)(((long)1)); 
BgL_arg1221z00_6126 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_9151); } 
{ /* Cfa/setup.scm 137 */
long BgL_offsetz00_6130;
{ /* Cfa/setup.scm 137 */
long BgL_auxz00_9154;
{ /* Cfa/setup.scm 137 */
int BgL_auxz00_9155;
BgL_auxz00_9155 = 
(int)(BgL_objzd2classzd2numz00_6125); 
BgL_auxz00_9154 = 
(long)(BgL_auxz00_9155); } 
BgL_offsetz00_6130 = 
(BgL_auxz00_9154-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 137 */
long BgL_modz00_6131;
{ /* Cfa/setup.scm 137 */
long BgL_auxz00_9159;
{ /* Cfa/setup.scm 137 */
int BgL_auxz00_9160;
BgL_auxz00_9160 = 
(int)(((long)8)); 
BgL_auxz00_9159 = 
(long)(BgL_auxz00_9160); } 
BgL_modz00_6131 = 
(BgL_offsetz00_6130/BgL_auxz00_9159); } 
{ /* Cfa/setup.scm 137 */
long BgL_restz00_6133;
{ /* Cfa/setup.scm 137 */
long BgL_auxz00_9164;
{ /* Cfa/setup.scm 137 */
int BgL_auxz00_9165;
BgL_auxz00_9165 = 
(int)(((long)8)); 
BgL_auxz00_9164 = 
(long)(BgL_auxz00_9165); } 
BgL_restz00_6133 = 
(BgL_offsetz00_6130%BgL_auxz00_9164); } 
{ /* Cfa/setup.scm 137 */

{ /* Cfa/setup.scm 137 */
obj_t BgL_bucketz00_6135;
{ /* Cfa/setup.scm 137 */
int BgL_kz00_6145;
BgL_kz00_6145 = 
(int)(BgL_modz00_6131); 
BgL_bucketz00_6135 = 
VECTOR_REF(BgL_arg1221z00_6126,BgL_kz00_6145); } 
{ /* Cfa/setup.scm 137 */
int BgL_kz00_6147;
BgL_kz00_6147 = 
(int)(BgL_restz00_6133); 
BgL_method4873z00_6123 = 
VECTOR_REF(BgL_bucketz00_6135,BgL_kz00_6147); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4873z00_6123)(BgL_method4873z00_6123, 
(obj_t)(BgL_valuez00_6121), 
(obj_t)(BgL_variablez00_6122), BEOA); } } } } 
{ /* Cfa/setup.scm 140 */
BgL_svarzf2cinfozf2_bglt BgL_obj2944z00_6118;
{ /* Cfa/setup.scm 140 */
BgL_valuez00_bglt BgL_auxz00_9177;
{ /* Cfa/setup.scm 140 */
BgL_localz00_bglt BgL_obj1279z00_6117;
BgL_obj1279z00_6117 = 
(BgL_localz00_bglt)(BgL_varz00_3920); 
BgL_auxz00_9177 = 
(((BgL_localz00_bglt)CREF(BgL_obj1279z00_6117))->BgL_valuez00); } 
BgL_obj2944z00_6118 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_auxz00_9177); } 
{ 
obj_t BgL_auxz00_9181;
{ /* Cfa/setup.scm 140 */
BgL_objectz00_bglt BgL_auxz00_9182;
BgL_auxz00_9182 = 
(BgL_objectz00_bglt)(BgL_obj2944z00_6118); 
BgL_auxz00_9181 = 
BGL_OBJECT_WIDENING(BgL_auxz00_9182); } 
return 
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_9181))->BgL_clozd2envzf3z21) = ((bool_t)((bool_t)1)), BUNSPEC);} } } } } 
}



/* variable-value-setup!-svar4877 */
obj_t BGl_variablezd2valuezd2setupz12zd2svar4877zc0zzcfa_setupz00(obj_t BgL_envz00_7390, obj_t BgL_valuez00_7391, obj_t BgL_varz00_7392)
{ AN_OBJECT;
{ /* Cfa/setup.scm 124 */
{ 
BgL_svarz00_bglt BgL_valuez00_3895;obj_t BgL_varz00_3896;
BgL_valuez00_3895 = 
(BgL_svarz00_bglt)(BgL_valuez00_7391); 
BgL_varz00_3896 = BgL_varz00_7392; 
{ /* Cfa/setup.scm 125 */
bool_t BgL_test5193z00_3899;
BgL_test5193z00_3899 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_3896, BGl_globalz00zzast_varz00); 
if(BgL_test5193z00_3899)
{ /* Cfa/setup.scm 126 */
BgL_svarzf2cinfozf2_bglt BgL_valuez00_3900;
{ /* Cfa/setup.scm 126 */
BgL_svarzf2cinfozf2_bglt BgL_obj4786z00_3907;
BgL_obj4786z00_3907 = 
((BgL_svarzf2cinfozf2_bglt)BgL_valuez00_3895); 
{ /* Cfa/setup.scm 127 */
BgL_svarzf2cinfozf2_bglt BgL_arg5200z00_3908;
{ /* Cfa/setup.scm 127 */
BgL_approxz00_bglt BgL_arg5201z00_3909;
{ /* Cfa/setup.scm 127 */
BgL_typez00_bglt BgL_auxz00_9190;
{ /* Cfa/setup.scm 127 */
BgL_variablez00_bglt BgL_obj1122z00_6086;
BgL_obj1122z00_6086 = 
(BgL_variablez00_bglt)(BgL_varz00_3896); 
BgL_auxz00_9190 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6086))->BgL_typez00); } 
BgL_arg5201z00_3909 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_9190); } 
{ /* Cfa/setup.scm 126 */
BgL_svarzf2cinfozf2_bglt BgL_res5547z00_6096;
{ /* Cfa/setup.scm 126 */
BgL_svarzf2cinfozf2_bglt BgL_new2925z00_6089;
BgL_new2925z00_6089 = 
((BgL_svarzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 126 */
BgL_svarzf2cinfozf2_bglt BgL_res5546z00_6095;
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_new2925z00_6089))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5201z00_3909), BUNSPEC); 
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_new2925z00_6089))->BgL_clozd2envzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res5546z00_6095 = BgL_new2925z00_6089; BgL_res5546z00_6095; } 
BgL_res5547z00_6096 = BgL_new2925z00_6089; } 
BgL_arg5200z00_3908 = BgL_res5547z00_6096; } } 
{ /* Cfa/setup.scm 126 */
obj_t BgL_auxz00_9199;BgL_objectz00_bglt BgL_auxz00_9197;
BgL_auxz00_9199 = 
(obj_t)(BgL_arg5200z00_3908); 
BgL_auxz00_9197 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3907); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9197, BgL_auxz00_9199); } } 
{ /* Cfa/setup.scm 126 */
long BgL_arg5203z00_3911;
BgL_arg5203z00_3911 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 126 */
BgL_objectz00_bglt BgL_auxz00_9203;
BgL_auxz00_9203 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3907); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9203, BgL_arg5203z00_3911); } } 
{ /* Cfa/setup.scm 126 */
obj_t BgL_auxz00_9206;
BgL_auxz00_9206 = 
(obj_t)(BgL_obj4786z00_3907); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9206); } BUNSPEC; 
BgL_valuez00_3900 = BgL_obj4786z00_3907; } 
{ /* Cfa/setup.scm 128 */
bool_t BgL_testz00_9209;
{ /* Cfa/setup.scm 128 */
bool_t BgL_testz00_9210;
{ /* Cfa/setup.scm 128 */
obj_t BgL_auxz00_9214;obj_t BgL_auxz00_9211;
BgL_auxz00_9214 = 
CNST_TABLE_REF(((long)4)); 
{ /* Cfa/setup.scm 128 */
BgL_globalz00_bglt BgL_obj1196z00_6100;
BgL_obj1196z00_6100 = 
(BgL_globalz00_bglt)(BgL_varz00_3896); 
BgL_auxz00_9211 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1196z00_6100))->BgL_importz00); } 
BgL_testz00_9210 = 
(BgL_auxz00_9211==BgL_auxz00_9214); } 
if(BgL_testz00_9210)
{ /* Cfa/setup.scm 128 */
BgL_testz00_9209 = ((bool_t)0)
; }  else 
{ /* Cfa/setup.scm 129 */
BgL_typez00_bglt BgL_auxz00_9217;
{ /* Cfa/setup.scm 129 */
BgL_variablez00_bglt BgL_obj1122z00_6101;
BgL_obj1122z00_6101 = 
(BgL_variablez00_bglt)(BgL_varz00_3896); 
BgL_auxz00_9217 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6101))->BgL_typez00); } 
BgL_testz00_9209 = 
BGl_alloczd2typezf3z21zzcfa_setupz00(BgL_auxz00_9217); } } 
if(BgL_testz00_9209)
{ /* Cfa/setup.scm 130 */
BgL_approxz00_bglt BgL_auxz00_9221;
{ 
obj_t BgL_auxz00_9222;
{ /* Cfa/setup.scm 130 */
BgL_objectz00_bglt BgL_auxz00_9223;
BgL_auxz00_9223 = 
(BgL_objectz00_bglt)(BgL_valuez00_3900); 
BgL_auxz00_9222 = 
BGL_OBJECT_WIDENING(BgL_auxz00_9223); } 
BgL_auxz00_9221 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_9222))->BgL_approxz00); } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_auxz00_9221);}  else 
{ /* Cfa/setup.scm 128 */
return BFALSE;} } }  else 
{ /* Cfa/setup.scm 131 */
BgL_svarzf2cinfozf2_bglt BgL_obj4787z00_3912;
BgL_obj4787z00_3912 = 
((BgL_svarzf2cinfozf2_bglt)BgL_valuez00_3895); 
{ /* Cfa/setup.scm 132 */
BgL_svarzf2cinfozf2_bglt BgL_arg5204z00_3913;
{ /* Cfa/setup.scm 132 */
BgL_approxz00_bglt BgL_arg5205z00_3914;
{ /* Cfa/setup.scm 132 */
BgL_typez00_bglt BgL_auxz00_9229;
{ /* Cfa/setup.scm 132 */
BgL_variablez00_bglt BgL_obj1122z00_6103;
BgL_obj1122z00_6103 = 
(BgL_variablez00_bglt)(BgL_varz00_3896); 
BgL_auxz00_9229 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1122z00_6103))->BgL_typez00); } 
BgL_arg5205z00_3914 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_auxz00_9229); } 
{ /* Cfa/setup.scm 131 */
BgL_svarzf2cinfozf2_bglt BgL_res5549z00_6113;
{ /* Cfa/setup.scm 131 */
BgL_svarzf2cinfozf2_bglt BgL_new2925z00_6106;
BgL_new2925z00_6106 = 
((BgL_svarzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 131 */
BgL_svarzf2cinfozf2_bglt BgL_res5548z00_6112;
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_new2925z00_6106))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5205z00_3914), BUNSPEC); 
((((BgL_svarzf2cinfozf2_bglt)CREF(BgL_new2925z00_6106))->BgL_clozd2envzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res5548z00_6112 = BgL_new2925z00_6106; BgL_res5548z00_6112; } 
BgL_res5549z00_6113 = BgL_new2925z00_6106; } 
BgL_arg5204z00_3913 = BgL_res5549z00_6113; } } 
{ /* Cfa/setup.scm 131 */
obj_t BgL_auxz00_9238;BgL_objectz00_bglt BgL_auxz00_9236;
BgL_auxz00_9238 = 
(obj_t)(BgL_arg5204z00_3913); 
BgL_auxz00_9236 = 
(BgL_objectz00_bglt)(BgL_obj4787z00_3912); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9236, BgL_auxz00_9238); } } 
{ /* Cfa/setup.scm 131 */
long BgL_arg5207z00_3916;
BgL_arg5207z00_3916 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 131 */
BgL_objectz00_bglt BgL_auxz00_9242;
BgL_auxz00_9242 = 
(BgL_objectz00_bglt)(BgL_obj4787z00_3912); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9242, BgL_arg5207z00_3916); } } 
{ /* Cfa/setup.scm 131 */
obj_t BgL_auxz00_9245;
BgL_auxz00_9245 = 
(obj_t)(BgL_obj4787z00_3912); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9245); } BUNSPEC; 
return 
(obj_t)(BgL_obj4787z00_3912);} } } } 
}



/* variable-value-setup!-sfun4875 */
obj_t BGl_variablezd2valuezd2setupz12zd2sfun4875zc0zzcfa_setupz00(obj_t BgL_envz00_7393, obj_t BgL_valuez00_7394, obj_t BgL_varz00_7395)
{ AN_OBJECT;
{ /* Cfa/setup.scm 116 */
{ 
BgL_sfunz00_bglt BgL_valuez00_3889;obj_t BgL_varz00_3890;
BgL_valuez00_3889 = 
(BgL_sfunz00_bglt)(BgL_valuez00_7394); 
BgL_varz00_3890 = BgL_varz00_7395; 
return BUNSPEC;} } 
}



/* node-setup!-var4871 */
obj_t BGl_nodezd2setupz12zd2var4871z12zzcfa_setupz00(obj_t BgL_envz00_7396, obj_t BgL_nodez00_7397)
{ AN_OBJECT;
{ /* Cfa/setup.scm 81 */
{ 
BgL_varz00_bglt BgL_nodez00_3864;
BgL_nodez00_3864 = 
(BgL_varz00_bglt)(BgL_nodez00_7397); 
{ /* Cfa/setup.scm 83 */
BgL_valuez00_bglt BgL_arg5174z00_3868;BgL_variablez00_bglt BgL_arg5175z00_3869;
{ /* Cfa/setup.scm 83 */
BgL_variablez00_bglt BgL_arg5176z00_3870;
BgL_arg5176z00_3870 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
BgL_arg5174z00_3868 = 
(((BgL_variablez00_bglt)CREF(BgL_arg5176z00_3870))->BgL_valuez00); } 
BgL_arg5175z00_3869 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
{ /* Cfa/setup.scm 83 */
obj_t BgL_method4873z00_6034;
{ /* Cfa/setup.scm 83 */
long BgL_objzd2classzd2numz00_6036;
{ /* Cfa/setup.scm 83 */
BgL_objectz00_bglt BgL_auxz00_9254;
BgL_auxz00_9254 = 
(BgL_objectz00_bglt)(BgL_arg5174z00_3868); 
BgL_objzd2classzd2numz00_6036 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9254); } 
{ /* Cfa/setup.scm 83 */
obj_t BgL_arg1221z00_6037;
{ /* Cfa/setup.scm 83 */
int BgL_auxz00_9257;
BgL_auxz00_9257 = 
(int)(((long)1)); 
BgL_arg1221z00_6037 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_9257); } 
{ /* Cfa/setup.scm 83 */
long BgL_offsetz00_6041;
{ /* Cfa/setup.scm 83 */
long BgL_auxz00_9260;
{ /* Cfa/setup.scm 83 */
int BgL_auxz00_9261;
BgL_auxz00_9261 = 
(int)(BgL_objzd2classzd2numz00_6036); 
BgL_auxz00_9260 = 
(long)(BgL_auxz00_9261); } 
BgL_offsetz00_6041 = 
(BgL_auxz00_9260-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 83 */
long BgL_modz00_6042;
{ /* Cfa/setup.scm 83 */
long BgL_auxz00_9265;
{ /* Cfa/setup.scm 83 */
int BgL_auxz00_9266;
BgL_auxz00_9266 = 
(int)(((long)8)); 
BgL_auxz00_9265 = 
(long)(BgL_auxz00_9266); } 
BgL_modz00_6042 = 
(BgL_offsetz00_6041/BgL_auxz00_9265); } 
{ /* Cfa/setup.scm 83 */
long BgL_restz00_6044;
{ /* Cfa/setup.scm 83 */
long BgL_auxz00_9270;
{ /* Cfa/setup.scm 83 */
int BgL_auxz00_9271;
BgL_auxz00_9271 = 
(int)(((long)8)); 
BgL_auxz00_9270 = 
(long)(BgL_auxz00_9271); } 
BgL_restz00_6044 = 
(BgL_offsetz00_6041%BgL_auxz00_9270); } 
{ /* Cfa/setup.scm 83 */

{ /* Cfa/setup.scm 83 */
obj_t BgL_bucketz00_6046;
{ /* Cfa/setup.scm 83 */
int BgL_kz00_6056;
BgL_kz00_6056 = 
(int)(BgL_modz00_6042); 
BgL_bucketz00_6046 = 
VECTOR_REF(BgL_arg1221z00_6037,BgL_kz00_6056); } 
{ /* Cfa/setup.scm 83 */
int BgL_kz00_6058;
BgL_kz00_6058 = 
(int)(BgL_restz00_6044); 
BgL_method4873z00_6034 = 
VECTOR_REF(BgL_bucketz00_6046,BgL_kz00_6058); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4873z00_6034)(BgL_method4873z00_6034, 
(obj_t)(BgL_arg5174z00_3868), 
(obj_t)(BgL_arg5175z00_3869), BEOA); } } 
{ /* Cfa/setup.scm 86 */
bool_t BgL_test5177z00_3871;
{ /* Cfa/setup.scm 86 */
bool_t BgL_test5187z00_3883;
{ /* Cfa/setup.scm 86 */
obj_t BgL_auxz00_9283;
{ /* Cfa/setup.scm 86 */
BgL_variablez00_bglt BgL_auxz00_9284;
BgL_auxz00_9284 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
BgL_auxz00_9283 = 
(obj_t)(BgL_auxz00_9284); } 
BgL_test5187z00_3883 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_9283, BGl_localz00zzast_varz00); } 
if(BgL_test5187z00_3883)
{ /* Cfa/setup.scm 86 */
bool_t BgL_test5188z00_3884;
{ /* Cfa/setup.scm 86 */
obj_t BgL_auxz00_9289;
{ /* Cfa/setup.scm 86 */
BgL_variablez00_bglt BgL_auxz00_9290;
BgL_auxz00_9290 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
BgL_auxz00_9289 = 
(obj_t)(BgL_auxz00_9290); } 
BgL_test5188z00_3884 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_9289, BGl_reshapedzd2localzd2zzcfa_infoz00); } 
if(BgL_test5188z00_3884)
{ /* Cfa/setup.scm 86 */
BgL_test5177z00_3871 = ((bool_t)0); }  else 
{ /* Cfa/setup.scm 86 */
BgL_test5177z00_3871 = ((bool_t)1); } }  else 
{ /* Cfa/setup.scm 86 */
BgL_test5177z00_3871 = ((bool_t)0); } } 
if(BgL_test5177z00_3871)
{ /* Cfa/setup.scm 86 */
{ /* Cfa/setup.scm 87 */
BgL_reshapedzd2localzd2_bglt BgL_obj4784z00_3872;
{ 
BgL_variablez00_bglt BgL_auxz00_9296;
BgL_auxz00_9296 = 
BGl_varzd2variablezd2zzcfa_setupz00(BgL_nodez00_3864); 
BgL_obj4784z00_3872 = 
((BgL_reshapedzd2localzd2_bglt)BgL_auxz00_9296); } 
{ /* Cfa/setup.scm 87 */
BgL_reshapedzd2localzd2_bglt BgL_arg5178z00_3873;
{ /* Cfa/setup.scm 87 */
BgL_reshapedzd2localzd2_bglt BgL_res5544z00_6070;
{ /* Cfa/setup.scm 87 */
BgL_reshapedzd2localzd2_bglt BgL_new2985z00_6065;
BgL_new2985z00_6065 = 
((BgL_reshapedzd2localzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2localzd2_bgl)))); 
{ /* Cfa/setup.scm 87 */
BgL_reshapedzd2localzd2_bglt BgL_res5543z00_6069;
((((BgL_reshapedzd2localzd2_bglt)CREF(BgL_new2985z00_6065))->BgL_bindingzd2valuezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res5543z00_6069 = BgL_new2985z00_6065; BgL_res5543z00_6069; } 
BgL_res5544z00_6070 = BgL_new2985z00_6065; } 
BgL_arg5178z00_3873 = BgL_res5544z00_6070; } 
{ /* Cfa/setup.scm 87 */
obj_t BgL_auxz00_9303;BgL_objectz00_bglt BgL_auxz00_9301;
BgL_auxz00_9303 = 
(obj_t)(BgL_arg5178z00_3873); 
BgL_auxz00_9301 = 
(BgL_objectz00_bglt)(BgL_obj4784z00_3872); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9301, BgL_auxz00_9303); } } 
{ /* Cfa/setup.scm 87 */
long BgL_arg5179z00_3874;
BgL_arg5179z00_3874 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2localzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 87 */
BgL_objectz00_bglt BgL_auxz00_9307;
BgL_auxz00_9307 = 
(BgL_objectz00_bglt)(BgL_obj4784z00_3872); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9307, BgL_arg5179z00_3874); } } 
{ /* Cfa/setup.scm 87 */
obj_t BgL_auxz00_9310;
BgL_auxz00_9310 = 
(obj_t)(BgL_obj4784z00_3872); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9310); } BUNSPEC; 
return 
(obj_t)(BgL_obj4784z00_3872);} }  else 
{ /* Cfa/setup.scm 88 */
bool_t BgL_test5180z00_3875;
{ /* Cfa/setup.scm 88 */
bool_t BgL_test5183z00_3879;
{ /* Cfa/setup.scm 88 */
obj_t BgL_auxz00_9314;
{ /* Cfa/setup.scm 88 */
BgL_variablez00_bglt BgL_auxz00_9315;
BgL_auxz00_9315 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
BgL_auxz00_9314 = 
(obj_t)(BgL_auxz00_9315); } 
BgL_test5183z00_3879 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_9314, BGl_globalz00zzast_varz00); } 
if(BgL_test5183z00_3879)
{ /* Cfa/setup.scm 88 */
bool_t BgL_test5184z00_3880;
{ /* Cfa/setup.scm 88 */
obj_t BgL_auxz00_9320;
{ /* Cfa/setup.scm 88 */
BgL_variablez00_bglt BgL_auxz00_9321;
BgL_auxz00_9321 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3864))->BgL_variablez00); 
BgL_auxz00_9320 = 
(obj_t)(BgL_auxz00_9321); } 
BgL_test5184z00_3880 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_9320, BGl_reshapedzd2globalzd2zzcfa_infoz00); } 
if(BgL_test5184z00_3880)
{ /* Cfa/setup.scm 88 */
BgL_test5180z00_3875 = ((bool_t)0); }  else 
{ /* Cfa/setup.scm 88 */
BgL_test5180z00_3875 = ((bool_t)1); } }  else 
{ /* Cfa/setup.scm 88 */
BgL_test5180z00_3875 = ((bool_t)0); } } 
if(BgL_test5180z00_3875)
{ /* Cfa/setup.scm 88 */
{ /* Cfa/setup.scm 89 */
BgL_reshapedzd2globalzd2_bglt BgL_obj4785z00_3876;
{ 
BgL_variablez00_bglt BgL_auxz00_9327;
BgL_auxz00_9327 = 
BGl_varzd2variablezd2zzcfa_setupz00(BgL_nodez00_3864); 
BgL_obj4785z00_3876 = 
((BgL_reshapedzd2globalzd2_bglt)BgL_auxz00_9327); } 
{ /* Cfa/setup.scm 89 */
obj_t BgL_auxz00_9332;BgL_objectz00_bglt BgL_auxz00_9330;
{ /* Cfa/setup.scm 89 */
BgL_reshapedzd2globalzd2_bglt BgL_auxz00_9333;
{ /* Cfa/setup.scm 89 */
BgL_reshapedzd2globalzd2_bglt BgL_new3033z00_6079;
BgL_new3033z00_6079 = 
((BgL_reshapedzd2globalzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2globalzd2_bgl)))); 
BgL_auxz00_9333 = BgL_new3033z00_6079; } 
BgL_auxz00_9332 = 
(obj_t)(BgL_auxz00_9333); } 
BgL_auxz00_9330 = 
(BgL_objectz00_bglt)(BgL_obj4785z00_3876); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9330, BgL_auxz00_9332); } 
{ /* Cfa/setup.scm 89 */
long BgL_arg5182z00_3878;
BgL_arg5182z00_3878 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2globalzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 89 */
BgL_objectz00_bglt BgL_auxz00_9338;
BgL_auxz00_9338 = 
(BgL_objectz00_bglt)(BgL_obj4785z00_3876); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9338, BgL_arg5182z00_3878); } } 
{ /* Cfa/setup.scm 89 */
obj_t BgL_auxz00_9341;
BgL_auxz00_9341 = 
(obj_t)(BgL_obj4785z00_3876); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9341); } BUNSPEC; 
return 
(obj_t)(BgL_obj4785z00_3876);} }  else 
{ /* Cfa/setup.scm 88 */
return BFALSE;} } } } } 
}



/* node-setup!-kwote/node4869 */
obj_t BGl_nodezd2setupz12zd2kwotezf2node4869ze0zzcfa_setupz00(obj_t BgL_envz00_7398, obj_t BgL_kwotez00_7399)
{ AN_OBJECT;
{ /* Cfa/setup.scm 74 */
{ 
BgL_kwotezf2nodezf2_bglt BgL_kwotez00_3857;
BgL_kwotez00_3857 = 
(BgL_kwotezf2nodezf2_bglt)(BgL_kwotez00_7399); 
{ /* Cfa/setup.scm 75 */
BgL_nodez00_bglt BgL_arg5172z00_6001;
{ 
obj_t BgL_auxz00_9346;
{ /* Cfa/setup.scm 75 */
BgL_objectz00_bglt BgL_auxz00_9347;
BgL_auxz00_9347 = 
(BgL_objectz00_bglt)(BgL_kwotez00_3857); 
BgL_auxz00_9346 = 
BGL_OBJECT_WIDENING(BgL_auxz00_9347); } 
BgL_arg5172z00_6001 = 
(((BgL_kwotezf2nodezf2_bglt)CREF(BgL_auxz00_9346))->BgL_nodez00); } 
{ /* Cfa/setup.scm 75 */
obj_t BgL_method4863z00_6004;
{ /* Cfa/setup.scm 75 */
long BgL_objzd2classzd2numz00_6006;
{ /* Cfa/setup.scm 75 */
BgL_objectz00_bglt BgL_auxz00_9351;
BgL_auxz00_9351 = 
(BgL_objectz00_bglt)(BgL_arg5172z00_6001); 
BgL_objzd2classzd2numz00_6006 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9351); } 
{ /* Cfa/setup.scm 75 */
obj_t BgL_arg1221z00_6007;
{ /* Cfa/setup.scm 75 */
int BgL_auxz00_9354;
BgL_auxz00_9354 = 
(int)(((long)1)); 
BgL_arg1221z00_6007 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_9354); } 
{ /* Cfa/setup.scm 75 */
long BgL_offsetz00_6011;
{ /* Cfa/setup.scm 75 */
long BgL_auxz00_9357;
{ /* Cfa/setup.scm 75 */
int BgL_auxz00_9358;
BgL_auxz00_9358 = 
(int)(BgL_objzd2classzd2numz00_6006); 
BgL_auxz00_9357 = 
(long)(BgL_auxz00_9358); } 
BgL_offsetz00_6011 = 
(BgL_auxz00_9357-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 75 */
long BgL_modz00_6012;
{ /* Cfa/setup.scm 75 */
long BgL_auxz00_9362;
{ /* Cfa/setup.scm 75 */
int BgL_auxz00_9363;
BgL_auxz00_9363 = 
(int)(((long)8)); 
BgL_auxz00_9362 = 
(long)(BgL_auxz00_9363); } 
BgL_modz00_6012 = 
(BgL_offsetz00_6011/BgL_auxz00_9362); } 
{ /* Cfa/setup.scm 75 */
long BgL_restz00_6014;
{ /* Cfa/setup.scm 75 */
long BgL_auxz00_9367;
{ /* Cfa/setup.scm 75 */
int BgL_auxz00_9368;
BgL_auxz00_9368 = 
(int)(((long)8)); 
BgL_auxz00_9367 = 
(long)(BgL_auxz00_9368); } 
BgL_restz00_6014 = 
(BgL_offsetz00_6011%BgL_auxz00_9367); } 
{ /* Cfa/setup.scm 75 */

{ /* Cfa/setup.scm 75 */
obj_t BgL_bucketz00_6016;
{ /* Cfa/setup.scm 75 */
int BgL_kz00_6026;
BgL_kz00_6026 = 
(int)(BgL_modz00_6012); 
BgL_bucketz00_6016 = 
VECTOR_REF(BgL_arg1221z00_6007,BgL_kz00_6026); } 
{ /* Cfa/setup.scm 75 */
int BgL_kz00_6028;
BgL_kz00_6028 = 
(int)(BgL_restz00_6014); 
BgL_method4863z00_6004 = 
VECTOR_REF(BgL_bucketz00_6016,BgL_kz00_6028); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4863z00_6004)(BgL_method4863z00_6004, 
(obj_t)(BgL_arg5172z00_6001), BEOA);} } } } 
}



/* node-setup!-kwote4867 */
obj_t BGl_nodezd2setupz12zd2kwote4867z12zzcfa_setupz00(obj_t BgL_envz00_7400, obj_t BgL_nodez00_7401)
{ AN_OBJECT;
{ /* Cfa/setup.scm 66 */
{ 
BgL_kwotez00_bglt BgL_nodez00_3845;
{ /* Cfa/setup.scm 67 */
BgL_kwotezf2cinfozf2_bglt BgL_auxz00_9380;
BgL_nodez00_3845 = 
(BgL_kwotez00_bglt)(BgL_nodez00_7401); 
{ /* Cfa/setup.scm 68 */
BgL_kwotezf2cinfozf2_bglt BgL_obj4779z00_3849;
BgL_obj4779z00_3849 = 
((BgL_kwotezf2cinfozf2_bglt)BgL_nodez00_3845); 
{ /* Cfa/setup.scm 69 */
BgL_kwotezf2cinfozf2_bglt BgL_arg5166z00_3850;
{ /* Cfa/setup.scm 69 */
BgL_approxz00_bglt BgL_arg5167z00_3851;
{ /* Cfa/setup.scm 69 */
BgL_typez00_bglt BgL_arg5168z00_3852;
BgL_arg5168z00_3852 = 
BGl_typeofzd2kwotezd2zztype_typeofz00(
(((BgL_kwotez00_bglt)CREF(BgL_nodez00_3845))->BgL_valuez00)); 
BgL_arg5167z00_3851 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg5168z00_3852); } 
{ /* Cfa/setup.scm 68 */
BgL_kwotezf2cinfozf2_bglt BgL_res5538z00_5996;
{ /* Cfa/setup.scm 68 */
BgL_kwotezf2cinfozf2_bglt BgL_new3148z00_5991;
BgL_new3148z00_5991 = 
((BgL_kwotezf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_kwotezf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 68 */
BgL_kwotezf2cinfozf2_bglt BgL_res5537z00_5995;
((((BgL_kwotezf2cinfozf2_bglt)CREF(BgL_new3148z00_5991))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5167z00_3851), BUNSPEC); 
BgL_res5537z00_5995 = BgL_new3148z00_5991; BgL_res5537z00_5995; } 
BgL_res5538z00_5996 = BgL_new3148z00_5991; } 
BgL_arg5166z00_3850 = BgL_res5538z00_5996; } } 
{ /* Cfa/setup.scm 68 */
obj_t BgL_auxz00_9389;BgL_objectz00_bglt BgL_auxz00_9387;
BgL_auxz00_9389 = 
(obj_t)(BgL_arg5166z00_3850); 
BgL_auxz00_9387 = 
(BgL_objectz00_bglt)(BgL_obj4779z00_3849); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9387, BgL_auxz00_9389); } } 
{ /* Cfa/setup.scm 68 */
long BgL_arg5170z00_3854;
BgL_arg5170z00_3854 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotezf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 68 */
BgL_objectz00_bglt BgL_auxz00_9393;
BgL_auxz00_9393 = 
(BgL_objectz00_bglt)(BgL_obj4779z00_3849); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9393, BgL_arg5170z00_3854); } } 
{ /* Cfa/setup.scm 68 */
obj_t BgL_auxz00_9396;
BgL_auxz00_9396 = 
(obj_t)(BgL_obj4779z00_3849); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9396); } BUNSPEC; 
BgL_auxz00_9380 = BgL_obj4779z00_3849; } 
return 
(obj_t)(BgL_auxz00_9380);} } } 
}



/* node-setup!-atom4865 */
obj_t BGl_nodezd2setupz12zd2atom4865z12zzcfa_setupz00(obj_t BgL_envz00_7402, obj_t BgL_nodez00_7403)
{ AN_OBJECT;
{ /* Cfa/setup.scm 58 */
{ 
BgL_atomz00_bglt BgL_nodez00_3833;
{ /* Cfa/setup.scm 59 */
BgL_atomzf2cinfozf2_bglt BgL_auxz00_9401;
BgL_nodez00_3833 = 
(BgL_atomz00_bglt)(BgL_nodez00_7403); 
{ /* Cfa/setup.scm 60 */
BgL_atomzf2cinfozf2_bglt BgL_obj4776z00_3837;
BgL_obj4776z00_3837 = 
((BgL_atomzf2cinfozf2_bglt)BgL_nodez00_3833); 
{ /* Cfa/setup.scm 61 */
BgL_atomzf2cinfozf2_bglt BgL_arg5160z00_3838;
{ /* Cfa/setup.scm 61 */
BgL_approxz00_bglt BgL_arg5161z00_3839;
{ /* Cfa/setup.scm 61 */
BgL_typez00_bglt BgL_arg5162z00_3840;
BgL_arg5162z00_3840 = 
BGl_typeofzd2atomzd2zztype_typeofz00(
(((BgL_atomz00_bglt)CREF(BgL_nodez00_3833))->BgL_valuez00)); 
BgL_arg5161z00_3839 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg5162z00_3840); } 
{ /* Cfa/setup.scm 60 */
BgL_atomzf2cinfozf2_bglt BgL_res5536z00_5985;
{ /* Cfa/setup.scm 60 */
BgL_atomzf2cinfozf2_bglt BgL_new3104z00_5980;
BgL_new3104z00_5980 = 
((BgL_atomzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_atomzf2cinfozf2_bgl)))); 
{ /* Cfa/setup.scm 60 */
BgL_atomzf2cinfozf2_bglt BgL_res5535z00_5984;
((((BgL_atomzf2cinfozf2_bglt)CREF(BgL_new3104z00_5980))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5161z00_3839), BUNSPEC); 
BgL_res5535z00_5984 = BgL_new3104z00_5980; BgL_res5535z00_5984; } 
BgL_res5536z00_5985 = BgL_new3104z00_5980; } 
BgL_arg5160z00_3838 = BgL_res5536z00_5985; } } 
{ /* Cfa/setup.scm 60 */
obj_t BgL_auxz00_9410;BgL_objectz00_bglt BgL_auxz00_9408;
BgL_auxz00_9410 = 
(obj_t)(BgL_arg5160z00_3838); 
BgL_auxz00_9408 = 
(BgL_objectz00_bglt)(BgL_obj4776z00_3837); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9408, BgL_auxz00_9410); } } 
{ /* Cfa/setup.scm 60 */
long BgL_arg5164z00_3842;
BgL_arg5164z00_3842 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomzf2Cinfozf2zzcfa_infoz00); 
{ /* Cfa/setup.scm 60 */
BgL_objectz00_bglt BgL_auxz00_9414;
BgL_auxz00_9414 = 
(BgL_objectz00_bglt)(BgL_obj4776z00_3837); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9414, BgL_arg5164z00_3842); } } 
{ /* Cfa/setup.scm 60 */
obj_t BgL_auxz00_9417;
BgL_auxz00_9417 = 
(obj_t)(BgL_obj4776z00_3837); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9417); } BUNSPEC; 
BgL_auxz00_9401 = BgL_obj4776z00_3837; } 
return 
(obj_t)(BgL_auxz00_9401);} } } 
}



/* node-setup! */
obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Cfa/setup.scm 53 */
{ /* Cfa/setup.scm 53 */
obj_t BgL_method4863z00_7198;
{ /* Cfa/setup.scm 53 */
long BgL_objzd2classzd2numz00_7200;
{ /* Cfa/setup.scm 53 */
BgL_objectz00_bglt BgL_auxz00_9422;
BgL_auxz00_9422 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_7200 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9422); } 
{ /* Cfa/setup.scm 53 */
obj_t BgL_arg1221z00_7201;
{ /* Cfa/setup.scm 53 */
int BgL_auxz00_9425;
BgL_auxz00_9425 = 
(int)(((long)1)); 
BgL_arg1221z00_7201 = 
PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_9425); } 
{ /* Cfa/setup.scm 53 */
long BgL_offsetz00_7205;
{ /* Cfa/setup.scm 53 */
long BgL_auxz00_9428;
{ /* Cfa/setup.scm 53 */
int BgL_auxz00_9429;
BgL_auxz00_9429 = 
(int)(BgL_objzd2classzd2numz00_7200); 
BgL_auxz00_9428 = 
(long)(BgL_auxz00_9429); } 
BgL_offsetz00_7205 = 
(BgL_auxz00_9428-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 53 */
long BgL_modz00_7206;
{ /* Cfa/setup.scm 53 */
long BgL_auxz00_9433;
{ /* Cfa/setup.scm 53 */
int BgL_auxz00_9434;
BgL_auxz00_9434 = 
(int)(((long)8)); 
BgL_auxz00_9433 = 
(long)(BgL_auxz00_9434); } 
BgL_modz00_7206 = 
(BgL_offsetz00_7205/BgL_auxz00_9433); } 
{ /* Cfa/setup.scm 53 */
long BgL_restz00_7208;
{ /* Cfa/setup.scm 53 */
long BgL_auxz00_9438;
{ /* Cfa/setup.scm 53 */
int BgL_auxz00_9439;
BgL_auxz00_9439 = 
(int)(((long)8)); 
BgL_auxz00_9438 = 
(long)(BgL_auxz00_9439); } 
BgL_restz00_7208 = 
(BgL_offsetz00_7205%BgL_auxz00_9438); } 
{ /* Cfa/setup.scm 53 */

{ /* Cfa/setup.scm 53 */
obj_t BgL_bucketz00_7210;
{ /* Cfa/setup.scm 53 */
int BgL_kz00_7220;
BgL_kz00_7220 = 
(int)(BgL_modz00_7206); 
BgL_bucketz00_7210 = 
VECTOR_REF(BgL_arg1221z00_7201,BgL_kz00_7220); } 
{ /* Cfa/setup.scm 53 */
int BgL_kz00_7222;
BgL_kz00_7222 = 
(int)(BgL_restz00_7208); 
BgL_method4863z00_7198 = 
VECTOR_REF(BgL_bucketz00_7210,BgL_kz00_7222); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4863z00_7198)(BgL_method4863z00_7198, 
(obj_t)(BgL_nodez00_2), BEOA);} } 
}



/* _node-setup!5665 */
obj_t BGl__nodezd2setupz125665zc0zzcfa_setupz00(obj_t BgL_envz00_7295, obj_t BgL_nodez00_7296)
{ AN_OBJECT;
{ /* Cfa/setup.scm 53 */
return 
BGl_nodezd2setupz12zc0zzcfa_setupz00(
(BgL_nodez00_bglt)(BgL_nodez00_7296));} 
}



/* node-setup!-default4862 */
obj_t BGl_nodezd2setupz12zd2default4862z12zzcfa_setupz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
{ 
obj_t BgL_auxz00_9454;obj_t BgL_auxz00_9452;
BgL_auxz00_9454 = 
(obj_t)(BgL_nodez00_3); 
BgL_auxz00_9452 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_9452,BGl_string5700z00zzcfa_setupz00,BgL_auxz00_9454);} } 
}



/* _node-setup!-default4862 */
obj_t BGl__nodezd2setupz12zd2default4862z12zzcfa_setupz00(obj_t BgL_envz00_7404, obj_t BgL_nodez00_7405)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
return 
BGl_nodezd2setupz12zd2default4862z12zzcfa_setupz00(
(BgL_nodez00_bglt)(BgL_nodez00_7405));} 
}



/* variable-value-setup! */
obj_t BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt BgL_valuez00_9, BgL_variablez00_bglt BgL_variablez00_10)
{ AN_OBJECT;
{ /* Cfa/setup.scm 111 */
{ /* Cfa/setup.scm 111 */
obj_t BgL_method4873z00_7226;
{ /* Cfa/setup.scm 111 */
long BgL_objzd2classzd2numz00_7228;
{ /* Cfa/setup.scm 111 */
BgL_objectz00_bglt BgL_auxz00_9459;
BgL_auxz00_9459 = 
(BgL_objectz00_bglt)(BgL_valuez00_9); 
BgL_objzd2classzd2numz00_7228 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9459); } 
{ /* Cfa/setup.scm 111 */
obj_t BgL_arg1221z00_7229;
{ /* Cfa/setup.scm 111 */
int BgL_auxz00_9462;
BgL_auxz00_9462 = 
(int)(((long)1)); 
BgL_arg1221z00_7229 = 
PROCEDURE_REF(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00, BgL_auxz00_9462); } 
{ /* Cfa/setup.scm 111 */
long BgL_offsetz00_7233;
{ /* Cfa/setup.scm 111 */
long BgL_auxz00_9465;
{ /* Cfa/setup.scm 111 */
int BgL_auxz00_9466;
BgL_auxz00_9466 = 
(int)(BgL_objzd2classzd2numz00_7228); 
BgL_auxz00_9465 = 
(long)(BgL_auxz00_9466); } 
BgL_offsetz00_7233 = 
(BgL_auxz00_9465-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 111 */
long BgL_modz00_7234;
{ /* Cfa/setup.scm 111 */
long BgL_auxz00_9470;
{ /* Cfa/setup.scm 111 */
int BgL_auxz00_9471;
BgL_auxz00_9471 = 
(int)(((long)8)); 
BgL_auxz00_9470 = 
(long)(BgL_auxz00_9471); } 
BgL_modz00_7234 = 
(BgL_offsetz00_7233/BgL_auxz00_9470); } 
{ /* Cfa/setup.scm 111 */
long BgL_restz00_7236;
{ /* Cfa/setup.scm 111 */
long BgL_auxz00_9475;
{ /* Cfa/setup.scm 111 */
int BgL_auxz00_9476;
BgL_auxz00_9476 = 
(int)(((long)8)); 
BgL_auxz00_9475 = 
(long)(BgL_auxz00_9476); } 
BgL_restz00_7236 = 
(BgL_offsetz00_7233%BgL_auxz00_9475); } 
{ /* Cfa/setup.scm 111 */

{ /* Cfa/setup.scm 111 */
obj_t BgL_bucketz00_7238;
{ /* Cfa/setup.scm 111 */
int BgL_kz00_7248;
BgL_kz00_7248 = 
(int)(BgL_modz00_7234); 
BgL_bucketz00_7238 = 
VECTOR_REF(BgL_arg1221z00_7229,BgL_kz00_7248); } 
{ /* Cfa/setup.scm 111 */
int BgL_kz00_7250;
BgL_kz00_7250 = 
(int)(BgL_restz00_7236); 
BgL_method4873z00_7226 = 
VECTOR_REF(BgL_bucketz00_7238,BgL_kz00_7250); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4873z00_7226)(BgL_method4873z00_7226, 
(obj_t)(BgL_valuez00_9), 
(obj_t)(BgL_variablez00_10), BEOA);} } 
}



/* _variable-value-setup!5664 */
obj_t BGl__variablezd2valuezd2setupz125664z12zzcfa_setupz00(obj_t BgL_envz00_7292, obj_t BgL_valuez00_7293, obj_t BgL_variablez00_7294)
{ AN_OBJECT;
{ /* Cfa/setup.scm 111 */
return 
BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
(BgL_valuez00_bglt)(BgL_valuez00_7293), 
(BgL_variablez00_bglt)(BgL_variablez00_7294));} 
}



/* variable-value-setup!-default4872 */
obj_t BGl_variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00(BgL_valuez00_bglt BgL_valuez00_11, BgL_variablez00_bglt BgL_variablez00_12)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
{ 
obj_t BgL_auxz00_9493;obj_t BgL_auxz00_9491;
BgL_auxz00_9493 = 
(obj_t)(BgL_valuez00_11); 
BgL_auxz00_9491 = 
CNST_TABLE_REF(((long)6)); 
FAILURE(BgL_auxz00_9491,BGl_string5700z00zzcfa_setupz00,BgL_auxz00_9493);} } 
}



/* _variable-value-setup!-default4872 */
obj_t BGl__variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00(obj_t BgL_envz00_7406, obj_t BgL_valuez00_7407, obj_t BgL_variablez00_7408)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
return 
BGl_variablezd2valuezd2setupz12zd2default4872zc0zzcfa_setupz00(
(BgL_valuez00_bglt)(BgL_valuez00_7407), 
(BgL_variablez00_bglt)(BgL_variablez00_7408));} 
}



/* fun-setup! */
obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt BgL_funz00_30, obj_t BgL_varz00_31)
{ AN_OBJECT;
{ /* Cfa/setup.scm 212 */
{ /* Cfa/setup.scm 212 */
obj_t BgL_method4895z00_7254;
{ /* Cfa/setup.scm 212 */
long BgL_objzd2classzd2numz00_7256;
{ /* Cfa/setup.scm 212 */
BgL_objectz00_bglt BgL_auxz00_9499;
BgL_auxz00_9499 = 
(BgL_objectz00_bglt)(BgL_funz00_30); 
BgL_objzd2classzd2numz00_7256 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_9499); } 
{ /* Cfa/setup.scm 212 */
obj_t BgL_arg1221z00_7257;
{ /* Cfa/setup.scm 212 */
int BgL_auxz00_9502;
BgL_auxz00_9502 = 
(int)(((long)1)); 
BgL_arg1221z00_7257 = 
PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BgL_auxz00_9502); } 
{ /* Cfa/setup.scm 212 */
long BgL_offsetz00_7261;
{ /* Cfa/setup.scm 212 */
long BgL_auxz00_9505;
{ /* Cfa/setup.scm 212 */
int BgL_auxz00_9506;
BgL_auxz00_9506 = 
(int)(BgL_objzd2classzd2numz00_7256); 
BgL_auxz00_9505 = 
(long)(BgL_auxz00_9506); } 
BgL_offsetz00_7261 = 
(BgL_auxz00_9505-OBJECT_TYPE); } 
{ /* Cfa/setup.scm 212 */
long BgL_modz00_7262;
{ /* Cfa/setup.scm 212 */
long BgL_auxz00_9510;
{ /* Cfa/setup.scm 212 */
int BgL_auxz00_9511;
BgL_auxz00_9511 = 
(int)(((long)8)); 
BgL_auxz00_9510 = 
(long)(BgL_auxz00_9511); } 
BgL_modz00_7262 = 
(BgL_offsetz00_7261/BgL_auxz00_9510); } 
{ /* Cfa/setup.scm 212 */
long BgL_restz00_7264;
{ /* Cfa/setup.scm 212 */
long BgL_auxz00_9515;
{ /* Cfa/setup.scm 212 */
int BgL_auxz00_9516;
BgL_auxz00_9516 = 
(int)(((long)8)); 
BgL_auxz00_9515 = 
(long)(BgL_auxz00_9516); } 
BgL_restz00_7264 = 
(BgL_offsetz00_7261%BgL_auxz00_9515); } 
{ /* Cfa/setup.scm 212 */

{ /* Cfa/setup.scm 212 */
obj_t BgL_bucketz00_7266;
{ /* Cfa/setup.scm 212 */
int BgL_kz00_7276;
BgL_kz00_7276 = 
(int)(BgL_modz00_7262); 
BgL_bucketz00_7266 = 
VECTOR_REF(BgL_arg1221z00_7257,BgL_kz00_7276); } 
{ /* Cfa/setup.scm 212 */
int BgL_kz00_7278;
BgL_kz00_7278 = 
(int)(BgL_restz00_7264); 
BgL_method4895z00_7254 = 
VECTOR_REF(BgL_bucketz00_7266,BgL_kz00_7278); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4895z00_7254)(BgL_method4895z00_7254, 
(obj_t)(BgL_funz00_30), BgL_varz00_31, BEOA);} } 
}



/* _fun-setup!5663 */
obj_t BGl__funzd2setupz125663zc0zzcfa_setupz00(obj_t BgL_envz00_7289, obj_t BgL_funz00_7290, obj_t BgL_varz00_7291)
{ AN_OBJECT;
{ /* Cfa/setup.scm 212 */
return 
BGl_funzd2setupz12zc0zzcfa_setupz00(
(BgL_funz00_bglt)(BgL_funz00_7290), BgL_varz00_7291);} 
}



/* fun-setup!-default4894 */
obj_t BGl_funzd2setupz12zd2default4894z12zzcfa_setupz00(BgL_funz00_bglt BgL_funz00_32, obj_t BgL_varz00_33)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
{ /* Cfa/setup.scm 213 */
bool_t BgL_test5410z00_4299;
{ /* Cfa/setup.scm 213 */
bool_t BgL_test5413z00_4303;
BgL_test5413z00_4303 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_33, BGl_globalz00zzast_varz00); 
if(BgL_test5413z00_4303)
{ /* Cfa/setup.scm 213 */
bool_t BgL_test5414z00_4304;
BgL_test5414z00_4304 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_33, BGl_reshapedzd2globalzd2zzcfa_infoz00); 
if(BgL_test5414z00_4304)
{ /* Cfa/setup.scm 213 */
BgL_test5410z00_4299 = ((bool_t)0); }  else 
{ /* Cfa/setup.scm 213 */
BgL_test5410z00_4299 = ((bool_t)1); } }  else 
{ /* Cfa/setup.scm 213 */
BgL_test5410z00_4299 = ((bool_t)0); } } 
if(BgL_test5410z00_4299)
{ /* Cfa/setup.scm 214 */
BgL_reshapedzd2globalzd2_bglt BgL_obj4797z00_4300;
BgL_obj4797z00_4300 = 
((BgL_reshapedzd2globalzd2_bglt)BgL_varz00_33); 
{ /* Cfa/setup.scm 214 */
obj_t BgL_auxz00_9537;BgL_objectz00_bglt BgL_auxz00_9535;
{ /* Cfa/setup.scm 214 */
BgL_reshapedzd2globalzd2_bglt BgL_auxz00_9538;
{ /* Cfa/setup.scm 214 */
BgL_reshapedzd2globalzd2_bglt BgL_new3033z00_7281;
BgL_new3033z00_7281 = 
((BgL_reshapedzd2globalzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_reshapedzd2globalzd2_bgl)))); 
BgL_auxz00_9538 = BgL_new3033z00_7281; } 
BgL_auxz00_9537 = 
(obj_t)(BgL_auxz00_9538); } 
BgL_auxz00_9535 = 
(BgL_objectz00_bglt)(BgL_obj4797z00_4300); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_9535, BgL_auxz00_9537); } 
{ /* Cfa/setup.scm 214 */
long BgL_arg5412z00_4302;
BgL_arg5412z00_4302 = 
BGl_classzd2numzd2zz__objectz00(BGl_reshapedzd2globalzd2zzcfa_infoz00); 
{ /* Cfa/setup.scm 214 */
BgL_objectz00_bglt BgL_auxz00_9543;
BgL_auxz00_9543 = 
(BgL_objectz00_bglt)(BgL_obj4797z00_4300); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_9543, BgL_arg5412z00_4302); } } 
{ /* Cfa/setup.scm 214 */
obj_t BgL_auxz00_9546;
BgL_auxz00_9546 = 
(obj_t)(BgL_obj4797z00_4300); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_9546); } BUNSPEC; 
(obj_t)(BgL_obj4797z00_4300); }  else 
{ /* Cfa/setup.scm 213 */BFALSE; } } 
return BUNSPEC;} 
}



/* _fun-setup!-default4894 */
obj_t BGl__funzd2setupz12zd2default4894z12zzcfa_setupz00(obj_t BgL_envz00_7409, obj_t BgL_funz00_7410, obj_t BgL_varz00_7411)
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
return 
BGl_funzd2setupz12zd2default4894z12zzcfa_setupz00(
(BgL_funz00_bglt)(BgL_funz00_7410), BgL_varz00_7411);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00()
{ AN_OBJECT;
{ /* Cfa/setup.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)34095), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_setup"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_setup"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)41117), "cfa_setup");} 
}

