/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;

typedef struct BgL_specializa7edzd2globalz75_bgl {
   obj_t BgL_fixz00;
} *BgL_specializa7edzd2globalz75_bglt;


static obj_t BGl_patchz12zd2var2873zc0zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
static BgL_appz00_bglt BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl_patchz12zd2sequence2877zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_patchz12zd2setq2887zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2specializa7edzd2global2913z24zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern obj_t BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
static obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
static obj_t BGl_patchz12zd2extern2883zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_specializa7edzd2globalzd2fixza7zzcfa_specializa7eza7(BgL_specializa7edzd2globalz75_bglt);
extern BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt);
static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_patchz12zd2kwote2871zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl__patchz123333z12zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_patchz12zd2atom2869zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_objectzd2ze3structzd2specializa7edzd2global2911z96zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(BgL_typez00_bglt);
extern obj_t BGl_za2bintza2z00zztype_cachez00;
static obj_t BGl_patchz12zd2default2866zc0zzcfa_specializa7eza7(BgL_nodez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
static obj_t BGl_patchz12zd2letzd2var2897z12zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t make_struct(obj_t, int, obj_t);
static BgL_globalz00_bglt BGl_allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7();
static obj_t BGl_patchz12zd2setzd2exzd2it2899zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__arithmeticzd2speczd2types3332z00zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl__makezd2specializa7edzd2global3334za7zzcfa_specializa7eza7(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_patchz12zd2letzd2fun2895z12zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
static obj_t BGl_patchz12zd2app2909zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl_patchz12zd2fail2891zc0zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_patchz12zd2makezd2box2903z12zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_za2brealza2z00zztype_cachez00;
static obj_t BGl_patchz12zd2closure2875zc0zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_patchz12zd2funcall2881zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_za2longza2z00zztype_cachez00;
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_za2bcharza2z00zztype_cachez00;
static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
static obj_t BGl_patchz12zd2conditional2889zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_patchz12zd2jumpzd2exzd2it2901zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
static obj_t BGl__specializa7edzd2globalzd2fix3335za7zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t, obj_t);
static BgL_nodez00_bglt BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
extern obj_t BGl_externz00zzast_nodez00;
static obj_t BGl__allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7(obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl__arithmeticzd2operatorzf33331z21zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_patchz12zd2appzd2ly2879z12zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__patchz12zd2default2866zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__specializa7ez12zb5zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_patchz12zd2select2893zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_patchz12zd2cast2885zc0zzcfa_specializa7eza7(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_za2realza2z00zztype_cachez00;
static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
extern obj_t BGl_setqz00zzast_nodez00;
static BgL_specializa7edzd2globalz75_bglt BGl_makezd2specializa7edzd2globalza7zzcfa_specializa7eza7(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_patchz12zd2boxzd2ref2907z12zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t BGl_patchz12zd2boxzd2setz122905z00zzcfa_specializa7eza7(obj_t, obj_t);
static obj_t __cnst[ 11 ] ;

DEFINE_STATIC_PROCEDURE( BGl_makezd2specializa7edzd2globalzd2envz75zzcfa_specializa7eza7, BgL_bgl__makeza7d2specializa7a7edza7d2global3334za7a7za7za7cfa_specializa7a7eza7a73384z00, BGl__makezd2specializa7edzd2global3334za7zzcfa_specializa7eza7, 0L, 17 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7, BgL_bgl__arithmeticza7d2specza7d2types3332za700za7za7cfa_specializa7a7eza7a73385za7, BGl__arithmeticzd2speczd2types3332z00zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STRING( BGl_string3379z00zzcfa_specializa7eza7, BgL_bgl_string3379za700za7za7cfa_specializa7a7eza7a73386za7, "patch!-default2866 fix specialized-global jvm done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (2+ (2+ __r4_numbers_6_5) (+fx __r4_"
"numbers_6_5_fixnum) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fx __r4_numbers_6_5_fixnum) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fx __r4_numbers_6_5_fixnum) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfx __r4_numbers_6_5_fixnum) (absfl __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ", 1961 );
DEFINE_STRING( BGl_string3378z00zzcfa_specializa7eza7, BgL_bgl_string3378za700za7za7cfa_specializa7a7eza7a73387za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string3377z00zzcfa_specializa7eza7, BgL_bgl_string3377za700za7za7cfa_specializa7a7eza7a73388za7, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string3376z00zzcfa_specializa7eza7, BgL_bgl_string3376za700za7za7cfa_specializa7a7eza7a73389za7, "patch!", 6 );
DEFINE_STRING( BGl_string3352z00zzcfa_specializa7eza7, BgL_bgl_string3352za700za7za7cfa_specializa7a7eza7a73390za7, "install-specialize!", 19 );
DEFINE_STRING( BGl_string3351z00zzcfa_specializa7eza7, BgL_bgl_string3351za700za7za7cfa_specializa7a7eza7a73391za7, "Can't find global", 17 );
DEFINE_STRING( BGl_string3350z00zzcfa_specializa7eza7, BgL_bgl_string3350za700za7za7cfa_specializa7a7eza7a73392za7, " -- ", 4 );
DEFINE_STRING( BGl_string3349z00zzcfa_specializa7eza7, BgL_bgl_string3349za700za7za7cfa_specializa7a7eza7a73393za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string3348z00zzcfa_specializa7eza7, BgL_bgl_string3348za700za7za7cfa_specializa7a7eza7a73394za7, "install-specialize", 18 );
DEFINE_STRING( BGl_string3347z00zzcfa_specializa7eza7, BgL_bgl_string3347za700za7za7cfa_specializa7a7eza7a73395za7, "Unspecialized type", 18 );
DEFINE_STRING( BGl_string3346z00zzcfa_specializa7eza7, BgL_bgl_string3346za700za7za7cfa_specializa7a7eza7a73396za7, "add-specialized-type!", 21 );
DEFINE_STRING( BGl_string3345z00zzcfa_specializa7eza7, BgL_bgl_string3345za700za7za7cfa_specializa7a7eza7a73397za7, "        (eq? ", 13 );
DEFINE_STRING( BGl_string3344z00zzcfa_specializa7eza7, BgL_bgl_string3344za700za7za7cfa_specializa7a7eza7a73398za7, "        (-> ", 12 );
DEFINE_STRING( BGl_string3343z00zzcfa_specializa7eza7, BgL_bgl_string3343za700za7za7cfa_specializa7a7eza7a73399za7, ": ", 2 );
DEFINE_STRING( BGl_string3342z00zzcfa_specializa7eza7, BgL_bgl_string3342za700za7za7cfa_specializa7a7eza7a73400za7, ")\n", 2 );
DEFINE_STRING( BGl_string3341z00zzcfa_specializa7eza7, BgL_bgl_string3341za700za7za7cfa_specializa7a7eza7a73401za7, "   . specializing", 17 );
DEFINE_STRING( BGl_string3340z00zzcfa_specializa7eza7, BgL_bgl_string3340za700za7za7cfa_specializa7a7eza7a73402za7, "Null specification for", 22 );
DEFINE_STRING( BGl_string3339z00zzcfa_specializa7eza7, BgL_bgl_string3339za700za7za7cfa_specializa7a7eza7a73403za7, "arithmetic-spec-types", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7, BgL_bgl__arithmeticza7d2operatorza7f33331za721za7za7cfa_specializa7a7eza7a73404za7, BGl__arithmeticzd2operatorzf33331z21zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_patchz12zd2default2866zd2envz12zzcfa_specializa7eza7, BgL_bgl__patchza712za7d2default2866za7c0za7za7cfa_specializa7a7eza7a73405za7, BGl__patchz12zd2default2866zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7, BgL_bgl__specializa7a7eza712za7b5za7za7cfa_specializa7a7eza7a73406za7, BGl__specializa7ez12zb5zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_specializa7edzd2globalzd2fixzd2envz75zzcfa_specializa7eza7, BgL_bgl__specializa7a7edza7d2globalza7d2fix3335za7a7za7za7cfa_specializa7a7eza7a73407z00, BGl__specializa7edzd2globalzd2fix3335za7zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3353z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2atom2869za7c0za7za7cfa_specializa7a7eza7a73408za7, BGl_patchz12zd2atom2869zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3354z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2kwote2871za7c0za7za7cfa_specializa7a7eza7a73409za7, BGl_patchz12zd2kwote2871zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3355z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2var2873za7c0za7za7cfa_specializa7a7eza7a73410za7, BGl_patchz12zd2var2873zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3356z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2closure2875za7c0za7za7cfa_specializa7a7eza7a73411za7, BGl_patchz12zd2closure2875zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3357z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2sequence2877za7c0za7za7cfa_specializa7a7eza7a73412za7, BGl_patchz12zd2sequence2877zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3358z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2appza7d2ly2879za712za7za7cfa_specializa7a7eza7a73413z00, BGl_patchz12zd2appzd2ly2879z12zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3360z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2extern2883za7c0za7za7cfa_specializa7a7eza7a73414za7, BGl_patchz12zd2extern2883zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3359z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2funcall2881za7c0za7za7cfa_specializa7a7eza7a73415za7, BGl_patchz12zd2funcall2881zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3361z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2cast2885za7c0za7za7cfa_specializa7a7eza7a73416za7, BGl_patchz12zd2cast2885zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3362z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2setq2887za7c0za7za7cfa_specializa7a7eza7a73417za7, BGl_patchz12zd2setq2887zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3363z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2conditional2889za7c0za7za7cfa_specializa7a7eza7a73418za7, BGl_patchz12zd2conditional2889zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3364z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2fail2891za7c0za7za7cfa_specializa7a7eza7a73419za7, BGl_patchz12zd2fail2891zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3365z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2select2893za7c0za7za7cfa_specializa7a7eza7a73420za7, BGl_patchz12zd2select2893zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3366z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2letza7d2fun2895za712za7za7cfa_specializa7a7eza7a73421z00, BGl_patchz12zd2letzd2fun2895z12zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3367z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2letza7d2var2897za712za7za7cfa_specializa7a7eza7a73422z00, BGl_patchz12zd2letzd2var2897z12zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3368z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2setza7d2exza7d2it2899za7c0za7za7cfa_specializa7a7eza7a73423za7, BGl_patchz12zd2setzd2exzd2it2899zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3370z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2makeza7d2box2903za712za7za7cfa_specializa7a7eza7a73424z00, BGl_patchz12zd2makezd2box2903z12zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3369z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2jumpza7d2exza7d2it2901za7c0za7za7cfa_specializa7a7eza7a73425za7, BGl_patchz12zd2jumpzd2exzd2it2901zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3371z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2boxza7d2setza7122905za700za7za7cfa_specializa7a7eza7a73426za7, BGl_patchz12zd2boxzd2setz122905z00zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3372z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2boxza7d2ref2907za712za7za7cfa_specializa7a7eza7a73427z00, BGl_patchz12zd2boxzd2ref2907z12zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3373z00zzcfa_specializa7eza7, BgL_bgl_patchza712za7d2app2909za7c0za7za7cfa_specializa7a7eza7a73428za7, BGl_patchz12zd2app2909zc0zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3374z00zzcfa_specializa7eza7, BgL_bgl_objectza7d2za7e3structza7d2specializa7a7edza7d2global2911za796za7za7cfa_specializa7a7eza7a73429z00, BGl_objectzd2ze3structzd2specializa7edzd2global2911z96zzcfa_specializa7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3375z00zzcfa_specializa7eza7, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2specializa7a7edza7d2global2913za724za7za7cfa_specializa7a7eza7a73430za7, BGl_structzb2objectzd2ze3objectzd2specializa7edzd2global2913z24zzcfa_specializa7eza7, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2specializa7edzd2globalzd2envz75zzcfa_specializa7eza7, BgL_bgl__allocateza7d2specializa7a7edza7d2globalza7a7za7za7cfa_specializa7a7eza7a73431z00, BGl__allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7, 0L, 0 );
DEFINE_STATIC_GENERIC( BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_bgl__patchza7123333za712za7za7cfa_specializa7a7eza7a73432z00, BGl__patchz123333z12zzcfa_specializa7eza7, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long BgL_checksumz00_4070, char * BgL_fromz00_4071)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
{ 
BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7(); 
BGl_cnstzd2initzd2zzcfa_specializa7eza7(); 
BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7(); 
BGl_objectzd2initzd2zzcfa_specializa7eza7(); 
BGl_methodzd2initzd2zzcfa_specializa7eza7(); 
BGl_toplevelzd2initzd2zzcfa_specializa7eza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cfa_specialize"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
{ /* Cfa/specialize.scm 19 */
obj_t BgL_cportz00_4063;
BgL_cportz00_4063 = 
open_input_string(BGl_string3379z00zzcfa_specializa7eza7); 
{ 
long BgL_iz00_4064;
BgL_iz00_4064 = ((long)10); 
BgL_loopz00_4065:
if(
(BgL_iz00_4064==((long)-1)))
{ /* Cfa/specialize.scm 19 */
return BUNSPEC;}  else 
{ /* Cfa/specialize.scm 19 */
{ /* Cfa/specialize.scm 19 */
obj_t BgL_arg3381z00_4067;
{ /* Cfa/specialize.scm 19 */
obj_t BgL_list3382z00_4068;
BgL_list3382z00_4068 = 
MAKE_PAIR(BgL_cportz00_4063, BNIL); 
BgL_arg3381z00_4067 = 
BGl_readz00zz__readerz00(BgL_list3382z00_4068); } 
{ /* Cfa/specialize.scm 19 */
int BgL_auxz00_4090;
BgL_auxz00_4090 = 
(int)(BgL_iz00_4064); 
CNST_TABLE_SET(BgL_auxz00_4090, BgL_arg3381z00_4067); } } 
{ 
long BgL_iz00_4093;
{ /* Cfa/specialize.scm 19 */
int BgL_auxz00_4094;
{ /* Cfa/specialize.scm 19 */
long BgL_auxz00_4095;
BgL_auxz00_4095 = 
(BgL_iz00_4064-((long)1)); 
BgL_auxz00_4094 = 
(int)(BgL_auxz00_4095); } 
BgL_iz00_4093 = 
(long)(BgL_auxz00_4094); } 
BgL_iz00_4064 = BgL_iz00_4093; 
goto BgL_loopz00_4065;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC; 
BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL; 
BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL; 
BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL; 
BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC; 
return BUNSPEC;} 
}



/* arithmetic-operator? */
obj_t BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt BgL_globalz00_1)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 42 */
{ /* Cfa/specialize.scm 44 */
obj_t BgL_cellz00_1386;
BgL_cellz00_1386 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1))->BgL_idz00), BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7); 
if(
PAIRP(BgL_cellz00_1386))
{ /* Cfa/specialize.scm 46 */
bool_t BgL_auxz00_4104;
{ /* Cfa/specialize.scm 46 */
obj_t BgL_auxz00_4113;obj_t BgL_auxz00_4105;
BgL_auxz00_4113 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_1))->BgL_modulez00); 
{ /* Cfa/specialize.scm 46 */
obj_t BgL_auxz00_4106;
{ /* Cfa/specialize.scm 46 */
obj_t BgL_auxz00_4107;
{ /* Cfa/specialize.scm 46 */
obj_t BgL_auxz00_4108;
BgL_auxz00_4108 = 
CDR(BgL_cellz00_1386); 
BgL_auxz00_4107 = 
CAR(BgL_auxz00_4108); } 
BgL_auxz00_4106 = 
CDR(BgL_auxz00_4107); } 
BgL_auxz00_4105 = 
CAR(BgL_auxz00_4106); } 
BgL_auxz00_4104 = 
(BgL_auxz00_4105==BgL_auxz00_4113); } 
return 
BBOOL(BgL_auxz00_4104);}  else 
{ /* Cfa/specialize.scm 45 */
return BFALSE;} } } 
}



/* _arithmetic-operator?3331 */
obj_t BGl__arithmeticzd2operatorzf33331z21zzcfa_specializa7eza7(obj_t BgL_envz00_3957, obj_t BgL_globalz00_3958)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 42 */
return 
BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_globalz00_3958));} 
}



/* arithmetic-spec-types */
obj_t BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt BgL_globalz00_2)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 55 */
{ /* Cfa/specialize.scm 57 */
obj_t BgL_cellz00_1393;
BgL_cellz00_1393 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_2))->BgL_idz00), BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7); 
if(
PAIRP(BgL_cellz00_1393))
{ 
obj_t BgL_specz00_1395;obj_t BgL_typesz00_1396;
{ /* Cfa/specialize.scm 60 */
obj_t BgL_auxz00_4160;
BgL_auxz00_4160 = 
CDR(BgL_cellz00_1393); 
BgL_specz00_1395 = 
CDR(BgL_auxz00_4160); } 
BgL_typesz00_1396 = BNIL; 
BgL_loopz00_1397:
if(
NULLP(BgL_specz00_1395))
{ /* Cfa/specialize.scm 63 */
if(
NULLP(BgL_typesz00_1396))
{ /* Cfa/specialize.scm 65 */
obj_t BgL_arg2925z00_1404;
BgL_arg2925z00_1404 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_globalz00_2)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3339z00zzcfa_specializa7eza7, BGl_string3340z00zzcfa_specializa7eza7, BgL_arg2925z00_1404);}  else 
{ /* Cfa/specialize.scm 64 */
return BgL_typesz00_1396;} }  else 
{ /* Cfa/specialize.scm 69 */
bool_t BgL_testz00_4130;
{ /* Cfa/specialize.scm 69 */
obj_t BgL_auxz00_4137;obj_t BgL_auxz00_4131;
BgL_auxz00_4137 = 
CNST_TABLE_REF(((long)1)); 
{ /* Cfa/specialize.scm 69 */
obj_t BgL_auxz00_4132;
{ /* Cfa/specialize.scm 69 */
obj_t BgL_auxz00_4133;
BgL_auxz00_4133 = 
CAR(BgL_specz00_1395); 
BgL_auxz00_4132 = 
CDR(BgL_auxz00_4133); } 
BgL_auxz00_4131 = 
CAR(BgL_auxz00_4132); } 
BgL_testz00_4130 = 
(BgL_auxz00_4131==BgL_auxz00_4137); } 
if(BgL_testz00_4130)
{ /* Cfa/specialize.scm 69 */
{ /* Cfa/specialize.scm 70 */
obj_t BgL_arg2927z00_1406;obj_t BgL_arg2928z00_1407;
BgL_arg2927z00_1406 = 
CDR(BgL_specz00_1395); 
BgL_arg2928z00_1407 = 
MAKE_PAIR(BGl_za2longza2z00zztype_cachez00, BgL_typesz00_1396); 
{ 
obj_t BgL_typesz00_4143;obj_t BgL_specz00_4142;
BgL_specz00_4142 = BgL_arg2927z00_1406; 
BgL_typesz00_4143 = BgL_arg2928z00_1407; 
BgL_typesz00_1396 = BgL_typesz00_4143; 
BgL_specz00_1395 = BgL_specz00_4142; 
goto BgL_loopz00_1397;} } }  else 
{ /* Cfa/specialize.scm 71 */
bool_t BgL_testz00_4144;
{ /* Cfa/specialize.scm 71 */
obj_t BgL_auxz00_4151;obj_t BgL_auxz00_4145;
BgL_auxz00_4151 = 
CNST_TABLE_REF(((long)2)); 
{ /* Cfa/specialize.scm 71 */
obj_t BgL_auxz00_4146;
{ /* Cfa/specialize.scm 71 */
obj_t BgL_auxz00_4147;
BgL_auxz00_4147 = 
CAR(BgL_specz00_1395); 
BgL_auxz00_4146 = 
CDR(BgL_auxz00_4147); } 
BgL_auxz00_4145 = 
CAR(BgL_auxz00_4146); } 
BgL_testz00_4144 = 
(BgL_auxz00_4145==BgL_auxz00_4151); } 
if(BgL_testz00_4144)
{ /* Cfa/specialize.scm 71 */
{ /* Cfa/specialize.scm 72 */
obj_t BgL_arg2930z00_1409;obj_t BgL_arg2931z00_1410;
BgL_arg2930z00_1409 = 
CDR(BgL_specz00_1395); 
BgL_arg2931z00_1410 = 
MAKE_PAIR(BGl_za2realza2z00zztype_cachez00, BgL_typesz00_1396); 
{ 
obj_t BgL_typesz00_4157;obj_t BgL_specz00_4156;
BgL_specz00_4156 = BgL_arg2930z00_1409; 
BgL_typesz00_4157 = BgL_arg2931z00_1410; 
BgL_typesz00_1396 = BgL_typesz00_4157; 
BgL_specz00_1395 = BgL_specz00_4156; 
goto BgL_loopz00_1397;} } }  else 
{ /* Cfa/specialize.scm 71 */
{ 
obj_t BgL_specz00_4158;
BgL_specz00_4158 = 
CDR(BgL_specz00_1395); 
BgL_specz00_1395 = BgL_specz00_4158; 
goto BgL_loopz00_1397;} } } } }  else 
{ /* Cfa/specialize.scm 58 */
return BNIL;} } } 
}



/* _arithmetic-spec-types3332 */
obj_t BGl__arithmeticzd2speczd2types3332z00zzcfa_specializa7eza7(obj_t BgL_envz00_3959, obj_t BgL_globalz00_3960)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 55 */
return 
BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_globalz00_3960));} 
}



/* specialize-optimization? */
bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 145 */
{ /* Cfa/specialize.scm 146 */
bool_t BgL__andtest_2808z00_1419;
{ /* Cfa/specialize.scm 146 */
long BgL_n1z00_2293;
BgL_n1z00_2293 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL__andtest_2808z00_1419 = 
(BgL_n1z00_2293>=((long)1)); } 
if(BgL__andtest_2808z00_1419)
{ /* Cfa/specialize.scm 146 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Cfa/specialize.scm 146 */
return ((bool_t)0);}  else 
{ /* Cfa/specialize.scm 146 */
return ((bool_t)1);} }  else 
{ /* Cfa/specialize.scm 146 */
return ((bool_t)0);} } } 
}



/* show-specialize */
bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 151 */
{ /* Cfa/specialize.scm 152 */
obj_t BgL_list2940z00_1420;
{ /* Cfa/specialize.scm 152 */
obj_t BgL_arg2942z00_1422;
{ /* Cfa/specialize.scm 152 */
obj_t BgL_auxz00_4170;
BgL_auxz00_4170 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2942z00_1422 = 
MAKE_PAIR(BgL_auxz00_4170, BNIL); } 
BgL_list2940z00_1420 = 
MAKE_PAIR(BGl_string3341z00zzcfa_specializa7eza7, BgL_arg2942z00_1422); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2940z00_1420); } 
{ 
obj_t BgL_l2809z00_1423;
BgL_l2809z00_1423 = BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7; 
BgL_lname2810z00_1424:
if(
PAIRP(BgL_l2809z00_1423))
{ /* Cfa/specialize.scm 153 */
{ /* Cfa/specialize.scm 154 */
obj_t BgL_typeze2numze2_1426;
BgL_typeze2numze2_1426 = 
CAR(BgL_l2809z00_1423); 
{ /* Cfa/specialize.scm 154 */
bool_t BgL_testz00_4179;
{ /* Cfa/specialize.scm 154 */
long BgL_auxz00_4180;
{ /* Cfa/specialize.scm 154 */
obj_t BgL_auxz00_4181;
BgL_auxz00_4181 = 
CDR(BgL_typeze2numze2_1426); 
BgL_auxz00_4180 = 
(long)CINT(BgL_auxz00_4181); } 
BgL_testz00_4179 = 
(BgL_auxz00_4180>((long)0)); } 
if(BgL_testz00_4179)
{ /* Cfa/specialize.scm 155 */
obj_t BgL_arg2947z00_1430;obj_t BgL_arg2949z00_1432;
BgL_arg2947z00_1430 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_typeze2numze2_1426)); 
BgL_arg2949z00_1432 = 
CDR(BgL_typeze2numze2_1426); 
{ /* Cfa/specialize.scm 155 */
obj_t BgL_list2951z00_1434;
{ /* Cfa/specialize.scm 155 */
obj_t BgL_arg2952z00_1435;
{ /* Cfa/specialize.scm 155 */
obj_t BgL_arg2953z00_1436;
{ /* Cfa/specialize.scm 155 */
obj_t BgL_arg2954z00_1437;
{ /* Cfa/specialize.scm 155 */
obj_t BgL_arg2955z00_1438;
BgL_arg2955z00_1438 = 
MAKE_PAIR(BGl_string3342z00zzcfa_specializa7eza7, BNIL); 
BgL_arg2954z00_1437 = 
MAKE_PAIR(BgL_arg2949z00_1432, BgL_arg2955z00_1438); } 
BgL_arg2953z00_1436 = 
MAKE_PAIR(BGl_string3343z00zzcfa_specializa7eza7, BgL_arg2954z00_1437); } 
BgL_arg2952z00_1435 = 
MAKE_PAIR(BgL_arg2947z00_1430, BgL_arg2953z00_1436); } 
BgL_list2951z00_1434 = 
MAKE_PAIR(BGl_string3344z00zzcfa_specializa7eza7, BgL_arg2952z00_1435); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2951z00_1434); } }  else 
{ /* Cfa/specialize.scm 154 */BFALSE; } } } 
{ 
obj_t BgL_l2809z00_4195;
BgL_l2809z00_4195 = 
CDR(BgL_l2809z00_1423); 
BgL_l2809z00_1423 = BgL_l2809z00_4195; 
goto BgL_lname2810z00_1424;} }  else 
{ /* Cfa/specialize.scm 153 */((bool_t)1); } } 
{ 
obj_t BgL_l2811z00_1443;
BgL_l2811z00_1443 = BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7; 
BgL_lname2812z00_1444:
if(
PAIRP(BgL_l2811z00_1443))
{ /* Cfa/specialize.scm 158 */
{ /* Cfa/specialize.scm 159 */
obj_t BgL_typeze2numze2_1446;
BgL_typeze2numze2_1446 = 
CAR(BgL_l2811z00_1443); 
{ /* Cfa/specialize.scm 159 */
bool_t BgL_testz00_4200;
{ /* Cfa/specialize.scm 159 */
long BgL_auxz00_4201;
{ /* Cfa/specialize.scm 159 */
obj_t BgL_auxz00_4202;
BgL_auxz00_4202 = 
CDR(BgL_typeze2numze2_1446); 
BgL_auxz00_4201 = 
(long)CINT(BgL_auxz00_4202); } 
BgL_testz00_4200 = 
(BgL_auxz00_4201>((long)0)); } 
if(BgL_testz00_4200)
{ /* Cfa/specialize.scm 160 */
obj_t BgL_arg2964z00_1450;obj_t BgL_arg2966z00_1452;
BgL_arg2964z00_1450 = 
BGl_shapez00zztools_shapez00(
CAR(BgL_typeze2numze2_1446)); 
BgL_arg2966z00_1452 = 
CDR(BgL_typeze2numze2_1446); 
{ /* Cfa/specialize.scm 160 */
obj_t BgL_list2968z00_1454;
{ /* Cfa/specialize.scm 160 */
obj_t BgL_arg2969z00_1455;
{ /* Cfa/specialize.scm 160 */
obj_t BgL_arg2970z00_1456;
{ /* Cfa/specialize.scm 160 */
obj_t BgL_arg2971z00_1457;
{ /* Cfa/specialize.scm 160 */
obj_t BgL_arg2972z00_1458;
BgL_arg2972z00_1458 = 
MAKE_PAIR(BGl_string3342z00zzcfa_specializa7eza7, BNIL); 
BgL_arg2971z00_1457 = 
MAKE_PAIR(BgL_arg2966z00_1452, BgL_arg2972z00_1458); } 
BgL_arg2970z00_1456 = 
MAKE_PAIR(BGl_string3343z00zzcfa_specializa7eza7, BgL_arg2971z00_1457); } 
BgL_arg2969z00_1455 = 
MAKE_PAIR(BgL_arg2964z00_1450, BgL_arg2970z00_1456); } 
BgL_list2968z00_1454 = 
MAKE_PAIR(BGl_string3345z00zzcfa_specializa7eza7, BgL_arg2969z00_1455); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2968z00_1454); } }  else 
{ /* Cfa/specialize.scm 159 */BFALSE; } } } 
{ 
obj_t BgL_l2811z00_4216;
BgL_l2811z00_4216 = 
CDR(BgL_l2811z00_1443); 
BgL_l2811z00_1443 = BgL_l2811z00_4216; 
goto BgL_lname2812z00_1444;} }  else 
{ /* Cfa/specialize.scm 158 */
return ((bool_t)1);} } } 
}



/* install-specialized-type! */
obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t BgL_typez00_3)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 175 */
{ /* Cfa/specialize.scm 176 */
bool_t BgL_test2977z00_1463;
{ /* Cfa/specialize.scm 176 */
obj_t BgL_arg2981z00_1467;
BgL_arg2981z00_1467 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_3, BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7); 
BgL_test2977z00_1463 = 
PAIRP(BgL_arg2981z00_1467); } 
if(BgL_test2977z00_1463)
{ /* Cfa/specialize.scm 176 */
return BFALSE;}  else 
{ /* Cfa/specialize.scm 176 */
{ /* Cfa/specialize.scm 178 */
obj_t BgL_arg2978z00_1464;
{ /* Cfa/specialize.scm 178 */
obj_t BgL_auxz00_4221;
BgL_auxz00_4221 = 
BINT(((long)0)); 
BgL_arg2978z00_1464 = 
MAKE_PAIR(BgL_typez00_3, BgL_auxz00_4221); } 
BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = 
MAKE_PAIR(BgL_arg2978z00_1464, BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7); } 
{ /* Cfa/specialize.scm 179 */
obj_t BgL_list2979z00_1465;
{ /* Cfa/specialize.scm 179 */
obj_t BgL_auxz00_4225;
BgL_auxz00_4225 = 
CNST_TABLE_REF(((long)3)); 
BgL_list2979z00_1465 = 
MAKE_PAIR(BgL_auxz00_4225, BNIL); } 
BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)4)), BgL_list2979z00_1465); } 
{ /* Cfa/specialize.scm 180 */
obj_t BgL_list2980z00_1466;
{ /* Cfa/specialize.scm 180 */
obj_t BgL_auxz00_4230;
BgL_auxz00_4230 = 
CNST_TABLE_REF(((long)3)); 
BgL_list2980z00_1466 = 
MAKE_PAIR(BgL_auxz00_4230, BNIL); } 
return ( 
BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)5)), BgL_list2980z00_1466), BUNSPEC) ;} } } } 
}



/* add-specialized-type! */
obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(BgL_typez00_bglt BgL_typez00_4)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 185 */
{ /* Cfa/specialize.scm 186 */
obj_t BgL_cellz00_1468;
BgL_cellz00_1468 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_typez00_4), BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7); 
if(
PAIRP(BgL_cellz00_1468))
{ /* Cfa/specialize.scm 191 */
obj_t BgL_auxz00_4239;
{ /* Cfa/specialize.scm 191 */
long BgL_auxz00_4240;
{ /* Cfa/specialize.scm 191 */
long BgL_auxz00_4241;
{ /* Cfa/specialize.scm 191 */
obj_t BgL_auxz00_4242;
BgL_auxz00_4242 = 
CDR(BgL_cellz00_1468); 
BgL_auxz00_4241 = 
(long)CINT(BgL_auxz00_4242); } 
BgL_auxz00_4240 = 
(((long)1)+BgL_auxz00_4241); } 
BgL_auxz00_4239 = 
BINT(BgL_auxz00_4240); } 
return 
SET_CDR(BgL_cellz00_1468, BgL_auxz00_4239);}  else 
{ /* Cfa/specialize.scm 188 */
obj_t BgL_arg2988z00_1475;
BgL_arg2988z00_1475 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_typez00_4)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3346z00zzcfa_specializa7eza7, BGl_string3347z00zzcfa_specializa7eza7, BgL_arg2988z00_1475);} } } 
}



/* add-specialized-eq-type! */
obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t BgL_typez00_5)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 196 */
{ /* Cfa/specialize.scm 197 */
obj_t BgL_cellz00_1476;
BgL_cellz00_1476 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_5, BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7); 
if(
PAIRP(BgL_cellz00_1476))
{ /* Cfa/specialize.scm 201 */
obj_t BgL_auxz00_4254;
{ /* Cfa/specialize.scm 201 */
long BgL_auxz00_4255;
{ /* Cfa/specialize.scm 201 */
long BgL_auxz00_4256;
{ /* Cfa/specialize.scm 201 */
obj_t BgL_auxz00_4257;
BgL_auxz00_4257 = 
CDR(BgL_cellz00_1476); 
BgL_auxz00_4256 = 
(long)CINT(BgL_auxz00_4257); } 
BgL_auxz00_4255 = 
(((long)1)+BgL_auxz00_4256); } 
BgL_auxz00_4254 = 
BINT(BgL_auxz00_4255); } 
return 
SET_CDR(BgL_cellz00_1476, BgL_auxz00_4254);}  else 
{ /* Cfa/specialize.scm 199 */
obj_t BgL_arg2993z00_1481;
{ /* Cfa/specialize.scm 199 */
obj_t BgL_auxz00_4263;
BgL_auxz00_4263 = 
BINT(((long)1)); 
BgL_arg2993z00_1481 = 
MAKE_PAIR(BgL_typez00_5, BgL_auxz00_4263); } 
return ( 
BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = 
MAKE_PAIR(BgL_arg2993z00_1481, BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7), BUNSPEC) ;} } } 
}



/* install-specialize! */
obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t BgL_genz00_6, obj_t BgL_fixesz00_7)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 206 */
{ /* Cfa/specialize.scm 207 */
obj_t BgL_genzd2idzd2_1482;
BgL_genzd2idzd2_1482 = 
CAR(BgL_genz00_6); 
{ /* Cfa/specialize.scm 207 */
obj_t BgL_genzd2modzd2_1483;
{ /* Cfa/specialize.scm 208 */
obj_t BgL_auxz00_4268;
BgL_auxz00_4268 = 
CDR(BgL_genz00_6); 
BgL_genzd2modzd2_1483 = 
CAR(BgL_auxz00_4268); } 
{ /* Cfa/specialize.scm 208 */
obj_t BgL_genericz00_1484;
BgL_genericz00_1484 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_genzd2idzd2_1482, BgL_genzd2modzd2_1483); 
{ /* Cfa/specialize.scm 209 */

{ /* Cfa/specialize.scm 210 */
bool_t BgL_test2994z00_1485;
BgL_test2994z00_1485 = 
BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_1484, BGl_globalz00zzast_varz00); 
if(BgL_test2994z00_1485)
{ 
obj_t BgL_fixesz00_1486;obj_t BgL_resz00_1487;
BgL_fixesz00_1486 = BgL_fixesz00_7; 
BgL_resz00_1487 = BNIL; 
BgL_loopz00_1488:
if(
NULLP(BgL_fixesz00_1486))
{ /* Cfa/specialize.scm 213 */
{ /* Cfa/specialize.scm 215 */
BgL_specializa7edzd2globalz75_bglt BgL_obj2813z00_1490;
BgL_obj2813z00_1490 = 
((BgL_specializa7edzd2globalz75_bglt)BgL_genericz00_1484); 
{ /* Cfa/specialize.scm 216 */
BgL_specializa7edzd2globalz75_bglt BgL_arg2996z00_1491;
{ /* Cfa/specialize.scm 216 */
obj_t BgL_arg2997z00_1492;
BgL_arg2997z00_1492 = BgL_resz00_1487; 
{ /* Cfa/specialize.scm 215 */
BgL_specializa7edzd2globalz75_bglt BgL_res3257z00_2337;
{ /* Cfa/specialize.scm 215 */
BgL_specializa7edzd2globalz75_bglt BgL_new2722z00_2332;
BgL_new2722z00_2332 = 
((BgL_specializa7edzd2globalz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_specializa7edzd2globalz75_bgl)))); 
{ /* Cfa/specialize.scm 215 */
BgL_specializa7edzd2globalz75_bglt BgL_res3256z00_2336;
((((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_new2722z00_2332))->BgL_fixz00) = ((obj_t)BgL_arg2997z00_1492), BUNSPEC); 
BgL_res3256z00_2336 = BgL_new2722z00_2332; BgL_res3256z00_2336; } 
BgL_res3257z00_2337 = BgL_new2722z00_2332; } 
BgL_arg2996z00_1491 = BgL_res3257z00_2337; } } 
{ /* Cfa/specialize.scm 215 */
obj_t BgL_auxz00_4281;BgL_objectz00_bglt BgL_auxz00_4279;
BgL_auxz00_4281 = 
(obj_t)(BgL_arg2996z00_1491); 
BgL_auxz00_4279 = 
(BgL_objectz00_bglt)(BgL_obj2813z00_1490); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4279, BgL_auxz00_4281); } } 
{ /* Cfa/specialize.scm 215 */
long BgL_auxz00_4286;BgL_objectz00_bglt BgL_auxz00_4284;
BgL_auxz00_4286 = 
BGl_classzd2numzd2zz__objectz00(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
BgL_auxz00_4284 = 
(BgL_objectz00_bglt)(BgL_obj2813z00_1490); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4284, BgL_auxz00_4286); } 
{ /* Cfa/specialize.scm 215 */
obj_t BgL_auxz00_4289;
BgL_auxz00_4289 = 
(obj_t)(BgL_obj2813z00_1490); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4289); } BUNSPEC; BgL_obj2813z00_1490; } 
return ( 
BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = 
MAKE_PAIR(BgL_genericz00_1484, BGl_za2specializa7eza2za7zzcfa_specializa7eza7), BUNSPEC) ;}  else 
{ /* Cfa/specialize.scm 218 */
obj_t BgL_fixz00_1494;
BgL_fixz00_1494 = 
CAR(BgL_fixesz00_1486); 
{ /* Cfa/specialize.scm 218 */
obj_t BgL_idz00_1495;
BgL_idz00_1495 = 
CAR(BgL_fixz00_1494); 
{ /* Cfa/specialize.scm 219 */
obj_t BgL_modz00_1496;
{ /* Cfa/specialize.scm 220 */
obj_t BgL_auxz00_4295;
BgL_auxz00_4295 = 
CDR(BgL_fixz00_1494); 
BgL_modz00_1496 = 
CAR(BgL_auxz00_4295); } 
{ /* Cfa/specialize.scm 220 */
obj_t BgL_globalz00_1497;
BgL_globalz00_1497 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1495, BgL_modz00_1496); 
{ /* Cfa/specialize.scm 221 */

{ /* Cfa/specialize.scm 222 */
bool_t BgL_test2999z00_1498;
BgL_test2999z00_1498 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1497, BGl_globalz00zzast_varz00); 
if(BgL_test2999z00_1498)
{ /* Cfa/specialize.scm 223 */
BgL_valuez00_bglt BgL_valz00_1499;
{ /* Cfa/specialize.scm 223 */
BgL_globalz00_bglt BgL_obj1155z00_2348;
BgL_obj1155z00_2348 = 
(BgL_globalz00_bglt)(BgL_globalz00_1497); 
BgL_valz00_1499 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2348))->BgL_valuez00); } 
{ /* Cfa/specialize.scm 225 */
bool_t BgL_test3000z00_1500;
{ /* Cfa/specialize.scm 225 */
bool_t BgL_test3017z00_1520;
BgL_test3017z00_1520 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1499), BGl_sfunz00zzast_varz00); 
if(BgL_test3017z00_1520)
{ /* Cfa/specialize.scm 225 */
obj_t BgL_auxz00_4306;
{ /* Cfa/specialize.scm 225 */
BgL_sfunz00_bglt BgL_obj1369z00_2350;
BgL_obj1369z00_2350 = 
(BgL_sfunz00_bglt)(BgL_valz00_1499); 
BgL_auxz00_4306 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2350))->BgL_argsz00); } 
BgL_test3000z00_1500 = 
PAIRP(BgL_auxz00_4306); }  else 
{ /* Cfa/specialize.scm 225 */
BgL_test3000z00_1500 = ((bool_t)0); } } 
if(BgL_test3000z00_1500)
{ /* Cfa/specialize.scm 225 */
{ /* Cfa/specialize.scm 226 */
obj_t BgL_typez00_1501;
{ /* Cfa/specialize.scm 226 */
obj_t BgL_vz00_1505;
{ /* Cfa/specialize.scm 226 */
obj_t BgL_auxz00_4311;
{ /* Cfa/specialize.scm 227 */
BgL_sfunz00_bglt BgL_obj1369z00_2352;
BgL_obj1369z00_2352 = 
(BgL_sfunz00_bglt)(BgL_valz00_1499); 
BgL_auxz00_4311 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2352))->BgL_argsz00); } 
BgL_vz00_1505 = 
CAR(BgL_auxz00_4311); } 
{ /* Cfa/specialize.scm 230 */
bool_t BgL_test3004z00_1506;
BgL_test3004z00_1506 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_1505, BGl_typez00zztype_typez00); 
if(BgL_test3004z00_1506)
{ /* Cfa/specialize.scm 230 */
BgL_typez00_1501 = BgL_vz00_1505; }  else 
{ /* Cfa/specialize.scm 232 */
bool_t BgL_test3005z00_1507;
BgL_test3005z00_1507 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_1505, BGl_localz00zzast_varz00); 
if(BgL_test3005z00_1507)
{ /* Cfa/specialize.scm 232 */
{ /* Cfa/specialize.scm 233 */
BgL_localz00_bglt BgL_obj1252z00_2356;
BgL_obj1252z00_2356 = 
(BgL_localz00_bglt)(BgL_vz00_1505); 
{ /* Cfa/specialize.scm 233 */
BgL_typez00_bglt BgL_auxz00_4320;
BgL_auxz00_4320 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_2356))->BgL_typez00); 
BgL_typez00_1501 = 
(obj_t)(BgL_auxz00_4320); } } }  else 
{ /* Cfa/specialize.scm 232 */
{ /* Cfa/specialize.scm 235 */
obj_t BgL_auxz00_4323;
{ /* Cfa/specialize.scm 238 */
BgL_globalz00_bglt BgL_obj1148z00_2357;
BgL_obj1148z00_2357 = 
(BgL_globalz00_bglt)(BgL_globalz00_1497); 
BgL_auxz00_4323 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2357))->BgL_idz00); } 
BgL_typez00_1501 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3348z00zzcfa_specializa7eza7, BGl_string3349z00zzcfa_specializa7eza7, BgL_auxz00_4323); } } } } } 
BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(BgL_typez00_1501); 
{ /* Cfa/specialize.scm 240 */
obj_t BgL_arg3001z00_1502;obj_t BgL_arg3002z00_1503;
BgL_arg3001z00_1502 = 
CDR(BgL_fixesz00_1486); 
{ /* Cfa/specialize.scm 241 */
obj_t BgL_arg3003z00_1504;
BgL_arg3003z00_1504 = 
MAKE_PAIR(BgL_typez00_1501, BgL_globalz00_1497); 
BgL_arg3002z00_1503 = 
MAKE_PAIR(BgL_arg3003z00_1504, BgL_resz00_1487); } 
{ 
obj_t BgL_resz00_4332;obj_t BgL_fixesz00_4331;
BgL_fixesz00_4331 = BgL_arg3001z00_1502; 
BgL_resz00_4332 = BgL_arg3002z00_1503; 
BgL_resz00_1487 = BgL_resz00_4332; 
BgL_fixesz00_1486 = BgL_fixesz00_4331; 
goto BgL_loopz00_1488;} } } }  else 
{ /* Cfa/specialize.scm 242 */
bool_t BgL_test3010z00_1512;
{ /* Cfa/specialize.scm 242 */
bool_t BgL_test3015z00_1518;
BgL_test3015z00_1518 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1499), BGl_cfunz00zzast_varz00); 
if(BgL_test3015z00_1518)
{ /* Cfa/specialize.scm 242 */
obj_t BgL_auxz00_4336;
{ /* Cfa/specialize.scm 242 */
BgL_cfunz00_bglt BgL_obj1443z00_2360;
BgL_obj1443z00_2360 = 
(BgL_cfunz00_bglt)(BgL_valz00_1499); 
BgL_auxz00_4336 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2360))->BgL_argszd2typezd2); } 
BgL_test3010z00_1512 = 
PAIRP(BgL_auxz00_4336); }  else 
{ /* Cfa/specialize.scm 242 */
BgL_test3010z00_1512 = ((bool_t)0); } } 
if(BgL_test3010z00_1512)
{ /* Cfa/specialize.scm 242 */
{ /* Cfa/specialize.scm 243 */
obj_t BgL_typez00_1513;
{ /* Cfa/specialize.scm 243 */
obj_t BgL_auxz00_4341;
{ /* Cfa/specialize.scm 243 */
BgL_cfunz00_bglt BgL_obj1443z00_2362;
BgL_obj1443z00_2362 = 
(BgL_cfunz00_bglt)(BgL_valz00_1499); 
BgL_auxz00_4341 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2362))->BgL_argszd2typezd2); } 
BgL_typez00_1513 = 
CAR(BgL_auxz00_4341); } 
BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(BgL_typez00_1513); 
{ /* Cfa/specialize.scm 245 */
obj_t BgL_arg3011z00_1514;obj_t BgL_arg3012z00_1515;
BgL_arg3011z00_1514 = 
CDR(BgL_fixesz00_1486); 
{ /* Cfa/specialize.scm 246 */
obj_t BgL_arg3013z00_1516;
BgL_arg3013z00_1516 = 
MAKE_PAIR(BgL_typez00_1513, BgL_globalz00_1497); 
BgL_arg3012z00_1515 = 
MAKE_PAIR(BgL_arg3013z00_1516, BgL_resz00_1487); } 
{ 
obj_t BgL_resz00_4350;obj_t BgL_fixesz00_4349;
BgL_fixesz00_4349 = BgL_arg3011z00_1514; 
BgL_resz00_4350 = BgL_arg3012z00_1515; 
BgL_resz00_1487 = BgL_resz00_4350; 
BgL_fixesz00_1486 = BgL_fixesz00_4349; 
goto BgL_loopz00_1488;} } } }  else 
{ /* Cfa/specialize.scm 242 */
return BFALSE;} } } }  else 
{ /* Cfa/specialize.scm 222 */
{ /* Cfa/specialize.scm 248 */
obj_t BgL_arg3022z00_1525;
BgL_arg3022z00_1525 = 
MAKE_PAIR(BgL_idz00_1495, BgL_modz00_1496); 
{ /* Cfa/specialize.scm 248 */
obj_t BgL_list3023z00_1526;
{ /* Cfa/specialize.scm 248 */
obj_t BgL_arg3024z00_1527;
{ /* Cfa/specialize.scm 248 */
obj_t BgL_arg3025z00_1528;
{ /* Cfa/specialize.scm 248 */
obj_t BgL_arg3026z00_1529;
BgL_arg3026z00_1529 = 
MAKE_PAIR(BgL_arg3022z00_1525, BNIL); 
BgL_arg3025z00_1528 = 
MAKE_PAIR(BGl_string3350z00zzcfa_specializa7eza7, BgL_arg3026z00_1529); } 
BgL_arg3024z00_1527 = 
MAKE_PAIR(BGl_string3351z00zzcfa_specializa7eza7, BgL_arg3025z00_1528); } 
BgL_list3023z00_1526 = 
MAKE_PAIR(BGl_string3352z00zzcfa_specializa7eza7, BgL_arg3024z00_1527); } 
BGl_warningz00zz__errorz00(BgL_list3023z00_1526); } } 
{ 
obj_t BgL_fixesz00_4357;
BgL_fixesz00_4357 = 
CDR(BgL_fixesz00_1486); 
BgL_fixesz00_1486 = BgL_fixesz00_4357; 
goto BgL_loopz00_1488;} } } } } } } } }  else 
{ /* Cfa/specialize.scm 253 */
obj_t BgL_arg3031z00_1534;
BgL_arg3031z00_1534 = 
MAKE_PAIR(BgL_genzd2idzd2_1482, BgL_genzd2modzd2_1483); 
{ /* Cfa/specialize.scm 253 */
obj_t BgL_list3032z00_1535;
{ /* Cfa/specialize.scm 253 */
obj_t BgL_arg3033z00_1536;
{ /* Cfa/specialize.scm 253 */
obj_t BgL_arg3034z00_1537;
{ /* Cfa/specialize.scm 253 */
obj_t BgL_arg3035z00_1538;
BgL_arg3035z00_1538 = 
MAKE_PAIR(BgL_arg3031z00_1534, BNIL); 
BgL_arg3034z00_1537 = 
MAKE_PAIR(BGl_string3350z00zzcfa_specializa7eza7, BgL_arg3035z00_1538); } 
BgL_arg3033z00_1536 = 
MAKE_PAIR(BGl_string3351z00zzcfa_specializa7eza7, BgL_arg3034z00_1537); } 
BgL_list3032z00_1535 = 
MAKE_PAIR(BGl_string3352z00zzcfa_specializa7eza7, BgL_arg3033z00_1536); } 
return 
BGl_warningz00zz__errorz00(BgL_list3032z00_1535);} } } } } } } } 
}



/* uninstall-specializes! */
obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 261 */
BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL; 
{ 
obj_t BgL_l2814z00_1539;
BgL_l2814z00_1539 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7; 
BgL_lname2815z00_1540:
if(
PAIRP(BgL_l2814z00_1539))
{ /* Cfa/specialize.scm 263 */
{ /* Cfa/specialize.scm 263 */
obj_t BgL_oz00_1542;
BgL_oz00_1542 = 
CAR(BgL_l2814z00_1539); 
{ /* Cfa/specialize.scm 263 */
long BgL_arg3037z00_1544;
{ /* Cfa/specialize.scm 263 */
obj_t BgL_arg3038z00_1545;
{ /* Cfa/specialize.scm 263 */
obj_t BgL_arg3039z00_1546;
{ /* Cfa/specialize.scm 263 */
long BgL_arg1224z00_2369;
{ /* Cfa/specialize.scm 263 */
long BgL_arg1225z00_2370;
{ /* Cfa/specialize.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4368;
BgL_auxz00_4368 = 
(BgL_objectz00_bglt)(BgL_oz00_1542); 
BgL_arg1225z00_2370 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4368); } 
BgL_arg1224z00_2369 = 
(BgL_arg1225z00_2370-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 263 */
obj_t BgL_vectorz00_2374;int BgL_kz00_2375;
BgL_vectorz00_2374 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_2375 = 
(int)(BgL_arg1224z00_2369); 
BgL_arg3039z00_1546 = 
VECTOR_REF(BgL_vectorz00_2374,BgL_kz00_2375); } } 
BgL_arg3038z00_1545 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg3039z00_1546); } 
BgL_arg3037z00_1544 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg3038z00_1545); } 
{ /* Cfa/specialize.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4376;
BgL_auxz00_4376 = 
(BgL_objectz00_bglt)(BgL_oz00_1542); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4376, BgL_arg3037z00_1544); } } 
{ /* Cfa/specialize.scm 263 */
BgL_objectz00_bglt BgL_auxz00_4379;
BgL_auxz00_4379 = 
(BgL_objectz00_bglt)(BgL_oz00_1542); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4379, BFALSE); } BgL_oz00_1542; } 
{ 
obj_t BgL_l2814z00_4382;
BgL_l2814z00_4382 = 
CDR(BgL_l2814z00_1539); 
BgL_l2814z00_1539 = BgL_l2814z00_4382; 
goto BgL_lname2815z00_1540;} }  else 
{ /* Cfa/specialize.scm 263 */((bool_t)1); } } 
return ( 
BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC) ;} 
}



/* specialize! */
obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t BgL_globalsz00_8)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 269 */
if(
BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
{ /* Cfa/specialize.scm 270 */
{ 
obj_t BgL_l2817z00_1549;
BgL_l2817z00_1549 = BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7; 
BgL_lname2818z00_1550:
if(
PAIRP(BgL_l2817z00_1549))
{ /* Cfa/specialize.scm 272 */
{ /* Cfa/specialize.scm 273 */
obj_t BgL_runner3044z00_1554;
{ /* Cfa/specialize.scm 273 */
obj_t BgL_auxz00_4388;
BgL_auxz00_4388 = 
CAR(BgL_l2817z00_1549); 
BgL_runner3044z00_1554 = 
CDR(BgL_auxz00_4388); } 
{ /* Cfa/specialize.scm 273 */
obj_t BgL_aux3043z00_1553;
{ /* Cfa/specialize.scm 273 */
obj_t BgL_pairz00_2382;
BgL_pairz00_2382 = BgL_runner3044z00_1554; 
BgL_aux3043z00_1553 = 
CAR(BgL_pairz00_2382); } 
{ /* Cfa/specialize.scm 273 */
obj_t BgL_pairz00_2383;
BgL_pairz00_2383 = BgL_runner3044z00_1554; 
BgL_runner3044z00_1554 = 
CDR(BgL_pairz00_2383); } 
BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(BgL_aux3043z00_1553, BgL_runner3044z00_1554); } } 
{ 
obj_t BgL_l2817z00_4394;
BgL_l2817z00_4394 = 
CDR(BgL_l2817z00_1549); 
BgL_l2817z00_1549 = BgL_l2817z00_4394; 
goto BgL_lname2818z00_1550;} }  else 
{ /* Cfa/specialize.scm 272 */((bool_t)1); } } 
BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_8); 
BGl_showzd2specializa7ez75zzcfa_specializa7eza7(); 
BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7(); }  else 
{ /* Cfa/specialize.scm 270 */BFALSE; } 
return BgL_globalsz00_8;} 
}



/* _specialize! */
obj_t BGl__specializa7ez12zb5zzcfa_specializa7eza7(obj_t BgL_envz00_3961, obj_t BgL_globalsz00_3962)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 269 */
return 
BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3962);} 
}



/* patch-tree! */
bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_9)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 283 */
{ 
obj_t BgL_l2819z00_1556;
BgL_l2819z00_1556 = BgL_globalsz00_9; 
BgL_lname2820z00_1557:
if(
PAIRP(BgL_l2819z00_1556))
{ /* Cfa/specialize.scm 284 */
BGl_patchzd2funz12zc0zzcfa_specializa7eza7(
CAR(BgL_l2819z00_1556)); 
{ 
obj_t BgL_l2819z00_4404;
BgL_l2819z00_4404 = 
CDR(BgL_l2819z00_1556); 
BgL_l2819z00_1556 = BgL_l2819z00_4404; 
goto BgL_lname2820z00_1557;} }  else 
{ /* Cfa/specialize.scm 284 */
return ((bool_t)1);} } } 
}



/* patch-fun! */
obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_10)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 289 */
{ /* Cfa/specialize.scm 290 */
BgL_valuez00_bglt BgL_funz00_1561;
{ /* Cfa/specialize.scm 290 */
BgL_variablez00_bglt BgL_obj1103z00_2388;
BgL_obj1103z00_2388 = 
(BgL_variablez00_bglt)(BgL_variablez00_10); 
BgL_funz00_1561 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2388))->BgL_valuez00); } 
{ /* Cfa/specialize.scm 291 */
obj_t BgL_arg3049z00_1562;
{ /* Cfa/specialize.scm 291 */
BgL_nodez00_bglt BgL_nodez00_2390;
{ /* Cfa/specialize.scm 291 */
obj_t BgL_auxz00_4408;
{ /* Cfa/specialize.scm 291 */
BgL_sfunz00_bglt BgL_obj1372z00_2389;
BgL_obj1372z00_2389 = 
(BgL_sfunz00_bglt)(BgL_funz00_1561); 
BgL_auxz00_4408 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2389))->BgL_bodyz00); } 
BgL_nodez00_2390 = 
(BgL_nodez00_bglt)(BgL_auxz00_4408); } 
{ /* Cfa/specialize.scm 291 */
obj_t BgL_method2867z00_2391;
{ /* Cfa/specialize.scm 291 */
long BgL_objzd2classzd2numz00_2393;
{ /* Cfa/specialize.scm 291 */
BgL_objectz00_bglt BgL_auxz00_4412;
BgL_auxz00_4412 = 
(BgL_objectz00_bglt)(BgL_nodez00_2390); 
BgL_objzd2classzd2numz00_2393 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4412); } 
{ /* Cfa/specialize.scm 291 */
obj_t BgL_arg1221z00_2394;
{ /* Cfa/specialize.scm 291 */
int BgL_auxz00_4415;
BgL_auxz00_4415 = 
(int)(((long)1)); 
BgL_arg1221z00_2394 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4415); } 
{ /* Cfa/specialize.scm 291 */
long BgL_offsetz00_2398;
{ /* Cfa/specialize.scm 291 */
long BgL_auxz00_4418;
{ /* Cfa/specialize.scm 291 */
int BgL_auxz00_4419;
BgL_auxz00_4419 = 
(int)(BgL_objzd2classzd2numz00_2393); 
BgL_auxz00_4418 = 
(long)(BgL_auxz00_4419); } 
BgL_offsetz00_2398 = 
(BgL_auxz00_4418-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 291 */
long BgL_modz00_2399;
{ /* Cfa/specialize.scm 291 */
long BgL_auxz00_4423;
{ /* Cfa/specialize.scm 291 */
int BgL_auxz00_4424;
BgL_auxz00_4424 = 
(int)(((long)8)); 
BgL_auxz00_4423 = 
(long)(BgL_auxz00_4424); } 
BgL_modz00_2399 = 
(BgL_offsetz00_2398/BgL_auxz00_4423); } 
{ /* Cfa/specialize.scm 291 */
long BgL_restz00_2401;
{ /* Cfa/specialize.scm 291 */
long BgL_auxz00_4428;
{ /* Cfa/specialize.scm 291 */
int BgL_auxz00_4429;
BgL_auxz00_4429 = 
(int)(((long)8)); 
BgL_auxz00_4428 = 
(long)(BgL_auxz00_4429); } 
BgL_restz00_2401 = 
(BgL_offsetz00_2398%BgL_auxz00_4428); } 
{ /* Cfa/specialize.scm 291 */

{ /* Cfa/specialize.scm 291 */
obj_t BgL_bucketz00_2403;
{ /* Cfa/specialize.scm 291 */
int BgL_kz00_2413;
BgL_kz00_2413 = 
(int)(BgL_modz00_2399); 
BgL_bucketz00_2403 = 
VECTOR_REF(BgL_arg1221z00_2394,BgL_kz00_2413); } 
{ /* Cfa/specialize.scm 291 */
int BgL_kz00_2415;
BgL_kz00_2415 = 
(int)(BgL_restz00_2401); 
BgL_method2867z00_2391 = 
VECTOR_REF(BgL_bucketz00_2403,BgL_kz00_2415); } } } } } } } } 
BgL_arg3049z00_1562 = 
PROCEDURE_ENTRY(BgL_method2867z00_2391)(BgL_method2867z00_2391, 
(obj_t)(BgL_nodez00_2390), BEOA); } } 
{ /* Cfa/specialize.scm 291 */
BgL_sfunz00_bglt BgL_obj1374z00_2416;
BgL_obj1374z00_2416 = 
(BgL_sfunz00_bglt)(BgL_funz00_1561); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2416))->BgL_bodyz00) = ((obj_t)BgL_arg3049z00_1562), BUNSPEC);} } } } 
}



/* patch*! */
obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_33)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 471 */
{ 
obj_t BgL_nodeza2za2_1564;
BgL_nodeza2za2_1564 = BgL_nodeza2za2_33; 
BgL_loopz00_1565:
if(
NULLP(BgL_nodeza2za2_1564))
{ /* Cfa/specialize.scm 473 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Cfa/specialize.scm 473 */
{ /* Cfa/specialize.scm 476 */
obj_t BgL_arg3052z00_1567;
{ /* Cfa/specialize.scm 476 */
BgL_nodez00_bglt BgL_nodez00_2420;
{ /* Cfa/specialize.scm 476 */
obj_t BgL_auxz00_4445;
BgL_auxz00_4445 = 
CAR(BgL_nodeza2za2_1564); 
BgL_nodez00_2420 = 
(BgL_nodez00_bglt)(BgL_auxz00_4445); } 
{ /* Cfa/specialize.scm 476 */
obj_t BgL_method2867z00_2421;
{ /* Cfa/specialize.scm 476 */
long BgL_objzd2classzd2numz00_2423;
{ /* Cfa/specialize.scm 476 */
BgL_objectz00_bglt BgL_auxz00_4448;
BgL_auxz00_4448 = 
(BgL_objectz00_bglt)(BgL_nodez00_2420); 
BgL_objzd2classzd2numz00_2423 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4448); } 
{ /* Cfa/specialize.scm 476 */
obj_t BgL_arg1221z00_2424;
{ /* Cfa/specialize.scm 476 */
int BgL_auxz00_4451;
BgL_auxz00_4451 = 
(int)(((long)1)); 
BgL_arg1221z00_2424 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4451); } 
{ /* Cfa/specialize.scm 476 */
long BgL_offsetz00_2428;
{ /* Cfa/specialize.scm 476 */
long BgL_auxz00_4454;
{ /* Cfa/specialize.scm 476 */
int BgL_auxz00_4455;
BgL_auxz00_4455 = 
(int)(BgL_objzd2classzd2numz00_2423); 
BgL_auxz00_4454 = 
(long)(BgL_auxz00_4455); } 
BgL_offsetz00_2428 = 
(BgL_auxz00_4454-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 476 */
long BgL_modz00_2429;
{ /* Cfa/specialize.scm 476 */
long BgL_auxz00_4459;
{ /* Cfa/specialize.scm 476 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)8)); 
BgL_auxz00_4459 = 
(long)(BgL_auxz00_4460); } 
BgL_modz00_2429 = 
(BgL_offsetz00_2428/BgL_auxz00_4459); } 
{ /* Cfa/specialize.scm 476 */
long BgL_restz00_2431;
{ /* Cfa/specialize.scm 476 */
long BgL_auxz00_4464;
{ /* Cfa/specialize.scm 476 */
int BgL_auxz00_4465;
BgL_auxz00_4465 = 
(int)(((long)8)); 
BgL_auxz00_4464 = 
(long)(BgL_auxz00_4465); } 
BgL_restz00_2431 = 
(BgL_offsetz00_2428%BgL_auxz00_4464); } 
{ /* Cfa/specialize.scm 476 */

{ /* Cfa/specialize.scm 476 */
obj_t BgL_bucketz00_2433;
{ /* Cfa/specialize.scm 476 */
int BgL_kz00_2443;
BgL_kz00_2443 = 
(int)(BgL_modz00_2429); 
BgL_bucketz00_2433 = 
VECTOR_REF(BgL_arg1221z00_2424,BgL_kz00_2443); } 
{ /* Cfa/specialize.scm 476 */
int BgL_kz00_2445;
BgL_kz00_2445 = 
(int)(BgL_restz00_2431); 
BgL_method2867z00_2421 = 
VECTOR_REF(BgL_bucketz00_2433,BgL_kz00_2445); } } } } } } } } 
BgL_arg3052z00_1567 = 
PROCEDURE_ENTRY(BgL_method2867z00_2421)(BgL_method2867z00_2421, 
(obj_t)(BgL_nodez00_2420), BEOA); } } 
SET_CAR(BgL_nodeza2za2_1564, BgL_arg3052z00_1567); } 
{ 
obj_t BgL_nodeza2za2_4477;
BgL_nodeza2za2_4477 = 
CDR(BgL_nodeza2za2_1564); 
BgL_nodeza2za2_1564 = BgL_nodeza2za2_4477; 
goto BgL_loopz00_1565;} } } } 
}



/* specialize-app! */
BgL_nodez00_bglt BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt BgL_nodez00_35)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 496 */
{ /* Cfa/specialize.scm 498 */
bool_t BgL_testz00_4479;
{ /* Cfa/specialize.scm 498 */
obj_t BgL_auxz00_4480;
BgL_auxz00_4480 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_argsz00); 
BgL_testz00_4479 = 
NULLP(BgL_auxz00_4480); } 
if(BgL_testz00_4479)
{ /* Cfa/specialize.scm 498 */
return 
(BgL_nodez00_bglt)(BgL_nodez00_35);}  else 
{ /* Cfa/specialize.scm 502 */
BgL_typez00_bglt BgL_typez00_1572;
{ /* Cfa/specialize.scm 502 */
BgL_nodez00_bglt BgL_auxz00_4484;
{ /* Cfa/specialize.scm 502 */
obj_t BgL_auxz00_4485;
{ /* Cfa/specialize.scm 502 */
obj_t BgL_auxz00_4486;
BgL_auxz00_4486 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_argsz00); 
BgL_auxz00_4485 = 
CAR(BgL_auxz00_4486); } 
BgL_auxz00_4484 = 
(BgL_nodez00_bglt)(BgL_auxz00_4485); } 
BgL_typez00_1572 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_4484); } 
{ /* Cfa/specialize.scm 503 */
obj_t BgL_specz00_1574;
{ /* Cfa/specialize.scm 504 */
obj_t BgL_auxz00_4491;
{ /* Cfa/specialize.scm 504 */
BgL_specializa7edzd2globalz75_bglt BgL_obj2756z00_2455;
{ /* Cfa/specialize.scm 504 */
BgL_variablez00_bglt BgL_auxz00_4493;
{ /* Cfa/specialize.scm 503 */
BgL_varz00_bglt BgL_arg3067z00_1588;
BgL_arg3067z00_1588 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_funz00); 
BgL_auxz00_4493 = 
(((BgL_varz00_bglt)CREF(BgL_arg3067z00_1588))->BgL_variablez00); } 
BgL_obj2756z00_2455 = 
(BgL_specializa7edzd2globalz75_bglt)(BgL_auxz00_4493); } 
{ 
obj_t BgL_auxz00_4497;
{ /* Cfa/specialize.scm 504 */
BgL_objectz00_bglt BgL_auxz00_4498;
BgL_auxz00_4498 = 
(BgL_objectz00_bglt)(BgL_obj2756z00_2455); 
BgL_auxz00_4497 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4498); } 
BgL_auxz00_4491 = 
(((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_auxz00_4497))->BgL_fixz00); } } 
BgL_specz00_1574 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_typez00_1572), BgL_auxz00_4491); } 
{ /* Cfa/specialize.scm 504 */

if(
PAIRP(BgL_specz00_1574))
{ 
obj_t BgL_argsz00_1576;
{ /* Cfa/specialize.scm 506 */
BgL_appz00_bglt BgL_auxz00_4505;
{ /* Cfa/specialize.scm 506 */
obj_t BgL_auxz00_4530;
BgL_auxz00_4530 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_argsz00); 
BgL_argsz00_1576 = 
CDR(BgL_auxz00_4530); } 
BgL_loopz00_1577:
if(
NULLP(BgL_argsz00_1576))
{ /* Cfa/specialize.scm 508 */
BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(BgL_typez00_1572); 
{ /* Cfa/specialize.scm 510 */
BgL_varz00_bglt BgL_arg3060z00_1581;
BgL_arg3060z00_1581 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_funz00); 
{ /* Cfa/specialize.scm 510 */
BgL_variablez00_bglt BgL_val1620z00_2463;
{ /* Cfa/specialize.scm 510 */
obj_t BgL_auxz00_4510;
BgL_auxz00_4510 = 
CDR(BgL_specz00_1574); 
BgL_val1620z00_2463 = 
(BgL_variablez00_bglt)(BgL_auxz00_4510); } 
((((BgL_varz00_bglt)CREF(BgL_arg3060z00_1581))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_2463), BUNSPEC); } } 
{ /* Cfa/specialize.scm 511 */
BgL_nodez00_bglt BgL_obj1552z00_2464;
BgL_obj1552z00_2464 = 
(BgL_nodez00_bglt)(BgL_nodez00_35); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2464))->BgL_typez00) = ((BgL_typez00_bglt)BgL_typez00_1572), BUNSPEC); } 
BgL_auxz00_4505 = BgL_nodez00_35; }  else 
{ /* Cfa/specialize.scm 513 */
bool_t BgL_test3062z00_1583;
{ /* Cfa/specialize.scm 513 */
BgL_typez00_bglt BgL_arg3064z00_1585;
{ /* Cfa/specialize.scm 513 */
BgL_nodez00_bglt BgL_auxz00_4516;
{ /* Cfa/specialize.scm 513 */
obj_t BgL_auxz00_4517;
BgL_auxz00_4517 = 
CAR(BgL_argsz00_1576); 
BgL_auxz00_4516 = 
(BgL_nodez00_bglt)(BgL_auxz00_4517); } 
BgL_arg3064z00_1585 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_4516); } 
{ /* Cfa/specialize.scm 513 */
obj_t BgL_auxz00_4523;obj_t BgL_auxz00_4521;
BgL_auxz00_4523 = 
(obj_t)(BgL_typez00_1572); 
BgL_auxz00_4521 = 
(obj_t)(BgL_arg3064z00_1585); 
BgL_test3062z00_1583 = 
(BgL_auxz00_4521==BgL_auxz00_4523); } } 
if(BgL_test3062z00_1583)
{ /* Cfa/specialize.scm 513 */
{ 
obj_t BgL_argsz00_4527;
BgL_argsz00_4527 = 
CDR(BgL_argsz00_1576); 
BgL_argsz00_1576 = BgL_argsz00_4527; 
goto BgL_loopz00_1577;} }  else 
{ /* Cfa/specialize.scm 513 */
BgL_auxz00_4505 = 
BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_nodez00_35); } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4505);} }  else 
{ /* Cfa/specialize.scm 518 */
BgL_appz00_bglt BgL_auxz00_4534;
BgL_auxz00_4534 = 
BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_nodez00_35); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4534);} } } } } } 
}



/* specialize-eq? */
BgL_appz00_bglt BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt BgL_nodez00_36)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 527 */
{ 
BgL_appz00_bglt BgL_nodez00_1620;obj_t BgL_typez00_1621;
{ /* Cfa/specialize.scm 534 */
bool_t BgL_test3071z00_1594;
{ /* Cfa/specialize.scm 534 */
bool_t BgL_test3093z00_1617;
{ /* Cfa/specialize.scm 534 */
obj_t BgL_auxz00_4537;
BgL_auxz00_4537 = 
CNST_TABLE_REF(((long)7)); 
BgL_test3093z00_1617 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_4537); } 
if(BgL_test3093z00_1617)
{ /* Cfa/specialize.scm 535 */
obj_t BgL_auxz00_4541;
{ /* Cfa/specialize.scm 535 */
BgL_variablez00_bglt BgL_auxz00_4542;
{ /* Cfa/specialize.scm 535 */
BgL_varz00_bglt BgL_arg3095z00_1619;
BgL_arg3095z00_1619 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_36))->BgL_funz00); 
BgL_auxz00_4542 = 
(((BgL_varz00_bglt)CREF(BgL_arg3095z00_1619))->BgL_variablez00); } 
BgL_auxz00_4541 = 
(obj_t)(BgL_auxz00_4542); } 
BgL_test3071z00_1594 = 
(BgL_auxz00_4541==BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7); }  else 
{ /* Cfa/specialize.scm 534 */
BgL_test3071z00_1594 = ((bool_t)0); } } 
if(BgL_test3071z00_1594)
{ /* Cfa/specialize.scm 537 */
BgL_typez00_bglt BgL_t1z00_1595;BgL_typez00_bglt BgL_t2z00_1596;
{ /* Cfa/specialize.scm 537 */
BgL_nodez00_bglt BgL_auxz00_4548;
{ /* Cfa/specialize.scm 537 */
obj_t BgL_auxz00_4549;
{ /* Cfa/specialize.scm 537 */
obj_t BgL_auxz00_4550;
BgL_auxz00_4550 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_36))->BgL_argsz00); 
BgL_auxz00_4549 = 
CAR(BgL_auxz00_4550); } 
BgL_auxz00_4548 = 
(BgL_nodez00_bglt)(BgL_auxz00_4549); } 
BgL_t1z00_1595 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_4548); } 
{ /* Cfa/specialize.scm 538 */
BgL_nodez00_bglt BgL_auxz00_4555;
{ /* Cfa/specialize.scm 538 */
obj_t BgL_auxz00_4556;
{ /* Cfa/specialize.scm 538 */
obj_t BgL_auxz00_4557;
{ /* Cfa/specialize.scm 538 */
obj_t BgL_auxz00_4558;
BgL_auxz00_4558 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_36))->BgL_argsz00); 
BgL_auxz00_4557 = 
CDR(BgL_auxz00_4558); } 
BgL_auxz00_4556 = 
CAR(BgL_auxz00_4557); } 
BgL_auxz00_4555 = 
(BgL_nodez00_bglt)(BgL_auxz00_4556); } 
BgL_t2z00_1596 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_4555); } 
{ /* Cfa/specialize.scm 540 */
bool_t BgL_test3072z00_1597;
{ /* Cfa/specialize.scm 540 */
bool_t BgL_test3087z00_1612;
{ /* Cfa/specialize.scm 540 */
obj_t BgL_auxz00_4564;
BgL_auxz00_4564 = 
(obj_t)(BgL_t1z00_1595); 
BgL_test3087z00_1612 = 
(BgL_auxz00_4564==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test3087z00_1612)
{ /* Cfa/specialize.scm 540 */
obj_t BgL_auxz00_4568;
BgL_auxz00_4568 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3072z00_1597 = 
(BgL_auxz00_4568==BGl_za2objza2z00zztype_cachez00); }  else 
{ /* Cfa/specialize.scm 540 */
BgL_test3072z00_1597 = ((bool_t)0); } } 
if(BgL_test3072z00_1597)
{ /* Cfa/specialize.scm 540 */BUNSPEC; }  else 
{ /* Cfa/specialize.scm 542 */
bool_t BgL_test3073z00_1598;
{ /* Cfa/specialize.scm 542 */
obj_t BgL_auxz00_4572;
BgL_auxz00_4572 = 
(obj_t)(BgL_t1z00_1595); 
BgL_test3073z00_1598 = 
(BgL_auxz00_4572==BGl_za2bintza2z00zztype_cachez00); } 
if(BgL_test3073z00_1598)
{ /* Cfa/specialize.scm 542 */
{ /* Cfa/specialize.scm 543 */
bool_t BgL_test3074z00_1599;
{ /* Cfa/specialize.scm 543 */
obj_t BgL_auxz00_4576;
BgL_auxz00_4576 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3074z00_1599 = 
(BgL_auxz00_4576==BGl_za2bintza2z00zztype_cachez00); } 
if(BgL_test3074z00_1599)
{ /* Cfa/specialize.scm 543 */
BgL_nodez00_1620 = BgL_nodez00_36; 
BgL_typez00_1621 = BGl_za2bintza2z00zztype_cachez00; 
BgL_zc3anonymousza33096ze3z83_1622:
{ /* Cfa/specialize.scm 530 */
bool_t BgL_test3097z00_1623;
{ /* Cfa/specialize.scm 530 */
obj_t BgL_obj1247z00_2477;
BgL_obj1247z00_2477 = BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7; 
BgL_test3097z00_1623 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1247z00_2477, BGl_globalz00zzast_varz00); } 
if(BgL_test3097z00_1623)
{ /* Cfa/specialize.scm 530 */
{ /* Cfa/specialize.scm 532 */
BgL_varz00_bglt BgL_arg3098z00_1624;
BgL_arg3098z00_1624 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_36))->BgL_funz00); 
{ /* Cfa/specialize.scm 532 */
BgL_variablez00_bglt BgL_val1620z00_2480;
BgL_val1620z00_2480 = 
(BgL_variablez00_bglt)(BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7); 
((((BgL_varz00_bglt)CREF(BgL_arg3098z00_1624))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_2480), BUNSPEC); } } 
BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(BgL_typez00_1621); }  else 
{ /* Cfa/specialize.scm 530 */BFALSE; } } }  else 
{ /* Cfa/specialize.scm 543 */BFALSE; } } }  else 
{ /* Cfa/specialize.scm 546 */
bool_t BgL_test3075z00_1600;
{ /* Cfa/specialize.scm 546 */
obj_t BgL_auxz00_4586;
BgL_auxz00_4586 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3075z00_1600 = 
(BgL_auxz00_4586==BGl_za2bintza2z00zztype_cachez00); } 
if(BgL_test3075z00_1600)
{ /* Cfa/specialize.scm 546 */BUNSPEC; }  else 
{ /* Cfa/specialize.scm 548 */
bool_t BgL_test3076z00_1601;
{ /* Cfa/specialize.scm 548 */
obj_t BgL_auxz00_4590;
BgL_auxz00_4590 = 
(obj_t)(BgL_t1z00_1595); 
BgL_test3076z00_1601 = 
(BgL_auxz00_4590==BGl_za2brealza2z00zztype_cachez00); } 
if(BgL_test3076z00_1601)
{ /* Cfa/specialize.scm 548 */
{ /* Cfa/specialize.scm 549 */
bool_t BgL_test3077z00_1602;
{ /* Cfa/specialize.scm 549 */
obj_t BgL_auxz00_4594;
BgL_auxz00_4594 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3077z00_1602 = 
(BgL_auxz00_4594==BGl_za2brealza2z00zztype_cachez00); } 
if(BgL_test3077z00_1602)
{ 
obj_t BgL_typez00_4599;BgL_appz00_bglt BgL_nodez00_4598;
BgL_nodez00_4598 = BgL_nodez00_36; 
BgL_typez00_4599 = BGl_za2brealza2z00zztype_cachez00; 
BgL_typez00_1621 = BgL_typez00_4599; 
BgL_nodez00_1620 = BgL_nodez00_4598; 
goto BgL_zc3anonymousza33096ze3z83_1622;}  else 
{ /* Cfa/specialize.scm 549 */BFALSE; } } }  else 
{ /* Cfa/specialize.scm 552 */
bool_t BgL_test3078z00_1603;
{ /* Cfa/specialize.scm 552 */
obj_t BgL_auxz00_4600;
BgL_auxz00_4600 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3078z00_1603 = 
(BgL_auxz00_4600==BGl_za2brealza2z00zztype_cachez00); } 
if(BgL_test3078z00_1603)
{ /* Cfa/specialize.scm 552 */BUNSPEC; }  else 
{ /* Cfa/specialize.scm 554 */
bool_t BgL_test3079z00_1604;
{ /* Cfa/specialize.scm 554 */
obj_t BgL_auxz00_4604;
BgL_auxz00_4604 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3079z00_1604 = 
(BgL_auxz00_4604==BGl_za2bintza2z00zztype_cachez00); } 
if(BgL_test3079z00_1604)
{ /* Cfa/specialize.scm 554 */BUNSPEC; }  else 
{ /* Cfa/specialize.scm 556 */
bool_t BgL_test3080z00_1605;
{ /* Cfa/specialize.scm 556 */
obj_t BgL_auxz00_4608;
BgL_auxz00_4608 = 
(obj_t)(BgL_t1z00_1595); 
BgL_test3080z00_1605 = 
(BgL_auxz00_4608==BGl_za2bcharza2z00zztype_cachez00); } 
if(BgL_test3080z00_1605)
{ /* Cfa/specialize.scm 556 */
{ /* Cfa/specialize.scm 557 */
bool_t BgL_test3081z00_1606;
{ /* Cfa/specialize.scm 557 */
obj_t BgL_auxz00_4612;
BgL_auxz00_4612 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3081z00_1606 = 
(BgL_auxz00_4612==BGl_za2bcharza2z00zztype_cachez00); } 
if(BgL_test3081z00_1606)
{ 
obj_t BgL_typez00_4617;BgL_appz00_bglt BgL_nodez00_4616;
BgL_nodez00_4616 = BgL_nodez00_36; 
BgL_typez00_4617 = BGl_za2bcharza2z00zztype_cachez00; 
BgL_typez00_1621 = BgL_typez00_4617; 
BgL_nodez00_1620 = BgL_nodez00_4616; 
goto BgL_zc3anonymousza33096ze3z83_1622;}  else 
{ /* Cfa/specialize.scm 557 */BFALSE; } } }  else 
{ /* Cfa/specialize.scm 560 */
bool_t BgL_test3082z00_1607;
{ /* Cfa/specialize.scm 560 */
obj_t BgL_auxz00_4618;
BgL_auxz00_4618 = 
(obj_t)(BgL_t2z00_1596); 
BgL_test3082z00_1607 = 
(BgL_auxz00_4618==BGl_za2bcharza2z00zztype_cachez00); } 
if(BgL_test3082z00_1607)
{ /* Cfa/specialize.scm 560 */BUNSPEC; }  else 
{ /* Cfa/specialize.scm 562 */
bool_t BgL_test3083z00_1608;
{ /* Cfa/specialize.scm 562 */
bool_t BgL_test3086z00_1611;
BgL_test3086z00_1611 = 
BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1595); 
if(BgL_test3086z00_1611)
{ /* Cfa/specialize.scm 562 */
BgL_test3083z00_1608 = 
BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_1596); }  else 
{ /* Cfa/specialize.scm 562 */
BgL_test3083z00_1608 = ((bool_t)0); } } 
if(BgL_test3083z00_1608)
{ /* Cfa/specialize.scm 562 */
{ /* Cfa/specialize.scm 564 */
BgL_typez00_bglt BgL_arg3084z00_1609;
{ /* Cfa/specialize.scm 564 */
bool_t BgL_test3085z00_1610;
{ /* Cfa/specialize.scm 564 */
obj_t BgL_auxz00_4626;
BgL_auxz00_4626 = 
(obj_t)(BgL_t1z00_1595); 
BgL_test3085z00_1610 = 
(BgL_auxz00_4626==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test3085z00_1610)
{ /* Cfa/specialize.scm 564 */
BgL_arg3084z00_1609 = BgL_t2z00_1596; }  else 
{ /* Cfa/specialize.scm 564 */
BgL_arg3084z00_1609 = BgL_t1z00_1595; } } 
{ 
obj_t BgL_typez00_4631;BgL_appz00_bglt BgL_nodez00_4630;
BgL_nodez00_4630 = BgL_nodez00_36; 
BgL_typez00_4631 = 
(obj_t)(BgL_arg3084z00_1609); 
BgL_typez00_1621 = BgL_typez00_4631; 
BgL_nodez00_1620 = BgL_nodez00_4630; 
goto BgL_zc3anonymousza33096ze3z83_1622;} } }  else 
{ /* Cfa/specialize.scm 562 */BUNSPEC; } } } } } } } } } } 
return BgL_nodez00_36;}  else 
{ /* Cfa/specialize.scm 534 */
return BgL_nodez00_36;} } } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
{ /* Cfa/specialize.scm 33 */
obj_t BgL_arg3099z00_1626;obj_t BgL_arg3100z00_1627;obj_t BgL_arg3104z00_1631;obj_t BgL_arg3105z00_1632;
BgL_arg3099z00_1626 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3100z00_1627 = BGl_globalz00zzast_varz00; 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_arg3106z00_1633;
BgL_arg3106z00_1633 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_specializa7edzd2globalzd2fixzd2envz75zzcfa_specializa7eza7, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_list3107z00_1634;
BgL_list3107z00_1634 = 
MAKE_PAIR(BgL_arg3106z00_1633, BNIL); 
BgL_arg3104z00_1631 = BgL_list3107z00_1634; } } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_v2865z00_1635;
{ 
int BgL_auxz00_4637;
BgL_auxz00_4637 = 
(int)(((long)0)); 
BgL_v2865z00_1635 = 
create_vector(BgL_auxz00_4637); } 
BgL_arg3105z00_1632 = BgL_v2865z00_1635; } 
BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3099z00_1626, BgL_arg3100z00_1627, BGl_makezd2specializa7edzd2globalzd2envz75zzcfa_specializa7eza7, BGl_allocatezd2specializa7edzd2globalzd2envz75zzcfa_specializa7eza7, ((long)32964), BgL_arg3104z00_1631, BFALSE, BgL_arg3105z00_1632); } 
return BUNSPEC;} 
}



/* make-specialized-global */
BgL_specializa7edzd2globalz75_bglt BGl_makezd2specializa7edzd2globalza7zzcfa_specializa7eza7(obj_t BgL_id2729z00_44, obj_t BgL_name2730z00_45, BgL_typez00_bglt BgL_type2731z00_46, BgL_valuez00_bglt BgL_value2732z00_47, obj_t BgL_access2733z00_48, obj_t BgL_fastzd2alpha2734zd2_49, obj_t BgL_removable2735z00_50, long BgL_occurrence2736z00_51, obj_t BgL_module2737z00_52, obj_t BgL_import2738z00_53, bool_t BgL_evaluablezf32739zf3_54, bool_t BgL_libraryzf32740zf3_55, bool_t BgL_userzf32741zf3_56, obj_t BgL_pragma2742z00_57, obj_t BgL_src2743z00_58, obj_t BgL_jvmzd2typezd2name2744z00_59, obj_t BgL_fix2728z00_60)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_aux2745z00_2489;
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_res3266z00_2550;
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_new1244z00_2509;
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_res3264z00_2515;
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_new1246z00_2510;
BgL_new1246z00_2510 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Cfa/specialize.scm 33 */
long BgL_arg3154z00_2511;
BgL_arg3154z00_2511 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Cfa/specialize.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4643;
BgL_auxz00_4643 = 
(BgL_objectz00_bglt)(BgL_new1246z00_2510); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4643, BgL_arg3154z00_2511); } } 
{ /* Cfa/specialize.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4646;
BgL_auxz00_4646 = 
(BgL_objectz00_bglt)(BgL_new1246z00_2510); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4646, BFALSE); } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4649;
BgL_auxz00_4649 = 
(obj_t)(BgL_new1246z00_2510); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4649); } BUNSPEC; 
BgL_res3264z00_2515 = BgL_new1246z00_2510; } 
BgL_new1244z00_2509 = BgL_res3264z00_2515; } 
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_res3265z00_2549;
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_idz00) = ((obj_t)BgL_id2729z00_44), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_namez00) = ((obj_t)BgL_name2730z00_45), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2731z00_46), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value2732z00_47), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_accessz00) = ((obj_t)BgL_access2733z00_48), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha2734zd2_49), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_removablez00) = ((obj_t)BgL_removable2735z00_50), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_occurrencez00) = ((long)BgL_occurrence2736z00_51), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_modulez00) = ((obj_t)BgL_module2737z00_52), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_importz00) = ((obj_t)BgL_import2738z00_53), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_evaluablezf3zf3) = ((bool_t)BgL_evaluablezf32739zf3_54), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf32740zf3_55), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_userzf3zf3) = ((bool_t)BgL_userzf32741zf3_56), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_pragmaz00) = ((obj_t)BgL_pragma2742z00_57), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_srcz00) = ((obj_t)BgL_src2743z00_58), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2509))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_jvmzd2typezd2name2744z00_59), BUNSPEC); 
BgL_res3265z00_2549 = BgL_new1244z00_2509; BgL_res3265z00_2549; } 
BgL_res3266z00_2550 = BgL_new1244z00_2509; } 
BgL_aux2745z00_2489 = BgL_res3266z00_2550; } 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_new2746z00_2490;
BgL_new2746z00_2490 = 
((BgL_specializa7edzd2globalz75_bglt)BgL_aux2745z00_2489); 
{ /* Cfa/specialize.scm 33 */
long BgL_auxz00_4671;BgL_objectz00_bglt BgL_auxz00_4669;
BgL_auxz00_4671 = 
BGl_classzd2numzd2zz__objectz00(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
BgL_auxz00_4669 = 
(BgL_objectz00_bglt)(BgL_new2746z00_2490); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4669, BgL_auxz00_4671); } 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_arg3109z00_2492;
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_res3268z00_2559;
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_new2722z00_2554;
BgL_new2722z00_2554 = 
((BgL_specializa7edzd2globalz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_specializa7edzd2globalz75_bgl)))); 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_res3267z00_2558;
((((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_new2722z00_2554))->BgL_fixz00) = ((obj_t)BgL_fix2728z00_60), BUNSPEC); 
BgL_res3267z00_2558 = BgL_new2722z00_2554; BgL_res3267z00_2558; } 
BgL_res3268z00_2559 = BgL_new2722z00_2554; } 
BgL_arg3109z00_2492 = BgL_res3268z00_2559; } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4678;BgL_objectz00_bglt BgL_auxz00_4676;
BgL_auxz00_4678 = 
(obj_t)(BgL_arg3109z00_2492); 
BgL_auxz00_4676 = 
(BgL_objectz00_bglt)(BgL_new2746z00_2490); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4676, BgL_auxz00_4678); } } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4681;
BgL_auxz00_4681 = 
(obj_t)(BgL_new2746z00_2490); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4681); } BUNSPEC; 
return BgL_new2746z00_2490;} } } 
}



/* _make-specialized-global3334 */
obj_t BGl__makezd2specializa7edzd2global3334za7zzcfa_specializa7eza7(obj_t BgL_envz00_3965, obj_t BgL_id2729z00_3966, obj_t BgL_name2730z00_3967, obj_t BgL_type2731z00_3968, obj_t BgL_value2732z00_3969, obj_t BgL_access2733z00_3970, obj_t BgL_fastzd2alpha2734zd2_3971, obj_t BgL_removable2735z00_3972, obj_t BgL_occurrence2736z00_3973, obj_t BgL_module2737z00_3974, obj_t BgL_import2738z00_3975, obj_t BgL_evaluablezf32739zf3_3976, obj_t BgL_libraryzf32740zf3_3977, obj_t BgL_userzf32741zf3_3978, obj_t BgL_pragma2742z00_3979, obj_t BgL_src2743z00_3980, obj_t BgL_jvmzd2typezd2name2744z00_3981, obj_t BgL_fix2728z00_3982)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4684;
BgL_auxz00_4684 = 
BGl_makezd2specializa7edzd2globalza7zzcfa_specializa7eza7(BgL_id2729z00_3966, BgL_name2730z00_3967, 
(BgL_typez00_bglt)(BgL_type2731z00_3968), 
(BgL_valuez00_bglt)(BgL_value2732z00_3969), BgL_access2733z00_3970, BgL_fastzd2alpha2734zd2_3971, BgL_removable2735z00_3972, 
(long)CINT(BgL_occurrence2736z00_3973), BgL_module2737z00_3974, BgL_import2738z00_3975, 
CBOOL(BgL_evaluablezf32739zf3_3976), 
CBOOL(BgL_libraryzf32740zf3_3977), 
CBOOL(BgL_userzf32741zf3_3978), BgL_pragma2742z00_3979, BgL_src2743z00_3980, BgL_jvmzd2typezd2name2744z00_3981, BgL_fix2728z00_3982); 
return 
(obj_t)(BgL_auxz00_4684);} } 
}



/* allocate-specialized-global */
BgL_globalz00_bglt BGl_allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_new2747z00_2561;
BgL_new2747z00_2561 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Cfa/specialize.scm 33 */
long BgL_auxz00_4696;BgL_objectz00_bglt BgL_auxz00_4694;
BgL_auxz00_4696 = 
BGl_classzd2numzd2zz__objectz00(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
BgL_auxz00_4694 = 
(BgL_objectz00_bglt)(BgL_new2747z00_2561); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4694, BgL_auxz00_4696); } 
{ /* Cfa/specialize.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4699;
BgL_auxz00_4699 = 
(BgL_objectz00_bglt)(BgL_new2747z00_2561); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4699, BFALSE); } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4702;
BgL_auxz00_4702 = 
(obj_t)(BgL_new2747z00_2561); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4702); } BUNSPEC; 
return BgL_new2747z00_2561;} } 
}



/* _allocate-specialized-global */
obj_t BGl__allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7(obj_t BgL_envz00_3983)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ /* Cfa/specialize.scm 33 */
BgL_globalz00_bglt BgL_auxz00_4705;
BgL_auxz00_4705 = 
BGl_allocatezd2specializa7edzd2globalza7zzcfa_specializa7eza7(); 
return 
(obj_t)(BgL_auxz00_4705);} } 
}



/* specialized-global-fix */
obj_t BGl_specializa7edzd2globalzd2fixza7zzcfa_specializa7eza7(BgL_specializa7edzd2globalz75_bglt BgL_obj2756z00_107)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 34 */
{ 
obj_t BgL_auxz00_4708;
{ /* Cfa/specialize.scm 34 */
BgL_objectz00_bglt BgL_auxz00_4709;
BgL_auxz00_4709 = 
(BgL_objectz00_bglt)(BgL_obj2756z00_107); 
BgL_auxz00_4708 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4709); } 
return 
(((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_auxz00_4708))->BgL_fixz00);} } 
}



/* _specialized-global-fix3335 */
obj_t BGl__specializa7edzd2globalzd2fix3335za7zzcfa_specializa7eza7(obj_t BgL_envz00_3984, obj_t BgL_obj2756z00_3985)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 34 */
return 
BGl_specializa7edzd2globalzd2fixza7zzcfa_specializa7eza7(
(BgL_specializa7edzd2globalz75_bglt)(BgL_obj2756z00_3985));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_patchz12zd2default2866zd2envz12zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00, BGl_proc3353z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00, BGl_proc3354z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00, BGl_proc3355z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_closurez00zzast_nodez00, BGl_proc3356z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_sequencez00zzast_nodez00, BGl_proc3357z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3358z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_funcallz00zzast_nodez00, BGl_proc3359z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00, BGl_proc3360z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00, BGl_proc3361z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00, BGl_proc3362z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_conditionalz00zzast_nodez00, BGl_proc3363z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00, BGl_proc3364z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00, BGl_proc3365z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_letzd2funzd2zzast_nodez00, BGl_proc3366z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_letzd2varzd2zzast_nodez00, BGl_proc3367z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3368z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3369z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3370z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3371z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3372z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00, BGl_proc3373z00zzcfa_specializa7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_specializa7edzd2globalz75zzcfa_specializa7eza7, BGl_proc3374z00zzcfa_specializa7eza7); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_specializa7edzd2globalz75zzcfa_specializa7eza7, BGl_proc3375z00zzcfa_specializa7eza7);} 
}



/* struct+object->object-specialized-global2913 */
obj_t BGl_structzb2objectzd2ze3objectzd2specializa7edzd2global2913z24zzcfa_specializa7eza7(obj_t BgL_envz00_4014, obj_t BgL_oz00_4015, obj_t BgL_sz00_4016)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ 
BgL_specializa7edzd2globalz75_bglt BgL_oz00_2248;obj_t BgL_sz00_2249;
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4739;
BgL_oz00_2248 = 
(BgL_specializa7edzd2globalz75_bglt)(BgL_oz00_4015); 
BgL_sz00_2249 = BgL_sz00_4016; 
{ 

{ /* Cfa/specialize.scm 33 */
obj_t BgL_old2752z00_2252;obj_t BgL_aux2753z00_2253;
{ /* Cfa/specialize.scm 33 */
obj_t BgL_nextzd2method2912zd2_2258;
BgL_nextzd2method2912zd2_2258 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2248), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2912zd2_2258))
{ /* Cfa/specialize.scm 33 */
BgL_old2752z00_2252 = 
PROCEDURE_ENTRY(BgL_nextzd2method2912zd2_2258)(BgL_nextzd2method2912zd2_2258, 
(obj_t)(BgL_oz00_2248), BgL_sz00_2249, BEOA); }  else 
{ /* Cfa/specialize.scm 33 */
{ /* Cfa/specialize.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4747;
BgL_auxz00_4747 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2248), BgL_sz00_2249); 
BgL_old2752z00_2252 = 
(obj_t)(BgL_auxz00_4747); } } } 
{ /* Cfa/specialize.scm 33 */
int BgL_auxz00_4751;
BgL_auxz00_4751 = 
(int)(((long)0)); 
BgL_aux2753z00_2253 = 
STRUCT_REF(BgL_sz00_2249, BgL_auxz00_4751); } 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_new2754z00_2254;
BgL_new2754z00_2254 = 
((BgL_specializa7edzd2globalz75_bglt)(BgL_old2752z00_2252)); 
{ /* Cfa/specialize.scm 33 */
long BgL_auxz00_4757;BgL_objectz00_bglt BgL_auxz00_4755;
BgL_auxz00_4757 = 
BGl_classzd2numzd2zz__objectz00(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
BgL_auxz00_4755 = 
(BgL_objectz00_bglt)(BgL_new2754z00_2254); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4755, BgL_auxz00_4757); } 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_arg3253z00_2256;
{ /* Cfa/specialize.scm 33 */
obj_t BgL_arg3254z00_2257;
{ /* Cfa/specialize.scm 33 */
int BgL_auxz00_4760;
BgL_auxz00_4760 = 
(int)(((long)0)); 
BgL_arg3254z00_2257 = 
STRUCT_REF(BgL_aux2753z00_2253, BgL_auxz00_4760); } 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_res3328z00_3926;
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_new2722z00_3921;
BgL_new2722z00_3921 = 
((BgL_specializa7edzd2globalz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_specializa7edzd2globalz75_bgl)))); 
{ /* Cfa/specialize.scm 33 */
BgL_specializa7edzd2globalz75_bglt BgL_res3327z00_3925;
((((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_new2722z00_3921))->BgL_fixz00) = ((obj_t)BgL_arg3254z00_2257), BUNSPEC); 
BgL_res3327z00_3925 = BgL_new2722z00_3921; BgL_res3327z00_3925; } 
BgL_res3328z00_3926 = BgL_new2722z00_3921; } 
BgL_arg3253z00_2256 = BgL_res3328z00_3926; } } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4767;BgL_objectz00_bglt BgL_auxz00_4765;
BgL_auxz00_4767 = 
(obj_t)(BgL_arg3253z00_2256); 
BgL_auxz00_4765 = 
(BgL_objectz00_bglt)(BgL_new2754z00_2254); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4765, BgL_auxz00_4767); } } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4770;
BgL_auxz00_4770 = 
(obj_t)(BgL_new2754z00_2254); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4770); } BUNSPEC; 
BgL_auxz00_4739 = BgL_new2754z00_2254; } } } 
return 
(obj_t)(BgL_auxz00_4739);} } } 
}



/* object->struct-specialized-global2911 */
obj_t BGl_objectzd2ze3structzd2specializa7edzd2global2911z96zzcfa_specializa7eza7(obj_t BgL_envz00_4017, obj_t BgL_obj2749z00_4018)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 33 */
{ 
BgL_specializa7edzd2globalz75_bglt BgL_obj2749z00_2238;
BgL_obj2749z00_2238 = 
(BgL_specializa7edzd2globalz75_bglt)(BgL_obj2749z00_4018); 
{ 

{ /* Cfa/specialize.scm 33 */
obj_t BgL_res2750z00_2241;
{ /* Cfa/specialize.scm 33 */
obj_t BgL_nextzd2method2910zd2_2246;
BgL_nextzd2method2910zd2_2246 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2749z00_2238), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2910zd2_2246))
{ /* Cfa/specialize.scm 33 */
BgL_res2750z00_2241 = 
PROCEDURE_ENTRY(BgL_nextzd2method2910zd2_2246)(BgL_nextzd2method2910zd2_2246, 
(obj_t)(BgL_obj2749z00_2238), BEOA); }  else 
{ /* Cfa/specialize.scm 33 */
BgL_res2750z00_2241 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2749z00_2238)); } } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_aux2751z00_2242;
{ /* Cfa/specialize.scm 33 */
int BgL_auxz00_4786;obj_t BgL_auxz00_4784;
BgL_auxz00_4786 = 
(int)(((long)1)); 
BgL_auxz00_4784 = 
CNST_TABLE_REF(((long)8)); 
BgL_aux2751z00_2242 = 
make_struct(BgL_auxz00_4784, BgL_auxz00_4786, BUNSPEC); } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4791;int BgL_auxz00_4789;
{ 
obj_t BgL_auxz00_4792;
{ /* Cfa/specialize.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4793;
BgL_auxz00_4793 = 
(BgL_objectz00_bglt)(BgL_obj2749z00_2238); 
BgL_auxz00_4792 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4793); } 
BgL_auxz00_4791 = 
(((BgL_specializa7edzd2globalz75_bglt)CREF(BgL_auxz00_4792))->BgL_fixz00); } 
BgL_auxz00_4789 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2751z00_2242, BgL_auxz00_4789, BgL_auxz00_4791); } 
{ /* Cfa/specialize.scm 33 */
int BgL_auxz00_4798;
BgL_auxz00_4798 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2750z00_2241, BgL_auxz00_4798, BgL_aux2751z00_2242); } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4801;
BgL_auxz00_4801 = 
STRUCT_KEY(BgL_res2750z00_2241); 
STRUCT_KEY_SET(BgL_aux2751z00_2242, BgL_auxz00_4801); } 
{ /* Cfa/specialize.scm 33 */
obj_t BgL_auxz00_4804;
BgL_auxz00_4804 = 
CNST_TABLE_REF(((long)8)); 
STRUCT_KEY_SET(BgL_res2750z00_2241, BgL_auxz00_4804); } 
return BgL_res2750z00_2241;} } } } } 
}



/* patch!-app2909 */
obj_t BGl_patchz12zd2app2909zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4019, obj_t BgL_nodez00_4020)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 482 */
{ 
BgL_appz00_bglt BgL_nodez00_2226;
BgL_nodez00_2226 = 
(BgL_appz00_bglt)(BgL_nodez00_4020); 
BGl_patchza2z12zb0zzcfa_specializa7eza7(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2226))->BgL_argsz00)); 
{ /* Cfa/specialize.scm 485 */
obj_t BgL_arg3243z00_2231;
{ /* Cfa/specialize.scm 485 */
BgL_nodez00_bglt BgL_nodez00_3866;
{ /* Cfa/specialize.scm 485 */
BgL_varz00_bglt BgL_auxz00_4810;
BgL_auxz00_4810 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2226))->BgL_funz00); 
BgL_nodez00_3866 = 
(BgL_nodez00_bglt)(BgL_auxz00_4810); } 
{ /* Cfa/specialize.scm 485 */
obj_t BgL_method2867z00_3867;
{ /* Cfa/specialize.scm 485 */
long BgL_objzd2classzd2numz00_3869;
{ /* Cfa/specialize.scm 485 */
BgL_objectz00_bglt BgL_auxz00_4813;
BgL_auxz00_4813 = 
(BgL_objectz00_bglt)(BgL_nodez00_3866); 
BgL_objzd2classzd2numz00_3869 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4813); } 
{ /* Cfa/specialize.scm 485 */
obj_t BgL_arg1221z00_3870;
{ /* Cfa/specialize.scm 485 */
int BgL_auxz00_4816;
BgL_auxz00_4816 = 
(int)(((long)1)); 
BgL_arg1221z00_3870 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4816); } 
{ /* Cfa/specialize.scm 485 */
long BgL_offsetz00_3874;
{ /* Cfa/specialize.scm 485 */
long BgL_auxz00_4819;
{ /* Cfa/specialize.scm 485 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(BgL_objzd2classzd2numz00_3869); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_offsetz00_3874 = 
(BgL_auxz00_4819-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 485 */
long BgL_modz00_3875;
{ /* Cfa/specialize.scm 485 */
long BgL_auxz00_4824;
{ /* Cfa/specialize.scm 485 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)8)); 
BgL_auxz00_4824 = 
(long)(BgL_auxz00_4825); } 
BgL_modz00_3875 = 
(BgL_offsetz00_3874/BgL_auxz00_4824); } 
{ /* Cfa/specialize.scm 485 */
long BgL_restz00_3877;
{ /* Cfa/specialize.scm 485 */
long BgL_auxz00_4829;
{ /* Cfa/specialize.scm 485 */
int BgL_auxz00_4830;
BgL_auxz00_4830 = 
(int)(((long)8)); 
BgL_auxz00_4829 = 
(long)(BgL_auxz00_4830); } 
BgL_restz00_3877 = 
(BgL_offsetz00_3874%BgL_auxz00_4829); } 
{ /* Cfa/specialize.scm 485 */

{ /* Cfa/specialize.scm 485 */
obj_t BgL_bucketz00_3879;
{ /* Cfa/specialize.scm 485 */
int BgL_kz00_3889;
BgL_kz00_3889 = 
(int)(BgL_modz00_3875); 
BgL_bucketz00_3879 = 
VECTOR_REF(BgL_arg1221z00_3870,BgL_kz00_3889); } 
{ /* Cfa/specialize.scm 485 */
int BgL_kz00_3891;
BgL_kz00_3891 = 
(int)(BgL_restz00_3877); 
BgL_method2867z00_3867 = 
VECTOR_REF(BgL_bucketz00_3879,BgL_kz00_3891); } } } } } } } } 
BgL_arg3243z00_2231 = 
PROCEDURE_ENTRY(BgL_method2867z00_3867)(BgL_method2867z00_3867, 
(obj_t)(BgL_nodez00_3866), BEOA); } } 
{ /* Cfa/specialize.scm 485 */
BgL_varz00_bglt BgL_val1723z00_3893;
BgL_val1723z00_3893 = 
(BgL_varz00_bglt)(BgL_arg3243z00_2231); 
((((BgL_appz00_bglt)CREF(BgL_nodez00_2226))->BgL_funz00) = ((BgL_varz00_bglt)BgL_val1723z00_3893), BUNSPEC); } } 
{ /* Cfa/specialize.scm 488 */
bool_t BgL_testz00_4843;
{ /* Cfa/specialize.scm 488 */
obj_t BgL_auxz00_4844;
{ /* Cfa/specialize.scm 488 */
BgL_variablez00_bglt BgL_auxz00_4845;
{ /* Cfa/specialize.scm 486 */
BgL_varz00_bglt BgL_arg3246z00_2235;
BgL_arg3246z00_2235 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2226))->BgL_funz00); 
BgL_auxz00_4845 = 
(((BgL_varz00_bglt)CREF(BgL_arg3246z00_2235))->BgL_variablez00); } 
BgL_auxz00_4844 = 
(obj_t)(BgL_auxz00_4845); } 
BgL_testz00_4843 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4844, BGl_specializa7edzd2globalz75zzcfa_specializa7eza7); } 
if(BgL_testz00_4843)
{ /* Cfa/specialize.scm 488 */
{ /* Cfa/specialize.scm 489 */
BgL_nodez00_bglt BgL_auxz00_4850;
BgL_auxz00_4850 = 
BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_nodez00_2226); 
return 
(obj_t)(BgL_auxz00_4850);} }  else 
{ /* Cfa/specialize.scm 488 */
return 
(obj_t)(BgL_nodez00_2226);} } } } 
}



/* patch!-box-ref2907 */
obj_t BGl_patchz12zd2boxzd2ref2907z12zzcfa_specializa7eza7(obj_t BgL_envz00_4021, obj_t BgL_nodez00_4022)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 463 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2218;
{ /* Cfa/specialize.scm 464 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4855;
BgL_nodez00_2218 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4022); 
{ /* Cfa/specialize.scm 465 */
obj_t BgL_arg3239z00_2222;
{ /* Cfa/specialize.scm 465 */
BgL_nodez00_bglt BgL_nodez00_3836;
{ /* Cfa/specialize.scm 465 */
BgL_varz00_bglt BgL_auxz00_4856;
BgL_auxz00_4856 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2218))->BgL_varz00); 
BgL_nodez00_3836 = 
(BgL_nodez00_bglt)(BgL_auxz00_4856); } 
{ /* Cfa/specialize.scm 465 */
obj_t BgL_method2867z00_3837;
{ /* Cfa/specialize.scm 465 */
long BgL_objzd2classzd2numz00_3839;
{ /* Cfa/specialize.scm 465 */
BgL_objectz00_bglt BgL_auxz00_4859;
BgL_auxz00_4859 = 
(BgL_objectz00_bglt)(BgL_nodez00_3836); 
BgL_objzd2classzd2numz00_3839 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4859); } 
{ /* Cfa/specialize.scm 465 */
obj_t BgL_arg1221z00_3840;
{ /* Cfa/specialize.scm 465 */
int BgL_auxz00_4862;
BgL_auxz00_4862 = 
(int)(((long)1)); 
BgL_arg1221z00_3840 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4862); } 
{ /* Cfa/specialize.scm 465 */
long BgL_offsetz00_3844;
{ /* Cfa/specialize.scm 465 */
long BgL_auxz00_4865;
{ /* Cfa/specialize.scm 465 */
int BgL_auxz00_4866;
BgL_auxz00_4866 = 
(int)(BgL_objzd2classzd2numz00_3839); 
BgL_auxz00_4865 = 
(long)(BgL_auxz00_4866); } 
BgL_offsetz00_3844 = 
(BgL_auxz00_4865-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 465 */
long BgL_modz00_3845;
{ /* Cfa/specialize.scm 465 */
long BgL_auxz00_4870;
{ /* Cfa/specialize.scm 465 */
int BgL_auxz00_4871;
BgL_auxz00_4871 = 
(int)(((long)8)); 
BgL_auxz00_4870 = 
(long)(BgL_auxz00_4871); } 
BgL_modz00_3845 = 
(BgL_offsetz00_3844/BgL_auxz00_4870); } 
{ /* Cfa/specialize.scm 465 */
long BgL_restz00_3847;
{ /* Cfa/specialize.scm 465 */
long BgL_auxz00_4875;
{ /* Cfa/specialize.scm 465 */
int BgL_auxz00_4876;
BgL_auxz00_4876 = 
(int)(((long)8)); 
BgL_auxz00_4875 = 
(long)(BgL_auxz00_4876); } 
BgL_restz00_3847 = 
(BgL_offsetz00_3844%BgL_auxz00_4875); } 
{ /* Cfa/specialize.scm 465 */

{ /* Cfa/specialize.scm 465 */
obj_t BgL_bucketz00_3849;
{ /* Cfa/specialize.scm 465 */
int BgL_kz00_3859;
BgL_kz00_3859 = 
(int)(BgL_modz00_3845); 
BgL_bucketz00_3849 = 
VECTOR_REF(BgL_arg1221z00_3840,BgL_kz00_3859); } 
{ /* Cfa/specialize.scm 465 */
int BgL_kz00_3861;
BgL_kz00_3861 = 
(int)(BgL_restz00_3847); 
BgL_method2867z00_3837 = 
VECTOR_REF(BgL_bucketz00_3849,BgL_kz00_3861); } } } } } } } } 
BgL_arg3239z00_2222 = 
PROCEDURE_ENTRY(BgL_method2867z00_3837)(BgL_method2867z00_3837, 
(obj_t)(BgL_nodez00_3836), BEOA); } } 
{ /* Cfa/specialize.scm 465 */
BgL_varz00_bglt BgL_val2603z00_3863;
BgL_val2603z00_3863 = 
(BgL_varz00_bglt)(BgL_arg3239z00_2222); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2218))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3863), BUNSPEC); } } 
BgL_auxz00_4855 = BgL_nodez00_2218; 
return 
(obj_t)(BgL_auxz00_4855);} } } 
}



/* patch!-box-set!2905 */
obj_t BGl_patchz12zd2boxzd2setz122905z00zzcfa_specializa7eza7(obj_t BgL_envz00_4023, obj_t BgL_nodez00_4024)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 454 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2208;
{ /* Cfa/specialize.scm 455 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4891;
BgL_nodez00_2208 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4024); 
{ /* Cfa/specialize.scm 456 */
obj_t BgL_arg3234z00_2212;
{ /* Cfa/specialize.scm 456 */
BgL_nodez00_bglt BgL_nodez00_3778;
{ /* Cfa/specialize.scm 456 */
BgL_varz00_bglt BgL_auxz00_4892;
BgL_auxz00_4892 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2208))->BgL_varz00); 
BgL_nodez00_3778 = 
(BgL_nodez00_bglt)(BgL_auxz00_4892); } 
{ /* Cfa/specialize.scm 456 */
obj_t BgL_method2867z00_3779;
{ /* Cfa/specialize.scm 456 */
long BgL_objzd2classzd2numz00_3781;
{ /* Cfa/specialize.scm 456 */
BgL_objectz00_bglt BgL_auxz00_4895;
BgL_auxz00_4895 = 
(BgL_objectz00_bglt)(BgL_nodez00_3778); 
BgL_objzd2classzd2numz00_3781 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4895); } 
{ /* Cfa/specialize.scm 456 */
obj_t BgL_arg1221z00_3782;
{ /* Cfa/specialize.scm 456 */
int BgL_auxz00_4898;
BgL_auxz00_4898 = 
(int)(((long)1)); 
BgL_arg1221z00_3782 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4898); } 
{ /* Cfa/specialize.scm 456 */
long BgL_offsetz00_3786;
{ /* Cfa/specialize.scm 456 */
long BgL_auxz00_4901;
{ /* Cfa/specialize.scm 456 */
int BgL_auxz00_4902;
BgL_auxz00_4902 = 
(int)(BgL_objzd2classzd2numz00_3781); 
BgL_auxz00_4901 = 
(long)(BgL_auxz00_4902); } 
BgL_offsetz00_3786 = 
(BgL_auxz00_4901-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 456 */
long BgL_modz00_3787;
{ /* Cfa/specialize.scm 456 */
long BgL_auxz00_4906;
{ /* Cfa/specialize.scm 456 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(((long)8)); 
BgL_auxz00_4906 = 
(long)(BgL_auxz00_4907); } 
BgL_modz00_3787 = 
(BgL_offsetz00_3786/BgL_auxz00_4906); } 
{ /* Cfa/specialize.scm 456 */
long BgL_restz00_3789;
{ /* Cfa/specialize.scm 456 */
long BgL_auxz00_4911;
{ /* Cfa/specialize.scm 456 */
int BgL_auxz00_4912;
BgL_auxz00_4912 = 
(int)(((long)8)); 
BgL_auxz00_4911 = 
(long)(BgL_auxz00_4912); } 
BgL_restz00_3789 = 
(BgL_offsetz00_3786%BgL_auxz00_4911); } 
{ /* Cfa/specialize.scm 456 */

{ /* Cfa/specialize.scm 456 */
obj_t BgL_bucketz00_3791;
{ /* Cfa/specialize.scm 456 */
int BgL_kz00_3801;
BgL_kz00_3801 = 
(int)(BgL_modz00_3787); 
BgL_bucketz00_3791 = 
VECTOR_REF(BgL_arg1221z00_3782,BgL_kz00_3801); } 
{ /* Cfa/specialize.scm 456 */
int BgL_kz00_3803;
BgL_kz00_3803 = 
(int)(BgL_restz00_3789); 
BgL_method2867z00_3779 = 
VECTOR_REF(BgL_bucketz00_3791,BgL_kz00_3803); } } } } } } } } 
BgL_arg3234z00_2212 = 
PROCEDURE_ENTRY(BgL_method2867z00_3779)(BgL_method2867z00_3779, 
(obj_t)(BgL_nodez00_3778), BEOA); } } 
{ /* Cfa/specialize.scm 456 */
BgL_varz00_bglt BgL_val2631z00_3805;
BgL_val2631z00_3805 = 
(BgL_varz00_bglt)(BgL_arg3234z00_2212); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2208))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3805), BUNSPEC); } } 
{ /* Cfa/specialize.scm 457 */
obj_t BgL_arg3236z00_2214;
{ /* Cfa/specialize.scm 457 */
BgL_nodez00_bglt BgL_arg3237z00_2215;
BgL_arg3237z00_2215 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2208))->BgL_valuez00); 
{ /* Cfa/specialize.scm 457 */
obj_t BgL_method2867z00_3808;
{ /* Cfa/specialize.scm 457 */
long BgL_objzd2classzd2numz00_3810;
{ /* Cfa/specialize.scm 457 */
BgL_objectz00_bglt BgL_auxz00_4926;
BgL_auxz00_4926 = 
(BgL_objectz00_bglt)(BgL_arg3237z00_2215); 
BgL_objzd2classzd2numz00_3810 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4926); } 
{ /* Cfa/specialize.scm 457 */
obj_t BgL_arg1221z00_3811;
{ /* Cfa/specialize.scm 457 */
int BgL_auxz00_4929;
BgL_auxz00_4929 = 
(int)(((long)1)); 
BgL_arg1221z00_3811 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4929); } 
{ /* Cfa/specialize.scm 457 */
long BgL_offsetz00_3815;
{ /* Cfa/specialize.scm 457 */
long BgL_auxz00_4932;
{ /* Cfa/specialize.scm 457 */
int BgL_auxz00_4933;
BgL_auxz00_4933 = 
(int)(BgL_objzd2classzd2numz00_3810); 
BgL_auxz00_4932 = 
(long)(BgL_auxz00_4933); } 
BgL_offsetz00_3815 = 
(BgL_auxz00_4932-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 457 */
long BgL_modz00_3816;
{ /* Cfa/specialize.scm 457 */
long BgL_auxz00_4937;
{ /* Cfa/specialize.scm 457 */
int BgL_auxz00_4938;
BgL_auxz00_4938 = 
(int)(((long)8)); 
BgL_auxz00_4937 = 
(long)(BgL_auxz00_4938); } 
BgL_modz00_3816 = 
(BgL_offsetz00_3815/BgL_auxz00_4937); } 
{ /* Cfa/specialize.scm 457 */
long BgL_restz00_3818;
{ /* Cfa/specialize.scm 457 */
long BgL_auxz00_4942;
{ /* Cfa/specialize.scm 457 */
int BgL_auxz00_4943;
BgL_auxz00_4943 = 
(int)(((long)8)); 
BgL_auxz00_4942 = 
(long)(BgL_auxz00_4943); } 
BgL_restz00_3818 = 
(BgL_offsetz00_3815%BgL_auxz00_4942); } 
{ /* Cfa/specialize.scm 457 */

{ /* Cfa/specialize.scm 457 */
obj_t BgL_bucketz00_3820;
{ /* Cfa/specialize.scm 457 */
int BgL_kz00_3830;
BgL_kz00_3830 = 
(int)(BgL_modz00_3816); 
BgL_bucketz00_3820 = 
VECTOR_REF(BgL_arg1221z00_3811,BgL_kz00_3830); } 
{ /* Cfa/specialize.scm 457 */
int BgL_kz00_3832;
BgL_kz00_3832 = 
(int)(BgL_restz00_3818); 
BgL_method2867z00_3808 = 
VECTOR_REF(BgL_bucketz00_3820,BgL_kz00_3832); } } } } } } } } 
BgL_arg3236z00_2214 = 
PROCEDURE_ENTRY(BgL_method2867z00_3808)(BgL_method2867z00_3808, 
(obj_t)(BgL_arg3237z00_2215), BEOA); } } 
{ /* Cfa/specialize.scm 457 */
BgL_nodez00_bglt BgL_val2634z00_3834;
BgL_val2634z00_3834 = 
(BgL_nodez00_bglt)(BgL_arg3236z00_2214); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2208))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2634z00_3834), BUNSPEC); } } 
BgL_auxz00_4891 = BgL_nodez00_2208; 
return 
(obj_t)(BgL_auxz00_4891);} } } 
}



/* patch!-make-box2903 */
obj_t BGl_patchz12zd2makezd2box2903z12zzcfa_specializa7eza7(obj_t BgL_envz00_4025, obj_t BgL_nodez00_4026)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 446 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2200;
{ /* Cfa/specialize.scm 447 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4958;
BgL_nodez00_2200 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4026); 
{ /* Cfa/specialize.scm 448 */
obj_t BgL_arg3231z00_2204;
{ /* Cfa/specialize.scm 448 */
BgL_nodez00_bglt BgL_arg3232z00_2205;
BgL_arg3232z00_2205 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2200))->BgL_valuez00); 
{ /* Cfa/specialize.scm 448 */
obj_t BgL_method2867z00_3750;
{ /* Cfa/specialize.scm 448 */
long BgL_objzd2classzd2numz00_3752;
{ /* Cfa/specialize.scm 448 */
BgL_objectz00_bglt BgL_auxz00_4960;
BgL_auxz00_4960 = 
(BgL_objectz00_bglt)(BgL_arg3232z00_2205); 
BgL_objzd2classzd2numz00_3752 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4960); } 
{ /* Cfa/specialize.scm 448 */
obj_t BgL_arg1221z00_3753;
{ /* Cfa/specialize.scm 448 */
int BgL_auxz00_4963;
BgL_auxz00_4963 = 
(int)(((long)1)); 
BgL_arg1221z00_3753 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4963); } 
{ /* Cfa/specialize.scm 448 */
long BgL_offsetz00_3757;
{ /* Cfa/specialize.scm 448 */
long BgL_auxz00_4966;
{ /* Cfa/specialize.scm 448 */
int BgL_auxz00_4967;
BgL_auxz00_4967 = 
(int)(BgL_objzd2classzd2numz00_3752); 
BgL_auxz00_4966 = 
(long)(BgL_auxz00_4967); } 
BgL_offsetz00_3757 = 
(BgL_auxz00_4966-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 448 */
long BgL_modz00_3758;
{ /* Cfa/specialize.scm 448 */
long BgL_auxz00_4971;
{ /* Cfa/specialize.scm 448 */
int BgL_auxz00_4972;
BgL_auxz00_4972 = 
(int)(((long)8)); 
BgL_auxz00_4971 = 
(long)(BgL_auxz00_4972); } 
BgL_modz00_3758 = 
(BgL_offsetz00_3757/BgL_auxz00_4971); } 
{ /* Cfa/specialize.scm 448 */
long BgL_restz00_3760;
{ /* Cfa/specialize.scm 448 */
long BgL_auxz00_4976;
{ /* Cfa/specialize.scm 448 */
int BgL_auxz00_4977;
BgL_auxz00_4977 = 
(int)(((long)8)); 
BgL_auxz00_4976 = 
(long)(BgL_auxz00_4977); } 
BgL_restz00_3760 = 
(BgL_offsetz00_3757%BgL_auxz00_4976); } 
{ /* Cfa/specialize.scm 448 */

{ /* Cfa/specialize.scm 448 */
obj_t BgL_bucketz00_3762;
{ /* Cfa/specialize.scm 448 */
int BgL_kz00_3772;
BgL_kz00_3772 = 
(int)(BgL_modz00_3758); 
BgL_bucketz00_3762 = 
VECTOR_REF(BgL_arg1221z00_3753,BgL_kz00_3772); } 
{ /* Cfa/specialize.scm 448 */
int BgL_kz00_3774;
BgL_kz00_3774 = 
(int)(BgL_restz00_3760); 
BgL_method2867z00_3750 = 
VECTOR_REF(BgL_bucketz00_3762,BgL_kz00_3774); } } } } } } } } 
BgL_arg3231z00_2204 = 
PROCEDURE_ENTRY(BgL_method2867z00_3750)(BgL_method2867z00_3750, 
(obj_t)(BgL_arg3232z00_2205), BEOA); } } 
{ /* Cfa/specialize.scm 448 */
BgL_nodez00_bglt BgL_val2569z00_3776;
BgL_val2569z00_3776 = 
(BgL_nodez00_bglt)(BgL_arg3231z00_2204); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2200))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2569z00_3776), BUNSPEC); } } 
BgL_auxz00_4958 = BgL_nodez00_2200; 
return 
(obj_t)(BgL_auxz00_4958);} } } 
}



/* patch!-jump-ex-it2901 */
obj_t BGl_patchz12zd2jumpzd2exzd2it2901zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4027, obj_t BgL_nodez00_4028)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 437 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2190;
{ /* Cfa/specialize.scm 438 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4992;
BgL_nodez00_2190 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4028); 
{ /* Cfa/specialize.scm 439 */
obj_t BgL_arg3225z00_2194;
{ /* Cfa/specialize.scm 439 */
BgL_nodez00_bglt BgL_arg3226z00_2195;
BgL_arg3226z00_2195 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2190))->BgL_exitz00); 
{ /* Cfa/specialize.scm 439 */
obj_t BgL_method2867z00_3692;
{ /* Cfa/specialize.scm 439 */
long BgL_objzd2classzd2numz00_3694;
{ /* Cfa/specialize.scm 439 */
BgL_objectz00_bglt BgL_auxz00_4994;
BgL_auxz00_4994 = 
(BgL_objectz00_bglt)(BgL_arg3226z00_2195); 
BgL_objzd2classzd2numz00_3694 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4994); } 
{ /* Cfa/specialize.scm 439 */
obj_t BgL_arg1221z00_3695;
{ /* Cfa/specialize.scm 439 */
int BgL_auxz00_4997;
BgL_auxz00_4997 = 
(int)(((long)1)); 
BgL_arg1221z00_3695 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_4997); } 
{ /* Cfa/specialize.scm 439 */
long BgL_offsetz00_3699;
{ /* Cfa/specialize.scm 439 */
long BgL_auxz00_5000;
{ /* Cfa/specialize.scm 439 */
int BgL_auxz00_5001;
BgL_auxz00_5001 = 
(int)(BgL_objzd2classzd2numz00_3694); 
BgL_auxz00_5000 = 
(long)(BgL_auxz00_5001); } 
BgL_offsetz00_3699 = 
(BgL_auxz00_5000-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 439 */
long BgL_modz00_3700;
{ /* Cfa/specialize.scm 439 */
long BgL_auxz00_5005;
{ /* Cfa/specialize.scm 439 */
int BgL_auxz00_5006;
BgL_auxz00_5006 = 
(int)(((long)8)); 
BgL_auxz00_5005 = 
(long)(BgL_auxz00_5006); } 
BgL_modz00_3700 = 
(BgL_offsetz00_3699/BgL_auxz00_5005); } 
{ /* Cfa/specialize.scm 439 */
long BgL_restz00_3702;
{ /* Cfa/specialize.scm 439 */
long BgL_auxz00_5010;
{ /* Cfa/specialize.scm 439 */
int BgL_auxz00_5011;
BgL_auxz00_5011 = 
(int)(((long)8)); 
BgL_auxz00_5010 = 
(long)(BgL_auxz00_5011); } 
BgL_restz00_3702 = 
(BgL_offsetz00_3699%BgL_auxz00_5010); } 
{ /* Cfa/specialize.scm 439 */

{ /* Cfa/specialize.scm 439 */
obj_t BgL_bucketz00_3704;
{ /* Cfa/specialize.scm 439 */
int BgL_kz00_3714;
BgL_kz00_3714 = 
(int)(BgL_modz00_3700); 
BgL_bucketz00_3704 = 
VECTOR_REF(BgL_arg1221z00_3695,BgL_kz00_3714); } 
{ /* Cfa/specialize.scm 439 */
int BgL_kz00_3716;
BgL_kz00_3716 = 
(int)(BgL_restz00_3702); 
BgL_method2867z00_3692 = 
VECTOR_REF(BgL_bucketz00_3704,BgL_kz00_3716); } } } } } } } } 
BgL_arg3225z00_2194 = 
PROCEDURE_ENTRY(BgL_method2867z00_3692)(BgL_method2867z00_3692, 
(obj_t)(BgL_arg3226z00_2195), BEOA); } } 
{ /* Cfa/specialize.scm 439 */
BgL_nodez00_bglt BgL_val2535z00_3718;
BgL_val2535z00_3718 = 
(BgL_nodez00_bglt)(BgL_arg3225z00_2194); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2190))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val2535z00_3718), BUNSPEC); } } 
{ /* Cfa/specialize.scm 440 */
obj_t BgL_arg3227z00_2196;
{ /* Cfa/specialize.scm 440 */
BgL_nodez00_bglt BgL_arg3228z00_2197;
BgL_arg3228z00_2197 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2190))->BgL_valuez00); 
{ /* Cfa/specialize.scm 440 */
obj_t BgL_method2867z00_3721;
{ /* Cfa/specialize.scm 440 */
long BgL_objzd2classzd2numz00_3723;
{ /* Cfa/specialize.scm 440 */
BgL_objectz00_bglt BgL_auxz00_5025;
BgL_auxz00_5025 = 
(BgL_objectz00_bglt)(BgL_arg3228z00_2197); 
BgL_objzd2classzd2numz00_3723 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5025); } 
{ /* Cfa/specialize.scm 440 */
obj_t BgL_arg1221z00_3724;
{ /* Cfa/specialize.scm 440 */
int BgL_auxz00_5028;
BgL_auxz00_5028 = 
(int)(((long)1)); 
BgL_arg1221z00_3724 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5028); } 
{ /* Cfa/specialize.scm 440 */
long BgL_offsetz00_3728;
{ /* Cfa/specialize.scm 440 */
long BgL_auxz00_5031;
{ /* Cfa/specialize.scm 440 */
int BgL_auxz00_5032;
BgL_auxz00_5032 = 
(int)(BgL_objzd2classzd2numz00_3723); 
BgL_auxz00_5031 = 
(long)(BgL_auxz00_5032); } 
BgL_offsetz00_3728 = 
(BgL_auxz00_5031-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 440 */
long BgL_modz00_3729;
{ /* Cfa/specialize.scm 440 */
long BgL_auxz00_5036;
{ /* Cfa/specialize.scm 440 */
int BgL_auxz00_5037;
BgL_auxz00_5037 = 
(int)(((long)8)); 
BgL_auxz00_5036 = 
(long)(BgL_auxz00_5037); } 
BgL_modz00_3729 = 
(BgL_offsetz00_3728/BgL_auxz00_5036); } 
{ /* Cfa/specialize.scm 440 */
long BgL_restz00_3731;
{ /* Cfa/specialize.scm 440 */
long BgL_auxz00_5041;
{ /* Cfa/specialize.scm 440 */
int BgL_auxz00_5042;
BgL_auxz00_5042 = 
(int)(((long)8)); 
BgL_auxz00_5041 = 
(long)(BgL_auxz00_5042); } 
BgL_restz00_3731 = 
(BgL_offsetz00_3728%BgL_auxz00_5041); } 
{ /* Cfa/specialize.scm 440 */

{ /* Cfa/specialize.scm 440 */
obj_t BgL_bucketz00_3733;
{ /* Cfa/specialize.scm 440 */
int BgL_kz00_3743;
BgL_kz00_3743 = 
(int)(BgL_modz00_3729); 
BgL_bucketz00_3733 = 
VECTOR_REF(BgL_arg1221z00_3724,BgL_kz00_3743); } 
{ /* Cfa/specialize.scm 440 */
int BgL_kz00_3745;
BgL_kz00_3745 = 
(int)(BgL_restz00_3731); 
BgL_method2867z00_3721 = 
VECTOR_REF(BgL_bucketz00_3733,BgL_kz00_3745); } } } } } } } } 
BgL_arg3227z00_2196 = 
PROCEDURE_ENTRY(BgL_method2867z00_3721)(BgL_method2867z00_3721, 
(obj_t)(BgL_arg3228z00_2197), BEOA); } } 
{ /* Cfa/specialize.scm 440 */
BgL_nodez00_bglt BgL_val2538z00_3747;
BgL_val2538z00_3747 = 
(BgL_nodez00_bglt)(BgL_arg3227z00_2196); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2190))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2538z00_3747), BUNSPEC); } } 
BgL_auxz00_4992 = BgL_nodez00_2190; 
return 
(obj_t)(BgL_auxz00_4992);} } } 
}



/* patch!-set-ex-it2899 */
obj_t BGl_patchz12zd2setzd2exzd2it2899zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4029, obj_t BgL_nodez00_4030)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 428 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2181;
{ /* Cfa/specialize.scm 429 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_5057;
BgL_nodez00_2181 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4030); 
{ /* Cfa/specialize.scm 430 */
obj_t BgL_arg3221z00_2185;
{ /* Cfa/specialize.scm 430 */
BgL_nodez00_bglt BgL_arg3222z00_2186;
BgL_arg3222z00_2186 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2181))->BgL_bodyz00); 
{ /* Cfa/specialize.scm 430 */
obj_t BgL_method2867z00_3636;
{ /* Cfa/specialize.scm 430 */
long BgL_objzd2classzd2numz00_3638;
{ /* Cfa/specialize.scm 430 */
BgL_objectz00_bglt BgL_auxz00_5059;
BgL_auxz00_5059 = 
(BgL_objectz00_bglt)(BgL_arg3222z00_2186); 
BgL_objzd2classzd2numz00_3638 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5059); } 
{ /* Cfa/specialize.scm 430 */
obj_t BgL_arg1221z00_3639;
{ /* Cfa/specialize.scm 430 */
int BgL_auxz00_5062;
BgL_auxz00_5062 = 
(int)(((long)1)); 
BgL_arg1221z00_3639 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5062); } 
{ /* Cfa/specialize.scm 430 */
long BgL_offsetz00_3643;
{ /* Cfa/specialize.scm 430 */
long BgL_auxz00_5065;
{ /* Cfa/specialize.scm 430 */
int BgL_auxz00_5066;
BgL_auxz00_5066 = 
(int)(BgL_objzd2classzd2numz00_3638); 
BgL_auxz00_5065 = 
(long)(BgL_auxz00_5066); } 
BgL_offsetz00_3643 = 
(BgL_auxz00_5065-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 430 */
long BgL_modz00_3644;
{ /* Cfa/specialize.scm 430 */
long BgL_auxz00_5070;
{ /* Cfa/specialize.scm 430 */
int BgL_auxz00_5071;
BgL_auxz00_5071 = 
(int)(((long)8)); 
BgL_auxz00_5070 = 
(long)(BgL_auxz00_5071); } 
BgL_modz00_3644 = 
(BgL_offsetz00_3643/BgL_auxz00_5070); } 
{ /* Cfa/specialize.scm 430 */
long BgL_restz00_3646;
{ /* Cfa/specialize.scm 430 */
long BgL_auxz00_5075;
{ /* Cfa/specialize.scm 430 */
int BgL_auxz00_5076;
BgL_auxz00_5076 = 
(int)(((long)8)); 
BgL_auxz00_5075 = 
(long)(BgL_auxz00_5076); } 
BgL_restz00_3646 = 
(BgL_offsetz00_3643%BgL_auxz00_5075); } 
{ /* Cfa/specialize.scm 430 */

{ /* Cfa/specialize.scm 430 */
obj_t BgL_bucketz00_3648;
{ /* Cfa/specialize.scm 430 */
int BgL_kz00_3658;
BgL_kz00_3658 = 
(int)(BgL_modz00_3644); 
BgL_bucketz00_3648 = 
VECTOR_REF(BgL_arg1221z00_3639,BgL_kz00_3658); } 
{ /* Cfa/specialize.scm 430 */
int BgL_kz00_3660;
BgL_kz00_3660 = 
(int)(BgL_restz00_3646); 
BgL_method2867z00_3636 = 
VECTOR_REF(BgL_bucketz00_3648,BgL_kz00_3660); } } } } } } } } 
BgL_arg3221z00_2185 = 
PROCEDURE_ENTRY(BgL_method2867z00_3636)(BgL_method2867z00_3636, 
(obj_t)(BgL_arg3222z00_2186), BEOA); } } 
{ /* Cfa/specialize.scm 430 */
BgL_nodez00_bglt BgL_val2510z00_3662;
BgL_val2510z00_3662 = 
(BgL_nodez00_bglt)(BgL_arg3221z00_2185); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2181))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2510z00_3662), BUNSPEC); } } 
{ /* Cfa/specialize.scm 431 */
BgL_nodez00_bglt BgL_nodez00_3664;
{ /* Cfa/specialize.scm 431 */
BgL_varz00_bglt BgL_auxz00_5089;
BgL_auxz00_5089 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2181))->BgL_varz00); 
BgL_nodez00_3664 = 
(BgL_nodez00_bglt)(BgL_auxz00_5089); } 
{ /* Cfa/specialize.scm 431 */
obj_t BgL_method2867z00_3665;
{ /* Cfa/specialize.scm 431 */
long BgL_objzd2classzd2numz00_3667;
{ /* Cfa/specialize.scm 431 */
BgL_objectz00_bglt BgL_auxz00_5092;
BgL_auxz00_5092 = 
(BgL_objectz00_bglt)(BgL_nodez00_3664); 
BgL_objzd2classzd2numz00_3667 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5092); } 
{ /* Cfa/specialize.scm 431 */
obj_t BgL_arg1221z00_3668;
{ /* Cfa/specialize.scm 431 */
int BgL_auxz00_5095;
BgL_auxz00_5095 = 
(int)(((long)1)); 
BgL_arg1221z00_3668 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5095); } 
{ /* Cfa/specialize.scm 431 */
long BgL_offsetz00_3672;
{ /* Cfa/specialize.scm 431 */
long BgL_auxz00_5098;
{ /* Cfa/specialize.scm 431 */
int BgL_auxz00_5099;
BgL_auxz00_5099 = 
(int)(BgL_objzd2classzd2numz00_3667); 
BgL_auxz00_5098 = 
(long)(BgL_auxz00_5099); } 
BgL_offsetz00_3672 = 
(BgL_auxz00_5098-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 431 */
long BgL_modz00_3673;
{ /* Cfa/specialize.scm 431 */
long BgL_auxz00_5103;
{ /* Cfa/specialize.scm 431 */
int BgL_auxz00_5104;
BgL_auxz00_5104 = 
(int)(((long)8)); 
BgL_auxz00_5103 = 
(long)(BgL_auxz00_5104); } 
BgL_modz00_3673 = 
(BgL_offsetz00_3672/BgL_auxz00_5103); } 
{ /* Cfa/specialize.scm 431 */
long BgL_restz00_3675;
{ /* Cfa/specialize.scm 431 */
long BgL_auxz00_5108;
{ /* Cfa/specialize.scm 431 */
int BgL_auxz00_5109;
BgL_auxz00_5109 = 
(int)(((long)8)); 
BgL_auxz00_5108 = 
(long)(BgL_auxz00_5109); } 
BgL_restz00_3675 = 
(BgL_offsetz00_3672%BgL_auxz00_5108); } 
{ /* Cfa/specialize.scm 431 */

{ /* Cfa/specialize.scm 431 */
obj_t BgL_bucketz00_3677;
{ /* Cfa/specialize.scm 431 */
int BgL_kz00_3687;
BgL_kz00_3687 = 
(int)(BgL_modz00_3673); 
BgL_bucketz00_3677 = 
VECTOR_REF(BgL_arg1221z00_3668,BgL_kz00_3687); } 
{ /* Cfa/specialize.scm 431 */
int BgL_kz00_3689;
BgL_kz00_3689 = 
(int)(BgL_restz00_3675); 
BgL_method2867z00_3665 = 
VECTOR_REF(BgL_bucketz00_3677,BgL_kz00_3689); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2867z00_3665)(BgL_method2867z00_3665, 
(obj_t)(BgL_nodez00_3664), BEOA); } } 
BgL_auxz00_5057 = BgL_nodez00_2181; 
return 
(obj_t)(BgL_auxz00_5057);} } } 
}



/* patch!-let-var2897 */
obj_t BGl_patchz12zd2letzd2var2897z12zzcfa_specializa7eza7(obj_t BgL_envz00_4031, obj_t BgL_nodez00_4032)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 416 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2165;
{ /* Cfa/specialize.scm 417 */
BgL_letzd2varzd2_bglt BgL_auxz00_5122;
BgL_nodez00_2165 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4032); 
{ 
obj_t BgL_l2847z00_2169;
BgL_l2847z00_2169 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2165))->BgL_bindingsz00); 
BgL_lname2848z00_2170:
if(
PAIRP(BgL_l2847z00_2169))
{ /* Cfa/specialize.scm 418 */
{ /* Cfa/specialize.scm 419 */
obj_t BgL_bindingz00_2173;
BgL_bindingz00_2173 = 
CAR(BgL_l2847z00_2169); 
{ /* Cfa/specialize.scm 420 */
obj_t BgL_arg3216z00_2175;
{ /* Cfa/specialize.scm 420 */
BgL_nodez00_bglt BgL_nodez00_3576;
{ /* Cfa/specialize.scm 420 */
obj_t BgL_auxz00_5126;
BgL_auxz00_5126 = 
CDR(BgL_bindingz00_2173); 
BgL_nodez00_3576 = 
(BgL_nodez00_bglt)(BgL_auxz00_5126); } 
{ /* Cfa/specialize.scm 420 */
obj_t BgL_method2867z00_3577;
{ /* Cfa/specialize.scm 420 */
long BgL_objzd2classzd2numz00_3579;
{ /* Cfa/specialize.scm 420 */
BgL_objectz00_bglt BgL_auxz00_5129;
BgL_auxz00_5129 = 
(BgL_objectz00_bglt)(BgL_nodez00_3576); 
BgL_objzd2classzd2numz00_3579 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5129); } 
{ /* Cfa/specialize.scm 420 */
obj_t BgL_arg1221z00_3580;
{ /* Cfa/specialize.scm 420 */
int BgL_auxz00_5132;
BgL_auxz00_5132 = 
(int)(((long)1)); 
BgL_arg1221z00_3580 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5132); } 
{ /* Cfa/specialize.scm 420 */
long BgL_offsetz00_3584;
{ /* Cfa/specialize.scm 420 */
long BgL_auxz00_5135;
{ /* Cfa/specialize.scm 420 */
int BgL_auxz00_5136;
BgL_auxz00_5136 = 
(int)(BgL_objzd2classzd2numz00_3579); 
BgL_auxz00_5135 = 
(long)(BgL_auxz00_5136); } 
BgL_offsetz00_3584 = 
(BgL_auxz00_5135-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 420 */
long BgL_modz00_3585;
{ /* Cfa/specialize.scm 420 */
long BgL_auxz00_5140;
{ /* Cfa/specialize.scm 420 */
int BgL_auxz00_5141;
BgL_auxz00_5141 = 
(int)(((long)8)); 
BgL_auxz00_5140 = 
(long)(BgL_auxz00_5141); } 
BgL_modz00_3585 = 
(BgL_offsetz00_3584/BgL_auxz00_5140); } 
{ /* Cfa/specialize.scm 420 */
long BgL_restz00_3587;
{ /* Cfa/specialize.scm 420 */
long BgL_auxz00_5145;
{ /* Cfa/specialize.scm 420 */
int BgL_auxz00_5146;
BgL_auxz00_5146 = 
(int)(((long)8)); 
BgL_auxz00_5145 = 
(long)(BgL_auxz00_5146); } 
BgL_restz00_3587 = 
(BgL_offsetz00_3584%BgL_auxz00_5145); } 
{ /* Cfa/specialize.scm 420 */

{ /* Cfa/specialize.scm 420 */
obj_t BgL_bucketz00_3589;
{ /* Cfa/specialize.scm 420 */
int BgL_kz00_3599;
BgL_kz00_3599 = 
(int)(BgL_modz00_3585); 
BgL_bucketz00_3589 = 
VECTOR_REF(BgL_arg1221z00_3580,BgL_kz00_3599); } 
{ /* Cfa/specialize.scm 420 */
int BgL_kz00_3601;
BgL_kz00_3601 = 
(int)(BgL_restz00_3587); 
BgL_method2867z00_3577 = 
VECTOR_REF(BgL_bucketz00_3589,BgL_kz00_3601); } } } } } } } } 
BgL_arg3216z00_2175 = 
PROCEDURE_ENTRY(BgL_method2867z00_3577)(BgL_method2867z00_3577, 
(obj_t)(BgL_nodez00_3576), BEOA); } } 
SET_CDR(BgL_bindingz00_2173, BgL_arg3216z00_2175); } } 
{ 
obj_t BgL_l2847z00_5158;
BgL_l2847z00_5158 = 
CDR(BgL_l2847z00_2169); 
BgL_l2847z00_2169 = BgL_l2847z00_5158; 
goto BgL_lname2848z00_2170;} }  else 
{ /* Cfa/specialize.scm 418 */((bool_t)1); } } 
{ /* Cfa/specialize.scm 422 */
obj_t BgL_arg3218z00_2177;
{ /* Cfa/specialize.scm 422 */
BgL_nodez00_bglt BgL_arg3219z00_2178;
BgL_arg3219z00_2178 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2165))->BgL_bodyz00); 
{ /* Cfa/specialize.scm 422 */
obj_t BgL_method2867z00_3607;
{ /* Cfa/specialize.scm 422 */
long BgL_objzd2classzd2numz00_3609;
{ /* Cfa/specialize.scm 422 */
BgL_objectz00_bglt BgL_auxz00_5162;
BgL_auxz00_5162 = 
(BgL_objectz00_bglt)(BgL_arg3219z00_2178); 
BgL_objzd2classzd2numz00_3609 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5162); } 
{ /* Cfa/specialize.scm 422 */
obj_t BgL_arg1221z00_3610;
{ /* Cfa/specialize.scm 422 */
int BgL_auxz00_5165;
BgL_auxz00_5165 = 
(int)(((long)1)); 
BgL_arg1221z00_3610 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5165); } 
{ /* Cfa/specialize.scm 422 */
long BgL_offsetz00_3614;
{ /* Cfa/specialize.scm 422 */
long BgL_auxz00_5168;
{ /* Cfa/specialize.scm 422 */
int BgL_auxz00_5169;
BgL_auxz00_5169 = 
(int)(BgL_objzd2classzd2numz00_3609); 
BgL_auxz00_5168 = 
(long)(BgL_auxz00_5169); } 
BgL_offsetz00_3614 = 
(BgL_auxz00_5168-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 422 */
long BgL_modz00_3615;
{ /* Cfa/specialize.scm 422 */
long BgL_auxz00_5173;
{ /* Cfa/specialize.scm 422 */
int BgL_auxz00_5174;
BgL_auxz00_5174 = 
(int)(((long)8)); 
BgL_auxz00_5173 = 
(long)(BgL_auxz00_5174); } 
BgL_modz00_3615 = 
(BgL_offsetz00_3614/BgL_auxz00_5173); } 
{ /* Cfa/specialize.scm 422 */
long BgL_restz00_3617;
{ /* Cfa/specialize.scm 422 */
long BgL_auxz00_5178;
{ /* Cfa/specialize.scm 422 */
int BgL_auxz00_5179;
BgL_auxz00_5179 = 
(int)(((long)8)); 
BgL_auxz00_5178 = 
(long)(BgL_auxz00_5179); } 
BgL_restz00_3617 = 
(BgL_offsetz00_3614%BgL_auxz00_5178); } 
{ /* Cfa/specialize.scm 422 */

{ /* Cfa/specialize.scm 422 */
obj_t BgL_bucketz00_3619;
{ /* Cfa/specialize.scm 422 */
int BgL_kz00_3629;
BgL_kz00_3629 = 
(int)(BgL_modz00_3615); 
BgL_bucketz00_3619 = 
VECTOR_REF(BgL_arg1221z00_3610,BgL_kz00_3629); } 
{ /* Cfa/specialize.scm 422 */
int BgL_kz00_3631;
BgL_kz00_3631 = 
(int)(BgL_restz00_3617); 
BgL_method2867z00_3607 = 
VECTOR_REF(BgL_bucketz00_3619,BgL_kz00_3631); } } } } } } } } 
BgL_arg3218z00_2177 = 
PROCEDURE_ENTRY(BgL_method2867z00_3607)(BgL_method2867z00_3607, 
(obj_t)(BgL_arg3219z00_2178), BEOA); } } 
{ /* Cfa/specialize.scm 422 */
BgL_nodez00_bglt BgL_val2470z00_3633;
BgL_val2470z00_3633 = 
(BgL_nodez00_bglt)(BgL_arg3218z00_2177); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2165))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_3633), BUNSPEC); } } 
BgL_auxz00_5122 = BgL_nodez00_2165; 
return 
(obj_t)(BgL_auxz00_5122);} } } 
}



/* patch!-let-fun2895 */
obj_t BGl_patchz12zd2letzd2fun2895z12zzcfa_specializa7eza7(obj_t BgL_envz00_4033, obj_t BgL_nodez00_4034)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 407 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2151;
{ /* Cfa/specialize.scm 408 */
BgL_letzd2funzd2_bglt BgL_auxz00_5194;
BgL_nodez00_2151 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4034); 
{ 
obj_t BgL_l2843z00_2155;
BgL_l2843z00_2155 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2151))->BgL_localsz00); 
BgL_lname2844z00_2156:
if(
PAIRP(BgL_l2843z00_2155))
{ /* Cfa/specialize.scm 409 */
BGl_patchzd2funz12zc0zzcfa_specializa7eza7(
CAR(BgL_l2843z00_2155)); 
{ 
obj_t BgL_l2843z00_5199;
BgL_l2843z00_5199 = 
CDR(BgL_l2843z00_2155); 
BgL_l2843z00_2155 = BgL_l2843z00_5199; 
goto BgL_lname2844z00_2156;} }  else 
{ /* Cfa/specialize.scm 409 */((bool_t)1); } } 
{ /* Cfa/specialize.scm 410 */
obj_t BgL_arg3211z00_2161;
{ /* Cfa/specialize.scm 410 */
BgL_nodez00_bglt BgL_arg3212z00_2162;
BgL_arg3212z00_2162 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2151))->BgL_bodyz00); 
{ /* Cfa/specialize.scm 410 */
obj_t BgL_method2867z00_3545;
{ /* Cfa/specialize.scm 410 */
long BgL_objzd2classzd2numz00_3547;
{ /* Cfa/specialize.scm 410 */
BgL_objectz00_bglt BgL_auxz00_5203;
BgL_auxz00_5203 = 
(BgL_objectz00_bglt)(BgL_arg3212z00_2162); 
BgL_objzd2classzd2numz00_3547 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5203); } 
{ /* Cfa/specialize.scm 410 */
obj_t BgL_arg1221z00_3548;
{ /* Cfa/specialize.scm 410 */
int BgL_auxz00_5206;
BgL_auxz00_5206 = 
(int)(((long)1)); 
BgL_arg1221z00_3548 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5206); } 
{ /* Cfa/specialize.scm 410 */
long BgL_offsetz00_3552;
{ /* Cfa/specialize.scm 410 */
long BgL_auxz00_5209;
{ /* Cfa/specialize.scm 410 */
int BgL_auxz00_5210;
BgL_auxz00_5210 = 
(int)(BgL_objzd2classzd2numz00_3547); 
BgL_auxz00_5209 = 
(long)(BgL_auxz00_5210); } 
BgL_offsetz00_3552 = 
(BgL_auxz00_5209-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 410 */
long BgL_modz00_3553;
{ /* Cfa/specialize.scm 410 */
long BgL_auxz00_5214;
{ /* Cfa/specialize.scm 410 */
int BgL_auxz00_5215;
BgL_auxz00_5215 = 
(int)(((long)8)); 
BgL_auxz00_5214 = 
(long)(BgL_auxz00_5215); } 
BgL_modz00_3553 = 
(BgL_offsetz00_3552/BgL_auxz00_5214); } 
{ /* Cfa/specialize.scm 410 */
long BgL_restz00_3555;
{ /* Cfa/specialize.scm 410 */
long BgL_auxz00_5219;
{ /* Cfa/specialize.scm 410 */
int BgL_auxz00_5220;
BgL_auxz00_5220 = 
(int)(((long)8)); 
BgL_auxz00_5219 = 
(long)(BgL_auxz00_5220); } 
BgL_restz00_3555 = 
(BgL_offsetz00_3552%BgL_auxz00_5219); } 
{ /* Cfa/specialize.scm 410 */

{ /* Cfa/specialize.scm 410 */
obj_t BgL_bucketz00_3557;
{ /* Cfa/specialize.scm 410 */
int BgL_kz00_3567;
BgL_kz00_3567 = 
(int)(BgL_modz00_3553); 
BgL_bucketz00_3557 = 
VECTOR_REF(BgL_arg1221z00_3548,BgL_kz00_3567); } 
{ /* Cfa/specialize.scm 410 */
int BgL_kz00_3569;
BgL_kz00_3569 = 
(int)(BgL_restz00_3555); 
BgL_method2867z00_3545 = 
VECTOR_REF(BgL_bucketz00_3557,BgL_kz00_3569); } } } } } } } } 
BgL_arg3211z00_2161 = 
PROCEDURE_ENTRY(BgL_method2867z00_3545)(BgL_method2867z00_3545, 
(obj_t)(BgL_arg3212z00_2162), BEOA); } } 
{ /* Cfa/specialize.scm 410 */
BgL_nodez00_bglt BgL_val2430z00_3571;
BgL_val2430z00_3571 = 
(BgL_nodez00_bglt)(BgL_arg3211z00_2161); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2151))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2430z00_3571), BUNSPEC); } } 
BgL_auxz00_5194 = BgL_nodez00_2151; 
return 
(obj_t)(BgL_auxz00_5194);} } } 
}



/* patch!-select2893 */
obj_t BGl_patchz12zd2select2893zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4035, obj_t BgL_nodez00_4036)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 396 */
{ 
BgL_selectz00_bglt BgL_nodez00_2135;
{ /* Cfa/specialize.scm 397 */
BgL_selectz00_bglt BgL_auxz00_5235;
BgL_nodez00_2135 = 
(BgL_selectz00_bglt)(BgL_nodez00_4036); 
{ /* Cfa/specialize.scm 398 */
obj_t BgL_arg3199z00_2139;
{ /* Cfa/specialize.scm 398 */
BgL_nodez00_bglt BgL_arg3200z00_2140;
BgL_arg3200z00_2140 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2135))->BgL_testz00); 
{ /* Cfa/specialize.scm 398 */
obj_t BgL_method2867z00_3479;
{ /* Cfa/specialize.scm 398 */
long BgL_objzd2classzd2numz00_3481;
{ /* Cfa/specialize.scm 398 */
BgL_objectz00_bglt BgL_auxz00_5237;
BgL_auxz00_5237 = 
(BgL_objectz00_bglt)(BgL_arg3200z00_2140); 
BgL_objzd2classzd2numz00_3481 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5237); } 
{ /* Cfa/specialize.scm 398 */
obj_t BgL_arg1221z00_3482;
{ /* Cfa/specialize.scm 398 */
int BgL_auxz00_5240;
BgL_auxz00_5240 = 
(int)(((long)1)); 
BgL_arg1221z00_3482 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5240); } 
{ /* Cfa/specialize.scm 398 */
long BgL_offsetz00_3486;
{ /* Cfa/specialize.scm 398 */
long BgL_auxz00_5243;
{ /* Cfa/specialize.scm 398 */
int BgL_auxz00_5244;
BgL_auxz00_5244 = 
(int)(BgL_objzd2classzd2numz00_3481); 
BgL_auxz00_5243 = 
(long)(BgL_auxz00_5244); } 
BgL_offsetz00_3486 = 
(BgL_auxz00_5243-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 398 */
long BgL_modz00_3487;
{ /* Cfa/specialize.scm 398 */
long BgL_auxz00_5248;
{ /* Cfa/specialize.scm 398 */
int BgL_auxz00_5249;
BgL_auxz00_5249 = 
(int)(((long)8)); 
BgL_auxz00_5248 = 
(long)(BgL_auxz00_5249); } 
BgL_modz00_3487 = 
(BgL_offsetz00_3486/BgL_auxz00_5248); } 
{ /* Cfa/specialize.scm 398 */
long BgL_restz00_3489;
{ /* Cfa/specialize.scm 398 */
long BgL_auxz00_5253;
{ /* Cfa/specialize.scm 398 */
int BgL_auxz00_5254;
BgL_auxz00_5254 = 
(int)(((long)8)); 
BgL_auxz00_5253 = 
(long)(BgL_auxz00_5254); } 
BgL_restz00_3489 = 
(BgL_offsetz00_3486%BgL_auxz00_5253); } 
{ /* Cfa/specialize.scm 398 */

{ /* Cfa/specialize.scm 398 */
obj_t BgL_bucketz00_3491;
{ /* Cfa/specialize.scm 398 */
int BgL_kz00_3501;
BgL_kz00_3501 = 
(int)(BgL_modz00_3487); 
BgL_bucketz00_3491 = 
VECTOR_REF(BgL_arg1221z00_3482,BgL_kz00_3501); } 
{ /* Cfa/specialize.scm 398 */
int BgL_kz00_3503;
BgL_kz00_3503 = 
(int)(BgL_restz00_3489); 
BgL_method2867z00_3479 = 
VECTOR_REF(BgL_bucketz00_3491,BgL_kz00_3503); } } } } } } } } 
BgL_arg3199z00_2139 = 
PROCEDURE_ENTRY(BgL_method2867z00_3479)(BgL_method2867z00_3479, 
(obj_t)(BgL_arg3200z00_2140), BEOA); } } 
{ /* Cfa/specialize.scm 398 */
BgL_nodez00_bglt BgL_val2385z00_3505;
BgL_val2385z00_3505 = 
(BgL_nodez00_bglt)(BgL_arg3199z00_2139); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_2135))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2385z00_3505), BUNSPEC); } } 
{ 
obj_t BgL_l2839z00_2141;
BgL_l2839z00_2141 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2135))->BgL_clausesz00); 
BgL_lname2840z00_2142:
if(
PAIRP(BgL_l2839z00_2141))
{ /* Cfa/specialize.scm 399 */
{ /* Cfa/specialize.scm 400 */
obj_t BgL_clausez00_2145;
BgL_clausez00_2145 = 
CAR(BgL_l2839z00_2141); 
{ /* Cfa/specialize.scm 400 */
obj_t BgL_arg3203z00_2146;
{ /* Cfa/specialize.scm 400 */
BgL_nodez00_bglt BgL_nodez00_3510;
{ /* Cfa/specialize.scm 400 */
obj_t BgL_auxz00_5270;
BgL_auxz00_5270 = 
CDR(BgL_clausez00_2145); 
BgL_nodez00_3510 = 
(BgL_nodez00_bglt)(BgL_auxz00_5270); } 
{ /* Cfa/specialize.scm 400 */
obj_t BgL_method2867z00_3511;
{ /* Cfa/specialize.scm 400 */
long BgL_objzd2classzd2numz00_3513;
{ /* Cfa/specialize.scm 400 */
BgL_objectz00_bglt BgL_auxz00_5273;
BgL_auxz00_5273 = 
(BgL_objectz00_bglt)(BgL_nodez00_3510); 
BgL_objzd2classzd2numz00_3513 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5273); } 
{ /* Cfa/specialize.scm 400 */
obj_t BgL_arg1221z00_3514;
{ /* Cfa/specialize.scm 400 */
int BgL_auxz00_5276;
BgL_auxz00_5276 = 
(int)(((long)1)); 
BgL_arg1221z00_3514 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5276); } 
{ /* Cfa/specialize.scm 400 */
long BgL_offsetz00_3518;
{ /* Cfa/specialize.scm 400 */
long BgL_auxz00_5279;
{ /* Cfa/specialize.scm 400 */
int BgL_auxz00_5280;
BgL_auxz00_5280 = 
(int)(BgL_objzd2classzd2numz00_3513); 
BgL_auxz00_5279 = 
(long)(BgL_auxz00_5280); } 
BgL_offsetz00_3518 = 
(BgL_auxz00_5279-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 400 */
long BgL_modz00_3519;
{ /* Cfa/specialize.scm 400 */
long BgL_auxz00_5284;
{ /* Cfa/specialize.scm 400 */
int BgL_auxz00_5285;
BgL_auxz00_5285 = 
(int)(((long)8)); 
BgL_auxz00_5284 = 
(long)(BgL_auxz00_5285); } 
BgL_modz00_3519 = 
(BgL_offsetz00_3518/BgL_auxz00_5284); } 
{ /* Cfa/specialize.scm 400 */
long BgL_restz00_3521;
{ /* Cfa/specialize.scm 400 */
long BgL_auxz00_5289;
{ /* Cfa/specialize.scm 400 */
int BgL_auxz00_5290;
BgL_auxz00_5290 = 
(int)(((long)8)); 
BgL_auxz00_5289 = 
(long)(BgL_auxz00_5290); } 
BgL_restz00_3521 = 
(BgL_offsetz00_3518%BgL_auxz00_5289); } 
{ /* Cfa/specialize.scm 400 */

{ /* Cfa/specialize.scm 400 */
obj_t BgL_bucketz00_3523;
{ /* Cfa/specialize.scm 400 */
int BgL_kz00_3533;
BgL_kz00_3533 = 
(int)(BgL_modz00_3519); 
BgL_bucketz00_3523 = 
VECTOR_REF(BgL_arg1221z00_3514,BgL_kz00_3533); } 
{ /* Cfa/specialize.scm 400 */
int BgL_kz00_3535;
BgL_kz00_3535 = 
(int)(BgL_restz00_3521); 
BgL_method2867z00_3511 = 
VECTOR_REF(BgL_bucketz00_3523,BgL_kz00_3535); } } } } } } } } 
BgL_arg3203z00_2146 = 
PROCEDURE_ENTRY(BgL_method2867z00_3511)(BgL_method2867z00_3511, 
(obj_t)(BgL_nodez00_3510), BEOA); } } 
SET_CDR(BgL_clausez00_2145, BgL_arg3203z00_2146); } } 
{ 
obj_t BgL_l2839z00_5302;
BgL_l2839z00_5302 = 
CDR(BgL_l2839z00_2141); 
BgL_l2839z00_2141 = BgL_l2839z00_5302; 
goto BgL_lname2840z00_2142;} }  else 
{ /* Cfa/specialize.scm 399 */((bool_t)1); } } 
BgL_auxz00_5235 = BgL_nodez00_2135; 
return 
(obj_t)(BgL_auxz00_5235);} } } 
}



/* patch!-fail2891 */
obj_t BGl_patchz12zd2fail2891zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4037, obj_t BgL_nodez00_4038)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 386 */
{ 
BgL_failz00_bglt BgL_nodez00_2123;
{ /* Cfa/specialize.scm 387 */
BgL_failz00_bglt BgL_auxz00_5307;
BgL_nodez00_2123 = 
(BgL_failz00_bglt)(BgL_nodez00_4038); 
{ /* Cfa/specialize.scm 388 */
obj_t BgL_arg3192z00_2127;
{ /* Cfa/specialize.scm 388 */
BgL_nodez00_bglt BgL_arg3193z00_2128;
BgL_arg3193z00_2128 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_procz00); 
{ /* Cfa/specialize.scm 388 */
obj_t BgL_method2867z00_3392;
{ /* Cfa/specialize.scm 388 */
long BgL_objzd2classzd2numz00_3394;
{ /* Cfa/specialize.scm 388 */
BgL_objectz00_bglt BgL_auxz00_5309;
BgL_auxz00_5309 = 
(BgL_objectz00_bglt)(BgL_arg3193z00_2128); 
BgL_objzd2classzd2numz00_3394 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5309); } 
{ /* Cfa/specialize.scm 388 */
obj_t BgL_arg1221z00_3395;
{ /* Cfa/specialize.scm 388 */
int BgL_auxz00_5312;
BgL_auxz00_5312 = 
(int)(((long)1)); 
BgL_arg1221z00_3395 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5312); } 
{ /* Cfa/specialize.scm 388 */
long BgL_offsetz00_3399;
{ /* Cfa/specialize.scm 388 */
long BgL_auxz00_5315;
{ /* Cfa/specialize.scm 388 */
int BgL_auxz00_5316;
BgL_auxz00_5316 = 
(int)(BgL_objzd2classzd2numz00_3394); 
BgL_auxz00_5315 = 
(long)(BgL_auxz00_5316); } 
BgL_offsetz00_3399 = 
(BgL_auxz00_5315-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 388 */
long BgL_modz00_3400;
{ /* Cfa/specialize.scm 388 */
long BgL_auxz00_5320;
{ /* Cfa/specialize.scm 388 */
int BgL_auxz00_5321;
BgL_auxz00_5321 = 
(int)(((long)8)); 
BgL_auxz00_5320 = 
(long)(BgL_auxz00_5321); } 
BgL_modz00_3400 = 
(BgL_offsetz00_3399/BgL_auxz00_5320); } 
{ /* Cfa/specialize.scm 388 */
long BgL_restz00_3402;
{ /* Cfa/specialize.scm 388 */
long BgL_auxz00_5325;
{ /* Cfa/specialize.scm 388 */
int BgL_auxz00_5326;
BgL_auxz00_5326 = 
(int)(((long)8)); 
BgL_auxz00_5325 = 
(long)(BgL_auxz00_5326); } 
BgL_restz00_3402 = 
(BgL_offsetz00_3399%BgL_auxz00_5325); } 
{ /* Cfa/specialize.scm 388 */

{ /* Cfa/specialize.scm 388 */
obj_t BgL_bucketz00_3404;
{ /* Cfa/specialize.scm 388 */
int BgL_kz00_3414;
BgL_kz00_3414 = 
(int)(BgL_modz00_3400); 
BgL_bucketz00_3404 = 
VECTOR_REF(BgL_arg1221z00_3395,BgL_kz00_3414); } 
{ /* Cfa/specialize.scm 388 */
int BgL_kz00_3416;
BgL_kz00_3416 = 
(int)(BgL_restz00_3402); 
BgL_method2867z00_3392 = 
VECTOR_REF(BgL_bucketz00_3404,BgL_kz00_3416); } } } } } } } } 
BgL_arg3192z00_2127 = 
PROCEDURE_ENTRY(BgL_method2867z00_3392)(BgL_method2867z00_3392, 
(obj_t)(BgL_arg3193z00_2128), BEOA); } } 
{ /* Cfa/specialize.scm 388 */
BgL_nodez00_bglt BgL_val2345z00_3418;
BgL_val2345z00_3418 = 
(BgL_nodez00_bglt)(BgL_arg3192z00_2127); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2345z00_3418), BUNSPEC); } } 
{ /* Cfa/specialize.scm 389 */
obj_t BgL_arg3194z00_2129;
{ /* Cfa/specialize.scm 389 */
BgL_nodez00_bglt BgL_arg3195z00_2130;
BgL_arg3195z00_2130 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_msgz00); 
{ /* Cfa/specialize.scm 389 */
obj_t BgL_method2867z00_3421;
{ /* Cfa/specialize.scm 389 */
long BgL_objzd2classzd2numz00_3423;
{ /* Cfa/specialize.scm 389 */
BgL_objectz00_bglt BgL_auxz00_5340;
BgL_auxz00_5340 = 
(BgL_objectz00_bglt)(BgL_arg3195z00_2130); 
BgL_objzd2classzd2numz00_3423 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5340); } 
{ /* Cfa/specialize.scm 389 */
obj_t BgL_arg1221z00_3424;
{ /* Cfa/specialize.scm 389 */
int BgL_auxz00_5343;
BgL_auxz00_5343 = 
(int)(((long)1)); 
BgL_arg1221z00_3424 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5343); } 
{ /* Cfa/specialize.scm 389 */
long BgL_offsetz00_3428;
{ /* Cfa/specialize.scm 389 */
long BgL_auxz00_5346;
{ /* Cfa/specialize.scm 389 */
int BgL_auxz00_5347;
BgL_auxz00_5347 = 
(int)(BgL_objzd2classzd2numz00_3423); 
BgL_auxz00_5346 = 
(long)(BgL_auxz00_5347); } 
BgL_offsetz00_3428 = 
(BgL_auxz00_5346-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 389 */
long BgL_modz00_3429;
{ /* Cfa/specialize.scm 389 */
long BgL_auxz00_5351;
{ /* Cfa/specialize.scm 389 */
int BgL_auxz00_5352;
BgL_auxz00_5352 = 
(int)(((long)8)); 
BgL_auxz00_5351 = 
(long)(BgL_auxz00_5352); } 
BgL_modz00_3429 = 
(BgL_offsetz00_3428/BgL_auxz00_5351); } 
{ /* Cfa/specialize.scm 389 */
long BgL_restz00_3431;
{ /* Cfa/specialize.scm 389 */
long BgL_auxz00_5356;
{ /* Cfa/specialize.scm 389 */
int BgL_auxz00_5357;
BgL_auxz00_5357 = 
(int)(((long)8)); 
BgL_auxz00_5356 = 
(long)(BgL_auxz00_5357); } 
BgL_restz00_3431 = 
(BgL_offsetz00_3428%BgL_auxz00_5356); } 
{ /* Cfa/specialize.scm 389 */

{ /* Cfa/specialize.scm 389 */
obj_t BgL_bucketz00_3433;
{ /* Cfa/specialize.scm 389 */
int BgL_kz00_3443;
BgL_kz00_3443 = 
(int)(BgL_modz00_3429); 
BgL_bucketz00_3433 = 
VECTOR_REF(BgL_arg1221z00_3424,BgL_kz00_3443); } 
{ /* Cfa/specialize.scm 389 */
int BgL_kz00_3445;
BgL_kz00_3445 = 
(int)(BgL_restz00_3431); 
BgL_method2867z00_3421 = 
VECTOR_REF(BgL_bucketz00_3433,BgL_kz00_3445); } } } } } } } } 
BgL_arg3194z00_2129 = 
PROCEDURE_ENTRY(BgL_method2867z00_3421)(BgL_method2867z00_3421, 
(obj_t)(BgL_arg3195z00_2130), BEOA); } } 
{ /* Cfa/specialize.scm 389 */
BgL_nodez00_bglt BgL_val2348z00_3447;
BgL_val2348z00_3447 = 
(BgL_nodez00_bglt)(BgL_arg3194z00_2129); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2348z00_3447), BUNSPEC); } } 
{ /* Cfa/specialize.scm 390 */
obj_t BgL_arg3196z00_2131;
{ /* Cfa/specialize.scm 390 */
BgL_nodez00_bglt BgL_arg3197z00_2132;
BgL_arg3197z00_2132 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_objz00); 
{ /* Cfa/specialize.scm 390 */
obj_t BgL_method2867z00_3450;
{ /* Cfa/specialize.scm 390 */
long BgL_objzd2classzd2numz00_3452;
{ /* Cfa/specialize.scm 390 */
BgL_objectz00_bglt BgL_auxz00_5371;
BgL_auxz00_5371 = 
(BgL_objectz00_bglt)(BgL_arg3197z00_2132); 
BgL_objzd2classzd2numz00_3452 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5371); } 
{ /* Cfa/specialize.scm 390 */
obj_t BgL_arg1221z00_3453;
{ /* Cfa/specialize.scm 390 */
int BgL_auxz00_5374;
BgL_auxz00_5374 = 
(int)(((long)1)); 
BgL_arg1221z00_3453 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5374); } 
{ /* Cfa/specialize.scm 390 */
long BgL_offsetz00_3457;
{ /* Cfa/specialize.scm 390 */
long BgL_auxz00_5377;
{ /* Cfa/specialize.scm 390 */
int BgL_auxz00_5378;
BgL_auxz00_5378 = 
(int)(BgL_objzd2classzd2numz00_3452); 
BgL_auxz00_5377 = 
(long)(BgL_auxz00_5378); } 
BgL_offsetz00_3457 = 
(BgL_auxz00_5377-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 390 */
long BgL_modz00_3458;
{ /* Cfa/specialize.scm 390 */
long BgL_auxz00_5382;
{ /* Cfa/specialize.scm 390 */
int BgL_auxz00_5383;
BgL_auxz00_5383 = 
(int)(((long)8)); 
BgL_auxz00_5382 = 
(long)(BgL_auxz00_5383); } 
BgL_modz00_3458 = 
(BgL_offsetz00_3457/BgL_auxz00_5382); } 
{ /* Cfa/specialize.scm 390 */
long BgL_restz00_3460;
{ /* Cfa/specialize.scm 390 */
long BgL_auxz00_5387;
{ /* Cfa/specialize.scm 390 */
int BgL_auxz00_5388;
BgL_auxz00_5388 = 
(int)(((long)8)); 
BgL_auxz00_5387 = 
(long)(BgL_auxz00_5388); } 
BgL_restz00_3460 = 
(BgL_offsetz00_3457%BgL_auxz00_5387); } 
{ /* Cfa/specialize.scm 390 */

{ /* Cfa/specialize.scm 390 */
obj_t BgL_bucketz00_3462;
{ /* Cfa/specialize.scm 390 */
int BgL_kz00_3472;
BgL_kz00_3472 = 
(int)(BgL_modz00_3458); 
BgL_bucketz00_3462 = 
VECTOR_REF(BgL_arg1221z00_3453,BgL_kz00_3472); } 
{ /* Cfa/specialize.scm 390 */
int BgL_kz00_3474;
BgL_kz00_3474 = 
(int)(BgL_restz00_3460); 
BgL_method2867z00_3450 = 
VECTOR_REF(BgL_bucketz00_3462,BgL_kz00_3474); } } } } } } } } 
BgL_arg3196z00_2131 = 
PROCEDURE_ENTRY(BgL_method2867z00_3450)(BgL_method2867z00_3450, 
(obj_t)(BgL_arg3197z00_2132), BEOA); } } 
{ /* Cfa/specialize.scm 390 */
BgL_nodez00_bglt BgL_val2351z00_3476;
BgL_val2351z00_3476 = 
(BgL_nodez00_bglt)(BgL_arg3196z00_2131); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2123))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2351z00_3476), BUNSPEC); } } 
BgL_auxz00_5307 = BgL_nodez00_2123; 
return 
(obj_t)(BgL_auxz00_5307);} } } 
}



/* patch!-conditional2889 */
obj_t BGl_patchz12zd2conditional2889zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4039, obj_t BgL_nodez00_4040)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 376 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2111;
{ /* Cfa/specialize.scm 377 */
BgL_conditionalz00_bglt BgL_auxz00_5403;
BgL_nodez00_2111 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4040); 
{ /* Cfa/specialize.scm 378 */
obj_t BgL_arg3185z00_2115;
{ /* Cfa/specialize.scm 378 */
BgL_nodez00_bglt BgL_arg3186z00_2116;
BgL_arg3186z00_2116 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_testz00); 
{ /* Cfa/specialize.scm 378 */
obj_t BgL_method2867z00_3305;
{ /* Cfa/specialize.scm 378 */
long BgL_objzd2classzd2numz00_3307;
{ /* Cfa/specialize.scm 378 */
BgL_objectz00_bglt BgL_auxz00_5405;
BgL_auxz00_5405 = 
(BgL_objectz00_bglt)(BgL_arg3186z00_2116); 
BgL_objzd2classzd2numz00_3307 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5405); } 
{ /* Cfa/specialize.scm 378 */
obj_t BgL_arg1221z00_3308;
{ /* Cfa/specialize.scm 378 */
int BgL_auxz00_5408;
BgL_auxz00_5408 = 
(int)(((long)1)); 
BgL_arg1221z00_3308 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5408); } 
{ /* Cfa/specialize.scm 378 */
long BgL_offsetz00_3312;
{ /* Cfa/specialize.scm 378 */
long BgL_auxz00_5411;
{ /* Cfa/specialize.scm 378 */
int BgL_auxz00_5412;
BgL_auxz00_5412 = 
(int)(BgL_objzd2classzd2numz00_3307); 
BgL_auxz00_5411 = 
(long)(BgL_auxz00_5412); } 
BgL_offsetz00_3312 = 
(BgL_auxz00_5411-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 378 */
long BgL_modz00_3313;
{ /* Cfa/specialize.scm 378 */
long BgL_auxz00_5416;
{ /* Cfa/specialize.scm 378 */
int BgL_auxz00_5417;
BgL_auxz00_5417 = 
(int)(((long)8)); 
BgL_auxz00_5416 = 
(long)(BgL_auxz00_5417); } 
BgL_modz00_3313 = 
(BgL_offsetz00_3312/BgL_auxz00_5416); } 
{ /* Cfa/specialize.scm 378 */
long BgL_restz00_3315;
{ /* Cfa/specialize.scm 378 */
long BgL_auxz00_5421;
{ /* Cfa/specialize.scm 378 */
int BgL_auxz00_5422;
BgL_auxz00_5422 = 
(int)(((long)8)); 
BgL_auxz00_5421 = 
(long)(BgL_auxz00_5422); } 
BgL_restz00_3315 = 
(BgL_offsetz00_3312%BgL_auxz00_5421); } 
{ /* Cfa/specialize.scm 378 */

{ /* Cfa/specialize.scm 378 */
obj_t BgL_bucketz00_3317;
{ /* Cfa/specialize.scm 378 */
int BgL_kz00_3327;
BgL_kz00_3327 = 
(int)(BgL_modz00_3313); 
BgL_bucketz00_3317 = 
VECTOR_REF(BgL_arg1221z00_3308,BgL_kz00_3327); } 
{ /* Cfa/specialize.scm 378 */
int BgL_kz00_3329;
BgL_kz00_3329 = 
(int)(BgL_restz00_3315); 
BgL_method2867z00_3305 = 
VECTOR_REF(BgL_bucketz00_3317,BgL_kz00_3329); } } } } } } } } 
BgL_arg3185z00_2115 = 
PROCEDURE_ENTRY(BgL_method2867z00_3305)(BgL_method2867z00_3305, 
(obj_t)(BgL_arg3186z00_2116), BEOA); } } 
{ /* Cfa/specialize.scm 378 */
BgL_nodez00_bglt BgL_val2305z00_3331;
BgL_val2305z00_3331 = 
(BgL_nodez00_bglt)(BgL_arg3185z00_2115); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2305z00_3331), BUNSPEC); } } 
{ /* Cfa/specialize.scm 379 */
obj_t BgL_arg3187z00_2117;
{ /* Cfa/specialize.scm 379 */
BgL_nodez00_bglt BgL_arg3188z00_2118;
BgL_arg3188z00_2118 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_truez00); 
{ /* Cfa/specialize.scm 379 */
obj_t BgL_method2867z00_3334;
{ /* Cfa/specialize.scm 379 */
long BgL_objzd2classzd2numz00_3336;
{ /* Cfa/specialize.scm 379 */
BgL_objectz00_bglt BgL_auxz00_5436;
BgL_auxz00_5436 = 
(BgL_objectz00_bglt)(BgL_arg3188z00_2118); 
BgL_objzd2classzd2numz00_3336 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5436); } 
{ /* Cfa/specialize.scm 379 */
obj_t BgL_arg1221z00_3337;
{ /* Cfa/specialize.scm 379 */
int BgL_auxz00_5439;
BgL_auxz00_5439 = 
(int)(((long)1)); 
BgL_arg1221z00_3337 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5439); } 
{ /* Cfa/specialize.scm 379 */
long BgL_offsetz00_3341;
{ /* Cfa/specialize.scm 379 */
long BgL_auxz00_5442;
{ /* Cfa/specialize.scm 379 */
int BgL_auxz00_5443;
BgL_auxz00_5443 = 
(int)(BgL_objzd2classzd2numz00_3336); 
BgL_auxz00_5442 = 
(long)(BgL_auxz00_5443); } 
BgL_offsetz00_3341 = 
(BgL_auxz00_5442-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 379 */
long BgL_modz00_3342;
{ /* Cfa/specialize.scm 379 */
long BgL_auxz00_5447;
{ /* Cfa/specialize.scm 379 */
int BgL_auxz00_5448;
BgL_auxz00_5448 = 
(int)(((long)8)); 
BgL_auxz00_5447 = 
(long)(BgL_auxz00_5448); } 
BgL_modz00_3342 = 
(BgL_offsetz00_3341/BgL_auxz00_5447); } 
{ /* Cfa/specialize.scm 379 */
long BgL_restz00_3344;
{ /* Cfa/specialize.scm 379 */
long BgL_auxz00_5452;
{ /* Cfa/specialize.scm 379 */
int BgL_auxz00_5453;
BgL_auxz00_5453 = 
(int)(((long)8)); 
BgL_auxz00_5452 = 
(long)(BgL_auxz00_5453); } 
BgL_restz00_3344 = 
(BgL_offsetz00_3341%BgL_auxz00_5452); } 
{ /* Cfa/specialize.scm 379 */

{ /* Cfa/specialize.scm 379 */
obj_t BgL_bucketz00_3346;
{ /* Cfa/specialize.scm 379 */
int BgL_kz00_3356;
BgL_kz00_3356 = 
(int)(BgL_modz00_3342); 
BgL_bucketz00_3346 = 
VECTOR_REF(BgL_arg1221z00_3337,BgL_kz00_3356); } 
{ /* Cfa/specialize.scm 379 */
int BgL_kz00_3358;
BgL_kz00_3358 = 
(int)(BgL_restz00_3344); 
BgL_method2867z00_3334 = 
VECTOR_REF(BgL_bucketz00_3346,BgL_kz00_3358); } } } } } } } } 
BgL_arg3187z00_2117 = 
PROCEDURE_ENTRY(BgL_method2867z00_3334)(BgL_method2867z00_3334, 
(obj_t)(BgL_arg3188z00_2118), BEOA); } } 
{ /* Cfa/specialize.scm 379 */
BgL_nodez00_bglt BgL_val2308z00_3360;
BgL_val2308z00_3360 = 
(BgL_nodez00_bglt)(BgL_arg3187z00_2117); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2308z00_3360), BUNSPEC); } } 
{ /* Cfa/specialize.scm 380 */
obj_t BgL_arg3189z00_2119;
{ /* Cfa/specialize.scm 380 */
BgL_nodez00_bglt BgL_arg3190z00_2120;
BgL_arg3190z00_2120 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_falsez00); 
{ /* Cfa/specialize.scm 380 */
obj_t BgL_method2867z00_3363;
{ /* Cfa/specialize.scm 380 */
long BgL_objzd2classzd2numz00_3365;
{ /* Cfa/specialize.scm 380 */
BgL_objectz00_bglt BgL_auxz00_5467;
BgL_auxz00_5467 = 
(BgL_objectz00_bglt)(BgL_arg3190z00_2120); 
BgL_objzd2classzd2numz00_3365 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5467); } 
{ /* Cfa/specialize.scm 380 */
obj_t BgL_arg1221z00_3366;
{ /* Cfa/specialize.scm 380 */
int BgL_auxz00_5470;
BgL_auxz00_5470 = 
(int)(((long)1)); 
BgL_arg1221z00_3366 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5470); } 
{ /* Cfa/specialize.scm 380 */
long BgL_offsetz00_3370;
{ /* Cfa/specialize.scm 380 */
long BgL_auxz00_5473;
{ /* Cfa/specialize.scm 380 */
int BgL_auxz00_5474;
BgL_auxz00_5474 = 
(int)(BgL_objzd2classzd2numz00_3365); 
BgL_auxz00_5473 = 
(long)(BgL_auxz00_5474); } 
BgL_offsetz00_3370 = 
(BgL_auxz00_5473-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 380 */
long BgL_modz00_3371;
{ /* Cfa/specialize.scm 380 */
long BgL_auxz00_5478;
{ /* Cfa/specialize.scm 380 */
int BgL_auxz00_5479;
BgL_auxz00_5479 = 
(int)(((long)8)); 
BgL_auxz00_5478 = 
(long)(BgL_auxz00_5479); } 
BgL_modz00_3371 = 
(BgL_offsetz00_3370/BgL_auxz00_5478); } 
{ /* Cfa/specialize.scm 380 */
long BgL_restz00_3373;
{ /* Cfa/specialize.scm 380 */
long BgL_auxz00_5483;
{ /* Cfa/specialize.scm 380 */
int BgL_auxz00_5484;
BgL_auxz00_5484 = 
(int)(((long)8)); 
BgL_auxz00_5483 = 
(long)(BgL_auxz00_5484); } 
BgL_restz00_3373 = 
(BgL_offsetz00_3370%BgL_auxz00_5483); } 
{ /* Cfa/specialize.scm 380 */

{ /* Cfa/specialize.scm 380 */
obj_t BgL_bucketz00_3375;
{ /* Cfa/specialize.scm 380 */
int BgL_kz00_3385;
BgL_kz00_3385 = 
(int)(BgL_modz00_3371); 
BgL_bucketz00_3375 = 
VECTOR_REF(BgL_arg1221z00_3366,BgL_kz00_3385); } 
{ /* Cfa/specialize.scm 380 */
int BgL_kz00_3387;
BgL_kz00_3387 = 
(int)(BgL_restz00_3373); 
BgL_method2867z00_3363 = 
VECTOR_REF(BgL_bucketz00_3375,BgL_kz00_3387); } } } } } } } } 
BgL_arg3189z00_2119 = 
PROCEDURE_ENTRY(BgL_method2867z00_3363)(BgL_method2867z00_3363, 
(obj_t)(BgL_arg3190z00_2120), BEOA); } } 
{ /* Cfa/specialize.scm 380 */
BgL_nodez00_bglt BgL_val2311z00_3389;
BgL_val2311z00_3389 = 
(BgL_nodez00_bglt)(BgL_arg3189z00_2119); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2111))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2311z00_3389), BUNSPEC); } } 
BgL_auxz00_5403 = BgL_nodez00_2111; 
return 
(obj_t)(BgL_auxz00_5403);} } } 
}



/* patch!-setq2887 */
obj_t BGl_patchz12zd2setq2887zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4041, obj_t BgL_nodez00_4042)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 367 */
{ 
BgL_setqz00_bglt BgL_nodez00_2101;
{ /* Cfa/specialize.scm 368 */
BgL_setqz00_bglt BgL_auxz00_5499;
BgL_nodez00_2101 = 
(BgL_setqz00_bglt)(BgL_nodez00_4042); 
{ /* Cfa/specialize.scm 369 */
obj_t BgL_arg3180z00_2105;
{ /* Cfa/specialize.scm 369 */
BgL_nodez00_bglt BgL_arg3181z00_2106;
BgL_arg3181z00_2106 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2101))->BgL_valuez00); 
{ /* Cfa/specialize.scm 369 */
obj_t BgL_method2867z00_3247;
{ /* Cfa/specialize.scm 369 */
long BgL_objzd2classzd2numz00_3249;
{ /* Cfa/specialize.scm 369 */
BgL_objectz00_bglt BgL_auxz00_5501;
BgL_auxz00_5501 = 
(BgL_objectz00_bglt)(BgL_arg3181z00_2106); 
BgL_objzd2classzd2numz00_3249 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5501); } 
{ /* Cfa/specialize.scm 369 */
obj_t BgL_arg1221z00_3250;
{ /* Cfa/specialize.scm 369 */
int BgL_auxz00_5504;
BgL_auxz00_5504 = 
(int)(((long)1)); 
BgL_arg1221z00_3250 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5504); } 
{ /* Cfa/specialize.scm 369 */
long BgL_offsetz00_3254;
{ /* Cfa/specialize.scm 369 */
long BgL_auxz00_5507;
{ /* Cfa/specialize.scm 369 */
int BgL_auxz00_5508;
BgL_auxz00_5508 = 
(int)(BgL_objzd2classzd2numz00_3249); 
BgL_auxz00_5507 = 
(long)(BgL_auxz00_5508); } 
BgL_offsetz00_3254 = 
(BgL_auxz00_5507-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 369 */
long BgL_modz00_3255;
{ /* Cfa/specialize.scm 369 */
long BgL_auxz00_5512;
{ /* Cfa/specialize.scm 369 */
int BgL_auxz00_5513;
BgL_auxz00_5513 = 
(int)(((long)8)); 
BgL_auxz00_5512 = 
(long)(BgL_auxz00_5513); } 
BgL_modz00_3255 = 
(BgL_offsetz00_3254/BgL_auxz00_5512); } 
{ /* Cfa/specialize.scm 369 */
long BgL_restz00_3257;
{ /* Cfa/specialize.scm 369 */
long BgL_auxz00_5517;
{ /* Cfa/specialize.scm 369 */
int BgL_auxz00_5518;
BgL_auxz00_5518 = 
(int)(((long)8)); 
BgL_auxz00_5517 = 
(long)(BgL_auxz00_5518); } 
BgL_restz00_3257 = 
(BgL_offsetz00_3254%BgL_auxz00_5517); } 
{ /* Cfa/specialize.scm 369 */

{ /* Cfa/specialize.scm 369 */
obj_t BgL_bucketz00_3259;
{ /* Cfa/specialize.scm 369 */
int BgL_kz00_3269;
BgL_kz00_3269 = 
(int)(BgL_modz00_3255); 
BgL_bucketz00_3259 = 
VECTOR_REF(BgL_arg1221z00_3250,BgL_kz00_3269); } 
{ /* Cfa/specialize.scm 369 */
int BgL_kz00_3271;
BgL_kz00_3271 = 
(int)(BgL_restz00_3257); 
BgL_method2867z00_3247 = 
VECTOR_REF(BgL_bucketz00_3259,BgL_kz00_3271); } } } } } } } } 
BgL_arg3180z00_2105 = 
PROCEDURE_ENTRY(BgL_method2867z00_3247)(BgL_method2867z00_3247, 
(obj_t)(BgL_arg3181z00_2106), BEOA); } } 
{ /* Cfa/specialize.scm 369 */
BgL_nodez00_bglt BgL_val2274z00_3273;
BgL_val2274z00_3273 = 
(BgL_nodez00_bglt)(BgL_arg3180z00_2105); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_2101))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2274z00_3273), BUNSPEC); } } 
{ /* Cfa/specialize.scm 370 */
obj_t BgL_arg3182z00_2107;
{ /* Cfa/specialize.scm 370 */
BgL_nodez00_bglt BgL_nodez00_3275;
{ /* Cfa/specialize.scm 370 */
BgL_varz00_bglt BgL_auxz00_5531;
BgL_auxz00_5531 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2101))->BgL_varz00); 
BgL_nodez00_3275 = 
(BgL_nodez00_bglt)(BgL_auxz00_5531); } 
{ /* Cfa/specialize.scm 370 */
obj_t BgL_method2867z00_3276;
{ /* Cfa/specialize.scm 370 */
long BgL_objzd2classzd2numz00_3278;
{ /* Cfa/specialize.scm 370 */
BgL_objectz00_bglt BgL_auxz00_5534;
BgL_auxz00_5534 = 
(BgL_objectz00_bglt)(BgL_nodez00_3275); 
BgL_objzd2classzd2numz00_3278 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5534); } 
{ /* Cfa/specialize.scm 370 */
obj_t BgL_arg1221z00_3279;
{ /* Cfa/specialize.scm 370 */
int BgL_auxz00_5537;
BgL_auxz00_5537 = 
(int)(((long)1)); 
BgL_arg1221z00_3279 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5537); } 
{ /* Cfa/specialize.scm 370 */
long BgL_offsetz00_3283;
{ /* Cfa/specialize.scm 370 */
long BgL_auxz00_5540;
{ /* Cfa/specialize.scm 370 */
int BgL_auxz00_5541;
BgL_auxz00_5541 = 
(int)(BgL_objzd2classzd2numz00_3278); 
BgL_auxz00_5540 = 
(long)(BgL_auxz00_5541); } 
BgL_offsetz00_3283 = 
(BgL_auxz00_5540-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 370 */
long BgL_modz00_3284;
{ /* Cfa/specialize.scm 370 */
long BgL_auxz00_5545;
{ /* Cfa/specialize.scm 370 */
int BgL_auxz00_5546;
BgL_auxz00_5546 = 
(int)(((long)8)); 
BgL_auxz00_5545 = 
(long)(BgL_auxz00_5546); } 
BgL_modz00_3284 = 
(BgL_offsetz00_3283/BgL_auxz00_5545); } 
{ /* Cfa/specialize.scm 370 */
long BgL_restz00_3286;
{ /* Cfa/specialize.scm 370 */
long BgL_auxz00_5550;
{ /* Cfa/specialize.scm 370 */
int BgL_auxz00_5551;
BgL_auxz00_5551 = 
(int)(((long)8)); 
BgL_auxz00_5550 = 
(long)(BgL_auxz00_5551); } 
BgL_restz00_3286 = 
(BgL_offsetz00_3283%BgL_auxz00_5550); } 
{ /* Cfa/specialize.scm 370 */

{ /* Cfa/specialize.scm 370 */
obj_t BgL_bucketz00_3288;
{ /* Cfa/specialize.scm 370 */
int BgL_kz00_3298;
BgL_kz00_3298 = 
(int)(BgL_modz00_3284); 
BgL_bucketz00_3288 = 
VECTOR_REF(BgL_arg1221z00_3279,BgL_kz00_3298); } 
{ /* Cfa/specialize.scm 370 */
int BgL_kz00_3300;
BgL_kz00_3300 = 
(int)(BgL_restz00_3286); 
BgL_method2867z00_3276 = 
VECTOR_REF(BgL_bucketz00_3288,BgL_kz00_3300); } } } } } } } } 
BgL_arg3182z00_2107 = 
PROCEDURE_ENTRY(BgL_method2867z00_3276)(BgL_method2867z00_3276, 
(obj_t)(BgL_nodez00_3275), BEOA); } } 
{ /* Cfa/specialize.scm 370 */
BgL_varz00_bglt BgL_val2271z00_3302;
BgL_val2271z00_3302 = 
(BgL_varz00_bglt)(BgL_arg3182z00_2107); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_2101))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2271z00_3302), BUNSPEC); } } 
BgL_auxz00_5499 = BgL_nodez00_2101; 
return 
(obj_t)(BgL_auxz00_5499);} } } 
}



/* patch!-cast2885 */
obj_t BGl_patchz12zd2cast2885zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4043, obj_t BgL_nodez00_4044)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 359 */
{ 
BgL_castz00_bglt BgL_nodez00_2094;
{ /* Cfa/specialize.scm 360 */
BgL_castz00_bglt BgL_auxz00_5566;
BgL_nodez00_2094 = 
(BgL_castz00_bglt)(BgL_nodez00_4044); 
{ /* Cfa/specialize.scm 360 */
BgL_nodez00_bglt BgL_arg3178z00_3217;
BgL_arg3178z00_3217 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2094))->BgL_argz00); 
{ /* Cfa/specialize.scm 360 */
obj_t BgL_method2867z00_3220;
{ /* Cfa/specialize.scm 360 */
long BgL_objzd2classzd2numz00_3222;
{ /* Cfa/specialize.scm 360 */
BgL_objectz00_bglt BgL_auxz00_5568;
BgL_auxz00_5568 = 
(BgL_objectz00_bglt)(BgL_arg3178z00_3217); 
BgL_objzd2classzd2numz00_3222 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5568); } 
{ /* Cfa/specialize.scm 360 */
obj_t BgL_arg1221z00_3223;
{ /* Cfa/specialize.scm 360 */
int BgL_auxz00_5571;
BgL_auxz00_5571 = 
(int)(((long)1)); 
BgL_arg1221z00_3223 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5571); } 
{ /* Cfa/specialize.scm 360 */
long BgL_offsetz00_3227;
{ /* Cfa/specialize.scm 360 */
long BgL_auxz00_5574;
{ /* Cfa/specialize.scm 360 */
int BgL_auxz00_5575;
BgL_auxz00_5575 = 
(int)(BgL_objzd2classzd2numz00_3222); 
BgL_auxz00_5574 = 
(long)(BgL_auxz00_5575); } 
BgL_offsetz00_3227 = 
(BgL_auxz00_5574-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 360 */
long BgL_modz00_3228;
{ /* Cfa/specialize.scm 360 */
long BgL_auxz00_5579;
{ /* Cfa/specialize.scm 360 */
int BgL_auxz00_5580;
BgL_auxz00_5580 = 
(int)(((long)8)); 
BgL_auxz00_5579 = 
(long)(BgL_auxz00_5580); } 
BgL_modz00_3228 = 
(BgL_offsetz00_3227/BgL_auxz00_5579); } 
{ /* Cfa/specialize.scm 360 */
long BgL_restz00_3230;
{ /* Cfa/specialize.scm 360 */
long BgL_auxz00_5584;
{ /* Cfa/specialize.scm 360 */
int BgL_auxz00_5585;
BgL_auxz00_5585 = 
(int)(((long)8)); 
BgL_auxz00_5584 = 
(long)(BgL_auxz00_5585); } 
BgL_restz00_3230 = 
(BgL_offsetz00_3227%BgL_auxz00_5584); } 
{ /* Cfa/specialize.scm 360 */

{ /* Cfa/specialize.scm 360 */
obj_t BgL_bucketz00_3232;
{ /* Cfa/specialize.scm 360 */
int BgL_kz00_3242;
BgL_kz00_3242 = 
(int)(BgL_modz00_3228); 
BgL_bucketz00_3232 = 
VECTOR_REF(BgL_arg1221z00_3223,BgL_kz00_3242); } 
{ /* Cfa/specialize.scm 360 */
int BgL_kz00_3244;
BgL_kz00_3244 = 
(int)(BgL_restz00_3230); 
BgL_method2867z00_3220 = 
VECTOR_REF(BgL_bucketz00_3232,BgL_kz00_3244); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2867z00_3220)(BgL_method2867z00_3220, 
(obj_t)(BgL_arg3178z00_3217), BEOA); } } 
BgL_auxz00_5566 = BgL_nodez00_2094; 
return 
(obj_t)(BgL_auxz00_5566);} } } 
}



/* patch!-extern2883 */
obj_t BGl_patchz12zd2extern2883zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4045, obj_t BgL_nodez00_4046)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 351 */
{ 
BgL_externz00_bglt BgL_nodez00_2087;
{ /* Cfa/specialize.scm 352 */
BgL_externz00_bglt BgL_auxz00_5598;
BgL_nodez00_2087 = 
(BgL_externz00_bglt)(BgL_nodez00_4046); 
BGl_patchza2z12zb0zzcfa_specializa7eza7(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2087))->BgL_exprza2za2)); 
BgL_auxz00_5598 = BgL_nodez00_2087; 
return 
(obj_t)(BgL_auxz00_5598);} } } 
}



/* patch!-funcall2881 */
obj_t BGl_patchz12zd2funcall2881zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4047, obj_t BgL_nodez00_4048)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 342 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2078;
{ /* Cfa/specialize.scm 343 */
BgL_funcallz00_bglt BgL_auxz00_5603;
BgL_nodez00_2078 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4048); 
{ /* Cfa/specialize.scm 344 */
obj_t BgL_arg3172z00_2082;
{ /* Cfa/specialize.scm 344 */
BgL_nodez00_bglt BgL_arg3173z00_2083;
BgL_arg3173z00_2083 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2078))->BgL_funz00); 
{ /* Cfa/specialize.scm 344 */
obj_t BgL_method2867z00_3185;
{ /* Cfa/specialize.scm 344 */
long BgL_objzd2classzd2numz00_3187;
{ /* Cfa/specialize.scm 344 */
BgL_objectz00_bglt BgL_auxz00_5605;
BgL_auxz00_5605 = 
(BgL_objectz00_bglt)(BgL_arg3173z00_2083); 
BgL_objzd2classzd2numz00_3187 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5605); } 
{ /* Cfa/specialize.scm 344 */
obj_t BgL_arg1221z00_3188;
{ /* Cfa/specialize.scm 344 */
int BgL_auxz00_5608;
BgL_auxz00_5608 = 
(int)(((long)1)); 
BgL_arg1221z00_3188 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5608); } 
{ /* Cfa/specialize.scm 344 */
long BgL_offsetz00_3192;
{ /* Cfa/specialize.scm 344 */
long BgL_auxz00_5611;
{ /* Cfa/specialize.scm 344 */
int BgL_auxz00_5612;
BgL_auxz00_5612 = 
(int)(BgL_objzd2classzd2numz00_3187); 
BgL_auxz00_5611 = 
(long)(BgL_auxz00_5612); } 
BgL_offsetz00_3192 = 
(BgL_auxz00_5611-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 344 */
long BgL_modz00_3193;
{ /* Cfa/specialize.scm 344 */
long BgL_auxz00_5616;
{ /* Cfa/specialize.scm 344 */
int BgL_auxz00_5617;
BgL_auxz00_5617 = 
(int)(((long)8)); 
BgL_auxz00_5616 = 
(long)(BgL_auxz00_5617); } 
BgL_modz00_3193 = 
(BgL_offsetz00_3192/BgL_auxz00_5616); } 
{ /* Cfa/specialize.scm 344 */
long BgL_restz00_3195;
{ /* Cfa/specialize.scm 344 */
long BgL_auxz00_5621;
{ /* Cfa/specialize.scm 344 */
int BgL_auxz00_5622;
BgL_auxz00_5622 = 
(int)(((long)8)); 
BgL_auxz00_5621 = 
(long)(BgL_auxz00_5622); } 
BgL_restz00_3195 = 
(BgL_offsetz00_3192%BgL_auxz00_5621); } 
{ /* Cfa/specialize.scm 344 */

{ /* Cfa/specialize.scm 344 */
obj_t BgL_bucketz00_3197;
{ /* Cfa/specialize.scm 344 */
int BgL_kz00_3207;
BgL_kz00_3207 = 
(int)(BgL_modz00_3193); 
BgL_bucketz00_3197 = 
VECTOR_REF(BgL_arg1221z00_3188,BgL_kz00_3207); } 
{ /* Cfa/specialize.scm 344 */
int BgL_kz00_3209;
BgL_kz00_3209 = 
(int)(BgL_restz00_3195); 
BgL_method2867z00_3185 = 
VECTOR_REF(BgL_bucketz00_3197,BgL_kz00_3209); } } } } } } } } 
BgL_arg3172z00_2082 = 
PROCEDURE_ENTRY(BgL_method2867z00_3185)(BgL_method2867z00_3185, 
(obj_t)(BgL_arg3173z00_2083), BEOA); } } 
{ /* Cfa/specialize.scm 344 */
BgL_nodez00_bglt BgL_val1786z00_3211;
BgL_val1786z00_3211 = 
(BgL_nodez00_bglt)(BgL_arg3172z00_2082); 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_2078))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1786z00_3211), BUNSPEC); } } 
BGl_patchza2z12zb0zzcfa_specializa7eza7(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2078))->BgL_argsz00)); 
BgL_auxz00_5603 = BgL_nodez00_2078; 
return 
(obj_t)(BgL_auxz00_5603);} } } 
}



/* patch!-app-ly2879 */
obj_t BGl_patchz12zd2appzd2ly2879z12zzcfa_specializa7eza7(obj_t BgL_envz00_4049, obj_t BgL_nodez00_4050)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 333 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2068;
{ /* Cfa/specialize.scm 334 */
BgL_appzd2lyzd2_bglt BgL_auxz00_5639;
BgL_nodez00_2068 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4050); 
{ /* Cfa/specialize.scm 335 */
obj_t BgL_arg3167z00_2072;
{ /* Cfa/specialize.scm 335 */
BgL_nodez00_bglt BgL_arg3168z00_2073;
BgL_arg3168z00_2073 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2068))->BgL_funz00); 
{ /* Cfa/specialize.scm 335 */
obj_t BgL_method2867z00_3127;
{ /* Cfa/specialize.scm 335 */
long BgL_objzd2classzd2numz00_3129;
{ /* Cfa/specialize.scm 335 */
BgL_objectz00_bglt BgL_auxz00_5641;
BgL_auxz00_5641 = 
(BgL_objectz00_bglt)(BgL_arg3168z00_2073); 
BgL_objzd2classzd2numz00_3129 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5641); } 
{ /* Cfa/specialize.scm 335 */
obj_t BgL_arg1221z00_3130;
{ /* Cfa/specialize.scm 335 */
int BgL_auxz00_5644;
BgL_auxz00_5644 = 
(int)(((long)1)); 
BgL_arg1221z00_3130 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5644); } 
{ /* Cfa/specialize.scm 335 */
long BgL_offsetz00_3134;
{ /* Cfa/specialize.scm 335 */
long BgL_auxz00_5647;
{ /* Cfa/specialize.scm 335 */
int BgL_auxz00_5648;
BgL_auxz00_5648 = 
(int)(BgL_objzd2classzd2numz00_3129); 
BgL_auxz00_5647 = 
(long)(BgL_auxz00_5648); } 
BgL_offsetz00_3134 = 
(BgL_auxz00_5647-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 335 */
long BgL_modz00_3135;
{ /* Cfa/specialize.scm 335 */
long BgL_auxz00_5652;
{ /* Cfa/specialize.scm 335 */
int BgL_auxz00_5653;
BgL_auxz00_5653 = 
(int)(((long)8)); 
BgL_auxz00_5652 = 
(long)(BgL_auxz00_5653); } 
BgL_modz00_3135 = 
(BgL_offsetz00_3134/BgL_auxz00_5652); } 
{ /* Cfa/specialize.scm 335 */
long BgL_restz00_3137;
{ /* Cfa/specialize.scm 335 */
long BgL_auxz00_5657;
{ /* Cfa/specialize.scm 335 */
int BgL_auxz00_5658;
BgL_auxz00_5658 = 
(int)(((long)8)); 
BgL_auxz00_5657 = 
(long)(BgL_auxz00_5658); } 
BgL_restz00_3137 = 
(BgL_offsetz00_3134%BgL_auxz00_5657); } 
{ /* Cfa/specialize.scm 335 */

{ /* Cfa/specialize.scm 335 */
obj_t BgL_bucketz00_3139;
{ /* Cfa/specialize.scm 335 */
int BgL_kz00_3149;
BgL_kz00_3149 = 
(int)(BgL_modz00_3135); 
BgL_bucketz00_3139 = 
VECTOR_REF(BgL_arg1221z00_3130,BgL_kz00_3149); } 
{ /* Cfa/specialize.scm 335 */
int BgL_kz00_3151;
BgL_kz00_3151 = 
(int)(BgL_restz00_3137); 
BgL_method2867z00_3127 = 
VECTOR_REF(BgL_bucketz00_3139,BgL_kz00_3151); } } } } } } } } 
BgL_arg3167z00_2072 = 
PROCEDURE_ENTRY(BgL_method2867z00_3127)(BgL_method2867z00_3127, 
(obj_t)(BgL_arg3168z00_2073), BEOA); } } 
{ /* Cfa/specialize.scm 335 */
BgL_nodez00_bglt BgL_val1758z00_3153;
BgL_val1758z00_3153 = 
(BgL_nodez00_bglt)(BgL_arg3167z00_2072); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2068))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1758z00_3153), BUNSPEC); } } 
{ /* Cfa/specialize.scm 336 */
obj_t BgL_arg3169z00_2074;
{ /* Cfa/specialize.scm 336 */
BgL_nodez00_bglt BgL_arg3170z00_2075;
BgL_arg3170z00_2075 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2068))->BgL_argz00); 
{ /* Cfa/specialize.scm 336 */
obj_t BgL_method2867z00_3156;
{ /* Cfa/specialize.scm 336 */
long BgL_objzd2classzd2numz00_3158;
{ /* Cfa/specialize.scm 336 */
BgL_objectz00_bglt BgL_auxz00_5672;
BgL_auxz00_5672 = 
(BgL_objectz00_bglt)(BgL_arg3170z00_2075); 
BgL_objzd2classzd2numz00_3158 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5672); } 
{ /* Cfa/specialize.scm 336 */
obj_t BgL_arg1221z00_3159;
{ /* Cfa/specialize.scm 336 */
int BgL_auxz00_5675;
BgL_auxz00_5675 = 
(int)(((long)1)); 
BgL_arg1221z00_3159 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5675); } 
{ /* Cfa/specialize.scm 336 */
long BgL_offsetz00_3163;
{ /* Cfa/specialize.scm 336 */
long BgL_auxz00_5678;
{ /* Cfa/specialize.scm 336 */
int BgL_auxz00_5679;
BgL_auxz00_5679 = 
(int)(BgL_objzd2classzd2numz00_3158); 
BgL_auxz00_5678 = 
(long)(BgL_auxz00_5679); } 
BgL_offsetz00_3163 = 
(BgL_auxz00_5678-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 336 */
long BgL_modz00_3164;
{ /* Cfa/specialize.scm 336 */
long BgL_auxz00_5683;
{ /* Cfa/specialize.scm 336 */
int BgL_auxz00_5684;
BgL_auxz00_5684 = 
(int)(((long)8)); 
BgL_auxz00_5683 = 
(long)(BgL_auxz00_5684); } 
BgL_modz00_3164 = 
(BgL_offsetz00_3163/BgL_auxz00_5683); } 
{ /* Cfa/specialize.scm 336 */
long BgL_restz00_3166;
{ /* Cfa/specialize.scm 336 */
long BgL_auxz00_5688;
{ /* Cfa/specialize.scm 336 */
int BgL_auxz00_5689;
BgL_auxz00_5689 = 
(int)(((long)8)); 
BgL_auxz00_5688 = 
(long)(BgL_auxz00_5689); } 
BgL_restz00_3166 = 
(BgL_offsetz00_3163%BgL_auxz00_5688); } 
{ /* Cfa/specialize.scm 336 */

{ /* Cfa/specialize.scm 336 */
obj_t BgL_bucketz00_3168;
{ /* Cfa/specialize.scm 336 */
int BgL_kz00_3178;
BgL_kz00_3178 = 
(int)(BgL_modz00_3164); 
BgL_bucketz00_3168 = 
VECTOR_REF(BgL_arg1221z00_3159,BgL_kz00_3178); } 
{ /* Cfa/specialize.scm 336 */
int BgL_kz00_3180;
BgL_kz00_3180 = 
(int)(BgL_restz00_3166); 
BgL_method2867z00_3156 = 
VECTOR_REF(BgL_bucketz00_3168,BgL_kz00_3180); } } } } } } } } 
BgL_arg3169z00_2074 = 
PROCEDURE_ENTRY(BgL_method2867z00_3156)(BgL_method2867z00_3156, 
(obj_t)(BgL_arg3170z00_2075), BEOA); } } 
{ /* Cfa/specialize.scm 336 */
BgL_nodez00_bglt BgL_val1761z00_3182;
BgL_val1761z00_3182 = 
(BgL_nodez00_bglt)(BgL_arg3169z00_2074); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2068))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1761z00_3182), BUNSPEC); } } 
BgL_auxz00_5639 = BgL_nodez00_2068; 
return 
(obj_t)(BgL_auxz00_5639);} } } 
}



/* patch!-sequence2877 */
obj_t BGl_patchz12zd2sequence2877zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4051, obj_t BgL_nodez00_4052)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 325 */
{ 
BgL_sequencez00_bglt BgL_nodez00_2061;
{ /* Cfa/specialize.scm 326 */
BgL_sequencez00_bglt BgL_auxz00_5704;
BgL_nodez00_2061 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4052); 
BGl_patchza2z12zb0zzcfa_specializa7eza7(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_2061))->BgL_nodesz00)); 
BgL_auxz00_5704 = BgL_nodez00_2061; 
return 
(obj_t)(BgL_auxz00_5704);} } } 
}



/* patch!-closure2875 */
obj_t BGl_patchz12zd2closure2875zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4053, obj_t BgL_nodez00_4054)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 319 */
{ 
BgL_closurez00_bglt BgL_nodez00_2053;
BgL_nodez00_2053 = 
(BgL_closurez00_bglt)(BgL_nodez00_4054); 
{ /* Cfa/specialize.scm 320 */
obj_t BgL_arg3163z00_2058;
BgL_arg3163z00_2058 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_2053)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3376z00zzcfa_specializa7eza7, BGl_string3377z00zzcfa_specializa7eza7, BgL_arg3163z00_2058);} } } 
}



/* patch!-var2873 */
obj_t BGl_patchz12zd2var2873zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4055, obj_t BgL_nodez00_4056)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 313 */
{ 
BgL_varz00_bglt BgL_nodez00_2048;
{ /* Cfa/specialize.scm 313 */
BgL_varz00_bglt BgL_auxz00_5713;
BgL_nodez00_2048 = 
(BgL_varz00_bglt)(BgL_nodez00_4056); 
BgL_auxz00_5713 = BgL_nodez00_2048; 
return 
(obj_t)(BgL_auxz00_5713);} } } 
}



/* patch!-kwote2871 */
obj_t BGl_patchz12zd2kwote2871zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4057, obj_t BgL_nodez00_4058)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 307 */
{ 
BgL_kwotez00_bglt BgL_nodez00_2043;
{ /* Cfa/specialize.scm 307 */
BgL_kwotez00_bglt BgL_auxz00_5716;
BgL_nodez00_2043 = 
(BgL_kwotez00_bglt)(BgL_nodez00_4058); 
BgL_auxz00_5716 = BgL_nodez00_2043; 
return 
(obj_t)(BgL_auxz00_5716);} } } 
}



/* patch!-atom2869 */
obj_t BGl_patchz12zd2atom2869zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4059, obj_t BgL_nodez00_4060)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 301 */
{ 
BgL_atomz00_bglt BgL_nodez00_2038;
{ /* Cfa/specialize.scm 301 */
BgL_atomz00_bglt BgL_auxz00_5719;
BgL_nodez00_2038 = 
(BgL_atomz00_bglt)(BgL_nodez00_4060); 
BgL_auxz00_5719 = BgL_nodez00_2038; 
return 
(obj_t)(BgL_auxz00_5719);} } } 
}



/* patch! */
obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_11)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 296 */
{ /* Cfa/specialize.scm 296 */
obj_t BgL_method2867z00_3929;
{ /* Cfa/specialize.scm 296 */
long BgL_objzd2classzd2numz00_3931;
{ /* Cfa/specialize.scm 296 */
BgL_objectz00_bglt BgL_auxz00_5722;
BgL_auxz00_5722 = 
(BgL_objectz00_bglt)(BgL_nodez00_11); 
BgL_objzd2classzd2numz00_3931 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5722); } 
{ /* Cfa/specialize.scm 296 */
obj_t BgL_arg1221z00_3932;
{ /* Cfa/specialize.scm 296 */
int BgL_auxz00_5725;
BgL_auxz00_5725 = 
(int)(((long)1)); 
BgL_arg1221z00_3932 = 
PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BgL_auxz00_5725); } 
{ /* Cfa/specialize.scm 296 */
long BgL_offsetz00_3936;
{ /* Cfa/specialize.scm 296 */
long BgL_auxz00_5728;
{ /* Cfa/specialize.scm 296 */
int BgL_auxz00_5729;
BgL_auxz00_5729 = 
(int)(BgL_objzd2classzd2numz00_3931); 
BgL_auxz00_5728 = 
(long)(BgL_auxz00_5729); } 
BgL_offsetz00_3936 = 
(BgL_auxz00_5728-OBJECT_TYPE); } 
{ /* Cfa/specialize.scm 296 */
long BgL_modz00_3937;
{ /* Cfa/specialize.scm 296 */
long BgL_auxz00_5733;
{ /* Cfa/specialize.scm 296 */
int BgL_auxz00_5734;
BgL_auxz00_5734 = 
(int)(((long)8)); 
BgL_auxz00_5733 = 
(long)(BgL_auxz00_5734); } 
BgL_modz00_3937 = 
(BgL_offsetz00_3936/BgL_auxz00_5733); } 
{ /* Cfa/specialize.scm 296 */
long BgL_restz00_3939;
{ /* Cfa/specialize.scm 296 */
long BgL_auxz00_5738;
{ /* Cfa/specialize.scm 296 */
int BgL_auxz00_5739;
BgL_auxz00_5739 = 
(int)(((long)8)); 
BgL_auxz00_5738 = 
(long)(BgL_auxz00_5739); } 
BgL_restz00_3939 = 
(BgL_offsetz00_3936%BgL_auxz00_5738); } 
{ /* Cfa/specialize.scm 296 */

{ /* Cfa/specialize.scm 296 */
obj_t BgL_bucketz00_3941;
{ /* Cfa/specialize.scm 296 */
int BgL_kz00_3951;
BgL_kz00_3951 = 
(int)(BgL_modz00_3937); 
BgL_bucketz00_3941 = 
VECTOR_REF(BgL_arg1221z00_3932,BgL_kz00_3951); } 
{ /* Cfa/specialize.scm 296 */
int BgL_kz00_3953;
BgL_kz00_3953 = 
(int)(BgL_restz00_3939); 
BgL_method2867z00_3929 = 
VECTOR_REF(BgL_bucketz00_3941,BgL_kz00_3953); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2867z00_3929)(BgL_method2867z00_3929, 
(obj_t)(BgL_nodez00_11), BEOA);} } 
}



/* _patch!3333 */
obj_t BGl__patchz123333z12zzcfa_specializa7eza7(obj_t BgL_envz00_3963, obj_t BgL_nodez00_3964)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 296 */
return 
BGl_patchz12z12zzcfa_specializa7eza7(
(BgL_nodez00_bglt)(BgL_nodez00_3964));} 
}



/* patch!-default2866 */
obj_t BGl_patchz12zd2default2866zc0zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_12)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
{ 
obj_t BgL_auxz00_5754;obj_t BgL_auxz00_5752;
BgL_auxz00_5754 = 
(obj_t)(BgL_nodez00_12); 
BgL_auxz00_5752 = 
CNST_TABLE_REF(((long)10)); 
FAILURE(BgL_auxz00_5752,BGl_string3378z00zzcfa_specializa7eza7,BgL_auxz00_5754);} } 
}



/* _patch!-default2866 */
obj_t BGl__patchz12zd2default2866zc0zzcfa_specializa7eza7(obj_t BgL_envz00_4061, obj_t BgL_nodez00_4062)
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
return 
BGl_patchz12zd2default2866zc0zzcfa_specializa7eza7(
(BgL_nodez00_bglt)(BgL_nodez00_4062));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
{ AN_OBJECT;
{ /* Cfa/specialize.scm 19 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "cfa_specialize"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63028), "cfa_specialize"); 
return 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)16677), "cfa_specialize");} 
}

