/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl__typezd2settingsz12zc0zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2funcall4906z12zzcfa_typez00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__getzd2approxzd2typez00zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_typezd2nodez12zd2app4902z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2default4889z12zzcfa_typez00(BgL_nodez00_bglt);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
static obj_t BGl__typezd2nodez12zc0zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2boxzd2setz124934zd2zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2sequence4900z12zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2conditional4918z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2boxzd2ref4936zc0zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2cast4914z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
static obj_t BGl_typezd2nodez12zd2select4922z12zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2var4896z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2vref4910z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2setq4916z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2appzd2ly4904zc0zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
extern obj_t BGl_tvecz00zztvector_tvectorz00;
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
static obj_t BGl_typezd2nodez12zd2closure4898z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2letzd2fun4924zc0zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_typez00();
extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2letzd2var4926zc0zzcfa_typez00(obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
static obj_t BGl_typezd2variablez12zd2default4877z12zzcfa_typez00(BgL_valuez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
extern BgL_typez00_bglt BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
static obj_t BGl_typezd2nodez12zd2fail4920z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_typezd2nodez12zd2kwote4894z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_typezd2variablez12zd2sexitzf2Cinfo4886ze0zzcfa_typez00(obj_t, obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2extern4908z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_typezd2variablez12zd2internzd2sfunzf2Cinfo4888z32zzcfa_typez00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_typezd2variablez12zd2scnstzf2Cinfo4882ze0zzcfa_typez00(obj_t, obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2setzd2exzd2it4928z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_typezd2variablez12zd2svarzf2Cinfo4880ze0zzcfa_typez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
static bool_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
static obj_t BGl_typezd2nodez12zd2jumpzd2exzd2it4930z12zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
extern obj_t BGl_za2vectorza2z00zztype_cachez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_typezd2variablez12zd2cvarzf2Cinfo4884ze0zzcfa_typez00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_typezd2nodez12zd2makezd2box4932zc0zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
static obj_t BGl__typezd2nodez12zd2default4889z12zzcfa_typez00(obj_t, obj_t);
static obj_t BGl_typezd2nodez12zd2vsetz124912z00zzcfa_typez00(obj_t, obj_t);
static obj_t BGl__typezd2variablez12zc0zzcfa_typez00(obj_t, obj_t, obj_t);
static obj_t BGl__typezd2variablez12zd2default4877z12zzcfa_typez00(obj_t, obj_t, obj_t);
extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
static obj_t BGl_typezd2nodez12zd2atom4892z12zzcfa_typez00(obj_t, obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;

DEFINE_STATIC_PROCEDURE( BGl_typezd2nodez12zd2default4889zd2envzc0zzcfa_typez00, BgL_bgl__typeza7d2nodeza712za7d2default4889za712za7za7cfa_typeza7005494za7, BGl__typezd2nodez12zd2default4889z12zzcfa_typez00, 0L, 1 );
DEFINE_STRING( BGl_string5489z00zzcfa_typez00, BgL_bgl_string5489za700za7za7cfa_typeza7005495z00, "type-node!-default4889 nothing static bigloo ", 45 );
DEFINE_STRING( BGl_string5488z00zzcfa_typez00, BgL_bgl_string5488za700za7za7cfa_typeza7005496z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string5487z00zzcfa_typez00, BgL_bgl_string5487za700za7za7cfa_typeza7005497z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string5486z00zzcfa_typez00, BgL_bgl_string5486za700za7za7cfa_typeza7005498z00, "type-node!", 10 );
DEFINE_STATIC_GENERIC( BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_bgl__typeza7d2variableza712za7c0za7za7cfa_typeza7005499z00, BGl__typezd2variablez12zc0zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5458z00zzcfa_typez00, BgL_bgl_typeza7d2variableza712za7d2svarza7f2cinfo4880za7e0za7za7cfa_typeza7005500z00, BGl_typezd2variablez12zd2svarzf2Cinfo4880ze0zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5460z00zzcfa_typez00, BgL_bgl_typeza7d2variableza712za7d2cvarza7f2cinfo4884za7e0za7za7cfa_typeza7005501z00, BGl_typezd2variablez12zd2cvarzf2Cinfo4884ze0zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5459z00zzcfa_typez00, BgL_bgl_typeza7d2variableza712za7d2scnstza7f2cinfo4882za7e0za7za7cfa_typeza7005502z00, BGl_typezd2variablez12zd2scnstzf2Cinfo4882ze0zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5461z00zzcfa_typez00, BgL_bgl_typeza7d2variableza712za7d2sexitza7f2cinfo4886za7e0za7za7cfa_typeza7005503z00, BGl_typezd2variablez12zd2sexitzf2Cinfo4886ze0zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5462z00zzcfa_typez00, BgL_bgl_typeza7d2variableza712za7d2internza7d2sfunza7f2cinfo4888za732za7za7cfa_typeza7005504za7, BGl_typezd2variablez12zd2internzd2sfunzf2Cinfo4888z32zzcfa_typez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5463z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2atom4892za712za7za7cfa_typeza7005505za7, BGl_typezd2nodez12zd2atom4892z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5464z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2kwote4894za712za7za7cfa_typeza7005506za7, BGl_typezd2nodez12zd2kwote4894z12zzcfa_typez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_typezd2settingsz12zd2envz12zzcfa_typez00, BgL_bgl__typeza7d2settingsza712za7c0za7za7cfa_typeza7005507z00, BGl__typezd2settingsz12zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5465z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2var4896za712za7za7cfa_typeza7005508za7, BGl_typezd2nodez12zd2var4896z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5466z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2closure4898za712za7za7cfa_typeza7005509za7, BGl_typezd2nodez12zd2closure4898z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5467z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2sequence4900za712za7za7cfa_typeza7005510za7, BGl_typezd2nodez12zd2sequence4900z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5468z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2app4902za712za7za7cfa_typeza7005511za7, BGl_typezd2nodez12zd2app4902z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5470z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2funcall4906za712za7za7cfa_typeza7005512za7, BGl_typezd2nodez12zd2funcall4906z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5469z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2appza7d2ly4904za7c0za7za7cfa_typeza7005513z00, BGl_typezd2nodez12zd2appzd2ly4904zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5471z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2extern4908za712za7za7cfa_typeza7005514za7, BGl_typezd2nodez12zd2extern4908z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5472z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2vref4910za712za7za7cfa_typeza7005515za7, BGl_typezd2nodez12zd2vref4910z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5473z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2vsetza7124912za700za7za7cfa_typeza7005516z00, BGl_typezd2nodez12zd2vsetz124912z00zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5474z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2cast4914za712za7za7cfa_typeza7005517za7, BGl_typezd2nodez12zd2cast4914z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5475z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2setq4916za712za7za7cfa_typeza7005518za7, BGl_typezd2nodez12zd2setq4916z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5476z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2conditional4918za712za7za7cfa_typeza7005519za7, BGl_typezd2nodez12zd2conditional4918z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5477z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2fail4920za712za7za7cfa_typeza7005520za7, BGl_typezd2nodez12zd2fail4920z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5478z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2select4922za712za7za7cfa_typeza7005521za7, BGl_typezd2nodez12zd2select4922z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5480z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2letza7d2var4926za7c0za7za7cfa_typeza7005522z00, BGl_typezd2nodez12zd2letzd2var4926zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5479z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2letza7d2fun4924za7c0za7za7cfa_typeza7005523z00, BGl_typezd2nodez12zd2letzd2fun4924zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5481z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2setza7d2exza7d2it4928za712za7za7cfa_typeza7005524za7, BGl_typezd2nodez12zd2setzd2exzd2it4928z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5482z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2jumpza7d2exza7d2it4930za712za7za7cfa_typeza7005525za7, BGl_typezd2nodez12zd2jumpzd2exzd2it4930z12zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5483z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2makeza7d2box4932za7c0za7za7cfa_typeza7005526z00, BGl_typezd2nodez12zd2makezd2box4932zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5484z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2boxza7d2setza7124934za7d2za7za7cfa_typeza7005527za7, BGl_typezd2nodez12zd2boxzd2setz124934zd2zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5485z00zzcfa_typez00, BgL_bgl_typeza7d2nodeza712za7d2boxza7d2ref4936za7c0za7za7cfa_typeza7005528z00, BGl_typezd2nodez12zd2boxzd2ref4936zc0zzcfa_typez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00, BgL_bgl__getza7d2approxza7d2typeza700za7za7cfa_typeza7005529z00, BGl__getzd2approxzd2typez00zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_bgl__typeza7d2nodeza712za7c0za7za7cfa_typeza7005530z00, BGl__typezd2nodez12zc0zzcfa_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_typezd2variablez12zd2default4877zd2envzc0zzcfa_typez00, BgL_bgl__typeza7d2variableza712za7d2default4877za712za7za7cfa_typeza7005531za7, BGl__typezd2variablez12zd2default4877z12zzcfa_typez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long BgL_checksumz00_6875, char * BgL_fromz00_6876)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_typez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_typez00(); 
BGl_cnstzd2initzd2zzcfa_typez00(); 
BGl_importedzd2moduleszd2initz00zzcfa_typez00(); 
BGl_methodzd2initzd2zzcfa_typez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_type"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_type"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_typez00()
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
{ /* Cfa/type.scm 15 */
obj_t BgL_cportz00_6868;
BgL_cportz00_6868 = 
open_input_string(BGl_string5489z00zzcfa_typez00); 
{ 
long BgL_iz00_6869;
BgL_iz00_6869 = ((long)3); 
BgL_loopz00_6870:
if(
(BgL_iz00_6869==((long)-1)))
{ /* Cfa/type.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/type.scm 15 */
{ /* Cfa/type.scm 15 */
obj_t BgL_arg5491z00_6872;
{ /* Cfa/type.scm 15 */
obj_t BgL_list5492z00_6873;
BgL_list5492z00_6873 = 
MAKE_PAIR(BgL_cportz00_6868, BNIL); 
BgL_arg5491z00_6872 = 
BGl_readz00zz__readerz00(BgL_list5492z00_6873); } 
{ /* Cfa/type.scm 15 */
int BgL_auxz00_6891;
BgL_auxz00_6891 = 
(int)(BgL_iz00_6869); 
CNST_TABLE_SET(BgL_auxz00_6891, BgL_arg5491z00_6872); } } 
{ 
long BgL_iz00_6894;
{ /* Cfa/type.scm 15 */
int BgL_auxz00_6895;
{ /* Cfa/type.scm 15 */
long BgL_auxz00_6896;
BgL_auxz00_6896 = 
(BgL_iz00_6869-((long)1)); 
BgL_auxz00_6895 = 
(int)(BgL_auxz00_6896); } 
BgL_iz00_6894 = 
(long)(BgL_auxz00_6895); } 
BgL_iz00_6869 = BgL_iz00_6894; 
goto BgL_loopz00_6870;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
return BUNSPEC;} 
}



/* type-settings! */
obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/type.scm 38 */
{ 
obj_t BgL_l4819z00_2976;
{ /* Cfa/type.scm 39 */
bool_t BgL_auxz00_6900;
BgL_l4819z00_2976 = BgL_globalsz00_1; 
BgL_lname4820z00_2977:
if(
PAIRP(BgL_l4819z00_2976))
{ /* Cfa/type.scm 39 */
{ /* Cfa/type.scm 39 */
BgL_variablez00_bglt BgL_auxz00_6903;
{ /* Cfa/type.scm 39 */
obj_t BgL_auxz00_6904;
BgL_auxz00_6904 = 
CAR(BgL_l4819z00_2976); 
BgL_auxz00_6903 = 
(BgL_variablez00_bglt)(BgL_auxz00_6904); } 
BGl_typezd2funz12zc0zzcfa_typez00(BgL_auxz00_6903); } 
{ 
obj_t BgL_l4819z00_6908;
BgL_l4819z00_6908 = 
CDR(BgL_l4819z00_2976); 
BgL_l4819z00_2976 = BgL_l4819z00_6908; 
goto BgL_lname4820z00_2977;} }  else 
{ /* Cfa/type.scm 39 */
BgL_auxz00_6900 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_6900);} } } 
}



/* _type-settings! */
obj_t BGl__typezd2settingsz12zc0zzcfa_typez00(obj_t BgL_envz00_6765, obj_t BgL_globalsz00_6766)
{ AN_OBJECT;
{ /* Cfa/type.scm 38 */
return 
BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6766);} 
}



/* type-fun! */
obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_2)
{ AN_OBJECT;
{ /* Cfa/type.scm 44 */
{ /* Cfa/type.scm 45 */
BgL_valuez00_bglt BgL_funz00_2981;
BgL_funz00_2981 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2))->BgL_valuez00); 
{ /* Cfa/type.scm 46 */
bool_t BgL_test4940z00_2982;
BgL_test4940z00_2982 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2981), BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00); 
if(BgL_test4940z00_2982)
{ /* Cfa/type.scm 46 */
{ 
obj_t BgL_l4823z00_2984;
{ /* Cfa/type.scm 51 */
BgL_sfunz00_bglt BgL_obj2846z00_4148;
BgL_obj2846z00_4148 = 
(BgL_sfunz00_bglt)(BgL_funz00_2981); 
BgL_l4823z00_2984 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj2846z00_4148))->BgL_argsz00); } 
BgL_lname4824z00_2985:
if(
PAIRP(BgL_l4823z00_2984))
{ /* Cfa/type.scm 51 */
{ /* Cfa/type.scm 51 */
obj_t BgL_varz00_2988;
BgL_varz00_2988 = 
CAR(BgL_l4823z00_2984); 
{ /* Cfa/type.scm 51 */
BgL_valuez00_bglt BgL_arg4943z00_2989;
{ /* Cfa/type.scm 51 */
BgL_localz00_bglt BgL_obj1255z00_4151;
BgL_obj1255z00_4151 = 
(BgL_localz00_bglt)(BgL_varz00_2988); 
BgL_arg4943z00_2989 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_4151))->BgL_valuez00); } 
{ /* Cfa/type.scm 51 */
BgL_variablez00_bglt BgL_variablez00_4153;
BgL_variablez00_4153 = 
(BgL_variablez00_bglt)(BgL_varz00_2988); 
{ /* Cfa/type.scm 51 */
obj_t BgL_method4878z00_4154;
{ /* Cfa/type.scm 51 */
long BgL_objzd2classzd2numz00_4156;
{ /* Cfa/type.scm 51 */
BgL_objectz00_bglt BgL_auxz00_6922;
BgL_auxz00_6922 = 
(BgL_objectz00_bglt)(BgL_arg4943z00_2989); 
BgL_objzd2classzd2numz00_4156 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6922); } 
{ /* Cfa/type.scm 51 */
obj_t BgL_arg1221z00_4157;
{ /* Cfa/type.scm 51 */
int BgL_auxz00_6925;
BgL_auxz00_6925 = 
(int)(((long)1)); 
BgL_arg1221z00_4157 = 
PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_auxz00_6925); } 
{ /* Cfa/type.scm 51 */
long BgL_offsetz00_4161;
{ /* Cfa/type.scm 51 */
long BgL_auxz00_6928;
{ /* Cfa/type.scm 51 */
int BgL_auxz00_6929;
BgL_auxz00_6929 = 
(int)(BgL_objzd2classzd2numz00_4156); 
BgL_auxz00_6928 = 
(long)(BgL_auxz00_6929); } 
BgL_offsetz00_4161 = 
(BgL_auxz00_6928-OBJECT_TYPE); } 
{ /* Cfa/type.scm 51 */
long BgL_modz00_4162;
{ /* Cfa/type.scm 51 */
long BgL_auxz00_6933;
{ /* Cfa/type.scm 51 */
int BgL_auxz00_6934;
BgL_auxz00_6934 = 
(int)(((long)8)); 
BgL_auxz00_6933 = 
(long)(BgL_auxz00_6934); } 
BgL_modz00_4162 = 
(BgL_offsetz00_4161/BgL_auxz00_6933); } 
{ /* Cfa/type.scm 51 */
long BgL_restz00_4164;
{ /* Cfa/type.scm 51 */
long BgL_auxz00_6938;
{ /* Cfa/type.scm 51 */
int BgL_auxz00_6939;
BgL_auxz00_6939 = 
(int)(((long)8)); 
BgL_auxz00_6938 = 
(long)(BgL_auxz00_6939); } 
BgL_restz00_4164 = 
(BgL_offsetz00_4161%BgL_auxz00_6938); } 
{ /* Cfa/type.scm 51 */

{ /* Cfa/type.scm 51 */
obj_t BgL_bucketz00_4166;
{ /* Cfa/type.scm 51 */
int BgL_kz00_4176;
BgL_kz00_4176 = 
(int)(BgL_modz00_4162); 
BgL_bucketz00_4166 = 
VECTOR_REF(BgL_arg1221z00_4157,BgL_kz00_4176); } 
{ /* Cfa/type.scm 51 */
int BgL_kz00_4178;
BgL_kz00_4178 = 
(int)(BgL_restz00_4164); 
BgL_method4878z00_4154 = 
VECTOR_REF(BgL_bucketz00_4166,BgL_kz00_4178); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4878z00_4154)(BgL_method4878z00_4154, 
(obj_t)(BgL_arg4943z00_2989), 
(obj_t)(BgL_variablez00_4153), BEOA); } } } } 
{ 
obj_t BgL_l4823z00_6951;
BgL_l4823z00_6951 = 
CDR(BgL_l4823z00_2984); 
BgL_l4823z00_2984 = BgL_l4823z00_6951; 
goto BgL_lname4824z00_2985;} }  else 
{ /* Cfa/type.scm 51 */((bool_t)1); } } 
{ /* Cfa/type.scm 54 */
BgL_nodez00_bglt BgL_nodez00_4181;
{ /* Cfa/type.scm 54 */
obj_t BgL_auxz00_6955;
{ /* Cfa/type.scm 54 */
BgL_sfunz00_bglt BgL_obj2849z00_4180;
BgL_obj2849z00_4180 = 
(BgL_sfunz00_bglt)(BgL_funz00_2981); 
BgL_auxz00_6955 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj2849z00_4180))->BgL_bodyz00); } 
BgL_nodez00_4181 = 
(BgL_nodez00_bglt)(BgL_auxz00_6955); } 
{ /* Cfa/type.scm 54 */
obj_t BgL_method4890z00_4182;
{ /* Cfa/type.scm 54 */
long BgL_objzd2classzd2numz00_4184;
{ /* Cfa/type.scm 54 */
BgL_objectz00_bglt BgL_auxz00_6959;
BgL_auxz00_6959 = 
(BgL_objectz00_bglt)(BgL_nodez00_4181); 
BgL_objzd2classzd2numz00_4184 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6959); } 
{ /* Cfa/type.scm 54 */
obj_t BgL_arg1221z00_4185;
{ /* Cfa/type.scm 54 */
int BgL_auxz00_6962;
BgL_auxz00_6962 = 
(int)(((long)1)); 
BgL_arg1221z00_4185 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_6962); } 
{ /* Cfa/type.scm 54 */
long BgL_offsetz00_4189;
{ /* Cfa/type.scm 54 */
long BgL_auxz00_6965;
{ /* Cfa/type.scm 54 */
int BgL_auxz00_6966;
BgL_auxz00_6966 = 
(int)(BgL_objzd2classzd2numz00_4184); 
BgL_auxz00_6965 = 
(long)(BgL_auxz00_6966); } 
BgL_offsetz00_4189 = 
(BgL_auxz00_6965-OBJECT_TYPE); } 
{ /* Cfa/type.scm 54 */
long BgL_modz00_4190;
{ /* Cfa/type.scm 54 */
long BgL_auxz00_6970;
{ /* Cfa/type.scm 54 */
int BgL_auxz00_6971;
BgL_auxz00_6971 = 
(int)(((long)8)); 
BgL_auxz00_6970 = 
(long)(BgL_auxz00_6971); } 
BgL_modz00_4190 = 
(BgL_offsetz00_4189/BgL_auxz00_6970); } 
{ /* Cfa/type.scm 54 */
long BgL_restz00_4192;
{ /* Cfa/type.scm 54 */
long BgL_auxz00_6975;
{ /* Cfa/type.scm 54 */
int BgL_auxz00_6976;
BgL_auxz00_6976 = 
(int)(((long)8)); 
BgL_auxz00_6975 = 
(long)(BgL_auxz00_6976); } 
BgL_restz00_4192 = 
(BgL_offsetz00_4189%BgL_auxz00_6975); } 
{ /* Cfa/type.scm 54 */

{ /* Cfa/type.scm 54 */
obj_t BgL_bucketz00_4194;
{ /* Cfa/type.scm 54 */
int BgL_kz00_4204;
BgL_kz00_4204 = 
(int)(BgL_modz00_4190); 
BgL_bucketz00_4194 = 
VECTOR_REF(BgL_arg1221z00_4185,BgL_kz00_4204); } 
{ /* Cfa/type.scm 54 */
int BgL_kz00_4206;
BgL_kz00_4206 = 
(int)(BgL_restz00_4192); 
BgL_method4890z00_4182 = 
VECTOR_REF(BgL_bucketz00_4194,BgL_kz00_4206); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_4182)(BgL_method4890z00_4182, 
(obj_t)(BgL_nodez00_4181), BEOA); } } 
{ /* Cfa/type.scm 56 */
obj_t BgL_arg4946z00_2992;
{ /* Cfa/type.scm 56 */
BgL_approxz00_bglt BgL_auxz00_6987;
{ /* Cfa/type.scm 56 */
BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj2822z00_4207;
BgL_obj2822z00_4207 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_funz00_2981); 
{ 
obj_t BgL_auxz00_6989;
{ /* Cfa/type.scm 56 */
BgL_objectz00_bglt BgL_auxz00_6990;
BgL_auxz00_6990 = 
(BgL_objectz00_bglt)(BgL_obj2822z00_4207); 
BgL_auxz00_6989 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6990); } 
BgL_auxz00_6987 = 
(((BgL_internzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_6989))->BgL_approxz00); } } 
BgL_arg4946z00_2992 = 
BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_auxz00_6987); } 
return 
BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_2, 
(BgL_typez00_bglt)(BgL_arg4946z00_2992));} }  else 
{ /* Cfa/type.scm 46 */
return BFALSE;} } } } 
}



/* get-approx-type */
obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_3)
{ AN_OBJECT;
{ /* Cfa/type.scm 61 */
{ /* Cfa/type.scm 62 */
BgL_typez00_bglt BgL_typez00_2994;obj_t BgL_alloczd2listzd2_2995;
BgL_typez00_2994 = 
(((BgL_approxz00_bglt)CREF(BgL_approxz00_3))->BgL_typez00); 
BgL_alloczd2listzd2_2995 = 
BGl_setzd2ze3listz31zzcfa_setz00(
(((BgL_approxz00_bglt)CREF(BgL_approxz00_3))->BgL_allocsz00)); 
if(
PAIRP(BgL_alloczd2listzd2_2995))
{ /* Cfa/type.scm 67 */
bool_t BgL_test4949z00_2997;
{ /* Cfa/type.scm 67 */
obj_t BgL_auxz00_7002;
BgL_auxz00_7002 = 
BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00(); 
BgL_test4949z00_2997 = 
CBOOL(BgL_auxz00_7002); } 
if(BgL_test4949z00_2997)
{ /* Cfa/type.scm 69 */
bool_t BgL_test4950z00_2998;
BgL_test4950z00_2998 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_alloczd2listzd2_2995), BGl_makezd2vectorzd2appz00zzcfa_info2z00); 
if(BgL_test4950z00_2998)
{ /* Cfa/type.scm 69 */
{ /* Cfa/type.scm 70 */
obj_t BgL_appz00_2999;
BgL_appz00_2999 = 
CAR(BgL_alloczd2listzd2_2995); 
{ /* Cfa/type.scm 70 */
BgL_typez00_bglt BgL_tvzd2typezd2_3000;
BgL_tvzd2typezd2_3000 = 
BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
(BgL_nodez00_bglt)(BgL_appz00_2999)); 
{ /* Cfa/type.scm 71 */
BgL_approxz00_bglt BgL_valuezd2approxzd2_3001;
{ /* Cfa/type.scm 72 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4035z00_4214;
BgL_obj4035z00_4214 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2999); 
{ 
obj_t BgL_auxz00_7013;
{ /* Cfa/type.scm 72 */
BgL_objectz00_bglt BgL_auxz00_7014;
BgL_auxz00_7014 = 
(BgL_objectz00_bglt)(BgL_obj4035z00_4214); 
BgL_auxz00_7013 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7014); } 
BgL_valuezd2approxzd2_3001 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_7013))->BgL_valuezd2approxzd2); } } 
{ /* Cfa/type.scm 72 */
BgL_typez00_bglt BgL_itemzd2typezd2_3002;
BgL_itemzd2typezd2_3002 = 
(((BgL_approxz00_bglt)CREF(BgL_valuezd2approxzd2_3001))->BgL_typez00); 
{ /* Cfa/type.scm 73 */
obj_t BgL_tvz00_3003;
BgL_tvz00_3003 = 
(((BgL_typez00_bglt)CREF(BgL_itemzd2typezd2_3002))->BgL_tvectorz00); 
{ /* Cfa/type.scm 74 */

{ /* Cfa/type.scm 75 */
bool_t BgL_test4951z00_3004;
BgL_test4951z00_3004 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tvz00_3003, BGl_typez00zztype_typez00); 
if(BgL_test4951z00_3004)
{ /* Cfa/type.scm 75 */
return BgL_tvz00_3003;}  else 
{ /* Cfa/type.scm 75 */
return 
(obj_t)(BgL_typez00_2994);} } } } } } } } }  else 
{ /* Cfa/type.scm 78 */
bool_t BgL_test4952z00_3005;
BgL_test4952z00_3005 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_alloczd2listzd2_2995), BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00); 
if(BgL_test4952z00_3005)
{ /* Cfa/type.scm 78 */
{ /* Cfa/type.scm 79 */
obj_t BgL_appz00_3006;
BgL_appz00_3006 = 
CAR(BgL_alloczd2listzd2_2995); 
{ /* Cfa/type.scm 79 */
BgL_typez00_bglt BgL_tvzd2typezd2_3007;
BgL_tvzd2typezd2_3007 = 
BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
(BgL_nodez00_bglt)(BgL_appz00_3006)); 
{ /* Cfa/type.scm 80 */
BgL_approxz00_bglt BgL_valuezd2approxzd2_3008;
{ /* Cfa/type.scm 81 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4722z00_4221;
BgL_obj4722z00_4221 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_3006); 
{ 
obj_t BgL_auxz00_7030;
{ /* Cfa/type.scm 81 */
BgL_objectz00_bglt BgL_auxz00_7031;
BgL_auxz00_7031 = 
(BgL_objectz00_bglt)(BgL_obj4722z00_4221); 
BgL_auxz00_7030 = 
BGL_OBJECT_WIDENING(BgL_auxz00_7031); } 
BgL_valuezd2approxzd2_3008 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_7030))->BgL_valuezd2approxzd2); } } 
{ /* Cfa/type.scm 81 */
BgL_typez00_bglt BgL_itemzd2typezd2_3009;
BgL_itemzd2typezd2_3009 = 
(((BgL_approxz00_bglt)CREF(BgL_valuezd2approxzd2_3008))->BgL_typez00); 
{ /* Cfa/type.scm 82 */
obj_t BgL_tvz00_3010;
BgL_tvz00_3010 = 
(((BgL_typez00_bglt)CREF(BgL_itemzd2typezd2_3009))->BgL_tvectorz00); 
{ /* Cfa/type.scm 83 */

{ /* Cfa/type.scm 84 */
bool_t BgL_test4953z00_3011;
BgL_test4953z00_3011 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tvz00_3010, BGl_typez00zztype_typez00); 
if(BgL_test4953z00_3011)
{ /* Cfa/type.scm 84 */
return BgL_tvz00_3010;}  else 
{ /* Cfa/type.scm 84 */
return 
(obj_t)(BgL_typez00_2994);} } } } } } } } }  else 
{ /* Cfa/type.scm 78 */
return 
(obj_t)(BgL_typez00_2994);} } }  else 
{ /* Cfa/type.scm 67 */
return 
(obj_t)(BgL_typez00_2994);} }  else 
{ /* Cfa/type.scm 65 */
return 
(obj_t)(BgL_typez00_2994);} } } 
}



/* _get-approx-type */
obj_t BGl__getzd2approxzd2typez00zzcfa_typez00(obj_t BgL_envz00_6772, obj_t BgL_approxz00_6773)
{ AN_OBJECT;
{ /* Cfa/type.scm 61 */
return 
BGl_getzd2approxzd2typez00zzcfa_typez00(
(BgL_approxz00_bglt)(BgL_approxz00_6773));} 
}



/* set-variable-type! */
obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt BgL_variablez00_18, BgL_typez00_bglt BgL_typez00_19)
{ AN_OBJECT;
{ /* Cfa/type.scm 143 */
{ /* Cfa/type.scm 144 */
obj_t BgL_ntypez00_3015;BgL_typez00_bglt BgL_otypez00_3016;
{ /* Cfa/type.scm 144 */
bool_t BgL_test4967z00_3027;
{ /* Cfa/type.scm 144 */
obj_t BgL_auxz00_7045;
BgL_auxz00_7045 = 
(obj_t)(BgL_typez00_19); 
BgL_test4967z00_3027 = 
(BgL_auxz00_7045==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4967z00_3027)
{ /* Cfa/type.scm 144 */
BgL_ntypez00_3015 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Cfa/type.scm 144 */
BgL_ntypez00_3015 = 
(obj_t)(BgL_typez00_19); } } 
BgL_otypez00_3016 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_18))->BgL_typez00); 
{ /* Cfa/type.scm 147 */
bool_t BgL_test4957z00_3017;
{ /* Cfa/type.scm 147 */
obj_t BgL_auxz00_7051;
BgL_auxz00_7051 = 
(obj_t)(BgL_otypez00_3016); 
BgL_test4957z00_3017 = 
(BgL_auxz00_7051==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test4957z00_3017)
{ /* Cfa/type.scm 147 */
{ /* Cfa/type.scm 148 */
bool_t BgL_test4958z00_3018;
{ /* Cfa/type.scm 148 */
bool_t BgL_test4959z00_3019;
BgL_test4959z00_3019 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_variablez00_18), BGl_globalz00zzast_varz00); 
if(BgL_test4959z00_3019)
{ /* Cfa/type.scm 149 */
bool_t BgL_test4960z00_3020;
{ /* Cfa/type.scm 149 */
obj_t BgL_auxz00_7058;
{ /* Cfa/type.scm 149 */
BgL_valuez00_bglt BgL_auxz00_7059;
{ /* Cfa/type.scm 149 */
BgL_globalz00_bglt BgL_obj1155z00_4227;
BgL_obj1155z00_4227 = 
(BgL_globalz00_bglt)(BgL_variablez00_18); 
BgL_auxz00_7059 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_4227))->BgL_valuez00); } 
BgL_auxz00_7058 = 
(obj_t)(BgL_auxz00_7059); } 
BgL_test4960z00_3020 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_7058, BGl_funz00zzast_varz00); } 
if(BgL_test4960z00_3020)
{ /* Cfa/type.scm 149 */
BgL_test4958z00_3018 = ((bool_t)0); }  else 
{ /* Cfa/type.scm 149 */
if(
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
{ /* Cfa/type.scm 150 */
BgL_test4958z00_3018 = ((bool_t)0); }  else 
{ /* Cfa/type.scm 151 */
bool_t BgL_testz00_7067;
{ /* Cfa/type.scm 151 */
obj_t BgL_auxz00_7071;obj_t BgL_auxz00_7068;
BgL_auxz00_7071 = 
CNST_TABLE_REF(((long)0)); 
{ /* Cfa/type.scm 151 */
BgL_typez00_bglt BgL_obj1009z00_4229;
BgL_obj1009z00_4229 = 
(BgL_typez00_bglt)(BgL_ntypez00_3015); 
BgL_auxz00_7068 = 
(((BgL_typez00_bglt)CREF(BgL_obj1009z00_4229))->BgL_classz00); } 
BgL_testz00_7067 = 
(BgL_auxz00_7068==BgL_auxz00_7071); } 
if(BgL_testz00_7067)
{ /* Cfa/type.scm 151 */
BgL_test4958z00_3018 = ((bool_t)0); }  else 
{ /* Cfa/type.scm 151 */
BgL_test4958z00_3018 = ((bool_t)1); } } } }  else 
{ /* Cfa/type.scm 148 */
BgL_test4958z00_3018 = ((bool_t)0); } } 
if(BgL_test4958z00_3018)
{ /* Cfa/type.scm 156 */
BgL_typez00_bglt BgL_val1101z00_4231;
BgL_val1101z00_4231 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
return 
((((BgL_variablez00_bglt)CREF(BgL_variablez00_18))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_4231), BUNSPEC);}  else 
{ /* Cfa/type.scm 157 */
BgL_typez00_bglt BgL_val1101z00_4233;
BgL_val1101z00_4233 = 
(BgL_typez00_bglt)(BgL_ntypez00_3015); 
return 
((((BgL_variablez00_bglt)CREF(BgL_variablez00_18))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_4233), BUNSPEC);} } }  else 
{ /* Cfa/type.scm 158 */
bool_t BgL_test4965z00_3025;
{ /* Cfa/type.scm 158 */
bool_t BgL_test4966z00_3026;
{ /* Cfa/type.scm 158 */
obj_t BgL_auxz00_7079;
BgL_auxz00_7079 = 
(obj_t)(BgL_otypez00_3016); 
BgL_test4966z00_3026 = 
(BgL_auxz00_7079==BGl_za2vectorza2z00zztype_cachez00); } 
if(BgL_test4966z00_3026)
{ /* Cfa/type.scm 158 */
BgL_test4965z00_3025 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ntypez00_3015, BGl_tvecz00zztvector_tvectorz00); }  else 
{ /* Cfa/type.scm 158 */
BgL_test4965z00_3025 = ((bool_t)0); } } 
if(BgL_test4965z00_3025)
{ /* Cfa/type.scm 158 */
{ /* Cfa/type.scm 159 */
BgL_typez00_bglt BgL_val1101z00_4236;
BgL_val1101z00_4236 = 
(BgL_typez00_bglt)(BgL_ntypez00_3015); 
return 
((((BgL_variablez00_bglt)CREF(BgL_variablez00_18))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_4236), BUNSPEC);} }  else 
{ /* Cfa/type.scm 158 */
return BFALSE;} } } } } 
}



/* type-node*! */
bool_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_45)
{ AN_OBJECT;
{ /* Cfa/type.scm 354 */
{ 
obj_t BgL_l4875z00_3028;
BgL_l4875z00_3028 = BgL_nodeza2za2_45; 
BgL_lname4876z00_3029:
if(
PAIRP(BgL_l4875z00_3028))
{ /* Cfa/type.scm 355 */
{ /* Cfa/type.scm 355 */
BgL_nodez00_bglt BgL_nodez00_4239;
{ /* Cfa/type.scm 355 */
obj_t BgL_auxz00_7089;
BgL_auxz00_7089 = 
CAR(BgL_l4875z00_3028); 
BgL_nodez00_4239 = 
(BgL_nodez00_bglt)(BgL_auxz00_7089); } 
{ /* Cfa/type.scm 355 */
obj_t BgL_method4890z00_4240;
{ /* Cfa/type.scm 355 */
long BgL_objzd2classzd2numz00_4242;
{ /* Cfa/type.scm 355 */
BgL_objectz00_bglt BgL_auxz00_7092;
BgL_auxz00_7092 = 
(BgL_objectz00_bglt)(BgL_nodez00_4239); 
BgL_objzd2classzd2numz00_4242 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7092); } 
{ /* Cfa/type.scm 355 */
obj_t BgL_arg1221z00_4243;
{ /* Cfa/type.scm 355 */
int BgL_auxz00_7095;
BgL_auxz00_7095 = 
(int)(((long)1)); 
BgL_arg1221z00_4243 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7095); } 
{ /* Cfa/type.scm 355 */
long BgL_offsetz00_4247;
{ /* Cfa/type.scm 355 */
long BgL_auxz00_7098;
{ /* Cfa/type.scm 355 */
int BgL_auxz00_7099;
BgL_auxz00_7099 = 
(int)(BgL_objzd2classzd2numz00_4242); 
BgL_auxz00_7098 = 
(long)(BgL_auxz00_7099); } 
BgL_offsetz00_4247 = 
(BgL_auxz00_7098-OBJECT_TYPE); } 
{ /* Cfa/type.scm 355 */
long BgL_modz00_4248;
{ /* Cfa/type.scm 355 */
long BgL_auxz00_7103;
{ /* Cfa/type.scm 355 */
int BgL_auxz00_7104;
BgL_auxz00_7104 = 
(int)(((long)8)); 
BgL_auxz00_7103 = 
(long)(BgL_auxz00_7104); } 
BgL_modz00_4248 = 
(BgL_offsetz00_4247/BgL_auxz00_7103); } 
{ /* Cfa/type.scm 355 */
long BgL_restz00_4250;
{ /* Cfa/type.scm 355 */
long BgL_auxz00_7108;
{ /* Cfa/type.scm 355 */
int BgL_auxz00_7109;
BgL_auxz00_7109 = 
(int)(((long)8)); 
BgL_auxz00_7108 = 
(long)(BgL_auxz00_7109); } 
BgL_restz00_4250 = 
(BgL_offsetz00_4247%BgL_auxz00_7108); } 
{ /* Cfa/type.scm 355 */

{ /* Cfa/type.scm 355 */
obj_t BgL_bucketz00_4252;
{ /* Cfa/type.scm 355 */
int BgL_kz00_4262;
BgL_kz00_4262 = 
(int)(BgL_modz00_4248); 
BgL_bucketz00_4252 = 
VECTOR_REF(BgL_arg1221z00_4243,BgL_kz00_4262); } 
{ /* Cfa/type.scm 355 */
int BgL_kz00_4264;
BgL_kz00_4264 = 
(int)(BgL_restz00_4250); 
BgL_method4890z00_4240 = 
VECTOR_REF(BgL_bucketz00_4252,BgL_kz00_4264); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_4240)(BgL_method4890z00_4240, 
(obj_t)(BgL_nodez00_4239), BEOA); } } 
{ 
obj_t BgL_l4875z00_7120;
BgL_l4875z00_7120 = 
CDR(BgL_l4875z00_3028); 
BgL_l4875z00_3028 = BgL_l4875z00_7120; 
goto BgL_lname4876z00_3029;} }  else 
{ /* Cfa/type.scm 355 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_typez00()
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_typezd2variablez12zd2default4877zd2envzc0zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc5458z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc5459z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc5460z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc5461z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5462z00zzcfa_typez00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_typezd2nodez12zd2default4889zd2envzc0zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00, BGl_proc5463z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00, BGl_proc5464z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00, BGl_proc5465z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00, BGl_proc5466z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00, BGl_proc5467z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00, BGl_proc5468z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc5469z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00, BGl_proc5470z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00, BGl_proc5471z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00, BGl_proc5472z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00, BGl_proc5473z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00, BGl_proc5474z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00, BGl_proc5475z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_conditionalz00zzast_nodez00, BGl_proc5476z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00, BGl_proc5477z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00, BGl_proc5478z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc5479z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc5480z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc5481z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc5482z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc5483z00zzcfa_typez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc5484z00zzcfa_typez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc5485z00zzcfa_typez00);} 
}



/* type-node!-box-ref4936 */
obj_t BGl_typezd2nodez12zd2boxzd2ref4936zc0zzcfa_typez00(obj_t BgL_envz00_6802, obj_t BgL_nodez00_6803)
{ AN_OBJECT;
{ /* Cfa/type.scm 347 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_4131;
BgL_nodez00_4131 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_6803); 
{ /* Cfa/type.scm 348 */
BgL_nodez00_bglt BgL_nodez00_6681;
{ /* Cfa/type.scm 348 */
BgL_varz00_bglt BgL_auxz00_7152;
BgL_auxz00_7152 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_4131))->BgL_varz00); 
BgL_nodez00_6681 = 
(BgL_nodez00_bglt)(BgL_auxz00_7152); } 
{ /* Cfa/type.scm 348 */
obj_t BgL_method4890z00_6682;
{ /* Cfa/type.scm 348 */
long BgL_objzd2classzd2numz00_6684;
{ /* Cfa/type.scm 348 */
BgL_objectz00_bglt BgL_auxz00_7155;
BgL_auxz00_7155 = 
(BgL_objectz00_bglt)(BgL_nodez00_6681); 
BgL_objzd2classzd2numz00_6684 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7155); } 
{ /* Cfa/type.scm 348 */
obj_t BgL_arg1221z00_6685;
{ /* Cfa/type.scm 348 */
int BgL_auxz00_7158;
BgL_auxz00_7158 = 
(int)(((long)1)); 
BgL_arg1221z00_6685 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7158); } 
{ /* Cfa/type.scm 348 */
long BgL_offsetz00_6689;
{ /* Cfa/type.scm 348 */
long BgL_auxz00_7161;
{ /* Cfa/type.scm 348 */
int BgL_auxz00_7162;
BgL_auxz00_7162 = 
(int)(BgL_objzd2classzd2numz00_6684); 
BgL_auxz00_7161 = 
(long)(BgL_auxz00_7162); } 
BgL_offsetz00_6689 = 
(BgL_auxz00_7161-OBJECT_TYPE); } 
{ /* Cfa/type.scm 348 */
long BgL_modz00_6690;
{ /* Cfa/type.scm 348 */
long BgL_auxz00_7166;
{ /* Cfa/type.scm 348 */
int BgL_auxz00_7167;
BgL_auxz00_7167 = 
(int)(((long)8)); 
BgL_auxz00_7166 = 
(long)(BgL_auxz00_7167); } 
BgL_modz00_6690 = 
(BgL_offsetz00_6689/BgL_auxz00_7166); } 
{ /* Cfa/type.scm 348 */
long BgL_restz00_6692;
{ /* Cfa/type.scm 348 */
long BgL_auxz00_7171;
{ /* Cfa/type.scm 348 */
int BgL_auxz00_7172;
BgL_auxz00_7172 = 
(int)(((long)8)); 
BgL_auxz00_7171 = 
(long)(BgL_auxz00_7172); } 
BgL_restz00_6692 = 
(BgL_offsetz00_6689%BgL_auxz00_7171); } 
{ /* Cfa/type.scm 348 */

{ /* Cfa/type.scm 348 */
obj_t BgL_bucketz00_6694;
{ /* Cfa/type.scm 348 */
int BgL_kz00_6704;
BgL_kz00_6704 = 
(int)(BgL_modz00_6690); 
BgL_bucketz00_6694 = 
VECTOR_REF(BgL_arg1221z00_6685,BgL_kz00_6704); } 
{ /* Cfa/type.scm 348 */
int BgL_kz00_6706;
BgL_kz00_6706 = 
(int)(BgL_restz00_6692); 
BgL_method4890z00_6682 = 
VECTOR_REF(BgL_bucketz00_6694,BgL_kz00_6706); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6682)(BgL_method4890z00_6682, 
(obj_t)(BgL_nodez00_6681), BEOA);} } } } 
}



/* type-node!-box-set!4934 */
obj_t BGl_typezd2nodez12zd2boxzd2setz124934zd2zzcfa_typez00(obj_t BgL_envz00_6804, obj_t BgL_nodez00_6805)
{ AN_OBJECT;
{ /* Cfa/type.scm 339 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_4123;
BgL_nodez00_4123 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_6805); 
{ /* Cfa/type.scm 341 */
BgL_nodez00_bglt BgL_nodez00_6625;
{ /* Cfa/type.scm 341 */
BgL_varz00_bglt BgL_auxz00_7184;
BgL_auxz00_7184 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4123))->BgL_varz00); 
BgL_nodez00_6625 = 
(BgL_nodez00_bglt)(BgL_auxz00_7184); } 
{ /* Cfa/type.scm 341 */
obj_t BgL_method4890z00_6626;
{ /* Cfa/type.scm 341 */
long BgL_objzd2classzd2numz00_6628;
{ /* Cfa/type.scm 341 */
BgL_objectz00_bglt BgL_auxz00_7187;
BgL_auxz00_7187 = 
(BgL_objectz00_bglt)(BgL_nodez00_6625); 
BgL_objzd2classzd2numz00_6628 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7187); } 
{ /* Cfa/type.scm 341 */
obj_t BgL_arg1221z00_6629;
{ /* Cfa/type.scm 341 */
int BgL_auxz00_7190;
BgL_auxz00_7190 = 
(int)(((long)1)); 
BgL_arg1221z00_6629 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7190); } 
{ /* Cfa/type.scm 341 */
long BgL_offsetz00_6633;
{ /* Cfa/type.scm 341 */
long BgL_auxz00_7193;
{ /* Cfa/type.scm 341 */
int BgL_auxz00_7194;
BgL_auxz00_7194 = 
(int)(BgL_objzd2classzd2numz00_6628); 
BgL_auxz00_7193 = 
(long)(BgL_auxz00_7194); } 
BgL_offsetz00_6633 = 
(BgL_auxz00_7193-OBJECT_TYPE); } 
{ /* Cfa/type.scm 341 */
long BgL_modz00_6634;
{ /* Cfa/type.scm 341 */
long BgL_auxz00_7198;
{ /* Cfa/type.scm 341 */
int BgL_auxz00_7199;
BgL_auxz00_7199 = 
(int)(((long)8)); 
BgL_auxz00_7198 = 
(long)(BgL_auxz00_7199); } 
BgL_modz00_6634 = 
(BgL_offsetz00_6633/BgL_auxz00_7198); } 
{ /* Cfa/type.scm 341 */
long BgL_restz00_6636;
{ /* Cfa/type.scm 341 */
long BgL_auxz00_7203;
{ /* Cfa/type.scm 341 */
int BgL_auxz00_7204;
BgL_auxz00_7204 = 
(int)(((long)8)); 
BgL_auxz00_7203 = 
(long)(BgL_auxz00_7204); } 
BgL_restz00_6636 = 
(BgL_offsetz00_6633%BgL_auxz00_7203); } 
{ /* Cfa/type.scm 341 */

{ /* Cfa/type.scm 341 */
obj_t BgL_bucketz00_6638;
{ /* Cfa/type.scm 341 */
int BgL_kz00_6648;
BgL_kz00_6648 = 
(int)(BgL_modz00_6634); 
BgL_bucketz00_6638 = 
VECTOR_REF(BgL_arg1221z00_6629,BgL_kz00_6648); } 
{ /* Cfa/type.scm 341 */
int BgL_kz00_6650;
BgL_kz00_6650 = 
(int)(BgL_restz00_6636); 
BgL_method4890z00_6626 = 
VECTOR_REF(BgL_bucketz00_6638,BgL_kz00_6650); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6626)(BgL_method4890z00_6626, 
(obj_t)(BgL_nodez00_6625), BEOA); } } 
{ /* Cfa/type.scm 342 */
BgL_nodez00_bglt BgL_arg5269z00_4128;
BgL_arg5269z00_4128 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4123))->BgL_valuez00); 
{ /* Cfa/type.scm 342 */
obj_t BgL_method4890z00_6653;
{ /* Cfa/type.scm 342 */
long BgL_objzd2classzd2numz00_6655;
{ /* Cfa/type.scm 342 */
BgL_objectz00_bglt BgL_auxz00_7216;
BgL_auxz00_7216 = 
(BgL_objectz00_bglt)(BgL_arg5269z00_4128); 
BgL_objzd2classzd2numz00_6655 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7216); } 
{ /* Cfa/type.scm 342 */
obj_t BgL_arg1221z00_6656;
{ /* Cfa/type.scm 342 */
int BgL_auxz00_7219;
BgL_auxz00_7219 = 
(int)(((long)1)); 
BgL_arg1221z00_6656 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7219); } 
{ /* Cfa/type.scm 342 */
long BgL_offsetz00_6660;
{ /* Cfa/type.scm 342 */
long BgL_auxz00_7222;
{ /* Cfa/type.scm 342 */
int BgL_auxz00_7223;
BgL_auxz00_7223 = 
(int)(BgL_objzd2classzd2numz00_6655); 
BgL_auxz00_7222 = 
(long)(BgL_auxz00_7223); } 
BgL_offsetz00_6660 = 
(BgL_auxz00_7222-OBJECT_TYPE); } 
{ /* Cfa/type.scm 342 */
long BgL_modz00_6661;
{ /* Cfa/type.scm 342 */
long BgL_auxz00_7227;
{ /* Cfa/type.scm 342 */
int BgL_auxz00_7228;
BgL_auxz00_7228 = 
(int)(((long)8)); 
BgL_auxz00_7227 = 
(long)(BgL_auxz00_7228); } 
BgL_modz00_6661 = 
(BgL_offsetz00_6660/BgL_auxz00_7227); } 
{ /* Cfa/type.scm 342 */
long BgL_restz00_6663;
{ /* Cfa/type.scm 342 */
long BgL_auxz00_7232;
{ /* Cfa/type.scm 342 */
int BgL_auxz00_7233;
BgL_auxz00_7233 = 
(int)(((long)8)); 
BgL_auxz00_7232 = 
(long)(BgL_auxz00_7233); } 
BgL_restz00_6663 = 
(BgL_offsetz00_6660%BgL_auxz00_7232); } 
{ /* Cfa/type.scm 342 */

{ /* Cfa/type.scm 342 */
obj_t BgL_bucketz00_6665;
{ /* Cfa/type.scm 342 */
int BgL_kz00_6675;
BgL_kz00_6675 = 
(int)(BgL_modz00_6661); 
BgL_bucketz00_6665 = 
VECTOR_REF(BgL_arg1221z00_6656,BgL_kz00_6675); } 
{ /* Cfa/type.scm 342 */
int BgL_kz00_6677;
BgL_kz00_6677 = 
(int)(BgL_restz00_6663); 
BgL_method4890z00_6653 = 
VECTOR_REF(BgL_bucketz00_6665,BgL_kz00_6677); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6653)(BgL_method4890z00_6653, 
(obj_t)(BgL_arg5269z00_4128), BEOA);} } } } 
}



/* type-node!-make-box4932 */
obj_t BGl_typezd2nodez12zd2makezd2box4932zc0zzcfa_typez00(obj_t BgL_envz00_6806, obj_t BgL_nodez00_6807)
{ AN_OBJECT;
{ /* Cfa/type.scm 332 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_4116;
BgL_nodez00_4116 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_6807); 
{ /* Cfa/type.scm 333 */
BgL_nodez00_bglt BgL_arg5266z00_6596;
BgL_arg5266z00_6596 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_4116))->BgL_valuez00); 
{ /* Cfa/type.scm 333 */
obj_t BgL_method4890z00_6599;
{ /* Cfa/type.scm 333 */
long BgL_objzd2classzd2numz00_6601;
{ /* Cfa/type.scm 333 */
BgL_objectz00_bglt BgL_auxz00_7246;
BgL_auxz00_7246 = 
(BgL_objectz00_bglt)(BgL_arg5266z00_6596); 
BgL_objzd2classzd2numz00_6601 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7246); } 
{ /* Cfa/type.scm 333 */
obj_t BgL_arg1221z00_6602;
{ /* Cfa/type.scm 333 */
int BgL_auxz00_7249;
BgL_auxz00_7249 = 
(int)(((long)1)); 
BgL_arg1221z00_6602 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7249); } 
{ /* Cfa/type.scm 333 */
long BgL_offsetz00_6606;
{ /* Cfa/type.scm 333 */
long BgL_auxz00_7252;
{ /* Cfa/type.scm 333 */
int BgL_auxz00_7253;
BgL_auxz00_7253 = 
(int)(BgL_objzd2classzd2numz00_6601); 
BgL_auxz00_7252 = 
(long)(BgL_auxz00_7253); } 
BgL_offsetz00_6606 = 
(BgL_auxz00_7252-OBJECT_TYPE); } 
{ /* Cfa/type.scm 333 */
long BgL_modz00_6607;
{ /* Cfa/type.scm 333 */
long BgL_auxz00_7257;
{ /* Cfa/type.scm 333 */
int BgL_auxz00_7258;
BgL_auxz00_7258 = 
(int)(((long)8)); 
BgL_auxz00_7257 = 
(long)(BgL_auxz00_7258); } 
BgL_modz00_6607 = 
(BgL_offsetz00_6606/BgL_auxz00_7257); } 
{ /* Cfa/type.scm 333 */
long BgL_restz00_6609;
{ /* Cfa/type.scm 333 */
long BgL_auxz00_7262;
{ /* Cfa/type.scm 333 */
int BgL_auxz00_7263;
BgL_auxz00_7263 = 
(int)(((long)8)); 
BgL_auxz00_7262 = 
(long)(BgL_auxz00_7263); } 
BgL_restz00_6609 = 
(BgL_offsetz00_6606%BgL_auxz00_7262); } 
{ /* Cfa/type.scm 333 */

{ /* Cfa/type.scm 333 */
obj_t BgL_bucketz00_6611;
{ /* Cfa/type.scm 333 */
int BgL_kz00_6621;
BgL_kz00_6621 = 
(int)(BgL_modz00_6607); 
BgL_bucketz00_6611 = 
VECTOR_REF(BgL_arg1221z00_6602,BgL_kz00_6621); } 
{ /* Cfa/type.scm 333 */
int BgL_kz00_6623;
BgL_kz00_6623 = 
(int)(BgL_restz00_6609); 
BgL_method4890z00_6599 = 
VECTOR_REF(BgL_bucketz00_6611,BgL_kz00_6623); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6599)(BgL_method4890z00_6599, 
(obj_t)(BgL_arg5266z00_6596), BEOA);} } } } 
}



/* type-node!-jump-ex-it4930 */
obj_t BGl_typezd2nodez12zd2jumpzd2exzd2it4930z12zzcfa_typez00(obj_t BgL_envz00_6808, obj_t BgL_nodez00_6809)
{ AN_OBJECT;
{ /* Cfa/type.scm 324 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_4108;
BgL_nodez00_4108 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_6809); 
{ /* Cfa/type.scm 326 */
BgL_nodez00_bglt BgL_arg5263z00_4112;
BgL_arg5263z00_4112 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4108))->BgL_exitz00); 
{ /* Cfa/type.scm 326 */
obj_t BgL_method4890z00_6543;
{ /* Cfa/type.scm 326 */
long BgL_objzd2classzd2numz00_6545;
{ /* Cfa/type.scm 326 */
BgL_objectz00_bglt BgL_auxz00_7276;
BgL_auxz00_7276 = 
(BgL_objectz00_bglt)(BgL_arg5263z00_4112); 
BgL_objzd2classzd2numz00_6545 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7276); } 
{ /* Cfa/type.scm 326 */
obj_t BgL_arg1221z00_6546;
{ /* Cfa/type.scm 326 */
int BgL_auxz00_7279;
BgL_auxz00_7279 = 
(int)(((long)1)); 
BgL_arg1221z00_6546 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7279); } 
{ /* Cfa/type.scm 326 */
long BgL_offsetz00_6550;
{ /* Cfa/type.scm 326 */
long BgL_auxz00_7282;
{ /* Cfa/type.scm 326 */
int BgL_auxz00_7283;
BgL_auxz00_7283 = 
(int)(BgL_objzd2classzd2numz00_6545); 
BgL_auxz00_7282 = 
(long)(BgL_auxz00_7283); } 
BgL_offsetz00_6550 = 
(BgL_auxz00_7282-OBJECT_TYPE); } 
{ /* Cfa/type.scm 326 */
long BgL_modz00_6551;
{ /* Cfa/type.scm 326 */
long BgL_auxz00_7287;
{ /* Cfa/type.scm 326 */
int BgL_auxz00_7288;
BgL_auxz00_7288 = 
(int)(((long)8)); 
BgL_auxz00_7287 = 
(long)(BgL_auxz00_7288); } 
BgL_modz00_6551 = 
(BgL_offsetz00_6550/BgL_auxz00_7287); } 
{ /* Cfa/type.scm 326 */
long BgL_restz00_6553;
{ /* Cfa/type.scm 326 */
long BgL_auxz00_7292;
{ /* Cfa/type.scm 326 */
int BgL_auxz00_7293;
BgL_auxz00_7293 = 
(int)(((long)8)); 
BgL_auxz00_7292 = 
(long)(BgL_auxz00_7293); } 
BgL_restz00_6553 = 
(BgL_offsetz00_6550%BgL_auxz00_7292); } 
{ /* Cfa/type.scm 326 */

{ /* Cfa/type.scm 326 */
obj_t BgL_bucketz00_6555;
{ /* Cfa/type.scm 326 */
int BgL_kz00_6565;
BgL_kz00_6565 = 
(int)(BgL_modz00_6551); 
BgL_bucketz00_6555 = 
VECTOR_REF(BgL_arg1221z00_6546,BgL_kz00_6565); } 
{ /* Cfa/type.scm 326 */
int BgL_kz00_6567;
BgL_kz00_6567 = 
(int)(BgL_restz00_6553); 
BgL_method4890z00_6543 = 
VECTOR_REF(BgL_bucketz00_6555,BgL_kz00_6567); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6543)(BgL_method4890z00_6543, 
(obj_t)(BgL_arg5263z00_4112), BEOA); } } 
{ /* Cfa/type.scm 327 */
BgL_nodez00_bglt BgL_arg5264z00_4113;
BgL_arg5264z00_4113 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4108))->BgL_valuez00); 
{ /* Cfa/type.scm 327 */
obj_t BgL_method4890z00_6570;
{ /* Cfa/type.scm 327 */
long BgL_objzd2classzd2numz00_6572;
{ /* Cfa/type.scm 327 */
BgL_objectz00_bglt BgL_auxz00_7305;
BgL_auxz00_7305 = 
(BgL_objectz00_bglt)(BgL_arg5264z00_4113); 
BgL_objzd2classzd2numz00_6572 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7305); } 
{ /* Cfa/type.scm 327 */
obj_t BgL_arg1221z00_6573;
{ /* Cfa/type.scm 327 */
int BgL_auxz00_7308;
BgL_auxz00_7308 = 
(int)(((long)1)); 
BgL_arg1221z00_6573 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7308); } 
{ /* Cfa/type.scm 327 */
long BgL_offsetz00_6577;
{ /* Cfa/type.scm 327 */
long BgL_auxz00_7311;
{ /* Cfa/type.scm 327 */
int BgL_auxz00_7312;
BgL_auxz00_7312 = 
(int)(BgL_objzd2classzd2numz00_6572); 
BgL_auxz00_7311 = 
(long)(BgL_auxz00_7312); } 
BgL_offsetz00_6577 = 
(BgL_auxz00_7311-OBJECT_TYPE); } 
{ /* Cfa/type.scm 327 */
long BgL_modz00_6578;
{ /* Cfa/type.scm 327 */
long BgL_auxz00_7316;
{ /* Cfa/type.scm 327 */
int BgL_auxz00_7317;
BgL_auxz00_7317 = 
(int)(((long)8)); 
BgL_auxz00_7316 = 
(long)(BgL_auxz00_7317); } 
BgL_modz00_6578 = 
(BgL_offsetz00_6577/BgL_auxz00_7316); } 
{ /* Cfa/type.scm 327 */
long BgL_restz00_6580;
{ /* Cfa/type.scm 327 */
long BgL_auxz00_7321;
{ /* Cfa/type.scm 327 */
int BgL_auxz00_7322;
BgL_auxz00_7322 = 
(int)(((long)8)); 
BgL_auxz00_7321 = 
(long)(BgL_auxz00_7322); } 
BgL_restz00_6580 = 
(BgL_offsetz00_6577%BgL_auxz00_7321); } 
{ /* Cfa/type.scm 327 */

{ /* Cfa/type.scm 327 */
obj_t BgL_bucketz00_6582;
{ /* Cfa/type.scm 327 */
int BgL_kz00_6592;
BgL_kz00_6592 = 
(int)(BgL_modz00_6578); 
BgL_bucketz00_6582 = 
VECTOR_REF(BgL_arg1221z00_6573,BgL_kz00_6592); } 
{ /* Cfa/type.scm 327 */
int BgL_kz00_6594;
BgL_kz00_6594 = 
(int)(BgL_restz00_6580); 
BgL_method4890z00_6570 = 
VECTOR_REF(BgL_bucketz00_6582,BgL_kz00_6594); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6570)(BgL_method4890z00_6570, 
(obj_t)(BgL_arg5264z00_4113), BEOA);} } } } 
}



/* type-node!-set-ex-it4928 */
obj_t BGl_typezd2nodez12zd2setzd2exzd2it4928z12zzcfa_typez00(obj_t BgL_envz00_6810, obj_t BgL_nodez00_6811)
{ AN_OBJECT;
{ /* Cfa/type.scm 314 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_4097;
BgL_nodez00_4097 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_6811); 
{ /* Cfa/type.scm 316 */
BgL_variablez00_bglt BgL_vz00_4101;
{ /* Cfa/type.scm 316 */
BgL_varz00_bglt BgL_arg5259z00_4103;
BgL_arg5259z00_4103 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4097))->BgL_varz00); 
BgL_vz00_4101 = 
(((BgL_varz00_bglt)CREF(BgL_arg5259z00_4103))->BgL_variablez00); } 
{ /* Cfa/type.scm 317 */
BgL_valuez00_bglt BgL_arg5258z00_4102;
{ /* Cfa/type.scm 317 */
BgL_localz00_bglt BgL_obj1255z00_6459;
BgL_obj1255z00_6459 = 
(BgL_localz00_bglt)(BgL_vz00_4101); 
BgL_arg5258z00_4102 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_6459))->BgL_valuez00); } 
{ /* Cfa/type.scm 317 */
obj_t BgL_method4878z00_6462;
{ /* Cfa/type.scm 317 */
long BgL_objzd2classzd2numz00_6464;
{ /* Cfa/type.scm 317 */
BgL_objectz00_bglt BgL_auxz00_7338;
BgL_auxz00_7338 = 
(BgL_objectz00_bglt)(BgL_arg5258z00_4102); 
BgL_objzd2classzd2numz00_6464 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7338); } 
{ /* Cfa/type.scm 317 */
obj_t BgL_arg1221z00_6465;
{ /* Cfa/type.scm 317 */
int BgL_auxz00_7341;
BgL_auxz00_7341 = 
(int)(((long)1)); 
BgL_arg1221z00_6465 = 
PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_auxz00_7341); } 
{ /* Cfa/type.scm 317 */
long BgL_offsetz00_6469;
{ /* Cfa/type.scm 317 */
long BgL_auxz00_7344;
{ /* Cfa/type.scm 317 */
int BgL_auxz00_7345;
BgL_auxz00_7345 = 
(int)(BgL_objzd2classzd2numz00_6464); 
BgL_auxz00_7344 = 
(long)(BgL_auxz00_7345); } 
BgL_offsetz00_6469 = 
(BgL_auxz00_7344-OBJECT_TYPE); } 
{ /* Cfa/type.scm 317 */
long BgL_modz00_6470;
{ /* Cfa/type.scm 317 */
long BgL_auxz00_7349;
{ /* Cfa/type.scm 317 */
int BgL_auxz00_7350;
BgL_auxz00_7350 = 
(int)(((long)8)); 
BgL_auxz00_7349 = 
(long)(BgL_auxz00_7350); } 
BgL_modz00_6470 = 
(BgL_offsetz00_6469/BgL_auxz00_7349); } 
{ /* Cfa/type.scm 317 */
long BgL_restz00_6472;
{ /* Cfa/type.scm 317 */
long BgL_auxz00_7354;
{ /* Cfa/type.scm 317 */
int BgL_auxz00_7355;
BgL_auxz00_7355 = 
(int)(((long)8)); 
BgL_auxz00_7354 = 
(long)(BgL_auxz00_7355); } 
BgL_restz00_6472 = 
(BgL_offsetz00_6469%BgL_auxz00_7354); } 
{ /* Cfa/type.scm 317 */

{ /* Cfa/type.scm 317 */
obj_t BgL_bucketz00_6474;
{ /* Cfa/type.scm 317 */
int BgL_kz00_6484;
BgL_kz00_6484 = 
(int)(BgL_modz00_6470); 
BgL_bucketz00_6474 = 
VECTOR_REF(BgL_arg1221z00_6465,BgL_kz00_6484); } 
{ /* Cfa/type.scm 317 */
int BgL_kz00_6486;
BgL_kz00_6486 = 
(int)(BgL_restz00_6472); 
BgL_method4878z00_6462 = 
VECTOR_REF(BgL_bucketz00_6474,BgL_kz00_6486); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4878z00_6462)(BgL_method4878z00_6462, 
(obj_t)(BgL_arg5258z00_4102), 
(obj_t)(BgL_vz00_4101), BEOA); } } } 
{ /* Cfa/type.scm 318 */
BgL_nodez00_bglt BgL_arg5260z00_4104;
BgL_arg5260z00_4104 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4097))->BgL_bodyz00); 
{ /* Cfa/type.scm 318 */
obj_t BgL_method4890z00_6489;
{ /* Cfa/type.scm 318 */
long BgL_objzd2classzd2numz00_6491;
{ /* Cfa/type.scm 318 */
BgL_objectz00_bglt BgL_auxz00_7368;
BgL_auxz00_7368 = 
(BgL_objectz00_bglt)(BgL_arg5260z00_4104); 
BgL_objzd2classzd2numz00_6491 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7368); } 
{ /* Cfa/type.scm 318 */
obj_t BgL_arg1221z00_6492;
{ /* Cfa/type.scm 318 */
int BgL_auxz00_7371;
BgL_auxz00_7371 = 
(int)(((long)1)); 
BgL_arg1221z00_6492 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7371); } 
{ /* Cfa/type.scm 318 */
long BgL_offsetz00_6496;
{ /* Cfa/type.scm 318 */
long BgL_auxz00_7374;
{ /* Cfa/type.scm 318 */
int BgL_auxz00_7375;
BgL_auxz00_7375 = 
(int)(BgL_objzd2classzd2numz00_6491); 
BgL_auxz00_7374 = 
(long)(BgL_auxz00_7375); } 
BgL_offsetz00_6496 = 
(BgL_auxz00_7374-OBJECT_TYPE); } 
{ /* Cfa/type.scm 318 */
long BgL_modz00_6497;
{ /* Cfa/type.scm 318 */
long BgL_auxz00_7379;
{ /* Cfa/type.scm 318 */
int BgL_auxz00_7380;
BgL_auxz00_7380 = 
(int)(((long)8)); 
BgL_auxz00_7379 = 
(long)(BgL_auxz00_7380); } 
BgL_modz00_6497 = 
(BgL_offsetz00_6496/BgL_auxz00_7379); } 
{ /* Cfa/type.scm 318 */
long BgL_restz00_6499;
{ /* Cfa/type.scm 318 */
long BgL_auxz00_7384;
{ /* Cfa/type.scm 318 */
int BgL_auxz00_7385;
BgL_auxz00_7385 = 
(int)(((long)8)); 
BgL_auxz00_7384 = 
(long)(BgL_auxz00_7385); } 
BgL_restz00_6499 = 
(BgL_offsetz00_6496%BgL_auxz00_7384); } 
{ /* Cfa/type.scm 318 */

{ /* Cfa/type.scm 318 */
obj_t BgL_bucketz00_6501;
{ /* Cfa/type.scm 318 */
int BgL_kz00_6511;
BgL_kz00_6511 = 
(int)(BgL_modz00_6497); 
BgL_bucketz00_6501 = 
VECTOR_REF(BgL_arg1221z00_6492,BgL_kz00_6511); } 
{ /* Cfa/type.scm 318 */
int BgL_kz00_6513;
BgL_kz00_6513 = 
(int)(BgL_restz00_6499); 
BgL_method4890z00_6489 = 
VECTOR_REF(BgL_bucketz00_6501,BgL_kz00_6513); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6489)(BgL_method4890z00_6489, 
(obj_t)(BgL_arg5260z00_4104), BEOA); } } 
{ /* Cfa/type.scm 319 */
BgL_nodez00_bglt BgL_nodez00_6515;
{ /* Cfa/type.scm 319 */
BgL_varz00_bglt BgL_auxz00_7396;
BgL_auxz00_7396 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4097))->BgL_varz00); 
BgL_nodez00_6515 = 
(BgL_nodez00_bglt)(BgL_auxz00_7396); } 
{ /* Cfa/type.scm 319 */
obj_t BgL_method4890z00_6516;
{ /* Cfa/type.scm 319 */
long BgL_objzd2classzd2numz00_6518;
{ /* Cfa/type.scm 319 */
BgL_objectz00_bglt BgL_auxz00_7399;
BgL_auxz00_7399 = 
(BgL_objectz00_bglt)(BgL_nodez00_6515); 
BgL_objzd2classzd2numz00_6518 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7399); } 
{ /* Cfa/type.scm 319 */
obj_t BgL_arg1221z00_6519;
{ /* Cfa/type.scm 319 */
int BgL_auxz00_7402;
BgL_auxz00_7402 = 
(int)(((long)1)); 
BgL_arg1221z00_6519 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7402); } 
{ /* Cfa/type.scm 319 */
long BgL_offsetz00_6523;
{ /* Cfa/type.scm 319 */
long BgL_auxz00_7405;
{ /* Cfa/type.scm 319 */
int BgL_auxz00_7406;
BgL_auxz00_7406 = 
(int)(BgL_objzd2classzd2numz00_6518); 
BgL_auxz00_7405 = 
(long)(BgL_auxz00_7406); } 
BgL_offsetz00_6523 = 
(BgL_auxz00_7405-OBJECT_TYPE); } 
{ /* Cfa/type.scm 319 */
long BgL_modz00_6524;
{ /* Cfa/type.scm 319 */
long BgL_auxz00_7410;
{ /* Cfa/type.scm 319 */
int BgL_auxz00_7411;
BgL_auxz00_7411 = 
(int)(((long)8)); 
BgL_auxz00_7410 = 
(long)(BgL_auxz00_7411); } 
BgL_modz00_6524 = 
(BgL_offsetz00_6523/BgL_auxz00_7410); } 
{ /* Cfa/type.scm 319 */
long BgL_restz00_6526;
{ /* Cfa/type.scm 319 */
long BgL_auxz00_7415;
{ /* Cfa/type.scm 319 */
int BgL_auxz00_7416;
BgL_auxz00_7416 = 
(int)(((long)8)); 
BgL_auxz00_7415 = 
(long)(BgL_auxz00_7416); } 
BgL_restz00_6526 = 
(BgL_offsetz00_6523%BgL_auxz00_7415); } 
{ /* Cfa/type.scm 319 */

{ /* Cfa/type.scm 319 */
obj_t BgL_bucketz00_6528;
{ /* Cfa/type.scm 319 */
int BgL_kz00_6538;
BgL_kz00_6538 = 
(int)(BgL_modz00_6524); 
BgL_bucketz00_6528 = 
VECTOR_REF(BgL_arg1221z00_6519,BgL_kz00_6538); } 
{ /* Cfa/type.scm 319 */
int BgL_kz00_6540;
BgL_kz00_6540 = 
(int)(BgL_restz00_6526); 
BgL_method4890z00_6516 = 
VECTOR_REF(BgL_bucketz00_6528,BgL_kz00_6540); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6516)(BgL_method4890z00_6516, 
(obj_t)(BgL_nodez00_6515), BEOA);} } } } 
}



/* type-node!-let-var4926 */
obj_t BGl_typezd2nodez12zd2letzd2var4926zc0zzcfa_typez00(obj_t BgL_envz00_6812, obj_t BgL_nodez00_6813)
{ AN_OBJECT;
{ /* Cfa/type.scm 301 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_4081;
BgL_nodez00_4081 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_6813); 
{ 
obj_t BgL_l4863z00_4085;
BgL_l4863z00_4085 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4081))->BgL_bindingsz00); 
BgL_lname4864z00_4086:
if(
PAIRP(BgL_l4863z00_4085))
{ /* Cfa/type.scm 303 */
{ /* Cfa/type.scm 304 */
obj_t BgL_bindingz00_4089;
BgL_bindingz00_4089 = 
CAR(BgL_l4863z00_4085); 
{ /* Cfa/type.scm 304 */
obj_t BgL_varz00_4090;
BgL_varz00_4090 = 
CAR(BgL_bindingz00_4089); 
{ /* Cfa/type.scm 306 */
BgL_nodez00_bglt BgL_nodez00_6375;
{ /* Cfa/type.scm 306 */
obj_t BgL_auxz00_7432;
BgL_auxz00_7432 = 
CDR(BgL_bindingz00_4089); 
BgL_nodez00_6375 = 
(BgL_nodez00_bglt)(BgL_auxz00_7432); } 
{ /* Cfa/type.scm 306 */
obj_t BgL_method4890z00_6376;
{ /* Cfa/type.scm 306 */
long BgL_objzd2classzd2numz00_6378;
{ /* Cfa/type.scm 306 */
BgL_objectz00_bglt BgL_auxz00_7435;
BgL_auxz00_7435 = 
(BgL_objectz00_bglt)(BgL_nodez00_6375); 
BgL_objzd2classzd2numz00_6378 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7435); } 
{ /* Cfa/type.scm 306 */
obj_t BgL_arg1221z00_6379;
{ /* Cfa/type.scm 306 */
int BgL_auxz00_7438;
BgL_auxz00_7438 = 
(int)(((long)1)); 
BgL_arg1221z00_6379 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7438); } 
{ /* Cfa/type.scm 306 */
long BgL_offsetz00_6383;
{ /* Cfa/type.scm 306 */
long BgL_auxz00_7441;
{ /* Cfa/type.scm 306 */
int BgL_auxz00_7442;
BgL_auxz00_7442 = 
(int)(BgL_objzd2classzd2numz00_6378); 
BgL_auxz00_7441 = 
(long)(BgL_auxz00_7442); } 
BgL_offsetz00_6383 = 
(BgL_auxz00_7441-OBJECT_TYPE); } 
{ /* Cfa/type.scm 306 */
long BgL_modz00_6384;
{ /* Cfa/type.scm 306 */
long BgL_auxz00_7446;
{ /* Cfa/type.scm 306 */
int BgL_auxz00_7447;
BgL_auxz00_7447 = 
(int)(((long)8)); 
BgL_auxz00_7446 = 
(long)(BgL_auxz00_7447); } 
BgL_modz00_6384 = 
(BgL_offsetz00_6383/BgL_auxz00_7446); } 
{ /* Cfa/type.scm 306 */
long BgL_restz00_6386;
{ /* Cfa/type.scm 306 */
long BgL_auxz00_7451;
{ /* Cfa/type.scm 306 */
int BgL_auxz00_7452;
BgL_auxz00_7452 = 
(int)(((long)8)); 
BgL_auxz00_7451 = 
(long)(BgL_auxz00_7452); } 
BgL_restz00_6386 = 
(BgL_offsetz00_6383%BgL_auxz00_7451); } 
{ /* Cfa/type.scm 306 */

{ /* Cfa/type.scm 306 */
obj_t BgL_bucketz00_6388;
{ /* Cfa/type.scm 306 */
int BgL_kz00_6398;
BgL_kz00_6398 = 
(int)(BgL_modz00_6384); 
BgL_bucketz00_6388 = 
VECTOR_REF(BgL_arg1221z00_6379,BgL_kz00_6398); } 
{ /* Cfa/type.scm 306 */
int BgL_kz00_6400;
BgL_kz00_6400 = 
(int)(BgL_restz00_6386); 
BgL_method4890z00_6376 = 
VECTOR_REF(BgL_bucketz00_6388,BgL_kz00_6400); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6376)(BgL_method4890z00_6376, 
(obj_t)(BgL_nodez00_6375), BEOA); } } 
{ /* Cfa/type.scm 307 */
BgL_valuez00_bglt BgL_arg5254z00_4092;
{ /* Cfa/type.scm 307 */
BgL_localz00_bglt BgL_obj1255z00_6401;
BgL_obj1255z00_6401 = 
(BgL_localz00_bglt)(BgL_varz00_4090); 
BgL_arg5254z00_4092 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_6401))->BgL_valuez00); } 
{ /* Cfa/type.scm 307 */
BgL_variablez00_bglt BgL_variablez00_6403;
BgL_variablez00_6403 = 
(BgL_variablez00_bglt)(BgL_varz00_4090); 
{ /* Cfa/type.scm 307 */
obj_t BgL_method4878z00_6404;
{ /* Cfa/type.scm 307 */
long BgL_objzd2classzd2numz00_6406;
{ /* Cfa/type.scm 307 */
BgL_objectz00_bglt BgL_auxz00_7466;
BgL_auxz00_7466 = 
(BgL_objectz00_bglt)(BgL_arg5254z00_4092); 
BgL_objzd2classzd2numz00_6406 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7466); } 
{ /* Cfa/type.scm 307 */
obj_t BgL_arg1221z00_6407;
{ /* Cfa/type.scm 307 */
int BgL_auxz00_7469;
BgL_auxz00_7469 = 
(int)(((long)1)); 
BgL_arg1221z00_6407 = 
PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_auxz00_7469); } 
{ /* Cfa/type.scm 307 */
long BgL_offsetz00_6411;
{ /* Cfa/type.scm 307 */
long BgL_auxz00_7472;
{ /* Cfa/type.scm 307 */
int BgL_auxz00_7473;
BgL_auxz00_7473 = 
(int)(BgL_objzd2classzd2numz00_6406); 
BgL_auxz00_7472 = 
(long)(BgL_auxz00_7473); } 
BgL_offsetz00_6411 = 
(BgL_auxz00_7472-OBJECT_TYPE); } 
{ /* Cfa/type.scm 307 */
long BgL_modz00_6412;
{ /* Cfa/type.scm 307 */
long BgL_auxz00_7477;
{ /* Cfa/type.scm 307 */
int BgL_auxz00_7478;
BgL_auxz00_7478 = 
(int)(((long)8)); 
BgL_auxz00_7477 = 
(long)(BgL_auxz00_7478); } 
BgL_modz00_6412 = 
(BgL_offsetz00_6411/BgL_auxz00_7477); } 
{ /* Cfa/type.scm 307 */
long BgL_restz00_6414;
{ /* Cfa/type.scm 307 */
long BgL_auxz00_7482;
{ /* Cfa/type.scm 307 */
int BgL_auxz00_7483;
BgL_auxz00_7483 = 
(int)(((long)8)); 
BgL_auxz00_7482 = 
(long)(BgL_auxz00_7483); } 
BgL_restz00_6414 = 
(BgL_offsetz00_6411%BgL_auxz00_7482); } 
{ /* Cfa/type.scm 307 */

{ /* Cfa/type.scm 307 */
obj_t BgL_bucketz00_6416;
{ /* Cfa/type.scm 307 */
int BgL_kz00_6426;
BgL_kz00_6426 = 
(int)(BgL_modz00_6412); 
BgL_bucketz00_6416 = 
VECTOR_REF(BgL_arg1221z00_6407,BgL_kz00_6426); } 
{ /* Cfa/type.scm 307 */
int BgL_kz00_6428;
BgL_kz00_6428 = 
(int)(BgL_restz00_6414); 
BgL_method4878z00_6404 = 
VECTOR_REF(BgL_bucketz00_6416,BgL_kz00_6428); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4878z00_6404)(BgL_method4878z00_6404, 
(obj_t)(BgL_arg5254z00_4092), 
(obj_t)(BgL_variablez00_6403), BEOA); } } } } } 
{ 
obj_t BgL_l4863z00_7495;
BgL_l4863z00_7495 = 
CDR(BgL_l4863z00_4085); 
BgL_l4863z00_4085 = BgL_l4863z00_7495; 
goto BgL_lname4864z00_4086;} }  else 
{ /* Cfa/type.scm 303 */((bool_t)1); } } 
{ /* Cfa/type.scm 309 */
BgL_nodez00_bglt BgL_arg5256z00_4094;
BgL_arg5256z00_4094 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4081))->BgL_bodyz00); 
{ /* Cfa/type.scm 309 */
obj_t BgL_method4890z00_6432;
{ /* Cfa/type.scm 309 */
long BgL_objzd2classzd2numz00_6434;
{ /* Cfa/type.scm 309 */
BgL_objectz00_bglt BgL_auxz00_7499;
BgL_auxz00_7499 = 
(BgL_objectz00_bglt)(BgL_arg5256z00_4094); 
BgL_objzd2classzd2numz00_6434 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7499); } 
{ /* Cfa/type.scm 309 */
obj_t BgL_arg1221z00_6435;
{ /* Cfa/type.scm 309 */
int BgL_auxz00_7502;
BgL_auxz00_7502 = 
(int)(((long)1)); 
BgL_arg1221z00_6435 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7502); } 
{ /* Cfa/type.scm 309 */
long BgL_offsetz00_6439;
{ /* Cfa/type.scm 309 */
long BgL_auxz00_7505;
{ /* Cfa/type.scm 309 */
int BgL_auxz00_7506;
BgL_auxz00_7506 = 
(int)(BgL_objzd2classzd2numz00_6434); 
BgL_auxz00_7505 = 
(long)(BgL_auxz00_7506); } 
BgL_offsetz00_6439 = 
(BgL_auxz00_7505-OBJECT_TYPE); } 
{ /* Cfa/type.scm 309 */
long BgL_modz00_6440;
{ /* Cfa/type.scm 309 */
long BgL_auxz00_7510;
{ /* Cfa/type.scm 309 */
int BgL_auxz00_7511;
BgL_auxz00_7511 = 
(int)(((long)8)); 
BgL_auxz00_7510 = 
(long)(BgL_auxz00_7511); } 
BgL_modz00_6440 = 
(BgL_offsetz00_6439/BgL_auxz00_7510); } 
{ /* Cfa/type.scm 309 */
long BgL_restz00_6442;
{ /* Cfa/type.scm 309 */
long BgL_auxz00_7515;
{ /* Cfa/type.scm 309 */
int BgL_auxz00_7516;
BgL_auxz00_7516 = 
(int)(((long)8)); 
BgL_auxz00_7515 = 
(long)(BgL_auxz00_7516); } 
BgL_restz00_6442 = 
(BgL_offsetz00_6439%BgL_auxz00_7515); } 
{ /* Cfa/type.scm 309 */

{ /* Cfa/type.scm 309 */
obj_t BgL_bucketz00_6444;
{ /* Cfa/type.scm 309 */
int BgL_kz00_6454;
BgL_kz00_6454 = 
(int)(BgL_modz00_6440); 
BgL_bucketz00_6444 = 
VECTOR_REF(BgL_arg1221z00_6435,BgL_kz00_6454); } 
{ /* Cfa/type.scm 309 */
int BgL_kz00_6456;
BgL_kz00_6456 = 
(int)(BgL_restz00_6442); 
BgL_method4890z00_6432 = 
VECTOR_REF(BgL_bucketz00_6444,BgL_kz00_6456); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6432)(BgL_method4890z00_6432, 
(obj_t)(BgL_arg5256z00_4094), BEOA);} } } } 
}



/* type-node!-let-fun4924 */
obj_t BGl_typezd2nodez12zd2letzd2fun4924zc0zzcfa_typez00(obj_t BgL_envz00_6814, obj_t BgL_nodez00_6815)
{ AN_OBJECT;
{ /* Cfa/type.scm 293 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_4068;
BgL_nodez00_4068 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_6815); 
{ 
obj_t BgL_l4859z00_4072;
BgL_l4859z00_4072 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4068))->BgL_localsz00); 
BgL_lname4860z00_4073:
if(
PAIRP(BgL_l4859z00_4072))
{ /* Cfa/type.scm 295 */
{ /* Cfa/type.scm 295 */
BgL_variablez00_bglt BgL_auxz00_7530;
{ /* Cfa/type.scm 295 */
obj_t BgL_auxz00_7531;
BgL_auxz00_7531 = 
CAR(BgL_l4859z00_4072); 
BgL_auxz00_7530 = 
(BgL_variablez00_bglt)(BgL_auxz00_7531); } 
BGl_typezd2funz12zc0zzcfa_typez00(BgL_auxz00_7530); } 
{ 
obj_t BgL_l4859z00_7535;
BgL_l4859z00_7535 = 
CDR(BgL_l4859z00_4072); 
BgL_l4859z00_4072 = BgL_l4859z00_7535; 
goto BgL_lname4860z00_4073;} }  else 
{ /* Cfa/type.scm 295 */((bool_t)1); } } 
{ /* Cfa/type.scm 296 */
BgL_nodez00_bglt BgL_arg5250z00_4078;
BgL_arg5250z00_4078 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4068))->BgL_bodyz00); 
{ /* Cfa/type.scm 296 */
obj_t BgL_method4890z00_6345;
{ /* Cfa/type.scm 296 */
long BgL_objzd2classzd2numz00_6347;
{ /* Cfa/type.scm 296 */
BgL_objectz00_bglt BgL_auxz00_7539;
BgL_auxz00_7539 = 
(BgL_objectz00_bglt)(BgL_arg5250z00_4078); 
BgL_objzd2classzd2numz00_6347 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7539); } 
{ /* Cfa/type.scm 296 */
obj_t BgL_arg1221z00_6348;
{ /* Cfa/type.scm 296 */
int BgL_auxz00_7542;
BgL_auxz00_7542 = 
(int)(((long)1)); 
BgL_arg1221z00_6348 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7542); } 
{ /* Cfa/type.scm 296 */
long BgL_offsetz00_6352;
{ /* Cfa/type.scm 296 */
long BgL_auxz00_7545;
{ /* Cfa/type.scm 296 */
int BgL_auxz00_7546;
BgL_auxz00_7546 = 
(int)(BgL_objzd2classzd2numz00_6347); 
BgL_auxz00_7545 = 
(long)(BgL_auxz00_7546); } 
BgL_offsetz00_6352 = 
(BgL_auxz00_7545-OBJECT_TYPE); } 
{ /* Cfa/type.scm 296 */
long BgL_modz00_6353;
{ /* Cfa/type.scm 296 */
long BgL_auxz00_7550;
{ /* Cfa/type.scm 296 */
int BgL_auxz00_7551;
BgL_auxz00_7551 = 
(int)(((long)8)); 
BgL_auxz00_7550 = 
(long)(BgL_auxz00_7551); } 
BgL_modz00_6353 = 
(BgL_offsetz00_6352/BgL_auxz00_7550); } 
{ /* Cfa/type.scm 296 */
long BgL_restz00_6355;
{ /* Cfa/type.scm 296 */
long BgL_auxz00_7555;
{ /* Cfa/type.scm 296 */
int BgL_auxz00_7556;
BgL_auxz00_7556 = 
(int)(((long)8)); 
BgL_auxz00_7555 = 
(long)(BgL_auxz00_7556); } 
BgL_restz00_6355 = 
(BgL_offsetz00_6352%BgL_auxz00_7555); } 
{ /* Cfa/type.scm 296 */

{ /* Cfa/type.scm 296 */
obj_t BgL_bucketz00_6357;
{ /* Cfa/type.scm 296 */
int BgL_kz00_6367;
BgL_kz00_6367 = 
(int)(BgL_modz00_6353); 
BgL_bucketz00_6357 = 
VECTOR_REF(BgL_arg1221z00_6348,BgL_kz00_6367); } 
{ /* Cfa/type.scm 296 */
int BgL_kz00_6369;
BgL_kz00_6369 = 
(int)(BgL_restz00_6355); 
BgL_method4890z00_6345 = 
VECTOR_REF(BgL_bucketz00_6357,BgL_kz00_6369); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6345)(BgL_method4890z00_6345, 
(obj_t)(BgL_arg5250z00_4078), BEOA);} } } } 
}



/* type-node!-select4922 */
obj_t BGl_typezd2nodez12zd2select4922z12zzcfa_typez00(obj_t BgL_envz00_6816, obj_t BgL_nodez00_6817)
{ AN_OBJECT;
{ /* Cfa/type.scm 283 */
{ 
BgL_selectz00_bglt BgL_nodez00_4054;
{ /* Cfa/type.scm 284 */
bool_t BgL_auxz00_7568;
BgL_nodez00_4054 = 
(BgL_selectz00_bglt)(BgL_nodez00_6817); 
{ /* Cfa/type.scm 285 */
BgL_nodez00_bglt BgL_arg5240z00_4058;
BgL_arg5240z00_4058 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4054))->BgL_testz00); 
{ /* Cfa/type.scm 285 */
obj_t BgL_method4890z00_6283;
{ /* Cfa/type.scm 285 */
long BgL_objzd2classzd2numz00_6285;
{ /* Cfa/type.scm 285 */
BgL_objectz00_bglt BgL_auxz00_7570;
BgL_auxz00_7570 = 
(BgL_objectz00_bglt)(BgL_arg5240z00_4058); 
BgL_objzd2classzd2numz00_6285 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7570); } 
{ /* Cfa/type.scm 285 */
obj_t BgL_arg1221z00_6286;
{ /* Cfa/type.scm 285 */
int BgL_auxz00_7573;
BgL_auxz00_7573 = 
(int)(((long)1)); 
BgL_arg1221z00_6286 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7573); } 
{ /* Cfa/type.scm 285 */
long BgL_offsetz00_6290;
{ /* Cfa/type.scm 285 */
long BgL_auxz00_7576;
{ /* Cfa/type.scm 285 */
int BgL_auxz00_7577;
BgL_auxz00_7577 = 
(int)(BgL_objzd2classzd2numz00_6285); 
BgL_auxz00_7576 = 
(long)(BgL_auxz00_7577); } 
BgL_offsetz00_6290 = 
(BgL_auxz00_7576-OBJECT_TYPE); } 
{ /* Cfa/type.scm 285 */
long BgL_modz00_6291;
{ /* Cfa/type.scm 285 */
long BgL_auxz00_7581;
{ /* Cfa/type.scm 285 */
int BgL_auxz00_7582;
BgL_auxz00_7582 = 
(int)(((long)8)); 
BgL_auxz00_7581 = 
(long)(BgL_auxz00_7582); } 
BgL_modz00_6291 = 
(BgL_offsetz00_6290/BgL_auxz00_7581); } 
{ /* Cfa/type.scm 285 */
long BgL_restz00_6293;
{ /* Cfa/type.scm 285 */
long BgL_auxz00_7586;
{ /* Cfa/type.scm 285 */
int BgL_auxz00_7587;
BgL_auxz00_7587 = 
(int)(((long)8)); 
BgL_auxz00_7586 = 
(long)(BgL_auxz00_7587); } 
BgL_restz00_6293 = 
(BgL_offsetz00_6290%BgL_auxz00_7586); } 
{ /* Cfa/type.scm 285 */

{ /* Cfa/type.scm 285 */
obj_t BgL_bucketz00_6295;
{ /* Cfa/type.scm 285 */
int BgL_kz00_6305;
BgL_kz00_6305 = 
(int)(BgL_modz00_6291); 
BgL_bucketz00_6295 = 
VECTOR_REF(BgL_arg1221z00_6286,BgL_kz00_6305); } 
{ /* Cfa/type.scm 285 */
int BgL_kz00_6307;
BgL_kz00_6307 = 
(int)(BgL_restz00_6293); 
BgL_method4890z00_6283 = 
VECTOR_REF(BgL_bucketz00_6295,BgL_kz00_6307); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6283)(BgL_method4890z00_6283, 
(obj_t)(BgL_arg5240z00_4058), BEOA); } } 
{ 
obj_t BgL_l4855z00_4059;
BgL_l4855z00_4059 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4054))->BgL_clausesz00); 
BgL_lname4856z00_4060:
if(
PAIRP(BgL_l4855z00_4059))
{ /* Cfa/type.scm 286 */
{ /* Cfa/type.scm 287 */
BgL_nodez00_bglt BgL_nodez00_6312;
{ /* Cfa/type.scm 287 */
obj_t BgL_auxz00_7600;
{ /* Cfa/type.scm 287 */
obj_t BgL_auxz00_7601;
BgL_auxz00_7601 = 
CAR(BgL_l4855z00_4059); 
BgL_auxz00_7600 = 
CDR(BgL_auxz00_7601); } 
BgL_nodez00_6312 = 
(BgL_nodez00_bglt)(BgL_auxz00_7600); } 
{ /* Cfa/type.scm 287 */
obj_t BgL_method4890z00_6313;
{ /* Cfa/type.scm 287 */
long BgL_objzd2classzd2numz00_6315;
{ /* Cfa/type.scm 287 */
BgL_objectz00_bglt BgL_auxz00_7605;
BgL_auxz00_7605 = 
(BgL_objectz00_bglt)(BgL_nodez00_6312); 
BgL_objzd2classzd2numz00_6315 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7605); } 
{ /* Cfa/type.scm 287 */
obj_t BgL_arg1221z00_6316;
{ /* Cfa/type.scm 287 */
int BgL_auxz00_7608;
BgL_auxz00_7608 = 
(int)(((long)1)); 
BgL_arg1221z00_6316 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7608); } 
{ /* Cfa/type.scm 287 */
long BgL_offsetz00_6320;
{ /* Cfa/type.scm 287 */
long BgL_auxz00_7611;
{ /* Cfa/type.scm 287 */
int BgL_auxz00_7612;
BgL_auxz00_7612 = 
(int)(BgL_objzd2classzd2numz00_6315); 
BgL_auxz00_7611 = 
(long)(BgL_auxz00_7612); } 
BgL_offsetz00_6320 = 
(BgL_auxz00_7611-OBJECT_TYPE); } 
{ /* Cfa/type.scm 287 */
long BgL_modz00_6321;
{ /* Cfa/type.scm 287 */
long BgL_auxz00_7616;
{ /* Cfa/type.scm 287 */
int BgL_auxz00_7617;
BgL_auxz00_7617 = 
(int)(((long)8)); 
BgL_auxz00_7616 = 
(long)(BgL_auxz00_7617); } 
BgL_modz00_6321 = 
(BgL_offsetz00_6320/BgL_auxz00_7616); } 
{ /* Cfa/type.scm 287 */
long BgL_restz00_6323;
{ /* Cfa/type.scm 287 */
long BgL_auxz00_7621;
{ /* Cfa/type.scm 287 */
int BgL_auxz00_7622;
BgL_auxz00_7622 = 
(int)(((long)8)); 
BgL_auxz00_7621 = 
(long)(BgL_auxz00_7622); } 
BgL_restz00_6323 = 
(BgL_offsetz00_6320%BgL_auxz00_7621); } 
{ /* Cfa/type.scm 287 */

{ /* Cfa/type.scm 287 */
obj_t BgL_bucketz00_6325;
{ /* Cfa/type.scm 287 */
int BgL_kz00_6335;
BgL_kz00_6335 = 
(int)(BgL_modz00_6321); 
BgL_bucketz00_6325 = 
VECTOR_REF(BgL_arg1221z00_6316,BgL_kz00_6335); } 
{ /* Cfa/type.scm 287 */
int BgL_kz00_6337;
BgL_kz00_6337 = 
(int)(BgL_restz00_6323); 
BgL_method4890z00_6313 = 
VECTOR_REF(BgL_bucketz00_6325,BgL_kz00_6337); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6313)(BgL_method4890z00_6313, 
(obj_t)(BgL_nodez00_6312), BEOA); } } 
{ 
obj_t BgL_l4855z00_7633;
BgL_l4855z00_7633 = 
CDR(BgL_l4855z00_4059); 
BgL_l4855z00_4059 = BgL_l4855z00_7633; 
goto BgL_lname4856z00_4060;} }  else 
{ /* Cfa/type.scm 286 */
BgL_auxz00_7568 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_7568);} } } 
}



/* type-node!-fail4920 */
obj_t BGl_typezd2nodez12zd2fail4920z12zzcfa_typez00(obj_t BgL_envz00_6818, obj_t BgL_nodez00_6819)
{ AN_OBJECT;
{ /* Cfa/type.scm 274 */
{ 
BgL_failz00_bglt BgL_nodez00_4045;
BgL_nodez00_4045 = 
(BgL_failz00_bglt)(BgL_nodez00_6819); 
{ /* Cfa/type.scm 276 */
BgL_nodez00_bglt BgL_arg5236z00_4049;
BgL_arg5236z00_4049 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4045))->BgL_procz00); 
{ /* Cfa/type.scm 276 */
obj_t BgL_method4890z00_6202;
{ /* Cfa/type.scm 276 */
long BgL_objzd2classzd2numz00_6204;
{ /* Cfa/type.scm 276 */
BgL_objectz00_bglt BgL_auxz00_7639;
BgL_auxz00_7639 = 
(BgL_objectz00_bglt)(BgL_arg5236z00_4049); 
BgL_objzd2classzd2numz00_6204 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7639); } 
{ /* Cfa/type.scm 276 */
obj_t BgL_arg1221z00_6205;
{ /* Cfa/type.scm 276 */
int BgL_auxz00_7642;
BgL_auxz00_7642 = 
(int)(((long)1)); 
BgL_arg1221z00_6205 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7642); } 
{ /* Cfa/type.scm 276 */
long BgL_offsetz00_6209;
{ /* Cfa/type.scm 276 */
long BgL_auxz00_7645;
{ /* Cfa/type.scm 276 */
int BgL_auxz00_7646;
BgL_auxz00_7646 = 
(int)(BgL_objzd2classzd2numz00_6204); 
BgL_auxz00_7645 = 
(long)(BgL_auxz00_7646); } 
BgL_offsetz00_6209 = 
(BgL_auxz00_7645-OBJECT_TYPE); } 
{ /* Cfa/type.scm 276 */
long BgL_modz00_6210;
{ /* Cfa/type.scm 276 */
long BgL_auxz00_7650;
{ /* Cfa/type.scm 276 */
int BgL_auxz00_7651;
BgL_auxz00_7651 = 
(int)(((long)8)); 
BgL_auxz00_7650 = 
(long)(BgL_auxz00_7651); } 
BgL_modz00_6210 = 
(BgL_offsetz00_6209/BgL_auxz00_7650); } 
{ /* Cfa/type.scm 276 */
long BgL_restz00_6212;
{ /* Cfa/type.scm 276 */
long BgL_auxz00_7655;
{ /* Cfa/type.scm 276 */
int BgL_auxz00_7656;
BgL_auxz00_7656 = 
(int)(((long)8)); 
BgL_auxz00_7655 = 
(long)(BgL_auxz00_7656); } 
BgL_restz00_6212 = 
(BgL_offsetz00_6209%BgL_auxz00_7655); } 
{ /* Cfa/type.scm 276 */

{ /* Cfa/type.scm 276 */
obj_t BgL_bucketz00_6214;
{ /* Cfa/type.scm 276 */
int BgL_kz00_6224;
BgL_kz00_6224 = 
(int)(BgL_modz00_6210); 
BgL_bucketz00_6214 = 
VECTOR_REF(BgL_arg1221z00_6205,BgL_kz00_6224); } 
{ /* Cfa/type.scm 276 */
int BgL_kz00_6226;
BgL_kz00_6226 = 
(int)(BgL_restz00_6212); 
BgL_method4890z00_6202 = 
VECTOR_REF(BgL_bucketz00_6214,BgL_kz00_6226); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6202)(BgL_method4890z00_6202, 
(obj_t)(BgL_arg5236z00_4049), BEOA); } } 
{ /* Cfa/type.scm 277 */
BgL_nodez00_bglt BgL_arg5237z00_4050;
BgL_arg5237z00_4050 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4045))->BgL_msgz00); 
{ /* Cfa/type.scm 277 */
obj_t BgL_method4890z00_6229;
{ /* Cfa/type.scm 277 */
long BgL_objzd2classzd2numz00_6231;
{ /* Cfa/type.scm 277 */
BgL_objectz00_bglt BgL_auxz00_7668;
BgL_auxz00_7668 = 
(BgL_objectz00_bglt)(BgL_arg5237z00_4050); 
BgL_objzd2classzd2numz00_6231 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7668); } 
{ /* Cfa/type.scm 277 */
obj_t BgL_arg1221z00_6232;
{ /* Cfa/type.scm 277 */
int BgL_auxz00_7671;
BgL_auxz00_7671 = 
(int)(((long)1)); 
BgL_arg1221z00_6232 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7671); } 
{ /* Cfa/type.scm 277 */
long BgL_offsetz00_6236;
{ /* Cfa/type.scm 277 */
long BgL_auxz00_7674;
{ /* Cfa/type.scm 277 */
int BgL_auxz00_7675;
BgL_auxz00_7675 = 
(int)(BgL_objzd2classzd2numz00_6231); 
BgL_auxz00_7674 = 
(long)(BgL_auxz00_7675); } 
BgL_offsetz00_6236 = 
(BgL_auxz00_7674-OBJECT_TYPE); } 
{ /* Cfa/type.scm 277 */
long BgL_modz00_6237;
{ /* Cfa/type.scm 277 */
long BgL_auxz00_7679;
{ /* Cfa/type.scm 277 */
int BgL_auxz00_7680;
BgL_auxz00_7680 = 
(int)(((long)8)); 
BgL_auxz00_7679 = 
(long)(BgL_auxz00_7680); } 
BgL_modz00_6237 = 
(BgL_offsetz00_6236/BgL_auxz00_7679); } 
{ /* Cfa/type.scm 277 */
long BgL_restz00_6239;
{ /* Cfa/type.scm 277 */
long BgL_auxz00_7684;
{ /* Cfa/type.scm 277 */
int BgL_auxz00_7685;
BgL_auxz00_7685 = 
(int)(((long)8)); 
BgL_auxz00_7684 = 
(long)(BgL_auxz00_7685); } 
BgL_restz00_6239 = 
(BgL_offsetz00_6236%BgL_auxz00_7684); } 
{ /* Cfa/type.scm 277 */

{ /* Cfa/type.scm 277 */
obj_t BgL_bucketz00_6241;
{ /* Cfa/type.scm 277 */
int BgL_kz00_6251;
BgL_kz00_6251 = 
(int)(BgL_modz00_6237); 
BgL_bucketz00_6241 = 
VECTOR_REF(BgL_arg1221z00_6232,BgL_kz00_6251); } 
{ /* Cfa/type.scm 277 */
int BgL_kz00_6253;
BgL_kz00_6253 = 
(int)(BgL_restz00_6239); 
BgL_method4890z00_6229 = 
VECTOR_REF(BgL_bucketz00_6241,BgL_kz00_6253); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6229)(BgL_method4890z00_6229, 
(obj_t)(BgL_arg5237z00_4050), BEOA); } } 
{ /* Cfa/type.scm 278 */
BgL_nodez00_bglt BgL_arg5238z00_4051;
BgL_arg5238z00_4051 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4045))->BgL_objz00); 
{ /* Cfa/type.scm 278 */
obj_t BgL_method4890z00_6256;
{ /* Cfa/type.scm 278 */
long BgL_objzd2classzd2numz00_6258;
{ /* Cfa/type.scm 278 */
BgL_objectz00_bglt BgL_auxz00_7697;
BgL_auxz00_7697 = 
(BgL_objectz00_bglt)(BgL_arg5238z00_4051); 
BgL_objzd2classzd2numz00_6258 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7697); } 
{ /* Cfa/type.scm 278 */
obj_t BgL_arg1221z00_6259;
{ /* Cfa/type.scm 278 */
int BgL_auxz00_7700;
BgL_auxz00_7700 = 
(int)(((long)1)); 
BgL_arg1221z00_6259 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7700); } 
{ /* Cfa/type.scm 278 */
long BgL_offsetz00_6263;
{ /* Cfa/type.scm 278 */
long BgL_auxz00_7703;
{ /* Cfa/type.scm 278 */
int BgL_auxz00_7704;
BgL_auxz00_7704 = 
(int)(BgL_objzd2classzd2numz00_6258); 
BgL_auxz00_7703 = 
(long)(BgL_auxz00_7704); } 
BgL_offsetz00_6263 = 
(BgL_auxz00_7703-OBJECT_TYPE); } 
{ /* Cfa/type.scm 278 */
long BgL_modz00_6264;
{ /* Cfa/type.scm 278 */
long BgL_auxz00_7708;
{ /* Cfa/type.scm 278 */
int BgL_auxz00_7709;
BgL_auxz00_7709 = 
(int)(((long)8)); 
BgL_auxz00_7708 = 
(long)(BgL_auxz00_7709); } 
BgL_modz00_6264 = 
(BgL_offsetz00_6263/BgL_auxz00_7708); } 
{ /* Cfa/type.scm 278 */
long BgL_restz00_6266;
{ /* Cfa/type.scm 278 */
long BgL_auxz00_7713;
{ /* Cfa/type.scm 278 */
int BgL_auxz00_7714;
BgL_auxz00_7714 = 
(int)(((long)8)); 
BgL_auxz00_7713 = 
(long)(BgL_auxz00_7714); } 
BgL_restz00_6266 = 
(BgL_offsetz00_6263%BgL_auxz00_7713); } 
{ /* Cfa/type.scm 278 */

{ /* Cfa/type.scm 278 */
obj_t BgL_bucketz00_6268;
{ /* Cfa/type.scm 278 */
int BgL_kz00_6278;
BgL_kz00_6278 = 
(int)(BgL_modz00_6264); 
BgL_bucketz00_6268 = 
VECTOR_REF(BgL_arg1221z00_6259,BgL_kz00_6278); } 
{ /* Cfa/type.scm 278 */
int BgL_kz00_6280;
BgL_kz00_6280 = 
(int)(BgL_restz00_6266); 
BgL_method4890z00_6256 = 
VECTOR_REF(BgL_bucketz00_6268,BgL_kz00_6280); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6256)(BgL_method4890z00_6256, 
(obj_t)(BgL_arg5238z00_4051), BEOA);} } } } 
}



/* type-node!-conditional4918 */
obj_t BGl_typezd2nodez12zd2conditional4918z12zzcfa_typez00(obj_t BgL_envz00_6820, obj_t BgL_nodez00_6821)
{ AN_OBJECT;
{ /* Cfa/type.scm 265 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_4036;
BgL_nodez00_4036 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_6821); 
{ /* Cfa/type.scm 267 */
BgL_nodez00_bglt BgL_arg5232z00_4040;
BgL_arg5232z00_4040 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4036))->BgL_testz00); 
{ /* Cfa/type.scm 267 */
obj_t BgL_method4890z00_6121;
{ /* Cfa/type.scm 267 */
long BgL_objzd2classzd2numz00_6123;
{ /* Cfa/type.scm 267 */
BgL_objectz00_bglt BgL_auxz00_7727;
BgL_auxz00_7727 = 
(BgL_objectz00_bglt)(BgL_arg5232z00_4040); 
BgL_objzd2classzd2numz00_6123 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7727); } 
{ /* Cfa/type.scm 267 */
obj_t BgL_arg1221z00_6124;
{ /* Cfa/type.scm 267 */
int BgL_auxz00_7730;
BgL_auxz00_7730 = 
(int)(((long)1)); 
BgL_arg1221z00_6124 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7730); } 
{ /* Cfa/type.scm 267 */
long BgL_offsetz00_6128;
{ /* Cfa/type.scm 267 */
long BgL_auxz00_7733;
{ /* Cfa/type.scm 267 */
int BgL_auxz00_7734;
BgL_auxz00_7734 = 
(int)(BgL_objzd2classzd2numz00_6123); 
BgL_auxz00_7733 = 
(long)(BgL_auxz00_7734); } 
BgL_offsetz00_6128 = 
(BgL_auxz00_7733-OBJECT_TYPE); } 
{ /* Cfa/type.scm 267 */
long BgL_modz00_6129;
{ /* Cfa/type.scm 267 */
long BgL_auxz00_7738;
{ /* Cfa/type.scm 267 */
int BgL_auxz00_7739;
BgL_auxz00_7739 = 
(int)(((long)8)); 
BgL_auxz00_7738 = 
(long)(BgL_auxz00_7739); } 
BgL_modz00_6129 = 
(BgL_offsetz00_6128/BgL_auxz00_7738); } 
{ /* Cfa/type.scm 267 */
long BgL_restz00_6131;
{ /* Cfa/type.scm 267 */
long BgL_auxz00_7743;
{ /* Cfa/type.scm 267 */
int BgL_auxz00_7744;
BgL_auxz00_7744 = 
(int)(((long)8)); 
BgL_auxz00_7743 = 
(long)(BgL_auxz00_7744); } 
BgL_restz00_6131 = 
(BgL_offsetz00_6128%BgL_auxz00_7743); } 
{ /* Cfa/type.scm 267 */

{ /* Cfa/type.scm 267 */
obj_t BgL_bucketz00_6133;
{ /* Cfa/type.scm 267 */
int BgL_kz00_6143;
BgL_kz00_6143 = 
(int)(BgL_modz00_6129); 
BgL_bucketz00_6133 = 
VECTOR_REF(BgL_arg1221z00_6124,BgL_kz00_6143); } 
{ /* Cfa/type.scm 267 */
int BgL_kz00_6145;
BgL_kz00_6145 = 
(int)(BgL_restz00_6131); 
BgL_method4890z00_6121 = 
VECTOR_REF(BgL_bucketz00_6133,BgL_kz00_6145); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6121)(BgL_method4890z00_6121, 
(obj_t)(BgL_arg5232z00_4040), BEOA); } } 
{ /* Cfa/type.scm 268 */
BgL_nodez00_bglt BgL_arg5233z00_4041;
BgL_arg5233z00_4041 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4036))->BgL_truez00); 
{ /* Cfa/type.scm 268 */
obj_t BgL_method4890z00_6148;
{ /* Cfa/type.scm 268 */
long BgL_objzd2classzd2numz00_6150;
{ /* Cfa/type.scm 268 */
BgL_objectz00_bglt BgL_auxz00_7756;
BgL_auxz00_7756 = 
(BgL_objectz00_bglt)(BgL_arg5233z00_4041); 
BgL_objzd2classzd2numz00_6150 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7756); } 
{ /* Cfa/type.scm 268 */
obj_t BgL_arg1221z00_6151;
{ /* Cfa/type.scm 268 */
int BgL_auxz00_7759;
BgL_auxz00_7759 = 
(int)(((long)1)); 
BgL_arg1221z00_6151 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7759); } 
{ /* Cfa/type.scm 268 */
long BgL_offsetz00_6155;
{ /* Cfa/type.scm 268 */
long BgL_auxz00_7762;
{ /* Cfa/type.scm 268 */
int BgL_auxz00_7763;
BgL_auxz00_7763 = 
(int)(BgL_objzd2classzd2numz00_6150); 
BgL_auxz00_7762 = 
(long)(BgL_auxz00_7763); } 
BgL_offsetz00_6155 = 
(BgL_auxz00_7762-OBJECT_TYPE); } 
{ /* Cfa/type.scm 268 */
long BgL_modz00_6156;
{ /* Cfa/type.scm 268 */
long BgL_auxz00_7767;
{ /* Cfa/type.scm 268 */
int BgL_auxz00_7768;
BgL_auxz00_7768 = 
(int)(((long)8)); 
BgL_auxz00_7767 = 
(long)(BgL_auxz00_7768); } 
BgL_modz00_6156 = 
(BgL_offsetz00_6155/BgL_auxz00_7767); } 
{ /* Cfa/type.scm 268 */
long BgL_restz00_6158;
{ /* Cfa/type.scm 268 */
long BgL_auxz00_7772;
{ /* Cfa/type.scm 268 */
int BgL_auxz00_7773;
BgL_auxz00_7773 = 
(int)(((long)8)); 
BgL_auxz00_7772 = 
(long)(BgL_auxz00_7773); } 
BgL_restz00_6158 = 
(BgL_offsetz00_6155%BgL_auxz00_7772); } 
{ /* Cfa/type.scm 268 */

{ /* Cfa/type.scm 268 */
obj_t BgL_bucketz00_6160;
{ /* Cfa/type.scm 268 */
int BgL_kz00_6170;
BgL_kz00_6170 = 
(int)(BgL_modz00_6156); 
BgL_bucketz00_6160 = 
VECTOR_REF(BgL_arg1221z00_6151,BgL_kz00_6170); } 
{ /* Cfa/type.scm 268 */
int BgL_kz00_6172;
BgL_kz00_6172 = 
(int)(BgL_restz00_6158); 
BgL_method4890z00_6148 = 
VECTOR_REF(BgL_bucketz00_6160,BgL_kz00_6172); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6148)(BgL_method4890z00_6148, 
(obj_t)(BgL_arg5233z00_4041), BEOA); } } 
{ /* Cfa/type.scm 269 */
BgL_nodez00_bglt BgL_arg5234z00_4042;
BgL_arg5234z00_4042 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4036))->BgL_falsez00); 
{ /* Cfa/type.scm 269 */
obj_t BgL_method4890z00_6175;
{ /* Cfa/type.scm 269 */
long BgL_objzd2classzd2numz00_6177;
{ /* Cfa/type.scm 269 */
BgL_objectz00_bglt BgL_auxz00_7785;
BgL_auxz00_7785 = 
(BgL_objectz00_bglt)(BgL_arg5234z00_4042); 
BgL_objzd2classzd2numz00_6177 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7785); } 
{ /* Cfa/type.scm 269 */
obj_t BgL_arg1221z00_6178;
{ /* Cfa/type.scm 269 */
int BgL_auxz00_7788;
BgL_auxz00_7788 = 
(int)(((long)1)); 
BgL_arg1221z00_6178 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7788); } 
{ /* Cfa/type.scm 269 */
long BgL_offsetz00_6182;
{ /* Cfa/type.scm 269 */
long BgL_auxz00_7791;
{ /* Cfa/type.scm 269 */
int BgL_auxz00_7792;
BgL_auxz00_7792 = 
(int)(BgL_objzd2classzd2numz00_6177); 
BgL_auxz00_7791 = 
(long)(BgL_auxz00_7792); } 
BgL_offsetz00_6182 = 
(BgL_auxz00_7791-OBJECT_TYPE); } 
{ /* Cfa/type.scm 269 */
long BgL_modz00_6183;
{ /* Cfa/type.scm 269 */
long BgL_auxz00_7796;
{ /* Cfa/type.scm 269 */
int BgL_auxz00_7797;
BgL_auxz00_7797 = 
(int)(((long)8)); 
BgL_auxz00_7796 = 
(long)(BgL_auxz00_7797); } 
BgL_modz00_6183 = 
(BgL_offsetz00_6182/BgL_auxz00_7796); } 
{ /* Cfa/type.scm 269 */
long BgL_restz00_6185;
{ /* Cfa/type.scm 269 */
long BgL_auxz00_7801;
{ /* Cfa/type.scm 269 */
int BgL_auxz00_7802;
BgL_auxz00_7802 = 
(int)(((long)8)); 
BgL_auxz00_7801 = 
(long)(BgL_auxz00_7802); } 
BgL_restz00_6185 = 
(BgL_offsetz00_6182%BgL_auxz00_7801); } 
{ /* Cfa/type.scm 269 */

{ /* Cfa/type.scm 269 */
obj_t BgL_bucketz00_6187;
{ /* Cfa/type.scm 269 */
int BgL_kz00_6197;
BgL_kz00_6197 = 
(int)(BgL_modz00_6183); 
BgL_bucketz00_6187 = 
VECTOR_REF(BgL_arg1221z00_6178,BgL_kz00_6197); } 
{ /* Cfa/type.scm 269 */
int BgL_kz00_6199;
BgL_kz00_6199 = 
(int)(BgL_restz00_6185); 
BgL_method4890z00_6175 = 
VECTOR_REF(BgL_bucketz00_6187,BgL_kz00_6199); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6175)(BgL_method4890z00_6175, 
(obj_t)(BgL_arg5234z00_4042), BEOA);} } } } 
}



/* type-node!-setq4916 */
obj_t BGl_typezd2nodez12zd2setq4916z12zzcfa_typez00(obj_t BgL_envz00_6822, obj_t BgL_nodez00_6823)
{ AN_OBJECT;
{ /* Cfa/type.scm 257 */
{ 
BgL_setqz00_bglt BgL_nodez00_4028;
BgL_nodez00_4028 = 
(BgL_setqz00_bglt)(BgL_nodez00_6823); 
{ /* Cfa/type.scm 259 */
BgL_nodez00_bglt BgL_arg5229z00_4032;
BgL_arg5229z00_4032 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4028))->BgL_valuez00); 
{ /* Cfa/type.scm 259 */
obj_t BgL_method4890z00_6067;
{ /* Cfa/type.scm 259 */
long BgL_objzd2classzd2numz00_6069;
{ /* Cfa/type.scm 259 */
BgL_objectz00_bglt BgL_auxz00_7815;
BgL_auxz00_7815 = 
(BgL_objectz00_bglt)(BgL_arg5229z00_4032); 
BgL_objzd2classzd2numz00_6069 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7815); } 
{ /* Cfa/type.scm 259 */
obj_t BgL_arg1221z00_6070;
{ /* Cfa/type.scm 259 */
int BgL_auxz00_7818;
BgL_auxz00_7818 = 
(int)(((long)1)); 
BgL_arg1221z00_6070 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7818); } 
{ /* Cfa/type.scm 259 */
long BgL_offsetz00_6074;
{ /* Cfa/type.scm 259 */
long BgL_auxz00_7821;
{ /* Cfa/type.scm 259 */
int BgL_auxz00_7822;
BgL_auxz00_7822 = 
(int)(BgL_objzd2classzd2numz00_6069); 
BgL_auxz00_7821 = 
(long)(BgL_auxz00_7822); } 
BgL_offsetz00_6074 = 
(BgL_auxz00_7821-OBJECT_TYPE); } 
{ /* Cfa/type.scm 259 */
long BgL_modz00_6075;
{ /* Cfa/type.scm 259 */
long BgL_auxz00_7826;
{ /* Cfa/type.scm 259 */
int BgL_auxz00_7827;
BgL_auxz00_7827 = 
(int)(((long)8)); 
BgL_auxz00_7826 = 
(long)(BgL_auxz00_7827); } 
BgL_modz00_6075 = 
(BgL_offsetz00_6074/BgL_auxz00_7826); } 
{ /* Cfa/type.scm 259 */
long BgL_restz00_6077;
{ /* Cfa/type.scm 259 */
long BgL_auxz00_7831;
{ /* Cfa/type.scm 259 */
int BgL_auxz00_7832;
BgL_auxz00_7832 = 
(int)(((long)8)); 
BgL_auxz00_7831 = 
(long)(BgL_auxz00_7832); } 
BgL_restz00_6077 = 
(BgL_offsetz00_6074%BgL_auxz00_7831); } 
{ /* Cfa/type.scm 259 */

{ /* Cfa/type.scm 259 */
obj_t BgL_bucketz00_6079;
{ /* Cfa/type.scm 259 */
int BgL_kz00_6089;
BgL_kz00_6089 = 
(int)(BgL_modz00_6075); 
BgL_bucketz00_6079 = 
VECTOR_REF(BgL_arg1221z00_6070,BgL_kz00_6089); } 
{ /* Cfa/type.scm 259 */
int BgL_kz00_6091;
BgL_kz00_6091 = 
(int)(BgL_restz00_6077); 
BgL_method4890z00_6067 = 
VECTOR_REF(BgL_bucketz00_6079,BgL_kz00_6091); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6067)(BgL_method4890z00_6067, 
(obj_t)(BgL_arg5229z00_4032), BEOA); } } 
{ /* Cfa/type.scm 260 */
BgL_nodez00_bglt BgL_nodez00_6093;
{ /* Cfa/type.scm 260 */
BgL_varz00_bglt BgL_auxz00_7843;
BgL_auxz00_7843 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4028))->BgL_varz00); 
BgL_nodez00_6093 = 
(BgL_nodez00_bglt)(BgL_auxz00_7843); } 
{ /* Cfa/type.scm 260 */
obj_t BgL_method4890z00_6094;
{ /* Cfa/type.scm 260 */
long BgL_objzd2classzd2numz00_6096;
{ /* Cfa/type.scm 260 */
BgL_objectz00_bglt BgL_auxz00_7846;
BgL_auxz00_7846 = 
(BgL_objectz00_bglt)(BgL_nodez00_6093); 
BgL_objzd2classzd2numz00_6096 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7846); } 
{ /* Cfa/type.scm 260 */
obj_t BgL_arg1221z00_6097;
{ /* Cfa/type.scm 260 */
int BgL_auxz00_7849;
BgL_auxz00_7849 = 
(int)(((long)1)); 
BgL_arg1221z00_6097 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7849); } 
{ /* Cfa/type.scm 260 */
long BgL_offsetz00_6101;
{ /* Cfa/type.scm 260 */
long BgL_auxz00_7852;
{ /* Cfa/type.scm 260 */
int BgL_auxz00_7853;
BgL_auxz00_7853 = 
(int)(BgL_objzd2classzd2numz00_6096); 
BgL_auxz00_7852 = 
(long)(BgL_auxz00_7853); } 
BgL_offsetz00_6101 = 
(BgL_auxz00_7852-OBJECT_TYPE); } 
{ /* Cfa/type.scm 260 */
long BgL_modz00_6102;
{ /* Cfa/type.scm 260 */
long BgL_auxz00_7857;
{ /* Cfa/type.scm 260 */
int BgL_auxz00_7858;
BgL_auxz00_7858 = 
(int)(((long)8)); 
BgL_auxz00_7857 = 
(long)(BgL_auxz00_7858); } 
BgL_modz00_6102 = 
(BgL_offsetz00_6101/BgL_auxz00_7857); } 
{ /* Cfa/type.scm 260 */
long BgL_restz00_6104;
{ /* Cfa/type.scm 260 */
long BgL_auxz00_7862;
{ /* Cfa/type.scm 260 */
int BgL_auxz00_7863;
BgL_auxz00_7863 = 
(int)(((long)8)); 
BgL_auxz00_7862 = 
(long)(BgL_auxz00_7863); } 
BgL_restz00_6104 = 
(BgL_offsetz00_6101%BgL_auxz00_7862); } 
{ /* Cfa/type.scm 260 */

{ /* Cfa/type.scm 260 */
obj_t BgL_bucketz00_6106;
{ /* Cfa/type.scm 260 */
int BgL_kz00_6116;
BgL_kz00_6116 = 
(int)(BgL_modz00_6102); 
BgL_bucketz00_6106 = 
VECTOR_REF(BgL_arg1221z00_6097,BgL_kz00_6116); } 
{ /* Cfa/type.scm 260 */
int BgL_kz00_6118;
BgL_kz00_6118 = 
(int)(BgL_restz00_6104); 
BgL_method4890z00_6094 = 
VECTOR_REF(BgL_bucketz00_6106,BgL_kz00_6118); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6094)(BgL_method4890z00_6094, 
(obj_t)(BgL_nodez00_6093), BEOA);} } } } 
}



/* type-node!-cast4914 */
obj_t BGl_typezd2nodez12zd2cast4914z12zzcfa_typez00(obj_t BgL_envz00_6824, obj_t BgL_nodez00_6825)
{ AN_OBJECT;
{ /* Cfa/type.scm 250 */
{ 
BgL_castz00_bglt BgL_nodez00_4021;
BgL_nodez00_4021 = 
(BgL_castz00_bglt)(BgL_nodez00_6825); 
{ /* Cfa/type.scm 251 */
BgL_nodez00_bglt BgL_arg5227z00_6037;
BgL_arg5227z00_6037 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_4021))->BgL_argz00); 
{ /* Cfa/type.scm 251 */
obj_t BgL_method4890z00_6040;
{ /* Cfa/type.scm 251 */
long BgL_objzd2classzd2numz00_6042;
{ /* Cfa/type.scm 251 */
BgL_objectz00_bglt BgL_auxz00_7876;
BgL_auxz00_7876 = 
(BgL_objectz00_bglt)(BgL_arg5227z00_6037); 
BgL_objzd2classzd2numz00_6042 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7876); } 
{ /* Cfa/type.scm 251 */
obj_t BgL_arg1221z00_6043;
{ /* Cfa/type.scm 251 */
int BgL_auxz00_7879;
BgL_auxz00_7879 = 
(int)(((long)1)); 
BgL_arg1221z00_6043 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7879); } 
{ /* Cfa/type.scm 251 */
long BgL_offsetz00_6047;
{ /* Cfa/type.scm 251 */
long BgL_auxz00_7882;
{ /* Cfa/type.scm 251 */
int BgL_auxz00_7883;
BgL_auxz00_7883 = 
(int)(BgL_objzd2classzd2numz00_6042); 
BgL_auxz00_7882 = 
(long)(BgL_auxz00_7883); } 
BgL_offsetz00_6047 = 
(BgL_auxz00_7882-OBJECT_TYPE); } 
{ /* Cfa/type.scm 251 */
long BgL_modz00_6048;
{ /* Cfa/type.scm 251 */
long BgL_auxz00_7887;
{ /* Cfa/type.scm 251 */
int BgL_auxz00_7888;
BgL_auxz00_7888 = 
(int)(((long)8)); 
BgL_auxz00_7887 = 
(long)(BgL_auxz00_7888); } 
BgL_modz00_6048 = 
(BgL_offsetz00_6047/BgL_auxz00_7887); } 
{ /* Cfa/type.scm 251 */
long BgL_restz00_6050;
{ /* Cfa/type.scm 251 */
long BgL_auxz00_7892;
{ /* Cfa/type.scm 251 */
int BgL_auxz00_7893;
BgL_auxz00_7893 = 
(int)(((long)8)); 
BgL_auxz00_7892 = 
(long)(BgL_auxz00_7893); } 
BgL_restz00_6050 = 
(BgL_offsetz00_6047%BgL_auxz00_7892); } 
{ /* Cfa/type.scm 251 */

{ /* Cfa/type.scm 251 */
obj_t BgL_bucketz00_6052;
{ /* Cfa/type.scm 251 */
int BgL_kz00_6062;
BgL_kz00_6062 = 
(int)(BgL_modz00_6048); 
BgL_bucketz00_6052 = 
VECTOR_REF(BgL_arg1221z00_6043,BgL_kz00_6062); } 
{ /* Cfa/type.scm 251 */
int BgL_kz00_6064;
BgL_kz00_6064 = 
(int)(BgL_restz00_6050); 
BgL_method4890z00_6040 = 
VECTOR_REF(BgL_bucketz00_6052,BgL_kz00_6064); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6040)(BgL_method4890z00_6040, 
(obj_t)(BgL_arg5227z00_6037), BEOA);} } } } 
}



/* type-node!-vset!4912 */
obj_t BGl_typezd2nodez12zd2vsetz124912z00zzcfa_typez00(obj_t BgL_envz00_6826, obj_t BgL_nodez00_6827)
{ AN_OBJECT;
{ /* Cfa/type.scm 241 */
{ 
BgL_vsetz12z12_bglt BgL_nodez00_4013;
BgL_nodez00_4013 = 
(BgL_vsetz12z12_bglt)(BgL_nodez00_6827); 
{ 

{ /* Cfa/type.scm 241 */
obj_t BgL_nextzd2method4911zd2_4019;
BgL_nextzd2method4911zd2_4019 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_4013), BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method4911zd2_4019))
{ /* Cfa/type.scm 241 */
PROCEDURE_ENTRY(BgL_nextzd2method4911zd2_4019)(BgL_nextzd2method4911zd2_4019, 
(obj_t)(BgL_nodez00_4013), BEOA); }  else 
{ /* Cfa/type.scm 241 */
{ /* Cfa/type.scm 241 */
BgL_nodez00_bglt BgL_nodez00_6010;
BgL_nodez00_6010 = 
(BgL_nodez00_bglt)(BgL_nodez00_4013); 
{ /* Cfa/type.scm 241 */
obj_t BgL_method4890z00_6011;
{ /* Cfa/type.scm 241 */
long BgL_objzd2classzd2numz00_6013;
{ /* Cfa/type.scm 241 */
BgL_objectz00_bglt BgL_auxz00_7913;
BgL_auxz00_7913 = 
(BgL_objectz00_bglt)(BgL_nodez00_6010); 
BgL_objzd2classzd2numz00_6013 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7913); } 
{ /* Cfa/type.scm 241 */
obj_t BgL_arg1221z00_6014;
{ /* Cfa/type.scm 241 */
int BgL_auxz00_7916;
BgL_auxz00_7916 = 
(int)(((long)1)); 
BgL_arg1221z00_6014 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7916); } 
{ /* Cfa/type.scm 241 */
long BgL_offsetz00_6018;
{ /* Cfa/type.scm 241 */
long BgL_auxz00_7919;
{ /* Cfa/type.scm 241 */
int BgL_auxz00_7920;
BgL_auxz00_7920 = 
(int)(BgL_objzd2classzd2numz00_6013); 
BgL_auxz00_7919 = 
(long)(BgL_auxz00_7920); } 
BgL_offsetz00_6018 = 
(BgL_auxz00_7919-OBJECT_TYPE); } 
{ /* Cfa/type.scm 241 */
long BgL_modz00_6019;
{ /* Cfa/type.scm 241 */
long BgL_auxz00_7924;
{ /* Cfa/type.scm 241 */
int BgL_auxz00_7925;
BgL_auxz00_7925 = 
(int)(((long)8)); 
BgL_auxz00_7924 = 
(long)(BgL_auxz00_7925); } 
BgL_modz00_6019 = 
(BgL_offsetz00_6018/BgL_auxz00_7924); } 
{ /* Cfa/type.scm 241 */
long BgL_restz00_6021;
{ /* Cfa/type.scm 241 */
long BgL_auxz00_7929;
{ /* Cfa/type.scm 241 */
int BgL_auxz00_7930;
BgL_auxz00_7930 = 
(int)(((long)8)); 
BgL_auxz00_7929 = 
(long)(BgL_auxz00_7930); } 
BgL_restz00_6021 = 
(BgL_offsetz00_6018%BgL_auxz00_7929); } 
{ /* Cfa/type.scm 241 */

{ /* Cfa/type.scm 241 */
obj_t BgL_bucketz00_6023;
{ /* Cfa/type.scm 241 */
int BgL_kz00_6033;
BgL_kz00_6033 = 
(int)(BgL_modz00_6019); 
BgL_bucketz00_6023 = 
VECTOR_REF(BgL_arg1221z00_6014,BgL_kz00_6033); } 
{ /* Cfa/type.scm 241 */
int BgL_kz00_6035;
BgL_kz00_6035 = 
(int)(BgL_restz00_6021); 
BgL_method4890z00_6011 = 
VECTOR_REF(BgL_bucketz00_6023,BgL_kz00_6035); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_6011)(BgL_method4890z00_6011, 
(obj_t)(BgL_nodez00_6010), BEOA); } } } } 
{ /* Cfa/type.scm 244 */
bool_t BgL_test5224z00_4017;
{ /* Cfa/type.scm 244 */
obj_t BgL_auxz00_7941;
{ /* Cfa/type.scm 244 */
BgL_typez00_bglt BgL_auxz00_7942;
BgL_auxz00_7942 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_4013))->BgL_ftypez00); 
BgL_auxz00_7941 = 
(obj_t)(BgL_auxz00_7942); } 
BgL_test5224z00_4017 = 
(BgL_auxz00_7941==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test5224z00_4017)
{ /* Cfa/type.scm 245 */
BgL_typez00_bglt BgL_val2127z00_6008;
BgL_val2127z00_6008 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
return 
((((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_4013))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_val2127z00_6008), BUNSPEC);}  else 
{ /* Cfa/type.scm 244 */
return BFALSE;} } } } } 
}



/* type-node!-vref4910 */
obj_t BGl_typezd2nodez12zd2vref4910z12zzcfa_typez00(obj_t BgL_envz00_6828, obj_t BgL_nodez00_6829)
{ AN_OBJECT;
{ /* Cfa/type.scm 232 */
{ 
BgL_vrefz00_bglt BgL_nodez00_4005;
BgL_nodez00_4005 = 
(BgL_vrefz00_bglt)(BgL_nodez00_6829); 
{ 

{ /* Cfa/type.scm 232 */
obj_t BgL_nextzd2method4909zd2_4011;
BgL_nextzd2method4909zd2_4011 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_4005), BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method4909zd2_4011))
{ /* Cfa/type.scm 232 */
PROCEDURE_ENTRY(BgL_nextzd2method4909zd2_4011)(BgL_nextzd2method4909zd2_4011, 
(obj_t)(BgL_nodez00_4005), BEOA); }  else 
{ /* Cfa/type.scm 232 */
{ /* Cfa/type.scm 232 */
BgL_nodez00_bglt BgL_nodez00_5980;
BgL_nodez00_5980 = 
(BgL_nodez00_bglt)(BgL_nodez00_4005); 
{ /* Cfa/type.scm 232 */
obj_t BgL_method4890z00_5981;
{ /* Cfa/type.scm 232 */
long BgL_objzd2classzd2numz00_5983;
{ /* Cfa/type.scm 232 */
BgL_objectz00_bglt BgL_auxz00_7958;
BgL_auxz00_7958 = 
(BgL_objectz00_bglt)(BgL_nodez00_5980); 
BgL_objzd2classzd2numz00_5983 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7958); } 
{ /* Cfa/type.scm 232 */
obj_t BgL_arg1221z00_5984;
{ /* Cfa/type.scm 232 */
int BgL_auxz00_7961;
BgL_auxz00_7961 = 
(int)(((long)1)); 
BgL_arg1221z00_5984 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_7961); } 
{ /* Cfa/type.scm 232 */
long BgL_offsetz00_5988;
{ /* Cfa/type.scm 232 */
long BgL_auxz00_7964;
{ /* Cfa/type.scm 232 */
int BgL_auxz00_7965;
BgL_auxz00_7965 = 
(int)(BgL_objzd2classzd2numz00_5983); 
BgL_auxz00_7964 = 
(long)(BgL_auxz00_7965); } 
BgL_offsetz00_5988 = 
(BgL_auxz00_7964-OBJECT_TYPE); } 
{ /* Cfa/type.scm 232 */
long BgL_modz00_5989;
{ /* Cfa/type.scm 232 */
long BgL_auxz00_7969;
{ /* Cfa/type.scm 232 */
int BgL_auxz00_7970;
BgL_auxz00_7970 = 
(int)(((long)8)); 
BgL_auxz00_7969 = 
(long)(BgL_auxz00_7970); } 
BgL_modz00_5989 = 
(BgL_offsetz00_5988/BgL_auxz00_7969); } 
{ /* Cfa/type.scm 232 */
long BgL_restz00_5991;
{ /* Cfa/type.scm 232 */
long BgL_auxz00_7974;
{ /* Cfa/type.scm 232 */
int BgL_auxz00_7975;
BgL_auxz00_7975 = 
(int)(((long)8)); 
BgL_auxz00_7974 = 
(long)(BgL_auxz00_7975); } 
BgL_restz00_5991 = 
(BgL_offsetz00_5988%BgL_auxz00_7974); } 
{ /* Cfa/type.scm 232 */

{ /* Cfa/type.scm 232 */
obj_t BgL_bucketz00_5993;
{ /* Cfa/type.scm 232 */
int BgL_kz00_6003;
BgL_kz00_6003 = 
(int)(BgL_modz00_5989); 
BgL_bucketz00_5993 = 
VECTOR_REF(BgL_arg1221z00_5984,BgL_kz00_6003); } 
{ /* Cfa/type.scm 232 */
int BgL_kz00_6005;
BgL_kz00_6005 = 
(int)(BgL_restz00_5991); 
BgL_method4890z00_5981 = 
VECTOR_REF(BgL_bucketz00_5993,BgL_kz00_6005); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_5981)(BgL_method4890z00_5981, 
(obj_t)(BgL_nodez00_5980), BEOA); } } } } 
{ /* Cfa/type.scm 235 */
bool_t BgL_test5221z00_4009;
{ /* Cfa/type.scm 235 */
obj_t BgL_auxz00_7986;
{ /* Cfa/type.scm 235 */
BgL_typez00_bglt BgL_auxz00_7987;
BgL_auxz00_7987 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_4005))->BgL_ftypez00); 
BgL_auxz00_7986 = 
(obj_t)(BgL_auxz00_7987); } 
BgL_test5221z00_4009 = 
(BgL_auxz00_7986==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test5221z00_4009)
{ /* Cfa/type.scm 236 */
BgL_typez00_bglt BgL_val2075z00_5978;
BgL_val2075z00_5978 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
return 
((((BgL_vrefz00_bglt)CREF(BgL_nodez00_4005))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_val2075z00_5978), BUNSPEC);}  else 
{ /* Cfa/type.scm 235 */
return BFALSE;} } } } } 
}



/* type-node!-extern4908 */
obj_t BGl_typezd2nodez12zd2extern4908z12zzcfa_typez00(obj_t BgL_envz00_6830, obj_t BgL_nodez00_6831)
{ AN_OBJECT;
{ /* Cfa/type.scm 225 */
{ 
BgL_externz00_bglt BgL_nodez00_3998;
{ /* Cfa/type.scm 226 */
bool_t BgL_auxz00_7995;
BgL_nodez00_3998 = 
(BgL_externz00_bglt)(BgL_nodez00_6831); 
BgL_auxz00_7995 = 
BGl_typezd2nodeza2z12z62zzcfa_typez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_3998))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_7995);} } } 
}



/* type-node!-funcall4906 */
obj_t BGl_typezd2nodez12zd2funcall4906z12zzcfa_typez00(obj_t BgL_envz00_6832, obj_t BgL_nodez00_6833)
{ AN_OBJECT;
{ /* Cfa/type.scm 217 */
{ 
BgL_funcallz00_bglt BgL_nodez00_3990;
{ /* Cfa/type.scm 218 */
bool_t BgL_auxz00_8000;
BgL_nodez00_3990 = 
(BgL_funcallz00_bglt)(BgL_nodez00_6833); 
{ /* Cfa/type.scm 219 */
BgL_nodez00_bglt BgL_arg5216z00_3994;
BgL_arg5216z00_3994 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3990))->BgL_funz00); 
{ /* Cfa/type.scm 219 */
obj_t BgL_method4890z00_5947;
{ /* Cfa/type.scm 219 */
long BgL_objzd2classzd2numz00_5949;
{ /* Cfa/type.scm 219 */
BgL_objectz00_bglt BgL_auxz00_8002;
BgL_auxz00_8002 = 
(BgL_objectz00_bglt)(BgL_arg5216z00_3994); 
BgL_objzd2classzd2numz00_5949 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8002); } 
{ /* Cfa/type.scm 219 */
obj_t BgL_arg1221z00_5950;
{ /* Cfa/type.scm 219 */
int BgL_auxz00_8005;
BgL_auxz00_8005 = 
(int)(((long)1)); 
BgL_arg1221z00_5950 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_8005); } 
{ /* Cfa/type.scm 219 */
long BgL_offsetz00_5954;
{ /* Cfa/type.scm 219 */
long BgL_auxz00_8008;
{ /* Cfa/type.scm 219 */
int BgL_auxz00_8009;
BgL_auxz00_8009 = 
(int)(BgL_objzd2classzd2numz00_5949); 
BgL_auxz00_8008 = 
(long)(BgL_auxz00_8009); } 
BgL_offsetz00_5954 = 
(BgL_auxz00_8008-OBJECT_TYPE); } 
{ /* Cfa/type.scm 219 */
long BgL_modz00_5955;
{ /* Cfa/type.scm 219 */
long BgL_auxz00_8013;
{ /* Cfa/type.scm 219 */
int BgL_auxz00_8014;
BgL_auxz00_8014 = 
(int)(((long)8)); 
BgL_auxz00_8013 = 
(long)(BgL_auxz00_8014); } 
BgL_modz00_5955 = 
(BgL_offsetz00_5954/BgL_auxz00_8013); } 
{ /* Cfa/type.scm 219 */
long BgL_restz00_5957;
{ /* Cfa/type.scm 219 */
long BgL_auxz00_8018;
{ /* Cfa/type.scm 219 */
int BgL_auxz00_8019;
BgL_auxz00_8019 = 
(int)(((long)8)); 
BgL_auxz00_8018 = 
(long)(BgL_auxz00_8019); } 
BgL_restz00_5957 = 
(BgL_offsetz00_5954%BgL_auxz00_8018); } 
{ /* Cfa/type.scm 219 */

{ /* Cfa/type.scm 219 */
obj_t BgL_bucketz00_5959;
{ /* Cfa/type.scm 219 */
int BgL_kz00_5969;
BgL_kz00_5969 = 
(int)(BgL_modz00_5955); 
BgL_bucketz00_5959 = 
VECTOR_REF(BgL_arg1221z00_5950,BgL_kz00_5969); } 
{ /* Cfa/type.scm 219 */
int BgL_kz00_5971;
BgL_kz00_5971 = 
(int)(BgL_restz00_5957); 
BgL_method4890z00_5947 = 
VECTOR_REF(BgL_bucketz00_5959,BgL_kz00_5971); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_5947)(BgL_method4890z00_5947, 
(obj_t)(BgL_arg5216z00_3994), BEOA); } } 
BgL_auxz00_8000 = 
BGl_typezd2nodeza2z12z62zzcfa_typez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3990))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_8000);} } } 
}



/* type-node!-app-ly4904 */
obj_t BGl_typezd2nodez12zd2appzd2ly4904zc0zzcfa_typez00(obj_t BgL_envz00_6834, obj_t BgL_nodez00_6835)
{ AN_OBJECT;
{ /* Cfa/type.scm 209 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_3982;
BgL_nodez00_3982 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_6835); 
{ /* Cfa/type.scm 211 */
BgL_nodez00_bglt BgL_arg5213z00_3986;
BgL_arg5213z00_3986 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3982))->BgL_funz00); 
{ /* Cfa/type.scm 211 */
obj_t BgL_method4890z00_5893;
{ /* Cfa/type.scm 211 */
long BgL_objzd2classzd2numz00_5895;
{ /* Cfa/type.scm 211 */
BgL_objectz00_bglt BgL_auxz00_8035;
BgL_auxz00_8035 = 
(BgL_objectz00_bglt)(BgL_arg5213z00_3986); 
BgL_objzd2classzd2numz00_5895 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8035); } 
{ /* Cfa/type.scm 211 */
obj_t BgL_arg1221z00_5896;
{ /* Cfa/type.scm 211 */
int BgL_auxz00_8038;
BgL_auxz00_8038 = 
(int)(((long)1)); 
BgL_arg1221z00_5896 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_8038); } 
{ /* Cfa/type.scm 211 */
long BgL_offsetz00_5900;
{ /* Cfa/type.scm 211 */
long BgL_auxz00_8041;
{ /* Cfa/type.scm 211 */
int BgL_auxz00_8042;
BgL_auxz00_8042 = 
(int)(BgL_objzd2classzd2numz00_5895); 
BgL_auxz00_8041 = 
(long)(BgL_auxz00_8042); } 
BgL_offsetz00_5900 = 
(BgL_auxz00_8041-OBJECT_TYPE); } 
{ /* Cfa/type.scm 211 */
long BgL_modz00_5901;
{ /* Cfa/type.scm 211 */
long BgL_auxz00_8046;
{ /* Cfa/type.scm 211 */
int BgL_auxz00_8047;
BgL_auxz00_8047 = 
(int)(((long)8)); 
BgL_auxz00_8046 = 
(long)(BgL_auxz00_8047); } 
BgL_modz00_5901 = 
(BgL_offsetz00_5900/BgL_auxz00_8046); } 
{ /* Cfa/type.scm 211 */
long BgL_restz00_5903;
{ /* Cfa/type.scm 211 */
long BgL_auxz00_8051;
{ /* Cfa/type.scm 211 */
int BgL_auxz00_8052;
BgL_auxz00_8052 = 
(int)(((long)8)); 
BgL_auxz00_8051 = 
(long)(BgL_auxz00_8052); } 
BgL_restz00_5903 = 
(BgL_offsetz00_5900%BgL_auxz00_8051); } 
{ /* Cfa/type.scm 211 */

{ /* Cfa/type.scm 211 */
obj_t BgL_bucketz00_5905;
{ /* Cfa/type.scm 211 */
int BgL_kz00_5915;
BgL_kz00_5915 = 
(int)(BgL_modz00_5901); 
BgL_bucketz00_5905 = 
VECTOR_REF(BgL_arg1221z00_5896,BgL_kz00_5915); } 
{ /* Cfa/type.scm 211 */
int BgL_kz00_5917;
BgL_kz00_5917 = 
(int)(BgL_restz00_5903); 
BgL_method4890z00_5893 = 
VECTOR_REF(BgL_bucketz00_5905,BgL_kz00_5917); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4890z00_5893)(BgL_method4890z00_5893, 
(obj_t)(BgL_arg5213z00_3986), BEOA); } } 
{ /* Cfa/type.scm 212 */
BgL_nodez00_bglt BgL_arg5214z00_3987;
BgL_arg5214z00_3987 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3982))->BgL_argz00); 
{ /* Cfa/type.scm 212 */
obj_t BgL_method4890z00_5920;
{ /* Cfa/type.scm 212 */
long BgL_objzd2classzd2numz00_5922;
{ /* Cfa/type.scm 212 */
BgL_objectz00_bglt BgL_auxz00_8064;
BgL_auxz00_8064 = 
(BgL_objectz00_bglt)(BgL_arg5214z00_3987); 
BgL_objzd2classzd2numz00_5922 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8064); } 
{ /* Cfa/type.scm 212 */
obj_t BgL_arg1221z00_5923;
{ /* Cfa/type.scm 212 */
int BgL_auxz00_8067;
BgL_auxz00_8067 = 
(int)(((long)1)); 
BgL_arg1221z00_5923 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_8067); } 
{ /* Cfa/type.scm 212 */
long BgL_offsetz00_5927;
{ /* Cfa/type.scm 212 */
long BgL_auxz00_8070;
{ /* Cfa/type.scm 212 */
int BgL_auxz00_8071;
BgL_auxz00_8071 = 
(int)(BgL_objzd2classzd2numz00_5922); 
BgL_auxz00_8070 = 
(long)(BgL_auxz00_8071); } 
BgL_offsetz00_5927 = 
(BgL_auxz00_8070-OBJECT_TYPE); } 
{ /* Cfa/type.scm 212 */
long BgL_modz00_5928;
{ /* Cfa/type.scm 212 */
long BgL_auxz00_8075;
{ /* Cfa/type.scm 212 */
int BgL_auxz00_8076;
BgL_auxz00_8076 = 
(int)(((long)8)); 
BgL_auxz00_8075 = 
(long)(BgL_auxz00_8076); } 
BgL_modz00_5928 = 
(BgL_offsetz00_5927/BgL_auxz00_8075); } 
{ /* Cfa/type.scm 212 */
long BgL_restz00_5930;
{ /* Cfa/type.scm 212 */
long BgL_auxz00_8080;
{ /* Cfa/type.scm 212 */
int BgL_auxz00_8081;
BgL_auxz00_8081 = 
(int)(((long)8)); 
BgL_auxz00_8080 = 
(long)(BgL_auxz00_8081); } 
BgL_restz00_5930 = 
(BgL_offsetz00_5927%BgL_auxz00_8080); } 
{ /* Cfa/type.scm 212 */

{ /* Cfa/type.scm 212 */
obj_t BgL_bucketz00_5932;
{ /* Cfa/type.scm 212 */
int BgL_kz00_5942;
BgL_kz00_5942 = 
(int)(BgL_modz00_5928); 
BgL_bucketz00_5932 = 
VECTOR_REF(BgL_arg1221z00_5923,BgL_kz00_5942); } 
{ /* Cfa/type.scm 212 */
int BgL_kz00_5944;
BgL_kz00_5944 = 
(int)(BgL_restz00_5930); 
BgL_method4890z00_5920 = 
VECTOR_REF(BgL_bucketz00_5932,BgL_kz00_5944); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_5920)(BgL_method4890z00_5920, 
(obj_t)(BgL_arg5214z00_3987), BEOA);} } } } 
}



/* type-node!-app4902 */
obj_t BGl_typezd2nodez12zd2app4902z12zzcfa_typez00(obj_t BgL_envz00_6836, obj_t BgL_nodez00_6837)
{ AN_OBJECT;
{ /* Cfa/type.scm 202 */
{ 
BgL_appz00_bglt BgL_nodez00_3975;
{ /* Cfa/type.scm 203 */
bool_t BgL_auxz00_8093;
BgL_nodez00_3975 = 
(BgL_appz00_bglt)(BgL_nodez00_6837); 
BgL_auxz00_8093 = 
BGl_typezd2nodeza2z12z62zzcfa_typez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_3975))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_8093);} } } 
}



/* type-node!-sequence4900 */
obj_t BGl_typezd2nodez12zd2sequence4900z12zzcfa_typez00(obj_t BgL_envz00_6838, obj_t BgL_nodez00_6839)
{ AN_OBJECT;
{ /* Cfa/type.scm 195 */
{ 
BgL_sequencez00_bglt BgL_nodez00_3968;
{ /* Cfa/type.scm 196 */
bool_t BgL_auxz00_8098;
BgL_nodez00_3968 = 
(BgL_sequencez00_bglt)(BgL_nodez00_6839); 
BgL_auxz00_8098 = 
BGl_typezd2nodeza2z12z62zzcfa_typez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_3968))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_8098);} } } 
}



/* type-node!-closure4898 */
obj_t BGl_typezd2nodez12zd2closure4898z12zzcfa_typez00(obj_t BgL_envz00_6840, obj_t BgL_nodez00_6841)
{ AN_OBJECT;
{ /* Cfa/type.scm 189 */
{ 
BgL_closurez00_bglt BgL_nodez00_3960;
BgL_nodez00_3960 = 
(BgL_closurez00_bglt)(BgL_nodez00_6841); 
{ /* Cfa/type.scm 190 */
obj_t BgL_arg5207z00_3965;
BgL_arg5207z00_3965 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_3960)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5486z00zzcfa_typez00, BGl_string5487z00zzcfa_typez00, BgL_arg5207z00_3965);} } } 
}



/* type-node!-var4896 */
obj_t BGl_typezd2nodez12zd2var4896z12zzcfa_typez00(obj_t BgL_envz00_6842, obj_t BgL_nodez00_6843)
{ AN_OBJECT;
{ /* Cfa/type.scm 181 */
{ 
BgL_varz00_bglt BgL_nodez00_3945;
BgL_nodez00_3945 = 
(BgL_varz00_bglt)(BgL_nodez00_6843); 
{ /* Cfa/type.scm 183 */
bool_t BgL_test5195z00_3949;
{ /* Cfa/type.scm 183 */
bool_t BgL_test5199z00_3953;
{ /* Cfa/type.scm 183 */
obj_t BgL_auxz00_8107;
{ /* Cfa/type.scm 183 */
BgL_variablez00_bglt BgL_auxz00_8108;
BgL_auxz00_8108 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3945))->BgL_variablez00); 
BgL_auxz00_8107 = 
(obj_t)(BgL_auxz00_8108); } 
BgL_test5199z00_3953 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_8107, BGl_globalz00zzast_varz00); } 
if(BgL_test5199z00_3953)
{ /* Cfa/type.scm 183 */
obj_t BgL_auxz00_8118;obj_t BgL_auxz00_8113;
BgL_auxz00_8118 = 
CNST_TABLE_REF(((long)1)); 
{ /* Cfa/type.scm 183 */
BgL_globalz00_bglt BgL_obj1173z00_5854;
{ /* Cfa/type.scm 183 */
BgL_variablez00_bglt BgL_auxz00_8114;
BgL_auxz00_8114 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3945))->BgL_variablez00); 
BgL_obj1173z00_5854 = 
(BgL_globalz00_bglt)(BgL_auxz00_8114); } 
BgL_auxz00_8113 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_5854))->BgL_importz00); } 
BgL_test5195z00_3949 = 
(BgL_auxz00_8113==BgL_auxz00_8118); }  else 
{ /* Cfa/type.scm 183 */
BgL_test5195z00_3949 = ((bool_t)0); } } 
if(BgL_test5195z00_3949)
{ /* Cfa/type.scm 184 */
BgL_valuez00_bglt BgL_arg5196z00_3950;BgL_variablez00_bglt BgL_arg5197z00_3951;
{ /* Cfa/type.scm 184 */
BgL_globalz00_bglt BgL_obj1155z00_5856;
{ /* Cfa/type.scm 184 */
BgL_variablez00_bglt BgL_auxz00_8122;
BgL_auxz00_8122 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3945))->BgL_variablez00); 
BgL_obj1155z00_5856 = 
(BgL_globalz00_bglt)(BgL_auxz00_8122); } 
BgL_arg5196z00_3950 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_5856))->BgL_valuez00); } 
BgL_arg5197z00_3951 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3945))->BgL_variablez00); 
{ /* Cfa/type.scm 184 */
obj_t BgL_method4878z00_5860;
{ /* Cfa/type.scm 184 */
long BgL_objzd2classzd2numz00_5862;
{ /* Cfa/type.scm 184 */
BgL_objectz00_bglt BgL_auxz00_8127;
BgL_auxz00_8127 = 
(BgL_objectz00_bglt)(BgL_arg5196z00_3950); 
BgL_objzd2classzd2numz00_5862 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8127); } 
{ /* Cfa/type.scm 184 */
obj_t BgL_arg1221z00_5863;
{ /* Cfa/type.scm 184 */
int BgL_auxz00_8130;
BgL_auxz00_8130 = 
(int)(((long)1)); 
BgL_arg1221z00_5863 = 
PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_auxz00_8130); } 
{ /* Cfa/type.scm 184 */
long BgL_offsetz00_5867;
{ /* Cfa/type.scm 184 */
long BgL_auxz00_8133;
{ /* Cfa/type.scm 184 */
int BgL_auxz00_8134;
BgL_auxz00_8134 = 
(int)(BgL_objzd2classzd2numz00_5862); 
BgL_auxz00_8133 = 
(long)(BgL_auxz00_8134); } 
BgL_offsetz00_5867 = 
(BgL_auxz00_8133-OBJECT_TYPE); } 
{ /* Cfa/type.scm 184 */
long BgL_modz00_5868;
{ /* Cfa/type.scm 184 */
long BgL_auxz00_8138;
{ /* Cfa/type.scm 184 */
int BgL_auxz00_8139;
BgL_auxz00_8139 = 
(int)(((long)8)); 
BgL_auxz00_8138 = 
(long)(BgL_auxz00_8139); } 
BgL_modz00_5868 = 
(BgL_offsetz00_5867/BgL_auxz00_8138); } 
{ /* Cfa/type.scm 184 */
long BgL_restz00_5870;
{ /* Cfa/type.scm 184 */
long BgL_auxz00_8143;
{ /* Cfa/type.scm 184 */
int BgL_auxz00_8144;
BgL_auxz00_8144 = 
(int)(((long)8)); 
BgL_auxz00_8143 = 
(long)(BgL_auxz00_8144); } 
BgL_restz00_5870 = 
(BgL_offsetz00_5867%BgL_auxz00_8143); } 
{ /* Cfa/type.scm 184 */

{ /* Cfa/type.scm 184 */
obj_t BgL_bucketz00_5872;
{ /* Cfa/type.scm 184 */
int BgL_kz00_5882;
BgL_kz00_5882 = 
(int)(BgL_modz00_5868); 
BgL_bucketz00_5872 = 
VECTOR_REF(BgL_arg1221z00_5863,BgL_kz00_5882); } 
{ /* Cfa/type.scm 184 */
int BgL_kz00_5884;
BgL_kz00_5884 = 
(int)(BgL_restz00_5870); 
BgL_method4878z00_5860 = 
VECTOR_REF(BgL_bucketz00_5872,BgL_kz00_5884); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4878z00_5860)(BgL_method4878z00_5860, 
(obj_t)(BgL_arg5196z00_3950), 
(obj_t)(BgL_arg5197z00_3951), BEOA);} }  else 
{ /* Cfa/type.scm 183 */
return BFALSE;} } } } 
}



/* type-node!-kwote4894 */
obj_t BGl_typezd2nodez12zd2kwote4894z12zzcfa_typez00(obj_t BgL_envz00_6844, obj_t BgL_nodez00_6845)
{ AN_OBJECT;
{ /* Cfa/type.scm 175 */
{ 
BgL_kwotez00_bglt BgL_nodez00_3940;
BgL_nodez00_3940 = 
(BgL_kwotez00_bglt)(BgL_nodez00_6845); 
return BUNSPEC;} } 
}



/* type-node!-atom4892 */
obj_t BGl_typezd2nodez12zd2atom4892z12zzcfa_typez00(obj_t BgL_envz00_6846, obj_t BgL_nodez00_6847)
{ AN_OBJECT;
{ /* Cfa/type.scm 169 */
{ 
BgL_atomz00_bglt BgL_nodez00_3935;
BgL_nodez00_3935 = 
(BgL_atomz00_bglt)(BgL_nodez00_6847); 
return BUNSPEC;} } 
}



/* type-variable!-intern-sfun/Cinfo4888 */
obj_t BGl_typezd2variablez12zd2internzd2sfunzf2Cinfo4888z32zzcfa_typez00(obj_t BgL_envz00_6848, obj_t BgL_valuez00_6849, obj_t BgL_variablez00_6850)
{ AN_OBJECT;
{ /* Cfa/type.scm 132 */
{ 
BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_3929;obj_t BgL_variablez00_3930;
BgL_valuez00_3929 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_valuez00_6849); 
BgL_variablez00_3930 = BgL_variablez00_6850; 
return 
CNST_TABLE_REF(((long)2));} } 
}



/* type-variable!-sexit/Cinfo4886 */
obj_t BGl_typezd2variablez12zd2sexitzf2Cinfo4886ze0zzcfa_typez00(obj_t BgL_envz00_6851, obj_t BgL_valuez00_6852, obj_t BgL_variablez00_6853)
{ AN_OBJECT;
{ /* Cfa/type.scm 122 */
{ 
BgL_sexitzf2cinfozf2_bglt BgL_valuez00_3923;obj_t BgL_variablez00_3924;
BgL_valuez00_3923 = 
(BgL_sexitzf2cinfozf2_bglt)(BgL_valuez00_6852); 
BgL_variablez00_3924 = BgL_variablez00_6853; 
return 
CNST_TABLE_REF(((long)2));} } 
}



/* type-variable!-cvar/Cinfo4884 */
obj_t BGl_typezd2variablez12zd2cvarzf2Cinfo4884ze0zzcfa_typez00(obj_t BgL_envz00_6854, obj_t BgL_valuez00_6855, obj_t BgL_variablez00_6856)
{ AN_OBJECT;
{ /* Cfa/type.scm 115 */
{ 
BgL_cvarzf2cinfozf2_bglt BgL_valuez00_3914;obj_t BgL_variablez00_3915;
BgL_valuez00_3914 = 
(BgL_cvarzf2cinfozf2_bglt)(BgL_valuez00_6855); 
BgL_variablez00_3915 = BgL_variablez00_6856; 
{ /* Cfa/type.scm 116 */
obj_t BgL_arg5188z00_5848;
{ /* Cfa/type.scm 116 */
BgL_approxz00_bglt BgL_auxz00_8163;
{ 
obj_t BgL_auxz00_8164;
{ /* Cfa/type.scm 116 */
BgL_objectz00_bglt BgL_auxz00_8165;
BgL_auxz00_8165 = 
(BgL_objectz00_bglt)(BgL_valuez00_3914); 
BgL_auxz00_8164 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8165); } 
BgL_auxz00_8163 = 
(((BgL_cvarzf2cinfozf2_bglt)CREF(BgL_auxz00_8164))->BgL_approxz00); } 
BgL_arg5188z00_5848 = 
BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_auxz00_8163); } 
return 
BGl_setzd2variablezd2typez12z12zzcfa_typez00(
(BgL_variablez00_bglt)(BgL_variablez00_3915), 
(BgL_typez00_bglt)(BgL_arg5188z00_5848));} } } 
}



/* type-variable!-scnst/Cinfo4882 */
obj_t BGl_typezd2variablez12zd2scnstzf2Cinfo4882ze0zzcfa_typez00(obj_t BgL_envz00_6857, obj_t BgL_valuez00_6858, obj_t BgL_variablez00_6859)
{ AN_OBJECT;
{ /* Cfa/type.scm 109 */
{ 
BgL_scnstzf2cinfozf2_bglt BgL_valuez00_3908;obj_t BgL_variablez00_3909;
BgL_valuez00_3908 = 
(BgL_scnstzf2cinfozf2_bglt)(BgL_valuez00_6858); 
BgL_variablez00_3909 = BgL_variablez00_6859; 
return 
CNST_TABLE_REF(((long)2));} } 
}



/* type-variable!-svar/Cinfo4880 */
obj_t BGl_typezd2variablez12zd2svarzf2Cinfo4880ze0zzcfa_typez00(obj_t BgL_envz00_6860, obj_t BgL_valuez00_6861, obj_t BgL_variablez00_6862)
{ AN_OBJECT;
{ /* Cfa/type.scm 102 */
{ 
BgL_svarzf2cinfozf2_bglt BgL_valuez00_3899;obj_t BgL_variablez00_3900;
BgL_valuez00_3899 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_valuez00_6861); 
BgL_variablez00_3900 = BgL_variablez00_6862; 
{ /* Cfa/type.scm 103 */
obj_t BgL_arg5184z00_5844;
{ /* Cfa/type.scm 103 */
BgL_approxz00_bglt BgL_auxz00_8176;
{ 
obj_t BgL_auxz00_8177;
{ /* Cfa/type.scm 103 */
BgL_objectz00_bglt BgL_auxz00_8178;
BgL_auxz00_8178 = 
(BgL_objectz00_bglt)(BgL_valuez00_3899); 
BgL_auxz00_8177 = 
BGL_OBJECT_WIDENING(BgL_auxz00_8178); } 
BgL_auxz00_8176 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_8177))->BgL_approxz00); } 
BgL_arg5184z00_5844 = 
BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_auxz00_8176); } 
return 
BGl_setzd2variablezd2typez12z12zzcfa_typez00(
(BgL_variablez00_bglt)(BgL_variablez00_3900), 
(BgL_typez00_bglt)(BgL_arg5184z00_5844));} } } 
}



/* type-variable! */
obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_4, BgL_variablez00_bglt BgL_variablez00_5)
{ AN_OBJECT;
{ /* Cfa/type.scm 93 */
{ /* Cfa/type.scm 93 */
obj_t BgL_method4878z00_6707;
{ /* Cfa/type.scm 93 */
long BgL_objzd2classzd2numz00_6709;
{ /* Cfa/type.scm 93 */
BgL_objectz00_bglt BgL_auxz00_8187;
BgL_auxz00_8187 = 
(BgL_objectz00_bglt)(BgL_valuez00_4); 
BgL_objzd2classzd2numz00_6709 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8187); } 
{ /* Cfa/type.scm 93 */
obj_t BgL_arg1221z00_6710;
{ /* Cfa/type.scm 93 */
int BgL_auxz00_8190;
BgL_auxz00_8190 = 
(int)(((long)1)); 
BgL_arg1221z00_6710 = 
PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00, BgL_auxz00_8190); } 
{ /* Cfa/type.scm 93 */
long BgL_offsetz00_6714;
{ /* Cfa/type.scm 93 */
long BgL_auxz00_8193;
{ /* Cfa/type.scm 93 */
int BgL_auxz00_8194;
BgL_auxz00_8194 = 
(int)(BgL_objzd2classzd2numz00_6709); 
BgL_auxz00_8193 = 
(long)(BgL_auxz00_8194); } 
BgL_offsetz00_6714 = 
(BgL_auxz00_8193-OBJECT_TYPE); } 
{ /* Cfa/type.scm 93 */
long BgL_modz00_6715;
{ /* Cfa/type.scm 93 */
long BgL_auxz00_8198;
{ /* Cfa/type.scm 93 */
int BgL_auxz00_8199;
BgL_auxz00_8199 = 
(int)(((long)8)); 
BgL_auxz00_8198 = 
(long)(BgL_auxz00_8199); } 
BgL_modz00_6715 = 
(BgL_offsetz00_6714/BgL_auxz00_8198); } 
{ /* Cfa/type.scm 93 */
long BgL_restz00_6717;
{ /* Cfa/type.scm 93 */
long BgL_auxz00_8203;
{ /* Cfa/type.scm 93 */
int BgL_auxz00_8204;
BgL_auxz00_8204 = 
(int)(((long)8)); 
BgL_auxz00_8203 = 
(long)(BgL_auxz00_8204); } 
BgL_restz00_6717 = 
(BgL_offsetz00_6714%BgL_auxz00_8203); } 
{ /* Cfa/type.scm 93 */

{ /* Cfa/type.scm 93 */
obj_t BgL_bucketz00_6719;
{ /* Cfa/type.scm 93 */
int BgL_kz00_6729;
BgL_kz00_6729 = 
(int)(BgL_modz00_6715); 
BgL_bucketz00_6719 = 
VECTOR_REF(BgL_arg1221z00_6710,BgL_kz00_6729); } 
{ /* Cfa/type.scm 93 */
int BgL_kz00_6731;
BgL_kz00_6731 = 
(int)(BgL_restz00_6717); 
BgL_method4878z00_6707 = 
VECTOR_REF(BgL_bucketz00_6719,BgL_kz00_6731); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4878z00_6707)(BgL_method4878z00_6707, 
(obj_t)(BgL_valuez00_4), 
(obj_t)(BgL_variablez00_5), BEOA);} } 
}



/* _type-variable! */
obj_t BGl__typezd2variablez12zc0zzcfa_typez00(obj_t BgL_envz00_6767, obj_t BgL_valuez00_6768, obj_t BgL_variablez00_6769)
{ AN_OBJECT;
{ /* Cfa/type.scm 93 */
return 
BGl_typezd2variablez12zc0zzcfa_typez00(
(BgL_valuez00_bglt)(BgL_valuez00_6768), 
(BgL_variablez00_bglt)(BgL_variablez00_6769));} 
}



/* type-variable!-default4877 */
obj_t BGl_typezd2variablez12zd2default4877z12zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_6, BgL_variablez00_bglt BgL_variablez00_7)
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
{ /* Cfa/type.scm 94 */
bool_t BgL_test5273z00_6733;
{ /* Cfa/type.scm 94 */
obj_t BgL_auxz00_8219;
{ /* Cfa/type.scm 94 */
BgL_typez00_bglt BgL_auxz00_8220;
BgL_auxz00_8220 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_7))->BgL_typez00); 
BgL_auxz00_8219 = 
(obj_t)(BgL_auxz00_8220); } 
BgL_test5273z00_6733 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_8219, BGl_typez00zztype_typez00); } 
if(BgL_test5273z00_6733)
{ /* Cfa/type.scm 94 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Cfa/type.scm 94 */
BgL_typez00_bglt BgL_arg5274z00_6734;
BgL_arg5274z00_6734 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
return 
BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_7, BgL_arg5274z00_6734);} } } 
}



/* _type-variable!-default4877 */
obj_t BGl__typezd2variablez12zd2default4877z12zzcfa_typez00(obj_t BgL_envz00_6863, obj_t BgL_valuez00_6864, obj_t BgL_variablez00_6865)
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
return 
BGl_typezd2variablez12zd2default4877z12zzcfa_typez00(
(BgL_valuez00_bglt)(BgL_valuez00_6864), 
(BgL_variablez00_bglt)(BgL_variablez00_6865));} 
}



/* type-node! */
obj_t BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt BgL_nodez00_20)
{ AN_OBJECT;
{ /* Cfa/type.scm 164 */
{ /* Cfa/type.scm 164 */
obj_t BgL_method4890z00_6737;
{ /* Cfa/type.scm 164 */
long BgL_objzd2classzd2numz00_6739;
{ /* Cfa/type.scm 164 */
BgL_objectz00_bglt BgL_auxz00_8231;
BgL_auxz00_8231 = 
(BgL_objectz00_bglt)(BgL_nodez00_20); 
BgL_objzd2classzd2numz00_6739 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8231); } 
{ /* Cfa/type.scm 164 */
obj_t BgL_arg1221z00_6740;
{ /* Cfa/type.scm 164 */
int BgL_auxz00_8234;
BgL_auxz00_8234 = 
(int)(((long)1)); 
BgL_arg1221z00_6740 = 
PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_auxz00_8234); } 
{ /* Cfa/type.scm 164 */
long BgL_offsetz00_6744;
{ /* Cfa/type.scm 164 */
long BgL_auxz00_8237;
{ /* Cfa/type.scm 164 */
int BgL_auxz00_8238;
BgL_auxz00_8238 = 
(int)(BgL_objzd2classzd2numz00_6739); 
BgL_auxz00_8237 = 
(long)(BgL_auxz00_8238); } 
BgL_offsetz00_6744 = 
(BgL_auxz00_8237-OBJECT_TYPE); } 
{ /* Cfa/type.scm 164 */
long BgL_modz00_6745;
{ /* Cfa/type.scm 164 */
long BgL_auxz00_8242;
{ /* Cfa/type.scm 164 */
int BgL_auxz00_8243;
BgL_auxz00_8243 = 
(int)(((long)8)); 
BgL_auxz00_8242 = 
(long)(BgL_auxz00_8243); } 
BgL_modz00_6745 = 
(BgL_offsetz00_6744/BgL_auxz00_8242); } 
{ /* Cfa/type.scm 164 */
long BgL_restz00_6747;
{ /* Cfa/type.scm 164 */
long BgL_auxz00_8247;
{ /* Cfa/type.scm 164 */
int BgL_auxz00_8248;
BgL_auxz00_8248 = 
(int)(((long)8)); 
BgL_auxz00_8247 = 
(long)(BgL_auxz00_8248); } 
BgL_restz00_6747 = 
(BgL_offsetz00_6744%BgL_auxz00_8247); } 
{ /* Cfa/type.scm 164 */

{ /* Cfa/type.scm 164 */
obj_t BgL_bucketz00_6749;
{ /* Cfa/type.scm 164 */
int BgL_kz00_6759;
BgL_kz00_6759 = 
(int)(BgL_modz00_6745); 
BgL_bucketz00_6749 = 
VECTOR_REF(BgL_arg1221z00_6740,BgL_kz00_6759); } 
{ /* Cfa/type.scm 164 */
int BgL_kz00_6761;
BgL_kz00_6761 = 
(int)(BgL_restz00_6747); 
BgL_method4890z00_6737 = 
VECTOR_REF(BgL_bucketz00_6749,BgL_kz00_6761); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4890z00_6737)(BgL_method4890z00_6737, 
(obj_t)(BgL_nodez00_20), BEOA);} } 
}



/* _type-node! */
obj_t BGl__typezd2nodez12zc0zzcfa_typez00(obj_t BgL_envz00_6770, obj_t BgL_nodez00_6771)
{ AN_OBJECT;
{ /* Cfa/type.scm 164 */
return 
BGl_typezd2nodez12zc0zzcfa_typez00(
(BgL_nodez00_bglt)(BgL_nodez00_6771));} 
}



/* type-node!-default4889 */
obj_t BGl_typezd2nodez12zd2default4889z12zzcfa_typez00(BgL_nodez00_bglt BgL_nodez00_21)
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
{ 
obj_t BgL_auxz00_8263;obj_t BgL_auxz00_8261;
BgL_auxz00_8263 = 
(obj_t)(BgL_nodez00_21); 
BgL_auxz00_8261 = 
CNST_TABLE_REF(((long)3)); 
FAILURE(BgL_auxz00_8261,BGl_string5488z00zzcfa_typez00,BgL_auxz00_8263);} } 
}



/* _type-node!-default4889 */
obj_t BGl__typezd2nodez12zd2default4889z12zzcfa_typez00(obj_t BgL_envz00_6866, obj_t BgL_nodez00_6867)
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
return 
BGl_typezd2nodez12zd2default4889z12zzcfa_typez00(
(BgL_nodez00_bglt)(BgL_nodez00_6867));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
{ AN_OBJECT;
{ /* Cfa/type.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_type"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_type"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_type"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzcfa_setz00(((long)17920), "cfa_type"); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)22038), "cfa_type"); 
return 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "cfa_type");} 
}

