/*===========================================================================*/
/*   (Cnst/alloc.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzcnst_allocz00();
extern obj_t BGl_za2consza2z00zzcnst_cachez00;
static obj_t BGl__cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern bool_t BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t);
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t, obj_t);
static obj_t BGl__getzd2cnstzd2tablez00zzcnst_allocz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t ucs2_string_to_utf8_string(obj_t);
static obj_t BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC;
static obj_t BGl_cnstzd2listzd2zzcnst_allocz00(obj_t, obj_t);
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_za2symbolza2z00zztype_cachez00;
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl__cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
static obj_t BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BUNSPEC;
static obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00();
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__stopzd2cnstzd2allocz12z12zzcnst_allocz00(obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcnst_allocz00();
static obj_t BGl__getzd2cnstzd2sexpz00zzcnst_allocz00(obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
extern obj_t BGl_za2stringzd2ze3symbolza2z31zzcnst_cachez00;
static obj_t BGl__cnstzd2tablezd2idz00zzcnst_allocz00(obj_t);
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t, obj_t);
extern obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00();
static obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00();
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t, obj_t);
static obj_t BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
static obj_t BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
extern obj_t BGl_za2ucs2stringza2z00zztype_cachez00;
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
extern obj_t BGl_za2bnilza2z00zztype_cachez00;
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl__cnstzd2alloczd2listz00zzcnst_allocz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2bstringza2z00zztype_cachez00;
static obj_t BGl_toplevelzd2initzd2zzcnst_allocz00();
static obj_t BGl__getzd2cnstzd2setz00zzcnst_allocz00(obj_t);
extern obj_t BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_za2keywordza2z00zztype_cachez00;
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
extern obj_t BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00;
static obj_t BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BUNSPEC;
static obj_t BGl__cnstzd2alloczd2procedurez00zzcnst_allocz00(obj_t, obj_t, obj_t);
static obj_t BGl__cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t, obj_t, obj_t);
static obj_t BGl__cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_za2vectorza2z00zztype_cachez00;
extern obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00();
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
static obj_t BGl__cnstzd2alloczd2realz00zzcnst_allocz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
static obj_t BGl__cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
static obj_t BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_za2stringza2z00zztype_cachez00;
extern obj_t BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00;
static obj_t BGl_loopz00zzcnst_allocz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static long BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00();
extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
static obj_t BGl__cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
extern BgL_globalz00_bglt BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00();
extern obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t, obj_t);
static obj_t BGl__startzd2cnstzd2allocz12z12zzcnst_allocz00(obj_t);
extern obj_t BGl_za2stringzd2ze3keywordza2z31zzcnst_cachez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
static BgL_appz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t, obj_t);
static obj_t BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzcnst_allocz00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t, obj_t);
static obj_t BGl__getzd2cnstzd2offsetz00zzcnst_allocz00(obj_t);
extern obj_t BGl_za2pairza2z00zztype_cachez00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00();
static obj_t BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_getzd2cnstzd2offsetzd2envzd2zzcnst_allocz00, BgL_bgl__getza7d2cnstza7d2offsetza700za7za7cnst_allocza7003436z00, BGl__getzd2cnstzd2offsetz00zzcnst_allocz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2stringzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2stringza700za7za7cnst_allocza7003437z00, BGl__cnstzd2alloczd2stringz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2procedurezd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2procedureza700za7za7cnst_allocza7003438z00, BGl__cnstzd2alloczd2procedurez00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2ucs2zd2stringzd2envz00zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2ucs2za7d2stringza7d2za7za7cnst_allocza7003439za7, BGl__cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2cnstzd2setzd2envzd2zzcnst_allocz00, BgL_bgl__getza7d2cnstza7d2setza700za7za7cnst_allocza7003440z00, BGl__getzd2cnstzd2setz00zzcnst_allocz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2cnstzd2tablezd2envzd2zzcnst_allocz00, BgL_bgl__getza7d2cnstza7d2tableza700za7za7cnst_allocza7003441z00, BGl__getzd2cnstzd2tablez00zzcnst_allocz00, 0L, 0 );
DEFINE_STRING( BGl_string3431z00zzcnst_allocz00, BgL_bgl_string3431za700za7za7cnst_allocza7003442z00, "get-tvector-descriptor tvector-descr-set! stvector tvector tvec var vector cnst-list pair list sreal real sfun procedure proc a-keyword keyword a-symbol symbol lib @ set! an-ucs2-string ucs2string cnst-info sstring bstring string static now cnst-vector cnst* __cnsts_table ", 273 );
DEFINE_STRING( BGl_string3430z00zzcnst_allocz00, BgL_bgl_string3430za700za7za7cnst_allocza7003443z00, "Unimplementable until bootstrap", 31 );
DEFINE_STRING( BGl_string3429z00zzcnst_allocz00, BgL_bgl_string3429za700za7za7cnst_allocza7003444z00, "read-alloc-tvector", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2keywordzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2keywordza700za7za7cnst_allocza7003445z00, BGl__cnstzd2alloczd2keywordz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2symbolzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2symbolza700za7za7cnst_allocza7003446z00, BGl__cnstzd2alloczd2symbolz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_bgl__startza7d2cnstza7d2allocza712za712za7za7cnst_allocza7003447za7, BGl__startzd2cnstzd2allocz12z12zzcnst_allocz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00, BgL_bgl__stopza7d2cnstza7d2allocza712za712za7za7cnst_allocza7003448za7, BGl__stopzd2cnstzd2allocz12z12zzcnst_allocz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2tablezd2idzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2tableza7d2idza700za7za7cnst_allocza7003449z00, BGl__cnstzd2tablezd2idz00zzcnst_allocz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2vectorzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2vectorza700za7za7cnst_allocza7003450z00, BGl__cnstzd2alloczd2vectorz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2listzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2listza700za7za7cnst_allocza7003451z00, BGl__cnstzd2alloczd2listz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2realzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2realza700za7za7cnst_allocza7003452z00, BGl__cnstzd2alloczd2realz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_cnstzd2alloczd2tvectorzd2envzd2zzcnst_allocz00, BgL_bgl__cnstza7d2allocza7d2tvectorza700za7za7cnst_allocza7003453z00, BGl__cnstzd2alloczd2tvectorz00zzcnst_allocz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2cnstzd2sexpzd2envzd2zzcnst_allocz00, BgL_bgl__getza7d2cnstza7d2sexpza700za7za7cnst_allocza7003454z00, BGl__getzd2cnstzd2sexpz00zzcnst_allocz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long BgL_checksumz00_4207, char * BgL_fromz00_4208)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcnst_allocz00))
{ 
BGl_requirezd2initializa7ationz75zzcnst_allocz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcnst_allocz00(); 
BGl_cnstzd2initzd2zzcnst_allocz00(); 
BGl_importedzd2moduleszd2initz00zzcnst_allocz00(); 
BGl_toplevelzd2initzd2zzcnst_allocz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "cnst_alloc"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 15 */
{ /* Cnst/alloc.scm 15 */
obj_t BgL_cportz00_4200;
BgL_cportz00_4200 = 
open_input_string(BGl_string3431z00zzcnst_allocz00); 
{ 
long BgL_iz00_4201;
BgL_iz00_4201 = ((long)32); 
BgL_loopz00_4202:
if(
(BgL_iz00_4201==((long)-1)))
{ /* Cnst/alloc.scm 15 */
return BUNSPEC;}  else 
{ /* Cnst/alloc.scm 15 */
{ /* Cnst/alloc.scm 15 */
obj_t BgL_arg3433z00_4204;
{ /* Cnst/alloc.scm 15 */
obj_t BgL_list3434z00_4205;
BgL_list3434z00_4205 = 
MAKE_PAIR(BgL_cportz00_4200, BNIL); 
BgL_arg3433z00_4204 = 
BGl_readz00zz__readerz00(BgL_list3434z00_4205); } 
{ /* Cnst/alloc.scm 15 */
int BgL_auxz00_4228;
BgL_auxz00_4228 = 
(int)(BgL_iz00_4201); 
CNST_TABLE_SET(BgL_auxz00_4228, BgL_arg3433z00_4204); } } 
{ 
long BgL_iz00_4231;
{ /* Cnst/alloc.scm 15 */
int BgL_auxz00_4232;
{ /* Cnst/alloc.scm 15 */
long BgL_auxz00_4233;
BgL_auxz00_4233 = 
(BgL_iz00_4201-((long)1)); 
BgL_auxz00_4232 = 
(int)(BgL_auxz00_4233); } 
BgL_iz00_4231 = 
(long)(BgL_auxz00_4232); } 
BgL_iz00_4201 = BgL_iz00_4231; 
goto BgL_loopz00_4202;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 15 */
BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = ((long)-1); 
BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2listzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BNIL; 
return ( 
BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC, BUNSPEC) ;} 
}



/* get-cnst-offset */
obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 66 */
return 
BINT(BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);} 
}



/* _get-cnst-offset */
obj_t BGl__getzd2cnstzd2offsetz00zzcnst_allocz00(obj_t BgL_envz00_4161)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 66 */
return 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();} 
}



/* get-cnst-set */
obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 72 */
return BGl_za2globalzd2setza2zd2zzcnst_allocz00;} 
}



/* _get-cnst-set */
obj_t BGl__getzd2cnstzd2setz00zzcnst_allocz00(obj_t BgL_envz00_4162)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 72 */
return 
BGl_getzd2cnstzd2setz00zzcnst_allocz00();} 
}



/* get-cnst-table */
obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 78 */
return BGl_za2cnstzd2tableza2zd2zzcnst_allocz00;} 
}



/* _get-cnst-table */
obj_t BGl__getzd2cnstzd2tablez00zzcnst_allocz00(obj_t BgL_envz00_4163)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 78 */
return 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00();} 
}



/* get-cnst-sexp */
obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 84 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);} 
}



/* _get-cnst-sexp */
obj_t BGl__getzd2cnstzd2sexpz00zzcnst_allocz00(obj_t BgL_envz00_4164)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 84 */
return 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();} 
}



/* cnst-table-id */
obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 122 */
return 
CNST_TABLE_REF(((long)0));} 
}



/* _cnst-table-id */
obj_t BGl__cnstzd2tablezd2idz00zzcnst_allocz00(obj_t BgL_envz00_4165)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 122 */
return 
BGl_cnstzd2tablezd2idz00zzcnst_allocz00();} 
}



/* typed-cnst-table-id */
obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 128 */
return 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)));} 
}



/* start-cnst-alloc! */
obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 134 */
BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = 
BINT(((long)0)); 
{ /* Cnst/alloc.scm 140 */
obj_t BgL_arg2824z00_1380;obj_t BgL_arg2825z00_1381;obj_t BgL_arg2826z00_1382;
BgL_arg2824z00_1380 = 
BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00(); 
BgL_arg2825z00_1381 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2826z00_1382 = 
CNST_TABLE_REF(((long)3)); 
{ /* Cnst/alloc.scm 140 */
BgL_globalz00_bglt BgL_auxz00_4252;
BgL_auxz00_4252 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg2824z00_1380, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2825z00_1381, BgL_arg2826z00_1382); 
BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = 
(obj_t)(BgL_auxz00_4252); } } 
{ /* Cnst/alloc.scm 147 */
bool_t BgL_test2827z00_1383;
{ /* Cnst/alloc.scm 147 */
long BgL_n1z00_2307;
BgL_n1z00_2307 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2827z00_1383 = 
(BgL_n1z00_2307>=((long)3)); } 
if(BgL_test2827z00_1383)
{ /* Cnst/alloc.scm 148 */
BgL_globalz00_bglt BgL_obj1265z00_2309;obj_t BgL_val1264z00_2310;
BgL_obj1265z00_2309 = 
(BgL_globalz00_bglt)(BGl_za2cnstzd2tableza2zd2zzcnst_allocz00); 
BgL_val1264z00_2310 = 
CNST_TABLE_REF(((long)4)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1265z00_2309))->BgL_importz00) = ((obj_t)BgL_val1264z00_2310), BUNSPEC); }  else 
{ /* Cnst/alloc.scm 147 */BFALSE; } } 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = ((long)0); 
BGl_za2stringzd2envza2zd2zzcnst_allocz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL; 
BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
return BTRUE;} 
}



/* _start-cnst-alloc! */
obj_t BGl__startzd2cnstzd2allocz12z12zzcnst_allocz00(obj_t BgL_envz00_4166)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 134 */
return 
BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00();} 
}



/* stop-cnst-alloc! */
obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 160 */
BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = BGl_za2oldzd2debugza2zd2zzcnst_allocz00; 
BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC; 
return BTRUE;} 
}



/* _stop-cnst-alloc! */
obj_t BGl__stopzd2cnstzd2allocz12z12zzcnst_allocz00(obj_t BgL_envz00_4167)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 160 */
return 
BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00();} 
}



/* make-cnst-table-ref */
BgL_appz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t BgL_offsetz00_33, obj_t BgL_locz00_34)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 174 */
{ /* Cnst/alloc.scm 176 */
obj_t BgL_arg2832z00_1388;BgL_typez00_bglt BgL_arg2833z00_1389;BgL_varz00_bglt BgL_arg2835z00_1391;obj_t BgL_arg2836z00_1392;
BgL_arg2832z00_1388 = BgL_locz00_34; 
BgL_arg2833z00_1389 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 179 */
obj_t BgL_arg2837z00_1393;BgL_typez00_bglt BgL_arg2838z00_1394;obj_t BgL_arg2839z00_1395;
BgL_arg2837z00_1393 = BgL_locz00_34; 
{ /* Cnst/alloc.scm 180 */
BgL_variablez00_bglt BgL_obj1190z00_2311;
BgL_obj1190z00_2311 = 
(BgL_variablez00_bglt)(BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00); 
BgL_arg2838z00_1394 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2311))->BgL_typez00); } 
BgL_arg2839z00_1395 = BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00; 
{ /* Cnst/alloc.scm 178 */
BgL_varz00_bglt BgL_res3275z00_2330;
{ /* Cnst/alloc.scm 178 */
BgL_variablez00_bglt BgL_variable1724z00_2314;
BgL_variable1724z00_2314 = 
(BgL_variablez00_bglt)(BgL_arg2839z00_1395); 
{ /* Cnst/alloc.scm 178 */
BgL_varz00_bglt BgL_new1725z00_2315;
{ /* Cnst/alloc.scm 178 */
BgL_varz00_bglt BgL_res3273z00_2321;
{ /* Cnst/alloc.scm 178 */
BgL_varz00_bglt BgL_new1727z00_2316;
BgL_new1727z00_2316 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 178 */
long BgL_arg3249z00_2317;
BgL_arg3249z00_2317 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4273;
BgL_auxz00_4273 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2316); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4273, BgL_arg3249z00_2317); } } 
{ /* Cnst/alloc.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4276;
BgL_auxz00_4276 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2316); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4276, BFALSE); } 
{ /* Cnst/alloc.scm 178 */
obj_t BgL_auxz00_4279;
BgL_auxz00_4279 = 
(obj_t)(BgL_new1727z00_2316); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4279); } BUNSPEC; 
BgL_res3273z00_2321 = BgL_new1727z00_2316; } 
BgL_new1725z00_2315 = BgL_res3273z00_2321; } 
{ /* Cnst/alloc.scm 178 */
BgL_varz00_bglt BgL_res3274z00_2329;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2315))->BgL_locz00) = ((obj_t)BgL_arg2837z00_1393), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2315))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2838z00_1394), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2315))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2314), BUNSPEC); 
BgL_res3274z00_2329 = BgL_new1725z00_2315; BgL_res3274z00_2329; } 
BgL_res3275z00_2330 = BgL_new1725z00_2315; } } 
BgL_arg2835z00_1391 = BgL_res3275z00_2330; } } 
{ /* Cnst/alloc.scm 183 */
BgL_atomz00_bglt BgL_arg2840z00_1396;
{ /* Cnst/alloc.scm 183 */
obj_t BgL_arg2842z00_1398;obj_t BgL_arg2843z00_1399;obj_t BgL_arg2844z00_1400;
BgL_arg2842z00_1398 = BgL_locz00_34; 
BgL_arg2843z00_1399 = BGl_za2intza2z00zztype_cachez00; 
BgL_arg2844z00_1400 = BgL_offsetz00_33; 
{ /* Cnst/alloc.scm 182 */
BgL_atomz00_bglt BgL_res3278z00_2349;
{ /* Cnst/alloc.scm 182 */
BgL_typez00_bglt BgL_type1701z00_2332;
BgL_type1701z00_2332 = 
(BgL_typez00_bglt)(BgL_arg2843z00_1399); 
{ /* Cnst/alloc.scm 182 */
BgL_atomz00_bglt BgL_new1703z00_2334;
{ /* Cnst/alloc.scm 182 */
BgL_atomz00_bglt BgL_res3276z00_2340;
{ /* Cnst/alloc.scm 182 */
BgL_atomz00_bglt BgL_new1705z00_2335;
BgL_new1705z00_2335 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 182 */
long BgL_arg3250z00_2336;
BgL_arg3250z00_2336 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4288;
BgL_auxz00_4288 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2335); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4288, BgL_arg3250z00_2336); } } 
{ /* Cnst/alloc.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4291;
BgL_auxz00_4291 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2335); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4291, BFALSE); } 
{ /* Cnst/alloc.scm 182 */
obj_t BgL_auxz00_4294;
BgL_auxz00_4294 = 
(obj_t)(BgL_new1705z00_2335); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4294); } BUNSPEC; 
BgL_res3276z00_2340 = BgL_new1705z00_2335; } 
BgL_new1703z00_2334 = BgL_res3276z00_2340; } 
{ /* Cnst/alloc.scm 182 */
BgL_atomz00_bglt BgL_res3277z00_2348;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2334))->BgL_locz00) = ((obj_t)BgL_arg2842z00_1398), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2334))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_2332), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2334))->BgL_valuez00) = ((obj_t)BgL_arg2844z00_1400), BUNSPEC); 
BgL_res3277z00_2348 = BgL_new1703z00_2334; BgL_res3277z00_2348; } 
BgL_res3278z00_2349 = BgL_new1703z00_2334; } } 
BgL_arg2840z00_1396 = BgL_res3278z00_2349; } } 
{ /* Cnst/alloc.scm 182 */
obj_t BgL_list2841z00_1397;
{ /* Cnst/alloc.scm 182 */
obj_t BgL_auxz00_4300;
BgL_auxz00_4300 = 
(obj_t)(BgL_arg2840z00_1396); 
BgL_list2841z00_1397 = 
MAKE_PAIR(BgL_auxz00_4300, BNIL); } 
BgL_arg2836z00_1392 = BgL_list2841z00_1397; } } 
{ /* Cnst/alloc.scm 175 */
BgL_appz00_bglt BgL_res3282z00_2379;
{ /* Cnst/alloc.scm 175 */
obj_t BgL_key1836z00_2355;
BgL_key1836z00_2355 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 175 */
BgL_appz00_bglt BgL_new1839z00_2358;
{ /* Cnst/alloc.scm 175 */
BgL_appz00_bglt BgL_res3280z00_2364;
{ /* Cnst/alloc.scm 175 */
BgL_appz00_bglt BgL_new1841z00_2359;
BgL_new1841z00_2359 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 175 */
long BgL_arg3245z00_2360;
BgL_arg3245z00_2360 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 175 */
BgL_objectz00_bglt BgL_auxz00_4306;
BgL_auxz00_4306 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2359); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4306, BgL_arg3245z00_2360); } } 
{ /* Cnst/alloc.scm 175 */
BgL_objectz00_bglt BgL_auxz00_4309;
BgL_auxz00_4309 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2359); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4309, BFALSE); } 
{ /* Cnst/alloc.scm 175 */
obj_t BgL_auxz00_4312;
BgL_auxz00_4312 = 
(obj_t)(BgL_new1841z00_2359); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4312); } BUNSPEC; 
BgL_res3280z00_2364 = BgL_new1841z00_2359; } 
BgL_new1839z00_2358 = BgL_res3280z00_2364; } 
{ /* Cnst/alloc.scm 175 */
BgL_appz00_bglt BgL_res3281z00_2378;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_locz00) = ((obj_t)BgL_arg2832z00_1388), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2833z00_1389), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_keyz00) = ((obj_t)BgL_key1836z00_2355), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2835z00_1391), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2358))->BgL_argsz00) = ((obj_t)BgL_arg2836z00_1392), BUNSPEC); 
BgL_res3281z00_2378 = BgL_new1839z00_2358; BgL_res3281z00_2378; } 
BgL_res3282z00_2379 = BgL_new1839z00_2358; } } 
return BgL_res3282z00_2379;} } } 
}



/* cnst-alloc-string */
BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t BgL_stringz00_35, obj_t BgL_locz00_36)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 194 */
{ 

{ /* Cnst/alloc.scm 209 */
obj_t BgL_oldz00_1402;
{ /* Cnst/alloc.scm 209 */
obj_t BgL__andtest_2748z00_1406;
BgL__andtest_2748z00_1406 = BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00; 
if(
CBOOL(BgL__andtest_2748z00_1406))
{ /* Cnst/alloc.scm 209 */
BgL_oldz00_1402 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_35); }  else 
{ /* Cnst/alloc.scm 209 */
BgL_oldz00_1402 = BFALSE; } } 
if(
CBOOL(BgL_oldz00_1402))
{ /* Cnst/alloc.scm 211 */
{ /* Cnst/alloc.scm 213 */
obj_t BgL_arg2845z00_1403;obj_t BgL_arg2846z00_1404;
BgL_arg2845z00_1403 = BgL_locz00_36; 
BgL_arg2846z00_1404 = BGl_za2bstringza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 212 */
BgL_varz00_bglt BgL_res3285z00_2401;
{ /* Cnst/alloc.scm 212 */
BgL_typez00_bglt BgL_type1723z00_2384;BgL_variablez00_bglt BgL_variable1724z00_2385;
BgL_type1723z00_2384 = 
(BgL_typez00_bglt)(BgL_arg2846z00_1404); 
{ /* Cnst/alloc.scm 215 */
obj_t BgL_auxz00_4327;
{ /* Cnst/alloc.scm 215 */
int BgL_auxz00_4328;
BgL_auxz00_4328 = 
(int)(((long)1)); 
BgL_auxz00_4327 = 
STRUCT_REF(BgL_oldz00_1402, BgL_auxz00_4328); } 
BgL_variable1724z00_2385 = 
(BgL_variablez00_bglt)(BgL_auxz00_4327); } 
{ /* Cnst/alloc.scm 212 */
BgL_varz00_bglt BgL_new1725z00_2386;
{ /* Cnst/alloc.scm 212 */
BgL_varz00_bglt BgL_res3283z00_2392;
{ /* Cnst/alloc.scm 212 */
BgL_varz00_bglt BgL_new1727z00_2387;
BgL_new1727z00_2387 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 212 */
long BgL_arg3249z00_2388;
BgL_arg3249z00_2388 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 212 */
BgL_objectz00_bglt BgL_auxz00_4334;
BgL_auxz00_4334 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2387); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4334, BgL_arg3249z00_2388); } } 
{ /* Cnst/alloc.scm 212 */
BgL_objectz00_bglt BgL_auxz00_4337;
BgL_auxz00_4337 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2387); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4337, BFALSE); } 
{ /* Cnst/alloc.scm 212 */
obj_t BgL_auxz00_4340;
BgL_auxz00_4340 = 
(obj_t)(BgL_new1727z00_2387); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4340); } BUNSPEC; 
BgL_res3283z00_2392 = BgL_new1727z00_2387; } 
BgL_new1725z00_2386 = BgL_res3283z00_2392; } 
{ /* Cnst/alloc.scm 212 */
BgL_varz00_bglt BgL_res3284z00_2400;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2386))->BgL_locz00) = ((obj_t)BgL_arg2845z00_1403), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2386))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1723z00_2384), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2386))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2385), BUNSPEC); 
BgL_res3284z00_2400 = BgL_new1725z00_2386; BgL_res3284z00_2400; } 
BgL_res3285z00_2401 = BgL_new1725z00_2386; } } 
return 
(BgL_nodez00_bglt)(BgL_res3285z00_2401);} } }  else 
{ /* Cnst/alloc.scm 211 */
{ /* Cnst/alloc.scm 217 */
BgL_varz00_bglt BgL_auxz00_4347;
{ /* Cnst/alloc.scm 197 */
BgL_globalz00_bglt BgL_varz00_1408;
{ /* Cnst/alloc.scm 197 */
obj_t BgL_arg2854z00_1413;obj_t BgL_arg2855z00_1414;
{ /* Cnst/alloc.scm 197 */
obj_t BgL_arg2856z00_1415;
BgL_arg2856z00_1415 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_arg2854z00_1413 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2856z00_1415, 
CNST_TABLE_REF(((long)6))); } 
BgL_arg2855z00_1414 = 
CNST_TABLE_REF(((long)7)); 
BgL_varz00_1408 = 
BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_arg2854z00_1413, BGl_za2moduleza2z00zzmodule_modulez00, BgL_stringz00_35, BgL_arg2855z00_1414, BgL_locz00_36); } 
if(
CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
{ /* Cnst/alloc.scm 204 */
obj_t BgL_arg2850z00_1409;
{ /* Cnst/alloc.scm 204 */
obj_t BgL_newz00_2404;
{ /* Cnst/alloc.scm 204 */
int BgL_auxz00_4359;obj_t BgL_auxz00_4357;
BgL_auxz00_4359 = 
(int)(((long)2)); 
BgL_auxz00_4357 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2404 = 
create_struct(BgL_auxz00_4357, BgL_auxz00_4359); } 
{ /* Cnst/alloc.scm 204 */
obj_t BgL_auxz00_4364;int BgL_auxz00_4362;
BgL_auxz00_4364 = 
(obj_t)(BgL_varz00_1408); 
BgL_auxz00_4362 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2404, BgL_auxz00_4362, BgL_auxz00_4364); } 
{ /* Cnst/alloc.scm 204 */
int BgL_auxz00_4367;
BgL_auxz00_4367 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2404, BgL_auxz00_4367, BgL_stringz00_35); } 
BgL_arg2850z00_1409 = BgL_newz00_2404; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_35, BgL_arg2850z00_1409); }  else 
{ /* Cnst/alloc.scm 203 */BFALSE; } 
{ /* Cnst/alloc.scm 206 */
obj_t BgL_arg2851z00_1410;BgL_typez00_bglt BgL_arg2852z00_1411;
BgL_arg2851z00_1410 = BgL_locz00_36; 
{ /* Cnst/alloc.scm 207 */
BgL_variablez00_bglt BgL_obj1190z00_2415;
BgL_obj1190z00_2415 = 
(BgL_variablez00_bglt)(BgL_varz00_1408); 
BgL_arg2852z00_1411 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2415))->BgL_typez00); } 
{ /* Cnst/alloc.scm 205 */
BgL_varz00_bglt BgL_res3288z00_2434;
{ /* Cnst/alloc.scm 205 */
BgL_variablez00_bglt BgL_variable1724z00_2418;
{ /* Cnst/alloc.scm 208 */
BgL_globalz00_bglt BgL_auxz00_4373;
BgL_auxz00_4373 = BgL_varz00_1408; 
BgL_variable1724z00_2418 = 
(BgL_variablez00_bglt)(BgL_auxz00_4373); } 
{ /* Cnst/alloc.scm 205 */
BgL_varz00_bglt BgL_new1725z00_2419;
{ /* Cnst/alloc.scm 205 */
BgL_varz00_bglt BgL_res3286z00_2425;
{ /* Cnst/alloc.scm 205 */
BgL_varz00_bglt BgL_new1727z00_2420;
BgL_new1727z00_2420 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 205 */
long BgL_arg3249z00_2421;
BgL_arg3249z00_2421 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4377;
BgL_auxz00_4377 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2420); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4377, BgL_arg3249z00_2421); } } 
{ /* Cnst/alloc.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4380;
BgL_auxz00_4380 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2420); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4380, BFALSE); } 
{ /* Cnst/alloc.scm 205 */
obj_t BgL_auxz00_4383;
BgL_auxz00_4383 = 
(obj_t)(BgL_new1727z00_2420); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4383); } BUNSPEC; 
BgL_res3286z00_2425 = BgL_new1727z00_2420; } 
BgL_new1725z00_2419 = BgL_res3286z00_2425; } 
{ /* Cnst/alloc.scm 205 */
BgL_varz00_bglt BgL_res3287z00_2433;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2419))->BgL_locz00) = ((obj_t)BgL_arg2851z00_1410), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2419))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2852z00_1411), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2419))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2418), BUNSPEC); 
BgL_res3287z00_2433 = BgL_new1725z00_2419; BgL_res3287z00_2433; } 
BgL_res3288z00_2434 = BgL_new1725z00_2419; } } 
BgL_auxz00_4347 = BgL_res3288z00_2434; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4347);} } } } } 
}



/* _cnst-alloc-string */
obj_t BGl__cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t BgL_envz00_4168, obj_t BgL_stringz00_4169, obj_t BgL_locz00_4170)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 194 */
{ /* Cnst/alloc.scm 194 */
BgL_nodez00_bglt BgL_auxz00_4390;
BgL_auxz00_4390 = 
BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(BgL_stringz00_4169, BgL_locz00_4170); 
return 
(obj_t)(BgL_auxz00_4390);} } 
}



/* cnst-alloc-ucs2-string */
BgL_nodez00_bglt BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t BgL_stringz00_37, obj_t BgL_locz00_38)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 222 */
{ 
obj_t BgL_bstringz00_1436;
{ /* Cnst/alloc.scm 255 */
obj_t BgL_oldz00_1420;obj_t BgL_stringzd2aszd2bstringz00_1421;
BgL_oldz00_1420 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_37); 
BgL_stringzd2aszd2bstringz00_1421 = 
ucs2_string_to_utf8_string(BgL_stringz00_37); 
if(
CBOOL(BgL_oldz00_1420))
{ /* Cnst/alloc.scm 258 */
{ /* Cnst/alloc.scm 259 */
bool_t BgL_test2858z00_1422;
{ /* Cnst/alloc.scm 259 */
obj_t BgL_auxz00_4397;
BgL_auxz00_4397 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2858z00_1422 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4397); } 
if(BgL_test2858z00_1422)
{ /* Cnst/alloc.scm 261 */
obj_t BgL_arg2859z00_1423;BgL_typez00_bglt BgL_arg2860z00_1424;obj_t BgL_arg2861z00_1425;
BgL_arg2859z00_1423 = BgL_locz00_38; 
BgL_arg2860z00_1424 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 263 */
int BgL_auxz00_4402;
BgL_auxz00_4402 = 
(int)(((long)1)); 
BgL_arg2861z00_1425 = 
STRUCT_REF(BgL_oldz00_1420, BgL_auxz00_4402); } 
{ /* Cnst/alloc.scm 260 */
BgL_varz00_bglt BgL_res3291z00_2457;
{ /* Cnst/alloc.scm 260 */
BgL_variablez00_bglt BgL_variable1724z00_2441;
BgL_variable1724z00_2441 = 
(BgL_variablez00_bglt)(BgL_arg2861z00_1425); 
{ /* Cnst/alloc.scm 260 */
BgL_varz00_bglt BgL_new1725z00_2442;
{ /* Cnst/alloc.scm 260 */
BgL_varz00_bglt BgL_res3289z00_2448;
{ /* Cnst/alloc.scm 260 */
BgL_varz00_bglt BgL_new1727z00_2443;
BgL_new1727z00_2443 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 260 */
long BgL_arg3249z00_2444;
BgL_arg3249z00_2444 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 260 */
BgL_objectz00_bglt BgL_auxz00_4408;
BgL_auxz00_4408 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2443); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4408, BgL_arg3249z00_2444); } } 
{ /* Cnst/alloc.scm 260 */
BgL_objectz00_bglt BgL_auxz00_4411;
BgL_auxz00_4411 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2443); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4411, BFALSE); } 
{ /* Cnst/alloc.scm 260 */
obj_t BgL_auxz00_4414;
BgL_auxz00_4414 = 
(obj_t)(BgL_new1727z00_2443); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4414); } BUNSPEC; 
BgL_res3289z00_2448 = BgL_new1727z00_2443; } 
BgL_new1725z00_2442 = BgL_res3289z00_2448; } 
{ /* Cnst/alloc.scm 260 */
BgL_varz00_bglt BgL_res3290z00_2456;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2442))->BgL_locz00) = ((obj_t)BgL_arg2859z00_1423), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2442))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2860z00_1424), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2442))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2441), BUNSPEC); 
BgL_res3290z00_2456 = BgL_new1725z00_2442; BgL_res3290z00_2456; } 
BgL_res3291z00_2457 = BgL_new1725z00_2442; } } 
return 
(BgL_nodez00_bglt)(BgL_res3291z00_2457);} }  else 
{ /* Cnst/alloc.scm 264 */
BgL_appz00_bglt BgL_auxz00_4421;
{ /* Cnst/alloc.scm 264 */
obj_t BgL_auxz00_4422;
{ /* Cnst/alloc.scm 264 */
int BgL_auxz00_4423;
BgL_auxz00_4423 = 
(int)(((long)1)); 
BgL_auxz00_4422 = 
STRUCT_REF(BgL_oldz00_1420, BgL_auxz00_4423); } 
BgL_auxz00_4421 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BgL_auxz00_4422, BgL_locz00_38); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4421);} } }  else 
{ /* Cnst/alloc.scm 265 */
bool_t BgL_test2863z00_1427;
{ /* Cnst/alloc.scm 265 */
bool_t BgL_test2864z00_1428;
{ /* Cnst/alloc.scm 265 */
obj_t BgL_auxz00_4428;
BgL_auxz00_4428 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2864z00_1428 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4428); } 
if(BgL_test2864z00_1428)
{ /* Cnst/alloc.scm 265 */
BgL_test2863z00_1427 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 266 */
bool_t BgL_testz00_4432;
{ /* Cnst/alloc.scm 266 */
long BgL_auxz00_4433;
{ /* Cnst/alloc.scm 266 */
int BgL_auxz00_4434;
BgL_auxz00_4434 = 
STRING_LENGTH(BgL_stringzd2aszd2bstringz00_1421); 
BgL_auxz00_4433 = 
(long)(BgL_auxz00_4434); } 
BgL_testz00_4432 = 
(BgL_auxz00_4433==((long)0)); } 
if(BgL_testz00_4432)
{ /* Cnst/alloc.scm 266 */
BgL_test2863z00_1427 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 267 */
unsigned char BgL_auxz00_4438;
{ /* Cnst/alloc.scm 267 */
int BgL_auxz00_4439;
BgL_auxz00_4439 = 
(int)(((long)0)); 
BgL_auxz00_4438 = 
STRING_REF(BgL_stringzd2aszd2bstringz00_1421, BgL_auxz00_4439); } 
BgL_test2863z00_1427 = 
(BgL_auxz00_4438==((unsigned char)';')); } } } 
if(BgL_test2863z00_1427)
{ /* Cnst/alloc.scm 265 */
{ /* Cnst/alloc.scm 268 */
BgL_varz00_bglt BgL_auxz00_4444;
BgL_bstringz00_1436 = BgL_stringzd2aszd2bstringz00_1421; 
{ /* Cnst/alloc.scm 224 */
BgL_globalz00_bglt BgL_varz00_1438;
{ /* Cnst/alloc.scm 224 */
obj_t BgL_arg2903z00_1470;obj_t BgL_arg2904z00_1471;obj_t BgL_arg2905z00_1472;
{ /* Cnst/alloc.scm 224 */
obj_t BgL_arg2906z00_1473;
BgL_arg2906z00_1473 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_arg2903z00_1470 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2906z00_1473, 
CNST_TABLE_REF(((long)9))); } 
BgL_arg2904z00_1471 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2905z00_1472 = 
CNST_TABLE_REF(((long)3)); 
BgL_varz00_1438 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg2903z00_1470, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2904z00_1471, BgL_arg2905z00_1472); } 
{ /* Cnst/alloc.scm 229 */
obj_t BgL_arg2872z00_1439;
{ /* Cnst/alloc.scm 229 */
obj_t BgL_newz00_2485;
{ /* Cnst/alloc.scm 229 */
int BgL_auxz00_4455;obj_t BgL_auxz00_4453;
BgL_auxz00_4455 = 
(int)(((long)2)); 
BgL_auxz00_4453 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2485 = 
create_struct(BgL_auxz00_4453, BgL_auxz00_4455); } 
{ /* Cnst/alloc.scm 229 */
obj_t BgL_auxz00_4460;int BgL_auxz00_4458;
BgL_auxz00_4460 = 
(obj_t)(BgL_varz00_1438); 
BgL_auxz00_4458 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2485, BgL_auxz00_4458, BgL_auxz00_4460); } 
{ /* Cnst/alloc.scm 229 */
int BgL_auxz00_4463;
BgL_auxz00_4463 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2485, BgL_auxz00_4463, BgL_stringz00_37); } 
BgL_arg2872z00_1439 = BgL_newz00_2485; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_37, BgL_arg2872z00_1439); } 
{ /* Cnst/alloc.scm 230 */
obj_t BgL_arg2873z00_1440;
{ /* Cnst/alloc.scm 230 */
obj_t BgL_arg2874z00_1441;obj_t BgL_arg2875z00_1442;
BgL_arg2874z00_1441 = 
CNST_TABLE_REF(((long)11)); 
{ /* Cnst/alloc.scm 230 */
obj_t BgL_arg2876z00_1443;obj_t BgL_arg2877z00_1444;
{ /* Cnst/alloc.scm 230 */
obj_t BgL_arg2878z00_1445;obj_t BgL_arg2879z00_1446;
BgL_arg2878z00_1445 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 230 */
obj_t BgL_arg2880z00_1447;obj_t BgL_arg2881z00_1448;
BgL_arg2880z00_1447 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1438))->BgL_idz00); 
{ /* Cnst/alloc.scm 230 */
obj_t BgL_auxz00_4470;
BgL_auxz00_4470 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1438))->BgL_modulez00); 
BgL_arg2881z00_1448 = 
MAKE_PAIR(BgL_auxz00_4470, BNIL); } 
BgL_arg2879z00_1446 = 
MAKE_PAIR(BgL_arg2880z00_1447, BgL_arg2881z00_1448); } 
BgL_arg2876z00_1443 = 
MAKE_PAIR(BgL_arg2878z00_1445, BgL_arg2879z00_1446); } 
{ /* Cnst/alloc.scm 233 */
BgL_nodez00_bglt BgL_arg2884z00_1451;
{ /* Cnst/alloc.scm 233 */
BgL_appz00_bglt BgL_arg2886z00_1453;
{ /* Cnst/alloc.scm 233 */
obj_t BgL_arg2887z00_1454;obj_t BgL_arg2888z00_1455;BgL_varz00_bglt BgL_arg2890z00_1457;obj_t BgL_arg2891z00_1458;
BgL_arg2887z00_1454 = BgL_locz00_38; 
BgL_arg2888z00_1455 = BGl_za2ucs2stringza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 236 */
obj_t BgL_arg2892z00_1459;obj_t BgL_arg2893z00_1460;obj_t BgL_arg2894z00_1461;
BgL_arg2892z00_1459 = BgL_locz00_38; 
BgL_arg2893z00_1460 = BGl_za2ucs2stringza2z00zztype_cachez00; 
BgL_arg2894z00_1461 = BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00; 
{ /* Cnst/alloc.scm 235 */
BgL_varz00_bglt BgL_res3294z00_2516;
{ /* Cnst/alloc.scm 235 */
BgL_typez00_bglt BgL_type1723z00_2499;BgL_variablez00_bglt BgL_variable1724z00_2500;
BgL_type1723z00_2499 = 
(BgL_typez00_bglt)(BgL_arg2893z00_1460); 
BgL_variable1724z00_2500 = 
(BgL_variablez00_bglt)(BgL_arg2894z00_1461); 
{ /* Cnst/alloc.scm 235 */
BgL_varz00_bglt BgL_new1725z00_2501;
{ /* Cnst/alloc.scm 235 */
BgL_varz00_bglt BgL_res3292z00_2507;
{ /* Cnst/alloc.scm 235 */
BgL_varz00_bglt BgL_new1727z00_2502;
BgL_new1727z00_2502 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 235 */
long BgL_arg3249z00_2503;
BgL_arg3249z00_2503 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 235 */
BgL_objectz00_bglt BgL_auxz00_4479;
BgL_auxz00_4479 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2502); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4479, BgL_arg3249z00_2503); } } 
{ /* Cnst/alloc.scm 235 */
BgL_objectz00_bglt BgL_auxz00_4482;
BgL_auxz00_4482 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2502); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4482, BFALSE); } 
{ /* Cnst/alloc.scm 235 */
obj_t BgL_auxz00_4485;
BgL_auxz00_4485 = 
(obj_t)(BgL_new1727z00_2502); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4485); } BUNSPEC; 
BgL_res3292z00_2507 = BgL_new1727z00_2502; } 
BgL_new1725z00_2501 = BgL_res3292z00_2507; } 
{ /* Cnst/alloc.scm 235 */
BgL_varz00_bglt BgL_res3293z00_2515;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2501))->BgL_locz00) = ((obj_t)BgL_arg2892z00_1459), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2501))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1723z00_2499), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2501))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2500), BUNSPEC); 
BgL_res3293z00_2515 = BgL_new1725z00_2501; BgL_res3293z00_2515; } 
BgL_res3294z00_2516 = BgL_new1725z00_2501; } } 
BgL_arg2890z00_1457 = BgL_res3294z00_2516; } } 
{ /* Cnst/alloc.scm 240 */
BgL_atomz00_bglt BgL_arg2895z00_1462;
{ /* Cnst/alloc.scm 240 */
obj_t BgL_arg2897z00_1464;obj_t BgL_arg2898z00_1465;obj_t BgL_arg2899z00_1466;
BgL_arg2897z00_1464 = BgL_locz00_38; 
BgL_arg2898z00_1465 = BGl_za2ucs2stringza2z00zztype_cachez00; 
BgL_arg2899z00_1466 = BgL_bstringz00_1436; 
{ /* Cnst/alloc.scm 239 */
BgL_atomz00_bglt BgL_res3297z00_2535;
{ /* Cnst/alloc.scm 239 */
BgL_typez00_bglt BgL_type1701z00_2518;
BgL_type1701z00_2518 = 
(BgL_typez00_bglt)(BgL_arg2898z00_1465); 
{ /* Cnst/alloc.scm 239 */
BgL_atomz00_bglt BgL_new1703z00_2520;
{ /* Cnst/alloc.scm 239 */
BgL_atomz00_bglt BgL_res3295z00_2526;
{ /* Cnst/alloc.scm 239 */
BgL_atomz00_bglt BgL_new1705z00_2521;
BgL_new1705z00_2521 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 239 */
long BgL_arg3250z00_2522;
BgL_arg3250z00_2522 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 239 */
BgL_objectz00_bglt BgL_auxz00_4494;
BgL_auxz00_4494 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2521); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4494, BgL_arg3250z00_2522); } } 
{ /* Cnst/alloc.scm 239 */
BgL_objectz00_bglt BgL_auxz00_4497;
BgL_auxz00_4497 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2521); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4497, BFALSE); } 
{ /* Cnst/alloc.scm 239 */
obj_t BgL_auxz00_4500;
BgL_auxz00_4500 = 
(obj_t)(BgL_new1705z00_2521); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4500); } BUNSPEC; 
BgL_res3295z00_2526 = BgL_new1705z00_2521; } 
BgL_new1703z00_2520 = BgL_res3295z00_2526; } 
{ /* Cnst/alloc.scm 239 */
BgL_atomz00_bglt BgL_res3296z00_2534;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2520))->BgL_locz00) = ((obj_t)BgL_arg2897z00_1464), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2520))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_2518), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2520))->BgL_valuez00) = ((obj_t)BgL_arg2899z00_1466), BUNSPEC); 
BgL_res3296z00_2534 = BgL_new1703z00_2520; BgL_res3296z00_2534; } 
BgL_res3297z00_2535 = BgL_new1703z00_2520; } } 
BgL_arg2895z00_1462 = BgL_res3297z00_2535; } } 
{ /* Cnst/alloc.scm 239 */
obj_t BgL_list2896z00_1463;
{ /* Cnst/alloc.scm 239 */
obj_t BgL_auxz00_4506;
BgL_auxz00_4506 = 
(obj_t)(BgL_arg2895z00_1462); 
BgL_list2896z00_1463 = 
MAKE_PAIR(BgL_auxz00_4506, BNIL); } 
BgL_arg2891z00_1458 = BgL_list2896z00_1463; } } 
{ /* Cnst/alloc.scm 232 */
BgL_appz00_bglt BgL_res3301z00_2565;
{ /* Cnst/alloc.scm 232 */
BgL_typez00_bglt BgL_type1834z00_2539;obj_t BgL_key1836z00_2541;
BgL_type1834z00_2539 = 
(BgL_typez00_bglt)(BgL_arg2888z00_1455); 
BgL_key1836z00_2541 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 232 */
BgL_appz00_bglt BgL_new1839z00_2544;
{ /* Cnst/alloc.scm 232 */
BgL_appz00_bglt BgL_res3299z00_2550;
{ /* Cnst/alloc.scm 232 */
BgL_appz00_bglt BgL_new1841z00_2545;
BgL_new1841z00_2545 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 232 */
long BgL_arg3245z00_2546;
BgL_arg3245z00_2546 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 232 */
BgL_objectz00_bglt BgL_auxz00_4513;
BgL_auxz00_4513 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2545); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4513, BgL_arg3245z00_2546); } } 
{ /* Cnst/alloc.scm 232 */
BgL_objectz00_bglt BgL_auxz00_4516;
BgL_auxz00_4516 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2545); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4516, BFALSE); } 
{ /* Cnst/alloc.scm 232 */
obj_t BgL_auxz00_4519;
BgL_auxz00_4519 = 
(obj_t)(BgL_new1841z00_2545); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4519); } BUNSPEC; 
BgL_res3299z00_2550 = BgL_new1841z00_2545; } 
BgL_new1839z00_2544 = BgL_res3299z00_2550; } 
{ /* Cnst/alloc.scm 232 */
BgL_appz00_bglt BgL_res3300z00_2564;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_locz00) = ((obj_t)BgL_arg2887z00_1454), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_2539), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_keyz00) = ((obj_t)BgL_key1836z00_2541), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2890z00_1457), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2544))->BgL_argsz00) = ((obj_t)BgL_arg2891z00_1458), BUNSPEC); 
BgL_res3300z00_2564 = BgL_new1839z00_2544; BgL_res3300z00_2564; } 
BgL_res3301z00_2565 = BgL_new1839z00_2544; } } 
BgL_arg2886z00_1453 = BgL_res3301z00_2565; } } 
BgL_arg2884z00_1451 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2886z00_1453), 
(obj_t)(BgL_varz00_1438), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Cnst/alloc.scm 230 */
obj_t BgL_auxz00_4532;
BgL_auxz00_4532 = 
(obj_t)(BgL_arg2884z00_1451); 
BgL_arg2877z00_1444 = 
MAKE_PAIR(BgL_auxz00_4532, BNIL); } } 
BgL_arg2875z00_1442 = 
MAKE_PAIR(BgL_arg2876z00_1443, BgL_arg2877z00_1444); } 
BgL_arg2873z00_1440 = 
MAKE_PAIR(BgL_arg2874z00_1441, BgL_arg2875z00_1442); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg2873z00_1440, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 246 */
obj_t BgL_arg2900z00_1467;BgL_typez00_bglt BgL_arg2901z00_1468;
BgL_arg2900z00_1467 = BgL_locz00_38; 
{ /* Cnst/alloc.scm 247 */
BgL_variablez00_bglt BgL_obj1190z00_2567;
BgL_obj1190z00_2567 = 
(BgL_variablez00_bglt)(BgL_varz00_1438); 
BgL_arg2901z00_1468 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2567))->BgL_typez00); } 
{ /* Cnst/alloc.scm 245 */
BgL_varz00_bglt BgL_res3304z00_2586;
{ /* Cnst/alloc.scm 245 */
BgL_variablez00_bglt BgL_variable1724z00_2570;
{ /* Cnst/alloc.scm 248 */
BgL_globalz00_bglt BgL_auxz00_4540;
BgL_auxz00_4540 = BgL_varz00_1438; 
BgL_variable1724z00_2570 = 
(BgL_variablez00_bglt)(BgL_auxz00_4540); } 
{ /* Cnst/alloc.scm 245 */
BgL_varz00_bglt BgL_new1725z00_2571;
{ /* Cnst/alloc.scm 245 */
BgL_varz00_bglt BgL_res3302z00_2577;
{ /* Cnst/alloc.scm 245 */
BgL_varz00_bglt BgL_new1727z00_2572;
BgL_new1727z00_2572 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 245 */
long BgL_arg3249z00_2573;
BgL_arg3249z00_2573 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 245 */
BgL_objectz00_bglt BgL_auxz00_4544;
BgL_auxz00_4544 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2572); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4544, BgL_arg3249z00_2573); } } 
{ /* Cnst/alloc.scm 245 */
BgL_objectz00_bglt BgL_auxz00_4547;
BgL_auxz00_4547 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2572); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4547, BFALSE); } 
{ /* Cnst/alloc.scm 245 */
obj_t BgL_auxz00_4550;
BgL_auxz00_4550 = 
(obj_t)(BgL_new1727z00_2572); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4550); } BUNSPEC; 
BgL_res3302z00_2577 = BgL_new1727z00_2572; } 
BgL_new1725z00_2571 = BgL_res3302z00_2577; } 
{ /* Cnst/alloc.scm 245 */
BgL_varz00_bglt BgL_res3303z00_2585;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2571))->BgL_locz00) = ((obj_t)BgL_arg2900z00_1467), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2571))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2901z00_1468), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2571))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2570), BUNSPEC); 
BgL_res3303z00_2585 = BgL_new1725z00_2571; BgL_res3303z00_2585; } 
BgL_res3304z00_2586 = BgL_new1725z00_2571; } } 
BgL_auxz00_4444 = BgL_res3304z00_2586; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4444);} }  else 
{ /* Cnst/alloc.scm 265 */
{ /* Cnst/alloc.scm 270 */
BgL_appz00_bglt BgL_auxz00_4557;
{ /* Cnst/alloc.scm 250 */
long BgL_offsetz00_1434;
BgL_offsetz00_1434 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 251 */
long BgL_za72za7_2469;
BgL_za72za7_2469 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_2469); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_stringz00_37, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
{ /* Cnst/alloc.scm 253 */
obj_t BgL_arg2870z00_1435;
{ /* Cnst/alloc.scm 253 */
obj_t BgL_newz00_2472;
{ /* Cnst/alloc.scm 253 */
int BgL_auxz00_4562;obj_t BgL_auxz00_4560;
BgL_auxz00_4562 = 
(int)(((long)2)); 
BgL_auxz00_4560 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2472 = 
create_struct(BgL_auxz00_4560, BgL_auxz00_4562); } 
{ /* Cnst/alloc.scm 253 */
obj_t BgL_auxz00_4567;int BgL_auxz00_4565;
BgL_auxz00_4567 = 
BINT(BgL_offsetz00_1434); 
BgL_auxz00_4565 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2472, BgL_auxz00_4565, BgL_auxz00_4567); } 
{ /* Cnst/alloc.scm 253 */
int BgL_auxz00_4570;
BgL_auxz00_4570 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2472, BgL_auxz00_4570, BgL_stringz00_37); } 
BgL_arg2870z00_1435 = BgL_newz00_2472; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_37, BgL_arg2870z00_1435); } 
BgL_auxz00_4557 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1434), BgL_locz00_38); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4557);} } } } } } 
}



/* _cnst-alloc-ucs2-string */
obj_t BGl__cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t BgL_envz00_4171, obj_t BgL_stringz00_4172, obj_t BgL_locz00_4173)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 222 */
{ /* Cnst/alloc.scm 222 */
BgL_nodez00_bglt BgL_auxz00_4577;
BgL_auxz00_4577 = 
BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(BgL_stringz00_4172, BgL_locz00_4173); 
return 
(obj_t)(BgL_auxz00_4577);} } 
}



/* cnst-alloc-symbol */
BgL_nodez00_bglt BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t BgL_symbolz00_39, obj_t BgL_locz00_40)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 275 */
{ 

{ /* Cnst/alloc.scm 308 */
obj_t BgL_oldz00_1479;obj_t BgL_symbolzd2aszd2stringz00_1480;
BgL_oldz00_1479 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2symbolzd2envza2zd2zzcnst_allocz00, BgL_symbolz00_39); 
BgL_symbolzd2aszd2stringz00_1480 = 
SYMBOL_TO_STRING(BgL_symbolz00_39); 
if(
CBOOL(BgL_oldz00_1479))
{ /* Cnst/alloc.scm 311 */
{ /* Cnst/alloc.scm 312 */
bool_t BgL_test2908z00_1481;
{ /* Cnst/alloc.scm 312 */
obj_t BgL_auxz00_4584;
BgL_auxz00_4584 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2908z00_1481 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4584); } 
if(BgL_test2908z00_1481)
{ /* Cnst/alloc.scm 314 */
obj_t BgL_arg2909z00_1482;BgL_typez00_bglt BgL_arg2910z00_1483;obj_t BgL_arg2911z00_1484;
BgL_arg2909z00_1482 = BgL_locz00_40; 
BgL_arg2910z00_1483 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 316 */
int BgL_auxz00_4589;
BgL_auxz00_4589 = 
(int)(((long)1)); 
BgL_arg2911z00_1484 = 
STRUCT_REF(BgL_oldz00_1479, BgL_auxz00_4589); } 
{ /* Cnst/alloc.scm 313 */
BgL_varz00_bglt BgL_res3307z00_2609;
{ /* Cnst/alloc.scm 313 */
BgL_variablez00_bglt BgL_variable1724z00_2593;
BgL_variable1724z00_2593 = 
(BgL_variablez00_bglt)(BgL_arg2911z00_1484); 
{ /* Cnst/alloc.scm 313 */
BgL_varz00_bglt BgL_new1725z00_2594;
{ /* Cnst/alloc.scm 313 */
BgL_varz00_bglt BgL_res3305z00_2600;
{ /* Cnst/alloc.scm 313 */
BgL_varz00_bglt BgL_new1727z00_2595;
BgL_new1727z00_2595 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 313 */
long BgL_arg3249z00_2596;
BgL_arg3249z00_2596 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 313 */
BgL_objectz00_bglt BgL_auxz00_4595;
BgL_auxz00_4595 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2595); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4595, BgL_arg3249z00_2596); } } 
{ /* Cnst/alloc.scm 313 */
BgL_objectz00_bglt BgL_auxz00_4598;
BgL_auxz00_4598 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2595); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4598, BFALSE); } 
{ /* Cnst/alloc.scm 313 */
obj_t BgL_auxz00_4601;
BgL_auxz00_4601 = 
(obj_t)(BgL_new1727z00_2595); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4601); } BUNSPEC; 
BgL_res3305z00_2600 = BgL_new1727z00_2595; } 
BgL_new1725z00_2594 = BgL_res3305z00_2600; } 
{ /* Cnst/alloc.scm 313 */
BgL_varz00_bglt BgL_res3306z00_2608;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2594))->BgL_locz00) = ((obj_t)BgL_arg2909z00_1482), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2594))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2910z00_1483), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2594))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2593), BUNSPEC); 
BgL_res3306z00_2608 = BgL_new1725z00_2594; BgL_res3306z00_2608; } 
BgL_res3307z00_2609 = BgL_new1725z00_2594; } } 
return 
(BgL_nodez00_bglt)(BgL_res3307z00_2609);} }  else 
{ /* Cnst/alloc.scm 317 */
BgL_appz00_bglt BgL_auxz00_4608;
{ /* Cnst/alloc.scm 317 */
obj_t BgL_auxz00_4609;
{ /* Cnst/alloc.scm 317 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)1)); 
BgL_auxz00_4609 = 
STRUCT_REF(BgL_oldz00_1479, BgL_auxz00_4610); } 
BgL_auxz00_4608 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BgL_auxz00_4609, BgL_locz00_40); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4608);} } }  else 
{ /* Cnst/alloc.scm 318 */
bool_t BgL_test2913z00_1486;
{ /* Cnst/alloc.scm 318 */
bool_t BgL_test2914z00_1487;
{ /* Cnst/alloc.scm 318 */
obj_t BgL_auxz00_4615;
BgL_auxz00_4615 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2914z00_1487 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4615); } 
if(BgL_test2914z00_1487)
{ /* Cnst/alloc.scm 318 */
BgL_test2913z00_1486 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 319 */
bool_t BgL_testz00_4619;
{ /* Cnst/alloc.scm 319 */
long BgL_auxz00_4620;
{ /* Cnst/alloc.scm 319 */
int BgL_auxz00_4621;
BgL_auxz00_4621 = 
STRING_LENGTH(BgL_symbolzd2aszd2stringz00_1480); 
BgL_auxz00_4620 = 
(long)(BgL_auxz00_4621); } 
BgL_testz00_4619 = 
(BgL_auxz00_4620==((long)0)); } 
if(BgL_testz00_4619)
{ /* Cnst/alloc.scm 319 */
BgL_test2913z00_1486 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 320 */
unsigned char BgL_auxz00_4625;
{ /* Cnst/alloc.scm 320 */
int BgL_auxz00_4626;
BgL_auxz00_4626 = 
(int)(((long)0)); 
BgL_auxz00_4625 = 
STRING_REF(BgL_symbolzd2aszd2stringz00_1480, BgL_auxz00_4626); } 
BgL_test2913z00_1486 = 
(BgL_auxz00_4625==((unsigned char)';')); } } } 
if(BgL_test2913z00_1486)
{ /* Cnst/alloc.scm 318 */
{ /* Cnst/alloc.scm 321 */
BgL_varz00_bglt BgL_auxz00_4631;
{ /* Cnst/alloc.scm 277 */
BgL_globalz00_bglt BgL_varz00_1496;
{ /* Cnst/alloc.scm 277 */
obj_t BgL_arg2953z00_1528;obj_t BgL_arg2954z00_1529;obj_t BgL_arg2955z00_1530;
{ /* Cnst/alloc.scm 277 */
obj_t BgL_arg2956z00_1531;
BgL_arg2956z00_1531 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)14)), BEOA); 
BgL_arg2953z00_1528 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2956z00_1531, 
CNST_TABLE_REF(((long)14))); } 
BgL_arg2954z00_1529 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg2955z00_1530 = 
CNST_TABLE_REF(((long)3)); 
BgL_varz00_1496 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg2953z00_1528, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2954z00_1529, BgL_arg2955z00_1530); } 
{ /* Cnst/alloc.scm 281 */
obj_t BgL_arg2922z00_1497;
{ /* Cnst/alloc.scm 281 */
obj_t BgL_newz00_2637;
{ /* Cnst/alloc.scm 281 */
int BgL_auxz00_4642;obj_t BgL_auxz00_4640;
BgL_auxz00_4642 = 
(int)(((long)2)); 
BgL_auxz00_4640 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2637 = 
create_struct(BgL_auxz00_4640, BgL_auxz00_4642); } 
{ /* Cnst/alloc.scm 281 */
obj_t BgL_auxz00_4647;int BgL_auxz00_4645;
BgL_auxz00_4647 = 
(obj_t)(BgL_varz00_1496); 
BgL_auxz00_4645 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2637, BgL_auxz00_4645, BgL_auxz00_4647); } 
{ /* Cnst/alloc.scm 281 */
int BgL_auxz00_4650;
BgL_auxz00_4650 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2637, BgL_auxz00_4650, BgL_symbolz00_39); } 
BgL_arg2922z00_1497 = BgL_newz00_2637; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2symbolzd2envza2zd2zzcnst_allocz00, BgL_symbolz00_39, BgL_arg2922z00_1497); } 
{ /* Cnst/alloc.scm 282 */
obj_t BgL_arg2923z00_1498;
{ /* Cnst/alloc.scm 282 */
obj_t BgL_arg2924z00_1499;obj_t BgL_arg2925z00_1500;
BgL_arg2924z00_1499 = 
CNST_TABLE_REF(((long)11)); 
{ /* Cnst/alloc.scm 282 */
obj_t BgL_arg2926z00_1501;obj_t BgL_arg2927z00_1502;
{ /* Cnst/alloc.scm 282 */
obj_t BgL_arg2928z00_1503;obj_t BgL_arg2929z00_1504;
BgL_arg2928z00_1503 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 282 */
obj_t BgL_arg2930z00_1505;obj_t BgL_arg2931z00_1506;
BgL_arg2930z00_1505 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1496))->BgL_idz00); 
{ /* Cnst/alloc.scm 282 */
obj_t BgL_auxz00_4657;
BgL_auxz00_4657 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1496))->BgL_modulez00); 
BgL_arg2931z00_1506 = 
MAKE_PAIR(BgL_auxz00_4657, BNIL); } 
BgL_arg2929z00_1504 = 
MAKE_PAIR(BgL_arg2930z00_1505, BgL_arg2931z00_1506); } 
BgL_arg2926z00_1501 = 
MAKE_PAIR(BgL_arg2928z00_1503, BgL_arg2929z00_1504); } 
{ /* Cnst/alloc.scm 285 */
BgL_nodez00_bglt BgL_arg2934z00_1509;
{ /* Cnst/alloc.scm 285 */
BgL_appz00_bglt BgL_arg2936z00_1511;
{ /* Cnst/alloc.scm 285 */
obj_t BgL_arg2937z00_1512;obj_t BgL_arg2938z00_1513;BgL_varz00_bglt BgL_arg2940z00_1515;obj_t BgL_arg2941z00_1516;
BgL_arg2937z00_1512 = BgL_locz00_40; 
BgL_arg2938z00_1513 = BGl_za2symbolza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 288 */
obj_t BgL_arg2942z00_1517;obj_t BgL_arg2943z00_1518;obj_t BgL_arg2944z00_1519;
BgL_arg2942z00_1517 = BgL_locz00_40; 
BgL_arg2943z00_1518 = BGl_za2symbolza2z00zztype_cachez00; 
BgL_arg2944z00_1519 = BGl_za2stringzd2ze3symbolza2z31zzcnst_cachez00; 
{ /* Cnst/alloc.scm 287 */
BgL_varz00_bglt BgL_res3310z00_2668;
{ /* Cnst/alloc.scm 287 */
BgL_typez00_bglt BgL_type1723z00_2651;BgL_variablez00_bglt BgL_variable1724z00_2652;
BgL_type1723z00_2651 = 
(BgL_typez00_bglt)(BgL_arg2943z00_1518); 
BgL_variable1724z00_2652 = 
(BgL_variablez00_bglt)(BgL_arg2944z00_1519); 
{ /* Cnst/alloc.scm 287 */
BgL_varz00_bglt BgL_new1725z00_2653;
{ /* Cnst/alloc.scm 287 */
BgL_varz00_bglt BgL_res3308z00_2659;
{ /* Cnst/alloc.scm 287 */
BgL_varz00_bglt BgL_new1727z00_2654;
BgL_new1727z00_2654 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 287 */
long BgL_arg3249z00_2655;
BgL_arg3249z00_2655 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 287 */
BgL_objectz00_bglt BgL_auxz00_4666;
BgL_auxz00_4666 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2654); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4666, BgL_arg3249z00_2655); } } 
{ /* Cnst/alloc.scm 287 */
BgL_objectz00_bglt BgL_auxz00_4669;
BgL_auxz00_4669 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2654); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4669, BFALSE); } 
{ /* Cnst/alloc.scm 287 */
obj_t BgL_auxz00_4672;
BgL_auxz00_4672 = 
(obj_t)(BgL_new1727z00_2654); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4672); } BUNSPEC; 
BgL_res3308z00_2659 = BgL_new1727z00_2654; } 
BgL_new1725z00_2653 = BgL_res3308z00_2659; } 
{ /* Cnst/alloc.scm 287 */
BgL_varz00_bglt BgL_res3309z00_2667;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2653))->BgL_locz00) = ((obj_t)BgL_arg2942z00_1517), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2653))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1723z00_2651), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2653))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2652), BUNSPEC); 
BgL_res3309z00_2667 = BgL_new1725z00_2653; BgL_res3309z00_2667; } 
BgL_res3310z00_2668 = BgL_new1725z00_2653; } } 
BgL_arg2940z00_1515 = BgL_res3310z00_2668; } } 
{ /* Cnst/alloc.scm 292 */
BgL_atomz00_bglt BgL_arg2945z00_1520;
{ /* Cnst/alloc.scm 292 */
obj_t BgL_arg2947z00_1522;obj_t BgL_arg2948z00_1523;obj_t BgL_arg2949z00_1524;
BgL_arg2947z00_1522 = BgL_locz00_40; 
BgL_arg2948z00_1523 = BGl_za2stringza2z00zztype_cachez00; 
BgL_arg2949z00_1524 = 
SYMBOL_TO_STRING(BgL_symbolz00_39); 
{ /* Cnst/alloc.scm 291 */
BgL_atomz00_bglt BgL_res3313z00_2688;
{ /* Cnst/alloc.scm 291 */
BgL_typez00_bglt BgL_type1701z00_2671;
BgL_type1701z00_2671 = 
(BgL_typez00_bglt)(BgL_arg2948z00_1523); 
{ /* Cnst/alloc.scm 291 */
BgL_atomz00_bglt BgL_new1703z00_2673;
{ /* Cnst/alloc.scm 291 */
BgL_atomz00_bglt BgL_res3311z00_2679;
{ /* Cnst/alloc.scm 291 */
BgL_atomz00_bglt BgL_new1705z00_2674;
BgL_new1705z00_2674 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 291 */
long BgL_arg3250z00_2675;
BgL_arg3250z00_2675 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 291 */
BgL_objectz00_bglt BgL_auxz00_4682;
BgL_auxz00_4682 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2674); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4682, BgL_arg3250z00_2675); } } 
{ /* Cnst/alloc.scm 291 */
BgL_objectz00_bglt BgL_auxz00_4685;
BgL_auxz00_4685 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2674); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4685, BFALSE); } 
{ /* Cnst/alloc.scm 291 */
obj_t BgL_auxz00_4688;
BgL_auxz00_4688 = 
(obj_t)(BgL_new1705z00_2674); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4688); } BUNSPEC; 
BgL_res3311z00_2679 = BgL_new1705z00_2674; } 
BgL_new1703z00_2673 = BgL_res3311z00_2679; } 
{ /* Cnst/alloc.scm 291 */
BgL_atomz00_bglt BgL_res3312z00_2687;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2673))->BgL_locz00) = ((obj_t)BgL_arg2947z00_1522), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2673))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_2671), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2673))->BgL_valuez00) = ((obj_t)BgL_arg2949z00_1524), BUNSPEC); 
BgL_res3312z00_2687 = BgL_new1703z00_2673; BgL_res3312z00_2687; } 
BgL_res3313z00_2688 = BgL_new1703z00_2673; } } 
BgL_arg2945z00_1520 = BgL_res3313z00_2688; } } 
{ /* Cnst/alloc.scm 291 */
obj_t BgL_list2946z00_1521;
{ /* Cnst/alloc.scm 291 */
obj_t BgL_auxz00_4694;
BgL_auxz00_4694 = 
(obj_t)(BgL_arg2945z00_1520); 
BgL_list2946z00_1521 = 
MAKE_PAIR(BgL_auxz00_4694, BNIL); } 
BgL_arg2941z00_1516 = BgL_list2946z00_1521; } } 
{ /* Cnst/alloc.scm 284 */
BgL_appz00_bglt BgL_res3317z00_2718;
{ /* Cnst/alloc.scm 284 */
BgL_typez00_bglt BgL_type1834z00_2692;obj_t BgL_key1836z00_2694;
BgL_type1834z00_2692 = 
(BgL_typez00_bglt)(BgL_arg2938z00_1513); 
BgL_key1836z00_2694 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 284 */
BgL_appz00_bglt BgL_new1839z00_2697;
{ /* Cnst/alloc.scm 284 */
BgL_appz00_bglt BgL_res3315z00_2703;
{ /* Cnst/alloc.scm 284 */
BgL_appz00_bglt BgL_new1841z00_2698;
BgL_new1841z00_2698 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 284 */
long BgL_arg3245z00_2699;
BgL_arg3245z00_2699 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 284 */
BgL_objectz00_bglt BgL_auxz00_4701;
BgL_auxz00_4701 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2698); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4701, BgL_arg3245z00_2699); } } 
{ /* Cnst/alloc.scm 284 */
BgL_objectz00_bglt BgL_auxz00_4704;
BgL_auxz00_4704 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2698); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4704, BFALSE); } 
{ /* Cnst/alloc.scm 284 */
obj_t BgL_auxz00_4707;
BgL_auxz00_4707 = 
(obj_t)(BgL_new1841z00_2698); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4707); } BUNSPEC; 
BgL_res3315z00_2703 = BgL_new1841z00_2698; } 
BgL_new1839z00_2697 = BgL_res3315z00_2703; } 
{ /* Cnst/alloc.scm 284 */
BgL_appz00_bglt BgL_res3316z00_2717;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_locz00) = ((obj_t)BgL_arg2937z00_1512), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_2692), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_keyz00) = ((obj_t)BgL_key1836z00_2694), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2940z00_1515), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2697))->BgL_argsz00) = ((obj_t)BgL_arg2941z00_1516), BUNSPEC); 
BgL_res3316z00_2717 = BgL_new1839z00_2697; BgL_res3316z00_2717; } 
BgL_res3317z00_2718 = BgL_new1839z00_2697; } } 
BgL_arg2936z00_1511 = BgL_res3317z00_2718; } } 
BgL_arg2934z00_1509 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2936z00_1511), 
(obj_t)(BgL_varz00_1496), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Cnst/alloc.scm 282 */
obj_t BgL_auxz00_4720;
BgL_auxz00_4720 = 
(obj_t)(BgL_arg2934z00_1509); 
BgL_arg2927z00_1502 = 
MAKE_PAIR(BgL_auxz00_4720, BNIL); } } 
BgL_arg2925z00_1500 = 
MAKE_PAIR(BgL_arg2926z00_1501, BgL_arg2927z00_1502); } 
BgL_arg2923z00_1498 = 
MAKE_PAIR(BgL_arg2924z00_1499, BgL_arg2925z00_1500); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg2923z00_1498, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 299 */
obj_t BgL_arg2950z00_1525;BgL_typez00_bglt BgL_arg2951z00_1526;
BgL_arg2950z00_1525 = BgL_locz00_40; 
{ /* Cnst/alloc.scm 300 */
BgL_variablez00_bglt BgL_obj1190z00_2720;
BgL_obj1190z00_2720 = 
(BgL_variablez00_bglt)(BgL_varz00_1496); 
BgL_arg2951z00_1526 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2720))->BgL_typez00); } 
{ /* Cnst/alloc.scm 298 */
BgL_varz00_bglt BgL_res3320z00_2739;
{ /* Cnst/alloc.scm 298 */
BgL_variablez00_bglt BgL_variable1724z00_2723;
{ /* Cnst/alloc.scm 301 */
BgL_globalz00_bglt BgL_auxz00_4728;
BgL_auxz00_4728 = BgL_varz00_1496; 
BgL_variable1724z00_2723 = 
(BgL_variablez00_bglt)(BgL_auxz00_4728); } 
{ /* Cnst/alloc.scm 298 */
BgL_varz00_bglt BgL_new1725z00_2724;
{ /* Cnst/alloc.scm 298 */
BgL_varz00_bglt BgL_res3318z00_2730;
{ /* Cnst/alloc.scm 298 */
BgL_varz00_bglt BgL_new1727z00_2725;
BgL_new1727z00_2725 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 298 */
long BgL_arg3249z00_2726;
BgL_arg3249z00_2726 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 298 */
BgL_objectz00_bglt BgL_auxz00_4732;
BgL_auxz00_4732 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2725); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4732, BgL_arg3249z00_2726); } } 
{ /* Cnst/alloc.scm 298 */
BgL_objectz00_bglt BgL_auxz00_4735;
BgL_auxz00_4735 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2725); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4735, BFALSE); } 
{ /* Cnst/alloc.scm 298 */
obj_t BgL_auxz00_4738;
BgL_auxz00_4738 = 
(obj_t)(BgL_new1727z00_2725); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4738); } BUNSPEC; 
BgL_res3318z00_2730 = BgL_new1727z00_2725; } 
BgL_new1725z00_2724 = BgL_res3318z00_2730; } 
{ /* Cnst/alloc.scm 298 */
BgL_varz00_bglt BgL_res3319z00_2738;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2724))->BgL_locz00) = ((obj_t)BgL_arg2950z00_1525), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2724))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2951z00_1526), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2724))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2723), BUNSPEC); 
BgL_res3319z00_2738 = BgL_new1725z00_2724; BgL_res3319z00_2738; } 
BgL_res3320z00_2739 = BgL_new1725z00_2724; } } 
BgL_auxz00_4631 = BgL_res3320z00_2739; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4631);} }  else 
{ /* Cnst/alloc.scm 318 */
{ /* Cnst/alloc.scm 323 */
BgL_appz00_bglt BgL_auxz00_4745;
{ /* Cnst/alloc.scm 303 */
long BgL_offsetz00_1493;
BgL_offsetz00_1493 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 304 */
long BgL_za72za7_2621;
BgL_za72za7_2621 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_2621); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_symbolz00_39, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
{ /* Cnst/alloc.scm 306 */
obj_t BgL_arg2920z00_1494;
{ /* Cnst/alloc.scm 306 */
obj_t BgL_newz00_2624;
{ /* Cnst/alloc.scm 306 */
int BgL_auxz00_4750;obj_t BgL_auxz00_4748;
BgL_auxz00_4750 = 
(int)(((long)2)); 
BgL_auxz00_4748 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2624 = 
create_struct(BgL_auxz00_4748, BgL_auxz00_4750); } 
{ /* Cnst/alloc.scm 306 */
obj_t BgL_auxz00_4755;int BgL_auxz00_4753;
BgL_auxz00_4755 = 
BINT(BgL_offsetz00_1493); 
BgL_auxz00_4753 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2624, BgL_auxz00_4753, BgL_auxz00_4755); } 
{ /* Cnst/alloc.scm 306 */
int BgL_auxz00_4758;
BgL_auxz00_4758 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2624, BgL_auxz00_4758, BgL_symbolz00_39); } 
BgL_arg2920z00_1494 = BgL_newz00_2624; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2symbolzd2envza2zd2zzcnst_allocz00, BgL_symbolz00_39, BgL_arg2920z00_1494); } 
BgL_auxz00_4745 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1493), BgL_locz00_40); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4745);} } } } } } 
}



/* _cnst-alloc-symbol */
obj_t BGl__cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t BgL_envz00_4174, obj_t BgL_symbolz00_4175, obj_t BgL_locz00_4176)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 275 */
{ /* Cnst/alloc.scm 275 */
BgL_nodez00_bglt BgL_auxz00_4765;
BgL_auxz00_4765 = 
BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(BgL_symbolz00_4175, BgL_locz00_4176); 
return 
(obj_t)(BgL_auxz00_4765);} } 
}



/* cnst-alloc-keyword */
BgL_nodez00_bglt BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t BgL_keywordz00_41, obj_t BgL_locz00_42)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 328 */
{ 

{ /* Cnst/alloc.scm 362 */
obj_t BgL_oldz00_1537;obj_t BgL_keywordzd2aszd2stringz00_1538;
BgL_oldz00_1537 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2keywordzd2envza2zd2zzcnst_allocz00, BgL_keywordz00_41); 
BgL_keywordzd2aszd2stringz00_1538 = 
KEYWORD_TO_STRING(BgL_keywordz00_41); 
if(
CBOOL(BgL_oldz00_1537))
{ /* Cnst/alloc.scm 365 */
{ /* Cnst/alloc.scm 366 */
bool_t BgL_test2958z00_1539;
{ /* Cnst/alloc.scm 366 */
obj_t BgL_auxz00_4772;
BgL_auxz00_4772 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2958z00_1539 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4772); } 
if(BgL_test2958z00_1539)
{ /* Cnst/alloc.scm 368 */
obj_t BgL_arg2959z00_1540;BgL_typez00_bglt BgL_arg2960z00_1541;obj_t BgL_arg2961z00_1542;
BgL_arg2959z00_1540 = BgL_locz00_42; 
BgL_arg2960z00_1541 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 370 */
int BgL_auxz00_4777;
BgL_auxz00_4777 = 
(int)(((long)1)); 
BgL_arg2961z00_1542 = 
STRUCT_REF(BgL_oldz00_1537, BgL_auxz00_4777); } 
{ /* Cnst/alloc.scm 367 */
BgL_varz00_bglt BgL_res3323z00_2762;
{ /* Cnst/alloc.scm 367 */
BgL_variablez00_bglt BgL_variable1724z00_2746;
BgL_variable1724z00_2746 = 
(BgL_variablez00_bglt)(BgL_arg2961z00_1542); 
{ /* Cnst/alloc.scm 367 */
BgL_varz00_bglt BgL_new1725z00_2747;
{ /* Cnst/alloc.scm 367 */
BgL_varz00_bglt BgL_res3321z00_2753;
{ /* Cnst/alloc.scm 367 */
BgL_varz00_bglt BgL_new1727z00_2748;
BgL_new1727z00_2748 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 367 */
long BgL_arg3249z00_2749;
BgL_arg3249z00_2749 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 367 */
BgL_objectz00_bglt BgL_auxz00_4783;
BgL_auxz00_4783 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2748); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4783, BgL_arg3249z00_2749); } } 
{ /* Cnst/alloc.scm 367 */
BgL_objectz00_bglt BgL_auxz00_4786;
BgL_auxz00_4786 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2748); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4786, BFALSE); } 
{ /* Cnst/alloc.scm 367 */
obj_t BgL_auxz00_4789;
BgL_auxz00_4789 = 
(obj_t)(BgL_new1727z00_2748); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4789); } BUNSPEC; 
BgL_res3321z00_2753 = BgL_new1727z00_2748; } 
BgL_new1725z00_2747 = BgL_res3321z00_2753; } 
{ /* Cnst/alloc.scm 367 */
BgL_varz00_bglt BgL_res3322z00_2761;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2747))->BgL_locz00) = ((obj_t)BgL_arg2959z00_1540), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2747))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2960z00_1541), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2747))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2746), BUNSPEC); 
BgL_res3322z00_2761 = BgL_new1725z00_2747; BgL_res3322z00_2761; } 
BgL_res3323z00_2762 = BgL_new1725z00_2747; } } 
return 
(BgL_nodez00_bglt)(BgL_res3323z00_2762);} }  else 
{ /* Cnst/alloc.scm 371 */
BgL_appz00_bglt BgL_auxz00_4796;
{ /* Cnst/alloc.scm 371 */
obj_t BgL_auxz00_4797;
{ /* Cnst/alloc.scm 371 */
int BgL_auxz00_4798;
BgL_auxz00_4798 = 
(int)(((long)1)); 
BgL_auxz00_4797 = 
STRUCT_REF(BgL_oldz00_1537, BgL_auxz00_4798); } 
BgL_auxz00_4796 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BgL_auxz00_4797, BgL_locz00_42); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4796);} } }  else 
{ /* Cnst/alloc.scm 372 */
bool_t BgL_test2963z00_1544;
{ /* Cnst/alloc.scm 372 */
bool_t BgL_test2964z00_1545;
{ /* Cnst/alloc.scm 372 */
obj_t BgL_auxz00_4803;
BgL_auxz00_4803 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2964z00_1545 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_4803); } 
if(BgL_test2964z00_1545)
{ /* Cnst/alloc.scm 372 */
BgL_test2963z00_1544 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 373 */
bool_t BgL_testz00_4807;
{ /* Cnst/alloc.scm 373 */
long BgL_auxz00_4808;
{ /* Cnst/alloc.scm 373 */
int BgL_auxz00_4809;
BgL_auxz00_4809 = 
STRING_LENGTH(BgL_keywordzd2aszd2stringz00_1538); 
BgL_auxz00_4808 = 
(long)(BgL_auxz00_4809); } 
BgL_testz00_4807 = 
(BgL_auxz00_4808==((long)0)); } 
if(BgL_testz00_4807)
{ /* Cnst/alloc.scm 373 */
BgL_test2963z00_1544 = ((bool_t)1); }  else 
{ /* Cnst/alloc.scm 374 */
unsigned char BgL_auxz00_4813;
{ /* Cnst/alloc.scm 374 */
int BgL_auxz00_4814;
BgL_auxz00_4814 = 
(int)(((long)0)); 
BgL_auxz00_4813 = 
STRING_REF(BgL_keywordzd2aszd2stringz00_1538, BgL_auxz00_4814); } 
BgL_test2963z00_1544 = 
(BgL_auxz00_4813==((unsigned char)';')); } } } 
if(BgL_test2963z00_1544)
{ /* Cnst/alloc.scm 372 */
{ /* Cnst/alloc.scm 375 */
BgL_varz00_bglt BgL_auxz00_4819;
{ /* Cnst/alloc.scm 330 */
BgL_globalz00_bglt BgL_varz00_1554;
{ /* Cnst/alloc.scm 330 */
obj_t BgL_arg3003z00_1586;obj_t BgL_arg3004z00_1587;obj_t BgL_arg3005z00_1588;
{ /* Cnst/alloc.scm 330 */
obj_t BgL_arg3006z00_1589;
BgL_arg3006z00_1589 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)16)), BEOA); 
BgL_arg3003z00_1586 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3006z00_1589, 
CNST_TABLE_REF(((long)16))); } 
BgL_arg3004z00_1587 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3005z00_1588 = 
CNST_TABLE_REF(((long)3)); 
BgL_varz00_1554 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg3003z00_1586, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3004z00_1587, BgL_arg3005z00_1588); } 
{ /* Cnst/alloc.scm 335 */
obj_t BgL_arg2972z00_1555;
{ /* Cnst/alloc.scm 335 */
obj_t BgL_newz00_2790;
{ /* Cnst/alloc.scm 335 */
int BgL_auxz00_4830;obj_t BgL_auxz00_4828;
BgL_auxz00_4830 = 
(int)(((long)2)); 
BgL_auxz00_4828 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2790 = 
create_struct(BgL_auxz00_4828, BgL_auxz00_4830); } 
{ /* Cnst/alloc.scm 335 */
obj_t BgL_auxz00_4835;int BgL_auxz00_4833;
BgL_auxz00_4835 = 
(obj_t)(BgL_varz00_1554); 
BgL_auxz00_4833 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2790, BgL_auxz00_4833, BgL_auxz00_4835); } 
{ /* Cnst/alloc.scm 335 */
int BgL_auxz00_4838;
BgL_auxz00_4838 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2790, BgL_auxz00_4838, BgL_keywordz00_41); } 
BgL_arg2972z00_1555 = BgL_newz00_2790; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2keywordzd2envza2zd2zzcnst_allocz00, BgL_keywordz00_41, BgL_arg2972z00_1555); } 
{ /* Cnst/alloc.scm 336 */
obj_t BgL_arg2973z00_1556;
{ /* Cnst/alloc.scm 336 */
obj_t BgL_arg2974z00_1557;obj_t BgL_arg2975z00_1558;
BgL_arg2974z00_1557 = 
CNST_TABLE_REF(((long)11)); 
{ /* Cnst/alloc.scm 336 */
obj_t BgL_arg2976z00_1559;obj_t BgL_arg2977z00_1560;
{ /* Cnst/alloc.scm 336 */
obj_t BgL_arg2978z00_1561;obj_t BgL_arg2979z00_1562;
BgL_arg2978z00_1561 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 336 */
obj_t BgL_arg2980z00_1563;obj_t BgL_arg2981z00_1564;
BgL_arg2980z00_1563 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1554))->BgL_idz00); 
{ /* Cnst/alloc.scm 336 */
obj_t BgL_auxz00_4845;
BgL_auxz00_4845 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1554))->BgL_modulez00); 
BgL_arg2981z00_1564 = 
MAKE_PAIR(BgL_auxz00_4845, BNIL); } 
BgL_arg2979z00_1562 = 
MAKE_PAIR(BgL_arg2980z00_1563, BgL_arg2981z00_1564); } 
BgL_arg2976z00_1559 = 
MAKE_PAIR(BgL_arg2978z00_1561, BgL_arg2979z00_1562); } 
{ /* Cnst/alloc.scm 339 */
BgL_nodez00_bglt BgL_arg2984z00_1567;
{ /* Cnst/alloc.scm 339 */
BgL_appz00_bglt BgL_arg2986z00_1569;
{ /* Cnst/alloc.scm 339 */
obj_t BgL_arg2987z00_1570;obj_t BgL_arg2988z00_1571;BgL_varz00_bglt BgL_arg2990z00_1573;obj_t BgL_arg2991z00_1574;
BgL_arg2987z00_1570 = BgL_locz00_42; 
BgL_arg2988z00_1571 = BGl_za2keywordza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 342 */
obj_t BgL_arg2992z00_1575;obj_t BgL_arg2993z00_1576;obj_t BgL_arg2994z00_1577;
BgL_arg2992z00_1575 = BgL_locz00_42; 
BgL_arg2993z00_1576 = BGl_za2keywordza2z00zztype_cachez00; 
BgL_arg2994z00_1577 = BGl_za2stringzd2ze3keywordza2z31zzcnst_cachez00; 
{ /* Cnst/alloc.scm 341 */
BgL_varz00_bglt BgL_res3326z00_2821;
{ /* Cnst/alloc.scm 341 */
BgL_typez00_bglt BgL_type1723z00_2804;BgL_variablez00_bglt BgL_variable1724z00_2805;
BgL_type1723z00_2804 = 
(BgL_typez00_bglt)(BgL_arg2993z00_1576); 
BgL_variable1724z00_2805 = 
(BgL_variablez00_bglt)(BgL_arg2994z00_1577); 
{ /* Cnst/alloc.scm 341 */
BgL_varz00_bglt BgL_new1725z00_2806;
{ /* Cnst/alloc.scm 341 */
BgL_varz00_bglt BgL_res3324z00_2812;
{ /* Cnst/alloc.scm 341 */
BgL_varz00_bglt BgL_new1727z00_2807;
BgL_new1727z00_2807 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 341 */
long BgL_arg3249z00_2808;
BgL_arg3249z00_2808 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 341 */
BgL_objectz00_bglt BgL_auxz00_4854;
BgL_auxz00_4854 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2807); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4854, BgL_arg3249z00_2808); } } 
{ /* Cnst/alloc.scm 341 */
BgL_objectz00_bglt BgL_auxz00_4857;
BgL_auxz00_4857 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2807); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4857, BFALSE); } 
{ /* Cnst/alloc.scm 341 */
obj_t BgL_auxz00_4860;
BgL_auxz00_4860 = 
(obj_t)(BgL_new1727z00_2807); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4860); } BUNSPEC; 
BgL_res3324z00_2812 = BgL_new1727z00_2807; } 
BgL_new1725z00_2806 = BgL_res3324z00_2812; } 
{ /* Cnst/alloc.scm 341 */
BgL_varz00_bglt BgL_res3325z00_2820;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2806))->BgL_locz00) = ((obj_t)BgL_arg2992z00_1575), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2806))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1723z00_2804), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2806))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2805), BUNSPEC); 
BgL_res3325z00_2820 = BgL_new1725z00_2806; BgL_res3325z00_2820; } 
BgL_res3326z00_2821 = BgL_new1725z00_2806; } } 
BgL_arg2990z00_1573 = BgL_res3326z00_2821; } } 
{ /* Cnst/alloc.scm 346 */
BgL_atomz00_bglt BgL_arg2995z00_1578;
{ /* Cnst/alloc.scm 346 */
obj_t BgL_arg2997z00_1580;obj_t BgL_arg2998z00_1581;obj_t BgL_arg2999z00_1582;
BgL_arg2997z00_1580 = BgL_locz00_42; 
BgL_arg2998z00_1581 = BGl_za2stringza2z00zztype_cachez00; 
BgL_arg2999z00_1582 = 
KEYWORD_TO_STRING(BgL_keywordz00_41); 
{ /* Cnst/alloc.scm 345 */
BgL_atomz00_bglt BgL_res3329z00_2841;
{ /* Cnst/alloc.scm 345 */
BgL_typez00_bglt BgL_type1701z00_2824;
BgL_type1701z00_2824 = 
(BgL_typez00_bglt)(BgL_arg2998z00_1581); 
{ /* Cnst/alloc.scm 345 */
BgL_atomz00_bglt BgL_new1703z00_2826;
{ /* Cnst/alloc.scm 345 */
BgL_atomz00_bglt BgL_res3327z00_2832;
{ /* Cnst/alloc.scm 345 */
BgL_atomz00_bglt BgL_new1705z00_2827;
BgL_new1705z00_2827 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 345 */
long BgL_arg3250z00_2828;
BgL_arg3250z00_2828 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 345 */
BgL_objectz00_bglt BgL_auxz00_4870;
BgL_auxz00_4870 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2827); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4870, BgL_arg3250z00_2828); } } 
{ /* Cnst/alloc.scm 345 */
BgL_objectz00_bglt BgL_auxz00_4873;
BgL_auxz00_4873 = 
(BgL_objectz00_bglt)(BgL_new1705z00_2827); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4873, BFALSE); } 
{ /* Cnst/alloc.scm 345 */
obj_t BgL_auxz00_4876;
BgL_auxz00_4876 = 
(obj_t)(BgL_new1705z00_2827); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4876); } BUNSPEC; 
BgL_res3327z00_2832 = BgL_new1705z00_2827; } 
BgL_new1703z00_2826 = BgL_res3327z00_2832; } 
{ /* Cnst/alloc.scm 345 */
BgL_atomz00_bglt BgL_res3328z00_2840;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2826))->BgL_locz00) = ((obj_t)BgL_arg2997z00_1580), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2826))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_2824), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_2826))->BgL_valuez00) = ((obj_t)BgL_arg2999z00_1582), BUNSPEC); 
BgL_res3328z00_2840 = BgL_new1703z00_2826; BgL_res3328z00_2840; } 
BgL_res3329z00_2841 = BgL_new1703z00_2826; } } 
BgL_arg2995z00_1578 = BgL_res3329z00_2841; } } 
{ /* Cnst/alloc.scm 345 */
obj_t BgL_list2996z00_1579;
{ /* Cnst/alloc.scm 345 */
obj_t BgL_auxz00_4882;
BgL_auxz00_4882 = 
(obj_t)(BgL_arg2995z00_1578); 
BgL_list2996z00_1579 = 
MAKE_PAIR(BgL_auxz00_4882, BNIL); } 
BgL_arg2991z00_1574 = BgL_list2996z00_1579; } } 
{ /* Cnst/alloc.scm 338 */
BgL_appz00_bglt BgL_res3333z00_2871;
{ /* Cnst/alloc.scm 338 */
BgL_typez00_bglt BgL_type1834z00_2845;obj_t BgL_key1836z00_2847;
BgL_type1834z00_2845 = 
(BgL_typez00_bglt)(BgL_arg2988z00_1571); 
BgL_key1836z00_2847 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 338 */
BgL_appz00_bglt BgL_new1839z00_2850;
{ /* Cnst/alloc.scm 338 */
BgL_appz00_bglt BgL_res3331z00_2856;
{ /* Cnst/alloc.scm 338 */
BgL_appz00_bglt BgL_new1841z00_2851;
BgL_new1841z00_2851 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 338 */
long BgL_arg3245z00_2852;
BgL_arg3245z00_2852 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 338 */
BgL_objectz00_bglt BgL_auxz00_4889;
BgL_auxz00_4889 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2851); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4889, BgL_arg3245z00_2852); } } 
{ /* Cnst/alloc.scm 338 */
BgL_objectz00_bglt BgL_auxz00_4892;
BgL_auxz00_4892 = 
(BgL_objectz00_bglt)(BgL_new1841z00_2851); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4892, BFALSE); } 
{ /* Cnst/alloc.scm 338 */
obj_t BgL_auxz00_4895;
BgL_auxz00_4895 = 
(obj_t)(BgL_new1841z00_2851); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4895); } BUNSPEC; 
BgL_res3331z00_2856 = BgL_new1841z00_2851; } 
BgL_new1839z00_2850 = BgL_res3331z00_2856; } 
{ /* Cnst/alloc.scm 338 */
BgL_appz00_bglt BgL_res3332z00_2870;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_locz00) = ((obj_t)BgL_arg2987z00_1570), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_2845), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_keyz00) = ((obj_t)BgL_key1836z00_2847), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg2990z00_1573), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_2850))->BgL_argsz00) = ((obj_t)BgL_arg2991z00_1574), BUNSPEC); 
BgL_res3332z00_2870 = BgL_new1839z00_2850; BgL_res3332z00_2870; } 
BgL_res3333z00_2871 = BgL_new1839z00_2850; } } 
BgL_arg2986z00_1569 = BgL_res3333z00_2871; } } 
BgL_arg2984z00_1567 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2986z00_1569), 
(obj_t)(BgL_varz00_1554), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Cnst/alloc.scm 336 */
obj_t BgL_auxz00_4908;
BgL_auxz00_4908 = 
(obj_t)(BgL_arg2984z00_1567); 
BgL_arg2977z00_1560 = 
MAKE_PAIR(BgL_auxz00_4908, BNIL); } } 
BgL_arg2975z00_1558 = 
MAKE_PAIR(BgL_arg2976z00_1559, BgL_arg2977z00_1560); } 
BgL_arg2973z00_1556 = 
MAKE_PAIR(BgL_arg2974z00_1557, BgL_arg2975z00_1558); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg2973z00_1556, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 353 */
obj_t BgL_arg3000z00_1583;BgL_typez00_bglt BgL_arg3001z00_1584;
BgL_arg3000z00_1583 = BgL_locz00_42; 
{ /* Cnst/alloc.scm 354 */
BgL_variablez00_bglt BgL_obj1190z00_2873;
BgL_obj1190z00_2873 = 
(BgL_variablez00_bglt)(BgL_varz00_1554); 
BgL_arg3001z00_1584 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2873))->BgL_typez00); } 
{ /* Cnst/alloc.scm 352 */
BgL_varz00_bglt BgL_res3336z00_2892;
{ /* Cnst/alloc.scm 352 */
BgL_variablez00_bglt BgL_variable1724z00_2876;
{ /* Cnst/alloc.scm 355 */
BgL_globalz00_bglt BgL_auxz00_4916;
BgL_auxz00_4916 = BgL_varz00_1554; 
BgL_variable1724z00_2876 = 
(BgL_variablez00_bglt)(BgL_auxz00_4916); } 
{ /* Cnst/alloc.scm 352 */
BgL_varz00_bglt BgL_new1725z00_2877;
{ /* Cnst/alloc.scm 352 */
BgL_varz00_bglt BgL_res3334z00_2883;
{ /* Cnst/alloc.scm 352 */
BgL_varz00_bglt BgL_new1727z00_2878;
BgL_new1727z00_2878 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 352 */
long BgL_arg3249z00_2879;
BgL_arg3249z00_2879 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 352 */
BgL_objectz00_bglt BgL_auxz00_4920;
BgL_auxz00_4920 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2878); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4920, BgL_arg3249z00_2879); } } 
{ /* Cnst/alloc.scm 352 */
BgL_objectz00_bglt BgL_auxz00_4923;
BgL_auxz00_4923 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2878); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4923, BFALSE); } 
{ /* Cnst/alloc.scm 352 */
obj_t BgL_auxz00_4926;
BgL_auxz00_4926 = 
(obj_t)(BgL_new1727z00_2878); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4926); } BUNSPEC; 
BgL_res3334z00_2883 = BgL_new1727z00_2878; } 
BgL_new1725z00_2877 = BgL_res3334z00_2883; } 
{ /* Cnst/alloc.scm 352 */
BgL_varz00_bglt BgL_res3335z00_2891;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2877))->BgL_locz00) = ((obj_t)BgL_arg3000z00_1583), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2877))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3001z00_1584), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2877))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2876), BUNSPEC); 
BgL_res3335z00_2891 = BgL_new1725z00_2877; BgL_res3335z00_2891; } 
BgL_res3336z00_2892 = BgL_new1725z00_2877; } } 
BgL_auxz00_4819 = BgL_res3336z00_2892; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4819);} }  else 
{ /* Cnst/alloc.scm 372 */
{ /* Cnst/alloc.scm 377 */
BgL_appz00_bglt BgL_auxz00_4933;
{ /* Cnst/alloc.scm 357 */
long BgL_offsetz00_1551;
BgL_offsetz00_1551 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 358 */
long BgL_za72za7_2774;
BgL_za72za7_2774 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_2774); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_keywordz00_41, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
{ /* Cnst/alloc.scm 360 */
obj_t BgL_arg2970z00_1552;
{ /* Cnst/alloc.scm 360 */
obj_t BgL_newz00_2777;
{ /* Cnst/alloc.scm 360 */
int BgL_auxz00_4938;obj_t BgL_auxz00_4936;
BgL_auxz00_4938 = 
(int)(((long)2)); 
BgL_auxz00_4936 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2777 = 
create_struct(BgL_auxz00_4936, BgL_auxz00_4938); } 
{ /* Cnst/alloc.scm 360 */
obj_t BgL_auxz00_4943;int BgL_auxz00_4941;
BgL_auxz00_4943 = 
BINT(BgL_offsetz00_1551); 
BgL_auxz00_4941 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2777, BgL_auxz00_4941, BgL_auxz00_4943); } 
{ /* Cnst/alloc.scm 360 */
int BgL_auxz00_4946;
BgL_auxz00_4946 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2777, BgL_auxz00_4946, BgL_keywordz00_41); } 
BgL_arg2970z00_1552 = BgL_newz00_2777; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2keywordzd2envza2zd2zzcnst_allocz00, BgL_keywordz00_41, BgL_arg2970z00_1552); } 
BgL_auxz00_4933 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1551), BgL_locz00_42); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4933);} } } } } } 
}



/* _cnst-alloc-keyword */
obj_t BGl__cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t BgL_envz00_4177, obj_t BgL_keywordz00_4178, obj_t BgL_locz00_4179)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 328 */
{ /* Cnst/alloc.scm 328 */
BgL_nodez00_bglt BgL_auxz00_4953;
BgL_auxz00_4953 = 
BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(BgL_keywordz00_4178, BgL_locz00_4179); 
return 
(obj_t)(BgL_auxz00_4953);} } 
}



/* cnst-alloc-procedure */
BgL_nodez00_bglt BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt BgL_procedurez00_43, obj_t BgL_locz00_44)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 382 */
{ /* Cnst/alloc.scm 383 */
BgL_globalz00_bglt BgL_varz00_1593;
{ /* Cnst/alloc.scm 383 */
obj_t BgL_arg3011z00_1597;obj_t BgL_arg3012z00_1598;
{ /* Cnst/alloc.scm 383 */
obj_t BgL_arg3013z00_1599;
BgL_arg3013z00_1599 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)18)), BEOA); 
BgL_arg3011z00_1597 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3013z00_1599, 
CNST_TABLE_REF(((long)19))); } 
BgL_arg3012z00_1598 = 
CNST_TABLE_REF(((long)20)); 
BgL_varz00_1593 = 
BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_arg3011z00_1597, BGl_za2moduleza2z00zzmodule_modulez00, 
(obj_t)(BgL_procedurez00_43), BgL_arg3012z00_1598, BgL_locz00_44); } 
{ /* Cnst/alloc.scm 389 */
obj_t BgL_arg3008z00_1594;BgL_typez00_bglt BgL_arg3009z00_1595;
BgL_arg3008z00_1594 = BgL_locz00_44; 
{ /* Cnst/alloc.scm 390 */
BgL_variablez00_bglt BgL_obj1190z00_2893;
BgL_obj1190z00_2893 = 
(BgL_variablez00_bglt)(BgL_varz00_1593); 
BgL_arg3009z00_1595 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2893))->BgL_typez00); } 
{ /* Cnst/alloc.scm 388 */
BgL_varz00_bglt BgL_res3339z00_2912;
{ /* Cnst/alloc.scm 388 */
BgL_variablez00_bglt BgL_variable1724z00_2896;
{ /* Cnst/alloc.scm 391 */
BgL_globalz00_bglt BgL_auxz00_4966;
BgL_auxz00_4966 = BgL_varz00_1593; 
BgL_variable1724z00_2896 = 
(BgL_variablez00_bglt)(BgL_auxz00_4966); } 
{ /* Cnst/alloc.scm 388 */
BgL_varz00_bglt BgL_new1725z00_2897;
{ /* Cnst/alloc.scm 388 */
BgL_varz00_bglt BgL_res3337z00_2903;
{ /* Cnst/alloc.scm 388 */
BgL_varz00_bglt BgL_new1727z00_2898;
BgL_new1727z00_2898 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 388 */
long BgL_arg3249z00_2899;
BgL_arg3249z00_2899 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 388 */
BgL_objectz00_bglt BgL_auxz00_4970;
BgL_auxz00_4970 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2898); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4970, BgL_arg3249z00_2899); } } 
{ /* Cnst/alloc.scm 388 */
BgL_objectz00_bglt BgL_auxz00_4973;
BgL_auxz00_4973 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2898); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4973, BFALSE); } 
{ /* Cnst/alloc.scm 388 */
obj_t BgL_auxz00_4976;
BgL_auxz00_4976 = 
(obj_t)(BgL_new1727z00_2898); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4976); } BUNSPEC; 
BgL_res3337z00_2903 = BgL_new1727z00_2898; } 
BgL_new1725z00_2897 = BgL_res3337z00_2903; } 
{ /* Cnst/alloc.scm 388 */
BgL_varz00_bglt BgL_res3338z00_2911;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2897))->BgL_locz00) = ((obj_t)BgL_arg3008z00_1594), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2897))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3009z00_1595), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2897))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2896), BUNSPEC); 
BgL_res3338z00_2911 = BgL_new1725z00_2897; BgL_res3338z00_2911; } 
BgL_res3339z00_2912 = BgL_new1725z00_2897; } } 
return 
(BgL_nodez00_bglt)(BgL_res3339z00_2912);} } } } 
}



/* _cnst-alloc-procedure */
obj_t BGl__cnstzd2alloczd2procedurez00zzcnst_allocz00(obj_t BgL_envz00_4180, obj_t BgL_procedurez00_4181, obj_t BgL_locz00_4182)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 382 */
{ /* Cnst/alloc.scm 382 */
BgL_nodez00_bglt BgL_auxz00_4983;
BgL_auxz00_4983 = 
BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(
(BgL_nodez00_bglt)(BgL_procedurez00_4181), BgL_locz00_4182); 
return 
(obj_t)(BgL_auxz00_4983);} } 
}



/* cnst-alloc-real */
BgL_nodez00_bglt BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t BgL_realz00_45, obj_t BgL_locz00_46)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 396 */
{ 

{ /* Cnst/alloc.scm 417 */
obj_t BgL_oldz00_1603;
{ 
obj_t BgL_listz00_1608;
BgL_listz00_1608 = BGl_za2realzd2envza2zd2zzcnst_allocz00; 
BgL_loopz00_1609:
if(
NULLP(BgL_listz00_1608))
{ /* Cnst/alloc.scm 411 */
BgL_oldz00_1603 = BFALSE; }  else 
{ /* Cnst/alloc.scm 413 */
bool_t BgL_testz00_4989;
{ /* Cnst/alloc.scm 413 */
double BgL_auxz00_4996;double BgL_auxz00_4990;
BgL_auxz00_4996 = 
REAL_TO_DOUBLE(BgL_realz00_45); 
{ /* Cnst/alloc.scm 413 */
obj_t BgL_auxz00_4991;
{ /* Cnst/alloc.scm 413 */
obj_t BgL_auxz00_4992;
BgL_auxz00_4992 = 
CAR(BgL_listz00_1608); 
BgL_auxz00_4991 = 
CAR(BgL_auxz00_4992); } 
BgL_auxz00_4990 = 
REAL_TO_DOUBLE(BgL_auxz00_4991); } 
BgL_testz00_4989 = 
(BgL_auxz00_4990==BgL_auxz00_4996); } 
if(BgL_testz00_4989)
{ /* Cnst/alloc.scm 413 */
{ /* Cnst/alloc.scm 414 */
obj_t BgL_auxz00_4999;
BgL_auxz00_4999 = 
CAR(BgL_listz00_1608); 
BgL_oldz00_1603 = 
CDR(BgL_auxz00_4999); } }  else 
{ /* Cnst/alloc.scm 413 */
{ 
obj_t BgL_listz00_5002;
BgL_listz00_5002 = 
CDR(BgL_listz00_1608); 
BgL_listz00_1608 = BgL_listz00_5002; 
goto BgL_loopz00_1609;} } } } 
if(
CBOOL(BgL_oldz00_1603))
{ /* Cnst/alloc.scm 419 */
{ /* Cnst/alloc.scm 421 */
obj_t BgL_arg3015z00_1604;BgL_typez00_bglt BgL_arg3016z00_1605;
BgL_arg3015z00_1604 = BgL_locz00_46; 
{ /* Cnst/alloc.scm 422 */
BgL_variablez00_bglt BgL_obj1190z00_2913;
BgL_obj1190z00_2913 = 
(BgL_variablez00_bglt)(BgL_oldz00_1603); 
BgL_arg3016z00_1605 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2913))->BgL_typez00); } 
{ /* Cnst/alloc.scm 420 */
BgL_varz00_bglt BgL_res3342z00_2932;
{ /* Cnst/alloc.scm 420 */
BgL_variablez00_bglt BgL_variable1724z00_2916;
{ /* Cnst/alloc.scm 423 */
obj_t BgL_auxz00_5008;
BgL_auxz00_5008 = BgL_oldz00_1603; 
BgL_variable1724z00_2916 = 
(BgL_variablez00_bglt)(BgL_auxz00_5008); } 
{ /* Cnst/alloc.scm 420 */
BgL_varz00_bglt BgL_new1725z00_2917;
{ /* Cnst/alloc.scm 420 */
BgL_varz00_bglt BgL_res3340z00_2923;
{ /* Cnst/alloc.scm 420 */
BgL_varz00_bglt BgL_new1727z00_2918;
BgL_new1727z00_2918 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 420 */
long BgL_arg3249z00_2919;
BgL_arg3249z00_2919 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 420 */
BgL_objectz00_bglt BgL_auxz00_5012;
BgL_auxz00_5012 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2918); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5012, BgL_arg3249z00_2919); } } 
{ /* Cnst/alloc.scm 420 */
BgL_objectz00_bglt BgL_auxz00_5015;
BgL_auxz00_5015 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2918); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5015, BFALSE); } 
{ /* Cnst/alloc.scm 420 */
obj_t BgL_auxz00_5018;
BgL_auxz00_5018 = 
(obj_t)(BgL_new1727z00_2918); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5018); } BUNSPEC; 
BgL_res3340z00_2923 = BgL_new1727z00_2918; } 
BgL_new1725z00_2917 = BgL_res3340z00_2923; } 
{ /* Cnst/alloc.scm 420 */
BgL_varz00_bglt BgL_res3341z00_2931;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2917))->BgL_locz00) = ((obj_t)BgL_arg3015z00_1604), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2917))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3016z00_1605), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2917))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2916), BUNSPEC); 
BgL_res3341z00_2931 = BgL_new1725z00_2917; BgL_res3341z00_2931; } 
BgL_res3342z00_2932 = BgL_new1725z00_2917; } } 
return 
(BgL_nodez00_bglt)(BgL_res3342z00_2932);} } }  else 
{ /* Cnst/alloc.scm 419 */
{ /* Cnst/alloc.scm 425 */
BgL_varz00_bglt BgL_auxz00_5025;
{ /* Cnst/alloc.scm 398 */
BgL_globalz00_bglt BgL_varz00_1617;
{ /* Cnst/alloc.scm 398 */
obj_t BgL_arg3030z00_1622;obj_t BgL_arg3031z00_1623;
{ /* Cnst/alloc.scm 398 */
obj_t BgL_arg3032z00_1624;
BgL_arg3032z00_1624 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)21)), BEOA); 
BgL_arg3030z00_1622 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3032z00_1624, 
CNST_TABLE_REF(((long)21))); } 
BgL_arg3031z00_1623 = 
CNST_TABLE_REF(((long)22)); 
BgL_varz00_1617 = 
BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_arg3030z00_1622, BGl_za2moduleza2z00zzmodule_modulez00, BgL_realz00_45, BgL_arg3031z00_1623, BgL_locz00_46); } 
{ /* Cnst/alloc.scm 403 */
obj_t BgL_arg3026z00_1618;
{ /* Cnst/alloc.scm 403 */
obj_t BgL_auxz00_5033;
BgL_auxz00_5033 = 
(obj_t)(BgL_varz00_1617); 
BgL_arg3026z00_1618 = 
MAKE_PAIR(BgL_realz00_45, BgL_auxz00_5033); } 
BGl_za2realzd2envza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3026z00_1618, BGl_za2realzd2envza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 405 */
obj_t BgL_arg3027z00_1619;BgL_typez00_bglt BgL_arg3028z00_1620;
BgL_arg3027z00_1619 = BgL_locz00_46; 
{ /* Cnst/alloc.scm 406 */
BgL_variablez00_bglt BgL_obj1190z00_2941;
BgL_obj1190z00_2941 = 
(BgL_variablez00_bglt)(BgL_varz00_1617); 
BgL_arg3028z00_1620 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_2941))->BgL_typez00); } 
{ /* Cnst/alloc.scm 404 */
BgL_varz00_bglt BgL_res3345z00_2960;
{ /* Cnst/alloc.scm 404 */
BgL_variablez00_bglt BgL_variable1724z00_2944;
{ /* Cnst/alloc.scm 407 */
BgL_globalz00_bglt BgL_auxz00_5039;
BgL_auxz00_5039 = BgL_varz00_1617; 
BgL_variable1724z00_2944 = 
(BgL_variablez00_bglt)(BgL_auxz00_5039); } 
{ /* Cnst/alloc.scm 404 */
BgL_varz00_bglt BgL_new1725z00_2945;
{ /* Cnst/alloc.scm 404 */
BgL_varz00_bglt BgL_res3343z00_2951;
{ /* Cnst/alloc.scm 404 */
BgL_varz00_bglt BgL_new1727z00_2946;
BgL_new1727z00_2946 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 404 */
long BgL_arg3249z00_2947;
BgL_arg3249z00_2947 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 404 */
BgL_objectz00_bglt BgL_auxz00_5043;
BgL_auxz00_5043 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2946); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5043, BgL_arg3249z00_2947); } } 
{ /* Cnst/alloc.scm 404 */
BgL_objectz00_bglt BgL_auxz00_5046;
BgL_auxz00_5046 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2946); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5046, BFALSE); } 
{ /* Cnst/alloc.scm 404 */
obj_t BgL_auxz00_5049;
BgL_auxz00_5049 = 
(obj_t)(BgL_new1727z00_2946); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5049); } BUNSPEC; 
BgL_res3343z00_2951 = BgL_new1727z00_2946; } 
BgL_new1725z00_2945 = BgL_res3343z00_2951; } 
{ /* Cnst/alloc.scm 404 */
BgL_varz00_bglt BgL_res3344z00_2959;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2945))->BgL_locz00) = ((obj_t)BgL_arg3027z00_1619), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2945))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3028z00_1620), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2945))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2944), BUNSPEC); 
BgL_res3344z00_2959 = BgL_new1725z00_2945; BgL_res3344z00_2959; } 
BgL_res3345z00_2960 = BgL_new1725z00_2945; } } 
BgL_auxz00_5025 = BgL_res3345z00_2960; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5025);} } } } } 
}



/* _cnst-alloc-real */
obj_t BGl__cnstzd2alloczd2realz00zzcnst_allocz00(obj_t BgL_envz00_4183, obj_t BgL_realz00_4184, obj_t BgL_locz00_4185)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 396 */
{ /* Cnst/alloc.scm 396 */
BgL_nodez00_bglt BgL_auxz00_5056;
BgL_auxz00_5056 = 
BGl_cnstzd2alloczd2realz00zzcnst_allocz00(BgL_realz00_4184, BgL_locz00_4185); 
return 
(obj_t)(BgL_auxz00_5056);} } 
}



/* cnst-alloc-list */
BgL_nodez00_bglt BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t BgL_pairz00_47, obj_t BgL_locz00_48)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 430 */
{ 

{ /* Cnst/alloc.scm 474 */
obj_t BgL_oldz00_1631;
{ /* Cnst/alloc.scm 474 */
obj_t BgL__andtest_2774z00_1638;
BgL__andtest_2774z00_1638 = BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00; 
if(
CBOOL(BgL__andtest_2774z00_1638))
{ 
obj_t BgL_envz00_1639;
BgL_envz00_1639 = BGl_za2listzd2envza2zd2zzcnst_allocz00; 
BgL_loopz00_1640:
if(
NULLP(BgL_envz00_1639))
{ /* Cnst/alloc.scm 477 */
BgL_oldz00_1631 = BFALSE; }  else 
{ /* Cnst/alloc.scm 479 */
bool_t BgL_testz00_5063;
{ /* Cnst/alloc.scm 479 */
obj_t BgL_auxz00_5064;
{ /* Cnst/alloc.scm 479 */
int BgL_auxz00_5067;obj_t BgL_auxz00_5065;
BgL_auxz00_5067 = 
(int)(((long)0)); 
BgL_auxz00_5065 = 
CAR(BgL_envz00_1639); 
BgL_auxz00_5064 = 
STRUCT_REF(BgL_auxz00_5065, BgL_auxz00_5067); } 
BgL_testz00_5063 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_auxz00_5064, BgL_pairz00_47); } 
if(BgL_testz00_5063)
{ /* Cnst/alloc.scm 479 */
BgL_oldz00_1631 = 
CAR(BgL_envz00_1639); }  else 
{ /* Cnst/alloc.scm 479 */
{ 
obj_t BgL_envz00_5072;
BgL_envz00_5072 = 
CDR(BgL_envz00_1639); 
BgL_envz00_1639 = BgL_envz00_5072; 
goto BgL_loopz00_1640;} } } }  else 
{ /* Cnst/alloc.scm 474 */
BgL_oldz00_1631 = BFALSE; } } 
if(
CBOOL(BgL_oldz00_1631))
{ /* Cnst/alloc.scm 484 */
{ /* Cnst/alloc.scm 485 */
bool_t BgL_test3034z00_1632;
{ /* Cnst/alloc.scm 485 */
obj_t BgL_auxz00_5076;
BgL_auxz00_5076 = 
CNST_TABLE_REF(((long)13)); 
BgL_test3034z00_1632 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_5076); } 
if(BgL_test3034z00_1632)
{ /* Cnst/alloc.scm 487 */
obj_t BgL_arg3035z00_1633;BgL_typez00_bglt BgL_arg3036z00_1634;obj_t BgL_arg3037z00_1635;
BgL_arg3035z00_1633 = BgL_locz00_48; 
BgL_arg3036z00_1634 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 489 */
int BgL_auxz00_5081;
BgL_auxz00_5081 = 
(int)(((long)1)); 
BgL_arg3037z00_1635 = 
STRUCT_REF(BgL_oldz00_1631, BgL_auxz00_5081); } 
{ /* Cnst/alloc.scm 486 */
BgL_varz00_bglt BgL_res3348z00_2989;
{ /* Cnst/alloc.scm 486 */
BgL_variablez00_bglt BgL_variable1724z00_2973;
BgL_variable1724z00_2973 = 
(BgL_variablez00_bglt)(BgL_arg3037z00_1635); 
{ /* Cnst/alloc.scm 486 */
BgL_varz00_bglt BgL_new1725z00_2974;
{ /* Cnst/alloc.scm 486 */
BgL_varz00_bglt BgL_res3346z00_2980;
{ /* Cnst/alloc.scm 486 */
BgL_varz00_bglt BgL_new1727z00_2975;
BgL_new1727z00_2975 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 486 */
long BgL_arg3249z00_2976;
BgL_arg3249z00_2976 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 486 */
BgL_objectz00_bglt BgL_auxz00_5087;
BgL_auxz00_5087 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2975); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5087, BgL_arg3249z00_2976); } } 
{ /* Cnst/alloc.scm 486 */
BgL_objectz00_bglt BgL_auxz00_5090;
BgL_auxz00_5090 = 
(BgL_objectz00_bglt)(BgL_new1727z00_2975); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5090, BFALSE); } 
{ /* Cnst/alloc.scm 486 */
obj_t BgL_auxz00_5093;
BgL_auxz00_5093 = 
(obj_t)(BgL_new1727z00_2975); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5093); } BUNSPEC; 
BgL_res3346z00_2980 = BgL_new1727z00_2975; } 
BgL_new1725z00_2974 = BgL_res3346z00_2980; } 
{ /* Cnst/alloc.scm 486 */
BgL_varz00_bglt BgL_res3347z00_2988;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2974))->BgL_locz00) = ((obj_t)BgL_arg3035z00_1633), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2974))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3036z00_1634), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_2974))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_2973), BUNSPEC); 
BgL_res3347z00_2988 = BgL_new1725z00_2974; BgL_res3347z00_2988; } 
BgL_res3348z00_2989 = BgL_new1725z00_2974; } } 
return 
(BgL_nodez00_bglt)(BgL_res3348z00_2989);} }  else 
{ /* Cnst/alloc.scm 490 */
BgL_appz00_bglt BgL_auxz00_5100;
{ /* Cnst/alloc.scm 490 */
obj_t BgL_auxz00_5101;
{ /* Cnst/alloc.scm 490 */
int BgL_auxz00_5102;
BgL_auxz00_5102 = 
(int)(((long)1)); 
BgL_auxz00_5101 = 
STRUCT_REF(BgL_oldz00_1631, BgL_auxz00_5102); } 
BgL_auxz00_5100 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BgL_auxz00_5101, BgL_locz00_48); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5100);} } }  else 
{ /* Cnst/alloc.scm 491 */
bool_t BgL_test3039z00_1637;
{ /* Cnst/alloc.scm 491 */
obj_t BgL_auxz00_5107;
BgL_auxz00_5107 = 
CNST_TABLE_REF(((long)13)); 
BgL_test3039z00_1637 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_5107); } 
if(BgL_test3039z00_1637)
{ /* Cnst/alloc.scm 491 */
{ /* Cnst/alloc.scm 492 */
BgL_varz00_bglt BgL_auxz00_5111;
{ /* Cnst/alloc.scm 455 */
BgL_globalz00_bglt BgL_varz00_1650;
{ /* Cnst/alloc.scm 455 */
obj_t BgL_arg3066z00_1669;obj_t BgL_arg3067z00_1670;obj_t BgL_arg3068z00_1671;
{ /* Cnst/alloc.scm 455 */
obj_t BgL_arg3069z00_1672;
BgL_arg3069z00_1672 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)23)), BEOA); 
BgL_arg3066z00_1669 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3069z00_1672, 
CNST_TABLE_REF(((long)24))); } 
BgL_arg3067z00_1670 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3068z00_1671 = 
CNST_TABLE_REF(((long)3)); 
BgL_varz00_1650 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg3066z00_1669, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3067z00_1670, BgL_arg3068z00_1671); } 
if(
CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
{ /* Cnst/alloc.scm 460 */
obj_t BgL_arg3048z00_1651;
{ /* Cnst/alloc.scm 460 */
obj_t BgL_newz00_3010;
{ /* Cnst/alloc.scm 460 */
int BgL_auxz00_5124;obj_t BgL_auxz00_5122;
BgL_auxz00_5124 = 
(int)(((long)2)); 
BgL_auxz00_5122 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_3010 = 
create_struct(BgL_auxz00_5122, BgL_auxz00_5124); } 
{ /* Cnst/alloc.scm 460 */
obj_t BgL_auxz00_5129;int BgL_auxz00_5127;
BgL_auxz00_5129 = 
(obj_t)(BgL_varz00_1650); 
BgL_auxz00_5127 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_3010, BgL_auxz00_5127, BgL_auxz00_5129); } 
{ /* Cnst/alloc.scm 460 */
int BgL_auxz00_5132;
BgL_auxz00_5132 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_3010, BgL_auxz00_5132, BgL_pairz00_47); } 
BgL_arg3048z00_1651 = BgL_newz00_3010; } 
BGl_za2listzd2envza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3048z00_1651, BGl_za2listzd2envza2zd2zzcnst_allocz00); }  else 
{ /* Cnst/alloc.scm 459 */BFALSE; } 
{ /* Cnst/alloc.scm 461 */
obj_t BgL_arg3049z00_1652;
{ /* Cnst/alloc.scm 461 */
obj_t BgL_arg3050z00_1653;obj_t BgL_arg3051z00_1654;
BgL_arg3050z00_1653 = 
CNST_TABLE_REF(((long)11)); 
{ /* Cnst/alloc.scm 461 */
obj_t BgL_arg3052z00_1655;obj_t BgL_arg3053z00_1656;
{ /* Cnst/alloc.scm 461 */
obj_t BgL_arg3054z00_1657;obj_t BgL_arg3055z00_1658;
BgL_arg3054z00_1657 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 461 */
obj_t BgL_arg3056z00_1659;obj_t BgL_arg3057z00_1660;
BgL_arg3056z00_1659 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1650))->BgL_idz00); 
{ /* Cnst/alloc.scm 461 */
obj_t BgL_auxz00_5139;
BgL_auxz00_5139 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1650))->BgL_modulez00); 
BgL_arg3057z00_1660 = 
MAKE_PAIR(BgL_auxz00_5139, BNIL); } 
BgL_arg3055z00_1658 = 
MAKE_PAIR(BgL_arg3056z00_1659, BgL_arg3057z00_1660); } 
BgL_arg3052z00_1655 = 
MAKE_PAIR(BgL_arg3054z00_1657, BgL_arg3055z00_1658); } 
{ /* Cnst/alloc.scm 462 */
BgL_nodez00_bglt BgL_arg3060z00_1663;
{ /* Cnst/alloc.scm 462 */
obj_t BgL_arg3062z00_1665;
BgL_arg3062z00_1665 = 
BGl_cnstzd2listzd2zzcnst_allocz00(BgL_locz00_48, BgL_pairz00_47); 
BgL_arg3060z00_1663 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg3062z00_1665), 
(obj_t)(BgL_varz00_1650), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Cnst/alloc.scm 461 */
obj_t BgL_auxz00_5149;
BgL_auxz00_5149 = 
(obj_t)(BgL_arg3060z00_1663); 
BgL_arg3053z00_1656 = 
MAKE_PAIR(BgL_auxz00_5149, BNIL); } } 
BgL_arg3051z00_1654 = 
MAKE_PAIR(BgL_arg3052z00_1655, BgL_arg3053z00_1656); } 
BgL_arg3049z00_1652 = 
MAKE_PAIR(BgL_arg3050z00_1653, BgL_arg3051z00_1654); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3049z00_1652, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 464 */
obj_t BgL_arg3063z00_1666;BgL_typez00_bglt BgL_arg3064z00_1667;
BgL_arg3063z00_1666 = BgL_locz00_48; 
{ /* Cnst/alloc.scm 465 */
BgL_variablez00_bglt BgL_obj1190z00_3024;
BgL_obj1190z00_3024 = 
(BgL_variablez00_bglt)(BgL_varz00_1650); 
BgL_arg3064z00_1667 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3024))->BgL_typez00); } 
{ /* Cnst/alloc.scm 463 */
BgL_varz00_bglt BgL_res3351z00_3043;
{ /* Cnst/alloc.scm 463 */
BgL_variablez00_bglt BgL_variable1724z00_3027;
{ /* Cnst/alloc.scm 466 */
BgL_globalz00_bglt BgL_auxz00_5157;
BgL_auxz00_5157 = BgL_varz00_1650; 
BgL_variable1724z00_3027 = 
(BgL_variablez00_bglt)(BgL_auxz00_5157); } 
{ /* Cnst/alloc.scm 463 */
BgL_varz00_bglt BgL_new1725z00_3028;
{ /* Cnst/alloc.scm 463 */
BgL_varz00_bglt BgL_res3349z00_3034;
{ /* Cnst/alloc.scm 463 */
BgL_varz00_bglt BgL_new1727z00_3029;
BgL_new1727z00_3029 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 463 */
long BgL_arg3249z00_3030;
BgL_arg3249z00_3030 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 463 */
BgL_objectz00_bglt BgL_auxz00_5161;
BgL_auxz00_5161 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3029); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5161, BgL_arg3249z00_3030); } } 
{ /* Cnst/alloc.scm 463 */
BgL_objectz00_bglt BgL_auxz00_5164;
BgL_auxz00_5164 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3029); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5164, BFALSE); } 
{ /* Cnst/alloc.scm 463 */
obj_t BgL_auxz00_5167;
BgL_auxz00_5167 = 
(obj_t)(BgL_new1727z00_3029); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5167); } BUNSPEC; 
BgL_res3349z00_3034 = BgL_new1727z00_3029; } 
BgL_new1725z00_3028 = BgL_res3349z00_3034; } 
{ /* Cnst/alloc.scm 463 */
BgL_varz00_bglt BgL_res3350z00_3042;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3028))->BgL_locz00) = ((obj_t)BgL_arg3063z00_1666), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3028))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3064z00_1667), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3028))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3027), BUNSPEC); 
BgL_res3350z00_3042 = BgL_new1725z00_3028; BgL_res3350z00_3042; } 
BgL_res3351z00_3043 = BgL_new1725z00_3028; } } 
BgL_auxz00_5111 = BgL_res3351z00_3043; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5111);} }  else 
{ /* Cnst/alloc.scm 491 */
{ /* Cnst/alloc.scm 494 */
BgL_appz00_bglt BgL_auxz00_5174;
{ /* Cnst/alloc.scm 468 */
long BgL_offsetz00_1647;
BgL_offsetz00_1647 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 469 */
long BgL_za72za7_2994;
BgL_za72za7_2994 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_2994); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_pairz00_47, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
if(
CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
{ /* Cnst/alloc.scm 472 */
obj_t BgL_arg3046z00_1648;
{ /* Cnst/alloc.scm 472 */
obj_t BgL_newz00_2997;
{ /* Cnst/alloc.scm 472 */
int BgL_auxz00_5181;obj_t BgL_auxz00_5179;
BgL_auxz00_5181 = 
(int)(((long)2)); 
BgL_auxz00_5179 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_2997 = 
create_struct(BgL_auxz00_5179, BgL_auxz00_5181); } 
{ /* Cnst/alloc.scm 472 */
obj_t BgL_auxz00_5186;int BgL_auxz00_5184;
BgL_auxz00_5186 = 
BINT(BgL_offsetz00_1647); 
BgL_auxz00_5184 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2997, BgL_auxz00_5184, BgL_auxz00_5186); } 
{ /* Cnst/alloc.scm 472 */
int BgL_auxz00_5189;
BgL_auxz00_5189 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2997, BgL_auxz00_5189, BgL_pairz00_47); } 
BgL_arg3046z00_1648 = BgL_newz00_2997; } 
BGl_za2listzd2envza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3046z00_1648, BGl_za2listzd2envza2zd2zzcnst_allocz00); }  else 
{ /* Cnst/alloc.scm 471 */BFALSE; } 
BgL_auxz00_5174 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1647), BgL_locz00_48); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5174);} } } } } } 
}



/* cnst-list */
obj_t BGl_cnstzd2listzd2zzcnst_allocz00(obj_t BgL_locz00_4195, obj_t BgL_pairz00_1674)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 453 */
return 
BGl_loopz00zzcnst_allocz00(BgL_locz00_4195, BgL_pairz00_1674);} 
}



/* loop */
obj_t BGl_loopz00zzcnst_allocz00(obj_t BgL_locz00_4196, obj_t BgL_pairz00_1676)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 432 */
if(
NULLP(BgL_pairz00_1676))
{ /* Cnst/alloc.scm 434 */
{ /* Cnst/alloc.scm 435 */
obj_t BgL_arg3073z00_1679;obj_t BgL_arg3074z00_1680;
BgL_arg3073z00_1679 = BgL_locz00_4196; 
BgL_arg3074z00_1680 = BGl_za2bnilza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 435 */
BgL_atomz00_bglt BgL_res3354z00_3063;
{ /* Cnst/alloc.scm 435 */
BgL_typez00_bglt BgL_type1701z00_3046;
BgL_type1701z00_3046 = 
(BgL_typez00_bglt)(BgL_arg3074z00_1680); 
{ /* Cnst/alloc.scm 435 */
BgL_atomz00_bglt BgL_new1703z00_3048;
{ /* Cnst/alloc.scm 435 */
BgL_atomz00_bglt BgL_res3352z00_3054;
{ /* Cnst/alloc.scm 435 */
BgL_atomz00_bglt BgL_new1705z00_3049;
BgL_new1705z00_3049 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 435 */
long BgL_arg3250z00_3050;
BgL_arg3250z00_3050 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 435 */
BgL_objectz00_bglt BgL_auxz00_5202;
BgL_auxz00_5202 = 
(BgL_objectz00_bglt)(BgL_new1705z00_3049); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5202, BgL_arg3250z00_3050); } } 
{ /* Cnst/alloc.scm 435 */
BgL_objectz00_bglt BgL_auxz00_5205;
BgL_auxz00_5205 = 
(BgL_objectz00_bglt)(BgL_new1705z00_3049); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5205, BFALSE); } 
{ /* Cnst/alloc.scm 435 */
obj_t BgL_auxz00_5208;
BgL_auxz00_5208 = 
(obj_t)(BgL_new1705z00_3049); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5208); } BUNSPEC; 
BgL_res3352z00_3054 = BgL_new1705z00_3049; } 
BgL_new1703z00_3048 = BgL_res3352z00_3054; } 
{ /* Cnst/alloc.scm 435 */
BgL_atomz00_bglt BgL_res3353z00_3062;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3048))->BgL_locz00) = ((obj_t)BgL_arg3073z00_1679), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3048))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_3046), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3048))->BgL_valuez00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3353z00_3062 = BgL_new1703z00_3048; BgL_res3353z00_3062; } 
BgL_res3354z00_3063 = BgL_new1703z00_3048; } } 
return 
(obj_t)(BgL_res3354z00_3063);} } }  else 
{ /* Cnst/alloc.scm 434 */
if(
PAIRP(BgL_pairz00_1676))
{ /* Cnst/alloc.scm 436 */
{ /* Cnst/alloc.scm 443 */
obj_t BgL_arg3077z00_1683;obj_t BgL_arg3078z00_1684;BgL_varz00_bglt BgL_arg3080z00_1686;obj_t BgL_arg3081z00_1687;
BgL_arg3077z00_1683 = BgL_locz00_4196; 
BgL_arg3078z00_1684 = BGl_za2pairza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 446 */
obj_t BgL_arg3082z00_1688;BgL_typez00_bglt BgL_arg3083z00_1689;obj_t BgL_arg3084z00_1690;
BgL_arg3082z00_1688 = BgL_locz00_4196; 
{ /* Cnst/alloc.scm 447 */
BgL_variablez00_bglt BgL_obj1190z00_3065;
BgL_obj1190z00_3065 = 
(BgL_variablez00_bglt)(BGl_za2consza2z00zzcnst_cachez00); 
BgL_arg3083z00_1689 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3065))->BgL_typez00); } 
BgL_arg3084z00_1690 = BGl_za2consza2z00zzcnst_cachez00; 
{ /* Cnst/alloc.scm 445 */
BgL_varz00_bglt BgL_res3357z00_3084;
{ /* Cnst/alloc.scm 445 */
BgL_variablez00_bglt BgL_variable1724z00_3068;
BgL_variable1724z00_3068 = 
(BgL_variablez00_bglt)(BgL_arg3084z00_1690); 
{ /* Cnst/alloc.scm 445 */
BgL_varz00_bglt BgL_new1725z00_3069;
{ /* Cnst/alloc.scm 445 */
BgL_varz00_bglt BgL_res3355z00_3075;
{ /* Cnst/alloc.scm 445 */
BgL_varz00_bglt BgL_new1727z00_3070;
BgL_new1727z00_3070 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 445 */
long BgL_arg3249z00_3071;
BgL_arg3249z00_3071 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 445 */
BgL_objectz00_bglt BgL_auxz00_5222;
BgL_auxz00_5222 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3070); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5222, BgL_arg3249z00_3071); } } 
{ /* Cnst/alloc.scm 445 */
BgL_objectz00_bglt BgL_auxz00_5225;
BgL_auxz00_5225 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3070); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5225, BFALSE); } 
{ /* Cnst/alloc.scm 445 */
obj_t BgL_auxz00_5228;
BgL_auxz00_5228 = 
(obj_t)(BgL_new1727z00_3070); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5228); } BUNSPEC; 
BgL_res3355z00_3075 = BgL_new1727z00_3070; } 
BgL_new1725z00_3069 = BgL_res3355z00_3075; } 
{ /* Cnst/alloc.scm 445 */
BgL_varz00_bglt BgL_res3356z00_3083;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3069))->BgL_locz00) = ((obj_t)BgL_arg3082z00_1688), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3069))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3083z00_1689), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3069))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3068), BUNSPEC); 
BgL_res3356z00_3083 = BgL_new1725z00_3069; BgL_res3356z00_3083; } 
BgL_res3357z00_3084 = BgL_new1725z00_3069; } } 
BgL_arg3080z00_1686 = BgL_res3357z00_3084; } } 
{ /* Cnst/alloc.scm 450 */
BgL_nodez00_bglt BgL_arg3085z00_1691;obj_t BgL_arg3086z00_1692;
{ /* Cnst/alloc.scm 450 */
BgL_kwotez00_bglt BgL_arg3090z00_1695;
{ /* Cnst/alloc.scm 450 */
obj_t BgL_arg3091z00_1696;BgL_typez00_bglt BgL_arg3092z00_1697;obj_t BgL_arg3093z00_1698;
BgL_arg3091z00_1696 = BgL_locz00_4196; 
BgL_arg3092z00_1697 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
BgL_arg3093z00_1698 = 
CAR(BgL_pairz00_1676); 
{ /* Cnst/alloc.scm 449 */
BgL_kwotez00_bglt BgL_res3360z00_3104;
{ /* Cnst/alloc.scm 449 */
BgL_kwotez00_bglt BgL_new1767z00_3089;
{ /* Cnst/alloc.scm 449 */
BgL_kwotez00_bglt BgL_res3358z00_3095;
{ /* Cnst/alloc.scm 449 */
BgL_kwotez00_bglt BgL_new1769z00_3090;
BgL_new1769z00_3090 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Cnst/alloc.scm 449 */
long BgL_arg3247z00_3091;
BgL_arg3247z00_3091 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Cnst/alloc.scm 449 */
BgL_objectz00_bglt BgL_auxz00_5238;
BgL_auxz00_5238 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3090); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5238, BgL_arg3247z00_3091); } } 
{ /* Cnst/alloc.scm 449 */
BgL_objectz00_bglt BgL_auxz00_5241;
BgL_auxz00_5241 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3090); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5241, BFALSE); } 
{ /* Cnst/alloc.scm 449 */
obj_t BgL_auxz00_5244;
BgL_auxz00_5244 = 
(obj_t)(BgL_new1769z00_3090); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5244); } BUNSPEC; 
BgL_res3358z00_3095 = BgL_new1769z00_3090; } 
BgL_new1767z00_3089 = BgL_res3358z00_3095; } 
{ /* Cnst/alloc.scm 449 */
BgL_kwotez00_bglt BgL_res3359z00_3103;
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3089))->BgL_locz00) = ((obj_t)BgL_arg3091z00_1696), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3089))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3092z00_1697), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3089))->BgL_valuez00) = ((obj_t)BgL_arg3093z00_1698), BUNSPEC); 
BgL_res3359z00_3103 = BgL_new1767z00_3089; BgL_res3359z00_3103; } 
BgL_res3360z00_3104 = BgL_new1767z00_3089; } 
BgL_arg3090z00_1695 = BgL_res3360z00_3104; } } 
BgL_arg3085z00_1691 = 
BGl_cnstz12z12zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg3090z00_1695)); } 
BgL_arg3086z00_1692 = 
BGl_loopz00zzcnst_allocz00(BgL_locz00_4196, 
CDR(BgL_pairz00_1676)); 
{ /* Cnst/alloc.scm 449 */
obj_t BgL_list3087z00_1693;
{ /* Cnst/alloc.scm 449 */
obj_t BgL_arg3089z00_1694;
BgL_arg3089z00_1694 = 
MAKE_PAIR(BgL_arg3086z00_1692, BNIL); 
{ /* Cnst/alloc.scm 449 */
obj_t BgL_auxz00_5255;
BgL_auxz00_5255 = 
(obj_t)(BgL_arg3085z00_1691); 
BgL_list3087z00_1693 = 
MAKE_PAIR(BgL_auxz00_5255, BgL_arg3089z00_1694); } } 
BgL_arg3081z00_1687 = BgL_list3087z00_1693; } } 
{ /* Cnst/alloc.scm 442 */
BgL_appz00_bglt BgL_res3364z00_3135;
{ /* Cnst/alloc.scm 442 */
BgL_typez00_bglt BgL_type1834z00_3109;obj_t BgL_key1836z00_3111;
BgL_type1834z00_3109 = 
(BgL_typez00_bglt)(BgL_arg3078z00_1684); 
BgL_key1836z00_3111 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 442 */
BgL_appz00_bglt BgL_new1839z00_3114;
{ /* Cnst/alloc.scm 442 */
BgL_appz00_bglt BgL_res3362z00_3120;
{ /* Cnst/alloc.scm 442 */
BgL_appz00_bglt BgL_new1841z00_3115;
BgL_new1841z00_3115 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 442 */
long BgL_arg3245z00_3116;
BgL_arg3245z00_3116 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 442 */
BgL_objectz00_bglt BgL_auxz00_5262;
BgL_auxz00_5262 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3115); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5262, BgL_arg3245z00_3116); } } 
{ /* Cnst/alloc.scm 442 */
BgL_objectz00_bglt BgL_auxz00_5265;
BgL_auxz00_5265 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3115); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5265, BFALSE); } 
{ /* Cnst/alloc.scm 442 */
obj_t BgL_auxz00_5268;
BgL_auxz00_5268 = 
(obj_t)(BgL_new1841z00_3115); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5268); } BUNSPEC; 
BgL_res3362z00_3120 = BgL_new1841z00_3115; } 
BgL_new1839z00_3114 = BgL_res3362z00_3120; } 
{ /* Cnst/alloc.scm 442 */
BgL_appz00_bglt BgL_res3363z00_3134;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_locz00) = ((obj_t)BgL_arg3077z00_1683), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_3109), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_keyz00) = ((obj_t)BgL_key1836z00_3111), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3080z00_1686), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3114))->BgL_argsz00) = ((obj_t)BgL_arg3081z00_1687), BUNSPEC); 
BgL_res3363z00_3134 = BgL_new1839z00_3114; BgL_res3363z00_3134; } 
BgL_res3364z00_3135 = BgL_new1839z00_3114; } } 
return 
(obj_t)(BgL_res3364z00_3135);} } }  else 
{ /* Cnst/alloc.scm 436 */
{ /* Cnst/alloc.scm 438 */
BgL_kwotez00_bglt BgL_arg3095z00_1700;
{ /* Cnst/alloc.scm 438 */
obj_t BgL_arg3096z00_1701;obj_t BgL_arg3097z00_1702;obj_t BgL_arg3098z00_1703;
BgL_arg3096z00_1701 = BgL_locz00_4196; 
BgL_arg3097z00_1702 = BGl_za2pairza2z00zztype_cachez00; 
BgL_arg3098z00_1703 = BgL_pairz00_1676; 
{ /* Cnst/alloc.scm 437 */
BgL_kwotez00_bglt BgL_res3367z00_3154;
{ /* Cnst/alloc.scm 437 */
BgL_typez00_bglt BgL_type1765z00_3137;
BgL_type1765z00_3137 = 
(BgL_typez00_bglt)(BgL_arg3097z00_1702); 
{ /* Cnst/alloc.scm 437 */
BgL_kwotez00_bglt BgL_new1767z00_3139;
{ /* Cnst/alloc.scm 437 */
BgL_kwotez00_bglt BgL_res3365z00_3145;
{ /* Cnst/alloc.scm 437 */
BgL_kwotez00_bglt BgL_new1769z00_3140;
BgL_new1769z00_3140 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Cnst/alloc.scm 437 */
long BgL_arg3247z00_3141;
BgL_arg3247z00_3141 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Cnst/alloc.scm 437 */
BgL_objectz00_bglt BgL_auxz00_5281;
BgL_auxz00_5281 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3140); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5281, BgL_arg3247z00_3141); } } 
{ /* Cnst/alloc.scm 437 */
BgL_objectz00_bglt BgL_auxz00_5284;
BgL_auxz00_5284 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3140); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5284, BFALSE); } 
{ /* Cnst/alloc.scm 437 */
obj_t BgL_auxz00_5287;
BgL_auxz00_5287 = 
(obj_t)(BgL_new1769z00_3140); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5287); } BUNSPEC; 
BgL_res3365z00_3145 = BgL_new1769z00_3140; } 
BgL_new1767z00_3139 = BgL_res3365z00_3145; } 
{ /* Cnst/alloc.scm 437 */
BgL_kwotez00_bglt BgL_res3366z00_3153;
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3139))->BgL_locz00) = ((obj_t)BgL_arg3096z00_1701), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3139))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1765z00_3137), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3139))->BgL_valuez00) = ((obj_t)BgL_arg3098z00_1703), BUNSPEC); 
BgL_res3366z00_3153 = BgL_new1767z00_3139; BgL_res3366z00_3153; } 
BgL_res3367z00_3154 = BgL_new1767z00_3139; } } 
BgL_arg3095z00_1700 = BgL_res3367z00_3154; } } 
{ /* Cnst/alloc.scm 437 */
BgL_nodez00_bglt BgL_auxz00_5293;
BgL_auxz00_5293 = 
BGl_cnstz12z12zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg3095z00_1700)); 
return 
(obj_t)(BgL_auxz00_5293);} } } } } 
}



/* _cnst-alloc-list */
obj_t BGl__cnstzd2alloczd2listz00zzcnst_allocz00(obj_t BgL_envz00_4186, obj_t BgL_pairz00_4187, obj_t BgL_locz00_4188)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 430 */
{ /* Cnst/alloc.scm 430 */
BgL_nodez00_bglt BgL_auxz00_5297;
BgL_auxz00_5297 = 
BGl_cnstzd2alloczd2listz00zzcnst_allocz00(BgL_pairz00_4187, BgL_locz00_4188); 
return 
(obj_t)(BgL_auxz00_5297);} } 
}



/* cnst-alloc-vector */
BgL_nodez00_bglt BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t BgL_vecz00_49, obj_t BgL_locz00_50)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 499 */
{ 

{ /* Cnst/alloc.scm 573 */
obj_t BgL_oldz00_1710;
{ /* Cnst/alloc.scm 573 */
obj_t BgL__andtest_2787z00_1717;
BgL__andtest_2787z00_1717 = BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00; 
if(
CBOOL(BgL__andtest_2787z00_1717))
{ 
obj_t BgL_envz00_1718;
BgL_envz00_1718 = BGl_za2vectorzd2envza2zd2zzcnst_allocz00; 
BgL_loopz00_1719:
if(
NULLP(BgL_envz00_1718))
{ /* Cnst/alloc.scm 576 */
BgL_oldz00_1710 = BFALSE; }  else 
{ /* Cnst/alloc.scm 578 */
bool_t BgL_testz00_5304;
{ /* Cnst/alloc.scm 578 */
obj_t BgL_auxz00_5305;
{ /* Cnst/alloc.scm 578 */
int BgL_auxz00_5308;obj_t BgL_auxz00_5306;
BgL_auxz00_5308 = 
(int)(((long)0)); 
BgL_auxz00_5306 = 
CAR(BgL_envz00_1718); 
BgL_auxz00_5305 = 
STRUCT_REF(BgL_auxz00_5306, BgL_auxz00_5308); } 
BgL_testz00_5304 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_auxz00_5305, BgL_vecz00_49); } 
if(BgL_testz00_5304)
{ /* Cnst/alloc.scm 578 */
BgL_oldz00_1710 = 
CAR(BgL_envz00_1718); }  else 
{ /* Cnst/alloc.scm 578 */
{ 
obj_t BgL_envz00_5313;
BgL_envz00_5313 = 
CDR(BgL_envz00_1718); 
BgL_envz00_1718 = BgL_envz00_5313; 
goto BgL_loopz00_1719;} } } }  else 
{ /* Cnst/alloc.scm 573 */
BgL_oldz00_1710 = BFALSE; } } 
if(
CBOOL(BgL_oldz00_1710))
{ /* Cnst/alloc.scm 583 */
{ /* Cnst/alloc.scm 584 */
bool_t BgL_test3099z00_1711;
{ /* Cnst/alloc.scm 584 */
obj_t BgL_auxz00_5317;
BgL_auxz00_5317 = 
CNST_TABLE_REF(((long)13)); 
BgL_test3099z00_1711 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_5317); } 
if(BgL_test3099z00_1711)
{ /* Cnst/alloc.scm 586 */
obj_t BgL_arg3100z00_1712;BgL_typez00_bglt BgL_arg3101z00_1713;obj_t BgL_arg3102z00_1714;
BgL_arg3100z00_1712 = BgL_locz00_50; 
BgL_arg3101z00_1713 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 588 */
int BgL_auxz00_5322;
BgL_auxz00_5322 = 
(int)(((long)1)); 
BgL_arg3102z00_1714 = 
STRUCT_REF(BgL_oldz00_1710, BgL_auxz00_5322); } 
{ /* Cnst/alloc.scm 585 */
BgL_varz00_bglt BgL_res3370z00_3183;
{ /* Cnst/alloc.scm 585 */
BgL_variablez00_bglt BgL_variable1724z00_3167;
BgL_variable1724z00_3167 = 
(BgL_variablez00_bglt)(BgL_arg3102z00_1714); 
{ /* Cnst/alloc.scm 585 */
BgL_varz00_bglt BgL_new1725z00_3168;
{ /* Cnst/alloc.scm 585 */
BgL_varz00_bglt BgL_res3368z00_3174;
{ /* Cnst/alloc.scm 585 */
BgL_varz00_bglt BgL_new1727z00_3169;
BgL_new1727z00_3169 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 585 */
long BgL_arg3249z00_3170;
BgL_arg3249z00_3170 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 585 */
BgL_objectz00_bglt BgL_auxz00_5328;
BgL_auxz00_5328 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3169); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5328, BgL_arg3249z00_3170); } } 
{ /* Cnst/alloc.scm 585 */
BgL_objectz00_bglt BgL_auxz00_5331;
BgL_auxz00_5331 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3169); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5331, BFALSE); } 
{ /* Cnst/alloc.scm 585 */
obj_t BgL_auxz00_5334;
BgL_auxz00_5334 = 
(obj_t)(BgL_new1727z00_3169); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5334); } BUNSPEC; 
BgL_res3368z00_3174 = BgL_new1727z00_3169; } 
BgL_new1725z00_3168 = BgL_res3368z00_3174; } 
{ /* Cnst/alloc.scm 585 */
BgL_varz00_bglt BgL_res3369z00_3182;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3168))->BgL_locz00) = ((obj_t)BgL_arg3100z00_1712), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3168))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3101z00_1713), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3168))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3167), BUNSPEC); 
BgL_res3369z00_3182 = BgL_new1725z00_3168; BgL_res3369z00_3182; } 
BgL_res3370z00_3183 = BgL_new1725z00_3168; } } 
return 
(BgL_nodez00_bglt)(BgL_res3370z00_3183);} }  else 
{ /* Cnst/alloc.scm 589 */
BgL_appz00_bglt BgL_auxz00_5341;
{ /* Cnst/alloc.scm 589 */
obj_t BgL_auxz00_5342;
{ /* Cnst/alloc.scm 589 */
int BgL_auxz00_5343;
BgL_auxz00_5343 = 
(int)(((long)1)); 
BgL_auxz00_5342 = 
STRUCT_REF(BgL_oldz00_1710, BgL_auxz00_5343); } 
BgL_auxz00_5341 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BgL_auxz00_5342, BgL_locz00_50); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5341);} } }  else 
{ /* Cnst/alloc.scm 590 */
bool_t BgL_test3104z00_1716;
{ /* Cnst/alloc.scm 590 */
obj_t BgL_auxz00_5348;
BgL_auxz00_5348 = 
CNST_TABLE_REF(((long)13)); 
BgL_test3104z00_1716 = 
(BGl_za2initzd2modeza2zd2zzengine_paramz00==BgL_auxz00_5348); } 
if(BgL_test3104z00_1716)
{ /* Cnst/alloc.scm 590 */
{ /* Cnst/alloc.scm 591 */
BgL_varz00_bglt BgL_auxz00_5352;
{ /* Cnst/alloc.scm 561 */
BgL_globalz00_bglt BgL_varz00_1726;
{ /* Cnst/alloc.scm 561 */
obj_t BgL_arg3128z00_1744;obj_t BgL_arg3129z00_1745;obj_t BgL_arg3130z00_1746;
{ /* Cnst/alloc.scm 561 */
obj_t BgL_arg3131z00_1747;
BgL_arg3131z00_1747 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)26)), BEOA); 
BgL_arg3128z00_1744 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3131z00_1747, 
CNST_TABLE_REF(((long)26))); } 
BgL_arg3129z00_1745 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3130z00_1746 = 
CNST_TABLE_REF(((long)3)); 
BgL_varz00_1726 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg3128z00_1744, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3129z00_1745, BgL_arg3130z00_1746); } 
if(
CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
{ /* Cnst/alloc.scm 566 */
obj_t BgL_arg3111z00_1727;
{ /* Cnst/alloc.scm 566 */
obj_t BgL_newz00_3189;
{ /* Cnst/alloc.scm 566 */
int BgL_auxz00_5365;obj_t BgL_auxz00_5363;
BgL_auxz00_5365 = 
(int)(((long)2)); 
BgL_auxz00_5363 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_3189 = 
create_struct(BgL_auxz00_5363, BgL_auxz00_5365); } 
{ /* Cnst/alloc.scm 566 */
obj_t BgL_auxz00_5370;int BgL_auxz00_5368;
BgL_auxz00_5370 = 
(obj_t)(BgL_varz00_1726); 
BgL_auxz00_5368 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_3189, BgL_auxz00_5368, BgL_auxz00_5370); } 
{ /* Cnst/alloc.scm 566 */
int BgL_auxz00_5373;
BgL_auxz00_5373 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_3189, BgL_auxz00_5373, BgL_vecz00_49); } 
BgL_arg3111z00_1727 = BgL_newz00_3189; } 
BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3111z00_1727, BGl_za2vectorzd2envza2zd2zzcnst_allocz00); }  else 
{ /* Cnst/alloc.scm 565 */BFALSE; } 
{ /* Cnst/alloc.scm 567 */
obj_t BgL_arg3112z00_1728;
{ /* Cnst/alloc.scm 567 */
obj_t BgL_arg3113z00_1729;obj_t BgL_arg3114z00_1730;
BgL_arg3113z00_1729 = 
CNST_TABLE_REF(((long)11)); 
{ /* Cnst/alloc.scm 567 */
obj_t BgL_arg3115z00_1731;obj_t BgL_arg3116z00_1732;
{ /* Cnst/alloc.scm 567 */
obj_t BgL_arg3117z00_1733;obj_t BgL_arg3118z00_1734;
BgL_arg3117z00_1733 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 567 */
obj_t BgL_arg3119z00_1735;obj_t BgL_arg3120z00_1736;
BgL_arg3119z00_1735 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1726))->BgL_idz00); 
{ /* Cnst/alloc.scm 567 */
obj_t BgL_auxz00_5380;
BgL_auxz00_5380 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1726))->BgL_modulez00); 
BgL_arg3120z00_1736 = 
MAKE_PAIR(BgL_auxz00_5380, BNIL); } 
BgL_arg3118z00_1734 = 
MAKE_PAIR(BgL_arg3119z00_1735, BgL_arg3120z00_1736); } 
BgL_arg3115z00_1731 = 
MAKE_PAIR(BgL_arg3117z00_1733, BgL_arg3118z00_1734); } 
{ /* Cnst/alloc.scm 568 */
BgL_nodez00_bglt BgL_arg3123z00_1739;
{ /* Cnst/alloc.scm 503 */
BgL_nodez00_bglt BgL_arg3136z00_1753;
{ /* Cnst/alloc.scm 503 */
BgL_letzd2varzd2_bglt BgL_arg3137z00_1754;
{ /* Cnst/alloc.scm 503 */
BgL_localz00_bglt BgL_varz00_1755;
BgL_varz00_1755 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)27)), 
(BgL_typez00_bglt)(BGl_za2vectorza2z00zztype_cachez00)); 
{ /* Cnst/alloc.scm 505 */
obj_t BgL_arg3138z00_1756;obj_t BgL_arg3139z00_1757;obj_t BgL_arg3141z00_1759;obj_t BgL_arg3142z00_1760;
BgL_arg3138z00_1756 = BgL_locz00_50; 
BgL_arg3139z00_1757 = BGl_za2objza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 511 */
obj_t BgL_arg3143z00_1761;
{ /* Cnst/alloc.scm 511 */
BgL_appz00_bglt BgL_arg3145z00_1763;
{ /* Cnst/alloc.scm 511 */
obj_t BgL_arg3146z00_1764;obj_t BgL_arg3147z00_1765;BgL_varz00_bglt BgL_arg3149z00_1767;obj_t BgL_arg3150z00_1768;
BgL_arg3146z00_1764 = BgL_locz00_50; 
BgL_arg3147z00_1765 = BGl_za2vectorza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 514 */
obj_t BgL_arg3151z00_1769;BgL_typez00_bglt BgL_arg3152z00_1770;obj_t BgL_arg3153z00_1771;
BgL_arg3151z00_1769 = BgL_locz00_50; 
{ /* Cnst/alloc.scm 515 */
BgL_variablez00_bglt BgL_obj1190z00_3238;
BgL_obj1190z00_3238 = 
(BgL_variablez00_bglt)(BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00); 
BgL_arg3152z00_1770 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3238))->BgL_typez00); } 
BgL_arg3153z00_1771 = BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00; 
{ /* Cnst/alloc.scm 513 */
BgL_varz00_bglt BgL_res3376z00_3257;
{ /* Cnst/alloc.scm 513 */
BgL_variablez00_bglt BgL_variable1724z00_3241;
BgL_variable1724z00_3241 = 
(BgL_variablez00_bglt)(BgL_arg3153z00_1771); 
{ /* Cnst/alloc.scm 513 */
BgL_varz00_bglt BgL_new1725z00_3242;
{ /* Cnst/alloc.scm 513 */
BgL_varz00_bglt BgL_res3374z00_3248;
{ /* Cnst/alloc.scm 513 */
BgL_varz00_bglt BgL_new1727z00_3243;
BgL_new1727z00_3243 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 513 */
long BgL_arg3249z00_3244;
BgL_arg3249z00_3244 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 513 */
BgL_objectz00_bglt BgL_auxz00_5393;
BgL_auxz00_5393 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3243); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5393, BgL_arg3249z00_3244); } } 
{ /* Cnst/alloc.scm 513 */
BgL_objectz00_bglt BgL_auxz00_5396;
BgL_auxz00_5396 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3243); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5396, BFALSE); } 
{ /* Cnst/alloc.scm 513 */
obj_t BgL_auxz00_5399;
BgL_auxz00_5399 = 
(obj_t)(BgL_new1727z00_3243); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5399); } BUNSPEC; 
BgL_res3374z00_3248 = BgL_new1727z00_3243; } 
BgL_new1725z00_3242 = BgL_res3374z00_3248; } 
{ /* Cnst/alloc.scm 513 */
BgL_varz00_bglt BgL_res3375z00_3256;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3242))->BgL_locz00) = ((obj_t)BgL_arg3151z00_1769), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3242))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3152z00_1770), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3242))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3241), BUNSPEC); 
BgL_res3375z00_3256 = BgL_new1725z00_3242; BgL_res3375z00_3256; } 
BgL_res3376z00_3257 = BgL_new1725z00_3242; } } 
BgL_arg3149z00_1767 = BgL_res3376z00_3257; } } 
{ /* Cnst/alloc.scm 519 */
BgL_kwotez00_bglt BgL_arg3154z00_1772;
{ /* Cnst/alloc.scm 519 */
obj_t BgL_arg3156z00_1774;obj_t BgL_arg3157z00_1775;obj_t BgL_arg3158z00_1776;
BgL_arg3156z00_1774 = BgL_locz00_50; 
BgL_arg3157z00_1775 = BGl_za2objza2z00zztype_cachez00; 
BgL_arg3158z00_1776 = 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_vecz00_49); 
{ /* Cnst/alloc.scm 518 */
BgL_kwotez00_bglt BgL_res3379z00_3276;
{ /* Cnst/alloc.scm 518 */
BgL_typez00_bglt BgL_type1765z00_3259;
BgL_type1765z00_3259 = 
(BgL_typez00_bglt)(BgL_arg3157z00_1775); 
{ /* Cnst/alloc.scm 518 */
BgL_kwotez00_bglt BgL_new1767z00_3261;
{ /* Cnst/alloc.scm 518 */
BgL_kwotez00_bglt BgL_res3377z00_3267;
{ /* Cnst/alloc.scm 518 */
BgL_kwotez00_bglt BgL_new1769z00_3262;
BgL_new1769z00_3262 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Cnst/alloc.scm 518 */
long BgL_arg3247z00_3263;
BgL_arg3247z00_3263 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Cnst/alloc.scm 518 */
BgL_objectz00_bglt BgL_auxz00_5409;
BgL_auxz00_5409 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3262); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5409, BgL_arg3247z00_3263); } } 
{ /* Cnst/alloc.scm 518 */
BgL_objectz00_bglt BgL_auxz00_5412;
BgL_auxz00_5412 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3262); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5412, BFALSE); } 
{ /* Cnst/alloc.scm 518 */
obj_t BgL_auxz00_5415;
BgL_auxz00_5415 = 
(obj_t)(BgL_new1769z00_3262); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5415); } BUNSPEC; 
BgL_res3377z00_3267 = BgL_new1769z00_3262; } 
BgL_new1767z00_3261 = BgL_res3377z00_3267; } 
{ /* Cnst/alloc.scm 518 */
BgL_kwotez00_bglt BgL_res3378z00_3275;
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3261))->BgL_locz00) = ((obj_t)BgL_arg3156z00_1774), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3261))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1765z00_3259), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3261))->BgL_valuez00) = ((obj_t)BgL_arg3158z00_1776), BUNSPEC); 
BgL_res3378z00_3275 = BgL_new1767z00_3261; BgL_res3378z00_3275; } 
BgL_res3379z00_3276 = BgL_new1767z00_3261; } } 
BgL_arg3154z00_1772 = BgL_res3379z00_3276; } } 
{ /* Cnst/alloc.scm 517 */
obj_t BgL_list3155z00_1773;
{ /* Cnst/alloc.scm 517 */
obj_t BgL_auxz00_5421;
BgL_auxz00_5421 = 
(obj_t)(BgL_arg3154z00_1772); 
BgL_list3155z00_1773 = 
MAKE_PAIR(BgL_auxz00_5421, BNIL); } 
BgL_arg3150z00_1768 = BgL_list3155z00_1773; } } 
{ /* Cnst/alloc.scm 510 */
BgL_appz00_bglt BgL_res3383z00_3306;
{ /* Cnst/alloc.scm 510 */
BgL_typez00_bglt BgL_type1834z00_3280;obj_t BgL_key1836z00_3282;
BgL_type1834z00_3280 = 
(BgL_typez00_bglt)(BgL_arg3147z00_1765); 
BgL_key1836z00_3282 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 510 */
BgL_appz00_bglt BgL_new1839z00_3285;
{ /* Cnst/alloc.scm 510 */
BgL_appz00_bglt BgL_res3381z00_3291;
{ /* Cnst/alloc.scm 510 */
BgL_appz00_bglt BgL_new1841z00_3286;
BgL_new1841z00_3286 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 510 */
long BgL_arg3245z00_3287;
BgL_arg3245z00_3287 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 510 */
BgL_objectz00_bglt BgL_auxz00_5428;
BgL_auxz00_5428 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3286); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5428, BgL_arg3245z00_3287); } } 
{ /* Cnst/alloc.scm 510 */
BgL_objectz00_bglt BgL_auxz00_5431;
BgL_auxz00_5431 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3286); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5431, BFALSE); } 
{ /* Cnst/alloc.scm 510 */
obj_t BgL_auxz00_5434;
BgL_auxz00_5434 = 
(obj_t)(BgL_new1841z00_3286); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5434); } BUNSPEC; 
BgL_res3381z00_3291 = BgL_new1841z00_3286; } 
BgL_new1839z00_3285 = BgL_res3381z00_3291; } 
{ /* Cnst/alloc.scm 510 */
BgL_appz00_bglt BgL_res3382z00_3305;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_locz00) = ((obj_t)BgL_arg3146z00_1764), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_3280), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_keyz00) = ((obj_t)BgL_key1836z00_3282), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3149z00_1767), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3285))->BgL_argsz00) = ((obj_t)BgL_arg3150z00_1768), BUNSPEC); 
BgL_res3382z00_3305 = BgL_new1839z00_3285; BgL_res3382z00_3305; } 
BgL_res3383z00_3306 = BgL_new1839z00_3285; } } 
BgL_arg3145z00_1763 = BgL_res3383z00_3306; } } 
{ /* Cnst/alloc.scm 508 */
obj_t BgL_auxz00_5445;obj_t BgL_auxz00_5443;
BgL_auxz00_5445 = 
(obj_t)(BgL_arg3145z00_1763); 
BgL_auxz00_5443 = 
(obj_t)(BgL_varz00_1755); 
BgL_arg3143z00_1761 = 
MAKE_PAIR(BgL_auxz00_5443, BgL_auxz00_5445); } } 
{ /* Cnst/alloc.scm 507 */
obj_t BgL_list3144z00_1762;
BgL_list3144z00_1762 = 
MAKE_PAIR(BgL_arg3143z00_1761, BNIL); 
BgL_arg3141z00_1759 = BgL_list3144z00_1762; } } 
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_varzd2bodyzd2_1777;
{ /* Cnst/alloc.scm 523 */
obj_t BgL_arg3187z00_1806;BgL_typez00_bglt BgL_arg3188z00_1807;
BgL_arg3187z00_1806 = BgL_locz00_50; 
{ /* Cnst/alloc.scm 524 */
BgL_variablez00_bglt BgL_obj1190z00_3309;
BgL_obj1190z00_3309 = 
(BgL_variablez00_bglt)(BgL_varz00_1755); 
BgL_arg3188z00_1807 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3309))->BgL_typez00); } 
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_res3387z00_3328;
{ /* Cnst/alloc.scm 522 */
BgL_variablez00_bglt BgL_variable1724z00_3312;
{ /* Cnst/alloc.scm 525 */
BgL_localz00_bglt BgL_auxz00_5451;
BgL_auxz00_5451 = BgL_varz00_1755; 
BgL_variable1724z00_3312 = 
(BgL_variablez00_bglt)(BgL_auxz00_5451); } 
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_new1725z00_3313;
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_res3385z00_3319;
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_new1727z00_3314;
BgL_new1727z00_3314 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 522 */
long BgL_arg3249z00_3315;
BgL_arg3249z00_3315 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 522 */
BgL_objectz00_bglt BgL_auxz00_5455;
BgL_auxz00_5455 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3314); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5455, BgL_arg3249z00_3315); } } 
{ /* Cnst/alloc.scm 522 */
BgL_objectz00_bglt BgL_auxz00_5458;
BgL_auxz00_5458 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3314); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5458, BFALSE); } 
{ /* Cnst/alloc.scm 522 */
obj_t BgL_auxz00_5461;
BgL_auxz00_5461 = 
(obj_t)(BgL_new1727z00_3314); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5461); } BUNSPEC; 
BgL_res3385z00_3319 = BgL_new1727z00_3314; } 
BgL_new1725z00_3313 = BgL_res3385z00_3319; } 
{ /* Cnst/alloc.scm 522 */
BgL_varz00_bglt BgL_res3386z00_3327;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3313))->BgL_locz00) = ((obj_t)BgL_arg3187z00_1806), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3313))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3188z00_1807), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3313))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3312), BUNSPEC); 
BgL_res3386z00_3327 = BgL_new1725z00_3313; BgL_res3386z00_3327; } 
BgL_res3387z00_3328 = BgL_new1725z00_3313; } } 
BgL_varzd2bodyzd2_1777 = BgL_res3387z00_3328; } } 
{ /* Cnst/alloc.scm 526 */
bool_t BgL_test3159z00_1778;
{ /* Cnst/alloc.scm 526 */
int BgL_arg3185z00_1804;
BgL_arg3185z00_1804 = 
VECTOR_TAG(BgL_vecz00_49); 
{ /* Cnst/alloc.scm 526 */
long BgL_auxz00_5468;
BgL_auxz00_5468 = 
(long)(BgL_arg3185z00_1804); 
BgL_test3159z00_1778 = 
(BgL_auxz00_5468>((long)0)); } } 
if(BgL_test3159z00_1778)
{ /* Cnst/alloc.scm 528 */
obj_t BgL_arg3160z00_1779;obj_t BgL_arg3161z00_1780;obj_t BgL_arg3163z00_1782;
BgL_arg3160z00_1779 = BgL_locz00_50; 
BgL_arg3161z00_1780 = BGl_za2vectorza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 533 */
BgL_appz00_bglt BgL_arg3164z00_1783;
{ /* Cnst/alloc.scm 533 */
obj_t BgL_arg3167z00_1786;obj_t BgL_arg3168z00_1787;BgL_varz00_bglt BgL_arg3170z00_1789;obj_t BgL_arg3171z00_1790;
BgL_arg3167z00_1786 = BgL_locz00_50; 
BgL_arg3168z00_1787 = BGl_za2objza2z00zztype_cachez00; 
{ /* Cnst/alloc.scm 536 */
obj_t BgL_arg3172z00_1791;BgL_typez00_bglt BgL_arg3173z00_1792;obj_t BgL_arg3174z00_1793;
BgL_arg3172z00_1791 = BgL_locz00_50; 
{ /* Cnst/alloc.scm 537 */
BgL_variablez00_bglt BgL_obj1190z00_3332;
BgL_obj1190z00_3332 = 
(BgL_variablez00_bglt)(BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00); 
BgL_arg3173z00_1792 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3332))->BgL_typez00); } 
BgL_arg3174z00_1793 = BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00; 
{ /* Cnst/alloc.scm 535 */
BgL_varz00_bglt BgL_res3390z00_3351;
{ /* Cnst/alloc.scm 535 */
BgL_variablez00_bglt BgL_variable1724z00_3335;
BgL_variable1724z00_3335 = 
(BgL_variablez00_bglt)(BgL_arg3174z00_1793); 
{ /* Cnst/alloc.scm 535 */
BgL_varz00_bglt BgL_new1725z00_3336;
{ /* Cnst/alloc.scm 535 */
BgL_varz00_bglt BgL_res3388z00_3342;
{ /* Cnst/alloc.scm 535 */
BgL_varz00_bglt BgL_new1727z00_3337;
BgL_new1727z00_3337 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 535 */
long BgL_arg3249z00_3338;
BgL_arg3249z00_3338 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 535 */
BgL_objectz00_bglt BgL_auxz00_5477;
BgL_auxz00_5477 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3337); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5477, BgL_arg3249z00_3338); } } 
{ /* Cnst/alloc.scm 535 */
BgL_objectz00_bglt BgL_auxz00_5480;
BgL_auxz00_5480 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3337); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5480, BFALSE); } 
{ /* Cnst/alloc.scm 535 */
obj_t BgL_auxz00_5483;
BgL_auxz00_5483 = 
(obj_t)(BgL_new1727z00_3337); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5483); } BUNSPEC; 
BgL_res3388z00_3342 = BgL_new1727z00_3337; } 
BgL_new1725z00_3336 = BgL_res3388z00_3342; } 
{ /* Cnst/alloc.scm 535 */
BgL_varz00_bglt BgL_res3389z00_3350;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3336))->BgL_locz00) = ((obj_t)BgL_arg3172z00_1791), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3336))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3173z00_1792), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3336))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3335), BUNSPEC); 
BgL_res3389z00_3350 = BgL_new1725z00_3336; BgL_res3389z00_3350; } 
BgL_res3390z00_3351 = BgL_new1725z00_3336; } } 
BgL_arg3170z00_1789 = BgL_res3390z00_3351; } } 
{ /* Cnst/alloc.scm 542 */
BgL_varz00_bglt BgL_arg3175z00_1794;BgL_atomz00_bglt BgL_arg3176z00_1795;
{ /* Cnst/alloc.scm 542 */
obj_t BgL_arg3179z00_1798;BgL_typez00_bglt BgL_arg3180z00_1799;
BgL_arg3179z00_1798 = BgL_locz00_50; 
{ /* Cnst/alloc.scm 543 */
BgL_variablez00_bglt BgL_obj1190z00_3352;
BgL_obj1190z00_3352 = 
(BgL_variablez00_bglt)(BgL_varz00_1755); 
BgL_arg3180z00_1799 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3352))->BgL_typez00); } 
{ /* Cnst/alloc.scm 541 */
BgL_varz00_bglt BgL_res3393z00_3371;
{ /* Cnst/alloc.scm 541 */
BgL_variablez00_bglt BgL_variable1724z00_3355;
{ /* Cnst/alloc.scm 544 */
BgL_localz00_bglt BgL_auxz00_5491;
BgL_auxz00_5491 = BgL_varz00_1755; 
BgL_variable1724z00_3355 = 
(BgL_variablez00_bglt)(BgL_auxz00_5491); } 
{ /* Cnst/alloc.scm 541 */
BgL_varz00_bglt BgL_new1725z00_3356;
{ /* Cnst/alloc.scm 541 */
BgL_varz00_bglt BgL_res3391z00_3362;
{ /* Cnst/alloc.scm 541 */
BgL_varz00_bglt BgL_new1727z00_3357;
BgL_new1727z00_3357 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 541 */
long BgL_arg3249z00_3358;
BgL_arg3249z00_3358 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 541 */
BgL_objectz00_bglt BgL_auxz00_5495;
BgL_auxz00_5495 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3357); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5495, BgL_arg3249z00_3358); } } 
{ /* Cnst/alloc.scm 541 */
BgL_objectz00_bglt BgL_auxz00_5498;
BgL_auxz00_5498 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3357); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5498, BFALSE); } 
{ /* Cnst/alloc.scm 541 */
obj_t BgL_auxz00_5501;
BgL_auxz00_5501 = 
(obj_t)(BgL_new1727z00_3357); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5501); } BUNSPEC; 
BgL_res3391z00_3362 = BgL_new1727z00_3357; } 
BgL_new1725z00_3356 = BgL_res3391z00_3362; } 
{ /* Cnst/alloc.scm 541 */
BgL_varz00_bglt BgL_res3392z00_3370;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3356))->BgL_locz00) = ((obj_t)BgL_arg3179z00_1798), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3356))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3180z00_1799), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3356))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3355), BUNSPEC); 
BgL_res3392z00_3370 = BgL_new1725z00_3356; BgL_res3392z00_3370; } 
BgL_res3393z00_3371 = BgL_new1725z00_3356; } } 
BgL_arg3175z00_1794 = BgL_res3393z00_3371; } } 
{ /* Cnst/alloc.scm 546 */
obj_t BgL_arg3182z00_1801;obj_t BgL_arg3183z00_1802;int BgL_arg3184z00_1803;
BgL_arg3182z00_1801 = BgL_locz00_50; 
BgL_arg3183z00_1802 = BGl_za2objza2z00zztype_cachez00; 
BgL_arg3184z00_1803 = 
VECTOR_TAG(BgL_vecz00_49); 
{ /* Cnst/alloc.scm 545 */
BgL_atomz00_bglt BgL_res3396z00_3391;
{ /* Cnst/alloc.scm 545 */
BgL_typez00_bglt BgL_type1701z00_3374;obj_t BgL_value1702z00_3375;
BgL_type1701z00_3374 = 
(BgL_typez00_bglt)(BgL_arg3183z00_1802); 
BgL_value1702z00_3375 = 
BINT(BgL_arg3184z00_1803); 
{ /* Cnst/alloc.scm 545 */
BgL_atomz00_bglt BgL_new1703z00_3376;
{ /* Cnst/alloc.scm 545 */
BgL_atomz00_bglt BgL_res3394z00_3382;
{ /* Cnst/alloc.scm 545 */
BgL_atomz00_bglt BgL_new1705z00_3377;
BgL_new1705z00_3377 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Cnst/alloc.scm 545 */
long BgL_arg3250z00_3378;
BgL_arg3250z00_3378 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Cnst/alloc.scm 545 */
BgL_objectz00_bglt BgL_auxz00_5512;
BgL_auxz00_5512 = 
(BgL_objectz00_bglt)(BgL_new1705z00_3377); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5512, BgL_arg3250z00_3378); } } 
{ /* Cnst/alloc.scm 545 */
BgL_objectz00_bglt BgL_auxz00_5515;
BgL_auxz00_5515 = 
(BgL_objectz00_bglt)(BgL_new1705z00_3377); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5515, BFALSE); } 
{ /* Cnst/alloc.scm 545 */
obj_t BgL_auxz00_5518;
BgL_auxz00_5518 = 
(obj_t)(BgL_new1705z00_3377); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5518); } BUNSPEC; 
BgL_res3394z00_3382 = BgL_new1705z00_3377; } 
BgL_new1703z00_3376 = BgL_res3394z00_3382; } 
{ /* Cnst/alloc.scm 545 */
BgL_atomz00_bglt BgL_res3395z00_3390;
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3376))->BgL_locz00) = ((obj_t)BgL_arg3182z00_1801), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3376))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1701z00_3374), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1703z00_3376))->BgL_valuez00) = ((obj_t)BgL_value1702z00_3375), BUNSPEC); 
BgL_res3395z00_3390 = BgL_new1703z00_3376; BgL_res3395z00_3390; } 
BgL_res3396z00_3391 = BgL_new1703z00_3376; } } 
BgL_arg3176z00_1795 = BgL_res3396z00_3391; } } 
{ /* Cnst/alloc.scm 540 */
obj_t BgL_list3177z00_1796;
{ /* Cnst/alloc.scm 540 */
obj_t BgL_arg3178z00_1797;
{ /* Cnst/alloc.scm 540 */
obj_t BgL_auxz00_5524;
BgL_auxz00_5524 = 
(obj_t)(BgL_arg3176z00_1795); 
BgL_arg3178z00_1797 = 
MAKE_PAIR(BgL_auxz00_5524, BNIL); } 
{ /* Cnst/alloc.scm 540 */
obj_t BgL_auxz00_5527;
BgL_auxz00_5527 = 
(obj_t)(BgL_arg3175z00_1794); 
BgL_list3177z00_1796 = 
MAKE_PAIR(BgL_auxz00_5527, BgL_arg3178z00_1797); } } 
BgL_arg3171z00_1790 = BgL_list3177z00_1796; } } 
{ /* Cnst/alloc.scm 532 */
BgL_appz00_bglt BgL_res3400z00_3421;
{ /* Cnst/alloc.scm 532 */
BgL_typez00_bglt BgL_type1834z00_3395;obj_t BgL_key1836z00_3397;
BgL_type1834z00_3395 = 
(BgL_typez00_bglt)(BgL_arg3168z00_1787); 
BgL_key1836z00_3397 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 532 */
BgL_appz00_bglt BgL_new1839z00_3400;
{ /* Cnst/alloc.scm 532 */
BgL_appz00_bglt BgL_res3398z00_3406;
{ /* Cnst/alloc.scm 532 */
BgL_appz00_bglt BgL_new1841z00_3401;
BgL_new1841z00_3401 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Cnst/alloc.scm 532 */
long BgL_arg3245z00_3402;
BgL_arg3245z00_3402 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Cnst/alloc.scm 532 */
BgL_objectz00_bglt BgL_auxz00_5534;
BgL_auxz00_5534 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3401); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5534, BgL_arg3245z00_3402); } } 
{ /* Cnst/alloc.scm 532 */
BgL_objectz00_bglt BgL_auxz00_5537;
BgL_auxz00_5537 = 
(BgL_objectz00_bglt)(BgL_new1841z00_3401); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5537, BFALSE); } 
{ /* Cnst/alloc.scm 532 */
obj_t BgL_auxz00_5540;
BgL_auxz00_5540 = 
(obj_t)(BgL_new1841z00_3401); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5540); } BUNSPEC; 
BgL_res3398z00_3406 = BgL_new1841z00_3401; } 
BgL_new1839z00_3400 = BgL_res3398z00_3406; } 
{ /* Cnst/alloc.scm 532 */
BgL_appz00_bglt BgL_res3399z00_3420;
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_locz00) = ((obj_t)BgL_arg3167z00_1786), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1834z00_3395), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_keyz00) = ((obj_t)BgL_key1836z00_3397), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3170z00_1789), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1839z00_3400))->BgL_argsz00) = ((obj_t)BgL_arg3171z00_1790), BUNSPEC); 
BgL_res3399z00_3420 = BgL_new1839z00_3400; BgL_res3399z00_3420; } 
BgL_res3400z00_3421 = BgL_new1839z00_3400; } } 
BgL_arg3164z00_1783 = BgL_res3400z00_3421; } } 
{ /* Cnst/alloc.scm 530 */
obj_t BgL_list3165z00_1784;
{ /* Cnst/alloc.scm 530 */
obj_t BgL_arg3166z00_1785;
{ /* Cnst/alloc.scm 530 */
obj_t BgL_auxz00_5549;
BgL_auxz00_5549 = 
(obj_t)(BgL_varzd2bodyzd2_1777); 
BgL_arg3166z00_1785 = 
MAKE_PAIR(BgL_auxz00_5549, BNIL); } 
{ /* Cnst/alloc.scm 530 */
obj_t BgL_auxz00_5552;
BgL_auxz00_5552 = 
(obj_t)(BgL_arg3164z00_1783); 
BgL_list3165z00_1784 = 
MAKE_PAIR(BgL_auxz00_5552, BgL_arg3166z00_1785); } } 
BgL_arg3163z00_1782 = BgL_list3165z00_1784; } } 
{ /* Cnst/alloc.scm 527 */
BgL_sequencez00_bglt BgL_res3404z00_3448;
{ /* Cnst/alloc.scm 527 */
BgL_typez00_bglt BgL_type1795z00_3425;obj_t BgL_key1797z00_3427;
BgL_type1795z00_3425 = 
(BgL_typez00_bglt)(BgL_arg3161z00_1780); 
BgL_key1797z00_3427 = 
BINT(((long)-1)); 
{ /* Cnst/alloc.scm 527 */
BgL_sequencez00_bglt BgL_new1799z00_3429;
{ /* Cnst/alloc.scm 527 */
BgL_sequencez00_bglt BgL_res3402z00_3435;
{ /* Cnst/alloc.scm 527 */
BgL_sequencez00_bglt BgL_new1801z00_3430;
BgL_new1801z00_3430 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Cnst/alloc.scm 527 */
long BgL_arg3246z00_3431;
BgL_arg3246z00_3431 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Cnst/alloc.scm 527 */
BgL_objectz00_bglt BgL_auxz00_5559;
BgL_auxz00_5559 = 
(BgL_objectz00_bglt)(BgL_new1801z00_3430); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5559, BgL_arg3246z00_3431); } } 
{ /* Cnst/alloc.scm 527 */
BgL_objectz00_bglt BgL_auxz00_5562;
BgL_auxz00_5562 = 
(BgL_objectz00_bglt)(BgL_new1801z00_3430); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5562, BFALSE); } 
{ /* Cnst/alloc.scm 527 */
obj_t BgL_auxz00_5565;
BgL_auxz00_5565 = 
(obj_t)(BgL_new1801z00_3430); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5565); } BUNSPEC; 
BgL_res3402z00_3435 = BgL_new1801z00_3430; } 
BgL_new1799z00_3429 = BgL_res3402z00_3435; } 
{ /* Cnst/alloc.scm 527 */
BgL_sequencez00_bglt BgL_res3403z00_3447;
((((BgL_sequencez00_bglt)CREF(BgL_new1799z00_3429))->BgL_locz00) = ((obj_t)BgL_arg3160z00_1779), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1799z00_3429))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1795z00_3425), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1799z00_3429))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1799z00_3429))->BgL_keyz00) = ((obj_t)BgL_key1797z00_3427), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1799z00_3429))->BgL_nodesz00) = ((obj_t)BgL_arg3163z00_1782), BUNSPEC); 
BgL_res3403z00_3447 = BgL_new1799z00_3429; BgL_res3403z00_3447; } 
BgL_res3404z00_3448 = BgL_new1799z00_3429; } } 
BgL_arg3142z00_1760 = 
(obj_t)(BgL_res3404z00_3448); } }  else 
{ /* Cnst/alloc.scm 526 */
BgL_arg3142z00_1760 = 
(obj_t)(BgL_varzd2bodyzd2_1777); } } } 
{ /* Cnst/alloc.scm 504 */
BgL_letzd2varzd2_bglt BgL_res3407z00_3479;
{ /* Cnst/alloc.scm 504 */
BgL_typez00_bglt BgL_type2581z00_3450;obj_t BgL_key2583z00_3452;BgL_nodez00_bglt BgL_body2585z00_3454;
BgL_type2581z00_3450 = 
(BgL_typez00_bglt)(BgL_arg3139z00_1757); 
BgL_key2583z00_3452 = 
BINT(((long)-1)); 
BgL_body2585z00_3454 = 
(BgL_nodez00_bglt)(BgL_arg3142z00_1760); 
{ /* Cnst/alloc.scm 504 */
BgL_letzd2varzd2_bglt BgL_new2587z00_3456;
{ /* Cnst/alloc.scm 504 */
BgL_letzd2varzd2_bglt BgL_res3405z00_3462;
{ /* Cnst/alloc.scm 504 */
BgL_letzd2varzd2_bglt BgL_new2589z00_3457;
BgL_new2589z00_3457 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Cnst/alloc.scm 504 */
long BgL_arg3225z00_3458;
BgL_arg3225z00_3458 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Cnst/alloc.scm 504 */
BgL_objectz00_bglt BgL_auxz00_5580;
BgL_auxz00_5580 = 
(BgL_objectz00_bglt)(BgL_new2589z00_3457); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5580, BgL_arg3225z00_3458); } } 
{ /* Cnst/alloc.scm 504 */
BgL_objectz00_bglt BgL_auxz00_5583;
BgL_auxz00_5583 = 
(BgL_objectz00_bglt)(BgL_new2589z00_3457); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5583, BFALSE); } 
{ /* Cnst/alloc.scm 504 */
obj_t BgL_auxz00_5586;
BgL_auxz00_5586 = 
(obj_t)(BgL_new2589z00_3457); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5586); } BUNSPEC; 
BgL_res3405z00_3462 = BgL_new2589z00_3457; } 
BgL_new2587z00_3456 = BgL_res3405z00_3462; } 
{ /* Cnst/alloc.scm 504 */
BgL_letzd2varzd2_bglt BgL_res3406z00_3478;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_locz00) = ((obj_t)BgL_arg3138z00_1756), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2581z00_3450), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_keyz00) = ((obj_t)BgL_key2583z00_3452), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_bindingsz00) = ((obj_t)BgL_arg3141z00_1759), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2585z00_3454), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2587z00_3456))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3406z00_3478 = BgL_new2587z00_3456; BgL_res3406z00_3478; } 
BgL_res3407z00_3479 = BgL_new2587z00_3456; } } 
BgL_arg3137z00_1754 = BgL_res3407z00_3479; } } } 
BgL_arg3136z00_1753 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg3137z00_1754), BUNSPEC, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
BgL_arg3123z00_1739 = 
BGl_cnstz12z12zzcnst_nodez00(BgL_arg3136z00_1753); } 
{ /* Cnst/alloc.scm 567 */
obj_t BgL_auxz00_5600;
BgL_auxz00_5600 = 
(obj_t)(BgL_arg3123z00_1739); 
BgL_arg3116z00_1732 = 
MAKE_PAIR(BgL_auxz00_5600, BNIL); } } 
BgL_arg3114z00_1730 = 
MAKE_PAIR(BgL_arg3115z00_1731, BgL_arg3116z00_1732); } 
BgL_arg3112z00_1728 = 
MAKE_PAIR(BgL_arg3113z00_1729, BgL_arg3114z00_1730); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3112z00_1728, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } 
{ /* Cnst/alloc.scm 570 */
obj_t BgL_arg3125z00_1741;BgL_typez00_bglt BgL_arg3126z00_1742;
BgL_arg3125z00_1741 = BgL_locz00_50; 
{ /* Cnst/alloc.scm 571 */
BgL_variablez00_bglt BgL_obj1190z00_3203;
BgL_obj1190z00_3203 = 
(BgL_variablez00_bglt)(BgL_varz00_1726); 
BgL_arg3126z00_1742 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3203))->BgL_typez00); } 
{ /* Cnst/alloc.scm 569 */
BgL_varz00_bglt BgL_res3373z00_3222;
{ /* Cnst/alloc.scm 569 */
BgL_variablez00_bglt BgL_variable1724z00_3206;
{ /* Cnst/alloc.scm 572 */
BgL_globalz00_bglt BgL_auxz00_5608;
BgL_auxz00_5608 = BgL_varz00_1726; 
BgL_variable1724z00_3206 = 
(BgL_variablez00_bglt)(BgL_auxz00_5608); } 
{ /* Cnst/alloc.scm 569 */
BgL_varz00_bglt BgL_new1725z00_3207;
{ /* Cnst/alloc.scm 569 */
BgL_varz00_bglt BgL_res3371z00_3213;
{ /* Cnst/alloc.scm 569 */
BgL_varz00_bglt BgL_new1727z00_3208;
BgL_new1727z00_3208 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 569 */
long BgL_arg3249z00_3209;
BgL_arg3249z00_3209 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 569 */
BgL_objectz00_bglt BgL_auxz00_5612;
BgL_auxz00_5612 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3208); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5612, BgL_arg3249z00_3209); } } 
{ /* Cnst/alloc.scm 569 */
BgL_objectz00_bglt BgL_auxz00_5615;
BgL_auxz00_5615 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3208); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5615, BFALSE); } 
{ /* Cnst/alloc.scm 569 */
obj_t BgL_auxz00_5618;
BgL_auxz00_5618 = 
(obj_t)(BgL_new1727z00_3208); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5618); } BUNSPEC; 
BgL_res3371z00_3213 = BgL_new1727z00_3208; } 
BgL_new1725z00_3207 = BgL_res3371z00_3213; } 
{ /* Cnst/alloc.scm 569 */
BgL_varz00_bglt BgL_res3372z00_3221;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3207))->BgL_locz00) = ((obj_t)BgL_arg3125z00_1741), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3207))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3126z00_1742), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3207))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3206), BUNSPEC); 
BgL_res3372z00_3221 = BgL_new1725z00_3207; BgL_res3372z00_3221; } 
BgL_res3373z00_3222 = BgL_new1725z00_3207; } } 
BgL_auxz00_5352 = BgL_res3373z00_3222; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5352);} }  else 
{ /* Cnst/alloc.scm 590 */
{ /* Cnst/alloc.scm 593 */
BgL_appz00_bglt BgL_auxz00_5625;
{ /* Cnst/alloc.scm 554 */
long BgL_offsetz00_1750;
BgL_offsetz00_1750 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 555 */
long BgL_za72za7_3224;
BgL_za72za7_3224 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_3224); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_vecz00_49, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
if(
CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
{ /* Cnst/alloc.scm 558 */
obj_t BgL_arg3134z00_1751;
{ /* Cnst/alloc.scm 558 */
obj_t BgL_newz00_3227;
{ /* Cnst/alloc.scm 558 */
int BgL_auxz00_5632;obj_t BgL_auxz00_5630;
BgL_auxz00_5632 = 
(int)(((long)2)); 
BgL_auxz00_5630 = 
CNST_TABLE_REF(((long)8)); 
BgL_newz00_3227 = 
create_struct(BgL_auxz00_5630, BgL_auxz00_5632); } 
{ /* Cnst/alloc.scm 558 */
obj_t BgL_auxz00_5637;int BgL_auxz00_5635;
BgL_auxz00_5637 = 
BINT(BgL_offsetz00_1750); 
BgL_auxz00_5635 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_3227, BgL_auxz00_5635, BgL_auxz00_5637); } 
{ /* Cnst/alloc.scm 558 */
int BgL_auxz00_5640;
BgL_auxz00_5640 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_3227, BgL_auxz00_5640, BgL_vecz00_49); } 
BgL_arg3134z00_1751 = BgL_newz00_3227; } 
BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3134z00_1751, BGl_za2vectorzd2envza2zd2zzcnst_allocz00); }  else 
{ /* Cnst/alloc.scm 557 */BFALSE; } 
BgL_auxz00_5625 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1750), BgL_locz00_50); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5625);} } } } } } 
}



/* _cnst-alloc-vector */
obj_t BGl__cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t BgL_envz00_4189, obj_t BgL_vecz00_4190, obj_t BgL_locz00_4191)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 499 */
{ /* Cnst/alloc.scm 499 */
BgL_nodez00_bglt BgL_auxz00_5647;
BgL_auxz00_5647 = 
BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(BgL_vecz00_4190, BgL_locz00_4191); 
return 
(obj_t)(BgL_auxz00_5647);} } 
}



/* cnst-alloc-tvector */
BgL_nodez00_bglt BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t BgL_tvecz00_51, obj_t BgL_locz00_52)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 598 */
{ 

{ /* Cnst/alloc.scm 628 */
bool_t BgL_test3190z00_1814;
BgL_test3190z00_1814 = 
BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(BgL_tvecz00_51); 
if(BgL_test3190z00_1814)
{ /* Cnst/alloc.scm 629 */
BgL_varz00_bglt BgL_auxz00_5652;
{ /* Cnst/alloc.scm 600 */
BgL_globalz00_bglt BgL_varz00_1818;
{ /* Cnst/alloc.scm 600 */
obj_t BgL_arg3216z00_1844;obj_t BgL_arg3217z00_1845;
{ /* Cnst/alloc.scm 600 */
obj_t BgL_arg3218z00_1846;
BgL_arg3218z00_1846 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)28)), BEOA); 
BgL_arg3216z00_1844 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3218z00_1846, 
CNST_TABLE_REF(((long)29))); } 
BgL_arg3217z00_1845 = 
CNST_TABLE_REF(((long)30)); 
BgL_varz00_1818 = 
BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_arg3216z00_1844, BGl_za2moduleza2z00zzmodule_modulez00, BgL_tvecz00_51, BgL_arg3217z00_1845, BgL_locz00_52); } 
{ /* Cnst/alloc.scm 605 */
BgL_nodez00_bglt BgL_aidz00_1820;
{ /* Cnst/alloc.scm 607 */
BgL_kwotez00_bglt BgL_arg3208z00_1836;
{ /* Cnst/alloc.scm 607 */
obj_t BgL_arg3209z00_1837;BgL_typez00_bglt BgL_arg3210z00_1838;obj_t BgL_arg3211z00_1839;
BgL_arg3209z00_1837 = BgL_locz00_52; 
BgL_arg3210z00_1838 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Cnst/alloc.scm 605 */
BgL_typez00_bglt BgL_obj1024z00_3485;
{ /* Cnst/alloc.scm 605 */
obj_t BgL_auxz00_5661;
{ /* Cnst/alloc.scm 605 */
int BgL_auxz00_5662;
BgL_auxz00_5662 = 
(int)(((long)0)); 
BgL_auxz00_5661 = 
STRUCT_REF(BgL_tvecz00_51, BgL_auxz00_5662); } 
BgL_obj1024z00_3485 = 
(BgL_typez00_bglt)(BgL_auxz00_5661); } 
BgL_arg3211z00_1839 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_3485))->BgL_idz00); } 
{ /* Cnst/alloc.scm 606 */
BgL_kwotez00_bglt BgL_res3410z00_3504;
{ /* Cnst/alloc.scm 606 */
BgL_kwotez00_bglt BgL_new1767z00_3489;
{ /* Cnst/alloc.scm 606 */
BgL_kwotez00_bglt BgL_res3408z00_3495;
{ /* Cnst/alloc.scm 606 */
BgL_kwotez00_bglt BgL_new1769z00_3490;
BgL_new1769z00_3490 = 
((BgL_kwotez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_kwotez00_bgl) ))); 
{ /* Cnst/alloc.scm 606 */
long BgL_arg3247z00_3491;
BgL_arg3247z00_3491 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotez00zzast_nodez00); 
{ /* Cnst/alloc.scm 606 */
BgL_objectz00_bglt BgL_auxz00_5669;
BgL_auxz00_5669 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3490); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5669, BgL_arg3247z00_3491); } } 
{ /* Cnst/alloc.scm 606 */
BgL_objectz00_bglt BgL_auxz00_5672;
BgL_auxz00_5672 = 
(BgL_objectz00_bglt)(BgL_new1769z00_3490); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5672, BFALSE); } 
{ /* Cnst/alloc.scm 606 */
obj_t BgL_auxz00_5675;
BgL_auxz00_5675 = 
(obj_t)(BgL_new1769z00_3490); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5675); } BUNSPEC; 
BgL_res3408z00_3495 = BgL_new1769z00_3490; } 
BgL_new1767z00_3489 = BgL_res3408z00_3495; } 
{ /* Cnst/alloc.scm 606 */
BgL_kwotez00_bglt BgL_res3409z00_3503;
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3489))->BgL_locz00) = ((obj_t)BgL_arg3209z00_1837), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3489))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3210z00_1838), BUNSPEC); 
((((BgL_kwotez00_bglt)CREF(BgL_new1767z00_3489))->BgL_valuez00) = ((obj_t)BgL_arg3211z00_1839), BUNSPEC); 
BgL_res3409z00_3503 = BgL_new1767z00_3489; BgL_res3409z00_3503; } 
BgL_res3410z00_3504 = BgL_new1767z00_3489; } 
BgL_arg3208z00_1836 = BgL_res3410z00_3504; } } 
BgL_aidz00_1820 = 
BGl_cnstz12z12zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg3208z00_1836)); } 
{ /* Cnst/alloc.scm 606 */

{ /* Cnst/alloc.scm 613 */
obj_t BgL_arg3193z00_1821;
{ /* Cnst/alloc.scm 613 */
obj_t BgL_arg3194z00_1822;obj_t BgL_arg3195z00_1823;
BgL_arg3194z00_1822 = 
CNST_TABLE_REF(((long)31)); 
{ /* Cnst/alloc.scm 614 */
obj_t BgL_arg3196z00_1824;obj_t BgL_arg3197z00_1825;
{ /* Cnst/alloc.scm 614 */
obj_t BgL_arg3198z00_1826;obj_t BgL_arg3199z00_1827;
BgL_arg3198z00_1826 = 
CNST_TABLE_REF(((long)12)); 
{ /* Cnst/alloc.scm 614 */
obj_t BgL_arg3200z00_1828;obj_t BgL_arg3201z00_1829;
BgL_arg3200z00_1828 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1818))->BgL_idz00); 
{ /* Cnst/alloc.scm 614 */
obj_t BgL_auxz00_5686;
BgL_auxz00_5686 = 
(((BgL_globalz00_bglt)CREF(BgL_varz00_1818))->BgL_modulez00); 
BgL_arg3201z00_1829 = 
MAKE_PAIR(BgL_auxz00_5686, BNIL); } 
BgL_arg3199z00_1827 = 
MAKE_PAIR(BgL_arg3200z00_1828, BgL_arg3201z00_1829); } 
BgL_arg3196z00_1824 = 
MAKE_PAIR(BgL_arg3198z00_1826, BgL_arg3199z00_1827); } 
{ /* Cnst/alloc.scm 615 */
obj_t BgL_arg3204z00_1832;
{ /* Cnst/alloc.scm 615 */
obj_t BgL_arg3206z00_1834;obj_t BgL_arg3207z00_1835;
BgL_arg3206z00_1834 = 
CNST_TABLE_REF(((long)32)); 
{ /* Cnst/alloc.scm 615 */
obj_t BgL_auxz00_5692;
BgL_auxz00_5692 = 
(obj_t)(BgL_aidz00_1820); 
BgL_arg3207z00_1835 = 
MAKE_PAIR(BgL_auxz00_5692, BNIL); } 
BgL_arg3204z00_1832 = 
MAKE_PAIR(BgL_arg3206z00_1834, BgL_arg3207z00_1835); } 
BgL_arg3197z00_1825 = 
MAKE_PAIR(BgL_arg3204z00_1832, BNIL); } 
BgL_arg3195z00_1823 = 
MAKE_PAIR(BgL_arg3196z00_1824, BgL_arg3197z00_1825); } 
BgL_arg3193z00_1821 = 
MAKE_PAIR(BgL_arg3194z00_1822, BgL_arg3195z00_1823); } 
BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_arg3193z00_1821, BGl_za2globalzd2sexpza2zd2zzcnst_allocz00); } } } 
{ /* Cnst/alloc.scm 617 */
obj_t BgL_arg3213z00_1841;BgL_typez00_bglt BgL_arg3214z00_1842;
BgL_arg3213z00_1841 = BgL_locz00_52; 
{ /* Cnst/alloc.scm 618 */
BgL_variablez00_bglt BgL_obj1190z00_3508;
BgL_obj1190z00_3508 = 
(BgL_variablez00_bglt)(BgL_varz00_1818); 
BgL_arg3214z00_1842 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1190z00_3508))->BgL_typez00); } 
{ /* Cnst/alloc.scm 616 */
BgL_varz00_bglt BgL_res3413z00_3527;
{ /* Cnst/alloc.scm 616 */
BgL_variablez00_bglt BgL_variable1724z00_3511;
{ /* Cnst/alloc.scm 619 */
BgL_globalz00_bglt BgL_auxz00_5702;
BgL_auxz00_5702 = BgL_varz00_1818; 
BgL_variable1724z00_3511 = 
(BgL_variablez00_bglt)(BgL_auxz00_5702); } 
{ /* Cnst/alloc.scm 616 */
BgL_varz00_bglt BgL_new1725z00_3512;
{ /* Cnst/alloc.scm 616 */
BgL_varz00_bglt BgL_res3411z00_3518;
{ /* Cnst/alloc.scm 616 */
BgL_varz00_bglt BgL_new1727z00_3513;
BgL_new1727z00_3513 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Cnst/alloc.scm 616 */
long BgL_arg3249z00_3514;
BgL_arg3249z00_3514 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Cnst/alloc.scm 616 */
BgL_objectz00_bglt BgL_auxz00_5706;
BgL_auxz00_5706 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3513); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5706, BgL_arg3249z00_3514); } } 
{ /* Cnst/alloc.scm 616 */
BgL_objectz00_bglt BgL_auxz00_5709;
BgL_auxz00_5709 = 
(BgL_objectz00_bglt)(BgL_new1727z00_3513); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5709, BFALSE); } 
{ /* Cnst/alloc.scm 616 */
obj_t BgL_auxz00_5712;
BgL_auxz00_5712 = 
(obj_t)(BgL_new1727z00_3513); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5712); } BUNSPEC; 
BgL_res3411z00_3518 = BgL_new1727z00_3513; } 
BgL_new1725z00_3512 = BgL_res3411z00_3518; } 
{ /* Cnst/alloc.scm 616 */
BgL_varz00_bglt BgL_res3412z00_3526;
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3512))->BgL_locz00) = ((obj_t)BgL_arg3213z00_1841), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3512))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3214z00_1842), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1725z00_3512))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1724z00_3511), BUNSPEC); 
BgL_res3412z00_3526 = BgL_new1725z00_3512; BgL_res3412z00_3526; } 
BgL_res3413z00_3527 = BgL_new1725z00_3512; } } 
BgL_auxz00_5652 = BgL_res3413z00_3527; } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5652);}  else 
{ /* Cnst/alloc.scm 630 */
BgL_appz00_bglt BgL_auxz00_5719;
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3429z00zzcnst_allocz00, BGl_string3430z00zzcnst_allocz00, BgL_tvecz00_51); 
{ /* Cnst/alloc.scm 624 */
long BgL_offsetz00_1816;
BgL_offsetz00_1816 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
{ /* Cnst/alloc.scm 625 */
long BgL_za72za7_3481;
BgL_za72za7_3481 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00; 
BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 
(((long)1)+BgL_za72za7_3481); } 
BGl_za2globalzd2setza2zd2zzcnst_allocz00 = 
MAKE_PAIR(BgL_tvecz00_51, BGl_za2globalzd2setza2zd2zzcnst_allocz00); 
BgL_auxz00_5719 = 
BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(
BINT(BgL_offsetz00_1816), BgL_locz00_52); } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5719);} } } } 
}



/* _cnst-alloc-tvector */
obj_t BGl__cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t BgL_envz00_4192, obj_t BgL_tvecz00_4193, obj_t BgL_locz00_4194)
{ AN_OBJECT;
{ /* Cnst/alloc.scm 598 */
{ /* Cnst/alloc.scm 598 */
BgL_nodez00_bglt BgL_auxz00_5726;
BgL_auxz00_5726 = 
BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(BgL_tvecz00_4193, BgL_locz00_4194); 
return 
(obj_t)(BgL_auxz00_5726);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00()
{ AN_OBJECT;
{ /* Cnst/alloc.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)22355), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzcnst_cachez00(((long)37043), "cnst_alloc"); 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)43979), "cnst_alloc"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "cnst_alloc");} 
}

