/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_coercez12zd2vlength2732zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2jumpzd2exzd2it2750zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_coercez12zd2valloc2725zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2conditional2738zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2setq2736zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_coercez12zd2boxzd2ref2754z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__coercezd2functionz12zc0zzcoerce_coercez00(obj_t, obj_t);
static obj_t BGl_coercez12zd2vref2727zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt);
static obj_t BGl_coercez12zd2select2742zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2setfield2721zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_coercez12zd2closure2713zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_coercez12zd2cast2734zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
static obj_t BGl_coercez12zd2kwote2709zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_coercez12zd2vsetz122730zd2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
static obj_t BGl__coercez12zd2default2704zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_coercez12zd2default2704zc0zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_coercez12zd2new2723zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2boxzd2setz122756z00zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_za2boolza2z00zztype_cachez00;
static obj_t BGl_coercez12zd2extern2717zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2setzd2exzd2it2748zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2letzd2fun2744z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2sequence2715zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt);
static obj_t BGl_coercez12zd2fail2740zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_coercez12zd2var2711zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long, BgL_variablez00_bglt);
static obj_t BGl_coercez12zd2letzd2var2746z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long, BgL_variablez00_bglt);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_za2exitza2z00zztype_cachez00;
extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
static obj_t BGl__coercez12z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
extern obj_t BGl_za2magicza2z00zztype_cachez00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
static obj_t BGl_coercez12zd2atom2707zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_coercez12zd2makezd2box2752z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_coercez12zd2getfield2719zc0zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3100z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2valloc2725za7c0za7za7coerce_coerceza7003124z00, BGl_coercez12zd2valloc2725zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3101z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2vref2727za7c0za7za7coerce_coerceza7003125z00, BGl_coercez12zd2vref2727zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3091z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2atom2707za7c0za7za7coerce_coerceza7003126z00, BGl_coercez12zd2atom2707zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3102z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2vsetza7122730za7d2za7za7coerce_coerceza7003127za7, BGl_coercez12zd2vsetz122730zd2zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3092z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2kwote2709za7c0za7za7coerce_coerceza7003128z00, BGl_coercez12zd2kwote2709zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3103z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2vlength2732za7c0za7za7coerce_coerceza7003129z00, BGl_coercez12zd2vlength2732zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3093z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2var2711za7c0za7za7coerce_coerceza7003130z00, BGl_coercez12zd2var2711zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3104z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2cast2734za7c0za7za7coerce_coerceza7003131z00, BGl_coercez12zd2cast2734zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3094z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2closure2713za7c0za7za7coerce_coerceza7003132z00, BGl_coercez12zd2closure2713zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3105z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2setq2736za7c0za7za7coerce_coerceza7003133z00, BGl_coercez12zd2setq2736zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3095z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2sequence2715za7c0za7za7coerce_coerceza7003134z00, BGl_coercez12zd2sequence2715zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3106z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2conditional2738za7c0za7za7coerce_coerceza7003135z00, BGl_coercez12zd2conditional2738zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3096z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2extern2717za7c0za7za7coerce_coerceza7003136z00, BGl_coercez12zd2extern2717zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3107z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2fail2740za7c0za7za7coerce_coerceza7003137z00, BGl_coercez12zd2fail2740zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3097z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2getfield2719za7c0za7za7coerce_coerceza7003138z00, BGl_coercez12zd2getfield2719zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3108z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2select2742za7c0za7za7coerce_coerceza7003139z00, BGl_coercez12zd2select2742zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3098z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2setfield2721za7c0za7za7coerce_coerceza7003140z00, BGl_coercez12zd2setfield2721zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3110z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2letza7d2var2746za712za7za7coerce_coerceza7003141za7, BGl_coercez12zd2letzd2var2746z12zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3109z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2letza7d2fun2744za712za7za7coerce_coerceza7003142za7, BGl_coercez12zd2letzd2fun2744z12zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3099z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2new2723za7c0za7za7coerce_coerceza7003143z00, BGl_coercez12zd2new2723zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3111z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2setza7d2exza7d2it2748za7c0za7za7coerce_coerceza7003144z00, BGl_coercez12zd2setzd2exzd2it2748zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3112z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2jumpza7d2exza7d2it2750za7c0za7za7coerce_coerceza7003145z00, BGl_coercez12zd2jumpzd2exzd2it2750zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3113z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2makeza7d2box2752za712za7za7coerce_coerceza7003146za7, BGl_coercez12zd2makezd2box2752z12zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3114z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2boxza7d2ref2754za712za7za7coerce_coerceza7003147za7, BGl_coercez12zd2boxzd2ref2754z12zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3115z00zzcoerce_coercez00, BgL_bgl_coerceza712za7d2boxza7d2setza7122756za700za7za7coerce_coerceza7003148z00, BGl_coercez12zd2boxzd2setz122756z00zzcoerce_coercez00, 0L, 3 );
DEFINE_STRING( BGl_string3119z00zzcoerce_coercez00, BgL_bgl_string3119za700za7za7coerce_coerceza7003149z00, "coerce!-default2704 ", 20 );
DEFINE_STRING( BGl_string3118z00zzcoerce_coercez00, BgL_bgl_string3118za700za7za7coerce_coerceza7003150z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3117z00zzcoerce_coercez00, BgL_bgl_string3117za700za7za7coerce_coerceza7003151z00, "Unexepected `closure' node", 26 );
DEFINE_STRING( BGl_string3116z00zzcoerce_coercez00, BgL_bgl_string3116za700za7za7coerce_coerceza7003152z00, "coerce!", 7 );
DEFINE_EXPORT_GENERIC( BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_bgl__coerceza712za712za7za7coerce_coerceza7003153za7, BGl__coercez12z12zzcoerce_coercez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_coercez12zd2default2704zd2envz12zzcoerce_coercez00, BgL_bgl__coerceza712za7d2default2704za7c0za7za7coerce_coerceza7003154z00, BGl__coercez12zd2default2704zc0zzcoerce_coercez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00, BgL_bgl__coerceza7d2functionza712za7c0za7za7coerce_coerceza7003155z00, BGl__coercezd2functionz12zc0zzcoerce_coercez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long BgL_checksumz00_3896, char * BgL_fromz00_3897)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00(); 
BGl_cnstzd2initzd2zzcoerce_coercez00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_coercez00(); 
BGl_methodzd2initzd2zzcoerce_coercez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_coerce"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
{ /* Coerce/coerce.scm 15 */
obj_t BgL_cportz00_3889;
BgL_cportz00_3889 = 
open_input_string(BGl_string3119z00zzcoerce_coercez00); 
{ 
long BgL_iz00_3890;
BgL_iz00_3890 = ((long)0); 
BgL_loopz00_3891:
if(
(BgL_iz00_3890==((long)-1)))
{ /* Coerce/coerce.scm 15 */
return BUNSPEC;}  else 
{ /* Coerce/coerce.scm 15 */
{ /* Coerce/coerce.scm 15 */
obj_t BgL_arg3121z00_3893;
{ /* Coerce/coerce.scm 15 */
obj_t BgL_list3122z00_3894;
BgL_list3122z00_3894 = 
MAKE_PAIR(BgL_cportz00_3889, BNIL); 
BgL_arg3121z00_3893 = 
BGl_readz00zz__readerz00(BgL_list3122z00_3894); } 
{ /* Coerce/coerce.scm 15 */
int BgL_auxz00_3912;
BgL_auxz00_3912 = 
(int)(BgL_iz00_3890); 
CNST_TABLE_SET(BgL_auxz00_3912, BgL_arg3121z00_3893); } } 
{ 
long BgL_iz00_3915;
{ /* Coerce/coerce.scm 15 */
int BgL_auxz00_3916;
{ /* Coerce/coerce.scm 15 */
long BgL_auxz00_3917;
BgL_auxz00_3917 = 
(BgL_iz00_3890-((long)1)); 
BgL_auxz00_3916 = 
(int)(BgL_auxz00_3917); } 
BgL_iz00_3915 = 
(long)(BgL_auxz00_3916); } 
BgL_iz00_3890 = BgL_iz00_3915; 
goto BgL_loopz00_3891;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
return BUNSPEC;} 
}



/* coerce-function! */
obj_t BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt BgL_variablez00_1)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 37 */
{ /* Coerce/coerce.scm 39 */
BgL_valuez00_bglt BgL_funz00_1302;
BgL_funz00_1302 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1))->BgL_valuez00); 
{ /* Coerce/coerce.scm 39 */
obj_t BgL_bodyz00_1303;
{ /* Coerce/coerce.scm 40 */
BgL_sfunz00_bglt BgL_obj1372z00_2059;
BgL_obj1372z00_2059 = 
(BgL_sfunz00_bglt)(BgL_funz00_1302); 
BgL_bodyz00_1303 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2059))->BgL_bodyz00); } 
{ /* Coerce/coerce.scm 40 */
BgL_typez00_bglt BgL_tresz00_1304;
BgL_tresz00_1304 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1))->BgL_typez00); 
{ /* Coerce/coerce.scm 41 */

BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long)3), BgL_variablez00_1); 
{ /* Coerce/coerce.scm 43 */
BgL_nodez00_bglt BgL_arg2757z00_1305;
{ /* Coerce/coerce.scm 43 */
BgL_nodez00_bglt BgL_res2989z00_2089;
{ /* Coerce/coerce.scm 43 */
BgL_nodez00_bglt BgL_nodez00_2061;obj_t BgL_callerz00_2062;
BgL_nodez00_2061 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1303); 
BgL_callerz00_2062 = 
(obj_t)(BgL_variablez00_1); 
{ /* Coerce/coerce.scm 43 */
obj_t BgL_method2705z00_2064;
{ /* Coerce/coerce.scm 43 */
long BgL_objzd2classzd2numz00_2066;
{ /* Coerce/coerce.scm 43 */
BgL_objectz00_bglt BgL_auxz00_3928;
BgL_auxz00_3928 = 
(BgL_objectz00_bglt)(BgL_nodez00_2061); 
BgL_objzd2classzd2numz00_2066 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3928); } 
{ /* Coerce/coerce.scm 43 */
obj_t BgL_arg1221z00_2067;
{ /* Coerce/coerce.scm 43 */
int BgL_auxz00_3931;
BgL_auxz00_3931 = 
(int)(((long)1)); 
BgL_arg1221z00_2067 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_3931); } 
{ /* Coerce/coerce.scm 43 */
long BgL_offsetz00_2071;
{ /* Coerce/coerce.scm 43 */
long BgL_auxz00_3934;
{ /* Coerce/coerce.scm 43 */
int BgL_auxz00_3935;
BgL_auxz00_3935 = 
(int)(BgL_objzd2classzd2numz00_2066); 
BgL_auxz00_3934 = 
(long)(BgL_auxz00_3935); } 
BgL_offsetz00_2071 = 
(BgL_auxz00_3934-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 43 */
long BgL_modz00_2072;
{ /* Coerce/coerce.scm 43 */
long BgL_auxz00_3939;
{ /* Coerce/coerce.scm 43 */
int BgL_auxz00_3940;
BgL_auxz00_3940 = 
(int)(((long)8)); 
BgL_auxz00_3939 = 
(long)(BgL_auxz00_3940); } 
BgL_modz00_2072 = 
(BgL_offsetz00_2071/BgL_auxz00_3939); } 
{ /* Coerce/coerce.scm 43 */
long BgL_restz00_2074;
{ /* Coerce/coerce.scm 43 */
long BgL_auxz00_3944;
{ /* Coerce/coerce.scm 43 */
int BgL_auxz00_3945;
BgL_auxz00_3945 = 
(int)(((long)8)); 
BgL_auxz00_3944 = 
(long)(BgL_auxz00_3945); } 
BgL_restz00_2074 = 
(BgL_offsetz00_2071%BgL_auxz00_3944); } 
{ /* Coerce/coerce.scm 43 */

{ /* Coerce/coerce.scm 43 */
obj_t BgL_bucketz00_2076;
{ /* Coerce/coerce.scm 43 */
int BgL_kz00_2086;
BgL_kz00_2086 = 
(int)(BgL_modz00_2072); 
BgL_bucketz00_2076 = 
VECTOR_REF(BgL_arg1221z00_2067,BgL_kz00_2086); } 
{ /* Coerce/coerce.scm 43 */
int BgL_kz00_2088;
BgL_kz00_2088 = 
(int)(BgL_restz00_2074); 
BgL_method2705z00_2064 = 
VECTOR_REF(BgL_bucketz00_2076,BgL_kz00_2088); } } } } } } } } 
{ /* Coerce/coerce.scm 43 */
obj_t BgL_auxz00_3953;
BgL_auxz00_3953 = 
PROCEDURE_ENTRY(BgL_method2705z00_2064)(BgL_method2705z00_2064, 
(obj_t)(BgL_nodez00_2061), BgL_callerz00_2062, 
(obj_t)(BgL_tresz00_1304), BEOA); 
BgL_res2989z00_2089 = 
(BgL_nodez00_bglt)(BgL_auxz00_3953); } } } 
BgL_arg2757z00_1305 = BgL_res2989z00_2089; } 
{ /* Coerce/coerce.scm 43 */
BgL_sfunz00_bglt BgL_obj1374z00_2090;obj_t BgL_val1373z00_2091;
BgL_obj1374z00_2090 = 
(BgL_sfunz00_bglt)(BgL_funz00_1302); 
BgL_val1373z00_2091 = 
(obj_t)(BgL_arg2757z00_1305); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2090))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2091), BUNSPEC);} } } } } } } 
}



/* _coerce-function! */
obj_t BGl__coercezd2functionz12zc0zzcoerce_coercez00(obj_t BgL_envz00_3754, obj_t BgL_variablez00_3755)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 37 */
return 
BGl_coercezd2functionz12zc0zzcoerce_coercez00(
(BgL_variablez00_bglt)(BgL_variablez00_3755));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_coercez12zd2default2704zd2envz12zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00, BGl_proc3091z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00, BGl_proc3092z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00, BGl_proc3093z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00, BGl_proc3094z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00, BGl_proc3095z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00, BGl_proc3096z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00, BGl_proc3097z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00, BGl_proc3098z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00, BGl_proc3099z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00, BGl_proc3100z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00, BGl_proc3101z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00, BGl_proc3102z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00, BGl_proc3103z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00, BGl_proc3104z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00, BGl_proc3105z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_conditionalz00zzast_nodez00, BGl_proc3106z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00, BGl_proc3107z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00, BGl_proc3108z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3109z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3110z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3111z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3112z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3113z00zzcoerce_coercez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3114z00zzcoerce_coercez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3115z00zzcoerce_coercez00);} 
}



/* coerce!-box-set!2756 */
obj_t BGl_coercez12zd2boxzd2setz122756z00zzcoerce_coercez00(obj_t BgL_envz00_3785, obj_t BgL_nodez00_3786, obj_t BgL_callerz00_3787, obj_t BgL_toz00_3788)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 309 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2045;obj_t BgL_callerz00_2046;obj_t BgL_toz00_2047;
{ /* Coerce/coerce.scm 310 */
BgL_nodez00_bglt BgL_auxz00_3990;
BgL_nodez00_2045 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3786); 
BgL_callerz00_2046 = BgL_callerz00_3787; 
BgL_toz00_2047 = BgL_toz00_3788; 
{ /* Coerce/coerce.scm 311 */
BgL_localz00_bglt BgL_obj1254z00_3692;BgL_typez00_bglt BgL_val1253z00_3693;
{ /* Coerce/coerce.scm 311 */
BgL_variablez00_bglt BgL_auxz00_3991;
{ /* Coerce/coerce.scm 311 */
BgL_varz00_bglt BgL_arg2983z00_2052;
BgL_arg2983z00_2052 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2045))->BgL_varz00); 
BgL_auxz00_3991 = 
(((BgL_varz00_bglt)CREF(BgL_arg2983z00_2052))->BgL_variablez00); } 
BgL_obj1254z00_3692 = 
(BgL_localz00_bglt)(BgL_auxz00_3991); } 
BgL_val1253z00_3693 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_3692))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1253z00_3693), BUNSPEC); } 
{ /* Coerce/coerce.scm 312 */
BgL_nodez00_bglt BgL_arg2984z00_2053;
{ /* Coerce/coerce.scm 312 */
BgL_nodez00_bglt BgL_arg2985z00_2054;
BgL_arg2985z00_2054 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2045))->BgL_valuez00); 
{ /* Coerce/coerce.scm 312 */
BgL_nodez00_bglt BgL_res3088z00_3723;
{ /* Coerce/coerce.scm 312 */
BgL_typez00_bglt BgL_toz00_3697;
BgL_toz00_3697 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 312 */
obj_t BgL_method2705z00_3698;
{ /* Coerce/coerce.scm 312 */
long BgL_objzd2classzd2numz00_3700;
{ /* Coerce/coerce.scm 312 */
BgL_objectz00_bglt BgL_auxz00_3999;
BgL_auxz00_3999 = 
(BgL_objectz00_bglt)(BgL_arg2985z00_2054); 
BgL_objzd2classzd2numz00_3700 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3999); } 
{ /* Coerce/coerce.scm 312 */
obj_t BgL_arg1221z00_3701;
{ /* Coerce/coerce.scm 312 */
int BgL_auxz00_4002;
BgL_auxz00_4002 = 
(int)(((long)1)); 
BgL_arg1221z00_3701 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4002); } 
{ /* Coerce/coerce.scm 312 */
long BgL_offsetz00_3705;
{ /* Coerce/coerce.scm 312 */
long BgL_auxz00_4005;
{ /* Coerce/coerce.scm 312 */
int BgL_auxz00_4006;
BgL_auxz00_4006 = 
(int)(BgL_objzd2classzd2numz00_3700); 
BgL_auxz00_4005 = 
(long)(BgL_auxz00_4006); } 
BgL_offsetz00_3705 = 
(BgL_auxz00_4005-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 312 */
long BgL_modz00_3706;
{ /* Coerce/coerce.scm 312 */
long BgL_auxz00_4010;
{ /* Coerce/coerce.scm 312 */
int BgL_auxz00_4011;
BgL_auxz00_4011 = 
(int)(((long)8)); 
BgL_auxz00_4010 = 
(long)(BgL_auxz00_4011); } 
BgL_modz00_3706 = 
(BgL_offsetz00_3705/BgL_auxz00_4010); } 
{ /* Coerce/coerce.scm 312 */
long BgL_restz00_3708;
{ /* Coerce/coerce.scm 312 */
long BgL_auxz00_4015;
{ /* Coerce/coerce.scm 312 */
int BgL_auxz00_4016;
BgL_auxz00_4016 = 
(int)(((long)8)); 
BgL_auxz00_4015 = 
(long)(BgL_auxz00_4016); } 
BgL_restz00_3708 = 
(BgL_offsetz00_3705%BgL_auxz00_4015); } 
{ /* Coerce/coerce.scm 312 */

{ /* Coerce/coerce.scm 312 */
obj_t BgL_bucketz00_3710;
{ /* Coerce/coerce.scm 312 */
int BgL_kz00_3720;
BgL_kz00_3720 = 
(int)(BgL_modz00_3706); 
BgL_bucketz00_3710 = 
VECTOR_REF(BgL_arg1221z00_3701,BgL_kz00_3720); } 
{ /* Coerce/coerce.scm 312 */
int BgL_kz00_3722;
BgL_kz00_3722 = 
(int)(BgL_restz00_3708); 
BgL_method2705z00_3698 = 
VECTOR_REF(BgL_bucketz00_3710,BgL_kz00_3722); } } } } } } } } 
{ /* Coerce/coerce.scm 312 */
obj_t BgL_auxz00_4024;
BgL_auxz00_4024 = 
PROCEDURE_ENTRY(BgL_method2705z00_3698)(BgL_method2705z00_3698, 
(obj_t)(BgL_arg2985z00_2054), BgL_callerz00_2046, 
(obj_t)(BgL_toz00_3697), BEOA); 
BgL_res3088z00_3723 = 
(BgL_nodez00_bglt)(BgL_auxz00_4024); } } } 
BgL_arg2984z00_2053 = BgL_res3088z00_3723; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2045))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2984z00_2053), BUNSPEC); } 
BgL_auxz00_3990 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_2045), 
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_2047)); 
return 
(obj_t)(BgL_auxz00_3990);} } } 
}



/* coerce!-box-ref2754 */
obj_t BGl_coercez12zd2boxzd2ref2754z12zzcoerce_coercez00(obj_t BgL_envz00_3789, obj_t BgL_nodez00_3790, obj_t BgL_callerz00_3791, obj_t BgL_toz00_3792)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 302 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2037;obj_t BgL_callerz00_2038;obj_t BgL_toz00_2039;
{ /* Coerce/coerce.scm 304 */
BgL_nodez00_bglt BgL_auxz00_4037;
BgL_nodez00_2037 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3790); 
BgL_callerz00_2038 = BgL_callerz00_3791; 
BgL_toz00_2039 = BgL_toz00_3792; 
BgL_auxz00_4037 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_2037), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_2039)); 
return 
(obj_t)(BgL_auxz00_4037);} } } 
}



/* coerce!-make-box2752 */
obj_t BGl_coercez12zd2makezd2box2752z12zzcoerce_coercez00(obj_t BgL_envz00_3793, obj_t BgL_nodez00_3794, obj_t BgL_callerz00_3795, obj_t BgL_toz00_3796)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 294 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2027;obj_t BgL_callerz00_2028;obj_t BgL_toz00_2029;
{ /* Coerce/coerce.scm 295 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4044;
BgL_nodez00_2027 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3794); 
BgL_callerz00_2028 = BgL_callerz00_3795; 
BgL_toz00_2029 = BgL_toz00_3796; 
{ /* Coerce/coerce.scm 295 */
BgL_nodez00_bglt BgL_arg2978z00_3656;
{ /* Coerce/coerce.scm 295 */
BgL_nodez00_bglt BgL_arg2979z00_3657;
BgL_arg2979z00_3657 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2027))->BgL_valuez00); 
{ /* Coerce/coerce.scm 295 */
BgL_nodez00_bglt BgL_res3085z00_3687;
{ /* Coerce/coerce.scm 295 */
BgL_typez00_bglt BgL_toz00_3661;
BgL_toz00_3661 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 295 */
obj_t BgL_method2705z00_3662;
{ /* Coerce/coerce.scm 295 */
long BgL_objzd2classzd2numz00_3664;
{ /* Coerce/coerce.scm 295 */
BgL_objectz00_bglt BgL_auxz00_4047;
BgL_auxz00_4047 = 
(BgL_objectz00_bglt)(BgL_arg2979z00_3657); 
BgL_objzd2classzd2numz00_3664 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4047); } 
{ /* Coerce/coerce.scm 295 */
obj_t BgL_arg1221z00_3665;
{ /* Coerce/coerce.scm 295 */
int BgL_auxz00_4050;
BgL_auxz00_4050 = 
(int)(((long)1)); 
BgL_arg1221z00_3665 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4050); } 
{ /* Coerce/coerce.scm 295 */
long BgL_offsetz00_3669;
{ /* Coerce/coerce.scm 295 */
long BgL_auxz00_4053;
{ /* Coerce/coerce.scm 295 */
int BgL_auxz00_4054;
BgL_auxz00_4054 = 
(int)(BgL_objzd2classzd2numz00_3664); 
BgL_auxz00_4053 = 
(long)(BgL_auxz00_4054); } 
BgL_offsetz00_3669 = 
(BgL_auxz00_4053-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 295 */
long BgL_modz00_3670;
{ /* Coerce/coerce.scm 295 */
long BgL_auxz00_4058;
{ /* Coerce/coerce.scm 295 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(((long)8)); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_modz00_3670 = 
(BgL_offsetz00_3669/BgL_auxz00_4058); } 
{ /* Coerce/coerce.scm 295 */
long BgL_restz00_3672;
{ /* Coerce/coerce.scm 295 */
long BgL_auxz00_4063;
{ /* Coerce/coerce.scm 295 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)8)); 
BgL_auxz00_4063 = 
(long)(BgL_auxz00_4064); } 
BgL_restz00_3672 = 
(BgL_offsetz00_3669%BgL_auxz00_4063); } 
{ /* Coerce/coerce.scm 295 */

{ /* Coerce/coerce.scm 295 */
obj_t BgL_bucketz00_3674;
{ /* Coerce/coerce.scm 295 */
int BgL_kz00_3684;
BgL_kz00_3684 = 
(int)(BgL_modz00_3670); 
BgL_bucketz00_3674 = 
VECTOR_REF(BgL_arg1221z00_3665,BgL_kz00_3684); } 
{ /* Coerce/coerce.scm 295 */
int BgL_kz00_3686;
BgL_kz00_3686 = 
(int)(BgL_restz00_3672); 
BgL_method2705z00_3662 = 
VECTOR_REF(BgL_bucketz00_3674,BgL_kz00_3686); } } } } } } } } 
{ /* Coerce/coerce.scm 295 */
obj_t BgL_auxz00_4072;
BgL_auxz00_4072 = 
PROCEDURE_ENTRY(BgL_method2705z00_3662)(BgL_method2705z00_3662, 
(obj_t)(BgL_arg2979z00_3657), BgL_callerz00_2028, 
(obj_t)(BgL_toz00_3661), BEOA); 
BgL_res3085z00_3687 = 
(BgL_nodez00_bglt)(BgL_auxz00_4072); } } } 
BgL_arg2978z00_3656 = BgL_res3085z00_3687; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2027))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2978z00_3656), BUNSPEC); } 
BgL_auxz00_4044 = BgL_nodez00_2027; 
return 
(obj_t)(BgL_auxz00_4044);} } } 
}



/* coerce!-jump-ex-it2750 */
obj_t BGl_coercez12zd2jumpzd2exzd2it2750zc0zzcoerce_coercez00(obj_t BgL_envz00_3797, obj_t BgL_nodez00_3798, obj_t BgL_callerz00_3799, obj_t BgL_toz00_3800)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 285 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2015;obj_t BgL_callerz00_2016;obj_t BgL_toz00_2017;
{ /* Coerce/coerce.scm 286 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4081;
BgL_nodez00_2015 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3798); 
BgL_callerz00_2016 = BgL_callerz00_3799; 
BgL_toz00_2017 = BgL_toz00_3800; 
{ /* Coerce/coerce.scm 287 */
BgL_nodez00_bglt BgL_arg2973z00_2021;
{ /* Coerce/coerce.scm 287 */
BgL_nodez00_bglt BgL_arg2974z00_2022;
BgL_arg2974z00_2022 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2015))->BgL_exitz00); 
{ /* Coerce/coerce.scm 287 */
BgL_nodez00_bglt BgL_res3079z00_3620;
{ /* Coerce/coerce.scm 287 */
BgL_typez00_bglt BgL_toz00_3594;
BgL_toz00_3594 = 
(BgL_typez00_bglt)(BGl_za2exitza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 287 */
obj_t BgL_method2705z00_3595;
{ /* Coerce/coerce.scm 287 */
long BgL_objzd2classzd2numz00_3597;
{ /* Coerce/coerce.scm 287 */
BgL_objectz00_bglt BgL_auxz00_4084;
BgL_auxz00_4084 = 
(BgL_objectz00_bglt)(BgL_arg2974z00_2022); 
BgL_objzd2classzd2numz00_3597 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4084); } 
{ /* Coerce/coerce.scm 287 */
obj_t BgL_arg1221z00_3598;
{ /* Coerce/coerce.scm 287 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)1)); 
BgL_arg1221z00_3598 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4087); } 
{ /* Coerce/coerce.scm 287 */
long BgL_offsetz00_3602;
{ /* Coerce/coerce.scm 287 */
long BgL_auxz00_4090;
{ /* Coerce/coerce.scm 287 */
int BgL_auxz00_4091;
BgL_auxz00_4091 = 
(int)(BgL_objzd2classzd2numz00_3597); 
BgL_auxz00_4090 = 
(long)(BgL_auxz00_4091); } 
BgL_offsetz00_3602 = 
(BgL_auxz00_4090-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 287 */
long BgL_modz00_3603;
{ /* Coerce/coerce.scm 287 */
long BgL_auxz00_4095;
{ /* Coerce/coerce.scm 287 */
int BgL_auxz00_4096;
BgL_auxz00_4096 = 
(int)(((long)8)); 
BgL_auxz00_4095 = 
(long)(BgL_auxz00_4096); } 
BgL_modz00_3603 = 
(BgL_offsetz00_3602/BgL_auxz00_4095); } 
{ /* Coerce/coerce.scm 287 */
long BgL_restz00_3605;
{ /* Coerce/coerce.scm 287 */
long BgL_auxz00_4100;
{ /* Coerce/coerce.scm 287 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)8)); 
BgL_auxz00_4100 = 
(long)(BgL_auxz00_4101); } 
BgL_restz00_3605 = 
(BgL_offsetz00_3602%BgL_auxz00_4100); } 
{ /* Coerce/coerce.scm 287 */

{ /* Coerce/coerce.scm 287 */
obj_t BgL_bucketz00_3607;
{ /* Coerce/coerce.scm 287 */
int BgL_kz00_3617;
BgL_kz00_3617 = 
(int)(BgL_modz00_3603); 
BgL_bucketz00_3607 = 
VECTOR_REF(BgL_arg1221z00_3598,BgL_kz00_3617); } 
{ /* Coerce/coerce.scm 287 */
int BgL_kz00_3619;
BgL_kz00_3619 = 
(int)(BgL_restz00_3605); 
BgL_method2705z00_3595 = 
VECTOR_REF(BgL_bucketz00_3607,BgL_kz00_3619); } } } } } } } } 
{ /* Coerce/coerce.scm 287 */
obj_t BgL_auxz00_4109;
BgL_auxz00_4109 = 
PROCEDURE_ENTRY(BgL_method2705z00_3595)(BgL_method2705z00_3595, 
(obj_t)(BgL_arg2974z00_2022), BgL_callerz00_2016, 
(obj_t)(BgL_toz00_3594), BEOA); 
BgL_res3079z00_3620 = 
(BgL_nodez00_bglt)(BgL_auxz00_4109); } } } 
BgL_arg2973z00_2021 = BgL_res3079z00_3620; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2015))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2973z00_2021), BUNSPEC); } 
{ /* Coerce/coerce.scm 288 */
BgL_nodez00_bglt BgL_arg2975z00_2023;
{ /* Coerce/coerce.scm 288 */
BgL_nodez00_bglt BgL_arg2976z00_2024;
BgL_arg2976z00_2024 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2015))->BgL_valuez00); 
{ /* Coerce/coerce.scm 288 */
BgL_nodez00_bglt BgL_res3082z00_3652;
{ /* Coerce/coerce.scm 288 */
BgL_typez00_bglt BgL_toz00_3626;
BgL_toz00_3626 = 
(BgL_typez00_bglt)(BgL_toz00_2017); 
{ /* Coerce/coerce.scm 288 */
obj_t BgL_method2705z00_3627;
{ /* Coerce/coerce.scm 288 */
long BgL_objzd2classzd2numz00_3629;
{ /* Coerce/coerce.scm 288 */
BgL_objectz00_bglt BgL_auxz00_4118;
BgL_auxz00_4118 = 
(BgL_objectz00_bglt)(BgL_arg2976z00_2024); 
BgL_objzd2classzd2numz00_3629 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4118); } 
{ /* Coerce/coerce.scm 288 */
obj_t BgL_arg1221z00_3630;
{ /* Coerce/coerce.scm 288 */
int BgL_auxz00_4121;
BgL_auxz00_4121 = 
(int)(((long)1)); 
BgL_arg1221z00_3630 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4121); } 
{ /* Coerce/coerce.scm 288 */
long BgL_offsetz00_3634;
{ /* Coerce/coerce.scm 288 */
long BgL_auxz00_4124;
{ /* Coerce/coerce.scm 288 */
int BgL_auxz00_4125;
BgL_auxz00_4125 = 
(int)(BgL_objzd2classzd2numz00_3629); 
BgL_auxz00_4124 = 
(long)(BgL_auxz00_4125); } 
BgL_offsetz00_3634 = 
(BgL_auxz00_4124-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 288 */
long BgL_modz00_3635;
{ /* Coerce/coerce.scm 288 */
long BgL_auxz00_4129;
{ /* Coerce/coerce.scm 288 */
int BgL_auxz00_4130;
BgL_auxz00_4130 = 
(int)(((long)8)); 
BgL_auxz00_4129 = 
(long)(BgL_auxz00_4130); } 
BgL_modz00_3635 = 
(BgL_offsetz00_3634/BgL_auxz00_4129); } 
{ /* Coerce/coerce.scm 288 */
long BgL_restz00_3637;
{ /* Coerce/coerce.scm 288 */
long BgL_auxz00_4134;
{ /* Coerce/coerce.scm 288 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(((long)8)); 
BgL_auxz00_4134 = 
(long)(BgL_auxz00_4135); } 
BgL_restz00_3637 = 
(BgL_offsetz00_3634%BgL_auxz00_4134); } 
{ /* Coerce/coerce.scm 288 */

{ /* Coerce/coerce.scm 288 */
obj_t BgL_bucketz00_3639;
{ /* Coerce/coerce.scm 288 */
int BgL_kz00_3649;
BgL_kz00_3649 = 
(int)(BgL_modz00_3635); 
BgL_bucketz00_3639 = 
VECTOR_REF(BgL_arg1221z00_3630,BgL_kz00_3649); } 
{ /* Coerce/coerce.scm 288 */
int BgL_kz00_3651;
BgL_kz00_3651 = 
(int)(BgL_restz00_3637); 
BgL_method2705z00_3627 = 
VECTOR_REF(BgL_bucketz00_3639,BgL_kz00_3651); } } } } } } } } 
{ /* Coerce/coerce.scm 288 */
obj_t BgL_auxz00_4143;
BgL_auxz00_4143 = 
PROCEDURE_ENTRY(BgL_method2705z00_3627)(BgL_method2705z00_3627, 
(obj_t)(BgL_arg2976z00_2024), BgL_callerz00_2016, 
(obj_t)(BgL_toz00_3626), BEOA); 
BgL_res3082z00_3652 = 
(BgL_nodez00_bglt)(BgL_auxz00_4143); } } } 
BgL_arg2975z00_2023 = BgL_res3082z00_3652; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2015))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2975z00_2023), BUNSPEC); } 
BgL_auxz00_4081 = BgL_nodez00_2015; 
return 
(obj_t)(BgL_auxz00_4081);} } } 
}



/* coerce!-set-ex-it2748 */
obj_t BGl_coercez12zd2setzd2exzd2it2748zc0zzcoerce_coercez00(obj_t BgL_envz00_3801, obj_t BgL_nodez00_3802, obj_t BgL_callerz00_3803, obj_t BgL_toz00_3804)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 275 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2000;obj_t BgL_callerz00_2001;obj_t BgL_toz00_2002;
{ /* Coerce/coerce.scm 276 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4152;
BgL_nodez00_2000 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3802); 
BgL_callerz00_2001 = BgL_callerz00_3803; 
BgL_toz00_2002 = BgL_toz00_3804; 
{ /* Coerce/coerce.scm 277 */
BgL_nodez00_bglt BgL_arg2965z00_2006;
{ /* Coerce/coerce.scm 277 */
BgL_nodez00_bglt BgL_res3073z00_3554;
{ /* Coerce/coerce.scm 277 */
BgL_nodez00_bglt BgL_nodez00_3526;BgL_typez00_bglt BgL_toz00_3528;
{ /* Coerce/coerce.scm 277 */
BgL_varz00_bglt BgL_auxz00_4153;
BgL_auxz00_4153 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2000))->BgL_varz00); 
BgL_nodez00_3526 = 
(BgL_nodez00_bglt)(BgL_auxz00_4153); } 
BgL_toz00_3528 = 
(BgL_typez00_bglt)(BGl_za2exitza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 277 */
obj_t BgL_method2705z00_3529;
{ /* Coerce/coerce.scm 277 */
long BgL_objzd2classzd2numz00_3531;
{ /* Coerce/coerce.scm 277 */
BgL_objectz00_bglt BgL_auxz00_4157;
BgL_auxz00_4157 = 
(BgL_objectz00_bglt)(BgL_nodez00_3526); 
BgL_objzd2classzd2numz00_3531 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4157); } 
{ /* Coerce/coerce.scm 277 */
obj_t BgL_arg1221z00_3532;
{ /* Coerce/coerce.scm 277 */
int BgL_auxz00_4160;
BgL_auxz00_4160 = 
(int)(((long)1)); 
BgL_arg1221z00_3532 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4160); } 
{ /* Coerce/coerce.scm 277 */
long BgL_offsetz00_3536;
{ /* Coerce/coerce.scm 277 */
long BgL_auxz00_4163;
{ /* Coerce/coerce.scm 277 */
int BgL_auxz00_4164;
BgL_auxz00_4164 = 
(int)(BgL_objzd2classzd2numz00_3531); 
BgL_auxz00_4163 = 
(long)(BgL_auxz00_4164); } 
BgL_offsetz00_3536 = 
(BgL_auxz00_4163-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 277 */
long BgL_modz00_3537;
{ /* Coerce/coerce.scm 277 */
long BgL_auxz00_4168;
{ /* Coerce/coerce.scm 277 */
int BgL_auxz00_4169;
BgL_auxz00_4169 = 
(int)(((long)8)); 
BgL_auxz00_4168 = 
(long)(BgL_auxz00_4169); } 
BgL_modz00_3537 = 
(BgL_offsetz00_3536/BgL_auxz00_4168); } 
{ /* Coerce/coerce.scm 277 */
long BgL_restz00_3539;
{ /* Coerce/coerce.scm 277 */
long BgL_auxz00_4173;
{ /* Coerce/coerce.scm 277 */
int BgL_auxz00_4174;
BgL_auxz00_4174 = 
(int)(((long)8)); 
BgL_auxz00_4173 = 
(long)(BgL_auxz00_4174); } 
BgL_restz00_3539 = 
(BgL_offsetz00_3536%BgL_auxz00_4173); } 
{ /* Coerce/coerce.scm 277 */

{ /* Coerce/coerce.scm 277 */
obj_t BgL_bucketz00_3541;
{ /* Coerce/coerce.scm 277 */
int BgL_kz00_3551;
BgL_kz00_3551 = 
(int)(BgL_modz00_3537); 
BgL_bucketz00_3541 = 
VECTOR_REF(BgL_arg1221z00_3532,BgL_kz00_3551); } 
{ /* Coerce/coerce.scm 277 */
int BgL_kz00_3553;
BgL_kz00_3553 = 
(int)(BgL_restz00_3539); 
BgL_method2705z00_3529 = 
VECTOR_REF(BgL_bucketz00_3541,BgL_kz00_3553); } } } } } } } } 
{ /* Coerce/coerce.scm 277 */
obj_t BgL_auxz00_4182;
BgL_auxz00_4182 = 
PROCEDURE_ENTRY(BgL_method2705z00_3529)(BgL_method2705z00_3529, 
(obj_t)(BgL_nodez00_3526), BgL_callerz00_2001, 
(obj_t)(BgL_toz00_3528), BEOA); 
BgL_res3073z00_3554 = 
(BgL_nodez00_bglt)(BgL_auxz00_4182); } } } 
BgL_arg2965z00_2006 = BgL_res3073z00_3554; } 
{ /* Coerce/coerce.scm 277 */
BgL_varz00_bglt BgL_val2507z00_3556;
BgL_val2507z00_3556 = 
(BgL_varz00_bglt)(BgL_arg2965z00_2006); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2000))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2507z00_3556), BUNSPEC); } } 
{ /* Coerce/coerce.scm 278 */
BgL_variablez00_bglt BgL_auxz00_4190;
{ /* Coerce/coerce.scm 278 */
BgL_varz00_bglt BgL_arg2969z00_2010;
BgL_arg2969z00_2010 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2000))->BgL_varz00); 
BgL_auxz00_4190 = 
(((BgL_varz00_bglt)CREF(BgL_arg2969z00_2010))->BgL_variablez00); } 
BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long)3), BgL_auxz00_4190); } 
{ /* Coerce/coerce.scm 279 */
BgL_nodez00_bglt BgL_arg2970z00_2011;
{ /* Coerce/coerce.scm 279 */
BgL_nodez00_bglt BgL_arg2971z00_2012;
BgL_arg2971z00_2012 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2000))->BgL_bodyz00); 
{ /* Coerce/coerce.scm 279 */
BgL_nodez00_bglt BgL_res3076z00_3588;
{ /* Coerce/coerce.scm 279 */
BgL_typez00_bglt BgL_toz00_3562;
BgL_toz00_3562 = 
(BgL_typez00_bglt)(BgL_toz00_2002); 
{ /* Coerce/coerce.scm 279 */
obj_t BgL_method2705z00_3563;
{ /* Coerce/coerce.scm 279 */
long BgL_objzd2classzd2numz00_3565;
{ /* Coerce/coerce.scm 279 */
BgL_objectz00_bglt BgL_auxz00_4196;
BgL_auxz00_4196 = 
(BgL_objectz00_bglt)(BgL_arg2971z00_2012); 
BgL_objzd2classzd2numz00_3565 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4196); } 
{ /* Coerce/coerce.scm 279 */
obj_t BgL_arg1221z00_3566;
{ /* Coerce/coerce.scm 279 */
int BgL_auxz00_4199;
BgL_auxz00_4199 = 
(int)(((long)1)); 
BgL_arg1221z00_3566 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4199); } 
{ /* Coerce/coerce.scm 279 */
long BgL_offsetz00_3570;
{ /* Coerce/coerce.scm 279 */
long BgL_auxz00_4202;
{ /* Coerce/coerce.scm 279 */
int BgL_auxz00_4203;
BgL_auxz00_4203 = 
(int)(BgL_objzd2classzd2numz00_3565); 
BgL_auxz00_4202 = 
(long)(BgL_auxz00_4203); } 
BgL_offsetz00_3570 = 
(BgL_auxz00_4202-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 279 */
long BgL_modz00_3571;
{ /* Coerce/coerce.scm 279 */
long BgL_auxz00_4207;
{ /* Coerce/coerce.scm 279 */
int BgL_auxz00_4208;
BgL_auxz00_4208 = 
(int)(((long)8)); 
BgL_auxz00_4207 = 
(long)(BgL_auxz00_4208); } 
BgL_modz00_3571 = 
(BgL_offsetz00_3570/BgL_auxz00_4207); } 
{ /* Coerce/coerce.scm 279 */
long BgL_restz00_3573;
{ /* Coerce/coerce.scm 279 */
long BgL_auxz00_4212;
{ /* Coerce/coerce.scm 279 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)8)); 
BgL_auxz00_4212 = 
(long)(BgL_auxz00_4213); } 
BgL_restz00_3573 = 
(BgL_offsetz00_3570%BgL_auxz00_4212); } 
{ /* Coerce/coerce.scm 279 */

{ /* Coerce/coerce.scm 279 */
obj_t BgL_bucketz00_3575;
{ /* Coerce/coerce.scm 279 */
int BgL_kz00_3585;
BgL_kz00_3585 = 
(int)(BgL_modz00_3571); 
BgL_bucketz00_3575 = 
VECTOR_REF(BgL_arg1221z00_3566,BgL_kz00_3585); } 
{ /* Coerce/coerce.scm 279 */
int BgL_kz00_3587;
BgL_kz00_3587 = 
(int)(BgL_restz00_3573); 
BgL_method2705z00_3563 = 
VECTOR_REF(BgL_bucketz00_3575,BgL_kz00_3587); } } } } } } } } 
{ /* Coerce/coerce.scm 279 */
obj_t BgL_auxz00_4221;
BgL_auxz00_4221 = 
PROCEDURE_ENTRY(BgL_method2705z00_3563)(BgL_method2705z00_3563, 
(obj_t)(BgL_arg2971z00_2012), BgL_callerz00_2001, 
(obj_t)(BgL_toz00_3562), BEOA); 
BgL_res3076z00_3588 = 
(BgL_nodez00_bglt)(BgL_auxz00_4221); } } } 
BgL_arg2970z00_2011 = BgL_res3076z00_3588; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2000))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2970z00_2011), BUNSPEC); } 
BgL_auxz00_4152 = BgL_nodez00_2000; 
return 
(obj_t)(BgL_auxz00_4152);} } } 
}



/* coerce!-let-var2746 */
obj_t BGl_coercez12zd2letzd2var2746z12zzcoerce_coercez00(obj_t BgL_envz00_3805, obj_t BgL_nodez00_3806, obj_t BgL_callerz00_3807, obj_t BgL_toz00_3808)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 257 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1978;obj_t BgL_callerz00_1979;obj_t BgL_toz00_1980;
{ /* ./Tools/trace.sch 42 */
BgL_letzd2varzd2_bglt BgL_auxz00_4230;
BgL_nodez00_1978 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3806); 
BgL_callerz00_1979 = BgL_callerz00_3807; 
BgL_toz00_1980 = BgL_toz00_3808; 
BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00(); 
{ 
obj_t BgL_l2692z00_1984;
BgL_l2692z00_1984 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1978))->BgL_bindingsz00); 
BgL_lname2693z00_1985:
if(
PAIRP(BgL_l2692z00_1984))
{ /* Coerce/coerce.scm 262 */
{ /* Coerce/coerce.scm 263 */
obj_t BgL_bindingz00_1988;
BgL_bindingz00_1988 = 
CAR(BgL_l2692z00_1984); 
{ /* Coerce/coerce.scm 263 */
BgL_variablez00_bglt BgL_auxz00_4235;
{ /* Coerce/coerce.scm 263 */
obj_t BgL_auxz00_4236;
BgL_auxz00_4236 = 
CAR(BgL_bindingz00_1988); 
BgL_auxz00_4235 = 
(BgL_variablez00_bglt)(BgL_auxz00_4236); } 
BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long)3), BgL_auxz00_4235); } 
{ /* Coerce/coerce.scm 264 */
BgL_nodez00_bglt BgL_arg2957z00_1991;
{ /* Coerce/coerce.scm 264 */
BgL_typez00_bglt BgL_arg2959z00_1993;
{ /* Coerce/coerce.scm 266 */
BgL_localz00_bglt BgL_obj1252z00_3460;
{ /* Coerce/coerce.scm 266 */
obj_t BgL_auxz00_4240;
BgL_auxz00_4240 = 
CAR(BgL_bindingz00_1988); 
BgL_obj1252z00_3460 = 
(BgL_localz00_bglt)(BgL_auxz00_4240); } 
BgL_arg2959z00_1993 = 
(((BgL_localz00_bglt)CREF(BgL_obj1252z00_3460))->BgL_typez00); } 
{ /* Coerce/coerce.scm 264 */
BgL_nodez00_bglt BgL_res3067z00_3489;
{ /* Coerce/coerce.scm 264 */
BgL_nodez00_bglt BgL_nodez00_3461;
{ /* Coerce/coerce.scm 264 */
obj_t BgL_auxz00_4244;
BgL_auxz00_4244 = 
CDR(BgL_bindingz00_1988); 
BgL_nodez00_3461 = 
(BgL_nodez00_bglt)(BgL_auxz00_4244); } 
{ /* Coerce/coerce.scm 264 */
obj_t BgL_method2705z00_3464;
{ /* Coerce/coerce.scm 264 */
long BgL_objzd2classzd2numz00_3466;
{ /* Coerce/coerce.scm 264 */
BgL_objectz00_bglt BgL_auxz00_4247;
BgL_auxz00_4247 = 
(BgL_objectz00_bglt)(BgL_nodez00_3461); 
BgL_objzd2classzd2numz00_3466 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4247); } 
{ /* Coerce/coerce.scm 264 */
obj_t BgL_arg1221z00_3467;
{ /* Coerce/coerce.scm 264 */
int BgL_auxz00_4250;
BgL_auxz00_4250 = 
(int)(((long)1)); 
BgL_arg1221z00_3467 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4250); } 
{ /* Coerce/coerce.scm 264 */
long BgL_offsetz00_3471;
{ /* Coerce/coerce.scm 264 */
long BgL_auxz00_4253;
{ /* Coerce/coerce.scm 264 */
int BgL_auxz00_4254;
BgL_auxz00_4254 = 
(int)(BgL_objzd2classzd2numz00_3466); 
BgL_auxz00_4253 = 
(long)(BgL_auxz00_4254); } 
BgL_offsetz00_3471 = 
(BgL_auxz00_4253-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 264 */
long BgL_modz00_3472;
{ /* Coerce/coerce.scm 264 */
long BgL_auxz00_4258;
{ /* Coerce/coerce.scm 264 */
int BgL_auxz00_4259;
BgL_auxz00_4259 = 
(int)(((long)8)); 
BgL_auxz00_4258 = 
(long)(BgL_auxz00_4259); } 
BgL_modz00_3472 = 
(BgL_offsetz00_3471/BgL_auxz00_4258); } 
{ /* Coerce/coerce.scm 264 */
long BgL_restz00_3474;
{ /* Coerce/coerce.scm 264 */
long BgL_auxz00_4263;
{ /* Coerce/coerce.scm 264 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(((long)8)); 
BgL_auxz00_4263 = 
(long)(BgL_auxz00_4264); } 
BgL_restz00_3474 = 
(BgL_offsetz00_3471%BgL_auxz00_4263); } 
{ /* Coerce/coerce.scm 264 */

{ /* Coerce/coerce.scm 264 */
obj_t BgL_bucketz00_3476;
{ /* Coerce/coerce.scm 264 */
int BgL_kz00_3486;
BgL_kz00_3486 = 
(int)(BgL_modz00_3472); 
BgL_bucketz00_3476 = 
VECTOR_REF(BgL_arg1221z00_3467,BgL_kz00_3486); } 
{ /* Coerce/coerce.scm 264 */
int BgL_kz00_3488;
BgL_kz00_3488 = 
(int)(BgL_restz00_3474); 
BgL_method2705z00_3464 = 
VECTOR_REF(BgL_bucketz00_3476,BgL_kz00_3488); } } } } } } } } 
{ /* Coerce/coerce.scm 264 */
obj_t BgL_auxz00_4272;
BgL_auxz00_4272 = 
PROCEDURE_ENTRY(BgL_method2705z00_3464)(BgL_method2705z00_3464, 
(obj_t)(BgL_nodez00_3461), BgL_callerz00_1979, 
(obj_t)(BgL_arg2959z00_1993), BEOA); 
BgL_res3067z00_3489 = 
(BgL_nodez00_bglt)(BgL_auxz00_4272); } } } 
BgL_arg2957z00_1991 = BgL_res3067z00_3489; } } 
{ /* Coerce/coerce.scm 264 */
obj_t BgL_auxz00_4278;
BgL_auxz00_4278 = 
(obj_t)(BgL_arg2957z00_1991); 
SET_CDR(BgL_bindingz00_1988, BgL_auxz00_4278); } } } 
{ 
obj_t BgL_l2692z00_4281;
BgL_l2692z00_4281 = 
CDR(BgL_l2692z00_1984); 
BgL_l2692z00_1984 = BgL_l2692z00_4281; 
goto BgL_lname2693z00_1985;} }  else 
{ /* Coerce/coerce.scm 262 */((bool_t)1); } } 
{ /* Coerce/coerce.scm 268 */
BgL_nodez00_bglt BgL_arg2962z00_1996;
{ /* Coerce/coerce.scm 268 */
BgL_nodez00_bglt BgL_arg2963z00_1997;
BgL_arg2963z00_1997 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1978))->BgL_bodyz00); 
{ /* Coerce/coerce.scm 268 */
BgL_nodez00_bglt BgL_res3070z00_3522;
{ /* Coerce/coerce.scm 268 */
BgL_typez00_bglt BgL_toz00_3496;
BgL_toz00_3496 = 
(BgL_typez00_bglt)(BgL_toz00_1980); 
{ /* Coerce/coerce.scm 268 */
obj_t BgL_method2705z00_3497;
{ /* Coerce/coerce.scm 268 */
long BgL_objzd2classzd2numz00_3499;
{ /* Coerce/coerce.scm 268 */
BgL_objectz00_bglt BgL_auxz00_4286;
BgL_auxz00_4286 = 
(BgL_objectz00_bglt)(BgL_arg2963z00_1997); 
BgL_objzd2classzd2numz00_3499 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4286); } 
{ /* Coerce/coerce.scm 268 */
obj_t BgL_arg1221z00_3500;
{ /* Coerce/coerce.scm 268 */
int BgL_auxz00_4289;
BgL_auxz00_4289 = 
(int)(((long)1)); 
BgL_arg1221z00_3500 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4289); } 
{ /* Coerce/coerce.scm 268 */
long BgL_offsetz00_3504;
{ /* Coerce/coerce.scm 268 */
long BgL_auxz00_4292;
{ /* Coerce/coerce.scm 268 */
int BgL_auxz00_4293;
BgL_auxz00_4293 = 
(int)(BgL_objzd2classzd2numz00_3499); 
BgL_auxz00_4292 = 
(long)(BgL_auxz00_4293); } 
BgL_offsetz00_3504 = 
(BgL_auxz00_4292-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 268 */
long BgL_modz00_3505;
{ /* Coerce/coerce.scm 268 */
long BgL_auxz00_4297;
{ /* Coerce/coerce.scm 268 */
int BgL_auxz00_4298;
BgL_auxz00_4298 = 
(int)(((long)8)); 
BgL_auxz00_4297 = 
(long)(BgL_auxz00_4298); } 
BgL_modz00_3505 = 
(BgL_offsetz00_3504/BgL_auxz00_4297); } 
{ /* Coerce/coerce.scm 268 */
long BgL_restz00_3507;
{ /* Coerce/coerce.scm 268 */
long BgL_auxz00_4302;
{ /* Coerce/coerce.scm 268 */
int BgL_auxz00_4303;
BgL_auxz00_4303 = 
(int)(((long)8)); 
BgL_auxz00_4302 = 
(long)(BgL_auxz00_4303); } 
BgL_restz00_3507 = 
(BgL_offsetz00_3504%BgL_auxz00_4302); } 
{ /* Coerce/coerce.scm 268 */

{ /* Coerce/coerce.scm 268 */
obj_t BgL_bucketz00_3509;
{ /* Coerce/coerce.scm 268 */
int BgL_kz00_3519;
BgL_kz00_3519 = 
(int)(BgL_modz00_3505); 
BgL_bucketz00_3509 = 
VECTOR_REF(BgL_arg1221z00_3500,BgL_kz00_3519); } 
{ /* Coerce/coerce.scm 268 */
int BgL_kz00_3521;
BgL_kz00_3521 = 
(int)(BgL_restz00_3507); 
BgL_method2705z00_3497 = 
VECTOR_REF(BgL_bucketz00_3509,BgL_kz00_3521); } } } } } } } } 
{ /* Coerce/coerce.scm 268 */
obj_t BgL_auxz00_4311;
BgL_auxz00_4311 = 
PROCEDURE_ENTRY(BgL_method2705z00_3497)(BgL_method2705z00_3497, 
(obj_t)(BgL_arg2963z00_1997), BgL_callerz00_1979, 
(obj_t)(BgL_toz00_3496), BEOA); 
BgL_res3070z00_3522 = 
(BgL_nodez00_bglt)(BgL_auxz00_4311); } } } 
BgL_arg2962z00_1996 = BgL_res3070z00_3522; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1978))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2962z00_1996), BUNSPEC); } 
BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00(); 
BgL_auxz00_4230 = BgL_nodez00_1978; 
return 
(obj_t)(BgL_auxz00_4230);} } } 
}



/* coerce!-let-fun2744 */
obj_t BGl_coercez12zd2letzd2fun2744z12zzcoerce_coercez00(obj_t BgL_envz00_3809, obj_t BgL_nodez00_3810, obj_t BgL_callerz00_3811, obj_t BgL_toz00_3812)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 246 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1962;obj_t BgL_callerz00_1963;obj_t BgL_toz00_1964;
{ /* Coerce/coerce.scm 247 */
BgL_letzd2funzd2_bglt BgL_auxz00_4321;
BgL_nodez00_1962 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3810); 
BgL_callerz00_1963 = BgL_callerz00_3811; 
BgL_toz00_1964 = BgL_toz00_3812; 
BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00(); 
{ 
obj_t BgL_l2688z00_1968;
BgL_l2688z00_1968 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1962))->BgL_localsz00); 
BgL_lname2689z00_1969:
if(
PAIRP(BgL_l2688z00_1968))
{ /* Coerce/coerce.scm 249 */
{ /* Coerce/coerce.scm 249 */
BgL_variablez00_bglt BgL_auxz00_4325;
{ /* Coerce/coerce.scm 249 */
obj_t BgL_auxz00_4326;
BgL_auxz00_4326 = 
CAR(BgL_l2688z00_1968); 
BgL_auxz00_4325 = 
(BgL_variablez00_bglt)(BgL_auxz00_4326); } 
BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_auxz00_4325); } 
{ 
obj_t BgL_l2688z00_4330;
BgL_l2688z00_4330 = 
CDR(BgL_l2688z00_1968); 
BgL_l2688z00_1968 = BgL_l2688z00_4330; 
goto BgL_lname2689z00_1969;} }  else 
{ /* Coerce/coerce.scm 249 */((bool_t)1); } } 
{ /* Coerce/coerce.scm 250 */
BgL_nodez00_bglt BgL_arg2950z00_1974;
{ /* Coerce/coerce.scm 250 */
BgL_nodez00_bglt BgL_arg2951z00_1975;
BgL_arg2951z00_1975 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1962))->BgL_bodyz00); 
{ /* Coerce/coerce.scm 250 */
BgL_nodez00_bglt BgL_res3064z00_3451;
{ /* Coerce/coerce.scm 250 */
BgL_typez00_bglt BgL_toz00_3425;
BgL_toz00_3425 = 
(BgL_typez00_bglt)(BgL_toz00_1964); 
{ /* Coerce/coerce.scm 250 */
obj_t BgL_method2705z00_3426;
{ /* Coerce/coerce.scm 250 */
long BgL_objzd2classzd2numz00_3428;
{ /* Coerce/coerce.scm 250 */
BgL_objectz00_bglt BgL_auxz00_4335;
BgL_auxz00_4335 = 
(BgL_objectz00_bglt)(BgL_arg2951z00_1975); 
BgL_objzd2classzd2numz00_3428 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4335); } 
{ /* Coerce/coerce.scm 250 */
obj_t BgL_arg1221z00_3429;
{ /* Coerce/coerce.scm 250 */
int BgL_auxz00_4338;
BgL_auxz00_4338 = 
(int)(((long)1)); 
BgL_arg1221z00_3429 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4338); } 
{ /* Coerce/coerce.scm 250 */
long BgL_offsetz00_3433;
{ /* Coerce/coerce.scm 250 */
long BgL_auxz00_4341;
{ /* Coerce/coerce.scm 250 */
int BgL_auxz00_4342;
BgL_auxz00_4342 = 
(int)(BgL_objzd2classzd2numz00_3428); 
BgL_auxz00_4341 = 
(long)(BgL_auxz00_4342); } 
BgL_offsetz00_3433 = 
(BgL_auxz00_4341-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 250 */
long BgL_modz00_3434;
{ /* Coerce/coerce.scm 250 */
long BgL_auxz00_4346;
{ /* Coerce/coerce.scm 250 */
int BgL_auxz00_4347;
BgL_auxz00_4347 = 
(int)(((long)8)); 
BgL_auxz00_4346 = 
(long)(BgL_auxz00_4347); } 
BgL_modz00_3434 = 
(BgL_offsetz00_3433/BgL_auxz00_4346); } 
{ /* Coerce/coerce.scm 250 */
long BgL_restz00_3436;
{ /* Coerce/coerce.scm 250 */
long BgL_auxz00_4351;
{ /* Coerce/coerce.scm 250 */
int BgL_auxz00_4352;
BgL_auxz00_4352 = 
(int)(((long)8)); 
BgL_auxz00_4351 = 
(long)(BgL_auxz00_4352); } 
BgL_restz00_3436 = 
(BgL_offsetz00_3433%BgL_auxz00_4351); } 
{ /* Coerce/coerce.scm 250 */

{ /* Coerce/coerce.scm 250 */
obj_t BgL_bucketz00_3438;
{ /* Coerce/coerce.scm 250 */
int BgL_kz00_3448;
BgL_kz00_3448 = 
(int)(BgL_modz00_3434); 
BgL_bucketz00_3438 = 
VECTOR_REF(BgL_arg1221z00_3429,BgL_kz00_3448); } 
{ /* Coerce/coerce.scm 250 */
int BgL_kz00_3450;
BgL_kz00_3450 = 
(int)(BgL_restz00_3436); 
BgL_method2705z00_3426 = 
VECTOR_REF(BgL_bucketz00_3438,BgL_kz00_3450); } } } } } } } } 
{ /* Coerce/coerce.scm 250 */
obj_t BgL_auxz00_4360;
BgL_auxz00_4360 = 
PROCEDURE_ENTRY(BgL_method2705z00_3426)(BgL_method2705z00_3426, 
(obj_t)(BgL_arg2951z00_1975), BgL_callerz00_1963, 
(obj_t)(BgL_toz00_3425), BEOA); 
BgL_res3064z00_3451 = 
(BgL_nodez00_bglt)(BgL_auxz00_4360); } } } 
BgL_arg2950z00_1974 = BgL_res3064z00_3451; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1962))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2950z00_1974), BUNSPEC); } 
BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00(); 
BgL_auxz00_4321 = BgL_nodez00_1962; 
return 
(obj_t)(BgL_auxz00_4321);} } } 
}



/* coerce!-select2742 */
obj_t BGl_coercez12zd2select2742zc0zzcoerce_coercez00(obj_t BgL_envz00_3813, obj_t BgL_nodez00_3814, obj_t BgL_callerz00_3815, obj_t BgL_toz00_3816)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 216 */
{ 
BgL_selectz00_bglt BgL_nodez00_1936;obj_t BgL_callerz00_1937;obj_t BgL_toz00_1938;
BgL_nodez00_1936 = 
(BgL_selectz00_bglt)(BgL_nodez00_3814); 
BgL_callerz00_1937 = BgL_callerz00_3815; 
BgL_toz00_1938 = BgL_toz00_3816; 
{ /* Coerce/coerce.scm 218 */
obj_t BgL_clausesz00_1942;BgL_typez00_bglt BgL_testzd2typezd2_1943;BgL_typez00_bglt BgL_testzd2nodezd2typez00_1944;
BgL_clausesz00_1942 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_clausesz00); 
BgL_testzd2typezd2_1943 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_itemzd2typezd2); 
BgL_testzd2nodezd2typez00_1944 = 
BGl_typeofz00zzcoerce_typeofz00(
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_testz00)); 
{ /* Coerce/coerce.scm 228 */
bool_t BgL_test2933z00_1945;
BgL_test2933z00_1945 = 
BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_testzd2nodezd2typez00_1944, BgL_testzd2typezd2_1943); 
if(BgL_test2933z00_1945)
{ /* Coerce/coerce.scm 228 */
{ /* Coerce/coerce.scm 235 */
BgL_nodez00_bglt BgL_arg2934z00_1946;
{ /* Coerce/coerce.scm 235 */
BgL_nodez00_bglt BgL_arg2935z00_1947;
BgL_arg2935z00_1947 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_testz00); 
{ /* Coerce/coerce.scm 235 */
BgL_nodez00_bglt BgL_res3055z00_3348;
{ /* Coerce/coerce.scm 235 */
obj_t BgL_method2705z00_3323;
{ /* Coerce/coerce.scm 235 */
long BgL_objzd2classzd2numz00_3325;
{ /* Coerce/coerce.scm 235 */
BgL_objectz00_bglt BgL_auxz00_4377;
BgL_auxz00_4377 = 
(BgL_objectz00_bglt)(BgL_arg2935z00_1947); 
BgL_objzd2classzd2numz00_3325 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4377); } 
{ /* Coerce/coerce.scm 235 */
obj_t BgL_arg1221z00_3326;
{ /* Coerce/coerce.scm 235 */
int BgL_auxz00_4380;
BgL_auxz00_4380 = 
(int)(((long)1)); 
BgL_arg1221z00_3326 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4380); } 
{ /* Coerce/coerce.scm 235 */
long BgL_offsetz00_3330;
{ /* Coerce/coerce.scm 235 */
long BgL_auxz00_4383;
{ /* Coerce/coerce.scm 235 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(BgL_objzd2classzd2numz00_3325); 
BgL_auxz00_4383 = 
(long)(BgL_auxz00_4384); } 
BgL_offsetz00_3330 = 
(BgL_auxz00_4383-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 235 */
long BgL_modz00_3331;
{ /* Coerce/coerce.scm 235 */
long BgL_auxz00_4388;
{ /* Coerce/coerce.scm 235 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(((long)8)); 
BgL_auxz00_4388 = 
(long)(BgL_auxz00_4389); } 
BgL_modz00_3331 = 
(BgL_offsetz00_3330/BgL_auxz00_4388); } 
{ /* Coerce/coerce.scm 235 */
long BgL_restz00_3333;
{ /* Coerce/coerce.scm 235 */
long BgL_auxz00_4393;
{ /* Coerce/coerce.scm 235 */
int BgL_auxz00_4394;
BgL_auxz00_4394 = 
(int)(((long)8)); 
BgL_auxz00_4393 = 
(long)(BgL_auxz00_4394); } 
BgL_restz00_3333 = 
(BgL_offsetz00_3330%BgL_auxz00_4393); } 
{ /* Coerce/coerce.scm 235 */

{ /* Coerce/coerce.scm 235 */
obj_t BgL_bucketz00_3335;
{ /* Coerce/coerce.scm 235 */
int BgL_kz00_3345;
BgL_kz00_3345 = 
(int)(BgL_modz00_3331); 
BgL_bucketz00_3335 = 
VECTOR_REF(BgL_arg1221z00_3326,BgL_kz00_3345); } 
{ /* Coerce/coerce.scm 235 */
int BgL_kz00_3347;
BgL_kz00_3347 = 
(int)(BgL_restz00_3333); 
BgL_method2705z00_3323 = 
VECTOR_REF(BgL_bucketz00_3335,BgL_kz00_3347); } } } } } } } } 
{ /* Coerce/coerce.scm 235 */
obj_t BgL_auxz00_4402;
BgL_auxz00_4402 = 
PROCEDURE_ENTRY(BgL_method2705z00_3323)(BgL_method2705z00_3323, 
(obj_t)(BgL_arg2935z00_1947), BgL_callerz00_1937, 
(obj_t)(BgL_testzd2typezd2_1943), BEOA); 
BgL_res3055z00_3348 = 
(BgL_nodez00_bglt)(BgL_auxz00_4402); } } 
BgL_arg2934z00_1946 = BgL_res3055z00_3348; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2934z00_1946), BUNSPEC); } 
{ 
obj_t BgL_l2684z00_1948;
BgL_l2684z00_1948 = BgL_clausesz00_1942; 
BgL_lname2685z00_1949:
if(
PAIRP(BgL_l2684z00_1948))
{ /* Coerce/coerce.scm 236 */
{ /* Coerce/coerce.scm 237 */
obj_t BgL_clausez00_1951;
BgL_clausez00_1951 = 
CAR(BgL_l2684z00_1948); 
{ /* Coerce/coerce.scm 237 */
BgL_nodez00_bglt BgL_arg2937z00_1952;
{ /* Coerce/coerce.scm 237 */
BgL_nodez00_bglt BgL_res3058z00_3382;
{ /* Coerce/coerce.scm 237 */
BgL_nodez00_bglt BgL_nodez00_3354;BgL_typez00_bglt BgL_toz00_3356;
{ /* Coerce/coerce.scm 237 */
obj_t BgL_auxz00_4412;
BgL_auxz00_4412 = 
CDR(BgL_clausez00_1951); 
BgL_nodez00_3354 = 
(BgL_nodez00_bglt)(BgL_auxz00_4412); } 
BgL_toz00_3356 = 
(BgL_typez00_bglt)(BgL_toz00_1938); 
{ /* Coerce/coerce.scm 237 */
obj_t BgL_method2705z00_3357;
{ /* Coerce/coerce.scm 237 */
long BgL_objzd2classzd2numz00_3359;
{ /* Coerce/coerce.scm 237 */
BgL_objectz00_bglt BgL_auxz00_4416;
BgL_auxz00_4416 = 
(BgL_objectz00_bglt)(BgL_nodez00_3354); 
BgL_objzd2classzd2numz00_3359 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4416); } 
{ /* Coerce/coerce.scm 237 */
obj_t BgL_arg1221z00_3360;
{ /* Coerce/coerce.scm 237 */
int BgL_auxz00_4419;
BgL_auxz00_4419 = 
(int)(((long)1)); 
BgL_arg1221z00_3360 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4419); } 
{ /* Coerce/coerce.scm 237 */
long BgL_offsetz00_3364;
{ /* Coerce/coerce.scm 237 */
long BgL_auxz00_4422;
{ /* Coerce/coerce.scm 237 */
int BgL_auxz00_4423;
BgL_auxz00_4423 = 
(int)(BgL_objzd2classzd2numz00_3359); 
BgL_auxz00_4422 = 
(long)(BgL_auxz00_4423); } 
BgL_offsetz00_3364 = 
(BgL_auxz00_4422-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 237 */
long BgL_modz00_3365;
{ /* Coerce/coerce.scm 237 */
long BgL_auxz00_4427;
{ /* Coerce/coerce.scm 237 */
int BgL_auxz00_4428;
BgL_auxz00_4428 = 
(int)(((long)8)); 
BgL_auxz00_4427 = 
(long)(BgL_auxz00_4428); } 
BgL_modz00_3365 = 
(BgL_offsetz00_3364/BgL_auxz00_4427); } 
{ /* Coerce/coerce.scm 237 */
long BgL_restz00_3367;
{ /* Coerce/coerce.scm 237 */
long BgL_auxz00_4432;
{ /* Coerce/coerce.scm 237 */
int BgL_auxz00_4433;
BgL_auxz00_4433 = 
(int)(((long)8)); 
BgL_auxz00_4432 = 
(long)(BgL_auxz00_4433); } 
BgL_restz00_3367 = 
(BgL_offsetz00_3364%BgL_auxz00_4432); } 
{ /* Coerce/coerce.scm 237 */

{ /* Coerce/coerce.scm 237 */
obj_t BgL_bucketz00_3369;
{ /* Coerce/coerce.scm 237 */
int BgL_kz00_3379;
BgL_kz00_3379 = 
(int)(BgL_modz00_3365); 
BgL_bucketz00_3369 = 
VECTOR_REF(BgL_arg1221z00_3360,BgL_kz00_3379); } 
{ /* Coerce/coerce.scm 237 */
int BgL_kz00_3381;
BgL_kz00_3381 = 
(int)(BgL_restz00_3367); 
BgL_method2705z00_3357 = 
VECTOR_REF(BgL_bucketz00_3369,BgL_kz00_3381); } } } } } } } } 
{ /* Coerce/coerce.scm 237 */
obj_t BgL_auxz00_4441;
BgL_auxz00_4441 = 
PROCEDURE_ENTRY(BgL_method2705z00_3357)(BgL_method2705z00_3357, 
(obj_t)(BgL_nodez00_3354), BgL_callerz00_1937, 
(obj_t)(BgL_toz00_3356), BEOA); 
BgL_res3058z00_3382 = 
(BgL_nodez00_bglt)(BgL_auxz00_4441); } } } 
BgL_arg2937z00_1952 = BgL_res3058z00_3382; } 
{ /* Coerce/coerce.scm 237 */
obj_t BgL_auxz00_4447;
BgL_auxz00_4447 = 
(obj_t)(BgL_arg2937z00_1952); 
SET_CDR(BgL_clausez00_1951, BgL_auxz00_4447); } } } 
{ 
obj_t BgL_l2684z00_4450;
BgL_l2684z00_4450 = 
CDR(BgL_l2684z00_1948); 
BgL_l2684z00_1948 = BgL_l2684z00_4450; 
goto BgL_lname2685z00_1949;} }  else 
{ /* Coerce/coerce.scm 236 */((bool_t)1); } } 
return 
(obj_t)(BgL_nodez00_1936);}  else 
{ /* Coerce/coerce.scm 229 */
obj_t BgL_arg2940z00_1955;
{ /* Coerce/coerce.scm 229 */
obj_t BgL_auxz00_4453;
{ /* Coerce/coerce.scm 231 */
BgL_nodez00_bglt BgL_auxz00_4456;
BgL_auxz00_4456 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_testz00); 
BgL_auxz00_4453 = 
(obj_t)(BgL_auxz00_4456); } 
BgL_arg2940z00_1955 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1936))->BgL_locz00), 
(((BgL_typez00_bglt)CREF(BgL_testzd2typezd2_1943))->BgL_idz00), BgL_auxz00_4453); } 
{ /* Coerce/coerce.scm 229 */
BgL_nodez00_bglt BgL_res3061z00_3417;
{ /* Coerce/coerce.scm 229 */
BgL_nodez00_bglt BgL_nodez00_3389;BgL_typez00_bglt BgL_toz00_3391;
BgL_nodez00_3389 = 
(BgL_nodez00_bglt)(BgL_arg2940z00_1955); 
BgL_toz00_3391 = 
(BgL_typez00_bglt)(BgL_toz00_1938); 
{ /* Coerce/coerce.scm 229 */
obj_t BgL_method2705z00_3392;
{ /* Coerce/coerce.scm 229 */
long BgL_objzd2classzd2numz00_3394;
{ /* Coerce/coerce.scm 229 */
BgL_objectz00_bglt BgL_auxz00_4462;
BgL_auxz00_4462 = 
(BgL_objectz00_bglt)(BgL_nodez00_3389); 
BgL_objzd2classzd2numz00_3394 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4462); } 
{ /* Coerce/coerce.scm 229 */
obj_t BgL_arg1221z00_3395;
{ /* Coerce/coerce.scm 229 */
int BgL_auxz00_4465;
BgL_auxz00_4465 = 
(int)(((long)1)); 
BgL_arg1221z00_3395 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4465); } 
{ /* Coerce/coerce.scm 229 */
long BgL_offsetz00_3399;
{ /* Coerce/coerce.scm 229 */
long BgL_auxz00_4468;
{ /* Coerce/coerce.scm 229 */
int BgL_auxz00_4469;
BgL_auxz00_4469 = 
(int)(BgL_objzd2classzd2numz00_3394); 
BgL_auxz00_4468 = 
(long)(BgL_auxz00_4469); } 
BgL_offsetz00_3399 = 
(BgL_auxz00_4468-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 229 */
long BgL_modz00_3400;
{ /* Coerce/coerce.scm 229 */
long BgL_auxz00_4473;
{ /* Coerce/coerce.scm 229 */
int BgL_auxz00_4474;
BgL_auxz00_4474 = 
(int)(((long)8)); 
BgL_auxz00_4473 = 
(long)(BgL_auxz00_4474); } 
BgL_modz00_3400 = 
(BgL_offsetz00_3399/BgL_auxz00_4473); } 
{ /* Coerce/coerce.scm 229 */
long BgL_restz00_3402;
{ /* Coerce/coerce.scm 229 */
long BgL_auxz00_4478;
{ /* Coerce/coerce.scm 229 */
int BgL_auxz00_4479;
BgL_auxz00_4479 = 
(int)(((long)8)); 
BgL_auxz00_4478 = 
(long)(BgL_auxz00_4479); } 
BgL_restz00_3402 = 
(BgL_offsetz00_3399%BgL_auxz00_4478); } 
{ /* Coerce/coerce.scm 229 */

{ /* Coerce/coerce.scm 229 */
obj_t BgL_bucketz00_3404;
{ /* Coerce/coerce.scm 229 */
int BgL_kz00_3414;
BgL_kz00_3414 = 
(int)(BgL_modz00_3400); 
BgL_bucketz00_3404 = 
VECTOR_REF(BgL_arg1221z00_3395,BgL_kz00_3414); } 
{ /* Coerce/coerce.scm 229 */
int BgL_kz00_3416;
BgL_kz00_3416 = 
(int)(BgL_restz00_3402); 
BgL_method2705z00_3392 = 
VECTOR_REF(BgL_bucketz00_3404,BgL_kz00_3416); } } } } } } } } 
{ /* Coerce/coerce.scm 229 */
obj_t BgL_auxz00_4487;
BgL_auxz00_4487 = 
PROCEDURE_ENTRY(BgL_method2705z00_3392)(BgL_method2705z00_3392, 
(obj_t)(BgL_nodez00_3389), BgL_callerz00_1937, 
(obj_t)(BgL_toz00_3391), BEOA); 
BgL_res3061z00_3417 = 
(BgL_nodez00_bglt)(BgL_auxz00_4487); } } } 
return 
(obj_t)(BgL_res3061z00_3417);} } } } } } 
}



/* coerce!-fail2740 */
obj_t BGl_coercez12zd2fail2740zc0zzcoerce_coercez00(obj_t BgL_envz00_3817, obj_t BgL_nodez00_3818, obj_t BgL_callerz00_3819, obj_t BgL_toz00_3820)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 206 */
{ 
BgL_failz00_bglt BgL_nodez00_1922;obj_t BgL_callerz00_1923;obj_t BgL_toz00_1924;
{ /* Coerce/coerce.scm 207 */
BgL_nodez00_bglt BgL_auxz00_4495;
BgL_nodez00_1922 = 
(BgL_failz00_bglt)(BgL_nodez00_3818); 
BgL_callerz00_1923 = BgL_callerz00_3819; 
BgL_toz00_1924 = BgL_toz00_3820; 
{ /* Coerce/coerce.scm 208 */
BgL_nodez00_bglt BgL_arg2926z00_1928;
{ /* Coerce/coerce.scm 208 */
BgL_nodez00_bglt BgL_arg2927z00_1929;
BgL_arg2927z00_1929 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_procz00); 
{ /* Coerce/coerce.scm 208 */
BgL_nodez00_bglt BgL_res3046z00_3249;
{ /* Coerce/coerce.scm 208 */
BgL_typez00_bglt BgL_toz00_3223;
BgL_toz00_3223 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 208 */
obj_t BgL_method2705z00_3224;
{ /* Coerce/coerce.scm 208 */
long BgL_objzd2classzd2numz00_3226;
{ /* Coerce/coerce.scm 208 */
BgL_objectz00_bglt BgL_auxz00_4498;
BgL_auxz00_4498 = 
(BgL_objectz00_bglt)(BgL_arg2927z00_1929); 
BgL_objzd2classzd2numz00_3226 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4498); } 
{ /* Coerce/coerce.scm 208 */
obj_t BgL_arg1221z00_3227;
{ /* Coerce/coerce.scm 208 */
int BgL_auxz00_4501;
BgL_auxz00_4501 = 
(int)(((long)1)); 
BgL_arg1221z00_3227 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4501); } 
{ /* Coerce/coerce.scm 208 */
long BgL_offsetz00_3231;
{ /* Coerce/coerce.scm 208 */
long BgL_auxz00_4504;
{ /* Coerce/coerce.scm 208 */
int BgL_auxz00_4505;
BgL_auxz00_4505 = 
(int)(BgL_objzd2classzd2numz00_3226); 
BgL_auxz00_4504 = 
(long)(BgL_auxz00_4505); } 
BgL_offsetz00_3231 = 
(BgL_auxz00_4504-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 208 */
long BgL_modz00_3232;
{ /* Coerce/coerce.scm 208 */
long BgL_auxz00_4509;
{ /* Coerce/coerce.scm 208 */
int BgL_auxz00_4510;
BgL_auxz00_4510 = 
(int)(((long)8)); 
BgL_auxz00_4509 = 
(long)(BgL_auxz00_4510); } 
BgL_modz00_3232 = 
(BgL_offsetz00_3231/BgL_auxz00_4509); } 
{ /* Coerce/coerce.scm 208 */
long BgL_restz00_3234;
{ /* Coerce/coerce.scm 208 */
long BgL_auxz00_4514;
{ /* Coerce/coerce.scm 208 */
int BgL_auxz00_4515;
BgL_auxz00_4515 = 
(int)(((long)8)); 
BgL_auxz00_4514 = 
(long)(BgL_auxz00_4515); } 
BgL_restz00_3234 = 
(BgL_offsetz00_3231%BgL_auxz00_4514); } 
{ /* Coerce/coerce.scm 208 */

{ /* Coerce/coerce.scm 208 */
obj_t BgL_bucketz00_3236;
{ /* Coerce/coerce.scm 208 */
int BgL_kz00_3246;
BgL_kz00_3246 = 
(int)(BgL_modz00_3232); 
BgL_bucketz00_3236 = 
VECTOR_REF(BgL_arg1221z00_3227,BgL_kz00_3246); } 
{ /* Coerce/coerce.scm 208 */
int BgL_kz00_3248;
BgL_kz00_3248 = 
(int)(BgL_restz00_3234); 
BgL_method2705z00_3224 = 
VECTOR_REF(BgL_bucketz00_3236,BgL_kz00_3248); } } } } } } } } 
{ /* Coerce/coerce.scm 208 */
obj_t BgL_auxz00_4523;
BgL_auxz00_4523 = 
PROCEDURE_ENTRY(BgL_method2705z00_3224)(BgL_method2705z00_3224, 
(obj_t)(BgL_arg2927z00_1929), BgL_callerz00_1923, 
(obj_t)(BgL_toz00_3223), BEOA); 
BgL_res3046z00_3249 = 
(BgL_nodez00_bglt)(BgL_auxz00_4523); } } } 
BgL_arg2926z00_1928 = BgL_res3046z00_3249; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2926z00_1928), BUNSPEC); } 
{ /* Coerce/coerce.scm 209 */
BgL_nodez00_bglt BgL_arg2928z00_1930;
{ /* Coerce/coerce.scm 209 */
BgL_nodez00_bglt BgL_arg2929z00_1931;
BgL_arg2929z00_1931 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_msgz00); 
{ /* Coerce/coerce.scm 209 */
BgL_nodez00_bglt BgL_res3049z00_3281;
{ /* Coerce/coerce.scm 209 */
BgL_typez00_bglt BgL_toz00_3255;
BgL_toz00_3255 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 209 */
obj_t BgL_method2705z00_3256;
{ /* Coerce/coerce.scm 209 */
long BgL_objzd2classzd2numz00_3258;
{ /* Coerce/coerce.scm 209 */
BgL_objectz00_bglt BgL_auxz00_4532;
BgL_auxz00_4532 = 
(BgL_objectz00_bglt)(BgL_arg2929z00_1931); 
BgL_objzd2classzd2numz00_3258 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4532); } 
{ /* Coerce/coerce.scm 209 */
obj_t BgL_arg1221z00_3259;
{ /* Coerce/coerce.scm 209 */
int BgL_auxz00_4535;
BgL_auxz00_4535 = 
(int)(((long)1)); 
BgL_arg1221z00_3259 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4535); } 
{ /* Coerce/coerce.scm 209 */
long BgL_offsetz00_3263;
{ /* Coerce/coerce.scm 209 */
long BgL_auxz00_4538;
{ /* Coerce/coerce.scm 209 */
int BgL_auxz00_4539;
BgL_auxz00_4539 = 
(int)(BgL_objzd2classzd2numz00_3258); 
BgL_auxz00_4538 = 
(long)(BgL_auxz00_4539); } 
BgL_offsetz00_3263 = 
(BgL_auxz00_4538-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 209 */
long BgL_modz00_3264;
{ /* Coerce/coerce.scm 209 */
long BgL_auxz00_4543;
{ /* Coerce/coerce.scm 209 */
int BgL_auxz00_4544;
BgL_auxz00_4544 = 
(int)(((long)8)); 
BgL_auxz00_4543 = 
(long)(BgL_auxz00_4544); } 
BgL_modz00_3264 = 
(BgL_offsetz00_3263/BgL_auxz00_4543); } 
{ /* Coerce/coerce.scm 209 */
long BgL_restz00_3266;
{ /* Coerce/coerce.scm 209 */
long BgL_auxz00_4548;
{ /* Coerce/coerce.scm 209 */
int BgL_auxz00_4549;
BgL_auxz00_4549 = 
(int)(((long)8)); 
BgL_auxz00_4548 = 
(long)(BgL_auxz00_4549); } 
BgL_restz00_3266 = 
(BgL_offsetz00_3263%BgL_auxz00_4548); } 
{ /* Coerce/coerce.scm 209 */

{ /* Coerce/coerce.scm 209 */
obj_t BgL_bucketz00_3268;
{ /* Coerce/coerce.scm 209 */
int BgL_kz00_3278;
BgL_kz00_3278 = 
(int)(BgL_modz00_3264); 
BgL_bucketz00_3268 = 
VECTOR_REF(BgL_arg1221z00_3259,BgL_kz00_3278); } 
{ /* Coerce/coerce.scm 209 */
int BgL_kz00_3280;
BgL_kz00_3280 = 
(int)(BgL_restz00_3266); 
BgL_method2705z00_3256 = 
VECTOR_REF(BgL_bucketz00_3268,BgL_kz00_3280); } } } } } } } } 
{ /* Coerce/coerce.scm 209 */
obj_t BgL_auxz00_4557;
BgL_auxz00_4557 = 
PROCEDURE_ENTRY(BgL_method2705z00_3256)(BgL_method2705z00_3256, 
(obj_t)(BgL_arg2929z00_1931), BgL_callerz00_1923, 
(obj_t)(BgL_toz00_3255), BEOA); 
BgL_res3049z00_3281 = 
(BgL_nodez00_bglt)(BgL_auxz00_4557); } } } 
BgL_arg2928z00_1930 = BgL_res3049z00_3281; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2928z00_1930), BUNSPEC); } 
{ /* Coerce/coerce.scm 210 */
BgL_nodez00_bglt BgL_arg2930z00_1932;
{ /* Coerce/coerce.scm 210 */
BgL_nodez00_bglt BgL_arg2931z00_1933;
BgL_arg2931z00_1933 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_objz00); 
{ /* Coerce/coerce.scm 210 */
BgL_nodez00_bglt BgL_res3052z00_3313;
{ /* Coerce/coerce.scm 210 */
BgL_typez00_bglt BgL_toz00_3287;
BgL_toz00_3287 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 210 */
obj_t BgL_method2705z00_3288;
{ /* Coerce/coerce.scm 210 */
long BgL_objzd2classzd2numz00_3290;
{ /* Coerce/coerce.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4566;
BgL_auxz00_4566 = 
(BgL_objectz00_bglt)(BgL_arg2931z00_1933); 
BgL_objzd2classzd2numz00_3290 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4566); } 
{ /* Coerce/coerce.scm 210 */
obj_t BgL_arg1221z00_3291;
{ /* Coerce/coerce.scm 210 */
int BgL_auxz00_4569;
BgL_auxz00_4569 = 
(int)(((long)1)); 
BgL_arg1221z00_3291 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4569); } 
{ /* Coerce/coerce.scm 210 */
long BgL_offsetz00_3295;
{ /* Coerce/coerce.scm 210 */
long BgL_auxz00_4572;
{ /* Coerce/coerce.scm 210 */
int BgL_auxz00_4573;
BgL_auxz00_4573 = 
(int)(BgL_objzd2classzd2numz00_3290); 
BgL_auxz00_4572 = 
(long)(BgL_auxz00_4573); } 
BgL_offsetz00_3295 = 
(BgL_auxz00_4572-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 210 */
long BgL_modz00_3296;
{ /* Coerce/coerce.scm 210 */
long BgL_auxz00_4577;
{ /* Coerce/coerce.scm 210 */
int BgL_auxz00_4578;
BgL_auxz00_4578 = 
(int)(((long)8)); 
BgL_auxz00_4577 = 
(long)(BgL_auxz00_4578); } 
BgL_modz00_3296 = 
(BgL_offsetz00_3295/BgL_auxz00_4577); } 
{ /* Coerce/coerce.scm 210 */
long BgL_restz00_3298;
{ /* Coerce/coerce.scm 210 */
long BgL_auxz00_4582;
{ /* Coerce/coerce.scm 210 */
int BgL_auxz00_4583;
BgL_auxz00_4583 = 
(int)(((long)8)); 
BgL_auxz00_4582 = 
(long)(BgL_auxz00_4583); } 
BgL_restz00_3298 = 
(BgL_offsetz00_3295%BgL_auxz00_4582); } 
{ /* Coerce/coerce.scm 210 */

{ /* Coerce/coerce.scm 210 */
obj_t BgL_bucketz00_3300;
{ /* Coerce/coerce.scm 210 */
int BgL_kz00_3310;
BgL_kz00_3310 = 
(int)(BgL_modz00_3296); 
BgL_bucketz00_3300 = 
VECTOR_REF(BgL_arg1221z00_3291,BgL_kz00_3310); } 
{ /* Coerce/coerce.scm 210 */
int BgL_kz00_3312;
BgL_kz00_3312 = 
(int)(BgL_restz00_3298); 
BgL_method2705z00_3288 = 
VECTOR_REF(BgL_bucketz00_3300,BgL_kz00_3312); } } } } } } } } 
{ /* Coerce/coerce.scm 210 */
obj_t BgL_auxz00_4591;
BgL_auxz00_4591 = 
PROCEDURE_ENTRY(BgL_method2705z00_3288)(BgL_method2705z00_3288, 
(obj_t)(BgL_arg2931z00_1933), BgL_callerz00_1923, 
(obj_t)(BgL_toz00_3287), BEOA); 
BgL_res3052z00_3313 = 
(BgL_nodez00_bglt)(BgL_auxz00_4591); } } } 
BgL_arg2930z00_1932 = BgL_res3052z00_3313; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1922))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2930z00_1932), BUNSPEC); } 
BgL_auxz00_4495 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1922), 
(BgL_typez00_bglt)(BGl_za2magicza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1924)); 
return 
(obj_t)(BgL_auxz00_4495);} } } 
}



/* coerce!-conditional2738 */
obj_t BGl_coercez12zd2conditional2738zc0zzcoerce_coercez00(obj_t BgL_envz00_3821, obj_t BgL_nodez00_3822, obj_t BgL_callerz00_3823, obj_t BgL_toz00_3824)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 196 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1908;obj_t BgL_callerz00_1909;obj_t BgL_toz00_1910;
{ /* Coerce/coerce.scm 197 */
BgL_conditionalz00_bglt BgL_auxz00_4604;
BgL_nodez00_1908 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3822); 
BgL_callerz00_1909 = BgL_callerz00_3823; 
BgL_toz00_1910 = BgL_toz00_3824; 
{ /* Coerce/coerce.scm 198 */
BgL_nodez00_bglt BgL_arg2919z00_1914;
{ /* Coerce/coerce.scm 198 */
BgL_nodez00_bglt BgL_arg2920z00_1915;
BgL_arg2920z00_1915 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_testz00); 
{ /* Coerce/coerce.scm 198 */
BgL_nodez00_bglt BgL_res3037z00_3153;
{ /* Coerce/coerce.scm 198 */
BgL_typez00_bglt BgL_toz00_3127;
BgL_toz00_3127 = 
(BgL_typez00_bglt)(BGl_za2boolza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 198 */
obj_t BgL_method2705z00_3128;
{ /* Coerce/coerce.scm 198 */
long BgL_objzd2classzd2numz00_3130;
{ /* Coerce/coerce.scm 198 */
BgL_objectz00_bglt BgL_auxz00_4607;
BgL_auxz00_4607 = 
(BgL_objectz00_bglt)(BgL_arg2920z00_1915); 
BgL_objzd2classzd2numz00_3130 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4607); } 
{ /* Coerce/coerce.scm 198 */
obj_t BgL_arg1221z00_3131;
{ /* Coerce/coerce.scm 198 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)1)); 
BgL_arg1221z00_3131 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4610); } 
{ /* Coerce/coerce.scm 198 */
long BgL_offsetz00_3135;
{ /* Coerce/coerce.scm 198 */
long BgL_auxz00_4613;
{ /* Coerce/coerce.scm 198 */
int BgL_auxz00_4614;
BgL_auxz00_4614 = 
(int)(BgL_objzd2classzd2numz00_3130); 
BgL_auxz00_4613 = 
(long)(BgL_auxz00_4614); } 
BgL_offsetz00_3135 = 
(BgL_auxz00_4613-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 198 */
long BgL_modz00_3136;
{ /* Coerce/coerce.scm 198 */
long BgL_auxz00_4618;
{ /* Coerce/coerce.scm 198 */
int BgL_auxz00_4619;
BgL_auxz00_4619 = 
(int)(((long)8)); 
BgL_auxz00_4618 = 
(long)(BgL_auxz00_4619); } 
BgL_modz00_3136 = 
(BgL_offsetz00_3135/BgL_auxz00_4618); } 
{ /* Coerce/coerce.scm 198 */
long BgL_restz00_3138;
{ /* Coerce/coerce.scm 198 */
long BgL_auxz00_4623;
{ /* Coerce/coerce.scm 198 */
int BgL_auxz00_4624;
BgL_auxz00_4624 = 
(int)(((long)8)); 
BgL_auxz00_4623 = 
(long)(BgL_auxz00_4624); } 
BgL_restz00_3138 = 
(BgL_offsetz00_3135%BgL_auxz00_4623); } 
{ /* Coerce/coerce.scm 198 */

{ /* Coerce/coerce.scm 198 */
obj_t BgL_bucketz00_3140;
{ /* Coerce/coerce.scm 198 */
int BgL_kz00_3150;
BgL_kz00_3150 = 
(int)(BgL_modz00_3136); 
BgL_bucketz00_3140 = 
VECTOR_REF(BgL_arg1221z00_3131,BgL_kz00_3150); } 
{ /* Coerce/coerce.scm 198 */
int BgL_kz00_3152;
BgL_kz00_3152 = 
(int)(BgL_restz00_3138); 
BgL_method2705z00_3128 = 
VECTOR_REF(BgL_bucketz00_3140,BgL_kz00_3152); } } } } } } } } 
{ /* Coerce/coerce.scm 198 */
obj_t BgL_auxz00_4632;
BgL_auxz00_4632 = 
PROCEDURE_ENTRY(BgL_method2705z00_3128)(BgL_method2705z00_3128, 
(obj_t)(BgL_arg2920z00_1915), BgL_callerz00_1909, 
(obj_t)(BgL_toz00_3127), BEOA); 
BgL_res3037z00_3153 = 
(BgL_nodez00_bglt)(BgL_auxz00_4632); } } } 
BgL_arg2919z00_1914 = BgL_res3037z00_3153; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2919z00_1914), BUNSPEC); } 
{ /* Coerce/coerce.scm 199 */
BgL_nodez00_bglt BgL_arg2921z00_1916;
{ /* Coerce/coerce.scm 199 */
BgL_nodez00_bglt BgL_arg2922z00_1917;
BgL_arg2922z00_1917 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_truez00); 
{ /* Coerce/coerce.scm 199 */
BgL_nodez00_bglt BgL_res3040z00_3185;
{ /* Coerce/coerce.scm 199 */
BgL_typez00_bglt BgL_toz00_3159;
BgL_toz00_3159 = 
(BgL_typez00_bglt)(BgL_toz00_1910); 
{ /* Coerce/coerce.scm 199 */
obj_t BgL_method2705z00_3160;
{ /* Coerce/coerce.scm 199 */
long BgL_objzd2classzd2numz00_3162;
{ /* Coerce/coerce.scm 199 */
BgL_objectz00_bglt BgL_auxz00_4641;
BgL_auxz00_4641 = 
(BgL_objectz00_bglt)(BgL_arg2922z00_1917); 
BgL_objzd2classzd2numz00_3162 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4641); } 
{ /* Coerce/coerce.scm 199 */
obj_t BgL_arg1221z00_3163;
{ /* Coerce/coerce.scm 199 */
int BgL_auxz00_4644;
BgL_auxz00_4644 = 
(int)(((long)1)); 
BgL_arg1221z00_3163 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4644); } 
{ /* Coerce/coerce.scm 199 */
long BgL_offsetz00_3167;
{ /* Coerce/coerce.scm 199 */
long BgL_auxz00_4647;
{ /* Coerce/coerce.scm 199 */
int BgL_auxz00_4648;
BgL_auxz00_4648 = 
(int)(BgL_objzd2classzd2numz00_3162); 
BgL_auxz00_4647 = 
(long)(BgL_auxz00_4648); } 
BgL_offsetz00_3167 = 
(BgL_auxz00_4647-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 199 */
long BgL_modz00_3168;
{ /* Coerce/coerce.scm 199 */
long BgL_auxz00_4652;
{ /* Coerce/coerce.scm 199 */
int BgL_auxz00_4653;
BgL_auxz00_4653 = 
(int)(((long)8)); 
BgL_auxz00_4652 = 
(long)(BgL_auxz00_4653); } 
BgL_modz00_3168 = 
(BgL_offsetz00_3167/BgL_auxz00_4652); } 
{ /* Coerce/coerce.scm 199 */
long BgL_restz00_3170;
{ /* Coerce/coerce.scm 199 */
long BgL_auxz00_4657;
{ /* Coerce/coerce.scm 199 */
int BgL_auxz00_4658;
BgL_auxz00_4658 = 
(int)(((long)8)); 
BgL_auxz00_4657 = 
(long)(BgL_auxz00_4658); } 
BgL_restz00_3170 = 
(BgL_offsetz00_3167%BgL_auxz00_4657); } 
{ /* Coerce/coerce.scm 199 */

{ /* Coerce/coerce.scm 199 */
obj_t BgL_bucketz00_3172;
{ /* Coerce/coerce.scm 199 */
int BgL_kz00_3182;
BgL_kz00_3182 = 
(int)(BgL_modz00_3168); 
BgL_bucketz00_3172 = 
VECTOR_REF(BgL_arg1221z00_3163,BgL_kz00_3182); } 
{ /* Coerce/coerce.scm 199 */
int BgL_kz00_3184;
BgL_kz00_3184 = 
(int)(BgL_restz00_3170); 
BgL_method2705z00_3160 = 
VECTOR_REF(BgL_bucketz00_3172,BgL_kz00_3184); } } } } } } } } 
{ /* Coerce/coerce.scm 199 */
obj_t BgL_auxz00_4666;
BgL_auxz00_4666 = 
PROCEDURE_ENTRY(BgL_method2705z00_3160)(BgL_method2705z00_3160, 
(obj_t)(BgL_arg2922z00_1917), BgL_callerz00_1909, 
(obj_t)(BgL_toz00_3159), BEOA); 
BgL_res3040z00_3185 = 
(BgL_nodez00_bglt)(BgL_auxz00_4666); } } } 
BgL_arg2921z00_1916 = BgL_res3040z00_3185; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2921z00_1916), BUNSPEC); } 
{ /* Coerce/coerce.scm 200 */
BgL_nodez00_bglt BgL_arg2923z00_1918;
{ /* Coerce/coerce.scm 200 */
BgL_nodez00_bglt BgL_arg2924z00_1919;
BgL_arg2924z00_1919 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_falsez00); 
{ /* Coerce/coerce.scm 200 */
BgL_nodez00_bglt BgL_res3043z00_3217;
{ /* Coerce/coerce.scm 200 */
BgL_typez00_bglt BgL_toz00_3191;
BgL_toz00_3191 = 
(BgL_typez00_bglt)(BgL_toz00_1910); 
{ /* Coerce/coerce.scm 200 */
obj_t BgL_method2705z00_3192;
{ /* Coerce/coerce.scm 200 */
long BgL_objzd2classzd2numz00_3194;
{ /* Coerce/coerce.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4675;
BgL_auxz00_4675 = 
(BgL_objectz00_bglt)(BgL_arg2924z00_1919); 
BgL_objzd2classzd2numz00_3194 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4675); } 
{ /* Coerce/coerce.scm 200 */
obj_t BgL_arg1221z00_3195;
{ /* Coerce/coerce.scm 200 */
int BgL_auxz00_4678;
BgL_auxz00_4678 = 
(int)(((long)1)); 
BgL_arg1221z00_3195 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4678); } 
{ /* Coerce/coerce.scm 200 */
long BgL_offsetz00_3199;
{ /* Coerce/coerce.scm 200 */
long BgL_auxz00_4681;
{ /* Coerce/coerce.scm 200 */
int BgL_auxz00_4682;
BgL_auxz00_4682 = 
(int)(BgL_objzd2classzd2numz00_3194); 
BgL_auxz00_4681 = 
(long)(BgL_auxz00_4682); } 
BgL_offsetz00_3199 = 
(BgL_auxz00_4681-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 200 */
long BgL_modz00_3200;
{ /* Coerce/coerce.scm 200 */
long BgL_auxz00_4686;
{ /* Coerce/coerce.scm 200 */
int BgL_auxz00_4687;
BgL_auxz00_4687 = 
(int)(((long)8)); 
BgL_auxz00_4686 = 
(long)(BgL_auxz00_4687); } 
BgL_modz00_3200 = 
(BgL_offsetz00_3199/BgL_auxz00_4686); } 
{ /* Coerce/coerce.scm 200 */
long BgL_restz00_3202;
{ /* Coerce/coerce.scm 200 */
long BgL_auxz00_4691;
{ /* Coerce/coerce.scm 200 */
int BgL_auxz00_4692;
BgL_auxz00_4692 = 
(int)(((long)8)); 
BgL_auxz00_4691 = 
(long)(BgL_auxz00_4692); } 
BgL_restz00_3202 = 
(BgL_offsetz00_3199%BgL_auxz00_4691); } 
{ /* Coerce/coerce.scm 200 */

{ /* Coerce/coerce.scm 200 */
obj_t BgL_bucketz00_3204;
{ /* Coerce/coerce.scm 200 */
int BgL_kz00_3214;
BgL_kz00_3214 = 
(int)(BgL_modz00_3200); 
BgL_bucketz00_3204 = 
VECTOR_REF(BgL_arg1221z00_3195,BgL_kz00_3214); } 
{ /* Coerce/coerce.scm 200 */
int BgL_kz00_3216;
BgL_kz00_3216 = 
(int)(BgL_restz00_3202); 
BgL_method2705z00_3192 = 
VECTOR_REF(BgL_bucketz00_3204,BgL_kz00_3216); } } } } } } } } 
{ /* Coerce/coerce.scm 200 */
obj_t BgL_auxz00_4700;
BgL_auxz00_4700 = 
PROCEDURE_ENTRY(BgL_method2705z00_3192)(BgL_method2705z00_3192, 
(obj_t)(BgL_arg2924z00_1919), BgL_callerz00_1909, 
(obj_t)(BgL_toz00_3191), BEOA); 
BgL_res3043z00_3217 = 
(BgL_nodez00_bglt)(BgL_auxz00_4700); } } } 
BgL_arg2923z00_1918 = BgL_res3043z00_3217; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1908))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2923z00_1918), BUNSPEC); } 
BgL_auxz00_4604 = BgL_nodez00_1908; 
return 
(obj_t)(BgL_auxz00_4604);} } } 
}



/* coerce!-setq2736 */
obj_t BGl_coercez12zd2setq2736zc0zzcoerce_coercez00(obj_t BgL_envz00_3825, obj_t BgL_nodez00_3826, obj_t BgL_callerz00_3827, obj_t BgL_toz00_3828)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 188 */
{ 
BgL_setqz00_bglt BgL_nodez00_1895;obj_t BgL_callerz00_1896;obj_t BgL_toz00_1897;
{ /* Coerce/coerce.scm 189 */
BgL_nodez00_bglt BgL_auxz00_4709;
BgL_nodez00_1895 = 
(BgL_setqz00_bglt)(BgL_nodez00_3826); 
BgL_callerz00_1896 = BgL_callerz00_3827; 
BgL_toz00_1897 = BgL_toz00_3828; 
{ /* Coerce/coerce.scm 190 */
BgL_nodez00_bglt BgL_arg2913z00_1901;
{ /* Coerce/coerce.scm 190 */
BgL_nodez00_bglt BgL_arg2914z00_1902;BgL_typez00_bglt BgL_arg2915z00_1903;
BgL_arg2914z00_1902 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1895))->BgL_valuez00); 
{ /* Coerce/coerce.scm 190 */
BgL_variablez00_bglt BgL_arg2916z00_1904;
{ /* Coerce/coerce.scm 190 */
BgL_varz00_bglt BgL_arg2917z00_1905;
BgL_arg2917z00_1905 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1895))->BgL_varz00); 
BgL_arg2916z00_1904 = 
(((BgL_varz00_bglt)CREF(BgL_arg2917z00_1905))->BgL_variablez00); } 
BgL_arg2915z00_1903 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2916z00_1904))->BgL_typez00); } 
{ /* Coerce/coerce.scm 190 */
BgL_nodez00_bglt BgL_res3034z00_3121;
{ /* Coerce/coerce.scm 190 */
obj_t BgL_method2705z00_3096;
{ /* Coerce/coerce.scm 190 */
long BgL_objzd2classzd2numz00_3098;
{ /* Coerce/coerce.scm 190 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_arg2914z00_1902); 
BgL_objzd2classzd2numz00_3098 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4714); } 
{ /* Coerce/coerce.scm 190 */
obj_t BgL_arg1221z00_3099;
{ /* Coerce/coerce.scm 190 */
int BgL_auxz00_4717;
BgL_auxz00_4717 = 
(int)(((long)1)); 
BgL_arg1221z00_3099 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4717); } 
{ /* Coerce/coerce.scm 190 */
long BgL_offsetz00_3103;
{ /* Coerce/coerce.scm 190 */
long BgL_auxz00_4720;
{ /* Coerce/coerce.scm 190 */
int BgL_auxz00_4721;
BgL_auxz00_4721 = 
(int)(BgL_objzd2classzd2numz00_3098); 
BgL_auxz00_4720 = 
(long)(BgL_auxz00_4721); } 
BgL_offsetz00_3103 = 
(BgL_auxz00_4720-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 190 */
long BgL_modz00_3104;
{ /* Coerce/coerce.scm 190 */
long BgL_auxz00_4725;
{ /* Coerce/coerce.scm 190 */
int BgL_auxz00_4726;
BgL_auxz00_4726 = 
(int)(((long)8)); 
BgL_auxz00_4725 = 
(long)(BgL_auxz00_4726); } 
BgL_modz00_3104 = 
(BgL_offsetz00_3103/BgL_auxz00_4725); } 
{ /* Coerce/coerce.scm 190 */
long BgL_restz00_3106;
{ /* Coerce/coerce.scm 190 */
long BgL_auxz00_4730;
{ /* Coerce/coerce.scm 190 */
int BgL_auxz00_4731;
BgL_auxz00_4731 = 
(int)(((long)8)); 
BgL_auxz00_4730 = 
(long)(BgL_auxz00_4731); } 
BgL_restz00_3106 = 
(BgL_offsetz00_3103%BgL_auxz00_4730); } 
{ /* Coerce/coerce.scm 190 */

{ /* Coerce/coerce.scm 190 */
obj_t BgL_bucketz00_3108;
{ /* Coerce/coerce.scm 190 */
int BgL_kz00_3118;
BgL_kz00_3118 = 
(int)(BgL_modz00_3104); 
BgL_bucketz00_3108 = 
VECTOR_REF(BgL_arg1221z00_3099,BgL_kz00_3118); } 
{ /* Coerce/coerce.scm 190 */
int BgL_kz00_3120;
BgL_kz00_3120 = 
(int)(BgL_restz00_3106); 
BgL_method2705z00_3096 = 
VECTOR_REF(BgL_bucketz00_3108,BgL_kz00_3120); } } } } } } } } 
{ /* Coerce/coerce.scm 190 */
obj_t BgL_auxz00_4739;
BgL_auxz00_4739 = 
PROCEDURE_ENTRY(BgL_method2705z00_3096)(BgL_method2705z00_3096, 
(obj_t)(BgL_arg2914z00_1902), BgL_callerz00_1896, 
(obj_t)(BgL_arg2915z00_1903), BEOA); 
BgL_res3034z00_3121 = 
(BgL_nodez00_bglt)(BgL_auxz00_4739); } } 
BgL_arg2913z00_1901 = BgL_res3034z00_3121; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1895))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2913z00_1901), BUNSPEC); } 
BgL_auxz00_4709 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1895), 
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1897)); 
return 
(obj_t)(BgL_auxz00_4709);} } } 
}



/* coerce!-cast2734 */
obj_t BGl_coercez12zd2cast2734zc0zzcoerce_coercez00(obj_t BgL_envz00_3829, obj_t BgL_nodez00_3830, obj_t BgL_callerz00_3831, obj_t BgL_toz00_3832)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 180 */
{ 
BgL_castz00_bglt BgL_nodez00_1882;obj_t BgL_callerz00_1883;obj_t BgL_toz00_1884;
{ /* Coerce/coerce.scm 181 */
BgL_nodez00_bglt BgL_auxz00_4752;
BgL_nodez00_1882 = 
(BgL_castz00_bglt)(BgL_nodez00_3830); 
BgL_callerz00_1883 = BgL_callerz00_3831; 
BgL_toz00_1884 = BgL_toz00_3832; 
{ /* Coerce/coerce.scm 182 */
BgL_nodez00_bglt BgL_arg2907z00_1888;
{ /* Coerce/coerce.scm 182 */
BgL_nodez00_bglt BgL_arg2908z00_1889;BgL_typez00_bglt BgL_arg2909z00_1890;
BgL_arg2908z00_1889 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1882))->BgL_argz00); 
BgL_arg2909z00_1890 = 
BGl_typeofz00zzcoerce_typeofz00(
(((BgL_castz00_bglt)CREF(BgL_nodez00_1882))->BgL_argz00)); 
{ /* Coerce/coerce.scm 182 */
BgL_nodez00_bglt BgL_res3031z00_3085;
{ /* Coerce/coerce.scm 182 */
obj_t BgL_method2705z00_3060;
{ /* Coerce/coerce.scm 182 */
long BgL_objzd2classzd2numz00_3062;
{ /* Coerce/coerce.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4756;
BgL_auxz00_4756 = 
(BgL_objectz00_bglt)(BgL_arg2908z00_1889); 
BgL_objzd2classzd2numz00_3062 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4756); } 
{ /* Coerce/coerce.scm 182 */
obj_t BgL_arg1221z00_3063;
{ /* Coerce/coerce.scm 182 */
int BgL_auxz00_4759;
BgL_auxz00_4759 = 
(int)(((long)1)); 
BgL_arg1221z00_3063 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4759); } 
{ /* Coerce/coerce.scm 182 */
long BgL_offsetz00_3067;
{ /* Coerce/coerce.scm 182 */
long BgL_auxz00_4762;
{ /* Coerce/coerce.scm 182 */
int BgL_auxz00_4763;
BgL_auxz00_4763 = 
(int)(BgL_objzd2classzd2numz00_3062); 
BgL_auxz00_4762 = 
(long)(BgL_auxz00_4763); } 
BgL_offsetz00_3067 = 
(BgL_auxz00_4762-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 182 */
long BgL_modz00_3068;
{ /* Coerce/coerce.scm 182 */
long BgL_auxz00_4767;
{ /* Coerce/coerce.scm 182 */
int BgL_auxz00_4768;
BgL_auxz00_4768 = 
(int)(((long)8)); 
BgL_auxz00_4767 = 
(long)(BgL_auxz00_4768); } 
BgL_modz00_3068 = 
(BgL_offsetz00_3067/BgL_auxz00_4767); } 
{ /* Coerce/coerce.scm 182 */
long BgL_restz00_3070;
{ /* Coerce/coerce.scm 182 */
long BgL_auxz00_4772;
{ /* Coerce/coerce.scm 182 */
int BgL_auxz00_4773;
BgL_auxz00_4773 = 
(int)(((long)8)); 
BgL_auxz00_4772 = 
(long)(BgL_auxz00_4773); } 
BgL_restz00_3070 = 
(BgL_offsetz00_3067%BgL_auxz00_4772); } 
{ /* Coerce/coerce.scm 182 */

{ /* Coerce/coerce.scm 182 */
obj_t BgL_bucketz00_3072;
{ /* Coerce/coerce.scm 182 */
int BgL_kz00_3082;
BgL_kz00_3082 = 
(int)(BgL_modz00_3068); 
BgL_bucketz00_3072 = 
VECTOR_REF(BgL_arg1221z00_3063,BgL_kz00_3082); } 
{ /* Coerce/coerce.scm 182 */
int BgL_kz00_3084;
BgL_kz00_3084 = 
(int)(BgL_restz00_3070); 
BgL_method2705z00_3060 = 
VECTOR_REF(BgL_bucketz00_3072,BgL_kz00_3084); } } } } } } } } 
{ /* Coerce/coerce.scm 182 */
obj_t BgL_auxz00_4781;
BgL_auxz00_4781 = 
PROCEDURE_ENTRY(BgL_method2705z00_3060)(BgL_method2705z00_3060, 
(obj_t)(BgL_arg2908z00_1889), BgL_callerz00_1883, 
(obj_t)(BgL_arg2909z00_1890), BEOA); 
BgL_res3031z00_3085 = 
(BgL_nodez00_bglt)(BgL_auxz00_4781); } } 
BgL_arg2907z00_1888 = BgL_res3031z00_3085; } } 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1882))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2907z00_1888), BUNSPEC); } 
BgL_auxz00_4752 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1882), 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1882))->BgL_typez00), 
(BgL_typez00_bglt)(BgL_toz00_1884)); 
return 
(obj_t)(BgL_auxz00_4752);} } } 
}



/* coerce!-vlength2732 */
obj_t BGl_coercez12zd2vlength2732zc0zzcoerce_coercez00(obj_t BgL_envz00_3833, obj_t BgL_nodez00_3834, obj_t BgL_callerz00_3835, obj_t BgL_toz00_3836)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 172 */
{ 
BgL_vlengthz00_bglt BgL_nodez00_1868;obj_t BgL_callerz00_1869;obj_t BgL_toz00_1870;
{ /* Coerce/coerce.scm 173 */
BgL_nodez00_bglt BgL_auxz00_4794;
BgL_nodez00_1868 = 
(BgL_vlengthz00_bglt)(BgL_nodez00_3834); 
BgL_callerz00_1869 = BgL_callerz00_3835; 
BgL_toz00_1870 = BgL_toz00_3836; 
{ /* Coerce/coerce.scm 174 */
obj_t BgL_arg2900z00_1874;BgL_nodez00_bglt BgL_arg2901z00_1875;
BgL_arg2900z00_1874 = 
(((BgL_vlengthz00_bglt)CREF(BgL_nodez00_1868))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 174 */
BgL_typez00_bglt BgL_arg2903z00_1877;
BgL_arg2903z00_1877 = 
(((BgL_vlengthz00_bglt)CREF(BgL_nodez00_1868))->BgL_vtypez00); 
{ /* Coerce/coerce.scm 174 */
BgL_nodez00_bglt BgL_res3028z00_3051;
{ /* Coerce/coerce.scm 174 */
BgL_nodez00_bglt BgL_nodez00_3023;
{ /* Coerce/coerce.scm 174 */
obj_t BgL_auxz00_4797;
{ /* Coerce/coerce.scm 174 */
obj_t BgL_auxz00_4798;
BgL_auxz00_4798 = 
(((BgL_vlengthz00_bglt)CREF(BgL_nodez00_1868))->BgL_exprza2za2); 
BgL_auxz00_4797 = 
CAR(BgL_auxz00_4798); } 
BgL_nodez00_3023 = 
(BgL_nodez00_bglt)(BgL_auxz00_4797); } 
{ /* Coerce/coerce.scm 174 */
obj_t BgL_method2705z00_3026;
{ /* Coerce/coerce.scm 174 */
long BgL_objzd2classzd2numz00_3028;
{ /* Coerce/coerce.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4802;
BgL_auxz00_4802 = 
(BgL_objectz00_bglt)(BgL_nodez00_3023); 
BgL_objzd2classzd2numz00_3028 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4802); } 
{ /* Coerce/coerce.scm 174 */
obj_t BgL_arg1221z00_3029;
{ /* Coerce/coerce.scm 174 */
int BgL_auxz00_4805;
BgL_auxz00_4805 = 
(int)(((long)1)); 
BgL_arg1221z00_3029 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4805); } 
{ /* Coerce/coerce.scm 174 */
long BgL_offsetz00_3033;
{ /* Coerce/coerce.scm 174 */
long BgL_auxz00_4808;
{ /* Coerce/coerce.scm 174 */
int BgL_auxz00_4809;
BgL_auxz00_4809 = 
(int)(BgL_objzd2classzd2numz00_3028); 
BgL_auxz00_4808 = 
(long)(BgL_auxz00_4809); } 
BgL_offsetz00_3033 = 
(BgL_auxz00_4808-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 174 */
long BgL_modz00_3034;
{ /* Coerce/coerce.scm 174 */
long BgL_auxz00_4813;
{ /* Coerce/coerce.scm 174 */
int BgL_auxz00_4814;
BgL_auxz00_4814 = 
(int)(((long)8)); 
BgL_auxz00_4813 = 
(long)(BgL_auxz00_4814); } 
BgL_modz00_3034 = 
(BgL_offsetz00_3033/BgL_auxz00_4813); } 
{ /* Coerce/coerce.scm 174 */
long BgL_restz00_3036;
{ /* Coerce/coerce.scm 174 */
long BgL_auxz00_4818;
{ /* Coerce/coerce.scm 174 */
int BgL_auxz00_4819;
BgL_auxz00_4819 = 
(int)(((long)8)); 
BgL_auxz00_4818 = 
(long)(BgL_auxz00_4819); } 
BgL_restz00_3036 = 
(BgL_offsetz00_3033%BgL_auxz00_4818); } 
{ /* Coerce/coerce.scm 174 */

{ /* Coerce/coerce.scm 174 */
obj_t BgL_bucketz00_3038;
{ /* Coerce/coerce.scm 174 */
int BgL_kz00_3048;
BgL_kz00_3048 = 
(int)(BgL_modz00_3034); 
BgL_bucketz00_3038 = 
VECTOR_REF(BgL_arg1221z00_3029,BgL_kz00_3048); } 
{ /* Coerce/coerce.scm 174 */
int BgL_kz00_3050;
BgL_kz00_3050 = 
(int)(BgL_restz00_3036); 
BgL_method2705z00_3026 = 
VECTOR_REF(BgL_bucketz00_3038,BgL_kz00_3050); } } } } } } } } 
{ /* Coerce/coerce.scm 174 */
obj_t BgL_auxz00_4827;
BgL_auxz00_4827 = 
PROCEDURE_ENTRY(BgL_method2705z00_3026)(BgL_method2705z00_3026, 
(obj_t)(BgL_nodez00_3023), BgL_callerz00_1869, 
(obj_t)(BgL_arg2903z00_1877), BEOA); 
BgL_res3028z00_3051 = 
(BgL_nodez00_bglt)(BgL_auxz00_4827); } } } 
BgL_arg2901z00_1875 = BgL_res3028z00_3051; } } 
{ /* Coerce/coerce.scm 174 */
obj_t BgL_auxz00_4833;
BgL_auxz00_4833 = 
(obj_t)(BgL_arg2901z00_1875); 
SET_CAR(BgL_arg2900z00_1874, BgL_auxz00_4833); } } 
BgL_auxz00_4794 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1868), 
(((BgL_vlengthz00_bglt)CREF(BgL_nodez00_1868))->BgL_typez00), 
(BgL_typez00_bglt)(BgL_toz00_1870)); 
return 
(obj_t)(BgL_auxz00_4794);} } } 
}



/* coerce!-vset!2730 */
obj_t BGl_coercez12zd2vsetz122730zd2zzcoerce_coercez00(obj_t BgL_envz00_3837, obj_t BgL_nodez00_3838, obj_t BgL_callerz00_3839, obj_t BgL_toz00_3840)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 160 */
{ 
BgL_vsetz12z12_bglt BgL_nodez00_1840;obj_t BgL_callerz00_1841;obj_t BgL_toz00_1842;
{ /* Coerce/coerce.scm 161 */
BgL_nodez00_bglt BgL_auxz00_4842;
BgL_nodez00_1840 = 
(BgL_vsetz12z12_bglt)(BgL_nodez00_3838); 
BgL_callerz00_1841 = BgL_callerz00_3839; 
BgL_toz00_1842 = BgL_toz00_3840; 
{ /* Coerce/coerce.scm 163 */
obj_t BgL_ftypez00_1846;
{ /* Coerce/coerce.scm 163 */
bool_t BgL_test2897z00_1864;
{ /* Coerce/coerce.scm 163 */
obj_t BgL_auxz00_4843;
{ /* Coerce/coerce.scm 163 */
BgL_typez00_bglt BgL_auxz00_4844;
BgL_auxz00_4844 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_ftypez00); 
BgL_auxz00_4843 = 
(obj_t)(BgL_auxz00_4844); } 
BgL_test2897z00_1864 = 
(BgL_auxz00_4843==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2897z00_1864)
{ /* Coerce/coerce.scm 163 */
BgL_ftypez00_1846 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Coerce/coerce.scm 163 */
BgL_typez00_bglt BgL_auxz00_4849;
BgL_auxz00_4849 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_ftypez00); 
BgL_ftypez00_1846 = 
(obj_t)(BgL_auxz00_4849); } } 
{ /* Coerce/coerce.scm 164 */
obj_t BgL_arg2880z00_1847;BgL_nodez00_bglt BgL_arg2881z00_1848;
BgL_arg2880z00_1847 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 164 */
BgL_typez00_bglt BgL_arg2883z00_1850;
BgL_arg2883z00_1850 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_vtypez00); 
{ /* Coerce/coerce.scm 164 */
BgL_nodez00_bglt BgL_res3019z00_2933;
{ /* Coerce/coerce.scm 164 */
BgL_nodez00_bglt BgL_nodez00_2905;
{ /* Coerce/coerce.scm 164 */
obj_t BgL_auxz00_4854;
{ /* Coerce/coerce.scm 164 */
obj_t BgL_auxz00_4855;
BgL_auxz00_4855 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
BgL_auxz00_4854 = 
CAR(BgL_auxz00_4855); } 
BgL_nodez00_2905 = 
(BgL_nodez00_bglt)(BgL_auxz00_4854); } 
{ /* Coerce/coerce.scm 164 */
obj_t BgL_method2705z00_2908;
{ /* Coerce/coerce.scm 164 */
long BgL_objzd2classzd2numz00_2910;
{ /* Coerce/coerce.scm 164 */
BgL_objectz00_bglt BgL_auxz00_4859;
BgL_auxz00_4859 = 
(BgL_objectz00_bglt)(BgL_nodez00_2905); 
BgL_objzd2classzd2numz00_2910 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4859); } 
{ /* Coerce/coerce.scm 164 */
obj_t BgL_arg1221z00_2911;
{ /* Coerce/coerce.scm 164 */
int BgL_auxz00_4862;
BgL_auxz00_4862 = 
(int)(((long)1)); 
BgL_arg1221z00_2911 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4862); } 
{ /* Coerce/coerce.scm 164 */
long BgL_offsetz00_2915;
{ /* Coerce/coerce.scm 164 */
long BgL_auxz00_4865;
{ /* Coerce/coerce.scm 164 */
int BgL_auxz00_4866;
BgL_auxz00_4866 = 
(int)(BgL_objzd2classzd2numz00_2910); 
BgL_auxz00_4865 = 
(long)(BgL_auxz00_4866); } 
BgL_offsetz00_2915 = 
(BgL_auxz00_4865-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 164 */
long BgL_modz00_2916;
{ /* Coerce/coerce.scm 164 */
long BgL_auxz00_4870;
{ /* Coerce/coerce.scm 164 */
int BgL_auxz00_4871;
BgL_auxz00_4871 = 
(int)(((long)8)); 
BgL_auxz00_4870 = 
(long)(BgL_auxz00_4871); } 
BgL_modz00_2916 = 
(BgL_offsetz00_2915/BgL_auxz00_4870); } 
{ /* Coerce/coerce.scm 164 */
long BgL_restz00_2918;
{ /* Coerce/coerce.scm 164 */
long BgL_auxz00_4875;
{ /* Coerce/coerce.scm 164 */
int BgL_auxz00_4876;
BgL_auxz00_4876 = 
(int)(((long)8)); 
BgL_auxz00_4875 = 
(long)(BgL_auxz00_4876); } 
BgL_restz00_2918 = 
(BgL_offsetz00_2915%BgL_auxz00_4875); } 
{ /* Coerce/coerce.scm 164 */

{ /* Coerce/coerce.scm 164 */
obj_t BgL_bucketz00_2920;
{ /* Coerce/coerce.scm 164 */
int BgL_kz00_2930;
BgL_kz00_2930 = 
(int)(BgL_modz00_2916); 
BgL_bucketz00_2920 = 
VECTOR_REF(BgL_arg1221z00_2911,BgL_kz00_2930); } 
{ /* Coerce/coerce.scm 164 */
int BgL_kz00_2932;
BgL_kz00_2932 = 
(int)(BgL_restz00_2918); 
BgL_method2705z00_2908 = 
VECTOR_REF(BgL_bucketz00_2920,BgL_kz00_2932); } } } } } } } } 
{ /* Coerce/coerce.scm 164 */
obj_t BgL_auxz00_4884;
BgL_auxz00_4884 = 
PROCEDURE_ENTRY(BgL_method2705z00_2908)(BgL_method2705z00_2908, 
(obj_t)(BgL_nodez00_2905), BgL_callerz00_1841, 
(obj_t)(BgL_arg2883z00_1850), BEOA); 
BgL_res3019z00_2933 = 
(BgL_nodez00_bglt)(BgL_auxz00_4884); } } } 
BgL_arg2881z00_1848 = BgL_res3019z00_2933; } } 
{ /* Coerce/coerce.scm 164 */
obj_t BgL_auxz00_4890;
BgL_auxz00_4890 = 
(obj_t)(BgL_arg2881z00_1848); 
SET_CAR(BgL_arg2880z00_1847, BgL_auxz00_4890); } } 
{ /* Coerce/coerce.scm 165 */
obj_t BgL_arg2885z00_1852;BgL_nodez00_bglt BgL_arg2886z00_1853;
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4893;
BgL_auxz00_4893 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
BgL_arg2885z00_1852 = 
CDR(BgL_auxz00_4893); } 
{ /* Coerce/coerce.scm 165 */
BgL_typez00_bglt BgL_arg2889z00_1856;
BgL_arg2889z00_1856 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_otypez00); 
{ /* Coerce/coerce.scm 165 */
BgL_nodez00_bglt BgL_res3022z00_2972;
{ /* Coerce/coerce.scm 165 */
BgL_nodez00_bglt BgL_nodez00_2944;
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4897;
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4898;
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4899;
BgL_auxz00_4899 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
BgL_auxz00_4898 = 
CDR(BgL_auxz00_4899); } 
BgL_auxz00_4897 = 
CAR(BgL_auxz00_4898); } 
BgL_nodez00_2944 = 
(BgL_nodez00_bglt)(BgL_auxz00_4897); } 
{ /* Coerce/coerce.scm 165 */
obj_t BgL_method2705z00_2947;
{ /* Coerce/coerce.scm 165 */
long BgL_objzd2classzd2numz00_2949;
{ /* Coerce/coerce.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4904;
BgL_auxz00_4904 = 
(BgL_objectz00_bglt)(BgL_nodez00_2944); 
BgL_objzd2classzd2numz00_2949 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4904); } 
{ /* Coerce/coerce.scm 165 */
obj_t BgL_arg1221z00_2950;
{ /* Coerce/coerce.scm 165 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(((long)1)); 
BgL_arg1221z00_2950 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4907); } 
{ /* Coerce/coerce.scm 165 */
long BgL_offsetz00_2954;
{ /* Coerce/coerce.scm 165 */
long BgL_auxz00_4910;
{ /* Coerce/coerce.scm 165 */
int BgL_auxz00_4911;
BgL_auxz00_4911 = 
(int)(BgL_objzd2classzd2numz00_2949); 
BgL_auxz00_4910 = 
(long)(BgL_auxz00_4911); } 
BgL_offsetz00_2954 = 
(BgL_auxz00_4910-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 165 */
long BgL_modz00_2955;
{ /* Coerce/coerce.scm 165 */
long BgL_auxz00_4915;
{ /* Coerce/coerce.scm 165 */
int BgL_auxz00_4916;
BgL_auxz00_4916 = 
(int)(((long)8)); 
BgL_auxz00_4915 = 
(long)(BgL_auxz00_4916); } 
BgL_modz00_2955 = 
(BgL_offsetz00_2954/BgL_auxz00_4915); } 
{ /* Coerce/coerce.scm 165 */
long BgL_restz00_2957;
{ /* Coerce/coerce.scm 165 */
long BgL_auxz00_4920;
{ /* Coerce/coerce.scm 165 */
int BgL_auxz00_4921;
BgL_auxz00_4921 = 
(int)(((long)8)); 
BgL_auxz00_4920 = 
(long)(BgL_auxz00_4921); } 
BgL_restz00_2957 = 
(BgL_offsetz00_2954%BgL_auxz00_4920); } 
{ /* Coerce/coerce.scm 165 */

{ /* Coerce/coerce.scm 165 */
obj_t BgL_bucketz00_2959;
{ /* Coerce/coerce.scm 165 */
int BgL_kz00_2969;
BgL_kz00_2969 = 
(int)(BgL_modz00_2955); 
BgL_bucketz00_2959 = 
VECTOR_REF(BgL_arg1221z00_2950,BgL_kz00_2969); } 
{ /* Coerce/coerce.scm 165 */
int BgL_kz00_2971;
BgL_kz00_2971 = 
(int)(BgL_restz00_2957); 
BgL_method2705z00_2947 = 
VECTOR_REF(BgL_bucketz00_2959,BgL_kz00_2971); } } } } } } } } 
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4929;
BgL_auxz00_4929 = 
PROCEDURE_ENTRY(BgL_method2705z00_2947)(BgL_method2705z00_2947, 
(obj_t)(BgL_nodez00_2944), BgL_callerz00_1841, 
(obj_t)(BgL_arg2889z00_1856), BEOA); 
BgL_res3022z00_2972 = 
(BgL_nodez00_bglt)(BgL_auxz00_4929); } } } 
BgL_arg2886z00_1853 = BgL_res3022z00_2972; } } 
{ /* Coerce/coerce.scm 165 */
obj_t BgL_auxz00_4935;
BgL_auxz00_4935 = 
(obj_t)(BgL_arg2886z00_1853); 
SET_CAR(BgL_arg2885z00_1852, BgL_auxz00_4935); } } 
{ /* Coerce/coerce.scm 166 */
obj_t BgL_arg2891z00_1858;BgL_nodez00_bglt BgL_arg2892z00_1859;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4938;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4939;
BgL_auxz00_4939 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
BgL_auxz00_4938 = 
CDR(BgL_auxz00_4939); } 
BgL_arg2891z00_1858 = 
CDR(BgL_auxz00_4938); } 
{ /* Coerce/coerce.scm 166 */
BgL_nodez00_bglt BgL_res3025z00_3015;
{ /* Coerce/coerce.scm 166 */
BgL_nodez00_bglt BgL_nodez00_2987;BgL_typez00_bglt BgL_toz00_2989;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4943;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4944;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4945;
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4946;
BgL_auxz00_4946 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_exprza2za2); 
BgL_auxz00_4945 = 
CDR(BgL_auxz00_4946); } 
BgL_auxz00_4944 = 
CDR(BgL_auxz00_4945); } 
BgL_auxz00_4943 = 
CAR(BgL_auxz00_4944); } 
BgL_nodez00_2987 = 
(BgL_nodez00_bglt)(BgL_auxz00_4943); } 
BgL_toz00_2989 = 
(BgL_typez00_bglt)(BgL_ftypez00_1846); 
{ /* Coerce/coerce.scm 166 */
obj_t BgL_method2705z00_2990;
{ /* Coerce/coerce.scm 166 */
long BgL_objzd2classzd2numz00_2992;
{ /* Coerce/coerce.scm 166 */
BgL_objectz00_bglt BgL_auxz00_4953;
BgL_auxz00_4953 = 
(BgL_objectz00_bglt)(BgL_nodez00_2987); 
BgL_objzd2classzd2numz00_2992 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4953); } 
{ /* Coerce/coerce.scm 166 */
obj_t BgL_arg1221z00_2993;
{ /* Coerce/coerce.scm 166 */
int BgL_auxz00_4956;
BgL_auxz00_4956 = 
(int)(((long)1)); 
BgL_arg1221z00_2993 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_4956); } 
{ /* Coerce/coerce.scm 166 */
long BgL_offsetz00_2997;
{ /* Coerce/coerce.scm 166 */
long BgL_auxz00_4959;
{ /* Coerce/coerce.scm 166 */
int BgL_auxz00_4960;
BgL_auxz00_4960 = 
(int)(BgL_objzd2classzd2numz00_2992); 
BgL_auxz00_4959 = 
(long)(BgL_auxz00_4960); } 
BgL_offsetz00_2997 = 
(BgL_auxz00_4959-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 166 */
long BgL_modz00_2998;
{ /* Coerce/coerce.scm 166 */
long BgL_auxz00_4964;
{ /* Coerce/coerce.scm 166 */
int BgL_auxz00_4965;
BgL_auxz00_4965 = 
(int)(((long)8)); 
BgL_auxz00_4964 = 
(long)(BgL_auxz00_4965); } 
BgL_modz00_2998 = 
(BgL_offsetz00_2997/BgL_auxz00_4964); } 
{ /* Coerce/coerce.scm 166 */
long BgL_restz00_3000;
{ /* Coerce/coerce.scm 166 */
long BgL_auxz00_4969;
{ /* Coerce/coerce.scm 166 */
int BgL_auxz00_4970;
BgL_auxz00_4970 = 
(int)(((long)8)); 
BgL_auxz00_4969 = 
(long)(BgL_auxz00_4970); } 
BgL_restz00_3000 = 
(BgL_offsetz00_2997%BgL_auxz00_4969); } 
{ /* Coerce/coerce.scm 166 */

{ /* Coerce/coerce.scm 166 */
obj_t BgL_bucketz00_3002;
{ /* Coerce/coerce.scm 166 */
int BgL_kz00_3012;
BgL_kz00_3012 = 
(int)(BgL_modz00_2998); 
BgL_bucketz00_3002 = 
VECTOR_REF(BgL_arg1221z00_2993,BgL_kz00_3012); } 
{ /* Coerce/coerce.scm 166 */
int BgL_kz00_3014;
BgL_kz00_3014 = 
(int)(BgL_restz00_3000); 
BgL_method2705z00_2990 = 
VECTOR_REF(BgL_bucketz00_3002,BgL_kz00_3014); } } } } } } } } 
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4978;
BgL_auxz00_4978 = 
PROCEDURE_ENTRY(BgL_method2705z00_2990)(BgL_method2705z00_2990, 
(obj_t)(BgL_nodez00_2987), BgL_callerz00_1841, 
(obj_t)(BgL_toz00_2989), BEOA); 
BgL_res3025z00_3015 = 
(BgL_nodez00_bglt)(BgL_auxz00_4978); } } } 
BgL_arg2892z00_1859 = BgL_res3025z00_3015; } 
{ /* Coerce/coerce.scm 166 */
obj_t BgL_auxz00_4984;
BgL_auxz00_4984 = 
(obj_t)(BgL_arg2892z00_1859); 
SET_CAR(BgL_arg2891z00_1858, BgL_auxz00_4984); } } 
BgL_auxz00_4842 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1840), 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_1840))->BgL_typez00), 
(BgL_typez00_bglt)(BgL_toz00_1842)); } 
return 
(obj_t)(BgL_auxz00_4842);} } } 
}



/* coerce!-vref2727 */
obj_t BGl_coercez12zd2vref2727zc0zzcoerce_coercez00(obj_t BgL_envz00_3841, obj_t BgL_nodez00_3842, obj_t BgL_callerz00_3843, obj_t BgL_toz00_3844)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 144 */
{ 
BgL_vrefz00_bglt BgL_nodez00_1818;obj_t BgL_callerz00_1819;obj_t BgL_toz00_1820;
{ /* Coerce/coerce.scm 145 */
BgL_nodez00_bglt BgL_auxz00_4993;
BgL_nodez00_1818 = 
(BgL_vrefz00_bglt)(BgL_nodez00_3842); 
BgL_callerz00_1819 = BgL_callerz00_3843; 
BgL_toz00_1820 = BgL_toz00_3844; 
{ /* Coerce/coerce.scm 152 */
obj_t BgL_ftypez00_1824;
{ /* Coerce/coerce.scm 152 */
bool_t BgL_test2877z00_1836;
{ /* Coerce/coerce.scm 152 */
obj_t BgL_auxz00_4994;
{ /* Coerce/coerce.scm 152 */
BgL_typez00_bglt BgL_auxz00_4995;
BgL_auxz00_4995 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_ftypez00); 
BgL_auxz00_4994 = 
(obj_t)(BgL_auxz00_4995); } 
BgL_test2877z00_1836 = 
(BgL_auxz00_4994==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2877z00_1836)
{ /* Coerce/coerce.scm 152 */
BgL_ftypez00_1824 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Coerce/coerce.scm 152 */
BgL_typez00_bglt BgL_auxz00_5000;
BgL_auxz00_5000 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_ftypez00); 
BgL_ftypez00_1824 = 
(obj_t)(BgL_auxz00_5000); } } 
{ /* Coerce/coerce.scm 153 */
obj_t BgL_arg2866z00_1825;BgL_nodez00_bglt BgL_arg2867z00_1826;
BgL_arg2866z00_1825 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 153 */
BgL_typez00_bglt BgL_arg2869z00_1828;
BgL_arg2869z00_1828 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_vtypez00); 
{ /* Coerce/coerce.scm 153 */
BgL_nodez00_bglt BgL_res3013z00_2857;
{ /* Coerce/coerce.scm 153 */
BgL_nodez00_bglt BgL_nodez00_2829;
{ /* Coerce/coerce.scm 153 */
obj_t BgL_auxz00_5005;
{ /* Coerce/coerce.scm 153 */
obj_t BgL_auxz00_5006;
BgL_auxz00_5006 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_exprza2za2); 
BgL_auxz00_5005 = 
CAR(BgL_auxz00_5006); } 
BgL_nodez00_2829 = 
(BgL_nodez00_bglt)(BgL_auxz00_5005); } 
{ /* Coerce/coerce.scm 153 */
obj_t BgL_method2705z00_2832;
{ /* Coerce/coerce.scm 153 */
long BgL_objzd2classzd2numz00_2834;
{ /* Coerce/coerce.scm 153 */
BgL_objectz00_bglt BgL_auxz00_5010;
BgL_auxz00_5010 = 
(BgL_objectz00_bglt)(BgL_nodez00_2829); 
BgL_objzd2classzd2numz00_2834 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5010); } 
{ /* Coerce/coerce.scm 153 */
obj_t BgL_arg1221z00_2835;
{ /* Coerce/coerce.scm 153 */
int BgL_auxz00_5013;
BgL_auxz00_5013 = 
(int)(((long)1)); 
BgL_arg1221z00_2835 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5013); } 
{ /* Coerce/coerce.scm 153 */
long BgL_offsetz00_2839;
{ /* Coerce/coerce.scm 153 */
long BgL_auxz00_5016;
{ /* Coerce/coerce.scm 153 */
int BgL_auxz00_5017;
BgL_auxz00_5017 = 
(int)(BgL_objzd2classzd2numz00_2834); 
BgL_auxz00_5016 = 
(long)(BgL_auxz00_5017); } 
BgL_offsetz00_2839 = 
(BgL_auxz00_5016-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 153 */
long BgL_modz00_2840;
{ /* Coerce/coerce.scm 153 */
long BgL_auxz00_5021;
{ /* Coerce/coerce.scm 153 */
int BgL_auxz00_5022;
BgL_auxz00_5022 = 
(int)(((long)8)); 
BgL_auxz00_5021 = 
(long)(BgL_auxz00_5022); } 
BgL_modz00_2840 = 
(BgL_offsetz00_2839/BgL_auxz00_5021); } 
{ /* Coerce/coerce.scm 153 */
long BgL_restz00_2842;
{ /* Coerce/coerce.scm 153 */
long BgL_auxz00_5026;
{ /* Coerce/coerce.scm 153 */
int BgL_auxz00_5027;
BgL_auxz00_5027 = 
(int)(((long)8)); 
BgL_auxz00_5026 = 
(long)(BgL_auxz00_5027); } 
BgL_restz00_2842 = 
(BgL_offsetz00_2839%BgL_auxz00_5026); } 
{ /* Coerce/coerce.scm 153 */

{ /* Coerce/coerce.scm 153 */
obj_t BgL_bucketz00_2844;
{ /* Coerce/coerce.scm 153 */
int BgL_kz00_2854;
BgL_kz00_2854 = 
(int)(BgL_modz00_2840); 
BgL_bucketz00_2844 = 
VECTOR_REF(BgL_arg1221z00_2835,BgL_kz00_2854); } 
{ /* Coerce/coerce.scm 153 */
int BgL_kz00_2856;
BgL_kz00_2856 = 
(int)(BgL_restz00_2842); 
BgL_method2705z00_2832 = 
VECTOR_REF(BgL_bucketz00_2844,BgL_kz00_2856); } } } } } } } } 
{ /* Coerce/coerce.scm 153 */
obj_t BgL_auxz00_5035;
BgL_auxz00_5035 = 
PROCEDURE_ENTRY(BgL_method2705z00_2832)(BgL_method2705z00_2832, 
(obj_t)(BgL_nodez00_2829), BgL_callerz00_1819, 
(obj_t)(BgL_arg2869z00_1828), BEOA); 
BgL_res3013z00_2857 = 
(BgL_nodez00_bglt)(BgL_auxz00_5035); } } } 
BgL_arg2867z00_1826 = BgL_res3013z00_2857; } } 
{ /* Coerce/coerce.scm 153 */
obj_t BgL_auxz00_5041;
BgL_auxz00_5041 = 
(obj_t)(BgL_arg2867z00_1826); 
SET_CAR(BgL_arg2866z00_1825, BgL_auxz00_5041); } } 
{ /* Coerce/coerce.scm 154 */
obj_t BgL_arg2871z00_1830;BgL_nodez00_bglt BgL_arg2872z00_1831;
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5044;
BgL_auxz00_5044 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_exprza2za2); 
BgL_arg2871z00_1830 = 
CDR(BgL_auxz00_5044); } 
{ /* Coerce/coerce.scm 154 */
BgL_typez00_bglt BgL_arg2875z00_1834;
BgL_arg2875z00_1834 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_otypez00); 
{ /* Coerce/coerce.scm 154 */
BgL_nodez00_bglt BgL_res3016z00_2896;
{ /* Coerce/coerce.scm 154 */
BgL_nodez00_bglt BgL_nodez00_2868;
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5048;
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5049;
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5050;
BgL_auxz00_5050 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_1818))->BgL_exprza2za2); 
BgL_auxz00_5049 = 
CDR(BgL_auxz00_5050); } 
BgL_auxz00_5048 = 
CAR(BgL_auxz00_5049); } 
BgL_nodez00_2868 = 
(BgL_nodez00_bglt)(BgL_auxz00_5048); } 
{ /* Coerce/coerce.scm 154 */
obj_t BgL_method2705z00_2871;
{ /* Coerce/coerce.scm 154 */
long BgL_objzd2classzd2numz00_2873;
{ /* Coerce/coerce.scm 154 */
BgL_objectz00_bglt BgL_auxz00_5055;
BgL_auxz00_5055 = 
(BgL_objectz00_bglt)(BgL_nodez00_2868); 
BgL_objzd2classzd2numz00_2873 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5055); } 
{ /* Coerce/coerce.scm 154 */
obj_t BgL_arg1221z00_2874;
{ /* Coerce/coerce.scm 154 */
int BgL_auxz00_5058;
BgL_auxz00_5058 = 
(int)(((long)1)); 
BgL_arg1221z00_2874 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5058); } 
{ /* Coerce/coerce.scm 154 */
long BgL_offsetz00_2878;
{ /* Coerce/coerce.scm 154 */
long BgL_auxz00_5061;
{ /* Coerce/coerce.scm 154 */
int BgL_auxz00_5062;
BgL_auxz00_5062 = 
(int)(BgL_objzd2classzd2numz00_2873); 
BgL_auxz00_5061 = 
(long)(BgL_auxz00_5062); } 
BgL_offsetz00_2878 = 
(BgL_auxz00_5061-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 154 */
long BgL_modz00_2879;
{ /* Coerce/coerce.scm 154 */
long BgL_auxz00_5066;
{ /* Coerce/coerce.scm 154 */
int BgL_auxz00_5067;
BgL_auxz00_5067 = 
(int)(((long)8)); 
BgL_auxz00_5066 = 
(long)(BgL_auxz00_5067); } 
BgL_modz00_2879 = 
(BgL_offsetz00_2878/BgL_auxz00_5066); } 
{ /* Coerce/coerce.scm 154 */
long BgL_restz00_2881;
{ /* Coerce/coerce.scm 154 */
long BgL_auxz00_5071;
{ /* Coerce/coerce.scm 154 */
int BgL_auxz00_5072;
BgL_auxz00_5072 = 
(int)(((long)8)); 
BgL_auxz00_5071 = 
(long)(BgL_auxz00_5072); } 
BgL_restz00_2881 = 
(BgL_offsetz00_2878%BgL_auxz00_5071); } 
{ /* Coerce/coerce.scm 154 */

{ /* Coerce/coerce.scm 154 */
obj_t BgL_bucketz00_2883;
{ /* Coerce/coerce.scm 154 */
int BgL_kz00_2893;
BgL_kz00_2893 = 
(int)(BgL_modz00_2879); 
BgL_bucketz00_2883 = 
VECTOR_REF(BgL_arg1221z00_2874,BgL_kz00_2893); } 
{ /* Coerce/coerce.scm 154 */
int BgL_kz00_2895;
BgL_kz00_2895 = 
(int)(BgL_restz00_2881); 
BgL_method2705z00_2871 = 
VECTOR_REF(BgL_bucketz00_2883,BgL_kz00_2895); } } } } } } } } 
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5080;
BgL_auxz00_5080 = 
PROCEDURE_ENTRY(BgL_method2705z00_2871)(BgL_method2705z00_2871, 
(obj_t)(BgL_nodez00_2868), BgL_callerz00_1819, 
(obj_t)(BgL_arg2875z00_1834), BEOA); 
BgL_res3016z00_2896 = 
(BgL_nodez00_bglt)(BgL_auxz00_5080); } } } 
BgL_arg2872z00_1831 = BgL_res3016z00_2896; } } 
{ /* Coerce/coerce.scm 154 */
obj_t BgL_auxz00_5086;
BgL_auxz00_5086 = 
(obj_t)(BgL_arg2872z00_1831); 
SET_CAR(BgL_arg2871z00_1830, BgL_auxz00_5086); } } 
BgL_auxz00_4993 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1818), 
(BgL_typez00_bglt)(BgL_ftypez00_1824), 
(BgL_typez00_bglt)(BgL_toz00_1820)); } 
return 
(obj_t)(BgL_auxz00_4993);} } } 
}



/* coerce!-valloc2725 */
obj_t BGl_coercez12zd2valloc2725zc0zzcoerce_coercez00(obj_t BgL_envz00_3845, obj_t BgL_nodez00_3846, obj_t BgL_callerz00_3847, obj_t BgL_toz00_3848)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 136 */
{ 
BgL_vallocz00_bglt BgL_nodez00_1804;obj_t BgL_callerz00_1805;obj_t BgL_toz00_1806;
{ /* Coerce/coerce.scm 137 */
BgL_nodez00_bglt BgL_auxz00_5095;
BgL_nodez00_1804 = 
(BgL_vallocz00_bglt)(BgL_nodez00_3846); 
BgL_callerz00_1805 = BgL_callerz00_3847; 
BgL_toz00_1806 = BgL_toz00_3848; 
{ /* Coerce/coerce.scm 138 */
obj_t BgL_arg2859z00_1810;BgL_nodez00_bglt BgL_arg2860z00_1811;
BgL_arg2859z00_1810 = 
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_1804))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 138 */
BgL_typez00_bglt BgL_arg2862z00_1813;
BgL_arg2862z00_1813 = 
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_1804))->BgL_otypez00); 
{ /* Coerce/coerce.scm 138 */
BgL_nodez00_bglt BgL_res3010z00_2819;
{ /* Coerce/coerce.scm 138 */
BgL_nodez00_bglt BgL_nodez00_2791;
{ /* Coerce/coerce.scm 138 */
obj_t BgL_auxz00_5098;
{ /* Coerce/coerce.scm 138 */
obj_t BgL_auxz00_5099;
BgL_auxz00_5099 = 
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_1804))->BgL_exprza2za2); 
BgL_auxz00_5098 = 
CAR(BgL_auxz00_5099); } 
BgL_nodez00_2791 = 
(BgL_nodez00_bglt)(BgL_auxz00_5098); } 
{ /* Coerce/coerce.scm 138 */
obj_t BgL_method2705z00_2794;
{ /* Coerce/coerce.scm 138 */
long BgL_objzd2classzd2numz00_2796;
{ /* Coerce/coerce.scm 138 */
BgL_objectz00_bglt BgL_auxz00_5103;
BgL_auxz00_5103 = 
(BgL_objectz00_bglt)(BgL_nodez00_2791); 
BgL_objzd2classzd2numz00_2796 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5103); } 
{ /* Coerce/coerce.scm 138 */
obj_t BgL_arg1221z00_2797;
{ /* Coerce/coerce.scm 138 */
int BgL_auxz00_5106;
BgL_auxz00_5106 = 
(int)(((long)1)); 
BgL_arg1221z00_2797 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5106); } 
{ /* Coerce/coerce.scm 138 */
long BgL_offsetz00_2801;
{ /* Coerce/coerce.scm 138 */
long BgL_auxz00_5109;
{ /* Coerce/coerce.scm 138 */
int BgL_auxz00_5110;
BgL_auxz00_5110 = 
(int)(BgL_objzd2classzd2numz00_2796); 
BgL_auxz00_5109 = 
(long)(BgL_auxz00_5110); } 
BgL_offsetz00_2801 = 
(BgL_auxz00_5109-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 138 */
long BgL_modz00_2802;
{ /* Coerce/coerce.scm 138 */
long BgL_auxz00_5114;
{ /* Coerce/coerce.scm 138 */
int BgL_auxz00_5115;
BgL_auxz00_5115 = 
(int)(((long)8)); 
BgL_auxz00_5114 = 
(long)(BgL_auxz00_5115); } 
BgL_modz00_2802 = 
(BgL_offsetz00_2801/BgL_auxz00_5114); } 
{ /* Coerce/coerce.scm 138 */
long BgL_restz00_2804;
{ /* Coerce/coerce.scm 138 */
long BgL_auxz00_5119;
{ /* Coerce/coerce.scm 138 */
int BgL_auxz00_5120;
BgL_auxz00_5120 = 
(int)(((long)8)); 
BgL_auxz00_5119 = 
(long)(BgL_auxz00_5120); } 
BgL_restz00_2804 = 
(BgL_offsetz00_2801%BgL_auxz00_5119); } 
{ /* Coerce/coerce.scm 138 */

{ /* Coerce/coerce.scm 138 */
obj_t BgL_bucketz00_2806;
{ /* Coerce/coerce.scm 138 */
int BgL_kz00_2816;
BgL_kz00_2816 = 
(int)(BgL_modz00_2802); 
BgL_bucketz00_2806 = 
VECTOR_REF(BgL_arg1221z00_2797,BgL_kz00_2816); } 
{ /* Coerce/coerce.scm 138 */
int BgL_kz00_2818;
BgL_kz00_2818 = 
(int)(BgL_restz00_2804); 
BgL_method2705z00_2794 = 
VECTOR_REF(BgL_bucketz00_2806,BgL_kz00_2818); } } } } } } } } 
{ /* Coerce/coerce.scm 138 */
obj_t BgL_auxz00_5128;
BgL_auxz00_5128 = 
PROCEDURE_ENTRY(BgL_method2705z00_2794)(BgL_method2705z00_2794, 
(obj_t)(BgL_nodez00_2791), BgL_callerz00_1805, 
(obj_t)(BgL_arg2862z00_1813), BEOA); 
BgL_res3010z00_2819 = 
(BgL_nodez00_bglt)(BgL_auxz00_5128); } } } 
BgL_arg2860z00_1811 = BgL_res3010z00_2819; } } 
{ /* Coerce/coerce.scm 138 */
obj_t BgL_auxz00_5134;
BgL_auxz00_5134 = 
(obj_t)(BgL_arg2860z00_1811); 
SET_CAR(BgL_arg2859z00_1810, BgL_auxz00_5134); } } 
BgL_auxz00_5095 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1804), 
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_1804))->BgL_typez00), 
(BgL_typez00_bglt)(BgL_toz00_1806)); 
return 
(obj_t)(BgL_auxz00_5095);} } } 
}



/* coerce!-new2723 */
obj_t BGl_coercez12zd2new2723zc0zzcoerce_coercez00(obj_t BgL_envz00_3849, obj_t BgL_nodez00_3850, obj_t BgL_callerz00_3851, obj_t BgL_toz00_3852)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 129 */
{ 
BgL_newz00_bglt BgL_nodez00_1795;obj_t BgL_callerz00_1796;obj_t BgL_toz00_1797;
{ /* Coerce/coerce.scm 130 */
BgL_nodez00_bglt BgL_auxz00_5143;
BgL_nodez00_1795 = 
(BgL_newz00_bglt)(BgL_nodez00_3850); 
BgL_callerz00_1796 = BgL_callerz00_3851; 
BgL_toz00_1797 = BgL_toz00_3852; 
BgL_auxz00_5143 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1795), 
(((BgL_newz00_bglt)CREF(BgL_nodez00_1795))->BgL_typez00), 
(BgL_typez00_bglt)(BgL_toz00_1797)); 
return 
(obj_t)(BgL_auxz00_5143);} } } 
}



/* coerce!-setfield2721 */
obj_t BGl_coercez12zd2setfield2721zc0zzcoerce_coercez00(obj_t BgL_envz00_3853, obj_t BgL_nodez00_3854, obj_t BgL_callerz00_3855, obj_t BgL_toz00_3856)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 120 */
{ 
BgL_setfieldz00_bglt BgL_nodez00_1777;obj_t BgL_callerz00_1778;obj_t BgL_toz00_1779;
{ /* Coerce/coerce.scm 121 */
BgL_nodez00_bglt BgL_auxz00_5150;
BgL_nodez00_1777 = 
(BgL_setfieldz00_bglt)(BgL_nodez00_3854); 
BgL_callerz00_1778 = BgL_callerz00_3855; 
BgL_toz00_1779 = BgL_toz00_3856; 
{ /* Coerce/coerce.scm 122 */
obj_t BgL_arg2845z00_1783;BgL_nodez00_bglt BgL_arg2846z00_1784;
BgL_arg2845z00_1783 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1777))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 122 */
BgL_nodez00_bglt BgL_res3004z00_2742;
{ /* Coerce/coerce.scm 122 */
BgL_nodez00_bglt BgL_nodez00_2714;BgL_typez00_bglt BgL_toz00_2716;
{ /* Coerce/coerce.scm 122 */
obj_t BgL_auxz00_5152;
{ /* Coerce/coerce.scm 122 */
obj_t BgL_auxz00_5153;
BgL_auxz00_5153 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1777))->BgL_exprza2za2); 
BgL_auxz00_5152 = 
CAR(BgL_auxz00_5153); } 
BgL_nodez00_2714 = 
(BgL_nodez00_bglt)(BgL_auxz00_5152); } 
BgL_toz00_2716 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 122 */
obj_t BgL_method2705z00_2717;
{ /* Coerce/coerce.scm 122 */
long BgL_objzd2classzd2numz00_2719;
{ /* Coerce/coerce.scm 122 */
BgL_objectz00_bglt BgL_auxz00_5158;
BgL_auxz00_5158 = 
(BgL_objectz00_bglt)(BgL_nodez00_2714); 
BgL_objzd2classzd2numz00_2719 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5158); } 
{ /* Coerce/coerce.scm 122 */
obj_t BgL_arg1221z00_2720;
{ /* Coerce/coerce.scm 122 */
int BgL_auxz00_5161;
BgL_auxz00_5161 = 
(int)(((long)1)); 
BgL_arg1221z00_2720 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5161); } 
{ /* Coerce/coerce.scm 122 */
long BgL_offsetz00_2724;
{ /* Coerce/coerce.scm 122 */
long BgL_auxz00_5164;
{ /* Coerce/coerce.scm 122 */
int BgL_auxz00_5165;
BgL_auxz00_5165 = 
(int)(BgL_objzd2classzd2numz00_2719); 
BgL_auxz00_5164 = 
(long)(BgL_auxz00_5165); } 
BgL_offsetz00_2724 = 
(BgL_auxz00_5164-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 122 */
long BgL_modz00_2725;
{ /* Coerce/coerce.scm 122 */
long BgL_auxz00_5169;
{ /* Coerce/coerce.scm 122 */
int BgL_auxz00_5170;
BgL_auxz00_5170 = 
(int)(((long)8)); 
BgL_auxz00_5169 = 
(long)(BgL_auxz00_5170); } 
BgL_modz00_2725 = 
(BgL_offsetz00_2724/BgL_auxz00_5169); } 
{ /* Coerce/coerce.scm 122 */
long BgL_restz00_2727;
{ /* Coerce/coerce.scm 122 */
long BgL_auxz00_5174;
{ /* Coerce/coerce.scm 122 */
int BgL_auxz00_5175;
BgL_auxz00_5175 = 
(int)(((long)8)); 
BgL_auxz00_5174 = 
(long)(BgL_auxz00_5175); } 
BgL_restz00_2727 = 
(BgL_offsetz00_2724%BgL_auxz00_5174); } 
{ /* Coerce/coerce.scm 122 */

{ /* Coerce/coerce.scm 122 */
obj_t BgL_bucketz00_2729;
{ /* Coerce/coerce.scm 122 */
int BgL_kz00_2739;
BgL_kz00_2739 = 
(int)(BgL_modz00_2725); 
BgL_bucketz00_2729 = 
VECTOR_REF(BgL_arg1221z00_2720,BgL_kz00_2739); } 
{ /* Coerce/coerce.scm 122 */
int BgL_kz00_2741;
BgL_kz00_2741 = 
(int)(BgL_restz00_2727); 
BgL_method2705z00_2717 = 
VECTOR_REF(BgL_bucketz00_2729,BgL_kz00_2741); } } } } } } } } 
{ /* Coerce/coerce.scm 122 */
obj_t BgL_auxz00_5183;
BgL_auxz00_5183 = 
PROCEDURE_ENTRY(BgL_method2705z00_2717)(BgL_method2705z00_2717, 
(obj_t)(BgL_nodez00_2714), BgL_callerz00_1778, 
(obj_t)(BgL_toz00_2716), BEOA); 
BgL_res3004z00_2742 = 
(BgL_nodez00_bglt)(BgL_auxz00_5183); } } } 
BgL_arg2846z00_1784 = BgL_res3004z00_2742; } 
{ /* Coerce/coerce.scm 122 */
obj_t BgL_auxz00_5189;
BgL_auxz00_5189 = 
(obj_t)(BgL_arg2846z00_1784); 
SET_CAR(BgL_arg2845z00_1783, BgL_auxz00_5189); } } 
{ /* Coerce/coerce.scm 123 */
obj_t BgL_arg2850z00_1787;BgL_nodez00_bglt BgL_arg2851z00_1788;
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5192;
BgL_auxz00_5192 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1777))->BgL_exprza2za2); 
BgL_arg2850z00_1787 = 
CDR(BgL_auxz00_5192); } 
{ /* Coerce/coerce.scm 123 */
BgL_typez00_bglt BgL_arg2854z00_1791;
BgL_arg2854z00_1791 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1777))->BgL_ftypez00); 
{ /* Coerce/coerce.scm 123 */
BgL_nodez00_bglt BgL_res3007z00_2781;
{ /* Coerce/coerce.scm 123 */
BgL_nodez00_bglt BgL_nodez00_2753;
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5196;
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5197;
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5198;
BgL_auxz00_5198 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1777))->BgL_exprza2za2); 
BgL_auxz00_5197 = 
CDR(BgL_auxz00_5198); } 
BgL_auxz00_5196 = 
CAR(BgL_auxz00_5197); } 
BgL_nodez00_2753 = 
(BgL_nodez00_bglt)(BgL_auxz00_5196); } 
{ /* Coerce/coerce.scm 123 */
obj_t BgL_method2705z00_2756;
{ /* Coerce/coerce.scm 123 */
long BgL_objzd2classzd2numz00_2758;
{ /* Coerce/coerce.scm 123 */
BgL_objectz00_bglt BgL_auxz00_5203;
BgL_auxz00_5203 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_objzd2classzd2numz00_2758 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5203); } 
{ /* Coerce/coerce.scm 123 */
obj_t BgL_arg1221z00_2759;
{ /* Coerce/coerce.scm 123 */
int BgL_auxz00_5206;
BgL_auxz00_5206 = 
(int)(((long)1)); 
BgL_arg1221z00_2759 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5206); } 
{ /* Coerce/coerce.scm 123 */
long BgL_offsetz00_2763;
{ /* Coerce/coerce.scm 123 */
long BgL_auxz00_5209;
{ /* Coerce/coerce.scm 123 */
int BgL_auxz00_5210;
BgL_auxz00_5210 = 
(int)(BgL_objzd2classzd2numz00_2758); 
BgL_auxz00_5209 = 
(long)(BgL_auxz00_5210); } 
BgL_offsetz00_2763 = 
(BgL_auxz00_5209-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 123 */
long BgL_modz00_2764;
{ /* Coerce/coerce.scm 123 */
long BgL_auxz00_5214;
{ /* Coerce/coerce.scm 123 */
int BgL_auxz00_5215;
BgL_auxz00_5215 = 
(int)(((long)8)); 
BgL_auxz00_5214 = 
(long)(BgL_auxz00_5215); } 
BgL_modz00_2764 = 
(BgL_offsetz00_2763/BgL_auxz00_5214); } 
{ /* Coerce/coerce.scm 123 */
long BgL_restz00_2766;
{ /* Coerce/coerce.scm 123 */
long BgL_auxz00_5219;
{ /* Coerce/coerce.scm 123 */
int BgL_auxz00_5220;
BgL_auxz00_5220 = 
(int)(((long)8)); 
BgL_auxz00_5219 = 
(long)(BgL_auxz00_5220); } 
BgL_restz00_2766 = 
(BgL_offsetz00_2763%BgL_auxz00_5219); } 
{ /* Coerce/coerce.scm 123 */

{ /* Coerce/coerce.scm 123 */
obj_t BgL_bucketz00_2768;
{ /* Coerce/coerce.scm 123 */
int BgL_kz00_2778;
BgL_kz00_2778 = 
(int)(BgL_modz00_2764); 
BgL_bucketz00_2768 = 
VECTOR_REF(BgL_arg1221z00_2759,BgL_kz00_2778); } 
{ /* Coerce/coerce.scm 123 */
int BgL_kz00_2780;
BgL_kz00_2780 = 
(int)(BgL_restz00_2766); 
BgL_method2705z00_2756 = 
VECTOR_REF(BgL_bucketz00_2768,BgL_kz00_2780); } } } } } } } } 
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5228;
BgL_auxz00_5228 = 
PROCEDURE_ENTRY(BgL_method2705z00_2756)(BgL_method2705z00_2756, 
(obj_t)(BgL_nodez00_2753), BgL_callerz00_1778, 
(obj_t)(BgL_arg2854z00_1791), BEOA); 
BgL_res3007z00_2781 = 
(BgL_nodez00_bglt)(BgL_auxz00_5228); } } } 
BgL_arg2851z00_1788 = BgL_res3007z00_2781; } } 
{ /* Coerce/coerce.scm 123 */
obj_t BgL_auxz00_5234;
BgL_auxz00_5234 = 
(obj_t)(BgL_arg2851z00_1788); 
SET_CAR(BgL_arg2850z00_1787, BgL_auxz00_5234); } } 
BgL_auxz00_5150 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1777), 
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1779)); 
return 
(obj_t)(BgL_auxz00_5150);} } } 
}



/* coerce!-getfield2719 */
obj_t BGl_coercez12zd2getfield2719zc0zzcoerce_coercez00(obj_t BgL_envz00_3857, obj_t BgL_nodez00_3858, obj_t BgL_callerz00_3859, obj_t BgL_toz00_3860)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 109 */
{ 
BgL_getfieldz00_bglt BgL_nodez00_1764;obj_t BgL_callerz00_1765;obj_t BgL_toz00_1766;
{ /* Coerce/coerce.scm 110 */
BgL_nodez00_bglt BgL_auxz00_5243;
BgL_nodez00_1764 = 
(BgL_getfieldz00_bglt)(BgL_nodez00_3858); 
BgL_callerz00_1765 = BgL_callerz00_3859; 
BgL_toz00_1766 = BgL_toz00_3860; 
{ /* Coerce/coerce.scm 114 */
obj_t BgL_arg2839z00_1770;BgL_nodez00_bglt BgL_arg2840z00_1771;
BgL_arg2839z00_1770 = 
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_1764))->BgL_exprza2za2); 
{ /* Coerce/coerce.scm 114 */
BgL_nodez00_bglt BgL_res3001z00_2707;
{ /* Coerce/coerce.scm 114 */
BgL_nodez00_bglt BgL_nodez00_2679;BgL_typez00_bglt BgL_toz00_2681;
{ /* Coerce/coerce.scm 114 */
obj_t BgL_auxz00_5245;
{ /* Coerce/coerce.scm 114 */
obj_t BgL_auxz00_5246;
BgL_auxz00_5246 = 
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_1764))->BgL_exprza2za2); 
BgL_auxz00_5245 = 
CAR(BgL_auxz00_5246); } 
BgL_nodez00_2679 = 
(BgL_nodez00_bglt)(BgL_auxz00_5245); } 
BgL_toz00_2681 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Coerce/coerce.scm 114 */
obj_t BgL_method2705z00_2682;
{ /* Coerce/coerce.scm 114 */
long BgL_objzd2classzd2numz00_2684;
{ /* Coerce/coerce.scm 114 */
BgL_objectz00_bglt BgL_auxz00_5251;
BgL_auxz00_5251 = 
(BgL_objectz00_bglt)(BgL_nodez00_2679); 
BgL_objzd2classzd2numz00_2684 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5251); } 
{ /* Coerce/coerce.scm 114 */
obj_t BgL_arg1221z00_2685;
{ /* Coerce/coerce.scm 114 */
int BgL_auxz00_5254;
BgL_auxz00_5254 = 
(int)(((long)1)); 
BgL_arg1221z00_2685 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5254); } 
{ /* Coerce/coerce.scm 114 */
long BgL_offsetz00_2689;
{ /* Coerce/coerce.scm 114 */
long BgL_auxz00_5257;
{ /* Coerce/coerce.scm 114 */
int BgL_auxz00_5258;
BgL_auxz00_5258 = 
(int)(BgL_objzd2classzd2numz00_2684); 
BgL_auxz00_5257 = 
(long)(BgL_auxz00_5258); } 
BgL_offsetz00_2689 = 
(BgL_auxz00_5257-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 114 */
long BgL_modz00_2690;
{ /* Coerce/coerce.scm 114 */
long BgL_auxz00_5262;
{ /* Coerce/coerce.scm 114 */
int BgL_auxz00_5263;
BgL_auxz00_5263 = 
(int)(((long)8)); 
BgL_auxz00_5262 = 
(long)(BgL_auxz00_5263); } 
BgL_modz00_2690 = 
(BgL_offsetz00_2689/BgL_auxz00_5262); } 
{ /* Coerce/coerce.scm 114 */
long BgL_restz00_2692;
{ /* Coerce/coerce.scm 114 */
long BgL_auxz00_5267;
{ /* Coerce/coerce.scm 114 */
int BgL_auxz00_5268;
BgL_auxz00_5268 = 
(int)(((long)8)); 
BgL_auxz00_5267 = 
(long)(BgL_auxz00_5268); } 
BgL_restz00_2692 = 
(BgL_offsetz00_2689%BgL_auxz00_5267); } 
{ /* Coerce/coerce.scm 114 */

{ /* Coerce/coerce.scm 114 */
obj_t BgL_bucketz00_2694;
{ /* Coerce/coerce.scm 114 */
int BgL_kz00_2704;
BgL_kz00_2704 = 
(int)(BgL_modz00_2690); 
BgL_bucketz00_2694 = 
VECTOR_REF(BgL_arg1221z00_2685,BgL_kz00_2704); } 
{ /* Coerce/coerce.scm 114 */
int BgL_kz00_2706;
BgL_kz00_2706 = 
(int)(BgL_restz00_2692); 
BgL_method2705z00_2682 = 
VECTOR_REF(BgL_bucketz00_2694,BgL_kz00_2706); } } } } } } } } 
{ /* Coerce/coerce.scm 114 */
obj_t BgL_auxz00_5276;
BgL_auxz00_5276 = 
PROCEDURE_ENTRY(BgL_method2705z00_2682)(BgL_method2705z00_2682, 
(obj_t)(BgL_nodez00_2679), BgL_callerz00_1765, 
(obj_t)(BgL_toz00_2681), BEOA); 
BgL_res3001z00_2707 = 
(BgL_nodez00_bglt)(BgL_auxz00_5276); } } } 
BgL_arg2840z00_1771 = BgL_res3001z00_2707; } 
{ /* Coerce/coerce.scm 114 */
obj_t BgL_auxz00_5282;
BgL_auxz00_5282 = 
(obj_t)(BgL_arg2840z00_1771); 
SET_CAR(BgL_arg2839z00_1770, BgL_auxz00_5282); } } 
BgL_auxz00_5243 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1764), 
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_1764))->BgL_ftypez00), 
(BgL_typez00_bglt)(BgL_toz00_1766)); 
return 
(obj_t)(BgL_auxz00_5243);} } } 
}



/* coerce!-extern2717 */
obj_t BGl_coercez12zd2extern2717zc0zzcoerce_coercez00(obj_t BgL_envz00_3861, obj_t BgL_nodez00_3862, obj_t BgL_callerz00_3863, obj_t BgL_toz00_3864)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 95 */
{ 
BgL_externz00_bglt BgL_nodez00_1746;obj_t BgL_callerz00_1747;obj_t BgL_toz00_1748;
{ /* Coerce/coerce.scm 96 */
BgL_nodez00_bglt BgL_auxz00_5291;
BgL_nodez00_1746 = 
(BgL_externz00_bglt)(BgL_nodez00_3862); 
BgL_callerz00_1747 = BgL_callerz00_3863; 
BgL_toz00_1748 = BgL_toz00_3864; 
{ 
obj_t BgL_valuesz00_1752;
BgL_valuesz00_1752 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1746))->BgL_exprza2za2); 
BgL_loopz00_1753:
if(
NULLP(BgL_valuesz00_1752))
{ /* Coerce/coerce.scm 99 */
BgL_typez00_bglt BgL_arg2832z00_1756;
BgL_arg2832z00_1756 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_1746)); 
BgL_auxz00_5291 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1746), BgL_arg2832z00_1756, 
(BgL_typez00_bglt)(BgL_toz00_1748)); }  else 
{ /* Coerce/coerce.scm 98 */
{ /* Coerce/coerce.scm 101 */
BgL_nodez00_bglt BgL_arg2833z00_1757;
{ /* Coerce/coerce.scm 101 */
obj_t BgL_arg2834z00_1758;BgL_typez00_bglt BgL_arg2835z00_1759;
BgL_arg2834z00_1758 = 
CAR(BgL_valuesz00_1752); 
{ /* Coerce/coerce.scm 103 */
BgL_nodez00_bglt BgL_auxz00_5300;
{ /* Coerce/coerce.scm 103 */
obj_t BgL_auxz00_5301;
BgL_auxz00_5301 = 
CAR(BgL_valuesz00_1752); 
BgL_auxz00_5300 = 
(BgL_nodez00_bglt)(BgL_auxz00_5301); } 
BgL_arg2835z00_1759 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_5300); } 
{ /* Coerce/coerce.scm 101 */
BgL_nodez00_bglt BgL_res2998z00_2672;
{ /* Coerce/coerce.scm 101 */
BgL_nodez00_bglt BgL_nodez00_2644;
BgL_nodez00_2644 = 
(BgL_nodez00_bglt)(BgL_arg2834z00_1758); 
{ /* Coerce/coerce.scm 101 */
obj_t BgL_method2705z00_2647;
{ /* Coerce/coerce.scm 101 */
long BgL_objzd2classzd2numz00_2649;
{ /* Coerce/coerce.scm 101 */
BgL_objectz00_bglt BgL_auxz00_5306;
BgL_auxz00_5306 = 
(BgL_objectz00_bglt)(BgL_nodez00_2644); 
BgL_objzd2classzd2numz00_2649 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5306); } 
{ /* Coerce/coerce.scm 101 */
obj_t BgL_arg1221z00_2650;
{ /* Coerce/coerce.scm 101 */
int BgL_auxz00_5309;
BgL_auxz00_5309 = 
(int)(((long)1)); 
BgL_arg1221z00_2650 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5309); } 
{ /* Coerce/coerce.scm 101 */
long BgL_offsetz00_2654;
{ /* Coerce/coerce.scm 101 */
long BgL_auxz00_5312;
{ /* Coerce/coerce.scm 101 */
int BgL_auxz00_5313;
BgL_auxz00_5313 = 
(int)(BgL_objzd2classzd2numz00_2649); 
BgL_auxz00_5312 = 
(long)(BgL_auxz00_5313); } 
BgL_offsetz00_2654 = 
(BgL_auxz00_5312-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 101 */
long BgL_modz00_2655;
{ /* Coerce/coerce.scm 101 */
long BgL_auxz00_5317;
{ /* Coerce/coerce.scm 101 */
int BgL_auxz00_5318;
BgL_auxz00_5318 = 
(int)(((long)8)); 
BgL_auxz00_5317 = 
(long)(BgL_auxz00_5318); } 
BgL_modz00_2655 = 
(BgL_offsetz00_2654/BgL_auxz00_5317); } 
{ /* Coerce/coerce.scm 101 */
long BgL_restz00_2657;
{ /* Coerce/coerce.scm 101 */
long BgL_auxz00_5322;
{ /* Coerce/coerce.scm 101 */
int BgL_auxz00_5323;
BgL_auxz00_5323 = 
(int)(((long)8)); 
BgL_auxz00_5322 = 
(long)(BgL_auxz00_5323); } 
BgL_restz00_2657 = 
(BgL_offsetz00_2654%BgL_auxz00_5322); } 
{ /* Coerce/coerce.scm 101 */

{ /* Coerce/coerce.scm 101 */
obj_t BgL_bucketz00_2659;
{ /* Coerce/coerce.scm 101 */
int BgL_kz00_2669;
BgL_kz00_2669 = 
(int)(BgL_modz00_2655); 
BgL_bucketz00_2659 = 
VECTOR_REF(BgL_arg1221z00_2650,BgL_kz00_2669); } 
{ /* Coerce/coerce.scm 101 */
int BgL_kz00_2671;
BgL_kz00_2671 = 
(int)(BgL_restz00_2657); 
BgL_method2705z00_2647 = 
VECTOR_REF(BgL_bucketz00_2659,BgL_kz00_2671); } } } } } } } } 
{ /* Coerce/coerce.scm 101 */
obj_t BgL_auxz00_5331;
BgL_auxz00_5331 = 
PROCEDURE_ENTRY(BgL_method2705z00_2647)(BgL_method2705z00_2647, 
(obj_t)(BgL_nodez00_2644), BgL_callerz00_1747, 
(obj_t)(BgL_arg2835z00_1759), BEOA); 
BgL_res2998z00_2672 = 
(BgL_nodez00_bglt)(BgL_auxz00_5331); } } } 
BgL_arg2833z00_1757 = BgL_res2998z00_2672; } } 
{ /* Coerce/coerce.scm 101 */
obj_t BgL_auxz00_5337;
BgL_auxz00_5337 = 
(obj_t)(BgL_arg2833z00_1757); 
SET_CAR(BgL_valuesz00_1752, BgL_auxz00_5337); } } 
{ 
obj_t BgL_valuesz00_5340;
BgL_valuesz00_5340 = 
CDR(BgL_valuesz00_1752); 
BgL_valuesz00_1752 = BgL_valuesz00_5340; 
goto BgL_loopz00_1753;} } } 
return 
(obj_t)(BgL_auxz00_5291);} } } 
}



/* coerce!-sequence2715 */
obj_t BGl_coercez12zd2sequence2715zc0zzcoerce_coercez00(obj_t BgL_envz00_3865, obj_t BgL_nodez00_3866, obj_t BgL_callerz00_3867, obj_t BgL_toz00_3868)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 79 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1726;obj_t BgL_callerz00_1727;obj_t BgL_toz00_1728;
{ /* Coerce/coerce.scm 80 */
BgL_sequencez00_bglt BgL_auxz00_5345;
BgL_nodez00_1726 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3866); 
BgL_callerz00_1727 = BgL_callerz00_3867; 
BgL_toz00_1728 = BgL_toz00_3868; 
{ 
obj_t BgL_hookz00_1732;
BgL_hookz00_1732 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1726))->BgL_nodesz00); 
BgL_loopz00_1733:
{ /* Coerce/coerce.scm 82 */
bool_t BgL_testz00_5346;
{ /* Coerce/coerce.scm 82 */
obj_t BgL_auxz00_5347;
BgL_auxz00_5347 = 
CDR(BgL_hookz00_1732); 
BgL_testz00_5346 = 
NULLP(BgL_auxz00_5347); } 
if(BgL_testz00_5346)
{ /* Coerce/coerce.scm 82 */
{ /* Coerce/coerce.scm 84 */
BgL_nodez00_bglt BgL_arg2821z00_1736;
{ /* Coerce/coerce.scm 84 */
BgL_nodez00_bglt BgL_res2992z00_2603;
{ /* Coerce/coerce.scm 84 */
BgL_nodez00_bglt BgL_nodez00_2575;BgL_typez00_bglt BgL_toz00_2577;
{ /* Coerce/coerce.scm 84 */
obj_t BgL_auxz00_5350;
BgL_auxz00_5350 = 
CAR(BgL_hookz00_1732); 
BgL_nodez00_2575 = 
(BgL_nodez00_bglt)(BgL_auxz00_5350); } 
BgL_toz00_2577 = 
(BgL_typez00_bglt)(BgL_toz00_1728); 
{ /* Coerce/coerce.scm 84 */
obj_t BgL_method2705z00_2578;
{ /* Coerce/coerce.scm 84 */
long BgL_objzd2classzd2numz00_2580;
{ /* Coerce/coerce.scm 84 */
BgL_objectz00_bglt BgL_auxz00_5354;
BgL_auxz00_5354 = 
(BgL_objectz00_bglt)(BgL_nodez00_2575); 
BgL_objzd2classzd2numz00_2580 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5354); } 
{ /* Coerce/coerce.scm 84 */
obj_t BgL_arg1221z00_2581;
{ /* Coerce/coerce.scm 84 */
int BgL_auxz00_5357;
BgL_auxz00_5357 = 
(int)(((long)1)); 
BgL_arg1221z00_2581 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5357); } 
{ /* Coerce/coerce.scm 84 */
long BgL_offsetz00_2585;
{ /* Coerce/coerce.scm 84 */
long BgL_auxz00_5360;
{ /* Coerce/coerce.scm 84 */
int BgL_auxz00_5361;
BgL_auxz00_5361 = 
(int)(BgL_objzd2classzd2numz00_2580); 
BgL_auxz00_5360 = 
(long)(BgL_auxz00_5361); } 
BgL_offsetz00_2585 = 
(BgL_auxz00_5360-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 84 */
long BgL_modz00_2586;
{ /* Coerce/coerce.scm 84 */
long BgL_auxz00_5365;
{ /* Coerce/coerce.scm 84 */
int BgL_auxz00_5366;
BgL_auxz00_5366 = 
(int)(((long)8)); 
BgL_auxz00_5365 = 
(long)(BgL_auxz00_5366); } 
BgL_modz00_2586 = 
(BgL_offsetz00_2585/BgL_auxz00_5365); } 
{ /* Coerce/coerce.scm 84 */
long BgL_restz00_2588;
{ /* Coerce/coerce.scm 84 */
long BgL_auxz00_5370;
{ /* Coerce/coerce.scm 84 */
int BgL_auxz00_5371;
BgL_auxz00_5371 = 
(int)(((long)8)); 
BgL_auxz00_5370 = 
(long)(BgL_auxz00_5371); } 
BgL_restz00_2588 = 
(BgL_offsetz00_2585%BgL_auxz00_5370); } 
{ /* Coerce/coerce.scm 84 */

{ /* Coerce/coerce.scm 84 */
obj_t BgL_bucketz00_2590;
{ /* Coerce/coerce.scm 84 */
int BgL_kz00_2600;
BgL_kz00_2600 = 
(int)(BgL_modz00_2586); 
BgL_bucketz00_2590 = 
VECTOR_REF(BgL_arg1221z00_2581,BgL_kz00_2600); } 
{ /* Coerce/coerce.scm 84 */
int BgL_kz00_2602;
BgL_kz00_2602 = 
(int)(BgL_restz00_2588); 
BgL_method2705z00_2578 = 
VECTOR_REF(BgL_bucketz00_2590,BgL_kz00_2602); } } } } } } } } 
{ /* Coerce/coerce.scm 84 */
obj_t BgL_auxz00_5379;
BgL_auxz00_5379 = 
PROCEDURE_ENTRY(BgL_method2705z00_2578)(BgL_method2705z00_2578, 
(obj_t)(BgL_nodez00_2575), BgL_callerz00_1727, 
(obj_t)(BgL_toz00_2577), BEOA); 
BgL_res2992z00_2603 = 
(BgL_nodez00_bglt)(BgL_auxz00_5379); } } } 
BgL_arg2821z00_1736 = BgL_res2992z00_2603; } 
{ /* Coerce/coerce.scm 84 */
obj_t BgL_auxz00_5385;
BgL_auxz00_5385 = 
(obj_t)(BgL_arg2821z00_1736); 
SET_CAR(BgL_hookz00_1732, BgL_auxz00_5385); } } 
BgL_auxz00_5345 = BgL_nodez00_1726; }  else 
{ /* Coerce/coerce.scm 82 */
{ /* Coerce/coerce.scm 89 */
BgL_nodez00_bglt BgL_arg2823z00_1738;
{ /* Coerce/coerce.scm 89 */
obj_t BgL_arg2824z00_1739;BgL_typez00_bglt BgL_arg2825z00_1740;
BgL_arg2824z00_1739 = 
CAR(BgL_hookz00_1732); 
{ /* Coerce/coerce.scm 89 */
BgL_nodez00_bglt BgL_auxz00_5389;
{ /* Coerce/coerce.scm 89 */
obj_t BgL_auxz00_5390;
BgL_auxz00_5390 = 
CAR(BgL_hookz00_1732); 
BgL_auxz00_5389 = 
(BgL_nodez00_bglt)(BgL_auxz00_5390); } 
BgL_arg2825z00_1740 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_5389); } 
{ /* Coerce/coerce.scm 89 */
BgL_nodez00_bglt BgL_res2995z00_2636;
{ /* Coerce/coerce.scm 89 */
BgL_nodez00_bglt BgL_nodez00_2608;
BgL_nodez00_2608 = 
(BgL_nodez00_bglt)(BgL_arg2824z00_1739); 
{ /* Coerce/coerce.scm 89 */
obj_t BgL_method2705z00_2611;
{ /* Coerce/coerce.scm 89 */
long BgL_objzd2classzd2numz00_2613;
{ /* Coerce/coerce.scm 89 */
BgL_objectz00_bglt BgL_auxz00_5395;
BgL_auxz00_5395 = 
(BgL_objectz00_bglt)(BgL_nodez00_2608); 
BgL_objzd2classzd2numz00_2613 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5395); } 
{ /* Coerce/coerce.scm 89 */
obj_t BgL_arg1221z00_2614;
{ /* Coerce/coerce.scm 89 */
int BgL_auxz00_5398;
BgL_auxz00_5398 = 
(int)(((long)1)); 
BgL_arg1221z00_2614 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5398); } 
{ /* Coerce/coerce.scm 89 */
long BgL_offsetz00_2618;
{ /* Coerce/coerce.scm 89 */
long BgL_auxz00_5401;
{ /* Coerce/coerce.scm 89 */
int BgL_auxz00_5402;
BgL_auxz00_5402 = 
(int)(BgL_objzd2classzd2numz00_2613); 
BgL_auxz00_5401 = 
(long)(BgL_auxz00_5402); } 
BgL_offsetz00_2618 = 
(BgL_auxz00_5401-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 89 */
long BgL_modz00_2619;
{ /* Coerce/coerce.scm 89 */
long BgL_auxz00_5406;
{ /* Coerce/coerce.scm 89 */
int BgL_auxz00_5407;
BgL_auxz00_5407 = 
(int)(((long)8)); 
BgL_auxz00_5406 = 
(long)(BgL_auxz00_5407); } 
BgL_modz00_2619 = 
(BgL_offsetz00_2618/BgL_auxz00_5406); } 
{ /* Coerce/coerce.scm 89 */
long BgL_restz00_2621;
{ /* Coerce/coerce.scm 89 */
long BgL_auxz00_5411;
{ /* Coerce/coerce.scm 89 */
int BgL_auxz00_5412;
BgL_auxz00_5412 = 
(int)(((long)8)); 
BgL_auxz00_5411 = 
(long)(BgL_auxz00_5412); } 
BgL_restz00_2621 = 
(BgL_offsetz00_2618%BgL_auxz00_5411); } 
{ /* Coerce/coerce.scm 89 */

{ /* Coerce/coerce.scm 89 */
obj_t BgL_bucketz00_2623;
{ /* Coerce/coerce.scm 89 */
int BgL_kz00_2633;
BgL_kz00_2633 = 
(int)(BgL_modz00_2619); 
BgL_bucketz00_2623 = 
VECTOR_REF(BgL_arg1221z00_2614,BgL_kz00_2633); } 
{ /* Coerce/coerce.scm 89 */
int BgL_kz00_2635;
BgL_kz00_2635 = 
(int)(BgL_restz00_2621); 
BgL_method2705z00_2611 = 
VECTOR_REF(BgL_bucketz00_2623,BgL_kz00_2635); } } } } } } } } 
{ /* Coerce/coerce.scm 89 */
obj_t BgL_auxz00_5420;
BgL_auxz00_5420 = 
PROCEDURE_ENTRY(BgL_method2705z00_2611)(BgL_method2705z00_2611, 
(obj_t)(BgL_nodez00_2608), BgL_callerz00_1727, 
(obj_t)(BgL_arg2825z00_1740), BEOA); 
BgL_res2995z00_2636 = 
(BgL_nodez00_bglt)(BgL_auxz00_5420); } } } 
BgL_arg2823z00_1738 = BgL_res2995z00_2636; } } 
{ /* Coerce/coerce.scm 89 */
obj_t BgL_auxz00_5426;
BgL_auxz00_5426 = 
(obj_t)(BgL_arg2823z00_1738); 
SET_CAR(BgL_hookz00_1732, BgL_auxz00_5426); } } 
{ 
obj_t BgL_hookz00_5429;
BgL_hookz00_5429 = 
CDR(BgL_hookz00_1732); 
BgL_hookz00_1732 = BgL_hookz00_5429; 
goto BgL_loopz00_1733;} } } } 
return 
(obj_t)(BgL_auxz00_5345);} } } 
}



/* coerce!-closure2713 */
obj_t BGl_coercez12zd2closure2713zc0zzcoerce_coercez00(obj_t BgL_envz00_3869, obj_t BgL_nodez00_3870, obj_t BgL_callerz00_3871, obj_t BgL_toz00_3872)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 73 */
{ 
BgL_closurez00_bglt BgL_nodez00_1716;obj_t BgL_callerz00_1717;obj_t BgL_toz00_1718;
BgL_nodez00_1716 = 
(BgL_closurez00_bglt)(BgL_nodez00_3870); 
BgL_callerz00_1717 = BgL_callerz00_3871; 
BgL_toz00_1718 = BgL_toz00_3872; 
{ /* Coerce/coerce.scm 74 */
obj_t BgL_arg2817z00_2570;
BgL_arg2817z00_2570 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1716)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3116z00zzcoerce_coercez00, BGl_string3117z00zzcoerce_coercez00, BgL_arg2817z00_2570);} } } 
}



/* coerce!-var2711 */
obj_t BGl_coercez12zd2var2711zc0zzcoerce_coercez00(obj_t BgL_envz00_3873, obj_t BgL_nodez00_3874, obj_t BgL_callerz00_3875, obj_t BgL_toz00_3876)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 65 */
{ 
BgL_varz00_bglt BgL_nodez00_1707;obj_t BgL_callerz00_1708;obj_t BgL_toz00_1709;
{ /* Coerce/coerce.scm 67 */
BgL_nodez00_bglt BgL_auxz00_5438;
BgL_nodez00_1707 = 
(BgL_varz00_bglt)(BgL_nodez00_3874); 
BgL_callerz00_1708 = BgL_callerz00_3875; 
BgL_toz00_1709 = BgL_toz00_3876; 
{ /* Coerce/coerce.scm 67 */
BgL_typez00_bglt BgL_typez00_2567;
BgL_typez00_2567 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_1707)); 
BgL_auxz00_5438 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1707), BgL_typez00_2567, 
(BgL_typez00_bglt)(BgL_toz00_1709)); } 
return 
(obj_t)(BgL_auxz00_5438);} } } 
}



/* coerce!-kwote2709 */
obj_t BGl_coercez12zd2kwote2709zc0zzcoerce_coercez00(obj_t BgL_envz00_3877, obj_t BgL_nodez00_3878, obj_t BgL_callerz00_3879, obj_t BgL_toz00_3880)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 59 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1699;obj_t BgL_callerz00_1700;obj_t BgL_toz00_1701;
{ /* Coerce/coerce.scm 60 */
BgL_nodez00_bglt BgL_auxz00_5446;
BgL_nodez00_1699 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3878); 
BgL_callerz00_1700 = BgL_callerz00_3879; 
BgL_toz00_1701 = BgL_toz00_3880; 
{ /* Coerce/coerce.scm 60 */
BgL_typez00_bglt BgL_arg2812z00_2566;
BgL_arg2812z00_2566 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_1699)); 
BgL_auxz00_5446 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1699), BgL_arg2812z00_2566, 
(BgL_typez00_bglt)(BgL_toz00_1701)); } 
return 
(obj_t)(BgL_auxz00_5446);} } } 
}



/* coerce!-atom2707 */
obj_t BGl_coercez12zd2atom2707zc0zzcoerce_coercez00(obj_t BgL_envz00_3881, obj_t BgL_nodez00_3882, obj_t BgL_callerz00_3883, obj_t BgL_toz00_3884)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 53 */
{ 
BgL_atomz00_bglt BgL_nodez00_1691;obj_t BgL_callerz00_1692;obj_t BgL_toz00_1693;
{ /* Coerce/coerce.scm 54 */
BgL_nodez00_bglt BgL_auxz00_5454;
BgL_nodez00_1691 = 
(BgL_atomz00_bglt)(BgL_nodez00_3882); 
BgL_callerz00_1692 = BgL_callerz00_3883; 
BgL_toz00_1693 = BgL_toz00_3884; 
{ /* Coerce/coerce.scm 54 */
BgL_typez00_bglt BgL_arg2810z00_2565;
BgL_arg2810z00_2565 = 
BGl_typeofz00zzcoerce_typeofz00(
(BgL_nodez00_bglt)(BgL_nodez00_1691)); 
BgL_auxz00_5454 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1691), BgL_arg2810z00_2565, 
(BgL_typez00_bglt)(BgL_toz00_1693)); } 
return 
(obj_t)(BgL_auxz00_5454);} } } 
}



/* coerce! */
BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_2, obj_t BgL_callerz00_3, BgL_typez00_bglt BgL_toz00_4)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 48 */
{ /* Coerce/coerce.scm 48 */
obj_t BgL_method2705z00_3726;
{ /* Coerce/coerce.scm 48 */
long BgL_objzd2classzd2numz00_3728;
{ /* Coerce/coerce.scm 48 */
BgL_objectz00_bglt BgL_auxz00_5462;
BgL_auxz00_5462 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3728 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5462); } 
{ /* Coerce/coerce.scm 48 */
obj_t BgL_arg1221z00_3729;
{ /* Coerce/coerce.scm 48 */
int BgL_auxz00_5465;
BgL_auxz00_5465 = 
(int)(((long)1)); 
BgL_arg1221z00_3729 = 
PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00, BgL_auxz00_5465); } 
{ /* Coerce/coerce.scm 48 */
long BgL_offsetz00_3733;
{ /* Coerce/coerce.scm 48 */
long BgL_auxz00_5468;
{ /* Coerce/coerce.scm 48 */
int BgL_auxz00_5469;
BgL_auxz00_5469 = 
(int)(BgL_objzd2classzd2numz00_3728); 
BgL_auxz00_5468 = 
(long)(BgL_auxz00_5469); } 
BgL_offsetz00_3733 = 
(BgL_auxz00_5468-OBJECT_TYPE); } 
{ /* Coerce/coerce.scm 48 */
long BgL_modz00_3734;
{ /* Coerce/coerce.scm 48 */
long BgL_auxz00_5473;
{ /* Coerce/coerce.scm 48 */
int BgL_auxz00_5474;
BgL_auxz00_5474 = 
(int)(((long)8)); 
BgL_auxz00_5473 = 
(long)(BgL_auxz00_5474); } 
BgL_modz00_3734 = 
(BgL_offsetz00_3733/BgL_auxz00_5473); } 
{ /* Coerce/coerce.scm 48 */
long BgL_restz00_3736;
{ /* Coerce/coerce.scm 48 */
long BgL_auxz00_5478;
{ /* Coerce/coerce.scm 48 */
int BgL_auxz00_5479;
BgL_auxz00_5479 = 
(int)(((long)8)); 
BgL_auxz00_5478 = 
(long)(BgL_auxz00_5479); } 
BgL_restz00_3736 = 
(BgL_offsetz00_3733%BgL_auxz00_5478); } 
{ /* Coerce/coerce.scm 48 */

{ /* Coerce/coerce.scm 48 */
obj_t BgL_bucketz00_3738;
{ /* Coerce/coerce.scm 48 */
int BgL_kz00_3748;
BgL_kz00_3748 = 
(int)(BgL_modz00_3734); 
BgL_bucketz00_3738 = 
VECTOR_REF(BgL_arg1221z00_3729,BgL_kz00_3748); } 
{ /* Coerce/coerce.scm 48 */
int BgL_kz00_3750;
BgL_kz00_3750 = 
(int)(BgL_restz00_3736); 
BgL_method2705z00_3726 = 
VECTOR_REF(BgL_bucketz00_3738,BgL_kz00_3750); } } } } } } } } 
{ /* Coerce/coerce.scm 48 */
obj_t BgL_auxz00_5487;
BgL_auxz00_5487 = 
PROCEDURE_ENTRY(BgL_method2705z00_3726)(BgL_method2705z00_3726, 
(obj_t)(BgL_nodez00_2), BgL_callerz00_3, 
(obj_t)(BgL_toz00_4), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5487);} } } 
}



/* _coerce! */
obj_t BGl__coercez12z12zzcoerce_coercez00(obj_t BgL_envz00_3756, obj_t BgL_nodez00_3757, obj_t BgL_callerz00_3758, obj_t BgL_toz00_3759)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 48 */
{ /* Coerce/coerce.scm 48 */
BgL_nodez00_bglt BgL_auxz00_5493;
BgL_auxz00_5493 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_nodez00_3757), BgL_callerz00_3758, 
(BgL_typez00_bglt)(BgL_toz00_3759)); 
return 
(obj_t)(BgL_auxz00_5493);} } 
}



/* coerce!-default2704 */
BgL_nodez00_bglt BGl_coercez12zd2default2704zc0zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
{ 
obj_t BgL_auxz00_5500;obj_t BgL_auxz00_5498;
BgL_auxz00_5500 = 
(obj_t)(BgL_nodez00_5); 
BgL_auxz00_5498 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_5498,BGl_string3118z00zzcoerce_coercez00,BgL_auxz00_5500);} } 
}



/* _coerce!-default2704 */
obj_t BGl__coercez12zd2default2704zc0zzcoerce_coercez00(obj_t BgL_envz00_3885, obj_t BgL_nodez00_3886, obj_t BgL_callerz00_3887, obj_t BgL_toz00_3888)
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
{ /* Coerce/coerce.scm 15 */
BgL_nodez00_bglt BgL_auxz00_5503;
BgL_auxz00_5503 = 
BGl_coercez12zd2default2704zc0zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_nodez00_3886), BgL_callerz00_3887, 
(BgL_typez00_bglt)(BgL_toz00_3888)); 
return 
(obj_t)(BgL_auxz00_5503);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
{ AN_OBJECT;
{ /* Coerce/coerce.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zztype_coercionz00(((long)58068), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long)37727), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long)24062), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long)34430), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long)9729), "coerce_coerce"); 
BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long)12194), "coerce_coerce"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "coerce_coerce");} 
}

