/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_localzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_localzf2fromzf2_bglt;

typedef struct BgL_globalzf2fromzf2_bgl {
   obj_t BgL_fromz00;
} *BgL_globalzf2fromzf2_bglt;


static obj_t BGl_savezd2callz12zd2globalzf2from2883ze0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
static obj_t BGl_callzd2graphz12zd2jumpzd2exzd2it2871z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl_savezd2callz12zd2localzf2from2887ze0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_callzd2graphz12zd2fail2861z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_savezd2callz12zd2local2885z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_localzf2fromzf2_bglt BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
extern bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
extern BgL_globalzf2fromzf2_bglt BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl__allocatezd2globalzf2fromz20zzeffect_cgraphz00(obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl__callzd2graphz12zd2default2842z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl__localzf2fromzd2fromz20zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_callzd2graphz12zd2sequence2845z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
static obj_t BGl_objectzd2ze3structzd2globalzf2from2889z11zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_callzd2graphz12zd2app2847z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern BgL_globalzf2fromzf2_bglt BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t);
static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
static obj_t BGl_objectzd2ze3structzd2localzf2from2893z11zzeffect_cgraphz00(obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(obj_t);
static obj_t BGl__getzd2varzf2allz20zzeffect_cgraphz00(obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzf2fromzf3z01zzeffect_cgraphz00(obj_t, obj_t);
extern BgL_localzf2fromzf2_bglt BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt, obj_t);
static obj_t BGl_callzd2graphz12zd2funcall2851z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_callzd2graphz12zd2setzd2exzd2it2869z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_callzd2graphz12zd2letzd2fun2865zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_callzd2graphz12zd2setq2857z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl__callzd2graphz12zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static obj_t BGl__allocatezd2localzf2fromz20zzeffect_cgraphz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern BgL_localz00_bglt BGl_allocatezd2localzf2fromz20zzeffect_cgraphz00();
static obj_t BGl_callzd2graphz12zd2select2863z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt);
extern bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
static obj_t BGl_callzd2graphz12zd2letzd2var2867zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl__globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_callzd2graphz12zd2makezd2box2873zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern BgL_localzf2fromzf2_bglt BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t);
static obj_t BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl__makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt, BgL_variablez00_bglt);
static obj_t BGl__savezd2callz12zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_callzd2graphz12zd2default2842z12zzeffect_cgraphz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_structzb2objectzd2ze3objectzd2localzf2from2895za3zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_callzd2graphz12zd2cast2855z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_allocatezd2globalzf2fromz20zzeffect_cgraphz00();
extern obj_t BGl_localz00zzast_varz00;
obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
extern obj_t BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
static obj_t BGl__localzf2fromzf3z01zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt, obj_t);
static obj_t BGl_savezd2callz12zd2default2878z12zzeffect_cgraphz00(BgL_variablez00_bglt, BgL_variablez00_bglt);
obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
static obj_t BGl__savezd2callz12zd2default2878z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt, obj_t);
static obj_t BGl_callzd2graphz12zd2boxzd2setz122877zd2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
static obj_t BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(obj_t);
extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
static obj_t BGl__globalzf2fromzd2fromz20zzeffect_cgraphz00(obj_t, obj_t);
static obj_t BGl_savezd2callz12zd2global2881z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
static obj_t BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt);
static obj_t BGl_callzd2graphz12zd2extern2853z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t BGl_callzd2graphz12zd2boxzd2ref2875zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_structzb2objectzd2ze3objectzd2globalzf2from2891za3zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_callzd2graphz12zd2conditional2859z12zzeffect_cgraphz00(obj_t, obj_t, obj_t);
extern BgL_globalzf2fromzf2_bglt BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt, obj_t);
static obj_t BGl_callzd2graphz12zd2appzd2ly2849zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_STATIC_PROCEDURE( BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__localza7f2fromza7d2fromza720za7za7effect_cgraphza7003198z00, BGl__localzf2fromzd2fromz20zzeffect_cgraphz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__globalza7f2fromza7d2fromza720za7za7effect_cgraphza7003199z00, BGl__globalzf2fromzd2fromz20zzeffect_cgraphz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00, BgL_bgl__getza7d2varza7f2allza720za7za7effect_cgraphza7003200z00, BGl__getzd2varzf2allz20zzeffect_cgraphz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BgL_bgl__resetza7d2effectza7d2tablesza712za712za7za7effect_cgraphza7003201za7, BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00, BgL_bgl__getza7d2varza7f2sideza7d2effectza7f2za7za7effect_cgraphza7003202za7, BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00, 0L, 0 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00, BgL_bgl__localza7f2fromza7d2fromza7d2setza712za7e0za7za7effect_cgraphza7003203z00, BGl__localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00, BgL_bgl__localza7f2fromza7f3za701za7za7effect_cgraphza7003204z00, BGl__localzf2fromzf3z01zzeffect_cgraphz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2globalzf2fromz12zd2envze0zzeffect_cgraphz00, BgL_bgl__fillza7d2globalza7f2fromza712za732za7za7effect_cgraphza7003205za7, BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2localzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__wideningza7d2localza7f2fromza720za7za7effect_cgraphza7003206z00, BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__makeza7d2globalza7f2fromza720za7za7effect_cgraphza7003207z00, BGl__makezd2globalzf2fromz20zzeffect_cgraphz00, 0L, 17 );
DEFINE_STATIC_GENERIC( BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BgL_bgl__saveza7d2callza712za7c0za7za7effect_cgraphza7003208z00, BGl__savezd2callz12zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_GENERIC( BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_bgl__callza7d2graphza712za7c0za7za7effect_cgraphza7003209z00, BGl__callzd2graphz12zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3167z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2sequence2845za712za7za7effect_cgraphza7003210za7, BGl_callzd2graphz12zd2sequence2845z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3168z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2app2847za712za7za7effect_cgraphza7003211za7, BGl_callzd2graphz12zd2app2847z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3170z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2funcall2851za712za7za7effect_cgraphza7003212za7, BGl_callzd2graphz12zd2funcall2851z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3169z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2appza7d2ly2849za7c0za7za7effect_cgraphza7003213z00, BGl_callzd2graphz12zd2appzd2ly2849zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3171z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2extern2853za712za7za7effect_cgraphza7003214za7, BGl_callzd2graphz12zd2extern2853z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3172z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2cast2855za712za7za7effect_cgraphza7003215za7, BGl_callzd2graphz12zd2cast2855z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3173z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2setq2857za712za7za7effect_cgraphza7003216za7, BGl_callzd2graphz12zd2setq2857z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3174z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2conditional2859za712za7za7effect_cgraphza7003217za7, BGl_callzd2graphz12zd2conditional2859z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3175z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2fail2861za712za7za7effect_cgraphza7003218za7, BGl_callzd2graphz12zd2fail2861z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3176z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2select2863za712za7za7effect_cgraphza7003219za7, BGl_callzd2graphz12zd2select2863z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3177z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2letza7d2fun2865za7c0za7za7effect_cgraphza7003220z00, BGl_callzd2graphz12zd2letzd2fun2865zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STRING( BGl_string3193z00zzeffect_cgraphz00, BgL_bgl_string3193za700za7za7effect_cgraphza7003221z00, "save-call!-default2878 done import global/from from local/from nothing ", 71 );
DEFINE_STATIC_PROCEDURE( BGl_proc3178z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2letza7d2var2867za7c0za7za7effect_cgraphza7003222z00, BGl_callzd2graphz12zd2letzd2var2867zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STRING( BGl_string3192z00zzeffect_cgraphz00, BgL_bgl_string3192za700za7za7effect_cgraphza7003223z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3180z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2jumpza7d2exza7d2it2871za712za7za7effect_cgraphza7003224za7, BGl_callzd2graphz12zd2jumpzd2exzd2it2871z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3179z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2setza7d2exza7d2it2869za712za7za7effect_cgraphza7003225za7, BGl_callzd2graphz12zd2setzd2exzd2it2869z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3181z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2makeza7d2box2873za7c0za7za7effect_cgraphza7003226z00, BGl_callzd2graphz12zd2makezd2box2873zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3182z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2boxza7d2ref2875za7c0za7za7effect_cgraphza7003227z00, BGl_callzd2graphz12zd2boxzd2ref2875zc0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3183z00zzeffect_cgraphz00, BgL_bgl_callza7d2graphza712za7d2boxza7d2setza7122877za7d2za7za7effect_cgraphza7003228za7, BGl_callzd2graphz12zd2boxzd2setz122877zd2zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3184z00zzeffect_cgraphz00, BgL_bgl_saveza7d2callza712za7d2global2881za712za7za7effect_cgraphza7003229za7, BGl_savezd2callz12zd2global2881z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3185z00zzeffect_cgraphz00, BgL_bgl_saveza7d2callza712za7d2globalza7f2from2883za7e0za7za7effect_cgraphza7003230z00, BGl_savezd2callz12zd2globalzf2from2883ze0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3186z00zzeffect_cgraphz00, BgL_bgl_saveza7d2callza712za7d2local2885za712za7za7effect_cgraphza7003231za7, BGl_savezd2callz12zd2local2885z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3187z00zzeffect_cgraphz00, BgL_bgl_saveza7d2callza712za7d2localza7f2from2887za7e0za7za7effect_cgraphza7003232z00, BGl_savezd2callz12zd2localzf2from2887ze0zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3188z00zzeffect_cgraphz00, BgL_bgl_objectza7d2za7e3structza7d2globalza7f2from2889za711za7za7effect_cgraphza7003233z00, BGl_objectzd2ze3structzd2globalzf2from2889z11zzeffect_cgraphz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3190z00zzeffect_cgraphz00, BgL_bgl_objectza7d2za7e3structza7d2localza7f2from2893za711za7za7effect_cgraphza7003234z00, BGl_objectzd2ze3structzd2localzf2from2893z11zzeffect_cgraphz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3189z00zzeffect_cgraphz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2globalza7f2from2891za7a3za7za7effect_cgraphza7003235za7, BGl_structzb2objectzd2ze3objectzd2globalzf2from2891za3zzeffect_cgraphz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3191z00zzeffect_cgraphz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2localza7f2from2895za7a3za7za7effect_cgraphza7003236za7, BGl_structzb2objectzd2ze3objectzd2localzf2from2895za3zzeffect_cgraphz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2globalzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__wideningza7d2globalza7f2fromza720za7za7effect_cgraphza7003237z00, BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00, BgL_bgl__funza7d2callza7d2graphza712za712za7za7effect_cgraphza7003238za7, BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__makeza7d2localza7f2fromza720za7za7effect_cgraphza7003239z00, BGl__makezd2localzf2fromz20zzeffect_cgraphz00, 0L, 11 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2localzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__allocateza7d2localza7f2fromza720za7za7effect_cgraphza7003240z00, BGl__allocatezd2localzf2fromz20zzeffect_cgraphz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2globalzf2fromzd2envzf2zzeffect_cgraphz00, BgL_bgl__allocateza7d2globalza7f2fromza720za7za7effect_cgraphza7003241z00, BGl__allocatezd2globalzf2fromz20zzeffect_cgraphz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_savezd2callz12zd2default2878zd2envzc0zzeffect_cgraphz00, BgL_bgl__saveza7d2callza712za7d2default2878za712za7za7effect_cgraphza7003242za7, BGl__savezd2callz12zd2default2878z12zzeffect_cgraphz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00, BgL_bgl__globalza7f2fromza7f3za701za7za7effect_cgraphza7003243z00, BGl__globalzf2fromzf3z01zzeffect_cgraphz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_callzd2graphz12zd2default2842zd2envzc0zzeffect_cgraphz00, BgL_bgl__callza7d2graphza712za7d2default2842za712za7za7effect_cgraphza7003244za7, BGl__callzd2graphz12zd2default2842z12zzeffect_cgraphz00, 0L, 2 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00, BgL_bgl__globalza7f2fromza7d2fromza7d2setza712za7e0za7za7effect_cgraphza7003245z00, BGl__globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2localzf2fromz12zd2envze0zzeffect_cgraphz00, BgL_bgl__fillza7d2localza7f2fromza712za732za7za7effect_cgraphza7003246za7, BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long BgL_checksumz00_3970, char * BgL_fromz00_3971)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00(); 
BGl_cnstzd2initzd2zzeffect_cgraphz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00(); 
BGl_objectzd2initzd2zzeffect_cgraphz00(); 
BGl_methodzd2initzd2zzeffect_cgraphz00(); 
BGl_toplevelzd2initzd2zzeffect_cgraphz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "effect_cgraph"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
{ /* Effect/cgraph.scm 15 */
obj_t BgL_cportz00_3963;
BgL_cportz00_3963 = 
open_input_string(BGl_string3193z00zzeffect_cgraphz00); 
{ 
long BgL_iz00_3964;
BgL_iz00_3964 = ((long)6); 
BgL_loopz00_3965:
if(
(BgL_iz00_3964==((long)-1)))
{ /* Effect/cgraph.scm 15 */
return BUNSPEC;}  else 
{ /* Effect/cgraph.scm 15 */
{ /* Effect/cgraph.scm 15 */
obj_t BgL_arg3195z00_3967;
{ /* Effect/cgraph.scm 15 */
obj_t BgL_list3196z00_3968;
BgL_list3196z00_3968 = 
MAKE_PAIR(BgL_cportz00_3963, BNIL); 
BgL_arg3195z00_3967 = 
BGl_readz00zz__readerz00(BgL_list3196z00_3968); } 
{ /* Effect/cgraph.scm 15 */
int BgL_auxz00_3989;
BgL_auxz00_3989 = 
(int)(BgL_iz00_3964); 
CNST_TABLE_SET(BgL_auxz00_3989, BgL_arg3195z00_3967); } } 
{ 
long BgL_iz00_3992;
{ /* Effect/cgraph.scm 15 */
int BgL_auxz00_3993;
{ /* Effect/cgraph.scm 15 */
long BgL_auxz00_3994;
BgL_auxz00_3994 = 
(BgL_iz00_3964-((long)1)); 
BgL_auxz00_3993 = 
(int)(BgL_auxz00_3994); } 
BgL_iz00_3992 = 
(long)(BgL_auxz00_3993); } 
BgL_iz00_3964 = BgL_iz00_3992; 
goto BgL_loopz00_3965;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL; 
return ( 
BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC) ;} 
}



/* fun-call-graph! */
obj_t BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt BgL_variablez00_1)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 30 */
{ /* Effect/cgraph.scm 31 */
obj_t BgL_auxz00_3998;
BgL_auxz00_3998 = 
(obj_t)(BgL_variablez00_1); 
BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = 
MAKE_PAIR(BgL_auxz00_3998, BGl_za2varzf2allza2zf2zzeffect_cgraphz00); } 
{ /* Effect/cgraph.scm 32 */
BgL_nodez00_bglt BgL_nodez00_2095;
{ /* Effect/cgraph.scm 32 */
obj_t BgL_auxz00_4001;
{ /* Effect/cgraph.scm 32 */
BgL_sfunz00_bglt BgL_obj1372z00_2094;
{ /* Effect/cgraph.scm 32 */
BgL_valuez00_bglt BgL_auxz00_4002;
BgL_auxz00_4002 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1))->BgL_valuez00); 
BgL_obj1372z00_2094 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4002); } 
BgL_auxz00_4001 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2094))->BgL_bodyz00); } 
BgL_nodez00_2095 = 
(BgL_nodez00_bglt)(BgL_auxz00_4001); } 
{ /* Effect/cgraph.scm 32 */
obj_t BgL_method2843z00_2097;
{ /* Effect/cgraph.scm 32 */
long BgL_objzd2classzd2numz00_2099;
{ /* Effect/cgraph.scm 32 */
BgL_objectz00_bglt BgL_auxz00_4007;
BgL_auxz00_4007 = 
(BgL_objectz00_bglt)(BgL_nodez00_2095); 
BgL_objzd2classzd2numz00_2099 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4007); } 
{ /* Effect/cgraph.scm 32 */
obj_t BgL_arg1221z00_2100;
{ /* Effect/cgraph.scm 32 */
int BgL_auxz00_4010;
BgL_auxz00_4010 = 
(int)(((long)1)); 
BgL_arg1221z00_2100 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4010); } 
{ /* Effect/cgraph.scm 32 */
long BgL_offsetz00_2104;
{ /* Effect/cgraph.scm 32 */
long BgL_auxz00_4013;
{ /* Effect/cgraph.scm 32 */
int BgL_auxz00_4014;
BgL_auxz00_4014 = 
(int)(BgL_objzd2classzd2numz00_2099); 
BgL_auxz00_4013 = 
(long)(BgL_auxz00_4014); } 
BgL_offsetz00_2104 = 
(BgL_auxz00_4013-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 32 */
long BgL_modz00_2105;
{ /* Effect/cgraph.scm 32 */
long BgL_auxz00_4018;
{ /* Effect/cgraph.scm 32 */
int BgL_auxz00_4019;
BgL_auxz00_4019 = 
(int)(((long)8)); 
BgL_auxz00_4018 = 
(long)(BgL_auxz00_4019); } 
BgL_modz00_2105 = 
(BgL_offsetz00_2104/BgL_auxz00_4018); } 
{ /* Effect/cgraph.scm 32 */
long BgL_restz00_2107;
{ /* Effect/cgraph.scm 32 */
long BgL_auxz00_4023;
{ /* Effect/cgraph.scm 32 */
int BgL_auxz00_4024;
BgL_auxz00_4024 = 
(int)(((long)8)); 
BgL_auxz00_4023 = 
(long)(BgL_auxz00_4024); } 
BgL_restz00_2107 = 
(BgL_offsetz00_2104%BgL_auxz00_4023); } 
{ /* Effect/cgraph.scm 32 */

{ /* Effect/cgraph.scm 32 */
obj_t BgL_bucketz00_2109;
{ /* Effect/cgraph.scm 32 */
int BgL_kz00_2119;
BgL_kz00_2119 = 
(int)(BgL_modz00_2105); 
BgL_bucketz00_2109 = 
VECTOR_REF(BgL_arg1221z00_2100,BgL_kz00_2119); } 
{ /* Effect/cgraph.scm 32 */
int BgL_kz00_2121;
BgL_kz00_2121 = 
(int)(BgL_restz00_2107); 
BgL_method2843z00_2097 = 
VECTOR_REF(BgL_bucketz00_2109,BgL_kz00_2121); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_2097)(BgL_method2843z00_2097, 
(obj_t)(BgL_nodez00_2095), 
(obj_t)(BgL_variablez00_1), BEOA);} } } 
}



/* _fun-call-graph! */
obj_t BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00(obj_t BgL_envz00_3787, obj_t BgL_variablez00_3788)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 30 */
return 
BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_variablez00_3788));} 
}



/* call-graph*! */
bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_40, obj_t BgL_ownerz00_41)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 197 */
{ 
obj_t BgL_l2831z00_1396;
BgL_l2831z00_1396 = BgL_nodeza2za2_40; 
BgL_lname2832z00_1397:
if(
PAIRP(BgL_l2831z00_1396))
{ /* Effect/cgraph.scm 198 */
{ /* Effect/cgraph.scm 198 */
BgL_nodez00_bglt BgL_nodez00_2124;BgL_variablez00_bglt BgL_ownerz00_2125;
{ /* Effect/cgraph.scm 198 */
obj_t BgL_auxz00_4040;
BgL_auxz00_4040 = 
CAR(BgL_l2831z00_1396); 
BgL_nodez00_2124 = 
(BgL_nodez00_bglt)(BgL_auxz00_4040); } 
BgL_ownerz00_2125 = 
(BgL_variablez00_bglt)(BgL_ownerz00_41); 
{ /* Effect/cgraph.scm 198 */
obj_t BgL_method2843z00_2126;
{ /* Effect/cgraph.scm 198 */
long BgL_objzd2classzd2numz00_2128;
{ /* Effect/cgraph.scm 198 */
BgL_objectz00_bglt BgL_auxz00_4044;
BgL_auxz00_4044 = 
(BgL_objectz00_bglt)(BgL_nodez00_2124); 
BgL_objzd2classzd2numz00_2128 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4044); } 
{ /* Effect/cgraph.scm 198 */
obj_t BgL_arg1221z00_2129;
{ /* Effect/cgraph.scm 198 */
int BgL_auxz00_4047;
BgL_auxz00_4047 = 
(int)(((long)1)); 
BgL_arg1221z00_2129 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4047); } 
{ /* Effect/cgraph.scm 198 */
long BgL_offsetz00_2133;
{ /* Effect/cgraph.scm 198 */
long BgL_auxz00_4050;
{ /* Effect/cgraph.scm 198 */
int BgL_auxz00_4051;
BgL_auxz00_4051 = 
(int)(BgL_objzd2classzd2numz00_2128); 
BgL_auxz00_4050 = 
(long)(BgL_auxz00_4051); } 
BgL_offsetz00_2133 = 
(BgL_auxz00_4050-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 198 */
long BgL_modz00_2134;
{ /* Effect/cgraph.scm 198 */
long BgL_auxz00_4055;
{ /* Effect/cgraph.scm 198 */
int BgL_auxz00_4056;
BgL_auxz00_4056 = 
(int)(((long)8)); 
BgL_auxz00_4055 = 
(long)(BgL_auxz00_4056); } 
BgL_modz00_2134 = 
(BgL_offsetz00_2133/BgL_auxz00_4055); } 
{ /* Effect/cgraph.scm 198 */
long BgL_restz00_2136;
{ /* Effect/cgraph.scm 198 */
long BgL_auxz00_4060;
{ /* Effect/cgraph.scm 198 */
int BgL_auxz00_4061;
BgL_auxz00_4061 = 
(int)(((long)8)); 
BgL_auxz00_4060 = 
(long)(BgL_auxz00_4061); } 
BgL_restz00_2136 = 
(BgL_offsetz00_2133%BgL_auxz00_4060); } 
{ /* Effect/cgraph.scm 198 */

{ /* Effect/cgraph.scm 198 */
obj_t BgL_bucketz00_2138;
{ /* Effect/cgraph.scm 198 */
int BgL_kz00_2148;
BgL_kz00_2148 = 
(int)(BgL_modz00_2134); 
BgL_bucketz00_2138 = 
VECTOR_REF(BgL_arg1221z00_2129,BgL_kz00_2148); } 
{ /* Effect/cgraph.scm 198 */
int BgL_kz00_2150;
BgL_kz00_2150 = 
(int)(BgL_restz00_2136); 
BgL_method2843z00_2126 = 
VECTOR_REF(BgL_bucketz00_2138,BgL_kz00_2150); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_2126)(BgL_method2843z00_2126, 
(obj_t)(BgL_nodez00_2124), 
(obj_t)(BgL_ownerz00_2125), BEOA); } } 
{ 
obj_t BgL_l2831z00_4073;
BgL_l2831z00_4073 = 
CDR(BgL_l2831z00_1396); 
BgL_l2831z00_1396 = BgL_l2831z00_4073; 
goto BgL_lname2832z00_1397;} }  else 
{ /* Effect/cgraph.scm 198 */
return ((bool_t)1);} } } 
}



/* get-var/side-effect */
obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 242 */
return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;} 
}



/* _get-var/side-effect */
obj_t BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(obj_t BgL_envz00_3792)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 242 */
return 
BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();} 
}



/* get-var/all */
obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 253 */
return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;} 
}



/* _get-var/all */
obj_t BGl__getzd2varzf2allz20zzeffect_cgraphz00(obj_t BgL_envz00_3793)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 253 */
return 
BGl_getzd2varzf2allz20zzeffect_cgraphz00();} 
}



/* reset-effect-tables! */
obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 264 */
BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL; 
return ( 
BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC) ;} 
}



/* _reset-effect-tables! */
obj_t BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(obj_t BgL_envz00_3794)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 264 */
return 
BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();} 
}



/* mark-side-effect! */
obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt BgL_vz00_54)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 271 */
{ /* Effect/cgraph.scm 273 */
BgL_valuez00_bglt BgL_funz00_1401;
BgL_funz00_1401 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_54))->BgL_valuez00); 
{ /* Effect/cgraph.scm 275 */
bool_t BgL_testz00_4079;
{ /* Effect/cgraph.scm 275 */
BgL_funz00_bglt BgL_obj1311z00_2153;
BgL_obj1311z00_2153 = 
(BgL_funz00_bglt)(BgL_funz00_1401); 
{ /* Effect/cgraph.scm 275 */
obj_t BgL_auxz00_4081;
BgL_auxz00_4081 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2153))->BgL_sidezd2effectzf3z21); 
BgL_testz00_4079 = 
CBOOL(BgL_auxz00_4081); } } 
if(BgL_testz00_4079)
{ /* Effect/cgraph.scm 278 */
bool_t BgL_test2901z00_1403;
{ /* Effect/cgraph.scm 278 */
obj_t BgL_auxz00_4084;
BgL_auxz00_4084 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_vz00_54), BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00); 
BgL_test2901z00_1403 = 
CBOOL(BgL_auxz00_4084); } 
if(BgL_test2901z00_1403)
{ /* Effect/cgraph.scm 278 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Effect/cgraph.scm 278 */
{ /* Effect/cgraph.scm 279 */
obj_t BgL_auxz00_4090;
BgL_auxz00_4090 = 
(obj_t)(BgL_vz00_54); 
return ( 
BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = 
MAKE_PAIR(BgL_auxz00_4090, BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00), BUNSPEC) ;} } }  else 
{ /* Effect/cgraph.scm 275 */
{ /* Effect/cgraph.scm 276 */
obj_t BgL_auxz00_4093;
BgL_auxz00_4093 = 
(obj_t)(BgL_vz00_54); 
BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = 
MAKE_PAIR(BgL_auxz00_4093, BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00); } 
{ /* Effect/cgraph.scm 277 */
BgL_funz00_bglt BgL_obj1313z00_2154;
BgL_obj1313z00_2154 = 
(BgL_funz00_bglt)(BgL_funz00_1401); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1313z00_2154))->BgL_sidezd2effectzf3z21) = ((obj_t)BTRUE), BUNSPEC);} } } } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
{ /* Effect/cgraph.scm 20 */
obj_t BgL_arg2902z00_1404;obj_t BgL_arg2903z00_1405;obj_t BgL_arg2907z00_1409;obj_t BgL_arg2908z00_1410;
BgL_arg2902z00_1404 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2903z00_1405 = BGl_localz00zzast_varz00; 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_arg2909z00_1411;
BgL_arg2909z00_1411 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00, BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_list2910z00_1412;
BgL_list2910z00_1412 = 
MAKE_PAIR(BgL_arg2909z00_1411, BNIL); 
BgL_arg2907z00_1409 = BgL_list2910z00_1412; } } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_v2840z00_1413;
{ 
int BgL_auxz00_4102;
BgL_auxz00_4102 = 
(int)(((long)0)); 
BgL_v2840z00_1413 = 
create_vector(BgL_auxz00_4102); } 
BgL_arg2908z00_1410 = BgL_v2840z00_1413; } 
BGl_localzf2fromzf2zzeffect_cgraphz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2902z00_1404, BgL_arg2903z00_1405, BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00, BGl_allocatezd2localzf2fromzd2envzf2zzeffect_cgraphz00, ((long)36370), BgL_arg2907z00_1409, BFALSE, BgL_arg2908z00_1410); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_arg2911z00_1414;obj_t BgL_arg2912z00_1415;obj_t BgL_arg2916z00_1419;obj_t BgL_arg2917z00_1420;
BgL_arg2911z00_1414 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2912z00_1415 = BGl_globalz00zzast_varz00; 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_arg2918z00_1421;
BgL_arg2918z00_1421 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00, BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_list2919z00_1422;
BgL_list2919z00_1422 = 
MAKE_PAIR(BgL_arg2918z00_1421, BNIL); 
BgL_arg2916z00_1419 = BgL_list2919z00_1422; } } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_v2841z00_1423;
{ 
int BgL_auxz00_4110;
BgL_auxz00_4110 = 
(int)(((long)0)); 
BgL_v2841z00_1423 = 
create_vector(BgL_auxz00_4110); } 
BgL_arg2917z00_1420 = BgL_v2841z00_1423; } 
BGl_globalzf2fromzf2zzeffect_cgraphz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2911z00_1414, BgL_arg2912z00_1415, BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00, BGl_allocatezd2globalzf2fromzd2envzf2zzeffect_cgraphz00, ((long)43632), BgL_arg2916z00_1419, BFALSE, BgL_arg2917z00_1420); } 
return BUNSPEC;} 
}



/* global/from? */
bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_obj2745z00_55)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2745z00_55, BGl_globalzf2fromzf2zzeffect_cgraphz00);} 
}



/* _global/from? */
obj_t BGl__globalzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_envz00_3837, obj_t BgL_obj2745z00_3838)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
bool_t BgL_auxz00_4115;
BgL_auxz00_4115 = 
BGl_globalzf2fromzf3z01zzeffect_cgraphz00(BgL_obj2745z00_3838); 
return 
BBOOL(BgL_auxz00_4115);} } 
}



/* widening-global/from */
BgL_globalzf2fromzf2_bglt BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_from2711z00_59)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_new2712z00_2160;
BgL_new2712z00_2160 = 
((BgL_globalzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_res3080z00_2164;
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_new2712z00_2160))->BgL_fromz00) = ((obj_t)BgL_from2711z00_59), BUNSPEC); 
BgL_res3080z00_2164 = BgL_new2712z00_2160; BgL_res3080z00_2164; } 
return BgL_new2712z00_2160;} } 
}



/* _widening-global/from */
obj_t BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3839, obj_t BgL_from2711z00_3840)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_auxz00_4120;
BgL_auxz00_4120 = 
BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(BgL_from2711z00_3840); 
return 
(obj_t)(BgL_auxz00_4120);} } 
}



/* fill-global/from! */
BgL_globalzf2fromzf2_bglt BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt BgL_new2715z00_60, obj_t BgL_from2714z00_61)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_new2715z00_60))->BgL_fromz00) = ((obj_t)BgL_from2714z00_61), BUNSPEC); 
return BgL_new2715z00_60;} 
}



/* _fill-global/from! */
obj_t BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00(obj_t BgL_envz00_3841, obj_t BgL_new2715z00_3842, obj_t BgL_from2714z00_3843)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_auxz00_4124;
BgL_auxz00_4124 = 
BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(
(BgL_globalzf2fromzf2_bglt)(BgL_new2715z00_3842), BgL_from2714z00_3843); 
return 
(obj_t)(BgL_auxz00_4124);} } 
}



/* make-global/from */
BgL_globalzf2fromzf2_bglt BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id2719z00_62, obj_t BgL_name2720z00_63, BgL_typez00_bglt BgL_type2721z00_64, BgL_valuez00_bglt BgL_value2722z00_65, obj_t BgL_access2723z00_66, obj_t BgL_fastzd2alpha2724zd2_67, obj_t BgL_removable2725z00_68, long BgL_occurrence2726z00_69, obj_t BgL_module2727z00_70, obj_t BgL_import2728z00_71, bool_t BgL_evaluablezf32729zf3_72, bool_t BgL_libraryzf32730zf3_73, bool_t BgL_userzf32731zf3_74, obj_t BgL_pragma2732z00_75, obj_t BgL_src2733z00_76, obj_t BgL_jvmzd2typezd2name2734z00_77, obj_t BgL_from2718z00_78)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_aux2735z00_2166;
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_res3083z00_2227;
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_new1244z00_2186;
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_res3081z00_2192;
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_new1246z00_2187;
BgL_new1246z00_2187 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Effect/cgraph.scm 21 */
long BgL_arg2966z00_2188;
BgL_arg2966z00_2188 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4130;
BgL_auxz00_4130 = 
(BgL_objectz00_bglt)(BgL_new1246z00_2187); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4130, BgL_arg2966z00_2188); } } 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4133;
BgL_auxz00_4133 = 
(BgL_objectz00_bglt)(BgL_new1246z00_2187); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4133, BFALSE); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4136;
BgL_auxz00_4136 = 
(obj_t)(BgL_new1246z00_2187); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4136); } BUNSPEC; 
BgL_res3081z00_2192 = BgL_new1246z00_2187; } 
BgL_new1244z00_2186 = BgL_res3081z00_2192; } 
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_res3082z00_2226;
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_idz00) = ((obj_t)BgL_id2719z00_62), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_namez00) = ((obj_t)BgL_name2720z00_63), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2721z00_64), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value2722z00_65), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_accessz00) = ((obj_t)BgL_access2723z00_66), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha2724zd2_67), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_removablez00) = ((obj_t)BgL_removable2725z00_68), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_occurrencez00) = ((long)BgL_occurrence2726z00_69), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_modulez00) = ((obj_t)BgL_module2727z00_70), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_importz00) = ((obj_t)BgL_import2728z00_71), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_evaluablezf3zf3) = ((bool_t)BgL_evaluablezf32729zf3_72), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf32730zf3_73), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_userzf3zf3) = ((bool_t)BgL_userzf32731zf3_74), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_pragmaz00) = ((obj_t)BgL_pragma2732z00_75), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_srcz00) = ((obj_t)BgL_src2733z00_76), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1244z00_2186))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_jvmzd2typezd2name2734z00_77), BUNSPEC); 
BgL_res3082z00_2226 = BgL_new1244z00_2186; BgL_res3082z00_2226; } 
BgL_res3083z00_2227 = BgL_new1244z00_2186; } 
BgL_aux2735z00_2166 = BgL_res3083z00_2227; } 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_new2736z00_2167;
BgL_new2736z00_2167 = 
((BgL_globalzf2fromzf2_bglt)BgL_aux2735z00_2166); 
{ /* Effect/cgraph.scm 21 */
long BgL_arg2920z00_2168;
BgL_arg2920z00_2168 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4157;
BgL_auxz00_4157 = 
(BgL_objectz00_bglt)(BgL_new2736z00_2167); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4157, BgL_arg2920z00_2168); } } 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_arg2921z00_2169;
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_res3085z00_2236;
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_new2712z00_2231;
BgL_new2712z00_2231 = 
((BgL_globalzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_res3084z00_2235;
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_new2712z00_2231))->BgL_fromz00) = ((obj_t)BgL_from2718z00_78), BUNSPEC); 
BgL_res3084z00_2235 = BgL_new2712z00_2231; BgL_res3084z00_2235; } 
BgL_res3085z00_2236 = BgL_new2712z00_2231; } 
BgL_arg2921z00_2169 = BgL_res3085z00_2236; } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4164;BgL_objectz00_bglt BgL_auxz00_4162;
BgL_auxz00_4164 = 
(obj_t)(BgL_arg2921z00_2169); 
BgL_auxz00_4162 = 
(BgL_objectz00_bglt)(BgL_new2736z00_2167); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4162, BgL_auxz00_4164); } } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4167;
BgL_auxz00_4167 = 
(obj_t)(BgL_new2736z00_2167); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4167); } BUNSPEC; 
return BgL_new2736z00_2167;} } } 
}



/* _make-global/from */
obj_t BGl__makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3813, obj_t BgL_id2719z00_3814, obj_t BgL_name2720z00_3815, obj_t BgL_type2721z00_3816, obj_t BgL_value2722z00_3817, obj_t BgL_access2723z00_3818, obj_t BgL_fastzd2alpha2724zd2_3819, obj_t BgL_removable2725z00_3820, obj_t BgL_occurrence2726z00_3821, obj_t BgL_module2727z00_3822, obj_t BgL_import2728z00_3823, obj_t BgL_evaluablezf32729zf3_3824, obj_t BgL_libraryzf32730zf3_3825, obj_t BgL_userzf32731zf3_3826, obj_t BgL_pragma2732z00_3827, obj_t BgL_src2733z00_3828, obj_t BgL_jvmzd2typezd2name2734z00_3829, obj_t BgL_from2718z00_3830)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_auxz00_4170;
BgL_auxz00_4170 = 
BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(BgL_id2719z00_3814, BgL_name2720z00_3815, 
(BgL_typez00_bglt)(BgL_type2721z00_3816), 
(BgL_valuez00_bglt)(BgL_value2722z00_3817), BgL_access2723z00_3818, BgL_fastzd2alpha2724zd2_3819, BgL_removable2725z00_3820, 
(long)CINT(BgL_occurrence2726z00_3821), BgL_module2727z00_3822, BgL_import2728z00_3823, 
CBOOL(BgL_evaluablezf32729zf3_3824), 
CBOOL(BgL_libraryzf32730zf3_3825), 
CBOOL(BgL_userzf32731zf3_3826), BgL_pragma2732z00_3827, BgL_src2733z00_3828, BgL_jvmzd2typezd2name2734z00_3829, BgL_from2718z00_3830); 
return 
(obj_t)(BgL_auxz00_4170);} } 
}



/* allocate-global/from */
BgL_globalz00_bglt BGl_allocatezd2globalzf2fromz20zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_new2737z00_2238;
BgL_new2737z00_2238 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Effect/cgraph.scm 21 */
long BgL_arg2922z00_2239;
BgL_arg2922z00_2239 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4181;
BgL_auxz00_4181 = 
(BgL_objectz00_bglt)(BgL_new2737z00_2238); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4181, BgL_arg2922z00_2239); } } 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4184;
BgL_auxz00_4184 = 
(BgL_objectz00_bglt)(BgL_new2737z00_2238); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4184, BFALSE); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4187;
BgL_auxz00_4187 = 
(obj_t)(BgL_new2737z00_2238); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4187); } BUNSPEC; 
return BgL_new2737z00_2238;} } 
}



/* _allocate-global/from */
obj_t BGl__allocatezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3831)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_globalz00_bglt BgL_auxz00_4190;
BgL_auxz00_4190 = 
BGl_allocatezd2globalzf2fromz20zzeffect_cgraphz00(); 
return 
(obj_t)(BgL_auxz00_4190);} } 
}



/* global/from-from-set! */
obj_t BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt BgL_obj2749z00_125, obj_t BgL_val2747z00_126)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ 
obj_t BgL_auxz00_4193;
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4194;
BgL_auxz00_4194 = 
(BgL_objectz00_bglt)(BgL_obj2749z00_125); 
BgL_auxz00_4193 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4194); } 
return 
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4193))->BgL_fromz00) = ((obj_t)BgL_val2747z00_126), BUNSPEC);} } 
}



/* _global/from-from-set! */
obj_t BGl__globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(obj_t BgL_envz00_3834, obj_t BgL_obj2749z00_3835, obj_t BgL_val2747z00_3836)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
return 
BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
(BgL_globalzf2fromzf2_bglt)(BgL_obj2749z00_3835), BgL_val2747z00_3836);} 
}



/* global/from-from */
obj_t BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt BgL_obj2746z00_127)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ 
obj_t BgL_auxz00_4200;
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4201;
BgL_auxz00_4201 = 
(BgL_objectz00_bglt)(BgL_obj2746z00_127); 
BgL_auxz00_4200 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4201); } 
return 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4200))->BgL_fromz00);} } 
}



/* _global/from-from */
obj_t BGl__globalzf2fromzd2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3832, obj_t BgL_obj2746z00_3833)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
return 
BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(
(BgL_globalzf2fromzf2_bglt)(BgL_obj2746z00_3833));} 
}



/* local/from? */
bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_obj2681z00_128)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2681z00_128, BGl_localzf2fromzf2zzeffect_cgraphz00);} 
}



/* _local/from? */
obj_t BGl__localzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_envz00_3844, obj_t BgL_obj2681z00_3845)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
bool_t BgL_auxz00_4208;
BgL_auxz00_4208 = 
BGl_localzf2fromzf3z01zzeffect_cgraphz00(BgL_obj2681z00_3845); 
return 
BBOOL(BgL_auxz00_4208);} } 
}



/* widening-local/from */
BgL_localzf2fromzf2_bglt BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_from2654z00_132)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_new2655z00_2243;
BgL_new2655z00_2243 = 
((BgL_localzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_res3086z00_2247;
((((BgL_localzf2fromzf2_bglt)CREF(BgL_new2655z00_2243))->BgL_fromz00) = ((obj_t)BgL_from2654z00_132), BUNSPEC); 
BgL_res3086z00_2247 = BgL_new2655z00_2243; BgL_res3086z00_2247; } 
return BgL_new2655z00_2243;} } 
}



/* _widening-local/from */
obj_t BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3846, obj_t BgL_from2654z00_3847)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_auxz00_4213;
BgL_auxz00_4213 = 
BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(BgL_from2654z00_3847); 
return 
(obj_t)(BgL_auxz00_4213);} } 
}



/* fill-local/from! */
BgL_localzf2fromzf2_bglt BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt BgL_new2658z00_133, obj_t BgL_from2657z00_134)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
((((BgL_localzf2fromzf2_bglt)CREF(BgL_new2658z00_133))->BgL_fromz00) = ((obj_t)BgL_from2657z00_134), BUNSPEC); 
return BgL_new2658z00_133;} 
}



/* _fill-local/from! */
obj_t BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00(obj_t BgL_envz00_3848, obj_t BgL_new2658z00_3849, obj_t BgL_from2657z00_3850)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_auxz00_4217;
BgL_auxz00_4217 = 
BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(
(BgL_localzf2fromzf2_bglt)(BgL_new2658z00_3849), BgL_from2657z00_3850); 
return 
(obj_t)(BgL_auxz00_4217);} } 
}



/* make-local/from */
BgL_localzf2fromzf2_bglt BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id2662z00_135, obj_t BgL_name2663z00_136, BgL_typez00_bglt BgL_type2664z00_137, BgL_valuez00_bglt BgL_value2665z00_138, obj_t BgL_access2666z00_139, obj_t BgL_fastzd2alpha2667zd2_140, obj_t BgL_removable2668z00_141, long BgL_occurrence2669z00_142, bool_t BgL_userzf32670zf3_143, long BgL_key2671z00_144, obj_t BgL_from2661z00_145)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_aux2672z00_2249;
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_res3089z00_2292;
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_new1306z00_2263;
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_res3087z00_2269;
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_new1308z00_2264;
BgL_new1308z00_2264 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Effect/cgraph.scm 20 */
long BgL_arg2965z00_2265;
BgL_arg2965z00_2265 = 
BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00); 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4223;
BgL_auxz00_4223 = 
(BgL_objectz00_bglt)(BgL_new1308z00_2264); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4223, BgL_arg2965z00_2265); } } 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4226;
BgL_auxz00_4226 = 
(BgL_objectz00_bglt)(BgL_new1308z00_2264); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4226, BFALSE); } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4229;
BgL_auxz00_4229 = 
(obj_t)(BgL_new1308z00_2264); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4229); } BUNSPEC; 
BgL_res3087z00_2269 = BgL_new1308z00_2264; } 
BgL_new1306z00_2263 = BgL_res3087z00_2269; } 
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_res3088z00_2291;
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_idz00) = ((obj_t)BgL_id2662z00_135), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_namez00) = ((obj_t)BgL_name2663z00_136), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2664z00_137), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_value2665z00_138), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_accessz00) = ((obj_t)BgL_access2666z00_139), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_fastzd2alphazd2) = ((obj_t)BgL_fastzd2alpha2667zd2_140), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_removablez00) = ((obj_t)BgL_removable2668z00_141), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_occurrencez00) = ((long)BgL_occurrence2669z00_142), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_userzf3zf3) = ((bool_t)BgL_userzf32670zf3_143), BUNSPEC); 
((((BgL_localz00_bglt)CREF(BgL_new1306z00_2263))->BgL_keyz00) = ((long)BgL_key2671z00_144), BUNSPEC); 
BgL_res3088z00_2291 = BgL_new1306z00_2263; BgL_res3088z00_2291; } 
BgL_res3089z00_2292 = BgL_new1306z00_2263; } 
BgL_aux2672z00_2249 = BgL_res3089z00_2292; } 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_new2673z00_2250;
BgL_new2673z00_2250 = 
((BgL_localzf2fromzf2_bglt)BgL_aux2672z00_2249); 
{ /* Effect/cgraph.scm 20 */
long BgL_arg2923z00_2251;
BgL_arg2923z00_2251 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4244;
BgL_auxz00_4244 = 
(BgL_objectz00_bglt)(BgL_new2673z00_2250); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4244, BgL_arg2923z00_2251); } } 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_arg2924z00_2252;
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_res3091z00_2301;
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_new2655z00_2296;
BgL_new2655z00_2296 = 
((BgL_localzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_res3090z00_2300;
((((BgL_localzf2fromzf2_bglt)CREF(BgL_new2655z00_2296))->BgL_fromz00) = ((obj_t)BgL_from2661z00_145), BUNSPEC); 
BgL_res3090z00_2300 = BgL_new2655z00_2296; BgL_res3090z00_2300; } 
BgL_res3091z00_2301 = BgL_new2655z00_2296; } 
BgL_arg2924z00_2252 = BgL_res3091z00_2301; } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4251;BgL_objectz00_bglt BgL_auxz00_4249;
BgL_auxz00_4251 = 
(obj_t)(BgL_arg2924z00_2252); 
BgL_auxz00_4249 = 
(BgL_objectz00_bglt)(BgL_new2673z00_2250); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4249, BgL_auxz00_4251); } } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4254;
BgL_auxz00_4254 = 
(obj_t)(BgL_new2673z00_2250); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4254); } BUNSPEC; 
return BgL_new2673z00_2250;} } } 
}



/* _make-local/from */
obj_t BGl__makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3795, obj_t BgL_id2662z00_3796, obj_t BgL_name2663z00_3797, obj_t BgL_type2664z00_3798, obj_t BgL_value2665z00_3799, obj_t BgL_access2666z00_3800, obj_t BgL_fastzd2alpha2667zd2_3801, obj_t BgL_removable2668z00_3802, obj_t BgL_occurrence2669z00_3803, obj_t BgL_userzf32670zf3_3804, obj_t BgL_key2671z00_3805, obj_t BgL_from2661z00_3806)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_auxz00_4257;
BgL_auxz00_4257 = 
BGl_makezd2localzf2fromz20zzeffect_cgraphz00(BgL_id2662z00_3796, BgL_name2663z00_3797, 
(BgL_typez00_bglt)(BgL_type2664z00_3798), 
(BgL_valuez00_bglt)(BgL_value2665z00_3799), BgL_access2666z00_3800, BgL_fastzd2alpha2667zd2_3801, BgL_removable2668z00_3802, 
(long)CINT(BgL_occurrence2669z00_3803), 
CBOOL(BgL_userzf32670zf3_3804), 
(long)CINT(BgL_key2671z00_3805), BgL_from2661z00_3806); 
return 
(obj_t)(BgL_auxz00_4257);} } 
}



/* allocate-local/from */
BgL_localz00_bglt BGl_allocatezd2localzf2fromz20zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_new2674z00_2303;
BgL_new2674z00_2303 = 
((BgL_localz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_localz00_bgl) ))); 
{ /* Effect/cgraph.scm 20 */
long BgL_arg2925z00_2304;
BgL_arg2925z00_2304 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4267;
BgL_auxz00_4267 = 
(BgL_objectz00_bglt)(BgL_new2674z00_2303); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4267, BgL_arg2925z00_2304); } } 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4270;
BgL_auxz00_4270 = 
(BgL_objectz00_bglt)(BgL_new2674z00_2303); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4270, BFALSE); } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4273;
BgL_auxz00_4273 = 
(obj_t)(BgL_new2674z00_2303); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4273); } BUNSPEC; 
return BgL_new2674z00_2303;} } 
}



/* _allocate-local/from */
obj_t BGl__allocatezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3807)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_localz00_bglt BgL_auxz00_4276;
BgL_auxz00_4276 = 
BGl_allocatezd2localzf2fromz20zzeffect_cgraphz00(); 
return 
(obj_t)(BgL_auxz00_4276);} } 
}



/* local/from-from-set! */
obj_t BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt BgL_obj2684z00_172, obj_t BgL_val2683z00_173)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ 
obj_t BgL_auxz00_4279;
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4280;
BgL_auxz00_4280 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_172); 
BgL_auxz00_4279 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4280); } 
return 
((((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4279))->BgL_fromz00) = ((obj_t)BgL_val2683z00_173), BUNSPEC);} } 
}



/* _local/from-from-set! */
obj_t BGl__localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(obj_t BgL_envz00_3810, obj_t BgL_obj2684z00_3811, obj_t BgL_val2683z00_3812)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
return 
BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
(BgL_localzf2fromzf2_bglt)(BgL_obj2684z00_3811), BgL_val2683z00_3812);} 
}



/* local/from-from */
obj_t BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt BgL_obj2682z00_174)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ 
obj_t BgL_auxz00_4286;
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4287;
BgL_auxz00_4287 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_174); 
BgL_auxz00_4286 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4287); } 
return 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4286))->BgL_fromz00);} } 
}



/* _local/from-from */
obj_t BGl__localzf2fromzd2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_3808, obj_t BgL_obj2682z00_3809)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
return 
BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(
(BgL_localzf2fromzf2_bglt)(BgL_obj2682z00_3809));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_callzd2graphz12zd2default2842zd2envzc0zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_sequencez00zzast_nodez00, BGl_proc3167z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_appz00zzast_nodez00, BGl_proc3168z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3169z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_funcallz00zzast_nodez00, BGl_proc3170z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_externz00zzast_nodez00, BGl_proc3171z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_castz00zzast_nodez00, BGl_proc3172z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_setqz00zzast_nodez00, BGl_proc3173z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_conditionalz00zzast_nodez00, BGl_proc3174z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_failz00zzast_nodez00, BGl_proc3175z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_selectz00zzast_nodez00, BGl_proc3176z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3177z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3178z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3179z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3180z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3181z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3182z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3183z00zzeffect_cgraphz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BGl_savezd2callz12zd2default2878zd2envzc0zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BGl_globalz00zzast_varz00, BGl_proc3184z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BGl_globalzf2fromzf2zzeffect_cgraphz00, BGl_proc3185z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BGl_localz00zzast_varz00, BGl_proc3186z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BGl_localzf2fromzf2zzeffect_cgraphz00, BGl_proc3187z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_globalzf2fromzf2zzeffect_cgraphz00, BGl_proc3188z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_globalzf2fromzf2zzeffect_cgraphz00, BGl_proc3189z00zzeffect_cgraphz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2fromzf2zzeffect_cgraphz00, BGl_proc3190z00zzeffect_cgraphz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2fromzf2zzeffect_cgraphz00, BGl_proc3191z00zzeffect_cgraphz00);} 
}



/* struct+object->object-local/from2895 */
obj_t BGl_structzb2objectzd2ze3objectzd2localzf2from2895za3zzeffect_cgraphz00(obj_t BgL_envz00_3884, obj_t BgL_oz00_3885, obj_t BgL_sz00_3886)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ 
BgL_localzf2fromzf2_bglt BgL_oz00_2079;obj_t BgL_sz00_2080;
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_auxz00_4320;
BgL_oz00_2079 = 
(BgL_localzf2fromzf2_bglt)(BgL_oz00_3885); 
BgL_sz00_2080 = BgL_sz00_3886; 
{ 

{ /* Effect/cgraph.scm 20 */
obj_t BgL_old2678z00_2083;obj_t BgL_aux2679z00_2084;
{ /* Effect/cgraph.scm 20 */
obj_t BgL_nextzd2method2894zd2_2089;
BgL_nextzd2method2894zd2_2089 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2079), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_localzf2fromzf2zzeffect_cgraphz00); 
if(
PROCEDUREP(BgL_nextzd2method2894zd2_2089))
{ /* Effect/cgraph.scm 20 */
BgL_old2678z00_2083 = 
PROCEDURE_ENTRY(BgL_nextzd2method2894zd2_2089)(BgL_nextzd2method2894zd2_2089, 
(obj_t)(BgL_oz00_2079), BgL_sz00_2080, BEOA); }  else 
{ /* Effect/cgraph.scm 20 */
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4328;
BgL_auxz00_4328 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2079), BgL_sz00_2080); 
BgL_old2678z00_2083 = 
(obj_t)(BgL_auxz00_4328); } } } 
{ /* Effect/cgraph.scm 20 */
int BgL_auxz00_4332;
BgL_auxz00_4332 = 
(int)(((long)0)); 
BgL_aux2679z00_2084 = 
STRUCT_REF(BgL_sz00_2080, BgL_auxz00_4332); } 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_new2680z00_2085;
BgL_new2680z00_2085 = 
((BgL_localzf2fromzf2_bglt)(BgL_old2678z00_2083)); 
{ /* Effect/cgraph.scm 20 */
long BgL_arg3070z00_2086;
BgL_arg3070z00_2086 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4337;
BgL_auxz00_4337 = 
(BgL_objectz00_bglt)(BgL_new2680z00_2085); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4337, BgL_arg3070z00_2086); } } 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_arg3071z00_2087;
{ /* Effect/cgraph.scm 20 */
obj_t BgL_arg3072z00_2088;
{ /* Effect/cgraph.scm 20 */
int BgL_auxz00_4340;
BgL_auxz00_4340 = 
(int)(((long)0)); 
BgL_arg3072z00_2088 = 
STRUCT_REF(BgL_aux2679z00_2084, BgL_auxz00_4340); } 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_res3159z00_3731;
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_new2655z00_3726;
BgL_new2655z00_3726 = 
((BgL_localzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 20 */
BgL_localzf2fromzf2_bglt BgL_res3158z00_3730;
((((BgL_localzf2fromzf2_bglt)CREF(BgL_new2655z00_3726))->BgL_fromz00) = ((obj_t)BgL_arg3072z00_2088), BUNSPEC); 
BgL_res3158z00_3730 = BgL_new2655z00_3726; BgL_res3158z00_3730; } 
BgL_res3159z00_3731 = BgL_new2655z00_3726; } 
BgL_arg3071z00_2087 = BgL_res3159z00_3731; } } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4347;BgL_objectz00_bglt BgL_auxz00_4345;
BgL_auxz00_4347 = 
(obj_t)(BgL_arg3071z00_2087); 
BgL_auxz00_4345 = 
(BgL_objectz00_bglt)(BgL_new2680z00_2085); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4345, BgL_auxz00_4347); } } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4350;
BgL_auxz00_4350 = 
(obj_t)(BgL_new2680z00_2085); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4350); } BUNSPEC; 
BgL_auxz00_4320 = BgL_new2680z00_2085; } } } 
return 
(obj_t)(BgL_auxz00_4320);} } } 
}



/* object->struct-local/from2893 */
obj_t BGl_objectzd2ze3structzd2localzf2from2893z11zzeffect_cgraphz00(obj_t BgL_envz00_3887, obj_t BgL_obj2675z00_3888)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 20 */
{ 
BgL_localzf2fromzf2_bglt BgL_obj2675z00_2069;
BgL_obj2675z00_2069 = 
(BgL_localzf2fromzf2_bglt)(BgL_obj2675z00_3888); 
{ 

{ /* Effect/cgraph.scm 20 */
obj_t BgL_res2676z00_2072;
{ /* Effect/cgraph.scm 20 */
obj_t BgL_nextzd2method2892zd2_2077;
BgL_nextzd2method2892zd2_2077 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2675z00_2069), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_localzf2fromzf2zzeffect_cgraphz00); 
if(
PROCEDUREP(BgL_nextzd2method2892zd2_2077))
{ /* Effect/cgraph.scm 20 */
BgL_res2676z00_2072 = 
PROCEDURE_ENTRY(BgL_nextzd2method2892zd2_2077)(BgL_nextzd2method2892zd2_2077, 
(obj_t)(BgL_obj2675z00_2069), BEOA); }  else 
{ /* Effect/cgraph.scm 20 */
BgL_res2676z00_2072 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2675z00_2069)); } } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_aux2677z00_2073;
{ /* Effect/cgraph.scm 20 */
int BgL_auxz00_4366;obj_t BgL_auxz00_4364;
BgL_auxz00_4366 = 
(int)(((long)1)); 
BgL_auxz00_4364 = 
CNST_TABLE_REF(((long)1)); 
BgL_aux2677z00_2073 = 
make_struct(BgL_auxz00_4364, BgL_auxz00_4366, BUNSPEC); } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4371;int BgL_auxz00_4369;
{ 
obj_t BgL_auxz00_4372;
{ /* Effect/cgraph.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4373;
BgL_auxz00_4373 = 
(BgL_objectz00_bglt)(BgL_obj2675z00_2069); 
BgL_auxz00_4372 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4373); } 
BgL_auxz00_4371 = 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4372))->BgL_fromz00); } 
BgL_auxz00_4369 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2677z00_2073, BgL_auxz00_4369, BgL_auxz00_4371); } 
{ /* Effect/cgraph.scm 20 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2676z00_2072, BgL_auxz00_4378, BgL_aux2677z00_2073); } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4381;
BgL_auxz00_4381 = 
STRUCT_KEY(BgL_res2676z00_2072); 
STRUCT_KEY_SET(BgL_aux2677z00_2073, BgL_auxz00_4381); } 
{ /* Effect/cgraph.scm 20 */
obj_t BgL_auxz00_4384;
BgL_auxz00_4384 = 
CNST_TABLE_REF(((long)1)); 
STRUCT_KEY_SET(BgL_res2676z00_2072, BgL_auxz00_4384); } 
return BgL_res2676z00_2072;} } } } } 
}



/* struct+object->object-global/from2891 */
obj_t BGl_structzb2objectzd2ze3objectzd2globalzf2from2891za3zzeffect_cgraphz00(obj_t BgL_envz00_3889, obj_t BgL_oz00_3890, obj_t BgL_sz00_3891)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ 
BgL_globalzf2fromzf2_bglt BgL_oz00_2057;obj_t BgL_sz00_2058;
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_auxz00_4388;
BgL_oz00_2057 = 
(BgL_globalzf2fromzf2_bglt)(BgL_oz00_3890); 
BgL_sz00_2058 = BgL_sz00_3891; 
{ 

{ /* Effect/cgraph.scm 21 */
obj_t BgL_old2741z00_2061;obj_t BgL_aux2742z00_2062;
{ /* Effect/cgraph.scm 21 */
obj_t BgL_nextzd2method2890zd2_2067;
BgL_nextzd2method2890zd2_2067 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2057), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_globalzf2fromzf2zzeffect_cgraphz00); 
if(
PROCEDUREP(BgL_nextzd2method2890zd2_2067))
{ /* Effect/cgraph.scm 21 */
BgL_old2741z00_2061 = 
PROCEDURE_ENTRY(BgL_nextzd2method2890zd2_2067)(BgL_nextzd2method2890zd2_2067, 
(obj_t)(BgL_oz00_2057), BgL_sz00_2058, BEOA); }  else 
{ /* Effect/cgraph.scm 21 */
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4396;
BgL_auxz00_4396 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2057), BgL_sz00_2058); 
BgL_old2741z00_2061 = 
(obj_t)(BgL_auxz00_4396); } } } 
{ /* Effect/cgraph.scm 21 */
int BgL_auxz00_4400;
BgL_auxz00_4400 = 
(int)(((long)0)); 
BgL_aux2742z00_2062 = 
STRUCT_REF(BgL_sz00_2058, BgL_auxz00_4400); } 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_new2743z00_2063;
BgL_new2743z00_2063 = 
((BgL_globalzf2fromzf2_bglt)(BgL_old2741z00_2061)); 
{ /* Effect/cgraph.scm 21 */
long BgL_arg3062z00_2064;
BgL_arg3062z00_2064 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4405;
BgL_auxz00_4405 = 
(BgL_objectz00_bglt)(BgL_new2743z00_2063); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4405, BgL_arg3062z00_2064); } } 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_arg3063z00_2065;
{ /* Effect/cgraph.scm 21 */
obj_t BgL_arg3064z00_2066;
{ /* Effect/cgraph.scm 21 */
int BgL_auxz00_4408;
BgL_auxz00_4408 = 
(int)(((long)0)); 
BgL_arg3064z00_2066 = 
STRUCT_REF(BgL_aux2742z00_2062, BgL_auxz00_4408); } 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_res3156z00_3699;
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_new2712z00_3694;
BgL_new2712z00_3694 = 
((BgL_globalzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 21 */
BgL_globalzf2fromzf2_bglt BgL_res3155z00_3698;
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_new2712z00_3694))->BgL_fromz00) = ((obj_t)BgL_arg3064z00_2066), BUNSPEC); 
BgL_res3155z00_3698 = BgL_new2712z00_3694; BgL_res3155z00_3698; } 
BgL_res3156z00_3699 = BgL_new2712z00_3694; } 
BgL_arg3063z00_2065 = BgL_res3156z00_3699; } } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4415;BgL_objectz00_bglt BgL_auxz00_4413;
BgL_auxz00_4415 = 
(obj_t)(BgL_arg3063z00_2065); 
BgL_auxz00_4413 = 
(BgL_objectz00_bglt)(BgL_new2743z00_2063); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4413, BgL_auxz00_4415); } } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4418;
BgL_auxz00_4418 = 
(obj_t)(BgL_new2743z00_2063); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4418); } BUNSPEC; 
BgL_auxz00_4388 = BgL_new2743z00_2063; } } } 
return 
(obj_t)(BgL_auxz00_4388);} } } 
}



/* object->struct-global/from2889 */
obj_t BGl_objectzd2ze3structzd2globalzf2from2889z11zzeffect_cgraphz00(obj_t BgL_envz00_3892, obj_t BgL_obj2738z00_3893)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 21 */
{ 
BgL_globalzf2fromzf2_bglt BgL_obj2738z00_2047;
BgL_obj2738z00_2047 = 
(BgL_globalzf2fromzf2_bglt)(BgL_obj2738z00_3893); 
{ 

{ /* Effect/cgraph.scm 21 */
obj_t BgL_res2739z00_2050;
{ /* Effect/cgraph.scm 21 */
obj_t BgL_nextzd2method2888zd2_2055;
BgL_nextzd2method2888zd2_2055 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2738z00_2047), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_globalzf2fromzf2zzeffect_cgraphz00); 
if(
PROCEDUREP(BgL_nextzd2method2888zd2_2055))
{ /* Effect/cgraph.scm 21 */
BgL_res2739z00_2050 = 
PROCEDURE_ENTRY(BgL_nextzd2method2888zd2_2055)(BgL_nextzd2method2888zd2_2055, 
(obj_t)(BgL_obj2738z00_2047), BEOA); }  else 
{ /* Effect/cgraph.scm 21 */
BgL_res2739z00_2050 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2738z00_2047)); } } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_aux2740z00_2051;
{ /* Effect/cgraph.scm 21 */
int BgL_auxz00_4434;obj_t BgL_auxz00_4432;
BgL_auxz00_4434 = 
(int)(((long)1)); 
BgL_auxz00_4432 = 
CNST_TABLE_REF(((long)3)); 
BgL_aux2740z00_2051 = 
make_struct(BgL_auxz00_4432, BgL_auxz00_4434, BUNSPEC); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4439;int BgL_auxz00_4437;
{ 
obj_t BgL_auxz00_4440;
{ /* Effect/cgraph.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4441;
BgL_auxz00_4441 = 
(BgL_objectz00_bglt)(BgL_obj2738z00_2047); 
BgL_auxz00_4440 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4441); } 
BgL_auxz00_4439 = 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4440))->BgL_fromz00); } 
BgL_auxz00_4437 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2740z00_2051, BgL_auxz00_4437, BgL_auxz00_4439); } 
{ /* Effect/cgraph.scm 21 */
int BgL_auxz00_4446;
BgL_auxz00_4446 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2739z00_2050, BgL_auxz00_4446, BgL_aux2740z00_2051); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4449;
BgL_auxz00_4449 = 
STRUCT_KEY(BgL_res2739z00_2050); 
STRUCT_KEY_SET(BgL_aux2740z00_2051, BgL_auxz00_4449); } 
{ /* Effect/cgraph.scm 21 */
obj_t BgL_auxz00_4452;
BgL_auxz00_4452 = 
CNST_TABLE_REF(((long)3)); 
STRUCT_KEY_SET(BgL_res2739z00_2050, BgL_auxz00_4452); } 
return BgL_res2739z00_2050;} } } } } 
}



/* save-call!-local/from2887 */
obj_t BGl_savezd2callz12zd2localzf2from2887ze0zzeffect_cgraphz00(obj_t BgL_envz00_3894, obj_t BgL_calleez00_3895, obj_t BgL_ownerz00_3896)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 234 */
{ 
BgL_localzf2fromzf2_bglt BgL_calleez00_2036;obj_t BgL_ownerz00_2037;
BgL_calleez00_2036 = 
(BgL_localzf2fromzf2_bglt)(BgL_calleez00_3895); 
BgL_ownerz00_2037 = BgL_ownerz00_3896; 
{ /* Effect/cgraph.scm 236 */
bool_t BgL_testz00_4456;
{ /* Effect/cgraph.scm 236 */
obj_t BgL_auxz00_4457;
{ /* Effect/cgraph.scm 236 */
obj_t BgL_auxz00_4458;
{ 
obj_t BgL_auxz00_4459;
{ /* Effect/cgraph.scm 236 */
BgL_objectz00_bglt BgL_auxz00_4460;
BgL_auxz00_4460 = 
(BgL_objectz00_bglt)(BgL_calleez00_2036); 
BgL_auxz00_4459 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4460); } 
BgL_auxz00_4458 = 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4459))->BgL_fromz00); } 
BgL_auxz00_4457 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2037, BgL_auxz00_4458); } 
BgL_testz00_4456 = 
CBOOL(BgL_auxz00_4457); } 
if(BgL_testz00_4456)
{ /* Effect/cgraph.scm 236 */
return BFALSE;}  else 
{ /* Effect/cgraph.scm 237 */
obj_t BgL_arg3054z00_2042;
{ /* Effect/cgraph.scm 237 */
obj_t BgL_auxz00_4466;
{ 
obj_t BgL_auxz00_4467;
{ /* Effect/cgraph.scm 237 */
BgL_objectz00_bglt BgL_auxz00_4468;
BgL_auxz00_4468 = 
(BgL_objectz00_bglt)(BgL_calleez00_2036); 
BgL_auxz00_4467 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4468); } 
BgL_auxz00_4466 = 
(((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4467))->BgL_fromz00); } 
BgL_arg3054z00_2042 = 
MAKE_PAIR(BgL_ownerz00_2037, BgL_auxz00_4466); } 
{ 
obj_t BgL_auxz00_4473;
{ /* Effect/cgraph.scm 237 */
BgL_objectz00_bglt BgL_auxz00_4474;
BgL_auxz00_4474 = 
(BgL_objectz00_bglt)(BgL_calleez00_2036); 
BgL_auxz00_4473 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4474); } 
return 
((((BgL_localzf2fromzf2_bglt)CREF(BgL_auxz00_4473))->BgL_fromz00) = ((obj_t)BgL_arg3054z00_2042), BUNSPEC);} } } } } 
}



/* save-call!-local2885 */
obj_t BGl_savezd2callz12zd2local2885z12zzeffect_cgraphz00(obj_t BgL_envz00_3897, obj_t BgL_calleez00_3898, obj_t BgL_ownerz00_3899)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 228 */
{ 
BgL_localz00_bglt BgL_calleez00_2026;obj_t BgL_ownerz00_2027;
BgL_calleez00_2026 = 
(BgL_localz00_bglt)(BgL_calleez00_3898); 
BgL_ownerz00_2027 = BgL_ownerz00_3899; 
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_arg3049z00_2030;
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_obj2837z00_2031;
BgL_obj2837z00_2031 = 
((BgL_localzf2fromzf2_bglt)BgL_calleez00_2026); 
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_arg3050z00_2032;
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_res3151z00_3635;
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_new2655z00_3630;
BgL_new2655z00_3630 = 
((BgL_localzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 229 */
BgL_localzf2fromzf2_bglt BgL_res3150z00_3634;
((((BgL_localzf2fromzf2_bglt)CREF(BgL_new2655z00_3630))->BgL_fromz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3150z00_3634 = BgL_new2655z00_3630; BgL_res3150z00_3634; } 
BgL_res3151z00_3635 = BgL_new2655z00_3630; } 
BgL_arg3050z00_2032 = BgL_res3151z00_3635; } 
{ /* Effect/cgraph.scm 229 */
obj_t BgL_auxz00_4484;BgL_objectz00_bglt BgL_auxz00_4482;
BgL_auxz00_4484 = 
(obj_t)(BgL_arg3050z00_2032); 
BgL_auxz00_4482 = 
(BgL_objectz00_bglt)(BgL_obj2837z00_2031); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4482, BgL_auxz00_4484); } } 
{ /* Effect/cgraph.scm 229 */
long BgL_arg3051z00_2033;
BgL_arg3051z00_2033 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 229 */
BgL_objectz00_bglt BgL_auxz00_4488;
BgL_auxz00_4488 = 
(BgL_objectz00_bglt)(BgL_obj2837z00_2031); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4488, BgL_arg3051z00_2033); } } 
{ /* Effect/cgraph.scm 229 */
obj_t BgL_auxz00_4491;
BgL_auxz00_4491 = 
(obj_t)(BgL_obj2837z00_2031); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4491); } BUNSPEC; 
BgL_arg3049z00_2030 = BgL_obj2837z00_2031; } 
{ /* Effect/cgraph.scm 229 */
BgL_variablez00_bglt BgL_calleez00_3639;BgL_variablez00_bglt BgL_ownerz00_3640;
BgL_calleez00_3639 = 
(BgL_variablez00_bglt)(BgL_arg3049z00_2030); 
BgL_ownerz00_3640 = 
(BgL_variablez00_bglt)(BgL_ownerz00_2027); 
{ /* Effect/cgraph.scm 229 */
obj_t BgL_method2879z00_3641;
{ /* Effect/cgraph.scm 229 */
long BgL_objzd2classzd2numz00_3643;
{ /* Effect/cgraph.scm 229 */
BgL_objectz00_bglt BgL_auxz00_4496;
BgL_auxz00_4496 = 
(BgL_objectz00_bglt)(BgL_calleez00_3639); 
BgL_objzd2classzd2numz00_3643 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4496); } 
{ /* Effect/cgraph.scm 229 */
obj_t BgL_arg1221z00_3644;
{ /* Effect/cgraph.scm 229 */
int BgL_auxz00_4499;
BgL_auxz00_4499 = 
(int)(((long)1)); 
BgL_arg1221z00_3644 = 
PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4499); } 
{ /* Effect/cgraph.scm 229 */
long BgL_offsetz00_3648;
{ /* Effect/cgraph.scm 229 */
long BgL_auxz00_4502;
{ /* Effect/cgraph.scm 229 */
int BgL_auxz00_4503;
BgL_auxz00_4503 = 
(int)(BgL_objzd2classzd2numz00_3643); 
BgL_auxz00_4502 = 
(long)(BgL_auxz00_4503); } 
BgL_offsetz00_3648 = 
(BgL_auxz00_4502-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 229 */
long BgL_modz00_3649;
{ /* Effect/cgraph.scm 229 */
long BgL_auxz00_4507;
{ /* Effect/cgraph.scm 229 */
int BgL_auxz00_4508;
BgL_auxz00_4508 = 
(int)(((long)8)); 
BgL_auxz00_4507 = 
(long)(BgL_auxz00_4508); } 
BgL_modz00_3649 = 
(BgL_offsetz00_3648/BgL_auxz00_4507); } 
{ /* Effect/cgraph.scm 229 */
long BgL_restz00_3651;
{ /* Effect/cgraph.scm 229 */
long BgL_auxz00_4512;
{ /* Effect/cgraph.scm 229 */
int BgL_auxz00_4513;
BgL_auxz00_4513 = 
(int)(((long)8)); 
BgL_auxz00_4512 = 
(long)(BgL_auxz00_4513); } 
BgL_restz00_3651 = 
(BgL_offsetz00_3648%BgL_auxz00_4512); } 
{ /* Effect/cgraph.scm 229 */

{ /* Effect/cgraph.scm 229 */
obj_t BgL_bucketz00_3653;
{ /* Effect/cgraph.scm 229 */
int BgL_kz00_3663;
BgL_kz00_3663 = 
(int)(BgL_modz00_3649); 
BgL_bucketz00_3653 = 
VECTOR_REF(BgL_arg1221z00_3644,BgL_kz00_3663); } 
{ /* Effect/cgraph.scm 229 */
int BgL_kz00_3665;
BgL_kz00_3665 = 
(int)(BgL_restz00_3651); 
BgL_method2879z00_3641 = 
VECTOR_REF(BgL_bucketz00_3653,BgL_kz00_3665); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2879z00_3641)(BgL_method2879z00_3641, 
(obj_t)(BgL_calleez00_3639), 
(obj_t)(BgL_ownerz00_3640), BEOA);} } } } } 
}



/* save-call!-global/from2883 */
obj_t BGl_savezd2callz12zd2globalzf2from2883ze0zzeffect_cgraphz00(obj_t BgL_envz00_3900, obj_t BgL_calleez00_3901, obj_t BgL_ownerz00_3902)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 220 */
{ 
BgL_globalzf2fromzf2_bglt BgL_calleez00_2015;obj_t BgL_ownerz00_2016;
BgL_calleez00_2015 = 
(BgL_globalzf2fromzf2_bglt)(BgL_calleez00_3901); 
BgL_ownerz00_2016 = BgL_ownerz00_3902; 
{ /* Effect/cgraph.scm 222 */
bool_t BgL_testz00_4526;
{ /* Effect/cgraph.scm 222 */
obj_t BgL_auxz00_4527;
{ /* Effect/cgraph.scm 222 */
obj_t BgL_auxz00_4528;
{ 
obj_t BgL_auxz00_4529;
{ /* Effect/cgraph.scm 222 */
BgL_objectz00_bglt BgL_auxz00_4530;
BgL_auxz00_4530 = 
(BgL_objectz00_bglt)(BgL_calleez00_2015); 
BgL_auxz00_4529 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4530); } 
BgL_auxz00_4528 = 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4529))->BgL_fromz00); } 
BgL_auxz00_4527 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2016, BgL_auxz00_4528); } 
BgL_testz00_4526 = 
CBOOL(BgL_auxz00_4527); } 
if(BgL_testz00_4526)
{ /* Effect/cgraph.scm 222 */
return BFALSE;}  else 
{ /* Effect/cgraph.scm 223 */
obj_t BgL_arg3045z00_2021;
{ /* Effect/cgraph.scm 223 */
obj_t BgL_auxz00_4536;
{ 
obj_t BgL_auxz00_4537;
{ /* Effect/cgraph.scm 223 */
BgL_objectz00_bglt BgL_auxz00_4538;
BgL_auxz00_4538 = 
(BgL_objectz00_bglt)(BgL_calleez00_2015); 
BgL_auxz00_4537 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4538); } 
BgL_auxz00_4536 = 
(((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4537))->BgL_fromz00); } 
BgL_arg3045z00_2021 = 
MAKE_PAIR(BgL_ownerz00_2016, BgL_auxz00_4536); } 
{ 
obj_t BgL_auxz00_4543;
{ /* Effect/cgraph.scm 223 */
BgL_objectz00_bglt BgL_auxz00_4544;
BgL_auxz00_4544 = 
(BgL_objectz00_bglt)(BgL_calleez00_2015); 
BgL_auxz00_4543 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4544); } 
return 
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_auxz00_4543))->BgL_fromz00) = ((obj_t)BgL_arg3045z00_2021), BUNSPEC);} } } } } 
}



/* save-call!-global2881 */
obj_t BGl_savezd2callz12zd2global2881z12zzeffect_cgraphz00(obj_t BgL_envz00_3903, obj_t BgL_calleez00_3904, obj_t BgL_ownerz00_3905)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 208 */
{ 
BgL_globalz00_bglt BgL_calleez00_1998;obj_t BgL_ownerz00_1999;
BgL_calleez00_1998 = 
(BgL_globalz00_bglt)(BgL_calleez00_3904); 
BgL_ownerz00_1999 = BgL_ownerz00_3905; 
{ /* Effect/cgraph.scm 209 */
BgL_valuez00_bglt BgL_funz00_2002;
BgL_funz00_2002 = 
(((BgL_globalz00_bglt)CREF(BgL_calleez00_1998))->BgL_valuez00); 
{ /* Effect/cgraph.scm 210 */
bool_t BgL_test3035z00_2003;
{ /* Effect/cgraph.scm 210 */
bool_t BgL_test3040z00_2009;
BgL_test3040z00_2009 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2002), BGl_cfunz00zzast_varz00); 
if(BgL_test3040z00_2009)
{ /* Effect/cgraph.scm 210 */
BgL_test3035z00_2003 = ((bool_t)1); }  else 
{ /* Effect/cgraph.scm 211 */
bool_t BgL__andtest_2833z00_2010;
BgL__andtest_2833z00_2010 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2002), BGl_sfunz00zzast_varz00); 
if(BgL__andtest_2833z00_2010)
{ /* Effect/cgraph.scm 212 */
obj_t BgL_auxz00_4558;obj_t BgL_auxz00_4556;
BgL_auxz00_4558 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_4556 = 
(((BgL_globalz00_bglt)CREF(BgL_calleez00_1998))->BgL_importz00); 
BgL_test3035z00_2003 = 
(BgL_auxz00_4556==BgL_auxz00_4558); }  else 
{ /* Effect/cgraph.scm 211 */
BgL_test3035z00_2003 = ((bool_t)0); } } } 
if(BgL_test3035z00_2003)
{ /* Effect/cgraph.scm 213 */
bool_t BgL_testz00_4562;
{ /* Effect/cgraph.scm 213 */
BgL_funz00_bglt BgL_obj1311z00_3587;
BgL_obj1311z00_3587 = 
(BgL_funz00_bglt)(BgL_funz00_2002); 
{ /* Effect/cgraph.scm 213 */
obj_t BgL_auxz00_4564;
BgL_auxz00_4564 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_3587))->BgL_sidezd2effectzf3z21); 
BgL_testz00_4562 = 
CBOOL(BgL_auxz00_4564); } } 
if(BgL_testz00_4562)
{ /* Effect/cgraph.scm 213 */
return 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1999));}  else 
{ /* Effect/cgraph.scm 213 */
return BFALSE;} }  else 
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_arg3037z00_2005;
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_obj2834z00_2006;
BgL_obj2834z00_2006 = 
((BgL_globalzf2fromzf2_bglt)BgL_calleez00_1998); 
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_arg3038z00_2007;
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_res3147z00_3594;
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_new2712z00_3589;
BgL_new2712z00_3589 = 
((BgL_globalzf2fromzf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2fromzf2_bgl)))); 
{ /* Effect/cgraph.scm 215 */
BgL_globalzf2fromzf2_bglt BgL_res3146z00_3593;
((((BgL_globalzf2fromzf2_bglt)CREF(BgL_new2712z00_3589))->BgL_fromz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3146z00_3593 = BgL_new2712z00_3589; BgL_res3146z00_3593; } 
BgL_res3147z00_3594 = BgL_new2712z00_3589; } 
BgL_arg3038z00_2007 = BgL_res3147z00_3594; } 
{ /* Effect/cgraph.scm 215 */
obj_t BgL_auxz00_4574;BgL_objectz00_bglt BgL_auxz00_4572;
BgL_auxz00_4574 = 
(obj_t)(BgL_arg3038z00_2007); 
BgL_auxz00_4572 = 
(BgL_objectz00_bglt)(BgL_obj2834z00_2006); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4572, BgL_auxz00_4574); } } 
{ /* Effect/cgraph.scm 215 */
long BgL_arg3039z00_2008;
BgL_arg3039z00_2008 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2fromzf2zzeffect_cgraphz00); 
{ /* Effect/cgraph.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4578;
BgL_auxz00_4578 = 
(BgL_objectz00_bglt)(BgL_obj2834z00_2006); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4578, BgL_arg3039z00_2008); } } 
{ /* Effect/cgraph.scm 215 */
obj_t BgL_auxz00_4581;
BgL_auxz00_4581 = 
(obj_t)(BgL_obj2834z00_2006); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4581); } BUNSPEC; 
BgL_arg3037z00_2005 = BgL_obj2834z00_2006; } 
{ /* Effect/cgraph.scm 215 */
BgL_variablez00_bglt BgL_calleez00_3598;BgL_variablez00_bglt BgL_ownerz00_3599;
BgL_calleez00_3598 = 
(BgL_variablez00_bglt)(BgL_arg3037z00_2005); 
BgL_ownerz00_3599 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1999); 
{ /* Effect/cgraph.scm 215 */
obj_t BgL_method2879z00_3600;
{ /* Effect/cgraph.scm 215 */
long BgL_objzd2classzd2numz00_3602;
{ /* Effect/cgraph.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4586;
BgL_auxz00_4586 = 
(BgL_objectz00_bglt)(BgL_calleez00_3598); 
BgL_objzd2classzd2numz00_3602 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4586); } 
{ /* Effect/cgraph.scm 215 */
obj_t BgL_arg1221z00_3603;
{ /* Effect/cgraph.scm 215 */
int BgL_auxz00_4589;
BgL_auxz00_4589 = 
(int)(((long)1)); 
BgL_arg1221z00_3603 = 
PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4589); } 
{ /* Effect/cgraph.scm 215 */
long BgL_offsetz00_3607;
{ /* Effect/cgraph.scm 215 */
long BgL_auxz00_4592;
{ /* Effect/cgraph.scm 215 */
int BgL_auxz00_4593;
BgL_auxz00_4593 = 
(int)(BgL_objzd2classzd2numz00_3602); 
BgL_auxz00_4592 = 
(long)(BgL_auxz00_4593); } 
BgL_offsetz00_3607 = 
(BgL_auxz00_4592-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 215 */
long BgL_modz00_3608;
{ /* Effect/cgraph.scm 215 */
long BgL_auxz00_4597;
{ /* Effect/cgraph.scm 215 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)8)); 
BgL_auxz00_4597 = 
(long)(BgL_auxz00_4598); } 
BgL_modz00_3608 = 
(BgL_offsetz00_3607/BgL_auxz00_4597); } 
{ /* Effect/cgraph.scm 215 */
long BgL_restz00_3610;
{ /* Effect/cgraph.scm 215 */
long BgL_auxz00_4602;
{ /* Effect/cgraph.scm 215 */
int BgL_auxz00_4603;
BgL_auxz00_4603 = 
(int)(((long)8)); 
BgL_auxz00_4602 = 
(long)(BgL_auxz00_4603); } 
BgL_restz00_3610 = 
(BgL_offsetz00_3607%BgL_auxz00_4602); } 
{ /* Effect/cgraph.scm 215 */

{ /* Effect/cgraph.scm 215 */
obj_t BgL_bucketz00_3612;
{ /* Effect/cgraph.scm 215 */
int BgL_kz00_3622;
BgL_kz00_3622 = 
(int)(BgL_modz00_3608); 
BgL_bucketz00_3612 = 
VECTOR_REF(BgL_arg1221z00_3603,BgL_kz00_3622); } 
{ /* Effect/cgraph.scm 215 */
int BgL_kz00_3624;
BgL_kz00_3624 = 
(int)(BgL_restz00_3610); 
BgL_method2879z00_3600 = 
VECTOR_REF(BgL_bucketz00_3612,BgL_kz00_3624); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2879z00_3600)(BgL_method2879z00_3600, 
(obj_t)(BgL_calleez00_3598), 
(obj_t)(BgL_ownerz00_3599), BEOA);} } } } } } } 
}



/* call-graph!-box-set!2877 */
obj_t BGl_callzd2graphz12zd2boxzd2setz122877zd2zzeffect_cgraphz00(obj_t BgL_envz00_3906, obj_t BgL_nodez00_3907, obj_t BgL_ownerz00_3908)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 187 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1985;obj_t BgL_ownerz00_1986;
BgL_nodez00_1985 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3907); 
BgL_ownerz00_1986 = BgL_ownerz00_3908; 
{ /* Effect/cgraph.scm 189 */
bool_t BgL_test3028z00_1990;
{ /* Effect/cgraph.scm 189 */
bool_t BgL_test3029z00_1991;
BgL_test3029z00_1991 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1986, BGl_localz00zzast_varz00); 
if(BgL_test3029z00_1991)
{ /* Effect/cgraph.scm 189 */
BgL_test3028z00_1990 = ((bool_t)1); }  else 
{ /* Effect/cgraph.scm 189 */
obj_t BgL_auxz00_4618;
{ /* Effect/cgraph.scm 189 */
BgL_variablez00_bglt BgL_auxz00_4619;
{ /* Effect/cgraph.scm 189 */
BgL_varz00_bglt BgL_arg3031z00_1993;
BgL_arg3031z00_1993 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1985))->BgL_varz00); 
BgL_auxz00_4619 = 
(((BgL_varz00_bglt)CREF(BgL_arg3031z00_1993))->BgL_variablez00); } 
BgL_auxz00_4618 = 
(obj_t)(BgL_auxz00_4619); } 
BgL_test3028z00_1990 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4618, BGl_globalz00zzast_varz00); } } 
if(BgL_test3028z00_1990)
{ /* Effect/cgraph.scm 189 */
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1986)); }  else 
{ /* Effect/cgraph.scm 189 */BFALSE; } } 
{ /* Effect/cgraph.scm 191 */
BgL_nodez00_bglt BgL_nodez00_3528;BgL_variablez00_bglt BgL_ownerz00_3529;
{ /* Effect/cgraph.scm 191 */
BgL_varz00_bglt BgL_auxz00_4627;
BgL_auxz00_4627 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1985))->BgL_varz00); 
BgL_nodez00_3528 = 
(BgL_nodez00_bglt)(BgL_auxz00_4627); } 
BgL_ownerz00_3529 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1986); 
{ /* Effect/cgraph.scm 191 */
obj_t BgL_method2843z00_3530;
{ /* Effect/cgraph.scm 191 */
long BgL_objzd2classzd2numz00_3532;
{ /* Effect/cgraph.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4631;
BgL_auxz00_4631 = 
(BgL_objectz00_bglt)(BgL_nodez00_3528); 
BgL_objzd2classzd2numz00_3532 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4631); } 
{ /* Effect/cgraph.scm 191 */
obj_t BgL_arg1221z00_3533;
{ /* Effect/cgraph.scm 191 */
int BgL_auxz00_4634;
BgL_auxz00_4634 = 
(int)(((long)1)); 
BgL_arg1221z00_3533 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4634); } 
{ /* Effect/cgraph.scm 191 */
long BgL_offsetz00_3537;
{ /* Effect/cgraph.scm 191 */
long BgL_auxz00_4637;
{ /* Effect/cgraph.scm 191 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(BgL_objzd2classzd2numz00_3532); 
BgL_auxz00_4637 = 
(long)(BgL_auxz00_4638); } 
BgL_offsetz00_3537 = 
(BgL_auxz00_4637-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 191 */
long BgL_modz00_3538;
{ /* Effect/cgraph.scm 191 */
long BgL_auxz00_4642;
{ /* Effect/cgraph.scm 191 */
int BgL_auxz00_4643;
BgL_auxz00_4643 = 
(int)(((long)8)); 
BgL_auxz00_4642 = 
(long)(BgL_auxz00_4643); } 
BgL_modz00_3538 = 
(BgL_offsetz00_3537/BgL_auxz00_4642); } 
{ /* Effect/cgraph.scm 191 */
long BgL_restz00_3540;
{ /* Effect/cgraph.scm 191 */
long BgL_auxz00_4647;
{ /* Effect/cgraph.scm 191 */
int BgL_auxz00_4648;
BgL_auxz00_4648 = 
(int)(((long)8)); 
BgL_auxz00_4647 = 
(long)(BgL_auxz00_4648); } 
BgL_restz00_3540 = 
(BgL_offsetz00_3537%BgL_auxz00_4647); } 
{ /* Effect/cgraph.scm 191 */

{ /* Effect/cgraph.scm 191 */
obj_t BgL_bucketz00_3542;
{ /* Effect/cgraph.scm 191 */
int BgL_kz00_3552;
BgL_kz00_3552 = 
(int)(BgL_modz00_3538); 
BgL_bucketz00_3542 = 
VECTOR_REF(BgL_arg1221z00_3533,BgL_kz00_3552); } 
{ /* Effect/cgraph.scm 191 */
int BgL_kz00_3554;
BgL_kz00_3554 = 
(int)(BgL_restz00_3540); 
BgL_method2843z00_3530 = 
VECTOR_REF(BgL_bucketz00_3542,BgL_kz00_3554); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3530)(BgL_method2843z00_3530, 
(obj_t)(BgL_nodez00_3528), 
(obj_t)(BgL_ownerz00_3529), BEOA); } } 
{ /* Effect/cgraph.scm 192 */
BgL_nodez00_bglt BgL_arg3033z00_1995;
BgL_arg3033z00_1995 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1985))->BgL_valuez00); 
{ /* Effect/cgraph.scm 192 */
BgL_variablez00_bglt BgL_ownerz00_3557;
BgL_ownerz00_3557 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1986); 
{ /* Effect/cgraph.scm 192 */
obj_t BgL_method2843z00_3558;
{ /* Effect/cgraph.scm 192 */
long BgL_objzd2classzd2numz00_3560;
{ /* Effect/cgraph.scm 192 */
BgL_objectz00_bglt BgL_auxz00_4662;
BgL_auxz00_4662 = 
(BgL_objectz00_bglt)(BgL_arg3033z00_1995); 
BgL_objzd2classzd2numz00_3560 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4662); } 
{ /* Effect/cgraph.scm 192 */
obj_t BgL_arg1221z00_3561;
{ /* Effect/cgraph.scm 192 */
int BgL_auxz00_4665;
BgL_auxz00_4665 = 
(int)(((long)1)); 
BgL_arg1221z00_3561 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4665); } 
{ /* Effect/cgraph.scm 192 */
long BgL_offsetz00_3565;
{ /* Effect/cgraph.scm 192 */
long BgL_auxz00_4668;
{ /* Effect/cgraph.scm 192 */
int BgL_auxz00_4669;
BgL_auxz00_4669 = 
(int)(BgL_objzd2classzd2numz00_3560); 
BgL_auxz00_4668 = 
(long)(BgL_auxz00_4669); } 
BgL_offsetz00_3565 = 
(BgL_auxz00_4668-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 192 */
long BgL_modz00_3566;
{ /* Effect/cgraph.scm 192 */
long BgL_auxz00_4673;
{ /* Effect/cgraph.scm 192 */
int BgL_auxz00_4674;
BgL_auxz00_4674 = 
(int)(((long)8)); 
BgL_auxz00_4673 = 
(long)(BgL_auxz00_4674); } 
BgL_modz00_3566 = 
(BgL_offsetz00_3565/BgL_auxz00_4673); } 
{ /* Effect/cgraph.scm 192 */
long BgL_restz00_3568;
{ /* Effect/cgraph.scm 192 */
long BgL_auxz00_4678;
{ /* Effect/cgraph.scm 192 */
int BgL_auxz00_4679;
BgL_auxz00_4679 = 
(int)(((long)8)); 
BgL_auxz00_4678 = 
(long)(BgL_auxz00_4679); } 
BgL_restz00_3568 = 
(BgL_offsetz00_3565%BgL_auxz00_4678); } 
{ /* Effect/cgraph.scm 192 */

{ /* Effect/cgraph.scm 192 */
obj_t BgL_bucketz00_3570;
{ /* Effect/cgraph.scm 192 */
int BgL_kz00_3580;
BgL_kz00_3580 = 
(int)(BgL_modz00_3566); 
BgL_bucketz00_3570 = 
VECTOR_REF(BgL_arg1221z00_3561,BgL_kz00_3580); } 
{ /* Effect/cgraph.scm 192 */
int BgL_kz00_3582;
BgL_kz00_3582 = 
(int)(BgL_restz00_3568); 
BgL_method2843z00_3558 = 
VECTOR_REF(BgL_bucketz00_3570,BgL_kz00_3582); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3558)(BgL_method2843z00_3558, 
(obj_t)(BgL_arg3033z00_1995), 
(obj_t)(BgL_ownerz00_3557), BEOA);} } } } } 
}



/* call-graph!-box-ref2875 */
obj_t BGl_callzd2graphz12zd2boxzd2ref2875zc0zzeffect_cgraphz00(obj_t BgL_envz00_3909, obj_t BgL_nodez00_3910, obj_t BgL_ownerz00_3911)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 179 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1978;obj_t BgL_ownerz00_1979;
BgL_nodez00_1978 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3910); 
BgL_ownerz00_1979 = BgL_ownerz00_3911; 
{ /* Effect/cgraph.scm 180 */
BgL_nodez00_bglt BgL_nodez00_3496;BgL_variablez00_bglt BgL_ownerz00_3497;
{ /* Effect/cgraph.scm 180 */
BgL_varz00_bglt BgL_auxz00_4692;
BgL_auxz00_4692 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1978))->BgL_varz00); 
BgL_nodez00_3496 = 
(BgL_nodez00_bglt)(BgL_auxz00_4692); } 
BgL_ownerz00_3497 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1979); 
{ /* Effect/cgraph.scm 180 */
obj_t BgL_method2843z00_3498;
{ /* Effect/cgraph.scm 180 */
long BgL_objzd2classzd2numz00_3500;
{ /* Effect/cgraph.scm 180 */
BgL_objectz00_bglt BgL_auxz00_4696;
BgL_auxz00_4696 = 
(BgL_objectz00_bglt)(BgL_nodez00_3496); 
BgL_objzd2classzd2numz00_3500 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4696); } 
{ /* Effect/cgraph.scm 180 */
obj_t BgL_arg1221z00_3501;
{ /* Effect/cgraph.scm 180 */
int BgL_auxz00_4699;
BgL_auxz00_4699 = 
(int)(((long)1)); 
BgL_arg1221z00_3501 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4699); } 
{ /* Effect/cgraph.scm 180 */
long BgL_offsetz00_3505;
{ /* Effect/cgraph.scm 180 */
long BgL_auxz00_4702;
{ /* Effect/cgraph.scm 180 */
int BgL_auxz00_4703;
BgL_auxz00_4703 = 
(int)(BgL_objzd2classzd2numz00_3500); 
BgL_auxz00_4702 = 
(long)(BgL_auxz00_4703); } 
BgL_offsetz00_3505 = 
(BgL_auxz00_4702-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 180 */
long BgL_modz00_3506;
{ /* Effect/cgraph.scm 180 */
long BgL_auxz00_4707;
{ /* Effect/cgraph.scm 180 */
int BgL_auxz00_4708;
BgL_auxz00_4708 = 
(int)(((long)8)); 
BgL_auxz00_4707 = 
(long)(BgL_auxz00_4708); } 
BgL_modz00_3506 = 
(BgL_offsetz00_3505/BgL_auxz00_4707); } 
{ /* Effect/cgraph.scm 180 */
long BgL_restz00_3508;
{ /* Effect/cgraph.scm 180 */
long BgL_auxz00_4712;
{ /* Effect/cgraph.scm 180 */
int BgL_auxz00_4713;
BgL_auxz00_4713 = 
(int)(((long)8)); 
BgL_auxz00_4712 = 
(long)(BgL_auxz00_4713); } 
BgL_restz00_3508 = 
(BgL_offsetz00_3505%BgL_auxz00_4712); } 
{ /* Effect/cgraph.scm 180 */

{ /* Effect/cgraph.scm 180 */
obj_t BgL_bucketz00_3510;
{ /* Effect/cgraph.scm 180 */
int BgL_kz00_3520;
BgL_kz00_3520 = 
(int)(BgL_modz00_3506); 
BgL_bucketz00_3510 = 
VECTOR_REF(BgL_arg1221z00_3501,BgL_kz00_3520); } 
{ /* Effect/cgraph.scm 180 */
int BgL_kz00_3522;
BgL_kz00_3522 = 
(int)(BgL_restz00_3508); 
BgL_method2843z00_3498 = 
VECTOR_REF(BgL_bucketz00_3510,BgL_kz00_3522); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3498)(BgL_method2843z00_3498, 
(obj_t)(BgL_nodez00_3496), 
(obj_t)(BgL_ownerz00_3497), BEOA);} } } } 
}



/* call-graph!-make-box2873 */
obj_t BGl_callzd2graphz12zd2makezd2box2873zc0zzeffect_cgraphz00(obj_t BgL_envz00_3912, obj_t BgL_nodez00_3913, obj_t BgL_ownerz00_3914)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 173 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1971;obj_t BgL_ownerz00_1972;
BgL_nodez00_1971 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3913); 
BgL_ownerz00_1972 = BgL_ownerz00_3914; 
{ /* Effect/cgraph.scm 174 */
BgL_nodez00_bglt BgL_arg3024z00_3465;
BgL_arg3024z00_3465 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1971))->BgL_valuez00); 
{ /* Effect/cgraph.scm 174 */
BgL_variablez00_bglt BgL_ownerz00_3468;
BgL_ownerz00_3468 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1972); 
{ /* Effect/cgraph.scm 174 */
obj_t BgL_method2843z00_3469;
{ /* Effect/cgraph.scm 174 */
long BgL_objzd2classzd2numz00_3471;
{ /* Effect/cgraph.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4728;
BgL_auxz00_4728 = 
(BgL_objectz00_bglt)(BgL_arg3024z00_3465); 
BgL_objzd2classzd2numz00_3471 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4728); } 
{ /* Effect/cgraph.scm 174 */
obj_t BgL_arg1221z00_3472;
{ /* Effect/cgraph.scm 174 */
int BgL_auxz00_4731;
BgL_auxz00_4731 = 
(int)(((long)1)); 
BgL_arg1221z00_3472 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4731); } 
{ /* Effect/cgraph.scm 174 */
long BgL_offsetz00_3476;
{ /* Effect/cgraph.scm 174 */
long BgL_auxz00_4734;
{ /* Effect/cgraph.scm 174 */
int BgL_auxz00_4735;
BgL_auxz00_4735 = 
(int)(BgL_objzd2classzd2numz00_3471); 
BgL_auxz00_4734 = 
(long)(BgL_auxz00_4735); } 
BgL_offsetz00_3476 = 
(BgL_auxz00_4734-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 174 */
long BgL_modz00_3477;
{ /* Effect/cgraph.scm 174 */
long BgL_auxz00_4739;
{ /* Effect/cgraph.scm 174 */
int BgL_auxz00_4740;
BgL_auxz00_4740 = 
(int)(((long)8)); 
BgL_auxz00_4739 = 
(long)(BgL_auxz00_4740); } 
BgL_modz00_3477 = 
(BgL_offsetz00_3476/BgL_auxz00_4739); } 
{ /* Effect/cgraph.scm 174 */
long BgL_restz00_3479;
{ /* Effect/cgraph.scm 174 */
long BgL_auxz00_4744;
{ /* Effect/cgraph.scm 174 */
int BgL_auxz00_4745;
BgL_auxz00_4745 = 
(int)(((long)8)); 
BgL_auxz00_4744 = 
(long)(BgL_auxz00_4745); } 
BgL_restz00_3479 = 
(BgL_offsetz00_3476%BgL_auxz00_4744); } 
{ /* Effect/cgraph.scm 174 */

{ /* Effect/cgraph.scm 174 */
obj_t BgL_bucketz00_3481;
{ /* Effect/cgraph.scm 174 */
int BgL_kz00_3491;
BgL_kz00_3491 = 
(int)(BgL_modz00_3477); 
BgL_bucketz00_3481 = 
VECTOR_REF(BgL_arg1221z00_3472,BgL_kz00_3491); } 
{ /* Effect/cgraph.scm 174 */
int BgL_kz00_3493;
BgL_kz00_3493 = 
(int)(BgL_restz00_3479); 
BgL_method2843z00_3469 = 
VECTOR_REF(BgL_bucketz00_3481,BgL_kz00_3493); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3469)(BgL_method2843z00_3469, 
(obj_t)(BgL_arg3024z00_3465), 
(obj_t)(BgL_ownerz00_3468), BEOA);} } } } } 
}



/* call-graph!-jump-ex-it2871 */
obj_t BGl_callzd2graphz12zd2jumpzd2exzd2it2871z12zzeffect_cgraphz00(obj_t BgL_envz00_3915, obj_t BgL_nodez00_3916, obj_t BgL_ownerz00_3917)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 164 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1962;obj_t BgL_ownerz00_1963;
BgL_nodez00_1962 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3916); 
BgL_ownerz00_1963 = BgL_ownerz00_3917; 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1963)); 
{ /* Effect/cgraph.scm 167 */
BgL_nodez00_bglt BgL_arg3021z00_1967;
BgL_arg3021z00_1967 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1962))->BgL_exitz00); 
{ /* Effect/cgraph.scm 167 */
BgL_variablez00_bglt BgL_ownerz00_3411;
BgL_ownerz00_3411 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1963); 
{ /* Effect/cgraph.scm 167 */
obj_t BgL_method2843z00_3412;
{ /* Effect/cgraph.scm 167 */
long BgL_objzd2classzd2numz00_3414;
{ /* Effect/cgraph.scm 167 */
BgL_objectz00_bglt BgL_auxz00_4762;
BgL_auxz00_4762 = 
(BgL_objectz00_bglt)(BgL_arg3021z00_1967); 
BgL_objzd2classzd2numz00_3414 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4762); } 
{ /* Effect/cgraph.scm 167 */
obj_t BgL_arg1221z00_3415;
{ /* Effect/cgraph.scm 167 */
int BgL_auxz00_4765;
BgL_auxz00_4765 = 
(int)(((long)1)); 
BgL_arg1221z00_3415 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4765); } 
{ /* Effect/cgraph.scm 167 */
long BgL_offsetz00_3419;
{ /* Effect/cgraph.scm 167 */
long BgL_auxz00_4768;
{ /* Effect/cgraph.scm 167 */
int BgL_auxz00_4769;
BgL_auxz00_4769 = 
(int)(BgL_objzd2classzd2numz00_3414); 
BgL_auxz00_4768 = 
(long)(BgL_auxz00_4769); } 
BgL_offsetz00_3419 = 
(BgL_auxz00_4768-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 167 */
long BgL_modz00_3420;
{ /* Effect/cgraph.scm 167 */
long BgL_auxz00_4773;
{ /* Effect/cgraph.scm 167 */
int BgL_auxz00_4774;
BgL_auxz00_4774 = 
(int)(((long)8)); 
BgL_auxz00_4773 = 
(long)(BgL_auxz00_4774); } 
BgL_modz00_3420 = 
(BgL_offsetz00_3419/BgL_auxz00_4773); } 
{ /* Effect/cgraph.scm 167 */
long BgL_restz00_3422;
{ /* Effect/cgraph.scm 167 */
long BgL_auxz00_4778;
{ /* Effect/cgraph.scm 167 */
int BgL_auxz00_4779;
BgL_auxz00_4779 = 
(int)(((long)8)); 
BgL_auxz00_4778 = 
(long)(BgL_auxz00_4779); } 
BgL_restz00_3422 = 
(BgL_offsetz00_3419%BgL_auxz00_4778); } 
{ /* Effect/cgraph.scm 167 */

{ /* Effect/cgraph.scm 167 */
obj_t BgL_bucketz00_3424;
{ /* Effect/cgraph.scm 167 */
int BgL_kz00_3434;
BgL_kz00_3434 = 
(int)(BgL_modz00_3420); 
BgL_bucketz00_3424 = 
VECTOR_REF(BgL_arg1221z00_3415,BgL_kz00_3434); } 
{ /* Effect/cgraph.scm 167 */
int BgL_kz00_3436;
BgL_kz00_3436 = 
(int)(BgL_restz00_3422); 
BgL_method2843z00_3412 = 
VECTOR_REF(BgL_bucketz00_3424,BgL_kz00_3436); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3412)(BgL_method2843z00_3412, 
(obj_t)(BgL_arg3021z00_1967), 
(obj_t)(BgL_ownerz00_3411), BEOA); } } } 
{ /* Effect/cgraph.scm 168 */
BgL_nodez00_bglt BgL_arg3022z00_1968;
BgL_arg3022z00_1968 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1962))->BgL_valuez00); 
{ /* Effect/cgraph.scm 168 */
BgL_variablez00_bglt BgL_ownerz00_3439;
BgL_ownerz00_3439 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1963); 
{ /* Effect/cgraph.scm 168 */
obj_t BgL_method2843z00_3440;
{ /* Effect/cgraph.scm 168 */
long BgL_objzd2classzd2numz00_3442;
{ /* Effect/cgraph.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4793;
BgL_auxz00_4793 = 
(BgL_objectz00_bglt)(BgL_arg3022z00_1968); 
BgL_objzd2classzd2numz00_3442 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4793); } 
{ /* Effect/cgraph.scm 168 */
obj_t BgL_arg1221z00_3443;
{ /* Effect/cgraph.scm 168 */
int BgL_auxz00_4796;
BgL_auxz00_4796 = 
(int)(((long)1)); 
BgL_arg1221z00_3443 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4796); } 
{ /* Effect/cgraph.scm 168 */
long BgL_offsetz00_3447;
{ /* Effect/cgraph.scm 168 */
long BgL_auxz00_4799;
{ /* Effect/cgraph.scm 168 */
int BgL_auxz00_4800;
BgL_auxz00_4800 = 
(int)(BgL_objzd2classzd2numz00_3442); 
BgL_auxz00_4799 = 
(long)(BgL_auxz00_4800); } 
BgL_offsetz00_3447 = 
(BgL_auxz00_4799-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 168 */
long BgL_modz00_3448;
{ /* Effect/cgraph.scm 168 */
long BgL_auxz00_4804;
{ /* Effect/cgraph.scm 168 */
int BgL_auxz00_4805;
BgL_auxz00_4805 = 
(int)(((long)8)); 
BgL_auxz00_4804 = 
(long)(BgL_auxz00_4805); } 
BgL_modz00_3448 = 
(BgL_offsetz00_3447/BgL_auxz00_4804); } 
{ /* Effect/cgraph.scm 168 */
long BgL_restz00_3450;
{ /* Effect/cgraph.scm 168 */
long BgL_auxz00_4809;
{ /* Effect/cgraph.scm 168 */
int BgL_auxz00_4810;
BgL_auxz00_4810 = 
(int)(((long)8)); 
BgL_auxz00_4809 = 
(long)(BgL_auxz00_4810); } 
BgL_restz00_3450 = 
(BgL_offsetz00_3447%BgL_auxz00_4809); } 
{ /* Effect/cgraph.scm 168 */

{ /* Effect/cgraph.scm 168 */
obj_t BgL_bucketz00_3452;
{ /* Effect/cgraph.scm 168 */
int BgL_kz00_3462;
BgL_kz00_3462 = 
(int)(BgL_modz00_3448); 
BgL_bucketz00_3452 = 
VECTOR_REF(BgL_arg1221z00_3443,BgL_kz00_3462); } 
{ /* Effect/cgraph.scm 168 */
int BgL_kz00_3464;
BgL_kz00_3464 = 
(int)(BgL_restz00_3450); 
BgL_method2843z00_3440 = 
VECTOR_REF(BgL_bucketz00_3452,BgL_kz00_3464); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3440)(BgL_method2843z00_3440, 
(obj_t)(BgL_arg3022z00_1968), 
(obj_t)(BgL_ownerz00_3439), BEOA);} } } } } 
}



/* call-graph!-set-ex-it2869 */
obj_t BGl_callzd2graphz12zd2setzd2exzd2it2869z12zzeffect_cgraphz00(obj_t BgL_envz00_3918, obj_t BgL_nodez00_3919, obj_t BgL_ownerz00_3920)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 156 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1954;obj_t BgL_ownerz00_1955;
BgL_nodez00_1954 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3919); 
BgL_ownerz00_1955 = BgL_ownerz00_3920; 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1955)); 
{ /* Effect/cgraph.scm 159 */
BgL_nodez00_bglt BgL_arg3019z00_3380;
BgL_arg3019z00_3380 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1954))->BgL_bodyz00); 
{ /* Effect/cgraph.scm 159 */
BgL_variablez00_bglt BgL_ownerz00_3383;
BgL_ownerz00_3383 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1955); 
{ /* Effect/cgraph.scm 159 */
obj_t BgL_method2843z00_3384;
{ /* Effect/cgraph.scm 159 */
long BgL_objzd2classzd2numz00_3386;
{ /* Effect/cgraph.scm 159 */
BgL_objectz00_bglt BgL_auxz00_4827;
BgL_auxz00_4827 = 
(BgL_objectz00_bglt)(BgL_arg3019z00_3380); 
BgL_objzd2classzd2numz00_3386 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4827); } 
{ /* Effect/cgraph.scm 159 */
obj_t BgL_arg1221z00_3387;
{ /* Effect/cgraph.scm 159 */
int BgL_auxz00_4830;
BgL_auxz00_4830 = 
(int)(((long)1)); 
BgL_arg1221z00_3387 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4830); } 
{ /* Effect/cgraph.scm 159 */
long BgL_offsetz00_3391;
{ /* Effect/cgraph.scm 159 */
long BgL_auxz00_4833;
{ /* Effect/cgraph.scm 159 */
int BgL_auxz00_4834;
BgL_auxz00_4834 = 
(int)(BgL_objzd2classzd2numz00_3386); 
BgL_auxz00_4833 = 
(long)(BgL_auxz00_4834); } 
BgL_offsetz00_3391 = 
(BgL_auxz00_4833-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 159 */
long BgL_modz00_3392;
{ /* Effect/cgraph.scm 159 */
long BgL_auxz00_4838;
{ /* Effect/cgraph.scm 159 */
int BgL_auxz00_4839;
BgL_auxz00_4839 = 
(int)(((long)8)); 
BgL_auxz00_4838 = 
(long)(BgL_auxz00_4839); } 
BgL_modz00_3392 = 
(BgL_offsetz00_3391/BgL_auxz00_4838); } 
{ /* Effect/cgraph.scm 159 */
long BgL_restz00_3394;
{ /* Effect/cgraph.scm 159 */
long BgL_auxz00_4843;
{ /* Effect/cgraph.scm 159 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)8)); 
BgL_auxz00_4843 = 
(long)(BgL_auxz00_4844); } 
BgL_restz00_3394 = 
(BgL_offsetz00_3391%BgL_auxz00_4843); } 
{ /* Effect/cgraph.scm 159 */

{ /* Effect/cgraph.scm 159 */
obj_t BgL_bucketz00_3396;
{ /* Effect/cgraph.scm 159 */
int BgL_kz00_3406;
BgL_kz00_3406 = 
(int)(BgL_modz00_3392); 
BgL_bucketz00_3396 = 
VECTOR_REF(BgL_arg1221z00_3387,BgL_kz00_3406); } 
{ /* Effect/cgraph.scm 159 */
int BgL_kz00_3408;
BgL_kz00_3408 = 
(int)(BgL_restz00_3394); 
BgL_method2843z00_3384 = 
VECTOR_REF(BgL_bucketz00_3396,BgL_kz00_3408); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3384)(BgL_method2843z00_3384, 
(obj_t)(BgL_arg3019z00_3380), 
(obj_t)(BgL_ownerz00_3383), BEOA);} } } } } 
}



/* call-graph!-let-var2867 */
obj_t BGl_callzd2graphz12zd2letzd2var2867zc0zzeffect_cgraphz00(obj_t BgL_envz00_3921, obj_t BgL_nodez00_3922, obj_t BgL_ownerz00_3923)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 146 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1939;obj_t BgL_ownerz00_1940;
{ /* Effect/cgraph.scm 147 */
bool_t BgL_auxz00_4857;
BgL_nodez00_1939 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3922); 
BgL_ownerz00_1940 = BgL_ownerz00_3923; 
{ /* Effect/cgraph.scm 148 */
BgL_nodez00_bglt BgL_arg3013z00_1944;
BgL_arg3013z00_1944 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1939))->BgL_bodyz00); 
{ /* Effect/cgraph.scm 148 */
BgL_variablez00_bglt BgL_ownerz00_3322;
BgL_ownerz00_3322 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1940); 
{ /* Effect/cgraph.scm 148 */
obj_t BgL_method2843z00_3323;
{ /* Effect/cgraph.scm 148 */
long BgL_objzd2classzd2numz00_3325;
{ /* Effect/cgraph.scm 148 */
BgL_objectz00_bglt BgL_auxz00_4860;
BgL_auxz00_4860 = 
(BgL_objectz00_bglt)(BgL_arg3013z00_1944); 
BgL_objzd2classzd2numz00_3325 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4860); } 
{ /* Effect/cgraph.scm 148 */
obj_t BgL_arg1221z00_3326;
{ /* Effect/cgraph.scm 148 */
int BgL_auxz00_4863;
BgL_auxz00_4863 = 
(int)(((long)1)); 
BgL_arg1221z00_3326 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4863); } 
{ /* Effect/cgraph.scm 148 */
long BgL_offsetz00_3330;
{ /* Effect/cgraph.scm 148 */
long BgL_auxz00_4866;
{ /* Effect/cgraph.scm 148 */
int BgL_auxz00_4867;
BgL_auxz00_4867 = 
(int)(BgL_objzd2classzd2numz00_3325); 
BgL_auxz00_4866 = 
(long)(BgL_auxz00_4867); } 
BgL_offsetz00_3330 = 
(BgL_auxz00_4866-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 148 */
long BgL_modz00_3331;
{ /* Effect/cgraph.scm 148 */
long BgL_auxz00_4871;
{ /* Effect/cgraph.scm 148 */
int BgL_auxz00_4872;
BgL_auxz00_4872 = 
(int)(((long)8)); 
BgL_auxz00_4871 = 
(long)(BgL_auxz00_4872); } 
BgL_modz00_3331 = 
(BgL_offsetz00_3330/BgL_auxz00_4871); } 
{ /* Effect/cgraph.scm 148 */
long BgL_restz00_3333;
{ /* Effect/cgraph.scm 148 */
long BgL_auxz00_4876;
{ /* Effect/cgraph.scm 148 */
int BgL_auxz00_4877;
BgL_auxz00_4877 = 
(int)(((long)8)); 
BgL_auxz00_4876 = 
(long)(BgL_auxz00_4877); } 
BgL_restz00_3333 = 
(BgL_offsetz00_3330%BgL_auxz00_4876); } 
{ /* Effect/cgraph.scm 148 */

{ /* Effect/cgraph.scm 148 */
obj_t BgL_bucketz00_3335;
{ /* Effect/cgraph.scm 148 */
int BgL_kz00_3345;
BgL_kz00_3345 = 
(int)(BgL_modz00_3331); 
BgL_bucketz00_3335 = 
VECTOR_REF(BgL_arg1221z00_3326,BgL_kz00_3345); } 
{ /* Effect/cgraph.scm 148 */
int BgL_kz00_3347;
BgL_kz00_3347 = 
(int)(BgL_restz00_3333); 
BgL_method2843z00_3323 = 
VECTOR_REF(BgL_bucketz00_3335,BgL_kz00_3347); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3323)(BgL_method2843z00_3323, 
(obj_t)(BgL_arg3013z00_1944), 
(obj_t)(BgL_ownerz00_3322), BEOA); } } } 
{ 
obj_t BgL_l2823z00_1945;
BgL_l2823z00_1945 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1939))->BgL_bindingsz00); 
BgL_lname2824z00_1946:
if(
PAIRP(BgL_l2823z00_1945))
{ /* Effect/cgraph.scm 149 */
{ /* Effect/cgraph.scm 150 */
BgL_nodez00_bglt BgL_nodez00_3352;BgL_variablez00_bglt BgL_ownerz00_3353;
{ /* Effect/cgraph.scm 150 */
obj_t BgL_auxz00_4891;
{ /* Effect/cgraph.scm 150 */
obj_t BgL_auxz00_4892;
BgL_auxz00_4892 = 
CAR(BgL_l2823z00_1945); 
BgL_auxz00_4891 = 
CDR(BgL_auxz00_4892); } 
BgL_nodez00_3352 = 
(BgL_nodez00_bglt)(BgL_auxz00_4891); } 
BgL_ownerz00_3353 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1940); 
{ /* Effect/cgraph.scm 150 */
obj_t BgL_method2843z00_3354;
{ /* Effect/cgraph.scm 150 */
long BgL_objzd2classzd2numz00_3356;
{ /* Effect/cgraph.scm 150 */
BgL_objectz00_bglt BgL_auxz00_4897;
BgL_auxz00_4897 = 
(BgL_objectz00_bglt)(BgL_nodez00_3352); 
BgL_objzd2classzd2numz00_3356 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4897); } 
{ /* Effect/cgraph.scm 150 */
obj_t BgL_arg1221z00_3357;
{ /* Effect/cgraph.scm 150 */
int BgL_auxz00_4900;
BgL_auxz00_4900 = 
(int)(((long)1)); 
BgL_arg1221z00_3357 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4900); } 
{ /* Effect/cgraph.scm 150 */
long BgL_offsetz00_3361;
{ /* Effect/cgraph.scm 150 */
long BgL_auxz00_4903;
{ /* Effect/cgraph.scm 150 */
int BgL_auxz00_4904;
BgL_auxz00_4904 = 
(int)(BgL_objzd2classzd2numz00_3356); 
BgL_auxz00_4903 = 
(long)(BgL_auxz00_4904); } 
BgL_offsetz00_3361 = 
(BgL_auxz00_4903-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 150 */
long BgL_modz00_3362;
{ /* Effect/cgraph.scm 150 */
long BgL_auxz00_4908;
{ /* Effect/cgraph.scm 150 */
int BgL_auxz00_4909;
BgL_auxz00_4909 = 
(int)(((long)8)); 
BgL_auxz00_4908 = 
(long)(BgL_auxz00_4909); } 
BgL_modz00_3362 = 
(BgL_offsetz00_3361/BgL_auxz00_4908); } 
{ /* Effect/cgraph.scm 150 */
long BgL_restz00_3364;
{ /* Effect/cgraph.scm 150 */
long BgL_auxz00_4913;
{ /* Effect/cgraph.scm 150 */
int BgL_auxz00_4914;
BgL_auxz00_4914 = 
(int)(((long)8)); 
BgL_auxz00_4913 = 
(long)(BgL_auxz00_4914); } 
BgL_restz00_3364 = 
(BgL_offsetz00_3361%BgL_auxz00_4913); } 
{ /* Effect/cgraph.scm 150 */

{ /* Effect/cgraph.scm 150 */
obj_t BgL_bucketz00_3366;
{ /* Effect/cgraph.scm 150 */
int BgL_kz00_3376;
BgL_kz00_3376 = 
(int)(BgL_modz00_3362); 
BgL_bucketz00_3366 = 
VECTOR_REF(BgL_arg1221z00_3357,BgL_kz00_3376); } 
{ /* Effect/cgraph.scm 150 */
int BgL_kz00_3378;
BgL_kz00_3378 = 
(int)(BgL_restz00_3364); 
BgL_method2843z00_3354 = 
VECTOR_REF(BgL_bucketz00_3366,BgL_kz00_3378); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3354)(BgL_method2843z00_3354, 
(obj_t)(BgL_nodez00_3352), 
(obj_t)(BgL_ownerz00_3353), BEOA); } } 
{ 
obj_t BgL_l2823z00_4926;
BgL_l2823z00_4926 = 
CDR(BgL_l2823z00_1945); 
BgL_l2823z00_1945 = BgL_l2823z00_4926; 
goto BgL_lname2824z00_1946;} }  else 
{ /* Effect/cgraph.scm 149 */
BgL_auxz00_4857 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4857);} } } 
}



/* call-graph!-let-fun2865 */
obj_t BGl_callzd2graphz12zd2letzd2fun2865zc0zzeffect_cgraphz00(obj_t BgL_envz00_3924, obj_t BgL_nodez00_3925, obj_t BgL_ownerz00_3926)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 136 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1925;obj_t BgL_ownerz00_1926;
BgL_nodez00_1925 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3925); 
BgL_ownerz00_1926 = BgL_ownerz00_3926; 
{ 
obj_t BgL_l2819z00_1930;
BgL_l2819z00_1930 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1925))->BgL_localsz00); 
BgL_lname2820z00_1931:
if(
PAIRP(BgL_l2819z00_1930))
{ /* Effect/cgraph.scm 138 */
{ /* Effect/cgraph.scm 139 */
BgL_variablez00_bglt BgL_auxz00_4933;
{ /* Effect/cgraph.scm 139 */
obj_t BgL_auxz00_4934;
BgL_auxz00_4934 = 
CAR(BgL_l2819z00_1930); 
BgL_auxz00_4933 = 
(BgL_variablez00_bglt)(BgL_auxz00_4934); } 
BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_auxz00_4933); } 
{ 
obj_t BgL_l2819z00_4938;
BgL_l2819z00_4938 = 
CDR(BgL_l2819z00_1930); 
BgL_l2819z00_1930 = BgL_l2819z00_4938; 
goto BgL_lname2820z00_1931;} }  else 
{ /* Effect/cgraph.scm 138 */((bool_t)1); } } 
{ /* Effect/cgraph.scm 141 */
BgL_nodez00_bglt BgL_arg3011z00_1936;
BgL_arg3011z00_1936 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1925))->BgL_bodyz00); 
{ /* Effect/cgraph.scm 141 */
BgL_variablez00_bglt BgL_ownerz00_3294;
BgL_ownerz00_3294 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1926); 
{ /* Effect/cgraph.scm 141 */
obj_t BgL_method2843z00_3295;
{ /* Effect/cgraph.scm 141 */
long BgL_objzd2classzd2numz00_3297;
{ /* Effect/cgraph.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4943;
BgL_auxz00_4943 = 
(BgL_objectz00_bglt)(BgL_arg3011z00_1936); 
BgL_objzd2classzd2numz00_3297 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4943); } 
{ /* Effect/cgraph.scm 141 */
obj_t BgL_arg1221z00_3298;
{ /* Effect/cgraph.scm 141 */
int BgL_auxz00_4946;
BgL_auxz00_4946 = 
(int)(((long)1)); 
BgL_arg1221z00_3298 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4946); } 
{ /* Effect/cgraph.scm 141 */
long BgL_offsetz00_3302;
{ /* Effect/cgraph.scm 141 */
long BgL_auxz00_4949;
{ /* Effect/cgraph.scm 141 */
int BgL_auxz00_4950;
BgL_auxz00_4950 = 
(int)(BgL_objzd2classzd2numz00_3297); 
BgL_auxz00_4949 = 
(long)(BgL_auxz00_4950); } 
BgL_offsetz00_3302 = 
(BgL_auxz00_4949-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 141 */
long BgL_modz00_3303;
{ /* Effect/cgraph.scm 141 */
long BgL_auxz00_4954;
{ /* Effect/cgraph.scm 141 */
int BgL_auxz00_4955;
BgL_auxz00_4955 = 
(int)(((long)8)); 
BgL_auxz00_4954 = 
(long)(BgL_auxz00_4955); } 
BgL_modz00_3303 = 
(BgL_offsetz00_3302/BgL_auxz00_4954); } 
{ /* Effect/cgraph.scm 141 */
long BgL_restz00_3305;
{ /* Effect/cgraph.scm 141 */
long BgL_auxz00_4959;
{ /* Effect/cgraph.scm 141 */
int BgL_auxz00_4960;
BgL_auxz00_4960 = 
(int)(((long)8)); 
BgL_auxz00_4959 = 
(long)(BgL_auxz00_4960); } 
BgL_restz00_3305 = 
(BgL_offsetz00_3302%BgL_auxz00_4959); } 
{ /* Effect/cgraph.scm 141 */

{ /* Effect/cgraph.scm 141 */
obj_t BgL_bucketz00_3307;
{ /* Effect/cgraph.scm 141 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_modz00_3303); 
BgL_bucketz00_3307 = 
VECTOR_REF(BgL_arg1221z00_3298,BgL_kz00_3317); } 
{ /* Effect/cgraph.scm 141 */
int BgL_kz00_3319;
BgL_kz00_3319 = 
(int)(BgL_restz00_3305); 
BgL_method2843z00_3295 = 
VECTOR_REF(BgL_bucketz00_3307,BgL_kz00_3319); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3295)(BgL_method2843z00_3295, 
(obj_t)(BgL_arg3011z00_1936), 
(obj_t)(BgL_ownerz00_3294), BEOA);} } } } } 
}



/* call-graph!-select2863 */
obj_t BGl_callzd2graphz12zd2select2863z12zzeffect_cgraphz00(obj_t BgL_envz00_3927, obj_t BgL_nodez00_3928, obj_t BgL_ownerz00_3929)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 126 */
{ 
BgL_selectz00_bglt BgL_nodez00_1910;obj_t BgL_ownerz00_1911;
{ /* Effect/cgraph.scm 127 */
bool_t BgL_auxz00_4973;
BgL_nodez00_1910 = 
(BgL_selectz00_bglt)(BgL_nodez00_3928); 
BgL_ownerz00_1911 = BgL_ownerz00_3929; 
{ /* Effect/cgraph.scm 128 */
BgL_nodez00_bglt BgL_arg3002z00_1915;
BgL_arg3002z00_1915 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1910))->BgL_testz00); 
{ /* Effect/cgraph.scm 128 */
BgL_variablez00_bglt BgL_ownerz00_3230;
BgL_ownerz00_3230 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1911); 
{ /* Effect/cgraph.scm 128 */
obj_t BgL_method2843z00_3231;
{ /* Effect/cgraph.scm 128 */
long BgL_objzd2classzd2numz00_3233;
{ /* Effect/cgraph.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4976;
BgL_auxz00_4976 = 
(BgL_objectz00_bglt)(BgL_arg3002z00_1915); 
BgL_objzd2classzd2numz00_3233 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4976); } 
{ /* Effect/cgraph.scm 128 */
obj_t BgL_arg1221z00_3234;
{ /* Effect/cgraph.scm 128 */
int BgL_auxz00_4979;
BgL_auxz00_4979 = 
(int)(((long)1)); 
BgL_arg1221z00_3234 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_4979); } 
{ /* Effect/cgraph.scm 128 */
long BgL_offsetz00_3238;
{ /* Effect/cgraph.scm 128 */
long BgL_auxz00_4982;
{ /* Effect/cgraph.scm 128 */
int BgL_auxz00_4983;
BgL_auxz00_4983 = 
(int)(BgL_objzd2classzd2numz00_3233); 
BgL_auxz00_4982 = 
(long)(BgL_auxz00_4983); } 
BgL_offsetz00_3238 = 
(BgL_auxz00_4982-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 128 */
long BgL_modz00_3239;
{ /* Effect/cgraph.scm 128 */
long BgL_auxz00_4987;
{ /* Effect/cgraph.scm 128 */
int BgL_auxz00_4988;
BgL_auxz00_4988 = 
(int)(((long)8)); 
BgL_auxz00_4987 = 
(long)(BgL_auxz00_4988); } 
BgL_modz00_3239 = 
(BgL_offsetz00_3238/BgL_auxz00_4987); } 
{ /* Effect/cgraph.scm 128 */
long BgL_restz00_3241;
{ /* Effect/cgraph.scm 128 */
long BgL_auxz00_4992;
{ /* Effect/cgraph.scm 128 */
int BgL_auxz00_4993;
BgL_auxz00_4993 = 
(int)(((long)8)); 
BgL_auxz00_4992 = 
(long)(BgL_auxz00_4993); } 
BgL_restz00_3241 = 
(BgL_offsetz00_3238%BgL_auxz00_4992); } 
{ /* Effect/cgraph.scm 128 */

{ /* Effect/cgraph.scm 128 */
obj_t BgL_bucketz00_3243;
{ /* Effect/cgraph.scm 128 */
int BgL_kz00_3253;
BgL_kz00_3253 = 
(int)(BgL_modz00_3239); 
BgL_bucketz00_3243 = 
VECTOR_REF(BgL_arg1221z00_3234,BgL_kz00_3253); } 
{ /* Effect/cgraph.scm 128 */
int BgL_kz00_3255;
BgL_kz00_3255 = 
(int)(BgL_restz00_3241); 
BgL_method2843z00_3231 = 
VECTOR_REF(BgL_bucketz00_3243,BgL_kz00_3255); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3231)(BgL_method2843z00_3231, 
(obj_t)(BgL_arg3002z00_1915), 
(obj_t)(BgL_ownerz00_3230), BEOA); } } } 
{ 
obj_t BgL_l2815z00_1916;
BgL_l2815z00_1916 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1910))->BgL_clausesz00); 
BgL_lname2816z00_1917:
if(
PAIRP(BgL_l2815z00_1916))
{ /* Effect/cgraph.scm 129 */
{ /* Effect/cgraph.scm 130 */
BgL_nodez00_bglt BgL_nodez00_3260;BgL_variablez00_bglt BgL_ownerz00_3261;
{ /* Effect/cgraph.scm 130 */
obj_t BgL_auxz00_5007;
{ /* Effect/cgraph.scm 130 */
obj_t BgL_auxz00_5008;
BgL_auxz00_5008 = 
CAR(BgL_l2815z00_1916); 
BgL_auxz00_5007 = 
CDR(BgL_auxz00_5008); } 
BgL_nodez00_3260 = 
(BgL_nodez00_bglt)(BgL_auxz00_5007); } 
BgL_ownerz00_3261 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1911); 
{ /* Effect/cgraph.scm 130 */
obj_t BgL_method2843z00_3262;
{ /* Effect/cgraph.scm 130 */
long BgL_objzd2classzd2numz00_3264;
{ /* Effect/cgraph.scm 130 */
BgL_objectz00_bglt BgL_auxz00_5013;
BgL_auxz00_5013 = 
(BgL_objectz00_bglt)(BgL_nodez00_3260); 
BgL_objzd2classzd2numz00_3264 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5013); } 
{ /* Effect/cgraph.scm 130 */
obj_t BgL_arg1221z00_3265;
{ /* Effect/cgraph.scm 130 */
int BgL_auxz00_5016;
BgL_auxz00_5016 = 
(int)(((long)1)); 
BgL_arg1221z00_3265 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5016); } 
{ /* Effect/cgraph.scm 130 */
long BgL_offsetz00_3269;
{ /* Effect/cgraph.scm 130 */
long BgL_auxz00_5019;
{ /* Effect/cgraph.scm 130 */
int BgL_auxz00_5020;
BgL_auxz00_5020 = 
(int)(BgL_objzd2classzd2numz00_3264); 
BgL_auxz00_5019 = 
(long)(BgL_auxz00_5020); } 
BgL_offsetz00_3269 = 
(BgL_auxz00_5019-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 130 */
long BgL_modz00_3270;
{ /* Effect/cgraph.scm 130 */
long BgL_auxz00_5024;
{ /* Effect/cgraph.scm 130 */
int BgL_auxz00_5025;
BgL_auxz00_5025 = 
(int)(((long)8)); 
BgL_auxz00_5024 = 
(long)(BgL_auxz00_5025); } 
BgL_modz00_3270 = 
(BgL_offsetz00_3269/BgL_auxz00_5024); } 
{ /* Effect/cgraph.scm 130 */
long BgL_restz00_3272;
{ /* Effect/cgraph.scm 130 */
long BgL_auxz00_5029;
{ /* Effect/cgraph.scm 130 */
int BgL_auxz00_5030;
BgL_auxz00_5030 = 
(int)(((long)8)); 
BgL_auxz00_5029 = 
(long)(BgL_auxz00_5030); } 
BgL_restz00_3272 = 
(BgL_offsetz00_3269%BgL_auxz00_5029); } 
{ /* Effect/cgraph.scm 130 */

{ /* Effect/cgraph.scm 130 */
obj_t BgL_bucketz00_3274;
{ /* Effect/cgraph.scm 130 */
int BgL_kz00_3284;
BgL_kz00_3284 = 
(int)(BgL_modz00_3270); 
BgL_bucketz00_3274 = 
VECTOR_REF(BgL_arg1221z00_3265,BgL_kz00_3284); } 
{ /* Effect/cgraph.scm 130 */
int BgL_kz00_3286;
BgL_kz00_3286 = 
(int)(BgL_restz00_3272); 
BgL_method2843z00_3262 = 
VECTOR_REF(BgL_bucketz00_3274,BgL_kz00_3286); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3262)(BgL_method2843z00_3262, 
(obj_t)(BgL_nodez00_3260), 
(obj_t)(BgL_ownerz00_3261), BEOA); } } 
{ 
obj_t BgL_l2815z00_5042;
BgL_l2815z00_5042 = 
CDR(BgL_l2815z00_1916); 
BgL_l2815z00_1916 = BgL_l2815z00_5042; 
goto BgL_lname2816z00_1917;} }  else 
{ /* Effect/cgraph.scm 129 */
BgL_auxz00_4973 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4973);} } } 
}



/* call-graph!-fail2861 */
obj_t BGl_callzd2graphz12zd2fail2861z12zzeffect_cgraphz00(obj_t BgL_envz00_3930, obj_t BgL_nodez00_3931, obj_t BgL_ownerz00_3932)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 116 */
{ 
BgL_failz00_bglt BgL_nodez00_1900;obj_t BgL_ownerz00_1901;
BgL_nodez00_1900 = 
(BgL_failz00_bglt)(BgL_nodez00_3931); 
BgL_ownerz00_1901 = BgL_ownerz00_3932; 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1901)); 
{ /* Effect/cgraph.scm 119 */
BgL_nodez00_bglt BgL_arg2998z00_1905;
BgL_arg2998z00_1905 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1900))->BgL_procz00); 
{ /* Effect/cgraph.scm 119 */
BgL_variablez00_bglt BgL_ownerz00_3146;
BgL_ownerz00_3146 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1901); 
{ /* Effect/cgraph.scm 119 */
obj_t BgL_method2843z00_3147;
{ /* Effect/cgraph.scm 119 */
long BgL_objzd2classzd2numz00_3149;
{ /* Effect/cgraph.scm 119 */
BgL_objectz00_bglt BgL_auxz00_5051;
BgL_auxz00_5051 = 
(BgL_objectz00_bglt)(BgL_arg2998z00_1905); 
BgL_objzd2classzd2numz00_3149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5051); } 
{ /* Effect/cgraph.scm 119 */
obj_t BgL_arg1221z00_3150;
{ /* Effect/cgraph.scm 119 */
int BgL_auxz00_5054;
BgL_auxz00_5054 = 
(int)(((long)1)); 
BgL_arg1221z00_3150 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5054); } 
{ /* Effect/cgraph.scm 119 */
long BgL_offsetz00_3154;
{ /* Effect/cgraph.scm 119 */
long BgL_auxz00_5057;
{ /* Effect/cgraph.scm 119 */
int BgL_auxz00_5058;
BgL_auxz00_5058 = 
(int)(BgL_objzd2classzd2numz00_3149); 
BgL_auxz00_5057 = 
(long)(BgL_auxz00_5058); } 
BgL_offsetz00_3154 = 
(BgL_auxz00_5057-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 119 */
long BgL_modz00_3155;
{ /* Effect/cgraph.scm 119 */
long BgL_auxz00_5062;
{ /* Effect/cgraph.scm 119 */
int BgL_auxz00_5063;
BgL_auxz00_5063 = 
(int)(((long)8)); 
BgL_auxz00_5062 = 
(long)(BgL_auxz00_5063); } 
BgL_modz00_3155 = 
(BgL_offsetz00_3154/BgL_auxz00_5062); } 
{ /* Effect/cgraph.scm 119 */
long BgL_restz00_3157;
{ /* Effect/cgraph.scm 119 */
long BgL_auxz00_5067;
{ /* Effect/cgraph.scm 119 */
int BgL_auxz00_5068;
BgL_auxz00_5068 = 
(int)(((long)8)); 
BgL_auxz00_5067 = 
(long)(BgL_auxz00_5068); } 
BgL_restz00_3157 = 
(BgL_offsetz00_3154%BgL_auxz00_5067); } 
{ /* Effect/cgraph.scm 119 */

{ /* Effect/cgraph.scm 119 */
obj_t BgL_bucketz00_3159;
{ /* Effect/cgraph.scm 119 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_modz00_3155); 
BgL_bucketz00_3159 = 
VECTOR_REF(BgL_arg1221z00_3150,BgL_kz00_3169); } 
{ /* Effect/cgraph.scm 119 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_restz00_3157); 
BgL_method2843z00_3147 = 
VECTOR_REF(BgL_bucketz00_3159,BgL_kz00_3171); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3147)(BgL_method2843z00_3147, 
(obj_t)(BgL_arg2998z00_1905), 
(obj_t)(BgL_ownerz00_3146), BEOA); } } } 
{ /* Effect/cgraph.scm 120 */
BgL_nodez00_bglt BgL_arg2999z00_1906;
BgL_arg2999z00_1906 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1900))->BgL_msgz00); 
{ /* Effect/cgraph.scm 120 */
BgL_variablez00_bglt BgL_ownerz00_3174;
BgL_ownerz00_3174 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1901); 
{ /* Effect/cgraph.scm 120 */
obj_t BgL_method2843z00_3175;
{ /* Effect/cgraph.scm 120 */
long BgL_objzd2classzd2numz00_3177;
{ /* Effect/cgraph.scm 120 */
BgL_objectz00_bglt BgL_auxz00_5082;
BgL_auxz00_5082 = 
(BgL_objectz00_bglt)(BgL_arg2999z00_1906); 
BgL_objzd2classzd2numz00_3177 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5082); } 
{ /* Effect/cgraph.scm 120 */
obj_t BgL_arg1221z00_3178;
{ /* Effect/cgraph.scm 120 */
int BgL_auxz00_5085;
BgL_auxz00_5085 = 
(int)(((long)1)); 
BgL_arg1221z00_3178 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5085); } 
{ /* Effect/cgraph.scm 120 */
long BgL_offsetz00_3182;
{ /* Effect/cgraph.scm 120 */
long BgL_auxz00_5088;
{ /* Effect/cgraph.scm 120 */
int BgL_auxz00_5089;
BgL_auxz00_5089 = 
(int)(BgL_objzd2classzd2numz00_3177); 
BgL_auxz00_5088 = 
(long)(BgL_auxz00_5089); } 
BgL_offsetz00_3182 = 
(BgL_auxz00_5088-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 120 */
long BgL_modz00_3183;
{ /* Effect/cgraph.scm 120 */
long BgL_auxz00_5093;
{ /* Effect/cgraph.scm 120 */
int BgL_auxz00_5094;
BgL_auxz00_5094 = 
(int)(((long)8)); 
BgL_auxz00_5093 = 
(long)(BgL_auxz00_5094); } 
BgL_modz00_3183 = 
(BgL_offsetz00_3182/BgL_auxz00_5093); } 
{ /* Effect/cgraph.scm 120 */
long BgL_restz00_3185;
{ /* Effect/cgraph.scm 120 */
long BgL_auxz00_5098;
{ /* Effect/cgraph.scm 120 */
int BgL_auxz00_5099;
BgL_auxz00_5099 = 
(int)(((long)8)); 
BgL_auxz00_5098 = 
(long)(BgL_auxz00_5099); } 
BgL_restz00_3185 = 
(BgL_offsetz00_3182%BgL_auxz00_5098); } 
{ /* Effect/cgraph.scm 120 */

{ /* Effect/cgraph.scm 120 */
obj_t BgL_bucketz00_3187;
{ /* Effect/cgraph.scm 120 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_modz00_3183); 
BgL_bucketz00_3187 = 
VECTOR_REF(BgL_arg1221z00_3178,BgL_kz00_3197); } 
{ /* Effect/cgraph.scm 120 */
int BgL_kz00_3199;
BgL_kz00_3199 = 
(int)(BgL_restz00_3185); 
BgL_method2843z00_3175 = 
VECTOR_REF(BgL_bucketz00_3187,BgL_kz00_3199); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3175)(BgL_method2843z00_3175, 
(obj_t)(BgL_arg2999z00_1906), 
(obj_t)(BgL_ownerz00_3174), BEOA); } } } 
{ /* Effect/cgraph.scm 121 */
BgL_nodez00_bglt BgL_arg3000z00_1907;
BgL_arg3000z00_1907 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1900))->BgL_objz00); 
{ /* Effect/cgraph.scm 121 */
BgL_variablez00_bglt BgL_ownerz00_3202;
BgL_ownerz00_3202 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1901); 
{ /* Effect/cgraph.scm 121 */
obj_t BgL_method2843z00_3203;
{ /* Effect/cgraph.scm 121 */
long BgL_objzd2classzd2numz00_3205;
{ /* Effect/cgraph.scm 121 */
BgL_objectz00_bglt BgL_auxz00_5113;
BgL_auxz00_5113 = 
(BgL_objectz00_bglt)(BgL_arg3000z00_1907); 
BgL_objzd2classzd2numz00_3205 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5113); } 
{ /* Effect/cgraph.scm 121 */
obj_t BgL_arg1221z00_3206;
{ /* Effect/cgraph.scm 121 */
int BgL_auxz00_5116;
BgL_auxz00_5116 = 
(int)(((long)1)); 
BgL_arg1221z00_3206 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5116); } 
{ /* Effect/cgraph.scm 121 */
long BgL_offsetz00_3210;
{ /* Effect/cgraph.scm 121 */
long BgL_auxz00_5119;
{ /* Effect/cgraph.scm 121 */
int BgL_auxz00_5120;
BgL_auxz00_5120 = 
(int)(BgL_objzd2classzd2numz00_3205); 
BgL_auxz00_5119 = 
(long)(BgL_auxz00_5120); } 
BgL_offsetz00_3210 = 
(BgL_auxz00_5119-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 121 */
long BgL_modz00_3211;
{ /* Effect/cgraph.scm 121 */
long BgL_auxz00_5124;
{ /* Effect/cgraph.scm 121 */
int BgL_auxz00_5125;
BgL_auxz00_5125 = 
(int)(((long)8)); 
BgL_auxz00_5124 = 
(long)(BgL_auxz00_5125); } 
BgL_modz00_3211 = 
(BgL_offsetz00_3210/BgL_auxz00_5124); } 
{ /* Effect/cgraph.scm 121 */
long BgL_restz00_3213;
{ /* Effect/cgraph.scm 121 */
long BgL_auxz00_5129;
{ /* Effect/cgraph.scm 121 */
int BgL_auxz00_5130;
BgL_auxz00_5130 = 
(int)(((long)8)); 
BgL_auxz00_5129 = 
(long)(BgL_auxz00_5130); } 
BgL_restz00_3213 = 
(BgL_offsetz00_3210%BgL_auxz00_5129); } 
{ /* Effect/cgraph.scm 121 */

{ /* Effect/cgraph.scm 121 */
obj_t BgL_bucketz00_3215;
{ /* Effect/cgraph.scm 121 */
int BgL_kz00_3225;
BgL_kz00_3225 = 
(int)(BgL_modz00_3211); 
BgL_bucketz00_3215 = 
VECTOR_REF(BgL_arg1221z00_3206,BgL_kz00_3225); } 
{ /* Effect/cgraph.scm 121 */
int BgL_kz00_3227;
BgL_kz00_3227 = 
(int)(BgL_restz00_3213); 
BgL_method2843z00_3203 = 
VECTOR_REF(BgL_bucketz00_3215,BgL_kz00_3227); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3203)(BgL_method2843z00_3203, 
(obj_t)(BgL_arg3000z00_1907), 
(obj_t)(BgL_ownerz00_3202), BEOA);} } } } } 
}



/* call-graph!-conditional2859 */
obj_t BGl_callzd2graphz12zd2conditional2859z12zzeffect_cgraphz00(obj_t BgL_envz00_3933, obj_t BgL_nodez00_3934, obj_t BgL_ownerz00_3935)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 107 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1890;obj_t BgL_ownerz00_1891;
BgL_nodez00_1890 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3934); 
BgL_ownerz00_1891 = BgL_ownerz00_3935; 
{ /* Effect/cgraph.scm 109 */
BgL_nodez00_bglt BgL_arg2994z00_1895;
BgL_arg2994z00_1895 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1890))->BgL_testz00); 
{ /* Effect/cgraph.scm 109 */
BgL_variablez00_bglt BgL_ownerz00_3062;
BgL_ownerz00_3062 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1891); 
{ /* Effect/cgraph.scm 109 */
obj_t BgL_method2843z00_3063;
{ /* Effect/cgraph.scm 109 */
long BgL_objzd2classzd2numz00_3065;
{ /* Effect/cgraph.scm 109 */
BgL_objectz00_bglt BgL_auxz00_5145;
BgL_auxz00_5145 = 
(BgL_objectz00_bglt)(BgL_arg2994z00_1895); 
BgL_objzd2classzd2numz00_3065 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5145); } 
{ /* Effect/cgraph.scm 109 */
obj_t BgL_arg1221z00_3066;
{ /* Effect/cgraph.scm 109 */
int BgL_auxz00_5148;
BgL_auxz00_5148 = 
(int)(((long)1)); 
BgL_arg1221z00_3066 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5148); } 
{ /* Effect/cgraph.scm 109 */
long BgL_offsetz00_3070;
{ /* Effect/cgraph.scm 109 */
long BgL_auxz00_5151;
{ /* Effect/cgraph.scm 109 */
int BgL_auxz00_5152;
BgL_auxz00_5152 = 
(int)(BgL_objzd2classzd2numz00_3065); 
BgL_auxz00_5151 = 
(long)(BgL_auxz00_5152); } 
BgL_offsetz00_3070 = 
(BgL_auxz00_5151-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 109 */
long BgL_modz00_3071;
{ /* Effect/cgraph.scm 109 */
long BgL_auxz00_5156;
{ /* Effect/cgraph.scm 109 */
int BgL_auxz00_5157;
BgL_auxz00_5157 = 
(int)(((long)8)); 
BgL_auxz00_5156 = 
(long)(BgL_auxz00_5157); } 
BgL_modz00_3071 = 
(BgL_offsetz00_3070/BgL_auxz00_5156); } 
{ /* Effect/cgraph.scm 109 */
long BgL_restz00_3073;
{ /* Effect/cgraph.scm 109 */
long BgL_auxz00_5161;
{ /* Effect/cgraph.scm 109 */
int BgL_auxz00_5162;
BgL_auxz00_5162 = 
(int)(((long)8)); 
BgL_auxz00_5161 = 
(long)(BgL_auxz00_5162); } 
BgL_restz00_3073 = 
(BgL_offsetz00_3070%BgL_auxz00_5161); } 
{ /* Effect/cgraph.scm 109 */

{ /* Effect/cgraph.scm 109 */
obj_t BgL_bucketz00_3075;
{ /* Effect/cgraph.scm 109 */
int BgL_kz00_3085;
BgL_kz00_3085 = 
(int)(BgL_modz00_3071); 
BgL_bucketz00_3075 = 
VECTOR_REF(BgL_arg1221z00_3066,BgL_kz00_3085); } 
{ /* Effect/cgraph.scm 109 */
int BgL_kz00_3087;
BgL_kz00_3087 = 
(int)(BgL_restz00_3073); 
BgL_method2843z00_3063 = 
VECTOR_REF(BgL_bucketz00_3075,BgL_kz00_3087); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3063)(BgL_method2843z00_3063, 
(obj_t)(BgL_arg2994z00_1895), 
(obj_t)(BgL_ownerz00_3062), BEOA); } } } 
{ /* Effect/cgraph.scm 110 */
BgL_nodez00_bglt BgL_arg2995z00_1896;
BgL_arg2995z00_1896 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1890))->BgL_truez00); 
{ /* Effect/cgraph.scm 110 */
BgL_variablez00_bglt BgL_ownerz00_3090;
BgL_ownerz00_3090 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1891); 
{ /* Effect/cgraph.scm 110 */
obj_t BgL_method2843z00_3091;
{ /* Effect/cgraph.scm 110 */
long BgL_objzd2classzd2numz00_3093;
{ /* Effect/cgraph.scm 110 */
BgL_objectz00_bglt BgL_auxz00_5176;
BgL_auxz00_5176 = 
(BgL_objectz00_bglt)(BgL_arg2995z00_1896); 
BgL_objzd2classzd2numz00_3093 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5176); } 
{ /* Effect/cgraph.scm 110 */
obj_t BgL_arg1221z00_3094;
{ /* Effect/cgraph.scm 110 */
int BgL_auxz00_5179;
BgL_auxz00_5179 = 
(int)(((long)1)); 
BgL_arg1221z00_3094 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5179); } 
{ /* Effect/cgraph.scm 110 */
long BgL_offsetz00_3098;
{ /* Effect/cgraph.scm 110 */
long BgL_auxz00_5182;
{ /* Effect/cgraph.scm 110 */
int BgL_auxz00_5183;
BgL_auxz00_5183 = 
(int)(BgL_objzd2classzd2numz00_3093); 
BgL_auxz00_5182 = 
(long)(BgL_auxz00_5183); } 
BgL_offsetz00_3098 = 
(BgL_auxz00_5182-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 110 */
long BgL_modz00_3099;
{ /* Effect/cgraph.scm 110 */
long BgL_auxz00_5187;
{ /* Effect/cgraph.scm 110 */
int BgL_auxz00_5188;
BgL_auxz00_5188 = 
(int)(((long)8)); 
BgL_auxz00_5187 = 
(long)(BgL_auxz00_5188); } 
BgL_modz00_3099 = 
(BgL_offsetz00_3098/BgL_auxz00_5187); } 
{ /* Effect/cgraph.scm 110 */
long BgL_restz00_3101;
{ /* Effect/cgraph.scm 110 */
long BgL_auxz00_5192;
{ /* Effect/cgraph.scm 110 */
int BgL_auxz00_5193;
BgL_auxz00_5193 = 
(int)(((long)8)); 
BgL_auxz00_5192 = 
(long)(BgL_auxz00_5193); } 
BgL_restz00_3101 = 
(BgL_offsetz00_3098%BgL_auxz00_5192); } 
{ /* Effect/cgraph.scm 110 */

{ /* Effect/cgraph.scm 110 */
obj_t BgL_bucketz00_3103;
{ /* Effect/cgraph.scm 110 */
int BgL_kz00_3113;
BgL_kz00_3113 = 
(int)(BgL_modz00_3099); 
BgL_bucketz00_3103 = 
VECTOR_REF(BgL_arg1221z00_3094,BgL_kz00_3113); } 
{ /* Effect/cgraph.scm 110 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_restz00_3101); 
BgL_method2843z00_3091 = 
VECTOR_REF(BgL_bucketz00_3103,BgL_kz00_3115); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3091)(BgL_method2843z00_3091, 
(obj_t)(BgL_arg2995z00_1896), 
(obj_t)(BgL_ownerz00_3090), BEOA); } } } 
{ /* Effect/cgraph.scm 111 */
BgL_nodez00_bglt BgL_arg2996z00_1897;
BgL_arg2996z00_1897 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1890))->BgL_falsez00); 
{ /* Effect/cgraph.scm 111 */
BgL_variablez00_bglt BgL_ownerz00_3118;
BgL_ownerz00_3118 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1891); 
{ /* Effect/cgraph.scm 111 */
obj_t BgL_method2843z00_3119;
{ /* Effect/cgraph.scm 111 */
long BgL_objzd2classzd2numz00_3121;
{ /* Effect/cgraph.scm 111 */
BgL_objectz00_bglt BgL_auxz00_5207;
BgL_auxz00_5207 = 
(BgL_objectz00_bglt)(BgL_arg2996z00_1897); 
BgL_objzd2classzd2numz00_3121 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5207); } 
{ /* Effect/cgraph.scm 111 */
obj_t BgL_arg1221z00_3122;
{ /* Effect/cgraph.scm 111 */
int BgL_auxz00_5210;
BgL_auxz00_5210 = 
(int)(((long)1)); 
BgL_arg1221z00_3122 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5210); } 
{ /* Effect/cgraph.scm 111 */
long BgL_offsetz00_3126;
{ /* Effect/cgraph.scm 111 */
long BgL_auxz00_5213;
{ /* Effect/cgraph.scm 111 */
int BgL_auxz00_5214;
BgL_auxz00_5214 = 
(int)(BgL_objzd2classzd2numz00_3121); 
BgL_auxz00_5213 = 
(long)(BgL_auxz00_5214); } 
BgL_offsetz00_3126 = 
(BgL_auxz00_5213-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 111 */
long BgL_modz00_3127;
{ /* Effect/cgraph.scm 111 */
long BgL_auxz00_5218;
{ /* Effect/cgraph.scm 111 */
int BgL_auxz00_5219;
BgL_auxz00_5219 = 
(int)(((long)8)); 
BgL_auxz00_5218 = 
(long)(BgL_auxz00_5219); } 
BgL_modz00_3127 = 
(BgL_offsetz00_3126/BgL_auxz00_5218); } 
{ /* Effect/cgraph.scm 111 */
long BgL_restz00_3129;
{ /* Effect/cgraph.scm 111 */
long BgL_auxz00_5223;
{ /* Effect/cgraph.scm 111 */
int BgL_auxz00_5224;
BgL_auxz00_5224 = 
(int)(((long)8)); 
BgL_auxz00_5223 = 
(long)(BgL_auxz00_5224); } 
BgL_restz00_3129 = 
(BgL_offsetz00_3126%BgL_auxz00_5223); } 
{ /* Effect/cgraph.scm 111 */

{ /* Effect/cgraph.scm 111 */
obj_t BgL_bucketz00_3131;
{ /* Effect/cgraph.scm 111 */
int BgL_kz00_3141;
BgL_kz00_3141 = 
(int)(BgL_modz00_3127); 
BgL_bucketz00_3131 = 
VECTOR_REF(BgL_arg1221z00_3122,BgL_kz00_3141); } 
{ /* Effect/cgraph.scm 111 */
int BgL_kz00_3143;
BgL_kz00_3143 = 
(int)(BgL_restz00_3129); 
BgL_method2843z00_3119 = 
VECTOR_REF(BgL_bucketz00_3131,BgL_kz00_3143); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3119)(BgL_method2843z00_3119, 
(obj_t)(BgL_arg2996z00_1897), 
(obj_t)(BgL_ownerz00_3118), BEOA);} } } } } 
}



/* call-graph!-setq2857 */
obj_t BGl_callzd2graphz12zd2setq2857z12zzeffect_cgraphz00(obj_t BgL_envz00_3936, obj_t BgL_nodez00_3937, obj_t BgL_ownerz00_3938)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 97 */
{ 
BgL_setqz00_bglt BgL_nodez00_1877;obj_t BgL_ownerz00_1878;
BgL_nodez00_1877 = 
(BgL_setqz00_bglt)(BgL_nodez00_3937); 
BgL_ownerz00_1878 = BgL_ownerz00_3938; 
{ /* Effect/cgraph.scm 99 */
bool_t BgL_test2987z00_1882;
{ /* Effect/cgraph.scm 99 */
bool_t BgL_test2988z00_1883;
BgL_test2988z00_1883 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1878, BGl_localz00zzast_varz00); 
if(BgL_test2988z00_1883)
{ /* Effect/cgraph.scm 99 */
BgL_test2987z00_1882 = ((bool_t)1); }  else 
{ /* Effect/cgraph.scm 99 */
obj_t BgL_auxz00_5239;
{ /* Effect/cgraph.scm 99 */
BgL_variablez00_bglt BgL_auxz00_5240;
{ /* Effect/cgraph.scm 99 */
BgL_varz00_bglt BgL_arg2990z00_1885;
BgL_arg2990z00_1885 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1877))->BgL_varz00); 
BgL_auxz00_5240 = 
(((BgL_varz00_bglt)CREF(BgL_arg2990z00_1885))->BgL_variablez00); } 
BgL_auxz00_5239 = 
(obj_t)(BgL_auxz00_5240); } 
BgL_test2987z00_1882 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5239, BGl_globalz00zzast_varz00); } } 
if(BgL_test2987z00_1882)
{ /* Effect/cgraph.scm 99 */
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1878)); }  else 
{ /* Effect/cgraph.scm 99 */BFALSE; } } 
{ /* Effect/cgraph.scm 101 */
BgL_nodez00_bglt BgL_nodez00_3005;BgL_variablez00_bglt BgL_ownerz00_3006;
{ /* Effect/cgraph.scm 101 */
BgL_varz00_bglt BgL_auxz00_5248;
BgL_auxz00_5248 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1877))->BgL_varz00); 
BgL_nodez00_3005 = 
(BgL_nodez00_bglt)(BgL_auxz00_5248); } 
BgL_ownerz00_3006 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1878); 
{ /* Effect/cgraph.scm 101 */
obj_t BgL_method2843z00_3007;
{ /* Effect/cgraph.scm 101 */
long BgL_objzd2classzd2numz00_3009;
{ /* Effect/cgraph.scm 101 */
BgL_objectz00_bglt BgL_auxz00_5252;
BgL_auxz00_5252 = 
(BgL_objectz00_bglt)(BgL_nodez00_3005); 
BgL_objzd2classzd2numz00_3009 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5252); } 
{ /* Effect/cgraph.scm 101 */
obj_t BgL_arg1221z00_3010;
{ /* Effect/cgraph.scm 101 */
int BgL_auxz00_5255;
BgL_auxz00_5255 = 
(int)(((long)1)); 
BgL_arg1221z00_3010 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5255); } 
{ /* Effect/cgraph.scm 101 */
long BgL_offsetz00_3014;
{ /* Effect/cgraph.scm 101 */
long BgL_auxz00_5258;
{ /* Effect/cgraph.scm 101 */
int BgL_auxz00_5259;
BgL_auxz00_5259 = 
(int)(BgL_objzd2classzd2numz00_3009); 
BgL_auxz00_5258 = 
(long)(BgL_auxz00_5259); } 
BgL_offsetz00_3014 = 
(BgL_auxz00_5258-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 101 */
long BgL_modz00_3015;
{ /* Effect/cgraph.scm 101 */
long BgL_auxz00_5263;
{ /* Effect/cgraph.scm 101 */
int BgL_auxz00_5264;
BgL_auxz00_5264 = 
(int)(((long)8)); 
BgL_auxz00_5263 = 
(long)(BgL_auxz00_5264); } 
BgL_modz00_3015 = 
(BgL_offsetz00_3014/BgL_auxz00_5263); } 
{ /* Effect/cgraph.scm 101 */
long BgL_restz00_3017;
{ /* Effect/cgraph.scm 101 */
long BgL_auxz00_5268;
{ /* Effect/cgraph.scm 101 */
int BgL_auxz00_5269;
BgL_auxz00_5269 = 
(int)(((long)8)); 
BgL_auxz00_5268 = 
(long)(BgL_auxz00_5269); } 
BgL_restz00_3017 = 
(BgL_offsetz00_3014%BgL_auxz00_5268); } 
{ /* Effect/cgraph.scm 101 */

{ /* Effect/cgraph.scm 101 */
obj_t BgL_bucketz00_3019;
{ /* Effect/cgraph.scm 101 */
int BgL_kz00_3029;
BgL_kz00_3029 = 
(int)(BgL_modz00_3015); 
BgL_bucketz00_3019 = 
VECTOR_REF(BgL_arg1221z00_3010,BgL_kz00_3029); } 
{ /* Effect/cgraph.scm 101 */
int BgL_kz00_3031;
BgL_kz00_3031 = 
(int)(BgL_restz00_3017); 
BgL_method2843z00_3007 = 
VECTOR_REF(BgL_bucketz00_3019,BgL_kz00_3031); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_3007)(BgL_method2843z00_3007, 
(obj_t)(BgL_nodez00_3005), 
(obj_t)(BgL_ownerz00_3006), BEOA); } } 
{ /* Effect/cgraph.scm 102 */
BgL_nodez00_bglt BgL_arg2992z00_1887;
BgL_arg2992z00_1887 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1877))->BgL_valuez00); 
{ /* Effect/cgraph.scm 102 */
BgL_variablez00_bglt BgL_ownerz00_3034;
BgL_ownerz00_3034 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1878); 
{ /* Effect/cgraph.scm 102 */
obj_t BgL_method2843z00_3035;
{ /* Effect/cgraph.scm 102 */
long BgL_objzd2classzd2numz00_3037;
{ /* Effect/cgraph.scm 102 */
BgL_objectz00_bglt BgL_auxz00_5283;
BgL_auxz00_5283 = 
(BgL_objectz00_bglt)(BgL_arg2992z00_1887); 
BgL_objzd2classzd2numz00_3037 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5283); } 
{ /* Effect/cgraph.scm 102 */
obj_t BgL_arg1221z00_3038;
{ /* Effect/cgraph.scm 102 */
int BgL_auxz00_5286;
BgL_auxz00_5286 = 
(int)(((long)1)); 
BgL_arg1221z00_3038 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5286); } 
{ /* Effect/cgraph.scm 102 */
long BgL_offsetz00_3042;
{ /* Effect/cgraph.scm 102 */
long BgL_auxz00_5289;
{ /* Effect/cgraph.scm 102 */
int BgL_auxz00_5290;
BgL_auxz00_5290 = 
(int)(BgL_objzd2classzd2numz00_3037); 
BgL_auxz00_5289 = 
(long)(BgL_auxz00_5290); } 
BgL_offsetz00_3042 = 
(BgL_auxz00_5289-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 102 */
long BgL_modz00_3043;
{ /* Effect/cgraph.scm 102 */
long BgL_auxz00_5294;
{ /* Effect/cgraph.scm 102 */
int BgL_auxz00_5295;
BgL_auxz00_5295 = 
(int)(((long)8)); 
BgL_auxz00_5294 = 
(long)(BgL_auxz00_5295); } 
BgL_modz00_3043 = 
(BgL_offsetz00_3042/BgL_auxz00_5294); } 
{ /* Effect/cgraph.scm 102 */
long BgL_restz00_3045;
{ /* Effect/cgraph.scm 102 */
long BgL_auxz00_5299;
{ /* Effect/cgraph.scm 102 */
int BgL_auxz00_5300;
BgL_auxz00_5300 = 
(int)(((long)8)); 
BgL_auxz00_5299 = 
(long)(BgL_auxz00_5300); } 
BgL_restz00_3045 = 
(BgL_offsetz00_3042%BgL_auxz00_5299); } 
{ /* Effect/cgraph.scm 102 */

{ /* Effect/cgraph.scm 102 */
obj_t BgL_bucketz00_3047;
{ /* Effect/cgraph.scm 102 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_modz00_3043); 
BgL_bucketz00_3047 = 
VECTOR_REF(BgL_arg1221z00_3038,BgL_kz00_3057); } 
{ /* Effect/cgraph.scm 102 */
int BgL_kz00_3059;
BgL_kz00_3059 = 
(int)(BgL_restz00_3045); 
BgL_method2843z00_3035 = 
VECTOR_REF(BgL_bucketz00_3047,BgL_kz00_3059); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3035)(BgL_method2843z00_3035, 
(obj_t)(BgL_arg2992z00_1887), 
(obj_t)(BgL_ownerz00_3034), BEOA);} } } } } 
}



/* call-graph!-cast2855 */
obj_t BGl_callzd2graphz12zd2cast2855z12zzeffect_cgraphz00(obj_t BgL_envz00_3939, obj_t BgL_nodez00_3940, obj_t BgL_ownerz00_3941)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 86 */
{ 
BgL_castz00_bglt BgL_nodez00_1869;obj_t BgL_ownerz00_1870;
BgL_nodez00_1869 = 
(BgL_castz00_bglt)(BgL_nodez00_3940); 
BgL_ownerz00_1870 = BgL_ownerz00_3941; 
{ /* Effect/cgraph.scm 87 */
BgL_nodez00_bglt BgL_arg2985z00_2971;
BgL_arg2985z00_2971 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1869))->BgL_argz00); 
{ /* Effect/cgraph.scm 87 */
BgL_variablez00_bglt BgL_ownerz00_2974;
BgL_ownerz00_2974 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1870); 
{ /* Effect/cgraph.scm 87 */
obj_t BgL_method2843z00_2975;
{ /* Effect/cgraph.scm 87 */
long BgL_objzd2classzd2numz00_2977;
{ /* Effect/cgraph.scm 87 */
BgL_objectz00_bglt BgL_auxz00_5315;
BgL_auxz00_5315 = 
(BgL_objectz00_bglt)(BgL_arg2985z00_2971); 
BgL_objzd2classzd2numz00_2977 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5315); } 
{ /* Effect/cgraph.scm 87 */
obj_t BgL_arg1221z00_2978;
{ /* Effect/cgraph.scm 87 */
int BgL_auxz00_5318;
BgL_auxz00_5318 = 
(int)(((long)1)); 
BgL_arg1221z00_2978 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5318); } 
{ /* Effect/cgraph.scm 87 */
long BgL_offsetz00_2982;
{ /* Effect/cgraph.scm 87 */
long BgL_auxz00_5321;
{ /* Effect/cgraph.scm 87 */
int BgL_auxz00_5322;
BgL_auxz00_5322 = 
(int)(BgL_objzd2classzd2numz00_2977); 
BgL_auxz00_5321 = 
(long)(BgL_auxz00_5322); } 
BgL_offsetz00_2982 = 
(BgL_auxz00_5321-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 87 */
long BgL_modz00_2983;
{ /* Effect/cgraph.scm 87 */
long BgL_auxz00_5326;
{ /* Effect/cgraph.scm 87 */
int BgL_auxz00_5327;
BgL_auxz00_5327 = 
(int)(((long)8)); 
BgL_auxz00_5326 = 
(long)(BgL_auxz00_5327); } 
BgL_modz00_2983 = 
(BgL_offsetz00_2982/BgL_auxz00_5326); } 
{ /* Effect/cgraph.scm 87 */
long BgL_restz00_2985;
{ /* Effect/cgraph.scm 87 */
long BgL_auxz00_5331;
{ /* Effect/cgraph.scm 87 */
int BgL_auxz00_5332;
BgL_auxz00_5332 = 
(int)(((long)8)); 
BgL_auxz00_5331 = 
(long)(BgL_auxz00_5332); } 
BgL_restz00_2985 = 
(BgL_offsetz00_2982%BgL_auxz00_5331); } 
{ /* Effect/cgraph.scm 87 */

{ /* Effect/cgraph.scm 87 */
obj_t BgL_bucketz00_2987;
{ /* Effect/cgraph.scm 87 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_modz00_2983); 
BgL_bucketz00_2987 = 
VECTOR_REF(BgL_arg1221z00_2978,BgL_kz00_2997); } 
{ /* Effect/cgraph.scm 87 */
int BgL_kz00_2999;
BgL_kz00_2999 = 
(int)(BgL_restz00_2985); 
BgL_method2843z00_2975 = 
VECTOR_REF(BgL_bucketz00_2987,BgL_kz00_2999); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_2975)(BgL_method2843z00_2975, 
(obj_t)(BgL_arg2985z00_2971), 
(obj_t)(BgL_ownerz00_2974), BEOA);} } } } } 
}



/* call-graph!-extern2853 */
obj_t BGl_callzd2graphz12zd2extern2853z12zzeffect_cgraphz00(obj_t BgL_envz00_3942, obj_t BgL_nodez00_3943, obj_t BgL_ownerz00_3944)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 77 */
{ 
BgL_externz00_bglt BgL_nodez00_1860;obj_t BgL_ownerz00_1861;
{ /* Effect/cgraph.scm 78 */
bool_t BgL_auxz00_5345;
BgL_nodez00_1860 = 
(BgL_externz00_bglt)(BgL_nodez00_3943); 
BgL_ownerz00_1861 = BgL_ownerz00_3944; 
{ /* Effect/cgraph.scm 79 */
bool_t BgL_testz00_5346;
{ /* Effect/cgraph.scm 79 */
obj_t BgL_auxz00_5347;
BgL_auxz00_5347 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1860))->BgL_sidezd2effectzf3z21); 
BgL_testz00_5346 = 
CBOOL(BgL_auxz00_5347); } 
if(BgL_testz00_5346)
{ /* Effect/cgraph.scm 79 */
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1861)); }  else 
{ /* Effect/cgraph.scm 79 */BFALSE; } } 
BgL_auxz00_5345 = 
BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1860))->BgL_exprza2za2), BgL_ownerz00_1861); 
return 
BBOOL(BgL_auxz00_5345);} } } 
}



/* call-graph!-funcall2851 */
obj_t BGl_callzd2graphz12zd2funcall2851z12zzeffect_cgraphz00(obj_t BgL_envz00_3945, obj_t BgL_nodez00_3946, obj_t BgL_ownerz00_3947)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 68 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1851;obj_t BgL_ownerz00_1852;
{ /* Effect/cgraph.scm 69 */
bool_t BgL_auxz00_5356;
BgL_nodez00_1851 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3946); 
BgL_ownerz00_1852 = BgL_ownerz00_3947; 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1852)); 
{ /* Effect/cgraph.scm 71 */
BgL_nodez00_bglt BgL_arg2979z00_1856;
BgL_arg2979z00_1856 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1851))->BgL_funz00); 
{ /* Effect/cgraph.scm 71 */
BgL_variablez00_bglt BgL_ownerz00_2941;
BgL_ownerz00_2941 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1852); 
{ /* Effect/cgraph.scm 71 */
obj_t BgL_method2843z00_2942;
{ /* Effect/cgraph.scm 71 */
long BgL_objzd2classzd2numz00_2944;
{ /* Effect/cgraph.scm 71 */
BgL_objectz00_bglt BgL_auxz00_5361;
BgL_auxz00_5361 = 
(BgL_objectz00_bglt)(BgL_arg2979z00_1856); 
BgL_objzd2classzd2numz00_2944 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5361); } 
{ /* Effect/cgraph.scm 71 */
obj_t BgL_arg1221z00_2945;
{ /* Effect/cgraph.scm 71 */
int BgL_auxz00_5364;
BgL_auxz00_5364 = 
(int)(((long)1)); 
BgL_arg1221z00_2945 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5364); } 
{ /* Effect/cgraph.scm 71 */
long BgL_offsetz00_2949;
{ /* Effect/cgraph.scm 71 */
long BgL_auxz00_5367;
{ /* Effect/cgraph.scm 71 */
int BgL_auxz00_5368;
BgL_auxz00_5368 = 
(int)(BgL_objzd2classzd2numz00_2944); 
BgL_auxz00_5367 = 
(long)(BgL_auxz00_5368); } 
BgL_offsetz00_2949 = 
(BgL_auxz00_5367-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 71 */
long BgL_modz00_2950;
{ /* Effect/cgraph.scm 71 */
long BgL_auxz00_5372;
{ /* Effect/cgraph.scm 71 */
int BgL_auxz00_5373;
BgL_auxz00_5373 = 
(int)(((long)8)); 
BgL_auxz00_5372 = 
(long)(BgL_auxz00_5373); } 
BgL_modz00_2950 = 
(BgL_offsetz00_2949/BgL_auxz00_5372); } 
{ /* Effect/cgraph.scm 71 */
long BgL_restz00_2952;
{ /* Effect/cgraph.scm 71 */
long BgL_auxz00_5377;
{ /* Effect/cgraph.scm 71 */
int BgL_auxz00_5378;
BgL_auxz00_5378 = 
(int)(((long)8)); 
BgL_auxz00_5377 = 
(long)(BgL_auxz00_5378); } 
BgL_restz00_2952 = 
(BgL_offsetz00_2949%BgL_auxz00_5377); } 
{ /* Effect/cgraph.scm 71 */

{ /* Effect/cgraph.scm 71 */
obj_t BgL_bucketz00_2954;
{ /* Effect/cgraph.scm 71 */
int BgL_kz00_2964;
BgL_kz00_2964 = 
(int)(BgL_modz00_2950); 
BgL_bucketz00_2954 = 
VECTOR_REF(BgL_arg1221z00_2945,BgL_kz00_2964); } 
{ /* Effect/cgraph.scm 71 */
int BgL_kz00_2966;
BgL_kz00_2966 = 
(int)(BgL_restz00_2952); 
BgL_method2843z00_2942 = 
VECTOR_REF(BgL_bucketz00_2954,BgL_kz00_2966); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_2942)(BgL_method2843z00_2942, 
(obj_t)(BgL_arg2979z00_1856), 
(obj_t)(BgL_ownerz00_2941), BEOA); } } } 
BgL_auxz00_5356 = 
BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1851))->BgL_argsz00), BgL_ownerz00_1852); 
return 
BBOOL(BgL_auxz00_5356);} } } 
}



/* call-graph!-app-ly2849 */
obj_t BGl_callzd2graphz12zd2appzd2ly2849zc0zzeffect_cgraphz00(obj_t BgL_envz00_3948, obj_t BgL_nodez00_3949, obj_t BgL_ownerz00_3950)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 59 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1842;obj_t BgL_ownerz00_1843;
BgL_nodez00_1842 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3949); 
BgL_ownerz00_1843 = BgL_ownerz00_3950; 
BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_ownerz00_1843)); 
{ /* Effect/cgraph.scm 62 */
BgL_nodez00_bglt BgL_arg2976z00_1847;
BgL_arg2976z00_1847 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1842))->BgL_funz00); 
{ /* Effect/cgraph.scm 62 */
BgL_variablez00_bglt BgL_ownerz00_2885;
BgL_ownerz00_2885 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1843); 
{ /* Effect/cgraph.scm 62 */
obj_t BgL_method2843z00_2886;
{ /* Effect/cgraph.scm 62 */
long BgL_objzd2classzd2numz00_2888;
{ /* Effect/cgraph.scm 62 */
BgL_objectz00_bglt BgL_auxz00_5398;
BgL_auxz00_5398 = 
(BgL_objectz00_bglt)(BgL_arg2976z00_1847); 
BgL_objzd2classzd2numz00_2888 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5398); } 
{ /* Effect/cgraph.scm 62 */
obj_t BgL_arg1221z00_2889;
{ /* Effect/cgraph.scm 62 */
int BgL_auxz00_5401;
BgL_auxz00_5401 = 
(int)(((long)1)); 
BgL_arg1221z00_2889 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5401); } 
{ /* Effect/cgraph.scm 62 */
long BgL_offsetz00_2893;
{ /* Effect/cgraph.scm 62 */
long BgL_auxz00_5404;
{ /* Effect/cgraph.scm 62 */
int BgL_auxz00_5405;
BgL_auxz00_5405 = 
(int)(BgL_objzd2classzd2numz00_2888); 
BgL_auxz00_5404 = 
(long)(BgL_auxz00_5405); } 
BgL_offsetz00_2893 = 
(BgL_auxz00_5404-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 62 */
long BgL_modz00_2894;
{ /* Effect/cgraph.scm 62 */
long BgL_auxz00_5409;
{ /* Effect/cgraph.scm 62 */
int BgL_auxz00_5410;
BgL_auxz00_5410 = 
(int)(((long)8)); 
BgL_auxz00_5409 = 
(long)(BgL_auxz00_5410); } 
BgL_modz00_2894 = 
(BgL_offsetz00_2893/BgL_auxz00_5409); } 
{ /* Effect/cgraph.scm 62 */
long BgL_restz00_2896;
{ /* Effect/cgraph.scm 62 */
long BgL_auxz00_5414;
{ /* Effect/cgraph.scm 62 */
int BgL_auxz00_5415;
BgL_auxz00_5415 = 
(int)(((long)8)); 
BgL_auxz00_5414 = 
(long)(BgL_auxz00_5415); } 
BgL_restz00_2896 = 
(BgL_offsetz00_2893%BgL_auxz00_5414); } 
{ /* Effect/cgraph.scm 62 */

{ /* Effect/cgraph.scm 62 */
obj_t BgL_bucketz00_2898;
{ /* Effect/cgraph.scm 62 */
int BgL_kz00_2908;
BgL_kz00_2908 = 
(int)(BgL_modz00_2894); 
BgL_bucketz00_2898 = 
VECTOR_REF(BgL_arg1221z00_2889,BgL_kz00_2908); } 
{ /* Effect/cgraph.scm 62 */
int BgL_kz00_2910;
BgL_kz00_2910 = 
(int)(BgL_restz00_2896); 
BgL_method2843z00_2886 = 
VECTOR_REF(BgL_bucketz00_2898,BgL_kz00_2910); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2843z00_2886)(BgL_method2843z00_2886, 
(obj_t)(BgL_arg2976z00_1847), 
(obj_t)(BgL_ownerz00_2885), BEOA); } } } 
{ /* Effect/cgraph.scm 63 */
BgL_nodez00_bglt BgL_arg2977z00_1848;
BgL_arg2977z00_1848 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1842))->BgL_argz00); 
{ /* Effect/cgraph.scm 63 */
BgL_variablez00_bglt BgL_ownerz00_2913;
BgL_ownerz00_2913 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1843); 
{ /* Effect/cgraph.scm 63 */
obj_t BgL_method2843z00_2914;
{ /* Effect/cgraph.scm 63 */
long BgL_objzd2classzd2numz00_2916;
{ /* Effect/cgraph.scm 63 */
BgL_objectz00_bglt BgL_auxz00_5429;
BgL_auxz00_5429 = 
(BgL_objectz00_bglt)(BgL_arg2977z00_1848); 
BgL_objzd2classzd2numz00_2916 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5429); } 
{ /* Effect/cgraph.scm 63 */
obj_t BgL_arg1221z00_2917;
{ /* Effect/cgraph.scm 63 */
int BgL_auxz00_5432;
BgL_auxz00_5432 = 
(int)(((long)1)); 
BgL_arg1221z00_2917 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5432); } 
{ /* Effect/cgraph.scm 63 */
long BgL_offsetz00_2921;
{ /* Effect/cgraph.scm 63 */
long BgL_auxz00_5435;
{ /* Effect/cgraph.scm 63 */
int BgL_auxz00_5436;
BgL_auxz00_5436 = 
(int)(BgL_objzd2classzd2numz00_2916); 
BgL_auxz00_5435 = 
(long)(BgL_auxz00_5436); } 
BgL_offsetz00_2921 = 
(BgL_auxz00_5435-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 63 */
long BgL_modz00_2922;
{ /* Effect/cgraph.scm 63 */
long BgL_auxz00_5440;
{ /* Effect/cgraph.scm 63 */
int BgL_auxz00_5441;
BgL_auxz00_5441 = 
(int)(((long)8)); 
BgL_auxz00_5440 = 
(long)(BgL_auxz00_5441); } 
BgL_modz00_2922 = 
(BgL_offsetz00_2921/BgL_auxz00_5440); } 
{ /* Effect/cgraph.scm 63 */
long BgL_restz00_2924;
{ /* Effect/cgraph.scm 63 */
long BgL_auxz00_5445;
{ /* Effect/cgraph.scm 63 */
int BgL_auxz00_5446;
BgL_auxz00_5446 = 
(int)(((long)8)); 
BgL_auxz00_5445 = 
(long)(BgL_auxz00_5446); } 
BgL_restz00_2924 = 
(BgL_offsetz00_2921%BgL_auxz00_5445); } 
{ /* Effect/cgraph.scm 63 */

{ /* Effect/cgraph.scm 63 */
obj_t BgL_bucketz00_2926;
{ /* Effect/cgraph.scm 63 */
int BgL_kz00_2936;
BgL_kz00_2936 = 
(int)(BgL_modz00_2922); 
BgL_bucketz00_2926 = 
VECTOR_REF(BgL_arg1221z00_2917,BgL_kz00_2936); } 
{ /* Effect/cgraph.scm 63 */
int BgL_kz00_2938;
BgL_kz00_2938 = 
(int)(BgL_restz00_2924); 
BgL_method2843z00_2914 = 
VECTOR_REF(BgL_bucketz00_2926,BgL_kz00_2938); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_2914)(BgL_method2843z00_2914, 
(obj_t)(BgL_arg2977z00_1848), 
(obj_t)(BgL_ownerz00_2913), BEOA);} } } } } 
}



/* call-graph!-app2847 */
obj_t BGl_callzd2graphz12zd2app2847z12zzeffect_cgraphz00(obj_t BgL_envz00_3951, obj_t BgL_nodez00_3952, obj_t BgL_ownerz00_3953)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 49 */
{ 
BgL_appz00_bglt BgL_nodez00_1832;obj_t BgL_ownerz00_1833;
{ /* Effect/cgraph.scm 50 */
bool_t BgL_auxz00_5459;
BgL_nodez00_1832 = 
(BgL_appz00_bglt)(BgL_nodez00_3952); 
BgL_ownerz00_1833 = BgL_ownerz00_3953; 
{ /* Effect/cgraph.scm 53 */
BgL_variablez00_bglt BgL_arg2972z00_1837;
{ /* Effect/cgraph.scm 53 */
BgL_varz00_bglt BgL_arg2973z00_1838;
BgL_arg2973z00_1838 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1832))->BgL_funz00); 
BgL_arg2972z00_1837 = 
(((BgL_varz00_bglt)CREF(BgL_arg2973z00_1838))->BgL_variablez00); } 
{ /* Effect/cgraph.scm 53 */
BgL_variablez00_bglt BgL_ownerz00_2856;
BgL_ownerz00_2856 = 
(BgL_variablez00_bglt)(BgL_ownerz00_1833); 
{ /* Effect/cgraph.scm 53 */
obj_t BgL_method2879z00_2857;
{ /* Effect/cgraph.scm 53 */
long BgL_objzd2classzd2numz00_2859;
{ /* Effect/cgraph.scm 53 */
BgL_objectz00_bglt BgL_auxz00_5463;
BgL_auxz00_5463 = 
(BgL_objectz00_bglt)(BgL_arg2972z00_1837); 
BgL_objzd2classzd2numz00_2859 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5463); } 
{ /* Effect/cgraph.scm 53 */
obj_t BgL_arg1221z00_2860;
{ /* Effect/cgraph.scm 53 */
int BgL_auxz00_5466;
BgL_auxz00_5466 = 
(int)(((long)1)); 
BgL_arg1221z00_2860 = 
PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5466); } 
{ /* Effect/cgraph.scm 53 */
long BgL_offsetz00_2864;
{ /* Effect/cgraph.scm 53 */
long BgL_auxz00_5469;
{ /* Effect/cgraph.scm 53 */
int BgL_auxz00_5470;
BgL_auxz00_5470 = 
(int)(BgL_objzd2classzd2numz00_2859); 
BgL_auxz00_5469 = 
(long)(BgL_auxz00_5470); } 
BgL_offsetz00_2864 = 
(BgL_auxz00_5469-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 53 */
long BgL_modz00_2865;
{ /* Effect/cgraph.scm 53 */
long BgL_auxz00_5474;
{ /* Effect/cgraph.scm 53 */
int BgL_auxz00_5475;
BgL_auxz00_5475 = 
(int)(((long)8)); 
BgL_auxz00_5474 = 
(long)(BgL_auxz00_5475); } 
BgL_modz00_2865 = 
(BgL_offsetz00_2864/BgL_auxz00_5474); } 
{ /* Effect/cgraph.scm 53 */
long BgL_restz00_2867;
{ /* Effect/cgraph.scm 53 */
long BgL_auxz00_5479;
{ /* Effect/cgraph.scm 53 */
int BgL_auxz00_5480;
BgL_auxz00_5480 = 
(int)(((long)8)); 
BgL_auxz00_5479 = 
(long)(BgL_auxz00_5480); } 
BgL_restz00_2867 = 
(BgL_offsetz00_2864%BgL_auxz00_5479); } 
{ /* Effect/cgraph.scm 53 */

{ /* Effect/cgraph.scm 53 */
obj_t BgL_bucketz00_2869;
{ /* Effect/cgraph.scm 53 */
int BgL_kz00_2879;
BgL_kz00_2879 = 
(int)(BgL_modz00_2865); 
BgL_bucketz00_2869 = 
VECTOR_REF(BgL_arg1221z00_2860,BgL_kz00_2879); } 
{ /* Effect/cgraph.scm 53 */
int BgL_kz00_2881;
BgL_kz00_2881 = 
(int)(BgL_restz00_2867); 
BgL_method2879z00_2857 = 
VECTOR_REF(BgL_bucketz00_2869,BgL_kz00_2881); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2879z00_2857)(BgL_method2879z00_2857, 
(obj_t)(BgL_arg2972z00_1837), 
(obj_t)(BgL_ownerz00_2856), BEOA); } } } 
BgL_auxz00_5459 = 
BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1832))->BgL_argsz00), BgL_ownerz00_1833); 
return 
BBOOL(BgL_auxz00_5459);} } } 
}



/* call-graph!-sequence2845 */
obj_t BGl_callzd2graphz12zd2sequence2845z12zzeffect_cgraphz00(obj_t BgL_envz00_3954, obj_t BgL_nodez00_3955, obj_t BgL_ownerz00_3956)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 43 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1825;obj_t BgL_ownerz00_1826;
{ /* Effect/cgraph.scm 44 */
bool_t BgL_auxz00_5496;
BgL_nodez00_1825 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3955); 
BgL_ownerz00_1826 = BgL_ownerz00_3956; 
BgL_auxz00_5496 = 
BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1825))->BgL_nodesz00), BgL_ownerz00_1826); 
return 
BBOOL(BgL_auxz00_5496);} } } 
}



/* call-graph! */
obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt BgL_nodez00_2, BgL_variablez00_bglt BgL_ownerz00_3)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 37 */
{ /* Effect/cgraph.scm 37 */
obj_t BgL_method2843z00_3734;
{ /* Effect/cgraph.scm 37 */
long BgL_objzd2classzd2numz00_3736;
{ /* Effect/cgraph.scm 37 */
BgL_objectz00_bglt BgL_auxz00_5501;
BgL_auxz00_5501 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3736 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5501); } 
{ /* Effect/cgraph.scm 37 */
obj_t BgL_arg1221z00_3737;
{ /* Effect/cgraph.scm 37 */
int BgL_auxz00_5504;
BgL_auxz00_5504 = 
(int)(((long)1)); 
BgL_arg1221z00_3737 = 
PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5504); } 
{ /* Effect/cgraph.scm 37 */
long BgL_offsetz00_3741;
{ /* Effect/cgraph.scm 37 */
long BgL_auxz00_5507;
{ /* Effect/cgraph.scm 37 */
int BgL_auxz00_5508;
BgL_auxz00_5508 = 
(int)(BgL_objzd2classzd2numz00_3736); 
BgL_auxz00_5507 = 
(long)(BgL_auxz00_5508); } 
BgL_offsetz00_3741 = 
(BgL_auxz00_5507-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 37 */
long BgL_modz00_3742;
{ /* Effect/cgraph.scm 37 */
long BgL_auxz00_5512;
{ /* Effect/cgraph.scm 37 */
int BgL_auxz00_5513;
BgL_auxz00_5513 = 
(int)(((long)8)); 
BgL_auxz00_5512 = 
(long)(BgL_auxz00_5513); } 
BgL_modz00_3742 = 
(BgL_offsetz00_3741/BgL_auxz00_5512); } 
{ /* Effect/cgraph.scm 37 */
long BgL_restz00_3744;
{ /* Effect/cgraph.scm 37 */
long BgL_auxz00_5517;
{ /* Effect/cgraph.scm 37 */
int BgL_auxz00_5518;
BgL_auxz00_5518 = 
(int)(((long)8)); 
BgL_auxz00_5517 = 
(long)(BgL_auxz00_5518); } 
BgL_restz00_3744 = 
(BgL_offsetz00_3741%BgL_auxz00_5517); } 
{ /* Effect/cgraph.scm 37 */

{ /* Effect/cgraph.scm 37 */
obj_t BgL_bucketz00_3746;
{ /* Effect/cgraph.scm 37 */
int BgL_kz00_3756;
BgL_kz00_3756 = 
(int)(BgL_modz00_3742); 
BgL_bucketz00_3746 = 
VECTOR_REF(BgL_arg1221z00_3737,BgL_kz00_3756); } 
{ /* Effect/cgraph.scm 37 */
int BgL_kz00_3758;
BgL_kz00_3758 = 
(int)(BgL_restz00_3744); 
BgL_method2843z00_3734 = 
VECTOR_REF(BgL_bucketz00_3746,BgL_kz00_3758); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2843z00_3734)(BgL_method2843z00_3734, 
(obj_t)(BgL_nodez00_2), 
(obj_t)(BgL_ownerz00_3), BEOA);} } 
}



/* _call-graph! */
obj_t BGl__callzd2graphz12zc0zzeffect_cgraphz00(obj_t BgL_envz00_3789, obj_t BgL_nodez00_3790, obj_t BgL_ownerz00_3791)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 37 */
return 
BGl_callzd2graphz12zc0zzeffect_cgraphz00(
(BgL_nodez00_bglt)(BgL_nodez00_3790), 
(BgL_variablez00_bglt)(BgL_ownerz00_3791));} 
}



/* call-graph!-default2842 */
obj_t BGl_callzd2graphz12zd2default2842z12zzeffect_cgraphz00(BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_ownerz00_5)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
return 
CNST_TABLE_REF(((long)5));} 
}



/* _call-graph!-default2842 */
obj_t BGl__callzd2graphz12zd2default2842z12zzeffect_cgraphz00(obj_t BgL_envz00_3957, obj_t BgL_nodez00_3958, obj_t BgL_ownerz00_3959)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
return 
BGl_callzd2graphz12zd2default2842z12zzeffect_cgraphz00(
(BgL_nodez00_bglt)(BgL_nodez00_3958), 
(BgL_variablez00_bglt)(BgL_ownerz00_3959));} 
}



/* save-call! */
obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt BgL_calleez00_42, BgL_variablez00_bglt BgL_ownerz00_43)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 203 */
{ /* Effect/cgraph.scm 203 */
obj_t BgL_method2879z00_3759;
{ /* Effect/cgraph.scm 203 */
long BgL_objzd2classzd2numz00_3761;
{ /* Effect/cgraph.scm 203 */
BgL_objectz00_bglt BgL_auxz00_5537;
BgL_auxz00_5537 = 
(BgL_objectz00_bglt)(BgL_calleez00_42); 
BgL_objzd2classzd2numz00_3761 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5537); } 
{ /* Effect/cgraph.scm 203 */
obj_t BgL_arg1221z00_3762;
{ /* Effect/cgraph.scm 203 */
int BgL_auxz00_5540;
BgL_auxz00_5540 = 
(int)(((long)1)); 
BgL_arg1221z00_3762 = 
PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00, BgL_auxz00_5540); } 
{ /* Effect/cgraph.scm 203 */
long BgL_offsetz00_3766;
{ /* Effect/cgraph.scm 203 */
long BgL_auxz00_5543;
{ /* Effect/cgraph.scm 203 */
int BgL_auxz00_5544;
BgL_auxz00_5544 = 
(int)(BgL_objzd2classzd2numz00_3761); 
BgL_auxz00_5543 = 
(long)(BgL_auxz00_5544); } 
BgL_offsetz00_3766 = 
(BgL_auxz00_5543-OBJECT_TYPE); } 
{ /* Effect/cgraph.scm 203 */
long BgL_modz00_3767;
{ /* Effect/cgraph.scm 203 */
long BgL_auxz00_5548;
{ /* Effect/cgraph.scm 203 */
int BgL_auxz00_5549;
BgL_auxz00_5549 = 
(int)(((long)8)); 
BgL_auxz00_5548 = 
(long)(BgL_auxz00_5549); } 
BgL_modz00_3767 = 
(BgL_offsetz00_3766/BgL_auxz00_5548); } 
{ /* Effect/cgraph.scm 203 */
long BgL_restz00_3769;
{ /* Effect/cgraph.scm 203 */
long BgL_auxz00_5553;
{ /* Effect/cgraph.scm 203 */
int BgL_auxz00_5554;
BgL_auxz00_5554 = 
(int)(((long)8)); 
BgL_auxz00_5553 = 
(long)(BgL_auxz00_5554); } 
BgL_restz00_3769 = 
(BgL_offsetz00_3766%BgL_auxz00_5553); } 
{ /* Effect/cgraph.scm 203 */

{ /* Effect/cgraph.scm 203 */
obj_t BgL_bucketz00_3771;
{ /* Effect/cgraph.scm 203 */
int BgL_kz00_3781;
BgL_kz00_3781 = 
(int)(BgL_modz00_3767); 
BgL_bucketz00_3771 = 
VECTOR_REF(BgL_arg1221z00_3762,BgL_kz00_3781); } 
{ /* Effect/cgraph.scm 203 */
int BgL_kz00_3783;
BgL_kz00_3783 = 
(int)(BgL_restz00_3769); 
BgL_method2879z00_3759 = 
VECTOR_REF(BgL_bucketz00_3771,BgL_kz00_3783); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2879z00_3759)(BgL_method2879z00_3759, 
(obj_t)(BgL_calleez00_42), 
(obj_t)(BgL_ownerz00_43), BEOA);} } 
}



/* _save-call! */
obj_t BGl__savezd2callz12zc0zzeffect_cgraphz00(obj_t BgL_envz00_3862, obj_t BgL_calleez00_3863, obj_t BgL_ownerz00_3864)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 203 */
return 
BGl_savezd2callz12zc0zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_calleez00_3863), 
(BgL_variablez00_bglt)(BgL_ownerz00_3864));} 
}



/* save-call!-default2878 */
obj_t BGl_savezd2callz12zd2default2878z12zzeffect_cgraphz00(BgL_variablez00_bglt BgL_calleez00_44, BgL_variablez00_bglt BgL_ownerz00_45)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
{ 
obj_t BgL_auxz00_5571;obj_t BgL_auxz00_5569;
BgL_auxz00_5571 = 
(obj_t)(BgL_calleez00_44); 
BgL_auxz00_5569 = 
CNST_TABLE_REF(((long)6)); 
FAILURE(BgL_auxz00_5569,BGl_string3192z00zzeffect_cgraphz00,BgL_auxz00_5571);} } 
}



/* _save-call!-default2878 */
obj_t BGl__savezd2callz12zd2default2878z12zzeffect_cgraphz00(obj_t BgL_envz00_3960, obj_t BgL_calleez00_3961, obj_t BgL_ownerz00_3962)
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
return 
BGl_savezd2callz12zd2default2878z12zzeffect_cgraphz00(
(BgL_variablez00_bglt)(BgL_calleez00_3961), 
(BgL_variablez00_bglt)(BgL_ownerz00_3962));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
{ AN_OBJECT;
{ /* Effect/cgraph.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "effect_cgraph"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "effect_cgraph"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "effect_cgraph");} 
}

