/*===========================================================================*/
/*   (Expand/object.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;


extern obj_t BGl_slotz00zzobject_slotsz00;
static obj_t BGl_allocz00zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
static obj_t BGl_makezd2withzd2accesszd2bodyzd2zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzexpand_objectz00();
extern long bgl_list_length(obj_t);
static obj_t BGl_zc3anonymousza31992ze3z83zzexpand_objectz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_classzd2splitzd2slotsz00zzexpand_objectz00(obj_t, BgL_typez00_bglt, obj_t);
static obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__expandzd2shrinkz122819zc0zzexpand_objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32171ze3z83zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32037ze3z83zzexpand_objectz00(obj_t, obj_t);
extern obj_t make_vector(int, obj_t);
static obj_t BGl__expandzd2widenz122818zc0zzexpand_objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_makezd2wideningzd2zzexpand_objectz00(obj_t, BgL_typez00_bglt, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t, obj_t);
static obj_t BGl__expandzd2withzd2access2814z00zzexpand_objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl__expandzd2instantiate2815zd2zzexpand_objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__expandzd2cozd2instantiate2816z00zzexpand_objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_makezd2indexedzd2bodyz00zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopz00zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
static obj_t BGl_makezd2virtualzd2setz00zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t, char *);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_tclasszd2allzd2slotsz00zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_instantiatezd2ze3fillz31zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzexpand_objectz00();
static obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31833ze3z83zzexpand_objectz00(obj_t);
extern obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00();
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzexpand_objectz00 = BUNSPEC;
extern obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t, obj_t);
extern obj_t current_output_port;
extern obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t, obj_t);
extern obj_t BGl_lexicalzd2stackzd2zzexpand_epsz00();
static obj_t BGl_e1z00zzexpand_objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31843ze3z83zzexpand_objectz00(obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl__expandzd2duplicate2817zd2zzexpand_objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t, BgL_typez00_bglt, obj_t);
extern obj_t bgl_list_ref(obj_t, long);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 41 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_expandzd2widenz12zd2envz12zzexpand_objectz00, BgL_bgl__expandza7d2widenza7122818za7c0za7za7expand_objectza7002853z00, BGl__expandzd2widenz122818zc0zzexpand_objectz00, 0L, 2 );
DEFINE_STRING( BGl_string2848z00zzexpand_objectz00, BgL_bgl_string2848za700za7za7expand_objectza7002854z00, "object? o error object-class class-super eq? shrink! object-widening if object-mark-producer! class-num __object object-class-num-set! @ object-widening-set! cast obj let* nothing duplicated ! fill- begin allocate- instantiate co-instantiate ok done new make- set! value -set! labels index -len - -ref let with-access instance ", 327 );
DEFINE_STRING( BGl_string2847z00zzexpand_objectz00, BgL_bgl_string2847za700za7za7expand_objectza7002855z00, "' form (unknown slot ", 21 );
DEFINE_STRING( BGl_string2846z00zzexpand_objectz00, BgL_bgl_string2846za700za7za7expand_objectza7002856z00, "Illegal `", 9 );
DEFINE_STRING( BGl_string2845z00zzexpand_objectz00, BgL_bgl_string2845za700za7za7expand_objectza7002857z00, "' form (read-only slot ", 23 );
DEFINE_STRING( BGl_string2844z00zzexpand_objectz00, BgL_bgl_string2844za700za7za7expand_objectza7002858z00, "shrink!", 7 );
DEFINE_STRING( BGl_string2843z00zzexpand_objectz00, BgL_bgl_string2843za700za7za7expand_objectza7002859z00, "Not a wide object", 17 );
DEFINE_STRING( BGl_string2842z00zzexpand_objectz00, BgL_bgl_string2842za700za7za7expand_objectza7002860z00, "Illegal `shrink!' form", 22 );
DEFINE_STRING( BGl_string2841z00zzexpand_objectz00, BgL_bgl_string2841za700za7za7expand_objectza7002861z00, "This object can't be widened to the wanted class", 48 );
DEFINE_STRING( BGl_string2840z00zzexpand_objectz00, BgL_bgl_string2840za700za7za7expand_objectza7002862z00, "Illegal `widening!' form (missing arguments for slot ", 53 );
DEFINE_STRING( BGl_string2839z00zzexpand_objectz00, BgL_bgl_string2839za700za7za7expand_objectza7002863z00, "widen!", 6 );
DEFINE_STRING( BGl_string2838z00zzexpand_objectz00, BgL_bgl_string2838za700za7za7expand_objectza7002864z00, "Illegal `widen!' form", 21 );
DEFINE_STRING( BGl_string2837z00zzexpand_objectz00, BgL_bgl_string2837za700za7za7expand_objectza7002865z00, "widen!:Illegal class type:", 26 );
DEFINE_STRING( BGl_string2836z00zzexpand_objectz00, BgL_bgl_string2836za700za7za7expand_objectza7002866z00, "duplicate", 9 );
DEFINE_STRING( BGl_string2835z00zzexpand_objectz00, BgL_bgl_string2835za700za7za7expand_objectza7002867z00, "Illegal `duplicate' form", 24 );
DEFINE_STRING( BGl_string2834z00zzexpand_objectz00, BgL_bgl_string2834za700za7za7expand_objectza7002868z00, "duplicate:Illegal class type:", 29 );
DEFINE_STRING( BGl_string2833z00zzexpand_objectz00, BgL_bgl_string2833za700za7za7expand_objectza7002869z00, "Abstract classes can't be duplicated", 36 );
DEFINE_STRING( BGl_string2832z00zzexpand_objectz00, BgL_bgl_string2832za700za7za7expand_objectza7002870z00, "co-instantiate:Illegal binding", 30 );
DEFINE_STRING( BGl_string2831z00zzexpand_objectz00, BgL_bgl_string2831za700za7za7expand_objectza7002871z00, "co-instantiate:Illegal class", 28 );
DEFINE_STRING( BGl_string2830z00zzexpand_objectz00, BgL_bgl_string2830za700za7za7expand_objectza7002872z00, "co-instantiate:Abstract classes can't be instantiated", 53 );
DEFINE_STRING( BGl_string2829z00zzexpand_objectz00, BgL_bgl_string2829za700za7za7expand_objectza7002873z00, "Illegal `co-instantiate' form", 29 );
DEFINE_STRING( BGl_string2828z00zzexpand_objectz00, BgL_bgl_string2828za700za7za7expand_objectza7002874z00, ")", 1 );
DEFINE_STRING( BGl_string2827z00zzexpand_objectz00, BgL_bgl_string2827za700za7za7expand_objectza7002875z00, "Illegal `instantiate' form (missing arguments for slot ", 55 );
DEFINE_STRING( BGl_string2826z00zzexpand_objectz00, BgL_bgl_string2826za700za7za7expand_objectza7002876z00, "instantiate", 11 );
DEFINE_STRING( BGl_string2825z00zzexpand_objectz00, BgL_bgl_string2825za700za7za7expand_objectza7002877z00, "Illegal `instantiate' form", 26 );
DEFINE_STRING( BGl_string2824z00zzexpand_objectz00, BgL_bgl_string2824za700za7za7expand_objectza7002878z00, "Abstract classes can't be instantiated", 38 );
DEFINE_STRING( BGl_string2823z00zzexpand_objectz00, BgL_bgl_string2823za700za7za7expand_objectza7002879z00, "Illegal `with-access' form. Unknown slot `", 42 );
DEFINE_STRING( BGl_string2822z00zzexpand_objectz00, BgL_bgl_string2822za700za7za7expand_objectza7002880z00, "Illegal `with-access' form", 26 );
DEFINE_STRING( BGl_string2821z00zzexpand_objectz00, BgL_bgl_string2821za700za7za7expand_objectza7002881z00, "'", 1 );
DEFINE_STRING( BGl_string2820z00zzexpand_objectz00, BgL_bgl_string2820za700za7za7expand_objectza7002882z00, "Illegal `with-access' form. Illegal slot identifier `", 53 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2shrinkz12zd2envz12zzexpand_objectz00, BgL_bgl__expandza7d2shrinkza7122819za7c0za7za7expand_objectza7002883z00, BGl__expandzd2shrinkz122819zc0zzexpand_objectz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2instantiatezd2envz00zzexpand_objectz00, BgL_bgl__expandza7d2instantiate2815za7d2za7za7expand_objectza7002884za7, BGl__expandzd2instantiate2815zd2zzexpand_objectz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2duplicatezd2envz00zzexpand_objectz00, BgL_bgl__expandza7d2duplicate2817za7d2za7za7expand_objectza7002885za7, BGl__expandzd2duplicate2817zd2zzexpand_objectz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2cozd2instantiatezd2envzd2zzexpand_objectz00, BgL_bgl__expandza7d2coza7d2instantiate2816za700za7za7expand_objectza7002886z00, BGl__expandzd2cozd2instantiate2816z00zzexpand_objectz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2withzd2accesszd2envzd2zzexpand_objectz00, BgL_bgl__expandza7d2withza7d2access2814za700za7za7expand_objectza7002887z00, BGl__expandzd2withzd2access2814z00zzexpand_objectz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzexpand_objectz00(long BgL_checksumz00_2968, char * BgL_fromz00_2969)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_objectz00))
{ 
BGl_requirezd2initializa7ationz75zzexpand_objectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_objectz00(); 
BGl_cnstzd2initzd2zzexpand_objectz00(); 
BGl_importedzd2moduleszd2initz00zzexpand_objectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00()
{ AN_OBJECT;
{ /* Expand/object.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "expand_object"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "expand_object"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_objectz00()
{ AN_OBJECT;
{ /* Expand/object.scm 15 */
{ /* Expand/object.scm 15 */
obj_t BgL_cportz00_2961;
BgL_cportz00_2961 = 
open_input_string(BGl_string2848z00zzexpand_objectz00); 
{ 
long BgL_iz00_2962;
BgL_iz00_2962 = ((long)40); 
BgL_loopz00_2963:
if(
(BgL_iz00_2962==((long)-1)))
{ /* Expand/object.scm 15 */
return BUNSPEC;}  else 
{ /* Expand/object.scm 15 */
{ /* Expand/object.scm 15 */
obj_t BgL_arg2850z00_2965;
{ /* Expand/object.scm 15 */
obj_t BgL_list2851z00_2966;
BgL_list2851z00_2966 = 
MAKE_PAIR(BgL_cportz00_2961, BNIL); 
BgL_arg2850z00_2965 = 
BGl_readz00zz__readerz00(BgL_list2851z00_2966); } 
{ /* Expand/object.scm 15 */
int BgL_auxz00_2991;
BgL_auxz00_2991 = 
(int)(BgL_iz00_2962); 
CNST_TABLE_SET(BgL_auxz00_2991, BgL_arg2850z00_2965); } } 
{ 
long BgL_iz00_2994;
{ /* Expand/object.scm 15 */
int BgL_auxz00_2995;
{ /* Expand/object.scm 15 */
long BgL_auxz00_2996;
BgL_auxz00_2996 = 
(BgL_iz00_2962-((long)1)); 
BgL_auxz00_2995 = 
(int)(BgL_auxz00_2996); } 
BgL_iz00_2994 = 
(long)(BgL_auxz00_2995); } 
BgL_iz00_2962 = BgL_iz00_2994; 
goto BgL_loopz00_2963;} } } } } 
}



/* expand-with-access */
obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t BgL_xz00_1, obj_t BgL_ez00_2)
{ AN_OBJECT;
{ /* Expand/object.scm 39 */
{ 
obj_t BgL_withzd2accesszd2_691;obj_t BgL_instancez00_692;obj_t BgL_slotsz00_693;obj_t BgL_bodyz00_694;
if(
PAIRP(BgL_xz00_1))
{ /* Expand/object.scm 40 */
obj_t BgL_cdrzd2113zd2_699;
BgL_cdrzd2113zd2_699 = 
CDR(BgL_xz00_1); 
if(
PAIRP(BgL_cdrzd2113zd2_699))
{ /* Expand/object.scm 40 */
obj_t BgL_cdrzd2119zd2_701;
BgL_cdrzd2119zd2_701 = 
CDR(BgL_cdrzd2113zd2_699); 
if(
PAIRP(BgL_cdrzd2119zd2_701))
{ /* Expand/object.scm 40 */
obj_t BgL_carzd2123zd2_703;obj_t BgL_cdrzd2124zd2_704;
BgL_carzd2123zd2_703 = 
CAR(BgL_cdrzd2119zd2_701); 
BgL_cdrzd2124zd2_704 = 
CDR(BgL_cdrzd2119zd2_701); 
if(
PAIRP(BgL_carzd2123zd2_703))
{ /* Expand/object.scm 40 */
if(
PAIRP(BgL_cdrzd2124zd2_704))
{ /* Expand/object.scm 40 */
BgL_withzd2accesszd2_691 = 
CAR(BgL_xz00_1); 
BgL_instancez00_692 = 
CAR(BgL_cdrzd2113zd2_699); 
BgL_slotsz00_693 = BgL_carzd2123zd2_703; 
BgL_bodyz00_694 = BgL_cdrzd2124zd2_704; 
{ /* Expand/object.scm 42 */
obj_t BgL_locz00_709;
BgL_locz00_709 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_1); 
{ /* Expand/object.scm 42 */
BgL_typez00_bglt BgL_classz00_710;
BgL_classz00_710 = 
BGl_typezd2ofzd2idz00zzast_identz00(BgL_withzd2accesszd2_691, BgL_locz00_709); 
{ /* Expand/object.scm 43 */

{ /* Expand/object.scm 45 */
bool_t BgL_test1828z00_711;
BgL_test1828z00_711 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_710), BGl_tclassz00zzobject_classz00); 
if(BgL_test1828z00_711)
{ /* Expand/object.scm 45 */
{ 
obj_t BgL_sz00_712;
BgL_sz00_712 = BgL_slotsz00_693; 
BgL_loopz00_713:
if(
NULLP(BgL_sz00_712))
{ /* Expand/object.scm 50 */
{ /* Expand/object.scm 51 */
obj_t BgL_auxz00_715;
{ /* Expand/object.scm 51 */
obj_t BgL_arg1834z00_727;
BgL_arg1834z00_727 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_auxz00_715 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1834z00_727); } 
{ /* Expand/object.scm 52 */
obj_t BgL_instancez00_717;
BgL_instancez00_717 = 
PROCEDURE_ENTRY(BgL_ez00_2)(BgL_ez00_2, BgL_instancez00_692, BgL_ez00_2, BEOA); 
{ /* Expand/object.scm 53 */
obj_t BgL_classzd2idzd2_718;
BgL_classzd2idzd2_718 = 
(((BgL_typez00_bglt)CREF(BgL_classz00_710))->BgL_idz00); 
{ /* Expand/object.scm 54 */

{ /* Expand/object.scm 55 */
obj_t BgL_directz00_719;
BgL_directz00_719 = 
BGl_classzd2splitzd2slotsz00zzexpand_objectz00(BgL_xz00_1, BgL_classz00_710, BgL_slotsz00_693); 
{ /* Expand/object.scm 57 */
obj_t BgL_indexedz00_720;
BgL_indexedz00_720 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Expand/object.scm 61 */
obj_t BgL_arg1830z00_721;
{ /* Expand/object.scm 61 */
obj_t BgL_arg1831z00_722;
BgL_arg1831z00_722 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_1); 
{ /* Expand/object.scm 63 */
obj_t BgL_zc3anonymousza31833ze3z83_2882;
{ 
int BgL_auxz00_3032;int BgL_auxz00_3030;
BgL_auxz00_3032 = 
(int)(((long)8)); 
BgL_auxz00_3030 = 
(int)(((long)0)); 
BgL_zc3anonymousza31833ze3z83_2882 = 
make_fx_procedure(BGl_zc3anonymousza31833ze3z83zzexpand_objectz00, BgL_auxz00_3030, BgL_auxz00_3032); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3035;
BgL_auxz00_3035 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3035, BgL_ez00_2); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3038;
BgL_auxz00_3038 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3038, BgL_auxz00_715); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3041;
BgL_auxz00_3041 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3041, BgL_auxz00_715); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3044;
BgL_auxz00_3044 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3044, BgL_classzd2idzd2_718); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3047;
BgL_auxz00_3047 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3047, BgL_directz00_719); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3050;
BgL_auxz00_3050 = 
(int)(((long)5)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3050, BgL_instancez00_717); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3053;
BgL_auxz00_3053 = 
(int)(((long)6)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3053, BgL_indexedz00_720); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3056;
BgL_auxz00_3056 = 
(int)(((long)7)); 
PROCEDURE_SET(BgL_zc3anonymousza31833ze3z83_2882, BgL_auxz00_3056, BgL_bodyz00_694); } 
BgL_arg1830z00_721 = 
BGl_withzd2lexicalzd2zzexpand_epsz00(BgL_slotsz00_693, BgL_auxz00_715, BgL_arg1831z00_722, BgL_zc3anonymousza31833ze3z83_2882); } } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_1, BgL_arg1830z00_721);} } } } } } } }  else 
{ /* Expand/object.scm 50 */
if(
PAIRP(BgL_sz00_712))
{ /* Expand/object.scm 77 */
bool_t BgL_testz00_3063;
{ /* Expand/object.scm 77 */
obj_t BgL_auxz00_3064;
BgL_auxz00_3064 = 
CAR(BgL_sz00_712); 
BgL_testz00_3063 = 
SYMBOLP(BgL_auxz00_3064); } 
if(BgL_testz00_3063)
{ /* Expand/object.scm 77 */
{ 
obj_t BgL_sz00_3067;
BgL_sz00_3067 = 
CDR(BgL_sz00_712); 
BgL_sz00_712 = BgL_sz00_3067; 
goto BgL_loopz00_713;} }  else 
{ /* Expand/object.scm 77 */
{ /* Expand/object.scm 81 */
obj_t BgL_arg1838z00_731;
{ /* Expand/object.scm 81 */
obj_t BgL_arg1840z00_733;
{ /* Expand/object.scm 84 */
obj_t BgL_zc3anonymousza31843ze3z83_2883;
{ 
int BgL_auxz00_3071;int BgL_auxz00_3069;
BgL_auxz00_3071 = 
(int)(((long)1)); 
BgL_auxz00_3069 = 
(int)(((long)0)); 
BgL_zc3anonymousza31843ze3z83_2883 = 
make_fx_procedure(BGl_zc3anonymousza31843ze3z83zzexpand_objectz00, BgL_auxz00_3069, BgL_auxz00_3071); } 
{ /* Expand/object.scm 84 */
int BgL_auxz00_3074;
BgL_auxz00_3074 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31843ze3z83_2883, BgL_auxz00_3074, BgL_sz00_712); } 
BgL_arg1840z00_733 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3anonymousza31843ze3z83_2883); } 
BgL_arg1838z00_731 = 
string_append_3(BGl_string2820z00zzexpand_objectz00, BgL_arg1840z00_733, BGl_string2821z00zzexpand_objectz00); } 
FAILURE(BFALSE,BgL_arg1838z00_731,BgL_xz00_1);} } }  else 
{ /* Expand/object.scm 75 */
FAILURE(BFALSE,BGl_string2822z00zzexpand_objectz00,BgL_xz00_1);} } } }  else 
{ /* Expand/object.scm 45 */
FAILURE(BFALSE,BGl_string2822z00zzexpand_objectz00,BgL_xz00_1);} } } } } }  else 
{ /* Expand/object.scm 40 */
BgL_tagzd2102zd2_696:
FAILURE(BFALSE,BGl_string2822z00zzexpand_objectz00,BgL_xz00_1);} }  else 
{ /* Expand/object.scm 40 */
goto BgL_tagzd2102zd2_696;} }  else 
{ /* Expand/object.scm 40 */
goto BgL_tagzd2102zd2_696;} }  else 
{ /* Expand/object.scm 40 */
goto BgL_tagzd2102zd2_696;} }  else 
{ /* Expand/object.scm 40 */
goto BgL_tagzd2102zd2_696;} } } 
}



/* _expand-with-access2814 */
obj_t BGl__expandzd2withzd2access2814z00zzexpand_objectz00(obj_t BgL_envz00_2884, obj_t BgL_xz00_2885, obj_t BgL_ez00_2886)
{ AN_OBJECT;
{ /* Expand/object.scm 39 */
return 
BGl_expandzd2withzd2accessz00zzexpand_objectz00(BgL_xz00_2885, BgL_ez00_2886);} 
}



/* <anonymous:1833> */
obj_t BGl_zc3anonymousza31833ze3z83zzexpand_objectz00(obj_t BgL_envz00_2887)
{ AN_OBJECT;
{ /* Expand/object.scm 62 */
{ /* Expand/object.scm 63 */
obj_t BgL_ez00_2888;obj_t BgL_markz00_2889;obj_t BgL_auxz00_2890;obj_t BgL_classzd2idzd2_2891;obj_t BgL_directz00_2892;obj_t BgL_instancez00_2893;obj_t BgL_indexedz00_2894;obj_t BgL_bodyz00_2895;
{ /* Expand/object.scm 63 */
int BgL_auxz00_3086;
BgL_auxz00_3086 = 
(int)(((long)0)); 
BgL_ez00_2888 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3086); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3089;
BgL_auxz00_3089 = 
(int)(((long)1)); 
BgL_markz00_2889 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3089); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3092;
BgL_auxz00_3092 = 
(int)(((long)2)); 
BgL_auxz00_2890 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3092); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3095;
BgL_auxz00_3095 = 
(int)(((long)3)); 
BgL_classzd2idzd2_2891 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3095); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3098;
BgL_auxz00_3098 = 
(int)(((long)4)); 
BgL_directz00_2892 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3098); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3101;
BgL_auxz00_3101 = 
(int)(((long)5)); 
BgL_instancez00_2893 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3101); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3104;
BgL_auxz00_3104 = 
(int)(((long)6)); 
BgL_indexedz00_2894 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3104); } 
{ /* Expand/object.scm 63 */
int BgL_auxz00_3107;
BgL_auxz00_3107 = 
(int)(((long)7)); 
BgL_bodyz00_2895 = 
PROCEDURE_REF(BgL_envz00_2887, BgL_auxz00_3107); } 
{ 

{ /* Expand/object.scm 63 */
obj_t BgL_ez00_725;
BgL_ez00_725 = 
BGl_withzd2accesszd2expanderz00zzexpand_objectz00(BgL_ez00_2888, BgL_markz00_2889, BgL_auxz00_2890, BgL_classzd2idzd2_2891, BgL_directz00_2892); 
return 
BGl_makezd2withzd2accesszd2bodyzd2zzexpand_objectz00(BgL_auxz00_2890, BgL_instancez00_2893, BgL_classzd2idzd2_2891, BgL_indexedz00_2894, BgL_bodyz00_2895, BgL_ez00_725);} } } } 
}



/* <anonymous:1843> */
obj_t BGl_zc3anonymousza31843ze3z83zzexpand_objectz00(obj_t BgL_envz00_2896)
{ AN_OBJECT;
{ /* Expand/object.scm 84 */
{ /* Expand/object.scm 84 */
obj_t BgL_sz00_2897;
{ /* Expand/object.scm 84 */
int BgL_auxz00_3112;
BgL_auxz00_3112 = 
(int)(((long)0)); 
BgL_sz00_2897 = 
PROCEDURE_REF(BgL_envz00_2896, BgL_auxz00_3112); } 
{ 

return 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
CAR(BgL_sz00_2897), current_output_port);} } } 
}



/* class-split-slots */
obj_t BGl_classzd2splitzd2slotsz00zzexpand_objectz00(obj_t BgL_xz00_3, BgL_typez00_bglt BgL_classz00_4, obj_t BgL_slotsz00_5)
{ AN_OBJECT;
{ /* Expand/object.scm 96 */
{ /* Expand/object.scm 97 */
obj_t BgL_markz00_741;
BgL_markz00_741 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)1)), BEOA); 
{ 
obj_t BgL_l1807z00_742;
{ /* Expand/object.scm 101 */
obj_t BgL_arg1847z00_744;
BgL_arg1847z00_744 = 
BGl_tclasszd2allzd2slotsz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_classz00_4)); 
BgL_l1807z00_742 = BgL_arg1847z00_744; 
BgL_lname1808z00_743:
if(
PAIRP(BgL_l1807z00_742))
{ /* Expand/object.scm 98 */
{ /* Expand/object.scm 99 */
obj_t BgL_slotz00_746;
BgL_slotz00_746 = 
CAR(BgL_l1807z00_742); 
{ /* Expand/object.scm 100 */
obj_t BgL_auxz00_3125;
{ /* Expand/object.scm 100 */
BgL_slotz00_bglt BgL_obj1746z00_2140;
BgL_obj1746z00_2140 = 
(BgL_slotz00_bglt)(BgL_slotz00_746); 
BgL_auxz00_3125 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2140))->BgL_idz00); } 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_auxz00_3125, BgL_markz00_741, BgL_slotz00_746); } } 
{ 
obj_t BgL_l1807z00_3129;
BgL_l1807z00_3129 = 
CDR(BgL_l1807z00_742); 
BgL_l1807z00_742 = BgL_l1807z00_3129; 
goto BgL_lname1808z00_743;} }  else 
{ /* Expand/object.scm 98 */((bool_t)1); } } } 
{ 
obj_t BgL_slotsz00_750;obj_t BgL_directz00_751;obj_t BgL_indexedz00_752;
BgL_slotsz00_750 = BgL_slotsz00_5; 
BgL_directz00_751 = BNIL; 
BgL_indexedz00_752 = BNIL; 
BgL_loopz00_753:
if(
NULLP(BgL_slotsz00_750))
{ /* Expand/object.scm 105 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_indexedz00_752; 
return BgL_directz00_751;}  else 
{ /* Expand/object.scm 107 */
obj_t BgL_slotz00_757;
BgL_slotz00_757 = 
BGl_getpropz00zz__r4_symbols_6_4z00(
CAR(BgL_slotsz00_750), BgL_markz00_741); 
{ /* Expand/object.scm 108 */
bool_t BgL_test1852z00_758;
BgL_test1852z00_758 = 
BGl_iszd2azf3z21zz__objectz00(BgL_slotz00_757, BGl_slotz00zzobject_slotsz00); 
if(BgL_test1852z00_758)
{ /* Expand/object.scm 115 */
bool_t BgL_testz00_3138;
{ /* Expand/object.scm 115 */
BgL_slotz00_bglt BgL_obj1763z00_2145;
BgL_obj1763z00_2145 = 
(BgL_slotz00_bglt)(BgL_slotz00_757); 
{ /* Expand/object.scm 115 */
obj_t BgL_auxz00_3140;
BgL_auxz00_3140 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_2145))->BgL_indexedz00); 
BgL_testz00_3138 = 
CBOOL(BgL_auxz00_3140); } } 
if(BgL_testz00_3138)
{ /* Expand/object.scm 116 */
obj_t BgL_arg1854z00_760;obj_t BgL_arg1855z00_761;
BgL_arg1854z00_760 = 
CDR(BgL_slotsz00_750); 
BgL_arg1855z00_761 = 
MAKE_PAIR(BgL_slotz00_757, BgL_indexedz00_752); 
{ 
obj_t BgL_indexedz00_3146;obj_t BgL_slotsz00_3145;
BgL_slotsz00_3145 = BgL_arg1854z00_760; 
BgL_indexedz00_3146 = BgL_arg1855z00_761; 
BgL_indexedz00_752 = BgL_indexedz00_3146; 
BgL_slotsz00_750 = BgL_slotsz00_3145; 
goto BgL_loopz00_753;} }  else 
{ /* Expand/object.scm 119 */
obj_t BgL_arg1856z00_762;obj_t BgL_arg1857z00_763;
BgL_arg1856z00_762 = 
CDR(BgL_slotsz00_750); 
{ /* Expand/object.scm 120 */
obj_t BgL_auxz00_3148;
BgL_auxz00_3148 = 
CAR(BgL_slotsz00_750); 
BgL_arg1857z00_763 = 
MAKE_PAIR(BgL_auxz00_3148, BgL_directz00_751); } 
{ 
obj_t BgL_directz00_3152;obj_t BgL_slotsz00_3151;
BgL_slotsz00_3151 = BgL_arg1856z00_762; 
BgL_directz00_3152 = BgL_arg1857z00_763; 
BgL_directz00_751 = BgL_directz00_3152; 
BgL_slotsz00_750 = BgL_slotsz00_3151; 
goto BgL_loopz00_753;} } }  else 
{ /* Expand/object.scm 110 */
obj_t BgL_arg1859z00_765;
{ /* Expand/object.scm 110 */
obj_t BgL_arg1861z00_767;
{ /* Expand/object.scm 112 */
obj_t BgL_auxz00_3153;
BgL_auxz00_3153 = 
CAR(BgL_slotsz00_750); 
BgL_arg1861z00_767 = 
SYMBOL_TO_STRING(BgL_auxz00_3153); } 
BgL_arg1859z00_765 = 
string_append_3(BGl_string2823z00zzexpand_objectz00, BgL_arg1861z00_767, BGl_string2821z00zzexpand_objectz00); } 
FAILURE(BFALSE,BgL_arg1859z00_765,BgL_xz00_3);} } } } } } 
}



/* make-with-access-body */
obj_t BGl_makezd2withzd2accesszd2bodyzd2zzexpand_objectz00(obj_t BgL_auxz00_6, obj_t BgL_instancez00_7, obj_t BgL_classzd2idzd2_8, obj_t BgL_indexedz00_9, obj_t BgL_bodyz00_10, obj_t BgL_ez00_11)
{ AN_OBJECT;
{ /* Expand/object.scm 126 */
{ /* Expand/object.scm 156 */
obj_t BgL_arg1866z00_772;obj_t BgL_arg1867z00_773;
BgL_arg1866z00_772 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 156 */
obj_t BgL_arg1868z00_774;obj_t BgL_arg1869z00_775;
{ /* Expand/object.scm 156 */
obj_t BgL_arg1870z00_776;
{ /* Expand/object.scm 156 */
obj_t BgL_arg1872z00_778;
BgL_arg1872z00_778 = 
MAKE_PAIR(BgL_instancez00_7, BNIL); 
BgL_arg1870z00_776 = 
MAKE_PAIR(BgL_auxz00_6, BgL_arg1872z00_778); } 
BgL_arg1868z00_774 = 
MAKE_PAIR(BgL_arg1870z00_776, BNIL); } 
{ /* Expand/object.scm 157 */
obj_t BgL_arg1873z00_779;
BgL_arg1873z00_779 = 
BGl_makezd2indexedzd2bodyz00zzexpand_objectz00(BgL_indexedz00_9, BgL_ez00_11, BgL_bodyz00_10, BgL_auxz00_6, BgL_classzd2idzd2_8); 
BgL_arg1869z00_775 = 
MAKE_PAIR(BgL_arg1873z00_779, BNIL); } 
BgL_arg1867z00_773 = 
MAKE_PAIR(BgL_arg1868z00_774, BgL_arg1869z00_775); } 
return 
MAKE_PAIR(BgL_arg1866z00_772, BgL_arg1867z00_773);} } 
}



/* loop */
obj_t BGl_loopz00zzexpand_objectz00(obj_t BgL_ez00_2950, obj_t BgL_bodyz00_2949, obj_t BgL_auxz00_2948, obj_t BgL_classzd2idzd2_2947, obj_t BgL_indexedz00_782)
{ AN_OBJECT;
{ /* Expand/object.scm 128 */
if(
NULLP(BgL_indexedz00_782))
{ /* Expand/object.scm 130 */
{ /* Expand/object.scm 131 */
obj_t BgL_arg1877z00_785;
BgL_arg1877z00_785 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_2949); 
return 
PROCEDURE_ENTRY(BgL_ez00_2950)(BgL_ez00_2950, BgL_arg1877z00_785, BgL_ez00_2950, BEOA);} }  else 
{ /* Expand/object.scm 132 */
bool_t BgL_testz00_3171;
{ /* Expand/object.scm 132 */
BgL_slotz00_bglt BgL_obj1751z00_2156;
{ /* Expand/object.scm 132 */
obj_t BgL_auxz00_3172;
BgL_auxz00_3172 = 
CAR(BgL_indexedz00_782); 
BgL_obj1751z00_2156 = 
(BgL_slotz00_bglt)(BgL_auxz00_3172); } 
BgL_testz00_3171 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1751z00_2156))->BgL_readzd2onlyzf3z21); } 
if(BgL_testz00_3171)
{ /* Expand/object.scm 132 */
{ /* Expand/object.scm 133 */
obj_t BgL_slotz00_787;
BgL_slotz00_787 = 
CAR(BgL_indexedz00_782); 
{ /* Expand/object.scm 133 */
obj_t BgL_srefz00_788;
{ /* Expand/object.scm 134 */
obj_t BgL_arg1920z00_834;
{ /* Expand/object.scm 134 */
BgL_slotz00_bglt BgL_obj1746z00_2158;
BgL_obj1746z00_2158 = 
(BgL_slotz00_bglt)(BgL_slotz00_787); 
BgL_arg1920z00_834 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2158))->BgL_idz00); } 
{ /* Expand/object.scm 134 */
obj_t BgL_list1922z00_836;
{ /* Expand/object.scm 134 */
obj_t BgL_arg1923z00_837;
{ /* Expand/object.scm 134 */
obj_t BgL_auxz00_3179;
BgL_auxz00_3179 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1923z00_837 = 
MAKE_PAIR(BgL_auxz00_3179, BNIL); } 
BgL_list1922z00_836 = 
MAKE_PAIR(BgL_arg1920z00_834, BgL_arg1923z00_837); } 
BgL_srefz00_788 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1922z00_836); } } 
{ /* Expand/object.scm 134 */
obj_t BgL_fullzd2srefzd2_789;
{ /* Expand/object.scm 135 */
obj_t BgL_list1916z00_830;
{ /* Expand/object.scm 135 */
obj_t BgL_arg1917z00_831;
{ /* Expand/object.scm 135 */
obj_t BgL_arg1918z00_832;obj_t BgL_arg1919z00_833;
BgL_arg1918z00_832 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1919z00_833 = 
MAKE_PAIR(BgL_srefz00_788, BNIL); 
BgL_arg1917z00_831 = 
MAKE_PAIR(BgL_arg1918z00_832, BgL_arg1919z00_833); } 
BgL_list1916z00_830 = 
MAKE_PAIR(BgL_classzd2idzd2_2947, BgL_arg1917z00_831); } 
BgL_fullzd2srefzd2_789 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1916z00_830); } 
{ /* Expand/object.scm 135 */
obj_t BgL_slenz00_790;
{ /* Expand/object.scm 136 */
obj_t BgL_arg1912z00_826;
{ /* Expand/object.scm 136 */
BgL_slotz00_bglt BgL_obj1746z00_2159;
BgL_obj1746z00_2159 = 
(BgL_slotz00_bglt)(BgL_slotz00_787); 
BgL_arg1912z00_826 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2159))->BgL_idz00); } 
{ /* Expand/object.scm 136 */
obj_t BgL_list1914z00_828;
{ /* Expand/object.scm 136 */
obj_t BgL_arg1915z00_829;
{ /* Expand/object.scm 136 */
obj_t BgL_auxz00_3191;
BgL_auxz00_3191 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1915z00_829 = 
MAKE_PAIR(BgL_auxz00_3191, BNIL); } 
BgL_list1914z00_828 = 
MAKE_PAIR(BgL_arg1912z00_826, BgL_arg1915z00_829); } 
BgL_slenz00_790 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1914z00_828); } } 
{ /* Expand/object.scm 136 */
obj_t BgL_fullzd2slenzd2_791;
{ /* Expand/object.scm 137 */
obj_t BgL_list1908z00_822;
{ /* Expand/object.scm 137 */
obj_t BgL_arg1909z00_823;
{ /* Expand/object.scm 137 */
obj_t BgL_arg1910z00_824;obj_t BgL_arg1911z00_825;
BgL_arg1910z00_824 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1911z00_825 = 
MAKE_PAIR(BgL_slenz00_790, BNIL); 
BgL_arg1909z00_823 = 
MAKE_PAIR(BgL_arg1910z00_824, BgL_arg1911z00_825); } 
BgL_list1908z00_822 = 
MAKE_PAIR(BgL_classzd2idzd2_2947, BgL_arg1909z00_823); } 
BgL_fullzd2slenzd2_791 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1908z00_822); } 
{ /* Expand/object.scm 137 */
obj_t BgL_iz00_792;
{ /* Expand/object.scm 138 */
obj_t BgL_arg1907z00_821;
BgL_arg1907z00_821 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)6)), BEOA); 
BgL_iz00_792 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1907z00_821); } 
{ /* Expand/object.scm 138 */

{ /* Expand/object.scm 139 */
obj_t BgL_arg1879z00_793;obj_t BgL_arg1880z00_794;
BgL_arg1879z00_793 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 139 */
obj_t BgL_arg1881z00_795;obj_t BgL_arg1882z00_796;
{ /* Expand/object.scm 139 */
obj_t BgL_arg1883z00_797;
{ /* Expand/object.scm 139 */
obj_t BgL_arg1885z00_799;
{ /* Expand/object.scm 139 */
obj_t BgL_arg1886z00_800;
{ /* Expand/object.scm 139 */
obj_t BgL_arg1888z00_802;
BgL_arg1888z00_802 = 
MAKE_PAIR(BgL_auxz00_2948, BNIL); 
BgL_arg1886z00_800 = 
MAKE_PAIR(BgL_fullzd2slenzd2_791, BgL_arg1888z00_802); } 
BgL_arg1885z00_799 = 
MAKE_PAIR(BgL_arg1886z00_800, BNIL); } 
BgL_arg1883z00_797 = 
MAKE_PAIR(BgL_slenz00_790, BgL_arg1885z00_799); } 
BgL_arg1881z00_795 = 
MAKE_PAIR(BgL_arg1883z00_797, BNIL); } 
{ /* Expand/object.scm 140 */
obj_t BgL_arg1889z00_803;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1891z00_805;obj_t BgL_arg1892z00_806;
BgL_arg1891z00_805 = 
CNST_TABLE_REF(((long)7)); 
{ /* Expand/object.scm 140 */
obj_t BgL_arg1893z00_807;obj_t BgL_arg1894z00_808;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1895z00_809;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1897z00_811;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1898z00_812;obj_t BgL_arg1899z00_813;
BgL_arg1898z00_812 = 
MAKE_PAIR(BgL_iz00_792, BNIL); 
{ /* Expand/object.scm 140 */
obj_t BgL_arg1900z00_814;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1902z00_816;
{ /* Expand/object.scm 140 */
obj_t BgL_arg1903z00_817;
BgL_arg1903z00_817 = 
MAKE_PAIR(BgL_iz00_792, BNIL); 
BgL_arg1902z00_816 = 
MAKE_PAIR(BgL_auxz00_2948, BgL_arg1903z00_817); } 
BgL_arg1900z00_814 = 
MAKE_PAIR(BgL_fullzd2srefzd2_789, BgL_arg1902z00_816); } 
BgL_arg1899z00_813 = 
MAKE_PAIR(BgL_arg1900z00_814, BNIL); } 
BgL_arg1897z00_811 = 
MAKE_PAIR(BgL_arg1898z00_812, BgL_arg1899z00_813); } 
BgL_arg1895z00_809 = 
MAKE_PAIR(BgL_srefz00_788, BgL_arg1897z00_811); } 
BgL_arg1893z00_807 = 
MAKE_PAIR(BgL_arg1895z00_809, BNIL); } 
{ /* Expand/object.scm 141 */
obj_t BgL_arg1904z00_818;
BgL_arg1904z00_818 = 
BGl_loopz00zzexpand_objectz00(BgL_ez00_2950, BgL_bodyz00_2949, BgL_auxz00_2948, BgL_classzd2idzd2_2947, 
CDR(BgL_indexedz00_782)); 
BgL_arg1894z00_808 = 
MAKE_PAIR(BgL_arg1904z00_818, BNIL); } 
BgL_arg1892z00_806 = 
MAKE_PAIR(BgL_arg1893z00_807, BgL_arg1894z00_808); } 
BgL_arg1889z00_803 = 
MAKE_PAIR(BgL_arg1891z00_805, BgL_arg1892z00_806); } 
BgL_arg1882z00_796 = 
MAKE_PAIR(BgL_arg1889z00_803, BNIL); } 
BgL_arg1880z00_794 = 
MAKE_PAIR(BgL_arg1881z00_795, BgL_arg1882z00_796); } 
return 
MAKE_PAIR(BgL_arg1879z00_793, BgL_arg1880z00_794);} } } } } } } } }  else 
{ /* Expand/object.scm 132 */
{ /* Expand/object.scm 143 */
obj_t BgL_slotz00_838;
BgL_slotz00_838 = 
CAR(BgL_indexedz00_782); 
{ /* Expand/object.scm 143 */
obj_t BgL_srefz00_839;
{ /* Expand/object.scm 144 */
obj_t BgL_arg1987z00_908;
{ /* Expand/object.scm 144 */
BgL_slotz00_bglt BgL_obj1746z00_2162;
BgL_obj1746z00_2162 = 
(BgL_slotz00_bglt)(BgL_slotz00_838); 
BgL_arg1987z00_908 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2162))->BgL_idz00); } 
{ /* Expand/object.scm 144 */
obj_t BgL_list1989z00_910;
{ /* Expand/object.scm 144 */
obj_t BgL_arg1990z00_911;
{ /* Expand/object.scm 144 */
obj_t BgL_auxz00_3231;
BgL_auxz00_3231 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1990z00_911 = 
MAKE_PAIR(BgL_auxz00_3231, BNIL); } 
BgL_list1989z00_910 = 
MAKE_PAIR(BgL_arg1987z00_908, BgL_arg1990z00_911); } 
BgL_srefz00_839 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1989z00_910); } } 
{ /* Expand/object.scm 144 */
obj_t BgL_fullzd2srefzd2_840;
{ /* Expand/object.scm 145 */
obj_t BgL_list1983z00_904;
{ /* Expand/object.scm 145 */
obj_t BgL_arg1984z00_905;
{ /* Expand/object.scm 145 */
obj_t BgL_arg1985z00_906;obj_t BgL_arg1986z00_907;
BgL_arg1985z00_906 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1986z00_907 = 
MAKE_PAIR(BgL_srefz00_839, BNIL); 
BgL_arg1984z00_905 = 
MAKE_PAIR(BgL_arg1985z00_906, BgL_arg1986z00_907); } 
BgL_list1983z00_904 = 
MAKE_PAIR(BgL_classzd2idzd2_2947, BgL_arg1984z00_905); } 
BgL_fullzd2srefzd2_840 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1983z00_904); } 
{ /* Expand/object.scm 145 */
obj_t BgL_ssetz00_841;
{ /* Expand/object.scm 146 */
obj_t BgL_arg1978z00_900;
{ /* Expand/object.scm 146 */
BgL_slotz00_bglt BgL_obj1746z00_2163;
BgL_obj1746z00_2163 = 
(BgL_slotz00_bglt)(BgL_slotz00_838); 
BgL_arg1978z00_900 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2163))->BgL_idz00); } 
{ /* Expand/object.scm 146 */
obj_t BgL_list1981z00_902;
{ /* Expand/object.scm 146 */
obj_t BgL_arg1982z00_903;
{ /* Expand/object.scm 146 */
obj_t BgL_auxz00_3243;
BgL_auxz00_3243 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg1982z00_903 = 
MAKE_PAIR(BgL_auxz00_3243, BNIL); } 
BgL_list1981z00_902 = 
MAKE_PAIR(BgL_arg1978z00_900, BgL_arg1982z00_903); } 
BgL_ssetz00_841 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1981z00_902); } } 
{ /* Expand/object.scm 146 */
obj_t BgL_fullzd2ssetzd2_842;
{ /* Expand/object.scm 147 */
obj_t BgL_list1974z00_896;
{ /* Expand/object.scm 147 */
obj_t BgL_arg1975z00_897;
{ /* Expand/object.scm 147 */
obj_t BgL_arg1976z00_898;obj_t BgL_arg1977z00_899;
BgL_arg1976z00_898 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1977z00_899 = 
MAKE_PAIR(BgL_ssetz00_841, BNIL); 
BgL_arg1975z00_897 = 
MAKE_PAIR(BgL_arg1976z00_898, BgL_arg1977z00_899); } 
BgL_list1974z00_896 = 
MAKE_PAIR(BgL_classzd2idzd2_2947, BgL_arg1975z00_897); } 
BgL_fullzd2ssetzd2_842 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1974z00_896); } 
{ /* Expand/object.scm 147 */
obj_t BgL_slenz00_843;
{ /* Expand/object.scm 148 */
obj_t BgL_arg1970z00_892;
{ /* Expand/object.scm 148 */
BgL_slotz00_bglt BgL_obj1746z00_2164;
BgL_obj1746z00_2164 = 
(BgL_slotz00_bglt)(BgL_slotz00_838); 
BgL_arg1970z00_892 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2164))->BgL_idz00); } 
{ /* Expand/object.scm 148 */
obj_t BgL_list1972z00_894;
{ /* Expand/object.scm 148 */
obj_t BgL_arg1973z00_895;
{ /* Expand/object.scm 148 */
obj_t BgL_auxz00_3255;
BgL_auxz00_3255 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1973z00_895 = 
MAKE_PAIR(BgL_auxz00_3255, BNIL); } 
BgL_list1972z00_894 = 
MAKE_PAIR(BgL_arg1970z00_892, BgL_arg1973z00_895); } 
BgL_slenz00_843 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1972z00_894); } } 
{ /* Expand/object.scm 148 */
obj_t BgL_fullzd2slenzd2_844;
{ /* Expand/object.scm 149 */
obj_t BgL_list1966z00_888;
{ /* Expand/object.scm 149 */
obj_t BgL_arg1967z00_889;
{ /* Expand/object.scm 149 */
obj_t BgL_arg1968z00_890;obj_t BgL_arg1969z00_891;
BgL_arg1968z00_890 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1969z00_891 = 
MAKE_PAIR(BgL_slenz00_843, BNIL); 
BgL_arg1967z00_889 = 
MAKE_PAIR(BgL_arg1968z00_890, BgL_arg1969z00_891); } 
BgL_list1966z00_888 = 
MAKE_PAIR(BgL_classzd2idzd2_2947, BgL_arg1967z00_889); } 
BgL_fullzd2slenzd2_844 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1966z00_888); } 
{ /* Expand/object.scm 149 */
obj_t BgL_iz00_845;
{ /* Expand/object.scm 150 */
obj_t BgL_arg1965z00_887;
BgL_arg1965z00_887 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)6)), BEOA); 
BgL_iz00_845 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1965z00_887); } 
{ /* Expand/object.scm 150 */
obj_t BgL_vz00_846;
{ /* Expand/object.scm 151 */
obj_t BgL_arg1964z00_886;
BgL_arg1964z00_886 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_vz00_846 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1964z00_886); } 
{ /* Expand/object.scm 151 */

{ /* Expand/object.scm 152 */
obj_t BgL_arg1924z00_847;obj_t BgL_arg1925z00_848;
BgL_arg1924z00_847 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 152 */
obj_t BgL_arg1926z00_849;obj_t BgL_arg1927z00_850;
{ /* Expand/object.scm 152 */
obj_t BgL_arg1928z00_851;
{ /* Expand/object.scm 152 */
obj_t BgL_arg1930z00_853;
{ /* Expand/object.scm 152 */
obj_t BgL_arg1931z00_854;
{ /* Expand/object.scm 152 */
obj_t BgL_arg1933z00_856;
BgL_arg1933z00_856 = 
MAKE_PAIR(BgL_auxz00_2948, BNIL); 
BgL_arg1931z00_854 = 
MAKE_PAIR(BgL_fullzd2slenzd2_844, BgL_arg1933z00_856); } 
BgL_arg1930z00_853 = 
MAKE_PAIR(BgL_arg1931z00_854, BNIL); } 
BgL_arg1928z00_851 = 
MAKE_PAIR(BgL_slenz00_843, BgL_arg1930z00_853); } 
BgL_arg1926z00_849 = 
MAKE_PAIR(BgL_arg1928z00_851, BNIL); } 
{ /* Expand/object.scm 153 */
obj_t BgL_arg1934z00_857;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1936z00_859;obj_t BgL_arg1937z00_860;
BgL_arg1936z00_859 = 
CNST_TABLE_REF(((long)7)); 
{ /* Expand/object.scm 153 */
obj_t BgL_arg1938z00_861;obj_t BgL_arg1939z00_862;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1940z00_863;obj_t BgL_arg1941z00_864;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1942z00_865;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1943z00_866;obj_t BgL_arg1944z00_867;
BgL_arg1943z00_866 = 
MAKE_PAIR(BgL_iz00_845, BNIL); 
{ /* Expand/object.scm 153 */
obj_t BgL_arg1945z00_868;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1947z00_870;
{ /* Expand/object.scm 153 */
obj_t BgL_arg1948z00_871;
BgL_arg1948z00_871 = 
MAKE_PAIR(BgL_iz00_845, BNIL); 
BgL_arg1947z00_870 = 
MAKE_PAIR(BgL_auxz00_2948, BgL_arg1948z00_871); } 
BgL_arg1945z00_868 = 
MAKE_PAIR(BgL_fullzd2srefzd2_840, BgL_arg1947z00_870); } 
BgL_arg1944z00_867 = 
MAKE_PAIR(BgL_arg1945z00_868, BNIL); } 
BgL_arg1942z00_865 = 
MAKE_PAIR(BgL_arg1943z00_866, BgL_arg1944z00_867); } 
BgL_arg1940z00_863 = 
MAKE_PAIR(BgL_srefz00_839, BgL_arg1942z00_865); } 
{ /* Expand/object.scm 154 */
obj_t BgL_arg1949z00_872;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1951z00_874;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1952z00_875;obj_t BgL_arg1953z00_876;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1954z00_877;
BgL_arg1954z00_877 = 
MAKE_PAIR(BgL_vz00_846, BNIL); 
BgL_arg1952z00_875 = 
MAKE_PAIR(BgL_iz00_845, BgL_arg1954z00_877); } 
{ /* Expand/object.scm 154 */
obj_t BgL_arg1956z00_878;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1958z00_880;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1959z00_881;
{ /* Expand/object.scm 154 */
obj_t BgL_arg1960z00_882;
BgL_arg1960z00_882 = 
MAKE_PAIR(BgL_vz00_846, BNIL); 
BgL_arg1959z00_881 = 
MAKE_PAIR(BgL_iz00_845, BgL_arg1960z00_882); } 
BgL_arg1958z00_880 = 
MAKE_PAIR(BgL_auxz00_2948, BgL_arg1959z00_881); } 
BgL_arg1956z00_878 = 
MAKE_PAIR(BgL_fullzd2ssetzd2_842, BgL_arg1958z00_880); } 
BgL_arg1953z00_876 = 
MAKE_PAIR(BgL_arg1956z00_878, BNIL); } 
BgL_arg1951z00_874 = 
MAKE_PAIR(BgL_arg1952z00_875, BgL_arg1953z00_876); } 
BgL_arg1949z00_872 = 
MAKE_PAIR(BgL_ssetz00_841, BgL_arg1951z00_874); } 
BgL_arg1941z00_864 = 
MAKE_PAIR(BgL_arg1949z00_872, BNIL); } 
BgL_arg1938z00_861 = 
MAKE_PAIR(BgL_arg1940z00_863, BgL_arg1941z00_864); } 
{ /* Expand/object.scm 155 */
obj_t BgL_arg1961z00_883;
BgL_arg1961z00_883 = 
BGl_loopz00zzexpand_objectz00(BgL_ez00_2950, BgL_bodyz00_2949, BgL_auxz00_2948, BgL_classzd2idzd2_2947, 
CDR(BgL_indexedz00_782)); 
BgL_arg1939z00_862 = 
MAKE_PAIR(BgL_arg1961z00_883, BNIL); } 
BgL_arg1937z00_860 = 
MAKE_PAIR(BgL_arg1938z00_861, BgL_arg1939z00_862); } 
BgL_arg1934z00_857 = 
MAKE_PAIR(BgL_arg1936z00_859, BgL_arg1937z00_860); } 
BgL_arg1927z00_850 = 
MAKE_PAIR(BgL_arg1934z00_857, BNIL); } 
BgL_arg1925z00_848 = 
MAKE_PAIR(BgL_arg1926z00_849, BgL_arg1927z00_850); } 
return 
MAKE_PAIR(BgL_arg1924z00_847, BgL_arg1925z00_848);} } } } } } } } } } } } } } 
}



/* make-indexed-body */
obj_t BGl_makezd2indexedzd2bodyz00zzexpand_objectz00(obj_t BgL_indexedz00_2955, obj_t BgL_ez00_2954, obj_t BgL_bodyz00_2953, obj_t BgL_auxz00_2952, obj_t BgL_classzd2idzd2_2951)
{ AN_OBJECT;
{ /* Expand/object.scm 155 */
return 
BGl_loopz00zzexpand_objectz00(BgL_ez00_2954, BgL_bodyz00_2953, BgL_auxz00_2952, BgL_classzd2idzd2_2951, BgL_indexedz00_2955);} 
}



/* with-access-expander */
obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t BgL_oldzd2expanderzd2_12, obj_t BgL_markz00_13, obj_t BgL_instancez00_14, obj_t BgL_classz00_15, obj_t BgL_slotsz00_16)
{ AN_OBJECT;
{ /* Expand/object.scm 162 */
{ /* Expand/object.scm 163 */
obj_t BgL_zc3anonymousza31992ze3z83_2898;
{ 
int BgL_auxz00_3309;int BgL_auxz00_3307;
BgL_auxz00_3309 = 
(int)(((long)5)); 
BgL_auxz00_3307 = 
(int)(((long)2)); 
BgL_zc3anonymousza31992ze3z83_2898 = 
make_fx_procedure(BGl_zc3anonymousza31992ze3z83zzexpand_objectz00, BgL_auxz00_3307, BgL_auxz00_3309); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3312;
BgL_auxz00_3312 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_2898, BgL_auxz00_3312, BgL_oldzd2expanderzd2_12); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3315;
BgL_auxz00_3315 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_2898, BgL_auxz00_3315, BgL_slotsz00_16); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3318;
BgL_auxz00_3318 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_2898, BgL_auxz00_3318, BgL_markz00_13); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3321;
BgL_auxz00_3321 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_2898, BgL_auxz00_3321, BgL_classz00_15); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3324;
BgL_auxz00_3324 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_2898, BgL_auxz00_3324, BgL_instancez00_14); } 
return BgL_zc3anonymousza31992ze3z83_2898;} } 
}



/* <anonymous:1992> */
obj_t BGl_zc3anonymousza31992ze3z83zzexpand_objectz00(obj_t BgL_envz00_2899, obj_t BgL_xz00_2905, obj_t BgL_ez00_2906)
{ AN_OBJECT;
{ /* Expand/object.scm 163 */
{ /* Expand/object.scm 163 */
obj_t BgL_oldzd2expanderzd2_2900;obj_t BgL_slotsz00_2901;obj_t BgL_markz00_2902;obj_t BgL_classz00_2903;obj_t BgL_instancez00_2904;
{ /* Expand/object.scm 163 */
int BgL_auxz00_3327;
BgL_auxz00_3327 = 
(int)(((long)0)); 
BgL_oldzd2expanderzd2_2900 = 
PROCEDURE_REF(BgL_envz00_2899, BgL_auxz00_3327); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3330;
BgL_auxz00_3330 = 
(int)(((long)1)); 
BgL_slotsz00_2901 = 
PROCEDURE_REF(BgL_envz00_2899, BgL_auxz00_3330); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3333;
BgL_auxz00_3333 = 
(int)(((long)2)); 
BgL_markz00_2902 = 
PROCEDURE_REF(BgL_envz00_2899, BgL_auxz00_3333); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3336;
BgL_auxz00_3336 = 
(int)(((long)3)); 
BgL_classz00_2903 = 
PROCEDURE_REF(BgL_envz00_2899, BgL_auxz00_3336); } 
{ /* Expand/object.scm 163 */
int BgL_auxz00_3339;
BgL_auxz00_3339 = 
(int)(((long)4)); 
BgL_instancez00_2904 = 
PROCEDURE_REF(BgL_envz00_2899, BgL_auxz00_3339); } 
{ 
obj_t BgL_xz00_914;obj_t BgL_ez00_915;
BgL_xz00_914 = BgL_xz00_2905; 
BgL_ez00_915 = BgL_ez00_2906; 
{ 
obj_t BgL_varz00_919;obj_t BgL_valz00_920;obj_t BgL_varz00_917;
if(
SYMBOLP(BgL_xz00_914))
{ /* Expand/object.scm 163 */
BgL_varz00_917 = BgL_xz00_914; 
{ /* Expand/object.scm 166 */
bool_t BgL_test2005z00_939;
{ /* Expand/object.scm 166 */
bool_t BgL_testz00_3344;
{ /* Expand/object.scm 166 */
obj_t BgL_auxz00_3345;
BgL_auxz00_3345 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_917, BgL_slotsz00_2901); 
BgL_testz00_3344 = 
CBOOL(BgL_auxz00_3345); } 
if(BgL_testz00_3344)
{ /* Expand/object.scm 167 */
obj_t BgL_cellz00_947;
{ /* Expand/object.scm 167 */
obj_t BgL_arg2014z00_950;
BgL_arg2014z00_950 = 
BGl_lexicalzd2stackzd2zzexpand_epsz00(); 
BgL_cellz00_947 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_917, BgL_arg2014z00_950); } 
if(
PAIRP(BgL_cellz00_947))
{ /* Expand/object.scm 168 */
obj_t BgL_auxz00_3352;
BgL_auxz00_3352 = 
CDR(BgL_cellz00_947); 
BgL_test2005z00_939 = 
(BgL_auxz00_3352==BgL_markz00_2902); }  else 
{ /* Expand/object.scm 168 */
BgL_test2005z00_939 = ((bool_t)0); } }  else 
{ /* Expand/object.scm 166 */
BgL_test2005z00_939 = ((bool_t)0); } } 
if(BgL_test2005z00_939)
{ /* Expand/object.scm 169 */
obj_t BgL_arg2006z00_940;obj_t BgL_arg2007z00_941;
{ /* Expand/object.scm 169 */
obj_t BgL_list2008z00_942;
{ /* Expand/object.scm 169 */
obj_t BgL_arg2009z00_943;
{ /* Expand/object.scm 169 */
obj_t BgL_arg2010z00_944;obj_t BgL_arg2011z00_945;
BgL_arg2010z00_944 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2011z00_945 = 
MAKE_PAIR(BgL_varz00_917, BNIL); 
BgL_arg2009z00_943 = 
MAKE_PAIR(BgL_arg2010z00_944, BgL_arg2011z00_945); } 
BgL_list2008z00_942 = 
MAKE_PAIR(BgL_classz00_2903, BgL_arg2009z00_943); } 
BgL_arg2006z00_940 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2008z00_942); } 
BgL_arg2007z00_941 = 
MAKE_PAIR(BgL_instancez00_2904, BNIL); 
return 
MAKE_PAIR(BgL_arg2006z00_940, BgL_arg2007z00_941);}  else 
{ /* Expand/object.scm 166 */
return 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_2900)(BgL_oldzd2expanderzd2_2900, BgL_varz00_917, BgL_oldzd2expanderzd2_2900, BEOA);} } }  else 
{ /* Expand/object.scm 163 */
if(
PAIRP(BgL_xz00_914))
{ /* Expand/object.scm 163 */
obj_t BgL_cdrzd2144zd2_926;
BgL_cdrzd2144zd2_926 = 
CDR(BgL_xz00_914); 
{ /* Expand/object.scm 163 */
bool_t BgL_testz00_3368;
{ /* Expand/object.scm 163 */
obj_t BgL_auxz00_3371;obj_t BgL_auxz00_3369;
BgL_auxz00_3371 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3369 = 
CAR(BgL_xz00_914); 
BgL_testz00_3368 = 
(BgL_auxz00_3369==BgL_auxz00_3371); } 
if(BgL_testz00_3368)
{ /* Expand/object.scm 163 */
if(
PAIRP(BgL_cdrzd2144zd2_926))
{ /* Expand/object.scm 163 */
obj_t BgL_carzd2147zd2_929;obj_t BgL_cdrzd2148zd2_930;
BgL_carzd2147zd2_929 = 
CAR(BgL_cdrzd2144zd2_926); 
BgL_cdrzd2148zd2_930 = 
CDR(BgL_cdrzd2144zd2_926); 
if(
SYMBOLP(BgL_carzd2147zd2_929))
{ /* Expand/object.scm 163 */
if(
PAIRP(BgL_cdrzd2148zd2_930))
{ /* Expand/object.scm 163 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2148zd2_930), BNIL))
{ /* Expand/object.scm 163 */
BgL_varz00_919 = BgL_carzd2147zd2_929; 
BgL_valz00_920 = 
CAR(BgL_cdrzd2148zd2_930); 
{ /* Expand/object.scm 172 */
obj_t BgL_valz00_951;
BgL_valz00_951 = 
PROCEDURE_ENTRY(BgL_ez00_915)(BgL_ez00_915, BgL_valz00_920, BgL_ez00_915, BEOA); 
{ /* Expand/object.scm 173 */
bool_t BgL_test2015z00_952;
{ /* Expand/object.scm 173 */
bool_t BgL_testz00_3387;
{ /* Expand/object.scm 173 */
obj_t BgL_auxz00_3388;
BgL_auxz00_3388 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_919, BgL_slotsz00_2901); 
BgL_testz00_3387 = 
CBOOL(BgL_auxz00_3388); } 
if(BgL_testz00_3387)
{ /* Expand/object.scm 174 */
obj_t BgL_cellz00_964;
{ /* Expand/object.scm 174 */
obj_t BgL_arg2029z00_967;
BgL_arg2029z00_967 = 
BGl_lexicalzd2stackzd2zzexpand_epsz00(); 
BgL_cellz00_964 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_919, BgL_arg2029z00_967); } 
if(
PAIRP(BgL_cellz00_964))
{ /* Expand/object.scm 175 */
obj_t BgL_auxz00_3395;
BgL_auxz00_3395 = 
CDR(BgL_cellz00_964); 
BgL_test2015z00_952 = 
(BgL_auxz00_3395==BgL_markz00_2902); }  else 
{ /* Expand/object.scm 175 */
BgL_test2015z00_952 = ((bool_t)0); } }  else 
{ /* Expand/object.scm 173 */
BgL_test2015z00_952 = ((bool_t)0); } } 
if(BgL_test2015z00_952)
{ /* Expand/object.scm 177 */
obj_t BgL_arg2016z00_953;
{ /* Expand/object.scm 177 */
obj_t BgL_arg2017z00_954;obj_t BgL_arg2019z00_955;
{ /* Expand/object.scm 177 */
obj_t BgL_list2020z00_956;
{ /* Expand/object.scm 177 */
obj_t BgL_arg2021z00_957;
{ /* Expand/object.scm 177 */
obj_t BgL_arg2022z00_958;obj_t BgL_arg2023z00_959;
BgL_arg2022z00_958 = 
CNST_TABLE_REF(((long)4)); 
{ /* Expand/object.scm 177 */
obj_t BgL_arg2024z00_960;
{ /* Expand/object.scm 177 */
obj_t BgL_auxz00_3400;
BgL_auxz00_3400 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2024z00_960 = 
MAKE_PAIR(BgL_auxz00_3400, BNIL); } 
BgL_arg2023z00_959 = 
MAKE_PAIR(BgL_varz00_919, BgL_arg2024z00_960); } 
BgL_arg2021z00_957 = 
MAKE_PAIR(BgL_arg2022z00_958, BgL_arg2023z00_959); } 
BgL_list2020z00_956 = 
MAKE_PAIR(BgL_classz00_2903, BgL_arg2021z00_957); } 
BgL_arg2017z00_954 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2020z00_956); } 
{ /* Expand/object.scm 177 */
obj_t BgL_arg2025z00_961;
BgL_arg2025z00_961 = 
MAKE_PAIR(BgL_valz00_951, BNIL); 
BgL_arg2019z00_955 = 
MAKE_PAIR(BgL_instancez00_2904, BgL_arg2025z00_961); } 
BgL_arg2016z00_953 = 
MAKE_PAIR(BgL_arg2017z00_954, BgL_arg2019z00_955); } 
return 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2016z00_953, BgL_xz00_914);}  else 
{ /* Expand/object.scm 173 */
{ /* Expand/object.scm 180 */
obj_t BgL_auxz00_3411;
{ /* Expand/object.scm 180 */
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
CDR(BgL_xz00_914); 
BgL_auxz00_3411 = 
CDR(BgL_auxz00_3412); } 
SET_CAR(BgL_auxz00_3411, BgL_valz00_951); } 
return 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_2900)(BgL_oldzd2expanderzd2_2900, BgL_xz00_914, BgL_oldzd2expanderzd2_2900, BEOA);} } } }  else 
{ /* Expand/object.scm 163 */
BgL_tagzd2133zd2_922:
return 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_2900)(BgL_oldzd2expanderzd2_2900, BgL_xz00_914, BgL_ez00_915, BEOA);} }  else 
{ /* Expand/object.scm 163 */
goto BgL_tagzd2133zd2_922;} }  else 
{ /* Expand/object.scm 163 */
goto BgL_tagzd2133zd2_922;} }  else 
{ /* Expand/object.scm 163 */
goto BgL_tagzd2133zd2_922;} }  else 
{ /* Expand/object.scm 163 */
goto BgL_tagzd2133zd2_922;} } }  else 
{ /* Expand/object.scm 163 */
goto BgL_tagzd2133zd2_922;} } } } } } 
}



/* expand-instantiate */
obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t BgL_xz00_17, obj_t BgL_ez00_18)
{ AN_OBJECT;
{ /* Expand/object.scm 188 */
{ 
obj_t BgL_instantiatez00_968;
if(
PAIRP(BgL_xz00_17))
{ /* Expand/object.scm 189 */
BgL_instantiatez00_968 = 
CAR(BgL_xz00_17); 
{ /* Expand/object.scm 191 */
BgL_typez00_bglt BgL_classz00_974;
{ /* Expand/object.scm 191 */
obj_t BgL_arg2035z00_978;
BgL_arg2035z00_978 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_17); 
BgL_classz00_974 = 
BGl_typezd2ofzd2idz00zzast_identz00(BgL_instantiatez00_968, BgL_arg2035z00_978); } 
{ /* Expand/object.scm 193 */
bool_t BgL_test2032z00_975;
BgL_test2032z00_975 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_974), BGl_tclassz00zzobject_classz00); 
if(BgL_test2032z00_975)
{ /* Expand/object.scm 195 */
bool_t BgL_testz00_3428;
{ /* Expand/object.scm 195 */
BgL_tclassz00_bglt BgL_obj1624z00_2190;
BgL_obj1624z00_2190 = 
(BgL_tclassz00_bglt)(BgL_classz00_974); 
{ 
obj_t BgL_auxz00_3430;
{ /* Expand/object.scm 195 */
BgL_objectz00_bglt BgL_auxz00_3431;
BgL_auxz00_3431 = 
(BgL_objectz00_bglt)(BgL_obj1624z00_2190); 
BgL_auxz00_3430 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3431); } 
BgL_testz00_3428 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3430))->BgL_abstractzf3zf3); } } 
if(BgL_testz00_3428)
{ /* Expand/object.scm 195 */
FAILURE(BFALSE,BGl_string2824z00zzexpand_objectz00,BgL_xz00_17);}  else 
{ /* Expand/object.scm 195 */
{ /* Expand/object.scm 198 */
obj_t BgL_arg2034z00_977;
BgL_arg2034z00_977 = 
BGl_instantiatezd2ze3makez31zzexpand_objectz00(BgL_xz00_17, BgL_classz00_974, BgL_ez00_18); 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_17, BgL_arg2034z00_977);} } }  else 
{ /* Expand/object.scm 193 */
FAILURE(BFALSE,BGl_string2825z00zzexpand_objectz00,BgL_xz00_17);} } } }  else 
{ /* Expand/object.scm 189 */
FAILURE(BFALSE,BGl_string2825z00zzexpand_objectz00,BgL_xz00_17);} } } 
}



/* _expand-instantiate2815 */
obj_t BGl__expandzd2instantiate2815zd2zzexpand_objectz00(obj_t BgL_envz00_2907, obj_t BgL_xz00_2908, obj_t BgL_ez00_2909)
{ AN_OBJECT;
{ /* Expand/object.scm 188 */
return 
BGl_expandzd2instantiatezd2zzexpand_objectz00(BgL_xz00_2908, BgL_ez00_2909);} 
}



/* instantiate->make */
obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t BgL_formz00_19, BgL_typez00_bglt BgL_classz00_20, obj_t BgL_ez00_21)
{ AN_OBJECT;
{ /* Expand/object.scm 205 */
{ /* Expand/object.scm 206 */
obj_t BgL_makezd2namezd2_979;
{ /* Expand/object.scm 206 */
obj_t BgL_arg2040z00_986;
BgL_arg2040z00_986 = 
CNST_TABLE_REF(((long)11)); 
{ /* Expand/object.scm 206 */
obj_t BgL_list2042z00_988;
{ /* Expand/object.scm 206 */
obj_t BgL_arg2043z00_989;
{ /* Expand/object.scm 206 */
obj_t BgL_auxz00_3443;
BgL_auxz00_3443 = 
(((BgL_typez00_bglt)CREF(BgL_classz00_20))->BgL_idz00); 
BgL_arg2043z00_989 = 
MAKE_PAIR(BgL_auxz00_3443, BNIL); } 
BgL_list2042z00_988 = 
MAKE_PAIR(BgL_arg2040z00_986, BgL_arg2043z00_989); } 
BgL_makezd2namezd2_979 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2042z00_988); } } 
{ /* Expand/object.scm 210 */
obj_t BgL_zc3anonymousza32037ze3z83_2910;
{ 
int BgL_auxz00_3448;
BgL_auxz00_3448 = 
(int)(((long)2)); 
BgL_zc3anonymousza32037ze3z83_2910 = 
MAKE_L_PROCEDURE(BGl_zc3anonymousza32037ze3z83zzexpand_objectz00, BgL_auxz00_3448); } 
{ /* Expand/object.scm 210 */
int BgL_auxz00_3451;
BgL_auxz00_3451 = 
(int)(((long)0)); 
PROCEDURE_L_SET(BgL_zc3anonymousza32037ze3z83_2910, BgL_auxz00_3451, BgL_formz00_19); } 
{ /* Expand/object.scm 210 */
int BgL_auxz00_3454;
BgL_auxz00_3454 = 
(int)(((long)1)); 
PROCEDURE_L_SET(BgL_zc3anonymousza32037ze3z83_2910, BgL_auxz00_3454, BgL_makezd2namezd2_979); } 
return 
BGl_instantiatezd2ze3fillz31zzexpand_objectz00(BgL_formz00_19, 
(obj_t)(BgL_classz00_20), BgL_zc3anonymousza32037ze3z83_2910, BgL_ez00_21);} } } 
}



/* <anonymous:2037> */
obj_t BGl_zc3anonymousza32037ze3z83zzexpand_objectz00(obj_t BgL_envz00_2911, obj_t BgL_largsz00_2914)
{ AN_OBJECT;
{ /* Expand/object.scm 209 */
{ /* Expand/object.scm 210 */
obj_t BgL_formz00_2912;obj_t BgL_makezd2namezd2_2913;
{ /* Expand/object.scm 210 */
int BgL_auxz00_3459;
BgL_auxz00_3459 = 
(int)(((long)0)); 
BgL_formz00_2912 = 
PROCEDURE_L_REF(BgL_envz00_2911, BgL_auxz00_3459); } 
{ /* Expand/object.scm 210 */
int BgL_auxz00_3462;
BgL_auxz00_3462 = 
(int)(((long)1)); 
BgL_makezd2namezd2_2913 = 
PROCEDURE_L_REF(BgL_envz00_2911, BgL_auxz00_3462); } 
{ 
obj_t BgL_largsz00_981;
BgL_largsz00_981 = BgL_largsz00_2914; 
{ /* Expand/object.scm 210 */
bool_t BgL_test2038z00_983;
BgL_test2038z00_983 = 
EXTENDED_PAIRP(BgL_formz00_2912); 
if(BgL_test2038z00_983)
{ /* Expand/object.scm 211 */
obj_t BgL_res2803z00_2206;
{ /* Expand/object.scm 211 */
obj_t BgL_auxz00_3467;
BgL_auxz00_3467 = 
CER(BgL_formz00_2912); 
BgL_res2803z00_2206 = 
MAKE_EXTENDED_PAIR(BgL_makezd2namezd2_2913, BgL_largsz00_981, BgL_auxz00_3467); } 
return BgL_res2803z00_2206;}  else 
{ /* Expand/object.scm 210 */
return 
MAKE_PAIR(BgL_makezd2namezd2_2913, BgL_largsz00_981);} } } } } 
}



/* instantiate->fill */
obj_t BGl_instantiatezd2ze3fillz31zzexpand_objectz00(obj_t BgL_formz00_22, obj_t BgL_classz00_23, obj_t BgL_allocz00_24, obj_t BgL_ez00_25)
{ AN_OBJECT;
{ /* Expand/object.scm 218 */
{ /* Expand/object.scm 219 */
obj_t BgL_slotsz00_990;
BgL_slotsz00_990 = 
BGl_tclasszd2allzd2slotsz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_classz00_23)); 
{ /* Expand/object.scm 219 */
long BgL_lenz00_991;
BgL_lenz00_991 = 
bgl_list_length(BgL_slotsz00_990); 
{ /* Expand/object.scm 220 */
obj_t BgL_vargsz00_992;
{ /* Expand/object.scm 221 */
int BgL_auxz00_3474;
BgL_auxz00_3474 = 
(int)(BgL_lenz00_991); 
BgL_vargsz00_992 = 
make_vector(BgL_auxz00_3474, BUNSPEC); } 
{ /* Expand/object.scm 221 */
obj_t BgL_newz00_993;
BgL_newz00_993 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
{ /* Expand/object.scm 222 */
obj_t BgL_providedz00_994;
BgL_providedz00_994 = 
CDR(BgL_formz00_22); 
{ /* Expand/object.scm 223 */

{ 
long BgL_iz00_995;obj_t BgL_slotsz00_996;
BgL_iz00_995 = ((long)0); 
BgL_slotsz00_996 = BgL_slotsz00_990; 
BgL_loopz00_997:
if(
NULLP(BgL_slotsz00_996))
{ /* Expand/object.scm 227 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 229 */
obj_t BgL_sz00_999;
BgL_sz00_999 = 
CAR(BgL_slotsz00_996); 
{ /* Expand/object.scm 231 */
bool_t BgL_test2045z00_1000;
BgL_test2045z00_1000 = 
BGl_slotzd2defaultzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_sz00_999)); 
if(BgL_test2045z00_1000)
{ /* Expand/object.scm 231 */
{ /* Expand/object.scm 232 */
obj_t BgL_arg2046z00_1001;
{ /* Expand/object.scm 232 */
obj_t BgL_auxz00_3488;
{ /* Expand/object.scm 232 */
BgL_slotz00_bglt BgL_obj1752z00_2211;
BgL_obj1752z00_2211 = 
(BgL_slotz00_bglt)(BgL_sz00_999); 
BgL_auxz00_3488 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1752z00_2211))->BgL_defaultzd2valuezd2); } 
BgL_arg2046z00_1001 = 
MAKE_PAIR(BTRUE, BgL_auxz00_3488); } 
{ /* Expand/object.scm 232 */
int BgL_kz00_2213;
BgL_kz00_2213 = 
(int)(BgL_iz00_995); 
VECTOR_SET(BgL_vargsz00_992,BgL_kz00_2213,BgL_arg2046z00_1001); } } }  else 
{ /* Expand/object.scm 231 */
{ /* Expand/object.scm 234 */
obj_t BgL_arg2048z00_1003;
BgL_arg2048z00_1003 = 
MAKE_PAIR(BFALSE, BUNSPEC); 
{ /* Expand/object.scm 234 */
int BgL_kz00_2216;
BgL_kz00_2216 = 
(int)(BgL_iz00_995); 
VECTOR_SET(BgL_vargsz00_992,BgL_kz00_2216,BgL_arg2048z00_1003); } } } } 
{ 
obj_t BgL_slotsz00_3499;long BgL_iz00_3497;
BgL_iz00_3497 = 
(BgL_iz00_995+((long)1)); 
BgL_slotsz00_3499 = 
CDR(BgL_slotsz00_996); 
BgL_slotsz00_996 = BgL_slotsz00_3499; 
BgL_iz00_995 = BgL_iz00_3497; 
goto BgL_loopz00_997;} } } 
{ 
obj_t BgL_providedz00_1006;
BgL_providedz00_1006 = BgL_providedz00_994; 
BgL_loopz00_1007:
if(
NULLP(BgL_providedz00_1006))
{ /* Expand/object.scm 239 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 241 */
obj_t BgL_pz00_1009;
BgL_pz00_1009 = 
CAR(BgL_providedz00_1006); 
{ 
obj_t BgL_szd2namezd2_1013;obj_t BgL_lenz00_1014;obj_t BgL_valuez00_1015;obj_t BgL_szd2namezd2_1010;obj_t BgL_valuez00_1011;
if(
PAIRP(BgL_pz00_1009))
{ /* Expand/object.scm 242 */
obj_t BgL_carzd2173zd2_1020;obj_t BgL_cdrzd2174zd2_1021;
BgL_carzd2173zd2_1020 = 
CAR(BgL_pz00_1009); 
BgL_cdrzd2174zd2_1021 = 
CDR(BgL_pz00_1009); 
if(
SYMBOLP(BgL_carzd2173zd2_1020))
{ /* Expand/object.scm 242 */
if(
PAIRP(BgL_cdrzd2174zd2_1021))
{ /* Expand/object.scm 242 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2174zd2_1021), BNIL))
{ /* Expand/object.scm 242 */
BgL_szd2namezd2_1010 = BgL_carzd2173zd2_1020; 
BgL_valuez00_1011 = 
CAR(BgL_cdrzd2174zd2_1021); 
{ /* Expand/object.scm 245 */
obj_t BgL_pvalz00_1049;
{ /* Expand/object.scm 246 */
obj_t BgL_arg2075z00_1051;
BgL_arg2075z00_1051 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_990, BgL_szd2namezd2_1010, BGl_string2826z00zzexpand_objectz00, BgL_pz00_1009); 
{ /* Expand/object.scm 245 */
int BgL_kz00_2248;
BgL_kz00_2248 = 
CINT(BgL_arg2075z00_1051); 
BgL_pvalz00_1049 = 
VECTOR_REF(BgL_vargsz00_992,BgL_kz00_2248); } } 
SET_CAR(BgL_pvalz00_1049, BTRUE); 
{ /* Expand/object.scm 251 */
obj_t BgL_arg2074z00_1050;
BgL_arg2074z00_1050 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1011, BgL_pz00_1009); 
SET_CDR(BgL_pvalz00_1049, BgL_arg2074z00_1050); } } }  else 
{ /* Expand/object.scm 242 */
if(
SYMBOLP(BgL_carzd2173zd2_1020))
{ /* Expand/object.scm 242 */
obj_t BgL_cdrzd2201zd2_1029;
BgL_cdrzd2201zd2_1029 = 
CDR(BgL_cdrzd2174zd2_1021); 
if(
PAIRP(BgL_cdrzd2201zd2_1029))
{ /* Expand/object.scm 242 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2201zd2_1029), BNIL))
{ /* Expand/object.scm 242 */
BgL_szd2namezd2_1013 = BgL_carzd2173zd2_1020; 
BgL_lenz00_1014 = 
CAR(BgL_cdrzd2174zd2_1021); 
BgL_valuez00_1015 = 
CAR(BgL_cdrzd2201zd2_1029); 
BgL_tagzd2165zd2_1016:
{ /* Expand/object.scm 254 */
obj_t BgL_snumz00_1052;
BgL_snumz00_1052 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_990, BgL_szd2namezd2_1013, BGl_string2826z00zzexpand_objectz00, BgL_pz00_1009); 
{ /* Expand/object.scm 258 */

{ /* Expand/object.scm 259 */
bool_t BgL_testz00_3532;
{ /* Expand/object.scm 259 */
BgL_slotz00_bglt BgL_obj1763z00_2253;
{ /* Expand/object.scm 259 */
obj_t BgL_auxz00_3533;
BgL_auxz00_3533 = 
bgl_list_ref(BgL_slotsz00_990, 
(long)CINT(BgL_snumz00_1052)); 
BgL_obj1763z00_2253 = 
(BgL_slotz00_bglt)(BgL_auxz00_3533); } 
{ /* Expand/object.scm 259 */
obj_t BgL_auxz00_3537;
BgL_auxz00_3537 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_2253))->BgL_indexedz00); 
BgL_testz00_3532 = 
CBOOL(BgL_auxz00_3537); } } 
if(BgL_testz00_3532)
{ /* Expand/object.scm 261 */
obj_t BgL_pvalz00_1055;
{ /* Expand/object.scm 261 */
int BgL_kz00_2255;
BgL_kz00_2255 = 
CINT(BgL_snumz00_1052); 
BgL_pvalz00_1055 = 
VECTOR_REF(BgL_vargsz00_992,BgL_kz00_2255); } 
{ /* Expand/object.scm 261 */
obj_t BgL_plenz00_1056;
{ /* Expand/object.scm 262 */
int BgL_kz00_2259;
{ /* Expand/object.scm 262 */
long BgL_auxz00_3542;
{ /* Expand/object.scm 262 */
long BgL_auxz00_3543;
BgL_auxz00_3543 = 
(long)CINT(BgL_snumz00_1052); 
BgL_auxz00_3542 = 
(BgL_auxz00_3543-((long)1)); } 
BgL_kz00_2259 = 
(int)(BgL_auxz00_3542); } 
BgL_plenz00_1056 = 
VECTOR_REF(BgL_vargsz00_992,BgL_kz00_2259); } 
{ /* Expand/object.scm 262 */

SET_CAR(BgL_pvalz00_1055, BTRUE); 
{ /* Expand/object.scm 264 */
obj_t BgL_arg2077z00_1057;
BgL_arg2077z00_1057 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1015, BgL_pz00_1009); 
SET_CDR(BgL_pvalz00_1055, BgL_arg2077z00_1057); } 
SET_CAR(BgL_plenz00_1056, BTRUE); 
SET_CDR(BgL_plenz00_1056, BgL_lenz00_1014); } } }  else 
{ /* Expand/object.scm 259 */
FAILURE(BFALSE,BGl_string2825z00zzexpand_objectz00,BgL_formz00_22);} } } } }  else 
{ /* Expand/object.scm 242 */
BgL_tagzd2166zd2_1017:
FAILURE(BFALSE,BGl_string2825z00zzexpand_objectz00,BgL_formz00_22);} }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} } }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} }  else 
{ /* Expand/object.scm 242 */
if(
SYMBOLP(BgL_carzd2173zd2_1020))
{ /* Expand/object.scm 242 */
if(
PAIRP(BgL_cdrzd2174zd2_1021))
{ /* Expand/object.scm 242 */
obj_t BgL_cdrzd2229zd2_1042;
BgL_cdrzd2229zd2_1042 = 
CDR(BgL_cdrzd2174zd2_1021); 
if(
PAIRP(BgL_cdrzd2229zd2_1042))
{ /* Expand/object.scm 242 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2229zd2_1042), BNIL))
{ 
obj_t BgL_valuez00_3570;obj_t BgL_lenz00_3568;obj_t BgL_szd2namezd2_3567;
BgL_szd2namezd2_3567 = BgL_carzd2173zd2_1020; 
BgL_lenz00_3568 = 
CAR(BgL_cdrzd2174zd2_1021); 
BgL_valuez00_3570 = 
CAR(BgL_cdrzd2229zd2_1042); 
BgL_valuez00_1015 = BgL_valuez00_3570; 
BgL_lenz00_1014 = BgL_lenz00_3568; 
BgL_szd2namezd2_1013 = BgL_szd2namezd2_3567; 
goto BgL_tagzd2165zd2_1016;}  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} } }  else 
{ /* Expand/object.scm 242 */
goto BgL_tagzd2166zd2_1017;} } 
{ 
obj_t BgL_providedz00_3572;
BgL_providedz00_3572 = 
CDR(BgL_providedz00_1006); 
BgL_providedz00_1006 = BgL_providedz00_3572; 
goto BgL_loopz00_1007;} } } 
{ 
long BgL_iz00_1060;obj_t BgL_sz00_1061;
BgL_iz00_1060 = ((long)0); 
BgL_sz00_1061 = BgL_slotsz00_990; 
BgL_loopz00_1062:
if(
(BgL_iz00_1060==BgL_lenz00_991))
{ /* Expand/object.scm 274 */
CNST_TABLE_REF(((long)14)); }  else 
{ /* Expand/object.scm 276 */
bool_t BgL_test2081z00_1064;
{ /* Expand/object.scm 276 */
bool_t BgL_test2090z00_1073;
{ /* Expand/object.scm 276 */
obj_t BgL_arg2093z00_1076;
{ /* Expand/object.scm 276 */
int BgL_kz00_2278;
BgL_kz00_2278 = 
(int)(BgL_iz00_1060); 
BgL_arg2093z00_1076 = 
VECTOR_REF(BgL_vargsz00_992,BgL_kz00_2278); } 
{ /* Expand/object.scm 276 */
obj_t BgL_auxz00_3579;
BgL_auxz00_3579 = 
CAR(BgL_arg2093z00_1076); 
BgL_test2090z00_1073 = 
CBOOL(BgL_auxz00_3579); } } 
if(BgL_test2090z00_1073)
{ /* Expand/object.scm 276 */
BgL_test2081z00_1064 = ((bool_t)0); }  else 
{ /* Expand/object.scm 277 */
bool_t BgL_test2091z00_1074;
{ /* Expand/object.scm 277 */
BgL_slotz00_bglt BgL_auxz00_3583;
{ /* Expand/object.scm 277 */
obj_t BgL_auxz00_3584;
BgL_auxz00_3584 = 
CAR(BgL_sz00_1061); 
BgL_auxz00_3583 = 
(BgL_slotz00_bglt)(BgL_auxz00_3584); } 
BgL_test2091z00_1074 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_3583); } 
if(BgL_test2091z00_1074)
{ /* Expand/object.scm 277 */
BgL_test2081z00_1064 = ((bool_t)0); }  else 
{ /* Expand/object.scm 277 */
BgL_test2081z00_1064 = ((bool_t)1); } } } 
if(BgL_test2081z00_1064)
{ /* Expand/object.scm 276 */
{ /* Expand/object.scm 280 */
obj_t BgL_arg2082z00_1065;
{ /* Expand/object.scm 280 */
obj_t BgL_arg2084z00_1067;
{ /* Expand/object.scm 282 */
obj_t BgL_auxz00_3590;
{ /* Expand/object.scm 282 */
BgL_slotz00_bglt BgL_obj1746z00_2282;
{ /* Expand/object.scm 282 */
obj_t BgL_auxz00_3591;
BgL_auxz00_3591 = 
CAR(BgL_sz00_1061); 
BgL_obj1746z00_2282 = 
(BgL_slotz00_bglt)(BgL_auxz00_3591); } 
BgL_auxz00_3590 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2282))->BgL_idz00); } 
BgL_arg2084z00_1067 = 
SYMBOL_TO_STRING(BgL_auxz00_3590); } 
BgL_arg2082z00_1065 = 
string_append_3(BGl_string2827z00zzexpand_objectz00, BgL_arg2084z00_1067, BGl_string2828z00zzexpand_objectz00); } 
FAILURE(BFALSE,BgL_arg2082z00_1065,BgL_formz00_22);} }  else 
{ /* Expand/object.scm 276 */
{ 
obj_t BgL_sz00_3600;long BgL_iz00_3598;
BgL_iz00_3598 = 
(BgL_iz00_1060+((long)1)); 
BgL_sz00_3600 = 
CDR(BgL_sz00_1061); 
BgL_sz00_1061 = BgL_sz00_3600; 
BgL_iz00_1060 = BgL_iz00_3598; 
goto BgL_loopz00_1062;} } } } 
{ 
long BgL_iz00_1077;obj_t BgL_slotsz00_1078;obj_t BgL_largsz00_1079;obj_t BgL_virtualsz00_1080;
BgL_iz00_1077 = ((long)0); 
BgL_slotsz00_1078 = BgL_slotsz00_990; 
BgL_largsz00_1079 = BNIL; 
BgL_virtualsz00_1080 = BNIL; 
BgL_loopz00_1081:
if(
(BgL_iz00_1077==BgL_lenz00_991))
{ /* Expand/object.scm 292 */
if(
NULLP(BgL_virtualsz00_1080))
{ /* Expand/object.scm 294 */
obj_t BgL_arg2096z00_1084;
BgL_arg2096z00_1084 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_largsz00_1079); 
return 
PROCEDURE_L_ENTRY(BgL_allocz00_24)(BgL_allocz00_24, BgL_arg2096z00_1084);}  else 
{ /* Expand/object.scm 295 */
obj_t BgL_arg2097z00_1085;obj_t BgL_arg2098z00_1086;
BgL_arg2097z00_1085 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 295 */
obj_t BgL_arg2099z00_1087;obj_t BgL_arg2100z00_1088;
{ /* Expand/object.scm 295 */
obj_t BgL_arg2101z00_1089;
{ /* Expand/object.scm 295 */
obj_t BgL_arg2103z00_1091;
{ /* Expand/object.scm 295 */
obj_t BgL_arg2104z00_1092;
{ /* Expand/object.scm 295 */
obj_t BgL_arg2106z00_1094;
BgL_arg2106z00_1094 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_largsz00_1079); 
BgL_arg2104z00_1092 = 
PROCEDURE_L_ENTRY(BgL_allocz00_24)(BgL_allocz00_24, BgL_arg2106z00_1094); } 
BgL_arg2103z00_1091 = 
MAKE_PAIR(BgL_arg2104z00_1092, BNIL); } 
BgL_arg2101z00_1089 = 
MAKE_PAIR(BgL_newz00_993, BgL_arg2103z00_1091); } 
BgL_arg2099z00_1087 = 
MAKE_PAIR(BgL_arg2101z00_1089, BNIL); } 
{ /* Expand/object.scm 296 */
obj_t BgL_arg2107z00_1095;obj_t BgL_arg2108z00_1096;
BgL_arg2107z00_1095 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_virtualsz00_1080); 
BgL_arg2108z00_1096 = 
MAKE_PAIR(BgL_newz00_993, BNIL); 
BgL_arg2100z00_1088 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2107z00_1095, BgL_arg2108z00_1096); } 
BgL_arg2098z00_1086 = 
MAKE_PAIR(BgL_arg2099z00_1087, BgL_arg2100z00_1088); } 
return 
MAKE_PAIR(BgL_arg2097z00_1085, BgL_arg2098z00_1086);} }  else 
{ /* Expand/object.scm 298 */
obj_t BgL_valuez00_1097;
{ /* Expand/object.scm 298 */
obj_t BgL_arg2128z00_1117;
{ /* Expand/object.scm 298 */
obj_t BgL_arg2129z00_1118;
{ /* Expand/object.scm 298 */
int BgL_kz00_2294;
BgL_kz00_2294 = 
(int)(BgL_iz00_1077); 
BgL_arg2129z00_1118 = 
VECTOR_REF(BgL_vargsz00_992,BgL_kz00_2294); } 
BgL_arg2128z00_1117 = 
CDR(BgL_arg2129z00_1118); } 
BgL_valuez00_1097 = 
PROCEDURE_ENTRY(BgL_ez00_25)(BgL_ez00_25, BgL_arg2128z00_1117, BgL_ez00_25, BEOA); } 
{ /* Expand/object.scm 300 */
bool_t BgL_test2109z00_1098;
{ /* Expand/object.scm 300 */
BgL_slotz00_bglt BgL_auxz00_3626;
{ /* Expand/object.scm 300 */
obj_t BgL_auxz00_3627;
BgL_auxz00_3627 = 
CAR(BgL_slotsz00_1078); 
BgL_auxz00_3626 = 
(BgL_slotz00_bglt)(BgL_auxz00_3627); } 
BgL_test2109z00_1098 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_3626); } 
if(BgL_test2109z00_1098)
{ /* Expand/object.scm 300 */
{ /* Expand/object.scm 301 */
long BgL_arg2110z00_1099;obj_t BgL_arg2111z00_1100;obj_t BgL_arg2112z00_1101;
BgL_arg2110z00_1099 = 
(BgL_iz00_1077+((long)1)); 
BgL_arg2111z00_1100 = 
CDR(BgL_slotsz00_1078); 
if(
(BgL_valuez00_1097==BUNSPEC))
{ /* Expand/object.scm 304 */
BgL_arg2112z00_1101 = BgL_virtualsz00_1080; }  else 
{ /* Expand/object.scm 306 */
bool_t BgL_test2114z00_1103;
BgL_test2114z00_1103 = 
EXTENDED_PAIRP(BgL_valuez00_1097); 
if(BgL_test2114z00_1103)
{ /* Expand/object.scm 307 */
obj_t BgL_arg2115z00_1104;obj_t BgL_arg2116z00_1105;
BgL_arg2115z00_1104 = 
BGl_makezd2virtualzd2setz00zzexpand_objectz00(
CAR(BgL_slotsz00_1078), BgL_valuez00_1097, BgL_newz00_993, BgL_classz00_23, BgL_formz00_22, "instantiate"); 
BgL_arg2116z00_1105 = 
CER(BgL_valuez00_1097); 
{ /* Expand/object.scm 307 */
obj_t BgL_res2805z00_2306;
BgL_res2805z00_2306 = 
MAKE_EXTENDED_PAIR(BgL_arg2115z00_1104, BgL_virtualsz00_1080, BgL_arg2116z00_1105); 
BgL_arg2112z00_1101 = BgL_res2805z00_2306; } }  else 
{ /* Expand/object.scm 315 */
obj_t BgL_arg2119z00_1108;
BgL_arg2119z00_1108 = 
BGl_makezd2virtualzd2setz00zzexpand_objectz00(
CAR(BgL_slotsz00_1078), BgL_valuez00_1097, BgL_newz00_993, BgL_classz00_23, BgL_formz00_22, "instantiate"); 
BgL_arg2112z00_1101 = 
MAKE_PAIR(BgL_arg2119z00_1108, BgL_virtualsz00_1080); } } 
{ 
obj_t BgL_virtualsz00_3647;obj_t BgL_slotsz00_3646;long BgL_iz00_3645;
BgL_iz00_3645 = BgL_arg2110z00_1099; 
BgL_slotsz00_3646 = BgL_arg2111z00_1100; 
BgL_virtualsz00_3647 = BgL_arg2112z00_1101; 
BgL_virtualsz00_1080 = BgL_virtualsz00_3647; 
BgL_slotsz00_1078 = BgL_slotsz00_3646; 
BgL_iz00_1077 = BgL_iz00_3645; 
goto BgL_loopz00_1081;} } }  else 
{ /* Expand/object.scm 300 */
{ /* Expand/object.scm 323 */
long BgL_arg2122z00_1111;obj_t BgL_arg2123z00_1112;obj_t BgL_arg2124z00_1113;
BgL_arg2122z00_1111 = 
(BgL_iz00_1077+((long)1)); 
BgL_arg2123z00_1112 = 
CDR(BgL_slotsz00_1078); 
{ /* Expand/object.scm 325 */
bool_t BgL_test2125z00_1114;
BgL_test2125z00_1114 = 
EXTENDED_PAIRP(BgL_valuez00_1097); 
if(BgL_test2125z00_1114)
{ /* Expand/object.scm 326 */
obj_t BgL_res2806z00_2316;
{ /* Expand/object.scm 326 */
obj_t BgL_auxz00_3652;
BgL_auxz00_3652 = 
CER(BgL_valuez00_1097); 
BgL_res2806z00_2316 = 
MAKE_EXTENDED_PAIR(BgL_valuez00_1097, BgL_largsz00_1079, BgL_auxz00_3652); } 
BgL_arg2124z00_1113 = BgL_res2806z00_2316; }  else 
{ /* Expand/object.scm 325 */
BgL_arg2124z00_1113 = 
MAKE_PAIR(BgL_valuez00_1097, BgL_largsz00_1079); } } 
{ 
obj_t BgL_largsz00_3658;obj_t BgL_slotsz00_3657;long BgL_iz00_3656;
BgL_iz00_3656 = BgL_arg2122z00_1111; 
BgL_slotsz00_3657 = BgL_arg2123z00_1112; 
BgL_largsz00_3658 = BgL_arg2124z00_1113; 
BgL_largsz00_1079 = BgL_largsz00_3658; 
BgL_slotsz00_1078 = BgL_slotsz00_3657; 
BgL_iz00_1077 = BgL_iz00_3656; 
goto BgL_loopz00_1081;} } } } } } } } } } } } } 
}



/* expand-co-instantiate */
obj_t BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t BgL_xz00_26, obj_t BgL_ez00_27)
{ AN_OBJECT;
{ /* Expand/object.scm 333 */
{ 

if(
PAIRP(BgL_xz00_26))
{ /* Expand/object.scm 334 */
obj_t BgL_cdrzd2249zd2_1127;
BgL_cdrzd2249zd2_1127 = 
CDR(BgL_xz00_26); 
{ /* Expand/object.scm 334 */
bool_t BgL_testz00_3662;
{ /* Expand/object.scm 334 */
obj_t BgL_auxz00_3665;obj_t BgL_auxz00_3663;
BgL_auxz00_3665 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_3663 = 
CAR(BgL_xz00_26); 
BgL_testz00_3662 = 
(BgL_auxz00_3663==BgL_auxz00_3665); } 
if(BgL_testz00_3662)
{ /* Expand/object.scm 334 */
if(
PAIRP(BgL_cdrzd2249zd2_1127))
{ /* Expand/object.scm 334 */
obj_t BgL_arg2139z00_2325;
BgL_arg2139z00_2325 = 
BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(
CAR(BgL_cdrzd2249zd2_1127), 
CDR(BgL_cdrzd2249zd2_1127), BgL_xz00_26, BgL_ez00_27); 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_26, BgL_arg2139z00_2325);}  else 
{ /* Expand/object.scm 334 */
BgL_tagzd2242zd2_1124:
FAILURE(BFALSE,BGl_string2829z00zzexpand_objectz00,BgL_xz00_26);} }  else 
{ /* Expand/object.scm 334 */
goto BgL_tagzd2242zd2_1124;} } }  else 
{ /* Expand/object.scm 334 */
goto BgL_tagzd2242zd2_1124;} } } 
}



/* _expand-co-instantiate2816 */
obj_t BGl__expandzd2cozd2instantiate2816z00zzexpand_objectz00(obj_t BgL_envz00_2915, obj_t BgL_xz00_2916, obj_t BgL_ez00_2917)
{ AN_OBJECT;
{ /* Expand/object.scm 333 */
return 
BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(BgL_xz00_2916, BgL_ez00_2917);} 
}



/* co-instantiate->let */
obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t BgL_bindingsz00_28, obj_t BgL_bodyz00_29, obj_t BgL_xz00_30, obj_t BgL_ez00_31)
{ AN_OBJECT;
{ /* Expand/object.scm 343 */
{ 
obj_t BgL_exprz00_1265;obj_t BgL_bdgz00_1266;obj_t BgL_locz00_1267;
{ /* Expand/object.scm 369 */
obj_t BgL_locz00_1136;
BgL_locz00_1136 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_30); 
{ 
obj_t BgL_bindingsz00_1137;obj_t BgL_userzd2variableszd2_1138;obj_t BgL_privatezd2variableszd2_1139;obj_t BgL_rewritezd2bindingszd2_1140;obj_t BgL_classesz00_1141;obj_t BgL_instantiatesz00_1142;
BgL_bindingsz00_1137 = BgL_bindingsz00_28; 
BgL_userzd2variableszd2_1138 = BNIL; 
BgL_privatezd2variableszd2_1139 = BNIL; 
BgL_rewritezd2bindingszd2_1140 = BNIL; 
BgL_classesz00_1141 = BNIL; 
BgL_instantiatesz00_1142 = BNIL; 
BgL_loopz00_1143:
if(
NULLP(BgL_bindingsz00_1137))
{ /* Expand/object.scm 378 */
obj_t BgL_e1z00_2918;
{ 
int BgL_auxz00_3681;int BgL_auxz00_3679;
BgL_auxz00_3681 = 
(int)(((long)2)); 
BgL_auxz00_3679 = 
(int)(((long)2)); 
BgL_e1z00_2918 = 
make_fx_procedure(BGl_e1z00zzexpand_objectz00, BgL_auxz00_3679, BgL_auxz00_3681); } 
{ /* Expand/object.scm 378 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_e1z00_2918, BgL_auxz00_3684, BgL_ez00_31); } 
{ /* Expand/object.scm 378 */
int BgL_auxz00_3687;
BgL_auxz00_3687 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_e1z00_2918, BgL_auxz00_3687, BgL_rewritezd2bindingszd2_1140); } 
{ /* Expand/object.scm 388 */
obj_t BgL_arg2141z00_1146;obj_t BgL_arg2142z00_1147;
BgL_arg2141z00_1146 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 388 */
obj_t BgL_arg2143z00_1148;obj_t BgL_arg2144z00_1149;
if(
NULLP(BgL_privatezd2variableszd2_1139))
{ /* Expand/object.scm 388 */
BgL_arg2143z00_1148 = BNIL; }  else 
{ /* Expand/object.scm 388 */
obj_t BgL_head1817z00_1153;
BgL_head1817z00_1153 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll1815z00_1154;obj_t BgL_ll1816z00_1155;obj_t BgL_tail1818z00_1156;
BgL_ll1815z00_1154 = BgL_privatezd2variableszd2_1139; 
BgL_ll1816z00_1155 = BgL_classesz00_1141; 
BgL_tail1818z00_1156 = BgL_head1817z00_1153; 
BgL_lname1820z00_1157:
if(
NULLP(BgL_ll1815z00_1154))
{ /* Expand/object.scm 388 */
BgL_arg2143z00_1148 = 
CDR(BgL_head1817z00_1153); }  else 
{ /* Expand/object.scm 389 */
obj_t BgL_newtail1819z00_1159;
{ /* Expand/object.scm 389 */
obj_t BgL_arg2149z00_1162;
{ /* Expand/object.scm 389 */
obj_t BgL_cidz00_1166;
{ /* Expand/object.scm 389 */
BgL_typez00_bglt BgL_obj1625z00_2338;
{ /* Expand/object.scm 389 */
obj_t BgL_auxz00_3697;
BgL_auxz00_3697 = 
CAR(BgL_ll1816z00_1155); 
BgL_obj1625z00_2338 = 
(BgL_typez00_bglt)(BgL_auxz00_3697); } 
BgL_cidz00_1166 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_2338))->BgL_idz00); } 
{ /* Expand/object.scm 389 */
obj_t BgL_tvz00_1167;
BgL_tvz00_1167 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CAR(BgL_ll1815z00_1154), BgL_cidz00_1166); 
{ /* Expand/object.scm 390 */

{ /* Expand/object.scm 391 */
obj_t BgL_arg2151z00_1168;
{ /* Expand/object.scm 391 */
obj_t BgL_arg2152z00_1169;
{ /* Expand/object.scm 391 */
obj_t BgL_arg2154z00_1171;
{ /* Expand/object.scm 391 */
obj_t BgL_list2156z00_1173;
{ /* Expand/object.scm 391 */
obj_t BgL_arg2157z00_1174;obj_t BgL_arg2158z00_1175;
BgL_arg2157z00_1174 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2158z00_1175 = 
MAKE_PAIR(BgL_cidz00_1166, BNIL); 
BgL_list2156z00_1173 = 
MAKE_PAIR(BgL_arg2157z00_1174, BgL_arg2158z00_1175); } 
BgL_arg2154z00_1171 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2156z00_1173); } 
BgL_arg2152z00_1169 = 
MAKE_PAIR(BgL_arg2154z00_1171, BNIL); } 
BgL_arg2151z00_1168 = 
MAKE_PAIR(BgL_arg2152z00_1169, BNIL); } 
BgL_arg2149z00_1162 = 
MAKE_PAIR(BgL_tvz00_1167, BgL_arg2151z00_1168); } } } } 
BgL_newtail1819z00_1159 = 
MAKE_PAIR(BgL_arg2149z00_1162, BNIL); } 
SET_CDR(BgL_tail1818z00_1156, BgL_newtail1819z00_1159); 
{ 
obj_t BgL_tail1818z00_3716;obj_t BgL_ll1816z00_3714;obj_t BgL_ll1815z00_3712;
BgL_ll1815z00_3712 = 
CDR(BgL_ll1815z00_1154); 
BgL_ll1816z00_3714 = 
CDR(BgL_ll1816z00_1155); 
BgL_tail1818z00_3716 = BgL_newtail1819z00_1159; 
BgL_tail1818z00_1156 = BgL_tail1818z00_3716; 
BgL_ll1816z00_1155 = BgL_ll1816z00_3714; 
BgL_ll1815z00_1154 = BgL_ll1815z00_3712; 
goto BgL_lname1820z00_1157;} } } } 
{ /* Expand/object.scm 394 */
obj_t BgL_arg2159z00_1176;
{ /* Expand/object.scm 394 */
obj_t BgL_arg2161z00_1178;obj_t BgL_arg2162z00_1179;
BgL_arg2161z00_1178 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 396 */
obj_t BgL_arg2163z00_1180;obj_t BgL_arg2164z00_1181;
{ /* Expand/object.scm 396 */
obj_t BgL_arg2165z00_1182;
{ /* Expand/object.scm 396 */
obj_t BgL_zc3anonymousza32171ze3z83_2920;
{ 
int BgL_auxz00_3720;int BgL_auxz00_3718;
BgL_auxz00_3720 = 
(int)(((long)3)); 
BgL_auxz00_3718 = 
(int)(((long)4)); 
BgL_zc3anonymousza32171ze3z83_2920 = 
make_fx_procedure(BGl_zc3anonymousza32171ze3z83zzexpand_objectz00, BgL_auxz00_3718, BgL_auxz00_3720); } 
{ /* Expand/object.scm 396 */
int BgL_auxz00_3723;
BgL_auxz00_3723 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_2920, BgL_auxz00_3723, BgL_ez00_31); } 
{ /* Expand/object.scm 396 */
int BgL_auxz00_3726;
BgL_auxz00_3726 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_2920, BgL_auxz00_3726, BgL_rewritezd2bindingszd2_1140); } 
{ /* Expand/object.scm 396 */
int BgL_auxz00_3729;
BgL_auxz00_3729 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_2920, BgL_auxz00_3729, BgL_e1z00_2918); } 
{ /* Expand/object.scm 395 */
obj_t BgL_list2167z00_1184;
{ /* Expand/object.scm 395 */
obj_t BgL_arg2168z00_1185;
{ /* Expand/object.scm 395 */
obj_t BgL_arg2169z00_1186;
{ /* Expand/object.scm 395 */
obj_t BgL_arg2170z00_1187;
BgL_arg2170z00_1187 = 
MAKE_PAIR(BgL_instantiatesz00_1142, BNIL); 
BgL_arg2169z00_1186 = 
MAKE_PAIR(BgL_classesz00_1141, BgL_arg2170z00_1187); } 
BgL_arg2168z00_1185 = 
MAKE_PAIR(BgL_privatezd2variableszd2_1139, BgL_arg2169z00_1186); } 
BgL_list2167z00_1184 = 
MAKE_PAIR(BgL_userzd2variableszd2_1138, BgL_arg2168z00_1185); } 
BgL_arg2165z00_1182 = 
BGl_mapz00zz__r4_control_features_6_9z00(BgL_zc3anonymousza32171ze3z83_2920, BgL_list2167z00_1184); } } 
BgL_arg2163z00_1180 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg2165z00_1182); } 
{ /* Expand/object.scm 408 */
obj_t BgL_arg2182z00_1209;
{ /* Expand/object.scm 408 */
obj_t BgL_arg2185z00_1211;
{ /* Expand/object.scm 408 */
obj_t BgL_auxz00_3740;obj_t BgL_auxz00_3738;
BgL_auxz00_3740 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_29, BNIL); 
BgL_auxz00_3738 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg2185z00_1211 = 
MAKE_PAIR(BgL_auxz00_3738, BgL_auxz00_3740); } 
BgL_arg2182z00_1209 = 
PROCEDURE_ENTRY(BgL_ez00_31)(BgL_ez00_31, BgL_arg2185z00_1211, BgL_ez00_31, BEOA); } 
BgL_arg2164z00_1181 = 
MAKE_PAIR(BgL_arg2182z00_1209, BNIL); } 
BgL_arg2162z00_1179 = 
MAKE_PAIR(BgL_arg2163z00_1180, BgL_arg2164z00_1181); } 
BgL_arg2159z00_1176 = 
MAKE_PAIR(BgL_arg2161z00_1178, BgL_arg2162z00_1179); } 
BgL_arg2144z00_1149 = 
MAKE_PAIR(BgL_arg2159z00_1176, BNIL); } 
BgL_arg2142z00_1147 = 
MAKE_PAIR(BgL_arg2143z00_1148, BgL_arg2144z00_1149); } 
return 
MAKE_PAIR(BgL_arg2141z00_1146, BgL_arg2142z00_1147);} }  else 
{ 
obj_t BgL_varz00_1235;obj_t BgL_exprz00_1236;
{ /* Expand/object.scm 409 */
obj_t BgL_ezd2280zd2_1239;
BgL_ezd2280zd2_1239 = 
CAR(BgL_bindingsz00_1137); 
if(
PAIRP(BgL_ezd2280zd2_1239))
{ /* Expand/object.scm 409 */
obj_t BgL_carzd2285zd2_1241;obj_t BgL_cdrzd2286zd2_1242;
BgL_carzd2285zd2_1241 = 
CAR(BgL_ezd2280zd2_1239); 
BgL_cdrzd2286zd2_1242 = 
CDR(BgL_ezd2280zd2_1239); 
if(
SYMBOLP(BgL_carzd2285zd2_1241))
{ /* Expand/object.scm 409 */
if(
PAIRP(BgL_cdrzd2286zd2_1242))
{ /* Expand/object.scm 409 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2286zd2_1242), BNIL))
{ /* Expand/object.scm 409 */
BgL_varz00_1235 = BgL_carzd2285zd2_1241; 
BgL_exprz00_1236 = 
CAR(BgL_cdrzd2286zd2_1242); 
{ /* Expand/object.scm 411 */
obj_t BgL_bdgz00_1249;
BgL_bdgz00_1249 = 
CAR(BgL_bindingsz00_1137); 
{ /* Expand/object.scm 411 */
obj_t BgL_locz00_1250;
BgL_locz00_1250 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bdgz00_1249, BgL_xz00_30); 
{ /* Expand/object.scm 412 */
obj_t BgL_idze2typeze2_1251;
BgL_idze2typeze2_1251 = 
BGl_parsezd2idzd2zzast_identz00(BgL_varz00_1235, BgL_locz00_1250); 
{ /* Expand/object.scm 413 */
obj_t BgL_idz00_1252;
BgL_idz00_1252 = 
CAR(BgL_idze2typeze2_1251); 
{ /* Expand/object.scm 415 */
obj_t BgL_privz00_1254;
BgL_privz00_1254 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* Expand/object.scm 416 */
obj_t BgL_kclassz00_1255;
BgL_exprz00_1265 = BgL_exprz00_1236; 
BgL_bdgz00_1266 = BgL_bdgz00_1249; 
BgL_locz00_1267 = BgL_locz00_1250; 
{ 
obj_t BgL_instantiatez00_1269;obj_t BgL_bodyz00_1270;
if(
PAIRP(BgL_exprz00_1265))
{ /* Expand/object.scm 368 */
BgL_instantiatez00_1269 = 
CAR(BgL_exprz00_1265); 
BgL_bodyz00_1270 = 
CDR(BgL_exprz00_1265); 
{ /* Expand/object.scm 347 */
obj_t BgL_locz00_1277;
BgL_locz00_1277 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_bodyz00_1270, BgL_locz00_1267); 
{ /* Expand/object.scm 347 */
obj_t BgL_idze2typeze2_1278;
BgL_idze2typeze2_1278 = 
BGl_parsezd2idzd2zzast_identz00(BgL_instantiatez00_1269, BgL_locz00_1277); 
{ /* Expand/object.scm 348 */
obj_t BgL_kclassz00_1279;
BgL_kclassz00_1279 = 
CDR(BgL_idze2typeze2_1278); 
{ /* Expand/object.scm 349 */

{ /* Expand/object.scm 351 */
bool_t BgL_testz00_3774;
{ /* Expand/object.scm 351 */
obj_t BgL_auxz00_3777;obj_t BgL_auxz00_3775;
BgL_auxz00_3777 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3775 = 
CAR(BgL_idze2typeze2_1278); 
BgL_testz00_3774 = 
(BgL_auxz00_3775==BgL_auxz00_3777); } 
if(BgL_testz00_3774)
{ /* Expand/object.scm 355 */
bool_t BgL_test2221z00_1281;
BgL_test2221z00_1281 = 
BGl_iszd2azf3z21zz__objectz00(BgL_kclassz00_1279, BGl_tclassz00zzobject_classz00); 
if(BgL_test2221z00_1281)
{ /* Expand/object.scm 359 */
bool_t BgL_testz00_3782;
{ /* Expand/object.scm 359 */
BgL_tclassz00_bglt BgL_obj1624z00_2378;
BgL_obj1624z00_2378 = 
(BgL_tclassz00_bglt)(BgL_kclassz00_1279); 
{ 
obj_t BgL_auxz00_3784;
{ /* Expand/object.scm 359 */
BgL_objectz00_bglt BgL_auxz00_3785;
BgL_auxz00_3785 = 
(BgL_objectz00_bglt)(BgL_obj1624z00_2378); 
BgL_auxz00_3784 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3785); } 
BgL_testz00_3782 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3784))->BgL_abstractzf3zf3); } } 
if(BgL_testz00_3782)
{ /* Expand/object.scm 359 */
FAILURE(BFALSE,BGl_string2830z00zzexpand_objectz00,BgL_bdgz00_1266);}  else 
{ /* Expand/object.scm 359 */
BgL_kclassz00_1255 = BgL_kclassz00_1279; } }  else 
{ /* Expand/object.scm 355 */
FAILURE(BFALSE,BGl_string2831z00zzexpand_objectz00,BgL_bdgz00_1266);} }  else 
{ /* Expand/object.scm 351 */
FAILURE(BFALSE,BGl_string2832z00zzexpand_objectz00,BgL_bdgz00_1266);} } } } } } }  else 
{ /* Expand/object.scm 368 */
FAILURE(BFALSE,BGl_string2832z00zzexpand_objectz00,BgL_bdgz00_1266);} } 
{ /* Expand/object.scm 417 */

{ /* Expand/object.scm 418 */
obj_t BgL_arg2207z00_1256;obj_t BgL_arg2208z00_1257;obj_t BgL_arg2209z00_1258;obj_t BgL_arg2210z00_1259;obj_t BgL_arg2211z00_1260;obj_t BgL_arg2212z00_1261;
BgL_arg2207z00_1256 = 
CDR(BgL_bindingsz00_1137); 
BgL_arg2208z00_1257 = 
MAKE_PAIR(BgL_varz00_1235, BgL_userzd2variableszd2_1138); 
BgL_arg2209z00_1258 = 
MAKE_PAIR(BgL_privz00_1254, BgL_privatezd2variableszd2_1139); 
{ /* Expand/object.scm 421 */
obj_t BgL_arg2213z00_1262;
BgL_arg2213z00_1262 = 
MAKE_PAIR(BgL_idz00_1252, BgL_privz00_1254); 
BgL_arg2210z00_1259 = 
MAKE_PAIR(BgL_arg2213z00_1262, BgL_rewritezd2bindingszd2_1140); } 
BgL_arg2211z00_1260 = 
MAKE_PAIR(BgL_kclassz00_1255, BgL_classesz00_1141); 
BgL_arg2212z00_1261 = 
MAKE_PAIR(BgL_exprz00_1236, BgL_instantiatesz00_1142); 
{ 
obj_t BgL_instantiatesz00_3807;obj_t BgL_classesz00_3806;obj_t BgL_rewritezd2bindingszd2_3805;obj_t BgL_privatezd2variableszd2_3804;obj_t BgL_userzd2variableszd2_3803;obj_t BgL_bindingsz00_3802;
BgL_bindingsz00_3802 = BgL_arg2207z00_1256; 
BgL_userzd2variableszd2_3803 = BgL_arg2208z00_1257; 
BgL_privatezd2variableszd2_3804 = BgL_arg2209z00_1258; 
BgL_rewritezd2bindingszd2_3805 = BgL_arg2210z00_1259; 
BgL_classesz00_3806 = BgL_arg2211z00_1260; 
BgL_instantiatesz00_3807 = BgL_arg2212z00_1261; 
BgL_instantiatesz00_1142 = BgL_instantiatesz00_3807; 
BgL_classesz00_1141 = BgL_classesz00_3806; 
BgL_rewritezd2bindingszd2_1140 = BgL_rewritezd2bindingszd2_3805; 
BgL_privatezd2variableszd2_1139 = BgL_privatezd2variableszd2_3804; 
BgL_userzd2variableszd2_1138 = BgL_userzd2variableszd2_3803; 
BgL_bindingsz00_1137 = BgL_bindingsz00_3802; 
goto BgL_loopz00_1143;} } } } } } } } } }  else 
{ /* Expand/object.scm 409 */
BgL_tagzd2279zd2_1238:
{ 
obj_t BgL_auxz00_3809;
BgL_auxz00_3809 = 
CAR(BgL_bindingsz00_1137); 
FAILURE(BFALSE,BGl_string2832z00zzexpand_objectz00,BgL_auxz00_3809);} } }  else 
{ /* Expand/object.scm 409 */
goto BgL_tagzd2279zd2_1238;} }  else 
{ /* Expand/object.scm 409 */
goto BgL_tagzd2279zd2_1238;} }  else 
{ /* Expand/object.scm 409 */
goto BgL_tagzd2279zd2_1238;} } } } } } } 
}



/* <anonymous:2171> */
obj_t BGl_zc3anonymousza32171ze3z83zzexpand_objectz00(obj_t BgL_envz00_2921, obj_t BgL_userz00_2925, obj_t BgL_privatez00_2926, obj_t BgL_classz00_2927, obj_t BgL_instantiatez00_2928)
{ AN_OBJECT;
{ /* Expand/object.scm 395 */
{ /* Expand/object.scm 396 */
obj_t BgL_e1z00_2924;
{ /* Expand/object.scm 396 */
int BgL_auxz00_3812;
BgL_auxz00_3812 = 
(int)(((long)2)); 
BgL_e1z00_2924 = 
PROCEDURE_REF(BgL_envz00_2921, BgL_auxz00_3812); } 
{ 
obj_t BgL_userz00_1188;obj_t BgL_privatez00_1189;obj_t BgL_classz00_1190;obj_t BgL_instantiatez00_1191;
BgL_userz00_1188 = BgL_userz00_2925; 
BgL_privatez00_1189 = BgL_privatez00_2926; 
BgL_classz00_1190 = BgL_classz00_2927; 
BgL_instantiatez00_1191 = BgL_instantiatez00_2928; 
{ /* Expand/object.scm 396 */
obj_t BgL_cidz00_1193;
{ /* Expand/object.scm 396 */
BgL_typez00_bglt BgL_obj1625z00_2345;
BgL_obj1625z00_2345 = 
(BgL_typez00_bglt)(BgL_classz00_1190); 
BgL_cidz00_1193 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_2345))->BgL_idz00); } 
{ /* Expand/object.scm 396 */
obj_t BgL_fillz00_1194;
{ /* Expand/object.scm 397 */
obj_t BgL_list2178z00_1204;
{ /* Expand/object.scm 397 */
obj_t BgL_arg2179z00_1205;obj_t BgL_arg2180z00_1206;
BgL_arg2179z00_1205 = 
CNST_TABLE_REF(((long)19)); 
{ /* Expand/object.scm 397 */
obj_t BgL_arg2181z00_1207;
{ /* Expand/object.scm 397 */
obj_t BgL_auxz00_3818;
BgL_auxz00_3818 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2181z00_1207 = 
MAKE_PAIR(BgL_auxz00_3818, BNIL); } 
BgL_arg2180z00_1206 = 
MAKE_PAIR(BgL_cidz00_1193, BgL_arg2181z00_1207); } 
BgL_list2178z00_1204 = 
MAKE_PAIR(BgL_arg2179z00_1205, BgL_arg2180z00_1206); } 
BgL_fillz00_1194 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2178z00_1204); } 
{ /* Expand/object.scm 399 */
obj_t BgL_allocz00_2919;
{ 
int BgL_auxz00_3824;
BgL_auxz00_3824 = 
(int)(((long)2)); 
BgL_allocz00_2919 = 
MAKE_L_PROCEDURE(BGl_allocz00zzexpand_objectz00, BgL_auxz00_3824); } 
{ /* Expand/object.scm 399 */
int BgL_auxz00_3827;
BgL_auxz00_3827 = 
(int)(((long)0)); 
PROCEDURE_L_SET(BgL_allocz00_2919, BgL_auxz00_3827, BgL_privatez00_1189); } 
{ /* Expand/object.scm 399 */
int BgL_auxz00_3830;
BgL_auxz00_3830 = 
(int)(((long)1)); 
PROCEDURE_L_SET(BgL_allocz00_2919, BgL_auxz00_3830, BgL_fillz00_1194); } 
{ /* Expand/object.scm 398 */

{ /* Expand/object.scm 400 */
obj_t BgL_arg2172z00_1196;
{ /* Expand/object.scm 400 */
obj_t BgL_arg2173z00_1197;
BgL_arg2173z00_1197 = 
BGl_instantiatezd2ze3fillz31zzexpand_objectz00(BgL_instantiatez00_1191, BgL_classz00_1190, BgL_allocz00_2919, BgL_e1z00_2924); 
BgL_arg2172z00_1196 = 
MAKE_PAIR(BgL_arg2173z00_1197, BNIL); } 
return 
MAKE_PAIR(BgL_userz00_1188, BgL_arg2172z00_1196);} } } } } } } } 
}



/* e1 */
obj_t BGl_e1z00zzexpand_objectz00(obj_t BgL_envz00_2929, obj_t BgL_xz00_2932, obj_t BgL__z00_2933)
{ AN_OBJECT;
{ /* Expand/object.scm 377 */
{ /* Expand/object.scm 378 */
obj_t BgL_ez00_2930;obj_t BgL_rewritezd2bindingszd2_2931;
{ /* Expand/object.scm 378 */
int BgL_auxz00_3836;
BgL_auxz00_3836 = 
(int)(((long)0)); 
BgL_ez00_2930 = 
PROCEDURE_REF(BgL_envz00_2929, BgL_auxz00_3836); } 
{ /* Expand/object.scm 378 */
int BgL_auxz00_3839;
BgL_auxz00_3839 = 
(int)(((long)1)); 
BgL_rewritezd2bindingszd2_2931 = 
PROCEDURE_REF(BgL_envz00_2929, BgL_auxz00_3839); } 
{ 
obj_t BgL_xz00_1214;obj_t BgL__z00_1215;
BgL_xz00_1214 = BgL_xz00_2932; 
BgL__z00_1215 = BgL__z00_2933; 
BgL_zc3anonymousza32188ze3z83_1216:
if(
SYMBOLP(BgL_xz00_1214))
{ /* Expand/object.scm 379 */
obj_t BgL_cellz00_1218;
BgL_cellz00_1218 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1214, BgL_rewritezd2bindingszd2_2931); 
if(
PAIRP(BgL_cellz00_1218))
{ /* Expand/object.scm 380 */
return 
CDR(BgL_cellz00_1218);}  else 
{ /* Expand/object.scm 380 */
return BgL_xz00_1214;} }  else 
{ 

if(
PAIRP(BgL_xz00_1214))
{ /* Expand/object.scm 383 */
obj_t BgL_cdrzd2273zd2_1225;
BgL_cdrzd2273zd2_1225 = 
CDR(BgL_xz00_1214); 
{ /* Expand/object.scm 383 */
bool_t BgL_testz00_3851;
{ /* Expand/object.scm 383 */
obj_t BgL_auxz00_3854;obj_t BgL_auxz00_3852;
BgL_auxz00_3854 = 
CNST_TABLE_REF(((long)18)); 
BgL_auxz00_3852 = 
CAR(BgL_xz00_1214); 
BgL_testz00_3851 = 
(BgL_auxz00_3852==BgL_auxz00_3854); } 
if(BgL_testz00_3851)
{ /* Expand/object.scm 383 */
if(
PAIRP(BgL_cdrzd2273zd2_1225))
{ /* Expand/object.scm 383 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2273zd2_1225), BNIL))
{ 
obj_t BgL__z00_3864;obj_t BgL_xz00_3862;
BgL_xz00_3862 = 
CAR(BgL_cdrzd2273zd2_1225); 
BgL__z00_3864 = BgL_ez00_2930; 
BgL__z00_1215 = BgL__z00_3864; 
BgL_xz00_1214 = BgL_xz00_3862; 
goto BgL_zc3anonymousza32188ze3z83_1216;}  else 
{ /* Expand/object.scm 383 */
BgL_tagzd2268zd2_1222:
return 
PROCEDURE_ENTRY(BgL_ez00_2930)(BgL_ez00_2930, BgL_xz00_1214, BgL_ez00_2930, BEOA);} }  else 
{ /* Expand/object.scm 383 */
goto BgL_tagzd2268zd2_1222;} }  else 
{ /* Expand/object.scm 383 */
goto BgL_tagzd2268zd2_1222;} } }  else 
{ /* Expand/object.scm 383 */
goto BgL_tagzd2268zd2_1222;} } } } } 
}



/* alloc */
obj_t BGl_allocz00zzexpand_objectz00(obj_t BgL_envz00_2934, obj_t BgL_argsz00_2937)
{ AN_OBJECT;
{ /* Expand/object.scm 398 */
{ /* Expand/object.scm 399 */
obj_t BgL_privatez00_2935;obj_t BgL_fillz00_2936;
{ /* Expand/object.scm 399 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(((long)0)); 
BgL_privatez00_2935 = 
PROCEDURE_L_REF(BgL_envz00_2934, BgL_auxz00_3867); } 
{ /* Expand/object.scm 399 */
int BgL_auxz00_3870;
BgL_auxz00_3870 = 
(int)(((long)1)); 
BgL_fillz00_2936 = 
PROCEDURE_L_REF(BgL_envz00_2934, BgL_auxz00_3870); } 
{ 
obj_t BgL_argsz00_1199;
BgL_argsz00_1199 = BgL_argsz00_2937; 
{ /* Expand/object.scm 399 */
obj_t BgL_arg2176z00_1201;
{ /* Expand/object.scm 399 */
obj_t BgL_auxz00_3873;
BgL_auxz00_3873 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1199, BNIL); 
BgL_arg2176z00_1201 = 
MAKE_PAIR(BgL_privatez00_2935, BgL_auxz00_3873); } 
return 
MAKE_PAIR(BgL_fillz00_2936, BgL_arg2176z00_1201);} } } } 
}



/* expand-duplicate */
obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t BgL_xz00_32, obj_t BgL_ez00_33)
{ AN_OBJECT;
{ /* Expand/object.scm 432 */
{ 
obj_t BgL_duplicatez00_1286;obj_t BgL_dupz00_1287;obj_t BgL_provz00_1288;
if(
PAIRP(BgL_xz00_32))
{ /* Expand/object.scm 433 */
obj_t BgL_cdrzd2303zd2_1293;
BgL_cdrzd2303zd2_1293 = 
CDR(BgL_xz00_32); 
if(
PAIRP(BgL_cdrzd2303zd2_1293))
{ /* Expand/object.scm 433 */
BgL_duplicatez00_1286 = 
CAR(BgL_xz00_32); 
BgL_dupz00_1287 = 
CAR(BgL_cdrzd2303zd2_1293); 
BgL_provz00_1288 = 
CDR(BgL_cdrzd2303zd2_1293); 
{ /* Expand/object.scm 435 */
obj_t BgL_idze2typeze2_1298;
{ /* Expand/object.scm 435 */
obj_t BgL_arg2237z00_1308;
BgL_arg2237z00_1308 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_32); 
BgL_idze2typeze2_1298 = 
BGl_parsezd2idzd2zzast_identz00(BgL_duplicatez00_1286, BgL_arg2237z00_1308); } 
{ /* Expand/object.scm 435 */
obj_t BgL_idz00_1299;
BgL_idz00_1299 = 
CAR(BgL_idze2typeze2_1298); 
{ /* Expand/object.scm 436 */
obj_t BgL_classz00_1300;
BgL_classz00_1300 = 
CDR(BgL_idze2typeze2_1298); 
{ /* Expand/object.scm 437 */

{ /* Expand/object.scm 439 */
bool_t BgL_test2230z00_1301;
BgL_test2230z00_1301 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_1300, BGl_tclassz00zzobject_classz00); 
if(BgL_test2230z00_1301)
{ /* Expand/object.scm 444 */
bool_t BgL_testz00_3888;
{ /* Expand/object.scm 444 */
BgL_tclassz00_bglt BgL_obj1624z00_2400;
BgL_obj1624z00_2400 = 
(BgL_tclassz00_bglt)(BgL_classz00_1300); 
{ 
obj_t BgL_auxz00_3890;
{ /* Expand/object.scm 444 */
BgL_objectz00_bglt BgL_auxz00_3891;
BgL_auxz00_3891 = 
(BgL_objectz00_bglt)(BgL_obj1624z00_2400); 
BgL_auxz00_3890 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3891); } 
BgL_testz00_3888 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3890))->BgL_abstractzf3zf3); } } 
if(BgL_testz00_3888)
{ /* Expand/object.scm 444 */
FAILURE(BFALSE,BGl_string2833z00zzexpand_objectz00,BgL_xz00_32);}  else 
{ /* Expand/object.scm 444 */
{ /* Expand/object.scm 447 */
obj_t BgL_arg2232z00_1303;
{ /* Expand/object.scm 447 */
obj_t BgL_arg2233z00_1304;
BgL_arg2233z00_1304 = 
BGl_duplicatezd2ze3makez31zzexpand_objectz00(BgL_xz00_32, BgL_classz00_1300, BgL_dupz00_1287, BgL_provz00_1288); 
BgL_arg2232z00_1303 = 
PROCEDURE_ENTRY(BgL_ez00_33)(BgL_ez00_33, BgL_arg2233z00_1304, BgL_ez00_33, BEOA); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_32, BgL_arg2232z00_1303);} } }  else 
{ /* Expand/object.scm 439 */
{ /* Expand/object.scm 441 */
obj_t BgL_arg2234z00_1305;
{ /* Expand/object.scm 441 */
obj_t BgL_arg2236z00_1307;
BgL_arg2236z00_1307 = 
SYMBOL_TO_STRING(BgL_idz00_1299); 
BgL_arg2234z00_1305 = 
string_append(BGl_string2834z00zzexpand_objectz00, BgL_arg2236z00_1307); } 
FAILURE(BFALSE,BgL_arg2234z00_1305,BgL_xz00_32);} } } } } } } }  else 
{ /* Expand/object.scm 433 */
BgL_tagzd2294zd2_1290:
FAILURE(BFALSE,BGl_string2835z00zzexpand_objectz00,BgL_xz00_32);} }  else 
{ /* Expand/object.scm 433 */
goto BgL_tagzd2294zd2_1290;} } } 
}



/* _expand-duplicate2817 */
obj_t BGl__expandzd2duplicate2817zd2zzexpand_objectz00(obj_t BgL_envz00_2938, obj_t BgL_xz00_2939, obj_t BgL_ez00_2940)
{ AN_OBJECT;
{ /* Expand/object.scm 432 */
return 
BGl_expandzd2duplicatezd2zzexpand_objectz00(BgL_xz00_2939, BgL_ez00_2940);} 
}



/* duplicate->make */
obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t BgL_formz00_34, obj_t BgL_classz00_35, obj_t BgL_duplicatedz00_36, obj_t BgL_providedz00_37)
{ AN_OBJECT;
{ /* Expand/object.scm 460 */
{ /* Expand/object.scm 461 */
obj_t BgL_slotsz00_1309;
BgL_slotsz00_1309 = 
BGl_tclasszd2allzd2slotsz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_classz00_35)); 
{ /* Expand/object.scm 461 */
long BgL_lenz00_1310;
BgL_lenz00_1310 = 
bgl_list_length(BgL_slotsz00_1309); 
{ /* Expand/object.scm 462 */
obj_t BgL_dupzd2varzd2_1311;
{ /* Expand/object.scm 463 */
obj_t BgL_arg2336z00_1445;
BgL_arg2336z00_1445 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)21)), BEOA); 
BgL_dupzd2varzd2_1311 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2336z00_1445); } 
{ /* Expand/object.scm 463 */
obj_t BgL_dupzd2varzd2typedz00_1312;
{ /* Expand/object.scm 464 */
obj_t BgL_auxz00_3915;
{ /* Expand/object.scm 464 */
BgL_typez00_bglt BgL_obj1002z00_2411;
BgL_obj1002z00_2411 = 
(BgL_typez00_bglt)(BgL_classz00_35); 
BgL_auxz00_3915 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2411))->BgL_idz00); } 
BgL_dupzd2varzd2typedz00_1312 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_dupzd2varzd2_1311, BgL_auxz00_3915); } 
{ /* Expand/object.scm 464 */
obj_t BgL_newz00_1313;
BgL_newz00_1313 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
{ /* Expand/object.scm 465 */
obj_t BgL_vargsz00_1314;
{ /* Expand/object.scm 466 */
int BgL_auxz00_3922;
{ /* Expand/object.scm 466 */
long BgL_auxz00_3923;
BgL_auxz00_3923 = 
bgl_list_length(BgL_slotsz00_1309); 
BgL_auxz00_3922 = 
(int)(BgL_auxz00_3923); } 
BgL_vargsz00_1314 = 
make_vector(BgL_auxz00_3922, BUNSPEC); } 
{ /* Expand/object.scm 466 */

{ 
obj_t BgL_providedz00_1315;
BgL_providedz00_1315 = BgL_providedz00_37; 
BgL_loopz00_1316:
if(
NULLP(BgL_providedz00_1315))
{ /* Expand/object.scm 469 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 471 */
obj_t BgL_pz00_1318;
BgL_pz00_1318 = 
CAR(BgL_providedz00_1315); 
{ 
obj_t BgL_szd2namezd2_1322;obj_t BgL_lenz00_1323;obj_t BgL_valuez00_1324;obj_t BgL_szd2namezd2_1319;obj_t BgL_valuez00_1320;
if(
PAIRP(BgL_pz00_1318))
{ /* Expand/object.scm 472 */
obj_t BgL_carzd2320zd2_1329;obj_t BgL_cdrzd2321zd2_1330;
BgL_carzd2320zd2_1329 = 
CAR(BgL_pz00_1318); 
BgL_cdrzd2321zd2_1330 = 
CDR(BgL_pz00_1318); 
if(
SYMBOLP(BgL_carzd2320zd2_1329))
{ /* Expand/object.scm 472 */
if(
PAIRP(BgL_cdrzd2321zd2_1330))
{ /* Expand/object.scm 472 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2321zd2_1330), BNIL))
{ /* Expand/object.scm 472 */
BgL_szd2namezd2_1319 = BgL_carzd2320zd2_1329; 
BgL_valuez00_1320 = 
CAR(BgL_cdrzd2321zd2_1330); 
{ /* Expand/object.scm 476 */
obj_t BgL_arg2262z00_1358;obj_t BgL_arg2263z00_1359;
BgL_arg2262z00_1358 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_1309, BgL_szd2namezd2_1319, BGl_string2836z00zzexpand_objectz00, BgL_pz00_1318); 
{ /* Expand/object.scm 480 */
obj_t BgL_arg2264z00_1360;
BgL_arg2264z00_1360 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1320, BgL_pz00_1318); 
BgL_arg2263z00_1359 = 
MAKE_PAIR(BTRUE, BgL_arg2264z00_1360); } 
{ /* Expand/object.scm 475 */
int BgL_kz00_2440;
BgL_kz00_2440 = 
CINT(BgL_arg2262z00_1358); 
{ /* Expand/object.scm 475 */
obj_t BgL_xz00_2958;
BgL_xz00_2958 = 
VECTOR_SET(BgL_vargsz00_1314,BgL_kz00_2440,BgL_arg2263z00_1359); BUNSPEC; } } } }  else 
{ /* Expand/object.scm 472 */
if(
SYMBOLP(BgL_carzd2320zd2_1329))
{ /* Expand/object.scm 472 */
obj_t BgL_cdrzd2348zd2_1338;
BgL_cdrzd2348zd2_1338 = 
CDR(BgL_cdrzd2321zd2_1330); 
if(
PAIRP(BgL_cdrzd2348zd2_1338))
{ /* Expand/object.scm 472 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2348zd2_1338), BNIL))
{ /* Expand/object.scm 472 */
BgL_szd2namezd2_1322 = BgL_carzd2320zd2_1329; 
BgL_lenz00_1323 = 
CAR(BgL_cdrzd2321zd2_1330); 
BgL_valuez00_1324 = 
CAR(BgL_cdrzd2348zd2_1338); 
BgL_tagzd2312zd2_1325:
{ /* Expand/object.scm 483 */
obj_t BgL_snumz00_1361;
BgL_snumz00_1361 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_1309, BgL_szd2namezd2_1322, BGl_string2836z00zzexpand_objectz00, BgL_pz00_1318); 
{ /* Expand/object.scm 487 */

{ /* Expand/object.scm 488 */
bool_t BgL_testz00_3957;
{ /* Expand/object.scm 488 */
BgL_slotz00_bglt BgL_obj1763z00_2442;
{ /* Expand/object.scm 488 */
obj_t BgL_auxz00_3958;
BgL_auxz00_3958 = 
bgl_list_ref(BgL_slotsz00_1309, 
(long)CINT(BgL_snumz00_1361)); 
BgL_obj1763z00_2442 = 
(BgL_slotz00_bglt)(BgL_auxz00_3958); } 
{ /* Expand/object.scm 488 */
obj_t BgL_auxz00_3962;
BgL_auxz00_3962 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_2442))->BgL_indexedz00); 
BgL_testz00_3957 = 
CBOOL(BgL_auxz00_3962); } } 
if(BgL_testz00_3957)
{ /* Expand/object.scm 488 */
{ /* Expand/object.scm 493 */
obj_t BgL_arg2266z00_1364;
{ /* Expand/object.scm 493 */
obj_t BgL_arg2267z00_1365;
BgL_arg2267z00_1365 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1324, BgL_pz00_1318); 
BgL_arg2266z00_1364 = 
MAKE_PAIR(BTRUE, BgL_arg2267z00_1365); } 
{ /* Expand/object.scm 491 */
int BgL_kz00_2444;
BgL_kz00_2444 = 
CINT(BgL_snumz00_1361); 
VECTOR_SET(BgL_vargsz00_1314,BgL_kz00_2444,BgL_arg2266z00_1364); } } 
{ /* Expand/object.scm 494 */
long BgL_arg2268z00_1366;obj_t BgL_arg2269z00_1367;
{ /* Expand/object.scm 494 */
long BgL_auxz00_3969;
BgL_auxz00_3969 = 
(long)CINT(BgL_snumz00_1361); 
BgL_arg2268z00_1366 = 
(BgL_auxz00_3969-((long)1)); } 
BgL_arg2269z00_1367 = 
MAKE_PAIR(BFALSE, BgL_lenz00_1323); 
{ /* Expand/object.scm 494 */
int BgL_kz00_2449;
BgL_kz00_2449 = 
(int)(BgL_arg2268z00_1366); 
VECTOR_SET(BgL_vargsz00_1314,BgL_kz00_2449,BgL_arg2269z00_1367); } } }  else 
{ /* Expand/object.scm 488 */
FAILURE(BFALSE,BGl_string2835z00zzexpand_objectz00,BgL_formz00_34);} } } } }  else 
{ /* Expand/object.scm 472 */
BgL_tagzd2313zd2_1326:
FAILURE(BFALSE,BGl_string2835z00zzexpand_objectz00,BgL_formz00_34);} }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} } }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} }  else 
{ /* Expand/object.scm 472 */
if(
SYMBOLP(BgL_carzd2320zd2_1329))
{ /* Expand/object.scm 472 */
if(
PAIRP(BgL_cdrzd2321zd2_1330))
{ /* Expand/object.scm 472 */
obj_t BgL_cdrzd2376zd2_1351;
BgL_cdrzd2376zd2_1351 = 
CDR(BgL_cdrzd2321zd2_1330); 
if(
PAIRP(BgL_cdrzd2376zd2_1351))
{ /* Expand/object.scm 472 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2376zd2_1351), BNIL))
{ 
obj_t BgL_valuez00_3992;obj_t BgL_lenz00_3990;obj_t BgL_szd2namezd2_3989;
BgL_szd2namezd2_3989 = BgL_carzd2320zd2_1329; 
BgL_lenz00_3990 = 
CAR(BgL_cdrzd2321zd2_1330); 
BgL_valuez00_3992 = 
CAR(BgL_cdrzd2376zd2_1351); 
BgL_valuez00_1324 = BgL_valuez00_3992; 
BgL_lenz00_1323 = BgL_lenz00_3990; 
BgL_szd2namezd2_1322 = BgL_szd2namezd2_3989; 
goto BgL_tagzd2312zd2_1325;}  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} } }  else 
{ /* Expand/object.scm 472 */
goto BgL_tagzd2313zd2_1326;} } 
{ 
obj_t BgL_providedz00_3994;
BgL_providedz00_3994 = 
CDR(BgL_providedz00_1315); 
BgL_providedz00_1315 = BgL_providedz00_3994; 
goto BgL_loopz00_1316;} } } 
{ 
long BgL_iz00_1369;obj_t BgL_slotsz00_1370;
BgL_iz00_1369 = ((long)0); 
BgL_slotsz00_1370 = BgL_slotsz00_1309; 
BgL_loopz00_1371:
if(
NULLP(BgL_slotsz00_1370))
{ /* Expand/object.scm 502 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 504 */
obj_t BgL_valuez00_1373;
{ /* Expand/object.scm 504 */
int BgL_kz00_2460;
BgL_kz00_2460 = 
(int)(BgL_iz00_1369); 
BgL_valuez00_1373 = 
VECTOR_REF(BgL_vargsz00_1314,BgL_kz00_2460); } 
if(
PAIRP(BgL_valuez00_1373))
{ /* Expand/object.scm 505 */
CNST_TABLE_REF(((long)22)); }  else 
{ /* Expand/object.scm 508 */
obj_t BgL_slotz00_1375;
BgL_slotz00_1375 = 
CAR(BgL_slotsz00_1370); 
{ /* Expand/object.scm 509 */
bool_t BgL_testz00_4005;
{ /* Expand/object.scm 509 */
BgL_slotz00_bglt BgL_obj1763z00_2463;
BgL_obj1763z00_2463 = 
(BgL_slotz00_bglt)(BgL_slotz00_1375); 
{ /* Expand/object.scm 509 */
obj_t BgL_auxz00_4007;
BgL_auxz00_4007 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_2463))->BgL_indexedz00); 
BgL_testz00_4005 = 
CBOOL(BgL_auxz00_4007); } } 
if(BgL_testz00_4005)
{ /* Expand/object.scm 512 */
obj_t BgL_azd2namezd2_1377;
{ /* Expand/object.scm 512 */
obj_t BgL_arg2278z00_1382;obj_t BgL_arg2279z00_1383;obj_t BgL_arg2280z00_1384;
{ /* Expand/object.scm 512 */
BgL_typez00_bglt BgL_obj1002z00_2464;
BgL_obj1002z00_2464 = 
(BgL_typez00_bglt)(BgL_classz00_35); 
BgL_arg2278z00_1382 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2464))->BgL_idz00); } 
BgL_arg2279z00_1383 = 
CNST_TABLE_REF(((long)4)); 
{ /* Expand/object.scm 514 */
BgL_slotz00_bglt BgL_obj1746z00_2465;
BgL_obj1746z00_2465 = 
(BgL_slotz00_bglt)(BgL_slotz00_1375); 
BgL_arg2280z00_1384 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2465))->BgL_idz00); } 
{ /* Expand/object.scm 512 */
obj_t BgL_list2282z00_1386;
{ /* Expand/object.scm 512 */
obj_t BgL_arg2284z00_1387;
{ /* Expand/object.scm 512 */
obj_t BgL_arg2285z00_1388;
{ /* Expand/object.scm 512 */
obj_t BgL_arg2286z00_1389;
{ /* Expand/object.scm 512 */
obj_t BgL_auxz00_4015;
BgL_auxz00_4015 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2286z00_1389 = 
MAKE_PAIR(BgL_auxz00_4015, BNIL); } 
BgL_arg2285z00_1388 = 
MAKE_PAIR(BgL_arg2280z00_1384, BgL_arg2286z00_1389); } 
BgL_arg2284z00_1387 = 
MAKE_PAIR(BgL_arg2279z00_1383, BgL_arg2285z00_1388); } 
BgL_list2282z00_1386 = 
MAKE_PAIR(BgL_arg2278z00_1382, BgL_arg2284z00_1387); } 
BgL_azd2namezd2_1377 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2282z00_1386); } } 
{ /* Expand/object.scm 518 */
obj_t BgL_arg2274z00_1378;
{ /* Expand/object.scm 518 */
obj_t BgL_arg2275z00_1379;
{ /* Expand/object.scm 518 */
obj_t BgL_arg2276z00_1380;
{ /* Expand/object.scm 518 */
obj_t BgL_arg2277z00_1381;
{ /* Expand/object.scm 518 */
obj_t BgL_auxz00_4022;
BgL_auxz00_4022 = 
BINT(((long)0)); 
BgL_arg2277z00_1381 = 
MAKE_PAIR(BgL_auxz00_4022, BNIL); } 
BgL_arg2276z00_1380 = 
MAKE_PAIR(BgL_dupzd2varzd2_1311, BgL_arg2277z00_1381); } 
BgL_arg2275z00_1379 = 
MAKE_PAIR(BgL_azd2namezd2_1377, BgL_arg2276z00_1380); } 
BgL_arg2274z00_1378 = 
MAKE_PAIR(BTRUE, BgL_arg2275z00_1379); } 
{ /* Expand/object.scm 516 */
int BgL_kz00_2467;
BgL_kz00_2467 = 
(int)(BgL_iz00_1369); 
VECTOR_SET(BgL_vargsz00_1314,BgL_kz00_2467,BgL_arg2274z00_1378); } } }  else 
{ /* Expand/object.scm 521 */
obj_t BgL_azd2namezd2_1390;
{ /* Expand/object.scm 521 */
obj_t BgL_arg2290z00_1394;obj_t BgL_arg2291z00_1395;
{ /* Expand/object.scm 521 */
BgL_typez00_bglt BgL_obj1002z00_2469;
BgL_obj1002z00_2469 = 
(BgL_typez00_bglt)(BgL_classz00_35); 
BgL_arg2290z00_1394 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2469))->BgL_idz00); } 
BgL_arg2291z00_1395 = 
CNST_TABLE_REF(((long)4)); 
{ /* Expand/object.scm 521 */
obj_t BgL_list2293z00_1397;
{ /* Expand/object.scm 521 */
obj_t BgL_arg2295z00_1398;
{ /* Expand/object.scm 521 */
obj_t BgL_arg2296z00_1399;
{ /* Expand/object.scm 521 */
obj_t BgL_auxz00_4033;
{ /* Expand/object.scm 523 */
BgL_slotz00_bglt BgL_obj1746z00_2470;
BgL_obj1746z00_2470 = 
(BgL_slotz00_bglt)(BgL_slotz00_1375); 
BgL_auxz00_4033 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2470))->BgL_idz00); } 
BgL_arg2296z00_1399 = 
MAKE_PAIR(BgL_auxz00_4033, BNIL); } 
BgL_arg2295z00_1398 = 
MAKE_PAIR(BgL_arg2291z00_1395, BgL_arg2296z00_1399); } 
BgL_list2293z00_1397 = 
MAKE_PAIR(BgL_arg2290z00_1394, BgL_arg2295z00_1398); } 
BgL_azd2namezd2_1390 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2293z00_1397); } } 
{ /* Expand/object.scm 526 */
obj_t BgL_arg2287z00_1391;
{ /* Expand/object.scm 526 */
obj_t BgL_arg2288z00_1392;
{ /* Expand/object.scm 526 */
obj_t BgL_arg2289z00_1393;
BgL_arg2289z00_1393 = 
MAKE_PAIR(BgL_dupzd2varzd2_1311, BNIL); 
BgL_arg2288z00_1392 = 
MAKE_PAIR(BgL_azd2namezd2_1390, BgL_arg2289z00_1393); } 
BgL_arg2287z00_1391 = 
MAKE_PAIR(BTRUE, BgL_arg2288z00_1392); } 
{ /* Expand/object.scm 524 */
int BgL_kz00_2472;
BgL_kz00_2472 = 
(int)(BgL_iz00_1369); 
VECTOR_SET(BgL_vargsz00_1314,BgL_kz00_2472,BgL_arg2287z00_1391); } } } } } 
{ 
obj_t BgL_slotsz00_4047;long BgL_iz00_4045;
BgL_iz00_4045 = 
(BgL_iz00_1369+((long)1)); 
BgL_slotsz00_4047 = 
CDR(BgL_slotsz00_1370); 
BgL_slotsz00_1370 = BgL_slotsz00_4047; 
BgL_iz00_1369 = BgL_iz00_4045; 
goto BgL_loopz00_1371;} } } 
{ 
long BgL_iz00_1402;obj_t BgL_slotsz00_1403;obj_t BgL_largsz00_1404;obj_t BgL_virtualsz00_1405;
BgL_iz00_1402 = ((long)0); 
BgL_slotsz00_1403 = BgL_slotsz00_1309; 
BgL_largsz00_1404 = BNIL; 
BgL_virtualsz00_1405 = BNIL; 
BgL_loopz00_1406:
if(
(BgL_iz00_1402==BgL_lenz00_1310))
{ /* Expand/object.scm 535 */
obj_t BgL_makezd2namezd2_1408;
{ /* Expand/object.scm 535 */
obj_t BgL_arg2315z00_1425;
BgL_arg2315z00_1425 = 
CNST_TABLE_REF(((long)11)); 
{ /* Expand/object.scm 535 */
obj_t BgL_list2317z00_1427;
{ /* Expand/object.scm 535 */
obj_t BgL_arg2318z00_1428;
{ /* Expand/object.scm 535 */
obj_t BgL_auxz00_4052;
{ /* Expand/object.scm 535 */
BgL_typez00_bglt BgL_obj1002z00_2479;
BgL_obj1002z00_2479 = 
(BgL_typez00_bglt)(BgL_classz00_35); 
BgL_auxz00_4052 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_2479))->BgL_idz00); } 
BgL_arg2318z00_1428 = 
MAKE_PAIR(BgL_auxz00_4052, BNIL); } 
BgL_list2317z00_1427 = 
MAKE_PAIR(BgL_arg2315z00_1425, BgL_arg2318z00_1428); } 
BgL_makezd2namezd2_1408 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2317z00_1427); } } 
{ /* Expand/object.scm 535 */
obj_t BgL_allocz00_1409;
{ /* Expand/object.scm 536 */
obj_t BgL_arg2312z00_1422;
{ /* Expand/object.scm 536 */
obj_t BgL_arg2313z00_1423;
BgL_arg2313z00_1423 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_largsz00_1404); 
BgL_arg2312z00_1422 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2313z00_1423, BNIL); } 
BgL_allocz00_1409 = 
MAKE_PAIR(BgL_makezd2namezd2_1408, BgL_arg2312z00_1422); } 
{ /* Expand/object.scm 536 */

{ /* Expand/object.scm 537 */
obj_t BgL_arg2300z00_1410;obj_t BgL_arg2301z00_1411;
BgL_arg2300z00_1410 = 
CNST_TABLE_REF(((long)23)); 
{ /* Expand/object.scm 537 */
obj_t BgL_arg2302z00_1412;obj_t BgL_arg2303z00_1413;
{ /* Expand/object.scm 537 */
obj_t BgL_arg2304z00_1414;obj_t BgL_arg2305z00_1415;
{ /* Expand/object.scm 537 */
obj_t BgL_arg2306z00_1416;
BgL_arg2306z00_1416 = 
MAKE_PAIR(BgL_duplicatedz00_36, BNIL); 
BgL_arg2304z00_1414 = 
MAKE_PAIR(BgL_dupzd2varzd2typedz00_1312, BgL_arg2306z00_1416); } 
{ /* Expand/object.scm 538 */
obj_t BgL_arg2307z00_1417;
{ /* Expand/object.scm 538 */
obj_t BgL_arg2309z00_1419;
BgL_arg2309z00_1419 = 
MAKE_PAIR(BgL_allocz00_1409, BNIL); 
BgL_arg2307z00_1417 = 
MAKE_PAIR(BgL_newz00_1313, BgL_arg2309z00_1419); } 
BgL_arg2305z00_1415 = 
MAKE_PAIR(BgL_arg2307z00_1417, BNIL); } 
BgL_arg2302z00_1412 = 
MAKE_PAIR(BgL_arg2304z00_1414, BgL_arg2305z00_1415); } 
{ /* Expand/object.scm 539 */
obj_t BgL_arg2310z00_1420;obj_t BgL_arg2311z00_1421;
BgL_arg2310z00_1420 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_virtualsz00_1405); 
BgL_arg2311z00_1421 = 
MAKE_PAIR(BgL_newz00_1313, BNIL); 
BgL_arg2303z00_1413 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2310z00_1420, BgL_arg2311z00_1421); } 
BgL_arg2301z00_1411 = 
MAKE_PAIR(BgL_arg2302z00_1412, BgL_arg2303z00_1413); } 
return 
MAKE_PAIR(BgL_arg2300z00_1410, BgL_arg2301z00_1411);} } } }  else 
{ /* Expand/object.scm 541 */
obj_t BgL_valuez00_1429;
{ /* Expand/object.scm 541 */
obj_t BgL_arg2330z00_1441;
{ /* Expand/object.scm 541 */
int BgL_kz00_2481;
BgL_kz00_2481 = 
(int)(BgL_iz00_1402); 
BgL_arg2330z00_1441 = 
VECTOR_REF(BgL_vargsz00_1314,BgL_kz00_2481); } 
BgL_valuez00_1429 = 
CDR(BgL_arg2330z00_1441); } 
{ /* Expand/object.scm 543 */
bool_t BgL_test2319z00_1430;
{ /* Expand/object.scm 543 */
BgL_slotz00_bglt BgL_auxz00_4076;
{ /* Expand/object.scm 543 */
obj_t BgL_auxz00_4077;
BgL_auxz00_4077 = 
CAR(BgL_slotsz00_1403); 
BgL_auxz00_4076 = 
(BgL_slotz00_bglt)(BgL_auxz00_4077); } 
BgL_test2319z00_1430 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_4076); } 
if(BgL_test2319z00_1430)
{ /* Expand/object.scm 543 */
{ /* Expand/object.scm 544 */
long BgL_arg2320z00_1431;obj_t BgL_arg2321z00_1432;obj_t BgL_arg2322z00_1433;
BgL_arg2320z00_1431 = 
(BgL_iz00_1402+((long)1)); 
BgL_arg2321z00_1432 = 
CDR(BgL_slotsz00_1403); 
{ /* Expand/object.scm 547 */
obj_t BgL_arg2323z00_1434;
BgL_arg2323z00_1434 = 
BGl_makezd2virtualzd2setz00zzexpand_objectz00(
CAR(BgL_slotsz00_1403), BgL_valuez00_1429, BgL_newz00_1313, BgL_classz00_35, BgL_formz00_34, "duplicate"); 
BgL_arg2322z00_1433 = 
MAKE_PAIR(BgL_arg2323z00_1434, BgL_virtualsz00_1405); } 
{ 
obj_t BgL_virtualsz00_4089;obj_t BgL_slotsz00_4088;long BgL_iz00_4087;
BgL_iz00_4087 = BgL_arg2320z00_1431; 
BgL_slotsz00_4088 = BgL_arg2321z00_1432; 
BgL_virtualsz00_4089 = BgL_arg2322z00_1433; 
BgL_virtualsz00_1405 = BgL_virtualsz00_4089; 
BgL_slotsz00_1403 = BgL_slotsz00_4088; 
BgL_iz00_1402 = BgL_iz00_4087; 
goto BgL_loopz00_1406;} } }  else 
{ /* Expand/object.scm 543 */
{ /* Expand/object.scm 555 */
long BgL_arg2326z00_1437;obj_t BgL_arg2327z00_1438;obj_t BgL_arg2328z00_1439;
BgL_arg2326z00_1437 = 
(BgL_iz00_1402+((long)1)); 
BgL_arg2327z00_1438 = 
CDR(BgL_slotsz00_1403); 
BgL_arg2328z00_1439 = 
MAKE_PAIR(BgL_valuez00_1429, BgL_largsz00_1404); 
{ 
obj_t BgL_largsz00_4095;obj_t BgL_slotsz00_4094;long BgL_iz00_4093;
BgL_iz00_4093 = BgL_arg2326z00_1437; 
BgL_slotsz00_4094 = BgL_arg2327z00_1438; 
BgL_largsz00_4095 = BgL_arg2328z00_1439; 
BgL_largsz00_1404 = BgL_largsz00_4095; 
BgL_slotsz00_1403 = BgL_slotsz00_4094; 
BgL_iz00_1402 = BgL_iz00_4093; 
goto BgL_loopz00_1406;} } } } } } } } } } } } } } 
}



/* expand-widen! */
obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t BgL_xz00_38, obj_t BgL_ez00_39)
{ AN_OBJECT;
{ /* Expand/object.scm 563 */
{ 
obj_t BgL_widenz12z12_1446;obj_t BgL_objz00_1447;obj_t BgL_providedz00_1448;
if(
PAIRP(BgL_xz00_38))
{ /* Expand/object.scm 564 */
obj_t BgL_cdrzd2398zd2_1453;
BgL_cdrzd2398zd2_1453 = 
CDR(BgL_xz00_38); 
if(
PAIRP(BgL_cdrzd2398zd2_1453))
{ /* Expand/object.scm 564 */
BgL_widenz12z12_1446 = 
CAR(BgL_xz00_38); 
BgL_objz00_1447 = 
CAR(BgL_cdrzd2398zd2_1453); 
BgL_providedz00_1448 = 
CDR(BgL_cdrzd2398zd2_1453); 
{ /* Expand/object.scm 566 */
BgL_typez00_bglt BgL_classz00_1458;
{ /* Expand/object.scm 566 */
obj_t BgL_arg2350z00_1467;
BgL_arg2350z00_1467 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_38); 
BgL_classz00_1458 = 
BGl_typezd2ofzd2idz00zzast_identz00(BgL_widenz12z12_1446, BgL_arg2350z00_1467); } 
{ /* Expand/object.scm 567 */
bool_t BgL_test2342z00_1459;
{ /* Expand/object.scm 567 */
bool_t BgL_test2349z00_1466;
BgL_test2349z00_1466 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_1458), BGl_tclassz00zzobject_classz00); 
if(BgL_test2349z00_1466)
{ /* Expand/object.scm 567 */
BgL_tclassz00_bglt BgL_obj1614z00_2498;
BgL_obj1614z00_2498 = 
(BgL_tclassz00_bglt)(BgL_classz00_1458); 
{ /* Expand/object.scm 567 */
obj_t BgL_auxz00_4107;
{ 
obj_t BgL_auxz00_4108;
{ /* Expand/object.scm 567 */
BgL_objectz00_bglt BgL_auxz00_4109;
BgL_auxz00_4109 = 
(BgL_objectz00_bglt)(BgL_obj1614z00_2498); 
BgL_auxz00_4108 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4109); } 
BgL_auxz00_4107 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_4108))->BgL_wideningz00); } 
BgL_test2342z00_1459 = 
CBOOL(BgL_auxz00_4107); } }  else 
{ /* Expand/object.scm 567 */
BgL_test2342z00_1459 = ((bool_t)0); } } 
if(BgL_test2342z00_1459)
{ /* Expand/object.scm 568 */
obj_t BgL_arg2343z00_1460;
{ /* Expand/object.scm 568 */
obj_t BgL_arg2344z00_1461;
BgL_arg2344z00_1461 = 
BGl_makezd2wideningzd2zzexpand_objectz00(BgL_xz00_38, BgL_classz00_1458, BgL_objz00_1447, BgL_providedz00_1448); 
BgL_arg2343z00_1460 = 
PROCEDURE_ENTRY(BgL_ez00_39)(BgL_ez00_39, BgL_arg2344z00_1461, BgL_ez00_39, BEOA); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_38, BgL_arg2343z00_1460);}  else 
{ /* Expand/object.scm 570 */
obj_t BgL_arg2345z00_1462;
{ /* Expand/object.scm 570 */
obj_t BgL_arg2347z00_1464;
{ /* Expand/object.scm 571 */
obj_t BgL_auxz00_4119;
BgL_auxz00_4119 = 
(((BgL_typez00_bglt)CREF(BgL_classz00_1458))->BgL_idz00); 
BgL_arg2347z00_1464 = 
SYMBOL_TO_STRING(BgL_auxz00_4119); } 
BgL_arg2345z00_1462 = 
string_append(BGl_string2837z00zzexpand_objectz00, BgL_arg2347z00_1464); } 
FAILURE(BFALSE,BgL_arg2345z00_1462,BgL_xz00_38);} } } }  else 
{ /* Expand/object.scm 564 */
BgL_tagzd2389zd2_1450:
FAILURE(BFALSE,BGl_string2838z00zzexpand_objectz00,BgL_xz00_38);} }  else 
{ /* Expand/object.scm 564 */
goto BgL_tagzd2389zd2_1450;} } } 
}



/* _expand-widen!2818 */
obj_t BGl__expandzd2widenz122818zc0zzexpand_objectz00(obj_t BgL_envz00_2941, obj_t BgL_xz00_2942, obj_t BgL_ez00_2943)
{ AN_OBJECT;
{ /* Expand/object.scm 563 */
return 
BGl_expandzd2widenz12zc0zzexpand_objectz00(BgL_xz00_2942, BgL_ez00_2943);} 
}



/* make-widening */
obj_t BGl_makezd2wideningzd2zzexpand_objectz00(obj_t BgL_formz00_40, BgL_typez00_bglt BgL_classz00_41, obj_t BgL_objz00_42, obj_t BgL_providedz00_43)
{ AN_OBJECT;
{ /* Expand/object.scm 579 */
{ /* Expand/object.scm 580 */
obj_t BgL_slotsz00_1468;
{ /* Expand/object.scm 580 */
BgL_tclassz00_bglt BgL_obj1610z00_2507;
BgL_obj1610z00_2507 = 
(BgL_tclassz00_bglt)(BgL_classz00_41); 
{ 
obj_t BgL_auxz00_4130;
{ /* Expand/object.scm 580 */
BgL_objectz00_bglt BgL_auxz00_4131;
BgL_auxz00_4131 = 
(BgL_objectz00_bglt)(BgL_obj1610z00_2507); 
BgL_auxz00_4130 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4131); } 
BgL_slotsz00_1468 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_4130))->BgL_slotsz00); } } 
{ /* Expand/object.scm 580 */
BgL_globalz00_bglt BgL_holderz00_1469;
{ /* Expand/object.scm 581 */
BgL_tclassz00_bglt BgL_obj1613z00_2508;
BgL_obj1613z00_2508 = 
(BgL_tclassz00_bglt)(BgL_classz00_41); 
{ 
obj_t BgL_auxz00_4136;
{ /* Expand/object.scm 581 */
BgL_objectz00_bglt BgL_auxz00_4137;
BgL_auxz00_4137 = 
(BgL_objectz00_bglt)(BgL_obj1613z00_2508); 
BgL_auxz00_4136 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4137); } 
BgL_holderz00_1469 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_4136))->BgL_holderz00); } } 
{ /* Expand/object.scm 581 */
long BgL_lenz00_1470;
BgL_lenz00_1470 = 
bgl_list_length(BgL_slotsz00_1468); 
{ /* Expand/object.scm 582 */
obj_t BgL_vargsz00_1471;
{ /* Expand/object.scm 583 */
int BgL_auxz00_4142;
BgL_auxz00_4142 = 
(int)(BgL_lenz00_1470); 
BgL_vargsz00_1471 = 
make_vector(BgL_auxz00_4142, BUNSPEC); } 
{ /* Expand/object.scm 583 */
obj_t BgL_dupzd2varzd2_1472;
{ /* Expand/object.scm 584 */
obj_t BgL_arg2587z00_1746;
BgL_arg2587z00_1746 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)24)), BEOA); 
BgL_dupzd2varzd2_1472 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2587z00_1746); } 
{ /* Expand/object.scm 584 */
obj_t BgL_tidz00_1473;
BgL_tidz00_1473 = 
(((BgL_typez00_bglt)CREF(BgL_classz00_41))->BgL_idz00); 
{ /* Expand/object.scm 585 */
obj_t BgL_dupzd2varzd2typedz00_1474;
BgL_dupzd2varzd2typedz00_1474 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_dupzd2varzd2_1472, BgL_tidz00_1473); 
{ /* Expand/object.scm 586 */
obj_t BgL_castz00_1475;
{ /* Expand/object.scm 587 */
obj_t BgL_list2586z00_1745;
BgL_list2586z00_1745 = 
MAKE_PAIR(BgL_objz00_42, BNIL); 
BgL_castz00_1475 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)25)), BgL_tidz00_1473, BgL_list2586z00_1745); } 
{ /* Expand/object.scm 587 */

{ 
long BgL_iz00_1476;obj_t BgL_slotsz00_1477;
BgL_iz00_1476 = ((long)0); 
BgL_slotsz00_1477 = BgL_slotsz00_1468; 
BgL_loopz00_1478:
if(
NULLP(BgL_slotsz00_1477))
{ /* Expand/object.scm 591 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 593 */
obj_t BgL_sz00_1480;
BgL_sz00_1480 = 
CAR(BgL_slotsz00_1477); 
{ /* Expand/object.scm 594 */
bool_t BgL_test2352z00_1481;
BgL_test2352z00_1481 = 
BGl_slotzd2defaultzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_sz00_1480)); 
if(BgL_test2352z00_1481)
{ /* Expand/object.scm 595 */
obj_t BgL_arg2353z00_1482;
{ /* Expand/object.scm 595 */
obj_t BgL_auxz00_4161;
{ /* Expand/object.scm 595 */
BgL_slotz00_bglt BgL_obj1752z00_2513;
BgL_obj1752z00_2513 = 
(BgL_slotz00_bglt)(BgL_sz00_1480); 
BgL_auxz00_4161 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1752z00_2513))->BgL_defaultzd2valuezd2); } 
BgL_arg2353z00_1482 = 
MAKE_PAIR(BTRUE, BgL_auxz00_4161); } 
{ /* Expand/object.scm 595 */
int BgL_kz00_2515;
BgL_kz00_2515 = 
(int)(BgL_iz00_1476); 
VECTOR_SET(BgL_vargsz00_1471,BgL_kz00_2515,BgL_arg2353z00_1482); } }  else 
{ /* Expand/object.scm 596 */
obj_t BgL_arg2355z00_1484;
BgL_arg2355z00_1484 = 
MAKE_PAIR(BFALSE, BUNSPEC); 
{ /* Expand/object.scm 596 */
int BgL_kz00_2518;
BgL_kz00_2518 = 
(int)(BgL_iz00_1476); 
VECTOR_SET(BgL_vargsz00_1471,BgL_kz00_2518,BgL_arg2355z00_1484); } } } 
{ 
obj_t BgL_slotsz00_4172;long BgL_iz00_4170;
BgL_iz00_4170 = 
(BgL_iz00_1476+((long)1)); 
BgL_slotsz00_4172 = 
CDR(BgL_slotsz00_1477); 
BgL_slotsz00_1477 = BgL_slotsz00_4172; 
BgL_iz00_1476 = BgL_iz00_4170; 
goto BgL_loopz00_1478;} } } 
{ 
obj_t BgL_providedz00_1487;
BgL_providedz00_1487 = BgL_providedz00_43; 
BgL_loopz00_1488:
if(
NULLP(BgL_providedz00_1487))
{ /* Expand/object.scm 601 */
CNST_TABLE_REF(((long)13)); }  else 
{ /* Expand/object.scm 603 */
obj_t BgL_pz00_1490;
BgL_pz00_1490 = 
CAR(BgL_providedz00_1487); 
{ 
obj_t BgL_szd2namezd2_1494;obj_t BgL_lenz00_1495;obj_t BgL_valuez00_1496;obj_t BgL_szd2namezd2_1491;obj_t BgL_valuez00_1492;
if(
PAIRP(BgL_pz00_1490))
{ /* Expand/object.scm 604 */
obj_t BgL_carzd2415zd2_1501;obj_t BgL_cdrzd2416zd2_1502;
BgL_carzd2415zd2_1501 = 
CAR(BgL_pz00_1490); 
BgL_cdrzd2416zd2_1502 = 
CDR(BgL_pz00_1490); 
if(
SYMBOLP(BgL_carzd2415zd2_1501))
{ /* Expand/object.scm 604 */
if(
PAIRP(BgL_cdrzd2416zd2_1502))
{ /* Expand/object.scm 604 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2416zd2_1502), BNIL))
{ /* Expand/object.scm 604 */
BgL_szd2namezd2_1491 = BgL_carzd2415zd2_1501; 
BgL_valuez00_1492 = 
CAR(BgL_cdrzd2416zd2_1502); 
{ /* Expand/object.scm 607 */
obj_t BgL_arg2381z00_1530;obj_t BgL_arg2382z00_1531;
BgL_arg2381z00_1530 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_1468, BgL_szd2namezd2_1491, BGl_string2839z00zzexpand_objectz00, BgL_pz00_1490); 
{ /* Expand/object.scm 611 */
obj_t BgL_arg2383z00_1532;
BgL_arg2383z00_1532 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1492, BgL_pz00_1490); 
BgL_arg2382z00_1531 = 
MAKE_PAIR(BTRUE, BgL_arg2383z00_1532); } 
{ /* Expand/object.scm 606 */
int BgL_kz00_2550;
BgL_kz00_2550 = 
CINT(BgL_arg2381z00_1530); 
{ /* Expand/object.scm 606 */
obj_t BgL_xz00_2960;
BgL_xz00_2960 = 
VECTOR_SET(BgL_vargsz00_1471,BgL_kz00_2550,BgL_arg2382z00_1531); BUNSPEC; } } } }  else 
{ /* Expand/object.scm 604 */
if(
SYMBOLP(BgL_carzd2415zd2_1501))
{ /* Expand/object.scm 604 */
obj_t BgL_cdrzd2443zd2_1510;
BgL_cdrzd2443zd2_1510 = 
CDR(BgL_cdrzd2416zd2_1502); 
if(
PAIRP(BgL_cdrzd2443zd2_1510))
{ /* Expand/object.scm 604 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2443zd2_1510), BNIL))
{ /* Expand/object.scm 604 */
BgL_szd2namezd2_1494 = BgL_carzd2415zd2_1501; 
BgL_lenz00_1495 = 
CAR(BgL_cdrzd2416zd2_1502); 
BgL_valuez00_1496 = 
CAR(BgL_cdrzd2443zd2_1510); 
BgL_tagzd2407zd2_1497:
{ /* Expand/object.scm 613 */
obj_t BgL_snumz00_1533;
BgL_snumz00_1533 = 
BGl_findzd2slotzd2offsetz00zzexpand_objectz00(BgL_slotsz00_1468, BgL_szd2namezd2_1494, BGl_string2839z00zzexpand_objectz00, BgL_pz00_1490); 
{ /* Expand/object.scm 617 */

{ /* Expand/object.scm 618 */
bool_t BgL_testz00_4204;
{ /* Expand/object.scm 618 */
BgL_slotz00_bglt BgL_obj1763z00_2552;
{ /* Expand/object.scm 618 */
obj_t BgL_auxz00_4205;
BgL_auxz00_4205 = 
bgl_list_ref(BgL_slotsz00_1468, 
(long)CINT(BgL_snumz00_1533)); 
BgL_obj1763z00_2552 = 
(BgL_slotz00_bglt)(BgL_auxz00_4205); } 
{ /* Expand/object.scm 618 */
obj_t BgL_auxz00_4209;
BgL_auxz00_4209 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_2552))->BgL_indexedz00); 
BgL_testz00_4204 = 
CBOOL(BgL_auxz00_4209); } } 
if(BgL_testz00_4204)
{ /* Expand/object.scm 618 */
{ /* Expand/object.scm 623 */
obj_t BgL_arg2385z00_1536;
{ /* Expand/object.scm 623 */
obj_t BgL_arg2386z00_1537;
BgL_arg2386z00_1537 = 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_valuez00_1496, BgL_pz00_1490); 
BgL_arg2385z00_1536 = 
MAKE_PAIR(BTRUE, BgL_arg2386z00_1537); } 
{ /* Expand/object.scm 621 */
int BgL_kz00_2554;
BgL_kz00_2554 = 
CINT(BgL_snumz00_1533); 
VECTOR_SET(BgL_vargsz00_1471,BgL_kz00_2554,BgL_arg2385z00_1536); } } 
{ /* Expand/object.scm 624 */
long BgL_arg2387z00_1538;obj_t BgL_arg2388z00_1539;
{ /* Expand/object.scm 624 */
long BgL_auxz00_4216;
BgL_auxz00_4216 = 
(long)CINT(BgL_snumz00_1533); 
BgL_arg2387z00_1538 = 
(BgL_auxz00_4216-((long)1)); } 
BgL_arg2388z00_1539 = 
MAKE_PAIR(BFALSE, BgL_lenz00_1495); 
{ /* Expand/object.scm 624 */
int BgL_kz00_2559;
BgL_kz00_2559 = 
(int)(BgL_arg2387z00_1538); 
VECTOR_SET(BgL_vargsz00_1471,BgL_kz00_2559,BgL_arg2388z00_1539); } } }  else 
{ /* Expand/object.scm 618 */
FAILURE(BFALSE,BGl_string2838z00zzexpand_objectz00,BgL_formz00_40);} } } } }  else 
{ /* Expand/object.scm 604 */
BgL_tagzd2408zd2_1498:
FAILURE(BFALSE,BGl_string2838z00zzexpand_objectz00,BgL_formz00_40);} }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} } }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} }  else 
{ /* Expand/object.scm 604 */
if(
SYMBOLP(BgL_carzd2415zd2_1501))
{ /* Expand/object.scm 604 */
if(
PAIRP(BgL_cdrzd2416zd2_1502))
{ /* Expand/object.scm 604 */
obj_t BgL_cdrzd2471zd2_1523;
BgL_cdrzd2471zd2_1523 = 
CDR(BgL_cdrzd2416zd2_1502); 
if(
PAIRP(BgL_cdrzd2471zd2_1523))
{ /* Expand/object.scm 604 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2471zd2_1523), BNIL))
{ 
obj_t BgL_valuez00_4239;obj_t BgL_lenz00_4237;obj_t BgL_szd2namezd2_4236;
BgL_szd2namezd2_4236 = BgL_carzd2415zd2_1501; 
BgL_lenz00_4237 = 
CAR(BgL_cdrzd2416zd2_1502); 
BgL_valuez00_4239 = 
CAR(BgL_cdrzd2471zd2_1523); 
BgL_valuez00_1496 = BgL_valuez00_4239; 
BgL_lenz00_1495 = BgL_lenz00_4237; 
BgL_szd2namezd2_1494 = BgL_szd2namezd2_4236; 
goto BgL_tagzd2407zd2_1497;}  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} } }  else 
{ /* Expand/object.scm 604 */
goto BgL_tagzd2408zd2_1498;} } 
{ 
obj_t BgL_providedz00_4241;
BgL_providedz00_4241 = 
CDR(BgL_providedz00_1487); 
BgL_providedz00_1487 = BgL_providedz00_4241; 
goto BgL_loopz00_1488;} } } 
{ 
long BgL_iz00_1541;obj_t BgL_sz00_1542;
BgL_iz00_1541 = ((long)0); 
BgL_sz00_1542 = BgL_slotsz00_1468; 
BgL_loopz00_1543:
if(
(BgL_iz00_1541==BgL_lenz00_1470))
{ /* Expand/object.scm 633 */
CNST_TABLE_REF(((long)14)); }  else 
{ /* Expand/object.scm 635 */
bool_t BgL_test2391z00_1545;
{ /* Expand/object.scm 635 */
bool_t BgL_test2400z00_1554;
{ /* Expand/object.scm 635 */
obj_t BgL_arg2403z00_1557;
{ /* Expand/object.scm 635 */
int BgL_kz00_2571;
BgL_kz00_2571 = 
(int)(BgL_iz00_1541); 
BgL_arg2403z00_1557 = 
VECTOR_REF(BgL_vargsz00_1471,BgL_kz00_2571); } 
{ /* Expand/object.scm 635 */
obj_t BgL_auxz00_4248;
BgL_auxz00_4248 = 
CAR(BgL_arg2403z00_1557); 
BgL_test2400z00_1554 = 
CBOOL(BgL_auxz00_4248); } } 
if(BgL_test2400z00_1554)
{ /* Expand/object.scm 635 */
BgL_test2391z00_1545 = ((bool_t)0); }  else 
{ /* Expand/object.scm 636 */
bool_t BgL_test2401z00_1555;
{ /* Expand/object.scm 636 */
BgL_slotz00_bglt BgL_auxz00_4252;
{ /* Expand/object.scm 636 */
obj_t BgL_auxz00_4253;
BgL_auxz00_4253 = 
CAR(BgL_sz00_1542); 
BgL_auxz00_4252 = 
(BgL_slotz00_bglt)(BgL_auxz00_4253); } 
BgL_test2401z00_1555 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_4252); } 
if(BgL_test2401z00_1555)
{ /* Expand/object.scm 636 */
BgL_test2391z00_1545 = ((bool_t)0); }  else 
{ /* Expand/object.scm 636 */
BgL_test2391z00_1545 = ((bool_t)1); } } } 
if(BgL_test2391z00_1545)
{ /* Expand/object.scm 635 */
{ /* Expand/object.scm 639 */
obj_t BgL_arg2392z00_1546;
{ /* Expand/object.scm 639 */
obj_t BgL_arg2394z00_1548;
{ /* Expand/object.scm 641 */
obj_t BgL_auxz00_4259;
{ /* Expand/object.scm 641 */
BgL_slotz00_bglt BgL_obj1746z00_2575;
{ /* Expand/object.scm 641 */
obj_t BgL_auxz00_4260;
BgL_auxz00_4260 = 
CAR(BgL_sz00_1542); 
BgL_obj1746z00_2575 = 
(BgL_slotz00_bglt)(BgL_auxz00_4260); } 
BgL_auxz00_4259 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2575))->BgL_idz00); } 
BgL_arg2394z00_1548 = 
SYMBOL_TO_STRING(BgL_auxz00_4259); } 
BgL_arg2392z00_1546 = 
string_append_3(BGl_string2840z00zzexpand_objectz00, BgL_arg2394z00_1548, BGl_string2828z00zzexpand_objectz00); } 
FAILURE(BFALSE,BgL_arg2392z00_1546,BgL_formz00_40);} }  else 
{ /* Expand/object.scm 635 */
{ 
obj_t BgL_sz00_4269;long BgL_iz00_4267;
BgL_iz00_4267 = 
(BgL_iz00_1541+((long)1)); 
BgL_sz00_4269 = 
CDR(BgL_sz00_1542); 
BgL_sz00_1542 = BgL_sz00_4269; 
BgL_iz00_1541 = BgL_iz00_4267; 
goto BgL_loopz00_1543;} } } } 
{ 
long BgL_iz00_1558;obj_t BgL_slotsz00_1559;obj_t BgL_largsz00_1560;obj_t BgL_virtualsz00_1561;
BgL_iz00_1558 = ((long)0); 
BgL_slotsz00_1559 = BgL_slotsz00_1468; 
BgL_largsz00_1560 = BNIL; 
BgL_virtualsz00_1561 = BNIL; 
BgL_loopz00_1562:
if(
(BgL_iz00_1558==BgL_lenz00_1470))
{ /* Expand/object.scm 652 */
obj_t BgL_wideningz00_1564;
{ /* Expand/object.scm 652 */
obj_t BgL_arg2567z00_1725;obj_t BgL_arg2568z00_1726;
{ /* Expand/object.scm 652 */
BgL_tclassz00_bglt BgL_obj1614z00_2585;
BgL_obj1614z00_2585 = 
(BgL_tclassz00_bglt)(BgL_classz00_41); 
{ 
obj_t BgL_auxz00_4274;
{ /* Expand/object.scm 652 */
BgL_objectz00_bglt BgL_auxz00_4275;
BgL_auxz00_4275 = 
(BgL_objectz00_bglt)(BgL_obj1614z00_2585); 
BgL_auxz00_4274 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4275); } 
BgL_arg2567z00_1725 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_4274))->BgL_wideningz00); } } 
BgL_arg2568z00_1726 = 
CNST_TABLE_REF(((long)4)); 
{ /* Expand/object.scm 652 */
obj_t BgL_list2570z00_1728;
{ /* Expand/object.scm 652 */
obj_t BgL_arg2571z00_1729;
{ /* Expand/object.scm 652 */
obj_t BgL_arg2572z00_1730;
{ /* Expand/object.scm 652 */
obj_t BgL_auxz00_4280;
BgL_auxz00_4280 = 
(((BgL_typez00_bglt)CREF(BgL_classz00_41))->BgL_idz00); 
BgL_arg2572z00_1730 = 
MAKE_PAIR(BgL_auxz00_4280, BNIL); } 
BgL_arg2571z00_1729 = 
MAKE_PAIR(BgL_arg2568z00_1726, BgL_arg2572z00_1730); } 
BgL_list2570z00_1728 = 
MAKE_PAIR(BgL_arg2567z00_1725, BgL_arg2571z00_1729); } 
BgL_wideningz00_1564 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2570z00_1728); } } 
if(
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
{ /* Expand/object.scm 656 */
obj_t BgL_arg2405z00_1565;obj_t BgL_arg2406z00_1566;
BgL_arg2405z00_1565 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 656 */
obj_t BgL_arg2407z00_1567;obj_t BgL_arg2408z00_1568;
{ /* Expand/object.scm 656 */
obj_t BgL_arg2409z00_1569;
{ /* Expand/object.scm 656 */
obj_t BgL_arg2411z00_1571;
BgL_arg2411z00_1571 = 
MAKE_PAIR(BgL_castz00_1475, BNIL); 
BgL_arg2409z00_1569 = 
MAKE_PAIR(BgL_dupzd2varzd2typedz00_1474, BgL_arg2411z00_1571); } 
BgL_arg2407z00_1567 = 
MAKE_PAIR(BgL_arg2409z00_1569, BNIL); } 
{ /* Expand/object.scm 657 */
obj_t BgL_arg2412z00_1572;obj_t BgL_arg2413z00_1573;
{ /* Expand/object.scm 657 */
obj_t BgL_arg2414z00_1574;obj_t BgL_arg2415z00_1575;
BgL_arg2414z00_1574 = 
CNST_TABLE_REF(((long)26)); 
{ /* Expand/object.scm 659 */
obj_t BgL_arg2416z00_1576;
{ /* Expand/object.scm 659 */
obj_t BgL_arg2417z00_1577;
{ /* Expand/object.scm 659 */
obj_t BgL_arg2419z00_1579;
{ /* Expand/object.scm 659 */
obj_t BgL_arg2420z00_1580;
BgL_arg2420z00_1580 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_largsz00_1560); 
BgL_arg2419z00_1579 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2420z00_1580, BNIL); } 
BgL_arg2417z00_1577 = 
MAKE_PAIR(BgL_wideningz00_1564, BgL_arg2419z00_1579); } 
BgL_arg2416z00_1576 = 
MAKE_PAIR(BgL_arg2417z00_1577, BNIL); } 
BgL_arg2415z00_1575 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BgL_arg2416z00_1576); } 
BgL_arg2412z00_1572 = 
MAKE_PAIR(BgL_arg2414z00_1574, BgL_arg2415z00_1575); } 
{ /* Expand/object.scm 662 */
obj_t BgL_arg2422z00_1582;obj_t BgL_arg2423z00_1583;
{ /* Expand/object.scm 662 */
obj_t BgL_arg2424z00_1584;obj_t BgL_arg2425z00_1585;
{ /* Expand/object.scm 662 */
obj_t BgL_arg2426z00_1586;obj_t BgL_arg2427z00_1587;
BgL_arg2426z00_1586 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 662 */
obj_t BgL_arg2428z00_1588;obj_t BgL_arg2429z00_1589;
BgL_arg2428z00_1588 = 
CNST_TABLE_REF(((long)28)); 
{ /* Expand/object.scm 662 */
obj_t BgL_auxz00_4301;
BgL_auxz00_4301 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2429z00_1589 = 
MAKE_PAIR(BgL_auxz00_4301, BNIL); } 
BgL_arg2427z00_1587 = 
MAKE_PAIR(BgL_arg2428z00_1588, BgL_arg2429z00_1589); } 
BgL_arg2424z00_1584 = 
MAKE_PAIR(BgL_arg2426z00_1586, BgL_arg2427z00_1587); } 
{ /* Expand/object.scm 664 */
obj_t BgL_arg2430z00_1590;
{ /* Expand/object.scm 664 */
obj_t BgL_arg2431z00_1591;
{ /* Expand/object.scm 664 */
obj_t BgL_arg2433z00_1593;obj_t BgL_arg2434z00_1594;
{ /* Expand/object.scm 664 */
obj_t BgL_arg2435z00_1595;obj_t BgL_arg2436z00_1596;
BgL_arg2435z00_1595 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 664 */
obj_t BgL_arg2437z00_1597;obj_t BgL_arg2438z00_1598;
BgL_arg2437z00_1597 = 
CNST_TABLE_REF(((long)30)); 
{ /* Expand/object.scm 664 */
obj_t BgL_auxz00_4308;
BgL_auxz00_4308 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2438z00_1598 = 
MAKE_PAIR(BgL_auxz00_4308, BNIL); } 
BgL_arg2436z00_1596 = 
MAKE_PAIR(BgL_arg2437z00_1597, BgL_arg2438z00_1598); } 
BgL_arg2433z00_1593 = 
MAKE_PAIR(BgL_arg2435z00_1595, BgL_arg2436z00_1596); } 
{ /* Expand/object.scm 665 */
obj_t BgL_arg2439z00_1599;
{ /* Expand/object.scm 665 */
obj_t BgL_arg2441z00_1601;obj_t BgL_arg2442z00_1602;
BgL_arg2441z00_1601 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 665 */
obj_t BgL_arg2444z00_1603;obj_t BgL_arg2445z00_1604;
BgL_arg2444z00_1603 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_idz00); 
{ /* Expand/object.scm 665 */
obj_t BgL_auxz00_4315;
BgL_auxz00_4315 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_modulez00); 
BgL_arg2445z00_1604 = 
MAKE_PAIR(BgL_auxz00_4315, BNIL); } 
BgL_arg2442z00_1602 = 
MAKE_PAIR(BgL_arg2444z00_1603, BgL_arg2445z00_1604); } 
BgL_arg2439z00_1599 = 
MAKE_PAIR(BgL_arg2441z00_1601, BgL_arg2442z00_1602); } 
BgL_arg2434z00_1594 = 
MAKE_PAIR(BgL_arg2439z00_1599, BNIL); } 
BgL_arg2431z00_1591 = 
MAKE_PAIR(BgL_arg2433z00_1593, BgL_arg2434z00_1594); } 
BgL_arg2430z00_1590 = 
MAKE_PAIR(BgL_arg2431z00_1591, BNIL); } 
BgL_arg2425z00_1585 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BgL_arg2430z00_1590); } 
BgL_arg2422z00_1582 = 
MAKE_PAIR(BgL_arg2424z00_1584, BgL_arg2425z00_1585); } 
{ /* Expand/object.scm 667 */
obj_t BgL_arg2448z00_1607;obj_t BgL_arg2449z00_1608;
{ /* Expand/object.scm 667 */
obj_t BgL_arg2450z00_1609;obj_t BgL_arg2451z00_1610;
{ /* Expand/object.scm 667 */
obj_t BgL_arg2452z00_1611;obj_t BgL_arg2453z00_1612;
BgL_arg2452z00_1611 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 667 */
obj_t BgL_arg2454z00_1613;obj_t BgL_arg2455z00_1614;
BgL_arg2454z00_1613 = 
CNST_TABLE_REF(((long)31)); 
{ /* Expand/object.scm 667 */
obj_t BgL_auxz00_4327;
BgL_auxz00_4327 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2455z00_1614 = 
MAKE_PAIR(BgL_auxz00_4327, BNIL); } 
BgL_arg2453z00_1612 = 
MAKE_PAIR(BgL_arg2454z00_1613, BgL_arg2455z00_1614); } 
BgL_arg2450z00_1609 = 
MAKE_PAIR(BgL_arg2452z00_1611, BgL_arg2453z00_1612); } 
BgL_arg2451z00_1610 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2448z00_1607 = 
MAKE_PAIR(BgL_arg2450z00_1609, BgL_arg2451z00_1610); } 
{ /* Expand/object.scm 668 */
obj_t BgL_arg2456z00_1615;obj_t BgL_arg2457z00_1616;
BgL_arg2456z00_1615 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_virtualsz00_1561); 
BgL_arg2457z00_1616 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2449z00_1608 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2456z00_1615, BgL_arg2457z00_1616); } 
BgL_arg2423z00_1583 = 
MAKE_PAIR(BgL_arg2448z00_1607, BgL_arg2449z00_1608); } 
BgL_arg2413z00_1573 = 
MAKE_PAIR(BgL_arg2422z00_1582, BgL_arg2423z00_1583); } 
BgL_arg2408z00_1568 = 
MAKE_PAIR(BgL_arg2412z00_1572, BgL_arg2413z00_1573); } 
BgL_arg2406z00_1566 = 
MAKE_PAIR(BgL_arg2407z00_1567, BgL_arg2408z00_1568); } 
return 
MAKE_PAIR(BgL_arg2405z00_1565, BgL_arg2406z00_1566);}  else 
{ /* Expand/object.scm 670 */
obj_t BgL_arg2458z00_1617;obj_t BgL_arg2459z00_1618;
BgL_arg2458z00_1617 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 670 */
obj_t BgL_arg2460z00_1619;obj_t BgL_arg2461z00_1620;
{ /* Expand/object.scm 670 */
obj_t BgL_arg2462z00_1621;
{ /* Expand/object.scm 670 */
obj_t BgL_arg2464z00_1623;
BgL_arg2464z00_1623 = 
MAKE_PAIR(BgL_castz00_1475, BNIL); 
BgL_arg2462z00_1621 = 
MAKE_PAIR(BgL_dupzd2varzd2typedz00_1474, BgL_arg2464z00_1623); } 
BgL_arg2460z00_1619 = 
MAKE_PAIR(BgL_arg2462z00_1621, BNIL); } 
{ /* Expand/object.scm 671 */
obj_t BgL_arg2465z00_1624;obj_t BgL_arg2466z00_1625;
{ /* Expand/object.scm 671 */
obj_t BgL_arg2467z00_1626;obj_t BgL_arg2468z00_1627;
BgL_arg2467z00_1626 = 
CNST_TABLE_REF(((long)32)); 
{ /* Expand/object.scm 671 */
obj_t BgL_arg2469z00_1628;obj_t BgL_arg2470z00_1629;
{ /* Expand/object.scm 671 */
obj_t BgL_arg2471z00_1630;obj_t BgL_arg2472z00_1631;
BgL_arg2471z00_1630 = 
CNST_TABLE_REF(((long)33)); 
BgL_arg2472z00_1631 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2469z00_1628 = 
MAKE_PAIR(BgL_arg2471z00_1630, BgL_arg2472z00_1631); } 
{ /* Expand/object.scm 672 */
obj_t BgL_arg2473z00_1632;
{ /* Expand/object.scm 672 */
obj_t BgL_arg2475z00_1634;obj_t BgL_arg2476z00_1635;
BgL_arg2475z00_1634 = 
CNST_TABLE_REF(((long)34)); 
BgL_arg2476z00_1635 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2473z00_1632 = 
MAKE_PAIR(BgL_arg2475z00_1634, BgL_arg2476z00_1635); } 
BgL_arg2470z00_1629 = 
MAKE_PAIR(BgL_arg2473z00_1632, BNIL); } 
BgL_arg2468z00_1627 = 
MAKE_PAIR(BgL_arg2469z00_1628, BgL_arg2470z00_1629); } 
BgL_arg2465z00_1624 = 
MAKE_PAIR(BgL_arg2467z00_1626, BgL_arg2468z00_1627); } 
{ /* Expand/object.scm 673 */
obj_t BgL_arg2477z00_1636;
{ /* Expand/object.scm 673 */
obj_t BgL_arg2479z00_1638;obj_t BgL_arg2480z00_1639;
BgL_arg2479z00_1638 = 
CNST_TABLE_REF(((long)32)); 
{ /* Expand/object.scm 673 */
obj_t BgL_arg2481z00_1640;obj_t BgL_arg2482z00_1641;
{ /* Expand/object.scm 673 */
obj_t BgL_arg2483z00_1642;obj_t BgL_arg2484z00_1643;
BgL_arg2483z00_1642 = 
CNST_TABLE_REF(((long)35)); 
{ /* Expand/object.scm 673 */
obj_t BgL_arg2485z00_1644;obj_t BgL_arg2486z00_1645;
{ /* Expand/object.scm 673 */
obj_t BgL_arg2487z00_1646;obj_t BgL_arg2488z00_1647;
{ /* Expand/object.scm 673 */
obj_t BgL_arg2489z00_1648;obj_t BgL_arg2490z00_1649;
BgL_arg2489z00_1648 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 673 */
obj_t BgL_arg2491z00_1650;obj_t BgL_arg2492z00_1651;
BgL_arg2491z00_1650 = 
CNST_TABLE_REF(((long)36)); 
{ /* Expand/object.scm 673 */
obj_t BgL_auxz00_4360;
BgL_auxz00_4360 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2492z00_1651 = 
MAKE_PAIR(BgL_auxz00_4360, BNIL); } 
BgL_arg2490z00_1649 = 
MAKE_PAIR(BgL_arg2491z00_1650, BgL_arg2492z00_1651); } 
BgL_arg2487z00_1646 = 
MAKE_PAIR(BgL_arg2489z00_1648, BgL_arg2490z00_1649); } 
{ /* Expand/object.scm 674 */
obj_t BgL_arg2493z00_1652;
{ /* Expand/object.scm 674 */
obj_t BgL_arg2495z00_1654;obj_t BgL_arg2496z00_1655;
BgL_arg2495z00_1654 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 674 */
obj_t BgL_arg2497z00_1656;obj_t BgL_arg2498z00_1657;
BgL_arg2497z00_1656 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_idz00); 
{ /* Expand/object.scm 674 */
obj_t BgL_auxz00_4367;
BgL_auxz00_4367 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_modulez00); 
BgL_arg2498z00_1657 = 
MAKE_PAIR(BgL_auxz00_4367, BNIL); } 
BgL_arg2496z00_1655 = 
MAKE_PAIR(BgL_arg2497z00_1656, BgL_arg2498z00_1657); } 
BgL_arg2493z00_1652 = 
MAKE_PAIR(BgL_arg2495z00_1654, BgL_arg2496z00_1655); } 
BgL_arg2488z00_1647 = 
MAKE_PAIR(BgL_arg2493z00_1652, BNIL); } 
BgL_arg2485z00_1644 = 
MAKE_PAIR(BgL_arg2487z00_1646, BgL_arg2488z00_1647); } 
{ /* Expand/object.scm 676 */
obj_t BgL_arg2501z00_1660;
{ /* Expand/object.scm 676 */
obj_t BgL_arg2503z00_1662;obj_t BgL_arg2504z00_1663;
{ /* Expand/object.scm 676 */
obj_t BgL_arg2505z00_1664;obj_t BgL_arg2506z00_1665;
BgL_arg2505z00_1664 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 676 */
obj_t BgL_arg2507z00_1666;obj_t BgL_arg2508z00_1667;
BgL_arg2507z00_1666 = 
CNST_TABLE_REF(((long)37)); 
{ /* Expand/object.scm 676 */
obj_t BgL_auxz00_4376;
BgL_auxz00_4376 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2508z00_1667 = 
MAKE_PAIR(BgL_auxz00_4376, BNIL); } 
BgL_arg2506z00_1665 = 
MAKE_PAIR(BgL_arg2507z00_1666, BgL_arg2508z00_1667); } 
BgL_arg2503z00_1662 = 
MAKE_PAIR(BgL_arg2505z00_1664, BgL_arg2506z00_1665); } 
BgL_arg2504z00_1663 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2501z00_1660 = 
MAKE_PAIR(BgL_arg2503z00_1662, BgL_arg2504z00_1663); } 
BgL_arg2486z00_1645 = 
MAKE_PAIR(BgL_arg2501z00_1660, BNIL); } 
BgL_arg2484z00_1643 = 
MAKE_PAIR(BgL_arg2485z00_1644, BgL_arg2486z00_1645); } 
BgL_arg2481z00_1640 = 
MAKE_PAIR(BgL_arg2483z00_1642, BgL_arg2484z00_1643); } 
{ /* Expand/object.scm 677 */
obj_t BgL_arg2509z00_1668;obj_t BgL_arg2510z00_1669;
{ /* Expand/object.scm 677 */
obj_t BgL_arg2511z00_1670;obj_t BgL_arg2512z00_1671;
BgL_arg2511z00_1670 = 
CNST_TABLE_REF(((long)18)); 
{ /* Expand/object.scm 678 */
obj_t BgL_arg2513z00_1672;obj_t BgL_arg2514z00_1673;
{ /* Expand/object.scm 678 */
obj_t BgL_arg2515z00_1674;obj_t BgL_arg2516z00_1675;
BgL_arg2515z00_1674 = 
CNST_TABLE_REF(((long)26)); 
{ /* Expand/object.scm 680 */
obj_t BgL_arg2517z00_1676;
{ /* Expand/object.scm 680 */
obj_t BgL_arg2518z00_1677;
{ /* Expand/object.scm 680 */
obj_t BgL_arg2520z00_1679;
{ /* Expand/object.scm 680 */
obj_t BgL_arg2521z00_1680;
BgL_arg2521z00_1680 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_largsz00_1560); 
BgL_arg2520z00_1679 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2521z00_1680, BNIL); } 
BgL_arg2518z00_1677 = 
MAKE_PAIR(BgL_wideningz00_1564, BgL_arg2520z00_1679); } 
BgL_arg2517z00_1676 = 
MAKE_PAIR(BgL_arg2518z00_1677, BNIL); } 
BgL_arg2516z00_1675 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BgL_arg2517z00_1676); } 
BgL_arg2513z00_1672 = 
MAKE_PAIR(BgL_arg2515z00_1674, BgL_arg2516z00_1675); } 
{ /* Expand/object.scm 682 */
obj_t BgL_arg2523z00_1682;obj_t BgL_arg2524z00_1683;
{ /* Expand/object.scm 682 */
obj_t BgL_arg2525z00_1684;obj_t BgL_arg2526z00_1685;
{ /* Expand/object.scm 682 */
obj_t BgL_arg2527z00_1686;obj_t BgL_arg2528z00_1687;
BgL_arg2527z00_1686 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 682 */
obj_t BgL_arg2529z00_1688;obj_t BgL_arg2530z00_1689;
BgL_arg2529z00_1688 = 
CNST_TABLE_REF(((long)28)); 
{ /* Expand/object.scm 682 */
obj_t BgL_auxz00_4396;
BgL_auxz00_4396 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2530z00_1689 = 
MAKE_PAIR(BgL_auxz00_4396, BNIL); } 
BgL_arg2528z00_1687 = 
MAKE_PAIR(BgL_arg2529z00_1688, BgL_arg2530z00_1689); } 
BgL_arg2525z00_1684 = 
MAKE_PAIR(BgL_arg2527z00_1686, BgL_arg2528z00_1687); } 
{ /* Expand/object.scm 684 */
obj_t BgL_arg2531z00_1690;
{ /* Expand/object.scm 684 */
obj_t BgL_arg2532z00_1691;
{ /* Expand/object.scm 684 */
obj_t BgL_arg2534z00_1693;obj_t BgL_arg2535z00_1694;
{ /* Expand/object.scm 684 */
obj_t BgL_arg2536z00_1695;obj_t BgL_arg2537z00_1696;
BgL_arg2536z00_1695 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 684 */
obj_t BgL_arg2538z00_1697;obj_t BgL_arg2539z00_1698;
BgL_arg2538z00_1697 = 
CNST_TABLE_REF(((long)30)); 
{ /* Expand/object.scm 684 */
obj_t BgL_auxz00_4403;
BgL_auxz00_4403 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2539z00_1698 = 
MAKE_PAIR(BgL_auxz00_4403, BNIL); } 
BgL_arg2537z00_1696 = 
MAKE_PAIR(BgL_arg2538z00_1697, BgL_arg2539z00_1698); } 
BgL_arg2534z00_1693 = 
MAKE_PAIR(BgL_arg2536z00_1695, BgL_arg2537z00_1696); } 
{ /* Expand/object.scm 685 */
obj_t BgL_arg2540z00_1699;
{ /* Expand/object.scm 685 */
obj_t BgL_arg2543z00_1701;obj_t BgL_arg2544z00_1702;
BgL_arg2543z00_1701 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 685 */
obj_t BgL_arg2545z00_1703;obj_t BgL_arg2546z00_1704;
BgL_arg2545z00_1703 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_idz00); 
{ /* Expand/object.scm 685 */
obj_t BgL_auxz00_4410;
BgL_auxz00_4410 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1469))->BgL_modulez00); 
BgL_arg2546z00_1704 = 
MAKE_PAIR(BgL_auxz00_4410, BNIL); } 
BgL_arg2544z00_1702 = 
MAKE_PAIR(BgL_arg2545z00_1703, BgL_arg2546z00_1704); } 
BgL_arg2540z00_1699 = 
MAKE_PAIR(BgL_arg2543z00_1701, BgL_arg2544z00_1702); } 
BgL_arg2535z00_1694 = 
MAKE_PAIR(BgL_arg2540z00_1699, BNIL); } 
BgL_arg2532z00_1691 = 
MAKE_PAIR(BgL_arg2534z00_1693, BgL_arg2535z00_1694); } 
BgL_arg2531z00_1690 = 
MAKE_PAIR(BgL_arg2532z00_1691, BNIL); } 
BgL_arg2526z00_1685 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BgL_arg2531z00_1690); } 
BgL_arg2523z00_1682 = 
MAKE_PAIR(BgL_arg2525z00_1684, BgL_arg2526z00_1685); } 
{ /* Expand/object.scm 688 */
obj_t BgL_arg2549z00_1707;obj_t BgL_arg2550z00_1708;
{ /* Expand/object.scm 688 */
obj_t BgL_arg2551z00_1709;obj_t BgL_arg2552z00_1710;
{ /* Expand/object.scm 688 */
obj_t BgL_arg2553z00_1711;obj_t BgL_arg2554z00_1712;
BgL_arg2553z00_1711 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 688 */
obj_t BgL_arg2555z00_1713;obj_t BgL_arg2556z00_1714;
BgL_arg2555z00_1713 = 
CNST_TABLE_REF(((long)31)); 
{ /* Expand/object.scm 688 */
obj_t BgL_auxz00_4422;
BgL_auxz00_4422 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2556z00_1714 = 
MAKE_PAIR(BgL_auxz00_4422, BNIL); } 
BgL_arg2554z00_1712 = 
MAKE_PAIR(BgL_arg2555z00_1713, BgL_arg2556z00_1714); } 
BgL_arg2551z00_1709 = 
MAKE_PAIR(BgL_arg2553z00_1711, BgL_arg2554z00_1712); } 
BgL_arg2552z00_1710 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2549z00_1707 = 
MAKE_PAIR(BgL_arg2551z00_1709, BgL_arg2552z00_1710); } 
{ /* Expand/object.scm 689 */
obj_t BgL_arg2557z00_1715;obj_t BgL_arg2558z00_1716;
BgL_arg2557z00_1715 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_virtualsz00_1561); 
BgL_arg2558z00_1716 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2550z00_1708 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2557z00_1715, BgL_arg2558z00_1716); } 
BgL_arg2524z00_1683 = 
MAKE_PAIR(BgL_arg2549z00_1707, BgL_arg2550z00_1708); } 
BgL_arg2514z00_1673 = 
MAKE_PAIR(BgL_arg2523z00_1682, BgL_arg2524z00_1683); } 
BgL_arg2512z00_1671 = 
MAKE_PAIR(BgL_arg2513z00_1672, BgL_arg2514z00_1673); } 
BgL_arg2509z00_1668 = 
MAKE_PAIR(BgL_arg2511z00_1670, BgL_arg2512z00_1671); } 
{ /* Expand/object.scm 691 */
obj_t BgL_arg2559z00_1717;
{ /* Expand/object.scm 691 */
obj_t BgL_arg2561z00_1719;obj_t BgL_arg2562z00_1720;
BgL_arg2561z00_1719 = 
CNST_TABLE_REF(((long)38)); 
{ /* Expand/object.scm 691 */
obj_t BgL_arg2564z00_1722;
{ /* Expand/object.scm 691 */
obj_t BgL_arg2566z00_1724;
BgL_arg2566z00_1724 = 
MAKE_PAIR(BgL_dupzd2varzd2_1472, BNIL); 
BgL_arg2564z00_1722 = 
MAKE_PAIR(BGl_string2841z00zzexpand_objectz00, BgL_arg2566z00_1724); } 
BgL_arg2562z00_1720 = 
MAKE_PAIR(BGl_string2839z00zzexpand_objectz00, BgL_arg2564z00_1722); } 
BgL_arg2559z00_1717 = 
MAKE_PAIR(BgL_arg2561z00_1719, BgL_arg2562z00_1720); } 
BgL_arg2510z00_1669 = 
MAKE_PAIR(BgL_arg2559z00_1717, BNIL); } 
BgL_arg2482z00_1641 = 
MAKE_PAIR(BgL_arg2509z00_1668, BgL_arg2510z00_1669); } 
BgL_arg2480z00_1639 = 
MAKE_PAIR(BgL_arg2481z00_1640, BgL_arg2482z00_1641); } 
BgL_arg2477z00_1636 = 
MAKE_PAIR(BgL_arg2479z00_1638, BgL_arg2480z00_1639); } 
BgL_arg2466z00_1625 = 
MAKE_PAIR(BgL_arg2477z00_1636, BNIL); } 
BgL_arg2461z00_1620 = 
MAKE_PAIR(BgL_arg2465z00_1624, BgL_arg2466z00_1625); } 
BgL_arg2459z00_1618 = 
MAKE_PAIR(BgL_arg2460z00_1619, BgL_arg2461z00_1620); } 
return 
MAKE_PAIR(BgL_arg2458z00_1617, BgL_arg2459z00_1618);} }  else 
{ /* Expand/object.scm 695 */
obj_t BgL_valuez00_1731;
{ /* Expand/object.scm 695 */
obj_t BgL_arg2585z00_1744;
{ /* Expand/object.scm 695 */
int BgL_kz00_2594;
BgL_kz00_2594 = 
(int)(BgL_iz00_1558); 
BgL_arg2585z00_1744 = 
VECTOR_REF(BgL_vargsz00_1471,BgL_kz00_2594); } 
BgL_valuez00_1731 = 
CDR(BgL_arg2585z00_1744); } 
{ /* Expand/object.scm 697 */
bool_t BgL_test2573z00_1732;
{ /* Expand/object.scm 697 */
BgL_slotz00_bglt BgL_auxz00_4452;
{ /* Expand/object.scm 697 */
obj_t BgL_auxz00_4453;
BgL_auxz00_4453 = 
CAR(BgL_slotsz00_1559); 
BgL_auxz00_4452 = 
(BgL_slotz00_bglt)(BgL_auxz00_4453); } 
BgL_test2573z00_1732 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_4452); } 
if(BgL_test2573z00_1732)
{ /* Expand/object.scm 697 */
{ /* Expand/object.scm 698 */
long BgL_arg2574z00_1733;obj_t BgL_arg2575z00_1734;obj_t BgL_arg2576z00_1735;
BgL_arg2574z00_1733 = 
(BgL_iz00_1558+((long)1)); 
BgL_arg2575z00_1734 = 
CDR(BgL_slotsz00_1559); 
if(
(BgL_valuez00_1731==BUNSPEC))
{ /* Expand/object.scm 701 */
BgL_arg2576z00_1735 = BgL_virtualsz00_1561; }  else 
{ /* Expand/object.scm 703 */
obj_t BgL_arg2578z00_1737;
BgL_arg2578z00_1737 = 
BGl_makezd2virtualzd2setz00zzexpand_objectz00(
CAR(BgL_slotsz00_1559), BgL_valuez00_1731, BgL_dupzd2varzd2_1472, 
(obj_t)(BgL_classz00_41), BgL_formz00_40, "widen!"); 
BgL_arg2576z00_1735 = 
MAKE_PAIR(BgL_arg2578z00_1737, BgL_virtualsz00_1561); } 
{ 
obj_t BgL_virtualsz00_4468;obj_t BgL_slotsz00_4467;long BgL_iz00_4466;
BgL_iz00_4466 = BgL_arg2574z00_1733; 
BgL_slotsz00_4467 = BgL_arg2575z00_1734; 
BgL_virtualsz00_4468 = BgL_arg2576z00_1735; 
BgL_virtualsz00_1561 = BgL_virtualsz00_4468; 
BgL_slotsz00_1559 = BgL_slotsz00_4467; 
BgL_iz00_1558 = BgL_iz00_4466; 
goto BgL_loopz00_1562;} } }  else 
{ /* Expand/object.scm 697 */
{ /* Expand/object.scm 711 */
long BgL_arg2581z00_1740;obj_t BgL_arg2582z00_1741;obj_t BgL_arg2583z00_1742;
BgL_arg2581z00_1740 = 
(BgL_iz00_1558+((long)1)); 
BgL_arg2582z00_1741 = 
CDR(BgL_slotsz00_1559); 
BgL_arg2583z00_1742 = 
MAKE_PAIR(BgL_valuez00_1731, BgL_largsz00_1560); 
{ 
obj_t BgL_largsz00_4474;obj_t BgL_slotsz00_4473;long BgL_iz00_4472;
BgL_iz00_4472 = BgL_arg2581z00_1740; 
BgL_slotsz00_4473 = BgL_arg2582z00_1741; 
BgL_largsz00_4474 = BgL_arg2583z00_1742; 
BgL_largsz00_1560 = BgL_largsz00_4474; 
BgL_slotsz00_1559 = BgL_slotsz00_4473; 
BgL_iz00_1558 = BgL_iz00_4472; 
goto BgL_loopz00_1562;} } } } } } } } } } } } } } } } 
}



/* expand-shrink! */
obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t BgL_xz00_44, obj_t BgL_ez00_45)
{ AN_OBJECT;
{ /* Expand/object.scm 719 */
{ 

if(
PAIRP(BgL_xz00_44))
{ /* Expand/object.scm 720 */
obj_t BgL_cdrzd2489zd2_1754;
BgL_cdrzd2489zd2_1754 = 
CDR(BgL_xz00_44); 
{ /* Expand/object.scm 720 */
bool_t BgL_testz00_4478;
{ /* Expand/object.scm 720 */
obj_t BgL_auxz00_4481;obj_t BgL_auxz00_4479;
BgL_auxz00_4481 = 
CNST_TABLE_REF(((long)34)); 
BgL_auxz00_4479 = 
CAR(BgL_xz00_44); 
BgL_testz00_4478 = 
(BgL_auxz00_4479==BgL_auxz00_4481); } 
if(BgL_testz00_4478)
{ /* Expand/object.scm 720 */
if(
PAIRP(BgL_cdrzd2489zd2_1754))
{ /* Expand/object.scm 720 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2489zd2_1754), BNIL))
{ /* Expand/object.scm 720 */
obj_t BgL_arg2599z00_2611;
BgL_arg2599z00_2611 = 
BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(BgL_ez00_45, 
CAR(BgL_cdrzd2489zd2_1754)); 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_44, BgL_arg2599z00_2611);}  else 
{ /* Expand/object.scm 720 */
BgL_tagzd2484zd2_1751:
FAILURE(BFALSE,BGl_string2842z00zzexpand_objectz00,BgL_xz00_44);} }  else 
{ /* Expand/object.scm 720 */
goto BgL_tagzd2484zd2_1751;} }  else 
{ /* Expand/object.scm 720 */
goto BgL_tagzd2484zd2_1751;} } }  else 
{ /* Expand/object.scm 720 */
goto BgL_tagzd2484zd2_1751;} } } 
}



/* _expand-shrink!2819 */
obj_t BGl__expandzd2shrinkz122819zc0zzexpand_objectz00(obj_t BgL_envz00_2944, obj_t BgL_xz00_2945, obj_t BgL_ez00_2946)
{ AN_OBJECT;
{ /* Expand/object.scm 719 */
return 
BGl_expandzd2shrinkz12zc0zzexpand_objectz00(BgL_xz00_2945, BgL_ez00_2946);} 
}



/* make-a-shrink! */
obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t BgL_ez00_46, obj_t BgL_oz00_47)
{ AN_OBJECT;
{ /* Expand/object.scm 729 */
{ /* Expand/object.scm 730 */
obj_t BgL_newoz00_1764;
{ /* Expand/object.scm 730 */
obj_t BgL_arg2730z00_1895;
BgL_arg2730z00_1895 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)39)), BEOA); 
BgL_newoz00_1764 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2730z00_1895); } 
if(
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
{ /* Expand/object.scm 732 */
obj_t BgL_arg2600z00_1765;obj_t BgL_arg2601z00_1766;
BgL_arg2600z00_1765 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 732 */
obj_t BgL_arg2602z00_1767;obj_t BgL_arg2603z00_1768;
{ /* Expand/object.scm 732 */
obj_t BgL_arg2604z00_1769;
{ /* Expand/object.scm 732 */
obj_t BgL_arg2606z00_1771;
{ /* Expand/object.scm 732 */
obj_t BgL_arg2607z00_1772;
BgL_arg2607z00_1772 = 
PROCEDURE_ENTRY(BgL_ez00_46)(BgL_ez00_46, BgL_oz00_47, BgL_ez00_46, BEOA); 
BgL_arg2606z00_1771 = 
MAKE_PAIR(BgL_arg2607z00_1772, BNIL); } 
BgL_arg2604z00_1769 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2606z00_1771); } 
BgL_arg2602z00_1767 = 
MAKE_PAIR(BgL_arg2604z00_1769, BNIL); } 
{ /* Expand/object.scm 733 */
obj_t BgL_arg2609z00_1774;obj_t BgL_arg2610z00_1775;
{ /* Expand/object.scm 733 */
obj_t BgL_arg2611z00_1776;obj_t BgL_arg2612z00_1777;
{ /* Expand/object.scm 733 */
obj_t BgL_arg2613z00_1778;obj_t BgL_arg2614z00_1779;
BgL_arg2613z00_1778 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 733 */
obj_t BgL_arg2615z00_1780;obj_t BgL_arg2616z00_1781;
BgL_arg2615z00_1780 = 
CNST_TABLE_REF(((long)28)); 
{ /* Expand/object.scm 733 */
obj_t BgL_auxz00_4508;
BgL_auxz00_4508 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2616z00_1781 = 
MAKE_PAIR(BgL_auxz00_4508, BNIL); } 
BgL_arg2614z00_1779 = 
MAKE_PAIR(BgL_arg2615z00_1780, BgL_arg2616z00_1781); } 
BgL_arg2611z00_1776 = 
MAKE_PAIR(BgL_arg2613z00_1778, BgL_arg2614z00_1779); } 
{ /* Expand/object.scm 735 */
obj_t BgL_arg2617z00_1782;
{ /* Expand/object.scm 735 */
obj_t BgL_arg2618z00_1783;
{ /* Expand/object.scm 735 */
obj_t BgL_arg2620z00_1785;obj_t BgL_arg2621z00_1786;
{ /* Expand/object.scm 735 */
obj_t BgL_arg2622z00_1787;obj_t BgL_arg2623z00_1788;
BgL_arg2622z00_1787 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 735 */
obj_t BgL_arg2624z00_1789;obj_t BgL_arg2625z00_1790;
BgL_arg2624z00_1789 = 
CNST_TABLE_REF(((long)30)); 
{ /* Expand/object.scm 735 */
obj_t BgL_auxz00_4515;
BgL_auxz00_4515 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2625z00_1790 = 
MAKE_PAIR(BgL_auxz00_4515, BNIL); } 
BgL_arg2623z00_1788 = 
MAKE_PAIR(BgL_arg2624z00_1789, BgL_arg2625z00_1790); } 
BgL_arg2620z00_1785 = 
MAKE_PAIR(BgL_arg2622z00_1787, BgL_arg2623z00_1788); } 
{ /* Expand/object.scm 736 */
obj_t BgL_arg2626z00_1791;
{ /* Expand/object.scm 736 */
obj_t BgL_arg2628z00_1793;obj_t BgL_arg2629z00_1794;
{ /* Expand/object.scm 736 */
obj_t BgL_arg2630z00_1795;obj_t BgL_arg2631z00_1796;
BgL_arg2630z00_1795 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 736 */
obj_t BgL_arg2632z00_1797;obj_t BgL_arg2633z00_1798;
BgL_arg2632z00_1797 = 
CNST_TABLE_REF(((long)36)); 
{ /* Expand/object.scm 736 */
obj_t BgL_auxz00_4522;
BgL_auxz00_4522 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2633z00_1798 = 
MAKE_PAIR(BgL_auxz00_4522, BNIL); } 
BgL_arg2631z00_1796 = 
MAKE_PAIR(BgL_arg2632z00_1797, BgL_arg2633z00_1798); } 
BgL_arg2628z00_1793 = 
MAKE_PAIR(BgL_arg2630z00_1795, BgL_arg2631z00_1796); } 
{ /* Expand/object.scm 737 */
obj_t BgL_arg2634z00_1799;
{ /* Expand/object.scm 737 */
obj_t BgL_arg2636z00_1801;obj_t BgL_arg2637z00_1802;
{ /* Expand/object.scm 737 */
obj_t BgL_arg2638z00_1803;obj_t BgL_arg2639z00_1804;
BgL_arg2638z00_1803 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 737 */
obj_t BgL_arg2640z00_1805;obj_t BgL_arg2641z00_1806;
BgL_arg2640z00_1805 = 
CNST_TABLE_REF(((long)37)); 
{ /* Expand/object.scm 737 */
obj_t BgL_auxz00_4529;
BgL_auxz00_4529 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2641z00_1806 = 
MAKE_PAIR(BgL_auxz00_4529, BNIL); } 
BgL_arg2639z00_1804 = 
MAKE_PAIR(BgL_arg2640z00_1805, BgL_arg2641z00_1806); } 
BgL_arg2636z00_1801 = 
MAKE_PAIR(BgL_arg2638z00_1803, BgL_arg2639z00_1804); } 
BgL_arg2637z00_1802 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2634z00_1799 = 
MAKE_PAIR(BgL_arg2636z00_1801, BgL_arg2637z00_1802); } 
BgL_arg2629z00_1794 = 
MAKE_PAIR(BgL_arg2634z00_1799, BNIL); } 
BgL_arg2626z00_1791 = 
MAKE_PAIR(BgL_arg2628z00_1793, BgL_arg2629z00_1794); } 
BgL_arg2621z00_1786 = 
MAKE_PAIR(BgL_arg2626z00_1791, BNIL); } 
BgL_arg2618z00_1783 = 
MAKE_PAIR(BgL_arg2620z00_1785, BgL_arg2621z00_1786); } 
BgL_arg2617z00_1782 = 
MAKE_PAIR(BgL_arg2618z00_1783, BNIL); } 
BgL_arg2612z00_1777 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2617z00_1782); } 
BgL_arg2609z00_1774 = 
MAKE_PAIR(BgL_arg2611z00_1776, BgL_arg2612z00_1777); } 
{ /* Expand/object.scm 738 */
obj_t BgL_arg2642z00_1807;obj_t BgL_arg2643z00_1808;
{ /* Expand/object.scm 738 */
obj_t BgL_arg2644z00_1809;obj_t BgL_arg2645z00_1810;
BgL_arg2644z00_1809 = 
CNST_TABLE_REF(((long)26)); 
{ /* Expand/object.scm 738 */
obj_t BgL_arg2646z00_1811;
BgL_arg2646z00_1811 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2645z00_1810 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2646z00_1811); } 
BgL_arg2642z00_1807 = 
MAKE_PAIR(BgL_arg2644z00_1809, BgL_arg2645z00_1810); } 
BgL_arg2643z00_1808 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2610z00_1775 = 
MAKE_PAIR(BgL_arg2642z00_1807, BgL_arg2643z00_1808); } 
BgL_arg2603z00_1768 = 
MAKE_PAIR(BgL_arg2609z00_1774, BgL_arg2610z00_1775); } 
BgL_arg2601z00_1766 = 
MAKE_PAIR(BgL_arg2602z00_1767, BgL_arg2603z00_1768); } 
return 
MAKE_PAIR(BgL_arg2600z00_1765, BgL_arg2601z00_1766);}  else 
{ /* Expand/object.scm 740 */
obj_t BgL_arg2647z00_1812;obj_t BgL_arg2648z00_1813;
BgL_arg2647z00_1812 = 
CNST_TABLE_REF(((long)2)); 
{ /* Expand/object.scm 740 */
obj_t BgL_arg2649z00_1814;obj_t BgL_arg2650z00_1815;
{ /* Expand/object.scm 740 */
obj_t BgL_arg2651z00_1816;
{ /* Expand/object.scm 740 */
obj_t BgL_arg2653z00_1818;
{ /* Expand/object.scm 740 */
obj_t BgL_arg2654z00_1819;
BgL_arg2654z00_1819 = 
PROCEDURE_ENTRY(BgL_ez00_46)(BgL_ez00_46, BgL_oz00_47, BgL_ez00_46, BEOA); 
BgL_arg2653z00_1818 = 
MAKE_PAIR(BgL_arg2654z00_1819, BNIL); } 
BgL_arg2651z00_1816 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2653z00_1818); } 
BgL_arg2649z00_1814 = 
MAKE_PAIR(BgL_arg2651z00_1816, BNIL); } 
{ /* Expand/object.scm 741 */
obj_t BgL_arg2656z00_1821;
{ /* Expand/object.scm 741 */
obj_t BgL_arg2658z00_1823;obj_t BgL_arg2659z00_1824;
BgL_arg2658z00_1823 = 
CNST_TABLE_REF(((long)32)); 
{ /* Expand/object.scm 741 */
obj_t BgL_arg2660z00_1825;obj_t BgL_arg2661z00_1826;
{ /* Expand/object.scm 741 */
obj_t BgL_arg2662z00_1827;obj_t BgL_arg2663z00_1828;
BgL_arg2662z00_1827 = 
CNST_TABLE_REF(((long)40)); 
BgL_arg2663z00_1828 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2660z00_1825 = 
MAKE_PAIR(BgL_arg2662z00_1827, BgL_arg2663z00_1828); } 
{ /* Expand/object.scm 742 */
obj_t BgL_arg2664z00_1829;obj_t BgL_arg2665z00_1830;
{ /* Expand/object.scm 742 */
obj_t BgL_arg2666z00_1831;obj_t BgL_arg2667z00_1832;
BgL_arg2666z00_1831 = 
CNST_TABLE_REF(((long)32)); 
{ /* Expand/object.scm 742 */
obj_t BgL_arg2668z00_1833;obj_t BgL_arg2669z00_1834;
{ /* Expand/object.scm 742 */
obj_t BgL_arg2670z00_1835;obj_t BgL_arg2671z00_1836;
BgL_arg2670z00_1835 = 
CNST_TABLE_REF(((long)33)); 
BgL_arg2671z00_1836 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2668z00_1833 = 
MAKE_PAIR(BgL_arg2670z00_1835, BgL_arg2671z00_1836); } 
{ /* Expand/object.scm 743 */
obj_t BgL_arg2672z00_1837;obj_t BgL_arg2673z00_1838;
{ /* Expand/object.scm 743 */
obj_t BgL_arg2674z00_1839;obj_t BgL_arg2675z00_1840;
BgL_arg2674z00_1839 = 
CNST_TABLE_REF(((long)18)); 
{ /* Expand/object.scm 744 */
obj_t BgL_arg2676z00_1841;obj_t BgL_arg2677z00_1842;
{ /* Expand/object.scm 744 */
obj_t BgL_arg2678z00_1843;obj_t BgL_arg2679z00_1844;
{ /* Expand/object.scm 744 */
obj_t BgL_arg2680z00_1845;obj_t BgL_arg2681z00_1846;
BgL_arg2680z00_1845 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 744 */
obj_t BgL_arg2682z00_1847;obj_t BgL_arg2683z00_1848;
BgL_arg2682z00_1847 = 
CNST_TABLE_REF(((long)28)); 
{ /* Expand/object.scm 744 */
obj_t BgL_auxz00_4569;
BgL_auxz00_4569 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2683z00_1848 = 
MAKE_PAIR(BgL_auxz00_4569, BNIL); } 
BgL_arg2681z00_1846 = 
MAKE_PAIR(BgL_arg2682z00_1847, BgL_arg2683z00_1848); } 
BgL_arg2678z00_1843 = 
MAKE_PAIR(BgL_arg2680z00_1845, BgL_arg2681z00_1846); } 
{ /* Expand/object.scm 746 */
obj_t BgL_arg2684z00_1849;
{ /* Expand/object.scm 746 */
obj_t BgL_arg2685z00_1850;
{ /* Expand/object.scm 746 */
obj_t BgL_arg2687z00_1852;obj_t BgL_arg2688z00_1853;
{ /* Expand/object.scm 746 */
obj_t BgL_arg2689z00_1854;obj_t BgL_arg2690z00_1855;
BgL_arg2689z00_1854 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 746 */
obj_t BgL_arg2691z00_1856;obj_t BgL_arg2692z00_1857;
BgL_arg2691z00_1856 = 
CNST_TABLE_REF(((long)30)); 
{ /* Expand/object.scm 746 */
obj_t BgL_auxz00_4576;
BgL_auxz00_4576 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2692z00_1857 = 
MAKE_PAIR(BgL_auxz00_4576, BNIL); } 
BgL_arg2690z00_1855 = 
MAKE_PAIR(BgL_arg2691z00_1856, BgL_arg2692z00_1857); } 
BgL_arg2687z00_1852 = 
MAKE_PAIR(BgL_arg2689z00_1854, BgL_arg2690z00_1855); } 
{ /* Expand/object.scm 747 */
obj_t BgL_arg2693z00_1858;
{ /* Expand/object.scm 747 */
obj_t BgL_arg2695z00_1860;obj_t BgL_arg2696z00_1861;
{ /* Expand/object.scm 747 */
obj_t BgL_arg2697z00_1862;obj_t BgL_arg2698z00_1863;
BgL_arg2697z00_1862 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 747 */
obj_t BgL_arg2699z00_1864;obj_t BgL_arg2700z00_1865;
BgL_arg2699z00_1864 = 
CNST_TABLE_REF(((long)36)); 
{ /* Expand/object.scm 747 */
obj_t BgL_auxz00_4583;
BgL_auxz00_4583 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2700z00_1865 = 
MAKE_PAIR(BgL_auxz00_4583, BNIL); } 
BgL_arg2698z00_1863 = 
MAKE_PAIR(BgL_arg2699z00_1864, BgL_arg2700z00_1865); } 
BgL_arg2695z00_1860 = 
MAKE_PAIR(BgL_arg2697z00_1862, BgL_arg2698z00_1863); } 
{ /* Expand/object.scm 748 */
obj_t BgL_arg2701z00_1866;
{ /* Expand/object.scm 748 */
obj_t BgL_arg2703z00_1868;obj_t BgL_arg2704z00_1869;
{ /* Expand/object.scm 748 */
obj_t BgL_arg2705z00_1870;obj_t BgL_arg2706z00_1871;
BgL_arg2705z00_1870 = 
CNST_TABLE_REF(((long)27)); 
{ /* Expand/object.scm 748 */
obj_t BgL_arg2707z00_1872;obj_t BgL_arg2708z00_1873;
BgL_arg2707z00_1872 = 
CNST_TABLE_REF(((long)37)); 
{ /* Expand/object.scm 748 */
obj_t BgL_auxz00_4590;
BgL_auxz00_4590 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg2708z00_1873 = 
MAKE_PAIR(BgL_auxz00_4590, BNIL); } 
BgL_arg2706z00_1871 = 
MAKE_PAIR(BgL_arg2707z00_1872, BgL_arg2708z00_1873); } 
BgL_arg2703z00_1868 = 
MAKE_PAIR(BgL_arg2705z00_1870, BgL_arg2706z00_1871); } 
BgL_arg2704z00_1869 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2701z00_1866 = 
MAKE_PAIR(BgL_arg2703z00_1868, BgL_arg2704z00_1869); } 
BgL_arg2696z00_1861 = 
MAKE_PAIR(BgL_arg2701z00_1866, BNIL); } 
BgL_arg2693z00_1858 = 
MAKE_PAIR(BgL_arg2695z00_1860, BgL_arg2696z00_1861); } 
BgL_arg2688z00_1853 = 
MAKE_PAIR(BgL_arg2693z00_1858, BNIL); } 
BgL_arg2685z00_1850 = 
MAKE_PAIR(BgL_arg2687z00_1852, BgL_arg2688z00_1853); } 
BgL_arg2684z00_1849 = 
MAKE_PAIR(BgL_arg2685z00_1850, BNIL); } 
BgL_arg2679z00_1844 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2684z00_1849); } 
BgL_arg2676z00_1841 = 
MAKE_PAIR(BgL_arg2678z00_1843, BgL_arg2679z00_1844); } 
{ /* Expand/object.scm 749 */
obj_t BgL_arg2709z00_1874;obj_t BgL_arg2710z00_1875;
{ /* Expand/object.scm 749 */
obj_t BgL_arg2711z00_1876;obj_t BgL_arg2712z00_1877;
BgL_arg2711z00_1876 = 
CNST_TABLE_REF(((long)26)); 
{ /* Expand/object.scm 749 */
obj_t BgL_arg2713z00_1878;
BgL_arg2713z00_1878 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2712z00_1877 = 
MAKE_PAIR(BgL_newoz00_1764, BgL_arg2713z00_1878); } 
BgL_arg2709z00_1874 = 
MAKE_PAIR(BgL_arg2711z00_1876, BgL_arg2712z00_1877); } 
BgL_arg2710z00_1875 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2677z00_1842 = 
MAKE_PAIR(BgL_arg2709z00_1874, BgL_arg2710z00_1875); } 
BgL_arg2675z00_1840 = 
MAKE_PAIR(BgL_arg2676z00_1841, BgL_arg2677z00_1842); } 
BgL_arg2672z00_1837 = 
MAKE_PAIR(BgL_arg2674z00_1839, BgL_arg2675z00_1840); } 
{ /* Expand/object.scm 751 */
obj_t BgL_arg2714z00_1879;
{ /* Expand/object.scm 751 */
obj_t BgL_arg2716z00_1881;obj_t BgL_arg2717z00_1882;
BgL_arg2716z00_1881 = 
CNST_TABLE_REF(((long)38)); 
{ /* Expand/object.scm 751 */
obj_t BgL_arg2719z00_1884;
{ /* Expand/object.scm 751 */
obj_t BgL_arg2721z00_1886;
BgL_arg2721z00_1886 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2719z00_1884 = 
MAKE_PAIR(BGl_string2843z00zzexpand_objectz00, BgL_arg2721z00_1886); } 
BgL_arg2717z00_1882 = 
MAKE_PAIR(BGl_string2844z00zzexpand_objectz00, BgL_arg2719z00_1884); } 
BgL_arg2714z00_1879 = 
MAKE_PAIR(BgL_arg2716z00_1881, BgL_arg2717z00_1882); } 
BgL_arg2673z00_1838 = 
MAKE_PAIR(BgL_arg2714z00_1879, BNIL); } 
BgL_arg2669z00_1834 = 
MAKE_PAIR(BgL_arg2672z00_1837, BgL_arg2673z00_1838); } 
BgL_arg2667z00_1832 = 
MAKE_PAIR(BgL_arg2668z00_1833, BgL_arg2669z00_1834); } 
BgL_arg2664z00_1829 = 
MAKE_PAIR(BgL_arg2666z00_1831, BgL_arg2667z00_1832); } 
{ /* Expand/object.scm 752 */
obj_t BgL_arg2722z00_1887;
{ /* Expand/object.scm 752 */
obj_t BgL_arg2724z00_1889;obj_t BgL_arg2725z00_1890;
BgL_arg2724z00_1889 = 
CNST_TABLE_REF(((long)38)); 
{ /* Expand/object.scm 752 */
obj_t BgL_arg2727z00_1892;
{ /* Expand/object.scm 752 */
obj_t BgL_arg2729z00_1894;
BgL_arg2729z00_1894 = 
MAKE_PAIR(BgL_newoz00_1764, BNIL); 
BgL_arg2727z00_1892 = 
MAKE_PAIR(BGl_string2843z00zzexpand_objectz00, BgL_arg2729z00_1894); } 
BgL_arg2725z00_1890 = 
MAKE_PAIR(BGl_string2844z00zzexpand_objectz00, BgL_arg2727z00_1892); } 
BgL_arg2722z00_1887 = 
MAKE_PAIR(BgL_arg2724z00_1889, BgL_arg2725z00_1890); } 
BgL_arg2665z00_1830 = 
MAKE_PAIR(BgL_arg2722z00_1887, BNIL); } 
BgL_arg2661z00_1826 = 
MAKE_PAIR(BgL_arg2664z00_1829, BgL_arg2665z00_1830); } 
BgL_arg2659z00_1824 = 
MAKE_PAIR(BgL_arg2660z00_1825, BgL_arg2661z00_1826); } 
BgL_arg2656z00_1821 = 
MAKE_PAIR(BgL_arg2658z00_1823, BgL_arg2659z00_1824); } 
BgL_arg2650z00_1815 = 
MAKE_PAIR(BgL_arg2656z00_1821, BNIL); } 
BgL_arg2648z00_1813 = 
MAKE_PAIR(BgL_arg2649z00_1814, BgL_arg2650z00_1815); } 
return 
MAKE_PAIR(BgL_arg2647z00_1812, BgL_arg2648z00_1813);} } } 
}



/* make-virtual-set */
obj_t BGl_makezd2virtualzd2setz00zzexpand_objectz00(obj_t BgL_slotz00_48, obj_t BgL_valuez00_49, obj_t BgL_varz00_50, obj_t BgL_classz00_51, obj_t BgL_formz00_52, char * BgL_alloczd2kindzd2_53)
{ AN_OBJECT;
{ /* Expand/object.scm 757 */
{ /* Expand/object.scm 758 */
bool_t BgL_testz00_4633;
{ /* Expand/object.scm 758 */
BgL_slotz00_bglt BgL_obj1751z00_2616;
BgL_obj1751z00_2616 = 
(BgL_slotz00_bglt)(BgL_slotz00_48); 
BgL_testz00_4633 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1751z00_2616))->BgL_readzd2onlyzf3z21); } 
if(BgL_testz00_4633)
{ /* Expand/object.scm 760 */
obj_t BgL_arg2732z00_1897;
{ /* Expand/object.scm 760 */
obj_t BgL_arg2735z00_1900;
{ /* Expand/object.scm 761 */
obj_t BgL_auxz00_4636;
{ /* Expand/object.scm 761 */
BgL_slotz00_bglt BgL_obj1746z00_2617;
BgL_obj1746z00_2617 = 
(BgL_slotz00_bglt)(BgL_slotz00_48); 
BgL_auxz00_4636 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2617))->BgL_idz00); } 
BgL_arg2735z00_1900 = 
SYMBOL_TO_STRING(BgL_auxz00_4636); } 
{ /* Expand/object.scm 760 */
obj_t BgL_list2737z00_1902;
{ /* Expand/object.scm 760 */
obj_t BgL_arg2738z00_1903;
{ /* Expand/object.scm 760 */
obj_t BgL_arg2739z00_1904;
{ /* Expand/object.scm 760 */
obj_t BgL_arg2740z00_1905;
{ /* Expand/object.scm 760 */
obj_t BgL_arg2741z00_1906;
BgL_arg2741z00_1906 = 
MAKE_PAIR(BGl_string2828z00zzexpand_objectz00, BNIL); 
BgL_arg2740z00_1905 = 
MAKE_PAIR(BgL_arg2735z00_1900, BgL_arg2741z00_1906); } 
BgL_arg2739z00_1904 = 
MAKE_PAIR(BGl_string2845z00zzexpand_objectz00, BgL_arg2740z00_1905); } 
{ /* Expand/object.scm 760 */
obj_t BgL_auxz00_4643;
BgL_auxz00_4643 = 
string_to_bstring(BgL_alloczd2kindzd2_53); 
BgL_arg2738z00_1903 = 
MAKE_PAIR(BgL_auxz00_4643, BgL_arg2739z00_1904); } } 
BgL_list2737z00_1902 = 
MAKE_PAIR(BGl_string2846z00zzexpand_objectz00, BgL_arg2738z00_1903); } 
BgL_arg2732z00_1897 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2737z00_1902); } } 
FAILURE(BFALSE,BgL_arg2732z00_1897,BgL_formz00_52);}  else 
{ /* Expand/object.scm 765 */
obj_t BgL_arg2743z00_1908;
{ /* Expand/object.scm 765 */
obj_t BgL_arg2744z00_1909;obj_t BgL_arg2745z00_1910;
{ /* Expand/object.scm 765 */
obj_t BgL_arg2746z00_1911;obj_t BgL_arg2747z00_1912;obj_t BgL_arg2748z00_1913;
{ /* Expand/object.scm 765 */
BgL_typez00_bglt BgL_obj1625z00_2622;
BgL_obj1625z00_2622 = 
(BgL_typez00_bglt)(BgL_classz00_51); 
BgL_arg2746z00_1911 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_2622))->BgL_idz00); } 
BgL_arg2747z00_1912 = 
CNST_TABLE_REF(((long)4)); 
{ /* Expand/object.scm 765 */
BgL_slotz00_bglt BgL_obj1746z00_2623;
BgL_obj1746z00_2623 = 
(BgL_slotz00_bglt)(BgL_slotz00_48); 
BgL_arg2748z00_1913 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2623))->BgL_idz00); } 
{ /* Expand/object.scm 765 */
obj_t BgL_list2750z00_1915;
{ /* Expand/object.scm 765 */
obj_t BgL_arg2751z00_1916;
{ /* Expand/object.scm 765 */
obj_t BgL_arg2752z00_1917;
{ /* Expand/object.scm 765 */
obj_t BgL_arg2753z00_1918;
{ /* Expand/object.scm 765 */
obj_t BgL_auxz00_4654;
BgL_auxz00_4654 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2753z00_1918 = 
MAKE_PAIR(BgL_auxz00_4654, BNIL); } 
BgL_arg2752z00_1917 = 
MAKE_PAIR(BgL_arg2748z00_1913, BgL_arg2753z00_1918); } 
BgL_arg2751z00_1916 = 
MAKE_PAIR(BgL_arg2747z00_1912, BgL_arg2752z00_1917); } 
BgL_list2750z00_1915 = 
MAKE_PAIR(BgL_arg2746z00_1911, BgL_arg2751z00_1916); } 
BgL_arg2744z00_1909 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2750z00_1915); } } 
{ /* Expand/object.scm 765 */
obj_t BgL_arg2754z00_1919;
BgL_arg2754z00_1919 = 
MAKE_PAIR(BgL_valuez00_49, BNIL); 
BgL_arg2745z00_1910 = 
MAKE_PAIR(BgL_varz00_50, BgL_arg2754z00_1919); } 
BgL_arg2743z00_1908 = 
MAKE_PAIR(BgL_arg2744z00_1909, BgL_arg2745z00_1910); } 
return 
BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2743z00_1908, BgL_valuez00_49);} } } 
}



/* object-epairify */
obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t BgL_objz00_54, obj_t BgL_epairz00_55)
{ AN_OBJECT;
{ /* Expand/object.scm 773 */
BGl_objectzd2epairifyzd2zzexpand_objectz00:
{ /* Expand/object.scm 774 */
bool_t BgL_test2755z00_1920;
BgL_test2755z00_1920 = 
EXTENDED_PAIRP(BgL_epairz00_55); 
if(BgL_test2755z00_1920)
{ /* Expand/object.scm 774 */
if(
PAIRP(BgL_objz00_54))
{ /* Expand/object.scm 776 */
obj_t BgL_res2809z00_2632;
{ /* Expand/object.scm 776 */
obj_t BgL_auxz00_4673;obj_t BgL_auxz00_4671;obj_t BgL_auxz00_4669;
BgL_auxz00_4673 = 
CER(BgL_epairz00_55); 
BgL_auxz00_4671 = 
CDR(BgL_objz00_54); 
BgL_auxz00_4669 = 
CAR(BgL_objz00_54); 
BgL_res2809z00_2632 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_4669, BgL_auxz00_4671, BgL_auxz00_4673); } 
return BgL_res2809z00_2632;}  else 
{ /* Expand/object.scm 777 */
obj_t BgL_arg2760z00_1925;
{ /* Expand/object.scm 777 */
obj_t BgL_arg2761z00_1926;obj_t BgL_arg2762z00_1927;
BgL_arg2761z00_1926 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg2762z00_1927 = 
MAKE_PAIR(BgL_objz00_54, BNIL); 
BgL_arg2760z00_1925 = 
MAKE_PAIR(BgL_arg2761z00_1926, BgL_arg2762z00_1927); } 
{ 
obj_t BgL_objz00_4679;
BgL_objz00_4679 = BgL_arg2760z00_1925; 
BgL_objz00_54 = BgL_objz00_4679; 
goto BGl_objectzd2epairifyzd2zzexpand_objectz00;} } }  else 
{ /* Expand/object.scm 774 */
return BgL_objz00_54;} } } 
}



/* find-slot-offset */
obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t BgL_slotsz00_56, obj_t BgL_namez00_57, obj_t BgL_formz00_58, obj_t BgL_sexpz00_59)
{ AN_OBJECT;
{ /* Expand/object.scm 783 */
{ 
obj_t BgL_slotsz00_1928;long BgL_iz00_1929;
BgL_slotsz00_1928 = BgL_slotsz00_56; 
BgL_iz00_1929 = ((long)0); 
BgL_loopz00_1930:
if(
NULLP(BgL_slotsz00_1928))
{ /* Expand/object.scm 787 */
{ /* Expand/object.scm 789 */
obj_t BgL_arg2764z00_1932;
{ /* Expand/object.scm 789 */
obj_t BgL_arg2767z00_1935;
BgL_arg2767z00_1935 = 
SYMBOL_TO_STRING(BgL_namez00_57); 
{ /* Expand/object.scm 789 */
obj_t BgL_list2769z00_1937;
{ /* Expand/object.scm 789 */
obj_t BgL_arg2770z00_1938;
{ /* Expand/object.scm 789 */
obj_t BgL_arg2771z00_1939;
{ /* Expand/object.scm 789 */
obj_t BgL_arg2772z00_1940;
{ /* Expand/object.scm 789 */
obj_t BgL_arg2773z00_1941;
BgL_arg2773z00_1941 = 
MAKE_PAIR(BGl_string2828z00zzexpand_objectz00, BNIL); 
BgL_arg2772z00_1940 = 
MAKE_PAIR(BgL_arg2767z00_1935, BgL_arg2773z00_1941); } 
BgL_arg2771z00_1939 = 
MAKE_PAIR(BGl_string2847z00zzexpand_objectz00, BgL_arg2772z00_1940); } 
BgL_arg2770z00_1938 = 
MAKE_PAIR(BgL_formz00_58, BgL_arg2771z00_1939); } 
BgL_list2769z00_1937 = 
MAKE_PAIR(BGl_string2846z00zzexpand_objectz00, BgL_arg2770z00_1938); } 
BgL_arg2764z00_1932 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2769z00_1937); } } 
FAILURE(BFALSE,BgL_arg2764z00_1932,BgL_sexpz00_59);} }  else 
{ /* Expand/object.scm 793 */
bool_t BgL_testz00_4690;
{ /* Expand/object.scm 793 */
obj_t BgL_auxz00_4691;
{ /* Expand/object.scm 793 */
BgL_slotz00_bglt BgL_obj1746z00_2639;
{ /* Expand/object.scm 793 */
obj_t BgL_auxz00_4692;
BgL_auxz00_4692 = 
CAR(BgL_slotsz00_1928); 
BgL_obj1746z00_2639 = 
(BgL_slotz00_bglt)(BgL_auxz00_4692); } 
BgL_auxz00_4691 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1746z00_2639))->BgL_idz00); } 
BgL_testz00_4690 = 
(BgL_auxz00_4691==BgL_namez00_57); } 
if(BgL_testz00_4690)
{ /* Expand/object.scm 793 */
return 
BINT(BgL_iz00_1929);}  else 
{ /* Expand/object.scm 793 */
{ 
long BgL_iz00_4700;obj_t BgL_slotsz00_4698;
BgL_slotsz00_4698 = 
CDR(BgL_slotsz00_1928); 
BgL_iz00_4700 = 
(BgL_iz00_1929+((long)1)); 
BgL_iz00_1929 = BgL_iz00_4700; 
BgL_slotsz00_1928 = BgL_slotsz00_4698; 
goto BgL_loopz00_1930;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzexpand_objectz00()
{ AN_OBJECT;
{ /* Expand/object.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00()
{ AN_OBJECT;
{ /* Expand/object.scm 15 */
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "expand_object"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)5483), "expand_object"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "expand_object"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "expand_object"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "expand_object"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "expand_object"); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)13864), "expand_object"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "expand_object"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "expand_object"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "expand_object"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "expand_object"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "expand_object"); 
return 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "expand_object");} 
}

