/*===========================================================================*/
/*   (Fail/walk.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_failzd2nodez12zd2setq2704z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2conditional2706z12zzfail_walkz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2funcall2700z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2appzd2ly2698zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
static obj_t BGl_failzd2nodez12zd2boxzd2setz122727zd2zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2cast2716z12zzfail_walkz00(obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2select2710z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzfail_walkz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2boxzd2ref2725zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzfail_walkz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_failzd2nodez12zd2var2692z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl__failzd2nodez12zc0zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2fail2708z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2jumpzd2exzd2it2720z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2setzd2exzd2it2718z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2sequence2694z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2letzd2var2714zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2atom2688z12zzfail_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt);
static obj_t BGl_failzd2nodez12zd2extern2702z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2letzd2fun2712zc0zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzfail_walkz00 = BUNSPEC;
static obj_t BGl__failzd2walkz12zc0zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2kwote2690z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
static obj_t BGl__failzd2nodez12zd2default2685z12zzfail_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2nodez12zd2default2685z12zzfail_walkz00(BgL_nodez00_bglt);
static obj_t BGl_failzd2nodez12zd2app2696z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 6 ] ;

DEFINE_STATIC_PROCEDURE( BGl_failzd2nodez12zd2default2685zd2envzc0zzfail_walkz00, BgL_bgl__failza7d2nodeza712za7d2default2685za712za7za7fail_walkza7003036za7, BGl__failzd2nodez12zd2default2685z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3010z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2atom2688za712za7za7fail_walkza7003037za7, BGl_failzd2nodez12zd2atom2688z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3011z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2kwote2690za712za7za7fail_walkza7003038za7, BGl_failzd2nodez12zd2kwote2690z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3012z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2var2692za712za7za7fail_walkza7003039za7, BGl_failzd2nodez12zd2var2692z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3013z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2sequence2694za712za7za7fail_walkza7003040za7, BGl_failzd2nodez12zd2sequence2694z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3014z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2app2696za712za7za7fail_walkza7003041za7, BGl_failzd2nodez12zd2app2696z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3015z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2appza7d2ly2698za7c0za7za7fail_walkza7003042z00, BGl_failzd2nodez12zd2appzd2ly2698zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3016z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2funcall2700za712za7za7fail_walkza7003043za7, BGl_failzd2nodez12zd2funcall2700z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3017z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2extern2702za712za7za7fail_walkza7003044za7, BGl_failzd2nodez12zd2extern2702z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3018z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2setq2704za712za7za7fail_walkza7003045za7, BGl_failzd2nodez12zd2setq2704z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3020z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2fail2708za712za7za7fail_walkza7003046za7, BGl_failzd2nodez12zd2fail2708z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3019z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2conditional2706za712za7za7fail_walkza7003047za7, BGl_failzd2nodez12zd2conditional2706z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3021z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2select2710za712za7za7fail_walkza7003048za7, BGl_failzd2nodez12zd2select2710z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2letza7d2fun2712za7c0za7za7fail_walkza7003049z00, BGl_failzd2nodez12zd2letzd2fun2712zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3023z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2letza7d2var2714za7c0za7za7fail_walkza7003050z00, BGl_failzd2nodez12zd2letzd2var2714zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3024z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2cast2716za712za7za7fail_walkza7003051za7, BGl_failzd2nodez12zd2cast2716z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3025z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2setza7d2exza7d2it2718za712za7za7fail_walkza7003052za7, BGl_failzd2nodez12zd2setzd2exzd2it2718z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3026z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2jumpza7d2exza7d2it2720za712za7za7fail_walkza7003053za7, BGl_failzd2nodez12zd2jumpzd2exzd2it2720z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3027z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2makeza7d2box2723za7c0za7za7fail_walkza7003054z00, BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3028z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2boxza7d2ref2725za7c0za7za7fail_walkza7003055z00, BGl_failzd2nodez12zd2boxzd2ref2725zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3029z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2boxza7d2setza7122727za7d2za7za7fail_walkza7003056za7, BGl_failzd2nodez12zd2boxzd2setz122727zd2zzfail_walkz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_failzd2walkz12zd2envz12zzfail_walkz00, BgL_bgl__failza7d2walkza712za7c0za7za7fail_walkza7003057z00, BGl__failzd2walkz12zc0zzfail_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3031z00zzfail_walkz00, BgL_bgl_string3031za700za7za7fail_walkza7003058z00, "fail-node!-default2685 value debug-error/location location done pass-started ", 77 );
DEFINE_STRING( BGl_string3030z00zzfail_walkz00, BgL_bgl_string3030za700za7za7fail_walkza7003059z00, "No method for this object", 25 );
DEFINE_STATIC_GENERIC( BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_bgl__failza7d2nodeza712za7c0za7za7fail_walkza7003060z00, BGl__failzd2nodez12zc0zzfail_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3009z00zzfail_walkz00, BgL_bgl_string3009za700za7za7fail_walkza7003061z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3008z00zzfail_walkz00, BgL_bgl_string3008za700za7za7fail_walkza7003062z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3007z00zzfail_walkz00, BgL_bgl_string3007za700za7za7fail_walkza7003063z00, " error", 6 );
DEFINE_STRING( BGl_string3006z00zzfail_walkz00, BgL_bgl_string3006za700za7za7fail_walkza7003064z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3005z00zzfail_walkz00, BgL_bgl_string3005za700za7za7fail_walkza7003065z00, "   . ", 5 );
DEFINE_STRING( BGl_string3004z00zzfail_walkz00, BgL_bgl_string3004za700za7za7fail_walkza7003066z00, "Fail", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long BgL_checksumz00_3253, char * BgL_fromz00_3254)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzfail_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzfail_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzfail_walkz00(); 
BGl_cnstzd2initzd2zzfail_walkz00(); 
BGl_importedzd2moduleszd2initz00zzfail_walkz00(); 
BGl_methodzd2initzd2zzfail_walkz00(); 
BGl_toplevelzd2initzd2zzfail_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "fail_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
obj_t BgL_cportz00_3246;
BgL_cportz00_3246 = 
open_input_string(BGl_string3031z00zzfail_walkz00); 
{ 
long BgL_iz00_3247;
BgL_iz00_3247 = ((long)5); 
BgL_loopz00_3248:
if(
(BgL_iz00_3247==((long)-1)))
{ /* Fail/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
obj_t BgL_arg3033z00_3250;
{ /* Fail/walk.scm 15 */
obj_t BgL_list3034z00_3251;
BgL_list3034z00_3251 = 
MAKE_PAIR(BgL_cportz00_3246, BNIL); 
BgL_arg3033z00_3250 = 
BGl_readz00zz__readerz00(BgL_list3034z00_3251); } 
{ /* Fail/walk.scm 15 */
int BgL_auxz00_3273;
BgL_auxz00_3273 = 
(int)(BgL_iz00_3247); 
CNST_TABLE_SET(BgL_auxz00_3273, BgL_arg3033z00_3250); } } 
{ 
long BgL_iz00_3276;
{ /* Fail/walk.scm 15 */
int BgL_auxz00_3277;
{ /* Fail/walk.scm 15 */
long BgL_auxz00_3278;
BgL_auxz00_3278 = 
(BgL_iz00_3247-((long)1)); 
BgL_auxz00_3277 = 
(int)(BgL_auxz00_3278); } 
BgL_iz00_3276 = 
(long)(BgL_auxz00_3277); } 
BgL_iz00_3247 = BgL_iz00_3276; 
goto BgL_loopz00_3248;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC; 
return BUNSPEC;} 
}



/* fail-walk! */
obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t BgL_globalsz00_15)
{ AN_OBJECT;
{ /* Fail/walk.scm 33 */
{ /* Fail/walk.scm 34 */
obj_t BgL_list2737z00_1269;
{ /* Fail/walk.scm 34 */
obj_t BgL_arg2739z00_1271;
{ /* Fail/walk.scm 34 */
obj_t BgL_arg2741z00_1273;
{ /* Fail/walk.scm 34 */
obj_t BgL_auxz00_3282;
BgL_auxz00_3282 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2741z00_1273 = 
MAKE_PAIR(BgL_auxz00_3282, BNIL); } 
BgL_arg2739z00_1271 = 
MAKE_PAIR(BGl_string3004z00zzfail_walkz00, BgL_arg2741z00_1273); } 
BgL_list2737z00_1269 = 
MAKE_PAIR(BGl_string3005z00zzfail_walkz00, BgL_arg2739z00_1271); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2737z00_1269); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3004z00zzfail_walkz00; 
{ 
obj_t BgL_hooksz00_1274;obj_t BgL_hnamesz00_1275;
BgL_hooksz00_1274 = BNIL; 
BgL_hnamesz00_1275 = BNIL; 
BgL_loopz00_1276:
if(
NULLP(BgL_hooksz00_1274))
{ /* Fail/walk.scm 34 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Fail/walk.scm 34 */
bool_t BgL_test2746z00_1281;
{ /* Fail/walk.scm 34 */
obj_t BgL_fun2752z00_1287;
BgL_fun2752z00_1287 = 
CAR(BgL_hooksz00_1274); 
{ /* Fail/walk.scm 34 */
obj_t BgL_auxz00_3294;
BgL_auxz00_3294 = 
PROCEDURE_ENTRY(BgL_fun2752z00_1287)(BgL_fun2752z00_1287, BEOA); 
BgL_test2746z00_1281 = 
CBOOL(BgL_auxz00_3294); } } 
if(BgL_test2746z00_1281)
{ /* Fail/walk.scm 34 */
{ 
obj_t BgL_hnamesz00_3301;obj_t BgL_hooksz00_3299;
BgL_hooksz00_3299 = 
CDR(BgL_hooksz00_1274); 
BgL_hnamesz00_3301 = 
CDR(BgL_hnamesz00_1275); 
BgL_hnamesz00_1275 = BgL_hnamesz00_3301; 
BgL_hooksz00_1274 = BgL_hooksz00_3299; 
goto BgL_loopz00_1276;} }  else 
{ /* Fail/walk.scm 34 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3004z00zzfail_walkz00, BGl_string3006z00zzfail_walkz00, 
CAR(BgL_hnamesz00_1275)); } } } 
{ 
obj_t BgL_l2654z00_1288;
BgL_l2654z00_1288 = BgL_globalsz00_15; 
BgL_lname2655z00_1289:
if(
PAIRP(BgL_l2654z00_1288))
{ /* Fail/walk.scm 35 */
BGl_failzd2funz12zc0zzfail_walkz00(
CAR(BgL_l2654z00_1288)); 
{ 
obj_t BgL_l2654z00_3309;
BgL_l2654z00_3309 = 
CDR(BgL_l2654z00_1288); 
BgL_l2654z00_1288 = BgL_l2654z00_3309; 
goto BgL_lname2655z00_1289;} }  else 
{ /* Fail/walk.scm 35 */((bool_t)1); } } 
{ /* Fail/walk.scm 36 */
bool_t BgL_test2756z00_1294;
{ /* Fail/walk.scm 36 */
long BgL_n1z00_1935;
BgL_n1z00_1935 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2756z00_1294 = 
(BgL_n1z00_1935>((long)0)); } 
if(BgL_test2756z00_1294)
{ /* Fail/walk.scm 36 */
{ /* Fail/walk.scm 36 */
obj_t BgL_list2757z00_1296;
BgL_list2757z00_1296 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2757z00_1296); } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2758z00_1297;
BgL_list2758z00_1297 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3007z00zzfail_walkz00, BgL_list2758z00_1297); } 
{ /* Fail/walk.scm 36 */
char * BgL_arg2759z00_1298;
{ /* Fail/walk.scm 36 */
bool_t BgL_test2761z00_1300;
{ /* Fail/walk.scm 36 */
bool_t BgL_test2762z00_1301;
{ /* Fail/walk.scm 36 */
obj_t BgL_objz00_1937;
BgL_objz00_1937 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2762z00_1301 = 
INTEGERP(BgL_objz00_1937); } 
if(BgL_test2762z00_1301)
{ /* Fail/walk.scm 36 */
BgL_test2761z00_1300 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Fail/walk.scm 36 */
BgL_test2761z00_1300 = ((bool_t)0); } } 
if(BgL_test2761z00_1300)
{ /* Fail/walk.scm 36 */
BgL_arg2759z00_1298 = "s"; }  else 
{ /* Fail/walk.scm 36 */
BgL_arg2759z00_1298 = ""; } } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2760z00_1299;
BgL_list2760z00_1299 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2759z00_1298), BgL_list2760z00_1299); } } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2763z00_1302;
BgL_list2763z00_1302 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3008z00zzfail_walkz00, BgL_list2763z00_1302); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2764z00_1303;
{ /* Fail/walk.scm 36 */
obj_t BgL_auxz00_3329;
BgL_auxz00_3329 = 
BINT(((long)-1)); 
BgL_list2764z00_1303 = 
MAKE_PAIR(BgL_auxz00_3329, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2764z00_1303);} }  else 
{ 
obj_t BgL_hooksz00_1304;obj_t BgL_hnamesz00_1305;
BgL_hooksz00_1304 = BNIL; 
BgL_hnamesz00_1305 = BNIL; 
BgL_loopz00_1306:
if(
NULLP(BgL_hooksz00_1304))
{ /* Fail/walk.scm 36 */
return BgL_globalsz00_15;}  else 
{ /* Fail/walk.scm 36 */
bool_t BgL_test2769z00_1311;
{ /* Fail/walk.scm 36 */
obj_t BgL_fun2774z00_1316;
BgL_fun2774z00_1316 = 
CAR(BgL_hooksz00_1304); 
{ /* Fail/walk.scm 36 */
obj_t BgL_auxz00_3336;
BgL_auxz00_3336 = 
PROCEDURE_ENTRY(BgL_fun2774z00_1316)(BgL_fun2774z00_1316, BEOA); 
BgL_test2769z00_1311 = 
CBOOL(BgL_auxz00_3336); } } 
if(BgL_test2769z00_1311)
{ /* Fail/walk.scm 36 */
{ 
obj_t BgL_hnamesz00_3343;obj_t BgL_hooksz00_3341;
BgL_hooksz00_3341 = 
CDR(BgL_hooksz00_1304); 
BgL_hnamesz00_3343 = 
CDR(BgL_hnamesz00_1305); 
BgL_hnamesz00_1305 = BgL_hnamesz00_3343; 
BgL_hooksz00_1304 = BgL_hooksz00_3341; 
goto BgL_loopz00_1306;} }  else 
{ /* Fail/walk.scm 36 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3009z00zzfail_walkz00, 
CAR(BgL_hnamesz00_1305));} } } } } 
}



/* _fail-walk! */
obj_t BGl__failzd2walkz12zc0zzfail_walkz00(obj_t BgL_envz00_3179, obj_t BgL_globalsz00_3180)
{ AN_OBJECT;
{ /* Fail/walk.scm 33 */
return 
BGl_failzd2walkz12zc0zzfail_walkz00(BgL_globalsz00_3180);} 
}



/* fail-fun! */
obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t BgL_varz00_16)
{ AN_OBJECT;
{ /* Fail/walk.scm 41 */
{ /* Fail/walk.scm 42 */
BgL_valuez00_bglt BgL_funz00_1317;
{ /* Fail/walk.scm 42 */
BgL_variablez00_bglt BgL_obj1103z00_1946;
BgL_obj1103z00_1946 = 
(BgL_variablez00_bglt)(BgL_varz00_16); 
BgL_funz00_1317 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1946))->BgL_valuez00); } 
{ /* Fail/walk.scm 42 */
obj_t BgL_bodyz00_1318;
{ /* Fail/walk.scm 43 */
BgL_sfunz00_bglt BgL_obj1372z00_1947;
BgL_obj1372z00_1947 = 
(BgL_sfunz00_bglt)(BgL_funz00_1317); 
BgL_bodyz00_1318 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1947))->BgL_bodyz00); } 
{ /* Fail/walk.scm 44 */

{ /* Fail/walk.scm 45 */
obj_t BgL_auxz00_3352;
{ /* Fail/walk.scm 45 */
BgL_variablez00_bglt BgL_obj1096z00_1949;
BgL_obj1096z00_1949 = 
(BgL_variablez00_bglt)(BgL_varz00_16); 
BgL_auxz00_3352 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1949))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_3352); } 
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_arg2777z00_1321;
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_res2934z00_1976;
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_nodez00_1950;
BgL_nodez00_1950 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1318); 
{ /* Fail/walk.scm 46 */
obj_t BgL_method2686z00_1951;
{ /* Fail/walk.scm 46 */
long BgL_objzd2classzd2numz00_1953;
{ /* Fail/walk.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3357;
BgL_auxz00_3357 = 
(BgL_objectz00_bglt)(BgL_nodez00_1950); 
BgL_objzd2classzd2numz00_1953 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3357); } 
{ /* Fail/walk.scm 46 */
obj_t BgL_arg1221z00_1954;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3360;
BgL_auxz00_3360 = 
(int)(((long)1)); 
BgL_arg1221z00_1954 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3360); } 
{ /* Fail/walk.scm 46 */
long BgL_offsetz00_1958;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3363;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3364;
BgL_auxz00_3364 = 
(int)(BgL_objzd2classzd2numz00_1953); 
BgL_auxz00_3363 = 
(long)(BgL_auxz00_3364); } 
BgL_offsetz00_1958 = 
(BgL_auxz00_3363-OBJECT_TYPE); } 
{ /* Fail/walk.scm 46 */
long BgL_modz00_1959;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3368;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3369;
BgL_auxz00_3369 = 
(int)(((long)8)); 
BgL_auxz00_3368 = 
(long)(BgL_auxz00_3369); } 
BgL_modz00_1959 = 
(BgL_offsetz00_1958/BgL_auxz00_3368); } 
{ /* Fail/walk.scm 46 */
long BgL_restz00_1961;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3373;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3374;
BgL_auxz00_3374 = 
(int)(((long)8)); 
BgL_auxz00_3373 = 
(long)(BgL_auxz00_3374); } 
BgL_restz00_1961 = 
(BgL_offsetz00_1958%BgL_auxz00_3373); } 
{ /* Fail/walk.scm 46 */

{ /* Fail/walk.scm 46 */
obj_t BgL_bucketz00_1963;
{ /* Fail/walk.scm 46 */
int BgL_kz00_1973;
BgL_kz00_1973 = 
(int)(BgL_modz00_1959); 
BgL_bucketz00_1963 = 
VECTOR_REF(BgL_arg1221z00_1954,BgL_kz00_1973); } 
{ /* Fail/walk.scm 46 */
int BgL_kz00_1975;
BgL_kz00_1975 = 
(int)(BgL_restz00_1961); 
BgL_method2686z00_1951 = 
VECTOR_REF(BgL_bucketz00_1963,BgL_kz00_1975); } } } } } } } } 
{ /* Fail/walk.scm 46 */
obj_t BgL_auxz00_3382;
BgL_auxz00_3382 = 
PROCEDURE_ENTRY(BgL_method2686z00_1951)(BgL_method2686z00_1951, 
(obj_t)(BgL_nodez00_1950), BEOA); 
BgL_res2934z00_1976 = 
(BgL_nodez00_bglt)(BgL_auxz00_3382); } } } 
BgL_arg2777z00_1321 = BgL_res2934z00_1976; } 
{ /* Fail/walk.scm 46 */
BgL_sfunz00_bglt BgL_obj1374z00_1977;obj_t BgL_val1373z00_1978;
BgL_obj1374z00_1977 = 
(BgL_sfunz00_bglt)(BgL_funz00_1317); 
BgL_val1373z00_1978 = 
(obj_t)(BgL_arg2777z00_1321); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1977))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1978), BUNSPEC); } } 
return 
BGl_leavezd2functionzd2zztools_errorz00();} } } } 
}



/* fail-node*! */
obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t BgL_nodeza2za2_39)
{ AN_OBJECT;
{ /* Fail/walk.scm 227 */
BGl_failzd2nodeza2z12z62zzfail_walkz00:
if(
NULLP(BgL_nodeza2za2_39))
{ /* Fail/walk.scm 228 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Fail/walk.scm 228 */
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_arg2779z00_1323;
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_res2937z00_2007;
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_nodez00_1981;
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3394;
BgL_auxz00_3394 = 
CAR(BgL_nodeza2za2_39); 
BgL_nodez00_1981 = 
(BgL_nodez00_bglt)(BgL_auxz00_3394); } 
{ /* Fail/walk.scm 231 */
obj_t BgL_method2686z00_1982;
{ /* Fail/walk.scm 231 */
long BgL_objzd2classzd2numz00_1984;
{ /* Fail/walk.scm 231 */
BgL_objectz00_bglt BgL_auxz00_3397;
BgL_auxz00_3397 = 
(BgL_objectz00_bglt)(BgL_nodez00_1981); 
BgL_objzd2classzd2numz00_1984 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3397); } 
{ /* Fail/walk.scm 231 */
obj_t BgL_arg1221z00_1985;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3400;
BgL_auxz00_3400 = 
(int)(((long)1)); 
BgL_arg1221z00_1985 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3400); } 
{ /* Fail/walk.scm 231 */
long BgL_offsetz00_1989;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3403;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3404;
BgL_auxz00_3404 = 
(int)(BgL_objzd2classzd2numz00_1984); 
BgL_auxz00_3403 = 
(long)(BgL_auxz00_3404); } 
BgL_offsetz00_1989 = 
(BgL_auxz00_3403-OBJECT_TYPE); } 
{ /* Fail/walk.scm 231 */
long BgL_modz00_1990;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3408;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3409;
BgL_auxz00_3409 = 
(int)(((long)8)); 
BgL_auxz00_3408 = 
(long)(BgL_auxz00_3409); } 
BgL_modz00_1990 = 
(BgL_offsetz00_1989/BgL_auxz00_3408); } 
{ /* Fail/walk.scm 231 */
long BgL_restz00_1992;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3413;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3414;
BgL_auxz00_3414 = 
(int)(((long)8)); 
BgL_auxz00_3413 = 
(long)(BgL_auxz00_3414); } 
BgL_restz00_1992 = 
(BgL_offsetz00_1989%BgL_auxz00_3413); } 
{ /* Fail/walk.scm 231 */

{ /* Fail/walk.scm 231 */
obj_t BgL_bucketz00_1994;
{ /* Fail/walk.scm 231 */
int BgL_kz00_2004;
BgL_kz00_2004 = 
(int)(BgL_modz00_1990); 
BgL_bucketz00_1994 = 
VECTOR_REF(BgL_arg1221z00_1985,BgL_kz00_2004); } 
{ /* Fail/walk.scm 231 */
int BgL_kz00_2006;
BgL_kz00_2006 = 
(int)(BgL_restz00_1992); 
BgL_method2686z00_1982 = 
VECTOR_REF(BgL_bucketz00_1994,BgL_kz00_2006); } } } } } } } } 
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3422;
BgL_auxz00_3422 = 
PROCEDURE_ENTRY(BgL_method2686z00_1982)(BgL_method2686z00_1982, 
(obj_t)(BgL_nodez00_1981), BEOA); 
BgL_res2937z00_2007 = 
(BgL_nodez00_bglt)(BgL_auxz00_3422); } } } 
BgL_arg2779z00_1323 = BgL_res2937z00_2007; } 
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3427;
BgL_auxz00_3427 = 
(obj_t)(BgL_arg2779z00_1323); 
SET_CAR(BgL_nodeza2za2_39, BgL_auxz00_3427); } } 
{ 
obj_t BgL_nodeza2za2_3430;
BgL_nodeza2za2_3430 = 
CDR(BgL_nodeza2za2_39); 
BgL_nodeza2za2_39 = BgL_nodeza2za2_3430; 
goto BGl_failzd2nodeza2z12z62zzfail_walkz00;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failzd2nodez12zd2default2685zd2envzc0zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_atomz00zzast_nodez00, BGl_proc3010z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_kwotez00zzast_nodez00, BGl_proc3011z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_varz00zzast_nodez00, BGl_proc3012z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc3013z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appz00zzast_nodez00, BGl_proc3014z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3015z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_funcallz00zzast_nodez00, BGl_proc3016z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_externz00zzast_nodez00, BGl_proc3017z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setqz00zzast_nodez00, BGl_proc3018z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_conditionalz00zzast_nodez00, BGl_proc3019z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failz00zzast_nodez00, BGl_proc3020z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_selectz00zzast_nodez00, BGl_proc3021z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3022z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3023z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_castz00zzast_nodez00, BGl_proc3024z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3025z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3026z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3027z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3028z00zzfail_walkz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3029z00zzfail_walkz00);} 
}



/* fail-node!-box-set!2727 */
obj_t BGl_failzd2nodez12zd2boxzd2setz122727zd2zzfail_walkz00(obj_t BgL_envz00_3203, obj_t BgL_nodez00_3204)
{ AN_OBJECT;
{ /* Fail/walk.scm 219 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1898;
{ /* Fail/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_3453;
BgL_nodez00_1898 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3204); 
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_arg2925z00_1902;
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_arg2926z00_1903;
BgL_arg2926z00_1903 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1898))->BgL_valuez00); 
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_res3001z00_3148;
{ /* Fail/walk.scm 221 */
obj_t BgL_method2686z00_3123;
{ /* Fail/walk.scm 221 */
long BgL_objzd2classzd2numz00_3125;
{ /* Fail/walk.scm 221 */
BgL_objectz00_bglt BgL_auxz00_3455;
BgL_auxz00_3455 = 
(BgL_objectz00_bglt)(BgL_arg2926z00_1903); 
BgL_objzd2classzd2numz00_3125 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3455); } 
{ /* Fail/walk.scm 221 */
obj_t BgL_arg1221z00_3126;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3458;
BgL_auxz00_3458 = 
(int)(((long)1)); 
BgL_arg1221z00_3126 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3458); } 
{ /* Fail/walk.scm 221 */
long BgL_offsetz00_3130;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3461;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3462;
BgL_auxz00_3462 = 
(int)(BgL_objzd2classzd2numz00_3125); 
BgL_auxz00_3461 = 
(long)(BgL_auxz00_3462); } 
BgL_offsetz00_3130 = 
(BgL_auxz00_3461-OBJECT_TYPE); } 
{ /* Fail/walk.scm 221 */
long BgL_modz00_3131;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3466;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3467;
BgL_auxz00_3467 = 
(int)(((long)8)); 
BgL_auxz00_3466 = 
(long)(BgL_auxz00_3467); } 
BgL_modz00_3131 = 
(BgL_offsetz00_3130/BgL_auxz00_3466); } 
{ /* Fail/walk.scm 221 */
long BgL_restz00_3133;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3471;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3472;
BgL_auxz00_3472 = 
(int)(((long)8)); 
BgL_auxz00_3471 = 
(long)(BgL_auxz00_3472); } 
BgL_restz00_3133 = 
(BgL_offsetz00_3130%BgL_auxz00_3471); } 
{ /* Fail/walk.scm 221 */

{ /* Fail/walk.scm 221 */
obj_t BgL_bucketz00_3135;
{ /* Fail/walk.scm 221 */
int BgL_kz00_3145;
BgL_kz00_3145 = 
(int)(BgL_modz00_3131); 
BgL_bucketz00_3135 = 
VECTOR_REF(BgL_arg1221z00_3126,BgL_kz00_3145); } 
{ /* Fail/walk.scm 221 */
int BgL_kz00_3147;
BgL_kz00_3147 = 
(int)(BgL_restz00_3133); 
BgL_method2686z00_3123 = 
VECTOR_REF(BgL_bucketz00_3135,BgL_kz00_3147); } } } } } } } } 
{ /* Fail/walk.scm 221 */
obj_t BgL_auxz00_3480;
BgL_auxz00_3480 = 
PROCEDURE_ENTRY(BgL_method2686z00_3123)(BgL_method2686z00_3123, 
(obj_t)(BgL_arg2926z00_1903), BEOA); 
BgL_res3001z00_3148 = 
(BgL_nodez00_bglt)(BgL_auxz00_3480); } } 
BgL_arg2925z00_1902 = BgL_res3001z00_3148; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1898))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2925z00_1902), BUNSPEC); } 
BgL_auxz00_3453 = BgL_nodez00_1898; 
return 
(obj_t)(BgL_auxz00_3453);} } } 
}



/* fail-node!-box-ref2725 */
obj_t BGl_failzd2nodez12zd2boxzd2ref2725zc0zzfail_walkz00(obj_t BgL_envz00_3205, obj_t BgL_nodez00_3206)
{ AN_OBJECT;
{ /* Fail/walk.scm 213 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1893;
{ /* Fail/walk.scm 213 */
BgL_boxzd2refzd2_bglt BgL_auxz00_3488;
BgL_nodez00_1893 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3206); 
BgL_auxz00_3488 = BgL_nodez00_1893; 
return 
(obj_t)(BgL_auxz00_3488);} } } 
}



/* fail-node!-make-box2723 */
obj_t BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00(obj_t BgL_envz00_3207, obj_t BgL_nodez00_3208)
{ AN_OBJECT;
{ /* Fail/walk.scm 206 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1886;
{ /* Fail/walk.scm 207 */
BgL_makezd2boxzd2_bglt BgL_auxz00_3491;
BgL_nodez00_1886 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3208); 
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_arg2921z00_1889;
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_arg2922z00_1890;
BgL_arg2922z00_1890 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1886))->BgL_valuez00); 
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_res2998z00_3118;
{ /* Fail/walk.scm 207 */
obj_t BgL_method2686z00_3093;
{ /* Fail/walk.scm 207 */
long BgL_objzd2classzd2numz00_3095;
{ /* Fail/walk.scm 207 */
BgL_objectz00_bglt BgL_auxz00_3493;
BgL_auxz00_3493 = 
(BgL_objectz00_bglt)(BgL_arg2922z00_1890); 
BgL_objzd2classzd2numz00_3095 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3493); } 
{ /* Fail/walk.scm 207 */
obj_t BgL_arg1221z00_3096;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3496;
BgL_auxz00_3496 = 
(int)(((long)1)); 
BgL_arg1221z00_3096 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3496); } 
{ /* Fail/walk.scm 207 */
long BgL_offsetz00_3100;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3499;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3500;
BgL_auxz00_3500 = 
(int)(BgL_objzd2classzd2numz00_3095); 
BgL_auxz00_3499 = 
(long)(BgL_auxz00_3500); } 
BgL_offsetz00_3100 = 
(BgL_auxz00_3499-OBJECT_TYPE); } 
{ /* Fail/walk.scm 207 */
long BgL_modz00_3101;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3504;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3505;
BgL_auxz00_3505 = 
(int)(((long)8)); 
BgL_auxz00_3504 = 
(long)(BgL_auxz00_3505); } 
BgL_modz00_3101 = 
(BgL_offsetz00_3100/BgL_auxz00_3504); } 
{ /* Fail/walk.scm 207 */
long BgL_restz00_3103;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3509;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3510;
BgL_auxz00_3510 = 
(int)(((long)8)); 
BgL_auxz00_3509 = 
(long)(BgL_auxz00_3510); } 
BgL_restz00_3103 = 
(BgL_offsetz00_3100%BgL_auxz00_3509); } 
{ /* Fail/walk.scm 207 */

{ /* Fail/walk.scm 207 */
obj_t BgL_bucketz00_3105;
{ /* Fail/walk.scm 207 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_modz00_3101); 
BgL_bucketz00_3105 = 
VECTOR_REF(BgL_arg1221z00_3096,BgL_kz00_3115); } 
{ /* Fail/walk.scm 207 */
int BgL_kz00_3117;
BgL_kz00_3117 = 
(int)(BgL_restz00_3103); 
BgL_method2686z00_3093 = 
VECTOR_REF(BgL_bucketz00_3105,BgL_kz00_3117); } } } } } } } } 
{ /* Fail/walk.scm 207 */
obj_t BgL_auxz00_3518;
BgL_auxz00_3518 = 
PROCEDURE_ENTRY(BgL_method2686z00_3093)(BgL_method2686z00_3093, 
(obj_t)(BgL_arg2922z00_1890), BEOA); 
BgL_res2998z00_3118 = 
(BgL_nodez00_bglt)(BgL_auxz00_3518); } } 
BgL_arg2921z00_1889 = BgL_res2998z00_3118; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1886))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2921z00_1889), BUNSPEC); } 
BgL_auxz00_3491 = BgL_nodez00_1886; 
return 
(obj_t)(BgL_auxz00_3491);} } } 
}



/* fail-node!-jump-ex-it2720 */
obj_t BGl_failzd2nodez12zd2jumpzd2exzd2it2720z12zzfail_walkz00(obj_t BgL_envz00_3209, obj_t BgL_nodez00_3210)
{ AN_OBJECT;
{ /* Fail/walk.scm 197 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1876;
{ /* Fail/walk.scm 198 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3526;
BgL_nodez00_1876 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3210); 
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_arg2916z00_1880;
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_arg2917z00_1881;
BgL_arg2917z00_1881 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_exitz00); 
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_res2992z00_3058;
{ /* Fail/walk.scm 199 */
obj_t BgL_method2686z00_3033;
{ /* Fail/walk.scm 199 */
long BgL_objzd2classzd2numz00_3035;
{ /* Fail/walk.scm 199 */
BgL_objectz00_bglt BgL_auxz00_3528;
BgL_auxz00_3528 = 
(BgL_objectz00_bglt)(BgL_arg2917z00_1881); 
BgL_objzd2classzd2numz00_3035 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3528); } 
{ /* Fail/walk.scm 199 */
obj_t BgL_arg1221z00_3036;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3531;
BgL_auxz00_3531 = 
(int)(((long)1)); 
BgL_arg1221z00_3036 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3531); } 
{ /* Fail/walk.scm 199 */
long BgL_offsetz00_3040;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3534;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3535;
BgL_auxz00_3535 = 
(int)(BgL_objzd2classzd2numz00_3035); 
BgL_auxz00_3534 = 
(long)(BgL_auxz00_3535); } 
BgL_offsetz00_3040 = 
(BgL_auxz00_3534-OBJECT_TYPE); } 
{ /* Fail/walk.scm 199 */
long BgL_modz00_3041;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3539;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3540;
BgL_auxz00_3540 = 
(int)(((long)8)); 
BgL_auxz00_3539 = 
(long)(BgL_auxz00_3540); } 
BgL_modz00_3041 = 
(BgL_offsetz00_3040/BgL_auxz00_3539); } 
{ /* Fail/walk.scm 199 */
long BgL_restz00_3043;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3544;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3545;
BgL_auxz00_3545 = 
(int)(((long)8)); 
BgL_auxz00_3544 = 
(long)(BgL_auxz00_3545); } 
BgL_restz00_3043 = 
(BgL_offsetz00_3040%BgL_auxz00_3544); } 
{ /* Fail/walk.scm 199 */

{ /* Fail/walk.scm 199 */
obj_t BgL_bucketz00_3045;
{ /* Fail/walk.scm 199 */
int BgL_kz00_3055;
BgL_kz00_3055 = 
(int)(BgL_modz00_3041); 
BgL_bucketz00_3045 = 
VECTOR_REF(BgL_arg1221z00_3036,BgL_kz00_3055); } 
{ /* Fail/walk.scm 199 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_restz00_3043); 
BgL_method2686z00_3033 = 
VECTOR_REF(BgL_bucketz00_3045,BgL_kz00_3057); } } } } } } } } 
{ /* Fail/walk.scm 199 */
obj_t BgL_auxz00_3553;
BgL_auxz00_3553 = 
PROCEDURE_ENTRY(BgL_method2686z00_3033)(BgL_method2686z00_3033, 
(obj_t)(BgL_arg2917z00_1881), BEOA); 
BgL_res2992z00_3058 = 
(BgL_nodez00_bglt)(BgL_auxz00_3553); } } 
BgL_arg2916z00_1880 = BgL_res2992z00_3058; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2916z00_1880), BUNSPEC); } 
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_arg2918z00_1882;
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_arg2919z00_1883;
BgL_arg2919z00_1883 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_valuez00); 
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_res2995z00_3088;
{ /* Fail/walk.scm 200 */
obj_t BgL_method2686z00_3063;
{ /* Fail/walk.scm 200 */
long BgL_objzd2classzd2numz00_3065;
{ /* Fail/walk.scm 200 */
BgL_objectz00_bglt BgL_auxz00_3560;
BgL_auxz00_3560 = 
(BgL_objectz00_bglt)(BgL_arg2919z00_1883); 
BgL_objzd2classzd2numz00_3065 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3560); } 
{ /* Fail/walk.scm 200 */
obj_t BgL_arg1221z00_3066;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3563;
BgL_auxz00_3563 = 
(int)(((long)1)); 
BgL_arg1221z00_3066 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3563); } 
{ /* Fail/walk.scm 200 */
long BgL_offsetz00_3070;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3566;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3567;
BgL_auxz00_3567 = 
(int)(BgL_objzd2classzd2numz00_3065); 
BgL_auxz00_3566 = 
(long)(BgL_auxz00_3567); } 
BgL_offsetz00_3070 = 
(BgL_auxz00_3566-OBJECT_TYPE); } 
{ /* Fail/walk.scm 200 */
long BgL_modz00_3071;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3571;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3572;
BgL_auxz00_3572 = 
(int)(((long)8)); 
BgL_auxz00_3571 = 
(long)(BgL_auxz00_3572); } 
BgL_modz00_3071 = 
(BgL_offsetz00_3070/BgL_auxz00_3571); } 
{ /* Fail/walk.scm 200 */
long BgL_restz00_3073;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3576;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3577;
BgL_auxz00_3577 = 
(int)(((long)8)); 
BgL_auxz00_3576 = 
(long)(BgL_auxz00_3577); } 
BgL_restz00_3073 = 
(BgL_offsetz00_3070%BgL_auxz00_3576); } 
{ /* Fail/walk.scm 200 */

{ /* Fail/walk.scm 200 */
obj_t BgL_bucketz00_3075;
{ /* Fail/walk.scm 200 */
int BgL_kz00_3085;
BgL_kz00_3085 = 
(int)(BgL_modz00_3071); 
BgL_bucketz00_3075 = 
VECTOR_REF(BgL_arg1221z00_3066,BgL_kz00_3085); } 
{ /* Fail/walk.scm 200 */
int BgL_kz00_3087;
BgL_kz00_3087 = 
(int)(BgL_restz00_3073); 
BgL_method2686z00_3063 = 
VECTOR_REF(BgL_bucketz00_3075,BgL_kz00_3087); } } } } } } } } 
{ /* Fail/walk.scm 200 */
obj_t BgL_auxz00_3585;
BgL_auxz00_3585 = 
PROCEDURE_ENTRY(BgL_method2686z00_3063)(BgL_method2686z00_3063, 
(obj_t)(BgL_arg2919z00_1883), BEOA); 
BgL_res2995z00_3088 = 
(BgL_nodez00_bglt)(BgL_auxz00_3585); } } 
BgL_arg2918z00_1882 = BgL_res2995z00_3088; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2918z00_1882), BUNSPEC); } 
BgL_auxz00_3526 = BgL_nodez00_1876; 
return 
(obj_t)(BgL_auxz00_3526);} } } 
}



/* fail-node!-set-ex-it2718 */
obj_t BGl_failzd2nodez12zd2setzd2exzd2it2718z12zzfail_walkz00(obj_t BgL_envz00_3211, obj_t BgL_nodez00_3212)
{ AN_OBJECT;
{ /* Fail/walk.scm 190 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1869;
{ /* Fail/walk.scm 191 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_3593;
BgL_nodez00_1869 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3212); 
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_arg2913z00_1872;
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_arg2914z00_1873;
BgL_arg2914z00_1873 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1869))->BgL_bodyz00); 
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_res2989z00_3028;
{ /* Fail/walk.scm 191 */
obj_t BgL_method2686z00_3003;
{ /* Fail/walk.scm 191 */
long BgL_objzd2classzd2numz00_3005;
{ /* Fail/walk.scm 191 */
BgL_objectz00_bglt BgL_auxz00_3595;
BgL_auxz00_3595 = 
(BgL_objectz00_bglt)(BgL_arg2914z00_1873); 
BgL_objzd2classzd2numz00_3005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3595); } 
{ /* Fail/walk.scm 191 */
obj_t BgL_arg1221z00_3006;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3598;
BgL_auxz00_3598 = 
(int)(((long)1)); 
BgL_arg1221z00_3006 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3598); } 
{ /* Fail/walk.scm 191 */
long BgL_offsetz00_3010;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3601;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3602;
BgL_auxz00_3602 = 
(int)(BgL_objzd2classzd2numz00_3005); 
BgL_auxz00_3601 = 
(long)(BgL_auxz00_3602); } 
BgL_offsetz00_3010 = 
(BgL_auxz00_3601-OBJECT_TYPE); } 
{ /* Fail/walk.scm 191 */
long BgL_modz00_3011;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3606;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3607;
BgL_auxz00_3607 = 
(int)(((long)8)); 
BgL_auxz00_3606 = 
(long)(BgL_auxz00_3607); } 
BgL_modz00_3011 = 
(BgL_offsetz00_3010/BgL_auxz00_3606); } 
{ /* Fail/walk.scm 191 */
long BgL_restz00_3013;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3611;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3612;
BgL_auxz00_3612 = 
(int)(((long)8)); 
BgL_auxz00_3611 = 
(long)(BgL_auxz00_3612); } 
BgL_restz00_3013 = 
(BgL_offsetz00_3010%BgL_auxz00_3611); } 
{ /* Fail/walk.scm 191 */

{ /* Fail/walk.scm 191 */
obj_t BgL_bucketz00_3015;
{ /* Fail/walk.scm 191 */
int BgL_kz00_3025;
BgL_kz00_3025 = 
(int)(BgL_modz00_3011); 
BgL_bucketz00_3015 = 
VECTOR_REF(BgL_arg1221z00_3006,BgL_kz00_3025); } 
{ /* Fail/walk.scm 191 */
int BgL_kz00_3027;
BgL_kz00_3027 = 
(int)(BgL_restz00_3013); 
BgL_method2686z00_3003 = 
VECTOR_REF(BgL_bucketz00_3015,BgL_kz00_3027); } } } } } } } } 
{ /* Fail/walk.scm 191 */
obj_t BgL_auxz00_3620;
BgL_auxz00_3620 = 
PROCEDURE_ENTRY(BgL_method2686z00_3003)(BgL_method2686z00_3003, 
(obj_t)(BgL_arg2914z00_1873), BEOA); 
BgL_res2989z00_3028 = 
(BgL_nodez00_bglt)(BgL_auxz00_3620); } } 
BgL_arg2913z00_1872 = BgL_res2989z00_3028; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1869))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2913z00_1872), BUNSPEC); } 
BgL_auxz00_3593 = BgL_nodez00_1869; 
return 
(obj_t)(BgL_auxz00_3593);} } } 
}



/* fail-node!-cast2716 */
obj_t BGl_failzd2nodez12zd2cast2716z12zzfail_walkz00(obj_t BgL_envz00_3213, obj_t BgL_nodez00_3214)
{ AN_OBJECT;
{ /* Fail/walk.scm 182 */
{ 
BgL_castz00_bglt BgL_nodez00_1861;
{ /* Fail/walk.scm 183 */
BgL_castz00_bglt BgL_auxz00_3628;
BgL_nodez00_1861 = 
(BgL_castz00_bglt)(BgL_nodez00_3214); 
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_arg2910z00_1865;
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_arg2911z00_1866;
BgL_arg2911z00_1866 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1861))->BgL_argz00); 
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_res2986z00_2998;
{ /* Fail/walk.scm 184 */
obj_t BgL_method2686z00_2973;
{ /* Fail/walk.scm 184 */
long BgL_objzd2classzd2numz00_2975;
{ /* Fail/walk.scm 184 */
BgL_objectz00_bglt BgL_auxz00_3630;
BgL_auxz00_3630 = 
(BgL_objectz00_bglt)(BgL_arg2911z00_1866); 
BgL_objzd2classzd2numz00_2975 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3630); } 
{ /* Fail/walk.scm 184 */
obj_t BgL_arg1221z00_2976;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)1)); 
BgL_arg1221z00_2976 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3633); } 
{ /* Fail/walk.scm 184 */
long BgL_offsetz00_2980;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3636;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3637;
BgL_auxz00_3637 = 
(int)(BgL_objzd2classzd2numz00_2975); 
BgL_auxz00_3636 = 
(long)(BgL_auxz00_3637); } 
BgL_offsetz00_2980 = 
(BgL_auxz00_3636-OBJECT_TYPE); } 
{ /* Fail/walk.scm 184 */
long BgL_modz00_2981;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3641;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3642;
BgL_auxz00_3642 = 
(int)(((long)8)); 
BgL_auxz00_3641 = 
(long)(BgL_auxz00_3642); } 
BgL_modz00_2981 = 
(BgL_offsetz00_2980/BgL_auxz00_3641); } 
{ /* Fail/walk.scm 184 */
long BgL_restz00_2983;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3646;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3647;
BgL_auxz00_3647 = 
(int)(((long)8)); 
BgL_auxz00_3646 = 
(long)(BgL_auxz00_3647); } 
BgL_restz00_2983 = 
(BgL_offsetz00_2980%BgL_auxz00_3646); } 
{ /* Fail/walk.scm 184 */

{ /* Fail/walk.scm 184 */
obj_t BgL_bucketz00_2985;
{ /* Fail/walk.scm 184 */
int BgL_kz00_2995;
BgL_kz00_2995 = 
(int)(BgL_modz00_2981); 
BgL_bucketz00_2985 = 
VECTOR_REF(BgL_arg1221z00_2976,BgL_kz00_2995); } 
{ /* Fail/walk.scm 184 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_restz00_2983); 
BgL_method2686z00_2973 = 
VECTOR_REF(BgL_bucketz00_2985,BgL_kz00_2997); } } } } } } } } 
{ /* Fail/walk.scm 184 */
obj_t BgL_auxz00_3655;
BgL_auxz00_3655 = 
PROCEDURE_ENTRY(BgL_method2686z00_2973)(BgL_method2686z00_2973, 
(obj_t)(BgL_arg2911z00_1866), BEOA); 
BgL_res2986z00_2998 = 
(BgL_nodez00_bglt)(BgL_auxz00_3655); } } 
BgL_arg2910z00_1865 = BgL_res2986z00_2998; } } 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1861))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2910z00_1865), BUNSPEC); } 
BgL_auxz00_3628 = BgL_nodez00_1861; 
return 
(obj_t)(BgL_auxz00_3628);} } } 
}



/* fail-node!-let-var2714 */
obj_t BGl_failzd2nodez12zd2letzd2var2714zc0zzfail_walkz00(obj_t BgL_envz00_3215, obj_t BgL_nodez00_3216)
{ AN_OBJECT;
{ /* Fail/walk.scm 171 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1845;
{ /* Fail/walk.scm 172 */
BgL_letzd2varzd2_bglt BgL_auxz00_3663;
BgL_nodez00_1845 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3216); 
{ 
obj_t BgL_l2677z00_1849;
BgL_l2677z00_1849 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bindingsz00); 
BgL_lname2678z00_1850:
if(
PAIRP(BgL_l2677z00_1849))
{ /* Fail/walk.scm 173 */
{ /* Fail/walk.scm 174 */
obj_t BgL_bindingz00_1853;
BgL_bindingz00_1853 = 
CAR(BgL_l2677z00_1849); 
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_arg2904z00_1854;
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_res2980z00_2937;
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_nodez00_2911;
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3667;
BgL_auxz00_3667 = 
CDR(BgL_bindingz00_1853); 
BgL_nodez00_2911 = 
(BgL_nodez00_bglt)(BgL_auxz00_3667); } 
{ /* Fail/walk.scm 174 */
obj_t BgL_method2686z00_2912;
{ /* Fail/walk.scm 174 */
long BgL_objzd2classzd2numz00_2914;
{ /* Fail/walk.scm 174 */
BgL_objectz00_bglt BgL_auxz00_3670;
BgL_auxz00_3670 = 
(BgL_objectz00_bglt)(BgL_nodez00_2911); 
BgL_objzd2classzd2numz00_2914 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3670); } 
{ /* Fail/walk.scm 174 */
obj_t BgL_arg1221z00_2915;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3673;
BgL_auxz00_3673 = 
(int)(((long)1)); 
BgL_arg1221z00_2915 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3673); } 
{ /* Fail/walk.scm 174 */
long BgL_offsetz00_2919;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3676;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3677;
BgL_auxz00_3677 = 
(int)(BgL_objzd2classzd2numz00_2914); 
BgL_auxz00_3676 = 
(long)(BgL_auxz00_3677); } 
BgL_offsetz00_2919 = 
(BgL_auxz00_3676-OBJECT_TYPE); } 
{ /* Fail/walk.scm 174 */
long BgL_modz00_2920;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3681;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3682;
BgL_auxz00_3682 = 
(int)(((long)8)); 
BgL_auxz00_3681 = 
(long)(BgL_auxz00_3682); } 
BgL_modz00_2920 = 
(BgL_offsetz00_2919/BgL_auxz00_3681); } 
{ /* Fail/walk.scm 174 */
long BgL_restz00_2922;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3686;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3687;
BgL_auxz00_3687 = 
(int)(((long)8)); 
BgL_auxz00_3686 = 
(long)(BgL_auxz00_3687); } 
BgL_restz00_2922 = 
(BgL_offsetz00_2919%BgL_auxz00_3686); } 
{ /* Fail/walk.scm 174 */

{ /* Fail/walk.scm 174 */
obj_t BgL_bucketz00_2924;
{ /* Fail/walk.scm 174 */
int BgL_kz00_2934;
BgL_kz00_2934 = 
(int)(BgL_modz00_2920); 
BgL_bucketz00_2924 = 
VECTOR_REF(BgL_arg1221z00_2915,BgL_kz00_2934); } 
{ /* Fail/walk.scm 174 */
int BgL_kz00_2936;
BgL_kz00_2936 = 
(int)(BgL_restz00_2922); 
BgL_method2686z00_2912 = 
VECTOR_REF(BgL_bucketz00_2924,BgL_kz00_2936); } } } } } } } } 
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3695;
BgL_auxz00_3695 = 
PROCEDURE_ENTRY(BgL_method2686z00_2912)(BgL_method2686z00_2912, 
(obj_t)(BgL_nodez00_2911), BEOA); 
BgL_res2980z00_2937 = 
(BgL_nodez00_bglt)(BgL_auxz00_3695); } } } 
BgL_arg2904z00_1854 = BgL_res2980z00_2937; } 
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3700;
BgL_auxz00_3700 = 
(obj_t)(BgL_arg2904z00_1854); 
SET_CDR(BgL_bindingz00_1853, BgL_auxz00_3700); } } } 
{ 
obj_t BgL_l2677z00_3703;
BgL_l2677z00_3703 = 
CDR(BgL_l2677z00_1849); 
BgL_l2677z00_1849 = BgL_l2677z00_3703; 
goto BgL_lname2678z00_1850;} }  else 
{ /* Fail/walk.scm 173 */((bool_t)1); } } 
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_arg2907z00_1857;
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_arg2908z00_1858;
BgL_arg2908z00_1858 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bodyz00); 
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_res2983z00_2968;
{ /* Fail/walk.scm 176 */
obj_t BgL_method2686z00_2943;
{ /* Fail/walk.scm 176 */
long BgL_objzd2classzd2numz00_2945;
{ /* Fail/walk.scm 176 */
BgL_objectz00_bglt BgL_auxz00_3707;
BgL_auxz00_3707 = 
(BgL_objectz00_bglt)(BgL_arg2908z00_1858); 
BgL_objzd2classzd2numz00_2945 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3707); } 
{ /* Fail/walk.scm 176 */
obj_t BgL_arg1221z00_2946;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3710;
BgL_auxz00_3710 = 
(int)(((long)1)); 
BgL_arg1221z00_2946 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3710); } 
{ /* Fail/walk.scm 176 */
long BgL_offsetz00_2950;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3713;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(BgL_objzd2classzd2numz00_2945); 
BgL_auxz00_3713 = 
(long)(BgL_auxz00_3714); } 
BgL_offsetz00_2950 = 
(BgL_auxz00_3713-OBJECT_TYPE); } 
{ /* Fail/walk.scm 176 */
long BgL_modz00_2951;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3718;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3719;
BgL_auxz00_3719 = 
(int)(((long)8)); 
BgL_auxz00_3718 = 
(long)(BgL_auxz00_3719); } 
BgL_modz00_2951 = 
(BgL_offsetz00_2950/BgL_auxz00_3718); } 
{ /* Fail/walk.scm 176 */
long BgL_restz00_2953;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3723;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3724;
BgL_auxz00_3724 = 
(int)(((long)8)); 
BgL_auxz00_3723 = 
(long)(BgL_auxz00_3724); } 
BgL_restz00_2953 = 
(BgL_offsetz00_2950%BgL_auxz00_3723); } 
{ /* Fail/walk.scm 176 */

{ /* Fail/walk.scm 176 */
obj_t BgL_bucketz00_2955;
{ /* Fail/walk.scm 176 */
int BgL_kz00_2965;
BgL_kz00_2965 = 
(int)(BgL_modz00_2951); 
BgL_bucketz00_2955 = 
VECTOR_REF(BgL_arg1221z00_2946,BgL_kz00_2965); } 
{ /* Fail/walk.scm 176 */
int BgL_kz00_2967;
BgL_kz00_2967 = 
(int)(BgL_restz00_2953); 
BgL_method2686z00_2943 = 
VECTOR_REF(BgL_bucketz00_2955,BgL_kz00_2967); } } } } } } } } 
{ /* Fail/walk.scm 176 */
obj_t BgL_auxz00_3732;
BgL_auxz00_3732 = 
PROCEDURE_ENTRY(BgL_method2686z00_2943)(BgL_method2686z00_2943, 
(obj_t)(BgL_arg2908z00_1858), BEOA); 
BgL_res2983z00_2968 = 
(BgL_nodez00_bglt)(BgL_auxz00_3732); } } 
BgL_arg2907z00_1857 = BgL_res2983z00_2968; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2907z00_1857), BUNSPEC); } 
BgL_auxz00_3663 = BgL_nodez00_1845; 
return 
(obj_t)(BgL_auxz00_3663);} } } 
}



/* fail-node!-let-fun2712 */
obj_t BGl_failzd2nodez12zd2letzd2fun2712zc0zzfail_walkz00(obj_t BgL_envz00_3217, obj_t BgL_nodez00_3218)
{ AN_OBJECT;
{ /* Fail/walk.scm 162 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1831;
{ /* Fail/walk.scm 163 */
BgL_letzd2funzd2_bglt BgL_auxz00_3740;
BgL_nodez00_1831 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3218); 
{ 
obj_t BgL_l2673z00_1835;
BgL_l2673z00_1835 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_localsz00); 
BgL_lname2674z00_1836:
if(
PAIRP(BgL_l2673z00_1835))
{ /* Fail/walk.scm 164 */
BGl_failzd2funz12zc0zzfail_walkz00(
CAR(BgL_l2673z00_1835)); 
{ 
obj_t BgL_l2673z00_3745;
BgL_l2673z00_3745 = 
CDR(BgL_l2673z00_1835); 
BgL_l2673z00_1835 = BgL_l2673z00_3745; 
goto BgL_lname2674z00_1836;} }  else 
{ /* Fail/walk.scm 164 */((bool_t)1); } } 
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_arg2899z00_1841;
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_arg2900z00_1842;
BgL_arg2900z00_1842 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_bodyz00); 
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_res2977z00_2904;
{ /* Fail/walk.scm 165 */
obj_t BgL_method2686z00_2879;
{ /* Fail/walk.scm 165 */
long BgL_objzd2classzd2numz00_2881;
{ /* Fail/walk.scm 165 */
BgL_objectz00_bglt BgL_auxz00_3749;
BgL_auxz00_3749 = 
(BgL_objectz00_bglt)(BgL_arg2900z00_1842); 
BgL_objzd2classzd2numz00_2881 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3749); } 
{ /* Fail/walk.scm 165 */
obj_t BgL_arg1221z00_2882;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3752;
BgL_auxz00_3752 = 
(int)(((long)1)); 
BgL_arg1221z00_2882 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3752); } 
{ /* Fail/walk.scm 165 */
long BgL_offsetz00_2886;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3755;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3756;
BgL_auxz00_3756 = 
(int)(BgL_objzd2classzd2numz00_2881); 
BgL_auxz00_3755 = 
(long)(BgL_auxz00_3756); } 
BgL_offsetz00_2886 = 
(BgL_auxz00_3755-OBJECT_TYPE); } 
{ /* Fail/walk.scm 165 */
long BgL_modz00_2887;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3760;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3761;
BgL_auxz00_3761 = 
(int)(((long)8)); 
BgL_auxz00_3760 = 
(long)(BgL_auxz00_3761); } 
BgL_modz00_2887 = 
(BgL_offsetz00_2886/BgL_auxz00_3760); } 
{ /* Fail/walk.scm 165 */
long BgL_restz00_2889;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3765;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3766;
BgL_auxz00_3766 = 
(int)(((long)8)); 
BgL_auxz00_3765 = 
(long)(BgL_auxz00_3766); } 
BgL_restz00_2889 = 
(BgL_offsetz00_2886%BgL_auxz00_3765); } 
{ /* Fail/walk.scm 165 */

{ /* Fail/walk.scm 165 */
obj_t BgL_bucketz00_2891;
{ /* Fail/walk.scm 165 */
int BgL_kz00_2901;
BgL_kz00_2901 = 
(int)(BgL_modz00_2887); 
BgL_bucketz00_2891 = 
VECTOR_REF(BgL_arg1221z00_2882,BgL_kz00_2901); } 
{ /* Fail/walk.scm 165 */
int BgL_kz00_2903;
BgL_kz00_2903 = 
(int)(BgL_restz00_2889); 
BgL_method2686z00_2879 = 
VECTOR_REF(BgL_bucketz00_2891,BgL_kz00_2903); } } } } } } } } 
{ /* Fail/walk.scm 165 */
obj_t BgL_auxz00_3774;
BgL_auxz00_3774 = 
PROCEDURE_ENTRY(BgL_method2686z00_2879)(BgL_method2686z00_2879, 
(obj_t)(BgL_arg2900z00_1842), BEOA); 
BgL_res2977z00_2904 = 
(BgL_nodez00_bglt)(BgL_auxz00_3774); } } 
BgL_arg2899z00_1841 = BgL_res2977z00_2904; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2899z00_1841), BUNSPEC); } 
BgL_auxz00_3740 = BgL_nodez00_1831; 
return 
(obj_t)(BgL_auxz00_3740);} } } 
}



/* fail-node!-select2710 */
obj_t BGl_failzd2nodez12zd2select2710z12zzfail_walkz00(obj_t BgL_envz00_3219, obj_t BgL_nodez00_3220)
{ AN_OBJECT;
{ /* Fail/walk.scm 151 */
{ 
BgL_selectz00_bglt BgL_nodez00_1815;
{ /* Fail/walk.scm 152 */
BgL_selectz00_bglt BgL_auxz00_3782;
BgL_nodez00_1815 = 
(BgL_selectz00_bglt)(BgL_nodez00_3220); 
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_arg2887z00_1819;
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_arg2888z00_1820;
BgL_arg2888z00_1820 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_testz00); 
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_res2971z00_2836;
{ /* Fail/walk.scm 153 */
obj_t BgL_method2686z00_2811;
{ /* Fail/walk.scm 153 */
long BgL_objzd2classzd2numz00_2813;
{ /* Fail/walk.scm 153 */
BgL_objectz00_bglt BgL_auxz00_3784;
BgL_auxz00_3784 = 
(BgL_objectz00_bglt)(BgL_arg2888z00_1820); 
BgL_objzd2classzd2numz00_2813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3784); } 
{ /* Fail/walk.scm 153 */
obj_t BgL_arg1221z00_2814;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3787;
BgL_auxz00_3787 = 
(int)(((long)1)); 
BgL_arg1221z00_2814 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3787); } 
{ /* Fail/walk.scm 153 */
long BgL_offsetz00_2818;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3790;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3791;
BgL_auxz00_3791 = 
(int)(BgL_objzd2classzd2numz00_2813); 
BgL_auxz00_3790 = 
(long)(BgL_auxz00_3791); } 
BgL_offsetz00_2818 = 
(BgL_auxz00_3790-OBJECT_TYPE); } 
{ /* Fail/walk.scm 153 */
long BgL_modz00_2819;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3795;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3796;
BgL_auxz00_3796 = 
(int)(((long)8)); 
BgL_auxz00_3795 = 
(long)(BgL_auxz00_3796); } 
BgL_modz00_2819 = 
(BgL_offsetz00_2818/BgL_auxz00_3795); } 
{ /* Fail/walk.scm 153 */
long BgL_restz00_2821;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3800;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3801;
BgL_auxz00_3801 = 
(int)(((long)8)); 
BgL_auxz00_3800 = 
(long)(BgL_auxz00_3801); } 
BgL_restz00_2821 = 
(BgL_offsetz00_2818%BgL_auxz00_3800); } 
{ /* Fail/walk.scm 153 */

{ /* Fail/walk.scm 153 */
obj_t BgL_bucketz00_2823;
{ /* Fail/walk.scm 153 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_modz00_2819); 
BgL_bucketz00_2823 = 
VECTOR_REF(BgL_arg1221z00_2814,BgL_kz00_2833); } 
{ /* Fail/walk.scm 153 */
int BgL_kz00_2835;
BgL_kz00_2835 = 
(int)(BgL_restz00_2821); 
BgL_method2686z00_2811 = 
VECTOR_REF(BgL_bucketz00_2823,BgL_kz00_2835); } } } } } } } } 
{ /* Fail/walk.scm 153 */
obj_t BgL_auxz00_3809;
BgL_auxz00_3809 = 
PROCEDURE_ENTRY(BgL_method2686z00_2811)(BgL_method2686z00_2811, 
(obj_t)(BgL_arg2888z00_1820), BEOA); 
BgL_res2971z00_2836 = 
(BgL_nodez00_bglt)(BgL_auxz00_3809); } } 
BgL_arg2887z00_1819 = BgL_res2971z00_2836; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2887z00_1819), BUNSPEC); } 
{ 
obj_t BgL_l2669z00_1821;
BgL_l2669z00_1821 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_clausesz00); 
BgL_lname2670z00_1822:
if(
PAIRP(BgL_l2669z00_1821))
{ /* Fail/walk.scm 154 */
{ /* Fail/walk.scm 155 */
obj_t BgL_clausez00_1825;
BgL_clausez00_1825 = 
CAR(BgL_l2669z00_1821); 
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_arg2891z00_1826;
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_res2974z00_2869;
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_nodez00_2843;
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3818;
BgL_auxz00_3818 = 
CDR(BgL_clausez00_1825); 
BgL_nodez00_2843 = 
(BgL_nodez00_bglt)(BgL_auxz00_3818); } 
{ /* Fail/walk.scm 155 */
obj_t BgL_method2686z00_2844;
{ /* Fail/walk.scm 155 */
long BgL_objzd2classzd2numz00_2846;
{ /* Fail/walk.scm 155 */
BgL_objectz00_bglt BgL_auxz00_3821;
BgL_auxz00_3821 = 
(BgL_objectz00_bglt)(BgL_nodez00_2843); 
BgL_objzd2classzd2numz00_2846 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3821); } 
{ /* Fail/walk.scm 155 */
obj_t BgL_arg1221z00_2847;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3824;
BgL_auxz00_3824 = 
(int)(((long)1)); 
BgL_arg1221z00_2847 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3824); } 
{ /* Fail/walk.scm 155 */
long BgL_offsetz00_2851;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3827;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3828;
BgL_auxz00_3828 = 
(int)(BgL_objzd2classzd2numz00_2846); 
BgL_auxz00_3827 = 
(long)(BgL_auxz00_3828); } 
BgL_offsetz00_2851 = 
(BgL_auxz00_3827-OBJECT_TYPE); } 
{ /* Fail/walk.scm 155 */
long BgL_modz00_2852;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3832;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3833;
BgL_auxz00_3833 = 
(int)(((long)8)); 
BgL_auxz00_3832 = 
(long)(BgL_auxz00_3833); } 
BgL_modz00_2852 = 
(BgL_offsetz00_2851/BgL_auxz00_3832); } 
{ /* Fail/walk.scm 155 */
long BgL_restz00_2854;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3837;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3838;
BgL_auxz00_3838 = 
(int)(((long)8)); 
BgL_auxz00_3837 = 
(long)(BgL_auxz00_3838); } 
BgL_restz00_2854 = 
(BgL_offsetz00_2851%BgL_auxz00_3837); } 
{ /* Fail/walk.scm 155 */

{ /* Fail/walk.scm 155 */
obj_t BgL_bucketz00_2856;
{ /* Fail/walk.scm 155 */
int BgL_kz00_2866;
BgL_kz00_2866 = 
(int)(BgL_modz00_2852); 
BgL_bucketz00_2856 = 
VECTOR_REF(BgL_arg1221z00_2847,BgL_kz00_2866); } 
{ /* Fail/walk.scm 155 */
int BgL_kz00_2868;
BgL_kz00_2868 = 
(int)(BgL_restz00_2854); 
BgL_method2686z00_2844 = 
VECTOR_REF(BgL_bucketz00_2856,BgL_kz00_2868); } } } } } } } } 
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3846;
BgL_auxz00_3846 = 
PROCEDURE_ENTRY(BgL_method2686z00_2844)(BgL_method2686z00_2844, 
(obj_t)(BgL_nodez00_2843), BEOA); 
BgL_res2974z00_2869 = 
(BgL_nodez00_bglt)(BgL_auxz00_3846); } } } 
BgL_arg2891z00_1826 = BgL_res2974z00_2869; } 
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3851;
BgL_auxz00_3851 = 
(obj_t)(BgL_arg2891z00_1826); 
SET_CDR(BgL_clausez00_1825, BgL_auxz00_3851); } } } 
{ 
obj_t BgL_l2669z00_3854;
BgL_l2669z00_3854 = 
CDR(BgL_l2669z00_1821); 
BgL_l2669z00_1821 = BgL_l2669z00_3854; 
goto BgL_lname2670z00_1822;} }  else 
{ /* Fail/walk.scm 154 */((bool_t)1); } } 
BgL_auxz00_3782 = BgL_nodez00_1815; 
return 
(obj_t)(BgL_auxz00_3782);} } } 
}



/* fail-node!-fail2708 */
obj_t BGl_failzd2nodez12zd2fail2708z12zzfail_walkz00(obj_t BgL_envz00_3221, obj_t BgL_nodez00_3222)
{ AN_OBJECT;
{ /* Fail/walk.scm 132 */
{ 
BgL_failz00_bglt BgL_nodez00_1783;
BgL_nodez00_1783 = 
(BgL_failz00_bglt)(BgL_nodez00_3222); 
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_arg2860z00_1787;
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_arg2861z00_1788;
BgL_arg2861z00_1788 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00); 
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_res2961z00_2729;
{ /* Fail/walk.scm 134 */
obj_t BgL_method2686z00_2704;
{ /* Fail/walk.scm 134 */
long BgL_objzd2classzd2numz00_2706;
{ /* Fail/walk.scm 134 */
BgL_objectz00_bglt BgL_auxz00_3860;
BgL_auxz00_3860 = 
(BgL_objectz00_bglt)(BgL_arg2861z00_1788); 
BgL_objzd2classzd2numz00_2706 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3860); } 
{ /* Fail/walk.scm 134 */
obj_t BgL_arg1221z00_2707;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3863;
BgL_auxz00_3863 = 
(int)(((long)1)); 
BgL_arg1221z00_2707 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3863); } 
{ /* Fail/walk.scm 134 */
long BgL_offsetz00_2711;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3866;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(BgL_objzd2classzd2numz00_2706); 
BgL_auxz00_3866 = 
(long)(BgL_auxz00_3867); } 
BgL_offsetz00_2711 = 
(BgL_auxz00_3866-OBJECT_TYPE); } 
{ /* Fail/walk.scm 134 */
long BgL_modz00_2712;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3871;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3872;
BgL_auxz00_3872 = 
(int)(((long)8)); 
BgL_auxz00_3871 = 
(long)(BgL_auxz00_3872); } 
BgL_modz00_2712 = 
(BgL_offsetz00_2711/BgL_auxz00_3871); } 
{ /* Fail/walk.scm 134 */
long BgL_restz00_2714;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3876;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3877;
BgL_auxz00_3877 = 
(int)(((long)8)); 
BgL_auxz00_3876 = 
(long)(BgL_auxz00_3877); } 
BgL_restz00_2714 = 
(BgL_offsetz00_2711%BgL_auxz00_3876); } 
{ /* Fail/walk.scm 134 */

{ /* Fail/walk.scm 134 */
obj_t BgL_bucketz00_2716;
{ /* Fail/walk.scm 134 */
int BgL_kz00_2726;
BgL_kz00_2726 = 
(int)(BgL_modz00_2712); 
BgL_bucketz00_2716 = 
VECTOR_REF(BgL_arg1221z00_2707,BgL_kz00_2726); } 
{ /* Fail/walk.scm 134 */
int BgL_kz00_2728;
BgL_kz00_2728 = 
(int)(BgL_restz00_2714); 
BgL_method2686z00_2704 = 
VECTOR_REF(BgL_bucketz00_2716,BgL_kz00_2728); } } } } } } } } 
{ /* Fail/walk.scm 134 */
obj_t BgL_auxz00_3885;
BgL_auxz00_3885 = 
PROCEDURE_ENTRY(BgL_method2686z00_2704)(BgL_method2686z00_2704, 
(obj_t)(BgL_arg2861z00_1788), BEOA); 
BgL_res2961z00_2729 = 
(BgL_nodez00_bglt)(BgL_auxz00_3885); } } 
BgL_arg2860z00_1787 = BgL_res2961z00_2729; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2860z00_1787), BUNSPEC); } 
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_arg2862z00_1789;
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_arg2863z00_1790;
BgL_arg2863z00_1790 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00); 
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_res2964z00_2759;
{ /* Fail/walk.scm 135 */
obj_t BgL_method2686z00_2734;
{ /* Fail/walk.scm 135 */
long BgL_objzd2classzd2numz00_2736;
{ /* Fail/walk.scm 135 */
BgL_objectz00_bglt BgL_auxz00_3892;
BgL_auxz00_3892 = 
(BgL_objectz00_bglt)(BgL_arg2863z00_1790); 
BgL_objzd2classzd2numz00_2736 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3892); } 
{ /* Fail/walk.scm 135 */
obj_t BgL_arg1221z00_2737;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3895;
BgL_auxz00_3895 = 
(int)(((long)1)); 
BgL_arg1221z00_2737 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3895); } 
{ /* Fail/walk.scm 135 */
long BgL_offsetz00_2741;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3898;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3899;
BgL_auxz00_3899 = 
(int)(BgL_objzd2classzd2numz00_2736); 
BgL_auxz00_3898 = 
(long)(BgL_auxz00_3899); } 
BgL_offsetz00_2741 = 
(BgL_auxz00_3898-OBJECT_TYPE); } 
{ /* Fail/walk.scm 135 */
long BgL_modz00_2742;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3903;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3904;
BgL_auxz00_3904 = 
(int)(((long)8)); 
BgL_auxz00_3903 = 
(long)(BgL_auxz00_3904); } 
BgL_modz00_2742 = 
(BgL_offsetz00_2741/BgL_auxz00_3903); } 
{ /* Fail/walk.scm 135 */
long BgL_restz00_2744;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3908;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3909;
BgL_auxz00_3909 = 
(int)(((long)8)); 
BgL_auxz00_3908 = 
(long)(BgL_auxz00_3909); } 
BgL_restz00_2744 = 
(BgL_offsetz00_2741%BgL_auxz00_3908); } 
{ /* Fail/walk.scm 135 */

{ /* Fail/walk.scm 135 */
obj_t BgL_bucketz00_2746;
{ /* Fail/walk.scm 135 */
int BgL_kz00_2756;
BgL_kz00_2756 = 
(int)(BgL_modz00_2742); 
BgL_bucketz00_2746 = 
VECTOR_REF(BgL_arg1221z00_2737,BgL_kz00_2756); } 
{ /* Fail/walk.scm 135 */
int BgL_kz00_2758;
BgL_kz00_2758 = 
(int)(BgL_restz00_2744); 
BgL_method2686z00_2734 = 
VECTOR_REF(BgL_bucketz00_2746,BgL_kz00_2758); } } } } } } } } 
{ /* Fail/walk.scm 135 */
obj_t BgL_auxz00_3917;
BgL_auxz00_3917 = 
PROCEDURE_ENTRY(BgL_method2686z00_2734)(BgL_method2686z00_2734, 
(obj_t)(BgL_arg2863z00_1790), BEOA); 
BgL_res2964z00_2759 = 
(BgL_nodez00_bglt)(BgL_auxz00_3917); } } 
BgL_arg2862z00_1789 = BgL_res2964z00_2759; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2862z00_1789), BUNSPEC); } 
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_arg2864z00_1791;
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_arg2865z00_1792;
BgL_arg2865z00_1792 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00); 
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_res2967z00_2789;
{ /* Fail/walk.scm 136 */
obj_t BgL_method2686z00_2764;
{ /* Fail/walk.scm 136 */
long BgL_objzd2classzd2numz00_2766;
{ /* Fail/walk.scm 136 */
BgL_objectz00_bglt BgL_auxz00_3924;
BgL_auxz00_3924 = 
(BgL_objectz00_bglt)(BgL_arg2865z00_1792); 
BgL_objzd2classzd2numz00_2766 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3924); } 
{ /* Fail/walk.scm 136 */
obj_t BgL_arg1221z00_2767;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3927;
BgL_auxz00_3927 = 
(int)(((long)1)); 
BgL_arg1221z00_2767 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3927); } 
{ /* Fail/walk.scm 136 */
long BgL_offsetz00_2771;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3930;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3931;
BgL_auxz00_3931 = 
(int)(BgL_objzd2classzd2numz00_2766); 
BgL_auxz00_3930 = 
(long)(BgL_auxz00_3931); } 
BgL_offsetz00_2771 = 
(BgL_auxz00_3930-OBJECT_TYPE); } 
{ /* Fail/walk.scm 136 */
long BgL_modz00_2772;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3935;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3936;
BgL_auxz00_3936 = 
(int)(((long)8)); 
BgL_auxz00_3935 = 
(long)(BgL_auxz00_3936); } 
BgL_modz00_2772 = 
(BgL_offsetz00_2771/BgL_auxz00_3935); } 
{ /* Fail/walk.scm 136 */
long BgL_restz00_2774;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3940;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3941;
BgL_auxz00_3941 = 
(int)(((long)8)); 
BgL_auxz00_3940 = 
(long)(BgL_auxz00_3941); } 
BgL_restz00_2774 = 
(BgL_offsetz00_2771%BgL_auxz00_3940); } 
{ /* Fail/walk.scm 136 */

{ /* Fail/walk.scm 136 */
obj_t BgL_bucketz00_2776;
{ /* Fail/walk.scm 136 */
int BgL_kz00_2786;
BgL_kz00_2786 = 
(int)(BgL_modz00_2772); 
BgL_bucketz00_2776 = 
VECTOR_REF(BgL_arg1221z00_2767,BgL_kz00_2786); } 
{ /* Fail/walk.scm 136 */
int BgL_kz00_2788;
BgL_kz00_2788 = 
(int)(BgL_restz00_2774); 
BgL_method2686z00_2764 = 
VECTOR_REF(BgL_bucketz00_2776,BgL_kz00_2788); } } } } } } } } 
{ /* Fail/walk.scm 136 */
obj_t BgL_auxz00_3949;
BgL_auxz00_3949 = 
PROCEDURE_ENTRY(BgL_method2686z00_2764)(BgL_method2686z00_2764, 
(obj_t)(BgL_arg2865z00_1792), BEOA); 
BgL_res2967z00_2789 = 
(BgL_nodez00_bglt)(BgL_auxz00_3949); } } 
BgL_arg2864z00_1791 = BgL_res2967z00_2789; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2864z00_1791), BUNSPEC); } 
{ /* Fail/walk.scm 137 */
bool_t BgL_testz00_3955;
{ /* Fail/walk.scm 137 */
obj_t BgL_arg2885z00_1812;
BgL_arg2885z00_1812 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
if(
STRUCTP(BgL_arg2885z00_1812))
{ /* Fail/walk.scm 137 */
obj_t BgL_auxz00_3961;obj_t BgL_auxz00_3959;
BgL_auxz00_3961 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_3959 = 
STRUCT_KEY(BgL_arg2885z00_1812); 
BgL_testz00_3955 = 
(BgL_auxz00_3959==BgL_auxz00_3961); }  else 
{ /* Fail/walk.scm 137 */
BgL_testz00_3955 = ((bool_t)0)
; } } 
if(BgL_testz00_3955)
{ /* Fail/walk.scm 138 */
obj_t BgL_arg2867z00_1794;obj_t BgL_arg2869z00_1796;obj_t BgL_arg2870z00_1797;
{ /* Fail/walk.scm 138 */
obj_t BgL_arg2871z00_1798;obj_t BgL_arg2872z00_1799;
BgL_arg2871z00_1798 = 
CNST_TABLE_REF(((long)3)); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg2873z00_1800;obj_t BgL_arg2874z00_1801;
BgL_arg2873z00_1800 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg2875z00_1802;obj_t BgL_arg2876z00_1803;
BgL_arg2875z00_1802 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg2877z00_1804;obj_t BgL_arg2878z00_1805;
BgL_arg2877z00_1804 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00); 
{ /* Fail/walk.scm 141 */
obj_t BgL_arg2879z00_1806;obj_t BgL_arg2880z00_1807;
BgL_arg2879z00_1806 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00)); 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3970;
{ /* Fail/walk.scm 142 */
int BgL_auxz00_3973;obj_t BgL_auxz00_3971;
BgL_auxz00_3973 = 
(int)(((long)1)); 
BgL_auxz00_3971 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
BgL_auxz00_3970 = 
STRUCT_REF(BgL_auxz00_3971, BgL_auxz00_3973); } 
BgL_arg2880z00_1807 = 
MAKE_PAIR(BgL_auxz00_3970, BNIL); } 
BgL_arg2878z00_1805 = 
MAKE_PAIR(BgL_arg2879z00_1806, BgL_arg2880z00_1807); } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3978;
BgL_auxz00_3978 = 
(obj_t)(BgL_arg2877z00_1804); 
BgL_arg2876z00_1803 = 
MAKE_PAIR(BgL_auxz00_3978, BgL_arg2878z00_1805); } } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3981;
BgL_auxz00_3981 = 
(obj_t)(BgL_arg2875z00_1802); 
BgL_arg2874z00_1801 = 
MAKE_PAIR(BgL_auxz00_3981, BgL_arg2876z00_1803); } } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3984;
BgL_auxz00_3984 = 
(obj_t)(BgL_arg2873z00_1800); 
BgL_arg2872z00_1799 = 
MAKE_PAIR(BgL_auxz00_3984, BgL_arg2874z00_1801); } } 
BgL_arg2867z00_1794 = 
MAKE_PAIR(BgL_arg2871z00_1798, BgL_arg2872z00_1799); } 
BgL_arg2869z00_1796 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
BgL_arg2870z00_1797 = 
CNST_TABLE_REF(((long)4)); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_auxz00_3990;
BgL_auxz00_3990 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2867z00_1794, BNIL, BgL_arg2869z00_1796, BgL_arg2870z00_1797); 
return 
(obj_t)(BgL_auxz00_3990);} }  else 
{ /* Fail/walk.scm 137 */
return 
(obj_t)(BgL_nodez00_1783);} } } } 
}



/* fail-node!-conditional2706 */
obj_t BGl_failzd2nodez12zd2conditional2706z12zzfail_walkz00(obj_t BgL_envz00_3223, obj_t BgL_nodez00_3224)
{ AN_OBJECT;
{ /* Fail/walk.scm 122 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1771;
{ /* Fail/walk.scm 123 */
BgL_conditionalz00_bglt BgL_auxz00_3995;
BgL_nodez00_1771 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3224); 
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_arg2853z00_1775;
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_arg2854z00_1776;
BgL_arg2854z00_1776 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_testz00); 
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_res2952z00_2639;
{ /* Fail/walk.scm 124 */
obj_t BgL_method2686z00_2614;
{ /* Fail/walk.scm 124 */
long BgL_objzd2classzd2numz00_2616;
{ /* Fail/walk.scm 124 */
BgL_objectz00_bglt BgL_auxz00_3997;
BgL_auxz00_3997 = 
(BgL_objectz00_bglt)(BgL_arg2854z00_1776); 
BgL_objzd2classzd2numz00_2616 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3997); } 
{ /* Fail/walk.scm 124 */
obj_t BgL_arg1221z00_2617;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4000;
BgL_auxz00_4000 = 
(int)(((long)1)); 
BgL_arg1221z00_2617 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4000); } 
{ /* Fail/walk.scm 124 */
long BgL_offsetz00_2621;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4003;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4004;
BgL_auxz00_4004 = 
(int)(BgL_objzd2classzd2numz00_2616); 
BgL_auxz00_4003 = 
(long)(BgL_auxz00_4004); } 
BgL_offsetz00_2621 = 
(BgL_auxz00_4003-OBJECT_TYPE); } 
{ /* Fail/walk.scm 124 */
long BgL_modz00_2622;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4008;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4009;
BgL_auxz00_4009 = 
(int)(((long)8)); 
BgL_auxz00_4008 = 
(long)(BgL_auxz00_4009); } 
BgL_modz00_2622 = 
(BgL_offsetz00_2621/BgL_auxz00_4008); } 
{ /* Fail/walk.scm 124 */
long BgL_restz00_2624;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4013;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4014;
BgL_auxz00_4014 = 
(int)(((long)8)); 
BgL_auxz00_4013 = 
(long)(BgL_auxz00_4014); } 
BgL_restz00_2624 = 
(BgL_offsetz00_2621%BgL_auxz00_4013); } 
{ /* Fail/walk.scm 124 */

{ /* Fail/walk.scm 124 */
obj_t BgL_bucketz00_2626;
{ /* Fail/walk.scm 124 */
int BgL_kz00_2636;
BgL_kz00_2636 = 
(int)(BgL_modz00_2622); 
BgL_bucketz00_2626 = 
VECTOR_REF(BgL_arg1221z00_2617,BgL_kz00_2636); } 
{ /* Fail/walk.scm 124 */
int BgL_kz00_2638;
BgL_kz00_2638 = 
(int)(BgL_restz00_2624); 
BgL_method2686z00_2614 = 
VECTOR_REF(BgL_bucketz00_2626,BgL_kz00_2638); } } } } } } } } 
{ /* Fail/walk.scm 124 */
obj_t BgL_auxz00_4022;
BgL_auxz00_4022 = 
PROCEDURE_ENTRY(BgL_method2686z00_2614)(BgL_method2686z00_2614, 
(obj_t)(BgL_arg2854z00_1776), BEOA); 
BgL_res2952z00_2639 = 
(BgL_nodez00_bglt)(BgL_auxz00_4022); } } 
BgL_arg2853z00_1775 = BgL_res2952z00_2639; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2853z00_1775), BUNSPEC); } 
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_arg2855z00_1777;
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_arg2856z00_1778;
BgL_arg2856z00_1778 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_truez00); 
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_res2955z00_2669;
{ /* Fail/walk.scm 125 */
obj_t BgL_method2686z00_2644;
{ /* Fail/walk.scm 125 */
long BgL_objzd2classzd2numz00_2646;
{ /* Fail/walk.scm 125 */
BgL_objectz00_bglt BgL_auxz00_4029;
BgL_auxz00_4029 = 
(BgL_objectz00_bglt)(BgL_arg2856z00_1778); 
BgL_objzd2classzd2numz00_2646 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4029); } 
{ /* Fail/walk.scm 125 */
obj_t BgL_arg1221z00_2647;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4032;
BgL_auxz00_4032 = 
(int)(((long)1)); 
BgL_arg1221z00_2647 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4032); } 
{ /* Fail/walk.scm 125 */
long BgL_offsetz00_2651;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4035;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4036;
BgL_auxz00_4036 = 
(int)(BgL_objzd2classzd2numz00_2646); 
BgL_auxz00_4035 = 
(long)(BgL_auxz00_4036); } 
BgL_offsetz00_2651 = 
(BgL_auxz00_4035-OBJECT_TYPE); } 
{ /* Fail/walk.scm 125 */
long BgL_modz00_2652;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4040;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4041;
BgL_auxz00_4041 = 
(int)(((long)8)); 
BgL_auxz00_4040 = 
(long)(BgL_auxz00_4041); } 
BgL_modz00_2652 = 
(BgL_offsetz00_2651/BgL_auxz00_4040); } 
{ /* Fail/walk.scm 125 */
long BgL_restz00_2654;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4045;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4046;
BgL_auxz00_4046 = 
(int)(((long)8)); 
BgL_auxz00_4045 = 
(long)(BgL_auxz00_4046); } 
BgL_restz00_2654 = 
(BgL_offsetz00_2651%BgL_auxz00_4045); } 
{ /* Fail/walk.scm 125 */

{ /* Fail/walk.scm 125 */
obj_t BgL_bucketz00_2656;
{ /* Fail/walk.scm 125 */
int BgL_kz00_2666;
BgL_kz00_2666 = 
(int)(BgL_modz00_2652); 
BgL_bucketz00_2656 = 
VECTOR_REF(BgL_arg1221z00_2647,BgL_kz00_2666); } 
{ /* Fail/walk.scm 125 */
int BgL_kz00_2668;
BgL_kz00_2668 = 
(int)(BgL_restz00_2654); 
BgL_method2686z00_2644 = 
VECTOR_REF(BgL_bucketz00_2656,BgL_kz00_2668); } } } } } } } } 
{ /* Fail/walk.scm 125 */
obj_t BgL_auxz00_4054;
BgL_auxz00_4054 = 
PROCEDURE_ENTRY(BgL_method2686z00_2644)(BgL_method2686z00_2644, 
(obj_t)(BgL_arg2856z00_1778), BEOA); 
BgL_res2955z00_2669 = 
(BgL_nodez00_bglt)(BgL_auxz00_4054); } } 
BgL_arg2855z00_1777 = BgL_res2955z00_2669; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2855z00_1777), BUNSPEC); } 
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_arg2857z00_1779;
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_arg2858z00_1780;
BgL_arg2858z00_1780 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_falsez00); 
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_res2958z00_2699;
{ /* Fail/walk.scm 126 */
obj_t BgL_method2686z00_2674;
{ /* Fail/walk.scm 126 */
long BgL_objzd2classzd2numz00_2676;
{ /* Fail/walk.scm 126 */
BgL_objectz00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_arg2858z00_1780); 
BgL_objzd2classzd2numz00_2676 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4061); } 
{ /* Fail/walk.scm 126 */
obj_t BgL_arg1221z00_2677;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)1)); 
BgL_arg1221z00_2677 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4064); } 
{ /* Fail/walk.scm 126 */
long BgL_offsetz00_2681;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4067;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4068;
BgL_auxz00_4068 = 
(int)(BgL_objzd2classzd2numz00_2676); 
BgL_auxz00_4067 = 
(long)(BgL_auxz00_4068); } 
BgL_offsetz00_2681 = 
(BgL_auxz00_4067-OBJECT_TYPE); } 
{ /* Fail/walk.scm 126 */
long BgL_modz00_2682;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4072;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)8)); 
BgL_auxz00_4072 = 
(long)(BgL_auxz00_4073); } 
BgL_modz00_2682 = 
(BgL_offsetz00_2681/BgL_auxz00_4072); } 
{ /* Fail/walk.scm 126 */
long BgL_restz00_2684;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4077;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)8)); 
BgL_auxz00_4077 = 
(long)(BgL_auxz00_4078); } 
BgL_restz00_2684 = 
(BgL_offsetz00_2681%BgL_auxz00_4077); } 
{ /* Fail/walk.scm 126 */

{ /* Fail/walk.scm 126 */
obj_t BgL_bucketz00_2686;
{ /* Fail/walk.scm 126 */
int BgL_kz00_2696;
BgL_kz00_2696 = 
(int)(BgL_modz00_2682); 
BgL_bucketz00_2686 = 
VECTOR_REF(BgL_arg1221z00_2677,BgL_kz00_2696); } 
{ /* Fail/walk.scm 126 */
int BgL_kz00_2698;
BgL_kz00_2698 = 
(int)(BgL_restz00_2684); 
BgL_method2686z00_2674 = 
VECTOR_REF(BgL_bucketz00_2686,BgL_kz00_2698); } } } } } } } } 
{ /* Fail/walk.scm 126 */
obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
PROCEDURE_ENTRY(BgL_method2686z00_2674)(BgL_method2686z00_2674, 
(obj_t)(BgL_arg2858z00_1780), BEOA); 
BgL_res2958z00_2699 = 
(BgL_nodez00_bglt)(BgL_auxz00_4086); } } 
BgL_arg2857z00_1779 = BgL_res2958z00_2699; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2857z00_1779), BUNSPEC); } 
BgL_auxz00_3995 = BgL_nodez00_1771; 
return 
(obj_t)(BgL_auxz00_3995);} } } 
}



/* fail-node!-setq2704 */
obj_t BGl_failzd2nodez12zd2setq2704z12zzfail_walkz00(obj_t BgL_envz00_3225, obj_t BgL_nodez00_3226)
{ AN_OBJECT;
{ /* Fail/walk.scm 115 */
{ 
BgL_setqz00_bglt BgL_nodez00_1764;
{ /* Fail/walk.scm 116 */
BgL_setqz00_bglt BgL_auxz00_4094;
BgL_nodez00_1764 = 
(BgL_setqz00_bglt)(BgL_nodez00_3226); 
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_arg2850z00_1767;
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_arg2851z00_1768;
BgL_arg2851z00_1768 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1764))->BgL_valuez00); 
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_res2949z00_2609;
{ /* Fail/walk.scm 116 */
obj_t BgL_method2686z00_2584;
{ /* Fail/walk.scm 116 */
long BgL_objzd2classzd2numz00_2586;
{ /* Fail/walk.scm 116 */
BgL_objectz00_bglt BgL_auxz00_4096;
BgL_auxz00_4096 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1768); 
BgL_objzd2classzd2numz00_2586 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4096); } 
{ /* Fail/walk.scm 116 */
obj_t BgL_arg1221z00_2587;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4099;
BgL_auxz00_4099 = 
(int)(((long)1)); 
BgL_arg1221z00_2587 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4099); } 
{ /* Fail/walk.scm 116 */
long BgL_offsetz00_2591;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4102;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4103;
BgL_auxz00_4103 = 
(int)(BgL_objzd2classzd2numz00_2586); 
BgL_auxz00_4102 = 
(long)(BgL_auxz00_4103); } 
BgL_offsetz00_2591 = 
(BgL_auxz00_4102-OBJECT_TYPE); } 
{ /* Fail/walk.scm 116 */
long BgL_modz00_2592;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4107;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4108;
BgL_auxz00_4108 = 
(int)(((long)8)); 
BgL_auxz00_4107 = 
(long)(BgL_auxz00_4108); } 
BgL_modz00_2592 = 
(BgL_offsetz00_2591/BgL_auxz00_4107); } 
{ /* Fail/walk.scm 116 */
long BgL_restz00_2594;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4112;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4113;
BgL_auxz00_4113 = 
(int)(((long)8)); 
BgL_auxz00_4112 = 
(long)(BgL_auxz00_4113); } 
BgL_restz00_2594 = 
(BgL_offsetz00_2591%BgL_auxz00_4112); } 
{ /* Fail/walk.scm 116 */

{ /* Fail/walk.scm 116 */
obj_t BgL_bucketz00_2596;
{ /* Fail/walk.scm 116 */
int BgL_kz00_2606;
BgL_kz00_2606 = 
(int)(BgL_modz00_2592); 
BgL_bucketz00_2596 = 
VECTOR_REF(BgL_arg1221z00_2587,BgL_kz00_2606); } 
{ /* Fail/walk.scm 116 */
int BgL_kz00_2608;
BgL_kz00_2608 = 
(int)(BgL_restz00_2594); 
BgL_method2686z00_2584 = 
VECTOR_REF(BgL_bucketz00_2596,BgL_kz00_2608); } } } } } } } } 
{ /* Fail/walk.scm 116 */
obj_t BgL_auxz00_4121;
BgL_auxz00_4121 = 
PROCEDURE_ENTRY(BgL_method2686z00_2584)(BgL_method2686z00_2584, 
(obj_t)(BgL_arg2851z00_1768), BEOA); 
BgL_res2949z00_2609 = 
(BgL_nodez00_bglt)(BgL_auxz00_4121); } } 
BgL_arg2850z00_1767 = BgL_res2949z00_2609; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1764))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2850z00_1767), BUNSPEC); } 
BgL_auxz00_4094 = BgL_nodez00_1764; 
return 
(obj_t)(BgL_auxz00_4094);} } } 
}



/* fail-node!-extern2702 */
obj_t BGl_failzd2nodez12zd2extern2702z12zzfail_walkz00(obj_t BgL_envz00_3227, obj_t BgL_nodez00_3228)
{ AN_OBJECT;
{ /* Fail/walk.scm 108 */
{ 
BgL_externz00_bglt BgL_nodez00_1758;
{ /* Fail/walk.scm 109 */
BgL_externz00_bglt BgL_auxz00_4129;
BgL_nodez00_1758 = 
(BgL_externz00_bglt)(BgL_nodez00_3228); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_exprza2za2)); 
BgL_auxz00_4129 = BgL_nodez00_1758; 
return 
(obj_t)(BgL_auxz00_4129);} } } 
}



/* fail-node!-funcall2700 */
obj_t BGl_failzd2nodez12zd2funcall2700z12zzfail_walkz00(obj_t BgL_envz00_3229, obj_t BgL_nodez00_3230)
{ AN_OBJECT;
{ /* Fail/walk.scm 99 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1749;
{ /* Fail/walk.scm 100 */
BgL_funcallz00_bglt BgL_auxz00_4134;
BgL_nodez00_1749 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3230); 
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_arg2844z00_1753;
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_arg2845z00_1754;
BgL_arg2845z00_1754 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_funz00); 
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_res2946z00_2576;
{ /* Fail/walk.scm 101 */
obj_t BgL_method2686z00_2551;
{ /* Fail/walk.scm 101 */
long BgL_objzd2classzd2numz00_2553;
{ /* Fail/walk.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4136;
BgL_auxz00_4136 = 
(BgL_objectz00_bglt)(BgL_arg2845z00_1754); 
BgL_objzd2classzd2numz00_2553 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4136); } 
{ /* Fail/walk.scm 101 */
obj_t BgL_arg1221z00_2554;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4139;
BgL_auxz00_4139 = 
(int)(((long)1)); 
BgL_arg1221z00_2554 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4139); } 
{ /* Fail/walk.scm 101 */
long BgL_offsetz00_2558;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4142;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4143;
BgL_auxz00_4143 = 
(int)(BgL_objzd2classzd2numz00_2553); 
BgL_auxz00_4142 = 
(long)(BgL_auxz00_4143); } 
BgL_offsetz00_2558 = 
(BgL_auxz00_4142-OBJECT_TYPE); } 
{ /* Fail/walk.scm 101 */
long BgL_modz00_2559;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4147;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4148;
BgL_auxz00_4148 = 
(int)(((long)8)); 
BgL_auxz00_4147 = 
(long)(BgL_auxz00_4148); } 
BgL_modz00_2559 = 
(BgL_offsetz00_2558/BgL_auxz00_4147); } 
{ /* Fail/walk.scm 101 */
long BgL_restz00_2561;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4152;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)8)); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_restz00_2561 = 
(BgL_offsetz00_2558%BgL_auxz00_4152); } 
{ /* Fail/walk.scm 101 */

{ /* Fail/walk.scm 101 */
obj_t BgL_bucketz00_2563;
{ /* Fail/walk.scm 101 */
int BgL_kz00_2573;
BgL_kz00_2573 = 
(int)(BgL_modz00_2559); 
BgL_bucketz00_2563 = 
VECTOR_REF(BgL_arg1221z00_2554,BgL_kz00_2573); } 
{ /* Fail/walk.scm 101 */
int BgL_kz00_2575;
BgL_kz00_2575 = 
(int)(BgL_restz00_2561); 
BgL_method2686z00_2551 = 
VECTOR_REF(BgL_bucketz00_2563,BgL_kz00_2575); } } } } } } } } 
{ /* Fail/walk.scm 101 */
obj_t BgL_auxz00_4161;
BgL_auxz00_4161 = 
PROCEDURE_ENTRY(BgL_method2686z00_2551)(BgL_method2686z00_2551, 
(obj_t)(BgL_arg2845z00_1754), BEOA); 
BgL_res2946z00_2576 = 
(BgL_nodez00_bglt)(BgL_auxz00_4161); } } 
BgL_arg2844z00_1753 = BgL_res2946z00_2576; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2844z00_1753), BUNSPEC); } 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_argsz00)); 
BgL_auxz00_4134 = BgL_nodez00_1749; 
return 
(obj_t)(BgL_auxz00_4134);} } } 
}



/* fail-node!-app-ly2698 */
obj_t BGl_failzd2nodez12zd2appzd2ly2698zc0zzfail_walkz00(obj_t BgL_envz00_3231, obj_t BgL_nodez00_3232)
{ AN_OBJECT;
{ /* Fail/walk.scm 90 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1739;
{ /* Fail/walk.scm 91 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4171;
BgL_nodez00_1739 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3232); 
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_arg2839z00_1743;
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_arg2840z00_1744;
BgL_arg2840z00_1744 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_funz00); 
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_res2940z00_2516;
{ /* Fail/walk.scm 92 */
obj_t BgL_method2686z00_2491;
{ /* Fail/walk.scm 92 */
long BgL_objzd2classzd2numz00_2493;
{ /* Fail/walk.scm 92 */
BgL_objectz00_bglt BgL_auxz00_4173;
BgL_auxz00_4173 = 
(BgL_objectz00_bglt)(BgL_arg2840z00_1744); 
BgL_objzd2classzd2numz00_2493 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4173); } 
{ /* Fail/walk.scm 92 */
obj_t BgL_arg1221z00_2494;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4176;
BgL_auxz00_4176 = 
(int)(((long)1)); 
BgL_arg1221z00_2494 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4176); } 
{ /* Fail/walk.scm 92 */
long BgL_offsetz00_2498;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4179;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4180;
BgL_auxz00_4180 = 
(int)(BgL_objzd2classzd2numz00_2493); 
BgL_auxz00_4179 = 
(long)(BgL_auxz00_4180); } 
BgL_offsetz00_2498 = 
(BgL_auxz00_4179-OBJECT_TYPE); } 
{ /* Fail/walk.scm 92 */
long BgL_modz00_2499;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4184;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4185;
BgL_auxz00_4185 = 
(int)(((long)8)); 
BgL_auxz00_4184 = 
(long)(BgL_auxz00_4185); } 
BgL_modz00_2499 = 
(BgL_offsetz00_2498/BgL_auxz00_4184); } 
{ /* Fail/walk.scm 92 */
long BgL_restz00_2501;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4189;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(((long)8)); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_restz00_2501 = 
(BgL_offsetz00_2498%BgL_auxz00_4189); } 
{ /* Fail/walk.scm 92 */

{ /* Fail/walk.scm 92 */
obj_t BgL_bucketz00_2503;
{ /* Fail/walk.scm 92 */
int BgL_kz00_2513;
BgL_kz00_2513 = 
(int)(BgL_modz00_2499); 
BgL_bucketz00_2503 = 
VECTOR_REF(BgL_arg1221z00_2494,BgL_kz00_2513); } 
{ /* Fail/walk.scm 92 */
int BgL_kz00_2515;
BgL_kz00_2515 = 
(int)(BgL_restz00_2501); 
BgL_method2686z00_2491 = 
VECTOR_REF(BgL_bucketz00_2503,BgL_kz00_2515); } } } } } } } } 
{ /* Fail/walk.scm 92 */
obj_t BgL_auxz00_4198;
BgL_auxz00_4198 = 
PROCEDURE_ENTRY(BgL_method2686z00_2491)(BgL_method2686z00_2491, 
(obj_t)(BgL_arg2840z00_1744), BEOA); 
BgL_res2940z00_2516 = 
(BgL_nodez00_bglt)(BgL_auxz00_4198); } } 
BgL_arg2839z00_1743 = BgL_res2940z00_2516; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2839z00_1743), BUNSPEC); } 
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_arg2841z00_1745;
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_arg2842z00_1746;
BgL_arg2842z00_1746 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_argz00); 
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_res2943z00_2546;
{ /* Fail/walk.scm 93 */
obj_t BgL_method2686z00_2521;
{ /* Fail/walk.scm 93 */
long BgL_objzd2classzd2numz00_2523;
{ /* Fail/walk.scm 93 */
BgL_objectz00_bglt BgL_auxz00_4205;
BgL_auxz00_4205 = 
(BgL_objectz00_bglt)(BgL_arg2842z00_1746); 
BgL_objzd2classzd2numz00_2523 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4205); } 
{ /* Fail/walk.scm 93 */
obj_t BgL_arg1221z00_2524;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4208;
BgL_auxz00_4208 = 
(int)(((long)1)); 
BgL_arg1221z00_2524 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4208); } 
{ /* Fail/walk.scm 93 */
long BgL_offsetz00_2528;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4211;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4212;
BgL_auxz00_4212 = 
(int)(BgL_objzd2classzd2numz00_2523); 
BgL_auxz00_4211 = 
(long)(BgL_auxz00_4212); } 
BgL_offsetz00_2528 = 
(BgL_auxz00_4211-OBJECT_TYPE); } 
{ /* Fail/walk.scm 93 */
long BgL_modz00_2529;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4216;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(((long)8)); 
BgL_auxz00_4216 = 
(long)(BgL_auxz00_4217); } 
BgL_modz00_2529 = 
(BgL_offsetz00_2528/BgL_auxz00_4216); } 
{ /* Fail/walk.scm 93 */
long BgL_restz00_2531;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4221;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)8)); 
BgL_auxz00_4221 = 
(long)(BgL_auxz00_4222); } 
BgL_restz00_2531 = 
(BgL_offsetz00_2528%BgL_auxz00_4221); } 
{ /* Fail/walk.scm 93 */

{ /* Fail/walk.scm 93 */
obj_t BgL_bucketz00_2533;
{ /* Fail/walk.scm 93 */
int BgL_kz00_2543;
BgL_kz00_2543 = 
(int)(BgL_modz00_2529); 
BgL_bucketz00_2533 = 
VECTOR_REF(BgL_arg1221z00_2524,BgL_kz00_2543); } 
{ /* Fail/walk.scm 93 */
int BgL_kz00_2545;
BgL_kz00_2545 = 
(int)(BgL_restz00_2531); 
BgL_method2686z00_2521 = 
VECTOR_REF(BgL_bucketz00_2533,BgL_kz00_2545); } } } } } } } } 
{ /* Fail/walk.scm 93 */
obj_t BgL_auxz00_4230;
BgL_auxz00_4230 = 
PROCEDURE_ENTRY(BgL_method2686z00_2521)(BgL_method2686z00_2521, 
(obj_t)(BgL_arg2842z00_1746), BEOA); 
BgL_res2943z00_2546 = 
(BgL_nodez00_bglt)(BgL_auxz00_4230); } } 
BgL_arg2841z00_1745 = BgL_res2943z00_2546; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2841z00_1745), BUNSPEC); } 
BgL_auxz00_4171 = BgL_nodez00_1739; 
return 
(obj_t)(BgL_auxz00_4171);} } } 
}



/* fail-node!-app2696 */
obj_t BGl_failzd2nodez12zd2app2696z12zzfail_walkz00(obj_t BgL_envz00_3233, obj_t BgL_nodez00_3234)
{ AN_OBJECT;
{ /* Fail/walk.scm 82 */
{ 
BgL_appz00_bglt BgL_nodez00_1732;
{ /* Fail/walk.scm 83 */
BgL_appz00_bglt BgL_auxz00_4238;
BgL_nodez00_1732 = 
(BgL_appz00_bglt)(BgL_nodez00_3234); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1732))->BgL_argsz00)); 
BgL_auxz00_4238 = BgL_nodez00_1732; 
return 
(obj_t)(BgL_auxz00_4238);} } } 
}



/* fail-node!-sequence2694 */
obj_t BGl_failzd2nodez12zd2sequence2694z12zzfail_walkz00(obj_t BgL_envz00_3235, obj_t BgL_nodez00_3236)
{ AN_OBJECT;
{ /* Fail/walk.scm 75 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1726;
{ /* Fail/walk.scm 76 */
BgL_sequencez00_bglt BgL_auxz00_4243;
BgL_nodez00_1726 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3236); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1726))->BgL_nodesz00)); 
BgL_auxz00_4243 = BgL_nodez00_1726; 
return 
(obj_t)(BgL_auxz00_4243);} } } 
}



/* fail-node!-var2692 */
obj_t BGl_failzd2nodez12zd2var2692z12zzfail_walkz00(obj_t BgL_envz00_3237, obj_t BgL_nodez00_3238)
{ AN_OBJECT;
{ /* Fail/walk.scm 69 */
{ 
BgL_varz00_bglt BgL_nodez00_1721;
{ /* Fail/walk.scm 69 */
BgL_varz00_bglt BgL_auxz00_4248;
BgL_nodez00_1721 = 
(BgL_varz00_bglt)(BgL_nodez00_3238); 
BgL_auxz00_4248 = BgL_nodez00_1721; 
return 
(obj_t)(BgL_auxz00_4248);} } } 
}



/* fail-node!-kwote2690 */
obj_t BGl_failzd2nodez12zd2kwote2690z12zzfail_walkz00(obj_t BgL_envz00_3239, obj_t BgL_nodez00_3240)
{ AN_OBJECT;
{ /* Fail/walk.scm 63 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1716;
{ /* Fail/walk.scm 63 */
BgL_kwotez00_bglt BgL_auxz00_4251;
BgL_nodez00_1716 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3240); 
BgL_auxz00_4251 = BgL_nodez00_1716; 
return 
(obj_t)(BgL_auxz00_4251);} } } 
}



/* fail-node!-atom2688 */
obj_t BGl_failzd2nodez12zd2atom2688z12zzfail_walkz00(obj_t BgL_envz00_3241, obj_t BgL_nodez00_3242)
{ AN_OBJECT;
{ /* Fail/walk.scm 57 */
{ 
BgL_atomz00_bglt BgL_nodez00_1711;
{ /* Fail/walk.scm 57 */
BgL_atomz00_bglt BgL_auxz00_4254;
BgL_nodez00_1711 = 
(BgL_atomz00_bglt)(BgL_nodez00_3242); 
BgL_auxz00_4254 = BgL_nodez00_1711; 
return 
(obj_t)(BgL_auxz00_4254);} } } 
}



/* fail-node! */
BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt BgL_nodez00_17)
{ AN_OBJECT;
{ /* Fail/walk.scm 52 */
{ /* Fail/walk.scm 52 */
obj_t BgL_method2686z00_3151;
{ /* Fail/walk.scm 52 */
long BgL_objzd2classzd2numz00_3153;
{ /* Fail/walk.scm 52 */
BgL_objectz00_bglt BgL_auxz00_4257;
BgL_auxz00_4257 = 
(BgL_objectz00_bglt)(BgL_nodez00_17); 
BgL_objzd2classzd2numz00_3153 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4257); } 
{ /* Fail/walk.scm 52 */
obj_t BgL_arg1221z00_3154;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4260;
BgL_auxz00_4260 = 
(int)(((long)1)); 
BgL_arg1221z00_3154 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4260); } 
{ /* Fail/walk.scm 52 */
long BgL_offsetz00_3158;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4263;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(BgL_objzd2classzd2numz00_3153); 
BgL_auxz00_4263 = 
(long)(BgL_auxz00_4264); } 
BgL_offsetz00_3158 = 
(BgL_auxz00_4263-OBJECT_TYPE); } 
{ /* Fail/walk.scm 52 */
long BgL_modz00_3159;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4268;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4269;
BgL_auxz00_4269 = 
(int)(((long)8)); 
BgL_auxz00_4268 = 
(long)(BgL_auxz00_4269); } 
BgL_modz00_3159 = 
(BgL_offsetz00_3158/BgL_auxz00_4268); } 
{ /* Fail/walk.scm 52 */
long BgL_restz00_3161;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4273;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4274;
BgL_auxz00_4274 = 
(int)(((long)8)); 
BgL_auxz00_4273 = 
(long)(BgL_auxz00_4274); } 
BgL_restz00_3161 = 
(BgL_offsetz00_3158%BgL_auxz00_4273); } 
{ /* Fail/walk.scm 52 */

{ /* Fail/walk.scm 52 */
obj_t BgL_bucketz00_3163;
{ /* Fail/walk.scm 52 */
int BgL_kz00_3173;
BgL_kz00_3173 = 
(int)(BgL_modz00_3159); 
BgL_bucketz00_3163 = 
VECTOR_REF(BgL_arg1221z00_3154,BgL_kz00_3173); } 
{ /* Fail/walk.scm 52 */
int BgL_kz00_3175;
BgL_kz00_3175 = 
(int)(BgL_restz00_3161); 
BgL_method2686z00_3151 = 
VECTOR_REF(BgL_bucketz00_3163,BgL_kz00_3175); } } } } } } } } 
{ /* Fail/walk.scm 52 */
obj_t BgL_auxz00_4282;
BgL_auxz00_4282 = 
PROCEDURE_ENTRY(BgL_method2686z00_3151)(BgL_method2686z00_3151, 
(obj_t)(BgL_nodez00_17), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4282);} } } 
}



/* _fail-node! */
obj_t BGl__failzd2nodez12zc0zzfail_walkz00(obj_t BgL_envz00_3181, obj_t BgL_nodez00_3182)
{ AN_OBJECT;
{ /* Fail/walk.scm 52 */
{ /* Fail/walk.scm 52 */
BgL_nodez00_bglt BgL_auxz00_4287;
BgL_auxz00_4287 = 
BGl_failzd2nodez12zc0zzfail_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3182)); 
return 
(obj_t)(BgL_auxz00_4287);} } 
}



/* fail-node!-default2685 */
BgL_nodez00_bglt BGl_failzd2nodez12zd2default2685z12zzfail_walkz00(BgL_nodez00_bglt BgL_nodez00_18)
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ 
obj_t BgL_auxz00_4293;obj_t BgL_auxz00_4291;
BgL_auxz00_4293 = 
(obj_t)(BgL_nodez00_18); 
BgL_auxz00_4291 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_4291,BGl_string3030z00zzfail_walkz00,BgL_auxz00_4293);} } 
}



/* _fail-node!-default2685 */
obj_t BGl__failzd2nodez12zd2default2685z12zzfail_walkz00(obj_t BgL_envz00_3243, obj_t BgL_nodez00_3244)
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
BgL_nodez00_bglt BgL_auxz00_4296;
BgL_auxz00_4296 = 
BGl_failzd2nodez12zd2default2685z12zzfail_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3244)); 
return 
(obj_t)(BgL_auxz00_4296);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "fail_walk"); 
return 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "fail_walk");} 
}

