/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;


static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl_inlinezd2nodezd2makezd2box2786zd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern BgL_isfunz00_bglt BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt, BgL_nodez00_bglt, obj_t);
static obj_t BGl__isfunzf3zf3zzinline_inlinez00(obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2select2776z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2letzd2var2780zd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__isfunzd2recursivezd2callsz00zzinline_inlinez00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_inlinezd2nodezd2app2760z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__inlinezd2nodezd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_isfunz00_bglt);
static obj_t BGl_inlinezd2nodezd2cast2768z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__wideningzd2isfun3072zd2zzinline_inlinez00(obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2letzd2fun2778zd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__inlinezd2sfunz12zc0zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl__allocatezd2isfunzd2zzinline_inlinez00(obj_t);
static obj_t BGl_inlinezd2nodezd2appzd2ly2762zd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
static BgL_nodez00_bglt BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_isfunz00_bglt);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_inlinezd2nodezd2kwote2756z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_inlinezd2nodezd2setzd2exzd2it2782z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern BgL_isfunz00_bglt BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long, obj_t);
static obj_t BGl_inlinezd2nodezd2extern2766z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2conditional2772z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_inlinezd2nodezd2sequence2758z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl__fillzd2isfunz12zc0zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_isfunz00_bglt, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_inlinezd2nodezd2setq2770z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2isfun2792ze3zzinline_inlinez00(obj_t, obj_t);
static obj_t BGl__isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(obj_t, obj_t, obj_t);
extern bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
static BgL_nodez00_bglt BGl_inlinezd2nodezd2default2749z00zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
static obj_t BGl__inlinezd2nodezd2default2749z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2boxzd2setz122790zc0zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl__isfunzd2originalzd2bodyz00zzinline_inlinez00(obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2jumpzd2exzd2it2784z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
static obj_t BGl_structzb2objectzd2ze3objectzd2isfun2794z51zzinline_inlinez00(obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2var2754z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_inlinezd2nodezd2atom2752z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
static bool_t BGl_sfunzf3zf3zzinline_inlinez00(obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t, BgL_nodez00_bglt);
static obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_inlinezd2nodezd2funcall2764z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2nodezd2boxzd2ref2788zd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2isfunzd2zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long, obj_t);
obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
extern BgL_sfunz00_bglt BGl_allocatezd2isfunzd2zzinline_inlinez00();
static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
extern BgL_isfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
static obj_t BGl__sfunzf3zf3zzinline_inlinez00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
static obj_t BGl_inlinezd2nodezd2fail2774z00zzinline_inlinez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2isfunzd2envz00zzinline_inlinez00, BgL_bgl__allocateza7d2isfunza7d2za7za7inline_inlineza7003104za7, BGl__allocatezd2isfunzd2zzinline_inlinez00, 0L, 0 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00, BgL_bgl__isfunza7d2recursiveza7d2callsza700za7za7inline_inlineza7003105z00, BGl__isfunzd2recursivezd2callsz00zzinline_inlinez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf3zd2envz21zzinline_inlinez00, BgL_bgl__sfunza7f3za7f3za7za7inline_inlineza7003106za7, BGl__sfunzf3zf3zzinline_inlinez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2isfunz12zd2envz12zzinline_inlinez00, BgL_bgl__fillza7d2isfunza712za7c0za7za7inline_inlineza7003107z00, BGl__fillzd2isfunz12zc0zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3076z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2atom2752za700za7za7inline_inlineza7003108z00, BGl_inlinezd2nodezd2atom2752z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3077z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2var2754za700za7za7inline_inlineza7003109z00, BGl_inlinezd2nodezd2var2754z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3078z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2kwote2756za700za7za7inline_inlineza7003110z00, BGl_inlinezd2nodezd2kwote2756z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3080z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2app2760za700za7za7inline_inlineza7003111z00, BGl_inlinezd2nodezd2app2760z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3079z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2sequence2758za700za7za7inline_inlineza7003112z00, BGl_inlinezd2nodezd2sequence2758z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3081z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2appza7d2ly2762za7d2za7za7inline_inlineza7003113za7, BGl_inlinezd2nodezd2appzd2ly2762zd2zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3082z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2funcall2764za700za7za7inline_inlineza7003114z00, BGl_inlinezd2nodezd2funcall2764z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3083z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2extern2766za700za7za7inline_inlineza7003115z00, BGl_inlinezd2nodezd2extern2766z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3084z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2cast2768za700za7za7inline_inlineza7003116z00, BGl_inlinezd2nodezd2cast2768z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3085z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2setq2770za700za7za7inline_inlineza7003117z00, BGl_inlinezd2nodezd2setq2770z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3086z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2conditional2772za700za7za7inline_inlineza7003118z00, BGl_inlinezd2nodezd2conditional2772z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3087z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2fail2774za700za7za7inline_inlineza7003119z00, BGl_inlinezd2nodezd2fail2774z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3088z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2select2776za700za7za7inline_inlineza7003120z00, BGl_inlinezd2nodezd2select2776z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3090z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2letza7d2var2780za7d2za7za7inline_inlineza7003121za7, BGl_inlinezd2nodezd2letzd2var2780zd2zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3089z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2letza7d2fun2778za7d2za7za7inline_inlineza7003122za7, BGl_inlinezd2nodezd2letzd2fun2778zd2zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3091z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2setza7d2exza7d2it2782za700za7za7inline_inlineza7003123z00, BGl_inlinezd2nodezd2setzd2exzd2it2782z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3092z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2jumpza7d2exza7d2it2784za700za7za7inline_inlineza7003124z00, BGl_inlinezd2nodezd2jumpzd2exzd2it2784z00zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3093z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2makeza7d2box2786za7d2za7za7inline_inlineza7003125za7, BGl_inlinezd2nodezd2makezd2box2786zd2zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3094z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2boxza7d2ref2788za7d2za7za7inline_inlineza7003126za7, BGl_inlinezd2nodezd2boxzd2ref2788zd2zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3095z00zzinline_inlinez00, BgL_bgl_inlineza7d2nodeza7d2boxza7d2setza7122790za7c0za7za7inline_inlineza7003127z00, BGl_inlinezd2nodezd2boxzd2setz122790zc0zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3096z00zzinline_inlinez00, BgL_bgl_objectza7d2za7e3structza7d2isfun2792za7e3za7za7inline_inlineza7003128za7, BGl_objectzd2ze3structzd2isfun2792ze3zzinline_inlinez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3097z00zzinline_inlinez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2isfun2794za751za7za7inline_inlineza7003129z00, BGl_structzb2objectzd2ze3objectzd2isfun2794z51zzinline_inlinez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2isfunzd2envz00zzinline_inlinez00, BgL_bgl__makeza7d2isfunza7d2za7za7inline_inlineza7003130za7, BGl__makezd2isfunzd2zzinline_inlinez00, 0L, 14 );
DEFINE_STATIC_PROCEDURE( BGl_inlinezd2nodezd2default2749zd2envzd2zzinline_inlinez00, BgL_bgl__inlineza7d2nodeza7d2default2749za700za7za7inline_inlineza7003131z00, BGl__inlinezd2nodezd2default2749z00zzinline_inlinez00, 0L, 3 );
DEFINE_STRING( BGl_string3099z00zzinline_inlinez00, BgL_bgl_string3099za700za7za7inline_inlineza7003132z00, "inline-node-default2749 read static recursive-calls original-body isfun done ", 77 );
DEFINE_STRING( BGl_string3098z00zzinline_inlinez00, BgL_bgl_string3098za700za7za7inline_inlineza7003133z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00, BgL_bgl__isfunza7d2originalza7d2bodyza700za7za7inline_inlineza7003134z00, BGl__isfunzd2originalzd2bodyz00zzinline_inlinez00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_bgl__inlineza7d2nodeza7d2za7za7inline_inlineza7003135za7, BGl__inlinezd2nodezd2zzinline_inlinez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00, BgL_bgl__inlineza7d2sfunza712za7c0za7za7inline_inlineza7003136z00, BGl__inlinezd2sfunz12zc0zzinline_inlinez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00, BgL_bgl__isfunza7d2recursiveza7d2callsza7d2setza712za7c0za7za7inline_inlineza7003137z00, BGl__isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2isfunzd2envz00zzinline_inlinez00, BgL_bgl__wideningza7d2isfun3072za7d2za7za7inline_inlineza7003138za7, BGl__wideningzd2isfun3072zd2zzinline_inlinez00, 0L, 2 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_isfunzf3zd2envz21zzinline_inlinez00, BgL_bgl__isfunza7f3za7f3za7za7inline_inlineza7003139za7, BGl__isfunzf3zf3zzinline_inlinez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long BgL_checksumz00_3719, char * BgL_fromz00_3720)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
{ 
BGl_requirezd2initializa7ationz75zzinline_inlinez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_inlinez00(); 
BGl_cnstzd2initzd2zzinline_inlinez00(); 
BGl_importedzd2moduleszd2initz00zzinline_inlinez00(); 
BGl_objectzd2initzd2zzinline_inlinez00(); 
BGl_methodzd2initzd2zzinline_inlinez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_inline"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_inline"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
{ /* Inline/inline.scm 15 */
obj_t BgL_cportz00_3712;
BgL_cportz00_3712 = 
open_input_string(BGl_string3099z00zzinline_inlinez00); 
{ 
long BgL_iz00_3713;
BgL_iz00_3713 = ((long)6); 
BgL_loopz00_3714:
if(
(BgL_iz00_3713==((long)-1)))
{ /* Inline/inline.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/inline.scm 15 */
{ /* Inline/inline.scm 15 */
obj_t BgL_arg3101z00_3716;
{ /* Inline/inline.scm 15 */
obj_t BgL_list3102z00_3717;
BgL_list3102z00_3717 = 
MAKE_PAIR(BgL_cportz00_3712, BNIL); 
BgL_arg3101z00_3716 = 
BGl_readz00zz__readerz00(BgL_list3102z00_3717); } 
{ /* Inline/inline.scm 15 */
int BgL_auxz00_3737;
BgL_auxz00_3737 = 
(int)(BgL_iz00_3713); 
CNST_TABLE_SET(BgL_auxz00_3737, BgL_arg3101z00_3716); } } 
{ 
long BgL_iz00_3740;
{ /* Inline/inline.scm 15 */
int BgL_auxz00_3741;
{ /* Inline/inline.scm 15 */
long BgL_auxz00_3742;
BgL_auxz00_3742 = 
(BgL_iz00_3713-((long)1)); 
BgL_auxz00_3741 = 
(int)(BgL_auxz00_3742); } 
BgL_iz00_3740 = 
(long)(BgL_auxz00_3741); } 
BgL_iz00_3713 = BgL_iz00_3740; 
goto BgL_loopz00_3714;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
return BUNSPEC;} 
}



/* inline-sfun! */
obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt BgL_variablez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3)
{ AN_OBJECT;
{ /* Inline/inline.scm 33 */
{ /* Inline/inline.scm 36 */
BgL_valuez00_bglt BgL_sfunz00_1353;
BgL_sfunz00_1353 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1))->BgL_valuez00); 
{ /* Inline/inline.scm 36 */
obj_t BgL_isfunz00_1354;
{ /* Inline/inline.scm 37 */
bool_t BgL_test2806z00_1365;
BgL_test2806z00_1365 = 
BGl_iszd2azf3z21zz__objectz00(BGl_sfunzf3zd2envz21zzinline_inlinez00, BGl_isfunz00zzinline_inlinez00); 
if(BgL_test2806z00_1365)
{ /* Inline/inline.scm 37 */
BgL_isfunz00_1354 = 
(obj_t)(BgL_sfunz00_1353); }  else 
{ /* Inline/inline.scm 39 */
BgL_isfunz00_bglt BgL_obj2728z00_1366;
BgL_obj2728z00_1366 = 
((BgL_isfunz00_bglt)BgL_sfunz00_1353); 
{ /* Inline/inline.scm 39 */
BgL_isfunz00_bglt BgL_arg2807z00_1367;
{ /* Inline/inline.scm 39 */
BgL_isfunz00_bglt BgL_res2982z00_2049;
{ /* Inline/inline.scm 39 */
BgL_nodez00_bglt BgL_originalzd2body2654zd2_2040;
{ /* Inline/inline.scm 39 */
obj_t BgL_auxz00_3751;
{ /* Inline/inline.scm 39 */
BgL_sfunz00_bglt BgL_obj1372z00_2039;
BgL_obj1372z00_2039 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1353); 
BgL_auxz00_3751 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2039))->BgL_bodyz00); } 
BgL_originalzd2body2654zd2_2040 = 
(BgL_nodez00_bglt)(BgL_auxz00_3751); } 
{ /* Inline/inline.scm 39 */
BgL_isfunz00_bglt BgL_new2656z00_2042;
BgL_new2656z00_2042 = 
((BgL_isfunz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isfunz00_bgl)))); 
{ /* Inline/inline.scm 39 */
BgL_isfunz00_bglt BgL_res2981z00_2048;
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2042))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2654zd2_2040), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2042))->BgL_recursivezd2callszd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2981z00_2048 = BgL_new2656z00_2042; BgL_res2981z00_2048; } 
BgL_res2982z00_2049 = BgL_new2656z00_2042; } } 
BgL_arg2807z00_1367 = BgL_res2982z00_2049; } 
{ /* Inline/inline.scm 39 */
obj_t BgL_auxz00_3760;BgL_objectz00_bglt BgL_auxz00_3758;
BgL_auxz00_3760 = 
(obj_t)(BgL_arg2807z00_1367); 
BgL_auxz00_3758 = 
(BgL_objectz00_bglt)(BgL_obj2728z00_1366); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3758, BgL_auxz00_3760); } } 
{ /* Inline/inline.scm 39 */
long BgL_arg2809z00_1369;
BgL_arg2809z00_1369 = 
BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00); 
{ /* Inline/inline.scm 39 */
BgL_objectz00_bglt BgL_auxz00_3764;
BgL_auxz00_3764 = 
(BgL_objectz00_bglt)(BgL_obj2728z00_1366); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3764, BgL_arg2809z00_1369); } } 
{ /* Inline/inline.scm 39 */
obj_t BgL_auxz00_3767;
BgL_auxz00_3767 = 
(obj_t)(BgL_obj2728z00_1366); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3767); } BUNSPEC; 
BgL_isfunz00_1354 = 
(obj_t)(BgL_obj2728z00_1366); } } 
{ /* Inline/inline.scm 37 */
BgL_nodez00_bglt BgL_ozd2bodyzd2_1355;
{ /* Inline/inline.scm 40 */
BgL_isfunz00_bglt BgL_obj2688z00_2053;
BgL_obj2688z00_2053 = 
(BgL_isfunz00_bglt)(BgL_isfunz00_1354); 
{ 
obj_t BgL_auxz00_3772;
{ /* Inline/inline.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3773;
BgL_auxz00_3773 = 
(BgL_objectz00_bglt)(BgL_obj2688z00_2053); 
BgL_auxz00_3772 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3773); } 
BgL_ozd2bodyzd2_1355 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_3772))->BgL_originalzd2bodyzd2); } } 
{ /* Inline/inline.scm 40 */
BgL_nodez00_bglt BgL_inlzd2bodyzd2_1356;
{ /* Inline/inline.scm 41 */
bool_t BgL_test2797z00_1359;
{ /* Inline/inline.scm 43 */
long BgL_arg2799z00_1360;
{ /* Inline/inline.scm 43 */
long BgL_auxz00_3777;
{ /* Inline/inline.scm 43 */
obj_t BgL_auxz00_3778;
{ /* Inline/inline.scm 43 */
BgL_sfunz00_bglt BgL_obj1369z00_2054;
BgL_obj1369z00_2054 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1353); 
BgL_auxz00_3778 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2054))->BgL_argsz00); } 
BgL_auxz00_3777 = 
bgl_list_length(BgL_auxz00_3778); } 
BgL_arg2799z00_1360 = 
(((long)1)+BgL_auxz00_3777); } 
BgL_test2797z00_1359 = 
BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_1, 
(long)CINT(BGl_za2kfactorza2z00zzinline_walkz00), BgL_arg2799z00_1360, BNIL); } 
if(BgL_test2797z00_1359)
{ /* Inline/inline.scm 41 */
BgL_inlzd2bodyzd2_1356 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE, BgL_ozd2bodyzd2_1355); }  else 
{ /* Inline/inline.scm 41 */
BgL_inlzd2bodyzd2_1356 = BgL_ozd2bodyzd2_1355; } } 
{ /* Inline/inline.scm 41 */

{ /* Inline/inline.scm 54 */
BgL_nodez00_bglt BgL_arg2795z00_1357;
{ /* Inline/inline.scm 54 */
obj_t BgL_arg2796z00_1358;
{ /* Inline/inline.scm 54 */
obj_t BgL_auxz00_3787;
BgL_auxz00_3787 = 
(obj_t)(BgL_variablez00_1); 
BgL_arg2796z00_1358 = 
MAKE_PAIR(BgL_auxz00_3787, BgL_stackz00_3); } 
{ /* Inline/inline.scm 52 */
BgL_nodez00_bglt BgL_res2985z00_2085;
{ /* Inline/inline.scm 52 */
obj_t BgL_method2750z00_2060;
{ /* Inline/inline.scm 52 */
long BgL_objzd2classzd2numz00_2062;
{ /* Inline/inline.scm 52 */
BgL_objectz00_bglt BgL_auxz00_3790;
BgL_auxz00_3790 = 
(BgL_objectz00_bglt)(BgL_inlzd2bodyzd2_1356); 
BgL_objzd2classzd2numz00_2062 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3790); } 
{ /* Inline/inline.scm 52 */
obj_t BgL_arg1221z00_2063;
{ /* Inline/inline.scm 52 */
int BgL_auxz00_3793;
BgL_auxz00_3793 = 
(int)(((long)1)); 
BgL_arg1221z00_2063 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_3793); } 
{ /* Inline/inline.scm 52 */
long BgL_offsetz00_2067;
{ /* Inline/inline.scm 52 */
long BgL_auxz00_3796;
{ /* Inline/inline.scm 52 */
int BgL_auxz00_3797;
BgL_auxz00_3797 = 
(int)(BgL_objzd2classzd2numz00_2062); 
BgL_auxz00_3796 = 
(long)(BgL_auxz00_3797); } 
BgL_offsetz00_2067 = 
(BgL_auxz00_3796-OBJECT_TYPE); } 
{ /* Inline/inline.scm 52 */
long BgL_modz00_2068;
{ /* Inline/inline.scm 52 */
long BgL_auxz00_3801;
{ /* Inline/inline.scm 52 */
int BgL_auxz00_3802;
BgL_auxz00_3802 = 
(int)(((long)8)); 
BgL_auxz00_3801 = 
(long)(BgL_auxz00_3802); } 
BgL_modz00_2068 = 
(BgL_offsetz00_2067/BgL_auxz00_3801); } 
{ /* Inline/inline.scm 52 */
long BgL_restz00_2070;
{ /* Inline/inline.scm 52 */
long BgL_auxz00_3806;
{ /* Inline/inline.scm 52 */
int BgL_auxz00_3807;
BgL_auxz00_3807 = 
(int)(((long)8)); 
BgL_auxz00_3806 = 
(long)(BgL_auxz00_3807); } 
BgL_restz00_2070 = 
(BgL_offsetz00_2067%BgL_auxz00_3806); } 
{ /* Inline/inline.scm 52 */

{ /* Inline/inline.scm 52 */
obj_t BgL_bucketz00_2072;
{ /* Inline/inline.scm 52 */
int BgL_kz00_2082;
BgL_kz00_2082 = 
(int)(BgL_modz00_2068); 
BgL_bucketz00_2072 = 
VECTOR_REF(BgL_arg1221z00_2063,BgL_kz00_2082); } 
{ /* Inline/inline.scm 52 */
int BgL_kz00_2084;
BgL_kz00_2084 = 
(int)(BgL_restz00_2070); 
BgL_method2750z00_2060 = 
VECTOR_REF(BgL_bucketz00_2072,BgL_kz00_2084); } } } } } } } } 
{ /* Inline/inline.scm 52 */
obj_t BgL_auxz00_3815;
BgL_auxz00_3815 = 
PROCEDURE_ENTRY(BgL_method2750z00_2060)(BgL_method2750z00_2060, 
(obj_t)(BgL_inlzd2bodyzd2_1356), 
BINT(BgL_kfactorz00_2), BgL_arg2796z00_1358, BEOA); 
BgL_res2985z00_2085 = 
(BgL_nodez00_bglt)(BgL_auxz00_3815); } } 
BgL_arg2795z00_1357 = BgL_res2985z00_2085; } } 
{ /* Inline/inline.scm 52 */
BgL_sfunz00_bglt BgL_obj1374z00_2086;obj_t BgL_val1373z00_2087;
BgL_obj1374z00_2086 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1353); 
BgL_val1373z00_2087 = 
(obj_t)(BgL_arg2795z00_1357); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2086))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2087), BUNSPEC); } } 
return BNIL;} } } } } } 
}



/* _inline-sfun! */
obj_t BGl__inlinezd2sfunz12zc0zzinline_inlinez00(obj_t BgL_envz00_3554, obj_t BgL_variablez00_3555, obj_t BgL_kfactorz00_3556, obj_t BgL_stackz00_3557)
{ AN_OBJECT;
{ /* Inline/inline.scm 33 */
return 
BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
(BgL_variablez00_bglt)(BgL_variablez00_3555), 
(long)CINT(BgL_kfactorz00_3556), BgL_stackz00_3557);} 
}



/* inline-node*! */
obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t BgL_nodeza2za2_70, obj_t BgL_kfactorz00_71, obj_t BgL_stackz00_72)
{ AN_OBJECT;
{ /* Inline/inline.scm 237 */
BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
if(
NULLP(BgL_nodeza2za2_70))
{ /* Inline/inline.scm 238 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Inline/inline.scm 238 */
{ /* Inline/inline.scm 241 */
BgL_nodez00_bglt BgL_arg2811z00_1371;
{ /* Inline/inline.scm 241 */
BgL_nodez00_bglt BgL_res2988z00_2118;
{ /* Inline/inline.scm 241 */
BgL_nodez00_bglt BgL_nodez00_2090;long BgL_kfactorz00_2091;
{ /* Inline/inline.scm 241 */
obj_t BgL_auxz00_3830;
BgL_auxz00_3830 = 
CAR(BgL_nodeza2za2_70); 
BgL_nodez00_2090 = 
(BgL_nodez00_bglt)(BgL_auxz00_3830); } 
BgL_kfactorz00_2091 = 
(long)CINT(BgL_kfactorz00_71); 
{ /* Inline/inline.scm 241 */
obj_t BgL_method2750z00_2093;
{ /* Inline/inline.scm 241 */
long BgL_objzd2classzd2numz00_2095;
{ /* Inline/inline.scm 241 */
BgL_objectz00_bglt BgL_auxz00_3834;
BgL_auxz00_3834 = 
(BgL_objectz00_bglt)(BgL_nodez00_2090); 
BgL_objzd2classzd2numz00_2095 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3834); } 
{ /* Inline/inline.scm 241 */
obj_t BgL_arg1221z00_2096;
{ /* Inline/inline.scm 241 */
int BgL_auxz00_3837;
BgL_auxz00_3837 = 
(int)(((long)1)); 
BgL_arg1221z00_2096 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_3837); } 
{ /* Inline/inline.scm 241 */
long BgL_offsetz00_2100;
{ /* Inline/inline.scm 241 */
long BgL_auxz00_3840;
{ /* Inline/inline.scm 241 */
int BgL_auxz00_3841;
BgL_auxz00_3841 = 
(int)(BgL_objzd2classzd2numz00_2095); 
BgL_auxz00_3840 = 
(long)(BgL_auxz00_3841); } 
BgL_offsetz00_2100 = 
(BgL_auxz00_3840-OBJECT_TYPE); } 
{ /* Inline/inline.scm 241 */
long BgL_modz00_2101;
{ /* Inline/inline.scm 241 */
long BgL_auxz00_3845;
{ /* Inline/inline.scm 241 */
int BgL_auxz00_3846;
BgL_auxz00_3846 = 
(int)(((long)8)); 
BgL_auxz00_3845 = 
(long)(BgL_auxz00_3846); } 
BgL_modz00_2101 = 
(BgL_offsetz00_2100/BgL_auxz00_3845); } 
{ /* Inline/inline.scm 241 */
long BgL_restz00_2103;
{ /* Inline/inline.scm 241 */
long BgL_auxz00_3850;
{ /* Inline/inline.scm 241 */
int BgL_auxz00_3851;
BgL_auxz00_3851 = 
(int)(((long)8)); 
BgL_auxz00_3850 = 
(long)(BgL_auxz00_3851); } 
BgL_restz00_2103 = 
(BgL_offsetz00_2100%BgL_auxz00_3850); } 
{ /* Inline/inline.scm 241 */

{ /* Inline/inline.scm 241 */
obj_t BgL_bucketz00_2105;
{ /* Inline/inline.scm 241 */
int BgL_kz00_2115;
BgL_kz00_2115 = 
(int)(BgL_modz00_2101); 
BgL_bucketz00_2105 = 
VECTOR_REF(BgL_arg1221z00_2096,BgL_kz00_2115); } 
{ /* Inline/inline.scm 241 */
int BgL_kz00_2117;
BgL_kz00_2117 = 
(int)(BgL_restz00_2103); 
BgL_method2750z00_2093 = 
VECTOR_REF(BgL_bucketz00_2105,BgL_kz00_2117); } } } } } } } } 
{ /* Inline/inline.scm 241 */
obj_t BgL_auxz00_3859;
BgL_auxz00_3859 = 
PROCEDURE_ENTRY(BgL_method2750z00_2093)(BgL_method2750z00_2093, 
(obj_t)(BgL_nodez00_2090), 
BINT(BgL_kfactorz00_2091), BgL_stackz00_72, BEOA); 
BgL_res2988z00_2118 = 
(BgL_nodez00_bglt)(BgL_auxz00_3859); } } } 
BgL_arg2811z00_1371 = BgL_res2988z00_2118; } 
{ /* Inline/inline.scm 241 */
obj_t BgL_auxz00_3865;
BgL_auxz00_3865 = 
(obj_t)(BgL_arg2811z00_1371); 
SET_CAR(BgL_nodeza2za2_70, BgL_auxz00_3865); } } 
{ 
obj_t BgL_nodeza2za2_3868;
BgL_nodeza2za2_3868 = 
CDR(BgL_nodeza2za2_70); 
BgL_nodeza2za2_70 = BgL_nodeza2za2_3868; 
goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;} } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
{ /* Inline/inline.scm 25 */
obj_t BgL_arg2814z00_1374;obj_t BgL_arg2815z00_1375;obj_t BgL_arg2819z00_1379;obj_t BgL_arg2820z00_1380;
BgL_arg2814z00_1374 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2815z00_1375 = BGl_sfunz00zzast_varz00; 
{ /* Inline/inline.scm 25 */
obj_t BgL_arg2821z00_1381;obj_t BgL_arg2822z00_1382;
BgL_arg2821z00_1381 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2822z00_1382 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00, BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/inline.scm 25 */
obj_t BgL_list2823z00_1383;
{ /* Inline/inline.scm 25 */
obj_t BgL_arg2824z00_1384;
BgL_arg2824z00_1384 = 
MAKE_PAIR(BgL_arg2822z00_1382, BNIL); 
BgL_list2823z00_1383 = 
MAKE_PAIR(BgL_arg2821z00_1381, BgL_arg2824z00_1384); } 
BgL_arg2819z00_1379 = BgL_list2823z00_1383; } } 
{ /* Inline/inline.scm 25 */
obj_t BgL_v2747z00_1385;
{ 
int BgL_auxz00_3877;
BgL_auxz00_3877 = 
(int)(((long)0)); 
BgL_v2747z00_1385 = 
create_vector(BgL_auxz00_3877); } 
BgL_arg2820z00_1380 = BgL_v2747z00_1385; } 
BGl_isfunz00zzinline_inlinez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2814z00_1374, BgL_arg2815z00_1375, BGl_makezd2isfunzd2envz00zzinline_inlinez00, BGl_allocatezd2isfunzd2envz00zzinline_inlinez00, ((long)61227), BgL_arg2819z00_1379, BFALSE, BgL_arg2820z00_1380); } 
return BUNSPEC;} 
}



/* isfun? */
bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_obj2687z00_73)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2687z00_73, BGl_isfunz00zzinline_inlinez00);} 
}



/* _isfun? */
obj_t BGl__isfunzf3zf3zzinline_inlinez00(obj_t BgL_envz00_3587, obj_t BgL_obj2687z00_3588)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
bool_t BgL_auxz00_3882;
BgL_auxz00_3882 = 
BGl_isfunzf3zf3zzinline_inlinez00(BgL_obj2687z00_3588); 
return 
BBOOL(BgL_auxz00_3882);} } 
}



/* widening-isfun */
BgL_isfunz00_bglt BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt BgL_originalzd2body2654zd2_77, obj_t BgL_recursivezd2calls2655zd2_78)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_new2656z00_2124;
BgL_new2656z00_2124 = 
((BgL_isfunz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isfunz00_bgl)))); 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_res2990z00_2130;
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2124))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2654zd2_77), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2124))->BgL_recursivezd2callszd2) = ((obj_t)BgL_recursivezd2calls2655zd2_78), BUNSPEC); 
BgL_res2990z00_2130 = BgL_new2656z00_2124; BgL_res2990z00_2130; } 
return BgL_new2656z00_2124;} } 
}



/* _widening-isfun3072 */
obj_t BGl__wideningzd2isfun3072zd2zzinline_inlinez00(obj_t BgL_envz00_3589, obj_t BgL_originalzd2body2654zd2_3590, obj_t BgL_recursivezd2calls2655zd2_3591)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_auxz00_3888;
BgL_auxz00_3888 = 
BGl_wideningzd2isfunzd2zzinline_inlinez00(
(BgL_nodez00_bglt)(BgL_originalzd2body2654zd2_3590), BgL_recursivezd2calls2655zd2_3591); 
return 
(obj_t)(BgL_auxz00_3888);} } 
}



/* fill-isfun! */
BgL_isfunz00_bglt BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt BgL_new2660z00_79, BgL_nodez00_bglt BgL_originalzd2body2658zd2_80, obj_t BgL_recursivezd2calls2659zd2_81)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
((((BgL_isfunz00_bglt)CREF(BgL_new2660z00_79))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2658zd2_80), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2660z00_79))->BgL_recursivezd2callszd2) = ((obj_t)BgL_recursivezd2calls2659zd2_81), BUNSPEC); 
return BgL_new2660z00_79;} 
}



/* _fill-isfun! */
obj_t BGl__fillzd2isfunz12zc0zzinline_inlinez00(obj_t BgL_envz00_3592, obj_t BgL_new2660z00_3593, obj_t BgL_originalzd2body2658zd2_3594, obj_t BgL_recursivezd2calls2659zd2_3595)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_auxz00_3894;
BgL_auxz00_3894 = 
BGl_fillzd2isfunz12zc0zzinline_inlinez00(
(BgL_isfunz00_bglt)(BgL_new2660z00_3593), 
(BgL_nodez00_bglt)(BgL_originalzd2body2658zd2_3594), BgL_recursivezd2calls2659zd2_3595); 
return 
(obj_t)(BgL_auxz00_3894);} } 
}



/* make-isfun */
BgL_isfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long BgL_arity2666z00_82, obj_t BgL_sidezd2effectzf32667z21_83, obj_t BgL_predicatezd2of2668zd2_84, obj_t BgL_stackzd2allocator2669zd2_85, bool_t BgL_topzf32670zf3_86, obj_t BgL_thezd2closure2671zd2_87, obj_t BgL_property2672z00_88, obj_t BgL_args2673z00_89, obj_t BgL_body2674z00_90, obj_t BgL_class2675z00_91, obj_t BgL_dssslzd2keywords2676zd2_92, obj_t BgL_loc2677z00_93, BgL_nodez00_bglt BgL_originalzd2body2664zd2_94, obj_t BgL_recursivezd2calls2665zd2_95)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_aux2678z00_2133;
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_res2993z00_2182;
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_new1423z00_2149;
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_res2991z00_2155;
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_new1425z00_2150;
BgL_new1425z00_2150 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Inline/inline.scm 25 */
long BgL_arg2866z00_2151;
BgL_arg2866z00_2151 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_3901;
BgL_auxz00_3901 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2150); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3901, BgL_arg2866z00_2151); } } 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_3904;
BgL_auxz00_3904 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2150); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3904, BFALSE); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_3907;
BgL_auxz00_3907 = 
(obj_t)(BgL_new1425z00_2150); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3907); } BUNSPEC; 
BgL_res2991z00_2155 = BgL_new1425z00_2150; } 
BgL_new1423z00_2149 = BgL_res2991z00_2155; } 
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_res2992z00_2181;
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_arityz00) = ((long)BgL_arity2666z00_82), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32667z21_83), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of2668zd2_84), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator2669zd2_85), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_topzf3zf3) = ((bool_t)BgL_topzf32670zf3_86), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure2671zd2_87), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_propertyz00) = ((obj_t)BgL_property2672z00_88), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_argsz00) = ((obj_t)BgL_args2673z00_89), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_bodyz00) = ((obj_t)BgL_body2674z00_90), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_classz00) = ((obj_t)BgL_class2675z00_91), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_dssslzd2keywords2676zd2_92), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2149))->BgL_locz00) = ((obj_t)BgL_loc2677z00_93), BUNSPEC); 
BgL_res2992z00_2181 = BgL_new1423z00_2149; BgL_res2992z00_2181; } 
BgL_res2993z00_2182 = BgL_new1423z00_2149; } 
BgL_aux2678z00_2133 = BgL_res2993z00_2182; } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_new2679z00_2134;
BgL_new2679z00_2134 = 
((BgL_isfunz00_bglt)BgL_aux2678z00_2133); 
{ /* Inline/inline.scm 25 */
long BgL_arg2825z00_2135;
BgL_arg2825z00_2135 = 
BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00); 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_3924;
BgL_auxz00_3924 = 
(BgL_objectz00_bglt)(BgL_new2679z00_2134); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3924, BgL_arg2825z00_2135); } } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_arg2826z00_2136;
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_res2995z00_2194;
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_new2656z00_2187;
BgL_new2656z00_2187 = 
((BgL_isfunz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isfunz00_bgl)))); 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_res2994z00_2193;
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2187))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2664zd2_94), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2187))->BgL_recursivezd2callszd2) = ((obj_t)BgL_recursivezd2calls2665zd2_95), BUNSPEC); 
BgL_res2994z00_2193 = BgL_new2656z00_2187; BgL_res2994z00_2193; } 
BgL_res2995z00_2194 = BgL_new2656z00_2187; } 
BgL_arg2826z00_2136 = BgL_res2995z00_2194; } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_3932;BgL_objectz00_bglt BgL_auxz00_3930;
BgL_auxz00_3932 = 
(obj_t)(BgL_arg2826z00_2136); 
BgL_auxz00_3930 = 
(BgL_objectz00_bglt)(BgL_new2679z00_2134); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3930, BgL_auxz00_3932); } } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_3935;
BgL_auxz00_3935 = 
(obj_t)(BgL_new2679z00_2134); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3935); } BUNSPEC; 
return BgL_new2679z00_2134;} } } 
}



/* _make-isfun */
obj_t BGl__makezd2isfunzd2zzinline_inlinez00(obj_t BgL_envz00_3564, obj_t BgL_arity2666z00_3565, obj_t BgL_sidezd2effectzf32667z21_3566, obj_t BgL_predicatezd2of2668zd2_3567, obj_t BgL_stackzd2allocator2669zd2_3568, obj_t BgL_topzf32670zf3_3569, obj_t BgL_thezd2closure2671zd2_3570, obj_t BgL_property2672z00_3571, obj_t BgL_args2673z00_3572, obj_t BgL_body2674z00_3573, obj_t BgL_class2675z00_3574, obj_t BgL_dssslzd2keywords2676zd2_3575, obj_t BgL_loc2677z00_3576, obj_t BgL_originalzd2body2664zd2_3577, obj_t BgL_recursivezd2calls2665zd2_3578)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_auxz00_3938;
BgL_auxz00_3938 = 
BGl_makezd2isfunzd2zzinline_inlinez00(
(long)CINT(BgL_arity2666z00_3565), BgL_sidezd2effectzf32667z21_3566, BgL_predicatezd2of2668zd2_3567, BgL_stackzd2allocator2669zd2_3568, 
CBOOL(BgL_topzf32670zf3_3569), BgL_thezd2closure2671zd2_3570, BgL_property2672z00_3571, BgL_args2673z00_3572, BgL_body2674z00_3573, BgL_class2675z00_3574, BgL_dssslzd2keywords2676zd2_3575, BgL_loc2677z00_3576, 
(BgL_nodez00_bglt)(BgL_originalzd2body2664zd2_3577), BgL_recursivezd2calls2665zd2_3578); 
return 
(obj_t)(BgL_auxz00_3938);} } 
}



/* allocate-isfun */
BgL_sfunz00_bglt BGl_allocatezd2isfunzd2zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_new2680z00_2196;
BgL_new2680z00_2196 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Inline/inline.scm 25 */
long BgL_arg2827z00_2197;
BgL_arg2827z00_2197 = 
BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00); 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_3946;
BgL_auxz00_3946 = 
(BgL_objectz00_bglt)(BgL_new2680z00_2196); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3946, BgL_arg2827z00_2197); } } 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_3949;
BgL_auxz00_3949 = 
(BgL_objectz00_bglt)(BgL_new2680z00_2196); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3949, BFALSE); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_3952;
BgL_auxz00_3952 = 
(obj_t)(BgL_new2680z00_2196); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3952); } BUNSPEC; 
return BgL_new2680z00_2196;} } 
}



/* _allocate-isfun */
obj_t BGl__allocatezd2isfunzd2zzinline_inlinez00(obj_t BgL_envz00_3579)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_sfunz00_bglt BgL_auxz00_3955;
BgL_auxz00_3955 = 
BGl_allocatezd2isfunzd2zzinline_inlinez00(); 
return 
(obj_t)(BgL_auxz00_3955);} } 
}



/* isfun-original-body */
BgL_nodez00_bglt BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_isfunz00_bglt BgL_obj2688z00_130)
{ AN_OBJECT;
{ /* Inline/inline.scm 26 */
{ 
obj_t BgL_auxz00_3958;
{ /* Inline/inline.scm 26 */
BgL_objectz00_bglt BgL_auxz00_3959;
BgL_auxz00_3959 = 
(BgL_objectz00_bglt)(BgL_obj2688z00_130); 
BgL_auxz00_3958 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3959); } 
return 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_3958))->BgL_originalzd2bodyzd2);} } 
}



/* _isfun-original-body */
obj_t BGl__isfunzd2originalzd2bodyz00zzinline_inlinez00(obj_t BgL_envz00_3580, obj_t BgL_obj2688z00_3581)
{ AN_OBJECT;
{ /* Inline/inline.scm 26 */
{ /* Inline/inline.scm 26 */
BgL_nodez00_bglt BgL_auxz00_3963;
BgL_auxz00_3963 = 
BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(
(BgL_isfunz00_bglt)(BgL_obj2688z00_3581)); 
return 
(obj_t)(BgL_auxz00_3963);} } 
}



/* isfun-recursive-calls-set! */
obj_t BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_isfunz00_bglt BgL_obj2691z00_131, obj_t BgL_val2690z00_132)
{ AN_OBJECT;
{ /* Inline/inline.scm 27 */
{ 
obj_t BgL_auxz00_3967;
{ /* Inline/inline.scm 27 */
BgL_objectz00_bglt BgL_auxz00_3968;
BgL_auxz00_3968 = 
(BgL_objectz00_bglt)(BgL_obj2691z00_131); 
BgL_auxz00_3967 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3968); } 
return 
((((BgL_isfunz00_bglt)CREF(BgL_auxz00_3967))->BgL_recursivezd2callszd2) = ((obj_t)BgL_val2690z00_132), BUNSPEC);} } 
}



/* _isfun-recursive-calls-set! */
obj_t BGl__isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(obj_t BgL_envz00_3584, obj_t BgL_obj2691z00_3585, obj_t BgL_val2690z00_3586)
{ AN_OBJECT;
{ /* Inline/inline.scm 27 */
return 
BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(
(BgL_isfunz00_bglt)(BgL_obj2691z00_3585), BgL_val2690z00_3586);} 
}



/* isfun-recursive-calls */
obj_t BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_isfunz00_bglt BgL_obj2689z00_133)
{ AN_OBJECT;
{ /* Inline/inline.scm 27 */
{ 
obj_t BgL_auxz00_3974;
{ /* Inline/inline.scm 27 */
BgL_objectz00_bglt BgL_auxz00_3975;
BgL_auxz00_3975 = 
(BgL_objectz00_bglt)(BgL_obj2689z00_133); 
BgL_auxz00_3974 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3975); } 
return 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_3974))->BgL_recursivezd2callszd2);} } 
}



/* _isfun-recursive-calls */
obj_t BGl__isfunzd2recursivezd2callsz00zzinline_inlinez00(obj_t BgL_envz00_3582, obj_t BgL_obj2689z00_3583)
{ AN_OBJECT;
{ /* Inline/inline.scm 27 */
return 
BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(
(BgL_isfunz00_bglt)(BgL_obj2689z00_3583));} 
}



/* sfun? */
bool_t BGl_sfunzf3zf3zzinline_inlinez00(obj_t BgL_obj1426z00_1023)
{ AN_OBJECT;
{ /* ./Ast/var.scm 85 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1023, BGl_sfunz00zzast_varz00);} 
}



/* _sfun? */
obj_t BGl__sfunzf3zf3zzinline_inlinez00(obj_t BgL_envz00_3558, obj_t BgL_obj1426z00_3559)
{ AN_OBJECT;
{ /* ./Ast/var.scm 85 */
{ /* ./Ast/var.scm 85 */
bool_t BgL_auxz00_3982;
BgL_auxz00_3982 = 
BGl_sfunzf3zf3zzinline_inlinez00(BgL_obj1426z00_3559); 
return 
BBOOL(BgL_auxz00_3982);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_inlinezd2nodezd2default2749zd2envzd2zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00, BGl_proc3076z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00, BGl_proc3077z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_kwotez00zzast_nodez00, BGl_proc3078z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_sequencez00zzast_nodez00, BGl_proc3079z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00, BGl_proc3080z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3081z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_funcallz00zzast_nodez00, BGl_proc3082z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_externz00zzast_nodez00, BGl_proc3083z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00, BGl_proc3084z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00, BGl_proc3085z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_conditionalz00zzast_nodez00, BGl_proc3086z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00, BGl_proc3087z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_selectz00zzast_nodez00, BGl_proc3088z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3089z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3090z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3091z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3092z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3093z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3094z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3095z00zzinline_inlinez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_isfunz00zzinline_inlinez00, BGl_proc3096z00zzinline_inlinez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_isfunz00zzinline_inlinez00, BGl_proc3097z00zzinline_inlinez00);} 
}



/* struct+object->object-isfun2794 */
obj_t BGl_structzb2objectzd2ze3objectzd2isfun2794z51zzinline_inlinez00(obj_t BgL_envz00_3623, obj_t BgL_oz00_3624, obj_t BgL_sz00_3625)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ 
BgL_isfunz00_bglt BgL_oz00_2024;obj_t BgL_sz00_2025;
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_auxz00_4008;
BgL_oz00_2024 = 
(BgL_isfunz00_bglt)(BgL_oz00_3624); 
BgL_sz00_2025 = BgL_sz00_3625; 
{ 

{ /* Inline/inline.scm 25 */
obj_t BgL_old2684z00_2028;obj_t BgL_aux2685z00_2029;
{ /* Inline/inline.scm 25 */
obj_t BgL_nextzd2method2793zd2_2035;
BgL_nextzd2method2793zd2_2035 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2024), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_isfunz00zzinline_inlinez00); 
if(
PROCEDUREP(BgL_nextzd2method2793zd2_2035))
{ /* Inline/inline.scm 25 */
BgL_old2684z00_2028 = 
PROCEDURE_ENTRY(BgL_nextzd2method2793zd2_2035)(BgL_nextzd2method2793zd2_2035, 
(obj_t)(BgL_oz00_2024), BgL_sz00_2025, BEOA); }  else 
{ /* Inline/inline.scm 25 */
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4016;
BgL_auxz00_4016 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2024), BgL_sz00_2025); 
BgL_old2684z00_2028 = 
(obj_t)(BgL_auxz00_4016); } } } 
{ /* Inline/inline.scm 25 */
int BgL_auxz00_4020;
BgL_auxz00_4020 = 
(int)(((long)0)); 
BgL_aux2685z00_2029 = 
STRUCT_REF(BgL_sz00_2025, BgL_auxz00_4020); } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_new2686z00_2030;
BgL_new2686z00_2030 = 
((BgL_isfunz00_bglt)(BgL_old2684z00_2028)); 
{ /* Inline/inline.scm 25 */
long BgL_arg2976z00_2031;
BgL_arg2976z00_2031 = 
BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00); 
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4025;
BgL_auxz00_4025 = 
(BgL_objectz00_bglt)(BgL_new2686z00_2030); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4025, BgL_arg2976z00_2031); } } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_arg2977z00_2032;
{ /* Inline/inline.scm 25 */
obj_t BgL_arg2979z00_2034;
{ /* Inline/inline.scm 25 */
int BgL_auxz00_4028;
BgL_auxz00_4028 = 
(int)(((long)1)); 
BgL_arg2979z00_2034 = 
STRUCT_REF(BgL_aux2685z00_2029, BgL_auxz00_4028); } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_res3069z00_3523;
{ /* Inline/inline.scm 25 */
BgL_nodez00_bglt BgL_originalzd2body2654zd2_3514;
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4031;
{ /* Inline/inline.scm 25 */
int BgL_auxz00_4032;
BgL_auxz00_4032 = 
(int)(((long)0)); 
BgL_auxz00_4031 = 
STRUCT_REF(BgL_aux2685z00_2029, BgL_auxz00_4032); } 
BgL_originalzd2body2654zd2_3514 = 
(BgL_nodez00_bglt)(BgL_auxz00_4031); } 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_new2656z00_3516;
BgL_new2656z00_3516 = 
((BgL_isfunz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isfunz00_bgl)))); 
{ /* Inline/inline.scm 25 */
BgL_isfunz00_bglt BgL_res3068z00_3522;
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_3516))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2654zd2_3514), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_3516))->BgL_recursivezd2callszd2) = ((obj_t)BgL_arg2979z00_2034), BUNSPEC); 
BgL_res3068z00_3522 = BgL_new2656z00_3516; BgL_res3068z00_3522; } 
BgL_res3069z00_3523 = BgL_new2656z00_3516; } } 
BgL_arg2977z00_2032 = BgL_res3069z00_3523; } } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4041;BgL_objectz00_bglt BgL_auxz00_4039;
BgL_auxz00_4041 = 
(obj_t)(BgL_arg2977z00_2032); 
BgL_auxz00_4039 = 
(BgL_objectz00_bglt)(BgL_new2686z00_2030); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4039, BgL_auxz00_4041); } } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4044;
BgL_auxz00_4044 = 
(obj_t)(BgL_new2686z00_2030); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4044); } BUNSPEC; 
BgL_auxz00_4008 = BgL_new2686z00_2030; } } } 
return 
(obj_t)(BgL_auxz00_4008);} } } 
}



/* object->struct-isfun2792 */
obj_t BGl_objectzd2ze3structzd2isfun2792ze3zzinline_inlinez00(obj_t BgL_envz00_3626, obj_t BgL_obj2681z00_3627)
{ AN_OBJECT;
{ /* Inline/inline.scm 25 */
{ 
BgL_isfunz00_bglt BgL_obj2681z00_2012;
BgL_obj2681z00_2012 = 
(BgL_isfunz00_bglt)(BgL_obj2681z00_3627); 
{ 

{ /* Inline/inline.scm 25 */
obj_t BgL_res2682z00_2015;
{ /* Inline/inline.scm 25 */
obj_t BgL_nextzd2method2791zd2_2022;
BgL_nextzd2method2791zd2_2022 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2681z00_2012), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_isfunz00zzinline_inlinez00); 
if(
PROCEDUREP(BgL_nextzd2method2791zd2_2022))
{ /* Inline/inline.scm 25 */
BgL_res2682z00_2015 = 
PROCEDURE_ENTRY(BgL_nextzd2method2791zd2_2022)(BgL_nextzd2method2791zd2_2022, 
(obj_t)(BgL_obj2681z00_2012), BEOA); }  else 
{ /* Inline/inline.scm 25 */
BgL_res2682z00_2015 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2681z00_2012)); } } 
{ /* Inline/inline.scm 25 */
obj_t BgL_aux2683z00_2016;
{ /* Inline/inline.scm 25 */
int BgL_auxz00_4060;obj_t BgL_auxz00_4058;
BgL_auxz00_4060 = 
(int)(((long)2)); 
BgL_auxz00_4058 = 
CNST_TABLE_REF(((long)1)); 
BgL_aux2683z00_2016 = 
make_struct(BgL_auxz00_4058, BgL_auxz00_4060, BUNSPEC); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4065;int BgL_auxz00_4063;
{ /* Inline/inline.scm 25 */
BgL_nodez00_bglt BgL_auxz00_4066;
{ 
obj_t BgL_auxz00_4067;
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4068;
BgL_auxz00_4068 = 
(BgL_objectz00_bglt)(BgL_obj2681z00_2012); 
BgL_auxz00_4067 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4068); } 
BgL_auxz00_4066 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4067))->BgL_originalzd2bodyzd2); } 
BgL_auxz00_4065 = 
(obj_t)(BgL_auxz00_4066); } 
BgL_auxz00_4063 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2683z00_2016, BgL_auxz00_4063, BgL_auxz00_4065); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4076;int BgL_auxz00_4074;
{ 
obj_t BgL_auxz00_4077;
{ /* Inline/inline.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4078;
BgL_auxz00_4078 = 
(BgL_objectz00_bglt)(BgL_obj2681z00_2012); 
BgL_auxz00_4077 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4078); } 
BgL_auxz00_4076 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4077))->BgL_recursivezd2callszd2); } 
BgL_auxz00_4074 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux2683z00_2016, BgL_auxz00_4074, BgL_auxz00_4076); } 
{ /* Inline/inline.scm 25 */
int BgL_auxz00_4083;
BgL_auxz00_4083 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2682z00_2015, BgL_auxz00_4083, BgL_aux2683z00_2016); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
STRUCT_KEY(BgL_res2682z00_2015); 
STRUCT_KEY_SET(BgL_aux2683z00_2016, BgL_auxz00_4086); } 
{ /* Inline/inline.scm 25 */
obj_t BgL_auxz00_4089;
BgL_auxz00_4089 = 
CNST_TABLE_REF(((long)1)); 
STRUCT_KEY_SET(BgL_res2682z00_2015, BgL_auxz00_4089); } 
return BgL_res2682z00_2015;} } } } } 
}



/* inline-node-box-set!2790 */
obj_t BGl_inlinezd2nodezd2boxzd2setz122790zc0zzinline_inlinez00(obj_t BgL_envz00_3628, obj_t BgL_nodez00_3629, obj_t BgL_kfactorz00_3630, obj_t BgL_stackz00_3631)
{ AN_OBJECT;
{ /* Inline/inline.scm 228 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2000;obj_t BgL_kfactorz00_2001;obj_t BgL_stackz00_2002;
{ /* Inline/inline.scm 229 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4093;
BgL_nodez00_2000 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3629); 
BgL_kfactorz00_2001 = BgL_kfactorz00_3630; 
BgL_stackz00_2002 = BgL_stackz00_3631; 
{ /* Inline/inline.scm 230 */
BgL_nodez00_bglt BgL_arg2965z00_2006;
{ /* Inline/inline.scm 230 */
BgL_nodez00_bglt BgL_res3063z00_3450;
{ /* Inline/inline.scm 230 */
BgL_nodez00_bglt BgL_nodez00_3422;long BgL_kfactorz00_3423;
{ /* Inline/inline.scm 230 */
BgL_varz00_bglt BgL_auxz00_4094;
BgL_auxz00_4094 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2000))->BgL_varz00); 
BgL_nodez00_3422 = 
(BgL_nodez00_bglt)(BgL_auxz00_4094); } 
BgL_kfactorz00_3423 = 
(long)CINT(BgL_kfactorz00_2001); 
{ /* Inline/inline.scm 230 */
obj_t BgL_method2750z00_3425;
{ /* Inline/inline.scm 230 */
long BgL_objzd2classzd2numz00_3427;
{ /* Inline/inline.scm 230 */
BgL_objectz00_bglt BgL_auxz00_4098;
BgL_auxz00_4098 = 
(BgL_objectz00_bglt)(BgL_nodez00_3422); 
BgL_objzd2classzd2numz00_3427 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4098); } 
{ /* Inline/inline.scm 230 */
obj_t BgL_arg1221z00_3428;
{ /* Inline/inline.scm 230 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)1)); 
BgL_arg1221z00_3428 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4101); } 
{ /* Inline/inline.scm 230 */
long BgL_offsetz00_3432;
{ /* Inline/inline.scm 230 */
long BgL_auxz00_4104;
{ /* Inline/inline.scm 230 */
int BgL_auxz00_4105;
BgL_auxz00_4105 = 
(int)(BgL_objzd2classzd2numz00_3427); 
BgL_auxz00_4104 = 
(long)(BgL_auxz00_4105); } 
BgL_offsetz00_3432 = 
(BgL_auxz00_4104-OBJECT_TYPE); } 
{ /* Inline/inline.scm 230 */
long BgL_modz00_3433;
{ /* Inline/inline.scm 230 */
long BgL_auxz00_4109;
{ /* Inline/inline.scm 230 */
int BgL_auxz00_4110;
BgL_auxz00_4110 = 
(int)(((long)8)); 
BgL_auxz00_4109 = 
(long)(BgL_auxz00_4110); } 
BgL_modz00_3433 = 
(BgL_offsetz00_3432/BgL_auxz00_4109); } 
{ /* Inline/inline.scm 230 */
long BgL_restz00_3435;
{ /* Inline/inline.scm 230 */
long BgL_auxz00_4114;
{ /* Inline/inline.scm 230 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(((long)8)); 
BgL_auxz00_4114 = 
(long)(BgL_auxz00_4115); } 
BgL_restz00_3435 = 
(BgL_offsetz00_3432%BgL_auxz00_4114); } 
{ /* Inline/inline.scm 230 */

{ /* Inline/inline.scm 230 */
obj_t BgL_bucketz00_3437;
{ /* Inline/inline.scm 230 */
int BgL_kz00_3447;
BgL_kz00_3447 = 
(int)(BgL_modz00_3433); 
BgL_bucketz00_3437 = 
VECTOR_REF(BgL_arg1221z00_3428,BgL_kz00_3447); } 
{ /* Inline/inline.scm 230 */
int BgL_kz00_3449;
BgL_kz00_3449 = 
(int)(BgL_restz00_3435); 
BgL_method2750z00_3425 = 
VECTOR_REF(BgL_bucketz00_3437,BgL_kz00_3449); } } } } } } } } 
{ /* Inline/inline.scm 230 */
obj_t BgL_auxz00_4123;
BgL_auxz00_4123 = 
PROCEDURE_ENTRY(BgL_method2750z00_3425)(BgL_method2750z00_3425, 
(obj_t)(BgL_nodez00_3422), 
BINT(BgL_kfactorz00_3423), BgL_stackz00_2002, BEOA); 
BgL_res3063z00_3450 = 
(BgL_nodez00_bglt)(BgL_auxz00_4123); } } } 
BgL_arg2965z00_2006 = BgL_res3063z00_3450; } 
{ /* Inline/inline.scm 230 */
BgL_varz00_bglt BgL_val2631z00_3452;
BgL_val2631z00_3452 = 
(BgL_varz00_bglt)(BgL_arg2965z00_2006); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2000))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3452), BUNSPEC); } } 
{ /* Inline/inline.scm 231 */
BgL_nodez00_bglt BgL_arg2967z00_2008;
{ /* Inline/inline.scm 231 */
BgL_nodez00_bglt BgL_arg2968z00_2009;
BgL_arg2968z00_2009 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00); 
{ /* Inline/inline.scm 231 */
BgL_nodez00_bglt BgL_res3066z00_3482;
{ /* Inline/inline.scm 231 */
long BgL_kfactorz00_3455;
BgL_kfactorz00_3455 = 
(long)CINT(BgL_kfactorz00_2001); 
{ /* Inline/inline.scm 231 */
obj_t BgL_method2750z00_3457;
{ /* Inline/inline.scm 231 */
long BgL_objzd2classzd2numz00_3459;
{ /* Inline/inline.scm 231 */
BgL_objectz00_bglt BgL_auxz00_4133;
BgL_auxz00_4133 = 
(BgL_objectz00_bglt)(BgL_arg2968z00_2009); 
BgL_objzd2classzd2numz00_3459 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4133); } 
{ /* Inline/inline.scm 231 */
obj_t BgL_arg1221z00_3460;
{ /* Inline/inline.scm 231 */
int BgL_auxz00_4136;
BgL_auxz00_4136 = 
(int)(((long)1)); 
BgL_arg1221z00_3460 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4136); } 
{ /* Inline/inline.scm 231 */
long BgL_offsetz00_3464;
{ /* Inline/inline.scm 231 */
long BgL_auxz00_4139;
{ /* Inline/inline.scm 231 */
int BgL_auxz00_4140;
BgL_auxz00_4140 = 
(int)(BgL_objzd2classzd2numz00_3459); 
BgL_auxz00_4139 = 
(long)(BgL_auxz00_4140); } 
BgL_offsetz00_3464 = 
(BgL_auxz00_4139-OBJECT_TYPE); } 
{ /* Inline/inline.scm 231 */
long BgL_modz00_3465;
{ /* Inline/inline.scm 231 */
long BgL_auxz00_4144;
{ /* Inline/inline.scm 231 */
int BgL_auxz00_4145;
BgL_auxz00_4145 = 
(int)(((long)8)); 
BgL_auxz00_4144 = 
(long)(BgL_auxz00_4145); } 
BgL_modz00_3465 = 
(BgL_offsetz00_3464/BgL_auxz00_4144); } 
{ /* Inline/inline.scm 231 */
long BgL_restz00_3467;
{ /* Inline/inline.scm 231 */
long BgL_auxz00_4149;
{ /* Inline/inline.scm 231 */
int BgL_auxz00_4150;
BgL_auxz00_4150 = 
(int)(((long)8)); 
BgL_auxz00_4149 = 
(long)(BgL_auxz00_4150); } 
BgL_restz00_3467 = 
(BgL_offsetz00_3464%BgL_auxz00_4149); } 
{ /* Inline/inline.scm 231 */

{ /* Inline/inline.scm 231 */
obj_t BgL_bucketz00_3469;
{ /* Inline/inline.scm 231 */
int BgL_kz00_3479;
BgL_kz00_3479 = 
(int)(BgL_modz00_3465); 
BgL_bucketz00_3469 = 
VECTOR_REF(BgL_arg1221z00_3460,BgL_kz00_3479); } 
{ /* Inline/inline.scm 231 */
int BgL_kz00_3481;
BgL_kz00_3481 = 
(int)(BgL_restz00_3467); 
BgL_method2750z00_3457 = 
VECTOR_REF(BgL_bucketz00_3469,BgL_kz00_3481); } } } } } } } } 
{ /* Inline/inline.scm 231 */
obj_t BgL_auxz00_4158;
BgL_auxz00_4158 = 
PROCEDURE_ENTRY(BgL_method2750z00_3457)(BgL_method2750z00_3457, 
(obj_t)(BgL_arg2968z00_2009), 
BINT(BgL_kfactorz00_3455), BgL_stackz00_2002, BEOA); 
BgL_res3066z00_3482 = 
(BgL_nodez00_bglt)(BgL_auxz00_4158); } } } 
BgL_arg2967z00_2008 = BgL_res3066z00_3482; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2967z00_2008), BUNSPEC); } 
BgL_auxz00_4093 = BgL_nodez00_2000; 
return 
(obj_t)(BgL_auxz00_4093);} } } 
}



/* inline-node-box-ref2788 */
obj_t BGl_inlinezd2nodezd2boxzd2ref2788zd2zzinline_inlinez00(obj_t BgL_envz00_3632, obj_t BgL_nodez00_3633, obj_t BgL_kfactorz00_3634, obj_t BgL_stackz00_3635)
{ AN_OBJECT;
{ /* Inline/inline.scm 221 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1991;obj_t BgL_kfactorz00_1992;obj_t BgL_stackz00_1993;
{ /* Inline/inline.scm 222 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4167;
BgL_nodez00_1991 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3633); 
BgL_kfactorz00_1992 = BgL_kfactorz00_3634; 
BgL_stackz00_1993 = BgL_stackz00_3635; 
{ /* Inline/inline.scm 222 */
BgL_nodez00_bglt BgL_arg2962z00_3387;
{ /* Inline/inline.scm 222 */
BgL_nodez00_bglt BgL_res3060z00_3418;
{ /* Inline/inline.scm 222 */
BgL_nodez00_bglt BgL_nodez00_3390;long BgL_kfactorz00_3391;
{ /* Inline/inline.scm 222 */
BgL_varz00_bglt BgL_auxz00_4168;
BgL_auxz00_4168 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1991))->BgL_varz00); 
BgL_nodez00_3390 = 
(BgL_nodez00_bglt)(BgL_auxz00_4168); } 
BgL_kfactorz00_3391 = 
(long)CINT(BgL_kfactorz00_1992); 
{ /* Inline/inline.scm 222 */
obj_t BgL_method2750z00_3393;
{ /* Inline/inline.scm 222 */
long BgL_objzd2classzd2numz00_3395;
{ /* Inline/inline.scm 222 */
BgL_objectz00_bglt BgL_auxz00_4172;
BgL_auxz00_4172 = 
(BgL_objectz00_bglt)(BgL_nodez00_3390); 
BgL_objzd2classzd2numz00_3395 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4172); } 
{ /* Inline/inline.scm 222 */
obj_t BgL_arg1221z00_3396;
{ /* Inline/inline.scm 222 */
int BgL_auxz00_4175;
BgL_auxz00_4175 = 
(int)(((long)1)); 
BgL_arg1221z00_3396 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4175); } 
{ /* Inline/inline.scm 222 */
long BgL_offsetz00_3400;
{ /* Inline/inline.scm 222 */
long BgL_auxz00_4178;
{ /* Inline/inline.scm 222 */
int BgL_auxz00_4179;
BgL_auxz00_4179 = 
(int)(BgL_objzd2classzd2numz00_3395); 
BgL_auxz00_4178 = 
(long)(BgL_auxz00_4179); } 
BgL_offsetz00_3400 = 
(BgL_auxz00_4178-OBJECT_TYPE); } 
{ /* Inline/inline.scm 222 */
long BgL_modz00_3401;
{ /* Inline/inline.scm 222 */
long BgL_auxz00_4183;
{ /* Inline/inline.scm 222 */
int BgL_auxz00_4184;
BgL_auxz00_4184 = 
(int)(((long)8)); 
BgL_auxz00_4183 = 
(long)(BgL_auxz00_4184); } 
BgL_modz00_3401 = 
(BgL_offsetz00_3400/BgL_auxz00_4183); } 
{ /* Inline/inline.scm 222 */
long BgL_restz00_3403;
{ /* Inline/inline.scm 222 */
long BgL_auxz00_4188;
{ /* Inline/inline.scm 222 */
int BgL_auxz00_4189;
BgL_auxz00_4189 = 
(int)(((long)8)); 
BgL_auxz00_4188 = 
(long)(BgL_auxz00_4189); } 
BgL_restz00_3403 = 
(BgL_offsetz00_3400%BgL_auxz00_4188); } 
{ /* Inline/inline.scm 222 */

{ /* Inline/inline.scm 222 */
obj_t BgL_bucketz00_3405;
{ /* Inline/inline.scm 222 */
int BgL_kz00_3415;
BgL_kz00_3415 = 
(int)(BgL_modz00_3401); 
BgL_bucketz00_3405 = 
VECTOR_REF(BgL_arg1221z00_3396,BgL_kz00_3415); } 
{ /* Inline/inline.scm 222 */
int BgL_kz00_3417;
BgL_kz00_3417 = 
(int)(BgL_restz00_3403); 
BgL_method2750z00_3393 = 
VECTOR_REF(BgL_bucketz00_3405,BgL_kz00_3417); } } } } } } } } 
{ /* Inline/inline.scm 222 */
obj_t BgL_auxz00_4197;
BgL_auxz00_4197 = 
PROCEDURE_ENTRY(BgL_method2750z00_3393)(BgL_method2750z00_3393, 
(obj_t)(BgL_nodez00_3390), 
BINT(BgL_kfactorz00_3391), BgL_stackz00_1993, BEOA); 
BgL_res3060z00_3418 = 
(BgL_nodez00_bglt)(BgL_auxz00_4197); } } } 
BgL_arg2962z00_3387 = BgL_res3060z00_3418; } 
{ /* Inline/inline.scm 222 */
BgL_varz00_bglt BgL_val2603z00_3420;
BgL_val2603z00_3420 = 
(BgL_varz00_bglt)(BgL_arg2962z00_3387); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1991))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3420), BUNSPEC); } } 
BgL_auxz00_4167 = BgL_nodez00_1991; 
return 
(obj_t)(BgL_auxz00_4167);} } } 
}



/* inline-node-make-box2786 */
obj_t BGl_inlinezd2nodezd2makezd2box2786zd2zzinline_inlinez00(obj_t BgL_envz00_3636, obj_t BgL_nodez00_3637, obj_t BgL_kfactorz00_3638, obj_t BgL_stackz00_3639)
{ AN_OBJECT;
{ /* Inline/inline.scm 214 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1982;obj_t BgL_kfactorz00_1983;obj_t BgL_stackz00_1984;
{ /* Inline/inline.scm 215 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4207;
BgL_nodez00_1982 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3637); 
BgL_kfactorz00_1983 = BgL_kfactorz00_3638; 
BgL_stackz00_1984 = BgL_stackz00_3639; 
{ /* Inline/inline.scm 215 */
BgL_nodez00_bglt BgL_arg2959z00_3353;
{ /* Inline/inline.scm 215 */
BgL_nodez00_bglt BgL_arg2960z00_3354;
BgL_arg2960z00_3354 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1982))->BgL_valuez00); 
{ /* Inline/inline.scm 215 */
BgL_nodez00_bglt BgL_res3057z00_3384;
{ /* Inline/inline.scm 215 */
long BgL_kfactorz00_3357;
BgL_kfactorz00_3357 = 
(long)CINT(BgL_kfactorz00_1983); 
{ /* Inline/inline.scm 215 */
obj_t BgL_method2750z00_3359;
{ /* Inline/inline.scm 215 */
long BgL_objzd2classzd2numz00_3361;
{ /* Inline/inline.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4210;
BgL_auxz00_4210 = 
(BgL_objectz00_bglt)(BgL_arg2960z00_3354); 
BgL_objzd2classzd2numz00_3361 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4210); } 
{ /* Inline/inline.scm 215 */
obj_t BgL_arg1221z00_3362;
{ /* Inline/inline.scm 215 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(((long)1)); 
BgL_arg1221z00_3362 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4213); } 
{ /* Inline/inline.scm 215 */
long BgL_offsetz00_3366;
{ /* Inline/inline.scm 215 */
long BgL_auxz00_4216;
{ /* Inline/inline.scm 215 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(BgL_objzd2classzd2numz00_3361); 
BgL_auxz00_4216 = 
(long)(BgL_auxz00_4217); } 
BgL_offsetz00_3366 = 
(BgL_auxz00_4216-OBJECT_TYPE); } 
{ /* Inline/inline.scm 215 */
long BgL_modz00_3367;
{ /* Inline/inline.scm 215 */
long BgL_auxz00_4221;
{ /* Inline/inline.scm 215 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)8)); 
BgL_auxz00_4221 = 
(long)(BgL_auxz00_4222); } 
BgL_modz00_3367 = 
(BgL_offsetz00_3366/BgL_auxz00_4221); } 
{ /* Inline/inline.scm 215 */
long BgL_restz00_3369;
{ /* Inline/inline.scm 215 */
long BgL_auxz00_4226;
{ /* Inline/inline.scm 215 */
int BgL_auxz00_4227;
BgL_auxz00_4227 = 
(int)(((long)8)); 
BgL_auxz00_4226 = 
(long)(BgL_auxz00_4227); } 
BgL_restz00_3369 = 
(BgL_offsetz00_3366%BgL_auxz00_4226); } 
{ /* Inline/inline.scm 215 */

{ /* Inline/inline.scm 215 */
obj_t BgL_bucketz00_3371;
{ /* Inline/inline.scm 215 */
int BgL_kz00_3381;
BgL_kz00_3381 = 
(int)(BgL_modz00_3367); 
BgL_bucketz00_3371 = 
VECTOR_REF(BgL_arg1221z00_3362,BgL_kz00_3381); } 
{ /* Inline/inline.scm 215 */
int BgL_kz00_3383;
BgL_kz00_3383 = 
(int)(BgL_restz00_3369); 
BgL_method2750z00_3359 = 
VECTOR_REF(BgL_bucketz00_3371,BgL_kz00_3383); } } } } } } } } 
{ /* Inline/inline.scm 215 */
obj_t BgL_auxz00_4235;
BgL_auxz00_4235 = 
PROCEDURE_ENTRY(BgL_method2750z00_3359)(BgL_method2750z00_3359, 
(obj_t)(BgL_arg2960z00_3354), 
BINT(BgL_kfactorz00_3357), BgL_stackz00_1984, BEOA); 
BgL_res3057z00_3384 = 
(BgL_nodez00_bglt)(BgL_auxz00_4235); } } } 
BgL_arg2959z00_3353 = BgL_res3057z00_3384; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1982))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2959z00_3353), BUNSPEC); } 
BgL_auxz00_4207 = BgL_nodez00_1982; 
return 
(obj_t)(BgL_auxz00_4207);} } } 
}



/* inline-node-jump-ex-it2784 */
obj_t BGl_inlinezd2nodezd2jumpzd2exzd2it2784z00zzinline_inlinez00(obj_t BgL_envz00_3640, obj_t BgL_nodez00_3641, obj_t BgL_kfactorz00_3642, obj_t BgL_stackz00_3643)
{ AN_OBJECT;
{ /* Inline/inline.scm 205 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1970;obj_t BgL_kfactorz00_1971;obj_t BgL_stackz00_1972;
{ /* Inline/inline.scm 206 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4244;
BgL_nodez00_1970 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3641); 
BgL_kfactorz00_1971 = BgL_kfactorz00_3642; 
BgL_stackz00_1972 = BgL_stackz00_3643; 
{ /* Inline/inline.scm 207 */
BgL_nodez00_bglt BgL_arg2954z00_1976;
{ /* Inline/inline.scm 207 */
BgL_nodez00_bglt BgL_arg2955z00_1977;
BgL_arg2955z00_1977 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1970))->BgL_exitz00); 
{ /* Inline/inline.scm 207 */
BgL_nodez00_bglt BgL_res3051z00_3318;
{ /* Inline/inline.scm 207 */
long BgL_kfactorz00_3291;
BgL_kfactorz00_3291 = 
(long)CINT(BgL_kfactorz00_1971); 
{ /* Inline/inline.scm 207 */
obj_t BgL_method2750z00_3293;
{ /* Inline/inline.scm 207 */
long BgL_objzd2classzd2numz00_3295;
{ /* Inline/inline.scm 207 */
BgL_objectz00_bglt BgL_auxz00_4247;
BgL_auxz00_4247 = 
(BgL_objectz00_bglt)(BgL_arg2955z00_1977); 
BgL_objzd2classzd2numz00_3295 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4247); } 
{ /* Inline/inline.scm 207 */
obj_t BgL_arg1221z00_3296;
{ /* Inline/inline.scm 207 */
int BgL_auxz00_4250;
BgL_auxz00_4250 = 
(int)(((long)1)); 
BgL_arg1221z00_3296 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4250); } 
{ /* Inline/inline.scm 207 */
long BgL_offsetz00_3300;
{ /* Inline/inline.scm 207 */
long BgL_auxz00_4253;
{ /* Inline/inline.scm 207 */
int BgL_auxz00_4254;
BgL_auxz00_4254 = 
(int)(BgL_objzd2classzd2numz00_3295); 
BgL_auxz00_4253 = 
(long)(BgL_auxz00_4254); } 
BgL_offsetz00_3300 = 
(BgL_auxz00_4253-OBJECT_TYPE); } 
{ /* Inline/inline.scm 207 */
long BgL_modz00_3301;
{ /* Inline/inline.scm 207 */
long BgL_auxz00_4258;
{ /* Inline/inline.scm 207 */
int BgL_auxz00_4259;
BgL_auxz00_4259 = 
(int)(((long)8)); 
BgL_auxz00_4258 = 
(long)(BgL_auxz00_4259); } 
BgL_modz00_3301 = 
(BgL_offsetz00_3300/BgL_auxz00_4258); } 
{ /* Inline/inline.scm 207 */
long BgL_restz00_3303;
{ /* Inline/inline.scm 207 */
long BgL_auxz00_4263;
{ /* Inline/inline.scm 207 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(((long)8)); 
BgL_auxz00_4263 = 
(long)(BgL_auxz00_4264); } 
BgL_restz00_3303 = 
(BgL_offsetz00_3300%BgL_auxz00_4263); } 
{ /* Inline/inline.scm 207 */

{ /* Inline/inline.scm 207 */
obj_t BgL_bucketz00_3305;
{ /* Inline/inline.scm 207 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_modz00_3301); 
BgL_bucketz00_3305 = 
VECTOR_REF(BgL_arg1221z00_3296,BgL_kz00_3315); } 
{ /* Inline/inline.scm 207 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_restz00_3303); 
BgL_method2750z00_3293 = 
VECTOR_REF(BgL_bucketz00_3305,BgL_kz00_3317); } } } } } } } } 
{ /* Inline/inline.scm 207 */
obj_t BgL_auxz00_4272;
BgL_auxz00_4272 = 
PROCEDURE_ENTRY(BgL_method2750z00_3293)(BgL_method2750z00_3293, 
(obj_t)(BgL_arg2955z00_1977), 
BINT(BgL_kfactorz00_3291), BgL_stackz00_1972, BEOA); 
BgL_res3051z00_3318 = 
(BgL_nodez00_bglt)(BgL_auxz00_4272); } } } 
BgL_arg2954z00_1976 = BgL_res3051z00_3318; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1970))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2954z00_1976), BUNSPEC); } 
{ /* Inline/inline.scm 208 */
BgL_nodez00_bglt BgL_arg2956z00_1978;
{ /* Inline/inline.scm 208 */
BgL_nodez00_bglt BgL_arg2957z00_1979;
BgL_arg2957z00_1979 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1970))->BgL_valuez00); 
{ /* Inline/inline.scm 208 */
BgL_nodez00_bglt BgL_res3054z00_3350;
{ /* Inline/inline.scm 208 */
long BgL_kfactorz00_3323;
BgL_kfactorz00_3323 = 
(long)CINT(BgL_kfactorz00_1971); 
{ /* Inline/inline.scm 208 */
obj_t BgL_method2750z00_3325;
{ /* Inline/inline.scm 208 */
long BgL_objzd2classzd2numz00_3327;
{ /* Inline/inline.scm 208 */
BgL_objectz00_bglt BgL_auxz00_4281;
BgL_auxz00_4281 = 
(BgL_objectz00_bglt)(BgL_arg2957z00_1979); 
BgL_objzd2classzd2numz00_3327 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4281); } 
{ /* Inline/inline.scm 208 */
obj_t BgL_arg1221z00_3328;
{ /* Inline/inline.scm 208 */
int BgL_auxz00_4284;
BgL_auxz00_4284 = 
(int)(((long)1)); 
BgL_arg1221z00_3328 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4284); } 
{ /* Inline/inline.scm 208 */
long BgL_offsetz00_3332;
{ /* Inline/inline.scm 208 */
long BgL_auxz00_4287;
{ /* Inline/inline.scm 208 */
int BgL_auxz00_4288;
BgL_auxz00_4288 = 
(int)(BgL_objzd2classzd2numz00_3327); 
BgL_auxz00_4287 = 
(long)(BgL_auxz00_4288); } 
BgL_offsetz00_3332 = 
(BgL_auxz00_4287-OBJECT_TYPE); } 
{ /* Inline/inline.scm 208 */
long BgL_modz00_3333;
{ /* Inline/inline.scm 208 */
long BgL_auxz00_4292;
{ /* Inline/inline.scm 208 */
int BgL_auxz00_4293;
BgL_auxz00_4293 = 
(int)(((long)8)); 
BgL_auxz00_4292 = 
(long)(BgL_auxz00_4293); } 
BgL_modz00_3333 = 
(BgL_offsetz00_3332/BgL_auxz00_4292); } 
{ /* Inline/inline.scm 208 */
long BgL_restz00_3335;
{ /* Inline/inline.scm 208 */
long BgL_auxz00_4297;
{ /* Inline/inline.scm 208 */
int BgL_auxz00_4298;
BgL_auxz00_4298 = 
(int)(((long)8)); 
BgL_auxz00_4297 = 
(long)(BgL_auxz00_4298); } 
BgL_restz00_3335 = 
(BgL_offsetz00_3332%BgL_auxz00_4297); } 
{ /* Inline/inline.scm 208 */

{ /* Inline/inline.scm 208 */
obj_t BgL_bucketz00_3337;
{ /* Inline/inline.scm 208 */
int BgL_kz00_3347;
BgL_kz00_3347 = 
(int)(BgL_modz00_3333); 
BgL_bucketz00_3337 = 
VECTOR_REF(BgL_arg1221z00_3328,BgL_kz00_3347); } 
{ /* Inline/inline.scm 208 */
int BgL_kz00_3349;
BgL_kz00_3349 = 
(int)(BgL_restz00_3335); 
BgL_method2750z00_3325 = 
VECTOR_REF(BgL_bucketz00_3337,BgL_kz00_3349); } } } } } } } } 
{ /* Inline/inline.scm 208 */
obj_t BgL_auxz00_4306;
BgL_auxz00_4306 = 
PROCEDURE_ENTRY(BgL_method2750z00_3325)(BgL_method2750z00_3325, 
(obj_t)(BgL_arg2957z00_1979), 
BINT(BgL_kfactorz00_3323), BgL_stackz00_1972, BEOA); 
BgL_res3054z00_3350 = 
(BgL_nodez00_bglt)(BgL_auxz00_4306); } } } 
BgL_arg2956z00_1978 = BgL_res3054z00_3350; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1970))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2956z00_1978), BUNSPEC); } 
BgL_auxz00_4244 = BgL_nodez00_1970; 
return 
(obj_t)(BgL_auxz00_4244);} } } 
}



/* inline-node-set-ex-it2782 */
obj_t BGl_inlinezd2nodezd2setzd2exzd2it2782z00zzinline_inlinez00(obj_t BgL_envz00_3644, obj_t BgL_nodez00_3645, obj_t BgL_kfactorz00_3646, obj_t BgL_stackz00_3647)
{ AN_OBJECT;
{ /* Inline/inline.scm 198 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1961;obj_t BgL_kfactorz00_1962;obj_t BgL_stackz00_1963;
{ /* Inline/inline.scm 199 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4315;
BgL_nodez00_1961 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3645); 
BgL_kfactorz00_1962 = BgL_kfactorz00_3646; 
BgL_stackz00_1963 = BgL_stackz00_3647; 
{ /* Inline/inline.scm 199 */
BgL_nodez00_bglt BgL_arg2951z00_3255;
{ /* Inline/inline.scm 199 */
BgL_nodez00_bglt BgL_arg2952z00_3256;
BgL_arg2952z00_3256 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1961))->BgL_bodyz00); 
{ /* Inline/inline.scm 199 */
BgL_nodez00_bglt BgL_res3048z00_3286;
{ /* Inline/inline.scm 199 */
long BgL_kfactorz00_3259;
BgL_kfactorz00_3259 = 
(long)CINT(BgL_kfactorz00_1962); 
{ /* Inline/inline.scm 199 */
obj_t BgL_method2750z00_3261;
{ /* Inline/inline.scm 199 */
long BgL_objzd2classzd2numz00_3263;
{ /* Inline/inline.scm 199 */
BgL_objectz00_bglt BgL_auxz00_4318;
BgL_auxz00_4318 = 
(BgL_objectz00_bglt)(BgL_arg2952z00_3256); 
BgL_objzd2classzd2numz00_3263 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4318); } 
{ /* Inline/inline.scm 199 */
obj_t BgL_arg1221z00_3264;
{ /* Inline/inline.scm 199 */
int BgL_auxz00_4321;
BgL_auxz00_4321 = 
(int)(((long)1)); 
BgL_arg1221z00_3264 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4321); } 
{ /* Inline/inline.scm 199 */
long BgL_offsetz00_3268;
{ /* Inline/inline.scm 199 */
long BgL_auxz00_4324;
{ /* Inline/inline.scm 199 */
int BgL_auxz00_4325;
BgL_auxz00_4325 = 
(int)(BgL_objzd2classzd2numz00_3263); 
BgL_auxz00_4324 = 
(long)(BgL_auxz00_4325); } 
BgL_offsetz00_3268 = 
(BgL_auxz00_4324-OBJECT_TYPE); } 
{ /* Inline/inline.scm 199 */
long BgL_modz00_3269;
{ /* Inline/inline.scm 199 */
long BgL_auxz00_4329;
{ /* Inline/inline.scm 199 */
int BgL_auxz00_4330;
BgL_auxz00_4330 = 
(int)(((long)8)); 
BgL_auxz00_4329 = 
(long)(BgL_auxz00_4330); } 
BgL_modz00_3269 = 
(BgL_offsetz00_3268/BgL_auxz00_4329); } 
{ /* Inline/inline.scm 199 */
long BgL_restz00_3271;
{ /* Inline/inline.scm 199 */
long BgL_auxz00_4334;
{ /* Inline/inline.scm 199 */
int BgL_auxz00_4335;
BgL_auxz00_4335 = 
(int)(((long)8)); 
BgL_auxz00_4334 = 
(long)(BgL_auxz00_4335); } 
BgL_restz00_3271 = 
(BgL_offsetz00_3268%BgL_auxz00_4334); } 
{ /* Inline/inline.scm 199 */

{ /* Inline/inline.scm 199 */
obj_t BgL_bucketz00_3273;
{ /* Inline/inline.scm 199 */
int BgL_kz00_3283;
BgL_kz00_3283 = 
(int)(BgL_modz00_3269); 
BgL_bucketz00_3273 = 
VECTOR_REF(BgL_arg1221z00_3264,BgL_kz00_3283); } 
{ /* Inline/inline.scm 199 */
int BgL_kz00_3285;
BgL_kz00_3285 = 
(int)(BgL_restz00_3271); 
BgL_method2750z00_3261 = 
VECTOR_REF(BgL_bucketz00_3273,BgL_kz00_3285); } } } } } } } } 
{ /* Inline/inline.scm 199 */
obj_t BgL_auxz00_4343;
BgL_auxz00_4343 = 
PROCEDURE_ENTRY(BgL_method2750z00_3261)(BgL_method2750z00_3261, 
(obj_t)(BgL_arg2952z00_3256), 
BINT(BgL_kfactorz00_3259), BgL_stackz00_1963, BEOA); 
BgL_res3048z00_3286 = 
(BgL_nodez00_bglt)(BgL_auxz00_4343); } } } 
BgL_arg2951z00_3255 = BgL_res3048z00_3286; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1961))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2951z00_3255), BUNSPEC); } 
BgL_auxz00_4315 = BgL_nodez00_1961; 
return 
(obj_t)(BgL_auxz00_4315);} } } 
}



/* inline-node-let-var2780 */
obj_t BGl_inlinezd2nodezd2letzd2var2780zd2zzinline_inlinez00(obj_t BgL_envz00_3648, obj_t BgL_nodez00_3649, obj_t BgL_kfactorz00_3650, obj_t BgL_stackz00_3651)
{ AN_OBJECT;
{ /* Inline/inline.scm 188 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1944;obj_t BgL_kfactorz00_1945;obj_t BgL_stackz00_1946;
{ /* Inline/inline.scm 189 */
BgL_letzd2varzd2_bglt BgL_auxz00_4352;
BgL_nodez00_1944 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3649); 
BgL_kfactorz00_1945 = BgL_kfactorz00_3650; 
BgL_stackz00_1946 = BgL_stackz00_3651; 
{ 
obj_t BgL_l2741z00_1949;
BgL_l2741z00_1949 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1944))->BgL_bindingsz00); 
BgL_lname2742z00_1950:
if(
PAIRP(BgL_l2741z00_1949))
{ /* Inline/inline.scm 189 */
{ /* Inline/inline.scm 190 */
obj_t BgL_bindingz00_1953;
BgL_bindingz00_1953 = 
CAR(BgL_l2741z00_1949); 
{ /* Inline/inline.scm 190 */
BgL_nodez00_bglt BgL_arg2945z00_1954;
{ /* Inline/inline.scm 190 */
BgL_nodez00_bglt BgL_res3042z00_3219;
{ /* Inline/inline.scm 190 */
BgL_nodez00_bglt BgL_nodez00_3191;long BgL_kfactorz00_3192;
{ /* Inline/inline.scm 190 */
obj_t BgL_auxz00_4356;
BgL_auxz00_4356 = 
CDR(BgL_bindingz00_1953); 
BgL_nodez00_3191 = 
(BgL_nodez00_bglt)(BgL_auxz00_4356); } 
BgL_kfactorz00_3192 = 
(long)CINT(BgL_kfactorz00_1945); 
{ /* Inline/inline.scm 190 */
obj_t BgL_method2750z00_3194;
{ /* Inline/inline.scm 190 */
long BgL_objzd2classzd2numz00_3196;
{ /* Inline/inline.scm 190 */
BgL_objectz00_bglt BgL_auxz00_4360;
BgL_auxz00_4360 = 
(BgL_objectz00_bglt)(BgL_nodez00_3191); 
BgL_objzd2classzd2numz00_3196 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4360); } 
{ /* Inline/inline.scm 190 */
obj_t BgL_arg1221z00_3197;
{ /* Inline/inline.scm 190 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(((long)1)); 
BgL_arg1221z00_3197 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4363); } 
{ /* Inline/inline.scm 190 */
long BgL_offsetz00_3201;
{ /* Inline/inline.scm 190 */
long BgL_auxz00_4366;
{ /* Inline/inline.scm 190 */
int BgL_auxz00_4367;
BgL_auxz00_4367 = 
(int)(BgL_objzd2classzd2numz00_3196); 
BgL_auxz00_4366 = 
(long)(BgL_auxz00_4367); } 
BgL_offsetz00_3201 = 
(BgL_auxz00_4366-OBJECT_TYPE); } 
{ /* Inline/inline.scm 190 */
long BgL_modz00_3202;
{ /* Inline/inline.scm 190 */
long BgL_auxz00_4371;
{ /* Inline/inline.scm 190 */
int BgL_auxz00_4372;
BgL_auxz00_4372 = 
(int)(((long)8)); 
BgL_auxz00_4371 = 
(long)(BgL_auxz00_4372); } 
BgL_modz00_3202 = 
(BgL_offsetz00_3201/BgL_auxz00_4371); } 
{ /* Inline/inline.scm 190 */
long BgL_restz00_3204;
{ /* Inline/inline.scm 190 */
long BgL_auxz00_4376;
{ /* Inline/inline.scm 190 */
int BgL_auxz00_4377;
BgL_auxz00_4377 = 
(int)(((long)8)); 
BgL_auxz00_4376 = 
(long)(BgL_auxz00_4377); } 
BgL_restz00_3204 = 
(BgL_offsetz00_3201%BgL_auxz00_4376); } 
{ /* Inline/inline.scm 190 */

{ /* Inline/inline.scm 190 */
obj_t BgL_bucketz00_3206;
{ /* Inline/inline.scm 190 */
int BgL_kz00_3216;
BgL_kz00_3216 = 
(int)(BgL_modz00_3202); 
BgL_bucketz00_3206 = 
VECTOR_REF(BgL_arg1221z00_3197,BgL_kz00_3216); } 
{ /* Inline/inline.scm 190 */
int BgL_kz00_3218;
BgL_kz00_3218 = 
(int)(BgL_restz00_3204); 
BgL_method2750z00_3194 = 
VECTOR_REF(BgL_bucketz00_3206,BgL_kz00_3218); } } } } } } } } 
{ /* Inline/inline.scm 190 */
obj_t BgL_auxz00_4385;
BgL_auxz00_4385 = 
PROCEDURE_ENTRY(BgL_method2750z00_3194)(BgL_method2750z00_3194, 
(obj_t)(BgL_nodez00_3191), 
BINT(BgL_kfactorz00_3192), BgL_stackz00_1946, BEOA); 
BgL_res3042z00_3219 = 
(BgL_nodez00_bglt)(BgL_auxz00_4385); } } } 
BgL_arg2945z00_1954 = BgL_res3042z00_3219; } 
{ /* Inline/inline.scm 190 */
obj_t BgL_auxz00_4391;
BgL_auxz00_4391 = 
(obj_t)(BgL_arg2945z00_1954); 
SET_CDR(BgL_bindingz00_1953, BgL_auxz00_4391); } } } 
{ 
obj_t BgL_l2741z00_4394;
BgL_l2741z00_4394 = 
CDR(BgL_l2741z00_1949); 
BgL_l2741z00_1949 = BgL_l2741z00_4394; 
goto BgL_lname2742z00_1950;} }  else 
{ /* Inline/inline.scm 189 */((bool_t)1); } } 
{ /* Inline/inline.scm 192 */
BgL_nodez00_bglt BgL_arg2948z00_1957;
{ /* Inline/inline.scm 192 */
BgL_nodez00_bglt BgL_arg2949z00_1958;
BgL_arg2949z00_1958 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1944))->BgL_bodyz00); 
{ /* Inline/inline.scm 192 */
BgL_nodez00_bglt BgL_res3045z00_3252;
{ /* Inline/inline.scm 192 */
long BgL_kfactorz00_3225;
BgL_kfactorz00_3225 = 
(long)CINT(BgL_kfactorz00_1945); 
{ /* Inline/inline.scm 192 */
obj_t BgL_method2750z00_3227;
{ /* Inline/inline.scm 192 */
long BgL_objzd2classzd2numz00_3229;
{ /* Inline/inline.scm 192 */
BgL_objectz00_bglt BgL_auxz00_4399;
BgL_auxz00_4399 = 
(BgL_objectz00_bglt)(BgL_arg2949z00_1958); 
BgL_objzd2classzd2numz00_3229 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4399); } 
{ /* Inline/inline.scm 192 */
obj_t BgL_arg1221z00_3230;
{ /* Inline/inline.scm 192 */
int BgL_auxz00_4402;
BgL_auxz00_4402 = 
(int)(((long)1)); 
BgL_arg1221z00_3230 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4402); } 
{ /* Inline/inline.scm 192 */
long BgL_offsetz00_3234;
{ /* Inline/inline.scm 192 */
long BgL_auxz00_4405;
{ /* Inline/inline.scm 192 */
int BgL_auxz00_4406;
BgL_auxz00_4406 = 
(int)(BgL_objzd2classzd2numz00_3229); 
BgL_auxz00_4405 = 
(long)(BgL_auxz00_4406); } 
BgL_offsetz00_3234 = 
(BgL_auxz00_4405-OBJECT_TYPE); } 
{ /* Inline/inline.scm 192 */
long BgL_modz00_3235;
{ /* Inline/inline.scm 192 */
long BgL_auxz00_4410;
{ /* Inline/inline.scm 192 */
int BgL_auxz00_4411;
BgL_auxz00_4411 = 
(int)(((long)8)); 
BgL_auxz00_4410 = 
(long)(BgL_auxz00_4411); } 
BgL_modz00_3235 = 
(BgL_offsetz00_3234/BgL_auxz00_4410); } 
{ /* Inline/inline.scm 192 */
long BgL_restz00_3237;
{ /* Inline/inline.scm 192 */
long BgL_auxz00_4415;
{ /* Inline/inline.scm 192 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(((long)8)); 
BgL_auxz00_4415 = 
(long)(BgL_auxz00_4416); } 
BgL_restz00_3237 = 
(BgL_offsetz00_3234%BgL_auxz00_4415); } 
{ /* Inline/inline.scm 192 */

{ /* Inline/inline.scm 192 */
obj_t BgL_bucketz00_3239;
{ /* Inline/inline.scm 192 */
int BgL_kz00_3249;
BgL_kz00_3249 = 
(int)(BgL_modz00_3235); 
BgL_bucketz00_3239 = 
VECTOR_REF(BgL_arg1221z00_3230,BgL_kz00_3249); } 
{ /* Inline/inline.scm 192 */
int BgL_kz00_3251;
BgL_kz00_3251 = 
(int)(BgL_restz00_3237); 
BgL_method2750z00_3227 = 
VECTOR_REF(BgL_bucketz00_3239,BgL_kz00_3251); } } } } } } } } 
{ /* Inline/inline.scm 192 */
obj_t BgL_auxz00_4424;
BgL_auxz00_4424 = 
PROCEDURE_ENTRY(BgL_method2750z00_3227)(BgL_method2750z00_3227, 
(obj_t)(BgL_arg2949z00_1958), 
BINT(BgL_kfactorz00_3225), BgL_stackz00_1946, BEOA); 
BgL_res3045z00_3252 = 
(BgL_nodez00_bglt)(BgL_auxz00_4424); } } } 
BgL_arg2948z00_1957 = BgL_res3045z00_3252; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1944))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2948z00_1957), BUNSPEC); } 
BgL_auxz00_4352 = BgL_nodez00_1944; 
return 
(obj_t)(BgL_auxz00_4352);} } } 
}



/* inline-node-let-fun2778 */
obj_t BGl_inlinezd2nodezd2letzd2fun2778zd2zzinline_inlinez00(obj_t BgL_envz00_3652, obj_t BgL_nodez00_3653, obj_t BgL_kfactorz00_3654, obj_t BgL_stackz00_3655)
{ AN_OBJECT;
{ /* Inline/inline.scm 178 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1929;obj_t BgL_kfactorz00_1930;obj_t BgL_stackz00_1931;
{ /* Inline/inline.scm 179 */
BgL_letzd2funzd2_bglt BgL_auxz00_4433;
BgL_nodez00_1929 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3653); 
BgL_kfactorz00_1930 = BgL_kfactorz00_3654; 
BgL_stackz00_1931 = BgL_stackz00_3655; 
{ /* Inline/inline.scm 179 */
BgL_nodez00_bglt BgL_arg2937z00_1934;
{ /* Inline/inline.scm 179 */
BgL_nodez00_bglt BgL_arg2938z00_1935;
BgL_arg2938z00_1935 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1929))->BgL_bodyz00); 
{ /* Inline/inline.scm 179 */
BgL_nodez00_bglt BgL_res3039z00_3180;
{ /* Inline/inline.scm 179 */
long BgL_kfactorz00_3153;
BgL_kfactorz00_3153 = 
(long)CINT(BgL_kfactorz00_1930); 
{ /* Inline/inline.scm 179 */
obj_t BgL_method2750z00_3155;
{ /* Inline/inline.scm 179 */
long BgL_objzd2classzd2numz00_3157;
{ /* Inline/inline.scm 179 */
BgL_objectz00_bglt BgL_auxz00_4436;
BgL_auxz00_4436 = 
(BgL_objectz00_bglt)(BgL_arg2938z00_1935); 
BgL_objzd2classzd2numz00_3157 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4436); } 
{ /* Inline/inline.scm 179 */
obj_t BgL_arg1221z00_3158;
{ /* Inline/inline.scm 179 */
int BgL_auxz00_4439;
BgL_auxz00_4439 = 
(int)(((long)1)); 
BgL_arg1221z00_3158 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4439); } 
{ /* Inline/inline.scm 179 */
long BgL_offsetz00_3162;
{ /* Inline/inline.scm 179 */
long BgL_auxz00_4442;
{ /* Inline/inline.scm 179 */
int BgL_auxz00_4443;
BgL_auxz00_4443 = 
(int)(BgL_objzd2classzd2numz00_3157); 
BgL_auxz00_4442 = 
(long)(BgL_auxz00_4443); } 
BgL_offsetz00_3162 = 
(BgL_auxz00_4442-OBJECT_TYPE); } 
{ /* Inline/inline.scm 179 */
long BgL_modz00_3163;
{ /* Inline/inline.scm 179 */
long BgL_auxz00_4447;
{ /* Inline/inline.scm 179 */
int BgL_auxz00_4448;
BgL_auxz00_4448 = 
(int)(((long)8)); 
BgL_auxz00_4447 = 
(long)(BgL_auxz00_4448); } 
BgL_modz00_3163 = 
(BgL_offsetz00_3162/BgL_auxz00_4447); } 
{ /* Inline/inline.scm 179 */
long BgL_restz00_3165;
{ /* Inline/inline.scm 179 */
long BgL_auxz00_4452;
{ /* Inline/inline.scm 179 */
int BgL_auxz00_4453;
BgL_auxz00_4453 = 
(int)(((long)8)); 
BgL_auxz00_4452 = 
(long)(BgL_auxz00_4453); } 
BgL_restz00_3165 = 
(BgL_offsetz00_3162%BgL_auxz00_4452); } 
{ /* Inline/inline.scm 179 */

{ /* Inline/inline.scm 179 */
obj_t BgL_bucketz00_3167;
{ /* Inline/inline.scm 179 */
int BgL_kz00_3177;
BgL_kz00_3177 = 
(int)(BgL_modz00_3163); 
BgL_bucketz00_3167 = 
VECTOR_REF(BgL_arg1221z00_3158,BgL_kz00_3177); } 
{ /* Inline/inline.scm 179 */
int BgL_kz00_3179;
BgL_kz00_3179 = 
(int)(BgL_restz00_3165); 
BgL_method2750z00_3155 = 
VECTOR_REF(BgL_bucketz00_3167,BgL_kz00_3179); } } } } } } } } 
{ /* Inline/inline.scm 179 */
obj_t BgL_auxz00_4461;
BgL_auxz00_4461 = 
PROCEDURE_ENTRY(BgL_method2750z00_3155)(BgL_method2750z00_3155, 
(obj_t)(BgL_arg2938z00_1935), 
BINT(BgL_kfactorz00_3153), BgL_stackz00_1931, BEOA); 
BgL_res3039z00_3180 = 
(BgL_nodez00_bglt)(BgL_auxz00_4461); } } } 
BgL_arg2937z00_1934 = BgL_res3039z00_3180; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1929))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2937z00_1934), BUNSPEC); } 
{ 
obj_t BgL_l2739z00_1936;
BgL_l2739z00_1936 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1929))->BgL_localsz00); 
BgL_lname2740z00_1937:
if(
PAIRP(BgL_l2739z00_1936))
{ /* Inline/inline.scm 180 */
{ /* Inline/inline.scm 181 */
BgL_variablez00_bglt BgL_auxz00_4470;
{ /* Inline/inline.scm 181 */
obj_t BgL_auxz00_4471;
BgL_auxz00_4471 = 
CAR(BgL_l2739z00_1936); 
BgL_auxz00_4470 = 
(BgL_variablez00_bglt)(BgL_auxz00_4471); } 
BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_auxz00_4470, 
(long)CINT(BgL_kfactorz00_1930), BgL_stackz00_1931); } 
{ 
obj_t BgL_l2739z00_4476;
BgL_l2739z00_4476 = 
CDR(BgL_l2739z00_1936); 
BgL_l2739z00_1936 = BgL_l2739z00_4476; 
goto BgL_lname2740z00_1937;} }  else 
{ /* Inline/inline.scm 180 */((bool_t)1); } } 
BgL_auxz00_4433 = BgL_nodez00_1929; 
return 
(obj_t)(BgL_auxz00_4433);} } } 
}



/* inline-node-select2776 */
obj_t BGl_inlinezd2nodezd2select2776z00zzinline_inlinez00(obj_t BgL_envz00_3656, obj_t BgL_nodez00_3657, obj_t BgL_kfactorz00_3658, obj_t BgL_stackz00_3659)
{ AN_OBJECT;
{ /* Inline/inline.scm 168 */
{ 
BgL_selectz00_bglt BgL_nodez00_1912;obj_t BgL_kfactorz00_1913;obj_t BgL_stackz00_1914;
{ /* Inline/inline.scm 169 */
BgL_selectz00_bglt BgL_auxz00_4481;
BgL_nodez00_1912 = 
(BgL_selectz00_bglt)(BgL_nodez00_3657); 
BgL_kfactorz00_1913 = BgL_kfactorz00_3658; 
BgL_stackz00_1914 = BgL_stackz00_3659; 
{ /* Inline/inline.scm 169 */
BgL_nodez00_bglt BgL_arg2929z00_1917;
{ /* Inline/inline.scm 169 */
BgL_nodez00_bglt BgL_arg2930z00_1918;
BgL_arg2930z00_1918 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1912))->BgL_testz00); 
{ /* Inline/inline.scm 169 */
BgL_nodez00_bglt BgL_res3033z00_3112;
{ /* Inline/inline.scm 169 */
long BgL_kfactorz00_3085;
BgL_kfactorz00_3085 = 
(long)CINT(BgL_kfactorz00_1913); 
{ /* Inline/inline.scm 169 */
obj_t BgL_method2750z00_3087;
{ /* Inline/inline.scm 169 */
long BgL_objzd2classzd2numz00_3089;
{ /* Inline/inline.scm 169 */
BgL_objectz00_bglt BgL_auxz00_4484;
BgL_auxz00_4484 = 
(BgL_objectz00_bglt)(BgL_arg2930z00_1918); 
BgL_objzd2classzd2numz00_3089 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4484); } 
{ /* Inline/inline.scm 169 */
obj_t BgL_arg1221z00_3090;
{ /* Inline/inline.scm 169 */
int BgL_auxz00_4487;
BgL_auxz00_4487 = 
(int)(((long)1)); 
BgL_arg1221z00_3090 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4487); } 
{ /* Inline/inline.scm 169 */
long BgL_offsetz00_3094;
{ /* Inline/inline.scm 169 */
long BgL_auxz00_4490;
{ /* Inline/inline.scm 169 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(BgL_objzd2classzd2numz00_3089); 
BgL_auxz00_4490 = 
(long)(BgL_auxz00_4491); } 
BgL_offsetz00_3094 = 
(BgL_auxz00_4490-OBJECT_TYPE); } 
{ /* Inline/inline.scm 169 */
long BgL_modz00_3095;
{ /* Inline/inline.scm 169 */
long BgL_auxz00_4495;
{ /* Inline/inline.scm 169 */
int BgL_auxz00_4496;
BgL_auxz00_4496 = 
(int)(((long)8)); 
BgL_auxz00_4495 = 
(long)(BgL_auxz00_4496); } 
BgL_modz00_3095 = 
(BgL_offsetz00_3094/BgL_auxz00_4495); } 
{ /* Inline/inline.scm 169 */
long BgL_restz00_3097;
{ /* Inline/inline.scm 169 */
long BgL_auxz00_4500;
{ /* Inline/inline.scm 169 */
int BgL_auxz00_4501;
BgL_auxz00_4501 = 
(int)(((long)8)); 
BgL_auxz00_4500 = 
(long)(BgL_auxz00_4501); } 
BgL_restz00_3097 = 
(BgL_offsetz00_3094%BgL_auxz00_4500); } 
{ /* Inline/inline.scm 169 */

{ /* Inline/inline.scm 169 */
obj_t BgL_bucketz00_3099;
{ /* Inline/inline.scm 169 */
int BgL_kz00_3109;
BgL_kz00_3109 = 
(int)(BgL_modz00_3095); 
BgL_bucketz00_3099 = 
VECTOR_REF(BgL_arg1221z00_3090,BgL_kz00_3109); } 
{ /* Inline/inline.scm 169 */
int BgL_kz00_3111;
BgL_kz00_3111 = 
(int)(BgL_restz00_3097); 
BgL_method2750z00_3087 = 
VECTOR_REF(BgL_bucketz00_3099,BgL_kz00_3111); } } } } } } } } 
{ /* Inline/inline.scm 169 */
obj_t BgL_auxz00_4509;
BgL_auxz00_4509 = 
PROCEDURE_ENTRY(BgL_method2750z00_3087)(BgL_method2750z00_3087, 
(obj_t)(BgL_arg2930z00_1918), 
BINT(BgL_kfactorz00_3085), BgL_stackz00_1914, BEOA); 
BgL_res3033z00_3112 = 
(BgL_nodez00_bglt)(BgL_auxz00_4509); } } } 
BgL_arg2929z00_1917 = BgL_res3033z00_3112; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1912))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2929z00_1917), BUNSPEC); } 
{ 
obj_t BgL_l2737z00_1919;
BgL_l2737z00_1919 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1912))->BgL_clausesz00); 
BgL_lname2738z00_1920:
if(
PAIRP(BgL_l2737z00_1919))
{ /* Inline/inline.scm 170 */
{ /* Inline/inline.scm 171 */
obj_t BgL_clausez00_1923;
BgL_clausez00_1923 = 
CAR(BgL_l2737z00_1919); 
{ /* Inline/inline.scm 171 */
BgL_nodez00_bglt BgL_arg2933z00_1924;
{ /* Inline/inline.scm 171 */
BgL_nodez00_bglt BgL_res3036z00_3147;
{ /* Inline/inline.scm 171 */
BgL_nodez00_bglt BgL_nodez00_3119;long BgL_kfactorz00_3120;
{ /* Inline/inline.scm 171 */
obj_t BgL_auxz00_4519;
BgL_auxz00_4519 = 
CDR(BgL_clausez00_1923); 
BgL_nodez00_3119 = 
(BgL_nodez00_bglt)(BgL_auxz00_4519); } 
BgL_kfactorz00_3120 = 
(long)CINT(BgL_kfactorz00_1913); 
{ /* Inline/inline.scm 171 */
obj_t BgL_method2750z00_3122;
{ /* Inline/inline.scm 171 */
long BgL_objzd2classzd2numz00_3124;
{ /* Inline/inline.scm 171 */
BgL_objectz00_bglt BgL_auxz00_4523;
BgL_auxz00_4523 = 
(BgL_objectz00_bglt)(BgL_nodez00_3119); 
BgL_objzd2classzd2numz00_3124 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4523); } 
{ /* Inline/inline.scm 171 */
obj_t BgL_arg1221z00_3125;
{ /* Inline/inline.scm 171 */
int BgL_auxz00_4526;
BgL_auxz00_4526 = 
(int)(((long)1)); 
BgL_arg1221z00_3125 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4526); } 
{ /* Inline/inline.scm 171 */
long BgL_offsetz00_3129;
{ /* Inline/inline.scm 171 */
long BgL_auxz00_4529;
{ /* Inline/inline.scm 171 */
int BgL_auxz00_4530;
BgL_auxz00_4530 = 
(int)(BgL_objzd2classzd2numz00_3124); 
BgL_auxz00_4529 = 
(long)(BgL_auxz00_4530); } 
BgL_offsetz00_3129 = 
(BgL_auxz00_4529-OBJECT_TYPE); } 
{ /* Inline/inline.scm 171 */
long BgL_modz00_3130;
{ /* Inline/inline.scm 171 */
long BgL_auxz00_4534;
{ /* Inline/inline.scm 171 */
int BgL_auxz00_4535;
BgL_auxz00_4535 = 
(int)(((long)8)); 
BgL_auxz00_4534 = 
(long)(BgL_auxz00_4535); } 
BgL_modz00_3130 = 
(BgL_offsetz00_3129/BgL_auxz00_4534); } 
{ /* Inline/inline.scm 171 */
long BgL_restz00_3132;
{ /* Inline/inline.scm 171 */
long BgL_auxz00_4539;
{ /* Inline/inline.scm 171 */
int BgL_auxz00_4540;
BgL_auxz00_4540 = 
(int)(((long)8)); 
BgL_auxz00_4539 = 
(long)(BgL_auxz00_4540); } 
BgL_restz00_3132 = 
(BgL_offsetz00_3129%BgL_auxz00_4539); } 
{ /* Inline/inline.scm 171 */

{ /* Inline/inline.scm 171 */
obj_t BgL_bucketz00_3134;
{ /* Inline/inline.scm 171 */
int BgL_kz00_3144;
BgL_kz00_3144 = 
(int)(BgL_modz00_3130); 
BgL_bucketz00_3134 = 
VECTOR_REF(BgL_arg1221z00_3125,BgL_kz00_3144); } 
{ /* Inline/inline.scm 171 */
int BgL_kz00_3146;
BgL_kz00_3146 = 
(int)(BgL_restz00_3132); 
BgL_method2750z00_3122 = 
VECTOR_REF(BgL_bucketz00_3134,BgL_kz00_3146); } } } } } } } } 
{ /* Inline/inline.scm 171 */
obj_t BgL_auxz00_4548;
BgL_auxz00_4548 = 
PROCEDURE_ENTRY(BgL_method2750z00_3122)(BgL_method2750z00_3122, 
(obj_t)(BgL_nodez00_3119), 
BINT(BgL_kfactorz00_3120), BgL_stackz00_1914, BEOA); 
BgL_res3036z00_3147 = 
(BgL_nodez00_bglt)(BgL_auxz00_4548); } } } 
BgL_arg2933z00_1924 = BgL_res3036z00_3147; } 
{ /* Inline/inline.scm 171 */
obj_t BgL_auxz00_4554;
BgL_auxz00_4554 = 
(obj_t)(BgL_arg2933z00_1924); 
SET_CDR(BgL_clausez00_1923, BgL_auxz00_4554); } } } 
{ 
obj_t BgL_l2737z00_4557;
BgL_l2737z00_4557 = 
CDR(BgL_l2737z00_1919); 
BgL_l2737z00_1919 = BgL_l2737z00_4557; 
goto BgL_lname2738z00_1920;} }  else 
{ /* Inline/inline.scm 170 */((bool_t)1); } } 
BgL_auxz00_4481 = BgL_nodez00_1912; 
return 
(obj_t)(BgL_auxz00_4481);} } } 
}



/* inline-node-fail2774 */
obj_t BGl_inlinezd2nodezd2fail2774z00zzinline_inlinez00(obj_t BgL_envz00_3660, obj_t BgL_nodez00_3661, obj_t BgL_kfactorz00_3662, obj_t BgL_stackz00_3663)
{ AN_OBJECT;
{ /* Inline/inline.scm 158 */
{ 
BgL_failz00_bglt BgL_nodez00_1898;obj_t BgL_kfactorz00_1899;obj_t BgL_stackz00_1900;
{ /* Inline/inline.scm 159 */
BgL_failz00_bglt BgL_auxz00_4562;
BgL_nodez00_1898 = 
(BgL_failz00_bglt)(BgL_nodez00_3661); 
BgL_kfactorz00_1899 = BgL_kfactorz00_3662; 
BgL_stackz00_1900 = BgL_stackz00_3663; 
{ /* Inline/inline.scm 160 */
BgL_nodez00_bglt BgL_arg2922z00_1904;
{ /* Inline/inline.scm 160 */
BgL_nodez00_bglt BgL_arg2923z00_1905;
BgL_arg2923z00_1905 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_procz00); 
{ /* Inline/inline.scm 160 */
BgL_nodez00_bglt BgL_res3024z00_3016;
{ /* Inline/inline.scm 160 */
long BgL_kfactorz00_2989;
BgL_kfactorz00_2989 = 
(long)CINT(BgL_kfactorz00_1899); 
{ /* Inline/inline.scm 160 */
obj_t BgL_method2750z00_2991;
{ /* Inline/inline.scm 160 */
long BgL_objzd2classzd2numz00_2993;
{ /* Inline/inline.scm 160 */
BgL_objectz00_bglt BgL_auxz00_4565;
BgL_auxz00_4565 = 
(BgL_objectz00_bglt)(BgL_arg2923z00_1905); 
BgL_objzd2classzd2numz00_2993 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4565); } 
{ /* Inline/inline.scm 160 */
obj_t BgL_arg1221z00_2994;
{ /* Inline/inline.scm 160 */
int BgL_auxz00_4568;
BgL_auxz00_4568 = 
(int)(((long)1)); 
BgL_arg1221z00_2994 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4568); } 
{ /* Inline/inline.scm 160 */
long BgL_offsetz00_2998;
{ /* Inline/inline.scm 160 */
long BgL_auxz00_4571;
{ /* Inline/inline.scm 160 */
int BgL_auxz00_4572;
BgL_auxz00_4572 = 
(int)(BgL_objzd2classzd2numz00_2993); 
BgL_auxz00_4571 = 
(long)(BgL_auxz00_4572); } 
BgL_offsetz00_2998 = 
(BgL_auxz00_4571-OBJECT_TYPE); } 
{ /* Inline/inline.scm 160 */
long BgL_modz00_2999;
{ /* Inline/inline.scm 160 */
long BgL_auxz00_4576;
{ /* Inline/inline.scm 160 */
int BgL_auxz00_4577;
BgL_auxz00_4577 = 
(int)(((long)8)); 
BgL_auxz00_4576 = 
(long)(BgL_auxz00_4577); } 
BgL_modz00_2999 = 
(BgL_offsetz00_2998/BgL_auxz00_4576); } 
{ /* Inline/inline.scm 160 */
long BgL_restz00_3001;
{ /* Inline/inline.scm 160 */
long BgL_auxz00_4581;
{ /* Inline/inline.scm 160 */
int BgL_auxz00_4582;
BgL_auxz00_4582 = 
(int)(((long)8)); 
BgL_auxz00_4581 = 
(long)(BgL_auxz00_4582); } 
BgL_restz00_3001 = 
(BgL_offsetz00_2998%BgL_auxz00_4581); } 
{ /* Inline/inline.scm 160 */

{ /* Inline/inline.scm 160 */
obj_t BgL_bucketz00_3003;
{ /* Inline/inline.scm 160 */
int BgL_kz00_3013;
BgL_kz00_3013 = 
(int)(BgL_modz00_2999); 
BgL_bucketz00_3003 = 
VECTOR_REF(BgL_arg1221z00_2994,BgL_kz00_3013); } 
{ /* Inline/inline.scm 160 */
int BgL_kz00_3015;
BgL_kz00_3015 = 
(int)(BgL_restz00_3001); 
BgL_method2750z00_2991 = 
VECTOR_REF(BgL_bucketz00_3003,BgL_kz00_3015); } } } } } } } } 
{ /* Inline/inline.scm 160 */
obj_t BgL_auxz00_4590;
BgL_auxz00_4590 = 
PROCEDURE_ENTRY(BgL_method2750z00_2991)(BgL_method2750z00_2991, 
(obj_t)(BgL_arg2923z00_1905), 
BINT(BgL_kfactorz00_2989), BgL_stackz00_1900, BEOA); 
BgL_res3024z00_3016 = 
(BgL_nodez00_bglt)(BgL_auxz00_4590); } } } 
BgL_arg2922z00_1904 = BgL_res3024z00_3016; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2922z00_1904), BUNSPEC); } 
{ /* Inline/inline.scm 161 */
BgL_nodez00_bglt BgL_arg2924z00_1906;
{ /* Inline/inline.scm 161 */
BgL_nodez00_bglt BgL_arg2925z00_1907;
BgL_arg2925z00_1907 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_msgz00); 
{ /* Inline/inline.scm 161 */
BgL_nodez00_bglt BgL_res3027z00_3048;
{ /* Inline/inline.scm 161 */
long BgL_kfactorz00_3021;
BgL_kfactorz00_3021 = 
(long)CINT(BgL_kfactorz00_1899); 
{ /* Inline/inline.scm 161 */
obj_t BgL_method2750z00_3023;
{ /* Inline/inline.scm 161 */
long BgL_objzd2classzd2numz00_3025;
{ /* Inline/inline.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4599;
BgL_auxz00_4599 = 
(BgL_objectz00_bglt)(BgL_arg2925z00_1907); 
BgL_objzd2classzd2numz00_3025 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4599); } 
{ /* Inline/inline.scm 161 */
obj_t BgL_arg1221z00_3026;
{ /* Inline/inline.scm 161 */
int BgL_auxz00_4602;
BgL_auxz00_4602 = 
(int)(((long)1)); 
BgL_arg1221z00_3026 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4602); } 
{ /* Inline/inline.scm 161 */
long BgL_offsetz00_3030;
{ /* Inline/inline.scm 161 */
long BgL_auxz00_4605;
{ /* Inline/inline.scm 161 */
int BgL_auxz00_4606;
BgL_auxz00_4606 = 
(int)(BgL_objzd2classzd2numz00_3025); 
BgL_auxz00_4605 = 
(long)(BgL_auxz00_4606); } 
BgL_offsetz00_3030 = 
(BgL_auxz00_4605-OBJECT_TYPE); } 
{ /* Inline/inline.scm 161 */
long BgL_modz00_3031;
{ /* Inline/inline.scm 161 */
long BgL_auxz00_4610;
{ /* Inline/inline.scm 161 */
int BgL_auxz00_4611;
BgL_auxz00_4611 = 
(int)(((long)8)); 
BgL_auxz00_4610 = 
(long)(BgL_auxz00_4611); } 
BgL_modz00_3031 = 
(BgL_offsetz00_3030/BgL_auxz00_4610); } 
{ /* Inline/inline.scm 161 */
long BgL_restz00_3033;
{ /* Inline/inline.scm 161 */
long BgL_auxz00_4615;
{ /* Inline/inline.scm 161 */
int BgL_auxz00_4616;
BgL_auxz00_4616 = 
(int)(((long)8)); 
BgL_auxz00_4615 = 
(long)(BgL_auxz00_4616); } 
BgL_restz00_3033 = 
(BgL_offsetz00_3030%BgL_auxz00_4615); } 
{ /* Inline/inline.scm 161 */

{ /* Inline/inline.scm 161 */
obj_t BgL_bucketz00_3035;
{ /* Inline/inline.scm 161 */
int BgL_kz00_3045;
BgL_kz00_3045 = 
(int)(BgL_modz00_3031); 
BgL_bucketz00_3035 = 
VECTOR_REF(BgL_arg1221z00_3026,BgL_kz00_3045); } 
{ /* Inline/inline.scm 161 */
int BgL_kz00_3047;
BgL_kz00_3047 = 
(int)(BgL_restz00_3033); 
BgL_method2750z00_3023 = 
VECTOR_REF(BgL_bucketz00_3035,BgL_kz00_3047); } } } } } } } } 
{ /* Inline/inline.scm 161 */
obj_t BgL_auxz00_4624;
BgL_auxz00_4624 = 
PROCEDURE_ENTRY(BgL_method2750z00_3023)(BgL_method2750z00_3023, 
(obj_t)(BgL_arg2925z00_1907), 
BINT(BgL_kfactorz00_3021), BgL_stackz00_1900, BEOA); 
BgL_res3027z00_3048 = 
(BgL_nodez00_bglt)(BgL_auxz00_4624); } } } 
BgL_arg2924z00_1906 = BgL_res3027z00_3048; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2924z00_1906), BUNSPEC); } 
{ /* Inline/inline.scm 162 */
BgL_nodez00_bglt BgL_arg2926z00_1908;
{ /* Inline/inline.scm 162 */
BgL_nodez00_bglt BgL_arg2927z00_1909;
BgL_arg2927z00_1909 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_objz00); 
{ /* Inline/inline.scm 162 */
BgL_nodez00_bglt BgL_res3030z00_3080;
{ /* Inline/inline.scm 162 */
long BgL_kfactorz00_3053;
BgL_kfactorz00_3053 = 
(long)CINT(BgL_kfactorz00_1899); 
{ /* Inline/inline.scm 162 */
obj_t BgL_method2750z00_3055;
{ /* Inline/inline.scm 162 */
long BgL_objzd2classzd2numz00_3057;
{ /* Inline/inline.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4633;
BgL_auxz00_4633 = 
(BgL_objectz00_bglt)(BgL_arg2927z00_1909); 
BgL_objzd2classzd2numz00_3057 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4633); } 
{ /* Inline/inline.scm 162 */
obj_t BgL_arg1221z00_3058;
{ /* Inline/inline.scm 162 */
int BgL_auxz00_4636;
BgL_auxz00_4636 = 
(int)(((long)1)); 
BgL_arg1221z00_3058 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4636); } 
{ /* Inline/inline.scm 162 */
long BgL_offsetz00_3062;
{ /* Inline/inline.scm 162 */
long BgL_auxz00_4639;
{ /* Inline/inline.scm 162 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(BgL_objzd2classzd2numz00_3057); 
BgL_auxz00_4639 = 
(long)(BgL_auxz00_4640); } 
BgL_offsetz00_3062 = 
(BgL_auxz00_4639-OBJECT_TYPE); } 
{ /* Inline/inline.scm 162 */
long BgL_modz00_3063;
{ /* Inline/inline.scm 162 */
long BgL_auxz00_4644;
{ /* Inline/inline.scm 162 */
int BgL_auxz00_4645;
BgL_auxz00_4645 = 
(int)(((long)8)); 
BgL_auxz00_4644 = 
(long)(BgL_auxz00_4645); } 
BgL_modz00_3063 = 
(BgL_offsetz00_3062/BgL_auxz00_4644); } 
{ /* Inline/inline.scm 162 */
long BgL_restz00_3065;
{ /* Inline/inline.scm 162 */
long BgL_auxz00_4649;
{ /* Inline/inline.scm 162 */
int BgL_auxz00_4650;
BgL_auxz00_4650 = 
(int)(((long)8)); 
BgL_auxz00_4649 = 
(long)(BgL_auxz00_4650); } 
BgL_restz00_3065 = 
(BgL_offsetz00_3062%BgL_auxz00_4649); } 
{ /* Inline/inline.scm 162 */

{ /* Inline/inline.scm 162 */
obj_t BgL_bucketz00_3067;
{ /* Inline/inline.scm 162 */
int BgL_kz00_3077;
BgL_kz00_3077 = 
(int)(BgL_modz00_3063); 
BgL_bucketz00_3067 = 
VECTOR_REF(BgL_arg1221z00_3058,BgL_kz00_3077); } 
{ /* Inline/inline.scm 162 */
int BgL_kz00_3079;
BgL_kz00_3079 = 
(int)(BgL_restz00_3065); 
BgL_method2750z00_3055 = 
VECTOR_REF(BgL_bucketz00_3067,BgL_kz00_3079); } } } } } } } } 
{ /* Inline/inline.scm 162 */
obj_t BgL_auxz00_4658;
BgL_auxz00_4658 = 
PROCEDURE_ENTRY(BgL_method2750z00_3055)(BgL_method2750z00_3055, 
(obj_t)(BgL_arg2927z00_1909), 
BINT(BgL_kfactorz00_3053), BgL_stackz00_1900, BEOA); 
BgL_res3030z00_3080 = 
(BgL_nodez00_bglt)(BgL_auxz00_4658); } } } 
BgL_arg2926z00_1908 = BgL_res3030z00_3080; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1898))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2926z00_1908), BUNSPEC); } 
BgL_auxz00_4562 = BgL_nodez00_1898; 
return 
(obj_t)(BgL_auxz00_4562);} } } 
}



/* inline-node-conditional2772 */
obj_t BGl_inlinezd2nodezd2conditional2772z00zzinline_inlinez00(obj_t BgL_envz00_3664, obj_t BgL_nodez00_3665, obj_t BgL_kfactorz00_3666, obj_t BgL_stackz00_3667)
{ AN_OBJECT;
{ /* Inline/inline.scm 148 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1884;obj_t BgL_kfactorz00_1885;obj_t BgL_stackz00_1886;
{ /* Inline/inline.scm 149 */
BgL_conditionalz00_bglt BgL_auxz00_4667;
BgL_nodez00_1884 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3665); 
BgL_kfactorz00_1885 = BgL_kfactorz00_3666; 
BgL_stackz00_1886 = BgL_stackz00_3667; 
{ /* Inline/inline.scm 150 */
BgL_nodez00_bglt BgL_arg2915z00_1890;
{ /* Inline/inline.scm 150 */
BgL_nodez00_bglt BgL_arg2916z00_1891;
BgL_arg2916z00_1891 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_testz00); 
{ /* Inline/inline.scm 150 */
BgL_nodez00_bglt BgL_res3015z00_2920;
{ /* Inline/inline.scm 150 */
long BgL_kfactorz00_2893;
BgL_kfactorz00_2893 = 
(long)CINT(BgL_kfactorz00_1885); 
{ /* Inline/inline.scm 150 */
obj_t BgL_method2750z00_2895;
{ /* Inline/inline.scm 150 */
long BgL_objzd2classzd2numz00_2897;
{ /* Inline/inline.scm 150 */
BgL_objectz00_bglt BgL_auxz00_4670;
BgL_auxz00_4670 = 
(BgL_objectz00_bglt)(BgL_arg2916z00_1891); 
BgL_objzd2classzd2numz00_2897 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4670); } 
{ /* Inline/inline.scm 150 */
obj_t BgL_arg1221z00_2898;
{ /* Inline/inline.scm 150 */
int BgL_auxz00_4673;
BgL_auxz00_4673 = 
(int)(((long)1)); 
BgL_arg1221z00_2898 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4673); } 
{ /* Inline/inline.scm 150 */
long BgL_offsetz00_2902;
{ /* Inline/inline.scm 150 */
long BgL_auxz00_4676;
{ /* Inline/inline.scm 150 */
int BgL_auxz00_4677;
BgL_auxz00_4677 = 
(int)(BgL_objzd2classzd2numz00_2897); 
BgL_auxz00_4676 = 
(long)(BgL_auxz00_4677); } 
BgL_offsetz00_2902 = 
(BgL_auxz00_4676-OBJECT_TYPE); } 
{ /* Inline/inline.scm 150 */
long BgL_modz00_2903;
{ /* Inline/inline.scm 150 */
long BgL_auxz00_4681;
{ /* Inline/inline.scm 150 */
int BgL_auxz00_4682;
BgL_auxz00_4682 = 
(int)(((long)8)); 
BgL_auxz00_4681 = 
(long)(BgL_auxz00_4682); } 
BgL_modz00_2903 = 
(BgL_offsetz00_2902/BgL_auxz00_4681); } 
{ /* Inline/inline.scm 150 */
long BgL_restz00_2905;
{ /* Inline/inline.scm 150 */
long BgL_auxz00_4686;
{ /* Inline/inline.scm 150 */
int BgL_auxz00_4687;
BgL_auxz00_4687 = 
(int)(((long)8)); 
BgL_auxz00_4686 = 
(long)(BgL_auxz00_4687); } 
BgL_restz00_2905 = 
(BgL_offsetz00_2902%BgL_auxz00_4686); } 
{ /* Inline/inline.scm 150 */

{ /* Inline/inline.scm 150 */
obj_t BgL_bucketz00_2907;
{ /* Inline/inline.scm 150 */
int BgL_kz00_2917;
BgL_kz00_2917 = 
(int)(BgL_modz00_2903); 
BgL_bucketz00_2907 = 
VECTOR_REF(BgL_arg1221z00_2898,BgL_kz00_2917); } 
{ /* Inline/inline.scm 150 */
int BgL_kz00_2919;
BgL_kz00_2919 = 
(int)(BgL_restz00_2905); 
BgL_method2750z00_2895 = 
VECTOR_REF(BgL_bucketz00_2907,BgL_kz00_2919); } } } } } } } } 
{ /* Inline/inline.scm 150 */
obj_t BgL_auxz00_4695;
BgL_auxz00_4695 = 
PROCEDURE_ENTRY(BgL_method2750z00_2895)(BgL_method2750z00_2895, 
(obj_t)(BgL_arg2916z00_1891), 
BINT(BgL_kfactorz00_2893), BgL_stackz00_1886, BEOA); 
BgL_res3015z00_2920 = 
(BgL_nodez00_bglt)(BgL_auxz00_4695); } } } 
BgL_arg2915z00_1890 = BgL_res3015z00_2920; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2915z00_1890), BUNSPEC); } 
{ /* Inline/inline.scm 151 */
BgL_nodez00_bglt BgL_arg2917z00_1892;
{ /* Inline/inline.scm 151 */
BgL_nodez00_bglt BgL_arg2918z00_1893;
BgL_arg2918z00_1893 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_truez00); 
{ /* Inline/inline.scm 151 */
BgL_nodez00_bglt BgL_res3018z00_2952;
{ /* Inline/inline.scm 151 */
long BgL_kfactorz00_2925;
BgL_kfactorz00_2925 = 
(long)CINT(BgL_kfactorz00_1885); 
{ /* Inline/inline.scm 151 */
obj_t BgL_method2750z00_2927;
{ /* Inline/inline.scm 151 */
long BgL_objzd2classzd2numz00_2929;
{ /* Inline/inline.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4704;
BgL_auxz00_4704 = 
(BgL_objectz00_bglt)(BgL_arg2918z00_1893); 
BgL_objzd2classzd2numz00_2929 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4704); } 
{ /* Inline/inline.scm 151 */
obj_t BgL_arg1221z00_2930;
{ /* Inline/inline.scm 151 */
int BgL_auxz00_4707;
BgL_auxz00_4707 = 
(int)(((long)1)); 
BgL_arg1221z00_2930 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4707); } 
{ /* Inline/inline.scm 151 */
long BgL_offsetz00_2934;
{ /* Inline/inline.scm 151 */
long BgL_auxz00_4710;
{ /* Inline/inline.scm 151 */
int BgL_auxz00_4711;
BgL_auxz00_4711 = 
(int)(BgL_objzd2classzd2numz00_2929); 
BgL_auxz00_4710 = 
(long)(BgL_auxz00_4711); } 
BgL_offsetz00_2934 = 
(BgL_auxz00_4710-OBJECT_TYPE); } 
{ /* Inline/inline.scm 151 */
long BgL_modz00_2935;
{ /* Inline/inline.scm 151 */
long BgL_auxz00_4715;
{ /* Inline/inline.scm 151 */
int BgL_auxz00_4716;
BgL_auxz00_4716 = 
(int)(((long)8)); 
BgL_auxz00_4715 = 
(long)(BgL_auxz00_4716); } 
BgL_modz00_2935 = 
(BgL_offsetz00_2934/BgL_auxz00_4715); } 
{ /* Inline/inline.scm 151 */
long BgL_restz00_2937;
{ /* Inline/inline.scm 151 */
long BgL_auxz00_4720;
{ /* Inline/inline.scm 151 */
int BgL_auxz00_4721;
BgL_auxz00_4721 = 
(int)(((long)8)); 
BgL_auxz00_4720 = 
(long)(BgL_auxz00_4721); } 
BgL_restz00_2937 = 
(BgL_offsetz00_2934%BgL_auxz00_4720); } 
{ /* Inline/inline.scm 151 */

{ /* Inline/inline.scm 151 */
obj_t BgL_bucketz00_2939;
{ /* Inline/inline.scm 151 */
int BgL_kz00_2949;
BgL_kz00_2949 = 
(int)(BgL_modz00_2935); 
BgL_bucketz00_2939 = 
VECTOR_REF(BgL_arg1221z00_2930,BgL_kz00_2949); } 
{ /* Inline/inline.scm 151 */
int BgL_kz00_2951;
BgL_kz00_2951 = 
(int)(BgL_restz00_2937); 
BgL_method2750z00_2927 = 
VECTOR_REF(BgL_bucketz00_2939,BgL_kz00_2951); } } } } } } } } 
{ /* Inline/inline.scm 151 */
obj_t BgL_auxz00_4729;
BgL_auxz00_4729 = 
PROCEDURE_ENTRY(BgL_method2750z00_2927)(BgL_method2750z00_2927, 
(obj_t)(BgL_arg2918z00_1893), 
BINT(BgL_kfactorz00_2925), BgL_stackz00_1886, BEOA); 
BgL_res3018z00_2952 = 
(BgL_nodez00_bglt)(BgL_auxz00_4729); } } } 
BgL_arg2917z00_1892 = BgL_res3018z00_2952; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2917z00_1892), BUNSPEC); } 
{ /* Inline/inline.scm 152 */
BgL_nodez00_bglt BgL_arg2919z00_1894;
{ /* Inline/inline.scm 152 */
BgL_nodez00_bglt BgL_arg2920z00_1895;
BgL_arg2920z00_1895 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_falsez00); 
{ /* Inline/inline.scm 152 */
BgL_nodez00_bglt BgL_res3021z00_2984;
{ /* Inline/inline.scm 152 */
long BgL_kfactorz00_2957;
BgL_kfactorz00_2957 = 
(long)CINT(BgL_kfactorz00_1885); 
{ /* Inline/inline.scm 152 */
obj_t BgL_method2750z00_2959;
{ /* Inline/inline.scm 152 */
long BgL_objzd2classzd2numz00_2961;
{ /* Inline/inline.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4738;
BgL_auxz00_4738 = 
(BgL_objectz00_bglt)(BgL_arg2920z00_1895); 
BgL_objzd2classzd2numz00_2961 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4738); } 
{ /* Inline/inline.scm 152 */
obj_t BgL_arg1221z00_2962;
{ /* Inline/inline.scm 152 */
int BgL_auxz00_4741;
BgL_auxz00_4741 = 
(int)(((long)1)); 
BgL_arg1221z00_2962 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4741); } 
{ /* Inline/inline.scm 152 */
long BgL_offsetz00_2966;
{ /* Inline/inline.scm 152 */
long BgL_auxz00_4744;
{ /* Inline/inline.scm 152 */
int BgL_auxz00_4745;
BgL_auxz00_4745 = 
(int)(BgL_objzd2classzd2numz00_2961); 
BgL_auxz00_4744 = 
(long)(BgL_auxz00_4745); } 
BgL_offsetz00_2966 = 
(BgL_auxz00_4744-OBJECT_TYPE); } 
{ /* Inline/inline.scm 152 */
long BgL_modz00_2967;
{ /* Inline/inline.scm 152 */
long BgL_auxz00_4749;
{ /* Inline/inline.scm 152 */
int BgL_auxz00_4750;
BgL_auxz00_4750 = 
(int)(((long)8)); 
BgL_auxz00_4749 = 
(long)(BgL_auxz00_4750); } 
BgL_modz00_2967 = 
(BgL_offsetz00_2966/BgL_auxz00_4749); } 
{ /* Inline/inline.scm 152 */
long BgL_restz00_2969;
{ /* Inline/inline.scm 152 */
long BgL_auxz00_4754;
{ /* Inline/inline.scm 152 */
int BgL_auxz00_4755;
BgL_auxz00_4755 = 
(int)(((long)8)); 
BgL_auxz00_4754 = 
(long)(BgL_auxz00_4755); } 
BgL_restz00_2969 = 
(BgL_offsetz00_2966%BgL_auxz00_4754); } 
{ /* Inline/inline.scm 152 */

{ /* Inline/inline.scm 152 */
obj_t BgL_bucketz00_2971;
{ /* Inline/inline.scm 152 */
int BgL_kz00_2981;
BgL_kz00_2981 = 
(int)(BgL_modz00_2967); 
BgL_bucketz00_2971 = 
VECTOR_REF(BgL_arg1221z00_2962,BgL_kz00_2981); } 
{ /* Inline/inline.scm 152 */
int BgL_kz00_2983;
BgL_kz00_2983 = 
(int)(BgL_restz00_2969); 
BgL_method2750z00_2959 = 
VECTOR_REF(BgL_bucketz00_2971,BgL_kz00_2983); } } } } } } } } 
{ /* Inline/inline.scm 152 */
obj_t BgL_auxz00_4763;
BgL_auxz00_4763 = 
PROCEDURE_ENTRY(BgL_method2750z00_2959)(BgL_method2750z00_2959, 
(obj_t)(BgL_arg2920z00_1895), 
BINT(BgL_kfactorz00_2957), BgL_stackz00_1886, BEOA); 
BgL_res3021z00_2984 = 
(BgL_nodez00_bglt)(BgL_auxz00_4763); } } } 
BgL_arg2919z00_1894 = BgL_res3021z00_2984; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1884))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2919z00_1894), BUNSPEC); } 
BgL_auxz00_4667 = BgL_nodez00_1884; 
return 
(obj_t)(BgL_auxz00_4667);} } } 
}



/* inline-node-setq2770 */
obj_t BGl_inlinezd2nodezd2setq2770z00zzinline_inlinez00(obj_t BgL_envz00_3668, obj_t BgL_nodez00_3669, obj_t BgL_kfactorz00_3670, obj_t BgL_stackz00_3671)
{ AN_OBJECT;
{ /* Inline/inline.scm 141 */
{ 
BgL_setqz00_bglt BgL_nodez00_1875;obj_t BgL_kfactorz00_1876;obj_t BgL_stackz00_1877;
{ /* Inline/inline.scm 142 */
BgL_setqz00_bglt BgL_auxz00_4772;
BgL_nodez00_1875 = 
(BgL_setqz00_bglt)(BgL_nodez00_3669); 
BgL_kfactorz00_1876 = BgL_kfactorz00_3670; 
BgL_stackz00_1877 = BgL_stackz00_3671; 
{ /* Inline/inline.scm 142 */
BgL_nodez00_bglt BgL_arg2912z00_2857;
{ /* Inline/inline.scm 142 */
BgL_nodez00_bglt BgL_arg2913z00_2858;
BgL_arg2913z00_2858 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1875))->BgL_valuez00); 
{ /* Inline/inline.scm 142 */
BgL_nodez00_bglt BgL_res3012z00_2888;
{ /* Inline/inline.scm 142 */
long BgL_kfactorz00_2861;
BgL_kfactorz00_2861 = 
(long)CINT(BgL_kfactorz00_1876); 
{ /* Inline/inline.scm 142 */
obj_t BgL_method2750z00_2863;
{ /* Inline/inline.scm 142 */
long BgL_objzd2classzd2numz00_2865;
{ /* Inline/inline.scm 142 */
BgL_objectz00_bglt BgL_auxz00_4775;
BgL_auxz00_4775 = 
(BgL_objectz00_bglt)(BgL_arg2913z00_2858); 
BgL_objzd2classzd2numz00_2865 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4775); } 
{ /* Inline/inline.scm 142 */
obj_t BgL_arg1221z00_2866;
{ /* Inline/inline.scm 142 */
int BgL_auxz00_4778;
BgL_auxz00_4778 = 
(int)(((long)1)); 
BgL_arg1221z00_2866 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4778); } 
{ /* Inline/inline.scm 142 */
long BgL_offsetz00_2870;
{ /* Inline/inline.scm 142 */
long BgL_auxz00_4781;
{ /* Inline/inline.scm 142 */
int BgL_auxz00_4782;
BgL_auxz00_4782 = 
(int)(BgL_objzd2classzd2numz00_2865); 
BgL_auxz00_4781 = 
(long)(BgL_auxz00_4782); } 
BgL_offsetz00_2870 = 
(BgL_auxz00_4781-OBJECT_TYPE); } 
{ /* Inline/inline.scm 142 */
long BgL_modz00_2871;
{ /* Inline/inline.scm 142 */
long BgL_auxz00_4786;
{ /* Inline/inline.scm 142 */
int BgL_auxz00_4787;
BgL_auxz00_4787 = 
(int)(((long)8)); 
BgL_auxz00_4786 = 
(long)(BgL_auxz00_4787); } 
BgL_modz00_2871 = 
(BgL_offsetz00_2870/BgL_auxz00_4786); } 
{ /* Inline/inline.scm 142 */
long BgL_restz00_2873;
{ /* Inline/inline.scm 142 */
long BgL_auxz00_4791;
{ /* Inline/inline.scm 142 */
int BgL_auxz00_4792;
BgL_auxz00_4792 = 
(int)(((long)8)); 
BgL_auxz00_4791 = 
(long)(BgL_auxz00_4792); } 
BgL_restz00_2873 = 
(BgL_offsetz00_2870%BgL_auxz00_4791); } 
{ /* Inline/inline.scm 142 */

{ /* Inline/inline.scm 142 */
obj_t BgL_bucketz00_2875;
{ /* Inline/inline.scm 142 */
int BgL_kz00_2885;
BgL_kz00_2885 = 
(int)(BgL_modz00_2871); 
BgL_bucketz00_2875 = 
VECTOR_REF(BgL_arg1221z00_2866,BgL_kz00_2885); } 
{ /* Inline/inline.scm 142 */
int BgL_kz00_2887;
BgL_kz00_2887 = 
(int)(BgL_restz00_2873); 
BgL_method2750z00_2863 = 
VECTOR_REF(BgL_bucketz00_2875,BgL_kz00_2887); } } } } } } } } 
{ /* Inline/inline.scm 142 */
obj_t BgL_auxz00_4800;
BgL_auxz00_4800 = 
PROCEDURE_ENTRY(BgL_method2750z00_2863)(BgL_method2750z00_2863, 
(obj_t)(BgL_arg2913z00_2858), 
BINT(BgL_kfactorz00_2861), BgL_stackz00_1877, BEOA); 
BgL_res3012z00_2888 = 
(BgL_nodez00_bglt)(BgL_auxz00_4800); } } } 
BgL_arg2912z00_2857 = BgL_res3012z00_2888; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1875))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2912z00_2857), BUNSPEC); } 
BgL_auxz00_4772 = BgL_nodez00_1875; 
return 
(obj_t)(BgL_auxz00_4772);} } } 
}



/* inline-node-cast2768 */
obj_t BGl_inlinezd2nodezd2cast2768z00zzinline_inlinez00(obj_t BgL_envz00_3672, obj_t BgL_nodez00_3673, obj_t BgL_kfactorz00_3674, obj_t BgL_stackz00_3675)
{ AN_OBJECT;
{ /* Inline/inline.scm 134 */
{ 
BgL_castz00_bglt BgL_nodez00_1867;obj_t BgL_kfactorz00_1868;obj_t BgL_stackz00_1869;
{ /* Inline/inline.scm 135 */
BgL_castz00_bglt BgL_auxz00_4809;
BgL_nodez00_1867 = 
(BgL_castz00_bglt)(BgL_nodez00_3673); 
BgL_kfactorz00_1868 = BgL_kfactorz00_3674; 
BgL_stackz00_1869 = BgL_stackz00_3675; 
{ /* Inline/inline.scm 135 */
BgL_nodez00_bglt BgL_arg2910z00_2826;
BgL_arg2910z00_2826 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1867))->BgL_argz00); 
{ /* Inline/inline.scm 135 */
BgL_nodez00_bglt BgL_res3009z00_2856;
{ /* Inline/inline.scm 135 */
long BgL_kfactorz00_2829;
BgL_kfactorz00_2829 = 
(long)CINT(BgL_kfactorz00_1868); 
{ /* Inline/inline.scm 135 */
obj_t BgL_method2750z00_2831;
{ /* Inline/inline.scm 135 */
long BgL_objzd2classzd2numz00_2833;
{ /* Inline/inline.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4812;
BgL_auxz00_4812 = 
(BgL_objectz00_bglt)(BgL_arg2910z00_2826); 
BgL_objzd2classzd2numz00_2833 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4812); } 
{ /* Inline/inline.scm 135 */
obj_t BgL_arg1221z00_2834;
{ /* Inline/inline.scm 135 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(((long)1)); 
BgL_arg1221z00_2834 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4815); } 
{ /* Inline/inline.scm 135 */
long BgL_offsetz00_2838;
{ /* Inline/inline.scm 135 */
long BgL_auxz00_4818;
{ /* Inline/inline.scm 135 */
int BgL_auxz00_4819;
BgL_auxz00_4819 = 
(int)(BgL_objzd2classzd2numz00_2833); 
BgL_auxz00_4818 = 
(long)(BgL_auxz00_4819); } 
BgL_offsetz00_2838 = 
(BgL_auxz00_4818-OBJECT_TYPE); } 
{ /* Inline/inline.scm 135 */
long BgL_modz00_2839;
{ /* Inline/inline.scm 135 */
long BgL_auxz00_4823;
{ /* Inline/inline.scm 135 */
int BgL_auxz00_4824;
BgL_auxz00_4824 = 
(int)(((long)8)); 
BgL_auxz00_4823 = 
(long)(BgL_auxz00_4824); } 
BgL_modz00_2839 = 
(BgL_offsetz00_2838/BgL_auxz00_4823); } 
{ /* Inline/inline.scm 135 */
long BgL_restz00_2841;
{ /* Inline/inline.scm 135 */
long BgL_auxz00_4828;
{ /* Inline/inline.scm 135 */
int BgL_auxz00_4829;
BgL_auxz00_4829 = 
(int)(((long)8)); 
BgL_auxz00_4828 = 
(long)(BgL_auxz00_4829); } 
BgL_restz00_2841 = 
(BgL_offsetz00_2838%BgL_auxz00_4828); } 
{ /* Inline/inline.scm 135 */

{ /* Inline/inline.scm 135 */
obj_t BgL_bucketz00_2843;
{ /* Inline/inline.scm 135 */
int BgL_kz00_2853;
BgL_kz00_2853 = 
(int)(BgL_modz00_2839); 
BgL_bucketz00_2843 = 
VECTOR_REF(BgL_arg1221z00_2834,BgL_kz00_2853); } 
{ /* Inline/inline.scm 135 */
int BgL_kz00_2855;
BgL_kz00_2855 = 
(int)(BgL_restz00_2841); 
BgL_method2750z00_2831 = 
VECTOR_REF(BgL_bucketz00_2843,BgL_kz00_2855); } } } } } } } } 
{ /* Inline/inline.scm 135 */
obj_t BgL_auxz00_4837;
BgL_auxz00_4837 = 
PROCEDURE_ENTRY(BgL_method2750z00_2831)(BgL_method2750z00_2831, 
(obj_t)(BgL_arg2910z00_2826), 
BINT(BgL_kfactorz00_2829), BgL_stackz00_1869, BEOA); 
BgL_res3009z00_2856 = 
(BgL_nodez00_bglt)(BgL_auxz00_4837); } } } BgL_res3009z00_2856; } } 
BgL_auxz00_4809 = BgL_nodez00_1867; 
return 
(obj_t)(BgL_auxz00_4809);} } } 
}



/* inline-node-extern2766 */
obj_t BGl_inlinezd2nodezd2extern2766z00zzinline_inlinez00(obj_t BgL_envz00_3676, obj_t BgL_nodez00_3677, obj_t BgL_kfactorz00_3678, obj_t BgL_stackz00_3679)
{ AN_OBJECT;
{ /* Inline/inline.scm 127 */
{ 
BgL_externz00_bglt BgL_nodez00_1859;obj_t BgL_kfactorz00_1860;obj_t BgL_stackz00_1861;
{ /* Inline/inline.scm 128 */
BgL_externz00_bglt BgL_auxz00_4845;
BgL_nodez00_1859 = 
(BgL_externz00_bglt)(BgL_nodez00_3677); 
BgL_kfactorz00_1860 = BgL_kfactorz00_3678; 
BgL_stackz00_1861 = BgL_stackz00_3679; 
BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1859))->BgL_exprza2za2), BgL_kfactorz00_1860, BgL_stackz00_1861); 
BgL_auxz00_4845 = BgL_nodez00_1859; 
return 
(obj_t)(BgL_auxz00_4845);} } } 
}



/* inline-node-funcall2764 */
obj_t BGl_inlinezd2nodezd2funcall2764z00zzinline_inlinez00(obj_t BgL_envz00_3680, obj_t BgL_nodez00_3681, obj_t BgL_kfactorz00_3682, obj_t BgL_stackz00_3683)
{ AN_OBJECT;
{ /* Inline/inline.scm 117 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1849;obj_t BgL_kfactorz00_1850;obj_t BgL_stackz00_1851;
{ /* Inline/inline.scm 119 */
BgL_funcallz00_bglt BgL_auxz00_4850;
BgL_nodez00_1849 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3681); 
BgL_kfactorz00_1850 = BgL_kfactorz00_3682; 
BgL_stackz00_1851 = BgL_stackz00_3683; 
{ /* Inline/inline.scm 119 */
long BgL_za71za7_2789;
BgL_za71za7_2789 = 
(long)CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00); 
{ /* Inline/inline.scm 119 */
long BgL_auxz00_4852;
BgL_auxz00_4852 = 
(BgL_za71za7_2789+((long)1)); 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(BgL_auxz00_4852); } } 
{ /* Inline/inline.scm 120 */
BgL_nodez00_bglt BgL_arg2904z00_1854;
{ /* Inline/inline.scm 120 */
BgL_nodez00_bglt BgL_arg2905z00_1855;
BgL_arg2905z00_1855 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1849))->BgL_funz00); 
{ /* Inline/inline.scm 120 */
BgL_nodez00_bglt BgL_res3006z00_2820;
{ /* Inline/inline.scm 120 */
long BgL_kfactorz00_2793;
BgL_kfactorz00_2793 = 
(long)CINT(BgL_kfactorz00_1850); 
{ /* Inline/inline.scm 120 */
obj_t BgL_method2750z00_2795;
{ /* Inline/inline.scm 120 */
long BgL_objzd2classzd2numz00_2797;
{ /* Inline/inline.scm 120 */
BgL_objectz00_bglt BgL_auxz00_4857;
BgL_auxz00_4857 = 
(BgL_objectz00_bglt)(BgL_arg2905z00_1855); 
BgL_objzd2classzd2numz00_2797 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4857); } 
{ /* Inline/inline.scm 120 */
obj_t BgL_arg1221z00_2798;
{ /* Inline/inline.scm 120 */
int BgL_auxz00_4860;
BgL_auxz00_4860 = 
(int)(((long)1)); 
BgL_arg1221z00_2798 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4860); } 
{ /* Inline/inline.scm 120 */
long BgL_offsetz00_2802;
{ /* Inline/inline.scm 120 */
long BgL_auxz00_4863;
{ /* Inline/inline.scm 120 */
int BgL_auxz00_4864;
BgL_auxz00_4864 = 
(int)(BgL_objzd2classzd2numz00_2797); 
BgL_auxz00_4863 = 
(long)(BgL_auxz00_4864); } 
BgL_offsetz00_2802 = 
(BgL_auxz00_4863-OBJECT_TYPE); } 
{ /* Inline/inline.scm 120 */
long BgL_modz00_2803;
{ /* Inline/inline.scm 120 */
long BgL_auxz00_4868;
{ /* Inline/inline.scm 120 */
int BgL_auxz00_4869;
BgL_auxz00_4869 = 
(int)(((long)8)); 
BgL_auxz00_4868 = 
(long)(BgL_auxz00_4869); } 
BgL_modz00_2803 = 
(BgL_offsetz00_2802/BgL_auxz00_4868); } 
{ /* Inline/inline.scm 120 */
long BgL_restz00_2805;
{ /* Inline/inline.scm 120 */
long BgL_auxz00_4873;
{ /* Inline/inline.scm 120 */
int BgL_auxz00_4874;
BgL_auxz00_4874 = 
(int)(((long)8)); 
BgL_auxz00_4873 = 
(long)(BgL_auxz00_4874); } 
BgL_restz00_2805 = 
(BgL_offsetz00_2802%BgL_auxz00_4873); } 
{ /* Inline/inline.scm 120 */

{ /* Inline/inline.scm 120 */
obj_t BgL_bucketz00_2807;
{ /* Inline/inline.scm 120 */
int BgL_kz00_2817;
BgL_kz00_2817 = 
(int)(BgL_modz00_2803); 
BgL_bucketz00_2807 = 
VECTOR_REF(BgL_arg1221z00_2798,BgL_kz00_2817); } 
{ /* Inline/inline.scm 120 */
int BgL_kz00_2819;
BgL_kz00_2819 = 
(int)(BgL_restz00_2805); 
BgL_method2750z00_2795 = 
VECTOR_REF(BgL_bucketz00_2807,BgL_kz00_2819); } } } } } } } } 
{ /* Inline/inline.scm 120 */
obj_t BgL_auxz00_4882;
BgL_auxz00_4882 = 
PROCEDURE_ENTRY(BgL_method2750z00_2795)(BgL_method2750z00_2795, 
(obj_t)(BgL_arg2905z00_1855), 
BINT(BgL_kfactorz00_2793), BgL_stackz00_1851, BEOA); 
BgL_res3006z00_2820 = 
(BgL_nodez00_bglt)(BgL_auxz00_4882); } } } 
BgL_arg2904z00_1854 = BgL_res3006z00_2820; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1849))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2904z00_1854), BUNSPEC); } 
BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1849))->BgL_argsz00), BgL_kfactorz00_1850, BgL_stackz00_1851); 
BgL_auxz00_4850 = BgL_nodez00_1849; 
return 
(obj_t)(BgL_auxz00_4850);} } } 
}



/* inline-node-app-ly2762 */
obj_t BGl_inlinezd2nodezd2appzd2ly2762zd2zzinline_inlinez00(obj_t BgL_envz00_3684, obj_t BgL_nodez00_3685, obj_t BgL_kfactorz00_3686, obj_t BgL_stackz00_3687)
{ AN_OBJECT;
{ /* Inline/inline.scm 108 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1837;obj_t BgL_kfactorz00_1838;obj_t BgL_stackz00_1839;
{ /* Inline/inline.scm 109 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4893;
BgL_nodez00_1837 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3685); 
BgL_kfactorz00_1838 = BgL_kfactorz00_3686; 
BgL_stackz00_1839 = BgL_stackz00_3687; 
{ /* Inline/inline.scm 110 */
BgL_nodez00_bglt BgL_arg2899z00_1843;
{ /* Inline/inline.scm 110 */
BgL_nodez00_bglt BgL_arg2900z00_1844;
BgL_arg2900z00_1844 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1837))->BgL_funz00); 
{ /* Inline/inline.scm 110 */
BgL_nodez00_bglt BgL_res3000z00_2754;
{ /* Inline/inline.scm 110 */
long BgL_kfactorz00_2727;
BgL_kfactorz00_2727 = 
(long)CINT(BgL_kfactorz00_1838); 
{ /* Inline/inline.scm 110 */
obj_t BgL_method2750z00_2729;
{ /* Inline/inline.scm 110 */
long BgL_objzd2classzd2numz00_2731;
{ /* Inline/inline.scm 110 */
BgL_objectz00_bglt BgL_auxz00_4896;
BgL_auxz00_4896 = 
(BgL_objectz00_bglt)(BgL_arg2900z00_1844); 
BgL_objzd2classzd2numz00_2731 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4896); } 
{ /* Inline/inline.scm 110 */
obj_t BgL_arg1221z00_2732;
{ /* Inline/inline.scm 110 */
int BgL_auxz00_4899;
BgL_auxz00_4899 = 
(int)(((long)1)); 
BgL_arg1221z00_2732 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4899); } 
{ /* Inline/inline.scm 110 */
long BgL_offsetz00_2736;
{ /* Inline/inline.scm 110 */
long BgL_auxz00_4902;
{ /* Inline/inline.scm 110 */
int BgL_auxz00_4903;
BgL_auxz00_4903 = 
(int)(BgL_objzd2classzd2numz00_2731); 
BgL_auxz00_4902 = 
(long)(BgL_auxz00_4903); } 
BgL_offsetz00_2736 = 
(BgL_auxz00_4902-OBJECT_TYPE); } 
{ /* Inline/inline.scm 110 */
long BgL_modz00_2737;
{ /* Inline/inline.scm 110 */
long BgL_auxz00_4907;
{ /* Inline/inline.scm 110 */
int BgL_auxz00_4908;
BgL_auxz00_4908 = 
(int)(((long)8)); 
BgL_auxz00_4907 = 
(long)(BgL_auxz00_4908); } 
BgL_modz00_2737 = 
(BgL_offsetz00_2736/BgL_auxz00_4907); } 
{ /* Inline/inline.scm 110 */
long BgL_restz00_2739;
{ /* Inline/inline.scm 110 */
long BgL_auxz00_4912;
{ /* Inline/inline.scm 110 */
int BgL_auxz00_4913;
BgL_auxz00_4913 = 
(int)(((long)8)); 
BgL_auxz00_4912 = 
(long)(BgL_auxz00_4913); } 
BgL_restz00_2739 = 
(BgL_offsetz00_2736%BgL_auxz00_4912); } 
{ /* Inline/inline.scm 110 */

{ /* Inline/inline.scm 110 */
obj_t BgL_bucketz00_2741;
{ /* Inline/inline.scm 110 */
int BgL_kz00_2751;
BgL_kz00_2751 = 
(int)(BgL_modz00_2737); 
BgL_bucketz00_2741 = 
VECTOR_REF(BgL_arg1221z00_2732,BgL_kz00_2751); } 
{ /* Inline/inline.scm 110 */
int BgL_kz00_2753;
BgL_kz00_2753 = 
(int)(BgL_restz00_2739); 
BgL_method2750z00_2729 = 
VECTOR_REF(BgL_bucketz00_2741,BgL_kz00_2753); } } } } } } } } 
{ /* Inline/inline.scm 110 */
obj_t BgL_auxz00_4921;
BgL_auxz00_4921 = 
PROCEDURE_ENTRY(BgL_method2750z00_2729)(BgL_method2750z00_2729, 
(obj_t)(BgL_arg2900z00_1844), 
BINT(BgL_kfactorz00_2727), BgL_stackz00_1839, BEOA); 
BgL_res3000z00_2754 = 
(BgL_nodez00_bglt)(BgL_auxz00_4921); } } } 
BgL_arg2899z00_1843 = BgL_res3000z00_2754; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1837))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2899z00_1843), BUNSPEC); } 
{ /* Inline/inline.scm 111 */
BgL_nodez00_bglt BgL_arg2901z00_1845;
{ /* Inline/inline.scm 111 */
BgL_nodez00_bglt BgL_arg2902z00_1846;
BgL_arg2902z00_1846 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1837))->BgL_argz00); 
{ /* Inline/inline.scm 111 */
BgL_nodez00_bglt BgL_res3003z00_2786;
{ /* Inline/inline.scm 111 */
long BgL_kfactorz00_2759;
BgL_kfactorz00_2759 = 
(long)CINT(BgL_kfactorz00_1838); 
{ /* Inline/inline.scm 111 */
obj_t BgL_method2750z00_2761;
{ /* Inline/inline.scm 111 */
long BgL_objzd2classzd2numz00_2763;
{ /* Inline/inline.scm 111 */
BgL_objectz00_bglt BgL_auxz00_4930;
BgL_auxz00_4930 = 
(BgL_objectz00_bglt)(BgL_arg2902z00_1846); 
BgL_objzd2classzd2numz00_2763 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4930); } 
{ /* Inline/inline.scm 111 */
obj_t BgL_arg1221z00_2764;
{ /* Inline/inline.scm 111 */
int BgL_auxz00_4933;
BgL_auxz00_4933 = 
(int)(((long)1)); 
BgL_arg1221z00_2764 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_4933); } 
{ /* Inline/inline.scm 111 */
long BgL_offsetz00_2768;
{ /* Inline/inline.scm 111 */
long BgL_auxz00_4936;
{ /* Inline/inline.scm 111 */
int BgL_auxz00_4937;
BgL_auxz00_4937 = 
(int)(BgL_objzd2classzd2numz00_2763); 
BgL_auxz00_4936 = 
(long)(BgL_auxz00_4937); } 
BgL_offsetz00_2768 = 
(BgL_auxz00_4936-OBJECT_TYPE); } 
{ /* Inline/inline.scm 111 */
long BgL_modz00_2769;
{ /* Inline/inline.scm 111 */
long BgL_auxz00_4941;
{ /* Inline/inline.scm 111 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)8)); 
BgL_auxz00_4941 = 
(long)(BgL_auxz00_4942); } 
BgL_modz00_2769 = 
(BgL_offsetz00_2768/BgL_auxz00_4941); } 
{ /* Inline/inline.scm 111 */
long BgL_restz00_2771;
{ /* Inline/inline.scm 111 */
long BgL_auxz00_4946;
{ /* Inline/inline.scm 111 */
int BgL_auxz00_4947;
BgL_auxz00_4947 = 
(int)(((long)8)); 
BgL_auxz00_4946 = 
(long)(BgL_auxz00_4947); } 
BgL_restz00_2771 = 
(BgL_offsetz00_2768%BgL_auxz00_4946); } 
{ /* Inline/inline.scm 111 */

{ /* Inline/inline.scm 111 */
obj_t BgL_bucketz00_2773;
{ /* Inline/inline.scm 111 */
int BgL_kz00_2783;
BgL_kz00_2783 = 
(int)(BgL_modz00_2769); 
BgL_bucketz00_2773 = 
VECTOR_REF(BgL_arg1221z00_2764,BgL_kz00_2783); } 
{ /* Inline/inline.scm 111 */
int BgL_kz00_2785;
BgL_kz00_2785 = 
(int)(BgL_restz00_2771); 
BgL_method2750z00_2761 = 
VECTOR_REF(BgL_bucketz00_2773,BgL_kz00_2785); } } } } } } } } 
{ /* Inline/inline.scm 111 */
obj_t BgL_auxz00_4955;
BgL_auxz00_4955 = 
PROCEDURE_ENTRY(BgL_method2750z00_2761)(BgL_method2750z00_2761, 
(obj_t)(BgL_arg2902z00_1846), 
BINT(BgL_kfactorz00_2759), BgL_stackz00_1839, BEOA); 
BgL_res3003z00_2786 = 
(BgL_nodez00_bglt)(BgL_auxz00_4955); } } } 
BgL_arg2901z00_1845 = BgL_res3003z00_2786; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1837))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2901z00_1845), BUNSPEC); } 
BgL_auxz00_4893 = BgL_nodez00_1837; 
return 
(obj_t)(BgL_auxz00_4893);} } } 
}



/* inline-node-app2760 */
obj_t BGl_inlinezd2nodezd2app2760z00zzinline_inlinez00(obj_t BgL_envz00_3688, obj_t BgL_nodez00_3689, obj_t BgL_kfactorz00_3690, obj_t BgL_stackz00_3691)
{ AN_OBJECT;
{ /* Inline/inline.scm 101 */
{ 
BgL_appz00_bglt BgL_nodez00_1829;obj_t BgL_kfactorz00_1830;obj_t BgL_stackz00_1831;
{ /* Inline/inline.scm 102 */
BgL_nodez00_bglt BgL_auxz00_4964;
BgL_nodez00_1829 = 
(BgL_appz00_bglt)(BgL_nodez00_3689); 
BgL_kfactorz00_1830 = BgL_kfactorz00_3690; 
BgL_stackz00_1831 = BgL_stackz00_3691; 
BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1829))->BgL_argsz00), BgL_kfactorz00_1830, BgL_stackz00_1831); 
BgL_auxz00_4964 = 
BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1829, 
(long)CINT(BgL_kfactorz00_1830), BgL_stackz00_1831); 
return 
(obj_t)(BgL_auxz00_4964);} } } 
}



/* inline-node-sequence2758 */
obj_t BGl_inlinezd2nodezd2sequence2758z00zzinline_inlinez00(obj_t BgL_envz00_3692, obj_t BgL_nodez00_3693, obj_t BgL_kfactorz00_3694, obj_t BgL_stackz00_3695)
{ AN_OBJECT;
{ /* Inline/inline.scm 94 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1821;obj_t BgL_kfactorz00_1822;obj_t BgL_stackz00_1823;
{ /* Inline/inline.scm 95 */
BgL_sequencez00_bglt BgL_auxz00_4971;
BgL_nodez00_1821 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3693); 
BgL_kfactorz00_1822 = BgL_kfactorz00_3694; 
BgL_stackz00_1823 = BgL_stackz00_3695; 
BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1821))->BgL_nodesz00), BgL_kfactorz00_1822, BgL_stackz00_1823); 
BgL_auxz00_4971 = BgL_nodez00_1821; 
return 
(obj_t)(BgL_auxz00_4971);} } } 
}



/* inline-node-kwote2756 */
obj_t BGl_inlinezd2nodezd2kwote2756z00zzinline_inlinez00(obj_t BgL_envz00_3696, obj_t BgL_nodez00_3697, obj_t BgL_kfactorz00_3698, obj_t BgL_stackz00_3699)
{ AN_OBJECT;
{ /* Inline/inline.scm 88 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1814;obj_t BgL_kfactorz00_1815;obj_t BgL_stackz00_1816;
{ /* Inline/inline.scm 88 */
BgL_kwotez00_bglt BgL_auxz00_4976;
BgL_nodez00_1814 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3697); 
BgL_kfactorz00_1815 = BgL_kfactorz00_3698; 
BgL_stackz00_1816 = BgL_stackz00_3699; 
BgL_auxz00_4976 = BgL_nodez00_1814; 
return 
(obj_t)(BgL_auxz00_4976);} } } 
}



/* inline-node-var2754 */
obj_t BGl_inlinezd2nodezd2var2754z00zzinline_inlinez00(obj_t BgL_envz00_3700, obj_t BgL_nodez00_3701, obj_t BgL_kfactorz00_3702, obj_t BgL_stackz00_3703)
{ AN_OBJECT;
{ /* Inline/inline.scm 72 */
{ 
BgL_varz00_bglt BgL_nodez00_1787;obj_t BgL_kfactorz00_1788;obj_t BgL_stackz00_1789;
BgL_nodez00_1787 = 
(BgL_varz00_bglt)(BgL_nodez00_3701); 
BgL_kfactorz00_1788 = BgL_kfactorz00_3702; 
BgL_stackz00_1789 = BgL_stackz00_3703; 
{ /* Inline/inline.scm 74 */
bool_t BgL_test2874z00_1793;
{ /* Inline/inline.scm 74 */
bool_t BgL_test2880z00_1799;
{ /* Inline/inline.scm 74 */
long BgL_n1z00_2707;
BgL_n1z00_2707 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2880z00_1799 = 
(BgL_n1z00_2707>((long)0)); } 
if(BgL_test2880z00_1799)
{ /* Inline/inline.scm 75 */
bool_t BgL_test2881z00_1800;
{ /* Inline/inline.scm 75 */
obj_t BgL_auxz00_4982;
{ /* Inline/inline.scm 75 */
BgL_variablez00_bglt BgL_auxz00_4983;
BgL_auxz00_4983 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_variablez00); 
BgL_auxz00_4982 = 
(obj_t)(BgL_auxz00_4983); } 
BgL_test2881z00_1800 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4982, BGl_globalz00zzast_varz00); } 
if(BgL_test2881z00_1800)
{ /* Inline/inline.scm 76 */
bool_t BgL_testz00_4988;
{ /* Inline/inline.scm 76 */
obj_t BgL_auxz00_4994;obj_t BgL_auxz00_4989;
BgL_auxz00_4994 = 
CNST_TABLE_REF(((long)4)); 
{ /* Inline/inline.scm 76 */
BgL_globalz00_bglt BgL_obj1173z00_2712;
{ /* Inline/inline.scm 76 */
BgL_variablez00_bglt BgL_auxz00_4990;
BgL_auxz00_4990 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_variablez00); 
BgL_obj1173z00_2712 = 
(BgL_globalz00_bglt)(BgL_auxz00_4990); } 
BgL_auxz00_4989 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1173z00_2712))->BgL_importz00); } 
BgL_testz00_4988 = 
(BgL_auxz00_4989==BgL_auxz00_4994); } 
if(BgL_testz00_4988)
{ /* Inline/inline.scm 77 */
bool_t BgL_testz00_4997;
{ /* Inline/inline.scm 77 */
obj_t BgL_auxz00_5003;obj_t BgL_auxz00_4998;
BgL_auxz00_5003 = 
CNST_TABLE_REF(((long)5)); 
{ /* Inline/inline.scm 77 */
BgL_globalz00_bglt BgL_obj1158z00_2714;
{ /* Inline/inline.scm 77 */
BgL_variablez00_bglt BgL_auxz00_4999;
BgL_auxz00_4999 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_variablez00); 
BgL_obj1158z00_2714 = 
(BgL_globalz00_bglt)(BgL_auxz00_4999); } 
BgL_auxz00_4998 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1158z00_2714))->BgL_accessz00); } 
BgL_testz00_4997 = 
(BgL_auxz00_4998==BgL_auxz00_5003); } 
if(BgL_testz00_4997)
{ /* Inline/inline.scm 78 */
obj_t BgL_auxz00_5006;
{ /* Inline/inline.scm 78 */
BgL_globalz00_bglt BgL_obj1188z00_2716;
{ /* Inline/inline.scm 78 */
BgL_variablez00_bglt BgL_auxz00_5007;
BgL_auxz00_5007 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_variablez00); 
BgL_obj1188z00_2716 = 
(BgL_globalz00_bglt)(BgL_auxz00_5007); } 
BgL_auxz00_5006 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1188z00_2716))->BgL_srcz00); } 
BgL_test2874z00_1793 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5006, BGl_atomz00zzast_nodez00); }  else 
{ /* Inline/inline.scm 77 */
BgL_test2874z00_1793 = ((bool_t)0); } }  else 
{ /* Inline/inline.scm 76 */
BgL_test2874z00_1793 = ((bool_t)0); } }  else 
{ /* Inline/inline.scm 75 */
BgL_test2874z00_1793 = ((bool_t)0); } }  else 
{ /* Inline/inline.scm 74 */
BgL_test2874z00_1793 = ((bool_t)0); } } 
if(BgL_test2874z00_1793)
{ /* Inline/inline.scm 74 */
{ /* Inline/inline.scm 82 */
BgL_nodez00_bglt BgL_auxz00_5013;
{ /* Inline/inline.scm 82 */
BgL_nodez00_bglt BgL_auxz00_5014;
{ /* Inline/inline.scm 82 */
obj_t BgL_auxz00_5016;
{ /* Inline/inline.scm 82 */
BgL_globalz00_bglt BgL_obj1188z00_2720;
{ /* Inline/inline.scm 82 */
BgL_variablez00_bglt BgL_auxz00_5017;
BgL_auxz00_5017 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_variablez00); 
BgL_obj1188z00_2720 = 
(BgL_globalz00_bglt)(BgL_auxz00_5017); } 
BgL_auxz00_5016 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1188z00_2720))->BgL_srcz00); } 
BgL_auxz00_5014 = 
(BgL_nodez00_bglt)(BgL_auxz00_5016); } 
BgL_auxz00_5013 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1787))->BgL_locz00), BgL_auxz00_5014); } 
return 
(obj_t)(BgL_auxz00_5013);} }  else 
{ /* Inline/inline.scm 74 */
return 
(obj_t)(BgL_nodez00_1787);} } } } 
}



/* inline-node-atom2752 */
obj_t BGl_inlinezd2nodezd2atom2752z00zzinline_inlinez00(obj_t BgL_envz00_3704, obj_t BgL_nodez00_3705, obj_t BgL_kfactorz00_3706, obj_t BgL_stackz00_3707)
{ AN_OBJECT;
{ /* Inline/inline.scm 66 */
{ 
BgL_atomz00_bglt BgL_nodez00_1780;obj_t BgL_kfactorz00_1781;obj_t BgL_stackz00_1782;
{ /* Inline/inline.scm 66 */
BgL_atomz00_bglt BgL_auxz00_5026;
BgL_nodez00_1780 = 
(BgL_atomz00_bglt)(BgL_nodez00_3705); 
BgL_kfactorz00_1781 = BgL_kfactorz00_3706; 
BgL_stackz00_1782 = BgL_stackz00_3707; 
BgL_auxz00_5026 = BgL_nodez00_1780; 
return 
(obj_t)(BgL_auxz00_5026);} } } 
}



/* inline-node */
BgL_nodez00_bglt BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_4, long BgL_kfactorz00_5, obj_t BgL_stackz00_6)
{ AN_OBJECT;
{ /* Inline/inline.scm 61 */
{ /* Inline/inline.scm 61 */
obj_t BgL_method2750z00_3526;
{ /* Inline/inline.scm 61 */
long BgL_objzd2classzd2numz00_3528;
{ /* Inline/inline.scm 61 */
BgL_objectz00_bglt BgL_auxz00_5029;
BgL_auxz00_5029 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_3528 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5029); } 
{ /* Inline/inline.scm 61 */
obj_t BgL_arg1221z00_3529;
{ /* Inline/inline.scm 61 */
int BgL_auxz00_5032;
BgL_auxz00_5032 = 
(int)(((long)1)); 
BgL_arg1221z00_3529 = 
PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BgL_auxz00_5032); } 
{ /* Inline/inline.scm 61 */
long BgL_offsetz00_3533;
{ /* Inline/inline.scm 61 */
long BgL_auxz00_5035;
{ /* Inline/inline.scm 61 */
int BgL_auxz00_5036;
BgL_auxz00_5036 = 
(int)(BgL_objzd2classzd2numz00_3528); 
BgL_auxz00_5035 = 
(long)(BgL_auxz00_5036); } 
BgL_offsetz00_3533 = 
(BgL_auxz00_5035-OBJECT_TYPE); } 
{ /* Inline/inline.scm 61 */
long BgL_modz00_3534;
{ /* Inline/inline.scm 61 */
long BgL_auxz00_5040;
{ /* Inline/inline.scm 61 */
int BgL_auxz00_5041;
BgL_auxz00_5041 = 
(int)(((long)8)); 
BgL_auxz00_5040 = 
(long)(BgL_auxz00_5041); } 
BgL_modz00_3534 = 
(BgL_offsetz00_3533/BgL_auxz00_5040); } 
{ /* Inline/inline.scm 61 */
long BgL_restz00_3536;
{ /* Inline/inline.scm 61 */
long BgL_auxz00_5045;
{ /* Inline/inline.scm 61 */
int BgL_auxz00_5046;
BgL_auxz00_5046 = 
(int)(((long)8)); 
BgL_auxz00_5045 = 
(long)(BgL_auxz00_5046); } 
BgL_restz00_3536 = 
(BgL_offsetz00_3533%BgL_auxz00_5045); } 
{ /* Inline/inline.scm 61 */

{ /* Inline/inline.scm 61 */
obj_t BgL_bucketz00_3538;
{ /* Inline/inline.scm 61 */
int BgL_kz00_3548;
BgL_kz00_3548 = 
(int)(BgL_modz00_3534); 
BgL_bucketz00_3538 = 
VECTOR_REF(BgL_arg1221z00_3529,BgL_kz00_3548); } 
{ /* Inline/inline.scm 61 */
int BgL_kz00_3550;
BgL_kz00_3550 = 
(int)(BgL_restz00_3536); 
BgL_method2750z00_3526 = 
VECTOR_REF(BgL_bucketz00_3538,BgL_kz00_3550); } } } } } } } } 
{ /* Inline/inline.scm 61 */
obj_t BgL_auxz00_5054;
BgL_auxz00_5054 = 
PROCEDURE_ENTRY(BgL_method2750z00_3526)(BgL_method2750z00_3526, 
(obj_t)(BgL_nodez00_4), 
BINT(BgL_kfactorz00_5), BgL_stackz00_6, BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5054);} } } 
}



/* _inline-node */
obj_t BGl__inlinezd2nodezd2zzinline_inlinez00(obj_t BgL_envz00_3560, obj_t BgL_nodez00_3561, obj_t BgL_kfactorz00_3562, obj_t BgL_stackz00_3563)
{ AN_OBJECT;
{ /* Inline/inline.scm 61 */
{ /* Inline/inline.scm 61 */
BgL_nodez00_bglt BgL_auxz00_5060;
BgL_auxz00_5060 = 
BGl_inlinezd2nodezd2zzinline_inlinez00(
(BgL_nodez00_bglt)(BgL_nodez00_3561), 
(long)CINT(BgL_kfactorz00_3562), BgL_stackz00_3563); 
return 
(obj_t)(BgL_auxz00_5060);} } 
}



/* inline-node-default2749 */
BgL_nodez00_bglt BGl_inlinezd2nodezd2default2749z00zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
{ 
obj_t BgL_auxz00_5067;obj_t BgL_auxz00_5065;
BgL_auxz00_5067 = 
(obj_t)(BgL_nodez00_7); 
BgL_auxz00_5065 = 
CNST_TABLE_REF(((long)6)); 
FAILURE(BgL_auxz00_5065,BGl_string3098z00zzinline_inlinez00,BgL_auxz00_5067);} } 
}



/* _inline-node-default2749 */
obj_t BGl__inlinezd2nodezd2default2749z00zzinline_inlinez00(obj_t BgL_envz00_3708, obj_t BgL_nodez00_3709, obj_t BgL_kfactorz00_3710, obj_t BgL_stackz00_3711)
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
{ /* Inline/inline.scm 15 */
BgL_nodez00_bglt BgL_auxz00_5070;
BgL_auxz00_5070 = 
BGl_inlinezd2nodezd2default2749z00zzinline_inlinez00(
(BgL_nodez00_bglt)(BgL_nodez00_3709), 
(long)CINT(BgL_kfactorz00_3710), BgL_stackz00_3711); 
return 
(obj_t)(BgL_auxz00_5070);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
{ AN_OBJECT;
{ /* Inline/inline.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_inline"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)16677), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzinline_appz00(((long)11814), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long)21983), "inline_inline"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "inline_inline"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "inline_inline"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "inline_inline");} 
}

