/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;

typedef struct BgL_localzf2variantzf2_bgl {
   bool_t BgL_variantz00;
} *BgL_localzf2variantzf2_bglt;


static obj_t BGl_nestzd2loopz12zd2letzd2fun2895zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
static obj_t BGl_methodzd2initzd2zzinline_loopz00();
static obj_t BGl_findzd2letzd2funzf3zd2fail2849z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2conditional2889z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2kwote2871z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl__nestzd2loopz12zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__findzd2letzd2funzf3zd2default2830z21zzinline_loopz00(obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2letzd2var2897zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2cast2885z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2appzd2ly2879zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nestzd2loopz12zd2default2866z12zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl__nestzd2loopz12zd2default2866z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2jumpzd2exzd2it2901z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_nestzd2loopz12zd2app2877z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
static obj_t BGl_findzd2letzd2funzf3zd2conditional2847z21zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_findzd2letzd2funzf3zd2app2835z21zzinline_loopz00(obj_t, obj_t);
extern bool_t BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_loopz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_findzd2letzd2funzf3zd2cast2843z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2setzd2exzd2it2857z21zzinline_loopz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nestzd2loopz12zd2select2893z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2funcall2839z21zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2fail2891z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
static obj_t BGl__innerzd2loopzf3z21zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzinline_loopz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_nestzd2loopz12zd2boxzd2ref2905zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_findzd2letzd2funzf3zd2extern2841z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl__iszd2loopzf3z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2setzd2exzd2it2899z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2appzd2ly2837zf3zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2letzd2var2855zf3zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2jumpzd2exzd2it2859z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2boxzd2setz122907zd2zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2setq2845z21zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_findzd2letzd2funzf3zd2makezd2box2861zf3zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2letzd2fun2853zf3zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2sequence2875z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2atom2869z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2var2873z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl__findzd2letzd2funzf3zf3zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_findzd2letzd2funzf3zd2sequence2833z21zzinline_loopz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static bool_t BGl_findzd2letzd2funzf3zd2default2830z21zzinline_loopz00(BgL_nodez00_bglt);
static obj_t BGl_nestzd2loopz12zd2extern2883z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2boxzd2setz122865ze1zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2boxzd2ref2863zf3zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_nestzd2loopz12zd2setq2887z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
static obj_t BGl_nestzd2loopz12zd2funcall2881z12zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_findzd2letzd2funzf3zd2select2851z21zzinline_loopz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
static obj_t BGl_nestzd2loopz12zd2makezd2box2903zc0zzinline_loopz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_PROCEDURE( BGl_nestzd2loopz12zd2default2866zd2envzc0zzinline_loopz00, BgL_bgl__nestza7d2loopza712za7d2default2866za712za7za7inline_loopza7003286za7, BGl__nestzd2loopz12zd2default2866z12zzinline_loopz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00, BgL_bgl__innerza7d2loopza7f3za721za7za7inline_loopza7003287z00, BGl__innerzd2loopzf3z21zzinline_loopz00, 0L, 1 );
DEFINE_STRING( BGl_string3281z00zzinline_loopz00, BgL_bgl_string3281za700za7za7inline_loopza7003288z00, "nest-loop!-default2866 done ", 28 );
DEFINE_STRING( BGl_string3280z00zzinline_loopz00, BgL_bgl_string3280za700za7za7inline_loopza7003289z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3243z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2sequence2833za721za7za7inline_loopza7003290z00, BGl_findzd2letzd2funzf3zd2sequence2833z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3244z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2app2835za721za7za7inline_loopza7003291z00, BGl_findzd2letzd2funzf3zd2app2835z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3245z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2appza7d2ly2837za7f3za7za7inline_loopza7003292za7, BGl_findzd2letzd2funzf3zd2appzd2ly2837zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3246z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2funcall2839za721za7za7inline_loopza7003293z00, BGl_findzd2letzd2funzf3zd2funcall2839z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3247z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2extern2841za721za7za7inline_loopza7003294z00, BGl_findzd2letzd2funzf3zd2extern2841z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3248z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2cast2843za721za7za7inline_loopza7003295z00, BGl_findzd2letzd2funzf3zd2cast2843z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3250z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2conditional2847za721za7za7inline_loopza7003296z00, BGl_findzd2letzd2funzf3zd2conditional2847z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3249z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2setq2845za721za7za7inline_loopza7003297z00, BGl_findzd2letzd2funzf3zd2setq2845z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3251z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2fail2849za721za7za7inline_loopza7003298z00, BGl_findzd2letzd2funzf3zd2fail2849z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3252z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2select2851za721za7za7inline_loopza7003299z00, BGl_findzd2letzd2funzf3zd2select2851z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3253z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2letza7d2fun2853za7f3za7za7inline_loopza7003300za7, BGl_findzd2letzd2funzf3zd2letzd2fun2853zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3254z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2letza7d2var2855za7f3za7za7inline_loopza7003301za7, BGl_findzd2letzd2funzf3zd2letzd2var2855zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3255z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2setza7d2exza7d2it2857za721za7za7inline_loopza7003302z00, BGl_findzd2letzd2funzf3zd2setzd2exzd2it2857z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3256z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2jumpza7d2exza7d2it2859za721za7za7inline_loopza7003303z00, BGl_findzd2letzd2funzf3zd2jumpzd2exzd2it2859z21zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3257z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2makeza7d2box2861za7f3za7za7inline_loopza7003304za7, BGl_findzd2letzd2funzf3zd2makezd2box2861zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3258z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2boxza7d2ref2863za7f3za7za7inline_loopza7003305za7, BGl_findzd2letzd2funzf3zd2boxzd2ref2863zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3260z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2atom2869za712za7za7inline_loopza7003306za7, BGl_nestzd2loopz12zd2atom2869z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3259z00zzinline_loopz00, BgL_bgl_findza7d2letza7d2funza7f3za7d2boxza7d2setza7122865za7e1za7za7inline_loopza7003307z00, BGl_findzd2letzd2funzf3zd2boxzd2setz122865ze1zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3261z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2kwote2871za712za7za7inline_loopza7003308za7, BGl_nestzd2loopz12zd2kwote2871z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3262z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2var2873za712za7za7inline_loopza7003309za7, BGl_nestzd2loopz12zd2var2873z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3263z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2sequence2875za712za7za7inline_loopza7003310za7, BGl_nestzd2loopz12zd2sequence2875z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3264z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2app2877za712za7za7inline_loopza7003311za7, BGl_nestzd2loopz12zd2app2877z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3265z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2appza7d2ly2879za7c0za7za7inline_loopza7003312z00, BGl_nestzd2loopz12zd2appzd2ly2879zc0zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3266z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2funcall2881za712za7za7inline_loopza7003313za7, BGl_nestzd2loopz12zd2funcall2881z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3267z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2extern2883za712za7za7inline_loopza7003314za7, BGl_nestzd2loopz12zd2extern2883z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3268z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2cast2885za712za7za7inline_loopza7003315za7, BGl_nestzd2loopz12zd2cast2885z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3270z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2conditional2889za712za7za7inline_loopza7003316za7, BGl_nestzd2loopz12zd2conditional2889z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3269z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2setq2887za712za7za7inline_loopza7003317za7, BGl_nestzd2loopz12zd2setq2887z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3271z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2fail2891za712za7za7inline_loopza7003318za7, BGl_nestzd2loopz12zd2fail2891z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3272z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2select2893za712za7za7inline_loopza7003319za7, BGl_nestzd2loopz12zd2select2893z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3273z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2letza7d2fun2895za7c0za7za7inline_loopza7003320z00, BGl_nestzd2loopz12zd2letzd2fun2895zc0zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3274z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2letza7d2var2897za7c0za7za7inline_loopza7003321z00, BGl_nestzd2loopz12zd2letzd2var2897zc0zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3275z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2setza7d2exza7d2it2899za712za7za7inline_loopza7003322za7, BGl_nestzd2loopz12zd2setzd2exzd2it2899z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3276z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2jumpza7d2exza7d2it2901za712za7za7inline_loopza7003323za7, BGl_nestzd2loopz12zd2jumpzd2exzd2it2901z12zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3277z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2makeza7d2box2903za7c0za7za7inline_loopza7003324z00, BGl_nestzd2loopz12zd2makezd2box2903zc0zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3278z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2boxza7d2ref2905za7c0za7za7inline_loopza7003325z00, BGl_nestzd2loopz12zd2boxzd2ref2905zc0zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3279z00zzinline_loopz00, BgL_bgl_nestza7d2loopza712za7d2boxza7d2setza7122907za7d2za7za7inline_loopza7003326za7, BGl_nestzd2loopz12zd2boxzd2setz122907zd2zzinline_loopz00, 0L, 3 );
DEFINE_STATIC_GENERIC( BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_bgl__findza7d2letza7d2funza7f3za7f3za7za7inline_loopza7003327za7, BGl__findzd2letzd2funzf3zf3zzinline_loopz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_findzd2letzd2funzf3zd2default2830zd2envzf3zzinline_loopz00, BgL_bgl__findza7d2letza7d2funza7f3za7d2default2830za721za7za7inline_loopza7003328z00, BGl__findzd2letzd2funzf3zd2default2830z21zzinline_loopz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_iszd2loopzf3zd2envzf3zzinline_loopz00, BgL_bgl__isza7d2loopza7f3za721za7za7inline_loopza7003329z00, BGl__iszd2loopzf3z21zzinline_loopz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_bgl__nestza7d2loopza712za7c0za7za7inline_loopza7003330z00, BGl__nestzd2loopz12zc0zzinline_loopz00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long BgL_checksumz00_4492, char * BgL_fromz00_4493)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_loopz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_loopz00(); 
BGl_cnstzd2initzd2zzinline_loopz00(); 
BGl_importedzd2moduleszd2initz00zzinline_loopz00(); 
BGl_methodzd2initzd2zzinline_loopz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00()
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_loop"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_loop"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_loopz00()
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
{ /* Inline/loop.scm 15 */
obj_t BgL_cportz00_4485;
BgL_cportz00_4485 = 
open_input_string(BGl_string3281z00zzinline_loopz00); 
{ 
long BgL_iz00_4486;
BgL_iz00_4486 = ((long)1); 
BgL_loopz00_4487:
if(
(BgL_iz00_4486==((long)-1)))
{ /* Inline/loop.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/loop.scm 15 */
{ /* Inline/loop.scm 15 */
obj_t BgL_arg3283z00_4489;
{ /* Inline/loop.scm 15 */
obj_t BgL_list3284z00_4490;
BgL_list3284z00_4490 = 
MAKE_PAIR(BgL_cportz00_4485, BNIL); 
BgL_arg3283z00_4489 = 
BGl_readz00zz__readerz00(BgL_list3284z00_4490); } 
{ /* Inline/loop.scm 15 */
int BgL_auxz00_4509;
BgL_auxz00_4509 = 
(int)(BgL_iz00_4486); 
CNST_TABLE_SET(BgL_auxz00_4509, BgL_arg3283z00_4489); } } 
{ 
long BgL_iz00_4512;
{ /* Inline/loop.scm 15 */
int BgL_auxz00_4513;
{ /* Inline/loop.scm 15 */
long BgL_auxz00_4514;
BgL_auxz00_4514 = 
(BgL_iz00_4486-((long)1)); 
BgL_auxz00_4513 = 
(int)(BgL_auxz00_4514); } 
BgL_iz00_4512 = 
(long)(BgL_auxz00_4513); } 
BgL_iz00_4486 = BgL_iz00_4512; 
goto BgL_loopz00_4487;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_loopz00()
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
return BUNSPEC;} 
}



/* is-loop? */
bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_1)
{ AN_OBJECT;
{ /* Inline/loop.scm 39 */
{ /* Inline/loop.scm 41 */
bool_t BgL__andtest_2773z00_1413;
BgL__andtest_2773z00_1413 = 
BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_1); 
if(BgL__andtest_2773z00_1413)
{ /* Inline/loop.scm 42 */
long BgL_auxz00_4520;
{ /* Inline/loop.scm 42 */
obj_t BgL_auxz00_4521;
{ /* Inline/loop.scm 42 */
BgL_isfunz00_bglt BgL_obj2683z00_2205;
{ /* Inline/loop.scm 42 */
BgL_valuez00_bglt BgL_auxz00_4522;
BgL_auxz00_4522 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1))->BgL_valuez00); 
BgL_obj2683z00_2205 = 
(BgL_isfunz00_bglt)(BgL_auxz00_4522); } 
{ 
obj_t BgL_auxz00_4525;
{ /* Inline/loop.scm 42 */
BgL_objectz00_bglt BgL_auxz00_4526;
BgL_auxz00_4526 = 
(BgL_objectz00_bglt)(BgL_obj2683z00_2205); 
BgL_auxz00_4525 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4526); } 
BgL_auxz00_4521 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4525))->BgL_recursivezd2callszd2); } } 
BgL_auxz00_4520 = 
bgl_list_length(BgL_auxz00_4521); } 
return 
(BgL_auxz00_4520==((long)1));}  else 
{ /* Inline/loop.scm 41 */
return ((bool_t)0);} } } 
}



/* _is-loop? */
obj_t BGl__iszd2loopzf3z21zzinline_loopz00(obj_t BgL_envz00_4318, obj_t BgL_variablez00_4319)
{ AN_OBJECT;
{ /* Inline/loop.scm 39 */
{ /* Inline/loop.scm 39 */
bool_t BgL_auxz00_4532;
BgL_auxz00_4532 = 
BGl_iszd2loopzf3z21zzinline_loopz00(
(BgL_variablez00_bglt)(BgL_variablez00_4319)); 
return 
BBOOL(BgL_auxz00_4532);} } 
}



/* inner-loop? */
bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_2)
{ AN_OBJECT;
{ /* Inline/loop.scm 49 */
{ /* Inline/loop.scm 50 */
BgL_nodez00_bglt BgL_nodez00_2212;
{ /* Inline/loop.scm 50 */
obj_t BgL_auxz00_4536;
{ /* Inline/loop.scm 50 */
BgL_sfunz00_bglt BgL_obj1372z00_2211;
{ /* Inline/loop.scm 50 */
BgL_valuez00_bglt BgL_auxz00_4537;
BgL_auxz00_4537 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_2))->BgL_valuez00); 
BgL_obj1372z00_2211 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4537); } 
BgL_auxz00_4536 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2211))->BgL_bodyz00); } 
BgL_nodez00_2212 = 
(BgL_nodez00_bglt)(BgL_auxz00_4536); } 
{ /* Inline/loop.scm 50 */
obj_t BgL_method2831z00_2213;
{ /* Inline/loop.scm 50 */
long BgL_objzd2classzd2numz00_2215;
{ /* Inline/loop.scm 50 */
BgL_objectz00_bglt BgL_auxz00_4542;
BgL_auxz00_4542 = 
(BgL_objectz00_bglt)(BgL_nodez00_2212); 
BgL_objzd2classzd2numz00_2215 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4542); } 
{ /* Inline/loop.scm 50 */
obj_t BgL_arg1221z00_2216;
{ /* Inline/loop.scm 50 */
int BgL_auxz00_4545;
BgL_auxz00_4545 = 
(int)(((long)1)); 
BgL_arg1221z00_2216 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_4545); } 
{ /* Inline/loop.scm 50 */
long BgL_offsetz00_2220;
{ /* Inline/loop.scm 50 */
long BgL_auxz00_4548;
{ /* Inline/loop.scm 50 */
int BgL_auxz00_4549;
BgL_auxz00_4549 = 
(int)(BgL_objzd2classzd2numz00_2215); 
BgL_auxz00_4548 = 
(long)(BgL_auxz00_4549); } 
BgL_offsetz00_2220 = 
(BgL_auxz00_4548-OBJECT_TYPE); } 
{ /* Inline/loop.scm 50 */
long BgL_modz00_2221;
{ /* Inline/loop.scm 50 */
long BgL_auxz00_4553;
{ /* Inline/loop.scm 50 */
int BgL_auxz00_4554;
BgL_auxz00_4554 = 
(int)(((long)8)); 
BgL_auxz00_4553 = 
(long)(BgL_auxz00_4554); } 
BgL_modz00_2221 = 
(BgL_offsetz00_2220/BgL_auxz00_4553); } 
{ /* Inline/loop.scm 50 */
long BgL_restz00_2223;
{ /* Inline/loop.scm 50 */
long BgL_auxz00_4558;
{ /* Inline/loop.scm 50 */
int BgL_auxz00_4559;
BgL_auxz00_4559 = 
(int)(((long)8)); 
BgL_auxz00_4558 = 
(long)(BgL_auxz00_4559); } 
BgL_restz00_2223 = 
(BgL_offsetz00_2220%BgL_auxz00_4558); } 
{ /* Inline/loop.scm 50 */

{ /* Inline/loop.scm 50 */
obj_t BgL_bucketz00_2225;
{ /* Inline/loop.scm 50 */
int BgL_kz00_2235;
BgL_kz00_2235 = 
(int)(BgL_modz00_2221); 
BgL_bucketz00_2225 = 
VECTOR_REF(BgL_arg1221z00_2216,BgL_kz00_2235); } 
{ /* Inline/loop.scm 50 */
int BgL_kz00_2237;
BgL_kz00_2237 = 
(int)(BgL_restz00_2223); 
BgL_method2831z00_2213 = 
VECTOR_REF(BgL_bucketz00_2225,BgL_kz00_2237); } } } } } } } } 
{ /* Inline/loop.scm 50 */
obj_t BgL_auxz00_4567;
BgL_auxz00_4567 = 
PROCEDURE_ENTRY(BgL_method2831z00_2213)(BgL_method2831z00_2213, 
(obj_t)(BgL_nodez00_2212), BEOA); 
return 
CBOOL(BgL_auxz00_4567);} } } } 
}



/* _inner-loop? */
obj_t BGl__innerzd2loopzf3z21zzinline_loopz00(obj_t BgL_envz00_4320, obj_t BgL_variablez00_4321)
{ AN_OBJECT;
{ /* Inline/loop.scm 49 */
{ /* Inline/loop.scm 49 */
bool_t BgL_auxz00_4572;
BgL_auxz00_4572 = 
BGl_innerzd2loopzf3z21zzinline_loopz00(
(BgL_variablez00_bglt)(BgL_variablez00_4321)); 
return 
BBOOL(BgL_auxz00_4572);} } 
}



/* find-let-fun?* */
bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_22)
{ AN_OBJECT;
{ /* Inline/loop.scm 189 */
{ 
obj_t BgL_nodeza2za2_1420;
BgL_nodeza2za2_1420 = BgL_nodeza2za2_22; 
BgL_loopz00_1421:
if(
NULLP(BgL_nodeza2za2_1420))
{ /* Inline/loop.scm 192 */
return ((bool_t)0);}  else 
{ /* Inline/loop.scm 194 */
bool_t BgL_test2915z00_1423;
{ /* Inline/loop.scm 194 */
BgL_nodez00_bglt BgL_nodez00_2240;
{ /* Inline/loop.scm 194 */
obj_t BgL_auxz00_4578;
BgL_auxz00_4578 = 
CAR(BgL_nodeza2za2_1420); 
BgL_nodez00_2240 = 
(BgL_nodez00_bglt)(BgL_auxz00_4578); } 
{ /* Inline/loop.scm 194 */
obj_t BgL_method2831z00_2241;
{ /* Inline/loop.scm 194 */
long BgL_objzd2classzd2numz00_2243;
{ /* Inline/loop.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4581;
BgL_auxz00_4581 = 
(BgL_objectz00_bglt)(BgL_nodez00_2240); 
BgL_objzd2classzd2numz00_2243 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4581); } 
{ /* Inline/loop.scm 194 */
obj_t BgL_arg1221z00_2244;
{ /* Inline/loop.scm 194 */
int BgL_auxz00_4584;
BgL_auxz00_4584 = 
(int)(((long)1)); 
BgL_arg1221z00_2244 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_4584); } 
{ /* Inline/loop.scm 194 */
long BgL_offsetz00_2248;
{ /* Inline/loop.scm 194 */
long BgL_auxz00_4587;
{ /* Inline/loop.scm 194 */
int BgL_auxz00_4588;
BgL_auxz00_4588 = 
(int)(BgL_objzd2classzd2numz00_2243); 
BgL_auxz00_4587 = 
(long)(BgL_auxz00_4588); } 
BgL_offsetz00_2248 = 
(BgL_auxz00_4587-OBJECT_TYPE); } 
{ /* Inline/loop.scm 194 */
long BgL_modz00_2249;
{ /* Inline/loop.scm 194 */
long BgL_auxz00_4592;
{ /* Inline/loop.scm 194 */
int BgL_auxz00_4593;
BgL_auxz00_4593 = 
(int)(((long)8)); 
BgL_auxz00_4592 = 
(long)(BgL_auxz00_4593); } 
BgL_modz00_2249 = 
(BgL_offsetz00_2248/BgL_auxz00_4592); } 
{ /* Inline/loop.scm 194 */
long BgL_restz00_2251;
{ /* Inline/loop.scm 194 */
long BgL_auxz00_4597;
{ /* Inline/loop.scm 194 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)8)); 
BgL_auxz00_4597 = 
(long)(BgL_auxz00_4598); } 
BgL_restz00_2251 = 
(BgL_offsetz00_2248%BgL_auxz00_4597); } 
{ /* Inline/loop.scm 194 */

{ /* Inline/loop.scm 194 */
obj_t BgL_bucketz00_2253;
{ /* Inline/loop.scm 194 */
int BgL_kz00_2263;
BgL_kz00_2263 = 
(int)(BgL_modz00_2249); 
BgL_bucketz00_2253 = 
VECTOR_REF(BgL_arg1221z00_2244,BgL_kz00_2263); } 
{ /* Inline/loop.scm 194 */
int BgL_kz00_2265;
BgL_kz00_2265 = 
(int)(BgL_restz00_2251); 
BgL_method2831z00_2241 = 
VECTOR_REF(BgL_bucketz00_2253,BgL_kz00_2265); } } } } } } } } 
{ /* Inline/loop.scm 194 */
obj_t BgL_auxz00_4606;
BgL_auxz00_4606 = 
PROCEDURE_ENTRY(BgL_method2831z00_2241)(BgL_method2831z00_2241, 
(obj_t)(BgL_nodez00_2240), BEOA); 
BgL_test2915z00_1423 = 
CBOOL(BgL_auxz00_4606); } } } 
if(BgL_test2915z00_1423)
{ /* Inline/loop.scm 194 */
return ((bool_t)1);}  else 
{ /* Inline/loop.scm 194 */
{ 
obj_t BgL_nodeza2za2_4612;
BgL_nodeza2za2_4612 = 
CDR(BgL_nodeza2za2_1420); 
BgL_nodeza2za2_1420 = BgL_nodeza2za2_4612; 
goto BgL_loopz00_1421;} } } } } 
}



/* nest-loop!* */
obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_89, obj_t BgL_varz00_90, obj_t BgL_nesterz00_91)
{ AN_OBJECT;
{ /* Inline/loop.scm 381 */
{ 
obj_t BgL_nodeza2za2_1426;
BgL_nodeza2za2_1426 = BgL_nodeza2za2_89; 
BgL_loopz00_1427:
if(
NULLP(BgL_nodeza2za2_1426))
{ /* Inline/loop.scm 383 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Inline/loop.scm 383 */
{ /* Inline/loop.scm 386 */
BgL_nodez00_bglt BgL_arg2919z00_1429;
{ /* Inline/loop.scm 386 */
BgL_nodez00_bglt BgL_res3116z00_2297;
{ /* Inline/loop.scm 386 */
BgL_nodez00_bglt BgL_nodez00_2269;BgL_localz00_bglt BgL_localz00_2270;
{ /* Inline/loop.scm 386 */
obj_t BgL_auxz00_4617;
BgL_auxz00_4617 = 
CAR(BgL_nodeza2za2_1426); 
BgL_nodez00_2269 = 
(BgL_nodez00_bglt)(BgL_auxz00_4617); } 
BgL_localz00_2270 = 
(BgL_localz00_bglt)(BgL_varz00_90); 
{ /* Inline/loop.scm 386 */
obj_t BgL_method2867z00_2272;
{ /* Inline/loop.scm 386 */
long BgL_objzd2classzd2numz00_2274;
{ /* Inline/loop.scm 386 */
BgL_objectz00_bglt BgL_auxz00_4621;
BgL_auxz00_4621 = 
(BgL_objectz00_bglt)(BgL_nodez00_2269); 
BgL_objzd2classzd2numz00_2274 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4621); } 
{ /* Inline/loop.scm 386 */
obj_t BgL_arg1221z00_2275;
{ /* Inline/loop.scm 386 */
int BgL_auxz00_4624;
BgL_auxz00_4624 = 
(int)(((long)1)); 
BgL_arg1221z00_2275 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4624); } 
{ /* Inline/loop.scm 386 */
long BgL_offsetz00_2279;
{ /* Inline/loop.scm 386 */
long BgL_auxz00_4627;
{ /* Inline/loop.scm 386 */
int BgL_auxz00_4628;
BgL_auxz00_4628 = 
(int)(BgL_objzd2classzd2numz00_2274); 
BgL_auxz00_4627 = 
(long)(BgL_auxz00_4628); } 
BgL_offsetz00_2279 = 
(BgL_auxz00_4627-OBJECT_TYPE); } 
{ /* Inline/loop.scm 386 */
long BgL_modz00_2280;
{ /* Inline/loop.scm 386 */
long BgL_auxz00_4632;
{ /* Inline/loop.scm 386 */
int BgL_auxz00_4633;
BgL_auxz00_4633 = 
(int)(((long)8)); 
BgL_auxz00_4632 = 
(long)(BgL_auxz00_4633); } 
BgL_modz00_2280 = 
(BgL_offsetz00_2279/BgL_auxz00_4632); } 
{ /* Inline/loop.scm 386 */
long BgL_restz00_2282;
{ /* Inline/loop.scm 386 */
long BgL_auxz00_4637;
{ /* Inline/loop.scm 386 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(((long)8)); 
BgL_auxz00_4637 = 
(long)(BgL_auxz00_4638); } 
BgL_restz00_2282 = 
(BgL_offsetz00_2279%BgL_auxz00_4637); } 
{ /* Inline/loop.scm 386 */

{ /* Inline/loop.scm 386 */
obj_t BgL_bucketz00_2284;
{ /* Inline/loop.scm 386 */
int BgL_kz00_2294;
BgL_kz00_2294 = 
(int)(BgL_modz00_2280); 
BgL_bucketz00_2284 = 
VECTOR_REF(BgL_arg1221z00_2275,BgL_kz00_2294); } 
{ /* Inline/loop.scm 386 */
int BgL_kz00_2296;
BgL_kz00_2296 = 
(int)(BgL_restz00_2282); 
BgL_method2867z00_2272 = 
VECTOR_REF(BgL_bucketz00_2284,BgL_kz00_2296); } } } } } } } } 
{ /* Inline/loop.scm 386 */
obj_t BgL_auxz00_4646;
BgL_auxz00_4646 = 
PROCEDURE_ENTRY(BgL_method2867z00_2272)(BgL_method2867z00_2272, 
(obj_t)(BgL_nodez00_2269), 
(obj_t)(BgL_localz00_2270), BgL_nesterz00_91, BEOA); 
BgL_res3116z00_2297 = 
(BgL_nodez00_bglt)(BgL_auxz00_4646); } } } 
BgL_arg2919z00_1429 = BgL_res3116z00_2297; } 
{ /* Inline/loop.scm 386 */
obj_t BgL_auxz00_4652;
BgL_auxz00_4652 = 
(obj_t)(BgL_arg2919z00_1429); 
SET_CAR(BgL_nodeza2za2_1426, BgL_auxz00_4652); } } 
{ 
obj_t BgL_nodeza2za2_4655;
BgL_nodeza2za2_4655 = 
CDR(BgL_nodeza2za2_1426); 
BgL_nodeza2za2_1426 = BgL_nodeza2za2_4655; 
goto BgL_loopz00_1427;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_loopz00()
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_findzd2letzd2funzf3zd2default2830zd2envzf3zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_sequencez00zzast_nodez00, BGl_proc3243z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_appz00zzast_nodez00, BGl_proc3244z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3245z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_funcallz00zzast_nodez00, BGl_proc3246z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_externz00zzast_nodez00, BGl_proc3247z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_castz00zzast_nodez00, BGl_proc3248z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_setqz00zzast_nodez00, BGl_proc3249z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_conditionalz00zzast_nodez00, BGl_proc3250z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_failz00zzast_nodez00, BGl_proc3251z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_selectz00zzast_nodez00, BGl_proc3252z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3253z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3254z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3255z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3256z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3257z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3258z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3259z00zzinline_loopz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_nestzd2loopz12zd2default2866zd2envzc0zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00, BGl_proc3260z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00, BGl_proc3261z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00, BGl_proc3262z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_sequencez00zzast_nodez00, BGl_proc3263z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00, BGl_proc3264z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3265z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_funcallz00zzast_nodez00, BGl_proc3266z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_externz00zzast_nodez00, BGl_proc3267z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00, BGl_proc3268z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00, BGl_proc3269z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_conditionalz00zzast_nodez00, BGl_proc3270z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00, BGl_proc3271z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_selectz00zzast_nodez00, BGl_proc3272z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3273z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3274z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3275z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3276z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3277z00zzinline_loopz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3278z00zzinline_loopz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3279z00zzinline_loopz00);} 
}



/* nest-loop!-box-set!2907 */
obj_t BGl_nestzd2loopz12zd2boxzd2setz122907zd2zzinline_loopz00(obj_t BgL_envz00_4365, obj_t BgL_nodez00_4366, obj_t BgL_vz00_4367, obj_t BgL_nesterz00_4368)
{ AN_OBJECT;
{ /* Inline/loop.scm 372 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2190;obj_t BgL_vz00_2191;obj_t BgL_nesterz00_2192;
{ /* Inline/loop.scm 373 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4696;
BgL_nodez00_2190 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4366); 
BgL_vz00_2191 = BgL_vz00_4367; 
BgL_nesterz00_2192 = BgL_nesterz00_4368; 
{ /* Inline/loop.scm 374 */
BgL_nodez00_bglt BgL_arg3105z00_2196;
{ /* Inline/loop.scm 374 */
BgL_nodez00_bglt BgL_res3235z00_4230;
{ /* Inline/loop.scm 374 */
BgL_nodez00_bglt BgL_nodez00_4202;BgL_localz00_bglt BgL_localz00_4203;
{ /* Inline/loop.scm 374 */
BgL_varz00_bglt BgL_auxz00_4697;
BgL_auxz00_4697 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2190))->BgL_varz00); 
BgL_nodez00_4202 = 
(BgL_nodez00_bglt)(BgL_auxz00_4697); } 
BgL_localz00_4203 = 
(BgL_localz00_bglt)(BgL_vz00_2191); 
{ /* Inline/loop.scm 374 */
obj_t BgL_method2867z00_4205;
{ /* Inline/loop.scm 374 */
long BgL_objzd2classzd2numz00_4207;
{ /* Inline/loop.scm 374 */
BgL_objectz00_bglt BgL_auxz00_4701;
BgL_auxz00_4701 = 
(BgL_objectz00_bglt)(BgL_nodez00_4202); 
BgL_objzd2classzd2numz00_4207 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4701); } 
{ /* Inline/loop.scm 374 */
obj_t BgL_arg1221z00_4208;
{ /* Inline/loop.scm 374 */
int BgL_auxz00_4704;
BgL_auxz00_4704 = 
(int)(((long)1)); 
BgL_arg1221z00_4208 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4704); } 
{ /* Inline/loop.scm 374 */
long BgL_offsetz00_4212;
{ /* Inline/loop.scm 374 */
long BgL_auxz00_4707;
{ /* Inline/loop.scm 374 */
int BgL_auxz00_4708;
BgL_auxz00_4708 = 
(int)(BgL_objzd2classzd2numz00_4207); 
BgL_auxz00_4707 = 
(long)(BgL_auxz00_4708); } 
BgL_offsetz00_4212 = 
(BgL_auxz00_4707-OBJECT_TYPE); } 
{ /* Inline/loop.scm 374 */
long BgL_modz00_4213;
{ /* Inline/loop.scm 374 */
long BgL_auxz00_4712;
{ /* Inline/loop.scm 374 */
int BgL_auxz00_4713;
BgL_auxz00_4713 = 
(int)(((long)8)); 
BgL_auxz00_4712 = 
(long)(BgL_auxz00_4713); } 
BgL_modz00_4213 = 
(BgL_offsetz00_4212/BgL_auxz00_4712); } 
{ /* Inline/loop.scm 374 */
long BgL_restz00_4215;
{ /* Inline/loop.scm 374 */
long BgL_auxz00_4717;
{ /* Inline/loop.scm 374 */
int BgL_auxz00_4718;
BgL_auxz00_4718 = 
(int)(((long)8)); 
BgL_auxz00_4717 = 
(long)(BgL_auxz00_4718); } 
BgL_restz00_4215 = 
(BgL_offsetz00_4212%BgL_auxz00_4717); } 
{ /* Inline/loop.scm 374 */

{ /* Inline/loop.scm 374 */
obj_t BgL_bucketz00_4217;
{ /* Inline/loop.scm 374 */
int BgL_kz00_4227;
BgL_kz00_4227 = 
(int)(BgL_modz00_4213); 
BgL_bucketz00_4217 = 
VECTOR_REF(BgL_arg1221z00_4208,BgL_kz00_4227); } 
{ /* Inline/loop.scm 374 */
int BgL_kz00_4229;
BgL_kz00_4229 = 
(int)(BgL_restz00_4215); 
BgL_method2867z00_4205 = 
VECTOR_REF(BgL_bucketz00_4217,BgL_kz00_4229); } } } } } } } } 
{ /* Inline/loop.scm 374 */
obj_t BgL_auxz00_4726;
BgL_auxz00_4726 = 
PROCEDURE_ENTRY(BgL_method2867z00_4205)(BgL_method2867z00_4205, 
(obj_t)(BgL_nodez00_4202), 
(obj_t)(BgL_localz00_4203), BgL_nesterz00_2192, BEOA); 
BgL_res3235z00_4230 = 
(BgL_nodez00_bglt)(BgL_auxz00_4726); } } } 
BgL_arg3105z00_2196 = BgL_res3235z00_4230; } 
{ /* Inline/loop.scm 374 */
BgL_varz00_bglt BgL_val2631z00_4232;
BgL_val2631z00_4232 = 
(BgL_varz00_bglt)(BgL_arg3105z00_2196); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2190))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_4232), BUNSPEC); } } 
{ /* Inline/loop.scm 375 */
BgL_nodez00_bglt BgL_arg3107z00_2198;
{ /* Inline/loop.scm 375 */
BgL_nodez00_bglt BgL_arg3108z00_2199;
BgL_arg3108z00_2199 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2190))->BgL_valuez00); 
{ /* Inline/loop.scm 375 */
BgL_nodez00_bglt BgL_res3238z00_4262;
{ /* Inline/loop.scm 375 */
BgL_localz00_bglt BgL_localz00_4235;
BgL_localz00_4235 = 
(BgL_localz00_bglt)(BgL_vz00_2191); 
{ /* Inline/loop.scm 375 */
obj_t BgL_method2867z00_4237;
{ /* Inline/loop.scm 375 */
long BgL_objzd2classzd2numz00_4239;
{ /* Inline/loop.scm 375 */
BgL_objectz00_bglt BgL_auxz00_4736;
BgL_auxz00_4736 = 
(BgL_objectz00_bglt)(BgL_arg3108z00_2199); 
BgL_objzd2classzd2numz00_4239 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4736); } 
{ /* Inline/loop.scm 375 */
obj_t BgL_arg1221z00_4240;
{ /* Inline/loop.scm 375 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(((long)1)); 
BgL_arg1221z00_4240 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4739); } 
{ /* Inline/loop.scm 375 */
long BgL_offsetz00_4244;
{ /* Inline/loop.scm 375 */
long BgL_auxz00_4742;
{ /* Inline/loop.scm 375 */
int BgL_auxz00_4743;
BgL_auxz00_4743 = 
(int)(BgL_objzd2classzd2numz00_4239); 
BgL_auxz00_4742 = 
(long)(BgL_auxz00_4743); } 
BgL_offsetz00_4244 = 
(BgL_auxz00_4742-OBJECT_TYPE); } 
{ /* Inline/loop.scm 375 */
long BgL_modz00_4245;
{ /* Inline/loop.scm 375 */
long BgL_auxz00_4747;
{ /* Inline/loop.scm 375 */
int BgL_auxz00_4748;
BgL_auxz00_4748 = 
(int)(((long)8)); 
BgL_auxz00_4747 = 
(long)(BgL_auxz00_4748); } 
BgL_modz00_4245 = 
(BgL_offsetz00_4244/BgL_auxz00_4747); } 
{ /* Inline/loop.scm 375 */
long BgL_restz00_4247;
{ /* Inline/loop.scm 375 */
long BgL_auxz00_4752;
{ /* Inline/loop.scm 375 */
int BgL_auxz00_4753;
BgL_auxz00_4753 = 
(int)(((long)8)); 
BgL_auxz00_4752 = 
(long)(BgL_auxz00_4753); } 
BgL_restz00_4247 = 
(BgL_offsetz00_4244%BgL_auxz00_4752); } 
{ /* Inline/loop.scm 375 */

{ /* Inline/loop.scm 375 */
obj_t BgL_bucketz00_4249;
{ /* Inline/loop.scm 375 */
int BgL_kz00_4259;
BgL_kz00_4259 = 
(int)(BgL_modz00_4245); 
BgL_bucketz00_4249 = 
VECTOR_REF(BgL_arg1221z00_4240,BgL_kz00_4259); } 
{ /* Inline/loop.scm 375 */
int BgL_kz00_4261;
BgL_kz00_4261 = 
(int)(BgL_restz00_4247); 
BgL_method2867z00_4237 = 
VECTOR_REF(BgL_bucketz00_4249,BgL_kz00_4261); } } } } } } } } 
{ /* Inline/loop.scm 375 */
obj_t BgL_auxz00_4761;
BgL_auxz00_4761 = 
PROCEDURE_ENTRY(BgL_method2867z00_4237)(BgL_method2867z00_4237, 
(obj_t)(BgL_arg3108z00_2199), 
(obj_t)(BgL_localz00_4235), BgL_nesterz00_2192, BEOA); 
BgL_res3238z00_4262 = 
(BgL_nodez00_bglt)(BgL_auxz00_4761); } } } 
BgL_arg3107z00_2198 = BgL_res3238z00_4262; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2190))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3107z00_2198), BUNSPEC); } 
BgL_auxz00_4696 = BgL_nodez00_2190; 
return 
(obj_t)(BgL_auxz00_4696);} } } 
}



/* nest-loop!-box-ref2905 */
obj_t BGl_nestzd2loopz12zd2boxzd2ref2905zc0zzinline_loopz00(obj_t BgL_envz00_4369, obj_t BgL_nodez00_4370, obj_t BgL_vz00_4371, obj_t BgL_nesterz00_4372)
{ AN_OBJECT;
{ /* Inline/loop.scm 364 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2180;obj_t BgL_vz00_2181;obj_t BgL_nesterz00_2182;
{ /* Inline/loop.scm 365 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4770;
BgL_nodez00_2180 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4370); 
BgL_vz00_2181 = BgL_vz00_4371; 
BgL_nesterz00_2182 = BgL_nesterz00_4372; 
{ /* Inline/loop.scm 365 */
BgL_nodez00_bglt BgL_arg3102z00_4167;
{ /* Inline/loop.scm 365 */
BgL_nodez00_bglt BgL_res3232z00_4198;
{ /* Inline/loop.scm 365 */
BgL_nodez00_bglt BgL_nodez00_4170;BgL_localz00_bglt BgL_localz00_4171;
{ /* Inline/loop.scm 365 */
BgL_varz00_bglt BgL_auxz00_4771;
BgL_auxz00_4771 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2180))->BgL_varz00); 
BgL_nodez00_4170 = 
(BgL_nodez00_bglt)(BgL_auxz00_4771); } 
BgL_localz00_4171 = 
(BgL_localz00_bglt)(BgL_vz00_2181); 
{ /* Inline/loop.scm 365 */
obj_t BgL_method2867z00_4173;
{ /* Inline/loop.scm 365 */
long BgL_objzd2classzd2numz00_4175;
{ /* Inline/loop.scm 365 */
BgL_objectz00_bglt BgL_auxz00_4775;
BgL_auxz00_4775 = 
(BgL_objectz00_bglt)(BgL_nodez00_4170); 
BgL_objzd2classzd2numz00_4175 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4775); } 
{ /* Inline/loop.scm 365 */
obj_t BgL_arg1221z00_4176;
{ /* Inline/loop.scm 365 */
int BgL_auxz00_4778;
BgL_auxz00_4778 = 
(int)(((long)1)); 
BgL_arg1221z00_4176 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4778); } 
{ /* Inline/loop.scm 365 */
long BgL_offsetz00_4180;
{ /* Inline/loop.scm 365 */
long BgL_auxz00_4781;
{ /* Inline/loop.scm 365 */
int BgL_auxz00_4782;
BgL_auxz00_4782 = 
(int)(BgL_objzd2classzd2numz00_4175); 
BgL_auxz00_4781 = 
(long)(BgL_auxz00_4782); } 
BgL_offsetz00_4180 = 
(BgL_auxz00_4781-OBJECT_TYPE); } 
{ /* Inline/loop.scm 365 */
long BgL_modz00_4181;
{ /* Inline/loop.scm 365 */
long BgL_auxz00_4786;
{ /* Inline/loop.scm 365 */
int BgL_auxz00_4787;
BgL_auxz00_4787 = 
(int)(((long)8)); 
BgL_auxz00_4786 = 
(long)(BgL_auxz00_4787); } 
BgL_modz00_4181 = 
(BgL_offsetz00_4180/BgL_auxz00_4786); } 
{ /* Inline/loop.scm 365 */
long BgL_restz00_4183;
{ /* Inline/loop.scm 365 */
long BgL_auxz00_4791;
{ /* Inline/loop.scm 365 */
int BgL_auxz00_4792;
BgL_auxz00_4792 = 
(int)(((long)8)); 
BgL_auxz00_4791 = 
(long)(BgL_auxz00_4792); } 
BgL_restz00_4183 = 
(BgL_offsetz00_4180%BgL_auxz00_4791); } 
{ /* Inline/loop.scm 365 */

{ /* Inline/loop.scm 365 */
obj_t BgL_bucketz00_4185;
{ /* Inline/loop.scm 365 */
int BgL_kz00_4195;
BgL_kz00_4195 = 
(int)(BgL_modz00_4181); 
BgL_bucketz00_4185 = 
VECTOR_REF(BgL_arg1221z00_4176,BgL_kz00_4195); } 
{ /* Inline/loop.scm 365 */
int BgL_kz00_4197;
BgL_kz00_4197 = 
(int)(BgL_restz00_4183); 
BgL_method2867z00_4173 = 
VECTOR_REF(BgL_bucketz00_4185,BgL_kz00_4197); } } } } } } } } 
{ /* Inline/loop.scm 365 */
obj_t BgL_auxz00_4800;
BgL_auxz00_4800 = 
PROCEDURE_ENTRY(BgL_method2867z00_4173)(BgL_method2867z00_4173, 
(obj_t)(BgL_nodez00_4170), 
(obj_t)(BgL_localz00_4171), BgL_nesterz00_2182, BEOA); 
BgL_res3232z00_4198 = 
(BgL_nodez00_bglt)(BgL_auxz00_4800); } } } 
BgL_arg3102z00_4167 = BgL_res3232z00_4198; } 
{ /* Inline/loop.scm 365 */
BgL_varz00_bglt BgL_val2603z00_4200;
BgL_val2603z00_4200 = 
(BgL_varz00_bglt)(BgL_arg3102z00_4167); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2180))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_4200), BUNSPEC); } } 
BgL_auxz00_4770 = BgL_nodez00_2180; 
return 
(obj_t)(BgL_auxz00_4770);} } } 
}



/* nest-loop!-make-box2903 */
obj_t BGl_nestzd2loopz12zd2makezd2box2903zc0zzinline_loopz00(obj_t BgL_envz00_4373, obj_t BgL_nodez00_4374, obj_t BgL_varz00_4375, obj_t BgL_nesterz00_4376)
{ AN_OBJECT;
{ /* Inline/loop.scm 356 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2170;obj_t BgL_varz00_2171;obj_t BgL_nesterz00_2172;
{ /* Inline/loop.scm 357 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4810;
BgL_nodez00_2170 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4374); 
BgL_varz00_2171 = BgL_varz00_4375; 
BgL_nesterz00_2172 = BgL_nesterz00_4376; 
{ /* Inline/loop.scm 357 */
BgL_nodez00_bglt BgL_arg3099z00_4132;
{ /* Inline/loop.scm 357 */
BgL_nodez00_bglt BgL_arg3100z00_4133;
BgL_arg3100z00_4133 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2170))->BgL_valuez00); 
{ /* Inline/loop.scm 357 */
BgL_nodez00_bglt BgL_res3229z00_4163;
{ /* Inline/loop.scm 357 */
BgL_localz00_bglt BgL_localz00_4136;
BgL_localz00_4136 = 
(BgL_localz00_bglt)(BgL_varz00_2171); 
{ /* Inline/loop.scm 357 */
obj_t BgL_method2867z00_4138;
{ /* Inline/loop.scm 357 */
long BgL_objzd2classzd2numz00_4140;
{ /* Inline/loop.scm 357 */
BgL_objectz00_bglt BgL_auxz00_4813;
BgL_auxz00_4813 = 
(BgL_objectz00_bglt)(BgL_arg3100z00_4133); 
BgL_objzd2classzd2numz00_4140 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4813); } 
{ /* Inline/loop.scm 357 */
obj_t BgL_arg1221z00_4141;
{ /* Inline/loop.scm 357 */
int BgL_auxz00_4816;
BgL_auxz00_4816 = 
(int)(((long)1)); 
BgL_arg1221z00_4141 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4816); } 
{ /* Inline/loop.scm 357 */
long BgL_offsetz00_4145;
{ /* Inline/loop.scm 357 */
long BgL_auxz00_4819;
{ /* Inline/loop.scm 357 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(BgL_objzd2classzd2numz00_4140); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_offsetz00_4145 = 
(BgL_auxz00_4819-OBJECT_TYPE); } 
{ /* Inline/loop.scm 357 */
long BgL_modz00_4146;
{ /* Inline/loop.scm 357 */
long BgL_auxz00_4824;
{ /* Inline/loop.scm 357 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)8)); 
BgL_auxz00_4824 = 
(long)(BgL_auxz00_4825); } 
BgL_modz00_4146 = 
(BgL_offsetz00_4145/BgL_auxz00_4824); } 
{ /* Inline/loop.scm 357 */
long BgL_restz00_4148;
{ /* Inline/loop.scm 357 */
long BgL_auxz00_4829;
{ /* Inline/loop.scm 357 */
int BgL_auxz00_4830;
BgL_auxz00_4830 = 
(int)(((long)8)); 
BgL_auxz00_4829 = 
(long)(BgL_auxz00_4830); } 
BgL_restz00_4148 = 
(BgL_offsetz00_4145%BgL_auxz00_4829); } 
{ /* Inline/loop.scm 357 */

{ /* Inline/loop.scm 357 */
obj_t BgL_bucketz00_4150;
{ /* Inline/loop.scm 357 */
int BgL_kz00_4160;
BgL_kz00_4160 = 
(int)(BgL_modz00_4146); 
BgL_bucketz00_4150 = 
VECTOR_REF(BgL_arg1221z00_4141,BgL_kz00_4160); } 
{ /* Inline/loop.scm 357 */
int BgL_kz00_4162;
BgL_kz00_4162 = 
(int)(BgL_restz00_4148); 
BgL_method2867z00_4138 = 
VECTOR_REF(BgL_bucketz00_4150,BgL_kz00_4162); } } } } } } } } 
{ /* Inline/loop.scm 357 */
obj_t BgL_auxz00_4838;
BgL_auxz00_4838 = 
PROCEDURE_ENTRY(BgL_method2867z00_4138)(BgL_method2867z00_4138, 
(obj_t)(BgL_arg3100z00_4133), 
(obj_t)(BgL_localz00_4136), BgL_nesterz00_2172, BEOA); 
BgL_res3229z00_4163 = 
(BgL_nodez00_bglt)(BgL_auxz00_4838); } } } 
BgL_arg3099z00_4132 = BgL_res3229z00_4163; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2170))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3099z00_4132), BUNSPEC); } 
BgL_auxz00_4810 = BgL_nodez00_2170; 
return 
(obj_t)(BgL_auxz00_4810);} } } 
}



/* nest-loop!-jump-ex-it2901 */
obj_t BGl_nestzd2loopz12zd2jumpzd2exzd2it2901z12zzinline_loopz00(obj_t BgL_envz00_4377, obj_t BgL_nodez00_4378, obj_t BgL_vz00_4379, obj_t BgL_nesterz00_4380)
{ AN_OBJECT;
{ /* Inline/loop.scm 347 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2158;obj_t BgL_vz00_2159;obj_t BgL_nesterz00_2160;
{ /* Inline/loop.scm 348 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4847;
BgL_nodez00_2158 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4378); 
BgL_vz00_2159 = BgL_vz00_4379; 
BgL_nesterz00_2160 = BgL_nesterz00_4380; 
{ /* Inline/loop.scm 349 */
BgL_nodez00_bglt BgL_arg3094z00_2164;
{ /* Inline/loop.scm 349 */
BgL_nodez00_bglt BgL_arg3095z00_2165;
BgL_arg3095z00_2165 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2158))->BgL_exitz00); 
{ /* Inline/loop.scm 349 */
BgL_nodez00_bglt BgL_res3223z00_4096;
{ /* Inline/loop.scm 349 */
BgL_localz00_bglt BgL_localz00_4069;
BgL_localz00_4069 = 
(BgL_localz00_bglt)(BgL_vz00_2159); 
{ /* Inline/loop.scm 349 */
obj_t BgL_method2867z00_4071;
{ /* Inline/loop.scm 349 */
long BgL_objzd2classzd2numz00_4073;
{ /* Inline/loop.scm 349 */
BgL_objectz00_bglt BgL_auxz00_4850;
BgL_auxz00_4850 = 
(BgL_objectz00_bglt)(BgL_arg3095z00_2165); 
BgL_objzd2classzd2numz00_4073 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4850); } 
{ /* Inline/loop.scm 349 */
obj_t BgL_arg1221z00_4074;
{ /* Inline/loop.scm 349 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(((long)1)); 
BgL_arg1221z00_4074 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4853); } 
{ /* Inline/loop.scm 349 */
long BgL_offsetz00_4078;
{ /* Inline/loop.scm 349 */
long BgL_auxz00_4856;
{ /* Inline/loop.scm 349 */
int BgL_auxz00_4857;
BgL_auxz00_4857 = 
(int)(BgL_objzd2classzd2numz00_4073); 
BgL_auxz00_4856 = 
(long)(BgL_auxz00_4857); } 
BgL_offsetz00_4078 = 
(BgL_auxz00_4856-OBJECT_TYPE); } 
{ /* Inline/loop.scm 349 */
long BgL_modz00_4079;
{ /* Inline/loop.scm 349 */
long BgL_auxz00_4861;
{ /* Inline/loop.scm 349 */
int BgL_auxz00_4862;
BgL_auxz00_4862 = 
(int)(((long)8)); 
BgL_auxz00_4861 = 
(long)(BgL_auxz00_4862); } 
BgL_modz00_4079 = 
(BgL_offsetz00_4078/BgL_auxz00_4861); } 
{ /* Inline/loop.scm 349 */
long BgL_restz00_4081;
{ /* Inline/loop.scm 349 */
long BgL_auxz00_4866;
{ /* Inline/loop.scm 349 */
int BgL_auxz00_4867;
BgL_auxz00_4867 = 
(int)(((long)8)); 
BgL_auxz00_4866 = 
(long)(BgL_auxz00_4867); } 
BgL_restz00_4081 = 
(BgL_offsetz00_4078%BgL_auxz00_4866); } 
{ /* Inline/loop.scm 349 */

{ /* Inline/loop.scm 349 */
obj_t BgL_bucketz00_4083;
{ /* Inline/loop.scm 349 */
int BgL_kz00_4093;
BgL_kz00_4093 = 
(int)(BgL_modz00_4079); 
BgL_bucketz00_4083 = 
VECTOR_REF(BgL_arg1221z00_4074,BgL_kz00_4093); } 
{ /* Inline/loop.scm 349 */
int BgL_kz00_4095;
BgL_kz00_4095 = 
(int)(BgL_restz00_4081); 
BgL_method2867z00_4071 = 
VECTOR_REF(BgL_bucketz00_4083,BgL_kz00_4095); } } } } } } } } 
{ /* Inline/loop.scm 349 */
obj_t BgL_auxz00_4875;
BgL_auxz00_4875 = 
PROCEDURE_ENTRY(BgL_method2867z00_4071)(BgL_method2867z00_4071, 
(obj_t)(BgL_arg3095z00_2165), 
(obj_t)(BgL_localz00_4069), BgL_nesterz00_2160, BEOA); 
BgL_res3223z00_4096 = 
(BgL_nodez00_bglt)(BgL_auxz00_4875); } } } 
BgL_arg3094z00_2164 = BgL_res3223z00_4096; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2158))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3094z00_2164), BUNSPEC); } 
{ /* Inline/loop.scm 350 */
BgL_nodez00_bglt BgL_arg3096z00_2166;
{ /* Inline/loop.scm 350 */
BgL_nodez00_bglt BgL_arg3097z00_2167;
BgL_arg3097z00_2167 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2158))->BgL_valuez00); 
{ /* Inline/loop.scm 350 */
BgL_nodez00_bglt BgL_res3226z00_4128;
{ /* Inline/loop.scm 350 */
BgL_localz00_bglt BgL_localz00_4101;
BgL_localz00_4101 = 
(BgL_localz00_bglt)(BgL_vz00_2159); 
{ /* Inline/loop.scm 350 */
obj_t BgL_method2867z00_4103;
{ /* Inline/loop.scm 350 */
long BgL_objzd2classzd2numz00_4105;
{ /* Inline/loop.scm 350 */
BgL_objectz00_bglt BgL_auxz00_4884;
BgL_auxz00_4884 = 
(BgL_objectz00_bglt)(BgL_arg3097z00_2167); 
BgL_objzd2classzd2numz00_4105 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4884); } 
{ /* Inline/loop.scm 350 */
obj_t BgL_arg1221z00_4106;
{ /* Inline/loop.scm 350 */
int BgL_auxz00_4887;
BgL_auxz00_4887 = 
(int)(((long)1)); 
BgL_arg1221z00_4106 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4887); } 
{ /* Inline/loop.scm 350 */
long BgL_offsetz00_4110;
{ /* Inline/loop.scm 350 */
long BgL_auxz00_4890;
{ /* Inline/loop.scm 350 */
int BgL_auxz00_4891;
BgL_auxz00_4891 = 
(int)(BgL_objzd2classzd2numz00_4105); 
BgL_auxz00_4890 = 
(long)(BgL_auxz00_4891); } 
BgL_offsetz00_4110 = 
(BgL_auxz00_4890-OBJECT_TYPE); } 
{ /* Inline/loop.scm 350 */
long BgL_modz00_4111;
{ /* Inline/loop.scm 350 */
long BgL_auxz00_4895;
{ /* Inline/loop.scm 350 */
int BgL_auxz00_4896;
BgL_auxz00_4896 = 
(int)(((long)8)); 
BgL_auxz00_4895 = 
(long)(BgL_auxz00_4896); } 
BgL_modz00_4111 = 
(BgL_offsetz00_4110/BgL_auxz00_4895); } 
{ /* Inline/loop.scm 350 */
long BgL_restz00_4113;
{ /* Inline/loop.scm 350 */
long BgL_auxz00_4900;
{ /* Inline/loop.scm 350 */
int BgL_auxz00_4901;
BgL_auxz00_4901 = 
(int)(((long)8)); 
BgL_auxz00_4900 = 
(long)(BgL_auxz00_4901); } 
BgL_restz00_4113 = 
(BgL_offsetz00_4110%BgL_auxz00_4900); } 
{ /* Inline/loop.scm 350 */

{ /* Inline/loop.scm 350 */
obj_t BgL_bucketz00_4115;
{ /* Inline/loop.scm 350 */
int BgL_kz00_4125;
BgL_kz00_4125 = 
(int)(BgL_modz00_4111); 
BgL_bucketz00_4115 = 
VECTOR_REF(BgL_arg1221z00_4106,BgL_kz00_4125); } 
{ /* Inline/loop.scm 350 */
int BgL_kz00_4127;
BgL_kz00_4127 = 
(int)(BgL_restz00_4113); 
BgL_method2867z00_4103 = 
VECTOR_REF(BgL_bucketz00_4115,BgL_kz00_4127); } } } } } } } } 
{ /* Inline/loop.scm 350 */
obj_t BgL_auxz00_4909;
BgL_auxz00_4909 = 
PROCEDURE_ENTRY(BgL_method2867z00_4103)(BgL_method2867z00_4103, 
(obj_t)(BgL_arg3097z00_2167), 
(obj_t)(BgL_localz00_4101), BgL_nesterz00_2160, BEOA); 
BgL_res3226z00_4128 = 
(BgL_nodez00_bglt)(BgL_auxz00_4909); } } } 
BgL_arg3096z00_2166 = BgL_res3226z00_4128; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2158))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3096z00_2166), BUNSPEC); } 
BgL_auxz00_4847 = BgL_nodez00_2158; 
return 
(obj_t)(BgL_auxz00_4847);} } } 
}



/* nest-loop!-set-ex-it2899 */
obj_t BGl_nestzd2loopz12zd2setzd2exzd2it2899z12zzinline_loopz00(obj_t BgL_envz00_4381, obj_t BgL_nodez00_4382, obj_t BgL_varz00_4383, obj_t BgL_nesterz00_4384)
{ AN_OBJECT;
{ /* Inline/loop.scm 339 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2148;obj_t BgL_varz00_2149;obj_t BgL_nesterz00_2150;
{ /* Inline/loop.scm 340 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4918;
BgL_nodez00_2148 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4382); 
BgL_varz00_2149 = BgL_varz00_4383; 
BgL_nesterz00_2150 = BgL_nesterz00_4384; 
{ /* Inline/loop.scm 340 */
BgL_nodez00_bglt BgL_arg3091z00_4033;
{ /* Inline/loop.scm 340 */
BgL_nodez00_bglt BgL_arg3092z00_4034;
BgL_arg3092z00_4034 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2148))->BgL_bodyz00); 
{ /* Inline/loop.scm 340 */
BgL_nodez00_bglt BgL_res3220z00_4064;
{ /* Inline/loop.scm 340 */
BgL_localz00_bglt BgL_localz00_4037;
BgL_localz00_4037 = 
(BgL_localz00_bglt)(BgL_varz00_2149); 
{ /* Inline/loop.scm 340 */
obj_t BgL_method2867z00_4039;
{ /* Inline/loop.scm 340 */
long BgL_objzd2classzd2numz00_4041;
{ /* Inline/loop.scm 340 */
BgL_objectz00_bglt BgL_auxz00_4921;
BgL_auxz00_4921 = 
(BgL_objectz00_bglt)(BgL_arg3092z00_4034); 
BgL_objzd2classzd2numz00_4041 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4921); } 
{ /* Inline/loop.scm 340 */
obj_t BgL_arg1221z00_4042;
{ /* Inline/loop.scm 340 */
int BgL_auxz00_4924;
BgL_auxz00_4924 = 
(int)(((long)1)); 
BgL_arg1221z00_4042 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4924); } 
{ /* Inline/loop.scm 340 */
long BgL_offsetz00_4046;
{ /* Inline/loop.scm 340 */
long BgL_auxz00_4927;
{ /* Inline/loop.scm 340 */
int BgL_auxz00_4928;
BgL_auxz00_4928 = 
(int)(BgL_objzd2classzd2numz00_4041); 
BgL_auxz00_4927 = 
(long)(BgL_auxz00_4928); } 
BgL_offsetz00_4046 = 
(BgL_auxz00_4927-OBJECT_TYPE); } 
{ /* Inline/loop.scm 340 */
long BgL_modz00_4047;
{ /* Inline/loop.scm 340 */
long BgL_auxz00_4932;
{ /* Inline/loop.scm 340 */
int BgL_auxz00_4933;
BgL_auxz00_4933 = 
(int)(((long)8)); 
BgL_auxz00_4932 = 
(long)(BgL_auxz00_4933); } 
BgL_modz00_4047 = 
(BgL_offsetz00_4046/BgL_auxz00_4932); } 
{ /* Inline/loop.scm 340 */
long BgL_restz00_4049;
{ /* Inline/loop.scm 340 */
long BgL_auxz00_4937;
{ /* Inline/loop.scm 340 */
int BgL_auxz00_4938;
BgL_auxz00_4938 = 
(int)(((long)8)); 
BgL_auxz00_4937 = 
(long)(BgL_auxz00_4938); } 
BgL_restz00_4049 = 
(BgL_offsetz00_4046%BgL_auxz00_4937); } 
{ /* Inline/loop.scm 340 */

{ /* Inline/loop.scm 340 */
obj_t BgL_bucketz00_4051;
{ /* Inline/loop.scm 340 */
int BgL_kz00_4061;
BgL_kz00_4061 = 
(int)(BgL_modz00_4047); 
BgL_bucketz00_4051 = 
VECTOR_REF(BgL_arg1221z00_4042,BgL_kz00_4061); } 
{ /* Inline/loop.scm 340 */
int BgL_kz00_4063;
BgL_kz00_4063 = 
(int)(BgL_restz00_4049); 
BgL_method2867z00_4039 = 
VECTOR_REF(BgL_bucketz00_4051,BgL_kz00_4063); } } } } } } } } 
{ /* Inline/loop.scm 340 */
obj_t BgL_auxz00_4946;
BgL_auxz00_4946 = 
PROCEDURE_ENTRY(BgL_method2867z00_4039)(BgL_method2867z00_4039, 
(obj_t)(BgL_arg3092z00_4034), 
(obj_t)(BgL_localz00_4037), BgL_nesterz00_2150, BEOA); 
BgL_res3220z00_4064 = 
(BgL_nodez00_bglt)(BgL_auxz00_4946); } } } 
BgL_arg3091z00_4033 = BgL_res3220z00_4064; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2148))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3091z00_4033), BUNSPEC); } 
BgL_auxz00_4918 = BgL_nodez00_2148; 
return 
(obj_t)(BgL_auxz00_4918);} } } 
}



/* nest-loop!-let-var2897 */
obj_t BGl_nestzd2loopz12zd2letzd2var2897zc0zzinline_loopz00(obj_t BgL_envz00_4385, obj_t BgL_nodez00_4386, obj_t BgL_varz00_4387, obj_t BgL_nesterz00_4388)
{ AN_OBJECT;
{ /* Inline/loop.scm 328 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2130;obj_t BgL_varz00_2131;obj_t BgL_nesterz00_2132;
{ /* Inline/loop.scm 329 */
BgL_letzd2varzd2_bglt BgL_auxz00_4955;
BgL_nodez00_2130 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4386); 
BgL_varz00_2131 = BgL_varz00_4387; 
BgL_nesterz00_2132 = BgL_nesterz00_4388; 
{ /* Inline/loop.scm 330 */
BgL_nodez00_bglt BgL_arg3082z00_2136;
{ /* Inline/loop.scm 330 */
BgL_nodez00_bglt BgL_arg3083z00_2137;
BgL_arg3083z00_2137 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2130))->BgL_bodyz00); 
{ /* Inline/loop.scm 330 */
BgL_nodez00_bglt BgL_res3214z00_3993;
{ /* Inline/loop.scm 330 */
BgL_localz00_bglt BgL_localz00_3966;
BgL_localz00_3966 = 
(BgL_localz00_bglt)(BgL_varz00_2131); 
{ /* Inline/loop.scm 330 */
obj_t BgL_method2867z00_3968;
{ /* Inline/loop.scm 330 */
long BgL_objzd2classzd2numz00_3970;
{ /* Inline/loop.scm 330 */
BgL_objectz00_bglt BgL_auxz00_4958;
BgL_auxz00_4958 = 
(BgL_objectz00_bglt)(BgL_arg3083z00_2137); 
BgL_objzd2classzd2numz00_3970 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4958); } 
{ /* Inline/loop.scm 330 */
obj_t BgL_arg1221z00_3971;
{ /* Inline/loop.scm 330 */
int BgL_auxz00_4961;
BgL_auxz00_4961 = 
(int)(((long)1)); 
BgL_arg1221z00_3971 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_4961); } 
{ /* Inline/loop.scm 330 */
long BgL_offsetz00_3975;
{ /* Inline/loop.scm 330 */
long BgL_auxz00_4964;
{ /* Inline/loop.scm 330 */
int BgL_auxz00_4965;
BgL_auxz00_4965 = 
(int)(BgL_objzd2classzd2numz00_3970); 
BgL_auxz00_4964 = 
(long)(BgL_auxz00_4965); } 
BgL_offsetz00_3975 = 
(BgL_auxz00_4964-OBJECT_TYPE); } 
{ /* Inline/loop.scm 330 */
long BgL_modz00_3976;
{ /* Inline/loop.scm 330 */
long BgL_auxz00_4969;
{ /* Inline/loop.scm 330 */
int BgL_auxz00_4970;
BgL_auxz00_4970 = 
(int)(((long)8)); 
BgL_auxz00_4969 = 
(long)(BgL_auxz00_4970); } 
BgL_modz00_3976 = 
(BgL_offsetz00_3975/BgL_auxz00_4969); } 
{ /* Inline/loop.scm 330 */
long BgL_restz00_3978;
{ /* Inline/loop.scm 330 */
long BgL_auxz00_4974;
{ /* Inline/loop.scm 330 */
int BgL_auxz00_4975;
BgL_auxz00_4975 = 
(int)(((long)8)); 
BgL_auxz00_4974 = 
(long)(BgL_auxz00_4975); } 
BgL_restz00_3978 = 
(BgL_offsetz00_3975%BgL_auxz00_4974); } 
{ /* Inline/loop.scm 330 */

{ /* Inline/loop.scm 330 */
obj_t BgL_bucketz00_3980;
{ /* Inline/loop.scm 330 */
int BgL_kz00_3990;
BgL_kz00_3990 = 
(int)(BgL_modz00_3976); 
BgL_bucketz00_3980 = 
VECTOR_REF(BgL_arg1221z00_3971,BgL_kz00_3990); } 
{ /* Inline/loop.scm 330 */
int BgL_kz00_3992;
BgL_kz00_3992 = 
(int)(BgL_restz00_3978); 
BgL_method2867z00_3968 = 
VECTOR_REF(BgL_bucketz00_3980,BgL_kz00_3992); } } } } } } } } 
{ /* Inline/loop.scm 330 */
obj_t BgL_auxz00_4983;
BgL_auxz00_4983 = 
PROCEDURE_ENTRY(BgL_method2867z00_3968)(BgL_method2867z00_3968, 
(obj_t)(BgL_arg3083z00_2137), 
(obj_t)(BgL_localz00_3966), BgL_nesterz00_2132, BEOA); 
BgL_res3214z00_3993 = 
(BgL_nodez00_bglt)(BgL_auxz00_4983); } } } 
BgL_arg3082z00_2136 = BgL_res3214z00_3993; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2130))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3082z00_2136), BUNSPEC); } 
{ 
obj_t BgL_l2818z00_2138;
BgL_l2818z00_2138 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2130))->BgL_bindingsz00); 
BgL_lname2819z00_2139:
if(
PAIRP(BgL_l2818z00_2138))
{ /* Inline/loop.scm 331 */
{ /* Inline/loop.scm 332 */
obj_t BgL_bindingz00_2142;
BgL_bindingz00_2142 = 
CAR(BgL_l2818z00_2138); 
{ /* Inline/loop.scm 332 */
BgL_nodez00_bglt BgL_arg3086z00_2143;
{ /* Inline/loop.scm 332 */
BgL_nodez00_bglt BgL_res3217z00_4028;
{ /* Inline/loop.scm 332 */
BgL_nodez00_bglt BgL_nodez00_4000;BgL_localz00_bglt BgL_localz00_4001;
{ /* Inline/loop.scm 332 */
obj_t BgL_auxz00_4993;
BgL_auxz00_4993 = 
CDR(BgL_bindingz00_2142); 
BgL_nodez00_4000 = 
(BgL_nodez00_bglt)(BgL_auxz00_4993); } 
BgL_localz00_4001 = 
(BgL_localz00_bglt)(BgL_varz00_2131); 
{ /* Inline/loop.scm 332 */
obj_t BgL_method2867z00_4003;
{ /* Inline/loop.scm 332 */
long BgL_objzd2classzd2numz00_4005;
{ /* Inline/loop.scm 332 */
BgL_objectz00_bglt BgL_auxz00_4997;
BgL_auxz00_4997 = 
(BgL_objectz00_bglt)(BgL_nodez00_4000); 
BgL_objzd2classzd2numz00_4005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4997); } 
{ /* Inline/loop.scm 332 */
obj_t BgL_arg1221z00_4006;
{ /* Inline/loop.scm 332 */
int BgL_auxz00_5000;
BgL_auxz00_5000 = 
(int)(((long)1)); 
BgL_arg1221z00_4006 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5000); } 
{ /* Inline/loop.scm 332 */
long BgL_offsetz00_4010;
{ /* Inline/loop.scm 332 */
long BgL_auxz00_5003;
{ /* Inline/loop.scm 332 */
int BgL_auxz00_5004;
BgL_auxz00_5004 = 
(int)(BgL_objzd2classzd2numz00_4005); 
BgL_auxz00_5003 = 
(long)(BgL_auxz00_5004); } 
BgL_offsetz00_4010 = 
(BgL_auxz00_5003-OBJECT_TYPE); } 
{ /* Inline/loop.scm 332 */
long BgL_modz00_4011;
{ /* Inline/loop.scm 332 */
long BgL_auxz00_5008;
{ /* Inline/loop.scm 332 */
int BgL_auxz00_5009;
BgL_auxz00_5009 = 
(int)(((long)8)); 
BgL_auxz00_5008 = 
(long)(BgL_auxz00_5009); } 
BgL_modz00_4011 = 
(BgL_offsetz00_4010/BgL_auxz00_5008); } 
{ /* Inline/loop.scm 332 */
long BgL_restz00_4013;
{ /* Inline/loop.scm 332 */
long BgL_auxz00_5013;
{ /* Inline/loop.scm 332 */
int BgL_auxz00_5014;
BgL_auxz00_5014 = 
(int)(((long)8)); 
BgL_auxz00_5013 = 
(long)(BgL_auxz00_5014); } 
BgL_restz00_4013 = 
(BgL_offsetz00_4010%BgL_auxz00_5013); } 
{ /* Inline/loop.scm 332 */

{ /* Inline/loop.scm 332 */
obj_t BgL_bucketz00_4015;
{ /* Inline/loop.scm 332 */
int BgL_kz00_4025;
BgL_kz00_4025 = 
(int)(BgL_modz00_4011); 
BgL_bucketz00_4015 = 
VECTOR_REF(BgL_arg1221z00_4006,BgL_kz00_4025); } 
{ /* Inline/loop.scm 332 */
int BgL_kz00_4027;
BgL_kz00_4027 = 
(int)(BgL_restz00_4013); 
BgL_method2867z00_4003 = 
VECTOR_REF(BgL_bucketz00_4015,BgL_kz00_4027); } } } } } } } } 
{ /* Inline/loop.scm 332 */
obj_t BgL_auxz00_5022;
BgL_auxz00_5022 = 
PROCEDURE_ENTRY(BgL_method2867z00_4003)(BgL_method2867z00_4003, 
(obj_t)(BgL_nodez00_4000), 
(obj_t)(BgL_localz00_4001), BgL_nesterz00_2132, BEOA); 
BgL_res3217z00_4028 = 
(BgL_nodez00_bglt)(BgL_auxz00_5022); } } } 
BgL_arg3086z00_2143 = BgL_res3217z00_4028; } 
{ /* Inline/loop.scm 332 */
obj_t BgL_auxz00_5028;
BgL_auxz00_5028 = 
(obj_t)(BgL_arg3086z00_2143); 
SET_CDR(BgL_bindingz00_2142, BgL_auxz00_5028); } } } 
{ 
obj_t BgL_l2818z00_5031;
BgL_l2818z00_5031 = 
CDR(BgL_l2818z00_2138); 
BgL_l2818z00_2138 = BgL_l2818z00_5031; 
goto BgL_lname2819z00_2139;} }  else 
{ /* Inline/loop.scm 331 */((bool_t)1); } } 
BgL_auxz00_4955 = BgL_nodez00_2130; 
return 
(obj_t)(BgL_auxz00_4955);} } } 
}



/* nest-loop!-let-fun2895 */
obj_t BGl_nestzd2loopz12zd2letzd2fun2895zc0zzinline_loopz00(obj_t BgL_envz00_4389, obj_t BgL_nodez00_4390, obj_t BgL_varz00_4391, obj_t BgL_nesterz00_4392)
{ AN_OBJECT;
{ /* Inline/loop.scm 313 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2111;obj_t BgL_varz00_2112;obj_t BgL_nesterz00_2113;
{ /* Inline/loop.scm 314 */
BgL_letzd2funzd2_bglt BgL_auxz00_5036;
BgL_nodez00_2111 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4390); 
BgL_varz00_2112 = BgL_varz00_4391; 
BgL_nesterz00_2113 = BgL_nesterz00_4392; 
{ /* Inline/loop.scm 315 */
BgL_nodez00_bglt BgL_arg3074z00_2117;
{ /* Inline/loop.scm 315 */
BgL_nodez00_bglt BgL_arg3075z00_2118;
BgL_arg3075z00_2118 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2111))->BgL_bodyz00); 
{ /* Inline/loop.scm 315 */
BgL_nodez00_bglt BgL_res3208z00_3924;
{ /* Inline/loop.scm 315 */
BgL_localz00_bglt BgL_localz00_3897;
BgL_localz00_3897 = 
(BgL_localz00_bglt)(BgL_varz00_2112); 
{ /* Inline/loop.scm 315 */
obj_t BgL_method2867z00_3899;
{ /* Inline/loop.scm 315 */
long BgL_objzd2classzd2numz00_3901;
{ /* Inline/loop.scm 315 */
BgL_objectz00_bglt BgL_auxz00_5039;
BgL_auxz00_5039 = 
(BgL_objectz00_bglt)(BgL_arg3075z00_2118); 
BgL_objzd2classzd2numz00_3901 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5039); } 
{ /* Inline/loop.scm 315 */
obj_t BgL_arg1221z00_3902;
{ /* Inline/loop.scm 315 */
int BgL_auxz00_5042;
BgL_auxz00_5042 = 
(int)(((long)1)); 
BgL_arg1221z00_3902 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5042); } 
{ /* Inline/loop.scm 315 */
long BgL_offsetz00_3906;
{ /* Inline/loop.scm 315 */
long BgL_auxz00_5045;
{ /* Inline/loop.scm 315 */
int BgL_auxz00_5046;
BgL_auxz00_5046 = 
(int)(BgL_objzd2classzd2numz00_3901); 
BgL_auxz00_5045 = 
(long)(BgL_auxz00_5046); } 
BgL_offsetz00_3906 = 
(BgL_auxz00_5045-OBJECT_TYPE); } 
{ /* Inline/loop.scm 315 */
long BgL_modz00_3907;
{ /* Inline/loop.scm 315 */
long BgL_auxz00_5050;
{ /* Inline/loop.scm 315 */
int BgL_auxz00_5051;
BgL_auxz00_5051 = 
(int)(((long)8)); 
BgL_auxz00_5050 = 
(long)(BgL_auxz00_5051); } 
BgL_modz00_3907 = 
(BgL_offsetz00_3906/BgL_auxz00_5050); } 
{ /* Inline/loop.scm 315 */
long BgL_restz00_3909;
{ /* Inline/loop.scm 315 */
long BgL_auxz00_5055;
{ /* Inline/loop.scm 315 */
int BgL_auxz00_5056;
BgL_auxz00_5056 = 
(int)(((long)8)); 
BgL_auxz00_5055 = 
(long)(BgL_auxz00_5056); } 
BgL_restz00_3909 = 
(BgL_offsetz00_3906%BgL_auxz00_5055); } 
{ /* Inline/loop.scm 315 */

{ /* Inline/loop.scm 315 */
obj_t BgL_bucketz00_3911;
{ /* Inline/loop.scm 315 */
int BgL_kz00_3921;
BgL_kz00_3921 = 
(int)(BgL_modz00_3907); 
BgL_bucketz00_3911 = 
VECTOR_REF(BgL_arg1221z00_3902,BgL_kz00_3921); } 
{ /* Inline/loop.scm 315 */
int BgL_kz00_3923;
BgL_kz00_3923 = 
(int)(BgL_restz00_3909); 
BgL_method2867z00_3899 = 
VECTOR_REF(BgL_bucketz00_3911,BgL_kz00_3923); } } } } } } } } 
{ /* Inline/loop.scm 315 */
obj_t BgL_auxz00_5064;
BgL_auxz00_5064 = 
PROCEDURE_ENTRY(BgL_method2867z00_3899)(BgL_method2867z00_3899, 
(obj_t)(BgL_arg3075z00_2118), 
(obj_t)(BgL_localz00_3897), BgL_nesterz00_2113, BEOA); 
BgL_res3208z00_3924 = 
(BgL_nodez00_bglt)(BgL_auxz00_5064); } } } 
BgL_arg3074z00_2117 = BgL_res3208z00_3924; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2111))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3074z00_2117), BUNSPEC); } 
{ 
obj_t BgL_l2814z00_2119;
BgL_l2814z00_2119 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2111))->BgL_localsz00); 
BgL_lname2815z00_2120:
if(
PAIRP(BgL_l2814z00_2119))
{ /* Inline/loop.scm 316 */
{ /* Inline/loop.scm 317 */
BgL_valuez00_bglt BgL_sfunz00_2124;
{ /* Inline/loop.scm 317 */
BgL_localz00_bglt BgL_obj1255z00_3930;
{ /* Inline/loop.scm 317 */
obj_t BgL_auxz00_5073;
BgL_auxz00_5073 = 
CAR(BgL_l2814z00_2119); 
BgL_obj1255z00_3930 = 
(BgL_localz00_bglt)(BgL_auxz00_5073); } 
BgL_sfunz00_2124 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3930))->BgL_valuez00); } 
{ /* Inline/loop.scm 319 */
BgL_nodez00_bglt BgL_arg3078z00_2125;
{ /* Inline/loop.scm 319 */
BgL_nodez00_bglt BgL_res3211z00_3960;
{ /* Inline/loop.scm 319 */
BgL_nodez00_bglt BgL_nodez00_3932;BgL_localz00_bglt BgL_localz00_3933;
{ /* Inline/loop.scm 319 */
obj_t BgL_auxz00_5077;
{ /* Inline/loop.scm 319 */
BgL_sfunz00_bglt BgL_obj1372z00_3931;
BgL_obj1372z00_3931 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2124); 
BgL_auxz00_5077 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3931))->BgL_bodyz00); } 
BgL_nodez00_3932 = 
(BgL_nodez00_bglt)(BgL_auxz00_5077); } 
BgL_localz00_3933 = 
(BgL_localz00_bglt)(BgL_varz00_2112); 
{ /* Inline/loop.scm 319 */
obj_t BgL_method2867z00_3935;
{ /* Inline/loop.scm 319 */
long BgL_objzd2classzd2numz00_3937;
{ /* Inline/loop.scm 319 */
BgL_objectz00_bglt BgL_auxz00_5082;
BgL_auxz00_5082 = 
(BgL_objectz00_bglt)(BgL_nodez00_3932); 
BgL_objzd2classzd2numz00_3937 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5082); } 
{ /* Inline/loop.scm 319 */
obj_t BgL_arg1221z00_3938;
{ /* Inline/loop.scm 319 */
int BgL_auxz00_5085;
BgL_auxz00_5085 = 
(int)(((long)1)); 
BgL_arg1221z00_3938 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5085); } 
{ /* Inline/loop.scm 319 */
long BgL_offsetz00_3942;
{ /* Inline/loop.scm 319 */
long BgL_auxz00_5088;
{ /* Inline/loop.scm 319 */
int BgL_auxz00_5089;
BgL_auxz00_5089 = 
(int)(BgL_objzd2classzd2numz00_3937); 
BgL_auxz00_5088 = 
(long)(BgL_auxz00_5089); } 
BgL_offsetz00_3942 = 
(BgL_auxz00_5088-OBJECT_TYPE); } 
{ /* Inline/loop.scm 319 */
long BgL_modz00_3943;
{ /* Inline/loop.scm 319 */
long BgL_auxz00_5093;
{ /* Inline/loop.scm 319 */
int BgL_auxz00_5094;
BgL_auxz00_5094 = 
(int)(((long)8)); 
BgL_auxz00_5093 = 
(long)(BgL_auxz00_5094); } 
BgL_modz00_3943 = 
(BgL_offsetz00_3942/BgL_auxz00_5093); } 
{ /* Inline/loop.scm 319 */
long BgL_restz00_3945;
{ /* Inline/loop.scm 319 */
long BgL_auxz00_5098;
{ /* Inline/loop.scm 319 */
int BgL_auxz00_5099;
BgL_auxz00_5099 = 
(int)(((long)8)); 
BgL_auxz00_5098 = 
(long)(BgL_auxz00_5099); } 
BgL_restz00_3945 = 
(BgL_offsetz00_3942%BgL_auxz00_5098); } 
{ /* Inline/loop.scm 319 */

{ /* Inline/loop.scm 319 */
obj_t BgL_bucketz00_3947;
{ /* Inline/loop.scm 319 */
int BgL_kz00_3957;
BgL_kz00_3957 = 
(int)(BgL_modz00_3943); 
BgL_bucketz00_3947 = 
VECTOR_REF(BgL_arg1221z00_3938,BgL_kz00_3957); } 
{ /* Inline/loop.scm 319 */
int BgL_kz00_3959;
BgL_kz00_3959 = 
(int)(BgL_restz00_3945); 
BgL_method2867z00_3935 = 
VECTOR_REF(BgL_bucketz00_3947,BgL_kz00_3959); } } } } } } } } 
{ /* Inline/loop.scm 319 */
obj_t BgL_auxz00_5107;
BgL_auxz00_5107 = 
PROCEDURE_ENTRY(BgL_method2867z00_3935)(BgL_method2867z00_3935, 
(obj_t)(BgL_nodez00_3932), 
(obj_t)(BgL_localz00_3933), BgL_nesterz00_2113, BEOA); 
BgL_res3211z00_3960 = 
(BgL_nodez00_bglt)(BgL_auxz00_5107); } } } 
BgL_arg3078z00_2125 = BgL_res3211z00_3960; } 
{ /* Inline/loop.scm 318 */
BgL_sfunz00_bglt BgL_obj1374z00_3961;obj_t BgL_val1373z00_3962;
BgL_obj1374z00_3961 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_2124); 
BgL_val1373z00_3962 = 
(obj_t)(BgL_arg3078z00_2125); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3961))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_3962), BUNSPEC); } } } 
{ 
obj_t BgL_l2814z00_5116;
BgL_l2814z00_5116 = 
CDR(BgL_l2814z00_2119); 
BgL_l2814z00_2119 = BgL_l2814z00_5116; 
goto BgL_lname2815z00_2120;} }  else 
{ /* Inline/loop.scm 316 */((bool_t)1); } } 
BgL_auxz00_5036 = BgL_nodez00_2111; 
return 
(obj_t)(BgL_auxz00_5036);} } } 
}



/* nest-loop!-select2893 */
obj_t BGl_nestzd2loopz12zd2select2893z12zzinline_loopz00(obj_t BgL_envz00_4393, obj_t BgL_nodez00_4394, obj_t BgL_varz00_4395, obj_t BgL_nesterz00_4396)
{ AN_OBJECT;
{ /* Inline/loop.scm 302 */
{ 
BgL_selectz00_bglt BgL_nodez00_2093;obj_t BgL_varz00_2094;obj_t BgL_nesterz00_2095;
{ /* Inline/loop.scm 303 */
BgL_selectz00_bglt BgL_auxz00_5121;
BgL_nodez00_2093 = 
(BgL_selectz00_bglt)(BgL_nodez00_4394); 
BgL_varz00_2094 = BgL_varz00_4395; 
BgL_nesterz00_2095 = BgL_nesterz00_4396; 
{ /* Inline/loop.scm 304 */
BgL_nodez00_bglt BgL_arg3066z00_2099;
{ /* Inline/loop.scm 304 */
BgL_nodez00_bglt BgL_arg3067z00_2100;
BgL_arg3067z00_2100 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2093))->BgL_testz00); 
{ /* Inline/loop.scm 304 */
BgL_nodez00_bglt BgL_res3202z00_3856;
{ /* Inline/loop.scm 304 */
BgL_localz00_bglt BgL_localz00_3829;
BgL_localz00_3829 = 
(BgL_localz00_bglt)(BgL_varz00_2094); 
{ /* Inline/loop.scm 304 */
obj_t BgL_method2867z00_3831;
{ /* Inline/loop.scm 304 */
long BgL_objzd2classzd2numz00_3833;
{ /* Inline/loop.scm 304 */
BgL_objectz00_bglt BgL_auxz00_5124;
BgL_auxz00_5124 = 
(BgL_objectz00_bglt)(BgL_arg3067z00_2100); 
BgL_objzd2classzd2numz00_3833 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5124); } 
{ /* Inline/loop.scm 304 */
obj_t BgL_arg1221z00_3834;
{ /* Inline/loop.scm 304 */
int BgL_auxz00_5127;
BgL_auxz00_5127 = 
(int)(((long)1)); 
BgL_arg1221z00_3834 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5127); } 
{ /* Inline/loop.scm 304 */
long BgL_offsetz00_3838;
{ /* Inline/loop.scm 304 */
long BgL_auxz00_5130;
{ /* Inline/loop.scm 304 */
int BgL_auxz00_5131;
BgL_auxz00_5131 = 
(int)(BgL_objzd2classzd2numz00_3833); 
BgL_auxz00_5130 = 
(long)(BgL_auxz00_5131); } 
BgL_offsetz00_3838 = 
(BgL_auxz00_5130-OBJECT_TYPE); } 
{ /* Inline/loop.scm 304 */
long BgL_modz00_3839;
{ /* Inline/loop.scm 304 */
long BgL_auxz00_5135;
{ /* Inline/loop.scm 304 */
int BgL_auxz00_5136;
BgL_auxz00_5136 = 
(int)(((long)8)); 
BgL_auxz00_5135 = 
(long)(BgL_auxz00_5136); } 
BgL_modz00_3839 = 
(BgL_offsetz00_3838/BgL_auxz00_5135); } 
{ /* Inline/loop.scm 304 */
long BgL_restz00_3841;
{ /* Inline/loop.scm 304 */
long BgL_auxz00_5140;
{ /* Inline/loop.scm 304 */
int BgL_auxz00_5141;
BgL_auxz00_5141 = 
(int)(((long)8)); 
BgL_auxz00_5140 = 
(long)(BgL_auxz00_5141); } 
BgL_restz00_3841 = 
(BgL_offsetz00_3838%BgL_auxz00_5140); } 
{ /* Inline/loop.scm 304 */

{ /* Inline/loop.scm 304 */
obj_t BgL_bucketz00_3843;
{ /* Inline/loop.scm 304 */
int BgL_kz00_3853;
BgL_kz00_3853 = 
(int)(BgL_modz00_3839); 
BgL_bucketz00_3843 = 
VECTOR_REF(BgL_arg1221z00_3834,BgL_kz00_3853); } 
{ /* Inline/loop.scm 304 */
int BgL_kz00_3855;
BgL_kz00_3855 = 
(int)(BgL_restz00_3841); 
BgL_method2867z00_3831 = 
VECTOR_REF(BgL_bucketz00_3843,BgL_kz00_3855); } } } } } } } } 
{ /* Inline/loop.scm 304 */
obj_t BgL_auxz00_5149;
BgL_auxz00_5149 = 
PROCEDURE_ENTRY(BgL_method2867z00_3831)(BgL_method2867z00_3831, 
(obj_t)(BgL_arg3067z00_2100), 
(obj_t)(BgL_localz00_3829), BgL_nesterz00_2095, BEOA); 
BgL_res3202z00_3856 = 
(BgL_nodez00_bglt)(BgL_auxz00_5149); } } } 
BgL_arg3066z00_2099 = BgL_res3202z00_3856; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_2093))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3066z00_2099), BUNSPEC); } 
{ 
obj_t BgL_l2810z00_2101;
BgL_l2810z00_2101 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2093))->BgL_clausesz00); 
BgL_lname2811z00_2102:
if(
PAIRP(BgL_l2810z00_2101))
{ /* Inline/loop.scm 305 */
{ /* Inline/loop.scm 306 */
obj_t BgL_clausez00_2105;
BgL_clausez00_2105 = 
CAR(BgL_l2810z00_2101); 
{ /* Inline/loop.scm 306 */
BgL_nodez00_bglt BgL_arg3070z00_2106;
{ /* Inline/loop.scm 306 */
BgL_nodez00_bglt BgL_res3205z00_3891;
{ /* Inline/loop.scm 306 */
BgL_nodez00_bglt BgL_nodez00_3863;BgL_localz00_bglt BgL_localz00_3864;
{ /* Inline/loop.scm 306 */
obj_t BgL_auxz00_5159;
BgL_auxz00_5159 = 
CDR(BgL_clausez00_2105); 
BgL_nodez00_3863 = 
(BgL_nodez00_bglt)(BgL_auxz00_5159); } 
BgL_localz00_3864 = 
(BgL_localz00_bglt)(BgL_varz00_2094); 
{ /* Inline/loop.scm 306 */
obj_t BgL_method2867z00_3866;
{ /* Inline/loop.scm 306 */
long BgL_objzd2classzd2numz00_3868;
{ /* Inline/loop.scm 306 */
BgL_objectz00_bglt BgL_auxz00_5163;
BgL_auxz00_5163 = 
(BgL_objectz00_bglt)(BgL_nodez00_3863); 
BgL_objzd2classzd2numz00_3868 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5163); } 
{ /* Inline/loop.scm 306 */
obj_t BgL_arg1221z00_3869;
{ /* Inline/loop.scm 306 */
int BgL_auxz00_5166;
BgL_auxz00_5166 = 
(int)(((long)1)); 
BgL_arg1221z00_3869 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5166); } 
{ /* Inline/loop.scm 306 */
long BgL_offsetz00_3873;
{ /* Inline/loop.scm 306 */
long BgL_auxz00_5169;
{ /* Inline/loop.scm 306 */
int BgL_auxz00_5170;
BgL_auxz00_5170 = 
(int)(BgL_objzd2classzd2numz00_3868); 
BgL_auxz00_5169 = 
(long)(BgL_auxz00_5170); } 
BgL_offsetz00_3873 = 
(BgL_auxz00_5169-OBJECT_TYPE); } 
{ /* Inline/loop.scm 306 */
long BgL_modz00_3874;
{ /* Inline/loop.scm 306 */
long BgL_auxz00_5174;
{ /* Inline/loop.scm 306 */
int BgL_auxz00_5175;
BgL_auxz00_5175 = 
(int)(((long)8)); 
BgL_auxz00_5174 = 
(long)(BgL_auxz00_5175); } 
BgL_modz00_3874 = 
(BgL_offsetz00_3873/BgL_auxz00_5174); } 
{ /* Inline/loop.scm 306 */
long BgL_restz00_3876;
{ /* Inline/loop.scm 306 */
long BgL_auxz00_5179;
{ /* Inline/loop.scm 306 */
int BgL_auxz00_5180;
BgL_auxz00_5180 = 
(int)(((long)8)); 
BgL_auxz00_5179 = 
(long)(BgL_auxz00_5180); } 
BgL_restz00_3876 = 
(BgL_offsetz00_3873%BgL_auxz00_5179); } 
{ /* Inline/loop.scm 306 */

{ /* Inline/loop.scm 306 */
obj_t BgL_bucketz00_3878;
{ /* Inline/loop.scm 306 */
int BgL_kz00_3888;
BgL_kz00_3888 = 
(int)(BgL_modz00_3874); 
BgL_bucketz00_3878 = 
VECTOR_REF(BgL_arg1221z00_3869,BgL_kz00_3888); } 
{ /* Inline/loop.scm 306 */
int BgL_kz00_3890;
BgL_kz00_3890 = 
(int)(BgL_restz00_3876); 
BgL_method2867z00_3866 = 
VECTOR_REF(BgL_bucketz00_3878,BgL_kz00_3890); } } } } } } } } 
{ /* Inline/loop.scm 306 */
obj_t BgL_auxz00_5188;
BgL_auxz00_5188 = 
PROCEDURE_ENTRY(BgL_method2867z00_3866)(BgL_method2867z00_3866, 
(obj_t)(BgL_nodez00_3863), 
(obj_t)(BgL_localz00_3864), BgL_nesterz00_2095, BEOA); 
BgL_res3205z00_3891 = 
(BgL_nodez00_bglt)(BgL_auxz00_5188); } } } 
BgL_arg3070z00_2106 = BgL_res3205z00_3891; } 
{ /* Inline/loop.scm 306 */
obj_t BgL_auxz00_5194;
BgL_auxz00_5194 = 
(obj_t)(BgL_arg3070z00_2106); 
SET_CDR(BgL_clausez00_2105, BgL_auxz00_5194); } } } 
{ 
obj_t BgL_l2810z00_5197;
BgL_l2810z00_5197 = 
CDR(BgL_l2810z00_2101); 
BgL_l2810z00_2101 = BgL_l2810z00_5197; 
goto BgL_lname2811z00_2102;} }  else 
{ /* Inline/loop.scm 305 */((bool_t)1); } } 
BgL_auxz00_5121 = BgL_nodez00_2093; 
return 
(obj_t)(BgL_auxz00_5121);} } } 
}



/* nest-loop!-fail2891 */
obj_t BGl_nestzd2loopz12zd2fail2891z12zzinline_loopz00(obj_t BgL_envz00_4397, obj_t BgL_nodez00_4398, obj_t BgL_varz00_4399, obj_t BgL_nesterz00_4400)
{ AN_OBJECT;
{ /* Inline/loop.scm 292 */
{ 
BgL_failz00_bglt BgL_nodez00_2079;obj_t BgL_varz00_2080;obj_t BgL_nesterz00_2081;
{ /* Inline/loop.scm 293 */
BgL_failz00_bglt BgL_auxz00_5202;
BgL_nodez00_2079 = 
(BgL_failz00_bglt)(BgL_nodez00_4398); 
BgL_varz00_2080 = BgL_varz00_4399; 
BgL_nesterz00_2081 = BgL_nesterz00_4400; 
{ /* Inline/loop.scm 294 */
BgL_nodez00_bglt BgL_arg3059z00_2085;
{ /* Inline/loop.scm 294 */
BgL_nodez00_bglt BgL_arg3060z00_2086;
BgL_arg3060z00_2086 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_procz00); 
{ /* Inline/loop.scm 294 */
BgL_nodez00_bglt BgL_res3193z00_3760;
{ /* Inline/loop.scm 294 */
BgL_localz00_bglt BgL_localz00_3733;
BgL_localz00_3733 = 
(BgL_localz00_bglt)(BgL_varz00_2080); 
{ /* Inline/loop.scm 294 */
obj_t BgL_method2867z00_3735;
{ /* Inline/loop.scm 294 */
long BgL_objzd2classzd2numz00_3737;
{ /* Inline/loop.scm 294 */
BgL_objectz00_bglt BgL_auxz00_5205;
BgL_auxz00_5205 = 
(BgL_objectz00_bglt)(BgL_arg3060z00_2086); 
BgL_objzd2classzd2numz00_3737 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5205); } 
{ /* Inline/loop.scm 294 */
obj_t BgL_arg1221z00_3738;
{ /* Inline/loop.scm 294 */
int BgL_auxz00_5208;
BgL_auxz00_5208 = 
(int)(((long)1)); 
BgL_arg1221z00_3738 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5208); } 
{ /* Inline/loop.scm 294 */
long BgL_offsetz00_3742;
{ /* Inline/loop.scm 294 */
long BgL_auxz00_5211;
{ /* Inline/loop.scm 294 */
int BgL_auxz00_5212;
BgL_auxz00_5212 = 
(int)(BgL_objzd2classzd2numz00_3737); 
BgL_auxz00_5211 = 
(long)(BgL_auxz00_5212); } 
BgL_offsetz00_3742 = 
(BgL_auxz00_5211-OBJECT_TYPE); } 
{ /* Inline/loop.scm 294 */
long BgL_modz00_3743;
{ /* Inline/loop.scm 294 */
long BgL_auxz00_5216;
{ /* Inline/loop.scm 294 */
int BgL_auxz00_5217;
BgL_auxz00_5217 = 
(int)(((long)8)); 
BgL_auxz00_5216 = 
(long)(BgL_auxz00_5217); } 
BgL_modz00_3743 = 
(BgL_offsetz00_3742/BgL_auxz00_5216); } 
{ /* Inline/loop.scm 294 */
long BgL_restz00_3745;
{ /* Inline/loop.scm 294 */
long BgL_auxz00_5221;
{ /* Inline/loop.scm 294 */
int BgL_auxz00_5222;
BgL_auxz00_5222 = 
(int)(((long)8)); 
BgL_auxz00_5221 = 
(long)(BgL_auxz00_5222); } 
BgL_restz00_3745 = 
(BgL_offsetz00_3742%BgL_auxz00_5221); } 
{ /* Inline/loop.scm 294 */

{ /* Inline/loop.scm 294 */
obj_t BgL_bucketz00_3747;
{ /* Inline/loop.scm 294 */
int BgL_kz00_3757;
BgL_kz00_3757 = 
(int)(BgL_modz00_3743); 
BgL_bucketz00_3747 = 
VECTOR_REF(BgL_arg1221z00_3738,BgL_kz00_3757); } 
{ /* Inline/loop.scm 294 */
int BgL_kz00_3759;
BgL_kz00_3759 = 
(int)(BgL_restz00_3745); 
BgL_method2867z00_3735 = 
VECTOR_REF(BgL_bucketz00_3747,BgL_kz00_3759); } } } } } } } } 
{ /* Inline/loop.scm 294 */
obj_t BgL_auxz00_5230;
BgL_auxz00_5230 = 
PROCEDURE_ENTRY(BgL_method2867z00_3735)(BgL_method2867z00_3735, 
(obj_t)(BgL_arg3060z00_2086), 
(obj_t)(BgL_localz00_3733), BgL_nesterz00_2081, BEOA); 
BgL_res3193z00_3760 = 
(BgL_nodez00_bglt)(BgL_auxz00_5230); } } } 
BgL_arg3059z00_2085 = BgL_res3193z00_3760; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3059z00_2085), BUNSPEC); } 
{ /* Inline/loop.scm 295 */
BgL_nodez00_bglt BgL_arg3061z00_2087;
{ /* Inline/loop.scm 295 */
BgL_nodez00_bglt BgL_arg3062z00_2088;
BgL_arg3062z00_2088 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_msgz00); 
{ /* Inline/loop.scm 295 */
BgL_nodez00_bglt BgL_res3196z00_3792;
{ /* Inline/loop.scm 295 */
BgL_localz00_bglt BgL_localz00_3765;
BgL_localz00_3765 = 
(BgL_localz00_bglt)(BgL_varz00_2080); 
{ /* Inline/loop.scm 295 */
obj_t BgL_method2867z00_3767;
{ /* Inline/loop.scm 295 */
long BgL_objzd2classzd2numz00_3769;
{ /* Inline/loop.scm 295 */
BgL_objectz00_bglt BgL_auxz00_5239;
BgL_auxz00_5239 = 
(BgL_objectz00_bglt)(BgL_arg3062z00_2088); 
BgL_objzd2classzd2numz00_3769 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5239); } 
{ /* Inline/loop.scm 295 */
obj_t BgL_arg1221z00_3770;
{ /* Inline/loop.scm 295 */
int BgL_auxz00_5242;
BgL_auxz00_5242 = 
(int)(((long)1)); 
BgL_arg1221z00_3770 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5242); } 
{ /* Inline/loop.scm 295 */
long BgL_offsetz00_3774;
{ /* Inline/loop.scm 295 */
long BgL_auxz00_5245;
{ /* Inline/loop.scm 295 */
int BgL_auxz00_5246;
BgL_auxz00_5246 = 
(int)(BgL_objzd2classzd2numz00_3769); 
BgL_auxz00_5245 = 
(long)(BgL_auxz00_5246); } 
BgL_offsetz00_3774 = 
(BgL_auxz00_5245-OBJECT_TYPE); } 
{ /* Inline/loop.scm 295 */
long BgL_modz00_3775;
{ /* Inline/loop.scm 295 */
long BgL_auxz00_5250;
{ /* Inline/loop.scm 295 */
int BgL_auxz00_5251;
BgL_auxz00_5251 = 
(int)(((long)8)); 
BgL_auxz00_5250 = 
(long)(BgL_auxz00_5251); } 
BgL_modz00_3775 = 
(BgL_offsetz00_3774/BgL_auxz00_5250); } 
{ /* Inline/loop.scm 295 */
long BgL_restz00_3777;
{ /* Inline/loop.scm 295 */
long BgL_auxz00_5255;
{ /* Inline/loop.scm 295 */
int BgL_auxz00_5256;
BgL_auxz00_5256 = 
(int)(((long)8)); 
BgL_auxz00_5255 = 
(long)(BgL_auxz00_5256); } 
BgL_restz00_3777 = 
(BgL_offsetz00_3774%BgL_auxz00_5255); } 
{ /* Inline/loop.scm 295 */

{ /* Inline/loop.scm 295 */
obj_t BgL_bucketz00_3779;
{ /* Inline/loop.scm 295 */
int BgL_kz00_3789;
BgL_kz00_3789 = 
(int)(BgL_modz00_3775); 
BgL_bucketz00_3779 = 
VECTOR_REF(BgL_arg1221z00_3770,BgL_kz00_3789); } 
{ /* Inline/loop.scm 295 */
int BgL_kz00_3791;
BgL_kz00_3791 = 
(int)(BgL_restz00_3777); 
BgL_method2867z00_3767 = 
VECTOR_REF(BgL_bucketz00_3779,BgL_kz00_3791); } } } } } } } } 
{ /* Inline/loop.scm 295 */
obj_t BgL_auxz00_5264;
BgL_auxz00_5264 = 
PROCEDURE_ENTRY(BgL_method2867z00_3767)(BgL_method2867z00_3767, 
(obj_t)(BgL_arg3062z00_2088), 
(obj_t)(BgL_localz00_3765), BgL_nesterz00_2081, BEOA); 
BgL_res3196z00_3792 = 
(BgL_nodez00_bglt)(BgL_auxz00_5264); } } } 
BgL_arg3061z00_2087 = BgL_res3196z00_3792; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3061z00_2087), BUNSPEC); } 
{ /* Inline/loop.scm 296 */
BgL_nodez00_bglt BgL_arg3063z00_2089;
{ /* Inline/loop.scm 296 */
BgL_nodez00_bglt BgL_arg3064z00_2090;
BgL_arg3064z00_2090 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_objz00); 
{ /* Inline/loop.scm 296 */
BgL_nodez00_bglt BgL_res3199z00_3824;
{ /* Inline/loop.scm 296 */
BgL_localz00_bglt BgL_localz00_3797;
BgL_localz00_3797 = 
(BgL_localz00_bglt)(BgL_varz00_2080); 
{ /* Inline/loop.scm 296 */
obj_t BgL_method2867z00_3799;
{ /* Inline/loop.scm 296 */
long BgL_objzd2classzd2numz00_3801;
{ /* Inline/loop.scm 296 */
BgL_objectz00_bglt BgL_auxz00_5273;
BgL_auxz00_5273 = 
(BgL_objectz00_bglt)(BgL_arg3064z00_2090); 
BgL_objzd2classzd2numz00_3801 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5273); } 
{ /* Inline/loop.scm 296 */
obj_t BgL_arg1221z00_3802;
{ /* Inline/loop.scm 296 */
int BgL_auxz00_5276;
BgL_auxz00_5276 = 
(int)(((long)1)); 
BgL_arg1221z00_3802 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5276); } 
{ /* Inline/loop.scm 296 */
long BgL_offsetz00_3806;
{ /* Inline/loop.scm 296 */
long BgL_auxz00_5279;
{ /* Inline/loop.scm 296 */
int BgL_auxz00_5280;
BgL_auxz00_5280 = 
(int)(BgL_objzd2classzd2numz00_3801); 
BgL_auxz00_5279 = 
(long)(BgL_auxz00_5280); } 
BgL_offsetz00_3806 = 
(BgL_auxz00_5279-OBJECT_TYPE); } 
{ /* Inline/loop.scm 296 */
long BgL_modz00_3807;
{ /* Inline/loop.scm 296 */
long BgL_auxz00_5284;
{ /* Inline/loop.scm 296 */
int BgL_auxz00_5285;
BgL_auxz00_5285 = 
(int)(((long)8)); 
BgL_auxz00_5284 = 
(long)(BgL_auxz00_5285); } 
BgL_modz00_3807 = 
(BgL_offsetz00_3806/BgL_auxz00_5284); } 
{ /* Inline/loop.scm 296 */
long BgL_restz00_3809;
{ /* Inline/loop.scm 296 */
long BgL_auxz00_5289;
{ /* Inline/loop.scm 296 */
int BgL_auxz00_5290;
BgL_auxz00_5290 = 
(int)(((long)8)); 
BgL_auxz00_5289 = 
(long)(BgL_auxz00_5290); } 
BgL_restz00_3809 = 
(BgL_offsetz00_3806%BgL_auxz00_5289); } 
{ /* Inline/loop.scm 296 */

{ /* Inline/loop.scm 296 */
obj_t BgL_bucketz00_3811;
{ /* Inline/loop.scm 296 */
int BgL_kz00_3821;
BgL_kz00_3821 = 
(int)(BgL_modz00_3807); 
BgL_bucketz00_3811 = 
VECTOR_REF(BgL_arg1221z00_3802,BgL_kz00_3821); } 
{ /* Inline/loop.scm 296 */
int BgL_kz00_3823;
BgL_kz00_3823 = 
(int)(BgL_restz00_3809); 
BgL_method2867z00_3799 = 
VECTOR_REF(BgL_bucketz00_3811,BgL_kz00_3823); } } } } } } } } 
{ /* Inline/loop.scm 296 */
obj_t BgL_auxz00_5298;
BgL_auxz00_5298 = 
PROCEDURE_ENTRY(BgL_method2867z00_3799)(BgL_method2867z00_3799, 
(obj_t)(BgL_arg3064z00_2090), 
(obj_t)(BgL_localz00_3797), BgL_nesterz00_2081, BEOA); 
BgL_res3199z00_3824 = 
(BgL_nodez00_bglt)(BgL_auxz00_5298); } } } 
BgL_arg3063z00_2089 = BgL_res3199z00_3824; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2079))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3063z00_2089), BUNSPEC); } 
BgL_auxz00_5202 = BgL_nodez00_2079; 
return 
(obj_t)(BgL_auxz00_5202);} } } 
}



/* nest-loop!-conditional2889 */
obj_t BGl_nestzd2loopz12zd2conditional2889z12zzinline_loopz00(obj_t BgL_envz00_4401, obj_t BgL_nodez00_4402, obj_t BgL_varz00_4403, obj_t BgL_nesterz00_4404)
{ AN_OBJECT;
{ /* Inline/loop.scm 282 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2065;obj_t BgL_varz00_2066;obj_t BgL_nesterz00_2067;
{ /* Inline/loop.scm 283 */
BgL_conditionalz00_bglt BgL_auxz00_5307;
BgL_nodez00_2065 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4402); 
BgL_varz00_2066 = BgL_varz00_4403; 
BgL_nesterz00_2067 = BgL_nesterz00_4404; 
{ /* Inline/loop.scm 284 */
BgL_nodez00_bglt BgL_arg3052z00_2071;
{ /* Inline/loop.scm 284 */
BgL_nodez00_bglt BgL_arg3053z00_2072;
BgL_arg3053z00_2072 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_testz00); 
{ /* Inline/loop.scm 284 */
BgL_nodez00_bglt BgL_res3184z00_3664;
{ /* Inline/loop.scm 284 */
BgL_localz00_bglt BgL_localz00_3637;
BgL_localz00_3637 = 
(BgL_localz00_bglt)(BgL_varz00_2066); 
{ /* Inline/loop.scm 284 */
obj_t BgL_method2867z00_3639;
{ /* Inline/loop.scm 284 */
long BgL_objzd2classzd2numz00_3641;
{ /* Inline/loop.scm 284 */
BgL_objectz00_bglt BgL_auxz00_5310;
BgL_auxz00_5310 = 
(BgL_objectz00_bglt)(BgL_arg3053z00_2072); 
BgL_objzd2classzd2numz00_3641 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5310); } 
{ /* Inline/loop.scm 284 */
obj_t BgL_arg1221z00_3642;
{ /* Inline/loop.scm 284 */
int BgL_auxz00_5313;
BgL_auxz00_5313 = 
(int)(((long)1)); 
BgL_arg1221z00_3642 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5313); } 
{ /* Inline/loop.scm 284 */
long BgL_offsetz00_3646;
{ /* Inline/loop.scm 284 */
long BgL_auxz00_5316;
{ /* Inline/loop.scm 284 */
int BgL_auxz00_5317;
BgL_auxz00_5317 = 
(int)(BgL_objzd2classzd2numz00_3641); 
BgL_auxz00_5316 = 
(long)(BgL_auxz00_5317); } 
BgL_offsetz00_3646 = 
(BgL_auxz00_5316-OBJECT_TYPE); } 
{ /* Inline/loop.scm 284 */
long BgL_modz00_3647;
{ /* Inline/loop.scm 284 */
long BgL_auxz00_5321;
{ /* Inline/loop.scm 284 */
int BgL_auxz00_5322;
BgL_auxz00_5322 = 
(int)(((long)8)); 
BgL_auxz00_5321 = 
(long)(BgL_auxz00_5322); } 
BgL_modz00_3647 = 
(BgL_offsetz00_3646/BgL_auxz00_5321); } 
{ /* Inline/loop.scm 284 */
long BgL_restz00_3649;
{ /* Inline/loop.scm 284 */
long BgL_auxz00_5326;
{ /* Inline/loop.scm 284 */
int BgL_auxz00_5327;
BgL_auxz00_5327 = 
(int)(((long)8)); 
BgL_auxz00_5326 = 
(long)(BgL_auxz00_5327); } 
BgL_restz00_3649 = 
(BgL_offsetz00_3646%BgL_auxz00_5326); } 
{ /* Inline/loop.scm 284 */

{ /* Inline/loop.scm 284 */
obj_t BgL_bucketz00_3651;
{ /* Inline/loop.scm 284 */
int BgL_kz00_3661;
BgL_kz00_3661 = 
(int)(BgL_modz00_3647); 
BgL_bucketz00_3651 = 
VECTOR_REF(BgL_arg1221z00_3642,BgL_kz00_3661); } 
{ /* Inline/loop.scm 284 */
int BgL_kz00_3663;
BgL_kz00_3663 = 
(int)(BgL_restz00_3649); 
BgL_method2867z00_3639 = 
VECTOR_REF(BgL_bucketz00_3651,BgL_kz00_3663); } } } } } } } } 
{ /* Inline/loop.scm 284 */
obj_t BgL_auxz00_5335;
BgL_auxz00_5335 = 
PROCEDURE_ENTRY(BgL_method2867z00_3639)(BgL_method2867z00_3639, 
(obj_t)(BgL_arg3053z00_2072), 
(obj_t)(BgL_localz00_3637), BgL_nesterz00_2067, BEOA); 
BgL_res3184z00_3664 = 
(BgL_nodez00_bglt)(BgL_auxz00_5335); } } } 
BgL_arg3052z00_2071 = BgL_res3184z00_3664; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3052z00_2071), BUNSPEC); } 
{ /* Inline/loop.scm 285 */
BgL_nodez00_bglt BgL_arg3054z00_2073;
{ /* Inline/loop.scm 285 */
BgL_nodez00_bglt BgL_arg3055z00_2074;
BgL_arg3055z00_2074 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_truez00); 
{ /* Inline/loop.scm 285 */
BgL_nodez00_bglt BgL_res3187z00_3696;
{ /* Inline/loop.scm 285 */
BgL_localz00_bglt BgL_localz00_3669;
BgL_localz00_3669 = 
(BgL_localz00_bglt)(BgL_varz00_2066); 
{ /* Inline/loop.scm 285 */
obj_t BgL_method2867z00_3671;
{ /* Inline/loop.scm 285 */
long BgL_objzd2classzd2numz00_3673;
{ /* Inline/loop.scm 285 */
BgL_objectz00_bglt BgL_auxz00_5344;
BgL_auxz00_5344 = 
(BgL_objectz00_bglt)(BgL_arg3055z00_2074); 
BgL_objzd2classzd2numz00_3673 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5344); } 
{ /* Inline/loop.scm 285 */
obj_t BgL_arg1221z00_3674;
{ /* Inline/loop.scm 285 */
int BgL_auxz00_5347;
BgL_auxz00_5347 = 
(int)(((long)1)); 
BgL_arg1221z00_3674 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5347); } 
{ /* Inline/loop.scm 285 */
long BgL_offsetz00_3678;
{ /* Inline/loop.scm 285 */
long BgL_auxz00_5350;
{ /* Inline/loop.scm 285 */
int BgL_auxz00_5351;
BgL_auxz00_5351 = 
(int)(BgL_objzd2classzd2numz00_3673); 
BgL_auxz00_5350 = 
(long)(BgL_auxz00_5351); } 
BgL_offsetz00_3678 = 
(BgL_auxz00_5350-OBJECT_TYPE); } 
{ /* Inline/loop.scm 285 */
long BgL_modz00_3679;
{ /* Inline/loop.scm 285 */
long BgL_auxz00_5355;
{ /* Inline/loop.scm 285 */
int BgL_auxz00_5356;
BgL_auxz00_5356 = 
(int)(((long)8)); 
BgL_auxz00_5355 = 
(long)(BgL_auxz00_5356); } 
BgL_modz00_3679 = 
(BgL_offsetz00_3678/BgL_auxz00_5355); } 
{ /* Inline/loop.scm 285 */
long BgL_restz00_3681;
{ /* Inline/loop.scm 285 */
long BgL_auxz00_5360;
{ /* Inline/loop.scm 285 */
int BgL_auxz00_5361;
BgL_auxz00_5361 = 
(int)(((long)8)); 
BgL_auxz00_5360 = 
(long)(BgL_auxz00_5361); } 
BgL_restz00_3681 = 
(BgL_offsetz00_3678%BgL_auxz00_5360); } 
{ /* Inline/loop.scm 285 */

{ /* Inline/loop.scm 285 */
obj_t BgL_bucketz00_3683;
{ /* Inline/loop.scm 285 */
int BgL_kz00_3693;
BgL_kz00_3693 = 
(int)(BgL_modz00_3679); 
BgL_bucketz00_3683 = 
VECTOR_REF(BgL_arg1221z00_3674,BgL_kz00_3693); } 
{ /* Inline/loop.scm 285 */
int BgL_kz00_3695;
BgL_kz00_3695 = 
(int)(BgL_restz00_3681); 
BgL_method2867z00_3671 = 
VECTOR_REF(BgL_bucketz00_3683,BgL_kz00_3695); } } } } } } } } 
{ /* Inline/loop.scm 285 */
obj_t BgL_auxz00_5369;
BgL_auxz00_5369 = 
PROCEDURE_ENTRY(BgL_method2867z00_3671)(BgL_method2867z00_3671, 
(obj_t)(BgL_arg3055z00_2074), 
(obj_t)(BgL_localz00_3669), BgL_nesterz00_2067, BEOA); 
BgL_res3187z00_3696 = 
(BgL_nodez00_bglt)(BgL_auxz00_5369); } } } 
BgL_arg3054z00_2073 = BgL_res3187z00_3696; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3054z00_2073), BUNSPEC); } 
{ /* Inline/loop.scm 286 */
BgL_nodez00_bglt BgL_arg3056z00_2075;
{ /* Inline/loop.scm 286 */
BgL_nodez00_bglt BgL_arg3057z00_2076;
BgL_arg3057z00_2076 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_falsez00); 
{ /* Inline/loop.scm 286 */
BgL_nodez00_bglt BgL_res3190z00_3728;
{ /* Inline/loop.scm 286 */
BgL_localz00_bglt BgL_localz00_3701;
BgL_localz00_3701 = 
(BgL_localz00_bglt)(BgL_varz00_2066); 
{ /* Inline/loop.scm 286 */
obj_t BgL_method2867z00_3703;
{ /* Inline/loop.scm 286 */
long BgL_objzd2classzd2numz00_3705;
{ /* Inline/loop.scm 286 */
BgL_objectz00_bglt BgL_auxz00_5378;
BgL_auxz00_5378 = 
(BgL_objectz00_bglt)(BgL_arg3057z00_2076); 
BgL_objzd2classzd2numz00_3705 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5378); } 
{ /* Inline/loop.scm 286 */
obj_t BgL_arg1221z00_3706;
{ /* Inline/loop.scm 286 */
int BgL_auxz00_5381;
BgL_auxz00_5381 = 
(int)(((long)1)); 
BgL_arg1221z00_3706 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5381); } 
{ /* Inline/loop.scm 286 */
long BgL_offsetz00_3710;
{ /* Inline/loop.scm 286 */
long BgL_auxz00_5384;
{ /* Inline/loop.scm 286 */
int BgL_auxz00_5385;
BgL_auxz00_5385 = 
(int)(BgL_objzd2classzd2numz00_3705); 
BgL_auxz00_5384 = 
(long)(BgL_auxz00_5385); } 
BgL_offsetz00_3710 = 
(BgL_auxz00_5384-OBJECT_TYPE); } 
{ /* Inline/loop.scm 286 */
long BgL_modz00_3711;
{ /* Inline/loop.scm 286 */
long BgL_auxz00_5389;
{ /* Inline/loop.scm 286 */
int BgL_auxz00_5390;
BgL_auxz00_5390 = 
(int)(((long)8)); 
BgL_auxz00_5389 = 
(long)(BgL_auxz00_5390); } 
BgL_modz00_3711 = 
(BgL_offsetz00_3710/BgL_auxz00_5389); } 
{ /* Inline/loop.scm 286 */
long BgL_restz00_3713;
{ /* Inline/loop.scm 286 */
long BgL_auxz00_5394;
{ /* Inline/loop.scm 286 */
int BgL_auxz00_5395;
BgL_auxz00_5395 = 
(int)(((long)8)); 
BgL_auxz00_5394 = 
(long)(BgL_auxz00_5395); } 
BgL_restz00_3713 = 
(BgL_offsetz00_3710%BgL_auxz00_5394); } 
{ /* Inline/loop.scm 286 */

{ /* Inline/loop.scm 286 */
obj_t BgL_bucketz00_3715;
{ /* Inline/loop.scm 286 */
int BgL_kz00_3725;
BgL_kz00_3725 = 
(int)(BgL_modz00_3711); 
BgL_bucketz00_3715 = 
VECTOR_REF(BgL_arg1221z00_3706,BgL_kz00_3725); } 
{ /* Inline/loop.scm 286 */
int BgL_kz00_3727;
BgL_kz00_3727 = 
(int)(BgL_restz00_3713); 
BgL_method2867z00_3703 = 
VECTOR_REF(BgL_bucketz00_3715,BgL_kz00_3727); } } } } } } } } 
{ /* Inline/loop.scm 286 */
obj_t BgL_auxz00_5403;
BgL_auxz00_5403 = 
PROCEDURE_ENTRY(BgL_method2867z00_3703)(BgL_method2867z00_3703, 
(obj_t)(BgL_arg3057z00_2076), 
(obj_t)(BgL_localz00_3701), BgL_nesterz00_2067, BEOA); 
BgL_res3190z00_3728 = 
(BgL_nodez00_bglt)(BgL_auxz00_5403); } } } 
BgL_arg3056z00_2075 = BgL_res3190z00_3728; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2065))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3056z00_2075), BUNSPEC); } 
BgL_auxz00_5307 = BgL_nodez00_2065; 
return 
(obj_t)(BgL_auxz00_5307);} } } 
}



/* nest-loop!-setq2887 */
obj_t BGl_nestzd2loopz12zd2setq2887z12zzinline_loopz00(obj_t BgL_envz00_4405, obj_t BgL_nodez00_4406, obj_t BgL_varz00_4407, obj_t BgL_nesterz00_4408)
{ AN_OBJECT;
{ /* Inline/loop.scm 275 */
{ 
BgL_setqz00_bglt BgL_nodez00_2057;obj_t BgL_varz00_2058;obj_t BgL_nesterz00_2059;
{ /* Inline/loop.scm 276 */
BgL_setqz00_bglt BgL_auxz00_5412;
BgL_nodez00_2057 = 
(BgL_setqz00_bglt)(BgL_nodez00_4406); 
BgL_varz00_2058 = BgL_varz00_4407; 
BgL_nesterz00_2059 = BgL_nesterz00_4408; 
{ /* Inline/loop.scm 276 */
BgL_nodez00_bglt BgL_arg3050z00_3604;
BgL_arg3050z00_3604 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2057))->BgL_valuez00); 
{ /* Inline/loop.scm 276 */
BgL_nodez00_bglt BgL_res3181z00_3634;
{ /* Inline/loop.scm 276 */
BgL_localz00_bglt BgL_localz00_3607;
BgL_localz00_3607 = 
(BgL_localz00_bglt)(BgL_varz00_2058); 
{ /* Inline/loop.scm 276 */
obj_t BgL_method2867z00_3609;
{ /* Inline/loop.scm 276 */
long BgL_objzd2classzd2numz00_3611;
{ /* Inline/loop.scm 276 */
BgL_objectz00_bglt BgL_auxz00_5415;
BgL_auxz00_5415 = 
(BgL_objectz00_bglt)(BgL_arg3050z00_3604); 
BgL_objzd2classzd2numz00_3611 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5415); } 
{ /* Inline/loop.scm 276 */
obj_t BgL_arg1221z00_3612;
{ /* Inline/loop.scm 276 */
int BgL_auxz00_5418;
BgL_auxz00_5418 = 
(int)(((long)1)); 
BgL_arg1221z00_3612 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5418); } 
{ /* Inline/loop.scm 276 */
long BgL_offsetz00_3616;
{ /* Inline/loop.scm 276 */
long BgL_auxz00_5421;
{ /* Inline/loop.scm 276 */
int BgL_auxz00_5422;
BgL_auxz00_5422 = 
(int)(BgL_objzd2classzd2numz00_3611); 
BgL_auxz00_5421 = 
(long)(BgL_auxz00_5422); } 
BgL_offsetz00_3616 = 
(BgL_auxz00_5421-OBJECT_TYPE); } 
{ /* Inline/loop.scm 276 */
long BgL_modz00_3617;
{ /* Inline/loop.scm 276 */
long BgL_auxz00_5426;
{ /* Inline/loop.scm 276 */
int BgL_auxz00_5427;
BgL_auxz00_5427 = 
(int)(((long)8)); 
BgL_auxz00_5426 = 
(long)(BgL_auxz00_5427); } 
BgL_modz00_3617 = 
(BgL_offsetz00_3616/BgL_auxz00_5426); } 
{ /* Inline/loop.scm 276 */
long BgL_restz00_3619;
{ /* Inline/loop.scm 276 */
long BgL_auxz00_5431;
{ /* Inline/loop.scm 276 */
int BgL_auxz00_5432;
BgL_auxz00_5432 = 
(int)(((long)8)); 
BgL_auxz00_5431 = 
(long)(BgL_auxz00_5432); } 
BgL_restz00_3619 = 
(BgL_offsetz00_3616%BgL_auxz00_5431); } 
{ /* Inline/loop.scm 276 */

{ /* Inline/loop.scm 276 */
obj_t BgL_bucketz00_3621;
{ /* Inline/loop.scm 276 */
int BgL_kz00_3631;
BgL_kz00_3631 = 
(int)(BgL_modz00_3617); 
BgL_bucketz00_3621 = 
VECTOR_REF(BgL_arg1221z00_3612,BgL_kz00_3631); } 
{ /* Inline/loop.scm 276 */
int BgL_kz00_3633;
BgL_kz00_3633 = 
(int)(BgL_restz00_3619); 
BgL_method2867z00_3609 = 
VECTOR_REF(BgL_bucketz00_3621,BgL_kz00_3633); } } } } } } } } 
{ /* Inline/loop.scm 276 */
obj_t BgL_auxz00_5440;
BgL_auxz00_5440 = 
PROCEDURE_ENTRY(BgL_method2867z00_3609)(BgL_method2867z00_3609, 
(obj_t)(BgL_arg3050z00_3604), 
(obj_t)(BgL_localz00_3607), BgL_nesterz00_2059, BEOA); 
BgL_res3181z00_3634 = 
(BgL_nodez00_bglt)(BgL_auxz00_5440); } } } BgL_res3181z00_3634; } } 
BgL_auxz00_5412 = BgL_nodez00_2057; 
return 
(obj_t)(BgL_auxz00_5412);} } } 
}



/* nest-loop!-cast2885 */
obj_t BGl_nestzd2loopz12zd2cast2885z12zzinline_loopz00(obj_t BgL_envz00_4409, obj_t BgL_nodez00_4410, obj_t BgL_varz00_4411, obj_t BgL_nesterz00_4412)
{ AN_OBJECT;
{ /* Inline/loop.scm 268 */
{ 
BgL_castz00_bglt BgL_nodez00_2049;obj_t BgL_varz00_2050;obj_t BgL_nesterz00_2051;
{ /* Inline/loop.scm 269 */
BgL_castz00_bglt BgL_auxz00_5448;
BgL_nodez00_2049 = 
(BgL_castz00_bglt)(BgL_nodez00_4410); 
BgL_varz00_2050 = BgL_varz00_4411; 
BgL_nesterz00_2051 = BgL_nesterz00_4412; 
{ /* Inline/loop.scm 269 */
BgL_nodez00_bglt BgL_arg3048z00_3573;
BgL_arg3048z00_3573 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2049))->BgL_argz00); 
{ /* Inline/loop.scm 269 */
BgL_nodez00_bglt BgL_res3178z00_3603;
{ /* Inline/loop.scm 269 */
BgL_localz00_bglt BgL_localz00_3576;
BgL_localz00_3576 = 
(BgL_localz00_bglt)(BgL_varz00_2050); 
{ /* Inline/loop.scm 269 */
obj_t BgL_method2867z00_3578;
{ /* Inline/loop.scm 269 */
long BgL_objzd2classzd2numz00_3580;
{ /* Inline/loop.scm 269 */
BgL_objectz00_bglt BgL_auxz00_5451;
BgL_auxz00_5451 = 
(BgL_objectz00_bglt)(BgL_arg3048z00_3573); 
BgL_objzd2classzd2numz00_3580 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5451); } 
{ /* Inline/loop.scm 269 */
obj_t BgL_arg1221z00_3581;
{ /* Inline/loop.scm 269 */
int BgL_auxz00_5454;
BgL_auxz00_5454 = 
(int)(((long)1)); 
BgL_arg1221z00_3581 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5454); } 
{ /* Inline/loop.scm 269 */
long BgL_offsetz00_3585;
{ /* Inline/loop.scm 269 */
long BgL_auxz00_5457;
{ /* Inline/loop.scm 269 */
int BgL_auxz00_5458;
BgL_auxz00_5458 = 
(int)(BgL_objzd2classzd2numz00_3580); 
BgL_auxz00_5457 = 
(long)(BgL_auxz00_5458); } 
BgL_offsetz00_3585 = 
(BgL_auxz00_5457-OBJECT_TYPE); } 
{ /* Inline/loop.scm 269 */
long BgL_modz00_3586;
{ /* Inline/loop.scm 269 */
long BgL_auxz00_5462;
{ /* Inline/loop.scm 269 */
int BgL_auxz00_5463;
BgL_auxz00_5463 = 
(int)(((long)8)); 
BgL_auxz00_5462 = 
(long)(BgL_auxz00_5463); } 
BgL_modz00_3586 = 
(BgL_offsetz00_3585/BgL_auxz00_5462); } 
{ /* Inline/loop.scm 269 */
long BgL_restz00_3588;
{ /* Inline/loop.scm 269 */
long BgL_auxz00_5467;
{ /* Inline/loop.scm 269 */
int BgL_auxz00_5468;
BgL_auxz00_5468 = 
(int)(((long)8)); 
BgL_auxz00_5467 = 
(long)(BgL_auxz00_5468); } 
BgL_restz00_3588 = 
(BgL_offsetz00_3585%BgL_auxz00_5467); } 
{ /* Inline/loop.scm 269 */

{ /* Inline/loop.scm 269 */
obj_t BgL_bucketz00_3590;
{ /* Inline/loop.scm 269 */
int BgL_kz00_3600;
BgL_kz00_3600 = 
(int)(BgL_modz00_3586); 
BgL_bucketz00_3590 = 
VECTOR_REF(BgL_arg1221z00_3581,BgL_kz00_3600); } 
{ /* Inline/loop.scm 269 */
int BgL_kz00_3602;
BgL_kz00_3602 = 
(int)(BgL_restz00_3588); 
BgL_method2867z00_3578 = 
VECTOR_REF(BgL_bucketz00_3590,BgL_kz00_3602); } } } } } } } } 
{ /* Inline/loop.scm 269 */
obj_t BgL_auxz00_5476;
BgL_auxz00_5476 = 
PROCEDURE_ENTRY(BgL_method2867z00_3578)(BgL_method2867z00_3578, 
(obj_t)(BgL_arg3048z00_3573), 
(obj_t)(BgL_localz00_3576), BgL_nesterz00_2051, BEOA); 
BgL_res3178z00_3603 = 
(BgL_nodez00_bglt)(BgL_auxz00_5476); } } } BgL_res3178z00_3603; } } 
BgL_auxz00_5448 = BgL_nodez00_2049; 
return 
(obj_t)(BgL_auxz00_5448);} } } 
}



/* nest-loop!-extern2883 */
obj_t BGl_nestzd2loopz12zd2extern2883z12zzinline_loopz00(obj_t BgL_envz00_4413, obj_t BgL_nodez00_4414, obj_t BgL_varz00_4415, obj_t BgL_nesterz00_4416)
{ AN_OBJECT;
{ /* Inline/loop.scm 261 */
{ 
BgL_externz00_bglt BgL_nodez00_2041;obj_t BgL_varz00_2042;obj_t BgL_nesterz00_2043;
{ /* Inline/loop.scm 262 */
BgL_externz00_bglt BgL_auxz00_5484;
BgL_nodez00_2041 = 
(BgL_externz00_bglt)(BgL_nodez00_4414); 
BgL_varz00_2042 = BgL_varz00_4415; 
BgL_nesterz00_2043 = BgL_nesterz00_4416; 
BGl_nestzd2loopz12za2z62zzinline_loopz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2041))->BgL_exprza2za2), BgL_varz00_2042, BgL_nesterz00_2043); 
BgL_auxz00_5484 = BgL_nodez00_2041; 
return 
(obj_t)(BgL_auxz00_5484);} } } 
}



/* nest-loop!-funcall2881 */
obj_t BGl_nestzd2loopz12zd2funcall2881z12zzinline_loopz00(obj_t BgL_envz00_4417, obj_t BgL_nodez00_4418, obj_t BgL_varz00_4419, obj_t BgL_nesterz00_4420)
{ AN_OBJECT;
{ /* Inline/loop.scm 252 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2030;obj_t BgL_varz00_2031;obj_t BgL_nesterz00_2032;
{ /* Inline/loop.scm 253 */
BgL_funcallz00_bglt BgL_auxz00_5489;
BgL_nodez00_2030 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4418); 
BgL_varz00_2031 = BgL_varz00_4419; 
BgL_nesterz00_2032 = BgL_nesterz00_4420; 
{ /* Inline/loop.scm 254 */
BgL_nodez00_bglt BgL_arg3042z00_2036;
{ /* Inline/loop.scm 254 */
BgL_nodez00_bglt BgL_arg3043z00_2037;
BgL_arg3043z00_2037 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2030))->BgL_funz00); 
{ /* Inline/loop.scm 254 */
BgL_nodez00_bglt BgL_res3175z00_3567;
{ /* Inline/loop.scm 254 */
BgL_localz00_bglt BgL_localz00_3540;
BgL_localz00_3540 = 
(BgL_localz00_bglt)(BgL_varz00_2031); 
{ /* Inline/loop.scm 254 */
obj_t BgL_method2867z00_3542;
{ /* Inline/loop.scm 254 */
long BgL_objzd2classzd2numz00_3544;
{ /* Inline/loop.scm 254 */
BgL_objectz00_bglt BgL_auxz00_5492;
BgL_auxz00_5492 = 
(BgL_objectz00_bglt)(BgL_arg3043z00_2037); 
BgL_objzd2classzd2numz00_3544 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5492); } 
{ /* Inline/loop.scm 254 */
obj_t BgL_arg1221z00_3545;
{ /* Inline/loop.scm 254 */
int BgL_auxz00_5495;
BgL_auxz00_5495 = 
(int)(((long)1)); 
BgL_arg1221z00_3545 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5495); } 
{ /* Inline/loop.scm 254 */
long BgL_offsetz00_3549;
{ /* Inline/loop.scm 254 */
long BgL_auxz00_5498;
{ /* Inline/loop.scm 254 */
int BgL_auxz00_5499;
BgL_auxz00_5499 = 
(int)(BgL_objzd2classzd2numz00_3544); 
BgL_auxz00_5498 = 
(long)(BgL_auxz00_5499); } 
BgL_offsetz00_3549 = 
(BgL_auxz00_5498-OBJECT_TYPE); } 
{ /* Inline/loop.scm 254 */
long BgL_modz00_3550;
{ /* Inline/loop.scm 254 */
long BgL_auxz00_5503;
{ /* Inline/loop.scm 254 */
int BgL_auxz00_5504;
BgL_auxz00_5504 = 
(int)(((long)8)); 
BgL_auxz00_5503 = 
(long)(BgL_auxz00_5504); } 
BgL_modz00_3550 = 
(BgL_offsetz00_3549/BgL_auxz00_5503); } 
{ /* Inline/loop.scm 254 */
long BgL_restz00_3552;
{ /* Inline/loop.scm 254 */
long BgL_auxz00_5508;
{ /* Inline/loop.scm 254 */
int BgL_auxz00_5509;
BgL_auxz00_5509 = 
(int)(((long)8)); 
BgL_auxz00_5508 = 
(long)(BgL_auxz00_5509); } 
BgL_restz00_3552 = 
(BgL_offsetz00_3549%BgL_auxz00_5508); } 
{ /* Inline/loop.scm 254 */

{ /* Inline/loop.scm 254 */
obj_t BgL_bucketz00_3554;
{ /* Inline/loop.scm 254 */
int BgL_kz00_3564;
BgL_kz00_3564 = 
(int)(BgL_modz00_3550); 
BgL_bucketz00_3554 = 
VECTOR_REF(BgL_arg1221z00_3545,BgL_kz00_3564); } 
{ /* Inline/loop.scm 254 */
int BgL_kz00_3566;
BgL_kz00_3566 = 
(int)(BgL_restz00_3552); 
BgL_method2867z00_3542 = 
VECTOR_REF(BgL_bucketz00_3554,BgL_kz00_3566); } } } } } } } } 
{ /* Inline/loop.scm 254 */
obj_t BgL_auxz00_5517;
BgL_auxz00_5517 = 
PROCEDURE_ENTRY(BgL_method2867z00_3542)(BgL_method2867z00_3542, 
(obj_t)(BgL_arg3043z00_2037), 
(obj_t)(BgL_localz00_3540), BgL_nesterz00_2032, BEOA); 
BgL_res3175z00_3567 = 
(BgL_nodez00_bglt)(BgL_auxz00_5517); } } } 
BgL_arg3042z00_2036 = BgL_res3175z00_3567; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_2030))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3042z00_2036), BUNSPEC); } 
BGl_nestzd2loopz12za2z62zzinline_loopz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2030))->BgL_argsz00), BgL_varz00_2031, BgL_nesterz00_2032); 
BgL_auxz00_5489 = BgL_nodez00_2030; 
return 
(obj_t)(BgL_auxz00_5489);} } } 
}



/* nest-loop!-app-ly2879 */
obj_t BGl_nestzd2loopz12zd2appzd2ly2879zc0zzinline_loopz00(obj_t BgL_envz00_4421, obj_t BgL_nodez00_4422, obj_t BgL_varz00_4423, obj_t BgL_nesterz00_4424)
{ AN_OBJECT;
{ /* Inline/loop.scm 243 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2018;obj_t BgL_varz00_2019;obj_t BgL_nesterz00_2020;
{ /* Inline/loop.scm 244 */
BgL_appzd2lyzd2_bglt BgL_auxz00_5528;
BgL_nodez00_2018 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4422); 
BgL_varz00_2019 = BgL_varz00_4423; 
BgL_nesterz00_2020 = BgL_nesterz00_4424; 
{ /* Inline/loop.scm 245 */
BgL_nodez00_bglt BgL_arg3037z00_2024;
{ /* Inline/loop.scm 245 */
BgL_nodez00_bglt BgL_arg3038z00_2025;
BgL_arg3038z00_2025 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2018))->BgL_funz00); 
{ /* Inline/loop.scm 245 */
BgL_nodez00_bglt BgL_res3169z00_3503;
{ /* Inline/loop.scm 245 */
BgL_localz00_bglt BgL_localz00_3476;
BgL_localz00_3476 = 
(BgL_localz00_bglt)(BgL_varz00_2019); 
{ /* Inline/loop.scm 245 */
obj_t BgL_method2867z00_3478;
{ /* Inline/loop.scm 245 */
long BgL_objzd2classzd2numz00_3480;
{ /* Inline/loop.scm 245 */
BgL_objectz00_bglt BgL_auxz00_5531;
BgL_auxz00_5531 = 
(BgL_objectz00_bglt)(BgL_arg3038z00_2025); 
BgL_objzd2classzd2numz00_3480 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5531); } 
{ /* Inline/loop.scm 245 */
obj_t BgL_arg1221z00_3481;
{ /* Inline/loop.scm 245 */
int BgL_auxz00_5534;
BgL_auxz00_5534 = 
(int)(((long)1)); 
BgL_arg1221z00_3481 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5534); } 
{ /* Inline/loop.scm 245 */
long BgL_offsetz00_3485;
{ /* Inline/loop.scm 245 */
long BgL_auxz00_5537;
{ /* Inline/loop.scm 245 */
int BgL_auxz00_5538;
BgL_auxz00_5538 = 
(int)(BgL_objzd2classzd2numz00_3480); 
BgL_auxz00_5537 = 
(long)(BgL_auxz00_5538); } 
BgL_offsetz00_3485 = 
(BgL_auxz00_5537-OBJECT_TYPE); } 
{ /* Inline/loop.scm 245 */
long BgL_modz00_3486;
{ /* Inline/loop.scm 245 */
long BgL_auxz00_5542;
{ /* Inline/loop.scm 245 */
int BgL_auxz00_5543;
BgL_auxz00_5543 = 
(int)(((long)8)); 
BgL_auxz00_5542 = 
(long)(BgL_auxz00_5543); } 
BgL_modz00_3486 = 
(BgL_offsetz00_3485/BgL_auxz00_5542); } 
{ /* Inline/loop.scm 245 */
long BgL_restz00_3488;
{ /* Inline/loop.scm 245 */
long BgL_auxz00_5547;
{ /* Inline/loop.scm 245 */
int BgL_auxz00_5548;
BgL_auxz00_5548 = 
(int)(((long)8)); 
BgL_auxz00_5547 = 
(long)(BgL_auxz00_5548); } 
BgL_restz00_3488 = 
(BgL_offsetz00_3485%BgL_auxz00_5547); } 
{ /* Inline/loop.scm 245 */

{ /* Inline/loop.scm 245 */
obj_t BgL_bucketz00_3490;
{ /* Inline/loop.scm 245 */
int BgL_kz00_3500;
BgL_kz00_3500 = 
(int)(BgL_modz00_3486); 
BgL_bucketz00_3490 = 
VECTOR_REF(BgL_arg1221z00_3481,BgL_kz00_3500); } 
{ /* Inline/loop.scm 245 */
int BgL_kz00_3502;
BgL_kz00_3502 = 
(int)(BgL_restz00_3488); 
BgL_method2867z00_3478 = 
VECTOR_REF(BgL_bucketz00_3490,BgL_kz00_3502); } } } } } } } } 
{ /* Inline/loop.scm 245 */
obj_t BgL_auxz00_5556;
BgL_auxz00_5556 = 
PROCEDURE_ENTRY(BgL_method2867z00_3478)(BgL_method2867z00_3478, 
(obj_t)(BgL_arg3038z00_2025), 
(obj_t)(BgL_localz00_3476), BgL_nesterz00_2020, BEOA); 
BgL_res3169z00_3503 = 
(BgL_nodez00_bglt)(BgL_auxz00_5556); } } } 
BgL_arg3037z00_2024 = BgL_res3169z00_3503; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2018))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3037z00_2024), BUNSPEC); } 
{ /* Inline/loop.scm 246 */
BgL_nodez00_bglt BgL_arg3039z00_2026;
{ /* Inline/loop.scm 246 */
BgL_nodez00_bglt BgL_arg3040z00_2027;
BgL_arg3040z00_2027 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2018))->BgL_argz00); 
{ /* Inline/loop.scm 246 */
BgL_nodez00_bglt BgL_res3172z00_3535;
{ /* Inline/loop.scm 246 */
BgL_localz00_bglt BgL_localz00_3508;
BgL_localz00_3508 = 
(BgL_localz00_bglt)(BgL_varz00_2019); 
{ /* Inline/loop.scm 246 */
obj_t BgL_method2867z00_3510;
{ /* Inline/loop.scm 246 */
long BgL_objzd2classzd2numz00_3512;
{ /* Inline/loop.scm 246 */
BgL_objectz00_bglt BgL_auxz00_5565;
BgL_auxz00_5565 = 
(BgL_objectz00_bglt)(BgL_arg3040z00_2027); 
BgL_objzd2classzd2numz00_3512 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5565); } 
{ /* Inline/loop.scm 246 */
obj_t BgL_arg1221z00_3513;
{ /* Inline/loop.scm 246 */
int BgL_auxz00_5568;
BgL_auxz00_5568 = 
(int)(((long)1)); 
BgL_arg1221z00_3513 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_5568); } 
{ /* Inline/loop.scm 246 */
long BgL_offsetz00_3517;
{ /* Inline/loop.scm 246 */
long BgL_auxz00_5571;
{ /* Inline/loop.scm 246 */
int BgL_auxz00_5572;
BgL_auxz00_5572 = 
(int)(BgL_objzd2classzd2numz00_3512); 
BgL_auxz00_5571 = 
(long)(BgL_auxz00_5572); } 
BgL_offsetz00_3517 = 
(BgL_auxz00_5571-OBJECT_TYPE); } 
{ /* Inline/loop.scm 246 */
long BgL_modz00_3518;
{ /* Inline/loop.scm 246 */
long BgL_auxz00_5576;
{ /* Inline/loop.scm 246 */
int BgL_auxz00_5577;
BgL_auxz00_5577 = 
(int)(((long)8)); 
BgL_auxz00_5576 = 
(long)(BgL_auxz00_5577); } 
BgL_modz00_3518 = 
(BgL_offsetz00_3517/BgL_auxz00_5576); } 
{ /* Inline/loop.scm 246 */
long BgL_restz00_3520;
{ /* Inline/loop.scm 246 */
long BgL_auxz00_5581;
{ /* Inline/loop.scm 246 */
int BgL_auxz00_5582;
BgL_auxz00_5582 = 
(int)(((long)8)); 
BgL_auxz00_5581 = 
(long)(BgL_auxz00_5582); } 
BgL_restz00_3520 = 
(BgL_offsetz00_3517%BgL_auxz00_5581); } 
{ /* Inline/loop.scm 246 */

{ /* Inline/loop.scm 246 */
obj_t BgL_bucketz00_3522;
{ /* Inline/loop.scm 246 */
int BgL_kz00_3532;
BgL_kz00_3532 = 
(int)(BgL_modz00_3518); 
BgL_bucketz00_3522 = 
VECTOR_REF(BgL_arg1221z00_3513,BgL_kz00_3532); } 
{ /* Inline/loop.scm 246 */
int BgL_kz00_3534;
BgL_kz00_3534 = 
(int)(BgL_restz00_3520); 
BgL_method2867z00_3510 = 
VECTOR_REF(BgL_bucketz00_3522,BgL_kz00_3534); } } } } } } } } 
{ /* Inline/loop.scm 246 */
obj_t BgL_auxz00_5590;
BgL_auxz00_5590 = 
PROCEDURE_ENTRY(BgL_method2867z00_3510)(BgL_method2867z00_3510, 
(obj_t)(BgL_arg3040z00_2027), 
(obj_t)(BgL_localz00_3508), BgL_nesterz00_2020, BEOA); 
BgL_res3172z00_3535 = 
(BgL_nodez00_bglt)(BgL_auxz00_5590); } } } 
BgL_arg3039z00_2026 = BgL_res3172z00_3535; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2018))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3039z00_2026), BUNSPEC); } 
BgL_auxz00_5528 = BgL_nodez00_2018; 
return 
(obj_t)(BgL_auxz00_5528);} } } 
}



/* nest-loop!-app2877 */
obj_t BGl_nestzd2loopz12zd2app2877z12zzinline_loopz00(obj_t BgL_envz00_4425, obj_t BgL_nodez00_4426, obj_t BgL_varz00_4427, obj_t BgL_nesterz00_4428)
{ AN_OBJECT;
{ /* Inline/loop.scm 233 */
{ 
BgL_appz00_bglt BgL_nodez00_2004;obj_t BgL_varz00_2005;obj_t BgL_nesterz00_2006;
BgL_nodez00_2004 = 
(BgL_appz00_bglt)(BgL_nodez00_4426); 
BgL_varz00_2005 = BgL_varz00_4427; 
BgL_nesterz00_2006 = BgL_nesterz00_4428; 
BGl_nestzd2loopz12za2z62zzinline_loopz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2004))->BgL_argsz00), BgL_varz00_2005, BgL_nesterz00_2006); 
{ /* Inline/loop.scm 236 */
bool_t BgL_test3031z00_2011;
{ /* Inline/loop.scm 236 */
bool_t BgL_test3032z00_2012;
{ /* Inline/loop.scm 236 */
obj_t BgL_auxz00_5601;
{ /* Inline/loop.scm 236 */
BgL_varz00_bglt BgL_auxz00_5602;
BgL_auxz00_5602 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2004))->BgL_funz00); 
BgL_auxz00_5601 = 
(obj_t)(BgL_auxz00_5602); } 
BgL_test3032z00_2012 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5601, BGl_varz00zzast_nodez00); } 
if(BgL_test3032z00_2012)
{ /* Inline/loop.scm 236 */
obj_t BgL_auxz00_5607;
{ /* Inline/loop.scm 236 */
BgL_variablez00_bglt BgL_auxz00_5608;
{ /* Inline/loop.scm 236 */
BgL_varz00_bglt BgL_arg3034z00_2014;
BgL_arg3034z00_2014 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2004))->BgL_funz00); 
BgL_auxz00_5608 = 
(((BgL_varz00_bglt)CREF(BgL_arg3034z00_2014))->BgL_variablez00); } 
BgL_auxz00_5607 = 
(obj_t)(BgL_auxz00_5608); } 
BgL_test3031z00_2011 = 
(BgL_auxz00_5607==BgL_varz00_2005); }  else 
{ /* Inline/loop.scm 236 */
BgL_test3031z00_2011 = ((bool_t)0); } } 
if(BgL_test3031z00_2011)
{ /* Inline/loop.scm 236 */
return 
PROCEDURE_ENTRY(BgL_nesterz00_2006)(BgL_nesterz00_2006, 
(obj_t)(BgL_nodez00_2004), BEOA);}  else 
{ /* Inline/loop.scm 236 */
return 
(obj_t)(BgL_nodez00_2004);} } } } 
}



/* nest-loop!-sequence2875 */
obj_t BGl_nestzd2loopz12zd2sequence2875z12zzinline_loopz00(obj_t BgL_envz00_4429, obj_t BgL_nodez00_4430, obj_t BgL_varz00_4431, obj_t BgL_nesterz00_4432)
{ AN_OBJECT;
{ /* Inline/loop.scm 225 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1995;obj_t BgL_varz00_1996;obj_t BgL_nesterz00_1997;
{ /* Inline/loop.scm 226 */
BgL_sequencez00_bglt BgL_auxz00_5619;
BgL_nodez00_1995 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4430); 
BgL_varz00_1996 = BgL_varz00_4431; 
BgL_nesterz00_1997 = BgL_nesterz00_4432; 
BGl_nestzd2loopz12za2z62zzinline_loopz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1995))->BgL_nodesz00), BgL_varz00_1996, BgL_nesterz00_1997); 
BgL_auxz00_5619 = BgL_nodez00_1995; 
return 
(obj_t)(BgL_auxz00_5619);} } } 
}



/* nest-loop!-var2873 */
obj_t BGl_nestzd2loopz12zd2var2873z12zzinline_loopz00(obj_t BgL_envz00_4433, obj_t BgL_nodez00_4434, obj_t BgL_varz00_4435, obj_t BgL_nesterz00_4436)
{ AN_OBJECT;
{ /* Inline/loop.scm 219 */
{ 
BgL_varz00_bglt BgL_nodez00_1988;obj_t BgL_varz00_1989;obj_t BgL_nesterz00_1990;
{ /* Inline/loop.scm 219 */
BgL_varz00_bglt BgL_auxz00_5624;
BgL_nodez00_1988 = 
(BgL_varz00_bglt)(BgL_nodez00_4434); 
BgL_varz00_1989 = BgL_varz00_4435; 
BgL_nesterz00_1990 = BgL_nesterz00_4436; 
BgL_auxz00_5624 = BgL_nodez00_1988; 
return 
(obj_t)(BgL_auxz00_5624);} } } 
}



/* nest-loop!-kwote2871 */
obj_t BGl_nestzd2loopz12zd2kwote2871z12zzinline_loopz00(obj_t BgL_envz00_4437, obj_t BgL_nodez00_4438, obj_t BgL_varz00_4439, obj_t BgL_nesterz00_4440)
{ AN_OBJECT;
{ /* Inline/loop.scm 213 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1981;obj_t BgL_varz00_1982;obj_t BgL_nesterz00_1983;
{ /* Inline/loop.scm 213 */
BgL_kwotez00_bglt BgL_auxz00_5627;
BgL_nodez00_1981 = 
(BgL_kwotez00_bglt)(BgL_nodez00_4438); 
BgL_varz00_1982 = BgL_varz00_4439; 
BgL_nesterz00_1983 = BgL_nesterz00_4440; 
BgL_auxz00_5627 = BgL_nodez00_1981; 
return 
(obj_t)(BgL_auxz00_5627);} } } 
}



/* nest-loop!-atom2869 */
obj_t BGl_nestzd2loopz12zd2atom2869z12zzinline_loopz00(obj_t BgL_envz00_4441, obj_t BgL_nodez00_4442, obj_t BgL_varz00_4443, obj_t BgL_nesterz00_4444)
{ AN_OBJECT;
{ /* Inline/loop.scm 207 */
{ 
BgL_atomz00_bglt BgL_nodez00_1974;obj_t BgL_varz00_1975;obj_t BgL_nesterz00_1976;
{ /* Inline/loop.scm 207 */
BgL_atomz00_bglt BgL_auxz00_5630;
BgL_nodez00_1974 = 
(BgL_atomz00_bglt)(BgL_nodez00_4442); 
BgL_varz00_1975 = BgL_varz00_4443; 
BgL_nesterz00_1976 = BgL_nesterz00_4444; 
BgL_auxz00_5630 = BgL_nodez00_1974; 
return 
(obj_t)(BgL_auxz00_5630);} } } 
}



/* find-let-fun?-box-set!2865 */
obj_t BGl_findzd2letzd2funzf3zd2boxzd2setz122865ze1zzinline_loopz00(obj_t BgL_envz00_4445, obj_t BgL_nodez00_4446)
{ AN_OBJECT;
{ /* Inline/loop.scm 182 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1965;
BgL_nodez00_1965 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4446); 
{ /* Inline/loop.scm 184 */
obj_t BgL__ortest_2795z00_1969;
{ /* Inline/loop.scm 184 */
BgL_nodez00_bglt BgL_nodez00_3413;
{ /* Inline/loop.scm 184 */
BgL_varz00_bglt BgL_auxz00_5633;
BgL_auxz00_5633 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1965))->BgL_varz00); 
BgL_nodez00_3413 = 
(BgL_nodez00_bglt)(BgL_auxz00_5633); } 
{ /* Inline/loop.scm 184 */
obj_t BgL_method2831z00_3414;
{ /* Inline/loop.scm 184 */
long BgL_objzd2classzd2numz00_3416;
{ /* Inline/loop.scm 184 */
BgL_objectz00_bglt BgL_auxz00_5636;
BgL_auxz00_5636 = 
(BgL_objectz00_bglt)(BgL_nodez00_3413); 
BgL_objzd2classzd2numz00_3416 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5636); } 
{ /* Inline/loop.scm 184 */
obj_t BgL_arg1221z00_3417;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5639;
BgL_auxz00_5639 = 
(int)(((long)1)); 
BgL_arg1221z00_3417 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5639); } 
{ /* Inline/loop.scm 184 */
long BgL_offsetz00_3421;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5642;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5643;
BgL_auxz00_5643 = 
(int)(BgL_objzd2classzd2numz00_3416); 
BgL_auxz00_5642 = 
(long)(BgL_auxz00_5643); } 
BgL_offsetz00_3421 = 
(BgL_auxz00_5642-OBJECT_TYPE); } 
{ /* Inline/loop.scm 184 */
long BgL_modz00_3422;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5647;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5648;
BgL_auxz00_5648 = 
(int)(((long)8)); 
BgL_auxz00_5647 = 
(long)(BgL_auxz00_5648); } 
BgL_modz00_3422 = 
(BgL_offsetz00_3421/BgL_auxz00_5647); } 
{ /* Inline/loop.scm 184 */
long BgL_restz00_3424;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5652;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5653;
BgL_auxz00_5653 = 
(int)(((long)8)); 
BgL_auxz00_5652 = 
(long)(BgL_auxz00_5653); } 
BgL_restz00_3424 = 
(BgL_offsetz00_3421%BgL_auxz00_5652); } 
{ /* Inline/loop.scm 184 */

{ /* Inline/loop.scm 184 */
obj_t BgL_bucketz00_3426;
{ /* Inline/loop.scm 184 */
int BgL_kz00_3436;
BgL_kz00_3436 = 
(int)(BgL_modz00_3422); 
BgL_bucketz00_3426 = 
VECTOR_REF(BgL_arg1221z00_3417,BgL_kz00_3436); } 
{ /* Inline/loop.scm 184 */
int BgL_kz00_3438;
BgL_kz00_3438 = 
(int)(BgL_restz00_3424); 
BgL_method2831z00_3414 = 
VECTOR_REF(BgL_bucketz00_3426,BgL_kz00_3438); } } } } } } } } 
BgL__ortest_2795z00_1969 = 
PROCEDURE_ENTRY(BgL_method2831z00_3414)(BgL_method2831z00_3414, 
(obj_t)(BgL_nodez00_3413), BEOA); } } 
if(
CBOOL(BgL__ortest_2795z00_1969))
{ /* Inline/loop.scm 184 */
return BgL__ortest_2795z00_1969;}  else 
{ /* Inline/loop.scm 184 */
BgL_nodez00_bglt BgL_arg3022z00_1970;
BgL_arg3022z00_1970 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1965))->BgL_valuez00); 
{ /* Inline/loop.scm 184 */
obj_t BgL_method2831z00_3441;
{ /* Inline/loop.scm 184 */
long BgL_objzd2classzd2numz00_3443;
{ /* Inline/loop.scm 184 */
BgL_objectz00_bglt BgL_auxz00_5667;
BgL_auxz00_5667 = 
(BgL_objectz00_bglt)(BgL_arg3022z00_1970); 
BgL_objzd2classzd2numz00_3443 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5667); } 
{ /* Inline/loop.scm 184 */
obj_t BgL_arg1221z00_3444;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5670;
BgL_auxz00_5670 = 
(int)(((long)1)); 
BgL_arg1221z00_3444 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5670); } 
{ /* Inline/loop.scm 184 */
long BgL_offsetz00_3448;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5673;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5674;
BgL_auxz00_5674 = 
(int)(BgL_objzd2classzd2numz00_3443); 
BgL_auxz00_5673 = 
(long)(BgL_auxz00_5674); } 
BgL_offsetz00_3448 = 
(BgL_auxz00_5673-OBJECT_TYPE); } 
{ /* Inline/loop.scm 184 */
long BgL_modz00_3449;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5678;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5679;
BgL_auxz00_5679 = 
(int)(((long)8)); 
BgL_auxz00_5678 = 
(long)(BgL_auxz00_5679); } 
BgL_modz00_3449 = 
(BgL_offsetz00_3448/BgL_auxz00_5678); } 
{ /* Inline/loop.scm 184 */
long BgL_restz00_3451;
{ /* Inline/loop.scm 184 */
long BgL_auxz00_5683;
{ /* Inline/loop.scm 184 */
int BgL_auxz00_5684;
BgL_auxz00_5684 = 
(int)(((long)8)); 
BgL_auxz00_5683 = 
(long)(BgL_auxz00_5684); } 
BgL_restz00_3451 = 
(BgL_offsetz00_3448%BgL_auxz00_5683); } 
{ /* Inline/loop.scm 184 */

{ /* Inline/loop.scm 184 */
obj_t BgL_bucketz00_3453;
{ /* Inline/loop.scm 184 */
int BgL_kz00_3463;
BgL_kz00_3463 = 
(int)(BgL_modz00_3449); 
BgL_bucketz00_3453 = 
VECTOR_REF(BgL_arg1221z00_3444,BgL_kz00_3463); } 
{ /* Inline/loop.scm 184 */
int BgL_kz00_3465;
BgL_kz00_3465 = 
(int)(BgL_restz00_3451); 
BgL_method2831z00_3441 = 
VECTOR_REF(BgL_bucketz00_3453,BgL_kz00_3465); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3441)(BgL_method2831z00_3441, 
(obj_t)(BgL_arg3022z00_1970), BEOA);} } } } } 
}



/* find-let-fun?-box-ref2863 */
obj_t BGl_findzd2letzd2funzf3zd2boxzd2ref2863zf3zzinline_loopz00(obj_t BgL_envz00_4447, obj_t BgL_nodez00_4448)
{ AN_OBJECT;
{ /* Inline/loop.scm 176 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1959;
BgL_nodez00_1959 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4448); 
{ /* Inline/loop.scm 177 */
BgL_nodez00_bglt BgL_nodez00_3386;
{ /* Inline/loop.scm 177 */
BgL_varz00_bglt BgL_auxz00_5696;
BgL_auxz00_5696 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1959))->BgL_varz00); 
BgL_nodez00_3386 = 
(BgL_nodez00_bglt)(BgL_auxz00_5696); } 
{ /* Inline/loop.scm 177 */
obj_t BgL_method2831z00_3387;
{ /* Inline/loop.scm 177 */
long BgL_objzd2classzd2numz00_3389;
{ /* Inline/loop.scm 177 */
BgL_objectz00_bglt BgL_auxz00_5699;
BgL_auxz00_5699 = 
(BgL_objectz00_bglt)(BgL_nodez00_3386); 
BgL_objzd2classzd2numz00_3389 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5699); } 
{ /* Inline/loop.scm 177 */
obj_t BgL_arg1221z00_3390;
{ /* Inline/loop.scm 177 */
int BgL_auxz00_5702;
BgL_auxz00_5702 = 
(int)(((long)1)); 
BgL_arg1221z00_3390 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5702); } 
{ /* Inline/loop.scm 177 */
long BgL_offsetz00_3394;
{ /* Inline/loop.scm 177 */
long BgL_auxz00_5705;
{ /* Inline/loop.scm 177 */
int BgL_auxz00_5706;
BgL_auxz00_5706 = 
(int)(BgL_objzd2classzd2numz00_3389); 
BgL_auxz00_5705 = 
(long)(BgL_auxz00_5706); } 
BgL_offsetz00_3394 = 
(BgL_auxz00_5705-OBJECT_TYPE); } 
{ /* Inline/loop.scm 177 */
long BgL_modz00_3395;
{ /* Inline/loop.scm 177 */
long BgL_auxz00_5710;
{ /* Inline/loop.scm 177 */
int BgL_auxz00_5711;
BgL_auxz00_5711 = 
(int)(((long)8)); 
BgL_auxz00_5710 = 
(long)(BgL_auxz00_5711); } 
BgL_modz00_3395 = 
(BgL_offsetz00_3394/BgL_auxz00_5710); } 
{ /* Inline/loop.scm 177 */
long BgL_restz00_3397;
{ /* Inline/loop.scm 177 */
long BgL_auxz00_5715;
{ /* Inline/loop.scm 177 */
int BgL_auxz00_5716;
BgL_auxz00_5716 = 
(int)(((long)8)); 
BgL_auxz00_5715 = 
(long)(BgL_auxz00_5716); } 
BgL_restz00_3397 = 
(BgL_offsetz00_3394%BgL_auxz00_5715); } 
{ /* Inline/loop.scm 177 */

{ /* Inline/loop.scm 177 */
obj_t BgL_bucketz00_3399;
{ /* Inline/loop.scm 177 */
int BgL_kz00_3409;
BgL_kz00_3409 = 
(int)(BgL_modz00_3395); 
BgL_bucketz00_3399 = 
VECTOR_REF(BgL_arg1221z00_3390,BgL_kz00_3409); } 
{ /* Inline/loop.scm 177 */
int BgL_kz00_3411;
BgL_kz00_3411 = 
(int)(BgL_restz00_3397); 
BgL_method2831z00_3387 = 
VECTOR_REF(BgL_bucketz00_3399,BgL_kz00_3411); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3387)(BgL_method2831z00_3387, 
(obj_t)(BgL_nodez00_3386), BEOA);} } } } 
}



/* find-let-fun?-make-box2861 */
obj_t BGl_findzd2letzd2funzf3zd2makezd2box2861zf3zzinline_loopz00(obj_t BgL_envz00_4449, obj_t BgL_nodez00_4450)
{ AN_OBJECT;
{ /* Inline/loop.scm 170 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1953;
BgL_nodez00_1953 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4450); 
{ /* Inline/loop.scm 171 */
BgL_nodez00_bglt BgL_arg3018z00_3356;
BgL_arg3018z00_3356 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1953))->BgL_valuez00); 
{ /* Inline/loop.scm 171 */
obj_t BgL_method2831z00_3359;
{ /* Inline/loop.scm 171 */
long BgL_objzd2classzd2numz00_3361;
{ /* Inline/loop.scm 171 */
BgL_objectz00_bglt BgL_auxz00_5729;
BgL_auxz00_5729 = 
(BgL_objectz00_bglt)(BgL_arg3018z00_3356); 
BgL_objzd2classzd2numz00_3361 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5729); } 
{ /* Inline/loop.scm 171 */
obj_t BgL_arg1221z00_3362;
{ /* Inline/loop.scm 171 */
int BgL_auxz00_5732;
BgL_auxz00_5732 = 
(int)(((long)1)); 
BgL_arg1221z00_3362 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5732); } 
{ /* Inline/loop.scm 171 */
long BgL_offsetz00_3366;
{ /* Inline/loop.scm 171 */
long BgL_auxz00_5735;
{ /* Inline/loop.scm 171 */
int BgL_auxz00_5736;
BgL_auxz00_5736 = 
(int)(BgL_objzd2classzd2numz00_3361); 
BgL_auxz00_5735 = 
(long)(BgL_auxz00_5736); } 
BgL_offsetz00_3366 = 
(BgL_auxz00_5735-OBJECT_TYPE); } 
{ /* Inline/loop.scm 171 */
long BgL_modz00_3367;
{ /* Inline/loop.scm 171 */
long BgL_auxz00_5740;
{ /* Inline/loop.scm 171 */
int BgL_auxz00_5741;
BgL_auxz00_5741 = 
(int)(((long)8)); 
BgL_auxz00_5740 = 
(long)(BgL_auxz00_5741); } 
BgL_modz00_3367 = 
(BgL_offsetz00_3366/BgL_auxz00_5740); } 
{ /* Inline/loop.scm 171 */
long BgL_restz00_3369;
{ /* Inline/loop.scm 171 */
long BgL_auxz00_5745;
{ /* Inline/loop.scm 171 */
int BgL_auxz00_5746;
BgL_auxz00_5746 = 
(int)(((long)8)); 
BgL_auxz00_5745 = 
(long)(BgL_auxz00_5746); } 
BgL_restz00_3369 = 
(BgL_offsetz00_3366%BgL_auxz00_5745); } 
{ /* Inline/loop.scm 171 */

{ /* Inline/loop.scm 171 */
obj_t BgL_bucketz00_3371;
{ /* Inline/loop.scm 171 */
int BgL_kz00_3381;
BgL_kz00_3381 = 
(int)(BgL_modz00_3367); 
BgL_bucketz00_3371 = 
VECTOR_REF(BgL_arg1221z00_3362,BgL_kz00_3381); } 
{ /* Inline/loop.scm 171 */
int BgL_kz00_3383;
BgL_kz00_3383 = 
(int)(BgL_restz00_3369); 
BgL_method2831z00_3359 = 
VECTOR_REF(BgL_bucketz00_3371,BgL_kz00_3383); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3359)(BgL_method2831z00_3359, 
(obj_t)(BgL_arg3018z00_3356), BEOA);} } } } 
}



/* find-let-fun?-jump-ex-it2859 */
obj_t BGl_findzd2letzd2funzf3zd2jumpzd2exzd2it2859z21zzinline_loopz00(obj_t BgL_envz00_4451, obj_t BgL_nodez00_4452)
{ AN_OBJECT;
{ /* Inline/loop.scm 163 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1944;
BgL_nodez00_1944 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4452); 
{ /* Inline/loop.scm 165 */
obj_t BgL__ortest_2792z00_1948;
{ /* Inline/loop.scm 165 */
BgL_nodez00_bglt BgL_arg3016z00_1950;
BgL_arg3016z00_1950 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1944))->BgL_exitz00); 
{ /* Inline/loop.scm 165 */
obj_t BgL_method2831z00_3304;
{ /* Inline/loop.scm 165 */
long BgL_objzd2classzd2numz00_3306;
{ /* Inline/loop.scm 165 */
BgL_objectz00_bglt BgL_auxz00_5759;
BgL_auxz00_5759 = 
(BgL_objectz00_bglt)(BgL_arg3016z00_1950); 
BgL_objzd2classzd2numz00_3306 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5759); } 
{ /* Inline/loop.scm 165 */
obj_t BgL_arg1221z00_3307;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5762;
BgL_auxz00_5762 = 
(int)(((long)1)); 
BgL_arg1221z00_3307 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5762); } 
{ /* Inline/loop.scm 165 */
long BgL_offsetz00_3311;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5765;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5766;
BgL_auxz00_5766 = 
(int)(BgL_objzd2classzd2numz00_3306); 
BgL_auxz00_5765 = 
(long)(BgL_auxz00_5766); } 
BgL_offsetz00_3311 = 
(BgL_auxz00_5765-OBJECT_TYPE); } 
{ /* Inline/loop.scm 165 */
long BgL_modz00_3312;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5770;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5771;
BgL_auxz00_5771 = 
(int)(((long)8)); 
BgL_auxz00_5770 = 
(long)(BgL_auxz00_5771); } 
BgL_modz00_3312 = 
(BgL_offsetz00_3311/BgL_auxz00_5770); } 
{ /* Inline/loop.scm 165 */
long BgL_restz00_3314;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5775;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5776;
BgL_auxz00_5776 = 
(int)(((long)8)); 
BgL_auxz00_5775 = 
(long)(BgL_auxz00_5776); } 
BgL_restz00_3314 = 
(BgL_offsetz00_3311%BgL_auxz00_5775); } 
{ /* Inline/loop.scm 165 */

{ /* Inline/loop.scm 165 */
obj_t BgL_bucketz00_3316;
{ /* Inline/loop.scm 165 */
int BgL_kz00_3326;
BgL_kz00_3326 = 
(int)(BgL_modz00_3312); 
BgL_bucketz00_3316 = 
VECTOR_REF(BgL_arg1221z00_3307,BgL_kz00_3326); } 
{ /* Inline/loop.scm 165 */
int BgL_kz00_3328;
BgL_kz00_3328 = 
(int)(BgL_restz00_3314); 
BgL_method2831z00_3304 = 
VECTOR_REF(BgL_bucketz00_3316,BgL_kz00_3328); } } } } } } } } 
BgL__ortest_2792z00_1948 = 
PROCEDURE_ENTRY(BgL_method2831z00_3304)(BgL_method2831z00_3304, 
(obj_t)(BgL_arg3016z00_1950), BEOA); } } 
if(
CBOOL(BgL__ortest_2792z00_1948))
{ /* Inline/loop.scm 165 */
return BgL__ortest_2792z00_1948;}  else 
{ /* Inline/loop.scm 165 */
BgL_nodez00_bglt BgL_arg3015z00_1949;
BgL_arg3015z00_1949 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1944))->BgL_valuez00); 
{ /* Inline/loop.scm 165 */
obj_t BgL_method2831z00_3331;
{ /* Inline/loop.scm 165 */
long BgL_objzd2classzd2numz00_3333;
{ /* Inline/loop.scm 165 */
BgL_objectz00_bglt BgL_auxz00_5790;
BgL_auxz00_5790 = 
(BgL_objectz00_bglt)(BgL_arg3015z00_1949); 
BgL_objzd2classzd2numz00_3333 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5790); } 
{ /* Inline/loop.scm 165 */
obj_t BgL_arg1221z00_3334;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5793;
BgL_auxz00_5793 = 
(int)(((long)1)); 
BgL_arg1221z00_3334 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5793); } 
{ /* Inline/loop.scm 165 */
long BgL_offsetz00_3338;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5796;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5797;
BgL_auxz00_5797 = 
(int)(BgL_objzd2classzd2numz00_3333); 
BgL_auxz00_5796 = 
(long)(BgL_auxz00_5797); } 
BgL_offsetz00_3338 = 
(BgL_auxz00_5796-OBJECT_TYPE); } 
{ /* Inline/loop.scm 165 */
long BgL_modz00_3339;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5801;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5802;
BgL_auxz00_5802 = 
(int)(((long)8)); 
BgL_auxz00_5801 = 
(long)(BgL_auxz00_5802); } 
BgL_modz00_3339 = 
(BgL_offsetz00_3338/BgL_auxz00_5801); } 
{ /* Inline/loop.scm 165 */
long BgL_restz00_3341;
{ /* Inline/loop.scm 165 */
long BgL_auxz00_5806;
{ /* Inline/loop.scm 165 */
int BgL_auxz00_5807;
BgL_auxz00_5807 = 
(int)(((long)8)); 
BgL_auxz00_5806 = 
(long)(BgL_auxz00_5807); } 
BgL_restz00_3341 = 
(BgL_offsetz00_3338%BgL_auxz00_5806); } 
{ /* Inline/loop.scm 165 */

{ /* Inline/loop.scm 165 */
obj_t BgL_bucketz00_3343;
{ /* Inline/loop.scm 165 */
int BgL_kz00_3353;
BgL_kz00_3353 = 
(int)(BgL_modz00_3339); 
BgL_bucketz00_3343 = 
VECTOR_REF(BgL_arg1221z00_3334,BgL_kz00_3353); } 
{ /* Inline/loop.scm 165 */
int BgL_kz00_3355;
BgL_kz00_3355 = 
(int)(BgL_restz00_3341); 
BgL_method2831z00_3331 = 
VECTOR_REF(BgL_bucketz00_3343,BgL_kz00_3355); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3331)(BgL_method2831z00_3331, 
(obj_t)(BgL_arg3015z00_1949), BEOA);} } } } } 
}



/* find-let-fun?-set-ex-it2857 */
obj_t BGl_findzd2letzd2funzf3zd2setzd2exzd2it2857z21zzinline_loopz00(obj_t BgL_envz00_4453, obj_t BgL_nodez00_4454)
{ AN_OBJECT;
{ /* Inline/loop.scm 157 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1938;
BgL_nodez00_1938 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4454); 
{ /* Inline/loop.scm 158 */
BgL_nodez00_bglt BgL_arg3013z00_3274;
BgL_arg3013z00_3274 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1938))->BgL_bodyz00); 
{ /* Inline/loop.scm 158 */
obj_t BgL_method2831z00_3277;
{ /* Inline/loop.scm 158 */
long BgL_objzd2classzd2numz00_3279;
{ /* Inline/loop.scm 158 */
BgL_objectz00_bglt BgL_auxz00_5820;
BgL_auxz00_5820 = 
(BgL_objectz00_bglt)(BgL_arg3013z00_3274); 
BgL_objzd2classzd2numz00_3279 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5820); } 
{ /* Inline/loop.scm 158 */
obj_t BgL_arg1221z00_3280;
{ /* Inline/loop.scm 158 */
int BgL_auxz00_5823;
BgL_auxz00_5823 = 
(int)(((long)1)); 
BgL_arg1221z00_3280 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5823); } 
{ /* Inline/loop.scm 158 */
long BgL_offsetz00_3284;
{ /* Inline/loop.scm 158 */
long BgL_auxz00_5826;
{ /* Inline/loop.scm 158 */
int BgL_auxz00_5827;
BgL_auxz00_5827 = 
(int)(BgL_objzd2classzd2numz00_3279); 
BgL_auxz00_5826 = 
(long)(BgL_auxz00_5827); } 
BgL_offsetz00_3284 = 
(BgL_auxz00_5826-OBJECT_TYPE); } 
{ /* Inline/loop.scm 158 */
long BgL_modz00_3285;
{ /* Inline/loop.scm 158 */
long BgL_auxz00_5831;
{ /* Inline/loop.scm 158 */
int BgL_auxz00_5832;
BgL_auxz00_5832 = 
(int)(((long)8)); 
BgL_auxz00_5831 = 
(long)(BgL_auxz00_5832); } 
BgL_modz00_3285 = 
(BgL_offsetz00_3284/BgL_auxz00_5831); } 
{ /* Inline/loop.scm 158 */
long BgL_restz00_3287;
{ /* Inline/loop.scm 158 */
long BgL_auxz00_5836;
{ /* Inline/loop.scm 158 */
int BgL_auxz00_5837;
BgL_auxz00_5837 = 
(int)(((long)8)); 
BgL_auxz00_5836 = 
(long)(BgL_auxz00_5837); } 
BgL_restz00_3287 = 
(BgL_offsetz00_3284%BgL_auxz00_5836); } 
{ /* Inline/loop.scm 158 */

{ /* Inline/loop.scm 158 */
obj_t BgL_bucketz00_3289;
{ /* Inline/loop.scm 158 */
int BgL_kz00_3299;
BgL_kz00_3299 = 
(int)(BgL_modz00_3285); 
BgL_bucketz00_3289 = 
VECTOR_REF(BgL_arg1221z00_3280,BgL_kz00_3299); } 
{ /* Inline/loop.scm 158 */
int BgL_kz00_3301;
BgL_kz00_3301 = 
(int)(BgL_restz00_3287); 
BgL_method2831z00_3277 = 
VECTOR_REF(BgL_bucketz00_3289,BgL_kz00_3301); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3277)(BgL_method2831z00_3277, 
(obj_t)(BgL_arg3013z00_3274), BEOA);} } } } 
}



/* find-let-fun?-let-var2855 */
obj_t BGl_findzd2letzd2funzf3zd2letzd2var2855zf3zzinline_loopz00(obj_t BgL_envz00_4455, obj_t BgL_nodez00_4456)
{ AN_OBJECT;
{ /* Inline/loop.scm 144 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1924;
BgL_nodez00_1924 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4456); 
{ 
obj_t BgL_bindingsz00_1927;
BgL_bindingsz00_1927 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1924))->BgL_bindingsz00); 
BgL_loopz00_1928:
if(
NULLP(BgL_bindingsz00_1927))
{ /* Inline/loop.scm 147 */
{ /* Inline/loop.scm 148 */
BgL_nodez00_bglt BgL_arg3007z00_1931;
BgL_arg3007z00_1931 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1924))->BgL_bodyz00); 
{ /* Inline/loop.scm 148 */
obj_t BgL_method2831z00_3220;
{ /* Inline/loop.scm 148 */
long BgL_objzd2classzd2numz00_3222;
{ /* Inline/loop.scm 148 */
BgL_objectz00_bglt BgL_auxz00_5852;
BgL_auxz00_5852 = 
(BgL_objectz00_bglt)(BgL_arg3007z00_1931); 
BgL_objzd2classzd2numz00_3222 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5852); } 
{ /* Inline/loop.scm 148 */
obj_t BgL_arg1221z00_3223;
{ /* Inline/loop.scm 148 */
int BgL_auxz00_5855;
BgL_auxz00_5855 = 
(int)(((long)1)); 
BgL_arg1221z00_3223 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5855); } 
{ /* Inline/loop.scm 148 */
long BgL_offsetz00_3227;
{ /* Inline/loop.scm 148 */
long BgL_auxz00_5858;
{ /* Inline/loop.scm 148 */
int BgL_auxz00_5859;
BgL_auxz00_5859 = 
(int)(BgL_objzd2classzd2numz00_3222); 
BgL_auxz00_5858 = 
(long)(BgL_auxz00_5859); } 
BgL_offsetz00_3227 = 
(BgL_auxz00_5858-OBJECT_TYPE); } 
{ /* Inline/loop.scm 148 */
long BgL_modz00_3228;
{ /* Inline/loop.scm 148 */
long BgL_auxz00_5863;
{ /* Inline/loop.scm 148 */
int BgL_auxz00_5864;
BgL_auxz00_5864 = 
(int)(((long)8)); 
BgL_auxz00_5863 = 
(long)(BgL_auxz00_5864); } 
BgL_modz00_3228 = 
(BgL_offsetz00_3227/BgL_auxz00_5863); } 
{ /* Inline/loop.scm 148 */
long BgL_restz00_3230;
{ /* Inline/loop.scm 148 */
long BgL_auxz00_5868;
{ /* Inline/loop.scm 148 */
int BgL_auxz00_5869;
BgL_auxz00_5869 = 
(int)(((long)8)); 
BgL_auxz00_5868 = 
(long)(BgL_auxz00_5869); } 
BgL_restz00_3230 = 
(BgL_offsetz00_3227%BgL_auxz00_5868); } 
{ /* Inline/loop.scm 148 */

{ /* Inline/loop.scm 148 */
obj_t BgL_bucketz00_3232;
{ /* Inline/loop.scm 148 */
int BgL_kz00_3242;
BgL_kz00_3242 = 
(int)(BgL_modz00_3228); 
BgL_bucketz00_3232 = 
VECTOR_REF(BgL_arg1221z00_3223,BgL_kz00_3242); } 
{ /* Inline/loop.scm 148 */
int BgL_kz00_3244;
BgL_kz00_3244 = 
(int)(BgL_restz00_3230); 
BgL_method2831z00_3220 = 
VECTOR_REF(BgL_bucketz00_3232,BgL_kz00_3244); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3220)(BgL_method2831z00_3220, 
(obj_t)(BgL_arg3007z00_1931), BEOA);} } }  else 
{ /* Inline/loop.scm 149 */
bool_t BgL_test3008z00_1932;
{ /* Inline/loop.scm 149 */
BgL_nodez00_bglt BgL_nodez00_3247;
{ /* Inline/loop.scm 149 */
obj_t BgL_auxz00_5880;
{ /* Inline/loop.scm 149 */
obj_t BgL_auxz00_5881;
BgL_auxz00_5881 = 
CAR(BgL_bindingsz00_1927); 
BgL_auxz00_5880 = 
CDR(BgL_auxz00_5881); } 
BgL_nodez00_3247 = 
(BgL_nodez00_bglt)(BgL_auxz00_5880); } 
{ /* Inline/loop.scm 149 */
obj_t BgL_method2831z00_3248;
{ /* Inline/loop.scm 149 */
long BgL_objzd2classzd2numz00_3250;
{ /* Inline/loop.scm 149 */
BgL_objectz00_bglt BgL_auxz00_5885;
BgL_auxz00_5885 = 
(BgL_objectz00_bglt)(BgL_nodez00_3247); 
BgL_objzd2classzd2numz00_3250 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5885); } 
{ /* Inline/loop.scm 149 */
obj_t BgL_arg1221z00_3251;
{ /* Inline/loop.scm 149 */
int BgL_auxz00_5888;
BgL_auxz00_5888 = 
(int)(((long)1)); 
BgL_arg1221z00_3251 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5888); } 
{ /* Inline/loop.scm 149 */
long BgL_offsetz00_3255;
{ /* Inline/loop.scm 149 */
long BgL_auxz00_5891;
{ /* Inline/loop.scm 149 */
int BgL_auxz00_5892;
BgL_auxz00_5892 = 
(int)(BgL_objzd2classzd2numz00_3250); 
BgL_auxz00_5891 = 
(long)(BgL_auxz00_5892); } 
BgL_offsetz00_3255 = 
(BgL_auxz00_5891-OBJECT_TYPE); } 
{ /* Inline/loop.scm 149 */
long BgL_modz00_3256;
{ /* Inline/loop.scm 149 */
long BgL_auxz00_5896;
{ /* Inline/loop.scm 149 */
int BgL_auxz00_5897;
BgL_auxz00_5897 = 
(int)(((long)8)); 
BgL_auxz00_5896 = 
(long)(BgL_auxz00_5897); } 
BgL_modz00_3256 = 
(BgL_offsetz00_3255/BgL_auxz00_5896); } 
{ /* Inline/loop.scm 149 */
long BgL_restz00_3258;
{ /* Inline/loop.scm 149 */
long BgL_auxz00_5901;
{ /* Inline/loop.scm 149 */
int BgL_auxz00_5902;
BgL_auxz00_5902 = 
(int)(((long)8)); 
BgL_auxz00_5901 = 
(long)(BgL_auxz00_5902); } 
BgL_restz00_3258 = 
(BgL_offsetz00_3255%BgL_auxz00_5901); } 
{ /* Inline/loop.scm 149 */

{ /* Inline/loop.scm 149 */
obj_t BgL_bucketz00_3260;
{ /* Inline/loop.scm 149 */
int BgL_kz00_3270;
BgL_kz00_3270 = 
(int)(BgL_modz00_3256); 
BgL_bucketz00_3260 = 
VECTOR_REF(BgL_arg1221z00_3251,BgL_kz00_3270); } 
{ /* Inline/loop.scm 149 */
int BgL_kz00_3272;
BgL_kz00_3272 = 
(int)(BgL_restz00_3258); 
BgL_method2831z00_3248 = 
VECTOR_REF(BgL_bucketz00_3260,BgL_kz00_3272); } } } } } } } } 
{ /* Inline/loop.scm 149 */
obj_t BgL_auxz00_5910;
BgL_auxz00_5910 = 
PROCEDURE_ENTRY(BgL_method2831z00_3248)(BgL_method2831z00_3248, 
(obj_t)(BgL_nodez00_3247), BEOA); 
BgL_test3008z00_1932 = 
CBOOL(BgL_auxz00_5910); } } } 
if(BgL_test3008z00_1932)
{ /* Inline/loop.scm 149 */
return BTRUE;}  else 
{ /* Inline/loop.scm 149 */
{ 
obj_t BgL_bindingsz00_5916;
BgL_bindingsz00_5916 = 
CDR(BgL_bindingsz00_1927); 
BgL_bindingsz00_1927 = BgL_bindingsz00_5916; 
goto BgL_loopz00_1928;} } } } } } 
}



/* find-let-fun?-let-fun2853 */
obj_t BGl_findzd2letzd2funzf3zd2letzd2fun2853zf3zzinline_loopz00(obj_t BgL_envz00_4457, obj_t BgL_nodez00_4458)
{ AN_OBJECT;
{ /* Inline/loop.scm 138 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1919;
{ /* Inline/loop.scm 138 */
bool_t BgL_auxz00_5920;
BgL_nodez00_1919 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4458); 
BgL_auxz00_5920 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_5920);} } } 
}



/* find-let-fun?-select2851 */
obj_t BGl_findzd2letzd2funzf3zd2select2851z21zzinline_loopz00(obj_t BgL_envz00_4459, obj_t BgL_nodez00_4460)
{ AN_OBJECT;
{ /* Inline/loop.scm 125 */
{ 
BgL_selectz00_bglt BgL_nodez00_1905;
BgL_nodez00_1905 = 
(BgL_selectz00_bglt)(BgL_nodez00_4460); 
{ 
obj_t BgL_clausesz00_1908;
BgL_clausesz00_1908 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1905))->BgL_clausesz00); 
BgL_loopz00_1909:
if(
NULLP(BgL_clausesz00_1908))
{ /* Inline/loop.scm 128 */
{ /* Inline/loop.scm 129 */
BgL_nodez00_bglt BgL_arg2998z00_1912;
BgL_arg2998z00_1912 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1905))->BgL_testz00); 
{ /* Inline/loop.scm 129 */
obj_t BgL_method2831z00_3162;
{ /* Inline/loop.scm 129 */
long BgL_objzd2classzd2numz00_3164;
{ /* Inline/loop.scm 129 */
BgL_objectz00_bglt BgL_auxz00_5926;
BgL_auxz00_5926 = 
(BgL_objectz00_bglt)(BgL_arg2998z00_1912); 
BgL_objzd2classzd2numz00_3164 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5926); } 
{ /* Inline/loop.scm 129 */
obj_t BgL_arg1221z00_3165;
{ /* Inline/loop.scm 129 */
int BgL_auxz00_5929;
BgL_auxz00_5929 = 
(int)(((long)1)); 
BgL_arg1221z00_3165 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5929); } 
{ /* Inline/loop.scm 129 */
long BgL_offsetz00_3169;
{ /* Inline/loop.scm 129 */
long BgL_auxz00_5932;
{ /* Inline/loop.scm 129 */
int BgL_auxz00_5933;
BgL_auxz00_5933 = 
(int)(BgL_objzd2classzd2numz00_3164); 
BgL_auxz00_5932 = 
(long)(BgL_auxz00_5933); } 
BgL_offsetz00_3169 = 
(BgL_auxz00_5932-OBJECT_TYPE); } 
{ /* Inline/loop.scm 129 */
long BgL_modz00_3170;
{ /* Inline/loop.scm 129 */
long BgL_auxz00_5937;
{ /* Inline/loop.scm 129 */
int BgL_auxz00_5938;
BgL_auxz00_5938 = 
(int)(((long)8)); 
BgL_auxz00_5937 = 
(long)(BgL_auxz00_5938); } 
BgL_modz00_3170 = 
(BgL_offsetz00_3169/BgL_auxz00_5937); } 
{ /* Inline/loop.scm 129 */
long BgL_restz00_3172;
{ /* Inline/loop.scm 129 */
long BgL_auxz00_5942;
{ /* Inline/loop.scm 129 */
int BgL_auxz00_5943;
BgL_auxz00_5943 = 
(int)(((long)8)); 
BgL_auxz00_5942 = 
(long)(BgL_auxz00_5943); } 
BgL_restz00_3172 = 
(BgL_offsetz00_3169%BgL_auxz00_5942); } 
{ /* Inline/loop.scm 129 */

{ /* Inline/loop.scm 129 */
obj_t BgL_bucketz00_3174;
{ /* Inline/loop.scm 129 */
int BgL_kz00_3184;
BgL_kz00_3184 = 
(int)(BgL_modz00_3170); 
BgL_bucketz00_3174 = 
VECTOR_REF(BgL_arg1221z00_3165,BgL_kz00_3184); } 
{ /* Inline/loop.scm 129 */
int BgL_kz00_3186;
BgL_kz00_3186 = 
(int)(BgL_restz00_3172); 
BgL_method2831z00_3162 = 
VECTOR_REF(BgL_bucketz00_3174,BgL_kz00_3186); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3162)(BgL_method2831z00_3162, 
(obj_t)(BgL_arg2998z00_1912), BEOA);} } }  else 
{ /* Inline/loop.scm 130 */
bool_t BgL_test2999z00_1913;
{ /* Inline/loop.scm 130 */
BgL_nodez00_bglt BgL_nodez00_3189;
{ /* Inline/loop.scm 130 */
obj_t BgL_auxz00_5954;
{ /* Inline/loop.scm 130 */
obj_t BgL_auxz00_5955;
BgL_auxz00_5955 = 
CAR(BgL_clausesz00_1908); 
BgL_auxz00_5954 = 
CDR(BgL_auxz00_5955); } 
BgL_nodez00_3189 = 
(BgL_nodez00_bglt)(BgL_auxz00_5954); } 
{ /* Inline/loop.scm 130 */
obj_t BgL_method2831z00_3190;
{ /* Inline/loop.scm 130 */
long BgL_objzd2classzd2numz00_3192;
{ /* Inline/loop.scm 130 */
BgL_objectz00_bglt BgL_auxz00_5959;
BgL_auxz00_5959 = 
(BgL_objectz00_bglt)(BgL_nodez00_3189); 
BgL_objzd2classzd2numz00_3192 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5959); } 
{ /* Inline/loop.scm 130 */
obj_t BgL_arg1221z00_3193;
{ /* Inline/loop.scm 130 */
int BgL_auxz00_5962;
BgL_auxz00_5962 = 
(int)(((long)1)); 
BgL_arg1221z00_3193 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5962); } 
{ /* Inline/loop.scm 130 */
long BgL_offsetz00_3197;
{ /* Inline/loop.scm 130 */
long BgL_auxz00_5965;
{ /* Inline/loop.scm 130 */
int BgL_auxz00_5966;
BgL_auxz00_5966 = 
(int)(BgL_objzd2classzd2numz00_3192); 
BgL_auxz00_5965 = 
(long)(BgL_auxz00_5966); } 
BgL_offsetz00_3197 = 
(BgL_auxz00_5965-OBJECT_TYPE); } 
{ /* Inline/loop.scm 130 */
long BgL_modz00_3198;
{ /* Inline/loop.scm 130 */
long BgL_auxz00_5970;
{ /* Inline/loop.scm 130 */
int BgL_auxz00_5971;
BgL_auxz00_5971 = 
(int)(((long)8)); 
BgL_auxz00_5970 = 
(long)(BgL_auxz00_5971); } 
BgL_modz00_3198 = 
(BgL_offsetz00_3197/BgL_auxz00_5970); } 
{ /* Inline/loop.scm 130 */
long BgL_restz00_3200;
{ /* Inline/loop.scm 130 */
long BgL_auxz00_5975;
{ /* Inline/loop.scm 130 */
int BgL_auxz00_5976;
BgL_auxz00_5976 = 
(int)(((long)8)); 
BgL_auxz00_5975 = 
(long)(BgL_auxz00_5976); } 
BgL_restz00_3200 = 
(BgL_offsetz00_3197%BgL_auxz00_5975); } 
{ /* Inline/loop.scm 130 */

{ /* Inline/loop.scm 130 */
obj_t BgL_bucketz00_3202;
{ /* Inline/loop.scm 130 */
int BgL_kz00_3212;
BgL_kz00_3212 = 
(int)(BgL_modz00_3198); 
BgL_bucketz00_3202 = 
VECTOR_REF(BgL_arg1221z00_3193,BgL_kz00_3212); } 
{ /* Inline/loop.scm 130 */
int BgL_kz00_3214;
BgL_kz00_3214 = 
(int)(BgL_restz00_3200); 
BgL_method2831z00_3190 = 
VECTOR_REF(BgL_bucketz00_3202,BgL_kz00_3214); } } } } } } } } 
{ /* Inline/loop.scm 130 */
obj_t BgL_auxz00_5984;
BgL_auxz00_5984 = 
PROCEDURE_ENTRY(BgL_method2831z00_3190)(BgL_method2831z00_3190, 
(obj_t)(BgL_nodez00_3189), BEOA); 
BgL_test2999z00_1913 = 
CBOOL(BgL_auxz00_5984); } } } 
if(BgL_test2999z00_1913)
{ /* Inline/loop.scm 130 */
return BTRUE;}  else 
{ /* Inline/loop.scm 130 */
{ 
obj_t BgL_clausesz00_5990;
BgL_clausesz00_5990 = 
CDR(BgL_clausesz00_1908); 
BgL_clausesz00_1908 = BgL_clausesz00_5990; 
goto BgL_loopz00_1909;} } } } } } 
}



/* find-let-fun?-fail2849 */
obj_t BGl_findzd2letzd2funzf3zd2fail2849z21zzinline_loopz00(obj_t BgL_envz00_4461, obj_t BgL_nodez00_4462)
{ AN_OBJECT;
{ /* Inline/loop.scm 116 */
{ 
BgL_failz00_bglt BgL_nodez00_1894;
BgL_nodez00_1894 = 
(BgL_failz00_bglt)(BgL_nodez00_4462); 
{ /* Inline/loop.scm 118 */
obj_t BgL__ortest_2788z00_1898;
{ /* Inline/loop.scm 118 */
BgL_nodez00_bglt BgL_arg2994z00_1902;
BgL_arg2994z00_1902 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1894))->BgL_procz00); 
{ /* Inline/loop.scm 118 */
obj_t BgL_method2831z00_3079;
{ /* Inline/loop.scm 118 */
long BgL_objzd2classzd2numz00_3081;
{ /* Inline/loop.scm 118 */
BgL_objectz00_bglt BgL_auxz00_5995;
BgL_auxz00_5995 = 
(BgL_objectz00_bglt)(BgL_arg2994z00_1902); 
BgL_objzd2classzd2numz00_3081 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5995); } 
{ /* Inline/loop.scm 118 */
obj_t BgL_arg1221z00_3082;
{ /* Inline/loop.scm 118 */
int BgL_auxz00_5998;
BgL_auxz00_5998 = 
(int)(((long)1)); 
BgL_arg1221z00_3082 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_5998); } 
{ /* Inline/loop.scm 118 */
long BgL_offsetz00_3086;
{ /* Inline/loop.scm 118 */
long BgL_auxz00_6001;
{ /* Inline/loop.scm 118 */
int BgL_auxz00_6002;
BgL_auxz00_6002 = 
(int)(BgL_objzd2classzd2numz00_3081); 
BgL_auxz00_6001 = 
(long)(BgL_auxz00_6002); } 
BgL_offsetz00_3086 = 
(BgL_auxz00_6001-OBJECT_TYPE); } 
{ /* Inline/loop.scm 118 */
long BgL_modz00_3087;
{ /* Inline/loop.scm 118 */
long BgL_auxz00_6006;
{ /* Inline/loop.scm 118 */
int BgL_auxz00_6007;
BgL_auxz00_6007 = 
(int)(((long)8)); 
BgL_auxz00_6006 = 
(long)(BgL_auxz00_6007); } 
BgL_modz00_3087 = 
(BgL_offsetz00_3086/BgL_auxz00_6006); } 
{ /* Inline/loop.scm 118 */
long BgL_restz00_3089;
{ /* Inline/loop.scm 118 */
long BgL_auxz00_6011;
{ /* Inline/loop.scm 118 */
int BgL_auxz00_6012;
BgL_auxz00_6012 = 
(int)(((long)8)); 
BgL_auxz00_6011 = 
(long)(BgL_auxz00_6012); } 
BgL_restz00_3089 = 
(BgL_offsetz00_3086%BgL_auxz00_6011); } 
{ /* Inline/loop.scm 118 */

{ /* Inline/loop.scm 118 */
obj_t BgL_bucketz00_3091;
{ /* Inline/loop.scm 118 */
int BgL_kz00_3101;
BgL_kz00_3101 = 
(int)(BgL_modz00_3087); 
BgL_bucketz00_3091 = 
VECTOR_REF(BgL_arg1221z00_3082,BgL_kz00_3101); } 
{ /* Inline/loop.scm 118 */
int BgL_kz00_3103;
BgL_kz00_3103 = 
(int)(BgL_restz00_3089); 
BgL_method2831z00_3079 = 
VECTOR_REF(BgL_bucketz00_3091,BgL_kz00_3103); } } } } } } } } 
BgL__ortest_2788z00_1898 = 
PROCEDURE_ENTRY(BgL_method2831z00_3079)(BgL_method2831z00_3079, 
(obj_t)(BgL_arg2994z00_1902), BEOA); } } 
if(
CBOOL(BgL__ortest_2788z00_1898))
{ /* Inline/loop.scm 118 */
return BgL__ortest_2788z00_1898;}  else 
{ /* Inline/loop.scm 119 */
obj_t BgL__ortest_2789z00_1899;
{ /* Inline/loop.scm 119 */
BgL_nodez00_bglt BgL_arg2993z00_1901;
BgL_arg2993z00_1901 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1894))->BgL_msgz00); 
{ /* Inline/loop.scm 119 */
obj_t BgL_method2831z00_3106;
{ /* Inline/loop.scm 119 */
long BgL_objzd2classzd2numz00_3108;
{ /* Inline/loop.scm 119 */
BgL_objectz00_bglt BgL_auxz00_6026;
BgL_auxz00_6026 = 
(BgL_objectz00_bglt)(BgL_arg2993z00_1901); 
BgL_objzd2classzd2numz00_3108 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6026); } 
{ /* Inline/loop.scm 119 */
obj_t BgL_arg1221z00_3109;
{ /* Inline/loop.scm 119 */
int BgL_auxz00_6029;
BgL_auxz00_6029 = 
(int)(((long)1)); 
BgL_arg1221z00_3109 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6029); } 
{ /* Inline/loop.scm 119 */
long BgL_offsetz00_3113;
{ /* Inline/loop.scm 119 */
long BgL_auxz00_6032;
{ /* Inline/loop.scm 119 */
int BgL_auxz00_6033;
BgL_auxz00_6033 = 
(int)(BgL_objzd2classzd2numz00_3108); 
BgL_auxz00_6032 = 
(long)(BgL_auxz00_6033); } 
BgL_offsetz00_3113 = 
(BgL_auxz00_6032-OBJECT_TYPE); } 
{ /* Inline/loop.scm 119 */
long BgL_modz00_3114;
{ /* Inline/loop.scm 119 */
long BgL_auxz00_6037;
{ /* Inline/loop.scm 119 */
int BgL_auxz00_6038;
BgL_auxz00_6038 = 
(int)(((long)8)); 
BgL_auxz00_6037 = 
(long)(BgL_auxz00_6038); } 
BgL_modz00_3114 = 
(BgL_offsetz00_3113/BgL_auxz00_6037); } 
{ /* Inline/loop.scm 119 */
long BgL_restz00_3116;
{ /* Inline/loop.scm 119 */
long BgL_auxz00_6042;
{ /* Inline/loop.scm 119 */
int BgL_auxz00_6043;
BgL_auxz00_6043 = 
(int)(((long)8)); 
BgL_auxz00_6042 = 
(long)(BgL_auxz00_6043); } 
BgL_restz00_3116 = 
(BgL_offsetz00_3113%BgL_auxz00_6042); } 
{ /* Inline/loop.scm 119 */

{ /* Inline/loop.scm 119 */
obj_t BgL_bucketz00_3118;
{ /* Inline/loop.scm 119 */
int BgL_kz00_3128;
BgL_kz00_3128 = 
(int)(BgL_modz00_3114); 
BgL_bucketz00_3118 = 
VECTOR_REF(BgL_arg1221z00_3109,BgL_kz00_3128); } 
{ /* Inline/loop.scm 119 */
int BgL_kz00_3130;
BgL_kz00_3130 = 
(int)(BgL_restz00_3116); 
BgL_method2831z00_3106 = 
VECTOR_REF(BgL_bucketz00_3118,BgL_kz00_3130); } } } } } } } } 
BgL__ortest_2789z00_1899 = 
PROCEDURE_ENTRY(BgL_method2831z00_3106)(BgL_method2831z00_3106, 
(obj_t)(BgL_arg2993z00_1901), BEOA); } } 
if(
CBOOL(BgL__ortest_2789z00_1899))
{ /* Inline/loop.scm 119 */
return BgL__ortest_2789z00_1899;}  else 
{ /* Inline/loop.scm 120 */
BgL_nodez00_bglt BgL_arg2992z00_1900;
BgL_arg2992z00_1900 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1894))->BgL_objz00); 
{ /* Inline/loop.scm 120 */
obj_t BgL_method2831z00_3133;
{ /* Inline/loop.scm 120 */
long BgL_objzd2classzd2numz00_3135;
{ /* Inline/loop.scm 120 */
BgL_objectz00_bglt BgL_auxz00_6057;
BgL_auxz00_6057 = 
(BgL_objectz00_bglt)(BgL_arg2992z00_1900); 
BgL_objzd2classzd2numz00_3135 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6057); } 
{ /* Inline/loop.scm 120 */
obj_t BgL_arg1221z00_3136;
{ /* Inline/loop.scm 120 */
int BgL_auxz00_6060;
BgL_auxz00_6060 = 
(int)(((long)1)); 
BgL_arg1221z00_3136 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6060); } 
{ /* Inline/loop.scm 120 */
long BgL_offsetz00_3140;
{ /* Inline/loop.scm 120 */
long BgL_auxz00_6063;
{ /* Inline/loop.scm 120 */
int BgL_auxz00_6064;
BgL_auxz00_6064 = 
(int)(BgL_objzd2classzd2numz00_3135); 
BgL_auxz00_6063 = 
(long)(BgL_auxz00_6064); } 
BgL_offsetz00_3140 = 
(BgL_auxz00_6063-OBJECT_TYPE); } 
{ /* Inline/loop.scm 120 */
long BgL_modz00_3141;
{ /* Inline/loop.scm 120 */
long BgL_auxz00_6068;
{ /* Inline/loop.scm 120 */
int BgL_auxz00_6069;
BgL_auxz00_6069 = 
(int)(((long)8)); 
BgL_auxz00_6068 = 
(long)(BgL_auxz00_6069); } 
BgL_modz00_3141 = 
(BgL_offsetz00_3140/BgL_auxz00_6068); } 
{ /* Inline/loop.scm 120 */
long BgL_restz00_3143;
{ /* Inline/loop.scm 120 */
long BgL_auxz00_6073;
{ /* Inline/loop.scm 120 */
int BgL_auxz00_6074;
BgL_auxz00_6074 = 
(int)(((long)8)); 
BgL_auxz00_6073 = 
(long)(BgL_auxz00_6074); } 
BgL_restz00_3143 = 
(BgL_offsetz00_3140%BgL_auxz00_6073); } 
{ /* Inline/loop.scm 120 */

{ /* Inline/loop.scm 120 */
obj_t BgL_bucketz00_3145;
{ /* Inline/loop.scm 120 */
int BgL_kz00_3155;
BgL_kz00_3155 = 
(int)(BgL_modz00_3141); 
BgL_bucketz00_3145 = 
VECTOR_REF(BgL_arg1221z00_3136,BgL_kz00_3155); } 
{ /* Inline/loop.scm 120 */
int BgL_kz00_3157;
BgL_kz00_3157 = 
(int)(BgL_restz00_3143); 
BgL_method2831z00_3133 = 
VECTOR_REF(BgL_bucketz00_3145,BgL_kz00_3157); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3133)(BgL_method2831z00_3133, 
(obj_t)(BgL_arg2992z00_1900), BEOA);} } } } } } 
}



/* find-let-fun?-conditional2847 */
obj_t BGl_findzd2letzd2funzf3zd2conditional2847z21zzinline_loopz00(obj_t BgL_envz00_4463, obj_t BgL_nodez00_4464)
{ AN_OBJECT;
{ /* Inline/loop.scm 107 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1883;
BgL_nodez00_1883 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4464); 
{ /* Inline/loop.scm 109 */
obj_t BgL__ortest_2784z00_1887;
{ /* Inline/loop.scm 109 */
BgL_nodez00_bglt BgL_arg2990z00_1891;
BgL_arg2990z00_1891 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1883))->BgL_testz00); 
{ /* Inline/loop.scm 109 */
obj_t BgL_method2831z00_2998;
{ /* Inline/loop.scm 109 */
long BgL_objzd2classzd2numz00_3000;
{ /* Inline/loop.scm 109 */
BgL_objectz00_bglt BgL_auxz00_6087;
BgL_auxz00_6087 = 
(BgL_objectz00_bglt)(BgL_arg2990z00_1891); 
BgL_objzd2classzd2numz00_3000 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6087); } 
{ /* Inline/loop.scm 109 */
obj_t BgL_arg1221z00_3001;
{ /* Inline/loop.scm 109 */
int BgL_auxz00_6090;
BgL_auxz00_6090 = 
(int)(((long)1)); 
BgL_arg1221z00_3001 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6090); } 
{ /* Inline/loop.scm 109 */
long BgL_offsetz00_3005;
{ /* Inline/loop.scm 109 */
long BgL_auxz00_6093;
{ /* Inline/loop.scm 109 */
int BgL_auxz00_6094;
BgL_auxz00_6094 = 
(int)(BgL_objzd2classzd2numz00_3000); 
BgL_auxz00_6093 = 
(long)(BgL_auxz00_6094); } 
BgL_offsetz00_3005 = 
(BgL_auxz00_6093-OBJECT_TYPE); } 
{ /* Inline/loop.scm 109 */
long BgL_modz00_3006;
{ /* Inline/loop.scm 109 */
long BgL_auxz00_6098;
{ /* Inline/loop.scm 109 */
int BgL_auxz00_6099;
BgL_auxz00_6099 = 
(int)(((long)8)); 
BgL_auxz00_6098 = 
(long)(BgL_auxz00_6099); } 
BgL_modz00_3006 = 
(BgL_offsetz00_3005/BgL_auxz00_6098); } 
{ /* Inline/loop.scm 109 */
long BgL_restz00_3008;
{ /* Inline/loop.scm 109 */
long BgL_auxz00_6103;
{ /* Inline/loop.scm 109 */
int BgL_auxz00_6104;
BgL_auxz00_6104 = 
(int)(((long)8)); 
BgL_auxz00_6103 = 
(long)(BgL_auxz00_6104); } 
BgL_restz00_3008 = 
(BgL_offsetz00_3005%BgL_auxz00_6103); } 
{ /* Inline/loop.scm 109 */

{ /* Inline/loop.scm 109 */
obj_t BgL_bucketz00_3010;
{ /* Inline/loop.scm 109 */
int BgL_kz00_3020;
BgL_kz00_3020 = 
(int)(BgL_modz00_3006); 
BgL_bucketz00_3010 = 
VECTOR_REF(BgL_arg1221z00_3001,BgL_kz00_3020); } 
{ /* Inline/loop.scm 109 */
int BgL_kz00_3022;
BgL_kz00_3022 = 
(int)(BgL_restz00_3008); 
BgL_method2831z00_2998 = 
VECTOR_REF(BgL_bucketz00_3010,BgL_kz00_3022); } } } } } } } } 
BgL__ortest_2784z00_1887 = 
PROCEDURE_ENTRY(BgL_method2831z00_2998)(BgL_method2831z00_2998, 
(obj_t)(BgL_arg2990z00_1891), BEOA); } } 
if(
CBOOL(BgL__ortest_2784z00_1887))
{ /* Inline/loop.scm 109 */
return BgL__ortest_2784z00_1887;}  else 
{ /* Inline/loop.scm 110 */
obj_t BgL__ortest_2785z00_1888;
{ /* Inline/loop.scm 110 */
BgL_nodez00_bglt BgL_arg2989z00_1890;
BgL_arg2989z00_1890 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1883))->BgL_truez00); 
{ /* Inline/loop.scm 110 */
obj_t BgL_method2831z00_3025;
{ /* Inline/loop.scm 110 */
long BgL_objzd2classzd2numz00_3027;
{ /* Inline/loop.scm 110 */
BgL_objectz00_bglt BgL_auxz00_6118;
BgL_auxz00_6118 = 
(BgL_objectz00_bglt)(BgL_arg2989z00_1890); 
BgL_objzd2classzd2numz00_3027 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6118); } 
{ /* Inline/loop.scm 110 */
obj_t BgL_arg1221z00_3028;
{ /* Inline/loop.scm 110 */
int BgL_auxz00_6121;
BgL_auxz00_6121 = 
(int)(((long)1)); 
BgL_arg1221z00_3028 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6121); } 
{ /* Inline/loop.scm 110 */
long BgL_offsetz00_3032;
{ /* Inline/loop.scm 110 */
long BgL_auxz00_6124;
{ /* Inline/loop.scm 110 */
int BgL_auxz00_6125;
BgL_auxz00_6125 = 
(int)(BgL_objzd2classzd2numz00_3027); 
BgL_auxz00_6124 = 
(long)(BgL_auxz00_6125); } 
BgL_offsetz00_3032 = 
(BgL_auxz00_6124-OBJECT_TYPE); } 
{ /* Inline/loop.scm 110 */
long BgL_modz00_3033;
{ /* Inline/loop.scm 110 */
long BgL_auxz00_6129;
{ /* Inline/loop.scm 110 */
int BgL_auxz00_6130;
BgL_auxz00_6130 = 
(int)(((long)8)); 
BgL_auxz00_6129 = 
(long)(BgL_auxz00_6130); } 
BgL_modz00_3033 = 
(BgL_offsetz00_3032/BgL_auxz00_6129); } 
{ /* Inline/loop.scm 110 */
long BgL_restz00_3035;
{ /* Inline/loop.scm 110 */
long BgL_auxz00_6134;
{ /* Inline/loop.scm 110 */
int BgL_auxz00_6135;
BgL_auxz00_6135 = 
(int)(((long)8)); 
BgL_auxz00_6134 = 
(long)(BgL_auxz00_6135); } 
BgL_restz00_3035 = 
(BgL_offsetz00_3032%BgL_auxz00_6134); } 
{ /* Inline/loop.scm 110 */

{ /* Inline/loop.scm 110 */
obj_t BgL_bucketz00_3037;
{ /* Inline/loop.scm 110 */
int BgL_kz00_3047;
BgL_kz00_3047 = 
(int)(BgL_modz00_3033); 
BgL_bucketz00_3037 = 
VECTOR_REF(BgL_arg1221z00_3028,BgL_kz00_3047); } 
{ /* Inline/loop.scm 110 */
int BgL_kz00_3049;
BgL_kz00_3049 = 
(int)(BgL_restz00_3035); 
BgL_method2831z00_3025 = 
VECTOR_REF(BgL_bucketz00_3037,BgL_kz00_3049); } } } } } } } } 
BgL__ortest_2785z00_1888 = 
PROCEDURE_ENTRY(BgL_method2831z00_3025)(BgL_method2831z00_3025, 
(obj_t)(BgL_arg2989z00_1890), BEOA); } } 
if(
CBOOL(BgL__ortest_2785z00_1888))
{ /* Inline/loop.scm 110 */
return BgL__ortest_2785z00_1888;}  else 
{ /* Inline/loop.scm 111 */
BgL_nodez00_bglt BgL_arg2988z00_1889;
BgL_arg2988z00_1889 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1883))->BgL_falsez00); 
{ /* Inline/loop.scm 111 */
obj_t BgL_method2831z00_3052;
{ /* Inline/loop.scm 111 */
long BgL_objzd2classzd2numz00_3054;
{ /* Inline/loop.scm 111 */
BgL_objectz00_bglt BgL_auxz00_6149;
BgL_auxz00_6149 = 
(BgL_objectz00_bglt)(BgL_arg2988z00_1889); 
BgL_objzd2classzd2numz00_3054 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6149); } 
{ /* Inline/loop.scm 111 */
obj_t BgL_arg1221z00_3055;
{ /* Inline/loop.scm 111 */
int BgL_auxz00_6152;
BgL_auxz00_6152 = 
(int)(((long)1)); 
BgL_arg1221z00_3055 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6152); } 
{ /* Inline/loop.scm 111 */
long BgL_offsetz00_3059;
{ /* Inline/loop.scm 111 */
long BgL_auxz00_6155;
{ /* Inline/loop.scm 111 */
int BgL_auxz00_6156;
BgL_auxz00_6156 = 
(int)(BgL_objzd2classzd2numz00_3054); 
BgL_auxz00_6155 = 
(long)(BgL_auxz00_6156); } 
BgL_offsetz00_3059 = 
(BgL_auxz00_6155-OBJECT_TYPE); } 
{ /* Inline/loop.scm 111 */
long BgL_modz00_3060;
{ /* Inline/loop.scm 111 */
long BgL_auxz00_6160;
{ /* Inline/loop.scm 111 */
int BgL_auxz00_6161;
BgL_auxz00_6161 = 
(int)(((long)8)); 
BgL_auxz00_6160 = 
(long)(BgL_auxz00_6161); } 
BgL_modz00_3060 = 
(BgL_offsetz00_3059/BgL_auxz00_6160); } 
{ /* Inline/loop.scm 111 */
long BgL_restz00_3062;
{ /* Inline/loop.scm 111 */
long BgL_auxz00_6165;
{ /* Inline/loop.scm 111 */
int BgL_auxz00_6166;
BgL_auxz00_6166 = 
(int)(((long)8)); 
BgL_auxz00_6165 = 
(long)(BgL_auxz00_6166); } 
BgL_restz00_3062 = 
(BgL_offsetz00_3059%BgL_auxz00_6165); } 
{ /* Inline/loop.scm 111 */

{ /* Inline/loop.scm 111 */
obj_t BgL_bucketz00_3064;
{ /* Inline/loop.scm 111 */
int BgL_kz00_3074;
BgL_kz00_3074 = 
(int)(BgL_modz00_3060); 
BgL_bucketz00_3064 = 
VECTOR_REF(BgL_arg1221z00_3055,BgL_kz00_3074); } 
{ /* Inline/loop.scm 111 */
int BgL_kz00_3076;
BgL_kz00_3076 = 
(int)(BgL_restz00_3062); 
BgL_method2831z00_3052 = 
VECTOR_REF(BgL_bucketz00_3064,BgL_kz00_3076); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_3052)(BgL_method2831z00_3052, 
(obj_t)(BgL_arg2988z00_1889), BEOA);} } } } } } 
}



/* find-let-fun?-setq2845 */
obj_t BGl_findzd2letzd2funzf3zd2setq2845z21zzinline_loopz00(obj_t BgL_envz00_4465, obj_t BgL_nodez00_4466)
{ AN_OBJECT;
{ /* Inline/loop.scm 101 */
{ 
BgL_setqz00_bglt BgL_nodez00_1877;
BgL_nodez00_1877 = 
(BgL_setqz00_bglt)(BgL_nodez00_4466); 
{ /* Inline/loop.scm 102 */
BgL_nodez00_bglt BgL_arg2986z00_2968;
BgL_arg2986z00_2968 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1877))->BgL_valuez00); 
{ /* Inline/loop.scm 102 */
obj_t BgL_method2831z00_2971;
{ /* Inline/loop.scm 102 */
long BgL_objzd2classzd2numz00_2973;
{ /* Inline/loop.scm 102 */
BgL_objectz00_bglt BgL_auxz00_6179;
BgL_auxz00_6179 = 
(BgL_objectz00_bglt)(BgL_arg2986z00_2968); 
BgL_objzd2classzd2numz00_2973 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6179); } 
{ /* Inline/loop.scm 102 */
obj_t BgL_arg1221z00_2974;
{ /* Inline/loop.scm 102 */
int BgL_auxz00_6182;
BgL_auxz00_6182 = 
(int)(((long)1)); 
BgL_arg1221z00_2974 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6182); } 
{ /* Inline/loop.scm 102 */
long BgL_offsetz00_2978;
{ /* Inline/loop.scm 102 */
long BgL_auxz00_6185;
{ /* Inline/loop.scm 102 */
int BgL_auxz00_6186;
BgL_auxz00_6186 = 
(int)(BgL_objzd2classzd2numz00_2973); 
BgL_auxz00_6185 = 
(long)(BgL_auxz00_6186); } 
BgL_offsetz00_2978 = 
(BgL_auxz00_6185-OBJECT_TYPE); } 
{ /* Inline/loop.scm 102 */
long BgL_modz00_2979;
{ /* Inline/loop.scm 102 */
long BgL_auxz00_6190;
{ /* Inline/loop.scm 102 */
int BgL_auxz00_6191;
BgL_auxz00_6191 = 
(int)(((long)8)); 
BgL_auxz00_6190 = 
(long)(BgL_auxz00_6191); } 
BgL_modz00_2979 = 
(BgL_offsetz00_2978/BgL_auxz00_6190); } 
{ /* Inline/loop.scm 102 */
long BgL_restz00_2981;
{ /* Inline/loop.scm 102 */
long BgL_auxz00_6195;
{ /* Inline/loop.scm 102 */
int BgL_auxz00_6196;
BgL_auxz00_6196 = 
(int)(((long)8)); 
BgL_auxz00_6195 = 
(long)(BgL_auxz00_6196); } 
BgL_restz00_2981 = 
(BgL_offsetz00_2978%BgL_auxz00_6195); } 
{ /* Inline/loop.scm 102 */

{ /* Inline/loop.scm 102 */
obj_t BgL_bucketz00_2983;
{ /* Inline/loop.scm 102 */
int BgL_kz00_2993;
BgL_kz00_2993 = 
(int)(BgL_modz00_2979); 
BgL_bucketz00_2983 = 
VECTOR_REF(BgL_arg1221z00_2974,BgL_kz00_2993); } 
{ /* Inline/loop.scm 102 */
int BgL_kz00_2995;
BgL_kz00_2995 = 
(int)(BgL_restz00_2981); 
BgL_method2831z00_2971 = 
VECTOR_REF(BgL_bucketz00_2983,BgL_kz00_2995); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_2971)(BgL_method2831z00_2971, 
(obj_t)(BgL_arg2986z00_2968), BEOA);} } } } 
}



/* find-let-fun?-cast2843 */
obj_t BGl_findzd2letzd2funzf3zd2cast2843z21zzinline_loopz00(obj_t BgL_envz00_4467, obj_t BgL_nodez00_4468)
{ AN_OBJECT;
{ /* Inline/loop.scm 95 */
{ 
BgL_castz00_bglt BgL_nodez00_1871;
BgL_nodez00_1871 = 
(BgL_castz00_bglt)(BgL_nodez00_4468); 
{ /* Inline/loop.scm 96 */
BgL_nodez00_bglt BgL_arg2984z00_2940;
BgL_arg2984z00_2940 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1871))->BgL_argz00); 
{ /* Inline/loop.scm 96 */
obj_t BgL_method2831z00_2943;
{ /* Inline/loop.scm 96 */
long BgL_objzd2classzd2numz00_2945;
{ /* Inline/loop.scm 96 */
BgL_objectz00_bglt BgL_auxz00_6209;
BgL_auxz00_6209 = 
(BgL_objectz00_bglt)(BgL_arg2984z00_2940); 
BgL_objzd2classzd2numz00_2945 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6209); } 
{ /* Inline/loop.scm 96 */
obj_t BgL_arg1221z00_2946;
{ /* Inline/loop.scm 96 */
int BgL_auxz00_6212;
BgL_auxz00_6212 = 
(int)(((long)1)); 
BgL_arg1221z00_2946 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6212); } 
{ /* Inline/loop.scm 96 */
long BgL_offsetz00_2950;
{ /* Inline/loop.scm 96 */
long BgL_auxz00_6215;
{ /* Inline/loop.scm 96 */
int BgL_auxz00_6216;
BgL_auxz00_6216 = 
(int)(BgL_objzd2classzd2numz00_2945); 
BgL_auxz00_6215 = 
(long)(BgL_auxz00_6216); } 
BgL_offsetz00_2950 = 
(BgL_auxz00_6215-OBJECT_TYPE); } 
{ /* Inline/loop.scm 96 */
long BgL_modz00_2951;
{ /* Inline/loop.scm 96 */
long BgL_auxz00_6220;
{ /* Inline/loop.scm 96 */
int BgL_auxz00_6221;
BgL_auxz00_6221 = 
(int)(((long)8)); 
BgL_auxz00_6220 = 
(long)(BgL_auxz00_6221); } 
BgL_modz00_2951 = 
(BgL_offsetz00_2950/BgL_auxz00_6220); } 
{ /* Inline/loop.scm 96 */
long BgL_restz00_2953;
{ /* Inline/loop.scm 96 */
long BgL_auxz00_6225;
{ /* Inline/loop.scm 96 */
int BgL_auxz00_6226;
BgL_auxz00_6226 = 
(int)(((long)8)); 
BgL_auxz00_6225 = 
(long)(BgL_auxz00_6226); } 
BgL_restz00_2953 = 
(BgL_offsetz00_2950%BgL_auxz00_6225); } 
{ /* Inline/loop.scm 96 */

{ /* Inline/loop.scm 96 */
obj_t BgL_bucketz00_2955;
{ /* Inline/loop.scm 96 */
int BgL_kz00_2965;
BgL_kz00_2965 = 
(int)(BgL_modz00_2951); 
BgL_bucketz00_2955 = 
VECTOR_REF(BgL_arg1221z00_2946,BgL_kz00_2965); } 
{ /* Inline/loop.scm 96 */
int BgL_kz00_2967;
BgL_kz00_2967 = 
(int)(BgL_restz00_2953); 
BgL_method2831z00_2943 = 
VECTOR_REF(BgL_bucketz00_2955,BgL_kz00_2967); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_2943)(BgL_method2831z00_2943, 
(obj_t)(BgL_arg2984z00_2940), BEOA);} } } } 
}



/* find-let-fun?-extern2841 */
obj_t BGl_findzd2letzd2funzf3zd2extern2841z21zzinline_loopz00(obj_t BgL_envz00_4469, obj_t BgL_nodez00_4470)
{ AN_OBJECT;
{ /* Inline/loop.scm 89 */
{ 
BgL_externz00_bglt BgL_nodez00_1865;
{ /* Inline/loop.scm 90 */
bool_t BgL_auxz00_6238;
BgL_nodez00_1865 = 
(BgL_externz00_bglt)(BgL_nodez00_4470); 
BgL_auxz00_6238 = 
BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1865))->BgL_exprza2za2)); 
return 
BBOOL(BgL_auxz00_6238);} } } 
}



/* find-let-fun?-funcall2839 */
obj_t BGl_findzd2letzd2funzf3zd2funcall2839z21zzinline_loopz00(obj_t BgL_envz00_4471, obj_t BgL_nodez00_4472)
{ AN_OBJECT;
{ /* Inline/loop.scm 81 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1856;
BgL_nodez00_1856 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4472); 
{ /* Inline/loop.scm 83 */
obj_t BgL__ortest_2781z00_1860;
{ /* Inline/loop.scm 83 */
BgL_nodez00_bglt BgL_arg2980z00_1862;
BgL_arg2980z00_1862 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1856))->BgL_funz00); 
{ /* Inline/loop.scm 83 */
obj_t BgL_method2831z00_2912;
{ /* Inline/loop.scm 83 */
long BgL_objzd2classzd2numz00_2914;
{ /* Inline/loop.scm 83 */
BgL_objectz00_bglt BgL_auxz00_6244;
BgL_auxz00_6244 = 
(BgL_objectz00_bglt)(BgL_arg2980z00_1862); 
BgL_objzd2classzd2numz00_2914 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6244); } 
{ /* Inline/loop.scm 83 */
obj_t BgL_arg1221z00_2915;
{ /* Inline/loop.scm 83 */
int BgL_auxz00_6247;
BgL_auxz00_6247 = 
(int)(((long)1)); 
BgL_arg1221z00_2915 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6247); } 
{ /* Inline/loop.scm 83 */
long BgL_offsetz00_2919;
{ /* Inline/loop.scm 83 */
long BgL_auxz00_6250;
{ /* Inline/loop.scm 83 */
int BgL_auxz00_6251;
BgL_auxz00_6251 = 
(int)(BgL_objzd2classzd2numz00_2914); 
BgL_auxz00_6250 = 
(long)(BgL_auxz00_6251); } 
BgL_offsetz00_2919 = 
(BgL_auxz00_6250-OBJECT_TYPE); } 
{ /* Inline/loop.scm 83 */
long BgL_modz00_2920;
{ /* Inline/loop.scm 83 */
long BgL_auxz00_6255;
{ /* Inline/loop.scm 83 */
int BgL_auxz00_6256;
BgL_auxz00_6256 = 
(int)(((long)8)); 
BgL_auxz00_6255 = 
(long)(BgL_auxz00_6256); } 
BgL_modz00_2920 = 
(BgL_offsetz00_2919/BgL_auxz00_6255); } 
{ /* Inline/loop.scm 83 */
long BgL_restz00_2922;
{ /* Inline/loop.scm 83 */
long BgL_auxz00_6260;
{ /* Inline/loop.scm 83 */
int BgL_auxz00_6261;
BgL_auxz00_6261 = 
(int)(((long)8)); 
BgL_auxz00_6260 = 
(long)(BgL_auxz00_6261); } 
BgL_restz00_2922 = 
(BgL_offsetz00_2919%BgL_auxz00_6260); } 
{ /* Inline/loop.scm 83 */

{ /* Inline/loop.scm 83 */
obj_t BgL_bucketz00_2924;
{ /* Inline/loop.scm 83 */
int BgL_kz00_2934;
BgL_kz00_2934 = 
(int)(BgL_modz00_2920); 
BgL_bucketz00_2924 = 
VECTOR_REF(BgL_arg1221z00_2915,BgL_kz00_2934); } 
{ /* Inline/loop.scm 83 */
int BgL_kz00_2936;
BgL_kz00_2936 = 
(int)(BgL_restz00_2922); 
BgL_method2831z00_2912 = 
VECTOR_REF(BgL_bucketz00_2924,BgL_kz00_2936); } } } } } } } } 
BgL__ortest_2781z00_1860 = 
PROCEDURE_ENTRY(BgL_method2831z00_2912)(BgL_method2831z00_2912, 
(obj_t)(BgL_arg2980z00_1862), BEOA); } } 
if(
CBOOL(BgL__ortest_2781z00_1860))
{ /* Inline/loop.scm 83 */
return BgL__ortest_2781z00_1860;}  else 
{ /* Inline/loop.scm 84 */
bool_t BgL_auxz00_6274;
BgL_auxz00_6274 = 
BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1856))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_6274);} } } } 
}



/* find-let-fun?-app-ly2837 */
obj_t BGl_findzd2letzd2funzf3zd2appzd2ly2837zf3zzinline_loopz00(obj_t BgL_envz00_4473, obj_t BgL_nodez00_4474)
{ AN_OBJECT;
{ /* Inline/loop.scm 74 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1847;
BgL_nodez00_1847 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4474); 
{ /* Inline/loop.scm 76 */
obj_t BgL__ortest_2778z00_1851;
{ /* Inline/loop.scm 76 */
BgL_nodez00_bglt BgL_arg2977z00_1853;
BgL_arg2977z00_1853 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1847))->BgL_funz00); 
{ /* Inline/loop.scm 76 */
obj_t BgL_method2831z00_2858;
{ /* Inline/loop.scm 76 */
long BgL_objzd2classzd2numz00_2860;
{ /* Inline/loop.scm 76 */
BgL_objectz00_bglt BgL_auxz00_6280;
BgL_auxz00_6280 = 
(BgL_objectz00_bglt)(BgL_arg2977z00_1853); 
BgL_objzd2classzd2numz00_2860 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6280); } 
{ /* Inline/loop.scm 76 */
obj_t BgL_arg1221z00_2861;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6283;
BgL_auxz00_6283 = 
(int)(((long)1)); 
BgL_arg1221z00_2861 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6283); } 
{ /* Inline/loop.scm 76 */
long BgL_offsetz00_2865;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6286;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6287;
BgL_auxz00_6287 = 
(int)(BgL_objzd2classzd2numz00_2860); 
BgL_auxz00_6286 = 
(long)(BgL_auxz00_6287); } 
BgL_offsetz00_2865 = 
(BgL_auxz00_6286-OBJECT_TYPE); } 
{ /* Inline/loop.scm 76 */
long BgL_modz00_2866;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6291;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6292;
BgL_auxz00_6292 = 
(int)(((long)8)); 
BgL_auxz00_6291 = 
(long)(BgL_auxz00_6292); } 
BgL_modz00_2866 = 
(BgL_offsetz00_2865/BgL_auxz00_6291); } 
{ /* Inline/loop.scm 76 */
long BgL_restz00_2868;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6296;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6297;
BgL_auxz00_6297 = 
(int)(((long)8)); 
BgL_auxz00_6296 = 
(long)(BgL_auxz00_6297); } 
BgL_restz00_2868 = 
(BgL_offsetz00_2865%BgL_auxz00_6296); } 
{ /* Inline/loop.scm 76 */

{ /* Inline/loop.scm 76 */
obj_t BgL_bucketz00_2870;
{ /* Inline/loop.scm 76 */
int BgL_kz00_2880;
BgL_kz00_2880 = 
(int)(BgL_modz00_2866); 
BgL_bucketz00_2870 = 
VECTOR_REF(BgL_arg1221z00_2861,BgL_kz00_2880); } 
{ /* Inline/loop.scm 76 */
int BgL_kz00_2882;
BgL_kz00_2882 = 
(int)(BgL_restz00_2868); 
BgL_method2831z00_2858 = 
VECTOR_REF(BgL_bucketz00_2870,BgL_kz00_2882); } } } } } } } } 
BgL__ortest_2778z00_1851 = 
PROCEDURE_ENTRY(BgL_method2831z00_2858)(BgL_method2831z00_2858, 
(obj_t)(BgL_arg2977z00_1853), BEOA); } } 
if(
CBOOL(BgL__ortest_2778z00_1851))
{ /* Inline/loop.scm 76 */
return BgL__ortest_2778z00_1851;}  else 
{ /* Inline/loop.scm 76 */
BgL_nodez00_bglt BgL_arg2976z00_1852;
BgL_arg2976z00_1852 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1847))->BgL_argz00); 
{ /* Inline/loop.scm 76 */
obj_t BgL_method2831z00_2885;
{ /* Inline/loop.scm 76 */
long BgL_objzd2classzd2numz00_2887;
{ /* Inline/loop.scm 76 */
BgL_objectz00_bglt BgL_auxz00_6311;
BgL_auxz00_6311 = 
(BgL_objectz00_bglt)(BgL_arg2976z00_1852); 
BgL_objzd2classzd2numz00_2887 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6311); } 
{ /* Inline/loop.scm 76 */
obj_t BgL_arg1221z00_2888;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6314;
BgL_auxz00_6314 = 
(int)(((long)1)); 
BgL_arg1221z00_2888 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6314); } 
{ /* Inline/loop.scm 76 */
long BgL_offsetz00_2892;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6317;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6318;
BgL_auxz00_6318 = 
(int)(BgL_objzd2classzd2numz00_2887); 
BgL_auxz00_6317 = 
(long)(BgL_auxz00_6318); } 
BgL_offsetz00_2892 = 
(BgL_auxz00_6317-OBJECT_TYPE); } 
{ /* Inline/loop.scm 76 */
long BgL_modz00_2893;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6322;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6323;
BgL_auxz00_6323 = 
(int)(((long)8)); 
BgL_auxz00_6322 = 
(long)(BgL_auxz00_6323); } 
BgL_modz00_2893 = 
(BgL_offsetz00_2892/BgL_auxz00_6322); } 
{ /* Inline/loop.scm 76 */
long BgL_restz00_2895;
{ /* Inline/loop.scm 76 */
long BgL_auxz00_6327;
{ /* Inline/loop.scm 76 */
int BgL_auxz00_6328;
BgL_auxz00_6328 = 
(int)(((long)8)); 
BgL_auxz00_6327 = 
(long)(BgL_auxz00_6328); } 
BgL_restz00_2895 = 
(BgL_offsetz00_2892%BgL_auxz00_6327); } 
{ /* Inline/loop.scm 76 */

{ /* Inline/loop.scm 76 */
obj_t BgL_bucketz00_2897;
{ /* Inline/loop.scm 76 */
int BgL_kz00_2907;
BgL_kz00_2907 = 
(int)(BgL_modz00_2893); 
BgL_bucketz00_2897 = 
VECTOR_REF(BgL_arg1221z00_2888,BgL_kz00_2907); } 
{ /* Inline/loop.scm 76 */
int BgL_kz00_2909;
BgL_kz00_2909 = 
(int)(BgL_restz00_2895); 
BgL_method2831z00_2885 = 
VECTOR_REF(BgL_bucketz00_2897,BgL_kz00_2909); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_2885)(BgL_method2831z00_2885, 
(obj_t)(BgL_arg2976z00_1852), BEOA);} } } } } 
}



/* find-let-fun?-app2835 */
obj_t BGl_findzd2letzd2funzf3zd2app2835z21zzinline_loopz00(obj_t BgL_envz00_4475, obj_t BgL_nodez00_4476)
{ AN_OBJECT;
{ /* Inline/loop.scm 67 */
{ 
BgL_appz00_bglt BgL_nodez00_1840;
{ /* Inline/loop.scm 68 */
bool_t BgL_auxz00_6340;
BgL_nodez00_1840 = 
(BgL_appz00_bglt)(BgL_nodez00_4476); 
BgL_auxz00_6340 = 
BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1840))->BgL_argsz00)); 
return 
BBOOL(BgL_auxz00_6340);} } } 
}



/* find-let-fun?-sequence2833 */
obj_t BGl_findzd2letzd2funzf3zd2sequence2833z21zzinline_loopz00(obj_t BgL_envz00_4477, obj_t BgL_nodez00_4478)
{ AN_OBJECT;
{ /* Inline/loop.scm 61 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1834;
{ /* Inline/loop.scm 62 */
bool_t BgL_auxz00_6345;
BgL_nodez00_1834 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4478); 
BgL_auxz00_6345 = 
BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1834))->BgL_nodesz00)); 
return 
BBOOL(BgL_auxz00_6345);} } } 
}



/* find-let-fun? */
obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Inline/loop.scm 55 */
{ /* Inline/loop.scm 55 */
obj_t BgL_method2831z00_4265;
{ /* Inline/loop.scm 55 */
long BgL_objzd2classzd2numz00_4267;
{ /* Inline/loop.scm 55 */
BgL_objectz00_bglt BgL_auxz00_6350;
BgL_auxz00_6350 = 
(BgL_objectz00_bglt)(BgL_nodez00_3); 
BgL_objzd2classzd2numz00_4267 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6350); } 
{ /* Inline/loop.scm 55 */
obj_t BgL_arg1221z00_4268;
{ /* Inline/loop.scm 55 */
int BgL_auxz00_6353;
BgL_auxz00_6353 = 
(int)(((long)1)); 
BgL_arg1221z00_4268 = 
PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00, BgL_auxz00_6353); } 
{ /* Inline/loop.scm 55 */
long BgL_offsetz00_4272;
{ /* Inline/loop.scm 55 */
long BgL_auxz00_6356;
{ /* Inline/loop.scm 55 */
int BgL_auxz00_6357;
BgL_auxz00_6357 = 
(int)(BgL_objzd2classzd2numz00_4267); 
BgL_auxz00_6356 = 
(long)(BgL_auxz00_6357); } 
BgL_offsetz00_4272 = 
(BgL_auxz00_6356-OBJECT_TYPE); } 
{ /* Inline/loop.scm 55 */
long BgL_modz00_4273;
{ /* Inline/loop.scm 55 */
long BgL_auxz00_6361;
{ /* Inline/loop.scm 55 */
int BgL_auxz00_6362;
BgL_auxz00_6362 = 
(int)(((long)8)); 
BgL_auxz00_6361 = 
(long)(BgL_auxz00_6362); } 
BgL_modz00_4273 = 
(BgL_offsetz00_4272/BgL_auxz00_6361); } 
{ /* Inline/loop.scm 55 */
long BgL_restz00_4275;
{ /* Inline/loop.scm 55 */
long BgL_auxz00_6366;
{ /* Inline/loop.scm 55 */
int BgL_auxz00_6367;
BgL_auxz00_6367 = 
(int)(((long)8)); 
BgL_auxz00_6366 = 
(long)(BgL_auxz00_6367); } 
BgL_restz00_4275 = 
(BgL_offsetz00_4272%BgL_auxz00_6366); } 
{ /* Inline/loop.scm 55 */

{ /* Inline/loop.scm 55 */
obj_t BgL_bucketz00_4277;
{ /* Inline/loop.scm 55 */
int BgL_kz00_4287;
BgL_kz00_4287 = 
(int)(BgL_modz00_4273); 
BgL_bucketz00_4277 = 
VECTOR_REF(BgL_arg1221z00_4268,BgL_kz00_4287); } 
{ /* Inline/loop.scm 55 */
int BgL_kz00_4289;
BgL_kz00_4289 = 
(int)(BgL_restz00_4275); 
BgL_method2831z00_4265 = 
VECTOR_REF(BgL_bucketz00_4277,BgL_kz00_4289); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2831z00_4265)(BgL_method2831z00_4265, 
(obj_t)(BgL_nodez00_3), BEOA);} } 
}



/* _find-let-fun? */
obj_t BGl__findzd2letzd2funzf3zf3zzinline_loopz00(obj_t BgL_envz00_4322, obj_t BgL_nodez00_4323)
{ AN_OBJECT;
{ /* Inline/loop.scm 55 */
return 
BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
(BgL_nodez00_bglt)(BgL_nodez00_4323));} 
}



/* find-let-fun?-default2830 */
bool_t BGl_findzd2letzd2funzf3zd2default2830z21zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_4)
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
return ((bool_t)0);} 
}



/* _find-let-fun?-default2830 */
obj_t BGl__findzd2letzd2funzf3zd2default2830z21zzinline_loopz00(obj_t BgL_envz00_4479, obj_t BgL_nodez00_4480)
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
{ /* Inline/loop.scm 15 */
bool_t BgL_auxz00_6380;
BgL_auxz00_6380 = 
BGl_findzd2letzd2funzf3zd2default2830z21zzinline_loopz00(
(BgL_nodez00_bglt)(BgL_nodez00_4480)); 
return 
BBOOL(BgL_auxz00_6380);} } 
}



/* nest-loop! */
BgL_nodez00_bglt BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_23, BgL_localz00_bglt BgL_localz00_24, obj_t BgL_nesterz00_25)
{ AN_OBJECT;
{ /* Inline/loop.scm 202 */
{ /* Inline/loop.scm 202 */
obj_t BgL_method2867z00_4290;
{ /* Inline/loop.scm 202 */
long BgL_objzd2classzd2numz00_4292;
{ /* Inline/loop.scm 202 */
BgL_objectz00_bglt BgL_auxz00_6384;
BgL_auxz00_6384 = 
(BgL_objectz00_bglt)(BgL_nodez00_23); 
BgL_objzd2classzd2numz00_4292 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6384); } 
{ /* Inline/loop.scm 202 */
obj_t BgL_arg1221z00_4293;
{ /* Inline/loop.scm 202 */
int BgL_auxz00_6387;
BgL_auxz00_6387 = 
(int)(((long)1)); 
BgL_arg1221z00_4293 = 
PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BgL_auxz00_6387); } 
{ /* Inline/loop.scm 202 */
long BgL_offsetz00_4297;
{ /* Inline/loop.scm 202 */
long BgL_auxz00_6390;
{ /* Inline/loop.scm 202 */
int BgL_auxz00_6391;
BgL_auxz00_6391 = 
(int)(BgL_objzd2classzd2numz00_4292); 
BgL_auxz00_6390 = 
(long)(BgL_auxz00_6391); } 
BgL_offsetz00_4297 = 
(BgL_auxz00_6390-OBJECT_TYPE); } 
{ /* Inline/loop.scm 202 */
long BgL_modz00_4298;
{ /* Inline/loop.scm 202 */
long BgL_auxz00_6395;
{ /* Inline/loop.scm 202 */
int BgL_auxz00_6396;
BgL_auxz00_6396 = 
(int)(((long)8)); 
BgL_auxz00_6395 = 
(long)(BgL_auxz00_6396); } 
BgL_modz00_4298 = 
(BgL_offsetz00_4297/BgL_auxz00_6395); } 
{ /* Inline/loop.scm 202 */
long BgL_restz00_4300;
{ /* Inline/loop.scm 202 */
long BgL_auxz00_6400;
{ /* Inline/loop.scm 202 */
int BgL_auxz00_6401;
BgL_auxz00_6401 = 
(int)(((long)8)); 
BgL_auxz00_6400 = 
(long)(BgL_auxz00_6401); } 
BgL_restz00_4300 = 
(BgL_offsetz00_4297%BgL_auxz00_6400); } 
{ /* Inline/loop.scm 202 */

{ /* Inline/loop.scm 202 */
obj_t BgL_bucketz00_4302;
{ /* Inline/loop.scm 202 */
int BgL_kz00_4312;
BgL_kz00_4312 = 
(int)(BgL_modz00_4298); 
BgL_bucketz00_4302 = 
VECTOR_REF(BgL_arg1221z00_4293,BgL_kz00_4312); } 
{ /* Inline/loop.scm 202 */
int BgL_kz00_4314;
BgL_kz00_4314 = 
(int)(BgL_restz00_4300); 
BgL_method2867z00_4290 = 
VECTOR_REF(BgL_bucketz00_4302,BgL_kz00_4314); } } } } } } } } 
{ /* Inline/loop.scm 202 */
obj_t BgL_auxz00_6409;
BgL_auxz00_6409 = 
PROCEDURE_ENTRY(BgL_method2867z00_4290)(BgL_method2867z00_4290, 
(obj_t)(BgL_nodez00_23), 
(obj_t)(BgL_localz00_24), BgL_nesterz00_25, BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_6409);} } } 
}



/* _nest-loop! */
obj_t BGl__nestzd2loopz12zc0zzinline_loopz00(obj_t BgL_envz00_4324, obj_t BgL_nodez00_4325, obj_t BgL_localz00_4326, obj_t BgL_nesterz00_4327)
{ AN_OBJECT;
{ /* Inline/loop.scm 202 */
{ /* Inline/loop.scm 202 */
BgL_nodez00_bglt BgL_auxz00_6415;
BgL_auxz00_6415 = 
BGl_nestzd2loopz12zc0zzinline_loopz00(
(BgL_nodez00_bglt)(BgL_nodez00_4325), 
(BgL_localz00_bglt)(BgL_localz00_4326), BgL_nesterz00_4327); 
return 
(obj_t)(BgL_auxz00_6415);} } 
}



/* nest-loop!-default2866 */
BgL_nodez00_bglt BGl_nestzd2loopz12zd2default2866z12zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_26, BgL_localz00_bglt BgL_localz00_27, obj_t BgL_nesterz00_28)
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
{ 
obj_t BgL_auxz00_6422;obj_t BgL_auxz00_6420;
BgL_auxz00_6422 = 
(obj_t)(BgL_nodez00_26); 
BgL_auxz00_6420 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_6420,BGl_string3280z00zzinline_loopz00,BgL_auxz00_6422);} } 
}



/* _nest-loop!-default2866 */
obj_t BGl__nestzd2loopz12zd2default2866z12zzinline_loopz00(obj_t BgL_envz00_4481, obj_t BgL_nodez00_4482, obj_t BgL_localz00_4483, obj_t BgL_nesterz00_4484)
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
{ /* Inline/loop.scm 15 */
BgL_nodez00_bglt BgL_auxz00_6425;
BgL_auxz00_6425 = 
BGl_nestzd2loopz12zd2default2866z12zzinline_loopz00(
(BgL_nodez00_bglt)(BgL_nodez00_4482), 
(BgL_localz00_bglt)(BgL_localz00_4483), BgL_nesterz00_4484); 
return 
(obj_t)(BgL_auxz00_6425);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00()
{ AN_OBJECT;
{ /* Inline/loop.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "inline_loop"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "inline_loop"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "inline_loop"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "inline_loop"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63028), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzinline_variantz00(((long)64429), "inline_loop"); 
BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)56504), "inline_loop"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "inline_loop");} 
}

