/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;

typedef struct BgL_localzf2variantzf2_bgl {
   bool_t BgL_variantz00;
} *BgL_localzf2variantzf2_bglt;


static obj_t BGl_findzd2recursivezd2callszd2boxzd2setz122848z12zzinline_recursionz00(obj_t, obj_t, obj_t);
extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2setzd2exzd2it2840zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2fail2832zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
static obj_t BGl_findzd2recursivezd2callszd2select2834zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern BgL_appz00_bglt BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
static BgL_letzd2funzd2_bglt BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt, BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
static obj_t BGl_findzd2recursivezd2callszd2app2818zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t, obj_t);
extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
static obj_t BGl_findzd2recursivezd2callszd2appzd2ly2820z00zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern bool_t BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
static obj_t BGl_findzd2recursivezd2callszd2funcall2822zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long, obj_t);
extern BgL_nodez00_bglt BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl__inlinezd2appzd2recursivez00zzinline_recursionz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long, obj_t);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2conditional2830zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2makezd2box2844z00zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
static obj_t BGl_findzd2recursivezd2callszd2jumpzd2exzd2it2842zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt, BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2setq2828zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl__iszd2recursivezf3z21zzinline_recursionz00(obj_t, obj_t);
extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
extern bool_t BGl_zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t, BgL_typez00_bglt, BgL_sfunz00_bglt);
static obj_t BGl_findzd2recursivezd2callszd2letzd2var2838z00zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_findzd2recursivezd2callszd2boxzd2ref2846z00zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2letzd2fun2836z00zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2extern2824zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t, BgL_nodez00_bglt);
extern BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_localz00zzast_varz00;
extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long, obj_t);
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
static obj_t BGl_findzd2recursivezd2callszd2cast2826zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
extern obj_t BGl_isfunz00zzinline_inlinez00;
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_findzd2recursivezd2callszd2sequence2816zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
static obj_t BGl_findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
static obj_t BGl__findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
static obj_t BGl__findzd2recursivezd2callsz00zzinline_recursionz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32932ze3z83zzinline_recursionz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_PROCEDURE( BGl_findzd2recursivezd2callszd2default2813zd2envz00zzinline_recursionz00, BgL_bgl__findza7d2recursiveza7d2callsza7d2default2813za7d2za7za7inline_recursionza7003218za7, BGl__findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_GENERIC( BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_bgl__findza7d2recursiveza7d2callsza700za7za7inline_recursionza7003219z00, BGl__findzd2recursivezd2callsz00zzinline_recursionz00, 0L, 2 );
DEFINE_STRING( BGl_string3213z00zzinline_recursionz00, BgL_bgl_string3213za700za7za7inline_recursionza7003220z00, "(sifun sgfun) sfun ", 19 );
DEFINE_STRING( BGl_string3195z00zzinline_recursionz00, BgL_bgl_string3195za700za7za7inline_recursionza7003221z00, "unrolling", 9 );
DEFINE_STRING( BGl_string3194z00zzinline_recursionz00, BgL_bgl_string3194za700za7za7inline_recursionza7003222z00, "         ", 9 );
DEFINE_STRING( BGl_string3193z00zzinline_recursionz00, BgL_bgl_string3193za700za7za7inline_recursionza7003223z00, " --> ", 5 );
DEFINE_STRING( BGl_string3192z00zzinline_recursionz00, BgL_bgl_string3192za700za7za7inline_recursionza7003224z00, " (recursive)", 12 );
DEFINE_STRING( BGl_string3191z00zzinline_recursionz00, BgL_bgl_string3191za700za7za7inline_recursionza7003225z00, "simple", 6 );
DEFINE_STATIC_PROCEDURE( BGl_proc3200z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2extern2824za7d2za7za7inline_recursionza7003226za7, BGl_findzd2recursivezd2callszd2extern2824zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3201z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2cast2826za7d2za7za7inline_recursionza7003227za7, BGl_findzd2recursivezd2callszd2cast2826zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3202z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2setq2828za7d2za7za7inline_recursionza7003228za7, BGl_findzd2recursivezd2callszd2setq2828zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3203z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2conditional2830za7d2za7za7inline_recursionza7003229za7, BGl_findzd2recursivezd2callszd2conditional2830zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3204z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2fail2832za7d2za7za7inline_recursionza7003230za7, BGl_findzd2recursivezd2callszd2fail2832zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3205z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2select2834za7d2za7za7inline_recursionza7003231za7, BGl_findzd2recursivezd2callszd2select2834zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3206z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2letza7d2fun2836za700za7za7inline_recursionza7003232z00, BGl_findzd2recursivezd2callszd2letzd2fun2836z00zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3196z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2sequence2816za7d2za7za7inline_recursionza7003233za7, BGl_findzd2recursivezd2callszd2sequence2816zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3207z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2letza7d2var2838za700za7za7inline_recursionza7003234z00, BGl_findzd2recursivezd2callszd2letzd2var2838z00zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3197z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2app2818za7d2za7za7inline_recursionza7003235za7, BGl_findzd2recursivezd2callszd2app2818zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3208z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2setza7d2exza7d2it2840za7d2za7za7inline_recursionza7003236za7, BGl_findzd2recursivezd2callszd2setzd2exzd2it2840zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3198z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2appza7d2ly2820za700za7za7inline_recursionza7003237z00, BGl_findzd2recursivezd2callszd2appzd2ly2820z00zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3210z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2makeza7d2box2844za700za7za7inline_recursionza7003238z00, BGl_findzd2recursivezd2callszd2makezd2box2844z00zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3209z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2jumpza7d2exza7d2it2842za7d2za7za7inline_recursionza7003239za7, BGl_findzd2recursivezd2callszd2jumpzd2exzd2it2842zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3199z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2funcall2822za7d2za7za7inline_recursionza7003240za7, BGl_findzd2recursivezd2callszd2funcall2822zd2zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3211z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2boxza7d2ref2846za700za7za7inline_recursionza7003241z00, BGl_findzd2recursivezd2callszd2boxzd2ref2846z00zzinline_recursionz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3212z00zzinline_recursionz00, BgL_bgl_findza7d2recursiveza7d2callsza7d2boxza7d2setza7122848za712za7za7inline_recursionza7003242za7, BGl_findzd2recursivezd2callszd2boxzd2setz122848z12zzinline_recursionz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00, BgL_bgl__isza7d2recursiveza7f3za721za7za7inline_recursionza7003243z00, BGl__iszd2recursivezf3z21zzinline_recursionz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00, BgL_bgl__inlineza7d2appza7d2recursiveza700za7za7inline_recursionza7003244z00, BGl__inlinezd2appzd2recursivez00zzinline_recursionz00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long BgL_checksumz00_3880, char * BgL_fromz00_3881)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_recursionz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_recursionz00(); 
BGl_cnstzd2initzd2zzinline_recursionz00(); 
BGl_importedzd2moduleszd2initz00zzinline_recursionz00(); 
BGl_methodzd2initzd2zzinline_recursionz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "inline_recursion"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
{ /* Inline/recursion.scm 15 */
obj_t BgL_cportz00_3873;
BgL_cportz00_3873 = 
open_input_string(BGl_string3213z00zzinline_recursionz00); 
{ 
long BgL_iz00_3874;
BgL_iz00_3874 = ((long)1); 
BgL_loopz00_3875:
if(
(BgL_iz00_3874==((long)-1)))
{ /* Inline/recursion.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/recursion.scm 15 */
{ /* Inline/recursion.scm 15 */
obj_t BgL_arg3215z00_3877;
{ /* Inline/recursion.scm 15 */
obj_t BgL_list3216z00_3878;
BgL_list3216z00_3878 = 
MAKE_PAIR(BgL_cportz00_3873, BNIL); 
BgL_arg3215z00_3877 = 
BGl_readz00zz__readerz00(BgL_list3216z00_3878); } 
{ /* Inline/recursion.scm 15 */
int BgL_auxz00_3899;
BgL_auxz00_3899 = 
(int)(BgL_iz00_3874); 
CNST_TABLE_SET(BgL_auxz00_3899, BgL_arg3215z00_3877); } } 
{ 
long BgL_iz00_3902;
{ /* Inline/recursion.scm 15 */
int BgL_auxz00_3903;
{ /* Inline/recursion.scm 15 */
long BgL_auxz00_3904;
BgL_auxz00_3904 = 
(BgL_iz00_3874-((long)1)); 
BgL_auxz00_3903 = 
(int)(BgL_auxz00_3904); } 
BgL_iz00_3902 = 
(long)(BgL_auxz00_3903); } 
BgL_iz00_3874 = BgL_iz00_3902; 
goto BgL_loopz00_3875;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
return BUNSPEC;} 
}



/* inline-app-recursive */
BgL_nodez00_bglt BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3)
{ AN_OBJECT;
{ /* Inline/recursion.scm 40 */
{ /* Inline/recursion.scm 43 */
bool_t BgL_testz00_3908;
{ /* Inline/recursion.scm 43 */
obj_t BgL_auxz00_3909;
{ /* Inline/recursion.scm 43 */
obj_t BgL_auxz00_3910;
{ /* Inline/recursion.scm 43 */
BgL_variablez00_bglt BgL_auxz00_3911;
{ /* Inline/recursion.scm 42 */
BgL_varz00_bglt BgL_arg2850z00_1384;
{ /* Inline/recursion.scm 42 */
BgL_appz00_bglt BgL_obj1722z00_2159;
BgL_obj1722z00_2159 = 
(BgL_appz00_bglt)(BgL_nodez00_1); 
BgL_arg2850z00_1384 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2159))->BgL_funz00); } 
BgL_auxz00_3911 = 
(((BgL_varz00_bglt)CREF(BgL_arg2850z00_1384))->BgL_variablez00); } 
BgL_auxz00_3910 = 
(obj_t)(BgL_auxz00_3911); } 
BgL_auxz00_3909 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3910, BgL_stackz00_3); } 
BgL_testz00_3908 = 
CBOOL(BgL_auxz00_3909); } 
if(BgL_testz00_3908)
{ /* Inline/recursion.scm 43 */
return 
BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_1, BgL_kfactorz00_2, BgL_stackz00_3, BGl_string3191z00zzinline_recursionz00);}  else 
{ /* Inline/recursion.scm 43 */
{ /* Inline/recursion.scm 52 */
obj_t BgL_labelszd2nodezd2_1383;
BgL_labelszd2nodezd2_1383 = 
BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_1, BgL_kfactorz00_2, BgL_stackz00_3); 
return 
(BgL_nodez00_bglt)(BgL_labelszd2nodezd2_1383);} } } } 
}



/* _inline-app-recursive */
obj_t BGl__inlinezd2appzd2recursivez00zzinline_recursionz00(obj_t BgL_envz00_3788, obj_t BgL_nodez00_3789, obj_t BgL_kfactorz00_3790, obj_t BgL_stackz00_3791)
{ AN_OBJECT;
{ /* Inline/recursion.scm 40 */
{ /* Inline/recursion.scm 40 */
BgL_nodez00_bglt BgL_auxz00_3921;
BgL_auxz00_3921 = 
BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
(BgL_nodez00_bglt)(BgL_nodez00_3789), 
(long)CINT(BgL_kfactorz00_3790), BgL_stackz00_3791); 
return 
(obj_t)(BgL_auxz00_3921);} } 
}



/* inline-app-labels */
obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt BgL_nodez00_4, long BgL_kfactorz00_5, obj_t BgL_stackz00_6)
{ AN_OBJECT;
{ /* Inline/recursion.scm 60 */
{ /* Inline/recursion.scm 61 */
BgL_variablez00_bglt BgL_variablez00_1385;
{ /* Inline/recursion.scm 61 */
BgL_varz00_bglt BgL_arg2918z00_1501;
{ /* Inline/recursion.scm 61 */
BgL_appz00_bglt BgL_obj1722z00_2161;
BgL_obj1722z00_2161 = 
(BgL_appz00_bglt)(BgL_nodez00_4); 
BgL_arg2918z00_1501 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2161))->BgL_funz00); } 
BgL_variablez00_1385 = 
(((BgL_varz00_bglt)CREF(BgL_arg2918z00_1501))->BgL_variablez00); } 
{ /* Inline/recursion.scm 61 */
long BgL_callzd2siza7ez75_1386;
{ /* Inline/recursion.scm 62 */
long BgL_auxz00_3929;
{ /* Inline/recursion.scm 62 */
obj_t BgL_auxz00_3930;
{ /* Inline/recursion.scm 62 */
BgL_appz00_bglt BgL_obj1725z00_2163;
BgL_obj1725z00_2163 = 
(BgL_appz00_bglt)(BgL_nodez00_4); 
BgL_auxz00_3930 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2163))->BgL_argsz00); } 
BgL_auxz00_3929 = 
bgl_list_length(BgL_auxz00_3930); } 
BgL_callzd2siza7ez75_1386 = 
(((long)1)+BgL_auxz00_3929); } 
{ /* Inline/recursion.scm 62 */
BgL_localz00_bglt BgL_localz00_1387;
{ /* Inline/recursion.scm 63 */
BgL_sfunz00_bglt BgL_auxz00_3935;
{ /* Inline/recursion.scm 65 */
BgL_valuez00_bglt BgL_auxz00_3938;
BgL_auxz00_3938 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1385))->BgL_valuez00); 
BgL_auxz00_3935 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3938); } 
BgL_localz00_1387 = 
BGl_makezd2localzd2sfunz00zzast_localz00(
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1385))->BgL_idz00), 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1385))->BgL_typez00), BgL_auxz00_3935); } 
{ /* Inline/recursion.scm 63 */
BgL_valuez00_bglt BgL_oldzd2sfunzd2_1388;
BgL_oldzd2sfunzd2_1388 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_1385))->BgL_valuez00); 
{ /* Inline/recursion.scm 66 */
obj_t BgL_reczd2callszd2_1389;
{ /* Inline/recursion.scm 67 */
BgL_isfunz00_bglt BgL_obj2683z00_2170;
BgL_obj2683z00_2170 = 
(BgL_isfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
{ 
obj_t BgL_auxz00_3944;
{ /* Inline/recursion.scm 67 */
BgL_objectz00_bglt BgL_auxz00_3945;
BgL_auxz00_3945 = 
(BgL_objectz00_bglt)(BgL_obj2683z00_2170); 
BgL_auxz00_3944 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3945); } 
BgL_reczd2callszd2_1389 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_3944))->BgL_recursivezd2callszd2); } } 
{ /* Inline/recursion.scm 67 */
obj_t BgL_oldzd2argszd2_1390;
{ /* Inline/recursion.scm 68 */
BgL_sfunz00_bglt BgL_obj1369z00_2171;
BgL_obj1369z00_2171 = 
(BgL_sfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
BgL_oldzd2argszd2_1390 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2171))->BgL_argsz00); } 
{ /* Inline/recursion.scm 68 */
obj_t BgL_invzd2argszd2_1391;
BgL_invzd2argszd2_1391 = 
BGl_invariantzd2argszd2zzinline_variantz00(BgL_variablez00_1385, BgL_reczd2callszd2_1389); 
{ /* Inline/recursion.scm 69 */
obj_t BgL_varzd2argszd2_1392;
BgL_varzd2argszd2_1392 = 
BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_1385); 
{ /* Inline/recursion.scm 70 */
obj_t BgL_newzd2argszd2_1393;
if(
NULLP(BgL_varzd2argszd2_1392))
{ /* Inline/recursion.scm 71 */
BgL_newzd2argszd2_1393 = BNIL; }  else 
{ /* Inline/recursion.scm 71 */
obj_t BgL_head2775z00_1481;
BgL_head2775z00_1481 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2773z00_1482;obj_t BgL_tail2776z00_1483;
BgL_l2773z00_1482 = BgL_varzd2argszd2_1392; 
BgL_tail2776z00_1483 = BgL_head2775z00_1481; 
BgL_lname2774z00_1484:
if(
NULLP(BgL_l2773z00_1482))
{ /* Inline/recursion.scm 71 */
BgL_newzd2argszd2_1393 = 
CDR(BgL_head2775z00_1481); }  else 
{ /* Inline/recursion.scm 72 */
obj_t BgL_newtail2777z00_1486;
{ /* Inline/recursion.scm 72 */
BgL_localz00_bglt BgL_arg2908z00_1488;
{ /* Inline/recursion.scm 72 */
obj_t BgL_lz00_1490;
BgL_lz00_1490 = 
CAR(BgL_l2773z00_1482); 
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_arg2910z00_1491;
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_duplicated2778z00_1492;
{ /* Inline/recursion.scm 74 */
BgL_localz00_bglt BgL_obj1255z00_2178;
BgL_obj1255z00_2178 = 
(BgL_localz00_bglt)(BgL_lz00_1490); 
{ /* Inline/recursion.scm 74 */
BgL_valuez00_bglt BgL_auxz00_3961;
BgL_auxz00_3961 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2178))->BgL_valuez00); 
BgL_duplicated2778z00_1492 = 
(BgL_svarz00_bglt)(BgL_auxz00_3961); } } 
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_new2779z00_1493;
{ /* Inline/recursion.scm 74 */
obj_t BgL_arg2911z00_1494;
BgL_arg2911z00_1494 = 
(((BgL_svarz00_bglt)CREF(BgL_duplicated2778z00_1492))->BgL_locz00); 
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_res3107z00_2192;
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_new1495z00_2181;
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_res3105z00_2187;
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_new1497z00_2182;
BgL_new1497z00_2182 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Inline/recursion.scm 74 */
long BgL_arg3003z00_2183;
BgL_arg3003z00_2183 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Inline/recursion.scm 74 */
BgL_objectz00_bglt BgL_auxz00_3967;
BgL_auxz00_3967 = 
(BgL_objectz00_bglt)(BgL_new1497z00_2182); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3967, BgL_arg3003z00_2183); } } 
{ /* Inline/recursion.scm 74 */
BgL_objectz00_bglt BgL_auxz00_3970;
BgL_auxz00_3970 = 
(BgL_objectz00_bglt)(BgL_new1497z00_2182); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3970, BFALSE); } 
{ /* Inline/recursion.scm 74 */
obj_t BgL_auxz00_3973;
BgL_auxz00_3973 = 
(obj_t)(BgL_new1497z00_2182); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3973); } BUNSPEC; 
BgL_res3105z00_2187 = BgL_new1497z00_2182; } 
BgL_new1495z00_2181 = BgL_res3105z00_2187; } 
{ /* Inline/recursion.scm 74 */
BgL_svarz00_bglt BgL_res3106z00_2191;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_2181))->BgL_locz00) = ((obj_t)BgL_arg2911z00_1494), BUNSPEC); 
BgL_res3106z00_2191 = BgL_new1495z00_2181; BgL_res3106z00_2191; } 
BgL_res3107z00_2192 = BgL_new1495z00_2181; } 
BgL_new2779z00_1493 = BgL_res3107z00_2192; } } 
{ /* Inline/recursion.scm 74 */

BgL_arg2910z00_1491 = BgL_new2779z00_1493; } } } 
BgL_arg2908z00_1488 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_lz00_1490), 
(BgL_valuez00_bglt)(BgL_arg2910z00_1491)); } } 
{ /* Inline/recursion.scm 71 */
obj_t BgL_auxz00_3980;
BgL_auxz00_3980 = 
(obj_t)(BgL_arg2908z00_1488); 
BgL_newtail2777z00_1486 = 
MAKE_PAIR(BgL_auxz00_3980, BNIL); } } 
SET_CDR(BgL_tail2776z00_1483, BgL_newtail2777z00_1486); 
{ 
obj_t BgL_tail2776z00_3986;obj_t BgL_l2773z00_3984;
BgL_l2773z00_3984 = 
CDR(BgL_l2773z00_1482); 
BgL_tail2776z00_3986 = BgL_newtail2777z00_1486; 
BgL_tail2776z00_1483 = BgL_tail2776z00_3986; 
BgL_l2773z00_1482 = BgL_l2773z00_3984; 
goto BgL_lname2774z00_1484;} } } } 
{ /* Inline/recursion.scm 71 */
obj_t BgL_substitutez00_1394;
{ /* Inline/recursion.scm 76 */
obj_t BgL_auxz00_3987;
{ /* Inline/recursion.scm 76 */
BgL_appz00_bglt BgL_obj1725z00_2198;
BgL_obj1725z00_2198 = 
(BgL_appz00_bglt)(BgL_nodez00_4); 
BgL_auxz00_3987 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2198))->BgL_argsz00); } 
BgL_substitutez00_1394 = 
BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_1385, BgL_auxz00_3987, BgL_newzd2argszd2_1393); } 
{ /* Inline/recursion.scm 76 */
obj_t BgL_oldzd2bodyzd2_1395;
{ /* Inline/recursion.scm 77 */
bool_t BgL_test2903z00_1477;
BgL_test2903z00_1477 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_oldzd2sfunzd2_1388), BGl_isfunz00zzinline_inlinez00); 
if(BgL_test2903z00_1477)
{ /* Inline/recursion.scm 78 */
BgL_isfunz00_bglt BgL_obj2682z00_2200;
BgL_obj2682z00_2200 = 
(BgL_isfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
{ /* Inline/recursion.scm 78 */
BgL_nodez00_bglt BgL_auxz00_3995;
{ 
obj_t BgL_auxz00_3996;
{ /* Inline/recursion.scm 78 */
BgL_objectz00_bglt BgL_auxz00_3997;
BgL_auxz00_3997 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_2200); 
BgL_auxz00_3996 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3997); } 
BgL_auxz00_3995 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_3996))->BgL_originalzd2bodyzd2); } 
BgL_oldzd2bodyzd2_1395 = 
(obj_t)(BgL_auxz00_3995); } }  else 
{ /* Inline/recursion.scm 79 */
BgL_sfunz00_bglt BgL_obj1372z00_2201;
BgL_obj1372z00_2201 = 
(BgL_sfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
BgL_oldzd2bodyzd2_1395 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2201))->BgL_bodyz00); } } 
{ /* Inline/recursion.scm 77 */
obj_t BgL_svgzd2callszd2argsz00_1396;
if(
NULLP(BgL_reczd2callszd2_1389))
{ /* Inline/recursion.scm 80 */
BgL_svgzd2callszd2argsz00_1396 = BNIL; }  else 
{ /* Inline/recursion.scm 80 */
obj_t BgL_head2782z00_1467;
BgL_head2782z00_1467 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2780z00_1468;obj_t BgL_tail2783z00_1469;
BgL_l2780z00_1468 = BgL_reczd2callszd2_1389; 
BgL_tail2783z00_1469 = BgL_head2782z00_1467; 
BgL_lname2781z00_1470:
if(
NULLP(BgL_l2780z00_1468))
{ /* Inline/recursion.scm 80 */
BgL_svgzd2callszd2argsz00_1396 = 
CDR(BgL_head2782z00_1467); }  else 
{ /* Inline/recursion.scm 80 */
obj_t BgL_newtail2784z00_1472;
{ /* Inline/recursion.scm 80 */
obj_t BgL_auxz00_4010;
{ /* Inline/recursion.scm 80 */
BgL_appz00_bglt BgL_obj1725z00_2208;
{ /* Inline/recursion.scm 80 */
obj_t BgL_auxz00_4011;
BgL_auxz00_4011 = 
CAR(BgL_l2780z00_1468); 
BgL_obj1725z00_2208 = 
(BgL_appz00_bglt)(BgL_auxz00_4011); } 
BgL_auxz00_4010 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2208))->BgL_argsz00); } 
BgL_newtail2784z00_1472 = 
MAKE_PAIR(BgL_auxz00_4010, BNIL); } 
SET_CDR(BgL_tail2783z00_1469, BgL_newtail2784z00_1472); 
{ 
obj_t BgL_tail2783z00_4019;obj_t BgL_l2780z00_4017;
BgL_l2780z00_4017 = 
CDR(BgL_l2780z00_1468); 
BgL_tail2783z00_4019 = BgL_newtail2784z00_1472; 
BgL_tail2783z00_1469 = BgL_tail2783z00_4019; 
BgL_l2780z00_1468 = BgL_l2780z00_4017; 
goto BgL_lname2781z00_1470;} } } } 
{ /* Inline/recursion.scm 80 */
bool_t BgL_removez12z12_1397;
{ 
obj_t BgL_l2785z00_1460;
BgL_l2785z00_1460 = BgL_reczd2callszd2_1389; 
BgL_lname2786z00_1461:
if(
PAIRP(BgL_l2785z00_1460))
{ /* Inline/recursion.scm 81 */
{ /* Inline/recursion.scm 81 */
BgL_appz00_bglt BgL_auxz00_4022;
{ /* Inline/recursion.scm 81 */
obj_t BgL_auxz00_4023;
BgL_auxz00_4023 = 
CAR(BgL_l2785z00_1460); 
BgL_auxz00_4022 = 
(BgL_appz00_bglt)(BgL_auxz00_4023); } 
BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_auxz00_4022); } 
{ 
obj_t BgL_l2785z00_4027;
BgL_l2785z00_4027 = 
CDR(BgL_l2785z00_1460); 
BgL_l2785z00_1460 = BgL_l2785z00_4027; 
goto BgL_lname2786z00_1461;} }  else 
{ /* Inline/recursion.scm 81 */
BgL_removez12z12_1397 = ((bool_t)1); } } 
{ /* Inline/recursion.scm 81 */
BgL_nodez00_bglt BgL_newzd2bodyzd2_1398;
{ /* Inline/recursion.scm 82 */
obj_t BgL_arg2892z00_1457;obj_t BgL_arg2893z00_1458;obj_t BgL_arg2894z00_1459;
{ /* Inline/recursion.scm 82 */
obj_t BgL_auxz00_4029;
BgL_auxz00_4029 = 
(obj_t)(BgL_variablez00_1385); 
BgL_arg2892z00_1457 = 
MAKE_PAIR(BgL_auxz00_4029, BgL_oldzd2argszd2_1390); } 
{ /* Inline/recursion.scm 83 */
obj_t BgL_auxz00_4032;
BgL_auxz00_4032 = 
(obj_t)(BgL_localz00_1387); 
BgL_arg2893z00_1458 = 
MAKE_PAIR(BgL_auxz00_4032, BgL_substitutez00_1394); } 
BgL_arg2894z00_1459 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_4))->BgL_locz00); 
BgL_newzd2bodyzd2_1398 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg2892z00_1457, BgL_arg2893z00_1458, BgL_arg2894z00_1459, 
(BgL_nodez00_bglt)(BgL_oldzd2bodyzd2_1395)); } 
{ /* Inline/recursion.scm 82 */
bool_t BgL_restorez12z12_1399;
{ 
obj_t BgL_ll2787z00_1449;obj_t BgL_ll2788z00_1450;
BgL_ll2787z00_1449 = BgL_reczd2callszd2_1389; 
BgL_ll2788z00_1450 = BgL_svgzd2callszd2argsz00_1396; 
BgL_lname2789z00_1451:
if(
NULLP(BgL_ll2787z00_1449))
{ /* Inline/recursion.scm 86 */
BgL_restorez12z12_1399 = ((bool_t)1); }  else 
{ /* Inline/recursion.scm 86 */
{ /* Inline/recursion.scm 87 */
obj_t BgL_argsz00_1454;
BgL_argsz00_1454 = 
CAR(BgL_ll2788z00_1450); 
{ /* Inline/recursion.scm 87 */
BgL_appz00_bglt BgL_obj1727z00_2221;
{ /* Inline/recursion.scm 87 */
obj_t BgL_auxz00_4041;
BgL_auxz00_4041 = 
CAR(BgL_ll2787z00_1449); 
BgL_obj1727z00_2221 = 
(BgL_appz00_bglt)(BgL_auxz00_4041); } 
((((BgL_appz00_bglt)CREF(BgL_obj1727z00_2221))->BgL_argsz00) = ((obj_t)BgL_argsz00_1454), BUNSPEC); } } 
{ 
obj_t BgL_ll2788z00_4047;obj_t BgL_ll2787z00_4045;
BgL_ll2787z00_4045 = 
CDR(BgL_ll2787z00_1449); 
BgL_ll2788z00_4047 = 
CDR(BgL_ll2788z00_1450); 
BgL_ll2788z00_1450 = BgL_ll2788z00_4047; 
BgL_ll2787z00_1449 = BgL_ll2787z00_4045; 
goto BgL_lname2789z00_1451;} } } 
{ /* Inline/recursion.scm 86 */
BgL_sfunz00_bglt BgL_newzd2sfunzd2_1400;
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_duplicated2790z00_1435;
BgL_duplicated2790z00_1435 = 
(BgL_sfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_new2791z00_1436;
{ /* Inline/recursion.scm 90 */
long BgL_arg2877z00_1437;obj_t BgL_arg2878z00_1438;obj_t BgL_arg2879z00_1439;obj_t BgL_arg2880z00_1440;bool_t BgL_arg2881z00_1441;obj_t BgL_arg2882z00_1442;obj_t BgL_arg2883z00_1443;obj_t BgL_arg2884z00_1444;obj_t BgL_arg2886z00_1446;obj_t BgL_arg2887z00_1447;obj_t BgL_arg2888z00_1448;
BgL_arg2877z00_1437 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_arityz00); 
BgL_arg2878z00_1438 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_sidezd2effectzf3z21); 
BgL_arg2879z00_1439 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_predicatezd2ofzd2); 
BgL_arg2880z00_1440 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_stackzd2allocatorzd2); 
BgL_arg2881z00_1441 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_topzf3zf3); 
BgL_arg2882z00_1442 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_thezd2closurezd2); 
BgL_arg2883z00_1443 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_propertyz00); 
BgL_arg2884z00_1444 = BgL_newzd2argszd2_1393; 
BgL_arg2886z00_1446 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2887z00_1447 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_dssslzd2keywordszd2); 
BgL_arg2888z00_1448 = 
(((BgL_sfunz00_bglt)CREF(BgL_duplicated2790z00_1435))->BgL_locz00); 
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_res3110z00_2279;
{ /* Inline/recursion.scm 90 */
obj_t BgL_body1419z00_2242;
{ /* Inline/recursion.scm 90 */
BgL_nodez00_bglt BgL_auxz00_4060;
BgL_auxz00_4060 = BgL_newzd2bodyzd2_1398; 
BgL_body1419z00_2242 = 
(obj_t)(BgL_auxz00_4060); } 
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_new1423z00_2246;
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_res3108z00_2252;
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_new1425z00_2247;
BgL_new1425z00_2247 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Inline/recursion.scm 90 */
long BgL_arg3005z00_2248;
BgL_arg3005z00_2248 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Inline/recursion.scm 90 */
BgL_objectz00_bglt BgL_auxz00_4064;
BgL_auxz00_4064 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2247); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4064, BgL_arg3005z00_2248); } } 
{ /* Inline/recursion.scm 90 */
BgL_objectz00_bglt BgL_auxz00_4067;
BgL_auxz00_4067 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2247); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4067, BFALSE); } 
{ /* Inline/recursion.scm 90 */
obj_t BgL_auxz00_4070;
BgL_auxz00_4070 = 
(obj_t)(BgL_new1425z00_2247); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4070); } BUNSPEC; 
BgL_res3108z00_2252 = BgL_new1425z00_2247; } 
BgL_new1423z00_2246 = BgL_res3108z00_2252; } 
{ /* Inline/recursion.scm 90 */
BgL_sfunz00_bglt BgL_res3109z00_2278;
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_arityz00) = ((long)BgL_arg2877z00_1437), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg2878z00_1438), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_arg2879z00_1439), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_arg2880z00_1440), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_topzf3zf3) = ((bool_t)BgL_arg2881z00_1441), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_thezd2closurezd2) = ((obj_t)BgL_arg2882z00_1442), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_propertyz00) = ((obj_t)BgL_arg2883z00_1443), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_argsz00) = ((obj_t)BgL_arg2884z00_1444), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_bodyz00) = ((obj_t)BgL_body1419z00_2242), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_classz00) = ((obj_t)BgL_arg2886z00_1446), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_arg2887z00_1447), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2246))->BgL_locz00) = ((obj_t)BgL_arg2888z00_1448), BUNSPEC); 
BgL_res3109z00_2278 = BgL_new1423z00_2246; BgL_res3109z00_2278; } 
BgL_res3110z00_2279 = BgL_new1423z00_2246; } } 
BgL_new2791z00_1436 = BgL_res3110z00_2279; } } 
{ /* Inline/recursion.scm 90 */

BgL_newzd2sfunzd2_1400 = BgL_new2791z00_1436; } } } 
{ /* Inline/recursion.scm 90 */
obj_t BgL_newzd2kfactorzd2_1401;
BgL_newzd2kfactorzd2_1401 = 
PROCEDURE_ENTRY(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00, 
BINT(BgL_kfactorz00_5), BEOA); 
{ /* Inline/recursion.scm 94 */

{ 
obj_t BgL_ll2792z00_1402;obj_t BgL_ll2793z00_1403;
BgL_ll2792z00_1402 = BgL_newzd2argszd2_1393; 
BgL_ll2793z00_1403 = BgL_oldzd2argszd2_1390; 
BgL_lname2794z00_1404:
if(
NULLP(BgL_ll2792z00_1402))
{ /* Inline/recursion.scm 96 */((bool_t)1); }  else 
{ /* Inline/recursion.scm 96 */
{ /* Inline/recursion.scm 97 */
bool_t BgL_arg2852z00_1408;
{ /* Inline/recursion.scm 97 */
BgL_localz00_bglt BgL_obj1270z00_2283;
{ /* Inline/recursion.scm 97 */
obj_t BgL_auxz00_4090;
BgL_auxz00_4090 = 
CAR(BgL_ll2793z00_1403); 
BgL_obj1270z00_2283 = 
(BgL_localz00_bglt)(BgL_auxz00_4090); } 
BgL_arg2852z00_1408 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2283))->BgL_userzf3zf3); } 
{ /* Inline/recursion.scm 97 */
BgL_localz00_bglt BgL_obj1272z00_2284;
{ /* Inline/recursion.scm 97 */
obj_t BgL_auxz00_4094;
BgL_auxz00_4094 = 
CAR(BgL_ll2792z00_1402); 
BgL_obj1272z00_2284 = 
(BgL_localz00_bglt)(BgL_auxz00_4094); } 
((((BgL_localz00_bglt)CREF(BgL_obj1272z00_2284))->BgL_userzf3zf3) = ((bool_t)BgL_arg2852z00_1408), BUNSPEC); } } 
{ 
obj_t BgL_ll2793z00_4100;obj_t BgL_ll2792z00_4098;
BgL_ll2792z00_4098 = 
CDR(BgL_ll2792z00_1402); 
BgL_ll2793z00_4100 = 
CDR(BgL_ll2793z00_1403); 
BgL_ll2793z00_1403 = BgL_ll2793z00_4100; 
BgL_ll2792z00_1402 = BgL_ll2792z00_4098; 
goto BgL_lname2794z00_1404;} } } 
{ /* Inline/recursion.scm 102 */
bool_t BgL_arg2855z00_1411;
{ /* Inline/recursion.scm 102 */
bool_t BgL_test2856z00_1412;
BgL_test2856z00_1412 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_variablez00_1385), BGl_globalz00zzast_varz00); 
if(BgL_test2856z00_1412)
{ /* Inline/recursion.scm 102 */
{ /* Inline/recursion.scm 103 */
BgL_globalz00_bglt BgL_obj1182z00_2289;
BgL_obj1182z00_2289 = 
(BgL_globalz00_bglt)(BgL_variablez00_1385); 
BgL_arg2855z00_1411 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1182z00_2289))->BgL_userzf3zf3); } }  else 
{ /* Inline/recursion.scm 104 */
bool_t BgL_test2857z00_1413;
BgL_test2857z00_1413 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_variablez00_1385), BGl_localz00zzast_varz00); 
if(BgL_test2857z00_1413)
{ /* Inline/recursion.scm 104 */
{ /* Inline/recursion.scm 105 */
BgL_localz00_bglt BgL_obj1270z00_2291;
BgL_obj1270z00_2291 = 
(BgL_localz00_bglt)(BgL_variablez00_1385); 
BgL_arg2855z00_1411 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2291))->BgL_userzf3zf3); } }  else 
{ /* Inline/recursion.scm 104 */
BgL_arg2855z00_1411 = ((bool_t)0); } } } 
((((BgL_localz00_bglt)CREF(BgL_localz00_1387))->BgL_userzf3zf3) = ((bool_t)BgL_arg2855z00_1411), BUNSPEC); } 
{ /* Inline/recursion.scm 108 */
BgL_valuez00_bglt BgL_val1256z00_2295;
BgL_val1256z00_2295 = 
(BgL_valuez00_bglt)(BgL_newzd2sfunzd2_1400); 
((((BgL_localz00_bglt)CREF(BgL_localz00_1387))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_val1256z00_2295), BUNSPEC); } 
{ /* Inline/recursion.scm 117 */
bool_t BgL_testz00_4115;
{ /* Inline/recursion.scm 117 */
obj_t BgL_auxz00_4116;
{ /* Inline/recursion.scm 117 */
obj_t BgL_auxz00_4117;
{ /* Inline/recursion.scm 117 */
BgL_sfunz00_bglt BgL_obj1376z00_2296;
BgL_obj1376z00_2296 = 
(BgL_sfunz00_bglt)(BgL_oldzd2sfunzd2_1388); 
BgL_auxz00_4117 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_2296))->BgL_classz00); } 
BgL_auxz00_4116 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_4117, 
CNST_TABLE_REF(((long)1))); } 
BgL_testz00_4115 = 
CBOOL(BgL_auxz00_4116); } 
if(BgL_testz00_4115)
{ /* Inline/recursion.scm 117 */BFALSE; }  else 
{ /* Inline/recursion.scm 118 */
bool_t BgL_test2859z00_1416;
BgL_test2859z00_1416 = 
BGl_zc3zd3z10zz__r4_numbers_6_5z00(
BINT(((long)3)), BGl_za2verboseza2z00zzengine_paramz00, BNIL); 
if(BgL_test2859z00_1416)
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2861z00_1418;obj_t BgL_arg2863z00_1420;
BgL_arg2861z00_1418 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_variablez00_1385)); 
BgL_arg2863z00_1420 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* Inline/recursion.scm 118 */
obj_t BgL_list2865z00_1422;
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2866z00_1423;
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2867z00_1424;
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2868z00_1425;
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2869z00_1426;
{ /* Inline/recursion.scm 118 */
obj_t BgL_arg2870z00_1427;
{ /* Inline/recursion.scm 118 */
obj_t BgL_auxz00_4129;
BgL_auxz00_4129 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2870z00_1427 = 
MAKE_PAIR(BgL_auxz00_4129, BNIL); } 
BgL_arg2869z00_1426 = 
MAKE_PAIR(BGl_string3192z00zzinline_recursionz00, BgL_arg2870z00_1427); } 
BgL_arg2868z00_1425 = 
MAKE_PAIR(BgL_arg2863z00_1420, BgL_arg2869z00_1426); } 
BgL_arg2867z00_1424 = 
MAKE_PAIR(BGl_string3193z00zzinline_recursionz00, BgL_arg2868z00_1425); } 
BgL_arg2866z00_1423 = 
MAKE_PAIR(BgL_arg2861z00_1418, BgL_arg2867z00_1424); } 
BgL_list2865z00_1422 = 
MAKE_PAIR(BGl_string3194z00zzinline_recursionz00, BgL_arg2866z00_1423); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2865z00_1422); } }  else 
{ /* Inline/recursion.scm 118 */BUNSPEC; } } } 
BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
(BgL_variablez00_bglt)(BgL_localz00_1387), 
(long)CINT(BgL_newzd2kfactorzd2_1401), BgL_stackz00_6); 
{ /* Inline/recursion.scm 128 */
BgL_appz00_bglt BgL_newzd2callzd2_1431;
BgL_newzd2callzd2_1431 = 
BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
(BgL_appz00_bglt)(BgL_nodez00_4)); 
{ /* Inline/recursion.scm 129 */
bool_t BgL_test2874z00_1432;
if(
CBOOL(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
{ /* Inline/recursion.scm 130 */
bool_t BgL_test2875z00_1433;
BgL_test2875z00_1433 = 
BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1385); 
if(BgL_test2875z00_1433)
{ /* Inline/recursion.scm 133 */
bool_t BgL_test2876z00_1434;
BgL_test2876z00_1434 = 
BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1385); 
if(BgL_test2876z00_1434)
{ /* Inline/recursion.scm 133 */
BgL_test2874z00_1432 = ((bool_t)0); }  else 
{ /* Inline/recursion.scm 133 */
BgL_test2874z00_1432 = 
BGl_inlinezd2appzf3z21zzinline_appz00(
(BgL_variablez00_bglt)(BgL_localz00_1387), 
(long)CINT(BgL_newzd2kfactorzd2_1401), BgL_callzd2siza7ez75_1386, BgL_stackz00_6); } }  else 
{ /* Inline/recursion.scm 130 */
BgL_test2874z00_1432 = ((bool_t)0); } }  else 
{ /* Inline/recursion.scm 129 */
BgL_test2874z00_1432 = ((bool_t)0); } 
if(BgL_test2874z00_1432)
{ /* Inline/recursion.scm 129 */
return 
BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_1385, BgL_nodez00_4, BgL_localz00_1387, BgL_newzd2kfactorzd2_1401, BgL_newzd2callzd2_1431, BgL_stackz00_6);}  else 
{ /* Inline/recursion.scm 136 */
BgL_letzd2funzd2_bglt BgL_auxz00_4155;
BgL_auxz00_4155 = 
BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_1385, BgL_nodez00_4, BgL_localz00_1387, BgL_newzd2callzd2_1431, BgL_stackz00_6); 
return 
(obj_t)(BgL_auxz00_4155);} } } } } } } } } } } } } } } } } } } } } } 
}



/* plain-call */
BgL_letzd2funzd2_bglt BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt BgL_variablez00_7, BgL_nodez00_bglt BgL_nodez00_8, BgL_localz00_bglt BgL_localz00_9, BgL_appz00_bglt BgL_newzd2callzd2_10, obj_t BgL_stackz00_11)
{ AN_OBJECT;
{ /* Inline/recursion.scm 141 */
BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_7); 
{ /* Inline/recursion.scm 151 */
obj_t BgL_locz00_1502;
BgL_locz00_1502 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_8))->BgL_locz00); 
{ /* Inline/recursion.scm 153 */
obj_t BgL_arg2919z00_1503;BgL_typez00_bglt BgL_arg2920z00_1504;obj_t BgL_arg2922z00_1506;BgL_nodez00_bglt BgL_arg2923z00_1507;
BgL_arg2919z00_1503 = BgL_locz00_1502; 
BgL_arg2920z00_1504 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_8))->BgL_typez00); 
{ /* Inline/recursion.scm 155 */
obj_t BgL_list2924z00_1508;
{ /* Inline/recursion.scm 155 */
obj_t BgL_auxz00_4161;
BgL_auxz00_4161 = 
(obj_t)(BgL_localz00_9); 
BgL_list2924z00_1508 = 
MAKE_PAIR(BgL_auxz00_4161, BNIL); } 
BgL_arg2922z00_1506 = BgL_list2924z00_1508; } 
{ /* Inline/recursion.scm 156 */
obj_t BgL_arg2925z00_1509;obj_t BgL_arg2926z00_1510;
{ /* Inline/recursion.scm 156 */
obj_t BgL_list2927z00_1511;
{ /* Inline/recursion.scm 156 */
obj_t BgL_auxz00_4164;
BgL_auxz00_4164 = 
(obj_t)(BgL_variablez00_7); 
BgL_list2927z00_1511 = 
MAKE_PAIR(BgL_auxz00_4164, BNIL); } 
BgL_arg2925z00_1509 = BgL_list2927z00_1511; } 
{ /* Inline/recursion.scm 156 */
obj_t BgL_list2928z00_1512;
{ /* Inline/recursion.scm 156 */
obj_t BgL_auxz00_4167;
BgL_auxz00_4167 = 
(obj_t)(BgL_localz00_9); 
BgL_list2928z00_1512 = 
MAKE_PAIR(BgL_auxz00_4167, BNIL); } 
BgL_arg2926z00_1510 = BgL_list2928z00_1512; } 
BgL_arg2923z00_1507 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg2925z00_1509, BgL_arg2926z00_1510, BgL_locz00_1502, 
(BgL_nodez00_bglt)(BgL_newzd2callzd2_10)); } 
{ /* Inline/recursion.scm 152 */
BgL_letzd2funzd2_bglt BgL_res3116z00_2332;
{ /* Inline/recursion.scm 152 */
obj_t BgL_key2449z00_2308;
BgL_key2449z00_2308 = 
BINT(((long)-1)); 
{ /* Inline/recursion.scm 152 */
BgL_letzd2funzd2_bglt BgL_new2452z00_2311;
{ /* Inline/recursion.scm 152 */
BgL_letzd2funzd2_bglt BgL_res3114z00_2317;
{ /* Inline/recursion.scm 152 */
BgL_letzd2funzd2_bglt BgL_new2454z00_2312;
BgL_new2454z00_2312 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Inline/recursion.scm 152 */
long BgL_arg2974z00_2313;
BgL_arg2974z00_2313 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Inline/recursion.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4175;
BgL_auxz00_4175 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2312); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4175, BgL_arg2974z00_2313); } } 
{ /* Inline/recursion.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4178;
BgL_auxz00_4178 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2312); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4178, BFALSE); } 
{ /* Inline/recursion.scm 152 */
obj_t BgL_auxz00_4181;
BgL_auxz00_4181 = 
(obj_t)(BgL_new2454z00_2312); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4181); } BUNSPEC; 
BgL_res3114z00_2317 = BgL_new2454z00_2312; } 
BgL_new2452z00_2311 = BgL_res3114z00_2317; } 
{ /* Inline/recursion.scm 152 */
BgL_letzd2funzd2_bglt BgL_res3115z00_2331;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_locz00) = ((obj_t)BgL_arg2919z00_1503), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2920z00_1504), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_keyz00) = ((obj_t)BgL_key2449z00_2308), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_localsz00) = ((obj_t)BgL_arg2922z00_1506), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2311))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2923z00_1507), BUNSPEC); 
BgL_res3115z00_2331 = BgL_new2452z00_2311; BgL_res3115z00_2331; } 
BgL_res3116z00_2332 = BgL_new2452z00_2311; } } 
return BgL_res3116z00_2332;} } } } 
}



/* unroll-call */
obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt BgL_variablez00_12, BgL_nodez00_bglt BgL_nodez00_13, BgL_localz00_bglt BgL_localz00_14, obj_t BgL_kfactorz00_15, BgL_appz00_bglt BgL_callz00_16, obj_t BgL_stackz00_17)
{ AN_OBJECT;
{ /* Inline/recursion.scm 161 */
{ /* Inline/recursion.scm 167 */
obj_t BgL_locz00_1513;
{ /* Inline/recursion.scm 167 */
BgL_nodez00_bglt BgL_obj1549z00_2333;
BgL_obj1549z00_2333 = 
(BgL_nodez00_bglt)(BgL_callz00_16); 
BgL_locz00_1513 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2333))->BgL_locz00); } 
{ /* Inline/recursion.scm 167 */
BgL_nodez00_bglt BgL_newzd2callzd2_1514;
{ /* Inline/recursion.scm 168 */
obj_t BgL_arg2942z00_1534;obj_t BgL_arg2943z00_1535;
{ /* Inline/recursion.scm 168 */
obj_t BgL_list2944z00_1536;
{ /* Inline/recursion.scm 168 */
obj_t BgL_auxz00_4192;
BgL_auxz00_4192 = 
(obj_t)(BgL_variablez00_12); 
BgL_list2944z00_1536 = 
MAKE_PAIR(BgL_auxz00_4192, BNIL); } 
BgL_arg2942z00_1534 = BgL_list2944z00_1536; } 
{ /* Inline/recursion.scm 168 */
obj_t BgL_list2945z00_1537;
{ /* Inline/recursion.scm 168 */
obj_t BgL_auxz00_4195;
BgL_auxz00_4195 = 
(obj_t)(BgL_localz00_14); 
BgL_list2945z00_1537 = 
MAKE_PAIR(BgL_auxz00_4195, BNIL); } 
BgL_arg2943z00_1535 = BgL_list2945z00_1537; } 
BgL_newzd2callzd2_1514 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg2942z00_1534, BgL_arg2943z00_1535, BgL_locz00_1513, 
(BgL_nodez00_bglt)(BgL_callz00_16)); } 
{ /* Inline/recursion.scm 169 */
BgL_nodez00_bglt BgL_newzd2bodyzd2_1516;
{ /* Inline/recursion.scm 172 */
obj_t BgL_arg2939z00_1531;
{ /* Inline/recursion.scm 172 */
obj_t BgL_auxz00_4200;
BgL_auxz00_4200 = 
(obj_t)(BgL_localz00_14); 
BgL_arg2939z00_1531 = 
MAKE_PAIR(BgL_auxz00_4200, BgL_stackz00_17); } 
BgL_newzd2bodyzd2_1516 = 
BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_newzd2callzd2_1514, 
(long)CINT(BgL_kfactorz00_15), BgL_arg2939z00_1531, BGl_string3195z00zzinline_recursionz00); } 
{ /* Inline/recursion.scm 170 */

BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_12); 
{ /* Inline/recursion.scm 181 */
obj_t BgL__z00_1517;
{ /* Inline/recursion.scm 186 */
BgL_nodez00_bglt BgL_arg2929z00_1519;
{ /* Inline/recursion.scm 186 */
obj_t BgL_zc3anonymousza32932ze3z83_3792;
{ 
int BgL_auxz00_4208;int BgL_auxz00_4206;
BgL_auxz00_4208 = 
(int)(((long)2)); 
BgL_auxz00_4206 = 
(int)(((long)1)); 
BgL_zc3anonymousza32932ze3z83_3792 = 
make_fx_procedure(BGl_zc3anonymousza32932ze3z83zzinline_recursionz00, BgL_auxz00_4206, BgL_auxz00_4208); } 
{ /* Inline/recursion.scm 186 */
int BgL_auxz00_4211;
BgL_auxz00_4211 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_3792, BgL_auxz00_4211, BgL_locz00_1513); } 
{ /* Inline/recursion.scm 186 */
obj_t BgL_auxz00_4216;int BgL_auxz00_4214;
BgL_auxz00_4216 = 
(obj_t)(BgL_localz00_14); 
BgL_auxz00_4214 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_3792, BgL_auxz00_4214, BgL_auxz00_4216); } 
BgL_arg2929z00_1519 = 
BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_newzd2bodyzd2_1516, BgL_localz00_14, BgL_zc3anonymousza32932ze3z83_3792); } 
BgL__z00_1517 = 
BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg2929z00_1519, BNIL); } 
{ /* Inline/recursion.scm 181 */
obj_t BgL_nodez00_1518;
BgL_nodez00_1518 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
return BgL_nodez00_1518;} } } } } } } 
}



/* <anonymous:2932> */
obj_t BGl_zc3anonymousza32932ze3z83zzinline_recursionz00(obj_t BgL_envz00_3793, obj_t BgL_nodez00_3796)
{ AN_OBJECT;
{ /* Inline/recursion.scm 184 */
{ /* Inline/recursion.scm 186 */
obj_t BgL_locz00_3794;obj_t BgL_localz00_3795;
{ /* Inline/recursion.scm 186 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(((long)0)); 
BgL_locz00_3794 = 
PROCEDURE_REF(BgL_envz00_3793, BgL_auxz00_4221); } 
{ /* Inline/recursion.scm 186 */
int BgL_auxz00_4224;
BgL_auxz00_4224 = 
(int)(((long)1)); 
BgL_localz00_3795 = 
PROCEDURE_REF(BgL_envz00_3793, BgL_auxz00_4224); } 
{ 
obj_t BgL_nodez00_1522;
{ /* Inline/recursion.scm 186 */
BgL_letzd2funzd2_bglt BgL_auxz00_4227;
BgL_nodez00_1522 = BgL_nodez00_3796; 
{ /* Inline/recursion.scm 186 */
obj_t BgL_arg2933z00_1524;BgL_typez00_bglt BgL_arg2934z00_1525;obj_t BgL_arg2936z00_1527;obj_t BgL_arg2937z00_1528;
BgL_arg2933z00_1524 = BgL_locz00_3794; 
{ /* Inline/recursion.scm 187 */
BgL_nodez00_bglt BgL_obj1550z00_2340;
BgL_obj1550z00_2340 = 
(BgL_nodez00_bglt)(BgL_nodez00_1522); 
BgL_arg2934z00_1525 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2340))->BgL_typez00); } 
{ /* Inline/recursion.scm 189 */
obj_t BgL_list2938z00_1529;
BgL_list2938z00_1529 = 
MAKE_PAIR(BgL_localz00_3795, BNIL); 
BgL_arg2936z00_1527 = BgL_list2938z00_1529; } 
BgL_arg2937z00_1528 = BgL_nodez00_1522; 
{ /* Inline/recursion.scm 185 */
BgL_letzd2funzd2_bglt BgL_res3122z00_2370;
{ /* Inline/recursion.scm 185 */
obj_t BgL_key2449z00_2346;BgL_nodez00_bglt BgL_body2451z00_2348;
BgL_key2449z00_2346 = 
BINT(((long)-1)); 
BgL_body2451z00_2348 = 
(BgL_nodez00_bglt)(BgL_arg2937z00_1528); 
{ /* Inline/recursion.scm 185 */
BgL_letzd2funzd2_bglt BgL_new2452z00_2349;
{ /* Inline/recursion.scm 185 */
BgL_letzd2funzd2_bglt BgL_res3120z00_2355;
{ /* Inline/recursion.scm 185 */
BgL_letzd2funzd2_bglt BgL_new2454z00_2350;
BgL_new2454z00_2350 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Inline/recursion.scm 185 */
long BgL_arg2974z00_2351;
BgL_arg2974z00_2351 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Inline/recursion.scm 185 */
BgL_objectz00_bglt BgL_auxz00_4235;
BgL_auxz00_4235 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2350); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4235, BgL_arg2974z00_2351); } } 
{ /* Inline/recursion.scm 185 */
BgL_objectz00_bglt BgL_auxz00_4238;
BgL_auxz00_4238 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2350); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4238, BFALSE); } 
{ /* Inline/recursion.scm 185 */
obj_t BgL_auxz00_4241;
BgL_auxz00_4241 = 
(obj_t)(BgL_new2454z00_2350); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4241); } BUNSPEC; 
BgL_res3120z00_2355 = BgL_new2454z00_2350; } 
BgL_new2452z00_2349 = BgL_res3120z00_2355; } 
{ /* Inline/recursion.scm 185 */
BgL_letzd2funzd2_bglt BgL_res3121z00_2369;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_locz00) = ((obj_t)BgL_arg2933z00_1524), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2934z00_1525), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_keyz00) = ((obj_t)BgL_key2449z00_2346), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_localsz00) = ((obj_t)BgL_arg2936z00_1527), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2349))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2451z00_2348), BUNSPEC); 
BgL_res3121z00_2369 = BgL_new2452z00_2349; BgL_res3121z00_2369; } 
BgL_res3122z00_2370 = BgL_new2452z00_2349; } } 
BgL_auxz00_4227 = BgL_res3122z00_2370; } } 
return 
(obj_t)(BgL_auxz00_4227);} } } } 
}



/* is-recursive? */
bool_t BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt BgL_varz00_18)
{ AN_OBJECT;
{ /* Inline/recursion.scm 196 */
{ /* Inline/recursion.scm 198 */
BgL_valuez00_bglt BgL_sfunz00_1538;
BgL_sfunz00_1538 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_18))->BgL_valuez00); 
{ /* Inline/recursion.scm 199 */
bool_t BgL_test2946z00_1539;
BgL_test2946z00_1539 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_sfunz00_1538), BGl_isfunz00zzinline_inlinez00); 
if(BgL_test2946z00_1539)
{ /* Inline/recursion.scm 206 */
bool_t BgL_testz00_4255;
{ /* Inline/recursion.scm 206 */
obj_t BgL_auxz00_4256;
{ /* Inline/recursion.scm 206 */
BgL_isfunz00_bglt BgL_obj2683z00_2373;
BgL_obj2683z00_2373 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_1538); 
{ 
obj_t BgL_auxz00_4258;
{ /* Inline/recursion.scm 206 */
BgL_objectz00_bglt BgL_auxz00_4259;
BgL_auxz00_4259 = 
(BgL_objectz00_bglt)(BgL_obj2683z00_2373); 
BgL_auxz00_4258 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4259); } 
BgL_auxz00_4256 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4258))->BgL_recursivezd2callszd2); } } 
BgL_testz00_4255 = 
PAIRP(BgL_auxz00_4256); } 
if(BgL_testz00_4255)
{ /* Inline/recursion.scm 206 */
return ((bool_t)1);}  else 
{ /* Inline/recursion.scm 208 */
bool_t BgL_testz00_4264;
{ /* Inline/recursion.scm 208 */
obj_t BgL_auxz00_4265;
{ /* Inline/recursion.scm 208 */
BgL_isfunz00_bglt BgL_obj2683z00_2375;
BgL_obj2683z00_2375 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_1538); 
{ 
obj_t BgL_auxz00_4267;
{ /* Inline/recursion.scm 208 */
BgL_objectz00_bglt BgL_auxz00_4268;
BgL_auxz00_4268 = 
(BgL_objectz00_bglt)(BgL_obj2683z00_2375); 
BgL_auxz00_4267 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4268); } 
BgL_auxz00_4265 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4267))->BgL_recursivezd2callszd2); } } 
BgL_testz00_4264 = 
NULLP(BgL_auxz00_4265); } 
if(BgL_testz00_4264)
{ /* Inline/recursion.scm 208 */
return ((bool_t)0);}  else 
{ /* Inline/recursion.scm 208 */
{ /* Inline/recursion.scm 211 */
obj_t BgL_callsz00_1542;
{ /* Inline/recursion.scm 211 */
BgL_nodez00_bglt BgL_arg2949z00_1543;
{ /* Inline/recursion.scm 211 */
BgL_isfunz00_bglt BgL_obj2682z00_2377;
BgL_obj2682z00_2377 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_1538); 
{ 
obj_t BgL_auxz00_4274;
{ /* Inline/recursion.scm 211 */
BgL_objectz00_bglt BgL_auxz00_4275;
BgL_auxz00_4275 = 
(BgL_objectz00_bglt)(BgL_obj2682z00_2377); 
BgL_auxz00_4274 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4275); } 
BgL_arg2949z00_1543 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_4274))->BgL_originalzd2bodyzd2); } } 
{ /* Inline/recursion.scm 211 */
obj_t BgL_method2814z00_2380;
{ /* Inline/recursion.scm 211 */
long BgL_objzd2classzd2numz00_2382;
{ /* Inline/recursion.scm 211 */
BgL_objectz00_bglt BgL_auxz00_4279;
BgL_auxz00_4279 = 
(BgL_objectz00_bglt)(BgL_arg2949z00_1543); 
BgL_objzd2classzd2numz00_2382 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4279); } 
{ /* Inline/recursion.scm 211 */
obj_t BgL_arg1221z00_2383;
{ /* Inline/recursion.scm 211 */
int BgL_auxz00_4282;
BgL_auxz00_4282 = 
(int)(((long)1)); 
BgL_arg1221z00_2383 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4282); } 
{ /* Inline/recursion.scm 211 */
long BgL_offsetz00_2387;
{ /* Inline/recursion.scm 211 */
long BgL_auxz00_4285;
{ /* Inline/recursion.scm 211 */
int BgL_auxz00_4286;
BgL_auxz00_4286 = 
(int)(BgL_objzd2classzd2numz00_2382); 
BgL_auxz00_4285 = 
(long)(BgL_auxz00_4286); } 
BgL_offsetz00_2387 = 
(BgL_auxz00_4285-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 211 */
long BgL_modz00_2388;
{ /* Inline/recursion.scm 211 */
long BgL_auxz00_4290;
{ /* Inline/recursion.scm 211 */
int BgL_auxz00_4291;
BgL_auxz00_4291 = 
(int)(((long)8)); 
BgL_auxz00_4290 = 
(long)(BgL_auxz00_4291); } 
BgL_modz00_2388 = 
(BgL_offsetz00_2387/BgL_auxz00_4290); } 
{ /* Inline/recursion.scm 211 */
long BgL_restz00_2390;
{ /* Inline/recursion.scm 211 */
long BgL_auxz00_4295;
{ /* Inline/recursion.scm 211 */
int BgL_auxz00_4296;
BgL_auxz00_4296 = 
(int)(((long)8)); 
BgL_auxz00_4295 = 
(long)(BgL_auxz00_4296); } 
BgL_restz00_2390 = 
(BgL_offsetz00_2387%BgL_auxz00_4295); } 
{ /* Inline/recursion.scm 211 */

{ /* Inline/recursion.scm 211 */
obj_t BgL_bucketz00_2392;
{ /* Inline/recursion.scm 211 */
int BgL_kz00_2402;
BgL_kz00_2402 = 
(int)(BgL_modz00_2388); 
BgL_bucketz00_2392 = 
VECTOR_REF(BgL_arg1221z00_2383,BgL_kz00_2402); } 
{ /* Inline/recursion.scm 211 */
int BgL_kz00_2404;
BgL_kz00_2404 = 
(int)(BgL_restz00_2390); 
BgL_method2814z00_2380 = 
VECTOR_REF(BgL_bucketz00_2392,BgL_kz00_2404); } } } } } } } } 
BgL_callsz00_1542 = 
PROCEDURE_ENTRY(BgL_method2814z00_2380)(BgL_method2814z00_2380, 
(obj_t)(BgL_arg2949z00_1543), 
(obj_t)(BgL_varz00_18), BEOA); } } 
{ /* Inline/recursion.scm 213 */
BgL_isfunz00_bglt BgL_obj2685z00_2405;
BgL_obj2685z00_2405 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_1538); 
{ 
obj_t BgL_auxz00_4309;
{ /* Inline/recursion.scm 213 */
BgL_objectz00_bglt BgL_auxz00_4310;
BgL_auxz00_4310 = 
(BgL_objectz00_bglt)(BgL_obj2685z00_2405); 
BgL_auxz00_4309 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4310); } 
((((BgL_isfunz00_bglt)CREF(BgL_auxz00_4309))->BgL_recursivezd2callszd2) = ((obj_t)BgL_callsz00_1542), BUNSPEC); } } 
return 
PAIRP(BgL_callsz00_1542);} } } }  else 
{ /* Inline/recursion.scm 200 */
obj_t BgL_callsz00_1546;
{ /* Inline/recursion.scm 200 */
BgL_nodez00_bglt BgL_nodez00_2409;
{ /* Inline/recursion.scm 200 */
obj_t BgL_auxz00_4315;
{ /* Inline/recursion.scm 200 */
BgL_sfunz00_bglt BgL_obj1372z00_2408;
BgL_obj1372z00_2408 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1538); 
BgL_auxz00_4315 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2408))->BgL_bodyz00); } 
BgL_nodez00_2409 = 
(BgL_nodez00_bglt)(BgL_auxz00_4315); } 
{ /* Inline/recursion.scm 200 */
obj_t BgL_method2814z00_2411;
{ /* Inline/recursion.scm 200 */
long BgL_objzd2classzd2numz00_2413;
{ /* Inline/recursion.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4319;
BgL_auxz00_4319 = 
(BgL_objectz00_bglt)(BgL_nodez00_2409); 
BgL_objzd2classzd2numz00_2413 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4319); } 
{ /* Inline/recursion.scm 200 */
obj_t BgL_arg1221z00_2414;
{ /* Inline/recursion.scm 200 */
int BgL_auxz00_4322;
BgL_auxz00_4322 = 
(int)(((long)1)); 
BgL_arg1221z00_2414 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4322); } 
{ /* Inline/recursion.scm 200 */
long BgL_offsetz00_2418;
{ /* Inline/recursion.scm 200 */
long BgL_auxz00_4325;
{ /* Inline/recursion.scm 200 */
int BgL_auxz00_4326;
BgL_auxz00_4326 = 
(int)(BgL_objzd2classzd2numz00_2413); 
BgL_auxz00_4325 = 
(long)(BgL_auxz00_4326); } 
BgL_offsetz00_2418 = 
(BgL_auxz00_4325-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 200 */
long BgL_modz00_2419;
{ /* Inline/recursion.scm 200 */
long BgL_auxz00_4330;
{ /* Inline/recursion.scm 200 */
int BgL_auxz00_4331;
BgL_auxz00_4331 = 
(int)(((long)8)); 
BgL_auxz00_4330 = 
(long)(BgL_auxz00_4331); } 
BgL_modz00_2419 = 
(BgL_offsetz00_2418/BgL_auxz00_4330); } 
{ /* Inline/recursion.scm 200 */
long BgL_restz00_2421;
{ /* Inline/recursion.scm 200 */
long BgL_auxz00_4335;
{ /* Inline/recursion.scm 200 */
int BgL_auxz00_4336;
BgL_auxz00_4336 = 
(int)(((long)8)); 
BgL_auxz00_4335 = 
(long)(BgL_auxz00_4336); } 
BgL_restz00_2421 = 
(BgL_offsetz00_2418%BgL_auxz00_4335); } 
{ /* Inline/recursion.scm 200 */

{ /* Inline/recursion.scm 200 */
obj_t BgL_bucketz00_2423;
{ /* Inline/recursion.scm 200 */
int BgL_kz00_2433;
BgL_kz00_2433 = 
(int)(BgL_modz00_2419); 
BgL_bucketz00_2423 = 
VECTOR_REF(BgL_arg1221z00_2414,BgL_kz00_2433); } 
{ /* Inline/recursion.scm 200 */
int BgL_kz00_2435;
BgL_kz00_2435 = 
(int)(BgL_restz00_2421); 
BgL_method2814z00_2411 = 
VECTOR_REF(BgL_bucketz00_2423,BgL_kz00_2435); } } } } } } } } 
BgL_callsz00_1546 = 
PROCEDURE_ENTRY(BgL_method2814z00_2411)(BgL_method2814z00_2411, 
(obj_t)(BgL_nodez00_2409), 
(obj_t)(BgL_varz00_18), BEOA); } } 
{ /* Inline/recursion.scm 201 */
BgL_isfunz00_bglt BgL_obj2798z00_1547;
BgL_obj2798z00_1547 = 
((BgL_isfunz00_bglt)BgL_sfunz00_1538); 
{ /* Inline/recursion.scm 202 */
BgL_isfunz00_bglt BgL_arg2952z00_1548;
{ /* Inline/recursion.scm 202 */
obj_t BgL_arg2954z00_1550;
BgL_arg2954z00_1550 = BgL_callsz00_1546; 
{ /* Inline/recursion.scm 201 */
BgL_isfunz00_bglt BgL_res3128z00_2446;
{ /* Inline/recursion.scm 201 */
BgL_nodez00_bglt BgL_originalzd2body2654zd2_2437;
{ /* Inline/recursion.scm 201 */
obj_t BgL_auxz00_4349;
{ /* Inline/recursion.scm 202 */
BgL_sfunz00_bglt BgL_obj1372z00_2436;
BgL_obj1372z00_2436 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1538); 
BgL_auxz00_4349 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2436))->BgL_bodyz00); } 
BgL_originalzd2body2654zd2_2437 = 
(BgL_nodez00_bglt)(BgL_auxz00_4349); } 
{ /* Inline/recursion.scm 201 */
BgL_isfunz00_bglt BgL_new2656z00_2439;
BgL_new2656z00_2439 = 
((BgL_isfunz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_isfunz00_bgl)))); 
{ /* Inline/recursion.scm 201 */
BgL_isfunz00_bglt BgL_res3127z00_2445;
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2439))->BgL_originalzd2bodyzd2) = ((BgL_nodez00_bglt)BgL_originalzd2body2654zd2_2437), BUNSPEC); 
((((BgL_isfunz00_bglt)CREF(BgL_new2656z00_2439))->BgL_recursivezd2callszd2) = ((obj_t)BgL_arg2954z00_1550), BUNSPEC); 
BgL_res3127z00_2445 = BgL_new2656z00_2439; BgL_res3127z00_2445; } 
BgL_res3128z00_2446 = BgL_new2656z00_2439; } } 
BgL_arg2952z00_1548 = BgL_res3128z00_2446; } } 
{ /* Inline/recursion.scm 201 */
obj_t BgL_auxz00_4358;BgL_objectz00_bglt BgL_auxz00_4356;
BgL_auxz00_4358 = 
(obj_t)(BgL_arg2952z00_1548); 
BgL_auxz00_4356 = 
(BgL_objectz00_bglt)(BgL_obj2798z00_1547); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4356, BgL_auxz00_4358); } } 
{ /* Inline/recursion.scm 201 */
long BgL_arg2955z00_1551;
BgL_arg2955z00_1551 = 
BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00); 
{ /* Inline/recursion.scm 201 */
BgL_objectz00_bglt BgL_auxz00_4362;
BgL_auxz00_4362 = 
(BgL_objectz00_bglt)(BgL_obj2798z00_1547); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4362, BgL_arg2955z00_1551); } } 
{ /* Inline/recursion.scm 201 */
obj_t BgL_auxz00_4365;
BgL_auxz00_4365 = 
(obj_t)(BgL_obj2798z00_1547); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4365); } BUNSPEC; BgL_obj2798z00_1547; } 
return 
PAIRP(BgL_callsz00_1546);} } } } 
}



/* _is-recursive? */
obj_t BGl__iszd2recursivezf3z21zzinline_recursionz00(obj_t BgL_envz00_3797, obj_t BgL_varz00_3798)
{ AN_OBJECT;
{ /* Inline/recursion.scm 196 */
{ /* Inline/recursion.scm 196 */
bool_t BgL_auxz00_4369;
BgL_auxz00_4369 = 
BGl_iszd2recursivezf3z21zzinline_recursionz00(
(BgL_variablez00_bglt)(BgL_varz00_3798)); 
return 
BBOOL(BgL_auxz00_4369);} } 
}



/* find-recursive-calls* */
obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t BgL_nodeza2za2_57, obj_t BgL_varz00_58)
{ AN_OBJECT;
{ /* Inline/recursion.scm 365 */
{ 
obj_t BgL_nodeza2za2_1553;obj_t BgL_callsz00_1554;
BgL_nodeza2za2_1553 = BgL_nodeza2za2_57; 
BgL_callsz00_1554 = BNIL; 
BgL_loopz00_1555:
if(
NULLP(BgL_nodeza2za2_1553))
{ /* Inline/recursion.scm 368 */
return BgL_callsz00_1554;}  else 
{ /* Inline/recursion.scm 370 */
obj_t BgL_arg2958z00_1557;obj_t BgL_arg2959z00_1558;
BgL_arg2958z00_1557 = 
CDR(BgL_nodeza2za2_1553); 
{ /* Inline/recursion.scm 371 */
obj_t BgL_arg2960z00_1559;
{ /* Inline/recursion.scm 371 */
BgL_nodez00_bglt BgL_nodez00_2454;BgL_variablez00_bglt BgL_varz00_2455;
{ /* Inline/recursion.scm 371 */
obj_t BgL_auxz00_4376;
BgL_auxz00_4376 = 
CAR(BgL_nodeza2za2_1553); 
BgL_nodez00_2454 = 
(BgL_nodez00_bglt)(BgL_auxz00_4376); } 
BgL_varz00_2455 = 
(BgL_variablez00_bglt)(BgL_varz00_58); 
{ /* Inline/recursion.scm 371 */
obj_t BgL_method2814z00_2456;
{ /* Inline/recursion.scm 371 */
long BgL_objzd2classzd2numz00_2458;
{ /* Inline/recursion.scm 371 */
BgL_objectz00_bglt BgL_auxz00_4380;
BgL_auxz00_4380 = 
(BgL_objectz00_bglt)(BgL_nodez00_2454); 
BgL_objzd2classzd2numz00_2458 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4380); } 
{ /* Inline/recursion.scm 371 */
obj_t BgL_arg1221z00_2459;
{ /* Inline/recursion.scm 371 */
int BgL_auxz00_4383;
BgL_auxz00_4383 = 
(int)(((long)1)); 
BgL_arg1221z00_2459 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4383); } 
{ /* Inline/recursion.scm 371 */
long BgL_offsetz00_2463;
{ /* Inline/recursion.scm 371 */
long BgL_auxz00_4386;
{ /* Inline/recursion.scm 371 */
int BgL_auxz00_4387;
BgL_auxz00_4387 = 
(int)(BgL_objzd2classzd2numz00_2458); 
BgL_auxz00_4386 = 
(long)(BgL_auxz00_4387); } 
BgL_offsetz00_2463 = 
(BgL_auxz00_4386-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 371 */
long BgL_modz00_2464;
{ /* Inline/recursion.scm 371 */
long BgL_auxz00_4391;
{ /* Inline/recursion.scm 371 */
int BgL_auxz00_4392;
BgL_auxz00_4392 = 
(int)(((long)8)); 
BgL_auxz00_4391 = 
(long)(BgL_auxz00_4392); } 
BgL_modz00_2464 = 
(BgL_offsetz00_2463/BgL_auxz00_4391); } 
{ /* Inline/recursion.scm 371 */
long BgL_restz00_2466;
{ /* Inline/recursion.scm 371 */
long BgL_auxz00_4396;
{ /* Inline/recursion.scm 371 */
int BgL_auxz00_4397;
BgL_auxz00_4397 = 
(int)(((long)8)); 
BgL_auxz00_4396 = 
(long)(BgL_auxz00_4397); } 
BgL_restz00_2466 = 
(BgL_offsetz00_2463%BgL_auxz00_4396); } 
{ /* Inline/recursion.scm 371 */

{ /* Inline/recursion.scm 371 */
obj_t BgL_bucketz00_2468;
{ /* Inline/recursion.scm 371 */
int BgL_kz00_2478;
BgL_kz00_2478 = 
(int)(BgL_modz00_2464); 
BgL_bucketz00_2468 = 
VECTOR_REF(BgL_arg1221z00_2459,BgL_kz00_2478); } 
{ /* Inline/recursion.scm 371 */
int BgL_kz00_2480;
BgL_kz00_2480 = 
(int)(BgL_restz00_2466); 
BgL_method2814z00_2456 = 
VECTOR_REF(BgL_bucketz00_2468,BgL_kz00_2480); } } } } } } } } 
BgL_arg2960z00_1559 = 
PROCEDURE_ENTRY(BgL_method2814z00_2456)(BgL_method2814z00_2456, 
(obj_t)(BgL_nodez00_2454), 
(obj_t)(BgL_varz00_2455), BEOA); } } 
BgL_arg2959z00_1558 = 
bgl_append2(BgL_arg2960z00_1559, BgL_callsz00_1554); } 
{ 
obj_t BgL_callsz00_4411;obj_t BgL_nodeza2za2_4410;
BgL_nodeza2za2_4410 = BgL_arg2958z00_1557; 
BgL_callsz00_4411 = BgL_arg2959z00_1558; 
BgL_callsz00_1554 = BgL_callsz00_4411; 
BgL_nodeza2za2_1553 = BgL_nodeza2za2_4410; 
goto BgL_loopz00_1555;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_recursionz00()
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_findzd2recursivezd2callszd2default2813zd2envz00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_sequencez00zzast_nodez00, BGl_proc3196z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_appz00zzast_nodez00, BGl_proc3197z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3198z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_funcallz00zzast_nodez00, BGl_proc3199z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_externz00zzast_nodez00, BGl_proc3200z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_castz00zzast_nodez00, BGl_proc3201z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_setqz00zzast_nodez00, BGl_proc3202z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_conditionalz00zzast_nodez00, BGl_proc3203z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_failz00zzast_nodez00, BGl_proc3204z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_selectz00zzast_nodez00, BGl_proc3205z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3206z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3207z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3208z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3209z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3210z00zzinline_recursionz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3211z00zzinline_recursionz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3212z00zzinline_recursionz00);} 
}



/* find-recursive-calls-box-set!2848 */
obj_t BGl_findzd2recursivezd2callszd2boxzd2setz122848z12zzinline_recursionz00(obj_t BgL_envz00_3819, obj_t BgL_nodez00_3820, obj_t BgL_vz00_3821)
{ AN_OBJECT;
{ /* Inline/recursion.scm 358 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2146;obj_t BgL_vz00_2147;
BgL_nodez00_2146 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3820); 
BgL_vz00_2147 = BgL_vz00_3821; 
{ /* Inline/recursion.scm 360 */
obj_t BgL_arg3100z00_2151;obj_t BgL_arg3101z00_2152;
{ /* Inline/recursion.scm 360 */
BgL_nodez00_bglt BgL_nodez00_3708;BgL_variablez00_bglt BgL_varz00_3709;
{ /* Inline/recursion.scm 360 */
BgL_varz00_bglt BgL_auxz00_4430;
BgL_auxz00_4430 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2146))->BgL_varz00); 
BgL_nodez00_3708 = 
(BgL_nodez00_bglt)(BgL_auxz00_4430); } 
BgL_varz00_3709 = 
(BgL_variablez00_bglt)(BgL_vz00_2147); 
{ /* Inline/recursion.scm 360 */
obj_t BgL_method2814z00_3710;
{ /* Inline/recursion.scm 360 */
long BgL_objzd2classzd2numz00_3712;
{ /* Inline/recursion.scm 360 */
BgL_objectz00_bglt BgL_auxz00_4434;
BgL_auxz00_4434 = 
(BgL_objectz00_bglt)(BgL_nodez00_3708); 
BgL_objzd2classzd2numz00_3712 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4434); } 
{ /* Inline/recursion.scm 360 */
obj_t BgL_arg1221z00_3713;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4437;
BgL_auxz00_4437 = 
(int)(((long)1)); 
BgL_arg1221z00_3713 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4437); } 
{ /* Inline/recursion.scm 360 */
long BgL_offsetz00_3717;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4440;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4441;
BgL_auxz00_4441 = 
(int)(BgL_objzd2classzd2numz00_3712); 
BgL_auxz00_4440 = 
(long)(BgL_auxz00_4441); } 
BgL_offsetz00_3717 = 
(BgL_auxz00_4440-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 360 */
long BgL_modz00_3718;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4445;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4446;
BgL_auxz00_4446 = 
(int)(((long)8)); 
BgL_auxz00_4445 = 
(long)(BgL_auxz00_4446); } 
BgL_modz00_3718 = 
(BgL_offsetz00_3717/BgL_auxz00_4445); } 
{ /* Inline/recursion.scm 360 */
long BgL_restz00_3720;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4450;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4451;
BgL_auxz00_4451 = 
(int)(((long)8)); 
BgL_auxz00_4450 = 
(long)(BgL_auxz00_4451); } 
BgL_restz00_3720 = 
(BgL_offsetz00_3717%BgL_auxz00_4450); } 
{ /* Inline/recursion.scm 360 */

{ /* Inline/recursion.scm 360 */
obj_t BgL_bucketz00_3722;
{ /* Inline/recursion.scm 360 */
int BgL_kz00_3732;
BgL_kz00_3732 = 
(int)(BgL_modz00_3718); 
BgL_bucketz00_3722 = 
VECTOR_REF(BgL_arg1221z00_3713,BgL_kz00_3732); } 
{ /* Inline/recursion.scm 360 */
int BgL_kz00_3734;
BgL_kz00_3734 = 
(int)(BgL_restz00_3720); 
BgL_method2814z00_3710 = 
VECTOR_REF(BgL_bucketz00_3722,BgL_kz00_3734); } } } } } } } } 
BgL_arg3100z00_2151 = 
PROCEDURE_ENTRY(BgL_method2814z00_3710)(BgL_method2814z00_3710, 
(obj_t)(BgL_nodez00_3708), 
(obj_t)(BgL_varz00_3709), BEOA); } } 
{ /* Inline/recursion.scm 360 */
BgL_nodez00_bglt BgL_arg3103z00_2154;
BgL_arg3103z00_2154 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2146))->BgL_valuez00); 
{ /* Inline/recursion.scm 360 */
BgL_variablez00_bglt BgL_varz00_3737;
BgL_varz00_3737 = 
(BgL_variablez00_bglt)(BgL_vz00_2147); 
{ /* Inline/recursion.scm 360 */
obj_t BgL_method2814z00_3738;
{ /* Inline/recursion.scm 360 */
long BgL_objzd2classzd2numz00_3740;
{ /* Inline/recursion.scm 360 */
BgL_objectz00_bglt BgL_auxz00_4465;
BgL_auxz00_4465 = 
(BgL_objectz00_bglt)(BgL_arg3103z00_2154); 
BgL_objzd2classzd2numz00_3740 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4465); } 
{ /* Inline/recursion.scm 360 */
obj_t BgL_arg1221z00_3741;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4468;
BgL_auxz00_4468 = 
(int)(((long)1)); 
BgL_arg1221z00_3741 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4468); } 
{ /* Inline/recursion.scm 360 */
long BgL_offsetz00_3745;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4471;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4472;
BgL_auxz00_4472 = 
(int)(BgL_objzd2classzd2numz00_3740); 
BgL_auxz00_4471 = 
(long)(BgL_auxz00_4472); } 
BgL_offsetz00_3745 = 
(BgL_auxz00_4471-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 360 */
long BgL_modz00_3746;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4476;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)8)); 
BgL_auxz00_4476 = 
(long)(BgL_auxz00_4477); } 
BgL_modz00_3746 = 
(BgL_offsetz00_3745/BgL_auxz00_4476); } 
{ /* Inline/recursion.scm 360 */
long BgL_restz00_3748;
{ /* Inline/recursion.scm 360 */
long BgL_auxz00_4481;
{ /* Inline/recursion.scm 360 */
int BgL_auxz00_4482;
BgL_auxz00_4482 = 
(int)(((long)8)); 
BgL_auxz00_4481 = 
(long)(BgL_auxz00_4482); } 
BgL_restz00_3748 = 
(BgL_offsetz00_3745%BgL_auxz00_4481); } 
{ /* Inline/recursion.scm 360 */

{ /* Inline/recursion.scm 360 */
obj_t BgL_bucketz00_3750;
{ /* Inline/recursion.scm 360 */
int BgL_kz00_3760;
BgL_kz00_3760 = 
(int)(BgL_modz00_3746); 
BgL_bucketz00_3750 = 
VECTOR_REF(BgL_arg1221z00_3741,BgL_kz00_3760); } 
{ /* Inline/recursion.scm 360 */
int BgL_kz00_3762;
BgL_kz00_3762 = 
(int)(BgL_restz00_3748); 
BgL_method2814z00_3738 = 
VECTOR_REF(BgL_bucketz00_3750,BgL_kz00_3762); } } } } } } } } 
BgL_arg3101z00_2152 = 
PROCEDURE_ENTRY(BgL_method2814z00_3738)(BgL_method2814z00_3738, 
(obj_t)(BgL_arg3103z00_2154), 
(obj_t)(BgL_varz00_3737), BEOA); } } } 
return 
bgl_append2(BgL_arg3100z00_2151, BgL_arg3101z00_2152);} } } 
}



/* find-recursive-calls-box-ref2846 */
obj_t BGl_findzd2recursivezd2callszd2boxzd2ref2846z00zzinline_recursionz00(obj_t BgL_envz00_3822, obj_t BgL_nodez00_3823, obj_t BgL_varz00_3824)
{ AN_OBJECT;
{ /* Inline/recursion.scm 352 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2139;obj_t BgL_varz00_2140;
BgL_nodez00_2139 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3823); 
BgL_varz00_2140 = BgL_varz00_3824; 
{ /* Inline/recursion.scm 353 */
BgL_nodez00_bglt BgL_nodez00_3680;BgL_variablez00_bglt BgL_varz00_3681;
{ /* Inline/recursion.scm 353 */
BgL_varz00_bglt BgL_auxz00_4496;
BgL_auxz00_4496 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2139))->BgL_varz00); 
BgL_nodez00_3680 = 
(BgL_nodez00_bglt)(BgL_auxz00_4496); } 
BgL_varz00_3681 = 
(BgL_variablez00_bglt)(BgL_varz00_2140); 
{ /* Inline/recursion.scm 353 */
obj_t BgL_method2814z00_3682;
{ /* Inline/recursion.scm 353 */
long BgL_objzd2classzd2numz00_3684;
{ /* Inline/recursion.scm 353 */
BgL_objectz00_bglt BgL_auxz00_4500;
BgL_auxz00_4500 = 
(BgL_objectz00_bglt)(BgL_nodez00_3680); 
BgL_objzd2classzd2numz00_3684 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4500); } 
{ /* Inline/recursion.scm 353 */
obj_t BgL_arg1221z00_3685;
{ /* Inline/recursion.scm 353 */
int BgL_auxz00_4503;
BgL_auxz00_4503 = 
(int)(((long)1)); 
BgL_arg1221z00_3685 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4503); } 
{ /* Inline/recursion.scm 353 */
long BgL_offsetz00_3689;
{ /* Inline/recursion.scm 353 */
long BgL_auxz00_4506;
{ /* Inline/recursion.scm 353 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(BgL_objzd2classzd2numz00_3684); 
BgL_auxz00_4506 = 
(long)(BgL_auxz00_4507); } 
BgL_offsetz00_3689 = 
(BgL_auxz00_4506-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 353 */
long BgL_modz00_3690;
{ /* Inline/recursion.scm 353 */
long BgL_auxz00_4511;
{ /* Inline/recursion.scm 353 */
int BgL_auxz00_4512;
BgL_auxz00_4512 = 
(int)(((long)8)); 
BgL_auxz00_4511 = 
(long)(BgL_auxz00_4512); } 
BgL_modz00_3690 = 
(BgL_offsetz00_3689/BgL_auxz00_4511); } 
{ /* Inline/recursion.scm 353 */
long BgL_restz00_3692;
{ /* Inline/recursion.scm 353 */
long BgL_auxz00_4516;
{ /* Inline/recursion.scm 353 */
int BgL_auxz00_4517;
BgL_auxz00_4517 = 
(int)(((long)8)); 
BgL_auxz00_4516 = 
(long)(BgL_auxz00_4517); } 
BgL_restz00_3692 = 
(BgL_offsetz00_3689%BgL_auxz00_4516); } 
{ /* Inline/recursion.scm 353 */

{ /* Inline/recursion.scm 353 */
obj_t BgL_bucketz00_3694;
{ /* Inline/recursion.scm 353 */
int BgL_kz00_3704;
BgL_kz00_3704 = 
(int)(BgL_modz00_3690); 
BgL_bucketz00_3694 = 
VECTOR_REF(BgL_arg1221z00_3685,BgL_kz00_3704); } 
{ /* Inline/recursion.scm 353 */
int BgL_kz00_3706;
BgL_kz00_3706 = 
(int)(BgL_restz00_3692); 
BgL_method2814z00_3682 = 
VECTOR_REF(BgL_bucketz00_3694,BgL_kz00_3706); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3682)(BgL_method2814z00_3682, 
(obj_t)(BgL_nodez00_3680), 
(obj_t)(BgL_varz00_3681), BEOA);} } } } 
}



/* find-recursive-calls-make-box2844 */
obj_t BGl_findzd2recursivezd2callszd2makezd2box2844z00zzinline_recursionz00(obj_t BgL_envz00_3825, obj_t BgL_nodez00_3826, obj_t BgL_varz00_3827)
{ AN_OBJECT;
{ /* Inline/recursion.scm 346 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2132;obj_t BgL_varz00_2133;
BgL_nodez00_2132 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3826); 
BgL_varz00_2133 = BgL_varz00_3827; 
{ /* Inline/recursion.scm 347 */
BgL_nodez00_bglt BgL_arg3096z00_3649;
BgL_arg3096z00_3649 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2132))->BgL_valuez00); 
{ /* Inline/recursion.scm 347 */
BgL_variablez00_bglt BgL_varz00_3652;
BgL_varz00_3652 = 
(BgL_variablez00_bglt)(BgL_varz00_2133); 
{ /* Inline/recursion.scm 347 */
obj_t BgL_method2814z00_3653;
{ /* Inline/recursion.scm 347 */
long BgL_objzd2classzd2numz00_3655;
{ /* Inline/recursion.scm 347 */
BgL_objectz00_bglt BgL_auxz00_4532;
BgL_auxz00_4532 = 
(BgL_objectz00_bglt)(BgL_arg3096z00_3649); 
BgL_objzd2classzd2numz00_3655 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4532); } 
{ /* Inline/recursion.scm 347 */
obj_t BgL_arg1221z00_3656;
{ /* Inline/recursion.scm 347 */
int BgL_auxz00_4535;
BgL_auxz00_4535 = 
(int)(((long)1)); 
BgL_arg1221z00_3656 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4535); } 
{ /* Inline/recursion.scm 347 */
long BgL_offsetz00_3660;
{ /* Inline/recursion.scm 347 */
long BgL_auxz00_4538;
{ /* Inline/recursion.scm 347 */
int BgL_auxz00_4539;
BgL_auxz00_4539 = 
(int)(BgL_objzd2classzd2numz00_3655); 
BgL_auxz00_4538 = 
(long)(BgL_auxz00_4539); } 
BgL_offsetz00_3660 = 
(BgL_auxz00_4538-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 347 */
long BgL_modz00_3661;
{ /* Inline/recursion.scm 347 */
long BgL_auxz00_4543;
{ /* Inline/recursion.scm 347 */
int BgL_auxz00_4544;
BgL_auxz00_4544 = 
(int)(((long)8)); 
BgL_auxz00_4543 = 
(long)(BgL_auxz00_4544); } 
BgL_modz00_3661 = 
(BgL_offsetz00_3660/BgL_auxz00_4543); } 
{ /* Inline/recursion.scm 347 */
long BgL_restz00_3663;
{ /* Inline/recursion.scm 347 */
long BgL_auxz00_4548;
{ /* Inline/recursion.scm 347 */
int BgL_auxz00_4549;
BgL_auxz00_4549 = 
(int)(((long)8)); 
BgL_auxz00_4548 = 
(long)(BgL_auxz00_4549); } 
BgL_restz00_3663 = 
(BgL_offsetz00_3660%BgL_auxz00_4548); } 
{ /* Inline/recursion.scm 347 */

{ /* Inline/recursion.scm 347 */
obj_t BgL_bucketz00_3665;
{ /* Inline/recursion.scm 347 */
int BgL_kz00_3675;
BgL_kz00_3675 = 
(int)(BgL_modz00_3661); 
BgL_bucketz00_3665 = 
VECTOR_REF(BgL_arg1221z00_3656,BgL_kz00_3675); } 
{ /* Inline/recursion.scm 347 */
int BgL_kz00_3677;
BgL_kz00_3677 = 
(int)(BgL_restz00_3663); 
BgL_method2814z00_3653 = 
VECTOR_REF(BgL_bucketz00_3665,BgL_kz00_3677); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3653)(BgL_method2814z00_3653, 
(obj_t)(BgL_arg3096z00_3649), 
(obj_t)(BgL_varz00_3652), BEOA);} } } } } 
}



/* find-recursive-calls-jump-ex-it2842 */
obj_t BGl_findzd2recursivezd2callszd2jumpzd2exzd2it2842zd2zzinline_recursionz00(obj_t BgL_envz00_3828, obj_t BgL_nodez00_3829, obj_t BgL_vz00_3830)
{ AN_OBJECT;
{ /* Inline/recursion.scm 339 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2121;obj_t BgL_vz00_2122;
BgL_nodez00_2121 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3829); 
BgL_vz00_2122 = BgL_vz00_3830; 
{ /* Inline/recursion.scm 341 */
obj_t BgL_arg3091z00_2126;obj_t BgL_arg3092z00_2127;
{ /* Inline/recursion.scm 341 */
BgL_nodez00_bglt BgL_arg3093z00_2128;
BgL_arg3093z00_2128 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2121))->BgL_exitz00); 
{ /* Inline/recursion.scm 341 */
BgL_variablez00_bglt BgL_varz00_3595;
BgL_varz00_3595 = 
(BgL_variablez00_bglt)(BgL_vz00_2122); 
{ /* Inline/recursion.scm 341 */
obj_t BgL_method2814z00_3596;
{ /* Inline/recursion.scm 341 */
long BgL_objzd2classzd2numz00_3598;
{ /* Inline/recursion.scm 341 */
BgL_objectz00_bglt BgL_auxz00_4564;
BgL_auxz00_4564 = 
(BgL_objectz00_bglt)(BgL_arg3093z00_2128); 
BgL_objzd2classzd2numz00_3598 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4564); } 
{ /* Inline/recursion.scm 341 */
obj_t BgL_arg1221z00_3599;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)1)); 
BgL_arg1221z00_3599 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4567); } 
{ /* Inline/recursion.scm 341 */
long BgL_offsetz00_3603;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4570;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4571;
BgL_auxz00_4571 = 
(int)(BgL_objzd2classzd2numz00_3598); 
BgL_auxz00_4570 = 
(long)(BgL_auxz00_4571); } 
BgL_offsetz00_3603 = 
(BgL_auxz00_4570-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 341 */
long BgL_modz00_3604;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4575;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4576;
BgL_auxz00_4576 = 
(int)(((long)8)); 
BgL_auxz00_4575 = 
(long)(BgL_auxz00_4576); } 
BgL_modz00_3604 = 
(BgL_offsetz00_3603/BgL_auxz00_4575); } 
{ /* Inline/recursion.scm 341 */
long BgL_restz00_3606;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4580;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4581;
BgL_auxz00_4581 = 
(int)(((long)8)); 
BgL_auxz00_4580 = 
(long)(BgL_auxz00_4581); } 
BgL_restz00_3606 = 
(BgL_offsetz00_3603%BgL_auxz00_4580); } 
{ /* Inline/recursion.scm 341 */

{ /* Inline/recursion.scm 341 */
obj_t BgL_bucketz00_3608;
{ /* Inline/recursion.scm 341 */
int BgL_kz00_3618;
BgL_kz00_3618 = 
(int)(BgL_modz00_3604); 
BgL_bucketz00_3608 = 
VECTOR_REF(BgL_arg1221z00_3599,BgL_kz00_3618); } 
{ /* Inline/recursion.scm 341 */
int BgL_kz00_3620;
BgL_kz00_3620 = 
(int)(BgL_restz00_3606); 
BgL_method2814z00_3596 = 
VECTOR_REF(BgL_bucketz00_3608,BgL_kz00_3620); } } } } } } } } 
BgL_arg3091z00_2126 = 
PROCEDURE_ENTRY(BgL_method2814z00_3596)(BgL_method2814z00_3596, 
(obj_t)(BgL_arg3093z00_2128), 
(obj_t)(BgL_varz00_3595), BEOA); } } } 
{ /* Inline/recursion.scm 341 */
BgL_nodez00_bglt BgL_arg3094z00_2129;
BgL_arg3094z00_2129 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2121))->BgL_valuez00); 
{ /* Inline/recursion.scm 341 */
BgL_variablez00_bglt BgL_varz00_3623;
BgL_varz00_3623 = 
(BgL_variablez00_bglt)(BgL_vz00_2122); 
{ /* Inline/recursion.scm 341 */
obj_t BgL_method2814z00_3624;
{ /* Inline/recursion.scm 341 */
long BgL_objzd2classzd2numz00_3626;
{ /* Inline/recursion.scm 341 */
BgL_objectz00_bglt BgL_auxz00_4595;
BgL_auxz00_4595 = 
(BgL_objectz00_bglt)(BgL_arg3094z00_2129); 
BgL_objzd2classzd2numz00_3626 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4595); } 
{ /* Inline/recursion.scm 341 */
obj_t BgL_arg1221z00_3627;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)1)); 
BgL_arg1221z00_3627 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4598); } 
{ /* Inline/recursion.scm 341 */
long BgL_offsetz00_3631;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4601;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4602;
BgL_auxz00_4602 = 
(int)(BgL_objzd2classzd2numz00_3626); 
BgL_auxz00_4601 = 
(long)(BgL_auxz00_4602); } 
BgL_offsetz00_3631 = 
(BgL_auxz00_4601-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 341 */
long BgL_modz00_3632;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4606;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4607;
BgL_auxz00_4607 = 
(int)(((long)8)); 
BgL_auxz00_4606 = 
(long)(BgL_auxz00_4607); } 
BgL_modz00_3632 = 
(BgL_offsetz00_3631/BgL_auxz00_4606); } 
{ /* Inline/recursion.scm 341 */
long BgL_restz00_3634;
{ /* Inline/recursion.scm 341 */
long BgL_auxz00_4611;
{ /* Inline/recursion.scm 341 */
int BgL_auxz00_4612;
BgL_auxz00_4612 = 
(int)(((long)8)); 
BgL_auxz00_4611 = 
(long)(BgL_auxz00_4612); } 
BgL_restz00_3634 = 
(BgL_offsetz00_3631%BgL_auxz00_4611); } 
{ /* Inline/recursion.scm 341 */

{ /* Inline/recursion.scm 341 */
obj_t BgL_bucketz00_3636;
{ /* Inline/recursion.scm 341 */
int BgL_kz00_3646;
BgL_kz00_3646 = 
(int)(BgL_modz00_3632); 
BgL_bucketz00_3636 = 
VECTOR_REF(BgL_arg1221z00_3627,BgL_kz00_3646); } 
{ /* Inline/recursion.scm 341 */
int BgL_kz00_3648;
BgL_kz00_3648 = 
(int)(BgL_restz00_3634); 
BgL_method2814z00_3624 = 
VECTOR_REF(BgL_bucketz00_3636,BgL_kz00_3648); } } } } } } } } 
BgL_arg3092z00_2127 = 
PROCEDURE_ENTRY(BgL_method2814z00_3624)(BgL_method2814z00_3624, 
(obj_t)(BgL_arg3094z00_2129), 
(obj_t)(BgL_varz00_3623), BEOA); } } } 
return 
bgl_append2(BgL_arg3091z00_2126, BgL_arg3092z00_2127);} } } 
}



/* find-recursive-calls-set-ex-it2840 */
obj_t BGl_findzd2recursivezd2callszd2setzd2exzd2it2840zd2zzinline_recursionz00(obj_t BgL_envz00_3831, obj_t BgL_nodez00_3832, obj_t BgL_varz00_3833)
{ AN_OBJECT;
{ /* Inline/recursion.scm 333 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2114;obj_t BgL_varz00_2115;
BgL_nodez00_2114 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3832); 
BgL_varz00_2115 = BgL_varz00_3833; 
{ /* Inline/recursion.scm 334 */
BgL_nodez00_bglt BgL_arg3089z00_3564;
BgL_arg3089z00_3564 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2114))->BgL_bodyz00); 
{ /* Inline/recursion.scm 334 */
BgL_variablez00_bglt BgL_varz00_3567;
BgL_varz00_3567 = 
(BgL_variablez00_bglt)(BgL_varz00_2115); 
{ /* Inline/recursion.scm 334 */
obj_t BgL_method2814z00_3568;
{ /* Inline/recursion.scm 334 */
long BgL_objzd2classzd2numz00_3570;
{ /* Inline/recursion.scm 334 */
BgL_objectz00_bglt BgL_auxz00_4628;
BgL_auxz00_4628 = 
(BgL_objectz00_bglt)(BgL_arg3089z00_3564); 
BgL_objzd2classzd2numz00_3570 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4628); } 
{ /* Inline/recursion.scm 334 */
obj_t BgL_arg1221z00_3571;
{ /* Inline/recursion.scm 334 */
int BgL_auxz00_4631;
BgL_auxz00_4631 = 
(int)(((long)1)); 
BgL_arg1221z00_3571 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4631); } 
{ /* Inline/recursion.scm 334 */
long BgL_offsetz00_3575;
{ /* Inline/recursion.scm 334 */
long BgL_auxz00_4634;
{ /* Inline/recursion.scm 334 */
int BgL_auxz00_4635;
BgL_auxz00_4635 = 
(int)(BgL_objzd2classzd2numz00_3570); 
BgL_auxz00_4634 = 
(long)(BgL_auxz00_4635); } 
BgL_offsetz00_3575 = 
(BgL_auxz00_4634-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 334 */
long BgL_modz00_3576;
{ /* Inline/recursion.scm 334 */
long BgL_auxz00_4639;
{ /* Inline/recursion.scm 334 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(((long)8)); 
BgL_auxz00_4639 = 
(long)(BgL_auxz00_4640); } 
BgL_modz00_3576 = 
(BgL_offsetz00_3575/BgL_auxz00_4639); } 
{ /* Inline/recursion.scm 334 */
long BgL_restz00_3578;
{ /* Inline/recursion.scm 334 */
long BgL_auxz00_4644;
{ /* Inline/recursion.scm 334 */
int BgL_auxz00_4645;
BgL_auxz00_4645 = 
(int)(((long)8)); 
BgL_auxz00_4644 = 
(long)(BgL_auxz00_4645); } 
BgL_restz00_3578 = 
(BgL_offsetz00_3575%BgL_auxz00_4644); } 
{ /* Inline/recursion.scm 334 */

{ /* Inline/recursion.scm 334 */
obj_t BgL_bucketz00_3580;
{ /* Inline/recursion.scm 334 */
int BgL_kz00_3590;
BgL_kz00_3590 = 
(int)(BgL_modz00_3576); 
BgL_bucketz00_3580 = 
VECTOR_REF(BgL_arg1221z00_3571,BgL_kz00_3590); } 
{ /* Inline/recursion.scm 334 */
int BgL_kz00_3592;
BgL_kz00_3592 = 
(int)(BgL_restz00_3578); 
BgL_method2814z00_3568 = 
VECTOR_REF(BgL_bucketz00_3580,BgL_kz00_3592); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3568)(BgL_method2814z00_3568, 
(obj_t)(BgL_arg3089z00_3564), 
(obj_t)(BgL_varz00_3567), BEOA);} } } } } 
}



/* find-recursive-calls-let-var2838 */
obj_t BGl_findzd2recursivezd2callszd2letzd2var2838z00zzinline_recursionz00(obj_t BgL_envz00_3834, obj_t BgL_nodez00_3835, obj_t BgL_varz00_3836)
{ AN_OBJECT;
{ /* Inline/recursion.scm 321 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2096;obj_t BgL_varz00_2097;
BgL_nodez00_2096 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3835); 
BgL_varz00_2097 = BgL_varz00_3836; 
{ 
obj_t BgL_bindingsz00_2100;obj_t BgL_callsz00_2101;
{ /* Inline/recursion.scm 322 */
obj_t BgL_arg3078z00_2103;obj_t BgL_arg3079z00_2104;
BgL_arg3078z00_2103 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2096))->BgL_bindingsz00); 
{ /* Inline/recursion.scm 323 */
BgL_nodez00_bglt BgL_arg3080z00_2105;
BgL_arg3080z00_2105 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2096))->BgL_bodyz00); 
{ /* Inline/recursion.scm 323 */
BgL_variablez00_bglt BgL_varz00_3507;
BgL_varz00_3507 = 
(BgL_variablez00_bglt)(BgL_varz00_2097); 
{ /* Inline/recursion.scm 323 */
obj_t BgL_method2814z00_3508;
{ /* Inline/recursion.scm 323 */
long BgL_objzd2classzd2numz00_3510;
{ /* Inline/recursion.scm 323 */
BgL_objectz00_bglt BgL_auxz00_4661;
BgL_auxz00_4661 = 
(BgL_objectz00_bglt)(BgL_arg3080z00_2105); 
BgL_objzd2classzd2numz00_3510 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4661); } 
{ /* Inline/recursion.scm 323 */
obj_t BgL_arg1221z00_3511;
{ /* Inline/recursion.scm 323 */
int BgL_auxz00_4664;
BgL_auxz00_4664 = 
(int)(((long)1)); 
BgL_arg1221z00_3511 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4664); } 
{ /* Inline/recursion.scm 323 */
long BgL_offsetz00_3515;
{ /* Inline/recursion.scm 323 */
long BgL_auxz00_4667;
{ /* Inline/recursion.scm 323 */
int BgL_auxz00_4668;
BgL_auxz00_4668 = 
(int)(BgL_objzd2classzd2numz00_3510); 
BgL_auxz00_4667 = 
(long)(BgL_auxz00_4668); } 
BgL_offsetz00_3515 = 
(BgL_auxz00_4667-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 323 */
long BgL_modz00_3516;
{ /* Inline/recursion.scm 323 */
long BgL_auxz00_4672;
{ /* Inline/recursion.scm 323 */
int BgL_auxz00_4673;
BgL_auxz00_4673 = 
(int)(((long)8)); 
BgL_auxz00_4672 = 
(long)(BgL_auxz00_4673); } 
BgL_modz00_3516 = 
(BgL_offsetz00_3515/BgL_auxz00_4672); } 
{ /* Inline/recursion.scm 323 */
long BgL_restz00_3518;
{ /* Inline/recursion.scm 323 */
long BgL_auxz00_4677;
{ /* Inline/recursion.scm 323 */
int BgL_auxz00_4678;
BgL_auxz00_4678 = 
(int)(((long)8)); 
BgL_auxz00_4677 = 
(long)(BgL_auxz00_4678); } 
BgL_restz00_3518 = 
(BgL_offsetz00_3515%BgL_auxz00_4677); } 
{ /* Inline/recursion.scm 323 */

{ /* Inline/recursion.scm 323 */
obj_t BgL_bucketz00_3520;
{ /* Inline/recursion.scm 323 */
int BgL_kz00_3530;
BgL_kz00_3530 = 
(int)(BgL_modz00_3516); 
BgL_bucketz00_3520 = 
VECTOR_REF(BgL_arg1221z00_3511,BgL_kz00_3530); } 
{ /* Inline/recursion.scm 323 */
int BgL_kz00_3532;
BgL_kz00_3532 = 
(int)(BgL_restz00_3518); 
BgL_method2814z00_3508 = 
VECTOR_REF(BgL_bucketz00_3520,BgL_kz00_3532); } } } } } } } } 
BgL_arg3079z00_2104 = 
PROCEDURE_ENTRY(BgL_method2814z00_3508)(BgL_method2814z00_3508, 
(obj_t)(BgL_arg3080z00_2105), 
(obj_t)(BgL_varz00_3507), BEOA); } } } 
BgL_bindingsz00_2100 = BgL_arg3078z00_2103; 
BgL_callsz00_2101 = BgL_arg3079z00_2104; 
BgL_loopz00_2102:
if(
NULLP(BgL_bindingsz00_2100))
{ /* Inline/recursion.scm 324 */
return BgL_callsz00_2101;}  else 
{ /* Inline/recursion.scm 326 */
obj_t BgL_arg3082z00_2107;obj_t BgL_arg3083z00_2108;
BgL_arg3082z00_2107 = 
CDR(BgL_bindingsz00_2100); 
{ /* Inline/recursion.scm 328 */
obj_t BgL_arg3084z00_2109;
{ /* Inline/recursion.scm 328 */
BgL_nodez00_bglt BgL_nodez00_3537;BgL_variablez00_bglt BgL_varz00_3538;
{ /* Inline/recursion.scm 328 */
obj_t BgL_auxz00_4693;
{ /* Inline/recursion.scm 328 */
obj_t BgL_auxz00_4694;
BgL_auxz00_4694 = 
CAR(BgL_bindingsz00_2100); 
BgL_auxz00_4693 = 
CDR(BgL_auxz00_4694); } 
BgL_nodez00_3537 = 
(BgL_nodez00_bglt)(BgL_auxz00_4693); } 
BgL_varz00_3538 = 
(BgL_variablez00_bglt)(BgL_varz00_2097); 
{ /* Inline/recursion.scm 328 */
obj_t BgL_method2814z00_3539;
{ /* Inline/recursion.scm 328 */
long BgL_objzd2classzd2numz00_3541;
{ /* Inline/recursion.scm 328 */
BgL_objectz00_bglt BgL_auxz00_4699;
BgL_auxz00_4699 = 
(BgL_objectz00_bglt)(BgL_nodez00_3537); 
BgL_objzd2classzd2numz00_3541 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4699); } 
{ /* Inline/recursion.scm 328 */
obj_t BgL_arg1221z00_3542;
{ /* Inline/recursion.scm 328 */
int BgL_auxz00_4702;
BgL_auxz00_4702 = 
(int)(((long)1)); 
BgL_arg1221z00_3542 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4702); } 
{ /* Inline/recursion.scm 328 */
long BgL_offsetz00_3546;
{ /* Inline/recursion.scm 328 */
long BgL_auxz00_4705;
{ /* Inline/recursion.scm 328 */
int BgL_auxz00_4706;
BgL_auxz00_4706 = 
(int)(BgL_objzd2classzd2numz00_3541); 
BgL_auxz00_4705 = 
(long)(BgL_auxz00_4706); } 
BgL_offsetz00_3546 = 
(BgL_auxz00_4705-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 328 */
long BgL_modz00_3547;
{ /* Inline/recursion.scm 328 */
long BgL_auxz00_4710;
{ /* Inline/recursion.scm 328 */
int BgL_auxz00_4711;
BgL_auxz00_4711 = 
(int)(((long)8)); 
BgL_auxz00_4710 = 
(long)(BgL_auxz00_4711); } 
BgL_modz00_3547 = 
(BgL_offsetz00_3546/BgL_auxz00_4710); } 
{ /* Inline/recursion.scm 328 */
long BgL_restz00_3549;
{ /* Inline/recursion.scm 328 */
long BgL_auxz00_4715;
{ /* Inline/recursion.scm 328 */
int BgL_auxz00_4716;
BgL_auxz00_4716 = 
(int)(((long)8)); 
BgL_auxz00_4715 = 
(long)(BgL_auxz00_4716); } 
BgL_restz00_3549 = 
(BgL_offsetz00_3546%BgL_auxz00_4715); } 
{ /* Inline/recursion.scm 328 */

{ /* Inline/recursion.scm 328 */
obj_t BgL_bucketz00_3551;
{ /* Inline/recursion.scm 328 */
int BgL_kz00_3561;
BgL_kz00_3561 = 
(int)(BgL_modz00_3547); 
BgL_bucketz00_3551 = 
VECTOR_REF(BgL_arg1221z00_3542,BgL_kz00_3561); } 
{ /* Inline/recursion.scm 328 */
int BgL_kz00_3563;
BgL_kz00_3563 = 
(int)(BgL_restz00_3549); 
BgL_method2814z00_3539 = 
VECTOR_REF(BgL_bucketz00_3551,BgL_kz00_3563); } } } } } } } } 
BgL_arg3084z00_2109 = 
PROCEDURE_ENTRY(BgL_method2814z00_3539)(BgL_method2814z00_3539, 
(obj_t)(BgL_nodez00_3537), 
(obj_t)(BgL_varz00_3538), BEOA); } } 
BgL_arg3083z00_2108 = 
bgl_append2(BgL_callsz00_2101, BgL_arg3084z00_2109); } 
{ 
obj_t BgL_callsz00_4730;obj_t BgL_bindingsz00_4729;
BgL_bindingsz00_4729 = BgL_arg3082z00_2107; 
BgL_callsz00_4730 = BgL_arg3083z00_2108; 
BgL_callsz00_2101 = BgL_callsz00_4730; 
BgL_bindingsz00_2100 = BgL_bindingsz00_4729; 
goto BgL_loopz00_2102;} } } } } } 
}



/* find-recursive-calls-let-fun2836 */
obj_t BGl_findzd2recursivezd2callszd2letzd2fun2836z00zzinline_recursionz00(obj_t BgL_envz00_3837, obj_t BgL_nodez00_3838, obj_t BgL_varz00_3839)
{ AN_OBJECT;
{ /* Inline/recursion.scm 307 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2077;obj_t BgL_varz00_2078;
BgL_nodez00_2077 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3838); 
BgL_varz00_2078 = BgL_varz00_3839; 
{ 
obj_t BgL_localsz00_2081;obj_t BgL_callsz00_2082;
{ /* Inline/recursion.scm 308 */
obj_t BgL_arg3067z00_2084;obj_t BgL_arg3068z00_2085;
BgL_arg3067z00_2084 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2077))->BgL_localsz00); 
{ /* Inline/recursion.scm 309 */
BgL_nodez00_bglt BgL_arg3069z00_2086;
BgL_arg3069z00_2086 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2077))->BgL_bodyz00); 
{ /* Inline/recursion.scm 309 */
BgL_variablez00_bglt BgL_varz00_3446;
BgL_varz00_3446 = 
(BgL_variablez00_bglt)(BgL_varz00_2078); 
{ /* Inline/recursion.scm 309 */
obj_t BgL_method2814z00_3447;
{ /* Inline/recursion.scm 309 */
long BgL_objzd2classzd2numz00_3449;
{ /* Inline/recursion.scm 309 */
BgL_objectz00_bglt BgL_auxz00_4735;
BgL_auxz00_4735 = 
(BgL_objectz00_bglt)(BgL_arg3069z00_2086); 
BgL_objzd2classzd2numz00_3449 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4735); } 
{ /* Inline/recursion.scm 309 */
obj_t BgL_arg1221z00_3450;
{ /* Inline/recursion.scm 309 */
int BgL_auxz00_4738;
BgL_auxz00_4738 = 
(int)(((long)1)); 
BgL_arg1221z00_3450 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4738); } 
{ /* Inline/recursion.scm 309 */
long BgL_offsetz00_3454;
{ /* Inline/recursion.scm 309 */
long BgL_auxz00_4741;
{ /* Inline/recursion.scm 309 */
int BgL_auxz00_4742;
BgL_auxz00_4742 = 
(int)(BgL_objzd2classzd2numz00_3449); 
BgL_auxz00_4741 = 
(long)(BgL_auxz00_4742); } 
BgL_offsetz00_3454 = 
(BgL_auxz00_4741-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 309 */
long BgL_modz00_3455;
{ /* Inline/recursion.scm 309 */
long BgL_auxz00_4746;
{ /* Inline/recursion.scm 309 */
int BgL_auxz00_4747;
BgL_auxz00_4747 = 
(int)(((long)8)); 
BgL_auxz00_4746 = 
(long)(BgL_auxz00_4747); } 
BgL_modz00_3455 = 
(BgL_offsetz00_3454/BgL_auxz00_4746); } 
{ /* Inline/recursion.scm 309 */
long BgL_restz00_3457;
{ /* Inline/recursion.scm 309 */
long BgL_auxz00_4751;
{ /* Inline/recursion.scm 309 */
int BgL_auxz00_4752;
BgL_auxz00_4752 = 
(int)(((long)8)); 
BgL_auxz00_4751 = 
(long)(BgL_auxz00_4752); } 
BgL_restz00_3457 = 
(BgL_offsetz00_3454%BgL_auxz00_4751); } 
{ /* Inline/recursion.scm 309 */

{ /* Inline/recursion.scm 309 */
obj_t BgL_bucketz00_3459;
{ /* Inline/recursion.scm 309 */
int BgL_kz00_3469;
BgL_kz00_3469 = 
(int)(BgL_modz00_3455); 
BgL_bucketz00_3459 = 
VECTOR_REF(BgL_arg1221z00_3450,BgL_kz00_3469); } 
{ /* Inline/recursion.scm 309 */
int BgL_kz00_3471;
BgL_kz00_3471 = 
(int)(BgL_restz00_3457); 
BgL_method2814z00_3447 = 
VECTOR_REF(BgL_bucketz00_3459,BgL_kz00_3471); } } } } } } } } 
BgL_arg3068z00_2085 = 
PROCEDURE_ENTRY(BgL_method2814z00_3447)(BgL_method2814z00_3447, 
(obj_t)(BgL_arg3069z00_2086), 
(obj_t)(BgL_varz00_3446), BEOA); } } } 
BgL_localsz00_2081 = BgL_arg3067z00_2084; 
BgL_callsz00_2082 = BgL_arg3068z00_2085; 
BgL_loopz00_2083:
if(
NULLP(BgL_localsz00_2081))
{ /* Inline/recursion.scm 310 */
return BgL_callsz00_2082;}  else 
{ /* Inline/recursion.scm 312 */
obj_t BgL_arg3071z00_2088;obj_t BgL_arg3072z00_2089;
BgL_arg3071z00_2088 = 
CDR(BgL_localsz00_2081); 
{ /* Inline/recursion.scm 315 */
obj_t BgL_arg3073z00_2090;
{ /* Inline/recursion.scm 314 */
BgL_nodez00_bglt BgL_nodez00_3477;BgL_variablez00_bglt BgL_varz00_3478;
{ /* Inline/recursion.scm 315 */
obj_t BgL_auxz00_4767;
{ /* Inline/recursion.scm 315 */
BgL_sfunz00_bglt BgL_obj1372z00_3476;
{ /* Inline/recursion.scm 315 */
BgL_valuez00_bglt BgL_auxz00_4768;
{ /* Inline/recursion.scm 315 */
BgL_localz00_bglt BgL_obj1255z00_3475;
{ /* Inline/recursion.scm 315 */
obj_t BgL_auxz00_4769;
BgL_auxz00_4769 = 
CAR(BgL_localsz00_2081); 
BgL_obj1255z00_3475 = 
(BgL_localz00_bglt)(BgL_auxz00_4769); } 
BgL_auxz00_4768 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3475))->BgL_valuez00); } 
BgL_obj1372z00_3476 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4768); } 
BgL_auxz00_4767 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3476))->BgL_bodyz00); } 
BgL_nodez00_3477 = 
(BgL_nodez00_bglt)(BgL_auxz00_4767); } 
BgL_varz00_3478 = 
(BgL_variablez00_bglt)(BgL_varz00_2078); 
{ /* Inline/recursion.scm 314 */
obj_t BgL_method2814z00_3479;
{ /* Inline/recursion.scm 314 */
long BgL_objzd2classzd2numz00_3481;
{ /* Inline/recursion.scm 314 */
BgL_objectz00_bglt BgL_auxz00_4777;
BgL_auxz00_4777 = 
(BgL_objectz00_bglt)(BgL_nodez00_3477); 
BgL_objzd2classzd2numz00_3481 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4777); } 
{ /* Inline/recursion.scm 314 */
obj_t BgL_arg1221z00_3482;
{ /* Inline/recursion.scm 314 */
int BgL_auxz00_4780;
BgL_auxz00_4780 = 
(int)(((long)1)); 
BgL_arg1221z00_3482 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4780); } 
{ /* Inline/recursion.scm 314 */
long BgL_offsetz00_3486;
{ /* Inline/recursion.scm 314 */
long BgL_auxz00_4783;
{ /* Inline/recursion.scm 314 */
int BgL_auxz00_4784;
BgL_auxz00_4784 = 
(int)(BgL_objzd2classzd2numz00_3481); 
BgL_auxz00_4783 = 
(long)(BgL_auxz00_4784); } 
BgL_offsetz00_3486 = 
(BgL_auxz00_4783-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 314 */
long BgL_modz00_3487;
{ /* Inline/recursion.scm 314 */
long BgL_auxz00_4788;
{ /* Inline/recursion.scm 314 */
int BgL_auxz00_4789;
BgL_auxz00_4789 = 
(int)(((long)8)); 
BgL_auxz00_4788 = 
(long)(BgL_auxz00_4789); } 
BgL_modz00_3487 = 
(BgL_offsetz00_3486/BgL_auxz00_4788); } 
{ /* Inline/recursion.scm 314 */
long BgL_restz00_3489;
{ /* Inline/recursion.scm 314 */
long BgL_auxz00_4793;
{ /* Inline/recursion.scm 314 */
int BgL_auxz00_4794;
BgL_auxz00_4794 = 
(int)(((long)8)); 
BgL_auxz00_4793 = 
(long)(BgL_auxz00_4794); } 
BgL_restz00_3489 = 
(BgL_offsetz00_3486%BgL_auxz00_4793); } 
{ /* Inline/recursion.scm 314 */

{ /* Inline/recursion.scm 314 */
obj_t BgL_bucketz00_3491;
{ /* Inline/recursion.scm 314 */
int BgL_kz00_3501;
BgL_kz00_3501 = 
(int)(BgL_modz00_3487); 
BgL_bucketz00_3491 = 
VECTOR_REF(BgL_arg1221z00_3482,BgL_kz00_3501); } 
{ /* Inline/recursion.scm 314 */
int BgL_kz00_3503;
BgL_kz00_3503 = 
(int)(BgL_restz00_3489); 
BgL_method2814z00_3479 = 
VECTOR_REF(BgL_bucketz00_3491,BgL_kz00_3503); } } } } } } } } 
BgL_arg3073z00_2090 = 
PROCEDURE_ENTRY(BgL_method2814z00_3479)(BgL_method2814z00_3479, 
(obj_t)(BgL_nodez00_3477), 
(obj_t)(BgL_varz00_3478), BEOA); } } 
BgL_arg3072z00_2089 = 
bgl_append2(BgL_callsz00_2082, BgL_arg3073z00_2090); } 
{ 
obj_t BgL_callsz00_4808;obj_t BgL_localsz00_4807;
BgL_localsz00_4807 = BgL_arg3071z00_2088; 
BgL_callsz00_4808 = BgL_arg3072z00_2089; 
BgL_callsz00_2082 = BgL_callsz00_4808; 
BgL_localsz00_2081 = BgL_localsz00_4807; 
goto BgL_loopz00_2083;} } } } } } 
}



/* find-recursive-calls-select2834 */
obj_t BGl_findzd2recursivezd2callszd2select2834zd2zzinline_recursionz00(obj_t BgL_envz00_3840, obj_t BgL_nodez00_3841, obj_t BgL_varz00_3842)
{ AN_OBJECT;
{ /* Inline/recursion.scm 295 */
{ 
BgL_selectz00_bglt BgL_nodez00_2059;obj_t BgL_varz00_2060;
BgL_nodez00_2059 = 
(BgL_selectz00_bglt)(BgL_nodez00_3841); 
BgL_varz00_2060 = BgL_varz00_3842; 
{ 
obj_t BgL_clausesz00_2063;obj_t BgL_callsz00_2064;
{ /* Inline/recursion.scm 296 */
obj_t BgL_arg3057z00_2066;obj_t BgL_arg3058z00_2067;
BgL_arg3057z00_2066 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2059))->BgL_clausesz00); 
{ /* Inline/recursion.scm 297 */
BgL_nodez00_bglt BgL_arg3059z00_2068;
BgL_arg3059z00_2068 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2059))->BgL_testz00); 
{ /* Inline/recursion.scm 297 */
BgL_variablez00_bglt BgL_varz00_3386;
BgL_varz00_3386 = 
(BgL_variablez00_bglt)(BgL_varz00_2060); 
{ /* Inline/recursion.scm 297 */
obj_t BgL_method2814z00_3387;
{ /* Inline/recursion.scm 297 */
long BgL_objzd2classzd2numz00_3389;
{ /* Inline/recursion.scm 297 */
BgL_objectz00_bglt BgL_auxz00_4813;
BgL_auxz00_4813 = 
(BgL_objectz00_bglt)(BgL_arg3059z00_2068); 
BgL_objzd2classzd2numz00_3389 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4813); } 
{ /* Inline/recursion.scm 297 */
obj_t BgL_arg1221z00_3390;
{ /* Inline/recursion.scm 297 */
int BgL_auxz00_4816;
BgL_auxz00_4816 = 
(int)(((long)1)); 
BgL_arg1221z00_3390 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4816); } 
{ /* Inline/recursion.scm 297 */
long BgL_offsetz00_3394;
{ /* Inline/recursion.scm 297 */
long BgL_auxz00_4819;
{ /* Inline/recursion.scm 297 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(BgL_objzd2classzd2numz00_3389); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_offsetz00_3394 = 
(BgL_auxz00_4819-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 297 */
long BgL_modz00_3395;
{ /* Inline/recursion.scm 297 */
long BgL_auxz00_4824;
{ /* Inline/recursion.scm 297 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)8)); 
BgL_auxz00_4824 = 
(long)(BgL_auxz00_4825); } 
BgL_modz00_3395 = 
(BgL_offsetz00_3394/BgL_auxz00_4824); } 
{ /* Inline/recursion.scm 297 */
long BgL_restz00_3397;
{ /* Inline/recursion.scm 297 */
long BgL_auxz00_4829;
{ /* Inline/recursion.scm 297 */
int BgL_auxz00_4830;
BgL_auxz00_4830 = 
(int)(((long)8)); 
BgL_auxz00_4829 = 
(long)(BgL_auxz00_4830); } 
BgL_restz00_3397 = 
(BgL_offsetz00_3394%BgL_auxz00_4829); } 
{ /* Inline/recursion.scm 297 */

{ /* Inline/recursion.scm 297 */
obj_t BgL_bucketz00_3399;
{ /* Inline/recursion.scm 297 */
int BgL_kz00_3409;
BgL_kz00_3409 = 
(int)(BgL_modz00_3395); 
BgL_bucketz00_3399 = 
VECTOR_REF(BgL_arg1221z00_3390,BgL_kz00_3409); } 
{ /* Inline/recursion.scm 297 */
int BgL_kz00_3411;
BgL_kz00_3411 = 
(int)(BgL_restz00_3397); 
BgL_method2814z00_3387 = 
VECTOR_REF(BgL_bucketz00_3399,BgL_kz00_3411); } } } } } } } } 
BgL_arg3058z00_2067 = 
PROCEDURE_ENTRY(BgL_method2814z00_3387)(BgL_method2814z00_3387, 
(obj_t)(BgL_arg3059z00_2068), 
(obj_t)(BgL_varz00_3386), BEOA); } } } 
BgL_clausesz00_2063 = BgL_arg3057z00_2066; 
BgL_callsz00_2064 = BgL_arg3058z00_2067; 
BgL_loopz00_2065:
if(
NULLP(BgL_clausesz00_2063))
{ /* Inline/recursion.scm 298 */
return BgL_callsz00_2064;}  else 
{ /* Inline/recursion.scm 300 */
obj_t BgL_arg3061z00_2070;obj_t BgL_arg3062z00_2071;
BgL_arg3061z00_2070 = 
CDR(BgL_clausesz00_2063); 
{ /* Inline/recursion.scm 301 */
obj_t BgL_arg3063z00_2072;
{ /* Inline/recursion.scm 301 */
BgL_nodez00_bglt BgL_nodez00_3416;BgL_variablez00_bglt BgL_varz00_3417;
{ /* Inline/recursion.scm 301 */
obj_t BgL_auxz00_4845;
{ /* Inline/recursion.scm 301 */
obj_t BgL_auxz00_4846;
BgL_auxz00_4846 = 
CAR(BgL_clausesz00_2063); 
BgL_auxz00_4845 = 
CDR(BgL_auxz00_4846); } 
BgL_nodez00_3416 = 
(BgL_nodez00_bglt)(BgL_auxz00_4845); } 
BgL_varz00_3417 = 
(BgL_variablez00_bglt)(BgL_varz00_2060); 
{ /* Inline/recursion.scm 301 */
obj_t BgL_method2814z00_3418;
{ /* Inline/recursion.scm 301 */
long BgL_objzd2classzd2numz00_3420;
{ /* Inline/recursion.scm 301 */
BgL_objectz00_bglt BgL_auxz00_4851;
BgL_auxz00_4851 = 
(BgL_objectz00_bglt)(BgL_nodez00_3416); 
BgL_objzd2classzd2numz00_3420 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4851); } 
{ /* Inline/recursion.scm 301 */
obj_t BgL_arg1221z00_3421;
{ /* Inline/recursion.scm 301 */
int BgL_auxz00_4854;
BgL_auxz00_4854 = 
(int)(((long)1)); 
BgL_arg1221z00_3421 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4854); } 
{ /* Inline/recursion.scm 301 */
long BgL_offsetz00_3425;
{ /* Inline/recursion.scm 301 */
long BgL_auxz00_4857;
{ /* Inline/recursion.scm 301 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(BgL_objzd2classzd2numz00_3420); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_offsetz00_3425 = 
(BgL_auxz00_4857-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 301 */
long BgL_modz00_3426;
{ /* Inline/recursion.scm 301 */
long BgL_auxz00_4862;
{ /* Inline/recursion.scm 301 */
int BgL_auxz00_4863;
BgL_auxz00_4863 = 
(int)(((long)8)); 
BgL_auxz00_4862 = 
(long)(BgL_auxz00_4863); } 
BgL_modz00_3426 = 
(BgL_offsetz00_3425/BgL_auxz00_4862); } 
{ /* Inline/recursion.scm 301 */
long BgL_restz00_3428;
{ /* Inline/recursion.scm 301 */
long BgL_auxz00_4867;
{ /* Inline/recursion.scm 301 */
int BgL_auxz00_4868;
BgL_auxz00_4868 = 
(int)(((long)8)); 
BgL_auxz00_4867 = 
(long)(BgL_auxz00_4868); } 
BgL_restz00_3428 = 
(BgL_offsetz00_3425%BgL_auxz00_4867); } 
{ /* Inline/recursion.scm 301 */

{ /* Inline/recursion.scm 301 */
obj_t BgL_bucketz00_3430;
{ /* Inline/recursion.scm 301 */
int BgL_kz00_3440;
BgL_kz00_3440 = 
(int)(BgL_modz00_3426); 
BgL_bucketz00_3430 = 
VECTOR_REF(BgL_arg1221z00_3421,BgL_kz00_3440); } 
{ /* Inline/recursion.scm 301 */
int BgL_kz00_3442;
BgL_kz00_3442 = 
(int)(BgL_restz00_3428); 
BgL_method2814z00_3418 = 
VECTOR_REF(BgL_bucketz00_3430,BgL_kz00_3442); } } } } } } } } 
BgL_arg3063z00_2072 = 
PROCEDURE_ENTRY(BgL_method2814z00_3418)(BgL_method2814z00_3418, 
(obj_t)(BgL_nodez00_3416), 
(obj_t)(BgL_varz00_3417), BEOA); } } 
BgL_arg3062z00_2071 = 
bgl_append2(BgL_arg3063z00_2072, BgL_callsz00_2064); } 
{ 
obj_t BgL_callsz00_4882;obj_t BgL_clausesz00_4881;
BgL_clausesz00_4881 = BgL_arg3061z00_2070; 
BgL_callsz00_4882 = BgL_arg3062z00_2071; 
BgL_callsz00_2064 = BgL_callsz00_4882; 
BgL_clausesz00_2063 = BgL_clausesz00_4881; 
goto BgL_loopz00_2065;} } } } } } 
}



/* find-recursive-calls-fail2832 */
obj_t BGl_findzd2recursivezd2callszd2fail2832zd2zzinline_recursionz00(obj_t BgL_envz00_3843, obj_t BgL_nodez00_3844, obj_t BgL_varz00_3845)
{ AN_OBJECT;
{ /* Inline/recursion.scm 286 */
{ 
BgL_failz00_bglt BgL_nodez00_2043;obj_t BgL_varz00_2044;
BgL_nodez00_2043 = 
(BgL_failz00_bglt)(BgL_nodez00_3844); 
BgL_varz00_2044 = BgL_varz00_3845; 
{ /* Inline/recursion.scm 288 */
obj_t BgL_arg3047z00_2048;obj_t BgL_arg3048z00_2049;obj_t BgL_arg3049z00_2050;
{ /* Inline/recursion.scm 288 */
BgL_nodez00_bglt BgL_arg3053z00_2054;
BgL_arg3053z00_2054 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2043))->BgL_procz00); 
{ /* Inline/recursion.scm 288 */
BgL_variablez00_bglt BgL_varz00_3301;
BgL_varz00_3301 = 
(BgL_variablez00_bglt)(BgL_varz00_2044); 
{ /* Inline/recursion.scm 288 */
obj_t BgL_method2814z00_3302;
{ /* Inline/recursion.scm 288 */
long BgL_objzd2classzd2numz00_3304;
{ /* Inline/recursion.scm 288 */
BgL_objectz00_bglt BgL_auxz00_4886;
BgL_auxz00_4886 = 
(BgL_objectz00_bglt)(BgL_arg3053z00_2054); 
BgL_objzd2classzd2numz00_3304 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4886); } 
{ /* Inline/recursion.scm 288 */
obj_t BgL_arg1221z00_3305;
{ /* Inline/recursion.scm 288 */
int BgL_auxz00_4889;
BgL_auxz00_4889 = 
(int)(((long)1)); 
BgL_arg1221z00_3305 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4889); } 
{ /* Inline/recursion.scm 288 */
long BgL_offsetz00_3309;
{ /* Inline/recursion.scm 288 */
long BgL_auxz00_4892;
{ /* Inline/recursion.scm 288 */
int BgL_auxz00_4893;
BgL_auxz00_4893 = 
(int)(BgL_objzd2classzd2numz00_3304); 
BgL_auxz00_4892 = 
(long)(BgL_auxz00_4893); } 
BgL_offsetz00_3309 = 
(BgL_auxz00_4892-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 288 */
long BgL_modz00_3310;
{ /* Inline/recursion.scm 288 */
long BgL_auxz00_4897;
{ /* Inline/recursion.scm 288 */
int BgL_auxz00_4898;
BgL_auxz00_4898 = 
(int)(((long)8)); 
BgL_auxz00_4897 = 
(long)(BgL_auxz00_4898); } 
BgL_modz00_3310 = 
(BgL_offsetz00_3309/BgL_auxz00_4897); } 
{ /* Inline/recursion.scm 288 */
long BgL_restz00_3312;
{ /* Inline/recursion.scm 288 */
long BgL_auxz00_4902;
{ /* Inline/recursion.scm 288 */
int BgL_auxz00_4903;
BgL_auxz00_4903 = 
(int)(((long)8)); 
BgL_auxz00_4902 = 
(long)(BgL_auxz00_4903); } 
BgL_restz00_3312 = 
(BgL_offsetz00_3309%BgL_auxz00_4902); } 
{ /* Inline/recursion.scm 288 */

{ /* Inline/recursion.scm 288 */
obj_t BgL_bucketz00_3314;
{ /* Inline/recursion.scm 288 */
int BgL_kz00_3324;
BgL_kz00_3324 = 
(int)(BgL_modz00_3310); 
BgL_bucketz00_3314 = 
VECTOR_REF(BgL_arg1221z00_3305,BgL_kz00_3324); } 
{ /* Inline/recursion.scm 288 */
int BgL_kz00_3326;
BgL_kz00_3326 = 
(int)(BgL_restz00_3312); 
BgL_method2814z00_3302 = 
VECTOR_REF(BgL_bucketz00_3314,BgL_kz00_3326); } } } } } } } } 
BgL_arg3047z00_2048 = 
PROCEDURE_ENTRY(BgL_method2814z00_3302)(BgL_method2814z00_3302, 
(obj_t)(BgL_arg3053z00_2054), 
(obj_t)(BgL_varz00_3301), BEOA); } } } 
{ /* Inline/recursion.scm 289 */
BgL_nodez00_bglt BgL_arg3054z00_2055;
BgL_arg3054z00_2055 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2043))->BgL_msgz00); 
{ /* Inline/recursion.scm 289 */
BgL_variablez00_bglt BgL_varz00_3329;
BgL_varz00_3329 = 
(BgL_variablez00_bglt)(BgL_varz00_2044); 
{ /* Inline/recursion.scm 289 */
obj_t BgL_method2814z00_3330;
{ /* Inline/recursion.scm 289 */
long BgL_objzd2classzd2numz00_3332;
{ /* Inline/recursion.scm 289 */
BgL_objectz00_bglt BgL_auxz00_4917;
BgL_auxz00_4917 = 
(BgL_objectz00_bglt)(BgL_arg3054z00_2055); 
BgL_objzd2classzd2numz00_3332 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4917); } 
{ /* Inline/recursion.scm 289 */
obj_t BgL_arg1221z00_3333;
{ /* Inline/recursion.scm 289 */
int BgL_auxz00_4920;
BgL_auxz00_4920 = 
(int)(((long)1)); 
BgL_arg1221z00_3333 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4920); } 
{ /* Inline/recursion.scm 289 */
long BgL_offsetz00_3337;
{ /* Inline/recursion.scm 289 */
long BgL_auxz00_4923;
{ /* Inline/recursion.scm 289 */
int BgL_auxz00_4924;
BgL_auxz00_4924 = 
(int)(BgL_objzd2classzd2numz00_3332); 
BgL_auxz00_4923 = 
(long)(BgL_auxz00_4924); } 
BgL_offsetz00_3337 = 
(BgL_auxz00_4923-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 289 */
long BgL_modz00_3338;
{ /* Inline/recursion.scm 289 */
long BgL_auxz00_4928;
{ /* Inline/recursion.scm 289 */
int BgL_auxz00_4929;
BgL_auxz00_4929 = 
(int)(((long)8)); 
BgL_auxz00_4928 = 
(long)(BgL_auxz00_4929); } 
BgL_modz00_3338 = 
(BgL_offsetz00_3337/BgL_auxz00_4928); } 
{ /* Inline/recursion.scm 289 */
long BgL_restz00_3340;
{ /* Inline/recursion.scm 289 */
long BgL_auxz00_4933;
{ /* Inline/recursion.scm 289 */
int BgL_auxz00_4934;
BgL_auxz00_4934 = 
(int)(((long)8)); 
BgL_auxz00_4933 = 
(long)(BgL_auxz00_4934); } 
BgL_restz00_3340 = 
(BgL_offsetz00_3337%BgL_auxz00_4933); } 
{ /* Inline/recursion.scm 289 */

{ /* Inline/recursion.scm 289 */
obj_t BgL_bucketz00_3342;
{ /* Inline/recursion.scm 289 */
int BgL_kz00_3352;
BgL_kz00_3352 = 
(int)(BgL_modz00_3338); 
BgL_bucketz00_3342 = 
VECTOR_REF(BgL_arg1221z00_3333,BgL_kz00_3352); } 
{ /* Inline/recursion.scm 289 */
int BgL_kz00_3354;
BgL_kz00_3354 = 
(int)(BgL_restz00_3340); 
BgL_method2814z00_3330 = 
VECTOR_REF(BgL_bucketz00_3342,BgL_kz00_3354); } } } } } } } } 
BgL_arg3048z00_2049 = 
PROCEDURE_ENTRY(BgL_method2814z00_3330)(BgL_method2814z00_3330, 
(obj_t)(BgL_arg3054z00_2055), 
(obj_t)(BgL_varz00_3329), BEOA); } } } 
{ /* Inline/recursion.scm 290 */
BgL_nodez00_bglt BgL_arg3055z00_2056;
BgL_arg3055z00_2056 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2043))->BgL_objz00); 
{ /* Inline/recursion.scm 290 */
BgL_variablez00_bglt BgL_varz00_3357;
BgL_varz00_3357 = 
(BgL_variablez00_bglt)(BgL_varz00_2044); 
{ /* Inline/recursion.scm 290 */
obj_t BgL_method2814z00_3358;
{ /* Inline/recursion.scm 290 */
long BgL_objzd2classzd2numz00_3360;
{ /* Inline/recursion.scm 290 */
BgL_objectz00_bglt BgL_auxz00_4948;
BgL_auxz00_4948 = 
(BgL_objectz00_bglt)(BgL_arg3055z00_2056); 
BgL_objzd2classzd2numz00_3360 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4948); } 
{ /* Inline/recursion.scm 290 */
obj_t BgL_arg1221z00_3361;
{ /* Inline/recursion.scm 290 */
int BgL_auxz00_4951;
BgL_auxz00_4951 = 
(int)(((long)1)); 
BgL_arg1221z00_3361 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4951); } 
{ /* Inline/recursion.scm 290 */
long BgL_offsetz00_3365;
{ /* Inline/recursion.scm 290 */
long BgL_auxz00_4954;
{ /* Inline/recursion.scm 290 */
int BgL_auxz00_4955;
BgL_auxz00_4955 = 
(int)(BgL_objzd2classzd2numz00_3360); 
BgL_auxz00_4954 = 
(long)(BgL_auxz00_4955); } 
BgL_offsetz00_3365 = 
(BgL_auxz00_4954-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 290 */
long BgL_modz00_3366;
{ /* Inline/recursion.scm 290 */
long BgL_auxz00_4959;
{ /* Inline/recursion.scm 290 */
int BgL_auxz00_4960;
BgL_auxz00_4960 = 
(int)(((long)8)); 
BgL_auxz00_4959 = 
(long)(BgL_auxz00_4960); } 
BgL_modz00_3366 = 
(BgL_offsetz00_3365/BgL_auxz00_4959); } 
{ /* Inline/recursion.scm 290 */
long BgL_restz00_3368;
{ /* Inline/recursion.scm 290 */
long BgL_auxz00_4964;
{ /* Inline/recursion.scm 290 */
int BgL_auxz00_4965;
BgL_auxz00_4965 = 
(int)(((long)8)); 
BgL_auxz00_4964 = 
(long)(BgL_auxz00_4965); } 
BgL_restz00_3368 = 
(BgL_offsetz00_3365%BgL_auxz00_4964); } 
{ /* Inline/recursion.scm 290 */

{ /* Inline/recursion.scm 290 */
obj_t BgL_bucketz00_3370;
{ /* Inline/recursion.scm 290 */
int BgL_kz00_3380;
BgL_kz00_3380 = 
(int)(BgL_modz00_3366); 
BgL_bucketz00_3370 = 
VECTOR_REF(BgL_arg1221z00_3361,BgL_kz00_3380); } 
{ /* Inline/recursion.scm 290 */
int BgL_kz00_3382;
BgL_kz00_3382 = 
(int)(BgL_restz00_3368); 
BgL_method2814z00_3358 = 
VECTOR_REF(BgL_bucketz00_3370,BgL_kz00_3382); } } } } } } } } 
BgL_arg3049z00_2050 = 
PROCEDURE_ENTRY(BgL_method2814z00_3358)(BgL_method2814z00_3358, 
(obj_t)(BgL_arg3055z00_2056), 
(obj_t)(BgL_varz00_3357), BEOA); } } } 
{ /* Inline/recursion.scm 288 */
obj_t BgL_list3050z00_2051;
{ /* Inline/recursion.scm 288 */
obj_t BgL_arg3051z00_2052;
{ /* Inline/recursion.scm 288 */
obj_t BgL_arg3052z00_2053;
BgL_arg3052z00_2053 = 
MAKE_PAIR(BgL_arg3049z00_2050, BNIL); 
BgL_arg3051z00_2052 = 
MAKE_PAIR(BgL_arg3048z00_2049, BgL_arg3052z00_2053); } 
BgL_list3050z00_2051 = 
MAKE_PAIR(BgL_arg3047z00_2048, BgL_arg3051z00_2052); } 
return 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3050z00_2051);} } } } 
}



/* find-recursive-calls-conditional2830 */
obj_t BGl_findzd2recursivezd2callszd2conditional2830zd2zzinline_recursionz00(obj_t BgL_envz00_3846, obj_t BgL_nodez00_3847, obj_t BgL_varz00_3848)
{ AN_OBJECT;
{ /* Inline/recursion.scm 277 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2027;obj_t BgL_varz00_2028;
BgL_nodez00_2027 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3847); 
BgL_varz00_2028 = BgL_varz00_3848; 
{ /* Inline/recursion.scm 279 */
obj_t BgL_arg3037z00_2032;obj_t BgL_arg3038z00_2033;obj_t BgL_arg3039z00_2034;
{ /* Inline/recursion.scm 279 */
BgL_nodez00_bglt BgL_arg3043z00_2038;
BgL_arg3043z00_2038 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2027))->BgL_testz00); 
{ /* Inline/recursion.scm 279 */
BgL_variablez00_bglt BgL_varz00_3217;
BgL_varz00_3217 = 
(BgL_variablez00_bglt)(BgL_varz00_2028); 
{ /* Inline/recursion.scm 279 */
obj_t BgL_method2814z00_3218;
{ /* Inline/recursion.scm 279 */
long BgL_objzd2classzd2numz00_3220;
{ /* Inline/recursion.scm 279 */
BgL_objectz00_bglt BgL_auxz00_4984;
BgL_auxz00_4984 = 
(BgL_objectz00_bglt)(BgL_arg3043z00_2038); 
BgL_objzd2classzd2numz00_3220 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4984); } 
{ /* Inline/recursion.scm 279 */
obj_t BgL_arg1221z00_3221;
{ /* Inline/recursion.scm 279 */
int BgL_auxz00_4987;
BgL_auxz00_4987 = 
(int)(((long)1)); 
BgL_arg1221z00_3221 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_4987); } 
{ /* Inline/recursion.scm 279 */
long BgL_offsetz00_3225;
{ /* Inline/recursion.scm 279 */
long BgL_auxz00_4990;
{ /* Inline/recursion.scm 279 */
int BgL_auxz00_4991;
BgL_auxz00_4991 = 
(int)(BgL_objzd2classzd2numz00_3220); 
BgL_auxz00_4990 = 
(long)(BgL_auxz00_4991); } 
BgL_offsetz00_3225 = 
(BgL_auxz00_4990-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 279 */
long BgL_modz00_3226;
{ /* Inline/recursion.scm 279 */
long BgL_auxz00_4995;
{ /* Inline/recursion.scm 279 */
int BgL_auxz00_4996;
BgL_auxz00_4996 = 
(int)(((long)8)); 
BgL_auxz00_4995 = 
(long)(BgL_auxz00_4996); } 
BgL_modz00_3226 = 
(BgL_offsetz00_3225/BgL_auxz00_4995); } 
{ /* Inline/recursion.scm 279 */
long BgL_restz00_3228;
{ /* Inline/recursion.scm 279 */
long BgL_auxz00_5000;
{ /* Inline/recursion.scm 279 */
int BgL_auxz00_5001;
BgL_auxz00_5001 = 
(int)(((long)8)); 
BgL_auxz00_5000 = 
(long)(BgL_auxz00_5001); } 
BgL_restz00_3228 = 
(BgL_offsetz00_3225%BgL_auxz00_5000); } 
{ /* Inline/recursion.scm 279 */

{ /* Inline/recursion.scm 279 */
obj_t BgL_bucketz00_3230;
{ /* Inline/recursion.scm 279 */
int BgL_kz00_3240;
BgL_kz00_3240 = 
(int)(BgL_modz00_3226); 
BgL_bucketz00_3230 = 
VECTOR_REF(BgL_arg1221z00_3221,BgL_kz00_3240); } 
{ /* Inline/recursion.scm 279 */
int BgL_kz00_3242;
BgL_kz00_3242 = 
(int)(BgL_restz00_3228); 
BgL_method2814z00_3218 = 
VECTOR_REF(BgL_bucketz00_3230,BgL_kz00_3242); } } } } } } } } 
BgL_arg3037z00_2032 = 
PROCEDURE_ENTRY(BgL_method2814z00_3218)(BgL_method2814z00_3218, 
(obj_t)(BgL_arg3043z00_2038), 
(obj_t)(BgL_varz00_3217), BEOA); } } } 
{ /* Inline/recursion.scm 280 */
BgL_nodez00_bglt BgL_arg3044z00_2039;
BgL_arg3044z00_2039 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2027))->BgL_truez00); 
{ /* Inline/recursion.scm 280 */
BgL_variablez00_bglt BgL_varz00_3245;
BgL_varz00_3245 = 
(BgL_variablez00_bglt)(BgL_varz00_2028); 
{ /* Inline/recursion.scm 280 */
obj_t BgL_method2814z00_3246;
{ /* Inline/recursion.scm 280 */
long BgL_objzd2classzd2numz00_3248;
{ /* Inline/recursion.scm 280 */
BgL_objectz00_bglt BgL_auxz00_5015;
BgL_auxz00_5015 = 
(BgL_objectz00_bglt)(BgL_arg3044z00_2039); 
BgL_objzd2classzd2numz00_3248 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5015); } 
{ /* Inline/recursion.scm 280 */
obj_t BgL_arg1221z00_3249;
{ /* Inline/recursion.scm 280 */
int BgL_auxz00_5018;
BgL_auxz00_5018 = 
(int)(((long)1)); 
BgL_arg1221z00_3249 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5018); } 
{ /* Inline/recursion.scm 280 */
long BgL_offsetz00_3253;
{ /* Inline/recursion.scm 280 */
long BgL_auxz00_5021;
{ /* Inline/recursion.scm 280 */
int BgL_auxz00_5022;
BgL_auxz00_5022 = 
(int)(BgL_objzd2classzd2numz00_3248); 
BgL_auxz00_5021 = 
(long)(BgL_auxz00_5022); } 
BgL_offsetz00_3253 = 
(BgL_auxz00_5021-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 280 */
long BgL_modz00_3254;
{ /* Inline/recursion.scm 280 */
long BgL_auxz00_5026;
{ /* Inline/recursion.scm 280 */
int BgL_auxz00_5027;
BgL_auxz00_5027 = 
(int)(((long)8)); 
BgL_auxz00_5026 = 
(long)(BgL_auxz00_5027); } 
BgL_modz00_3254 = 
(BgL_offsetz00_3253/BgL_auxz00_5026); } 
{ /* Inline/recursion.scm 280 */
long BgL_restz00_3256;
{ /* Inline/recursion.scm 280 */
long BgL_auxz00_5031;
{ /* Inline/recursion.scm 280 */
int BgL_auxz00_5032;
BgL_auxz00_5032 = 
(int)(((long)8)); 
BgL_auxz00_5031 = 
(long)(BgL_auxz00_5032); } 
BgL_restz00_3256 = 
(BgL_offsetz00_3253%BgL_auxz00_5031); } 
{ /* Inline/recursion.scm 280 */

{ /* Inline/recursion.scm 280 */
obj_t BgL_bucketz00_3258;
{ /* Inline/recursion.scm 280 */
int BgL_kz00_3268;
BgL_kz00_3268 = 
(int)(BgL_modz00_3254); 
BgL_bucketz00_3258 = 
VECTOR_REF(BgL_arg1221z00_3249,BgL_kz00_3268); } 
{ /* Inline/recursion.scm 280 */
int BgL_kz00_3270;
BgL_kz00_3270 = 
(int)(BgL_restz00_3256); 
BgL_method2814z00_3246 = 
VECTOR_REF(BgL_bucketz00_3258,BgL_kz00_3270); } } } } } } } } 
BgL_arg3038z00_2033 = 
PROCEDURE_ENTRY(BgL_method2814z00_3246)(BgL_method2814z00_3246, 
(obj_t)(BgL_arg3044z00_2039), 
(obj_t)(BgL_varz00_3245), BEOA); } } } 
{ /* Inline/recursion.scm 281 */
BgL_nodez00_bglt BgL_arg3045z00_2040;
BgL_arg3045z00_2040 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2027))->BgL_falsez00); 
{ /* Inline/recursion.scm 281 */
BgL_variablez00_bglt BgL_varz00_3273;
BgL_varz00_3273 = 
(BgL_variablez00_bglt)(BgL_varz00_2028); 
{ /* Inline/recursion.scm 281 */
obj_t BgL_method2814z00_3274;
{ /* Inline/recursion.scm 281 */
long BgL_objzd2classzd2numz00_3276;
{ /* Inline/recursion.scm 281 */
BgL_objectz00_bglt BgL_auxz00_5046;
BgL_auxz00_5046 = 
(BgL_objectz00_bglt)(BgL_arg3045z00_2040); 
BgL_objzd2classzd2numz00_3276 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5046); } 
{ /* Inline/recursion.scm 281 */
obj_t BgL_arg1221z00_3277;
{ /* Inline/recursion.scm 281 */
int BgL_auxz00_5049;
BgL_auxz00_5049 = 
(int)(((long)1)); 
BgL_arg1221z00_3277 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5049); } 
{ /* Inline/recursion.scm 281 */
long BgL_offsetz00_3281;
{ /* Inline/recursion.scm 281 */
long BgL_auxz00_5052;
{ /* Inline/recursion.scm 281 */
int BgL_auxz00_5053;
BgL_auxz00_5053 = 
(int)(BgL_objzd2classzd2numz00_3276); 
BgL_auxz00_5052 = 
(long)(BgL_auxz00_5053); } 
BgL_offsetz00_3281 = 
(BgL_auxz00_5052-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 281 */
long BgL_modz00_3282;
{ /* Inline/recursion.scm 281 */
long BgL_auxz00_5057;
{ /* Inline/recursion.scm 281 */
int BgL_auxz00_5058;
BgL_auxz00_5058 = 
(int)(((long)8)); 
BgL_auxz00_5057 = 
(long)(BgL_auxz00_5058); } 
BgL_modz00_3282 = 
(BgL_offsetz00_3281/BgL_auxz00_5057); } 
{ /* Inline/recursion.scm 281 */
long BgL_restz00_3284;
{ /* Inline/recursion.scm 281 */
long BgL_auxz00_5062;
{ /* Inline/recursion.scm 281 */
int BgL_auxz00_5063;
BgL_auxz00_5063 = 
(int)(((long)8)); 
BgL_auxz00_5062 = 
(long)(BgL_auxz00_5063); } 
BgL_restz00_3284 = 
(BgL_offsetz00_3281%BgL_auxz00_5062); } 
{ /* Inline/recursion.scm 281 */

{ /* Inline/recursion.scm 281 */
obj_t BgL_bucketz00_3286;
{ /* Inline/recursion.scm 281 */
int BgL_kz00_3296;
BgL_kz00_3296 = 
(int)(BgL_modz00_3282); 
BgL_bucketz00_3286 = 
VECTOR_REF(BgL_arg1221z00_3277,BgL_kz00_3296); } 
{ /* Inline/recursion.scm 281 */
int BgL_kz00_3298;
BgL_kz00_3298 = 
(int)(BgL_restz00_3284); 
BgL_method2814z00_3274 = 
VECTOR_REF(BgL_bucketz00_3286,BgL_kz00_3298); } } } } } } } } 
BgL_arg3039z00_2034 = 
PROCEDURE_ENTRY(BgL_method2814z00_3274)(BgL_method2814z00_3274, 
(obj_t)(BgL_arg3045z00_2040), 
(obj_t)(BgL_varz00_3273), BEOA); } } } 
{ /* Inline/recursion.scm 279 */
obj_t BgL_list3040z00_2035;
{ /* Inline/recursion.scm 279 */
obj_t BgL_arg3041z00_2036;
{ /* Inline/recursion.scm 279 */
obj_t BgL_arg3042z00_2037;
BgL_arg3042z00_2037 = 
MAKE_PAIR(BgL_arg3039z00_2034, BNIL); 
BgL_arg3041z00_2036 = 
MAKE_PAIR(BgL_arg3038z00_2033, BgL_arg3042z00_2037); } 
BgL_list3040z00_2035 = 
MAKE_PAIR(BgL_arg3037z00_2032, BgL_arg3041z00_2036); } 
return 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3040z00_2035);} } } } 
}



/* find-recursive-calls-setq2828 */
obj_t BGl_findzd2recursivezd2callszd2setq2828zd2zzinline_recursionz00(obj_t BgL_envz00_3849, obj_t BgL_nodez00_3850, obj_t BgL_varz00_3851)
{ AN_OBJECT;
{ /* Inline/recursion.scm 271 */
{ 
BgL_setqz00_bglt BgL_nodez00_2020;obj_t BgL_varz00_2021;
BgL_nodez00_2020 = 
(BgL_setqz00_bglt)(BgL_nodez00_3850); 
BgL_varz00_2021 = BgL_varz00_3851; 
{ /* Inline/recursion.scm 272 */
BgL_nodez00_bglt BgL_arg3035z00_3186;
BgL_arg3035z00_3186 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2020))->BgL_valuez00); 
{ /* Inline/recursion.scm 272 */
BgL_variablez00_bglt BgL_varz00_3189;
BgL_varz00_3189 = 
(BgL_variablez00_bglt)(BgL_varz00_2021); 
{ /* Inline/recursion.scm 272 */
obj_t BgL_method2814z00_3190;
{ /* Inline/recursion.scm 272 */
long BgL_objzd2classzd2numz00_3192;
{ /* Inline/recursion.scm 272 */
BgL_objectz00_bglt BgL_auxz00_5082;
BgL_auxz00_5082 = 
(BgL_objectz00_bglt)(BgL_arg3035z00_3186); 
BgL_objzd2classzd2numz00_3192 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5082); } 
{ /* Inline/recursion.scm 272 */
obj_t BgL_arg1221z00_3193;
{ /* Inline/recursion.scm 272 */
int BgL_auxz00_5085;
BgL_auxz00_5085 = 
(int)(((long)1)); 
BgL_arg1221z00_3193 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5085); } 
{ /* Inline/recursion.scm 272 */
long BgL_offsetz00_3197;
{ /* Inline/recursion.scm 272 */
long BgL_auxz00_5088;
{ /* Inline/recursion.scm 272 */
int BgL_auxz00_5089;
BgL_auxz00_5089 = 
(int)(BgL_objzd2classzd2numz00_3192); 
BgL_auxz00_5088 = 
(long)(BgL_auxz00_5089); } 
BgL_offsetz00_3197 = 
(BgL_auxz00_5088-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 272 */
long BgL_modz00_3198;
{ /* Inline/recursion.scm 272 */
long BgL_auxz00_5093;
{ /* Inline/recursion.scm 272 */
int BgL_auxz00_5094;
BgL_auxz00_5094 = 
(int)(((long)8)); 
BgL_auxz00_5093 = 
(long)(BgL_auxz00_5094); } 
BgL_modz00_3198 = 
(BgL_offsetz00_3197/BgL_auxz00_5093); } 
{ /* Inline/recursion.scm 272 */
long BgL_restz00_3200;
{ /* Inline/recursion.scm 272 */
long BgL_auxz00_5098;
{ /* Inline/recursion.scm 272 */
int BgL_auxz00_5099;
BgL_auxz00_5099 = 
(int)(((long)8)); 
BgL_auxz00_5098 = 
(long)(BgL_auxz00_5099); } 
BgL_restz00_3200 = 
(BgL_offsetz00_3197%BgL_auxz00_5098); } 
{ /* Inline/recursion.scm 272 */

{ /* Inline/recursion.scm 272 */
obj_t BgL_bucketz00_3202;
{ /* Inline/recursion.scm 272 */
int BgL_kz00_3212;
BgL_kz00_3212 = 
(int)(BgL_modz00_3198); 
BgL_bucketz00_3202 = 
VECTOR_REF(BgL_arg1221z00_3193,BgL_kz00_3212); } 
{ /* Inline/recursion.scm 272 */
int BgL_kz00_3214;
BgL_kz00_3214 = 
(int)(BgL_restz00_3200); 
BgL_method2814z00_3190 = 
VECTOR_REF(BgL_bucketz00_3202,BgL_kz00_3214); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3190)(BgL_method2814z00_3190, 
(obj_t)(BgL_arg3035z00_3186), 
(obj_t)(BgL_varz00_3189), BEOA);} } } } } 
}



/* find-recursive-calls-cast2826 */
obj_t BGl_findzd2recursivezd2callszd2cast2826zd2zzinline_recursionz00(obj_t BgL_envz00_3852, obj_t BgL_nodez00_3853, obj_t BgL_varz00_3854)
{ AN_OBJECT;
{ /* Inline/recursion.scm 265 */
{ 
BgL_castz00_bglt BgL_nodez00_2013;obj_t BgL_varz00_2014;
BgL_nodez00_2013 = 
(BgL_castz00_bglt)(BgL_nodez00_3853); 
BgL_varz00_2014 = BgL_varz00_3854; 
{ /* Inline/recursion.scm 266 */
BgL_nodez00_bglt BgL_arg3033z00_3157;
BgL_arg3033z00_3157 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2013))->BgL_argz00); 
{ /* Inline/recursion.scm 266 */
BgL_variablez00_bglt BgL_varz00_3160;
BgL_varz00_3160 = 
(BgL_variablez00_bglt)(BgL_varz00_2014); 
{ /* Inline/recursion.scm 266 */
obj_t BgL_method2814z00_3161;
{ /* Inline/recursion.scm 266 */
long BgL_objzd2classzd2numz00_3163;
{ /* Inline/recursion.scm 266 */
BgL_objectz00_bglt BgL_auxz00_5114;
BgL_auxz00_5114 = 
(BgL_objectz00_bglt)(BgL_arg3033z00_3157); 
BgL_objzd2classzd2numz00_3163 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5114); } 
{ /* Inline/recursion.scm 266 */
obj_t BgL_arg1221z00_3164;
{ /* Inline/recursion.scm 266 */
int BgL_auxz00_5117;
BgL_auxz00_5117 = 
(int)(((long)1)); 
BgL_arg1221z00_3164 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5117); } 
{ /* Inline/recursion.scm 266 */
long BgL_offsetz00_3168;
{ /* Inline/recursion.scm 266 */
long BgL_auxz00_5120;
{ /* Inline/recursion.scm 266 */
int BgL_auxz00_5121;
BgL_auxz00_5121 = 
(int)(BgL_objzd2classzd2numz00_3163); 
BgL_auxz00_5120 = 
(long)(BgL_auxz00_5121); } 
BgL_offsetz00_3168 = 
(BgL_auxz00_5120-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 266 */
long BgL_modz00_3169;
{ /* Inline/recursion.scm 266 */
long BgL_auxz00_5125;
{ /* Inline/recursion.scm 266 */
int BgL_auxz00_5126;
BgL_auxz00_5126 = 
(int)(((long)8)); 
BgL_auxz00_5125 = 
(long)(BgL_auxz00_5126); } 
BgL_modz00_3169 = 
(BgL_offsetz00_3168/BgL_auxz00_5125); } 
{ /* Inline/recursion.scm 266 */
long BgL_restz00_3171;
{ /* Inline/recursion.scm 266 */
long BgL_auxz00_5130;
{ /* Inline/recursion.scm 266 */
int BgL_auxz00_5131;
BgL_auxz00_5131 = 
(int)(((long)8)); 
BgL_auxz00_5130 = 
(long)(BgL_auxz00_5131); } 
BgL_restz00_3171 = 
(BgL_offsetz00_3168%BgL_auxz00_5130); } 
{ /* Inline/recursion.scm 266 */

{ /* Inline/recursion.scm 266 */
obj_t BgL_bucketz00_3173;
{ /* Inline/recursion.scm 266 */
int BgL_kz00_3183;
BgL_kz00_3183 = 
(int)(BgL_modz00_3169); 
BgL_bucketz00_3173 = 
VECTOR_REF(BgL_arg1221z00_3164,BgL_kz00_3183); } 
{ /* Inline/recursion.scm 266 */
int BgL_kz00_3185;
BgL_kz00_3185 = 
(int)(BgL_restz00_3171); 
BgL_method2814z00_3161 = 
VECTOR_REF(BgL_bucketz00_3173,BgL_kz00_3185); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3161)(BgL_method2814z00_3161, 
(obj_t)(BgL_arg3033z00_3157), 
(obj_t)(BgL_varz00_3160), BEOA);} } } } } 
}



/* find-recursive-calls-extern2824 */
obj_t BGl_findzd2recursivezd2callszd2extern2824zd2zzinline_recursionz00(obj_t BgL_envz00_3855, obj_t BgL_nodez00_3856, obj_t BgL_varz00_3857)
{ AN_OBJECT;
{ /* Inline/recursion.scm 259 */
{ 
BgL_externz00_bglt BgL_nodez00_2006;obj_t BgL_varz00_2007;
BgL_nodez00_2006 = 
(BgL_externz00_bglt)(BgL_nodez00_3856); 
BgL_varz00_2007 = BgL_varz00_3857; 
return 
BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2006))->BgL_exprza2za2), BgL_varz00_2007);} } 
}



/* find-recursive-calls-funcall2822 */
obj_t BGl_findzd2recursivezd2callszd2funcall2822zd2zzinline_recursionz00(obj_t BgL_envz00_3858, obj_t BgL_nodez00_3859, obj_t BgL_varz00_3860)
{ AN_OBJECT;
{ /* Inline/recursion.scm 251 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1995;obj_t BgL_varz00_1996;
BgL_nodez00_1995 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3859); 
BgL_varz00_1996 = BgL_varz00_3860; 
{ /* Inline/recursion.scm 253 */
obj_t BgL_arg3026z00_2000;obj_t BgL_arg3027z00_2001;
{ /* Inline/recursion.scm 253 */
BgL_nodez00_bglt BgL_arg3028z00_2002;
BgL_arg3028z00_2002 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1995))->BgL_funz00); 
{ /* Inline/recursion.scm 253 */
BgL_variablez00_bglt BgL_varz00_3128;
BgL_varz00_3128 = 
(BgL_variablez00_bglt)(BgL_varz00_1996); 
{ /* Inline/recursion.scm 253 */
obj_t BgL_method2814z00_3129;
{ /* Inline/recursion.scm 253 */
long BgL_objzd2classzd2numz00_3131;
{ /* Inline/recursion.scm 253 */
BgL_objectz00_bglt BgL_auxz00_5149;
BgL_auxz00_5149 = 
(BgL_objectz00_bglt)(BgL_arg3028z00_2002); 
BgL_objzd2classzd2numz00_3131 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5149); } 
{ /* Inline/recursion.scm 253 */
obj_t BgL_arg1221z00_3132;
{ /* Inline/recursion.scm 253 */
int BgL_auxz00_5152;
BgL_auxz00_5152 = 
(int)(((long)1)); 
BgL_arg1221z00_3132 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5152); } 
{ /* Inline/recursion.scm 253 */
long BgL_offsetz00_3136;
{ /* Inline/recursion.scm 253 */
long BgL_auxz00_5155;
{ /* Inline/recursion.scm 253 */
int BgL_auxz00_5156;
BgL_auxz00_5156 = 
(int)(BgL_objzd2classzd2numz00_3131); 
BgL_auxz00_5155 = 
(long)(BgL_auxz00_5156); } 
BgL_offsetz00_3136 = 
(BgL_auxz00_5155-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 253 */
long BgL_modz00_3137;
{ /* Inline/recursion.scm 253 */
long BgL_auxz00_5160;
{ /* Inline/recursion.scm 253 */
int BgL_auxz00_5161;
BgL_auxz00_5161 = 
(int)(((long)8)); 
BgL_auxz00_5160 = 
(long)(BgL_auxz00_5161); } 
BgL_modz00_3137 = 
(BgL_offsetz00_3136/BgL_auxz00_5160); } 
{ /* Inline/recursion.scm 253 */
long BgL_restz00_3139;
{ /* Inline/recursion.scm 253 */
long BgL_auxz00_5165;
{ /* Inline/recursion.scm 253 */
int BgL_auxz00_5166;
BgL_auxz00_5166 = 
(int)(((long)8)); 
BgL_auxz00_5165 = 
(long)(BgL_auxz00_5166); } 
BgL_restz00_3139 = 
(BgL_offsetz00_3136%BgL_auxz00_5165); } 
{ /* Inline/recursion.scm 253 */

{ /* Inline/recursion.scm 253 */
obj_t BgL_bucketz00_3141;
{ /* Inline/recursion.scm 253 */
int BgL_kz00_3151;
BgL_kz00_3151 = 
(int)(BgL_modz00_3137); 
BgL_bucketz00_3141 = 
VECTOR_REF(BgL_arg1221z00_3132,BgL_kz00_3151); } 
{ /* Inline/recursion.scm 253 */
int BgL_kz00_3153;
BgL_kz00_3153 = 
(int)(BgL_restz00_3139); 
BgL_method2814z00_3129 = 
VECTOR_REF(BgL_bucketz00_3141,BgL_kz00_3153); } } } } } } } } 
BgL_arg3026z00_2000 = 
PROCEDURE_ENTRY(BgL_method2814z00_3129)(BgL_method2814z00_3129, 
(obj_t)(BgL_arg3028z00_2002), 
(obj_t)(BgL_varz00_3128), BEOA); } } } 
BgL_arg3027z00_2001 = 
BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1995))->BgL_argsz00), BgL_varz00_1996); 
return 
bgl_append2(BgL_arg3026z00_2000, BgL_arg3027z00_2001);} } } 
}



/* find-recursive-calls-app-ly2820 */
obj_t BGl_findzd2recursivezd2callszd2appzd2ly2820z00zzinline_recursionz00(obj_t BgL_envz00_3861, obj_t BgL_nodez00_3862, obj_t BgL_varz00_3863)
{ AN_OBJECT;
{ /* Inline/recursion.scm 244 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1984;obj_t BgL_varz00_1985;
BgL_nodez00_1984 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3862); 
BgL_varz00_1985 = BgL_varz00_3863; 
{ /* Inline/recursion.scm 246 */
obj_t BgL_arg3021z00_1989;obj_t BgL_arg3022z00_1990;
{ /* Inline/recursion.scm 246 */
BgL_nodez00_bglt BgL_arg3023z00_1991;
BgL_arg3023z00_1991 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1984))->BgL_funz00); 
{ /* Inline/recursion.scm 246 */
BgL_variablez00_bglt BgL_varz00_3072;
BgL_varz00_3072 = 
(BgL_variablez00_bglt)(BgL_varz00_1985); 
{ /* Inline/recursion.scm 246 */
obj_t BgL_method2814z00_3073;
{ /* Inline/recursion.scm 246 */
long BgL_objzd2classzd2numz00_3075;
{ /* Inline/recursion.scm 246 */
BgL_objectz00_bglt BgL_auxz00_5184;
BgL_auxz00_5184 = 
(BgL_objectz00_bglt)(BgL_arg3023z00_1991); 
BgL_objzd2classzd2numz00_3075 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5184); } 
{ /* Inline/recursion.scm 246 */
obj_t BgL_arg1221z00_3076;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5187;
BgL_auxz00_5187 = 
(int)(((long)1)); 
BgL_arg1221z00_3076 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5187); } 
{ /* Inline/recursion.scm 246 */
long BgL_offsetz00_3080;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5190;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5191;
BgL_auxz00_5191 = 
(int)(BgL_objzd2classzd2numz00_3075); 
BgL_auxz00_5190 = 
(long)(BgL_auxz00_5191); } 
BgL_offsetz00_3080 = 
(BgL_auxz00_5190-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 246 */
long BgL_modz00_3081;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5195;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5196;
BgL_auxz00_5196 = 
(int)(((long)8)); 
BgL_auxz00_5195 = 
(long)(BgL_auxz00_5196); } 
BgL_modz00_3081 = 
(BgL_offsetz00_3080/BgL_auxz00_5195); } 
{ /* Inline/recursion.scm 246 */
long BgL_restz00_3083;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5200;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5201;
BgL_auxz00_5201 = 
(int)(((long)8)); 
BgL_auxz00_5200 = 
(long)(BgL_auxz00_5201); } 
BgL_restz00_3083 = 
(BgL_offsetz00_3080%BgL_auxz00_5200); } 
{ /* Inline/recursion.scm 246 */

{ /* Inline/recursion.scm 246 */
obj_t BgL_bucketz00_3085;
{ /* Inline/recursion.scm 246 */
int BgL_kz00_3095;
BgL_kz00_3095 = 
(int)(BgL_modz00_3081); 
BgL_bucketz00_3085 = 
VECTOR_REF(BgL_arg1221z00_3076,BgL_kz00_3095); } 
{ /* Inline/recursion.scm 246 */
int BgL_kz00_3097;
BgL_kz00_3097 = 
(int)(BgL_restz00_3083); 
BgL_method2814z00_3073 = 
VECTOR_REF(BgL_bucketz00_3085,BgL_kz00_3097); } } } } } } } } 
BgL_arg3021z00_1989 = 
PROCEDURE_ENTRY(BgL_method2814z00_3073)(BgL_method2814z00_3073, 
(obj_t)(BgL_arg3023z00_1991), 
(obj_t)(BgL_varz00_3072), BEOA); } } } 
{ /* Inline/recursion.scm 246 */
BgL_nodez00_bglt BgL_arg3024z00_1992;
BgL_arg3024z00_1992 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1984))->BgL_argz00); 
{ /* Inline/recursion.scm 246 */
BgL_variablez00_bglt BgL_varz00_3100;
BgL_varz00_3100 = 
(BgL_variablez00_bglt)(BgL_varz00_1985); 
{ /* Inline/recursion.scm 246 */
obj_t BgL_method2814z00_3101;
{ /* Inline/recursion.scm 246 */
long BgL_objzd2classzd2numz00_3103;
{ /* Inline/recursion.scm 246 */
BgL_objectz00_bglt BgL_auxz00_5215;
BgL_auxz00_5215 = 
(BgL_objectz00_bglt)(BgL_arg3024z00_1992); 
BgL_objzd2classzd2numz00_3103 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5215); } 
{ /* Inline/recursion.scm 246 */
obj_t BgL_arg1221z00_3104;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5218;
BgL_auxz00_5218 = 
(int)(((long)1)); 
BgL_arg1221z00_3104 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5218); } 
{ /* Inline/recursion.scm 246 */
long BgL_offsetz00_3108;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5221;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5222;
BgL_auxz00_5222 = 
(int)(BgL_objzd2classzd2numz00_3103); 
BgL_auxz00_5221 = 
(long)(BgL_auxz00_5222); } 
BgL_offsetz00_3108 = 
(BgL_auxz00_5221-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 246 */
long BgL_modz00_3109;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5226;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5227;
BgL_auxz00_5227 = 
(int)(((long)8)); 
BgL_auxz00_5226 = 
(long)(BgL_auxz00_5227); } 
BgL_modz00_3109 = 
(BgL_offsetz00_3108/BgL_auxz00_5226); } 
{ /* Inline/recursion.scm 246 */
long BgL_restz00_3111;
{ /* Inline/recursion.scm 246 */
long BgL_auxz00_5231;
{ /* Inline/recursion.scm 246 */
int BgL_auxz00_5232;
BgL_auxz00_5232 = 
(int)(((long)8)); 
BgL_auxz00_5231 = 
(long)(BgL_auxz00_5232); } 
BgL_restz00_3111 = 
(BgL_offsetz00_3108%BgL_auxz00_5231); } 
{ /* Inline/recursion.scm 246 */

{ /* Inline/recursion.scm 246 */
obj_t BgL_bucketz00_3113;
{ /* Inline/recursion.scm 246 */
int BgL_kz00_3123;
BgL_kz00_3123 = 
(int)(BgL_modz00_3109); 
BgL_bucketz00_3113 = 
VECTOR_REF(BgL_arg1221z00_3104,BgL_kz00_3123); } 
{ /* Inline/recursion.scm 246 */
int BgL_kz00_3125;
BgL_kz00_3125 = 
(int)(BgL_restz00_3111); 
BgL_method2814z00_3101 = 
VECTOR_REF(BgL_bucketz00_3113,BgL_kz00_3125); } } } } } } } } 
BgL_arg3022z00_1990 = 
PROCEDURE_ENTRY(BgL_method2814z00_3101)(BgL_method2814z00_3101, 
(obj_t)(BgL_arg3024z00_1992), 
(obj_t)(BgL_varz00_3100), BEOA); } } } 
return 
bgl_append2(BgL_arg3021z00_1989, BgL_arg3022z00_1990);} } } 
}



/* find-recursive-calls-app2818 */
obj_t BGl_findzd2recursivezd2callszd2app2818zd2zzinline_recursionz00(obj_t BgL_envz00_3864, obj_t BgL_nodez00_3865, obj_t BgL_varz00_3866)
{ AN_OBJECT;
{ /* Inline/recursion.scm 234 */
{ 
BgL_appz00_bglt BgL_nodez00_1970;obj_t BgL_varz00_1971;
BgL_nodez00_1970 = 
(BgL_appz00_bglt)(BgL_nodez00_3865); 
BgL_varz00_1971 = BgL_varz00_3866; 
{ /* Inline/recursion.scm 236 */
obj_t BgL_argszd2callszd2_1975;
BgL_argszd2callszd2_1975 = 
BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1970))->BgL_argsz00), BgL_varz00_1971); 
{ /* Inline/recursion.scm 237 */
bool_t BgL_test3014z00_1976;
{ /* Inline/recursion.scm 237 */
bool_t BgL_test3015z00_1977;
{ /* Inline/recursion.scm 237 */
obj_t BgL_auxz00_5248;
{ /* Inline/recursion.scm 237 */
BgL_varz00_bglt BgL_auxz00_5249;
BgL_auxz00_5249 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1970))->BgL_funz00); 
BgL_auxz00_5248 = 
(obj_t)(BgL_auxz00_5249); } 
BgL_test3015z00_1977 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5248, BGl_varz00zzast_nodez00); } 
if(BgL_test3015z00_1977)
{ /* Inline/recursion.scm 237 */
obj_t BgL_auxz00_5254;
{ /* Inline/recursion.scm 237 */
BgL_variablez00_bglt BgL_auxz00_5255;
{ /* Inline/recursion.scm 237 */
BgL_varz00_bglt BgL_arg3017z00_1979;
BgL_arg3017z00_1979 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1970))->BgL_funz00); 
BgL_auxz00_5255 = 
(((BgL_varz00_bglt)CREF(BgL_arg3017z00_1979))->BgL_variablez00); } 
BgL_auxz00_5254 = 
(obj_t)(BgL_auxz00_5255); } 
BgL_test3014z00_1976 = 
(BgL_auxz00_5254==BgL_varz00_1971); }  else 
{ /* Inline/recursion.scm 237 */
BgL_test3014z00_1976 = ((bool_t)0); } } 
if(BgL_test3014z00_1976)
{ /* Inline/recursion.scm 238 */
obj_t BgL_auxz00_5261;
BgL_auxz00_5261 = 
(obj_t)(BgL_nodez00_1970); 
return 
MAKE_PAIR(BgL_auxz00_5261, BgL_argszd2callszd2_1975);}  else 
{ /* Inline/recursion.scm 237 */
return BgL_argszd2callszd2_1975;} } } } } 
}



/* find-recursive-calls-sequence2816 */
obj_t BGl_findzd2recursivezd2callszd2sequence2816zd2zzinline_recursionz00(obj_t BgL_envz00_3867, obj_t BgL_nodez00_3868, obj_t BgL_varz00_3869)
{ AN_OBJECT;
{ /* Inline/recursion.scm 225 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1963;obj_t BgL_varz00_1964;
BgL_nodez00_1963 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3868); 
BgL_varz00_1964 = BgL_varz00_3869; 
return 
BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1963))->BgL_nodesz00), BgL_varz00_1964);} } 
}



/* find-recursive-calls */
obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt BgL_nodez00_19, BgL_variablez00_bglt BgL_varz00_20)
{ AN_OBJECT;
{ /* Inline/recursion.scm 219 */
{ /* Inline/recursion.scm 219 */
obj_t BgL_method2814z00_3763;
{ /* Inline/recursion.scm 219 */
long BgL_objzd2classzd2numz00_3765;
{ /* Inline/recursion.scm 219 */
BgL_objectz00_bglt BgL_auxz00_5268;
BgL_auxz00_5268 = 
(BgL_objectz00_bglt)(BgL_nodez00_19); 
BgL_objzd2classzd2numz00_3765 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5268); } 
{ /* Inline/recursion.scm 219 */
obj_t BgL_arg1221z00_3766;
{ /* Inline/recursion.scm 219 */
int BgL_auxz00_5271;
BgL_auxz00_5271 = 
(int)(((long)1)); 
BgL_arg1221z00_3766 = 
PROCEDURE_REF(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00, BgL_auxz00_5271); } 
{ /* Inline/recursion.scm 219 */
long BgL_offsetz00_3770;
{ /* Inline/recursion.scm 219 */
long BgL_auxz00_5274;
{ /* Inline/recursion.scm 219 */
int BgL_auxz00_5275;
BgL_auxz00_5275 = 
(int)(BgL_objzd2classzd2numz00_3765); 
BgL_auxz00_5274 = 
(long)(BgL_auxz00_5275); } 
BgL_offsetz00_3770 = 
(BgL_auxz00_5274-OBJECT_TYPE); } 
{ /* Inline/recursion.scm 219 */
long BgL_modz00_3771;
{ /* Inline/recursion.scm 219 */
long BgL_auxz00_5279;
{ /* Inline/recursion.scm 219 */
int BgL_auxz00_5280;
BgL_auxz00_5280 = 
(int)(((long)8)); 
BgL_auxz00_5279 = 
(long)(BgL_auxz00_5280); } 
BgL_modz00_3771 = 
(BgL_offsetz00_3770/BgL_auxz00_5279); } 
{ /* Inline/recursion.scm 219 */
long BgL_restz00_3773;
{ /* Inline/recursion.scm 219 */
long BgL_auxz00_5284;
{ /* Inline/recursion.scm 219 */
int BgL_auxz00_5285;
BgL_auxz00_5285 = 
(int)(((long)8)); 
BgL_auxz00_5284 = 
(long)(BgL_auxz00_5285); } 
BgL_restz00_3773 = 
(BgL_offsetz00_3770%BgL_auxz00_5284); } 
{ /* Inline/recursion.scm 219 */

{ /* Inline/recursion.scm 219 */
obj_t BgL_bucketz00_3775;
{ /* Inline/recursion.scm 219 */
int BgL_kz00_3785;
BgL_kz00_3785 = 
(int)(BgL_modz00_3771); 
BgL_bucketz00_3775 = 
VECTOR_REF(BgL_arg1221z00_3766,BgL_kz00_3785); } 
{ /* Inline/recursion.scm 219 */
int BgL_kz00_3787;
BgL_kz00_3787 = 
(int)(BgL_restz00_3773); 
BgL_method2814z00_3763 = 
VECTOR_REF(BgL_bucketz00_3775,BgL_kz00_3787); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2814z00_3763)(BgL_method2814z00_3763, 
(obj_t)(BgL_nodez00_19), 
(obj_t)(BgL_varz00_20), BEOA);} } 
}



/* _find-recursive-calls */
obj_t BGl__findzd2recursivezd2callsz00zzinline_recursionz00(obj_t BgL_envz00_3799, obj_t BgL_nodez00_3800, obj_t BgL_varz00_3801)
{ AN_OBJECT;
{ /* Inline/recursion.scm 219 */
return 
BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
(BgL_nodez00_bglt)(BgL_nodez00_3800), 
(BgL_variablez00_bglt)(BgL_varz00_3801));} 
}



/* find-recursive-calls-default2813 */
obj_t BGl_findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00(BgL_nodez00_bglt BgL_nodez00_21, BgL_variablez00_bglt BgL_varz00_22)
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
return BNIL;} 
}



/* _find-recursive-calls-default2813 */
obj_t BGl__findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00(obj_t BgL_envz00_3870, obj_t BgL_nodez00_3871, obj_t BgL_varz00_3872)
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
return 
BGl_findzd2recursivezd2callszd2default2813zd2zzinline_recursionz00(
(BgL_nodez00_bglt)(BgL_nodez00_3871), 
(BgL_variablez00_bglt)(BgL_varz00_3872));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
{ AN_OBJECT;
{ /* Inline/recursion.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long)21983), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63028), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzinline_simplez00(((long)2013), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzinline_variantz00(((long)64429), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzinline_loopz00(((long)57154), "inline_recursion"); 
BGl_modulezd2initializa7ationz75zzinline_appz00(((long)11814), "inline_recursion"); 
return 
BGl_modulezd2initializa7ationz75zzreduce_csez00(((long)15567), "inline_recursion");} 
}

