/*===========================================================================*/
/*   (Inline/size.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_siza7edzd2sequencez75_bgl {
   long BgL_siza7eza7;
} *BgL_siza7edzd2sequencez75_bglt;

typedef struct BgL_siza7edzd2selectz75_bgl {
   long BgL_siza7eza7;
} *BgL_siza7edzd2selectz75_bglt;

typedef struct BgL_siza7edzd2letzd2funza7_bgl {
   long BgL_siza7eza7;
} *BgL_siza7edzd2letzd2funza7_bglt;

typedef struct BgL_siza7edzd2letzd2varza7_bgl {
   long BgL_siza7eza7;
} *BgL_siza7edzd2letzd2varza7_bglt;


static obj_t BGl__siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2siza7edzd2letzd2var2881z44zzinline_siza7eza7(obj_t, obj_t);
static BgL_selectz00_bglt BGl_allocatezd2siza7edzd2selectza7zzinline_siza7eza7();
static obj_t BGl_methodzd2initzd2zzinline_siza7eza7();
static obj_t BGl_nodezd2siza7ezd2siza7edzd2sequence2841zd2zzinline_siza7eza7(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7(obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_nodezd2siza7ezd2var2835za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2siza7edzd2letzd2fun2885z44zzinline_siza7eza7(obj_t, obj_t);
static long BGl_siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7(BgL_siza7edzd2letzd2funza7_bglt);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static BgL_siza7edzd2selectz75_bglt BGl_makezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, long);
static obj_t BGl__siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2sequence2895z24zzinline_siza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2appzd2ly2845z75zzinline_siza7eza7(obj_t, obj_t);
extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
static obj_t BGl__allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t);
static obj_t BGl_nodezd2siza7ezd2select2859za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl__nodezd2siza7ez75zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_nodezd2siza7ezd2cast2849za7zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_nodezd2siza7ezd2conditional2855za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzinline_siza7eza7();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl__allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t);
static BgL_sequencez00_bglt BGl_allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7();
static obj_t BGl__makezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_nodezd2siza7ezd2siza7edzd2letzd2fun2865z00zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2setzd2exzd2it2871za7zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 = BUNSPEC;
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_nodezd2siza7ezd2letzd2fun2863z75zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2funcall2847za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_nodezd2siza7ezd2siza7edzd2letzd2var2869z00zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_nodezd2siza7ezd2siza7edzd2select2861zd2zzinline_siza7eza7(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl__allocatezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t);
static obj_t BGl_nodezd2siza7ezd2setq2853za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2letzd2var2867z75zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_siza7edzd2selectz75zzinline_siza7eza7 = BUNSPEC;
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_nodezd2siza7ezd2app2843za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2sequence2839za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl__makezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_siza7edzd2letzd2varza7_bglt BGl_makezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t, long);
static BgL_siza7edzd2sequencez75_bglt BGl_makezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, long);
static obj_t BGl_objectzd2ze3structzd2siza7edzd2sequence2893z96zzinline_siza7eza7(obj_t, obj_t);
static BgL_letzd2funzd2_bglt BGl_allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7();
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static long BGl_nodezd2siza7ezd2default2830za7zzinline_siza7eza7(BgL_nodez00_bglt);
static obj_t BGl_nodezd2siza7ezd2makezd2box2875z75zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_objectzd2ze3structzd2siza7edzd2select2889z96zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2var2883zf6zzinline_siza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2atom2833za7zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2boxzd2setz122879z67zzinline_siza7eza7(obj_t, obj_t);
static BgL_siza7edzd2letzd2funza7_bglt BGl_makezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, long);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__makezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_letzd2varzd2_bglt BGl_allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7();
static obj_t BGl__siza7edzd2selectzd2siza7ez00zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl__allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t);
static obj_t BGl_nodezd2siza7ezd2extern2851za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2fun2887zf6zzinline_siza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2siza7ezd2default2830za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl__makezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzinline_siza7eza7();
static obj_t BGl_requirezd2initializa7ationz75zzinline_siza7eza7 = BUNSPEC;
static obj_t BGl_nodezd2siza7ezd2jumpzd2exzd2it2873za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_nodezd2siza7ezd2kwote2837za7zzinline_siza7eza7(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7();
static long BGl_siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7(BgL_siza7edzd2letzd2varza7_bglt);
static obj_t BGl_nodezd2siza7ezd2boxzd2ref2877z75zzinline_siza7eza7(obj_t, obj_t);
static long BGl_siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7(BgL_siza7edzd2sequencez75_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2select2891z24zzinline_siza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_siza7edzd2sequencez75zzinline_siza7eza7 = BUNSPEC;
static long BGl_siza7edzd2selectzd2siza7ez00zzinline_siza7eza7(BgL_siza7edzd2selectz75_bglt);
static obj_t BGl_nodezd2siza7ezd2fail2857za7zzinline_siza7eza7(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 6 ] ;

DEFINE_STATIC_PROCEDURE( BGl_makezd2siza7edzd2letzd2funzd2envza7zzinline_siza7eza7, BgL_bgl__makeza7d2siza7a7edza7d2letza7d2funza775za7za7inline_siza7a7eza7a73344za7, BGl__makezd2siza7edzd2letzd2funz75zzinline_siza7eza7, 0L, 7 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2siza7edzd2letzd2funzd2envza7zzinline_siza7eza7, BgL_bgl__allocateza7d2siza7a7edza7d2letza7d2funza775za7za7inline_siza7a7eza7a73345za7, BGl__allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_siza7edzd2selectzd2siza7ezd2envzd2zzinline_siza7eza7, BgL_bgl__siza7a7edza7d2selectza7d2siza7a7eza700za7za7inline_siza7a7eza7a73346za7, BGl__siza7edzd2selectzd2siza7ez00zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2siza7edzd2letzd2varzd2envza7zzinline_siza7eza7, BgL_bgl__allocateza7d2siza7a7edza7d2letza7d2varza775za7za7inline_siza7a7eza7a73347za7, BGl__allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7, 0L, 0 );
DEFINE_STRING( BGl_string3339z00zzinline_siza7eza7, BgL_bgl_string3339za700za7za7inline_siza7a7eza7a73348za7, "node-size-default2830 sized-let-var sized-let-fun sized-select size sized-sequence ", 83 );
DEFINE_STRING( BGl_string3338z00zzinline_siza7eza7, BgL_bgl_string3338za700za7za7inline_siza7a7eza7a73349za7, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3306z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2atom2833za7a7za7za7inline_siza7a7eza7a73350z00, BGl_nodezd2siza7ezd2atom2833za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3307z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2var2835za7a7za7za7inline_siza7a7eza7a73351z00, BGl_nodezd2siza7ezd2var2835za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3308z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2kwote2837za7a7za7za7inline_siza7a7eza7a73352z00, BGl_nodezd2siza7ezd2kwote2837za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3310z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2siza7a7edza7d2sequence2841za7d2za7za7inline_siza7a7eza7a73353z00, BGl_nodezd2siza7ezd2siza7edzd2sequence2841zd2zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3309z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2sequence2839za7a7za7za7inline_siza7a7eza7a73354z00, BGl_nodezd2siza7ezd2sequence2839za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3311z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2app2843za7a7za7za7inline_siza7a7eza7a73355z00, BGl_nodezd2siza7ezd2app2843za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3312z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2appza7d2ly2845za775za7za7inline_siza7a7eza7a73356za7, BGl_nodezd2siza7ezd2appzd2ly2845z75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3313z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2funcall2847za7a7za7za7inline_siza7a7eza7a73357z00, BGl_nodezd2siza7ezd2funcall2847za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3314z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2cast2849za7a7za7za7inline_siza7a7eza7a73358z00, BGl_nodezd2siza7ezd2cast2849za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3315z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2extern2851za7a7za7za7inline_siza7a7eza7a73359z00, BGl_nodezd2siza7ezd2extern2851za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3316z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2setq2853za7a7za7za7inline_siza7a7eza7a73360z00, BGl_nodezd2siza7ezd2setq2853za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3317z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2conditional2855za7a7za7za7inline_siza7a7eza7a73361z00, BGl_nodezd2siza7ezd2conditional2855za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3318z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2fail2857za7a7za7za7inline_siza7a7eza7a73362z00, BGl_nodezd2siza7ezd2fail2857za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3320z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2siza7a7edza7d2select2861za7d2za7za7inline_siza7a7eza7a73363z00, BGl_nodezd2siza7ezd2siza7edzd2select2861zd2zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3319z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2select2859za7a7za7za7inline_siza7a7eza7a73364z00, BGl_nodezd2siza7ezd2select2859za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3321z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2letza7d2fun2863za775za7za7inline_siza7a7eza7a73365za7, BGl_nodezd2siza7ezd2letzd2fun2863z75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3322z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2siza7a7edza7d2letza7d2fun2865za700za7za7inline_siza7a7eza7a73366za7, BGl_nodezd2siza7ezd2siza7edzd2letzd2fun2865z00zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3323z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2letza7d2var2867za775za7za7inline_siza7a7eza7a73367za7, BGl_nodezd2siza7ezd2letzd2var2867z75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3324z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2siza7a7edza7d2letza7d2var2869za700za7za7inline_siza7a7eza7a73368za7, BGl_nodezd2siza7ezd2siza7edzd2letzd2var2869z00zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3325z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2setza7d2exza7d2it2871za7a7za7za7inline_siza7a7eza7a73369z00, BGl_nodezd2siza7ezd2setzd2exzd2it2871za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3326z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2jumpza7d2exza7d2it2873za7a7za7za7inline_siza7a7eza7a73370z00, BGl_nodezd2siza7ezd2jumpzd2exzd2it2873za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3327z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2makeza7d2box2875za775za7za7inline_siza7a7eza7a73371za7, BGl_nodezd2siza7ezd2makezd2box2875z75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3328z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2boxza7d2ref2877za775za7za7inline_siza7a7eza7a73372za7, BGl_nodezd2siza7ezd2boxzd2ref2877z75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3330z00zzinline_siza7eza7, BgL_bgl_objectza7d2za7e3structza7d2siza7a7edza7d2letza7d2var2881za744za7za7inline_siza7a7eza7a73373za7, BGl_objectzd2ze3structzd2siza7edzd2letzd2var2881z44zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3329z00zzinline_siza7eza7, BgL_bgl_nodeza7d2siza7a7eza7d2boxza7d2setza7122879za767za7za7inline_siza7a7eza7a73374z00, BGl_nodezd2siza7ezd2boxzd2setz122879z67zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3331z00zzinline_siza7eza7, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2siza7a7edza7d2letza7d2var2883za7f6za7za7inline_siza7a7eza7a73375z00, BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2var2883zf6zzinline_siza7eza7, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3332z00zzinline_siza7eza7, BgL_bgl_objectza7d2za7e3structza7d2siza7a7edza7d2letza7d2fun2885za744za7za7inline_siza7a7eza7a73376za7, BGl_objectzd2ze3structzd2siza7edzd2letzd2fun2885z44zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3333z00zzinline_siza7eza7, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2siza7a7edza7d2letza7d2fun2887za7f6za7za7inline_siza7a7eza7a73377z00, BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2fun2887zf6zzinline_siza7eza7, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3334z00zzinline_siza7eza7, BgL_bgl_objectza7d2za7e3structza7d2siza7a7edza7d2select2889za796za7za7inline_siza7a7eza7a73378z00, BGl_objectzd2ze3structzd2siza7edzd2select2889z96zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3335z00zzinline_siza7eza7, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2siza7a7edza7d2select2891za724za7za7inline_siza7a7eza7a73379za7, BGl_structzb2objectzd2ze3objectzd2siza7edzd2select2891z24zzinline_siza7eza7, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3336z00zzinline_siza7eza7, BgL_bgl_objectza7d2za7e3structza7d2siza7a7edza7d2sequence2893za796za7za7inline_siza7a7eza7a73380z00, BGl_objectzd2ze3structzd2siza7edzd2sequence2893z96zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3337z00zzinline_siza7eza7, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2siza7a7edza7d2sequence2895za724za7za7inline_siza7a7eza7a73381za7, BGl_structzb2objectzd2ze3objectzd2siza7edzd2sequence2895z24zzinline_siza7eza7, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_siza7edzd2letzd2funzd2siza7ezd2envz00zzinline_siza7eza7, BgL_bgl__siza7a7edza7d2letza7d2funza7d2siza7a7eza7d2za7za7inline_siza7a7eza7a73382z00, BGl__siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_bgl__nodeza7d2siza7a7eza775za7za7inline_siza7a7eza7a73383za7, BGl__nodezd2siza7ez75zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2siza7edzd2selectzd2envz75zzinline_siza7eza7, BgL_bgl__allocateza7d2siza7a7edza7d2selectza7a7za7za7inline_siza7a7eza7a73384z00, BGl__allocatezd2siza7edzd2selectza7zzinline_siza7eza7, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2siza7edzd2sequencezd2envz75zzinline_siza7eza7, BgL_bgl__allocateza7d2siza7a7edza7d2sequenceza7a7za7za7inline_siza7a7eza7a73385z00, BGl__allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2siza7edzd2sequencezd2envz75zzinline_siza7eza7, BgL_bgl__makeza7d2siza7a7edza7d2sequenceza7a7za7za7inline_siza7a7eza7a73386z00, BGl__makezd2siza7edzd2sequenceza7zzinline_siza7eza7, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_siza7edzd2sequencezd2siza7ezd2envzd2zzinline_siza7eza7, BgL_bgl__siza7a7edza7d2sequenceza7d2siza7a7eza700za7za7inline_siza7a7eza7a73387za7, BGl__siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_siza7edzd2letzd2varzd2siza7ezd2envz00zzinline_siza7eza7, BgL_bgl__siza7a7edza7d2letza7d2varza7d2siza7a7eza7d2za7za7inline_siza7a7eza7a73388z00, BGl__siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2siza7edzd2selectzd2envz75zzinline_siza7eza7, BgL_bgl__makeza7d2siza7a7edza7d2selectza7a7za7za7inline_siza7a7eza7a73389z00, BGl__makezd2siza7edzd2selectza7zzinline_siza7eza7, 0L, 8 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_nodezd2siza7ezd2default2830zd2envz75zzinline_siza7eza7, BgL_bgl__nodeza7d2siza7a7eza7d2default2830za7a7za7za7inline_siza7a7eza7a73390z00, BGl__nodezd2siza7ezd2default2830za7zzinline_siza7eza7, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_makezd2siza7edzd2letzd2varzd2envza7zzinline_siza7eza7, BgL_bgl__makeza7d2siza7a7edza7d2letza7d2varza775za7za7inline_siza7a7eza7a73391za7, BGl__makezd2siza7edzd2letzd2varz75zzinline_siza7eza7, 0L, 8 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long BgL_checksumz00_4165, char * BgL_fromz00_4166)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_siza7eza7))
{ 
BGl_requirezd2initializa7ationz75zzinline_siza7eza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7(); 
BGl_cnstzd2initzd2zzinline_siza7eza7(); 
BGl_importedzd2moduleszd2initz00zzinline_siza7eza7(); 
BGl_objectzd2initzd2zzinline_siza7eza7(); 
BGl_methodzd2initzd2zzinline_siza7eza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_size"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_size"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_size"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
{ /* Inline/size.scm 15 */
obj_t BgL_cportz00_4158;
BgL_cportz00_4158 = 
open_input_string(BGl_string3339z00zzinline_siza7eza7); 
{ 
long BgL_iz00_4159;
BgL_iz00_4159 = ((long)5); 
BgL_loopz00_4160:
if(
(BgL_iz00_4159==((long)-1)))
{ /* Inline/size.scm 15 */
return BUNSPEC;}  else 
{ /* Inline/size.scm 15 */
{ /* Inline/size.scm 15 */
obj_t BgL_arg3341z00_4162;
{ /* Inline/size.scm 15 */
obj_t BgL_list3342z00_4163;
BgL_list3342z00_4163 = 
MAKE_PAIR(BgL_cportz00_4158, BNIL); 
BgL_arg3341z00_4162 = 
BGl_readz00zz__readerz00(BgL_list3342z00_4163); } 
{ /* Inline/size.scm 15 */
int BgL_auxz00_4183;
BgL_auxz00_4183 = 
(int)(BgL_iz00_4159); 
CNST_TABLE_SET(BgL_auxz00_4183, BgL_arg3341z00_4162); } } 
{ 
long BgL_iz00_4186;
{ /* Inline/size.scm 15 */
int BgL_auxz00_4187;
{ /* Inline/size.scm 15 */
long BgL_auxz00_4188;
BgL_auxz00_4188 = 
(BgL_iz00_4159-((long)1)); 
BgL_auxz00_4187 = 
(int)(BgL_auxz00_4188); } 
BgL_iz00_4186 = 
(long)(BgL_auxz00_4187); } 
BgL_iz00_4159 = BgL_iz00_4186; 
goto BgL_loopz00_4160;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
return BUNSPEC;} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
{ /* Inline/size.scm 19 */
obj_t BgL_arg2896z00_1368;obj_t BgL_arg2897z00_1369;obj_t BgL_arg2901z00_1373;obj_t BgL_arg2902z00_1374;
BgL_arg2896z00_1368 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2897z00_1369 = BGl_sequencez00zzast_nodez00; 
{ /* Inline/size.scm 19 */
obj_t BgL_arg2903z00_1375;
BgL_arg2903z00_1375 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_siza7edzd2sequencezd2siza7ezd2envzd2zzinline_siza7eza7, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/size.scm 19 */
obj_t BgL_list2904z00_1376;
BgL_list2904z00_1376 = 
MAKE_PAIR(BgL_arg2903z00_1375, BNIL); 
BgL_arg2901z00_1373 = BgL_list2904z00_1376; } } 
{ /* Inline/size.scm 19 */
obj_t BgL_v2826z00_1377;
{ 
int BgL_auxz00_4196;
BgL_auxz00_4196 = 
(int)(((long)0)); 
BgL_v2826z00_1377 = 
create_vector(BgL_auxz00_4196); } 
BgL_arg2902z00_1374 = BgL_v2826z00_1377; } 
BGl_siza7edzd2sequencez75zzinline_siza7eza7 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2896z00_1368, BgL_arg2897z00_1369, BGl_makezd2siza7edzd2sequencezd2envz75zzinline_siza7eza7, BGl_allocatezd2siza7edzd2sequencezd2envz75zzinline_siza7eza7, ((long)4362), BgL_arg2901z00_1373, BFALSE, BgL_arg2902z00_1374); } 
{ /* Inline/size.scm 20 */
obj_t BgL_arg2905z00_1378;obj_t BgL_arg2906z00_1379;obj_t BgL_arg2910z00_1383;obj_t BgL_arg2911z00_1384;
BgL_arg2905z00_1378 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2906z00_1379 = BGl_selectz00zzast_nodez00; 
{ /* Inline/size.scm 20 */
obj_t BgL_arg2912z00_1385;
BgL_arg2912z00_1385 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_siza7edzd2selectzd2siza7ezd2envzd2zzinline_siza7eza7, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/size.scm 20 */
obj_t BgL_list2913z00_1386;
BgL_list2913z00_1386 = 
MAKE_PAIR(BgL_arg2912z00_1385, BNIL); 
BgL_arg2910z00_1383 = BgL_list2913z00_1386; } } 
{ /* Inline/size.scm 20 */
obj_t BgL_v2827z00_1387;
{ 
int BgL_auxz00_4204;
BgL_auxz00_4204 = 
(int)(((long)0)); 
BgL_v2827z00_1387 = 
create_vector(BgL_auxz00_4204); } 
BgL_arg2911z00_1384 = BgL_v2827z00_1387; } 
BGl_siza7edzd2selectz75zzinline_siza7eza7 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2905z00_1378, BgL_arg2906z00_1379, BGl_makezd2siza7edzd2selectzd2envz75zzinline_siza7eza7, BGl_allocatezd2siza7edzd2selectzd2envz75zzinline_siza7eza7, ((long)63299), BgL_arg2910z00_1383, BFALSE, BgL_arg2911z00_1384); } 
{ /* Inline/size.scm 21 */
obj_t BgL_arg2914z00_1388;obj_t BgL_arg2915z00_1389;obj_t BgL_arg2919z00_1393;obj_t BgL_arg2920z00_1394;
BgL_arg2914z00_1388 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2915z00_1389 = BGl_letzd2funzd2zzast_nodez00; 
{ /* Inline/size.scm 21 */
obj_t BgL_arg2921z00_1395;
BgL_arg2921z00_1395 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_siza7edzd2letzd2funzd2siza7ezd2envz00zzinline_siza7eza7, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/size.scm 21 */
obj_t BgL_list2922z00_1396;
BgL_list2922z00_1396 = 
MAKE_PAIR(BgL_arg2921z00_1395, BNIL); 
BgL_arg2919z00_1393 = BgL_list2922z00_1396; } } 
{ /* Inline/size.scm 21 */
obj_t BgL_v2828z00_1397;
{ 
int BgL_auxz00_4212;
BgL_auxz00_4212 = 
(int)(((long)0)); 
BgL_v2828z00_1397 = 
create_vector(BgL_auxz00_4212); } 
BgL_arg2920z00_1394 = BgL_v2828z00_1397; } 
BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2914z00_1388, BgL_arg2915z00_1389, BGl_makezd2siza7edzd2letzd2funzd2envza7zzinline_siza7eza7, BGl_allocatezd2siza7edzd2letzd2funzd2envza7zzinline_siza7eza7, ((long)19648), BgL_arg2919z00_1393, BFALSE, BgL_arg2920z00_1394); } 
{ /* Inline/size.scm 22 */
obj_t BgL_arg2923z00_1398;obj_t BgL_arg2924z00_1399;obj_t BgL_arg2928z00_1403;obj_t BgL_arg2929z00_1404;
BgL_arg2923z00_1398 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2924z00_1399 = BGl_letzd2varzd2zzast_nodez00; 
{ /* Inline/size.scm 22 */
obj_t BgL_arg2930z00_1405;
BgL_arg2930z00_1405 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_siza7edzd2letzd2varzd2siza7ezd2envz00zzinline_siza7eza7, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Inline/size.scm 22 */
obj_t BgL_list2931z00_1406;
BgL_list2931z00_1406 = 
MAKE_PAIR(BgL_arg2930z00_1405, BNIL); 
BgL_arg2928z00_1403 = BgL_list2931z00_1406; } } 
{ /* Inline/size.scm 22 */
obj_t BgL_v2829z00_1407;
{ 
int BgL_auxz00_4220;
BgL_auxz00_4220 = 
(int)(((long)0)); 
BgL_v2829z00_1407 = 
create_vector(BgL_auxz00_4220); } 
BgL_arg2929z00_1404 = BgL_v2829z00_1407; } 
BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2923z00_1398, BgL_arg2924z00_1399, BGl_makezd2siza7edzd2letzd2varzd2envza7zzinline_siza7eza7, BGl_allocatezd2siza7edzd2letzd2varzd2envza7zzinline_siza7eza7, ((long)18528), BgL_arg2928z00_1403, BFALSE, BgL_arg2929z00_1404); } 
return BUNSPEC;} 
}



/* make-sized-let-var */
BgL_siza7edzd2letzd2varza7_bglt BGl_makezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t BgL_loc2783z00_34, BgL_typez00_bglt BgL_type2784z00_35, obj_t BgL_sidezd2effectzf32785z21_36, obj_t BgL_key2786z00_37, obj_t BgL_bindings2787z00_38, BgL_nodez00_bglt BgL_body2788z00_39, bool_t BgL_removablezf32789zf3_40, long BgL_siza7e2782za7_41)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_aux2790z00_2199;
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_res3171z00_2233;
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2210;
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_res3169z00_2216;
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2211;
BgL_new2500z00_2211 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Inline/size.scm 22 */
long BgL_arg2949z00_2212;
BgL_arg2949z00_2212 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4226;
BgL_auxz00_4226 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2211); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4226, BgL_arg2949z00_2212); } } 
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4229;
BgL_auxz00_4229 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2211); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4229, BFALSE); } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4232;
BgL_auxz00_4232 = 
(obj_t)(BgL_new2500z00_2211); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4232); } BUNSPEC; 
BgL_res3169z00_2216 = BgL_new2500z00_2211; } 
BgL_new2498z00_2210 = BgL_res3169z00_2216; } 
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_res3170z00_2232;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_locz00) = ((obj_t)BgL_loc2783z00_34), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2784z00_35), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32785z21_36), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_keyz00) = ((obj_t)BgL_key2786z00_37), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_bindingsz00) = ((obj_t)BgL_bindings2787z00_38), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2788z00_39), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2210))->BgL_removablezf3zf3) = ((bool_t)BgL_removablezf32789zf3_40), BUNSPEC); 
BgL_res3170z00_2232 = BgL_new2498z00_2210; BgL_res3170z00_2232; } 
BgL_res3171z00_2233 = BgL_new2498z00_2210; } 
BgL_aux2790z00_2199 = BgL_res3171z00_2233; } 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_new2791z00_2200;
BgL_new2791z00_2200 = 
((BgL_siza7edzd2letzd2varza7_bglt)BgL_aux2790z00_2199); 
{ /* Inline/size.scm 22 */
long BgL_auxz00_4245;BgL_objectz00_bglt BgL_auxz00_4243;
BgL_auxz00_4245 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
BgL_auxz00_4243 = 
(BgL_objectz00_bglt)(BgL_new2791z00_2200); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4243, BgL_auxz00_4245); } 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_arg2933z00_2202;
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3173z00_2242;
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_new2776z00_2237;
BgL_new2776z00_2237 = 
((BgL_siza7edzd2letzd2varza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2varza7_bgl)))); 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3172z00_2241;
((((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_new2776z00_2237))->BgL_siza7eza7) = ((long)BgL_siza7e2782za7_41), BUNSPEC); 
BgL_res3172z00_2241 = BgL_new2776z00_2237; BgL_res3172z00_2241; } 
BgL_res3173z00_2242 = BgL_new2776z00_2237; } 
BgL_arg2933z00_2202 = BgL_res3173z00_2242; } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4252;BgL_objectz00_bglt BgL_auxz00_4250;
BgL_auxz00_4252 = 
(obj_t)(BgL_arg2933z00_2202); 
BgL_auxz00_4250 = 
(BgL_objectz00_bglt)(BgL_new2791z00_2200); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4250, BgL_auxz00_4252); } } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4255;
BgL_auxz00_4255 = 
(obj_t)(BgL_new2791z00_2200); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4255); } BUNSPEC; 
return BgL_new2791z00_2200;} } } 
}



/* _make-sized-let-var */
obj_t BGl__makezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t BgL_envz00_4037, obj_t BgL_loc2783z00_4038, obj_t BgL_type2784z00_4039, obj_t BgL_sidezd2effectzf32785z21_4040, obj_t BgL_key2786z00_4041, obj_t BgL_bindings2787z00_4042, obj_t BgL_body2788z00_4043, obj_t BgL_removablezf32789zf3_4044, obj_t BgL_siza7e2782za7_4045)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4258;
BgL_auxz00_4258 = 
BGl_makezd2siza7edzd2letzd2varz75zzinline_siza7eza7(BgL_loc2783z00_4038, 
(BgL_typez00_bglt)(BgL_type2784z00_4039), BgL_sidezd2effectzf32785z21_4040, BgL_key2786z00_4041, BgL_bindings2787z00_4042, 
(BgL_nodez00_bglt)(BgL_body2788z00_4043), 
CBOOL(BgL_removablezf32789zf3_4044), 
(long)CINT(BgL_siza7e2782za7_4045)); 
return 
(obj_t)(BgL_auxz00_4258);} } 
}



/* allocate-sized-let-var */
BgL_letzd2varzd2_bglt BGl_allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_new2792z00_2244;
BgL_new2792z00_2244 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Inline/size.scm 22 */
long BgL_auxz00_4268;BgL_objectz00_bglt BgL_auxz00_4266;
BgL_auxz00_4268 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
BgL_auxz00_4266 = 
(BgL_objectz00_bglt)(BgL_new2792z00_2244); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4266, BgL_auxz00_4268); } 
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4271;
BgL_auxz00_4271 = 
(BgL_objectz00_bglt)(BgL_new2792z00_2244); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4271, BFALSE); } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4274;
BgL_auxz00_4274 = 
(obj_t)(BgL_new2792z00_2244); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4274); } BUNSPEC; 
return BgL_new2792z00_2244;} } 
}



/* _allocate-sized-let-var */
obj_t BGl__allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7(obj_t BgL_envz00_4046)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
BgL_letzd2varzd2_bglt BgL_auxz00_4277;
BgL_auxz00_4277 = 
BGl_allocatezd2siza7edzd2letzd2varz75zzinline_siza7eza7(); 
return 
(obj_t)(BgL_auxz00_4277);} } 
}



/* sized-let-var-size */
long BGl_siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7(BgL_siza7edzd2letzd2varza7_bglt BgL_obj2800z00_61)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ 
obj_t BgL_auxz00_4280;
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4281;
BgL_auxz00_4281 = 
(BgL_objectz00_bglt)(BgL_obj2800z00_61); 
BgL_auxz00_4280 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4281); } 
return 
(((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_auxz00_4280))->BgL_siza7eza7);} } 
}



/* _sized-let-var-size */
obj_t BGl__siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7(obj_t BgL_envz00_4047, obj_t BgL_obj2800z00_4048)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
long BgL_auxz00_4285;
BgL_auxz00_4285 = 
BGl_siza7edzd2letzd2varzd2siza7ezd2zzinline_siza7eza7(
(BgL_siza7edzd2letzd2varza7_bglt)(BgL_obj2800z00_4048)); 
return 
BINT(BgL_auxz00_4285);} } 
}



/* make-sized-let-fun */
BgL_siza7edzd2letzd2funza7_bglt BGl_makezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t BgL_loc2742z00_69, BgL_typez00_bglt BgL_type2743z00_70, obj_t BgL_sidezd2effectzf32744z21_71, obj_t BgL_key2745z00_72, obj_t BgL_locals2746z00_73, BgL_nodez00_bglt BgL_body2747z00_74, long BgL_siza7e2741za7_75)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_aux2748z00_2255;
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_res3177z00_2286;
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_new2452z00_2265;
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_res3175z00_2271;
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_new2454z00_2266;
BgL_new2454z00_2266 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Inline/size.scm 21 */
long BgL_arg2950z00_2267;
BgL_arg2950z00_2267 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4291;
BgL_auxz00_4291 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2266); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4291, BgL_arg2950z00_2267); } } 
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4294;
BgL_auxz00_4294 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2266); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4294, BFALSE); } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4297;
BgL_auxz00_4297 = 
(obj_t)(BgL_new2454z00_2266); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4297); } BUNSPEC; 
BgL_res3175z00_2271 = BgL_new2454z00_2266; } 
BgL_new2452z00_2265 = BgL_res3175z00_2271; } 
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_res3176z00_2285;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_locz00) = ((obj_t)BgL_loc2742z00_69), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2743z00_70), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32744z21_71), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_keyz00) = ((obj_t)BgL_key2745z00_72), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_localsz00) = ((obj_t)BgL_locals2746z00_73), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2265))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2747z00_74), BUNSPEC); 
BgL_res3176z00_2285 = BgL_new2452z00_2265; BgL_res3176z00_2285; } 
BgL_res3177z00_2286 = BgL_new2452z00_2265; } 
BgL_aux2748z00_2255 = BgL_res3177z00_2286; } 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_new2749z00_2256;
BgL_new2749z00_2256 = 
((BgL_siza7edzd2letzd2funza7_bglt)BgL_aux2748z00_2255); 
{ /* Inline/size.scm 21 */
long BgL_auxz00_4309;BgL_objectz00_bglt BgL_auxz00_4307;
BgL_auxz00_4309 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
BgL_auxz00_4307 = 
(BgL_objectz00_bglt)(BgL_new2749z00_2256); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4307, BgL_auxz00_4309); } 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_arg2936z00_2258;
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3179z00_2295;
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_new2735z00_2290;
BgL_new2735z00_2290 = 
((BgL_siza7edzd2letzd2funza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2funza7_bgl)))); 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3178z00_2294;
((((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_new2735z00_2290))->BgL_siza7eza7) = ((long)BgL_siza7e2741za7_75), BUNSPEC); 
BgL_res3178z00_2294 = BgL_new2735z00_2290; BgL_res3178z00_2294; } 
BgL_res3179z00_2295 = BgL_new2735z00_2290; } 
BgL_arg2936z00_2258 = BgL_res3179z00_2295; } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4316;BgL_objectz00_bglt BgL_auxz00_4314;
BgL_auxz00_4316 = 
(obj_t)(BgL_arg2936z00_2258); 
BgL_auxz00_4314 = 
(BgL_objectz00_bglt)(BgL_new2749z00_2256); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4314, BgL_auxz00_4316); } } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4319;
BgL_auxz00_4319 = 
(obj_t)(BgL_new2749z00_2256); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4319); } BUNSPEC; 
return BgL_new2749z00_2256;} } } 
}



/* _make-sized-let-fun */
obj_t BGl__makezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t BgL_envz00_4026, obj_t BgL_loc2742z00_4027, obj_t BgL_type2743z00_4028, obj_t BgL_sidezd2effectzf32744z21_4029, obj_t BgL_key2745z00_4030, obj_t BgL_locals2746z00_4031, obj_t BgL_body2747z00_4032, obj_t BgL_siza7e2741za7_4033)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4322;
BgL_auxz00_4322 = 
BGl_makezd2siza7edzd2letzd2funz75zzinline_siza7eza7(BgL_loc2742z00_4027, 
(BgL_typez00_bglt)(BgL_type2743z00_4028), BgL_sidezd2effectzf32744z21_4029, BgL_key2745z00_4030, BgL_locals2746z00_4031, 
(BgL_nodez00_bglt)(BgL_body2747z00_4032), 
(long)CINT(BgL_siza7e2741za7_4033)); 
return 
(obj_t)(BgL_auxz00_4322);} } 
}



/* allocate-sized-let-fun */
BgL_letzd2funzd2_bglt BGl_allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_new2750z00_2297;
BgL_new2750z00_2297 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Inline/size.scm 21 */
long BgL_auxz00_4331;BgL_objectz00_bglt BgL_auxz00_4329;
BgL_auxz00_4331 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
BgL_auxz00_4329 = 
(BgL_objectz00_bglt)(BgL_new2750z00_2297); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4329, BgL_auxz00_4331); } 
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4334;
BgL_auxz00_4334 = 
(BgL_objectz00_bglt)(BgL_new2750z00_2297); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4334, BFALSE); } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4337;
BgL_auxz00_4337 = 
(obj_t)(BgL_new2750z00_2297); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4337); } BUNSPEC; 
return BgL_new2750z00_2297;} } 
}



/* _allocate-sized-let-fun */
obj_t BGl__allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7(obj_t BgL_envz00_4034)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
BgL_letzd2funzd2_bglt BgL_auxz00_4340;
BgL_auxz00_4340 = 
BGl_allocatezd2siza7edzd2letzd2funz75zzinline_siza7eza7(); 
return 
(obj_t)(BgL_auxz00_4340);} } 
}



/* sized-let-fun-size */
long BGl_siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7(BgL_siza7edzd2letzd2funza7_bglt BgL_obj2758z00_92)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ 
obj_t BgL_auxz00_4343;
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4344;
BgL_auxz00_4344 = 
(BgL_objectz00_bglt)(BgL_obj2758z00_92); 
BgL_auxz00_4343 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4344); } 
return 
(((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_auxz00_4343))->BgL_siza7eza7);} } 
}



/* _sized-let-fun-size */
obj_t BGl__siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7(obj_t BgL_envz00_4035, obj_t BgL_obj2758z00_4036)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
long BgL_auxz00_4348;
BgL_auxz00_4348 = 
BGl_siza7edzd2letzd2funzd2siza7ezd2zzinline_siza7eza7(
(BgL_siza7edzd2letzd2funza7_bglt)(BgL_obj2758z00_4036)); 
return 
BINT(BgL_auxz00_4348);} } 
}



/* make-sized-select */
BgL_siza7edzd2selectz75_bglt BGl_makezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t BgL_loc2700z00_100, BgL_typez00_bglt BgL_type2701z00_101, obj_t BgL_sidezd2effectzf32702z21_102, obj_t BgL_key2703z00_103, BgL_nodez00_bglt BgL_test2704z00_104, obj_t BgL_clauses2705z00_105, BgL_typez00_bglt BgL_itemzd2type2706zd2_106, long BgL_siza7e2699za7_107)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_aux2707z00_2308;
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_res3183z00_2342;
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_new2412z00_2319;
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_res3181z00_2325;
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_new2414z00_2320;
BgL_new2414z00_2320 = 
((BgL_selectz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_selectz00_bgl) ))); 
{ /* Inline/size.scm 20 */
long BgL_arg2951z00_2321;
BgL_arg2951z00_2321 = 
BGl_classzd2numzd2zz__objectz00(BGl_selectz00zzast_nodez00); 
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4354;
BgL_auxz00_4354 = 
(BgL_objectz00_bglt)(BgL_new2414z00_2320); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4354, BgL_arg2951z00_2321); } } 
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4357;
BgL_auxz00_4357 = 
(BgL_objectz00_bglt)(BgL_new2414z00_2320); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4357, BFALSE); } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4360;
BgL_auxz00_4360 = 
(obj_t)(BgL_new2414z00_2320); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4360); } BUNSPEC; 
BgL_res3181z00_2325 = BgL_new2414z00_2320; } 
BgL_new2412z00_2319 = BgL_res3181z00_2325; } 
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_res3182z00_2341;
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_locz00) = ((obj_t)BgL_loc2700z00_100), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2701z00_101), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32702z21_102), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_keyz00) = ((obj_t)BgL_key2703z00_103), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_test2704z00_104), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_clausesz00) = ((obj_t)BgL_clauses2705z00_105), BUNSPEC); 
((((BgL_selectz00_bglt)CREF(BgL_new2412z00_2319))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type2706zd2_106), BUNSPEC); 
BgL_res3182z00_2341 = BgL_new2412z00_2319; BgL_res3182z00_2341; } 
BgL_res3183z00_2342 = BgL_new2412z00_2319; } 
BgL_aux2707z00_2308 = BgL_res3183z00_2342; } 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_new2708z00_2309;
BgL_new2708z00_2309 = 
((BgL_siza7edzd2selectz75_bglt)BgL_aux2707z00_2308); 
{ /* Inline/size.scm 20 */
long BgL_auxz00_4373;BgL_objectz00_bglt BgL_auxz00_4371;
BgL_auxz00_4373 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2selectz75zzinline_siza7eza7); 
BgL_auxz00_4371 = 
(BgL_objectz00_bglt)(BgL_new2708z00_2309); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4371, BgL_auxz00_4373); } 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_arg2939z00_2311;
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_res3185z00_2351;
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_new2693z00_2346;
BgL_new2693z00_2346 = 
((BgL_siza7edzd2selectz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2selectz75_bgl)))); 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_res3184z00_2350;
((((BgL_siza7edzd2selectz75_bglt)CREF(BgL_new2693z00_2346))->BgL_siza7eza7) = ((long)BgL_siza7e2699za7_107), BUNSPEC); 
BgL_res3184z00_2350 = BgL_new2693z00_2346; BgL_res3184z00_2350; } 
BgL_res3185z00_2351 = BgL_new2693z00_2346; } 
BgL_arg2939z00_2311 = BgL_res3185z00_2351; } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4380;BgL_objectz00_bglt BgL_auxz00_4378;
BgL_auxz00_4380 = 
(obj_t)(BgL_arg2939z00_2311); 
BgL_auxz00_4378 = 
(BgL_objectz00_bglt)(BgL_new2708z00_2309); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4378, BgL_auxz00_4380); } } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4383;
BgL_auxz00_4383 = 
(obj_t)(BgL_new2708z00_2309); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4383); } BUNSPEC; 
return BgL_new2708z00_2309;} } } 
}



/* _make-sized-select */
obj_t BGl__makezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t BgL_envz00_4014, obj_t BgL_loc2700z00_4015, obj_t BgL_type2701z00_4016, obj_t BgL_sidezd2effectzf32702z21_4017, obj_t BgL_key2703z00_4018, obj_t BgL_test2704z00_4019, obj_t BgL_clauses2705z00_4020, obj_t BgL_itemzd2type2706zd2_4021, obj_t BgL_siza7e2699za7_4022)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_auxz00_4386;
BgL_auxz00_4386 = 
BGl_makezd2siza7edzd2selectza7zzinline_siza7eza7(BgL_loc2700z00_4015, 
(BgL_typez00_bglt)(BgL_type2701z00_4016), BgL_sidezd2effectzf32702z21_4017, BgL_key2703z00_4018, 
(BgL_nodez00_bglt)(BgL_test2704z00_4019), BgL_clauses2705z00_4020, 
(BgL_typez00_bglt)(BgL_itemzd2type2706zd2_4021), 
(long)CINT(BgL_siza7e2699za7_4022)); 
return 
(obj_t)(BgL_auxz00_4386);} } 
}



/* allocate-sized-select */
BgL_selectz00_bglt BGl_allocatezd2siza7edzd2selectza7zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_new2709z00_2353;
BgL_new2709z00_2353 = 
((BgL_selectz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_selectz00_bgl) ))); 
{ /* Inline/size.scm 20 */
long BgL_auxz00_4396;BgL_objectz00_bglt BgL_auxz00_4394;
BgL_auxz00_4396 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2selectz75zzinline_siza7eza7); 
BgL_auxz00_4394 = 
(BgL_objectz00_bglt)(BgL_new2709z00_2353); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4394, BgL_auxz00_4396); } 
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4399;
BgL_auxz00_4399 = 
(BgL_objectz00_bglt)(BgL_new2709z00_2353); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4399, BFALSE); } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4402;
BgL_auxz00_4402 = 
(obj_t)(BgL_new2709z00_2353); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4402); } BUNSPEC; 
return BgL_new2709z00_2353;} } 
}



/* _allocate-sized-select */
obj_t BGl__allocatezd2siza7edzd2selectza7zzinline_siza7eza7(obj_t BgL_envz00_4023)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
BgL_selectz00_bglt BgL_auxz00_4405;
BgL_auxz00_4405 = 
BGl_allocatezd2siza7edzd2selectza7zzinline_siza7eza7(); 
return 
(obj_t)(BgL_auxz00_4405);} } 
}



/* sized-select-size */
long BGl_siza7edzd2selectzd2siza7ez00zzinline_siza7eza7(BgL_siza7edzd2selectz75_bglt BgL_obj2717z00_123)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ 
obj_t BgL_auxz00_4408;
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4409;
BgL_auxz00_4409 = 
(BgL_objectz00_bglt)(BgL_obj2717z00_123); 
BgL_auxz00_4408 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4409); } 
return 
(((BgL_siza7edzd2selectz75_bglt)CREF(BgL_auxz00_4408))->BgL_siza7eza7);} } 
}



/* _sized-select-size */
obj_t BGl__siza7edzd2selectzd2siza7ez00zzinline_siza7eza7(obj_t BgL_envz00_4024, obj_t BgL_obj2717z00_4025)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
long BgL_auxz00_4413;
BgL_auxz00_4413 = 
BGl_siza7edzd2selectzd2siza7ez00zzinline_siza7eza7(
(BgL_siza7edzd2selectz75_bglt)(BgL_obj2717z00_4025)); 
return 
BINT(BgL_auxz00_4413);} } 
}



/* make-sized-sequence */
BgL_siza7edzd2sequencez75_bglt BGl_makezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t BgL_loc2662z00_131, BgL_typez00_bglt BgL_type2663z00_132, obj_t BgL_sidezd2effectzf32664z21_133, obj_t BgL_key2665z00_134, obj_t BgL_nodes2666z00_135, long BgL_siza7e2661za7_136)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_aux2667z00_2364;
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_res3189z00_2392;
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_new1708z00_2373;
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_res3187z00_2379;
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_new1710z00_2374;
BgL_new1710z00_2374 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Inline/size.scm 19 */
long BgL_arg2969z00_2375;
BgL_arg2969z00_2375 = 
BGl_classzd2numzd2zz__objectz00(BGl_sequencez00zzast_nodez00); 
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4419;
BgL_auxz00_4419 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2374); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4419, BgL_arg2969z00_2375); } } 
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4422;
BgL_auxz00_4422 = 
(BgL_objectz00_bglt)(BgL_new1710z00_2374); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4422, BFALSE); } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4425;
BgL_auxz00_4425 = 
(obj_t)(BgL_new1710z00_2374); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4425); } BUNSPEC; 
BgL_res3187z00_2379 = BgL_new1710z00_2374; } 
BgL_new1708z00_2373 = BgL_res3187z00_2379; } 
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_res3188z00_2391;
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2373))->BgL_locz00) = ((obj_t)BgL_loc2662z00_131), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2373))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2663z00_132), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2373))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32664z21_133), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2373))->BgL_keyz00) = ((obj_t)BgL_key2665z00_134), BUNSPEC); 
((((BgL_sequencez00_bglt)CREF(BgL_new1708z00_2373))->BgL_nodesz00) = ((obj_t)BgL_nodes2666z00_135), BUNSPEC); 
BgL_res3188z00_2391 = BgL_new1708z00_2373; BgL_res3188z00_2391; } 
BgL_res3189z00_2392 = BgL_new1708z00_2373; } 
BgL_aux2667z00_2364 = BgL_res3189z00_2392; } 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_new2668z00_2365;
BgL_new2668z00_2365 = 
((BgL_siza7edzd2sequencez75_bglt)BgL_aux2667z00_2364); 
{ /* Inline/size.scm 19 */
long BgL_auxz00_4436;BgL_objectz00_bglt BgL_auxz00_4434;
BgL_auxz00_4436 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
BgL_auxz00_4434 = 
(BgL_objectz00_bglt)(BgL_new2668z00_2365); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4434, BgL_auxz00_4436); } 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_arg2942z00_2367;
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_res3191z00_2401;
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_new2655z00_2396;
BgL_new2655z00_2396 = 
((BgL_siza7edzd2sequencez75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2sequencez75_bgl)))); 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_res3190z00_2400;
((((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_new2655z00_2396))->BgL_siza7eza7) = ((long)BgL_siza7e2661za7_136), BUNSPEC); 
BgL_res3190z00_2400 = BgL_new2655z00_2396; BgL_res3190z00_2400; } 
BgL_res3191z00_2401 = BgL_new2655z00_2396; } 
BgL_arg2942z00_2367 = BgL_res3191z00_2401; } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4443;BgL_objectz00_bglt BgL_auxz00_4441;
BgL_auxz00_4443 = 
(obj_t)(BgL_arg2942z00_2367); 
BgL_auxz00_4441 = 
(BgL_objectz00_bglt)(BgL_new2668z00_2365); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4441, BgL_auxz00_4443); } } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4446;
BgL_auxz00_4446 = 
(obj_t)(BgL_new2668z00_2365); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4446); } BUNSPEC; 
return BgL_new2668z00_2365;} } } 
}



/* _make-sized-sequence */
obj_t BGl__makezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t BgL_envz00_4004, obj_t BgL_loc2662z00_4005, obj_t BgL_type2663z00_4006, obj_t BgL_sidezd2effectzf32664z21_4007, obj_t BgL_key2665z00_4008, obj_t BgL_nodes2666z00_4009, obj_t BgL_siza7e2661za7_4010)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4449;
BgL_auxz00_4449 = 
BGl_makezd2siza7edzd2sequenceza7zzinline_siza7eza7(BgL_loc2662z00_4005, 
(BgL_typez00_bglt)(BgL_type2663z00_4006), BgL_sidezd2effectzf32664z21_4007, BgL_key2665z00_4008, BgL_nodes2666z00_4009, 
(long)CINT(BgL_siza7e2661za7_4010)); 
return 
(obj_t)(BgL_auxz00_4449);} } 
}



/* allocate-sized-sequence */
BgL_sequencez00_bglt BGl_allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_new2669z00_2403;
BgL_new2669z00_2403 = 
((BgL_sequencez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sequencez00_bgl) ))); 
{ /* Inline/size.scm 19 */
long BgL_auxz00_4457;BgL_objectz00_bglt BgL_auxz00_4455;
BgL_auxz00_4457 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
BgL_auxz00_4455 = 
(BgL_objectz00_bglt)(BgL_new2669z00_2403); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4455, BgL_auxz00_4457); } 
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4460;
BgL_auxz00_4460 = 
(BgL_objectz00_bglt)(BgL_new2669z00_2403); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4460, BFALSE); } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4463;
BgL_auxz00_4463 = 
(obj_t)(BgL_new2669z00_2403); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4463); } BUNSPEC; 
return BgL_new2669z00_2403;} } 
}



/* _allocate-sized-sequence */
obj_t BGl__allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7(obj_t BgL_envz00_4011)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
BgL_sequencez00_bglt BgL_auxz00_4466;
BgL_auxz00_4466 = 
BGl_allocatezd2siza7edzd2sequenceza7zzinline_siza7eza7(); 
return 
(obj_t)(BgL_auxz00_4466);} } 
}



/* sized-sequence-size */
long BGl_siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7(BgL_siza7edzd2sequencez75_bglt BgL_obj2679z00_148)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ 
obj_t BgL_auxz00_4469;
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4470;
BgL_auxz00_4470 = 
(BgL_objectz00_bglt)(BgL_obj2679z00_148); 
BgL_auxz00_4469 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4470); } 
return 
(((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_auxz00_4469))->BgL_siza7eza7);} } 
}



/* _sized-sequence-size */
obj_t BGl__siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7(obj_t BgL_envz00_4012, obj_t BgL_obj2679z00_4013)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
long BgL_auxz00_4474;
BgL_auxz00_4474 = 
BGl_siza7edzd2sequencezd2siza7ez00zzinline_siza7eza7(
(BgL_siza7edzd2sequencez75_bglt)(BgL_obj2679z00_4013)); 
return 
BINT(BgL_auxz00_4474);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_nodezd2siza7ezd2default2830zd2envz75zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_atomz00zzast_nodez00, BGl_proc3306z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_varz00zzast_nodez00, BGl_proc3307z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_kwotez00zzast_nodez00, BGl_proc3308z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_sequencez00zzast_nodez00, BGl_proc3309z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_siza7edzd2sequencez75zzinline_siza7eza7, BGl_proc3310z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_appz00zzast_nodez00, BGl_proc3311z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3312z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_funcallz00zzast_nodez00, BGl_proc3313z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_castz00zzast_nodez00, BGl_proc3314z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_externz00zzast_nodez00, BGl_proc3315z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_setqz00zzast_nodez00, BGl_proc3316z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_conditionalz00zzast_nodez00, BGl_proc3317z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_failz00zzast_nodez00, BGl_proc3318z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_selectz00zzast_nodez00, BGl_proc3319z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_siza7edzd2selectz75zzinline_siza7eza7, BGl_proc3320z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_letzd2funzd2zzast_nodez00, BGl_proc3321z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_siza7edzd2letzd2funza7zzinline_siza7eza7, BGl_proc3322z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_letzd2varzd2zzast_nodez00, BGl_proc3323z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_siza7edzd2letzd2varza7zzinline_siza7eza7, BGl_proc3324z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3325z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3326z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3327z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3328z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3329z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2letzd2varza7zzinline_siza7eza7, BGl_proc3330z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2letzd2varza7zzinline_siza7eza7, BGl_proc3331z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2letzd2funza7zzinline_siza7eza7, BGl_proc3332z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2letzd2funza7zzinline_siza7eza7, BGl_proc3333z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2selectz75zzinline_siza7eza7, BGl_proc3334z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2selectz75zzinline_siza7eza7, BGl_proc3335z00zzinline_siza7eza7); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2sequencez75zzinline_siza7eza7, BGl_proc3336z00zzinline_siza7eza7); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2sequencez75zzinline_siza7eza7, BGl_proc3337z00zzinline_siza7eza7);} 
}



/* struct+object->object-sized-sequence2895 */
obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2sequence2895z24zzinline_siza7eza7(obj_t BgL_envz00_4088, obj_t BgL_oz00_4089, obj_t BgL_sz00_4090)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ 
BgL_siza7edzd2sequencez75_bglt BgL_oz00_2172;obj_t BgL_sz00_2173;
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4511;
BgL_oz00_2172 = 
(BgL_siza7edzd2sequencez75_bglt)(BgL_oz00_4089); 
BgL_sz00_2173 = BgL_sz00_4090; 
{ 

{ /* Inline/size.scm 19 */
obj_t BgL_old2674z00_2176;obj_t BgL_aux2675z00_2177;
{ /* Inline/size.scm 19 */
obj_t BgL_nextzd2method2894zd2_2182;
BgL_nextzd2method2894zd2_2182 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2172), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2894zd2_2182))
{ /* Inline/size.scm 19 */
BgL_old2674z00_2176 = 
PROCEDURE_ENTRY(BgL_nextzd2method2894zd2_2182)(BgL_nextzd2method2894zd2_2182, 
(obj_t)(BgL_oz00_2172), BgL_sz00_2173, BEOA); }  else 
{ /* Inline/size.scm 19 */
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4519;
BgL_auxz00_4519 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2172), BgL_sz00_2173); 
BgL_old2674z00_2176 = 
(obj_t)(BgL_auxz00_4519); } } } 
{ /* Inline/size.scm 19 */
int BgL_auxz00_4523;
BgL_auxz00_4523 = 
(int)(((long)0)); 
BgL_aux2675z00_2177 = 
STRUCT_REF(BgL_sz00_2173, BgL_auxz00_4523); } 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_new2676z00_2178;
BgL_new2676z00_2178 = 
((BgL_siza7edzd2sequencez75_bglt)(BgL_old2674z00_2176)); 
{ /* Inline/size.scm 19 */
long BgL_auxz00_4529;BgL_objectz00_bglt BgL_auxz00_4527;
BgL_auxz00_4529 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
BgL_auxz00_4527 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2178); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4527, BgL_auxz00_4529); } 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_arg3161z00_2180;
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_res3300z00_3973;
{ /* Inline/size.scm 19 */
long BgL_siza7e2654za7_3967;
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4532;
{ /* Inline/size.scm 19 */
int BgL_auxz00_4533;
BgL_auxz00_4533 = 
(int)(((long)0)); 
BgL_auxz00_4532 = 
STRUCT_REF(BgL_aux2675z00_2177, BgL_auxz00_4533); } 
BgL_siza7e2654za7_3967 = 
(long)CINT(BgL_auxz00_4532); } 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_new2655z00_3968;
BgL_new2655z00_3968 = 
((BgL_siza7edzd2sequencez75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2sequencez75_bgl)))); 
{ /* Inline/size.scm 19 */
BgL_siza7edzd2sequencez75_bglt BgL_res3299z00_3972;
((((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_new2655z00_3968))->BgL_siza7eza7) = ((long)BgL_siza7e2654za7_3967), BUNSPEC); 
BgL_res3299z00_3972 = BgL_new2655z00_3968; BgL_res3299z00_3972; } 
BgL_res3300z00_3973 = BgL_new2655z00_3968; } } 
BgL_arg3161z00_2180 = BgL_res3300z00_3973; } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4541;BgL_objectz00_bglt BgL_auxz00_4539;
BgL_auxz00_4541 = 
(obj_t)(BgL_arg3161z00_2180); 
BgL_auxz00_4539 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2178); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4539, BgL_auxz00_4541); } } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4544;
BgL_auxz00_4544 = 
(obj_t)(BgL_new2676z00_2178); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4544); } BUNSPEC; 
BgL_auxz00_4511 = BgL_new2676z00_2178; } } } 
return 
(obj_t)(BgL_auxz00_4511);} } } 
}



/* object->struct-sized-sequence2893 */
obj_t BGl_objectzd2ze3structzd2siza7edzd2sequence2893z96zzinline_siza7eza7(obj_t BgL_envz00_4091, obj_t BgL_obj2671z00_4092)
{ AN_OBJECT;
{ /* Inline/size.scm 19 */
{ 
BgL_siza7edzd2sequencez75_bglt BgL_obj2671z00_2162;
BgL_obj2671z00_2162 = 
(BgL_siza7edzd2sequencez75_bglt)(BgL_obj2671z00_4092); 
{ 

{ /* Inline/size.scm 19 */
obj_t BgL_res2672z00_2165;
{ /* Inline/size.scm 19 */
obj_t BgL_nextzd2method2892zd2_2170;
BgL_nextzd2method2892zd2_2170 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2671z00_2162), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2892zd2_2170))
{ /* Inline/size.scm 19 */
BgL_res2672z00_2165 = 
PROCEDURE_ENTRY(BgL_nextzd2method2892zd2_2170)(BgL_nextzd2method2892zd2_2170, 
(obj_t)(BgL_obj2671z00_2162), BEOA); }  else 
{ /* Inline/size.scm 19 */
BgL_res2672z00_2165 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2671z00_2162)); } } 
{ /* Inline/size.scm 19 */
obj_t BgL_aux2673z00_2166;
{ /* Inline/size.scm 19 */
int BgL_auxz00_4560;obj_t BgL_auxz00_4558;
BgL_auxz00_4560 = 
(int)(((long)1)); 
BgL_auxz00_4558 = 
CNST_TABLE_REF(((long)0)); 
BgL_aux2673z00_2166 = 
make_struct(BgL_auxz00_4558, BgL_auxz00_4560, BUNSPEC); } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4565;int BgL_auxz00_4563;
{ /* Inline/size.scm 19 */
long BgL_auxz00_4566;
{ 
obj_t BgL_auxz00_4567;
{ /* Inline/size.scm 19 */
BgL_objectz00_bglt BgL_auxz00_4568;
BgL_auxz00_4568 = 
(BgL_objectz00_bglt)(BgL_obj2671z00_2162); 
BgL_auxz00_4567 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4568); } 
BgL_auxz00_4566 = 
(((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_auxz00_4567))->BgL_siza7eza7); } 
BgL_auxz00_4565 = 
BINT(BgL_auxz00_4566); } 
BgL_auxz00_4563 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2673z00_2166, BgL_auxz00_4563, BgL_auxz00_4565); } 
{ /* Inline/size.scm 19 */
int BgL_auxz00_4574;
BgL_auxz00_4574 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2672z00_2165, BgL_auxz00_4574, BgL_aux2673z00_2166); } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4577;
BgL_auxz00_4577 = 
STRUCT_KEY(BgL_res2672z00_2165); 
STRUCT_KEY_SET(BgL_aux2673z00_2166, BgL_auxz00_4577); } 
{ /* Inline/size.scm 19 */
obj_t BgL_auxz00_4580;
BgL_auxz00_4580 = 
CNST_TABLE_REF(((long)0)); 
STRUCT_KEY_SET(BgL_res2672z00_2165, BgL_auxz00_4580); } 
return BgL_res2672z00_2165;} } } } } 
}



/* struct+object->object-sized-select2891 */
obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2select2891z24zzinline_siza7eza7(obj_t BgL_envz00_4093, obj_t BgL_oz00_4094, obj_t BgL_sz00_4095)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ 
BgL_siza7edzd2selectz75_bglt BgL_oz00_2150;obj_t BgL_sz00_2151;
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_auxz00_4584;
BgL_oz00_2150 = 
(BgL_siza7edzd2selectz75_bglt)(BgL_oz00_4094); 
BgL_sz00_2151 = BgL_sz00_4095; 
{ 

{ /* Inline/size.scm 20 */
obj_t BgL_old2713z00_2154;obj_t BgL_aux2714z00_2155;
{ /* Inline/size.scm 20 */
obj_t BgL_nextzd2method2890zd2_2160;
BgL_nextzd2method2890zd2_2160 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2150), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2selectz75zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2890zd2_2160))
{ /* Inline/size.scm 20 */
BgL_old2713z00_2154 = 
PROCEDURE_ENTRY(BgL_nextzd2method2890zd2_2160)(BgL_nextzd2method2890zd2_2160, 
(obj_t)(BgL_oz00_2150), BgL_sz00_2151, BEOA); }  else 
{ /* Inline/size.scm 20 */
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4592;
BgL_auxz00_4592 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2150), BgL_sz00_2151); 
BgL_old2713z00_2154 = 
(obj_t)(BgL_auxz00_4592); } } } 
{ /* Inline/size.scm 20 */
int BgL_auxz00_4596;
BgL_auxz00_4596 = 
(int)(((long)0)); 
BgL_aux2714z00_2155 = 
STRUCT_REF(BgL_sz00_2151, BgL_auxz00_4596); } 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_new2715z00_2156;
BgL_new2715z00_2156 = 
((BgL_siza7edzd2selectz75_bglt)(BgL_old2713z00_2154)); 
{ /* Inline/size.scm 20 */
long BgL_auxz00_4602;BgL_objectz00_bglt BgL_auxz00_4600;
BgL_auxz00_4602 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2selectz75zzinline_siza7eza7); 
BgL_auxz00_4600 = 
(BgL_objectz00_bglt)(BgL_new2715z00_2156); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4600, BgL_auxz00_4602); } 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_arg3153z00_2158;
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_res3297z00_3941;
{ /* Inline/size.scm 20 */
long BgL_siza7e2692za7_3935;
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4605;
{ /* Inline/size.scm 20 */
int BgL_auxz00_4606;
BgL_auxz00_4606 = 
(int)(((long)0)); 
BgL_auxz00_4605 = 
STRUCT_REF(BgL_aux2714z00_2155, BgL_auxz00_4606); } 
BgL_siza7e2692za7_3935 = 
(long)CINT(BgL_auxz00_4605); } 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_new2693z00_3936;
BgL_new2693z00_3936 = 
((BgL_siza7edzd2selectz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2selectz75_bgl)))); 
{ /* Inline/size.scm 20 */
BgL_siza7edzd2selectz75_bglt BgL_res3296z00_3940;
((((BgL_siza7edzd2selectz75_bglt)CREF(BgL_new2693z00_3936))->BgL_siza7eza7) = ((long)BgL_siza7e2692za7_3935), BUNSPEC); 
BgL_res3296z00_3940 = BgL_new2693z00_3936; BgL_res3296z00_3940; } 
BgL_res3297z00_3941 = BgL_new2693z00_3936; } } 
BgL_arg3153z00_2158 = BgL_res3297z00_3941; } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4614;BgL_objectz00_bglt BgL_auxz00_4612;
BgL_auxz00_4614 = 
(obj_t)(BgL_arg3153z00_2158); 
BgL_auxz00_4612 = 
(BgL_objectz00_bglt)(BgL_new2715z00_2156); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4612, BgL_auxz00_4614); } } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4617;
BgL_auxz00_4617 = 
(obj_t)(BgL_new2715z00_2156); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4617); } BUNSPEC; 
BgL_auxz00_4584 = BgL_new2715z00_2156; } } } 
return 
(obj_t)(BgL_auxz00_4584);} } } 
}



/* object->struct-sized-select2889 */
obj_t BGl_objectzd2ze3structzd2siza7edzd2select2889z96zzinline_siza7eza7(obj_t BgL_envz00_4096, obj_t BgL_obj2710z00_4097)
{ AN_OBJECT;
{ /* Inline/size.scm 20 */
{ 
BgL_siza7edzd2selectz75_bglt BgL_obj2710z00_2140;
BgL_obj2710z00_2140 = 
(BgL_siza7edzd2selectz75_bglt)(BgL_obj2710z00_4097); 
{ 

{ /* Inline/size.scm 20 */
obj_t BgL_res2711z00_2143;
{ /* Inline/size.scm 20 */
obj_t BgL_nextzd2method2888zd2_2148;
BgL_nextzd2method2888zd2_2148 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2710z00_2140), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2selectz75zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2888zd2_2148))
{ /* Inline/size.scm 20 */
BgL_res2711z00_2143 = 
PROCEDURE_ENTRY(BgL_nextzd2method2888zd2_2148)(BgL_nextzd2method2888zd2_2148, 
(obj_t)(BgL_obj2710z00_2140), BEOA); }  else 
{ /* Inline/size.scm 20 */
BgL_res2711z00_2143 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2710z00_2140)); } } 
{ /* Inline/size.scm 20 */
obj_t BgL_aux2712z00_2144;
{ /* Inline/size.scm 20 */
int BgL_auxz00_4633;obj_t BgL_auxz00_4631;
BgL_auxz00_4633 = 
(int)(((long)1)); 
BgL_auxz00_4631 = 
CNST_TABLE_REF(((long)2)); 
BgL_aux2712z00_2144 = 
make_struct(BgL_auxz00_4631, BgL_auxz00_4633, BUNSPEC); } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4638;int BgL_auxz00_4636;
{ /* Inline/size.scm 20 */
long BgL_auxz00_4639;
{ 
obj_t BgL_auxz00_4640;
{ /* Inline/size.scm 20 */
BgL_objectz00_bglt BgL_auxz00_4641;
BgL_auxz00_4641 = 
(BgL_objectz00_bglt)(BgL_obj2710z00_2140); 
BgL_auxz00_4640 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4641); } 
BgL_auxz00_4639 = 
(((BgL_siza7edzd2selectz75_bglt)CREF(BgL_auxz00_4640))->BgL_siza7eza7); } 
BgL_auxz00_4638 = 
BINT(BgL_auxz00_4639); } 
BgL_auxz00_4636 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2712z00_2144, BgL_auxz00_4636, BgL_auxz00_4638); } 
{ /* Inline/size.scm 20 */
int BgL_auxz00_4647;
BgL_auxz00_4647 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2711z00_2143, BgL_auxz00_4647, BgL_aux2712z00_2144); } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4650;
BgL_auxz00_4650 = 
STRUCT_KEY(BgL_res2711z00_2143); 
STRUCT_KEY_SET(BgL_aux2712z00_2144, BgL_auxz00_4650); } 
{ /* Inline/size.scm 20 */
obj_t BgL_auxz00_4653;
BgL_auxz00_4653 = 
CNST_TABLE_REF(((long)2)); 
STRUCT_KEY_SET(BgL_res2711z00_2143, BgL_auxz00_4653); } 
return BgL_res2711z00_2143;} } } } } 
}



/* struct+object->object-sized-let-fun2887 */
obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2fun2887zf6zzinline_siza7eza7(obj_t BgL_envz00_4098, obj_t BgL_oz00_4099, obj_t BgL_sz00_4100)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ 
BgL_siza7edzd2letzd2funza7_bglt BgL_oz00_2128;obj_t BgL_sz00_2129;
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4657;
BgL_oz00_2128 = 
(BgL_siza7edzd2letzd2funza7_bglt)(BgL_oz00_4099); 
BgL_sz00_2129 = BgL_sz00_4100; 
{ 

{ /* Inline/size.scm 21 */
obj_t BgL_old2754z00_2132;obj_t BgL_aux2755z00_2133;
{ /* Inline/size.scm 21 */
obj_t BgL_nextzd2method2886zd2_2138;
BgL_nextzd2method2886zd2_2138 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2128), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2886zd2_2138))
{ /* Inline/size.scm 21 */
BgL_old2754z00_2132 = 
PROCEDURE_ENTRY(BgL_nextzd2method2886zd2_2138)(BgL_nextzd2method2886zd2_2138, 
(obj_t)(BgL_oz00_2128), BgL_sz00_2129, BEOA); }  else 
{ /* Inline/size.scm 21 */
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4665;
BgL_auxz00_4665 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2128), BgL_sz00_2129); 
BgL_old2754z00_2132 = 
(obj_t)(BgL_auxz00_4665); } } } 
{ /* Inline/size.scm 21 */
int BgL_auxz00_4669;
BgL_auxz00_4669 = 
(int)(((long)0)); 
BgL_aux2755z00_2133 = 
STRUCT_REF(BgL_sz00_2129, BgL_auxz00_4669); } 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_new2756z00_2134;
BgL_new2756z00_2134 = 
((BgL_siza7edzd2letzd2funza7_bglt)(BgL_old2754z00_2132)); 
{ /* Inline/size.scm 21 */
long BgL_auxz00_4675;BgL_objectz00_bglt BgL_auxz00_4673;
BgL_auxz00_4675 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
BgL_auxz00_4673 = 
(BgL_objectz00_bglt)(BgL_new2756z00_2134); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4673, BgL_auxz00_4675); } 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_arg3145z00_2136;
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3294z00_3909;
{ /* Inline/size.scm 21 */
long BgL_siza7e2734za7_3903;
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4678;
{ /* Inline/size.scm 21 */
int BgL_auxz00_4679;
BgL_auxz00_4679 = 
(int)(((long)0)); 
BgL_auxz00_4678 = 
STRUCT_REF(BgL_aux2755z00_2133, BgL_auxz00_4679); } 
BgL_siza7e2734za7_3903 = 
(long)CINT(BgL_auxz00_4678); } 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_new2735z00_3904;
BgL_new2735z00_3904 = 
((BgL_siza7edzd2letzd2funza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2funza7_bgl)))); 
{ /* Inline/size.scm 21 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3293z00_3908;
((((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_new2735z00_3904))->BgL_siza7eza7) = ((long)BgL_siza7e2734za7_3903), BUNSPEC); 
BgL_res3293z00_3908 = BgL_new2735z00_3904; BgL_res3293z00_3908; } 
BgL_res3294z00_3909 = BgL_new2735z00_3904; } } 
BgL_arg3145z00_2136 = BgL_res3294z00_3909; } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4687;BgL_objectz00_bglt BgL_auxz00_4685;
BgL_auxz00_4687 = 
(obj_t)(BgL_arg3145z00_2136); 
BgL_auxz00_4685 = 
(BgL_objectz00_bglt)(BgL_new2756z00_2134); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4685, BgL_auxz00_4687); } } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4690;
BgL_auxz00_4690 = 
(obj_t)(BgL_new2756z00_2134); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4690); } BUNSPEC; 
BgL_auxz00_4657 = BgL_new2756z00_2134; } } } 
return 
(obj_t)(BgL_auxz00_4657);} } } 
}



/* object->struct-sized-let-fun2885 */
obj_t BGl_objectzd2ze3structzd2siza7edzd2letzd2fun2885z44zzinline_siza7eza7(obj_t BgL_envz00_4101, obj_t BgL_obj2751z00_4102)
{ AN_OBJECT;
{ /* Inline/size.scm 21 */
{ 
BgL_siza7edzd2letzd2funza7_bglt BgL_obj2751z00_2118;
BgL_obj2751z00_2118 = 
(BgL_siza7edzd2letzd2funza7_bglt)(BgL_obj2751z00_4102); 
{ 

{ /* Inline/size.scm 21 */
obj_t BgL_res2752z00_2121;
{ /* Inline/size.scm 21 */
obj_t BgL_nextzd2method2884zd2_2126;
BgL_nextzd2method2884zd2_2126 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2751z00_2118), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2884zd2_2126))
{ /* Inline/size.scm 21 */
BgL_res2752z00_2121 = 
PROCEDURE_ENTRY(BgL_nextzd2method2884zd2_2126)(BgL_nextzd2method2884zd2_2126, 
(obj_t)(BgL_obj2751z00_2118), BEOA); }  else 
{ /* Inline/size.scm 21 */
BgL_res2752z00_2121 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2751z00_2118)); } } 
{ /* Inline/size.scm 21 */
obj_t BgL_aux2753z00_2122;
{ /* Inline/size.scm 21 */
int BgL_auxz00_4706;obj_t BgL_auxz00_4704;
BgL_auxz00_4706 = 
(int)(((long)1)); 
BgL_auxz00_4704 = 
CNST_TABLE_REF(((long)3)); 
BgL_aux2753z00_2122 = 
make_struct(BgL_auxz00_4704, BgL_auxz00_4706, BUNSPEC); } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4711;int BgL_auxz00_4709;
{ /* Inline/size.scm 21 */
long BgL_auxz00_4712;
{ 
obj_t BgL_auxz00_4713;
{ /* Inline/size.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_obj2751z00_2118); 
BgL_auxz00_4713 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4714); } 
BgL_auxz00_4712 = 
(((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_auxz00_4713))->BgL_siza7eza7); } 
BgL_auxz00_4711 = 
BINT(BgL_auxz00_4712); } 
BgL_auxz00_4709 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2753z00_2122, BgL_auxz00_4709, BgL_auxz00_4711); } 
{ /* Inline/size.scm 21 */
int BgL_auxz00_4720;
BgL_auxz00_4720 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2752z00_2121, BgL_auxz00_4720, BgL_aux2753z00_2122); } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4723;
BgL_auxz00_4723 = 
STRUCT_KEY(BgL_res2752z00_2121); 
STRUCT_KEY_SET(BgL_aux2753z00_2122, BgL_auxz00_4723); } 
{ /* Inline/size.scm 21 */
obj_t BgL_auxz00_4726;
BgL_auxz00_4726 = 
CNST_TABLE_REF(((long)3)); 
STRUCT_KEY_SET(BgL_res2752z00_2121, BgL_auxz00_4726); } 
return BgL_res2752z00_2121;} } } } } 
}



/* struct+object->object-sized-let-var2883 */
obj_t BGl_structzb2objectzd2ze3objectzd2siza7edzd2letzd2var2883zf6zzinline_siza7eza7(obj_t BgL_envz00_4103, obj_t BgL_oz00_4104, obj_t BgL_sz00_4105)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ 
BgL_siza7edzd2letzd2varza7_bglt BgL_oz00_2106;obj_t BgL_sz00_2107;
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4730;
BgL_oz00_2106 = 
(BgL_siza7edzd2letzd2varza7_bglt)(BgL_oz00_4104); 
BgL_sz00_2107 = BgL_sz00_4105; 
{ 

{ /* Inline/size.scm 22 */
obj_t BgL_old2796z00_2110;obj_t BgL_aux2797z00_2111;
{ /* Inline/size.scm 22 */
obj_t BgL_nextzd2method2882zd2_2116;
BgL_nextzd2method2882zd2_2116 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2106), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2882zd2_2116))
{ /* Inline/size.scm 22 */
BgL_old2796z00_2110 = 
PROCEDURE_ENTRY(BgL_nextzd2method2882zd2_2116)(BgL_nextzd2method2882zd2_2116, 
(obj_t)(BgL_oz00_2106), BgL_sz00_2107, BEOA); }  else 
{ /* Inline/size.scm 22 */
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4738;
BgL_auxz00_4738 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2106), BgL_sz00_2107); 
BgL_old2796z00_2110 = 
(obj_t)(BgL_auxz00_4738); } } } 
{ /* Inline/size.scm 22 */
int BgL_auxz00_4742;
BgL_auxz00_4742 = 
(int)(((long)0)); 
BgL_aux2797z00_2111 = 
STRUCT_REF(BgL_sz00_2107, BgL_auxz00_4742); } 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_new2798z00_2112;
BgL_new2798z00_2112 = 
((BgL_siza7edzd2letzd2varza7_bglt)(BgL_old2796z00_2110)); 
{ /* Inline/size.scm 22 */
long BgL_auxz00_4748;BgL_objectz00_bglt BgL_auxz00_4746;
BgL_auxz00_4748 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
BgL_auxz00_4746 = 
(BgL_objectz00_bglt)(BgL_new2798z00_2112); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4746, BgL_auxz00_4748); } 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_arg3137z00_2114;
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3291z00_3877;
{ /* Inline/size.scm 22 */
long BgL_siza7e2775za7_3871;
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4751;
{ /* Inline/size.scm 22 */
int BgL_auxz00_4752;
BgL_auxz00_4752 = 
(int)(((long)0)); 
BgL_auxz00_4751 = 
STRUCT_REF(BgL_aux2797z00_2111, BgL_auxz00_4752); } 
BgL_siza7e2775za7_3871 = 
(long)CINT(BgL_auxz00_4751); } 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_new2776z00_3872;
BgL_new2776z00_3872 = 
((BgL_siza7edzd2letzd2varza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2varza7_bgl)))); 
{ /* Inline/size.scm 22 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3290z00_3876;
((((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_new2776z00_3872))->BgL_siza7eza7) = ((long)BgL_siza7e2775za7_3871), BUNSPEC); 
BgL_res3290z00_3876 = BgL_new2776z00_3872; BgL_res3290z00_3876; } 
BgL_res3291z00_3877 = BgL_new2776z00_3872; } } 
BgL_arg3137z00_2114 = BgL_res3291z00_3877; } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4760;BgL_objectz00_bglt BgL_auxz00_4758;
BgL_auxz00_4760 = 
(obj_t)(BgL_arg3137z00_2114); 
BgL_auxz00_4758 = 
(BgL_objectz00_bglt)(BgL_new2798z00_2112); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4758, BgL_auxz00_4760); } } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4763;
BgL_auxz00_4763 = 
(obj_t)(BgL_new2798z00_2112); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4763); } BUNSPEC; 
BgL_auxz00_4730 = BgL_new2798z00_2112; } } } 
return 
(obj_t)(BgL_auxz00_4730);} } } 
}



/* object->struct-sized-let-var2881 */
obj_t BGl_objectzd2ze3structzd2siza7edzd2letzd2var2881z44zzinline_siza7eza7(obj_t BgL_envz00_4106, obj_t BgL_obj2793z00_4107)
{ AN_OBJECT;
{ /* Inline/size.scm 22 */
{ 
BgL_siza7edzd2letzd2varza7_bglt BgL_obj2793z00_2096;
BgL_obj2793z00_2096 = 
(BgL_siza7edzd2letzd2varza7_bglt)(BgL_obj2793z00_4107); 
{ 

{ /* Inline/size.scm 22 */
obj_t BgL_res2794z00_2099;
{ /* Inline/size.scm 22 */
obj_t BgL_nextzd2method2880zd2_2104;
BgL_nextzd2method2880zd2_2104 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2793z00_2096), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
if(
PROCEDUREP(BgL_nextzd2method2880zd2_2104))
{ /* Inline/size.scm 22 */
BgL_res2794z00_2099 = 
PROCEDURE_ENTRY(BgL_nextzd2method2880zd2_2104)(BgL_nextzd2method2880zd2_2104, 
(obj_t)(BgL_obj2793z00_2096), BEOA); }  else 
{ /* Inline/size.scm 22 */
BgL_res2794z00_2099 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2793z00_2096)); } } 
{ /* Inline/size.scm 22 */
obj_t BgL_aux2795z00_2100;
{ /* Inline/size.scm 22 */
int BgL_auxz00_4779;obj_t BgL_auxz00_4777;
BgL_auxz00_4779 = 
(int)(((long)1)); 
BgL_auxz00_4777 = 
CNST_TABLE_REF(((long)4)); 
BgL_aux2795z00_2100 = 
make_struct(BgL_auxz00_4777, BgL_auxz00_4779, BUNSPEC); } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4784;int BgL_auxz00_4782;
{ /* Inline/size.scm 22 */
long BgL_auxz00_4785;
{ 
obj_t BgL_auxz00_4786;
{ /* Inline/size.scm 22 */
BgL_objectz00_bglt BgL_auxz00_4787;
BgL_auxz00_4787 = 
(BgL_objectz00_bglt)(BgL_obj2793z00_2096); 
BgL_auxz00_4786 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4787); } 
BgL_auxz00_4785 = 
(((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_auxz00_4786))->BgL_siza7eza7); } 
BgL_auxz00_4784 = 
BINT(BgL_auxz00_4785); } 
BgL_auxz00_4782 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2795z00_2100, BgL_auxz00_4782, BgL_auxz00_4784); } 
{ /* Inline/size.scm 22 */
int BgL_auxz00_4793;
BgL_auxz00_4793 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2794z00_2099, BgL_auxz00_4793, BgL_aux2795z00_2100); } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4796;
BgL_auxz00_4796 = 
STRUCT_KEY(BgL_res2794z00_2099); 
STRUCT_KEY_SET(BgL_aux2795z00_2100, BgL_auxz00_4796); } 
{ /* Inline/size.scm 22 */
obj_t BgL_auxz00_4799;
BgL_auxz00_4799 = 
CNST_TABLE_REF(((long)4)); 
STRUCT_KEY_SET(BgL_res2794z00_2099, BgL_auxz00_4799); } 
return BgL_res2794z00_2099;} } } } } 
}



/* node-size-box-set!2879 */
obj_t BGl_nodezd2siza7ezd2boxzd2setz122879z67zzinline_siza7eza7(obj_t BgL_envz00_4108, obj_t BgL_nodez00_4109)
{ AN_OBJECT;
{ /* Inline/size.scm 225 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2088;
{ /* Inline/size.scm 226 */
long BgL_auxz00_4803;
BgL_nodez00_2088 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4109); 
{ /* Inline/size.scm 226 */
long BgL_arg3129z00_2092;
{ /* Inline/size.scm 226 */
BgL_nodez00_bglt BgL_arg3130z00_2093;
BgL_arg3130z00_2093 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2088))->BgL_valuez00); 
{ /* Inline/size.scm 226 */
long BgL_res3288z00_3845;
{ /* Inline/size.scm 226 */
obj_t BgL_method2831z00_3820;
{ /* Inline/size.scm 226 */
long BgL_objzd2classzd2numz00_3822;
{ /* Inline/size.scm 226 */
BgL_objectz00_bglt BgL_auxz00_4805;
BgL_auxz00_4805 = 
(BgL_objectz00_bglt)(BgL_arg3130z00_2093); 
BgL_objzd2classzd2numz00_3822 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4805); } 
{ /* Inline/size.scm 226 */
obj_t BgL_arg1221z00_3823;
{ /* Inline/size.scm 226 */
int BgL_auxz00_4808;
BgL_auxz00_4808 = 
(int)(((long)1)); 
BgL_arg1221z00_3823 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4808); } 
{ /* Inline/size.scm 226 */
long BgL_offsetz00_3827;
{ /* Inline/size.scm 226 */
long BgL_auxz00_4811;
{ /* Inline/size.scm 226 */
int BgL_auxz00_4812;
BgL_auxz00_4812 = 
(int)(BgL_objzd2classzd2numz00_3822); 
BgL_auxz00_4811 = 
(long)(BgL_auxz00_4812); } 
BgL_offsetz00_3827 = 
(BgL_auxz00_4811-OBJECT_TYPE); } 
{ /* Inline/size.scm 226 */
long BgL_modz00_3828;
{ /* Inline/size.scm 226 */
long BgL_auxz00_4816;
{ /* Inline/size.scm 226 */
int BgL_auxz00_4817;
BgL_auxz00_4817 = 
(int)(((long)8)); 
BgL_auxz00_4816 = 
(long)(BgL_auxz00_4817); } 
BgL_modz00_3828 = 
(BgL_offsetz00_3827/BgL_auxz00_4816); } 
{ /* Inline/size.scm 226 */
long BgL_restz00_3830;
{ /* Inline/size.scm 226 */
long BgL_auxz00_4821;
{ /* Inline/size.scm 226 */
int BgL_auxz00_4822;
BgL_auxz00_4822 = 
(int)(((long)8)); 
BgL_auxz00_4821 = 
(long)(BgL_auxz00_4822); } 
BgL_restz00_3830 = 
(BgL_offsetz00_3827%BgL_auxz00_4821); } 
{ /* Inline/size.scm 226 */

{ /* Inline/size.scm 226 */
obj_t BgL_bucketz00_3832;
{ /* Inline/size.scm 226 */
int BgL_kz00_3842;
BgL_kz00_3842 = 
(int)(BgL_modz00_3828); 
BgL_bucketz00_3832 = 
VECTOR_REF(BgL_arg1221z00_3823,BgL_kz00_3842); } 
{ /* Inline/size.scm 226 */
int BgL_kz00_3844;
BgL_kz00_3844 = 
(int)(BgL_restz00_3830); 
BgL_method2831z00_3820 = 
VECTOR_REF(BgL_bucketz00_3832,BgL_kz00_3844); } } } } } } } } 
{ /* Inline/size.scm 226 */
obj_t BgL_auxz00_4830;
BgL_auxz00_4830 = 
PROCEDURE_ENTRY(BgL_method2831z00_3820)(BgL_method2831z00_3820, 
(obj_t)(BgL_arg3130z00_2093), BEOA); 
BgL_res3288z00_3845 = 
(long)CINT(BgL_auxz00_4830); } } 
BgL_arg3129z00_2092 = BgL_res3288z00_3845; } } 
BgL_auxz00_4803 = 
(((long)2)+BgL_arg3129z00_2092); } 
return 
BINT(BgL_auxz00_4803);} } } 
}



/* node-size-box-ref2877 */
obj_t BGl_nodezd2siza7ezd2boxzd2ref2877z75zzinline_siza7eza7(obj_t BgL_envz00_4110, obj_t BgL_nodez00_4111)
{ AN_OBJECT;
{ /* Inline/size.scm 219 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2083;
{ /* Inline/size.scm 219 */
long BgL_auxz00_4838;
BgL_nodez00_2083 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4111); 
BgL_auxz00_4838 = ((long)2); 
return 
BINT(BgL_auxz00_4838);} } } 
}



/* node-size-make-box2875 */
obj_t BGl_nodezd2siza7ezd2makezd2box2875z75zzinline_siza7eza7(obj_t BgL_envz00_4112, obj_t BgL_nodez00_4113)
{ AN_OBJECT;
{ /* Inline/size.scm 213 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2075;
{ /* Inline/size.scm 214 */
long BgL_auxz00_4841;
BgL_nodez00_2075 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4113); 
{ /* Inline/size.scm 214 */
long BgL_arg3124z00_2079;
{ /* Inline/size.scm 214 */
BgL_nodez00_bglt BgL_arg3125z00_2080;
BgL_arg3125z00_2080 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2075))->BgL_valuez00); 
{ /* Inline/size.scm 214 */
long BgL_res3285z00_3815;
{ /* Inline/size.scm 214 */
obj_t BgL_method2831z00_3790;
{ /* Inline/size.scm 214 */
long BgL_objzd2classzd2numz00_3792;
{ /* Inline/size.scm 214 */
BgL_objectz00_bglt BgL_auxz00_4843;
BgL_auxz00_4843 = 
(BgL_objectz00_bglt)(BgL_arg3125z00_2080); 
BgL_objzd2classzd2numz00_3792 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4843); } 
{ /* Inline/size.scm 214 */
obj_t BgL_arg1221z00_3793;
{ /* Inline/size.scm 214 */
int BgL_auxz00_4846;
BgL_auxz00_4846 = 
(int)(((long)1)); 
BgL_arg1221z00_3793 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4846); } 
{ /* Inline/size.scm 214 */
long BgL_offsetz00_3797;
{ /* Inline/size.scm 214 */
long BgL_auxz00_4849;
{ /* Inline/size.scm 214 */
int BgL_auxz00_4850;
BgL_auxz00_4850 = 
(int)(BgL_objzd2classzd2numz00_3792); 
BgL_auxz00_4849 = 
(long)(BgL_auxz00_4850); } 
BgL_offsetz00_3797 = 
(BgL_auxz00_4849-OBJECT_TYPE); } 
{ /* Inline/size.scm 214 */
long BgL_modz00_3798;
{ /* Inline/size.scm 214 */
long BgL_auxz00_4854;
{ /* Inline/size.scm 214 */
int BgL_auxz00_4855;
BgL_auxz00_4855 = 
(int)(((long)8)); 
BgL_auxz00_4854 = 
(long)(BgL_auxz00_4855); } 
BgL_modz00_3798 = 
(BgL_offsetz00_3797/BgL_auxz00_4854); } 
{ /* Inline/size.scm 214 */
long BgL_restz00_3800;
{ /* Inline/size.scm 214 */
long BgL_auxz00_4859;
{ /* Inline/size.scm 214 */
int BgL_auxz00_4860;
BgL_auxz00_4860 = 
(int)(((long)8)); 
BgL_auxz00_4859 = 
(long)(BgL_auxz00_4860); } 
BgL_restz00_3800 = 
(BgL_offsetz00_3797%BgL_auxz00_4859); } 
{ /* Inline/size.scm 214 */

{ /* Inline/size.scm 214 */
obj_t BgL_bucketz00_3802;
{ /* Inline/size.scm 214 */
int BgL_kz00_3812;
BgL_kz00_3812 = 
(int)(BgL_modz00_3798); 
BgL_bucketz00_3802 = 
VECTOR_REF(BgL_arg1221z00_3793,BgL_kz00_3812); } 
{ /* Inline/size.scm 214 */
int BgL_kz00_3814;
BgL_kz00_3814 = 
(int)(BgL_restz00_3800); 
BgL_method2831z00_3790 = 
VECTOR_REF(BgL_bucketz00_3802,BgL_kz00_3814); } } } } } } } } 
{ /* Inline/size.scm 214 */
obj_t BgL_auxz00_4868;
BgL_auxz00_4868 = 
PROCEDURE_ENTRY(BgL_method2831z00_3790)(BgL_method2831z00_3790, 
(obj_t)(BgL_arg3125z00_2080), BEOA); 
BgL_res3285z00_3815 = 
(long)CINT(BgL_auxz00_4868); } } 
BgL_arg3124z00_2079 = BgL_res3285z00_3815; } } 
BgL_auxz00_4841 = 
(((long)1)+BgL_arg3124z00_2079); } 
return 
BINT(BgL_auxz00_4841);} } } 
}



/* node-size-jump-ex-it2873 */
obj_t BGl_nodezd2siza7ezd2jumpzd2exzd2it2873za7zzinline_siza7eza7(obj_t BgL_envz00_4114, obj_t BgL_nodez00_4115)
{ AN_OBJECT;
{ /* Inline/size.scm 205 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2064;
{ /* Inline/size.scm 206 */
long BgL_auxz00_4876;
BgL_nodez00_2064 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4115); 
{ /* Inline/size.scm 206 */
long BgL_arg3117z00_2068;
{ /* Inline/size.scm 207 */
long BgL_arg3118z00_2069;long BgL_arg3119z00_2070;
{ /* Inline/size.scm 207 */
BgL_nodez00_bglt BgL_arg3120z00_2071;
BgL_arg3120z00_2071 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2064))->BgL_exitz00); 
{ /* Inline/size.scm 207 */
long BgL_res3279z00_3755;
{ /* Inline/size.scm 207 */
obj_t BgL_method2831z00_3730;
{ /* Inline/size.scm 207 */
long BgL_objzd2classzd2numz00_3732;
{ /* Inline/size.scm 207 */
BgL_objectz00_bglt BgL_auxz00_4878;
BgL_auxz00_4878 = 
(BgL_objectz00_bglt)(BgL_arg3120z00_2071); 
BgL_objzd2classzd2numz00_3732 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4878); } 
{ /* Inline/size.scm 207 */
obj_t BgL_arg1221z00_3733;
{ /* Inline/size.scm 207 */
int BgL_auxz00_4881;
BgL_auxz00_4881 = 
(int)(((long)1)); 
BgL_arg1221z00_3733 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4881); } 
{ /* Inline/size.scm 207 */
long BgL_offsetz00_3737;
{ /* Inline/size.scm 207 */
long BgL_auxz00_4884;
{ /* Inline/size.scm 207 */
int BgL_auxz00_4885;
BgL_auxz00_4885 = 
(int)(BgL_objzd2classzd2numz00_3732); 
BgL_auxz00_4884 = 
(long)(BgL_auxz00_4885); } 
BgL_offsetz00_3737 = 
(BgL_auxz00_4884-OBJECT_TYPE); } 
{ /* Inline/size.scm 207 */
long BgL_modz00_3738;
{ /* Inline/size.scm 207 */
long BgL_auxz00_4889;
{ /* Inline/size.scm 207 */
int BgL_auxz00_4890;
BgL_auxz00_4890 = 
(int)(((long)8)); 
BgL_auxz00_4889 = 
(long)(BgL_auxz00_4890); } 
BgL_modz00_3738 = 
(BgL_offsetz00_3737/BgL_auxz00_4889); } 
{ /* Inline/size.scm 207 */
long BgL_restz00_3740;
{ /* Inline/size.scm 207 */
long BgL_auxz00_4894;
{ /* Inline/size.scm 207 */
int BgL_auxz00_4895;
BgL_auxz00_4895 = 
(int)(((long)8)); 
BgL_auxz00_4894 = 
(long)(BgL_auxz00_4895); } 
BgL_restz00_3740 = 
(BgL_offsetz00_3737%BgL_auxz00_4894); } 
{ /* Inline/size.scm 207 */

{ /* Inline/size.scm 207 */
obj_t BgL_bucketz00_3742;
{ /* Inline/size.scm 207 */
int BgL_kz00_3752;
BgL_kz00_3752 = 
(int)(BgL_modz00_3738); 
BgL_bucketz00_3742 = 
VECTOR_REF(BgL_arg1221z00_3733,BgL_kz00_3752); } 
{ /* Inline/size.scm 207 */
int BgL_kz00_3754;
BgL_kz00_3754 = 
(int)(BgL_restz00_3740); 
BgL_method2831z00_3730 = 
VECTOR_REF(BgL_bucketz00_3742,BgL_kz00_3754); } } } } } } } } 
{ /* Inline/size.scm 207 */
obj_t BgL_auxz00_4903;
BgL_auxz00_4903 = 
PROCEDURE_ENTRY(BgL_method2831z00_3730)(BgL_method2831z00_3730, 
(obj_t)(BgL_arg3120z00_2071), BEOA); 
BgL_res3279z00_3755 = 
(long)CINT(BgL_auxz00_4903); } } 
BgL_arg3118z00_2069 = BgL_res3279z00_3755; } } 
{ /* Inline/size.scm 208 */
BgL_nodez00_bglt BgL_arg3121z00_2072;
BgL_arg3121z00_2072 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2064))->BgL_valuez00); 
{ /* Inline/size.scm 208 */
long BgL_res3282z00_3783;
{ /* Inline/size.scm 208 */
obj_t BgL_method2831z00_3758;
{ /* Inline/size.scm 208 */
long BgL_objzd2classzd2numz00_3760;
{ /* Inline/size.scm 208 */
BgL_objectz00_bglt BgL_auxz00_4909;
BgL_auxz00_4909 = 
(BgL_objectz00_bglt)(BgL_arg3121z00_2072); 
BgL_objzd2classzd2numz00_3760 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4909); } 
{ /* Inline/size.scm 208 */
obj_t BgL_arg1221z00_3761;
{ /* Inline/size.scm 208 */
int BgL_auxz00_4912;
BgL_auxz00_4912 = 
(int)(((long)1)); 
BgL_arg1221z00_3761 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4912); } 
{ /* Inline/size.scm 208 */
long BgL_offsetz00_3765;
{ /* Inline/size.scm 208 */
long BgL_auxz00_4915;
{ /* Inline/size.scm 208 */
int BgL_auxz00_4916;
BgL_auxz00_4916 = 
(int)(BgL_objzd2classzd2numz00_3760); 
BgL_auxz00_4915 = 
(long)(BgL_auxz00_4916); } 
BgL_offsetz00_3765 = 
(BgL_auxz00_4915-OBJECT_TYPE); } 
{ /* Inline/size.scm 208 */
long BgL_modz00_3766;
{ /* Inline/size.scm 208 */
long BgL_auxz00_4920;
{ /* Inline/size.scm 208 */
int BgL_auxz00_4921;
BgL_auxz00_4921 = 
(int)(((long)8)); 
BgL_auxz00_4920 = 
(long)(BgL_auxz00_4921); } 
BgL_modz00_3766 = 
(BgL_offsetz00_3765/BgL_auxz00_4920); } 
{ /* Inline/size.scm 208 */
long BgL_restz00_3768;
{ /* Inline/size.scm 208 */
long BgL_auxz00_4925;
{ /* Inline/size.scm 208 */
int BgL_auxz00_4926;
BgL_auxz00_4926 = 
(int)(((long)8)); 
BgL_auxz00_4925 = 
(long)(BgL_auxz00_4926); } 
BgL_restz00_3768 = 
(BgL_offsetz00_3765%BgL_auxz00_4925); } 
{ /* Inline/size.scm 208 */

{ /* Inline/size.scm 208 */
obj_t BgL_bucketz00_3770;
{ /* Inline/size.scm 208 */
int BgL_kz00_3780;
BgL_kz00_3780 = 
(int)(BgL_modz00_3766); 
BgL_bucketz00_3770 = 
VECTOR_REF(BgL_arg1221z00_3761,BgL_kz00_3780); } 
{ /* Inline/size.scm 208 */
int BgL_kz00_3782;
BgL_kz00_3782 = 
(int)(BgL_restz00_3768); 
BgL_method2831z00_3758 = 
VECTOR_REF(BgL_bucketz00_3770,BgL_kz00_3782); } } } } } } } } 
{ /* Inline/size.scm 208 */
obj_t BgL_auxz00_4934;
BgL_auxz00_4934 = 
PROCEDURE_ENTRY(BgL_method2831z00_3758)(BgL_method2831z00_3758, 
(obj_t)(BgL_arg3121z00_2072), BEOA); 
BgL_res3282z00_3783 = 
(long)CINT(BgL_auxz00_4934); } } 
BgL_arg3119z00_2070 = BgL_res3282z00_3783; } } 
BgL_arg3117z00_2068 = 
(BgL_arg3118z00_2069+BgL_arg3119z00_2070); } 
BgL_auxz00_4876 = 
(((long)1)+BgL_arg3117z00_2068); } 
return 
BINT(BgL_auxz00_4876);} } } 
}



/* node-size-set-ex-it2871 */
obj_t BGl_nodezd2siza7ezd2setzd2exzd2it2871za7zzinline_siza7eza7(obj_t BgL_envz00_4116, obj_t BgL_nodez00_4117)
{ AN_OBJECT;
{ /* Inline/size.scm 199 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2056;
{ /* Inline/size.scm 200 */
long BgL_auxz00_4943;
BgL_nodez00_2056 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4117); 
{ /* Inline/size.scm 200 */
long BgL_arg3113z00_2060;
{ /* Inline/size.scm 200 */
BgL_nodez00_bglt BgL_arg3114z00_2061;
BgL_arg3114z00_2061 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2056))->BgL_bodyz00); 
{ /* Inline/size.scm 200 */
long BgL_res3276z00_3725;
{ /* Inline/size.scm 200 */
obj_t BgL_method2831z00_3700;
{ /* Inline/size.scm 200 */
long BgL_objzd2classzd2numz00_3702;
{ /* Inline/size.scm 200 */
BgL_objectz00_bglt BgL_auxz00_4945;
BgL_auxz00_4945 = 
(BgL_objectz00_bglt)(BgL_arg3114z00_2061); 
BgL_objzd2classzd2numz00_3702 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4945); } 
{ /* Inline/size.scm 200 */
obj_t BgL_arg1221z00_3703;
{ /* Inline/size.scm 200 */
int BgL_auxz00_4948;
BgL_auxz00_4948 = 
(int)(((long)1)); 
BgL_arg1221z00_3703 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4948); } 
{ /* Inline/size.scm 200 */
long BgL_offsetz00_3707;
{ /* Inline/size.scm 200 */
long BgL_auxz00_4951;
{ /* Inline/size.scm 200 */
int BgL_auxz00_4952;
BgL_auxz00_4952 = 
(int)(BgL_objzd2classzd2numz00_3702); 
BgL_auxz00_4951 = 
(long)(BgL_auxz00_4952); } 
BgL_offsetz00_3707 = 
(BgL_auxz00_4951-OBJECT_TYPE); } 
{ /* Inline/size.scm 200 */
long BgL_modz00_3708;
{ /* Inline/size.scm 200 */
long BgL_auxz00_4956;
{ /* Inline/size.scm 200 */
int BgL_auxz00_4957;
BgL_auxz00_4957 = 
(int)(((long)8)); 
BgL_auxz00_4956 = 
(long)(BgL_auxz00_4957); } 
BgL_modz00_3708 = 
(BgL_offsetz00_3707/BgL_auxz00_4956); } 
{ /* Inline/size.scm 200 */
long BgL_restz00_3710;
{ /* Inline/size.scm 200 */
long BgL_auxz00_4961;
{ /* Inline/size.scm 200 */
int BgL_auxz00_4962;
BgL_auxz00_4962 = 
(int)(((long)8)); 
BgL_auxz00_4961 = 
(long)(BgL_auxz00_4962); } 
BgL_restz00_3710 = 
(BgL_offsetz00_3707%BgL_auxz00_4961); } 
{ /* Inline/size.scm 200 */

{ /* Inline/size.scm 200 */
obj_t BgL_bucketz00_3712;
{ /* Inline/size.scm 200 */
int BgL_kz00_3722;
BgL_kz00_3722 = 
(int)(BgL_modz00_3708); 
BgL_bucketz00_3712 = 
VECTOR_REF(BgL_arg1221z00_3703,BgL_kz00_3722); } 
{ /* Inline/size.scm 200 */
int BgL_kz00_3724;
BgL_kz00_3724 = 
(int)(BgL_restz00_3710); 
BgL_method2831z00_3700 = 
VECTOR_REF(BgL_bucketz00_3712,BgL_kz00_3724); } } } } } } } } 
{ /* Inline/size.scm 200 */
obj_t BgL_auxz00_4970;
BgL_auxz00_4970 = 
PROCEDURE_ENTRY(BgL_method2831z00_3700)(BgL_method2831z00_3700, 
(obj_t)(BgL_arg3114z00_2061), BEOA); 
BgL_res3276z00_3725 = 
(long)CINT(BgL_auxz00_4970); } } 
BgL_arg3113z00_2060 = BgL_res3276z00_3725; } } 
BgL_auxz00_4943 = 
(((long)2)+BgL_arg3113z00_2060); } 
return 
BINT(BgL_auxz00_4943);} } } 
}



/* node-size-sized-let-var2869 */
obj_t BGl_nodezd2siza7ezd2siza7edzd2letzd2var2869z00zzinline_siza7eza7(obj_t BgL_envz00_4118, obj_t BgL_nodez00_4119)
{ AN_OBJECT;
{ /* Inline/size.scm 193 */
{ 
BgL_siza7edzd2letzd2varza7_bglt BgL_nodez00_2051;
{ /* Inline/size.scm 194 */
long BgL_auxz00_4978;
BgL_nodez00_2051 = 
(BgL_siza7edzd2letzd2varza7_bglt)(BgL_nodez00_4119); 
{ 
obj_t BgL_auxz00_4979;
{ /* Inline/size.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4980;
BgL_auxz00_4980 = 
(BgL_objectz00_bglt)(BgL_nodez00_2051); 
BgL_auxz00_4979 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4980); } 
BgL_auxz00_4978 = 
(((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_auxz00_4979))->BgL_siza7eza7); } 
return 
BINT(BgL_auxz00_4978);} } } 
}



/* node-size-let-var2867 */
obj_t BGl_nodezd2siza7ezd2letzd2var2867z75zzinline_siza7eza7(obj_t BgL_envz00_4120, obj_t BgL_nodez00_4121)
{ AN_OBJECT;
{ /* Inline/size.scm 180 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2030;
{ /* Inline/size.scm 181 */
long BgL_auxz00_4986;
BgL_nodez00_2030 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4121); 
{ 
obj_t BgL_bindingsz00_2033;long BgL_siza7eza7_2034;
{ /* Inline/size.scm 181 */
obj_t BgL_arg3098z00_2036;long BgL_arg3099z00_2037;
BgL_arg3098z00_2036 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2030))->BgL_bindingsz00); 
{ /* Inline/size.scm 182 */
BgL_nodez00_bglt BgL_arg3100z00_2038;
BgL_arg3100z00_2038 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2030))->BgL_bodyz00); 
{ /* Inline/size.scm 182 */
long BgL_res3268z00_3653;
{ /* Inline/size.scm 182 */
obj_t BgL_method2831z00_3628;
{ /* Inline/size.scm 182 */
long BgL_objzd2classzd2numz00_3630;
{ /* Inline/size.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4989;
BgL_auxz00_4989 = 
(BgL_objectz00_bglt)(BgL_arg3100z00_2038); 
BgL_objzd2classzd2numz00_3630 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4989); } 
{ /* Inline/size.scm 182 */
obj_t BgL_arg1221z00_3631;
{ /* Inline/size.scm 182 */
int BgL_auxz00_4992;
BgL_auxz00_4992 = 
(int)(((long)1)); 
BgL_arg1221z00_3631 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_4992); } 
{ /* Inline/size.scm 182 */
long BgL_offsetz00_3635;
{ /* Inline/size.scm 182 */
long BgL_auxz00_4995;
{ /* Inline/size.scm 182 */
int BgL_auxz00_4996;
BgL_auxz00_4996 = 
(int)(BgL_objzd2classzd2numz00_3630); 
BgL_auxz00_4995 = 
(long)(BgL_auxz00_4996); } 
BgL_offsetz00_3635 = 
(BgL_auxz00_4995-OBJECT_TYPE); } 
{ /* Inline/size.scm 182 */
long BgL_modz00_3636;
{ /* Inline/size.scm 182 */
long BgL_auxz00_5000;
{ /* Inline/size.scm 182 */
int BgL_auxz00_5001;
BgL_auxz00_5001 = 
(int)(((long)8)); 
BgL_auxz00_5000 = 
(long)(BgL_auxz00_5001); } 
BgL_modz00_3636 = 
(BgL_offsetz00_3635/BgL_auxz00_5000); } 
{ /* Inline/size.scm 182 */
long BgL_restz00_3638;
{ /* Inline/size.scm 182 */
long BgL_auxz00_5005;
{ /* Inline/size.scm 182 */
int BgL_auxz00_5006;
BgL_auxz00_5006 = 
(int)(((long)8)); 
BgL_auxz00_5005 = 
(long)(BgL_auxz00_5006); } 
BgL_restz00_3638 = 
(BgL_offsetz00_3635%BgL_auxz00_5005); } 
{ /* Inline/size.scm 182 */

{ /* Inline/size.scm 182 */
obj_t BgL_bucketz00_3640;
{ /* Inline/size.scm 182 */
int BgL_kz00_3650;
BgL_kz00_3650 = 
(int)(BgL_modz00_3636); 
BgL_bucketz00_3640 = 
VECTOR_REF(BgL_arg1221z00_3631,BgL_kz00_3650); } 
{ /* Inline/size.scm 182 */
int BgL_kz00_3652;
BgL_kz00_3652 = 
(int)(BgL_restz00_3638); 
BgL_method2831z00_3628 = 
VECTOR_REF(BgL_bucketz00_3640,BgL_kz00_3652); } } } } } } } } 
{ /* Inline/size.scm 182 */
obj_t BgL_auxz00_5014;
BgL_auxz00_5014 = 
PROCEDURE_ENTRY(BgL_method2831z00_3628)(BgL_method2831z00_3628, 
(obj_t)(BgL_arg3100z00_2038), BEOA); 
BgL_res3268z00_3653 = 
(long)CINT(BgL_auxz00_5014); } } 
BgL_arg3099z00_2037 = BgL_res3268z00_3653; } } 
BgL_bindingsz00_2033 = BgL_arg3098z00_2036; 
BgL_siza7eza7_2034 = BgL_arg3099z00_2037; 
BgL_loopz00_2035:
if(
NULLP(BgL_bindingsz00_2033))
{ /* Inline/size.scm 183 */
{ /* Inline/size.scm 185 */
BgL_siza7edzd2letzd2varza7_bglt BgL_obj2825z00_2040;
BgL_obj2825z00_2040 = 
((BgL_siza7edzd2letzd2varza7_bglt)BgL_nodez00_2030); 
{ /* Inline/size.scm 185 */
BgL_siza7edzd2letzd2varza7_bglt BgL_arg3102z00_2041;
{ /* Inline/size.scm 185 */
long BgL_arg3103z00_2042;
BgL_arg3103z00_2042 = BgL_siza7eza7_2034; 
{ /* Inline/size.scm 185 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3270z00_3661;
{ /* Inline/size.scm 185 */
BgL_siza7edzd2letzd2varza7_bglt BgL_new2776z00_3656;
BgL_new2776z00_3656 = 
((BgL_siza7edzd2letzd2varza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2varza7_bgl)))); 
{ /* Inline/size.scm 185 */
BgL_siza7edzd2letzd2varza7_bglt BgL_res3269z00_3660;
((((BgL_siza7edzd2letzd2varza7_bglt)CREF(BgL_new2776z00_3656))->BgL_siza7eza7) = ((long)BgL_arg3103z00_2042), BUNSPEC); 
BgL_res3269z00_3660 = BgL_new2776z00_3656; BgL_res3269z00_3660; } 
BgL_res3270z00_3661 = BgL_new2776z00_3656; } 
BgL_arg3102z00_2041 = BgL_res3270z00_3661; } } 
{ /* Inline/size.scm 185 */
obj_t BgL_auxz00_5026;BgL_objectz00_bglt BgL_auxz00_5024;
BgL_auxz00_5026 = 
(obj_t)(BgL_arg3102z00_2041); 
BgL_auxz00_5024 = 
(BgL_objectz00_bglt)(BgL_obj2825z00_2040); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5024, BgL_auxz00_5026); } } 
{ /* Inline/size.scm 185 */
long BgL_auxz00_5031;BgL_objectz00_bglt BgL_auxz00_5029;
BgL_auxz00_5031 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7); 
BgL_auxz00_5029 = 
(BgL_objectz00_bglt)(BgL_obj2825z00_2040); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5029, BgL_auxz00_5031); } 
{ /* Inline/size.scm 185 */
obj_t BgL_auxz00_5034;
BgL_auxz00_5034 = 
(obj_t)(BgL_obj2825z00_2040); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5034); } BUNSPEC; BgL_obj2825z00_2040; } 
BgL_auxz00_4986 = BgL_siza7eza7_2034; }  else 
{ /* Inline/size.scm 187 */
obj_t BgL_arg3105z00_2044;long BgL_arg3106z00_2045;
BgL_arg3105z00_2044 = 
CDR(BgL_bindingsz00_2033); 
{ /* Inline/size.scm 188 */
long BgL_arg3107z00_2046;
{ /* Inline/size.scm 188 */
long BgL_res3273z00_3694;
{ /* Inline/size.scm 188 */
BgL_nodez00_bglt BgL_nodez00_3668;
{ /* Inline/size.scm 188 */
obj_t BgL_auxz00_5038;
{ /* Inline/size.scm 188 */
obj_t BgL_auxz00_5039;
BgL_auxz00_5039 = 
CAR(BgL_bindingsz00_2033); 
BgL_auxz00_5038 = 
CDR(BgL_auxz00_5039); } 
BgL_nodez00_3668 = 
(BgL_nodez00_bglt)(BgL_auxz00_5038); } 
{ /* Inline/size.scm 188 */
obj_t BgL_method2831z00_3669;
{ /* Inline/size.scm 188 */
long BgL_objzd2classzd2numz00_3671;
{ /* Inline/size.scm 188 */
BgL_objectz00_bglt BgL_auxz00_5043;
BgL_auxz00_5043 = 
(BgL_objectz00_bglt)(BgL_nodez00_3668); 
BgL_objzd2classzd2numz00_3671 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5043); } 
{ /* Inline/size.scm 188 */
obj_t BgL_arg1221z00_3672;
{ /* Inline/size.scm 188 */
int BgL_auxz00_5046;
BgL_auxz00_5046 = 
(int)(((long)1)); 
BgL_arg1221z00_3672 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5046); } 
{ /* Inline/size.scm 188 */
long BgL_offsetz00_3676;
{ /* Inline/size.scm 188 */
long BgL_auxz00_5049;
{ /* Inline/size.scm 188 */
int BgL_auxz00_5050;
BgL_auxz00_5050 = 
(int)(BgL_objzd2classzd2numz00_3671); 
BgL_auxz00_5049 = 
(long)(BgL_auxz00_5050); } 
BgL_offsetz00_3676 = 
(BgL_auxz00_5049-OBJECT_TYPE); } 
{ /* Inline/size.scm 188 */
long BgL_modz00_3677;
{ /* Inline/size.scm 188 */
long BgL_auxz00_5054;
{ /* Inline/size.scm 188 */
int BgL_auxz00_5055;
BgL_auxz00_5055 = 
(int)(((long)8)); 
BgL_auxz00_5054 = 
(long)(BgL_auxz00_5055); } 
BgL_modz00_3677 = 
(BgL_offsetz00_3676/BgL_auxz00_5054); } 
{ /* Inline/size.scm 188 */
long BgL_restz00_3679;
{ /* Inline/size.scm 188 */
long BgL_auxz00_5059;
{ /* Inline/size.scm 188 */
int BgL_auxz00_5060;
BgL_auxz00_5060 = 
(int)(((long)8)); 
BgL_auxz00_5059 = 
(long)(BgL_auxz00_5060); } 
BgL_restz00_3679 = 
(BgL_offsetz00_3676%BgL_auxz00_5059); } 
{ /* Inline/size.scm 188 */

{ /* Inline/size.scm 188 */
obj_t BgL_bucketz00_3681;
{ /* Inline/size.scm 188 */
int BgL_kz00_3691;
BgL_kz00_3691 = 
(int)(BgL_modz00_3677); 
BgL_bucketz00_3681 = 
VECTOR_REF(BgL_arg1221z00_3672,BgL_kz00_3691); } 
{ /* Inline/size.scm 188 */
int BgL_kz00_3693;
BgL_kz00_3693 = 
(int)(BgL_restz00_3679); 
BgL_method2831z00_3669 = 
VECTOR_REF(BgL_bucketz00_3681,BgL_kz00_3693); } } } } } } } } 
{ /* Inline/size.scm 188 */
obj_t BgL_auxz00_5068;
BgL_auxz00_5068 = 
PROCEDURE_ENTRY(BgL_method2831z00_3669)(BgL_method2831z00_3669, 
(obj_t)(BgL_nodez00_3668), BEOA); 
BgL_res3273z00_3694 = 
(long)CINT(BgL_auxz00_5068); } } } 
BgL_arg3107z00_2046 = BgL_res3273z00_3694; } 
BgL_arg3106z00_2045 = 
(BgL_siza7eza7_2034+BgL_arg3107z00_2046); } 
{ 
long BgL_siza7eza7_5075;obj_t BgL_bindingsz00_5074;
BgL_bindingsz00_5074 = BgL_arg3105z00_2044; 
BgL_siza7eza7_5075 = BgL_arg3106z00_2045; 
BgL_siza7eza7_2034 = BgL_siza7eza7_5075; 
BgL_bindingsz00_2033 = BgL_bindingsz00_5074; 
goto BgL_loopz00_2035;} } } } 
return 
BINT(BgL_auxz00_4986);} } } 
}



/* node-size-sized-let-fun2865 */
obj_t BGl_nodezd2siza7ezd2siza7edzd2letzd2fun2865z00zzinline_siza7eza7(obj_t BgL_envz00_4122, obj_t BgL_nodez00_4123)
{ AN_OBJECT;
{ /* Inline/size.scm 174 */
{ 
BgL_siza7edzd2letzd2funza7_bglt BgL_nodez00_2025;
{ /* Inline/size.scm 175 */
long BgL_auxz00_5078;
BgL_nodez00_2025 = 
(BgL_siza7edzd2letzd2funza7_bglt)(BgL_nodez00_4123); 
{ 
obj_t BgL_auxz00_5079;
{ /* Inline/size.scm 175 */
BgL_objectz00_bglt BgL_auxz00_5080;
BgL_auxz00_5080 = 
(BgL_objectz00_bglt)(BgL_nodez00_2025); 
BgL_auxz00_5079 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5080); } 
BgL_auxz00_5078 = 
(((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_auxz00_5079))->BgL_siza7eza7); } 
return 
BINT(BgL_auxz00_5078);} } } 
}



/* node-size-let-fun2863 */
obj_t BGl_nodezd2siza7ezd2letzd2fun2863z75zzinline_siza7eza7(obj_t BgL_envz00_4124, obj_t BgL_nodez00_4125)
{ AN_OBJECT;
{ /* Inline/size.scm 159 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2000;
{ /* Inline/size.scm 160 */
long BgL_auxz00_5086;
BgL_nodez00_2000 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4125); 
{ 
obj_t BgL_localsz00_2003;long BgL_siza7eza7_2004;
{ /* Inline/size.scm 160 */
obj_t BgL_arg3079z00_2006;long BgL_arg3080z00_2007;
BgL_arg3079z00_2006 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2000))->BgL_localsz00); 
{ /* Inline/size.scm 161 */
long BgL_arg3081z00_2008;long BgL_arg3082z00_2009;
BgL_arg3081z00_2008 = 
bgl_list_length(
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2000))->BgL_localsz00)); 
{ /* Inline/size.scm 162 */
BgL_nodez00_bglt BgL_arg3084z00_2011;
BgL_arg3084z00_2011 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2000))->BgL_bodyz00); 
{ /* Inline/size.scm 162 */
long BgL_res3260z00_3577;
{ /* Inline/size.scm 162 */
obj_t BgL_method2831z00_3552;
{ /* Inline/size.scm 162 */
long BgL_objzd2classzd2numz00_3554;
{ /* Inline/size.scm 162 */
BgL_objectz00_bglt BgL_auxz00_5091;
BgL_auxz00_5091 = 
(BgL_objectz00_bglt)(BgL_arg3084z00_2011); 
BgL_objzd2classzd2numz00_3554 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5091); } 
{ /* Inline/size.scm 162 */
obj_t BgL_arg1221z00_3555;
{ /* Inline/size.scm 162 */
int BgL_auxz00_5094;
BgL_auxz00_5094 = 
(int)(((long)1)); 
BgL_arg1221z00_3555 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5094); } 
{ /* Inline/size.scm 162 */
long BgL_offsetz00_3559;
{ /* Inline/size.scm 162 */
long BgL_auxz00_5097;
{ /* Inline/size.scm 162 */
int BgL_auxz00_5098;
BgL_auxz00_5098 = 
(int)(BgL_objzd2classzd2numz00_3554); 
BgL_auxz00_5097 = 
(long)(BgL_auxz00_5098); } 
BgL_offsetz00_3559 = 
(BgL_auxz00_5097-OBJECT_TYPE); } 
{ /* Inline/size.scm 162 */
long BgL_modz00_3560;
{ /* Inline/size.scm 162 */
long BgL_auxz00_5102;
{ /* Inline/size.scm 162 */
int BgL_auxz00_5103;
BgL_auxz00_5103 = 
(int)(((long)8)); 
BgL_auxz00_5102 = 
(long)(BgL_auxz00_5103); } 
BgL_modz00_3560 = 
(BgL_offsetz00_3559/BgL_auxz00_5102); } 
{ /* Inline/size.scm 162 */
long BgL_restz00_3562;
{ /* Inline/size.scm 162 */
long BgL_auxz00_5107;
{ /* Inline/size.scm 162 */
int BgL_auxz00_5108;
BgL_auxz00_5108 = 
(int)(((long)8)); 
BgL_auxz00_5107 = 
(long)(BgL_auxz00_5108); } 
BgL_restz00_3562 = 
(BgL_offsetz00_3559%BgL_auxz00_5107); } 
{ /* Inline/size.scm 162 */

{ /* Inline/size.scm 162 */
obj_t BgL_bucketz00_3564;
{ /* Inline/size.scm 162 */
int BgL_kz00_3574;
BgL_kz00_3574 = 
(int)(BgL_modz00_3560); 
BgL_bucketz00_3564 = 
VECTOR_REF(BgL_arg1221z00_3555,BgL_kz00_3574); } 
{ /* Inline/size.scm 162 */
int BgL_kz00_3576;
BgL_kz00_3576 = 
(int)(BgL_restz00_3562); 
BgL_method2831z00_3552 = 
VECTOR_REF(BgL_bucketz00_3564,BgL_kz00_3576); } } } } } } } } 
{ /* Inline/size.scm 162 */
obj_t BgL_auxz00_5116;
BgL_auxz00_5116 = 
PROCEDURE_ENTRY(BgL_method2831z00_3552)(BgL_method2831z00_3552, 
(obj_t)(BgL_arg3084z00_2011), BEOA); 
BgL_res3260z00_3577 = 
(long)CINT(BgL_auxz00_5116); } } 
BgL_arg3082z00_2009 = BgL_res3260z00_3577; } } 
BgL_arg3080z00_2007 = 
(BgL_arg3081z00_2008+BgL_arg3082z00_2009); } 
BgL_localsz00_2003 = BgL_arg3079z00_2006; 
BgL_siza7eza7_2004 = BgL_arg3080z00_2007; 
BgL_loopz00_2005:
if(
NULLP(BgL_localsz00_2003))
{ /* Inline/size.scm 163 */
{ /* Inline/size.scm 165 */
BgL_siza7edzd2letzd2funza7_bglt BgL_obj2824z00_2013;
BgL_obj2824z00_2013 = 
((BgL_siza7edzd2letzd2funza7_bglt)BgL_nodez00_2000); 
{ /* Inline/size.scm 165 */
BgL_siza7edzd2letzd2funza7_bglt BgL_arg3086z00_2014;
{ /* Inline/size.scm 165 */
long BgL_arg3087z00_2015;
BgL_arg3087z00_2015 = BgL_siza7eza7_2004; 
{ /* Inline/size.scm 165 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3262z00_3587;
{ /* Inline/size.scm 165 */
BgL_siza7edzd2letzd2funza7_bglt BgL_new2735z00_3582;
BgL_new2735z00_3582 = 
((BgL_siza7edzd2letzd2funza7_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2letzd2funza7_bgl)))); 
{ /* Inline/size.scm 165 */
BgL_siza7edzd2letzd2funza7_bglt BgL_res3261z00_3586;
((((BgL_siza7edzd2letzd2funza7_bglt)CREF(BgL_new2735z00_3582))->BgL_siza7eza7) = ((long)BgL_arg3087z00_2015), BUNSPEC); 
BgL_res3261z00_3586 = BgL_new2735z00_3582; BgL_res3261z00_3586; } 
BgL_res3262z00_3587 = BgL_new2735z00_3582; } 
BgL_arg3086z00_2014 = BgL_res3262z00_3587; } } 
{ /* Inline/size.scm 165 */
obj_t BgL_auxz00_5129;BgL_objectz00_bglt BgL_auxz00_5127;
BgL_auxz00_5129 = 
(obj_t)(BgL_arg3086z00_2014); 
BgL_auxz00_5127 = 
(BgL_objectz00_bglt)(BgL_obj2824z00_2013); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5127, BgL_auxz00_5129); } } 
{ /* Inline/size.scm 165 */
long BgL_auxz00_5134;BgL_objectz00_bglt BgL_auxz00_5132;
BgL_auxz00_5134 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7); 
BgL_auxz00_5132 = 
(BgL_objectz00_bglt)(BgL_obj2824z00_2013); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5132, BgL_auxz00_5134); } 
{ /* Inline/size.scm 165 */
obj_t BgL_auxz00_5137;
BgL_auxz00_5137 = 
(obj_t)(BgL_obj2824z00_2013); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5137); } BUNSPEC; BgL_obj2824z00_2013; } 
BgL_auxz00_5086 = BgL_siza7eza7_2004; }  else 
{ /* Inline/size.scm 167 */
obj_t BgL_arg3090z00_2017;long BgL_arg3091z00_2018;
BgL_arg3090z00_2017 = 
CDR(BgL_localsz00_2003); 
{ /* Inline/size.scm 169 */
long BgL_arg3092z00_2019;
{ /* Inline/size.scm 169 */
long BgL_res3265z00_3621;
{ /* Inline/size.scm 169 */
BgL_nodez00_bglt BgL_nodez00_3595;
{ /* Inline/size.scm 169 */
obj_t BgL_auxz00_5141;
{ /* Inline/size.scm 169 */
BgL_sfunz00_bglt BgL_obj1372z00_3594;
{ /* Inline/size.scm 169 */
BgL_valuez00_bglt BgL_auxz00_5142;
{ /* Inline/size.scm 169 */
BgL_localz00_bglt BgL_obj1255z00_3593;
{ /* Inline/size.scm 169 */
obj_t BgL_auxz00_5143;
BgL_auxz00_5143 = 
CAR(BgL_localsz00_2003); 
BgL_obj1255z00_3593 = 
(BgL_localz00_bglt)(BgL_auxz00_5143); } 
BgL_auxz00_5142 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3593))->BgL_valuez00); } 
BgL_obj1372z00_3594 = 
(BgL_sfunz00_bglt)(BgL_auxz00_5142); } 
BgL_auxz00_5141 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3594))->BgL_bodyz00); } 
BgL_nodez00_3595 = 
(BgL_nodez00_bglt)(BgL_auxz00_5141); } 
{ /* Inline/size.scm 169 */
obj_t BgL_method2831z00_3596;
{ /* Inline/size.scm 169 */
long BgL_objzd2classzd2numz00_3598;
{ /* Inline/size.scm 169 */
BgL_objectz00_bglt BgL_auxz00_5150;
BgL_auxz00_5150 = 
(BgL_objectz00_bglt)(BgL_nodez00_3595); 
BgL_objzd2classzd2numz00_3598 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5150); } 
{ /* Inline/size.scm 169 */
obj_t BgL_arg1221z00_3599;
{ /* Inline/size.scm 169 */
int BgL_auxz00_5153;
BgL_auxz00_5153 = 
(int)(((long)1)); 
BgL_arg1221z00_3599 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5153); } 
{ /* Inline/size.scm 169 */
long BgL_offsetz00_3603;
{ /* Inline/size.scm 169 */
long BgL_auxz00_5156;
{ /* Inline/size.scm 169 */
int BgL_auxz00_5157;
BgL_auxz00_5157 = 
(int)(BgL_objzd2classzd2numz00_3598); 
BgL_auxz00_5156 = 
(long)(BgL_auxz00_5157); } 
BgL_offsetz00_3603 = 
(BgL_auxz00_5156-OBJECT_TYPE); } 
{ /* Inline/size.scm 169 */
long BgL_modz00_3604;
{ /* Inline/size.scm 169 */
long BgL_auxz00_5161;
{ /* Inline/size.scm 169 */
int BgL_auxz00_5162;
BgL_auxz00_5162 = 
(int)(((long)8)); 
BgL_auxz00_5161 = 
(long)(BgL_auxz00_5162); } 
BgL_modz00_3604 = 
(BgL_offsetz00_3603/BgL_auxz00_5161); } 
{ /* Inline/size.scm 169 */
long BgL_restz00_3606;
{ /* Inline/size.scm 169 */
long BgL_auxz00_5166;
{ /* Inline/size.scm 169 */
int BgL_auxz00_5167;
BgL_auxz00_5167 = 
(int)(((long)8)); 
BgL_auxz00_5166 = 
(long)(BgL_auxz00_5167); } 
BgL_restz00_3606 = 
(BgL_offsetz00_3603%BgL_auxz00_5166); } 
{ /* Inline/size.scm 169 */

{ /* Inline/size.scm 169 */
obj_t BgL_bucketz00_3608;
{ /* Inline/size.scm 169 */
int BgL_kz00_3618;
BgL_kz00_3618 = 
(int)(BgL_modz00_3604); 
BgL_bucketz00_3608 = 
VECTOR_REF(BgL_arg1221z00_3599,BgL_kz00_3618); } 
{ /* Inline/size.scm 169 */
int BgL_kz00_3620;
BgL_kz00_3620 = 
(int)(BgL_restz00_3606); 
BgL_method2831z00_3596 = 
VECTOR_REF(BgL_bucketz00_3608,BgL_kz00_3620); } } } } } } } } 
{ /* Inline/size.scm 169 */
obj_t BgL_auxz00_5175;
BgL_auxz00_5175 = 
PROCEDURE_ENTRY(BgL_method2831z00_3596)(BgL_method2831z00_3596, 
(obj_t)(BgL_nodez00_3595), BEOA); 
BgL_res3265z00_3621 = 
(long)CINT(BgL_auxz00_5175); } } } 
BgL_arg3092z00_2019 = BgL_res3265z00_3621; } 
BgL_arg3091z00_2018 = 
(BgL_siza7eza7_2004+BgL_arg3092z00_2019); } 
{ 
long BgL_siza7eza7_5182;obj_t BgL_localsz00_5181;
BgL_localsz00_5181 = BgL_arg3090z00_2017; 
BgL_siza7eza7_5182 = BgL_arg3091z00_2018; 
BgL_siza7eza7_2004 = BgL_siza7eza7_5182; 
BgL_localsz00_2003 = BgL_localsz00_5181; 
goto BgL_loopz00_2005;} } } } 
return 
BINT(BgL_auxz00_5086);} } } 
}



/* node-size-sized-select2861 */
obj_t BGl_nodezd2siza7ezd2siza7edzd2select2861zd2zzinline_siza7eza7(obj_t BgL_envz00_4126, obj_t BgL_nodez00_4127)
{ AN_OBJECT;
{ /* Inline/size.scm 153 */
{ 
BgL_siza7edzd2selectz75_bglt BgL_nodez00_1995;
{ /* Inline/size.scm 154 */
long BgL_auxz00_5185;
BgL_nodez00_1995 = 
(BgL_siza7edzd2selectz75_bglt)(BgL_nodez00_4127); 
{ 
obj_t BgL_auxz00_5186;
{ /* Inline/size.scm 154 */
BgL_objectz00_bglt BgL_auxz00_5187;
BgL_auxz00_5187 = 
(BgL_objectz00_bglt)(BgL_nodez00_1995); 
BgL_auxz00_5186 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5187); } 
BgL_auxz00_5185 = 
(((BgL_siza7edzd2selectz75_bglt)CREF(BgL_auxz00_5186))->BgL_siza7eza7); } 
return 
BINT(BgL_auxz00_5185);} } } 
}



/* node-size-select2859 */
obj_t BGl_nodezd2siza7ezd2select2859za7zzinline_siza7eza7(obj_t BgL_envz00_4128, obj_t BgL_nodez00_4129)
{ AN_OBJECT;
{ /* Inline/size.scm 137 */
{ 
BgL_selectz00_bglt BgL_nodez00_1965;
{ /* Inline/size.scm 138 */
long BgL_auxz00_5193;
BgL_nodez00_1965 = 
(BgL_selectz00_bglt)(BgL_nodez00_4129); 
{ 
obj_t BgL_clausesz00_1968;long BgL_siza7eza7_1969;
{ /* Inline/size.scm 138 */
obj_t BgL_arg3056z00_1971;long BgL_arg3057z00_1972;
BgL_arg3056z00_1971 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1965))->BgL_clausesz00); 
{ /* Inline/size.scm 139 */
long BgL_arg3059z00_1974;
{ /* Inline/size.scm 139 */
BgL_nodez00_bglt BgL_arg3060z00_1975;
BgL_arg3060z00_1975 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1965))->BgL_testz00); 
{ /* Inline/size.scm 139 */
long BgL_res3252z00_3494;
{ /* Inline/size.scm 139 */
obj_t BgL_method2831z00_3469;
{ /* Inline/size.scm 139 */
long BgL_objzd2classzd2numz00_3471;
{ /* Inline/size.scm 139 */
BgL_objectz00_bglt BgL_auxz00_5196;
BgL_auxz00_5196 = 
(BgL_objectz00_bglt)(BgL_arg3060z00_1975); 
BgL_objzd2classzd2numz00_3471 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5196); } 
{ /* Inline/size.scm 139 */
obj_t BgL_arg1221z00_3472;
{ /* Inline/size.scm 139 */
int BgL_auxz00_5199;
BgL_auxz00_5199 = 
(int)(((long)1)); 
BgL_arg1221z00_3472 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5199); } 
{ /* Inline/size.scm 139 */
long BgL_offsetz00_3476;
{ /* Inline/size.scm 139 */
long BgL_auxz00_5202;
{ /* Inline/size.scm 139 */
int BgL_auxz00_5203;
BgL_auxz00_5203 = 
(int)(BgL_objzd2classzd2numz00_3471); 
BgL_auxz00_5202 = 
(long)(BgL_auxz00_5203); } 
BgL_offsetz00_3476 = 
(BgL_auxz00_5202-OBJECT_TYPE); } 
{ /* Inline/size.scm 139 */
long BgL_modz00_3477;
{ /* Inline/size.scm 139 */
long BgL_auxz00_5207;
{ /* Inline/size.scm 139 */
int BgL_auxz00_5208;
BgL_auxz00_5208 = 
(int)(((long)8)); 
BgL_auxz00_5207 = 
(long)(BgL_auxz00_5208); } 
BgL_modz00_3477 = 
(BgL_offsetz00_3476/BgL_auxz00_5207); } 
{ /* Inline/size.scm 139 */
long BgL_restz00_3479;
{ /* Inline/size.scm 139 */
long BgL_auxz00_5212;
{ /* Inline/size.scm 139 */
int BgL_auxz00_5213;
BgL_auxz00_5213 = 
(int)(((long)8)); 
BgL_auxz00_5212 = 
(long)(BgL_auxz00_5213); } 
BgL_restz00_3479 = 
(BgL_offsetz00_3476%BgL_auxz00_5212); } 
{ /* Inline/size.scm 139 */

{ /* Inline/size.scm 139 */
obj_t BgL_bucketz00_3481;
{ /* Inline/size.scm 139 */
int BgL_kz00_3491;
BgL_kz00_3491 = 
(int)(BgL_modz00_3477); 
BgL_bucketz00_3481 = 
VECTOR_REF(BgL_arg1221z00_3472,BgL_kz00_3491); } 
{ /* Inline/size.scm 139 */
int BgL_kz00_3493;
BgL_kz00_3493 = 
(int)(BgL_restz00_3479); 
BgL_method2831z00_3469 = 
VECTOR_REF(BgL_bucketz00_3481,BgL_kz00_3493); } } } } } } } } 
{ /* Inline/size.scm 139 */
obj_t BgL_auxz00_5221;
BgL_auxz00_5221 = 
PROCEDURE_ENTRY(BgL_method2831z00_3469)(BgL_method2831z00_3469, 
(obj_t)(BgL_arg3060z00_1975), BEOA); 
BgL_res3252z00_3494 = 
(long)CINT(BgL_auxz00_5221); } } 
BgL_arg3059z00_1974 = BgL_res3252z00_3494; } } 
BgL_arg3057z00_1972 = 
(((long)1)+BgL_arg3059z00_1974); } 
BgL_clausesz00_1968 = BgL_arg3056z00_1971; 
BgL_siza7eza7_1969 = BgL_arg3057z00_1972; 
BgL_loopz00_1970:
if(
NULLP(BgL_clausesz00_1968))
{ /* Inline/size.scm 140 */
{ /* Inline/size.scm 142 */
BgL_siza7edzd2selectz75_bglt BgL_obj2823z00_1977;
BgL_obj2823z00_1977 = 
((BgL_siza7edzd2selectz75_bglt)BgL_nodez00_1965); 
{ /* Inline/size.scm 142 */
BgL_siza7edzd2selectz75_bglt BgL_arg3062z00_1978;
{ /* Inline/size.scm 142 */
long BgL_arg3063z00_1979;
BgL_arg3063z00_1979 = BgL_siza7eza7_1969; 
{ /* Inline/size.scm 142 */
BgL_siza7edzd2selectz75_bglt BgL_res3254z00_3504;
{ /* Inline/size.scm 142 */
BgL_siza7edzd2selectz75_bglt BgL_new2693z00_3499;
BgL_new2693z00_3499 = 
((BgL_siza7edzd2selectz75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2selectz75_bgl)))); 
{ /* Inline/size.scm 142 */
BgL_siza7edzd2selectz75_bglt BgL_res3253z00_3503;
((((BgL_siza7edzd2selectz75_bglt)CREF(BgL_new2693z00_3499))->BgL_siza7eza7) = ((long)BgL_arg3063z00_1979), BUNSPEC); 
BgL_res3253z00_3503 = BgL_new2693z00_3499; BgL_res3253z00_3503; } 
BgL_res3254z00_3504 = BgL_new2693z00_3499; } 
BgL_arg3062z00_1978 = BgL_res3254z00_3504; } } 
{ /* Inline/size.scm 142 */
obj_t BgL_auxz00_5234;BgL_objectz00_bglt BgL_auxz00_5232;
BgL_auxz00_5234 = 
(obj_t)(BgL_arg3062z00_1978); 
BgL_auxz00_5232 = 
(BgL_objectz00_bglt)(BgL_obj2823z00_1977); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5232, BgL_auxz00_5234); } } 
{ /* Inline/size.scm 142 */
long BgL_auxz00_5239;BgL_objectz00_bglt BgL_auxz00_5237;
BgL_auxz00_5239 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2selectz75zzinline_siza7eza7); 
BgL_auxz00_5237 = 
(BgL_objectz00_bglt)(BgL_obj2823z00_1977); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5237, BgL_auxz00_5239); } 
{ /* Inline/size.scm 142 */
obj_t BgL_auxz00_5242;
BgL_auxz00_5242 = 
(obj_t)(BgL_obj2823z00_1977); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5242); } BUNSPEC; BgL_obj2823z00_1977; } 
BgL_auxz00_5193 = BgL_siza7eza7_1969; }  else 
{ /* Inline/size.scm 144 */
obj_t BgL_arg3065z00_1981;long BgL_arg3066z00_1982;
BgL_arg3065z00_1981 = 
CDR(BgL_clausesz00_1968); 
{ /* Inline/size.scm 145 */
long BgL_arg3067z00_1983;
{ /* Inline/size.scm 145 */
long BgL_arg3068z00_1984;long BgL_arg3069z00_1985;
{ /* Inline/size.scm 145 */
bool_t BgL_testz00_5246;
{ /* Inline/size.scm 145 */
obj_t BgL_auxz00_5247;
{ /* Inline/size.scm 145 */
obj_t BgL_auxz00_5248;
BgL_auxz00_5248 = 
CAR(BgL_clausesz00_1968); 
BgL_auxz00_5247 = 
CAR(BgL_auxz00_5248); } 
BgL_testz00_5246 = 
PAIRP(BgL_auxz00_5247); } 
if(BgL_testz00_5246)
{ /* Inline/size.scm 146 */
obj_t BgL_auxz00_5252;
{ /* Inline/size.scm 146 */
obj_t BgL_auxz00_5253;
BgL_auxz00_5253 = 
CAR(BgL_clausesz00_1968); 
BgL_auxz00_5252 = 
CAR(BgL_auxz00_5253); } 
BgL_arg3068z00_1984 = 
bgl_list_length(BgL_auxz00_5252); }  else 
{ /* Inline/size.scm 145 */
BgL_arg3068z00_1984 = ((long)1); } } 
{ /* Inline/size.scm 148 */
long BgL_res3257z00_3542;
{ /* Inline/size.scm 148 */
BgL_nodez00_bglt BgL_nodez00_3516;
{ /* Inline/size.scm 148 */
obj_t BgL_auxz00_5257;
{ /* Inline/size.scm 148 */
obj_t BgL_auxz00_5258;
BgL_auxz00_5258 = 
CAR(BgL_clausesz00_1968); 
BgL_auxz00_5257 = 
CDR(BgL_auxz00_5258); } 
BgL_nodez00_3516 = 
(BgL_nodez00_bglt)(BgL_auxz00_5257); } 
{ /* Inline/size.scm 148 */
obj_t BgL_method2831z00_3517;
{ /* Inline/size.scm 148 */
long BgL_objzd2classzd2numz00_3519;
{ /* Inline/size.scm 148 */
BgL_objectz00_bglt BgL_auxz00_5262;
BgL_auxz00_5262 = 
(BgL_objectz00_bglt)(BgL_nodez00_3516); 
BgL_objzd2classzd2numz00_3519 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5262); } 
{ /* Inline/size.scm 148 */
obj_t BgL_arg1221z00_3520;
{ /* Inline/size.scm 148 */
int BgL_auxz00_5265;
BgL_auxz00_5265 = 
(int)(((long)1)); 
BgL_arg1221z00_3520 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5265); } 
{ /* Inline/size.scm 148 */
long BgL_offsetz00_3524;
{ /* Inline/size.scm 148 */
long BgL_auxz00_5268;
{ /* Inline/size.scm 148 */
int BgL_auxz00_5269;
BgL_auxz00_5269 = 
(int)(BgL_objzd2classzd2numz00_3519); 
BgL_auxz00_5268 = 
(long)(BgL_auxz00_5269); } 
BgL_offsetz00_3524 = 
(BgL_auxz00_5268-OBJECT_TYPE); } 
{ /* Inline/size.scm 148 */
long BgL_modz00_3525;
{ /* Inline/size.scm 148 */
long BgL_auxz00_5273;
{ /* Inline/size.scm 148 */
int BgL_auxz00_5274;
BgL_auxz00_5274 = 
(int)(((long)8)); 
BgL_auxz00_5273 = 
(long)(BgL_auxz00_5274); } 
BgL_modz00_3525 = 
(BgL_offsetz00_3524/BgL_auxz00_5273); } 
{ /* Inline/size.scm 148 */
long BgL_restz00_3527;
{ /* Inline/size.scm 148 */
long BgL_auxz00_5278;
{ /* Inline/size.scm 148 */
int BgL_auxz00_5279;
BgL_auxz00_5279 = 
(int)(((long)8)); 
BgL_auxz00_5278 = 
(long)(BgL_auxz00_5279); } 
BgL_restz00_3527 = 
(BgL_offsetz00_3524%BgL_auxz00_5278); } 
{ /* Inline/size.scm 148 */

{ /* Inline/size.scm 148 */
obj_t BgL_bucketz00_3529;
{ /* Inline/size.scm 148 */
int BgL_kz00_3539;
BgL_kz00_3539 = 
(int)(BgL_modz00_3525); 
BgL_bucketz00_3529 = 
VECTOR_REF(BgL_arg1221z00_3520,BgL_kz00_3539); } 
{ /* Inline/size.scm 148 */
int BgL_kz00_3541;
BgL_kz00_3541 = 
(int)(BgL_restz00_3527); 
BgL_method2831z00_3517 = 
VECTOR_REF(BgL_bucketz00_3529,BgL_kz00_3541); } } } } } } } } 
{ /* Inline/size.scm 148 */
obj_t BgL_auxz00_5287;
BgL_auxz00_5287 = 
PROCEDURE_ENTRY(BgL_method2831z00_3517)(BgL_method2831z00_3517, 
(obj_t)(BgL_nodez00_3516), BEOA); 
BgL_res3257z00_3542 = 
(long)CINT(BgL_auxz00_5287); } } } 
BgL_arg3069z00_1985 = BgL_res3257z00_3542; } 
BgL_arg3067z00_1983 = 
(BgL_arg3068z00_1984+BgL_arg3069z00_1985); } 
BgL_arg3066z00_1982 = 
(BgL_siza7eza7_1969+BgL_arg3067z00_1983); } 
{ 
long BgL_siza7eza7_5295;obj_t BgL_clausesz00_5294;
BgL_clausesz00_5294 = BgL_arg3065z00_1981; 
BgL_siza7eza7_5295 = BgL_arg3066z00_1982; 
BgL_siza7eza7_1969 = BgL_siza7eza7_5295; 
BgL_clausesz00_1968 = BgL_clausesz00_5294; 
goto BgL_loopz00_1970;} } } } 
return 
BINT(BgL_auxz00_5193);} } } 
}



/* node-size-fail2857 */
obj_t BGl_nodezd2siza7ezd2fail2857za7zzinline_siza7eza7(obj_t BgL_envz00_4130, obj_t BgL_nodez00_4131)
{ AN_OBJECT;
{ /* Inline/size.scm 128 */
{ 
BgL_failz00_bglt BgL_nodez00_1951;
{ /* Inline/size.scm 129 */
long BgL_auxz00_5298;
BgL_nodez00_1951 = 
(BgL_failz00_bglt)(BgL_nodez00_4131); 
{ /* Inline/size.scm 129 */
long BgL_proczd2siza7ez75_1954;
{ /* Inline/size.scm 129 */
BgL_nodez00_bglt BgL_arg3054z00_1962;
BgL_arg3054z00_1962 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1951))->BgL_procz00); 
{ /* Inline/size.scm 129 */
long BgL_res3243z00_3403;
{ /* Inline/size.scm 129 */
obj_t BgL_method2831z00_3378;
{ /* Inline/size.scm 129 */
long BgL_objzd2classzd2numz00_3380;
{ /* Inline/size.scm 129 */
BgL_objectz00_bglt BgL_auxz00_5300;
BgL_auxz00_5300 = 
(BgL_objectz00_bglt)(BgL_arg3054z00_1962); 
BgL_objzd2classzd2numz00_3380 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5300); } 
{ /* Inline/size.scm 129 */
obj_t BgL_arg1221z00_3381;
{ /* Inline/size.scm 129 */
int BgL_auxz00_5303;
BgL_auxz00_5303 = 
(int)(((long)1)); 
BgL_arg1221z00_3381 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5303); } 
{ /* Inline/size.scm 129 */
long BgL_offsetz00_3385;
{ /* Inline/size.scm 129 */
long BgL_auxz00_5306;
{ /* Inline/size.scm 129 */
int BgL_auxz00_5307;
BgL_auxz00_5307 = 
(int)(BgL_objzd2classzd2numz00_3380); 
BgL_auxz00_5306 = 
(long)(BgL_auxz00_5307); } 
BgL_offsetz00_3385 = 
(BgL_auxz00_5306-OBJECT_TYPE); } 
{ /* Inline/size.scm 129 */
long BgL_modz00_3386;
{ /* Inline/size.scm 129 */
long BgL_auxz00_5311;
{ /* Inline/size.scm 129 */
int BgL_auxz00_5312;
BgL_auxz00_5312 = 
(int)(((long)8)); 
BgL_auxz00_5311 = 
(long)(BgL_auxz00_5312); } 
BgL_modz00_3386 = 
(BgL_offsetz00_3385/BgL_auxz00_5311); } 
{ /* Inline/size.scm 129 */
long BgL_restz00_3388;
{ /* Inline/size.scm 129 */
long BgL_auxz00_5316;
{ /* Inline/size.scm 129 */
int BgL_auxz00_5317;
BgL_auxz00_5317 = 
(int)(((long)8)); 
BgL_auxz00_5316 = 
(long)(BgL_auxz00_5317); } 
BgL_restz00_3388 = 
(BgL_offsetz00_3385%BgL_auxz00_5316); } 
{ /* Inline/size.scm 129 */

{ /* Inline/size.scm 129 */
obj_t BgL_bucketz00_3390;
{ /* Inline/size.scm 129 */
int BgL_kz00_3400;
BgL_kz00_3400 = 
(int)(BgL_modz00_3386); 
BgL_bucketz00_3390 = 
VECTOR_REF(BgL_arg1221z00_3381,BgL_kz00_3400); } 
{ /* Inline/size.scm 129 */
int BgL_kz00_3402;
BgL_kz00_3402 = 
(int)(BgL_restz00_3388); 
BgL_method2831z00_3378 = 
VECTOR_REF(BgL_bucketz00_3390,BgL_kz00_3402); } } } } } } } } 
{ /* Inline/size.scm 129 */
obj_t BgL_auxz00_5325;
BgL_auxz00_5325 = 
PROCEDURE_ENTRY(BgL_method2831z00_3378)(BgL_method2831z00_3378, 
(obj_t)(BgL_arg3054z00_1962), BEOA); 
BgL_res3243z00_3403 = 
(long)CINT(BgL_auxz00_5325); } } 
BgL_proczd2siza7ez75_1954 = BgL_res3243z00_3403; } } 
{ /* Inline/size.scm 129 */
long BgL_msgzd2siza7ez75_1955;
{ /* Inline/size.scm 130 */
BgL_nodez00_bglt BgL_arg3053z00_1961;
BgL_arg3053z00_1961 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1951))->BgL_msgz00); 
{ /* Inline/size.scm 130 */
long BgL_res3246z00_3431;
{ /* Inline/size.scm 130 */
obj_t BgL_method2831z00_3406;
{ /* Inline/size.scm 130 */
long BgL_objzd2classzd2numz00_3408;
{ /* Inline/size.scm 130 */
BgL_objectz00_bglt BgL_auxz00_5331;
BgL_auxz00_5331 = 
(BgL_objectz00_bglt)(BgL_arg3053z00_1961); 
BgL_objzd2classzd2numz00_3408 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5331); } 
{ /* Inline/size.scm 130 */
obj_t BgL_arg1221z00_3409;
{ /* Inline/size.scm 130 */
int BgL_auxz00_5334;
BgL_auxz00_5334 = 
(int)(((long)1)); 
BgL_arg1221z00_3409 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5334); } 
{ /* Inline/size.scm 130 */
long BgL_offsetz00_3413;
{ /* Inline/size.scm 130 */
long BgL_auxz00_5337;
{ /* Inline/size.scm 130 */
int BgL_auxz00_5338;
BgL_auxz00_5338 = 
(int)(BgL_objzd2classzd2numz00_3408); 
BgL_auxz00_5337 = 
(long)(BgL_auxz00_5338); } 
BgL_offsetz00_3413 = 
(BgL_auxz00_5337-OBJECT_TYPE); } 
{ /* Inline/size.scm 130 */
long BgL_modz00_3414;
{ /* Inline/size.scm 130 */
long BgL_auxz00_5342;
{ /* Inline/size.scm 130 */
int BgL_auxz00_5343;
BgL_auxz00_5343 = 
(int)(((long)8)); 
BgL_auxz00_5342 = 
(long)(BgL_auxz00_5343); } 
BgL_modz00_3414 = 
(BgL_offsetz00_3413/BgL_auxz00_5342); } 
{ /* Inline/size.scm 130 */
long BgL_restz00_3416;
{ /* Inline/size.scm 130 */
long BgL_auxz00_5347;
{ /* Inline/size.scm 130 */
int BgL_auxz00_5348;
BgL_auxz00_5348 = 
(int)(((long)8)); 
BgL_auxz00_5347 = 
(long)(BgL_auxz00_5348); } 
BgL_restz00_3416 = 
(BgL_offsetz00_3413%BgL_auxz00_5347); } 
{ /* Inline/size.scm 130 */

{ /* Inline/size.scm 130 */
obj_t BgL_bucketz00_3418;
{ /* Inline/size.scm 130 */
int BgL_kz00_3428;
BgL_kz00_3428 = 
(int)(BgL_modz00_3414); 
BgL_bucketz00_3418 = 
VECTOR_REF(BgL_arg1221z00_3409,BgL_kz00_3428); } 
{ /* Inline/size.scm 130 */
int BgL_kz00_3430;
BgL_kz00_3430 = 
(int)(BgL_restz00_3416); 
BgL_method2831z00_3406 = 
VECTOR_REF(BgL_bucketz00_3418,BgL_kz00_3430); } } } } } } } } 
{ /* Inline/size.scm 130 */
obj_t BgL_auxz00_5356;
BgL_auxz00_5356 = 
PROCEDURE_ENTRY(BgL_method2831z00_3406)(BgL_method2831z00_3406, 
(obj_t)(BgL_arg3053z00_1961), BEOA); 
BgL_res3246z00_3431 = 
(long)CINT(BgL_auxz00_5356); } } 
BgL_msgzd2siza7ez75_1955 = BgL_res3246z00_3431; } } 
{ /* Inline/size.scm 130 */
long BgL_objzd2siza7ez75_1956;
{ /* Inline/size.scm 131 */
BgL_nodez00_bglt BgL_arg3052z00_1960;
BgL_arg3052z00_1960 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1951))->BgL_objz00); 
{ /* Inline/size.scm 131 */
long BgL_res3249z00_3459;
{ /* Inline/size.scm 131 */
obj_t BgL_method2831z00_3434;
{ /* Inline/size.scm 131 */
long BgL_objzd2classzd2numz00_3436;
{ /* Inline/size.scm 131 */
BgL_objectz00_bglt BgL_auxz00_5362;
BgL_auxz00_5362 = 
(BgL_objectz00_bglt)(BgL_arg3052z00_1960); 
BgL_objzd2classzd2numz00_3436 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5362); } 
{ /* Inline/size.scm 131 */
obj_t BgL_arg1221z00_3437;
{ /* Inline/size.scm 131 */
int BgL_auxz00_5365;
BgL_auxz00_5365 = 
(int)(((long)1)); 
BgL_arg1221z00_3437 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5365); } 
{ /* Inline/size.scm 131 */
long BgL_offsetz00_3441;
{ /* Inline/size.scm 131 */
long BgL_auxz00_5368;
{ /* Inline/size.scm 131 */
int BgL_auxz00_5369;
BgL_auxz00_5369 = 
(int)(BgL_objzd2classzd2numz00_3436); 
BgL_auxz00_5368 = 
(long)(BgL_auxz00_5369); } 
BgL_offsetz00_3441 = 
(BgL_auxz00_5368-OBJECT_TYPE); } 
{ /* Inline/size.scm 131 */
long BgL_modz00_3442;
{ /* Inline/size.scm 131 */
long BgL_auxz00_5373;
{ /* Inline/size.scm 131 */
int BgL_auxz00_5374;
BgL_auxz00_5374 = 
(int)(((long)8)); 
BgL_auxz00_5373 = 
(long)(BgL_auxz00_5374); } 
BgL_modz00_3442 = 
(BgL_offsetz00_3441/BgL_auxz00_5373); } 
{ /* Inline/size.scm 131 */
long BgL_restz00_3444;
{ /* Inline/size.scm 131 */
long BgL_auxz00_5378;
{ /* Inline/size.scm 131 */
int BgL_auxz00_5379;
BgL_auxz00_5379 = 
(int)(((long)8)); 
BgL_auxz00_5378 = 
(long)(BgL_auxz00_5379); } 
BgL_restz00_3444 = 
(BgL_offsetz00_3441%BgL_auxz00_5378); } 
{ /* Inline/size.scm 131 */

{ /* Inline/size.scm 131 */
obj_t BgL_bucketz00_3446;
{ /* Inline/size.scm 131 */
int BgL_kz00_3456;
BgL_kz00_3456 = 
(int)(BgL_modz00_3442); 
BgL_bucketz00_3446 = 
VECTOR_REF(BgL_arg1221z00_3437,BgL_kz00_3456); } 
{ /* Inline/size.scm 131 */
int BgL_kz00_3458;
BgL_kz00_3458 = 
(int)(BgL_restz00_3444); 
BgL_method2831z00_3434 = 
VECTOR_REF(BgL_bucketz00_3446,BgL_kz00_3458); } } } } } } } } 
{ /* Inline/size.scm 131 */
obj_t BgL_auxz00_5387;
BgL_auxz00_5387 = 
PROCEDURE_ENTRY(BgL_method2831z00_3434)(BgL_method2831z00_3434, 
(obj_t)(BgL_arg3052z00_1960), BEOA); 
BgL_res3249z00_3459 = 
(long)CINT(BgL_auxz00_5387); } } 
BgL_objzd2siza7ez75_1956 = BgL_res3249z00_3459; } } 
{ /* Inline/size.scm 131 */

{ /* Inline/size.scm 132 */
long BgL_auxz00_5392;
{ /* Inline/size.scm 132 */
long BgL_auxz00_5393;
BgL_auxz00_5393 = 
(BgL_msgzd2siza7ez75_1955+BgL_objzd2siza7ez75_1956); 
BgL_auxz00_5392 = 
(BgL_proczd2siza7ez75_1954+BgL_auxz00_5393); } 
BgL_auxz00_5298 = 
(((long)2)+BgL_auxz00_5392); } } } } } 
return 
BINT(BgL_auxz00_5298);} } } 
}



/* node-size-conditional2855 */
obj_t BGl_nodezd2siza7ezd2conditional2855za7zzinline_siza7eza7(obj_t BgL_envz00_4132, obj_t BgL_nodez00_4133)
{ AN_OBJECT;
{ /* Inline/size.scm 119 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1937;
{ /* Inline/size.scm 120 */
long BgL_auxz00_5399;
BgL_nodez00_1937 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4133); 
{ /* Inline/size.scm 120 */
long BgL_testzd2siza7ez75_1940;
{ /* Inline/size.scm 120 */
BgL_nodez00_bglt BgL_arg3047z00_1948;
BgL_arg3047z00_1948 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1937))->BgL_testz00); 
{ /* Inline/size.scm 120 */
long BgL_res3234z00_3313;
{ /* Inline/size.scm 120 */
obj_t BgL_method2831z00_3288;
{ /* Inline/size.scm 120 */
long BgL_objzd2classzd2numz00_3290;
{ /* Inline/size.scm 120 */
BgL_objectz00_bglt BgL_auxz00_5401;
BgL_auxz00_5401 = 
(BgL_objectz00_bglt)(BgL_arg3047z00_1948); 
BgL_objzd2classzd2numz00_3290 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5401); } 
{ /* Inline/size.scm 120 */
obj_t BgL_arg1221z00_3291;
{ /* Inline/size.scm 120 */
int BgL_auxz00_5404;
BgL_auxz00_5404 = 
(int)(((long)1)); 
BgL_arg1221z00_3291 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5404); } 
{ /* Inline/size.scm 120 */
long BgL_offsetz00_3295;
{ /* Inline/size.scm 120 */
long BgL_auxz00_5407;
{ /* Inline/size.scm 120 */
int BgL_auxz00_5408;
BgL_auxz00_5408 = 
(int)(BgL_objzd2classzd2numz00_3290); 
BgL_auxz00_5407 = 
(long)(BgL_auxz00_5408); } 
BgL_offsetz00_3295 = 
(BgL_auxz00_5407-OBJECT_TYPE); } 
{ /* Inline/size.scm 120 */
long BgL_modz00_3296;
{ /* Inline/size.scm 120 */
long BgL_auxz00_5412;
{ /* Inline/size.scm 120 */
int BgL_auxz00_5413;
BgL_auxz00_5413 = 
(int)(((long)8)); 
BgL_auxz00_5412 = 
(long)(BgL_auxz00_5413); } 
BgL_modz00_3296 = 
(BgL_offsetz00_3295/BgL_auxz00_5412); } 
{ /* Inline/size.scm 120 */
long BgL_restz00_3298;
{ /* Inline/size.scm 120 */
long BgL_auxz00_5417;
{ /* Inline/size.scm 120 */
int BgL_auxz00_5418;
BgL_auxz00_5418 = 
(int)(((long)8)); 
BgL_auxz00_5417 = 
(long)(BgL_auxz00_5418); } 
BgL_restz00_3298 = 
(BgL_offsetz00_3295%BgL_auxz00_5417); } 
{ /* Inline/size.scm 120 */

{ /* Inline/size.scm 120 */
obj_t BgL_bucketz00_3300;
{ /* Inline/size.scm 120 */
int BgL_kz00_3310;
BgL_kz00_3310 = 
(int)(BgL_modz00_3296); 
BgL_bucketz00_3300 = 
VECTOR_REF(BgL_arg1221z00_3291,BgL_kz00_3310); } 
{ /* Inline/size.scm 120 */
int BgL_kz00_3312;
BgL_kz00_3312 = 
(int)(BgL_restz00_3298); 
BgL_method2831z00_3288 = 
VECTOR_REF(BgL_bucketz00_3300,BgL_kz00_3312); } } } } } } } } 
{ /* Inline/size.scm 120 */
obj_t BgL_auxz00_5426;
BgL_auxz00_5426 = 
PROCEDURE_ENTRY(BgL_method2831z00_3288)(BgL_method2831z00_3288, 
(obj_t)(BgL_arg3047z00_1948), BEOA); 
BgL_res3234z00_3313 = 
(long)CINT(BgL_auxz00_5426); } } 
BgL_testzd2siza7ez75_1940 = BgL_res3234z00_3313; } } 
{ /* Inline/size.scm 120 */
long BgL_truezd2siza7ez75_1941;
{ /* Inline/size.scm 121 */
BgL_nodez00_bglt BgL_arg3046z00_1947;
BgL_arg3046z00_1947 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1937))->BgL_truez00); 
{ /* Inline/size.scm 121 */
long BgL_res3237z00_3341;
{ /* Inline/size.scm 121 */
obj_t BgL_method2831z00_3316;
{ /* Inline/size.scm 121 */
long BgL_objzd2classzd2numz00_3318;
{ /* Inline/size.scm 121 */
BgL_objectz00_bglt BgL_auxz00_5432;
BgL_auxz00_5432 = 
(BgL_objectz00_bglt)(BgL_arg3046z00_1947); 
BgL_objzd2classzd2numz00_3318 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5432); } 
{ /* Inline/size.scm 121 */
obj_t BgL_arg1221z00_3319;
{ /* Inline/size.scm 121 */
int BgL_auxz00_5435;
BgL_auxz00_5435 = 
(int)(((long)1)); 
BgL_arg1221z00_3319 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5435); } 
{ /* Inline/size.scm 121 */
long BgL_offsetz00_3323;
{ /* Inline/size.scm 121 */
long BgL_auxz00_5438;
{ /* Inline/size.scm 121 */
int BgL_auxz00_5439;
BgL_auxz00_5439 = 
(int)(BgL_objzd2classzd2numz00_3318); 
BgL_auxz00_5438 = 
(long)(BgL_auxz00_5439); } 
BgL_offsetz00_3323 = 
(BgL_auxz00_5438-OBJECT_TYPE); } 
{ /* Inline/size.scm 121 */
long BgL_modz00_3324;
{ /* Inline/size.scm 121 */
long BgL_auxz00_5443;
{ /* Inline/size.scm 121 */
int BgL_auxz00_5444;
BgL_auxz00_5444 = 
(int)(((long)8)); 
BgL_auxz00_5443 = 
(long)(BgL_auxz00_5444); } 
BgL_modz00_3324 = 
(BgL_offsetz00_3323/BgL_auxz00_5443); } 
{ /* Inline/size.scm 121 */
long BgL_restz00_3326;
{ /* Inline/size.scm 121 */
long BgL_auxz00_5448;
{ /* Inline/size.scm 121 */
int BgL_auxz00_5449;
BgL_auxz00_5449 = 
(int)(((long)8)); 
BgL_auxz00_5448 = 
(long)(BgL_auxz00_5449); } 
BgL_restz00_3326 = 
(BgL_offsetz00_3323%BgL_auxz00_5448); } 
{ /* Inline/size.scm 121 */

{ /* Inline/size.scm 121 */
obj_t BgL_bucketz00_3328;
{ /* Inline/size.scm 121 */
int BgL_kz00_3338;
BgL_kz00_3338 = 
(int)(BgL_modz00_3324); 
BgL_bucketz00_3328 = 
VECTOR_REF(BgL_arg1221z00_3319,BgL_kz00_3338); } 
{ /* Inline/size.scm 121 */
int BgL_kz00_3340;
BgL_kz00_3340 = 
(int)(BgL_restz00_3326); 
BgL_method2831z00_3316 = 
VECTOR_REF(BgL_bucketz00_3328,BgL_kz00_3340); } } } } } } } } 
{ /* Inline/size.scm 121 */
obj_t BgL_auxz00_5457;
BgL_auxz00_5457 = 
PROCEDURE_ENTRY(BgL_method2831z00_3316)(BgL_method2831z00_3316, 
(obj_t)(BgL_arg3046z00_1947), BEOA); 
BgL_res3237z00_3341 = 
(long)CINT(BgL_auxz00_5457); } } 
BgL_truezd2siza7ez75_1941 = BgL_res3237z00_3341; } } 
{ /* Inline/size.scm 121 */
long BgL_falsezd2siza7ez75_1942;
{ /* Inline/size.scm 122 */
BgL_nodez00_bglt BgL_arg3045z00_1946;
BgL_arg3045z00_1946 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1937))->BgL_falsez00); 
{ /* Inline/size.scm 122 */
long BgL_res3240z00_3369;
{ /* Inline/size.scm 122 */
obj_t BgL_method2831z00_3344;
{ /* Inline/size.scm 122 */
long BgL_objzd2classzd2numz00_3346;
{ /* Inline/size.scm 122 */
BgL_objectz00_bglt BgL_auxz00_5463;
BgL_auxz00_5463 = 
(BgL_objectz00_bglt)(BgL_arg3045z00_1946); 
BgL_objzd2classzd2numz00_3346 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5463); } 
{ /* Inline/size.scm 122 */
obj_t BgL_arg1221z00_3347;
{ /* Inline/size.scm 122 */
int BgL_auxz00_5466;
BgL_auxz00_5466 = 
(int)(((long)1)); 
BgL_arg1221z00_3347 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5466); } 
{ /* Inline/size.scm 122 */
long BgL_offsetz00_3351;
{ /* Inline/size.scm 122 */
long BgL_auxz00_5469;
{ /* Inline/size.scm 122 */
int BgL_auxz00_5470;
BgL_auxz00_5470 = 
(int)(BgL_objzd2classzd2numz00_3346); 
BgL_auxz00_5469 = 
(long)(BgL_auxz00_5470); } 
BgL_offsetz00_3351 = 
(BgL_auxz00_5469-OBJECT_TYPE); } 
{ /* Inline/size.scm 122 */
long BgL_modz00_3352;
{ /* Inline/size.scm 122 */
long BgL_auxz00_5474;
{ /* Inline/size.scm 122 */
int BgL_auxz00_5475;
BgL_auxz00_5475 = 
(int)(((long)8)); 
BgL_auxz00_5474 = 
(long)(BgL_auxz00_5475); } 
BgL_modz00_3352 = 
(BgL_offsetz00_3351/BgL_auxz00_5474); } 
{ /* Inline/size.scm 122 */
long BgL_restz00_3354;
{ /* Inline/size.scm 122 */
long BgL_auxz00_5479;
{ /* Inline/size.scm 122 */
int BgL_auxz00_5480;
BgL_auxz00_5480 = 
(int)(((long)8)); 
BgL_auxz00_5479 = 
(long)(BgL_auxz00_5480); } 
BgL_restz00_3354 = 
(BgL_offsetz00_3351%BgL_auxz00_5479); } 
{ /* Inline/size.scm 122 */

{ /* Inline/size.scm 122 */
obj_t BgL_bucketz00_3356;
{ /* Inline/size.scm 122 */
int BgL_kz00_3366;
BgL_kz00_3366 = 
(int)(BgL_modz00_3352); 
BgL_bucketz00_3356 = 
VECTOR_REF(BgL_arg1221z00_3347,BgL_kz00_3366); } 
{ /* Inline/size.scm 122 */
int BgL_kz00_3368;
BgL_kz00_3368 = 
(int)(BgL_restz00_3354); 
BgL_method2831z00_3344 = 
VECTOR_REF(BgL_bucketz00_3356,BgL_kz00_3368); } } } } } } } } 
{ /* Inline/size.scm 122 */
obj_t BgL_auxz00_5488;
BgL_auxz00_5488 = 
PROCEDURE_ENTRY(BgL_method2831z00_3344)(BgL_method2831z00_3344, 
(obj_t)(BgL_arg3045z00_1946), BEOA); 
BgL_res3240z00_3369 = 
(long)CINT(BgL_auxz00_5488); } } 
BgL_falsezd2siza7ez75_1942 = BgL_res3240z00_3369; } } 
{ /* Inline/size.scm 122 */

{ /* Inline/size.scm 123 */
long BgL_auxz00_5493;
{ /* Inline/size.scm 123 */
long BgL_auxz00_5494;
BgL_auxz00_5494 = 
(BgL_truezd2siza7ez75_1941+BgL_falsezd2siza7ez75_1942); 
BgL_auxz00_5493 = 
(BgL_testzd2siza7ez75_1940+BgL_auxz00_5494); } 
BgL_auxz00_5399 = 
(((long)1)+BgL_auxz00_5493); } } } } } 
return 
BINT(BgL_auxz00_5399);} } } 
}



/* node-size-setq2853 */
obj_t BGl_nodezd2siza7ezd2setq2853za7zzinline_siza7eza7(obj_t BgL_envz00_4134, obj_t BgL_nodez00_4135)
{ AN_OBJECT;
{ /* Inline/size.scm 113 */
{ 
BgL_setqz00_bglt BgL_nodez00_1929;
{ /* Inline/size.scm 114 */
long BgL_auxz00_5500;
BgL_nodez00_1929 = 
(BgL_setqz00_bglt)(BgL_nodez00_4135); 
{ /* Inline/size.scm 114 */
long BgL_arg3039z00_1933;
{ /* Inline/size.scm 114 */
BgL_nodez00_bglt BgL_arg3040z00_1934;
BgL_arg3040z00_1934 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1929))->BgL_valuez00); 
{ /* Inline/size.scm 114 */
long BgL_res3231z00_3283;
{ /* Inline/size.scm 114 */
obj_t BgL_method2831z00_3258;
{ /* Inline/size.scm 114 */
long BgL_objzd2classzd2numz00_3260;
{ /* Inline/size.scm 114 */
BgL_objectz00_bglt BgL_auxz00_5502;
BgL_auxz00_5502 = 
(BgL_objectz00_bglt)(BgL_arg3040z00_1934); 
BgL_objzd2classzd2numz00_3260 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5502); } 
{ /* Inline/size.scm 114 */
obj_t BgL_arg1221z00_3261;
{ /* Inline/size.scm 114 */
int BgL_auxz00_5505;
BgL_auxz00_5505 = 
(int)(((long)1)); 
BgL_arg1221z00_3261 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5505); } 
{ /* Inline/size.scm 114 */
long BgL_offsetz00_3265;
{ /* Inline/size.scm 114 */
long BgL_auxz00_5508;
{ /* Inline/size.scm 114 */
int BgL_auxz00_5509;
BgL_auxz00_5509 = 
(int)(BgL_objzd2classzd2numz00_3260); 
BgL_auxz00_5508 = 
(long)(BgL_auxz00_5509); } 
BgL_offsetz00_3265 = 
(BgL_auxz00_5508-OBJECT_TYPE); } 
{ /* Inline/size.scm 114 */
long BgL_modz00_3266;
{ /* Inline/size.scm 114 */
long BgL_auxz00_5513;
{ /* Inline/size.scm 114 */
int BgL_auxz00_5514;
BgL_auxz00_5514 = 
(int)(((long)8)); 
BgL_auxz00_5513 = 
(long)(BgL_auxz00_5514); } 
BgL_modz00_3266 = 
(BgL_offsetz00_3265/BgL_auxz00_5513); } 
{ /* Inline/size.scm 114 */
long BgL_restz00_3268;
{ /* Inline/size.scm 114 */
long BgL_auxz00_5518;
{ /* Inline/size.scm 114 */
int BgL_auxz00_5519;
BgL_auxz00_5519 = 
(int)(((long)8)); 
BgL_auxz00_5518 = 
(long)(BgL_auxz00_5519); } 
BgL_restz00_3268 = 
(BgL_offsetz00_3265%BgL_auxz00_5518); } 
{ /* Inline/size.scm 114 */

{ /* Inline/size.scm 114 */
obj_t BgL_bucketz00_3270;
{ /* Inline/size.scm 114 */
int BgL_kz00_3280;
BgL_kz00_3280 = 
(int)(BgL_modz00_3266); 
BgL_bucketz00_3270 = 
VECTOR_REF(BgL_arg1221z00_3261,BgL_kz00_3280); } 
{ /* Inline/size.scm 114 */
int BgL_kz00_3282;
BgL_kz00_3282 = 
(int)(BgL_restz00_3268); 
BgL_method2831z00_3258 = 
VECTOR_REF(BgL_bucketz00_3270,BgL_kz00_3282); } } } } } } } } 
{ /* Inline/size.scm 114 */
obj_t BgL_auxz00_5527;
BgL_auxz00_5527 = 
PROCEDURE_ENTRY(BgL_method2831z00_3258)(BgL_method2831z00_3258, 
(obj_t)(BgL_arg3040z00_1934), BEOA); 
BgL_res3231z00_3283 = 
(long)CINT(BgL_auxz00_5527); } } 
BgL_arg3039z00_1933 = BgL_res3231z00_3283; } } 
BgL_auxz00_5500 = 
(((long)2)+BgL_arg3039z00_1933); } 
return 
BINT(BgL_auxz00_5500);} } } 
}



/* node-size-extern2851 */
obj_t BGl_nodezd2siza7ezd2extern2851za7zzinline_siza7eza7(obj_t BgL_envz00_4136, obj_t BgL_nodez00_4137)
{ AN_OBJECT;
{ /* Inline/size.scm 103 */
{ 
BgL_externz00_bglt BgL_nodez00_1914;
{ /* Inline/size.scm 104 */
long BgL_auxz00_5535;
BgL_nodez00_1914 = 
(BgL_externz00_bglt)(BgL_nodez00_4137); 
{ 
obj_t BgL_argsz00_1917;long BgL_siza7eza7_1918;
BgL_argsz00_1917 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1914))->BgL_exprza2za2); 
BgL_siza7eza7_1918 = ((long)1); 
BgL_loopz00_1919:
if(
NULLP(BgL_argsz00_1917))
{ /* Inline/size.scm 106 */
BgL_auxz00_5535 = BgL_siza7eza7_1918
; }  else 
{ /* Inline/size.scm 108 */
obj_t BgL_arg3033z00_1923;long BgL_arg3034z00_1924;
BgL_arg3033z00_1923 = 
CDR(BgL_argsz00_1917); 
{ /* Inline/size.scm 108 */
long BgL_arg3035z00_1925;
{ /* Inline/size.scm 108 */
long BgL_res3228z00_3253;
{ /* Inline/size.scm 108 */
BgL_nodez00_bglt BgL_nodez00_3227;
{ /* Inline/size.scm 108 */
obj_t BgL_auxz00_5539;
BgL_auxz00_5539 = 
CAR(BgL_argsz00_1917); 
BgL_nodez00_3227 = 
(BgL_nodez00_bglt)(BgL_auxz00_5539); } 
{ /* Inline/size.scm 108 */
obj_t BgL_method2831z00_3228;
{ /* Inline/size.scm 108 */
long BgL_objzd2classzd2numz00_3230;
{ /* Inline/size.scm 108 */
BgL_objectz00_bglt BgL_auxz00_5542;
BgL_auxz00_5542 = 
(BgL_objectz00_bglt)(BgL_nodez00_3227); 
BgL_objzd2classzd2numz00_3230 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5542); } 
{ /* Inline/size.scm 108 */
obj_t BgL_arg1221z00_3231;
{ /* Inline/size.scm 108 */
int BgL_auxz00_5545;
BgL_auxz00_5545 = 
(int)(((long)1)); 
BgL_arg1221z00_3231 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5545); } 
{ /* Inline/size.scm 108 */
long BgL_offsetz00_3235;
{ /* Inline/size.scm 108 */
long BgL_auxz00_5548;
{ /* Inline/size.scm 108 */
int BgL_auxz00_5549;
BgL_auxz00_5549 = 
(int)(BgL_objzd2classzd2numz00_3230); 
BgL_auxz00_5548 = 
(long)(BgL_auxz00_5549); } 
BgL_offsetz00_3235 = 
(BgL_auxz00_5548-OBJECT_TYPE); } 
{ /* Inline/size.scm 108 */
long BgL_modz00_3236;
{ /* Inline/size.scm 108 */
long BgL_auxz00_5553;
{ /* Inline/size.scm 108 */
int BgL_auxz00_5554;
BgL_auxz00_5554 = 
(int)(((long)8)); 
BgL_auxz00_5553 = 
(long)(BgL_auxz00_5554); } 
BgL_modz00_3236 = 
(BgL_offsetz00_3235/BgL_auxz00_5553); } 
{ /* Inline/size.scm 108 */
long BgL_restz00_3238;
{ /* Inline/size.scm 108 */
long BgL_auxz00_5558;
{ /* Inline/size.scm 108 */
int BgL_auxz00_5559;
BgL_auxz00_5559 = 
(int)(((long)8)); 
BgL_auxz00_5558 = 
(long)(BgL_auxz00_5559); } 
BgL_restz00_3238 = 
(BgL_offsetz00_3235%BgL_auxz00_5558); } 
{ /* Inline/size.scm 108 */

{ /* Inline/size.scm 108 */
obj_t BgL_bucketz00_3240;
{ /* Inline/size.scm 108 */
int BgL_kz00_3250;
BgL_kz00_3250 = 
(int)(BgL_modz00_3236); 
BgL_bucketz00_3240 = 
VECTOR_REF(BgL_arg1221z00_3231,BgL_kz00_3250); } 
{ /* Inline/size.scm 108 */
int BgL_kz00_3252;
BgL_kz00_3252 = 
(int)(BgL_restz00_3238); 
BgL_method2831z00_3228 = 
VECTOR_REF(BgL_bucketz00_3240,BgL_kz00_3252); } } } } } } } } 
{ /* Inline/size.scm 108 */
obj_t BgL_auxz00_5567;
BgL_auxz00_5567 = 
PROCEDURE_ENTRY(BgL_method2831z00_3228)(BgL_method2831z00_3228, 
(obj_t)(BgL_nodez00_3227), BEOA); 
BgL_res3228z00_3253 = 
(long)CINT(BgL_auxz00_5567); } } } 
BgL_arg3035z00_1925 = BgL_res3228z00_3253; } 
BgL_arg3034z00_1924 = 
(BgL_siza7eza7_1918+BgL_arg3035z00_1925); } 
{ 
long BgL_siza7eza7_5574;obj_t BgL_argsz00_5573;
BgL_argsz00_5573 = BgL_arg3033z00_1923; 
BgL_siza7eza7_5574 = BgL_arg3034z00_1924; 
BgL_siza7eza7_1918 = BgL_siza7eza7_5574; 
BgL_argsz00_1917 = BgL_argsz00_5573; 
goto BgL_loopz00_1919;} } } 
return 
BINT(BgL_auxz00_5535);} } } 
}



/* node-size-cast2849 */
obj_t BGl_nodezd2siza7ezd2cast2849za7zzinline_siza7eza7(obj_t BgL_envz00_4138, obj_t BgL_nodez00_4139)
{ AN_OBJECT;
{ /* Inline/size.scm 96 */
{ 
BgL_castz00_bglt BgL_nodez00_1907;
{ /* Inline/size.scm 97 */
long BgL_auxz00_5578;
BgL_nodez00_1907 = 
(BgL_castz00_bglt)(BgL_nodez00_4139); 
{ /* Inline/size.scm 97 */
BgL_nodez00_bglt BgL_arg3028z00_3194;
BgL_arg3028z00_3194 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1907))->BgL_argz00); 
{ /* Inline/size.scm 97 */
long BgL_res3225z00_3222;
{ /* Inline/size.scm 97 */
obj_t BgL_method2831z00_3197;
{ /* Inline/size.scm 97 */
long BgL_objzd2classzd2numz00_3199;
{ /* Inline/size.scm 97 */
BgL_objectz00_bglt BgL_auxz00_5580;
BgL_auxz00_5580 = 
(BgL_objectz00_bglt)(BgL_arg3028z00_3194); 
BgL_objzd2classzd2numz00_3199 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5580); } 
{ /* Inline/size.scm 97 */
obj_t BgL_arg1221z00_3200;
{ /* Inline/size.scm 97 */
int BgL_auxz00_5583;
BgL_auxz00_5583 = 
(int)(((long)1)); 
BgL_arg1221z00_3200 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5583); } 
{ /* Inline/size.scm 97 */
long BgL_offsetz00_3204;
{ /* Inline/size.scm 97 */
long BgL_auxz00_5586;
{ /* Inline/size.scm 97 */
int BgL_auxz00_5587;
BgL_auxz00_5587 = 
(int)(BgL_objzd2classzd2numz00_3199); 
BgL_auxz00_5586 = 
(long)(BgL_auxz00_5587); } 
BgL_offsetz00_3204 = 
(BgL_auxz00_5586-OBJECT_TYPE); } 
{ /* Inline/size.scm 97 */
long BgL_modz00_3205;
{ /* Inline/size.scm 97 */
long BgL_auxz00_5591;
{ /* Inline/size.scm 97 */
int BgL_auxz00_5592;
BgL_auxz00_5592 = 
(int)(((long)8)); 
BgL_auxz00_5591 = 
(long)(BgL_auxz00_5592); } 
BgL_modz00_3205 = 
(BgL_offsetz00_3204/BgL_auxz00_5591); } 
{ /* Inline/size.scm 97 */
long BgL_restz00_3207;
{ /* Inline/size.scm 97 */
long BgL_auxz00_5596;
{ /* Inline/size.scm 97 */
int BgL_auxz00_5597;
BgL_auxz00_5597 = 
(int)(((long)8)); 
BgL_auxz00_5596 = 
(long)(BgL_auxz00_5597); } 
BgL_restz00_3207 = 
(BgL_offsetz00_3204%BgL_auxz00_5596); } 
{ /* Inline/size.scm 97 */

{ /* Inline/size.scm 97 */
obj_t BgL_bucketz00_3209;
{ /* Inline/size.scm 97 */
int BgL_kz00_3219;
BgL_kz00_3219 = 
(int)(BgL_modz00_3205); 
BgL_bucketz00_3209 = 
VECTOR_REF(BgL_arg1221z00_3200,BgL_kz00_3219); } 
{ /* Inline/size.scm 97 */
int BgL_kz00_3221;
BgL_kz00_3221 = 
(int)(BgL_restz00_3207); 
BgL_method2831z00_3197 = 
VECTOR_REF(BgL_bucketz00_3209,BgL_kz00_3221); } } } } } } } } 
{ /* Inline/size.scm 97 */
obj_t BgL_auxz00_5605;
BgL_auxz00_5605 = 
PROCEDURE_ENTRY(BgL_method2831z00_3197)(BgL_method2831z00_3197, 
(obj_t)(BgL_arg3028z00_3194), BEOA); 
BgL_res3225z00_3222 = 
(long)CINT(BgL_auxz00_5605); } } 
BgL_auxz00_5578 = BgL_res3225z00_3222; } } 
return 
BINT(BgL_auxz00_5578);} } } 
}



/* node-size-funcall2847 */
obj_t BGl_nodezd2siza7ezd2funcall2847za7zzinline_siza7eza7(obj_t BgL_envz00_4140, obj_t BgL_nodez00_4141)
{ AN_OBJECT;
{ /* Inline/size.scm 86 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1891;
{ /* Inline/size.scm 87 */
long BgL_auxz00_5612;
BgL_nodez00_1891 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4141); 
{ 
obj_t BgL_argsz00_1894;long BgL_siza7eza7_1895;
{ /* Inline/size.scm 87 */
obj_t BgL_arg3019z00_1897;long BgL_arg3020z00_1898;
BgL_arg3019z00_1897 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1891))->BgL_argsz00); 
{ /* Inline/size.scm 88 */
BgL_nodez00_bglt BgL_arg3021z00_1899;
BgL_arg3021z00_1899 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1891))->BgL_funz00); 
{ /* Inline/size.scm 88 */
long BgL_res3219z00_3160;
{ /* Inline/size.scm 88 */
obj_t BgL_method2831z00_3135;
{ /* Inline/size.scm 88 */
long BgL_objzd2classzd2numz00_3137;
{ /* Inline/size.scm 88 */
BgL_objectz00_bglt BgL_auxz00_5615;
BgL_auxz00_5615 = 
(BgL_objectz00_bglt)(BgL_arg3021z00_1899); 
BgL_objzd2classzd2numz00_3137 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5615); } 
{ /* Inline/size.scm 88 */
obj_t BgL_arg1221z00_3138;
{ /* Inline/size.scm 88 */
int BgL_auxz00_5618;
BgL_auxz00_5618 = 
(int)(((long)1)); 
BgL_arg1221z00_3138 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5618); } 
{ /* Inline/size.scm 88 */
long BgL_offsetz00_3142;
{ /* Inline/size.scm 88 */
long BgL_auxz00_5621;
{ /* Inline/size.scm 88 */
int BgL_auxz00_5622;
BgL_auxz00_5622 = 
(int)(BgL_objzd2classzd2numz00_3137); 
BgL_auxz00_5621 = 
(long)(BgL_auxz00_5622); } 
BgL_offsetz00_3142 = 
(BgL_auxz00_5621-OBJECT_TYPE); } 
{ /* Inline/size.scm 88 */
long BgL_modz00_3143;
{ /* Inline/size.scm 88 */
long BgL_auxz00_5626;
{ /* Inline/size.scm 88 */
int BgL_auxz00_5627;
BgL_auxz00_5627 = 
(int)(((long)8)); 
BgL_auxz00_5626 = 
(long)(BgL_auxz00_5627); } 
BgL_modz00_3143 = 
(BgL_offsetz00_3142/BgL_auxz00_5626); } 
{ /* Inline/size.scm 88 */
long BgL_restz00_3145;
{ /* Inline/size.scm 88 */
long BgL_auxz00_5631;
{ /* Inline/size.scm 88 */
int BgL_auxz00_5632;
BgL_auxz00_5632 = 
(int)(((long)8)); 
BgL_auxz00_5631 = 
(long)(BgL_auxz00_5632); } 
BgL_restz00_3145 = 
(BgL_offsetz00_3142%BgL_auxz00_5631); } 
{ /* Inline/size.scm 88 */

{ /* Inline/size.scm 88 */
obj_t BgL_bucketz00_3147;
{ /* Inline/size.scm 88 */
int BgL_kz00_3157;
BgL_kz00_3157 = 
(int)(BgL_modz00_3143); 
BgL_bucketz00_3147 = 
VECTOR_REF(BgL_arg1221z00_3138,BgL_kz00_3157); } 
{ /* Inline/size.scm 88 */
int BgL_kz00_3159;
BgL_kz00_3159 = 
(int)(BgL_restz00_3145); 
BgL_method2831z00_3135 = 
VECTOR_REF(BgL_bucketz00_3147,BgL_kz00_3159); } } } } } } } } 
{ /* Inline/size.scm 88 */
obj_t BgL_auxz00_5640;
BgL_auxz00_5640 = 
PROCEDURE_ENTRY(BgL_method2831z00_3135)(BgL_method2831z00_3135, 
(obj_t)(BgL_arg3021z00_1899), BEOA); 
BgL_res3219z00_3160 = 
(long)CINT(BgL_auxz00_5640); } } 
BgL_arg3020z00_1898 = BgL_res3219z00_3160; } } 
BgL_argsz00_1894 = BgL_arg3019z00_1897; 
BgL_siza7eza7_1895 = BgL_arg3020z00_1898; 
BgL_loopz00_1896:
if(
NULLP(BgL_argsz00_1894))
{ /* Inline/size.scm 89 */
BgL_auxz00_5612 = BgL_siza7eza7_1895
; }  else 
{ /* Inline/size.scm 91 */
obj_t BgL_arg3023z00_1901;long BgL_arg3024z00_1902;
BgL_arg3023z00_1901 = 
CDR(BgL_argsz00_1894); 
{ /* Inline/size.scm 91 */
long BgL_arg3025z00_1903;
{ /* Inline/size.scm 91 */
long BgL_res3222z00_3190;
{ /* Inline/size.scm 91 */
BgL_nodez00_bglt BgL_nodez00_3164;
{ /* Inline/size.scm 91 */
obj_t BgL_auxz00_5648;
BgL_auxz00_5648 = 
CAR(BgL_argsz00_1894); 
BgL_nodez00_3164 = 
(BgL_nodez00_bglt)(BgL_auxz00_5648); } 
{ /* Inline/size.scm 91 */
obj_t BgL_method2831z00_3165;
{ /* Inline/size.scm 91 */
long BgL_objzd2classzd2numz00_3167;
{ /* Inline/size.scm 91 */
BgL_objectz00_bglt BgL_auxz00_5651;
BgL_auxz00_5651 = 
(BgL_objectz00_bglt)(BgL_nodez00_3164); 
BgL_objzd2classzd2numz00_3167 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5651); } 
{ /* Inline/size.scm 91 */
obj_t BgL_arg1221z00_3168;
{ /* Inline/size.scm 91 */
int BgL_auxz00_5654;
BgL_auxz00_5654 = 
(int)(((long)1)); 
BgL_arg1221z00_3168 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5654); } 
{ /* Inline/size.scm 91 */
long BgL_offsetz00_3172;
{ /* Inline/size.scm 91 */
long BgL_auxz00_5657;
{ /* Inline/size.scm 91 */
int BgL_auxz00_5658;
BgL_auxz00_5658 = 
(int)(BgL_objzd2classzd2numz00_3167); 
BgL_auxz00_5657 = 
(long)(BgL_auxz00_5658); } 
BgL_offsetz00_3172 = 
(BgL_auxz00_5657-OBJECT_TYPE); } 
{ /* Inline/size.scm 91 */
long BgL_modz00_3173;
{ /* Inline/size.scm 91 */
long BgL_auxz00_5662;
{ /* Inline/size.scm 91 */
int BgL_auxz00_5663;
BgL_auxz00_5663 = 
(int)(((long)8)); 
BgL_auxz00_5662 = 
(long)(BgL_auxz00_5663); } 
BgL_modz00_3173 = 
(BgL_offsetz00_3172/BgL_auxz00_5662); } 
{ /* Inline/size.scm 91 */
long BgL_restz00_3175;
{ /* Inline/size.scm 91 */
long BgL_auxz00_5667;
{ /* Inline/size.scm 91 */
int BgL_auxz00_5668;
BgL_auxz00_5668 = 
(int)(((long)8)); 
BgL_auxz00_5667 = 
(long)(BgL_auxz00_5668); } 
BgL_restz00_3175 = 
(BgL_offsetz00_3172%BgL_auxz00_5667); } 
{ /* Inline/size.scm 91 */

{ /* Inline/size.scm 91 */
obj_t BgL_bucketz00_3177;
{ /* Inline/size.scm 91 */
int BgL_kz00_3187;
BgL_kz00_3187 = 
(int)(BgL_modz00_3173); 
BgL_bucketz00_3177 = 
VECTOR_REF(BgL_arg1221z00_3168,BgL_kz00_3187); } 
{ /* Inline/size.scm 91 */
int BgL_kz00_3189;
BgL_kz00_3189 = 
(int)(BgL_restz00_3175); 
BgL_method2831z00_3165 = 
VECTOR_REF(BgL_bucketz00_3177,BgL_kz00_3189); } } } } } } } } 
{ /* Inline/size.scm 91 */
obj_t BgL_auxz00_5676;
BgL_auxz00_5676 = 
PROCEDURE_ENTRY(BgL_method2831z00_3165)(BgL_method2831z00_3165, 
(obj_t)(BgL_nodez00_3164), BEOA); 
BgL_res3222z00_3190 = 
(long)CINT(BgL_auxz00_5676); } } } 
BgL_arg3025z00_1903 = BgL_res3222z00_3190; } 
BgL_arg3024z00_1902 = 
(BgL_siza7eza7_1895+BgL_arg3025z00_1903); } 
{ 
long BgL_siza7eza7_5683;obj_t BgL_argsz00_5682;
BgL_argsz00_5682 = BgL_arg3023z00_1901; 
BgL_siza7eza7_5683 = BgL_arg3024z00_1902; 
BgL_siza7eza7_1895 = BgL_siza7eza7_5683; 
BgL_argsz00_1894 = BgL_argsz00_5682; 
goto BgL_loopz00_1896;} } } } 
return 
BINT(BgL_auxz00_5612);} } } 
}



/* node-size-app-ly2845 */
obj_t BGl_nodezd2siza7ezd2appzd2ly2845z75zzinline_siza7eza7(obj_t BgL_envz00_4142, obj_t BgL_nodez00_4143)
{ AN_OBJECT;
{ /* Inline/size.scm 80 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1880;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5686;
BgL_nodez00_1880 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4143); 
{ /* Inline/size.scm 81 */
long BgL_arg3013z00_1884;
{ /* Inline/size.scm 81 */
long BgL_arg3014z00_1885;long BgL_arg3015z00_1886;
{ /* Inline/size.scm 81 */
BgL_nodez00_bglt BgL_arg3016z00_1887;
BgL_arg3016z00_1887 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1880))->BgL_funz00); 
{ /* Inline/size.scm 81 */
long BgL_res3213z00_3099;
{ /* Inline/size.scm 81 */
obj_t BgL_method2831z00_3074;
{ /* Inline/size.scm 81 */
long BgL_objzd2classzd2numz00_3076;
{ /* Inline/size.scm 81 */
BgL_objectz00_bglt BgL_auxz00_5688;
BgL_auxz00_5688 = 
(BgL_objectz00_bglt)(BgL_arg3016z00_1887); 
BgL_objzd2classzd2numz00_3076 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5688); } 
{ /* Inline/size.scm 81 */
obj_t BgL_arg1221z00_3077;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5691;
BgL_auxz00_5691 = 
(int)(((long)1)); 
BgL_arg1221z00_3077 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5691); } 
{ /* Inline/size.scm 81 */
long BgL_offsetz00_3081;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5694;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5695;
BgL_auxz00_5695 = 
(int)(BgL_objzd2classzd2numz00_3076); 
BgL_auxz00_5694 = 
(long)(BgL_auxz00_5695); } 
BgL_offsetz00_3081 = 
(BgL_auxz00_5694-OBJECT_TYPE); } 
{ /* Inline/size.scm 81 */
long BgL_modz00_3082;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5699;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5700;
BgL_auxz00_5700 = 
(int)(((long)8)); 
BgL_auxz00_5699 = 
(long)(BgL_auxz00_5700); } 
BgL_modz00_3082 = 
(BgL_offsetz00_3081/BgL_auxz00_5699); } 
{ /* Inline/size.scm 81 */
long BgL_restz00_3084;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5704;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5705;
BgL_auxz00_5705 = 
(int)(((long)8)); 
BgL_auxz00_5704 = 
(long)(BgL_auxz00_5705); } 
BgL_restz00_3084 = 
(BgL_offsetz00_3081%BgL_auxz00_5704); } 
{ /* Inline/size.scm 81 */

{ /* Inline/size.scm 81 */
obj_t BgL_bucketz00_3086;
{ /* Inline/size.scm 81 */
int BgL_kz00_3096;
BgL_kz00_3096 = 
(int)(BgL_modz00_3082); 
BgL_bucketz00_3086 = 
VECTOR_REF(BgL_arg1221z00_3077,BgL_kz00_3096); } 
{ /* Inline/size.scm 81 */
int BgL_kz00_3098;
BgL_kz00_3098 = 
(int)(BgL_restz00_3084); 
BgL_method2831z00_3074 = 
VECTOR_REF(BgL_bucketz00_3086,BgL_kz00_3098); } } } } } } } } 
{ /* Inline/size.scm 81 */
obj_t BgL_auxz00_5713;
BgL_auxz00_5713 = 
PROCEDURE_ENTRY(BgL_method2831z00_3074)(BgL_method2831z00_3074, 
(obj_t)(BgL_arg3016z00_1887), BEOA); 
BgL_res3213z00_3099 = 
(long)CINT(BgL_auxz00_5713); } } 
BgL_arg3014z00_1885 = BgL_res3213z00_3099; } } 
{ /* Inline/size.scm 81 */
BgL_nodez00_bglt BgL_arg3017z00_1888;
BgL_arg3017z00_1888 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1880))->BgL_argz00); 
{ /* Inline/size.scm 81 */
long BgL_res3216z00_3127;
{ /* Inline/size.scm 81 */
obj_t BgL_method2831z00_3102;
{ /* Inline/size.scm 81 */
long BgL_objzd2classzd2numz00_3104;
{ /* Inline/size.scm 81 */
BgL_objectz00_bglt BgL_auxz00_5719;
BgL_auxz00_5719 = 
(BgL_objectz00_bglt)(BgL_arg3017z00_1888); 
BgL_objzd2classzd2numz00_3104 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5719); } 
{ /* Inline/size.scm 81 */
obj_t BgL_arg1221z00_3105;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5722;
BgL_auxz00_5722 = 
(int)(((long)1)); 
BgL_arg1221z00_3105 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5722); } 
{ /* Inline/size.scm 81 */
long BgL_offsetz00_3109;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5725;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5726;
BgL_auxz00_5726 = 
(int)(BgL_objzd2classzd2numz00_3104); 
BgL_auxz00_5725 = 
(long)(BgL_auxz00_5726); } 
BgL_offsetz00_3109 = 
(BgL_auxz00_5725-OBJECT_TYPE); } 
{ /* Inline/size.scm 81 */
long BgL_modz00_3110;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5730;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5731;
BgL_auxz00_5731 = 
(int)(((long)8)); 
BgL_auxz00_5730 = 
(long)(BgL_auxz00_5731); } 
BgL_modz00_3110 = 
(BgL_offsetz00_3109/BgL_auxz00_5730); } 
{ /* Inline/size.scm 81 */
long BgL_restz00_3112;
{ /* Inline/size.scm 81 */
long BgL_auxz00_5735;
{ /* Inline/size.scm 81 */
int BgL_auxz00_5736;
BgL_auxz00_5736 = 
(int)(((long)8)); 
BgL_auxz00_5735 = 
(long)(BgL_auxz00_5736); } 
BgL_restz00_3112 = 
(BgL_offsetz00_3109%BgL_auxz00_5735); } 
{ /* Inline/size.scm 81 */

{ /* Inline/size.scm 81 */
obj_t BgL_bucketz00_3114;
{ /* Inline/size.scm 81 */
int BgL_kz00_3124;
BgL_kz00_3124 = 
(int)(BgL_modz00_3110); 
BgL_bucketz00_3114 = 
VECTOR_REF(BgL_arg1221z00_3105,BgL_kz00_3124); } 
{ /* Inline/size.scm 81 */
int BgL_kz00_3126;
BgL_kz00_3126 = 
(int)(BgL_restz00_3112); 
BgL_method2831z00_3102 = 
VECTOR_REF(BgL_bucketz00_3114,BgL_kz00_3126); } } } } } } } } 
{ /* Inline/size.scm 81 */
obj_t BgL_auxz00_5744;
BgL_auxz00_5744 = 
PROCEDURE_ENTRY(BgL_method2831z00_3102)(BgL_method2831z00_3102, 
(obj_t)(BgL_arg3017z00_1888), BEOA); 
BgL_res3216z00_3127 = 
(long)CINT(BgL_auxz00_5744); } } 
BgL_arg3015z00_1886 = BgL_res3216z00_3127; } } 
BgL_arg3013z00_1884 = 
(BgL_arg3014z00_1885+BgL_arg3015z00_1886); } 
BgL_auxz00_5686 = 
(((long)1)+BgL_arg3013z00_1884); } 
return 
BINT(BgL_auxz00_5686);} } } 
}



/* node-size-app2843 */
obj_t BGl_nodezd2siza7ezd2app2843za7zzinline_siza7eza7(obj_t BgL_envz00_4144, obj_t BgL_nodez00_4145)
{ AN_OBJECT;
{ /* Inline/size.scm 70 */
{ 
BgL_appz00_bglt BgL_nodez00_1864;
{ /* Inline/size.scm 71 */
long BgL_auxz00_5753;
BgL_nodez00_1864 = 
(BgL_appz00_bglt)(BgL_nodez00_4145); 
{ 
obj_t BgL_argsz00_1867;long BgL_siza7eza7_1868;
{ /* Inline/size.scm 71 */
obj_t BgL_arg3003z00_1870;long BgL_arg3004z00_1871;
BgL_arg3003z00_1870 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1864))->BgL_argsz00); 
{ /* Inline/size.scm 72 */
long BgL_res3207z00_3039;
{ /* Inline/size.scm 72 */
BgL_nodez00_bglt BgL_nodez00_3013;
{ /* Inline/size.scm 72 */
BgL_varz00_bglt BgL_auxz00_5755;
BgL_auxz00_5755 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1864))->BgL_funz00); 
BgL_nodez00_3013 = 
(BgL_nodez00_bglt)(BgL_auxz00_5755); } 
{ /* Inline/size.scm 72 */
obj_t BgL_method2831z00_3014;
{ /* Inline/size.scm 72 */
long BgL_objzd2classzd2numz00_3016;
{ /* Inline/size.scm 72 */
BgL_objectz00_bglt BgL_auxz00_5758;
BgL_auxz00_5758 = 
(BgL_objectz00_bglt)(BgL_nodez00_3013); 
BgL_objzd2classzd2numz00_3016 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5758); } 
{ /* Inline/size.scm 72 */
obj_t BgL_arg1221z00_3017;
{ /* Inline/size.scm 72 */
int BgL_auxz00_5761;
BgL_auxz00_5761 = 
(int)(((long)1)); 
BgL_arg1221z00_3017 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5761); } 
{ /* Inline/size.scm 72 */
long BgL_offsetz00_3021;
{ /* Inline/size.scm 72 */
long BgL_auxz00_5764;
{ /* Inline/size.scm 72 */
int BgL_auxz00_5765;
BgL_auxz00_5765 = 
(int)(BgL_objzd2classzd2numz00_3016); 
BgL_auxz00_5764 = 
(long)(BgL_auxz00_5765); } 
BgL_offsetz00_3021 = 
(BgL_auxz00_5764-OBJECT_TYPE); } 
{ /* Inline/size.scm 72 */
long BgL_modz00_3022;
{ /* Inline/size.scm 72 */
long BgL_auxz00_5769;
{ /* Inline/size.scm 72 */
int BgL_auxz00_5770;
BgL_auxz00_5770 = 
(int)(((long)8)); 
BgL_auxz00_5769 = 
(long)(BgL_auxz00_5770); } 
BgL_modz00_3022 = 
(BgL_offsetz00_3021/BgL_auxz00_5769); } 
{ /* Inline/size.scm 72 */
long BgL_restz00_3024;
{ /* Inline/size.scm 72 */
long BgL_auxz00_5774;
{ /* Inline/size.scm 72 */
int BgL_auxz00_5775;
BgL_auxz00_5775 = 
(int)(((long)8)); 
BgL_auxz00_5774 = 
(long)(BgL_auxz00_5775); } 
BgL_restz00_3024 = 
(BgL_offsetz00_3021%BgL_auxz00_5774); } 
{ /* Inline/size.scm 72 */

{ /* Inline/size.scm 72 */
obj_t BgL_bucketz00_3026;
{ /* Inline/size.scm 72 */
int BgL_kz00_3036;
BgL_kz00_3036 = 
(int)(BgL_modz00_3022); 
BgL_bucketz00_3026 = 
VECTOR_REF(BgL_arg1221z00_3017,BgL_kz00_3036); } 
{ /* Inline/size.scm 72 */
int BgL_kz00_3038;
BgL_kz00_3038 = 
(int)(BgL_restz00_3024); 
BgL_method2831z00_3014 = 
VECTOR_REF(BgL_bucketz00_3026,BgL_kz00_3038); } } } } } } } } 
{ /* Inline/size.scm 72 */
obj_t BgL_auxz00_5783;
BgL_auxz00_5783 = 
PROCEDURE_ENTRY(BgL_method2831z00_3014)(BgL_method2831z00_3014, 
(obj_t)(BgL_nodez00_3013), BEOA); 
BgL_res3207z00_3039 = 
(long)CINT(BgL_auxz00_5783); } } } 
BgL_arg3004z00_1871 = BgL_res3207z00_3039; } 
BgL_argsz00_1867 = BgL_arg3003z00_1870; 
BgL_siza7eza7_1868 = BgL_arg3004z00_1871; 
BgL_loopz00_1869:
if(
NULLP(BgL_argsz00_1867))
{ /* Inline/size.scm 73 */
BgL_auxz00_5753 = BgL_siza7eza7_1868
; }  else 
{ /* Inline/size.scm 75 */
obj_t BgL_arg3007z00_1874;long BgL_arg3008z00_1875;
BgL_arg3007z00_1874 = 
CDR(BgL_argsz00_1867); 
{ /* Inline/size.scm 75 */
long BgL_arg3009z00_1876;
{ /* Inline/size.scm 75 */
long BgL_res3210z00_3069;
{ /* Inline/size.scm 75 */
BgL_nodez00_bglt BgL_nodez00_3043;
{ /* Inline/size.scm 75 */
obj_t BgL_auxz00_5791;
BgL_auxz00_5791 = 
CAR(BgL_argsz00_1867); 
BgL_nodez00_3043 = 
(BgL_nodez00_bglt)(BgL_auxz00_5791); } 
{ /* Inline/size.scm 75 */
obj_t BgL_method2831z00_3044;
{ /* Inline/size.scm 75 */
long BgL_objzd2classzd2numz00_3046;
{ /* Inline/size.scm 75 */
BgL_objectz00_bglt BgL_auxz00_5794;
BgL_auxz00_5794 = 
(BgL_objectz00_bglt)(BgL_nodez00_3043); 
BgL_objzd2classzd2numz00_3046 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5794); } 
{ /* Inline/size.scm 75 */
obj_t BgL_arg1221z00_3047;
{ /* Inline/size.scm 75 */
int BgL_auxz00_5797;
BgL_auxz00_5797 = 
(int)(((long)1)); 
BgL_arg1221z00_3047 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5797); } 
{ /* Inline/size.scm 75 */
long BgL_offsetz00_3051;
{ /* Inline/size.scm 75 */
long BgL_auxz00_5800;
{ /* Inline/size.scm 75 */
int BgL_auxz00_5801;
BgL_auxz00_5801 = 
(int)(BgL_objzd2classzd2numz00_3046); 
BgL_auxz00_5800 = 
(long)(BgL_auxz00_5801); } 
BgL_offsetz00_3051 = 
(BgL_auxz00_5800-OBJECT_TYPE); } 
{ /* Inline/size.scm 75 */
long BgL_modz00_3052;
{ /* Inline/size.scm 75 */
long BgL_auxz00_5805;
{ /* Inline/size.scm 75 */
int BgL_auxz00_5806;
BgL_auxz00_5806 = 
(int)(((long)8)); 
BgL_auxz00_5805 = 
(long)(BgL_auxz00_5806); } 
BgL_modz00_3052 = 
(BgL_offsetz00_3051/BgL_auxz00_5805); } 
{ /* Inline/size.scm 75 */
long BgL_restz00_3054;
{ /* Inline/size.scm 75 */
long BgL_auxz00_5810;
{ /* Inline/size.scm 75 */
int BgL_auxz00_5811;
BgL_auxz00_5811 = 
(int)(((long)8)); 
BgL_auxz00_5810 = 
(long)(BgL_auxz00_5811); } 
BgL_restz00_3054 = 
(BgL_offsetz00_3051%BgL_auxz00_5810); } 
{ /* Inline/size.scm 75 */

{ /* Inline/size.scm 75 */
obj_t BgL_bucketz00_3056;
{ /* Inline/size.scm 75 */
int BgL_kz00_3066;
BgL_kz00_3066 = 
(int)(BgL_modz00_3052); 
BgL_bucketz00_3056 = 
VECTOR_REF(BgL_arg1221z00_3047,BgL_kz00_3066); } 
{ /* Inline/size.scm 75 */
int BgL_kz00_3068;
BgL_kz00_3068 = 
(int)(BgL_restz00_3054); 
BgL_method2831z00_3044 = 
VECTOR_REF(BgL_bucketz00_3056,BgL_kz00_3068); } } } } } } } } 
{ /* Inline/size.scm 75 */
obj_t BgL_auxz00_5819;
BgL_auxz00_5819 = 
PROCEDURE_ENTRY(BgL_method2831z00_3044)(BgL_method2831z00_3044, 
(obj_t)(BgL_nodez00_3043), BEOA); 
BgL_res3210z00_3069 = 
(long)CINT(BgL_auxz00_5819); } } } 
BgL_arg3009z00_1876 = BgL_res3210z00_3069; } 
BgL_arg3008z00_1875 = 
(BgL_siza7eza7_1868+BgL_arg3009z00_1876); } 
{ 
long BgL_siza7eza7_5826;obj_t BgL_argsz00_5825;
BgL_argsz00_5825 = BgL_arg3007z00_1874; 
BgL_siza7eza7_5826 = BgL_arg3008z00_1875; 
BgL_siza7eza7_1868 = BgL_siza7eza7_5826; 
BgL_argsz00_1867 = BgL_argsz00_5825; 
goto BgL_loopz00_1869;} } } } 
return 
BINT(BgL_auxz00_5753);} } } 
}



/* node-size-sized-sequence2841 */
obj_t BGl_nodezd2siza7ezd2siza7edzd2sequence2841zd2zzinline_siza7eza7(obj_t BgL_envz00_4146, obj_t BgL_nodez00_4147)
{ AN_OBJECT;
{ /* Inline/size.scm 64 */
{ 
BgL_siza7edzd2sequencez75_bglt BgL_nodez00_1859;
{ /* Inline/size.scm 65 */
long BgL_auxz00_5829;
BgL_nodez00_1859 = 
(BgL_siza7edzd2sequencez75_bglt)(BgL_nodez00_4147); 
{ 
obj_t BgL_auxz00_5830;
{ /* Inline/size.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5831;
BgL_auxz00_5831 = 
(BgL_objectz00_bglt)(BgL_nodez00_1859); 
BgL_auxz00_5830 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5831); } 
BgL_auxz00_5829 = 
(((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_auxz00_5830))->BgL_siza7eza7); } 
return 
BINT(BgL_auxz00_5829);} } } 
}



/* node-size-sequence2839 */
obj_t BGl_nodezd2siza7ezd2sequence2839za7zzinline_siza7eza7(obj_t BgL_envz00_4148, obj_t BgL_nodez00_4149)
{ AN_OBJECT;
{ /* Inline/size.scm 52 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1840;
{ /* Inline/size.scm 53 */
long BgL_auxz00_5837;
BgL_nodez00_1840 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4149); 
{ 
obj_t BgL_nodesz00_1843;long BgL_siza7eza7_1844;
BgL_nodesz00_1843 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1840))->BgL_nodesz00); 
BgL_siza7eza7_1844 = ((long)0); 
BgL_loopz00_1845:
if(
NULLP(BgL_nodesz00_1843))
{ /* Inline/size.scm 55 */
{ /* Inline/size.scm 57 */
BgL_siza7edzd2sequencez75_bglt BgL_obj2820z00_1849;
BgL_obj2820z00_1849 = 
((BgL_siza7edzd2sequencez75_bglt)BgL_nodez00_1840); 
{ /* Inline/size.scm 57 */
BgL_siza7edzd2sequencez75_bglt BgL_arg2994z00_1850;
{ /* Inline/size.scm 57 */
long BgL_arg2995z00_1851;
BgL_arg2995z00_1851 = BgL_siza7eza7_1844; 
{ /* Inline/size.scm 57 */
BgL_siza7edzd2sequencez75_bglt BgL_res3201z00_2975;
{ /* Inline/size.scm 57 */
BgL_siza7edzd2sequencez75_bglt BgL_new2655z00_2970;
BgL_new2655z00_2970 = 
((BgL_siza7edzd2sequencez75_bglt)BREF( GC_MALLOC (sizeof(struct BgL_siza7edzd2sequencez75_bgl)))); 
{ /* Inline/size.scm 57 */
BgL_siza7edzd2sequencez75_bglt BgL_res3200z00_2974;
((((BgL_siza7edzd2sequencez75_bglt)CREF(BgL_new2655z00_2970))->BgL_siza7eza7) = ((long)BgL_arg2995z00_1851), BUNSPEC); 
BgL_res3200z00_2974 = BgL_new2655z00_2970; BgL_res3200z00_2974; } 
BgL_res3201z00_2975 = BgL_new2655z00_2970; } 
BgL_arg2994z00_1850 = BgL_res3201z00_2975; } } 
{ /* Inline/size.scm 57 */
obj_t BgL_auxz00_5845;BgL_objectz00_bglt BgL_auxz00_5843;
BgL_auxz00_5845 = 
(obj_t)(BgL_arg2994z00_1850); 
BgL_auxz00_5843 = 
(BgL_objectz00_bglt)(BgL_obj2820z00_1849); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5843, BgL_auxz00_5845); } } 
{ /* Inline/size.scm 57 */
long BgL_auxz00_5850;BgL_objectz00_bglt BgL_auxz00_5848;
BgL_auxz00_5850 = 
BGl_classzd2numzd2zz__objectz00(BGl_siza7edzd2sequencez75zzinline_siza7eza7); 
BgL_auxz00_5848 = 
(BgL_objectz00_bglt)(BgL_obj2820z00_1849); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5848, BgL_auxz00_5850); } 
{ /* Inline/size.scm 57 */
obj_t BgL_auxz00_5853;
BgL_auxz00_5853 = 
(obj_t)(BgL_obj2820z00_1849); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5853); } BUNSPEC; BgL_obj2820z00_1849; } 
BgL_auxz00_5837 = BgL_siza7eza7_1844; }  else 
{ /* Inline/size.scm 59 */
obj_t BgL_arg2997z00_1853;long BgL_arg2998z00_1854;
BgL_arg2997z00_1853 = 
CDR(BgL_nodesz00_1843); 
{ /* Inline/size.scm 59 */
long BgL_arg2999z00_1855;
{ /* Inline/size.scm 59 */
long BgL_res3204z00_3007;
{ /* Inline/size.scm 59 */
BgL_nodez00_bglt BgL_nodez00_2981;
{ /* Inline/size.scm 59 */
obj_t BgL_auxz00_5857;
BgL_auxz00_5857 = 
CAR(BgL_nodesz00_1843); 
BgL_nodez00_2981 = 
(BgL_nodez00_bglt)(BgL_auxz00_5857); } 
{ /* Inline/size.scm 59 */
obj_t BgL_method2831z00_2982;
{ /* Inline/size.scm 59 */
long BgL_objzd2classzd2numz00_2984;
{ /* Inline/size.scm 59 */
BgL_objectz00_bglt BgL_auxz00_5860;
BgL_auxz00_5860 = 
(BgL_objectz00_bglt)(BgL_nodez00_2981); 
BgL_objzd2classzd2numz00_2984 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5860); } 
{ /* Inline/size.scm 59 */
obj_t BgL_arg1221z00_2985;
{ /* Inline/size.scm 59 */
int BgL_auxz00_5863;
BgL_auxz00_5863 = 
(int)(((long)1)); 
BgL_arg1221z00_2985 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5863); } 
{ /* Inline/size.scm 59 */
long BgL_offsetz00_2989;
{ /* Inline/size.scm 59 */
long BgL_auxz00_5866;
{ /* Inline/size.scm 59 */
int BgL_auxz00_5867;
BgL_auxz00_5867 = 
(int)(BgL_objzd2classzd2numz00_2984); 
BgL_auxz00_5866 = 
(long)(BgL_auxz00_5867); } 
BgL_offsetz00_2989 = 
(BgL_auxz00_5866-OBJECT_TYPE); } 
{ /* Inline/size.scm 59 */
long BgL_modz00_2990;
{ /* Inline/size.scm 59 */
long BgL_auxz00_5871;
{ /* Inline/size.scm 59 */
int BgL_auxz00_5872;
BgL_auxz00_5872 = 
(int)(((long)8)); 
BgL_auxz00_5871 = 
(long)(BgL_auxz00_5872); } 
BgL_modz00_2990 = 
(BgL_offsetz00_2989/BgL_auxz00_5871); } 
{ /* Inline/size.scm 59 */
long BgL_restz00_2992;
{ /* Inline/size.scm 59 */
long BgL_auxz00_5876;
{ /* Inline/size.scm 59 */
int BgL_auxz00_5877;
BgL_auxz00_5877 = 
(int)(((long)8)); 
BgL_auxz00_5876 = 
(long)(BgL_auxz00_5877); } 
BgL_restz00_2992 = 
(BgL_offsetz00_2989%BgL_auxz00_5876); } 
{ /* Inline/size.scm 59 */

{ /* Inline/size.scm 59 */
obj_t BgL_bucketz00_2994;
{ /* Inline/size.scm 59 */
int BgL_kz00_3004;
BgL_kz00_3004 = 
(int)(BgL_modz00_2990); 
BgL_bucketz00_2994 = 
VECTOR_REF(BgL_arg1221z00_2985,BgL_kz00_3004); } 
{ /* Inline/size.scm 59 */
int BgL_kz00_3006;
BgL_kz00_3006 = 
(int)(BgL_restz00_2992); 
BgL_method2831z00_2982 = 
VECTOR_REF(BgL_bucketz00_2994,BgL_kz00_3006); } } } } } } } } 
{ /* Inline/size.scm 59 */
obj_t BgL_auxz00_5885;
BgL_auxz00_5885 = 
PROCEDURE_ENTRY(BgL_method2831z00_2982)(BgL_method2831z00_2982, 
(obj_t)(BgL_nodez00_2981), BEOA); 
BgL_res3204z00_3007 = 
(long)CINT(BgL_auxz00_5885); } } } 
BgL_arg2999z00_1855 = BgL_res3204z00_3007; } 
BgL_arg2998z00_1854 = 
(BgL_siza7eza7_1844+BgL_arg2999z00_1855); } 
{ 
long BgL_siza7eza7_5892;obj_t BgL_nodesz00_5891;
BgL_nodesz00_5891 = BgL_arg2997z00_1853; 
BgL_siza7eza7_5892 = BgL_arg2998z00_1854; 
BgL_siza7eza7_1844 = BgL_siza7eza7_5892; 
BgL_nodesz00_1843 = BgL_nodesz00_5891; 
goto BgL_loopz00_1845;} } } 
return 
BINT(BgL_auxz00_5837);} } } 
}



/* node-size-kwote2837 */
obj_t BGl_nodezd2siza7ezd2kwote2837za7zzinline_siza7eza7(obj_t BgL_envz00_4150, obj_t BgL_nodez00_4151)
{ AN_OBJECT;
{ /* Inline/size.scm 46 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1835;
{ /* Inline/size.scm 46 */
long BgL_auxz00_5896;
BgL_nodez00_1835 = 
(BgL_kwotez00_bglt)(BgL_nodez00_4151); 
BgL_auxz00_5896 = ((long)1); 
return 
BINT(BgL_auxz00_5896);} } } 
}



/* node-size-var2835 */
obj_t BGl_nodezd2siza7ezd2var2835za7zzinline_siza7eza7(obj_t BgL_envz00_4152, obj_t BgL_nodez00_4153)
{ AN_OBJECT;
{ /* Inline/size.scm 40 */
{ 
BgL_varz00_bglt BgL_nodez00_1830;
{ /* Inline/size.scm 40 */
long BgL_auxz00_5899;
BgL_nodez00_1830 = 
(BgL_varz00_bglt)(BgL_nodez00_4153); 
BgL_auxz00_5899 = ((long)1); 
return 
BINT(BgL_auxz00_5899);} } } 
}



/* node-size-atom2833 */
obj_t BGl_nodezd2siza7ezd2atom2833za7zzinline_siza7eza7(obj_t BgL_envz00_4154, obj_t BgL_nodez00_4155)
{ AN_OBJECT;
{ /* Inline/size.scm 34 */
{ 
BgL_atomz00_bglt BgL_nodez00_1825;
{ /* Inline/size.scm 34 */
long BgL_auxz00_5902;
BgL_nodez00_1825 = 
(BgL_atomz00_bglt)(BgL_nodez00_4155); 
BgL_auxz00_5902 = ((long)1); 
return 
BINT(BgL_auxz00_5902);} } } 
}



/* node-size */
long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* Inline/size.scm 29 */
{ /* Inline/size.scm 29 */
obj_t BgL_method2831z00_3976;
{ /* Inline/size.scm 29 */
long BgL_objzd2classzd2numz00_3978;
{ /* Inline/size.scm 29 */
BgL_objectz00_bglt BgL_auxz00_5905;
BgL_auxz00_5905 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_3978 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5905); } 
{ /* Inline/size.scm 29 */
obj_t BgL_arg1221z00_3979;
{ /* Inline/size.scm 29 */
int BgL_auxz00_5908;
BgL_auxz00_5908 = 
(int)(((long)1)); 
BgL_arg1221z00_3979 = 
PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BgL_auxz00_5908); } 
{ /* Inline/size.scm 29 */
long BgL_offsetz00_3983;
{ /* Inline/size.scm 29 */
long BgL_auxz00_5911;
{ /* Inline/size.scm 29 */
int BgL_auxz00_5912;
BgL_auxz00_5912 = 
(int)(BgL_objzd2classzd2numz00_3978); 
BgL_auxz00_5911 = 
(long)(BgL_auxz00_5912); } 
BgL_offsetz00_3983 = 
(BgL_auxz00_5911-OBJECT_TYPE); } 
{ /* Inline/size.scm 29 */
long BgL_modz00_3984;
{ /* Inline/size.scm 29 */
long BgL_auxz00_5916;
{ /* Inline/size.scm 29 */
int BgL_auxz00_5917;
BgL_auxz00_5917 = 
(int)(((long)8)); 
BgL_auxz00_5916 = 
(long)(BgL_auxz00_5917); } 
BgL_modz00_3984 = 
(BgL_offsetz00_3983/BgL_auxz00_5916); } 
{ /* Inline/size.scm 29 */
long BgL_restz00_3986;
{ /* Inline/size.scm 29 */
long BgL_auxz00_5921;
{ /* Inline/size.scm 29 */
int BgL_auxz00_5922;
BgL_auxz00_5922 = 
(int)(((long)8)); 
BgL_auxz00_5921 = 
(long)(BgL_auxz00_5922); } 
BgL_restz00_3986 = 
(BgL_offsetz00_3983%BgL_auxz00_5921); } 
{ /* Inline/size.scm 29 */

{ /* Inline/size.scm 29 */
obj_t BgL_bucketz00_3988;
{ /* Inline/size.scm 29 */
int BgL_kz00_3998;
BgL_kz00_3998 = 
(int)(BgL_modz00_3984); 
BgL_bucketz00_3988 = 
VECTOR_REF(BgL_arg1221z00_3979,BgL_kz00_3998); } 
{ /* Inline/size.scm 29 */
int BgL_kz00_4000;
BgL_kz00_4000 = 
(int)(BgL_restz00_3986); 
BgL_method2831z00_3976 = 
VECTOR_REF(BgL_bucketz00_3988,BgL_kz00_4000); } } } } } } } } 
{ /* Inline/size.scm 29 */
obj_t BgL_auxz00_5930;
BgL_auxz00_5930 = 
PROCEDURE_ENTRY(BgL_method2831z00_3976)(BgL_method2831z00_3976, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
(long)CINT(BgL_auxz00_5930);} } } 
}



/* _node-size */
obj_t BGl__nodezd2siza7ez75zzinline_siza7eza7(obj_t BgL_envz00_4063, obj_t BgL_nodez00_4064)
{ AN_OBJECT;
{ /* Inline/size.scm 29 */
{ /* Inline/size.scm 29 */
long BgL_auxz00_5935;
BgL_auxz00_5935 = 
BGl_nodezd2siza7ez75zzinline_siza7eza7(
(BgL_nodez00_bglt)(BgL_nodez00_4064)); 
return 
BINT(BgL_auxz00_5935);} } 
}



/* node-size-default2830 */
long BGl_nodezd2siza7ezd2default2830za7zzinline_siza7eza7(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
{ 
obj_t BgL_auxz00_5941;obj_t BgL_auxz00_5939;
BgL_auxz00_5941 = 
(obj_t)(BgL_nodez00_2); 
BgL_auxz00_5939 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_5939,BGl_string3338z00zzinline_siza7eza7,BgL_auxz00_5941);} } 
}



/* _node-size-default2830 */
obj_t BGl__nodezd2siza7ezd2default2830za7zzinline_siza7eza7(obj_t BgL_envz00_4156, obj_t BgL_nodez00_4157)
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
{ /* Inline/size.scm 15 */
long BgL_auxz00_5944;
BgL_auxz00_5944 = 
BGl_nodezd2siza7ezd2default2830za7zzinline_siza7eza7(
(BgL_nodez00_bglt)(BgL_nodez00_4157)); 
return 
BINT(BgL_auxz00_5944);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7()
{ AN_OBJECT;
{ /* Inline/size.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "inline_size"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "inline_size"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "inline_size");} 
}

