/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_setzd2ctoz12zd2appzd2ly2967zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00();
static obj_t BGl_setzd2ctoz12zd2extern2971z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2var2959z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2atom2955z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2letzd2var2985zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2letzd2fun2983zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2setq2975z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00();
static obj_t BGl_setzd2ctoz12zd2boxzd2setz122993zd2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2jumpzd2exzd2it2989z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2sequence2963z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2select2981z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_setzd2ctoz12zd2kwote2957z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2cast2973z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2default2952z12zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_setzd2ctoz12zd2app2965z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__setzd2ctoz12zd2default2952z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2boxzd2ref2995zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__setzd2ctoz12zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2makezd2box2991zc0zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_setzd2ctoz12zd2closure2961z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_setzd2ctoz12zd2funcall2969z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2setzd2exzd2it2987z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2ctoz12zd2fail2979z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
static obj_t BGl_setzd2ctoz12zd2conditional2977z12zzintegrate_ctoz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_GENERIC( BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_bgl__setza7d2ctoza712za7c0za7za7integrate_ctoza7003238z00, BGl__setzd2ctoz12zc0zzintegrate_ctoz00, 0L, 2 );
DEFINE_STRING( BGl_string3233z00zzintegrate_ctoz00, BgL_bgl_string3233za700za7za7integrate_ctoza7003239z00, "set-cto!-default2952 ", 21 );
DEFINE_STRING( BGl_string3232z00zzintegrate_ctoz00, BgL_bgl_string3232za700za7za7integrate_ctoza7003240z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3231z00zzintegrate_ctoz00, BgL_bgl_string3231za700za7za7integrate_ctoza7003241z00, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string3230z00zzintegrate_ctoz00, BgL_bgl_string3230za700za7za7integrate_ctoza7003242z00, "set-cto!", 8 );
DEFINE_STATIC_PROCEDURE( BGl_setzd2ctoz12zd2default2952zd2envzc0zzintegrate_ctoz00, BgL_bgl__setza7d2ctoza712za7d2default2952za712za7za7integrate_ctoza7003243za7, BGl__setzd2ctoz12zd2default2952z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3210z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2kwote2957za712za7za7integrate_ctoza7003244za7, BGl_setzd2ctoz12zd2kwote2957z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3209z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2atom2955za712za7za7integrate_ctoza7003245za7, BGl_setzd2ctoz12zd2atom2955z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3211z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2var2959za712za7za7integrate_ctoza7003246za7, BGl_setzd2ctoz12zd2var2959z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3212z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2closure2961za712za7za7integrate_ctoza7003247za7, BGl_setzd2ctoz12zd2closure2961z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3213z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2sequence2963za712za7za7integrate_ctoza7003248za7, BGl_setzd2ctoz12zd2sequence2963z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3214z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2app2965za712za7za7integrate_ctoza7003249za7, BGl_setzd2ctoz12zd2app2965z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3215z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2appza7d2ly2967za7c0za7za7integrate_ctoza7003250z00, BGl_setzd2ctoz12zd2appzd2ly2967zc0zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3216z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2funcall2969za712za7za7integrate_ctoza7003251za7, BGl_setzd2ctoz12zd2funcall2969z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3217z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2extern2971za712za7za7integrate_ctoza7003252za7, BGl_setzd2ctoz12zd2extern2971z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3218z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2cast2973za712za7za7integrate_ctoza7003253za7, BGl_setzd2ctoz12zd2cast2973z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3220z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2conditional2977za712za7za7integrate_ctoza7003254za7, BGl_setzd2ctoz12zd2conditional2977z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3219z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2setq2975za712za7za7integrate_ctoza7003255za7, BGl_setzd2ctoz12zd2setq2975z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3221z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2fail2979za712za7za7integrate_ctoza7003256za7, BGl_setzd2ctoz12zd2fail2979z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3222z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2select2981za712za7za7integrate_ctoza7003257za7, BGl_setzd2ctoz12zd2select2981z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3223z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2letza7d2fun2983za7c0za7za7integrate_ctoza7003258z00, BGl_setzd2ctoz12zd2letzd2fun2983zc0zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3224z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2letza7d2var2985za7c0za7za7integrate_ctoza7003259z00, BGl_setzd2ctoz12zd2letzd2var2985zc0zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3225z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2setza7d2exza7d2it2987za712za7za7integrate_ctoza7003260za7, BGl_setzd2ctoz12zd2setzd2exzd2it2987z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3226z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2jumpza7d2exza7d2it2989za712za7za7integrate_ctoza7003261za7, BGl_setzd2ctoz12zd2jumpzd2exzd2it2989z12zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3227z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2makeza7d2box2991za7c0za7za7integrate_ctoza7003262z00, BGl_setzd2ctoz12zd2makezd2box2991zc0zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3228z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2boxza7d2setza7122993za7d2za7za7integrate_ctoza7003263za7, BGl_setzd2ctoz12zd2boxzd2setz122993zd2zzintegrate_ctoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3229z00zzintegrate_ctoz00, BgL_bgl_setza7d2ctoza712za7d2boxza7d2ref2995za7c0za7za7integrate_ctoza7003264z00, BGl_setzd2ctoz12zd2boxzd2ref2995zc0zzintegrate_ctoz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long BgL_checksumz00_3757, char * BgL_fromz00_3758)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00(); 
BGl_cnstzd2initzd2zzintegrate_ctoz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00(); 
BGl_methodzd2initzd2zzintegrate_ctoz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00()
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_cto"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00()
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
{ /* Integrate/cto.scm 15 */
obj_t BgL_cportz00_3750;
BgL_cportz00_3750 = 
open_input_string(BGl_string3233z00zzintegrate_ctoz00); 
{ 
long BgL_iz00_3751;
BgL_iz00_3751 = ((long)0); 
BgL_loopz00_3752:
if(
(BgL_iz00_3751==((long)-1)))
{ /* Integrate/cto.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/cto.scm 15 */
{ /* Integrate/cto.scm 15 */
obj_t BgL_arg3235z00_3754;
{ /* Integrate/cto.scm 15 */
obj_t BgL_list3236z00_3755;
BgL_list3236z00_3755 = 
MAKE_PAIR(BgL_cportz00_3750, BNIL); 
BgL_arg3235z00_3754 = 
BGl_readz00zz__readerz00(BgL_list3236z00_3755); } 
{ /* Integrate/cto.scm 15 */
int BgL_auxz00_3774;
BgL_auxz00_3774 = 
(int)(BgL_iz00_3751); 
CNST_TABLE_SET(BgL_auxz00_3774, BgL_arg3235z00_3754); } } 
{ 
long BgL_iz00_3777;
{ /* Integrate/cto.scm 15 */
int BgL_auxz00_3778;
{ /* Integrate/cto.scm 15 */
long BgL_auxz00_3779;
BgL_auxz00_3779 = 
(BgL_iz00_3751-((long)1)); 
BgL_auxz00_3778 = 
(int)(BgL_auxz00_3779); } 
BgL_iz00_3777 = 
(long)(BgL_auxz00_3778); } 
BgL_iz00_3751 = BgL_iz00_3777; 
goto BgL_loopz00_3752;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00()
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_ctoz00()
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setzd2ctoz12zd2default2952zd2envzc0zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00, BGl_proc3209z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00, BGl_proc3210z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00, BGl_proc3211z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_closurez00zzast_nodez00, BGl_proc3212z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_sequencez00zzast_nodez00, BGl_proc3213z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00, BGl_proc3214z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3215z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_funcallz00zzast_nodez00, BGl_proc3216z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_externz00zzast_nodez00, BGl_proc3217z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00, BGl_proc3218z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00, BGl_proc3219z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_conditionalz00zzast_nodez00, BGl_proc3220z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00, BGl_proc3221z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_selectz00zzast_nodez00, BGl_proc3222z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3223z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3224z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3225z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3226z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3227z00zzintegrate_ctoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3228z00zzintegrate_ctoz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3229z00zzintegrate_ctoz00);} 
}



/* set-cto!-box-ref2995 */
obj_t BGl_setzd2ctoz12zd2boxzd2ref2995zc0zzintegrate_ctoz00(obj_t BgL_envz00_3684, obj_t BgL_nodez00_3685, obj_t BgL_localz00_3686)
{ AN_OBJECT;
{ /* Integrate/cto.scm 223 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2135;obj_t BgL_localz00_2136;
BgL_nodez00_2135 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3685); 
BgL_localz00_2136 = BgL_localz00_3686; 
{ /* Integrate/cto.scm 224 */
BgL_nodez00_bglt BgL_nodez00_3605;BgL_localz00_bglt BgL_localz00_3606;
{ /* Integrate/cto.scm 224 */
BgL_varz00_bglt BgL_auxz00_3805;
BgL_auxz00_3805 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2135))->BgL_varz00); 
BgL_nodez00_3605 = 
(BgL_nodez00_bglt)(BgL_auxz00_3805); } 
BgL_localz00_3606 = 
(BgL_localz00_bglt)(BgL_localz00_2136); 
{ /* Integrate/cto.scm 224 */
obj_t BgL_method2953z00_3607;
{ /* Integrate/cto.scm 224 */
long BgL_objzd2classzd2numz00_3609;
{ /* Integrate/cto.scm 224 */
BgL_objectz00_bglt BgL_auxz00_3809;
BgL_auxz00_3809 = 
(BgL_objectz00_bglt)(BgL_nodez00_3605); 
BgL_objzd2classzd2numz00_3609 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3809); } 
{ /* Integrate/cto.scm 224 */
obj_t BgL_arg1221z00_3610;
{ /* Integrate/cto.scm 224 */
int BgL_auxz00_3812;
BgL_auxz00_3812 = 
(int)(((long)1)); 
BgL_arg1221z00_3610 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3812); } 
{ /* Integrate/cto.scm 224 */
long BgL_offsetz00_3614;
{ /* Integrate/cto.scm 224 */
long BgL_auxz00_3815;
{ /* Integrate/cto.scm 224 */
int BgL_auxz00_3816;
BgL_auxz00_3816 = 
(int)(BgL_objzd2classzd2numz00_3609); 
BgL_auxz00_3815 = 
(long)(BgL_auxz00_3816); } 
BgL_offsetz00_3614 = 
(BgL_auxz00_3815-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 224 */
long BgL_modz00_3615;
{ /* Integrate/cto.scm 224 */
long BgL_auxz00_3820;
{ /* Integrate/cto.scm 224 */
int BgL_auxz00_3821;
BgL_auxz00_3821 = 
(int)(((long)8)); 
BgL_auxz00_3820 = 
(long)(BgL_auxz00_3821); } 
BgL_modz00_3615 = 
(BgL_offsetz00_3614/BgL_auxz00_3820); } 
{ /* Integrate/cto.scm 224 */
long BgL_restz00_3617;
{ /* Integrate/cto.scm 224 */
long BgL_auxz00_3825;
{ /* Integrate/cto.scm 224 */
int BgL_auxz00_3826;
BgL_auxz00_3826 = 
(int)(((long)8)); 
BgL_auxz00_3825 = 
(long)(BgL_auxz00_3826); } 
BgL_restz00_3617 = 
(BgL_offsetz00_3614%BgL_auxz00_3825); } 
{ /* Integrate/cto.scm 224 */

{ /* Integrate/cto.scm 224 */
obj_t BgL_bucketz00_3619;
{ /* Integrate/cto.scm 224 */
int BgL_kz00_3629;
BgL_kz00_3629 = 
(int)(BgL_modz00_3615); 
BgL_bucketz00_3619 = 
VECTOR_REF(BgL_arg1221z00_3610,BgL_kz00_3629); } 
{ /* Integrate/cto.scm 224 */
int BgL_kz00_3631;
BgL_kz00_3631 = 
(int)(BgL_restz00_3617); 
BgL_method2953z00_3607 = 
VECTOR_REF(BgL_bucketz00_3619,BgL_kz00_3631); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3607)(BgL_method2953z00_3607, 
(obj_t)(BgL_nodez00_3605), 
(obj_t)(BgL_localz00_3606), BEOA);} } } } 
}



/* set-cto!-box-set!2993 */
obj_t BGl_setzd2ctoz12zd2boxzd2setz122993zd2zzintegrate_ctoz00(obj_t BgL_envz00_3687, obj_t BgL_nodez00_3688, obj_t BgL_localz00_3689)
{ AN_OBJECT;
{ /* Integrate/cto.scm 215 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2126;obj_t BgL_localz00_2127;
BgL_nodez00_2126 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3688); 
BgL_localz00_2127 = BgL_localz00_3689; 
{ /* Integrate/cto.scm 216 */
BgL_nodez00_bglt BgL_nodez00_3547;BgL_localz00_bglt BgL_localz00_3548;
{ /* Integrate/cto.scm 216 */
BgL_varz00_bglt BgL_auxz00_3839;
BgL_auxz00_3839 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2126))->BgL_varz00); 
BgL_nodez00_3547 = 
(BgL_nodez00_bglt)(BgL_auxz00_3839); } 
BgL_localz00_3548 = 
(BgL_localz00_bglt)(BgL_localz00_2127); 
{ /* Integrate/cto.scm 216 */
obj_t BgL_method2953z00_3549;
{ /* Integrate/cto.scm 216 */
long BgL_objzd2classzd2numz00_3551;
{ /* Integrate/cto.scm 216 */
BgL_objectz00_bglt BgL_auxz00_3843;
BgL_auxz00_3843 = 
(BgL_objectz00_bglt)(BgL_nodez00_3547); 
BgL_objzd2classzd2numz00_3551 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3843); } 
{ /* Integrate/cto.scm 216 */
obj_t BgL_arg1221z00_3552;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3846;
BgL_auxz00_3846 = 
(int)(((long)1)); 
BgL_arg1221z00_3552 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3846); } 
{ /* Integrate/cto.scm 216 */
long BgL_offsetz00_3556;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3849;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3850;
BgL_auxz00_3850 = 
(int)(BgL_objzd2classzd2numz00_3551); 
BgL_auxz00_3849 = 
(long)(BgL_auxz00_3850); } 
BgL_offsetz00_3556 = 
(BgL_auxz00_3849-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 216 */
long BgL_modz00_3557;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3854;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3855;
BgL_auxz00_3855 = 
(int)(((long)8)); 
BgL_auxz00_3854 = 
(long)(BgL_auxz00_3855); } 
BgL_modz00_3557 = 
(BgL_offsetz00_3556/BgL_auxz00_3854); } 
{ /* Integrate/cto.scm 216 */
long BgL_restz00_3559;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3859;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(((long)8)); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_restz00_3559 = 
(BgL_offsetz00_3556%BgL_auxz00_3859); } 
{ /* Integrate/cto.scm 216 */

{ /* Integrate/cto.scm 216 */
obj_t BgL_bucketz00_3561;
{ /* Integrate/cto.scm 216 */
int BgL_kz00_3571;
BgL_kz00_3571 = 
(int)(BgL_modz00_3557); 
BgL_bucketz00_3561 = 
VECTOR_REF(BgL_arg1221z00_3552,BgL_kz00_3571); } 
{ /* Integrate/cto.scm 216 */
int BgL_kz00_3573;
BgL_kz00_3573 = 
(int)(BgL_restz00_3559); 
BgL_method2953z00_3549 = 
VECTOR_REF(BgL_bucketz00_3561,BgL_kz00_3573); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3549)(BgL_method2953z00_3549, 
(obj_t)(BgL_nodez00_3547), 
(obj_t)(BgL_localz00_3548), BEOA); } } 
{ /* Integrate/cto.scm 216 */
BgL_nodez00_bglt BgL_arg3136z00_3545;
BgL_arg3136z00_3545 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2126))->BgL_valuez00); 
{ /* Integrate/cto.scm 216 */
BgL_localz00_bglt BgL_localz00_3576;
BgL_localz00_3576 = 
(BgL_localz00_bglt)(BgL_localz00_2127); 
{ /* Integrate/cto.scm 216 */
obj_t BgL_method2953z00_3577;
{ /* Integrate/cto.scm 216 */
long BgL_objzd2classzd2numz00_3579;
{ /* Integrate/cto.scm 216 */
BgL_objectz00_bglt BgL_auxz00_3874;
BgL_auxz00_3874 = 
(BgL_objectz00_bglt)(BgL_arg3136z00_3545); 
BgL_objzd2classzd2numz00_3579 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3874); } 
{ /* Integrate/cto.scm 216 */
obj_t BgL_arg1221z00_3580;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3877;
BgL_auxz00_3877 = 
(int)(((long)1)); 
BgL_arg1221z00_3580 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3877); } 
{ /* Integrate/cto.scm 216 */
long BgL_offsetz00_3584;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3880;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3881;
BgL_auxz00_3881 = 
(int)(BgL_objzd2classzd2numz00_3579); 
BgL_auxz00_3880 = 
(long)(BgL_auxz00_3881); } 
BgL_offsetz00_3584 = 
(BgL_auxz00_3880-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 216 */
long BgL_modz00_3585;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3885;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3886;
BgL_auxz00_3886 = 
(int)(((long)8)); 
BgL_auxz00_3885 = 
(long)(BgL_auxz00_3886); } 
BgL_modz00_3585 = 
(BgL_offsetz00_3584/BgL_auxz00_3885); } 
{ /* Integrate/cto.scm 216 */
long BgL_restz00_3587;
{ /* Integrate/cto.scm 216 */
long BgL_auxz00_3890;
{ /* Integrate/cto.scm 216 */
int BgL_auxz00_3891;
BgL_auxz00_3891 = 
(int)(((long)8)); 
BgL_auxz00_3890 = 
(long)(BgL_auxz00_3891); } 
BgL_restz00_3587 = 
(BgL_offsetz00_3584%BgL_auxz00_3890); } 
{ /* Integrate/cto.scm 216 */

{ /* Integrate/cto.scm 216 */
obj_t BgL_bucketz00_3589;
{ /* Integrate/cto.scm 216 */
int BgL_kz00_3599;
BgL_kz00_3599 = 
(int)(BgL_modz00_3585); 
BgL_bucketz00_3589 = 
VECTOR_REF(BgL_arg1221z00_3580,BgL_kz00_3599); } 
{ /* Integrate/cto.scm 216 */
int BgL_kz00_3601;
BgL_kz00_3601 = 
(int)(BgL_restz00_3587); 
BgL_method2953z00_3577 = 
VECTOR_REF(BgL_bucketz00_3589,BgL_kz00_3601); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3577)(BgL_method2953z00_3577, 
(obj_t)(BgL_arg3136z00_3545), 
(obj_t)(BgL_localz00_3576), BEOA);} } } } } 
}



/* set-cto!-make-box2991 */
obj_t BGl_setzd2ctoz12zd2makezd2box2991zc0zzintegrate_ctoz00(obj_t BgL_envz00_3690, obj_t BgL_nodez00_3691, obj_t BgL_localz00_3692)
{ AN_OBJECT;
{ /* Integrate/cto.scm 208 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2118;obj_t BgL_localz00_2119;
BgL_nodez00_2118 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3691); 
BgL_localz00_2119 = BgL_localz00_3692; 
{ /* Integrate/cto.scm 209 */
BgL_nodez00_bglt BgL_arg3133z00_3514;
BgL_arg3133z00_3514 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2118))->BgL_valuez00); 
{ /* Integrate/cto.scm 209 */
BgL_localz00_bglt BgL_localz00_3517;
BgL_localz00_3517 = 
(BgL_localz00_bglt)(BgL_localz00_2119); 
{ /* Integrate/cto.scm 209 */
obj_t BgL_method2953z00_3518;
{ /* Integrate/cto.scm 209 */
long BgL_objzd2classzd2numz00_3520;
{ /* Integrate/cto.scm 209 */
BgL_objectz00_bglt BgL_auxz00_3906;
BgL_auxz00_3906 = 
(BgL_objectz00_bglt)(BgL_arg3133z00_3514); 
BgL_objzd2classzd2numz00_3520 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3906); } 
{ /* Integrate/cto.scm 209 */
obj_t BgL_arg1221z00_3521;
{ /* Integrate/cto.scm 209 */
int BgL_auxz00_3909;
BgL_auxz00_3909 = 
(int)(((long)1)); 
BgL_arg1221z00_3521 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3909); } 
{ /* Integrate/cto.scm 209 */
long BgL_offsetz00_3525;
{ /* Integrate/cto.scm 209 */
long BgL_auxz00_3912;
{ /* Integrate/cto.scm 209 */
int BgL_auxz00_3913;
BgL_auxz00_3913 = 
(int)(BgL_objzd2classzd2numz00_3520); 
BgL_auxz00_3912 = 
(long)(BgL_auxz00_3913); } 
BgL_offsetz00_3525 = 
(BgL_auxz00_3912-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 209 */
long BgL_modz00_3526;
{ /* Integrate/cto.scm 209 */
long BgL_auxz00_3917;
{ /* Integrate/cto.scm 209 */
int BgL_auxz00_3918;
BgL_auxz00_3918 = 
(int)(((long)8)); 
BgL_auxz00_3917 = 
(long)(BgL_auxz00_3918); } 
BgL_modz00_3526 = 
(BgL_offsetz00_3525/BgL_auxz00_3917); } 
{ /* Integrate/cto.scm 209 */
long BgL_restz00_3528;
{ /* Integrate/cto.scm 209 */
long BgL_auxz00_3922;
{ /* Integrate/cto.scm 209 */
int BgL_auxz00_3923;
BgL_auxz00_3923 = 
(int)(((long)8)); 
BgL_auxz00_3922 = 
(long)(BgL_auxz00_3923); } 
BgL_restz00_3528 = 
(BgL_offsetz00_3525%BgL_auxz00_3922); } 
{ /* Integrate/cto.scm 209 */

{ /* Integrate/cto.scm 209 */
obj_t BgL_bucketz00_3530;
{ /* Integrate/cto.scm 209 */
int BgL_kz00_3540;
BgL_kz00_3540 = 
(int)(BgL_modz00_3526); 
BgL_bucketz00_3530 = 
VECTOR_REF(BgL_arg1221z00_3521,BgL_kz00_3540); } 
{ /* Integrate/cto.scm 209 */
int BgL_kz00_3542;
BgL_kz00_3542 = 
(int)(BgL_restz00_3528); 
BgL_method2953z00_3518 = 
VECTOR_REF(BgL_bucketz00_3530,BgL_kz00_3542); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3518)(BgL_method2953z00_3518, 
(obj_t)(BgL_arg3133z00_3514), 
(obj_t)(BgL_localz00_3517), BEOA);} } } } } 
}



/* set-cto!-jump-ex-it2989 */
obj_t BGl_setzd2ctoz12zd2jumpzd2exzd2it2989z12zzintegrate_ctoz00(obj_t BgL_envz00_3693, obj_t BgL_nodez00_3694, obj_t BgL_localz00_3695)
{ AN_OBJECT;
{ /* Integrate/cto.scm 200 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2109;obj_t BgL_localz00_2110;
BgL_nodez00_2109 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3694); 
BgL_localz00_2110 = BgL_localz00_3695; 
{ /* Integrate/cto.scm 201 */
BgL_nodez00_bglt BgL_arg3130z00_3455;
BgL_arg3130z00_3455 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2109))->BgL_exitz00); 
{ /* Integrate/cto.scm 201 */
BgL_localz00_bglt BgL_localz00_3459;
BgL_localz00_3459 = 
(BgL_localz00_bglt)(BgL_localz00_2110); 
{ /* Integrate/cto.scm 201 */
obj_t BgL_method2953z00_3460;
{ /* Integrate/cto.scm 201 */
long BgL_objzd2classzd2numz00_3462;
{ /* Integrate/cto.scm 201 */
BgL_objectz00_bglt BgL_auxz00_3938;
BgL_auxz00_3938 = 
(BgL_objectz00_bglt)(BgL_arg3130z00_3455); 
BgL_objzd2classzd2numz00_3462 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3938); } 
{ /* Integrate/cto.scm 201 */
obj_t BgL_arg1221z00_3463;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3941;
BgL_auxz00_3941 = 
(int)(((long)1)); 
BgL_arg1221z00_3463 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3941); } 
{ /* Integrate/cto.scm 201 */
long BgL_offsetz00_3467;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3944;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3945;
BgL_auxz00_3945 = 
(int)(BgL_objzd2classzd2numz00_3462); 
BgL_auxz00_3944 = 
(long)(BgL_auxz00_3945); } 
BgL_offsetz00_3467 = 
(BgL_auxz00_3944-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 201 */
long BgL_modz00_3468;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3949;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3950;
BgL_auxz00_3950 = 
(int)(((long)8)); 
BgL_auxz00_3949 = 
(long)(BgL_auxz00_3950); } 
BgL_modz00_3468 = 
(BgL_offsetz00_3467/BgL_auxz00_3949); } 
{ /* Integrate/cto.scm 201 */
long BgL_restz00_3470;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3954;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(((long)8)); 
BgL_auxz00_3954 = 
(long)(BgL_auxz00_3955); } 
BgL_restz00_3470 = 
(BgL_offsetz00_3467%BgL_auxz00_3954); } 
{ /* Integrate/cto.scm 201 */

{ /* Integrate/cto.scm 201 */
obj_t BgL_bucketz00_3472;
{ /* Integrate/cto.scm 201 */
int BgL_kz00_3482;
BgL_kz00_3482 = 
(int)(BgL_modz00_3468); 
BgL_bucketz00_3472 = 
VECTOR_REF(BgL_arg1221z00_3463,BgL_kz00_3482); } 
{ /* Integrate/cto.scm 201 */
int BgL_kz00_3484;
BgL_kz00_3484 = 
(int)(BgL_restz00_3470); 
BgL_method2953z00_3460 = 
VECTOR_REF(BgL_bucketz00_3472,BgL_kz00_3484); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3460)(BgL_method2953z00_3460, 
(obj_t)(BgL_arg3130z00_3455), 
(obj_t)(BgL_localz00_3459), BEOA); } } } 
{ /* Integrate/cto.scm 201 */
BgL_nodez00_bglt BgL_arg3131z00_3456;
BgL_arg3131z00_3456 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2109))->BgL_valuez00); 
{ /* Integrate/cto.scm 201 */
BgL_localz00_bglt BgL_localz00_3487;
BgL_localz00_3487 = 
(BgL_localz00_bglt)(BgL_localz00_2110); 
{ /* Integrate/cto.scm 201 */
obj_t BgL_method2953z00_3488;
{ /* Integrate/cto.scm 201 */
long BgL_objzd2classzd2numz00_3490;
{ /* Integrate/cto.scm 201 */
BgL_objectz00_bglt BgL_auxz00_3969;
BgL_auxz00_3969 = 
(BgL_objectz00_bglt)(BgL_arg3131z00_3456); 
BgL_objzd2classzd2numz00_3490 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3969); } 
{ /* Integrate/cto.scm 201 */
obj_t BgL_arg1221z00_3491;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3972;
BgL_auxz00_3972 = 
(int)(((long)1)); 
BgL_arg1221z00_3491 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_3972); } 
{ /* Integrate/cto.scm 201 */
long BgL_offsetz00_3495;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3975;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3976;
BgL_auxz00_3976 = 
(int)(BgL_objzd2classzd2numz00_3490); 
BgL_auxz00_3975 = 
(long)(BgL_auxz00_3976); } 
BgL_offsetz00_3495 = 
(BgL_auxz00_3975-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 201 */
long BgL_modz00_3496;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3980;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3981;
BgL_auxz00_3981 = 
(int)(((long)8)); 
BgL_auxz00_3980 = 
(long)(BgL_auxz00_3981); } 
BgL_modz00_3496 = 
(BgL_offsetz00_3495/BgL_auxz00_3980); } 
{ /* Integrate/cto.scm 201 */
long BgL_restz00_3498;
{ /* Integrate/cto.scm 201 */
long BgL_auxz00_3985;
{ /* Integrate/cto.scm 201 */
int BgL_auxz00_3986;
BgL_auxz00_3986 = 
(int)(((long)8)); 
BgL_auxz00_3985 = 
(long)(BgL_auxz00_3986); } 
BgL_restz00_3498 = 
(BgL_offsetz00_3495%BgL_auxz00_3985); } 
{ /* Integrate/cto.scm 201 */

{ /* Integrate/cto.scm 201 */
obj_t BgL_bucketz00_3500;
{ /* Integrate/cto.scm 201 */
int BgL_kz00_3510;
BgL_kz00_3510 = 
(int)(BgL_modz00_3496); 
BgL_bucketz00_3500 = 
VECTOR_REF(BgL_arg1221z00_3491,BgL_kz00_3510); } 
{ /* Integrate/cto.scm 201 */
int BgL_kz00_3512;
BgL_kz00_3512 = 
(int)(BgL_restz00_3498); 
BgL_method2953z00_3488 = 
VECTOR_REF(BgL_bucketz00_3500,BgL_kz00_3512); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3488)(BgL_method2953z00_3488, 
(obj_t)(BgL_arg3131z00_3456), 
(obj_t)(BgL_localz00_3487), BEOA);} } } } } 
}



/* set-cto!-set-ex-it2987 */
obj_t BGl_setzd2ctoz12zd2setzd2exzd2it2987z12zzintegrate_ctoz00(obj_t BgL_envz00_3696, obj_t BgL_nodez00_3697, obj_t BgL_localz00_3698)
{ AN_OBJECT;
{ /* Integrate/cto.scm 193 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2101;obj_t BgL_localz00_2102;
BgL_nodez00_2101 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3697); 
BgL_localz00_2102 = BgL_localz00_3698; 
{ /* Integrate/cto.scm 194 */
BgL_nodez00_bglt BgL_arg3128z00_3425;
BgL_arg3128z00_3425 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2101))->BgL_bodyz00); 
{ /* Integrate/cto.scm 194 */
BgL_localz00_bglt BgL_localz00_3428;
BgL_localz00_3428 = 
(BgL_localz00_bglt)(BgL_localz00_2102); 
{ /* Integrate/cto.scm 194 */
obj_t BgL_method2953z00_3429;
{ /* Integrate/cto.scm 194 */
long BgL_objzd2classzd2numz00_3431;
{ /* Integrate/cto.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4001;
BgL_auxz00_4001 = 
(BgL_objectz00_bglt)(BgL_arg3128z00_3425); 
BgL_objzd2classzd2numz00_3431 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4001); } 
{ /* Integrate/cto.scm 194 */
obj_t BgL_arg1221z00_3432;
{ /* Integrate/cto.scm 194 */
int BgL_auxz00_4004;
BgL_auxz00_4004 = 
(int)(((long)1)); 
BgL_arg1221z00_3432 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4004); } 
{ /* Integrate/cto.scm 194 */
long BgL_offsetz00_3436;
{ /* Integrate/cto.scm 194 */
long BgL_auxz00_4007;
{ /* Integrate/cto.scm 194 */
int BgL_auxz00_4008;
BgL_auxz00_4008 = 
(int)(BgL_objzd2classzd2numz00_3431); 
BgL_auxz00_4007 = 
(long)(BgL_auxz00_4008); } 
BgL_offsetz00_3436 = 
(BgL_auxz00_4007-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 194 */
long BgL_modz00_3437;
{ /* Integrate/cto.scm 194 */
long BgL_auxz00_4012;
{ /* Integrate/cto.scm 194 */
int BgL_auxz00_4013;
BgL_auxz00_4013 = 
(int)(((long)8)); 
BgL_auxz00_4012 = 
(long)(BgL_auxz00_4013); } 
BgL_modz00_3437 = 
(BgL_offsetz00_3436/BgL_auxz00_4012); } 
{ /* Integrate/cto.scm 194 */
long BgL_restz00_3439;
{ /* Integrate/cto.scm 194 */
long BgL_auxz00_4017;
{ /* Integrate/cto.scm 194 */
int BgL_auxz00_4018;
BgL_auxz00_4018 = 
(int)(((long)8)); 
BgL_auxz00_4017 = 
(long)(BgL_auxz00_4018); } 
BgL_restz00_3439 = 
(BgL_offsetz00_3436%BgL_auxz00_4017); } 
{ /* Integrate/cto.scm 194 */

{ /* Integrate/cto.scm 194 */
obj_t BgL_bucketz00_3441;
{ /* Integrate/cto.scm 194 */
int BgL_kz00_3451;
BgL_kz00_3451 = 
(int)(BgL_modz00_3437); 
BgL_bucketz00_3441 = 
VECTOR_REF(BgL_arg1221z00_3432,BgL_kz00_3451); } 
{ /* Integrate/cto.scm 194 */
int BgL_kz00_3453;
BgL_kz00_3453 = 
(int)(BgL_restz00_3439); 
BgL_method2953z00_3429 = 
VECTOR_REF(BgL_bucketz00_3441,BgL_kz00_3453); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3429)(BgL_method2953z00_3429, 
(obj_t)(BgL_arg3128z00_3425), 
(obj_t)(BgL_localz00_3428), BEOA);} } } } } 
}



/* set-cto!-let-var2985 */
obj_t BGl_setzd2ctoz12zd2letzd2var2985zc0zzintegrate_ctoz00(obj_t BgL_envz00_3699, obj_t BgL_nodez00_3700, obj_t BgL_localz00_3701)
{ AN_OBJECT;
{ /* Integrate/cto.scm 181 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2086;obj_t BgL_localz00_2087;
BgL_nodez00_2086 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3700); 
BgL_localz00_2087 = BgL_localz00_3701; 
{ 
obj_t BgL_bindingsz00_2091;
BgL_bindingsz00_2091 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2086))->BgL_bindingsz00); 
BgL_liipz00_2092:
if(
NULLP(BgL_bindingsz00_2091))
{ /* Integrate/cto.scm 185 */
BgL_nodez00_bglt BgL_arg3123z00_2095;
BgL_arg3123z00_2095 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2086))->BgL_bodyz00); 
{ /* Integrate/cto.scm 185 */
BgL_localz00_bglt BgL_localz00_3368;
BgL_localz00_3368 = 
(BgL_localz00_bglt)(BgL_localz00_2087); 
{ /* Integrate/cto.scm 185 */
obj_t BgL_method2953z00_3369;
{ /* Integrate/cto.scm 185 */
long BgL_objzd2classzd2numz00_3371;
{ /* Integrate/cto.scm 185 */
BgL_objectz00_bglt BgL_auxz00_4035;
BgL_auxz00_4035 = 
(BgL_objectz00_bglt)(BgL_arg3123z00_2095); 
BgL_objzd2classzd2numz00_3371 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4035); } 
{ /* Integrate/cto.scm 185 */
obj_t BgL_arg1221z00_3372;
{ /* Integrate/cto.scm 185 */
int BgL_auxz00_4038;
BgL_auxz00_4038 = 
(int)(((long)1)); 
BgL_arg1221z00_3372 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4038); } 
{ /* Integrate/cto.scm 185 */
long BgL_offsetz00_3376;
{ /* Integrate/cto.scm 185 */
long BgL_auxz00_4041;
{ /* Integrate/cto.scm 185 */
int BgL_auxz00_4042;
BgL_auxz00_4042 = 
(int)(BgL_objzd2classzd2numz00_3371); 
BgL_auxz00_4041 = 
(long)(BgL_auxz00_4042); } 
BgL_offsetz00_3376 = 
(BgL_auxz00_4041-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 185 */
long BgL_modz00_3377;
{ /* Integrate/cto.scm 185 */
long BgL_auxz00_4046;
{ /* Integrate/cto.scm 185 */
int BgL_auxz00_4047;
BgL_auxz00_4047 = 
(int)(((long)8)); 
BgL_auxz00_4046 = 
(long)(BgL_auxz00_4047); } 
BgL_modz00_3377 = 
(BgL_offsetz00_3376/BgL_auxz00_4046); } 
{ /* Integrate/cto.scm 185 */
long BgL_restz00_3379;
{ /* Integrate/cto.scm 185 */
long BgL_auxz00_4051;
{ /* Integrate/cto.scm 185 */
int BgL_auxz00_4052;
BgL_auxz00_4052 = 
(int)(((long)8)); 
BgL_auxz00_4051 = 
(long)(BgL_auxz00_4052); } 
BgL_restz00_3379 = 
(BgL_offsetz00_3376%BgL_auxz00_4051); } 
{ /* Integrate/cto.scm 185 */

{ /* Integrate/cto.scm 185 */
obj_t BgL_bucketz00_3381;
{ /* Integrate/cto.scm 185 */
int BgL_kz00_3391;
BgL_kz00_3391 = 
(int)(BgL_modz00_3377); 
BgL_bucketz00_3381 = 
VECTOR_REF(BgL_arg1221z00_3372,BgL_kz00_3391); } 
{ /* Integrate/cto.scm 185 */
int BgL_kz00_3393;
BgL_kz00_3393 = 
(int)(BgL_restz00_3379); 
BgL_method2953z00_3369 = 
VECTOR_REF(BgL_bucketz00_3381,BgL_kz00_3393); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3369)(BgL_method2953z00_3369, 
(obj_t)(BgL_arg3123z00_2095), 
(obj_t)(BgL_localz00_3368), BEOA);} } }  else 
{ /* Integrate/cto.scm 184 */
{ /* Integrate/cto.scm 187 */
BgL_nodez00_bglt BgL_nodez00_3396;BgL_localz00_bglt BgL_localz00_3397;
{ /* Integrate/cto.scm 187 */
obj_t BgL_auxz00_4064;
{ /* Integrate/cto.scm 187 */
obj_t BgL_auxz00_4065;
BgL_auxz00_4065 = 
CAR(BgL_bindingsz00_2091); 
BgL_auxz00_4064 = 
CDR(BgL_auxz00_4065); } 
BgL_nodez00_3396 = 
(BgL_nodez00_bglt)(BgL_auxz00_4064); } 
BgL_localz00_3397 = 
(BgL_localz00_bglt)(BgL_localz00_2087); 
{ /* Integrate/cto.scm 187 */
obj_t BgL_method2953z00_3398;
{ /* Integrate/cto.scm 187 */
long BgL_objzd2classzd2numz00_3400;
{ /* Integrate/cto.scm 187 */
BgL_objectz00_bglt BgL_auxz00_4070;
BgL_auxz00_4070 = 
(BgL_objectz00_bglt)(BgL_nodez00_3396); 
BgL_objzd2classzd2numz00_3400 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4070); } 
{ /* Integrate/cto.scm 187 */
obj_t BgL_arg1221z00_3401;
{ /* Integrate/cto.scm 187 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)1)); 
BgL_arg1221z00_3401 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4073); } 
{ /* Integrate/cto.scm 187 */
long BgL_offsetz00_3405;
{ /* Integrate/cto.scm 187 */
long BgL_auxz00_4076;
{ /* Integrate/cto.scm 187 */
int BgL_auxz00_4077;
BgL_auxz00_4077 = 
(int)(BgL_objzd2classzd2numz00_3400); 
BgL_auxz00_4076 = 
(long)(BgL_auxz00_4077); } 
BgL_offsetz00_3405 = 
(BgL_auxz00_4076-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 187 */
long BgL_modz00_3406;
{ /* Integrate/cto.scm 187 */
long BgL_auxz00_4081;
{ /* Integrate/cto.scm 187 */
int BgL_auxz00_4082;
BgL_auxz00_4082 = 
(int)(((long)8)); 
BgL_auxz00_4081 = 
(long)(BgL_auxz00_4082); } 
BgL_modz00_3406 = 
(BgL_offsetz00_3405/BgL_auxz00_4081); } 
{ /* Integrate/cto.scm 187 */
long BgL_restz00_3408;
{ /* Integrate/cto.scm 187 */
long BgL_auxz00_4086;
{ /* Integrate/cto.scm 187 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)8)); 
BgL_auxz00_4086 = 
(long)(BgL_auxz00_4087); } 
BgL_restz00_3408 = 
(BgL_offsetz00_3405%BgL_auxz00_4086); } 
{ /* Integrate/cto.scm 187 */

{ /* Integrate/cto.scm 187 */
obj_t BgL_bucketz00_3410;
{ /* Integrate/cto.scm 187 */
int BgL_kz00_3420;
BgL_kz00_3420 = 
(int)(BgL_modz00_3406); 
BgL_bucketz00_3410 = 
VECTOR_REF(BgL_arg1221z00_3401,BgL_kz00_3420); } 
{ /* Integrate/cto.scm 187 */
int BgL_kz00_3422;
BgL_kz00_3422 = 
(int)(BgL_restz00_3408); 
BgL_method2953z00_3398 = 
VECTOR_REF(BgL_bucketz00_3410,BgL_kz00_3422); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3398)(BgL_method2953z00_3398, 
(obj_t)(BgL_nodez00_3396), 
(obj_t)(BgL_localz00_3397), BEOA); } } 
{ 
obj_t BgL_bindingsz00_4099;
BgL_bindingsz00_4099 = 
CDR(BgL_bindingsz00_2091); 
BgL_bindingsz00_2091 = BgL_bindingsz00_4099; 
goto BgL_liipz00_2092;} } } } } 
}



/* set-cto!-let-fun2983 */
obj_t BGl_setzd2ctoz12zd2letzd2fun2983zc0zzintegrate_ctoz00(obj_t BgL_envz00_3702, obj_t BgL_nodez00_3703, obj_t BgL_localz00_3704)
{ AN_OBJECT;
{ /* Integrate/cto.scm 166 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2069;obj_t BgL_localz00_2070;
BgL_nodez00_2069 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3703); 
BgL_localz00_2070 = BgL_localz00_3704; 
{ 
obj_t BgL_localsz00_2074;
BgL_localsz00_2074 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2069))->BgL_localsz00); 
BgL_liipz00_2075:
if(
NULLP(BgL_localsz00_2074))
{ /* Integrate/cto.scm 170 */
BgL_nodez00_bglt BgL_arg3117z00_2078;
BgL_arg3117z00_2078 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2069))->BgL_bodyz00); 
{ /* Integrate/cto.scm 170 */
BgL_localz00_bglt BgL_localz00_3306;
BgL_localz00_3306 = 
(BgL_localz00_bglt)(BgL_localz00_2070); 
{ /* Integrate/cto.scm 170 */
obj_t BgL_method2953z00_3307;
{ /* Integrate/cto.scm 170 */
long BgL_objzd2classzd2numz00_3309;
{ /* Integrate/cto.scm 170 */
BgL_objectz00_bglt BgL_auxz00_4107;
BgL_auxz00_4107 = 
(BgL_objectz00_bglt)(BgL_arg3117z00_2078); 
BgL_objzd2classzd2numz00_3309 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4107); } 
{ /* Integrate/cto.scm 170 */
obj_t BgL_arg1221z00_3310;
{ /* Integrate/cto.scm 170 */
int BgL_auxz00_4110;
BgL_auxz00_4110 = 
(int)(((long)1)); 
BgL_arg1221z00_3310 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4110); } 
{ /* Integrate/cto.scm 170 */
long BgL_offsetz00_3314;
{ /* Integrate/cto.scm 170 */
long BgL_auxz00_4113;
{ /* Integrate/cto.scm 170 */
int BgL_auxz00_4114;
BgL_auxz00_4114 = 
(int)(BgL_objzd2classzd2numz00_3309); 
BgL_auxz00_4113 = 
(long)(BgL_auxz00_4114); } 
BgL_offsetz00_3314 = 
(BgL_auxz00_4113-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 170 */
long BgL_modz00_3315;
{ /* Integrate/cto.scm 170 */
long BgL_auxz00_4118;
{ /* Integrate/cto.scm 170 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)8)); 
BgL_auxz00_4118 = 
(long)(BgL_auxz00_4119); } 
BgL_modz00_3315 = 
(BgL_offsetz00_3314/BgL_auxz00_4118); } 
{ /* Integrate/cto.scm 170 */
long BgL_restz00_3317;
{ /* Integrate/cto.scm 170 */
long BgL_auxz00_4123;
{ /* Integrate/cto.scm 170 */
int BgL_auxz00_4124;
BgL_auxz00_4124 = 
(int)(((long)8)); 
BgL_auxz00_4123 = 
(long)(BgL_auxz00_4124); } 
BgL_restz00_3317 = 
(BgL_offsetz00_3314%BgL_auxz00_4123); } 
{ /* Integrate/cto.scm 170 */

{ /* Integrate/cto.scm 170 */
obj_t BgL_bucketz00_3319;
{ /* Integrate/cto.scm 170 */
int BgL_kz00_3329;
BgL_kz00_3329 = 
(int)(BgL_modz00_3315); 
BgL_bucketz00_3319 = 
VECTOR_REF(BgL_arg1221z00_3310,BgL_kz00_3329); } 
{ /* Integrate/cto.scm 170 */
int BgL_kz00_3331;
BgL_kz00_3331 = 
(int)(BgL_restz00_3317); 
BgL_method2953z00_3307 = 
VECTOR_REF(BgL_bucketz00_3319,BgL_kz00_3331); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3307)(BgL_method2953z00_3307, 
(obj_t)(BgL_arg3117z00_2078), 
(obj_t)(BgL_localz00_3306), BEOA);} } }  else 
{ /* Integrate/cto.scm 173 */

{ /* Integrate/cto.scm 175 */
BgL_nodez00_bglt BgL_nodez00_3336;BgL_localz00_bglt BgL_localz00_3337;
{ /* Integrate/cto.scm 175 */
obj_t BgL_auxz00_4136;
{ /* Integrate/cto.scm 175 */
BgL_sfunz00_bglt BgL_obj1372z00_3335;
{ /* Integrate/cto.scm 175 */
BgL_valuez00_bglt BgL_auxz00_4137;
{ /* Integrate/cto.scm 172 */
BgL_localz00_bglt BgL_obj1255z00_3333;
{ /* Integrate/cto.scm 172 */
obj_t BgL_auxz00_4138;
BgL_auxz00_4138 = 
CAR(BgL_localsz00_2074); 
BgL_obj1255z00_3333 = 
(BgL_localz00_bglt)(BgL_auxz00_4138); } 
BgL_auxz00_4137 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3333))->BgL_valuez00); } 
BgL_obj1372z00_3335 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4137); } 
BgL_auxz00_4136 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3335))->BgL_bodyz00); } 
BgL_nodez00_3336 = 
(BgL_nodez00_bglt)(BgL_auxz00_4136); } 
BgL_localz00_3337 = 
(BgL_localz00_bglt)(BgL_localz00_2070); 
{ /* Integrate/cto.scm 175 */
obj_t BgL_method2953z00_3338;
{ /* Integrate/cto.scm 175 */
long BgL_objzd2classzd2numz00_3340;
{ /* Integrate/cto.scm 175 */
BgL_objectz00_bglt BgL_auxz00_4146;
BgL_auxz00_4146 = 
(BgL_objectz00_bglt)(BgL_nodez00_3336); 
BgL_objzd2classzd2numz00_3340 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4146); } 
{ /* Integrate/cto.scm 175 */
obj_t BgL_arg1221z00_3341;
{ /* Integrate/cto.scm 175 */
int BgL_auxz00_4149;
BgL_auxz00_4149 = 
(int)(((long)1)); 
BgL_arg1221z00_3341 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4149); } 
{ /* Integrate/cto.scm 175 */
long BgL_offsetz00_3345;
{ /* Integrate/cto.scm 175 */
long BgL_auxz00_4152;
{ /* Integrate/cto.scm 175 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(BgL_objzd2classzd2numz00_3340); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_offsetz00_3345 = 
(BgL_auxz00_4152-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 175 */
long BgL_modz00_3346;
{ /* Integrate/cto.scm 175 */
long BgL_auxz00_4157;
{ /* Integrate/cto.scm 175 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)8)); 
BgL_auxz00_4157 = 
(long)(BgL_auxz00_4158); } 
BgL_modz00_3346 = 
(BgL_offsetz00_3345/BgL_auxz00_4157); } 
{ /* Integrate/cto.scm 175 */
long BgL_restz00_3348;
{ /* Integrate/cto.scm 175 */
long BgL_auxz00_4162;
{ /* Integrate/cto.scm 175 */
int BgL_auxz00_4163;
BgL_auxz00_4163 = 
(int)(((long)8)); 
BgL_auxz00_4162 = 
(long)(BgL_auxz00_4163); } 
BgL_restz00_3348 = 
(BgL_offsetz00_3345%BgL_auxz00_4162); } 
{ /* Integrate/cto.scm 175 */

{ /* Integrate/cto.scm 175 */
obj_t BgL_bucketz00_3350;
{ /* Integrate/cto.scm 175 */
int BgL_kz00_3360;
BgL_kz00_3360 = 
(int)(BgL_modz00_3346); 
BgL_bucketz00_3350 = 
VECTOR_REF(BgL_arg1221z00_3341,BgL_kz00_3360); } 
{ /* Integrate/cto.scm 175 */
int BgL_kz00_3362;
BgL_kz00_3362 = 
(int)(BgL_restz00_3348); 
BgL_method2953z00_3338 = 
VECTOR_REF(BgL_bucketz00_3350,BgL_kz00_3362); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3338)(BgL_method2953z00_3338, 
(obj_t)(BgL_nodez00_3336), 
(obj_t)(BgL_localz00_3337), BEOA); } } 
{ 
obj_t BgL_localsz00_4175;
BgL_localsz00_4175 = 
CDR(BgL_localsz00_2074); 
BgL_localsz00_2074 = BgL_localsz00_4175; 
goto BgL_liipz00_2075;} } } } } 
}



/* set-cto!-select2981 */
obj_t BGl_setzd2ctoz12zd2select2981z12zzintegrate_ctoz00(obj_t BgL_envz00_3705, obj_t BgL_nodez00_3706, obj_t BgL_localz00_3707)
{ AN_OBJECT;
{ /* Integrate/cto.scm 154 */
{ 
BgL_selectz00_bglt BgL_nodez00_2054;obj_t BgL_localz00_2055;
BgL_nodez00_2054 = 
(BgL_selectz00_bglt)(BgL_nodez00_3706); 
BgL_localz00_2055 = BgL_localz00_3707; 
{ 
obj_t BgL_clausesz00_2059;
BgL_clausesz00_2059 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2054))->BgL_clausesz00); 
BgL_liipz00_2060:
if(
NULLP(BgL_clausesz00_2059))
{ /* Integrate/cto.scm 158 */
BgL_nodez00_bglt BgL_arg3110z00_2063;
BgL_arg3110z00_2063 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2054))->BgL_testz00); 
{ /* Integrate/cto.scm 158 */
BgL_localz00_bglt BgL_localz00_3246;
BgL_localz00_3246 = 
(BgL_localz00_bglt)(BgL_localz00_2055); 
{ /* Integrate/cto.scm 158 */
obj_t BgL_method2953z00_3247;
{ /* Integrate/cto.scm 158 */
long BgL_objzd2classzd2numz00_3249;
{ /* Integrate/cto.scm 158 */
BgL_objectz00_bglt BgL_auxz00_4183;
BgL_auxz00_4183 = 
(BgL_objectz00_bglt)(BgL_arg3110z00_2063); 
BgL_objzd2classzd2numz00_3249 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4183); } 
{ /* Integrate/cto.scm 158 */
obj_t BgL_arg1221z00_3250;
{ /* Integrate/cto.scm 158 */
int BgL_auxz00_4186;
BgL_auxz00_4186 = 
(int)(((long)1)); 
BgL_arg1221z00_3250 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4186); } 
{ /* Integrate/cto.scm 158 */
long BgL_offsetz00_3254;
{ /* Integrate/cto.scm 158 */
long BgL_auxz00_4189;
{ /* Integrate/cto.scm 158 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(BgL_objzd2classzd2numz00_3249); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_offsetz00_3254 = 
(BgL_auxz00_4189-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 158 */
long BgL_modz00_3255;
{ /* Integrate/cto.scm 158 */
long BgL_auxz00_4194;
{ /* Integrate/cto.scm 158 */
int BgL_auxz00_4195;
BgL_auxz00_4195 = 
(int)(((long)8)); 
BgL_auxz00_4194 = 
(long)(BgL_auxz00_4195); } 
BgL_modz00_3255 = 
(BgL_offsetz00_3254/BgL_auxz00_4194); } 
{ /* Integrate/cto.scm 158 */
long BgL_restz00_3257;
{ /* Integrate/cto.scm 158 */
long BgL_auxz00_4199;
{ /* Integrate/cto.scm 158 */
int BgL_auxz00_4200;
BgL_auxz00_4200 = 
(int)(((long)8)); 
BgL_auxz00_4199 = 
(long)(BgL_auxz00_4200); } 
BgL_restz00_3257 = 
(BgL_offsetz00_3254%BgL_auxz00_4199); } 
{ /* Integrate/cto.scm 158 */

{ /* Integrate/cto.scm 158 */
obj_t BgL_bucketz00_3259;
{ /* Integrate/cto.scm 158 */
int BgL_kz00_3269;
BgL_kz00_3269 = 
(int)(BgL_modz00_3255); 
BgL_bucketz00_3259 = 
VECTOR_REF(BgL_arg1221z00_3250,BgL_kz00_3269); } 
{ /* Integrate/cto.scm 158 */
int BgL_kz00_3271;
BgL_kz00_3271 = 
(int)(BgL_restz00_3257); 
BgL_method2953z00_3247 = 
VECTOR_REF(BgL_bucketz00_3259,BgL_kz00_3271); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3247)(BgL_method2953z00_3247, 
(obj_t)(BgL_arg3110z00_2063), 
(obj_t)(BgL_localz00_3246), BEOA);} } }  else 
{ /* Integrate/cto.scm 157 */
{ /* Integrate/cto.scm 160 */
BgL_nodez00_bglt BgL_nodez00_3274;BgL_localz00_bglt BgL_localz00_3275;
{ /* Integrate/cto.scm 160 */
obj_t BgL_auxz00_4212;
{ /* Integrate/cto.scm 160 */
obj_t BgL_auxz00_4213;
BgL_auxz00_4213 = 
CAR(BgL_clausesz00_2059); 
BgL_auxz00_4212 = 
CDR(BgL_auxz00_4213); } 
BgL_nodez00_3274 = 
(BgL_nodez00_bglt)(BgL_auxz00_4212); } 
BgL_localz00_3275 = 
(BgL_localz00_bglt)(BgL_localz00_2055); 
{ /* Integrate/cto.scm 160 */
obj_t BgL_method2953z00_3276;
{ /* Integrate/cto.scm 160 */
long BgL_objzd2classzd2numz00_3278;
{ /* Integrate/cto.scm 160 */
BgL_objectz00_bglt BgL_auxz00_4218;
BgL_auxz00_4218 = 
(BgL_objectz00_bglt)(BgL_nodez00_3274); 
BgL_objzd2classzd2numz00_3278 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4218); } 
{ /* Integrate/cto.scm 160 */
obj_t BgL_arg1221z00_3279;
{ /* Integrate/cto.scm 160 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(((long)1)); 
BgL_arg1221z00_3279 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4221); } 
{ /* Integrate/cto.scm 160 */
long BgL_offsetz00_3283;
{ /* Integrate/cto.scm 160 */
long BgL_auxz00_4224;
{ /* Integrate/cto.scm 160 */
int BgL_auxz00_4225;
BgL_auxz00_4225 = 
(int)(BgL_objzd2classzd2numz00_3278); 
BgL_auxz00_4224 = 
(long)(BgL_auxz00_4225); } 
BgL_offsetz00_3283 = 
(BgL_auxz00_4224-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 160 */
long BgL_modz00_3284;
{ /* Integrate/cto.scm 160 */
long BgL_auxz00_4229;
{ /* Integrate/cto.scm 160 */
int BgL_auxz00_4230;
BgL_auxz00_4230 = 
(int)(((long)8)); 
BgL_auxz00_4229 = 
(long)(BgL_auxz00_4230); } 
BgL_modz00_3284 = 
(BgL_offsetz00_3283/BgL_auxz00_4229); } 
{ /* Integrate/cto.scm 160 */
long BgL_restz00_3286;
{ /* Integrate/cto.scm 160 */
long BgL_auxz00_4234;
{ /* Integrate/cto.scm 160 */
int BgL_auxz00_4235;
BgL_auxz00_4235 = 
(int)(((long)8)); 
BgL_auxz00_4234 = 
(long)(BgL_auxz00_4235); } 
BgL_restz00_3286 = 
(BgL_offsetz00_3283%BgL_auxz00_4234); } 
{ /* Integrate/cto.scm 160 */

{ /* Integrate/cto.scm 160 */
obj_t BgL_bucketz00_3288;
{ /* Integrate/cto.scm 160 */
int BgL_kz00_3298;
BgL_kz00_3298 = 
(int)(BgL_modz00_3284); 
BgL_bucketz00_3288 = 
VECTOR_REF(BgL_arg1221z00_3279,BgL_kz00_3298); } 
{ /* Integrate/cto.scm 160 */
int BgL_kz00_3300;
BgL_kz00_3300 = 
(int)(BgL_restz00_3286); 
BgL_method2953z00_3276 = 
VECTOR_REF(BgL_bucketz00_3288,BgL_kz00_3300); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3276)(BgL_method2953z00_3276, 
(obj_t)(BgL_nodez00_3274), 
(obj_t)(BgL_localz00_3275), BEOA); } } 
{ 
obj_t BgL_clausesz00_4247;
BgL_clausesz00_4247 = 
CDR(BgL_clausesz00_2059); 
BgL_clausesz00_2059 = BgL_clausesz00_4247; 
goto BgL_liipz00_2060;} } } } } 
}



/* set-cto!-fail2979 */
obj_t BGl_setzd2ctoz12zd2fail2979z12zzintegrate_ctoz00(obj_t BgL_envz00_3708, obj_t BgL_nodez00_3709, obj_t BgL_localz00_3710)
{ AN_OBJECT;
{ /* Integrate/cto.scm 145 */
{ 
BgL_failz00_bglt BgL_nodez00_2044;obj_t BgL_localz00_2045;
BgL_nodez00_2044 = 
(BgL_failz00_bglt)(BgL_nodez00_3709); 
BgL_localz00_2045 = BgL_localz00_3710; 
{ /* Integrate/cto.scm 147 */
BgL_nodez00_bglt BgL_arg3104z00_2049;
BgL_arg3104z00_2049 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2044))->BgL_procz00); 
{ /* Integrate/cto.scm 147 */
BgL_localz00_bglt BgL_localz00_3160;
BgL_localz00_3160 = 
(BgL_localz00_bglt)(BgL_localz00_2045); 
{ /* Integrate/cto.scm 147 */
obj_t BgL_method2953z00_3161;
{ /* Integrate/cto.scm 147 */
long BgL_objzd2classzd2numz00_3163;
{ /* Integrate/cto.scm 147 */
BgL_objectz00_bglt BgL_auxz00_4253;
BgL_auxz00_4253 = 
(BgL_objectz00_bglt)(BgL_arg3104z00_2049); 
BgL_objzd2classzd2numz00_3163 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4253); } 
{ /* Integrate/cto.scm 147 */
obj_t BgL_arg1221z00_3164;
{ /* Integrate/cto.scm 147 */
int BgL_auxz00_4256;
BgL_auxz00_4256 = 
(int)(((long)1)); 
BgL_arg1221z00_3164 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4256); } 
{ /* Integrate/cto.scm 147 */
long BgL_offsetz00_3168;
{ /* Integrate/cto.scm 147 */
long BgL_auxz00_4259;
{ /* Integrate/cto.scm 147 */
int BgL_auxz00_4260;
BgL_auxz00_4260 = 
(int)(BgL_objzd2classzd2numz00_3163); 
BgL_auxz00_4259 = 
(long)(BgL_auxz00_4260); } 
BgL_offsetz00_3168 = 
(BgL_auxz00_4259-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 147 */
long BgL_modz00_3169;
{ /* Integrate/cto.scm 147 */
long BgL_auxz00_4264;
{ /* Integrate/cto.scm 147 */
int BgL_auxz00_4265;
BgL_auxz00_4265 = 
(int)(((long)8)); 
BgL_auxz00_4264 = 
(long)(BgL_auxz00_4265); } 
BgL_modz00_3169 = 
(BgL_offsetz00_3168/BgL_auxz00_4264); } 
{ /* Integrate/cto.scm 147 */
long BgL_restz00_3171;
{ /* Integrate/cto.scm 147 */
long BgL_auxz00_4269;
{ /* Integrate/cto.scm 147 */
int BgL_auxz00_4270;
BgL_auxz00_4270 = 
(int)(((long)8)); 
BgL_auxz00_4269 = 
(long)(BgL_auxz00_4270); } 
BgL_restz00_3171 = 
(BgL_offsetz00_3168%BgL_auxz00_4269); } 
{ /* Integrate/cto.scm 147 */

{ /* Integrate/cto.scm 147 */
obj_t BgL_bucketz00_3173;
{ /* Integrate/cto.scm 147 */
int BgL_kz00_3183;
BgL_kz00_3183 = 
(int)(BgL_modz00_3169); 
BgL_bucketz00_3173 = 
VECTOR_REF(BgL_arg1221z00_3164,BgL_kz00_3183); } 
{ /* Integrate/cto.scm 147 */
int BgL_kz00_3185;
BgL_kz00_3185 = 
(int)(BgL_restz00_3171); 
BgL_method2953z00_3161 = 
VECTOR_REF(BgL_bucketz00_3173,BgL_kz00_3185); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3161)(BgL_method2953z00_3161, 
(obj_t)(BgL_arg3104z00_2049), 
(obj_t)(BgL_localz00_3160), BEOA); } } } 
{ /* Integrate/cto.scm 148 */
BgL_nodez00_bglt BgL_arg3105z00_2050;
BgL_arg3105z00_2050 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2044))->BgL_msgz00); 
{ /* Integrate/cto.scm 148 */
BgL_localz00_bglt BgL_localz00_3188;
BgL_localz00_3188 = 
(BgL_localz00_bglt)(BgL_localz00_2045); 
{ /* Integrate/cto.scm 148 */
obj_t BgL_method2953z00_3189;
{ /* Integrate/cto.scm 148 */
long BgL_objzd2classzd2numz00_3191;
{ /* Integrate/cto.scm 148 */
BgL_objectz00_bglt BgL_auxz00_4284;
BgL_auxz00_4284 = 
(BgL_objectz00_bglt)(BgL_arg3105z00_2050); 
BgL_objzd2classzd2numz00_3191 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4284); } 
{ /* Integrate/cto.scm 148 */
obj_t BgL_arg1221z00_3192;
{ /* Integrate/cto.scm 148 */
int BgL_auxz00_4287;
BgL_auxz00_4287 = 
(int)(((long)1)); 
BgL_arg1221z00_3192 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4287); } 
{ /* Integrate/cto.scm 148 */
long BgL_offsetz00_3196;
{ /* Integrate/cto.scm 148 */
long BgL_auxz00_4290;
{ /* Integrate/cto.scm 148 */
int BgL_auxz00_4291;
BgL_auxz00_4291 = 
(int)(BgL_objzd2classzd2numz00_3191); 
BgL_auxz00_4290 = 
(long)(BgL_auxz00_4291); } 
BgL_offsetz00_3196 = 
(BgL_auxz00_4290-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 148 */
long BgL_modz00_3197;
{ /* Integrate/cto.scm 148 */
long BgL_auxz00_4295;
{ /* Integrate/cto.scm 148 */
int BgL_auxz00_4296;
BgL_auxz00_4296 = 
(int)(((long)8)); 
BgL_auxz00_4295 = 
(long)(BgL_auxz00_4296); } 
BgL_modz00_3197 = 
(BgL_offsetz00_3196/BgL_auxz00_4295); } 
{ /* Integrate/cto.scm 148 */
long BgL_restz00_3199;
{ /* Integrate/cto.scm 148 */
long BgL_auxz00_4300;
{ /* Integrate/cto.scm 148 */
int BgL_auxz00_4301;
BgL_auxz00_4301 = 
(int)(((long)8)); 
BgL_auxz00_4300 = 
(long)(BgL_auxz00_4301); } 
BgL_restz00_3199 = 
(BgL_offsetz00_3196%BgL_auxz00_4300); } 
{ /* Integrate/cto.scm 148 */

{ /* Integrate/cto.scm 148 */
obj_t BgL_bucketz00_3201;
{ /* Integrate/cto.scm 148 */
int BgL_kz00_3211;
BgL_kz00_3211 = 
(int)(BgL_modz00_3197); 
BgL_bucketz00_3201 = 
VECTOR_REF(BgL_arg1221z00_3192,BgL_kz00_3211); } 
{ /* Integrate/cto.scm 148 */
int BgL_kz00_3213;
BgL_kz00_3213 = 
(int)(BgL_restz00_3199); 
BgL_method2953z00_3189 = 
VECTOR_REF(BgL_bucketz00_3201,BgL_kz00_3213); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3189)(BgL_method2953z00_3189, 
(obj_t)(BgL_arg3105z00_2050), 
(obj_t)(BgL_localz00_3188), BEOA); } } } 
{ /* Integrate/cto.scm 149 */
BgL_nodez00_bglt BgL_arg3106z00_2051;
BgL_arg3106z00_2051 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2044))->BgL_objz00); 
{ /* Integrate/cto.scm 149 */
BgL_localz00_bglt BgL_localz00_3216;
BgL_localz00_3216 = 
(BgL_localz00_bglt)(BgL_localz00_2045); 
{ /* Integrate/cto.scm 149 */
obj_t BgL_method2953z00_3217;
{ /* Integrate/cto.scm 149 */
long BgL_objzd2classzd2numz00_3219;
{ /* Integrate/cto.scm 149 */
BgL_objectz00_bglt BgL_auxz00_4315;
BgL_auxz00_4315 = 
(BgL_objectz00_bglt)(BgL_arg3106z00_2051); 
BgL_objzd2classzd2numz00_3219 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4315); } 
{ /* Integrate/cto.scm 149 */
obj_t BgL_arg1221z00_3220;
{ /* Integrate/cto.scm 149 */
int BgL_auxz00_4318;
BgL_auxz00_4318 = 
(int)(((long)1)); 
BgL_arg1221z00_3220 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4318); } 
{ /* Integrate/cto.scm 149 */
long BgL_offsetz00_3224;
{ /* Integrate/cto.scm 149 */
long BgL_auxz00_4321;
{ /* Integrate/cto.scm 149 */
int BgL_auxz00_4322;
BgL_auxz00_4322 = 
(int)(BgL_objzd2classzd2numz00_3219); 
BgL_auxz00_4321 = 
(long)(BgL_auxz00_4322); } 
BgL_offsetz00_3224 = 
(BgL_auxz00_4321-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 149 */
long BgL_modz00_3225;
{ /* Integrate/cto.scm 149 */
long BgL_auxz00_4326;
{ /* Integrate/cto.scm 149 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(((long)8)); 
BgL_auxz00_4326 = 
(long)(BgL_auxz00_4327); } 
BgL_modz00_3225 = 
(BgL_offsetz00_3224/BgL_auxz00_4326); } 
{ /* Integrate/cto.scm 149 */
long BgL_restz00_3227;
{ /* Integrate/cto.scm 149 */
long BgL_auxz00_4331;
{ /* Integrate/cto.scm 149 */
int BgL_auxz00_4332;
BgL_auxz00_4332 = 
(int)(((long)8)); 
BgL_auxz00_4331 = 
(long)(BgL_auxz00_4332); } 
BgL_restz00_3227 = 
(BgL_offsetz00_3224%BgL_auxz00_4331); } 
{ /* Integrate/cto.scm 149 */

{ /* Integrate/cto.scm 149 */
obj_t BgL_bucketz00_3229;
{ /* Integrate/cto.scm 149 */
int BgL_kz00_3239;
BgL_kz00_3239 = 
(int)(BgL_modz00_3225); 
BgL_bucketz00_3229 = 
VECTOR_REF(BgL_arg1221z00_3220,BgL_kz00_3239); } 
{ /* Integrate/cto.scm 149 */
int BgL_kz00_3241;
BgL_kz00_3241 = 
(int)(BgL_restz00_3227); 
BgL_method2953z00_3217 = 
VECTOR_REF(BgL_bucketz00_3229,BgL_kz00_3241); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3217)(BgL_method2953z00_3217, 
(obj_t)(BgL_arg3106z00_2051), 
(obj_t)(BgL_localz00_3216), BEOA);} } } } } 
}



/* set-cto!-conditional2977 */
obj_t BGl_setzd2ctoz12zd2conditional2977z12zzintegrate_ctoz00(obj_t BgL_envz00_3711, obj_t BgL_nodez00_3712, obj_t BgL_localz00_3713)
{ AN_OBJECT;
{ /* Integrate/cto.scm 136 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2034;obj_t BgL_localz00_2035;
BgL_nodez00_2034 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3712); 
BgL_localz00_2035 = BgL_localz00_3713; 
{ /* Integrate/cto.scm 138 */
BgL_nodez00_bglt BgL_arg3100z00_2039;
BgL_arg3100z00_2039 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2034))->BgL_testz00); 
{ /* Integrate/cto.scm 138 */
BgL_localz00_bglt BgL_localz00_3076;
BgL_localz00_3076 = 
(BgL_localz00_bglt)(BgL_localz00_2035); 
{ /* Integrate/cto.scm 138 */
obj_t BgL_method2953z00_3077;
{ /* Integrate/cto.scm 138 */
long BgL_objzd2classzd2numz00_3079;
{ /* Integrate/cto.scm 138 */
BgL_objectz00_bglt BgL_auxz00_4347;
BgL_auxz00_4347 = 
(BgL_objectz00_bglt)(BgL_arg3100z00_2039); 
BgL_objzd2classzd2numz00_3079 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4347); } 
{ /* Integrate/cto.scm 138 */
obj_t BgL_arg1221z00_3080;
{ /* Integrate/cto.scm 138 */
int BgL_auxz00_4350;
BgL_auxz00_4350 = 
(int)(((long)1)); 
BgL_arg1221z00_3080 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4350); } 
{ /* Integrate/cto.scm 138 */
long BgL_offsetz00_3084;
{ /* Integrate/cto.scm 138 */
long BgL_auxz00_4353;
{ /* Integrate/cto.scm 138 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(BgL_objzd2classzd2numz00_3079); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_offsetz00_3084 = 
(BgL_auxz00_4353-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 138 */
long BgL_modz00_3085;
{ /* Integrate/cto.scm 138 */
long BgL_auxz00_4358;
{ /* Integrate/cto.scm 138 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)8)); 
BgL_auxz00_4358 = 
(long)(BgL_auxz00_4359); } 
BgL_modz00_3085 = 
(BgL_offsetz00_3084/BgL_auxz00_4358); } 
{ /* Integrate/cto.scm 138 */
long BgL_restz00_3087;
{ /* Integrate/cto.scm 138 */
long BgL_auxz00_4363;
{ /* Integrate/cto.scm 138 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)8)); 
BgL_auxz00_4363 = 
(long)(BgL_auxz00_4364); } 
BgL_restz00_3087 = 
(BgL_offsetz00_3084%BgL_auxz00_4363); } 
{ /* Integrate/cto.scm 138 */

{ /* Integrate/cto.scm 138 */
obj_t BgL_bucketz00_3089;
{ /* Integrate/cto.scm 138 */
int BgL_kz00_3099;
BgL_kz00_3099 = 
(int)(BgL_modz00_3085); 
BgL_bucketz00_3089 = 
VECTOR_REF(BgL_arg1221z00_3080,BgL_kz00_3099); } 
{ /* Integrate/cto.scm 138 */
int BgL_kz00_3101;
BgL_kz00_3101 = 
(int)(BgL_restz00_3087); 
BgL_method2953z00_3077 = 
VECTOR_REF(BgL_bucketz00_3089,BgL_kz00_3101); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3077)(BgL_method2953z00_3077, 
(obj_t)(BgL_arg3100z00_2039), 
(obj_t)(BgL_localz00_3076), BEOA); } } } 
{ /* Integrate/cto.scm 139 */
BgL_nodez00_bglt BgL_arg3101z00_2040;
BgL_arg3101z00_2040 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2034))->BgL_truez00); 
{ /* Integrate/cto.scm 139 */
BgL_localz00_bglt BgL_localz00_3104;
BgL_localz00_3104 = 
(BgL_localz00_bglt)(BgL_localz00_2035); 
{ /* Integrate/cto.scm 139 */
obj_t BgL_method2953z00_3105;
{ /* Integrate/cto.scm 139 */
long BgL_objzd2classzd2numz00_3107;
{ /* Integrate/cto.scm 139 */
BgL_objectz00_bglt BgL_auxz00_4378;
BgL_auxz00_4378 = 
(BgL_objectz00_bglt)(BgL_arg3101z00_2040); 
BgL_objzd2classzd2numz00_3107 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4378); } 
{ /* Integrate/cto.scm 139 */
obj_t BgL_arg1221z00_3108;
{ /* Integrate/cto.scm 139 */
int BgL_auxz00_4381;
BgL_auxz00_4381 = 
(int)(((long)1)); 
BgL_arg1221z00_3108 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4381); } 
{ /* Integrate/cto.scm 139 */
long BgL_offsetz00_3112;
{ /* Integrate/cto.scm 139 */
long BgL_auxz00_4384;
{ /* Integrate/cto.scm 139 */
int BgL_auxz00_4385;
BgL_auxz00_4385 = 
(int)(BgL_objzd2classzd2numz00_3107); 
BgL_auxz00_4384 = 
(long)(BgL_auxz00_4385); } 
BgL_offsetz00_3112 = 
(BgL_auxz00_4384-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 139 */
long BgL_modz00_3113;
{ /* Integrate/cto.scm 139 */
long BgL_auxz00_4389;
{ /* Integrate/cto.scm 139 */
int BgL_auxz00_4390;
BgL_auxz00_4390 = 
(int)(((long)8)); 
BgL_auxz00_4389 = 
(long)(BgL_auxz00_4390); } 
BgL_modz00_3113 = 
(BgL_offsetz00_3112/BgL_auxz00_4389); } 
{ /* Integrate/cto.scm 139 */
long BgL_restz00_3115;
{ /* Integrate/cto.scm 139 */
long BgL_auxz00_4394;
{ /* Integrate/cto.scm 139 */
int BgL_auxz00_4395;
BgL_auxz00_4395 = 
(int)(((long)8)); 
BgL_auxz00_4394 = 
(long)(BgL_auxz00_4395); } 
BgL_restz00_3115 = 
(BgL_offsetz00_3112%BgL_auxz00_4394); } 
{ /* Integrate/cto.scm 139 */

{ /* Integrate/cto.scm 139 */
obj_t BgL_bucketz00_3117;
{ /* Integrate/cto.scm 139 */
int BgL_kz00_3127;
BgL_kz00_3127 = 
(int)(BgL_modz00_3113); 
BgL_bucketz00_3117 = 
VECTOR_REF(BgL_arg1221z00_3108,BgL_kz00_3127); } 
{ /* Integrate/cto.scm 139 */
int BgL_kz00_3129;
BgL_kz00_3129 = 
(int)(BgL_restz00_3115); 
BgL_method2953z00_3105 = 
VECTOR_REF(BgL_bucketz00_3117,BgL_kz00_3129); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3105)(BgL_method2953z00_3105, 
(obj_t)(BgL_arg3101z00_2040), 
(obj_t)(BgL_localz00_3104), BEOA); } } } 
{ /* Integrate/cto.scm 140 */
BgL_nodez00_bglt BgL_arg3102z00_2041;
BgL_arg3102z00_2041 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2034))->BgL_falsez00); 
{ /* Integrate/cto.scm 140 */
BgL_localz00_bglt BgL_localz00_3132;
BgL_localz00_3132 = 
(BgL_localz00_bglt)(BgL_localz00_2035); 
{ /* Integrate/cto.scm 140 */
obj_t BgL_method2953z00_3133;
{ /* Integrate/cto.scm 140 */
long BgL_objzd2classzd2numz00_3135;
{ /* Integrate/cto.scm 140 */
BgL_objectz00_bglt BgL_auxz00_4409;
BgL_auxz00_4409 = 
(BgL_objectz00_bglt)(BgL_arg3102z00_2041); 
BgL_objzd2classzd2numz00_3135 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4409); } 
{ /* Integrate/cto.scm 140 */
obj_t BgL_arg1221z00_3136;
{ /* Integrate/cto.scm 140 */
int BgL_auxz00_4412;
BgL_auxz00_4412 = 
(int)(((long)1)); 
BgL_arg1221z00_3136 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4412); } 
{ /* Integrate/cto.scm 140 */
long BgL_offsetz00_3140;
{ /* Integrate/cto.scm 140 */
long BgL_auxz00_4415;
{ /* Integrate/cto.scm 140 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(BgL_objzd2classzd2numz00_3135); 
BgL_auxz00_4415 = 
(long)(BgL_auxz00_4416); } 
BgL_offsetz00_3140 = 
(BgL_auxz00_4415-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 140 */
long BgL_modz00_3141;
{ /* Integrate/cto.scm 140 */
long BgL_auxz00_4420;
{ /* Integrate/cto.scm 140 */
int BgL_auxz00_4421;
BgL_auxz00_4421 = 
(int)(((long)8)); 
BgL_auxz00_4420 = 
(long)(BgL_auxz00_4421); } 
BgL_modz00_3141 = 
(BgL_offsetz00_3140/BgL_auxz00_4420); } 
{ /* Integrate/cto.scm 140 */
long BgL_restz00_3143;
{ /* Integrate/cto.scm 140 */
long BgL_auxz00_4425;
{ /* Integrate/cto.scm 140 */
int BgL_auxz00_4426;
BgL_auxz00_4426 = 
(int)(((long)8)); 
BgL_auxz00_4425 = 
(long)(BgL_auxz00_4426); } 
BgL_restz00_3143 = 
(BgL_offsetz00_3140%BgL_auxz00_4425); } 
{ /* Integrate/cto.scm 140 */

{ /* Integrate/cto.scm 140 */
obj_t BgL_bucketz00_3145;
{ /* Integrate/cto.scm 140 */
int BgL_kz00_3155;
BgL_kz00_3155 = 
(int)(BgL_modz00_3141); 
BgL_bucketz00_3145 = 
VECTOR_REF(BgL_arg1221z00_3136,BgL_kz00_3155); } 
{ /* Integrate/cto.scm 140 */
int BgL_kz00_3157;
BgL_kz00_3157 = 
(int)(BgL_restz00_3143); 
BgL_method2953z00_3133 = 
VECTOR_REF(BgL_bucketz00_3145,BgL_kz00_3157); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3133)(BgL_method2953z00_3133, 
(obj_t)(BgL_arg3102z00_2041), 
(obj_t)(BgL_localz00_3132), BEOA);} } } } } 
}



/* set-cto!-setq2975 */
obj_t BGl_setzd2ctoz12zd2setq2975z12zzintegrate_ctoz00(obj_t BgL_envz00_3714, obj_t BgL_nodez00_3715, obj_t BgL_localz00_3716)
{ AN_OBJECT;
{ /* Integrate/cto.scm 128 */
{ 
BgL_setqz00_bglt BgL_nodez00_2025;obj_t BgL_localz00_2026;
BgL_nodez00_2025 = 
(BgL_setqz00_bglt)(BgL_nodez00_3715); 
BgL_localz00_2026 = BgL_localz00_3716; 
{ /* Integrate/cto.scm 129 */
BgL_nodez00_bglt BgL_nodez00_3019;BgL_localz00_bglt BgL_localz00_3020;
{ /* Integrate/cto.scm 129 */
BgL_varz00_bglt BgL_auxz00_4439;
BgL_auxz00_4439 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2025))->BgL_varz00); 
BgL_nodez00_3019 = 
(BgL_nodez00_bglt)(BgL_auxz00_4439); } 
BgL_localz00_3020 = 
(BgL_localz00_bglt)(BgL_localz00_2026); 
{ /* Integrate/cto.scm 129 */
obj_t BgL_method2953z00_3021;
{ /* Integrate/cto.scm 129 */
long BgL_objzd2classzd2numz00_3023;
{ /* Integrate/cto.scm 129 */
BgL_objectz00_bglt BgL_auxz00_4443;
BgL_auxz00_4443 = 
(BgL_objectz00_bglt)(BgL_nodez00_3019); 
BgL_objzd2classzd2numz00_3023 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4443); } 
{ /* Integrate/cto.scm 129 */
obj_t BgL_arg1221z00_3024;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4446;
BgL_auxz00_4446 = 
(int)(((long)1)); 
BgL_arg1221z00_3024 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4446); } 
{ /* Integrate/cto.scm 129 */
long BgL_offsetz00_3028;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4449;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(BgL_objzd2classzd2numz00_3023); 
BgL_auxz00_4449 = 
(long)(BgL_auxz00_4450); } 
BgL_offsetz00_3028 = 
(BgL_auxz00_4449-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 129 */
long BgL_modz00_3029;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4454;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4455;
BgL_auxz00_4455 = 
(int)(((long)8)); 
BgL_auxz00_4454 = 
(long)(BgL_auxz00_4455); } 
BgL_modz00_3029 = 
(BgL_offsetz00_3028/BgL_auxz00_4454); } 
{ /* Integrate/cto.scm 129 */
long BgL_restz00_3031;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4459;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)8)); 
BgL_auxz00_4459 = 
(long)(BgL_auxz00_4460); } 
BgL_restz00_3031 = 
(BgL_offsetz00_3028%BgL_auxz00_4459); } 
{ /* Integrate/cto.scm 129 */

{ /* Integrate/cto.scm 129 */
obj_t BgL_bucketz00_3033;
{ /* Integrate/cto.scm 129 */
int BgL_kz00_3043;
BgL_kz00_3043 = 
(int)(BgL_modz00_3029); 
BgL_bucketz00_3033 = 
VECTOR_REF(BgL_arg1221z00_3024,BgL_kz00_3043); } 
{ /* Integrate/cto.scm 129 */
int BgL_kz00_3045;
BgL_kz00_3045 = 
(int)(BgL_restz00_3031); 
BgL_method2953z00_3021 = 
VECTOR_REF(BgL_bucketz00_3033,BgL_kz00_3045); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_3021)(BgL_method2953z00_3021, 
(obj_t)(BgL_nodez00_3019), 
(obj_t)(BgL_localz00_3020), BEOA); } } 
{ /* Integrate/cto.scm 129 */
BgL_nodez00_bglt BgL_arg3098z00_3017;
BgL_arg3098z00_3017 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2025))->BgL_valuez00); 
{ /* Integrate/cto.scm 129 */
BgL_localz00_bglt BgL_localz00_3048;
BgL_localz00_3048 = 
(BgL_localz00_bglt)(BgL_localz00_2026); 
{ /* Integrate/cto.scm 129 */
obj_t BgL_method2953z00_3049;
{ /* Integrate/cto.scm 129 */
long BgL_objzd2classzd2numz00_3051;
{ /* Integrate/cto.scm 129 */
BgL_objectz00_bglt BgL_auxz00_4474;
BgL_auxz00_4474 = 
(BgL_objectz00_bglt)(BgL_arg3098z00_3017); 
BgL_objzd2classzd2numz00_3051 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4474); } 
{ /* Integrate/cto.scm 129 */
obj_t BgL_arg1221z00_3052;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)1)); 
BgL_arg1221z00_3052 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4477); } 
{ /* Integrate/cto.scm 129 */
long BgL_offsetz00_3056;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4480;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4481;
BgL_auxz00_4481 = 
(int)(BgL_objzd2classzd2numz00_3051); 
BgL_auxz00_4480 = 
(long)(BgL_auxz00_4481); } 
BgL_offsetz00_3056 = 
(BgL_auxz00_4480-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 129 */
long BgL_modz00_3057;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4485;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4486;
BgL_auxz00_4486 = 
(int)(((long)8)); 
BgL_auxz00_4485 = 
(long)(BgL_auxz00_4486); } 
BgL_modz00_3057 = 
(BgL_offsetz00_3056/BgL_auxz00_4485); } 
{ /* Integrate/cto.scm 129 */
long BgL_restz00_3059;
{ /* Integrate/cto.scm 129 */
long BgL_auxz00_4490;
{ /* Integrate/cto.scm 129 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(((long)8)); 
BgL_auxz00_4490 = 
(long)(BgL_auxz00_4491); } 
BgL_restz00_3059 = 
(BgL_offsetz00_3056%BgL_auxz00_4490); } 
{ /* Integrate/cto.scm 129 */

{ /* Integrate/cto.scm 129 */
obj_t BgL_bucketz00_3061;
{ /* Integrate/cto.scm 129 */
int BgL_kz00_3071;
BgL_kz00_3071 = 
(int)(BgL_modz00_3057); 
BgL_bucketz00_3061 = 
VECTOR_REF(BgL_arg1221z00_3052,BgL_kz00_3071); } 
{ /* Integrate/cto.scm 129 */
int BgL_kz00_3073;
BgL_kz00_3073 = 
(int)(BgL_restz00_3059); 
BgL_method2953z00_3049 = 
VECTOR_REF(BgL_bucketz00_3061,BgL_kz00_3073); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3049)(BgL_method2953z00_3049, 
(obj_t)(BgL_arg3098z00_3017), 
(obj_t)(BgL_localz00_3048), BEOA);} } } } } 
}



/* set-cto!-cast2973 */
obj_t BGl_setzd2ctoz12zd2cast2973z12zzintegrate_ctoz00(obj_t BgL_envz00_3717, obj_t BgL_nodez00_3718, obj_t BgL_localz00_3719)
{ AN_OBJECT;
{ /* Integrate/cto.scm 121 */
{ 
BgL_castz00_bglt BgL_nodez00_2017;obj_t BgL_localz00_2018;
BgL_nodez00_2017 = 
(BgL_castz00_bglt)(BgL_nodez00_3718); 
BgL_localz00_2018 = BgL_localz00_3719; 
{ /* Integrate/cto.scm 122 */
BgL_nodez00_bglt BgL_arg3095z00_2986;
BgL_arg3095z00_2986 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2017))->BgL_argz00); 
{ /* Integrate/cto.scm 122 */
BgL_localz00_bglt BgL_localz00_2989;
BgL_localz00_2989 = 
(BgL_localz00_bglt)(BgL_localz00_2018); 
{ /* Integrate/cto.scm 122 */
obj_t BgL_method2953z00_2990;
{ /* Integrate/cto.scm 122 */
long BgL_objzd2classzd2numz00_2992;
{ /* Integrate/cto.scm 122 */
BgL_objectz00_bglt BgL_auxz00_4506;
BgL_auxz00_4506 = 
(BgL_objectz00_bglt)(BgL_arg3095z00_2986); 
BgL_objzd2classzd2numz00_2992 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4506); } 
{ /* Integrate/cto.scm 122 */
obj_t BgL_arg1221z00_2993;
{ /* Integrate/cto.scm 122 */
int BgL_auxz00_4509;
BgL_auxz00_4509 = 
(int)(((long)1)); 
BgL_arg1221z00_2993 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4509); } 
{ /* Integrate/cto.scm 122 */
long BgL_offsetz00_2997;
{ /* Integrate/cto.scm 122 */
long BgL_auxz00_4512;
{ /* Integrate/cto.scm 122 */
int BgL_auxz00_4513;
BgL_auxz00_4513 = 
(int)(BgL_objzd2classzd2numz00_2992); 
BgL_auxz00_4512 = 
(long)(BgL_auxz00_4513); } 
BgL_offsetz00_2997 = 
(BgL_auxz00_4512-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 122 */
long BgL_modz00_2998;
{ /* Integrate/cto.scm 122 */
long BgL_auxz00_4517;
{ /* Integrate/cto.scm 122 */
int BgL_auxz00_4518;
BgL_auxz00_4518 = 
(int)(((long)8)); 
BgL_auxz00_4517 = 
(long)(BgL_auxz00_4518); } 
BgL_modz00_2998 = 
(BgL_offsetz00_2997/BgL_auxz00_4517); } 
{ /* Integrate/cto.scm 122 */
long BgL_restz00_3000;
{ /* Integrate/cto.scm 122 */
long BgL_auxz00_4522;
{ /* Integrate/cto.scm 122 */
int BgL_auxz00_4523;
BgL_auxz00_4523 = 
(int)(((long)8)); 
BgL_auxz00_4522 = 
(long)(BgL_auxz00_4523); } 
BgL_restz00_3000 = 
(BgL_offsetz00_2997%BgL_auxz00_4522); } 
{ /* Integrate/cto.scm 122 */

{ /* Integrate/cto.scm 122 */
obj_t BgL_bucketz00_3002;
{ /* Integrate/cto.scm 122 */
int BgL_kz00_3012;
BgL_kz00_3012 = 
(int)(BgL_modz00_2998); 
BgL_bucketz00_3002 = 
VECTOR_REF(BgL_arg1221z00_2993,BgL_kz00_3012); } 
{ /* Integrate/cto.scm 122 */
int BgL_kz00_3014;
BgL_kz00_3014 = 
(int)(BgL_restz00_3000); 
BgL_method2953z00_2990 = 
VECTOR_REF(BgL_bucketz00_3002,BgL_kz00_3014); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_2990)(BgL_method2953z00_2990, 
(obj_t)(BgL_arg3095z00_2986), 
(obj_t)(BgL_localz00_2989), BEOA);} } } } } 
}



/* set-cto!-extern2971 */
obj_t BGl_setzd2ctoz12zd2extern2971z12zzintegrate_ctoz00(obj_t BgL_envz00_3720, obj_t BgL_nodez00_3721, obj_t BgL_localz00_3722)
{ AN_OBJECT;
{ /* Integrate/cto.scm 114 */
{ 
BgL_externz00_bglt BgL_nodez00_2004;obj_t BgL_localz00_2005;
{ /* Integrate/cto.scm 115 */
bool_t BgL_auxz00_4536;
BgL_nodez00_2004 = 
(BgL_externz00_bglt)(BgL_nodez00_3721); 
BgL_localz00_2005 = BgL_localz00_3722; 
{ 
obj_t BgL_l2926z00_2009;
BgL_l2926z00_2009 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_2004))->BgL_exprza2za2); 
BgL_lname2927z00_2010:
if(
PAIRP(BgL_l2926z00_2009))
{ /* Integrate/cto.scm 116 */
{ /* Integrate/cto.scm 116 */
BgL_nodez00_bglt BgL_nodez00_2957;BgL_localz00_bglt BgL_localz00_2958;
{ /* Integrate/cto.scm 116 */
obj_t BgL_auxz00_4539;
BgL_auxz00_4539 = 
CAR(BgL_l2926z00_2009); 
BgL_nodez00_2957 = 
(BgL_nodez00_bglt)(BgL_auxz00_4539); } 
BgL_localz00_2958 = 
(BgL_localz00_bglt)(BgL_localz00_2005); 
{ /* Integrate/cto.scm 116 */
obj_t BgL_method2953z00_2959;
{ /* Integrate/cto.scm 116 */
long BgL_objzd2classzd2numz00_2961;
{ /* Integrate/cto.scm 116 */
BgL_objectz00_bglt BgL_auxz00_4543;
BgL_auxz00_4543 = 
(BgL_objectz00_bglt)(BgL_nodez00_2957); 
BgL_objzd2classzd2numz00_2961 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4543); } 
{ /* Integrate/cto.scm 116 */
obj_t BgL_arg1221z00_2962;
{ /* Integrate/cto.scm 116 */
int BgL_auxz00_4546;
BgL_auxz00_4546 = 
(int)(((long)1)); 
BgL_arg1221z00_2962 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4546); } 
{ /* Integrate/cto.scm 116 */
long BgL_offsetz00_2966;
{ /* Integrate/cto.scm 116 */
long BgL_auxz00_4549;
{ /* Integrate/cto.scm 116 */
int BgL_auxz00_4550;
BgL_auxz00_4550 = 
(int)(BgL_objzd2classzd2numz00_2961); 
BgL_auxz00_4549 = 
(long)(BgL_auxz00_4550); } 
BgL_offsetz00_2966 = 
(BgL_auxz00_4549-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 116 */
long BgL_modz00_2967;
{ /* Integrate/cto.scm 116 */
long BgL_auxz00_4554;
{ /* Integrate/cto.scm 116 */
int BgL_auxz00_4555;
BgL_auxz00_4555 = 
(int)(((long)8)); 
BgL_auxz00_4554 = 
(long)(BgL_auxz00_4555); } 
BgL_modz00_2967 = 
(BgL_offsetz00_2966/BgL_auxz00_4554); } 
{ /* Integrate/cto.scm 116 */
long BgL_restz00_2969;
{ /* Integrate/cto.scm 116 */
long BgL_auxz00_4559;
{ /* Integrate/cto.scm 116 */
int BgL_auxz00_4560;
BgL_auxz00_4560 = 
(int)(((long)8)); 
BgL_auxz00_4559 = 
(long)(BgL_auxz00_4560); } 
BgL_restz00_2969 = 
(BgL_offsetz00_2966%BgL_auxz00_4559); } 
{ /* Integrate/cto.scm 116 */

{ /* Integrate/cto.scm 116 */
obj_t BgL_bucketz00_2971;
{ /* Integrate/cto.scm 116 */
int BgL_kz00_2981;
BgL_kz00_2981 = 
(int)(BgL_modz00_2967); 
BgL_bucketz00_2971 = 
VECTOR_REF(BgL_arg1221z00_2962,BgL_kz00_2981); } 
{ /* Integrate/cto.scm 116 */
int BgL_kz00_2983;
BgL_kz00_2983 = 
(int)(BgL_restz00_2969); 
BgL_method2953z00_2959 = 
VECTOR_REF(BgL_bucketz00_2971,BgL_kz00_2983); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_2959)(BgL_method2953z00_2959, 
(obj_t)(BgL_nodez00_2957), 
(obj_t)(BgL_localz00_2958), BEOA); } } 
{ 
obj_t BgL_l2926z00_4572;
BgL_l2926z00_4572 = 
CDR(BgL_l2926z00_2009); 
BgL_l2926z00_2009 = BgL_l2926z00_4572; 
goto BgL_lname2927z00_2010;} }  else 
{ /* Integrate/cto.scm 116 */
BgL_auxz00_4536 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4536);} } } 
}



/* set-cto!-funcall2969 */
obj_t BGl_setzd2ctoz12zd2funcall2969z12zzintegrate_ctoz00(obj_t BgL_envz00_3723, obj_t BgL_nodez00_3724, obj_t BgL_localz00_3725)
{ AN_OBJECT;
{ /* Integrate/cto.scm 102 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1990;obj_t BgL_localz00_1991;
BgL_nodez00_1990 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3724); 
BgL_localz00_1991 = BgL_localz00_3725; 
{ 
obj_t BgL_astsz00_1995;
BgL_astsz00_1995 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1990))->BgL_argsz00); 
BgL_liipz00_1996:
if(
NULLP(BgL_astsz00_1995))
{ /* Integrate/cto.scm 106 */
BgL_nodez00_bglt BgL_arg3086z00_1999;
BgL_arg3086z00_1999 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1990))->BgL_funz00); 
{ /* Integrate/cto.scm 106 */
BgL_localz00_bglt BgL_localz00_2899;
BgL_localz00_2899 = 
(BgL_localz00_bglt)(BgL_localz00_1991); 
{ /* Integrate/cto.scm 106 */
obj_t BgL_method2953z00_2900;
{ /* Integrate/cto.scm 106 */
long BgL_objzd2classzd2numz00_2902;
{ /* Integrate/cto.scm 106 */
BgL_objectz00_bglt BgL_auxz00_4581;
BgL_auxz00_4581 = 
(BgL_objectz00_bglt)(BgL_arg3086z00_1999); 
BgL_objzd2classzd2numz00_2902 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4581); } 
{ /* Integrate/cto.scm 106 */
obj_t BgL_arg1221z00_2903;
{ /* Integrate/cto.scm 106 */
int BgL_auxz00_4584;
BgL_auxz00_4584 = 
(int)(((long)1)); 
BgL_arg1221z00_2903 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4584); } 
{ /* Integrate/cto.scm 106 */
long BgL_offsetz00_2907;
{ /* Integrate/cto.scm 106 */
long BgL_auxz00_4587;
{ /* Integrate/cto.scm 106 */
int BgL_auxz00_4588;
BgL_auxz00_4588 = 
(int)(BgL_objzd2classzd2numz00_2902); 
BgL_auxz00_4587 = 
(long)(BgL_auxz00_4588); } 
BgL_offsetz00_2907 = 
(BgL_auxz00_4587-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 106 */
long BgL_modz00_2908;
{ /* Integrate/cto.scm 106 */
long BgL_auxz00_4592;
{ /* Integrate/cto.scm 106 */
int BgL_auxz00_4593;
BgL_auxz00_4593 = 
(int)(((long)8)); 
BgL_auxz00_4592 = 
(long)(BgL_auxz00_4593); } 
BgL_modz00_2908 = 
(BgL_offsetz00_2907/BgL_auxz00_4592); } 
{ /* Integrate/cto.scm 106 */
long BgL_restz00_2910;
{ /* Integrate/cto.scm 106 */
long BgL_auxz00_4597;
{ /* Integrate/cto.scm 106 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)8)); 
BgL_auxz00_4597 = 
(long)(BgL_auxz00_4598); } 
BgL_restz00_2910 = 
(BgL_offsetz00_2907%BgL_auxz00_4597); } 
{ /* Integrate/cto.scm 106 */

{ /* Integrate/cto.scm 106 */
obj_t BgL_bucketz00_2912;
{ /* Integrate/cto.scm 106 */
int BgL_kz00_2922;
BgL_kz00_2922 = 
(int)(BgL_modz00_2908); 
BgL_bucketz00_2912 = 
VECTOR_REF(BgL_arg1221z00_2903,BgL_kz00_2922); } 
{ /* Integrate/cto.scm 106 */
int BgL_kz00_2924;
BgL_kz00_2924 = 
(int)(BgL_restz00_2910); 
BgL_method2953z00_2900 = 
VECTOR_REF(BgL_bucketz00_2912,BgL_kz00_2924); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_2900)(BgL_method2953z00_2900, 
(obj_t)(BgL_arg3086z00_1999), 
(obj_t)(BgL_localz00_2899), BEOA);} } }  else 
{ /* Integrate/cto.scm 105 */
{ /* Integrate/cto.scm 108 */
BgL_nodez00_bglt BgL_nodez00_2926;BgL_localz00_bglt BgL_localz00_2927;
{ /* Integrate/cto.scm 108 */
obj_t BgL_auxz00_4610;
BgL_auxz00_4610 = 
CAR(BgL_astsz00_1995); 
BgL_nodez00_2926 = 
(BgL_nodez00_bglt)(BgL_auxz00_4610); } 
BgL_localz00_2927 = 
(BgL_localz00_bglt)(BgL_localz00_1991); 
{ /* Integrate/cto.scm 108 */
obj_t BgL_method2953z00_2928;
{ /* Integrate/cto.scm 108 */
long BgL_objzd2classzd2numz00_2930;
{ /* Integrate/cto.scm 108 */
BgL_objectz00_bglt BgL_auxz00_4614;
BgL_auxz00_4614 = 
(BgL_objectz00_bglt)(BgL_nodez00_2926); 
BgL_objzd2classzd2numz00_2930 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4614); } 
{ /* Integrate/cto.scm 108 */
obj_t BgL_arg1221z00_2931;
{ /* Integrate/cto.scm 108 */
int BgL_auxz00_4617;
BgL_auxz00_4617 = 
(int)(((long)1)); 
BgL_arg1221z00_2931 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4617); } 
{ /* Integrate/cto.scm 108 */
long BgL_offsetz00_2935;
{ /* Integrate/cto.scm 108 */
long BgL_auxz00_4620;
{ /* Integrate/cto.scm 108 */
int BgL_auxz00_4621;
BgL_auxz00_4621 = 
(int)(BgL_objzd2classzd2numz00_2930); 
BgL_auxz00_4620 = 
(long)(BgL_auxz00_4621); } 
BgL_offsetz00_2935 = 
(BgL_auxz00_4620-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 108 */
long BgL_modz00_2936;
{ /* Integrate/cto.scm 108 */
long BgL_auxz00_4625;
{ /* Integrate/cto.scm 108 */
int BgL_auxz00_4626;
BgL_auxz00_4626 = 
(int)(((long)8)); 
BgL_auxz00_4625 = 
(long)(BgL_auxz00_4626); } 
BgL_modz00_2936 = 
(BgL_offsetz00_2935/BgL_auxz00_4625); } 
{ /* Integrate/cto.scm 108 */
long BgL_restz00_2938;
{ /* Integrate/cto.scm 108 */
long BgL_auxz00_4630;
{ /* Integrate/cto.scm 108 */
int BgL_auxz00_4631;
BgL_auxz00_4631 = 
(int)(((long)8)); 
BgL_auxz00_4630 = 
(long)(BgL_auxz00_4631); } 
BgL_restz00_2938 = 
(BgL_offsetz00_2935%BgL_auxz00_4630); } 
{ /* Integrate/cto.scm 108 */

{ /* Integrate/cto.scm 108 */
obj_t BgL_bucketz00_2940;
{ /* Integrate/cto.scm 108 */
int BgL_kz00_2950;
BgL_kz00_2950 = 
(int)(BgL_modz00_2936); 
BgL_bucketz00_2940 = 
VECTOR_REF(BgL_arg1221z00_2931,BgL_kz00_2950); } 
{ /* Integrate/cto.scm 108 */
int BgL_kz00_2952;
BgL_kz00_2952 = 
(int)(BgL_restz00_2938); 
BgL_method2953z00_2928 = 
VECTOR_REF(BgL_bucketz00_2940,BgL_kz00_2952); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_2928)(BgL_method2953z00_2928, 
(obj_t)(BgL_nodez00_2926), 
(obj_t)(BgL_localz00_2927), BEOA); } } 
{ 
obj_t BgL_astsz00_4643;
BgL_astsz00_4643 = 
CDR(BgL_astsz00_1995); 
BgL_astsz00_1995 = BgL_astsz00_4643; 
goto BgL_liipz00_1996;} } } } } 
}



/* set-cto!-app-ly2967 */
obj_t BGl_setzd2ctoz12zd2appzd2ly2967zc0zzintegrate_ctoz00(obj_t BgL_envz00_3726, obj_t BgL_nodez00_3727, obj_t BgL_localz00_3728)
{ AN_OBJECT;
{ /* Integrate/cto.scm 94 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1981;obj_t BgL_localz00_1982;
BgL_nodez00_1981 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3727); 
BgL_localz00_1982 = BgL_localz00_3728; 
{ /* Integrate/cto.scm 95 */
BgL_nodez00_bglt BgL_arg3081z00_2837;
BgL_arg3081z00_2837 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1981))->BgL_funz00); 
{ /* Integrate/cto.scm 95 */
BgL_localz00_bglt BgL_localz00_2841;
BgL_localz00_2841 = 
(BgL_localz00_bglt)(BgL_localz00_1982); 
{ /* Integrate/cto.scm 95 */
obj_t BgL_method2953z00_2842;
{ /* Integrate/cto.scm 95 */
long BgL_objzd2classzd2numz00_2844;
{ /* Integrate/cto.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4649;
BgL_auxz00_4649 = 
(BgL_objectz00_bglt)(BgL_arg3081z00_2837); 
BgL_objzd2classzd2numz00_2844 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4649); } 
{ /* Integrate/cto.scm 95 */
obj_t BgL_arg1221z00_2845;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)1)); 
BgL_arg1221z00_2845 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4652); } 
{ /* Integrate/cto.scm 95 */
long BgL_offsetz00_2849;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4655;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4656;
BgL_auxz00_4656 = 
(int)(BgL_objzd2classzd2numz00_2844); 
BgL_auxz00_4655 = 
(long)(BgL_auxz00_4656); } 
BgL_offsetz00_2849 = 
(BgL_auxz00_4655-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 95 */
long BgL_modz00_2850;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4660;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4661;
BgL_auxz00_4661 = 
(int)(((long)8)); 
BgL_auxz00_4660 = 
(long)(BgL_auxz00_4661); } 
BgL_modz00_2850 = 
(BgL_offsetz00_2849/BgL_auxz00_4660); } 
{ /* Integrate/cto.scm 95 */
long BgL_restz00_2852;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4665;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4666;
BgL_auxz00_4666 = 
(int)(((long)8)); 
BgL_auxz00_4665 = 
(long)(BgL_auxz00_4666); } 
BgL_restz00_2852 = 
(BgL_offsetz00_2849%BgL_auxz00_4665); } 
{ /* Integrate/cto.scm 95 */

{ /* Integrate/cto.scm 95 */
obj_t BgL_bucketz00_2854;
{ /* Integrate/cto.scm 95 */
int BgL_kz00_2864;
BgL_kz00_2864 = 
(int)(BgL_modz00_2850); 
BgL_bucketz00_2854 = 
VECTOR_REF(BgL_arg1221z00_2845,BgL_kz00_2864); } 
{ /* Integrate/cto.scm 95 */
int BgL_kz00_2866;
BgL_kz00_2866 = 
(int)(BgL_restz00_2852); 
BgL_method2953z00_2842 = 
VECTOR_REF(BgL_bucketz00_2854,BgL_kz00_2866); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_2842)(BgL_method2953z00_2842, 
(obj_t)(BgL_arg3081z00_2837), 
(obj_t)(BgL_localz00_2841), BEOA); } } } 
{ /* Integrate/cto.scm 95 */
BgL_nodez00_bglt BgL_arg3082z00_2838;
BgL_arg3082z00_2838 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1981))->BgL_argz00); 
{ /* Integrate/cto.scm 95 */
BgL_localz00_bglt BgL_localz00_2869;
BgL_localz00_2869 = 
(BgL_localz00_bglt)(BgL_localz00_1982); 
{ /* Integrate/cto.scm 95 */
obj_t BgL_method2953z00_2870;
{ /* Integrate/cto.scm 95 */
long BgL_objzd2classzd2numz00_2872;
{ /* Integrate/cto.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4680;
BgL_auxz00_4680 = 
(BgL_objectz00_bglt)(BgL_arg3082z00_2838); 
BgL_objzd2classzd2numz00_2872 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4680); } 
{ /* Integrate/cto.scm 95 */
obj_t BgL_arg1221z00_2873;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4683;
BgL_auxz00_4683 = 
(int)(((long)1)); 
BgL_arg1221z00_2873 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4683); } 
{ /* Integrate/cto.scm 95 */
long BgL_offsetz00_2877;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4686;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4687;
BgL_auxz00_4687 = 
(int)(BgL_objzd2classzd2numz00_2872); 
BgL_auxz00_4686 = 
(long)(BgL_auxz00_4687); } 
BgL_offsetz00_2877 = 
(BgL_auxz00_4686-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 95 */
long BgL_modz00_2878;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4691;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4692;
BgL_auxz00_4692 = 
(int)(((long)8)); 
BgL_auxz00_4691 = 
(long)(BgL_auxz00_4692); } 
BgL_modz00_2878 = 
(BgL_offsetz00_2877/BgL_auxz00_4691); } 
{ /* Integrate/cto.scm 95 */
long BgL_restz00_2880;
{ /* Integrate/cto.scm 95 */
long BgL_auxz00_4696;
{ /* Integrate/cto.scm 95 */
int BgL_auxz00_4697;
BgL_auxz00_4697 = 
(int)(((long)8)); 
BgL_auxz00_4696 = 
(long)(BgL_auxz00_4697); } 
BgL_restz00_2880 = 
(BgL_offsetz00_2877%BgL_auxz00_4696); } 
{ /* Integrate/cto.scm 95 */

{ /* Integrate/cto.scm 95 */
obj_t BgL_bucketz00_2882;
{ /* Integrate/cto.scm 95 */
int BgL_kz00_2892;
BgL_kz00_2892 = 
(int)(BgL_modz00_2878); 
BgL_bucketz00_2882 = 
VECTOR_REF(BgL_arg1221z00_2873,BgL_kz00_2892); } 
{ /* Integrate/cto.scm 95 */
int BgL_kz00_2894;
BgL_kz00_2894 = 
(int)(BgL_restz00_2880); 
BgL_method2953z00_2870 = 
VECTOR_REF(BgL_bucketz00_2882,BgL_kz00_2894); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_2870)(BgL_method2953z00_2870, 
(obj_t)(BgL_arg3082z00_2838), 
(obj_t)(BgL_localz00_2869), BEOA);} } } } } 
}



/* set-cto!-app2965 */
obj_t BGl_setzd2ctoz12zd2app2965z12zzintegrate_ctoz00(obj_t BgL_envz00_3729, obj_t BgL_nodez00_3730, obj_t BgL_localz00_3731)
{ AN_OBJECT;
{ /* Integrate/cto.scm 64 */
{ 
BgL_appz00_bglt BgL_nodez00_1951;obj_t BgL_localz00_1952;
BgL_nodez00_1951 = 
(BgL_appz00_bglt)(BgL_nodez00_3730); 
BgL_localz00_1952 = BgL_localz00_3731; 
{ /* Integrate/cto.scm 68 */
BgL_variablez00_bglt BgL_funz00_1956;
{ /* Integrate/cto.scm 68 */
BgL_varz00_bglt BgL_arg3075z00_1972;
BgL_arg3075z00_1972 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1951))->BgL_funz00); 
BgL_funz00_1956 = 
(((BgL_varz00_bglt)CREF(BgL_arg3075z00_1972))->BgL_variablez00); } 
{ /* Integrate/cto.scm 69 */
bool_t BgL_test3060z00_1957;
{ /* Integrate/cto.scm 69 */
bool_t BgL_test3061z00_1958;
BgL_test3061z00_1958 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1956), BGl_localz00zzast_varz00); 
if(BgL_test3061z00_1958)
{ /* Integrate/cto.scm 69 */
bool_t BgL_testz00_4715;
{ /* Integrate/cto.scm 69 */
obj_t BgL_auxz00_4716;
BgL_auxz00_4716 = 
(obj_t)(BgL_funz00_1956); 
BgL_testz00_4715 = 
(BgL_localz00_1952==BgL_auxz00_4716); } 
if(BgL_testz00_4715)
{ /* Integrate/cto.scm 69 */
BgL_test3060z00_1957 = ((bool_t)0); }  else 
{ /* Integrate/cto.scm 69 */
BgL_test3060z00_1957 = ((bool_t)1); } }  else 
{ /* Integrate/cto.scm 69 */
BgL_test3060z00_1957 = ((bool_t)0); } } 
if(BgL_test3060z00_1957)
{ /* Integrate/cto.scm 69 */BNIL; }  else 
{ /* Integrate/cto.scm 69 */BFALSE; } } 
{ /* Integrate/cto.scm 76 */
bool_t BgL_test3063z00_1960;
{ /* Integrate/cto.scm 76 */
bool_t BgL_test3068z00_1965;
BgL_test3068z00_1965 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1956), BGl_localz00zzast_varz00); 
if(BgL_test3068z00_1965)
{ /* Integrate/cto.scm 77 */
bool_t BgL_testz00_4723;
{ /* Integrate/cto.scm 77 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_2797;
{ /* Integrate/cto.scm 77 */
BgL_valuez00_bglt BgL_auxz00_4724;
{ /* Integrate/cto.scm 77 */
BgL_localz00_bglt BgL_obj1255z00_2796;
BgL_obj1255z00_2796 = 
(BgL_localz00_bglt)(BgL_funz00_1956); 
BgL_auxz00_4724 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2796))->BgL_valuez00); } 
BgL_obj2860z00_2797 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_4724); } 
{ 
obj_t BgL_auxz00_4728;
{ /* Integrate/cto.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4729;
BgL_auxz00_4729 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_2797); 
BgL_auxz00_4728 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4729); } 
BgL_testz00_4723 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4728))->BgL_gzf3zf3); } } 
if(BgL_testz00_4723)
{ /* Integrate/cto.scm 78 */
bool_t BgL_testz00_4733;
{ /* Integrate/cto.scm 78 */
obj_t BgL_auxz00_4734;
BgL_auxz00_4734 = 
(obj_t)(BgL_funz00_1956); 
BgL_testz00_4733 = 
(BgL_localz00_1952==BgL_auxz00_4734); } 
if(BgL_testz00_4733)
{ /* Integrate/cto.scm 78 */
BgL_test3063z00_1960 = ((bool_t)0); }  else 
{ /* Integrate/cto.scm 79 */
bool_t BgL_testz00_4737;
{ /* Integrate/cto.scm 79 */
obj_t BgL_auxz00_4738;
{ /* Integrate/cto.scm 79 */
obj_t BgL_auxz00_4739;
{ /* Integrate/cto.scm 79 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2839z00_2799;
{ /* Integrate/cto.scm 79 */
BgL_valuez00_bglt BgL_auxz00_4741;
{ /* Integrate/cto.scm 79 */
BgL_localz00_bglt BgL_obj1255z00_2798;
BgL_obj1255z00_2798 = 
(BgL_localz00_bglt)(BgL_localz00_1952); 
BgL_auxz00_4741 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2798))->BgL_valuez00); } 
BgL_obj2839z00_2799 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_4741); } 
{ 
obj_t BgL_auxz00_4745;
{ /* Integrate/cto.scm 79 */
BgL_objectz00_bglt BgL_auxz00_4746;
BgL_auxz00_4746 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_2799); 
BgL_auxz00_4745 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4746); } 
BgL_auxz00_4739 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4745))->BgL_ctoz00); } } 
BgL_auxz00_4738 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_funz00_1956), BgL_auxz00_4739); } 
BgL_testz00_4737 = 
CBOOL(BgL_auxz00_4738); } 
if(BgL_testz00_4737)
{ /* Integrate/cto.scm 79 */
BgL_test3063z00_1960 = ((bool_t)0); }  else 
{ /* Integrate/cto.scm 79 */
BgL_test3063z00_1960 = ((bool_t)1); } } }  else 
{ /* Integrate/cto.scm 77 */
BgL_test3063z00_1960 = ((bool_t)0); } }  else 
{ /* Integrate/cto.scm 76 */
BgL_test3063z00_1960 = ((bool_t)0); } } 
if(BgL_test3063z00_1960)
{ /* Integrate/cto.scm 80 */
BgL_valuez00_bglt BgL_arg3064z00_1961;obj_t BgL_arg3065z00_1962;
{ /* Integrate/cto.scm 80 */
BgL_localz00_bglt BgL_obj1255z00_2800;
BgL_obj1255z00_2800 = 
(BgL_localz00_bglt)(BgL_localz00_1952); 
BgL_arg3064z00_1961 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2800))->BgL_valuez00); } 
{ /* Integrate/cto.scm 81 */
obj_t BgL_auxz00_4757;obj_t BgL_auxz00_4755;
{ /* Integrate/cto.scm 82 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2839z00_2802;
{ /* Integrate/cto.scm 83 */
BgL_valuez00_bglt BgL_auxz00_4758;
{ /* Integrate/cto.scm 83 */
BgL_localz00_bglt BgL_obj1255z00_2801;
BgL_obj1255z00_2801 = 
(BgL_localz00_bglt)(BgL_localz00_1952); 
BgL_auxz00_4758 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2801))->BgL_valuez00); } 
BgL_obj2839z00_2802 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_4758); } 
{ 
obj_t BgL_auxz00_4762;
{ /* Integrate/cto.scm 82 */
BgL_objectz00_bglt BgL_auxz00_4763;
BgL_auxz00_4763 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_2802); 
BgL_auxz00_4762 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4763); } 
BgL_auxz00_4757 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4762))->BgL_ctoz00); } } 
BgL_auxz00_4755 = 
(obj_t)(BgL_funz00_1956); 
BgL_arg3065z00_1962 = 
MAKE_PAIR(BgL_auxz00_4755, BgL_auxz00_4757); } 
{ /* Integrate/cto.scm 80 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2841z00_2803;
BgL_obj2841z00_2803 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_arg3064z00_1961); 
{ 
obj_t BgL_auxz00_4769;
{ /* Integrate/cto.scm 80 */
BgL_objectz00_bglt BgL_auxz00_4770;
BgL_auxz00_4770 = 
(BgL_objectz00_bglt)(BgL_obj2841z00_2803); 
BgL_auxz00_4769 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4770); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4769))->BgL_ctoz00) = ((obj_t)BgL_arg3065z00_1962), BUNSPEC); } } }  else 
{ /* Integrate/cto.scm 76 */BFALSE; } } } 
{ 
obj_t BgL_astsz00_1973;
BgL_astsz00_1973 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1951))->BgL_argsz00); 
BgL_liipz00_1974:
if(
NULLP(BgL_astsz00_1973))
{ /* Integrate/cto.scm 85 */
return BUNSPEC;}  else 
{ /* Integrate/cto.scm 85 */
{ /* Integrate/cto.scm 88 */
BgL_nodez00_bglt BgL_nodez00_2808;BgL_localz00_bglt BgL_localz00_2809;
{ /* Integrate/cto.scm 88 */
obj_t BgL_auxz00_4776;
BgL_auxz00_4776 = 
CAR(BgL_astsz00_1973); 
BgL_nodez00_2808 = 
(BgL_nodez00_bglt)(BgL_auxz00_4776); } 
BgL_localz00_2809 = 
(BgL_localz00_bglt)(BgL_localz00_1952); 
{ /* Integrate/cto.scm 88 */
obj_t BgL_method2953z00_2810;
{ /* Integrate/cto.scm 88 */
long BgL_objzd2classzd2numz00_2812;
{ /* Integrate/cto.scm 88 */
BgL_objectz00_bglt BgL_auxz00_4780;
BgL_auxz00_4780 = 
(BgL_objectz00_bglt)(BgL_nodez00_2808); 
BgL_objzd2classzd2numz00_2812 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4780); } 
{ /* Integrate/cto.scm 88 */
obj_t BgL_arg1221z00_2813;
{ /* Integrate/cto.scm 88 */
int BgL_auxz00_4783;
BgL_auxz00_4783 = 
(int)(((long)1)); 
BgL_arg1221z00_2813 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4783); } 
{ /* Integrate/cto.scm 88 */
long BgL_offsetz00_2817;
{ /* Integrate/cto.scm 88 */
long BgL_auxz00_4786;
{ /* Integrate/cto.scm 88 */
int BgL_auxz00_4787;
BgL_auxz00_4787 = 
(int)(BgL_objzd2classzd2numz00_2812); 
BgL_auxz00_4786 = 
(long)(BgL_auxz00_4787); } 
BgL_offsetz00_2817 = 
(BgL_auxz00_4786-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 88 */
long BgL_modz00_2818;
{ /* Integrate/cto.scm 88 */
long BgL_auxz00_4791;
{ /* Integrate/cto.scm 88 */
int BgL_auxz00_4792;
BgL_auxz00_4792 = 
(int)(((long)8)); 
BgL_auxz00_4791 = 
(long)(BgL_auxz00_4792); } 
BgL_modz00_2818 = 
(BgL_offsetz00_2817/BgL_auxz00_4791); } 
{ /* Integrate/cto.scm 88 */
long BgL_restz00_2820;
{ /* Integrate/cto.scm 88 */
long BgL_auxz00_4796;
{ /* Integrate/cto.scm 88 */
int BgL_auxz00_4797;
BgL_auxz00_4797 = 
(int)(((long)8)); 
BgL_auxz00_4796 = 
(long)(BgL_auxz00_4797); } 
BgL_restz00_2820 = 
(BgL_offsetz00_2817%BgL_auxz00_4796); } 
{ /* Integrate/cto.scm 88 */

{ /* Integrate/cto.scm 88 */
obj_t BgL_bucketz00_2822;
{ /* Integrate/cto.scm 88 */
int BgL_kz00_2832;
BgL_kz00_2832 = 
(int)(BgL_modz00_2818); 
BgL_bucketz00_2822 = 
VECTOR_REF(BgL_arg1221z00_2813,BgL_kz00_2832); } 
{ /* Integrate/cto.scm 88 */
int BgL_kz00_2834;
BgL_kz00_2834 = 
(int)(BgL_restz00_2820); 
BgL_method2953z00_2810 = 
VECTOR_REF(BgL_bucketz00_2822,BgL_kz00_2834); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_2810)(BgL_method2953z00_2810, 
(obj_t)(BgL_nodez00_2808), 
(obj_t)(BgL_localz00_2809), BEOA); } } 
{ 
obj_t BgL_astsz00_4809;
BgL_astsz00_4809 = 
CDR(BgL_astsz00_1973); 
BgL_astsz00_1973 = BgL_astsz00_4809; 
goto BgL_liipz00_1974;} } } } } 
}



/* set-cto!-sequence2963 */
obj_t BGl_setzd2ctoz12zd2sequence2963z12zzintegrate_ctoz00(obj_t BgL_envz00_3732, obj_t BgL_nodez00_3733, obj_t BgL_localz00_3734)
{ AN_OBJECT;
{ /* Integrate/cto.scm 57 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1938;obj_t BgL_localz00_1939;
{ /* Integrate/cto.scm 58 */
bool_t BgL_auxz00_4813;
BgL_nodez00_1938 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3733); 
BgL_localz00_1939 = BgL_localz00_3734; 
{ 
obj_t BgL_l2916z00_1943;
BgL_l2916z00_1943 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1938))->BgL_nodesz00); 
BgL_lname2917z00_1944:
if(
PAIRP(BgL_l2916z00_1943))
{ /* Integrate/cto.scm 59 */
{ /* Integrate/cto.scm 59 */
BgL_nodez00_bglt BgL_nodez00_2764;BgL_localz00_bglt BgL_localz00_2765;
{ /* Integrate/cto.scm 59 */
obj_t BgL_auxz00_4816;
BgL_auxz00_4816 = 
CAR(BgL_l2916z00_1943); 
BgL_nodez00_2764 = 
(BgL_nodez00_bglt)(BgL_auxz00_4816); } 
BgL_localz00_2765 = 
(BgL_localz00_bglt)(BgL_localz00_1939); 
{ /* Integrate/cto.scm 59 */
obj_t BgL_method2953z00_2766;
{ /* Integrate/cto.scm 59 */
long BgL_objzd2classzd2numz00_2768;
{ /* Integrate/cto.scm 59 */
BgL_objectz00_bglt BgL_auxz00_4820;
BgL_auxz00_4820 = 
(BgL_objectz00_bglt)(BgL_nodez00_2764); 
BgL_objzd2classzd2numz00_2768 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4820); } 
{ /* Integrate/cto.scm 59 */
obj_t BgL_arg1221z00_2769;
{ /* Integrate/cto.scm 59 */
int BgL_auxz00_4823;
BgL_auxz00_4823 = 
(int)(((long)1)); 
BgL_arg1221z00_2769 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4823); } 
{ /* Integrate/cto.scm 59 */
long BgL_offsetz00_2773;
{ /* Integrate/cto.scm 59 */
long BgL_auxz00_4826;
{ /* Integrate/cto.scm 59 */
int BgL_auxz00_4827;
BgL_auxz00_4827 = 
(int)(BgL_objzd2classzd2numz00_2768); 
BgL_auxz00_4826 = 
(long)(BgL_auxz00_4827); } 
BgL_offsetz00_2773 = 
(BgL_auxz00_4826-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 59 */
long BgL_modz00_2774;
{ /* Integrate/cto.scm 59 */
long BgL_auxz00_4831;
{ /* Integrate/cto.scm 59 */
int BgL_auxz00_4832;
BgL_auxz00_4832 = 
(int)(((long)8)); 
BgL_auxz00_4831 = 
(long)(BgL_auxz00_4832); } 
BgL_modz00_2774 = 
(BgL_offsetz00_2773/BgL_auxz00_4831); } 
{ /* Integrate/cto.scm 59 */
long BgL_restz00_2776;
{ /* Integrate/cto.scm 59 */
long BgL_auxz00_4836;
{ /* Integrate/cto.scm 59 */
int BgL_auxz00_4837;
BgL_auxz00_4837 = 
(int)(((long)8)); 
BgL_auxz00_4836 = 
(long)(BgL_auxz00_4837); } 
BgL_restz00_2776 = 
(BgL_offsetz00_2773%BgL_auxz00_4836); } 
{ /* Integrate/cto.scm 59 */

{ /* Integrate/cto.scm 59 */
obj_t BgL_bucketz00_2778;
{ /* Integrate/cto.scm 59 */
int BgL_kz00_2788;
BgL_kz00_2788 = 
(int)(BgL_modz00_2774); 
BgL_bucketz00_2778 = 
VECTOR_REF(BgL_arg1221z00_2769,BgL_kz00_2788); } 
{ /* Integrate/cto.scm 59 */
int BgL_kz00_2790;
BgL_kz00_2790 = 
(int)(BgL_restz00_2776); 
BgL_method2953z00_2766 = 
VECTOR_REF(BgL_bucketz00_2778,BgL_kz00_2790); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2953z00_2766)(BgL_method2953z00_2766, 
(obj_t)(BgL_nodez00_2764), 
(obj_t)(BgL_localz00_2765), BEOA); } } 
{ 
obj_t BgL_l2916z00_4849;
BgL_l2916z00_4849 = 
CDR(BgL_l2916z00_1943); 
BgL_l2916z00_1943 = BgL_l2916z00_4849; 
goto BgL_lname2917z00_1944;} }  else 
{ /* Integrate/cto.scm 59 */
BgL_auxz00_4813 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4813);} } } 
}



/* set-cto!-closure2961 */
obj_t BGl_setzd2ctoz12zd2closure2961z12zzintegrate_ctoz00(obj_t BgL_envz00_3735, obj_t BgL_nodez00_3736, obj_t BgL_localz00_3737)
{ AN_OBJECT;
{ /* Integrate/cto.scm 51 */
{ 
BgL_closurez00_bglt BgL_nodez00_1929;obj_t BgL_localz00_1930;
BgL_nodez00_1929 = 
(BgL_closurez00_bglt)(BgL_nodez00_3736); 
BgL_localz00_1930 = BgL_localz00_3737; 
{ /* Integrate/cto.scm 52 */
obj_t BgL_arg3054z00_2760;
BgL_arg3054z00_2760 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1929)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3230z00zzintegrate_ctoz00, BGl_string3231z00zzintegrate_ctoz00, BgL_arg3054z00_2760);} } } 
}



/* set-cto!-var2959 */
obj_t BGl_setzd2ctoz12zd2var2959z12zzintegrate_ctoz00(obj_t BgL_envz00_3738, obj_t BgL_nodez00_3739, obj_t BgL_localz00_3740)
{ AN_OBJECT;
{ /* Integrate/cto.scm 45 */
{ 
BgL_varz00_bglt BgL_nodez00_1923;obj_t BgL_localz00_1924;
BgL_nodez00_1923 = 
(BgL_varz00_bglt)(BgL_nodez00_3739); 
BgL_localz00_1924 = BgL_localz00_3740; 
return BUNSPEC;} } 
}



/* set-cto!-kwote2957 */
obj_t BGl_setzd2ctoz12zd2kwote2957z12zzintegrate_ctoz00(obj_t BgL_envz00_3741, obj_t BgL_nodez00_3742, obj_t BgL_localz00_3743)
{ AN_OBJECT;
{ /* Integrate/cto.scm 39 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1917;obj_t BgL_localz00_1918;
BgL_nodez00_1917 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3742); 
BgL_localz00_1918 = BgL_localz00_3743; 
return BUNSPEC;} } 
}



/* set-cto!-atom2955 */
obj_t BGl_setzd2ctoz12zd2atom2955z12zzintegrate_ctoz00(obj_t BgL_envz00_3744, obj_t BgL_nodez00_3745, obj_t BgL_localz00_3746)
{ AN_OBJECT;
{ /* Integrate/cto.scm 33 */
{ 
BgL_atomz00_bglt BgL_nodez00_1911;obj_t BgL_localz00_1912;
BgL_nodez00_1911 = 
(BgL_atomz00_bglt)(BgL_nodez00_3745); 
BgL_localz00_1912 = BgL_localz00_3746; 
return BUNSPEC;} } 
}



/* set-cto! */
obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt BgL_nodez00_1, BgL_localz00_bglt BgL_localz00_2)
{ AN_OBJECT;
{ /* Integrate/cto.scm 28 */
{ /* Integrate/cto.scm 28 */
obj_t BgL_method2953z00_3632;
{ /* Integrate/cto.scm 28 */
long BgL_objzd2classzd2numz00_3634;
{ /* Integrate/cto.scm 28 */
BgL_objectz00_bglt BgL_auxz00_4861;
BgL_auxz00_4861 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
BgL_objzd2classzd2numz00_3634 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4861); } 
{ /* Integrate/cto.scm 28 */
obj_t BgL_arg1221z00_3635;
{ /* Integrate/cto.scm 28 */
int BgL_auxz00_4864;
BgL_auxz00_4864 = 
(int)(((long)1)); 
BgL_arg1221z00_3635 = 
PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BgL_auxz00_4864); } 
{ /* Integrate/cto.scm 28 */
long BgL_offsetz00_3639;
{ /* Integrate/cto.scm 28 */
long BgL_auxz00_4867;
{ /* Integrate/cto.scm 28 */
int BgL_auxz00_4868;
BgL_auxz00_4868 = 
(int)(BgL_objzd2classzd2numz00_3634); 
BgL_auxz00_4867 = 
(long)(BgL_auxz00_4868); } 
BgL_offsetz00_3639 = 
(BgL_auxz00_4867-OBJECT_TYPE); } 
{ /* Integrate/cto.scm 28 */
long BgL_modz00_3640;
{ /* Integrate/cto.scm 28 */
long BgL_auxz00_4872;
{ /* Integrate/cto.scm 28 */
int BgL_auxz00_4873;
BgL_auxz00_4873 = 
(int)(((long)8)); 
BgL_auxz00_4872 = 
(long)(BgL_auxz00_4873); } 
BgL_modz00_3640 = 
(BgL_offsetz00_3639/BgL_auxz00_4872); } 
{ /* Integrate/cto.scm 28 */
long BgL_restz00_3642;
{ /* Integrate/cto.scm 28 */
long BgL_auxz00_4877;
{ /* Integrate/cto.scm 28 */
int BgL_auxz00_4878;
BgL_auxz00_4878 = 
(int)(((long)8)); 
BgL_auxz00_4877 = 
(long)(BgL_auxz00_4878); } 
BgL_restz00_3642 = 
(BgL_offsetz00_3639%BgL_auxz00_4877); } 
{ /* Integrate/cto.scm 28 */

{ /* Integrate/cto.scm 28 */
obj_t BgL_bucketz00_3644;
{ /* Integrate/cto.scm 28 */
int BgL_kz00_3654;
BgL_kz00_3654 = 
(int)(BgL_modz00_3640); 
BgL_bucketz00_3644 = 
VECTOR_REF(BgL_arg1221z00_3635,BgL_kz00_3654); } 
{ /* Integrate/cto.scm 28 */
int BgL_kz00_3656;
BgL_kz00_3656 = 
(int)(BgL_restz00_3642); 
BgL_method2953z00_3632 = 
VECTOR_REF(BgL_bucketz00_3644,BgL_kz00_3656); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2953z00_3632)(BgL_method2953z00_3632, 
(obj_t)(BgL_nodez00_1), 
(obj_t)(BgL_localz00_2), BEOA);} } 
}



/* _set-cto! */
obj_t BGl__setzd2ctoz12zc0zzintegrate_ctoz00(obj_t BgL_envz00_3661, obj_t BgL_nodez00_3662, obj_t BgL_localz00_3663)
{ AN_OBJECT;
{ /* Integrate/cto.scm 28 */
return 
BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
(BgL_nodez00_bglt)(BgL_nodez00_3662), 
(BgL_localz00_bglt)(BgL_localz00_3663));} 
}



/* set-cto!-default2952 */
obj_t BGl_setzd2ctoz12zd2default2952z12zzintegrate_ctoz00(BgL_nodez00_bglt BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
{ 
obj_t BgL_auxz00_4895;obj_t BgL_auxz00_4893;
BgL_auxz00_4895 = 
(obj_t)(BgL_nodez00_3); 
BgL_auxz00_4893 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_4893,BGl_string3232z00zzintegrate_ctoz00,BgL_auxz00_4895);} } 
}



/* _set-cto!-default2952 */
obj_t BGl__setzd2ctoz12zd2default2952z12zzintegrate_ctoz00(obj_t BgL_envz00_3747, obj_t BgL_nodez00_3748, obj_t BgL_localz00_3749)
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
return 
BGl_setzd2ctoz12zd2default2952z12zzintegrate_ctoz00(
(BgL_nodez00_bglt)(BgL_nodez00_3748), 
(BgL_localz00_bglt)(BgL_localz00_3749));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00()
{ AN_OBJECT;
{ /* Integrate/cto.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_cto"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_cto"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_cto");} 
}

