/*===========================================================================*/
/*   (Integrate/free.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzintegrate_freez00();
static obj_t BGl_nodezd2freezd2letzd2var2990zd2zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2cast2978z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2conditional2982z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2freezd2makezd2box2996zd2zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2letzd2fun2988zd2zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_nodezd2freezd2setq2980z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static long BGl_za2roundza2z00zzintegrate_freez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl__getzd2freezd2varsz00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt);
static obj_t BGl_nodezd2freezd2jumpzd2exzd2it2994z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2app2970z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzintegrate_freez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_freez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_nodezd2freezd2boxzd2setz123000zc0zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t, obj_t);
static obj_t BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt, BgL_localz00_bglt);
static obj_t BGl_nodezd2freezd2sequence2968z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_nodezd2freezd2boxzd2ref2998zd2zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2select2986z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t, BgL_localz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2freezd2default2961z00zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd2freezd2fail2984z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt, BgL_localz00_bglt);
static obj_t BGl__nodezd2freezd2default2961z00zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt, BgL_localz00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__freezd2fromzd2zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_nodezd2freezd2appzd2ly2972zd2zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2setzd2exzd2it2992z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_freez00 = BUNSPEC;
static obj_t BGl_nodezd2freezd2closure2966z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2extern2976z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2freezd2funcall2974z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
static obj_t BGl_nodezd2freezd2var2964z00zzintegrate_freez00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2freezd2zzintegrate_freez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t *__cnst;

DEFINE_STATIC_PROCEDURE( BGl_nodezd2freezd2default2961zd2envzd2zzintegrate_freez00, BgL_bgl__nodeza7d2freeza7d2default2961za700za7za7integrate_freeza7003273z00, BGl__nodezd2freezd2default2961z00zzintegrate_freez00, 0L, 2 );
DEFINE_STRING( BGl_string3271z00zzintegrate_freez00, BgL_bgl_string3271za700za7za7integrate_freeza7003274z00, "Unexepected `closure' node", 26 );
DEFINE_STRING( BGl_string3270z00zzintegrate_freez00, BgL_bgl_string3270za700za7za7integrate_freeza7003275z00, "node-free", 9 );
DEFINE_STRING( BGl_string3250z00zzintegrate_freez00, BgL_bgl_string3250za700za7za7integrate_freeza7003276z00, "Unknown variable type", 21 );
DEFINE_STRING( BGl_string3249z00zzintegrate_freez00, BgL_bgl_string3249za700za7za7integrate_freeza7003277z00, "free-variable?", 14 );
DEFINE_STATIC_GENERIC( BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_bgl__nodeza7d2freeza7d2za7za7integrate_freeza7003278za7, BGl__nodezd2freezd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3251z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2var2964za700za7za7integrate_freeza7003279z00, BGl_nodezd2freezd2var2964z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3252z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2closure2966za700za7za7integrate_freeza7003280z00, BGl_nodezd2freezd2closure2966z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3253z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2sequence2968za700za7za7integrate_freeza7003281z00, BGl_nodezd2freezd2sequence2968z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3254z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2app2970za700za7za7integrate_freeza7003282z00, BGl_nodezd2freezd2app2970z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3255z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2appza7d2ly2972za7d2za7za7integrate_freeza7003283za7, BGl_nodezd2freezd2appzd2ly2972zd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3256z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2funcall2974za700za7za7integrate_freeza7003284z00, BGl_nodezd2freezd2funcall2974z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3257z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2extern2976za700za7za7integrate_freeza7003285z00, BGl_nodezd2freezd2extern2976z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3258z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2cast2978za700za7za7integrate_freeza7003286z00, BGl_nodezd2freezd2cast2978z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3260z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2conditional2982za700za7za7integrate_freeza7003287z00, BGl_nodezd2freezd2conditional2982z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3259z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2setq2980za700za7za7integrate_freeza7003288z00, BGl_nodezd2freezd2setq2980z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3261z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2fail2984za700za7za7integrate_freeza7003289z00, BGl_nodezd2freezd2fail2984z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3262z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2select2986za700za7za7integrate_freeza7003290z00, BGl_nodezd2freezd2select2986z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3263z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2letza7d2fun2988za7d2za7za7integrate_freeza7003291za7, BGl_nodezd2freezd2letzd2fun2988zd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3264z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2letza7d2var2990za7d2za7za7integrate_freeza7003292za7, BGl_nodezd2freezd2letzd2var2990zd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3265z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2setza7d2exza7d2it2992za700za7za7integrate_freeza7003293z00, BGl_nodezd2freezd2setzd2exzd2it2992z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3266z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2jumpza7d2exza7d2it2994za700za7za7integrate_freeza7003294z00, BGl_nodezd2freezd2jumpzd2exzd2it2994z00zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3267z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2makeza7d2box2996za7d2za7za7integrate_freeza7003295za7, BGl_nodezd2freezd2makezd2box2996zd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3268z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2boxza7d2ref2998za7d2za7za7integrate_freeza7003296za7, BGl_nodezd2freezd2boxzd2ref2998zd2zzintegrate_freez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3269z00zzintegrate_freez00, BgL_bgl_nodeza7d2freeza7d2boxza7d2setza7123000za7c0za7za7integrate_freeza7003297z00, BGl_nodezd2freezd2boxzd2setz123000zc0zzintegrate_freez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_freezd2fromzd2envz00zzintegrate_freez00, BgL_bgl__freeza7d2fromza7d2za7za7integrate_freeza7003298za7, BGl__freezd2fromzd2zzintegrate_freez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2freezd2varszd2envzd2zzintegrate_freez00, BgL_bgl__getza7d2freeza7d2varsza700za7za7integrate_freeza7003299z00, BGl__getzd2freezd2varsz00zzintegrate_freez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_freez00(long BgL_checksumz00_3805, char * BgL_fromz00_3806)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_freez00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_freez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_freez00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_freez00(); 
BGl_methodzd2initzd2zzintegrate_freez00(); 
BGl_toplevelzd2initzd2zzintegrate_freez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00()
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_free"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_freez00()
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
BGl_za2roundza2z00zzintegrate_freez00 = ((long)0); 
BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC; 
return BUNSPEC;} 
}



/* mark-variable! */
obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt BgL_localz00_1)
{ AN_OBJECT;
{ /* Integrate/free.scm 41 */
{ /* Integrate/free.scm 42 */
BgL_valuez00_bglt BgL_infoz00_1488;
BgL_infoz00_1488 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_1))->BgL_valuez00); 
{ /* Integrate/free.scm 44 */
bool_t BgL_test3001z00_1489;
BgL_test3001z00_1489 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_infoz00_1488), BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
if(BgL_test3001z00_1489)
{ /* Integrate/free.scm 44 */
{ /* Integrate/free.scm 45 */
BgL_svarzf2iinfozf2_bglt BgL_obj2681z00_2202;obj_t BgL_val2680z00_2203;
BgL_obj2681z00_2202 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_infoz00_1488); 
BgL_val2680z00_2203 = 
BINT(BGl_za2roundza2z00zzintegrate_freez00); 
{ 
obj_t BgL_auxz00_3821;
{ /* Integrate/free.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3822;
BgL_auxz00_3822 = 
(BgL_objectz00_bglt)(BgL_obj2681z00_2202); 
BgL_auxz00_3821 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3822); } 
return 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_3821))->BgL_fzd2markzd2) = ((obj_t)BgL_val2680z00_2203), BUNSPEC);} } }  else 
{ /* Integrate/free.scm 46 */
bool_t BgL_test3002z00_1490;
BgL_test3002z00_1490 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_infoz00_1488), BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
if(BgL_test3002z00_1490)
{ /* Integrate/free.scm 46 */
{ /* Integrate/free.scm 47 */
BgL_sexitzf2iinfozf2_bglt BgL_obj2722z00_2205;obj_t BgL_val2721z00_2206;
BgL_obj2722z00_2205 = 
(BgL_sexitzf2iinfozf2_bglt)(BgL_infoz00_1488); 
BgL_val2721z00_2206 = 
BINT(BGl_za2roundza2z00zzintegrate_freez00); 
{ 
obj_t BgL_auxz00_3831;
{ /* Integrate/free.scm 47 */
BgL_objectz00_bglt BgL_auxz00_3832;
BgL_auxz00_3832 = 
(BgL_objectz00_bglt)(BgL_obj2722z00_2205); 
BgL_auxz00_3831 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3832); } 
return 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_3831))->BgL_fzd2markzd2) = ((obj_t)BgL_val2721z00_2206), BUNSPEC);} } }  else 
{ /* Integrate/free.scm 46 */
return BFALSE;} } } } } 
}



/* bind-variable! */
obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt BgL_localz00_2, BgL_localz00_bglt BgL_integratorz00_3)
{ AN_OBJECT;
{ /* Integrate/free.scm 52 */
{ /* Integrate/free.scm 53 */
BgL_valuez00_bglt BgL_finfoz00_1491;
BgL_finfoz00_1491 = 
(((BgL_localz00_bglt)CREF(BgL_integratorz00_3))->BgL_valuez00); 
{ /* Integrate/free.scm 54 */
obj_t BgL_arg3003z00_1492;
{ /* Integrate/free.scm 54 */
obj_t BgL_auxz00_3839;obj_t BgL_auxz00_3837;
{ /* Integrate/free.scm 54 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2832z00_2208;
BgL_obj2832z00_2208 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_finfoz00_1491); 
{ 
obj_t BgL_auxz00_3841;
{ /* Integrate/free.scm 54 */
BgL_objectz00_bglt BgL_auxz00_3842;
BgL_auxz00_3842 = 
(BgL_objectz00_bglt)(BgL_obj2832z00_2208); 
BgL_auxz00_3841 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3842); } 
BgL_auxz00_3839 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3841))->BgL_boundz00); } } 
BgL_auxz00_3837 = 
(obj_t)(BgL_localz00_2); 
BgL_arg3003z00_1492 = 
MAKE_PAIR(BgL_auxz00_3837, BgL_auxz00_3839); } 
{ /* Integrate/free.scm 54 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2834z00_2209;
BgL_obj2834z00_2209 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_finfoz00_1491); 
{ 
obj_t BgL_auxz00_3848;
{ /* Integrate/free.scm 54 */
BgL_objectz00_bglt BgL_auxz00_3849;
BgL_auxz00_3849 = 
(BgL_objectz00_bglt)(BgL_obj2834z00_2209); 
BgL_auxz00_3848 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3849); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3848))->BgL_boundz00) = ((obj_t)BgL_arg3003z00_1492), BUNSPEC); } } } 
return 
BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_2);} } 
}



/* free-variable? */
obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t BgL_localz00_4)
{ AN_OBJECT;
{ /* Integrate/free.scm 60 */
{ /* Integrate/free.scm 61 */
BgL_valuez00_bglt BgL_infoz00_1494;
{ /* Integrate/free.scm 61 */
BgL_localz00_bglt BgL_obj1255z00_2211;
BgL_obj1255z00_2211 = 
(BgL_localz00_bglt)(BgL_localz00_4); 
BgL_infoz00_1494 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2211))->BgL_valuez00); } 
{ /* Integrate/free.scm 63 */
bool_t BgL_test3005z00_1495;
BgL_test3005z00_1495 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_infoz00_1494), BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
if(BgL_test3005z00_1495)
{ /* Integrate/free.scm 63 */
{ /* Integrate/free.scm 64 */
bool_t BgL_test3006z00_1496;
{ /* Integrate/free.scm 64 */
obj_t BgL_auxz00_3866;obj_t BgL_auxz00_3859;
BgL_auxz00_3866 = 
BINT(BGl_za2roundza2z00zzintegrate_freez00); 
{ /* Integrate/free.scm 64 */
BgL_svarzf2iinfozf2_bglt BgL_obj2679z00_2213;
BgL_obj2679z00_2213 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_infoz00_1494); 
{ 
obj_t BgL_auxz00_3861;
{ /* Integrate/free.scm 64 */
BgL_objectz00_bglt BgL_auxz00_3862;
BgL_auxz00_3862 = 
(BgL_objectz00_bglt)(BgL_obj2679z00_2213); 
BgL_auxz00_3861 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3862); } 
BgL_auxz00_3859 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_3861))->BgL_fzd2markzd2); } } 
BgL_test3006z00_1496 = 
(BgL_auxz00_3859==BgL_auxz00_3866); } 
if(BgL_test3006z00_1496)
{ /* Integrate/free.scm 64 */
return BFALSE;}  else 
{ /* Integrate/free.scm 64 */
return BTRUE;} } }  else 
{ /* Integrate/free.scm 65 */
bool_t BgL_test3008z00_1498;
BgL_test3008z00_1498 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_infoz00_1494), BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
if(BgL_test3008z00_1498)
{ /* Integrate/free.scm 65 */
{ /* Integrate/free.scm 66 */
bool_t BgL_test3009z00_1499;
{ /* Integrate/free.scm 66 */
obj_t BgL_auxz00_3880;obj_t BgL_auxz00_3873;
BgL_auxz00_3880 = 
BINT(BGl_za2roundza2z00zzintegrate_freez00); 
{ /* Integrate/free.scm 66 */
BgL_sexitzf2iinfozf2_bglt BgL_obj2720z00_2215;
BgL_obj2720z00_2215 = 
(BgL_sexitzf2iinfozf2_bglt)(BgL_infoz00_1494); 
{ 
obj_t BgL_auxz00_3875;
{ /* Integrate/free.scm 66 */
BgL_objectz00_bglt BgL_auxz00_3876;
BgL_auxz00_3876 = 
(BgL_objectz00_bglt)(BgL_obj2720z00_2215); 
BgL_auxz00_3875 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3876); } 
BgL_auxz00_3873 = 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_3875))->BgL_fzd2markzd2); } } 
BgL_test3009z00_1499 = 
(BgL_auxz00_3873==BgL_auxz00_3880); } 
if(BgL_test3009z00_1499)
{ /* Integrate/free.scm 66 */
return BFALSE;}  else 
{ /* Integrate/free.scm 66 */
return BTRUE;} } }  else 
{ /* Integrate/free.scm 65 */
{ /* Integrate/free.scm 68 */
obj_t BgL_arg3013z00_1503;
{ /* Integrate/free.scm 70 */
obj_t BgL_arg3014z00_1504;
BgL_arg3014z00_1504 = 
BGl_shapez00zztools_shapez00(BgL_localz00_4); 
BgL_arg3013z00_1503 = 
MAKE_PAIR(BgL_localz00_4, BgL_arg3014z00_1504); } 
FAILURE(BGl_string3249z00zzintegrate_freez00,BGl_string3250z00zzintegrate_freez00,BgL_arg3013z00_1503);} } } } } } 
}



/* get-free-vars */
obj_t BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_5, BgL_localz00_bglt BgL_integratorz00_6)
{ AN_OBJECT;
{ /* Integrate/free.scm 78 */
{ /* Integrate/free.scm 81 */
obj_t BgL_freez00_1505;
{ /* Integrate/free.scm 81 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2829z00_2220;
{ /* Integrate/free.scm 81 */
BgL_valuez00_bglt BgL_auxz00_3887;
BgL_auxz00_3887 = 
(((BgL_localz00_bglt)CREF(BgL_integratorz00_6))->BgL_valuez00); 
BgL_obj2829z00_2220 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_3887); } 
{ 
obj_t BgL_auxz00_3890;
{ /* Integrate/free.scm 81 */
BgL_objectz00_bglt BgL_auxz00_3891;
BgL_auxz00_3891 = 
(BgL_objectz00_bglt)(BgL_obj2829z00_2220); 
BgL_auxz00_3890 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3891); } 
BgL_freez00_1505 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3890))->BgL_freez00); } } 
{ /* Integrate/free.scm 82 */
bool_t BgL_testz00_3895;
if(
NULLP(BgL_freez00_1505))
{ /* Integrate/free.scm 82 */
BgL_testz00_3895 = ((bool_t)1)
; }  else 
{ /* Integrate/free.scm 82 */
BgL_testz00_3895 = 
PAIRP(BgL_freez00_1505)
; } 
if(BgL_testz00_3895)
{ /* Integrate/free.scm 82 */
return BgL_freez00_1505;}  else 
{ /* Integrate/free.scm 84 */
obj_t BgL_freez00_1507;
BgL_freez00_1507 = 
BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_5, BgL_integratorz00_6); 
{ /* Integrate/free.scm 85 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2831z00_2224;
{ /* Integrate/free.scm 85 */
BgL_valuez00_bglt BgL_auxz00_3900;
BgL_auxz00_3900 = 
(((BgL_localz00_bglt)CREF(BgL_integratorz00_6))->BgL_valuez00); 
BgL_obj2831z00_2224 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_3900); } 
{ 
obj_t BgL_auxz00_3903;
{ /* Integrate/free.scm 85 */
BgL_objectz00_bglt BgL_auxz00_3904;
BgL_auxz00_3904 = 
(BgL_objectz00_bglt)(BgL_obj2831z00_2224); 
BgL_auxz00_3903 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3904); } 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3903))->BgL_freez00) = ((obj_t)BgL_freez00_1507), BUNSPEC); } } 
return BgL_freez00_1507;} } } } 
}



/* _get-free-vars */
obj_t BGl__getzd2freezd2varsz00zzintegrate_freez00(obj_t BgL_envz00_3717, obj_t BgL_nodez00_3718, obj_t BgL_integratorz00_3719)
{ AN_OBJECT;
{ /* Integrate/free.scm 78 */
return 
BGl_getzd2freezd2varsz00zzintegrate_freez00(
(BgL_nodez00_bglt)(BgL_nodez00_3718), 
(BgL_localz00_bglt)(BgL_integratorz00_3719));} 
}



/* internal-get-free-vars! */
obj_t BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_7, BgL_localz00_bglt BgL_integratorz00_8)
{ AN_OBJECT;
{ /* Integrate/free.scm 99 */
{ /* Integrate/free.scm 100 */
long BgL_za71za7_2226;
BgL_za71za7_2226 = BGl_za2roundza2z00zzintegrate_freez00; 
BGl_za2roundza2z00zzintegrate_freez00 = 
(BgL_za71za7_2226+((long)1)); } 
BGl_za2integratorza2z00zzintegrate_freez00 = 
(obj_t)(BgL_integratorz00_8); 
{ 
obj_t BgL_l2914z00_1511;
{ /* Integrate/free.scm 104 */
BgL_sfunz00_bglt BgL_obj1369z00_2229;
{ /* Integrate/free.scm 104 */
BgL_valuez00_bglt BgL_auxz00_3922;
BgL_auxz00_3922 = 
(((BgL_localz00_bglt)CREF(BgL_integratorz00_8))->BgL_valuez00); 
BgL_obj1369z00_2229 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3922); } 
BgL_l2914z00_1511 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2229))->BgL_argsz00); } 
BgL_lname2915z00_1512:
if(
PAIRP(BgL_l2914z00_1511))
{ /* Integrate/free.scm 103 */
{ /* Integrate/free.scm 103 */
BgL_localz00_bglt BgL_auxz00_3915;
{ /* Integrate/free.scm 103 */
obj_t BgL_auxz00_3916;
BgL_auxz00_3916 = 
CAR(BgL_l2914z00_1511); 
BgL_auxz00_3915 = 
(BgL_localz00_bglt)(BgL_auxz00_3916); } 
BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_3915, BgL_integratorz00_8); } 
{ 
obj_t BgL_l2914z00_3920;
BgL_l2914z00_3920 = 
CDR(BgL_l2914z00_1511); 
BgL_l2914z00_1511 = BgL_l2914z00_3920; 
goto BgL_lname2915z00_1512;} }  else 
{ /* Integrate/free.scm 103 */((bool_t)1); } } 
{ /* Integrate/free.scm 106 */
obj_t BgL_method2962z00_2235;
{ /* Integrate/free.scm 106 */
long BgL_objzd2classzd2numz00_2237;
{ /* Integrate/free.scm 106 */
BgL_objectz00_bglt BgL_auxz00_3926;
BgL_auxz00_3926 = 
(BgL_objectz00_bglt)(BgL_nodez00_7); 
BgL_objzd2classzd2numz00_2237 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3926); } 
{ /* Integrate/free.scm 106 */
obj_t BgL_arg1221z00_2238;
{ /* Integrate/free.scm 106 */
int BgL_auxz00_3929;
BgL_auxz00_3929 = 
(int)(((long)1)); 
BgL_arg1221z00_2238 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_3929); } 
{ /* Integrate/free.scm 106 */
long BgL_offsetz00_2242;
{ /* Integrate/free.scm 106 */
long BgL_auxz00_3932;
{ /* Integrate/free.scm 106 */
int BgL_auxz00_3933;
BgL_auxz00_3933 = 
(int)(BgL_objzd2classzd2numz00_2237); 
BgL_auxz00_3932 = 
(long)(BgL_auxz00_3933); } 
BgL_offsetz00_2242 = 
(BgL_auxz00_3932-OBJECT_TYPE); } 
{ /* Integrate/free.scm 106 */
long BgL_modz00_2243;
{ /* Integrate/free.scm 106 */
long BgL_auxz00_3937;
{ /* Integrate/free.scm 106 */
int BgL_auxz00_3938;
BgL_auxz00_3938 = 
(int)(((long)8)); 
BgL_auxz00_3937 = 
(long)(BgL_auxz00_3938); } 
BgL_modz00_2243 = 
(BgL_offsetz00_2242/BgL_auxz00_3937); } 
{ /* Integrate/free.scm 106 */
long BgL_restz00_2245;
{ /* Integrate/free.scm 106 */
long BgL_auxz00_3942;
{ /* Integrate/free.scm 106 */
int BgL_auxz00_3943;
BgL_auxz00_3943 = 
(int)(((long)8)); 
BgL_auxz00_3942 = 
(long)(BgL_auxz00_3943); } 
BgL_restz00_2245 = 
(BgL_offsetz00_2242%BgL_auxz00_3942); } 
{ /* Integrate/free.scm 106 */

{ /* Integrate/free.scm 106 */
obj_t BgL_bucketz00_2247;
{ /* Integrate/free.scm 106 */
int BgL_kz00_2257;
BgL_kz00_2257 = 
(int)(BgL_modz00_2243); 
BgL_bucketz00_2247 = 
VECTOR_REF(BgL_arg1221z00_2238,BgL_kz00_2257); } 
{ /* Integrate/free.scm 106 */
int BgL_kz00_2259;
BgL_kz00_2259 = 
(int)(BgL_restz00_2245); 
BgL_method2962z00_2235 = 
VECTOR_REF(BgL_bucketz00_2247,BgL_kz00_2259); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_2235)(BgL_method2962z00_2235, 
(obj_t)(BgL_nodez00_7), BNIL, BEOA);} } 
}



/* node-free* */
obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t BgL_nodeza2za2_51, obj_t BgL_freez00_52)
{ AN_OBJECT;
{ /* Integrate/free.scm 278 */
{ 
obj_t BgL_nodeza2za2_1518;obj_t BgL_freez00_1519;
BgL_nodeza2za2_1518 = BgL_nodeza2za2_51; 
BgL_freez00_1519 = BgL_freez00_52; 
BgL_loopz00_1520:
if(
NULLP(BgL_nodeza2za2_1518))
{ /* Integrate/free.scm 281 */
return BgL_freez00_1519;}  else 
{ /* Integrate/free.scm 283 */
obj_t BgL_arg3024z00_1522;obj_t BgL_arg3025z00_1523;
BgL_arg3024z00_1522 = 
CDR(BgL_nodeza2za2_1518); 
{ /* Integrate/free.scm 284 */
BgL_nodez00_bglt BgL_nodez00_2263;
{ /* Integrate/free.scm 284 */
obj_t BgL_auxz00_3957;
BgL_auxz00_3957 = 
CAR(BgL_nodeza2za2_1518); 
BgL_nodez00_2263 = 
(BgL_nodez00_bglt)(BgL_auxz00_3957); } 
{ /* Integrate/free.scm 284 */
obj_t BgL_method2962z00_2265;
{ /* Integrate/free.scm 284 */
long BgL_objzd2classzd2numz00_2267;
{ /* Integrate/free.scm 284 */
BgL_objectz00_bglt BgL_auxz00_3960;
BgL_auxz00_3960 = 
(BgL_objectz00_bglt)(BgL_nodez00_2263); 
BgL_objzd2classzd2numz00_2267 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3960); } 
{ /* Integrate/free.scm 284 */
obj_t BgL_arg1221z00_2268;
{ /* Integrate/free.scm 284 */
int BgL_auxz00_3963;
BgL_auxz00_3963 = 
(int)(((long)1)); 
BgL_arg1221z00_2268 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_3963); } 
{ /* Integrate/free.scm 284 */
long BgL_offsetz00_2272;
{ /* Integrate/free.scm 284 */
long BgL_auxz00_3966;
{ /* Integrate/free.scm 284 */
int BgL_auxz00_3967;
BgL_auxz00_3967 = 
(int)(BgL_objzd2classzd2numz00_2267); 
BgL_auxz00_3966 = 
(long)(BgL_auxz00_3967); } 
BgL_offsetz00_2272 = 
(BgL_auxz00_3966-OBJECT_TYPE); } 
{ /* Integrate/free.scm 284 */
long BgL_modz00_2273;
{ /* Integrate/free.scm 284 */
long BgL_auxz00_3971;
{ /* Integrate/free.scm 284 */
int BgL_auxz00_3972;
BgL_auxz00_3972 = 
(int)(((long)8)); 
BgL_auxz00_3971 = 
(long)(BgL_auxz00_3972); } 
BgL_modz00_2273 = 
(BgL_offsetz00_2272/BgL_auxz00_3971); } 
{ /* Integrate/free.scm 284 */
long BgL_restz00_2275;
{ /* Integrate/free.scm 284 */
long BgL_auxz00_3976;
{ /* Integrate/free.scm 284 */
int BgL_auxz00_3977;
BgL_auxz00_3977 = 
(int)(((long)8)); 
BgL_auxz00_3976 = 
(long)(BgL_auxz00_3977); } 
BgL_restz00_2275 = 
(BgL_offsetz00_2272%BgL_auxz00_3976); } 
{ /* Integrate/free.scm 284 */

{ /* Integrate/free.scm 284 */
obj_t BgL_bucketz00_2277;
{ /* Integrate/free.scm 284 */
int BgL_kz00_2287;
BgL_kz00_2287 = 
(int)(BgL_modz00_2273); 
BgL_bucketz00_2277 = 
VECTOR_REF(BgL_arg1221z00_2268,BgL_kz00_2287); } 
{ /* Integrate/free.scm 284 */
int BgL_kz00_2289;
BgL_kz00_2289 = 
(int)(BgL_restz00_2275); 
BgL_method2962z00_2265 = 
VECTOR_REF(BgL_bucketz00_2277,BgL_kz00_2289); } } } } } } } } 
BgL_arg3025z00_1523 = 
PROCEDURE_ENTRY(BgL_method2962z00_2265)(BgL_method2962z00_2265, 
(obj_t)(BgL_nodez00_2263), BgL_freez00_1519, BEOA); } } 
{ 
obj_t BgL_freez00_3989;obj_t BgL_nodeza2za2_3988;
BgL_nodeza2za2_3988 = BgL_arg3024z00_1522; 
BgL_freez00_3989 = BgL_arg3025z00_1523; 
BgL_freez00_1519 = BgL_freez00_3989; 
BgL_nodeza2za2_1518 = BgL_nodeza2za2_3988; 
goto BgL_loopz00_1520;} } } } 
}



/* free-from */
obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t BgL_setsz00_53, BgL_localz00_bglt BgL_integratorz00_54)
{ AN_OBJECT;
{ /* Integrate/free.scm 289 */
{ /* Integrate/free.scm 290 */
long BgL_za71za7_2290;
BgL_za71za7_2290 = BGl_za2roundza2z00zzintegrate_freez00; 
BGl_za2roundza2z00zzintegrate_freez00 = 
(BgL_za71za7_2290+((long)1)); } 
{ 
obj_t BgL_l2954z00_1526;
{ /* Integrate/free.scm 299 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2832z00_2293;
{ /* Integrate/free.scm 299 */
BgL_valuez00_bglt BgL_auxz00_4000;
BgL_auxz00_4000 = 
(((BgL_localz00_bglt)CREF(BgL_integratorz00_54))->BgL_valuez00); 
BgL_obj2832z00_2293 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_4000); } 
{ 
obj_t BgL_auxz00_4003;
{ /* Integrate/free.scm 299 */
BgL_objectz00_bglt BgL_auxz00_4004;
BgL_auxz00_4004 = 
(BgL_objectz00_bglt)(BgL_obj2832z00_2293); 
BgL_auxz00_4003 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4004); } 
BgL_l2954z00_1526 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4003))->BgL_boundz00); } } 
BgL_lname2955z00_1527:
if(
PAIRP(BgL_l2954z00_1526))
{ /* Integrate/free.scm 299 */
{ /* Integrate/free.scm 299 */
BgL_localz00_bglt BgL_auxz00_3993;
{ /* Integrate/free.scm 299 */
obj_t BgL_auxz00_3994;
BgL_auxz00_3994 = 
CAR(BgL_l2954z00_1526); 
BgL_auxz00_3993 = 
(BgL_localz00_bglt)(BgL_auxz00_3994); } 
BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_3993); } 
{ 
obj_t BgL_l2954z00_3998;
BgL_l2954z00_3998 = 
CDR(BgL_l2954z00_1526); 
BgL_l2954z00_1526 = BgL_l2954z00_3998; 
goto BgL_lname2955z00_1527;} }  else 
{ /* Integrate/free.scm 299 */((bool_t)1); } } 
if(
NULLP(BgL_setsz00_53))
{ /* Integrate/free.scm 301 */
return BNIL;}  else 
{ /* Integrate/free.scm 301 */
obj_t BgL_head2958z00_1534;
BgL_head2958z00_1534 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2956z00_1535;obj_t BgL_tail2959z00_1536;
BgL_l2956z00_1535 = BgL_setsz00_53; 
BgL_tail2959z00_1536 = BgL_head2958z00_1534; 
BgL_lname2957z00_1537:
if(
NULLP(BgL_l2956z00_1535))
{ /* Integrate/free.scm 301 */
return 
CDR(BgL_head2958z00_1534);}  else 
{ /* Integrate/free.scm 302 */
obj_t BgL_newtail2960z00_1539;
{ /* Integrate/free.scm 302 */
obj_t BgL_arg3034z00_1541;
{ 
obj_t BgL_setz00_1544;obj_t BgL_resz00_1545;
BgL_setz00_1544 = 
CAR(BgL_l2956z00_1535); 
BgL_resz00_1545 = BNIL; 
BgL_loopz00_1546:
if(
NULLP(BgL_setz00_1544))
{ /* Integrate/free.scm 305 */
BgL_arg3034z00_1541 = BgL_resz00_1545; }  else 
{ /* Integrate/free.scm 307 */
bool_t BgL_test3037z00_1548;
{ /* Integrate/free.scm 307 */
obj_t BgL_auxz00_4016;
BgL_auxz00_4016 = 
BGl_freezd2variablezf3z21zzintegrate_freez00(
CAR(BgL_setz00_1544)); 
BgL_test3037z00_1548 = 
CBOOL(BgL_auxz00_4016); } 
if(BgL_test3037z00_1548)
{ /* Integrate/free.scm 307 */
{ /* Integrate/free.scm 308 */
obj_t BgL_arg3038z00_1549;obj_t BgL_arg3039z00_1550;
BgL_arg3038z00_1549 = 
CDR(BgL_setz00_1544); 
{ /* Integrate/free.scm 308 */
obj_t BgL_auxz00_4022;
BgL_auxz00_4022 = 
CAR(BgL_setz00_1544); 
BgL_arg3039z00_1550 = 
MAKE_PAIR(BgL_auxz00_4022, BgL_resz00_1545); } 
{ 
obj_t BgL_resz00_4026;obj_t BgL_setz00_4025;
BgL_setz00_4025 = BgL_arg3038z00_1549; 
BgL_resz00_4026 = BgL_arg3039z00_1550; 
BgL_resz00_1545 = BgL_resz00_4026; 
BgL_setz00_1544 = BgL_setz00_4025; 
goto BgL_loopz00_1546;} } }  else 
{ /* Integrate/free.scm 307 */
{ 
obj_t BgL_setz00_4027;
BgL_setz00_4027 = 
CDR(BgL_setz00_1544); 
BgL_setz00_1544 = BgL_setz00_4027; 
goto BgL_loopz00_1546;} } } } 
BgL_newtail2960z00_1539 = 
MAKE_PAIR(BgL_arg3034z00_1541, BNIL); } 
SET_CDR(BgL_tail2959z00_1536, BgL_newtail2960z00_1539); 
{ 
obj_t BgL_tail2959z00_4034;obj_t BgL_l2956z00_4032;
BgL_l2956z00_4032 = 
CDR(BgL_l2956z00_1535); 
BgL_tail2959z00_4034 = BgL_newtail2960z00_1539; 
BgL_tail2959z00_1536 = BgL_tail2959z00_4034; 
BgL_l2956z00_1535 = BgL_l2956z00_4032; 
goto BgL_lname2957z00_1537;} } } } } 
}



/* _free-from */
obj_t BGl__freezd2fromzd2zzintegrate_freez00(obj_t BgL_envz00_3723, obj_t BgL_setsz00_3724, obj_t BgL_integratorz00_3725)
{ AN_OBJECT;
{ /* Integrate/free.scm 289 */
return 
BGl_freezd2fromzd2zzintegrate_freez00(BgL_setsz00_3724, 
(BgL_localz00_bglt)(BgL_integratorz00_3725));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_freez00()
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_nodezd2freezd2default2961zd2envzd2zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_varz00zzast_nodez00, BGl_proc3251z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_closurez00zzast_nodez00, BGl_proc3252z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_sequencez00zzast_nodez00, BGl_proc3253z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appz00zzast_nodez00, BGl_proc3254z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3255z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_funcallz00zzast_nodez00, BGl_proc3256z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_externz00zzast_nodez00, BGl_proc3257z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_castz00zzast_nodez00, BGl_proc3258z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setqz00zzast_nodez00, BGl_proc3259z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_conditionalz00zzast_nodez00, BGl_proc3260z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_failz00zzast_nodez00, BGl_proc3261z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_selectz00zzast_nodez00, BGl_proc3262z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3263z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3264z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3265z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3266z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3267z00zzintegrate_freez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3268z00zzintegrate_freez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3269z00zzintegrate_freez00);} 
}



/* node-free-box-set!3000 */
obj_t BGl_nodezd2freezd2boxzd2setz123000zc0zzintegrate_freez00(obj_t BgL_envz00_3745, obj_t BgL_nodez00_3746, obj_t BgL_freez00_3747)
{ AN_OBJECT;
{ /* Integrate/free.scm 271 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2189;obj_t BgL_freez00_2190;
BgL_nodez00_2189 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3746); 
BgL_freez00_2190 = BgL_freez00_3747; 
{ /* Integrate/free.scm 272 */
BgL_varz00_bglt BgL_arg3180z00_3633;obj_t BgL_arg3181z00_3634;
BgL_arg3180z00_3633 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2189))->BgL_varz00); 
{ /* Integrate/free.scm 272 */
BgL_nodez00_bglt BgL_arg3182z00_3635;
BgL_arg3182z00_3635 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2189))->BgL_valuez00); 
{ /* Integrate/free.scm 272 */
obj_t BgL_method2962z00_3640;
{ /* Integrate/free.scm 272 */
long BgL_objzd2classzd2numz00_3642;
{ /* Integrate/free.scm 272 */
BgL_objectz00_bglt BgL_auxz00_4059;
BgL_auxz00_4059 = 
(BgL_objectz00_bglt)(BgL_arg3182z00_3635); 
BgL_objzd2classzd2numz00_3642 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4059); } 
{ /* Integrate/free.scm 272 */
obj_t BgL_arg1221z00_3643;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4062;
BgL_auxz00_4062 = 
(int)(((long)1)); 
BgL_arg1221z00_3643 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4062); } 
{ /* Integrate/free.scm 272 */
long BgL_offsetz00_3647;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4065;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4066;
BgL_auxz00_4066 = 
(int)(BgL_objzd2classzd2numz00_3642); 
BgL_auxz00_4065 = 
(long)(BgL_auxz00_4066); } 
BgL_offsetz00_3647 = 
(BgL_auxz00_4065-OBJECT_TYPE); } 
{ /* Integrate/free.scm 272 */
long BgL_modz00_3648;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4070;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4071;
BgL_auxz00_4071 = 
(int)(((long)8)); 
BgL_auxz00_4070 = 
(long)(BgL_auxz00_4071); } 
BgL_modz00_3648 = 
(BgL_offsetz00_3647/BgL_auxz00_4070); } 
{ /* Integrate/free.scm 272 */
long BgL_restz00_3650;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4075;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4076;
BgL_auxz00_4076 = 
(int)(((long)8)); 
BgL_auxz00_4075 = 
(long)(BgL_auxz00_4076); } 
BgL_restz00_3650 = 
(BgL_offsetz00_3647%BgL_auxz00_4075); } 
{ /* Integrate/free.scm 272 */

{ /* Integrate/free.scm 272 */
obj_t BgL_bucketz00_3652;
{ /* Integrate/free.scm 272 */
int BgL_kz00_3662;
BgL_kz00_3662 = 
(int)(BgL_modz00_3648); 
BgL_bucketz00_3652 = 
VECTOR_REF(BgL_arg1221z00_3643,BgL_kz00_3662); } 
{ /* Integrate/free.scm 272 */
int BgL_kz00_3664;
BgL_kz00_3664 = 
(int)(BgL_restz00_3650); 
BgL_method2962z00_3640 = 
VECTOR_REF(BgL_bucketz00_3652,BgL_kz00_3664); } } } } } } } } 
BgL_arg3181z00_3634 = 
PROCEDURE_ENTRY(BgL_method2962z00_3640)(BgL_method2962z00_3640, 
(obj_t)(BgL_arg3182z00_3635), BgL_freez00_2190, BEOA); } } 
{ /* Integrate/free.scm 272 */
BgL_nodez00_bglt BgL_nodez00_3665;
BgL_nodez00_3665 = 
(BgL_nodez00_bglt)(BgL_arg3180z00_3633); 
{ /* Integrate/free.scm 272 */
obj_t BgL_method2962z00_3667;
{ /* Integrate/free.scm 272 */
long BgL_objzd2classzd2numz00_3669;
{ /* Integrate/free.scm 272 */
BgL_objectz00_bglt BgL_auxz00_4088;
BgL_auxz00_4088 = 
(BgL_objectz00_bglt)(BgL_nodez00_3665); 
BgL_objzd2classzd2numz00_3669 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4088); } 
{ /* Integrate/free.scm 272 */
obj_t BgL_arg1221z00_3670;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4091;
BgL_auxz00_4091 = 
(int)(((long)1)); 
BgL_arg1221z00_3670 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4091); } 
{ /* Integrate/free.scm 272 */
long BgL_offsetz00_3674;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4094;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4095;
BgL_auxz00_4095 = 
(int)(BgL_objzd2classzd2numz00_3669); 
BgL_auxz00_4094 = 
(long)(BgL_auxz00_4095); } 
BgL_offsetz00_3674 = 
(BgL_auxz00_4094-OBJECT_TYPE); } 
{ /* Integrate/free.scm 272 */
long BgL_modz00_3675;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4099;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4100;
BgL_auxz00_4100 = 
(int)(((long)8)); 
BgL_auxz00_4099 = 
(long)(BgL_auxz00_4100); } 
BgL_modz00_3675 = 
(BgL_offsetz00_3674/BgL_auxz00_4099); } 
{ /* Integrate/free.scm 272 */
long BgL_restz00_3677;
{ /* Integrate/free.scm 272 */
long BgL_auxz00_4104;
{ /* Integrate/free.scm 272 */
int BgL_auxz00_4105;
BgL_auxz00_4105 = 
(int)(((long)8)); 
BgL_auxz00_4104 = 
(long)(BgL_auxz00_4105); } 
BgL_restz00_3677 = 
(BgL_offsetz00_3674%BgL_auxz00_4104); } 
{ /* Integrate/free.scm 272 */

{ /* Integrate/free.scm 272 */
obj_t BgL_bucketz00_3679;
{ /* Integrate/free.scm 272 */
int BgL_kz00_3689;
BgL_kz00_3689 = 
(int)(BgL_modz00_3675); 
BgL_bucketz00_3679 = 
VECTOR_REF(BgL_arg1221z00_3670,BgL_kz00_3689); } 
{ /* Integrate/free.scm 272 */
int BgL_kz00_3691;
BgL_kz00_3691 = 
(int)(BgL_restz00_3677); 
BgL_method2962z00_3667 = 
VECTOR_REF(BgL_bucketz00_3679,BgL_kz00_3691); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3667)(BgL_method2962z00_3667, 
(obj_t)(BgL_nodez00_3665), BgL_arg3181z00_3634, BEOA);} } } } } 
}



/* node-free-box-ref2998 */
obj_t BGl_nodezd2freezd2boxzd2ref2998zd2zzintegrate_freez00(obj_t BgL_envz00_3748, obj_t BgL_nodez00_3749, obj_t BgL_freez00_3750)
{ AN_OBJECT;
{ /* Integrate/free.scm 264 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2181;obj_t BgL_freez00_2182;
BgL_nodez00_2181 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3749); 
BgL_freez00_2182 = BgL_freez00_3750; 
{ /* Integrate/free.scm 265 */
BgL_nodez00_bglt BgL_nodez00_3605;
{ /* Integrate/free.scm 265 */
BgL_varz00_bglt BgL_auxz00_4117;
BgL_auxz00_4117 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2181))->BgL_varz00); 
BgL_nodez00_3605 = 
(BgL_nodez00_bglt)(BgL_auxz00_4117); } 
{ /* Integrate/free.scm 265 */
obj_t BgL_method2962z00_3607;
{ /* Integrate/free.scm 265 */
long BgL_objzd2classzd2numz00_3609;
{ /* Integrate/free.scm 265 */
BgL_objectz00_bglt BgL_auxz00_4120;
BgL_auxz00_4120 = 
(BgL_objectz00_bglt)(BgL_nodez00_3605); 
BgL_objzd2classzd2numz00_3609 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4120); } 
{ /* Integrate/free.scm 265 */
obj_t BgL_arg1221z00_3610;
{ /* Integrate/free.scm 265 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(((long)1)); 
BgL_arg1221z00_3610 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4123); } 
{ /* Integrate/free.scm 265 */
long BgL_offsetz00_3614;
{ /* Integrate/free.scm 265 */
long BgL_auxz00_4126;
{ /* Integrate/free.scm 265 */
int BgL_auxz00_4127;
BgL_auxz00_4127 = 
(int)(BgL_objzd2classzd2numz00_3609); 
BgL_auxz00_4126 = 
(long)(BgL_auxz00_4127); } 
BgL_offsetz00_3614 = 
(BgL_auxz00_4126-OBJECT_TYPE); } 
{ /* Integrate/free.scm 265 */
long BgL_modz00_3615;
{ /* Integrate/free.scm 265 */
long BgL_auxz00_4131;
{ /* Integrate/free.scm 265 */
int BgL_auxz00_4132;
BgL_auxz00_4132 = 
(int)(((long)8)); 
BgL_auxz00_4131 = 
(long)(BgL_auxz00_4132); } 
BgL_modz00_3615 = 
(BgL_offsetz00_3614/BgL_auxz00_4131); } 
{ /* Integrate/free.scm 265 */
long BgL_restz00_3617;
{ /* Integrate/free.scm 265 */
long BgL_auxz00_4136;
{ /* Integrate/free.scm 265 */
int BgL_auxz00_4137;
BgL_auxz00_4137 = 
(int)(((long)8)); 
BgL_auxz00_4136 = 
(long)(BgL_auxz00_4137); } 
BgL_restz00_3617 = 
(BgL_offsetz00_3614%BgL_auxz00_4136); } 
{ /* Integrate/free.scm 265 */

{ /* Integrate/free.scm 265 */
obj_t BgL_bucketz00_3619;
{ /* Integrate/free.scm 265 */
int BgL_kz00_3629;
BgL_kz00_3629 = 
(int)(BgL_modz00_3615); 
BgL_bucketz00_3619 = 
VECTOR_REF(BgL_arg1221z00_3610,BgL_kz00_3629); } 
{ /* Integrate/free.scm 265 */
int BgL_kz00_3631;
BgL_kz00_3631 = 
(int)(BgL_restz00_3617); 
BgL_method2962z00_3607 = 
VECTOR_REF(BgL_bucketz00_3619,BgL_kz00_3631); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3607)(BgL_method2962z00_3607, 
(obj_t)(BgL_nodez00_3605), BgL_freez00_2182, BEOA);} } } } 
}



/* node-free-make-box2996 */
obj_t BGl_nodezd2freezd2makezd2box2996zd2zzintegrate_freez00(obj_t BgL_envz00_3751, obj_t BgL_nodez00_3752, obj_t BgL_freez00_3753)
{ AN_OBJECT;
{ /* Integrate/free.scm 257 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2173;obj_t BgL_freez00_2174;
BgL_nodez00_2173 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3752); 
BgL_freez00_2174 = BgL_freez00_3753; 
{ /* Integrate/free.scm 258 */
BgL_nodez00_bglt BgL_arg3176z00_3573;
BgL_arg3176z00_3573 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2173))->BgL_valuez00); 
{ /* Integrate/free.scm 258 */
obj_t BgL_method2962z00_3577;
{ /* Integrate/free.scm 258 */
long BgL_objzd2classzd2numz00_3579;
{ /* Integrate/free.scm 258 */
BgL_objectz00_bglt BgL_auxz00_4150;
BgL_auxz00_4150 = 
(BgL_objectz00_bglt)(BgL_arg3176z00_3573); 
BgL_objzd2classzd2numz00_3579 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4150); } 
{ /* Integrate/free.scm 258 */
obj_t BgL_arg1221z00_3580;
{ /* Integrate/free.scm 258 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)1)); 
BgL_arg1221z00_3580 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4153); } 
{ /* Integrate/free.scm 258 */
long BgL_offsetz00_3584;
{ /* Integrate/free.scm 258 */
long BgL_auxz00_4156;
{ /* Integrate/free.scm 258 */
int BgL_auxz00_4157;
BgL_auxz00_4157 = 
(int)(BgL_objzd2classzd2numz00_3579); 
BgL_auxz00_4156 = 
(long)(BgL_auxz00_4157); } 
BgL_offsetz00_3584 = 
(BgL_auxz00_4156-OBJECT_TYPE); } 
{ /* Integrate/free.scm 258 */
long BgL_modz00_3585;
{ /* Integrate/free.scm 258 */
long BgL_auxz00_4161;
{ /* Integrate/free.scm 258 */
int BgL_auxz00_4162;
BgL_auxz00_4162 = 
(int)(((long)8)); 
BgL_auxz00_4161 = 
(long)(BgL_auxz00_4162); } 
BgL_modz00_3585 = 
(BgL_offsetz00_3584/BgL_auxz00_4161); } 
{ /* Integrate/free.scm 258 */
long BgL_restz00_3587;
{ /* Integrate/free.scm 258 */
long BgL_auxz00_4166;
{ /* Integrate/free.scm 258 */
int BgL_auxz00_4167;
BgL_auxz00_4167 = 
(int)(((long)8)); 
BgL_auxz00_4166 = 
(long)(BgL_auxz00_4167); } 
BgL_restz00_3587 = 
(BgL_offsetz00_3584%BgL_auxz00_4166); } 
{ /* Integrate/free.scm 258 */

{ /* Integrate/free.scm 258 */
obj_t BgL_bucketz00_3589;
{ /* Integrate/free.scm 258 */
int BgL_kz00_3599;
BgL_kz00_3599 = 
(int)(BgL_modz00_3585); 
BgL_bucketz00_3589 = 
VECTOR_REF(BgL_arg1221z00_3580,BgL_kz00_3599); } 
{ /* Integrate/free.scm 258 */
int BgL_kz00_3601;
BgL_kz00_3601 = 
(int)(BgL_restz00_3587); 
BgL_method2962z00_3577 = 
VECTOR_REF(BgL_bucketz00_3589,BgL_kz00_3601); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3577)(BgL_method2962z00_3577, 
(obj_t)(BgL_arg3176z00_3573), BgL_freez00_2174, BEOA);} } } } 
}



/* node-free-jump-ex-it2994 */
obj_t BGl_nodezd2freezd2jumpzd2exzd2it2994z00zzintegrate_freez00(obj_t BgL_envz00_3754, obj_t BgL_nodez00_3755, obj_t BgL_freez00_3756)
{ AN_OBJECT;
{ /* Integrate/free.scm 250 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2163;obj_t BgL_freez00_2164;
BgL_nodez00_2163 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3755); 
BgL_freez00_2164 = BgL_freez00_3756; 
{ /* Integrate/free.scm 251 */
BgL_nodez00_bglt BgL_arg3172z00_3513;obj_t BgL_arg3173z00_3514;
BgL_arg3172z00_3513 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2163))->BgL_exitz00); 
{ /* Integrate/free.scm 251 */
BgL_nodez00_bglt BgL_arg3174z00_3515;
BgL_arg3174z00_3515 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2163))->BgL_valuez00); 
{ /* Integrate/free.scm 251 */
obj_t BgL_method2962z00_3520;
{ /* Integrate/free.scm 251 */
long BgL_objzd2classzd2numz00_3522;
{ /* Integrate/free.scm 251 */
BgL_objectz00_bglt BgL_auxz00_4181;
BgL_auxz00_4181 = 
(BgL_objectz00_bglt)(BgL_arg3174z00_3515); 
BgL_objzd2classzd2numz00_3522 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4181); } 
{ /* Integrate/free.scm 251 */
obj_t BgL_arg1221z00_3523;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4184;
BgL_auxz00_4184 = 
(int)(((long)1)); 
BgL_arg1221z00_3523 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4184); } 
{ /* Integrate/free.scm 251 */
long BgL_offsetz00_3527;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4187;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4188;
BgL_auxz00_4188 = 
(int)(BgL_objzd2classzd2numz00_3522); 
BgL_auxz00_4187 = 
(long)(BgL_auxz00_4188); } 
BgL_offsetz00_3527 = 
(BgL_auxz00_4187-OBJECT_TYPE); } 
{ /* Integrate/free.scm 251 */
long BgL_modz00_3528;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4192;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4193;
BgL_auxz00_4193 = 
(int)(((long)8)); 
BgL_auxz00_4192 = 
(long)(BgL_auxz00_4193); } 
BgL_modz00_3528 = 
(BgL_offsetz00_3527/BgL_auxz00_4192); } 
{ /* Integrate/free.scm 251 */
long BgL_restz00_3530;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4197;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4198;
BgL_auxz00_4198 = 
(int)(((long)8)); 
BgL_auxz00_4197 = 
(long)(BgL_auxz00_4198); } 
BgL_restz00_3530 = 
(BgL_offsetz00_3527%BgL_auxz00_4197); } 
{ /* Integrate/free.scm 251 */

{ /* Integrate/free.scm 251 */
obj_t BgL_bucketz00_3532;
{ /* Integrate/free.scm 251 */
int BgL_kz00_3542;
BgL_kz00_3542 = 
(int)(BgL_modz00_3528); 
BgL_bucketz00_3532 = 
VECTOR_REF(BgL_arg1221z00_3523,BgL_kz00_3542); } 
{ /* Integrate/free.scm 251 */
int BgL_kz00_3544;
BgL_kz00_3544 = 
(int)(BgL_restz00_3530); 
BgL_method2962z00_3520 = 
VECTOR_REF(BgL_bucketz00_3532,BgL_kz00_3544); } } } } } } } } 
BgL_arg3173z00_3514 = 
PROCEDURE_ENTRY(BgL_method2962z00_3520)(BgL_method2962z00_3520, 
(obj_t)(BgL_arg3174z00_3515), BgL_freez00_2164, BEOA); } } 
{ /* Integrate/free.scm 251 */
obj_t BgL_method2962z00_3547;
{ /* Integrate/free.scm 251 */
long BgL_objzd2classzd2numz00_3549;
{ /* Integrate/free.scm 251 */
BgL_objectz00_bglt BgL_auxz00_4209;
BgL_auxz00_4209 = 
(BgL_objectz00_bglt)(BgL_arg3172z00_3513); 
BgL_objzd2classzd2numz00_3549 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4209); } 
{ /* Integrate/free.scm 251 */
obj_t BgL_arg1221z00_3550;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4212;
BgL_auxz00_4212 = 
(int)(((long)1)); 
BgL_arg1221z00_3550 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4212); } 
{ /* Integrate/free.scm 251 */
long BgL_offsetz00_3554;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4215;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4216;
BgL_auxz00_4216 = 
(int)(BgL_objzd2classzd2numz00_3549); 
BgL_auxz00_4215 = 
(long)(BgL_auxz00_4216); } 
BgL_offsetz00_3554 = 
(BgL_auxz00_4215-OBJECT_TYPE); } 
{ /* Integrate/free.scm 251 */
long BgL_modz00_3555;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4220;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(((long)8)); 
BgL_auxz00_4220 = 
(long)(BgL_auxz00_4221); } 
BgL_modz00_3555 = 
(BgL_offsetz00_3554/BgL_auxz00_4220); } 
{ /* Integrate/free.scm 251 */
long BgL_restz00_3557;
{ /* Integrate/free.scm 251 */
long BgL_auxz00_4225;
{ /* Integrate/free.scm 251 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(((long)8)); 
BgL_auxz00_4225 = 
(long)(BgL_auxz00_4226); } 
BgL_restz00_3557 = 
(BgL_offsetz00_3554%BgL_auxz00_4225); } 
{ /* Integrate/free.scm 251 */

{ /* Integrate/free.scm 251 */
obj_t BgL_bucketz00_3559;
{ /* Integrate/free.scm 251 */
int BgL_kz00_3569;
BgL_kz00_3569 = 
(int)(BgL_modz00_3555); 
BgL_bucketz00_3559 = 
VECTOR_REF(BgL_arg1221z00_3550,BgL_kz00_3569); } 
{ /* Integrate/free.scm 251 */
int BgL_kz00_3571;
BgL_kz00_3571 = 
(int)(BgL_restz00_3557); 
BgL_method2962z00_3547 = 
VECTOR_REF(BgL_bucketz00_3559,BgL_kz00_3571); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3547)(BgL_method2962z00_3547, 
(obj_t)(BgL_arg3172z00_3513), BgL_arg3173z00_3514, BEOA);} } } } 
}



/* node-free-set-ex-it2992 */
obj_t BGl_nodezd2freezd2setzd2exzd2it2992z00zzintegrate_freez00(obj_t BgL_envz00_3757, obj_t BgL_nodez00_3758, obj_t BgL_freez00_3759)
{ AN_OBJECT;
{ /* Integrate/free.scm 242 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2153;obj_t BgL_freez00_2154;
BgL_nodez00_2153 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3758); 
BgL_freez00_2154 = BgL_freez00_3759; 
{ /* Integrate/free.scm 244 */
BgL_localz00_bglt BgL_auxz00_4238;
{ /* Integrate/free.scm 244 */
BgL_variablez00_bglt BgL_auxz00_4239;
{ /* Integrate/free.scm 244 */
BgL_varz00_bglt BgL_arg3169z00_2159;
BgL_arg3169z00_2159 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2153))->BgL_varz00); 
BgL_auxz00_4239 = 
(((BgL_varz00_bglt)CREF(BgL_arg3169z00_2159))->BgL_variablez00); } 
BgL_auxz00_4238 = 
(BgL_localz00_bglt)(BgL_auxz00_4239); } 
BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_4238, 
(BgL_localz00_bglt)(BGl_za2integratorza2z00zzintegrate_freez00)); } 
{ /* Integrate/free.scm 245 */
BgL_nodez00_bglt BgL_arg3170z00_2160;
BgL_arg3170z00_2160 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2153))->BgL_bodyz00); 
{ /* Integrate/free.scm 245 */
obj_t BgL_method2962z00_3487;
{ /* Integrate/free.scm 245 */
long BgL_objzd2classzd2numz00_3489;
{ /* Integrate/free.scm 245 */
BgL_objectz00_bglt BgL_auxz00_4246;
BgL_auxz00_4246 = 
(BgL_objectz00_bglt)(BgL_arg3170z00_2160); 
BgL_objzd2classzd2numz00_3489 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4246); } 
{ /* Integrate/free.scm 245 */
obj_t BgL_arg1221z00_3490;
{ /* Integrate/free.scm 245 */
int BgL_auxz00_4249;
BgL_auxz00_4249 = 
(int)(((long)1)); 
BgL_arg1221z00_3490 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4249); } 
{ /* Integrate/free.scm 245 */
long BgL_offsetz00_3494;
{ /* Integrate/free.scm 245 */
long BgL_auxz00_4252;
{ /* Integrate/free.scm 245 */
int BgL_auxz00_4253;
BgL_auxz00_4253 = 
(int)(BgL_objzd2classzd2numz00_3489); 
BgL_auxz00_4252 = 
(long)(BgL_auxz00_4253); } 
BgL_offsetz00_3494 = 
(BgL_auxz00_4252-OBJECT_TYPE); } 
{ /* Integrate/free.scm 245 */
long BgL_modz00_3495;
{ /* Integrate/free.scm 245 */
long BgL_auxz00_4257;
{ /* Integrate/free.scm 245 */
int BgL_auxz00_4258;
BgL_auxz00_4258 = 
(int)(((long)8)); 
BgL_auxz00_4257 = 
(long)(BgL_auxz00_4258); } 
BgL_modz00_3495 = 
(BgL_offsetz00_3494/BgL_auxz00_4257); } 
{ /* Integrate/free.scm 245 */
long BgL_restz00_3497;
{ /* Integrate/free.scm 245 */
long BgL_auxz00_4262;
{ /* Integrate/free.scm 245 */
int BgL_auxz00_4263;
BgL_auxz00_4263 = 
(int)(((long)8)); 
BgL_auxz00_4262 = 
(long)(BgL_auxz00_4263); } 
BgL_restz00_3497 = 
(BgL_offsetz00_3494%BgL_auxz00_4262); } 
{ /* Integrate/free.scm 245 */

{ /* Integrate/free.scm 245 */
obj_t BgL_bucketz00_3499;
{ /* Integrate/free.scm 245 */
int BgL_kz00_3509;
BgL_kz00_3509 = 
(int)(BgL_modz00_3495); 
BgL_bucketz00_3499 = 
VECTOR_REF(BgL_arg1221z00_3490,BgL_kz00_3509); } 
{ /* Integrate/free.scm 245 */
int BgL_kz00_3511;
BgL_kz00_3511 = 
(int)(BgL_restz00_3497); 
BgL_method2962z00_3487 = 
VECTOR_REF(BgL_bucketz00_3499,BgL_kz00_3511); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3487)(BgL_method2962z00_3487, 
(obj_t)(BgL_arg3170z00_2160), BgL_freez00_2154, BEOA);} } } } 
}



/* node-free-let-var2990 */
obj_t BGl_nodezd2freezd2letzd2var2990zd2zzintegrate_freez00(obj_t BgL_envz00_3760, obj_t BgL_nodez00_3761, obj_t BgL_freez00_3762)
{ AN_OBJECT;
{ /* Integrate/free.scm 228 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2134;obj_t BgL_freez00_2135;
BgL_nodez00_2134 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3761); 
BgL_freez00_2135 = BgL_freez00_3762; 
{ 
obj_t BgL_bindingsz00_2139;obj_t BgL_freez00_2140;
BgL_bindingsz00_2139 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2134))->BgL_bindingsz00); 
BgL_freez00_2140 = BgL_freez00_2135; 
BgL_loopz00_2141:
if(
NULLP(BgL_bindingsz00_2139))
{ /* Integrate/free.scm 233 */
BgL_nodez00_bglt BgL_arg3160z00_2144;
BgL_arg3160z00_2144 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2134))->BgL_bodyz00); 
{ /* Integrate/free.scm 233 */
obj_t BgL_method2962z00_3425;
{ /* Integrate/free.scm 233 */
long BgL_objzd2classzd2numz00_3427;
{ /* Integrate/free.scm 233 */
BgL_objectz00_bglt BgL_auxz00_4278;
BgL_auxz00_4278 = 
(BgL_objectz00_bglt)(BgL_arg3160z00_2144); 
BgL_objzd2classzd2numz00_3427 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4278); } 
{ /* Integrate/free.scm 233 */
obj_t BgL_arg1221z00_3428;
{ /* Integrate/free.scm 233 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)1)); 
BgL_arg1221z00_3428 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4281); } 
{ /* Integrate/free.scm 233 */
long BgL_offsetz00_3432;
{ /* Integrate/free.scm 233 */
long BgL_auxz00_4284;
{ /* Integrate/free.scm 233 */
int BgL_auxz00_4285;
BgL_auxz00_4285 = 
(int)(BgL_objzd2classzd2numz00_3427); 
BgL_auxz00_4284 = 
(long)(BgL_auxz00_4285); } 
BgL_offsetz00_3432 = 
(BgL_auxz00_4284-OBJECT_TYPE); } 
{ /* Integrate/free.scm 233 */
long BgL_modz00_3433;
{ /* Integrate/free.scm 233 */
long BgL_auxz00_4289;
{ /* Integrate/free.scm 233 */
int BgL_auxz00_4290;
BgL_auxz00_4290 = 
(int)(((long)8)); 
BgL_auxz00_4289 = 
(long)(BgL_auxz00_4290); } 
BgL_modz00_3433 = 
(BgL_offsetz00_3432/BgL_auxz00_4289); } 
{ /* Integrate/free.scm 233 */
long BgL_restz00_3435;
{ /* Integrate/free.scm 233 */
long BgL_auxz00_4294;
{ /* Integrate/free.scm 233 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)8)); 
BgL_auxz00_4294 = 
(long)(BgL_auxz00_4295); } 
BgL_restz00_3435 = 
(BgL_offsetz00_3432%BgL_auxz00_4294); } 
{ /* Integrate/free.scm 233 */

{ /* Integrate/free.scm 233 */
obj_t BgL_bucketz00_3437;
{ /* Integrate/free.scm 233 */
int BgL_kz00_3447;
BgL_kz00_3447 = 
(int)(BgL_modz00_3433); 
BgL_bucketz00_3437 = 
VECTOR_REF(BgL_arg1221z00_3428,BgL_kz00_3447); } 
{ /* Integrate/free.scm 233 */
int BgL_kz00_3449;
BgL_kz00_3449 = 
(int)(BgL_restz00_3435); 
BgL_method2962z00_3425 = 
VECTOR_REF(BgL_bucketz00_3437,BgL_kz00_3449); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3425)(BgL_method2962z00_3425, 
(obj_t)(BgL_arg3160z00_2144), BgL_freez00_2140, BEOA);} }  else 
{ /* Integrate/free.scm 232 */
{ /* Integrate/free.scm 235 */
BgL_localz00_bglt BgL_auxz00_4306;
{ /* Integrate/free.scm 235 */
obj_t BgL_auxz00_4307;
{ /* Integrate/free.scm 235 */
obj_t BgL_auxz00_4308;
BgL_auxz00_4308 = 
CAR(BgL_bindingsz00_2139); 
BgL_auxz00_4307 = 
CAR(BgL_auxz00_4308); } 
BgL_auxz00_4306 = 
(BgL_localz00_bglt)(BgL_auxz00_4307); } 
BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_4306, 
(BgL_localz00_bglt)(BGl_za2integratorza2z00zzintegrate_freez00)); } 
{ /* Integrate/free.scm 236 */
obj_t BgL_arg3163z00_2147;obj_t BgL_arg3164z00_2148;
BgL_arg3163z00_2147 = 
CDR(BgL_bindingsz00_2139); 
{ /* Integrate/free.scm 237 */
BgL_nodez00_bglt BgL_nodez00_3455;
{ /* Integrate/free.scm 237 */
obj_t BgL_auxz00_4315;
{ /* Integrate/free.scm 237 */
obj_t BgL_auxz00_4316;
BgL_auxz00_4316 = 
CAR(BgL_bindingsz00_2139); 
BgL_auxz00_4315 = 
CDR(BgL_auxz00_4316); } 
BgL_nodez00_3455 = 
(BgL_nodez00_bglt)(BgL_auxz00_4315); } 
{ /* Integrate/free.scm 237 */
obj_t BgL_method2962z00_3457;
{ /* Integrate/free.scm 237 */
long BgL_objzd2classzd2numz00_3459;
{ /* Integrate/free.scm 237 */
BgL_objectz00_bglt BgL_auxz00_4320;
BgL_auxz00_4320 = 
(BgL_objectz00_bglt)(BgL_nodez00_3455); 
BgL_objzd2classzd2numz00_3459 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4320); } 
{ /* Integrate/free.scm 237 */
obj_t BgL_arg1221z00_3460;
{ /* Integrate/free.scm 237 */
int BgL_auxz00_4323;
BgL_auxz00_4323 = 
(int)(((long)1)); 
BgL_arg1221z00_3460 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4323); } 
{ /* Integrate/free.scm 237 */
long BgL_offsetz00_3464;
{ /* Integrate/free.scm 237 */
long BgL_auxz00_4326;
{ /* Integrate/free.scm 237 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(BgL_objzd2classzd2numz00_3459); 
BgL_auxz00_4326 = 
(long)(BgL_auxz00_4327); } 
BgL_offsetz00_3464 = 
(BgL_auxz00_4326-OBJECT_TYPE); } 
{ /* Integrate/free.scm 237 */
long BgL_modz00_3465;
{ /* Integrate/free.scm 237 */
long BgL_auxz00_4331;
{ /* Integrate/free.scm 237 */
int BgL_auxz00_4332;
BgL_auxz00_4332 = 
(int)(((long)8)); 
BgL_auxz00_4331 = 
(long)(BgL_auxz00_4332); } 
BgL_modz00_3465 = 
(BgL_offsetz00_3464/BgL_auxz00_4331); } 
{ /* Integrate/free.scm 237 */
long BgL_restz00_3467;
{ /* Integrate/free.scm 237 */
long BgL_auxz00_4336;
{ /* Integrate/free.scm 237 */
int BgL_auxz00_4337;
BgL_auxz00_4337 = 
(int)(((long)8)); 
BgL_auxz00_4336 = 
(long)(BgL_auxz00_4337); } 
BgL_restz00_3467 = 
(BgL_offsetz00_3464%BgL_auxz00_4336); } 
{ /* Integrate/free.scm 237 */

{ /* Integrate/free.scm 237 */
obj_t BgL_bucketz00_3469;
{ /* Integrate/free.scm 237 */
int BgL_kz00_3479;
BgL_kz00_3479 = 
(int)(BgL_modz00_3465); 
BgL_bucketz00_3469 = 
VECTOR_REF(BgL_arg1221z00_3460,BgL_kz00_3479); } 
{ /* Integrate/free.scm 237 */
int BgL_kz00_3481;
BgL_kz00_3481 = 
(int)(BgL_restz00_3467); 
BgL_method2962z00_3457 = 
VECTOR_REF(BgL_bucketz00_3469,BgL_kz00_3481); } } } } } } } } 
BgL_arg3164z00_2148 = 
PROCEDURE_ENTRY(BgL_method2962z00_3457)(BgL_method2962z00_3457, 
(obj_t)(BgL_nodez00_3455), BgL_freez00_2140, BEOA); } } 
{ 
obj_t BgL_freez00_4349;obj_t BgL_bindingsz00_4348;
BgL_bindingsz00_4348 = BgL_arg3163z00_2147; 
BgL_freez00_4349 = BgL_arg3164z00_2148; 
BgL_freez00_2140 = BgL_freez00_4349; 
BgL_bindingsz00_2139 = BgL_bindingsz00_4348; 
goto BgL_loopz00_2141;} } } } } } 
}



/* node-free-let-fun2988 */
obj_t BGl_nodezd2freezd2letzd2fun2988zd2zzintegrate_freez00(obj_t BgL_envz00_3763, obj_t BgL_nodez00_3764, obj_t BgL_freez00_3765)
{ AN_OBJECT;
{ /* Integrate/free.scm 211 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2110;obj_t BgL_freez00_2111;
BgL_nodez00_2110 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3764); 
BgL_freez00_2111 = BgL_freez00_3765; 
{ 
obj_t BgL_localsz00_2115;obj_t BgL_freez00_2116;
BgL_localsz00_2115 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2110))->BgL_localsz00); 
BgL_freez00_2116 = BgL_freez00_2111; 
BgL_liipz00_2117:
if(
NULLP(BgL_localsz00_2115))
{ /* Integrate/free.scm 217 */
BgL_nodez00_bglt BgL_arg3150z00_2120;
BgL_arg3150z00_2120 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2110))->BgL_bodyz00); 
{ /* Integrate/free.scm 217 */
obj_t BgL_method2962z00_3360;
{ /* Integrate/free.scm 217 */
long BgL_objzd2classzd2numz00_3362;
{ /* Integrate/free.scm 217 */
BgL_objectz00_bglt BgL_auxz00_4355;
BgL_auxz00_4355 = 
(BgL_objectz00_bglt)(BgL_arg3150z00_2120); 
BgL_objzd2classzd2numz00_3362 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4355); } 
{ /* Integrate/free.scm 217 */
obj_t BgL_arg1221z00_3363;
{ /* Integrate/free.scm 217 */
int BgL_auxz00_4358;
BgL_auxz00_4358 = 
(int)(((long)1)); 
BgL_arg1221z00_3363 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4358); } 
{ /* Integrate/free.scm 217 */
long BgL_offsetz00_3367;
{ /* Integrate/free.scm 217 */
long BgL_auxz00_4361;
{ /* Integrate/free.scm 217 */
int BgL_auxz00_4362;
BgL_auxz00_4362 = 
(int)(BgL_objzd2classzd2numz00_3362); 
BgL_auxz00_4361 = 
(long)(BgL_auxz00_4362); } 
BgL_offsetz00_3367 = 
(BgL_auxz00_4361-OBJECT_TYPE); } 
{ /* Integrate/free.scm 217 */
long BgL_modz00_3368;
{ /* Integrate/free.scm 217 */
long BgL_auxz00_4366;
{ /* Integrate/free.scm 217 */
int BgL_auxz00_4367;
BgL_auxz00_4367 = 
(int)(((long)8)); 
BgL_auxz00_4366 = 
(long)(BgL_auxz00_4367); } 
BgL_modz00_3368 = 
(BgL_offsetz00_3367/BgL_auxz00_4366); } 
{ /* Integrate/free.scm 217 */
long BgL_restz00_3370;
{ /* Integrate/free.scm 217 */
long BgL_auxz00_4371;
{ /* Integrate/free.scm 217 */
int BgL_auxz00_4372;
BgL_auxz00_4372 = 
(int)(((long)8)); 
BgL_auxz00_4371 = 
(long)(BgL_auxz00_4372); } 
BgL_restz00_3370 = 
(BgL_offsetz00_3367%BgL_auxz00_4371); } 
{ /* Integrate/free.scm 217 */

{ /* Integrate/free.scm 217 */
obj_t BgL_bucketz00_3372;
{ /* Integrate/free.scm 217 */
int BgL_kz00_3382;
BgL_kz00_3382 = 
(int)(BgL_modz00_3368); 
BgL_bucketz00_3372 = 
VECTOR_REF(BgL_arg1221z00_3363,BgL_kz00_3382); } 
{ /* Integrate/free.scm 217 */
int BgL_kz00_3384;
BgL_kz00_3384 = 
(int)(BgL_restz00_3370); 
BgL_method2962z00_3360 = 
VECTOR_REF(BgL_bucketz00_3372,BgL_kz00_3384); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3360)(BgL_method2962z00_3360, 
(obj_t)(BgL_arg3150z00_2120), BgL_freez00_2116, BEOA);} }  else 
{ /* Integrate/free.scm 218 */
BgL_valuez00_bglt BgL_funz00_2122;
{ /* Integrate/free.scm 219 */
BgL_localz00_bglt BgL_obj1255z00_3386;
{ /* Integrate/free.scm 219 */
obj_t BgL_auxz00_4383;
BgL_auxz00_4383 = 
CAR(BgL_localsz00_2115); 
BgL_obj1255z00_3386 = 
(BgL_localz00_bglt)(BgL_auxz00_4383); } 
BgL_funz00_2122 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3386))->BgL_valuez00); } 
{ /* Integrate/free.scm 219 */

{ 
obj_t BgL_l2940z00_2123;
{ /* Integrate/free.scm 221 */
BgL_sfunz00_bglt BgL_obj1369z00_3387;
BgL_obj1369z00_3387 = 
(BgL_sfunz00_bglt)(BgL_funz00_2122); 
BgL_l2940z00_2123 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_3387))->BgL_argsz00); } 
BgL_lname2941z00_2124:
if(
PAIRP(BgL_l2940z00_2123))
{ /* Integrate/free.scm 220 */
{ /* Integrate/free.scm 220 */
BgL_localz00_bglt BgL_auxz00_4389;
{ /* Integrate/free.scm 220 */
obj_t BgL_auxz00_4390;
BgL_auxz00_4390 = 
CAR(BgL_l2940z00_2123); 
BgL_auxz00_4389 = 
(BgL_localz00_bglt)(BgL_auxz00_4390); } 
BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_4389, 
(BgL_localz00_bglt)(BGl_za2integratorza2z00zzintegrate_freez00)); } 
{ 
obj_t BgL_l2940z00_4395;
BgL_l2940z00_4395 = 
CDR(BgL_l2940z00_2123); 
BgL_l2940z00_2123 = BgL_l2940z00_4395; 
goto BgL_lname2941z00_2124;} }  else 
{ /* Integrate/free.scm 220 */((bool_t)1); } } 
{ /* Integrate/free.scm 222 */
obj_t BgL_arg3154z00_2129;obj_t BgL_arg3155z00_2130;
BgL_arg3154z00_2129 = 
CDR(BgL_localsz00_2115); 
{ /* Integrate/free.scm 223 */
BgL_nodez00_bglt BgL_nodez00_3393;
{ /* Integrate/free.scm 223 */
obj_t BgL_auxz00_4400;
{ /* Integrate/free.scm 223 */
BgL_sfunz00_bglt BgL_obj1372z00_3392;
BgL_obj1372z00_3392 = 
(BgL_sfunz00_bglt)(BgL_funz00_2122); 
BgL_auxz00_4400 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3392))->BgL_bodyz00); } 
BgL_nodez00_3393 = 
(BgL_nodez00_bglt)(BgL_auxz00_4400); } 
{ /* Integrate/free.scm 223 */
obj_t BgL_method2962z00_3395;
{ /* Integrate/free.scm 223 */
long BgL_objzd2classzd2numz00_3397;
{ /* Integrate/free.scm 223 */
BgL_objectz00_bglt BgL_auxz00_4404;
BgL_auxz00_4404 = 
(BgL_objectz00_bglt)(BgL_nodez00_3393); 
BgL_objzd2classzd2numz00_3397 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4404); } 
{ /* Integrate/free.scm 223 */
obj_t BgL_arg1221z00_3398;
{ /* Integrate/free.scm 223 */
int BgL_auxz00_4407;
BgL_auxz00_4407 = 
(int)(((long)1)); 
BgL_arg1221z00_3398 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4407); } 
{ /* Integrate/free.scm 223 */
long BgL_offsetz00_3402;
{ /* Integrate/free.scm 223 */
long BgL_auxz00_4410;
{ /* Integrate/free.scm 223 */
int BgL_auxz00_4411;
BgL_auxz00_4411 = 
(int)(BgL_objzd2classzd2numz00_3397); 
BgL_auxz00_4410 = 
(long)(BgL_auxz00_4411); } 
BgL_offsetz00_3402 = 
(BgL_auxz00_4410-OBJECT_TYPE); } 
{ /* Integrate/free.scm 223 */
long BgL_modz00_3403;
{ /* Integrate/free.scm 223 */
long BgL_auxz00_4415;
{ /* Integrate/free.scm 223 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(((long)8)); 
BgL_auxz00_4415 = 
(long)(BgL_auxz00_4416); } 
BgL_modz00_3403 = 
(BgL_offsetz00_3402/BgL_auxz00_4415); } 
{ /* Integrate/free.scm 223 */
long BgL_restz00_3405;
{ /* Integrate/free.scm 223 */
long BgL_auxz00_4420;
{ /* Integrate/free.scm 223 */
int BgL_auxz00_4421;
BgL_auxz00_4421 = 
(int)(((long)8)); 
BgL_auxz00_4420 = 
(long)(BgL_auxz00_4421); } 
BgL_restz00_3405 = 
(BgL_offsetz00_3402%BgL_auxz00_4420); } 
{ /* Integrate/free.scm 223 */

{ /* Integrate/free.scm 223 */
obj_t BgL_bucketz00_3407;
{ /* Integrate/free.scm 223 */
int BgL_kz00_3417;
BgL_kz00_3417 = 
(int)(BgL_modz00_3403); 
BgL_bucketz00_3407 = 
VECTOR_REF(BgL_arg1221z00_3398,BgL_kz00_3417); } 
{ /* Integrate/free.scm 223 */
int BgL_kz00_3419;
BgL_kz00_3419 = 
(int)(BgL_restz00_3405); 
BgL_method2962z00_3395 = 
VECTOR_REF(BgL_bucketz00_3407,BgL_kz00_3419); } } } } } } } } 
BgL_arg3155z00_2130 = 
PROCEDURE_ENTRY(BgL_method2962z00_3395)(BgL_method2962z00_3395, 
(obj_t)(BgL_nodez00_3393), BgL_freez00_2116, BEOA); } } 
{ 
obj_t BgL_freez00_4433;obj_t BgL_localsz00_4432;
BgL_localsz00_4432 = BgL_arg3154z00_2129; 
BgL_freez00_4433 = BgL_arg3155z00_2130; 
BgL_freez00_2116 = BgL_freez00_4433; 
BgL_localsz00_2115 = BgL_localsz00_4432; 
goto BgL_liipz00_2117;} } } } } } } 
}



/* node-free-select2986 */
obj_t BGl_nodezd2freezd2select2986z00zzintegrate_freez00(obj_t BgL_envz00_3766, obj_t BgL_nodez00_3767, obj_t BgL_freez00_3768)
{ AN_OBJECT;
{ /* Integrate/free.scm 200 */
{ 
BgL_selectz00_bglt BgL_nodez00_2093;obj_t BgL_freez00_2094;
BgL_nodez00_2093 = 
(BgL_selectz00_bglt)(BgL_nodez00_3767); 
BgL_freez00_2094 = BgL_freez00_3768; 
{ 
obj_t BgL_clausesz00_2098;obj_t BgL_freez00_2099;
BgL_clausesz00_2098 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2093))->BgL_clausesz00); 
BgL_freez00_2099 = BgL_freez00_2094; 
BgL_loopz00_2100:
if(
NULLP(BgL_clausesz00_2098))
{ /* Integrate/free.scm 205 */
BgL_nodez00_bglt BgL_arg3142z00_2103;
BgL_arg3142z00_2103 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2093))->BgL_testz00); 
{ /* Integrate/free.scm 205 */
obj_t BgL_method2962z00_3300;
{ /* Integrate/free.scm 205 */
long BgL_objzd2classzd2numz00_3302;
{ /* Integrate/free.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4439;
BgL_auxz00_4439 = 
(BgL_objectz00_bglt)(BgL_arg3142z00_2103); 
BgL_objzd2classzd2numz00_3302 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4439); } 
{ /* Integrate/free.scm 205 */
obj_t BgL_arg1221z00_3303;
{ /* Integrate/free.scm 205 */
int BgL_auxz00_4442;
BgL_auxz00_4442 = 
(int)(((long)1)); 
BgL_arg1221z00_3303 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4442); } 
{ /* Integrate/free.scm 205 */
long BgL_offsetz00_3307;
{ /* Integrate/free.scm 205 */
long BgL_auxz00_4445;
{ /* Integrate/free.scm 205 */
int BgL_auxz00_4446;
BgL_auxz00_4446 = 
(int)(BgL_objzd2classzd2numz00_3302); 
BgL_auxz00_4445 = 
(long)(BgL_auxz00_4446); } 
BgL_offsetz00_3307 = 
(BgL_auxz00_4445-OBJECT_TYPE); } 
{ /* Integrate/free.scm 205 */
long BgL_modz00_3308;
{ /* Integrate/free.scm 205 */
long BgL_auxz00_4450;
{ /* Integrate/free.scm 205 */
int BgL_auxz00_4451;
BgL_auxz00_4451 = 
(int)(((long)8)); 
BgL_auxz00_4450 = 
(long)(BgL_auxz00_4451); } 
BgL_modz00_3308 = 
(BgL_offsetz00_3307/BgL_auxz00_4450); } 
{ /* Integrate/free.scm 205 */
long BgL_restz00_3310;
{ /* Integrate/free.scm 205 */
long BgL_auxz00_4455;
{ /* Integrate/free.scm 205 */
int BgL_auxz00_4456;
BgL_auxz00_4456 = 
(int)(((long)8)); 
BgL_auxz00_4455 = 
(long)(BgL_auxz00_4456); } 
BgL_restz00_3310 = 
(BgL_offsetz00_3307%BgL_auxz00_4455); } 
{ /* Integrate/free.scm 205 */

{ /* Integrate/free.scm 205 */
obj_t BgL_bucketz00_3312;
{ /* Integrate/free.scm 205 */
int BgL_kz00_3322;
BgL_kz00_3322 = 
(int)(BgL_modz00_3308); 
BgL_bucketz00_3312 = 
VECTOR_REF(BgL_arg1221z00_3303,BgL_kz00_3322); } 
{ /* Integrate/free.scm 205 */
int BgL_kz00_3324;
BgL_kz00_3324 = 
(int)(BgL_restz00_3310); 
BgL_method2962z00_3300 = 
VECTOR_REF(BgL_bucketz00_3312,BgL_kz00_3324); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3300)(BgL_method2962z00_3300, 
(obj_t)(BgL_arg3142z00_2103), BgL_freez00_2099, BEOA);} }  else 
{ /* Integrate/free.scm 206 */
obj_t BgL_arg3143z00_2104;obj_t BgL_arg3144z00_2105;
BgL_arg3143z00_2104 = 
CDR(BgL_clausesz00_2098); 
{ /* Integrate/free.scm 206 */
BgL_nodez00_bglt BgL_nodez00_3328;
{ /* Integrate/free.scm 206 */
obj_t BgL_auxz00_4468;
{ /* Integrate/free.scm 206 */
obj_t BgL_auxz00_4469;
BgL_auxz00_4469 = 
CAR(BgL_clausesz00_2098); 
BgL_auxz00_4468 = 
CDR(BgL_auxz00_4469); } 
BgL_nodez00_3328 = 
(BgL_nodez00_bglt)(BgL_auxz00_4468); } 
{ /* Integrate/free.scm 206 */
obj_t BgL_method2962z00_3330;
{ /* Integrate/free.scm 206 */
long BgL_objzd2classzd2numz00_3332;
{ /* Integrate/free.scm 206 */
BgL_objectz00_bglt BgL_auxz00_4473;
BgL_auxz00_4473 = 
(BgL_objectz00_bglt)(BgL_nodez00_3328); 
BgL_objzd2classzd2numz00_3332 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4473); } 
{ /* Integrate/free.scm 206 */
obj_t BgL_arg1221z00_3333;
{ /* Integrate/free.scm 206 */
int BgL_auxz00_4476;
BgL_auxz00_4476 = 
(int)(((long)1)); 
BgL_arg1221z00_3333 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4476); } 
{ /* Integrate/free.scm 206 */
long BgL_offsetz00_3337;
{ /* Integrate/free.scm 206 */
long BgL_auxz00_4479;
{ /* Integrate/free.scm 206 */
int BgL_auxz00_4480;
BgL_auxz00_4480 = 
(int)(BgL_objzd2classzd2numz00_3332); 
BgL_auxz00_4479 = 
(long)(BgL_auxz00_4480); } 
BgL_offsetz00_3337 = 
(BgL_auxz00_4479-OBJECT_TYPE); } 
{ /* Integrate/free.scm 206 */
long BgL_modz00_3338;
{ /* Integrate/free.scm 206 */
long BgL_auxz00_4484;
{ /* Integrate/free.scm 206 */
int BgL_auxz00_4485;
BgL_auxz00_4485 = 
(int)(((long)8)); 
BgL_auxz00_4484 = 
(long)(BgL_auxz00_4485); } 
BgL_modz00_3338 = 
(BgL_offsetz00_3337/BgL_auxz00_4484); } 
{ /* Integrate/free.scm 206 */
long BgL_restz00_3340;
{ /* Integrate/free.scm 206 */
long BgL_auxz00_4489;
{ /* Integrate/free.scm 206 */
int BgL_auxz00_4490;
BgL_auxz00_4490 = 
(int)(((long)8)); 
BgL_auxz00_4489 = 
(long)(BgL_auxz00_4490); } 
BgL_restz00_3340 = 
(BgL_offsetz00_3337%BgL_auxz00_4489); } 
{ /* Integrate/free.scm 206 */

{ /* Integrate/free.scm 206 */
obj_t BgL_bucketz00_3342;
{ /* Integrate/free.scm 206 */
int BgL_kz00_3352;
BgL_kz00_3352 = 
(int)(BgL_modz00_3338); 
BgL_bucketz00_3342 = 
VECTOR_REF(BgL_arg1221z00_3333,BgL_kz00_3352); } 
{ /* Integrate/free.scm 206 */
int BgL_kz00_3354;
BgL_kz00_3354 = 
(int)(BgL_restz00_3340); 
BgL_method2962z00_3330 = 
VECTOR_REF(BgL_bucketz00_3342,BgL_kz00_3354); } } } } } } } } 
BgL_arg3144z00_2105 = 
PROCEDURE_ENTRY(BgL_method2962z00_3330)(BgL_method2962z00_3330, 
(obj_t)(BgL_nodez00_3328), BgL_freez00_2099, BEOA); } } 
{ 
obj_t BgL_freez00_4502;obj_t BgL_clausesz00_4501;
BgL_clausesz00_4501 = BgL_arg3143z00_2104; 
BgL_freez00_4502 = BgL_arg3144z00_2105; 
BgL_freez00_2099 = BgL_freez00_4502; 
BgL_clausesz00_2098 = BgL_clausesz00_4501; 
goto BgL_loopz00_2100;} } } } } 
}



/* node-free-fail2984 */
obj_t BGl_nodezd2freezd2fail2984z00zzintegrate_freez00(obj_t BgL_envz00_3769, obj_t BgL_nodez00_3770, obj_t BgL_freez00_3771)
{ AN_OBJECT;
{ /* Integrate/free.scm 193 */
{ 
BgL_failz00_bglt BgL_nodez00_2081;obj_t BgL_freez00_2082;
BgL_nodez00_2081 = 
(BgL_failz00_bglt)(BgL_nodez00_3770); 
BgL_freez00_2082 = BgL_freez00_3771; 
{ /* Integrate/free.scm 195 */
BgL_nodez00_bglt BgL_arg3134z00_2086;obj_t BgL_arg3135z00_2087;
BgL_arg3134z00_2086 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2081))->BgL_procz00); 
{ /* Integrate/free.scm 195 */
BgL_nodez00_bglt BgL_arg3136z00_2088;obj_t BgL_arg3137z00_2089;
BgL_arg3136z00_2088 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2081))->BgL_msgz00); 
{ /* Integrate/free.scm 195 */
BgL_nodez00_bglt BgL_arg3138z00_2090;
BgL_arg3138z00_2090 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2081))->BgL_objz00); 
{ /* Integrate/free.scm 195 */
obj_t BgL_method2962z00_3216;
{ /* Integrate/free.scm 195 */
long BgL_objzd2classzd2numz00_3218;
{ /* Integrate/free.scm 195 */
BgL_objectz00_bglt BgL_auxz00_4508;
BgL_auxz00_4508 = 
(BgL_objectz00_bglt)(BgL_arg3138z00_2090); 
BgL_objzd2classzd2numz00_3218 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4508); } 
{ /* Integrate/free.scm 195 */
obj_t BgL_arg1221z00_3219;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4511;
BgL_auxz00_4511 = 
(int)(((long)1)); 
BgL_arg1221z00_3219 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4511); } 
{ /* Integrate/free.scm 195 */
long BgL_offsetz00_3223;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4514;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4515;
BgL_auxz00_4515 = 
(int)(BgL_objzd2classzd2numz00_3218); 
BgL_auxz00_4514 = 
(long)(BgL_auxz00_4515); } 
BgL_offsetz00_3223 = 
(BgL_auxz00_4514-OBJECT_TYPE); } 
{ /* Integrate/free.scm 195 */
long BgL_modz00_3224;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4519;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4520;
BgL_auxz00_4520 = 
(int)(((long)8)); 
BgL_auxz00_4519 = 
(long)(BgL_auxz00_4520); } 
BgL_modz00_3224 = 
(BgL_offsetz00_3223/BgL_auxz00_4519); } 
{ /* Integrate/free.scm 195 */
long BgL_restz00_3226;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4524;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4525;
BgL_auxz00_4525 = 
(int)(((long)8)); 
BgL_auxz00_4524 = 
(long)(BgL_auxz00_4525); } 
BgL_restz00_3226 = 
(BgL_offsetz00_3223%BgL_auxz00_4524); } 
{ /* Integrate/free.scm 195 */

{ /* Integrate/free.scm 195 */
obj_t BgL_bucketz00_3228;
{ /* Integrate/free.scm 195 */
int BgL_kz00_3238;
BgL_kz00_3238 = 
(int)(BgL_modz00_3224); 
BgL_bucketz00_3228 = 
VECTOR_REF(BgL_arg1221z00_3219,BgL_kz00_3238); } 
{ /* Integrate/free.scm 195 */
int BgL_kz00_3240;
BgL_kz00_3240 = 
(int)(BgL_restz00_3226); 
BgL_method2962z00_3216 = 
VECTOR_REF(BgL_bucketz00_3228,BgL_kz00_3240); } } } } } } } } 
BgL_arg3137z00_2089 = 
PROCEDURE_ENTRY(BgL_method2962z00_3216)(BgL_method2962z00_3216, 
(obj_t)(BgL_arg3138z00_2090), BgL_freez00_2082, BEOA); } } 
{ /* Integrate/free.scm 195 */
obj_t BgL_method2962z00_3243;
{ /* Integrate/free.scm 195 */
long BgL_objzd2classzd2numz00_3245;
{ /* Integrate/free.scm 195 */
BgL_objectz00_bglt BgL_auxz00_4536;
BgL_auxz00_4536 = 
(BgL_objectz00_bglt)(BgL_arg3136z00_2088); 
BgL_objzd2classzd2numz00_3245 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4536); } 
{ /* Integrate/free.scm 195 */
obj_t BgL_arg1221z00_3246;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4539;
BgL_auxz00_4539 = 
(int)(((long)1)); 
BgL_arg1221z00_3246 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4539); } 
{ /* Integrate/free.scm 195 */
long BgL_offsetz00_3250;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4542;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4543;
BgL_auxz00_4543 = 
(int)(BgL_objzd2classzd2numz00_3245); 
BgL_auxz00_4542 = 
(long)(BgL_auxz00_4543); } 
BgL_offsetz00_3250 = 
(BgL_auxz00_4542-OBJECT_TYPE); } 
{ /* Integrate/free.scm 195 */
long BgL_modz00_3251;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4547;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4548;
BgL_auxz00_4548 = 
(int)(((long)8)); 
BgL_auxz00_4547 = 
(long)(BgL_auxz00_4548); } 
BgL_modz00_3251 = 
(BgL_offsetz00_3250/BgL_auxz00_4547); } 
{ /* Integrate/free.scm 195 */
long BgL_restz00_3253;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4552;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4553;
BgL_auxz00_4553 = 
(int)(((long)8)); 
BgL_auxz00_4552 = 
(long)(BgL_auxz00_4553); } 
BgL_restz00_3253 = 
(BgL_offsetz00_3250%BgL_auxz00_4552); } 
{ /* Integrate/free.scm 195 */

{ /* Integrate/free.scm 195 */
obj_t BgL_bucketz00_3255;
{ /* Integrate/free.scm 195 */
int BgL_kz00_3265;
BgL_kz00_3265 = 
(int)(BgL_modz00_3251); 
BgL_bucketz00_3255 = 
VECTOR_REF(BgL_arg1221z00_3246,BgL_kz00_3265); } 
{ /* Integrate/free.scm 195 */
int BgL_kz00_3267;
BgL_kz00_3267 = 
(int)(BgL_restz00_3253); 
BgL_method2962z00_3243 = 
VECTOR_REF(BgL_bucketz00_3255,BgL_kz00_3267); } } } } } } } } 
BgL_arg3135z00_2087 = 
PROCEDURE_ENTRY(BgL_method2962z00_3243)(BgL_method2962z00_3243, 
(obj_t)(BgL_arg3136z00_2088), BgL_arg3137z00_2089, BEOA); } } 
{ /* Integrate/free.scm 195 */
obj_t BgL_method2962z00_3270;
{ /* Integrate/free.scm 195 */
long BgL_objzd2classzd2numz00_3272;
{ /* Integrate/free.scm 195 */
BgL_objectz00_bglt BgL_auxz00_4564;
BgL_auxz00_4564 = 
(BgL_objectz00_bglt)(BgL_arg3134z00_2086); 
BgL_objzd2classzd2numz00_3272 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4564); } 
{ /* Integrate/free.scm 195 */
obj_t BgL_arg1221z00_3273;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)1)); 
BgL_arg1221z00_3273 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4567); } 
{ /* Integrate/free.scm 195 */
long BgL_offsetz00_3277;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4570;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4571;
BgL_auxz00_4571 = 
(int)(BgL_objzd2classzd2numz00_3272); 
BgL_auxz00_4570 = 
(long)(BgL_auxz00_4571); } 
BgL_offsetz00_3277 = 
(BgL_auxz00_4570-OBJECT_TYPE); } 
{ /* Integrate/free.scm 195 */
long BgL_modz00_3278;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4575;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4576;
BgL_auxz00_4576 = 
(int)(((long)8)); 
BgL_auxz00_4575 = 
(long)(BgL_auxz00_4576); } 
BgL_modz00_3278 = 
(BgL_offsetz00_3277/BgL_auxz00_4575); } 
{ /* Integrate/free.scm 195 */
long BgL_restz00_3280;
{ /* Integrate/free.scm 195 */
long BgL_auxz00_4580;
{ /* Integrate/free.scm 195 */
int BgL_auxz00_4581;
BgL_auxz00_4581 = 
(int)(((long)8)); 
BgL_auxz00_4580 = 
(long)(BgL_auxz00_4581); } 
BgL_restz00_3280 = 
(BgL_offsetz00_3277%BgL_auxz00_4580); } 
{ /* Integrate/free.scm 195 */

{ /* Integrate/free.scm 195 */
obj_t BgL_bucketz00_3282;
{ /* Integrate/free.scm 195 */
int BgL_kz00_3292;
BgL_kz00_3292 = 
(int)(BgL_modz00_3278); 
BgL_bucketz00_3282 = 
VECTOR_REF(BgL_arg1221z00_3273,BgL_kz00_3292); } 
{ /* Integrate/free.scm 195 */
int BgL_kz00_3294;
BgL_kz00_3294 = 
(int)(BgL_restz00_3280); 
BgL_method2962z00_3270 = 
VECTOR_REF(BgL_bucketz00_3282,BgL_kz00_3294); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3270)(BgL_method2962z00_3270, 
(obj_t)(BgL_arg3134z00_2086), BgL_arg3135z00_2087, BEOA);} } } } 
}



/* node-free-conditional2982 */
obj_t BGl_nodezd2freezd2conditional2982z00zzintegrate_freez00(obj_t BgL_envz00_3772, obj_t BgL_nodez00_3773, obj_t BgL_freez00_3774)
{ AN_OBJECT;
{ /* Integrate/free.scm 186 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2069;obj_t BgL_freez00_2070;
BgL_nodez00_2069 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3773); 
BgL_freez00_2070 = BgL_freez00_3774; 
{ /* Integrate/free.scm 188 */
BgL_nodez00_bglt BgL_arg3128z00_2074;obj_t BgL_arg3129z00_2075;
BgL_arg3128z00_2074 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2069))->BgL_testz00); 
{ /* Integrate/free.scm 188 */
BgL_nodez00_bglt BgL_arg3130z00_2076;obj_t BgL_arg3131z00_2077;
BgL_arg3130z00_2076 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2069))->BgL_truez00); 
{ /* Integrate/free.scm 188 */
BgL_nodez00_bglt BgL_arg3132z00_2078;
BgL_arg3132z00_2078 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2069))->BgL_falsez00); 
{ /* Integrate/free.scm 188 */
obj_t BgL_method2962z00_3132;
{ /* Integrate/free.scm 188 */
long BgL_objzd2classzd2numz00_3134;
{ /* Integrate/free.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4596;
BgL_auxz00_4596 = 
(BgL_objectz00_bglt)(BgL_arg3132z00_2078); 
BgL_objzd2classzd2numz00_3134 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4596); } 
{ /* Integrate/free.scm 188 */
obj_t BgL_arg1221z00_3135;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4599;
BgL_auxz00_4599 = 
(int)(((long)1)); 
BgL_arg1221z00_3135 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4599); } 
{ /* Integrate/free.scm 188 */
long BgL_offsetz00_3139;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4602;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4603;
BgL_auxz00_4603 = 
(int)(BgL_objzd2classzd2numz00_3134); 
BgL_auxz00_4602 = 
(long)(BgL_auxz00_4603); } 
BgL_offsetz00_3139 = 
(BgL_auxz00_4602-OBJECT_TYPE); } 
{ /* Integrate/free.scm 188 */
long BgL_modz00_3140;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4607;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4608;
BgL_auxz00_4608 = 
(int)(((long)8)); 
BgL_auxz00_4607 = 
(long)(BgL_auxz00_4608); } 
BgL_modz00_3140 = 
(BgL_offsetz00_3139/BgL_auxz00_4607); } 
{ /* Integrate/free.scm 188 */
long BgL_restz00_3142;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4612;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4613;
BgL_auxz00_4613 = 
(int)(((long)8)); 
BgL_auxz00_4612 = 
(long)(BgL_auxz00_4613); } 
BgL_restz00_3142 = 
(BgL_offsetz00_3139%BgL_auxz00_4612); } 
{ /* Integrate/free.scm 188 */

{ /* Integrate/free.scm 188 */
obj_t BgL_bucketz00_3144;
{ /* Integrate/free.scm 188 */
int BgL_kz00_3154;
BgL_kz00_3154 = 
(int)(BgL_modz00_3140); 
BgL_bucketz00_3144 = 
VECTOR_REF(BgL_arg1221z00_3135,BgL_kz00_3154); } 
{ /* Integrate/free.scm 188 */
int BgL_kz00_3156;
BgL_kz00_3156 = 
(int)(BgL_restz00_3142); 
BgL_method2962z00_3132 = 
VECTOR_REF(BgL_bucketz00_3144,BgL_kz00_3156); } } } } } } } } 
BgL_arg3131z00_2077 = 
PROCEDURE_ENTRY(BgL_method2962z00_3132)(BgL_method2962z00_3132, 
(obj_t)(BgL_arg3132z00_2078), BgL_freez00_2070, BEOA); } } 
{ /* Integrate/free.scm 188 */
obj_t BgL_method2962z00_3159;
{ /* Integrate/free.scm 188 */
long BgL_objzd2classzd2numz00_3161;
{ /* Integrate/free.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4624;
BgL_auxz00_4624 = 
(BgL_objectz00_bglt)(BgL_arg3130z00_2076); 
BgL_objzd2classzd2numz00_3161 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4624); } 
{ /* Integrate/free.scm 188 */
obj_t BgL_arg1221z00_3162;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4627;
BgL_auxz00_4627 = 
(int)(((long)1)); 
BgL_arg1221z00_3162 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4627); } 
{ /* Integrate/free.scm 188 */
long BgL_offsetz00_3166;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4630;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4631;
BgL_auxz00_4631 = 
(int)(BgL_objzd2classzd2numz00_3161); 
BgL_auxz00_4630 = 
(long)(BgL_auxz00_4631); } 
BgL_offsetz00_3166 = 
(BgL_auxz00_4630-OBJECT_TYPE); } 
{ /* Integrate/free.scm 188 */
long BgL_modz00_3167;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4635;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4636;
BgL_auxz00_4636 = 
(int)(((long)8)); 
BgL_auxz00_4635 = 
(long)(BgL_auxz00_4636); } 
BgL_modz00_3167 = 
(BgL_offsetz00_3166/BgL_auxz00_4635); } 
{ /* Integrate/free.scm 188 */
long BgL_restz00_3169;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4640;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4641;
BgL_auxz00_4641 = 
(int)(((long)8)); 
BgL_auxz00_4640 = 
(long)(BgL_auxz00_4641); } 
BgL_restz00_3169 = 
(BgL_offsetz00_3166%BgL_auxz00_4640); } 
{ /* Integrate/free.scm 188 */

{ /* Integrate/free.scm 188 */
obj_t BgL_bucketz00_3171;
{ /* Integrate/free.scm 188 */
int BgL_kz00_3181;
BgL_kz00_3181 = 
(int)(BgL_modz00_3167); 
BgL_bucketz00_3171 = 
VECTOR_REF(BgL_arg1221z00_3162,BgL_kz00_3181); } 
{ /* Integrate/free.scm 188 */
int BgL_kz00_3183;
BgL_kz00_3183 = 
(int)(BgL_restz00_3169); 
BgL_method2962z00_3159 = 
VECTOR_REF(BgL_bucketz00_3171,BgL_kz00_3183); } } } } } } } } 
BgL_arg3129z00_2075 = 
PROCEDURE_ENTRY(BgL_method2962z00_3159)(BgL_method2962z00_3159, 
(obj_t)(BgL_arg3130z00_2076), BgL_arg3131z00_2077, BEOA); } } 
{ /* Integrate/free.scm 188 */
obj_t BgL_method2962z00_3186;
{ /* Integrate/free.scm 188 */
long BgL_objzd2classzd2numz00_3188;
{ /* Integrate/free.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4652;
BgL_auxz00_4652 = 
(BgL_objectz00_bglt)(BgL_arg3128z00_2074); 
BgL_objzd2classzd2numz00_3188 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4652); } 
{ /* Integrate/free.scm 188 */
obj_t BgL_arg1221z00_3189;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4655;
BgL_auxz00_4655 = 
(int)(((long)1)); 
BgL_arg1221z00_3189 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4655); } 
{ /* Integrate/free.scm 188 */
long BgL_offsetz00_3193;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4658;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4659;
BgL_auxz00_4659 = 
(int)(BgL_objzd2classzd2numz00_3188); 
BgL_auxz00_4658 = 
(long)(BgL_auxz00_4659); } 
BgL_offsetz00_3193 = 
(BgL_auxz00_4658-OBJECT_TYPE); } 
{ /* Integrate/free.scm 188 */
long BgL_modz00_3194;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4663;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4664;
BgL_auxz00_4664 = 
(int)(((long)8)); 
BgL_auxz00_4663 = 
(long)(BgL_auxz00_4664); } 
BgL_modz00_3194 = 
(BgL_offsetz00_3193/BgL_auxz00_4663); } 
{ /* Integrate/free.scm 188 */
long BgL_restz00_3196;
{ /* Integrate/free.scm 188 */
long BgL_auxz00_4668;
{ /* Integrate/free.scm 188 */
int BgL_auxz00_4669;
BgL_auxz00_4669 = 
(int)(((long)8)); 
BgL_auxz00_4668 = 
(long)(BgL_auxz00_4669); } 
BgL_restz00_3196 = 
(BgL_offsetz00_3193%BgL_auxz00_4668); } 
{ /* Integrate/free.scm 188 */

{ /* Integrate/free.scm 188 */
obj_t BgL_bucketz00_3198;
{ /* Integrate/free.scm 188 */
int BgL_kz00_3208;
BgL_kz00_3208 = 
(int)(BgL_modz00_3194); 
BgL_bucketz00_3198 = 
VECTOR_REF(BgL_arg1221z00_3189,BgL_kz00_3208); } 
{ /* Integrate/free.scm 188 */
int BgL_kz00_3210;
BgL_kz00_3210 = 
(int)(BgL_restz00_3196); 
BgL_method2962z00_3186 = 
VECTOR_REF(BgL_bucketz00_3198,BgL_kz00_3210); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3186)(BgL_method2962z00_3186, 
(obj_t)(BgL_arg3128z00_2074), BgL_arg3129z00_2075, BEOA);} } } } 
}



/* node-free-setq2980 */
obj_t BGl_nodezd2freezd2setq2980z00zzintegrate_freez00(obj_t BgL_envz00_3775, obj_t BgL_nodez00_3776, obj_t BgL_freez00_3777)
{ AN_OBJECT;
{ /* Integrate/free.scm 179 */
{ 
BgL_setqz00_bglt BgL_nodez00_2059;obj_t BgL_freez00_2060;
BgL_nodez00_2059 = 
(BgL_setqz00_bglt)(BgL_nodez00_3776); 
BgL_freez00_2060 = BgL_freez00_3777; 
{ /* Integrate/free.scm 180 */
BgL_varz00_bglt BgL_arg3124z00_3068;obj_t BgL_arg3125z00_3069;
BgL_arg3124z00_3068 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2059))->BgL_varz00); 
{ /* Integrate/free.scm 180 */
BgL_nodez00_bglt BgL_arg3126z00_3070;
BgL_arg3126z00_3070 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2059))->BgL_valuez00); 
{ /* Integrate/free.scm 180 */
obj_t BgL_method2962z00_3075;
{ /* Integrate/free.scm 180 */
long BgL_objzd2classzd2numz00_3077;
{ /* Integrate/free.scm 180 */
BgL_objectz00_bglt BgL_auxz00_4683;
BgL_auxz00_4683 = 
(BgL_objectz00_bglt)(BgL_arg3126z00_3070); 
BgL_objzd2classzd2numz00_3077 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4683); } 
{ /* Integrate/free.scm 180 */
obj_t BgL_arg1221z00_3078;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4686;
BgL_auxz00_4686 = 
(int)(((long)1)); 
BgL_arg1221z00_3078 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4686); } 
{ /* Integrate/free.scm 180 */
long BgL_offsetz00_3082;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4689;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4690;
BgL_auxz00_4690 = 
(int)(BgL_objzd2classzd2numz00_3077); 
BgL_auxz00_4689 = 
(long)(BgL_auxz00_4690); } 
BgL_offsetz00_3082 = 
(BgL_auxz00_4689-OBJECT_TYPE); } 
{ /* Integrate/free.scm 180 */
long BgL_modz00_3083;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4694;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4695;
BgL_auxz00_4695 = 
(int)(((long)8)); 
BgL_auxz00_4694 = 
(long)(BgL_auxz00_4695); } 
BgL_modz00_3083 = 
(BgL_offsetz00_3082/BgL_auxz00_4694); } 
{ /* Integrate/free.scm 180 */
long BgL_restz00_3085;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4699;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4700;
BgL_auxz00_4700 = 
(int)(((long)8)); 
BgL_auxz00_4699 = 
(long)(BgL_auxz00_4700); } 
BgL_restz00_3085 = 
(BgL_offsetz00_3082%BgL_auxz00_4699); } 
{ /* Integrate/free.scm 180 */

{ /* Integrate/free.scm 180 */
obj_t BgL_bucketz00_3087;
{ /* Integrate/free.scm 180 */
int BgL_kz00_3097;
BgL_kz00_3097 = 
(int)(BgL_modz00_3083); 
BgL_bucketz00_3087 = 
VECTOR_REF(BgL_arg1221z00_3078,BgL_kz00_3097); } 
{ /* Integrate/free.scm 180 */
int BgL_kz00_3099;
BgL_kz00_3099 = 
(int)(BgL_restz00_3085); 
BgL_method2962z00_3075 = 
VECTOR_REF(BgL_bucketz00_3087,BgL_kz00_3099); } } } } } } } } 
BgL_arg3125z00_3069 = 
PROCEDURE_ENTRY(BgL_method2962z00_3075)(BgL_method2962z00_3075, 
(obj_t)(BgL_arg3126z00_3070), BgL_freez00_2060, BEOA); } } 
{ /* Integrate/free.scm 180 */
BgL_nodez00_bglt BgL_nodez00_3100;
BgL_nodez00_3100 = 
(BgL_nodez00_bglt)(BgL_arg3124z00_3068); 
{ /* Integrate/free.scm 180 */
obj_t BgL_method2962z00_3102;
{ /* Integrate/free.scm 180 */
long BgL_objzd2classzd2numz00_3104;
{ /* Integrate/free.scm 180 */
BgL_objectz00_bglt BgL_auxz00_4712;
BgL_auxz00_4712 = 
(BgL_objectz00_bglt)(BgL_nodez00_3100); 
BgL_objzd2classzd2numz00_3104 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4712); } 
{ /* Integrate/free.scm 180 */
obj_t BgL_arg1221z00_3105;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4715;
BgL_auxz00_4715 = 
(int)(((long)1)); 
BgL_arg1221z00_3105 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4715); } 
{ /* Integrate/free.scm 180 */
long BgL_offsetz00_3109;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4718;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4719;
BgL_auxz00_4719 = 
(int)(BgL_objzd2classzd2numz00_3104); 
BgL_auxz00_4718 = 
(long)(BgL_auxz00_4719); } 
BgL_offsetz00_3109 = 
(BgL_auxz00_4718-OBJECT_TYPE); } 
{ /* Integrate/free.scm 180 */
long BgL_modz00_3110;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4723;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4724;
BgL_auxz00_4724 = 
(int)(((long)8)); 
BgL_auxz00_4723 = 
(long)(BgL_auxz00_4724); } 
BgL_modz00_3110 = 
(BgL_offsetz00_3109/BgL_auxz00_4723); } 
{ /* Integrate/free.scm 180 */
long BgL_restz00_3112;
{ /* Integrate/free.scm 180 */
long BgL_auxz00_4728;
{ /* Integrate/free.scm 180 */
int BgL_auxz00_4729;
BgL_auxz00_4729 = 
(int)(((long)8)); 
BgL_auxz00_4728 = 
(long)(BgL_auxz00_4729); } 
BgL_restz00_3112 = 
(BgL_offsetz00_3109%BgL_auxz00_4728); } 
{ /* Integrate/free.scm 180 */

{ /* Integrate/free.scm 180 */
obj_t BgL_bucketz00_3114;
{ /* Integrate/free.scm 180 */
int BgL_kz00_3124;
BgL_kz00_3124 = 
(int)(BgL_modz00_3110); 
BgL_bucketz00_3114 = 
VECTOR_REF(BgL_arg1221z00_3105,BgL_kz00_3124); } 
{ /* Integrate/free.scm 180 */
int BgL_kz00_3126;
BgL_kz00_3126 = 
(int)(BgL_restz00_3112); 
BgL_method2962z00_3102 = 
VECTOR_REF(BgL_bucketz00_3114,BgL_kz00_3126); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3102)(BgL_method2962z00_3102, 
(obj_t)(BgL_nodez00_3100), BgL_arg3125z00_3069, BEOA);} } } } } 
}



/* node-free-cast2978 */
obj_t BGl_nodezd2freezd2cast2978z00zzintegrate_freez00(obj_t BgL_envz00_3778, obj_t BgL_nodez00_3779, obj_t BgL_freez00_3780)
{ AN_OBJECT;
{ /* Integrate/free.scm 172 */
{ 
BgL_castz00_bglt BgL_nodez00_2051;obj_t BgL_freez00_2052;
BgL_nodez00_2051 = 
(BgL_castz00_bglt)(BgL_nodez00_3779); 
BgL_freez00_2052 = BgL_freez00_3780; 
{ /* Integrate/free.scm 173 */
BgL_nodez00_bglt BgL_arg3122z00_3038;
BgL_arg3122z00_3038 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2051))->BgL_argz00); 
{ /* Integrate/free.scm 173 */
obj_t BgL_method2962z00_3042;
{ /* Integrate/free.scm 173 */
long BgL_objzd2classzd2numz00_3044;
{ /* Integrate/free.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4742;
BgL_auxz00_4742 = 
(BgL_objectz00_bglt)(BgL_arg3122z00_3038); 
BgL_objzd2classzd2numz00_3044 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4742); } 
{ /* Integrate/free.scm 173 */
obj_t BgL_arg1221z00_3045;
{ /* Integrate/free.scm 173 */
int BgL_auxz00_4745;
BgL_auxz00_4745 = 
(int)(((long)1)); 
BgL_arg1221z00_3045 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4745); } 
{ /* Integrate/free.scm 173 */
long BgL_offsetz00_3049;
{ /* Integrate/free.scm 173 */
long BgL_auxz00_4748;
{ /* Integrate/free.scm 173 */
int BgL_auxz00_4749;
BgL_auxz00_4749 = 
(int)(BgL_objzd2classzd2numz00_3044); 
BgL_auxz00_4748 = 
(long)(BgL_auxz00_4749); } 
BgL_offsetz00_3049 = 
(BgL_auxz00_4748-OBJECT_TYPE); } 
{ /* Integrate/free.scm 173 */
long BgL_modz00_3050;
{ /* Integrate/free.scm 173 */
long BgL_auxz00_4753;
{ /* Integrate/free.scm 173 */
int BgL_auxz00_4754;
BgL_auxz00_4754 = 
(int)(((long)8)); 
BgL_auxz00_4753 = 
(long)(BgL_auxz00_4754); } 
BgL_modz00_3050 = 
(BgL_offsetz00_3049/BgL_auxz00_4753); } 
{ /* Integrate/free.scm 173 */
long BgL_restz00_3052;
{ /* Integrate/free.scm 173 */
long BgL_auxz00_4758;
{ /* Integrate/free.scm 173 */
int BgL_auxz00_4759;
BgL_auxz00_4759 = 
(int)(((long)8)); 
BgL_auxz00_4758 = 
(long)(BgL_auxz00_4759); } 
BgL_restz00_3052 = 
(BgL_offsetz00_3049%BgL_auxz00_4758); } 
{ /* Integrate/free.scm 173 */

{ /* Integrate/free.scm 173 */
obj_t BgL_bucketz00_3054;
{ /* Integrate/free.scm 173 */
int BgL_kz00_3064;
BgL_kz00_3064 = 
(int)(BgL_modz00_3050); 
BgL_bucketz00_3054 = 
VECTOR_REF(BgL_arg1221z00_3045,BgL_kz00_3064); } 
{ /* Integrate/free.scm 173 */
int BgL_kz00_3066;
BgL_kz00_3066 = 
(int)(BgL_restz00_3052); 
BgL_method2962z00_3042 = 
VECTOR_REF(BgL_bucketz00_3054,BgL_kz00_3066); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3042)(BgL_method2962z00_3042, 
(obj_t)(BgL_arg3122z00_3038), BgL_freez00_2052, BEOA);} } } } 
}



/* node-free-extern2976 */
obj_t BGl_nodezd2freezd2extern2976z00zzintegrate_freez00(obj_t BgL_envz00_3781, obj_t BgL_nodez00_3782, obj_t BgL_freez00_3783)
{ AN_OBJECT;
{ /* Integrate/free.scm 165 */
{ 
BgL_externz00_bglt BgL_nodez00_2043;obj_t BgL_freez00_2044;
BgL_nodez00_2043 = 
(BgL_externz00_bglt)(BgL_nodez00_3782); 
BgL_freez00_2044 = BgL_freez00_3783; 
return 
BGl_nodezd2freeza2z70zzintegrate_freez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2043))->BgL_exprza2za2), BgL_freez00_2044);} } 
}



/* node-free-funcall2974 */
obj_t BGl_nodezd2freezd2funcall2974z00zzintegrate_freez00(obj_t BgL_envz00_3784, obj_t BgL_nodez00_3785, obj_t BgL_freez00_3786)
{ AN_OBJECT;
{ /* Integrate/free.scm 158 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2033;obj_t BgL_freez00_2034;
BgL_nodez00_2033 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3785); 
BgL_freez00_2034 = BgL_freez00_3786; 
{ /* Integrate/free.scm 159 */
BgL_nodez00_bglt BgL_arg3116z00_3002;obj_t BgL_arg3117z00_3003;
BgL_arg3116z00_3002 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2033))->BgL_funz00); 
BgL_arg3117z00_3003 = 
BGl_nodezd2freeza2z70zzintegrate_freez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2033))->BgL_argsz00), BgL_freez00_2034); 
{ /* Integrate/free.scm 159 */
obj_t BgL_method2962z00_3009;
{ /* Integrate/free.scm 159 */
long BgL_objzd2classzd2numz00_3011;
{ /* Integrate/free.scm 159 */
BgL_objectz00_bglt BgL_auxz00_4777;
BgL_auxz00_4777 = 
(BgL_objectz00_bglt)(BgL_arg3116z00_3002); 
BgL_objzd2classzd2numz00_3011 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4777); } 
{ /* Integrate/free.scm 159 */
obj_t BgL_arg1221z00_3012;
{ /* Integrate/free.scm 159 */
int BgL_auxz00_4780;
BgL_auxz00_4780 = 
(int)(((long)1)); 
BgL_arg1221z00_3012 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4780); } 
{ /* Integrate/free.scm 159 */
long BgL_offsetz00_3016;
{ /* Integrate/free.scm 159 */
long BgL_auxz00_4783;
{ /* Integrate/free.scm 159 */
int BgL_auxz00_4784;
BgL_auxz00_4784 = 
(int)(BgL_objzd2classzd2numz00_3011); 
BgL_auxz00_4783 = 
(long)(BgL_auxz00_4784); } 
BgL_offsetz00_3016 = 
(BgL_auxz00_4783-OBJECT_TYPE); } 
{ /* Integrate/free.scm 159 */
long BgL_modz00_3017;
{ /* Integrate/free.scm 159 */
long BgL_auxz00_4788;
{ /* Integrate/free.scm 159 */
int BgL_auxz00_4789;
BgL_auxz00_4789 = 
(int)(((long)8)); 
BgL_auxz00_4788 = 
(long)(BgL_auxz00_4789); } 
BgL_modz00_3017 = 
(BgL_offsetz00_3016/BgL_auxz00_4788); } 
{ /* Integrate/free.scm 159 */
long BgL_restz00_3019;
{ /* Integrate/free.scm 159 */
long BgL_auxz00_4793;
{ /* Integrate/free.scm 159 */
int BgL_auxz00_4794;
BgL_auxz00_4794 = 
(int)(((long)8)); 
BgL_auxz00_4793 = 
(long)(BgL_auxz00_4794); } 
BgL_restz00_3019 = 
(BgL_offsetz00_3016%BgL_auxz00_4793); } 
{ /* Integrate/free.scm 159 */

{ /* Integrate/free.scm 159 */
obj_t BgL_bucketz00_3021;
{ /* Integrate/free.scm 159 */
int BgL_kz00_3031;
BgL_kz00_3031 = 
(int)(BgL_modz00_3017); 
BgL_bucketz00_3021 = 
VECTOR_REF(BgL_arg1221z00_3012,BgL_kz00_3031); } 
{ /* Integrate/free.scm 159 */
int BgL_kz00_3033;
BgL_kz00_3033 = 
(int)(BgL_restz00_3019); 
BgL_method2962z00_3009 = 
VECTOR_REF(BgL_bucketz00_3021,BgL_kz00_3033); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3009)(BgL_method2962z00_3009, 
(obj_t)(BgL_arg3116z00_3002), BgL_arg3117z00_3003, BEOA);} } } } 
}



/* node-free-app-ly2972 */
obj_t BGl_nodezd2freezd2appzd2ly2972zd2zzintegrate_freez00(obj_t BgL_envz00_3787, obj_t BgL_nodez00_3788, obj_t BgL_freez00_3789)
{ AN_OBJECT;
{ /* Integrate/free.scm 151 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2023;obj_t BgL_freez00_2024;
BgL_nodez00_2023 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3788); 
BgL_freez00_2024 = BgL_freez00_3789; 
{ /* Integrate/free.scm 152 */
BgL_nodez00_bglt BgL_arg3112z00_2942;obj_t BgL_arg3113z00_2943;
BgL_arg3112z00_2942 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2023))->BgL_funz00); 
{ /* Integrate/free.scm 152 */
BgL_nodez00_bglt BgL_arg3114z00_2944;
BgL_arg3114z00_2944 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2023))->BgL_argz00); 
{ /* Integrate/free.scm 152 */
obj_t BgL_method2962z00_2949;
{ /* Integrate/free.scm 152 */
long BgL_objzd2classzd2numz00_2951;
{ /* Integrate/free.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4808;
BgL_auxz00_4808 = 
(BgL_objectz00_bglt)(BgL_arg3114z00_2944); 
BgL_objzd2classzd2numz00_2951 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4808); } 
{ /* Integrate/free.scm 152 */
obj_t BgL_arg1221z00_2952;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4811;
BgL_auxz00_4811 = 
(int)(((long)1)); 
BgL_arg1221z00_2952 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4811); } 
{ /* Integrate/free.scm 152 */
long BgL_offsetz00_2956;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4814;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(BgL_objzd2classzd2numz00_2951); 
BgL_auxz00_4814 = 
(long)(BgL_auxz00_4815); } 
BgL_offsetz00_2956 = 
(BgL_auxz00_4814-OBJECT_TYPE); } 
{ /* Integrate/free.scm 152 */
long BgL_modz00_2957;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4819;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(((long)8)); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_modz00_2957 = 
(BgL_offsetz00_2956/BgL_auxz00_4819); } 
{ /* Integrate/free.scm 152 */
long BgL_restz00_2959;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4824;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)8)); 
BgL_auxz00_4824 = 
(long)(BgL_auxz00_4825); } 
BgL_restz00_2959 = 
(BgL_offsetz00_2956%BgL_auxz00_4824); } 
{ /* Integrate/free.scm 152 */

{ /* Integrate/free.scm 152 */
obj_t BgL_bucketz00_2961;
{ /* Integrate/free.scm 152 */
int BgL_kz00_2971;
BgL_kz00_2971 = 
(int)(BgL_modz00_2957); 
BgL_bucketz00_2961 = 
VECTOR_REF(BgL_arg1221z00_2952,BgL_kz00_2971); } 
{ /* Integrate/free.scm 152 */
int BgL_kz00_2973;
BgL_kz00_2973 = 
(int)(BgL_restz00_2959); 
BgL_method2962z00_2949 = 
VECTOR_REF(BgL_bucketz00_2961,BgL_kz00_2973); } } } } } } } } 
BgL_arg3113z00_2943 = 
PROCEDURE_ENTRY(BgL_method2962z00_2949)(BgL_method2962z00_2949, 
(obj_t)(BgL_arg3114z00_2944), BgL_freez00_2024, BEOA); } } 
{ /* Integrate/free.scm 152 */
obj_t BgL_method2962z00_2976;
{ /* Integrate/free.scm 152 */
long BgL_objzd2classzd2numz00_2978;
{ /* Integrate/free.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4836;
BgL_auxz00_4836 = 
(BgL_objectz00_bglt)(BgL_arg3112z00_2942); 
BgL_objzd2classzd2numz00_2978 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4836); } 
{ /* Integrate/free.scm 152 */
obj_t BgL_arg1221z00_2979;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4839;
BgL_auxz00_4839 = 
(int)(((long)1)); 
BgL_arg1221z00_2979 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4839); } 
{ /* Integrate/free.scm 152 */
long BgL_offsetz00_2983;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4842;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4843;
BgL_auxz00_4843 = 
(int)(BgL_objzd2classzd2numz00_2978); 
BgL_auxz00_4842 = 
(long)(BgL_auxz00_4843); } 
BgL_offsetz00_2983 = 
(BgL_auxz00_4842-OBJECT_TYPE); } 
{ /* Integrate/free.scm 152 */
long BgL_modz00_2984;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4847;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4848;
BgL_auxz00_4848 = 
(int)(((long)8)); 
BgL_auxz00_4847 = 
(long)(BgL_auxz00_4848); } 
BgL_modz00_2984 = 
(BgL_offsetz00_2983/BgL_auxz00_4847); } 
{ /* Integrate/free.scm 152 */
long BgL_restz00_2986;
{ /* Integrate/free.scm 152 */
long BgL_auxz00_4852;
{ /* Integrate/free.scm 152 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(((long)8)); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_restz00_2986 = 
(BgL_offsetz00_2983%BgL_auxz00_4852); } 
{ /* Integrate/free.scm 152 */

{ /* Integrate/free.scm 152 */
obj_t BgL_bucketz00_2988;
{ /* Integrate/free.scm 152 */
int BgL_kz00_2998;
BgL_kz00_2998 = 
(int)(BgL_modz00_2984); 
BgL_bucketz00_2988 = 
VECTOR_REF(BgL_arg1221z00_2979,BgL_kz00_2998); } 
{ /* Integrate/free.scm 152 */
int BgL_kz00_3000;
BgL_kz00_3000 = 
(int)(BgL_restz00_2986); 
BgL_method2962z00_2976 = 
VECTOR_REF(BgL_bucketz00_2988,BgL_kz00_3000); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_2976)(BgL_method2962z00_2976, 
(obj_t)(BgL_arg3112z00_2942), BgL_arg3113z00_2943, BEOA);} } } } 
}



/* node-free-app2970 */
obj_t BGl_nodezd2freezd2app2970z00zzintegrate_freez00(obj_t BgL_envz00_3790, obj_t BgL_nodez00_3791, obj_t BgL_freez00_3792)
{ AN_OBJECT;
{ /* Integrate/free.scm 144 */
{ 
BgL_appz00_bglt BgL_nodez00_2015;obj_t BgL_freez00_2016;
BgL_nodez00_2015 = 
(BgL_appz00_bglt)(BgL_nodez00_3791); 
BgL_freez00_2016 = BgL_freez00_3792; 
return 
BGl_nodezd2freeza2z70zzintegrate_freez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2015))->BgL_argsz00), BgL_freez00_2016);} } 
}



/* node-free-sequence2968 */
obj_t BGl_nodezd2freezd2sequence2968z00zzintegrate_freez00(obj_t BgL_envz00_3793, obj_t BgL_nodez00_3794, obj_t BgL_freez00_3795)
{ AN_OBJECT;
{ /* Integrate/free.scm 137 */
{ 
BgL_sequencez00_bglt BgL_nodez00_2007;obj_t BgL_freez00_2008;
BgL_nodez00_2007 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3794); 
BgL_freez00_2008 = BgL_freez00_3795; 
return 
BGl_nodezd2freeza2z70zzintegrate_freez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_2007))->BgL_nodesz00), BgL_freez00_2008);} } 
}



/* node-free-closure2966 */
obj_t BGl_nodezd2freezd2closure2966z00zzintegrate_freez00(obj_t BgL_envz00_3796, obj_t BgL_nodez00_3797, obj_t BgL_freez00_3798)
{ AN_OBJECT;
{ /* Integrate/free.scm 131 */
{ 
BgL_closurez00_bglt BgL_nodez00_1998;obj_t BgL_freez00_1999;
BgL_nodez00_1998 = 
(BgL_closurez00_bglt)(BgL_nodez00_3797); 
BgL_freez00_1999 = BgL_freez00_3798; 
{ /* Integrate/free.scm 132 */
obj_t BgL_arg3106z00_2934;
BgL_arg3106z00_2934 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1998)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3270z00zzintegrate_freez00, BGl_string3271z00zzintegrate_freez00, BgL_arg3106z00_2934);} } } 
}



/* node-free-var2964 */
obj_t BGl_nodezd2freezd2var2964z00zzintegrate_freez00(obj_t BgL_envz00_3799, obj_t BgL_nodez00_3800, obj_t BgL_freez00_3801)
{ AN_OBJECT;
{ /* Integrate/free.scm 117 */
{ 
BgL_varz00_bglt BgL_nodez00_1985;obj_t BgL_freez00_1986;
BgL_nodez00_1985 = 
(BgL_varz00_bglt)(BgL_nodez00_3800); 
BgL_freez00_1986 = BgL_freez00_3801; 
{ /* Integrate/free.scm 120 */
bool_t BgL_test3097z00_1990;
{ /* Integrate/free.scm 120 */
obj_t BgL_auxz00_4875;
{ /* Integrate/free.scm 120 */
BgL_variablez00_bglt BgL_auxz00_4876;
BgL_auxz00_4876 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1985))->BgL_variablez00); 
BgL_auxz00_4875 = 
(obj_t)(BgL_auxz00_4876); } 
BgL_test3097z00_1990 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4875, BGl_globalz00zzast_varz00); } 
if(BgL_test3097z00_1990)
{ /* Integrate/free.scm 120 */
return BgL_freez00_1986;}  else 
{ /* Integrate/free.scm 122 */
bool_t BgL_test3098z00_1991;
{ /* Integrate/free.scm 122 */
obj_t BgL_auxz00_4881;
{ /* Integrate/free.scm 122 */
obj_t BgL_auxz00_4882;
{ /* Integrate/free.scm 122 */
BgL_variablez00_bglt BgL_auxz00_4883;
BgL_auxz00_4883 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1985))->BgL_variablez00); 
BgL_auxz00_4882 = 
(obj_t)(BgL_auxz00_4883); } 
BgL_auxz00_4881 = 
BGl_freezd2variablezf3z21zzintegrate_freez00(BgL_auxz00_4882); } 
BgL_test3098z00_1991 = 
CBOOL(BgL_auxz00_4881); } 
if(BgL_test3098z00_1991)
{ /* Integrate/free.scm 122 */
{ /* Integrate/free.scm 123 */
BgL_localz00_bglt BgL_auxz00_4889;
{ /* Integrate/free.scm 123 */
BgL_variablez00_bglt BgL_auxz00_4890;
BgL_auxz00_4890 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1985))->BgL_variablez00); 
BgL_auxz00_4889 = 
(BgL_localz00_bglt)(BgL_auxz00_4890); } 
BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_auxz00_4889); } 
{ /* Integrate/free.scm 124 */
obj_t BgL_auxz00_4894;
{ /* Integrate/free.scm 124 */
BgL_variablez00_bglt BgL_auxz00_4895;
BgL_auxz00_4895 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1985))->BgL_variablez00); 
BgL_auxz00_4894 = 
(obj_t)(BgL_auxz00_4895); } 
return 
MAKE_PAIR(BgL_auxz00_4894, BgL_freez00_1986);} }  else 
{ /* Integrate/free.scm 122 */
return BgL_freez00_1986;} } } } } 
}



/* node-free */
obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_9, obj_t BgL_freez00_10)
{ AN_OBJECT;
{ /* Integrate/free.scm 111 */
{ /* Integrate/free.scm 111 */
obj_t BgL_method2962z00_3692;
{ /* Integrate/free.scm 111 */
long BgL_objzd2classzd2numz00_3694;
{ /* Integrate/free.scm 111 */
BgL_objectz00_bglt BgL_auxz00_4900;
BgL_auxz00_4900 = 
(BgL_objectz00_bglt)(BgL_nodez00_9); 
BgL_objzd2classzd2numz00_3694 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4900); } 
{ /* Integrate/free.scm 111 */
obj_t BgL_arg1221z00_3695;
{ /* Integrate/free.scm 111 */
int BgL_auxz00_4903;
BgL_auxz00_4903 = 
(int)(((long)1)); 
BgL_arg1221z00_3695 = 
PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00, BgL_auxz00_4903); } 
{ /* Integrate/free.scm 111 */
long BgL_offsetz00_3699;
{ /* Integrate/free.scm 111 */
long BgL_auxz00_4906;
{ /* Integrate/free.scm 111 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(BgL_objzd2classzd2numz00_3694); 
BgL_auxz00_4906 = 
(long)(BgL_auxz00_4907); } 
BgL_offsetz00_3699 = 
(BgL_auxz00_4906-OBJECT_TYPE); } 
{ /* Integrate/free.scm 111 */
long BgL_modz00_3700;
{ /* Integrate/free.scm 111 */
long BgL_auxz00_4911;
{ /* Integrate/free.scm 111 */
int BgL_auxz00_4912;
BgL_auxz00_4912 = 
(int)(((long)8)); 
BgL_auxz00_4911 = 
(long)(BgL_auxz00_4912); } 
BgL_modz00_3700 = 
(BgL_offsetz00_3699/BgL_auxz00_4911); } 
{ /* Integrate/free.scm 111 */
long BgL_restz00_3702;
{ /* Integrate/free.scm 111 */
long BgL_auxz00_4916;
{ /* Integrate/free.scm 111 */
int BgL_auxz00_4917;
BgL_auxz00_4917 = 
(int)(((long)8)); 
BgL_auxz00_4916 = 
(long)(BgL_auxz00_4917); } 
BgL_restz00_3702 = 
(BgL_offsetz00_3699%BgL_auxz00_4916); } 
{ /* Integrate/free.scm 111 */

{ /* Integrate/free.scm 111 */
obj_t BgL_bucketz00_3704;
{ /* Integrate/free.scm 111 */
int BgL_kz00_3714;
BgL_kz00_3714 = 
(int)(BgL_modz00_3700); 
BgL_bucketz00_3704 = 
VECTOR_REF(BgL_arg1221z00_3695,BgL_kz00_3714); } 
{ /* Integrate/free.scm 111 */
int BgL_kz00_3716;
BgL_kz00_3716 = 
(int)(BgL_restz00_3702); 
BgL_method2962z00_3692 = 
VECTOR_REF(BgL_bucketz00_3704,BgL_kz00_3716); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_3692)(BgL_method2962z00_3692, 
(obj_t)(BgL_nodez00_9), BgL_freez00_10, BEOA);} } 
}



/* _node-free */
obj_t BGl__nodezd2freezd2zzintegrate_freez00(obj_t BgL_envz00_3720, obj_t BgL_nodez00_3721, obj_t BgL_freez00_3722)
{ AN_OBJECT;
{ /* Integrate/free.scm 111 */
return 
BGl_nodezd2freezd2zzintegrate_freez00(
(BgL_nodez00_bglt)(BgL_nodez00_3721), BgL_freez00_3722);} 
}



/* node-free-default2961 */
obj_t BGl_nodezd2freezd2default2961z00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_11, obj_t BgL_freez00_12)
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
return BgL_freez00_12;} 
}



/* _node-free-default2961 */
obj_t BGl__nodezd2freezd2default2961z00zzintegrate_freez00(obj_t BgL_envz00_3802, obj_t BgL_nodez00_3803, obj_t BgL_freez00_3804)
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
return 
BGl_nodezd2freezd2default2961z00zzintegrate_freez00(
(BgL_nodez00_bglt)(BgL_nodez00_3803), BgL_freez00_3804);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00()
{ AN_OBJECT;
{ /* Integrate/free.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_free"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_free"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "integrate_free"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "integrate_free"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_free"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)8183), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_free"); 
BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long)9308), "integrate_free"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "integrate_free");} 
}

