/*===========================================================================*/
/*   (Integrate/iinfo.scm)                                                   */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


extern BgL_sexitzf2iinfozf2_bglt BGl_fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt, obj_t, obj_t, bool_t, bool_t);
static obj_t BGl_methodzd2initzd2zzintegrate_infoz00();
static obj_t BGl__makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt, bool_t);
extern BgL_svarzf2iinfozf2_bglt BGl_fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt, obj_t, obj_t, bool_t, bool_t);
static obj_t BGl__sfunzf2Iinfozd2Uz20zzintegrate_infoz00(obj_t, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl__sfunzf2Iinfozd2Lz20zzintegrate_infoz00(obj_t, obj_t);
obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
static obj_t BGl__sfunzf2Iinfozd2Kz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(obj_t, obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl__sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
extern obj_t BGl_svarz00zzast_varz00;
static obj_t BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
extern BgL_svarzf2iinfozf2_bglt BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, bool_t, bool_t);
static obj_t BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
extern BgL_svarz00_bglt BGl_allocatezd2svarzf2Iinfoz20zzintegrate_infoz00();
static obj_t BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__allocatezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t);
static obj_t BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt);
static obj_t BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt);
static obj_t BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt, bool_t);
extern obj_t BGl_sexitz00zzast_varz00;
static obj_t BGl__wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2boundz20zzintegrate_infoz00(obj_t, obj_t);
extern BgL_sfunzf2iinfozf2_bglt BGl_wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2sfunzf2Iinfo2939z11zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2svarzf2Iinfo2949za3zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_infoz00();
static obj_t BGl__sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(obj_t, obj_t);
extern bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
static obj_t BGl__svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00();
static obj_t BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl__makezd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt, obj_t);
extern BgL_sexitzf2iinfozf2_bglt BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, bool_t, obj_t, obj_t, bool_t, bool_t);
static obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00();
static obj_t BGl__sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(obj_t, obj_t);
obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static bool_t BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, bool_t);
static obj_t BGl__svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2globalz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl__sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static bool_t BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl__sfunzf2Iinfozd2freez20zzintegrate_infoz00(obj_t, obj_t);
extern bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
static obj_t BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt);
static obj_t BGl__sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(obj_t, obj_t, obj_t);
extern BgL_sfunzf2iinfozf2_bglt BGl_fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt);
static obj_t BGl__sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(obj_t, obj_t);
extern BgL_sfunz00_bglt BGl_allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00();
static bool_t BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt);
static obj_t BGl__allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t);
static obj_t BGl__sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(obj_t, obj_t);
static bool_t BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt);
static obj_t BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt, bool_t);
static obj_t BGl__sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t, obj_t);
obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
static obj_t BGl__sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t, obj_t);
extern BgL_svarzf2iinfozf2_bglt BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, bool_t, bool_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2sfunzf2Iinfo2941za3zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2istampz20zzintegrate_infoz00(obj_t, obj_t);
extern BgL_sfunzf2iinfozf2_bglt BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt, bool_t);
static obj_t BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt, obj_t);
static obj_t BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t);
static obj_t BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl_objectzd2ze3structzd2sexitzf2Iinfo2943z11zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzintegrate_infoz00();
extern BgL_sexitz00_bglt BGl_allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00();
static obj_t BGl_objectzd2ze3structzd2svarzf2Iinfo2947z11zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2sexitzf2Iinfo2945za3zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_infoz00 = BUNSPEC;
static obj_t BGl__sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(obj_t, obj_t);
static bool_t BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt);
static obj_t BGl__wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt, obj_t);
static obj_t BGl__sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00();
static obj_t BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
extern BgL_sexitzf2iinfozf2_bglt BGl_wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, bool_t, bool_t);
static obj_t BGl__sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
static obj_t BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt);
static obj_t BGl__sfunzf2Iinfozd2kontz20zzintegrate_infoz00(obj_t, obj_t);
static obj_t BGl__sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(obj_t, obj_t, obj_t);
extern bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 24 ] ;

DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2kapturedza7f3za7d2setza712za713za7za7integrate_infoza7003215za7, BGl__svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Ledzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ledza7d2setza712za7e0za7za7integrate_infoza7003216z00, BGl__sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Ctzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ctza720za7za7integrate_infoza7003217z00, BGl__sfunzf2Iinfozd2Ctz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Kzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kza7d2setza712za7e0za7za7integrate_infoza7003218z00, BGl__sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__makeza7d2svarza7f2iinfoza720za7za7integrate_infoza7003219z00, BGl__makezd2svarzf2Iinfoz20zzintegrate_infoz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__allocateza7d2svarza7f2iinfoza720za7za7integrate_infoza7003220z00, BGl__allocatezd2svarzf2Iinfoz20zzintegrate_infoz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Gzf3zd2setz12zd2envzc1zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2gza7f3za7d2setza712za713za7za7integrate_infoza7003221za7, BGl__sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2freezd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2freeza720za7za7integrate_infoza7003222z00, BGl__sfunzf2Iinfozd2freez20zzintegrate_infoz00, 0L, 1 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2svarzf2Iinfoz12zd2envze0zzintegrate_infoz00, BgL_bgl__fillza7d2svarza7f2iinfoza712za732za7za7integrate_infoza7003223za7, BGl__fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__allocateza7d2sexitza7f2iinfoza720za7za7integrate_infoza7003224z00, BGl__allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2globalzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2globalza720za7za7integrate_infoza7003225z00, BGl__sfunzf2Iinfozd2globalz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2celledza7f3za7d2setza712za713za7za7integrate_infoza7003226za7, BGl__svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2fza7d2markza7f2za7za7integrate_infoza7003227za7, BGl__svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Uzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2uza720za7za7integrate_infoza7003228z00, BGl__sfunzf2Iinfozd2Uz20zzintegrate_infoz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__allocateza7d2sfunza7f2iinfoza720za7za7integrate_infoza7003229z00, BGl__allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__makeza7d2sfunza7f2iinfoza720za7za7integrate_infoza7003230z00, BGl__makezd2sfunzf2Iinfoz20zzintegrate_infoz00, 0L, 29 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Uzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2uza7d2setza712za7e0za7za7integrate_infoza7003231z00, BGl__sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2kapturedzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kapturedza7d2setza712za7e0za7za7integrate_infoza7003232z00, BGl__sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2istampzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2istampza7d2setza712za7e0za7za7integrate_infoza7003233z00, BGl__sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Kzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kza720za7za7integrate_infoza7003234z00, BGl__sfunzf2Iinfozd2Kz20zzintegrate_infoz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__wideningza7d2sfunza7f2iinfoza720za7za7integrate_infoza7003235z00, BGl__wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00, 0L, 17 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2boundzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2boundza720za7za7integrate_infoza7003236z00, BGl__sfunzf2Iinfozd2boundz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2celledza7f3za7d2setza712za713za7za7integrate_infoza7003237za7, BGl__sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Lzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2lza7d2setza712za7e0za7za7integrate_infoza7003238z00, BGl__sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Ctzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ctza7d2setza712za7e0za7za7integrate_infoza7003239z00, BGl__sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STRING( BGl_string3210z00zzintegrate_infoz00, BgL_bgl_string3210za700za7za7integrate_infoza7003240z00, "kaptured global istamp Led L G?::bool kont Ct Cn U K* K cto cfrom bound free owner sfun/Iinfo sexit/Iinfo celled? kaptured? u-mark f-mark svar/Iinfo ", 149 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2fza7d2markza7d2setza712za732za7za7integrate_infoza7003241za7, BGl__svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2freezd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2freeza7d2setza712za7e0za7za7integrate_infoza7003242z00, BGl__sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3204z00zzintegrate_infoz00, BgL_bgl_objectza7d2za7e3structza7d2sfunza7f2iinfo2939za711za7za7integrate_infoza7003243z00, BGl_objectzd2ze3structzd2sfunzf2Iinfo2939z11zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3205z00zzintegrate_infoz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2sfunza7f2iinfo2941za7a3za7za7integrate_infoza7003244za7, BGl_structzb2objectzd2ze3objectzd2sfunzf2Iinfo2941za3zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3206z00zzintegrate_infoz00, BgL_bgl_objectza7d2za7e3structza7d2sexitza7f2iinfo2943za711za7za7integrate_infoza7003245z00, BGl_objectzd2ze3structzd2sexitzf2Iinfo2943z11zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3207z00zzintegrate_infoz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2sexitza7f2iinfo2945za7a3za7za7integrate_infoza7003246za7, BGl_structzb2objectzd2ze3objectzd2sexitzf2Iinfo2945za3zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3208z00zzintegrate_infoz00, BgL_bgl_objectza7d2za7e3structza7d2svarza7f2iinfo2947za711za7za7integrate_infoza7003247z00, BGl_objectzd2ze3structzd2svarzf2Iinfo2947z11zzintegrate_infoz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_svarzf2Iinfozf3zd2envzd3zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7f3za701za7za7integrate_infoza7003248z00, BGl__svarzf2Iinfozf3z01zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3209z00zzintegrate_infoz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2svarza7f2iinfo2949za7a3za7za7integrate_infoza7003249za7, BGl_structzb2objectzd2ze3objectzd2svarzf2Iinfo2949za3zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2uza7d2markza7f2za7za7integrate_infoza7003250za7, BGl__sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Cnzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2cnza720za7za7integrate_infoza7003251z00, BGl__sfunzf2Iinfozd2Cnz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2ctozd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ctoza7d2setza712za7e0za7za7integrate_infoza7003252z00, BGl__sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2boundzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2boundza7d2setza712za7e0za7za7integrate_infoza7003253z00, BGl__sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2sfunzf2Iinfoz12zd2envze0zzintegrate_infoz00, BgL_bgl__fillza7d2sfunza7f2iinfoza712za732za7za7integrate_infoza7003254za7, BGl__fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00, 0L, 18 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2uza7d2markza7d2setza712za732za7za7integrate_infoza7003255za7, BGl__sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2ctozd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ctoza720za7za7integrate_infoza7003256z00, BGl__sfunzf2Iinfozd2ctoz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2uza7d2markza7d2setza712za732za7za7integrate_infoza7003257za7, BGl__svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2fza7d2markza7d2setza712za732za7za7integrate_infoza7003258za7, BGl__sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__wideningza7d2sexitza7f2iinfoza720za7za7integrate_infoza7003259z00, BGl__wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2celledza7f3za7d3za7za7integrate_infoza7003260za7, BGl__svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Cnzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2cnza7d2setza712za7e0za7za7integrate_infoza7003261z00, BGl__sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2kontzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kontza720za7za7integrate_infoza7003262z00, BGl__sfunzf2Iinfozd2kontz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2kapturedzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kapturedza720za7za7integrate_infoza7003263z00, BGl__sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2kontzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kontza7d2setza712za7e0za7za7integrate_infoza7003264z00, BGl__sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Ledzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ledza720za7za7integrate_infoza7003265z00, BGl__sfunzf2Iinfozd2Ledz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2ownerzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ownerza7d2setza712za7e0za7za7integrate_infoza7003266z00, BGl__sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2fza7d2markza7f2za7za7integrate_infoza7003267za7, BGl__sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2ownerzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2ownerza720za7za7integrate_infoza7003268z00, BGl__sfunzf2Iinfozd2ownerz20zzintegrate_infoz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2svarzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__wideningza7d2svarza7f2iinfoza720za7za7integrate_infoza7003269z00, BGl__wideningzd2svarzf2Iinfoz20zzintegrate_infoz00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2cfromzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2cfromza720za7za7integrate_infoza7003270z00, BGl__sfunzf2Iinfozd2cfromz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2kapturedza7f3za7d3za7za7integrate_infoza7003271za7, BGl__sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2cfromzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2cfromza7d2setza712za7e0za7za7integrate_infoza7003272z00, BGl__sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_sfunzf2Iinfozf3zd2envzd3zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7f3za701za7za7integrate_infoza7003273z00, BGl__sfunzf2Iinfozf3z01zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2kapturedza7f3za7d2setza712za713za7za7integrate_infoza7003274za7, BGl__sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00, BgL_bgl__makeza7d2sexitza7f2iinfoza720za7za7integrate_infoza7003275z00, BGl__makezd2sexitzf2Iinfoz20zzintegrate_infoz00, 0L, 6 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2globalzd2setz12zd2envz32zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2globalza7d2setza712za7e0za7za7integrate_infoza7003276z00, BGl__sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Kza2zd2envz50zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kza7a2za782za7za7integrate_infoza7003277za7, BGl__sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2kapturedza7f3za7d3za7za7integrate_infoza7003278za7, BGl__svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2istampzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2istampza720za7za7integrate_infoza7003279z00, BGl__sfunzf2Iinfozd2istampz20zzintegrate_infoz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sexitzf2Iinfozf3zd2envzd3zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7f3za701za7za7integrate_infoza7003280z00, BGl__sexitzf2Iinfozf3z01zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_svarzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00, BgL_bgl__svarza7f2iinfoza7d2uza7d2markza7f2za7za7integrate_infoza7003281za7, BGl__svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Lzd2envzf2zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2lza720za7za7integrate_infoza7003282z00, BGl__sfunzf2Iinfozd2Lz20zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sexitzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00, BgL_bgl__sexitza7f2iinfoza7d2celledza7f3za7d3za7za7integrate_infoza7003283za7, BGl__sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Kza2zd2setz12zd2envz90zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2kza7a2za7d2setza712za742za7za7integrate_infoza7003284za7, BGl__sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2sexitzf2Iinfoz12zd2envze0zzintegrate_infoz00, BgL_bgl__fillza7d2sexitza7f2iinfoza712za732za7za7integrate_infoza7003285za7, BGl__fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_sfunzf2Iinfozd2Gzf3zd2envz01zzintegrate_infoz00, BgL_bgl__sfunza7f2iinfoza7d2gza7f3za7d3za7za7integrate_infoza7003286za7, BGl__sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long BgL_checksumz00_3461, char * BgL_fromz00_3462)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_infoz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_infoz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00(); 
BGl_cnstzd2initzd2zzintegrate_infoz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_infoz00(); 
BGl_objectzd2initzd2zzintegrate_infoz00(); 
BGl_methodzd2initzd2zzintegrate_infoz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_info"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_info"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
{ /* Integrate/iinfo.scm 15 */
obj_t BgL_cportz00_3454;
BgL_cportz00_3454 = 
open_input_string(BGl_string3210z00zzintegrate_infoz00); 
{ 
long BgL_iz00_3455;
BgL_iz00_3455 = ((long)23); 
BgL_loopz00_3456:
if(
(BgL_iz00_3455==((long)-1)))
{ /* Integrate/iinfo.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/iinfo.scm 15 */
{ /* Integrate/iinfo.scm 15 */
obj_t BgL_arg3212z00_3458;
{ /* Integrate/iinfo.scm 15 */
obj_t BgL_list3213z00_3459;
BgL_list3213z00_3459 = 
MAKE_PAIR(BgL_cportz00_3454, BNIL); 
BgL_arg3212z00_3458 = 
BGl_readz00zz__readerz00(BgL_list3213z00_3459); } 
{ /* Integrate/iinfo.scm 15 */
int BgL_auxz00_3478;
BgL_auxz00_3478 = 
(int)(BgL_iz00_3455); 
CNST_TABLE_SET(BgL_auxz00_3478, BgL_arg3212z00_3458); } } 
{ 
long BgL_iz00_3481;
{ /* Integrate/iinfo.scm 15 */
int BgL_auxz00_3482;
{ /* Integrate/iinfo.scm 15 */
long BgL_auxz00_3483;
BgL_auxz00_3483 = 
(BgL_iz00_3455-((long)1)); 
BgL_auxz00_3482 = 
(int)(BgL_auxz00_3483); } 
BgL_iz00_3481 = 
(long)(BgL_auxz00_3482); } 
BgL_iz00_3455 = BgL_iz00_3481; 
goto BgL_loopz00_3456;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
return BUNSPEC;} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg2950z00_1443;obj_t BgL_arg2951z00_1444;obj_t BgL_arg2955z00_1448;obj_t BgL_arg2956z00_1449;
BgL_arg2950z00_1443 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2951z00_1444 = BGl_svarz00zzast_varz00; 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg2957z00_1450;obj_t BgL_arg2958z00_1451;obj_t BgL_arg2959z00_1452;obj_t BgL_arg2960z00_1453;
BgL_arg2957z00_1450 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_svarzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00, BGl_svarzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2958z00_1451 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_svarzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00, BGl_svarzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2959z00_1452 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_svarzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00, BGl_svarzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2960z00_1453 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_svarzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00, BGl_svarzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_list2961z00_1454;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg2962z00_1455;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg2963z00_1456;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg2964z00_1457;
BgL_arg2964z00_1457 = 
MAKE_PAIR(BgL_arg2960z00_1453, BNIL); 
BgL_arg2963z00_1456 = 
MAKE_PAIR(BgL_arg2959z00_1452, BgL_arg2964z00_1457); } 
BgL_arg2962z00_1455 = 
MAKE_PAIR(BgL_arg2958z00_1451, BgL_arg2963z00_1456); } 
BgL_list2961z00_1454 = 
MAKE_PAIR(BgL_arg2957z00_1450, BgL_arg2962z00_1455); } 
BgL_arg2955z00_1448 = BgL_list2961z00_1454; } } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_v2935z00_1458;
{ 
int BgL_auxz00_3500;
BgL_auxz00_3500 = 
(int)(((long)0)); 
BgL_v2935z00_1458 = 
create_vector(BgL_auxz00_3500); } 
BgL_arg2956z00_1449 = BgL_v2935z00_1458; } 
BGl_svarzf2Iinfozf2zzintegrate_infoz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2950z00_1443, BgL_arg2951z00_1444, BGl_makezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00, BGl_allocatezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00, ((long)40460), BgL_arg2955z00_1448, BFALSE, BgL_arg2956z00_1449); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg2965z00_1459;obj_t BgL_arg2966z00_1460;obj_t BgL_arg2970z00_1464;obj_t BgL_arg2971z00_1465;
BgL_arg2965z00_1459 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2966z00_1460 = BGl_sexitz00zzast_varz00; 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg2972z00_1466;obj_t BgL_arg2973z00_1467;obj_t BgL_arg2974z00_1468;obj_t BgL_arg2975z00_1469;
BgL_arg2972z00_1466 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_sexitzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00, BGl_sexitzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2973z00_1467 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_sexitzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00, BGl_sexitzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2974z00_1468 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_sexitzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00, BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2975z00_1469 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_sexitzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00, BGl_sexitzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_list2976z00_1470;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg2977z00_1471;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg2978z00_1472;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg2979z00_1473;
BgL_arg2979z00_1473 = 
MAKE_PAIR(BgL_arg2975z00_1469, BNIL); 
BgL_arg2978z00_1472 = 
MAKE_PAIR(BgL_arg2974z00_1468, BgL_arg2979z00_1473); } 
BgL_arg2977z00_1471 = 
MAKE_PAIR(BgL_arg2973z00_1467, BgL_arg2978z00_1472); } 
BgL_list2976z00_1470 = 
MAKE_PAIR(BgL_arg2972z00_1466, BgL_arg2977z00_1471); } 
BgL_arg2970z00_1464 = BgL_list2976z00_1470; } } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_v2936z00_1474;
{ 
int BgL_auxz00_3517;
BgL_auxz00_3517 = 
(int)(((long)0)); 
BgL_v2936z00_1474 = 
create_vector(BgL_auxz00_3517); } 
BgL_arg2971z00_1465 = BgL_v2936z00_1474; } 
BGl_sexitzf2Iinfozf2zzintegrate_infoz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2965z00_1459, BgL_arg2966z00_1460, BGl_makezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00, BGl_allocatezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00, ((long)54205), BgL_arg2970z00_1464, BFALSE, BgL_arg2971z00_1465); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg2980z00_1475;obj_t BgL_arg2981z00_1476;obj_t BgL_arg2985z00_1480;obj_t BgL_arg2986z00_1481;
BgL_arg2980z00_1475 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2981z00_1476 = BGl_sfunz00zzast_varz00; 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg2987z00_1482;obj_t BgL_arg2988z00_1483;obj_t BgL_arg2989z00_1484;obj_t BgL_arg2990z00_1485;obj_t BgL_arg2991z00_1486;obj_t BgL_arg2992z00_1487;obj_t BgL_arg2993z00_1488;obj_t BgL_arg2994z00_1489;obj_t BgL_arg2995z00_1490;obj_t BgL_arg2996z00_1491;obj_t BgL_arg2997z00_1492;obj_t BgL_arg2998z00_1493;obj_t BgL_arg2999z00_1494;obj_t BgL_arg3000z00_1495;obj_t BgL_arg3001z00_1496;obj_t BgL_arg3002z00_1497;obj_t BgL_arg3003z00_1498;
BgL_arg2987z00_1482 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_sfunzf2Iinfozd2ownerzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2ownerzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2988z00_1483 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_sfunzf2Iinfozd2freezd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2freezd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2989z00_1484 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_sfunzf2Iinfozd2boundzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2boundzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2990z00_1485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_sfunzf2Iinfozd2cfromzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2cfromzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2991z00_1486 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_sfunzf2Iinfozd2ctozd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2ctozd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2992z00_1487 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_sfunzf2Iinfozd2Kzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Kzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2993z00_1488 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_sfunzf2Iinfozd2Kza2zd2envz50zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Kza2zd2setz12zd2envz90zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2994z00_1489 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_sfunzf2Iinfozd2Uzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Uzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2995z00_1490 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_sfunzf2Iinfozd2Cnzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Cnzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2996z00_1491 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_sfunzf2Iinfozd2Ctzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Ctzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2997z00_1492 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_sfunzf2Iinfozd2kontzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2kontzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2998z00_1493 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_sfunzf2Iinfozd2Gzf3zd2envz01zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Gzf3zd2setz12zd2envzc1zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2999z00_1494 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_sfunzf2Iinfozd2Lzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Lzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3000z00_1495 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_sfunzf2Iinfozd2Ledzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2Ledzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3001z00_1496 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_sfunzf2Iinfozd2istampzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2istampzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3002z00_1497 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_sfunzf2Iinfozd2globalzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2globalzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg3003z00_1498 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_sfunzf2Iinfozd2kapturedzd2envzf2zzintegrate_infoz00, BGl_sfunzf2Iinfozd2kapturedzd2setz12zd2envz32zzintegrate_infoz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_list3004z00_1499;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3005z00_1500;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3006z00_1501;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3007z00_1502;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3008z00_1503;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3009z00_1504;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3010z00_1505;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3011z00_1506;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3012z00_1507;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3013z00_1508;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3014z00_1509;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3015z00_1510;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3016z00_1511;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3017z00_1512;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3018z00_1513;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3019z00_1514;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3020z00_1515;
BgL_arg3020z00_1515 = 
MAKE_PAIR(BgL_arg3003z00_1498, BNIL); 
BgL_arg3019z00_1514 = 
MAKE_PAIR(BgL_arg3002z00_1497, BgL_arg3020z00_1515); } 
BgL_arg3018z00_1513 = 
MAKE_PAIR(BgL_arg3001z00_1496, BgL_arg3019z00_1514); } 
BgL_arg3017z00_1512 = 
MAKE_PAIR(BgL_arg3000z00_1495, BgL_arg3018z00_1513); } 
BgL_arg3016z00_1511 = 
MAKE_PAIR(BgL_arg2999z00_1494, BgL_arg3017z00_1512); } 
BgL_arg3015z00_1510 = 
MAKE_PAIR(BgL_arg2998z00_1493, BgL_arg3016z00_1511); } 
BgL_arg3014z00_1509 = 
MAKE_PAIR(BgL_arg2997z00_1492, BgL_arg3015z00_1510); } 
BgL_arg3013z00_1508 = 
MAKE_PAIR(BgL_arg2996z00_1491, BgL_arg3014z00_1509); } 
BgL_arg3012z00_1507 = 
MAKE_PAIR(BgL_arg2995z00_1490, BgL_arg3013z00_1508); } 
BgL_arg3011z00_1506 = 
MAKE_PAIR(BgL_arg2994z00_1489, BgL_arg3012z00_1507); } 
BgL_arg3010z00_1505 = 
MAKE_PAIR(BgL_arg2993z00_1488, BgL_arg3011z00_1506); } 
BgL_arg3009z00_1504 = 
MAKE_PAIR(BgL_arg2992z00_1487, BgL_arg3010z00_1505); } 
BgL_arg3008z00_1503 = 
MAKE_PAIR(BgL_arg2991z00_1486, BgL_arg3009z00_1504); } 
BgL_arg3007z00_1502 = 
MAKE_PAIR(BgL_arg2990z00_1485, BgL_arg3008z00_1503); } 
BgL_arg3006z00_1501 = 
MAKE_PAIR(BgL_arg2989z00_1484, BgL_arg3007z00_1502); } 
BgL_arg3005z00_1500 = 
MAKE_PAIR(BgL_arg2988z00_1483, BgL_arg3006z00_1501); } 
BgL_list3004z00_1499 = 
MAKE_PAIR(BgL_arg2987z00_1482, BgL_arg3005z00_1500); } 
BgL_arg2985z00_1480 = BgL_list3004z00_1499; } } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_v2937z00_1516;
{ 
int BgL_auxz00_3573;
BgL_auxz00_3573 = 
(int)(((long)0)); 
BgL_v2937z00_1516 = 
create_vector(BgL_auxz00_3573); } 
BgL_arg2986z00_1481 = BgL_v2937z00_1516; } 
BGl_sfunzf2Iinfozf2zzintegrate_infoz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2980z00_1475, BgL_arg2981z00_1476, BGl_makezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00, BGl_allocatezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00, ((long)31281), BgL_arg2985z00_1480, BFALSE, BgL_arg2986z00_1481); } 
return BUNSPEC;} 
}



/* sfun/Iinfo? */
bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_obj2845z00_1)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2845z00_1, BGl_sfunzf2Iinfozf2zzintegrate_infoz00);} 
}



/* _sfun/Iinfo? */
obj_t BGl__sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_envz00_3363, obj_t BgL_obj2845z00_3364)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
bool_t BgL_auxz00_3578;
BgL_auxz00_3578 = 
BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(BgL_obj2845z00_3364); 
return 
BBOOL(BgL_auxz00_3578);} } 
}



/* widening-sfun/Iinfo */
BgL_sfunzf2iinfozf2_bglt BGl_wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_owner2752z00_5, obj_t BgL_free2753z00_6, obj_t BgL_bound2754z00_7, obj_t BgL_cfrom2755z00_8, obj_t BgL_cto2756z00_9, obj_t BgL_k2757z00_10, obj_t BgL_kza22758za2_11, obj_t BgL_u2759z00_12, obj_t BgL_cn2760z00_13, obj_t BgL_ct2761z00_14, obj_t BgL_kont2762z00_15, bool_t BgL_gzf32763zf3_16, obj_t BgL_l2764z00_17, obj_t BgL_led2765z00_18, obj_t BgL_istamp2766z00_19, obj_t BgL_global2767z00_20, obj_t BgL_kaptured2768z00_21)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_new2769z00_2086;
BgL_new2769z00_2086 = 
((BgL_sfunzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sfunzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_res3168z00_2122;
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_ownerz00) = ((obj_t)BgL_owner2752z00_5), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_freez00) = ((obj_t)BgL_free2753z00_6), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_boundz00) = ((obj_t)BgL_bound2754z00_7), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_cfromz00) = ((obj_t)BgL_cfrom2755z00_8), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_ctoz00) = ((obj_t)BgL_cto2756z00_9), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_kz00) = ((obj_t)BgL_k2757z00_10), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_kza2za2) = ((obj_t)BgL_kza22758za2_11), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_uz00) = ((obj_t)BgL_u2759z00_12), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_cnz00) = ((obj_t)BgL_cn2760z00_13), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_ctz00) = ((obj_t)BgL_ct2761z00_14), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_kontz00) = ((obj_t)BgL_kont2762z00_15), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_gzf3zf3) = ((bool_t)BgL_gzf32763zf3_16), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_lz00) = ((obj_t)BgL_l2764z00_17), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_ledz00) = ((obj_t)BgL_led2765z00_18), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_istampz00) = ((obj_t)BgL_istamp2766z00_19), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_globalz00) = ((obj_t)BgL_global2767z00_20), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2086))->BgL_kapturedz00) = ((obj_t)BgL_kaptured2768z00_21), BUNSPEC); 
BgL_res3168z00_2122 = BgL_new2769z00_2086; BgL_res3168z00_2122; } 
return BgL_new2769z00_2086;} } 
}



/* _widening-sfun/Iinfo */
obj_t BGl__wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3365, obj_t BgL_owner2752z00_3366, obj_t BgL_free2753z00_3367, obj_t BgL_bound2754z00_3368, obj_t BgL_cfrom2755z00_3369, obj_t BgL_cto2756z00_3370, obj_t BgL_k2757z00_3371, obj_t BgL_kza22758za2_3372, obj_t BgL_u2759z00_3373, obj_t BgL_cn2760z00_3374, obj_t BgL_ct2761z00_3375, obj_t BgL_kont2762z00_3376, obj_t BgL_gzf32763zf3_3377, obj_t BgL_l2764z00_3378, obj_t BgL_led2765z00_3379, obj_t BgL_istamp2766z00_3380, obj_t BgL_global2767z00_3381, obj_t BgL_kaptured2768z00_3382)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3599;
BgL_auxz00_3599 = 
BGl_wideningzd2sfunzf2Iinfoz20zzintegrate_infoz00(BgL_owner2752z00_3366, BgL_free2753z00_3367, BgL_bound2754z00_3368, BgL_cfrom2755z00_3369, BgL_cto2756z00_3370, BgL_k2757z00_3371, BgL_kza22758za2_3372, BgL_u2759z00_3373, BgL_cn2760z00_3374, BgL_ct2761z00_3375, BgL_kont2762z00_3376, 
CBOOL(BgL_gzf32763zf3_3377), BgL_l2764z00_3378, BgL_led2765z00_3379, BgL_istamp2766z00_3380, BgL_global2767z00_3381, BgL_kaptured2768z00_3382); 
return 
(obj_t)(BgL_auxz00_3599);} } 
}



/* fill-sfun/Iinfo! */
BgL_sfunzf2iinfozf2_bglt BGl_fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_new2788z00_22, obj_t BgL_owner2771z00_23, obj_t BgL_free2772z00_24, obj_t BgL_bound2773z00_25, obj_t BgL_cfrom2774z00_26, obj_t BgL_cto2775z00_27, obj_t BgL_k2776z00_28, obj_t BgL_kza22777za2_29, obj_t BgL_u2778z00_30, obj_t BgL_cn2779z00_31, obj_t BgL_ct2780z00_32, obj_t BgL_kont2781z00_33, bool_t BgL_gzf32782zf3_34, obj_t BgL_l2783z00_35, obj_t BgL_led2784z00_36, obj_t BgL_istamp2785z00_37, obj_t BgL_global2786z00_38, obj_t BgL_kaptured2787z00_39)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_ownerz00) = ((obj_t)BgL_owner2771z00_23), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_freez00) = ((obj_t)BgL_free2772z00_24), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_boundz00) = ((obj_t)BgL_bound2773z00_25), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_cfromz00) = ((obj_t)BgL_cfrom2774z00_26), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_ctoz00) = ((obj_t)BgL_cto2775z00_27), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_kz00) = ((obj_t)BgL_k2776z00_28), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_kza2za2) = ((obj_t)BgL_kza22777za2_29), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_uz00) = ((obj_t)BgL_u2778z00_30), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_cnz00) = ((obj_t)BgL_cn2779z00_31), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_ctz00) = ((obj_t)BgL_ct2780z00_32), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_kontz00) = ((obj_t)BgL_kont2781z00_33), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_gzf3zf3) = ((bool_t)BgL_gzf32782zf3_34), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_lz00) = ((obj_t)BgL_l2783z00_35), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_ledz00) = ((obj_t)BgL_led2784z00_36), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_istampz00) = ((obj_t)BgL_istamp2785z00_37), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_globalz00) = ((obj_t)BgL_global2786z00_38), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2788z00_22))->BgL_kapturedz00) = ((obj_t)BgL_kaptured2787z00_39), BUNSPEC); 
return BgL_new2788z00_22;} 
}



/* _fill-sfun/Iinfo! */
obj_t BGl__fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00(obj_t BgL_envz00_3383, obj_t BgL_new2788z00_3384, obj_t BgL_owner2771z00_3385, obj_t BgL_free2772z00_3386, obj_t BgL_bound2773z00_3387, obj_t BgL_cfrom2774z00_3388, obj_t BgL_cto2775z00_3389, obj_t BgL_k2776z00_3390, obj_t BgL_kza22777za2_3391, obj_t BgL_u2778z00_3392, obj_t BgL_cn2779z00_3393, obj_t BgL_ct2780z00_3394, obj_t BgL_kont2781z00_3395, obj_t BgL_gzf32782zf3_3396, obj_t BgL_l2783z00_3397, obj_t BgL_led2784z00_3398, obj_t BgL_istamp2785z00_3399, obj_t BgL_global2786z00_3400, obj_t BgL_kaptured2787z00_3401)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3620;
BgL_auxz00_3620 = 
BGl_fillzd2sfunzf2Iinfoz12z32zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_new2788z00_3384), BgL_owner2771z00_3385, BgL_free2772z00_3386, BgL_bound2773z00_3387, BgL_cfrom2774z00_3388, BgL_cto2775z00_3389, BgL_k2776z00_3390, BgL_kza22777za2_3391, BgL_u2778z00_3392, BgL_cn2779z00_3393, BgL_ct2780z00_3394, BgL_kont2781z00_3395, 
CBOOL(BgL_gzf32782zf3_3396), BgL_l2783z00_3397, BgL_led2784z00_3398, BgL_istamp2785z00_3399, BgL_global2786z00_3400, BgL_kaptured2787z00_3401); 
return 
(obj_t)(BgL_auxz00_3620);} } 
}



/* make-sfun/Iinfo */
BgL_sfunzf2iinfozf2_bglt BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long BgL_arity2824z00_40, obj_t BgL_sidezd2effectzf32825z21_41, obj_t BgL_predicatezd2of2826zd2_42, obj_t BgL_stackzd2allocator2827zd2_43, bool_t BgL_topzf32828zf3_44, obj_t BgL_thezd2closure2829zd2_45, obj_t BgL_property2830z00_46, obj_t BgL_args2831z00_47, obj_t BgL_body2832z00_48, obj_t BgL_class2833z00_49, obj_t BgL_dssslzd2keywords2834zd2_50, obj_t BgL_loc2835z00_51, obj_t BgL_owner2807z00_52, obj_t BgL_free2808z00_53, obj_t BgL_bound2809z00_54, obj_t BgL_cfrom2810z00_55, obj_t BgL_cto2811z00_56, obj_t BgL_k2812z00_57, obj_t BgL_kza22813za2_58, obj_t BgL_u2814z00_59, obj_t BgL_cn2815z00_60, obj_t BgL_ct2816z00_61, obj_t BgL_kont2817z00_62, bool_t BgL_gzf32818zf3_63, obj_t BgL_l2819z00_64, obj_t BgL_led2820z00_65, obj_t BgL_istamp2821z00_66, obj_t BgL_global2822z00_67, obj_t BgL_kaptured2823z00_68)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_aux2836z00_2140;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_res3171z00_2189;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_new1423z00_2156;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_res3169z00_2162;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_new1425z00_2157;
BgL_new1425z00_2157 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Integrate/iinfo.scm 41 */
long BgL_arg3067z00_2158;
BgL_arg3067z00_2158 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00); 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3627;
BgL_auxz00_3627 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2157); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3627, BgL_arg3067z00_2158); } } 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3630;
BgL_auxz00_3630 = 
(BgL_objectz00_bglt)(BgL_new1425z00_2157); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3630, BFALSE); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_3633;
BgL_auxz00_3633 = 
(obj_t)(BgL_new1425z00_2157); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3633); } BUNSPEC; 
BgL_res3169z00_2162 = BgL_new1425z00_2157; } 
BgL_new1423z00_2156 = BgL_res3169z00_2162; } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_res3170z00_2188;
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_arityz00) = ((long)BgL_arity2824z00_40), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32825z21_41), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_predicatezd2of2826zd2_42), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_stackzd2allocatorzd2) = ((obj_t)BgL_stackzd2allocator2827zd2_43), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_topzf3zf3) = ((bool_t)BgL_topzf32828zf3_44), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_thezd2closurezd2) = ((obj_t)BgL_thezd2closure2829zd2_45), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_propertyz00) = ((obj_t)BgL_property2830z00_46), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_argsz00) = ((obj_t)BgL_args2831z00_47), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_bodyz00) = ((obj_t)BgL_body2832z00_48), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_classz00) = ((obj_t)BgL_class2833z00_49), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_dssslzd2keywordszd2) = ((obj_t)BgL_dssslzd2keywords2834zd2_50), BUNSPEC); 
((((BgL_sfunz00_bglt)CREF(BgL_new1423z00_2156))->BgL_locz00) = ((obj_t)BgL_loc2835z00_51), BUNSPEC); 
BgL_res3170z00_2188 = BgL_new1423z00_2156; BgL_res3170z00_2188; } 
BgL_res3171z00_2189 = BgL_new1423z00_2156; } 
BgL_aux2836z00_2140 = BgL_res3171z00_2189; } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_new2837z00_2141;
BgL_new2837z00_2141 = 
((BgL_sfunzf2iinfozf2_bglt)BgL_aux2836z00_2140); 
{ /* Integrate/iinfo.scm 41 */
long BgL_arg3021z00_2142;
BgL_arg3021z00_2142 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3650;
BgL_auxz00_3650 = 
(BgL_objectz00_bglt)(BgL_new2837z00_2141); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3650, BgL_arg3021z00_2142); } } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_arg3022z00_2143;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_res3173z00_2246;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_new2769z00_2209;
BgL_new2769z00_2209 = 
((BgL_sfunzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sfunzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_res3172z00_2245;
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_ownerz00) = ((obj_t)BgL_owner2807z00_52), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_freez00) = ((obj_t)BgL_free2808z00_53), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_boundz00) = ((obj_t)BgL_bound2809z00_54), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_cfromz00) = ((obj_t)BgL_cfrom2810z00_55), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_ctoz00) = ((obj_t)BgL_cto2811z00_56), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_kz00) = ((obj_t)BgL_k2812z00_57), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_kza2za2) = ((obj_t)BgL_kza22813za2_58), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_uz00) = ((obj_t)BgL_u2814z00_59), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_cnz00) = ((obj_t)BgL_cn2815z00_60), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_ctz00) = ((obj_t)BgL_ct2816z00_61), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_kontz00) = ((obj_t)BgL_kont2817z00_62), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_gzf3zf3) = ((bool_t)BgL_gzf32818zf3_63), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_lz00) = ((obj_t)BgL_l2819z00_64), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_ledz00) = ((obj_t)BgL_led2820z00_65), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_istampz00) = ((obj_t)BgL_istamp2821z00_66), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_globalz00) = ((obj_t)BgL_global2822z00_67), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_2209))->BgL_kapturedz00) = ((obj_t)BgL_kaptured2823z00_68), BUNSPEC); 
BgL_res3172z00_2245 = BgL_new2769z00_2209; BgL_res3172z00_2245; } 
BgL_res3173z00_2246 = BgL_new2769z00_2209; } 
BgL_arg3022z00_2143 = BgL_res3173z00_2246; } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_3673;BgL_objectz00_bglt BgL_auxz00_3671;
BgL_auxz00_3673 = 
(obj_t)(BgL_arg3022z00_2143); 
BgL_auxz00_3671 = 
(BgL_objectz00_bglt)(BgL_new2837z00_2141); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3671, BgL_auxz00_3673); } } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_3676;
BgL_auxz00_3676 = 
(obj_t)(BgL_new2837z00_2141); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3676); } BUNSPEC; 
return BgL_new2837z00_2141;} } } 
}



/* _make-sfun/Iinfo */
obj_t BGl__makezd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3247, obj_t BgL_arity2824z00_3248, obj_t BgL_sidezd2effectzf32825z21_3249, obj_t BgL_predicatezd2of2826zd2_3250, obj_t BgL_stackzd2allocator2827zd2_3251, obj_t BgL_topzf32828zf3_3252, obj_t BgL_thezd2closure2829zd2_3253, obj_t BgL_property2830z00_3254, obj_t BgL_args2831z00_3255, obj_t BgL_body2832z00_3256, obj_t BgL_class2833z00_3257, obj_t BgL_dssslzd2keywords2834zd2_3258, obj_t BgL_loc2835z00_3259, obj_t BgL_owner2807z00_3260, obj_t BgL_free2808z00_3261, obj_t BgL_bound2809z00_3262, obj_t BgL_cfrom2810z00_3263, obj_t BgL_cto2811z00_3264, obj_t BgL_k2812z00_3265, obj_t BgL_kza22813za2_3266, obj_t BgL_u2814z00_3267, obj_t BgL_cn2815z00_3268, obj_t BgL_ct2816z00_3269, obj_t BgL_kont2817z00_3270, obj_t BgL_gzf32818zf3_3271, obj_t BgL_l2819z00_3272, obj_t BgL_led2820z00_3273, obj_t BgL_istamp2821z00_3274, obj_t BgL_global2822z00_3275, obj_t BgL_kaptured2823z00_3276)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3679;
BgL_auxz00_3679 = 
BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(
(long)CINT(BgL_arity2824z00_3248), BgL_sidezd2effectzf32825z21_3249, BgL_predicatezd2of2826zd2_3250, BgL_stackzd2allocator2827zd2_3251, 
CBOOL(BgL_topzf32828zf3_3252), BgL_thezd2closure2829zd2_3253, BgL_property2830z00_3254, BgL_args2831z00_3255, BgL_body2832z00_3256, BgL_class2833z00_3257, BgL_dssslzd2keywords2834zd2_3258, BgL_loc2835z00_3259, BgL_owner2807z00_3260, BgL_free2808z00_3261, BgL_bound2809z00_3262, BgL_cfrom2810z00_3263, BgL_cto2811z00_3264, BgL_k2812z00_3265, BgL_kza22813za2_3266, BgL_u2814z00_3267, BgL_cn2815z00_3268, BgL_ct2816z00_3269, BgL_kont2817z00_3270, 
CBOOL(BgL_gzf32818zf3_3271), BgL_l2819z00_3272, BgL_led2820z00_3273, BgL_istamp2821z00_3274, BgL_global2822z00_3275, BgL_kaptured2823z00_3276); 
return 
(obj_t)(BgL_auxz00_3679);} } 
}



/* allocate-sfun/Iinfo */
BgL_sfunz00_bglt BGl_allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_new2838z00_2248;
BgL_new2838z00_2248 = 
((BgL_sfunz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sfunz00_bgl) ))); 
{ /* Integrate/iinfo.scm 41 */
long BgL_arg3023z00_2249;
BgL_arg3023z00_2249 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3687;
BgL_auxz00_3687 = 
(BgL_objectz00_bglt)(BgL_new2838z00_2248); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3687, BgL_arg3023z00_2249); } } 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3690;
BgL_auxz00_3690 = 
(BgL_objectz00_bglt)(BgL_new2838z00_2248); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3690, BFALSE); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_3693;
BgL_auxz00_3693 = 
(obj_t)(BgL_new2838z00_2248); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3693); } BUNSPEC; 
return BgL_new2838z00_2248;} } 
}



/* _allocate-sfun/Iinfo */
obj_t BGl__allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3277)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_sfunz00_bglt BgL_auxz00_3696;
BgL_auxz00_3696 = 
BGl_allocatezd2sfunzf2Iinfoz20zzintegrate_infoz00(); 
return 
(obj_t)(BgL_auxz00_3696);} } 
}



/* sfun/Iinfo-owner-set! */
obj_t BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2848z00_103, obj_t BgL_val2847z00_104)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
obj_t BgL_auxz00_3699;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3700;
BgL_auxz00_3700 = 
(BgL_objectz00_bglt)(BgL_obj2848z00_103); 
BgL_auxz00_3699 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3700); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3699))->BgL_ownerz00) = ((obj_t)BgL_val2847z00_104), BUNSPEC);} } 
}



/* _sfun/Iinfo-owner-set! */
obj_t BGl__sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3280, obj_t BgL_obj2848z00_3281, obj_t BgL_val2847z00_3282)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
return 
BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2848z00_3281), BgL_val2847z00_3282);} 
}



/* sfun/Iinfo-owner */
obj_t BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2846z00_105)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
obj_t BgL_auxz00_3706;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3707;
BgL_auxz00_3707 = 
(BgL_objectz00_bglt)(BgL_obj2846z00_105); 
BgL_auxz00_3706 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3707); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3706))->BgL_ownerz00);} } 
}



/* _sfun/Iinfo-owner */
obj_t BGl__sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(obj_t BgL_envz00_3278, obj_t BgL_obj2846z00_3279)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
return 
BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2846z00_3279));} 
}



/* sfun/Iinfo-free-set! */
obj_t BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2851z00_106, obj_t BgL_val2850z00_107)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 45 */
{ 
obj_t BgL_auxz00_3713;
{ /* Integrate/iinfo.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3714;
BgL_auxz00_3714 = 
(BgL_objectz00_bglt)(BgL_obj2851z00_106); 
BgL_auxz00_3713 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3714); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3713))->BgL_freez00) = ((obj_t)BgL_val2850z00_107), BUNSPEC);} } 
}



/* _sfun/Iinfo-free-set! */
obj_t BGl__sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3285, obj_t BgL_obj2851z00_3286, obj_t BgL_val2850z00_3287)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 45 */
return 
BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2851z00_3286), BgL_val2850z00_3287);} 
}



/* sfun/Iinfo-free */
obj_t BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2849z00_108)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 45 */
{ 
obj_t BgL_auxz00_3720;
{ /* Integrate/iinfo.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3721;
BgL_auxz00_3721 = 
(BgL_objectz00_bglt)(BgL_obj2849z00_108); 
BgL_auxz00_3720 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3721); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3720))->BgL_freez00);} } 
}



/* _sfun/Iinfo-free */
obj_t BGl__sfunzf2Iinfozd2freez20zzintegrate_infoz00(obj_t BgL_envz00_3283, obj_t BgL_obj2849z00_3284)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 45 */
return 
BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2849z00_3284));} 
}



/* sfun/Iinfo-bound-set! */
obj_t BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2854z00_109, obj_t BgL_val2853z00_110)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 47 */
{ 
obj_t BgL_auxz00_3727;
{ /* Integrate/iinfo.scm 47 */
BgL_objectz00_bglt BgL_auxz00_3728;
BgL_auxz00_3728 = 
(BgL_objectz00_bglt)(BgL_obj2854z00_109); 
BgL_auxz00_3727 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3728); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3727))->BgL_boundz00) = ((obj_t)BgL_val2853z00_110), BUNSPEC);} } 
}



/* _sfun/Iinfo-bound-set! */
obj_t BGl__sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3290, obj_t BgL_obj2854z00_3291, obj_t BgL_val2853z00_3292)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 47 */
return 
BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2854z00_3291), BgL_val2853z00_3292);} 
}



/* sfun/Iinfo-bound */
obj_t BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2852z00_111)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 47 */
{ 
obj_t BgL_auxz00_3734;
{ /* Integrate/iinfo.scm 47 */
BgL_objectz00_bglt BgL_auxz00_3735;
BgL_auxz00_3735 = 
(BgL_objectz00_bglt)(BgL_obj2852z00_111); 
BgL_auxz00_3734 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3735); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3734))->BgL_boundz00);} } 
}



/* _sfun/Iinfo-bound */
obj_t BGl__sfunzf2Iinfozd2boundz20zzintegrate_infoz00(obj_t BgL_envz00_3288, obj_t BgL_obj2852z00_3289)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 47 */
return 
BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2852z00_3289));} 
}



/* sfun/Iinfo-cfrom-set! */
obj_t BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2857z00_112, obj_t BgL_val2856z00_113)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 49 */
{ 
obj_t BgL_auxz00_3741;
{ /* Integrate/iinfo.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3742;
BgL_auxz00_3742 = 
(BgL_objectz00_bglt)(BgL_obj2857z00_112); 
BgL_auxz00_3741 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3742); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3741))->BgL_cfromz00) = ((obj_t)BgL_val2856z00_113), BUNSPEC);} } 
}



/* _sfun/Iinfo-cfrom-set! */
obj_t BGl__sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3295, obj_t BgL_obj2857z00_3296, obj_t BgL_val2856z00_3297)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 49 */
return 
BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2857z00_3296), BgL_val2856z00_3297);} 
}



/* sfun/Iinfo-cfrom */
obj_t BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2855z00_114)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 49 */
{ 
obj_t BgL_auxz00_3748;
{ /* Integrate/iinfo.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3749;
BgL_auxz00_3749 = 
(BgL_objectz00_bglt)(BgL_obj2855z00_114); 
BgL_auxz00_3748 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3749); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3748))->BgL_cfromz00);} } 
}



/* _sfun/Iinfo-cfrom */
obj_t BGl__sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(obj_t BgL_envz00_3293, obj_t BgL_obj2855z00_3294)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 49 */
return 
BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2855z00_3294));} 
}



/* sfun/Iinfo-cto-set! */
obj_t BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2861z00_115, obj_t BgL_val2860z00_116)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 51 */
{ 
obj_t BgL_auxz00_3755;
{ /* Integrate/iinfo.scm 51 */
BgL_objectz00_bglt BgL_auxz00_3756;
BgL_auxz00_3756 = 
(BgL_objectz00_bglt)(BgL_obj2861z00_115); 
BgL_auxz00_3755 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3756); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3755))->BgL_ctoz00) = ((obj_t)BgL_val2860z00_116), BUNSPEC);} } 
}



/* _sfun/Iinfo-cto-set! */
obj_t BGl__sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3300, obj_t BgL_obj2861z00_3301, obj_t BgL_val2860z00_3302)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 51 */
return 
BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2861z00_3301), BgL_val2860z00_3302);} 
}



/* sfun/Iinfo-cto */
obj_t BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2859z00_117)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 51 */
{ 
obj_t BgL_auxz00_3762;
{ /* Integrate/iinfo.scm 51 */
BgL_objectz00_bglt BgL_auxz00_3763;
BgL_auxz00_3763 = 
(BgL_objectz00_bglt)(BgL_obj2859z00_117); 
BgL_auxz00_3762 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3763); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3762))->BgL_ctoz00);} } 
}



/* _sfun/Iinfo-cto */
obj_t BGl__sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(obj_t BgL_envz00_3298, obj_t BgL_obj2859z00_3299)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 51 */
return 
BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2859z00_3299));} 
}



/* sfun/Iinfo-K-set! */
obj_t BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2864z00_118, obj_t BgL_val2863z00_119)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 53 */
{ 
obj_t BgL_auxz00_3769;
{ /* Integrate/iinfo.scm 53 */
BgL_objectz00_bglt BgL_auxz00_3770;
BgL_auxz00_3770 = 
(BgL_objectz00_bglt)(BgL_obj2864z00_118); 
BgL_auxz00_3769 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3770); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3769))->BgL_kz00) = ((obj_t)BgL_val2863z00_119), BUNSPEC);} } 
}



/* _sfun/Iinfo-K-set! */
obj_t BGl__sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3305, obj_t BgL_obj2864z00_3306, obj_t BgL_val2863z00_3307)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 53 */
return 
BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2864z00_3306), BgL_val2863z00_3307);} 
}



/* sfun/Iinfo-K */
obj_t BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2862z00_120)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 53 */
{ 
obj_t BgL_auxz00_3776;
{ /* Integrate/iinfo.scm 53 */
BgL_objectz00_bglt BgL_auxz00_3777;
BgL_auxz00_3777 = 
(BgL_objectz00_bglt)(BgL_obj2862z00_120); 
BgL_auxz00_3776 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3777); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3776))->BgL_kz00);} } 
}



/* _sfun/Iinfo-K */
obj_t BGl__sfunzf2Iinfozd2Kz20zzintegrate_infoz00(obj_t BgL_envz00_3303, obj_t BgL_obj2862z00_3304)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 53 */
return 
BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2862z00_3304));} 
}



/* sfun/Iinfo-K*-set! */
obj_t BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2868z00_121, obj_t BgL_val2867z00_122)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 55 */
{ 
obj_t BgL_auxz00_3783;
{ /* Integrate/iinfo.scm 55 */
BgL_objectz00_bglt BgL_auxz00_3784;
BgL_auxz00_3784 = 
(BgL_objectz00_bglt)(BgL_obj2868z00_121); 
BgL_auxz00_3783 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3784); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3783))->BgL_kza2za2) = ((obj_t)BgL_val2867z00_122), BUNSPEC);} } 
}



/* _sfun/Iinfo-K*-set! */
obj_t BGl__sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(obj_t BgL_envz00_3310, obj_t BgL_obj2868z00_3311, obj_t BgL_val2867z00_3312)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 55 */
return 
BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2868z00_3311), BgL_val2867z00_3312);} 
}



/* sfun/Iinfo-K* */
obj_t BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2866z00_123)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 55 */
{ 
obj_t BgL_auxz00_3790;
{ /* Integrate/iinfo.scm 55 */
BgL_objectz00_bglt BgL_auxz00_3791;
BgL_auxz00_3791 = 
(BgL_objectz00_bglt)(BgL_obj2866z00_123); 
BgL_auxz00_3790 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3791); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3790))->BgL_kza2za2);} } 
}



/* _sfun/Iinfo-K* */
obj_t BGl__sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(obj_t BgL_envz00_3308, obj_t BgL_obj2866z00_3309)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 55 */
return 
BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2866z00_3309));} 
}



/* sfun/Iinfo-U-set! */
obj_t BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2871z00_124, obj_t BgL_val2870z00_125)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 57 */
{ 
obj_t BgL_auxz00_3797;
{ /* Integrate/iinfo.scm 57 */
BgL_objectz00_bglt BgL_auxz00_3798;
BgL_auxz00_3798 = 
(BgL_objectz00_bglt)(BgL_obj2871z00_124); 
BgL_auxz00_3797 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3798); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3797))->BgL_uz00) = ((obj_t)BgL_val2870z00_125), BUNSPEC);} } 
}



/* _sfun/Iinfo-U-set! */
obj_t BGl__sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3315, obj_t BgL_obj2871z00_3316, obj_t BgL_val2870z00_3317)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 57 */
return 
BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2871z00_3316), BgL_val2870z00_3317);} 
}



/* sfun/Iinfo-U */
obj_t BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2869z00_126)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 57 */
{ 
obj_t BgL_auxz00_3804;
{ /* Integrate/iinfo.scm 57 */
BgL_objectz00_bglt BgL_auxz00_3805;
BgL_auxz00_3805 = 
(BgL_objectz00_bglt)(BgL_obj2869z00_126); 
BgL_auxz00_3804 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3805); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3804))->BgL_uz00);} } 
}



/* _sfun/Iinfo-U */
obj_t BGl__sfunzf2Iinfozd2Uz20zzintegrate_infoz00(obj_t BgL_envz00_3313, obj_t BgL_obj2869z00_3314)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 57 */
return 
BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2869z00_3314));} 
}



/* sfun/Iinfo-Cn-set! */
obj_t BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2874z00_127, obj_t BgL_val2873z00_128)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 59 */
{ 
obj_t BgL_auxz00_3811;
{ /* Integrate/iinfo.scm 59 */
BgL_objectz00_bglt BgL_auxz00_3812;
BgL_auxz00_3812 = 
(BgL_objectz00_bglt)(BgL_obj2874z00_127); 
BgL_auxz00_3811 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3812); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3811))->BgL_cnz00) = ((obj_t)BgL_val2873z00_128), BUNSPEC);} } 
}



/* _sfun/Iinfo-Cn-set! */
obj_t BGl__sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3320, obj_t BgL_obj2874z00_3321, obj_t BgL_val2873z00_3322)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 59 */
return 
BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2874z00_3321), BgL_val2873z00_3322);} 
}



/* sfun/Iinfo-Cn */
obj_t BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2872z00_129)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 59 */
{ 
obj_t BgL_auxz00_3818;
{ /* Integrate/iinfo.scm 59 */
BgL_objectz00_bglt BgL_auxz00_3819;
BgL_auxz00_3819 = 
(BgL_objectz00_bglt)(BgL_obj2872z00_129); 
BgL_auxz00_3818 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3819); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3818))->BgL_cnz00);} } 
}



/* _sfun/Iinfo-Cn */
obj_t BGl__sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(obj_t BgL_envz00_3318, obj_t BgL_obj2872z00_3319)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 59 */
return 
BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2872z00_3319));} 
}



/* sfun/Iinfo-Ct-set! */
obj_t BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2877z00_130, obj_t BgL_val2876z00_131)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 61 */
{ 
obj_t BgL_auxz00_3825;
{ /* Integrate/iinfo.scm 61 */
BgL_objectz00_bglt BgL_auxz00_3826;
BgL_auxz00_3826 = 
(BgL_objectz00_bglt)(BgL_obj2877z00_130); 
BgL_auxz00_3825 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3826); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3825))->BgL_ctz00) = ((obj_t)BgL_val2876z00_131), BUNSPEC);} } 
}



/* _sfun/Iinfo-Ct-set! */
obj_t BGl__sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3325, obj_t BgL_obj2877z00_3326, obj_t BgL_val2876z00_3327)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 61 */
return 
BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2877z00_3326), BgL_val2876z00_3327);} 
}



/* sfun/Iinfo-Ct */
obj_t BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2875z00_132)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 61 */
{ 
obj_t BgL_auxz00_3832;
{ /* Integrate/iinfo.scm 61 */
BgL_objectz00_bglt BgL_auxz00_3833;
BgL_auxz00_3833 = 
(BgL_objectz00_bglt)(BgL_obj2875z00_132); 
BgL_auxz00_3832 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3833); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3832))->BgL_ctz00);} } 
}



/* _sfun/Iinfo-Ct */
obj_t BGl__sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(obj_t BgL_envz00_3323, obj_t BgL_obj2875z00_3324)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 61 */
return 
BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2875z00_3324));} 
}



/* sfun/Iinfo-kont-set! */
obj_t BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2880z00_133, obj_t BgL_val2879z00_134)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 63 */
{ 
obj_t BgL_auxz00_3839;
{ /* Integrate/iinfo.scm 63 */
BgL_objectz00_bglt BgL_auxz00_3840;
BgL_auxz00_3840 = 
(BgL_objectz00_bglt)(BgL_obj2880z00_133); 
BgL_auxz00_3839 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3840); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3839))->BgL_kontz00) = ((obj_t)BgL_val2879z00_134), BUNSPEC);} } 
}



/* _sfun/Iinfo-kont-set! */
obj_t BGl__sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3330, obj_t BgL_obj2880z00_3331, obj_t BgL_val2879z00_3332)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 63 */
return 
BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2880z00_3331), BgL_val2879z00_3332);} 
}



/* sfun/Iinfo-kont */
obj_t BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2878z00_135)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 63 */
{ 
obj_t BgL_auxz00_3846;
{ /* Integrate/iinfo.scm 63 */
BgL_objectz00_bglt BgL_auxz00_3847;
BgL_auxz00_3847 = 
(BgL_objectz00_bglt)(BgL_obj2878z00_135); 
BgL_auxz00_3846 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3847); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3846))->BgL_kontz00);} } 
}



/* _sfun/Iinfo-kont */
obj_t BGl__sfunzf2Iinfozd2kontz20zzintegrate_infoz00(obj_t BgL_envz00_3328, obj_t BgL_obj2878z00_3329)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 63 */
return 
BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2878z00_3329));} 
}



/* sfun/Iinfo-G?-set! */
obj_t BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2883z00_136, bool_t BgL_val2882z00_137)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
obj_t BgL_auxz00_3853;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3854;
BgL_auxz00_3854 = 
(BgL_objectz00_bglt)(BgL_obj2883z00_136); 
BgL_auxz00_3853 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3854); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3853))->BgL_gzf3zf3) = ((bool_t)BgL_val2882z00_137), BUNSPEC);} } 
}



/* _sfun/Iinfo-G?-set! */
obj_t BGl__sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(obj_t BgL_envz00_3335, obj_t BgL_obj2883z00_3336, obj_t BgL_val2882z00_3337)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
return 
BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2883z00_3336), 
CBOOL(BgL_val2882z00_3337));} 
}



/* sfun/Iinfo-G? */
bool_t BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2881z00_138)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
obj_t BgL_auxz00_3861;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3862;
BgL_auxz00_3862 = 
(BgL_objectz00_bglt)(BgL_obj2881z00_138); 
BgL_auxz00_3861 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3862); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3861))->BgL_gzf3zf3);} } 
}



/* _sfun/Iinfo-G? */
obj_t BGl__sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(obj_t BgL_envz00_3333, obj_t BgL_obj2881z00_3334)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
bool_t BgL_auxz00_3866;
BgL_auxz00_3866 = 
BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2881z00_3334)); 
return 
BBOOL(BgL_auxz00_3866);} } 
}



/* sfun/Iinfo-L-set! */
obj_t BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2886z00_139, obj_t BgL_val2885z00_140)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 67 */
{ 
obj_t BgL_auxz00_3870;
{ /* Integrate/iinfo.scm 67 */
BgL_objectz00_bglt BgL_auxz00_3871;
BgL_auxz00_3871 = 
(BgL_objectz00_bglt)(BgL_obj2886z00_139); 
BgL_auxz00_3870 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3871); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3870))->BgL_lz00) = ((obj_t)BgL_val2885z00_140), BUNSPEC);} } 
}



/* _sfun/Iinfo-L-set! */
obj_t BGl__sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3340, obj_t BgL_obj2886z00_3341, obj_t BgL_val2885z00_3342)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 67 */
return 
BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2886z00_3341), BgL_val2885z00_3342);} 
}



/* sfun/Iinfo-L */
obj_t BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2884z00_141)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 67 */
{ 
obj_t BgL_auxz00_3877;
{ /* Integrate/iinfo.scm 67 */
BgL_objectz00_bglt BgL_auxz00_3878;
BgL_auxz00_3878 = 
(BgL_objectz00_bglt)(BgL_obj2884z00_141); 
BgL_auxz00_3877 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3878); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3877))->BgL_lz00);} } 
}



/* _sfun/Iinfo-L */
obj_t BGl__sfunzf2Iinfozd2Lz20zzintegrate_infoz00(obj_t BgL_envz00_3338, obj_t BgL_obj2884z00_3339)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 67 */
return 
BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2884z00_3339));} 
}



/* sfun/Iinfo-Led-set! */
obj_t BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2889z00_142, obj_t BgL_val2888z00_143)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 69 */
{ 
obj_t BgL_auxz00_3884;
{ /* Integrate/iinfo.scm 69 */
BgL_objectz00_bglt BgL_auxz00_3885;
BgL_auxz00_3885 = 
(BgL_objectz00_bglt)(BgL_obj2889z00_142); 
BgL_auxz00_3884 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3885); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3884))->BgL_ledz00) = ((obj_t)BgL_val2888z00_143), BUNSPEC);} } 
}



/* _sfun/Iinfo-Led-set! */
obj_t BGl__sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3345, obj_t BgL_obj2889z00_3346, obj_t BgL_val2888z00_3347)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 69 */
return 
BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2889z00_3346), BgL_val2888z00_3347);} 
}



/* sfun/Iinfo-Led */
obj_t BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2887z00_144)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 69 */
{ 
obj_t BgL_auxz00_3891;
{ /* Integrate/iinfo.scm 69 */
BgL_objectz00_bglt BgL_auxz00_3892;
BgL_auxz00_3892 = 
(BgL_objectz00_bglt)(BgL_obj2887z00_144); 
BgL_auxz00_3891 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3892); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3891))->BgL_ledz00);} } 
}



/* _sfun/Iinfo-Led */
obj_t BGl__sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(obj_t BgL_envz00_3343, obj_t BgL_obj2887z00_3344)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 69 */
return 
BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2887z00_3344));} 
}



/* sfun/Iinfo-istamp-set! */
obj_t BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2892z00_145, obj_t BgL_val2891z00_146)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 71 */
{ 
obj_t BgL_auxz00_3898;
{ /* Integrate/iinfo.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3899;
BgL_auxz00_3899 = 
(BgL_objectz00_bglt)(BgL_obj2892z00_145); 
BgL_auxz00_3898 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3899); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3898))->BgL_istampz00) = ((obj_t)BgL_val2891z00_146), BUNSPEC);} } 
}



/* _sfun/Iinfo-istamp-set! */
obj_t BGl__sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3350, obj_t BgL_obj2892z00_3351, obj_t BgL_val2891z00_3352)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 71 */
return 
BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2892z00_3351), BgL_val2891z00_3352);} 
}



/* sfun/Iinfo-istamp */
obj_t BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2890z00_147)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 71 */
{ 
obj_t BgL_auxz00_3905;
{ /* Integrate/iinfo.scm 71 */
BgL_objectz00_bglt BgL_auxz00_3906;
BgL_auxz00_3906 = 
(BgL_objectz00_bglt)(BgL_obj2890z00_147); 
BgL_auxz00_3905 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3906); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3905))->BgL_istampz00);} } 
}



/* _sfun/Iinfo-istamp */
obj_t BGl__sfunzf2Iinfozd2istampz20zzintegrate_infoz00(obj_t BgL_envz00_3348, obj_t BgL_obj2890z00_3349)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 71 */
return 
BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2890z00_3349));} 
}



/* sfun/Iinfo-global-set! */
obj_t BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2895z00_148, obj_t BgL_val2894z00_149)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 73 */
{ 
obj_t BgL_auxz00_3912;
{ /* Integrate/iinfo.scm 73 */
BgL_objectz00_bglt BgL_auxz00_3913;
BgL_auxz00_3913 = 
(BgL_objectz00_bglt)(BgL_obj2895z00_148); 
BgL_auxz00_3912 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3913); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3912))->BgL_globalz00) = ((obj_t)BgL_val2894z00_149), BUNSPEC);} } 
}



/* _sfun/Iinfo-global-set! */
obj_t BGl__sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3355, obj_t BgL_obj2895z00_3356, obj_t BgL_val2894z00_3357)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 73 */
return 
BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2895z00_3356), BgL_val2894z00_3357);} 
}



/* sfun/Iinfo-global */
obj_t BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2893z00_150)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 73 */
{ 
obj_t BgL_auxz00_3919;
{ /* Integrate/iinfo.scm 73 */
BgL_objectz00_bglt BgL_auxz00_3920;
BgL_auxz00_3920 = 
(BgL_objectz00_bglt)(BgL_obj2893z00_150); 
BgL_auxz00_3919 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3920); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3919))->BgL_globalz00);} } 
}



/* _sfun/Iinfo-global */
obj_t BGl__sfunzf2Iinfozd2globalz20zzintegrate_infoz00(obj_t BgL_envz00_3353, obj_t BgL_obj2893z00_3354)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 73 */
return 
BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2893z00_3354));} 
}



/* sfun/Iinfo-kaptured-set! */
obj_t BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2898z00_151, obj_t BgL_val2897z00_152)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 75 */
{ 
obj_t BgL_auxz00_3926;
{ /* Integrate/iinfo.scm 75 */
BgL_objectz00_bglt BgL_auxz00_3927;
BgL_auxz00_3927 = 
(BgL_objectz00_bglt)(BgL_obj2898z00_151); 
BgL_auxz00_3926 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3927); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3926))->BgL_kapturedz00) = ((obj_t)BgL_val2897z00_152), BUNSPEC);} } 
}



/* _sfun/Iinfo-kaptured-set! */
obj_t BGl__sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(obj_t BgL_envz00_3360, obj_t BgL_obj2898z00_3361, obj_t BgL_val2897z00_3362)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 75 */
return 
BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2898z00_3361), BgL_val2897z00_3362);} 
}



/* sfun/Iinfo-kaptured */
obj_t BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunzf2iinfozf2_bglt BgL_obj2896z00_153)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 75 */
{ 
obj_t BgL_auxz00_3933;
{ /* Integrate/iinfo.scm 75 */
BgL_objectz00_bglt BgL_auxz00_3934;
BgL_auxz00_3934 = 
(BgL_objectz00_bglt)(BgL_obj2896z00_153); 
BgL_auxz00_3933 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3934); } 
return 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3933))->BgL_kapturedz00);} } 
}



/* _sfun/Iinfo-kaptured */
obj_t BGl__sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(obj_t BgL_envz00_3358, obj_t BgL_obj2896z00_3359)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 75 */
return 
BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2896z00_3359));} 
}



/* sexit/Iinfo? */
bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_obj2731z00_154)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2731z00_154, BGl_sexitzf2Iinfozf2zzintegrate_infoz00);} 
}



/* _sexit/Iinfo? */
obj_t BGl__sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_envz00_3402, obj_t BgL_obj2731z00_3403)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
bool_t BgL_auxz00_3941;
BgL_auxz00_3941 = 
BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(BgL_obj2731z00_3403); 
return 
BBOOL(BgL_auxz00_3941);} } 
}



/* widening-sexit/Iinfo */
BgL_sexitzf2iinfozf2_bglt BGl_wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_fzd2mark2700zd2_158, obj_t BgL_uzd2mark2701zd2_159, bool_t BgL_kapturedzf32702zf3_160, bool_t BgL_celledzf32703zf3_161)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_new2704z00_2253;
BgL_new2704z00_2253 = 
((BgL_sexitzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sexitzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_res3174z00_2263;
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2253))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2700zd2_158), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2253))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2701zd2_159), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2253))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32702zf3_160), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2253))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32703zf3_161), BUNSPEC); 
BgL_res3174z00_2263 = BgL_new2704z00_2253; BgL_res3174z00_2263; } 
return BgL_new2704z00_2253;} } 
}



/* _widening-sexit/Iinfo */
obj_t BGl__wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3404, obj_t BgL_fzd2mark2700zd2_3405, obj_t BgL_uzd2mark2701zd2_3406, obj_t BgL_kapturedzf32702zf3_3407, obj_t BgL_celledzf32703zf3_3408)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3949;
BgL_auxz00_3949 = 
BGl_wideningzd2sexitzf2Iinfoz20zzintegrate_infoz00(BgL_fzd2mark2700zd2_3405, BgL_uzd2mark2701zd2_3406, 
CBOOL(BgL_kapturedzf32702zf3_3407), 
CBOOL(BgL_celledzf32703zf3_3408)); 
return 
(obj_t)(BgL_auxz00_3949);} } 
}



/* fill-sexit/Iinfo! */
BgL_sexitzf2iinfozf2_bglt BGl_fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_new2710z00_162, obj_t BgL_fzd2mark2706zd2_163, obj_t BgL_uzd2mark2707zd2_164, bool_t BgL_kapturedzf32708zf3_165, bool_t BgL_celledzf32709zf3_166)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2710z00_162))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2706zd2_163), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2710z00_162))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2707zd2_164), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2710z00_162))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32708zf3_165), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2710z00_162))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32709zf3_166), BUNSPEC); 
return BgL_new2710z00_162;} 
}



/* _fill-sexit/Iinfo! */
obj_t BGl__fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00(obj_t BgL_envz00_3409, obj_t BgL_new2710z00_3410, obj_t BgL_fzd2mark2706zd2_3411, obj_t BgL_uzd2mark2707zd2_3412, obj_t BgL_kapturedzf32708zf3_3413, obj_t BgL_celledzf32709zf3_3414)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3958;
BgL_auxz00_3958 = 
BGl_fillzd2sexitzf2Iinfoz12z32zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_new2710z00_3410), BgL_fzd2mark2706zd2_3411, BgL_uzd2mark2707zd2_3412, 
CBOOL(BgL_kapturedzf32708zf3_3413), 
CBOOL(BgL_celledzf32709zf3_3414)); 
return 
(obj_t)(BgL_auxz00_3958);} } 
}



/* make-sexit/Iinfo */
BgL_sexitzf2iinfozf2_bglt BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_handler2720z00_167, bool_t BgL_detachedzf32721zf3_168, obj_t BgL_fzd2mark2716zd2_169, obj_t BgL_uzd2mark2717zd2_170, bool_t BgL_kapturedzf32718zf3_171, bool_t BgL_celledzf32719zf3_172)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_aux2722z00_2268;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_res3177z00_2287;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_new1545z00_2274;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_res3175z00_2280;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_new1547z00_2275;
BgL_new1547z00_2275 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* Integrate/iinfo.scm 31 */
long BgL_arg3062z00_2276;
BgL_arg3062z00_2276 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitz00zzast_varz00); 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_3966;
BgL_auxz00_3966 = 
(BgL_objectz00_bglt)(BgL_new1547z00_2275); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3966, BgL_arg3062z00_2276); } } 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_3969;
BgL_auxz00_3969 = 
(BgL_objectz00_bglt)(BgL_new1547z00_2275); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3969, BFALSE); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_3972;
BgL_auxz00_3972 = 
(obj_t)(BgL_new1547z00_2275); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3972); } BUNSPEC; 
BgL_res3175z00_2280 = BgL_new1547z00_2275; } 
BgL_new1545z00_2274 = BgL_res3175z00_2280; } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_res3176z00_2286;
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_2274))->BgL_handlerz00) = ((obj_t)BgL_handler2720z00_167), BUNSPEC); 
((((BgL_sexitz00_bglt)CREF(BgL_new1545z00_2274))->BgL_detachedzf3zf3) = ((bool_t)BgL_detachedzf32721zf3_168), BUNSPEC); 
BgL_res3176z00_2286 = BgL_new1545z00_2274; BgL_res3176z00_2286; } 
BgL_res3177z00_2287 = BgL_new1545z00_2274; } 
BgL_aux2722z00_2268 = BgL_res3177z00_2287; } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_new2723z00_2269;
BgL_new2723z00_2269 = 
((BgL_sexitzf2iinfozf2_bglt)BgL_aux2722z00_2268); 
{ /* Integrate/iinfo.scm 31 */
long BgL_arg3024z00_2270;
BgL_arg3024z00_2270 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_3979;
BgL_auxz00_3979 = 
(BgL_objectz00_bglt)(BgL_new2723z00_2269); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3979, BgL_arg3024z00_2270); } } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_arg3025z00_2271;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_res3179z00_2305;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_new2704z00_2294;
BgL_new2704z00_2294 = 
((BgL_sexitzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sexitzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_res3178z00_2304;
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2294))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2716zd2_169), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2294))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2717zd2_170), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2294))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32718zf3_171), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_2294))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32719zf3_172), BUNSPEC); 
BgL_res3178z00_2304 = BgL_new2704z00_2294; BgL_res3178z00_2304; } 
BgL_res3179z00_2305 = BgL_new2704z00_2294; } 
BgL_arg3025z00_2271 = BgL_res3179z00_2305; } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_3989;BgL_objectz00_bglt BgL_auxz00_3987;
BgL_auxz00_3989 = 
(obj_t)(BgL_arg3025z00_2271); 
BgL_auxz00_3987 = 
(BgL_objectz00_bglt)(BgL_new2723z00_2269); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3987, BgL_auxz00_3989); } } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_3992;
BgL_auxz00_3992 = 
(obj_t)(BgL_new2723z00_2269); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3992); } BUNSPEC; 
return BgL_new2723z00_2269;} } } 
}



/* _make-sexit/Iinfo */
obj_t BGl__makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3219, obj_t BgL_handler2720z00_3220, obj_t BgL_detachedzf32721zf3_3221, obj_t BgL_fzd2mark2716zd2_3222, obj_t BgL_uzd2mark2717zd2_3223, obj_t BgL_kapturedzf32718zf3_3224, obj_t BgL_celledzf32719zf3_3225)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3995;
BgL_auxz00_3995 = 
BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(BgL_handler2720z00_3220, 
CBOOL(BgL_detachedzf32721zf3_3221), BgL_fzd2mark2716zd2_3222, BgL_uzd2mark2717zd2_3223, 
CBOOL(BgL_kapturedzf32718zf3_3224), 
CBOOL(BgL_celledzf32719zf3_3225)); 
return 
(obj_t)(BgL_auxz00_3995);} } 
}



/* allocate-sexit/Iinfo */
BgL_sexitz00_bglt BGl_allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_new2724z00_2307;
BgL_new2724z00_2307 = 
((BgL_sexitz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_sexitz00_bgl) ))); 
{ /* Integrate/iinfo.scm 31 */
long BgL_arg3026z00_2308;
BgL_arg3026z00_2308 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4003;
BgL_auxz00_4003 = 
(BgL_objectz00_bglt)(BgL_new2724z00_2307); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4003, BgL_arg3026z00_2308); } } 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4006;
BgL_auxz00_4006 = 
(BgL_objectz00_bglt)(BgL_new2724z00_2307); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4006, BFALSE); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4009;
BgL_auxz00_4009 = 
(obj_t)(BgL_new2724z00_2307); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4009); } BUNSPEC; 
return BgL_new2724z00_2307;} } 
}



/* _allocate-sexit/Iinfo */
obj_t BGl__allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3226)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_sexitz00_bglt BgL_auxz00_4012;
BgL_auxz00_4012 = 
BGl_allocatezd2sexitzf2Iinfoz20zzintegrate_infoz00(); 
return 
(obj_t)(BgL_auxz00_4012);} } 
}



/* sexit/Iinfo-f-mark-set! */
obj_t BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2734z00_179, obj_t BgL_val2733z00_180)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 33 */
{ 
obj_t BgL_auxz00_4015;
{ /* Integrate/iinfo.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4016;
BgL_auxz00_4016 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_179); 
BgL_auxz00_4015 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4016); } 
return 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4015))->BgL_fzd2markzd2) = ((obj_t)BgL_val2733z00_180), BUNSPEC);} } 
}



/* _sexit/Iinfo-f-mark-set! */
obj_t BGl__sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(obj_t BgL_envz00_3229, obj_t BgL_obj2734z00_3230, obj_t BgL_val2733z00_3231)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 33 */
return 
BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2734z00_3230), BgL_val2733z00_3231);} 
}



/* sexit/Iinfo-f-mark */
obj_t BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2732z00_181)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 33 */
{ 
obj_t BgL_auxz00_4022;
{ /* Integrate/iinfo.scm 33 */
BgL_objectz00_bglt BgL_auxz00_4023;
BgL_auxz00_4023 = 
(BgL_objectz00_bglt)(BgL_obj2732z00_181); 
BgL_auxz00_4022 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4023); } 
return 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4022))->BgL_fzd2markzd2);} } 
}



/* _sexit/Iinfo-f-mark */
obj_t BGl__sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(obj_t BgL_envz00_3227, obj_t BgL_obj2732z00_3228)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 33 */
return 
BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2732z00_3228));} 
}



/* sexit/Iinfo-u-mark-set! */
obj_t BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2737z00_182, obj_t BgL_val2736z00_183)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 35 */
{ 
obj_t BgL_auxz00_4029;
{ /* Integrate/iinfo.scm 35 */
BgL_objectz00_bglt BgL_auxz00_4030;
BgL_auxz00_4030 = 
(BgL_objectz00_bglt)(BgL_obj2737z00_182); 
BgL_auxz00_4029 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4030); } 
return 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4029))->BgL_uzd2markzd2) = ((obj_t)BgL_val2736z00_183), BUNSPEC);} } 
}



/* _sexit/Iinfo-u-mark-set! */
obj_t BGl__sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(obj_t BgL_envz00_3234, obj_t BgL_obj2737z00_3235, obj_t BgL_val2736z00_3236)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 35 */
return 
BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2737z00_3235), BgL_val2736z00_3236);} 
}



/* sexit/Iinfo-u-mark */
obj_t BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2735z00_184)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 35 */
{ 
obj_t BgL_auxz00_4036;
{ /* Integrate/iinfo.scm 35 */
BgL_objectz00_bglt BgL_auxz00_4037;
BgL_auxz00_4037 = 
(BgL_objectz00_bglt)(BgL_obj2735z00_184); 
BgL_auxz00_4036 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4037); } 
return 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4036))->BgL_uzd2markzd2);} } 
}



/* _sexit/Iinfo-u-mark */
obj_t BGl__sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(obj_t BgL_envz00_3232, obj_t BgL_obj2735z00_3233)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 35 */
return 
BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2735z00_3233));} 
}



/* sexit/Iinfo-kaptured?-set! */
obj_t BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2740z00_185, bool_t BgL_val2739z00_186)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 37 */
{ 
obj_t BgL_auxz00_4043;
{ /* Integrate/iinfo.scm 37 */
BgL_objectz00_bglt BgL_auxz00_4044;
BgL_auxz00_4044 = 
(BgL_objectz00_bglt)(BgL_obj2740z00_185); 
BgL_auxz00_4043 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4044); } 
return 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4043))->BgL_kapturedzf3zf3) = ((bool_t)BgL_val2739z00_186), BUNSPEC);} } 
}



/* _sexit/Iinfo-kaptured?-set! */
obj_t BGl__sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(obj_t BgL_envz00_3239, obj_t BgL_obj2740z00_3240, obj_t BgL_val2739z00_3241)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 37 */
return 
BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2740z00_3240), 
CBOOL(BgL_val2739z00_3241));} 
}



/* sexit/Iinfo-kaptured? */
bool_t BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2738z00_187)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 37 */
{ 
obj_t BgL_auxz00_4051;
{ /* Integrate/iinfo.scm 37 */
BgL_objectz00_bglt BgL_auxz00_4052;
BgL_auxz00_4052 = 
(BgL_objectz00_bglt)(BgL_obj2738z00_187); 
BgL_auxz00_4051 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4052); } 
return 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4051))->BgL_kapturedzf3zf3);} } 
}



/* _sexit/Iinfo-kaptured? */
obj_t BGl__sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(obj_t BgL_envz00_3237, obj_t BgL_obj2738z00_3238)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 37 */
{ /* Integrate/iinfo.scm 37 */
bool_t BgL_auxz00_4056;
BgL_auxz00_4056 = 
BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2738z00_3238)); 
return 
BBOOL(BgL_auxz00_4056);} } 
}



/* sexit/Iinfo-celled?-set! */
obj_t BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2743z00_188, bool_t BgL_val2742z00_189)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 39 */
{ 
obj_t BgL_auxz00_4060;
{ /* Integrate/iinfo.scm 39 */
BgL_objectz00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_obj2743z00_188); 
BgL_auxz00_4060 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4061); } 
return 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4060))->BgL_celledzf3zf3) = ((bool_t)BgL_val2742z00_189), BUNSPEC);} } 
}



/* _sexit/Iinfo-celled?-set! */
obj_t BGl__sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(obj_t BgL_envz00_3244, obj_t BgL_obj2743z00_3245, obj_t BgL_val2742z00_3246)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 39 */
return 
BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2743z00_3245), 
CBOOL(BgL_val2742z00_3246));} 
}



/* sexit/Iinfo-celled? */
bool_t BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitzf2iinfozf2_bglt BgL_obj2741z00_190)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 39 */
{ 
obj_t BgL_auxz00_4068;
{ /* Integrate/iinfo.scm 39 */
BgL_objectz00_bglt BgL_auxz00_4069;
BgL_auxz00_4069 = 
(BgL_objectz00_bglt)(BgL_obj2741z00_190); 
BgL_auxz00_4068 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4069); } 
return 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4068))->BgL_celledzf3zf3);} } 
}



/* _sexit/Iinfo-celled? */
obj_t BGl__sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(obj_t BgL_envz00_3242, obj_t BgL_obj2741z00_3243)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 39 */
{ /* Integrate/iinfo.scm 39 */
bool_t BgL_auxz00_4073;
BgL_auxz00_4073 = 
BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2741z00_3243)); 
return 
BBOOL(BgL_auxz00_4073);} } 
}



/* svar/Iinfo? */
bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_obj2684z00_191)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2684z00_191, BGl_svarzf2Iinfozf2zzintegrate_infoz00);} 
}



/* _svar/Iinfo? */
obj_t BGl__svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t BgL_envz00_3415, obj_t BgL_obj2684z00_3416)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
bool_t BgL_auxz00_4078;
BgL_auxz00_4078 = 
BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(BgL_obj2684z00_3416); 
return 
BBOOL(BgL_auxz00_4078);} } 
}



/* widening-svar/Iinfo */
BgL_svarzf2iinfozf2_bglt BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_fzd2mark2654zd2_195, obj_t BgL_uzd2mark2655zd2_196, bool_t BgL_kapturedzf32656zf3_197, bool_t BgL_celledzf32657zf3_198)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_new2658z00_2312;
BgL_new2658z00_2312 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_res3180z00_2322;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2312))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2654zd2_195), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2312))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2655zd2_196), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2312))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32656zf3_197), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2312))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32657zf3_198), BUNSPEC); 
BgL_res3180z00_2322 = BgL_new2658z00_2312; BgL_res3180z00_2322; } 
return BgL_new2658z00_2312;} } 
}



/* _widening-svar/Iinfo */
obj_t BGl__wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3417, obj_t BgL_fzd2mark2654zd2_3418, obj_t BgL_uzd2mark2655zd2_3419, obj_t BgL_kapturedzf32656zf3_3420, obj_t BgL_celledzf32657zf3_3421)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_auxz00_4086;
BgL_auxz00_4086 = 
BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(BgL_fzd2mark2654zd2_3418, BgL_uzd2mark2655zd2_3419, 
CBOOL(BgL_kapturedzf32656zf3_3420), 
CBOOL(BgL_celledzf32657zf3_3421)); 
return 
(obj_t)(BgL_auxz00_4086);} } 
}



/* fill-svar/Iinfo! */
BgL_svarzf2iinfozf2_bglt BGl_fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_new2664z00_199, obj_t BgL_fzd2mark2660zd2_200, obj_t BgL_uzd2mark2661zd2_201, bool_t BgL_kapturedzf32662zf3_202, bool_t BgL_celledzf32663zf3_203)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2664z00_199))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2660zd2_200), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2664z00_199))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2661zd2_201), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2664z00_199))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32662zf3_202), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2664z00_199))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32663zf3_203), BUNSPEC); 
return BgL_new2664z00_199;} 
}



/* _fill-svar/Iinfo! */
obj_t BGl__fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00(obj_t BgL_envz00_3422, obj_t BgL_new2664z00_3423, obj_t BgL_fzd2mark2660zd2_3424, obj_t BgL_uzd2mark2661zd2_3425, obj_t BgL_kapturedzf32662zf3_3426, obj_t BgL_celledzf32663zf3_3427)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_auxz00_4095;
BgL_auxz00_4095 = 
BGl_fillzd2svarzf2Iinfoz12z32zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_new2664z00_3423), BgL_fzd2mark2660zd2_3424, BgL_uzd2mark2661zd2_3425, 
CBOOL(BgL_kapturedzf32662zf3_3426), 
CBOOL(BgL_celledzf32663zf3_3427)); 
return 
(obj_t)(BgL_auxz00_4095);} } 
}



/* make-svar/Iinfo */
BgL_svarzf2iinfozf2_bglt BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_loc2674z00_204, obj_t BgL_fzd2mark2670zd2_205, obj_t BgL_uzd2mark2671zd2_206, bool_t BgL_kapturedzf32672zf3_207, bool_t BgL_celledzf32673zf3_208)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_aux2675z00_2327;
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_res3183z00_2343;
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_new1495z00_2332;
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_res3181z00_2338;
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_new1497z00_2333;
BgL_new1497z00_2333 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Integrate/iinfo.scm 21 */
long BgL_arg3065z00_2334;
BgL_arg3065z00_2334 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4103;
BgL_auxz00_4103 = 
(BgL_objectz00_bglt)(BgL_new1497z00_2333); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4103, BgL_arg3065z00_2334); } } 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4106;
BgL_auxz00_4106 = 
(BgL_objectz00_bglt)(BgL_new1497z00_2333); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4106, BFALSE); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4109;
BgL_auxz00_4109 = 
(obj_t)(BgL_new1497z00_2333); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4109); } BUNSPEC; 
BgL_res3181z00_2338 = BgL_new1497z00_2333; } 
BgL_new1495z00_2332 = BgL_res3181z00_2338; } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_res3182z00_2342;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_2332))->BgL_locz00) = ((obj_t)BgL_loc2674z00_204), BUNSPEC); 
BgL_res3182z00_2342 = BgL_new1495z00_2332; BgL_res3182z00_2342; } 
BgL_res3183z00_2343 = BgL_new1495z00_2332; } 
BgL_aux2675z00_2327 = BgL_res3183z00_2343; } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_new2676z00_2328;
BgL_new2676z00_2328 = 
((BgL_svarzf2iinfozf2_bglt)BgL_aux2675z00_2327); 
{ /* Integrate/iinfo.scm 21 */
long BgL_arg3027z00_2329;
BgL_arg3027z00_2329 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4115;
BgL_auxz00_4115 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2328); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4115, BgL_arg3027z00_2329); } } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_arg3028z00_2330;
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_res3185z00_2361;
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_new2658z00_2350;
BgL_new2658z00_2350 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_res3184z00_2360;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2350))->BgL_fzd2markzd2) = ((obj_t)BgL_fzd2mark2670zd2_205), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2350))->BgL_uzd2markzd2) = ((obj_t)BgL_uzd2mark2671zd2_206), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2350))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32672zf3_207), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2350))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32673zf3_208), BUNSPEC); 
BgL_res3184z00_2360 = BgL_new2658z00_2350; BgL_res3184z00_2360; } 
BgL_res3185z00_2361 = BgL_new2658z00_2350; } 
BgL_arg3028z00_2330 = BgL_res3185z00_2361; } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4125;BgL_objectz00_bglt BgL_auxz00_4123;
BgL_auxz00_4125 = 
(obj_t)(BgL_arg3028z00_2330); 
BgL_auxz00_4123 = 
(BgL_objectz00_bglt)(BgL_new2676z00_2328); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4123, BgL_auxz00_4125); } } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4128;
BgL_auxz00_4128 = 
(obj_t)(BgL_new2676z00_2328); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4128); } BUNSPEC; 
return BgL_new2676z00_2328;} } } 
}



/* _make-svar/Iinfo */
obj_t BGl__makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3192, obj_t BgL_loc2674z00_3193, obj_t BgL_fzd2mark2670zd2_3194, obj_t BgL_uzd2mark2671zd2_3195, obj_t BgL_kapturedzf32672zf3_3196, obj_t BgL_celledzf32673zf3_3197)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_auxz00_4131;
BgL_auxz00_4131 = 
BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(BgL_loc2674z00_3193, BgL_fzd2mark2670zd2_3194, BgL_uzd2mark2671zd2_3195, 
CBOOL(BgL_kapturedzf32672zf3_3196), 
CBOOL(BgL_celledzf32673zf3_3197)); 
return 
(obj_t)(BgL_auxz00_4131);} } 
}



/* allocate-svar/Iinfo */
BgL_svarz00_bglt BGl_allocatezd2svarzf2Iinfoz20zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_new2677z00_2363;
BgL_new2677z00_2363 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* Integrate/iinfo.scm 21 */
long BgL_arg3029z00_2364;
BgL_arg3029z00_2364 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4138;
BgL_auxz00_4138 = 
(BgL_objectz00_bglt)(BgL_new2677z00_2363); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4138, BgL_arg3029z00_2364); } } 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4141;
BgL_auxz00_4141 = 
(BgL_objectz00_bglt)(BgL_new2677z00_2363); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4141, BFALSE); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4144;
BgL_auxz00_4144 = 
(obj_t)(BgL_new2677z00_2363); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4144); } BUNSPEC; 
return BgL_new2677z00_2363;} } 
}



/* _allocate-svar/Iinfo */
obj_t BGl__allocatezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_envz00_3198)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_svarz00_bglt BgL_auxz00_4147;
BgL_auxz00_4147 = 
BGl_allocatezd2svarzf2Iinfoz20zzintegrate_infoz00(); 
return 
(obj_t)(BgL_auxz00_4147);} } 
}



/* svar/Iinfo-f-mark-set! */
obj_t BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2687z00_212, obj_t BgL_val2686z00_213)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 23 */
{ 
obj_t BgL_auxz00_4150;
{ /* Integrate/iinfo.scm 23 */
BgL_objectz00_bglt BgL_auxz00_4151;
BgL_auxz00_4151 = 
(BgL_objectz00_bglt)(BgL_obj2687z00_212); 
BgL_auxz00_4150 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4151); } 
return 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4150))->BgL_fzd2markzd2) = ((obj_t)BgL_val2686z00_213), BUNSPEC);} } 
}



/* _svar/Iinfo-f-mark-set! */
obj_t BGl__svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(obj_t BgL_envz00_3201, obj_t BgL_obj2687z00_3202, obj_t BgL_val2686z00_3203)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 23 */
return 
BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2687z00_3202), BgL_val2686z00_3203);} 
}



/* svar/Iinfo-f-mark */
obj_t BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2685z00_214)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 23 */
{ 
obj_t BgL_auxz00_4157;
{ /* Integrate/iinfo.scm 23 */
BgL_objectz00_bglt BgL_auxz00_4158;
BgL_auxz00_4158 = 
(BgL_objectz00_bglt)(BgL_obj2685z00_214); 
BgL_auxz00_4157 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4158); } 
return 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4157))->BgL_fzd2markzd2);} } 
}



/* _svar/Iinfo-f-mark */
obj_t BGl__svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(obj_t BgL_envz00_3199, obj_t BgL_obj2685z00_3200)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 23 */
return 
BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2685z00_3200));} 
}



/* svar/Iinfo-u-mark-set! */
obj_t BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2690z00_215, obj_t BgL_val2689z00_216)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 25 */
{ 
obj_t BgL_auxz00_4164;
{ /* Integrate/iinfo.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4165;
BgL_auxz00_4165 = 
(BgL_objectz00_bglt)(BgL_obj2690z00_215); 
BgL_auxz00_4164 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4165); } 
return 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4164))->BgL_uzd2markzd2) = ((obj_t)BgL_val2689z00_216), BUNSPEC);} } 
}



/* _svar/Iinfo-u-mark-set! */
obj_t BGl__svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(obj_t BgL_envz00_3206, obj_t BgL_obj2690z00_3207, obj_t BgL_val2689z00_3208)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 25 */
return 
BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2690z00_3207), BgL_val2689z00_3208);} 
}



/* svar/Iinfo-u-mark */
obj_t BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2688z00_217)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 25 */
{ 
obj_t BgL_auxz00_4171;
{ /* Integrate/iinfo.scm 25 */
BgL_objectz00_bglt BgL_auxz00_4172;
BgL_auxz00_4172 = 
(BgL_objectz00_bglt)(BgL_obj2688z00_217); 
BgL_auxz00_4171 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4172); } 
return 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4171))->BgL_uzd2markzd2);} } 
}



/* _svar/Iinfo-u-mark */
obj_t BGl__svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(obj_t BgL_envz00_3204, obj_t BgL_obj2688z00_3205)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 25 */
return 
BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2688z00_3205));} 
}



/* svar/Iinfo-kaptured?-set! */
obj_t BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2693z00_218, bool_t BgL_val2692z00_219)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 27 */
{ 
obj_t BgL_auxz00_4178;
{ /* Integrate/iinfo.scm 27 */
BgL_objectz00_bglt BgL_auxz00_4179;
BgL_auxz00_4179 = 
(BgL_objectz00_bglt)(BgL_obj2693z00_218); 
BgL_auxz00_4178 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4179); } 
return 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4178))->BgL_kapturedzf3zf3) = ((bool_t)BgL_val2692z00_219), BUNSPEC);} } 
}



/* _svar/Iinfo-kaptured?-set! */
obj_t BGl__svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(obj_t BgL_envz00_3211, obj_t BgL_obj2693z00_3212, obj_t BgL_val2692z00_3213)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 27 */
return 
BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2693z00_3212), 
CBOOL(BgL_val2692z00_3213));} 
}



/* svar/Iinfo-kaptured? */
bool_t BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2691z00_220)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 27 */
{ 
obj_t BgL_auxz00_4186;
{ /* Integrate/iinfo.scm 27 */
BgL_objectz00_bglt BgL_auxz00_4187;
BgL_auxz00_4187 = 
(BgL_objectz00_bglt)(BgL_obj2691z00_220); 
BgL_auxz00_4186 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4187); } 
return 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4186))->BgL_kapturedzf3zf3);} } 
}



/* _svar/Iinfo-kaptured? */
obj_t BGl__svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(obj_t BgL_envz00_3209, obj_t BgL_obj2691z00_3210)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 27 */
{ /* Integrate/iinfo.scm 27 */
bool_t BgL_auxz00_4191;
BgL_auxz00_4191 = 
BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2691z00_3210)); 
return 
BBOOL(BgL_auxz00_4191);} } 
}



/* svar/Iinfo-celled?-set! */
obj_t BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2696z00_221, bool_t BgL_val2695z00_222)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 29 */
{ 
obj_t BgL_auxz00_4195;
{ /* Integrate/iinfo.scm 29 */
BgL_objectz00_bglt BgL_auxz00_4196;
BgL_auxz00_4196 = 
(BgL_objectz00_bglt)(BgL_obj2696z00_221); 
BgL_auxz00_4195 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4196); } 
return 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4195))->BgL_celledzf3zf3) = ((bool_t)BgL_val2695z00_222), BUNSPEC);} } 
}



/* _svar/Iinfo-celled?-set! */
obj_t BGl__svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(obj_t BgL_envz00_3216, obj_t BgL_obj2696z00_3217, obj_t BgL_val2695z00_3218)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 29 */
return 
BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2696z00_3217), 
CBOOL(BgL_val2695z00_3218));} 
}



/* svar/Iinfo-celled? */
bool_t BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarzf2iinfozf2_bglt BgL_obj2694z00_223)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 29 */
{ 
obj_t BgL_auxz00_4203;
{ /* Integrate/iinfo.scm 29 */
BgL_objectz00_bglt BgL_auxz00_4204;
BgL_auxz00_4204 = 
(BgL_objectz00_bglt)(BgL_obj2694z00_223); 
BgL_auxz00_4203 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4204); } 
return 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4203))->BgL_celledzf3zf3);} } 
}



/* _svar/Iinfo-celled? */
obj_t BGl__svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(obj_t BgL_envz00_3214, obj_t BgL_obj2694z00_3215)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 29 */
{ /* Integrate/iinfo.scm 29 */
bool_t BgL_auxz00_4208;
BgL_auxz00_4208 = 
BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2694z00_3215)); 
return 
BBOOL(BgL_auxz00_4208);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sfunzf2Iinfozf2zzintegrate_infoz00, BGl_proc3204z00zzintegrate_infoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sfunzf2Iinfozf2zzintegrate_infoz00, BGl_proc3205z00zzintegrate_infoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sexitzf2Iinfozf2zzintegrate_infoz00, BGl_proc3206z00zzintegrate_infoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sexitzf2Iinfozf2zzintegrate_infoz00, BGl_proc3207z00zzintegrate_infoz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_svarzf2Iinfozf2zzintegrate_infoz00, BGl_proc3208z00zzintegrate_infoz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_svarzf2Iinfozf2zzintegrate_infoz00, BGl_proc3209z00zzintegrate_infoz00);} 
}



/* struct+object->object-svar/Iinfo2949 */
obj_t BGl_structzb2objectzd2ze3objectzd2svarzf2Iinfo2949za3zzintegrate_infoz00(obj_t BgL_envz00_3439, obj_t BgL_oz00_3440, obj_t BgL_sz00_3441)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ 
BgL_svarzf2iinfozf2_bglt BgL_oz00_2065;obj_t BgL_sz00_2066;
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_auxz00_4218;
BgL_oz00_2065 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_oz00_3440); 
BgL_sz00_2066 = BgL_sz00_3441; 
{ 

{ /* Integrate/iinfo.scm 21 */
obj_t BgL_old2681z00_2069;obj_t BgL_aux2682z00_2070;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_nextzd2method2948zd2_2078;
BgL_nextzd2method2948zd2_2078 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2065), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2948zd2_2078))
{ /* Integrate/iinfo.scm 21 */
BgL_old2681z00_2069 = 
PROCEDURE_ENTRY(BgL_nextzd2method2948zd2_2078)(BgL_nextzd2method2948zd2_2078, 
(obj_t)(BgL_oz00_2065), BgL_sz00_2066, BEOA); }  else 
{ /* Integrate/iinfo.scm 21 */
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4226;
BgL_auxz00_4226 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2065), BgL_sz00_2066); 
BgL_old2681z00_2069 = 
(obj_t)(BgL_auxz00_4226); } } } 
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4230;
BgL_auxz00_4230 = 
(int)(((long)0)); 
BgL_aux2682z00_2070 = 
STRUCT_REF(BgL_sz00_2066, BgL_auxz00_4230); } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_new2683z00_2071;
BgL_new2683z00_2071 = 
((BgL_svarzf2iinfozf2_bglt)(BgL_old2681z00_2069)); 
{ /* Integrate/iinfo.scm 21 */
long BgL_arg3158z00_2072;
BgL_arg3158z00_2072 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4235;
BgL_auxz00_4235 = 
(BgL_objectz00_bglt)(BgL_new2683z00_2071); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4235, BgL_arg3158z00_2072); } } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_arg3159z00_2073;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_arg3160z00_2074;obj_t BgL_arg3161z00_2075;
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4238;
BgL_auxz00_4238 = 
(int)(((long)0)); 
BgL_arg3160z00_2074 = 
STRUCT_REF(BgL_aux2682z00_2070, BgL_auxz00_4238); } 
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4241;
BgL_auxz00_4241 = 
(int)(((long)1)); 
BgL_arg3161z00_2075 = 
STRUCT_REF(BgL_aux2682z00_2070, BgL_auxz00_4241); } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_res3200z00_3189;
{ /* Integrate/iinfo.scm 21 */
bool_t BgL_kapturedzf32656zf3_3176;bool_t BgL_celledzf32657zf3_3177;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4244;
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4245;
BgL_auxz00_4245 = 
(int)(((long)2)); 
BgL_auxz00_4244 = 
STRUCT_REF(BgL_aux2682z00_2070, BgL_auxz00_4245); } 
BgL_kapturedzf32656zf3_3176 = 
CBOOL(BgL_auxz00_4244); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4249;
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4250;
BgL_auxz00_4250 = 
(int)(((long)3)); 
BgL_auxz00_4249 = 
STRUCT_REF(BgL_aux2682z00_2070, BgL_auxz00_4250); } 
BgL_celledzf32657zf3_3177 = 
CBOOL(BgL_auxz00_4249); } 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_new2658z00_3178;
BgL_new2658z00_3178 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 21 */
BgL_svarzf2iinfozf2_bglt BgL_res3199z00_3188;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3178))->BgL_fzd2markzd2) = ((obj_t)BgL_arg3160z00_2074), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3178))->BgL_uzd2markzd2) = ((obj_t)BgL_arg3161z00_2075), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3178))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32656zf3_3176), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3178))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32657zf3_3177), BUNSPEC); 
BgL_res3199z00_3188 = BgL_new2658z00_3178; BgL_res3199z00_3188; } 
BgL_res3200z00_3189 = BgL_new2658z00_3178; } } 
BgL_arg3159z00_2073 = BgL_res3200z00_3189; } } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4261;BgL_objectz00_bglt BgL_auxz00_4259;
BgL_auxz00_4261 = 
(obj_t)(BgL_arg3159z00_2073); 
BgL_auxz00_4259 = 
(BgL_objectz00_bglt)(BgL_new2683z00_2071); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4259, BgL_auxz00_4261); } } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4264;
BgL_auxz00_4264 = 
(obj_t)(BgL_new2683z00_2071); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4264); } BUNSPEC; 
BgL_auxz00_4218 = BgL_new2683z00_2071; } } } 
return 
(obj_t)(BgL_auxz00_4218);} } } 
}



/* object->struct-svar/Iinfo2947 */
obj_t BGl_objectzd2ze3structzd2svarzf2Iinfo2947z11zzintegrate_infoz00(obj_t BgL_envz00_3442, obj_t BgL_obj2678z00_3443)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 21 */
{ 
BgL_svarzf2iinfozf2_bglt BgL_obj2678z00_2049;
BgL_obj2678z00_2049 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_obj2678z00_3443); 
{ 

{ /* Integrate/iinfo.scm 21 */
obj_t BgL_res2679z00_2052;
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_nextzd2method2946zd2_2063;
BgL_nextzd2method2946zd2_2063 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2678z00_2049), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2946zd2_2063))
{ /* Integrate/iinfo.scm 21 */
BgL_res2679z00_2052 = 
PROCEDURE_ENTRY(BgL_nextzd2method2946zd2_2063)(BgL_nextzd2method2946zd2_2063, 
(obj_t)(BgL_obj2678z00_2049), BEOA); }  else 
{ /* Integrate/iinfo.scm 21 */
BgL_res2679z00_2052 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2678z00_2049)); } } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_aux2680z00_2053;
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4280;obj_t BgL_auxz00_4278;
BgL_auxz00_4280 = 
(int)(((long)4)); 
BgL_auxz00_4278 = 
CNST_TABLE_REF(((long)0)); 
BgL_aux2680z00_2053 = 
make_struct(BgL_auxz00_4278, BgL_auxz00_4280, BUNSPEC); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4285;int BgL_auxz00_4283;
{ 
obj_t BgL_auxz00_4286;
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4287;
BgL_auxz00_4287 = 
(BgL_objectz00_bglt)(BgL_obj2678z00_2049); 
BgL_auxz00_4286 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4287); } 
BgL_auxz00_4285 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4286))->BgL_fzd2markzd2); } 
BgL_auxz00_4283 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2680z00_2053, BgL_auxz00_4283, BgL_auxz00_4285); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4294;int BgL_auxz00_4292;
{ 
obj_t BgL_auxz00_4295;
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4296;
BgL_auxz00_4296 = 
(BgL_objectz00_bglt)(BgL_obj2678z00_2049); 
BgL_auxz00_4295 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4296); } 
BgL_auxz00_4294 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4295))->BgL_uzd2markzd2); } 
BgL_auxz00_4292 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux2680z00_2053, BgL_auxz00_4292, BgL_auxz00_4294); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4303;int BgL_auxz00_4301;
{ /* Integrate/iinfo.scm 21 */
bool_t BgL_auxz00_4304;
{ 
obj_t BgL_auxz00_4305;
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4306;
BgL_auxz00_4306 = 
(BgL_objectz00_bglt)(BgL_obj2678z00_2049); 
BgL_auxz00_4305 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4306); } 
BgL_auxz00_4304 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4305))->BgL_kapturedzf3zf3); } 
BgL_auxz00_4303 = 
BBOOL(BgL_auxz00_4304); } 
BgL_auxz00_4301 = 
(int)(((long)2)); 
STRUCT_SET(BgL_aux2680z00_2053, BgL_auxz00_4301, BgL_auxz00_4303); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4314;int BgL_auxz00_4312;
{ /* Integrate/iinfo.scm 21 */
bool_t BgL_auxz00_4315;
{ 
obj_t BgL_auxz00_4316;
{ /* Integrate/iinfo.scm 21 */
BgL_objectz00_bglt BgL_auxz00_4317;
BgL_auxz00_4317 = 
(BgL_objectz00_bglt)(BgL_obj2678z00_2049); 
BgL_auxz00_4316 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4317); } 
BgL_auxz00_4315 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4316))->BgL_celledzf3zf3); } 
BgL_auxz00_4314 = 
BBOOL(BgL_auxz00_4315); } 
BgL_auxz00_4312 = 
(int)(((long)3)); 
STRUCT_SET(BgL_aux2680z00_2053, BgL_auxz00_4312, BgL_auxz00_4314); } 
{ /* Integrate/iinfo.scm 21 */
int BgL_auxz00_4323;
BgL_auxz00_4323 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2679z00_2052, BgL_auxz00_4323, BgL_aux2680z00_2053); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4326;
BgL_auxz00_4326 = 
STRUCT_KEY(BgL_res2679z00_2052); 
STRUCT_KEY_SET(BgL_aux2680z00_2053, BgL_auxz00_4326); } 
{ /* Integrate/iinfo.scm 21 */
obj_t BgL_auxz00_4329;
BgL_auxz00_4329 = 
CNST_TABLE_REF(((long)0)); 
STRUCT_KEY_SET(BgL_res2679z00_2052, BgL_auxz00_4329); } 
return BgL_res2679z00_2052;} } } } } 
}



/* struct+object->object-sexit/Iinfo2945 */
obj_t BGl_structzb2objectzd2ze3objectzd2sexitzf2Iinfo2945za3zzintegrate_infoz00(obj_t BgL_envz00_3444, obj_t BgL_oz00_3445, obj_t BgL_sz00_3446)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ 
BgL_sexitzf2iinfozf2_bglt BgL_oz00_2034;obj_t BgL_sz00_2035;
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4333;
BgL_oz00_2034 = 
(BgL_sexitzf2iinfozf2_bglt)(BgL_oz00_3445); 
BgL_sz00_2035 = BgL_sz00_3446; 
{ 

{ /* Integrate/iinfo.scm 31 */
obj_t BgL_old2728z00_2038;obj_t BgL_aux2729z00_2039;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_nextzd2method2944zd2_2047;
BgL_nextzd2method2944zd2_2047 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2034), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2944zd2_2047))
{ /* Integrate/iinfo.scm 31 */
BgL_old2728z00_2038 = 
PROCEDURE_ENTRY(BgL_nextzd2method2944zd2_2047)(BgL_nextzd2method2944zd2_2047, 
(obj_t)(BgL_oz00_2034), BgL_sz00_2035, BEOA); }  else 
{ /* Integrate/iinfo.scm 31 */
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4341;
BgL_auxz00_4341 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_2034), BgL_sz00_2035); 
BgL_old2728z00_2038 = 
(obj_t)(BgL_auxz00_4341); } } } 
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4345;
BgL_auxz00_4345 = 
(int)(((long)0)); 
BgL_aux2729z00_2039 = 
STRUCT_REF(BgL_sz00_2035, BgL_auxz00_4345); } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_new2730z00_2040;
BgL_new2730z00_2040 = 
((BgL_sexitzf2iinfozf2_bglt)(BgL_old2728z00_2038)); 
{ /* Integrate/iinfo.scm 31 */
long BgL_arg3141z00_2041;
BgL_arg3141z00_2041 = 
BGl_classzd2numzd2zz__objectz00(BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4350;
BgL_auxz00_4350 = 
(BgL_objectz00_bglt)(BgL_new2730z00_2040); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4350, BgL_arg3141z00_2041); } } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_arg3142z00_2042;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_arg3143z00_2043;obj_t BgL_arg3144z00_2044;
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4353;
BgL_auxz00_4353 = 
(int)(((long)0)); 
BgL_arg3143z00_2043 = 
STRUCT_REF(BgL_aux2729z00_2039, BgL_auxz00_4353); } 
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4356;
BgL_auxz00_4356 = 
(int)(((long)1)); 
BgL_arg3144z00_2044 = 
STRUCT_REF(BgL_aux2729z00_2039, BgL_auxz00_4356); } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_res3197z00_3130;
{ /* Integrate/iinfo.scm 31 */
bool_t BgL_kapturedzf32702zf3_3117;bool_t BgL_celledzf32703zf3_3118;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4359;
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4360;
BgL_auxz00_4360 = 
(int)(((long)2)); 
BgL_auxz00_4359 = 
STRUCT_REF(BgL_aux2729z00_2039, BgL_auxz00_4360); } 
BgL_kapturedzf32702zf3_3117 = 
CBOOL(BgL_auxz00_4359); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4364;
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4365;
BgL_auxz00_4365 = 
(int)(((long)3)); 
BgL_auxz00_4364 = 
STRUCT_REF(BgL_aux2729z00_2039, BgL_auxz00_4365); } 
BgL_celledzf32703zf3_3118 = 
CBOOL(BgL_auxz00_4364); } 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_new2704z00_3119;
BgL_new2704z00_3119 = 
((BgL_sexitzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sexitzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 31 */
BgL_sexitzf2iinfozf2_bglt BgL_res3196z00_3129;
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_3119))->BgL_fzd2markzd2) = ((obj_t)BgL_arg3143z00_2043), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_3119))->BgL_uzd2markzd2) = ((obj_t)BgL_arg3144z00_2044), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_3119))->BgL_kapturedzf3zf3) = ((bool_t)BgL_kapturedzf32702zf3_3117), BUNSPEC); 
((((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_new2704z00_3119))->BgL_celledzf3zf3) = ((bool_t)BgL_celledzf32703zf3_3118), BUNSPEC); 
BgL_res3196z00_3129 = BgL_new2704z00_3119; BgL_res3196z00_3129; } 
BgL_res3197z00_3130 = BgL_new2704z00_3119; } } 
BgL_arg3142z00_2042 = BgL_res3197z00_3130; } } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4376;BgL_objectz00_bglt BgL_auxz00_4374;
BgL_auxz00_4376 = 
(obj_t)(BgL_arg3142z00_2042); 
BgL_auxz00_4374 = 
(BgL_objectz00_bglt)(BgL_new2730z00_2040); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4374, BgL_auxz00_4376); } } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4379;
BgL_auxz00_4379 = 
(obj_t)(BgL_new2730z00_2040); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4379); } BUNSPEC; 
BgL_auxz00_4333 = BgL_new2730z00_2040; } } } 
return 
(obj_t)(BgL_auxz00_4333);} } } 
}



/* object->struct-sexit/Iinfo2943 */
obj_t BGl_objectzd2ze3structzd2sexitzf2Iinfo2943z11zzintegrate_infoz00(obj_t BgL_envz00_3447, obj_t BgL_obj2725z00_3448)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 31 */
{ 
BgL_sexitzf2iinfozf2_bglt BgL_obj2725z00_2018;
BgL_obj2725z00_2018 = 
(BgL_sexitzf2iinfozf2_bglt)(BgL_obj2725z00_3448); 
{ 

{ /* Integrate/iinfo.scm 31 */
obj_t BgL_res2726z00_2021;
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_nextzd2method2942zd2_2032;
BgL_nextzd2method2942zd2_2032 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2725z00_2018), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sexitzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2942zd2_2032))
{ /* Integrate/iinfo.scm 31 */
BgL_res2726z00_2021 = 
PROCEDURE_ENTRY(BgL_nextzd2method2942zd2_2032)(BgL_nextzd2method2942zd2_2032, 
(obj_t)(BgL_obj2725z00_2018), BEOA); }  else 
{ /* Integrate/iinfo.scm 31 */
BgL_res2726z00_2021 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2725z00_2018)); } } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_aux2727z00_2022;
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4395;obj_t BgL_auxz00_4393;
BgL_auxz00_4395 = 
(int)(((long)4)); 
BgL_auxz00_4393 = 
CNST_TABLE_REF(((long)5)); 
BgL_aux2727z00_2022 = 
make_struct(BgL_auxz00_4393, BgL_auxz00_4395, BUNSPEC); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4400;int BgL_auxz00_4398;
{ 
obj_t BgL_auxz00_4401;
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4402;
BgL_auxz00_4402 = 
(BgL_objectz00_bglt)(BgL_obj2725z00_2018); 
BgL_auxz00_4401 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4402); } 
BgL_auxz00_4400 = 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4401))->BgL_fzd2markzd2); } 
BgL_auxz00_4398 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2727z00_2022, BgL_auxz00_4398, BgL_auxz00_4400); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4409;int BgL_auxz00_4407;
{ 
obj_t BgL_auxz00_4410;
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4411;
BgL_auxz00_4411 = 
(BgL_objectz00_bglt)(BgL_obj2725z00_2018); 
BgL_auxz00_4410 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4411); } 
BgL_auxz00_4409 = 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4410))->BgL_uzd2markzd2); } 
BgL_auxz00_4407 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux2727z00_2022, BgL_auxz00_4407, BgL_auxz00_4409); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4418;int BgL_auxz00_4416;
{ /* Integrate/iinfo.scm 31 */
bool_t BgL_auxz00_4419;
{ 
obj_t BgL_auxz00_4420;
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4421;
BgL_auxz00_4421 = 
(BgL_objectz00_bglt)(BgL_obj2725z00_2018); 
BgL_auxz00_4420 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4421); } 
BgL_auxz00_4419 = 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4420))->BgL_kapturedzf3zf3); } 
BgL_auxz00_4418 = 
BBOOL(BgL_auxz00_4419); } 
BgL_auxz00_4416 = 
(int)(((long)2)); 
STRUCT_SET(BgL_aux2727z00_2022, BgL_auxz00_4416, BgL_auxz00_4418); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4429;int BgL_auxz00_4427;
{ /* Integrate/iinfo.scm 31 */
bool_t BgL_auxz00_4430;
{ 
obj_t BgL_auxz00_4431;
{ /* Integrate/iinfo.scm 31 */
BgL_objectz00_bglt BgL_auxz00_4432;
BgL_auxz00_4432 = 
(BgL_objectz00_bglt)(BgL_obj2725z00_2018); 
BgL_auxz00_4431 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4432); } 
BgL_auxz00_4430 = 
(((BgL_sexitzf2iinfozf2_bglt)CREF(BgL_auxz00_4431))->BgL_celledzf3zf3); } 
BgL_auxz00_4429 = 
BBOOL(BgL_auxz00_4430); } 
BgL_auxz00_4427 = 
(int)(((long)3)); 
STRUCT_SET(BgL_aux2727z00_2022, BgL_auxz00_4427, BgL_auxz00_4429); } 
{ /* Integrate/iinfo.scm 31 */
int BgL_auxz00_4438;
BgL_auxz00_4438 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2726z00_2021, BgL_auxz00_4438, BgL_aux2727z00_2022); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4441;
BgL_auxz00_4441 = 
STRUCT_KEY(BgL_res2726z00_2021); 
STRUCT_KEY_SET(BgL_aux2727z00_2022, BgL_auxz00_4441); } 
{ /* Integrate/iinfo.scm 31 */
obj_t BgL_auxz00_4444;
BgL_auxz00_4444 = 
CNST_TABLE_REF(((long)5)); 
STRUCT_KEY_SET(BgL_res2726z00_2021, BgL_auxz00_4444); } 
return BgL_res2726z00_2021;} } } } } 
}



/* struct+object->object-sfun/Iinfo2941 */
obj_t BGl_structzb2objectzd2ze3objectzd2sfunzf2Iinfo2941za3zzintegrate_infoz00(obj_t BgL_envz00_3449, obj_t BgL_oz00_3450, obj_t BgL_sz00_3451)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
BgL_sfunzf2iinfozf2_bglt BgL_oz00_1990;obj_t BgL_sz00_1991;
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4448;
BgL_oz00_1990 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_oz00_3450); 
BgL_sz00_1991 = BgL_sz00_3451; 
{ 

{ /* Integrate/iinfo.scm 41 */
obj_t BgL_old2842z00_1994;obj_t BgL_aux2843z00_1995;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_nextzd2method2940zd2_2016;
BgL_nextzd2method2940zd2_2016 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1990), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_sfunzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2940zd2_2016))
{ /* Integrate/iinfo.scm 41 */
BgL_old2842z00_1994 = 
PROCEDURE_ENTRY(BgL_nextzd2method2940zd2_2016)(BgL_nextzd2method2940zd2_2016, 
(obj_t)(BgL_oz00_1990), BgL_sz00_1991, BEOA); }  else 
{ /* Integrate/iinfo.scm 41 */
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4456;
BgL_auxz00_4456 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1990), BgL_sz00_1991); 
BgL_old2842z00_1994 = 
(obj_t)(BgL_auxz00_4456); } } } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)0)); 
BgL_aux2843z00_1995 = 
STRUCT_REF(BgL_sz00_1991, BgL_auxz00_4460); } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_new2844z00_1996;
BgL_new2844z00_1996 = 
((BgL_sfunzf2iinfozf2_bglt)(BgL_old2842z00_1994)); 
{ /* Integrate/iinfo.scm 41 */
long BgL_arg3111z00_1997;
BgL_arg3111z00_1997 = 
BGl_classzd2numzd2zz__objectz00(BGl_sfunzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4465;
BgL_auxz00_4465 = 
(BgL_objectz00_bglt)(BgL_new2844z00_1996); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4465, BgL_arg3111z00_1997); } } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_arg3112z00_1998;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_arg3113z00_1999;obj_t BgL_arg3114z00_2000;obj_t BgL_arg3115z00_2001;obj_t BgL_arg3116z00_2002;obj_t BgL_arg3117z00_2003;obj_t BgL_arg3118z00_2004;obj_t BgL_arg3119z00_2005;obj_t BgL_arg3120z00_2006;obj_t BgL_arg3121z00_2007;obj_t BgL_arg3122z00_2008;obj_t BgL_arg3123z00_2009;obj_t BgL_arg3125z00_2011;obj_t BgL_arg3126z00_2012;obj_t BgL_arg3127z00_2013;obj_t BgL_arg3128z00_2014;obj_t BgL_arg3129z00_2015;
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4468;
BgL_auxz00_4468 = 
(int)(((long)0)); 
BgL_arg3113z00_1999 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4468); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4471;
BgL_auxz00_4471 = 
(int)(((long)1)); 
BgL_arg3114z00_2000 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4471); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4474;
BgL_auxz00_4474 = 
(int)(((long)2)); 
BgL_arg3115z00_2001 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4474); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)3)); 
BgL_arg3116z00_2002 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4477); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4480;
BgL_auxz00_4480 = 
(int)(((long)4)); 
BgL_arg3117z00_2003 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4480); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4483;
BgL_auxz00_4483 = 
(int)(((long)5)); 
BgL_arg3118z00_2004 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4483); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4486;
BgL_auxz00_4486 = 
(int)(((long)6)); 
BgL_arg3119z00_2005 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4486); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4489;
BgL_auxz00_4489 = 
(int)(((long)7)); 
BgL_arg3120z00_2006 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4489); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4492;
BgL_auxz00_4492 = 
(int)(((long)8)); 
BgL_arg3121z00_2007 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4492); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4495;
BgL_auxz00_4495 = 
(int)(((long)9)); 
BgL_arg3122z00_2008 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4495); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4498;
BgL_auxz00_4498 = 
(int)(((long)10)); 
BgL_arg3123z00_2009 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4498); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4501;
BgL_auxz00_4501 = 
(int)(((long)12)); 
BgL_arg3125z00_2011 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4501); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4504;
BgL_auxz00_4504 = 
(int)(((long)13)); 
BgL_arg3126z00_2012 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4504); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(((long)14)); 
BgL_arg3127z00_2013 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4507); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4510;
BgL_auxz00_4510 = 
(int)(((long)15)); 
BgL_arg3128z00_2014 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4510); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4513;
BgL_auxz00_4513 = 
(int)(((long)16)); 
BgL_arg3129z00_2015 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4513); } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_res3194z00_3071;
{ /* Integrate/iinfo.scm 41 */
bool_t BgL_gzf32763zf3_3028;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4516;
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4517;
BgL_auxz00_4517 = 
(int)(((long)11)); 
BgL_auxz00_4516 = 
STRUCT_REF(BgL_aux2843z00_1995, BgL_auxz00_4517); } 
BgL_gzf32763zf3_3028 = 
CBOOL(BgL_auxz00_4516); } 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_new2769z00_3034;
BgL_new2769z00_3034 = 
((BgL_sfunzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_sfunzf2iinfozf2_bgl)))); 
{ /* Integrate/iinfo.scm 41 */
BgL_sfunzf2iinfozf2_bglt BgL_res3193z00_3070;
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_ownerz00) = ((obj_t)BgL_arg3113z00_1999), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_freez00) = ((obj_t)BgL_arg3114z00_2000), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_boundz00) = ((obj_t)BgL_arg3115z00_2001), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_cfromz00) = ((obj_t)BgL_arg3116z00_2002), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_ctoz00) = ((obj_t)BgL_arg3117z00_2003), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_kz00) = ((obj_t)BgL_arg3118z00_2004), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_kza2za2) = ((obj_t)BgL_arg3119z00_2005), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_uz00) = ((obj_t)BgL_arg3120z00_2006), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_cnz00) = ((obj_t)BgL_arg3121z00_2007), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_ctz00) = ((obj_t)BgL_arg3122z00_2008), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_kontz00) = ((obj_t)BgL_arg3123z00_2009), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_gzf3zf3) = ((bool_t)BgL_gzf32763zf3_3028), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_lz00) = ((obj_t)BgL_arg3125z00_2011), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_ledz00) = ((obj_t)BgL_arg3126z00_2012), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_istampz00) = ((obj_t)BgL_arg3127z00_2013), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_globalz00) = ((obj_t)BgL_arg3128z00_2014), BUNSPEC); 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_new2769z00_3034))->BgL_kapturedz00) = ((obj_t)BgL_arg3129z00_2015), BUNSPEC); 
BgL_res3193z00_3070 = BgL_new2769z00_3034; BgL_res3193z00_3070; } 
BgL_res3194z00_3071 = BgL_new2769z00_3034; } } 
BgL_arg3112z00_1998 = BgL_res3194z00_3071; } } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4541;BgL_objectz00_bglt BgL_auxz00_4539;
BgL_auxz00_4541 = 
(obj_t)(BgL_arg3112z00_1998); 
BgL_auxz00_4539 = 
(BgL_objectz00_bglt)(BgL_new2844z00_1996); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4539, BgL_auxz00_4541); } } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4544;
BgL_auxz00_4544 = 
(obj_t)(BgL_new2844z00_1996); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4544); } BUNSPEC; 
BgL_auxz00_4448 = BgL_new2844z00_1996; } } } 
return 
(obj_t)(BgL_auxz00_4448);} } } 
}



/* object->struct-sfun/Iinfo2939 */
obj_t BGl_objectzd2ze3structzd2sfunzf2Iinfo2939z11zzintegrate_infoz00(obj_t BgL_envz00_3452, obj_t BgL_obj2839z00_3453)
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 41 */
{ 
BgL_sfunzf2iinfozf2_bglt BgL_obj2839z00_1948;
BgL_obj2839z00_1948 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_obj2839z00_3453); 
{ 

{ /* Integrate/iinfo.scm 41 */
obj_t BgL_res2840z00_1951;
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_nextzd2method2938zd2_1988;
BgL_nextzd2method2938zd2_1988 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2839z00_1948), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_sfunzf2Iinfozf2zzintegrate_infoz00); 
if(
PROCEDUREP(BgL_nextzd2method2938zd2_1988))
{ /* Integrate/iinfo.scm 41 */
BgL_res2840z00_1951 = 
PROCEDURE_ENTRY(BgL_nextzd2method2938zd2_1988)(BgL_nextzd2method2938zd2_1988, 
(obj_t)(BgL_obj2839z00_1948), BEOA); }  else 
{ /* Integrate/iinfo.scm 41 */
BgL_res2840z00_1951 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj2839z00_1948)); } } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_aux2841z00_1952;
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4560;obj_t BgL_auxz00_4558;
BgL_auxz00_4560 = 
(int)(((long)17)); 
BgL_auxz00_4558 = 
CNST_TABLE_REF(((long)6)); 
BgL_aux2841z00_1952 = 
make_struct(BgL_auxz00_4558, BgL_auxz00_4560, BUNSPEC); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4565;int BgL_auxz00_4563;
{ 
obj_t BgL_auxz00_4566;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4567;
BgL_auxz00_4567 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4566 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4567); } 
BgL_auxz00_4565 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4566))->BgL_ownerz00); } 
BgL_auxz00_4563 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4563, BgL_auxz00_4565); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4574;int BgL_auxz00_4572;
{ 
obj_t BgL_auxz00_4575;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4576;
BgL_auxz00_4576 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4575 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4576); } 
BgL_auxz00_4574 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4575))->BgL_freez00); } 
BgL_auxz00_4572 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4572, BgL_auxz00_4574); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4583;int BgL_auxz00_4581;
{ 
obj_t BgL_auxz00_4584;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4585;
BgL_auxz00_4585 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4584 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4585); } 
BgL_auxz00_4583 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4584))->BgL_boundz00); } 
BgL_auxz00_4581 = 
(int)(((long)2)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4581, BgL_auxz00_4583); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4592;int BgL_auxz00_4590;
{ 
obj_t BgL_auxz00_4593;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4594;
BgL_auxz00_4594 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4593 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4594); } 
BgL_auxz00_4592 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4593))->BgL_cfromz00); } 
BgL_auxz00_4590 = 
(int)(((long)3)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4590, BgL_auxz00_4592); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4601;int BgL_auxz00_4599;
{ 
obj_t BgL_auxz00_4602;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4603;
BgL_auxz00_4603 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4602 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4603); } 
BgL_auxz00_4601 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4602))->BgL_ctoz00); } 
BgL_auxz00_4599 = 
(int)(((long)4)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4599, BgL_auxz00_4601); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4610;int BgL_auxz00_4608;
{ 
obj_t BgL_auxz00_4611;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4612;
BgL_auxz00_4612 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4611 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4612); } 
BgL_auxz00_4610 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4611))->BgL_kz00); } 
BgL_auxz00_4608 = 
(int)(((long)5)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4608, BgL_auxz00_4610); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4619;int BgL_auxz00_4617;
{ 
obj_t BgL_auxz00_4620;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4621;
BgL_auxz00_4621 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4620 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4621); } 
BgL_auxz00_4619 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4620))->BgL_kza2za2); } 
BgL_auxz00_4617 = 
(int)(((long)6)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4617, BgL_auxz00_4619); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4628;int BgL_auxz00_4626;
{ 
obj_t BgL_auxz00_4629;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4630;
BgL_auxz00_4630 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4629 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4630); } 
BgL_auxz00_4628 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4629))->BgL_uz00); } 
BgL_auxz00_4626 = 
(int)(((long)7)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4626, BgL_auxz00_4628); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4637;int BgL_auxz00_4635;
{ 
obj_t BgL_auxz00_4638;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4639;
BgL_auxz00_4639 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4638 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4639); } 
BgL_auxz00_4637 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4638))->BgL_cnz00); } 
BgL_auxz00_4635 = 
(int)(((long)8)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4635, BgL_auxz00_4637); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4646;int BgL_auxz00_4644;
{ 
obj_t BgL_auxz00_4647;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4648;
BgL_auxz00_4648 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4647 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4648); } 
BgL_auxz00_4646 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4647))->BgL_ctz00); } 
BgL_auxz00_4644 = 
(int)(((long)9)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4644, BgL_auxz00_4646); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4655;int BgL_auxz00_4653;
{ 
obj_t BgL_auxz00_4656;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4657;
BgL_auxz00_4657 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4656 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4657); } 
BgL_auxz00_4655 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4656))->BgL_kontz00); } 
BgL_auxz00_4653 = 
(int)(((long)10)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4653, BgL_auxz00_4655); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4664;int BgL_auxz00_4662;
{ /* Integrate/iinfo.scm 41 */
bool_t BgL_auxz00_4665;
{ 
obj_t BgL_auxz00_4666;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4667;
BgL_auxz00_4667 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4666 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4667); } 
BgL_auxz00_4665 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4666))->BgL_gzf3zf3); } 
BgL_auxz00_4664 = 
BBOOL(BgL_auxz00_4665); } 
BgL_auxz00_4662 = 
(int)(((long)11)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4662, BgL_auxz00_4664); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4675;int BgL_auxz00_4673;
{ 
obj_t BgL_auxz00_4676;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4677;
BgL_auxz00_4677 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4676 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4677); } 
BgL_auxz00_4675 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4676))->BgL_lz00); } 
BgL_auxz00_4673 = 
(int)(((long)12)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4673, BgL_auxz00_4675); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4684;int BgL_auxz00_4682;
{ 
obj_t BgL_auxz00_4685;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4686;
BgL_auxz00_4686 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4685 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4686); } 
BgL_auxz00_4684 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4685))->BgL_ledz00); } 
BgL_auxz00_4682 = 
(int)(((long)13)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4682, BgL_auxz00_4684); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4693;int BgL_auxz00_4691;
{ 
obj_t BgL_auxz00_4694;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4695;
BgL_auxz00_4695 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4694 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4695); } 
BgL_auxz00_4693 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4694))->BgL_istampz00); } 
BgL_auxz00_4691 = 
(int)(((long)14)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4691, BgL_auxz00_4693); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4702;int BgL_auxz00_4700;
{ 
obj_t BgL_auxz00_4703;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4704;
BgL_auxz00_4704 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4703 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4704); } 
BgL_auxz00_4702 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4703))->BgL_globalz00); } 
BgL_auxz00_4700 = 
(int)(((long)15)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4700, BgL_auxz00_4702); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4711;int BgL_auxz00_4709;
{ 
obj_t BgL_auxz00_4712;
{ /* Integrate/iinfo.scm 41 */
BgL_objectz00_bglt BgL_auxz00_4713;
BgL_auxz00_4713 = 
(BgL_objectz00_bglt)(BgL_obj2839z00_1948); 
BgL_auxz00_4712 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4713); } 
BgL_auxz00_4711 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4712))->BgL_kapturedz00); } 
BgL_auxz00_4709 = 
(int)(((long)16)); 
STRUCT_SET(BgL_aux2841z00_1952, BgL_auxz00_4709, BgL_auxz00_4711); } 
{ /* Integrate/iinfo.scm 41 */
int BgL_auxz00_4718;
BgL_auxz00_4718 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res2840z00_1951, BgL_auxz00_4718, BgL_aux2841z00_1952); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4721;
BgL_auxz00_4721 = 
STRUCT_KEY(BgL_res2840z00_1951); 
STRUCT_KEY_SET(BgL_aux2841z00_1952, BgL_auxz00_4721); } 
{ /* Integrate/iinfo.scm 41 */
obj_t BgL_auxz00_4724;
BgL_auxz00_4724 = 
CNST_TABLE_REF(((long)6)); 
STRUCT_KEY_SET(BgL_res2840z00_1951, BgL_auxz00_4724); } 
return BgL_res2840z00_1951;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00()
{ AN_OBJECT;
{ /* Integrate/iinfo.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_info"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_info"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_info");} 
}

