/*===========================================================================*/
/*   (Integrate/let-fun.scm)                                                 */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2sequence2960z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2extern2968z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2boxzd2setz122990zd2zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2setzd2exzd2it2984z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2jumpzd2exzd2it2986z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl__displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl__displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2cast2970z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2funcall2966z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2closure2958z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2var2956z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2kwote2954z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2select2978z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2setq2972z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2atom2952z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2makezd2box2988zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2letzd2fun2980zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2conditional2974z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2letzd2var2982zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2boxzd2ref2992zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static long BGl_za2stampza2z00zzintegrate_letzd2funzd2;
static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2app2962z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 = BUNSPEC;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2fail2976z12zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t BGl__displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_displacezd2letzd2funzd2nodez12zd2appzd2ly2964zc0zzintegrate_letzd2funzd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string3246z00zzintegrate_letzd2funzd2, BgL_bgl_string3246za700za7za7integrate_letza7d2funza7d23251za7, "displace-let-fun-node!-default2949 ", 35 );
DEFINE_STRING( BGl_string3245z00zzintegrate_letzd2funzd2, BgL_bgl_string3245za700za7za7integrate_letza7d2funza7d23252za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string3244z00zzintegrate_letzd2funzd2, BgL_bgl_string3244za700za7za7integrate_letza7d2funza7d23253za7, "Unexpected closure", 18 );
DEFINE_STRING( BGl_string3243z00zzintegrate_letzd2funzd2, BgL_bgl_string3243za700za7za7integrate_letza7d2funza7d23254za7, "displace-let-fun-node", 21 );
DEFINE_STATIC_PROCEDURE( BGl_proc3222z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2atom2952za712za7za7integrate_letza7d2funza7d23255z00, BGl_displacezd2letzd2funzd2nodez12zd2atom2952z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3223z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2kwote2954za712za7za7integrate_letza7d2funza7d23256z00, BGl_displacezd2letzd2funzd2nodez12zd2kwote2954z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3224z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2var2956za712za7za7integrate_letza7d2funza7d23257z00, BGl_displacezd2letzd2funzd2nodez12zd2var2956z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3225z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2closure2958za712za7za7integrate_letza7d2funza7d23258z00, BGl_displacezd2letzd2funzd2nodez12zd2closure2958z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3226z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2sequence2960za712za7za7integrate_letza7d2funza7d23259z00, BGl_displacezd2letzd2funzd2nodez12zd2sequence2960z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3227z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2app2962za712za7za7integrate_letza7d2funza7d23260z00, BGl_displacezd2letzd2funzd2nodez12zd2app2962z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3228z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2appza7d2ly2964za7c0za7za7integrate_letza7d2funza7d23261za7, BGl_displacezd2letzd2funzd2nodez12zd2appzd2ly2964zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3230z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2extern2968za712za7za7integrate_letza7d2funza7d23262z00, BGl_displacezd2letzd2funzd2nodez12zd2extern2968z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3229z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2funcall2966za712za7za7integrate_letza7d2funza7d23263z00, BGl_displacezd2letzd2funzd2nodez12zd2funcall2966z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3231z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2cast2970za712za7za7integrate_letza7d2funza7d23264z00, BGl_displacezd2letzd2funzd2nodez12zd2cast2970z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3232z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2setq2972za712za7za7integrate_letza7d2funza7d23265z00, BGl_displacezd2letzd2funzd2nodez12zd2setq2972z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3233z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2conditional2974za712za7za7integrate_letza7d2funza7d23266z00, BGl_displacezd2letzd2funzd2nodez12zd2conditional2974z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3234z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2fail2976za712za7za7integrate_letza7d2funza7d23267z00, BGl_displacezd2letzd2funzd2nodez12zd2fail2976z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3235z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2select2978za712za7za7integrate_letza7d2funza7d23268z00, BGl_displacezd2letzd2funzd2nodez12zd2select2978z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3236z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2letza7d2fun2980za7c0za7za7integrate_letza7d2funza7d23269za7, BGl_displacezd2letzd2funzd2nodez12zd2letzd2fun2980zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3237z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2letza7d2var2982za7c0za7za7integrate_letza7d2funza7d23270za7, BGl_displacezd2letzd2funzd2nodez12zd2letzd2var2982zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3238z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2setza7d2exza7d2it2984za712za7za7integrate_letza7d2funza7d23271z00, BGl_displacezd2letzd2funzd2nodez12zd2setzd2exzd2it2984z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3240z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2makeza7d2box2988za7c0za7za7integrate_letza7d2funza7d23272za7, BGl_displacezd2letzd2funzd2nodez12zd2makezd2box2988zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3239z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2jumpza7d2exza7d2it2986za712za7za7integrate_letza7d2funza7d23273z00, BGl_displacezd2letzd2funzd2nodez12zd2jumpzd2exzd2it2986z12zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3241z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2boxza7d2setza7122990za7d2za7za7integrate_letza7d2funza7d23274z00, BGl_displacezd2letzd2funzd2nodez12zd2boxzd2setz122990zd2zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3242z00zzintegrate_letzd2funzd2, BgL_bgl_displaceza7d2letza7d2funza7d2nodeza712za7d2boxza7d2ref2992za7c0za7za7integrate_letza7d2funza7d23275za7, BGl_displacezd2letzd2funzd2nodez12zd2boxzd2ref2992zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_STATIC_GENERIC( BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_bgl__displaceza7d2letza7d2funza7d2nodeza712za7c0za7za7integrate_letza7d2funza7d23276za7, BGl__displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2, BgL_bgl__displaceza7d2letza7d2funza712za712za7za7integrate_letza7d2funza7d23277z00, BGl__displacezd2letzd2funz12z12zzintegrate_letzd2funzd2, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_displacezd2letzd2funzd2nodez12zd2default2949zd2envzc0zzintegrate_letzd2funzd2, BgL_bgl__displaceza7d2letza7d2funza7d2nodeza712za7d2default2949za712za7za7integrate_letza7d2funza7d23278z00, BGl__displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long BgL_checksumz00_3792, char * BgL_fromz00_3793)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2(); 
BGl_cnstzd2initzd2zzintegrate_letzd2funzd2(); 
BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2(); 
BGl_methodzd2initzd2zzintegrate_letzd2funzd2(); 
BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2()
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_let-fun"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2()
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
{ /* Integrate/let-fun.scm 16 */
obj_t BgL_cportz00_3785;
BgL_cportz00_3785 = 
open_input_string(BGl_string3246z00zzintegrate_letzd2funzd2); 
{ 
long BgL_iz00_3786;
BgL_iz00_3786 = ((long)0); 
BgL_loopz00_3787:
if(
(BgL_iz00_3786==((long)-1)))
{ /* Integrate/let-fun.scm 16 */
return BUNSPEC;}  else 
{ /* Integrate/let-fun.scm 16 */
{ /* Integrate/let-fun.scm 16 */
obj_t BgL_arg3248z00_3789;
{ /* Integrate/let-fun.scm 16 */
obj_t BgL_list3249z00_3790;
BgL_list3249z00_3790 = 
MAKE_PAIR(BgL_cportz00_3785, BNIL); 
BgL_arg3248z00_3789 = 
BGl_readz00zz__readerz00(BgL_list3249z00_3790); } 
{ /* Integrate/let-fun.scm 16 */
int BgL_auxz00_3809;
BgL_auxz00_3809 = 
(int)(BgL_iz00_3786); 
CNST_TABLE_SET(BgL_auxz00_3809, BgL_arg3248z00_3789); } } 
{ 
long BgL_iz00_3812;
{ /* Integrate/let-fun.scm 16 */
int BgL_auxz00_3813;
{ /* Integrate/let-fun.scm 16 */
long BgL_auxz00_3814;
BgL_auxz00_3814 = 
(BgL_iz00_3786-((long)1)); 
BgL_auxz00_3813 = 
(int)(BgL_auxz00_3814); } 
BgL_iz00_3812 = 
(long)(BgL_auxz00_3813); } 
BgL_iz00_3786 = BgL_iz00_3812; 
goto BgL_loopz00_3787;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2()
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
BGl_za2stampza2z00zzintegrate_letzd2funzd2 = ((long)0); 
return BUNSPEC;} 
}



/* bind-fun! */
obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_1)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 35 */
{ /* Integrate/let-fun.scm 37 */
bool_t BgL_test2993z00_1483;
BgL_test2993z00_1483 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_1, BGl_localz00zzast_varz00); 
if(BgL_test2993z00_1483)
{ /* Integrate/let-fun.scm 38 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2872z00_2171;obj_t BgL_val2871z00_2172;
{ /* Integrate/let-fun.scm 38 */
BgL_valuez00_bglt BgL_auxz00_3820;
{ /* Integrate/let-fun.scm 38 */
BgL_localz00_bglt BgL_obj1255z00_2170;
BgL_obj1255z00_2170 = 
(BgL_localz00_bglt)(BgL_varz00_1); 
BgL_auxz00_3820 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2170))->BgL_valuez00); } 
BgL_obj2872z00_2171 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_3820); } 
BgL_val2871z00_2172 = 
BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2); 
{ 
obj_t BgL_auxz00_3825;
{ /* Integrate/let-fun.scm 38 */
BgL_objectz00_bglt BgL_auxz00_3826;
BgL_auxz00_3826 = 
(BgL_objectz00_bglt)(BgL_obj2872z00_2171); 
BgL_auxz00_3825 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3826); } 
return 
((((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3825))->BgL_istampz00) = ((obj_t)BgL_val2871z00_2172), BUNSPEC);} }  else 
{ /* Integrate/let-fun.scm 37 */
return BFALSE;} } } 
}



/* free-fun? */
bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_2)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 43 */
{ /* Integrate/let-fun.scm 45 */
bool_t BgL_test2995z00_1485;
{ /* Integrate/let-fun.scm 45 */
obj_t BgL_auxz00_3840;obj_t BgL_auxz00_3830;
BgL_auxz00_3840 = 
BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2); 
{ /* Integrate/let-fun.scm 45 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2870z00_2174;
{ /* Integrate/let-fun.scm 45 */
BgL_valuez00_bglt BgL_auxz00_3831;
{ /* Integrate/let-fun.scm 45 */
BgL_localz00_bglt BgL_obj1255z00_2173;
BgL_obj1255z00_2173 = 
(BgL_localz00_bglt)(BgL_localz00_2); 
BgL_auxz00_3831 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2173))->BgL_valuez00); } 
BgL_obj2870z00_2174 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_3831); } 
{ 
obj_t BgL_auxz00_3835;
{ /* Integrate/let-fun.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3836;
BgL_auxz00_3836 = 
(BgL_objectz00_bglt)(BgL_obj2870z00_2174); 
BgL_auxz00_3835 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3836); } 
BgL_auxz00_3830 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3835))->BgL_istampz00); } } 
BgL_test2995z00_1485 = 
(BgL_auxz00_3830==BgL_auxz00_3840); } 
if(BgL_test2995z00_1485)
{ /* Integrate/let-fun.scm 45 */
return ((bool_t)0);}  else 
{ /* Integrate/let-fun.scm 45 */
return ((bool_t)1);} } } 
}



/* displace-let-fun! */
obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 50 */
{ /* Integrate/let-fun.scm 56 */
long BgL_za72za7_2176;
BgL_za72za7_2176 = BGl_za2stampza2z00zzintegrate_letzd2funzd2; 
BGl_za2stampza2z00zzintegrate_letzd2funzd2 = 
(((long)1)+BgL_za72za7_2176); } 
{ /* Integrate/let-fun.scm 57 */
BgL_nodez00_bglt BgL_nodez00_2179;BgL_variablez00_bglt BgL_variablez00_2180;
{ /* Integrate/let-fun.scm 57 */
obj_t BgL_auxz00_3845;
{ /* Integrate/let-fun.scm 57 */
BgL_sfunz00_bglt BgL_obj1372z00_2178;
{ /* Integrate/let-fun.scm 57 */
BgL_valuez00_bglt BgL_auxz00_3846;
{ /* Integrate/let-fun.scm 57 */
BgL_variablez00_bglt BgL_obj1103z00_2177;
BgL_obj1103z00_2177 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_auxz00_3846 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2177))->BgL_valuez00); } 
BgL_obj1372z00_2178 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3846); } 
BgL_auxz00_3845 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2178))->BgL_bodyz00); } 
BgL_nodez00_2179 = 
(BgL_nodez00_bglt)(BgL_auxz00_3845); } 
BgL_variablez00_2180 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
{ /* Integrate/let-fun.scm 57 */
obj_t BgL_method2950z00_2181;
{ /* Integrate/let-fun.scm 57 */
long BgL_objzd2classzd2numz00_2183;
{ /* Integrate/let-fun.scm 57 */
BgL_objectz00_bglt BgL_auxz00_3853;
BgL_auxz00_3853 = 
(BgL_objectz00_bglt)(BgL_nodez00_2179); 
BgL_objzd2classzd2numz00_2183 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3853); } 
{ /* Integrate/let-fun.scm 57 */
obj_t BgL_arg1221z00_2184;
{ /* Integrate/let-fun.scm 57 */
int BgL_auxz00_3856;
BgL_auxz00_3856 = 
(int)(((long)1)); 
BgL_arg1221z00_2184 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_3856); } 
{ /* Integrate/let-fun.scm 57 */
long BgL_offsetz00_2188;
{ /* Integrate/let-fun.scm 57 */
long BgL_auxz00_3859;
{ /* Integrate/let-fun.scm 57 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(BgL_objzd2classzd2numz00_2183); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_offsetz00_2188 = 
(BgL_auxz00_3859-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 57 */
long BgL_modz00_2189;
{ /* Integrate/let-fun.scm 57 */
long BgL_auxz00_3864;
{ /* Integrate/let-fun.scm 57 */
int BgL_auxz00_3865;
BgL_auxz00_3865 = 
(int)(((long)8)); 
BgL_auxz00_3864 = 
(long)(BgL_auxz00_3865); } 
BgL_modz00_2189 = 
(BgL_offsetz00_2188/BgL_auxz00_3864); } 
{ /* Integrate/let-fun.scm 57 */
long BgL_restz00_2191;
{ /* Integrate/let-fun.scm 57 */
long BgL_auxz00_3869;
{ /* Integrate/let-fun.scm 57 */
int BgL_auxz00_3870;
BgL_auxz00_3870 = 
(int)(((long)8)); 
BgL_auxz00_3869 = 
(long)(BgL_auxz00_3870); } 
BgL_restz00_2191 = 
(BgL_offsetz00_2188%BgL_auxz00_3869); } 
{ /* Integrate/let-fun.scm 57 */

{ /* Integrate/let-fun.scm 57 */
obj_t BgL_bucketz00_2193;
{ /* Integrate/let-fun.scm 57 */
int BgL_kz00_2203;
BgL_kz00_2203 = 
(int)(BgL_modz00_2189); 
BgL_bucketz00_2193 = 
VECTOR_REF(BgL_arg1221z00_2184,BgL_kz00_2203); } 
{ /* Integrate/let-fun.scm 57 */
int BgL_kz00_2205;
BgL_kz00_2205 = 
(int)(BgL_restz00_2191); 
BgL_method2950z00_2181 = 
VECTOR_REF(BgL_bucketz00_2193,BgL_kz00_2205); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_2181)(BgL_method2950z00_2181, 
(obj_t)(BgL_nodez00_2179), 
(obj_t)(BgL_variablez00_2180), BEOA); } } 
{ /* Integrate/let-fun.scm 66 */
obj_t BgL_ledz00_1490;
{ /* Integrate/let-fun.scm 66 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2867z00_2207;
{ /* Integrate/let-fun.scm 66 */
BgL_valuez00_bglt BgL_auxz00_3882;
{ /* Integrate/let-fun.scm 66 */
BgL_variablez00_bglt BgL_obj1103z00_2206;
BgL_obj1103z00_2206 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_auxz00_3882 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2206))->BgL_valuez00); } 
BgL_obj2867z00_2207 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_3882); } 
{ 
obj_t BgL_auxz00_3886;
{ /* Integrate/let-fun.scm 66 */
BgL_objectz00_bglt BgL_auxz00_3887;
BgL_auxz00_3887 = 
(BgL_objectz00_bglt)(BgL_obj2867z00_2207); 
BgL_auxz00_3886 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3887); } 
BgL_ledz00_1490 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_3886))->BgL_ledz00); } } 
{ 
obj_t BgL_l2914z00_1491;
BgL_l2914z00_1491 = BgL_ledz00_1490; 
BgL_lname2915z00_1492:
if(
PAIRP(BgL_l2914z00_1491))
{ /* Integrate/let-fun.scm 67 */
{ /* Integrate/let-fun.scm 68 */
obj_t BgL_lz00_1494;
BgL_lz00_1494 = 
CAR(BgL_l2914z00_1491); 
if(
BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1494))
{ /* Integrate/let-fun.scm 78 */
BgL_nodez00_bglt BgL_nodez00_2212;BgL_variablez00_bglt BgL_variablez00_2213;
{ /* Integrate/let-fun.scm 78 */
obj_t BgL_auxz00_3896;
{ /* Integrate/let-fun.scm 78 */
BgL_sfunz00_bglt BgL_obj1372z00_2211;
{ /* Integrate/let-fun.scm 78 */
BgL_valuez00_bglt BgL_auxz00_3897;
{ /* Integrate/let-fun.scm 78 */
BgL_variablez00_bglt BgL_obj1103z00_2210;
BgL_obj1103z00_2210 = 
(BgL_variablez00_bglt)(BgL_lz00_1494); 
BgL_auxz00_3897 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2210))->BgL_valuez00); } 
BgL_obj1372z00_2211 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3897); } 
BgL_auxz00_3896 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2211))->BgL_bodyz00); } 
BgL_nodez00_2212 = 
(BgL_nodez00_bglt)(BgL_auxz00_3896); } 
BgL_variablez00_2213 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
{ /* Integrate/let-fun.scm 78 */
obj_t BgL_method2950z00_2214;
{ /* Integrate/let-fun.scm 78 */
long BgL_objzd2classzd2numz00_2216;
{ /* Integrate/let-fun.scm 78 */
BgL_objectz00_bglt BgL_auxz00_3904;
BgL_auxz00_3904 = 
(BgL_objectz00_bglt)(BgL_nodez00_2212); 
BgL_objzd2classzd2numz00_2216 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3904); } 
{ /* Integrate/let-fun.scm 78 */
obj_t BgL_arg1221z00_2217;
{ /* Integrate/let-fun.scm 78 */
int BgL_auxz00_3907;
BgL_auxz00_3907 = 
(int)(((long)1)); 
BgL_arg1221z00_2217 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_3907); } 
{ /* Integrate/let-fun.scm 78 */
long BgL_offsetz00_2221;
{ /* Integrate/let-fun.scm 78 */
long BgL_auxz00_3910;
{ /* Integrate/let-fun.scm 78 */
int BgL_auxz00_3911;
BgL_auxz00_3911 = 
(int)(BgL_objzd2classzd2numz00_2216); 
BgL_auxz00_3910 = 
(long)(BgL_auxz00_3911); } 
BgL_offsetz00_2221 = 
(BgL_auxz00_3910-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 78 */
long BgL_modz00_2222;
{ /* Integrate/let-fun.scm 78 */
long BgL_auxz00_3915;
{ /* Integrate/let-fun.scm 78 */
int BgL_auxz00_3916;
BgL_auxz00_3916 = 
(int)(((long)8)); 
BgL_auxz00_3915 = 
(long)(BgL_auxz00_3916); } 
BgL_modz00_2222 = 
(BgL_offsetz00_2221/BgL_auxz00_3915); } 
{ /* Integrate/let-fun.scm 78 */
long BgL_restz00_2224;
{ /* Integrate/let-fun.scm 78 */
long BgL_auxz00_3920;
{ /* Integrate/let-fun.scm 78 */
int BgL_auxz00_3921;
BgL_auxz00_3921 = 
(int)(((long)8)); 
BgL_auxz00_3920 = 
(long)(BgL_auxz00_3921); } 
BgL_restz00_2224 = 
(BgL_offsetz00_2221%BgL_auxz00_3920); } 
{ /* Integrate/let-fun.scm 78 */

{ /* Integrate/let-fun.scm 78 */
obj_t BgL_bucketz00_2226;
{ /* Integrate/let-fun.scm 78 */
int BgL_kz00_2236;
BgL_kz00_2236 = 
(int)(BgL_modz00_2222); 
BgL_bucketz00_2226 = 
VECTOR_REF(BgL_arg1221z00_2217,BgL_kz00_2236); } 
{ /* Integrate/let-fun.scm 78 */
int BgL_kz00_2238;
BgL_kz00_2238 = 
(int)(BgL_restz00_2224); 
BgL_method2950z00_2214 = 
VECTOR_REF(BgL_bucketz00_2226,BgL_kz00_2238); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_2214)(BgL_method2950z00_2214, 
(obj_t)(BgL_nodez00_2212), 
(obj_t)(BgL_variablez00_2213), BEOA); } }  else 
{ /* Integrate/let-fun.scm 72 */BFALSE; } } 
{ 
obj_t BgL_l2914z00_3933;
BgL_l2914z00_3933 = 
CDR(BgL_l2914z00_1491); 
BgL_l2914z00_1491 = BgL_l2914z00_3933; 
goto BgL_lname2915z00_1492;} }  else 
{ /* Integrate/let-fun.scm 67 */((bool_t)1); } } 
{ 
obj_t BgL_ledz00_1499;obj_t BgL_addedz00_1500;
BgL_ledz00_1499 = BgL_ledz00_1490; 
BgL_addedz00_1500 = BNIL; 
BgL_loopz00_1501:
if(
NULLP(BgL_ledz00_1499))
{ /* Integrate/let-fun.scm 84 */
if(
PAIRP(BgL_addedz00_1500))
{ /* Integrate/let-fun.scm 87 */
obj_t BgL_oldzd2bodyzd2_1504;
{ /* Integrate/let-fun.scm 87 */
BgL_sfunz00_bglt BgL_obj1372z00_2243;
{ /* Integrate/let-fun.scm 87 */
BgL_valuez00_bglt BgL_auxz00_3939;
{ /* Integrate/let-fun.scm 87 */
BgL_variablez00_bglt BgL_obj1103z00_2242;
BgL_obj1103z00_2242 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_auxz00_3939 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2242))->BgL_valuez00); } 
BgL_obj1372z00_2243 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3939); } 
BgL_oldzd2bodyzd2_1504 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2243))->BgL_bodyz00); } 
{ /* Integrate/let-fun.scm 87 */
BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1505;
{ /* Integrate/let-fun.scm 89 */
obj_t BgL_arg3008z00_1507;obj_t BgL_arg3009z00_1508;obj_t BgL_arg3011z00_1510;
{ /* Integrate/let-fun.scm 89 */
BgL_nodez00_bglt BgL_obj1549z00_2244;
BgL_obj1549z00_2244 = 
(BgL_nodez00_bglt)(BgL_oldzd2bodyzd2_1504); 
BgL_arg3008z00_1507 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2244))->BgL_locz00); } 
BgL_arg3009z00_1508 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3011z00_1510 = BgL_addedz00_1500; 
{ /* Integrate/let-fun.scm 88 */
BgL_letzd2funzd2_bglt BgL_res3158z00_2272;
{ /* Integrate/let-fun.scm 88 */
BgL_typez00_bglt BgL_type2447z00_2246;obj_t BgL_key2449z00_2248;BgL_nodez00_bglt BgL_body2451z00_2250;
BgL_type2447z00_2246 = 
(BgL_typez00_bglt)(BgL_arg3009z00_1508); 
BgL_key2449z00_2248 = 
BINT(((long)-1)); 
{ /* Integrate/let-fun.scm 92 */
obj_t BgL_auxz00_3948;
BgL_auxz00_3948 = BgL_oldzd2bodyzd2_1504; 
BgL_body2451z00_2250 = 
(BgL_nodez00_bglt)(BgL_auxz00_3948); } 
{ /* Integrate/let-fun.scm 88 */
BgL_letzd2funzd2_bglt BgL_new2452z00_2251;
{ /* Integrate/let-fun.scm 88 */
BgL_letzd2funzd2_bglt BgL_res3156z00_2257;
{ /* Integrate/let-fun.scm 88 */
BgL_letzd2funzd2_bglt BgL_new2454z00_2252;
BgL_new2454z00_2252 = 
((BgL_letzd2funzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2funzd2_bgl) ))); 
{ /* Integrate/let-fun.scm 88 */
long BgL_arg3036z00_2253;
BgL_arg3036z00_2253 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2funzd2zzast_nodez00); 
{ /* Integrate/let-fun.scm 88 */
BgL_objectz00_bglt BgL_auxz00_3952;
BgL_auxz00_3952 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2252); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3952, BgL_arg3036z00_2253); } } 
{ /* Integrate/let-fun.scm 88 */
BgL_objectz00_bglt BgL_auxz00_3955;
BgL_auxz00_3955 = 
(BgL_objectz00_bglt)(BgL_new2454z00_2252); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3955, BFALSE); } 
{ /* Integrate/let-fun.scm 88 */
obj_t BgL_auxz00_3958;
BgL_auxz00_3958 = 
(obj_t)(BgL_new2454z00_2252); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3958); } BUNSPEC; 
BgL_res3156z00_2257 = BgL_new2454z00_2252; } 
BgL_new2452z00_2251 = BgL_res3156z00_2257; } 
{ /* Integrate/let-fun.scm 88 */
BgL_letzd2funzd2_bglt BgL_res3157z00_2271;
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_locz00) = ((obj_t)BgL_arg3008z00_1507), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2447z00_2246), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_keyz00) = ((obj_t)BgL_key2449z00_2248), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_localsz00) = ((obj_t)BgL_arg3011z00_1510), BUNSPEC); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_new2452z00_2251))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2451z00_2250), BUNSPEC); 
BgL_res3157z00_2271 = BgL_new2452z00_2251; BgL_res3157z00_2271; } 
BgL_res3158z00_2272 = BgL_new2452z00_2251; } } 
BgL_newzd2bodyzd2_1505 = BgL_res3158z00_2272; } } 
{ /* Integrate/let-fun.scm 88 */

{ /* Integrate/let-fun.scm 96 */
BgL_sfunz00_bglt BgL_obj1374z00_2274;obj_t BgL_val1373z00_2275;
{ /* Integrate/let-fun.scm 96 */
BgL_valuez00_bglt BgL_auxz00_3967;
{ /* Integrate/let-fun.scm 96 */
BgL_variablez00_bglt BgL_obj1103z00_2273;
BgL_obj1103z00_2273 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_auxz00_3967 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2273))->BgL_valuez00); } 
BgL_obj1374z00_2274 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3967); } 
BgL_val1373z00_2275 = 
(obj_t)(BgL_newzd2bodyzd2_1505); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2274))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2275), BUNSPEC); } 
return 
(obj_t)(BgL_newzd2bodyzd2_1505);} } }  else 
{ /* Integrate/let-fun.scm 86 */
return BFALSE;} }  else 
{ /* Integrate/let-fun.scm 84 */
if(
BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(
CAR(BgL_ledz00_1499)))
{ /* Integrate/let-fun.scm 98 */
{ /* Integrate/let-fun.scm 100 */
obj_t BgL_arg3015z00_1514;obj_t BgL_arg3016z00_1515;
BgL_arg3015z00_1514 = 
CDR(BgL_ledz00_1499); 
{ /* Integrate/let-fun.scm 100 */
obj_t BgL_auxz00_3978;
BgL_auxz00_3978 = 
CAR(BgL_ledz00_1499); 
BgL_arg3016z00_1515 = 
MAKE_PAIR(BgL_auxz00_3978, BgL_addedz00_1500); } 
{ 
obj_t BgL_addedz00_3982;obj_t BgL_ledz00_3981;
BgL_ledz00_3981 = BgL_arg3015z00_1514; 
BgL_addedz00_3982 = BgL_arg3016z00_1515; 
BgL_addedz00_1500 = BgL_addedz00_3982; 
BgL_ledz00_1499 = BgL_ledz00_3981; 
goto BgL_loopz00_1501;} } }  else 
{ /* Integrate/let-fun.scm 98 */
{ 
obj_t BgL_ledz00_3983;
BgL_ledz00_3983 = 
CDR(BgL_ledz00_1499); 
BgL_ledz00_1499 = BgL_ledz00_3983; 
goto BgL_loopz00_1501;} } } } } } 
}



/* _displace-let-fun! */
obj_t BGl__displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3693, obj_t BgL_varz00_3694)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 50 */
return 
BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_3694);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2()
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_displacezd2letzd2funzd2nodez12zd2default2949zd2envzc0zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_atomz00zzast_nodez00, BGl_proc3222z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_kwotez00zzast_nodez00, BGl_proc3223z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_varz00zzast_nodez00, BGl_proc3224z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_closurez00zzast_nodez00, BGl_proc3225z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_sequencez00zzast_nodez00, BGl_proc3226z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_appz00zzast_nodez00, BGl_proc3227z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3228z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_funcallz00zzast_nodez00, BGl_proc3229z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_externz00zzast_nodez00, BGl_proc3230z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_castz00zzast_nodez00, BGl_proc3231z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_setqz00zzast_nodez00, BGl_proc3232z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_conditionalz00zzast_nodez00, BGl_proc3233z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_failz00zzast_nodez00, BGl_proc3234z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_selectz00zzast_nodez00, BGl_proc3235z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_letzd2funzd2zzast_nodez00, BGl_proc3236z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_letzd2varzd2zzast_nodez00, BGl_proc3237z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3238z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3239z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3240z00zzintegrate_letzd2funzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3241z00zzintegrate_letzd2funzd2); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3242z00zzintegrate_letzd2funzd2);} 
}



/* displace-let-fun-node!-box-ref2992 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2boxzd2ref2992zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3719, obj_t BgL_nodez00_3720, obj_t BgL_hostz00_3721)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 302 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2162;obj_t BgL_hostz00_2163;
BgL_nodez00_2162 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3720); 
BgL_hostz00_2163 = BgL_hostz00_3721; 
return BUNSPEC;} } 
}



/* displace-let-fun-node!-box-set!2990 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2boxzd2setz122990zd2zzintegrate_letzd2funzd2(obj_t BgL_envz00_3722, obj_t BgL_nodez00_3723, obj_t BgL_hostz00_3724)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 296 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2156;obj_t BgL_hostz00_2157;
BgL_nodez00_2156 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3723); 
BgL_hostz00_2157 = BgL_hostz00_3724; 
return BUNSPEC;} } 
}



/* displace-let-fun-node!-make-box2988 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2makezd2box2988zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3725, obj_t BgL_nodez00_3726, obj_t BgL_hostz00_3727)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 289 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2148;obj_t BgL_hostz00_2149;
BgL_nodez00_2148 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3726); 
BgL_hostz00_2149 = BgL_hostz00_3727; 
{ /* Integrate/let-fun.scm 290 */
BgL_nodez00_bglt BgL_arg3148z00_3636;
BgL_arg3148z00_3636 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2148))->BgL_valuez00); 
{ /* Integrate/let-fun.scm 290 */
BgL_variablez00_bglt BgL_variablez00_3639;
BgL_variablez00_3639 = 
(BgL_variablez00_bglt)(BgL_hostz00_2149); 
{ /* Integrate/let-fun.scm 290 */
obj_t BgL_method2950z00_3640;
{ /* Integrate/let-fun.scm 290 */
long BgL_objzd2classzd2numz00_3642;
{ /* Integrate/let-fun.scm 290 */
BgL_objectz00_bglt BgL_auxz00_4012;
BgL_auxz00_4012 = 
(BgL_objectz00_bglt)(BgL_arg3148z00_3636); 
BgL_objzd2classzd2numz00_3642 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4012); } 
{ /* Integrate/let-fun.scm 290 */
obj_t BgL_arg1221z00_3643;
{ /* Integrate/let-fun.scm 290 */
int BgL_auxz00_4015;
BgL_auxz00_4015 = 
(int)(((long)1)); 
BgL_arg1221z00_3643 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4015); } 
{ /* Integrate/let-fun.scm 290 */
long BgL_offsetz00_3647;
{ /* Integrate/let-fun.scm 290 */
long BgL_auxz00_4018;
{ /* Integrate/let-fun.scm 290 */
int BgL_auxz00_4019;
BgL_auxz00_4019 = 
(int)(BgL_objzd2classzd2numz00_3642); 
BgL_auxz00_4018 = 
(long)(BgL_auxz00_4019); } 
BgL_offsetz00_3647 = 
(BgL_auxz00_4018-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 290 */
long BgL_modz00_3648;
{ /* Integrate/let-fun.scm 290 */
long BgL_auxz00_4023;
{ /* Integrate/let-fun.scm 290 */
int BgL_auxz00_4024;
BgL_auxz00_4024 = 
(int)(((long)8)); 
BgL_auxz00_4023 = 
(long)(BgL_auxz00_4024); } 
BgL_modz00_3648 = 
(BgL_offsetz00_3647/BgL_auxz00_4023); } 
{ /* Integrate/let-fun.scm 290 */
long BgL_restz00_3650;
{ /* Integrate/let-fun.scm 290 */
long BgL_auxz00_4028;
{ /* Integrate/let-fun.scm 290 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)8)); 
BgL_auxz00_4028 = 
(long)(BgL_auxz00_4029); } 
BgL_restz00_3650 = 
(BgL_offsetz00_3647%BgL_auxz00_4028); } 
{ /* Integrate/let-fun.scm 290 */

{ /* Integrate/let-fun.scm 290 */
obj_t BgL_bucketz00_3652;
{ /* Integrate/let-fun.scm 290 */
int BgL_kz00_3662;
BgL_kz00_3662 = 
(int)(BgL_modz00_3648); 
BgL_bucketz00_3652 = 
VECTOR_REF(BgL_arg1221z00_3643,BgL_kz00_3662); } 
{ /* Integrate/let-fun.scm 290 */
int BgL_kz00_3664;
BgL_kz00_3664 = 
(int)(BgL_restz00_3650); 
BgL_method2950z00_3640 = 
VECTOR_REF(BgL_bucketz00_3652,BgL_kz00_3664); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3640)(BgL_method2950z00_3640, 
(obj_t)(BgL_arg3148z00_3636), 
(obj_t)(BgL_variablez00_3639), BEOA);} } } } } 
}



/* displace-let-fun-node!-jump-ex-it2986 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2jumpzd2exzd2it2986z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3728, obj_t BgL_nodez00_3729, obj_t BgL_hostz00_3730)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 281 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2139;obj_t BgL_hostz00_2140;
BgL_nodez00_2139 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3729); 
BgL_hostz00_2140 = BgL_hostz00_3730; 
{ /* Integrate/let-fun.scm 282 */
BgL_nodez00_bglt BgL_arg3145z00_3577;
BgL_arg3145z00_3577 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2139))->BgL_exitz00); 
{ /* Integrate/let-fun.scm 282 */
BgL_variablez00_bglt BgL_variablez00_3581;
BgL_variablez00_3581 = 
(BgL_variablez00_bglt)(BgL_hostz00_2140); 
{ /* Integrate/let-fun.scm 282 */
obj_t BgL_method2950z00_3582;
{ /* Integrate/let-fun.scm 282 */
long BgL_objzd2classzd2numz00_3584;
{ /* Integrate/let-fun.scm 282 */
BgL_objectz00_bglt BgL_auxz00_4044;
BgL_auxz00_4044 = 
(BgL_objectz00_bglt)(BgL_arg3145z00_3577); 
BgL_objzd2classzd2numz00_3584 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4044); } 
{ /* Integrate/let-fun.scm 282 */
obj_t BgL_arg1221z00_3585;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4047;
BgL_auxz00_4047 = 
(int)(((long)1)); 
BgL_arg1221z00_3585 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4047); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_offsetz00_3589;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4050;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4051;
BgL_auxz00_4051 = 
(int)(BgL_objzd2classzd2numz00_3584); 
BgL_auxz00_4050 = 
(long)(BgL_auxz00_4051); } 
BgL_offsetz00_3589 = 
(BgL_auxz00_4050-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_modz00_3590;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4055;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4056;
BgL_auxz00_4056 = 
(int)(((long)8)); 
BgL_auxz00_4055 = 
(long)(BgL_auxz00_4056); } 
BgL_modz00_3590 = 
(BgL_offsetz00_3589/BgL_auxz00_4055); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_restz00_3592;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4060;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4061;
BgL_auxz00_4061 = 
(int)(((long)8)); 
BgL_auxz00_4060 = 
(long)(BgL_auxz00_4061); } 
BgL_restz00_3592 = 
(BgL_offsetz00_3589%BgL_auxz00_4060); } 
{ /* Integrate/let-fun.scm 282 */

{ /* Integrate/let-fun.scm 282 */
obj_t BgL_bucketz00_3594;
{ /* Integrate/let-fun.scm 282 */
int BgL_kz00_3604;
BgL_kz00_3604 = 
(int)(BgL_modz00_3590); 
BgL_bucketz00_3594 = 
VECTOR_REF(BgL_arg1221z00_3585,BgL_kz00_3604); } 
{ /* Integrate/let-fun.scm 282 */
int BgL_kz00_3606;
BgL_kz00_3606 = 
(int)(BgL_restz00_3592); 
BgL_method2950z00_3582 = 
VECTOR_REF(BgL_bucketz00_3594,BgL_kz00_3606); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3582)(BgL_method2950z00_3582, 
(obj_t)(BgL_arg3145z00_3577), 
(obj_t)(BgL_variablez00_3581), BEOA); } } } 
{ /* Integrate/let-fun.scm 282 */
BgL_nodez00_bglt BgL_arg3146z00_3578;
BgL_arg3146z00_3578 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2139))->BgL_valuez00); 
{ /* Integrate/let-fun.scm 282 */
BgL_variablez00_bglt BgL_variablez00_3609;
BgL_variablez00_3609 = 
(BgL_variablez00_bglt)(BgL_hostz00_2140); 
{ /* Integrate/let-fun.scm 282 */
obj_t BgL_method2950z00_3610;
{ /* Integrate/let-fun.scm 282 */
long BgL_objzd2classzd2numz00_3612;
{ /* Integrate/let-fun.scm 282 */
BgL_objectz00_bglt BgL_auxz00_4075;
BgL_auxz00_4075 = 
(BgL_objectz00_bglt)(BgL_arg3146z00_3578); 
BgL_objzd2classzd2numz00_3612 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4075); } 
{ /* Integrate/let-fun.scm 282 */
obj_t BgL_arg1221z00_3613;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)1)); 
BgL_arg1221z00_3613 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4078); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_offsetz00_3617;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4081;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4082;
BgL_auxz00_4082 = 
(int)(BgL_objzd2classzd2numz00_3612); 
BgL_auxz00_4081 = 
(long)(BgL_auxz00_4082); } 
BgL_offsetz00_3617 = 
(BgL_auxz00_4081-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_modz00_3618;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4086;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)8)); 
BgL_auxz00_4086 = 
(long)(BgL_auxz00_4087); } 
BgL_modz00_3618 = 
(BgL_offsetz00_3617/BgL_auxz00_4086); } 
{ /* Integrate/let-fun.scm 282 */
long BgL_restz00_3620;
{ /* Integrate/let-fun.scm 282 */
long BgL_auxz00_4091;
{ /* Integrate/let-fun.scm 282 */
int BgL_auxz00_4092;
BgL_auxz00_4092 = 
(int)(((long)8)); 
BgL_auxz00_4091 = 
(long)(BgL_auxz00_4092); } 
BgL_restz00_3620 = 
(BgL_offsetz00_3617%BgL_auxz00_4091); } 
{ /* Integrate/let-fun.scm 282 */

{ /* Integrate/let-fun.scm 282 */
obj_t BgL_bucketz00_3622;
{ /* Integrate/let-fun.scm 282 */
int BgL_kz00_3632;
BgL_kz00_3632 = 
(int)(BgL_modz00_3618); 
BgL_bucketz00_3622 = 
VECTOR_REF(BgL_arg1221z00_3613,BgL_kz00_3632); } 
{ /* Integrate/let-fun.scm 282 */
int BgL_kz00_3634;
BgL_kz00_3634 = 
(int)(BgL_restz00_3620); 
BgL_method2950z00_3610 = 
VECTOR_REF(BgL_bucketz00_3622,BgL_kz00_3634); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3610)(BgL_method2950z00_3610, 
(obj_t)(BgL_arg3146z00_3578), 
(obj_t)(BgL_variablez00_3609), BEOA);} } } } } 
}



/* displace-let-fun-node!-set-ex-it2984 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2setzd2exzd2it2984z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3731, obj_t BgL_nodez00_3732, obj_t BgL_hostz00_3733)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 274 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2131;obj_t BgL_hostz00_2132;
BgL_nodez00_2131 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3732); 
BgL_hostz00_2132 = BgL_hostz00_3733; 
{ /* Integrate/let-fun.scm 275 */
BgL_nodez00_bglt BgL_arg3143z00_3547;
BgL_arg3143z00_3547 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2131))->BgL_bodyz00); 
{ /* Integrate/let-fun.scm 275 */
BgL_variablez00_bglt BgL_variablez00_3550;
BgL_variablez00_3550 = 
(BgL_variablez00_bglt)(BgL_hostz00_2132); 
{ /* Integrate/let-fun.scm 275 */
obj_t BgL_method2950z00_3551;
{ /* Integrate/let-fun.scm 275 */
long BgL_objzd2classzd2numz00_3553;
{ /* Integrate/let-fun.scm 275 */
BgL_objectz00_bglt BgL_auxz00_4107;
BgL_auxz00_4107 = 
(BgL_objectz00_bglt)(BgL_arg3143z00_3547); 
BgL_objzd2classzd2numz00_3553 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4107); } 
{ /* Integrate/let-fun.scm 275 */
obj_t BgL_arg1221z00_3554;
{ /* Integrate/let-fun.scm 275 */
int BgL_auxz00_4110;
BgL_auxz00_4110 = 
(int)(((long)1)); 
BgL_arg1221z00_3554 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4110); } 
{ /* Integrate/let-fun.scm 275 */
long BgL_offsetz00_3558;
{ /* Integrate/let-fun.scm 275 */
long BgL_auxz00_4113;
{ /* Integrate/let-fun.scm 275 */
int BgL_auxz00_4114;
BgL_auxz00_4114 = 
(int)(BgL_objzd2classzd2numz00_3553); 
BgL_auxz00_4113 = 
(long)(BgL_auxz00_4114); } 
BgL_offsetz00_3558 = 
(BgL_auxz00_4113-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 275 */
long BgL_modz00_3559;
{ /* Integrate/let-fun.scm 275 */
long BgL_auxz00_4118;
{ /* Integrate/let-fun.scm 275 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)8)); 
BgL_auxz00_4118 = 
(long)(BgL_auxz00_4119); } 
BgL_modz00_3559 = 
(BgL_offsetz00_3558/BgL_auxz00_4118); } 
{ /* Integrate/let-fun.scm 275 */
long BgL_restz00_3561;
{ /* Integrate/let-fun.scm 275 */
long BgL_auxz00_4123;
{ /* Integrate/let-fun.scm 275 */
int BgL_auxz00_4124;
BgL_auxz00_4124 = 
(int)(((long)8)); 
BgL_auxz00_4123 = 
(long)(BgL_auxz00_4124); } 
BgL_restz00_3561 = 
(BgL_offsetz00_3558%BgL_auxz00_4123); } 
{ /* Integrate/let-fun.scm 275 */

{ /* Integrate/let-fun.scm 275 */
obj_t BgL_bucketz00_3563;
{ /* Integrate/let-fun.scm 275 */
int BgL_kz00_3573;
BgL_kz00_3573 = 
(int)(BgL_modz00_3559); 
BgL_bucketz00_3563 = 
VECTOR_REF(BgL_arg1221z00_3554,BgL_kz00_3573); } 
{ /* Integrate/let-fun.scm 275 */
int BgL_kz00_3575;
BgL_kz00_3575 = 
(int)(BgL_restz00_3561); 
BgL_method2950z00_3551 = 
VECTOR_REF(BgL_bucketz00_3563,BgL_kz00_3575); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3551)(BgL_method2950z00_3551, 
(obj_t)(BgL_arg3143z00_3547), 
(obj_t)(BgL_variablez00_3550), BEOA);} } } } } 
}



/* displace-let-fun-node!-let-var2982 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2letzd2var2982zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3734, obj_t BgL_nodez00_3735, obj_t BgL_hostz00_3736)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 260 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2115;obj_t BgL_hostz00_2116;
BgL_nodez00_2115 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3735); 
BgL_hostz00_2116 = BgL_hostz00_3736; 
{ 
obj_t BgL_bindingsz00_2120;
BgL_bindingsz00_2120 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2115))->BgL_bindingsz00); 
BgL_liipz00_2121:
if(
NULLP(BgL_bindingsz00_2120))
{ /* Integrate/let-fun.scm 264 */
BgL_nodez00_bglt BgL_arg3140z00_2124;
BgL_arg3140z00_2124 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2115))->BgL_bodyz00); 
{ /* Integrate/let-fun.scm 264 */
BgL_variablez00_bglt BgL_variablez00_3489;
BgL_variablez00_3489 = 
(BgL_variablez00_bglt)(BgL_hostz00_2116); 
{ /* Integrate/let-fun.scm 264 */
obj_t BgL_method2950z00_3490;
{ /* Integrate/let-fun.scm 264 */
long BgL_objzd2classzd2numz00_3492;
{ /* Integrate/let-fun.scm 264 */
BgL_objectz00_bglt BgL_auxz00_4141;
BgL_auxz00_4141 = 
(BgL_objectz00_bglt)(BgL_arg3140z00_2124); 
BgL_objzd2classzd2numz00_3492 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4141); } 
{ /* Integrate/let-fun.scm 264 */
obj_t BgL_arg1221z00_3493;
{ /* Integrate/let-fun.scm 264 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(((long)1)); 
BgL_arg1221z00_3493 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4144); } 
{ /* Integrate/let-fun.scm 264 */
long BgL_offsetz00_3497;
{ /* Integrate/let-fun.scm 264 */
long BgL_auxz00_4147;
{ /* Integrate/let-fun.scm 264 */
int BgL_auxz00_4148;
BgL_auxz00_4148 = 
(int)(BgL_objzd2classzd2numz00_3492); 
BgL_auxz00_4147 = 
(long)(BgL_auxz00_4148); } 
BgL_offsetz00_3497 = 
(BgL_auxz00_4147-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 264 */
long BgL_modz00_3498;
{ /* Integrate/let-fun.scm 264 */
long BgL_auxz00_4152;
{ /* Integrate/let-fun.scm 264 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)8)); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_modz00_3498 = 
(BgL_offsetz00_3497/BgL_auxz00_4152); } 
{ /* Integrate/let-fun.scm 264 */
long BgL_restz00_3500;
{ /* Integrate/let-fun.scm 264 */
long BgL_auxz00_4157;
{ /* Integrate/let-fun.scm 264 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)8)); 
BgL_auxz00_4157 = 
(long)(BgL_auxz00_4158); } 
BgL_restz00_3500 = 
(BgL_offsetz00_3497%BgL_auxz00_4157); } 
{ /* Integrate/let-fun.scm 264 */

{ /* Integrate/let-fun.scm 264 */
obj_t BgL_bucketz00_3502;
{ /* Integrate/let-fun.scm 264 */
int BgL_kz00_3512;
BgL_kz00_3512 = 
(int)(BgL_modz00_3498); 
BgL_bucketz00_3502 = 
VECTOR_REF(BgL_arg1221z00_3493,BgL_kz00_3512); } 
{ /* Integrate/let-fun.scm 264 */
int BgL_kz00_3514;
BgL_kz00_3514 = 
(int)(BgL_restz00_3500); 
BgL_method2950z00_3490 = 
VECTOR_REF(BgL_bucketz00_3502,BgL_kz00_3514); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3490)(BgL_method2950z00_3490, 
(obj_t)(BgL_arg3140z00_2124), 
(obj_t)(BgL_variablez00_3489), BEOA);} } }  else 
{ /* Integrate/let-fun.scm 267 */

{ /* Integrate/let-fun.scm 268 */
BgL_nodez00_bglt BgL_nodez00_3518;BgL_variablez00_bglt BgL_variablez00_3519;
{ /* Integrate/let-fun.scm 268 */
obj_t BgL_auxz00_4170;
{ /* Integrate/let-fun.scm 267 */
obj_t BgL_auxz00_4171;
BgL_auxz00_4171 = 
CAR(BgL_bindingsz00_2120); 
BgL_auxz00_4170 = 
CDR(BgL_auxz00_4171); } 
BgL_nodez00_3518 = 
(BgL_nodez00_bglt)(BgL_auxz00_4170); } 
BgL_variablez00_3519 = 
(BgL_variablez00_bglt)(BgL_hostz00_2116); 
{ /* Integrate/let-fun.scm 268 */
obj_t BgL_method2950z00_3520;
{ /* Integrate/let-fun.scm 268 */
long BgL_objzd2classzd2numz00_3522;
{ /* Integrate/let-fun.scm 268 */
BgL_objectz00_bglt BgL_auxz00_4176;
BgL_auxz00_4176 = 
(BgL_objectz00_bglt)(BgL_nodez00_3518); 
BgL_objzd2classzd2numz00_3522 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4176); } 
{ /* Integrate/let-fun.scm 268 */
obj_t BgL_arg1221z00_3523;
{ /* Integrate/let-fun.scm 268 */
int BgL_auxz00_4179;
BgL_auxz00_4179 = 
(int)(((long)1)); 
BgL_arg1221z00_3523 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4179); } 
{ /* Integrate/let-fun.scm 268 */
long BgL_offsetz00_3527;
{ /* Integrate/let-fun.scm 268 */
long BgL_auxz00_4182;
{ /* Integrate/let-fun.scm 268 */
int BgL_auxz00_4183;
BgL_auxz00_4183 = 
(int)(BgL_objzd2classzd2numz00_3522); 
BgL_auxz00_4182 = 
(long)(BgL_auxz00_4183); } 
BgL_offsetz00_3527 = 
(BgL_auxz00_4182-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 268 */
long BgL_modz00_3528;
{ /* Integrate/let-fun.scm 268 */
long BgL_auxz00_4187;
{ /* Integrate/let-fun.scm 268 */
int BgL_auxz00_4188;
BgL_auxz00_4188 = 
(int)(((long)8)); 
BgL_auxz00_4187 = 
(long)(BgL_auxz00_4188); } 
BgL_modz00_3528 = 
(BgL_offsetz00_3527/BgL_auxz00_4187); } 
{ /* Integrate/let-fun.scm 268 */
long BgL_restz00_3530;
{ /* Integrate/let-fun.scm 268 */
long BgL_auxz00_4192;
{ /* Integrate/let-fun.scm 268 */
int BgL_auxz00_4193;
BgL_auxz00_4193 = 
(int)(((long)8)); 
BgL_auxz00_4192 = 
(long)(BgL_auxz00_4193); } 
BgL_restz00_3530 = 
(BgL_offsetz00_3527%BgL_auxz00_4192); } 
{ /* Integrate/let-fun.scm 268 */

{ /* Integrate/let-fun.scm 268 */
obj_t BgL_bucketz00_3532;
{ /* Integrate/let-fun.scm 268 */
int BgL_kz00_3542;
BgL_kz00_3542 = 
(int)(BgL_modz00_3528); 
BgL_bucketz00_3532 = 
VECTOR_REF(BgL_arg1221z00_3523,BgL_kz00_3542); } 
{ /* Integrate/let-fun.scm 268 */
int BgL_kz00_3544;
BgL_kz00_3544 = 
(int)(BgL_restz00_3530); 
BgL_method2950z00_3520 = 
VECTOR_REF(BgL_bucketz00_3532,BgL_kz00_3544); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3520)(BgL_method2950z00_3520, 
(obj_t)(BgL_nodez00_3518), 
(obj_t)(BgL_variablez00_3519), BEOA); } } 
{ 
obj_t BgL_bindingsz00_4205;
BgL_bindingsz00_4205 = 
CDR(BgL_bindingsz00_2120); 
BgL_bindingsz00_2120 = BgL_bindingsz00_4205; 
goto BgL_liipz00_2121;} } } } } 
}



/* displace-let-fun-node!-let-fun2980 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2letzd2fun2980zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3737, obj_t BgL_nodez00_3738, obj_t BgL_hostz00_3739)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 231 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2090;obj_t BgL_hostz00_2091;
BgL_nodez00_2090 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3738); 
BgL_hostz00_2091 = BgL_hostz00_3739; 
{ 
obj_t BgL_oldz00_2095;obj_t BgL_newz00_2096;
BgL_oldz00_2095 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2090))->BgL_localsz00); 
BgL_newz00_2096 = BNIL; 
BgL_liipz00_2097:
if(
NULLP(BgL_oldz00_2095))
{ /* Integrate/let-fun.scm 246 */
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2090))->BgL_localsz00) = ((obj_t)BgL_newz00_2096), BUNSPEC); 
{ /* Integrate/let-fun.scm 248 */
BgL_nodez00_bglt BgL_arg3127z00_2102;
BgL_arg3127z00_2102 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2090))->BgL_bodyz00); 
{ /* Integrate/let-fun.scm 248 */
BgL_variablez00_bglt BgL_variablez00_3424;
BgL_variablez00_3424 = 
(BgL_variablez00_bglt)(BgL_hostz00_2091); 
{ /* Integrate/let-fun.scm 248 */
obj_t BgL_method2950z00_3425;
{ /* Integrate/let-fun.scm 248 */
long BgL_objzd2classzd2numz00_3427;
{ /* Integrate/let-fun.scm 248 */
BgL_objectz00_bglt BgL_auxz00_4214;
BgL_auxz00_4214 = 
(BgL_objectz00_bglt)(BgL_arg3127z00_2102); 
BgL_objzd2classzd2numz00_3427 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4214); } 
{ /* Integrate/let-fun.scm 248 */
obj_t BgL_arg1221z00_3428;
{ /* Integrate/let-fun.scm 248 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(((long)1)); 
BgL_arg1221z00_3428 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4217); } 
{ /* Integrate/let-fun.scm 248 */
long BgL_offsetz00_3432;
{ /* Integrate/let-fun.scm 248 */
long BgL_auxz00_4220;
{ /* Integrate/let-fun.scm 248 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(BgL_objzd2classzd2numz00_3427); 
BgL_auxz00_4220 = 
(long)(BgL_auxz00_4221); } 
BgL_offsetz00_3432 = 
(BgL_auxz00_4220-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 248 */
long BgL_modz00_3433;
{ /* Integrate/let-fun.scm 248 */
long BgL_auxz00_4225;
{ /* Integrate/let-fun.scm 248 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(((long)8)); 
BgL_auxz00_4225 = 
(long)(BgL_auxz00_4226); } 
BgL_modz00_3433 = 
(BgL_offsetz00_3432/BgL_auxz00_4225); } 
{ /* Integrate/let-fun.scm 248 */
long BgL_restz00_3435;
{ /* Integrate/let-fun.scm 248 */
long BgL_auxz00_4230;
{ /* Integrate/let-fun.scm 248 */
int BgL_auxz00_4231;
BgL_auxz00_4231 = 
(int)(((long)8)); 
BgL_auxz00_4230 = 
(long)(BgL_auxz00_4231); } 
BgL_restz00_3435 = 
(BgL_offsetz00_3432%BgL_auxz00_4230); } 
{ /* Integrate/let-fun.scm 248 */

{ /* Integrate/let-fun.scm 248 */
obj_t BgL_bucketz00_3437;
{ /* Integrate/let-fun.scm 248 */
int BgL_kz00_3447;
BgL_kz00_3447 = 
(int)(BgL_modz00_3433); 
BgL_bucketz00_3437 = 
VECTOR_REF(BgL_arg1221z00_3428,BgL_kz00_3447); } 
{ /* Integrate/let-fun.scm 248 */
int BgL_kz00_3449;
BgL_kz00_3449 = 
(int)(BgL_restz00_3435); 
BgL_method2950z00_3425 = 
VECTOR_REF(BgL_bucketz00_3437,BgL_kz00_3449); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3425)(BgL_method2950z00_3425, 
(obj_t)(BgL_arg3127z00_2102), 
(obj_t)(BgL_variablez00_3424), BEOA);} } } }  else 
{ /* Integrate/let-fun.scm 249 */
bool_t BgL_testz00_4243;
{ /* Integrate/let-fun.scm 249 */
obj_t BgL_auxz00_4244;
{ /* Integrate/let-fun.scm 249 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2863z00_3452;
{ /* Integrate/let-fun.scm 249 */
BgL_valuez00_bglt BgL_auxz00_4245;
{ /* Integrate/let-fun.scm 249 */
BgL_localz00_bglt BgL_obj1255z00_3451;
{ /* Integrate/let-fun.scm 249 */
obj_t BgL_auxz00_4246;
BgL_auxz00_4246 = 
CAR(BgL_oldz00_2095); 
BgL_obj1255z00_3451 = 
(BgL_localz00_bglt)(BgL_auxz00_4246); } 
BgL_auxz00_4245 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3451))->BgL_valuez00); } 
BgL_obj2863z00_3452 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_auxz00_4245); } 
{ 
obj_t BgL_auxz00_4251;
{ /* Integrate/let-fun.scm 249 */
BgL_objectz00_bglt BgL_auxz00_4252;
BgL_auxz00_4252 = 
(BgL_objectz00_bglt)(BgL_obj2863z00_3452); 
BgL_auxz00_4251 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4252); } 
BgL_auxz00_4244 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_4251))->BgL_lz00); } } 
BgL_testz00_4243 = 
(BgL_auxz00_4244==BgL_hostz00_2091); } 
if(BgL_testz00_4243)
{ /* Integrate/let-fun.scm 249 */
{ /* Integrate/let-fun.scm 250 */
obj_t BgL_lz00_2104;
BgL_lz00_2104 = 
CAR(BgL_oldz00_2095); 
BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_2104); 
{ /* Integrate/let-fun.scm 252 */
BgL_nodez00_bglt BgL_nodez00_3456;BgL_variablez00_bglt BgL_variablez00_3457;
{ /* Integrate/let-fun.scm 252 */
obj_t BgL_auxz00_4259;
{ /* Integrate/let-fun.scm 252 */
BgL_sfunz00_bglt BgL_obj1372z00_3455;
{ /* Integrate/let-fun.scm 252 */
BgL_valuez00_bglt BgL_auxz00_4260;
{ /* Integrate/let-fun.scm 252 */
BgL_localz00_bglt BgL_obj1255z00_3454;
BgL_obj1255z00_3454 = 
(BgL_localz00_bglt)(BgL_lz00_2104); 
BgL_auxz00_4260 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3454))->BgL_valuez00); } 
BgL_obj1372z00_3455 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4260); } 
BgL_auxz00_4259 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3455))->BgL_bodyz00); } 
BgL_nodez00_3456 = 
(BgL_nodez00_bglt)(BgL_auxz00_4259); } 
BgL_variablez00_3457 = 
(BgL_variablez00_bglt)(BgL_hostz00_2091); 
{ /* Integrate/let-fun.scm 252 */
obj_t BgL_method2950z00_3458;
{ /* Integrate/let-fun.scm 252 */
long BgL_objzd2classzd2numz00_3460;
{ /* Integrate/let-fun.scm 252 */
BgL_objectz00_bglt BgL_auxz00_4267;
BgL_auxz00_4267 = 
(BgL_objectz00_bglt)(BgL_nodez00_3456); 
BgL_objzd2classzd2numz00_3460 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4267); } 
{ /* Integrate/let-fun.scm 252 */
obj_t BgL_arg1221z00_3461;
{ /* Integrate/let-fun.scm 252 */
int BgL_auxz00_4270;
BgL_auxz00_4270 = 
(int)(((long)1)); 
BgL_arg1221z00_3461 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4270); } 
{ /* Integrate/let-fun.scm 252 */
long BgL_offsetz00_3465;
{ /* Integrate/let-fun.scm 252 */
long BgL_auxz00_4273;
{ /* Integrate/let-fun.scm 252 */
int BgL_auxz00_4274;
BgL_auxz00_4274 = 
(int)(BgL_objzd2classzd2numz00_3460); 
BgL_auxz00_4273 = 
(long)(BgL_auxz00_4274); } 
BgL_offsetz00_3465 = 
(BgL_auxz00_4273-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 252 */
long BgL_modz00_3466;
{ /* Integrate/let-fun.scm 252 */
long BgL_auxz00_4278;
{ /* Integrate/let-fun.scm 252 */
int BgL_auxz00_4279;
BgL_auxz00_4279 = 
(int)(((long)8)); 
BgL_auxz00_4278 = 
(long)(BgL_auxz00_4279); } 
BgL_modz00_3466 = 
(BgL_offsetz00_3465/BgL_auxz00_4278); } 
{ /* Integrate/let-fun.scm 252 */
long BgL_restz00_3468;
{ /* Integrate/let-fun.scm 252 */
long BgL_auxz00_4283;
{ /* Integrate/let-fun.scm 252 */
int BgL_auxz00_4284;
BgL_auxz00_4284 = 
(int)(((long)8)); 
BgL_auxz00_4283 = 
(long)(BgL_auxz00_4284); } 
BgL_restz00_3468 = 
(BgL_offsetz00_3465%BgL_auxz00_4283); } 
{ /* Integrate/let-fun.scm 252 */

{ /* Integrate/let-fun.scm 252 */
obj_t BgL_bucketz00_3470;
{ /* Integrate/let-fun.scm 252 */
int BgL_kz00_3480;
BgL_kz00_3480 = 
(int)(BgL_modz00_3466); 
BgL_bucketz00_3470 = 
VECTOR_REF(BgL_arg1221z00_3461,BgL_kz00_3480); } 
{ /* Integrate/let-fun.scm 252 */
int BgL_kz00_3482;
BgL_kz00_3482 = 
(int)(BgL_restz00_3468); 
BgL_method2950z00_3458 = 
VECTOR_REF(BgL_bucketz00_3470,BgL_kz00_3482); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3458)(BgL_method2950z00_3458, 
(obj_t)(BgL_nodez00_3456), 
(obj_t)(BgL_variablez00_3457), BEOA); } } 
{ /* Integrate/let-fun.scm 253 */
obj_t BgL_arg3131z00_2107;obj_t BgL_arg3132z00_2108;
BgL_arg3131z00_2107 = 
CDR(BgL_oldz00_2095); 
BgL_arg3132z00_2108 = 
MAKE_PAIR(BgL_lz00_2104, BgL_newz00_2096); 
{ 
obj_t BgL_newz00_4299;obj_t BgL_oldz00_4298;
BgL_oldz00_4298 = BgL_arg3131z00_2107; 
BgL_newz00_4299 = BgL_arg3132z00_2108; 
BgL_newz00_2096 = BgL_newz00_4299; 
BgL_oldz00_2095 = BgL_oldz00_4298; 
goto BgL_liipz00_2097;} } } }  else 
{ /* Integrate/let-fun.scm 249 */
{ 
obj_t BgL_oldz00_4300;
BgL_oldz00_4300 = 
CDR(BgL_oldz00_2095); 
BgL_oldz00_2095 = BgL_oldz00_4300; 
goto BgL_liipz00_2097;} } } } } } 
}



/* displace-let-fun-node!-select2978 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2select2978z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3740, obj_t BgL_nodez00_3741, obj_t BgL_hostz00_3742)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 219 */
{ 
BgL_selectz00_bglt BgL_nodez00_2075;obj_t BgL_hostz00_2076;
BgL_nodez00_2075 = 
(BgL_selectz00_bglt)(BgL_nodez00_3741); 
BgL_hostz00_2076 = BgL_hostz00_3742; 
{ 
obj_t BgL_clausesz00_2080;
BgL_clausesz00_2080 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2075))->BgL_clausesz00); 
BgL_liipz00_2081:
if(
NULLP(BgL_clausesz00_2080))
{ /* Integrate/let-fun.scm 223 */
BgL_nodez00_bglt BgL_arg3118z00_2084;
BgL_arg3118z00_2084 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2075))->BgL_testz00); 
{ /* Integrate/let-fun.scm 223 */
BgL_variablez00_bglt BgL_variablez00_3361;
BgL_variablez00_3361 = 
(BgL_variablez00_bglt)(BgL_hostz00_2076); 
{ /* Integrate/let-fun.scm 223 */
obj_t BgL_method2950z00_3362;
{ /* Integrate/let-fun.scm 223 */
long BgL_objzd2classzd2numz00_3364;
{ /* Integrate/let-fun.scm 223 */
BgL_objectz00_bglt BgL_auxz00_4308;
BgL_auxz00_4308 = 
(BgL_objectz00_bglt)(BgL_arg3118z00_2084); 
BgL_objzd2classzd2numz00_3364 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4308); } 
{ /* Integrate/let-fun.scm 223 */
obj_t BgL_arg1221z00_3365;
{ /* Integrate/let-fun.scm 223 */
int BgL_auxz00_4311;
BgL_auxz00_4311 = 
(int)(((long)1)); 
BgL_arg1221z00_3365 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4311); } 
{ /* Integrate/let-fun.scm 223 */
long BgL_offsetz00_3369;
{ /* Integrate/let-fun.scm 223 */
long BgL_auxz00_4314;
{ /* Integrate/let-fun.scm 223 */
int BgL_auxz00_4315;
BgL_auxz00_4315 = 
(int)(BgL_objzd2classzd2numz00_3364); 
BgL_auxz00_4314 = 
(long)(BgL_auxz00_4315); } 
BgL_offsetz00_3369 = 
(BgL_auxz00_4314-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 223 */
long BgL_modz00_3370;
{ /* Integrate/let-fun.scm 223 */
long BgL_auxz00_4319;
{ /* Integrate/let-fun.scm 223 */
int BgL_auxz00_4320;
BgL_auxz00_4320 = 
(int)(((long)8)); 
BgL_auxz00_4319 = 
(long)(BgL_auxz00_4320); } 
BgL_modz00_3370 = 
(BgL_offsetz00_3369/BgL_auxz00_4319); } 
{ /* Integrate/let-fun.scm 223 */
long BgL_restz00_3372;
{ /* Integrate/let-fun.scm 223 */
long BgL_auxz00_4324;
{ /* Integrate/let-fun.scm 223 */
int BgL_auxz00_4325;
BgL_auxz00_4325 = 
(int)(((long)8)); 
BgL_auxz00_4324 = 
(long)(BgL_auxz00_4325); } 
BgL_restz00_3372 = 
(BgL_offsetz00_3369%BgL_auxz00_4324); } 
{ /* Integrate/let-fun.scm 223 */

{ /* Integrate/let-fun.scm 223 */
obj_t BgL_bucketz00_3374;
{ /* Integrate/let-fun.scm 223 */
int BgL_kz00_3384;
BgL_kz00_3384 = 
(int)(BgL_modz00_3370); 
BgL_bucketz00_3374 = 
VECTOR_REF(BgL_arg1221z00_3365,BgL_kz00_3384); } 
{ /* Integrate/let-fun.scm 223 */
int BgL_kz00_3386;
BgL_kz00_3386 = 
(int)(BgL_restz00_3372); 
BgL_method2950z00_3362 = 
VECTOR_REF(BgL_bucketz00_3374,BgL_kz00_3386); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3362)(BgL_method2950z00_3362, 
(obj_t)(BgL_arg3118z00_2084), 
(obj_t)(BgL_variablez00_3361), BEOA);} } }  else 
{ /* Integrate/let-fun.scm 222 */
{ /* Integrate/let-fun.scm 225 */
BgL_nodez00_bglt BgL_nodez00_3389;BgL_variablez00_bglt BgL_variablez00_3390;
{ /* Integrate/let-fun.scm 225 */
obj_t BgL_auxz00_4337;
{ /* Integrate/let-fun.scm 225 */
obj_t BgL_auxz00_4338;
BgL_auxz00_4338 = 
CAR(BgL_clausesz00_2080); 
BgL_auxz00_4337 = 
CDR(BgL_auxz00_4338); } 
BgL_nodez00_3389 = 
(BgL_nodez00_bglt)(BgL_auxz00_4337); } 
BgL_variablez00_3390 = 
(BgL_variablez00_bglt)(BgL_hostz00_2076); 
{ /* Integrate/let-fun.scm 225 */
obj_t BgL_method2950z00_3391;
{ /* Integrate/let-fun.scm 225 */
long BgL_objzd2classzd2numz00_3393;
{ /* Integrate/let-fun.scm 225 */
BgL_objectz00_bglt BgL_auxz00_4343;
BgL_auxz00_4343 = 
(BgL_objectz00_bglt)(BgL_nodez00_3389); 
BgL_objzd2classzd2numz00_3393 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4343); } 
{ /* Integrate/let-fun.scm 225 */
obj_t BgL_arg1221z00_3394;
{ /* Integrate/let-fun.scm 225 */
int BgL_auxz00_4346;
BgL_auxz00_4346 = 
(int)(((long)1)); 
BgL_arg1221z00_3394 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4346); } 
{ /* Integrate/let-fun.scm 225 */
long BgL_offsetz00_3398;
{ /* Integrate/let-fun.scm 225 */
long BgL_auxz00_4349;
{ /* Integrate/let-fun.scm 225 */
int BgL_auxz00_4350;
BgL_auxz00_4350 = 
(int)(BgL_objzd2classzd2numz00_3393); 
BgL_auxz00_4349 = 
(long)(BgL_auxz00_4350); } 
BgL_offsetz00_3398 = 
(BgL_auxz00_4349-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 225 */
long BgL_modz00_3399;
{ /* Integrate/let-fun.scm 225 */
long BgL_auxz00_4354;
{ /* Integrate/let-fun.scm 225 */
int BgL_auxz00_4355;
BgL_auxz00_4355 = 
(int)(((long)8)); 
BgL_auxz00_4354 = 
(long)(BgL_auxz00_4355); } 
BgL_modz00_3399 = 
(BgL_offsetz00_3398/BgL_auxz00_4354); } 
{ /* Integrate/let-fun.scm 225 */
long BgL_restz00_3401;
{ /* Integrate/let-fun.scm 225 */
long BgL_auxz00_4359;
{ /* Integrate/let-fun.scm 225 */
int BgL_auxz00_4360;
BgL_auxz00_4360 = 
(int)(((long)8)); 
BgL_auxz00_4359 = 
(long)(BgL_auxz00_4360); } 
BgL_restz00_3401 = 
(BgL_offsetz00_3398%BgL_auxz00_4359); } 
{ /* Integrate/let-fun.scm 225 */

{ /* Integrate/let-fun.scm 225 */
obj_t BgL_bucketz00_3403;
{ /* Integrate/let-fun.scm 225 */
int BgL_kz00_3413;
BgL_kz00_3413 = 
(int)(BgL_modz00_3399); 
BgL_bucketz00_3403 = 
VECTOR_REF(BgL_arg1221z00_3394,BgL_kz00_3413); } 
{ /* Integrate/let-fun.scm 225 */
int BgL_kz00_3415;
BgL_kz00_3415 = 
(int)(BgL_restz00_3401); 
BgL_method2950z00_3391 = 
VECTOR_REF(BgL_bucketz00_3403,BgL_kz00_3415); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3391)(BgL_method2950z00_3391, 
(obj_t)(BgL_nodez00_3389), 
(obj_t)(BgL_variablez00_3390), BEOA); } } 
{ 
obj_t BgL_clausesz00_4372;
BgL_clausesz00_4372 = 
CDR(BgL_clausesz00_2080); 
BgL_clausesz00_2080 = BgL_clausesz00_4372; 
goto BgL_liipz00_2081;} } } } } 
}



/* displace-let-fun-node!-fail2976 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2fail2976z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3743, obj_t BgL_nodez00_3744, obj_t BgL_hostz00_3745)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 210 */
{ 
BgL_failz00_bglt BgL_nodez00_2065;obj_t BgL_hostz00_2066;
BgL_nodez00_2065 = 
(BgL_failz00_bglt)(BgL_nodez00_3744); 
BgL_hostz00_2066 = BgL_hostz00_3745; 
{ /* Integrate/let-fun.scm 212 */
BgL_nodez00_bglt BgL_arg3112z00_2070;
BgL_arg3112z00_2070 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2065))->BgL_procz00); 
{ /* Integrate/let-fun.scm 212 */
BgL_variablez00_bglt BgL_variablez00_3275;
BgL_variablez00_3275 = 
(BgL_variablez00_bglt)(BgL_hostz00_2066); 
{ /* Integrate/let-fun.scm 212 */
obj_t BgL_method2950z00_3276;
{ /* Integrate/let-fun.scm 212 */
long BgL_objzd2classzd2numz00_3278;
{ /* Integrate/let-fun.scm 212 */
BgL_objectz00_bglt BgL_auxz00_4378;
BgL_auxz00_4378 = 
(BgL_objectz00_bglt)(BgL_arg3112z00_2070); 
BgL_objzd2classzd2numz00_3278 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4378); } 
{ /* Integrate/let-fun.scm 212 */
obj_t BgL_arg1221z00_3279;
{ /* Integrate/let-fun.scm 212 */
int BgL_auxz00_4381;
BgL_auxz00_4381 = 
(int)(((long)1)); 
BgL_arg1221z00_3279 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4381); } 
{ /* Integrate/let-fun.scm 212 */
long BgL_offsetz00_3283;
{ /* Integrate/let-fun.scm 212 */
long BgL_auxz00_4384;
{ /* Integrate/let-fun.scm 212 */
int BgL_auxz00_4385;
BgL_auxz00_4385 = 
(int)(BgL_objzd2classzd2numz00_3278); 
BgL_auxz00_4384 = 
(long)(BgL_auxz00_4385); } 
BgL_offsetz00_3283 = 
(BgL_auxz00_4384-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 212 */
long BgL_modz00_3284;
{ /* Integrate/let-fun.scm 212 */
long BgL_auxz00_4389;
{ /* Integrate/let-fun.scm 212 */
int BgL_auxz00_4390;
BgL_auxz00_4390 = 
(int)(((long)8)); 
BgL_auxz00_4389 = 
(long)(BgL_auxz00_4390); } 
BgL_modz00_3284 = 
(BgL_offsetz00_3283/BgL_auxz00_4389); } 
{ /* Integrate/let-fun.scm 212 */
long BgL_restz00_3286;
{ /* Integrate/let-fun.scm 212 */
long BgL_auxz00_4394;
{ /* Integrate/let-fun.scm 212 */
int BgL_auxz00_4395;
BgL_auxz00_4395 = 
(int)(((long)8)); 
BgL_auxz00_4394 = 
(long)(BgL_auxz00_4395); } 
BgL_restz00_3286 = 
(BgL_offsetz00_3283%BgL_auxz00_4394); } 
{ /* Integrate/let-fun.scm 212 */

{ /* Integrate/let-fun.scm 212 */
obj_t BgL_bucketz00_3288;
{ /* Integrate/let-fun.scm 212 */
int BgL_kz00_3298;
BgL_kz00_3298 = 
(int)(BgL_modz00_3284); 
BgL_bucketz00_3288 = 
VECTOR_REF(BgL_arg1221z00_3279,BgL_kz00_3298); } 
{ /* Integrate/let-fun.scm 212 */
int BgL_kz00_3300;
BgL_kz00_3300 = 
(int)(BgL_restz00_3286); 
BgL_method2950z00_3276 = 
VECTOR_REF(BgL_bucketz00_3288,BgL_kz00_3300); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3276)(BgL_method2950z00_3276, 
(obj_t)(BgL_arg3112z00_2070), 
(obj_t)(BgL_variablez00_3275), BEOA); } } } 
{ /* Integrate/let-fun.scm 213 */
BgL_nodez00_bglt BgL_arg3113z00_2071;
BgL_arg3113z00_2071 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2065))->BgL_msgz00); 
{ /* Integrate/let-fun.scm 213 */
BgL_variablez00_bglt BgL_variablez00_3303;
BgL_variablez00_3303 = 
(BgL_variablez00_bglt)(BgL_hostz00_2066); 
{ /* Integrate/let-fun.scm 213 */
obj_t BgL_method2950z00_3304;
{ /* Integrate/let-fun.scm 213 */
long BgL_objzd2classzd2numz00_3306;
{ /* Integrate/let-fun.scm 213 */
BgL_objectz00_bglt BgL_auxz00_4409;
BgL_auxz00_4409 = 
(BgL_objectz00_bglt)(BgL_arg3113z00_2071); 
BgL_objzd2classzd2numz00_3306 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4409); } 
{ /* Integrate/let-fun.scm 213 */
obj_t BgL_arg1221z00_3307;
{ /* Integrate/let-fun.scm 213 */
int BgL_auxz00_4412;
BgL_auxz00_4412 = 
(int)(((long)1)); 
BgL_arg1221z00_3307 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4412); } 
{ /* Integrate/let-fun.scm 213 */
long BgL_offsetz00_3311;
{ /* Integrate/let-fun.scm 213 */
long BgL_auxz00_4415;
{ /* Integrate/let-fun.scm 213 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(BgL_objzd2classzd2numz00_3306); 
BgL_auxz00_4415 = 
(long)(BgL_auxz00_4416); } 
BgL_offsetz00_3311 = 
(BgL_auxz00_4415-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 213 */
long BgL_modz00_3312;
{ /* Integrate/let-fun.scm 213 */
long BgL_auxz00_4420;
{ /* Integrate/let-fun.scm 213 */
int BgL_auxz00_4421;
BgL_auxz00_4421 = 
(int)(((long)8)); 
BgL_auxz00_4420 = 
(long)(BgL_auxz00_4421); } 
BgL_modz00_3312 = 
(BgL_offsetz00_3311/BgL_auxz00_4420); } 
{ /* Integrate/let-fun.scm 213 */
long BgL_restz00_3314;
{ /* Integrate/let-fun.scm 213 */
long BgL_auxz00_4425;
{ /* Integrate/let-fun.scm 213 */
int BgL_auxz00_4426;
BgL_auxz00_4426 = 
(int)(((long)8)); 
BgL_auxz00_4425 = 
(long)(BgL_auxz00_4426); } 
BgL_restz00_3314 = 
(BgL_offsetz00_3311%BgL_auxz00_4425); } 
{ /* Integrate/let-fun.scm 213 */

{ /* Integrate/let-fun.scm 213 */
obj_t BgL_bucketz00_3316;
{ /* Integrate/let-fun.scm 213 */
int BgL_kz00_3326;
BgL_kz00_3326 = 
(int)(BgL_modz00_3312); 
BgL_bucketz00_3316 = 
VECTOR_REF(BgL_arg1221z00_3307,BgL_kz00_3326); } 
{ /* Integrate/let-fun.scm 213 */
int BgL_kz00_3328;
BgL_kz00_3328 = 
(int)(BgL_restz00_3314); 
BgL_method2950z00_3304 = 
VECTOR_REF(BgL_bucketz00_3316,BgL_kz00_3328); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3304)(BgL_method2950z00_3304, 
(obj_t)(BgL_arg3113z00_2071), 
(obj_t)(BgL_variablez00_3303), BEOA); } } } 
{ /* Integrate/let-fun.scm 214 */
BgL_nodez00_bglt BgL_arg3114z00_2072;
BgL_arg3114z00_2072 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2065))->BgL_objz00); 
{ /* Integrate/let-fun.scm 214 */
BgL_variablez00_bglt BgL_variablez00_3331;
BgL_variablez00_3331 = 
(BgL_variablez00_bglt)(BgL_hostz00_2066); 
{ /* Integrate/let-fun.scm 214 */
obj_t BgL_method2950z00_3332;
{ /* Integrate/let-fun.scm 214 */
long BgL_objzd2classzd2numz00_3334;
{ /* Integrate/let-fun.scm 214 */
BgL_objectz00_bglt BgL_auxz00_4440;
BgL_auxz00_4440 = 
(BgL_objectz00_bglt)(BgL_arg3114z00_2072); 
BgL_objzd2classzd2numz00_3334 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4440); } 
{ /* Integrate/let-fun.scm 214 */
obj_t BgL_arg1221z00_3335;
{ /* Integrate/let-fun.scm 214 */
int BgL_auxz00_4443;
BgL_auxz00_4443 = 
(int)(((long)1)); 
BgL_arg1221z00_3335 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4443); } 
{ /* Integrate/let-fun.scm 214 */
long BgL_offsetz00_3339;
{ /* Integrate/let-fun.scm 214 */
long BgL_auxz00_4446;
{ /* Integrate/let-fun.scm 214 */
int BgL_auxz00_4447;
BgL_auxz00_4447 = 
(int)(BgL_objzd2classzd2numz00_3334); 
BgL_auxz00_4446 = 
(long)(BgL_auxz00_4447); } 
BgL_offsetz00_3339 = 
(BgL_auxz00_4446-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 214 */
long BgL_modz00_3340;
{ /* Integrate/let-fun.scm 214 */
long BgL_auxz00_4451;
{ /* Integrate/let-fun.scm 214 */
int BgL_auxz00_4452;
BgL_auxz00_4452 = 
(int)(((long)8)); 
BgL_auxz00_4451 = 
(long)(BgL_auxz00_4452); } 
BgL_modz00_3340 = 
(BgL_offsetz00_3339/BgL_auxz00_4451); } 
{ /* Integrate/let-fun.scm 214 */
long BgL_restz00_3342;
{ /* Integrate/let-fun.scm 214 */
long BgL_auxz00_4456;
{ /* Integrate/let-fun.scm 214 */
int BgL_auxz00_4457;
BgL_auxz00_4457 = 
(int)(((long)8)); 
BgL_auxz00_4456 = 
(long)(BgL_auxz00_4457); } 
BgL_restz00_3342 = 
(BgL_offsetz00_3339%BgL_auxz00_4456); } 
{ /* Integrate/let-fun.scm 214 */

{ /* Integrate/let-fun.scm 214 */
obj_t BgL_bucketz00_3344;
{ /* Integrate/let-fun.scm 214 */
int BgL_kz00_3354;
BgL_kz00_3354 = 
(int)(BgL_modz00_3340); 
BgL_bucketz00_3344 = 
VECTOR_REF(BgL_arg1221z00_3335,BgL_kz00_3354); } 
{ /* Integrate/let-fun.scm 214 */
int BgL_kz00_3356;
BgL_kz00_3356 = 
(int)(BgL_restz00_3342); 
BgL_method2950z00_3332 = 
VECTOR_REF(BgL_bucketz00_3344,BgL_kz00_3356); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3332)(BgL_method2950z00_3332, 
(obj_t)(BgL_arg3114z00_2072), 
(obj_t)(BgL_variablez00_3331), BEOA);} } } } } 
}



/* displace-let-fun-node!-conditional2974 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2conditional2974z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3746, obj_t BgL_nodez00_3747, obj_t BgL_hostz00_3748)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 201 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2055;obj_t BgL_hostz00_2056;
BgL_nodez00_2055 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3747); 
BgL_hostz00_2056 = BgL_hostz00_3748; 
{ /* Integrate/let-fun.scm 203 */
BgL_nodez00_bglt BgL_arg3108z00_2060;
BgL_arg3108z00_2060 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2055))->BgL_testz00); 
{ /* Integrate/let-fun.scm 203 */
BgL_variablez00_bglt BgL_variablez00_3191;
BgL_variablez00_3191 = 
(BgL_variablez00_bglt)(BgL_hostz00_2056); 
{ /* Integrate/let-fun.scm 203 */
obj_t BgL_method2950z00_3192;
{ /* Integrate/let-fun.scm 203 */
long BgL_objzd2classzd2numz00_3194;
{ /* Integrate/let-fun.scm 203 */
BgL_objectz00_bglt BgL_auxz00_4472;
BgL_auxz00_4472 = 
(BgL_objectz00_bglt)(BgL_arg3108z00_2060); 
BgL_objzd2classzd2numz00_3194 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4472); } 
{ /* Integrate/let-fun.scm 203 */
obj_t BgL_arg1221z00_3195;
{ /* Integrate/let-fun.scm 203 */
int BgL_auxz00_4475;
BgL_auxz00_4475 = 
(int)(((long)1)); 
BgL_arg1221z00_3195 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4475); } 
{ /* Integrate/let-fun.scm 203 */
long BgL_offsetz00_3199;
{ /* Integrate/let-fun.scm 203 */
long BgL_auxz00_4478;
{ /* Integrate/let-fun.scm 203 */
int BgL_auxz00_4479;
BgL_auxz00_4479 = 
(int)(BgL_objzd2classzd2numz00_3194); 
BgL_auxz00_4478 = 
(long)(BgL_auxz00_4479); } 
BgL_offsetz00_3199 = 
(BgL_auxz00_4478-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 203 */
long BgL_modz00_3200;
{ /* Integrate/let-fun.scm 203 */
long BgL_auxz00_4483;
{ /* Integrate/let-fun.scm 203 */
int BgL_auxz00_4484;
BgL_auxz00_4484 = 
(int)(((long)8)); 
BgL_auxz00_4483 = 
(long)(BgL_auxz00_4484); } 
BgL_modz00_3200 = 
(BgL_offsetz00_3199/BgL_auxz00_4483); } 
{ /* Integrate/let-fun.scm 203 */
long BgL_restz00_3202;
{ /* Integrate/let-fun.scm 203 */
long BgL_auxz00_4488;
{ /* Integrate/let-fun.scm 203 */
int BgL_auxz00_4489;
BgL_auxz00_4489 = 
(int)(((long)8)); 
BgL_auxz00_4488 = 
(long)(BgL_auxz00_4489); } 
BgL_restz00_3202 = 
(BgL_offsetz00_3199%BgL_auxz00_4488); } 
{ /* Integrate/let-fun.scm 203 */

{ /* Integrate/let-fun.scm 203 */
obj_t BgL_bucketz00_3204;
{ /* Integrate/let-fun.scm 203 */
int BgL_kz00_3214;
BgL_kz00_3214 = 
(int)(BgL_modz00_3200); 
BgL_bucketz00_3204 = 
VECTOR_REF(BgL_arg1221z00_3195,BgL_kz00_3214); } 
{ /* Integrate/let-fun.scm 203 */
int BgL_kz00_3216;
BgL_kz00_3216 = 
(int)(BgL_restz00_3202); 
BgL_method2950z00_3192 = 
VECTOR_REF(BgL_bucketz00_3204,BgL_kz00_3216); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3192)(BgL_method2950z00_3192, 
(obj_t)(BgL_arg3108z00_2060), 
(obj_t)(BgL_variablez00_3191), BEOA); } } } 
{ /* Integrate/let-fun.scm 204 */
BgL_nodez00_bglt BgL_arg3109z00_2061;
BgL_arg3109z00_2061 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2055))->BgL_truez00); 
{ /* Integrate/let-fun.scm 204 */
BgL_variablez00_bglt BgL_variablez00_3219;
BgL_variablez00_3219 = 
(BgL_variablez00_bglt)(BgL_hostz00_2056); 
{ /* Integrate/let-fun.scm 204 */
obj_t BgL_method2950z00_3220;
{ /* Integrate/let-fun.scm 204 */
long BgL_objzd2classzd2numz00_3222;
{ /* Integrate/let-fun.scm 204 */
BgL_objectz00_bglt BgL_auxz00_4503;
BgL_auxz00_4503 = 
(BgL_objectz00_bglt)(BgL_arg3109z00_2061); 
BgL_objzd2classzd2numz00_3222 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4503); } 
{ /* Integrate/let-fun.scm 204 */
obj_t BgL_arg1221z00_3223;
{ /* Integrate/let-fun.scm 204 */
int BgL_auxz00_4506;
BgL_auxz00_4506 = 
(int)(((long)1)); 
BgL_arg1221z00_3223 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4506); } 
{ /* Integrate/let-fun.scm 204 */
long BgL_offsetz00_3227;
{ /* Integrate/let-fun.scm 204 */
long BgL_auxz00_4509;
{ /* Integrate/let-fun.scm 204 */
int BgL_auxz00_4510;
BgL_auxz00_4510 = 
(int)(BgL_objzd2classzd2numz00_3222); 
BgL_auxz00_4509 = 
(long)(BgL_auxz00_4510); } 
BgL_offsetz00_3227 = 
(BgL_auxz00_4509-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 204 */
long BgL_modz00_3228;
{ /* Integrate/let-fun.scm 204 */
long BgL_auxz00_4514;
{ /* Integrate/let-fun.scm 204 */
int BgL_auxz00_4515;
BgL_auxz00_4515 = 
(int)(((long)8)); 
BgL_auxz00_4514 = 
(long)(BgL_auxz00_4515); } 
BgL_modz00_3228 = 
(BgL_offsetz00_3227/BgL_auxz00_4514); } 
{ /* Integrate/let-fun.scm 204 */
long BgL_restz00_3230;
{ /* Integrate/let-fun.scm 204 */
long BgL_auxz00_4519;
{ /* Integrate/let-fun.scm 204 */
int BgL_auxz00_4520;
BgL_auxz00_4520 = 
(int)(((long)8)); 
BgL_auxz00_4519 = 
(long)(BgL_auxz00_4520); } 
BgL_restz00_3230 = 
(BgL_offsetz00_3227%BgL_auxz00_4519); } 
{ /* Integrate/let-fun.scm 204 */

{ /* Integrate/let-fun.scm 204 */
obj_t BgL_bucketz00_3232;
{ /* Integrate/let-fun.scm 204 */
int BgL_kz00_3242;
BgL_kz00_3242 = 
(int)(BgL_modz00_3228); 
BgL_bucketz00_3232 = 
VECTOR_REF(BgL_arg1221z00_3223,BgL_kz00_3242); } 
{ /* Integrate/let-fun.scm 204 */
int BgL_kz00_3244;
BgL_kz00_3244 = 
(int)(BgL_restz00_3230); 
BgL_method2950z00_3220 = 
VECTOR_REF(BgL_bucketz00_3232,BgL_kz00_3244); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3220)(BgL_method2950z00_3220, 
(obj_t)(BgL_arg3109z00_2061), 
(obj_t)(BgL_variablez00_3219), BEOA); } } } 
{ /* Integrate/let-fun.scm 205 */
BgL_nodez00_bglt BgL_arg3110z00_2062;
BgL_arg3110z00_2062 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2055))->BgL_falsez00); 
{ /* Integrate/let-fun.scm 205 */
BgL_variablez00_bglt BgL_variablez00_3247;
BgL_variablez00_3247 = 
(BgL_variablez00_bglt)(BgL_hostz00_2056); 
{ /* Integrate/let-fun.scm 205 */
obj_t BgL_method2950z00_3248;
{ /* Integrate/let-fun.scm 205 */
long BgL_objzd2classzd2numz00_3250;
{ /* Integrate/let-fun.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4534;
BgL_auxz00_4534 = 
(BgL_objectz00_bglt)(BgL_arg3110z00_2062); 
BgL_objzd2classzd2numz00_3250 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4534); } 
{ /* Integrate/let-fun.scm 205 */
obj_t BgL_arg1221z00_3251;
{ /* Integrate/let-fun.scm 205 */
int BgL_auxz00_4537;
BgL_auxz00_4537 = 
(int)(((long)1)); 
BgL_arg1221z00_3251 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4537); } 
{ /* Integrate/let-fun.scm 205 */
long BgL_offsetz00_3255;
{ /* Integrate/let-fun.scm 205 */
long BgL_auxz00_4540;
{ /* Integrate/let-fun.scm 205 */
int BgL_auxz00_4541;
BgL_auxz00_4541 = 
(int)(BgL_objzd2classzd2numz00_3250); 
BgL_auxz00_4540 = 
(long)(BgL_auxz00_4541); } 
BgL_offsetz00_3255 = 
(BgL_auxz00_4540-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 205 */
long BgL_modz00_3256;
{ /* Integrate/let-fun.scm 205 */
long BgL_auxz00_4545;
{ /* Integrate/let-fun.scm 205 */
int BgL_auxz00_4546;
BgL_auxz00_4546 = 
(int)(((long)8)); 
BgL_auxz00_4545 = 
(long)(BgL_auxz00_4546); } 
BgL_modz00_3256 = 
(BgL_offsetz00_3255/BgL_auxz00_4545); } 
{ /* Integrate/let-fun.scm 205 */
long BgL_restz00_3258;
{ /* Integrate/let-fun.scm 205 */
long BgL_auxz00_4550;
{ /* Integrate/let-fun.scm 205 */
int BgL_auxz00_4551;
BgL_auxz00_4551 = 
(int)(((long)8)); 
BgL_auxz00_4550 = 
(long)(BgL_auxz00_4551); } 
BgL_restz00_3258 = 
(BgL_offsetz00_3255%BgL_auxz00_4550); } 
{ /* Integrate/let-fun.scm 205 */

{ /* Integrate/let-fun.scm 205 */
obj_t BgL_bucketz00_3260;
{ /* Integrate/let-fun.scm 205 */
int BgL_kz00_3270;
BgL_kz00_3270 = 
(int)(BgL_modz00_3256); 
BgL_bucketz00_3260 = 
VECTOR_REF(BgL_arg1221z00_3251,BgL_kz00_3270); } 
{ /* Integrate/let-fun.scm 205 */
int BgL_kz00_3272;
BgL_kz00_3272 = 
(int)(BgL_restz00_3258); 
BgL_method2950z00_3248 = 
VECTOR_REF(BgL_bucketz00_3260,BgL_kz00_3272); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3248)(BgL_method2950z00_3248, 
(obj_t)(BgL_arg3110z00_2062), 
(obj_t)(BgL_variablez00_3247), BEOA);} } } } } 
}



/* displace-let-fun-node!-setq2972 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2setq2972z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3749, obj_t BgL_nodez00_3750, obj_t BgL_hostz00_3751)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 194 */
{ 
BgL_setqz00_bglt BgL_nodez00_2047;obj_t BgL_hostz00_2048;
BgL_nodez00_2047 = 
(BgL_setqz00_bglt)(BgL_nodez00_3750); 
BgL_hostz00_2048 = BgL_hostz00_3751; 
{ /* Integrate/let-fun.scm 195 */
BgL_nodez00_bglt BgL_arg3106z00_3160;
BgL_arg3106z00_3160 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2047))->BgL_valuez00); 
{ /* Integrate/let-fun.scm 195 */
BgL_variablez00_bglt BgL_variablez00_3163;
BgL_variablez00_3163 = 
(BgL_variablez00_bglt)(BgL_hostz00_2048); 
{ /* Integrate/let-fun.scm 195 */
obj_t BgL_method2950z00_3164;
{ /* Integrate/let-fun.scm 195 */
long BgL_objzd2classzd2numz00_3166;
{ /* Integrate/let-fun.scm 195 */
BgL_objectz00_bglt BgL_auxz00_4566;
BgL_auxz00_4566 = 
(BgL_objectz00_bglt)(BgL_arg3106z00_3160); 
BgL_objzd2classzd2numz00_3166 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4566); } 
{ /* Integrate/let-fun.scm 195 */
obj_t BgL_arg1221z00_3167;
{ /* Integrate/let-fun.scm 195 */
int BgL_auxz00_4569;
BgL_auxz00_4569 = 
(int)(((long)1)); 
BgL_arg1221z00_3167 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4569); } 
{ /* Integrate/let-fun.scm 195 */
long BgL_offsetz00_3171;
{ /* Integrate/let-fun.scm 195 */
long BgL_auxz00_4572;
{ /* Integrate/let-fun.scm 195 */
int BgL_auxz00_4573;
BgL_auxz00_4573 = 
(int)(BgL_objzd2classzd2numz00_3166); 
BgL_auxz00_4572 = 
(long)(BgL_auxz00_4573); } 
BgL_offsetz00_3171 = 
(BgL_auxz00_4572-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 195 */
long BgL_modz00_3172;
{ /* Integrate/let-fun.scm 195 */
long BgL_auxz00_4577;
{ /* Integrate/let-fun.scm 195 */
int BgL_auxz00_4578;
BgL_auxz00_4578 = 
(int)(((long)8)); 
BgL_auxz00_4577 = 
(long)(BgL_auxz00_4578); } 
BgL_modz00_3172 = 
(BgL_offsetz00_3171/BgL_auxz00_4577); } 
{ /* Integrate/let-fun.scm 195 */
long BgL_restz00_3174;
{ /* Integrate/let-fun.scm 195 */
long BgL_auxz00_4582;
{ /* Integrate/let-fun.scm 195 */
int BgL_auxz00_4583;
BgL_auxz00_4583 = 
(int)(((long)8)); 
BgL_auxz00_4582 = 
(long)(BgL_auxz00_4583); } 
BgL_restz00_3174 = 
(BgL_offsetz00_3171%BgL_auxz00_4582); } 
{ /* Integrate/let-fun.scm 195 */

{ /* Integrate/let-fun.scm 195 */
obj_t BgL_bucketz00_3176;
{ /* Integrate/let-fun.scm 195 */
int BgL_kz00_3186;
BgL_kz00_3186 = 
(int)(BgL_modz00_3172); 
BgL_bucketz00_3176 = 
VECTOR_REF(BgL_arg1221z00_3167,BgL_kz00_3186); } 
{ /* Integrate/let-fun.scm 195 */
int BgL_kz00_3188;
BgL_kz00_3188 = 
(int)(BgL_restz00_3174); 
BgL_method2950z00_3164 = 
VECTOR_REF(BgL_bucketz00_3176,BgL_kz00_3188); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3164)(BgL_method2950z00_3164, 
(obj_t)(BgL_arg3106z00_3160), 
(obj_t)(BgL_variablez00_3163), BEOA);} } } } } 
}



/* displace-let-fun-node!-cast2970 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2cast2970z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3752, obj_t BgL_nodez00_3753, obj_t BgL_hostz00_3754)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 187 */
{ 
BgL_castz00_bglt BgL_nodez00_2039;obj_t BgL_hostz00_2040;
BgL_nodez00_2039 = 
(BgL_castz00_bglt)(BgL_nodez00_3753); 
BgL_hostz00_2040 = BgL_hostz00_3754; 
{ /* Integrate/let-fun.scm 188 */
BgL_nodez00_bglt BgL_arg3104z00_3130;
BgL_arg3104z00_3130 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2039))->BgL_argz00); 
{ /* Integrate/let-fun.scm 188 */
BgL_variablez00_bglt BgL_variablez00_3133;
BgL_variablez00_3133 = 
(BgL_variablez00_bglt)(BgL_hostz00_2040); 
{ /* Integrate/let-fun.scm 188 */
obj_t BgL_method2950z00_3134;
{ /* Integrate/let-fun.scm 188 */
long BgL_objzd2classzd2numz00_3136;
{ /* Integrate/let-fun.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4598;
BgL_auxz00_4598 = 
(BgL_objectz00_bglt)(BgL_arg3104z00_3130); 
BgL_objzd2classzd2numz00_3136 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4598); } 
{ /* Integrate/let-fun.scm 188 */
obj_t BgL_arg1221z00_3137;
{ /* Integrate/let-fun.scm 188 */
int BgL_auxz00_4601;
BgL_auxz00_4601 = 
(int)(((long)1)); 
BgL_arg1221z00_3137 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4601); } 
{ /* Integrate/let-fun.scm 188 */
long BgL_offsetz00_3141;
{ /* Integrate/let-fun.scm 188 */
long BgL_auxz00_4604;
{ /* Integrate/let-fun.scm 188 */
int BgL_auxz00_4605;
BgL_auxz00_4605 = 
(int)(BgL_objzd2classzd2numz00_3136); 
BgL_auxz00_4604 = 
(long)(BgL_auxz00_4605); } 
BgL_offsetz00_3141 = 
(BgL_auxz00_4604-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 188 */
long BgL_modz00_3142;
{ /* Integrate/let-fun.scm 188 */
long BgL_auxz00_4609;
{ /* Integrate/let-fun.scm 188 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)8)); 
BgL_auxz00_4609 = 
(long)(BgL_auxz00_4610); } 
BgL_modz00_3142 = 
(BgL_offsetz00_3141/BgL_auxz00_4609); } 
{ /* Integrate/let-fun.scm 188 */
long BgL_restz00_3144;
{ /* Integrate/let-fun.scm 188 */
long BgL_auxz00_4614;
{ /* Integrate/let-fun.scm 188 */
int BgL_auxz00_4615;
BgL_auxz00_4615 = 
(int)(((long)8)); 
BgL_auxz00_4614 = 
(long)(BgL_auxz00_4615); } 
BgL_restz00_3144 = 
(BgL_offsetz00_3141%BgL_auxz00_4614); } 
{ /* Integrate/let-fun.scm 188 */

{ /* Integrate/let-fun.scm 188 */
obj_t BgL_bucketz00_3146;
{ /* Integrate/let-fun.scm 188 */
int BgL_kz00_3156;
BgL_kz00_3156 = 
(int)(BgL_modz00_3142); 
BgL_bucketz00_3146 = 
VECTOR_REF(BgL_arg1221z00_3137,BgL_kz00_3156); } 
{ /* Integrate/let-fun.scm 188 */
int BgL_kz00_3158;
BgL_kz00_3158 = 
(int)(BgL_restz00_3144); 
BgL_method2950z00_3134 = 
VECTOR_REF(BgL_bucketz00_3146,BgL_kz00_3158); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3134)(BgL_method2950z00_3134, 
(obj_t)(BgL_arg3104z00_3130), 
(obj_t)(BgL_variablez00_3133), BEOA);} } } } } 
}



/* displace-let-fun-node!-extern2968 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2extern2968z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3755, obj_t BgL_nodez00_3756, obj_t BgL_hostz00_3757)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 180 */
{ 
BgL_externz00_bglt BgL_nodez00_2026;obj_t BgL_hostz00_2027;
{ /* Integrate/let-fun.scm 181 */
bool_t BgL_auxz00_4628;
BgL_nodez00_2026 = 
(BgL_externz00_bglt)(BgL_nodez00_3756); 
BgL_hostz00_2027 = BgL_hostz00_3757; 
{ 
obj_t BgL_l2927z00_2031;
BgL_l2927z00_2031 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_2026))->BgL_exprza2za2); 
BgL_lname2928z00_2032:
if(
PAIRP(BgL_l2927z00_2031))
{ /* Integrate/let-fun.scm 182 */
{ /* Integrate/let-fun.scm 182 */
BgL_nodez00_bglt BgL_nodez00_3101;BgL_variablez00_bglt BgL_variablez00_3102;
{ /* Integrate/let-fun.scm 182 */
obj_t BgL_auxz00_4631;
BgL_auxz00_4631 = 
CAR(BgL_l2927z00_2031); 
BgL_nodez00_3101 = 
(BgL_nodez00_bglt)(BgL_auxz00_4631); } 
BgL_variablez00_3102 = 
(BgL_variablez00_bglt)(BgL_hostz00_2027); 
{ /* Integrate/let-fun.scm 182 */
obj_t BgL_method2950z00_3103;
{ /* Integrate/let-fun.scm 182 */
long BgL_objzd2classzd2numz00_3105;
{ /* Integrate/let-fun.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4635;
BgL_auxz00_4635 = 
(BgL_objectz00_bglt)(BgL_nodez00_3101); 
BgL_objzd2classzd2numz00_3105 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4635); } 
{ /* Integrate/let-fun.scm 182 */
obj_t BgL_arg1221z00_3106;
{ /* Integrate/let-fun.scm 182 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(((long)1)); 
BgL_arg1221z00_3106 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4638); } 
{ /* Integrate/let-fun.scm 182 */
long BgL_offsetz00_3110;
{ /* Integrate/let-fun.scm 182 */
long BgL_auxz00_4641;
{ /* Integrate/let-fun.scm 182 */
int BgL_auxz00_4642;
BgL_auxz00_4642 = 
(int)(BgL_objzd2classzd2numz00_3105); 
BgL_auxz00_4641 = 
(long)(BgL_auxz00_4642); } 
BgL_offsetz00_3110 = 
(BgL_auxz00_4641-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 182 */
long BgL_modz00_3111;
{ /* Integrate/let-fun.scm 182 */
long BgL_auxz00_4646;
{ /* Integrate/let-fun.scm 182 */
int BgL_auxz00_4647;
BgL_auxz00_4647 = 
(int)(((long)8)); 
BgL_auxz00_4646 = 
(long)(BgL_auxz00_4647); } 
BgL_modz00_3111 = 
(BgL_offsetz00_3110/BgL_auxz00_4646); } 
{ /* Integrate/let-fun.scm 182 */
long BgL_restz00_3113;
{ /* Integrate/let-fun.scm 182 */
long BgL_auxz00_4651;
{ /* Integrate/let-fun.scm 182 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)8)); 
BgL_auxz00_4651 = 
(long)(BgL_auxz00_4652); } 
BgL_restz00_3113 = 
(BgL_offsetz00_3110%BgL_auxz00_4651); } 
{ /* Integrate/let-fun.scm 182 */

{ /* Integrate/let-fun.scm 182 */
obj_t BgL_bucketz00_3115;
{ /* Integrate/let-fun.scm 182 */
int BgL_kz00_3125;
BgL_kz00_3125 = 
(int)(BgL_modz00_3111); 
BgL_bucketz00_3115 = 
VECTOR_REF(BgL_arg1221z00_3106,BgL_kz00_3125); } 
{ /* Integrate/let-fun.scm 182 */
int BgL_kz00_3127;
BgL_kz00_3127 = 
(int)(BgL_restz00_3113); 
BgL_method2950z00_3103 = 
VECTOR_REF(BgL_bucketz00_3115,BgL_kz00_3127); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3103)(BgL_method2950z00_3103, 
(obj_t)(BgL_nodez00_3101), 
(obj_t)(BgL_variablez00_3102), BEOA); } } 
{ 
obj_t BgL_l2927z00_4664;
BgL_l2927z00_4664 = 
CDR(BgL_l2927z00_2031); 
BgL_l2927z00_2031 = BgL_l2927z00_4664; 
goto BgL_lname2928z00_2032;} }  else 
{ /* Integrate/let-fun.scm 182 */
BgL_auxz00_4628 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4628);} } } 
}



/* displace-let-fun-node!-funcall2966 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2funcall2966z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3758, obj_t BgL_nodez00_3759, obj_t BgL_hostz00_3760)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 168 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2012;obj_t BgL_hostz00_2013;
BgL_nodez00_2012 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3759); 
BgL_hostz00_2013 = BgL_hostz00_3760; 
{ 
obj_t BgL_astsz00_2017;
BgL_astsz00_2017 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2012))->BgL_argsz00); 
BgL_liipz00_2018:
if(
NULLP(BgL_astsz00_2017))
{ /* Integrate/let-fun.scm 172 */
BgL_nodez00_bglt BgL_arg3096z00_2021;
BgL_arg3096z00_2021 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2012))->BgL_funz00); 
{ /* Integrate/let-fun.scm 172 */
BgL_variablez00_bglt BgL_variablez00_3043;
BgL_variablez00_3043 = 
(BgL_variablez00_bglt)(BgL_hostz00_2013); 
{ /* Integrate/let-fun.scm 172 */
obj_t BgL_method2950z00_3044;
{ /* Integrate/let-fun.scm 172 */
long BgL_objzd2classzd2numz00_3046;
{ /* Integrate/let-fun.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4673;
BgL_auxz00_4673 = 
(BgL_objectz00_bglt)(BgL_arg3096z00_2021); 
BgL_objzd2classzd2numz00_3046 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4673); } 
{ /* Integrate/let-fun.scm 172 */
obj_t BgL_arg1221z00_3047;
{ /* Integrate/let-fun.scm 172 */
int BgL_auxz00_4676;
BgL_auxz00_4676 = 
(int)(((long)1)); 
BgL_arg1221z00_3047 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4676); } 
{ /* Integrate/let-fun.scm 172 */
long BgL_offsetz00_3051;
{ /* Integrate/let-fun.scm 172 */
long BgL_auxz00_4679;
{ /* Integrate/let-fun.scm 172 */
int BgL_auxz00_4680;
BgL_auxz00_4680 = 
(int)(BgL_objzd2classzd2numz00_3046); 
BgL_auxz00_4679 = 
(long)(BgL_auxz00_4680); } 
BgL_offsetz00_3051 = 
(BgL_auxz00_4679-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 172 */
long BgL_modz00_3052;
{ /* Integrate/let-fun.scm 172 */
long BgL_auxz00_4684;
{ /* Integrate/let-fun.scm 172 */
int BgL_auxz00_4685;
BgL_auxz00_4685 = 
(int)(((long)8)); 
BgL_auxz00_4684 = 
(long)(BgL_auxz00_4685); } 
BgL_modz00_3052 = 
(BgL_offsetz00_3051/BgL_auxz00_4684); } 
{ /* Integrate/let-fun.scm 172 */
long BgL_restz00_3054;
{ /* Integrate/let-fun.scm 172 */
long BgL_auxz00_4689;
{ /* Integrate/let-fun.scm 172 */
int BgL_auxz00_4690;
BgL_auxz00_4690 = 
(int)(((long)8)); 
BgL_auxz00_4689 = 
(long)(BgL_auxz00_4690); } 
BgL_restz00_3054 = 
(BgL_offsetz00_3051%BgL_auxz00_4689); } 
{ /* Integrate/let-fun.scm 172 */

{ /* Integrate/let-fun.scm 172 */
obj_t BgL_bucketz00_3056;
{ /* Integrate/let-fun.scm 172 */
int BgL_kz00_3066;
BgL_kz00_3066 = 
(int)(BgL_modz00_3052); 
BgL_bucketz00_3056 = 
VECTOR_REF(BgL_arg1221z00_3047,BgL_kz00_3066); } 
{ /* Integrate/let-fun.scm 172 */
int BgL_kz00_3068;
BgL_kz00_3068 = 
(int)(BgL_restz00_3054); 
BgL_method2950z00_3044 = 
VECTOR_REF(BgL_bucketz00_3056,BgL_kz00_3068); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3044)(BgL_method2950z00_3044, 
(obj_t)(BgL_arg3096z00_2021), 
(obj_t)(BgL_variablez00_3043), BEOA);} } }  else 
{ /* Integrate/let-fun.scm 171 */
{ /* Integrate/let-fun.scm 174 */
BgL_nodez00_bglt BgL_nodez00_3070;BgL_variablez00_bglt BgL_variablez00_3071;
{ /* Integrate/let-fun.scm 174 */
obj_t BgL_auxz00_4702;
BgL_auxz00_4702 = 
CAR(BgL_astsz00_2017); 
BgL_nodez00_3070 = 
(BgL_nodez00_bglt)(BgL_auxz00_4702); } 
BgL_variablez00_3071 = 
(BgL_variablez00_bglt)(BgL_hostz00_2013); 
{ /* Integrate/let-fun.scm 174 */
obj_t BgL_method2950z00_3072;
{ /* Integrate/let-fun.scm 174 */
long BgL_objzd2classzd2numz00_3074;
{ /* Integrate/let-fun.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4706;
BgL_auxz00_4706 = 
(BgL_objectz00_bglt)(BgL_nodez00_3070); 
BgL_objzd2classzd2numz00_3074 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4706); } 
{ /* Integrate/let-fun.scm 174 */
obj_t BgL_arg1221z00_3075;
{ /* Integrate/let-fun.scm 174 */
int BgL_auxz00_4709;
BgL_auxz00_4709 = 
(int)(((long)1)); 
BgL_arg1221z00_3075 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4709); } 
{ /* Integrate/let-fun.scm 174 */
long BgL_offsetz00_3079;
{ /* Integrate/let-fun.scm 174 */
long BgL_auxz00_4712;
{ /* Integrate/let-fun.scm 174 */
int BgL_auxz00_4713;
BgL_auxz00_4713 = 
(int)(BgL_objzd2classzd2numz00_3074); 
BgL_auxz00_4712 = 
(long)(BgL_auxz00_4713); } 
BgL_offsetz00_3079 = 
(BgL_auxz00_4712-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 174 */
long BgL_modz00_3080;
{ /* Integrate/let-fun.scm 174 */
long BgL_auxz00_4717;
{ /* Integrate/let-fun.scm 174 */
int BgL_auxz00_4718;
BgL_auxz00_4718 = 
(int)(((long)8)); 
BgL_auxz00_4717 = 
(long)(BgL_auxz00_4718); } 
BgL_modz00_3080 = 
(BgL_offsetz00_3079/BgL_auxz00_4717); } 
{ /* Integrate/let-fun.scm 174 */
long BgL_restz00_3082;
{ /* Integrate/let-fun.scm 174 */
long BgL_auxz00_4722;
{ /* Integrate/let-fun.scm 174 */
int BgL_auxz00_4723;
BgL_auxz00_4723 = 
(int)(((long)8)); 
BgL_auxz00_4722 = 
(long)(BgL_auxz00_4723); } 
BgL_restz00_3082 = 
(BgL_offsetz00_3079%BgL_auxz00_4722); } 
{ /* Integrate/let-fun.scm 174 */

{ /* Integrate/let-fun.scm 174 */
obj_t BgL_bucketz00_3084;
{ /* Integrate/let-fun.scm 174 */
int BgL_kz00_3094;
BgL_kz00_3094 = 
(int)(BgL_modz00_3080); 
BgL_bucketz00_3084 = 
VECTOR_REF(BgL_arg1221z00_3075,BgL_kz00_3094); } 
{ /* Integrate/let-fun.scm 174 */
int BgL_kz00_3096;
BgL_kz00_3096 = 
(int)(BgL_restz00_3082); 
BgL_method2950z00_3072 = 
VECTOR_REF(BgL_bucketz00_3084,BgL_kz00_3096); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_3072)(BgL_method2950z00_3072, 
(obj_t)(BgL_nodez00_3070), 
(obj_t)(BgL_variablez00_3071), BEOA); } } 
{ 
obj_t BgL_astsz00_4735;
BgL_astsz00_4735 = 
CDR(BgL_astsz00_2017); 
BgL_astsz00_2017 = BgL_astsz00_4735; 
goto BgL_liipz00_2018;} } } } } 
}



/* displace-let-fun-node!-app-ly2964 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2appzd2ly2964zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3761, obj_t BgL_nodez00_3762, obj_t BgL_hostz00_3763)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 160 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2003;obj_t BgL_hostz00_2004;
BgL_nodez00_2003 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3762); 
BgL_hostz00_2004 = BgL_hostz00_3763; 
{ /* Integrate/let-fun.scm 161 */
BgL_nodez00_bglt BgL_arg3091z00_2981;
BgL_arg3091z00_2981 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2003))->BgL_funz00); 
{ /* Integrate/let-fun.scm 161 */
BgL_variablez00_bglt BgL_variablez00_2985;
BgL_variablez00_2985 = 
(BgL_variablez00_bglt)(BgL_hostz00_2004); 
{ /* Integrate/let-fun.scm 161 */
obj_t BgL_method2950z00_2986;
{ /* Integrate/let-fun.scm 161 */
long BgL_objzd2classzd2numz00_2988;
{ /* Integrate/let-fun.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4741;
BgL_auxz00_4741 = 
(BgL_objectz00_bglt)(BgL_arg3091z00_2981); 
BgL_objzd2classzd2numz00_2988 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4741); } 
{ /* Integrate/let-fun.scm 161 */
obj_t BgL_arg1221z00_2989;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4744;
BgL_auxz00_4744 = 
(int)(((long)1)); 
BgL_arg1221z00_2989 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4744); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_offsetz00_2993;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4747;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4748;
BgL_auxz00_4748 = 
(int)(BgL_objzd2classzd2numz00_2988); 
BgL_auxz00_4747 = 
(long)(BgL_auxz00_4748); } 
BgL_offsetz00_2993 = 
(BgL_auxz00_4747-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_modz00_2994;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4752;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4753;
BgL_auxz00_4753 = 
(int)(((long)8)); 
BgL_auxz00_4752 = 
(long)(BgL_auxz00_4753); } 
BgL_modz00_2994 = 
(BgL_offsetz00_2993/BgL_auxz00_4752); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_restz00_2996;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4757;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4758;
BgL_auxz00_4758 = 
(int)(((long)8)); 
BgL_auxz00_4757 = 
(long)(BgL_auxz00_4758); } 
BgL_restz00_2996 = 
(BgL_offsetz00_2993%BgL_auxz00_4757); } 
{ /* Integrate/let-fun.scm 161 */

{ /* Integrate/let-fun.scm 161 */
obj_t BgL_bucketz00_2998;
{ /* Integrate/let-fun.scm 161 */
int BgL_kz00_3008;
BgL_kz00_3008 = 
(int)(BgL_modz00_2994); 
BgL_bucketz00_2998 = 
VECTOR_REF(BgL_arg1221z00_2989,BgL_kz00_3008); } 
{ /* Integrate/let-fun.scm 161 */
int BgL_kz00_3010;
BgL_kz00_3010 = 
(int)(BgL_restz00_2996); 
BgL_method2950z00_2986 = 
VECTOR_REF(BgL_bucketz00_2998,BgL_kz00_3010); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_2986)(BgL_method2950z00_2986, 
(obj_t)(BgL_arg3091z00_2981), 
(obj_t)(BgL_variablez00_2985), BEOA); } } } 
{ /* Integrate/let-fun.scm 161 */
BgL_nodez00_bglt BgL_arg3092z00_2982;
BgL_arg3092z00_2982 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2003))->BgL_argz00); 
{ /* Integrate/let-fun.scm 161 */
BgL_variablez00_bglt BgL_variablez00_3013;
BgL_variablez00_3013 = 
(BgL_variablez00_bglt)(BgL_hostz00_2004); 
{ /* Integrate/let-fun.scm 161 */
obj_t BgL_method2950z00_3014;
{ /* Integrate/let-fun.scm 161 */
long BgL_objzd2classzd2numz00_3016;
{ /* Integrate/let-fun.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4772;
BgL_auxz00_4772 = 
(BgL_objectz00_bglt)(BgL_arg3092z00_2982); 
BgL_objzd2classzd2numz00_3016 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4772); } 
{ /* Integrate/let-fun.scm 161 */
obj_t BgL_arg1221z00_3017;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4775;
BgL_auxz00_4775 = 
(int)(((long)1)); 
BgL_arg1221z00_3017 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4775); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_offsetz00_3021;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4778;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4779;
BgL_auxz00_4779 = 
(int)(BgL_objzd2classzd2numz00_3016); 
BgL_auxz00_4778 = 
(long)(BgL_auxz00_4779); } 
BgL_offsetz00_3021 = 
(BgL_auxz00_4778-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_modz00_3022;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4783;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4784;
BgL_auxz00_4784 = 
(int)(((long)8)); 
BgL_auxz00_4783 = 
(long)(BgL_auxz00_4784); } 
BgL_modz00_3022 = 
(BgL_offsetz00_3021/BgL_auxz00_4783); } 
{ /* Integrate/let-fun.scm 161 */
long BgL_restz00_3024;
{ /* Integrate/let-fun.scm 161 */
long BgL_auxz00_4788;
{ /* Integrate/let-fun.scm 161 */
int BgL_auxz00_4789;
BgL_auxz00_4789 = 
(int)(((long)8)); 
BgL_auxz00_4788 = 
(long)(BgL_auxz00_4789); } 
BgL_restz00_3024 = 
(BgL_offsetz00_3021%BgL_auxz00_4788); } 
{ /* Integrate/let-fun.scm 161 */

{ /* Integrate/let-fun.scm 161 */
obj_t BgL_bucketz00_3026;
{ /* Integrate/let-fun.scm 161 */
int BgL_kz00_3036;
BgL_kz00_3036 = 
(int)(BgL_modz00_3022); 
BgL_bucketz00_3026 = 
VECTOR_REF(BgL_arg1221z00_3017,BgL_kz00_3036); } 
{ /* Integrate/let-fun.scm 161 */
int BgL_kz00_3038;
BgL_kz00_3038 = 
(int)(BgL_restz00_3024); 
BgL_method2950z00_3014 = 
VECTOR_REF(BgL_bucketz00_3026,BgL_kz00_3038); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3014)(BgL_method2950z00_3014, 
(obj_t)(BgL_arg3092z00_2982), 
(obj_t)(BgL_variablez00_3013), BEOA);} } } } } 
}



/* displace-let-fun-node!-app2962 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2app2962z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3764, obj_t BgL_nodez00_3765, obj_t BgL_hostz00_3766)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 149 */
{ 
BgL_appz00_bglt BgL_nodez00_1991;obj_t BgL_hostz00_1992;
BgL_nodez00_1991 = 
(BgL_appz00_bglt)(BgL_nodez00_3765); 
BgL_hostz00_1992 = BgL_hostz00_3766; 
{ 
obj_t BgL_argsz00_1995;
BgL_argsz00_1995 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1991))->BgL_argsz00); 
BgL_liipz00_1996:
if(
NULLP(BgL_argsz00_1995))
{ /* Integrate/let-fun.scm 151 */
return BUNSPEC;}  else 
{ /* Integrate/let-fun.scm 151 */
{ /* Integrate/let-fun.scm 154 */
BgL_nodez00_bglt BgL_nodez00_2952;BgL_variablez00_bglt BgL_variablez00_2953;
{ /* Integrate/let-fun.scm 154 */
obj_t BgL_auxz00_4804;
BgL_auxz00_4804 = 
CAR(BgL_argsz00_1995); 
BgL_nodez00_2952 = 
(BgL_nodez00_bglt)(BgL_auxz00_4804); } 
BgL_variablez00_2953 = 
(BgL_variablez00_bglt)(BgL_hostz00_1992); 
{ /* Integrate/let-fun.scm 154 */
obj_t BgL_method2950z00_2954;
{ /* Integrate/let-fun.scm 154 */
long BgL_objzd2classzd2numz00_2956;
{ /* Integrate/let-fun.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4808;
BgL_auxz00_4808 = 
(BgL_objectz00_bglt)(BgL_nodez00_2952); 
BgL_objzd2classzd2numz00_2956 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4808); } 
{ /* Integrate/let-fun.scm 154 */
obj_t BgL_arg1221z00_2957;
{ /* Integrate/let-fun.scm 154 */
int BgL_auxz00_4811;
BgL_auxz00_4811 = 
(int)(((long)1)); 
BgL_arg1221z00_2957 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4811); } 
{ /* Integrate/let-fun.scm 154 */
long BgL_offsetz00_2961;
{ /* Integrate/let-fun.scm 154 */
long BgL_auxz00_4814;
{ /* Integrate/let-fun.scm 154 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(BgL_objzd2classzd2numz00_2956); 
BgL_auxz00_4814 = 
(long)(BgL_auxz00_4815); } 
BgL_offsetz00_2961 = 
(BgL_auxz00_4814-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 154 */
long BgL_modz00_2962;
{ /* Integrate/let-fun.scm 154 */
long BgL_auxz00_4819;
{ /* Integrate/let-fun.scm 154 */
int BgL_auxz00_4820;
BgL_auxz00_4820 = 
(int)(((long)8)); 
BgL_auxz00_4819 = 
(long)(BgL_auxz00_4820); } 
BgL_modz00_2962 = 
(BgL_offsetz00_2961/BgL_auxz00_4819); } 
{ /* Integrate/let-fun.scm 154 */
long BgL_restz00_2964;
{ /* Integrate/let-fun.scm 154 */
long BgL_auxz00_4824;
{ /* Integrate/let-fun.scm 154 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)8)); 
BgL_auxz00_4824 = 
(long)(BgL_auxz00_4825); } 
BgL_restz00_2964 = 
(BgL_offsetz00_2961%BgL_auxz00_4824); } 
{ /* Integrate/let-fun.scm 154 */

{ /* Integrate/let-fun.scm 154 */
obj_t BgL_bucketz00_2966;
{ /* Integrate/let-fun.scm 154 */
int BgL_kz00_2976;
BgL_kz00_2976 = 
(int)(BgL_modz00_2962); 
BgL_bucketz00_2966 = 
VECTOR_REF(BgL_arg1221z00_2957,BgL_kz00_2976); } 
{ /* Integrate/let-fun.scm 154 */
int BgL_kz00_2978;
BgL_kz00_2978 = 
(int)(BgL_restz00_2964); 
BgL_method2950z00_2954 = 
VECTOR_REF(BgL_bucketz00_2966,BgL_kz00_2978); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_2954)(BgL_method2950z00_2954, 
(obj_t)(BgL_nodez00_2952), 
(obj_t)(BgL_variablez00_2953), BEOA); } } 
{ 
obj_t BgL_argsz00_4837;
BgL_argsz00_4837 = 
CDR(BgL_argsz00_1995); 
BgL_argsz00_1995 = BgL_argsz00_4837; 
goto BgL_liipz00_1996;} } } } } 
}



/* displace-let-fun-node!-sequence2960 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2sequence2960z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3767, obj_t BgL_nodez00_3768, obj_t BgL_hostz00_3769)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 142 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1978;obj_t BgL_hostz00_1979;
{ /* Integrate/let-fun.scm 143 */
bool_t BgL_auxz00_4841;
BgL_nodez00_1978 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3768); 
BgL_hostz00_1979 = BgL_hostz00_3769; 
{ 
obj_t BgL_l2919z00_1983;
BgL_l2919z00_1983 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1978))->BgL_nodesz00); 
BgL_lname2920z00_1984:
if(
PAIRP(BgL_l2919z00_1983))
{ /* Integrate/let-fun.scm 144 */
{ /* Integrate/let-fun.scm 144 */
BgL_nodez00_bglt BgL_nodez00_2921;BgL_variablez00_bglt BgL_variablez00_2922;
{ /* Integrate/let-fun.scm 144 */
obj_t BgL_auxz00_4844;
BgL_auxz00_4844 = 
CAR(BgL_l2919z00_1983); 
BgL_nodez00_2921 = 
(BgL_nodez00_bglt)(BgL_auxz00_4844); } 
BgL_variablez00_2922 = 
(BgL_variablez00_bglt)(BgL_hostz00_1979); 
{ /* Integrate/let-fun.scm 144 */
obj_t BgL_method2950z00_2923;
{ /* Integrate/let-fun.scm 144 */
long BgL_objzd2classzd2numz00_2925;
{ /* Integrate/let-fun.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4848;
BgL_auxz00_4848 = 
(BgL_objectz00_bglt)(BgL_nodez00_2921); 
BgL_objzd2classzd2numz00_2925 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4848); } 
{ /* Integrate/let-fun.scm 144 */
obj_t BgL_arg1221z00_2926;
{ /* Integrate/let-fun.scm 144 */
int BgL_auxz00_4851;
BgL_auxz00_4851 = 
(int)(((long)1)); 
BgL_arg1221z00_2926 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4851); } 
{ /* Integrate/let-fun.scm 144 */
long BgL_offsetz00_2930;
{ /* Integrate/let-fun.scm 144 */
long BgL_auxz00_4854;
{ /* Integrate/let-fun.scm 144 */
int BgL_auxz00_4855;
BgL_auxz00_4855 = 
(int)(BgL_objzd2classzd2numz00_2925); 
BgL_auxz00_4854 = 
(long)(BgL_auxz00_4855); } 
BgL_offsetz00_2930 = 
(BgL_auxz00_4854-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 144 */
long BgL_modz00_2931;
{ /* Integrate/let-fun.scm 144 */
long BgL_auxz00_4859;
{ /* Integrate/let-fun.scm 144 */
int BgL_auxz00_4860;
BgL_auxz00_4860 = 
(int)(((long)8)); 
BgL_auxz00_4859 = 
(long)(BgL_auxz00_4860); } 
BgL_modz00_2931 = 
(BgL_offsetz00_2930/BgL_auxz00_4859); } 
{ /* Integrate/let-fun.scm 144 */
long BgL_restz00_2933;
{ /* Integrate/let-fun.scm 144 */
long BgL_auxz00_4864;
{ /* Integrate/let-fun.scm 144 */
int BgL_auxz00_4865;
BgL_auxz00_4865 = 
(int)(((long)8)); 
BgL_auxz00_4864 = 
(long)(BgL_auxz00_4865); } 
BgL_restz00_2933 = 
(BgL_offsetz00_2930%BgL_auxz00_4864); } 
{ /* Integrate/let-fun.scm 144 */

{ /* Integrate/let-fun.scm 144 */
obj_t BgL_bucketz00_2935;
{ /* Integrate/let-fun.scm 144 */
int BgL_kz00_2945;
BgL_kz00_2945 = 
(int)(BgL_modz00_2931); 
BgL_bucketz00_2935 = 
VECTOR_REF(BgL_arg1221z00_2926,BgL_kz00_2945); } 
{ /* Integrate/let-fun.scm 144 */
int BgL_kz00_2947;
BgL_kz00_2947 = 
(int)(BgL_restz00_2933); 
BgL_method2950z00_2923 = 
VECTOR_REF(BgL_bucketz00_2935,BgL_kz00_2947); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2950z00_2923)(BgL_method2950z00_2923, 
(obj_t)(BgL_nodez00_2921), 
(obj_t)(BgL_variablez00_2922), BEOA); } } 
{ 
obj_t BgL_l2919z00_4877;
BgL_l2919z00_4877 = 
CDR(BgL_l2919z00_1983); 
BgL_l2919z00_1983 = BgL_l2919z00_4877; 
goto BgL_lname2920z00_1984;} }  else 
{ /* Integrate/let-fun.scm 144 */
BgL_auxz00_4841 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_4841);} } } 
}



/* displace-let-fun-node!-closure2958 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2closure2958z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3770, obj_t BgL_nodez00_3771, obj_t BgL_hostz00_3772)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 136 */
{ 
BgL_closurez00_bglt BgL_nodez00_1969;obj_t BgL_hostz00_1970;
BgL_nodez00_1969 = 
(BgL_closurez00_bglt)(BgL_nodez00_3771); 
BgL_hostz00_1970 = BgL_hostz00_3772; 
{ /* Integrate/let-fun.scm 137 */
obj_t BgL_arg3079z00_2917;
BgL_arg3079z00_2917 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1969)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3243z00zzintegrate_letzd2funzd2, BGl_string3244z00zzintegrate_letzd2funzd2, BgL_arg3079z00_2917);} } } 
}



/* displace-let-fun-node!-var2956 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2var2956z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3773, obj_t BgL_nodez00_3774, obj_t BgL_hostz00_3775)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 130 */
{ 
BgL_varz00_bglt BgL_nodez00_1963;obj_t BgL_hostz00_1964;
BgL_nodez00_1963 = 
(BgL_varz00_bglt)(BgL_nodez00_3774); 
BgL_hostz00_1964 = BgL_hostz00_3775; 
return BUNSPEC;} } 
}



/* displace-let-fun-node!-kwote2954 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2kwote2954z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3776, obj_t BgL_nodez00_3777, obj_t BgL_hostz00_3778)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 124 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1957;obj_t BgL_hostz00_1958;
BgL_nodez00_1957 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3777); 
BgL_hostz00_1958 = BgL_hostz00_3778; 
return BUNSPEC;} } 
}



/* displace-let-fun-node!-atom2952 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2atom2952z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3779, obj_t BgL_nodez00_3780, obj_t BgL_hostz00_3781)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 118 */
{ 
BgL_atomz00_bglt BgL_nodez00_1951;obj_t BgL_hostz00_1952;
BgL_nodez00_1951 = 
(BgL_atomz00_bglt)(BgL_nodez00_3780); 
BgL_hostz00_1952 = BgL_hostz00_3781; 
return BUNSPEC;} } 
}



/* displace-let-fun-node! */
obj_t BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_variablez00_5)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 113 */
{ /* Integrate/let-fun.scm 113 */
obj_t BgL_method2950z00_3665;
{ /* Integrate/let-fun.scm 113 */
long BgL_objzd2classzd2numz00_3667;
{ /* Integrate/let-fun.scm 113 */
BgL_objectz00_bglt BgL_auxz00_4889;
BgL_auxz00_4889 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_3667 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4889); } 
{ /* Integrate/let-fun.scm 113 */
obj_t BgL_arg1221z00_3668;
{ /* Integrate/let-fun.scm 113 */
int BgL_auxz00_4892;
BgL_auxz00_4892 = 
(int)(((long)1)); 
BgL_arg1221z00_3668 = 
PROCEDURE_REF(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2, BgL_auxz00_4892); } 
{ /* Integrate/let-fun.scm 113 */
long BgL_offsetz00_3672;
{ /* Integrate/let-fun.scm 113 */
long BgL_auxz00_4895;
{ /* Integrate/let-fun.scm 113 */
int BgL_auxz00_4896;
BgL_auxz00_4896 = 
(int)(BgL_objzd2classzd2numz00_3667); 
BgL_auxz00_4895 = 
(long)(BgL_auxz00_4896); } 
BgL_offsetz00_3672 = 
(BgL_auxz00_4895-OBJECT_TYPE); } 
{ /* Integrate/let-fun.scm 113 */
long BgL_modz00_3673;
{ /* Integrate/let-fun.scm 113 */
long BgL_auxz00_4900;
{ /* Integrate/let-fun.scm 113 */
int BgL_auxz00_4901;
BgL_auxz00_4901 = 
(int)(((long)8)); 
BgL_auxz00_4900 = 
(long)(BgL_auxz00_4901); } 
BgL_modz00_3673 = 
(BgL_offsetz00_3672/BgL_auxz00_4900); } 
{ /* Integrate/let-fun.scm 113 */
long BgL_restz00_3675;
{ /* Integrate/let-fun.scm 113 */
long BgL_auxz00_4905;
{ /* Integrate/let-fun.scm 113 */
int BgL_auxz00_4906;
BgL_auxz00_4906 = 
(int)(((long)8)); 
BgL_auxz00_4905 = 
(long)(BgL_auxz00_4906); } 
BgL_restz00_3675 = 
(BgL_offsetz00_3672%BgL_auxz00_4905); } 
{ /* Integrate/let-fun.scm 113 */

{ /* Integrate/let-fun.scm 113 */
obj_t BgL_bucketz00_3677;
{ /* Integrate/let-fun.scm 113 */
int BgL_kz00_3687;
BgL_kz00_3687 = 
(int)(BgL_modz00_3673); 
BgL_bucketz00_3677 = 
VECTOR_REF(BgL_arg1221z00_3668,BgL_kz00_3687); } 
{ /* Integrate/let-fun.scm 113 */
int BgL_kz00_3689;
BgL_kz00_3689 = 
(int)(BgL_restz00_3675); 
BgL_method2950z00_3665 = 
VECTOR_REF(BgL_bucketz00_3677,BgL_kz00_3689); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2950z00_3665)(BgL_method2950z00_3665, 
(obj_t)(BgL_nodez00_4), 
(obj_t)(BgL_variablez00_5), BEOA);} } 
}



/* _displace-let-fun-node! */
obj_t BGl__displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(obj_t BgL_envz00_3695, obj_t BgL_nodez00_3696, obj_t BgL_variablez00_3697)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 113 */
return 
BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3696), 
(BgL_variablez00_bglt)(BgL_variablez00_3697));} 
}



/* displace-let-fun-node!-default2949 */
obj_t BGl_displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2(BgL_nodez00_bglt BgL_nodez00_6, BgL_variablez00_bglt BgL_variablez00_7)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
{ 
obj_t BgL_auxz00_4923;obj_t BgL_auxz00_4921;
BgL_auxz00_4923 = 
(obj_t)(BgL_nodez00_6); 
BgL_auxz00_4921 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_auxz00_4921,BGl_string3245z00zzintegrate_letzd2funzd2,BgL_auxz00_4923);} } 
}



/* _displace-let-fun-node!-default2949 */
obj_t BGl__displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2(obj_t BgL_envz00_3782, obj_t BgL_nodez00_3783, obj_t BgL_variablez00_3784)
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
return 
BGl_displacezd2letzd2funzd2nodez12zd2default2949z12zzintegrate_letzd2funzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3783), 
(BgL_variablez00_bglt)(BgL_variablez00_3784));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2()
{ AN_OBJECT;
{ /* Integrate/let-fun.scm 16 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_let-fun"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_let-fun"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_let-fun");} 
}

