/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_svarzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2iinfozf2_bglt;

typedef struct BgL_sexitzf2iinfozf2_bgl {
   obj_t BgL_fzd2markzd2;
   obj_t BgL_uzd2markzd2;
   bool_t BgL_kapturedzf3zf3;
   bool_t BgL_celledzf3zf3;
} *BgL_sexitzf2iinfozf2_bglt;

typedef struct BgL_sfunzf2iinfozf2_bgl {
   obj_t BgL_ownerz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
   obj_t BgL_cfromz00;
   obj_t BgL_ctoz00;
   obj_t BgL_kz00;
   obj_t BgL_kza2za2;
   obj_t BgL_uz00;
   obj_t BgL_cnz00;
   obj_t BgL_ctz00;
   obj_t BgL_kontz00;
   bool_t BgL_gzf3zf3;
   obj_t BgL_lz00;
   obj_t BgL_ledz00;
   obj_t BgL_istampz00;
   obj_t BgL_globalz00;
   obj_t BgL_kapturedz00;
} *BgL_sfunzf2iinfozf2_bglt;


static obj_t BGl__integratezd2celledzf3z21zzintegrate_nodez00(obj_t, obj_t);
static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
static obj_t BGl_gloz12zd2fail3011zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__gloz12zd2default2984zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2conditional3009zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2select3013zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t, BgL_nodez00_bglt);
static BgL_valuez00_bglt BGl_localzd2valuezd2zzintegrate_nodez00(BgL_localz00_bglt);
static obj_t BGl_gloz12zd2atom2987zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern bool_t BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_gloz12zd2boxzd2setz123027z00zzintegrate_nodez00(obj_t, obj_t, obj_t);
static BgL_makezd2boxzd2_bglt BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_gloz12zd2app2997zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_gloz12zd2makezd2box3023z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_gloz12zd2appzd2ly2999z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2kwote2989zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
static obj_t BGl_gloz12zd2closure2993zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2funcall3001zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2setq3007zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_gloz12zd2letzd2fun3015z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2extern3003zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__gloz12z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_gloz12zd2default2984zc0zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_gloz12zd2letzd2var3017z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl__globaliza7ez12zb5zzintegrate_nodez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_gloz12zd2cast3005zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2sequence2995zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2var2991zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_gloz12zd2setzd2exzd2it3019zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t bgl_append2(obj_t, obj_t);
static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
static obj_t BGl_gloz12zd2jumpzd2exzd2it3021zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
static obj_t BGl_gloz12zd2boxzd2ref3025z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 5 ] ;

DEFINE_STATIC_GENERIC( BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_bgl__gloza712za712za7za7integrate_nodeza7003458za7, BGl__gloz12z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STRING( BGl_string3453z00zzintegrate_nodez00, BgL_bgl_string3453za700za7za7integrate_nodeza7003459z00, "glo!-default2984 aux done (write cell-integrate) cell-integrate ", 64 );
DEFINE_STRING( BGl_string3452z00zzintegrate_nodez00, BgL_bgl_string3452za700za7za7integrate_nodeza7003460z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3451z00zzintegrate_nodez00, BgL_bgl_string3451za700za7za7integrate_nodeza7003461z00, "Unexepected `closure' node", 26 );
DEFINE_STRING( BGl_string3450z00zzintegrate_nodez00, BgL_bgl_string3450za700za7za7integrate_nodeza7003462z00, "node-free", 9 );
DEFINE_EXPORT_PROCEDURE( BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00, BgL_bgl__integrateza7d2celledza7f3za721za7za7integrate_nodeza7003463z00, BGl__integratezd2celledzf3z21zzintegrate_nodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_globaliza7ez12zd2envz67zzintegrate_nodez00, BgL_bgl__globaliza7a7eza712za7b5za7za7integrate_nodeza7003464z00, BGl__globaliza7ez12zb5zzintegrate_nodez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3430z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2kwote2989za7c0za7za7integrate_nodeza7003465z00, BGl_gloz12zd2kwote2989zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3429z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2atom2987za7c0za7za7integrate_nodeza7003466z00, BGl_gloz12zd2atom2987zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3431z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2var2991za7c0za7za7integrate_nodeza7003467z00, BGl_gloz12zd2var2991zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3432z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2closure2993za7c0za7za7integrate_nodeza7003468z00, BGl_gloz12zd2closure2993zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3433z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2sequence2995za7c0za7za7integrate_nodeza7003469z00, BGl_gloz12zd2sequence2995zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3434z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2app2997za7c0za7za7integrate_nodeza7003470z00, BGl_gloz12zd2app2997zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3435z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2appza7d2ly2999za712za7za7integrate_nodeza7003471za7, BGl_gloz12zd2appzd2ly2999z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3436z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2funcall3001za7c0za7za7integrate_nodeza7003472z00, BGl_gloz12zd2funcall3001zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3437z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2extern3003za7c0za7za7integrate_nodeza7003473z00, BGl_gloz12zd2extern3003zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3438z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2cast3005za7c0za7za7integrate_nodeza7003474z00, BGl_gloz12zd2cast3005zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3440z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2conditional3009za7c0za7za7integrate_nodeza7003475z00, BGl_gloz12zd2conditional3009zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3439z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2setq3007za7c0za7za7integrate_nodeza7003476z00, BGl_gloz12zd2setq3007zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3441z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2fail3011za7c0za7za7integrate_nodeza7003477z00, BGl_gloz12zd2fail3011zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3442z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2select3013za7c0za7za7integrate_nodeza7003478z00, BGl_gloz12zd2select3013zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3443z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2letza7d2fun3015za712za7za7integrate_nodeza7003479za7, BGl_gloz12zd2letzd2fun3015z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3444z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2letza7d2var3017za712za7za7integrate_nodeza7003480za7, BGl_gloz12zd2letzd2var3017z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3445z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2setza7d2exza7d2it3019za7c0za7za7integrate_nodeza7003481z00, BGl_gloz12zd2setzd2exzd2it3019zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3446z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2jumpza7d2exza7d2it3021za7c0za7za7integrate_nodeza7003482z00, BGl_gloz12zd2jumpzd2exzd2it3021zc0zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3447z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2makeza7d2box3023za712za7za7integrate_nodeza7003483za7, BGl_gloz12zd2makezd2box3023z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3448z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2boxza7d2ref3025za712za7za7integrate_nodeza7003484za7, BGl_gloz12zd2boxzd2ref3025z12zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3449z00zzintegrate_nodez00, BgL_bgl_gloza712za7d2boxza7d2setza7123027za700za7za7integrate_nodeza7003485z00, BGl_gloz12zd2boxzd2setz123027z00zzintegrate_nodez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_gloz12zd2default2984zd2envz12zzintegrate_nodez00, BgL_bgl__gloza712za7d2default2984za7c0za7za7integrate_nodeza7003486z00, BGl__gloz12zd2default2984zc0zzintegrate_nodez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long BgL_checksumz00_4464, char * BgL_fromz00_4465)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00(); 
BGl_cnstzd2initzd2zzintegrate_nodez00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_nodez00(); 
BGl_methodzd2initzd2zzintegrate_nodez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "integrate_node"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_node"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_node"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
{ /* Integrate/node.scm 15 */
obj_t BgL_cportz00_4457;
BgL_cportz00_4457 = 
open_input_string(BGl_string3453z00zzintegrate_nodez00); 
{ 
long BgL_iz00_4458;
BgL_iz00_4458 = ((long)4); 
BgL_loopz00_4459:
if(
(BgL_iz00_4458==((long)-1)))
{ /* Integrate/node.scm 15 */
return BUNSPEC;}  else 
{ /* Integrate/node.scm 15 */
{ /* Integrate/node.scm 15 */
obj_t BgL_arg3455z00_4461;
{ /* Integrate/node.scm 15 */
obj_t BgL_list3456z00_4462;
BgL_list3456z00_4462 = 
MAKE_PAIR(BgL_cportz00_4457, BNIL); 
BgL_arg3455z00_4461 = 
BGl_readz00zz__readerz00(BgL_list3456z00_4462); } 
{ /* Integrate/node.scm 15 */
int BgL_auxz00_4481;
BgL_auxz00_4481 = 
(int)(BgL_iz00_4458); 
CNST_TABLE_SET(BgL_auxz00_4481, BgL_arg3455z00_4461); } } 
{ 
long BgL_iz00_4484;
{ /* Integrate/node.scm 15 */
int BgL_auxz00_4485;
{ /* Integrate/node.scm 15 */
long BgL_auxz00_4486;
BgL_auxz00_4486 = 
(BgL_iz00_4458-((long)1)); 
BgL_auxz00_4485 = 
(int)(BgL_auxz00_4486); } 
BgL_iz00_4484 = 
(long)(BgL_auxz00_4485); } 
BgL_iz00_4458 = BgL_iz00_4484; 
goto BgL_loopz00_4459;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
return BUNSPEC;} 
}



/* globalize! */
obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt BgL_astz00_1, BgL_variablez00_bglt BgL_integratorz00_2, obj_t BgL_whatzf2byza2z50_3)
{ AN_OBJECT;
{ /* Integrate/node.scm 35 */
{ /* Integrate/node.scm 41 */
obj_t BgL_celledz00_1494;
{ /* Integrate/node.scm 42 */
obj_t BgL_auxz00_4490;
{ /* Integrate/node.scm 42 */
BgL_sfunz00_bglt BgL_obj1369z00_2326;
{ /* Integrate/node.scm 42 */
BgL_valuez00_bglt BgL_auxz00_4491;
BgL_auxz00_4491 = 
(((BgL_variablez00_bglt)CREF(BgL_integratorz00_2))->BgL_valuez00); 
BgL_obj1369z00_2326 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4491); } 
BgL_auxz00_4490 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2326))->BgL_argsz00); } 
BgL_celledz00_1494 = 
BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_auxz00_4490); } 
{ /* Integrate/node.scm 42 */
obj_t BgL_whatzf2byza2z50_1495;
BgL_whatzf2byza2z50_1495 = 
bgl_append2(BgL_celledz00_1494, BgL_whatzf2byza2z50_3); 
{ /* Integrate/node.scm 43 */

{ 
obj_t BgL_l2914z00_1496;
BgL_l2914z00_1496 = BgL_whatzf2byza2z50_1495; 
BgL_lname2915z00_1497:
if(
PAIRP(BgL_l2914z00_1496))
{ /* Integrate/node.scm 45 */
{ /* Integrate/node.scm 46 */
obj_t BgL_wze2bze2_1499;
BgL_wze2bze2_1499 = 
CAR(BgL_l2914z00_1496); 
{ /* Integrate/node.scm 46 */
obj_t BgL_arg3030z00_1501;
BgL_arg3030z00_1501 = 
CDR(BgL_wze2bze2_1499); 
{ /* Integrate/node.scm 46 */
BgL_localz00_bglt BgL_obj1263z00_2331;
{ /* Integrate/node.scm 46 */
obj_t BgL_auxz00_4501;
BgL_auxz00_4501 = 
CAR(BgL_wze2bze2_1499); 
BgL_obj1263z00_2331 = 
(BgL_localz00_bglt)(BgL_auxz00_4501); } 
((((BgL_localz00_bglt)CREF(BgL_obj1263z00_2331))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg3030z00_1501), BUNSPEC); } } } 
{ 
obj_t BgL_l2914z00_4505;
BgL_l2914z00_4505 = 
CDR(BgL_l2914z00_1496); 
BgL_l2914z00_1496 = BgL_l2914z00_4505; 
goto BgL_lname2915z00_1497;} }  else 
{ /* Integrate/node.scm 45 */((bool_t)1); } } 
{ /* Integrate/node.scm 48 */
obj_t BgL_resz00_1503;
{ /* Integrate/node.scm 48 */
BgL_nodez00_bglt BgL_arg3035z00_1510;
{ /* Integrate/node.scm 48 */
BgL_nodez00_bglt BgL_res3291z00_2361;
{ /* Integrate/node.scm 48 */
obj_t BgL_method2985z00_2336;
{ /* Integrate/node.scm 48 */
long BgL_objzd2classzd2numz00_2338;
{ /* Integrate/node.scm 48 */
BgL_objectz00_bglt BgL_auxz00_4507;
BgL_auxz00_4507 = 
(BgL_objectz00_bglt)(BgL_astz00_1); 
BgL_objzd2classzd2numz00_2338 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4507); } 
{ /* Integrate/node.scm 48 */
obj_t BgL_arg1221z00_2339;
{ /* Integrate/node.scm 48 */
int BgL_auxz00_4510;
BgL_auxz00_4510 = 
(int)(((long)1)); 
BgL_arg1221z00_2339 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4510); } 
{ /* Integrate/node.scm 48 */
long BgL_offsetz00_2343;
{ /* Integrate/node.scm 48 */
long BgL_auxz00_4513;
{ /* Integrate/node.scm 48 */
int BgL_auxz00_4514;
BgL_auxz00_4514 = 
(int)(BgL_objzd2classzd2numz00_2338); 
BgL_auxz00_4513 = 
(long)(BgL_auxz00_4514); } 
BgL_offsetz00_2343 = 
(BgL_auxz00_4513-OBJECT_TYPE); } 
{ /* Integrate/node.scm 48 */
long BgL_modz00_2344;
{ /* Integrate/node.scm 48 */
long BgL_auxz00_4518;
{ /* Integrate/node.scm 48 */
int BgL_auxz00_4519;
BgL_auxz00_4519 = 
(int)(((long)8)); 
BgL_auxz00_4518 = 
(long)(BgL_auxz00_4519); } 
BgL_modz00_2344 = 
(BgL_offsetz00_2343/BgL_auxz00_4518); } 
{ /* Integrate/node.scm 48 */
long BgL_restz00_2346;
{ /* Integrate/node.scm 48 */
long BgL_auxz00_4523;
{ /* Integrate/node.scm 48 */
int BgL_auxz00_4524;
BgL_auxz00_4524 = 
(int)(((long)8)); 
BgL_auxz00_4523 = 
(long)(BgL_auxz00_4524); } 
BgL_restz00_2346 = 
(BgL_offsetz00_2343%BgL_auxz00_4523); } 
{ /* Integrate/node.scm 48 */

{ /* Integrate/node.scm 48 */
obj_t BgL_bucketz00_2348;
{ /* Integrate/node.scm 48 */
int BgL_kz00_2358;
BgL_kz00_2358 = 
(int)(BgL_modz00_2344); 
BgL_bucketz00_2348 = 
VECTOR_REF(BgL_arg1221z00_2339,BgL_kz00_2358); } 
{ /* Integrate/node.scm 48 */
int BgL_kz00_2360;
BgL_kz00_2360 = 
(int)(BgL_restz00_2346); 
BgL_method2985z00_2336 = 
VECTOR_REF(BgL_bucketz00_2348,BgL_kz00_2360); } } } } } } } } 
{ /* Integrate/node.scm 48 */
obj_t BgL_auxz00_4532;
BgL_auxz00_4532 = 
PROCEDURE_ENTRY(BgL_method2985z00_2336)(BgL_method2985z00_2336, 
(obj_t)(BgL_astz00_1), 
(obj_t)(BgL_integratorz00_2), BEOA); 
BgL_res3291z00_2361 = 
(BgL_nodez00_bglt)(BgL_auxz00_4532); } } 
BgL_arg3035z00_1510 = BgL_res3291z00_2361; } 
BgL_resz00_1503 = 
BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1494, BgL_arg3035z00_1510); } 
{ 
obj_t BgL_l2916z00_1504;
BgL_l2916z00_1504 = BgL_whatzf2byza2z50_1495; 
BgL_lname2917z00_1505:
if(
PAIRP(BgL_l2916z00_1504))
{ /* Integrate/node.scm 50 */
{ /* Integrate/node.scm 51 */
BgL_localz00_bglt BgL_obj1263z00_2365;
{ /* Integrate/node.scm 51 */
obj_t BgL_auxz00_4541;
{ /* Integrate/node.scm 51 */
obj_t BgL_auxz00_4542;
BgL_auxz00_4542 = 
CAR(BgL_l2916z00_1504); 
BgL_auxz00_4541 = 
CAR(BgL_auxz00_4542); } 
BgL_obj1263z00_2365 = 
(BgL_localz00_bglt)(BgL_auxz00_4541); } 
((((BgL_localz00_bglt)CREF(BgL_obj1263z00_2365))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); } 
{ 
obj_t BgL_l2916z00_4547;
BgL_l2916z00_4547 = 
CDR(BgL_l2916z00_1504); 
BgL_l2916z00_1504 = BgL_l2916z00_4547; 
goto BgL_lname2917z00_1505;} }  else 
{ /* Integrate/node.scm 50 */((bool_t)1); } } 
return BgL_resz00_1503;} } } } } 
}



/* _globalize! */
obj_t BGl__globaliza7ez12zb5zzintegrate_nodez00(obj_t BgL_envz00_4361, obj_t BgL_astz00_4362, obj_t BgL_integratorz00_4363, obj_t BgL_whatzf2byza2z50_4364)
{ AN_OBJECT;
{ /* Integrate/node.scm 35 */
return 
BGl_globaliza7ez12zb5zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_astz00_4362), 
(BgL_variablez00_bglt)(BgL_integratorz00_4363), BgL_whatzf2byza2z50_4364);} 
}



/* celled-bindings */
obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_4)
{ AN_OBJECT;
{ /* Integrate/node.scm 58 */
{ 
obj_t BgL_celledz00_1512;obj_t BgL_formalsz00_1513;
BgL_celledz00_1512 = BNIL; 
BgL_formalsz00_1513 = BgL_formalsz00_4; 
BgL_loopz00_1514:
if(
NULLP(BgL_formalsz00_1513))
{ /* Integrate/node.scm 62 */
return BgL_celledz00_1512;}  else 
{ /* Integrate/node.scm 64 */
bool_t BgL_testz00_4554;
{ /* Integrate/node.scm 64 */
BgL_localz00_bglt BgL_auxz00_4555;
{ /* Integrate/node.scm 64 */
obj_t BgL_auxz00_4556;
BgL_auxz00_4556 = 
CAR(BgL_formalsz00_1513); 
BgL_auxz00_4555 = 
(BgL_localz00_bglt)(BgL_auxz00_4556); } 
BgL_testz00_4554 = 
BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_auxz00_4555); } 
if(BgL_testz00_4554)
{ /* Integrate/node.scm 64 */
{ /* Integrate/node.scm 67 */
BgL_localz00_bglt BgL_varz00_1517;
{ /* Integrate/node.scm 67 */
obj_t BgL_auxz00_4560;
{ /* Integrate/node.scm 67 */
BgL_localz00_bglt BgL_obj1248z00_2371;
{ /* Integrate/node.scm 67 */
obj_t BgL_auxz00_4561;
BgL_auxz00_4561 = 
CAR(BgL_formalsz00_1513); 
BgL_obj1248z00_2371 = 
(BgL_localz00_bglt)(BgL_auxz00_4561); } 
BgL_auxz00_4560 = 
(((BgL_localz00_bglt)CREF(BgL_obj1248z00_2371))->BgL_idz00); } 
BgL_varz00_1517 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_auxz00_4560, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* Integrate/node.scm 67 */
obj_t BgL_oze2nze2_1518;
{ /* Integrate/node.scm 68 */
obj_t BgL_auxz00_4569;obj_t BgL_auxz00_4567;
BgL_auxz00_4569 = 
(obj_t)(BgL_varz00_1517); 
BgL_auxz00_4567 = 
CAR(BgL_formalsz00_1513); 
BgL_oze2nze2_1518 = 
MAKE_PAIR(BgL_auxz00_4567, BgL_auxz00_4569); } 
{ /* Integrate/node.scm 68 */

{ /* Integrate/node.scm 69 */
obj_t BgL_val1259z00_2374;
BgL_val1259z00_2374 = 
CNST_TABLE_REF(((long)0)); 
((((BgL_localz00_bglt)CREF(BgL_varz00_1517))->BgL_accessz00) = ((obj_t)BgL_val1259z00_2374), BUNSPEC); } 
{ /* Integrate/node.scm 70 */
BgL_svarzf2iinfozf2_bglt BgL_obj2919z00_1519;
{ 
BgL_valuez00_bglt BgL_auxz00_4574;
BgL_auxz00_4574 = 
BGl_localzd2valuezd2zzintegrate_nodez00(BgL_varz00_1517); 
BgL_obj2919z00_1519 = 
((BgL_svarzf2iinfozf2_bglt)BgL_auxz00_4574); } 
{ /* Integrate/node.scm 72 */
BgL_svarzf2iinfozf2_bglt BgL_arg3039z00_1520;
{ /* Integrate/node.scm 72 */
bool_t BgL_arg3040z00_1521;bool_t BgL_arg3041z00_1522;
BgL_arg3040z00_1521 = ((bool_t)1); 
BgL_arg3041z00_1522 = ((bool_t)1); 
{ /* Integrate/node.scm 70 */
BgL_svarzf2iinfozf2_bglt BgL_res3293z00_2391;
{ /* Integrate/node.scm 70 */
BgL_svarzf2iinfozf2_bglt BgL_new2658z00_2380;
BgL_new2658z00_2380 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/node.scm 70 */
BgL_svarzf2iinfozf2_bglt BgL_res3292z00_2390;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2380))->BgL_fzd2markzd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2380))->BgL_uzd2markzd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2380))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3040z00_1521), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_2380))->BgL_celledzf3zf3) = ((bool_t)BgL_arg3041z00_1522), BUNSPEC); 
BgL_res3292z00_2390 = BgL_new2658z00_2380; BgL_res3292z00_2390; } 
BgL_res3293z00_2391 = BgL_new2658z00_2380; } 
BgL_arg3039z00_1520 = BgL_res3293z00_2391; } } 
{ /* Integrate/node.scm 70 */
obj_t BgL_auxz00_4584;BgL_objectz00_bglt BgL_auxz00_4582;
BgL_auxz00_4584 = 
(obj_t)(BgL_arg3039z00_1520); 
BgL_auxz00_4582 = 
(BgL_objectz00_bglt)(BgL_obj2919z00_1519); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4582, BgL_auxz00_4584); } } 
{ /* Integrate/node.scm 70 */
long BgL_arg3042z00_1523;
BgL_arg3042z00_1523 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/node.scm 70 */
BgL_objectz00_bglt BgL_auxz00_4588;
BgL_auxz00_4588 = 
(BgL_objectz00_bglt)(BgL_obj2919z00_1519); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4588, BgL_arg3042z00_1523); } } 
{ /* Integrate/node.scm 70 */
obj_t BgL_auxz00_4591;
BgL_auxz00_4591 = 
(obj_t)(BgL_obj2919z00_1519); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4591); } BUNSPEC; BgL_obj2919z00_1519; } 
{ /* Integrate/node.scm 73 */
obj_t BgL_arg3043z00_1524;obj_t BgL_arg3044z00_1525;
BgL_arg3043z00_1524 = 
MAKE_PAIR(BgL_oze2nze2_1518, BgL_celledz00_1512); 
BgL_arg3044z00_1525 = 
CDR(BgL_formalsz00_1513); 
{ 
obj_t BgL_formalsz00_4597;obj_t BgL_celledz00_4596;
BgL_celledz00_4596 = BgL_arg3043z00_1524; 
BgL_formalsz00_4597 = BgL_arg3044z00_1525; 
BgL_formalsz00_1513 = BgL_formalsz00_4597; 
BgL_celledz00_1512 = BgL_celledz00_4596; 
goto BgL_loopz00_1514;} } } } } }  else 
{ /* Integrate/node.scm 64 */
{ 
obj_t BgL_formalsz00_4598;
BgL_formalsz00_4598 = 
CDR(BgL_formalsz00_1513); 
BgL_formalsz00_1513 = BgL_formalsz00_4598; 
goto BgL_loopz00_1514;} } } } } 
}



/* cell-formals */
obj_t BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t BgL_celledz00_5, BgL_nodez00_bglt BgL_bodyz00_6)
{ AN_OBJECT;
{ /* Integrate/node.scm 78 */
{ /* Integrate/node.scm 79 */
bool_t BgL_test3050z00_1531;
BgL_test3050z00_1531 = 
NULLP(BgL_celledz00_5); 
if(BgL_test3050z00_1531)
{ /* Integrate/node.scm 79 */
return 
(obj_t)(BgL_bodyz00_6);}  else 
{ /* Integrate/node.scm 81 */
obj_t BgL_locz00_1532;
BgL_locz00_1532 = 
(((BgL_nodez00_bglt)CREF(BgL_bodyz00_6))->BgL_locz00); 
{ /* Integrate/node.scm 83 */
obj_t BgL_arg3051z00_1533;obj_t BgL_arg3052z00_1534;obj_t BgL_arg3054z00_1536;BgL_nodez00_bglt BgL_arg3055z00_1537;
BgL_arg3051z00_1533 = BgL_locz00_1532; 
BgL_arg3052z00_1534 = BGl_za2_za2z00zztype_cachez00; 
if(BgL_test3050z00_1531)
{ /* Integrate/node.scm 86 */
BgL_arg3054z00_1536 = BNIL; }  else 
{ /* Integrate/node.scm 86 */
obj_t BgL_head2923z00_1540;
BgL_head2923z00_1540 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2921z00_1541;obj_t BgL_tail2924z00_1542;
BgL_l2921z00_1541 = BgL_celledz00_5; 
BgL_tail2924z00_1542 = BgL_head2923z00_1540; 
BgL_lname2922z00_1543:
if(
NULLP(BgL_l2921z00_1541))
{ /* Integrate/node.scm 86 */
BgL_arg3054z00_1536 = 
CDR(BgL_head2923z00_1540); }  else 
{ /* Integrate/node.scm 87 */
obj_t BgL_newtail2925z00_1545;
{ /* Integrate/node.scm 87 */
obj_t BgL_arg3059z00_1547;
{ /* Integrate/node.scm 87 */
obj_t BgL_oze2nze2_1549;
BgL_oze2nze2_1549 = 
CAR(BgL_l2921z00_1541); 
{ /* Integrate/node.scm 87 */
obj_t BgL_arg3061z00_1550;BgL_makezd2boxzd2_bglt BgL_arg3062z00_1551;
BgL_arg3061z00_1550 = 
CDR(BgL_oze2nze2_1549); 
{ /* Integrate/node.scm 90 */
BgL_varz00_bglt BgL_arg3063z00_1552;obj_t BgL_arg3064z00_1553;
{ /* Integrate/node.scm 90 */
obj_t BgL_arg3065z00_1554;obj_t BgL_arg3066z00_1555;
BgL_arg3065z00_1554 = BgL_locz00_1532; 
BgL_arg3066z00_1555 = BGl_za2_za2z00zztype_cachez00; 
{ /* Integrate/node.scm 88 */
BgL_varz00_bglt BgL_res3296z00_2425;
{ /* Integrate/node.scm 88 */
BgL_typez00_bglt BgL_type1631z00_2408;BgL_variablez00_bglt BgL_variable1632z00_2409;
BgL_type1631z00_2408 = 
(BgL_typez00_bglt)(BgL_arg3066z00_1555); 
{ /* Integrate/node.scm 91 */
obj_t BgL_auxz00_4612;
BgL_auxz00_4612 = 
CAR(BgL_oze2nze2_1549); 
BgL_variable1632z00_2409 = 
(BgL_variablez00_bglt)(BgL_auxz00_4612); } 
{ /* Integrate/node.scm 88 */
BgL_varz00_bglt BgL_new1633z00_2410;
{ /* Integrate/node.scm 88 */
BgL_varz00_bglt BgL_res3294z00_2416;
{ /* Integrate/node.scm 88 */
BgL_varz00_bglt BgL_new1635z00_2411;
BgL_new1635z00_2411 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Integrate/node.scm 88 */
long BgL_arg3129z00_2412;
BgL_arg3129z00_2412 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Integrate/node.scm 88 */
BgL_objectz00_bglt BgL_auxz00_4617;
BgL_auxz00_4617 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2411); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4617, BgL_arg3129z00_2412); } } 
{ /* Integrate/node.scm 88 */
BgL_objectz00_bglt BgL_auxz00_4620;
BgL_auxz00_4620 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2411); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4620, BFALSE); } 
{ /* Integrate/node.scm 88 */
obj_t BgL_auxz00_4623;
BgL_auxz00_4623 = 
(obj_t)(BgL_new1635z00_2411); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4623); } BUNSPEC; 
BgL_res3294z00_2416 = BgL_new1635z00_2411; } 
BgL_new1633z00_2410 = BgL_res3294z00_2416; } 
{ /* Integrate/node.scm 88 */
BgL_varz00_bglt BgL_res3295z00_2424;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2410))->BgL_locz00) = ((obj_t)BgL_arg3065z00_1554), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2410))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2408), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2410))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2409), BUNSPEC); 
BgL_res3295z00_2424 = BgL_new1633z00_2410; BgL_res3295z00_2424; } 
BgL_res3296z00_2425 = BgL_new1633z00_2410; } } 
BgL_arg3063z00_1552 = BgL_res3296z00_2425; } } 
BgL_arg3064z00_1553 = 
CAR(BgL_oze2nze2_1549); 
BgL_arg3062z00_1551 = 
BGl_azd2makezd2cellz00zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_arg3063z00_1552), 
(BgL_variablez00_bglt)(BgL_arg3064z00_1553)); } 
{ /* Integrate/node.scm 87 */
obj_t BgL_auxz00_4633;
BgL_auxz00_4633 = 
(obj_t)(BgL_arg3062z00_1551); 
BgL_arg3059z00_1547 = 
MAKE_PAIR(BgL_arg3061z00_1550, BgL_auxz00_4633); } } } 
BgL_newtail2925z00_1545 = 
MAKE_PAIR(BgL_arg3059z00_1547, BNIL); } 
SET_CDR(BgL_tail2924z00_1542, BgL_newtail2925z00_1545); 
{ 
obj_t BgL_tail2924z00_4640;obj_t BgL_l2921z00_4638;
BgL_l2921z00_4638 = 
CDR(BgL_l2921z00_1541); 
BgL_tail2924z00_4640 = BgL_newtail2925z00_1545; 
BgL_tail2924z00_1542 = BgL_tail2924z00_4640; 
BgL_l2921z00_1541 = BgL_l2921z00_4638; 
goto BgL_lname2922z00_1543;} } } } 
BgL_arg3055z00_1537 = BgL_bodyz00_6; 
{ /* Integrate/node.scm 82 */
BgL_letzd2varzd2_bglt BgL_res3299z00_2462;
{ /* Integrate/node.scm 82 */
BgL_typez00_bglt BgL_type2492z00_2433;obj_t BgL_key2494z00_2435;
BgL_type2492z00_2433 = 
(BgL_typez00_bglt)(BgL_arg3052z00_1534); 
BgL_key2494z00_2435 = 
BINT(((long)-1)); 
{ /* Integrate/node.scm 82 */
BgL_letzd2varzd2_bglt BgL_new2498z00_2439;
{ /* Integrate/node.scm 82 */
BgL_letzd2varzd2_bglt BgL_res3297z00_2445;
{ /* Integrate/node.scm 82 */
BgL_letzd2varzd2_bglt BgL_new2500z00_2440;
BgL_new2500z00_2440 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Integrate/node.scm 82 */
long BgL_arg3106z00_2441;
BgL_arg3106z00_2441 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Integrate/node.scm 82 */
BgL_objectz00_bglt BgL_auxz00_4645;
BgL_auxz00_4645 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2440); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4645, BgL_arg3106z00_2441); } } 
{ /* Integrate/node.scm 82 */
BgL_objectz00_bglt BgL_auxz00_4648;
BgL_auxz00_4648 = 
(BgL_objectz00_bglt)(BgL_new2500z00_2440); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4648, BFALSE); } 
{ /* Integrate/node.scm 82 */
obj_t BgL_auxz00_4651;
BgL_auxz00_4651 = 
(obj_t)(BgL_new2500z00_2440); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4651); } BUNSPEC; 
BgL_res3297z00_2445 = BgL_new2500z00_2440; } 
BgL_new2498z00_2439 = BgL_res3297z00_2445; } 
{ /* Integrate/node.scm 82 */
BgL_letzd2varzd2_bglt BgL_res3298z00_2461;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_locz00) = ((obj_t)BgL_arg3051z00_1533), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_2433), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_keyz00) = ((obj_t)BgL_key2494z00_2435), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_bindingsz00) = ((obj_t)BgL_arg3054z00_1536), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3055z00_1537), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_2439))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3298z00_2461 = BgL_new2498z00_2439; BgL_res3298z00_2461; } 
BgL_res3299z00_2462 = BgL_new2498z00_2439; } } 
return 
(obj_t)(BgL_res3299z00_2462);} } } } } 
}



/* a-make-cell */
BgL_makezd2boxzd2_bglt BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_7, BgL_variablez00_bglt BgL_variablez00_8)
{ AN_OBJECT;
{ /* Integrate/node.scm 98 */
{ /* Integrate/node.scm 102 */
BgL_localz00_bglt BgL_obj1260z00_2463;obj_t BgL_val1259z00_2464;
BgL_obj1260z00_2463 = 
(BgL_localz00_bglt)(BgL_variablez00_8); 
BgL_val1259z00_2464 = 
CNST_TABLE_REF(((long)0)); 
((((BgL_localz00_bglt)CREF(BgL_obj1260z00_2463))->BgL_accessz00) = ((obj_t)BgL_val1259z00_2464), BUNSPEC); } 
{ /* Integrate/node.scm 103 */
BgL_svarzf2iinfozf2_bglt BgL_obj2690z00_2466;
{ /* Integrate/node.scm 103 */
BgL_valuez00_bglt BgL_auxz00_4665;
BgL_auxz00_4665 = 
(((BgL_variablez00_bglt)CREF(BgL_variablez00_8))->BgL_valuez00); 
BgL_obj2690z00_2466 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_auxz00_4665); } 
{ 
obj_t BgL_auxz00_4668;
{ /* Integrate/node.scm 103 */
BgL_objectz00_bglt BgL_auxz00_4669;
BgL_auxz00_4669 = 
(BgL_objectz00_bglt)(BgL_obj2690z00_2466); 
BgL_auxz00_4668 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4669); } 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4668))->BgL_celledzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* Integrate/node.scm 104 */
obj_t BgL_arg3069z00_1559;obj_t BgL_arg3070z00_1560;BgL_nodez00_bglt BgL_arg3072z00_1562;
BgL_arg3069z00_1559 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_7))->BgL_locz00); 
BgL_arg3070z00_1560 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3072z00_1562 = BgL_nodez00_7; 
{ /* Integrate/node.scm 104 */
BgL_makezd2boxzd2_bglt BgL_res3302z00_2493;
{ /* Integrate/node.scm 104 */
BgL_typez00_bglt BgL_type2584z00_2470;obj_t BgL_key2586z00_2472;
BgL_type2584z00_2470 = 
(BgL_typez00_bglt)(BgL_arg3070z00_1560); 
BgL_key2586z00_2472 = 
BINT(((long)-1)); 
{ /* Integrate/node.scm 104 */
BgL_makezd2boxzd2_bglt BgL_new2588z00_2474;
{ /* Integrate/node.scm 104 */
BgL_makezd2boxzd2_bglt BgL_res3300z00_2480;
{ /* Integrate/node.scm 104 */
BgL_makezd2boxzd2_bglt BgL_new2590z00_2475;
BgL_new2590z00_2475 = 
((BgL_makezd2boxzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_makezd2boxzd2_bgl) ))); 
{ /* Integrate/node.scm 104 */
long BgL_arg3103z00_2476;
BgL_arg3103z00_2476 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2boxzd2zzast_nodez00); 
{ /* Integrate/node.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4678;
BgL_auxz00_4678 = 
(BgL_objectz00_bglt)(BgL_new2590z00_2475); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4678, BgL_arg3103z00_2476); } } 
{ /* Integrate/node.scm 104 */
BgL_objectz00_bglt BgL_auxz00_4681;
BgL_auxz00_4681 = 
(BgL_objectz00_bglt)(BgL_new2590z00_2475); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4681, BFALSE); } 
{ /* Integrate/node.scm 104 */
obj_t BgL_auxz00_4684;
BgL_auxz00_4684 = 
(obj_t)(BgL_new2590z00_2475); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4684); } BUNSPEC; 
BgL_res3300z00_2480 = BgL_new2590z00_2475; } 
BgL_new2588z00_2474 = BgL_res3300z00_2480; } 
{ /* Integrate/node.scm 104 */
BgL_makezd2boxzd2_bglt BgL_res3301z00_2492;
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2474))->BgL_locz00) = ((obj_t)BgL_arg3069z00_1559), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2474))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2584z00_2470), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2474))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2474))->BgL_keyz00) = ((obj_t)BgL_key2586z00_2472), BUNSPEC); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_new2588z00_2474))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3072z00_1562), BUNSPEC); 
BgL_res3301z00_2492 = BgL_new2588z00_2474; BgL_res3301z00_2492; } 
BgL_res3302z00_2493 = BgL_new2588z00_2474; } } 
return BgL_res3302z00_2493;} } } 
}



/* integrate-celled? */
bool_t BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt BgL_variablez00_9)
{ AN_OBJECT;
{ /* Integrate/node.scm 109 */
{ /* Integrate/node.scm 120 */
bool_t BgL__andtest_2930z00_1563;
{ /* Integrate/node.scm 120 */
obj_t BgL_auxz00_4692;
{ /* Integrate/node.scm 120 */
BgL_valuez00_bglt BgL_auxz00_4693;
{ /* Integrate/node.scm 120 */
BgL_variablez00_bglt BgL_obj1103z00_2494;
BgL_obj1103z00_2494 = 
(BgL_variablez00_bglt)(BgL_variablez00_9); 
BgL_auxz00_4693 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2494))->BgL_valuez00); } 
BgL_auxz00_4692 = 
(obj_t)(BgL_auxz00_4693); } 
BgL__andtest_2930z00_1563 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4692, BGl_svarzf2Iinfozf2zzintegrate_infoz00); } 
if(BgL__andtest_2930z00_1563)
{ /* Integrate/node.scm 121 */
bool_t BgL__ortest_2931z00_1564;
{ /* Integrate/node.scm 121 */
BgL_svarzf2iinfozf2_bglt BgL_obj2688z00_2497;
{ /* Integrate/node.scm 121 */
BgL_valuez00_bglt BgL_auxz00_4699;
{ /* Integrate/node.scm 121 */
BgL_variablez00_bglt BgL_obj1103z00_2496;
BgL_obj1103z00_2496 = 
(BgL_variablez00_bglt)(BgL_variablez00_9); 
BgL_auxz00_4699 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2496))->BgL_valuez00); } 
BgL_obj2688z00_2497 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_auxz00_4699); } 
{ 
obj_t BgL_auxz00_4703;
{ /* Integrate/node.scm 121 */
BgL_objectz00_bglt BgL_auxz00_4704;
BgL_auxz00_4704 = 
(BgL_objectz00_bglt)(BgL_obj2688z00_2497); 
BgL_auxz00_4703 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4704); } 
BgL__ortest_2931z00_1564 = 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4703))->BgL_celledzf3zf3); } } 
if(BgL__ortest_2931z00_1564)
{ /* Integrate/node.scm 121 */
return BgL__ortest_2931z00_1564;}  else 
{ /* Integrate/node.scm 122 */
bool_t BgL_testz00_4709;
{ /* Integrate/node.scm 122 */
obj_t BgL_auxz00_4710;
{ /* Integrate/node.scm 122 */
obj_t BgL_auxz00_4711;
{ /* Integrate/node.scm 122 */
BgL_variablez00_bglt BgL_obj1106z00_2498;
BgL_obj1106z00_2498 = 
(BgL_variablez00_bglt)(BgL_variablez00_9); 
BgL_auxz00_4711 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1106z00_2498))->BgL_accessz00); } 
BgL_auxz00_4710 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_4711, 
CNST_TABLE_REF(((long)1))); } 
BgL_testz00_4709 = 
CBOOL(BgL_auxz00_4710); } 
if(BgL_testz00_4709)
{ /* Integrate/node.scm 123 */
BgL_svarzf2iinfozf2_bglt BgL_obj2685z00_2500;
{ /* Integrate/node.scm 123 */
BgL_valuez00_bglt BgL_auxz00_4717;
{ /* Integrate/node.scm 123 */
BgL_variablez00_bglt BgL_obj1103z00_2499;
BgL_obj1103z00_2499 = 
(BgL_variablez00_bglt)(BgL_variablez00_9); 
BgL_auxz00_4717 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2499))->BgL_valuez00); } 
BgL_obj2685z00_2500 = 
(BgL_svarzf2iinfozf2_bglt)(BgL_auxz00_4717); } 
{ 
obj_t BgL_auxz00_4721;
{ /* Integrate/node.scm 123 */
BgL_objectz00_bglt BgL_auxz00_4722;
BgL_auxz00_4722 = 
(BgL_objectz00_bglt)(BgL_obj2685z00_2500); 
BgL_auxz00_4721 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4722); } 
return 
(((BgL_svarzf2iinfozf2_bglt)CREF(BgL_auxz00_4721))->BgL_kapturedzf3zf3);} }  else 
{ /* Integrate/node.scm 122 */
return ((bool_t)0);} } }  else 
{ /* Integrate/node.scm 120 */
return ((bool_t)0);} } } 
}



/* _integrate-celled? */
obj_t BGl__integratezd2celledzf3z21zzintegrate_nodez00(obj_t BgL_envz00_4368, obj_t BgL_variablez00_4369)
{ AN_OBJECT;
{ /* Integrate/node.scm 109 */
{ /* Integrate/node.scm 109 */
bool_t BgL_auxz00_4726;
BgL_auxz00_4726 = 
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_variablez00_4369)); 
return 
BBOOL(BgL_auxz00_4726);} } 
}



/* glo*! */
obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_56, obj_t BgL_integratorz00_57)
{ AN_OBJECT;
{ /* Integrate/node.scm 395 */
{ 
obj_t BgL_nodeza2za2_1571;
BgL_nodeza2za2_1571 = BgL_nodeza2za2_56; 
BgL_loopz00_1572:
if(
NULLP(BgL_nodeza2za2_1571))
{ /* Integrate/node.scm 397 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Integrate/node.scm 397 */
{ /* Integrate/node.scm 400 */
BgL_nodez00_bglt BgL_arg3079z00_1574;
{ /* Integrate/node.scm 400 */
BgL_nodez00_bglt BgL_res3305z00_2530;
{ /* Integrate/node.scm 400 */
BgL_nodez00_bglt BgL_nodez00_2503;BgL_variablez00_bglt BgL_integratorz00_2504;
{ /* Integrate/node.scm 400 */
obj_t BgL_auxz00_4733;
BgL_auxz00_4733 = 
CAR(BgL_nodeza2za2_1571); 
BgL_nodez00_2503 = 
(BgL_nodez00_bglt)(BgL_auxz00_4733); } 
BgL_integratorz00_2504 = 
(BgL_variablez00_bglt)(BgL_integratorz00_57); 
{ /* Integrate/node.scm 400 */
obj_t BgL_method2985z00_2505;
{ /* Integrate/node.scm 400 */
long BgL_objzd2classzd2numz00_2507;
{ /* Integrate/node.scm 400 */
BgL_objectz00_bglt BgL_auxz00_4737;
BgL_auxz00_4737 = 
(BgL_objectz00_bglt)(BgL_nodez00_2503); 
BgL_objzd2classzd2numz00_2507 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4737); } 
{ /* Integrate/node.scm 400 */
obj_t BgL_arg1221z00_2508;
{ /* Integrate/node.scm 400 */
int BgL_auxz00_4740;
BgL_auxz00_4740 = 
(int)(((long)1)); 
BgL_arg1221z00_2508 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4740); } 
{ /* Integrate/node.scm 400 */
long BgL_offsetz00_2512;
{ /* Integrate/node.scm 400 */
long BgL_auxz00_4743;
{ /* Integrate/node.scm 400 */
int BgL_auxz00_4744;
BgL_auxz00_4744 = 
(int)(BgL_objzd2classzd2numz00_2507); 
BgL_auxz00_4743 = 
(long)(BgL_auxz00_4744); } 
BgL_offsetz00_2512 = 
(BgL_auxz00_4743-OBJECT_TYPE); } 
{ /* Integrate/node.scm 400 */
long BgL_modz00_2513;
{ /* Integrate/node.scm 400 */
long BgL_auxz00_4748;
{ /* Integrate/node.scm 400 */
int BgL_auxz00_4749;
BgL_auxz00_4749 = 
(int)(((long)8)); 
BgL_auxz00_4748 = 
(long)(BgL_auxz00_4749); } 
BgL_modz00_2513 = 
(BgL_offsetz00_2512/BgL_auxz00_4748); } 
{ /* Integrate/node.scm 400 */
long BgL_restz00_2515;
{ /* Integrate/node.scm 400 */
long BgL_auxz00_4753;
{ /* Integrate/node.scm 400 */
int BgL_auxz00_4754;
BgL_auxz00_4754 = 
(int)(((long)8)); 
BgL_auxz00_4753 = 
(long)(BgL_auxz00_4754); } 
BgL_restz00_2515 = 
(BgL_offsetz00_2512%BgL_auxz00_4753); } 
{ /* Integrate/node.scm 400 */

{ /* Integrate/node.scm 400 */
obj_t BgL_bucketz00_2517;
{ /* Integrate/node.scm 400 */
int BgL_kz00_2527;
BgL_kz00_2527 = 
(int)(BgL_modz00_2513); 
BgL_bucketz00_2517 = 
VECTOR_REF(BgL_arg1221z00_2508,BgL_kz00_2527); } 
{ /* Integrate/node.scm 400 */
int BgL_kz00_2529;
BgL_kz00_2529 = 
(int)(BgL_restz00_2515); 
BgL_method2985z00_2505 = 
VECTOR_REF(BgL_bucketz00_2517,BgL_kz00_2529); } } } } } } } } 
{ /* Integrate/node.scm 400 */
obj_t BgL_auxz00_4762;
BgL_auxz00_4762 = 
PROCEDURE_ENTRY(BgL_method2985z00_2505)(BgL_method2985z00_2505, 
(obj_t)(BgL_nodez00_2503), 
(obj_t)(BgL_integratorz00_2504), BEOA); 
BgL_res3305z00_2530 = 
(BgL_nodez00_bglt)(BgL_auxz00_4762); } } } 
BgL_arg3079z00_1574 = BgL_res3305z00_2530; } 
{ /* Integrate/node.scm 400 */
obj_t BgL_auxz00_4768;
BgL_auxz00_4768 = 
(obj_t)(BgL_arg3079z00_1574); 
SET_CAR(BgL_nodeza2za2_1571, BgL_auxz00_4768); } } 
{ 
obj_t BgL_nodeza2za2_4771;
BgL_nodeza2za2_4771 = 
CDR(BgL_nodeza2za2_1571); 
BgL_nodeza2za2_1571 = BgL_nodeza2za2_4771; 
goto BgL_loopz00_1572;} } } } 
}



/* globalize-local-fun! */
obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt BgL_localz00_58, BgL_variablez00_bglt BgL_integratorz00_59)
{ AN_OBJECT;
{ /* Integrate/node.scm 406 */
{ /* Integrate/node.scm 409 */
BgL_valuez00_bglt BgL_funz00_1577;
BgL_funz00_1577 = 
(((BgL_localz00_bglt)CREF(BgL_localz00_58))->BgL_valuez00); 
{ /* Integrate/node.scm 409 */
obj_t BgL_obodyz00_1578;
{ /* Integrate/node.scm 410 */
BgL_sfunz00_bglt BgL_obj1372z00_2535;
BgL_obj1372z00_2535 = 
(BgL_sfunz00_bglt)(BgL_funz00_1577); 
BgL_obodyz00_1578 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2535))->BgL_bodyz00); } 
{ /* Integrate/node.scm 410 */

{ /* Integrate/node.scm 411 */
bool_t BgL_testz00_4776;
{ /* Integrate/node.scm 411 */
obj_t BgL_auxz00_4779;obj_t BgL_auxz00_4777;
BgL_auxz00_4779 = 
(obj_t)(BgL_integratorz00_59); 
BgL_auxz00_4777 = 
(obj_t)(BgL_localz00_58); 
BgL_testz00_4776 = 
(BgL_auxz00_4777==BgL_auxz00_4779); } 
if(BgL_testz00_4776)
{ /* Integrate/node.scm 412 */
BgL_nodez00_bglt BgL_arg3083z00_1580;
{ /* Integrate/node.scm 412 */
BgL_nodez00_bglt BgL_res3308z00_2563;
{ /* Integrate/node.scm 412 */
BgL_nodez00_bglt BgL_nodez00_2536;
BgL_nodez00_2536 = 
(BgL_nodez00_bglt)(BgL_obodyz00_1578); 
{ /* Integrate/node.scm 412 */
obj_t BgL_method2985z00_2538;
{ /* Integrate/node.scm 412 */
long BgL_objzd2classzd2numz00_2540;
{ /* Integrate/node.scm 412 */
BgL_objectz00_bglt BgL_auxz00_4783;
BgL_auxz00_4783 = 
(BgL_objectz00_bglt)(BgL_nodez00_2536); 
BgL_objzd2classzd2numz00_2540 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4783); } 
{ /* Integrate/node.scm 412 */
obj_t BgL_arg1221z00_2541;
{ /* Integrate/node.scm 412 */
int BgL_auxz00_4786;
BgL_auxz00_4786 = 
(int)(((long)1)); 
BgL_arg1221z00_2541 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4786); } 
{ /* Integrate/node.scm 412 */
long BgL_offsetz00_2545;
{ /* Integrate/node.scm 412 */
long BgL_auxz00_4789;
{ /* Integrate/node.scm 412 */
int BgL_auxz00_4790;
BgL_auxz00_4790 = 
(int)(BgL_objzd2classzd2numz00_2540); 
BgL_auxz00_4789 = 
(long)(BgL_auxz00_4790); } 
BgL_offsetz00_2545 = 
(BgL_auxz00_4789-OBJECT_TYPE); } 
{ /* Integrate/node.scm 412 */
long BgL_modz00_2546;
{ /* Integrate/node.scm 412 */
long BgL_auxz00_4794;
{ /* Integrate/node.scm 412 */
int BgL_auxz00_4795;
BgL_auxz00_4795 = 
(int)(((long)8)); 
BgL_auxz00_4794 = 
(long)(BgL_auxz00_4795); } 
BgL_modz00_2546 = 
(BgL_offsetz00_2545/BgL_auxz00_4794); } 
{ /* Integrate/node.scm 412 */
long BgL_restz00_2548;
{ /* Integrate/node.scm 412 */
long BgL_auxz00_4799;
{ /* Integrate/node.scm 412 */
int BgL_auxz00_4800;
BgL_auxz00_4800 = 
(int)(((long)8)); 
BgL_auxz00_4799 = 
(long)(BgL_auxz00_4800); } 
BgL_restz00_2548 = 
(BgL_offsetz00_2545%BgL_auxz00_4799); } 
{ /* Integrate/node.scm 412 */

{ /* Integrate/node.scm 412 */
obj_t BgL_bucketz00_2550;
{ /* Integrate/node.scm 412 */
int BgL_kz00_2560;
BgL_kz00_2560 = 
(int)(BgL_modz00_2546); 
BgL_bucketz00_2550 = 
VECTOR_REF(BgL_arg1221z00_2541,BgL_kz00_2560); } 
{ /* Integrate/node.scm 412 */
int BgL_kz00_2562;
BgL_kz00_2562 = 
(int)(BgL_restz00_2548); 
BgL_method2985z00_2538 = 
VECTOR_REF(BgL_bucketz00_2550,BgL_kz00_2562); } } } } } } } } 
{ /* Integrate/node.scm 412 */
obj_t BgL_auxz00_4808;
BgL_auxz00_4808 = 
PROCEDURE_ENTRY(BgL_method2985z00_2538)(BgL_method2985z00_2538, 
(obj_t)(BgL_nodez00_2536), 
(obj_t)(BgL_integratorz00_59), BEOA); 
BgL_res3308z00_2563 = 
(BgL_nodez00_bglt)(BgL_auxz00_4808); } } } 
BgL_arg3083z00_1580 = BgL_res3308z00_2563; } 
{ /* Integrate/node.scm 412 */
BgL_sfunz00_bglt BgL_obj1374z00_2564;obj_t BgL_val1373z00_2565;
BgL_obj1374z00_2564 = 
(BgL_sfunz00_bglt)(BgL_funz00_1577); 
BgL_val1373z00_2565 = 
(obj_t)(BgL_arg3083z00_1580); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2564))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2565), BUNSPEC);} }  else 
{ /* Integrate/node.scm 413 */
obj_t BgL_celledz00_1581;
{ /* Integrate/node.scm 413 */
obj_t BgL_auxz00_4817;
{ /* Integrate/node.scm 413 */
BgL_sfunz00_bglt BgL_obj1369z00_2566;
BgL_obj1369z00_2566 = 
(BgL_sfunz00_bglt)(BgL_funz00_1577); 
BgL_auxz00_4817 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2566))->BgL_argsz00); } 
BgL_celledz00_1581 = 
BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_auxz00_4817); } 
{ 
obj_t BgL_l2980z00_1582;
BgL_l2980z00_1582 = BgL_celledz00_1581; 
BgL_lname2981z00_1583:
if(
PAIRP(BgL_l2980z00_1582))
{ /* Integrate/node.scm 414 */
{ /* Integrate/node.scm 415 */
obj_t BgL_wze2bze2_1585;
BgL_wze2bze2_1585 = 
CAR(BgL_l2980z00_1582); 
{ /* Integrate/node.scm 415 */
obj_t BgL_arg3086z00_1587;
BgL_arg3086z00_1587 = 
CDR(BgL_wze2bze2_1585); 
{ /* Integrate/node.scm 415 */
BgL_variablez00_bglt BgL_obj1111z00_2571;
{ /* Integrate/node.scm 415 */
obj_t BgL_auxz00_4825;
BgL_auxz00_4825 = 
CAR(BgL_wze2bze2_1585); 
BgL_obj1111z00_2571 = 
(BgL_variablez00_bglt)(BgL_auxz00_4825); } 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_2571))->BgL_fastzd2alphazd2) = ((obj_t)BgL_arg3086z00_1587), BUNSPEC); } } } 
{ 
obj_t BgL_l2980z00_4829;
BgL_l2980z00_4829 = 
CDR(BgL_l2980z00_1582); 
BgL_l2980z00_1582 = BgL_l2980z00_4829; 
goto BgL_lname2981z00_1583;} }  else 
{ /* Integrate/node.scm 414 */((bool_t)1); } } 
{ /* Integrate/node.scm 417 */
BgL_nodez00_bglt BgL_nbody1z00_1589;
{ /* Integrate/node.scm 417 */
BgL_nodez00_bglt BgL_res3311z00_2601;
{ /* Integrate/node.scm 417 */
BgL_nodez00_bglt BgL_nodez00_2574;
BgL_nodez00_2574 = 
(BgL_nodez00_bglt)(BgL_obodyz00_1578); 
{ /* Integrate/node.scm 417 */
obj_t BgL_method2985z00_2576;
{ /* Integrate/node.scm 417 */
long BgL_objzd2classzd2numz00_2578;
{ /* Integrate/node.scm 417 */
BgL_objectz00_bglt BgL_auxz00_4832;
BgL_auxz00_4832 = 
(BgL_objectz00_bglt)(BgL_nodez00_2574); 
BgL_objzd2classzd2numz00_2578 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4832); } 
{ /* Integrate/node.scm 417 */
obj_t BgL_arg1221z00_2579;
{ /* Integrate/node.scm 417 */
int BgL_auxz00_4835;
BgL_auxz00_4835 = 
(int)(((long)1)); 
BgL_arg1221z00_2579 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4835); } 
{ /* Integrate/node.scm 417 */
long BgL_offsetz00_2583;
{ /* Integrate/node.scm 417 */
long BgL_auxz00_4838;
{ /* Integrate/node.scm 417 */
int BgL_auxz00_4839;
BgL_auxz00_4839 = 
(int)(BgL_objzd2classzd2numz00_2578); 
BgL_auxz00_4838 = 
(long)(BgL_auxz00_4839); } 
BgL_offsetz00_2583 = 
(BgL_auxz00_4838-OBJECT_TYPE); } 
{ /* Integrate/node.scm 417 */
long BgL_modz00_2584;
{ /* Integrate/node.scm 417 */
long BgL_auxz00_4843;
{ /* Integrate/node.scm 417 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)8)); 
BgL_auxz00_4843 = 
(long)(BgL_auxz00_4844); } 
BgL_modz00_2584 = 
(BgL_offsetz00_2583/BgL_auxz00_4843); } 
{ /* Integrate/node.scm 417 */
long BgL_restz00_2586;
{ /* Integrate/node.scm 417 */
long BgL_auxz00_4848;
{ /* Integrate/node.scm 417 */
int BgL_auxz00_4849;
BgL_auxz00_4849 = 
(int)(((long)8)); 
BgL_auxz00_4848 = 
(long)(BgL_auxz00_4849); } 
BgL_restz00_2586 = 
(BgL_offsetz00_2583%BgL_auxz00_4848); } 
{ /* Integrate/node.scm 417 */

{ /* Integrate/node.scm 417 */
obj_t BgL_bucketz00_2588;
{ /* Integrate/node.scm 417 */
int BgL_kz00_2598;
BgL_kz00_2598 = 
(int)(BgL_modz00_2584); 
BgL_bucketz00_2588 = 
VECTOR_REF(BgL_arg1221z00_2579,BgL_kz00_2598); } 
{ /* Integrate/node.scm 417 */
int BgL_kz00_2600;
BgL_kz00_2600 = 
(int)(BgL_restz00_2586); 
BgL_method2985z00_2576 = 
VECTOR_REF(BgL_bucketz00_2588,BgL_kz00_2600); } } } } } } } } 
{ /* Integrate/node.scm 417 */
obj_t BgL_auxz00_4857;
BgL_auxz00_4857 = 
PROCEDURE_ENTRY(BgL_method2985z00_2576)(BgL_method2985z00_2576, 
(obj_t)(BgL_nodez00_2574), 
(obj_t)(BgL_integratorz00_59), BEOA); 
BgL_res3311z00_2601 = 
(BgL_nodez00_bglt)(BgL_auxz00_4857); } } } 
BgL_nbody1z00_1589 = BgL_res3311z00_2601; } 
{ /* Integrate/node.scm 417 */
obj_t BgL_nbody2z00_1590;
BgL_nbody2z00_1590 = 
BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1581, BgL_nbody1z00_1589); 
{ /* Integrate/node.scm 418 */

{ 
obj_t BgL_l2982z00_1591;
BgL_l2982z00_1591 = BgL_celledz00_1581; 
BgL_lname2983z00_1592:
if(
PAIRP(BgL_l2982z00_1591))
{ /* Integrate/node.scm 419 */
{ /* Integrate/node.scm 420 */
BgL_variablez00_bglt BgL_obj1111z00_2605;
{ /* Integrate/node.scm 420 */
obj_t BgL_auxz00_4866;
{ /* Integrate/node.scm 420 */
obj_t BgL_auxz00_4867;
BgL_auxz00_4867 = 
CAR(BgL_l2982z00_1591); 
BgL_auxz00_4866 = 
CAR(BgL_auxz00_4867); } 
BgL_obj1111z00_2605 = 
(BgL_variablez00_bglt)(BgL_auxz00_4866); } 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_2605))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); } 
{ 
obj_t BgL_l2982z00_4872;
BgL_l2982z00_4872 = 
CDR(BgL_l2982z00_1591); 
BgL_l2982z00_1591 = BgL_l2982z00_4872; 
goto BgL_lname2983z00_1592;} }  else 
{ /* Integrate/node.scm 419 */((bool_t)1); } } 
{ /* Integrate/node.scm 422 */
BgL_sfunz00_bglt BgL_obj1374z00_2608;
BgL_obj1374z00_2608 = 
(BgL_sfunz00_bglt)(BgL_funz00_1577); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2608))->BgL_bodyz00) = ((obj_t)BgL_nbody2z00_1590), BUNSPEC);} } } } } } } } } } 
}



/* local-value */
BgL_valuez00_bglt BGl_localzd2valuezd2zzintegrate_nodez00(BgL_localz00_bglt BgL_obj1255z00_1284)
{ AN_OBJECT;
{ /* ./Ast/var.scm 65 */
return 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_1284))->BgL_valuez00);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_gloz12zd2default2984zd2envz12zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00, BGl_proc3429z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00, BGl_proc3430z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00, BGl_proc3431z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00, BGl_proc3432z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00, BGl_proc3433z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00, BGl_proc3434z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3435z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00, BGl_proc3436z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00, BGl_proc3437z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00, BGl_proc3438z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00, BGl_proc3439z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_conditionalz00zzast_nodez00, BGl_proc3440z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00, BGl_proc3441z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00, BGl_proc3442z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3443z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3444z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3445z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3446z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3447z00zzintegrate_nodez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3448z00zzintegrate_nodez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3449z00zzintegrate_nodez00);} 
}



/* glo!-box-set!3027 */
obj_t BGl_gloz12zd2boxzd2setz123027z00zzintegrate_nodez00(obj_t BgL_envz00_4391, obj_t BgL_nodez00_4392, obj_t BgL_integratorz00_4393)
{ AN_OBJECT;
{ /* Integrate/node.scm 385 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2313;obj_t BgL_integratorz00_2314;
{ /* ./Tools/trace.sch 42 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4899;
BgL_nodez00_2313 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4392); 
BgL_integratorz00_2314 = BgL_integratorz00_4393; 
{ /* Integrate/node.scm 388 */
BgL_nodez00_bglt BgL_arg3284z00_2318;
{ /* Integrate/node.scm 388 */
BgL_nodez00_bglt BgL_res3423z00_4299;
{ /* Integrate/node.scm 388 */
BgL_nodez00_bglt BgL_nodez00_4272;BgL_variablez00_bglt BgL_integratorz00_4273;
{ /* Integrate/node.scm 388 */
BgL_varz00_bglt BgL_auxz00_4900;
BgL_auxz00_4900 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2313))->BgL_varz00); 
BgL_nodez00_4272 = 
(BgL_nodez00_bglt)(BgL_auxz00_4900); } 
BgL_integratorz00_4273 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2314); 
{ /* Integrate/node.scm 388 */
obj_t BgL_method2985z00_4274;
{ /* Integrate/node.scm 388 */
long BgL_objzd2classzd2numz00_4276;
{ /* Integrate/node.scm 388 */
BgL_objectz00_bglt BgL_auxz00_4904;
BgL_auxz00_4904 = 
(BgL_objectz00_bglt)(BgL_nodez00_4272); 
BgL_objzd2classzd2numz00_4276 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4904); } 
{ /* Integrate/node.scm 388 */
obj_t BgL_arg1221z00_4277;
{ /* Integrate/node.scm 388 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(((long)1)); 
BgL_arg1221z00_4277 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4907); } 
{ /* Integrate/node.scm 388 */
long BgL_offsetz00_4281;
{ /* Integrate/node.scm 388 */
long BgL_auxz00_4910;
{ /* Integrate/node.scm 388 */
int BgL_auxz00_4911;
BgL_auxz00_4911 = 
(int)(BgL_objzd2classzd2numz00_4276); 
BgL_auxz00_4910 = 
(long)(BgL_auxz00_4911); } 
BgL_offsetz00_4281 = 
(BgL_auxz00_4910-OBJECT_TYPE); } 
{ /* Integrate/node.scm 388 */
long BgL_modz00_4282;
{ /* Integrate/node.scm 388 */
long BgL_auxz00_4915;
{ /* Integrate/node.scm 388 */
int BgL_auxz00_4916;
BgL_auxz00_4916 = 
(int)(((long)8)); 
BgL_auxz00_4915 = 
(long)(BgL_auxz00_4916); } 
BgL_modz00_4282 = 
(BgL_offsetz00_4281/BgL_auxz00_4915); } 
{ /* Integrate/node.scm 388 */
long BgL_restz00_4284;
{ /* Integrate/node.scm 388 */
long BgL_auxz00_4920;
{ /* Integrate/node.scm 388 */
int BgL_auxz00_4921;
BgL_auxz00_4921 = 
(int)(((long)8)); 
BgL_auxz00_4920 = 
(long)(BgL_auxz00_4921); } 
BgL_restz00_4284 = 
(BgL_offsetz00_4281%BgL_auxz00_4920); } 
{ /* Integrate/node.scm 388 */

{ /* Integrate/node.scm 388 */
obj_t BgL_bucketz00_4286;
{ /* Integrate/node.scm 388 */
int BgL_kz00_4296;
BgL_kz00_4296 = 
(int)(BgL_modz00_4282); 
BgL_bucketz00_4286 = 
VECTOR_REF(BgL_arg1221z00_4277,BgL_kz00_4296); } 
{ /* Integrate/node.scm 388 */
int BgL_kz00_4298;
BgL_kz00_4298 = 
(int)(BgL_restz00_4284); 
BgL_method2985z00_4274 = 
VECTOR_REF(BgL_bucketz00_4286,BgL_kz00_4298); } } } } } } } } 
{ /* Integrate/node.scm 388 */
obj_t BgL_auxz00_4929;
BgL_auxz00_4929 = 
PROCEDURE_ENTRY(BgL_method2985z00_4274)(BgL_method2985z00_4274, 
(obj_t)(BgL_nodez00_4272), 
(obj_t)(BgL_integratorz00_4273), BEOA); 
BgL_res3423z00_4299 = 
(BgL_nodez00_bglt)(BgL_auxz00_4929); } } } 
BgL_arg3284z00_2318 = BgL_res3423z00_4299; } 
{ /* Integrate/node.scm 388 */
BgL_varz00_bglt BgL_val2631z00_4301;
BgL_val2631z00_4301 = 
(BgL_varz00_bglt)(BgL_arg3284z00_2318); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2313))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_4301), BUNSPEC); } } 
{ /* Integrate/node.scm 389 */
BgL_nodez00_bglt BgL_arg3286z00_2320;
{ /* Integrate/node.scm 389 */
BgL_nodez00_bglt BgL_arg3287z00_2321;
BgL_arg3287z00_2321 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2313))->BgL_valuez00); 
{ /* Integrate/node.scm 389 */
BgL_nodez00_bglt BgL_res3426z00_4330;
{ /* Integrate/node.scm 389 */
BgL_variablez00_bglt BgL_integratorz00_4304;
BgL_integratorz00_4304 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2314); 
{ /* Integrate/node.scm 389 */
obj_t BgL_method2985z00_4305;
{ /* Integrate/node.scm 389 */
long BgL_objzd2classzd2numz00_4307;
{ /* Integrate/node.scm 389 */
BgL_objectz00_bglt BgL_auxz00_4939;
BgL_auxz00_4939 = 
(BgL_objectz00_bglt)(BgL_arg3287z00_2321); 
BgL_objzd2classzd2numz00_4307 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4939); } 
{ /* Integrate/node.scm 389 */
obj_t BgL_arg1221z00_4308;
{ /* Integrate/node.scm 389 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)1)); 
BgL_arg1221z00_4308 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4942); } 
{ /* Integrate/node.scm 389 */
long BgL_offsetz00_4312;
{ /* Integrate/node.scm 389 */
long BgL_auxz00_4945;
{ /* Integrate/node.scm 389 */
int BgL_auxz00_4946;
BgL_auxz00_4946 = 
(int)(BgL_objzd2classzd2numz00_4307); 
BgL_auxz00_4945 = 
(long)(BgL_auxz00_4946); } 
BgL_offsetz00_4312 = 
(BgL_auxz00_4945-OBJECT_TYPE); } 
{ /* Integrate/node.scm 389 */
long BgL_modz00_4313;
{ /* Integrate/node.scm 389 */
long BgL_auxz00_4950;
{ /* Integrate/node.scm 389 */
int BgL_auxz00_4951;
BgL_auxz00_4951 = 
(int)(((long)8)); 
BgL_auxz00_4950 = 
(long)(BgL_auxz00_4951); } 
BgL_modz00_4313 = 
(BgL_offsetz00_4312/BgL_auxz00_4950); } 
{ /* Integrate/node.scm 389 */
long BgL_restz00_4315;
{ /* Integrate/node.scm 389 */
long BgL_auxz00_4955;
{ /* Integrate/node.scm 389 */
int BgL_auxz00_4956;
BgL_auxz00_4956 = 
(int)(((long)8)); 
BgL_auxz00_4955 = 
(long)(BgL_auxz00_4956); } 
BgL_restz00_4315 = 
(BgL_offsetz00_4312%BgL_auxz00_4955); } 
{ /* Integrate/node.scm 389 */

{ /* Integrate/node.scm 389 */
obj_t BgL_bucketz00_4317;
{ /* Integrate/node.scm 389 */
int BgL_kz00_4327;
BgL_kz00_4327 = 
(int)(BgL_modz00_4313); 
BgL_bucketz00_4317 = 
VECTOR_REF(BgL_arg1221z00_4308,BgL_kz00_4327); } 
{ /* Integrate/node.scm 389 */
int BgL_kz00_4329;
BgL_kz00_4329 = 
(int)(BgL_restz00_4315); 
BgL_method2985z00_4305 = 
VECTOR_REF(BgL_bucketz00_4317,BgL_kz00_4329); } } } } } } } } 
{ /* Integrate/node.scm 389 */
obj_t BgL_auxz00_4964;
BgL_auxz00_4964 = 
PROCEDURE_ENTRY(BgL_method2985z00_4305)(BgL_method2985z00_4305, 
(obj_t)(BgL_arg3287z00_2321), 
(obj_t)(BgL_integratorz00_4304), BEOA); 
BgL_res3426z00_4330 = 
(BgL_nodez00_bglt)(BgL_auxz00_4964); } } } 
BgL_arg3286z00_2320 = BgL_res3426z00_4330; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2313))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3286z00_2320), BUNSPEC); } 
BgL_auxz00_4899 = BgL_nodez00_2313; 
return 
(obj_t)(BgL_auxz00_4899);} } } 
}



/* glo!-box-ref3025 */
obj_t BGl_gloz12zd2boxzd2ref3025z12zzintegrate_nodez00(obj_t BgL_envz00_4394, obj_t BgL_nodez00_4395, obj_t BgL_integratorz00_4396)
{ AN_OBJECT;
{ /* Integrate/node.scm 376 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2304;obj_t BgL_integratorz00_2305;
{ /* ./Tools/trace.sch 42 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4973;
BgL_nodez00_2304 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4395); 
BgL_integratorz00_2305 = BgL_integratorz00_4396; 
{ /* Integrate/node.scm 378 */
BgL_nodez00_bglt BgL_arg3281z00_4238;
{ /* Integrate/node.scm 378 */
BgL_nodez00_bglt BgL_res3420z00_4268;
{ /* Integrate/node.scm 378 */
BgL_nodez00_bglt BgL_nodez00_4241;BgL_variablez00_bglt BgL_integratorz00_4242;
{ /* Integrate/node.scm 378 */
BgL_varz00_bglt BgL_auxz00_4974;
BgL_auxz00_4974 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2304))->BgL_varz00); 
BgL_nodez00_4241 = 
(BgL_nodez00_bglt)(BgL_auxz00_4974); } 
BgL_integratorz00_4242 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2305); 
{ /* Integrate/node.scm 378 */
obj_t BgL_method2985z00_4243;
{ /* Integrate/node.scm 378 */
long BgL_objzd2classzd2numz00_4245;
{ /* Integrate/node.scm 378 */
BgL_objectz00_bglt BgL_auxz00_4978;
BgL_auxz00_4978 = 
(BgL_objectz00_bglt)(BgL_nodez00_4241); 
BgL_objzd2classzd2numz00_4245 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4978); } 
{ /* Integrate/node.scm 378 */
obj_t BgL_arg1221z00_4246;
{ /* Integrate/node.scm 378 */
int BgL_auxz00_4981;
BgL_auxz00_4981 = 
(int)(((long)1)); 
BgL_arg1221z00_4246 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_4981); } 
{ /* Integrate/node.scm 378 */
long BgL_offsetz00_4250;
{ /* Integrate/node.scm 378 */
long BgL_auxz00_4984;
{ /* Integrate/node.scm 378 */
int BgL_auxz00_4985;
BgL_auxz00_4985 = 
(int)(BgL_objzd2classzd2numz00_4245); 
BgL_auxz00_4984 = 
(long)(BgL_auxz00_4985); } 
BgL_offsetz00_4250 = 
(BgL_auxz00_4984-OBJECT_TYPE); } 
{ /* Integrate/node.scm 378 */
long BgL_modz00_4251;
{ /* Integrate/node.scm 378 */
long BgL_auxz00_4989;
{ /* Integrate/node.scm 378 */
int BgL_auxz00_4990;
BgL_auxz00_4990 = 
(int)(((long)8)); 
BgL_auxz00_4989 = 
(long)(BgL_auxz00_4990); } 
BgL_modz00_4251 = 
(BgL_offsetz00_4250/BgL_auxz00_4989); } 
{ /* Integrate/node.scm 378 */
long BgL_restz00_4253;
{ /* Integrate/node.scm 378 */
long BgL_auxz00_4994;
{ /* Integrate/node.scm 378 */
int BgL_auxz00_4995;
BgL_auxz00_4995 = 
(int)(((long)8)); 
BgL_auxz00_4994 = 
(long)(BgL_auxz00_4995); } 
BgL_restz00_4253 = 
(BgL_offsetz00_4250%BgL_auxz00_4994); } 
{ /* Integrate/node.scm 378 */

{ /* Integrate/node.scm 378 */
obj_t BgL_bucketz00_4255;
{ /* Integrate/node.scm 378 */
int BgL_kz00_4265;
BgL_kz00_4265 = 
(int)(BgL_modz00_4251); 
BgL_bucketz00_4255 = 
VECTOR_REF(BgL_arg1221z00_4246,BgL_kz00_4265); } 
{ /* Integrate/node.scm 378 */
int BgL_kz00_4267;
BgL_kz00_4267 = 
(int)(BgL_restz00_4253); 
BgL_method2985z00_4243 = 
VECTOR_REF(BgL_bucketz00_4255,BgL_kz00_4267); } } } } } } } } 
{ /* Integrate/node.scm 378 */
obj_t BgL_auxz00_5003;
BgL_auxz00_5003 = 
PROCEDURE_ENTRY(BgL_method2985z00_4243)(BgL_method2985z00_4243, 
(obj_t)(BgL_nodez00_4241), 
(obj_t)(BgL_integratorz00_4242), BEOA); 
BgL_res3420z00_4268 = 
(BgL_nodez00_bglt)(BgL_auxz00_5003); } } } 
BgL_arg3281z00_4238 = BgL_res3420z00_4268; } 
{ /* Integrate/node.scm 378 */
BgL_varz00_bglt BgL_val2603z00_4270;
BgL_val2603z00_4270 = 
(BgL_varz00_bglt)(BgL_arg3281z00_4238); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2304))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_4270), BUNSPEC); } } 
BgL_auxz00_4973 = BgL_nodez00_2304; 
return 
(obj_t)(BgL_auxz00_4973);} } } 
}



/* glo!-make-box3023 */
obj_t BGl_gloz12zd2makezd2box3023z12zzintegrate_nodez00(obj_t BgL_envz00_4397, obj_t BgL_nodez00_4398, obj_t BgL_integratorz00_4399)
{ AN_OBJECT;
{ /* Integrate/node.scm 368 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2295;obj_t BgL_integratorz00_2296;
{ /* Integrate/node.scm 369 */
BgL_makezd2boxzd2_bglt BgL_auxz00_5013;
BgL_nodez00_2295 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4398); 
BgL_integratorz00_2296 = BgL_integratorz00_4399; 
{ /* Integrate/node.scm 369 */
BgL_nodez00_bglt BgL_arg3278z00_4204;
{ /* Integrate/node.scm 369 */
BgL_nodez00_bglt BgL_arg3279z00_4205;
BgL_arg3279z00_4205 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2295))->BgL_valuez00); 
{ /* Integrate/node.scm 369 */
BgL_nodez00_bglt BgL_res3417z00_4234;
{ /* Integrate/node.scm 369 */
BgL_variablez00_bglt BgL_integratorz00_4208;
BgL_integratorz00_4208 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2296); 
{ /* Integrate/node.scm 369 */
obj_t BgL_method2985z00_4209;
{ /* Integrate/node.scm 369 */
long BgL_objzd2classzd2numz00_4211;
{ /* Integrate/node.scm 369 */
BgL_objectz00_bglt BgL_auxz00_5016;
BgL_auxz00_5016 = 
(BgL_objectz00_bglt)(BgL_arg3279z00_4205); 
BgL_objzd2classzd2numz00_4211 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5016); } 
{ /* Integrate/node.scm 369 */
obj_t BgL_arg1221z00_4212;
{ /* Integrate/node.scm 369 */
int BgL_auxz00_5019;
BgL_auxz00_5019 = 
(int)(((long)1)); 
BgL_arg1221z00_4212 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5019); } 
{ /* Integrate/node.scm 369 */
long BgL_offsetz00_4216;
{ /* Integrate/node.scm 369 */
long BgL_auxz00_5022;
{ /* Integrate/node.scm 369 */
int BgL_auxz00_5023;
BgL_auxz00_5023 = 
(int)(BgL_objzd2classzd2numz00_4211); 
BgL_auxz00_5022 = 
(long)(BgL_auxz00_5023); } 
BgL_offsetz00_4216 = 
(BgL_auxz00_5022-OBJECT_TYPE); } 
{ /* Integrate/node.scm 369 */
long BgL_modz00_4217;
{ /* Integrate/node.scm 369 */
long BgL_auxz00_5027;
{ /* Integrate/node.scm 369 */
int BgL_auxz00_5028;
BgL_auxz00_5028 = 
(int)(((long)8)); 
BgL_auxz00_5027 = 
(long)(BgL_auxz00_5028); } 
BgL_modz00_4217 = 
(BgL_offsetz00_4216/BgL_auxz00_5027); } 
{ /* Integrate/node.scm 369 */
long BgL_restz00_4219;
{ /* Integrate/node.scm 369 */
long BgL_auxz00_5032;
{ /* Integrate/node.scm 369 */
int BgL_auxz00_5033;
BgL_auxz00_5033 = 
(int)(((long)8)); 
BgL_auxz00_5032 = 
(long)(BgL_auxz00_5033); } 
BgL_restz00_4219 = 
(BgL_offsetz00_4216%BgL_auxz00_5032); } 
{ /* Integrate/node.scm 369 */

{ /* Integrate/node.scm 369 */
obj_t BgL_bucketz00_4221;
{ /* Integrate/node.scm 369 */
int BgL_kz00_4231;
BgL_kz00_4231 = 
(int)(BgL_modz00_4217); 
BgL_bucketz00_4221 = 
VECTOR_REF(BgL_arg1221z00_4212,BgL_kz00_4231); } 
{ /* Integrate/node.scm 369 */
int BgL_kz00_4233;
BgL_kz00_4233 = 
(int)(BgL_restz00_4219); 
BgL_method2985z00_4209 = 
VECTOR_REF(BgL_bucketz00_4221,BgL_kz00_4233); } } } } } } } } 
{ /* Integrate/node.scm 369 */
obj_t BgL_auxz00_5041;
BgL_auxz00_5041 = 
PROCEDURE_ENTRY(BgL_method2985z00_4209)(BgL_method2985z00_4209, 
(obj_t)(BgL_arg3279z00_4205), 
(obj_t)(BgL_integratorz00_4208), BEOA); 
BgL_res3417z00_4234 = 
(BgL_nodez00_bglt)(BgL_auxz00_5041); } } } 
BgL_arg3278z00_4204 = BgL_res3417z00_4234; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2295))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3278z00_4204), BUNSPEC); } 
BgL_auxz00_5013 = BgL_nodez00_2295; 
return 
(obj_t)(BgL_auxz00_5013);} } } 
}



/* glo!-jump-ex-it3021 */
obj_t BGl_gloz12zd2jumpzd2exzd2it3021zc0zzintegrate_nodez00(obj_t BgL_envz00_4400, obj_t BgL_nodez00_4401, obj_t BgL_integratorz00_4402)
{ AN_OBJECT;
{ /* Integrate/node.scm 359 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2284;obj_t BgL_integratorz00_2285;
{ /* Integrate/node.scm 360 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_5050;
BgL_nodez00_2284 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4401); 
BgL_integratorz00_2285 = BgL_integratorz00_4402; 
{ /* Integrate/node.scm 361 */
BgL_nodez00_bglt BgL_arg3273z00_2289;
{ /* Integrate/node.scm 361 */
BgL_nodez00_bglt BgL_arg3274z00_2290;
BgL_arg3274z00_2290 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2284))->BgL_exitz00); 
{ /* Integrate/node.scm 361 */
BgL_nodez00_bglt BgL_res3411z00_4169;
{ /* Integrate/node.scm 361 */
BgL_variablez00_bglt BgL_integratorz00_4143;
BgL_integratorz00_4143 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2285); 
{ /* Integrate/node.scm 361 */
obj_t BgL_method2985z00_4144;
{ /* Integrate/node.scm 361 */
long BgL_objzd2classzd2numz00_4146;
{ /* Integrate/node.scm 361 */
BgL_objectz00_bglt BgL_auxz00_5053;
BgL_auxz00_5053 = 
(BgL_objectz00_bglt)(BgL_arg3274z00_2290); 
BgL_objzd2classzd2numz00_4146 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5053); } 
{ /* Integrate/node.scm 361 */
obj_t BgL_arg1221z00_4147;
{ /* Integrate/node.scm 361 */
int BgL_auxz00_5056;
BgL_auxz00_5056 = 
(int)(((long)1)); 
BgL_arg1221z00_4147 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5056); } 
{ /* Integrate/node.scm 361 */
long BgL_offsetz00_4151;
{ /* Integrate/node.scm 361 */
long BgL_auxz00_5059;
{ /* Integrate/node.scm 361 */
int BgL_auxz00_5060;
BgL_auxz00_5060 = 
(int)(BgL_objzd2classzd2numz00_4146); 
BgL_auxz00_5059 = 
(long)(BgL_auxz00_5060); } 
BgL_offsetz00_4151 = 
(BgL_auxz00_5059-OBJECT_TYPE); } 
{ /* Integrate/node.scm 361 */
long BgL_modz00_4152;
{ /* Integrate/node.scm 361 */
long BgL_auxz00_5064;
{ /* Integrate/node.scm 361 */
int BgL_auxz00_5065;
BgL_auxz00_5065 = 
(int)(((long)8)); 
BgL_auxz00_5064 = 
(long)(BgL_auxz00_5065); } 
BgL_modz00_4152 = 
(BgL_offsetz00_4151/BgL_auxz00_5064); } 
{ /* Integrate/node.scm 361 */
long BgL_restz00_4154;
{ /* Integrate/node.scm 361 */
long BgL_auxz00_5069;
{ /* Integrate/node.scm 361 */
int BgL_auxz00_5070;
BgL_auxz00_5070 = 
(int)(((long)8)); 
BgL_auxz00_5069 = 
(long)(BgL_auxz00_5070); } 
BgL_restz00_4154 = 
(BgL_offsetz00_4151%BgL_auxz00_5069); } 
{ /* Integrate/node.scm 361 */

{ /* Integrate/node.scm 361 */
obj_t BgL_bucketz00_4156;
{ /* Integrate/node.scm 361 */
int BgL_kz00_4166;
BgL_kz00_4166 = 
(int)(BgL_modz00_4152); 
BgL_bucketz00_4156 = 
VECTOR_REF(BgL_arg1221z00_4147,BgL_kz00_4166); } 
{ /* Integrate/node.scm 361 */
int BgL_kz00_4168;
BgL_kz00_4168 = 
(int)(BgL_restz00_4154); 
BgL_method2985z00_4144 = 
VECTOR_REF(BgL_bucketz00_4156,BgL_kz00_4168); } } } } } } } } 
{ /* Integrate/node.scm 361 */
obj_t BgL_auxz00_5078;
BgL_auxz00_5078 = 
PROCEDURE_ENTRY(BgL_method2985z00_4144)(BgL_method2985z00_4144, 
(obj_t)(BgL_arg3274z00_2290), 
(obj_t)(BgL_integratorz00_4143), BEOA); 
BgL_res3411z00_4169 = 
(BgL_nodez00_bglt)(BgL_auxz00_5078); } } } 
BgL_arg3273z00_2289 = BgL_res3411z00_4169; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2284))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3273z00_2289), BUNSPEC); } 
{ /* Integrate/node.scm 362 */
BgL_nodez00_bglt BgL_arg3275z00_2291;
{ /* Integrate/node.scm 362 */
BgL_nodez00_bglt BgL_arg3276z00_2292;
BgL_arg3276z00_2292 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2284))->BgL_valuez00); 
{ /* Integrate/node.scm 362 */
BgL_nodez00_bglt BgL_res3414z00_4200;
{ /* Integrate/node.scm 362 */
BgL_variablez00_bglt BgL_integratorz00_4174;
BgL_integratorz00_4174 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2285); 
{ /* Integrate/node.scm 362 */
obj_t BgL_method2985z00_4175;
{ /* Integrate/node.scm 362 */
long BgL_objzd2classzd2numz00_4177;
{ /* Integrate/node.scm 362 */
BgL_objectz00_bglt BgL_auxz00_5087;
BgL_auxz00_5087 = 
(BgL_objectz00_bglt)(BgL_arg3276z00_2292); 
BgL_objzd2classzd2numz00_4177 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5087); } 
{ /* Integrate/node.scm 362 */
obj_t BgL_arg1221z00_4178;
{ /* Integrate/node.scm 362 */
int BgL_auxz00_5090;
BgL_auxz00_5090 = 
(int)(((long)1)); 
BgL_arg1221z00_4178 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5090); } 
{ /* Integrate/node.scm 362 */
long BgL_offsetz00_4182;
{ /* Integrate/node.scm 362 */
long BgL_auxz00_5093;
{ /* Integrate/node.scm 362 */
int BgL_auxz00_5094;
BgL_auxz00_5094 = 
(int)(BgL_objzd2classzd2numz00_4177); 
BgL_auxz00_5093 = 
(long)(BgL_auxz00_5094); } 
BgL_offsetz00_4182 = 
(BgL_auxz00_5093-OBJECT_TYPE); } 
{ /* Integrate/node.scm 362 */
long BgL_modz00_4183;
{ /* Integrate/node.scm 362 */
long BgL_auxz00_5098;
{ /* Integrate/node.scm 362 */
int BgL_auxz00_5099;
BgL_auxz00_5099 = 
(int)(((long)8)); 
BgL_auxz00_5098 = 
(long)(BgL_auxz00_5099); } 
BgL_modz00_4183 = 
(BgL_offsetz00_4182/BgL_auxz00_5098); } 
{ /* Integrate/node.scm 362 */
long BgL_restz00_4185;
{ /* Integrate/node.scm 362 */
long BgL_auxz00_5103;
{ /* Integrate/node.scm 362 */
int BgL_auxz00_5104;
BgL_auxz00_5104 = 
(int)(((long)8)); 
BgL_auxz00_5103 = 
(long)(BgL_auxz00_5104); } 
BgL_restz00_4185 = 
(BgL_offsetz00_4182%BgL_auxz00_5103); } 
{ /* Integrate/node.scm 362 */

{ /* Integrate/node.scm 362 */
obj_t BgL_bucketz00_4187;
{ /* Integrate/node.scm 362 */
int BgL_kz00_4197;
BgL_kz00_4197 = 
(int)(BgL_modz00_4183); 
BgL_bucketz00_4187 = 
VECTOR_REF(BgL_arg1221z00_4178,BgL_kz00_4197); } 
{ /* Integrate/node.scm 362 */
int BgL_kz00_4199;
BgL_kz00_4199 = 
(int)(BgL_restz00_4185); 
BgL_method2985z00_4175 = 
VECTOR_REF(BgL_bucketz00_4187,BgL_kz00_4199); } } } } } } } } 
{ /* Integrate/node.scm 362 */
obj_t BgL_auxz00_5112;
BgL_auxz00_5112 = 
PROCEDURE_ENTRY(BgL_method2985z00_4175)(BgL_method2985z00_4175, 
(obj_t)(BgL_arg3276z00_2292), 
(obj_t)(BgL_integratorz00_4174), BEOA); 
BgL_res3414z00_4200 = 
(BgL_nodez00_bglt)(BgL_auxz00_5112); } } } 
BgL_arg3275z00_2291 = BgL_res3414z00_4200; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2284))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3275z00_2291), BUNSPEC); } 
BgL_auxz00_5050 = BgL_nodez00_2284; 
return 
(obj_t)(BgL_auxz00_5050);} } } 
}



/* glo!-set-ex-it3019 */
obj_t BGl_gloz12zd2setzd2exzd2it3019zc0zzintegrate_nodez00(obj_t BgL_envz00_4403, obj_t BgL_nodez00_4404, obj_t BgL_integratorz00_4405)
{ AN_OBJECT;
{ /* Integrate/node.scm 351 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2275;obj_t BgL_integratorz00_2276;
{ /* Integrate/node.scm 352 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_5121;
BgL_nodez00_2275 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4404); 
BgL_integratorz00_2276 = BgL_integratorz00_4405; 
{ /* Integrate/node.scm 352 */
BgL_nodez00_bglt BgL_arg3270z00_4108;
{ /* Integrate/node.scm 352 */
BgL_nodez00_bglt BgL_arg3271z00_4109;
BgL_arg3271z00_4109 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2275))->BgL_bodyz00); 
{ /* Integrate/node.scm 352 */
BgL_nodez00_bglt BgL_res3408z00_4138;
{ /* Integrate/node.scm 352 */
BgL_variablez00_bglt BgL_integratorz00_4112;
BgL_integratorz00_4112 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2276); 
{ /* Integrate/node.scm 352 */
obj_t BgL_method2985z00_4113;
{ /* Integrate/node.scm 352 */
long BgL_objzd2classzd2numz00_4115;
{ /* Integrate/node.scm 352 */
BgL_objectz00_bglt BgL_auxz00_5124;
BgL_auxz00_5124 = 
(BgL_objectz00_bglt)(BgL_arg3271z00_4109); 
BgL_objzd2classzd2numz00_4115 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5124); } 
{ /* Integrate/node.scm 352 */
obj_t BgL_arg1221z00_4116;
{ /* Integrate/node.scm 352 */
int BgL_auxz00_5127;
BgL_auxz00_5127 = 
(int)(((long)1)); 
BgL_arg1221z00_4116 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5127); } 
{ /* Integrate/node.scm 352 */
long BgL_offsetz00_4120;
{ /* Integrate/node.scm 352 */
long BgL_auxz00_5130;
{ /* Integrate/node.scm 352 */
int BgL_auxz00_5131;
BgL_auxz00_5131 = 
(int)(BgL_objzd2classzd2numz00_4115); 
BgL_auxz00_5130 = 
(long)(BgL_auxz00_5131); } 
BgL_offsetz00_4120 = 
(BgL_auxz00_5130-OBJECT_TYPE); } 
{ /* Integrate/node.scm 352 */
long BgL_modz00_4121;
{ /* Integrate/node.scm 352 */
long BgL_auxz00_5135;
{ /* Integrate/node.scm 352 */
int BgL_auxz00_5136;
BgL_auxz00_5136 = 
(int)(((long)8)); 
BgL_auxz00_5135 = 
(long)(BgL_auxz00_5136); } 
BgL_modz00_4121 = 
(BgL_offsetz00_4120/BgL_auxz00_5135); } 
{ /* Integrate/node.scm 352 */
long BgL_restz00_4123;
{ /* Integrate/node.scm 352 */
long BgL_auxz00_5140;
{ /* Integrate/node.scm 352 */
int BgL_auxz00_5141;
BgL_auxz00_5141 = 
(int)(((long)8)); 
BgL_auxz00_5140 = 
(long)(BgL_auxz00_5141); } 
BgL_restz00_4123 = 
(BgL_offsetz00_4120%BgL_auxz00_5140); } 
{ /* Integrate/node.scm 352 */

{ /* Integrate/node.scm 352 */
obj_t BgL_bucketz00_4125;
{ /* Integrate/node.scm 352 */
int BgL_kz00_4135;
BgL_kz00_4135 = 
(int)(BgL_modz00_4121); 
BgL_bucketz00_4125 = 
VECTOR_REF(BgL_arg1221z00_4116,BgL_kz00_4135); } 
{ /* Integrate/node.scm 352 */
int BgL_kz00_4137;
BgL_kz00_4137 = 
(int)(BgL_restz00_4123); 
BgL_method2985z00_4113 = 
VECTOR_REF(BgL_bucketz00_4125,BgL_kz00_4137); } } } } } } } } 
{ /* Integrate/node.scm 352 */
obj_t BgL_auxz00_5149;
BgL_auxz00_5149 = 
PROCEDURE_ENTRY(BgL_method2985z00_4113)(BgL_method2985z00_4113, 
(obj_t)(BgL_arg3271z00_4109), 
(obj_t)(BgL_integratorz00_4112), BEOA); 
BgL_res3408z00_4138 = 
(BgL_nodez00_bglt)(BgL_auxz00_5149); } } } 
BgL_arg3270z00_4108 = BgL_res3408z00_4138; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2275))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3270z00_4108), BUNSPEC); } 
BgL_auxz00_5121 = BgL_nodez00_2275; 
return 
(obj_t)(BgL_auxz00_5121);} } } 
}



/* glo!-let-var3017 */
obj_t BGl_gloz12zd2letzd2var3017z12zzintegrate_nodez00(obj_t BgL_envz00_4406, obj_t BgL_nodez00_4407, obj_t BgL_integratorz00_4408)
{ AN_OBJECT;
{ /* Integrate/node.scm 333 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2254;obj_t BgL_integratorz00_2255;
{ /* Integrate/node.scm 334 */
BgL_letzd2varzd2_bglt BgL_auxz00_5158;
BgL_nodez00_2254 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4407); 
BgL_integratorz00_2255 = BgL_integratorz00_4408; 
{ 
obj_t BgL_l2968z00_2259;
BgL_l2968z00_2259 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2254))->BgL_bindingsz00); 
BgL_lname2969z00_2260:
if(
PAIRP(BgL_l2968z00_2259))
{ /* Integrate/node.scm 335 */
{ /* Integrate/node.scm 336 */
obj_t BgL_bindingz00_2263;
BgL_bindingz00_2263 = 
CAR(BgL_l2968z00_2259); 
{ /* Integrate/node.scm 336 */
obj_t BgL_varz00_2264;
BgL_varz00_2264 = 
CAR(BgL_bindingz00_2263); 
{ /* Integrate/node.scm 338 */
BgL_nodez00_bglt BgL_arg3261z00_2266;
{ /* Integrate/node.scm 338 */
BgL_nodez00_bglt BgL_res3402z00_4067;
{ /* Integrate/node.scm 338 */
BgL_nodez00_bglt BgL_nodez00_4040;BgL_variablez00_bglt BgL_integratorz00_4041;
{ /* Integrate/node.scm 338 */
obj_t BgL_auxz00_5163;
BgL_auxz00_5163 = 
CDR(BgL_bindingz00_2263); 
BgL_nodez00_4040 = 
(BgL_nodez00_bglt)(BgL_auxz00_5163); } 
BgL_integratorz00_4041 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2255); 
{ /* Integrate/node.scm 338 */
obj_t BgL_method2985z00_4042;
{ /* Integrate/node.scm 338 */
long BgL_objzd2classzd2numz00_4044;
{ /* Integrate/node.scm 338 */
BgL_objectz00_bglt BgL_auxz00_5167;
BgL_auxz00_5167 = 
(BgL_objectz00_bglt)(BgL_nodez00_4040); 
BgL_objzd2classzd2numz00_4044 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5167); } 
{ /* Integrate/node.scm 338 */
obj_t BgL_arg1221z00_4045;
{ /* Integrate/node.scm 338 */
int BgL_auxz00_5170;
BgL_auxz00_5170 = 
(int)(((long)1)); 
BgL_arg1221z00_4045 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5170); } 
{ /* Integrate/node.scm 338 */
long BgL_offsetz00_4049;
{ /* Integrate/node.scm 338 */
long BgL_auxz00_5173;
{ /* Integrate/node.scm 338 */
int BgL_auxz00_5174;
BgL_auxz00_5174 = 
(int)(BgL_objzd2classzd2numz00_4044); 
BgL_auxz00_5173 = 
(long)(BgL_auxz00_5174); } 
BgL_offsetz00_4049 = 
(BgL_auxz00_5173-OBJECT_TYPE); } 
{ /* Integrate/node.scm 338 */
long BgL_modz00_4050;
{ /* Integrate/node.scm 338 */
long BgL_auxz00_5178;
{ /* Integrate/node.scm 338 */
int BgL_auxz00_5179;
BgL_auxz00_5179 = 
(int)(((long)8)); 
BgL_auxz00_5178 = 
(long)(BgL_auxz00_5179); } 
BgL_modz00_4050 = 
(BgL_offsetz00_4049/BgL_auxz00_5178); } 
{ /* Integrate/node.scm 338 */
long BgL_restz00_4052;
{ /* Integrate/node.scm 338 */
long BgL_auxz00_5183;
{ /* Integrate/node.scm 338 */
int BgL_auxz00_5184;
BgL_auxz00_5184 = 
(int)(((long)8)); 
BgL_auxz00_5183 = 
(long)(BgL_auxz00_5184); } 
BgL_restz00_4052 = 
(BgL_offsetz00_4049%BgL_auxz00_5183); } 
{ /* Integrate/node.scm 338 */

{ /* Integrate/node.scm 338 */
obj_t BgL_bucketz00_4054;
{ /* Integrate/node.scm 338 */
int BgL_kz00_4064;
BgL_kz00_4064 = 
(int)(BgL_modz00_4050); 
BgL_bucketz00_4054 = 
VECTOR_REF(BgL_arg1221z00_4045,BgL_kz00_4064); } 
{ /* Integrate/node.scm 338 */
int BgL_kz00_4066;
BgL_kz00_4066 = 
(int)(BgL_restz00_4052); 
BgL_method2985z00_4042 = 
VECTOR_REF(BgL_bucketz00_4054,BgL_kz00_4066); } } } } } } } } 
{ /* Integrate/node.scm 338 */
obj_t BgL_auxz00_5192;
BgL_auxz00_5192 = 
PROCEDURE_ENTRY(BgL_method2985z00_4042)(BgL_method2985z00_4042, 
(obj_t)(BgL_nodez00_4040), 
(obj_t)(BgL_integratorz00_4041), BEOA); 
BgL_res3402z00_4067 = 
(BgL_nodez00_bglt)(BgL_auxz00_5192); } } } 
BgL_arg3261z00_2266 = BgL_res3402z00_4067; } 
{ /* Integrate/node.scm 338 */
obj_t BgL_auxz00_5198;
BgL_auxz00_5198 = 
(obj_t)(BgL_arg3261z00_2266); 
SET_CDR(BgL_bindingz00_2263, BgL_auxz00_5198); } } 
if(
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_varz00_2264)))
{ /* Integrate/node.scm 339 */
{ /* Integrate/node.scm 341 */
BgL_localz00_bglt BgL_obj1254z00_4070;BgL_typez00_bglt BgL_val1253z00_4071;
BgL_obj1254z00_4070 = 
(BgL_localz00_bglt)(BgL_varz00_2264); 
BgL_val1253z00_4071 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_localz00_bglt)CREF(BgL_obj1254z00_4070))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1253z00_4071), BUNSPEC); } 
{ /* Integrate/node.scm 342 */
BgL_makezd2boxzd2_bglt BgL_arg3263z00_2268;
{ /* Integrate/node.scm 342 */
BgL_nodez00_bglt BgL_auxz00_5207;
{ /* Integrate/node.scm 342 */
obj_t BgL_auxz00_5208;
BgL_auxz00_5208 = 
CDR(BgL_bindingz00_2263); 
BgL_auxz00_5207 = 
(BgL_nodez00_bglt)(BgL_auxz00_5208); } 
BgL_arg3263z00_2268 = 
BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_auxz00_5207, 
(BgL_variablez00_bglt)(BgL_varz00_2264)); } 
{ /* Integrate/node.scm 342 */
obj_t BgL_auxz00_5213;
BgL_auxz00_5213 = 
(obj_t)(BgL_arg3263z00_2268); 
SET_CDR(BgL_bindingz00_2263, BgL_auxz00_5213); } } }  else 
{ /* Integrate/node.scm 339 */BFALSE; } } } 
{ 
obj_t BgL_l2968z00_5216;
BgL_l2968z00_5216 = 
CDR(BgL_l2968z00_2259); 
BgL_l2968z00_2259 = BgL_l2968z00_5216; 
goto BgL_lname2969z00_2260;} }  else 
{ /* Integrate/node.scm 335 */((bool_t)1); } } 
{ /* Integrate/node.scm 345 */
BgL_nodez00_bglt BgL_arg3267z00_2271;
{ /* Integrate/node.scm 345 */
BgL_nodez00_bglt BgL_arg3268z00_2272;
BgL_arg3268z00_2272 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2254))->BgL_bodyz00); 
{ /* Integrate/node.scm 345 */
BgL_nodez00_bglt BgL_res3405z00_4104;
{ /* Integrate/node.scm 345 */
BgL_variablez00_bglt BgL_integratorz00_4078;
BgL_integratorz00_4078 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2255); 
{ /* Integrate/node.scm 345 */
obj_t BgL_method2985z00_4079;
{ /* Integrate/node.scm 345 */
long BgL_objzd2classzd2numz00_4081;
{ /* Integrate/node.scm 345 */
BgL_objectz00_bglt BgL_auxz00_5221;
BgL_auxz00_5221 = 
(BgL_objectz00_bglt)(BgL_arg3268z00_2272); 
BgL_objzd2classzd2numz00_4081 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5221); } 
{ /* Integrate/node.scm 345 */
obj_t BgL_arg1221z00_4082;
{ /* Integrate/node.scm 345 */
int BgL_auxz00_5224;
BgL_auxz00_5224 = 
(int)(((long)1)); 
BgL_arg1221z00_4082 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5224); } 
{ /* Integrate/node.scm 345 */
long BgL_offsetz00_4086;
{ /* Integrate/node.scm 345 */
long BgL_auxz00_5227;
{ /* Integrate/node.scm 345 */
int BgL_auxz00_5228;
BgL_auxz00_5228 = 
(int)(BgL_objzd2classzd2numz00_4081); 
BgL_auxz00_5227 = 
(long)(BgL_auxz00_5228); } 
BgL_offsetz00_4086 = 
(BgL_auxz00_5227-OBJECT_TYPE); } 
{ /* Integrate/node.scm 345 */
long BgL_modz00_4087;
{ /* Integrate/node.scm 345 */
long BgL_auxz00_5232;
{ /* Integrate/node.scm 345 */
int BgL_auxz00_5233;
BgL_auxz00_5233 = 
(int)(((long)8)); 
BgL_auxz00_5232 = 
(long)(BgL_auxz00_5233); } 
BgL_modz00_4087 = 
(BgL_offsetz00_4086/BgL_auxz00_5232); } 
{ /* Integrate/node.scm 345 */
long BgL_restz00_4089;
{ /* Integrate/node.scm 345 */
long BgL_auxz00_5237;
{ /* Integrate/node.scm 345 */
int BgL_auxz00_5238;
BgL_auxz00_5238 = 
(int)(((long)8)); 
BgL_auxz00_5237 = 
(long)(BgL_auxz00_5238); } 
BgL_restz00_4089 = 
(BgL_offsetz00_4086%BgL_auxz00_5237); } 
{ /* Integrate/node.scm 345 */

{ /* Integrate/node.scm 345 */
obj_t BgL_bucketz00_4091;
{ /* Integrate/node.scm 345 */
int BgL_kz00_4101;
BgL_kz00_4101 = 
(int)(BgL_modz00_4087); 
BgL_bucketz00_4091 = 
VECTOR_REF(BgL_arg1221z00_4082,BgL_kz00_4101); } 
{ /* Integrate/node.scm 345 */
int BgL_kz00_4103;
BgL_kz00_4103 = 
(int)(BgL_restz00_4089); 
BgL_method2985z00_4079 = 
VECTOR_REF(BgL_bucketz00_4091,BgL_kz00_4103); } } } } } } } } 
{ /* Integrate/node.scm 345 */
obj_t BgL_auxz00_5246;
BgL_auxz00_5246 = 
PROCEDURE_ENTRY(BgL_method2985z00_4079)(BgL_method2985z00_4079, 
(obj_t)(BgL_arg3268z00_2272), 
(obj_t)(BgL_integratorz00_4078), BEOA); 
BgL_res3405z00_4104 = 
(BgL_nodez00_bglt)(BgL_auxz00_5246); } } } 
BgL_arg3267z00_2271 = BgL_res3405z00_4104; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2254))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3267z00_2271), BUNSPEC); } 
BgL_auxz00_5158 = BgL_nodez00_2254; 
return 
(obj_t)(BgL_auxz00_5158);} } } 
}



/* glo!-let-fun3015 */
obj_t BGl_gloz12zd2letzd2fun3015z12zzintegrate_nodez00(obj_t BgL_envz00_4409, obj_t BgL_nodez00_4410, obj_t BgL_integratorz00_4411)
{ AN_OBJECT;
{ /* Integrate/node.scm 322 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2239;obj_t BgL_integratorz00_2240;
{ /* Integrate/node.scm 323 */
BgL_letzd2funzd2_bglt BgL_auxz00_5255;
BgL_nodez00_2239 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4410); 
BgL_integratorz00_2240 = BgL_integratorz00_4411; 
{ /* Integrate/node.scm 324 */
BgL_nodez00_bglt BgL_arg3253z00_2244;
{ /* Integrate/node.scm 324 */
BgL_nodez00_bglt BgL_arg3254z00_2245;
BgL_arg3254z00_2245 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2239))->BgL_bodyz00); 
{ /* Integrate/node.scm 324 */
BgL_nodez00_bglt BgL_res3399z00_4028;
{ /* Integrate/node.scm 324 */
BgL_variablez00_bglt BgL_integratorz00_4002;
BgL_integratorz00_4002 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2240); 
{ /* Integrate/node.scm 324 */
obj_t BgL_method2985z00_4003;
{ /* Integrate/node.scm 324 */
long BgL_objzd2classzd2numz00_4005;
{ /* Integrate/node.scm 324 */
BgL_objectz00_bglt BgL_auxz00_5258;
BgL_auxz00_5258 = 
(BgL_objectz00_bglt)(BgL_arg3254z00_2245); 
BgL_objzd2classzd2numz00_4005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5258); } 
{ /* Integrate/node.scm 324 */
obj_t BgL_arg1221z00_4006;
{ /* Integrate/node.scm 324 */
int BgL_auxz00_5261;
BgL_auxz00_5261 = 
(int)(((long)1)); 
BgL_arg1221z00_4006 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5261); } 
{ /* Integrate/node.scm 324 */
long BgL_offsetz00_4010;
{ /* Integrate/node.scm 324 */
long BgL_auxz00_5264;
{ /* Integrate/node.scm 324 */
int BgL_auxz00_5265;
BgL_auxz00_5265 = 
(int)(BgL_objzd2classzd2numz00_4005); 
BgL_auxz00_5264 = 
(long)(BgL_auxz00_5265); } 
BgL_offsetz00_4010 = 
(BgL_auxz00_5264-OBJECT_TYPE); } 
{ /* Integrate/node.scm 324 */
long BgL_modz00_4011;
{ /* Integrate/node.scm 324 */
long BgL_auxz00_5269;
{ /* Integrate/node.scm 324 */
int BgL_auxz00_5270;
BgL_auxz00_5270 = 
(int)(((long)8)); 
BgL_auxz00_5269 = 
(long)(BgL_auxz00_5270); } 
BgL_modz00_4011 = 
(BgL_offsetz00_4010/BgL_auxz00_5269); } 
{ /* Integrate/node.scm 324 */
long BgL_restz00_4013;
{ /* Integrate/node.scm 324 */
long BgL_auxz00_5274;
{ /* Integrate/node.scm 324 */
int BgL_auxz00_5275;
BgL_auxz00_5275 = 
(int)(((long)8)); 
BgL_auxz00_5274 = 
(long)(BgL_auxz00_5275); } 
BgL_restz00_4013 = 
(BgL_offsetz00_4010%BgL_auxz00_5274); } 
{ /* Integrate/node.scm 324 */

{ /* Integrate/node.scm 324 */
obj_t BgL_bucketz00_4015;
{ /* Integrate/node.scm 324 */
int BgL_kz00_4025;
BgL_kz00_4025 = 
(int)(BgL_modz00_4011); 
BgL_bucketz00_4015 = 
VECTOR_REF(BgL_arg1221z00_4006,BgL_kz00_4025); } 
{ /* Integrate/node.scm 324 */
int BgL_kz00_4027;
BgL_kz00_4027 = 
(int)(BgL_restz00_4013); 
BgL_method2985z00_4003 = 
VECTOR_REF(BgL_bucketz00_4015,BgL_kz00_4027); } } } } } } } } 
{ /* Integrate/node.scm 324 */
obj_t BgL_auxz00_5283;
BgL_auxz00_5283 = 
PROCEDURE_ENTRY(BgL_method2985z00_4003)(BgL_method2985z00_4003, 
(obj_t)(BgL_arg3254z00_2245), 
(obj_t)(BgL_integratorz00_4002), BEOA); 
BgL_res3399z00_4028 = 
(BgL_nodez00_bglt)(BgL_auxz00_5283); } } } 
BgL_arg3253z00_2244 = BgL_res3399z00_4028; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2239))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3253z00_2244), BUNSPEC); } 
{ 
obj_t BgL_l2964z00_2246;
BgL_l2964z00_2246 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2239))->BgL_localsz00); 
BgL_lname2965z00_2247:
if(
PAIRP(BgL_l2964z00_2246))
{ /* Integrate/node.scm 325 */
{ /* Integrate/node.scm 326 */
BgL_localz00_bglt BgL_auxz00_5292;
{ /* Integrate/node.scm 326 */
obj_t BgL_auxz00_5293;
BgL_auxz00_5293 = 
CAR(BgL_l2964z00_2246); 
BgL_auxz00_5292 = 
(BgL_localz00_bglt)(BgL_auxz00_5293); } 
BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_auxz00_5292, 
(BgL_variablez00_bglt)(BgL_integratorz00_2240)); } 
{ 
obj_t BgL_l2964z00_5298;
BgL_l2964z00_5298 = 
CDR(BgL_l2964z00_2246); 
BgL_l2964z00_2246 = BgL_l2964z00_5298; 
goto BgL_lname2965z00_2247;} }  else 
{ /* Integrate/node.scm 325 */((bool_t)1); } } 
BgL_auxz00_5255 = BgL_nodez00_2239; 
return 
(obj_t)(BgL_auxz00_5255);} } } 
}



/* glo!-select3013 */
obj_t BGl_gloz12zd2select3013zc0zzintegrate_nodez00(obj_t BgL_envz00_4412, obj_t BgL_nodez00_4413, obj_t BgL_integratorz00_4414)
{ AN_OBJECT;
{ /* Integrate/node.scm 311 */
{ 
BgL_selectz00_bglt BgL_nodez00_2222;obj_t BgL_integratorz00_2223;
{ /* Integrate/node.scm 312 */
BgL_selectz00_bglt BgL_auxz00_5303;
BgL_nodez00_2222 = 
(BgL_selectz00_bglt)(BgL_nodez00_4413); 
BgL_integratorz00_2223 = BgL_integratorz00_4414; 
{ /* Integrate/node.scm 313 */
BgL_nodez00_bglt BgL_arg3245z00_2227;
{ /* Integrate/node.scm 313 */
BgL_nodez00_bglt BgL_arg3246z00_2228;
BgL_arg3246z00_2228 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2222))->BgL_testz00); 
{ /* Integrate/node.scm 313 */
BgL_nodez00_bglt BgL_res3393z00_3962;
{ /* Integrate/node.scm 313 */
BgL_variablez00_bglt BgL_integratorz00_3936;
BgL_integratorz00_3936 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2223); 
{ /* Integrate/node.scm 313 */
obj_t BgL_method2985z00_3937;
{ /* Integrate/node.scm 313 */
long BgL_objzd2classzd2numz00_3939;
{ /* Integrate/node.scm 313 */
BgL_objectz00_bglt BgL_auxz00_5306;
BgL_auxz00_5306 = 
(BgL_objectz00_bglt)(BgL_arg3246z00_2228); 
BgL_objzd2classzd2numz00_3939 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5306); } 
{ /* Integrate/node.scm 313 */
obj_t BgL_arg1221z00_3940;
{ /* Integrate/node.scm 313 */
int BgL_auxz00_5309;
BgL_auxz00_5309 = 
(int)(((long)1)); 
BgL_arg1221z00_3940 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5309); } 
{ /* Integrate/node.scm 313 */
long BgL_offsetz00_3944;
{ /* Integrate/node.scm 313 */
long BgL_auxz00_5312;
{ /* Integrate/node.scm 313 */
int BgL_auxz00_5313;
BgL_auxz00_5313 = 
(int)(BgL_objzd2classzd2numz00_3939); 
BgL_auxz00_5312 = 
(long)(BgL_auxz00_5313); } 
BgL_offsetz00_3944 = 
(BgL_auxz00_5312-OBJECT_TYPE); } 
{ /* Integrate/node.scm 313 */
long BgL_modz00_3945;
{ /* Integrate/node.scm 313 */
long BgL_auxz00_5317;
{ /* Integrate/node.scm 313 */
int BgL_auxz00_5318;
BgL_auxz00_5318 = 
(int)(((long)8)); 
BgL_auxz00_5317 = 
(long)(BgL_auxz00_5318); } 
BgL_modz00_3945 = 
(BgL_offsetz00_3944/BgL_auxz00_5317); } 
{ /* Integrate/node.scm 313 */
long BgL_restz00_3947;
{ /* Integrate/node.scm 313 */
long BgL_auxz00_5322;
{ /* Integrate/node.scm 313 */
int BgL_auxz00_5323;
BgL_auxz00_5323 = 
(int)(((long)8)); 
BgL_auxz00_5322 = 
(long)(BgL_auxz00_5323); } 
BgL_restz00_3947 = 
(BgL_offsetz00_3944%BgL_auxz00_5322); } 
{ /* Integrate/node.scm 313 */

{ /* Integrate/node.scm 313 */
obj_t BgL_bucketz00_3949;
{ /* Integrate/node.scm 313 */
int BgL_kz00_3959;
BgL_kz00_3959 = 
(int)(BgL_modz00_3945); 
BgL_bucketz00_3949 = 
VECTOR_REF(BgL_arg1221z00_3940,BgL_kz00_3959); } 
{ /* Integrate/node.scm 313 */
int BgL_kz00_3961;
BgL_kz00_3961 = 
(int)(BgL_restz00_3947); 
BgL_method2985z00_3937 = 
VECTOR_REF(BgL_bucketz00_3949,BgL_kz00_3961); } } } } } } } } 
{ /* Integrate/node.scm 313 */
obj_t BgL_auxz00_5331;
BgL_auxz00_5331 = 
PROCEDURE_ENTRY(BgL_method2985z00_3937)(BgL_method2985z00_3937, 
(obj_t)(BgL_arg3246z00_2228), 
(obj_t)(BgL_integratorz00_3936), BEOA); 
BgL_res3393z00_3962 = 
(BgL_nodez00_bglt)(BgL_auxz00_5331); } } } 
BgL_arg3245z00_2227 = BgL_res3393z00_3962; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_2222))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3245z00_2227), BUNSPEC); } 
{ 
obj_t BgL_l2960z00_2229;
BgL_l2960z00_2229 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2222))->BgL_clausesz00); 
BgL_lname2961z00_2230:
if(
PAIRP(BgL_l2960z00_2229))
{ /* Integrate/node.scm 314 */
{ /* Integrate/node.scm 315 */
obj_t BgL_clausez00_2233;
BgL_clausez00_2233 = 
CAR(BgL_l2960z00_2229); 
{ /* Integrate/node.scm 315 */
BgL_nodez00_bglt BgL_arg3249z00_2234;
{ /* Integrate/node.scm 315 */
BgL_nodez00_bglt BgL_res3396z00_3996;
{ /* Integrate/node.scm 315 */
BgL_nodez00_bglt BgL_nodez00_3969;BgL_variablez00_bglt BgL_integratorz00_3970;
{ /* Integrate/node.scm 315 */
obj_t BgL_auxz00_5341;
BgL_auxz00_5341 = 
CDR(BgL_clausez00_2233); 
BgL_nodez00_3969 = 
(BgL_nodez00_bglt)(BgL_auxz00_5341); } 
BgL_integratorz00_3970 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2223); 
{ /* Integrate/node.scm 315 */
obj_t BgL_method2985z00_3971;
{ /* Integrate/node.scm 315 */
long BgL_objzd2classzd2numz00_3973;
{ /* Integrate/node.scm 315 */
BgL_objectz00_bglt BgL_auxz00_5345;
BgL_auxz00_5345 = 
(BgL_objectz00_bglt)(BgL_nodez00_3969); 
BgL_objzd2classzd2numz00_3973 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5345); } 
{ /* Integrate/node.scm 315 */
obj_t BgL_arg1221z00_3974;
{ /* Integrate/node.scm 315 */
int BgL_auxz00_5348;
BgL_auxz00_5348 = 
(int)(((long)1)); 
BgL_arg1221z00_3974 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5348); } 
{ /* Integrate/node.scm 315 */
long BgL_offsetz00_3978;
{ /* Integrate/node.scm 315 */
long BgL_auxz00_5351;
{ /* Integrate/node.scm 315 */
int BgL_auxz00_5352;
BgL_auxz00_5352 = 
(int)(BgL_objzd2classzd2numz00_3973); 
BgL_auxz00_5351 = 
(long)(BgL_auxz00_5352); } 
BgL_offsetz00_3978 = 
(BgL_auxz00_5351-OBJECT_TYPE); } 
{ /* Integrate/node.scm 315 */
long BgL_modz00_3979;
{ /* Integrate/node.scm 315 */
long BgL_auxz00_5356;
{ /* Integrate/node.scm 315 */
int BgL_auxz00_5357;
BgL_auxz00_5357 = 
(int)(((long)8)); 
BgL_auxz00_5356 = 
(long)(BgL_auxz00_5357); } 
BgL_modz00_3979 = 
(BgL_offsetz00_3978/BgL_auxz00_5356); } 
{ /* Integrate/node.scm 315 */
long BgL_restz00_3981;
{ /* Integrate/node.scm 315 */
long BgL_auxz00_5361;
{ /* Integrate/node.scm 315 */
int BgL_auxz00_5362;
BgL_auxz00_5362 = 
(int)(((long)8)); 
BgL_auxz00_5361 = 
(long)(BgL_auxz00_5362); } 
BgL_restz00_3981 = 
(BgL_offsetz00_3978%BgL_auxz00_5361); } 
{ /* Integrate/node.scm 315 */

{ /* Integrate/node.scm 315 */
obj_t BgL_bucketz00_3983;
{ /* Integrate/node.scm 315 */
int BgL_kz00_3993;
BgL_kz00_3993 = 
(int)(BgL_modz00_3979); 
BgL_bucketz00_3983 = 
VECTOR_REF(BgL_arg1221z00_3974,BgL_kz00_3993); } 
{ /* Integrate/node.scm 315 */
int BgL_kz00_3995;
BgL_kz00_3995 = 
(int)(BgL_restz00_3981); 
BgL_method2985z00_3971 = 
VECTOR_REF(BgL_bucketz00_3983,BgL_kz00_3995); } } } } } } } } 
{ /* Integrate/node.scm 315 */
obj_t BgL_auxz00_5370;
BgL_auxz00_5370 = 
PROCEDURE_ENTRY(BgL_method2985z00_3971)(BgL_method2985z00_3971, 
(obj_t)(BgL_nodez00_3969), 
(obj_t)(BgL_integratorz00_3970), BEOA); 
BgL_res3396z00_3996 = 
(BgL_nodez00_bglt)(BgL_auxz00_5370); } } } 
BgL_arg3249z00_2234 = BgL_res3396z00_3996; } 
{ /* Integrate/node.scm 315 */
obj_t BgL_auxz00_5376;
BgL_auxz00_5376 = 
(obj_t)(BgL_arg3249z00_2234); 
SET_CDR(BgL_clausez00_2233, BgL_auxz00_5376); } } } 
{ 
obj_t BgL_l2960z00_5379;
BgL_l2960z00_5379 = 
CDR(BgL_l2960z00_2229); 
BgL_l2960z00_2229 = BgL_l2960z00_5379; 
goto BgL_lname2961z00_2230;} }  else 
{ /* Integrate/node.scm 314 */((bool_t)1); } } 
BgL_auxz00_5303 = BgL_nodez00_2222; 
return 
(obj_t)(BgL_auxz00_5303);} } } 
}



/* glo!-fail3011 */
obj_t BGl_gloz12zd2fail3011zc0zzintegrate_nodez00(obj_t BgL_envz00_4415, obj_t BgL_nodez00_4416, obj_t BgL_integratorz00_4417)
{ AN_OBJECT;
{ /* Integrate/node.scm 301 */
{ 
BgL_failz00_bglt BgL_nodez00_2209;obj_t BgL_integratorz00_2210;
{ /* Integrate/node.scm 302 */
BgL_failz00_bglt BgL_auxz00_5384;
BgL_nodez00_2209 = 
(BgL_failz00_bglt)(BgL_nodez00_4416); 
BgL_integratorz00_2210 = BgL_integratorz00_4417; 
{ /* Integrate/node.scm 303 */
BgL_nodez00_bglt BgL_arg3238z00_2214;
{ /* Integrate/node.scm 303 */
BgL_nodez00_bglt BgL_arg3239z00_2215;
BgL_arg3239z00_2215 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_procz00); 
{ /* Integrate/node.scm 303 */
BgL_nodez00_bglt BgL_res3384z00_3869;
{ /* Integrate/node.scm 303 */
BgL_variablez00_bglt BgL_integratorz00_3843;
BgL_integratorz00_3843 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2210); 
{ /* Integrate/node.scm 303 */
obj_t BgL_method2985z00_3844;
{ /* Integrate/node.scm 303 */
long BgL_objzd2classzd2numz00_3846;
{ /* Integrate/node.scm 303 */
BgL_objectz00_bglt BgL_auxz00_5387;
BgL_auxz00_5387 = 
(BgL_objectz00_bglt)(BgL_arg3239z00_2215); 
BgL_objzd2classzd2numz00_3846 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5387); } 
{ /* Integrate/node.scm 303 */
obj_t BgL_arg1221z00_3847;
{ /* Integrate/node.scm 303 */
int BgL_auxz00_5390;
BgL_auxz00_5390 = 
(int)(((long)1)); 
BgL_arg1221z00_3847 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5390); } 
{ /* Integrate/node.scm 303 */
long BgL_offsetz00_3851;
{ /* Integrate/node.scm 303 */
long BgL_auxz00_5393;
{ /* Integrate/node.scm 303 */
int BgL_auxz00_5394;
BgL_auxz00_5394 = 
(int)(BgL_objzd2classzd2numz00_3846); 
BgL_auxz00_5393 = 
(long)(BgL_auxz00_5394); } 
BgL_offsetz00_3851 = 
(BgL_auxz00_5393-OBJECT_TYPE); } 
{ /* Integrate/node.scm 303 */
long BgL_modz00_3852;
{ /* Integrate/node.scm 303 */
long BgL_auxz00_5398;
{ /* Integrate/node.scm 303 */
int BgL_auxz00_5399;
BgL_auxz00_5399 = 
(int)(((long)8)); 
BgL_auxz00_5398 = 
(long)(BgL_auxz00_5399); } 
BgL_modz00_3852 = 
(BgL_offsetz00_3851/BgL_auxz00_5398); } 
{ /* Integrate/node.scm 303 */
long BgL_restz00_3854;
{ /* Integrate/node.scm 303 */
long BgL_auxz00_5403;
{ /* Integrate/node.scm 303 */
int BgL_auxz00_5404;
BgL_auxz00_5404 = 
(int)(((long)8)); 
BgL_auxz00_5403 = 
(long)(BgL_auxz00_5404); } 
BgL_restz00_3854 = 
(BgL_offsetz00_3851%BgL_auxz00_5403); } 
{ /* Integrate/node.scm 303 */

{ /* Integrate/node.scm 303 */
obj_t BgL_bucketz00_3856;
{ /* Integrate/node.scm 303 */
int BgL_kz00_3866;
BgL_kz00_3866 = 
(int)(BgL_modz00_3852); 
BgL_bucketz00_3856 = 
VECTOR_REF(BgL_arg1221z00_3847,BgL_kz00_3866); } 
{ /* Integrate/node.scm 303 */
int BgL_kz00_3868;
BgL_kz00_3868 = 
(int)(BgL_restz00_3854); 
BgL_method2985z00_3844 = 
VECTOR_REF(BgL_bucketz00_3856,BgL_kz00_3868); } } } } } } } } 
{ /* Integrate/node.scm 303 */
obj_t BgL_auxz00_5412;
BgL_auxz00_5412 = 
PROCEDURE_ENTRY(BgL_method2985z00_3844)(BgL_method2985z00_3844, 
(obj_t)(BgL_arg3239z00_2215), 
(obj_t)(BgL_integratorz00_3843), BEOA); 
BgL_res3384z00_3869 = 
(BgL_nodez00_bglt)(BgL_auxz00_5412); } } } 
BgL_arg3238z00_2214 = BgL_res3384z00_3869; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3238z00_2214), BUNSPEC); } 
{ /* Integrate/node.scm 304 */
BgL_nodez00_bglt BgL_arg3240z00_2216;
{ /* Integrate/node.scm 304 */
BgL_nodez00_bglt BgL_arg3241z00_2217;
BgL_arg3241z00_2217 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_msgz00); 
{ /* Integrate/node.scm 304 */
BgL_nodez00_bglt BgL_res3387z00_3900;
{ /* Integrate/node.scm 304 */
BgL_variablez00_bglt BgL_integratorz00_3874;
BgL_integratorz00_3874 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2210); 
{ /* Integrate/node.scm 304 */
obj_t BgL_method2985z00_3875;
{ /* Integrate/node.scm 304 */
long BgL_objzd2classzd2numz00_3877;
{ /* Integrate/node.scm 304 */
BgL_objectz00_bglt BgL_auxz00_5421;
BgL_auxz00_5421 = 
(BgL_objectz00_bglt)(BgL_arg3241z00_2217); 
BgL_objzd2classzd2numz00_3877 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5421); } 
{ /* Integrate/node.scm 304 */
obj_t BgL_arg1221z00_3878;
{ /* Integrate/node.scm 304 */
int BgL_auxz00_5424;
BgL_auxz00_5424 = 
(int)(((long)1)); 
BgL_arg1221z00_3878 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5424); } 
{ /* Integrate/node.scm 304 */
long BgL_offsetz00_3882;
{ /* Integrate/node.scm 304 */
long BgL_auxz00_5427;
{ /* Integrate/node.scm 304 */
int BgL_auxz00_5428;
BgL_auxz00_5428 = 
(int)(BgL_objzd2classzd2numz00_3877); 
BgL_auxz00_5427 = 
(long)(BgL_auxz00_5428); } 
BgL_offsetz00_3882 = 
(BgL_auxz00_5427-OBJECT_TYPE); } 
{ /* Integrate/node.scm 304 */
long BgL_modz00_3883;
{ /* Integrate/node.scm 304 */
long BgL_auxz00_5432;
{ /* Integrate/node.scm 304 */
int BgL_auxz00_5433;
BgL_auxz00_5433 = 
(int)(((long)8)); 
BgL_auxz00_5432 = 
(long)(BgL_auxz00_5433); } 
BgL_modz00_3883 = 
(BgL_offsetz00_3882/BgL_auxz00_5432); } 
{ /* Integrate/node.scm 304 */
long BgL_restz00_3885;
{ /* Integrate/node.scm 304 */
long BgL_auxz00_5437;
{ /* Integrate/node.scm 304 */
int BgL_auxz00_5438;
BgL_auxz00_5438 = 
(int)(((long)8)); 
BgL_auxz00_5437 = 
(long)(BgL_auxz00_5438); } 
BgL_restz00_3885 = 
(BgL_offsetz00_3882%BgL_auxz00_5437); } 
{ /* Integrate/node.scm 304 */

{ /* Integrate/node.scm 304 */
obj_t BgL_bucketz00_3887;
{ /* Integrate/node.scm 304 */
int BgL_kz00_3897;
BgL_kz00_3897 = 
(int)(BgL_modz00_3883); 
BgL_bucketz00_3887 = 
VECTOR_REF(BgL_arg1221z00_3878,BgL_kz00_3897); } 
{ /* Integrate/node.scm 304 */
int BgL_kz00_3899;
BgL_kz00_3899 = 
(int)(BgL_restz00_3885); 
BgL_method2985z00_3875 = 
VECTOR_REF(BgL_bucketz00_3887,BgL_kz00_3899); } } } } } } } } 
{ /* Integrate/node.scm 304 */
obj_t BgL_auxz00_5446;
BgL_auxz00_5446 = 
PROCEDURE_ENTRY(BgL_method2985z00_3875)(BgL_method2985z00_3875, 
(obj_t)(BgL_arg3241z00_2217), 
(obj_t)(BgL_integratorz00_3874), BEOA); 
BgL_res3387z00_3900 = 
(BgL_nodez00_bglt)(BgL_auxz00_5446); } } } 
BgL_arg3240z00_2216 = BgL_res3387z00_3900; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3240z00_2216), BUNSPEC); } 
{ /* Integrate/node.scm 305 */
BgL_nodez00_bglt BgL_arg3242z00_2218;
{ /* Integrate/node.scm 305 */
BgL_nodez00_bglt BgL_arg3243z00_2219;
BgL_arg3243z00_2219 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_objz00); 
{ /* Integrate/node.scm 305 */
BgL_nodez00_bglt BgL_res3390z00_3931;
{ /* Integrate/node.scm 305 */
BgL_variablez00_bglt BgL_integratorz00_3905;
BgL_integratorz00_3905 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2210); 
{ /* Integrate/node.scm 305 */
obj_t BgL_method2985z00_3906;
{ /* Integrate/node.scm 305 */
long BgL_objzd2classzd2numz00_3908;
{ /* Integrate/node.scm 305 */
BgL_objectz00_bglt BgL_auxz00_5455;
BgL_auxz00_5455 = 
(BgL_objectz00_bglt)(BgL_arg3243z00_2219); 
BgL_objzd2classzd2numz00_3908 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5455); } 
{ /* Integrate/node.scm 305 */
obj_t BgL_arg1221z00_3909;
{ /* Integrate/node.scm 305 */
int BgL_auxz00_5458;
BgL_auxz00_5458 = 
(int)(((long)1)); 
BgL_arg1221z00_3909 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5458); } 
{ /* Integrate/node.scm 305 */
long BgL_offsetz00_3913;
{ /* Integrate/node.scm 305 */
long BgL_auxz00_5461;
{ /* Integrate/node.scm 305 */
int BgL_auxz00_5462;
BgL_auxz00_5462 = 
(int)(BgL_objzd2classzd2numz00_3908); 
BgL_auxz00_5461 = 
(long)(BgL_auxz00_5462); } 
BgL_offsetz00_3913 = 
(BgL_auxz00_5461-OBJECT_TYPE); } 
{ /* Integrate/node.scm 305 */
long BgL_modz00_3914;
{ /* Integrate/node.scm 305 */
long BgL_auxz00_5466;
{ /* Integrate/node.scm 305 */
int BgL_auxz00_5467;
BgL_auxz00_5467 = 
(int)(((long)8)); 
BgL_auxz00_5466 = 
(long)(BgL_auxz00_5467); } 
BgL_modz00_3914 = 
(BgL_offsetz00_3913/BgL_auxz00_5466); } 
{ /* Integrate/node.scm 305 */
long BgL_restz00_3916;
{ /* Integrate/node.scm 305 */
long BgL_auxz00_5471;
{ /* Integrate/node.scm 305 */
int BgL_auxz00_5472;
BgL_auxz00_5472 = 
(int)(((long)8)); 
BgL_auxz00_5471 = 
(long)(BgL_auxz00_5472); } 
BgL_restz00_3916 = 
(BgL_offsetz00_3913%BgL_auxz00_5471); } 
{ /* Integrate/node.scm 305 */

{ /* Integrate/node.scm 305 */
obj_t BgL_bucketz00_3918;
{ /* Integrate/node.scm 305 */
int BgL_kz00_3928;
BgL_kz00_3928 = 
(int)(BgL_modz00_3914); 
BgL_bucketz00_3918 = 
VECTOR_REF(BgL_arg1221z00_3909,BgL_kz00_3928); } 
{ /* Integrate/node.scm 305 */
int BgL_kz00_3930;
BgL_kz00_3930 = 
(int)(BgL_restz00_3916); 
BgL_method2985z00_3906 = 
VECTOR_REF(BgL_bucketz00_3918,BgL_kz00_3930); } } } } } } } } 
{ /* Integrate/node.scm 305 */
obj_t BgL_auxz00_5480;
BgL_auxz00_5480 = 
PROCEDURE_ENTRY(BgL_method2985z00_3906)(BgL_method2985z00_3906, 
(obj_t)(BgL_arg3243z00_2219), 
(obj_t)(BgL_integratorz00_3905), BEOA); 
BgL_res3390z00_3931 = 
(BgL_nodez00_bglt)(BgL_auxz00_5480); } } } 
BgL_arg3242z00_2218 = BgL_res3390z00_3931; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2209))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3242z00_2218), BUNSPEC); } 
BgL_auxz00_5384 = BgL_nodez00_2209; 
return 
(obj_t)(BgL_auxz00_5384);} } } 
}



/* glo!-conditional3009 */
obj_t BGl_gloz12zd2conditional3009zc0zzintegrate_nodez00(obj_t BgL_envz00_4418, obj_t BgL_nodez00_4419, obj_t BgL_integratorz00_4420)
{ AN_OBJECT;
{ /* Integrate/node.scm 291 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2196;obj_t BgL_integratorz00_2197;
{ /* Integrate/node.scm 292 */
BgL_conditionalz00_bglt BgL_auxz00_5489;
BgL_nodez00_2196 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4419); 
BgL_integratorz00_2197 = BgL_integratorz00_4420; 
{ /* Integrate/node.scm 293 */
BgL_nodez00_bglt BgL_arg3231z00_2201;
{ /* Integrate/node.scm 293 */
BgL_nodez00_bglt BgL_arg3232z00_2202;
BgL_arg3232z00_2202 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_testz00); 
{ /* Integrate/node.scm 293 */
BgL_nodez00_bglt BgL_res3375z00_3776;
{ /* Integrate/node.scm 293 */
BgL_variablez00_bglt BgL_integratorz00_3750;
BgL_integratorz00_3750 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2197); 
{ /* Integrate/node.scm 293 */
obj_t BgL_method2985z00_3751;
{ /* Integrate/node.scm 293 */
long BgL_objzd2classzd2numz00_3753;
{ /* Integrate/node.scm 293 */
BgL_objectz00_bglt BgL_auxz00_5492;
BgL_auxz00_5492 = 
(BgL_objectz00_bglt)(BgL_arg3232z00_2202); 
BgL_objzd2classzd2numz00_3753 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5492); } 
{ /* Integrate/node.scm 293 */
obj_t BgL_arg1221z00_3754;
{ /* Integrate/node.scm 293 */
int BgL_auxz00_5495;
BgL_auxz00_5495 = 
(int)(((long)1)); 
BgL_arg1221z00_3754 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5495); } 
{ /* Integrate/node.scm 293 */
long BgL_offsetz00_3758;
{ /* Integrate/node.scm 293 */
long BgL_auxz00_5498;
{ /* Integrate/node.scm 293 */
int BgL_auxz00_5499;
BgL_auxz00_5499 = 
(int)(BgL_objzd2classzd2numz00_3753); 
BgL_auxz00_5498 = 
(long)(BgL_auxz00_5499); } 
BgL_offsetz00_3758 = 
(BgL_auxz00_5498-OBJECT_TYPE); } 
{ /* Integrate/node.scm 293 */
long BgL_modz00_3759;
{ /* Integrate/node.scm 293 */
long BgL_auxz00_5503;
{ /* Integrate/node.scm 293 */
int BgL_auxz00_5504;
BgL_auxz00_5504 = 
(int)(((long)8)); 
BgL_auxz00_5503 = 
(long)(BgL_auxz00_5504); } 
BgL_modz00_3759 = 
(BgL_offsetz00_3758/BgL_auxz00_5503); } 
{ /* Integrate/node.scm 293 */
long BgL_restz00_3761;
{ /* Integrate/node.scm 293 */
long BgL_auxz00_5508;
{ /* Integrate/node.scm 293 */
int BgL_auxz00_5509;
BgL_auxz00_5509 = 
(int)(((long)8)); 
BgL_auxz00_5508 = 
(long)(BgL_auxz00_5509); } 
BgL_restz00_3761 = 
(BgL_offsetz00_3758%BgL_auxz00_5508); } 
{ /* Integrate/node.scm 293 */

{ /* Integrate/node.scm 293 */
obj_t BgL_bucketz00_3763;
{ /* Integrate/node.scm 293 */
int BgL_kz00_3773;
BgL_kz00_3773 = 
(int)(BgL_modz00_3759); 
BgL_bucketz00_3763 = 
VECTOR_REF(BgL_arg1221z00_3754,BgL_kz00_3773); } 
{ /* Integrate/node.scm 293 */
int BgL_kz00_3775;
BgL_kz00_3775 = 
(int)(BgL_restz00_3761); 
BgL_method2985z00_3751 = 
VECTOR_REF(BgL_bucketz00_3763,BgL_kz00_3775); } } } } } } } } 
{ /* Integrate/node.scm 293 */
obj_t BgL_auxz00_5517;
BgL_auxz00_5517 = 
PROCEDURE_ENTRY(BgL_method2985z00_3751)(BgL_method2985z00_3751, 
(obj_t)(BgL_arg3232z00_2202), 
(obj_t)(BgL_integratorz00_3750), BEOA); 
BgL_res3375z00_3776 = 
(BgL_nodez00_bglt)(BgL_auxz00_5517); } } } 
BgL_arg3231z00_2201 = BgL_res3375z00_3776; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3231z00_2201), BUNSPEC); } 
{ /* Integrate/node.scm 294 */
BgL_nodez00_bglt BgL_arg3233z00_2203;
{ /* Integrate/node.scm 294 */
BgL_nodez00_bglt BgL_arg3234z00_2204;
BgL_arg3234z00_2204 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_truez00); 
{ /* Integrate/node.scm 294 */
BgL_nodez00_bglt BgL_res3378z00_3807;
{ /* Integrate/node.scm 294 */
BgL_variablez00_bglt BgL_integratorz00_3781;
BgL_integratorz00_3781 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2197); 
{ /* Integrate/node.scm 294 */
obj_t BgL_method2985z00_3782;
{ /* Integrate/node.scm 294 */
long BgL_objzd2classzd2numz00_3784;
{ /* Integrate/node.scm 294 */
BgL_objectz00_bglt BgL_auxz00_5526;
BgL_auxz00_5526 = 
(BgL_objectz00_bglt)(BgL_arg3234z00_2204); 
BgL_objzd2classzd2numz00_3784 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5526); } 
{ /* Integrate/node.scm 294 */
obj_t BgL_arg1221z00_3785;
{ /* Integrate/node.scm 294 */
int BgL_auxz00_5529;
BgL_auxz00_5529 = 
(int)(((long)1)); 
BgL_arg1221z00_3785 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5529); } 
{ /* Integrate/node.scm 294 */
long BgL_offsetz00_3789;
{ /* Integrate/node.scm 294 */
long BgL_auxz00_5532;
{ /* Integrate/node.scm 294 */
int BgL_auxz00_5533;
BgL_auxz00_5533 = 
(int)(BgL_objzd2classzd2numz00_3784); 
BgL_auxz00_5532 = 
(long)(BgL_auxz00_5533); } 
BgL_offsetz00_3789 = 
(BgL_auxz00_5532-OBJECT_TYPE); } 
{ /* Integrate/node.scm 294 */
long BgL_modz00_3790;
{ /* Integrate/node.scm 294 */
long BgL_auxz00_5537;
{ /* Integrate/node.scm 294 */
int BgL_auxz00_5538;
BgL_auxz00_5538 = 
(int)(((long)8)); 
BgL_auxz00_5537 = 
(long)(BgL_auxz00_5538); } 
BgL_modz00_3790 = 
(BgL_offsetz00_3789/BgL_auxz00_5537); } 
{ /* Integrate/node.scm 294 */
long BgL_restz00_3792;
{ /* Integrate/node.scm 294 */
long BgL_auxz00_5542;
{ /* Integrate/node.scm 294 */
int BgL_auxz00_5543;
BgL_auxz00_5543 = 
(int)(((long)8)); 
BgL_auxz00_5542 = 
(long)(BgL_auxz00_5543); } 
BgL_restz00_3792 = 
(BgL_offsetz00_3789%BgL_auxz00_5542); } 
{ /* Integrate/node.scm 294 */

{ /* Integrate/node.scm 294 */
obj_t BgL_bucketz00_3794;
{ /* Integrate/node.scm 294 */
int BgL_kz00_3804;
BgL_kz00_3804 = 
(int)(BgL_modz00_3790); 
BgL_bucketz00_3794 = 
VECTOR_REF(BgL_arg1221z00_3785,BgL_kz00_3804); } 
{ /* Integrate/node.scm 294 */
int BgL_kz00_3806;
BgL_kz00_3806 = 
(int)(BgL_restz00_3792); 
BgL_method2985z00_3782 = 
VECTOR_REF(BgL_bucketz00_3794,BgL_kz00_3806); } } } } } } } } 
{ /* Integrate/node.scm 294 */
obj_t BgL_auxz00_5551;
BgL_auxz00_5551 = 
PROCEDURE_ENTRY(BgL_method2985z00_3782)(BgL_method2985z00_3782, 
(obj_t)(BgL_arg3234z00_2204), 
(obj_t)(BgL_integratorz00_3781), BEOA); 
BgL_res3378z00_3807 = 
(BgL_nodez00_bglt)(BgL_auxz00_5551); } } } 
BgL_arg3233z00_2203 = BgL_res3378z00_3807; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3233z00_2203), BUNSPEC); } 
{ /* Integrate/node.scm 295 */
BgL_nodez00_bglt BgL_arg3235z00_2205;
{ /* Integrate/node.scm 295 */
BgL_nodez00_bglt BgL_arg3236z00_2206;
BgL_arg3236z00_2206 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_falsez00); 
{ /* Integrate/node.scm 295 */
BgL_nodez00_bglt BgL_res3381z00_3838;
{ /* Integrate/node.scm 295 */
BgL_variablez00_bglt BgL_integratorz00_3812;
BgL_integratorz00_3812 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2197); 
{ /* Integrate/node.scm 295 */
obj_t BgL_method2985z00_3813;
{ /* Integrate/node.scm 295 */
long BgL_objzd2classzd2numz00_3815;
{ /* Integrate/node.scm 295 */
BgL_objectz00_bglt BgL_auxz00_5560;
BgL_auxz00_5560 = 
(BgL_objectz00_bglt)(BgL_arg3236z00_2206); 
BgL_objzd2classzd2numz00_3815 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5560); } 
{ /* Integrate/node.scm 295 */
obj_t BgL_arg1221z00_3816;
{ /* Integrate/node.scm 295 */
int BgL_auxz00_5563;
BgL_auxz00_5563 = 
(int)(((long)1)); 
BgL_arg1221z00_3816 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5563); } 
{ /* Integrate/node.scm 295 */
long BgL_offsetz00_3820;
{ /* Integrate/node.scm 295 */
long BgL_auxz00_5566;
{ /* Integrate/node.scm 295 */
int BgL_auxz00_5567;
BgL_auxz00_5567 = 
(int)(BgL_objzd2classzd2numz00_3815); 
BgL_auxz00_5566 = 
(long)(BgL_auxz00_5567); } 
BgL_offsetz00_3820 = 
(BgL_auxz00_5566-OBJECT_TYPE); } 
{ /* Integrate/node.scm 295 */
long BgL_modz00_3821;
{ /* Integrate/node.scm 295 */
long BgL_auxz00_5571;
{ /* Integrate/node.scm 295 */
int BgL_auxz00_5572;
BgL_auxz00_5572 = 
(int)(((long)8)); 
BgL_auxz00_5571 = 
(long)(BgL_auxz00_5572); } 
BgL_modz00_3821 = 
(BgL_offsetz00_3820/BgL_auxz00_5571); } 
{ /* Integrate/node.scm 295 */
long BgL_restz00_3823;
{ /* Integrate/node.scm 295 */
long BgL_auxz00_5576;
{ /* Integrate/node.scm 295 */
int BgL_auxz00_5577;
BgL_auxz00_5577 = 
(int)(((long)8)); 
BgL_auxz00_5576 = 
(long)(BgL_auxz00_5577); } 
BgL_restz00_3823 = 
(BgL_offsetz00_3820%BgL_auxz00_5576); } 
{ /* Integrate/node.scm 295 */

{ /* Integrate/node.scm 295 */
obj_t BgL_bucketz00_3825;
{ /* Integrate/node.scm 295 */
int BgL_kz00_3835;
BgL_kz00_3835 = 
(int)(BgL_modz00_3821); 
BgL_bucketz00_3825 = 
VECTOR_REF(BgL_arg1221z00_3816,BgL_kz00_3835); } 
{ /* Integrate/node.scm 295 */
int BgL_kz00_3837;
BgL_kz00_3837 = 
(int)(BgL_restz00_3823); 
BgL_method2985z00_3813 = 
VECTOR_REF(BgL_bucketz00_3825,BgL_kz00_3837); } } } } } } } } 
{ /* Integrate/node.scm 295 */
obj_t BgL_auxz00_5585;
BgL_auxz00_5585 = 
PROCEDURE_ENTRY(BgL_method2985z00_3813)(BgL_method2985z00_3813, 
(obj_t)(BgL_arg3236z00_2206), 
(obj_t)(BgL_integratorz00_3812), BEOA); 
BgL_res3381z00_3838 = 
(BgL_nodez00_bglt)(BgL_auxz00_5585); } } } 
BgL_arg3235z00_2205 = BgL_res3381z00_3838; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2196))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3235z00_2205), BUNSPEC); } 
BgL_auxz00_5489 = BgL_nodez00_2196; 
return 
(obj_t)(BgL_auxz00_5489);} } } 
}



/* glo!-setq3007 */
obj_t BGl_gloz12zd2setq3007zc0zzintegrate_nodez00(obj_t BgL_envz00_4421, obj_t BgL_nodez00_4422, obj_t BgL_integratorz00_4423)
{ AN_OBJECT;
{ /* Integrate/node.scm 257 */
{ 
BgL_setqz00_bglt BgL_nodez00_2153;obj_t BgL_integratorz00_2154;
BgL_nodez00_2153 = 
(BgL_setqz00_bglt)(BgL_nodez00_4422); 
BgL_integratorz00_2154 = BgL_integratorz00_4423; 
{ /* Integrate/node.scm 259 */
BgL_nodez00_bglt BgL_arg3201z00_2158;
{ /* Integrate/node.scm 259 */
BgL_nodez00_bglt BgL_arg3202z00_2159;
BgL_arg3202z00_2159 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_valuez00); 
{ /* Integrate/node.scm 259 */
BgL_nodez00_bglt BgL_res3360z00_3635;
{ /* Integrate/node.scm 259 */
BgL_variablez00_bglt BgL_integratorz00_3609;
BgL_integratorz00_3609 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2154); 
{ /* Integrate/node.scm 259 */
obj_t BgL_method2985z00_3610;
{ /* Integrate/node.scm 259 */
long BgL_objzd2classzd2numz00_3612;
{ /* Integrate/node.scm 259 */
BgL_objectz00_bglt BgL_auxz00_5596;
BgL_auxz00_5596 = 
(BgL_objectz00_bglt)(BgL_arg3202z00_2159); 
BgL_objzd2classzd2numz00_3612 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5596); } 
{ /* Integrate/node.scm 259 */
obj_t BgL_arg1221z00_3613;
{ /* Integrate/node.scm 259 */
int BgL_auxz00_5599;
BgL_auxz00_5599 = 
(int)(((long)1)); 
BgL_arg1221z00_3613 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5599); } 
{ /* Integrate/node.scm 259 */
long BgL_offsetz00_3617;
{ /* Integrate/node.scm 259 */
long BgL_auxz00_5602;
{ /* Integrate/node.scm 259 */
int BgL_auxz00_5603;
BgL_auxz00_5603 = 
(int)(BgL_objzd2classzd2numz00_3612); 
BgL_auxz00_5602 = 
(long)(BgL_auxz00_5603); } 
BgL_offsetz00_3617 = 
(BgL_auxz00_5602-OBJECT_TYPE); } 
{ /* Integrate/node.scm 259 */
long BgL_modz00_3618;
{ /* Integrate/node.scm 259 */
long BgL_auxz00_5607;
{ /* Integrate/node.scm 259 */
int BgL_auxz00_5608;
BgL_auxz00_5608 = 
(int)(((long)8)); 
BgL_auxz00_5607 = 
(long)(BgL_auxz00_5608); } 
BgL_modz00_3618 = 
(BgL_offsetz00_3617/BgL_auxz00_5607); } 
{ /* Integrate/node.scm 259 */
long BgL_restz00_3620;
{ /* Integrate/node.scm 259 */
long BgL_auxz00_5612;
{ /* Integrate/node.scm 259 */
int BgL_auxz00_5613;
BgL_auxz00_5613 = 
(int)(((long)8)); 
BgL_auxz00_5612 = 
(long)(BgL_auxz00_5613); } 
BgL_restz00_3620 = 
(BgL_offsetz00_3617%BgL_auxz00_5612); } 
{ /* Integrate/node.scm 259 */

{ /* Integrate/node.scm 259 */
obj_t BgL_bucketz00_3622;
{ /* Integrate/node.scm 259 */
int BgL_kz00_3632;
BgL_kz00_3632 = 
(int)(BgL_modz00_3618); 
BgL_bucketz00_3622 = 
VECTOR_REF(BgL_arg1221z00_3613,BgL_kz00_3632); } 
{ /* Integrate/node.scm 259 */
int BgL_kz00_3634;
BgL_kz00_3634 = 
(int)(BgL_restz00_3620); 
BgL_method2985z00_3610 = 
VECTOR_REF(BgL_bucketz00_3622,BgL_kz00_3634); } } } } } } } } 
{ /* Integrate/node.scm 259 */
obj_t BgL_auxz00_5621;
BgL_auxz00_5621 = 
PROCEDURE_ENTRY(BgL_method2985z00_3610)(BgL_method2985z00_3610, 
(obj_t)(BgL_arg3202z00_2159), 
(obj_t)(BgL_integratorz00_3609), BEOA); 
BgL_res3360z00_3635 = 
(BgL_nodez00_bglt)(BgL_auxz00_5621); } } } 
BgL_arg3201z00_2158 = BgL_res3360z00_3635; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3201z00_2158), BUNSPEC); } 
{ /* Integrate/node.scm 260 */
BgL_variablez00_bglt BgL_varz00_2160;
{ /* Integrate/node.scm 260 */
BgL_varz00_bglt BgL_arg3228z00_2193;
BgL_arg3228z00_2193 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_varz00); 
BgL_varz00_2160 = 
(((BgL_varz00_bglt)CREF(BgL_arg3228z00_2193))->BgL_variablez00); } 
{ 
obj_t BgL_varz00_2161;obj_t BgL_alphaz00_2162;
BgL_varz00_2161 = 
(obj_t)(BgL_varz00_2160); 
BgL_alphaz00_2162 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2160))->BgL_fastzd2alphazd2); 
BgL_loopz00_2163:
{ /* Integrate/node.scm 263 */
bool_t BgL_test3204z00_2165;
BgL_test3204z00_2165 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_2162, BGl_localz00zzast_varz00); 
if(BgL_test3204z00_2165)
{ /* Integrate/node.scm 263 */
{ /* Integrate/node.scm 265 */
BgL_varz00_bglt BgL_arg3205z00_2166;
BgL_arg3205z00_2166 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_varz00); 
{ /* Integrate/node.scm 265 */
BgL_variablez00_bglt BgL_val1620z00_3644;
BgL_val1620z00_3644 = 
(BgL_variablez00_bglt)(BgL_alphaz00_2162); 
((((BgL_varz00_bglt)CREF(BgL_arg3205z00_2166))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3644), BUNSPEC); } } 
{ 
obj_t BgL_alphaz00_5636;obj_t BgL_varz00_5635;
BgL_varz00_5635 = BgL_alphaz00_2162; 
{ /* Integrate/node.scm 266 */
BgL_variablez00_bglt BgL_obj1109z00_3645;
BgL_obj1109z00_3645 = 
(BgL_variablez00_bglt)(BgL_alphaz00_2162); 
BgL_alphaz00_5636 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1109z00_3645))->BgL_fastzd2alphazd2); } 
BgL_alphaz00_2162 = BgL_alphaz00_5636; 
BgL_varz00_2161 = BgL_varz00_5635; 
goto BgL_loopz00_2163;} }  else 
{ /* Integrate/node.scm 267 */
BgL_variablez00_bglt BgL_varz00_2168;
{ /* Integrate/node.scm 267 */
BgL_varz00_bglt BgL_arg3227z00_2192;
BgL_arg3227z00_2192 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_varz00); 
BgL_varz00_2168 = 
(((BgL_varz00_bglt)CREF(BgL_arg3227z00_2192))->BgL_variablez00); } 
{ /* Integrate/node.scm 268 */
bool_t BgL_test3207z00_2169;
{ /* Integrate/node.scm 268 */
bool_t BgL_test3226z00_2191;
BgL_test3226z00_2191 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_2168), BGl_localz00zzast_varz00); 
if(BgL_test3226z00_2191)
{ /* Integrate/node.scm 268 */
BgL_test3207z00_2169 = 
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_varz00_2168)); }  else 
{ /* Integrate/node.scm 268 */
BgL_test3207z00_2169 = ((bool_t)0); } } 
if(BgL_test3207z00_2169)
{ /* Integrate/node.scm 269 */
BgL_localz00_bglt BgL_azd2varzd2_2170;obj_t BgL_locz00_2171;
BgL_azd2varzd2_2170 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)3)), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Integrate/node.scm 270 */
BgL_nodez00_bglt BgL_obj1549z00_3649;
BgL_obj1549z00_3649 = 
(BgL_nodez00_bglt)(BgL_nodez00_2153); 
BgL_locz00_2171 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_3649))->BgL_locz00); } 
{ /* Integrate/node.scm 271 */
BgL_localz00_bglt BgL_obj1260z00_3650;obj_t BgL_val1259z00_3651;
BgL_obj1260z00_3650 = 
(BgL_localz00_bglt)(BgL_varz00_2168); 
BgL_val1259z00_3651 = 
CNST_TABLE_REF(((long)0)); 
((((BgL_localz00_bglt)CREF(BgL_obj1260z00_3650))->BgL_accessz00) = ((obj_t)BgL_val1259z00_3651), BUNSPEC); } 
{ /* Integrate/node.scm 272 */
BgL_svarzf2iinfozf2_bglt BgL_obj2950z00_2172;
{ 
BgL_valuez00_bglt BgL_auxz00_5655;
BgL_auxz00_5655 = 
BGl_localzd2valuezd2zzintegrate_nodez00(BgL_azd2varzd2_2170); 
BgL_obj2950z00_2172 = 
((BgL_svarzf2iinfozf2_bglt)BgL_auxz00_5655); } 
{ /* Integrate/node.scm 273 */
BgL_svarzf2iinfozf2_bglt BgL_arg3208z00_2173;
{ /* Integrate/node.scm 273 */
bool_t BgL_arg3209z00_2174;
BgL_arg3209z00_2174 = ((bool_t)0); 
{ /* Integrate/node.scm 272 */
BgL_svarzf2iinfozf2_bglt BgL_res3362z00_3668;
{ /* Integrate/node.scm 272 */
BgL_svarzf2iinfozf2_bglt BgL_new2658z00_3657;
BgL_new2658z00_3657 = 
((BgL_svarzf2iinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2iinfozf2_bgl)))); 
{ /* Integrate/node.scm 272 */
BgL_svarzf2iinfozf2_bglt BgL_res3361z00_3667;
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3657))->BgL_fzd2markzd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3657))->BgL_uzd2markzd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3657))->BgL_kapturedzf3zf3) = ((bool_t)BgL_arg3209z00_2174), BUNSPEC); 
((((BgL_svarzf2iinfozf2_bglt)CREF(BgL_new2658z00_3657))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3361z00_3667 = BgL_new2658z00_3657; BgL_res3361z00_3667; } 
BgL_res3362z00_3668 = BgL_new2658z00_3657; } 
BgL_arg3208z00_2173 = BgL_res3362z00_3668; } } 
{ /* Integrate/node.scm 272 */
obj_t BgL_auxz00_5665;BgL_objectz00_bglt BgL_auxz00_5663;
BgL_auxz00_5665 = 
(obj_t)(BgL_arg3208z00_2173); 
BgL_auxz00_5663 = 
(BgL_objectz00_bglt)(BgL_obj2950z00_2172); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5663, BgL_auxz00_5665); } } 
{ /* Integrate/node.scm 272 */
long BgL_arg3210z00_2175;
BgL_arg3210z00_2175 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Iinfozf2zzintegrate_infoz00); 
{ /* Integrate/node.scm 272 */
BgL_objectz00_bglt BgL_auxz00_5669;
BgL_auxz00_5669 = 
(BgL_objectz00_bglt)(BgL_obj2950z00_2172); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5669, BgL_arg3210z00_2175); } } 
{ /* Integrate/node.scm 272 */
obj_t BgL_auxz00_5672;
BgL_auxz00_5672 = 
(obj_t)(BgL_obj2950z00_2172); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5672); } BUNSPEC; BgL_obj2950z00_2172; } 
{ /* Integrate/node.scm 275 */
obj_t BgL_arg3211z00_2176;obj_t BgL_arg3212z00_2177;obj_t BgL_arg3214z00_2179;BgL_boxzd2setz12zc0_bglt BgL_arg3215z00_2180;
BgL_arg3211z00_2176 = BgL_locz00_2171; 
BgL_arg3212z00_2177 = BGl_za2_za2z00zztype_cachez00; 
{ /* Integrate/node.scm 277 */
obj_t BgL_arg3216z00_2181;
{ /* Integrate/node.scm 277 */
obj_t BgL_auxz00_5677;obj_t BgL_auxz00_5675;
{ /* Integrate/node.scm 277 */
BgL_nodez00_bglt BgL_auxz00_5678;
BgL_auxz00_5678 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_valuez00); 
BgL_auxz00_5677 = 
(obj_t)(BgL_auxz00_5678); } 
BgL_auxz00_5675 = 
(obj_t)(BgL_azd2varzd2_2170); 
BgL_arg3216z00_2181 = 
MAKE_PAIR(BgL_auxz00_5675, BgL_auxz00_5677); } 
{ /* Integrate/node.scm 277 */
obj_t BgL_list3217z00_2182;
BgL_list3217z00_2182 = 
MAKE_PAIR(BgL_arg3216z00_2181, BNIL); 
BgL_arg3214z00_2179 = BgL_list3217z00_2182; } } 
{ /* Integrate/node.scm 279 */
obj_t BgL_arg3219z00_2184;obj_t BgL_arg3220z00_2185;BgL_varz00_bglt BgL_arg3221z00_2186;BgL_varz00_bglt BgL_arg3222z00_2187;
BgL_arg3219z00_2184 = BgL_locz00_2171; 
BgL_arg3220z00_2185 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3221z00_2186 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2153))->BgL_varz00); 
{ /* Integrate/node.scm 283 */
obj_t BgL_arg3223z00_2188;obj_t BgL_arg3224z00_2189;
BgL_arg3223z00_2188 = BgL_locz00_2171; 
BgL_arg3224z00_2189 = BGl_za2_za2z00zztype_cachez00; 
{ /* Integrate/node.scm 282 */
BgL_varz00_bglt BgL_res3366z00_3694;
{ /* Integrate/node.scm 282 */
BgL_typez00_bglt BgL_type1631z00_3677;BgL_variablez00_bglt BgL_variable1632z00_3678;
BgL_type1631z00_3677 = 
(BgL_typez00_bglt)(BgL_arg3224z00_2189); 
{ /* Integrate/node.scm 285 */
BgL_localz00_bglt BgL_auxz00_5685;
BgL_auxz00_5685 = BgL_azd2varzd2_2170; 
BgL_variable1632z00_3678 = 
(BgL_variablez00_bglt)(BgL_auxz00_5685); } 
{ /* Integrate/node.scm 282 */
BgL_varz00_bglt BgL_new1633z00_3679;
{ /* Integrate/node.scm 282 */
BgL_varz00_bglt BgL_res3364z00_3685;
{ /* Integrate/node.scm 282 */
BgL_varz00_bglt BgL_new1635z00_3680;
BgL_new1635z00_3680 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Integrate/node.scm 282 */
long BgL_arg3129z00_3681;
BgL_arg3129z00_3681 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Integrate/node.scm 282 */
BgL_objectz00_bglt BgL_auxz00_5689;
BgL_auxz00_5689 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3680); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5689, BgL_arg3129z00_3681); } } 
{ /* Integrate/node.scm 282 */
BgL_objectz00_bglt BgL_auxz00_5692;
BgL_auxz00_5692 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3680); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5692, BFALSE); } 
{ /* Integrate/node.scm 282 */
obj_t BgL_auxz00_5695;
BgL_auxz00_5695 = 
(obj_t)(BgL_new1635z00_3680); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5695); } BUNSPEC; 
BgL_res3364z00_3685 = BgL_new1635z00_3680; } 
BgL_new1633z00_3679 = BgL_res3364z00_3685; } 
{ /* Integrate/node.scm 282 */
BgL_varz00_bglt BgL_res3365z00_3693;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3679))->BgL_locz00) = ((obj_t)BgL_arg3223z00_2188), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3679))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_3677), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3679))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3678), BUNSPEC); 
BgL_res3365z00_3693 = BgL_new1633z00_3679; BgL_res3365z00_3693; } 
BgL_res3366z00_3694 = BgL_new1633z00_3679; } } 
BgL_arg3222z00_2187 = BgL_res3366z00_3694; } } 
{ /* Integrate/node.scm 278 */
BgL_boxzd2setz12zc0_bglt BgL_res3369z00_3716;
{ /* Integrate/node.scm 278 */
BgL_typez00_bglt BgL_type2647z00_3696;BgL_nodez00_bglt BgL_value2649z00_3698;
BgL_type2647z00_3696 = 
(BgL_typez00_bglt)(BgL_arg3220z00_2185); 
BgL_value2649z00_3698 = 
(BgL_nodez00_bglt)(BgL_arg3222z00_2187); 
{ /* Integrate/node.scm 278 */
BgL_boxzd2setz12zc0_bglt BgL_new2650z00_3699;
{ /* Integrate/node.scm 278 */
BgL_boxzd2setz12zc0_bglt BgL_res3367z00_3705;
{ /* Integrate/node.scm 278 */
BgL_boxzd2setz12zc0_bglt BgL_new2652z00_3700;
BgL_new2652z00_3700 = 
((BgL_boxzd2setz12zc0_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2setz12zc0_bgl) ))); 
{ /* Integrate/node.scm 278 */
long BgL_arg3101z00_3701;
BgL_arg3101z00_3701 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2setz12zc0zzast_nodez00); 
{ /* Integrate/node.scm 278 */
BgL_objectz00_bglt BgL_auxz00_5705;
BgL_auxz00_5705 = 
(BgL_objectz00_bglt)(BgL_new2652z00_3700); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5705, BgL_arg3101z00_3701); } } 
{ /* Integrate/node.scm 278 */
BgL_objectz00_bglt BgL_auxz00_5708;
BgL_auxz00_5708 = 
(BgL_objectz00_bglt)(BgL_new2652z00_3700); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5708, BFALSE); } 
{ /* Integrate/node.scm 278 */
obj_t BgL_auxz00_5711;
BgL_auxz00_5711 = 
(obj_t)(BgL_new2652z00_3700); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5711); } BUNSPEC; 
BgL_res3367z00_3705 = BgL_new2652z00_3700; } 
BgL_new2650z00_3699 = BgL_res3367z00_3705; } 
{ /* Integrate/node.scm 278 */
BgL_boxzd2setz12zc0_bglt BgL_res3368z00_3715;
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3699))->BgL_locz00) = ((obj_t)BgL_arg3219z00_2184), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3699))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2647z00_3696), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3699))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg3221z00_2186), BUNSPEC); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_new2650z00_3699))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_value2649z00_3698), BUNSPEC); 
BgL_res3368z00_3715 = BgL_new2650z00_3699; BgL_res3368z00_3715; } 
BgL_res3369z00_3716 = BgL_new2650z00_3699; } } 
BgL_arg3215z00_2180 = BgL_res3369z00_3716; } } 
{ /* Integrate/node.scm 274 */
BgL_letzd2varzd2_bglt BgL_res3372z00_3747;
{ /* Integrate/node.scm 274 */
BgL_typez00_bglt BgL_type2492z00_3718;obj_t BgL_key2494z00_3720;BgL_nodez00_bglt BgL_body2496z00_3722;
BgL_type2492z00_3718 = 
(BgL_typez00_bglt)(BgL_arg3212z00_2177); 
BgL_key2494z00_3720 = 
BINT(((long)-1)); 
BgL_body2496z00_3722 = 
(BgL_nodez00_bglt)(BgL_arg3215z00_2180); 
{ /* Integrate/node.scm 274 */
BgL_letzd2varzd2_bglt BgL_new2498z00_3724;
{ /* Integrate/node.scm 274 */
BgL_letzd2varzd2_bglt BgL_res3370z00_3730;
{ /* Integrate/node.scm 274 */
BgL_letzd2varzd2_bglt BgL_new2500z00_3725;
BgL_new2500z00_3725 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* Integrate/node.scm 274 */
long BgL_arg3106z00_3726;
BgL_arg3106z00_3726 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* Integrate/node.scm 274 */
BgL_objectz00_bglt BgL_auxz00_5723;
BgL_auxz00_5723 = 
(BgL_objectz00_bglt)(BgL_new2500z00_3725); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5723, BgL_arg3106z00_3726); } } 
{ /* Integrate/node.scm 274 */
BgL_objectz00_bglt BgL_auxz00_5726;
BgL_auxz00_5726 = 
(BgL_objectz00_bglt)(BgL_new2500z00_3725); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5726, BFALSE); } 
{ /* Integrate/node.scm 274 */
obj_t BgL_auxz00_5729;
BgL_auxz00_5729 = 
(obj_t)(BgL_new2500z00_3725); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5729); } BUNSPEC; 
BgL_res3370z00_3730 = BgL_new2500z00_3725; } 
BgL_new2498z00_3724 = BgL_res3370z00_3730; } 
{ /* Integrate/node.scm 274 */
BgL_letzd2varzd2_bglt BgL_res3371z00_3746;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_locz00) = ((obj_t)BgL_arg3211z00_2176), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2492z00_3718), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_keyz00) = ((obj_t)BgL_key2494z00_3720), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_bindingsz00) = ((obj_t)BgL_arg3214z00_2179), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2496z00_3722), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2498z00_3724))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3371z00_3746 = BgL_new2498z00_3724; BgL_res3371z00_3746; } 
BgL_res3372z00_3747 = BgL_new2498z00_3724; } } 
return 
(obj_t)(BgL_res3372z00_3747);} } }  else 
{ /* Integrate/node.scm 268 */
return 
(obj_t)(BgL_nodez00_2153);} } } } } } } } 
}



/* glo!-cast3005 */
obj_t BGl_gloz12zd2cast3005zc0zzintegrate_nodez00(obj_t BgL_envz00_4424, obj_t BgL_nodez00_4425, obj_t BgL_integratorz00_4426)
{ AN_OBJECT;
{ /* Integrate/node.scm 249 */
{ 
BgL_castz00_bglt BgL_nodez00_2145;obj_t BgL_integratorz00_2146;
{ /* Integrate/node.scm 250 */
BgL_castz00_bglt BgL_auxz00_5744;
BgL_nodez00_2145 = 
(BgL_castz00_bglt)(BgL_nodez00_4425); 
BgL_integratorz00_2146 = BgL_integratorz00_4426; 
{ /* Integrate/node.scm 250 */
BgL_nodez00_bglt BgL_arg3199z00_3577;
BgL_arg3199z00_3577 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_2145))->BgL_argz00); 
{ /* Integrate/node.scm 250 */
BgL_nodez00_bglt BgL_res3357z00_3606;
{ /* Integrate/node.scm 250 */
BgL_variablez00_bglt BgL_integratorz00_3580;
BgL_integratorz00_3580 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2146); 
{ /* Integrate/node.scm 250 */
obj_t BgL_method2985z00_3581;
{ /* Integrate/node.scm 250 */
long BgL_objzd2classzd2numz00_3583;
{ /* Integrate/node.scm 250 */
BgL_objectz00_bglt BgL_auxz00_5747;
BgL_auxz00_5747 = 
(BgL_objectz00_bglt)(BgL_arg3199z00_3577); 
BgL_objzd2classzd2numz00_3583 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5747); } 
{ /* Integrate/node.scm 250 */
obj_t BgL_arg1221z00_3584;
{ /* Integrate/node.scm 250 */
int BgL_auxz00_5750;
BgL_auxz00_5750 = 
(int)(((long)1)); 
BgL_arg1221z00_3584 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5750); } 
{ /* Integrate/node.scm 250 */
long BgL_offsetz00_3588;
{ /* Integrate/node.scm 250 */
long BgL_auxz00_5753;
{ /* Integrate/node.scm 250 */
int BgL_auxz00_5754;
BgL_auxz00_5754 = 
(int)(BgL_objzd2classzd2numz00_3583); 
BgL_auxz00_5753 = 
(long)(BgL_auxz00_5754); } 
BgL_offsetz00_3588 = 
(BgL_auxz00_5753-OBJECT_TYPE); } 
{ /* Integrate/node.scm 250 */
long BgL_modz00_3589;
{ /* Integrate/node.scm 250 */
long BgL_auxz00_5758;
{ /* Integrate/node.scm 250 */
int BgL_auxz00_5759;
BgL_auxz00_5759 = 
(int)(((long)8)); 
BgL_auxz00_5758 = 
(long)(BgL_auxz00_5759); } 
BgL_modz00_3589 = 
(BgL_offsetz00_3588/BgL_auxz00_5758); } 
{ /* Integrate/node.scm 250 */
long BgL_restz00_3591;
{ /* Integrate/node.scm 250 */
long BgL_auxz00_5763;
{ /* Integrate/node.scm 250 */
int BgL_auxz00_5764;
BgL_auxz00_5764 = 
(int)(((long)8)); 
BgL_auxz00_5763 = 
(long)(BgL_auxz00_5764); } 
BgL_restz00_3591 = 
(BgL_offsetz00_3588%BgL_auxz00_5763); } 
{ /* Integrate/node.scm 250 */

{ /* Integrate/node.scm 250 */
obj_t BgL_bucketz00_3593;
{ /* Integrate/node.scm 250 */
int BgL_kz00_3603;
BgL_kz00_3603 = 
(int)(BgL_modz00_3589); 
BgL_bucketz00_3593 = 
VECTOR_REF(BgL_arg1221z00_3584,BgL_kz00_3603); } 
{ /* Integrate/node.scm 250 */
int BgL_kz00_3605;
BgL_kz00_3605 = 
(int)(BgL_restz00_3591); 
BgL_method2985z00_3581 = 
VECTOR_REF(BgL_bucketz00_3593,BgL_kz00_3605); } } } } } } } } 
{ /* Integrate/node.scm 250 */
obj_t BgL_auxz00_5772;
BgL_auxz00_5772 = 
PROCEDURE_ENTRY(BgL_method2985z00_3581)(BgL_method2985z00_3581, 
(obj_t)(BgL_arg3199z00_3577), 
(obj_t)(BgL_integratorz00_3580), BEOA); 
BgL_res3357z00_3606 = 
(BgL_nodez00_bglt)(BgL_auxz00_5772); } } } BgL_res3357z00_3606; } } 
BgL_auxz00_5744 = BgL_nodez00_2145; 
return 
(obj_t)(BgL_auxz00_5744);} } } 
}



/* glo!-extern3003 */
obj_t BGl_gloz12zd2extern3003zc0zzintegrate_nodez00(obj_t BgL_envz00_4427, obj_t BgL_nodez00_4428, obj_t BgL_integratorz00_4429)
{ AN_OBJECT;
{ /* Integrate/node.scm 241 */
{ 
BgL_externz00_bglt BgL_nodez00_2137;obj_t BgL_integratorz00_2138;
{ /* Integrate/node.scm 242 */
BgL_externz00_bglt BgL_auxz00_5780;
BgL_nodez00_2137 = 
(BgL_externz00_bglt)(BgL_nodez00_4428); 
BgL_integratorz00_2138 = BgL_integratorz00_4429; 
BGl_gloza2z12zb0zzintegrate_nodez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_2137))->BgL_exprza2za2), BgL_integratorz00_2138); 
BgL_auxz00_5780 = BgL_nodez00_2137; 
return 
(obj_t)(BgL_auxz00_5780);} } } 
}



/* glo!-funcall3001 */
obj_t BGl_gloz12zd2funcall3001zc0zzintegrate_nodez00(obj_t BgL_envz00_4430, obj_t BgL_nodez00_4431, obj_t BgL_integratorz00_4432)
{ AN_OBJECT;
{ /* Integrate/node.scm 232 */
{ 
BgL_funcallz00_bglt BgL_nodez00_2127;obj_t BgL_integratorz00_2128;
{ /* Integrate/node.scm 233 */
BgL_funcallz00_bglt BgL_auxz00_5785;
BgL_nodez00_2127 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4431); 
BgL_integratorz00_2128 = BgL_integratorz00_4432; 
{ /* Integrate/node.scm 234 */
BgL_nodez00_bglt BgL_arg3193z00_2132;
{ /* Integrate/node.scm 234 */
BgL_nodez00_bglt BgL_arg3194z00_2133;
BgL_arg3194z00_2133 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2127))->BgL_funz00); 
{ /* Integrate/node.scm 234 */
BgL_nodez00_bglt BgL_res3354z00_3569;
{ /* Integrate/node.scm 234 */
BgL_variablez00_bglt BgL_integratorz00_3543;
BgL_integratorz00_3543 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2128); 
{ /* Integrate/node.scm 234 */
obj_t BgL_method2985z00_3544;
{ /* Integrate/node.scm 234 */
long BgL_objzd2classzd2numz00_3546;
{ /* Integrate/node.scm 234 */
BgL_objectz00_bglt BgL_auxz00_5788;
BgL_auxz00_5788 = 
(BgL_objectz00_bglt)(BgL_arg3194z00_2133); 
BgL_objzd2classzd2numz00_3546 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5788); } 
{ /* Integrate/node.scm 234 */
obj_t BgL_arg1221z00_3547;
{ /* Integrate/node.scm 234 */
int BgL_auxz00_5791;
BgL_auxz00_5791 = 
(int)(((long)1)); 
BgL_arg1221z00_3547 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5791); } 
{ /* Integrate/node.scm 234 */
long BgL_offsetz00_3551;
{ /* Integrate/node.scm 234 */
long BgL_auxz00_5794;
{ /* Integrate/node.scm 234 */
int BgL_auxz00_5795;
BgL_auxz00_5795 = 
(int)(BgL_objzd2classzd2numz00_3546); 
BgL_auxz00_5794 = 
(long)(BgL_auxz00_5795); } 
BgL_offsetz00_3551 = 
(BgL_auxz00_5794-OBJECT_TYPE); } 
{ /* Integrate/node.scm 234 */
long BgL_modz00_3552;
{ /* Integrate/node.scm 234 */
long BgL_auxz00_5799;
{ /* Integrate/node.scm 234 */
int BgL_auxz00_5800;
BgL_auxz00_5800 = 
(int)(((long)8)); 
BgL_auxz00_5799 = 
(long)(BgL_auxz00_5800); } 
BgL_modz00_3552 = 
(BgL_offsetz00_3551/BgL_auxz00_5799); } 
{ /* Integrate/node.scm 234 */
long BgL_restz00_3554;
{ /* Integrate/node.scm 234 */
long BgL_auxz00_5804;
{ /* Integrate/node.scm 234 */
int BgL_auxz00_5805;
BgL_auxz00_5805 = 
(int)(((long)8)); 
BgL_auxz00_5804 = 
(long)(BgL_auxz00_5805); } 
BgL_restz00_3554 = 
(BgL_offsetz00_3551%BgL_auxz00_5804); } 
{ /* Integrate/node.scm 234 */

{ /* Integrate/node.scm 234 */
obj_t BgL_bucketz00_3556;
{ /* Integrate/node.scm 234 */
int BgL_kz00_3566;
BgL_kz00_3566 = 
(int)(BgL_modz00_3552); 
BgL_bucketz00_3556 = 
VECTOR_REF(BgL_arg1221z00_3547,BgL_kz00_3566); } 
{ /* Integrate/node.scm 234 */
int BgL_kz00_3568;
BgL_kz00_3568 = 
(int)(BgL_restz00_3554); 
BgL_method2985z00_3544 = 
VECTOR_REF(BgL_bucketz00_3556,BgL_kz00_3568); } } } } } } } } 
{ /* Integrate/node.scm 234 */
obj_t BgL_auxz00_5813;
BgL_auxz00_5813 = 
PROCEDURE_ENTRY(BgL_method2985z00_3544)(BgL_method2985z00_3544, 
(obj_t)(BgL_arg3194z00_2133), 
(obj_t)(BgL_integratorz00_3543), BEOA); 
BgL_res3354z00_3569 = 
(BgL_nodez00_bglt)(BgL_auxz00_5813); } } } 
BgL_arg3193z00_2132 = BgL_res3354z00_3569; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_2127))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3193z00_2132), BUNSPEC); } 
BGl_gloza2z12zb0zzintegrate_nodez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_2127))->BgL_argsz00), BgL_integratorz00_2128); 
BgL_auxz00_5785 = BgL_nodez00_2127; 
return 
(obj_t)(BgL_auxz00_5785);} } } 
}



/* glo!-app-ly2999 */
obj_t BGl_gloz12zd2appzd2ly2999z12zzintegrate_nodez00(obj_t BgL_envz00_4433, obj_t BgL_nodez00_4434, obj_t BgL_integratorz00_4435)
{ AN_OBJECT;
{ /* Integrate/node.scm 223 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_2116;obj_t BgL_integratorz00_2117;
{ /* Integrate/node.scm 224 */
BgL_appzd2lyzd2_bglt BgL_auxz00_5824;
BgL_nodez00_2116 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4434); 
BgL_integratorz00_2117 = BgL_integratorz00_4435; 
{ /* Integrate/node.scm 225 */
BgL_nodez00_bglt BgL_arg3188z00_2121;
{ /* Integrate/node.scm 225 */
BgL_nodez00_bglt BgL_arg3189z00_2122;
BgL_arg3189z00_2122 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2116))->BgL_funz00); 
{ /* Integrate/node.scm 225 */
BgL_nodez00_bglt BgL_res3348z00_3507;
{ /* Integrate/node.scm 225 */
BgL_variablez00_bglt BgL_integratorz00_3481;
BgL_integratorz00_3481 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2117); 
{ /* Integrate/node.scm 225 */
obj_t BgL_method2985z00_3482;
{ /* Integrate/node.scm 225 */
long BgL_objzd2classzd2numz00_3484;
{ /* Integrate/node.scm 225 */
BgL_objectz00_bglt BgL_auxz00_5827;
BgL_auxz00_5827 = 
(BgL_objectz00_bglt)(BgL_arg3189z00_2122); 
BgL_objzd2classzd2numz00_3484 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5827); } 
{ /* Integrate/node.scm 225 */
obj_t BgL_arg1221z00_3485;
{ /* Integrate/node.scm 225 */
int BgL_auxz00_5830;
BgL_auxz00_5830 = 
(int)(((long)1)); 
BgL_arg1221z00_3485 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5830); } 
{ /* Integrate/node.scm 225 */
long BgL_offsetz00_3489;
{ /* Integrate/node.scm 225 */
long BgL_auxz00_5833;
{ /* Integrate/node.scm 225 */
int BgL_auxz00_5834;
BgL_auxz00_5834 = 
(int)(BgL_objzd2classzd2numz00_3484); 
BgL_auxz00_5833 = 
(long)(BgL_auxz00_5834); } 
BgL_offsetz00_3489 = 
(BgL_auxz00_5833-OBJECT_TYPE); } 
{ /* Integrate/node.scm 225 */
long BgL_modz00_3490;
{ /* Integrate/node.scm 225 */
long BgL_auxz00_5838;
{ /* Integrate/node.scm 225 */
int BgL_auxz00_5839;
BgL_auxz00_5839 = 
(int)(((long)8)); 
BgL_auxz00_5838 = 
(long)(BgL_auxz00_5839); } 
BgL_modz00_3490 = 
(BgL_offsetz00_3489/BgL_auxz00_5838); } 
{ /* Integrate/node.scm 225 */
long BgL_restz00_3492;
{ /* Integrate/node.scm 225 */
long BgL_auxz00_5843;
{ /* Integrate/node.scm 225 */
int BgL_auxz00_5844;
BgL_auxz00_5844 = 
(int)(((long)8)); 
BgL_auxz00_5843 = 
(long)(BgL_auxz00_5844); } 
BgL_restz00_3492 = 
(BgL_offsetz00_3489%BgL_auxz00_5843); } 
{ /* Integrate/node.scm 225 */

{ /* Integrate/node.scm 225 */
obj_t BgL_bucketz00_3494;
{ /* Integrate/node.scm 225 */
int BgL_kz00_3504;
BgL_kz00_3504 = 
(int)(BgL_modz00_3490); 
BgL_bucketz00_3494 = 
VECTOR_REF(BgL_arg1221z00_3485,BgL_kz00_3504); } 
{ /* Integrate/node.scm 225 */
int BgL_kz00_3506;
BgL_kz00_3506 = 
(int)(BgL_restz00_3492); 
BgL_method2985z00_3482 = 
VECTOR_REF(BgL_bucketz00_3494,BgL_kz00_3506); } } } } } } } } 
{ /* Integrate/node.scm 225 */
obj_t BgL_auxz00_5852;
BgL_auxz00_5852 = 
PROCEDURE_ENTRY(BgL_method2985z00_3482)(BgL_method2985z00_3482, 
(obj_t)(BgL_arg3189z00_2122), 
(obj_t)(BgL_integratorz00_3481), BEOA); 
BgL_res3348z00_3507 = 
(BgL_nodez00_bglt)(BgL_auxz00_5852); } } } 
BgL_arg3188z00_2121 = BgL_res3348z00_3507; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2116))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3188z00_2121), BUNSPEC); } 
{ /* Integrate/node.scm 226 */
BgL_nodez00_bglt BgL_arg3190z00_2123;
{ /* Integrate/node.scm 226 */
BgL_nodez00_bglt BgL_arg3191z00_2124;
BgL_arg3191z00_2124 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2116))->BgL_argz00); 
{ /* Integrate/node.scm 226 */
BgL_nodez00_bglt BgL_res3351z00_3538;
{ /* Integrate/node.scm 226 */
BgL_variablez00_bglt BgL_integratorz00_3512;
BgL_integratorz00_3512 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2117); 
{ /* Integrate/node.scm 226 */
obj_t BgL_method2985z00_3513;
{ /* Integrate/node.scm 226 */
long BgL_objzd2classzd2numz00_3515;
{ /* Integrate/node.scm 226 */
BgL_objectz00_bglt BgL_auxz00_5861;
BgL_auxz00_5861 = 
(BgL_objectz00_bglt)(BgL_arg3191z00_2124); 
BgL_objzd2classzd2numz00_3515 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5861); } 
{ /* Integrate/node.scm 226 */
obj_t BgL_arg1221z00_3516;
{ /* Integrate/node.scm 226 */
int BgL_auxz00_5864;
BgL_auxz00_5864 = 
(int)(((long)1)); 
BgL_arg1221z00_3516 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5864); } 
{ /* Integrate/node.scm 226 */
long BgL_offsetz00_3520;
{ /* Integrate/node.scm 226 */
long BgL_auxz00_5867;
{ /* Integrate/node.scm 226 */
int BgL_auxz00_5868;
BgL_auxz00_5868 = 
(int)(BgL_objzd2classzd2numz00_3515); 
BgL_auxz00_5867 = 
(long)(BgL_auxz00_5868); } 
BgL_offsetz00_3520 = 
(BgL_auxz00_5867-OBJECT_TYPE); } 
{ /* Integrate/node.scm 226 */
long BgL_modz00_3521;
{ /* Integrate/node.scm 226 */
long BgL_auxz00_5872;
{ /* Integrate/node.scm 226 */
int BgL_auxz00_5873;
BgL_auxz00_5873 = 
(int)(((long)8)); 
BgL_auxz00_5872 = 
(long)(BgL_auxz00_5873); } 
BgL_modz00_3521 = 
(BgL_offsetz00_3520/BgL_auxz00_5872); } 
{ /* Integrate/node.scm 226 */
long BgL_restz00_3523;
{ /* Integrate/node.scm 226 */
long BgL_auxz00_5877;
{ /* Integrate/node.scm 226 */
int BgL_auxz00_5878;
BgL_auxz00_5878 = 
(int)(((long)8)); 
BgL_auxz00_5877 = 
(long)(BgL_auxz00_5878); } 
BgL_restz00_3523 = 
(BgL_offsetz00_3520%BgL_auxz00_5877); } 
{ /* Integrate/node.scm 226 */

{ /* Integrate/node.scm 226 */
obj_t BgL_bucketz00_3525;
{ /* Integrate/node.scm 226 */
int BgL_kz00_3535;
BgL_kz00_3535 = 
(int)(BgL_modz00_3521); 
BgL_bucketz00_3525 = 
VECTOR_REF(BgL_arg1221z00_3516,BgL_kz00_3535); } 
{ /* Integrate/node.scm 226 */
int BgL_kz00_3537;
BgL_kz00_3537 = 
(int)(BgL_restz00_3523); 
BgL_method2985z00_3513 = 
VECTOR_REF(BgL_bucketz00_3525,BgL_kz00_3537); } } } } } } } } 
{ /* Integrate/node.scm 226 */
obj_t BgL_auxz00_5886;
BgL_auxz00_5886 = 
PROCEDURE_ENTRY(BgL_method2985z00_3513)(BgL_method2985z00_3513, 
(obj_t)(BgL_arg3191z00_2124), 
(obj_t)(BgL_integratorz00_3512), BEOA); 
BgL_res3351z00_3538 = 
(BgL_nodez00_bglt)(BgL_auxz00_5886); } } } 
BgL_arg3190z00_2123 = BgL_res3351z00_3538; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_2116))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3190z00_2123), BUNSPEC); } 
BgL_auxz00_5824 = BgL_nodez00_2116; 
return 
(obj_t)(BgL_auxz00_5824);} } } 
}



/* glo!-app2997 */
obj_t BGl_gloz12zd2app2997zc0zzintegrate_nodez00(obj_t BgL_envz00_4436, obj_t BgL_nodez00_4437, obj_t BgL_integratorz00_4438)
{ AN_OBJECT;
{ /* Integrate/node.scm 180 */
{ 
BgL_appz00_bglt BgL_nodez00_2073;obj_t BgL_integratorz00_2074;
{ /* Integrate/node.scm 181 */
BgL_appz00_bglt BgL_auxz00_5895;
BgL_nodez00_2073 = 
(BgL_appz00_bglt)(BgL_nodez00_4437); 
BgL_integratorz00_2074 = BgL_integratorz00_4438; 
{ /* Integrate/node.scm 182 */
BgL_variablez00_bglt BgL_funz00_2078;
{ /* Integrate/node.scm 182 */
BgL_varz00_bglt BgL_arg3186z00_2113;
BgL_arg3186z00_2113 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_funz00); 
BgL_funz00_2078 = 
(((BgL_varz00_bglt)CREF(BgL_arg3186z00_2113))->BgL_variablez00); } 
{ /* Integrate/node.scm 182 */
BgL_valuez00_bglt BgL_infoz00_2079;
BgL_infoz00_2079 = 
(((BgL_variablez00_bglt)CREF(BgL_funz00_2078))->BgL_valuez00); 
{ /* Integrate/node.scm 183 */

{ /* Integrate/node.scm 185 */
bool_t BgL_test3161z00_2080;
{ /* Integrate/node.scm 185 */
bool_t BgL_test3167z00_2086;
BgL_test3167z00_2086 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2078), BGl_localz00zzast_varz00); 
if(BgL_test3167z00_2086)
{ /* Integrate/node.scm 185 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_3390;
BgL_obj2860z00_3390 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_infoz00_2079); 
{ 
obj_t BgL_auxz00_5903;
{ /* Integrate/node.scm 185 */
BgL_objectz00_bglt BgL_auxz00_5904;
BgL_auxz00_5904 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_3390); 
BgL_auxz00_5903 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5904); } 
BgL_test3161z00_2080 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_5903))->BgL_gzf3zf3); } }  else 
{ /* Integrate/node.scm 185 */
BgL_test3161z00_2080 = ((bool_t)0); } } 
if(BgL_test3161z00_2080)
{ /* Integrate/node.scm 188 */
BgL_varz00_bglt BgL_arg3162z00_2081;
{ /* Integrate/node.scm 188 */
obj_t BgL_arg3163z00_2082;BgL_typez00_bglt BgL_arg3164z00_2083;obj_t BgL_arg3165z00_2084;
BgL_arg3163z00_2082 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_locz00); 
{ /* Integrate/node.scm 189 */
obj_t BgL_arg3166z00_2085;
BgL_arg3166z00_2085 = 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_funz00_2078)); 
{ /* Integrate/node.scm 189 */
BgL_variablez00_bglt BgL_obj1100z00_3392;
BgL_obj1100z00_3392 = 
(BgL_variablez00_bglt)(BgL_arg3166z00_2085); 
BgL_arg3164z00_2083 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_3392))->BgL_typez00); } } 
BgL_arg3165z00_2084 = 
BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
(BgL_localz00_bglt)(BgL_funz00_2078)); 
{ /* Integrate/node.scm 187 */
BgL_varz00_bglt BgL_res3339z00_3411;
{ /* Integrate/node.scm 187 */
BgL_variablez00_bglt BgL_variable1632z00_3395;
BgL_variable1632z00_3395 = 
(BgL_variablez00_bglt)(BgL_arg3165z00_2084); 
{ /* Integrate/node.scm 187 */
BgL_varz00_bglt BgL_new1633z00_3396;
{ /* Integrate/node.scm 187 */
BgL_varz00_bglt BgL_res3337z00_3402;
{ /* Integrate/node.scm 187 */
BgL_varz00_bglt BgL_new1635z00_3397;
BgL_new1635z00_3397 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Integrate/node.scm 187 */
long BgL_arg3129z00_3398;
BgL_arg3129z00_3398 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Integrate/node.scm 187 */
BgL_objectz00_bglt BgL_auxz00_5919;
BgL_auxz00_5919 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3397); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_5919, BgL_arg3129z00_3398); } } 
{ /* Integrate/node.scm 187 */
BgL_objectz00_bglt BgL_auxz00_5922;
BgL_auxz00_5922 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3397); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5922, BFALSE); } 
{ /* Integrate/node.scm 187 */
obj_t BgL_auxz00_5925;
BgL_auxz00_5925 = 
(obj_t)(BgL_new1635z00_3397); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_5925); } BUNSPEC; 
BgL_res3337z00_3402 = BgL_new1635z00_3397; } 
BgL_new1633z00_3396 = BgL_res3337z00_3402; } 
{ /* Integrate/node.scm 187 */
BgL_varz00_bglt BgL_res3338z00_3410;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3396))->BgL_locz00) = ((obj_t)BgL_arg3163z00_2082), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3396))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3164z00_2083), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3396))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3395), BUNSPEC); 
BgL_res3338z00_3410 = BgL_new1633z00_3396; BgL_res3338z00_3410; } 
BgL_res3339z00_3411 = BgL_new1633z00_3396; } } 
BgL_arg3162z00_2081 = BgL_res3339z00_3411; } } 
((((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3162z00_2081), BUNSPEC); }  else 
{ /* Integrate/node.scm 185 */BFALSE; } } 
{ 
obj_t BgL_nodesz00_2087;
BgL_nodesz00_2087 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_argsz00); 
BgL_liipz00_2088:
if(
NULLP(BgL_nodesz00_2087))
{ /* Integrate/node.scm 194 */
CNST_TABLE_REF(((long)2)); }  else 
{ /* Integrate/node.scm 194 */
{ /* Integrate/node.scm 197 */
BgL_nodez00_bglt BgL_arg3170z00_2091;
{ /* Integrate/node.scm 197 */
BgL_nodez00_bglt BgL_res3342z00_3444;
{ /* Integrate/node.scm 197 */
BgL_nodez00_bglt BgL_nodez00_3417;BgL_variablez00_bglt BgL_integratorz00_3418;
{ /* Integrate/node.scm 197 */
obj_t BgL_auxz00_5935;
BgL_auxz00_5935 = 
CAR(BgL_nodesz00_2087); 
BgL_nodez00_3417 = 
(BgL_nodez00_bglt)(BgL_auxz00_5935); } 
BgL_integratorz00_3418 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2074); 
{ /* Integrate/node.scm 197 */
obj_t BgL_method2985z00_3419;
{ /* Integrate/node.scm 197 */
long BgL_objzd2classzd2numz00_3421;
{ /* Integrate/node.scm 197 */
BgL_objectz00_bglt BgL_auxz00_5939;
BgL_auxz00_5939 = 
(BgL_objectz00_bglt)(BgL_nodez00_3417); 
BgL_objzd2classzd2numz00_3421 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5939); } 
{ /* Integrate/node.scm 197 */
obj_t BgL_arg1221z00_3422;
{ /* Integrate/node.scm 197 */
int BgL_auxz00_5942;
BgL_auxz00_5942 = 
(int)(((long)1)); 
BgL_arg1221z00_3422 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_5942); } 
{ /* Integrate/node.scm 197 */
long BgL_offsetz00_3426;
{ /* Integrate/node.scm 197 */
long BgL_auxz00_5945;
{ /* Integrate/node.scm 197 */
int BgL_auxz00_5946;
BgL_auxz00_5946 = 
(int)(BgL_objzd2classzd2numz00_3421); 
BgL_auxz00_5945 = 
(long)(BgL_auxz00_5946); } 
BgL_offsetz00_3426 = 
(BgL_auxz00_5945-OBJECT_TYPE); } 
{ /* Integrate/node.scm 197 */
long BgL_modz00_3427;
{ /* Integrate/node.scm 197 */
long BgL_auxz00_5950;
{ /* Integrate/node.scm 197 */
int BgL_auxz00_5951;
BgL_auxz00_5951 = 
(int)(((long)8)); 
BgL_auxz00_5950 = 
(long)(BgL_auxz00_5951); } 
BgL_modz00_3427 = 
(BgL_offsetz00_3426/BgL_auxz00_5950); } 
{ /* Integrate/node.scm 197 */
long BgL_restz00_3429;
{ /* Integrate/node.scm 197 */
long BgL_auxz00_5955;
{ /* Integrate/node.scm 197 */
int BgL_auxz00_5956;
BgL_auxz00_5956 = 
(int)(((long)8)); 
BgL_auxz00_5955 = 
(long)(BgL_auxz00_5956); } 
BgL_restz00_3429 = 
(BgL_offsetz00_3426%BgL_auxz00_5955); } 
{ /* Integrate/node.scm 197 */

{ /* Integrate/node.scm 197 */
obj_t BgL_bucketz00_3431;
{ /* Integrate/node.scm 197 */
int BgL_kz00_3441;
BgL_kz00_3441 = 
(int)(BgL_modz00_3427); 
BgL_bucketz00_3431 = 
VECTOR_REF(BgL_arg1221z00_3422,BgL_kz00_3441); } 
{ /* Integrate/node.scm 197 */
int BgL_kz00_3443;
BgL_kz00_3443 = 
(int)(BgL_restz00_3429); 
BgL_method2985z00_3419 = 
VECTOR_REF(BgL_bucketz00_3431,BgL_kz00_3443); } } } } } } } } 
{ /* Integrate/node.scm 197 */
obj_t BgL_auxz00_5964;
BgL_auxz00_5964 = 
PROCEDURE_ENTRY(BgL_method2985z00_3419)(BgL_method2985z00_3419, 
(obj_t)(BgL_nodez00_3417), 
(obj_t)(BgL_integratorz00_3418), BEOA); 
BgL_res3342z00_3444 = 
(BgL_nodez00_bglt)(BgL_auxz00_5964); } } } 
BgL_arg3170z00_2091 = BgL_res3342z00_3444; } 
{ /* Integrate/node.scm 197 */
obj_t BgL_auxz00_5970;
BgL_auxz00_5970 = 
(obj_t)(BgL_arg3170z00_2091); 
SET_CAR(BgL_nodesz00_2087, BgL_auxz00_5970); } } 
{ 
obj_t BgL_nodesz00_5973;
BgL_nodesz00_5973 = 
CDR(BgL_nodesz00_2087); 
BgL_nodesz00_2087 = BgL_nodesz00_5973; 
goto BgL_liipz00_2088;} } } 
{ /* Integrate/node.scm 200 */
bool_t BgL_test3173z00_2094;
{ /* Integrate/node.scm 200 */
bool_t BgL_test3184z00_2111;
BgL_test3184z00_2111 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2078), BGl_globalz00zzast_varz00); 
if(BgL_test3184z00_2111)
{ /* Integrate/node.scm 200 */
BgL_test3173z00_2094 = ((bool_t)1); }  else 
{ /* Integrate/node.scm 200 */
bool_t BgL_testz00_5979;
{ /* Integrate/node.scm 200 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2860z00_3449;
BgL_obj2860z00_3449 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_infoz00_2079); 
{ 
obj_t BgL_auxz00_5981;
{ /* Integrate/node.scm 200 */
BgL_objectz00_bglt BgL_auxz00_5982;
BgL_auxz00_5982 = 
(BgL_objectz00_bglt)(BgL_obj2860z00_3449); 
BgL_auxz00_5981 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5982); } 
BgL_testz00_5979 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_5981))->BgL_gzf3zf3); } } 
if(BgL_testz00_5979)
{ /* Integrate/node.scm 200 */
BgL_test3173z00_2094 = ((bool_t)0); }  else 
{ /* Integrate/node.scm 200 */
BgL_test3173z00_2094 = ((bool_t)1); } } } 
if(BgL_test3173z00_2094)
{ /* Integrate/node.scm 200 */
CNST_TABLE_REF(((long)2)); }  else 
{ /* Integrate/node.scm 200 */
{ 
obj_t BgL_newzd2actualszd2_2095;obj_t BgL_kapturedz00_2096;
BgL_newzd2actualszd2_2095 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_argsz00); 
{ /* Integrate/node.scm 206 */
BgL_sfunzf2iinfozf2_bglt BgL_obj2876z00_3451;
BgL_obj2876z00_3451 = 
(BgL_sfunzf2iinfozf2_bglt)(BgL_infoz00_2079); 
{ 
obj_t BgL_auxz00_6022;
{ /* Integrate/node.scm 206 */
BgL_objectz00_bglt BgL_auxz00_6023;
BgL_auxz00_6023 = 
(BgL_objectz00_bglt)(BgL_obj2876z00_3451); 
BgL_auxz00_6022 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6023); } 
BgL_kapturedz00_2096 = 
(((BgL_sfunzf2iinfozf2_bglt)CREF(BgL_auxz00_6022))->BgL_kapturedz00); } } 
BgL_loopz00_2097:
if(
NULLP(BgL_kapturedz00_2096))
{ /* Integrate/node.scm 207 */
((((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_argsz00) = ((obj_t)BgL_newzd2actualszd2_2095), BUNSPEC); }  else 
{ /* Integrate/node.scm 209 */
obj_t BgL_kapz00_2101;
BgL_kapz00_2101 = 
CAR(BgL_kapturedz00_2096); 
{ /* Integrate/node.scm 209 */
obj_t BgL_alphaz00_2102;
{ /* Integrate/node.scm 210 */
BgL_localz00_bglt BgL_obj1261z00_3456;
BgL_obj1261z00_3456 = 
(BgL_localz00_bglt)(BgL_kapz00_2101); 
BgL_alphaz00_2102 = 
(((BgL_localz00_bglt)CREF(BgL_obj1261z00_3456))->BgL_fastzd2alphazd2); } 
{ /* Integrate/node.scm 210 */
obj_t BgL_varz00_2103;
{ /* Integrate/node.scm 211 */
bool_t BgL_test3183z00_2110;
BgL_test3183z00_2110 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_2102, BGl_localz00zzast_varz00); 
if(BgL_test3183z00_2110)
{ /* Integrate/node.scm 211 */
BgL_varz00_2103 = BgL_alphaz00_2102; }  else 
{ /* Integrate/node.scm 211 */
BgL_varz00_2103 = BgL_kapz00_2101; } } 
{ /* Integrate/node.scm 211 */

{ /* Integrate/node.scm 213 */
obj_t BgL_arg3177z00_2104;obj_t BgL_arg3178z00_2105;
{ /* Integrate/node.scm 213 */
BgL_varz00_bglt BgL_arg3179z00_2106;
{ /* Integrate/node.scm 213 */
obj_t BgL_arg3180z00_2107;obj_t BgL_arg3181z00_2108;
BgL_arg3180z00_2107 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_2073))->BgL_locz00); 
BgL_arg3181z00_2108 = BGl_za2_za2z00zztype_cachez00; 
{ /* Integrate/node.scm 212 */
BgL_varz00_bglt BgL_res3345z00_3477;
{ /* Integrate/node.scm 212 */
BgL_typez00_bglt BgL_type1631z00_3460;BgL_variablez00_bglt BgL_variable1632z00_3461;
BgL_type1631z00_3460 = 
(BgL_typez00_bglt)(BgL_arg3181z00_2108); 
{ /* Integrate/node.scm 215 */
obj_t BgL_auxz00_5998;
BgL_auxz00_5998 = BgL_varz00_2103; 
BgL_variable1632z00_3461 = 
(BgL_variablez00_bglt)(BgL_auxz00_5998); } 
{ /* Integrate/node.scm 212 */
BgL_varz00_bglt BgL_new1633z00_3462;
{ /* Integrate/node.scm 212 */
BgL_varz00_bglt BgL_res3343z00_3468;
{ /* Integrate/node.scm 212 */
BgL_varz00_bglt BgL_new1635z00_3463;
BgL_new1635z00_3463 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Integrate/node.scm 212 */
long BgL_arg3129z00_3464;
BgL_arg3129z00_3464 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Integrate/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_6002;
BgL_auxz00_6002 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3463); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6002, BgL_arg3129z00_3464); } } 
{ /* Integrate/node.scm 212 */
BgL_objectz00_bglt BgL_auxz00_6005;
BgL_auxz00_6005 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3463); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6005, BFALSE); } 
{ /* Integrate/node.scm 212 */
obj_t BgL_auxz00_6008;
BgL_auxz00_6008 = 
(obj_t)(BgL_new1635z00_3463); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6008); } BUNSPEC; 
BgL_res3343z00_3468 = BgL_new1635z00_3463; } 
BgL_new1633z00_3462 = BgL_res3343z00_3468; } 
{ /* Integrate/node.scm 212 */
BgL_varz00_bglt BgL_res3344z00_3476;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3462))->BgL_locz00) = ((obj_t)BgL_arg3180z00_2107), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3462))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_3460), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3462))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3461), BUNSPEC); 
BgL_res3344z00_3476 = BgL_new1633z00_3462; BgL_res3344z00_3476; } 
BgL_res3345z00_3477 = BgL_new1633z00_3462; } } 
BgL_arg3179z00_2106 = BgL_res3345z00_3477; } } 
{ /* Integrate/node.scm 212 */
obj_t BgL_auxz00_6014;
BgL_auxz00_6014 = 
(obj_t)(BgL_arg3179z00_2106); 
BgL_arg3177z00_2104 = 
MAKE_PAIR(BgL_auxz00_6014, BgL_newzd2actualszd2_2095); } } 
BgL_arg3178z00_2105 = 
CDR(BgL_kapturedz00_2096); 
{ 
obj_t BgL_kapturedz00_6019;obj_t BgL_newzd2actualszd2_6018;
BgL_newzd2actualszd2_6018 = BgL_arg3177z00_2104; 
BgL_kapturedz00_6019 = BgL_arg3178z00_2105; 
BgL_kapturedz00_2096 = BgL_kapturedz00_6019; 
BgL_newzd2actualszd2_2095 = BgL_newzd2actualszd2_6018; 
goto BgL_loopz00_2097;} } } } } } } } } 
BgL_auxz00_5895 = BgL_nodez00_2073; } } } 
return 
(obj_t)(BgL_auxz00_5895);} } } 
}



/* glo!-sequence2995 */
obj_t BGl_gloz12zd2sequence2995zc0zzintegrate_nodez00(obj_t BgL_envz00_4439, obj_t BgL_nodez00_4440, obj_t BgL_integratorz00_4441)
{ AN_OBJECT;
{ /* Integrate/node.scm 172 */
{ 
BgL_sequencez00_bglt BgL_nodez00_2065;obj_t BgL_integratorz00_2066;
{ /* Integrate/node.scm 173 */
BgL_sequencez00_bglt BgL_auxz00_6029;
BgL_nodez00_2065 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4440); 
BgL_integratorz00_2066 = BgL_integratorz00_4441; 
BGl_gloza2z12zb0zzintegrate_nodez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_2065))->BgL_nodesz00), BgL_integratorz00_2066); 
BgL_auxz00_6029 = BgL_nodez00_2065; 
return 
(obj_t)(BgL_auxz00_6029);} } } 
}



/* glo!-closure2993 */
obj_t BGl_gloz12zd2closure2993zc0zzintegrate_nodez00(obj_t BgL_envz00_4442, obj_t BgL_nodez00_4443, obj_t BgL_integratorz00_4444)
{ AN_OBJECT;
{ /* Integrate/node.scm 166 */
{ 
BgL_closurez00_bglt BgL_nodez00_2056;obj_t BgL_integratorz00_2057;
BgL_nodez00_2056 = 
(BgL_closurez00_bglt)(BgL_nodez00_4443); 
BgL_integratorz00_2057 = BgL_integratorz00_4444; 
{ /* Integrate/node.scm 167 */
obj_t BgL_arg3157z00_3382;
BgL_arg3157z00_3382 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_2056)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3450z00zzintegrate_nodez00, BGl_string3451z00zzintegrate_nodez00, BgL_arg3157z00_3382);} } } 
}



/* glo!-var2991 */
obj_t BGl_gloz12zd2var2991zc0zzintegrate_nodez00(obj_t BgL_envz00_4445, obj_t BgL_nodez00_4446, obj_t BgL_integratorz00_4447)
{ AN_OBJECT;
{ /* Integrate/node.scm 145 */
{ 
BgL_varz00_bglt BgL_nodez00_2041;obj_t BgL_integratorz00_2042;
BgL_nodez00_2041 = 
(BgL_varz00_bglt)(BgL_nodez00_4446); 
BgL_integratorz00_2042 = BgL_integratorz00_4447; 
{ /* Integrate/node.scm 146 */
BgL_variablez00_bglt BgL_varz00_2045;
BgL_varz00_2045 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_2041))->BgL_variablez00); 
{ /* Integrate/node.scm 146 */
obj_t BgL_alphaz00_2046;
BgL_alphaz00_2046 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_2045))->BgL_fastzd2alphazd2); 
{ /* Integrate/node.scm 147 */

{ /* Integrate/node.scm 149 */
bool_t BgL_test3147z00_2047;
BgL_test3147z00_2047 = 
BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_2046, BGl_localz00zzast_varz00); 
if(BgL_test3147z00_2047)
{ /* Integrate/node.scm 149 */
{ /* Integrate/node.scm 150 */
BgL_variablez00_bglt BgL_val1620z00_3321;
BgL_val1620z00_3321 = 
(BgL_variablez00_bglt)(BgL_alphaz00_2046); 
((((BgL_varz00_bglt)CREF(BgL_nodez00_2041))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_val1620z00_3321), BUNSPEC); } 
{ /* Integrate/node.scm 151 */
BgL_nodez00_bglt BgL_res3333z00_3349;
{ /* Integrate/node.scm 151 */
BgL_nodez00_bglt BgL_nodez00_3322;BgL_variablez00_bglt BgL_integratorz00_3323;
BgL_nodez00_3322 = 
(BgL_nodez00_bglt)(BgL_nodez00_2041); 
BgL_integratorz00_3323 = 
(BgL_variablez00_bglt)(BgL_integratorz00_2042); 
{ /* Integrate/node.scm 151 */
obj_t BgL_method2985z00_3324;
{ /* Integrate/node.scm 151 */
long BgL_objzd2classzd2numz00_3326;
{ /* Integrate/node.scm 151 */
BgL_objectz00_bglt BgL_auxz00_6046;
BgL_auxz00_6046 = 
(BgL_objectz00_bglt)(BgL_nodez00_3322); 
BgL_objzd2classzd2numz00_3326 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6046); } 
{ /* Integrate/node.scm 151 */
obj_t BgL_arg1221z00_3327;
{ /* Integrate/node.scm 151 */
int BgL_auxz00_6049;
BgL_auxz00_6049 = 
(int)(((long)1)); 
BgL_arg1221z00_3327 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_6049); } 
{ /* Integrate/node.scm 151 */
long BgL_offsetz00_3331;
{ /* Integrate/node.scm 151 */
long BgL_auxz00_6052;
{ /* Integrate/node.scm 151 */
int BgL_auxz00_6053;
BgL_auxz00_6053 = 
(int)(BgL_objzd2classzd2numz00_3326); 
BgL_auxz00_6052 = 
(long)(BgL_auxz00_6053); } 
BgL_offsetz00_3331 = 
(BgL_auxz00_6052-OBJECT_TYPE); } 
{ /* Integrate/node.scm 151 */
long BgL_modz00_3332;
{ /* Integrate/node.scm 151 */
long BgL_auxz00_6057;
{ /* Integrate/node.scm 151 */
int BgL_auxz00_6058;
BgL_auxz00_6058 = 
(int)(((long)8)); 
BgL_auxz00_6057 = 
(long)(BgL_auxz00_6058); } 
BgL_modz00_3332 = 
(BgL_offsetz00_3331/BgL_auxz00_6057); } 
{ /* Integrate/node.scm 151 */
long BgL_restz00_3334;
{ /* Integrate/node.scm 151 */
long BgL_auxz00_6062;
{ /* Integrate/node.scm 151 */
int BgL_auxz00_6063;
BgL_auxz00_6063 = 
(int)(((long)8)); 
BgL_auxz00_6062 = 
(long)(BgL_auxz00_6063); } 
BgL_restz00_3334 = 
(BgL_offsetz00_3331%BgL_auxz00_6062); } 
{ /* Integrate/node.scm 151 */

{ /* Integrate/node.scm 151 */
obj_t BgL_bucketz00_3336;
{ /* Integrate/node.scm 151 */
int BgL_kz00_3346;
BgL_kz00_3346 = 
(int)(BgL_modz00_3332); 
BgL_bucketz00_3336 = 
VECTOR_REF(BgL_arg1221z00_3327,BgL_kz00_3346); } 
{ /* Integrate/node.scm 151 */
int BgL_kz00_3348;
BgL_kz00_3348 = 
(int)(BgL_restz00_3334); 
BgL_method2985z00_3324 = 
VECTOR_REF(BgL_bucketz00_3336,BgL_kz00_3348); } } } } } } } } 
{ /* Integrate/node.scm 151 */
obj_t BgL_auxz00_6071;
BgL_auxz00_6071 = 
PROCEDURE_ENTRY(BgL_method2985z00_3324)(BgL_method2985z00_3324, 
(obj_t)(BgL_nodez00_3322), 
(obj_t)(BgL_integratorz00_3323), BEOA); 
BgL_res3333z00_3349 = 
(BgL_nodez00_bglt)(BgL_auxz00_6071); } } } 
return 
(obj_t)(BgL_res3333z00_3349);} }  else 
{ /* Integrate/node.scm 152 */
bool_t BgL_test3148z00_2048;
BgL_test3148z00_2048 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_2045), BGl_globalz00zzast_varz00); 
if(BgL_test3148z00_2048)
{ /* Integrate/node.scm 152 */
return 
(obj_t)(BgL_nodez00_2041);}  else 
{ /* Integrate/node.scm 152 */
if(
BGl_integratezd2celledzf3z21zzintegrate_nodez00(
(BgL_localz00_bglt)(BgL_varz00_2045)))
{ /* Integrate/node.scm 154 */
{ /* Integrate/node.scm 155 */
BgL_localz00_bglt BgL_obj1260z00_3351;obj_t BgL_val1259z00_3352;
BgL_obj1260z00_3351 = 
(BgL_localz00_bglt)(BgL_varz00_2045); 
BgL_val1259z00_3352 = 
CNST_TABLE_REF(((long)0)); 
((((BgL_localz00_bglt)CREF(BgL_obj1260z00_3351))->BgL_accessz00) = ((obj_t)BgL_val1259z00_3352), BUNSPEC); } 
{ /* Integrate/node.scm 157 */
obj_t BgL_arg3150z00_2050;BgL_typez00_bglt BgL_arg3151z00_2051;BgL_varz00_bglt BgL_arg3153z00_2053;
{ /* Integrate/node.scm 157 */
BgL_nodez00_bglt BgL_obj1549z00_3353;
BgL_obj1549z00_3353 = 
(BgL_nodez00_bglt)(BgL_nodez00_2041); 
BgL_arg3150z00_2050 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_3353))->BgL_locz00); } 
{ /* Integrate/node.scm 158 */
BgL_nodez00_bglt BgL_obj1550z00_3354;
BgL_obj1550z00_3354 = 
(BgL_nodez00_bglt)(BgL_nodez00_2041); 
BgL_arg3151z00_2051 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_3354))->BgL_typez00); } 
BgL_arg3153z00_2053 = BgL_nodez00_2041; 
{ /* Integrate/node.scm 156 */
BgL_boxzd2refzd2_bglt BgL_res3336z00_3379;
{ /* Integrate/node.scm 156 */
obj_t BgL_key2620z00_3358;
BgL_key2620z00_3358 = 
BINT(((long)-1)); 
{ /* Integrate/node.scm 156 */
BgL_boxzd2refzd2_bglt BgL_new2622z00_3360;
{ /* Integrate/node.scm 156 */
BgL_boxzd2refzd2_bglt BgL_res3334z00_3366;
{ /* Integrate/node.scm 156 */
BgL_boxzd2refzd2_bglt BgL_new2624z00_3361;
BgL_new2624z00_3361 = 
((BgL_boxzd2refzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_boxzd2refzd2_bgl) ))); 
{ /* Integrate/node.scm 156 */
long BgL_arg3102z00_3362;
BgL_arg3102z00_3362 = 
BGl_classzd2numzd2zz__objectz00(BGl_boxzd2refzd2zzast_nodez00); 
{ /* Integrate/node.scm 156 */
BgL_objectz00_bglt BgL_auxz00_6095;
BgL_auxz00_6095 = 
(BgL_objectz00_bglt)(BgL_new2624z00_3361); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_6095, BgL_arg3102z00_3362); } } 
{ /* Integrate/node.scm 156 */
BgL_objectz00_bglt BgL_auxz00_6098;
BgL_auxz00_6098 = 
(BgL_objectz00_bglt)(BgL_new2624z00_3361); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_6098, BFALSE); } 
{ /* Integrate/node.scm 156 */
obj_t BgL_auxz00_6101;
BgL_auxz00_6101 = 
(obj_t)(BgL_new2624z00_3361); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_6101); } BUNSPEC; 
BgL_res3334z00_3366 = BgL_new2624z00_3361; } 
BgL_new2622z00_3360 = BgL_res3334z00_3366; } 
{ /* Integrate/node.scm 156 */
BgL_boxzd2refzd2_bglt BgL_res3335z00_3378;
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_3360))->BgL_locz00) = ((obj_t)BgL_arg3150z00_2050), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_3360))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3151z00_2051), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_3360))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_3360))->BgL_keyz00) = ((obj_t)BgL_key2620z00_3358), BUNSPEC); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_new2622z00_3360))->BgL_varz00) = ((BgL_varz00_bglt)BgL_arg3153z00_2053), BUNSPEC); 
BgL_res3335z00_3378 = BgL_new2622z00_3360; BgL_res3335z00_3378; } 
BgL_res3336z00_3379 = BgL_new2622z00_3360; } } 
return 
(obj_t)(BgL_res3336z00_3379);} } }  else 
{ /* Integrate/node.scm 154 */
return 
(obj_t)(BgL_nodez00_2041);} } } } } } } } } 
}



/* glo!-kwote2989 */
obj_t BGl_gloz12zd2kwote2989zc0zzintegrate_nodez00(obj_t BgL_envz00_4448, obj_t BgL_nodez00_4449, obj_t BgL_integratorz00_4450)
{ AN_OBJECT;
{ /* Integrate/node.scm 139 */
{ 
BgL_kwotez00_bglt BgL_nodez00_2035;obj_t BgL_integratorz00_2036;
{ /* Integrate/node.scm 139 */
BgL_kwotez00_bglt BgL_auxz00_6112;
BgL_nodez00_2035 = 
(BgL_kwotez00_bglt)(BgL_nodez00_4449); 
BgL_integratorz00_2036 = BgL_integratorz00_4450; 
BgL_auxz00_6112 = BgL_nodez00_2035; 
return 
(obj_t)(BgL_auxz00_6112);} } } 
}



/* glo!-atom2987 */
obj_t BGl_gloz12zd2atom2987zc0zzintegrate_nodez00(obj_t BgL_envz00_4451, obj_t BgL_nodez00_4452, obj_t BgL_integratorz00_4453)
{ AN_OBJECT;
{ /* Integrate/node.scm 133 */
{ 
BgL_atomz00_bglt BgL_nodez00_2029;obj_t BgL_integratorz00_2030;
{ /* Integrate/node.scm 133 */
BgL_atomz00_bglt BgL_auxz00_6115;
BgL_nodez00_2029 = 
(BgL_atomz00_bglt)(BgL_nodez00_4452); 
BgL_integratorz00_2030 = BgL_integratorz00_4453; 
BgL_auxz00_6115 = BgL_nodez00_2029; 
return 
(obj_t)(BgL_auxz00_6115);} } } 
}



/* glo! */
BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_10, BgL_variablez00_bglt BgL_integratorz00_11)
{ AN_OBJECT;
{ /* Integrate/node.scm 128 */
{ /* Integrate/node.scm 128 */
obj_t BgL_method2985z00_4333;
{ /* Integrate/node.scm 128 */
long BgL_objzd2classzd2numz00_4335;
{ /* Integrate/node.scm 128 */
BgL_objectz00_bglt BgL_auxz00_6118;
BgL_auxz00_6118 = 
(BgL_objectz00_bglt)(BgL_nodez00_10); 
BgL_objzd2classzd2numz00_4335 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6118); } 
{ /* Integrate/node.scm 128 */
obj_t BgL_arg1221z00_4336;
{ /* Integrate/node.scm 128 */
int BgL_auxz00_6121;
BgL_auxz00_6121 = 
(int)(((long)1)); 
BgL_arg1221z00_4336 = 
PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00, BgL_auxz00_6121); } 
{ /* Integrate/node.scm 128 */
long BgL_offsetz00_4340;
{ /* Integrate/node.scm 128 */
long BgL_auxz00_6124;
{ /* Integrate/node.scm 128 */
int BgL_auxz00_6125;
BgL_auxz00_6125 = 
(int)(BgL_objzd2classzd2numz00_4335); 
BgL_auxz00_6124 = 
(long)(BgL_auxz00_6125); } 
BgL_offsetz00_4340 = 
(BgL_auxz00_6124-OBJECT_TYPE); } 
{ /* Integrate/node.scm 128 */
long BgL_modz00_4341;
{ /* Integrate/node.scm 128 */
long BgL_auxz00_6129;
{ /* Integrate/node.scm 128 */
int BgL_auxz00_6130;
BgL_auxz00_6130 = 
(int)(((long)8)); 
BgL_auxz00_6129 = 
(long)(BgL_auxz00_6130); } 
BgL_modz00_4341 = 
(BgL_offsetz00_4340/BgL_auxz00_6129); } 
{ /* Integrate/node.scm 128 */
long BgL_restz00_4343;
{ /* Integrate/node.scm 128 */
long BgL_auxz00_6134;
{ /* Integrate/node.scm 128 */
int BgL_auxz00_6135;
BgL_auxz00_6135 = 
(int)(((long)8)); 
BgL_auxz00_6134 = 
(long)(BgL_auxz00_6135); } 
BgL_restz00_4343 = 
(BgL_offsetz00_4340%BgL_auxz00_6134); } 
{ /* Integrate/node.scm 128 */

{ /* Integrate/node.scm 128 */
obj_t BgL_bucketz00_4345;
{ /* Integrate/node.scm 128 */
int BgL_kz00_4355;
BgL_kz00_4355 = 
(int)(BgL_modz00_4341); 
BgL_bucketz00_4345 = 
VECTOR_REF(BgL_arg1221z00_4336,BgL_kz00_4355); } 
{ /* Integrate/node.scm 128 */
int BgL_kz00_4357;
BgL_kz00_4357 = 
(int)(BgL_restz00_4343); 
BgL_method2985z00_4333 = 
VECTOR_REF(BgL_bucketz00_4345,BgL_kz00_4357); } } } } } } } } 
{ /* Integrate/node.scm 128 */
obj_t BgL_auxz00_6143;
BgL_auxz00_6143 = 
PROCEDURE_ENTRY(BgL_method2985z00_4333)(BgL_method2985z00_4333, 
(obj_t)(BgL_nodez00_10), 
(obj_t)(BgL_integratorz00_11), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_6143);} } } 
}



/* _glo! */
obj_t BGl__gloz12z12zzintegrate_nodez00(obj_t BgL_envz00_4365, obj_t BgL_nodez00_4366, obj_t BgL_integratorz00_4367)
{ AN_OBJECT;
{ /* Integrate/node.scm 128 */
{ /* Integrate/node.scm 128 */
BgL_nodez00_bglt BgL_auxz00_6149;
BgL_auxz00_6149 = 
BGl_gloz12z12zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_nodez00_4366), 
(BgL_variablez00_bglt)(BgL_integratorz00_4367)); 
return 
(obj_t)(BgL_auxz00_6149);} } 
}



/* glo!-default2984 */
BgL_nodez00_bglt BGl_gloz12zd2default2984zc0zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
{ 
obj_t BgL_auxz00_6156;obj_t BgL_auxz00_6154;
BgL_auxz00_6156 = 
(obj_t)(BgL_nodez00_12); 
BgL_auxz00_6154 = 
CNST_TABLE_REF(((long)4)); 
FAILURE(BgL_auxz00_6154,BGl_string3452z00zzintegrate_nodez00,BgL_auxz00_6156);} } 
}



/* _glo!-default2984 */
obj_t BGl__gloz12zd2default2984zc0zzintegrate_nodez00(obj_t BgL_envz00_4454, obj_t BgL_nodez00_4455, obj_t BgL_integratorz00_4456)
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
{ /* Integrate/node.scm 15 */
BgL_nodez00_bglt BgL_auxz00_6159;
BgL_auxz00_6159 = 
BGl_gloz12zd2default2984zc0zzintegrate_nodez00(
(BgL_nodez00_bglt)(BgL_nodez00_4455), 
(BgL_variablez00_bglt)(BgL_integratorz00_4456)); 
return 
(obj_t)(BgL_auxz00_6159);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
{ AN_OBJECT;
{ /* Integrate/node.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "integrate_node"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "integrate_node"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "integrate_node"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "integrate_node"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "integrate_node"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "integrate_node"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "integrate_node"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "integrate_node"); 
BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long)0), "integrate_node"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)5502), "integrate_node");} 
}

