/*===========================================================================*/
/*   (Jvm/compiler.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_methodzd2initzd2zzjvm_compilerz00();
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00;
extern obj_t open_input_string(obj_t);
static obj_t BGl__compilerzd2makezd2boxz00zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2typezd2zzjvm_compilerz00(obj_t, obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_bglt, BgL_variablez00_bglt, obj_t);
extern obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2getfieldzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__instanceofz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2varzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, BgL_selectz00_bglt);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilezd2tailzd2zzjvm_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_zc3anonymousza33337ze3z83zzjvm_compilerz00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__compilerzd2boxzd2setz12z12zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt);
extern obj_t BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_variablez00_bglt, obj_t, BgL_envz00_bglt);
extern obj_t BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl__putfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(BgL_globalz00_bglt, long, BgL_envz00_bglt);
extern obj_t BGl__aloadz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
extern obj_t BGl__loadz00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl_cnstzd2initzd2zzjvm_compilerz00();
static obj_t BGl__compilerzd2setqzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2setexitzd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2vrefzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_typezd2argszd2zzjvm_compilerz00(BgL_variablez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt);
extern obj_t BGl_compilezd2typezd2nowideningz00zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilerz00();
static obj_t BGl__compilerzd2valloczd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__store_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl__compilerzd2selectzd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2sequencezd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t current_output_port;
extern obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2vsetzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__checkcastz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__load_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__switchz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__storez00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl__compilerzd2boxzd2refz00zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_compilerz00();
extern obj_t BGl_jclassz00zzobject_classz00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_lispz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_tailz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl__compilerzd2funcallzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__athrowz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl__compilerzd2setfieldzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_za2longislongza2z00zzjvm_envz00;
extern obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
static obj_t BGl_intzf3zf3zzjvm_compilerz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2jumpzd2exitz00zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl__compilerzd2castzd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_inlinezd2callzf3z21zzjvm_inlinez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl__compilerzd2appzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2typezd2zzjvm_compilerz00(obj_t);
extern obj_t BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2atomzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2failzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl__compilerzd2ifzd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__getfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl__compilerzd2newzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2pragmazd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2fieldz00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__l2iz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl__compilerzd2labelszd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_check_typez00zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_variablez00_bglt, obj_t, BgL_envz00_bglt);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__compilerzd2applyzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
static obj_t BGl__compilerzd2letzd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2bodyzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_compilerz00 = BUNSPEC;
static obj_t BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_envzd2declarezd2initz00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_za2labdoneza2z00zzjvm_compilerz00 = BUNSPEC;
extern obj_t BGl__linez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl__handlerz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2vlengthzd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2isazd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 75 ] ;

DEFINE_STRING( BGl_string3733z00zzjvm_compilerz00, BgL_bgl_string3733za700za7za7jvm_compilerza7003763z00, " bad type ", 10 );
DEFINE_STRING( BGl_string3732z00zzjvm_compilerz00, BgL_bgl_string3732za700za7za7jvm_compilerza7003764z00, ":", 1 );
DEFINE_STRING( BGl_string3731z00zzjvm_compilerz00, BgL_bgl_string3731za700za7za7jvm_compilerza7003765z00, ",", 1 );
DEFINE_STRING( BGl_string3730z00zzjvm_compilerz00, BgL_bgl_string3730za700za7za7jvm_compilerza7003766z00, "Jvm/compiler.scm", 16 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2varzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2varza7d2za7za7jvm_compilerza7003767za7, BGl__compilerzd2varzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2sequencezd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2sequenceza7d2za7za7jvm_compilerza7003768za7, BGl__compilerzd2sequencezd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setfieldzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setfieldza7d2za7za7jvm_compilerza7003769za7, BGl__compilerzd2setfieldzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setexitzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setexitza7d2za7za7jvm_compilerza7003770za7, BGl__compilerzd2setexitzd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2funcallzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2funcallza7d2za7za7jvm_compilerza7003771za7, BGl__compilerzd2funcallzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2castzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2castza7d2za7za7jvm_compilerza7003772za7, BGl__compilerzd2castzd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2bodyzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2bodyza7d2za7za7jvm_compilerza7003773za7, BGl__compilerzd2bodyzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2valloczd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vallocza7d2za7za7jvm_compilerza7003774za7, BGl__compilerzd2valloczd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2jumpzd2exitzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2jumpza7d2exitza700za7za7jvm_compilerza7003775z00, BGl__compilerzd2jumpzd2exitz00zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vsetzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vsetza7d2za7za7jvm_compilerza7003776za7, BGl__compilerzd2vsetzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2isazd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2isaza7d2za7za7jvm_compilerza7003777za7, BGl__compilerzd2isazd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vlengthzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vlengthza7d2za7za7jvm_compilerza7003778za7, BGl__compilerzd2vlengthzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2boxzd2refzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2boxza7d2refza700za7za7jvm_compilerza7003779z00, BGl__compilerzd2boxzd2refz00zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2makezd2boxzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2makeza7d2boxza700za7za7jvm_compilerza7003780z00, BGl__compilerzd2makezd2boxz00zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2ifzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2ifza7d2za7za7jvm_compilerza7003781za7, BGl__compilerzd2ifzd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2selectzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2selectza7d2za7za7jvm_compilerza7003782za7, BGl__compilerzd2selectzd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2failzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2failza7d2za7za7jvm_compilerza7003783za7, BGl__compilerzd2failzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2appzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2appza7d2za7za7jvm_compilerza7003784za7, BGl__compilerzd2appzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2pragmazd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2pragmaza7d2za7za7jvm_compilerza7003785za7, BGl__compilerzd2pragmazd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2getfieldzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2getfieldza7d2za7za7jvm_compilerza7003786za7, BGl__compilerzd2getfieldzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2letzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2letza7d2za7za7jvm_compilerza7003787za7, BGl__compilerzd2letzd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2atomzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2atomza7d2za7za7jvm_compilerza7003788za7, BGl__compilerzd2atomzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2newzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2newza7d2za7za7jvm_compilerza7003789za7, BGl__compilerzd2newzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3743z00zzjvm_compilerz00, BgL_bgl_intza7f3za7f3za7za7jvm_compilerza7003790za7, BGl_intzf3zf3zzjvm_compilerz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setqzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setqza7d2za7za7jvm_compilerza7003791za7, BGl__compilerzd2setqzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2applyzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2applyza7d2za7za7jvm_compilerza7003792za7, BGl__compilerzd2applyzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2labelszd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2labelsza7d2za7za7jvm_compilerza7003793za7, BGl__compilerzd2labelszd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vrefzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vrefza7d2za7za7jvm_compilerza7003794za7, BGl__compilerzd2vrefzd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2boxzd2setz12zd2envzc0zzjvm_compilerz00, BgL_bgl__compilerza7d2boxza7d2setza712za712za7za7jvm_compilerza7003795za7, BGl__compilerzd2boxzd2setz12z12zzjvm_compilerz00, 0L, 2 );
DEFINE_STRING( BGl_string3758z00zzjvm_compilerz00, BgL_bgl_string3758za700za7za7jvm_compilerza7003796z00, "j_cell ccar init_cell cell fail jumpexit debug_handler j_exit j_bexception setexit ptr_alg (ad ad ad ad ad) funcall4 (ad ad ad ad) funcall3 (ad ad ad) funcall2 funcall1 funcall0 cons ad (ad ad) apply j_procedure __evmeaning_address cnst-table-set! constants cnst-table-ref make-l-procedure procenv jobject procarity procindex (ad) init0 make-va-procedure make-fx-procedure native final abstract static done reg1 from_body entry_labels long else unknown \077\077? bucs2_value void (ad char) init_bucs2 j_bucs2 (jobject bucs2) unspecified (jobject t_unspecified) key (jobject t_key) rest (jobject t_rest) optional (jobject t_optional) eof (jobject t_eof) byte int boolean nil (jobject t_nil) (boolean int long float double) ok (tprint up \" wrong type \" (list tdown (quote ->) tup)) vector begin ", 787 );
DEFINE_STRING( BGl_string3757z00zzjvm_compilerz00, BgL_bgl_string3757za700za7za7jvm_compilerza7003797z00, "HD", 2 );
DEFINE_STRING( BGl_string3756z00zzjvm_compilerz00, BgL_bgl_string3756za700za7za7jvm_compilerza7003798z00, "HE", 2 );
DEFINE_STRING( BGl_string3755z00zzjvm_compilerz00, BgL_bgl_string3755za700za7za7jvm_compilerza7003799z00, "HB", 2 );
DEFINE_STRING( BGl_string3754z00zzjvm_compilerz00, BgL_bgl_string3754za700za7za7jvm_compilerza7003800z00, "ya pas en jvm", 13 );
DEFINE_STRING( BGl_string3753z00zzjvm_compilerz00, BgL_bgl_string3753za700za7za7jvm_compilerza7003801z00, "pragma", 6 );
DEFINE_STRING( BGl_string3752z00zzjvm_compilerz00, BgL_bgl_string3752za700za7za7jvm_compilerza7003802z00, "PTR_ALIGNMENT", 13 );
DEFINE_STRING( BGl_string3751z00zzjvm_compilerz00, BgL_bgl_string3751za700za7za7jvm_compilerza7003803z00, "not a variable", 14 );
DEFINE_STRING( BGl_string3750z00zzjvm_compilerz00, BgL_bgl_string3750za700za7za7jvm_compilerza7003804z00, "not a global", 12 );
DEFINE_STRING( BGl_string3749z00zzjvm_compilerz00, BgL_bgl_string3749za700za7za7jvm_compilerza7003805z00, "Jvm/EVMEANING_ADDRESS", 21 );
DEFINE_STRING( BGl_string3748z00zzjvm_compilerz00, BgL_bgl_string3748za700za7za7jvm_compilerza7003806z00, "<init>", 6 );
DEFINE_STRING( BGl_string3747z00zzjvm_compilerz00, BgL_bgl_string3747za700za7za7jvm_compilerza7003807z00, "F", 1 );
DEFINE_STRING( BGl_string3746z00zzjvm_compilerz00, BgL_bgl_string3746za700za7za7jvm_compilerza7003808z00, "bad item", 8 );
DEFINE_STRING( BGl_string3745z00zzjvm_compilerz00, BgL_bgl_string3745za700za7za7jvm_compilerza7003809z00, "not yet", 7 );
DEFINE_STRING( BGl_string3744z00zzjvm_compilerz00, BgL_bgl_string3744za700za7za7jvm_compilerza7003810z00, "select", 6 );
DEFINE_STRING( BGl_string3742z00zzjvm_compilerz00, BgL_bgl_string3742za700za7za7jvm_compilerza7003811z00, "L", 1 );
DEFINE_STRING( BGl_string3741z00zzjvm_compilerz00, BgL_bgl_string3741za700za7za7jvm_compilerza7003812z00, "T", 1 );
DEFINE_STRING( BGl_string3740z00zzjvm_compilerz00, BgL_bgl_string3740za700za7za7jvm_compilerza7003813z00, "bad atom value", 14 );
DEFINE_STRING( BGl_string3739z00zzjvm_compilerz00, BgL_bgl_string3739za700za7za7jvm_compilerza7003814z00, "compile", 7 );
DEFINE_STRING( BGl_string3738z00zzjvm_compilerz00, BgL_bgl_string3738za700za7za7jvm_compilerza7003815z00, "set-type", 8 );
DEFINE_STRING( BGl_string3737z00zzjvm_compilerz00, BgL_bgl_string3737za700za7za7jvm_compilerza7003816z00, "unknown node", 12 );
DEFINE_STRING( BGl_string3736z00zzjvm_compilerz00, BgL_bgl_string3736za700za7za7jvm_compilerza7003817z00, "type", 4 );
DEFINE_STRING( BGl_string3735z00zzjvm_compilerz00, BgL_bgl_string3735za700za7za7jvm_compilerza7003818z00, " must be ", 9 );
DEFINE_STRING( BGl_string3734z00zzjvm_compilerz00, BgL_bgl_string3734za700za7za7jvm_compilerza7003819z00, " must in ", 9 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long BgL_checksumz00_3913, char * BgL_fromz00_3914)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_compilerz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_compilerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00(); 
BGl_cnstzd2initzd2zzjvm_compilerz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_compilerz00(); 
BGl_toplevelzd2initzd2zzjvm_compilerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_compiler"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
{ /* Jvm/compiler.scm 8 */
obj_t BgL_cportz00_3906;
BgL_cportz00_3906 = 
open_input_string(BGl_string3758z00zzjvm_compilerz00); 
{ 
long BgL_iz00_3907;
BgL_iz00_3907 = ((long)74); 
BgL_loopz00_3908:
if(
(BgL_iz00_3907==((long)-1)))
{ /* Jvm/compiler.scm 8 */
return BUNSPEC;}  else 
{ /* Jvm/compiler.scm 8 */
{ /* Jvm/compiler.scm 8 */
obj_t BgL_arg3760z00_3910;
{ /* Jvm/compiler.scm 8 */
obj_t BgL_list3761z00_3911;
BgL_list3761z00_3911 = 
MAKE_PAIR(BgL_cportz00_3906, BNIL); 
BgL_arg3760z00_3910 = 
BGl_readz00zz__readerz00(BgL_list3761z00_3911); } 
{ /* Jvm/compiler.scm 8 */
int BgL_auxz00_3934;
BgL_auxz00_3934 = 
(int)(BgL_iz00_3907); 
CNST_TABLE_SET(BgL_auxz00_3934, BgL_arg3760z00_3910); } } 
{ 
long BgL_iz00_3937;
{ /* Jvm/compiler.scm 8 */
int BgL_auxz00_3938;
{ /* Jvm/compiler.scm 8 */
long BgL_auxz00_3939;
BgL_auxz00_3939 = 
(BgL_iz00_3907-((long)1)); 
BgL_auxz00_3938 = 
(int)(BgL_auxz00_3939); } 
BgL_iz00_3937 = 
(long)(BgL_auxz00_3938); } 
BgL_iz00_3907 = BgL_iz00_3937; 
goto BgL_loopz00_3908;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
return ( 
BGl_za2labdoneza2z00zzjvm_compilerz00 = BNIL, BUNSPEC) ;} 
}



/* compiler-body */
obj_t BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 45 */
BGl_za2labdoneza2z00zzjvm_compilerz00 = BNIL; 
BGl__labelz00zzjvm_instrz00(BgL_envz00_2, 
CNST_TABLE_REF(((long)0))); 
return 
BGl_compilezd2tailzd2zzjvm_tailz00(BgL_ez00_1, BgL_envz00_2);} 
}



/* _compiler-body */
obj_t BGl__compilerzd2bodyzd2zzjvm_compilerz00(obj_t BgL_envz00_3808, obj_t BgL_ez00_3809, obj_t BgL_envz00_3810)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 45 */
return 
BGl_compilerzd2bodyzd2zzjvm_compilerz00(
(BgL_nodez00_bglt)(BgL_ez00_3809), 
(BgL_envz00_bglt)(BgL_envz00_3810));} 
}



/* check_type */
obj_t BGl_check_typez00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_5, obj_t BgL_ez00_6, obj_t BgL_tyz00_7)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 59 */
{ /* Jvm/compiler.scm 60 */
obj_t BgL_rtyz00_1629;
{ /* Jvm/compiler.scm 60 */
obj_t BgL_auxz00_3949;
{ /* Jvm/compiler.scm 60 */
BgL_typez00_bglt BgL_auxz00_3950;
{ /* Jvm/compiler.scm 60 */
BgL_nodez00_bglt BgL_obj1550z00_2756;
BgL_obj1550z00_2756 = 
(BgL_nodez00_bglt)(BgL_ez00_6); 
BgL_auxz00_3950 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2756))->BgL_typez00); } 
BgL_auxz00_3949 = 
(obj_t)(BgL_auxz00_3950); } 
BgL_rtyz00_1629 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3949, BgL_envz00_5); } 
if(
PAIRP(BgL_tyz00_7))
{ /* Jvm/compiler.scm 62 */
bool_t BgL_testz00_3957;
{ /* Jvm/compiler.scm 62 */
obj_t BgL_auxz00_3958;
BgL_auxz00_3958 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_rtyz00_1629, BgL_tyz00_7); 
BgL_testz00_3957 = 
CBOOL(BgL_auxz00_3958); } 
if(BgL_testz00_3957)
{ /* Jvm/compiler.scm 62 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 62 */
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3730z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3731z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)63)), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3732z00zzjvm_compilerz00, current_output_port); 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3137z00_1640;
BgL_arg3137z00_1640 = 
BGl_shapez00zztools_shapez00(BgL_ez00_6); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3137z00_1640, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3733z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1629, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3734z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_tyz00_7, current_output_port); 
{ /* Jvm/compiler.scm 63 */
unsigned char BgL_auxz00_3972;
BgL_auxz00_3972 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_3972);} } }  else 
{ /* Jvm/compiler.scm 61 */
if(
(BgL_rtyz00_1629==BgL_tyz00_7))
{ /* Jvm/compiler.scm 64 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 64 */
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3730z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3731z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)65)), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3732z00zzjvm_compilerz00, current_output_port); 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3155z00_1658;
BgL_arg3155z00_1658 = 
BGl_shapez00zztools_shapez00(BgL_ez00_6); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3155z00_1658, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3733z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1629, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3735z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_tyz00_7, current_output_port); 
{ /* Jvm/compiler.scm 65 */
unsigned char BgL_auxz00_3988;
BgL_auxz00_3988 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_3988);} } } } } 
}



/* check_type_vector */
obj_t BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_8, obj_t BgL_ez00_9, obj_t BgL_tyz00_10)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 67 */
{ /* Jvm/compiler.scm 68 */
obj_t BgL_rtyz00_1668;
{ /* Jvm/compiler.scm 68 */
obj_t BgL_auxz00_3991;
{ /* Jvm/compiler.scm 68 */
BgL_typez00_bglt BgL_auxz00_3992;
{ /* Jvm/compiler.scm 68 */
BgL_nodez00_bglt BgL_obj1550z00_2760;
BgL_obj1550z00_2760 = 
(BgL_nodez00_bglt)(BgL_ez00_9); 
BgL_auxz00_3992 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2760))->BgL_typez00); } 
BgL_auxz00_3991 = 
(obj_t)(BgL_auxz00_3992); } 
BgL_rtyz00_1668 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3991, BgL_envz00_8); } 
{ /* Jvm/compiler.scm 69 */
bool_t BgL_testz00_3997;
if(
PAIRP(BgL_rtyz00_1668))
{ /* Jvm/compiler.scm 69 */
obj_t BgL_auxz00_4002;obj_t BgL_auxz00_4000;
BgL_auxz00_4002 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_4000 = 
CAR(BgL_rtyz00_1668); 
BgL_testz00_3997 = 
(BgL_auxz00_4000==BgL_auxz00_4002); }  else 
{ /* Jvm/compiler.scm 69 */
BgL_testz00_3997 = ((bool_t)0)
; } 
if(BgL_testz00_3997)
{ /* Jvm/compiler.scm 69 */BFALSE; }  else 
{ /* Jvm/compiler.scm 69 */
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3730z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3731z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)70)), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3732z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_ez00_9, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3733z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1668, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3735z00zzjvm_compilerz00, current_output_port); 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3180z00_1684;
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3182z00_1686;obj_t BgL_arg3183z00_1687;
BgL_arg3182z00_1686 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3183z00_1687 = 
MAKE_PAIR(BgL_tyz00_10, BNIL); 
BgL_arg3180z00_1684 = 
MAKE_PAIR(BgL_arg3182z00_1686, BgL_arg3183z00_1687); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3180z00_1684, current_output_port); } 
{ /* Jvm/compiler.scm 70 */
unsigned char BgL_auxz00_4018;
BgL_auxz00_4018 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BCHAR(BgL_auxz00_4018); } } } 
{ /* Jvm/compiler.scm 72 */
bool_t BgL_testz00_4021;
{ /* Jvm/compiler.scm 72 */
obj_t BgL_auxz00_4022;
{ /* Jvm/compiler.scm 71 */
obj_t BgL_auxz00_4023;
BgL_auxz00_4023 = 
CDR(BgL_rtyz00_1668); 
BgL_auxz00_4022 = 
CAR(BgL_auxz00_4023); } 
BgL_testz00_4021 = 
(BgL_auxz00_4022==BgL_tyz00_10); } 
if(BgL_testz00_4021)
{ /* Jvm/compiler.scm 72 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 72 */
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3730z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3731z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)73)), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3732z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_ez00_9, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3733z00zzjvm_compilerz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1668, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3735z00zzjvm_compilerz00, current_output_port); 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3203z00_1708;
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3205z00_1710;obj_t BgL_arg3206z00_1711;
BgL_arg3205z00_1710 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3206z00_1711 = 
MAKE_PAIR(BgL_tyz00_10, BNIL); 
BgL_arg3203z00_1708 = 
MAKE_PAIR(BgL_arg3205z00_1710, BgL_arg3206z00_1711); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3203z00_1708, current_output_port); } 
{ /* Jvm/compiler.scm 73 */
unsigned char BgL_auxz00_4040;
BgL_auxz00_4040 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_4040);} } } } } 
}



/* same-type */
obj_t BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_11, obj_t BgL_downz00_12, obj_t BgL_upz00_13)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 75 */
{ /* Jvm/compiler.scm 76 */
obj_t BgL_tdownz00_1714;obj_t BgL_tupz00_1715;
BgL_tdownz00_1714 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_downz00_12, BgL_envz00_11); 
BgL_tupz00_1715 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_upz00_13, BgL_envz00_11); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_tdownz00_1714, BgL_tupz00_1715))
{ /* Jvm/compiler.scm 77 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 77 */
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/compiler.scm 79 */
obj_t BgL_arg3210z00_1717;
BgL_arg3210z00_1717 = 
BGl_getzd2typezd2zzjvm_compilerz00(BgL_upz00_13); 
return 
BGl_setzd2typezd2zzjvm_compilerz00(BgL_downz00_12, BgL_arg3210z00_1717);} } } } 
}



/* get-type */
obj_t BGl_getzd2typezd2zzjvm_compilerz00(obj_t BgL_ez00_17)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 86 */
{ /* Jvm/compiler.scm 87 */
bool_t BgL_test3230z00_1739;
BgL_test3230z00_1739 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_17, BGl_nodez00zzast_nodez00); 
if(BgL_test3230z00_1739)
{ /* Jvm/compiler.scm 87 */
{ /* Jvm/compiler.scm 87 */
BgL_nodez00_bglt BgL_obj1550z00_2770;
BgL_obj1550z00_2770 = 
(BgL_nodez00_bglt)(BgL_ez00_17); 
{ /* Jvm/compiler.scm 87 */
BgL_typez00_bglt BgL_auxz00_4053;
BgL_auxz00_4053 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2770))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_4053);} } }  else 
{ /* Jvm/compiler.scm 88 */
bool_t BgL_test3231z00_1740;
BgL_test3231z00_1740 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_17, BGl_variablez00zzast_varz00); 
if(BgL_test3231z00_1740)
{ /* Jvm/compiler.scm 88 */
{ /* Jvm/compiler.scm 88 */
BgL_variablez00_bglt BgL_obj1100z00_2772;
BgL_obj1100z00_2772 = 
(BgL_variablez00_bglt)(BgL_ez00_17); 
{ /* Jvm/compiler.scm 88 */
BgL_typez00_bglt BgL_auxz00_4059;
BgL_auxz00_4059 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_2772))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_4059);} } }  else 
{ /* Jvm/compiler.scm 88 */
FAILURE(BGl_string3736z00zzjvm_compilerz00,BGl_string3737z00zzjvm_compilerz00,BgL_ez00_17);} } } } 
}



/* set-type */
obj_t BGl_setzd2typezd2zzjvm_compilerz00(obj_t BgL_ez00_18, obj_t BgL_tyz00_19)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 91 */
{ /* Jvm/compiler.scm 92 */
bool_t BgL_test3232z00_1741;
BgL_test3232z00_1741 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_18, BGl_nodez00zzast_nodez00); 
if(BgL_test3232z00_1741)
{ /* Jvm/compiler.scm 92 */
{ /* Jvm/compiler.scm 92 */
BgL_nodez00_bglt BgL_obj1552z00_2777;BgL_typez00_bglt BgL_val1551z00_2778;
BgL_obj1552z00_2777 = 
(BgL_nodez00_bglt)(BgL_ez00_18); 
BgL_val1551z00_2778 = 
(BgL_typez00_bglt)(BgL_tyz00_19); 
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2777))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_2778), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 93 */
bool_t BgL_test3233z00_1742;
BgL_test3233z00_1742 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_18, BGl_variablez00zzast_varz00); 
if(BgL_test3233z00_1742)
{ /* Jvm/compiler.scm 93 */
{ /* Jvm/compiler.scm 93 */
BgL_variablez00_bglt BgL_obj1102z00_2780;BgL_typez00_bglt BgL_val1101z00_2781;
BgL_obj1102z00_2780 = 
(BgL_variablez00_bglt)(BgL_ez00_18); 
BgL_val1101z00_2781 = 
(BgL_typez00_bglt)(BgL_tyz00_19); 
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1102z00_2780))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1101z00_2781), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 93 */
FAILURE(BGl_string3738z00zzjvm_compilerz00,BGl_string3737z00zzjvm_compilerz00,BgL_ez00_18);} } } } 
}



/* compiler-atom */
obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t BgL_ez00_20, BgL_envz00_bglt BgL_envz00_21)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 97 */
{ /* Jvm/compiler.scm 98 */
obj_t BgL_nz00_2787;
BgL_nz00_2787 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_20)); 
if(
CBOOL(BgL_nz00_2787))
{ /* Jvm/compiler.scm 98 */
BGl__linez00zzjvm_instrz00(BgL_envz00_21, BgL_nz00_2787); }  else 
{ /* Jvm/compiler.scm 98 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 101 */
bool_t BgL_testz00_4080;
{ /* Jvm/compiler.scm 101 */
obj_t BgL_arg3286z00_1795;
{ /* Jvm/compiler.scm 101 */
BgL_atomz00_bglt BgL_obj1597z00_2788;
BgL_obj1597z00_2788 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_arg3286z00_1795 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2788))->BgL_valuez00); } 
if(
INTEGERP(BgL_arg3286z00_1795))
{ /* Jvm/compiler.scm 101 */
BgL_testz00_4080 = ((bool_t)1)
; }  else 
{ /* Jvm/compiler.scm 101 */
BgL_testz00_4080 = 
REALP(BgL_arg3286z00_1795)
; } } 
if(BgL_testz00_4080)
{ /* Jvm/compiler.scm 101 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)4))); 
{ /* Jvm/compiler.scm 103 */
obj_t BgL_arg3235z00_1745;obj_t BgL_arg3236z00_1746;
{ /* Jvm/compiler.scm 103 */
obj_t BgL_auxz00_4088;
{ /* Jvm/compiler.scm 103 */
BgL_typez00_bglt BgL_auxz00_4089;
{ /* Jvm/compiler.scm 103 */
BgL_atomz00_bglt BgL_obj1594z00_2794;
BgL_obj1594z00_2794 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4089 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1594z00_2794))->BgL_typez00); } 
BgL_auxz00_4088 = 
(obj_t)(BgL_auxz00_4089); } 
BgL_arg3235z00_1745 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4088, BgL_envz00_21); } 
{ /* Jvm/compiler.scm 103 */
BgL_atomz00_bglt BgL_obj1597z00_2795;
BgL_obj1597z00_2795 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_arg3236z00_1746 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2795))->BgL_valuez00); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3235z00_1745, BgL_arg3236z00_1746);} }  else 
{ /* Jvm/compiler.scm 104 */
bool_t BgL_testz00_4097;
{ /* Jvm/compiler.scm 104 */
obj_t BgL_auxz00_4098;
{ /* Jvm/compiler.scm 104 */
BgL_atomz00_bglt BgL_obj1597z00_2796;
BgL_obj1597z00_2796 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4098 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2796))->BgL_valuez00); } 
BgL_testz00_4097 = 
NULLP(BgL_auxz00_4098); } 
if(BgL_testz00_4097)
{ /* Jvm/compiler.scm 104 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)5))); 
{ /* Jvm/compiler.scm 106 */
obj_t BgL_arg3239z00_1749;
BgL_arg3239z00_1749 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)6))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3239z00_1749);} }  else 
{ /* Jvm/compiler.scm 107 */
bool_t BgL_testz00_4107;
{ /* Jvm/compiler.scm 107 */
obj_t BgL_auxz00_4108;
{ /* Jvm/compiler.scm 107 */
BgL_atomz00_bglt BgL_obj1597z00_2798;
BgL_obj1597z00_2798 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4108 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2798))->BgL_valuez00); } 
BgL_testz00_4107 = 
BOOLEANP(BgL_auxz00_4108); } 
if(BgL_testz00_4107)
{ /* Jvm/compiler.scm 107 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)7))); 
{ /* Jvm/compiler.scm 109 */
obj_t BgL_auxz00_4114;
{ /* Jvm/compiler.scm 109 */
long BgL_auxz00_4116;
{ /* Jvm/compiler.scm 109 */
bool_t BgL_testz00_4117;
{ /* Jvm/compiler.scm 109 */
BgL_atomz00_bglt BgL_obj1597z00_2800;
BgL_obj1597z00_2800 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
{ /* Jvm/compiler.scm 109 */
obj_t BgL_auxz00_4119;
BgL_auxz00_4119 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2800))->BgL_valuez00); 
BgL_testz00_4117 = 
CBOOL(BgL_auxz00_4119); } } 
if(BgL_testz00_4117)
{ /* Jvm/compiler.scm 109 */
BgL_auxz00_4116 = ((long)1)
; }  else 
{ /* Jvm/compiler.scm 109 */
BgL_auxz00_4116 = ((long)0)
; } } 
BgL_auxz00_4114 = 
BINT(BgL_auxz00_4116); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)8)), BgL_auxz00_4114);} }  else 
{ /* Jvm/compiler.scm 110 */
bool_t BgL_testz00_4124;
{ /* Jvm/compiler.scm 110 */
obj_t BgL_auxz00_4125;
{ /* Jvm/compiler.scm 110 */
BgL_atomz00_bglt BgL_obj1597z00_2801;
BgL_obj1597z00_2801 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4125 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2801))->BgL_valuez00); } 
BgL_testz00_4124 = 
CHARP(BgL_auxz00_4125); } 
if(BgL_testz00_4124)
{ /* Jvm/compiler.scm 110 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)8))); 
{ /* Jvm/compiler.scm 112 */
obj_t BgL_auxz00_4131;
{ /* Jvm/compiler.scm 112 */
long BgL_auxz00_4133;
{ /* Jvm/compiler.scm 112 */
unsigned char BgL_auxz00_4134;
{ /* Jvm/compiler.scm 112 */
obj_t BgL_auxz00_4135;
{ /* Jvm/compiler.scm 112 */
BgL_atomz00_bglt BgL_obj1597z00_2803;
BgL_obj1597z00_2803 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4135 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2803))->BgL_valuez00); } 
BgL_auxz00_4134 = 
(unsigned char)CCHAR(BgL_auxz00_4135); } 
BgL_auxz00_4133 = 
(BgL_auxz00_4134); } 
BgL_auxz00_4131 = 
BINT(BgL_auxz00_4133); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)8)), BgL_auxz00_4131);} }  else 
{ /* Jvm/compiler.scm 113 */
bool_t BgL_testz00_4142;
{ /* Jvm/compiler.scm 113 */
obj_t BgL_auxz00_4143;
{ /* Jvm/compiler.scm 113 */
BgL_atomz00_bglt BgL_obj1597z00_2805;
BgL_obj1597z00_2805 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4143 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2805))->BgL_valuez00); } 
BgL_testz00_4142 = 
STRINGP(BgL_auxz00_4143); } 
if(BgL_testz00_4142)
{ /* Jvm/compiler.scm 113 */
BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)9))); 
{ /* Jvm/compiler.scm 116 */
obj_t BgL_auxz00_4149;
{ /* Jvm/compiler.scm 116 */
BgL_atomz00_bglt BgL_obj1597z00_2807;
BgL_obj1597z00_2807 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4149 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2807))->BgL_valuez00); } 
return 
BGl_createzd2stringzd2zzjvm_instrz00(
(obj_t)(BgL_envz00_21), BgL_auxz00_4149);} }  else 
{ /* Jvm/compiler.scm 117 */
bool_t BgL_test3250z00_1760;
{ /* Jvm/compiler.scm 117 */
obj_t BgL_auxz00_4154;
{ /* Jvm/compiler.scm 117 */
BgL_atomz00_bglt BgL_obj1597z00_2808;
BgL_obj1597z00_2808 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4154 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2808))->BgL_valuez00); } 
BgL_test3250z00_1760 = 
EOF_OBJECTP(BgL_auxz00_4154); } 
if(BgL_test3250z00_1760)
{ /* Jvm/compiler.scm 117 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)10))); 
{ /* Jvm/compiler.scm 119 */
obj_t BgL_arg3251z00_1761;
BgL_arg3251z00_1761 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)11))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3251z00_1761);} }  else 
{ /* Jvm/compiler.scm 120 */
bool_t BgL_testz00_4164;
{ /* Jvm/compiler.scm 120 */
obj_t BgL_auxz00_4165;
{ /* Jvm/compiler.scm 120 */
BgL_atomz00_bglt BgL_obj1597z00_2810;
BgL_obj1597z00_2810 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4165 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2810))->BgL_valuez00); } 
BgL_testz00_4164 = 
(BgL_auxz00_4165==BCNST(258)); } 
if(BgL_testz00_4164)
{ /* Jvm/compiler.scm 120 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)12))); 
{ /* Jvm/compiler.scm 122 */
obj_t BgL_arg3253z00_1763;
BgL_arg3253z00_1763 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)13))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3253z00_1763);} }  else 
{ /* Jvm/compiler.scm 123 */
bool_t BgL_testz00_4174;
{ /* Jvm/compiler.scm 123 */
obj_t BgL_auxz00_4175;
{ /* Jvm/compiler.scm 123 */
BgL_atomz00_bglt BgL_obj1597z00_2811;
BgL_obj1597z00_2811 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4175 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2811))->BgL_valuez00); } 
BgL_testz00_4174 = 
(BgL_auxz00_4175==BCNST(259)); } 
if(BgL_testz00_4174)
{ /* Jvm/compiler.scm 123 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)14))); 
{ /* Jvm/compiler.scm 125 */
obj_t BgL_arg3255z00_1765;
BgL_arg3255z00_1765 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)15))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3255z00_1765);} }  else 
{ /* Jvm/compiler.scm 126 */
bool_t BgL_testz00_4184;
{ /* Jvm/compiler.scm 126 */
obj_t BgL_auxz00_4185;
{ /* Jvm/compiler.scm 126 */
BgL_atomz00_bglt BgL_obj1597z00_2812;
BgL_obj1597z00_2812 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4185 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2812))->BgL_valuez00); } 
BgL_testz00_4184 = 
(BgL_auxz00_4185==BCNST(262)); } 
if(BgL_testz00_4184)
{ /* Jvm/compiler.scm 126 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)16))); 
{ /* Jvm/compiler.scm 128 */
obj_t BgL_arg3257z00_1767;
BgL_arg3257z00_1767 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)17))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3257z00_1767);} }  else 
{ /* Jvm/compiler.scm 129 */
bool_t BgL_testz00_4194;
{ /* Jvm/compiler.scm 129 */
obj_t BgL_auxz00_4195;
{ /* Jvm/compiler.scm 129 */
BgL_atomz00_bglt BgL_obj1597z00_2813;
BgL_obj1597z00_2813 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4195 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2813))->BgL_valuez00); } 
BgL_testz00_4194 = 
(BgL_auxz00_4195==BUNSPEC); } 
if(BgL_testz00_4194)
{ /* Jvm/compiler.scm 129 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)18))); 
{ /* Jvm/compiler.scm 131 */
obj_t BgL_arg3259z00_1769;
BgL_arg3259z00_1769 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)19))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3259z00_1769);} }  else 
{ /* Jvm/compiler.scm 132 */
bool_t BgL_testz00_4204;
{ /* Jvm/compiler.scm 132 */
obj_t BgL_auxz00_4205;
{ /* Jvm/compiler.scm 132 */
BgL_atomz00_bglt BgL_obj1597z00_2814;
BgL_obj1597z00_2814 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4205 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2814))->BgL_valuez00); } 
BgL_testz00_4204 = 
UCS2P(BgL_auxz00_4205); } 
if(BgL_testz00_4204)
{ /* Jvm/compiler.scm 132 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)20))); 
{ /* Jvm/compiler.scm 135 */
obj_t BgL_arg3261z00_1771;
BgL_arg3261z00_1771 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)21))); 
BGl__newz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3261z00_1771); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_21); 
{ /* Jvm/compiler.scm 137 */
obj_t BgL_arg3262z00_1772;int BgL_arg3263z00_1773;
BgL_arg3262z00_1772 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/compiler.scm 137 */
obj_t BgL_auxz00_4216;
{ /* Jvm/compiler.scm 137 */
ucs2_t BgL_auxz00_4217;
{ /* Jvm/compiler.scm 137 */
obj_t BgL_auxz00_4218;
{ /* Jvm/compiler.scm 137 */
BgL_atomz00_bglt BgL_obj1597z00_2816;
BgL_obj1597z00_2816 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4218 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2816))->BgL_valuez00); } 
BgL_auxz00_4217 = 
CUCS2(BgL_auxz00_4218); } 
BgL_auxz00_4216 = 
BUCS2(BgL_auxz00_4217); } 
BgL_arg3263z00_1773 = 
CUCS2(BgL_auxz00_4216); } 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3262z00_1772, 
BINT(BgL_arg3263z00_1773)); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 139 */
obj_t BgL_arg3265z00_1775;obj_t BgL_arg3267z00_1776;obj_t BgL_arg3268z00_1777;
BgL_arg3265z00_1775 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)22))); 
BgL_arg3267z00_1776 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3268z00_1777 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3265z00_1775, BgL_arg3267z00_1776, BgL_arg3268z00_1777);}  else 
{ /* Jvm/compiler.scm 140 */
obj_t BgL_arg3269z00_1778;
BgL_arg3269z00_1778 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)25))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3269z00_1778);} }  else 
{ /* Jvm/compiler.scm 132 */
{ 
obj_t BgL_auxz00_4236;
{ /* Jvm/compiler.scm 141 */
BgL_atomz00_bglt BgL_obj1597z00_2818;
BgL_obj1597z00_2818 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4236 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2818))->BgL_valuez00); } 
FAILURE(BGl_string3739z00zzjvm_compilerz00,BGl_string3740z00zzjvm_compilerz00,BgL_auxz00_4236);} } } } } } } } } } } } } } 
}



/* _compiler-atom */
obj_t BGl__compilerzd2atomzd2zzjvm_compilerz00(obj_t BgL_envz00_3811, obj_t BgL_ez00_3812, obj_t BgL_envz00_3813)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 97 */
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(BgL_ez00_3812, 
(BgL_envz00_bglt)(BgL_envz00_3813));} 
}



/* compiler-var */
obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt BgL_ez00_22, BgL_envz00_bglt BgL_envz00_23)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 144 */
{ /* Jvm/compiler.scm 145 */
obj_t BgL_nz00_2824;
BgL_nz00_2824 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_22)); 
if(
CBOOL(BgL_nz00_2824))
{ /* Jvm/compiler.scm 145 */
BGl__linez00zzjvm_instrz00(BgL_envz00_23, BgL_nz00_2824); }  else 
{ /* Jvm/compiler.scm 145 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 146 */
BgL_variablez00_bglt BgL_varz00_1796;
BgL_varz00_1796 = 
(((BgL_varz00_bglt)CREF(BgL_ez00_22))->BgL_variablez00); 
{ /* Jvm/compiler.scm 148 */
bool_t BgL_test3287z00_1797;
BgL_test3287z00_1797 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_1796), BGl_globalz00zzast_varz00); 
if(BgL_test3287z00_1797)
{ /* Jvm/compiler.scm 148 */
{ /* Jvm/compiler.scm 149 */
BgL_valuez00_bglt BgL_valuez00_1798;
{ /* Jvm/compiler.scm 149 */
BgL_globalz00_bglt BgL_obj1155z00_2827;
BgL_obj1155z00_2827 = 
(BgL_globalz00_bglt)(BgL_varz00_1796); 
BgL_valuez00_1798 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2827))->BgL_valuez00); } 
{ /* Jvm/compiler.scm 150 */
bool_t BgL_test3288z00_1799;
BgL_test3288z00_1799 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1798), BGl_sfunz00zzast_varz00); 
if(BgL_test3288z00_1799)
{ /* Jvm/compiler.scm 151 */
long BgL_auxz00_4257;
{ /* Jvm/compiler.scm 151 */
BgL_sfunz00_bglt BgL_obj1350z00_2829;
BgL_obj1350z00_2829 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1798); 
BgL_auxz00_4257 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1350z00_2829))->BgL_arityz00); } 
return 
BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(
(BgL_globalz00_bglt)(BgL_varz00_1796), BgL_auxz00_4257, BgL_envz00_23);}  else 
{ /* Jvm/compiler.scm 150 */
return 
BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_23, 
(BgL_globalz00_bglt)(BgL_varz00_1796));} } } }  else 
{ /* Jvm/compiler.scm 148 */
return 
BGl__loadz00zzjvm_instrz00(BgL_envz00_23, 
(BgL_localz00_bglt)(BgL_varz00_1796));} } } } 
}



/* _compiler-var */
obj_t BGl__compilerzd2varzd2zzjvm_compilerz00(obj_t BgL_envz00_3814, obj_t BgL_ez00_3815, obj_t BgL_envz00_3816)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 144 */
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(
(BgL_varz00_bglt)(BgL_ez00_3815), 
(BgL_envz00_bglt)(BgL_envz00_3816));} 
}



/* compile-procedure-entry */
obj_t BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(BgL_globalz00_bglt BgL_varz00_24, long BgL_arityz00_25, BgL_envz00_bglt BgL_envz00_26)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 155 */
{ /* Jvm/compiler.scm 156 */
long BgL_xz00_1801;
if(
BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)0)))
{ /* Jvm/compiler.scm 156 */
BgL_xz00_1801 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)1)); }  else 
{ /* Jvm/compiler.scm 156 */
BgL_xz00_1801 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)1)); } 
{ /* Jvm/compiler.scm 157 */
obj_t BgL_indexz00_1802;
{ /* Jvm/compiler.scm 157 */
obj_t BgL_arg3290z00_1803;
BgL_arg3290z00_1803 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_26, BgL_varz00_24); 
BgL_indexz00_1802 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_26, 
BINT(BgL_xz00_1801), BgL_arg3290z00_1803); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_26, 
CNST_TABLE_REF(((long)8)), BgL_indexz00_1802);} } } 
}



/* compiler-let */
obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt BgL_ez00_27, BgL_envz00_bglt BgL_envz00_28, obj_t BgL_compilerz00_29)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 161 */
{ /* Jvm/compiler.scm 162 */
obj_t BgL_nz00_2832;
BgL_nz00_2832 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_27)); 
if(
CBOOL(BgL_nz00_2832))
{ /* Jvm/compiler.scm 162 */
BGl__linez00zzjvm_instrz00(BgL_envz00_28, BgL_nz00_2832); }  else 
{ /* Jvm/compiler.scm 162 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 164 */
obj_t BgL_debugzf3zf3_1806;
BgL_debugzf3zf3_1806 = 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_28); 
{ /* Jvm/compiler.scm 165 */
obj_t BgL_elabz00_1807;
if(
CBOOL(BgL_debugzf3zf3_1806))
{ /* Jvm/compiler.scm 165 */
BgL_elabz00_1807 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3741z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 165 */
BgL_elabz00_1807 = 
CNST_TABLE_REF(((long)26)); } 
{ 
obj_t BgL_l3024z00_1808;
BgL_l3024z00_1808 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bindingsz00); 
BgL_lname3025z00_1809:
if(
PAIRP(BgL_l3024z00_1808))
{ /* Jvm/compiler.scm 166 */
{ /* Jvm/compiler.scm 167 */
obj_t BgL_bz00_1812;
BgL_bz00_1812 = 
CAR(BgL_l3024z00_1808); 
{ /* Jvm/compiler.scm 167 */
obj_t BgL_varz00_1813;obj_t BgL_valz00_1814;
BgL_varz00_1813 = 
CAR(BgL_bz00_1812); 
BgL_valz00_1814 = 
CDR(BgL_bz00_1812); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_valz00_1814), BgL_envz00_28); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_28, BgL_valz00_1814, BgL_varz00_1813); 
BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1813)); 
BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1813), BgL_elabz00_1807); 
BGl__storez00zzjvm_instrz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1813)); } } 
{ 
obj_t BgL_l3024z00_4304;
BgL_l3024z00_4304 = 
CDR(BgL_l3024z00_1808); 
BgL_l3024z00_1808 = BgL_l3024z00_4304; 
goto BgL_lname3025z00_1809;} }  else 
{ /* Jvm/compiler.scm 166 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 174 */
obj_t BgL_auxz00_4307;
{ /* Jvm/compiler.scm 174 */
BgL_nodez00_bglt BgL_auxz00_4308;
BgL_auxz00_4308 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bodyz00); 
BgL_auxz00_4307 = 
(obj_t)(BgL_auxz00_4308); } 
PROCEDURE_ENTRY(BgL_compilerz00_29)(BgL_compilerz00_29, BgL_auxz00_4307, 
(obj_t)(BgL_envz00_28), BEOA); } 
if(
CBOOL(BgL_elabz00_1807))
{ /* Jvm/compiler.scm 175 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_28, BgL_elabz00_1807); }  else 
{ /* Jvm/compiler.scm 175 */BFALSE; } 
{ /* Jvm/compiler.scm 176 */
obj_t BgL_auxz00_4317;
{ /* Jvm/compiler.scm 176 */
BgL_nodez00_bglt BgL_auxz00_4318;
BgL_auxz00_4318 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bodyz00); 
BgL_auxz00_4317 = 
(obj_t)(BgL_auxz00_4318); } 
return 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_28, BgL_auxz00_4317, 
(obj_t)(BgL_ez00_27));} } } } 
}



/* _compiler-let */
obj_t BGl__compilerzd2letzd2zzjvm_compilerz00(obj_t BgL_envz00_3817, obj_t BgL_ez00_3818, obj_t BgL_envz00_3819, obj_t BgL_compilerz00_3820)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 161 */
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(
(BgL_letzd2varzd2_bglt)(BgL_ez00_3818), 
(BgL_envz00_bglt)(BgL_envz00_3819), BgL_compilerz00_3820);} 
}



/* compiler-setq */
obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt BgL_ez00_30, BgL_envz00_bglt BgL_envz00_31)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 179 */
{ /* Jvm/compiler.scm 180 */
obj_t BgL_nz00_2843;
BgL_nz00_2843 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_30)); 
if(
CBOOL(BgL_nz00_2843))
{ /* Jvm/compiler.scm 180 */
BGl__linez00zzjvm_instrz00(BgL_envz00_31, BgL_nz00_2843); }  else 
{ /* Jvm/compiler.scm 180 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_valuez00), BgL_envz00_31); 
{ /* Jvm/compiler.scm 183 */
obj_t BgL_auxz00_4338;obj_t BgL_auxz00_4334;
{ /* Jvm/compiler.scm 183 */
BgL_varz00_bglt BgL_auxz00_4339;
BgL_auxz00_4339 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_varz00); 
BgL_auxz00_4338 = 
(obj_t)(BgL_auxz00_4339); } 
{ /* Jvm/compiler.scm 183 */
BgL_nodez00_bglt BgL_auxz00_4335;
BgL_auxz00_4335 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_valuez00); 
BgL_auxz00_4334 = 
(obj_t)(BgL_auxz00_4335); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_31, BgL_auxz00_4334, BgL_auxz00_4338); } 
{ /* Jvm/compiler.scm 184 */
BgL_variablez00_bglt BgL_variablez00_1822;
{ /* Jvm/compiler.scm 184 */
BgL_varz00_bglt BgL_arg3303z00_1826;
BgL_arg3303z00_1826 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_varz00); 
BgL_variablez00_1822 = 
(((BgL_varz00_bglt)CREF(BgL_arg3303z00_1826))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 185 */
bool_t BgL_test3300z00_1823;
BgL_test3300z00_1823 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_variablez00_1822), BGl_globalz00zzast_varz00); 
if(BgL_test3300z00_1823)
{ /* Jvm/compiler.scm 185 */
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 187 */
obj_t BgL_arg3301z00_1824;
BgL_arg3301z00_1824 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_variablez00_1822), BgL_envz00_31); 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_31, BgL_arg3301z00_1824); }  else 
{ /* Jvm/compiler.scm 187 */BFALSE; } 
{ /* Jvm/compiler.scm 188 */
obj_t BgL_arg3302z00_1825;
BgL_arg3302z00_1825 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_31, 
(BgL_globalz00_bglt)(BgL_variablez00_1822)); 
return 
BGl__putstaticz00zzjvm_instrz00(BgL_envz00_31, BgL_arg3302z00_1825);} }  else 
{ /* Jvm/compiler.scm 185 */
return 
BGl__storez00zzjvm_instrz00(BgL_envz00_31, 
(BgL_localz00_bglt)(BgL_variablez00_1822));} } } } 
}



/* _compiler-setq */
obj_t BGl__compilerzd2setqzd2zzjvm_compilerz00(obj_t BgL_envz00_3821, obj_t BgL_ez00_3822, obj_t BgL_envz00_3823)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 179 */
return 
BGl_compilerzd2setqzd2zzjvm_compilerz00(
(BgL_setqz00_bglt)(BgL_ez00_3822), 
(BgL_envz00_bglt)(BgL_envz00_3823));} 
}



/* compiler-sequence */
obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt BgL_ez00_32, BgL_envz00_bglt BgL_envz00_33, obj_t BgL_compilerz00_34)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 192 */
{ /* Jvm/compiler.scm 193 */
obj_t BgL_nz00_2852;
BgL_nz00_2852 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_32)); 
if(
CBOOL(BgL_nz00_2852))
{ /* Jvm/compiler.scm 193 */
BGl__linez00zzjvm_instrz00(BgL_envz00_33, BgL_nz00_2852); }  else 
{ /* Jvm/compiler.scm 193 */
CNST_TABLE_REF(((long)3)); } } 
{ 
obj_t BgL_lz00_1832;obj_t BgL_nextz00_1833;
BgL_lz00_1832 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_32))->BgL_nodesz00); 
{ /* Jvm/compiler.scm 202 */
obj_t BgL_auxz00_4385;
BgL_auxz00_4385 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_32))->BgL_nodesz00); 
BgL_nextz00_1833 = 
CDR(BgL_auxz00_4385); } 
BgL_zc3anonymousza33308ze3z83_1834:
if(
NULLP(BgL_nextz00_1833))
{ /* Jvm/compiler.scm 196 */
PROCEDURE_ENTRY(BgL_compilerz00_34)(BgL_compilerz00_34, 
CAR(BgL_lz00_1832), 
(obj_t)(BgL_envz00_33), BEOA); 
return 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_33, 
CAR(BgL_lz00_1832), 
(obj_t)(BgL_ez00_32));}  else 
{ /* Jvm/compiler.scm 196 */
{ /* Jvm/compiler.scm 200 */
BgL_nodez00_bglt BgL_auxz00_4376;
{ /* Jvm/compiler.scm 200 */
obj_t BgL_auxz00_4377;
BgL_auxz00_4377 = 
CAR(BgL_lz00_1832); 
BgL_auxz00_4376 = 
(BgL_nodez00_bglt)(BgL_auxz00_4377); } 
BGl_compilezd2effectzd2zzjvm_effectz00(BgL_auxz00_4376, BgL_envz00_33); } 
{ 
obj_t BgL_nextz00_4382;obj_t BgL_lz00_4381;
BgL_lz00_4381 = BgL_nextz00_1833; 
BgL_nextz00_4382 = 
CDR(BgL_nextz00_1833); 
BgL_nextz00_1833 = BgL_nextz00_4382; 
BgL_lz00_1832 = BgL_lz00_4381; 
goto BgL_zc3anonymousza33308ze3z83_1834;} } } } 
}



/* _compiler-sequence */
obj_t BGl__compilerzd2sequencezd2zzjvm_compilerz00(obj_t BgL_envz00_3824, obj_t BgL_ez00_3825, obj_t BgL_envz00_3826, obj_t BgL_compilerz00_3827)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 192 */
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(
(BgL_sequencez00_bglt)(BgL_ez00_3825), 
(BgL_envz00_bglt)(BgL_envz00_3826), BgL_compilerz00_3827);} 
}



/* compiler-if */
obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt BgL_ez00_35, BgL_envz00_bglt BgL_envz00_36, obj_t BgL_compilerz00_37)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 205 */
{ /* Jvm/compiler.scm 206 */
obj_t BgL_nz00_2863;
BgL_nz00_2863 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_35)); 
if(
CBOOL(BgL_nz00_2863))
{ /* Jvm/compiler.scm 206 */
BGl__linez00zzjvm_instrz00(BgL_envz00_36, BgL_nz00_2863); }  else 
{ /* Jvm/compiler.scm 206 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 208 */
obj_t BgL_ltruez00_1842;obj_t BgL_lfalsez00_1843;obj_t BgL_lcontz00_1844;
BgL_ltruez00_1842 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
BgL_lfalsez00_1843 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
BgL_lcontz00_1844 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
BGl_compilezd2predicatezd2zzjvm_predicatez00(
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_testz00), BgL_ltruez00_1842, BgL_lfalsez00_1843, BgL_envz00_36); 
{ /* Jvm/compiler.scm 212 */
obj_t BgL_stackz00_1846;
BgL_stackz00_1846 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_ltruez00_1842); 
{ /* Jvm/compiler.scm 214 */
obj_t BgL_auxz00_4407;
{ /* Jvm/compiler.scm 214 */
BgL_nodez00_bglt BgL_auxz00_4408;
BgL_auxz00_4408 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_truez00); 
BgL_auxz00_4407 = 
(obj_t)(BgL_auxz00_4408); } 
PROCEDURE_ENTRY(BgL_compilerz00_37)(BgL_compilerz00_37, BgL_auxz00_4407, 
(obj_t)(BgL_envz00_36), BEOA); } 
{ /* Jvm/compiler.scm 215 */
obj_t BgL_auxz00_4414;
{ /* Jvm/compiler.scm 215 */
BgL_nodez00_bglt BgL_auxz00_4415;
BgL_auxz00_4415 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_truez00); 
BgL_auxz00_4414 = 
(obj_t)(BgL_auxz00_4415); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_36, BgL_auxz00_4414, 
(obj_t)(BgL_ez00_35)); } 
{ /* Jvm/compiler.scm 216 */
obj_t BgL_rstackz00_1849;
BgL_rstackz00_1849 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_36, BgL_lcontz00_1844); 
((((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00) = ((obj_t)BgL_stackz00_1846), BUNSPEC); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_lfalsez00_1843); 
{ /* Jvm/compiler.scm 220 */
obj_t BgL_auxz00_4424;
{ /* Jvm/compiler.scm 220 */
BgL_nodez00_bglt BgL_auxz00_4425;
BgL_auxz00_4425 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_falsez00); 
BgL_auxz00_4424 = 
(obj_t)(BgL_auxz00_4425); } 
PROCEDURE_ENTRY(BgL_compilerz00_37)(BgL_compilerz00_37, BgL_auxz00_4424, 
(obj_t)(BgL_envz00_36), BEOA); } 
{ /* Jvm/compiler.scm 221 */
obj_t BgL_auxz00_4431;
{ /* Jvm/compiler.scm 221 */
BgL_nodez00_bglt BgL_auxz00_4432;
BgL_auxz00_4432 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_falsez00); 
BgL_auxz00_4431 = 
(obj_t)(BgL_auxz00_4432); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_36, BgL_auxz00_4431, 
(obj_t)(BgL_ez00_35)); } 
{ /* Jvm/compiler.scm 222 */
obj_t BgL_rrstackz00_1852;
BgL_rrstackz00_1852 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
{ /* Jvm/compiler.scm 223 */
bool_t BgL_testz00_4438;
if(
NULLP(BgL_rrstackz00_1852))
{ /* Jvm/compiler.scm 223 */
BgL_testz00_4438 = ((bool_t)0)
; }  else 
{ /* Jvm/compiler.scm 223 */
obj_t BgL_auxz00_4443;obj_t BgL_auxz00_4441;
BgL_auxz00_4443 = 
CNST_TABLE_REF(((long)27)); 
BgL_auxz00_4441 = 
CAR(BgL_rrstackz00_1852); 
BgL_testz00_4438 = 
(BgL_auxz00_4441==BgL_auxz00_4443); } 
if(BgL_testz00_4438)
{ /* Jvm/compiler.scm 223 */
((((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00) = ((obj_t)BgL_rstackz00_1849), BUNSPEC); }  else 
{ /* Jvm/compiler.scm 223 */BFALSE; } } 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_lcontz00_1844);} } } } } 
}



/* _compiler-if */
obj_t BGl__compilerzd2ifzd2zzjvm_compilerz00(obj_t BgL_envz00_3828, obj_t BgL_ez00_3829, obj_t BgL_envz00_3830, obj_t BgL_compilerz00_3831)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 205 */
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(
(BgL_conditionalz00_bglt)(BgL_ez00_3829), 
(BgL_envz00_bglt)(BgL_envz00_3830), BgL_compilerz00_3831);} 
}



/* compiler-select */
obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt BgL_ez00_38, BgL_envz00_bglt BgL_envz00_39, obj_t BgL_compilerz00_40)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 228 */
{ /* Jvm/compiler.scm 229 */
obj_t BgL_nz00_2880;
BgL_nz00_2880 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_38)); 
if(
CBOOL(BgL_nz00_2880))
{ /* Jvm/compiler.scm 229 */
BGl__linez00zzjvm_instrz00(BgL_envz00_39, BgL_nz00_2880); }  else 
{ /* Jvm/compiler.scm 229 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_testz00), BgL_envz00_39); 
{ /* Jvm/compiler.scm 234 */
obj_t BgL_auxz00_4459;
{ /* Jvm/compiler.scm 234 */
BgL_nodez00_bglt BgL_auxz00_4460;
BgL_auxz00_4460 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_testz00); 
BgL_auxz00_4459 = 
(obj_t)(BgL_auxz00_4460); } 
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_39, BgL_auxz00_4459, 
CNST_TABLE_REF(((long)8))); } 
{ /* Jvm/compiler.scm 235 */
bool_t BgL_test3326z00_1862;
{ /* Jvm/compiler.scm 235 */
obj_t BgL_arg3336z00_1871;
BgL_arg3336z00_1871 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_clausesz00); 
{ /* Jvm/compiler.scm 235 */
obj_t BgL_zc3anonymousza33337ze3z83_3833;
{ 
int BgL_auxz00_4468;int BgL_auxz00_4466;
BgL_auxz00_4468 = 
(int)(((long)1)); 
BgL_auxz00_4466 = 
(int)(((long)1)); 
BgL_zc3anonymousza33337ze3z83_3833 = 
make_fx_procedure(BGl_zc3anonymousza33337ze3z83zzjvm_compilerz00, BgL_auxz00_4466, BgL_auxz00_4468); } 
{ /* Jvm/compiler.scm 235 */
int BgL_auxz00_4471;
BgL_auxz00_4471 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33337ze3z83_3833, BgL_auxz00_4471, BGl_proc3743z00zzjvm_compilerz00); } 
{ /* Jvm/compiler.scm 235 */
obj_t BgL_auxz00_4474;
BgL_auxz00_4474 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33337ze3z83_3833, BgL_arg3336z00_1871); 
BgL_test3326z00_1862 = 
CBOOL(BgL_auxz00_4474); } } } 
if(BgL_test3326z00_1862)
{ /* Jvm/compiler.scm 238 */
obj_t BgL_arg3327z00_1863;obj_t BgL_arg3328z00_1864;
{ /* Jvm/compiler.scm 238 */
obj_t BgL_auxz00_4478;
{ /* Jvm/compiler.scm 238 */
BgL_typez00_bglt BgL_auxz00_4479;
BgL_auxz00_4479 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_itemzd2typezd2); 
BgL_auxz00_4478 = 
(obj_t)(BgL_auxz00_4479); } 
BgL_arg3327z00_1863 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4478, BgL_envz00_39); } 
BgL_arg3328z00_1864 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_clausesz00); 
return 
BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_39, BgL_arg3327z00_1863, BgL_arg3328z00_1864, BgL_compilerz00_40, BgL_ez00_38);}  else 
{ /* Jvm/compiler.scm 239 */
obj_t BgL_arg3333z00_1868;
{ /* Jvm/compiler.scm 239 */
obj_t BgL_auxz00_4485;
{ /* Jvm/compiler.scm 239 */
BgL_typez00_bglt BgL_auxz00_4486;
BgL_auxz00_4486 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_itemzd2typezd2); 
BgL_auxz00_4485 = 
(obj_t)(BgL_auxz00_4486); } 
BgL_arg3333z00_1868 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4485, BgL_envz00_39); } 
FAILURE(BGl_string3744z00zzjvm_compilerz00,BGl_string3745z00zzjvm_compilerz00,BgL_arg3333z00_1868);} } } 
}



/* _compiler-select */
obj_t BGl__compilerzd2selectzd2zzjvm_compilerz00(obj_t BgL_envz00_3834, obj_t BgL_ez00_3835, obj_t BgL_envz00_3836, obj_t BgL_compilerz00_3837)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 228 */
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(
(BgL_selectz00_bglt)(BgL_ez00_3835), 
(BgL_envz00_bglt)(BgL_envz00_3836), BgL_compilerz00_3837);} 
}



/* <anonymous:3337> */
obj_t BGl_zc3anonymousza33337ze3z83zzjvm_compilerz00(obj_t BgL_envz00_3838, obj_t BgL_cz00_3840)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 235 */
{ /* Jvm/compiler.scm 235 */
obj_t BgL_intzf3zf3_3839;
{ /* Jvm/compiler.scm 235 */
int BgL_auxz00_4494;
BgL_auxz00_4494 = 
(int)(((long)0)); 
BgL_intzf3zf3_3839 = 
PROCEDURE_REF(BgL_envz00_3838, BgL_auxz00_4494); } 
{ 
obj_t BgL_cz00_1872;
BgL_cz00_1872 = BgL_cz00_3840; 
{ /* Jvm/compiler.scm 235 */
bool_t BgL__ortest_3035z00_1874;
{ /* Jvm/compiler.scm 235 */
obj_t BgL_auxz00_4499;obj_t BgL_auxz00_4497;
BgL_auxz00_4499 = 
CNST_TABLE_REF(((long)28)); 
BgL_auxz00_4497 = 
CAR(BgL_cz00_1872); 
BgL__ortest_3035z00_1874 = 
(BgL_auxz00_4497==BgL_auxz00_4499); } 
if(BgL__ortest_3035z00_1874)
{ /* Jvm/compiler.scm 235 */
return 
BBOOL(BgL__ortest_3035z00_1874);}  else 
{ /* Jvm/compiler.scm 235 */
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_intzf3zf3_3839, 
CAR(BgL_cz00_1872));} } } } } 
}



/* int? */
obj_t BGl_intzf3zf3zzjvm_compilerz00(obj_t BgL_envz00_3841, obj_t BgL_nz00_3842)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 230 */
{ 
obj_t BgL_nz00_1879;
{ /* Jvm/compiler.scm 230 */
bool_t BgL_auxz00_4506;
BgL_nz00_1879 = BgL_nz00_3842; 
{ /* Jvm/compiler.scm 230 */
bool_t BgL__ortest_3032z00_2892;
BgL__ortest_3032z00_2892 = 
INTEGERP(BgL_nz00_1879); 
if(BgL__ortest_3032z00_2892)
{ /* Jvm/compiler.scm 230 */
BgL_auxz00_4506 = BgL__ortest_3032z00_2892
; }  else 
{ /* Jvm/compiler.scm 230 */
BgL_auxz00_4506 = 
CHARP(BgL_nz00_1879)
; } } 
return 
BBOOL(BgL_auxz00_4506);} } } 
}



/* select-int */
obj_t BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_41, obj_t BgL_itemzd2typezd2_42, obj_t BgL_clausesz00_43, obj_t BgL_compz00_44, BgL_selectz00_bglt BgL_ez00_45)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 241 */
{ 
obj_t BgL_nz00_1918;
{ /* Jvm/compiler.scm 246 */
bool_t BgL_testz00_4511;
{ /* Jvm/compiler.scm 246 */
obj_t BgL_auxz00_4512;
BgL_auxz00_4512 = 
CNST_TABLE_REF(((long)29)); 
BgL_testz00_4511 = 
(BgL_itemzd2typezd2_42==BgL_auxz00_4512); } 
if(BgL_testz00_4511)
{ /* Jvm/compiler.scm 246 */
BGl__l2iz00zzjvm_instrz00(BgL_envz00_41); }  else 
{ /* Jvm/compiler.scm 246 */BFALSE; } } 
{ /* Jvm/compiler.scm 247 */
obj_t BgL_ldefz00_1885;obj_t BgL_lcontz00_1886;obj_t BgL_dz00_1887;obj_t BgL_num2labz00_1888;obj_t BgL_lab2nodez00_1889;
BgL_ldefz00_1885 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
BgL_lcontz00_1886 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
BgL_dz00_1887 = BFALSE; 
BgL_num2labz00_1888 = BNIL; 
BgL_lab2nodez00_1889 = BNIL; 
{ 
obj_t BgL_l3036z00_1890;
BgL_l3036z00_1890 = BgL_clausesz00_43; 
BgL_lname3037z00_1891:
if(
PAIRP(BgL_l3036z00_1890))
{ /* Jvm/compiler.scm 249 */
{ /* Jvm/compiler.scm 251 */
obj_t BgL_cz00_1893;
BgL_cz00_1893 = 
CAR(BgL_l3036z00_1890); 
{ /* Jvm/compiler.scm 251 */
bool_t BgL_testz00_4523;
{ /* Jvm/compiler.scm 251 */
obj_t BgL_auxz00_4526;obj_t BgL_auxz00_4524;
BgL_auxz00_4526 = 
CNST_TABLE_REF(((long)28)); 
BgL_auxz00_4524 = 
CAR(BgL_cz00_1893); 
BgL_testz00_4523 = 
(BgL_auxz00_4524==BgL_auxz00_4526); } 
if(BgL_testz00_4523)
{ /* Jvm/compiler.scm 251 */
BgL_dz00_1887 = 
CDR(BgL_cz00_1893); }  else 
{ /* Jvm/compiler.scm 253 */
obj_t BgL_labz00_1895;
BgL_labz00_1895 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
{ 
obj_t BgL_l3038z00_1896;
BgL_l3038z00_1896 = 
CAR(BgL_cz00_1893); 
BgL_lname3039z00_1897:
if(
PAIRP(BgL_l3038z00_1896))
{ /* Jvm/compiler.scm 254 */
{ /* Jvm/compiler.scm 255 */
obj_t BgL_arg3347z00_1901;
{ /* Jvm/compiler.scm 255 */
obj_t BgL_arg3348z00_1902;
BgL_nz00_1918 = 
CAR(BgL_l3038z00_1896); 
if(
INTEGERP(BgL_nz00_1918))
{ /* Jvm/compiler.scm 243 */
BgL_arg3348z00_1902 = BgL_nz00_1918; }  else 
{ /* Jvm/compiler.scm 243 */
if(
CHARP(BgL_nz00_1918))
{ /* Jvm/compiler.scm 244 */
{ /* Jvm/compiler.scm 244 */
long BgL_auxz00_4538;
{ /* Jvm/compiler.scm 244 */
unsigned char BgL_auxz00_4539;
BgL_auxz00_4539 = 
(unsigned char)CCHAR(BgL_nz00_1918); 
BgL_auxz00_4538 = 
(BgL_auxz00_4539); } 
BgL_arg3348z00_1902 = 
BINT(BgL_auxz00_4538); } }  else 
{ /* Jvm/compiler.scm 244 */
FAILURE(BGl_string3744z00zzjvm_compilerz00,BGl_string3746z00zzjvm_compilerz00,BgL_nz00_1918);} } 
BgL_arg3347z00_1901 = 
MAKE_PAIR(BgL_arg3348z00_1902, BgL_labz00_1895); } 
BgL_num2labz00_1888 = 
MAKE_PAIR(BgL_arg3347z00_1901, BgL_num2labz00_1888); } 
{ 
obj_t BgL_l3038z00_4547;
BgL_l3038z00_4547 = 
CDR(BgL_l3038z00_1896); 
BgL_l3038z00_1896 = BgL_l3038z00_4547; 
goto BgL_lname3039z00_1897;} }  else 
{ /* Jvm/compiler.scm 254 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 257 */
obj_t BgL_arg3350z00_1904;
{ /* Jvm/compiler.scm 257 */
obj_t BgL_auxz00_4550;
BgL_auxz00_4550 = 
CDR(BgL_cz00_1893); 
BgL_arg3350z00_1904 = 
MAKE_PAIR(BgL_labz00_1895, BgL_auxz00_4550); } 
BgL_lab2nodez00_1889 = 
MAKE_PAIR(BgL_arg3350z00_1904, BgL_lab2nodez00_1889); } } } } 
{ 
obj_t BgL_l3036z00_4554;
BgL_l3036z00_4554 = 
CDR(BgL_l3036z00_1890); 
BgL_l3036z00_1890 = BgL_l3036z00_4554; 
goto BgL_lname3037z00_1891;} }  else 
{ /* Jvm/compiler.scm 249 */((bool_t)1); } } 
BGl__switchz00zzjvm_instrz00(BgL_envz00_41, BgL_ldefz00_1885, BgL_num2labz00_1888); 
{ /* Jvm/compiler.scm 260 */
obj_t BgL_stackz00_1909;
BgL_stackz00_1909 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00); 
{ 
obj_t BgL_l3040z00_1910;
BgL_l3040z00_1910 = BgL_lab2nodez00_1889; 
BgL_lname3041z00_1911:
if(
PAIRP(BgL_l3040z00_1910))
{ /* Jvm/compiler.scm 261 */
{ /* Jvm/compiler.scm 262 */
obj_t BgL_slotz00_1913;
BgL_slotz00_1913 = 
CAR(BgL_l3040z00_1910); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, 
CAR(BgL_slotz00_1913)); 
((((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00) = ((obj_t)BgL_stackz00_1909), BUNSPEC); 
PROCEDURE_ENTRY(BgL_compz00_44)(BgL_compz00_44, 
CDR(BgL_slotz00_1913), 
(obj_t)(BgL_envz00_41), BEOA); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_41, 
CDR(BgL_slotz00_1913), 
(obj_t)(BgL_ez00_45)); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_41, BgL_lcontz00_1886); } 
{ 
obj_t BgL_l3040z00_4572;
BgL_l3040z00_4572 = 
CDR(BgL_l3040z00_1910); 
BgL_l3040z00_1910 = BgL_l3040z00_4572; 
goto BgL_lname3041z00_1911;} }  else 
{ /* Jvm/compiler.scm 261 */((bool_t)1); } } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, BgL_ldefz00_1885); 
if(
CBOOL(BgL_dz00_1887))
{ /* Jvm/compiler.scm 269 */
((((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00) = ((obj_t)BgL_stackz00_1909), BUNSPEC); 
PROCEDURE_ENTRY(BgL_compz00_44)(BgL_compz00_44, BgL_dz00_1887, 
(obj_t)(BgL_envz00_41), BEOA); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_41, BgL_dz00_1887, 
(obj_t)(BgL_ez00_45)); }  else 
{ /* Jvm/compiler.scm 269 */BFALSE; } 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, BgL_lcontz00_1886);} } } } 
}



/* compiler-labels */
obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt BgL_ez00_46, BgL_envz00_bglt BgL_envz00_47, obj_t BgL_compz00_48)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 275 */
{ /* Jvm/compiler.scm 276 */
obj_t BgL_nz00_2924;
BgL_nz00_2924 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_46)); 
if(
CBOOL(BgL_nz00_2924))
{ /* Jvm/compiler.scm 276 */
BGl__linez00zzjvm_instrz00(BgL_envz00_47, BgL_nz00_2924); }  else 
{ /* Jvm/compiler.scm 276 */
CNST_TABLE_REF(((long)3)); } } 
{ 
obj_t BgL_l3044z00_1924;
BgL_l3044z00_1924 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_46))->BgL_localsz00); 
BgL_lname3045z00_1925:
if(
PAIRP(BgL_l3044z00_1924))
{ /* Jvm/compiler.scm 278 */
{ /* Jvm/compiler.scm 278 */
BgL_localz00_bglt BgL_auxz00_4592;
{ /* Jvm/compiler.scm 278 */
obj_t BgL_auxz00_4593;
BgL_auxz00_4593 = 
CAR(BgL_l3044z00_1924); 
BgL_auxz00_4592 = 
(BgL_localz00_bglt)(BgL_auxz00_4593); } 
BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_47, BgL_auxz00_4592, 
CNST_TABLE_REF(((long)30))); } 
{ 
obj_t BgL_l3044z00_4598;
BgL_l3044z00_4598 = 
CDR(BgL_l3044z00_1924); 
BgL_l3044z00_1924 = BgL_l3044z00_4598; 
goto BgL_lname3045z00_1925;} }  else 
{ /* Jvm/compiler.scm 278 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 279 */
obj_t BgL_auxz00_4601;
{ /* Jvm/compiler.scm 279 */
BgL_nodez00_bglt BgL_auxz00_4602;
BgL_auxz00_4602 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_46))->BgL_bodyz00); 
BgL_auxz00_4601 = 
(obj_t)(BgL_auxz00_4602); } 
return 
PROCEDURE_ENTRY(BgL_compz00_48)(BgL_compz00_48, BgL_auxz00_4601, 
(obj_t)(BgL_envz00_47), BEOA);} } 
}



/* _compiler-labels */
obj_t BGl__compilerzd2labelszd2zzjvm_compilerz00(obj_t BgL_envz00_3843, obj_t BgL_ez00_3844, obj_t BgL_envz00_3845, obj_t BgL_compz00_3846)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 275 */
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(
(BgL_letzd2funzd2_bglt)(BgL_ez00_3844), 
(BgL_envz00_bglt)(BgL_envz00_3845), BgL_compz00_3846);} 
}



/* compile-label-call */
obj_t BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_variablez00_bglt BgL_localz00_49, obj_t BgL_argsz00_50, BgL_envz00_bglt BgL_envz00_51)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 282 */
{ 
obj_t BgL_l3046z00_1931;
BgL_l3046z00_1931 = BgL_argsz00_50; 
BgL_lname3047z00_1932:
if(
PAIRP(BgL_l3046z00_1931))
{ /* Jvm/compiler.scm 284 */
{ /* Jvm/compiler.scm 284 */
BgL_nodez00_bglt BgL_auxz00_4613;
{ /* Jvm/compiler.scm 284 */
obj_t BgL_auxz00_4614;
BgL_auxz00_4614 = 
CAR(BgL_l3046z00_1931); 
BgL_auxz00_4613 = 
(BgL_nodez00_bglt)(BgL_auxz00_4614); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4613, BgL_envz00_51); } 
{ 
obj_t BgL_l3046z00_4618;
BgL_l3046z00_4618 = 
CDR(BgL_l3046z00_1931); 
BgL_l3046z00_1931 = BgL_l3046z00_4618; 
goto BgL_lname3047z00_1932;} }  else 
{ /* Jvm/compiler.scm 284 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 285 */
bool_t BgL_test3370z00_1936;
{ /* Jvm/compiler.scm 285 */
obj_t BgL_auxz00_4620;
BgL_auxz00_4620 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_localz00_49), BGl_za2labdoneza2z00zzjvm_compilerz00); 
BgL_test3370z00_1936 = 
CBOOL(BgL_auxz00_4620); } 
if(BgL_test3370z00_1936)
{ /* Jvm/compiler.scm 285 */
{ 
obj_t BgL_l3052z00_1939;
{ /* Jvm/compiler.scm 290 */
obj_t BgL_auxz00_4634;
{ /* Jvm/compiler.scm 290 */
BgL_sfunz00_bglt BgL_obj1369z00_2934;
{ /* Jvm/compiler.scm 290 */
BgL_valuez00_bglt BgL_auxz00_4635;
{ /* Jvm/compiler.scm 290 */
BgL_localz00_bglt BgL_obj1255z00_2933;
BgL_obj1255z00_2933 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4635 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2933))->BgL_valuez00); } 
BgL_obj1369z00_2934 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4635); } 
BgL_auxz00_4634 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2934))->BgL_argsz00); } 
BgL_l3052z00_1939 = 
bgl_reverse(BgL_auxz00_4634); } 
BgL_lname3053z00_1940:
if(
PAIRP(BgL_l3052z00_1939))
{ /* Jvm/compiler.scm 290 */
{ /* Jvm/compiler.scm 290 */
BgL_localz00_bglt BgL_auxz00_4627;
{ /* Jvm/compiler.scm 290 */
obj_t BgL_auxz00_4628;
BgL_auxz00_4628 = 
CAR(BgL_l3052z00_1939); 
BgL_auxz00_4627 = 
(BgL_localz00_bglt)(BgL_auxz00_4628); } 
BGl__storez00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4627); } 
{ 
obj_t BgL_l3052z00_4632;
BgL_l3052z00_4632 = 
CDR(BgL_l3052z00_1939); 
BgL_l3052z00_1939 = BgL_l3052z00_4632; 
goto BgL_lname3053z00_1940;} }  else 
{ /* Jvm/compiler.scm 290 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 293 */
bool_t BgL_testz00_4641;
{ /* Jvm/compiler.scm 293 */
obj_t BgL_auxz00_4642;
BgL_auxz00_4642 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_testz00_4641 = 
NULLP(BgL_auxz00_4642); } 
if(BgL_testz00_4641)
{ /* Jvm/compiler.scm 294 */
obj_t BgL_auxz00_4645;
{ /* Jvm/compiler.scm 294 */
BgL_localz00_bglt BgL_obj1249z00_2940;
BgL_obj1249z00_2940 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4645 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2940))->BgL_namez00); } 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4645); }  else 
{ /* Jvm/compiler.scm 295 */
obj_t BgL_arg3378z00_1949;
{ /* Jvm/compiler.scm 295 */
obj_t BgL_arg3379z00_1950;
BgL_arg3379z00_1950 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/compiler.scm 295 */
obj_t BgL_list3381z00_1952;
{ /* Jvm/compiler.scm 295 */
obj_t BgL_arg3382z00_1953;
{ /* Jvm/compiler.scm 295 */
obj_t BgL_auxz00_4650;
{ /* Jvm/compiler.scm 295 */
BgL_localz00_bglt BgL_obj1249z00_2941;
BgL_obj1249z00_2941 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4650 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2941))->BgL_namez00); } 
BgL_arg3382z00_1953 = 
MAKE_PAIR(BgL_auxz00_4650, BNIL); } 
BgL_list3381z00_1952 = 
MAKE_PAIR(BgL_arg3379z00_1950, BgL_arg3382z00_1953); } 
BgL_arg3378z00_1949 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3381z00_1952); } } 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_51, BgL_arg3378z00_1949); } } 
{ /* Jvm/compiler.scm 296 */
obj_t BgL_arg3383z00_1954;
{ /* Jvm/compiler.scm 296 */
obj_t BgL_auxz00_4659;obj_t BgL_auxz00_4657;
BgL_auxz00_4659 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_auxz00_4657 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3383z00_1954 = 
MAKE_PAIR(BgL_auxz00_4657, BgL_auxz00_4659); } 
return 
((((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00) = ((obj_t)BgL_arg3383z00_1954), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 298 */
BgL_valuez00_bglt BgL_instance3056z00_1958;
{ /* Jvm/compiler.scm 299 */
BgL_localz00_bglt BgL_obj1255z00_2945;
BgL_obj1255z00_2945 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_instance3056z00_1958 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2945))->BgL_valuez00); } 
{ /* Jvm/compiler.scm 299 */
obj_t BgL_auxz00_4665;
BgL_auxz00_4665 = 
(obj_t)(BgL_localz00_49); 
BGl_za2labdoneza2z00zzjvm_compilerz00 = 
MAKE_PAIR(BgL_auxz00_4665, BGl_za2labdoneza2z00zzjvm_compilerz00); } 
{ /* Jvm/compiler.scm 300 */
obj_t BgL_debugzf3zf3_1959;
BgL_debugzf3zf3_1959 = 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_51); 
{ /* Jvm/compiler.scm 300 */
obj_t BgL_blabz00_1960;
if(
CBOOL(BgL_debugzf3zf3_1959))
{ /* Jvm/compiler.scm 301 */
BgL_blabz00_1960 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3747z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 301 */
BgL_blabz00_1960 = 
CNST_TABLE_REF(((long)26)); } 
{ /* Jvm/compiler.scm 301 */
obj_t BgL_elabz00_1961;
if(
CBOOL(BgL_debugzf3zf3_1959))
{ /* Jvm/compiler.scm 302 */
BgL_elabz00_1961 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3741z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 302 */
BgL_elabz00_1961 = 
CNST_TABLE_REF(((long)26)); } 
{ /* Jvm/compiler.scm 302 */

if(
CBOOL(BgL_blabz00_1960))
{ /* Jvm/compiler.scm 303 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_blabz00_1960); }  else 
{ /* Jvm/compiler.scm 303 */BFALSE; } 
{ 
obj_t BgL_l3058z00_1962;
{ /* Jvm/compiler.scm 309 */
obj_t BgL_auxz00_4693;
{ /* Jvm/compiler.scm 309 */
BgL_sfunz00_bglt BgL_obj1369z00_2946;
BgL_obj1369z00_2946 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1958); 
BgL_auxz00_4693 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2946))->BgL_argsz00); } 
BgL_l3058z00_1962 = 
bgl_reverse(BgL_auxz00_4693); } 
BgL_lname3059z00_1963:
if(
PAIRP(BgL_l3058z00_1962))
{ /* Jvm/compiler.scm 304 */
{ /* Jvm/compiler.scm 306 */
obj_t BgL_argz00_1967;
BgL_argz00_1967 = 
CAR(BgL_l3058z00_1962); 
BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1967)); 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1967), BgL_blabz00_1960, BgL_elabz00_1961); 
BGl__storez00zzjvm_instrz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1967)); } 
{ 
obj_t BgL_l3058z00_4691;
BgL_l3058z00_4691 = 
CDR(BgL_l3058z00_1962); 
BgL_l3058z00_1962 = BgL_l3058z00_4691; 
goto BgL_lname3059z00_1963;} }  else 
{ /* Jvm/compiler.scm 304 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 310 */
obj_t BgL_stkz00_1969;
BgL_stkz00_1969 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
{ /* Jvm/compiler.scm 310 */
obj_t BgL_varsz00_1970;
if(
NULLP(BgL_stkz00_1969))
{ /* Jvm/compiler.scm 311 */
BgL_varsz00_1970 = BNIL; }  else 
{ /* Jvm/compiler.scm 311 */
obj_t BgL_head3062z00_2003;
BgL_head3062z00_2003 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3060z00_2004;obj_t BgL_tail3063z00_2005;
BgL_l3060z00_2004 = BgL_stkz00_1969; 
BgL_tail3063z00_2005 = BgL_head3062z00_2003; 
BgL_lname3061z00_2006:
if(
NULLP(BgL_l3060z00_2004))
{ /* Jvm/compiler.scm 311 */
BgL_varsz00_1970 = 
CDR(BgL_head3062z00_2003); }  else 
{ /* Jvm/compiler.scm 311 */
obj_t BgL_newtail3064z00_2008;
{ /* Jvm/compiler.scm 311 */
obj_t BgL_arg3414z00_2010;
BgL_arg3414z00_2010 = 
BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_51, 
CAR(BgL_l3060z00_2004)); 
BgL_newtail3064z00_2008 = 
MAKE_PAIR(BgL_arg3414z00_2010, BNIL); } 
SET_CDR(BgL_tail3063z00_2005, BgL_newtail3064z00_2008); 
{ 
obj_t BgL_tail3063z00_4710;obj_t BgL_l3060z00_4708;
BgL_l3060z00_4708 = 
CDR(BgL_l3060z00_2004); 
BgL_tail3063z00_4710 = BgL_newtail3064z00_2008; 
BgL_tail3063z00_2005 = BgL_tail3063z00_4710; 
BgL_l3060z00_2004 = BgL_l3060z00_4708; 
goto BgL_lname3061z00_2006;} } } } 
{ /* Jvm/compiler.scm 311 */

{ /* Jvm/compiler.scm 313 */
obj_t BgL_arg3391z00_1971;
{ /* Jvm/compiler.scm 313 */
obj_t BgL_arg3392z00_1972;
BgL_arg3392z00_1972 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/compiler.scm 313 */
obj_t BgL_list3394z00_1974;
{ /* Jvm/compiler.scm 313 */
obj_t BgL_arg3395z00_1975;
{ /* Jvm/compiler.scm 313 */
obj_t BgL_auxz00_4712;
{ /* Jvm/compiler.scm 313 */
BgL_localz00_bglt BgL_obj1249z00_2962;
BgL_obj1249z00_2962 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4712 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2962))->BgL_namez00); } 
BgL_arg3395z00_1975 = 
MAKE_PAIR(BgL_auxz00_4712, BNIL); } 
BgL_list3394z00_1974 = 
MAKE_PAIR(BgL_arg3392z00_1972, BgL_arg3395z00_1975); } 
BgL_arg3391z00_1971 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3394z00_1974); } } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_arg3391z00_1971); } 
{ 
obj_t BgL_ll3065z00_1976;obj_t BgL_ll3066z00_1977;
BgL_ll3065z00_1976 = BgL_varsz00_1970; 
BgL_ll3066z00_1977 = BgL_stkz00_1969; 
BgL_lname3067z00_1978:
if(
NULLP(BgL_ll3065z00_1976))
{ /* Jvm/compiler.scm 314 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 314 */
BGl__store_namez00zzjvm_instrz00(BgL_envz00_51, 
CAR(BgL_ll3065z00_1976), 
CAR(BgL_ll3066z00_1977)); 
{ 
obj_t BgL_ll3066z00_4726;obj_t BgL_ll3065z00_4724;
BgL_ll3065z00_4724 = 
CDR(BgL_ll3065z00_1976); 
BgL_ll3066z00_4726 = 
CDR(BgL_ll3066z00_1977); 
BgL_ll3066z00_1977 = BgL_ll3066z00_4726; 
BgL_ll3065z00_1976 = BgL_ll3065z00_4724; 
goto BgL_lname3067z00_1978;} } } 
{ /* Jvm/compiler.scm 317 */
obj_t BgL_auxz00_4728;
{ /* Jvm/compiler.scm 317 */
BgL_localz00_bglt BgL_obj1249z00_2968;
BgL_obj1249z00_2968 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4728 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2968))->BgL_namez00); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4728); } 
if(
NULLP(BgL_stkz00_1969))
{ /* Jvm/compiler.scm 320 */
BgL_nodez00_bglt BgL_auxz00_4734;
{ /* Jvm/compiler.scm 320 */
obj_t BgL_auxz00_4735;
{ /* Jvm/compiler.scm 320 */
BgL_sfunz00_bglt BgL_obj1372z00_2970;
BgL_obj1372z00_2970 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1958); 
BgL_auxz00_4735 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2970))->BgL_bodyz00); } 
BgL_auxz00_4734 = 
(BgL_nodez00_bglt)(BgL_auxz00_4735); } 
BGl_compilezd2tailzd2zzjvm_tailz00(BgL_auxz00_4734, BgL_envz00_51); }  else 
{ /* Jvm/compiler.scm 321 */
BgL_nodez00_bglt BgL_auxz00_4740;
{ /* Jvm/compiler.scm 321 */
obj_t BgL_auxz00_4741;
{ /* Jvm/compiler.scm 321 */
BgL_sfunz00_bglt BgL_obj1372z00_2971;
BgL_obj1372z00_2971 = 
(BgL_sfunz00_bglt)(BgL_instance3056z00_1958); 
BgL_auxz00_4741 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2971))->BgL_bodyz00); } 
BgL_auxz00_4740 = 
(BgL_nodez00_bglt)(BgL_auxz00_4741); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4740, BgL_envz00_51); } 
if(
CBOOL(BgL_elabz00_1961))
{ /* Jvm/compiler.scm 322 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_elabz00_1961); }  else 
{ /* Jvm/compiler.scm 322 */BFALSE; } 
if(
NULLP(BgL_stkz00_1969))
{ /* Jvm/compiler.scm 323 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 324 */
obj_t BgL_trz00_1989;
{ /* Jvm/compiler.scm 324 */
obj_t BgL_auxz00_4751;
BgL_auxz00_4751 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_trz00_1989 = 
CAR(BgL_auxz00_4751); } 
BGl__store_namez00zzjvm_instrz00(BgL_envz00_51, 
CNST_TABLE_REF(((long)32)), BgL_trz00_1989); 
{ 
obj_t BgL_ll3068z00_1990;obj_t BgL_ll3069z00_1991;
BgL_ll3068z00_1990 = 
bgl_reverse(BgL_varsz00_1970); 
BgL_ll3069z00_1991 = 
bgl_reverse(BgL_stkz00_1969); 
BgL_lname3070z00_1992:
if(
NULLP(BgL_ll3068z00_1990))
{ /* Jvm/compiler.scm 327 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 327 */
BGl__load_namez00zzjvm_instrz00(BgL_envz00_51, 
CAR(BgL_ll3068z00_1990), 
CAR(BgL_ll3069z00_1991)); 
{ 
obj_t BgL_ll3069z00_4763;obj_t BgL_ll3068z00_4761;
BgL_ll3068z00_4761 = 
CDR(BgL_ll3068z00_1990); 
BgL_ll3069z00_4763 = 
CDR(BgL_ll3069z00_1991); 
BgL_ll3069z00_1991 = BgL_ll3069z00_4763; 
BgL_ll3068z00_1990 = BgL_ll3068z00_4761; 
goto BgL_lname3070z00_1992;} } } 
return 
BGl__load_namez00zzjvm_instrz00(BgL_envz00_51, 
CNST_TABLE_REF(((long)32)), BgL_trz00_1989);} } } } } } } } } } } 
}



/* compiler-app */
obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt BgL_ez00_52, BgL_envz00_bglt BgL_envz00_53)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 333 */
{ /* Jvm/compiler.scm 334 */
obj_t BgL_nz00_2982;
BgL_nz00_2982 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_52)); 
if(
CBOOL(BgL_nz00_2982))
{ /* Jvm/compiler.scm 334 */
BGl__linez00zzjvm_instrz00(BgL_envz00_53, BgL_nz00_2982); }  else 
{ /* Jvm/compiler.scm 334 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 336 */
BgL_variablez00_bglt BgL_vz00_2014;
{ /* Jvm/compiler.scm 336 */
BgL_varz00_bglt BgL_arg3425z00_2032;
BgL_arg3425z00_2032 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_funz00); 
BgL_vz00_2014 = 
(((BgL_varz00_bglt)CREF(BgL_arg3425z00_2032))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 337 */
bool_t BgL_test3416z00_2015;
BgL_test3416z00_2015 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2014), BGl_localz00zzast_varz00); 
if(BgL_test3416z00_2015)
{ /* Jvm/compiler.scm 337 */
return 
BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_vz00_2014, 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), BgL_envz00_53);}  else 
{ /* Jvm/compiler.scm 339 */
bool_t BgL_test3418z00_2017;
{ /* Jvm/compiler.scm 339 */
obj_t BgL_auxz00_4782;
BgL_auxz00_4782 = 
BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_vz00_2014, 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), BgL_envz00_53); 
BgL_test3418z00_2017 = 
CBOOL(BgL_auxz00_4782); } 
if(BgL_test3418z00_2017)
{ /* Jvm/compiler.scm 339 */
return 
CNST_TABLE_REF(((long)33));}  else 
{ /* Jvm/compiler.scm 340 */
obj_t BgL__ortest_3073z00_2018;
BgL__ortest_3073z00_2018 = 
PROCEDURE_ENTRY(BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00)(BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2014), 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), 
(obj_t)(BgL_envz00_53), BEOA); 
if(
CBOOL(BgL__ortest_3073z00_2018))
{ /* Jvm/compiler.scm 340 */
return BgL__ortest_3073z00_2018;}  else 
{ /* Jvm/compiler.scm 340 */
{ /* Jvm/compiler.scm 342 */
obj_t BgL_typesz00_2019;
BgL_typesz00_2019 = 
BGl_typezd2argszd2zzjvm_compilerz00(BgL_vz00_2014, BgL_envz00_53); 
{ 
obj_t BgL_ll3074z00_2020;obj_t BgL_ll3075z00_2021;
BgL_ll3074z00_2020 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00); 
BgL_ll3075z00_2021 = BgL_typesz00_2019; 
BgL_lname3076z00_2022:
if(
NULLP(BgL_ll3074z00_2020))
{ /* Jvm/compiler.scm 343 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 343 */
{ /* Jvm/compiler.scm 344 */
obj_t BgL_tyz00_2026;
BgL_tyz00_2026 = 
CAR(BgL_ll3075z00_2021); 
{ /* Jvm/compiler.scm 344 */
BgL_nodez00_bglt BgL_auxz00_4799;
{ /* Jvm/compiler.scm 344 */
obj_t BgL_auxz00_4800;
BgL_auxz00_4800 = 
CAR(BgL_ll3074z00_2020); 
BgL_auxz00_4799 = 
(BgL_nodez00_bglt)(BgL_auxz00_4800); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4799, BgL_envz00_53); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 345 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_53, BgL_tyz00_2026); }  else 
{ /* Jvm/compiler.scm 345 */BFALSE; } } 
{ 
obj_t BgL_ll3075z00_4809;obj_t BgL_ll3074z00_4807;
BgL_ll3074z00_4807 = 
CDR(BgL_ll3074z00_2020); 
BgL_ll3075z00_4809 = 
CDR(BgL_ll3075z00_2021); 
BgL_ll3075z00_2021 = BgL_ll3075z00_4809; 
BgL_ll3074z00_2020 = BgL_ll3074z00_4807; 
goto BgL_lname3076z00_2022;} } } 
{ /* Jvm/compiler.scm 348 */
obj_t BgL__ortest_3077z00_2029;
BgL__ortest_3077z00_2029 = 
PROCEDURE_ENTRY(BGl_inlinezd2callzf3z21zzjvm_inlinez00)(BGl_inlinezd2callzf3z21zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2014), 
(obj_t)(BgL_envz00_53), BEOA); 
if(
CBOOL(BgL__ortest_3077z00_2029))
{ /* Jvm/compiler.scm 348 */
return BgL__ortest_3077z00_2029;}  else 
{ /* Jvm/compiler.scm 348 */
return 
BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_53, BgL_vz00_2014, BgL_typesz00_2019);} } } } } } } } } 
}



/* _compiler-app */
obj_t BGl__compilerzd2appzd2zzjvm_compilerz00(obj_t BgL_envz00_3847, obj_t BgL_ez00_3848, obj_t BgL_envz00_3849)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 333 */
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(
(BgL_appz00_bglt)(BgL_ez00_3848), 
(BgL_envz00_bglt)(BgL_envz00_3849));} 
}



/* type-args */
obj_t BGl_typezd2argszd2zzjvm_compilerz00(BgL_variablez00_bglt BgL_vz00_54, BgL_envz00_bglt BgL_envz00_55)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 351 */
{ /* Jvm/compiler.scm 353 */
obj_t BgL_l3080z00_2034;
{ /* Jvm/compiler.scm 354 */
bool_t BgL_test3432z00_2046;
{ /* Jvm/compiler.scm 354 */
obj_t BgL_auxz00_4822;
{ /* Jvm/compiler.scm 354 */
BgL_valuez00_bglt BgL_auxz00_4823;
{ /* Jvm/compiler.scm 354 */
BgL_globalz00_bglt BgL_obj1155z00_2995;
BgL_obj1155z00_2995 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4823 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2995))->BgL_valuez00); } 
BgL_auxz00_4822 = 
(obj_t)(BgL_auxz00_4823); } 
BgL_test3432z00_2046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4822, BGl_sfunz00zzast_varz00); } 
if(BgL_test3432z00_2046)
{ /* Jvm/compiler.scm 355 */
BgL_sfunz00_bglt BgL_obj1369z00_2998;
{ /* Jvm/compiler.scm 355 */
BgL_valuez00_bglt BgL_auxz00_4829;
{ /* Jvm/compiler.scm 355 */
BgL_globalz00_bglt BgL_obj1155z00_2997;
BgL_obj1155z00_2997 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4829 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2997))->BgL_valuez00); } 
BgL_obj1369z00_2998 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4829); } 
BgL_l3080z00_2034 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2998))->BgL_argsz00); }  else 
{ /* Jvm/compiler.scm 356 */
BgL_cfunz00_bglt BgL_obj1443z00_3000;
{ /* Jvm/compiler.scm 356 */
BgL_valuez00_bglt BgL_auxz00_4834;
{ /* Jvm/compiler.scm 356 */
BgL_globalz00_bglt BgL_obj1155z00_2999;
BgL_obj1155z00_2999 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4834 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2999))->BgL_valuez00); } 
BgL_obj1443z00_3000 = 
(BgL_cfunz00_bglt)(BgL_auxz00_4834); } 
BgL_l3080z00_2034 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_3000))->BgL_argszd2typezd2); } } 
if(
NULLP(BgL_l3080z00_2034))
{ /* Jvm/compiler.scm 353 */
return BNIL;}  else 
{ /* Jvm/compiler.scm 353 */
obj_t BgL_head3082z00_2036;
BgL_head3082z00_2036 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3080z00_2037;obj_t BgL_tail3083z00_2038;
BgL_l3080z00_2037 = BgL_l3080z00_2034; 
BgL_tail3083z00_2038 = BgL_head3082z00_2036; 
BgL_lname3081z00_2039:
if(
NULLP(BgL_l3080z00_2037))
{ /* Jvm/compiler.scm 353 */
return 
CDR(BgL_head3082z00_2036);}  else 
{ /* Jvm/compiler.scm 353 */
obj_t BgL_newtail3084z00_2041;
{ /* Jvm/compiler.scm 353 */
obj_t BgL_arg3430z00_2043;
BgL_arg3430z00_2043 = 
BGl_compilezd2typezd2zzjvm_envz00(
CAR(BgL_l3080z00_2037), BgL_envz00_55); 
BgL_newtail3084z00_2041 = 
MAKE_PAIR(BgL_arg3430z00_2043, BNIL); } 
SET_CDR(BgL_tail3083z00_2038, BgL_newtail3084z00_2041); 
{ 
obj_t BgL_tail3083z00_4851;obj_t BgL_l3080z00_4849;
BgL_l3080z00_4849 = 
CDR(BgL_l3080z00_2037); 
BgL_tail3083z00_4851 = BgL_newtail3084z00_2041; 
BgL_tail3083z00_2038 = BgL_tail3083z00_4851; 
BgL_l3080z00_2037 = BgL_l3080z00_4849; 
goto BgL_lname3081z00_2039;} } } } } } 
}



/* how-to-call */
obj_t BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_56, BgL_variablez00_bglt BgL_varz00_57, obj_t BgL_taz00_58)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 358 */
{ /* Jvm/compiler.scm 359 */
BgL_valuez00_bglt BgL_funz00_2050;obj_t BgL_targetz00_2051;obj_t BgL_trz00_2052;
BgL_funz00_2050 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_57))->BgL_valuez00); 
BgL_targetz00_2051 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_56, 
(BgL_globalz00_bglt)(BgL_varz00_57)); 
{ /* Jvm/compiler.scm 361 */
obj_t BgL_auxz00_4855;
{ /* Jvm/compiler.scm 361 */
BgL_typez00_bglt BgL_auxz00_4856;
{ /* Jvm/compiler.scm 361 */
BgL_globalz00_bglt BgL_obj1152z00_3013;
BgL_obj1152z00_3013 = 
(BgL_globalz00_bglt)(BgL_varz00_57); 
BgL_auxz00_4856 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_3013))->BgL_typez00); } 
BgL_auxz00_4855 = 
(obj_t)(BgL_auxz00_4856); } 
BgL_trz00_2052 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4855, BgL_envz00_56); } 
{ /* Jvm/compiler.scm 363 */
bool_t BgL_test3436z00_2053;
BgL_test3436z00_2053 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2050), BGl_cfunz00zzast_varz00); 
if(BgL_test3436z00_2053)
{ /* Jvm/compiler.scm 364 */
bool_t BgL_test3437z00_2054;
{ /* Jvm/compiler.scm 364 */
obj_t BgL_auxz00_4864;
BgL_auxz00_4864 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_57))->BgL_namez00); 
BgL_test3437z00_2054 = 
bigloo_strcmp(BgL_auxz00_4864, BGl_string3748z00zzjvm_compilerz00); } 
if(BgL_test3437z00_2054)
{ /* Jvm/compiler.scm 364 */
return 
BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);}  else 
{ /* Jvm/compiler.scm 364 */
{ /* Jvm/compiler.scm 367 */
obj_t BgL_modifiersz00_2055;
{ /* Jvm/compiler.scm 367 */
BgL_cfunz00_bglt BgL_obj1448z00_3018;
BgL_obj1448z00_3018 = 
(BgL_cfunz00_bglt)(BgL_funz00_2050); 
BgL_modifiersz00_2055 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1448z00_3018))->BgL_methodz00); } 
{ /* Jvm/compiler.scm 369 */
bool_t BgL_testz00_4871;
{ /* Jvm/compiler.scm 369 */
obj_t BgL_auxz00_4872;
BgL_auxz00_4872 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)34)), BgL_modifiersz00_2055); 
BgL_testz00_4871 = 
CBOOL(BgL_auxz00_4872); } 
if(BgL_testz00_4871)
{ /* Jvm/compiler.scm 369 */
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);}  else 
{ /* Jvm/compiler.scm 370 */
bool_t BgL_testz00_4877;
{ /* Jvm/compiler.scm 370 */
obj_t BgL_auxz00_4878;
BgL_auxz00_4878 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)35)), BgL_modifiersz00_2055); 
BgL_testz00_4877 = 
CBOOL(BgL_auxz00_4878); } 
if(BgL_testz00_4877)
{ /* Jvm/compiler.scm 370 */
return 
BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);}  else 
{ /* Jvm/compiler.scm 371 */
bool_t BgL_testz00_4883;
{ /* Jvm/compiler.scm 371 */
obj_t BgL_auxz00_4884;
BgL_auxz00_4884 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)36)), BgL_modifiersz00_2055); 
BgL_testz00_4883 = 
CBOOL(BgL_auxz00_4884); } 
if(BgL_testz00_4883)
{ /* Jvm/compiler.scm 371 */
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);}  else 
{ /* Jvm/compiler.scm 372 */
bool_t BgL_testz00_4889;
{ /* Jvm/compiler.scm 372 */
obj_t BgL_auxz00_4890;
BgL_auxz00_4890 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_modifiersz00_2055); 
BgL_testz00_4889 = 
CBOOL(BgL_auxz00_4890); } 
if(BgL_testz00_4889)
{ /* Jvm/compiler.scm 372 */
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);}  else 
{ /* Jvm/compiler.scm 372 */
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);} } } } } } } }  else 
{ /* Jvm/compiler.scm 363 */
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2051, BgL_taz00_58, BgL_trz00_2052);} } } } 
}



/* special-call? */
obj_t BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_variablez00_bglt BgL_varz00_59, obj_t BgL_argsz00_60, BgL_envz00_bglt BgL_envz00_61)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 375 */
{ /* Jvm/compiler.scm 379 */
bool_t BgL_testz00_4897;
{ /* Jvm/compiler.scm 379 */
bool_t BgL_testz00_4898;
{ /* Jvm/compiler.scm 379 */
obj_t BgL_auxz00_4902;obj_t BgL_auxz00_4899;
BgL_auxz00_4902 = 
CNST_TABLE_REF(((long)38)); 
{ /* Jvm/compiler.scm 379 */
BgL_globalz00_bglt BgL_obj1148z00_3019;
BgL_obj1148z00_3019 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_4899 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3019))->BgL_idz00); } 
BgL_testz00_4898 = 
(BgL_auxz00_4899==BgL_auxz00_4902); } 
if(BgL_testz00_4898)
{ /* Jvm/compiler.scm 379 */
BgL_testz00_4897 = ((bool_t)1)
; }  else 
{ /* Jvm/compiler.scm 380 */
obj_t BgL_auxz00_4908;obj_t BgL_auxz00_4905;
BgL_auxz00_4908 = 
CNST_TABLE_REF(((long)39)); 
{ /* Jvm/compiler.scm 380 */
BgL_globalz00_bglt BgL_obj1148z00_3020;
BgL_obj1148z00_3020 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_4905 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3020))->BgL_idz00); } 
BgL_testz00_4897 = 
(BgL_auxz00_4905==BgL_auxz00_4908); } } 
if(BgL_testz00_4897)
{ /* Jvm/compiler.scm 379 */
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 383 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 383 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 387 */
BgL_nodez00_bglt BgL_auxz00_4921;
{ /* Jvm/compiler.scm 387 */
obj_t BgL_auxz00_4922;
BgL_auxz00_4922 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_4921 = 
(BgL_nodez00_bglt)(BgL_auxz00_4922); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4921, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 388 */
obj_t BgL_arg3449z00_2067;
BgL_arg3449z00_2067 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3449z00_2067); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 390 */
BgL_nodez00_bglt BgL_auxz00_4930;
{ /* Jvm/compiler.scm 390 */
obj_t BgL_auxz00_4931;
{ /* Jvm/compiler.scm 390 */
obj_t BgL_auxz00_4932;
BgL_auxz00_4932 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_4931 = 
CAR(BgL_auxz00_4932); } 
BgL_auxz00_4930 = 
(BgL_nodez00_bglt)(BgL_auxz00_4931); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4930, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 391 */
obj_t BgL_arg3451z00_2069;
BgL_arg3451z00_2069 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)43))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3451z00_2069); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 393 */
BgL_nodez00_bglt BgL_auxz00_4941;
{ /* Jvm/compiler.scm 393 */
obj_t BgL_auxz00_4942;
{ /* Jvm/compiler.scm 393 */
obj_t BgL_auxz00_4943;
{ /* Jvm/compiler.scm 393 */
obj_t BgL_auxz00_4944;
BgL_auxz00_4944 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_4943 = 
CDR(BgL_auxz00_4944); } 
BgL_auxz00_4942 = 
CAR(BgL_auxz00_4943); } 
BgL_auxz00_4941 = 
(BgL_nodez00_bglt)(BgL_auxz00_4942); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4941, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 394 */
obj_t BgL_arg3453z00_2071;
BgL_arg3453z00_2071 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3453z00_2071); } 
{ /* Jvm/compiler.scm 395 */
obj_t BgL_arg3454z00_2072;
BgL_arg3454z00_2072 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)45))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3454z00_2072); } 
return BTRUE;}  else 
{ /* Jvm/compiler.scm 397 */
bool_t BgL_testz00_4956;
{ /* Jvm/compiler.scm 397 */
obj_t BgL_auxz00_4960;obj_t BgL_auxz00_4957;
BgL_auxz00_4960 = 
CNST_TABLE_REF(((long)46)); 
{ /* Jvm/compiler.scm 397 */
BgL_globalz00_bglt BgL_obj1148z00_3033;
BgL_obj1148z00_3033 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_4957 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3033))->BgL_idz00); } 
BgL_testz00_4956 = 
(BgL_auxz00_4957==BgL_auxz00_4960); } 
if(BgL_testz00_4956)
{ /* Jvm/compiler.scm 397 */
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 400 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 400 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 404 */
BgL_nodez00_bglt BgL_auxz00_4973;
{ /* Jvm/compiler.scm 404 */
obj_t BgL_auxz00_4974;
BgL_auxz00_4974 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_4973 = 
(BgL_nodez00_bglt)(BgL_auxz00_4974); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4973, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 405 */
obj_t BgL_arg3458z00_2076;
BgL_arg3458z00_2076 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3458z00_2076); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 407 */
BgL_nodez00_bglt BgL_auxz00_4982;
{ /* Jvm/compiler.scm 407 */
obj_t BgL_auxz00_4983;
{ /* Jvm/compiler.scm 407 */
obj_t BgL_auxz00_4984;
BgL_auxz00_4984 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_4983 = 
CAR(BgL_auxz00_4984); } 
BgL_auxz00_4982 = 
(BgL_nodez00_bglt)(BgL_auxz00_4983); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4982, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 408 */
obj_t BgL_arg3460z00_2078;
BgL_arg3460z00_2078 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3460z00_2078); } 
{ /* Jvm/compiler.scm 409 */
obj_t BgL_arg3461z00_2079;
BgL_arg3461z00_2079 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)45))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3461z00_2079); } 
return BTRUE;}  else 
{ /* Jvm/compiler.scm 411 */
bool_t BgL_testz00_4995;
{ /* Jvm/compiler.scm 411 */
obj_t BgL_auxz00_4999;obj_t BgL_auxz00_4996;
BgL_auxz00_4999 = 
CNST_TABLE_REF(((long)47)); 
{ /* Jvm/compiler.scm 411 */
BgL_globalz00_bglt BgL_obj1148z00_3040;
BgL_obj1148z00_3040 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_4996 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3040))->BgL_idz00); } 
BgL_testz00_4995 = 
(BgL_auxz00_4996==BgL_auxz00_4999); } 
if(BgL_testz00_4995)
{ /* Jvm/compiler.scm 411 */
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)48))); 
{ /* Jvm/compiler.scm 414 */
BgL_nodez00_bglt BgL_auxz00_5004;
{ /* Jvm/compiler.scm 414 */
obj_t BgL_auxz00_5005;
BgL_auxz00_5005 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5004 = 
(BgL_nodez00_bglt)(BgL_auxz00_5005); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5004, BgL_envz00_61); } 
return 
BGl__aloadz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44)));}  else 
{ /* Jvm/compiler.scm 416 */
bool_t BgL_testz00_5011;
{ /* Jvm/compiler.scm 416 */
obj_t BgL_auxz00_5015;obj_t BgL_auxz00_5012;
BgL_auxz00_5015 = 
CNST_TABLE_REF(((long)49)); 
{ /* Jvm/compiler.scm 416 */
BgL_globalz00_bglt BgL_obj1148z00_3042;
BgL_obj1148z00_3042 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5012 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3042))->BgL_idz00); } 
BgL_testz00_5011 = 
(BgL_auxz00_5012==BgL_auxz00_5015); } 
if(BgL_testz00_5011)
{ /* Jvm/compiler.scm 416 */
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)48))); 
{ /* Jvm/compiler.scm 419 */
BgL_nodez00_bglt BgL_auxz00_5020;
{ /* Jvm/compiler.scm 419 */
obj_t BgL_auxz00_5021;
BgL_auxz00_5021 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5020 = 
(BgL_nodez00_bglt)(BgL_auxz00_5021); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5020, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 420 */
BgL_nodez00_bglt BgL_auxz00_5025;
{ /* Jvm/compiler.scm 420 */
obj_t BgL_auxz00_5026;
{ /* Jvm/compiler.scm 420 */
obj_t BgL_auxz00_5027;
BgL_auxz00_5027 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_5026 = 
CAR(BgL_auxz00_5027); } 
BgL_auxz00_5025 = 
(BgL_nodez00_bglt)(BgL_auxz00_5026); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5025, BgL_envz00_61); } 
BGl__astorez00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
{ /* Jvm/compiler.scm 422 */
obj_t BgL_arg3467z00_2085;
BgL_arg3467z00_2085 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)19))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3467z00_2085);} }  else 
{ /* Jvm/compiler.scm 423 */
bool_t BgL_testz00_5037;
{ /* Jvm/compiler.scm 423 */
obj_t BgL_auxz00_5041;obj_t BgL_auxz00_5038;
BgL_auxz00_5041 = 
CNST_TABLE_REF(((long)50)); 
{ /* Jvm/compiler.scm 423 */
BgL_globalz00_bglt BgL_obj1148z00_3048;
BgL_obj1148z00_3048 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5038 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3048))->BgL_idz00); } 
BgL_testz00_5037 = 
(BgL_auxz00_5038==BgL_auxz00_5041); } 
if(BgL_testz00_5037)
{ /* Jvm/compiler.scm 423 */
{ /* Jvm/compiler.scm 425 */
bool_t BgL_test3469z00_2087;
BgL_test3469z00_2087 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_argsz00_60), BGl_varz00zzast_nodez00); 
if(BgL_test3469z00_2087)
{ /* Jvm/compiler.scm 427 */
BgL_variablez00_bglt BgL_vz00_2088;
{ /* Jvm/compiler.scm 427 */
BgL_varz00_bglt BgL_obj1619z00_3052;
{ /* Jvm/compiler.scm 427 */
obj_t BgL_auxz00_5047;
BgL_auxz00_5047 = 
CAR(BgL_argsz00_60); 
BgL_obj1619z00_3052 = 
(BgL_varz00_bglt)(BgL_auxz00_5047); } 
BgL_vz00_2088 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3052))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 428 */
bool_t BgL_test3470z00_2089;
BgL_test3470z00_2089 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2088), BGl_globalz00zzast_varz00); 
if(BgL_test3470z00_2089)
{ /* Jvm/compiler.scm 429 */
obj_t BgL_iz00_2090;
{ /* Jvm/compiler.scm 429 */
obj_t BgL_arg3473z00_2093;
BgL_arg3473z00_2093 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_61, 
(BgL_globalz00_bglt)(BgL_vz00_2088)); 
BgL_iz00_2090 = 
BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_61, BgL_arg3473z00_2093); } 
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 431 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 431 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__pushz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)8)), BgL_iz00_2090); 
{ /* Jvm/compiler.scm 436 */
obj_t BgL_arg3472z00_2092;
BgL_arg3472z00_2092 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg3472z00_2092); } 
return BTRUE;}  else 
{ 
obj_t BgL_auxz00_5072;
BgL_auxz00_5072 = 
(obj_t)(BgL_vz00_2088); 
FAILURE(BGl_string3749z00zzjvm_compilerz00,BGl_string3750z00zzjvm_compilerz00,BgL_auxz00_5072);} } }  else 
{ 
obj_t BgL_auxz00_5075;
BgL_auxz00_5075 = 
CAR(BgL_argsz00_60); 
FAILURE(BGl_string3749z00zzjvm_compilerz00,BGl_string3751z00zzjvm_compilerz00,BgL_auxz00_5075);} } }  else 
{ /* Jvm/compiler.scm 423 */
return BFALSE;} } } } } } } 
}



/* compiler-apply */
obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt BgL_ez00_62, BgL_envz00_bglt BgL_envz00_63)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 442 */
{ /* Jvm/compiler.scm 443 */
obj_t BgL_nz00_3064;
BgL_nz00_3064 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_62)); 
if(
CBOOL(BgL_nz00_3064))
{ /* Jvm/compiler.scm 443 */
BGl__linez00zzjvm_instrz00(BgL_envz00_63, BgL_nz00_3064); }  else 
{ /* Jvm/compiler.scm 443 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_62))->BgL_funz00), BgL_envz00_63); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 446 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_63, 
CNST_TABLE_REF(((long)51))); }  else 
{ /* Jvm/compiler.scm 446 */BFALSE; } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_62))->BgL_argz00), BgL_envz00_63); 
{ /* Jvm/compiler.scm 448 */
obj_t BgL_arg3494z00_2115;obj_t BgL_arg3495z00_2116;obj_t BgL_arg3496z00_2117;
BgL_arg3494z00_2115 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_63, 
CNST_TABLE_REF(((long)52))); 
BgL_arg3495z00_2116 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3496z00_2117 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_63, BgL_arg3494z00_2115, BgL_arg3495z00_2116, BgL_arg3496z00_2117);} } 
}



/* _compiler-apply */
obj_t BGl__compilerzd2applyzd2zzjvm_compilerz00(obj_t BgL_envz00_3850, obj_t BgL_ez00_3851, obj_t BgL_envz00_3852)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 442 */
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3851), 
(BgL_envz00_bglt)(BgL_envz00_3852));} 
}



/* compiler-funcall */
obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt BgL_ez00_64, BgL_envz00_bglt BgL_envz00_65)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 451 */
{ /* Jvm/compiler.scm 452 */
obj_t BgL_nz00_3069;
BgL_nz00_3069 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_64)); 
if(
CBOOL(BgL_nz00_3069))
{ /* Jvm/compiler.scm 452 */
BGl__linez00zzjvm_instrz00(BgL_envz00_65, BgL_nz00_3069); }  else 
{ /* Jvm/compiler.scm 452 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 456 */
bool_t BgL_test3497z00_2119;
{ /* Jvm/compiler.scm 456 */
bool_t BgL_test3539z00_2173;
{ /* Jvm/compiler.scm 456 */
obj_t BgL_auxz00_5106;
{ /* Jvm/compiler.scm 456 */
BgL_nodez00_bglt BgL_auxz00_5107;
BgL_auxz00_5107 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_auxz00_5106 = 
(obj_t)(BgL_auxz00_5107); } 
BgL_test3539z00_2173 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5106, BGl_varz00zzast_nodez00); } 
if(BgL_test3539z00_2173)
{ /* Jvm/compiler.scm 457 */
bool_t BgL_test3540z00_2174;
{ /* Jvm/compiler.scm 457 */
obj_t BgL_auxz00_5112;
{ /* Jvm/compiler.scm 457 */
BgL_variablez00_bglt BgL_auxz00_5113;
{ /* Jvm/compiler.scm 457 */
BgL_varz00_bglt BgL_obj1619z00_3073;
{ /* Jvm/compiler.scm 457 */
BgL_nodez00_bglt BgL_auxz00_5114;
BgL_auxz00_5114 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1619z00_3073 = 
(BgL_varz00_bglt)(BgL_auxz00_5114); } 
BgL_auxz00_5113 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3073))->BgL_variablez00); } 
BgL_auxz00_5112 = 
(obj_t)(BgL_auxz00_5113); } 
BgL_test3540z00_2174 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5112, BGl_globalz00zzast_varz00); } 
if(BgL_test3540z00_2174)
{ /* Jvm/compiler.scm 458 */
obj_t BgL_auxz00_5121;
{ /* Jvm/compiler.scm 458 */
BgL_valuez00_bglt BgL_auxz00_5122;
{ /* Jvm/compiler.scm 458 */
BgL_globalz00_bglt BgL_obj1155z00_3077;
{ /* Jvm/compiler.scm 458 */
BgL_variablez00_bglt BgL_auxz00_5123;
{ /* Jvm/compiler.scm 458 */
BgL_varz00_bglt BgL_obj1619z00_3076;
{ /* Jvm/compiler.scm 458 */
BgL_nodez00_bglt BgL_auxz00_5124;
BgL_auxz00_5124 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1619z00_3076 = 
(BgL_varz00_bglt)(BgL_auxz00_5124); } 
BgL_auxz00_5123 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3076))->BgL_variablez00); } 
BgL_obj1155z00_3077 = 
(BgL_globalz00_bglt)(BgL_auxz00_5123); } 
BgL_auxz00_5122 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_3077))->BgL_valuez00); } 
BgL_auxz00_5121 = 
(obj_t)(BgL_auxz00_5122); } 
BgL_test3497z00_2119 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5121, BGl_sfunz00zzast_varz00); }  else 
{ /* Jvm/compiler.scm 457 */
BgL_test3497z00_2119 = ((bool_t)0); } }  else 
{ /* Jvm/compiler.scm 456 */
BgL_test3497z00_2119 = ((bool_t)0); } } 
if(BgL_test3497z00_2119)
{ /* Jvm/compiler.scm 459 */
BgL_variablez00_bglt BgL_vz00_2120;
{ /* Jvm/compiler.scm 459 */
BgL_varz00_bglt BgL_obj1619z00_3080;
{ /* Jvm/compiler.scm 459 */
BgL_nodez00_bglt BgL_auxz00_5133;
BgL_auxz00_5133 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1619z00_3080 = 
(BgL_varz00_bglt)(BgL_auxz00_5133); } 
BgL_vz00_2120 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3080))->BgL_variablez00); } 
{ 
obj_t BgL_l3091z00_2121;
{ /* Jvm/compiler.scm 461 */
obj_t BgL_arg3498z00_2123;
{ /* Jvm/compiler.scm 461 */
obj_t BgL_auxz00_5137;
{ /* Jvm/compiler.scm 461 */
obj_t BgL_auxz00_5138;
BgL_auxz00_5138 = 
bgl_reverse(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_argsz00)); 
BgL_auxz00_5137 = 
CDR(BgL_auxz00_5138); } 
BgL_arg3498z00_2123 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5137); } 
BgL_l3091z00_2121 = BgL_arg3498z00_2123; 
BgL_lname3092z00_2122:
if(
PAIRP(BgL_l3091z00_2121))
{ /* Jvm/compiler.scm 460 */
{ /* Jvm/compiler.scm 460 */
BgL_nodez00_bglt BgL_auxz00_5145;
{ /* Jvm/compiler.scm 460 */
obj_t BgL_auxz00_5146;
BgL_auxz00_5146 = 
CAR(BgL_l3091z00_2121); 
BgL_auxz00_5145 = 
(BgL_nodez00_bglt)(BgL_auxz00_5146); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5145, BgL_envz00_65); } 
{ 
obj_t BgL_l3091z00_5150;
BgL_l3091z00_5150 = 
CDR(BgL_l3091z00_2121); 
BgL_l3091z00_2121 = BgL_l3091z00_5150; 
goto BgL_lname3092z00_2122;} }  else 
{ /* Jvm/compiler.scm 460 */((bool_t)1); } } } 
{ /* Jvm/compiler.scm 462 */
obj_t BgL_arg3504z00_2130;obj_t BgL_arg3505z00_2131;obj_t BgL_arg3506z00_2132;
BgL_arg3504z00_2130 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_65, 
(BgL_globalz00_bglt)(BgL_vz00_2120)); 
BgL_arg3505z00_2131 = 
BGl_typezd2argszd2zzjvm_compilerz00(BgL_vz00_2120, BgL_envz00_65); 
{ /* Jvm/compiler.scm 464 */
obj_t BgL_auxz00_5155;
{ /* Jvm/compiler.scm 464 */
BgL_typez00_bglt BgL_auxz00_5156;
{ /* Jvm/compiler.scm 464 */
BgL_globalz00_bglt BgL_obj1152z00_3086;
BgL_obj1152z00_3086 = 
(BgL_globalz00_bglt)(BgL_vz00_2120); 
BgL_auxz00_5156 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_3086))->BgL_typez00); } 
BgL_auxz00_5155 = 
(obj_t)(BgL_auxz00_5156); } 
BgL_arg3506z00_2132 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5155, BgL_envz00_65); } 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3504z00_2130, BgL_arg3505z00_2131, BgL_arg3506z00_2132);} }  else 
{ /* Jvm/compiler.scm 456 */
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00), BgL_envz00_65); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 467 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)51))); }  else 
{ /* Jvm/compiler.scm 467 */BFALSE; } 
{ /* Jvm/compiler.scm 469 */
obj_t BgL_argsz00_2136;
{ /* Jvm/compiler.scm 469 */
obj_t BgL_auxz00_5168;
{ /* Jvm/compiler.scm 469 */
obj_t BgL_auxz00_5169;
{ /* Jvm/compiler.scm 469 */
obj_t BgL_auxz00_5170;
{ /* Jvm/compiler.scm 469 */
obj_t BgL_auxz00_5171;
BgL_auxz00_5171 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_argsz00); 
BgL_auxz00_5170 = 
CDR(BgL_auxz00_5171); } 
BgL_auxz00_5169 = 
bgl_reverse(BgL_auxz00_5170); } 
BgL_auxz00_5168 = 
CDR(BgL_auxz00_5169); } 
BgL_argsz00_2136 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5168); } 
{ 
obj_t BgL_l3093z00_2137;
BgL_l3093z00_2137 = BgL_argsz00_2136; 
BgL_lname3094z00_2138:
if(
PAIRP(BgL_l3093z00_2137))
{ /* Jvm/compiler.scm 470 */
{ /* Jvm/compiler.scm 470 */
BgL_nodez00_bglt BgL_auxz00_5179;
{ /* Jvm/compiler.scm 470 */
obj_t BgL_auxz00_5180;
BgL_auxz00_5180 = 
CAR(BgL_l3093z00_2137); 
BgL_auxz00_5179 = 
(BgL_nodez00_bglt)(BgL_auxz00_5180); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5179, BgL_envz00_65); } 
{ 
obj_t BgL_l3093z00_5184;
BgL_l3093z00_5184 = 
CDR(BgL_l3093z00_2137); 
BgL_l3093z00_2137 = BgL_l3093z00_5184; 
goto BgL_lname3094z00_2138;} }  else 
{ /* Jvm/compiler.scm 470 */((bool_t)1); } } 
{ 

switch( 
bgl_list_length(BgL_argsz00_2136)) { case ((long)0) : 

{ /* Jvm/compiler.scm 472 */
obj_t BgL_arg3513z00_2145;obj_t BgL_arg3514z00_2146;obj_t BgL_arg3516z00_2147;
BgL_arg3513z00_2145 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)56))); 
BgL_arg3514z00_2146 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg3516z00_2147 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3513z00_2145, BgL_arg3514z00_2146, BgL_arg3516z00_2147);} break;case ((long)1) : 

{ /* Jvm/compiler.scm 474 */
obj_t BgL_arg3517z00_2148;obj_t BgL_arg3518z00_2149;obj_t BgL_arg3519z00_2150;
BgL_arg3517z00_2148 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)57))); 
BgL_arg3518z00_2149 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3519z00_2150 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3517z00_2148, BgL_arg3518z00_2149, BgL_arg3519z00_2150);} break;case ((long)2) : 

{ /* Jvm/compiler.scm 476 */
obj_t BgL_arg3520z00_2151;obj_t BgL_arg3521z00_2152;obj_t BgL_arg3522z00_2153;
BgL_arg3520z00_2151 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)58))); 
BgL_arg3521z00_2152 = 
CNST_TABLE_REF(((long)59)); 
BgL_arg3522z00_2153 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3520z00_2151, BgL_arg3521z00_2152, BgL_arg3522z00_2153);} break;case ((long)3) : 

{ /* Jvm/compiler.scm 478 */
obj_t BgL_arg3523z00_2154;obj_t BgL_arg3524z00_2155;obj_t BgL_arg3525z00_2156;
BgL_arg3523z00_2154 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)60))); 
BgL_arg3524z00_2155 = 
CNST_TABLE_REF(((long)61)); 
BgL_arg3525z00_2156 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3523z00_2154, BgL_arg3524z00_2155, BgL_arg3525z00_2156);} break;case ((long)4) : 

{ /* Jvm/compiler.scm 480 */
obj_t BgL_arg3526z00_2157;obj_t BgL_arg3527z00_2158;obj_t BgL_arg3528z00_2159;
BgL_arg3526z00_2157 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)62))); 
BgL_arg3527z00_2158 = 
CNST_TABLE_REF(((long)63)); 
BgL_arg3528z00_2159 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3526z00_2157, BgL_arg3527z00_2158, BgL_arg3528z00_2159);} break;
default: 
{ /* Jvm/compiler.scm 483 */
obj_t BgL_arg3529z00_2160;
BgL_arg3529z00_2160 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)6))); 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3529z00_2160); } 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)55))); 
{ 
obj_t BgL_l3095z00_2161;
BgL_l3095z00_2161 = BgL_argsz00_2136; 
BgL_lname3096z00_2162:
if(
PAIRP(BgL_l3095z00_2161))
{ /* Jvm/compiler.scm 485 */
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)54))); 
{ 
obj_t BgL_l3095z00_5222;
BgL_l3095z00_5222 = 
CDR(BgL_l3095z00_2161); 
BgL_l3095z00_2161 = BgL_l3095z00_5222; 
goto BgL_lname3096z00_2162;} }  else 
{ /* Jvm/compiler.scm 485 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 488 */
obj_t BgL_arg3532z00_2166;obj_t BgL_arg3533z00_2167;obj_t BgL_arg3534z00_2168;
BgL_arg3532z00_2166 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)52))); 
BgL_arg3533z00_2167 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3534z00_2168 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg3532z00_2166, BgL_arg3533z00_2167, BgL_arg3534z00_2168);} } } } } } } 
}



/* _compiler-funcall */
obj_t BGl__compilerzd2funcallzd2zzjvm_compilerz00(obj_t BgL_envz00_3853, obj_t BgL_ez00_3854, obj_t BgL_envz00_3855)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 451 */
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(
(BgL_funcallz00_bglt)(BgL_ez00_3854), 
(BgL_envz00_bglt)(BgL_envz00_3855));} 
}



/* compiler-pragma */
obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt BgL_ez00_66, BgL_envz00_bglt BgL_envz00_67)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 492 */
{ /* Jvm/compiler.scm 493 */
obj_t BgL_nz00_3099;
BgL_nz00_3099 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_66)); 
if(
CBOOL(BgL_nz00_3099))
{ /* Jvm/compiler.scm 493 */
BGl__linez00zzjvm_instrz00(BgL_envz00_67, BgL_nz00_3099); }  else 
{ /* Jvm/compiler.scm 493 */
CNST_TABLE_REF(((long)3)); } } 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_formatz00), BGl_string3752z00zzjvm_compilerz00))
{ /* Jvm/compiler.scm 496 */
{ /* Jvm/compiler.scm 497 */
obj_t BgL_arg3548z00_2183;obj_t BgL_arg3550z00_2185;
BgL_arg3548z00_2183 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_67, 
CNST_TABLE_REF(((long)64))); 
if(
CBOOL(BGl_za2longislongza2z00zzjvm_envz00))
{ /* Jvm/compiler.scm 498 */
BgL_arg3550z00_2185 = 
CNST_TABLE_REF(((long)29)); }  else 
{ /* Jvm/compiler.scm 498 */
BgL_arg3550z00_2185 = 
CNST_TABLE_REF(((long)8)); } 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_67, BgL_arg3548z00_2183, BNIL, BgL_arg3550z00_2185);} }  else 
{ /* Jvm/compiler.scm 496 */
{ /* Jvm/compiler.scm 500 */
obj_t BgL_arg3553z00_2188;
{ /* Jvm/compiler.scm 500 */
obj_t BgL_auxz00_5252;obj_t BgL_auxz00_5250;
BgL_auxz00_5252 = 
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_exprza2za2); 
BgL_auxz00_5250 = 
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_formatz00); 
BgL_arg3553z00_2188 = 
MAKE_PAIR(BgL_auxz00_5250, BgL_auxz00_5252); } 
FAILURE(BGl_string3753z00zzjvm_compilerz00,BGl_string3754z00zzjvm_compilerz00,BgL_arg3553z00_2188);} } } 
}



/* _compiler-pragma */
obj_t BGl__compilerzd2pragmazd2zzjvm_compilerz00(obj_t BgL_envz00_3856, obj_t BgL_ez00_3857, obj_t BgL_envz00_3858)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 492 */
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(
(BgL_pragmaz00_bglt)(BgL_ez00_3857), 
(BgL_envz00_bglt)(BgL_envz00_3858));} 
}



/* compiler-getfield */
obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt BgL_ez00_68, BgL_envz00_bglt BgL_envz00_69)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 503 */
{ /* Jvm/compiler.scm 504 */
obj_t BgL_nz00_3108;
BgL_nz00_3108 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_68)); 
if(
CBOOL(BgL_nz00_3108))
{ /* Jvm/compiler.scm 504 */
BGl__linez00zzjvm_instrz00(BgL_envz00_69, BgL_nz00_3108); }  else 
{ /* Jvm/compiler.scm 504 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 506 */
BgL_nodez00_bglt BgL_auxz00_5265;
{ /* Jvm/compiler.scm 506 */
obj_t BgL_auxz00_5266;
{ /* Jvm/compiler.scm 506 */
obj_t BgL_auxz00_5267;
BgL_auxz00_5267 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_exprza2za2); 
BgL_auxz00_5266 = 
CAR(BgL_auxz00_5267); } 
BgL_auxz00_5265 = 
(BgL_nodez00_bglt)(BgL_auxz00_5266); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5265, BgL_envz00_69); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 507 */
obj_t BgL_arg3561z00_2196;
{ /* Jvm/compiler.scm 507 */
obj_t BgL_auxz00_5274;
{ /* Jvm/compiler.scm 507 */
BgL_typez00_bglt BgL_auxz00_5275;
BgL_auxz00_5275 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_otypez00); 
BgL_auxz00_5274 = 
(obj_t)(BgL_auxz00_5275); } 
BgL_arg3561z00_2196 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5274, BgL_envz00_69); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_69, BgL_arg3561z00_2196); }  else 
{ /* Jvm/compiler.scm 507 */BFALSE; } 
{ /* Jvm/compiler.scm 509 */
obj_t BgL_arg3564z00_2198;obj_t BgL_arg3565z00_2199;
{ /* Jvm/compiler.scm 509 */
obj_t BgL_auxz00_5280;
{ /* Jvm/compiler.scm 509 */
BgL_typez00_bglt BgL_auxz00_5281;
BgL_auxz00_5281 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_ftypez00); 
BgL_auxz00_5280 = 
(obj_t)(BgL_auxz00_5281); } 
BgL_arg3564z00_2198 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5280, BgL_envz00_69); } 
{ /* Jvm/compiler.scm 510 */
obj_t BgL_arg3567z00_2201;obj_t BgL_arg3568z00_2202;obj_t BgL_arg3569z00_2203;
BgL_arg3567z00_2201 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_fnamez00); 
{ /* Jvm/compiler.scm 512 */
obj_t BgL_auxz00_5286;
{ /* Jvm/compiler.scm 512 */
BgL_typez00_bglt BgL_auxz00_5287;
BgL_auxz00_5287 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_ftypez00); 
BgL_auxz00_5286 = 
(obj_t)(BgL_auxz00_5287); } 
BgL_arg3568z00_2202 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5286, BgL_envz00_69); } 
{ /* Jvm/compiler.scm 513 */
obj_t BgL_auxz00_5291;
{ /* Jvm/compiler.scm 513 */
BgL_typez00_bglt BgL_auxz00_5292;
BgL_auxz00_5292 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_otypez00); 
BgL_auxz00_5291 = 
(obj_t)(BgL_auxz00_5292); } 
BgL_arg3569z00_2203 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5291, BgL_envz00_69); } 
BgL_arg3565z00_2199 = 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(
(obj_t)(BgL_envz00_69), BgL_arg3567z00_2201, BgL_arg3568z00_2202, BgL_arg3569z00_2203); } 
return 
BGl__getfieldz00zzjvm_instrz00(BgL_envz00_69, BgL_arg3564z00_2198, BgL_arg3565z00_2199);} } 
}



/* _compiler-getfield */
obj_t BGl__compilerzd2getfieldzd2zzjvm_compilerz00(obj_t BgL_envz00_3859, obj_t BgL_ez00_3860, obj_t BgL_envz00_3861)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 503 */
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(
(BgL_getfieldz00_bglt)(BgL_ez00_3860), 
(BgL_envz00_bglt)(BgL_envz00_3861));} 
}



/* compiler-setfield */
obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt BgL_ez00_70, BgL_envz00_bglt BgL_envz00_71)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 516 */
{ /* Jvm/compiler.scm 517 */
obj_t BgL_nz00_3118;
BgL_nz00_3118 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_70)); 
if(
CBOOL(BgL_nz00_3118))
{ /* Jvm/compiler.scm 517 */
BGl__linez00zzjvm_instrz00(BgL_envz00_71, BgL_nz00_3118); }  else 
{ /* Jvm/compiler.scm 517 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 519 */
BgL_nodez00_bglt BgL_auxz00_5308;
{ /* Jvm/compiler.scm 519 */
obj_t BgL_auxz00_5309;
{ /* Jvm/compiler.scm 519 */
obj_t BgL_auxz00_5310;
BgL_auxz00_5310 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_exprza2za2); 
BgL_auxz00_5309 = 
CAR(BgL_auxz00_5310); } 
BgL_auxz00_5308 = 
(BgL_nodez00_bglt)(BgL_auxz00_5309); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5308, BgL_envz00_71); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 520 */
obj_t BgL_arg3574z00_2209;
{ /* Jvm/compiler.scm 520 */
obj_t BgL_auxz00_5317;
{ /* Jvm/compiler.scm 520 */
BgL_typez00_bglt BgL_auxz00_5318;
BgL_auxz00_5318 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_otypez00); 
BgL_auxz00_5317 = 
(obj_t)(BgL_auxz00_5318); } 
BgL_arg3574z00_2209 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5317, BgL_envz00_71); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_71, BgL_arg3574z00_2209); }  else 
{ /* Jvm/compiler.scm 520 */BFALSE; } 
{ /* Jvm/compiler.scm 521 */
BgL_nodez00_bglt BgL_auxz00_5323;
{ /* Jvm/compiler.scm 521 */
obj_t BgL_auxz00_5324;
{ /* Jvm/compiler.scm 521 */
obj_t BgL_auxz00_5325;
{ /* Jvm/compiler.scm 521 */
obj_t BgL_auxz00_5326;
BgL_auxz00_5326 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_exprza2za2); 
BgL_auxz00_5325 = 
CDR(BgL_auxz00_5326); } 
BgL_auxz00_5324 = 
CAR(BgL_auxz00_5325); } 
BgL_auxz00_5323 = 
(BgL_nodez00_bglt)(BgL_auxz00_5324); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5323, BgL_envz00_71); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 522 */
obj_t BgL_arg3578z00_2213;
{ /* Jvm/compiler.scm 522 */
obj_t BgL_auxz00_5334;
{ /* Jvm/compiler.scm 522 */
BgL_typez00_bglt BgL_auxz00_5335;
BgL_auxz00_5335 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_ftypez00); 
BgL_auxz00_5334 = 
(obj_t)(BgL_auxz00_5335); } 
BgL_arg3578z00_2213 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5334, BgL_envz00_71); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_71, BgL_arg3578z00_2213); }  else 
{ /* Jvm/compiler.scm 522 */BFALSE; } 
{ /* Jvm/compiler.scm 523 */
obj_t BgL_arg3580z00_2215;
{ /* Jvm/compiler.scm 523 */
obj_t BgL_arg3581z00_2216;obj_t BgL_arg3582z00_2217;obj_t BgL_arg3583z00_2218;
BgL_arg3581z00_2216 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_fnamez00); 
{ /* Jvm/compiler.scm 524 */
obj_t BgL_auxz00_5341;
{ /* Jvm/compiler.scm 524 */
BgL_typez00_bglt BgL_auxz00_5342;
BgL_auxz00_5342 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_ftypez00); 
BgL_auxz00_5341 = 
(obj_t)(BgL_auxz00_5342); } 
BgL_arg3582z00_2217 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5341, BgL_envz00_71); } 
{ /* Jvm/compiler.scm 525 */
obj_t BgL_auxz00_5346;
{ /* Jvm/compiler.scm 525 */
BgL_typez00_bglt BgL_auxz00_5347;
BgL_auxz00_5347 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_otypez00); 
BgL_auxz00_5346 = 
(obj_t)(BgL_auxz00_5347); } 
BgL_arg3583z00_2218 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5346, BgL_envz00_71); } 
BgL_arg3580z00_2215 = 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(
(obj_t)(BgL_envz00_71), BgL_arg3581z00_2216, BgL_arg3582z00_2217, BgL_arg3583z00_2218); } 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_71, BgL_arg3580z00_2215);} } 
}



/* _compiler-setfield */
obj_t BGl__compilerzd2setfieldzd2zzjvm_compilerz00(obj_t BgL_envz00_3862, obj_t BgL_ez00_3863, obj_t BgL_envz00_3864)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 516 */
return 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(
(BgL_setfieldz00_bglt)(BgL_ez00_3863), 
(BgL_envz00_bglt)(BgL_envz00_3864));} 
}



/* compiler-new */
obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt BgL_ez00_72, BgL_envz00_bglt BgL_envz00_73)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 528 */
{ /* Jvm/compiler.scm 529 */
obj_t BgL_nz00_3133;
BgL_nz00_3133 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_72)); 
if(
CBOOL(BgL_nz00_3133))
{ /* Jvm/compiler.scm 529 */
BGl__linez00zzjvm_instrz00(BgL_envz00_73, BgL_nz00_3133); }  else 
{ /* Jvm/compiler.scm 529 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 530 */
obj_t BgL_typez00_2221;
{ /* Jvm/compiler.scm 530 */
obj_t BgL_auxz00_5363;
{ /* Jvm/compiler.scm 530 */
BgL_typez00_bglt BgL_auxz00_5364;
{ /* Jvm/compiler.scm 530 */
BgL_nodez00_bglt BgL_obj1550z00_3134;
BgL_obj1550z00_3134 = 
(BgL_nodez00_bglt)(BgL_ez00_72); 
BgL_auxz00_5364 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_3134))->BgL_typez00); } 
BgL_auxz00_5363 = 
(obj_t)(BgL_auxz00_5364); } 
BgL_typez00_2221 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5363, BgL_envz00_73); } 
BGl__newz00zzjvm_instrz00(BgL_envz00_73, BgL_typez00_2221); 
{ /* Jvm/compiler.scm 533 */
bool_t BgL_test3587z00_2223;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 533 */
bool_t BgL_test3591z00_2227;
{ /* Jvm/compiler.scm 533 */
obj_t BgL_auxz00_5372;
{ /* Jvm/compiler.scm 533 */
BgL_typez00_bglt BgL_auxz00_5373;
{ /* Jvm/compiler.scm 533 */
BgL_nodez00_bglt BgL_obj1550z00_3136;
BgL_obj1550z00_3136 = 
(BgL_nodez00_bglt)(BgL_ez00_72); 
BgL_auxz00_5373 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_3136))->BgL_typez00); } 
BgL_auxz00_5372 = 
(obj_t)(BgL_auxz00_5373); } 
BgL_test3591z00_2227 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5372, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3591z00_2227)
{ /* Jvm/compiler.scm 533 */
BgL_test3587z00_2223 = ((bool_t)0); }  else 
{ /* Jvm/compiler.scm 533 */
BgL_test3587z00_2223 = ((bool_t)1); } }  else 
{ /* Jvm/compiler.scm 533 */
BgL_test3587z00_2223 = ((bool_t)0); } 
if(BgL_test3587z00_2223)
{ /* Jvm/compiler.scm 533 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_73); 
{ /* Jvm/compiler.scm 536 */
obj_t BgL_arg3588z00_2224;obj_t BgL_arg3589z00_2225;obj_t BgL_arg3590z00_2226;
BgL_arg3588z00_2224 = 
BGl_envzd2declarezd2initz00zzjvm_envz00(
(obj_t)(BgL_envz00_73), BgL_typez00_2221); 
BgL_arg3589z00_2225 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg3590z00_2226 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_73, BgL_arg3588z00_2224, BgL_arg3589z00_2225, BgL_arg3590z00_2226);} }  else 
{ /* Jvm/compiler.scm 533 */
return BFALSE;} } } } 
}



/* _compiler-new */
obj_t BGl__compilerzd2newzd2zzjvm_compilerz00(obj_t BgL_envz00_3865, obj_t BgL_ez00_3866, obj_t BgL_envz00_3867)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 528 */
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(
(BgL_newz00_bglt)(BgL_ez00_3866), 
(BgL_envz00_bglt)(BgL_envz00_3867));} 
}



/* compiler-valloc */
obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt BgL_ez00_74, BgL_envz00_bglt BgL_envz00_75)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 539 */
{ /* Jvm/compiler.scm 540 */
obj_t BgL_nz00_3140;
BgL_nz00_3140 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_74)); 
if(
CBOOL(BgL_nz00_3140))
{ /* Jvm/compiler.scm 540 */
BGl__linez00zzjvm_instrz00(BgL_envz00_75, BgL_nz00_3140); }  else 
{ /* Jvm/compiler.scm 540 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 542 */
BgL_nodez00_bglt BgL_auxz00_5395;
{ /* Jvm/compiler.scm 542 */
obj_t BgL_auxz00_5396;
{ /* Jvm/compiler.scm 542 */
obj_t BgL_auxz00_5397;
BgL_auxz00_5397 = 
(((BgL_vallocz00_bglt)CREF(BgL_ez00_74))->BgL_exprza2za2); 
BgL_auxz00_5396 = 
CAR(BgL_auxz00_5397); } 
BgL_auxz00_5395 = 
(BgL_nodez00_bglt)(BgL_auxz00_5396); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5395, BgL_envz00_75); } 
{ /* Jvm/compiler.scm 543 */
obj_t BgL_arg3596z00_2233;
{ /* Jvm/compiler.scm 543 */
obj_t BgL_auxz00_5402;
{ /* Jvm/compiler.scm 543 */
BgL_typez00_bglt BgL_auxz00_5403;
BgL_auxz00_5403 = 
(((BgL_vallocz00_bglt)CREF(BgL_ez00_74))->BgL_ftypez00); 
BgL_auxz00_5402 = 
(obj_t)(BgL_auxz00_5403); } 
BgL_arg3596z00_2233 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5402, BgL_envz00_75); } 
return 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_75, BgL_arg3596z00_2233);} } 
}



/* _compiler-valloc */
obj_t BGl__compilerzd2valloczd2zzjvm_compilerz00(obj_t BgL_envz00_3868, obj_t BgL_ez00_3869, obj_t BgL_envz00_3870)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 539 */
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(
(BgL_vallocz00_bglt)(BgL_ez00_3869), 
(BgL_envz00_bglt)(BgL_envz00_3870));} 
}



/* compiler-vref */
obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt BgL_ez00_76, BgL_envz00_bglt BgL_envz00_77)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 546 */
{ /* Jvm/compiler.scm 547 */
obj_t BgL_nz00_3146;
BgL_nz00_3146 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_76)); 
if(
CBOOL(BgL_nz00_3146))
{ /* Jvm/compiler.scm 547 */
BGl__linez00zzjvm_instrz00(BgL_envz00_77, BgL_nz00_3146); }  else 
{ /* Jvm/compiler.scm 547 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 549 */
obj_t BgL_typez00_2236;
{ /* Jvm/compiler.scm 549 */
obj_t BgL_auxz00_5417;
{ /* Jvm/compiler.scm 549 */
BgL_typez00_bglt BgL_auxz00_5418;
BgL_auxz00_5418 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_ftypez00); 
BgL_auxz00_5417 = 
(obj_t)(BgL_auxz00_5418); } 
BgL_typez00_2236 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5417, BgL_envz00_77); } 
{ /* Jvm/compiler.scm 550 */
BgL_nodez00_bglt BgL_auxz00_5422;
{ /* Jvm/compiler.scm 550 */
obj_t BgL_auxz00_5423;
{ /* Jvm/compiler.scm 550 */
obj_t BgL_auxz00_5424;
BgL_auxz00_5424 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_exprza2za2); 
BgL_auxz00_5423 = 
CAR(BgL_auxz00_5424); } 
BgL_auxz00_5422 = 
(BgL_nodez00_bglt)(BgL_auxz00_5423); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5422, BgL_envz00_77); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 551 */
obj_t BgL_arg3600z00_2239;
{ /* Jvm/compiler.scm 551 */
obj_t BgL_arg3601z00_2240;obj_t BgL_arg3602z00_2241;
BgL_arg3601z00_2240 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3602z00_2241 = 
MAKE_PAIR(BgL_typez00_2236, BNIL); 
BgL_arg3600z00_2239 = 
MAKE_PAIR(BgL_arg3601z00_2240, BgL_arg3602z00_2241); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_77, BgL_arg3600z00_2239); }  else 
{ /* Jvm/compiler.scm 551 */BFALSE; } 
{ /* Jvm/compiler.scm 552 */
BgL_nodez00_bglt BgL_auxz00_5435;
{ /* Jvm/compiler.scm 552 */
obj_t BgL_auxz00_5436;
{ /* Jvm/compiler.scm 552 */
obj_t BgL_auxz00_5437;
{ /* Jvm/compiler.scm 552 */
obj_t BgL_auxz00_5438;
BgL_auxz00_5438 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_exprza2za2); 
BgL_auxz00_5437 = 
CDR(BgL_auxz00_5438); } 
BgL_auxz00_5436 = 
CAR(BgL_auxz00_5437); } 
BgL_auxz00_5435 = 
(BgL_nodez00_bglt)(BgL_auxz00_5436); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5435, BgL_envz00_77); } 
return 
BGl__aloadz00zzjvm_instrz00(BgL_envz00_77, BgL_typez00_2236);} } 
}



/* _compiler-vref */
obj_t BGl__compilerzd2vrefzd2zzjvm_compilerz00(obj_t BgL_envz00_3871, obj_t BgL_ez00_3872, obj_t BgL_envz00_3873)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 546 */
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(
(BgL_vrefz00_bglt)(BgL_ez00_3872), 
(BgL_envz00_bglt)(BgL_envz00_3873));} 
}



/* compiler-vset */
obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt BgL_ez00_78, BgL_envz00_bglt BgL_envz00_79)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 556 */
{ /* Jvm/compiler.scm 557 */
obj_t BgL_nz00_3157;
BgL_nz00_3157 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_78)); 
if(
CBOOL(BgL_nz00_3157))
{ /* Jvm/compiler.scm 557 */
BGl__linez00zzjvm_instrz00(BgL_envz00_79, BgL_nz00_3157); }  else 
{ /* Jvm/compiler.scm 557 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 559 */
obj_t BgL_typez00_2246;
{ /* Jvm/compiler.scm 559 */
obj_t BgL_auxz00_5454;
{ /* Jvm/compiler.scm 559 */
BgL_typez00_bglt BgL_auxz00_5455;
BgL_auxz00_5455 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_ftypez00); 
BgL_auxz00_5454 = 
(obj_t)(BgL_auxz00_5455); } 
BgL_typez00_2246 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5454, BgL_envz00_79); } 
{ /* Jvm/compiler.scm 560 */
BgL_nodez00_bglt BgL_auxz00_5459;
{ /* Jvm/compiler.scm 560 */
obj_t BgL_auxz00_5460;
{ /* Jvm/compiler.scm 560 */
obj_t BgL_auxz00_5461;
BgL_auxz00_5461 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5460 = 
CAR(BgL_auxz00_5461); } 
BgL_auxz00_5459 = 
(BgL_nodez00_bglt)(BgL_auxz00_5460); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5459, BgL_envz00_79); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 561 */
obj_t BgL_arg3608z00_2249;
{ /* Jvm/compiler.scm 561 */
obj_t BgL_arg3609z00_2250;obj_t BgL_arg3610z00_2251;
BgL_arg3609z00_2250 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3610z00_2251 = 
MAKE_PAIR(BgL_typez00_2246, BNIL); 
BgL_arg3608z00_2249 = 
MAKE_PAIR(BgL_arg3609z00_2250, BgL_arg3610z00_2251); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_79, BgL_arg3608z00_2249); }  else 
{ /* Jvm/compiler.scm 561 */BFALSE; } 
{ /* Jvm/compiler.scm 562 */
BgL_nodez00_bglt BgL_auxz00_5472;
{ /* Jvm/compiler.scm 562 */
obj_t BgL_auxz00_5473;
{ /* Jvm/compiler.scm 562 */
obj_t BgL_auxz00_5474;
{ /* Jvm/compiler.scm 562 */
obj_t BgL_auxz00_5475;
BgL_auxz00_5475 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5474 = 
CDR(BgL_auxz00_5475); } 
BgL_auxz00_5473 = 
CAR(BgL_auxz00_5474); } 
BgL_auxz00_5472 = 
(BgL_nodez00_bglt)(BgL_auxz00_5473); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5472, BgL_envz00_79); } 
{ /* Jvm/compiler.scm 563 */
BgL_nodez00_bglt BgL_auxz00_5481;
{ /* Jvm/compiler.scm 563 */
obj_t BgL_auxz00_5482;
{ /* Jvm/compiler.scm 563 */
obj_t BgL_auxz00_5483;
{ /* Jvm/compiler.scm 563 */
obj_t BgL_auxz00_5484;
{ /* Jvm/compiler.scm 563 */
obj_t BgL_auxz00_5485;
BgL_auxz00_5485 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5484 = 
CDR(BgL_auxz00_5485); } 
BgL_auxz00_5483 = 
CDR(BgL_auxz00_5484); } 
BgL_auxz00_5482 = 
CAR(BgL_auxz00_5483); } 
BgL_auxz00_5481 = 
(BgL_nodez00_bglt)(BgL_auxz00_5482); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5481, BgL_envz00_79); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 564 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_79, BgL_typez00_2246); }  else 
{ /* Jvm/compiler.scm 564 */BFALSE; } 
return 
BGl__astorez00zzjvm_instrz00(BgL_envz00_79, BgL_typez00_2246);} } 
}



/* _compiler-vset */
obj_t BGl__compilerzd2vsetzd2zzjvm_compilerz00(obj_t BgL_envz00_3874, obj_t BgL_ez00_3875, obj_t BgL_envz00_3876)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 556 */
return 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(
(BgL_vsetz12z12_bglt)(BgL_ez00_3875), 
(BgL_envz00_bglt)(BgL_envz00_3876));} 
}



/* compiler-vlength */
obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt BgL_ez00_80, BgL_envz00_bglt BgL_envz00_81)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 568 */
{ /* Jvm/compiler.scm 569 */
obj_t BgL_nz00_3175;
BgL_nz00_3175 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_80)); 
if(
CBOOL(BgL_nz00_3175))
{ /* Jvm/compiler.scm 569 */
BGl__linez00zzjvm_instrz00(BgL_envz00_81, BgL_nz00_3175); }  else 
{ /* Jvm/compiler.scm 569 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 571 */
BgL_nodez00_bglt BgL_auxz00_5505;
{ /* Jvm/compiler.scm 571 */
obj_t BgL_auxz00_5506;
{ /* Jvm/compiler.scm 571 */
obj_t BgL_auxz00_5507;
BgL_auxz00_5507 = 
(((BgL_vlengthz00_bglt)CREF(BgL_ez00_80))->BgL_exprza2za2); 
BgL_auxz00_5506 = 
CAR(BgL_auxz00_5507); } 
BgL_auxz00_5505 = 
(BgL_nodez00_bglt)(BgL_auxz00_5506); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5505, BgL_envz00_81); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 572 */
obj_t BgL_arg3618z00_2260;
{ /* Jvm/compiler.scm 572 */
obj_t BgL_auxz00_5514;
{ /* Jvm/compiler.scm 572 */
BgL_typez00_bglt BgL_auxz00_5515;
BgL_auxz00_5515 = 
(((BgL_vlengthz00_bglt)CREF(BgL_ez00_80))->BgL_vtypez00); 
BgL_auxz00_5514 = 
(obj_t)(BgL_auxz00_5515); } 
BgL_arg3618z00_2260 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5514, BgL_envz00_81); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_81, BgL_arg3618z00_2260); }  else 
{ /* Jvm/compiler.scm 572 */BFALSE; } 
return 
BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_81);} 
}



/* _compiler-vlength */
obj_t BGl__compilerzd2vlengthzd2zzjvm_compilerz00(obj_t BgL_envz00_3877, obj_t BgL_ez00_3878, obj_t BgL_envz00_3879)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 568 */
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(
(BgL_vlengthz00_bglt)(BgL_ez00_3878), 
(BgL_envz00_bglt)(BgL_envz00_3879));} 
}



/* compiler-isa */
obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt BgL_ez00_82, BgL_envz00_bglt BgL_envz00_83)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 576 */
{ /* Jvm/compiler.scm 577 */
obj_t BgL_nz00_3181;
BgL_nz00_3181 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_82)); 
if(
CBOOL(BgL_nz00_3181))
{ /* Jvm/compiler.scm 577 */
BGl__linez00zzjvm_instrz00(BgL_envz00_83, BgL_nz00_3181); }  else 
{ /* Jvm/compiler.scm 577 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 579 */
BgL_nodez00_bglt BgL_auxz00_5530;
{ /* Jvm/compiler.scm 579 */
obj_t BgL_auxz00_5531;
{ /* Jvm/compiler.scm 579 */
obj_t BgL_auxz00_5532;
BgL_auxz00_5532 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_82))->BgL_exprza2za2); 
BgL_auxz00_5531 = 
CAR(BgL_auxz00_5532); } 
BgL_auxz00_5530 = 
(BgL_nodez00_bglt)(BgL_auxz00_5531); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5530, BgL_envz00_83); } 
{ /* Jvm/compiler.scm 580 */
obj_t BgL_arg3624z00_2265;
{ /* Jvm/compiler.scm 580 */
obj_t BgL_auxz00_5537;
{ /* Jvm/compiler.scm 580 */
BgL_typez00_bglt BgL_auxz00_5538;
BgL_auxz00_5538 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_82))->BgL_classz00); 
BgL_auxz00_5537 = 
(obj_t)(BgL_auxz00_5538); } 
BgL_arg3624z00_2265 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5537, BgL_envz00_83); } 
return 
BGl__instanceofz00zzjvm_instrz00(BgL_envz00_83, BgL_arg3624z00_2265);} } 
}



/* _compiler-isa */
obj_t BGl__compilerzd2isazd2zzjvm_compilerz00(obj_t BgL_envz00_3880, obj_t BgL_ez00_3881, obj_t BgL_envz00_3882)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 576 */
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(
(BgL_isaz00_bglt)(BgL_ez00_3881), 
(BgL_envz00_bglt)(BgL_envz00_3882));} 
}



/* compiler-cast */
obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt BgL_ez00_84, BgL_envz00_bglt BgL_envz00_85, obj_t BgL_compz00_86)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 583 */
{ /* Jvm/compiler.scm 584 */
obj_t BgL_nz00_3189;
BgL_nz00_3189 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_84)); 
if(
CBOOL(BgL_nz00_3189))
{ /* Jvm/compiler.scm 584 */
BGl__linez00zzjvm_instrz00(BgL_envz00_85, BgL_nz00_3189); }  else 
{ /* Jvm/compiler.scm 584 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 585 */
obj_t BgL_auxz00_5552;
{ /* Jvm/compiler.scm 585 */
BgL_nodez00_bglt BgL_auxz00_5553;
BgL_auxz00_5553 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_84))->BgL_argz00); 
BgL_auxz00_5552 = 
(obj_t)(BgL_auxz00_5553); } 
return 
PROCEDURE_ENTRY(BgL_compz00_86)(BgL_compz00_86, BgL_auxz00_5552, 
(obj_t)(BgL_envz00_85), BEOA);} } 
}



/* _compiler-cast */
obj_t BGl__compilerzd2castzd2zzjvm_compilerz00(obj_t BgL_envz00_3883, obj_t BgL_ez00_3884, obj_t BgL_envz00_3885, obj_t BgL_compz00_3886)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 583 */
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(
(BgL_castz00_bglt)(BgL_ez00_3884), 
(BgL_envz00_bglt)(BgL_envz00_3885), BgL_compz00_3886);} 
}



/* compiler-setexit */
obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt BgL_ez00_87, BgL_envz00_bglt BgL_envz00_88, obj_t BgL_compz00_89)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 589 */
{ /* Jvm/compiler.scm 590 */
obj_t BgL_nz00_3193;
BgL_nz00_3193 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_87)); 
if(
CBOOL(BgL_nz00_3193))
{ /* Jvm/compiler.scm 590 */
BGl__linez00zzjvm_instrz00(BgL_envz00_88, BgL_nz00_3193); }  else 
{ /* Jvm/compiler.scm 590 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 592 */
BgL_variablez00_bglt BgL_localz00_2270;
{ /* Jvm/compiler.scm 592 */
BgL_varz00_bglt BgL_arg3639z00_2288;
BgL_arg3639z00_2288 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_varz00); 
BgL_localz00_2270 = 
(((BgL_varz00_bglt)CREF(BgL_arg3639z00_2288))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 593 */
obj_t BgL_arg3627z00_2271;obj_t BgL_arg3629z00_2273;
BgL_arg3627z00_2271 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)65))); 
BgL_arg3629z00_2273 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_88, BgL_arg3627z00_2271, BNIL, BgL_arg3629z00_2273); } 
{ /* Jvm/compiler.scm 594 */
obj_t BgL_arg3630z00_2274;
BgL_arg3630z00_2274 = 
BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_88, 
(BgL_localz00_bglt)(BgL_localz00_2270)); 
BGl__storez00zzjvm_instrz00(BgL_envz00_88, 
(BgL_localz00_bglt)(BgL_arg3630z00_2274)); } 
{ /* Jvm/compiler.scm 595 */
obj_t BgL_begz00_2275;obj_t BgL_endz00_2276;obj_t BgL_labz00_2277;obj_t BgL_contz00_2278;
BgL_begz00_2275 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3755z00zzjvm_compilerz00, BEOA); 
BgL_endz00_2276 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3756z00zzjvm_compilerz00, BEOA); 
BgL_labz00_2277 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3757z00zzjvm_compilerz00, BEOA); 
BgL_contz00_2278 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3742z00zzjvm_compilerz00, BEOA); 
{ /* Jvm/compiler.scm 599 */
obj_t BgL_arg3631z00_2279;
BgL_arg3631z00_2279 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)66))); 
BGl__handlerz00zzjvm_instrz00(BgL_envz00_88, BgL_begz00_2275, BgL_endz00_2276, BgL_labz00_2277, BgL_arg3631z00_2279); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_begz00_2275); 
{ /* Jvm/compiler.scm 601 */
obj_t BgL_auxz00_5590;
{ /* Jvm/compiler.scm 601 */
BgL_nodez00_bglt BgL_auxz00_5591;
BgL_auxz00_5591 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_bodyz00); 
BgL_auxz00_5590 = 
(obj_t)(BgL_auxz00_5591); } 
PROCEDURE_ENTRY(BgL_compz00_89)(BgL_compz00_89, BgL_auxz00_5590, 
(obj_t)(BgL_envz00_88), BEOA); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_endz00_2276); 
{ /* Jvm/compiler.scm 603 */
obj_t BgL_stackz00_2281;
BgL_stackz00_2281 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_88, BgL_contz00_2278); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_labz00_2277); 
{ /* Jvm/compiler.scm 606 */
obj_t BgL_val2964z00_3199;
BgL_val2964z00_3199 = 
CNST_TABLE_REF(((long)41)); 
((((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00) = ((obj_t)BgL_val2964z00_3199), BUNSPEC); } 
{ /* Jvm/compiler.scm 607 */
BgL_localz00_bglt BgL_auxz00_5603;
{ /* Jvm/compiler.scm 607 */
BgL_variablez00_bglt BgL_auxz00_5604;
{ /* Jvm/compiler.scm 607 */
BgL_varz00_bglt BgL_arg3634z00_2283;
BgL_arg3634z00_2283 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_varz00); 
BgL_auxz00_5604 = 
(((BgL_varz00_bglt)CREF(BgL_arg3634z00_2283))->BgL_variablez00); } 
BgL_auxz00_5603 = 
(BgL_localz00_bglt)(BgL_auxz00_5604); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_88, BgL_auxz00_5603); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 609 */
obj_t BgL_arg3635z00_2284;
BgL_arg3635z00_2284 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)67))); 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_88, BgL_arg3635z00_2284); }  else 
{ /* Jvm/compiler.scm 609 */BFALSE; } 
{ /* Jvm/compiler.scm 610 */
obj_t BgL_arg3636z00_2285;obj_t BgL_arg3637z00_2286;obj_t BgL_arg3638z00_2287;
BgL_arg3636z00_2285 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)68))); 
BgL_arg3637z00_2286 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3638z00_2287 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_88, BgL_arg3636z00_2285, BgL_arg3637z00_2286, BgL_arg3638z00_2287); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00) = ((obj_t)BgL_stackz00_2281), BUNSPEC); 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_contz00_2278);} } } } 
}



/* _compiler-setexit */
obj_t BGl__compilerzd2setexitzd2zzjvm_compilerz00(obj_t BgL_envz00_3887, obj_t BgL_ez00_3888, obj_t BgL_envz00_3889, obj_t BgL_compz00_3890)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 589 */
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3888), 
(BgL_envz00_bglt)(BgL_envz00_3889), BgL_compz00_3890);} 
}



/* compiler-jump-exit */
obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt BgL_ez00_90, BgL_envz00_bglt BgL_envz00_91)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 617 */
{ /* Jvm/compiler.scm 618 */
obj_t BgL_nz00_3206;
BgL_nz00_3206 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_90)); 
if(
CBOOL(BgL_nz00_3206))
{ /* Jvm/compiler.scm 618 */
BGl__linez00zzjvm_instrz00(BgL_envz00_91, BgL_nz00_3206); }  else 
{ /* Jvm/compiler.scm 618 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_90))->BgL_exitz00), BgL_envz00_91); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_90))->BgL_valuez00), BgL_envz00_91); 
{ /* Jvm/compiler.scm 622 */
obj_t BgL_arg3642z00_2292;obj_t BgL_arg3643z00_2293;obj_t BgL_arg3645z00_2294;
BgL_arg3642z00_2292 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_91, 
CNST_TABLE_REF(((long)69))); 
BgL_arg3643z00_2293 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3645z00_2294 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_91, BgL_arg3642z00_2292, BgL_arg3643z00_2293, BgL_arg3645z00_2294);} } 
}



/* _compiler-jump-exit */
obj_t BGl__compilerzd2jumpzd2exitz00zzjvm_compilerz00(obj_t BgL_envz00_3891, obj_t BgL_ez00_3892, obj_t BgL_envz00_3893)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 617 */
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3892), 
(BgL_envz00_bglt)(BgL_envz00_3893));} 
}



/* compiler-fail */
obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt BgL_ez00_92, BgL_envz00_bglt BgL_envz00_93)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 625 */
{ /* Jvm/compiler.scm 626 */
obj_t BgL_nz00_3211;
BgL_nz00_3211 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_92)); 
if(
CBOOL(BgL_nz00_3211))
{ /* Jvm/compiler.scm 626 */
BGl__linez00zzjvm_instrz00(BgL_envz00_93, BgL_nz00_3211); }  else 
{ /* Jvm/compiler.scm 626 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_procz00), BgL_envz00_93); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_msgz00), BgL_envz00_93); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_objz00), BgL_envz00_93); 
{ /* Jvm/compiler.scm 631 */
obj_t BgL_arg3649z00_2299;obj_t BgL_arg3650z00_2300;obj_t BgL_arg3651z00_2301;
BgL_arg3649z00_2299 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_93, 
CNST_TABLE_REF(((long)70))); 
BgL_arg3650z00_2300 = 
CNST_TABLE_REF(((long)59)); 
BgL_arg3651z00_2301 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_93, BgL_arg3649z00_2299, BgL_arg3650z00_2300, BgL_arg3651z00_2301); } 
return 
BGl__athrowz00zzjvm_instrz00(BgL_envz00_93);} 
}



/* _compiler-fail */
obj_t BGl__compilerzd2failzd2zzjvm_compilerz00(obj_t BgL_envz00_3894, obj_t BgL_ez00_3895, obj_t BgL_envz00_3896)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 625 */
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(
(BgL_failz00_bglt)(BgL_ez00_3895), 
(BgL_envz00_bglt)(BgL_envz00_3896));} 
}



/* compiler-make-box */
obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt BgL_ez00_94, BgL_envz00_bglt BgL_envz00_95)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 635 */
{ /* Jvm/compiler.scm 636 */
obj_t BgL_nz00_3217;
BgL_nz00_3217 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_94)); 
if(
CBOOL(BgL_nz00_3217))
{ /* Jvm/compiler.scm 636 */
BGl__linez00zzjvm_instrz00(BgL_envz00_95, BgL_nz00_3217); }  else 
{ /* Jvm/compiler.scm 636 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 638 */
obj_t BgL_arg3652z00_2303;
BgL_arg3652z00_2303 = 
BGl_compilezd2typezd2zzjvm_envz00(
CNST_TABLE_REF(((long)71)), BgL_envz00_95); 
BGl__newz00zzjvm_instrz00(BgL_envz00_95, BgL_arg3652z00_2303); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_95); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_94))->BgL_valuez00), BgL_envz00_95); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 642 */
obj_t BgL_arg3654z00_2305;obj_t BgL_arg3655z00_2306;obj_t BgL_arg3656z00_2307;
BgL_arg3654z00_2305 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)72))); 
BgL_arg3655z00_2306 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3656z00_2307 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_95, BgL_arg3654z00_2305, BgL_arg3655z00_2306, BgL_arg3656z00_2307);}  else 
{ /* Jvm/compiler.scm 643 */
obj_t BgL_arg3657z00_2308;
BgL_arg3657z00_2308 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_95, BgL_arg3657z00_2308);} } 
}



/* _compiler-make-box */
obj_t BGl__compilerzd2makezd2boxz00zzjvm_compilerz00(obj_t BgL_envz00_3897, obj_t BgL_ez00_3898, obj_t BgL_envz00_3899)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 635 */
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3898), 
(BgL_envz00_bglt)(BgL_envz00_3899));} 
}



/* compiler-box-ref */
obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt BgL_ez00_96, BgL_envz00_bglt BgL_envz00_97)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 646 */
{ /* Jvm/compiler.scm 647 */
obj_t BgL_nz00_3221;
BgL_nz00_3221 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_96)); 
if(
CBOOL(BgL_nz00_3221))
{ /* Jvm/compiler.scm 647 */
BGl__linez00zzjvm_instrz00(BgL_envz00_97, BgL_nz00_3221); }  else 
{ /* Jvm/compiler.scm 647 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 649 */
BgL_localz00_bglt BgL_auxz00_5694;
{ /* Jvm/compiler.scm 649 */
BgL_variablez00_bglt BgL_auxz00_5695;
{ /* Jvm/compiler.scm 649 */
BgL_varz00_bglt BgL_arg3660z00_2311;
BgL_arg3660z00_2311 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_ez00_96))->BgL_varz00); 
BgL_auxz00_5695 = 
(((BgL_varz00_bglt)CREF(BgL_arg3660z00_2311))->BgL_variablez00); } 
BgL_auxz00_5694 = 
(BgL_localz00_bglt)(BgL_auxz00_5695); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_97, BgL_auxz00_5694); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 650 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_97, 
CNST_TABLE_REF(((long)74))); }  else 
{ /* Jvm/compiler.scm 650 */BFALSE; } 
{ /* Jvm/compiler.scm 651 */
obj_t BgL_arg3661z00_2312;obj_t BgL_arg3662z00_2313;
BgL_arg3661z00_2312 = 
CNST_TABLE_REF(((long)44)); 
BgL_arg3662z00_2313 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_97, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__getfieldz00zzjvm_instrz00(BgL_envz00_97, BgL_arg3661z00_2312, BgL_arg3662z00_2313);} } 
}



/* _compiler-box-ref */
obj_t BGl__compilerzd2boxzd2refz00zzjvm_compilerz00(obj_t BgL_envz00_3900, obj_t BgL_ez00_3901, obj_t BgL_envz00_3902)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 646 */
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3901), 
(BgL_envz00_bglt)(BgL_envz00_3902));} 
}



/* compiler-box-set! */
obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt BgL_ez00_98, BgL_envz00_bglt BgL_envz00_99)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 654 */
{ /* Jvm/compiler.scm 655 */
obj_t BgL_nz00_3226;
BgL_nz00_3226 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_98)); 
if(
CBOOL(BgL_nz00_3226))
{ /* Jvm/compiler.scm 655 */
BGl__linez00zzjvm_instrz00(BgL_envz00_99, BgL_nz00_3226); }  else 
{ /* Jvm/compiler.scm 655 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 656 */
BgL_localz00_bglt BgL_auxz00_5717;
{ /* Jvm/compiler.scm 656 */
BgL_variablez00_bglt BgL_auxz00_5718;
{ /* Jvm/compiler.scm 656 */
BgL_varz00_bglt BgL_arg3664z00_2315;
BgL_arg3664z00_2315 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_98))->BgL_varz00); 
BgL_auxz00_5718 = 
(((BgL_varz00_bglt)CREF(BgL_arg3664z00_2315))->BgL_variablez00); } 
BgL_auxz00_5717 = 
(BgL_localz00_bglt)(BgL_auxz00_5718); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_99, BgL_auxz00_5717); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 657 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_99, 
CNST_TABLE_REF(((long)74))); }  else 
{ /* Jvm/compiler.scm 657 */BFALSE; } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_98))->BgL_valuez00), BgL_envz00_99); 
{ /* Jvm/compiler.scm 659 */
obj_t BgL_arg3667z00_2317;
BgL_arg3667z00_2317 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_99, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_99, BgL_arg3667z00_2317);} } 
}



/* _compiler-box-set! */
obj_t BGl__compilerzd2boxzd2setz12z12zzjvm_compilerz00(obj_t BgL_envz00_3903, obj_t BgL_ez00_3904, obj_t BgL_envz00_3905)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 654 */
return 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3904), 
(BgL_envz00_bglt)(BgL_envz00_3905));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)48495), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_lispz00(((long)19887), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)49160), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_inlinez00(((long)11661), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_tailz00(((long)8856), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_effectz00(((long)56212), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_predicatez00(((long)51132), "jvm_compiler"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_compiler");} 
}

