/*===========================================================================*/
/*   (Jvm/compress.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl_compilezd2compresszd2appzd2ly3048zd2zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzjvm_compressz00();
static obj_t BGl_compilezd2compresszd2extern3052z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2jumpzd2exzd2it3058z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2atom3030z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2funcall3050z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2boxzd2setz123066zc0zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2conditional3040z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_getz00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_za2safezd2functionsza2zd2zzjvm_compressz00 = BUNSPEC;
extern obj_t BGl_globalz00zzast_varz00;
extern BgL_nodez00_bglt BGl_compilezd2compresszd2zzjvm_compressz00(BgL_nodez00_bglt);
static obj_t BGl_compilezd2compresszd2setq3036z00zzjvm_compressz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_compilezd2compresszd2default3027z00zzjvm_compressz00(BgL_nodez00_bglt);
static bool_t BGl_compressza2za2zzjvm_compressz00(obj_t);
extern obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33216ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_compressz00();
static obj_t BGl_compilezd2compresszd2app3046z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_zc3anonymousza33223ze3z83zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_compressz00();
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2boxzd2ref3064zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33232ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__varzf3zf3zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_vmemqzf3zf3zzjvm_vmemqz00(obj_t, BgL_nodez00_bglt);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2select3042z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_compressz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2cast3054z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compressz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern long bgl_list_length(obj_t);
static obj_t BGl_zc3anonymousza33250ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2makezd2box3062zd2zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_filterz00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl__compilezd2compresszd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33268ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_zc3anonymousza33270ze3z83zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_simpleza2zf3z51zzjvm_compressz00(obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static bool_t BGl_varzf3zf3zzjvm_compressz00(obj_t);
static obj_t BGl_simplezf3zf3zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2fail3060z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2var3032z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_anyzf3zf3zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_compressz00 = BUNSPEC;
static obj_t BGl_compilezd2compresszd2letzd2fun3044zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2setzd2exzd2it3056z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compressz00();
static obj_t BGl_compilezd2compresszd2letzd2var3034zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2sequence3038z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl__compilezd2compresszd2default3027z00zzjvm_compressz00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_STRING( BGl_string3469z00zzjvm_compressz00, BgL_bgl_string3469za700za7za7jvm_compressza7003474z00, "compile-compress-default3027 read let ", 38 );
DEFINE_STRING( BGl_string3468z00zzjvm_compressz00, BgL_bgl_string3468za700za7za7jvm_compressza7003475z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3467z00zzjvm_compressz00, BgL_bgl_string3467za700za7za7jvm_compressza7003476z00, "Jvm", 3 );
DEFINE_STRING( BGl_string3466z00zzjvm_compressz00, BgL_bgl_string3466za700za7za7jvm_compressza7003477z00, "Re-phrase this expression (beta-reduce) for better performance -- ", 66 );
DEFINE_STRING( BGl_string3442z00zzjvm_compressz00, BgL_bgl_string3442za700za7za7jvm_compressza7003478z00, "LONG_TO_INT", 11 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2compresszd2default3027zd2envzd2zzjvm_compressz00, BgL_bgl__compileza7d2compressza7d2default3027za700za7za7jvm_compressza7003479z00, BGl__compilezd2compresszd2default3027z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_varzf3zd2envz21zzjvm_compressz00, BgL_bgl__varza7f3za7f3za7za7jvm_compressza7003480za7, BGl__varzf3zf3zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3443z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2atom3030za700za7za7jvm_compressza7003481z00, BGl_compilezd2compresszd2atom3030z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3444z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2var3032za700za7za7jvm_compressza7003482z00, BGl_compilezd2compresszd2var3032z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3445z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2letza7d2var3034za7d2za7za7jvm_compressza7003483za7, BGl_compilezd2compresszd2letzd2var3034zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3446z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2setq3036za700za7za7jvm_compressza7003484z00, BGl_compilezd2compresszd2setq3036z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3447z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2sequence3038za700za7za7jvm_compressza7003485z00, BGl_compilezd2compresszd2sequence3038z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3448z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2conditional3040za700za7za7jvm_compressza7003486z00, BGl_compilezd2compresszd2conditional3040z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3450z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2letza7d2fun3044za7d2za7za7jvm_compressza7003487za7, BGl_compilezd2compresszd2letzd2fun3044zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3449z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2select3042za700za7za7jvm_compressza7003488z00, BGl_compilezd2compresszd2select3042z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3451z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2app3046za700za7za7jvm_compressza7003489z00, BGl_compilezd2compresszd2app3046z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3452z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2appza7d2ly3048za7d2za7za7jvm_compressza7003490za7, BGl_compilezd2compresszd2appzd2ly3048zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3453z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2funcall3050za700za7za7jvm_compressza7003491z00, BGl_compilezd2compresszd2funcall3050z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3454z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2extern3052za700za7za7jvm_compressza7003492z00, BGl_compilezd2compresszd2extern3052z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3455z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2cast3054za700za7za7jvm_compressza7003493z00, BGl_compilezd2compresszd2cast3054z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3456z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2setza7d2exza7d2it3056za700za7za7jvm_compressza7003494z00, BGl_compilezd2compresszd2setzd2exzd2it3056z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3457z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2jumpza7d2exza7d2it3058za700za7za7jvm_compressza7003495z00, BGl_compilezd2compresszd2jumpzd2exzd2it3058z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3458z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2fail3060za700za7za7jvm_compressza7003496z00, BGl_compilezd2compresszd2fail3060z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3460z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2boxza7d2ref3064za7d2za7za7jvm_compressza7003497za7, BGl_compilezd2compresszd2boxzd2ref3064zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3459z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2makeza7d2box3062za7d2za7za7jvm_compressza7003498za7, BGl_compilezd2compresszd2makezd2box3062zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3461z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2boxza7d2setza7123066za7c0za7za7jvm_compressza7003499z00, BGl_compilezd2compresszd2boxzd2setz123066zc0zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3462z00zzjvm_compressz00, BgL_bgl_simpleza7f3za7f3za7za7jvm_compressza7003500za7, BGl_simplezf3zf3zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3463z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33250za7e3za783za7za7jvm_compressza7003501za7, BGl_zc3anonymousza33250ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3464z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33232za7e3za783za7za7jvm_compressza7003502za7, BGl_zc3anonymousza33232ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3465z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33223za7e3za783za7za7jvm_compressza7003503za7, BGl_zc3anonymousza33223ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_bgl__compileza7d2compressza7d2za7za7jvm_compressza7003504za7, BGl__compilezd2compresszd2zzjvm_compressz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_compressz00(long BgL_checksumz00_3970, char * BgL_fromz00_3971)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_compressz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_compressz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_compressz00(); 
BGl_cnstzd2initzd2zzjvm_compressz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_compressz00(); 
BGl_methodzd2initzd2zzjvm_compressz00(); 
BGl_toplevelzd2initzd2zzjvm_compressz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_compress"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
obj_t BgL_cportz00_3963;
BgL_cportz00_3963 = 
open_input_string(BGl_string3469z00zzjvm_compressz00); 
{ 
long BgL_iz00_3964;
BgL_iz00_3964 = ((long)2); 
BgL_loopz00_3965:
if(
(BgL_iz00_3964==((long)-1)))
{ /* Jvm/compress.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
obj_t BgL_arg3471z00_3967;
{ /* Jvm/compress.scm 1 */
obj_t BgL_list3472z00_3968;
BgL_list3472z00_3968 = 
MAKE_PAIR(BgL_cportz00_3963, BNIL); 
BgL_arg3471z00_3967 = 
BGl_readz00zz__readerz00(BgL_list3472z00_3968); } 
{ /* Jvm/compress.scm 1 */
int BgL_auxz00_3991;
BgL_auxz00_3991 = 
(int)(BgL_iz00_3964); 
CNST_TABLE_SET(BgL_auxz00_3991, BgL_arg3471z00_3967); } } 
{ 
long BgL_iz00_3994;
{ /* Jvm/compress.scm 1 */
int BgL_auxz00_3995;
{ /* Jvm/compress.scm 1 */
long BgL_auxz00_3996;
BgL_auxz00_3996 = 
(BgL_iz00_3964-((long)1)); 
BgL_auxz00_3995 = 
(int)(BgL_auxz00_3996); } 
BgL_iz00_3994 = 
(long)(BgL_auxz00_3995); } 
BgL_iz00_3964 = BgL_iz00_3994; 
goto BgL_loopz00_3965;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_za2safezd2functionsza2zd2zzjvm_compressz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2safezd2functionsza2zd2zzjvm_compressz00, BGl_string3442z00zzjvm_compressz00, BTRUE); 
return BUNSPEC;} 
}



/* compress* */
bool_t BGl_compressza2za2zzjvm_compressz00(obj_t BgL_lz00_3)
{ AN_OBJECT;
{ /* Jvm/compress.scm 13 */
BGl_compressza2za2zzjvm_compressz00:
if(
NULLP(BgL_lz00_3))
{ /* Jvm/compress.scm 14 */
return ((bool_t)0);}  else 
{ /* Jvm/compress.scm 14 */
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_arg3069z00_1493;
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_res3364z00_2366;
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_ez00_2340;
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4004;
BgL_auxz00_4004 = 
CAR(BgL_lz00_3); 
BgL_ez00_2340 = 
(BgL_nodez00_bglt)(BgL_auxz00_4004); } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_method3028z00_2341;
{ /* Jvm/compress.scm 15 */
long BgL_objzd2classzd2numz00_2343;
{ /* Jvm/compress.scm 15 */
BgL_objectz00_bglt BgL_auxz00_4007;
BgL_auxz00_4007 = 
(BgL_objectz00_bglt)(BgL_ez00_2340); 
BgL_objzd2classzd2numz00_2343 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4007); } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_arg1221z00_2344;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4010;
BgL_auxz00_4010 = 
(int)(((long)1)); 
BgL_arg1221z00_2344 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4010); } 
{ /* Jvm/compress.scm 15 */
long BgL_offsetz00_2348;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4013;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4014;
BgL_auxz00_4014 = 
(int)(BgL_objzd2classzd2numz00_2343); 
BgL_auxz00_4013 = 
(long)(BgL_auxz00_4014); } 
BgL_offsetz00_2348 = 
(BgL_auxz00_4013-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 15 */
long BgL_modz00_2349;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4018;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4019;
BgL_auxz00_4019 = 
(int)(((long)8)); 
BgL_auxz00_4018 = 
(long)(BgL_auxz00_4019); } 
BgL_modz00_2349 = 
(BgL_offsetz00_2348/BgL_auxz00_4018); } 
{ /* Jvm/compress.scm 15 */
long BgL_restz00_2351;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4023;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4024;
BgL_auxz00_4024 = 
(int)(((long)8)); 
BgL_auxz00_4023 = 
(long)(BgL_auxz00_4024); } 
BgL_restz00_2351 = 
(BgL_offsetz00_2348%BgL_auxz00_4023); } 
{ /* Jvm/compress.scm 15 */

{ /* Jvm/compress.scm 15 */
obj_t BgL_bucketz00_2353;
{ /* Jvm/compress.scm 15 */
int BgL_kz00_2363;
BgL_kz00_2363 = 
(int)(BgL_modz00_2349); 
BgL_bucketz00_2353 = 
VECTOR_REF(BgL_arg1221z00_2344,BgL_kz00_2363); } 
{ /* Jvm/compress.scm 15 */
int BgL_kz00_2365;
BgL_kz00_2365 = 
(int)(BgL_restz00_2351); 
BgL_method3028z00_2341 = 
VECTOR_REF(BgL_bucketz00_2353,BgL_kz00_2365); } } } } } } } } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4032;
BgL_auxz00_4032 = 
PROCEDURE_ENTRY(BgL_method3028z00_2341)(BgL_method3028z00_2341, 
(obj_t)(BgL_ez00_2340), BEOA); 
BgL_res3364z00_2366 = 
(BgL_nodez00_bglt)(BgL_auxz00_4032); } } } 
BgL_arg3069z00_1493 = BgL_res3364z00_2366; } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4037;
BgL_auxz00_4037 = 
(obj_t)(BgL_arg3069z00_1493); 
SET_CAR(BgL_lz00_3, BgL_auxz00_4037); } } 
{ 
obj_t BgL_lz00_4040;
BgL_lz00_4040 = 
CDR(BgL_lz00_3); 
BgL_lz00_3 = BgL_lz00_4040; 
goto BGl_compressza2za2zzjvm_compressz00;} } } 
}



/* var? */
bool_t BGl_varzf3zf3zzjvm_compressz00(obj_t BgL_obj1636z00_1016)
{ AN_OBJECT;
{ /* ./Ast/node.scm 39 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1636z00_1016, BGl_varz00zzast_nodez00);} 
}



/* _var? */
obj_t BGl__varzf3zf3zzjvm_compressz00(obj_t BgL_envz00_3877, obj_t BgL_obj1636z00_3878)
{ AN_OBJECT;
{ /* ./Ast/node.scm 39 */
{ /* ./Ast/node.scm 39 */
bool_t BgL_auxz00_4043;
BgL_auxz00_4043 = 
BGl_varzf3zf3zzjvm_compressz00(BgL_obj1636z00_3878); 
return 
BBOOL(BgL_auxz00_4043);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_compilezd2compresszd2default3027zd2envzd2zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_atomz00zzast_nodez00, BGl_proc3443z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_varz00zzast_nodez00, BGl_proc3444z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3445z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_setqz00zzast_nodez00, BGl_proc3446z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_sequencez00zzast_nodez00, BGl_proc3447z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_conditionalz00zzast_nodez00, BGl_proc3448z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_selectz00zzast_nodez00, BGl_proc3449z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3450z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_appz00zzast_nodez00, BGl_proc3451z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3452z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_funcallz00zzast_nodez00, BGl_proc3453z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_externz00zzast_nodez00, BGl_proc3454z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_castz00zzast_nodez00, BGl_proc3455z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3456z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3457z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_failz00zzast_nodez00, BGl_proc3458z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3459z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3460z00zzjvm_compressz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3461z00zzjvm_compressz00);} 
}



/* compile-compress-box-set!3066 */
obj_t BGl_compilezd2compresszd2boxzd2setz123066zc0zzjvm_compressz00(obj_t BgL_envz00_3905, obj_t BgL_ez00_3906)
{ AN_OBJECT;
{ /* Jvm/compress.scm 202 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2329;
{ /* Jvm/compress.scm 203 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4066;
BgL_ez00_2329 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3906); 
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_arg3359z00_2333;
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_arg3360z00_2334;
BgL_arg3360z00_2334 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2329))->BgL_valuez00); 
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_res3439z00_3844;
{ /* Jvm/compress.scm 204 */
obj_t BgL_method3028z00_3819;
{ /* Jvm/compress.scm 204 */
long BgL_objzd2classzd2numz00_3821;
{ /* Jvm/compress.scm 204 */
BgL_objectz00_bglt BgL_auxz00_4068;
BgL_auxz00_4068 = 
(BgL_objectz00_bglt)(BgL_arg3360z00_2334); 
BgL_objzd2classzd2numz00_3821 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4068); } 
{ /* Jvm/compress.scm 204 */
obj_t BgL_arg1221z00_3822;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4071;
BgL_auxz00_4071 = 
(int)(((long)1)); 
BgL_arg1221z00_3822 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4071); } 
{ /* Jvm/compress.scm 204 */
long BgL_offsetz00_3826;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4074;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4075;
BgL_auxz00_4075 = 
(int)(BgL_objzd2classzd2numz00_3821); 
BgL_auxz00_4074 = 
(long)(BgL_auxz00_4075); } 
BgL_offsetz00_3826 = 
(BgL_auxz00_4074-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 204 */
long BgL_modz00_3827;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4079;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4080;
BgL_auxz00_4080 = 
(int)(((long)8)); 
BgL_auxz00_4079 = 
(long)(BgL_auxz00_4080); } 
BgL_modz00_3827 = 
(BgL_offsetz00_3826/BgL_auxz00_4079); } 
{ /* Jvm/compress.scm 204 */
long BgL_restz00_3829;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4084;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4085;
BgL_auxz00_4085 = 
(int)(((long)8)); 
BgL_auxz00_4084 = 
(long)(BgL_auxz00_4085); } 
BgL_restz00_3829 = 
(BgL_offsetz00_3826%BgL_auxz00_4084); } 
{ /* Jvm/compress.scm 204 */

{ /* Jvm/compress.scm 204 */
obj_t BgL_bucketz00_3831;
{ /* Jvm/compress.scm 204 */
int BgL_kz00_3841;
BgL_kz00_3841 = 
(int)(BgL_modz00_3827); 
BgL_bucketz00_3831 = 
VECTOR_REF(BgL_arg1221z00_3822,BgL_kz00_3841); } 
{ /* Jvm/compress.scm 204 */
int BgL_kz00_3843;
BgL_kz00_3843 = 
(int)(BgL_restz00_3829); 
BgL_method3028z00_3819 = 
VECTOR_REF(BgL_bucketz00_3831,BgL_kz00_3843); } } } } } } } } 
{ /* Jvm/compress.scm 204 */
obj_t BgL_auxz00_4093;
BgL_auxz00_4093 = 
PROCEDURE_ENTRY(BgL_method3028z00_3819)(BgL_method3028z00_3819, 
(obj_t)(BgL_arg3360z00_2334), BEOA); 
BgL_res3439z00_3844 = 
(BgL_nodez00_bglt)(BgL_auxz00_4093); } } 
BgL_arg3359z00_2333 = BgL_res3439z00_3844; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2329))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3359z00_2333), BUNSPEC); } 
BgL_auxz00_4066 = BgL_ez00_2329; 
return 
(obj_t)(BgL_auxz00_4066);} } } 
}



/* compile-compress-box-ref3064 */
obj_t BGl_compilezd2compresszd2boxzd2ref3064zd2zzjvm_compressz00(obj_t BgL_envz00_3907, obj_t BgL_ez00_3908)
{ AN_OBJECT;
{ /* Jvm/compress.scm 199 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2324;
{ /* Jvm/compress.scm 199 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4101;
BgL_ez00_2324 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3908); 
BgL_auxz00_4101 = BgL_ez00_2324; 
return 
(obj_t)(BgL_auxz00_4101);} } } 
}



/* compile-compress-make-box3062 */
obj_t BGl_compilezd2compresszd2makezd2box3062zd2zzjvm_compressz00(obj_t BgL_envz00_3909, obj_t BgL_ez00_3910)
{ AN_OBJECT;
{ /* Jvm/compress.scm 194 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2316;
{ /* Jvm/compress.scm 195 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4104;
BgL_ez00_2316 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3910); 
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_arg3355z00_2320;
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_arg3356z00_2321;
BgL_arg3356z00_2321 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2316))->BgL_valuez00); 
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_res3436z00_3814;
{ /* Jvm/compress.scm 196 */
obj_t BgL_method3028z00_3789;
{ /* Jvm/compress.scm 196 */
long BgL_objzd2classzd2numz00_3791;
{ /* Jvm/compress.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4106;
BgL_auxz00_4106 = 
(BgL_objectz00_bglt)(BgL_arg3356z00_2321); 
BgL_objzd2classzd2numz00_3791 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4106); } 
{ /* Jvm/compress.scm 196 */
obj_t BgL_arg1221z00_3792;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4109;
BgL_auxz00_4109 = 
(int)(((long)1)); 
BgL_arg1221z00_3792 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4109); } 
{ /* Jvm/compress.scm 196 */
long BgL_offsetz00_3796;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4112;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4113;
BgL_auxz00_4113 = 
(int)(BgL_objzd2classzd2numz00_3791); 
BgL_auxz00_4112 = 
(long)(BgL_auxz00_4113); } 
BgL_offsetz00_3796 = 
(BgL_auxz00_4112-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 196 */
long BgL_modz00_3797;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4117;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4118;
BgL_auxz00_4118 = 
(int)(((long)8)); 
BgL_auxz00_4117 = 
(long)(BgL_auxz00_4118); } 
BgL_modz00_3797 = 
(BgL_offsetz00_3796/BgL_auxz00_4117); } 
{ /* Jvm/compress.scm 196 */
long BgL_restz00_3799;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4122;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(((long)8)); 
BgL_auxz00_4122 = 
(long)(BgL_auxz00_4123); } 
BgL_restz00_3799 = 
(BgL_offsetz00_3796%BgL_auxz00_4122); } 
{ /* Jvm/compress.scm 196 */

{ /* Jvm/compress.scm 196 */
obj_t BgL_bucketz00_3801;
{ /* Jvm/compress.scm 196 */
int BgL_kz00_3811;
BgL_kz00_3811 = 
(int)(BgL_modz00_3797); 
BgL_bucketz00_3801 = 
VECTOR_REF(BgL_arg1221z00_3792,BgL_kz00_3811); } 
{ /* Jvm/compress.scm 196 */
int BgL_kz00_3813;
BgL_kz00_3813 = 
(int)(BgL_restz00_3799); 
BgL_method3028z00_3789 = 
VECTOR_REF(BgL_bucketz00_3801,BgL_kz00_3813); } } } } } } } } 
{ /* Jvm/compress.scm 196 */
obj_t BgL_auxz00_4131;
BgL_auxz00_4131 = 
PROCEDURE_ENTRY(BgL_method3028z00_3789)(BgL_method3028z00_3789, 
(obj_t)(BgL_arg3356z00_2321), BEOA); 
BgL_res3436z00_3814 = 
(BgL_nodez00_bglt)(BgL_auxz00_4131); } } 
BgL_arg3355z00_2320 = BgL_res3436z00_3814; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2316))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3355z00_2320), BUNSPEC); } 
BgL_auxz00_4104 = BgL_ez00_2316; 
return 
(obj_t)(BgL_auxz00_4104);} } } 
}



/* compile-compress-fail3060 */
obj_t BGl_compilezd2compresszd2fail3060z00zzjvm_compressz00(obj_t BgL_envz00_3911, obj_t BgL_ez00_3912)
{ AN_OBJECT;
{ /* Jvm/compress.scm 187 */
{ 
BgL_failz00_bglt BgL_ez00_2304;
{ /* Jvm/compress.scm 188 */
BgL_failz00_bglt BgL_auxz00_4139;
BgL_ez00_2304 = 
(BgL_failz00_bglt)(BgL_ez00_3912); 
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_arg3348z00_2308;
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_arg3349z00_2309;
BgL_arg3349z00_2309 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_procz00); 
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_res3427z00_3724;
{ /* Jvm/compress.scm 189 */
obj_t BgL_method3028z00_3699;
{ /* Jvm/compress.scm 189 */
long BgL_objzd2classzd2numz00_3701;
{ /* Jvm/compress.scm 189 */
BgL_objectz00_bglt BgL_auxz00_4141;
BgL_auxz00_4141 = 
(BgL_objectz00_bglt)(BgL_arg3349z00_2309); 
BgL_objzd2classzd2numz00_3701 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4141); } 
{ /* Jvm/compress.scm 189 */
obj_t BgL_arg1221z00_3702;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(((long)1)); 
BgL_arg1221z00_3702 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4144); } 
{ /* Jvm/compress.scm 189 */
long BgL_offsetz00_3706;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4147;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4148;
BgL_auxz00_4148 = 
(int)(BgL_objzd2classzd2numz00_3701); 
BgL_auxz00_4147 = 
(long)(BgL_auxz00_4148); } 
BgL_offsetz00_3706 = 
(BgL_auxz00_4147-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 189 */
long BgL_modz00_3707;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4152;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(((long)8)); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_modz00_3707 = 
(BgL_offsetz00_3706/BgL_auxz00_4152); } 
{ /* Jvm/compress.scm 189 */
long BgL_restz00_3709;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4157;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)8)); 
BgL_auxz00_4157 = 
(long)(BgL_auxz00_4158); } 
BgL_restz00_3709 = 
(BgL_offsetz00_3706%BgL_auxz00_4157); } 
{ /* Jvm/compress.scm 189 */

{ /* Jvm/compress.scm 189 */
obj_t BgL_bucketz00_3711;
{ /* Jvm/compress.scm 189 */
int BgL_kz00_3721;
BgL_kz00_3721 = 
(int)(BgL_modz00_3707); 
BgL_bucketz00_3711 = 
VECTOR_REF(BgL_arg1221z00_3702,BgL_kz00_3721); } 
{ /* Jvm/compress.scm 189 */
int BgL_kz00_3723;
BgL_kz00_3723 = 
(int)(BgL_restz00_3709); 
BgL_method3028z00_3699 = 
VECTOR_REF(BgL_bucketz00_3711,BgL_kz00_3723); } } } } } } } } 
{ /* Jvm/compress.scm 189 */
obj_t BgL_auxz00_4166;
BgL_auxz00_4166 = 
PROCEDURE_ENTRY(BgL_method3028z00_3699)(BgL_method3028z00_3699, 
(obj_t)(BgL_arg3349z00_2309), BEOA); 
BgL_res3427z00_3724 = 
(BgL_nodez00_bglt)(BgL_auxz00_4166); } } 
BgL_arg3348z00_2308 = BgL_res3427z00_3724; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3348z00_2308), BUNSPEC); } 
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_arg3350z00_2310;
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_arg3351z00_2311;
BgL_arg3351z00_2311 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_msgz00); 
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_res3430z00_3754;
{ /* Jvm/compress.scm 190 */
obj_t BgL_method3028z00_3729;
{ /* Jvm/compress.scm 190 */
long BgL_objzd2classzd2numz00_3731;
{ /* Jvm/compress.scm 190 */
BgL_objectz00_bglt BgL_auxz00_4173;
BgL_auxz00_4173 = 
(BgL_objectz00_bglt)(BgL_arg3351z00_2311); 
BgL_objzd2classzd2numz00_3731 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4173); } 
{ /* Jvm/compress.scm 190 */
obj_t BgL_arg1221z00_3732;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4176;
BgL_auxz00_4176 = 
(int)(((long)1)); 
BgL_arg1221z00_3732 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4176); } 
{ /* Jvm/compress.scm 190 */
long BgL_offsetz00_3736;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4179;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4180;
BgL_auxz00_4180 = 
(int)(BgL_objzd2classzd2numz00_3731); 
BgL_auxz00_4179 = 
(long)(BgL_auxz00_4180); } 
BgL_offsetz00_3736 = 
(BgL_auxz00_4179-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 190 */
long BgL_modz00_3737;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4184;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4185;
BgL_auxz00_4185 = 
(int)(((long)8)); 
BgL_auxz00_4184 = 
(long)(BgL_auxz00_4185); } 
BgL_modz00_3737 = 
(BgL_offsetz00_3736/BgL_auxz00_4184); } 
{ /* Jvm/compress.scm 190 */
long BgL_restz00_3739;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4189;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(((long)8)); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_restz00_3739 = 
(BgL_offsetz00_3736%BgL_auxz00_4189); } 
{ /* Jvm/compress.scm 190 */

{ /* Jvm/compress.scm 190 */
obj_t BgL_bucketz00_3741;
{ /* Jvm/compress.scm 190 */
int BgL_kz00_3751;
BgL_kz00_3751 = 
(int)(BgL_modz00_3737); 
BgL_bucketz00_3741 = 
VECTOR_REF(BgL_arg1221z00_3732,BgL_kz00_3751); } 
{ /* Jvm/compress.scm 190 */
int BgL_kz00_3753;
BgL_kz00_3753 = 
(int)(BgL_restz00_3739); 
BgL_method3028z00_3729 = 
VECTOR_REF(BgL_bucketz00_3741,BgL_kz00_3753); } } } } } } } } 
{ /* Jvm/compress.scm 190 */
obj_t BgL_auxz00_4198;
BgL_auxz00_4198 = 
PROCEDURE_ENTRY(BgL_method3028z00_3729)(BgL_method3028z00_3729, 
(obj_t)(BgL_arg3351z00_2311), BEOA); 
BgL_res3430z00_3754 = 
(BgL_nodez00_bglt)(BgL_auxz00_4198); } } 
BgL_arg3350z00_2310 = BgL_res3430z00_3754; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3350z00_2310), BUNSPEC); } 
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_arg3352z00_2312;
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_arg3353z00_2313;
BgL_arg3353z00_2313 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_objz00); 
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_res3433z00_3784;
{ /* Jvm/compress.scm 191 */
obj_t BgL_method3028z00_3759;
{ /* Jvm/compress.scm 191 */
long BgL_objzd2classzd2numz00_3761;
{ /* Jvm/compress.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4205;
BgL_auxz00_4205 = 
(BgL_objectz00_bglt)(BgL_arg3353z00_2313); 
BgL_objzd2classzd2numz00_3761 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4205); } 
{ /* Jvm/compress.scm 191 */
obj_t BgL_arg1221z00_3762;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4208;
BgL_auxz00_4208 = 
(int)(((long)1)); 
BgL_arg1221z00_3762 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4208); } 
{ /* Jvm/compress.scm 191 */
long BgL_offsetz00_3766;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4211;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4212;
BgL_auxz00_4212 = 
(int)(BgL_objzd2classzd2numz00_3761); 
BgL_auxz00_4211 = 
(long)(BgL_auxz00_4212); } 
BgL_offsetz00_3766 = 
(BgL_auxz00_4211-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 191 */
long BgL_modz00_3767;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4216;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(((long)8)); 
BgL_auxz00_4216 = 
(long)(BgL_auxz00_4217); } 
BgL_modz00_3767 = 
(BgL_offsetz00_3766/BgL_auxz00_4216); } 
{ /* Jvm/compress.scm 191 */
long BgL_restz00_3769;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4221;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)8)); 
BgL_auxz00_4221 = 
(long)(BgL_auxz00_4222); } 
BgL_restz00_3769 = 
(BgL_offsetz00_3766%BgL_auxz00_4221); } 
{ /* Jvm/compress.scm 191 */

{ /* Jvm/compress.scm 191 */
obj_t BgL_bucketz00_3771;
{ /* Jvm/compress.scm 191 */
int BgL_kz00_3781;
BgL_kz00_3781 = 
(int)(BgL_modz00_3767); 
BgL_bucketz00_3771 = 
VECTOR_REF(BgL_arg1221z00_3762,BgL_kz00_3781); } 
{ /* Jvm/compress.scm 191 */
int BgL_kz00_3783;
BgL_kz00_3783 = 
(int)(BgL_restz00_3769); 
BgL_method3028z00_3759 = 
VECTOR_REF(BgL_bucketz00_3771,BgL_kz00_3783); } } } } } } } } 
{ /* Jvm/compress.scm 191 */
obj_t BgL_auxz00_4230;
BgL_auxz00_4230 = 
PROCEDURE_ENTRY(BgL_method3028z00_3759)(BgL_method3028z00_3759, 
(obj_t)(BgL_arg3353z00_2313), BEOA); 
BgL_res3433z00_3784 = 
(BgL_nodez00_bglt)(BgL_auxz00_4230); } } 
BgL_arg3352z00_2312 = BgL_res3433z00_3784; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2304))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3352z00_2312), BUNSPEC); } 
BgL_auxz00_4139 = BgL_ez00_2304; 
return 
(obj_t)(BgL_auxz00_4139);} } } 
}



/* compile-compress-jump-ex-it3058 */
obj_t BGl_compilezd2compresszd2jumpzd2exzd2it3058z00zzjvm_compressz00(obj_t BgL_envz00_3913, obj_t BgL_ez00_3914)
{ AN_OBJECT;
{ /* Jvm/compress.scm 181 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2294;
{ /* Jvm/compress.scm 182 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4238;
BgL_ez00_2294 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3914); 
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_arg3343z00_2298;
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_arg3344z00_2299;
BgL_arg3344z00_2299 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2294))->BgL_exitz00); 
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_res3421z00_3664;
{ /* Jvm/compress.scm 183 */
obj_t BgL_method3028z00_3639;
{ /* Jvm/compress.scm 183 */
long BgL_objzd2classzd2numz00_3641;
{ /* Jvm/compress.scm 183 */
BgL_objectz00_bglt BgL_auxz00_4240;
BgL_auxz00_4240 = 
(BgL_objectz00_bglt)(BgL_arg3344z00_2299); 
BgL_objzd2classzd2numz00_3641 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4240); } 
{ /* Jvm/compress.scm 183 */
obj_t BgL_arg1221z00_3642;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4243;
BgL_auxz00_4243 = 
(int)(((long)1)); 
BgL_arg1221z00_3642 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4243); } 
{ /* Jvm/compress.scm 183 */
long BgL_offsetz00_3646;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4246;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4247;
BgL_auxz00_4247 = 
(int)(BgL_objzd2classzd2numz00_3641); 
BgL_auxz00_4246 = 
(long)(BgL_auxz00_4247); } 
BgL_offsetz00_3646 = 
(BgL_auxz00_4246-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 183 */
long BgL_modz00_3647;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4251;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4252;
BgL_auxz00_4252 = 
(int)(((long)8)); 
BgL_auxz00_4251 = 
(long)(BgL_auxz00_4252); } 
BgL_modz00_3647 = 
(BgL_offsetz00_3646/BgL_auxz00_4251); } 
{ /* Jvm/compress.scm 183 */
long BgL_restz00_3649;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4256;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(((long)8)); 
BgL_auxz00_4256 = 
(long)(BgL_auxz00_4257); } 
BgL_restz00_3649 = 
(BgL_offsetz00_3646%BgL_auxz00_4256); } 
{ /* Jvm/compress.scm 183 */

{ /* Jvm/compress.scm 183 */
obj_t BgL_bucketz00_3651;
{ /* Jvm/compress.scm 183 */
int BgL_kz00_3661;
BgL_kz00_3661 = 
(int)(BgL_modz00_3647); 
BgL_bucketz00_3651 = 
VECTOR_REF(BgL_arg1221z00_3642,BgL_kz00_3661); } 
{ /* Jvm/compress.scm 183 */
int BgL_kz00_3663;
BgL_kz00_3663 = 
(int)(BgL_restz00_3649); 
BgL_method3028z00_3639 = 
VECTOR_REF(BgL_bucketz00_3651,BgL_kz00_3663); } } } } } } } } 
{ /* Jvm/compress.scm 183 */
obj_t BgL_auxz00_4265;
BgL_auxz00_4265 = 
PROCEDURE_ENTRY(BgL_method3028z00_3639)(BgL_method3028z00_3639, 
(obj_t)(BgL_arg3344z00_2299), BEOA); 
BgL_res3421z00_3664 = 
(BgL_nodez00_bglt)(BgL_auxz00_4265); } } 
BgL_arg3343z00_2298 = BgL_res3421z00_3664; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2294))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3343z00_2298), BUNSPEC); } 
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_arg3345z00_2300;
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_arg3346z00_2301;
BgL_arg3346z00_2301 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2294))->BgL_valuez00); 
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_res3424z00_3694;
{ /* Jvm/compress.scm 184 */
obj_t BgL_method3028z00_3669;
{ /* Jvm/compress.scm 184 */
long BgL_objzd2classzd2numz00_3671;
{ /* Jvm/compress.scm 184 */
BgL_objectz00_bglt BgL_auxz00_4272;
BgL_auxz00_4272 = 
(BgL_objectz00_bglt)(BgL_arg3346z00_2301); 
BgL_objzd2classzd2numz00_3671 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4272); } 
{ /* Jvm/compress.scm 184 */
obj_t BgL_arg1221z00_3672;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4275;
BgL_auxz00_4275 = 
(int)(((long)1)); 
BgL_arg1221z00_3672 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4275); } 
{ /* Jvm/compress.scm 184 */
long BgL_offsetz00_3676;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4278;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4279;
BgL_auxz00_4279 = 
(int)(BgL_objzd2classzd2numz00_3671); 
BgL_auxz00_4278 = 
(long)(BgL_auxz00_4279); } 
BgL_offsetz00_3676 = 
(BgL_auxz00_4278-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 184 */
long BgL_modz00_3677;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4283;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4284;
BgL_auxz00_4284 = 
(int)(((long)8)); 
BgL_auxz00_4283 = 
(long)(BgL_auxz00_4284); } 
BgL_modz00_3677 = 
(BgL_offsetz00_3676/BgL_auxz00_4283); } 
{ /* Jvm/compress.scm 184 */
long BgL_restz00_3679;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4288;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4289;
BgL_auxz00_4289 = 
(int)(((long)8)); 
BgL_auxz00_4288 = 
(long)(BgL_auxz00_4289); } 
BgL_restz00_3679 = 
(BgL_offsetz00_3676%BgL_auxz00_4288); } 
{ /* Jvm/compress.scm 184 */

{ /* Jvm/compress.scm 184 */
obj_t BgL_bucketz00_3681;
{ /* Jvm/compress.scm 184 */
int BgL_kz00_3691;
BgL_kz00_3691 = 
(int)(BgL_modz00_3677); 
BgL_bucketz00_3681 = 
VECTOR_REF(BgL_arg1221z00_3672,BgL_kz00_3691); } 
{ /* Jvm/compress.scm 184 */
int BgL_kz00_3693;
BgL_kz00_3693 = 
(int)(BgL_restz00_3679); 
BgL_method3028z00_3669 = 
VECTOR_REF(BgL_bucketz00_3681,BgL_kz00_3693); } } } } } } } } 
{ /* Jvm/compress.scm 184 */
obj_t BgL_auxz00_4297;
BgL_auxz00_4297 = 
PROCEDURE_ENTRY(BgL_method3028z00_3669)(BgL_method3028z00_3669, 
(obj_t)(BgL_arg3346z00_2301), BEOA); 
BgL_res3424z00_3694 = 
(BgL_nodez00_bglt)(BgL_auxz00_4297); } } 
BgL_arg3345z00_2300 = BgL_res3424z00_3694; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2294))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3345z00_2300), BUNSPEC); } 
BgL_auxz00_4238 = BgL_ez00_2294; 
return 
(obj_t)(BgL_auxz00_4238);} } } 
}



/* compile-compress-set-ex-it3056 */
obj_t BGl_compilezd2compresszd2setzd2exzd2it3056z00zzjvm_compressz00(obj_t BgL_envz00_3915, obj_t BgL_ez00_3916)
{ AN_OBJECT;
{ /* Jvm/compress.scm 176 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2286;
{ /* Jvm/compress.scm 177 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4305;
BgL_ez00_2286 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3916); 
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_arg3340z00_2290;
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_arg3341z00_2291;
BgL_arg3341z00_2291 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2286))->BgL_bodyz00); 
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_res3418z00_3634;
{ /* Jvm/compress.scm 178 */
obj_t BgL_method3028z00_3609;
{ /* Jvm/compress.scm 178 */
long BgL_objzd2classzd2numz00_3611;
{ /* Jvm/compress.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4307;
BgL_auxz00_4307 = 
(BgL_objectz00_bglt)(BgL_arg3341z00_2291); 
BgL_objzd2classzd2numz00_3611 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4307); } 
{ /* Jvm/compress.scm 178 */
obj_t BgL_arg1221z00_3612;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4310;
BgL_auxz00_4310 = 
(int)(((long)1)); 
BgL_arg1221z00_3612 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4310); } 
{ /* Jvm/compress.scm 178 */
long BgL_offsetz00_3616;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4313;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4314;
BgL_auxz00_4314 = 
(int)(BgL_objzd2classzd2numz00_3611); 
BgL_auxz00_4313 = 
(long)(BgL_auxz00_4314); } 
BgL_offsetz00_3616 = 
(BgL_auxz00_4313-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 178 */
long BgL_modz00_3617;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4318;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4319;
BgL_auxz00_4319 = 
(int)(((long)8)); 
BgL_auxz00_4318 = 
(long)(BgL_auxz00_4319); } 
BgL_modz00_3617 = 
(BgL_offsetz00_3616/BgL_auxz00_4318); } 
{ /* Jvm/compress.scm 178 */
long BgL_restz00_3619;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4323;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4324;
BgL_auxz00_4324 = 
(int)(((long)8)); 
BgL_auxz00_4323 = 
(long)(BgL_auxz00_4324); } 
BgL_restz00_3619 = 
(BgL_offsetz00_3616%BgL_auxz00_4323); } 
{ /* Jvm/compress.scm 178 */

{ /* Jvm/compress.scm 178 */
obj_t BgL_bucketz00_3621;
{ /* Jvm/compress.scm 178 */
int BgL_kz00_3631;
BgL_kz00_3631 = 
(int)(BgL_modz00_3617); 
BgL_bucketz00_3621 = 
VECTOR_REF(BgL_arg1221z00_3612,BgL_kz00_3631); } 
{ /* Jvm/compress.scm 178 */
int BgL_kz00_3633;
BgL_kz00_3633 = 
(int)(BgL_restz00_3619); 
BgL_method3028z00_3609 = 
VECTOR_REF(BgL_bucketz00_3621,BgL_kz00_3633); } } } } } } } } 
{ /* Jvm/compress.scm 178 */
obj_t BgL_auxz00_4332;
BgL_auxz00_4332 = 
PROCEDURE_ENTRY(BgL_method3028z00_3609)(BgL_method3028z00_3609, 
(obj_t)(BgL_arg3341z00_2291), BEOA); 
BgL_res3418z00_3634 = 
(BgL_nodez00_bglt)(BgL_auxz00_4332); } } 
BgL_arg3340z00_2290 = BgL_res3418z00_3634; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2286))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3340z00_2290), BUNSPEC); } 
BgL_auxz00_4305 = BgL_ez00_2286; 
return 
(obj_t)(BgL_auxz00_4305);} } } 
}



/* compile-compress-cast3054 */
obj_t BGl_compilezd2compresszd2cast3054z00zzjvm_compressz00(obj_t BgL_envz00_3917, obj_t BgL_ez00_3918)
{ AN_OBJECT;
{ /* Jvm/compress.scm 171 */
{ 
BgL_castz00_bglt BgL_ez00_2278;
{ /* Jvm/compress.scm 172 */
BgL_castz00_bglt BgL_auxz00_4340;
BgL_ez00_2278 = 
(BgL_castz00_bglt)(BgL_ez00_3918); 
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_arg3336z00_2282;
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_arg3338z00_2283;
BgL_arg3338z00_2283 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_2278))->BgL_argz00); 
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_res3415z00_3604;
{ /* Jvm/compress.scm 173 */
obj_t BgL_method3028z00_3579;
{ /* Jvm/compress.scm 173 */
long BgL_objzd2classzd2numz00_3581;
{ /* Jvm/compress.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4342;
BgL_auxz00_4342 = 
(BgL_objectz00_bglt)(BgL_arg3338z00_2283); 
BgL_objzd2classzd2numz00_3581 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4342); } 
{ /* Jvm/compress.scm 173 */
obj_t BgL_arg1221z00_3582;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4345;
BgL_auxz00_4345 = 
(int)(((long)1)); 
BgL_arg1221z00_3582 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4345); } 
{ /* Jvm/compress.scm 173 */
long BgL_offsetz00_3586;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4348;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4349;
BgL_auxz00_4349 = 
(int)(BgL_objzd2classzd2numz00_3581); 
BgL_auxz00_4348 = 
(long)(BgL_auxz00_4349); } 
BgL_offsetz00_3586 = 
(BgL_auxz00_4348-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 173 */
long BgL_modz00_3587;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4353;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(((long)8)); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_modz00_3587 = 
(BgL_offsetz00_3586/BgL_auxz00_4353); } 
{ /* Jvm/compress.scm 173 */
long BgL_restz00_3589;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4358;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)8)); 
BgL_auxz00_4358 = 
(long)(BgL_auxz00_4359); } 
BgL_restz00_3589 = 
(BgL_offsetz00_3586%BgL_auxz00_4358); } 
{ /* Jvm/compress.scm 173 */

{ /* Jvm/compress.scm 173 */
obj_t BgL_bucketz00_3591;
{ /* Jvm/compress.scm 173 */
int BgL_kz00_3601;
BgL_kz00_3601 = 
(int)(BgL_modz00_3587); 
BgL_bucketz00_3591 = 
VECTOR_REF(BgL_arg1221z00_3582,BgL_kz00_3601); } 
{ /* Jvm/compress.scm 173 */
int BgL_kz00_3603;
BgL_kz00_3603 = 
(int)(BgL_restz00_3589); 
BgL_method3028z00_3579 = 
VECTOR_REF(BgL_bucketz00_3591,BgL_kz00_3603); } } } } } } } } 
{ /* Jvm/compress.scm 173 */
obj_t BgL_auxz00_4367;
BgL_auxz00_4367 = 
PROCEDURE_ENTRY(BgL_method3028z00_3579)(BgL_method3028z00_3579, 
(obj_t)(BgL_arg3338z00_2283), BEOA); 
BgL_res3415z00_3604 = 
(BgL_nodez00_bglt)(BgL_auxz00_4367); } } 
BgL_arg3336z00_2282 = BgL_res3415z00_3604; } } 
((((BgL_castz00_bglt)CREF(BgL_ez00_2278))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3336z00_2282), BUNSPEC); } 
BgL_auxz00_4340 = BgL_ez00_2278; 
return 
(obj_t)(BgL_auxz00_4340);} } } 
}



/* compile-compress-extern3052 */
obj_t BGl_compilezd2compresszd2extern3052z00zzjvm_compressz00(obj_t BgL_envz00_3919, obj_t BgL_ez00_3920)
{ AN_OBJECT;
{ /* Jvm/compress.scm 166 */
{ 
BgL_externz00_bglt BgL_ez00_2271;
{ /* Jvm/compress.scm 167 */
BgL_externz00_bglt BgL_auxz00_4375;
BgL_ez00_2271 = 
(BgL_externz00_bglt)(BgL_ez00_3920); 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_externz00_bglt)CREF(BgL_ez00_2271))->BgL_exprza2za2)); 
BgL_auxz00_4375 = BgL_ez00_2271; 
return 
(obj_t)(BgL_auxz00_4375);} } } 
}



/* compile-compress-funcall3050 */
obj_t BGl_compilezd2compresszd2funcall3050z00zzjvm_compressz00(obj_t BgL_envz00_3921, obj_t BgL_ez00_3922)
{ AN_OBJECT;
{ /* Jvm/compress.scm 160 */
{ 
BgL_funcallz00_bglt BgL_ez00_2262;
{ /* Jvm/compress.scm 161 */
BgL_funcallz00_bglt BgL_auxz00_4380;
BgL_ez00_2262 = 
(BgL_funcallz00_bglt)(BgL_ez00_3922); 
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_arg3330z00_2266;
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_arg3331z00_2267;
BgL_arg3331z00_2267 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_2262))->BgL_funz00); 
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_res3412z00_3570;
{ /* Jvm/compress.scm 162 */
obj_t BgL_method3028z00_3545;
{ /* Jvm/compress.scm 162 */
long BgL_objzd2classzd2numz00_3547;
{ /* Jvm/compress.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4382;
BgL_auxz00_4382 = 
(BgL_objectz00_bglt)(BgL_arg3331z00_2267); 
BgL_objzd2classzd2numz00_3547 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4382); } 
{ /* Jvm/compress.scm 162 */
obj_t BgL_arg1221z00_3548;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4385;
BgL_auxz00_4385 = 
(int)(((long)1)); 
BgL_arg1221z00_3548 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4385); } 
{ /* Jvm/compress.scm 162 */
long BgL_offsetz00_3552;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4388;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(BgL_objzd2classzd2numz00_3547); 
BgL_auxz00_4388 = 
(long)(BgL_auxz00_4389); } 
BgL_offsetz00_3552 = 
(BgL_auxz00_4388-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 162 */
long BgL_modz00_3553;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4393;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4394;
BgL_auxz00_4394 = 
(int)(((long)8)); 
BgL_auxz00_4393 = 
(long)(BgL_auxz00_4394); } 
BgL_modz00_3553 = 
(BgL_offsetz00_3552/BgL_auxz00_4393); } 
{ /* Jvm/compress.scm 162 */
long BgL_restz00_3555;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4398;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4399;
BgL_auxz00_4399 = 
(int)(((long)8)); 
BgL_auxz00_4398 = 
(long)(BgL_auxz00_4399); } 
BgL_restz00_3555 = 
(BgL_offsetz00_3552%BgL_auxz00_4398); } 
{ /* Jvm/compress.scm 162 */

{ /* Jvm/compress.scm 162 */
obj_t BgL_bucketz00_3557;
{ /* Jvm/compress.scm 162 */
int BgL_kz00_3567;
BgL_kz00_3567 = 
(int)(BgL_modz00_3553); 
BgL_bucketz00_3557 = 
VECTOR_REF(BgL_arg1221z00_3548,BgL_kz00_3567); } 
{ /* Jvm/compress.scm 162 */
int BgL_kz00_3569;
BgL_kz00_3569 = 
(int)(BgL_restz00_3555); 
BgL_method3028z00_3545 = 
VECTOR_REF(BgL_bucketz00_3557,BgL_kz00_3569); } } } } } } } } 
{ /* Jvm/compress.scm 162 */
obj_t BgL_auxz00_4407;
BgL_auxz00_4407 = 
PROCEDURE_ENTRY(BgL_method3028z00_3545)(BgL_method3028z00_3545, 
(obj_t)(BgL_arg3331z00_2267), BEOA); 
BgL_res3412z00_3570 = 
(BgL_nodez00_bglt)(BgL_auxz00_4407); } } 
BgL_arg3330z00_2266 = BgL_res3412z00_3570; } } 
((((BgL_funcallz00_bglt)CREF(BgL_ez00_2262))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3330z00_2266), BUNSPEC); } 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_2262))->BgL_argsz00)); 
BgL_auxz00_4380 = BgL_ez00_2262; 
return 
(obj_t)(BgL_auxz00_4380);} } } 
}



/* compile-compress-app-ly3048 */
obj_t BGl_compilezd2compresszd2appzd2ly3048zd2zzjvm_compressz00(obj_t BgL_envz00_3923, obj_t BgL_ez00_3924)
{ AN_OBJECT;
{ /* Jvm/compress.scm 154 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2252;
{ /* Jvm/compress.scm 155 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4417;
BgL_ez00_2252 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3924); 
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_arg3323z00_2256;
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_arg3324z00_2257;
BgL_arg3324z00_2257 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2252))->BgL_funz00); 
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_res3406z00_3510;
{ /* Jvm/compress.scm 156 */
obj_t BgL_method3028z00_3485;
{ /* Jvm/compress.scm 156 */
long BgL_objzd2classzd2numz00_3487;
{ /* Jvm/compress.scm 156 */
BgL_objectz00_bglt BgL_auxz00_4419;
BgL_auxz00_4419 = 
(BgL_objectz00_bglt)(BgL_arg3324z00_2257); 
BgL_objzd2classzd2numz00_3487 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4419); } 
{ /* Jvm/compress.scm 156 */
obj_t BgL_arg1221z00_3488;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4422;
BgL_auxz00_4422 = 
(int)(((long)1)); 
BgL_arg1221z00_3488 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4422); } 
{ /* Jvm/compress.scm 156 */
long BgL_offsetz00_3492;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4425;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4426;
BgL_auxz00_4426 = 
(int)(BgL_objzd2classzd2numz00_3487); 
BgL_auxz00_4425 = 
(long)(BgL_auxz00_4426); } 
BgL_offsetz00_3492 = 
(BgL_auxz00_4425-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 156 */
long BgL_modz00_3493;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4430;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4431;
BgL_auxz00_4431 = 
(int)(((long)8)); 
BgL_auxz00_4430 = 
(long)(BgL_auxz00_4431); } 
BgL_modz00_3493 = 
(BgL_offsetz00_3492/BgL_auxz00_4430); } 
{ /* Jvm/compress.scm 156 */
long BgL_restz00_3495;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4435;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4436;
BgL_auxz00_4436 = 
(int)(((long)8)); 
BgL_auxz00_4435 = 
(long)(BgL_auxz00_4436); } 
BgL_restz00_3495 = 
(BgL_offsetz00_3492%BgL_auxz00_4435); } 
{ /* Jvm/compress.scm 156 */

{ /* Jvm/compress.scm 156 */
obj_t BgL_bucketz00_3497;
{ /* Jvm/compress.scm 156 */
int BgL_kz00_3507;
BgL_kz00_3507 = 
(int)(BgL_modz00_3493); 
BgL_bucketz00_3497 = 
VECTOR_REF(BgL_arg1221z00_3488,BgL_kz00_3507); } 
{ /* Jvm/compress.scm 156 */
int BgL_kz00_3509;
BgL_kz00_3509 = 
(int)(BgL_restz00_3495); 
BgL_method3028z00_3485 = 
VECTOR_REF(BgL_bucketz00_3497,BgL_kz00_3509); } } } } } } } } 
{ /* Jvm/compress.scm 156 */
obj_t BgL_auxz00_4444;
BgL_auxz00_4444 = 
PROCEDURE_ENTRY(BgL_method3028z00_3485)(BgL_method3028z00_3485, 
(obj_t)(BgL_arg3324z00_2257), BEOA); 
BgL_res3406z00_3510 = 
(BgL_nodez00_bglt)(BgL_auxz00_4444); } } 
BgL_arg3323z00_2256 = BgL_res3406z00_3510; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2252))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3323z00_2256), BUNSPEC); } 
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_arg3325z00_2258;
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_arg3327z00_2259;
BgL_arg3327z00_2259 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2252))->BgL_argz00); 
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_res3409z00_3540;
{ /* Jvm/compress.scm 157 */
obj_t BgL_method3028z00_3515;
{ /* Jvm/compress.scm 157 */
long BgL_objzd2classzd2numz00_3517;
{ /* Jvm/compress.scm 157 */
BgL_objectz00_bglt BgL_auxz00_4451;
BgL_auxz00_4451 = 
(BgL_objectz00_bglt)(BgL_arg3327z00_2259); 
BgL_objzd2classzd2numz00_3517 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4451); } 
{ /* Jvm/compress.scm 157 */
obj_t BgL_arg1221z00_3518;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4454;
BgL_auxz00_4454 = 
(int)(((long)1)); 
BgL_arg1221z00_3518 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4454); } 
{ /* Jvm/compress.scm 157 */
long BgL_offsetz00_3522;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4457;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4458;
BgL_auxz00_4458 = 
(int)(BgL_objzd2classzd2numz00_3517); 
BgL_auxz00_4457 = 
(long)(BgL_auxz00_4458); } 
BgL_offsetz00_3522 = 
(BgL_auxz00_4457-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 157 */
long BgL_modz00_3523;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4462;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4463;
BgL_auxz00_4463 = 
(int)(((long)8)); 
BgL_auxz00_4462 = 
(long)(BgL_auxz00_4463); } 
BgL_modz00_3523 = 
(BgL_offsetz00_3522/BgL_auxz00_4462); } 
{ /* Jvm/compress.scm 157 */
long BgL_restz00_3525;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4467;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4468;
BgL_auxz00_4468 = 
(int)(((long)8)); 
BgL_auxz00_4467 = 
(long)(BgL_auxz00_4468); } 
BgL_restz00_3525 = 
(BgL_offsetz00_3522%BgL_auxz00_4467); } 
{ /* Jvm/compress.scm 157 */

{ /* Jvm/compress.scm 157 */
obj_t BgL_bucketz00_3527;
{ /* Jvm/compress.scm 157 */
int BgL_kz00_3537;
BgL_kz00_3537 = 
(int)(BgL_modz00_3523); 
BgL_bucketz00_3527 = 
VECTOR_REF(BgL_arg1221z00_3518,BgL_kz00_3537); } 
{ /* Jvm/compress.scm 157 */
int BgL_kz00_3539;
BgL_kz00_3539 = 
(int)(BgL_restz00_3525); 
BgL_method3028z00_3515 = 
VECTOR_REF(BgL_bucketz00_3527,BgL_kz00_3539); } } } } } } } } 
{ /* Jvm/compress.scm 157 */
obj_t BgL_auxz00_4476;
BgL_auxz00_4476 = 
PROCEDURE_ENTRY(BgL_method3028z00_3515)(BgL_method3028z00_3515, 
(obj_t)(BgL_arg3327z00_2259), BEOA); 
BgL_res3409z00_3540 = 
(BgL_nodez00_bglt)(BgL_auxz00_4476); } } 
BgL_arg3325z00_2258 = BgL_res3409z00_3540; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2252))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3325z00_2258), BUNSPEC); } 
BgL_auxz00_4417 = BgL_ez00_2252; 
return 
(obj_t)(BgL_auxz00_4417);} } } 
}



/* compile-compress-app3046 */
obj_t BGl_compilezd2compresszd2app3046z00zzjvm_compressz00(obj_t BgL_envz00_3925, obj_t BgL_ez00_3926)
{ AN_OBJECT;
{ /* Jvm/compress.scm 149 */
{ 
BgL_appz00_bglt BgL_ez00_2245;
{ /* Jvm/compress.scm 150 */
BgL_appz00_bglt BgL_auxz00_4484;
BgL_ez00_2245 = 
(BgL_appz00_bglt)(BgL_ez00_3926); 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_appz00_bglt)CREF(BgL_ez00_2245))->BgL_argsz00)); 
BgL_auxz00_4484 = BgL_ez00_2245; 
return 
(obj_t)(BgL_auxz00_4484);} } } 
}



/* compile-compress-let-fun3044 */
obj_t BGl_compilezd2compresszd2letzd2fun3044zd2zzjvm_compressz00(obj_t BgL_envz00_3927, obj_t BgL_ez00_3928)
{ AN_OBJECT;
{ /* Jvm/compress.scm 139 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2227;
{ /* Jvm/compress.scm 140 */
BgL_letzd2funzd2_bglt BgL_auxz00_4489;
BgL_ez00_2227 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_3928); 
{ 
obj_t BgL_l3000z00_2231;
BgL_l3000z00_2231 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2227))->BgL_localsz00); 
BgL_lname3001z00_2232:
if(
PAIRP(BgL_l3000z00_2231))
{ /* Jvm/compress.scm 141 */
{ /* Jvm/compress.scm 143 */
BgL_valuez00_bglt BgL_instance3004z00_2237;
{ /* Jvm/compress.scm 144 */
BgL_localz00_bglt BgL_obj1255z00_3418;
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4492;
BgL_auxz00_4492 = 
CAR(BgL_l3000z00_2231); 
BgL_obj1255z00_3418 = 
(BgL_localz00_bglt)(BgL_auxz00_4492); } 
BgL_instance3004z00_2237 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3418))->BgL_valuez00); } 
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_arg3315z00_2238;
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_res3400z00_3446;
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_ez00_3420;
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4496;
{ /* Jvm/compress.scm 144 */
BgL_sfunz00_bglt BgL_obj1372z00_3419;
BgL_obj1372z00_3419 = 
(BgL_sfunz00_bglt)(BgL_instance3004z00_2237); 
BgL_auxz00_4496 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3419))->BgL_bodyz00); } 
BgL_ez00_3420 = 
(BgL_nodez00_bglt)(BgL_auxz00_4496); } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_method3028z00_3421;
{ /* Jvm/compress.scm 144 */
long BgL_objzd2classzd2numz00_3423;
{ /* Jvm/compress.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4500;
BgL_auxz00_4500 = 
(BgL_objectz00_bglt)(BgL_ez00_3420); 
BgL_objzd2classzd2numz00_3423 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4500); } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_arg1221z00_3424;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4503;
BgL_auxz00_4503 = 
(int)(((long)1)); 
BgL_arg1221z00_3424 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4503); } 
{ /* Jvm/compress.scm 144 */
long BgL_offsetz00_3428;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4506;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(BgL_objzd2classzd2numz00_3423); 
BgL_auxz00_4506 = 
(long)(BgL_auxz00_4507); } 
BgL_offsetz00_3428 = 
(BgL_auxz00_4506-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 144 */
long BgL_modz00_3429;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4511;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4512;
BgL_auxz00_4512 = 
(int)(((long)8)); 
BgL_auxz00_4511 = 
(long)(BgL_auxz00_4512); } 
BgL_modz00_3429 = 
(BgL_offsetz00_3428/BgL_auxz00_4511); } 
{ /* Jvm/compress.scm 144 */
long BgL_restz00_3431;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4516;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4517;
BgL_auxz00_4517 = 
(int)(((long)8)); 
BgL_auxz00_4516 = 
(long)(BgL_auxz00_4517); } 
BgL_restz00_3431 = 
(BgL_offsetz00_3428%BgL_auxz00_4516); } 
{ /* Jvm/compress.scm 144 */

{ /* Jvm/compress.scm 144 */
obj_t BgL_bucketz00_3433;
{ /* Jvm/compress.scm 144 */
int BgL_kz00_3443;
BgL_kz00_3443 = 
(int)(BgL_modz00_3429); 
BgL_bucketz00_3433 = 
VECTOR_REF(BgL_arg1221z00_3424,BgL_kz00_3443); } 
{ /* Jvm/compress.scm 144 */
int BgL_kz00_3445;
BgL_kz00_3445 = 
(int)(BgL_restz00_3431); 
BgL_method3028z00_3421 = 
VECTOR_REF(BgL_bucketz00_3433,BgL_kz00_3445); } } } } } } } } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4525;
BgL_auxz00_4525 = 
PROCEDURE_ENTRY(BgL_method3028z00_3421)(BgL_method3028z00_3421, 
(obj_t)(BgL_ez00_3420), BEOA); 
BgL_res3400z00_3446 = 
(BgL_nodez00_bglt)(BgL_auxz00_4525); } } } 
BgL_arg3315z00_2238 = BgL_res3400z00_3446; } 
{ /* Jvm/compress.scm 144 */
BgL_sfunz00_bglt BgL_obj1374z00_3447;obj_t BgL_val1373z00_3448;
BgL_obj1374z00_3447 = 
(BgL_sfunz00_bglt)(BgL_instance3004z00_2237); 
BgL_val1373z00_3448 = 
(obj_t)(BgL_arg3315z00_2238); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3447))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_3448), BUNSPEC); } } } 
{ 
obj_t BgL_l3000z00_4533;
BgL_l3000z00_4533 = 
CDR(BgL_l3000z00_2231); 
BgL_l3000z00_2231 = BgL_l3000z00_4533; 
goto BgL_lname3001z00_2232;} }  else 
{ /* Jvm/compress.scm 141 */((bool_t)1); } } 
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_arg3318z00_2241;
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_arg3319z00_2242;
BgL_arg3319z00_2242 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2227))->BgL_bodyz00); 
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_res3403z00_3477;
{ /* Jvm/compress.scm 146 */
obj_t BgL_method3028z00_3452;
{ /* Jvm/compress.scm 146 */
long BgL_objzd2classzd2numz00_3454;
{ /* Jvm/compress.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4537;
BgL_auxz00_4537 = 
(BgL_objectz00_bglt)(BgL_arg3319z00_2242); 
BgL_objzd2classzd2numz00_3454 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4537); } 
{ /* Jvm/compress.scm 146 */
obj_t BgL_arg1221z00_3455;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4540;
BgL_auxz00_4540 = 
(int)(((long)1)); 
BgL_arg1221z00_3455 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4540); } 
{ /* Jvm/compress.scm 146 */
long BgL_offsetz00_3459;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4543;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4544;
BgL_auxz00_4544 = 
(int)(BgL_objzd2classzd2numz00_3454); 
BgL_auxz00_4543 = 
(long)(BgL_auxz00_4544); } 
BgL_offsetz00_3459 = 
(BgL_auxz00_4543-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 146 */
long BgL_modz00_3460;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4548;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4549;
BgL_auxz00_4549 = 
(int)(((long)8)); 
BgL_auxz00_4548 = 
(long)(BgL_auxz00_4549); } 
BgL_modz00_3460 = 
(BgL_offsetz00_3459/BgL_auxz00_4548); } 
{ /* Jvm/compress.scm 146 */
long BgL_restz00_3462;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4553;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4554;
BgL_auxz00_4554 = 
(int)(((long)8)); 
BgL_auxz00_4553 = 
(long)(BgL_auxz00_4554); } 
BgL_restz00_3462 = 
(BgL_offsetz00_3459%BgL_auxz00_4553); } 
{ /* Jvm/compress.scm 146 */

{ /* Jvm/compress.scm 146 */
obj_t BgL_bucketz00_3464;
{ /* Jvm/compress.scm 146 */
int BgL_kz00_3474;
BgL_kz00_3474 = 
(int)(BgL_modz00_3460); 
BgL_bucketz00_3464 = 
VECTOR_REF(BgL_arg1221z00_3455,BgL_kz00_3474); } 
{ /* Jvm/compress.scm 146 */
int BgL_kz00_3476;
BgL_kz00_3476 = 
(int)(BgL_restz00_3462); 
BgL_method3028z00_3452 = 
VECTOR_REF(BgL_bucketz00_3464,BgL_kz00_3476); } } } } } } } } 
{ /* Jvm/compress.scm 146 */
obj_t BgL_auxz00_4562;
BgL_auxz00_4562 = 
PROCEDURE_ENTRY(BgL_method3028z00_3452)(BgL_method3028z00_3452, 
(obj_t)(BgL_arg3319z00_2242), BEOA); 
BgL_res3403z00_3477 = 
(BgL_nodez00_bglt)(BgL_auxz00_4562); } } 
BgL_arg3318z00_2241 = BgL_res3403z00_3477; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2227))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3318z00_2241), BUNSPEC); } 
BgL_auxz00_4489 = BgL_ez00_2227; 
return 
(obj_t)(BgL_auxz00_4489);} } } 
}



/* compile-compress-select3042 */
obj_t BGl_compilezd2compresszd2select3042z00zzjvm_compressz00(obj_t BgL_envz00_3929, obj_t BgL_ez00_3930)
{ AN_OBJECT;
{ /* Jvm/compress.scm 133 */
{ 
BgL_selectz00_bglt BgL_ez00_2211;
{ /* Jvm/compress.scm 134 */
BgL_selectz00_bglt BgL_auxz00_4570;
BgL_ez00_2211 = 
(BgL_selectz00_bglt)(BgL_ez00_3930); 
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_arg3304z00_2215;
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_arg3305z00_2216;
BgL_arg3305z00_2216 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_2211))->BgL_testz00); 
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_res3394z00_3378;
{ /* Jvm/compress.scm 135 */
obj_t BgL_method3028z00_3353;
{ /* Jvm/compress.scm 135 */
long BgL_objzd2classzd2numz00_3355;
{ /* Jvm/compress.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4572;
BgL_auxz00_4572 = 
(BgL_objectz00_bglt)(BgL_arg3305z00_2216); 
BgL_objzd2classzd2numz00_3355 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4572); } 
{ /* Jvm/compress.scm 135 */
obj_t BgL_arg1221z00_3356;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4575;
BgL_auxz00_4575 = 
(int)(((long)1)); 
BgL_arg1221z00_3356 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4575); } 
{ /* Jvm/compress.scm 135 */
long BgL_offsetz00_3360;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4578;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4579;
BgL_auxz00_4579 = 
(int)(BgL_objzd2classzd2numz00_3355); 
BgL_auxz00_4578 = 
(long)(BgL_auxz00_4579); } 
BgL_offsetz00_3360 = 
(BgL_auxz00_4578-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 135 */
long BgL_modz00_3361;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4583;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4584;
BgL_auxz00_4584 = 
(int)(((long)8)); 
BgL_auxz00_4583 = 
(long)(BgL_auxz00_4584); } 
BgL_modz00_3361 = 
(BgL_offsetz00_3360/BgL_auxz00_4583); } 
{ /* Jvm/compress.scm 135 */
long BgL_restz00_3363;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4588;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4589;
BgL_auxz00_4589 = 
(int)(((long)8)); 
BgL_auxz00_4588 = 
(long)(BgL_auxz00_4589); } 
BgL_restz00_3363 = 
(BgL_offsetz00_3360%BgL_auxz00_4588); } 
{ /* Jvm/compress.scm 135 */

{ /* Jvm/compress.scm 135 */
obj_t BgL_bucketz00_3365;
{ /* Jvm/compress.scm 135 */
int BgL_kz00_3375;
BgL_kz00_3375 = 
(int)(BgL_modz00_3361); 
BgL_bucketz00_3365 = 
VECTOR_REF(BgL_arg1221z00_3356,BgL_kz00_3375); } 
{ /* Jvm/compress.scm 135 */
int BgL_kz00_3377;
BgL_kz00_3377 = 
(int)(BgL_restz00_3363); 
BgL_method3028z00_3353 = 
VECTOR_REF(BgL_bucketz00_3365,BgL_kz00_3377); } } } } } } } } 
{ /* Jvm/compress.scm 135 */
obj_t BgL_auxz00_4597;
BgL_auxz00_4597 = 
PROCEDURE_ENTRY(BgL_method3028z00_3353)(BgL_method3028z00_3353, 
(obj_t)(BgL_arg3305z00_2216), BEOA); 
BgL_res3394z00_3378 = 
(BgL_nodez00_bglt)(BgL_auxz00_4597); } } 
BgL_arg3304z00_2215 = BgL_res3394z00_3378; } } 
((((BgL_selectz00_bglt)CREF(BgL_ez00_2211))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3304z00_2215), BUNSPEC); } 
{ 
obj_t BgL_l2996z00_2217;
BgL_l2996z00_2217 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_2211))->BgL_clausesz00); 
BgL_lname2997z00_2218:
if(
PAIRP(BgL_l2996z00_2217))
{ /* Jvm/compress.scm 136 */
{ /* Jvm/compress.scm 136 */
obj_t BgL_cz00_2221;
BgL_cz00_2221 = 
CAR(BgL_l2996z00_2217); 
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_arg3309z00_2222;
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_res3397z00_3411;
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_ez00_3385;
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4606;
BgL_auxz00_4606 = 
CDR(BgL_cz00_2221); 
BgL_ez00_3385 = 
(BgL_nodez00_bglt)(BgL_auxz00_4606); } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_method3028z00_3386;
{ /* Jvm/compress.scm 136 */
long BgL_objzd2classzd2numz00_3388;
{ /* Jvm/compress.scm 136 */
BgL_objectz00_bglt BgL_auxz00_4609;
BgL_auxz00_4609 = 
(BgL_objectz00_bglt)(BgL_ez00_3385); 
BgL_objzd2classzd2numz00_3388 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4609); } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_arg1221z00_3389;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4612;
BgL_auxz00_4612 = 
(int)(((long)1)); 
BgL_arg1221z00_3389 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4612); } 
{ /* Jvm/compress.scm 136 */
long BgL_offsetz00_3393;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4615;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4616;
BgL_auxz00_4616 = 
(int)(BgL_objzd2classzd2numz00_3388); 
BgL_auxz00_4615 = 
(long)(BgL_auxz00_4616); } 
BgL_offsetz00_3393 = 
(BgL_auxz00_4615-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 136 */
long BgL_modz00_3394;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4620;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4621;
BgL_auxz00_4621 = 
(int)(((long)8)); 
BgL_auxz00_4620 = 
(long)(BgL_auxz00_4621); } 
BgL_modz00_3394 = 
(BgL_offsetz00_3393/BgL_auxz00_4620); } 
{ /* Jvm/compress.scm 136 */
long BgL_restz00_3396;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4625;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4626;
BgL_auxz00_4626 = 
(int)(((long)8)); 
BgL_auxz00_4625 = 
(long)(BgL_auxz00_4626); } 
BgL_restz00_3396 = 
(BgL_offsetz00_3393%BgL_auxz00_4625); } 
{ /* Jvm/compress.scm 136 */

{ /* Jvm/compress.scm 136 */
obj_t BgL_bucketz00_3398;
{ /* Jvm/compress.scm 136 */
int BgL_kz00_3408;
BgL_kz00_3408 = 
(int)(BgL_modz00_3394); 
BgL_bucketz00_3398 = 
VECTOR_REF(BgL_arg1221z00_3389,BgL_kz00_3408); } 
{ /* Jvm/compress.scm 136 */
int BgL_kz00_3410;
BgL_kz00_3410 = 
(int)(BgL_restz00_3396); 
BgL_method3028z00_3386 = 
VECTOR_REF(BgL_bucketz00_3398,BgL_kz00_3410); } } } } } } } } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4634;
BgL_auxz00_4634 = 
PROCEDURE_ENTRY(BgL_method3028z00_3386)(BgL_method3028z00_3386, 
(obj_t)(BgL_ez00_3385), BEOA); 
BgL_res3397z00_3411 = 
(BgL_nodez00_bglt)(BgL_auxz00_4634); } } } 
BgL_arg3309z00_2222 = BgL_res3397z00_3411; } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4639;
BgL_auxz00_4639 = 
(obj_t)(BgL_arg3309z00_2222); 
SET_CDR(BgL_cz00_2221, BgL_auxz00_4639); } } } 
{ 
obj_t BgL_l2996z00_4642;
BgL_l2996z00_4642 = 
CDR(BgL_l2996z00_2217); 
BgL_l2996z00_2217 = BgL_l2996z00_4642; 
goto BgL_lname2997z00_2218;} }  else 
{ /* Jvm/compress.scm 136 */((bool_t)1); } } 
BgL_auxz00_4570 = BgL_ez00_2211; 
return 
(obj_t)(BgL_auxz00_4570);} } } 
}



/* compile-compress-conditional3040 */
obj_t BGl_compilezd2compresszd2conditional3040z00zzjvm_compressz00(obj_t BgL_envz00_3931, obj_t BgL_ez00_3932)
{ AN_OBJECT;
{ /* Jvm/compress.scm 126 */
{ 
BgL_conditionalz00_bglt BgL_ez00_2199;
{ /* Jvm/compress.scm 127 */
BgL_conditionalz00_bglt BgL_auxz00_4647;
BgL_ez00_2199 = 
(BgL_conditionalz00_bglt)(BgL_ez00_3932); 
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_arg3297z00_2203;
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_arg3298z00_2204;
BgL_arg3298z00_2204 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_testz00); 
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_res3385z00_3288;
{ /* Jvm/compress.scm 128 */
obj_t BgL_method3028z00_3263;
{ /* Jvm/compress.scm 128 */
long BgL_objzd2classzd2numz00_3265;
{ /* Jvm/compress.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4649;
BgL_auxz00_4649 = 
(BgL_objectz00_bglt)(BgL_arg3298z00_2204); 
BgL_objzd2classzd2numz00_3265 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4649); } 
{ /* Jvm/compress.scm 128 */
obj_t BgL_arg1221z00_3266;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)1)); 
BgL_arg1221z00_3266 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4652); } 
{ /* Jvm/compress.scm 128 */
long BgL_offsetz00_3270;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4655;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4656;
BgL_auxz00_4656 = 
(int)(BgL_objzd2classzd2numz00_3265); 
BgL_auxz00_4655 = 
(long)(BgL_auxz00_4656); } 
BgL_offsetz00_3270 = 
(BgL_auxz00_4655-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 128 */
long BgL_modz00_3271;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4660;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4661;
BgL_auxz00_4661 = 
(int)(((long)8)); 
BgL_auxz00_4660 = 
(long)(BgL_auxz00_4661); } 
BgL_modz00_3271 = 
(BgL_offsetz00_3270/BgL_auxz00_4660); } 
{ /* Jvm/compress.scm 128 */
long BgL_restz00_3273;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4665;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4666;
BgL_auxz00_4666 = 
(int)(((long)8)); 
BgL_auxz00_4665 = 
(long)(BgL_auxz00_4666); } 
BgL_restz00_3273 = 
(BgL_offsetz00_3270%BgL_auxz00_4665); } 
{ /* Jvm/compress.scm 128 */

{ /* Jvm/compress.scm 128 */
obj_t BgL_bucketz00_3275;
{ /* Jvm/compress.scm 128 */
int BgL_kz00_3285;
BgL_kz00_3285 = 
(int)(BgL_modz00_3271); 
BgL_bucketz00_3275 = 
VECTOR_REF(BgL_arg1221z00_3266,BgL_kz00_3285); } 
{ /* Jvm/compress.scm 128 */
int BgL_kz00_3287;
BgL_kz00_3287 = 
(int)(BgL_restz00_3273); 
BgL_method3028z00_3263 = 
VECTOR_REF(BgL_bucketz00_3275,BgL_kz00_3287); } } } } } } } } 
{ /* Jvm/compress.scm 128 */
obj_t BgL_auxz00_4674;
BgL_auxz00_4674 = 
PROCEDURE_ENTRY(BgL_method3028z00_3263)(BgL_method3028z00_3263, 
(obj_t)(BgL_arg3298z00_2204), BEOA); 
BgL_res3385z00_3288 = 
(BgL_nodez00_bglt)(BgL_auxz00_4674); } } 
BgL_arg3297z00_2203 = BgL_res3385z00_3288; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3297z00_2203), BUNSPEC); } 
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_arg3299z00_2205;
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_arg3300z00_2206;
BgL_arg3300z00_2206 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_truez00); 
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_res3388z00_3318;
{ /* Jvm/compress.scm 129 */
obj_t BgL_method3028z00_3293;
{ /* Jvm/compress.scm 129 */
long BgL_objzd2classzd2numz00_3295;
{ /* Jvm/compress.scm 129 */
BgL_objectz00_bglt BgL_auxz00_4681;
BgL_auxz00_4681 = 
(BgL_objectz00_bglt)(BgL_arg3300z00_2206); 
BgL_objzd2classzd2numz00_3295 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4681); } 
{ /* Jvm/compress.scm 129 */
obj_t BgL_arg1221z00_3296;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4684;
BgL_auxz00_4684 = 
(int)(((long)1)); 
BgL_arg1221z00_3296 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4684); } 
{ /* Jvm/compress.scm 129 */
long BgL_offsetz00_3300;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4687;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4688;
BgL_auxz00_4688 = 
(int)(BgL_objzd2classzd2numz00_3295); 
BgL_auxz00_4687 = 
(long)(BgL_auxz00_4688); } 
BgL_offsetz00_3300 = 
(BgL_auxz00_4687-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 129 */
long BgL_modz00_3301;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4692;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4693;
BgL_auxz00_4693 = 
(int)(((long)8)); 
BgL_auxz00_4692 = 
(long)(BgL_auxz00_4693); } 
BgL_modz00_3301 = 
(BgL_offsetz00_3300/BgL_auxz00_4692); } 
{ /* Jvm/compress.scm 129 */
long BgL_restz00_3303;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4697;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4698;
BgL_auxz00_4698 = 
(int)(((long)8)); 
BgL_auxz00_4697 = 
(long)(BgL_auxz00_4698); } 
BgL_restz00_3303 = 
(BgL_offsetz00_3300%BgL_auxz00_4697); } 
{ /* Jvm/compress.scm 129 */

{ /* Jvm/compress.scm 129 */
obj_t BgL_bucketz00_3305;
{ /* Jvm/compress.scm 129 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_modz00_3301); 
BgL_bucketz00_3305 = 
VECTOR_REF(BgL_arg1221z00_3296,BgL_kz00_3315); } 
{ /* Jvm/compress.scm 129 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_restz00_3303); 
BgL_method3028z00_3293 = 
VECTOR_REF(BgL_bucketz00_3305,BgL_kz00_3317); } } } } } } } } 
{ /* Jvm/compress.scm 129 */
obj_t BgL_auxz00_4706;
BgL_auxz00_4706 = 
PROCEDURE_ENTRY(BgL_method3028z00_3293)(BgL_method3028z00_3293, 
(obj_t)(BgL_arg3300z00_2206), BEOA); 
BgL_res3388z00_3318 = 
(BgL_nodez00_bglt)(BgL_auxz00_4706); } } 
BgL_arg3299z00_2205 = BgL_res3388z00_3318; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3299z00_2205), BUNSPEC); } 
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_arg3301z00_2207;
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_arg3302z00_2208;
BgL_arg3302z00_2208 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_falsez00); 
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_res3391z00_3348;
{ /* Jvm/compress.scm 130 */
obj_t BgL_method3028z00_3323;
{ /* Jvm/compress.scm 130 */
long BgL_objzd2classzd2numz00_3325;
{ /* Jvm/compress.scm 130 */
BgL_objectz00_bglt BgL_auxz00_4713;
BgL_auxz00_4713 = 
(BgL_objectz00_bglt)(BgL_arg3302z00_2208); 
BgL_objzd2classzd2numz00_3325 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4713); } 
{ /* Jvm/compress.scm 130 */
obj_t BgL_arg1221z00_3326;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4716;
BgL_auxz00_4716 = 
(int)(((long)1)); 
BgL_arg1221z00_3326 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4716); } 
{ /* Jvm/compress.scm 130 */
long BgL_offsetz00_3330;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4719;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4720;
BgL_auxz00_4720 = 
(int)(BgL_objzd2classzd2numz00_3325); 
BgL_auxz00_4719 = 
(long)(BgL_auxz00_4720); } 
BgL_offsetz00_3330 = 
(BgL_auxz00_4719-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 130 */
long BgL_modz00_3331;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4724;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4725;
BgL_auxz00_4725 = 
(int)(((long)8)); 
BgL_auxz00_4724 = 
(long)(BgL_auxz00_4725); } 
BgL_modz00_3331 = 
(BgL_offsetz00_3330/BgL_auxz00_4724); } 
{ /* Jvm/compress.scm 130 */
long BgL_restz00_3333;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4729;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4730;
BgL_auxz00_4730 = 
(int)(((long)8)); 
BgL_auxz00_4729 = 
(long)(BgL_auxz00_4730); } 
BgL_restz00_3333 = 
(BgL_offsetz00_3330%BgL_auxz00_4729); } 
{ /* Jvm/compress.scm 130 */

{ /* Jvm/compress.scm 130 */
obj_t BgL_bucketz00_3335;
{ /* Jvm/compress.scm 130 */
int BgL_kz00_3345;
BgL_kz00_3345 = 
(int)(BgL_modz00_3331); 
BgL_bucketz00_3335 = 
VECTOR_REF(BgL_arg1221z00_3326,BgL_kz00_3345); } 
{ /* Jvm/compress.scm 130 */
int BgL_kz00_3347;
BgL_kz00_3347 = 
(int)(BgL_restz00_3333); 
BgL_method3028z00_3323 = 
VECTOR_REF(BgL_bucketz00_3335,BgL_kz00_3347); } } } } } } } } 
{ /* Jvm/compress.scm 130 */
obj_t BgL_auxz00_4738;
BgL_auxz00_4738 = 
PROCEDURE_ENTRY(BgL_method3028z00_3323)(BgL_method3028z00_3323, 
(obj_t)(BgL_arg3302z00_2208), BEOA); 
BgL_res3391z00_3348 = 
(BgL_nodez00_bglt)(BgL_auxz00_4738); } } 
BgL_arg3301z00_2207 = BgL_res3391z00_3348; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2199))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3301z00_2207), BUNSPEC); } 
BgL_auxz00_4647 = BgL_ez00_2199; 
return 
(obj_t)(BgL_auxz00_4647);} } } 
}



/* compile-compress-sequence3038 */
obj_t BGl_compilezd2compresszd2sequence3038z00zzjvm_compressz00(obj_t BgL_envz00_3933, obj_t BgL_ez00_3934)
{ AN_OBJECT;
{ /* Jvm/compress.scm 118 */
{ 
BgL_sequencez00_bglt BgL_ez00_2185;
BgL_ez00_2185 = 
(BgL_sequencez00_bglt)(BgL_ez00_3934); 
{ /* Jvm/compress.scm 120 */
bool_t BgL_testz00_4746;
{ /* Jvm/compress.scm 120 */
bool_t BgL_testz00_4747;
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4748;
BgL_auxz00_4748 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2185))->BgL_nodesz00); 
BgL_testz00_4747 = 
PAIRP(BgL_auxz00_4748); } 
if(BgL_testz00_4747)
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4751;
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4752;
BgL_auxz00_4752 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2185))->BgL_nodesz00); 
BgL_auxz00_4751 = 
CDR(BgL_auxz00_4752); } 
BgL_testz00_4746 = 
NULLP(BgL_auxz00_4751); }  else 
{ /* Jvm/compress.scm 120 */
BgL_testz00_4746 = ((bool_t)0)
; } } 
if(BgL_testz00_4746)
{ /* Jvm/compress.scm 121 */
BgL_nodez00_bglt BgL_res3382z00_3259;
{ /* Jvm/compress.scm 121 */
BgL_nodez00_bglt BgL_ez00_3233;
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4756;
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4757;
BgL_auxz00_4757 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2185))->BgL_nodesz00); 
BgL_auxz00_4756 = 
CAR(BgL_auxz00_4757); } 
BgL_ez00_3233 = 
(BgL_nodez00_bglt)(BgL_auxz00_4756); } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_method3028z00_3234;
{ /* Jvm/compress.scm 121 */
long BgL_objzd2classzd2numz00_3236;
{ /* Jvm/compress.scm 121 */
BgL_objectz00_bglt BgL_auxz00_4761;
BgL_auxz00_4761 = 
(BgL_objectz00_bglt)(BgL_ez00_3233); 
BgL_objzd2classzd2numz00_3236 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4761); } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_arg1221z00_3237;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4764;
BgL_auxz00_4764 = 
(int)(((long)1)); 
BgL_arg1221z00_3237 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4764); } 
{ /* Jvm/compress.scm 121 */
long BgL_offsetz00_3241;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4767;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4768;
BgL_auxz00_4768 = 
(int)(BgL_objzd2classzd2numz00_3236); 
BgL_auxz00_4767 = 
(long)(BgL_auxz00_4768); } 
BgL_offsetz00_3241 = 
(BgL_auxz00_4767-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 121 */
long BgL_modz00_3242;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4772;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4773;
BgL_auxz00_4773 = 
(int)(((long)8)); 
BgL_auxz00_4772 = 
(long)(BgL_auxz00_4773); } 
BgL_modz00_3242 = 
(BgL_offsetz00_3241/BgL_auxz00_4772); } 
{ /* Jvm/compress.scm 121 */
long BgL_restz00_3244;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4777;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4778;
BgL_auxz00_4778 = 
(int)(((long)8)); 
BgL_auxz00_4777 = 
(long)(BgL_auxz00_4778); } 
BgL_restz00_3244 = 
(BgL_offsetz00_3241%BgL_auxz00_4777); } 
{ /* Jvm/compress.scm 121 */

{ /* Jvm/compress.scm 121 */
obj_t BgL_bucketz00_3246;
{ /* Jvm/compress.scm 121 */
int BgL_kz00_3256;
BgL_kz00_3256 = 
(int)(BgL_modz00_3242); 
BgL_bucketz00_3246 = 
VECTOR_REF(BgL_arg1221z00_3237,BgL_kz00_3256); } 
{ /* Jvm/compress.scm 121 */
int BgL_kz00_3258;
BgL_kz00_3258 = 
(int)(BgL_restz00_3244); 
BgL_method3028z00_3234 = 
VECTOR_REF(BgL_bucketz00_3246,BgL_kz00_3258); } } } } } } } } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4786;
BgL_auxz00_4786 = 
PROCEDURE_ENTRY(BgL_method3028z00_3234)(BgL_method3028z00_3234, 
(obj_t)(BgL_ez00_3233), BEOA); 
BgL_res3382z00_3259 = 
(BgL_nodez00_bglt)(BgL_auxz00_4786); } } } 
return 
(obj_t)(BgL_res3382z00_3259);}  else 
{ /* Jvm/compress.scm 120 */
BGl_compressza2za2zzjvm_compressz00(
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2185))->BgL_nodesz00)); 
return 
(obj_t)(BgL_ez00_2185);} } } } 
}



/* compile-compress-setq3036 */
obj_t BGl_compilezd2compresszd2setq3036z00zzjvm_compressz00(obj_t BgL_envz00_3935, obj_t BgL_ez00_3936)
{ AN_OBJECT;
{ /* Jvm/compress.scm 113 */
{ 
BgL_setqz00_bglt BgL_ez00_2177;
{ /* Jvm/compress.scm 114 */
BgL_setqz00_bglt BgL_auxz00_4796;
BgL_ez00_2177 = 
(BgL_setqz00_bglt)(BgL_ez00_3936); 
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_arg3285z00_2181;
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_arg3286z00_2182;
BgL_arg3286z00_2182 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_2177))->BgL_valuez00); 
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_res3379z00_3223;
{ /* Jvm/compress.scm 115 */
obj_t BgL_method3028z00_3198;
{ /* Jvm/compress.scm 115 */
long BgL_objzd2classzd2numz00_3200;
{ /* Jvm/compress.scm 115 */
BgL_objectz00_bglt BgL_auxz00_4798;
BgL_auxz00_4798 = 
(BgL_objectz00_bglt)(BgL_arg3286z00_2182); 
BgL_objzd2classzd2numz00_3200 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4798); } 
{ /* Jvm/compress.scm 115 */
obj_t BgL_arg1221z00_3201;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4801;
BgL_auxz00_4801 = 
(int)(((long)1)); 
BgL_arg1221z00_3201 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4801); } 
{ /* Jvm/compress.scm 115 */
long BgL_offsetz00_3205;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4804;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4805;
BgL_auxz00_4805 = 
(int)(BgL_objzd2classzd2numz00_3200); 
BgL_auxz00_4804 = 
(long)(BgL_auxz00_4805); } 
BgL_offsetz00_3205 = 
(BgL_auxz00_4804-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 115 */
long BgL_modz00_3206;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4809;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4810;
BgL_auxz00_4810 = 
(int)(((long)8)); 
BgL_auxz00_4809 = 
(long)(BgL_auxz00_4810); } 
BgL_modz00_3206 = 
(BgL_offsetz00_3205/BgL_auxz00_4809); } 
{ /* Jvm/compress.scm 115 */
long BgL_restz00_3208;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4814;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(((long)8)); 
BgL_auxz00_4814 = 
(long)(BgL_auxz00_4815); } 
BgL_restz00_3208 = 
(BgL_offsetz00_3205%BgL_auxz00_4814); } 
{ /* Jvm/compress.scm 115 */

{ /* Jvm/compress.scm 115 */
obj_t BgL_bucketz00_3210;
{ /* Jvm/compress.scm 115 */
int BgL_kz00_3220;
BgL_kz00_3220 = 
(int)(BgL_modz00_3206); 
BgL_bucketz00_3210 = 
VECTOR_REF(BgL_arg1221z00_3201,BgL_kz00_3220); } 
{ /* Jvm/compress.scm 115 */
int BgL_kz00_3222;
BgL_kz00_3222 = 
(int)(BgL_restz00_3208); 
BgL_method3028z00_3198 = 
VECTOR_REF(BgL_bucketz00_3210,BgL_kz00_3222); } } } } } } } } 
{ /* Jvm/compress.scm 115 */
obj_t BgL_auxz00_4823;
BgL_auxz00_4823 = 
PROCEDURE_ENTRY(BgL_method3028z00_3198)(BgL_method3028z00_3198, 
(obj_t)(BgL_arg3286z00_2182), BEOA); 
BgL_res3379z00_3223 = 
(BgL_nodez00_bglt)(BgL_auxz00_4823); } } 
BgL_arg3285z00_2181 = BgL_res3379z00_3223; } } 
((((BgL_setqz00_bglt)CREF(BgL_ez00_2177))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3285z00_2181), BUNSPEC); } 
BgL_auxz00_4796 = BgL_ez00_2177; 
return 
(obj_t)(BgL_auxz00_4796);} } } 
}



/* compile-compress-let-var3034 */
obj_t BGl_compilezd2compresszd2letzd2var3034zd2zzjvm_compressz00(obj_t BgL_envz00_3937, obj_t BgL_ez00_3938)
{ AN_OBJECT;
{ /* Jvm/compress.scm 28 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1935;
BgL_ez00_1935 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_3938); 
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_arg3126z00_1946;
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_arg3127z00_1947;
BgL_arg3127z00_1947 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_res3371z00_2969;
{ /* Jvm/compress.scm 62 */
obj_t BgL_method3028z00_2944;
{ /* Jvm/compress.scm 62 */
long BgL_objzd2classzd2numz00_2946;
{ /* Jvm/compress.scm 62 */
BgL_objectz00_bglt BgL_auxz00_4832;
BgL_auxz00_4832 = 
(BgL_objectz00_bglt)(BgL_arg3127z00_1947); 
BgL_objzd2classzd2numz00_2946 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4832); } 
{ /* Jvm/compress.scm 62 */
obj_t BgL_arg1221z00_2947;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4835;
BgL_auxz00_4835 = 
(int)(((long)1)); 
BgL_arg1221z00_2947 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4835); } 
{ /* Jvm/compress.scm 62 */
long BgL_offsetz00_2951;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4838;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4839;
BgL_auxz00_4839 = 
(int)(BgL_objzd2classzd2numz00_2946); 
BgL_auxz00_4838 = 
(long)(BgL_auxz00_4839); } 
BgL_offsetz00_2951 = 
(BgL_auxz00_4838-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 62 */
long BgL_modz00_2952;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4843;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)8)); 
BgL_auxz00_4843 = 
(long)(BgL_auxz00_4844); } 
BgL_modz00_2952 = 
(BgL_offsetz00_2951/BgL_auxz00_4843); } 
{ /* Jvm/compress.scm 62 */
long BgL_restz00_2954;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4848;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4849;
BgL_auxz00_4849 = 
(int)(((long)8)); 
BgL_auxz00_4848 = 
(long)(BgL_auxz00_4849); } 
BgL_restz00_2954 = 
(BgL_offsetz00_2951%BgL_auxz00_4848); } 
{ /* Jvm/compress.scm 62 */

{ /* Jvm/compress.scm 62 */
obj_t BgL_bucketz00_2956;
{ /* Jvm/compress.scm 62 */
int BgL_kz00_2966;
BgL_kz00_2966 = 
(int)(BgL_modz00_2952); 
BgL_bucketz00_2956 = 
VECTOR_REF(BgL_arg1221z00_2947,BgL_kz00_2966); } 
{ /* Jvm/compress.scm 62 */
int BgL_kz00_2968;
BgL_kz00_2968 = 
(int)(BgL_restz00_2954); 
BgL_method3028z00_2944 = 
VECTOR_REF(BgL_bucketz00_2956,BgL_kz00_2968); } } } } } } } } 
{ /* Jvm/compress.scm 62 */
obj_t BgL_auxz00_4857;
BgL_auxz00_4857 = 
PROCEDURE_ENTRY(BgL_method3028z00_2944)(BgL_method3028z00_2944, 
(obj_t)(BgL_arg3127z00_1947), BEOA); 
BgL_res3371z00_2969 = 
(BgL_nodez00_bglt)(BgL_auxz00_4857); } } 
BgL_arg3126z00_1946 = BgL_res3371z00_2969; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3126z00_1946), BUNSPEC); } 
{ 
obj_t BgL_l2967z00_1948;
BgL_l2967z00_1948 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_lname2968z00_1949:
if(
PAIRP(BgL_l2967z00_1948))
{ /* Jvm/compress.scm 63 */
{ /* Jvm/compress.scm 63 */
obj_t BgL_cz00_1952;
BgL_cz00_1952 = 
CAR(BgL_l2967z00_1948); 
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_arg3130z00_1953;
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_res3374z00_3002;
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_ez00_2976;
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4866;
BgL_auxz00_4866 = 
CDR(BgL_cz00_1952); 
BgL_ez00_2976 = 
(BgL_nodez00_bglt)(BgL_auxz00_4866); } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_method3028z00_2977;
{ /* Jvm/compress.scm 63 */
long BgL_objzd2classzd2numz00_2979;
{ /* Jvm/compress.scm 63 */
BgL_objectz00_bglt BgL_auxz00_4869;
BgL_auxz00_4869 = 
(BgL_objectz00_bglt)(BgL_ez00_2976); 
BgL_objzd2classzd2numz00_2979 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4869); } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_arg1221z00_2980;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4872;
BgL_auxz00_4872 = 
(int)(((long)1)); 
BgL_arg1221z00_2980 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4872); } 
{ /* Jvm/compress.scm 63 */
long BgL_offsetz00_2984;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4875;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4876;
BgL_auxz00_4876 = 
(int)(BgL_objzd2classzd2numz00_2979); 
BgL_auxz00_4875 = 
(long)(BgL_auxz00_4876); } 
BgL_offsetz00_2984 = 
(BgL_auxz00_4875-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 63 */
long BgL_modz00_2985;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4880;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4881;
BgL_auxz00_4881 = 
(int)(((long)8)); 
BgL_auxz00_4880 = 
(long)(BgL_auxz00_4881); } 
BgL_modz00_2985 = 
(BgL_offsetz00_2984/BgL_auxz00_4880); } 
{ /* Jvm/compress.scm 63 */
long BgL_restz00_2987;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4885;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4886;
BgL_auxz00_4886 = 
(int)(((long)8)); 
BgL_auxz00_4885 = 
(long)(BgL_auxz00_4886); } 
BgL_restz00_2987 = 
(BgL_offsetz00_2984%BgL_auxz00_4885); } 
{ /* Jvm/compress.scm 63 */

{ /* Jvm/compress.scm 63 */
obj_t BgL_bucketz00_2989;
{ /* Jvm/compress.scm 63 */
int BgL_kz00_2999;
BgL_kz00_2999 = 
(int)(BgL_modz00_2985); 
BgL_bucketz00_2989 = 
VECTOR_REF(BgL_arg1221z00_2980,BgL_kz00_2999); } 
{ /* Jvm/compress.scm 63 */
int BgL_kz00_3001;
BgL_kz00_3001 = 
(int)(BgL_restz00_2987); 
BgL_method3028z00_2977 = 
VECTOR_REF(BgL_bucketz00_2989,BgL_kz00_3001); } } } } } } } } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4894;
BgL_auxz00_4894 = 
PROCEDURE_ENTRY(BgL_method3028z00_2977)(BgL_method3028z00_2977, 
(obj_t)(BgL_ez00_2976), BEOA); 
BgL_res3374z00_3002 = 
(BgL_nodez00_bglt)(BgL_auxz00_4894); } } } 
BgL_arg3130z00_1953 = BgL_res3374z00_3002; } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4899;
BgL_auxz00_4899 = 
(obj_t)(BgL_arg3130z00_1953); 
SET_CDR(BgL_cz00_1952, BgL_auxz00_4899); } } } 
{ 
obj_t BgL_l2967z00_4902;
BgL_l2967z00_4902 = 
CDR(BgL_l2967z00_1948); 
BgL_l2967z00_1948 = BgL_l2967z00_4902; 
goto BgL_lname2968z00_1949;} }  else 
{ /* Jvm/compress.scm 63 */((bool_t)1); } } 
{ /* Jvm/compress.scm 65 */
bool_t BgL_testz00_4905;
{ /* Jvm/compress.scm 65 */
obj_t BgL_auxz00_4906;
BgL_auxz00_4906 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_testz00_4905 = 
NULLP(BgL_auxz00_4906); } 
if(BgL_testz00_4905)
{ /* Jvm/compress.scm 65 */
{ /* Jvm/compress.scm 65 */
BgL_nodez00_bglt BgL_auxz00_4909;
BgL_auxz00_4909 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_4909);} }  else 
{ /* Jvm/compress.scm 68 */
bool_t BgL_test3134z00_1957;
{ /* Jvm/compress.scm 68 */
obj_t BgL_auxz00_4912;
BgL_auxz00_4912 = 
BGl_anyzf3zf3zzjvm_envz00(BGl_proc3463z00zzjvm_compressz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
BgL_test3134z00_1957 = 
CBOOL(BgL_auxz00_4912); } 
if(BgL_test3134z00_1957)
{ /* Jvm/compress.scm 68 */
return 
(obj_t)(BgL_ez00_1935);}  else 
{ /* Jvm/compress.scm 70 */
bool_t BgL_test3135z00_1958;
{ /* Jvm/compress.scm 70 */
bool_t BgL_test3243z00_2096;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4918;
{ /* Jvm/compress.scm 70 */
BgL_nodez00_bglt BgL_auxz00_4919;
BgL_auxz00_4919 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_4918 = 
(obj_t)(BgL_auxz00_4919); } 
BgL_test3243z00_2096 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4918, BGl_varz00zzast_nodez00); } 
if(BgL_test3243z00_2096)
{ /* Jvm/compress.scm 70 */
obj_t BgL_arg3244z00_2097;BgL_nodez00_bglt BgL_arg3245z00_2098;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4924;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4925;
BgL_auxz00_4925 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_auxz00_4924 = 
CAR(BgL_auxz00_4925); } 
BgL_arg3244z00_2097 = 
CAR(BgL_auxz00_4924); } 
BgL_arg3245z00_2098 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
{ /* Jvm/compress.scm 70 */
bool_t BgL__andtest_2953z00_3024;
BgL__andtest_2953z00_3024 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg3245z00_2098), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2953z00_3024)
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4933;
{ /* Jvm/compress.scm 70 */
BgL_variablez00_bglt BgL_auxz00_4934;
{ /* Jvm/compress.scm 70 */
BgL_varz00_bglt BgL_obj1619z00_3027;
BgL_obj1619z00_3027 = 
(BgL_varz00_bglt)(BgL_arg3245z00_2098); 
BgL_auxz00_4934 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3027))->BgL_variablez00); } 
BgL_auxz00_4933 = 
(obj_t)(BgL_auxz00_4934); } 
BgL_test3135z00_1958 = 
(BgL_auxz00_4933==BgL_arg3244z00_2097); }  else 
{ /* Jvm/compress.scm 70 */
BgL_test3135z00_1958 = ((bool_t)0); } } }  else 
{ /* Jvm/compress.scm 70 */
BgL_test3135z00_1958 = ((bool_t)0); } } 
if(BgL_test3135z00_1958)
{ /* Jvm/compress.scm 70 */
{ /* Jvm/compress.scm 72 */
obj_t BgL_auxz00_4940;
{ /* Jvm/compress.scm 72 */
obj_t BgL_auxz00_4941;
BgL_auxz00_4941 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_auxz00_4940 = 
CAR(BgL_auxz00_4941); } 
return 
CDR(BgL_auxz00_4940);} }  else 
{ /* Jvm/compress.scm 73 */
bool_t BgL_test3137z00_1960;
{ /* Jvm/compress.scm 73 */
bool_t BgL_test3212z00_2055;
{ /* Jvm/compress.scm 73 */
obj_t BgL_auxz00_4945;
{ /* Jvm/compress.scm 73 */
BgL_nodez00_bglt BgL_auxz00_4946;
BgL_auxz00_4946 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_4945 = 
(obj_t)(BgL_auxz00_4946); } 
BgL_test3212z00_2055 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4945, BGl_appz00zzast_nodez00); } 
if(BgL_test3212z00_2055)
{ /* Jvm/compress.scm 74 */
bool_t BgL_test3213z00_2056;
{ /* Jvm/compress.scm 74 */
obj_t BgL_auxz00_4951;
{ /* Jvm/compress.scm 74 */
obj_t BgL_auxz00_4952;
{ /* Jvm/compress.scm 74 */
BgL_appz00_bglt BgL_obj1725z00_3036;
{ /* Jvm/compress.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4953;
BgL_auxz00_4953 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3036 = 
(BgL_appz00_bglt)(BgL_auxz00_4953); } 
BgL_auxz00_4952 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3036))->BgL_argsz00); } 
BgL_auxz00_4951 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc3462z00zzjvm_compressz00, BgL_auxz00_4952, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); } 
BgL_test3213z00_2056 = 
CBOOL(BgL_auxz00_4951); } 
if(BgL_test3213z00_2056)
{ /* Jvm/compress.scm 75 */
bool_t BgL__ortest_2969z00_2057;
{ /* Jvm/compress.scm 75 */
long BgL_auxz00_4961;
{ /* Jvm/compress.scm 75 */
obj_t BgL_auxz00_4962;
{ /* Jvm/compress.scm 75 */
BgL_appz00_bglt BgL_obj1725z00_3039;
{ /* Jvm/compress.scm 75 */
BgL_nodez00_bglt BgL_auxz00_4963;
BgL_auxz00_4963 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3039 = 
(BgL_appz00_bglt)(BgL_auxz00_4963); } 
BgL_auxz00_4962 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3039))->BgL_argsz00); } 
BgL_auxz00_4961 = 
bgl_list_length(BgL_auxz00_4962); } 
BgL__ortest_2969z00_2057 = 
(BgL_auxz00_4961==((long)1)); } 
if(BgL__ortest_2969z00_2057)
{ /* Jvm/compress.scm 75 */
BgL_test3137z00_1960 = BgL__ortest_2969z00_2057; }  else 
{ /* Jvm/compress.scm 76 */
obj_t BgL__ortest_2970z00_2058;
BgL__ortest_2970z00_2058 = 
BGl_everyzf3zf3zzjvm_envz00(BGl_proc3464z00zzjvm_compressz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
if(
CBOOL(BgL__ortest_2970z00_2058))
{ /* Jvm/compress.scm 76 */
BgL_test3137z00_1960 = 
CBOOL(BgL__ortest_2970z00_2058); }  else 
{ /* Jvm/compress.scm 79 */
obj_t BgL__ortest_2971z00_2059;
{ /* Jvm/compress.scm 79 */
obj_t BgL_auxz00_4975;
{ /* Jvm/compress.scm 83 */
BgL_appz00_bglt BgL_obj1725z00_3045;
{ /* Jvm/compress.scm 83 */
BgL_nodez00_bglt BgL_auxz00_4976;
BgL_auxz00_4976 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3045 = 
(BgL_appz00_bglt)(BgL_auxz00_4976); } 
BgL_auxz00_4975 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3045))->BgL_argsz00); } 
BgL__ortest_2971z00_2059 = 
BGl_everyzf3zf3zzjvm_envz00(BGl_proc3465z00zzjvm_compressz00, BgL_auxz00_4975); } 
if(
CBOOL(BgL__ortest_2971z00_2059))
{ /* Jvm/compress.scm 79 */
BgL_test3137z00_1960 = 
CBOOL(BgL__ortest_2971z00_2059); }  else 
{ /* Jvm/compress.scm 84 */
obj_t BgL_argsz00_2060;
{ /* Jvm/compress.scm 84 */
obj_t BgL_auxz00_4984;
{ /* Jvm/compress.scm 84 */
BgL_appz00_bglt BgL_obj1725z00_3050;
{ /* Jvm/compress.scm 84 */
BgL_nodez00_bglt BgL_auxz00_4985;
BgL_auxz00_4985 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3050 = 
(BgL_appz00_bglt)(BgL_auxz00_4985); } 
BgL_auxz00_4984 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3050))->BgL_argsz00); } 
BgL_argsz00_2060 = 
BGl_filterz00zzjvm_compressz00(BGl_varzf3zd2envz21zzjvm_compressz00, BgL_auxz00_4984); } 
{ /* Jvm/compress.scm 85 */
obj_t BgL_arg3215z00_2062;
BgL_arg3215z00_2062 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
{ /* Jvm/compress.scm 86 */
obj_t BgL_zc3anonymousza33216ze3z83_3898;
{ 
int BgL_auxz00_4993;int BgL_auxz00_4991;
BgL_auxz00_4993 = 
(int)(((long)1)); 
BgL_auxz00_4991 = 
(int)(((long)1)); 
BgL_zc3anonymousza33216ze3z83_3898 = 
make_fx_procedure(BGl_zc3anonymousza33216ze3z83zzjvm_compressz00, BgL_auxz00_4991, BgL_auxz00_4993); } 
{ /* Jvm/compress.scm 86 */
int BgL_auxz00_4996;
BgL_auxz00_4996 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33216ze3z83_3898, BgL_auxz00_4996, BgL_argsz00_2060); } 
{ /* Jvm/compress.scm 85 */
obj_t BgL_auxz00_4999;
BgL_auxz00_4999 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33216ze3z83_3898, BgL_arg3215z00_2062); 
BgL_test3137z00_1960 = 
CBOOL(BgL_auxz00_4999); } } } } } } }  else 
{ /* Jvm/compress.scm 74 */
BgL_test3137z00_1960 = ((bool_t)0); } }  else 
{ /* Jvm/compress.scm 73 */
BgL_test3137z00_1960 = ((bool_t)0); } } 
if(BgL_test3137z00_1960)
{ /* Jvm/compress.scm 73 */
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_arg3138z00_1961;obj_t BgL_arg3139z00_1962;
BgL_arg3138z00_1961 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
{ /* Jvm/compress.scm 89 */
obj_t BgL_l2973z00_1963;
{ /* Jvm/compress.scm 89 */
BgL_appz00_bglt BgL_obj1725z00_3055;
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_auxz00_5004;
BgL_auxz00_5004 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3055 = 
(BgL_appz00_bglt)(BgL_auxz00_5004); } 
BgL_l2973z00_1963 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3055))->BgL_argsz00); } 
if(
NULLP(BgL_l2973z00_1963))
{ /* Jvm/compress.scm 89 */
BgL_arg3139z00_1962 = BNIL; }  else 
{ /* Jvm/compress.scm 89 */
obj_t BgL_head2975z00_1965;
{ /* Jvm/compress.scm 89 */
obj_t BgL_auxz00_5010;
BgL_auxz00_5010 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2973z00_1963), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
BgL_head2975z00_1965 = 
MAKE_PAIR(BgL_auxz00_5010, BNIL); } 
{ 
obj_t BgL_l2973z00_1966;obj_t BgL_tail2976z00_1967;
BgL_l2973z00_1966 = 
CDR(BgL_l2973z00_1963); 
BgL_tail2976z00_1967 = BgL_head2975z00_1965; 
BgL_lname2974z00_1968:
if(
NULLP(BgL_l2973z00_1966))
{ /* Jvm/compress.scm 89 */
BgL_arg3139z00_1962 = BgL_head2975z00_1965; }  else 
{ /* Jvm/compress.scm 89 */
obj_t BgL_newtail2977z00_1971;
{ /* Jvm/compress.scm 89 */
obj_t BgL_auxz00_5017;
BgL_auxz00_5017 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2973z00_1966), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
BgL_newtail2977z00_1971 = 
MAKE_PAIR(BgL_auxz00_5017, BNIL); } 
SET_CDR(BgL_tail2976z00_1967, BgL_newtail2977z00_1971); 
{ 
obj_t BgL_tail2976z00_5025;obj_t BgL_l2973z00_5023;
BgL_l2973z00_5023 = 
CDR(BgL_l2973z00_1966); 
BgL_tail2976z00_5025 = BgL_newtail2977z00_1971; 
BgL_tail2976z00_1967 = BgL_tail2976z00_5025; 
BgL_l2973z00_1966 = BgL_l2973z00_5023; 
goto BgL_lname2974z00_1968;} } } } } 
{ /* Jvm/compress.scm 89 */
BgL_appz00_bglt BgL_obj1727z00_3074;
BgL_obj1727z00_3074 = 
(BgL_appz00_bglt)(BgL_arg3138z00_1961); 
((((BgL_appz00_bglt)CREF(BgL_obj1727z00_3074))->BgL_argsz00) = ((obj_t)BgL_arg3139z00_1962), BUNSPEC); } } 
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_auxz00_5029;
BgL_auxz00_5029 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5029);} }  else 
{ /* Jvm/compress.scm 91 */
bool_t BgL_test3151z00_1980;
{ /* Jvm/compress.scm 91 */
bool_t BgL_test3207z00_2050;
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5032;
{ /* Jvm/compress.scm 91 */
BgL_nodez00_bglt BgL_auxz00_5033;
BgL_auxz00_5033 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_5032 = 
(obj_t)(BgL_auxz00_5033); } 
BgL_test3207z00_2050 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5032, BGl_appz00zzast_nodez00); } 
if(BgL_test3207z00_2050)
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5038;
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5039;
{ /* Jvm/compress.scm 91 */
BgL_appz00_bglt BgL_obj1725z00_3080;
{ /* Jvm/compress.scm 91 */
BgL_nodez00_bglt BgL_auxz00_5040;
BgL_auxz00_5040 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1725z00_3080 = 
(BgL_appz00_bglt)(BgL_auxz00_5040); } 
BgL_auxz00_5039 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3080))->BgL_argsz00); } 
BgL_auxz00_5038 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc3462z00zzjvm_compressz00, BgL_auxz00_5039, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); } 
BgL_test3151z00_1980 = 
CBOOL(BgL_auxz00_5038); }  else 
{ /* Jvm/compress.scm 91 */
BgL_test3151z00_1980 = ((bool_t)0); } } 
if(BgL_test3151z00_1980)
{ /* Jvm/compress.scm 91 */
{ /* Jvm/compress.scm 92 */
obj_t BgL_exprz00_1981;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3159z00_1989;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3160z00_1990;obj_t BgL_arg3161z00_1991;
BgL_arg3160z00_1990 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3162z00_1992;obj_t BgL_arg3163z00_1993;
{ /* Jvm/compress.scm 92 */
obj_t BgL_l2978z00_1994;
BgL_l2978z00_1994 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
if(
NULLP(BgL_l2978z00_1994))
{ /* Jvm/compress.scm 92 */
BgL_arg3162z00_1992 = BNIL; }  else 
{ /* Jvm/compress.scm 92 */
obj_t BgL_head2980z00_1996;
BgL_head2980z00_1996 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2978z00_1997;obj_t BgL_tail2981z00_1998;
BgL_l2978z00_1997 = BgL_l2978z00_1994; 
BgL_tail2981z00_1998 = BgL_head2980z00_1996; 
BgL_lname2979z00_1999:
if(
NULLP(BgL_l2978z00_1997))
{ /* Jvm/compress.scm 92 */
BgL_arg3162z00_1992 = 
CDR(BgL_head2980z00_1996); }  else 
{ /* Jvm/compress.scm 92 */
obj_t BgL_newtail2982z00_2001;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3167z00_2003;
{ /* Jvm/compress.scm 92 */
obj_t BgL_bz00_2005;
BgL_bz00_2005 = 
CAR(BgL_l2978z00_1997); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3169z00_2006;
BgL_arg3169z00_2006 = 
CAR(BgL_bz00_2005); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_list3171z00_2008;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3172z00_2009;
{ /* Jvm/compress.scm 92 */
obj_t BgL_auxz00_5058;
BgL_auxz00_5058 = 
CDR(BgL_bz00_2005); 
BgL_arg3172z00_2009 = 
MAKE_PAIR(BgL_auxz00_5058, BNIL); } 
BgL_list3171z00_2008 = 
MAKE_PAIR(BgL_arg3169z00_2006, BgL_arg3172z00_2009); } 
BgL_arg3167z00_2003 = BgL_list3171z00_2008; } } } 
BgL_newtail2982z00_2001 = 
MAKE_PAIR(BgL_arg3167z00_2003, BNIL); } 
SET_CDR(BgL_tail2981z00_1998, BgL_newtail2982z00_2001); 
{ 
obj_t BgL_tail2981z00_5066;obj_t BgL_l2978z00_5064;
BgL_l2978z00_5064 = 
CDR(BgL_l2978z00_1997); 
BgL_tail2981z00_5066 = BgL_newtail2982z00_2001; 
BgL_tail2981z00_1998 = BgL_tail2981z00_5066; 
BgL_l2978z00_1997 = BgL_l2978z00_5064; 
goto BgL_lname2979z00_1999;} } } } } 
{ /* Jvm/compress.scm 92 */
obj_t BgL_auxz00_5067;
{ /* Jvm/compress.scm 92 */
BgL_nodez00_bglt BgL_auxz00_5068;
BgL_auxz00_5068 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_5067 = 
(obj_t)(BgL_auxz00_5068); } 
BgL_arg3163z00_1993 = 
MAKE_PAIR(BgL_auxz00_5067, BNIL); } 
BgL_arg3161z00_1991 = 
MAKE_PAIR(BgL_arg3162z00_1992, BgL_arg3163z00_1993); } 
BgL_arg3159z00_1989 = 
MAKE_PAIR(BgL_arg3160z00_1990, BgL_arg3161z00_1991); } 
BgL_exprz00_1981 = 
BGl_shapez00zztools_shapez00(BgL_arg3159z00_1989); } 
{ /* Jvm/compress.scm 95 */
bool_t BgL_test3152z00_1982;
{ /* Jvm/compress.scm 95 */
bool_t BgL_test3158z00_1988;
{ /* Jvm/compress.scm 95 */
bool_t BgL_res3376z00_3103;
{ /* Jvm/compress.scm 95 */
obj_t BgL_objz00_3099;
BgL_objz00_3099 = BGl_za2verboseza2z00zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_3099))
{ /* Jvm/compress.scm 95 */
BgL_res3376z00_3103 = ((bool_t)1); }  else 
{ /* Jvm/compress.scm 95 */
BgL_res3376z00_3103 = 
REALP(BgL_objz00_3099); } } 
BgL_test3158z00_1988 = BgL_res3376z00_3103; } 
if(BgL_test3158z00_1988)
{ /* Jvm/compress.scm 95 */
BgL_test3152z00_1982 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BGl_za2verboseza2z00zzengine_paramz00, 
BINT(((long)2))); }  else 
{ /* Jvm/compress.scm 95 */
BgL_test3152z00_1982 = ((bool_t)0); } } 
if(BgL_test3152z00_1982)
{ /* Jvm/compress.scm 97 */
obj_t BgL_list3153z00_1983;
{ /* Jvm/compress.scm 97 */
obj_t BgL_arg3155z00_1985;
{ /* Jvm/compress.scm 97 */
obj_t BgL_arg3157z00_1987;
BgL_arg3157z00_1987 = 
MAKE_PAIR(BgL_exprz00_1981, BNIL); 
BgL_arg3155z00_1985 = 
MAKE_PAIR(BGl_string3466z00zzjvm_compressz00, BgL_arg3157z00_1987); } 
BgL_list3153z00_1983 = 
MAKE_PAIR(BGl_string3467z00zzjvm_compressz00, BgL_arg3155z00_1985); } 
BGl_warningz00zz__errorz00(BgL_list3153z00_1983); }  else 
{ /* Jvm/compress.scm 95 */BFALSE; } } 
return 
(obj_t)(BgL_ez00_1935);} }  else 
{ /* Jvm/compress.scm 101 */
bool_t BgL_test3175z00_2012;
{ /* Jvm/compress.scm 101 */
bool_t BgL_test3202z00_2045;
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5087;
{ /* Jvm/compress.scm 101 */
BgL_nodez00_bglt BgL_auxz00_5088;
BgL_auxz00_5088 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_5087 = 
(obj_t)(BgL_auxz00_5088); } 
BgL_test3202z00_2045 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5087, BGl_externz00zzast_nodez00); } 
if(BgL_test3202z00_2045)
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5093;
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5094;
{ /* Jvm/compress.scm 101 */
BgL_externz00_bglt BgL_obj1825z00_3107;
{ /* Jvm/compress.scm 101 */
BgL_nodez00_bglt BgL_auxz00_5095;
BgL_auxz00_5095 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1825z00_3107 = 
(BgL_externz00_bglt)(BgL_auxz00_5095); } 
BgL_auxz00_5094 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3107))->BgL_exprza2za2); } 
BgL_auxz00_5093 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc3462z00zzjvm_compressz00, BgL_auxz00_5094, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); } 
BgL_test3175z00_2012 = 
CBOOL(BgL_auxz00_5093); }  else 
{ /* Jvm/compress.scm 101 */
BgL_test3175z00_2012 = ((bool_t)0); } } 
if(BgL_test3175z00_2012)
{ /* Jvm/compress.scm 101 */
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_arg3176z00_2013;obj_t BgL_arg3177z00_2014;
BgL_arg3176z00_2013 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
{ /* Jvm/compress.scm 103 */
obj_t BgL_l2983z00_2015;
{ /* Jvm/compress.scm 103 */
BgL_externz00_bglt BgL_obj1825z00_3111;
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_auxz00_5104;
BgL_auxz00_5104 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj1825z00_3111 = 
(BgL_externz00_bglt)(BgL_auxz00_5104); } 
BgL_l2983z00_2015 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3111))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2983z00_2015))
{ /* Jvm/compress.scm 103 */
BgL_arg3177z00_2014 = BNIL; }  else 
{ /* Jvm/compress.scm 103 */
obj_t BgL_head2985z00_2017;
{ /* Jvm/compress.scm 103 */
obj_t BgL_auxz00_5110;
BgL_auxz00_5110 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2983z00_2015), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
BgL_head2985z00_2017 = 
MAKE_PAIR(BgL_auxz00_5110, BNIL); } 
{ 
obj_t BgL_l2983z00_2018;obj_t BgL_tail2986z00_2019;
BgL_l2983z00_2018 = 
CDR(BgL_l2983z00_2015); 
BgL_tail2986z00_2019 = BgL_head2985z00_2017; 
BgL_lname2984z00_2020:
if(
NULLP(BgL_l2983z00_2018))
{ /* Jvm/compress.scm 103 */
BgL_arg3177z00_2014 = BgL_head2985z00_2017; }  else 
{ /* Jvm/compress.scm 103 */
obj_t BgL_newtail2987z00_2023;
{ /* Jvm/compress.scm 103 */
obj_t BgL_auxz00_5117;
BgL_auxz00_5117 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2983z00_2018), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00)); 
BgL_newtail2987z00_2023 = 
MAKE_PAIR(BgL_auxz00_5117, BNIL); } 
SET_CDR(BgL_tail2986z00_2019, BgL_newtail2987z00_2023); 
{ 
obj_t BgL_tail2986z00_5125;obj_t BgL_l2983z00_5123;
BgL_l2983z00_5123 = 
CDR(BgL_l2983z00_2018); 
BgL_tail2986z00_5125 = BgL_newtail2987z00_2023; 
BgL_tail2986z00_2019 = BgL_tail2986z00_5125; 
BgL_l2983z00_2018 = BgL_l2983z00_5123; 
goto BgL_lname2984z00_2020;} } } } } 
{ /* Jvm/compress.scm 103 */
BgL_externz00_bglt BgL_obj1827z00_3130;
BgL_obj1827z00_3130 = 
(BgL_externz00_bglt)(BgL_arg3176z00_2013); 
((((BgL_externz00_bglt)CREF(BgL_obj1827z00_3130))->BgL_exprza2za2) = ((obj_t)BgL_arg3177z00_2014), BUNSPEC); } } 
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_auxz00_5129;
BgL_auxz00_5129 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5129);} }  else 
{ /* Jvm/compress.scm 105 */
bool_t BgL_test3189z00_2032;
{ /* Jvm/compress.scm 105 */
bool_t BgL_test3193z00_2036;
{ /* Jvm/compress.scm 105 */
obj_t BgL_auxz00_5132;
{ /* Jvm/compress.scm 105 */
BgL_nodez00_bglt BgL_auxz00_5133;
BgL_auxz00_5133 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_auxz00_5132 = 
(obj_t)(BgL_auxz00_5133); } 
BgL_test3193z00_2036 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5132, BGl_conditionalz00zzast_nodez00); } 
if(BgL_test3193z00_2036)
{ /* Jvm/compress.scm 106 */
bool_t BgL_testz00_5138;
{ /* Jvm/compress.scm 106 */
obj_t BgL_auxz00_5139;
{ /* Jvm/compress.scm 106 */
obj_t BgL_auxz00_5140;
BgL_auxz00_5140 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_auxz00_5139 = 
CDR(BgL_auxz00_5140); } 
BgL_testz00_5138 = 
NULLP(BgL_auxz00_5139); } 
if(BgL_testz00_5138)
{ /* Jvm/compress.scm 107 */
obj_t BgL_arg3195z00_2038;BgL_nodez00_bglt BgL_arg3196z00_2039;
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5144;
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5145;
BgL_auxz00_5145 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_auxz00_5144 = 
CAR(BgL_auxz00_5145); } 
BgL_arg3195z00_2038 = 
CAR(BgL_auxz00_5144); } 
{ /* Jvm/compress.scm 107 */
BgL_conditionalz00_bglt BgL_obj2304z00_3144;
{ /* Jvm/compress.scm 107 */
BgL_nodez00_bglt BgL_auxz00_5149;
BgL_auxz00_5149 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj2304z00_3144 = 
(BgL_conditionalz00_bglt)(BgL_auxz00_5149); } 
BgL_arg3196z00_2039 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2304z00_3144))->BgL_testz00); } 
{ /* Jvm/compress.scm 107 */
bool_t BgL__andtest_2953z00_3147;
BgL__andtest_2953z00_3147 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg3196z00_2039), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2953z00_3147)
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5156;
{ /* Jvm/compress.scm 107 */
BgL_variablez00_bglt BgL_auxz00_5157;
{ /* Jvm/compress.scm 107 */
BgL_varz00_bglt BgL_obj1619z00_3150;
BgL_obj1619z00_3150 = 
(BgL_varz00_bglt)(BgL_arg3196z00_2039); 
BgL_auxz00_5157 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3150))->BgL_variablez00); } 
BgL_auxz00_5156 = 
(obj_t)(BgL_auxz00_5157); } 
BgL_test3189z00_2032 = 
(BgL_auxz00_5156==BgL_arg3195z00_2038); }  else 
{ /* Jvm/compress.scm 107 */
BgL_test3189z00_2032 = ((bool_t)0); } } }  else 
{ /* Jvm/compress.scm 106 */
BgL_test3189z00_2032 = ((bool_t)0); } }  else 
{ /* Jvm/compress.scm 105 */
BgL_test3189z00_2032 = ((bool_t)0); } } 
if(BgL_test3189z00_2032)
{ /* Jvm/compress.scm 105 */
{ /* Jvm/compress.scm 109 */
BgL_conditionalz00_bglt BgL_obj2306z00_3157;BgL_nodez00_bglt BgL_val2305z00_3158;
{ /* Jvm/compress.scm 109 */
BgL_nodez00_bglt BgL_auxz00_5163;
BgL_auxz00_5163 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
BgL_obj2306z00_3157 = 
(BgL_conditionalz00_bglt)(BgL_auxz00_5163); } 
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5166;
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5167;
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5168;
BgL_auxz00_5168 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bindingsz00); 
BgL_auxz00_5167 = 
CAR(BgL_auxz00_5168); } 
BgL_auxz00_5166 = 
CDR(BgL_auxz00_5167); } 
BgL_val2305z00_3158 = 
(BgL_nodez00_bglt)(BgL_auxz00_5166); } 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2306z00_3157))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2305z00_3158), BUNSPEC); } 
{ /* Jvm/compress.scm 109 */
BgL_nodez00_bglt BgL_auxz00_5174;
BgL_auxz00_5174 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1935))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5174);} }  else 
{ /* Jvm/compress.scm 105 */
return 
(obj_t)(BgL_ez00_1935);} } } } } } } } } } 
}



/* filter */
obj_t BGl_filterz00zzjvm_compressz00(obj_t BgL_predz00_2114, obj_t BgL_lstz00_2115)
{ AN_OBJECT;
{ /* Jvm/compress.scm 59 */
BGl_filterz00zzjvm_compressz00:
if(
NULLP(BgL_lstz00_2115))
{ /* Jvm/compress.scm 54 */
return BgL_lstz00_2115;}  else 
{ /* Jvm/compress.scm 56 */
bool_t BgL_test3259z00_2118;
{ /* Jvm/compress.scm 56 */
obj_t BgL_auxz00_5181;
BgL_auxz00_5181 = 
PROCEDURE_ENTRY(BgL_predz00_2114)(BgL_predz00_2114, 
CAR(BgL_lstz00_2115), BEOA); 
BgL_test3259z00_2118 = 
CBOOL(BgL_auxz00_5181); } 
if(BgL_test3259z00_2118)
{ /* Jvm/compress.scm 56 */
{ /* Jvm/compress.scm 57 */
obj_t BgL_arg3260z00_2119;obj_t BgL_arg3261z00_2120;
BgL_arg3260z00_2119 = 
CAR(BgL_lstz00_2115); 
BgL_arg3261z00_2120 = 
BGl_filterz00zzjvm_compressz00(BgL_predz00_2114, 
CDR(BgL_lstz00_2115)); 
return 
MAKE_PAIR(BgL_arg3260z00_2119, BgL_arg3261z00_2120);} }  else 
{ /* Jvm/compress.scm 56 */
{ 
obj_t BgL_lstz00_5191;
BgL_lstz00_5191 = 
CDR(BgL_lstz00_2115); 
BgL_lstz00_2115 = BgL_lstz00_5191; 
goto BGl_filterz00zzjvm_compressz00;} } } } 
}



/* simple*? */
obj_t BGl_simpleza2zf3z51zzjvm_compressz00(obj_t BgL_simplezf3zf3_3962, obj_t BgL_exprza2za2_2124, obj_t BgL_bindingsz00_2125)
{ AN_OBJECT;
{ /* Jvm/compress.scm 51 */
{ /* Jvm/compress.scm 49 */
obj_t BgL__andtest_2964z00_2127;
BgL__andtest_2964z00_2127 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_simplezf3zf3_3962, BgL_exprza2za2_2124); 
if(
CBOOL(BgL__andtest_2964z00_2127))
{ /* Jvm/compress.scm 50 */
obj_t BgL_zc3anonymousza33268ze3z83_3901;
{ 
int BgL_auxz00_5198;int BgL_auxz00_5196;
BgL_auxz00_5198 = 
(int)(((long)1)); 
BgL_auxz00_5196 = 
(int)(((long)1)); 
BgL_zc3anonymousza33268ze3z83_3901 = 
make_fx_procedure(BGl_zc3anonymousza33268ze3z83zzjvm_compressz00, BgL_auxz00_5196, BgL_auxz00_5198); } 
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5201;
BgL_auxz00_5201 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33268ze3z83_3901, BgL_auxz00_5201, BgL_exprza2za2_2124); } 
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33268ze3z83_3901, BgL_bindingsz00_2125);}  else 
{ /* Jvm/compress.scm 49 */
return BFALSE;} } } 
}



/* get */
obj_t BGl_getz00zzjvm_compressz00(obj_t BgL_xz00_2163, obj_t BgL_lz00_2164)
{ AN_OBJECT;
{ /* Jvm/compress.scm 34 */
{ /* Jvm/compress.scm 30 */
bool_t BgL_test3283z00_2166;
BgL_test3283z00_2166 = 
BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2163, BGl_varz00zzast_nodez00); 
if(BgL_test3283z00_2166)
{ /* Jvm/compress.scm 32 */
obj_t BgL_slotz00_2168;
{ /* Jvm/compress.scm 32 */
obj_t BgL_auxz00_5207;
{ /* Jvm/compress.scm 32 */
BgL_variablez00_bglt BgL_auxz00_5208;
{ /* Jvm/compress.scm 31 */
BgL_varz00_bglt BgL_obj1619z00_3194;
BgL_obj1619z00_3194 = 
(BgL_varz00_bglt)(BgL_xz00_2163); 
BgL_auxz00_5208 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3194))->BgL_variablez00); } 
BgL_auxz00_5207 = 
(obj_t)(BgL_auxz00_5208); } 
BgL_slotz00_2168 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5207, BgL_lz00_2164); } 
if(
CBOOL(BgL_slotz00_2168))
{ /* Jvm/compress.scm 33 */
return 
CDR(BgL_slotz00_2168);}  else 
{ /* Jvm/compress.scm 33 */
return BgL_xz00_2163;} }  else 
{ /* Jvm/compress.scm 30 */
return BgL_xz00_2163;} } } 
}



/* <anonymous:3216> */
obj_t BGl_zc3anonymousza33216ze3z83zzjvm_compressz00(obj_t BgL_envz00_3939, obj_t BgL_bz00_3941)
{ AN_OBJECT;
{ /* Jvm/compress.scm 85 */
{ /* Jvm/compress.scm 86 */
obj_t BgL_argsz00_3940;
{ /* Jvm/compress.scm 86 */
int BgL_auxz00_5216;
BgL_auxz00_5216 = 
(int)(((long)0)); 
BgL_argsz00_3940 = 
PROCEDURE_REF(BgL_envz00_3939, BgL_auxz00_5216); } 
{ 
obj_t BgL_bz00_2063;
{ /* Jvm/compress.scm 86 */
bool_t BgL_auxz00_5219;
BgL_bz00_2063 = BgL_bz00_3941; 
{ /* Jvm/compress.scm 86 */
bool_t BgL_test3217z00_2065;
{ /* Jvm/compress.scm 86 */
obj_t BgL_auxz00_5220;
{ /* Jvm/compress.scm 86 */
BgL_nodez00_bglt BgL_auxz00_5221;
{ /* Jvm/compress.scm 86 */
obj_t BgL_auxz00_5222;
BgL_auxz00_5222 = 
CDR(BgL_bz00_2063); 
BgL_auxz00_5221 = 
(BgL_nodez00_bglt)(BgL_auxz00_5222); } 
BgL_auxz00_5220 = 
BGl_vmemqzf3zf3zzjvm_vmemqz00(BgL_argsz00_3940, BgL_auxz00_5221); } 
BgL_test3217z00_2065 = 
CBOOL(BgL_auxz00_5220); } 
if(BgL_test3217z00_2065)
{ /* Jvm/compress.scm 86 */
BgL_auxz00_5219 = ((bool_t)0)
; }  else 
{ /* Jvm/compress.scm 86 */
BgL_auxz00_5219 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_5219);} } } } 
}



/* <anonymous:3223> */
obj_t BGl_zc3anonymousza33223ze3z83zzjvm_compressz00(obj_t BgL_envz00_3942, obj_t BgL_az00_3943)
{ AN_OBJECT;
{ /* Jvm/compress.scm 79 */
{ 
obj_t BgL_az00_2072;
{ /* Jvm/compress.scm 80 */
bool_t BgL_auxz00_5229;
BgL_az00_2072 = BgL_az00_3943; 
{ /* Jvm/compress.scm 80 */
bool_t BgL__ortest_2972z00_2074;
{ /* Jvm/compress.scm 80 */
bool_t BgL_test3227z00_2078;
BgL_test3227z00_2078 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_2072, BGl_varz00zzast_nodez00); 
if(BgL_test3227z00_2078)
{ /* Jvm/compress.scm 80 */
BgL__ortest_2972z00_2074 = ((bool_t)0); }  else 
{ /* Jvm/compress.scm 80 */
BgL__ortest_2972z00_2074 = ((bool_t)1); } } 
if(BgL__ortest_2972z00_2074)
{ /* Jvm/compress.scm 80 */
BgL_auxz00_5229 = BgL__ortest_2972z00_2074
; }  else 
{ /* Jvm/compress.scm 81 */
obj_t BgL_auxz00_5237;obj_t BgL_auxz00_5233;
BgL_auxz00_5237 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/compress.scm 81 */
BgL_variablez00_bglt BgL_arg3226z00_2077;
{ /* Jvm/compress.scm 81 */
BgL_varz00_bglt BgL_obj1619z00_3047;
BgL_obj1619z00_3047 = 
(BgL_varz00_bglt)(BgL_az00_2072); 
BgL_arg3226z00_2077 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3047))->BgL_variablez00); } 
BgL_auxz00_5233 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3226z00_2077))->BgL_accessz00); } 
BgL_auxz00_5229 = 
(BgL_auxz00_5233==BgL_auxz00_5237); } } 
return 
BBOOL(BgL_auxz00_5229);} } } 
}



/* <anonymous:3232> */
obj_t BGl_zc3anonymousza33232ze3z83zzjvm_compressz00(obj_t BgL_envz00_3944, obj_t BgL_bz00_3945)
{ AN_OBJECT;
{ /* Jvm/compress.scm 76 */
{ 
obj_t BgL_bz00_2083;
{ /* Jvm/compress.scm 77 */
bool_t BgL_auxz00_5241;
BgL_bz00_2083 = BgL_bz00_3945; 
{ /* Jvm/compress.scm 77 */
bool_t BgL_test3233z00_2085;
{ /* Jvm/compress.scm 77 */
BgL_nodez00_bglt BgL_auxz00_5242;
{ /* Jvm/compress.scm 77 */
obj_t BgL_auxz00_5243;
BgL_auxz00_5243 = 
CDR(BgL_bz00_2083); 
BgL_auxz00_5242 = 
(BgL_nodez00_bglt)(BgL_auxz00_5243); } 
BgL_test3233z00_2085 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_auxz00_5242); } 
if(BgL_test3233z00_2085)
{ /* Jvm/compress.scm 77 */
BgL_auxz00_5241 = ((bool_t)0)
; }  else 
{ /* Jvm/compress.scm 77 */
BgL_auxz00_5241 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_5241);} } } 
}



/* <anonymous:3250> */
obj_t BGl_zc3anonymousza33250ze3z83zzjvm_compressz00(obj_t BgL_envz00_3946, obj_t BgL_bz00_3947)
{ AN_OBJECT;
{ /* Jvm/compress.scm 68 */
{ 
obj_t BgL_bz00_2103;
{ /* Jvm/compress.scm 68 */
bool_t BgL_auxz00_5249;
BgL_bz00_2103 = BgL_bz00_3947; 
{ /* Jvm/compress.scm 68 */
long BgL_auxz00_5250;
{ /* Jvm/compress.scm 68 */
BgL_localz00_bglt BgL_obj1267z00_3011;
{ /* Jvm/compress.scm 68 */
obj_t BgL_auxz00_5251;
BgL_auxz00_5251 = 
CAR(BgL_bz00_2103); 
BgL_obj1267z00_3011 = 
(BgL_localz00_bglt)(BgL_auxz00_5251); } 
BgL_auxz00_5250 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3011))->BgL_occurrencez00); } 
BgL_auxz00_5249 = 
(BgL_auxz00_5250>((long)1)); } 
return 
BBOOL(BgL_auxz00_5249);} } } 
}



/* <anonymous:3268> */
obj_t BGl_zc3anonymousza33268ze3z83zzjvm_compressz00(obj_t BgL_envz00_3948, obj_t BgL_sz00_3950)
{ AN_OBJECT;
{ /* Jvm/compress.scm 50 */
{ /* Jvm/compress.scm 50 */
obj_t BgL_exprza2za2_3949;
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5257;
BgL_auxz00_5257 = 
(int)(((long)0)); 
BgL_exprza2za2_3949 = 
PROCEDURE_REF(BgL_envz00_3948, BgL_auxz00_5257); } 
{ 
obj_t BgL_sz00_2129;
BgL_sz00_2129 = BgL_sz00_3950; 
{ /* Jvm/compress.scm 50 */
obj_t BgL_zc3anonymousza33270ze3z83_3900;
{ 
int BgL_auxz00_5262;int BgL_auxz00_5260;
BgL_auxz00_5262 = 
(int)(((long)1)); 
BgL_auxz00_5260 = 
(int)(((long)1)); 
BgL_zc3anonymousza33270ze3z83_3900 = 
make_fx_procedure(BGl_zc3anonymousza33270ze3z83zzjvm_compressz00, BgL_auxz00_5260, BgL_auxz00_5262); } 
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5265;
BgL_auxz00_5265 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33270ze3z83_3900, BgL_auxz00_5265, BgL_sz00_2129); } 
return 
BGl_anyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33270ze3z83_3900, BgL_exprza2za2_3949);} } } } 
}



/* <anonymous:3270> */
obj_t BGl_zc3anonymousza33270ze3z83zzjvm_compressz00(obj_t BgL_envz00_3951, obj_t BgL_az00_3953)
{ AN_OBJECT;
{ /* Jvm/compress.scm 50 */
{ /* Jvm/compress.scm 50 */
obj_t BgL_sz00_3952;
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5269;
BgL_auxz00_5269 = 
(int)(((long)0)); 
BgL_sz00_3952 = 
PROCEDURE_REF(BgL_envz00_3951, BgL_auxz00_5269); } 
{ 
obj_t BgL_az00_2132;
{ /* Jvm/compress.scm 50 */
bool_t BgL_auxz00_5272;
BgL_az00_2132 = BgL_az00_3953; 
{ /* Jvm/compress.scm 50 */
obj_t BgL_arg3271z00_3167;
BgL_arg3271z00_3167 = 
CAR(BgL_sz00_3952); 
{ /* Jvm/compress.scm 50 */
bool_t BgL__andtest_2953z00_3171;
BgL__andtest_2953z00_3171 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_2132, BGl_varz00zzast_nodez00); 
if(BgL__andtest_2953z00_3171)
{ /* Jvm/compress.scm 50 */
obj_t BgL_auxz00_5276;
{ /* Jvm/compress.scm 50 */
BgL_variablez00_bglt BgL_auxz00_5277;
{ /* Jvm/compress.scm 50 */
BgL_varz00_bglt BgL_obj1619z00_3174;
BgL_obj1619z00_3174 = 
(BgL_varz00_bglt)(BgL_az00_2132); 
BgL_auxz00_5277 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3174))->BgL_variablez00); } 
BgL_auxz00_5276 = 
(obj_t)(BgL_auxz00_5277); } 
BgL_auxz00_5272 = 
(BgL_auxz00_5276==BgL_arg3271z00_3167); }  else 
{ /* Jvm/compress.scm 50 */
BgL_auxz00_5272 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_auxz00_5272);} } } } 
}



/* simple? */
obj_t BGl_simplezf3zf3zzjvm_compressz00(obj_t BgL_envz00_3954, obj_t BgL_ez00_3955)
{ AN_OBJECT;
{ /* Jvm/compress.scm 47 */
{ 
obj_t BgL_ez00_2137;
BgL_ez00_2137 = BgL_ez00_3955; 
{ 
BgL_varz00_bglt BgL_funz00_2151;
{ /* Jvm/compress.scm 43 */
bool_t BgL__ortest_2956z00_2139;
BgL__ortest_2956z00_2139 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2137, BGl_atomz00zzast_nodez00); 
if(BgL__ortest_2956z00_2139)
{ /* Jvm/compress.scm 43 */
return 
BBOOL(BgL__ortest_2956z00_2139);}  else 
{ /* Jvm/compress.scm 44 */
bool_t BgL__ortest_2957z00_2140;
BgL__ortest_2957z00_2140 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2137, BGl_varz00zzast_nodez00); 
if(BgL__ortest_2957z00_2140)
{ /* Jvm/compress.scm 44 */
return 
BBOOL(BgL__ortest_2957z00_2140);}  else 
{ /* Jvm/compress.scm 45 */
obj_t BgL__ortest_2958z00_2141;
{ /* Jvm/compress.scm 45 */
bool_t BgL__andtest_2960z00_2147;
BgL__andtest_2960z00_2147 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2137, BGl_appz00zzast_nodez00); 
if(BgL__andtest_2960z00_2147)
{ /* Jvm/compress.scm 45 */
obj_t BgL__andtest_2961z00_2148;
{ /* Jvm/compress.scm 45 */
obj_t BgL_auxz00_5291;
{ /* Jvm/compress.scm 45 */
BgL_appz00_bglt BgL_obj1725z00_3178;
BgL_obj1725z00_3178 = 
(BgL_appz00_bglt)(BgL_ez00_2137); 
BgL_auxz00_5291 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3178))->BgL_argsz00); } 
BgL__andtest_2961z00_2148 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3954, BgL_auxz00_5291); } 
if(
CBOOL(BgL__andtest_2961z00_2148))
{ /* Jvm/compress.scm 45 */
{ /* Jvm/compress.scm 45 */
BgL_appz00_bglt BgL_obj1722z00_3179;
BgL_obj1722z00_3179 = 
(BgL_appz00_bglt)(BgL_ez00_2137); 
BgL_funz00_2151 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_3179))->BgL_funz00); } 
{ /* Jvm/compress.scm 38 */
BgL_variablez00_bglt BgL_vz00_2153;
BgL_vz00_2153 = 
(((BgL_varz00_bglt)CREF(BgL_funz00_2151))->BgL_variablez00); 
{ /* Jvm/compress.scm 39 */
bool_t BgL__andtest_2954z00_2154;
BgL__andtest_2954z00_2154 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2153), BGl_globalz00zzast_varz00); 
if(BgL__andtest_2954z00_2154)
{ /* Jvm/compress.scm 40 */
bool_t BgL_testz00_5301;
{ /* Jvm/compress.scm 40 */
obj_t BgL_auxz00_5302;
{ /* Jvm/compress.scm 40 */
BgL_globalz00_bglt BgL_obj1149z00_3186;
BgL_obj1149z00_3186 = 
(BgL_globalz00_bglt)(BgL_vz00_2153); 
BgL_auxz00_5302 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3186))->BgL_namez00); } 
BgL_testz00_5301 = 
STRINGP(BgL_auxz00_5302); } 
if(BgL_testz00_5301)
{ /* Jvm/compress.scm 41 */
obj_t BgL_auxz00_5306;
{ /* Jvm/compress.scm 41 */
BgL_globalz00_bglt BgL_obj1149z00_3188;
BgL_obj1149z00_3188 = 
(BgL_globalz00_bglt)(BgL_vz00_2153); 
BgL_auxz00_5306 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3188))->BgL_namez00); } 
BgL__ortest_2958z00_2141 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2safezd2functionsza2zd2zzjvm_compressz00, BgL_auxz00_5306); }  else 
{ /* Jvm/compress.scm 40 */
BgL__ortest_2958z00_2141 = BFALSE; } }  else 
{ /* Jvm/compress.scm 39 */
BgL__ortest_2958z00_2141 = BFALSE; } } } }  else 
{ /* Jvm/compress.scm 45 */
BgL__ortest_2958z00_2141 = BFALSE; } }  else 
{ /* Jvm/compress.scm 45 */
BgL__ortest_2958z00_2141 = BFALSE; } } 
if(
CBOOL(BgL__ortest_2958z00_2141))
{ /* Jvm/compress.scm 45 */
return BgL__ortest_2958z00_2141;}  else 
{ /* Jvm/compress.scm 46 */
obj_t BgL__ortest_2959z00_2142;
{ /* Jvm/compress.scm 46 */
bool_t BgL__andtest_2962z00_2145;
BgL__andtest_2962z00_2145 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2137, BGl_vrefz00zzast_nodez00); 
if(BgL__andtest_2962z00_2145)
{ /* Jvm/compress.scm 46 */
obj_t BgL_auxz00_5316;
{ /* Jvm/compress.scm 46 */
BgL_vrefz00_bglt BgL_obj2070z00_3181;
BgL_obj2070z00_3181 = 
(BgL_vrefz00_bglt)(BgL_ez00_2137); 
BgL_auxz00_5316 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2070z00_3181))->BgL_exprza2za2); } 
BgL__ortest_2959z00_2142 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3954, BgL_auxz00_5316); }  else 
{ /* Jvm/compress.scm 46 */
BgL__ortest_2959z00_2142 = BFALSE; } } 
if(
CBOOL(BgL__ortest_2959z00_2142))
{ /* Jvm/compress.scm 46 */
return BgL__ortest_2959z00_2142;}  else 
{ /* Jvm/compress.scm 47 */
bool_t BgL__andtest_2963z00_2143;
BgL__andtest_2963z00_2143 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2137, BGl_getfieldz00zzast_nodez00); 
if(BgL__andtest_2963z00_2143)
{ /* Jvm/compress.scm 47 */
obj_t BgL_auxz00_5324;
{ /* Jvm/compress.scm 47 */
BgL_getfieldz00_bglt BgL_obj1898z00_3183;
BgL_obj1898z00_3183 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2137); 
BgL_auxz00_5324 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1898z00_3183))->BgL_exprza2za2); } 
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3954, BgL_auxz00_5324);}  else 
{ /* Jvm/compress.scm 47 */
return BFALSE;} } } } } } } } } 
}



/* compile-compress-var3032 */
obj_t BGl_compilezd2compresszd2var3032z00zzjvm_compressz00(obj_t BgL_envz00_3956, obj_t BgL_ez00_3957)
{ AN_OBJECT;
{ /* Jvm/compress.scm 21 */
{ 
BgL_varz00_bglt BgL_ez00_1930;
{ /* Jvm/compress.scm 21 */
BgL_varz00_bglt BgL_auxz00_5328;
BgL_ez00_1930 = 
(BgL_varz00_bglt)(BgL_ez00_3957); 
BgL_auxz00_5328 = BgL_ez00_1930; 
return 
(obj_t)(BgL_auxz00_5328);} } } 
}



/* compile-compress-atom3030 */
obj_t BGl_compilezd2compresszd2atom3030z00zzjvm_compressz00(obj_t BgL_envz00_3958, obj_t BgL_ez00_3959)
{ AN_OBJECT;
{ /* Jvm/compress.scm 18 */
{ 
BgL_atomz00_bglt BgL_ez00_1925;
{ /* Jvm/compress.scm 18 */
BgL_atomz00_bglt BgL_auxz00_5331;
BgL_ez00_1925 = 
(BgL_atomz00_bglt)(BgL_ez00_3959); 
BgL_auxz00_5331 = BgL_ez00_1925; 
return 
(obj_t)(BgL_auxz00_5331);} } } 
}



/* compile-compress */
BgL_nodez00_bglt BGl_compilezd2compresszd2zzjvm_compressz00(BgL_nodez00_bglt BgL_ez00_1)
{ AN_OBJECT;
{ /* Jvm/compress.scm 11 */
{ /* Jvm/compress.scm 11 */
obj_t BgL_method3028z00_3847;
{ /* Jvm/compress.scm 11 */
long BgL_objzd2classzd2numz00_3849;
{ /* Jvm/compress.scm 11 */
BgL_objectz00_bglt BgL_auxz00_5334;
BgL_auxz00_5334 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_3849 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5334); } 
{ /* Jvm/compress.scm 11 */
obj_t BgL_arg1221z00_3850;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5337;
BgL_auxz00_5337 = 
(int)(((long)1)); 
BgL_arg1221z00_3850 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_5337); } 
{ /* Jvm/compress.scm 11 */
long BgL_offsetz00_3854;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5340;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5341;
BgL_auxz00_5341 = 
(int)(BgL_objzd2classzd2numz00_3849); 
BgL_auxz00_5340 = 
(long)(BgL_auxz00_5341); } 
BgL_offsetz00_3854 = 
(BgL_auxz00_5340-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 11 */
long BgL_modz00_3855;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5345;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5346;
BgL_auxz00_5346 = 
(int)(((long)8)); 
BgL_auxz00_5345 = 
(long)(BgL_auxz00_5346); } 
BgL_modz00_3855 = 
(BgL_offsetz00_3854/BgL_auxz00_5345); } 
{ /* Jvm/compress.scm 11 */
long BgL_restz00_3857;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5350;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5351;
BgL_auxz00_5351 = 
(int)(((long)8)); 
BgL_auxz00_5350 = 
(long)(BgL_auxz00_5351); } 
BgL_restz00_3857 = 
(BgL_offsetz00_3854%BgL_auxz00_5350); } 
{ /* Jvm/compress.scm 11 */

{ /* Jvm/compress.scm 11 */
obj_t BgL_bucketz00_3859;
{ /* Jvm/compress.scm 11 */
int BgL_kz00_3869;
BgL_kz00_3869 = 
(int)(BgL_modz00_3855); 
BgL_bucketz00_3859 = 
VECTOR_REF(BgL_arg1221z00_3850,BgL_kz00_3869); } 
{ /* Jvm/compress.scm 11 */
int BgL_kz00_3871;
BgL_kz00_3871 = 
(int)(BgL_restz00_3857); 
BgL_method3028z00_3847 = 
VECTOR_REF(BgL_bucketz00_3859,BgL_kz00_3871); } } } } } } } } 
{ /* Jvm/compress.scm 11 */
obj_t BgL_auxz00_5359;
BgL_auxz00_5359 = 
PROCEDURE_ENTRY(BgL_method3028z00_3847)(BgL_method3028z00_3847, 
(obj_t)(BgL_ez00_1), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5359);} } } 
}



/* _compile-compress */
obj_t BGl__compilezd2compresszd2zzjvm_compressz00(obj_t BgL_envz00_3875, obj_t BgL_ez00_3876)
{ AN_OBJECT;
{ /* Jvm/compress.scm 11 */
{ /* Jvm/compress.scm 11 */
BgL_nodez00_bglt BgL_auxz00_5364;
BgL_auxz00_5364 = 
BGl_compilezd2compresszd2zzjvm_compressz00(
(BgL_nodez00_bglt)(BgL_ez00_3876)); 
return 
(obj_t)(BgL_auxz00_5364);} } 
}



/* compile-compress-default3027 */
BgL_nodez00_bglt BGl_compilezd2compresszd2default3027z00zzjvm_compressz00(BgL_nodez00_bglt BgL_ez00_2)
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ 
obj_t BgL_auxz00_5370;obj_t BgL_auxz00_5368;
BgL_auxz00_5370 = 
(obj_t)(BgL_ez00_2); 
BgL_auxz00_5368 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_5368,BGl_string3468z00zzjvm_compressz00,BgL_auxz00_5370);} } 
}



/* _compile-compress-default3027 */
obj_t BGl__compilezd2compresszd2default3027z00zzjvm_compressz00(obj_t BgL_envz00_3960, obj_t BgL_ez00_3961)
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
BgL_nodez00_bglt BgL_auxz00_5373;
BgL_auxz00_5373 = 
BGl_compilezd2compresszd2default3027z00zzjvm_compressz00(
(BgL_nodez00_bglt)(BgL_ez00_3961)); 
return 
(obj_t)(BgL_auxz00_5373);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(((long)54022), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_compress"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "jvm_compress");} 
}

