/*===========================================================================*/
/*   (Jvm/env.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl_envzd2procedureszd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_envz00();
static obj_t BGl_envzd2localszd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__envzd2declaredglobalzd2setz125070z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declaredclasszd2setz125062z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2vcountzd2setz125080z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2code5085zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2classz00zzjvm_envz00(obj_t, BgL_tclassz00_bglt);
extern obj_t open_input_string(obj_t);
static obj_t BGl_envzd2declaredmodulezd2zzjvm_envz00(BgL_envz00_bglt);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__envzd2declaredtype5059zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2newzd2procedure5053z00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
obj_t BGl_envz00zzjvm_envz00 = BUNSPEC;
static obj_t BGl_envzd2declaredtypezd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2currentzd2module5065z00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_envzd2declaredglobalzd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2declaredfields5067zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_envzd2libdeclaredzd2zzjvm_envz00(BgL_envz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_envzd2codezd2zzjvm_envz00(BgL_envz00_bglt);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_jarrayz00zzforeign_jtypez00;
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_envzd2currentzd2modulez00zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl__compilezd2typezd2nowidening5042z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_envzd2clinitzd2codez00zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2setzd2namez125052z12zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarezd2currentzd2module5044zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_envzd2declaredtypezd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl_jlibzd2declarezd2typez00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl_envzd2procedureszd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2procedures5073zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_envzd2declaredfieldszd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2stack5083zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2alloczd2local5051z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_envzd2declarationszd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl_cnstzd2initzd2zzjvm_envz00();
extern obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt);
static obj_t BGl__envzd2currentzd2methodzd2setz125078zc0zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__getzd2globalzd2name5049z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2typezd2nowideningz00zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_envz00();
extern BgL_envz00_bglt BGl_fillzd2envz12zc0zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_envzd2stackzd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_envzd2codezd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__envzf3zf3zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2declaredclass5061zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2declarezd2initz00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
static obj_t BGl_envzd2clinitzd2codezd2setz12zc0zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2envzd2zzjvm_envz00(obj_t);
static obj_t BGl_jlibzd2reczd2declz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_variablez00zzast_varz00;
static obj_t BGl_envzd2declaredclasszd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2env3210z51zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_envz00();
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_envzd2currentzd2methodz00zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2localszd2setz125082z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__fillzd2envz125087zc0zzjvm_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
static obj_t BGl_za2za2jlib32za2za2z00zzjvm_envz00 = BUNSPEC;
static obj_t BGl_envzd2declaredmodulezd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__envzd2stackzd2setz125084z12zzjvm_envz00(obj_t, obj_t, obj_t);
obj_t BGl_za2longislongza2z00zzjvm_envz00 = BUNSPEC;
extern long bgl_list_length(obj_t);
static obj_t BGl__jlibzd2declare5056zd2zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2jlibzd2commonza2za2zd2zzjvm_envz00 = BUNSPEC;
static obj_t BGl__envzd2newzd2getset5054z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__envzd2currentzd2modulezd2setz125066zc0zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_envzd2declaredglobalzd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern BgL_envz00_bglt BGl_allocatezd2envzd2zzjvm_envz00();
static obj_t BGl_envzd2currentzd2methodzd2setz12zc0zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__anyzf3zf3zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__compilezd2type5041zd2zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarationszd2setz125058z12zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
extern BgL_envz00_bglt BGl_makezd2envzd2zzjvm_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_envzd2currentzd2modulezd2setz12zc0zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_envzd2declarezd2fieldz12z12zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__envzd2currentzd2method5077z00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_za2za2basiczd2typeza2za2zd2zzjvm_envz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_envzd2declaredclasszd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__envzd2clinitzd2code5075z00zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2typez00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2declarezd2type5047z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern bool_t BGl_envzf3zf3zzjvm_envz00(obj_t);
static obj_t BGl__envzd2declaredmodulezd2setz125064z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarezd2class5046z00zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2fieldz00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__envzd2procedureszd2setz125074z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2clinitzd2codezd2setz125076zc0zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarezd2field5048z00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t);
static obj_t BGl__envzd2vcount5079zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__envzd2declarations5057zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2declare5043zd2zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarezd2module5045z00zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declarezd2local5050z00zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__envzd2declaredfieldszd2setz125068z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_envzd2vcountzd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_za2za2jlib64za2za2z00zzjvm_envz00 = BUNSPEC;
extern obj_t BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
static obj_t BGl__envzd2libdeclared5071zd2zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
static obj_t BGl__envzd2declaredmodule5063zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__envzd2declaredglobal5069zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2env3208ze3zzjvm_envz00(obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl__envzd2codezd2setz125086z12zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2modulez00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_envzd2vcountzd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl_objectzd2initzd2zzjvm_envz00();
static obj_t BGl__everyzf3zf3zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_anyzf3zf3zzjvm_envz00(obj_t, obj_t);
static obj_t BGl__makezd2envzd2zzjvm_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__envzd2getzd2procedures5055z00zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_envz00 = BUNSPEC;
static obj_t BGl_envzd2declaredfieldszd2zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_tvecz00zztvector_tvectorz00;
static obj_t BGl__envzd2declaredtypezd2setz125060z12zzjvm_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_envzd2stackzd2zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_envzd2declarezd2initz00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_envzd2libdeclaredzd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_envzd2declarationszd2setz12z12zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__envzd2locals5081zd2zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_envz00();
static obj_t BGl_envzd2localszd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl__envzd2libdeclaredzd2setz125072z12zzjvm_envz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 157 ] ;

DEFINE_STRING( BGl_string5189z00zzjvm_envz00, BgL_bgl_string5189za700za7za7jvm_envza7005194z00, "code stack locals vcount current-method clinit-code procedures libdeclared declaredglobal declaredfields current-module declaredmodule declaredclass declaredtype declarations env (void boolean char byte short int long float double) ok jlib (double long) L compiler _ f_ t_ init_ k_ public super c_ epair void* (vector jobject) cnst* binary_port binary-port input_port input-port output_port output-port ulong ((bint_value (field j_bint () long \"value\")) (ptr_alg (method j_foreign (static) long \"ptr_alg\"))) ((bint_value (field j_bint () int \"value\")) (ptr_alg (method j_foreign (static) int \"ptr_alg\"))) pow sqrt atan2 atan acos asin tan cos sin log exp ceil floor concat getbytes listargv double_to_real debug_handler internalerror fail jumpexit setexit eqbint print vrai faux bchar_allocated unspecified key rest optional eof static nil io_buffer io_abufsiz io_lastchar io_forward io_stop io_start boolean io_other_eof io_bufsiz long io_filepos io_name j_input header widening j_object struct_values struct_key j_"
"struct cer init_extended_pair j_extended_pair cons cdr car init_pair j_pair ccar init_cell j_cell j_exit symbol_string j_symbol j_bexception apply funcall4 funcall3 funcall2 funcall1 funcall0 procenv procarity procindex j_procedure j_unspecified vector j_keyword key_string j_key j_rest j_optional j_eof int cnst_value j_cnst init_real double real_value j_real j_bint void method init_bucs2 char bucs2_value j_bucs2 byte field bchar_value j_bchar j_bbool j_nil j_foreign math jthrowable jrunexcept jstring class jobject ((bool . boolean) (char . byte) (uchar . int) (ucs2 . char) (void . void) (int . int) (llong . long) (float . float) (double . double) (magic . jobject) (obj . jobject) (pair-nil . jobject) (vector vector jobject) (bstring vector byte) (ucs2string vector char) (string vector byte)) ", 1819 );
DEFINE_STRING( BGl_string5186z00zzjvm_envz00, BgL_bgl_string5186za700za7za7jvm_envza7005195z00, "bad declaration", 15 );
DEFINE_STRING( BGl_string5185z00zzjvm_envz00, BgL_bgl_string5185za700za7za7jvm_envza7005196z00, "unknown entry point", 19 );
DEFINE_STRING( BGl_string5184z00zzjvm_envz00, BgL_bgl_string5184za700za7za7jvm_envza7005197z00, "save", 4 );
DEFINE_STRING( BGl_string5183z00zzjvm_envz00, BgL_bgl_string5183za700za7za7jvm_envza7005198z00, "global variable not declared", 28 );
DEFINE_STRING( BGl_string5182z00zzjvm_envz00, BgL_bgl_string5182za700za7za7jvm_envza7005199z00, "unknown value type", 18 );
DEFINE_STRING( BGl_string5181z00zzjvm_envz00, BgL_bgl_string5181za700za7za7jvm_envza7005200z00, "compile-type", 12 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredclasszd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declaredclassza7d2setza7125062za712za7za7jvm_envza7005201za7, BGl__envzd2declaredclasszd2setz125062z12zzjvm_envz00, 0L, 2 );
DEFINE_STRING( BGl_string5180z00zzjvm_envz00, BgL_bgl_string5180za700za7za7jvm_envza7005202z00, "pow", 3 );
DEFINE_STRING( BGl_string5179z00zzjvm_envz00, BgL_bgl_string5179za700za7za7jvm_envza7005203z00, "sqrt", 4 );
DEFINE_STRING( BGl_string5178z00zzjvm_envz00, BgL_bgl_string5178za700za7za7jvm_envza7005204z00, "atan2", 5 );
DEFINE_STRING( BGl_string5177z00zzjvm_envz00, BgL_bgl_string5177za700za7za7jvm_envza7005205z00, "atan", 4 );
DEFINE_STRING( BGl_string5176z00zzjvm_envz00, BgL_bgl_string5176za700za7za7jvm_envza7005206z00, "acos", 4 );
DEFINE_STRING( BGl_string5175z00zzjvm_envz00, BgL_bgl_string5175za700za7za7jvm_envza7005207z00, "asin", 4 );
DEFINE_STRING( BGl_string5174z00zzjvm_envz00, BgL_bgl_string5174za700za7za7jvm_envza7005208z00, "tan", 3 );
DEFINE_STRING( BGl_string5173z00zzjvm_envz00, BgL_bgl_string5173za700za7za7jvm_envza7005209z00, "cos", 3 );
DEFINE_STRING( BGl_string5172z00zzjvm_envz00, BgL_bgl_string5172za700za7za7jvm_envza7005210z00, "sin", 3 );
DEFINE_STRING( BGl_string5171z00zzjvm_envz00, BgL_bgl_string5171za700za7za7jvm_envza7005211z00, "log", 3 );
DEFINE_STRING( BGl_string5170z00zzjvm_envz00, BgL_bgl_string5170za700za7za7jvm_envza7005212z00, "exp", 3 );
DEFINE_STRING( BGl_string5169z00zzjvm_envz00, BgL_bgl_string5169za700za7za7jvm_envza7005213z00, "ceil", 4 );
DEFINE_STRING( BGl_string5168z00zzjvm_envz00, BgL_bgl_string5168za700za7za7jvm_envza7005214z00, "floor", 5 );
DEFINE_STRING( BGl_string5167z00zzjvm_envz00, BgL_bgl_string5167za700za7za7jvm_envza7005215z00, "concat", 6 );
DEFINE_STRING( BGl_string5166z00zzjvm_envz00, BgL_bgl_string5166za700za7za7jvm_envza7005216z00, "getBytes", 8 );
DEFINE_STRING( BGl_string5165z00zzjvm_envz00, BgL_bgl_string5165za700za7za7jvm_envza7005217z00, "listargv", 8 );
DEFINE_STRING( BGl_string5164z00zzjvm_envz00, BgL_bgl_string5164za700za7za7jvm_envza7005218z00, "DOUBLE_TO_REAL", 14 );
DEFINE_STRING( BGl_string5163z00zzjvm_envz00, BgL_bgl_string5163za700za7za7jvm_envza7005219z00, "debug_handler", 13 );
DEFINE_STRING( BGl_string5162z00zzjvm_envz00, BgL_bgl_string5162za700za7za7jvm_envza7005220z00, "internalerror", 13 );
DEFINE_STRING( BGl_string5161z00zzjvm_envz00, BgL_bgl_string5161za700za7za7jvm_envza7005221z00, "fail", 4 );
DEFINE_STRING( BGl_string5160z00zzjvm_envz00, BgL_bgl_string5160za700za7za7jvm_envza7005222z00, "jumpexit", 8 );
DEFINE_STRING( BGl_string5159z00zzjvm_envz00, BgL_bgl_string5159za700za7za7jvm_envza7005223z00, "setexit", 7 );
DEFINE_STRING( BGl_string5158z00zzjvm_envz00, BgL_bgl_string5158za700za7za7jvm_envza7005224z00, "eqbint", 6 );
DEFINE_STRING( BGl_string5157z00zzjvm_envz00, BgL_bgl_string5157za700za7za7jvm_envza7005225z00, "print", 5 );
DEFINE_STRING( BGl_string5156z00zzjvm_envz00, BgL_bgl_string5156za700za7za7jvm_envza7005226z00, "vrai", 4 );
DEFINE_STRING( BGl_string5155z00zzjvm_envz00, BgL_bgl_string5155za700za7za7jvm_envza7005227z00, "faux", 4 );
DEFINE_STRING( BGl_string5154z00zzjvm_envz00, BgL_bgl_string5154za700za7za7jvm_envza7005228z00, "allocated", 9 );
DEFINE_STRING( BGl_string5153z00zzjvm_envz00, BgL_bgl_string5153za700za7za7jvm_envza7005229z00, "unspecified", 11 );
DEFINE_STRING( BGl_string5152z00zzjvm_envz00, BgL_bgl_string5152za700za7za7jvm_envza7005230z00, "rest", 4 );
DEFINE_STRING( BGl_string5151z00zzjvm_envz00, BgL_bgl_string5151za700za7za7jvm_envza7005231z00, "optional", 8 );
DEFINE_STRING( BGl_string5150z00zzjvm_envz00, BgL_bgl_string5150za700za7za7jvm_envza7005232z00, "eof", 3 );
DEFINE_STRING( BGl_string5149z00zzjvm_envz00, BgL_bgl_string5149za700za7za7jvm_envza7005233z00, "nil", 3 );
DEFINE_STRING( BGl_string5148z00zzjvm_envz00, BgL_bgl_string5148za700za7za7jvm_envza7005234z00, "buffer", 6 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2codezd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2codeza7d2setza7125086za712za7za7jvm_envza7005235za7, BGl__envzd2codezd2setz125086z12zzjvm_envz00, 0L, 2 );
DEFINE_STRING( BGl_string5147z00zzjvm_envz00, BgL_bgl_string5147za700za7za7jvm_envza7005236z00, "abufsiz", 7 );
DEFINE_STRING( BGl_string5146z00zzjvm_envz00, BgL_bgl_string5146za700za7za7jvm_envza7005237z00, "lastchar", 8 );
DEFINE_STRING( BGl_string5145z00zzjvm_envz00, BgL_bgl_string5145za700za7za7jvm_envza7005238z00, "forward", 7 );
DEFINE_STRING( BGl_string5144z00zzjvm_envz00, BgL_bgl_string5144za700za7za7jvm_envza7005239z00, "matchstop", 9 );
DEFINE_STRING( BGl_string5143z00zzjvm_envz00, BgL_bgl_string5143za700za7za7jvm_envza7005240z00, "matchstart", 10 );
DEFINE_STRING( BGl_string5142z00zzjvm_envz00, BgL_bgl_string5142za700za7za7jvm_envza7005241z00, "other_eof", 9 );
DEFINE_STRING( BGl_string5141z00zzjvm_envz00, BgL_bgl_string5141za700za7za7jvm_envza7005242z00, "bufsiz", 6 );
DEFINE_STRING( BGl_string5140z00zzjvm_envz00, BgL_bgl_string5140za700za7za7jvm_envza7005243z00, "filepos", 7 );
DEFINE_STRING( BGl_string5139z00zzjvm_envz00, BgL_bgl_string5139za700za7za7jvm_envza7005244z00, "name", 4 );
DEFINE_STRING( BGl_string5138z00zzjvm_envz00, BgL_bgl_string5138za700za7za7jvm_envza7005245z00, "bigloo.input_port", 17 );
DEFINE_STRING( BGl_string5137z00zzjvm_envz00, BgL_bgl_string5137za700za7za7jvm_envza7005246z00, "header", 6 );
DEFINE_STRING( BGl_string5136z00zzjvm_envz00, BgL_bgl_string5136za700za7za7jvm_envza7005247z00, "widening", 8 );
DEFINE_STRING( BGl_string5135z00zzjvm_envz00, BgL_bgl_string5135za700za7za7jvm_envza7005248z00, "bigloo.object", 13 );
DEFINE_STRING( BGl_string5134z00zzjvm_envz00, BgL_bgl_string5134za700za7za7jvm_envza7005249z00, "values", 6 );
DEFINE_STRING( BGl_string5133z00zzjvm_envz00, BgL_bgl_string5133za700za7za7jvm_envza7005250z00, "key", 3 );
DEFINE_STRING( BGl_string5132z00zzjvm_envz00, BgL_bgl_string5132za700za7za7jvm_envza7005251z00, "bigloo.struct", 13 );
DEFINE_STRING( BGl_string5131z00zzjvm_envz00, BgL_bgl_string5131za700za7za7jvm_envza7005252z00, "cer", 3 );
DEFINE_STRING( BGl_string5130z00zzjvm_envz00, BgL_bgl_string5130za700za7za7jvm_envza7005253z00, "bigloo.extended_pair", 20 );
DEFINE_STRING( BGl_string5129z00zzjvm_envz00, BgL_bgl_string5129za700za7za7jvm_envza7005254z00, "cons", 4 );
DEFINE_STRING( BGl_string5128z00zzjvm_envz00, BgL_bgl_string5128za700za7za7jvm_envza7005255z00, "cdr", 3 );
DEFINE_STRING( BGl_string5127z00zzjvm_envz00, BgL_bgl_string5127za700za7za7jvm_envza7005256z00, "bigloo.pair", 11 );
DEFINE_STRING( BGl_string5126z00zzjvm_envz00, BgL_bgl_string5126za700za7za7jvm_envza7005257z00, "car", 3 );
DEFINE_STRING( BGl_string5125z00zzjvm_envz00, BgL_bgl_string5125za700za7za7jvm_envza7005258z00, "bigloo.cell", 11 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredtypezd2envz00zzjvm_envz00, BgL_bgl__envza7d2declaredtype5059za7d2za7za7jvm_envza7005259za7, BGl__envzd2declaredtype5059zd2zzjvm_envz00, 0L, 1 );
DEFINE_STRING( BGl_string5124z00zzjvm_envz00, BgL_bgl_string5124za700za7za7jvm_envza7005260z00, "bigloo.exit", 11 );
DEFINE_STRING( BGl_string5123z00zzjvm_envz00, BgL_bgl_string5123za700za7za7jvm_envza7005261z00, "bigloo.symbol", 13 );
DEFINE_STRING( BGl_string5122z00zzjvm_envz00, BgL_bgl_string5122za700za7za7jvm_envza7005262z00, "bigloo.bexception", 17 );
DEFINE_STRING( BGl_string5121z00zzjvm_envz00, BgL_bgl_string5121za700za7za7jvm_envza7005263z00, "bigloo.keyword", 14 );
DEFINE_STRING( BGl_string5120z00zzjvm_envz00, BgL_bgl_string5120za700za7za7jvm_envza7005264z00, "apply", 5 );
DEFINE_STRING( BGl_string5119z00zzjvm_envz00, BgL_bgl_string5119za700za7za7jvm_envza7005265z00, "funcall4", 8 );
DEFINE_STRING( BGl_string5118z00zzjvm_envz00, BgL_bgl_string5118za700za7za7jvm_envza7005266z00, "funcall3", 8 );
DEFINE_STRING( BGl_string5117z00zzjvm_envz00, BgL_bgl_string5117za700za7za7jvm_envza7005267z00, "funcall2", 8 );
DEFINE_STRING( BGl_string5116z00zzjvm_envz00, BgL_bgl_string5116za700za7za7jvm_envza7005268z00, "funcall1", 8 );
DEFINE_STRING( BGl_string5115z00zzjvm_envz00, BgL_bgl_string5115za700za7za7jvm_envza7005269z00, "funcall0", 8 );
DEFINE_STRING( BGl_string5114z00zzjvm_envz00, BgL_bgl_string5114za700za7za7jvm_envza7005270z00, "env", 3 );
DEFINE_STRING( BGl_string5113z00zzjvm_envz00, BgL_bgl_string5113za700za7za7jvm_envza7005271z00, "arity", 5 );
DEFINE_STRING( BGl_string5112z00zzjvm_envz00, BgL_bgl_string5112za700za7za7jvm_envza7005272z00, "index", 5 );
DEFINE_STRING( BGl_string5111z00zzjvm_envz00, BgL_bgl_string5111za700za7za7jvm_envza7005273z00, "bigloo.procedure", 16 );
DEFINE_STRING( BGl_string5110z00zzjvm_envz00, BgL_bgl_string5110za700za7za7jvm_envza7005274z00, "bigloo.unspecified", 18 );
DEFINE_STRING( BGl_string5109z00zzjvm_envz00, BgL_bgl_string5109za700za7za7jvm_envza7005275z00, "string", 6 );
DEFINE_STRING( BGl_string5099z00zzjvm_envz00, BgL_bgl_string5099za700za7za7jvm_envza7005276z00, "value", 5 );
DEFINE_STRING( BGl_string5108z00zzjvm_envz00, BgL_bgl_string5108za700za7za7jvm_envza7005277z00, "bigloo.key", 10 );
DEFINE_STRING( BGl_string5098z00zzjvm_envz00, BgL_bgl_string5098za700za7za7jvm_envza7005278z00, "bigloo.bchar", 12 );
DEFINE_STRING( BGl_string5107z00zzjvm_envz00, BgL_bgl_string5107za700za7za7jvm_envza7005279z00, "bigloo.rest", 11 );
DEFINE_STRING( BGl_string5097z00zzjvm_envz00, BgL_bgl_string5097za700za7za7jvm_envza7005280z00, "bigloo.bbool", 12 );
DEFINE_STRING( BGl_string5106z00zzjvm_envz00, BgL_bgl_string5106za700za7za7jvm_envza7005281z00, "bigloo.optional", 15 );
DEFINE_STRING( BGl_string5096z00zzjvm_envz00, BgL_bgl_string5096za700za7za7jvm_envza7005282z00, "bigloo.nil", 10 );
DEFINE_STRING( BGl_string5105z00zzjvm_envz00, BgL_bgl_string5105za700za7za7jvm_envza7005283z00, "bigloo.eof", 10 );
DEFINE_STRING( BGl_string5095z00zzjvm_envz00, BgL_bgl_string5095za700za7za7jvm_envza7005284z00, "java.lang.Math", 14 );
DEFINE_STRING( BGl_string5104z00zzjvm_envz00, BgL_bgl_string5104za700za7za7jvm_envza7005285z00, "bigloo.cnst", 11 );
DEFINE_STRING( BGl_string5094z00zzjvm_envz00, BgL_bgl_string5094za700za7za7jvm_envza7005286z00, "java.lang.Throwable", 19 );
DEFINE_STRING( BGl_string5103z00zzjvm_envz00, BgL_bgl_string5103za700za7za7jvm_envza7005287z00, "bigloo.real", 11 );
DEFINE_STRING( BGl_string5093z00zzjvm_envz00, BgL_bgl_string5093za700za7za7jvm_envza7005288z00, "java.lang.RuntimeException", 26 );
DEFINE_STRING( BGl_string5102z00zzjvm_envz00, BgL_bgl_string5102za700za7za7jvm_envza7005289z00, "bigloo.bint", 11 );
DEFINE_STRING( BGl_string5092z00zzjvm_envz00, BgL_bgl_string5092za700za7za7jvm_envza7005290z00, "java.lang.String", 16 );
DEFINE_STRING( BGl_string5101z00zzjvm_envz00, BgL_bgl_string5101za700za7za7jvm_envza7005291z00, "<init>", 6 );
DEFINE_STRING( BGl_string5091z00zzjvm_envz00, BgL_bgl_string5091za700za7za7jvm_envza7005292z00, "java.lang.Object", 16 );
DEFINE_STRING( BGl_string5100z00zzjvm_envz00, BgL_bgl_string5100za700za7za7jvm_envza7005293z00, "bigloo.bucs2", 12 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredmodulezd2envz00zzjvm_envz00, BgL_bgl__envza7d2declaredmodule5063za7d2za7za7jvm_envza7005294za7, BGl__envzd2declaredmodule5063zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredclasszd2envz00zzjvm_envz00, BgL_bgl__envza7d2declaredclass5061za7d2za7za7jvm_envza7005295za7, BGl__envzd2declaredclass5061zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2codezd2envz00zzjvm_envz00, BgL_bgl__envza7d2code5085za7d2za7za7jvm_envza7005296za7, BGl__envzd2code5085zd2zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_jlibzd2declarezd2envz00zzjvm_envz00, BgL_bgl__jlibza7d2declare5056za7d2za7za7jvm_envza7005297za7, BGl__jlibzd2declare5056zd2zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2libdeclaredzd2envz00zzjvm_envz00, BgL_bgl__envza7d2libdeclared5071za7d2za7za7jvm_envza7005298za7, BGl__envzd2libdeclared5071zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2currentzd2modulezd2envzd2zzjvm_envz00, BgL_bgl__envza7d2currentza7d2module5065za700za7za7jvm_envza7005299z00, BGl__envzd2currentzd2module5065z00zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredfieldszd2envz00zzjvm_envz00, BgL_bgl__envza7d2declaredfields5067za7d2za7za7jvm_envza7005300za7, BGl__envzd2declaredfields5067zd2zzjvm_envz00, 0L, 1 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_compilezd2typezd2envz00zzjvm_envz00, BgL_bgl__compileza7d2type5041za7d2za7za7jvm_envza7005301za7, BGl__compilezd2type5041zd2zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2localszd2envz00zzjvm_envz00, BgL_bgl__envza7d2locals5081za7d2za7za7jvm_envza7005302za7, BGl__envzd2locals5081zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declarationszd2envz00zzjvm_envz00, BgL_bgl__envza7d2declarations5057za7d2za7za7jvm_envza7005303za7, BGl__envzd2declarations5057zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2currentzd2methodzd2setz12zd2envz12zzjvm_envz00, BgL_bgl__envza7d2currentza7d2methodza7d2setza7125078za7c0za7za7jvm_envza7005304z00, BGl__envzd2currentzd2methodzd2setz125078zc0zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzf3zd2envz21zzjvm_envz00, BgL_bgl__envza7f3za7f3za7za7jvm_envza7005305za7, BGl__envzf3zf3zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2envz00zzjvm_envz00, BgL_bgl__envza7d2declare5043za7d2za7za7jvm_envza7005306za7, BGl__envzd2declare5043zd2zzjvm_envz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredglobalzd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declaredglobalza7d2setza7125070za712za7za7jvm_envza7005307za7, BGl__envzd2declaredglobalzd2setz125070z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2alloczd2localzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2allocza7d2local5051za700za7za7jvm_envza7005308z00, BGl__envzd2alloczd2local5051z00zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2envz12zd2envz12zzjvm_envz00, BgL_bgl__fillza7d2envza7125087za7c0za7za7jvm_envza7005309z00, BGl__fillzd2envz125087zc0zzjvm_envz00, 0L, 16 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2clinitzd2codezd2setz12zd2envz12zzjvm_envz00, BgL_bgl__envza7d2clinitza7d2codeza7d2setza7125076za7c0za7za7jvm_envza7005310z00, BGl__envzd2clinitzd2codezd2setz125076zc0zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredmodulezd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declaredmoduleza7d2setza7125064za712za7za7jvm_envza7005311za7, BGl__envzd2declaredmodulezd2setz125064z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2newzd2getsetzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2newza7d2getset5054za700za7za7jvm_envza7005312z00, BGl__envzd2newzd2getset5054z00zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2libdeclaredzd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2libdeclaredza7d2setza7125072za712za7za7jvm_envza7005313za7, BGl__envzd2libdeclaredzd2setz125072z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2globalzd2namezd2envzd2zzjvm_envz00, BgL_bgl__getza7d2globalza7d2name5049za700za7za7jvm_envza7005314z00, BGl__getzd2globalzd2name5049z00zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2envzd2envz00zzjvm_envz00, BgL_bgl__makeza7d2envza7d2za7za7jvm_envza7005315za7, BGl__makezd2envzd2zzjvm_envz00, 0L, 15 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declarationszd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declarationsza7d2setza7125058za712za7za7jvm_envza7005316za7, BGl__envzd2declarationszd2setz125058z12zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredfieldszd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declaredfieldsza7d2setza7125068za712za7za7jvm_envza7005317za7, BGl__envzd2declaredfieldszd2setz125068z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilezd2typezd2nowideningzd2envzd2zzjvm_envz00, BgL_bgl__compileza7d2typeza7d2nowidening5042za700za7za7jvm_envza7005318z00, BGl__compilezd2typezd2nowidening5042z00zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2newzd2procedurezd2envzd2zzjvm_envz00, BgL_bgl__envza7d2newza7d2procedure5053za700za7za7jvm_envza7005319z00, BGl__envzd2newzd2procedure5053z00zzjvm_envz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2procedureszd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2proceduresza7d2setza7125074za712za7za7jvm_envza7005320za7, BGl__envzd2procedureszd2setz125074z12zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2vcountzd2envz00zzjvm_envz00, BgL_bgl__envza7d2vcount5079za7d2za7za7jvm_envza7005321za7, BGl__envzd2vcount5079zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2localszd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2localsza7d2setza7125082za712za7za7jvm_envza7005322za7, BGl__envzd2localszd2setz125082z12zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2procedureszd2envz00zzjvm_envz00, BgL_bgl__envza7d2procedures5073za7d2za7za7jvm_envza7005323za7, BGl__envzd2procedures5073zd2zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2initzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2initza700za7za7jvm_envza7005324z00, BGl__envzd2declarezd2initz00zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2setzd2namez12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2setza7d2nameza7125052za712za7za7jvm_envza7005325za7, BGl__envzd2setzd2namez125052z12zzjvm_envz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2stackzd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2stackza7d2setza7125084za712za7za7jvm_envza7005326za7, BGl__envzd2stackzd2setz125084z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2typezd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2type5047za700za7za7jvm_envza7005327z00, BGl__envzd2declarezd2type5047z00zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2currentzd2methodzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2currentza7d2method5077za700za7za7jvm_envza7005328z00, BGl__envzd2currentzd2method5077z00zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_everyzf3zd2envz21zzjvm_envz00, BgL_bgl__everyza7f3za7f3za7za7jvm_envza7005329za7, BGl__everyzf3zf3zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2localzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2local5050za700za7za7jvm_envza7005330z00, BGl__envzd2declarezd2local5050z00zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2clinitzd2codezd2envzd2zzjvm_envz00, BgL_bgl__envza7d2clinitza7d2code5075za700za7za7jvm_envza7005331z00, BGl__envzd2clinitzd2code5075z00zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2currentzd2modulezd2envz00zzjvm_envz00, BgL_bgl__envza7d2declareza7d2currentza7d2module5044za7d2za7za7jvm_envza7005332za7, BGl__envzd2declarezd2currentzd2module5044zd2zzjvm_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2fieldzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2field5048za700za7za7jvm_envza7005333z00, BGl__envzd2declarezd2field5048z00zzjvm_envz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2classzd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2class5046za700za7za7jvm_envza7005334z00, BGl__envzd2declarezd2class5046z00zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_anyzf3zd2envz21zzjvm_envz00, BgL_bgl__anyza7f3za7f3za7za7jvm_envza7005335za7, BGl__anyzf3zf3zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5187z00zzjvm_envz00, BgL_bgl_objectza7d2za7e3structza7d2env3208za7e3za7za7jvm_envza7005336za7, BGl_objectzd2ze3structzd2env3208ze3zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5188z00zzjvm_envz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2env3210za751za7za7jvm_envza7005337z00, BGl_structzb2objectzd2ze3objectzd2env3210z51zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2declarezd2modulezd2envzd2zzjvm_envz00, BgL_bgl__envza7d2declareza7d2module5045za700za7za7jvm_envza7005338z00, BGl__envzd2declarezd2module5045z00zzjvm_envz00, 0L, 2 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2envzd2envz00zzjvm_envz00, BgL_bgl__allocateza7d2envza7d2za7za7jvm_envza7005339za7, BGl__allocatezd2envzd2zzjvm_envz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2stackzd2envz00zzjvm_envz00, BgL_bgl__envza7d2stack5083za7d2za7za7jvm_envza7005340za7, BGl__envzd2stack5083zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredglobalzd2envz00zzjvm_envz00, BgL_bgl__envza7d2declaredglobal5069za7d2za7za7jvm_envza7005341za7, BGl__envzd2declaredglobal5069zd2zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2currentzd2modulezd2setz12zd2envz12zzjvm_envz00, BgL_bgl__envza7d2currentza7d2moduleza7d2setza7125066za7c0za7za7jvm_envza7005342z00, BGl__envzd2currentzd2modulezd2setz125066zc0zzjvm_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2declaredtypezd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2declaredtypeza7d2setza7125060za712za7za7jvm_envza7005343za7, BGl__envzd2declaredtypezd2setz125060z12zzjvm_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_envzd2getzd2procedureszd2envzd2zzjvm_envz00, BgL_bgl__envza7d2getza7d2procedures5055za700za7za7jvm_envza7005344z00, BGl__envzd2getzd2procedures5055z00zzjvm_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_envzd2vcountzd2setz12zd2envzc0zzjvm_envz00, BgL_bgl__envza7d2vcountza7d2setza7125080za712za7za7jvm_envza7005345za7, BGl__envzd2vcountzd2setz125080z12zzjvm_envz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long BgL_checksumz00_5099, char * BgL_fromz00_5100)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_envz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_envz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_envz00(); 
BGl_cnstzd2initzd2zzjvm_envz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_envz00(); 
BGl_objectzd2initzd2zzjvm_envz00(); 
BGl_methodzd2initzd2zzjvm_envz00(); 
BGl_toplevelzd2initzd2zzjvm_envz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_env"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_env"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_env"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_env"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
{ /* Jvm/env.scm 1 */
obj_t BgL_cportz00_5092;
BgL_cportz00_5092 = 
open_input_string(BGl_string5189z00zzjvm_envz00); 
{ 
long BgL_iz00_5093;
BgL_iz00_5093 = ((long)156); 
BgL_loopz00_5094:
if(
(BgL_iz00_5093==((long)-1)))
{ /* Jvm/env.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/env.scm 1 */
{ /* Jvm/env.scm 1 */
obj_t BgL_arg5191z00_5096;
{ /* Jvm/env.scm 1 */
obj_t BgL_list5192z00_5097;
BgL_list5192z00_5097 = 
MAKE_PAIR(BgL_cportz00_5092, BNIL); 
BgL_arg5191z00_5096 = 
BGl_readz00zz__readerz00(BgL_list5192z00_5097); } 
{ /* Jvm/env.scm 1 */
int BgL_auxz00_5121;
BgL_auxz00_5121 = 
(int)(BgL_iz00_5093); 
CNST_TABLE_SET(BgL_auxz00_5121, BgL_arg5191z00_5096); } } 
{ 
long BgL_iz00_5124;
{ /* Jvm/env.scm 1 */
int BgL_auxz00_5125;
{ /* Jvm/env.scm 1 */
long BgL_auxz00_5126;
BgL_auxz00_5126 = 
(BgL_iz00_5093-((long)1)); 
BgL_auxz00_5125 = 
(int)(BgL_auxz00_5126); } 
BgL_iz00_5124 = 
(long)(BgL_auxz00_5125); } 
BgL_iz00_5093 = BgL_iz00_5124; 
goto BgL_loopz00_5094;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
BGl_za2longislongza2z00zzjvm_envz00 = BFALSE; 
BGl_za2za2basiczd2typeza2za2zd2zzjvm_envz00 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/env.scm 287 */
obj_t BgL_arg3211z00_1655;obj_t BgL_arg3212z00_1656;
{ /* Jvm/env.scm 287 */
obj_t BgL_arg3213z00_1657;obj_t BgL_arg3214z00_1658;
BgL_arg3213z00_1657 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 287 */
obj_t BgL_arg3215z00_1659;
{ /* Jvm/env.scm 287 */
obj_t BgL_arg3217z00_1661;obj_t BgL_arg3218z00_1662;
BgL_arg3217z00_1661 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 287 */
obj_t BgL_arg3220z00_1664;
BgL_arg3220z00_1664 = 
MAKE_PAIR(BGl_string5091z00zzjvm_envz00, BNIL); 
BgL_arg3218z00_1662 = 
MAKE_PAIR(BNIL, BgL_arg3220z00_1664); } 
BgL_arg3215z00_1659 = 
MAKE_PAIR(BgL_arg3217z00_1661, BgL_arg3218z00_1662); } 
BgL_arg3214z00_1658 = 
MAKE_PAIR(BgL_arg3215z00_1659, BNIL); } 
BgL_arg3211z00_1655 = 
MAKE_PAIR(BgL_arg3213z00_1657, BgL_arg3214z00_1658); } 
{ /* Jvm/env.scm 288 */
obj_t BgL_arg3221z00_1665;obj_t BgL_arg3222z00_1666;
{ /* Jvm/env.scm 288 */
obj_t BgL_arg3223z00_1667;obj_t BgL_arg3224z00_1668;
BgL_arg3223z00_1667 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/env.scm 288 */
obj_t BgL_arg3225z00_1669;
{ /* Jvm/env.scm 288 */
obj_t BgL_arg3227z00_1671;obj_t BgL_arg3228z00_1672;
BgL_arg3227z00_1671 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 288 */
obj_t BgL_arg3231z00_1674;
BgL_arg3231z00_1674 = 
MAKE_PAIR(BGl_string5092z00zzjvm_envz00, BNIL); 
BgL_arg3228z00_1672 = 
MAKE_PAIR(BNIL, BgL_arg3231z00_1674); } 
BgL_arg3225z00_1669 = 
MAKE_PAIR(BgL_arg3227z00_1671, BgL_arg3228z00_1672); } 
BgL_arg3224z00_1668 = 
MAKE_PAIR(BgL_arg3225z00_1669, BNIL); } 
BgL_arg3221z00_1665 = 
MAKE_PAIR(BgL_arg3223z00_1667, BgL_arg3224z00_1668); } 
{ /* Jvm/env.scm 289 */
obj_t BgL_arg3232z00_1675;obj_t BgL_arg3233z00_1676;
{ /* Jvm/env.scm 289 */
obj_t BgL_arg3234z00_1677;obj_t BgL_arg3235z00_1678;
BgL_arg3234z00_1677 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/env.scm 289 */
obj_t BgL_arg3236z00_1679;
{ /* Jvm/env.scm 289 */
obj_t BgL_arg3238z00_1681;obj_t BgL_arg3239z00_1682;
BgL_arg3238z00_1681 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 289 */
obj_t BgL_arg3241z00_1684;
BgL_arg3241z00_1684 = 
MAKE_PAIR(BGl_string5093z00zzjvm_envz00, BNIL); 
BgL_arg3239z00_1682 = 
MAKE_PAIR(BNIL, BgL_arg3241z00_1684); } 
BgL_arg3236z00_1679 = 
MAKE_PAIR(BgL_arg3238z00_1681, BgL_arg3239z00_1682); } 
BgL_arg3235z00_1678 = 
MAKE_PAIR(BgL_arg3236z00_1679, BNIL); } 
BgL_arg3232z00_1675 = 
MAKE_PAIR(BgL_arg3234z00_1677, BgL_arg3235z00_1678); } 
{ /* Jvm/env.scm 290 */
obj_t BgL_arg3242z00_1685;obj_t BgL_arg3243z00_1686;
{ /* Jvm/env.scm 290 */
obj_t BgL_arg3244z00_1687;obj_t BgL_arg3245z00_1688;
BgL_arg3244z00_1687 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/env.scm 290 */
obj_t BgL_arg3246z00_1689;
{ /* Jvm/env.scm 290 */
obj_t BgL_arg3248z00_1691;obj_t BgL_arg3249z00_1692;
BgL_arg3248z00_1691 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 290 */
obj_t BgL_arg3251z00_1694;
BgL_arg3251z00_1694 = 
MAKE_PAIR(BGl_string5094z00zzjvm_envz00, BNIL); 
BgL_arg3249z00_1692 = 
MAKE_PAIR(BNIL, BgL_arg3251z00_1694); } 
BgL_arg3246z00_1689 = 
MAKE_PAIR(BgL_arg3248z00_1691, BgL_arg3249z00_1692); } 
BgL_arg3245z00_1688 = 
MAKE_PAIR(BgL_arg3246z00_1689, BNIL); } 
BgL_arg3242z00_1685 = 
MAKE_PAIR(BgL_arg3244z00_1687, BgL_arg3245z00_1688); } 
{ /* Jvm/env.scm 291 */
obj_t BgL_arg3252z00_1695;obj_t BgL_arg3253z00_1696;
{ /* Jvm/env.scm 291 */
obj_t BgL_arg3254z00_1697;obj_t BgL_arg3255z00_1698;
BgL_arg3254z00_1697 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 291 */
obj_t BgL_arg3256z00_1699;
{ /* Jvm/env.scm 291 */
obj_t BgL_arg3258z00_1701;obj_t BgL_arg3259z00_1702;
BgL_arg3258z00_1701 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 291 */
obj_t BgL_arg3261z00_1704;
BgL_arg3261z00_1704 = 
MAKE_PAIR(BGl_string5095z00zzjvm_envz00, BNIL); 
BgL_arg3259z00_1702 = 
MAKE_PAIR(BNIL, BgL_arg3261z00_1704); } 
BgL_arg3256z00_1699 = 
MAKE_PAIR(BgL_arg3258z00_1701, BgL_arg3259z00_1702); } 
BgL_arg3255z00_1698 = 
MAKE_PAIR(BgL_arg3256z00_1699, BNIL); } 
BgL_arg3252z00_1695 = 
MAKE_PAIR(BgL_arg3254z00_1697, BgL_arg3255z00_1698); } 
{ /* Jvm/env.scm 292 */
obj_t BgL_arg3262z00_1705;obj_t BgL_arg3263z00_1706;
{ /* Jvm/env.scm 292 */
obj_t BgL_arg3264z00_1707;obj_t BgL_arg3265z00_1708;
BgL_arg3264z00_1707 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 292 */
obj_t BgL_arg3267z00_1709;
{ /* Jvm/env.scm 292 */
obj_t BgL_arg3269z00_1711;obj_t BgL_arg3270z00_1712;
BgL_arg3269z00_1711 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 292 */
obj_t BgL_arg3272z00_1714;
BgL_arg3272z00_1714 = 
MAKE_PAIR(BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00, BNIL); 
BgL_arg3270z00_1712 = 
MAKE_PAIR(BNIL, BgL_arg3272z00_1714); } 
BgL_arg3267z00_1709 = 
MAKE_PAIR(BgL_arg3269z00_1711, BgL_arg3270z00_1712); } 
BgL_arg3265z00_1708 = 
MAKE_PAIR(BgL_arg3267z00_1709, BNIL); } 
BgL_arg3262z00_1705 = 
MAKE_PAIR(BgL_arg3264z00_1707, BgL_arg3265z00_1708); } 
{ /* Jvm/env.scm 293 */
obj_t BgL_arg3273z00_1715;obj_t BgL_arg3274z00_1716;
{ /* Jvm/env.scm 293 */
obj_t BgL_arg3275z00_1717;obj_t BgL_arg3276z00_1718;
BgL_arg3275z00_1717 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/env.scm 293 */
obj_t BgL_arg3277z00_1719;
{ /* Jvm/env.scm 293 */
obj_t BgL_arg3279z00_1721;obj_t BgL_arg3280z00_1722;
BgL_arg3279z00_1721 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 293 */
obj_t BgL_arg3282z00_1724;
BgL_arg3282z00_1724 = 
MAKE_PAIR(BGl_string5096z00zzjvm_envz00, BNIL); 
BgL_arg3280z00_1722 = 
MAKE_PAIR(BNIL, BgL_arg3282z00_1724); } 
BgL_arg3277z00_1719 = 
MAKE_PAIR(BgL_arg3279z00_1721, BgL_arg3280z00_1722); } 
BgL_arg3276z00_1718 = 
MAKE_PAIR(BgL_arg3277z00_1719, BNIL); } 
BgL_arg3273z00_1715 = 
MAKE_PAIR(BgL_arg3275z00_1717, BgL_arg3276z00_1718); } 
{ /* Jvm/env.scm 294 */
obj_t BgL_arg3283z00_1725;obj_t BgL_arg3284z00_1726;
{ /* Jvm/env.scm 294 */
obj_t BgL_arg3285z00_1727;obj_t BgL_arg3286z00_1728;
BgL_arg3285z00_1727 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/env.scm 294 */
obj_t BgL_arg3287z00_1729;
{ /* Jvm/env.scm 294 */
obj_t BgL_arg3289z00_1731;obj_t BgL_arg3290z00_1732;
BgL_arg3289z00_1731 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 294 */
obj_t BgL_arg3292z00_1734;
BgL_arg3292z00_1734 = 
MAKE_PAIR(BGl_string5097z00zzjvm_envz00, BNIL); 
BgL_arg3290z00_1732 = 
MAKE_PAIR(BNIL, BgL_arg3292z00_1734); } 
BgL_arg3287z00_1729 = 
MAKE_PAIR(BgL_arg3289z00_1731, BgL_arg3290z00_1732); } 
BgL_arg3286z00_1728 = 
MAKE_PAIR(BgL_arg3287z00_1729, BNIL); } 
BgL_arg3283z00_1725 = 
MAKE_PAIR(BgL_arg3285z00_1727, BgL_arg3286z00_1728); } 
{ /* Jvm/env.scm 295 */
obj_t BgL_arg3293z00_1735;obj_t BgL_arg3294z00_1736;
{ /* Jvm/env.scm 295 */
obj_t BgL_arg3295z00_1737;obj_t BgL_arg3296z00_1738;
BgL_arg3295z00_1737 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/env.scm 295 */
obj_t BgL_arg3297z00_1739;
{ /* Jvm/env.scm 295 */
obj_t BgL_arg3299z00_1741;obj_t BgL_arg3300z00_1742;
BgL_arg3299z00_1741 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 295 */
obj_t BgL_arg3302z00_1744;
BgL_arg3302z00_1744 = 
MAKE_PAIR(BGl_string5098z00zzjvm_envz00, BNIL); 
BgL_arg3300z00_1742 = 
MAKE_PAIR(BNIL, BgL_arg3302z00_1744); } 
BgL_arg3297z00_1739 = 
MAKE_PAIR(BgL_arg3299z00_1741, BgL_arg3300z00_1742); } 
BgL_arg3296z00_1738 = 
MAKE_PAIR(BgL_arg3297z00_1739, BNIL); } 
BgL_arg3293z00_1735 = 
MAKE_PAIR(BgL_arg3295z00_1737, BgL_arg3296z00_1738); } 
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3303z00_1745;obj_t BgL_arg3304z00_1746;
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3305z00_1747;obj_t BgL_arg3307z00_1748;
BgL_arg3305z00_1747 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3308z00_1749;
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3310z00_1751;obj_t BgL_arg3311z00_1752;
BgL_arg3310z00_1751 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3312z00_1753;obj_t BgL_arg3313z00_1754;
BgL_arg3312z00_1753 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3315z00_1756;
{ /* Jvm/env.scm 296 */
obj_t BgL_arg3316z00_1757;obj_t BgL_arg3317z00_1758;
BgL_arg3316z00_1757 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3317z00_1758 = 
MAKE_PAIR(BGl_string5099z00zzjvm_envz00, BNIL); 
BgL_arg3315z00_1756 = 
MAKE_PAIR(BgL_arg3316z00_1757, BgL_arg3317z00_1758); } 
BgL_arg3313z00_1754 = 
MAKE_PAIR(BNIL, BgL_arg3315z00_1756); } 
BgL_arg3311z00_1752 = 
MAKE_PAIR(BgL_arg3312z00_1753, BgL_arg3313z00_1754); } 
BgL_arg3308z00_1749 = 
MAKE_PAIR(BgL_arg3310z00_1751, BgL_arg3311z00_1752); } 
BgL_arg3307z00_1748 = 
MAKE_PAIR(BgL_arg3308z00_1749, BNIL); } 
BgL_arg3303z00_1745 = 
MAKE_PAIR(BgL_arg3305z00_1747, BgL_arg3307z00_1748); } 
{ /* Jvm/env.scm 297 */
obj_t BgL_arg3318z00_1759;obj_t BgL_arg3319z00_1760;
{ /* Jvm/env.scm 297 */
obj_t BgL_arg3321z00_1761;obj_t BgL_arg3322z00_1762;
BgL_arg3321z00_1761 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/env.scm 297 */
obj_t BgL_arg3323z00_1763;
{ /* Jvm/env.scm 297 */
obj_t BgL_arg3325z00_1765;obj_t BgL_arg3327z00_1766;
BgL_arg3325z00_1765 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 297 */
obj_t BgL_arg3330z00_1768;
BgL_arg3330z00_1768 = 
MAKE_PAIR(BGl_string5100z00zzjvm_envz00, BNIL); 
BgL_arg3327z00_1766 = 
MAKE_PAIR(BNIL, BgL_arg3330z00_1768); } 
BgL_arg3323z00_1763 = 
MAKE_PAIR(BgL_arg3325z00_1765, BgL_arg3327z00_1766); } 
BgL_arg3322z00_1762 = 
MAKE_PAIR(BgL_arg3323z00_1763, BNIL); } 
BgL_arg3318z00_1759 = 
MAKE_PAIR(BgL_arg3321z00_1761, BgL_arg3322z00_1762); } 
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3331z00_1769;obj_t BgL_arg3332z00_1770;
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3333z00_1771;obj_t BgL_arg3334z00_1772;
BgL_arg3333z00_1771 = 
CNST_TABLE_REF(((long)15)); 
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3335z00_1773;
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3338z00_1775;obj_t BgL_arg3339z00_1776;
BgL_arg3338z00_1775 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3340z00_1777;obj_t BgL_arg3341z00_1778;
BgL_arg3340z00_1777 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3343z00_1780;
{ /* Jvm/env.scm 298 */
obj_t BgL_arg3344z00_1781;obj_t BgL_arg3345z00_1782;
BgL_arg3344z00_1781 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg3345z00_1782 = 
MAKE_PAIR(BGl_string5099z00zzjvm_envz00, BNIL); 
BgL_arg3343z00_1780 = 
MAKE_PAIR(BgL_arg3344z00_1781, BgL_arg3345z00_1782); } 
BgL_arg3341z00_1778 = 
MAKE_PAIR(BNIL, BgL_arg3343z00_1780); } 
BgL_arg3339z00_1776 = 
MAKE_PAIR(BgL_arg3340z00_1777, BgL_arg3341z00_1778); } 
BgL_arg3335z00_1773 = 
MAKE_PAIR(BgL_arg3338z00_1775, BgL_arg3339z00_1776); } 
BgL_arg3334z00_1772 = 
MAKE_PAIR(BgL_arg3335z00_1773, BNIL); } 
BgL_arg3331z00_1769 = 
MAKE_PAIR(BgL_arg3333z00_1771, BgL_arg3334z00_1772); } 
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3346z00_1783;obj_t BgL_arg3347z00_1784;
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3348z00_1785;obj_t BgL_arg3349z00_1786;
BgL_arg3348z00_1785 = 
CNST_TABLE_REF(((long)17)); 
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3350z00_1787;
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3352z00_1789;obj_t BgL_arg3353z00_1790;
BgL_arg3352z00_1789 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3354z00_1791;obj_t BgL_arg3355z00_1792;
BgL_arg3354z00_1791 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3358z00_1794;
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3359z00_1795;obj_t BgL_arg3360z00_1796;
BgL_arg3359z00_1795 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/env.scm 299 */
obj_t BgL_arg3362z00_1798;
{ /* Jvm/env.scm 299 */
obj_t BgL_auxz00_5227;
BgL_auxz00_5227 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg3362z00_1798 = 
MAKE_PAIR(BgL_auxz00_5227, BNIL); } 
BgL_arg3360z00_1796 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BgL_arg3362z00_1798); } 
BgL_arg3358z00_1794 = 
MAKE_PAIR(BgL_arg3359z00_1795, BgL_arg3360z00_1796); } 
BgL_arg3355z00_1792 = 
MAKE_PAIR(BNIL, BgL_arg3358z00_1794); } 
BgL_arg3353z00_1790 = 
MAKE_PAIR(BgL_arg3354z00_1791, BgL_arg3355z00_1792); } 
BgL_arg3350z00_1787 = 
MAKE_PAIR(BgL_arg3352z00_1789, BgL_arg3353z00_1790); } 
BgL_arg3349z00_1786 = 
MAKE_PAIR(BgL_arg3350z00_1787, BNIL); } 
BgL_arg3346z00_1783 = 
MAKE_PAIR(BgL_arg3348z00_1785, BgL_arg3349z00_1786); } 
{ /* Jvm/env.scm 300 */
obj_t BgL_arg3363z00_1799;obj_t BgL_arg3364z00_1800;
{ /* Jvm/env.scm 300 */
obj_t BgL_arg3365z00_1801;obj_t BgL_arg3366z00_1802;
BgL_arg3365z00_1801 = 
CNST_TABLE_REF(((long)20)); 
{ /* Jvm/env.scm 300 */
obj_t BgL_arg3367z00_1803;
{ /* Jvm/env.scm 300 */
obj_t BgL_arg3369z00_1805;obj_t BgL_arg3370z00_1806;
BgL_arg3369z00_1805 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 300 */
obj_t BgL_arg3372z00_1808;
BgL_arg3372z00_1808 = 
MAKE_PAIR(BGl_string5102z00zzjvm_envz00, BNIL); 
BgL_arg3370z00_1806 = 
MAKE_PAIR(BNIL, BgL_arg3372z00_1808); } 
BgL_arg3367z00_1803 = 
MAKE_PAIR(BgL_arg3369z00_1805, BgL_arg3370z00_1806); } 
BgL_arg3366z00_1802 = 
MAKE_PAIR(BgL_arg3367z00_1803, BNIL); } 
BgL_arg3363z00_1799 = 
MAKE_PAIR(BgL_arg3365z00_1801, BgL_arg3366z00_1802); } 
{ /* Jvm/env.scm 301 */
obj_t BgL_arg3373z00_1809;obj_t BgL_arg3374z00_1810;
{ /* Jvm/env.scm 301 */
obj_t BgL_arg3375z00_1811;obj_t BgL_arg3377z00_1812;
BgL_arg3375z00_1811 = 
CNST_TABLE_REF(((long)21)); 
{ /* Jvm/env.scm 301 */
obj_t BgL_arg3378z00_1813;
{ /* Jvm/env.scm 301 */
obj_t BgL_arg3380z00_1815;obj_t BgL_arg3381z00_1816;
BgL_arg3380z00_1815 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 301 */
obj_t BgL_arg3383z00_1818;
BgL_arg3383z00_1818 = 
MAKE_PAIR(BGl_string5103z00zzjvm_envz00, BNIL); 
BgL_arg3381z00_1816 = 
MAKE_PAIR(BNIL, BgL_arg3383z00_1818); } 
BgL_arg3378z00_1813 = 
MAKE_PAIR(BgL_arg3380z00_1815, BgL_arg3381z00_1816); } 
BgL_arg3377z00_1812 = 
MAKE_PAIR(BgL_arg3378z00_1813, BNIL); } 
BgL_arg3373z00_1809 = 
MAKE_PAIR(BgL_arg3375z00_1811, BgL_arg3377z00_1812); } 
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3384z00_1819;obj_t BgL_arg3385z00_1820;
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3386z00_1821;obj_t BgL_arg3388z00_1822;
BgL_arg3386z00_1821 = 
CNST_TABLE_REF(((long)22)); 
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3389z00_1823;
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3391z00_1825;obj_t BgL_arg3392z00_1826;
BgL_arg3391z00_1825 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3393z00_1827;obj_t BgL_arg3394z00_1828;
BgL_arg3393z00_1827 = 
CNST_TABLE_REF(((long)21)); 
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3396z00_1830;
{ /* Jvm/env.scm 302 */
obj_t BgL_arg3397z00_1831;obj_t BgL_arg3398z00_1832;
BgL_arg3397z00_1831 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3398z00_1832 = 
MAKE_PAIR(BGl_string5099z00zzjvm_envz00, BNIL); 
BgL_arg3396z00_1830 = 
MAKE_PAIR(BgL_arg3397z00_1831, BgL_arg3398z00_1832); } 
BgL_arg3394z00_1828 = 
MAKE_PAIR(BNIL, BgL_arg3396z00_1830); } 
BgL_arg3392z00_1826 = 
MAKE_PAIR(BgL_arg3393z00_1827, BgL_arg3394z00_1828); } 
BgL_arg3389z00_1823 = 
MAKE_PAIR(BgL_arg3391z00_1825, BgL_arg3392z00_1826); } 
BgL_arg3388z00_1822 = 
MAKE_PAIR(BgL_arg3389z00_1823, BNIL); } 
BgL_arg3384z00_1819 = 
MAKE_PAIR(BgL_arg3386z00_1821, BgL_arg3388z00_1822); } 
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3399z00_1833;obj_t BgL_arg3400z00_1834;
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3401z00_1835;obj_t BgL_arg3402z00_1836;
BgL_arg3401z00_1835 = 
CNST_TABLE_REF(((long)24)); 
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3403z00_1837;
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3405z00_1839;obj_t BgL_arg3406z00_1840;
BgL_arg3405z00_1839 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3407z00_1841;obj_t BgL_arg3409z00_1842;
BgL_arg3407z00_1841 = 
CNST_TABLE_REF(((long)21)); 
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3411z00_1844;
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3412z00_1845;obj_t BgL_arg3413z00_1846;
BgL_arg3412z00_1845 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/env.scm 303 */
obj_t BgL_arg3415z00_1848;
{ /* Jvm/env.scm 303 */
obj_t BgL_auxz00_5266;
BgL_auxz00_5266 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3415z00_1848 = 
MAKE_PAIR(BgL_auxz00_5266, BNIL); } 
BgL_arg3413z00_1846 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BgL_arg3415z00_1848); } 
BgL_arg3411z00_1844 = 
MAKE_PAIR(BgL_arg3412z00_1845, BgL_arg3413z00_1846); } 
BgL_arg3409z00_1842 = 
MAKE_PAIR(BNIL, BgL_arg3411z00_1844); } 
BgL_arg3406z00_1840 = 
MAKE_PAIR(BgL_arg3407z00_1841, BgL_arg3409z00_1842); } 
BgL_arg3403z00_1837 = 
MAKE_PAIR(BgL_arg3405z00_1839, BgL_arg3406z00_1840); } 
BgL_arg3402z00_1836 = 
MAKE_PAIR(BgL_arg3403z00_1837, BNIL); } 
BgL_arg3399z00_1833 = 
MAKE_PAIR(BgL_arg3401z00_1835, BgL_arg3402z00_1836); } 
{ /* Jvm/env.scm 304 */
obj_t BgL_arg3416z00_1849;obj_t BgL_arg3417z00_1850;
{ /* Jvm/env.scm 304 */
obj_t BgL_arg3418z00_1851;obj_t BgL_arg3419z00_1852;
BgL_arg3418z00_1851 = 
CNST_TABLE_REF(((long)25)); 
{ /* Jvm/env.scm 304 */
obj_t BgL_arg3420z00_1853;
{ /* Jvm/env.scm 304 */
obj_t BgL_arg3422z00_1855;obj_t BgL_arg3423z00_1856;
BgL_arg3422z00_1855 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 304 */
obj_t BgL_arg3425z00_1858;
BgL_arg3425z00_1858 = 
MAKE_PAIR(BGl_string5104z00zzjvm_envz00, BNIL); 
BgL_arg3423z00_1856 = 
MAKE_PAIR(BNIL, BgL_arg3425z00_1858); } 
BgL_arg3420z00_1853 = 
MAKE_PAIR(BgL_arg3422z00_1855, BgL_arg3423z00_1856); } 
BgL_arg3419z00_1852 = 
MAKE_PAIR(BgL_arg3420z00_1853, BNIL); } 
BgL_arg3416z00_1849 = 
MAKE_PAIR(BgL_arg3418z00_1851, BgL_arg3419z00_1852); } 
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3426z00_1859;obj_t BgL_arg3427z00_1860;
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3429z00_1861;obj_t BgL_arg3430z00_1862;
BgL_arg3429z00_1861 = 
CNST_TABLE_REF(((long)26)); 
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3431z00_1863;
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3433z00_1865;obj_t BgL_arg3434z00_1866;
BgL_arg3433z00_1865 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3435z00_1867;obj_t BgL_arg3436z00_1868;
BgL_arg3435z00_1867 = 
CNST_TABLE_REF(((long)25)); 
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3438z00_1870;
{ /* Jvm/env.scm 305 */
obj_t BgL_arg3439z00_1871;obj_t BgL_arg3440z00_1872;
BgL_arg3439z00_1871 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3440z00_1872 = 
MAKE_PAIR(BGl_string5099z00zzjvm_envz00, BNIL); 
BgL_arg3438z00_1870 = 
MAKE_PAIR(BgL_arg3439z00_1871, BgL_arg3440z00_1872); } 
BgL_arg3436z00_1868 = 
MAKE_PAIR(BNIL, BgL_arg3438z00_1870); } 
BgL_arg3434z00_1866 = 
MAKE_PAIR(BgL_arg3435z00_1867, BgL_arg3436z00_1868); } 
BgL_arg3431z00_1863 = 
MAKE_PAIR(BgL_arg3433z00_1865, BgL_arg3434z00_1866); } 
BgL_arg3430z00_1862 = 
MAKE_PAIR(BgL_arg3431z00_1863, BNIL); } 
BgL_arg3426z00_1859 = 
MAKE_PAIR(BgL_arg3429z00_1861, BgL_arg3430z00_1862); } 
{ /* Jvm/env.scm 306 */
obj_t BgL_arg3441z00_1873;obj_t BgL_arg3442z00_1874;
{ /* Jvm/env.scm 306 */
obj_t BgL_arg3443z00_1875;obj_t BgL_arg3444z00_1876;
BgL_arg3443z00_1875 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/env.scm 306 */
obj_t BgL_arg3445z00_1877;
{ /* Jvm/env.scm 306 */
obj_t BgL_arg3448z00_1879;obj_t BgL_arg3449z00_1880;
BgL_arg3448z00_1879 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 306 */
obj_t BgL_arg3451z00_1882;
BgL_arg3451z00_1882 = 
MAKE_PAIR(BGl_string5105z00zzjvm_envz00, BNIL); 
BgL_arg3449z00_1880 = 
MAKE_PAIR(BNIL, BgL_arg3451z00_1882); } 
BgL_arg3445z00_1877 = 
MAKE_PAIR(BgL_arg3448z00_1879, BgL_arg3449z00_1880); } 
BgL_arg3444z00_1876 = 
MAKE_PAIR(BgL_arg3445z00_1877, BNIL); } 
BgL_arg3441z00_1873 = 
MAKE_PAIR(BgL_arg3443z00_1875, BgL_arg3444z00_1876); } 
{ /* Jvm/env.scm 307 */
obj_t BgL_arg3452z00_1883;obj_t BgL_arg3453z00_1884;
{ /* Jvm/env.scm 307 */
obj_t BgL_arg3454z00_1885;obj_t BgL_arg3455z00_1886;
BgL_arg3454z00_1885 = 
CNST_TABLE_REF(((long)29)); 
{ /* Jvm/env.scm 307 */
obj_t BgL_arg3456z00_1887;
{ /* Jvm/env.scm 307 */
obj_t BgL_arg3458z00_1889;obj_t BgL_arg3459z00_1890;
BgL_arg3458z00_1889 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 307 */
obj_t BgL_arg3461z00_1892;
BgL_arg3461z00_1892 = 
MAKE_PAIR(BGl_string5106z00zzjvm_envz00, BNIL); 
BgL_arg3459z00_1890 = 
MAKE_PAIR(BNIL, BgL_arg3461z00_1892); } 
BgL_arg3456z00_1887 = 
MAKE_PAIR(BgL_arg3458z00_1889, BgL_arg3459z00_1890); } 
BgL_arg3455z00_1886 = 
MAKE_PAIR(BgL_arg3456z00_1887, BNIL); } 
BgL_arg3452z00_1883 = 
MAKE_PAIR(BgL_arg3454z00_1885, BgL_arg3455z00_1886); } 
{ /* Jvm/env.scm 308 */
obj_t BgL_arg3462z00_1893;obj_t BgL_arg3463z00_1894;
{ /* Jvm/env.scm 308 */
obj_t BgL_arg3464z00_1895;obj_t BgL_arg3465z00_1896;
BgL_arg3464z00_1895 = 
CNST_TABLE_REF(((long)30)); 
{ /* Jvm/env.scm 308 */
obj_t BgL_arg3466z00_1897;
{ /* Jvm/env.scm 308 */
obj_t BgL_arg3468z00_1899;obj_t BgL_arg3469z00_1900;
BgL_arg3468z00_1899 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 308 */
obj_t BgL_arg3471z00_1902;
BgL_arg3471z00_1902 = 
MAKE_PAIR(BGl_string5107z00zzjvm_envz00, BNIL); 
BgL_arg3469z00_1900 = 
MAKE_PAIR(BNIL, BgL_arg3471z00_1902); } 
BgL_arg3466z00_1897 = 
MAKE_PAIR(BgL_arg3468z00_1899, BgL_arg3469z00_1900); } 
BgL_arg3465z00_1896 = 
MAKE_PAIR(BgL_arg3466z00_1897, BNIL); } 
BgL_arg3462z00_1893 = 
MAKE_PAIR(BgL_arg3464z00_1895, BgL_arg3465z00_1896); } 
{ /* Jvm/env.scm 309 */
obj_t BgL_arg3472z00_1903;obj_t BgL_arg3473z00_1904;
{ /* Jvm/env.scm 309 */
obj_t BgL_arg3474z00_1905;obj_t BgL_arg3475z00_1906;
BgL_arg3474z00_1905 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/env.scm 309 */
obj_t BgL_arg3476z00_1907;
{ /* Jvm/env.scm 309 */
obj_t BgL_arg3478z00_1909;obj_t BgL_arg3479z00_1910;
BgL_arg3478z00_1909 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 309 */
obj_t BgL_arg3481z00_1912;
BgL_arg3481z00_1912 = 
MAKE_PAIR(BGl_string5108z00zzjvm_envz00, BNIL); 
BgL_arg3479z00_1910 = 
MAKE_PAIR(BNIL, BgL_arg3481z00_1912); } 
BgL_arg3476z00_1907 = 
MAKE_PAIR(BgL_arg3478z00_1909, BgL_arg3479z00_1910); } 
BgL_arg3475z00_1906 = 
MAKE_PAIR(BgL_arg3476z00_1907, BNIL); } 
BgL_arg3472z00_1903 = 
MAKE_PAIR(BgL_arg3474z00_1905, BgL_arg3475z00_1906); } 
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3482z00_1913;obj_t BgL_arg3483z00_1914;
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3484z00_1915;obj_t BgL_arg3485z00_1916;
BgL_arg3484z00_1915 = 
CNST_TABLE_REF(((long)32)); 
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3486z00_1917;
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3488z00_1919;obj_t BgL_arg3489z00_1920;
BgL_arg3488z00_1919 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3490z00_1921;obj_t BgL_arg3491z00_1922;
BgL_arg3490z00_1921 = 
CNST_TABLE_REF(((long)33)); 
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3493z00_1924;
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3494z00_1925;obj_t BgL_arg3495z00_1926;
{ /* Jvm/env.scm 310 */
obj_t BgL_arg3496z00_1927;obj_t BgL_arg3497z00_1928;
BgL_arg3496z00_1927 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 310 */
obj_t BgL_auxz00_5326;
BgL_auxz00_5326 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3497z00_1928 = 
MAKE_PAIR(BgL_auxz00_5326, BNIL); } 
BgL_arg3494z00_1925 = 
MAKE_PAIR(BgL_arg3496z00_1927, BgL_arg3497z00_1928); } 
BgL_arg3495z00_1926 = 
MAKE_PAIR(BGl_string5109z00zzjvm_envz00, BNIL); 
BgL_arg3493z00_1924 = 
MAKE_PAIR(BgL_arg3494z00_1925, BgL_arg3495z00_1926); } 
BgL_arg3491z00_1922 = 
MAKE_PAIR(BNIL, BgL_arg3493z00_1924); } 
BgL_arg3489z00_1920 = 
MAKE_PAIR(BgL_arg3490z00_1921, BgL_arg3491z00_1922); } 
BgL_arg3486z00_1917 = 
MAKE_PAIR(BgL_arg3488z00_1919, BgL_arg3489z00_1920); } 
BgL_arg3485z00_1916 = 
MAKE_PAIR(BgL_arg3486z00_1917, BNIL); } 
BgL_arg3482z00_1913 = 
MAKE_PAIR(BgL_arg3484z00_1915, BgL_arg3485z00_1916); } 
{ /* Jvm/env.scm 311 */
obj_t BgL_arg3498z00_1929;obj_t BgL_arg3499z00_1930;
{ /* Jvm/env.scm 311 */
obj_t BgL_arg3500z00_1931;obj_t BgL_arg3501z00_1932;
BgL_arg3500z00_1931 = 
CNST_TABLE_REF(((long)35)); 
{ /* Jvm/env.scm 311 */
obj_t BgL_arg3503z00_1933;
{ /* Jvm/env.scm 311 */
obj_t BgL_arg3505z00_1935;obj_t BgL_arg3506z00_1936;
BgL_arg3505z00_1935 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 311 */
obj_t BgL_arg3508z00_1938;
BgL_arg3508z00_1938 = 
MAKE_PAIR(BGl_string5110z00zzjvm_envz00, BNIL); 
BgL_arg3506z00_1936 = 
MAKE_PAIR(BNIL, BgL_arg3508z00_1938); } 
BgL_arg3503z00_1933 = 
MAKE_PAIR(BgL_arg3505z00_1935, BgL_arg3506z00_1936); } 
BgL_arg3501z00_1932 = 
MAKE_PAIR(BgL_arg3503z00_1933, BNIL); } 
BgL_arg3498z00_1929 = 
MAKE_PAIR(BgL_arg3500z00_1931, BgL_arg3501z00_1932); } 
{ /* Jvm/env.scm 312 */
obj_t BgL_arg3509z00_1939;obj_t BgL_arg3510z00_1940;
{ /* Jvm/env.scm 312 */
obj_t BgL_arg3511z00_1941;obj_t BgL_arg3512z00_1942;
BgL_arg3511z00_1941 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 312 */
obj_t BgL_arg3513z00_1943;
{ /* Jvm/env.scm 312 */
obj_t BgL_arg3516z00_1945;obj_t BgL_arg3517z00_1946;
BgL_arg3516z00_1945 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 312 */
obj_t BgL_arg3519z00_1948;
BgL_arg3519z00_1948 = 
MAKE_PAIR(BGl_string5111z00zzjvm_envz00, BNIL); 
BgL_arg3517z00_1946 = 
MAKE_PAIR(BNIL, BgL_arg3519z00_1948); } 
BgL_arg3513z00_1943 = 
MAKE_PAIR(BgL_arg3516z00_1945, BgL_arg3517z00_1946); } 
BgL_arg3512z00_1942 = 
MAKE_PAIR(BgL_arg3513z00_1943, BNIL); } 
BgL_arg3509z00_1939 = 
MAKE_PAIR(BgL_arg3511z00_1941, BgL_arg3512z00_1942); } 
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3520z00_1949;obj_t BgL_arg3521z00_1950;
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3522z00_1951;obj_t BgL_arg3523z00_1952;
BgL_arg3522z00_1951 = 
CNST_TABLE_REF(((long)37)); 
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3524z00_1953;
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3526z00_1955;obj_t BgL_arg3527z00_1956;
BgL_arg3526z00_1955 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3528z00_1957;obj_t BgL_arg3529z00_1958;
BgL_arg3528z00_1957 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3531z00_1960;
{ /* Jvm/env.scm 313 */
obj_t BgL_arg3532z00_1961;obj_t BgL_arg3533z00_1962;
BgL_arg3532z00_1961 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3533z00_1962 = 
MAKE_PAIR(BGl_string5112z00zzjvm_envz00, BNIL); 
BgL_arg3531z00_1960 = 
MAKE_PAIR(BgL_arg3532z00_1961, BgL_arg3533z00_1962); } 
BgL_arg3529z00_1958 = 
MAKE_PAIR(BNIL, BgL_arg3531z00_1960); } 
BgL_arg3527z00_1956 = 
MAKE_PAIR(BgL_arg3528z00_1957, BgL_arg3529z00_1958); } 
BgL_arg3524z00_1953 = 
MAKE_PAIR(BgL_arg3526z00_1955, BgL_arg3527z00_1956); } 
BgL_arg3523z00_1952 = 
MAKE_PAIR(BgL_arg3524z00_1953, BNIL); } 
BgL_arg3520z00_1949 = 
MAKE_PAIR(BgL_arg3522z00_1951, BgL_arg3523z00_1952); } 
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3534z00_1963;obj_t BgL_arg3535z00_1964;
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3536z00_1965;obj_t BgL_arg3537z00_1966;
BgL_arg3536z00_1965 = 
CNST_TABLE_REF(((long)38)); 
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3538z00_1967;
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3540z00_1969;obj_t BgL_arg3541z00_1970;
BgL_arg3540z00_1969 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3542z00_1971;obj_t BgL_arg3543z00_1972;
BgL_arg3542z00_1971 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3545z00_1974;
{ /* Jvm/env.scm 314 */
obj_t BgL_arg3546z00_1975;obj_t BgL_arg3547z00_1976;
BgL_arg3546z00_1975 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3547z00_1976 = 
MAKE_PAIR(BGl_string5113z00zzjvm_envz00, BNIL); 
BgL_arg3545z00_1974 = 
MAKE_PAIR(BgL_arg3546z00_1975, BgL_arg3547z00_1976); } 
BgL_arg3543z00_1972 = 
MAKE_PAIR(BNIL, BgL_arg3545z00_1974); } 
BgL_arg3541z00_1970 = 
MAKE_PAIR(BgL_arg3542z00_1971, BgL_arg3543z00_1972); } 
BgL_arg3538z00_1967 = 
MAKE_PAIR(BgL_arg3540z00_1969, BgL_arg3541z00_1970); } 
BgL_arg3537z00_1966 = 
MAKE_PAIR(BgL_arg3538z00_1967, BNIL); } 
BgL_arg3534z00_1963 = 
MAKE_PAIR(BgL_arg3536z00_1965, BgL_arg3537z00_1966); } 
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3548z00_1977;obj_t BgL_arg3549z00_1978;
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3550z00_1979;obj_t BgL_arg3551z00_1980;
BgL_arg3550z00_1979 = 
CNST_TABLE_REF(((long)39)); 
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3552z00_1981;
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3554z00_1983;obj_t BgL_arg3556z00_1984;
BgL_arg3554z00_1983 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3557z00_1985;obj_t BgL_arg3558z00_1986;
BgL_arg3557z00_1985 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3560z00_1988;
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3561z00_1989;obj_t BgL_arg3563z00_1990;
{ /* Jvm/env.scm 315 */
obj_t BgL_arg3564z00_1991;obj_t BgL_arg3565z00_1992;
BgL_arg3564z00_1991 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 315 */
obj_t BgL_auxz00_5377;
BgL_auxz00_5377 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3565z00_1992 = 
MAKE_PAIR(BgL_auxz00_5377, BNIL); } 
BgL_arg3561z00_1989 = 
MAKE_PAIR(BgL_arg3564z00_1991, BgL_arg3565z00_1992); } 
BgL_arg3563z00_1990 = 
MAKE_PAIR(BGl_string5114z00zzjvm_envz00, BNIL); 
BgL_arg3560z00_1988 = 
MAKE_PAIR(BgL_arg3561z00_1989, BgL_arg3563z00_1990); } 
BgL_arg3558z00_1986 = 
MAKE_PAIR(BNIL, BgL_arg3560z00_1988); } 
BgL_arg3556z00_1984 = 
MAKE_PAIR(BgL_arg3557z00_1985, BgL_arg3558z00_1986); } 
BgL_arg3552z00_1981 = 
MAKE_PAIR(BgL_arg3554z00_1983, BgL_arg3556z00_1984); } 
BgL_arg3551z00_1980 = 
MAKE_PAIR(BgL_arg3552z00_1981, BNIL); } 
BgL_arg3548z00_1977 = 
MAKE_PAIR(BgL_arg3550z00_1979, BgL_arg3551z00_1980); } 
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3566z00_1993;obj_t BgL_arg3567z00_1994;
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3568z00_1995;obj_t BgL_arg3569z00_1996;
BgL_arg3568z00_1995 = 
CNST_TABLE_REF(((long)40)); 
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3570z00_1997;
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3572z00_1999;obj_t BgL_arg3573z00_2000;
BgL_arg3572z00_1999 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3574z00_2001;obj_t BgL_arg3575z00_2002;
BgL_arg3574z00_2001 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3577z00_2004;
{ /* Jvm/env.scm 316 */
obj_t BgL_arg3578z00_2005;obj_t BgL_arg3579z00_2006;
BgL_arg3578z00_2005 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3579z00_2006 = 
MAKE_PAIR(BGl_string5115z00zzjvm_envz00, BNIL); 
BgL_arg3577z00_2004 = 
MAKE_PAIR(BgL_arg3578z00_2005, BgL_arg3579z00_2006); } 
BgL_arg3575z00_2002 = 
MAKE_PAIR(BNIL, BgL_arg3577z00_2004); } 
BgL_arg3573z00_2000 = 
MAKE_PAIR(BgL_arg3574z00_2001, BgL_arg3575z00_2002); } 
BgL_arg3570z00_1997 = 
MAKE_PAIR(BgL_arg3572z00_1999, BgL_arg3573z00_2000); } 
BgL_arg3569z00_1996 = 
MAKE_PAIR(BgL_arg3570z00_1997, BNIL); } 
BgL_arg3566z00_1993 = 
MAKE_PAIR(BgL_arg3568z00_1995, BgL_arg3569z00_1996); } 
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3580z00_2007;obj_t BgL_arg3581z00_2008;
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3582z00_2009;obj_t BgL_arg3583z00_2010;
BgL_arg3582z00_2009 = 
CNST_TABLE_REF(((long)41)); 
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3585z00_2011;
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3587z00_2013;obj_t BgL_arg3588z00_2014;
BgL_arg3587z00_2013 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3589z00_2015;obj_t BgL_arg3590z00_2016;
BgL_arg3589z00_2015 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3592z00_2018;
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3593z00_2019;obj_t BgL_arg3594z00_2020;
BgL_arg3593z00_2019 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 317 */
obj_t BgL_arg3596z00_2022;
{ /* Jvm/env.scm 317 */
obj_t BgL_auxz00_5403;
BgL_auxz00_5403 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3596z00_2022 = 
MAKE_PAIR(BgL_auxz00_5403, BNIL); } 
BgL_arg3594z00_2020 = 
MAKE_PAIR(BGl_string5116z00zzjvm_envz00, BgL_arg3596z00_2022); } 
BgL_arg3592z00_2018 = 
MAKE_PAIR(BgL_arg3593z00_2019, BgL_arg3594z00_2020); } 
BgL_arg3590z00_2016 = 
MAKE_PAIR(BNIL, BgL_arg3592z00_2018); } 
BgL_arg3588z00_2014 = 
MAKE_PAIR(BgL_arg3589z00_2015, BgL_arg3590z00_2016); } 
BgL_arg3585z00_2011 = 
MAKE_PAIR(BgL_arg3587z00_2013, BgL_arg3588z00_2014); } 
BgL_arg3583z00_2010 = 
MAKE_PAIR(BgL_arg3585z00_2011, BNIL); } 
BgL_arg3580z00_2007 = 
MAKE_PAIR(BgL_arg3582z00_2009, BgL_arg3583z00_2010); } 
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3597z00_2023;obj_t BgL_arg3598z00_2024;
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3599z00_2025;obj_t BgL_arg3600z00_2026;
BgL_arg3599z00_2025 = 
CNST_TABLE_REF(((long)42)); 
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3601z00_2027;
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3603z00_2029;obj_t BgL_arg3604z00_2030;
BgL_arg3603z00_2029 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3605z00_2031;obj_t BgL_arg3606z00_2032;
BgL_arg3605z00_2031 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3608z00_2034;
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3609z00_2035;obj_t BgL_arg3610z00_2036;
BgL_arg3609z00_2035 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3612z00_2038;
{ /* Jvm/env.scm 318 */
obj_t BgL_arg3613z00_2039;obj_t BgL_arg3614z00_2040;
BgL_arg3613z00_2039 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 318 */
obj_t BgL_auxz00_5418;
BgL_auxz00_5418 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3614z00_2040 = 
MAKE_PAIR(BgL_auxz00_5418, BNIL); } 
BgL_arg3612z00_2038 = 
MAKE_PAIR(BgL_arg3613z00_2039, BgL_arg3614z00_2040); } 
BgL_arg3610z00_2036 = 
MAKE_PAIR(BGl_string5117z00zzjvm_envz00, BgL_arg3612z00_2038); } 
BgL_arg3608z00_2034 = 
MAKE_PAIR(BgL_arg3609z00_2035, BgL_arg3610z00_2036); } 
BgL_arg3606z00_2032 = 
MAKE_PAIR(BNIL, BgL_arg3608z00_2034); } 
BgL_arg3604z00_2030 = 
MAKE_PAIR(BgL_arg3605z00_2031, BgL_arg3606z00_2032); } 
BgL_arg3601z00_2027 = 
MAKE_PAIR(BgL_arg3603z00_2029, BgL_arg3604z00_2030); } 
BgL_arg3600z00_2026 = 
MAKE_PAIR(BgL_arg3601z00_2027, BNIL); } 
BgL_arg3597z00_2023 = 
MAKE_PAIR(BgL_arg3599z00_2025, BgL_arg3600z00_2026); } 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3615z00_2041;obj_t BgL_arg3616z00_2042;
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3617z00_2043;obj_t BgL_arg3618z00_2044;
BgL_arg3617z00_2043 = 
CNST_TABLE_REF(((long)43)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3619z00_2045;
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3623z00_2047;obj_t BgL_arg3624z00_2048;
BgL_arg3623z00_2047 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3625z00_2049;obj_t BgL_arg3626z00_2050;
BgL_arg3625z00_2049 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3628z00_2052;
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3629z00_2053;obj_t BgL_arg3630z00_2054;
BgL_arg3629z00_2053 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3632z00_2056;
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3633z00_2057;obj_t BgL_arg3634z00_2058;
BgL_arg3633z00_2057 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_arg3635z00_2059;obj_t BgL_arg3636z00_2060;
BgL_arg3635z00_2059 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 319 */
obj_t BgL_auxz00_5435;
BgL_auxz00_5435 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3636z00_2060 = 
MAKE_PAIR(BgL_auxz00_5435, BNIL); } 
BgL_arg3634z00_2058 = 
MAKE_PAIR(BgL_arg3635z00_2059, BgL_arg3636z00_2060); } 
BgL_arg3632z00_2056 = 
MAKE_PAIR(BgL_arg3633z00_2057, BgL_arg3634z00_2058); } 
BgL_arg3630z00_2054 = 
MAKE_PAIR(BGl_string5118z00zzjvm_envz00, BgL_arg3632z00_2056); } 
BgL_arg3628z00_2052 = 
MAKE_PAIR(BgL_arg3629z00_2053, BgL_arg3630z00_2054); } 
BgL_arg3626z00_2050 = 
MAKE_PAIR(BNIL, BgL_arg3628z00_2052); } 
BgL_arg3624z00_2048 = 
MAKE_PAIR(BgL_arg3625z00_2049, BgL_arg3626z00_2050); } 
BgL_arg3619z00_2045 = 
MAKE_PAIR(BgL_arg3623z00_2047, BgL_arg3624z00_2048); } 
BgL_arg3618z00_2044 = 
MAKE_PAIR(BgL_arg3619z00_2045, BNIL); } 
BgL_arg3615z00_2041 = 
MAKE_PAIR(BgL_arg3617z00_2043, BgL_arg3618z00_2044); } 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3637z00_2061;obj_t BgL_arg3638z00_2062;
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3639z00_2063;obj_t BgL_arg3640z00_2064;
BgL_arg3639z00_2063 = 
CNST_TABLE_REF(((long)44)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3641z00_2065;
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3643z00_2067;obj_t BgL_arg3645z00_2068;
BgL_arg3643z00_2067 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3646z00_2069;obj_t BgL_arg3647z00_2070;
BgL_arg3646z00_2069 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3649z00_2072;
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3650z00_2073;obj_t BgL_arg3651z00_2074;
BgL_arg3650z00_2073 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3653z00_2076;
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3654z00_2077;obj_t BgL_arg3655z00_2078;
BgL_arg3654z00_2077 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3656z00_2079;obj_t BgL_arg3657z00_2080;
BgL_arg3656z00_2079 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_arg3659z00_2081;obj_t BgL_arg3660z00_2082;
BgL_arg3659z00_2081 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 321 */
obj_t BgL_auxz00_5454;
BgL_auxz00_5454 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3660z00_2082 = 
MAKE_PAIR(BgL_auxz00_5454, BNIL); } 
BgL_arg3657z00_2080 = 
MAKE_PAIR(BgL_arg3659z00_2081, BgL_arg3660z00_2082); } 
BgL_arg3655z00_2078 = 
MAKE_PAIR(BgL_arg3656z00_2079, BgL_arg3657z00_2080); } 
BgL_arg3653z00_2076 = 
MAKE_PAIR(BgL_arg3654z00_2077, BgL_arg3655z00_2078); } 
BgL_arg3651z00_2074 = 
MAKE_PAIR(BGl_string5119z00zzjvm_envz00, BgL_arg3653z00_2076); } 
BgL_arg3649z00_2072 = 
MAKE_PAIR(BgL_arg3650z00_2073, BgL_arg3651z00_2074); } 
BgL_arg3647z00_2070 = 
MAKE_PAIR(BNIL, BgL_arg3649z00_2072); } 
BgL_arg3645z00_2068 = 
MAKE_PAIR(BgL_arg3646z00_2069, BgL_arg3647z00_2070); } 
BgL_arg3641z00_2065 = 
MAKE_PAIR(BgL_arg3643z00_2067, BgL_arg3645z00_2068); } 
BgL_arg3640z00_2064 = 
MAKE_PAIR(BgL_arg3641z00_2065, BNIL); } 
BgL_arg3637z00_2061 = 
MAKE_PAIR(BgL_arg3639z00_2063, BgL_arg3640z00_2064); } 
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3661z00_2083;obj_t BgL_arg3662z00_2084;
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3663z00_2085;obj_t BgL_arg3664z00_2086;
BgL_arg3663z00_2085 = 
CNST_TABLE_REF(((long)45)); 
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3666z00_2087;
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3668z00_2089;obj_t BgL_arg3669z00_2090;
BgL_arg3668z00_2089 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3671z00_2091;obj_t BgL_arg3672z00_2092;
BgL_arg3671z00_2091 = 
CNST_TABLE_REF(((long)36)); 
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3674z00_2094;
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3675z00_2095;obj_t BgL_arg3676z00_2096;
BgL_arg3675z00_2095 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 323 */
obj_t BgL_arg3678z00_2098;
{ /* Jvm/env.scm 323 */
obj_t BgL_auxz00_5471;
BgL_auxz00_5471 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3678z00_2098 = 
MAKE_PAIR(BgL_auxz00_5471, BNIL); } 
BgL_arg3676z00_2096 = 
MAKE_PAIR(BGl_string5120z00zzjvm_envz00, BgL_arg3678z00_2098); } 
BgL_arg3674z00_2094 = 
MAKE_PAIR(BgL_arg3675z00_2095, BgL_arg3676z00_2096); } 
BgL_arg3672z00_2092 = 
MAKE_PAIR(BNIL, BgL_arg3674z00_2094); } 
BgL_arg3669z00_2090 = 
MAKE_PAIR(BgL_arg3671z00_2091, BgL_arg3672z00_2092); } 
BgL_arg3666z00_2087 = 
MAKE_PAIR(BgL_arg3668z00_2089, BgL_arg3669z00_2090); } 
BgL_arg3664z00_2086 = 
MAKE_PAIR(BgL_arg3666z00_2087, BNIL); } 
BgL_arg3661z00_2083 = 
MAKE_PAIR(BgL_arg3663z00_2085, BgL_arg3664z00_2086); } 
{ /* Jvm/env.scm 324 */
obj_t BgL_arg3679z00_2099;obj_t BgL_arg3680z00_2100;
{ /* Jvm/env.scm 324 */
obj_t BgL_arg3681z00_2101;obj_t BgL_arg3682z00_2102;
BgL_arg3681z00_2101 = 
CNST_TABLE_REF(((long)33)); 
{ /* Jvm/env.scm 324 */
obj_t BgL_arg3683z00_2103;
{ /* Jvm/env.scm 324 */
obj_t BgL_arg3685z00_2105;obj_t BgL_arg3686z00_2106;
BgL_arg3685z00_2105 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 324 */
obj_t BgL_arg3688z00_2108;
BgL_arg3688z00_2108 = 
MAKE_PAIR(BGl_string5121z00zzjvm_envz00, BNIL); 
BgL_arg3686z00_2106 = 
MAKE_PAIR(BNIL, BgL_arg3688z00_2108); } 
BgL_arg3683z00_2103 = 
MAKE_PAIR(BgL_arg3685z00_2105, BgL_arg3686z00_2106); } 
BgL_arg3682z00_2102 = 
MAKE_PAIR(BgL_arg3683z00_2103, BNIL); } 
BgL_arg3679z00_2099 = 
MAKE_PAIR(BgL_arg3681z00_2101, BgL_arg3682z00_2102); } 
{ /* Jvm/env.scm 325 */
obj_t BgL_arg3689z00_2109;obj_t BgL_arg3690z00_2110;
{ /* Jvm/env.scm 325 */
obj_t BgL_arg3691z00_2111;obj_t BgL_arg3692z00_2112;
BgL_arg3691z00_2111 = 
CNST_TABLE_REF(((long)46)); 
{ /* Jvm/env.scm 325 */
obj_t BgL_arg3693z00_2113;
{ /* Jvm/env.scm 325 */
obj_t BgL_arg3696z00_2115;obj_t BgL_arg3697z00_2116;
BgL_arg3696z00_2115 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 325 */
obj_t BgL_arg3699z00_2118;
BgL_arg3699z00_2118 = 
MAKE_PAIR(BGl_string5122z00zzjvm_envz00, BNIL); 
BgL_arg3697z00_2116 = 
MAKE_PAIR(BNIL, BgL_arg3699z00_2118); } 
BgL_arg3693z00_2113 = 
MAKE_PAIR(BgL_arg3696z00_2115, BgL_arg3697z00_2116); } 
BgL_arg3692z00_2112 = 
MAKE_PAIR(BgL_arg3693z00_2113, BNIL); } 
BgL_arg3689z00_2109 = 
MAKE_PAIR(BgL_arg3691z00_2111, BgL_arg3692z00_2112); } 
{ /* Jvm/env.scm 326 */
obj_t BgL_arg3700z00_2119;obj_t BgL_arg3701z00_2120;
{ /* Jvm/env.scm 326 */
obj_t BgL_arg3702z00_2121;obj_t BgL_arg3703z00_2122;
BgL_arg3702z00_2121 = 
CNST_TABLE_REF(((long)47)); 
{ /* Jvm/env.scm 326 */
obj_t BgL_arg3704z00_2123;
{ /* Jvm/env.scm 326 */
obj_t BgL_arg3706z00_2125;obj_t BgL_arg3707z00_2126;
BgL_arg3706z00_2125 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 326 */
obj_t BgL_arg3709z00_2128;
BgL_arg3709z00_2128 = 
MAKE_PAIR(BGl_string5123z00zzjvm_envz00, BNIL); 
BgL_arg3707z00_2126 = 
MAKE_PAIR(BNIL, BgL_arg3709z00_2128); } 
BgL_arg3704z00_2123 = 
MAKE_PAIR(BgL_arg3706z00_2125, BgL_arg3707z00_2126); } 
BgL_arg3703z00_2122 = 
MAKE_PAIR(BgL_arg3704z00_2123, BNIL); } 
BgL_arg3700z00_2119 = 
MAKE_PAIR(BgL_arg3702z00_2121, BgL_arg3703z00_2122); } 
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3710z00_2129;obj_t BgL_arg3711z00_2130;
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3712z00_2131;obj_t BgL_arg3713z00_2132;
BgL_arg3712z00_2131 = 
CNST_TABLE_REF(((long)48)); 
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3714z00_2133;
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3716z00_2135;obj_t BgL_arg3717z00_2136;
BgL_arg3716z00_2135 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3718z00_2137;obj_t BgL_arg3719z00_2138;
BgL_arg3718z00_2137 = 
CNST_TABLE_REF(((long)47)); 
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3721z00_2140;
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3722z00_2141;obj_t BgL_arg3723z00_2142;
{ /* Jvm/env.scm 327 */
obj_t BgL_arg3724z00_2143;obj_t BgL_arg3725z00_2144;
BgL_arg3724z00_2143 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 327 */
obj_t BgL_auxz00_5506;
BgL_auxz00_5506 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3725z00_2144 = 
MAKE_PAIR(BgL_auxz00_5506, BNIL); } 
BgL_arg3722z00_2141 = 
MAKE_PAIR(BgL_arg3724z00_2143, BgL_arg3725z00_2144); } 
BgL_arg3723z00_2142 = 
MAKE_PAIR(BGl_string5109z00zzjvm_envz00, BNIL); 
BgL_arg3721z00_2140 = 
MAKE_PAIR(BgL_arg3722z00_2141, BgL_arg3723z00_2142); } 
BgL_arg3719z00_2138 = 
MAKE_PAIR(BNIL, BgL_arg3721z00_2140); } 
BgL_arg3717z00_2136 = 
MAKE_PAIR(BgL_arg3718z00_2137, BgL_arg3719z00_2138); } 
BgL_arg3714z00_2133 = 
MAKE_PAIR(BgL_arg3716z00_2135, BgL_arg3717z00_2136); } 
BgL_arg3713z00_2132 = 
MAKE_PAIR(BgL_arg3714z00_2133, BNIL); } 
BgL_arg3710z00_2129 = 
MAKE_PAIR(BgL_arg3712z00_2131, BgL_arg3713z00_2132); } 
{ /* Jvm/env.scm 328 */
obj_t BgL_arg3726z00_2145;obj_t BgL_arg3727z00_2146;
{ /* Jvm/env.scm 328 */
obj_t BgL_arg3728z00_2147;obj_t BgL_arg3729z00_2148;
BgL_arg3728z00_2147 = 
CNST_TABLE_REF(((long)49)); 
{ /* Jvm/env.scm 328 */
obj_t BgL_arg3730z00_2149;
{ /* Jvm/env.scm 328 */
obj_t BgL_arg3732z00_2151;obj_t BgL_arg3733z00_2152;
BgL_arg3732z00_2151 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 328 */
obj_t BgL_arg3735z00_2154;
BgL_arg3735z00_2154 = 
MAKE_PAIR(BGl_string5124z00zzjvm_envz00, BNIL); 
BgL_arg3733z00_2152 = 
MAKE_PAIR(BNIL, BgL_arg3735z00_2154); } 
BgL_arg3730z00_2149 = 
MAKE_PAIR(BgL_arg3732z00_2151, BgL_arg3733z00_2152); } 
BgL_arg3729z00_2148 = 
MAKE_PAIR(BgL_arg3730z00_2149, BNIL); } 
BgL_arg3726z00_2145 = 
MAKE_PAIR(BgL_arg3728z00_2147, BgL_arg3729z00_2148); } 
{ /* Jvm/env.scm 329 */
obj_t BgL_arg3736z00_2155;obj_t BgL_arg3739z00_2156;
{ /* Jvm/env.scm 329 */
obj_t BgL_arg3740z00_2157;obj_t BgL_arg3741z00_2158;
BgL_arg3740z00_2157 = 
CNST_TABLE_REF(((long)50)); 
{ /* Jvm/env.scm 329 */
obj_t BgL_arg3742z00_2159;
{ /* Jvm/env.scm 329 */
obj_t BgL_arg3744z00_2161;obj_t BgL_arg3745z00_2162;
BgL_arg3744z00_2161 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 329 */
obj_t BgL_arg3747z00_2164;
BgL_arg3747z00_2164 = 
MAKE_PAIR(BGl_string5125z00zzjvm_envz00, BNIL); 
BgL_arg3745z00_2162 = 
MAKE_PAIR(BNIL, BgL_arg3747z00_2164); } 
BgL_arg3742z00_2159 = 
MAKE_PAIR(BgL_arg3744z00_2161, BgL_arg3745z00_2162); } 
BgL_arg3741z00_2158 = 
MAKE_PAIR(BgL_arg3742z00_2159, BNIL); } 
BgL_arg3736z00_2155 = 
MAKE_PAIR(BgL_arg3740z00_2157, BgL_arg3741z00_2158); } 
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3748z00_2165;obj_t BgL_arg3749z00_2166;
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3750z00_2167;obj_t BgL_arg3751z00_2168;
BgL_arg3750z00_2167 = 
CNST_TABLE_REF(((long)51)); 
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3752z00_2169;
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3754z00_2171;obj_t BgL_arg3755z00_2172;
BgL_arg3754z00_2171 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3756z00_2173;obj_t BgL_arg3757z00_2174;
BgL_arg3756z00_2173 = 
CNST_TABLE_REF(((long)50)); 
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3760z00_2176;
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3761z00_2177;obj_t BgL_arg3762z00_2178;
BgL_arg3761z00_2177 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/env.scm 330 */
obj_t BgL_arg3764z00_2180;
{ /* Jvm/env.scm 330 */
obj_t BgL_auxz00_5535;
BgL_auxz00_5535 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3764z00_2180 = 
MAKE_PAIR(BgL_auxz00_5535, BNIL); } 
BgL_arg3762z00_2178 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BgL_arg3764z00_2180); } 
BgL_arg3760z00_2176 = 
MAKE_PAIR(BgL_arg3761z00_2177, BgL_arg3762z00_2178); } 
BgL_arg3757z00_2174 = 
MAKE_PAIR(BNIL, BgL_arg3760z00_2176); } 
BgL_arg3755z00_2172 = 
MAKE_PAIR(BgL_arg3756z00_2173, BgL_arg3757z00_2174); } 
BgL_arg3752z00_2169 = 
MAKE_PAIR(BgL_arg3754z00_2171, BgL_arg3755z00_2172); } 
BgL_arg3751z00_2168 = 
MAKE_PAIR(BgL_arg3752z00_2169, BNIL); } 
BgL_arg3748z00_2165 = 
MAKE_PAIR(BgL_arg3750z00_2167, BgL_arg3751z00_2168); } 
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3765z00_2181;obj_t BgL_arg3766z00_2182;
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3767z00_2183;obj_t BgL_arg3768z00_2184;
BgL_arg3767z00_2183 = 
CNST_TABLE_REF(((long)52)); 
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3769z00_2185;
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3771z00_2187;obj_t BgL_arg3772z00_2188;
BgL_arg3771z00_2187 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3773z00_2189;obj_t BgL_arg3774z00_2190;
BgL_arg3773z00_2189 = 
CNST_TABLE_REF(((long)50)); 
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3776z00_2192;
{ /* Jvm/env.scm 331 */
obj_t BgL_arg3777z00_2193;obj_t BgL_arg3778z00_2194;
BgL_arg3777z00_2193 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3778z00_2194 = 
MAKE_PAIR(BGl_string5126z00zzjvm_envz00, BNIL); 
BgL_arg3776z00_2192 = 
MAKE_PAIR(BgL_arg3777z00_2193, BgL_arg3778z00_2194); } 
BgL_arg3774z00_2190 = 
MAKE_PAIR(BNIL, BgL_arg3776z00_2192); } 
BgL_arg3772z00_2188 = 
MAKE_PAIR(BgL_arg3773z00_2189, BgL_arg3774z00_2190); } 
BgL_arg3769z00_2185 = 
MAKE_PAIR(BgL_arg3771z00_2187, BgL_arg3772z00_2188); } 
BgL_arg3768z00_2184 = 
MAKE_PAIR(BgL_arg3769z00_2185, BNIL); } 
BgL_arg3765z00_2181 = 
MAKE_PAIR(BgL_arg3767z00_2183, BgL_arg3768z00_2184); } 
{ /* Jvm/env.scm 332 */
obj_t BgL_arg3781z00_2195;obj_t BgL_arg3782z00_2196;
{ /* Jvm/env.scm 332 */
obj_t BgL_arg3783z00_2197;obj_t BgL_arg3784z00_2198;
BgL_arg3783z00_2197 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 332 */
obj_t BgL_arg3785z00_2199;
{ /* Jvm/env.scm 332 */
obj_t BgL_arg3787z00_2201;obj_t BgL_arg3788z00_2202;
BgL_arg3787z00_2201 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 332 */
obj_t BgL_arg3790z00_2204;
BgL_arg3790z00_2204 = 
MAKE_PAIR(BGl_string5127z00zzjvm_envz00, BNIL); 
BgL_arg3788z00_2202 = 
MAKE_PAIR(BNIL, BgL_arg3790z00_2204); } 
BgL_arg3785z00_2199 = 
MAKE_PAIR(BgL_arg3787z00_2201, BgL_arg3788z00_2202); } 
BgL_arg3784z00_2198 = 
MAKE_PAIR(BgL_arg3785z00_2199, BNIL); } 
BgL_arg3781z00_2195 = 
MAKE_PAIR(BgL_arg3783z00_2197, BgL_arg3784z00_2198); } 
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3791z00_2205;obj_t BgL_arg3792z00_2206;
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3793z00_2207;obj_t BgL_arg3794z00_2208;
BgL_arg3793z00_2207 = 
CNST_TABLE_REF(((long)54)); 
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3795z00_2209;
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3797z00_2211;obj_t BgL_arg3798z00_2212;
BgL_arg3797z00_2211 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3799z00_2213;obj_t BgL_arg3800z00_2214;
BgL_arg3799z00_2213 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3802z00_2216;
{ /* Jvm/env.scm 333 */
obj_t BgL_arg3803z00_2217;obj_t BgL_arg3804z00_2218;
BgL_arg3803z00_2217 = 
CNST_TABLE_REF(((long)19)); 
BgL_arg3804z00_2218 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BNIL); 
BgL_arg3802z00_2216 = 
MAKE_PAIR(BgL_arg3803z00_2217, BgL_arg3804z00_2218); } 
BgL_arg3800z00_2214 = 
MAKE_PAIR(BNIL, BgL_arg3802z00_2216); } 
BgL_arg3798z00_2212 = 
MAKE_PAIR(BgL_arg3799z00_2213, BgL_arg3800z00_2214); } 
BgL_arg3795z00_2209 = 
MAKE_PAIR(BgL_arg3797z00_2211, BgL_arg3798z00_2212); } 
BgL_arg3794z00_2208 = 
MAKE_PAIR(BgL_arg3795z00_2209, BNIL); } 
BgL_arg3791z00_2205 = 
MAKE_PAIR(BgL_arg3793z00_2207, BgL_arg3794z00_2208); } 
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3805z00_2219;obj_t BgL_arg3806z00_2220;
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3807z00_2221;obj_t BgL_arg3808z00_2222;
BgL_arg3807z00_2221 = 
CNST_TABLE_REF(((long)55)); 
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3810z00_2223;
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3812z00_2225;obj_t BgL_arg3813z00_2226;
BgL_arg3812z00_2225 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3814z00_2227;obj_t BgL_arg3815z00_2228;
BgL_arg3814z00_2227 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3817z00_2230;
{ /* Jvm/env.scm 334 */
obj_t BgL_arg3818z00_2231;obj_t BgL_arg3819z00_2232;
BgL_arg3818z00_2231 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3819z00_2232 = 
MAKE_PAIR(BGl_string5126z00zzjvm_envz00, BNIL); 
BgL_arg3817z00_2230 = 
MAKE_PAIR(BgL_arg3818z00_2231, BgL_arg3819z00_2232); } 
BgL_arg3815z00_2228 = 
MAKE_PAIR(BNIL, BgL_arg3817z00_2230); } 
BgL_arg3813z00_2226 = 
MAKE_PAIR(BgL_arg3814z00_2227, BgL_arg3815z00_2228); } 
BgL_arg3810z00_2223 = 
MAKE_PAIR(BgL_arg3812z00_2225, BgL_arg3813z00_2226); } 
BgL_arg3808z00_2222 = 
MAKE_PAIR(BgL_arg3810z00_2223, BNIL); } 
BgL_arg3805z00_2219 = 
MAKE_PAIR(BgL_arg3807z00_2221, BgL_arg3808z00_2222); } 
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3820z00_2233;obj_t BgL_arg3821z00_2234;
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3822z00_2235;obj_t BgL_arg3823z00_2236;
BgL_arg3822z00_2235 = 
CNST_TABLE_REF(((long)56)); 
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3824z00_2237;
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3826z00_2239;obj_t BgL_arg3827z00_2240;
BgL_arg3826z00_2239 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3828z00_2241;obj_t BgL_arg3829z00_2242;
BgL_arg3828z00_2241 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3831z00_2244;
{ /* Jvm/env.scm 335 */
obj_t BgL_arg3832z00_2245;obj_t BgL_arg3833z00_2246;
BgL_arg3832z00_2245 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3833z00_2246 = 
MAKE_PAIR(BGl_string5128z00zzjvm_envz00, BNIL); 
BgL_arg3831z00_2244 = 
MAKE_PAIR(BgL_arg3832z00_2245, BgL_arg3833z00_2246); } 
BgL_arg3829z00_2242 = 
MAKE_PAIR(BNIL, BgL_arg3831z00_2244); } 
BgL_arg3827z00_2240 = 
MAKE_PAIR(BgL_arg3828z00_2241, BgL_arg3829z00_2242); } 
BgL_arg3824z00_2237 = 
MAKE_PAIR(BgL_arg3826z00_2239, BgL_arg3827z00_2240); } 
BgL_arg3823z00_2236 = 
MAKE_PAIR(BgL_arg3824z00_2237, BNIL); } 
BgL_arg3820z00_2233 = 
MAKE_PAIR(BgL_arg3822z00_2235, BgL_arg3823z00_2236); } 
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3834z00_2247;obj_t BgL_arg3835z00_2248;
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3836z00_2249;obj_t BgL_arg3837z00_2250;
BgL_arg3836z00_2249 = 
CNST_TABLE_REF(((long)57)); 
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3838z00_2251;
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3840z00_2253;obj_t BgL_arg3841z00_2254;
BgL_arg3840z00_2253 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3842z00_2255;obj_t BgL_arg3843z00_2256;
BgL_arg3842z00_2255 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3845z00_2258;
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3846z00_2259;obj_t BgL_arg3847z00_2260;
BgL_arg3846z00_2259 = 
CNST_TABLE_REF(((long)53)); 
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3849z00_2262;
{ /* Jvm/env.scm 336 */
obj_t BgL_arg3850z00_2263;obj_t BgL_arg3851z00_2264;
BgL_arg3850z00_2263 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 336 */
obj_t BgL_auxz00_5601;
BgL_auxz00_5601 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3851z00_2264 = 
MAKE_PAIR(BgL_auxz00_5601, BNIL); } 
BgL_arg3849z00_2262 = 
MAKE_PAIR(BgL_arg3850z00_2263, BgL_arg3851z00_2264); } 
BgL_arg3847z00_2260 = 
MAKE_PAIR(BGl_string5129z00zzjvm_envz00, BgL_arg3849z00_2262); } 
BgL_arg3845z00_2258 = 
MAKE_PAIR(BgL_arg3846z00_2259, BgL_arg3847z00_2260); } 
BgL_arg3843z00_2256 = 
MAKE_PAIR(BNIL, BgL_arg3845z00_2258); } 
BgL_arg3841z00_2254 = 
MAKE_PAIR(BgL_arg3842z00_2255, BgL_arg3843z00_2256); } 
BgL_arg3838z00_2251 = 
MAKE_PAIR(BgL_arg3840z00_2253, BgL_arg3841z00_2254); } 
BgL_arg3837z00_2250 = 
MAKE_PAIR(BgL_arg3838z00_2251, BNIL); } 
BgL_arg3834z00_2247 = 
MAKE_PAIR(BgL_arg3836z00_2249, BgL_arg3837z00_2250); } 
{ /* Jvm/env.scm 337 */
obj_t BgL_arg3852z00_2265;obj_t BgL_arg3853z00_2266;
{ /* Jvm/env.scm 337 */
obj_t BgL_arg3854z00_2267;obj_t BgL_arg3855z00_2268;
BgL_arg3854z00_2267 = 
CNST_TABLE_REF(((long)58)); 
{ /* Jvm/env.scm 337 */
obj_t BgL_arg3856z00_2269;
{ /* Jvm/env.scm 337 */
obj_t BgL_arg3858z00_2271;obj_t BgL_arg3859z00_2272;
BgL_arg3858z00_2271 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 337 */
obj_t BgL_arg3861z00_2274;
BgL_arg3861z00_2274 = 
MAKE_PAIR(BGl_string5130z00zzjvm_envz00, BNIL); 
BgL_arg3859z00_2272 = 
MAKE_PAIR(BNIL, BgL_arg3861z00_2274); } 
BgL_arg3856z00_2269 = 
MAKE_PAIR(BgL_arg3858z00_2271, BgL_arg3859z00_2272); } 
BgL_arg3855z00_2268 = 
MAKE_PAIR(BgL_arg3856z00_2269, BNIL); } 
BgL_arg3852z00_2265 = 
MAKE_PAIR(BgL_arg3854z00_2267, BgL_arg3855z00_2268); } 
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3862z00_2275;obj_t BgL_arg3863z00_2276;
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3864z00_2277;obj_t BgL_arg3865z00_2278;
BgL_arg3864z00_2277 = 
CNST_TABLE_REF(((long)59)); 
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3866z00_2279;
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3868z00_2281;obj_t BgL_arg3869z00_2282;
BgL_arg3868z00_2281 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3870z00_2283;obj_t BgL_arg3871z00_2284;
BgL_arg3870z00_2283 = 
CNST_TABLE_REF(((long)58)); 
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3873z00_2286;
{ /* Jvm/env.scm 338 */
obj_t BgL_arg3874z00_2287;obj_t BgL_arg3875z00_2288;
BgL_arg3874z00_2287 = 
CNST_TABLE_REF(((long)19)); 
BgL_arg3875z00_2288 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BNIL); 
BgL_arg3873z00_2286 = 
MAKE_PAIR(BgL_arg3874z00_2287, BgL_arg3875z00_2288); } 
BgL_arg3871z00_2284 = 
MAKE_PAIR(BNIL, BgL_arg3873z00_2286); } 
BgL_arg3869z00_2282 = 
MAKE_PAIR(BgL_arg3870z00_2283, BgL_arg3871z00_2284); } 
BgL_arg3866z00_2279 = 
MAKE_PAIR(BgL_arg3868z00_2281, BgL_arg3869z00_2282); } 
BgL_arg3865z00_2278 = 
MAKE_PAIR(BgL_arg3866z00_2279, BNIL); } 
BgL_arg3862z00_2275 = 
MAKE_PAIR(BgL_arg3864z00_2277, BgL_arg3865z00_2278); } 
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3876z00_2289;obj_t BgL_arg3877z00_2290;
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3878z00_2291;obj_t BgL_arg3879z00_2292;
BgL_arg3878z00_2291 = 
CNST_TABLE_REF(((long)60)); 
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3880z00_2293;
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3882z00_2295;obj_t BgL_arg3883z00_2296;
BgL_arg3882z00_2295 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3884z00_2297;obj_t BgL_arg3885z00_2298;
BgL_arg3884z00_2297 = 
CNST_TABLE_REF(((long)58)); 
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3887z00_2300;
{ /* Jvm/env.scm 339 */
obj_t BgL_arg3888z00_2301;obj_t BgL_arg3889z00_2302;
BgL_arg3888z00_2301 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3889z00_2302 = 
MAKE_PAIR(BGl_string5131z00zzjvm_envz00, BNIL); 
BgL_arg3887z00_2300 = 
MAKE_PAIR(BgL_arg3888z00_2301, BgL_arg3889z00_2302); } 
BgL_arg3885z00_2298 = 
MAKE_PAIR(BNIL, BgL_arg3887z00_2300); } 
BgL_arg3883z00_2296 = 
MAKE_PAIR(BgL_arg3884z00_2297, BgL_arg3885z00_2298); } 
BgL_arg3880z00_2293 = 
MAKE_PAIR(BgL_arg3882z00_2295, BgL_arg3883z00_2296); } 
BgL_arg3879z00_2292 = 
MAKE_PAIR(BgL_arg3880z00_2293, BNIL); } 
BgL_arg3876z00_2289 = 
MAKE_PAIR(BgL_arg3878z00_2291, BgL_arg3879z00_2292); } 
{ /* Jvm/env.scm 340 */
obj_t BgL_arg3890z00_2303;obj_t BgL_arg3891z00_2304;
{ /* Jvm/env.scm 340 */
obj_t BgL_arg3892z00_2305;obj_t BgL_arg3893z00_2306;
BgL_arg3892z00_2305 = 
CNST_TABLE_REF(((long)61)); 
{ /* Jvm/env.scm 340 */
obj_t BgL_arg3894z00_2307;
{ /* Jvm/env.scm 340 */
obj_t BgL_arg3896z00_2309;obj_t BgL_arg3897z00_2310;
BgL_arg3896z00_2309 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 340 */
obj_t BgL_arg3899z00_2312;
BgL_arg3899z00_2312 = 
MAKE_PAIR(BGl_string5132z00zzjvm_envz00, BNIL); 
BgL_arg3897z00_2310 = 
MAKE_PAIR(BNIL, BgL_arg3899z00_2312); } 
BgL_arg3894z00_2307 = 
MAKE_PAIR(BgL_arg3896z00_2309, BgL_arg3897z00_2310); } 
BgL_arg3893z00_2306 = 
MAKE_PAIR(BgL_arg3894z00_2307, BNIL); } 
BgL_arg3890z00_2303 = 
MAKE_PAIR(BgL_arg3892z00_2305, BgL_arg3893z00_2306); } 
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3900z00_2313;obj_t BgL_arg3901z00_2314;
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3902z00_2315;obj_t BgL_arg3903z00_2316;
BgL_arg3902z00_2315 = 
CNST_TABLE_REF(((long)62)); 
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3904z00_2317;
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3906z00_2319;obj_t BgL_arg3907z00_2320;
BgL_arg3906z00_2319 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3908z00_2321;obj_t BgL_arg3909z00_2322;
BgL_arg3908z00_2321 = 
CNST_TABLE_REF(((long)61)); 
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3911z00_2324;
{ /* Jvm/env.scm 341 */
obj_t BgL_arg3912z00_2325;obj_t BgL_arg3913z00_2326;
BgL_arg3912z00_2325 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3913z00_2326 = 
MAKE_PAIR(BGl_string5133z00zzjvm_envz00, BNIL); 
BgL_arg3911z00_2324 = 
MAKE_PAIR(BgL_arg3912z00_2325, BgL_arg3913z00_2326); } 
BgL_arg3909z00_2322 = 
MAKE_PAIR(BNIL, BgL_arg3911z00_2324); } 
BgL_arg3907z00_2320 = 
MAKE_PAIR(BgL_arg3908z00_2321, BgL_arg3909z00_2322); } 
BgL_arg3904z00_2317 = 
MAKE_PAIR(BgL_arg3906z00_2319, BgL_arg3907z00_2320); } 
BgL_arg3903z00_2316 = 
MAKE_PAIR(BgL_arg3904z00_2317, BNIL); } 
BgL_arg3900z00_2313 = 
MAKE_PAIR(BgL_arg3902z00_2315, BgL_arg3903z00_2316); } 
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3914z00_2327;obj_t BgL_arg3915z00_2328;
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3916z00_2329;obj_t BgL_arg3917z00_2330;
BgL_arg3916z00_2329 = 
CNST_TABLE_REF(((long)63)); 
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3918z00_2331;
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3920z00_2333;obj_t BgL_arg3921z00_2334;
BgL_arg3920z00_2333 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3922z00_2335;obj_t BgL_arg3923z00_2336;
BgL_arg3922z00_2335 = 
CNST_TABLE_REF(((long)61)); 
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3925z00_2338;
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3926z00_2339;obj_t BgL_arg3927z00_2340;
{ /* Jvm/env.scm 342 */
obj_t BgL_arg3928z00_2341;obj_t BgL_arg3929z00_2342;
BgL_arg3928z00_2341 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 342 */
obj_t BgL_auxz00_5663;
BgL_auxz00_5663 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3929z00_2342 = 
MAKE_PAIR(BgL_auxz00_5663, BNIL); } 
BgL_arg3926z00_2339 = 
MAKE_PAIR(BgL_arg3928z00_2341, BgL_arg3929z00_2342); } 
BgL_arg3927z00_2340 = 
MAKE_PAIR(BGl_string5134z00zzjvm_envz00, BNIL); 
BgL_arg3925z00_2338 = 
MAKE_PAIR(BgL_arg3926z00_2339, BgL_arg3927z00_2340); } 
BgL_arg3923z00_2336 = 
MAKE_PAIR(BNIL, BgL_arg3925z00_2338); } 
BgL_arg3921z00_2334 = 
MAKE_PAIR(BgL_arg3922z00_2335, BgL_arg3923z00_2336); } 
BgL_arg3918z00_2331 = 
MAKE_PAIR(BgL_arg3920z00_2333, BgL_arg3921z00_2334); } 
BgL_arg3917z00_2330 = 
MAKE_PAIR(BgL_arg3918z00_2331, BNIL); } 
BgL_arg3914z00_2327 = 
MAKE_PAIR(BgL_arg3916z00_2329, BgL_arg3917z00_2330); } 
{ /* Jvm/env.scm 343 */
obj_t BgL_arg3930z00_2343;obj_t BgL_arg3931z00_2344;
{ /* Jvm/env.scm 343 */
obj_t BgL_arg3932z00_2345;obj_t BgL_arg3933z00_2346;
BgL_arg3932z00_2345 = 
CNST_TABLE_REF(((long)64)); 
{ /* Jvm/env.scm 343 */
obj_t BgL_arg3934z00_2347;
{ /* Jvm/env.scm 343 */
obj_t BgL_arg3936z00_2349;obj_t BgL_arg3937z00_2350;
BgL_arg3936z00_2349 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 343 */
obj_t BgL_arg3939z00_2352;
BgL_arg3939z00_2352 = 
MAKE_PAIR(BGl_string5135z00zzjvm_envz00, BNIL); 
BgL_arg3937z00_2350 = 
MAKE_PAIR(BNIL, BgL_arg3939z00_2352); } 
BgL_arg3934z00_2347 = 
MAKE_PAIR(BgL_arg3936z00_2349, BgL_arg3937z00_2350); } 
BgL_arg3933z00_2346 = 
MAKE_PAIR(BgL_arg3934z00_2347, BNIL); } 
BgL_arg3930z00_2343 = 
MAKE_PAIR(BgL_arg3932z00_2345, BgL_arg3933z00_2346); } 
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3940z00_2353;obj_t BgL_arg3941z00_2354;
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3942z00_2355;obj_t BgL_arg3943z00_2356;
BgL_arg3942z00_2355 = 
CNST_TABLE_REF(((long)65)); 
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3944z00_2357;
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3946z00_2359;obj_t BgL_arg3947z00_2360;
BgL_arg3946z00_2359 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3948z00_2361;obj_t BgL_arg3949z00_2362;
BgL_arg3948z00_2361 = 
CNST_TABLE_REF(((long)64)); 
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3951z00_2364;
{ /* Jvm/env.scm 344 */
obj_t BgL_arg3952z00_2365;obj_t BgL_arg3953z00_2366;
BgL_arg3952z00_2365 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3953z00_2366 = 
MAKE_PAIR(BGl_string5136z00zzjvm_envz00, BNIL); 
BgL_arg3951z00_2364 = 
MAKE_PAIR(BgL_arg3952z00_2365, BgL_arg3953z00_2366); } 
BgL_arg3949z00_2362 = 
MAKE_PAIR(BNIL, BgL_arg3951z00_2364); } 
BgL_arg3947z00_2360 = 
MAKE_PAIR(BgL_arg3948z00_2361, BgL_arg3949z00_2362); } 
BgL_arg3944z00_2357 = 
MAKE_PAIR(BgL_arg3946z00_2359, BgL_arg3947z00_2360); } 
BgL_arg3943z00_2356 = 
MAKE_PAIR(BgL_arg3944z00_2357, BNIL); } 
BgL_arg3940z00_2353 = 
MAKE_PAIR(BgL_arg3942z00_2355, BgL_arg3943z00_2356); } 
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3954z00_2367;obj_t BgL_arg3955z00_2368;
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3956z00_2369;obj_t BgL_arg3957z00_2370;
BgL_arg3956z00_2369 = 
CNST_TABLE_REF(((long)66)); 
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3958z00_2371;
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3960z00_2373;obj_t BgL_arg3961z00_2374;
BgL_arg3960z00_2373 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3962z00_2375;obj_t BgL_arg3963z00_2376;
BgL_arg3962z00_2375 = 
CNST_TABLE_REF(((long)64)); 
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3965z00_2378;
{ /* Jvm/env.scm 345 */
obj_t BgL_arg3966z00_2379;obj_t BgL_arg3967z00_2380;
BgL_arg3966z00_2379 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3967z00_2380 = 
MAKE_PAIR(BGl_string5137z00zzjvm_envz00, BNIL); 
BgL_arg3965z00_2378 = 
MAKE_PAIR(BgL_arg3966z00_2379, BgL_arg3967z00_2380); } 
BgL_arg3963z00_2376 = 
MAKE_PAIR(BNIL, BgL_arg3965z00_2378); } 
BgL_arg3961z00_2374 = 
MAKE_PAIR(BgL_arg3962z00_2375, BgL_arg3963z00_2376); } 
BgL_arg3958z00_2371 = 
MAKE_PAIR(BgL_arg3960z00_2373, BgL_arg3961z00_2374); } 
BgL_arg3957z00_2370 = 
MAKE_PAIR(BgL_arg3958z00_2371, BNIL); } 
BgL_arg3954z00_2367 = 
MAKE_PAIR(BgL_arg3956z00_2369, BgL_arg3957z00_2370); } 
{ /* Jvm/env.scm 346 */
obj_t BgL_arg3968z00_2381;obj_t BgL_arg3969z00_2382;
{ /* Jvm/env.scm 346 */
obj_t BgL_arg3970z00_2383;obj_t BgL_arg3971z00_2384;
BgL_arg3970z00_2383 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 346 */
obj_t BgL_arg3972z00_2385;
{ /* Jvm/env.scm 346 */
obj_t BgL_arg3975z00_2387;obj_t BgL_arg3976z00_2388;
BgL_arg3975z00_2387 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 346 */
obj_t BgL_arg3978z00_2390;
BgL_arg3978z00_2390 = 
MAKE_PAIR(BGl_string5138z00zzjvm_envz00, BNIL); 
BgL_arg3976z00_2388 = 
MAKE_PAIR(BNIL, BgL_arg3978z00_2390); } 
BgL_arg3972z00_2385 = 
MAKE_PAIR(BgL_arg3975z00_2387, BgL_arg3976z00_2388); } 
BgL_arg3971z00_2384 = 
MAKE_PAIR(BgL_arg3972z00_2385, BNIL); } 
BgL_arg3968z00_2381 = 
MAKE_PAIR(BgL_arg3970z00_2383, BgL_arg3971z00_2384); } 
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3979z00_2391;obj_t BgL_arg3980z00_2392;
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3981z00_2393;obj_t BgL_arg3982z00_2394;
BgL_arg3981z00_2393 = 
CNST_TABLE_REF(((long)68)); 
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3983z00_2395;
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3985z00_2397;obj_t BgL_arg3986z00_2398;
BgL_arg3985z00_2397 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3987z00_2399;obj_t BgL_arg3988z00_2400;
BgL_arg3987z00_2399 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3991z00_2402;
{ /* Jvm/env.scm 347 */
obj_t BgL_arg3992z00_2403;obj_t BgL_arg3993z00_2404;
BgL_arg3992z00_2403 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3993z00_2404 = 
MAKE_PAIR(BGl_string5139z00zzjvm_envz00, BNIL); 
BgL_arg3991z00_2402 = 
MAKE_PAIR(BgL_arg3992z00_2403, BgL_arg3993z00_2404); } 
BgL_arg3988z00_2400 = 
MAKE_PAIR(BNIL, BgL_arg3991z00_2402); } 
BgL_arg3986z00_2398 = 
MAKE_PAIR(BgL_arg3987z00_2399, BgL_arg3988z00_2400); } 
BgL_arg3983z00_2395 = 
MAKE_PAIR(BgL_arg3985z00_2397, BgL_arg3986z00_2398); } 
BgL_arg3982z00_2394 = 
MAKE_PAIR(BgL_arg3983z00_2395, BNIL); } 
BgL_arg3979z00_2391 = 
MAKE_PAIR(BgL_arg3981z00_2393, BgL_arg3982z00_2394); } 
{ /* Jvm/env.scm 348 */
obj_t BgL_arg3994z00_2405;obj_t BgL_arg3995z00_2406;
{ /* Jvm/env.scm 348 */
obj_t BgL_arg3996z00_2407;obj_t BgL_arg3997z00_2408;
BgL_arg3996z00_2407 = 
CNST_TABLE_REF(((long)69)); 
{ /* Jvm/env.scm 348 */
obj_t BgL_arg3998z00_2409;
{ /* Jvm/env.scm 348 */
obj_t BgL_arg4000z00_2411;obj_t BgL_arg4001z00_2412;
BgL_arg4000z00_2411 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 348 */
obj_t BgL_arg4002z00_2413;obj_t BgL_arg4003z00_2414;
BgL_arg4002z00_2413 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 348 */
obj_t BgL_arg4005z00_2416;
{ /* Jvm/env.scm 348 */
obj_t BgL_arg4006z00_2417;obj_t BgL_arg4007z00_2418;
BgL_arg4006z00_2417 = 
CNST_TABLE_REF(((long)70)); 
BgL_arg4007z00_2418 = 
MAKE_PAIR(BGl_string5140z00zzjvm_envz00, BNIL); 
BgL_arg4005z00_2416 = 
MAKE_PAIR(BgL_arg4006z00_2417, BgL_arg4007z00_2418); } 
BgL_arg4003z00_2414 = 
MAKE_PAIR(BNIL, BgL_arg4005z00_2416); } 
BgL_arg4001z00_2412 = 
MAKE_PAIR(BgL_arg4002z00_2413, BgL_arg4003z00_2414); } 
BgL_arg3998z00_2409 = 
MAKE_PAIR(BgL_arg4000z00_2411, BgL_arg4001z00_2412); } 
BgL_arg3997z00_2408 = 
MAKE_PAIR(BgL_arg3998z00_2409, BNIL); } 
BgL_arg3994z00_2405 = 
MAKE_PAIR(BgL_arg3996z00_2407, BgL_arg3997z00_2408); } 
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4008z00_2419;obj_t BgL_arg4009z00_2420;
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4010z00_2421;obj_t BgL_arg4011z00_2422;
BgL_arg4010z00_2421 = 
CNST_TABLE_REF(((long)71)); 
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4012z00_2423;
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4014z00_2425;obj_t BgL_arg4015z00_2426;
BgL_arg4014z00_2425 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4016z00_2427;obj_t BgL_arg4017z00_2428;
BgL_arg4016z00_2427 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4019z00_2430;
{ /* Jvm/env.scm 349 */
obj_t BgL_arg4020z00_2431;obj_t BgL_arg4021z00_2432;
BgL_arg4020z00_2431 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg4021z00_2432 = 
MAKE_PAIR(BGl_string5141z00zzjvm_envz00, BNIL); 
BgL_arg4019z00_2430 = 
MAKE_PAIR(BgL_arg4020z00_2431, BgL_arg4021z00_2432); } 
BgL_arg4017z00_2428 = 
MAKE_PAIR(BNIL, BgL_arg4019z00_2430); } 
BgL_arg4015z00_2426 = 
MAKE_PAIR(BgL_arg4016z00_2427, BgL_arg4017z00_2428); } 
BgL_arg4012z00_2423 = 
MAKE_PAIR(BgL_arg4014z00_2425, BgL_arg4015z00_2426); } 
BgL_arg4011z00_2422 = 
MAKE_PAIR(BgL_arg4012z00_2423, BNIL); } 
BgL_arg4008z00_2419 = 
MAKE_PAIR(BgL_arg4010z00_2421, BgL_arg4011z00_2422); } 
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4022z00_2433;obj_t BgL_arg4023z00_2434;
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4024z00_2435;obj_t BgL_arg4025z00_2436;
BgL_arg4024z00_2435 = 
CNST_TABLE_REF(((long)72)); 
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4026z00_2437;
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4028z00_2439;obj_t BgL_arg4029z00_2440;
BgL_arg4028z00_2439 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4030z00_2441;obj_t BgL_arg4031z00_2442;
BgL_arg4030z00_2441 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4033z00_2444;
{ /* Jvm/env.scm 350 */
obj_t BgL_arg4034z00_2445;obj_t BgL_arg4035z00_2446;
BgL_arg4034z00_2445 = 
CNST_TABLE_REF(((long)73)); 
BgL_arg4035z00_2446 = 
MAKE_PAIR(BGl_string5142z00zzjvm_envz00, BNIL); 
BgL_arg4033z00_2444 = 
MAKE_PAIR(BgL_arg4034z00_2445, BgL_arg4035z00_2446); } 
BgL_arg4031z00_2442 = 
MAKE_PAIR(BNIL, BgL_arg4033z00_2444); } 
BgL_arg4029z00_2440 = 
MAKE_PAIR(BgL_arg4030z00_2441, BgL_arg4031z00_2442); } 
BgL_arg4026z00_2437 = 
MAKE_PAIR(BgL_arg4028z00_2439, BgL_arg4029z00_2440); } 
BgL_arg4025z00_2436 = 
MAKE_PAIR(BgL_arg4026z00_2437, BNIL); } 
BgL_arg4022z00_2433 = 
MAKE_PAIR(BgL_arg4024z00_2435, BgL_arg4025z00_2436); } 
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4036z00_2447;obj_t BgL_arg4037z00_2448;
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4038z00_2449;obj_t BgL_arg4039z00_2450;
BgL_arg4038z00_2449 = 
CNST_TABLE_REF(((long)74)); 
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4040z00_2451;
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4042z00_2453;obj_t BgL_arg4043z00_2454;
BgL_arg4042z00_2453 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4044z00_2455;obj_t BgL_arg4045z00_2456;
BgL_arg4044z00_2455 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4047z00_2458;
{ /* Jvm/env.scm 351 */
obj_t BgL_arg4048z00_2459;obj_t BgL_arg4049z00_2460;
BgL_arg4048z00_2459 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg4049z00_2460 = 
MAKE_PAIR(BGl_string5143z00zzjvm_envz00, BNIL); 
BgL_arg4047z00_2458 = 
MAKE_PAIR(BgL_arg4048z00_2459, BgL_arg4049z00_2460); } 
BgL_arg4045z00_2456 = 
MAKE_PAIR(BNIL, BgL_arg4047z00_2458); } 
BgL_arg4043z00_2454 = 
MAKE_PAIR(BgL_arg4044z00_2455, BgL_arg4045z00_2456); } 
BgL_arg4040z00_2451 = 
MAKE_PAIR(BgL_arg4042z00_2453, BgL_arg4043z00_2454); } 
BgL_arg4039z00_2450 = 
MAKE_PAIR(BgL_arg4040z00_2451, BNIL); } 
BgL_arg4036z00_2447 = 
MAKE_PAIR(BgL_arg4038z00_2449, BgL_arg4039z00_2450); } 
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4050z00_2461;obj_t BgL_arg4051z00_2462;
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4052z00_2463;obj_t BgL_arg4053z00_2464;
BgL_arg4052z00_2463 = 
CNST_TABLE_REF(((long)75)); 
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4054z00_2465;
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4056z00_2467;obj_t BgL_arg4057z00_2468;
BgL_arg4056z00_2467 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4058z00_2469;obj_t BgL_arg4059z00_2470;
BgL_arg4058z00_2469 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4061z00_2472;
{ /* Jvm/env.scm 352 */
obj_t BgL_arg4062z00_2473;obj_t BgL_arg4063z00_2474;
BgL_arg4062z00_2473 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg4063z00_2474 = 
MAKE_PAIR(BGl_string5144z00zzjvm_envz00, BNIL); 
BgL_arg4061z00_2472 = 
MAKE_PAIR(BgL_arg4062z00_2473, BgL_arg4063z00_2474); } 
BgL_arg4059z00_2470 = 
MAKE_PAIR(BNIL, BgL_arg4061z00_2472); } 
BgL_arg4057z00_2468 = 
MAKE_PAIR(BgL_arg4058z00_2469, BgL_arg4059z00_2470); } 
BgL_arg4054z00_2465 = 
MAKE_PAIR(BgL_arg4056z00_2467, BgL_arg4057z00_2468); } 
BgL_arg4053z00_2464 = 
MAKE_PAIR(BgL_arg4054z00_2465, BNIL); } 
BgL_arg4050z00_2461 = 
MAKE_PAIR(BgL_arg4052z00_2463, BgL_arg4053z00_2464); } 
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4064z00_2475;obj_t BgL_arg4065z00_2476;
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4066z00_2477;obj_t BgL_arg4067z00_2478;
BgL_arg4066z00_2477 = 
CNST_TABLE_REF(((long)76)); 
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4068z00_2479;
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4070z00_2481;obj_t BgL_arg4071z00_2482;
BgL_arg4070z00_2481 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4072z00_2483;obj_t BgL_arg4073z00_2484;
BgL_arg4072z00_2483 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4075z00_2486;
{ /* Jvm/env.scm 353 */
obj_t BgL_arg4076z00_2487;obj_t BgL_arg4077z00_2488;
BgL_arg4076z00_2487 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg4077z00_2488 = 
MAKE_PAIR(BGl_string5145z00zzjvm_envz00, BNIL); 
BgL_arg4075z00_2486 = 
MAKE_PAIR(BgL_arg4076z00_2487, BgL_arg4077z00_2488); } 
BgL_arg4073z00_2484 = 
MAKE_PAIR(BNIL, BgL_arg4075z00_2486); } 
BgL_arg4071z00_2482 = 
MAKE_PAIR(BgL_arg4072z00_2483, BgL_arg4073z00_2484); } 
BgL_arg4068z00_2479 = 
MAKE_PAIR(BgL_arg4070z00_2481, BgL_arg4071z00_2482); } 
BgL_arg4067z00_2478 = 
MAKE_PAIR(BgL_arg4068z00_2479, BNIL); } 
BgL_arg4064z00_2475 = 
MAKE_PAIR(BgL_arg4066z00_2477, BgL_arg4067z00_2478); } 
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4078z00_2489;obj_t BgL_arg4079z00_2490;
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4080z00_2491;obj_t BgL_arg4081z00_2492;
BgL_arg4080z00_2491 = 
CNST_TABLE_REF(((long)77)); 
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4082z00_2493;
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4084z00_2495;obj_t BgL_arg4085z00_2496;
BgL_arg4084z00_2495 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4086z00_2497;obj_t BgL_arg4087z00_2498;
BgL_arg4086z00_2497 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4089z00_2500;
{ /* Jvm/env.scm 354 */
obj_t BgL_arg4090z00_2501;obj_t BgL_arg4091z00_2502;
BgL_arg4090z00_2501 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg4091z00_2502 = 
MAKE_PAIR(BGl_string5146z00zzjvm_envz00, BNIL); 
BgL_arg4089z00_2500 = 
MAKE_PAIR(BgL_arg4090z00_2501, BgL_arg4091z00_2502); } 
BgL_arg4087z00_2498 = 
MAKE_PAIR(BNIL, BgL_arg4089z00_2500); } 
BgL_arg4085z00_2496 = 
MAKE_PAIR(BgL_arg4086z00_2497, BgL_arg4087z00_2498); } 
BgL_arg4082z00_2493 = 
MAKE_PAIR(BgL_arg4084z00_2495, BgL_arg4085z00_2496); } 
BgL_arg4081z00_2492 = 
MAKE_PAIR(BgL_arg4082z00_2493, BNIL); } 
BgL_arg4078z00_2489 = 
MAKE_PAIR(BgL_arg4080z00_2491, BgL_arg4081z00_2492); } 
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4092z00_2503;obj_t BgL_arg4093z00_2504;
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4094z00_2505;obj_t BgL_arg4095z00_2506;
BgL_arg4094z00_2505 = 
CNST_TABLE_REF(((long)78)); 
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4096z00_2507;
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4098z00_2509;obj_t BgL_arg4099z00_2510;
BgL_arg4098z00_2509 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4100z00_2511;obj_t BgL_arg4101z00_2512;
BgL_arg4100z00_2511 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4103z00_2514;
{ /* Jvm/env.scm 355 */
obj_t BgL_arg4104z00_2515;obj_t BgL_arg4105z00_2516;
BgL_arg4104z00_2515 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg4105z00_2516 = 
MAKE_PAIR(BGl_string5147z00zzjvm_envz00, BNIL); 
BgL_arg4103z00_2514 = 
MAKE_PAIR(BgL_arg4104z00_2515, BgL_arg4105z00_2516); } 
BgL_arg4101z00_2512 = 
MAKE_PAIR(BNIL, BgL_arg4103z00_2514); } 
BgL_arg4099z00_2510 = 
MAKE_PAIR(BgL_arg4100z00_2511, BgL_arg4101z00_2512); } 
BgL_arg4096z00_2507 = 
MAKE_PAIR(BgL_arg4098z00_2509, BgL_arg4099z00_2510); } 
BgL_arg4095z00_2506 = 
MAKE_PAIR(BgL_arg4096z00_2507, BNIL); } 
BgL_arg4092z00_2503 = 
MAKE_PAIR(BgL_arg4094z00_2505, BgL_arg4095z00_2506); } 
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4106z00_2517;obj_t BgL_arg4107z00_2518;
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4108z00_2519;obj_t BgL_arg4109z00_2520;
BgL_arg4108z00_2519 = 
CNST_TABLE_REF(((long)79)); 
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4110z00_2521;
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4112z00_2523;obj_t BgL_arg4113z00_2524;
BgL_arg4112z00_2523 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4114z00_2525;obj_t BgL_arg4115z00_2526;
BgL_arg4114z00_2525 = 
CNST_TABLE_REF(((long)67)); 
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4117z00_2528;
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4118z00_2529;obj_t BgL_arg4119z00_2530;
{ /* Jvm/env.scm 356 */
obj_t BgL_arg4120z00_2531;obj_t BgL_arg4121z00_2532;
BgL_arg4120z00_2531 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 356 */
obj_t BgL_auxz00_5813;
BgL_auxz00_5813 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg4121z00_2532 = 
MAKE_PAIR(BgL_auxz00_5813, BNIL); } 
BgL_arg4118z00_2529 = 
MAKE_PAIR(BgL_arg4120z00_2531, BgL_arg4121z00_2532); } 
BgL_arg4119z00_2530 = 
MAKE_PAIR(BGl_string5148z00zzjvm_envz00, BNIL); 
BgL_arg4117z00_2528 = 
MAKE_PAIR(BgL_arg4118z00_2529, BgL_arg4119z00_2530); } 
BgL_arg4115z00_2526 = 
MAKE_PAIR(BNIL, BgL_arg4117z00_2528); } 
BgL_arg4113z00_2524 = 
MAKE_PAIR(BgL_arg4114z00_2525, BgL_arg4115z00_2526); } 
BgL_arg4110z00_2521 = 
MAKE_PAIR(BgL_arg4112z00_2523, BgL_arg4113z00_2524); } 
BgL_arg4109z00_2520 = 
MAKE_PAIR(BgL_arg4110z00_2521, BNIL); } 
BgL_arg4106z00_2517 = 
MAKE_PAIR(BgL_arg4108z00_2519, BgL_arg4109z00_2520); } 
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4122z00_2533;obj_t BgL_arg4123z00_2534;
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4124z00_2535;obj_t BgL_arg4125z00_2536;
BgL_arg4124z00_2535 = 
CNST_TABLE_REF(((long)80)); 
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4126z00_2537;
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4128z00_2539;obj_t BgL_arg4129z00_2540;
BgL_arg4128z00_2539 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4130z00_2541;obj_t BgL_arg4131z00_2542;
BgL_arg4130z00_2541 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4132z00_2543;obj_t BgL_arg4133z00_2544;
{ /* Jvm/env.scm 357 */
obj_t BgL_auxz00_5827;
BgL_auxz00_5827 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4132z00_2543 = 
MAKE_PAIR(BgL_auxz00_5827, BNIL); } 
{ /* Jvm/env.scm 357 */
obj_t BgL_arg4134z00_2545;obj_t BgL_arg4135z00_2546;
BgL_arg4134z00_2545 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg4135z00_2546 = 
MAKE_PAIR(BGl_string5149z00zzjvm_envz00, BNIL); 
BgL_arg4133z00_2544 = 
MAKE_PAIR(BgL_arg4134z00_2545, BgL_arg4135z00_2546); } 
BgL_arg4131z00_2542 = 
MAKE_PAIR(BgL_arg4132z00_2543, BgL_arg4133z00_2544); } 
BgL_arg4129z00_2540 = 
MAKE_PAIR(BgL_arg4130z00_2541, BgL_arg4131z00_2542); } 
BgL_arg4126z00_2537 = 
MAKE_PAIR(BgL_arg4128z00_2539, BgL_arg4129z00_2540); } 
BgL_arg4125z00_2536 = 
MAKE_PAIR(BgL_arg4126z00_2537, BNIL); } 
BgL_arg4122z00_2533 = 
MAKE_PAIR(BgL_arg4124z00_2535, BgL_arg4125z00_2536); } 
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4136z00_2547;obj_t BgL_arg4137z00_2548;
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4138z00_2549;obj_t BgL_arg4139z00_2550;
BgL_arg4138z00_2549 = 
CNST_TABLE_REF(((long)82)); 
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4140z00_2551;
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4142z00_2553;obj_t BgL_arg4143z00_2554;
BgL_arg4142z00_2553 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4144z00_2555;obj_t BgL_arg4145z00_2556;
BgL_arg4144z00_2555 = 
CNST_TABLE_REF(((long)28)); 
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4146z00_2557;obj_t BgL_arg4147z00_2558;
{ /* Jvm/env.scm 358 */
obj_t BgL_auxz00_5841;
BgL_auxz00_5841 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4146z00_2557 = 
MAKE_PAIR(BgL_auxz00_5841, BNIL); } 
{ /* Jvm/env.scm 358 */
obj_t BgL_arg4148z00_2559;obj_t BgL_arg4149z00_2560;
BgL_arg4148z00_2559 = 
CNST_TABLE_REF(((long)28)); 
BgL_arg4149z00_2560 = 
MAKE_PAIR(BGl_string5150z00zzjvm_envz00, BNIL); 
BgL_arg4147z00_2558 = 
MAKE_PAIR(BgL_arg4148z00_2559, BgL_arg4149z00_2560); } 
BgL_arg4145z00_2556 = 
MAKE_PAIR(BgL_arg4146z00_2557, BgL_arg4147z00_2558); } 
BgL_arg4143z00_2554 = 
MAKE_PAIR(BgL_arg4144z00_2555, BgL_arg4145z00_2556); } 
BgL_arg4140z00_2551 = 
MAKE_PAIR(BgL_arg4142z00_2553, BgL_arg4143z00_2554); } 
BgL_arg4139z00_2550 = 
MAKE_PAIR(BgL_arg4140z00_2551, BNIL); } 
BgL_arg4136z00_2547 = 
MAKE_PAIR(BgL_arg4138z00_2549, BgL_arg4139z00_2550); } 
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4150z00_2561;obj_t BgL_arg4151z00_2562;
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4152z00_2563;obj_t BgL_arg4153z00_2564;
BgL_arg4152z00_2563 = 
CNST_TABLE_REF(((long)83)); 
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4154z00_2565;
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4156z00_2567;obj_t BgL_arg4157z00_2568;
BgL_arg4156z00_2567 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4158z00_2569;obj_t BgL_arg4159z00_2570;
BgL_arg4158z00_2569 = 
CNST_TABLE_REF(((long)29)); 
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4160z00_2571;obj_t BgL_arg4161z00_2572;
{ /* Jvm/env.scm 359 */
obj_t BgL_auxz00_5855;
BgL_auxz00_5855 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4160z00_2571 = 
MAKE_PAIR(BgL_auxz00_5855, BNIL); } 
{ /* Jvm/env.scm 359 */
obj_t BgL_arg4162z00_2573;obj_t BgL_arg4163z00_2574;
BgL_arg4162z00_2573 = 
CNST_TABLE_REF(((long)29)); 
BgL_arg4163z00_2574 = 
MAKE_PAIR(BGl_string5151z00zzjvm_envz00, BNIL); 
BgL_arg4161z00_2572 = 
MAKE_PAIR(BgL_arg4162z00_2573, BgL_arg4163z00_2574); } 
BgL_arg4159z00_2570 = 
MAKE_PAIR(BgL_arg4160z00_2571, BgL_arg4161z00_2572); } 
BgL_arg4157z00_2568 = 
MAKE_PAIR(BgL_arg4158z00_2569, BgL_arg4159z00_2570); } 
BgL_arg4154z00_2565 = 
MAKE_PAIR(BgL_arg4156z00_2567, BgL_arg4157z00_2568); } 
BgL_arg4153z00_2564 = 
MAKE_PAIR(BgL_arg4154z00_2565, BNIL); } 
BgL_arg4150z00_2561 = 
MAKE_PAIR(BgL_arg4152z00_2563, BgL_arg4153z00_2564); } 
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4164z00_2575;obj_t BgL_arg4165z00_2576;
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4166z00_2577;obj_t BgL_arg4167z00_2578;
BgL_arg4166z00_2577 = 
CNST_TABLE_REF(((long)84)); 
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4168z00_2579;
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4170z00_2581;obj_t BgL_arg4171z00_2582;
BgL_arg4170z00_2581 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4172z00_2583;obj_t BgL_arg4173z00_2584;
BgL_arg4172z00_2583 = 
CNST_TABLE_REF(((long)30)); 
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4174z00_2585;obj_t BgL_arg4175z00_2586;
{ /* Jvm/env.scm 360 */
obj_t BgL_auxz00_5869;
BgL_auxz00_5869 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4174z00_2585 = 
MAKE_PAIR(BgL_auxz00_5869, BNIL); } 
{ /* Jvm/env.scm 360 */
obj_t BgL_arg4176z00_2587;obj_t BgL_arg4177z00_2588;
BgL_arg4176z00_2587 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg4177z00_2588 = 
MAKE_PAIR(BGl_string5152z00zzjvm_envz00, BNIL); 
BgL_arg4175z00_2586 = 
MAKE_PAIR(BgL_arg4176z00_2587, BgL_arg4177z00_2588); } 
BgL_arg4173z00_2584 = 
MAKE_PAIR(BgL_arg4174z00_2585, BgL_arg4175z00_2586); } 
BgL_arg4171z00_2582 = 
MAKE_PAIR(BgL_arg4172z00_2583, BgL_arg4173z00_2584); } 
BgL_arg4168z00_2579 = 
MAKE_PAIR(BgL_arg4170z00_2581, BgL_arg4171z00_2582); } 
BgL_arg4167z00_2578 = 
MAKE_PAIR(BgL_arg4168z00_2579, BNIL); } 
BgL_arg4164z00_2575 = 
MAKE_PAIR(BgL_arg4166z00_2577, BgL_arg4167z00_2578); } 
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4178z00_2589;obj_t BgL_arg4179z00_2590;
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4180z00_2591;obj_t BgL_arg4181z00_2592;
BgL_arg4180z00_2591 = 
CNST_TABLE_REF(((long)85)); 
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4182z00_2593;
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4184z00_2595;obj_t BgL_arg4185z00_2596;
BgL_arg4184z00_2595 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4186z00_2597;obj_t BgL_arg4187z00_2598;
BgL_arg4186z00_2597 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4188z00_2599;obj_t BgL_arg4189z00_2600;
{ /* Jvm/env.scm 361 */
obj_t BgL_auxz00_5883;
BgL_auxz00_5883 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4188z00_2599 = 
MAKE_PAIR(BgL_auxz00_5883, BNIL); } 
{ /* Jvm/env.scm 361 */
obj_t BgL_arg4190z00_2601;obj_t BgL_arg4191z00_2602;
BgL_arg4190z00_2601 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg4191z00_2602 = 
MAKE_PAIR(BGl_string5133z00zzjvm_envz00, BNIL); 
BgL_arg4189z00_2600 = 
MAKE_PAIR(BgL_arg4190z00_2601, BgL_arg4191z00_2602); } 
BgL_arg4187z00_2598 = 
MAKE_PAIR(BgL_arg4188z00_2599, BgL_arg4189z00_2600); } 
BgL_arg4185z00_2596 = 
MAKE_PAIR(BgL_arg4186z00_2597, BgL_arg4187z00_2598); } 
BgL_arg4182z00_2593 = 
MAKE_PAIR(BgL_arg4184z00_2595, BgL_arg4185z00_2596); } 
BgL_arg4181z00_2592 = 
MAKE_PAIR(BgL_arg4182z00_2593, BNIL); } 
BgL_arg4178z00_2589 = 
MAKE_PAIR(BgL_arg4180z00_2591, BgL_arg4181z00_2592); } 
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4192z00_2603;obj_t BgL_arg4193z00_2604;
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4194z00_2605;obj_t BgL_arg4195z00_2606;
BgL_arg4194z00_2605 = 
CNST_TABLE_REF(((long)86)); 
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4196z00_2607;
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4198z00_2609;obj_t BgL_arg4199z00_2610;
BgL_arg4198z00_2609 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4200z00_2611;obj_t BgL_arg4201z00_2612;
BgL_arg4200z00_2611 = 
CNST_TABLE_REF(((long)35)); 
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4202z00_2613;obj_t BgL_arg4203z00_2614;
{ /* Jvm/env.scm 362 */
obj_t BgL_auxz00_5897;
BgL_auxz00_5897 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4202z00_2613 = 
MAKE_PAIR(BgL_auxz00_5897, BNIL); } 
{ /* Jvm/env.scm 362 */
obj_t BgL_arg4204z00_2615;obj_t BgL_arg4205z00_2616;
BgL_arg4204z00_2615 = 
CNST_TABLE_REF(((long)35)); 
BgL_arg4205z00_2616 = 
MAKE_PAIR(BGl_string5153z00zzjvm_envz00, BNIL); 
BgL_arg4203z00_2614 = 
MAKE_PAIR(BgL_arg4204z00_2615, BgL_arg4205z00_2616); } 
BgL_arg4201z00_2612 = 
MAKE_PAIR(BgL_arg4202z00_2613, BgL_arg4203z00_2614); } 
BgL_arg4199z00_2610 = 
MAKE_PAIR(BgL_arg4200z00_2611, BgL_arg4201z00_2612); } 
BgL_arg4196z00_2607 = 
MAKE_PAIR(BgL_arg4198z00_2609, BgL_arg4199z00_2610); } 
BgL_arg4195z00_2606 = 
MAKE_PAIR(BgL_arg4196z00_2607, BNIL); } 
BgL_arg4192z00_2603 = 
MAKE_PAIR(BgL_arg4194z00_2605, BgL_arg4195z00_2606); } 
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4206z00_2617;obj_t BgL_arg4207z00_2618;
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4208z00_2619;obj_t BgL_arg4209z00_2620;
BgL_arg4208z00_2619 = 
CNST_TABLE_REF(((long)87)); 
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4210z00_2621;
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4212z00_2623;obj_t BgL_arg4213z00_2624;
BgL_arg4212z00_2623 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4214z00_2625;obj_t BgL_arg4215z00_2626;
BgL_arg4214z00_2625 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4216z00_2627;obj_t BgL_arg4217z00_2628;
{ /* Jvm/env.scm 363 */
obj_t BgL_auxz00_5911;
BgL_auxz00_5911 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4216z00_2627 = 
MAKE_PAIR(BgL_auxz00_5911, BNIL); } 
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4218z00_2629;obj_t BgL_arg4219z00_2630;
{ /* Jvm/env.scm 363 */
obj_t BgL_arg4220z00_2631;obj_t BgL_arg4221z00_2632;
BgL_arg4220z00_2631 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 363 */
obj_t BgL_auxz00_5915;
BgL_auxz00_5915 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg4221z00_2632 = 
MAKE_PAIR(BgL_auxz00_5915, BNIL); } 
BgL_arg4218z00_2629 = 
MAKE_PAIR(BgL_arg4220z00_2631, BgL_arg4221z00_2632); } 
BgL_arg4219z00_2630 = 
MAKE_PAIR(BGl_string5154z00zzjvm_envz00, BNIL); 
BgL_arg4217z00_2628 = 
MAKE_PAIR(BgL_arg4218z00_2629, BgL_arg4219z00_2630); } 
BgL_arg4215z00_2626 = 
MAKE_PAIR(BgL_arg4216z00_2627, BgL_arg4217z00_2628); } 
BgL_arg4213z00_2624 = 
MAKE_PAIR(BgL_arg4214z00_2625, BgL_arg4215z00_2626); } 
BgL_arg4210z00_2621 = 
MAKE_PAIR(BgL_arg4212z00_2623, BgL_arg4213z00_2624); } 
BgL_arg4209z00_2620 = 
MAKE_PAIR(BgL_arg4210z00_2621, BNIL); } 
BgL_arg4206z00_2617 = 
MAKE_PAIR(BgL_arg4208z00_2619, BgL_arg4209z00_2620); } 
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4222z00_2633;obj_t BgL_arg4223z00_2634;
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4224z00_2635;obj_t BgL_arg4225z00_2636;
BgL_arg4224z00_2635 = 
CNST_TABLE_REF(((long)88)); 
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4226z00_2637;
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4228z00_2639;obj_t BgL_arg4229z00_2640;
BgL_arg4228z00_2639 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4230z00_2641;obj_t BgL_arg4231z00_2642;
BgL_arg4230z00_2641 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4232z00_2643;obj_t BgL_arg4233z00_2644;
{ /* Jvm/env.scm 364 */
obj_t BgL_auxz00_5929;
BgL_auxz00_5929 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4232z00_2643 = 
MAKE_PAIR(BgL_auxz00_5929, BNIL); } 
{ /* Jvm/env.scm 364 */
obj_t BgL_arg4234z00_2645;obj_t BgL_arg4235z00_2646;
BgL_arg4234z00_2645 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg4235z00_2646 = 
MAKE_PAIR(BGl_string5155z00zzjvm_envz00, BNIL); 
BgL_arg4233z00_2644 = 
MAKE_PAIR(BgL_arg4234z00_2645, BgL_arg4235z00_2646); } 
BgL_arg4231z00_2642 = 
MAKE_PAIR(BgL_arg4232z00_2643, BgL_arg4233z00_2644); } 
BgL_arg4229z00_2640 = 
MAKE_PAIR(BgL_arg4230z00_2641, BgL_arg4231z00_2642); } 
BgL_arg4226z00_2637 = 
MAKE_PAIR(BgL_arg4228z00_2639, BgL_arg4229z00_2640); } 
BgL_arg4225z00_2636 = 
MAKE_PAIR(BgL_arg4226z00_2637, BNIL); } 
BgL_arg4222z00_2633 = 
MAKE_PAIR(BgL_arg4224z00_2635, BgL_arg4225z00_2636); } 
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4236z00_2647;obj_t BgL_arg4237z00_2648;
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4238z00_2649;obj_t BgL_arg4239z00_2650;
BgL_arg4238z00_2649 = 
CNST_TABLE_REF(((long)89)); 
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4240z00_2651;
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4242z00_2653;obj_t BgL_arg4243z00_2654;
BgL_arg4242z00_2653 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4244z00_2655;obj_t BgL_arg4245z00_2656;
BgL_arg4244z00_2655 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4246z00_2657;obj_t BgL_arg4247z00_2658;
{ /* Jvm/env.scm 365 */
obj_t BgL_auxz00_5943;
BgL_auxz00_5943 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4246z00_2657 = 
MAKE_PAIR(BgL_auxz00_5943, BNIL); } 
{ /* Jvm/env.scm 365 */
obj_t BgL_arg4248z00_2659;obj_t BgL_arg4249z00_2660;
BgL_arg4248z00_2659 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg4249z00_2660 = 
MAKE_PAIR(BGl_string5156z00zzjvm_envz00, BNIL); 
BgL_arg4247z00_2658 = 
MAKE_PAIR(BgL_arg4248z00_2659, BgL_arg4249z00_2660); } 
BgL_arg4245z00_2656 = 
MAKE_PAIR(BgL_arg4246z00_2657, BgL_arg4247z00_2658); } 
BgL_arg4243z00_2654 = 
MAKE_PAIR(BgL_arg4244z00_2655, BgL_arg4245z00_2656); } 
BgL_arg4240z00_2651 = 
MAKE_PAIR(BgL_arg4242z00_2653, BgL_arg4243z00_2654); } 
BgL_arg4239z00_2650 = 
MAKE_PAIR(BgL_arg4240z00_2651, BNIL); } 
BgL_arg4236z00_2647 = 
MAKE_PAIR(BgL_arg4238z00_2649, BgL_arg4239z00_2650); } 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4250z00_2661;obj_t BgL_arg4251z00_2662;
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4252z00_2663;obj_t BgL_arg4253z00_2664;
BgL_arg4252z00_2663 = 
CNST_TABLE_REF(((long)90)); 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4254z00_2665;
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4256z00_2667;obj_t BgL_arg4257z00_2668;
BgL_arg4256z00_2667 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4258z00_2669;obj_t BgL_arg4259z00_2670;
BgL_arg4258z00_2669 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4260z00_2671;obj_t BgL_arg4261z00_2672;
{ /* Jvm/env.scm 366 */
obj_t BgL_auxz00_5957;
BgL_auxz00_5957 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4260z00_2671 = 
MAKE_PAIR(BgL_auxz00_5957, BNIL); } 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4262z00_2673;obj_t BgL_arg4263z00_2674;
BgL_arg4262z00_2673 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/env.scm 366 */
obj_t BgL_arg4265z00_2676;
{ /* Jvm/env.scm 366 */
obj_t BgL_auxz00_5961;
BgL_auxz00_5961 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg4265z00_2676 = 
MAKE_PAIR(BgL_auxz00_5961, BNIL); } 
BgL_arg4263z00_2674 = 
MAKE_PAIR(BGl_string5157z00zzjvm_envz00, BgL_arg4265z00_2676); } 
BgL_arg4261z00_2672 = 
MAKE_PAIR(BgL_arg4262z00_2673, BgL_arg4263z00_2674); } 
BgL_arg4259z00_2670 = 
MAKE_PAIR(BgL_arg4260z00_2671, BgL_arg4261z00_2672); } 
BgL_arg4257z00_2668 = 
MAKE_PAIR(BgL_arg4258z00_2669, BgL_arg4259z00_2670); } 
BgL_arg4254z00_2665 = 
MAKE_PAIR(BgL_arg4256z00_2667, BgL_arg4257z00_2668); } 
BgL_arg4253z00_2664 = 
MAKE_PAIR(BgL_arg4254z00_2665, BNIL); } 
BgL_arg4250z00_2661 = 
MAKE_PAIR(BgL_arg4252z00_2663, BgL_arg4253z00_2664); } 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4266z00_2677;obj_t BgL_arg4267z00_2678;
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4268z00_2679;obj_t BgL_arg4269z00_2680;
BgL_arg4268z00_2679 = 
CNST_TABLE_REF(((long)91)); 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4270z00_2681;
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4272z00_2683;obj_t BgL_arg4273z00_2684;
BgL_arg4272z00_2683 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4274z00_2685;obj_t BgL_arg4275z00_2686;
BgL_arg4274z00_2685 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4276z00_2687;obj_t BgL_arg4277z00_2688;
{ /* Jvm/env.scm 367 */
obj_t BgL_auxz00_5974;
BgL_auxz00_5974 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4276z00_2687 = 
MAKE_PAIR(BgL_auxz00_5974, BNIL); } 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4278z00_2689;obj_t BgL_arg4279z00_2690;
BgL_arg4278z00_2689 = 
CNST_TABLE_REF(((long)73)); 
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4281z00_2692;
{ /* Jvm/env.scm 367 */
obj_t BgL_arg4282z00_2693;obj_t BgL_arg4283z00_2694;
BgL_arg4282z00_2693 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 367 */
obj_t BgL_auxz00_5979;
BgL_auxz00_5979 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4283z00_2694 = 
MAKE_PAIR(BgL_auxz00_5979, BNIL); } 
BgL_arg4281z00_2692 = 
MAKE_PAIR(BgL_arg4282z00_2693, BgL_arg4283z00_2694); } 
BgL_arg4279z00_2690 = 
MAKE_PAIR(BGl_string5158z00zzjvm_envz00, BgL_arg4281z00_2692); } 
BgL_arg4277z00_2688 = 
MAKE_PAIR(BgL_arg4278z00_2689, BgL_arg4279z00_2690); } 
BgL_arg4275z00_2686 = 
MAKE_PAIR(BgL_arg4276z00_2687, BgL_arg4277z00_2688); } 
BgL_arg4273z00_2684 = 
MAKE_PAIR(BgL_arg4274z00_2685, BgL_arg4275z00_2686); } 
BgL_arg4270z00_2681 = 
MAKE_PAIR(BgL_arg4272z00_2683, BgL_arg4273z00_2684); } 
BgL_arg4269z00_2680 = 
MAKE_PAIR(BgL_arg4270z00_2681, BNIL); } 
BgL_arg4266z00_2677 = 
MAKE_PAIR(BgL_arg4268z00_2679, BgL_arg4269z00_2680); } 
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4284z00_2695;obj_t BgL_arg4285z00_2696;
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4286z00_2697;obj_t BgL_arg4287z00_2698;
BgL_arg4286z00_2697 = 
CNST_TABLE_REF(((long)92)); 
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4288z00_2699;
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4290z00_2701;obj_t BgL_arg4291z00_2702;
BgL_arg4290z00_2701 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4292z00_2703;obj_t BgL_arg4293z00_2704;
BgL_arg4292z00_2703 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4294z00_2705;obj_t BgL_arg4295z00_2706;
{ /* Jvm/env.scm 368 */
obj_t BgL_auxz00_5993;
BgL_auxz00_5993 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4294z00_2705 = 
MAKE_PAIR(BgL_auxz00_5993, BNIL); } 
{ /* Jvm/env.scm 368 */
obj_t BgL_arg4296z00_2707;obj_t BgL_arg4297z00_2708;
BgL_arg4296z00_2707 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4297z00_2708 = 
MAKE_PAIR(BGl_string5159z00zzjvm_envz00, BNIL); 
BgL_arg4295z00_2706 = 
MAKE_PAIR(BgL_arg4296z00_2707, BgL_arg4297z00_2708); } 
BgL_arg4293z00_2704 = 
MAKE_PAIR(BgL_arg4294z00_2705, BgL_arg4295z00_2706); } 
BgL_arg4291z00_2702 = 
MAKE_PAIR(BgL_arg4292z00_2703, BgL_arg4293z00_2704); } 
BgL_arg4288z00_2699 = 
MAKE_PAIR(BgL_arg4290z00_2701, BgL_arg4291z00_2702); } 
BgL_arg4287z00_2698 = 
MAKE_PAIR(BgL_arg4288z00_2699, BNIL); } 
BgL_arg4284z00_2695 = 
MAKE_PAIR(BgL_arg4286z00_2697, BgL_arg4287z00_2698); } 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4298z00_2709;obj_t BgL_arg4299z00_2710;
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4300z00_2711;obj_t BgL_arg4301z00_2712;
BgL_arg4300z00_2711 = 
CNST_TABLE_REF(((long)93)); 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4302z00_2713;
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4304z00_2715;obj_t BgL_arg4305z00_2716;
BgL_arg4304z00_2715 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4306z00_2717;obj_t BgL_arg4307z00_2718;
BgL_arg4306z00_2717 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4308z00_2719;obj_t BgL_arg4309z00_2720;
{ /* Jvm/env.scm 369 */
obj_t BgL_auxz00_6007;
BgL_auxz00_6007 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4308z00_2719 = 
MAKE_PAIR(BgL_auxz00_6007, BNIL); } 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4310z00_2721;obj_t BgL_arg4311z00_2722;
BgL_arg4310z00_2721 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4313z00_2724;
{ /* Jvm/env.scm 369 */
obj_t BgL_arg4314z00_2725;obj_t BgL_arg4315z00_2726;
BgL_arg4314z00_2725 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 369 */
obj_t BgL_auxz00_6012;
BgL_auxz00_6012 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4315z00_2726 = 
MAKE_PAIR(BgL_auxz00_6012, BNIL); } 
BgL_arg4313z00_2724 = 
MAKE_PAIR(BgL_arg4314z00_2725, BgL_arg4315z00_2726); } 
BgL_arg4311z00_2722 = 
MAKE_PAIR(BGl_string5160z00zzjvm_envz00, BgL_arg4313z00_2724); } 
BgL_arg4309z00_2720 = 
MAKE_PAIR(BgL_arg4310z00_2721, BgL_arg4311z00_2722); } 
BgL_arg4307z00_2718 = 
MAKE_PAIR(BgL_arg4308z00_2719, BgL_arg4309z00_2720); } 
BgL_arg4305z00_2716 = 
MAKE_PAIR(BgL_arg4306z00_2717, BgL_arg4307z00_2718); } 
BgL_arg4302z00_2713 = 
MAKE_PAIR(BgL_arg4304z00_2715, BgL_arg4305z00_2716); } 
BgL_arg4301z00_2712 = 
MAKE_PAIR(BgL_arg4302z00_2713, BNIL); } 
BgL_arg4298z00_2709 = 
MAKE_PAIR(BgL_arg4300z00_2711, BgL_arg4301z00_2712); } 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4316z00_2727;obj_t BgL_arg4317z00_2728;
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4318z00_2729;obj_t BgL_arg4319z00_2730;
BgL_arg4318z00_2729 = 
CNST_TABLE_REF(((long)94)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4320z00_2731;
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4322z00_2733;obj_t BgL_arg4323z00_2734;
BgL_arg4322z00_2733 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4324z00_2735;obj_t BgL_arg4325z00_2736;
BgL_arg4324z00_2735 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4326z00_2737;obj_t BgL_arg4327z00_2738;
{ /* Jvm/env.scm 370 */
obj_t BgL_auxz00_6026;
BgL_auxz00_6026 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4326z00_2737 = 
MAKE_PAIR(BgL_auxz00_6026, BNIL); } 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4328z00_2739;obj_t BgL_arg4329z00_2740;
BgL_arg4328z00_2739 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4331z00_2742;
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4332z00_2743;obj_t BgL_arg4333z00_2744;
BgL_arg4332z00_2743 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_arg4334z00_2745;obj_t BgL_arg4335z00_2746;
BgL_arg4334z00_2745 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 370 */
obj_t BgL_auxz00_6032;
BgL_auxz00_6032 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4335z00_2746 = 
MAKE_PAIR(BgL_auxz00_6032, BNIL); } 
BgL_arg4333z00_2744 = 
MAKE_PAIR(BgL_arg4334z00_2745, BgL_arg4335z00_2746); } 
BgL_arg4331z00_2742 = 
MAKE_PAIR(BgL_arg4332z00_2743, BgL_arg4333z00_2744); } 
BgL_arg4329z00_2740 = 
MAKE_PAIR(BGl_string5161z00zzjvm_envz00, BgL_arg4331z00_2742); } 
BgL_arg4327z00_2738 = 
MAKE_PAIR(BgL_arg4328z00_2739, BgL_arg4329z00_2740); } 
BgL_arg4325z00_2736 = 
MAKE_PAIR(BgL_arg4326z00_2737, BgL_arg4327z00_2738); } 
BgL_arg4323z00_2734 = 
MAKE_PAIR(BgL_arg4324z00_2735, BgL_arg4325z00_2736); } 
BgL_arg4320z00_2731 = 
MAKE_PAIR(BgL_arg4322z00_2733, BgL_arg4323z00_2734); } 
BgL_arg4319z00_2730 = 
MAKE_PAIR(BgL_arg4320z00_2731, BNIL); } 
BgL_arg4316z00_2727 = 
MAKE_PAIR(BgL_arg4318z00_2729, BgL_arg4319z00_2730); } 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4336z00_2747;obj_t BgL_arg4337z00_2748;
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4338z00_2749;obj_t BgL_arg4339z00_2750;
BgL_arg4338z00_2749 = 
CNST_TABLE_REF(((long)95)); 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4340z00_2751;
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4342z00_2753;obj_t BgL_arg4343z00_2754;
BgL_arg4342z00_2753 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4344z00_2755;obj_t BgL_arg4345z00_2756;
BgL_arg4344z00_2755 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4346z00_2757;obj_t BgL_arg4347z00_2758;
{ /* Jvm/env.scm 371 */
obj_t BgL_auxz00_6047;
BgL_auxz00_6047 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4346z00_2757 = 
MAKE_PAIR(BgL_auxz00_6047, BNIL); } 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4348z00_2759;obj_t BgL_arg4349z00_2760;
BgL_arg4348z00_2759 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/env.scm 371 */
obj_t BgL_arg4351z00_2762;
{ /* Jvm/env.scm 371 */
obj_t BgL_auxz00_6051;
BgL_auxz00_6051 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg4351z00_2762 = 
MAKE_PAIR(BgL_auxz00_6051, BNIL); } 
BgL_arg4349z00_2760 = 
MAKE_PAIR(BGl_string5162z00zzjvm_envz00, BgL_arg4351z00_2762); } 
BgL_arg4347z00_2758 = 
MAKE_PAIR(BgL_arg4348z00_2759, BgL_arg4349z00_2760); } 
BgL_arg4345z00_2756 = 
MAKE_PAIR(BgL_arg4346z00_2757, BgL_arg4347z00_2758); } 
BgL_arg4343z00_2754 = 
MAKE_PAIR(BgL_arg4344z00_2755, BgL_arg4345z00_2756); } 
BgL_arg4340z00_2751 = 
MAKE_PAIR(BgL_arg4342z00_2753, BgL_arg4343z00_2754); } 
BgL_arg4339z00_2750 = 
MAKE_PAIR(BgL_arg4340z00_2751, BNIL); } 
BgL_arg4336z00_2747 = 
MAKE_PAIR(BgL_arg4338z00_2749, BgL_arg4339z00_2750); } 
{ /* Jvm/env.scm 372 */
obj_t BgL_arg4352z00_2763;obj_t BgL_arg4353z00_2764;
{ /* Jvm/env.scm 372 */
obj_t BgL_arg4354z00_2765;obj_t BgL_arg4355z00_2766;
BgL_arg4354z00_2765 = 
CNST_TABLE_REF(((long)96)); 
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4356z00_2767;
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4358z00_2769;obj_t BgL_arg4359z00_2770;
BgL_arg4358z00_2769 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4360z00_2771;obj_t BgL_arg4361z00_2772;
BgL_arg4360z00_2771 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4362z00_2773;obj_t BgL_arg4363z00_2774;
{ /* Jvm/env.scm 373 */
obj_t BgL_auxz00_6064;
BgL_auxz00_6064 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4362z00_2773 = 
MAKE_PAIR(BgL_auxz00_6064, BNIL); } 
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4364z00_2775;obj_t BgL_arg4365z00_2776;
BgL_arg4364z00_2775 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4367z00_2778;
{ /* Jvm/env.scm 373 */
obj_t BgL_arg4368z00_2779;obj_t BgL_arg4369z00_2780;
BgL_arg4368z00_2779 = 
CNST_TABLE_REF(((long)46)); 
{ /* Jvm/env.scm 373 */
obj_t BgL_auxz00_6069;
BgL_auxz00_6069 = 
CNST_TABLE_REF(((long)49)); 
BgL_arg4369z00_2780 = 
MAKE_PAIR(BgL_auxz00_6069, BNIL); } 
BgL_arg4367z00_2778 = 
MAKE_PAIR(BgL_arg4368z00_2779, BgL_arg4369z00_2780); } 
BgL_arg4365z00_2776 = 
MAKE_PAIR(BGl_string5163z00zzjvm_envz00, BgL_arg4367z00_2778); } 
BgL_arg4363z00_2774 = 
MAKE_PAIR(BgL_arg4364z00_2775, BgL_arg4365z00_2776); } 
BgL_arg4361z00_2772 = 
MAKE_PAIR(BgL_arg4362z00_2773, BgL_arg4363z00_2774); } 
BgL_arg4359z00_2770 = 
MAKE_PAIR(BgL_arg4360z00_2771, BgL_arg4361z00_2772); } 
BgL_arg4356z00_2767 = 
MAKE_PAIR(BgL_arg4358z00_2769, BgL_arg4359z00_2770); } 
BgL_arg4355z00_2766 = 
MAKE_PAIR(BgL_arg4356z00_2767, BNIL); } 
BgL_arg4352z00_2763 = 
MAKE_PAIR(BgL_arg4354z00_2765, BgL_arg4355z00_2766); } 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4370z00_2781;obj_t BgL_arg4371z00_2782;
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4372z00_2783;obj_t BgL_arg4373z00_2784;
BgL_arg4372z00_2783 = 
CNST_TABLE_REF(((long)97)); 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4374z00_2785;
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4376z00_2787;obj_t BgL_arg4377z00_2788;
BgL_arg4376z00_2787 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4378z00_2789;obj_t BgL_arg4379z00_2790;
BgL_arg4378z00_2789 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4380z00_2791;obj_t BgL_arg4381z00_2792;
{ /* Jvm/env.scm 374 */
obj_t BgL_auxz00_6083;
BgL_auxz00_6083 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4380z00_2791 = 
MAKE_PAIR(BgL_auxz00_6083, BNIL); } 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4382z00_2793;obj_t BgL_arg4383z00_2794;
BgL_arg4382z00_2793 = 
CNST_TABLE_REF(((long)21)); 
{ /* Jvm/env.scm 374 */
obj_t BgL_arg4385z00_2796;
{ /* Jvm/env.scm 374 */
obj_t BgL_auxz00_6087;
BgL_auxz00_6087 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4385z00_2796 = 
MAKE_PAIR(BgL_auxz00_6087, BNIL); } 
BgL_arg4383z00_2794 = 
MAKE_PAIR(BGl_string5164z00zzjvm_envz00, BgL_arg4385z00_2796); } 
BgL_arg4381z00_2792 = 
MAKE_PAIR(BgL_arg4382z00_2793, BgL_arg4383z00_2794); } 
BgL_arg4379z00_2790 = 
MAKE_PAIR(BgL_arg4380z00_2791, BgL_arg4381z00_2792); } 
BgL_arg4377z00_2788 = 
MAKE_PAIR(BgL_arg4378z00_2789, BgL_arg4379z00_2790); } 
BgL_arg4374z00_2785 = 
MAKE_PAIR(BgL_arg4376z00_2787, BgL_arg4377z00_2788); } 
BgL_arg4373z00_2784 = 
MAKE_PAIR(BgL_arg4374z00_2785, BNIL); } 
BgL_arg4370z00_2781 = 
MAKE_PAIR(BgL_arg4372z00_2783, BgL_arg4373z00_2784); } 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4386z00_2797;obj_t BgL_arg4387z00_2798;
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4388z00_2799;obj_t BgL_arg4389z00_2800;
BgL_arg4388z00_2799 = 
CNST_TABLE_REF(((long)98)); 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4390z00_2801;
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4392z00_2803;obj_t BgL_arg4393z00_2804;
BgL_arg4392z00_2803 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4394z00_2805;obj_t BgL_arg4395z00_2806;
BgL_arg4394z00_2805 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4396z00_2807;obj_t BgL_arg4397z00_2808;
{ /* Jvm/env.scm 375 */
obj_t BgL_auxz00_6100;
BgL_auxz00_6100 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4396z00_2807 = 
MAKE_PAIR(BgL_auxz00_6100, BNIL); } 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4399z00_2809;obj_t BgL_arg4400z00_2810;
BgL_arg4399z00_2809 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4402z00_2812;
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4403z00_2813;
{ /* Jvm/env.scm 375 */
obj_t BgL_arg4405z00_2815;obj_t BgL_arg4406z00_2816;
BgL_arg4405z00_2815 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 375 */
obj_t BgL_auxz00_6105;
BgL_auxz00_6105 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg4406z00_2816 = 
MAKE_PAIR(BgL_auxz00_6105, BNIL); } 
BgL_arg4403z00_2813 = 
MAKE_PAIR(BgL_arg4405z00_2815, BgL_arg4406z00_2816); } 
BgL_arg4402z00_2812 = 
MAKE_PAIR(BgL_arg4403z00_2813, BNIL); } 
BgL_arg4400z00_2810 = 
MAKE_PAIR(BGl_string5165z00zzjvm_envz00, BgL_arg4402z00_2812); } 
BgL_arg4397z00_2808 = 
MAKE_PAIR(BgL_arg4399z00_2809, BgL_arg4400z00_2810); } 
BgL_arg4395z00_2806 = 
MAKE_PAIR(BgL_arg4396z00_2807, BgL_arg4397z00_2808); } 
BgL_arg4393z00_2804 = 
MAKE_PAIR(BgL_arg4394z00_2805, BgL_arg4395z00_2806); } 
BgL_arg4390z00_2801 = 
MAKE_PAIR(BgL_arg4392z00_2803, BgL_arg4393z00_2804); } 
BgL_arg4389z00_2800 = 
MAKE_PAIR(BgL_arg4390z00_2801, BNIL); } 
BgL_arg4386z00_2797 = 
MAKE_PAIR(BgL_arg4388z00_2799, BgL_arg4389z00_2800); } 
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4407z00_2817;obj_t BgL_arg4408z00_2818;
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4409z00_2819;obj_t BgL_arg4410z00_2820;
BgL_arg4409z00_2819 = 
CNST_TABLE_REF(((long)99)); 
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4411z00_2821;
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4413z00_2823;obj_t BgL_arg4414z00_2824;
BgL_arg4413z00_2823 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4416z00_2825;obj_t BgL_arg4417z00_2826;
BgL_arg4416z00_2825 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4419z00_2828;
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4420z00_2829;obj_t BgL_arg4421z00_2830;
{ /* Jvm/env.scm 376 */
obj_t BgL_arg4422z00_2831;obj_t BgL_arg4423z00_2832;
BgL_arg4422z00_2831 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 376 */
obj_t BgL_auxz00_6121;
BgL_auxz00_6121 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg4423z00_2832 = 
MAKE_PAIR(BgL_auxz00_6121, BNIL); } 
BgL_arg4420z00_2829 = 
MAKE_PAIR(BgL_arg4422z00_2831, BgL_arg4423z00_2832); } 
BgL_arg4421z00_2830 = 
MAKE_PAIR(BGl_string5166z00zzjvm_envz00, BNIL); 
BgL_arg4419z00_2828 = 
MAKE_PAIR(BgL_arg4420z00_2829, BgL_arg4421z00_2830); } 
BgL_arg4417z00_2826 = 
MAKE_PAIR(BNIL, BgL_arg4419z00_2828); } 
BgL_arg4414z00_2824 = 
MAKE_PAIR(BgL_arg4416z00_2825, BgL_arg4417z00_2826); } 
BgL_arg4411z00_2821 = 
MAKE_PAIR(BgL_arg4413z00_2823, BgL_arg4414z00_2824); } 
BgL_arg4410z00_2820 = 
MAKE_PAIR(BgL_arg4411z00_2821, BNIL); } 
BgL_arg4407z00_2817 = 
MAKE_PAIR(BgL_arg4409z00_2819, BgL_arg4410z00_2820); } 
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4424z00_2833;obj_t BgL_arg4425z00_2834;
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4426z00_2835;obj_t BgL_arg4427z00_2836;
BgL_arg4426z00_2835 = 
CNST_TABLE_REF(((long)100)); 
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4428z00_2837;
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4430z00_2839;obj_t BgL_arg4431z00_2840;
BgL_arg4430z00_2839 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4432z00_2841;obj_t BgL_arg4433z00_2842;
BgL_arg4432z00_2841 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4435z00_2844;
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4436z00_2845;obj_t BgL_arg4437z00_2846;
BgL_arg4436z00_2845 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/env.scm 377 */
obj_t BgL_arg4440z00_2848;
{ /* Jvm/env.scm 377 */
obj_t BgL_auxz00_6136;
BgL_auxz00_6136 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg4440z00_2848 = 
MAKE_PAIR(BgL_auxz00_6136, BNIL); } 
BgL_arg4437z00_2846 = 
MAKE_PAIR(BGl_string5167z00zzjvm_envz00, BgL_arg4440z00_2848); } 
BgL_arg4435z00_2844 = 
MAKE_PAIR(BgL_arg4436z00_2845, BgL_arg4437z00_2846); } 
BgL_arg4433z00_2842 = 
MAKE_PAIR(BNIL, BgL_arg4435z00_2844); } 
BgL_arg4431z00_2840 = 
MAKE_PAIR(BgL_arg4432z00_2841, BgL_arg4433z00_2842); } 
BgL_arg4428z00_2837 = 
MAKE_PAIR(BgL_arg4430z00_2839, BgL_arg4431z00_2840); } 
BgL_arg4427z00_2836 = 
MAKE_PAIR(BgL_arg4428z00_2837, BNIL); } 
BgL_arg4424z00_2833 = 
MAKE_PAIR(BgL_arg4426z00_2835, BgL_arg4427z00_2836); } 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4441z00_2849;obj_t BgL_arg4442z00_2850;
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4443z00_2851;obj_t BgL_arg4444z00_2852;
BgL_arg4443z00_2851 = 
CNST_TABLE_REF(((long)101)); 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4445z00_2853;
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4447z00_2855;obj_t BgL_arg4448z00_2856;
BgL_arg4447z00_2855 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4449z00_2857;obj_t BgL_arg4450z00_2858;
BgL_arg4449z00_2857 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4451z00_2859;obj_t BgL_arg4452z00_2860;
{ /* Jvm/env.scm 378 */
obj_t BgL_auxz00_6149;
BgL_auxz00_6149 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4451z00_2859 = 
MAKE_PAIR(BgL_auxz00_6149, BNIL); } 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4453z00_2861;obj_t BgL_arg4454z00_2862;
BgL_arg4453z00_2861 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 378 */
obj_t BgL_arg4456z00_2864;
{ /* Jvm/env.scm 378 */
obj_t BgL_auxz00_6153;
BgL_auxz00_6153 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4456z00_2864 = 
MAKE_PAIR(BgL_auxz00_6153, BNIL); } 
BgL_arg4454z00_2862 = 
MAKE_PAIR(BGl_string5168z00zzjvm_envz00, BgL_arg4456z00_2864); } 
BgL_arg4452z00_2860 = 
MAKE_PAIR(BgL_arg4453z00_2861, BgL_arg4454z00_2862); } 
BgL_arg4450z00_2858 = 
MAKE_PAIR(BgL_arg4451z00_2859, BgL_arg4452z00_2860); } 
BgL_arg4448z00_2856 = 
MAKE_PAIR(BgL_arg4449z00_2857, BgL_arg4450z00_2858); } 
BgL_arg4445z00_2853 = 
MAKE_PAIR(BgL_arg4447z00_2855, BgL_arg4448z00_2856); } 
BgL_arg4444z00_2852 = 
MAKE_PAIR(BgL_arg4445z00_2853, BNIL); } 
BgL_arg4441z00_2849 = 
MAKE_PAIR(BgL_arg4443z00_2851, BgL_arg4444z00_2852); } 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4457z00_2865;obj_t BgL_arg4458z00_2866;
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4460z00_2867;obj_t BgL_arg4461z00_2868;
BgL_arg4460z00_2867 = 
CNST_TABLE_REF(((long)102)); 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4462z00_2869;
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4464z00_2871;obj_t BgL_arg4465z00_2872;
BgL_arg4464z00_2871 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4466z00_2873;obj_t BgL_arg4467z00_2874;
BgL_arg4466z00_2873 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4468z00_2875;obj_t BgL_arg4469z00_2876;
{ /* Jvm/env.scm 379 */
obj_t BgL_auxz00_6166;
BgL_auxz00_6166 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4468z00_2875 = 
MAKE_PAIR(BgL_auxz00_6166, BNIL); } 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4470z00_2877;obj_t BgL_arg4471z00_2878;
BgL_arg4470z00_2877 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 379 */
obj_t BgL_arg4473z00_2880;
{ /* Jvm/env.scm 379 */
obj_t BgL_auxz00_6170;
BgL_auxz00_6170 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4473z00_2880 = 
MAKE_PAIR(BgL_auxz00_6170, BNIL); } 
BgL_arg4471z00_2878 = 
MAKE_PAIR(BGl_string5169z00zzjvm_envz00, BgL_arg4473z00_2880); } 
BgL_arg4469z00_2876 = 
MAKE_PAIR(BgL_arg4470z00_2877, BgL_arg4471z00_2878); } 
BgL_arg4467z00_2874 = 
MAKE_PAIR(BgL_arg4468z00_2875, BgL_arg4469z00_2876); } 
BgL_arg4465z00_2872 = 
MAKE_PAIR(BgL_arg4466z00_2873, BgL_arg4467z00_2874); } 
BgL_arg4462z00_2869 = 
MAKE_PAIR(BgL_arg4464z00_2871, BgL_arg4465z00_2872); } 
BgL_arg4461z00_2868 = 
MAKE_PAIR(BgL_arg4462z00_2869, BNIL); } 
BgL_arg4457z00_2865 = 
MAKE_PAIR(BgL_arg4460z00_2867, BgL_arg4461z00_2868); } 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4474z00_2881;obj_t BgL_arg4475z00_2882;
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4476z00_2883;obj_t BgL_arg4477z00_2884;
BgL_arg4476z00_2883 = 
CNST_TABLE_REF(((long)103)); 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4478z00_2885;
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4480z00_2887;obj_t BgL_arg4481z00_2888;
BgL_arg4480z00_2887 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4482z00_2889;obj_t BgL_arg4483z00_2890;
BgL_arg4482z00_2889 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4484z00_2891;obj_t BgL_arg4485z00_2892;
{ /* Jvm/env.scm 380 */
obj_t BgL_auxz00_6183;
BgL_auxz00_6183 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4484z00_2891 = 
MAKE_PAIR(BgL_auxz00_6183, BNIL); } 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4486z00_2893;obj_t BgL_arg4487z00_2894;
BgL_arg4486z00_2893 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 380 */
obj_t BgL_arg4489z00_2896;
{ /* Jvm/env.scm 380 */
obj_t BgL_auxz00_6187;
BgL_auxz00_6187 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4489z00_2896 = 
MAKE_PAIR(BgL_auxz00_6187, BNIL); } 
BgL_arg4487z00_2894 = 
MAKE_PAIR(BGl_string5170z00zzjvm_envz00, BgL_arg4489z00_2896); } 
BgL_arg4485z00_2892 = 
MAKE_PAIR(BgL_arg4486z00_2893, BgL_arg4487z00_2894); } 
BgL_arg4483z00_2890 = 
MAKE_PAIR(BgL_arg4484z00_2891, BgL_arg4485z00_2892); } 
BgL_arg4481z00_2888 = 
MAKE_PAIR(BgL_arg4482z00_2889, BgL_arg4483z00_2890); } 
BgL_arg4478z00_2885 = 
MAKE_PAIR(BgL_arg4480z00_2887, BgL_arg4481z00_2888); } 
BgL_arg4477z00_2884 = 
MAKE_PAIR(BgL_arg4478z00_2885, BNIL); } 
BgL_arg4474z00_2881 = 
MAKE_PAIR(BgL_arg4476z00_2883, BgL_arg4477z00_2884); } 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4490z00_2897;obj_t BgL_arg4491z00_2898;
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4492z00_2899;obj_t BgL_arg4493z00_2900;
BgL_arg4492z00_2899 = 
CNST_TABLE_REF(((long)104)); 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4494z00_2901;
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4496z00_2903;obj_t BgL_arg4497z00_2904;
BgL_arg4496z00_2903 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4498z00_2905;obj_t BgL_arg4499z00_2906;
BgL_arg4498z00_2905 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4500z00_2907;obj_t BgL_arg4501z00_2908;
{ /* Jvm/env.scm 381 */
obj_t BgL_auxz00_6200;
BgL_auxz00_6200 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4500z00_2907 = 
MAKE_PAIR(BgL_auxz00_6200, BNIL); } 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4502z00_2909;obj_t BgL_arg4503z00_2910;
BgL_arg4502z00_2909 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 381 */
obj_t BgL_arg4505z00_2912;
{ /* Jvm/env.scm 381 */
obj_t BgL_auxz00_6204;
BgL_auxz00_6204 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4505z00_2912 = 
MAKE_PAIR(BgL_auxz00_6204, BNIL); } 
BgL_arg4503z00_2910 = 
MAKE_PAIR(BGl_string5171z00zzjvm_envz00, BgL_arg4505z00_2912); } 
BgL_arg4501z00_2908 = 
MAKE_PAIR(BgL_arg4502z00_2909, BgL_arg4503z00_2910); } 
BgL_arg4499z00_2906 = 
MAKE_PAIR(BgL_arg4500z00_2907, BgL_arg4501z00_2908); } 
BgL_arg4497z00_2904 = 
MAKE_PAIR(BgL_arg4498z00_2905, BgL_arg4499z00_2906); } 
BgL_arg4494z00_2901 = 
MAKE_PAIR(BgL_arg4496z00_2903, BgL_arg4497z00_2904); } 
BgL_arg4493z00_2900 = 
MAKE_PAIR(BgL_arg4494z00_2901, BNIL); } 
BgL_arg4490z00_2897 = 
MAKE_PAIR(BgL_arg4492z00_2899, BgL_arg4493z00_2900); } 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4506z00_2913;obj_t BgL_arg4507z00_2914;
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4508z00_2915;obj_t BgL_arg4509z00_2916;
BgL_arg4508z00_2915 = 
CNST_TABLE_REF(((long)105)); 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4510z00_2917;
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4512z00_2919;obj_t BgL_arg4513z00_2920;
BgL_arg4512z00_2919 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4514z00_2921;obj_t BgL_arg4515z00_2922;
BgL_arg4514z00_2921 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4516z00_2923;obj_t BgL_arg4517z00_2924;
{ /* Jvm/env.scm 382 */
obj_t BgL_auxz00_6217;
BgL_auxz00_6217 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4516z00_2923 = 
MAKE_PAIR(BgL_auxz00_6217, BNIL); } 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4518z00_2925;obj_t BgL_arg4519z00_2926;
BgL_arg4518z00_2925 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 382 */
obj_t BgL_arg4521z00_2928;
{ /* Jvm/env.scm 382 */
obj_t BgL_auxz00_6221;
BgL_auxz00_6221 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4521z00_2928 = 
MAKE_PAIR(BgL_auxz00_6221, BNIL); } 
BgL_arg4519z00_2926 = 
MAKE_PAIR(BGl_string5172z00zzjvm_envz00, BgL_arg4521z00_2928); } 
BgL_arg4517z00_2924 = 
MAKE_PAIR(BgL_arg4518z00_2925, BgL_arg4519z00_2926); } 
BgL_arg4515z00_2922 = 
MAKE_PAIR(BgL_arg4516z00_2923, BgL_arg4517z00_2924); } 
BgL_arg4513z00_2920 = 
MAKE_PAIR(BgL_arg4514z00_2921, BgL_arg4515z00_2922); } 
BgL_arg4510z00_2917 = 
MAKE_PAIR(BgL_arg4512z00_2919, BgL_arg4513z00_2920); } 
BgL_arg4509z00_2916 = 
MAKE_PAIR(BgL_arg4510z00_2917, BNIL); } 
BgL_arg4506z00_2913 = 
MAKE_PAIR(BgL_arg4508z00_2915, BgL_arg4509z00_2916); } 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4522z00_2929;obj_t BgL_arg4523z00_2930;
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4524z00_2931;obj_t BgL_arg4525z00_2932;
BgL_arg4524z00_2931 = 
CNST_TABLE_REF(((long)106)); 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4526z00_2933;
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4528z00_2935;obj_t BgL_arg4529z00_2936;
BgL_arg4528z00_2935 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4530z00_2937;obj_t BgL_arg4531z00_2938;
BgL_arg4530z00_2937 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4532z00_2939;obj_t BgL_arg4533z00_2940;
{ /* Jvm/env.scm 383 */
obj_t BgL_auxz00_6234;
BgL_auxz00_6234 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4532z00_2939 = 
MAKE_PAIR(BgL_auxz00_6234, BNIL); } 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4534z00_2941;obj_t BgL_arg4535z00_2942;
BgL_arg4534z00_2941 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 383 */
obj_t BgL_arg4537z00_2944;
{ /* Jvm/env.scm 383 */
obj_t BgL_auxz00_6238;
BgL_auxz00_6238 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4537z00_2944 = 
MAKE_PAIR(BgL_auxz00_6238, BNIL); } 
BgL_arg4535z00_2942 = 
MAKE_PAIR(BGl_string5173z00zzjvm_envz00, BgL_arg4537z00_2944); } 
BgL_arg4533z00_2940 = 
MAKE_PAIR(BgL_arg4534z00_2941, BgL_arg4535z00_2942); } 
BgL_arg4531z00_2938 = 
MAKE_PAIR(BgL_arg4532z00_2939, BgL_arg4533z00_2940); } 
BgL_arg4529z00_2936 = 
MAKE_PAIR(BgL_arg4530z00_2937, BgL_arg4531z00_2938); } 
BgL_arg4526z00_2933 = 
MAKE_PAIR(BgL_arg4528z00_2935, BgL_arg4529z00_2936); } 
BgL_arg4525z00_2932 = 
MAKE_PAIR(BgL_arg4526z00_2933, BNIL); } 
BgL_arg4522z00_2929 = 
MAKE_PAIR(BgL_arg4524z00_2931, BgL_arg4525z00_2932); } 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4538z00_2945;obj_t BgL_arg4539z00_2946;
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4540z00_2947;obj_t BgL_arg4541z00_2948;
BgL_arg4540z00_2947 = 
CNST_TABLE_REF(((long)107)); 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4542z00_2949;
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4544z00_2951;obj_t BgL_arg4545z00_2952;
BgL_arg4544z00_2951 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4546z00_2953;obj_t BgL_arg4547z00_2954;
BgL_arg4546z00_2953 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4548z00_2955;obj_t BgL_arg4549z00_2956;
{ /* Jvm/env.scm 384 */
obj_t BgL_auxz00_6251;
BgL_auxz00_6251 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4548z00_2955 = 
MAKE_PAIR(BgL_auxz00_6251, BNIL); } 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4550z00_2957;obj_t BgL_arg4551z00_2958;
BgL_arg4550z00_2957 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 384 */
obj_t BgL_arg4553z00_2960;
{ /* Jvm/env.scm 384 */
obj_t BgL_auxz00_6255;
BgL_auxz00_6255 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4553z00_2960 = 
MAKE_PAIR(BgL_auxz00_6255, BNIL); } 
BgL_arg4551z00_2958 = 
MAKE_PAIR(BGl_string5174z00zzjvm_envz00, BgL_arg4553z00_2960); } 
BgL_arg4549z00_2956 = 
MAKE_PAIR(BgL_arg4550z00_2957, BgL_arg4551z00_2958); } 
BgL_arg4547z00_2954 = 
MAKE_PAIR(BgL_arg4548z00_2955, BgL_arg4549z00_2956); } 
BgL_arg4545z00_2952 = 
MAKE_PAIR(BgL_arg4546z00_2953, BgL_arg4547z00_2954); } 
BgL_arg4542z00_2949 = 
MAKE_PAIR(BgL_arg4544z00_2951, BgL_arg4545z00_2952); } 
BgL_arg4541z00_2948 = 
MAKE_PAIR(BgL_arg4542z00_2949, BNIL); } 
BgL_arg4538z00_2945 = 
MAKE_PAIR(BgL_arg4540z00_2947, BgL_arg4541z00_2948); } 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4554z00_2961;obj_t BgL_arg4555z00_2962;
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4556z00_2963;obj_t BgL_arg4557z00_2964;
BgL_arg4556z00_2963 = 
CNST_TABLE_REF(((long)108)); 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4558z00_2965;
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4560z00_2967;obj_t BgL_arg4561z00_2968;
BgL_arg4560z00_2967 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4562z00_2969;obj_t BgL_arg4563z00_2970;
BgL_arg4562z00_2969 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4564z00_2971;obj_t BgL_arg4565z00_2972;
{ /* Jvm/env.scm 385 */
obj_t BgL_auxz00_6268;
BgL_auxz00_6268 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4564z00_2971 = 
MAKE_PAIR(BgL_auxz00_6268, BNIL); } 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4566z00_2973;obj_t BgL_arg4567z00_2974;
BgL_arg4566z00_2973 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 385 */
obj_t BgL_arg4569z00_2976;
{ /* Jvm/env.scm 385 */
obj_t BgL_auxz00_6272;
BgL_auxz00_6272 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4569z00_2976 = 
MAKE_PAIR(BgL_auxz00_6272, BNIL); } 
BgL_arg4567z00_2974 = 
MAKE_PAIR(BGl_string5175z00zzjvm_envz00, BgL_arg4569z00_2976); } 
BgL_arg4565z00_2972 = 
MAKE_PAIR(BgL_arg4566z00_2973, BgL_arg4567z00_2974); } 
BgL_arg4563z00_2970 = 
MAKE_PAIR(BgL_arg4564z00_2971, BgL_arg4565z00_2972); } 
BgL_arg4561z00_2968 = 
MAKE_PAIR(BgL_arg4562z00_2969, BgL_arg4563z00_2970); } 
BgL_arg4558z00_2965 = 
MAKE_PAIR(BgL_arg4560z00_2967, BgL_arg4561z00_2968); } 
BgL_arg4557z00_2964 = 
MAKE_PAIR(BgL_arg4558z00_2965, BNIL); } 
BgL_arg4554z00_2961 = 
MAKE_PAIR(BgL_arg4556z00_2963, BgL_arg4557z00_2964); } 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4570z00_2977;obj_t BgL_arg4571z00_2978;
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4572z00_2979;obj_t BgL_arg4573z00_2980;
BgL_arg4572z00_2979 = 
CNST_TABLE_REF(((long)109)); 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4574z00_2981;
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4576z00_2983;obj_t BgL_arg4577z00_2984;
BgL_arg4576z00_2983 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4578z00_2985;obj_t BgL_arg4579z00_2986;
BgL_arg4578z00_2985 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4580z00_2987;obj_t BgL_arg4581z00_2988;
{ /* Jvm/env.scm 386 */
obj_t BgL_auxz00_6285;
BgL_auxz00_6285 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4580z00_2987 = 
MAKE_PAIR(BgL_auxz00_6285, BNIL); } 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4582z00_2989;obj_t BgL_arg4583z00_2990;
BgL_arg4582z00_2989 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 386 */
obj_t BgL_arg4585z00_2992;
{ /* Jvm/env.scm 386 */
obj_t BgL_auxz00_6289;
BgL_auxz00_6289 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4585z00_2992 = 
MAKE_PAIR(BgL_auxz00_6289, BNIL); } 
BgL_arg4583z00_2990 = 
MAKE_PAIR(BGl_string5176z00zzjvm_envz00, BgL_arg4585z00_2992); } 
BgL_arg4581z00_2988 = 
MAKE_PAIR(BgL_arg4582z00_2989, BgL_arg4583z00_2990); } 
BgL_arg4579z00_2986 = 
MAKE_PAIR(BgL_arg4580z00_2987, BgL_arg4581z00_2988); } 
BgL_arg4577z00_2984 = 
MAKE_PAIR(BgL_arg4578z00_2985, BgL_arg4579z00_2986); } 
BgL_arg4574z00_2981 = 
MAKE_PAIR(BgL_arg4576z00_2983, BgL_arg4577z00_2984); } 
BgL_arg4573z00_2980 = 
MAKE_PAIR(BgL_arg4574z00_2981, BNIL); } 
BgL_arg4570z00_2977 = 
MAKE_PAIR(BgL_arg4572z00_2979, BgL_arg4573z00_2980); } 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4586z00_2993;obj_t BgL_arg4587z00_2994;
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4588z00_2995;obj_t BgL_arg4589z00_2996;
BgL_arg4588z00_2995 = 
CNST_TABLE_REF(((long)110)); 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4590z00_2997;
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4592z00_2999;obj_t BgL_arg4593z00_3000;
BgL_arg4592z00_2999 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4594z00_3001;obj_t BgL_arg4595z00_3002;
BgL_arg4594z00_3001 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4596z00_3003;obj_t BgL_arg4597z00_3004;
{ /* Jvm/env.scm 387 */
obj_t BgL_auxz00_6302;
BgL_auxz00_6302 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4596z00_3003 = 
MAKE_PAIR(BgL_auxz00_6302, BNIL); } 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4598z00_3005;obj_t BgL_arg4599z00_3006;
BgL_arg4598z00_3005 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 387 */
obj_t BgL_arg4601z00_3008;
{ /* Jvm/env.scm 387 */
obj_t BgL_auxz00_6306;
BgL_auxz00_6306 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4601z00_3008 = 
MAKE_PAIR(BgL_auxz00_6306, BNIL); } 
BgL_arg4599z00_3006 = 
MAKE_PAIR(BGl_string5177z00zzjvm_envz00, BgL_arg4601z00_3008); } 
BgL_arg4597z00_3004 = 
MAKE_PAIR(BgL_arg4598z00_3005, BgL_arg4599z00_3006); } 
BgL_arg4595z00_3002 = 
MAKE_PAIR(BgL_arg4596z00_3003, BgL_arg4597z00_3004); } 
BgL_arg4593z00_3000 = 
MAKE_PAIR(BgL_arg4594z00_3001, BgL_arg4595z00_3002); } 
BgL_arg4590z00_2997 = 
MAKE_PAIR(BgL_arg4592z00_2999, BgL_arg4593z00_3000); } 
BgL_arg4589z00_2996 = 
MAKE_PAIR(BgL_arg4590z00_2997, BNIL); } 
BgL_arg4586z00_2993 = 
MAKE_PAIR(BgL_arg4588z00_2995, BgL_arg4589z00_2996); } 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4602z00_3009;obj_t BgL_arg4603z00_3010;
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4604z00_3011;obj_t BgL_arg4605z00_3012;
BgL_arg4604z00_3011 = 
CNST_TABLE_REF(((long)111)); 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4606z00_3013;
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4608z00_3015;obj_t BgL_arg4609z00_3016;
BgL_arg4608z00_3015 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4610z00_3017;obj_t BgL_arg4611z00_3018;
BgL_arg4610z00_3017 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4612z00_3019;obj_t BgL_arg4613z00_3020;
{ /* Jvm/env.scm 388 */
obj_t BgL_auxz00_6319;
BgL_auxz00_6319 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4612z00_3019 = 
MAKE_PAIR(BgL_auxz00_6319, BNIL); } 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4614z00_3021;obj_t BgL_arg4615z00_3022;
BgL_arg4614z00_3021 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4617z00_3024;
{ /* Jvm/env.scm 388 */
obj_t BgL_arg4618z00_3025;obj_t BgL_arg4619z00_3026;
BgL_arg4618z00_3025 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 388 */
obj_t BgL_auxz00_6324;
BgL_auxz00_6324 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4619z00_3026 = 
MAKE_PAIR(BgL_auxz00_6324, BNIL); } 
BgL_arg4617z00_3024 = 
MAKE_PAIR(BgL_arg4618z00_3025, BgL_arg4619z00_3026); } 
BgL_arg4615z00_3022 = 
MAKE_PAIR(BGl_string5178z00zzjvm_envz00, BgL_arg4617z00_3024); } 
BgL_arg4613z00_3020 = 
MAKE_PAIR(BgL_arg4614z00_3021, BgL_arg4615z00_3022); } 
BgL_arg4611z00_3018 = 
MAKE_PAIR(BgL_arg4612z00_3019, BgL_arg4613z00_3020); } 
BgL_arg4609z00_3016 = 
MAKE_PAIR(BgL_arg4610z00_3017, BgL_arg4611z00_3018); } 
BgL_arg4606z00_3013 = 
MAKE_PAIR(BgL_arg4608z00_3015, BgL_arg4609z00_3016); } 
BgL_arg4605z00_3012 = 
MAKE_PAIR(BgL_arg4606z00_3013, BNIL); } 
BgL_arg4602z00_3009 = 
MAKE_PAIR(BgL_arg4604z00_3011, BgL_arg4605z00_3012); } 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4620z00_3027;obj_t BgL_arg4621z00_3028;
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4622z00_3029;obj_t BgL_arg4623z00_3030;
BgL_arg4622z00_3029 = 
CNST_TABLE_REF(((long)112)); 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4624z00_3031;
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4626z00_3033;obj_t BgL_arg4627z00_3034;
BgL_arg4626z00_3033 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4628z00_3035;obj_t BgL_arg4629z00_3036;
BgL_arg4628z00_3035 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4630z00_3037;obj_t BgL_arg4631z00_3038;
{ /* Jvm/env.scm 389 */
obj_t BgL_auxz00_6338;
BgL_auxz00_6338 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4630z00_3037 = 
MAKE_PAIR(BgL_auxz00_6338, BNIL); } 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4632z00_3039;obj_t BgL_arg4633z00_3040;
BgL_arg4632z00_3039 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 389 */
obj_t BgL_arg4635z00_3042;
{ /* Jvm/env.scm 389 */
obj_t BgL_auxz00_6342;
BgL_auxz00_6342 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4635z00_3042 = 
MAKE_PAIR(BgL_auxz00_6342, BNIL); } 
BgL_arg4633z00_3040 = 
MAKE_PAIR(BGl_string5179z00zzjvm_envz00, BgL_arg4635z00_3042); } 
BgL_arg4631z00_3038 = 
MAKE_PAIR(BgL_arg4632z00_3039, BgL_arg4633z00_3040); } 
BgL_arg4629z00_3036 = 
MAKE_PAIR(BgL_arg4630z00_3037, BgL_arg4631z00_3038); } 
BgL_arg4627z00_3034 = 
MAKE_PAIR(BgL_arg4628z00_3035, BgL_arg4629z00_3036); } 
BgL_arg4624z00_3031 = 
MAKE_PAIR(BgL_arg4626z00_3033, BgL_arg4627z00_3034); } 
BgL_arg4623z00_3030 = 
MAKE_PAIR(BgL_arg4624z00_3031, BNIL); } 
BgL_arg4620z00_3027 = 
MAKE_PAIR(BgL_arg4622z00_3029, BgL_arg4623z00_3030); } 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4636z00_3043;
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4638z00_3045;obj_t BgL_arg4639z00_3046;
BgL_arg4638z00_3045 = 
CNST_TABLE_REF(((long)113)); 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4640z00_3047;
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4642z00_3049;obj_t BgL_arg4643z00_3050;
BgL_arg4642z00_3049 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4644z00_3051;obj_t BgL_arg4645z00_3052;
BgL_arg4644z00_3051 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4646z00_3053;obj_t BgL_arg4647z00_3054;
{ /* Jvm/env.scm 390 */
obj_t BgL_auxz00_6355;
BgL_auxz00_6355 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg4646z00_3053 = 
MAKE_PAIR(BgL_auxz00_6355, BNIL); } 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4648z00_3055;obj_t BgL_arg4649z00_3056;
BgL_arg4648z00_3055 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4651z00_3058;
{ /* Jvm/env.scm 390 */
obj_t BgL_arg4652z00_3059;obj_t BgL_arg4653z00_3060;
BgL_arg4652z00_3059 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/env.scm 390 */
obj_t BgL_auxz00_6360;
BgL_auxz00_6360 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg4653z00_3060 = 
MAKE_PAIR(BgL_auxz00_6360, BNIL); } 
BgL_arg4651z00_3058 = 
MAKE_PAIR(BgL_arg4652z00_3059, BgL_arg4653z00_3060); } 
BgL_arg4649z00_3056 = 
MAKE_PAIR(BGl_string5180z00zzjvm_envz00, BgL_arg4651z00_3058); } 
BgL_arg4647z00_3054 = 
MAKE_PAIR(BgL_arg4648z00_3055, BgL_arg4649z00_3056); } 
BgL_arg4645z00_3052 = 
MAKE_PAIR(BgL_arg4646z00_3053, BgL_arg4647z00_3054); } 
BgL_arg4643z00_3050 = 
MAKE_PAIR(BgL_arg4644z00_3051, BgL_arg4645z00_3052); } 
BgL_arg4640z00_3047 = 
MAKE_PAIR(BgL_arg4642z00_3049, BgL_arg4643z00_3050); } 
BgL_arg4639z00_3046 = 
MAKE_PAIR(BgL_arg4640z00_3047, BNIL); } 
BgL_arg4636z00_3043 = 
MAKE_PAIR(BgL_arg4638z00_3045, BgL_arg4639z00_3046); } 
BgL_arg4621z00_3028 = 
MAKE_PAIR(BgL_arg4636z00_3043, BNIL); } 
BgL_arg4603z00_3010 = 
MAKE_PAIR(BgL_arg4620z00_3027, BgL_arg4621z00_3028); } 
BgL_arg4587z00_2994 = 
MAKE_PAIR(BgL_arg4602z00_3009, BgL_arg4603z00_3010); } 
BgL_arg4571z00_2978 = 
MAKE_PAIR(BgL_arg4586z00_2993, BgL_arg4587z00_2994); } 
BgL_arg4555z00_2962 = 
MAKE_PAIR(BgL_arg4570z00_2977, BgL_arg4571z00_2978); } 
BgL_arg4539z00_2946 = 
MAKE_PAIR(BgL_arg4554z00_2961, BgL_arg4555z00_2962); } 
BgL_arg4523z00_2930 = 
MAKE_PAIR(BgL_arg4538z00_2945, BgL_arg4539z00_2946); } 
BgL_arg4507z00_2914 = 
MAKE_PAIR(BgL_arg4522z00_2929, BgL_arg4523z00_2930); } 
BgL_arg4491z00_2898 = 
MAKE_PAIR(BgL_arg4506z00_2913, BgL_arg4507z00_2914); } 
BgL_arg4475z00_2882 = 
MAKE_PAIR(BgL_arg4490z00_2897, BgL_arg4491z00_2898); } 
BgL_arg4458z00_2866 = 
MAKE_PAIR(BgL_arg4474z00_2881, BgL_arg4475z00_2882); } 
BgL_arg4442z00_2850 = 
MAKE_PAIR(BgL_arg4457z00_2865, BgL_arg4458z00_2866); } 
BgL_arg4425z00_2834 = 
MAKE_PAIR(BgL_arg4441z00_2849, BgL_arg4442z00_2850); } 
BgL_arg4408z00_2818 = 
MAKE_PAIR(BgL_arg4424z00_2833, BgL_arg4425z00_2834); } 
BgL_arg4387z00_2798 = 
MAKE_PAIR(BgL_arg4407z00_2817, BgL_arg4408z00_2818); } 
BgL_arg4371z00_2782 = 
MAKE_PAIR(BgL_arg4386z00_2797, BgL_arg4387z00_2798); } 
BgL_arg4353z00_2764 = 
MAKE_PAIR(BgL_arg4370z00_2781, BgL_arg4371z00_2782); } 
BgL_arg4337z00_2748 = 
MAKE_PAIR(BgL_arg4352z00_2763, BgL_arg4353z00_2764); } 
BgL_arg4317z00_2728 = 
MAKE_PAIR(BgL_arg4336z00_2747, BgL_arg4337z00_2748); } 
BgL_arg4299z00_2710 = 
MAKE_PAIR(BgL_arg4316z00_2727, BgL_arg4317z00_2728); } 
BgL_arg4285z00_2696 = 
MAKE_PAIR(BgL_arg4298z00_2709, BgL_arg4299z00_2710); } 
BgL_arg4267z00_2678 = 
MAKE_PAIR(BgL_arg4284z00_2695, BgL_arg4285z00_2696); } 
BgL_arg4251z00_2662 = 
MAKE_PAIR(BgL_arg4266z00_2677, BgL_arg4267z00_2678); } 
BgL_arg4237z00_2648 = 
MAKE_PAIR(BgL_arg4250z00_2661, BgL_arg4251z00_2662); } 
BgL_arg4223z00_2634 = 
MAKE_PAIR(BgL_arg4236z00_2647, BgL_arg4237z00_2648); } 
BgL_arg4207z00_2618 = 
MAKE_PAIR(BgL_arg4222z00_2633, BgL_arg4223z00_2634); } 
BgL_arg4193z00_2604 = 
MAKE_PAIR(BgL_arg4206z00_2617, BgL_arg4207z00_2618); } 
BgL_arg4179z00_2590 = 
MAKE_PAIR(BgL_arg4192z00_2603, BgL_arg4193z00_2604); } 
BgL_arg4165z00_2576 = 
MAKE_PAIR(BgL_arg4178z00_2589, BgL_arg4179z00_2590); } 
BgL_arg4151z00_2562 = 
MAKE_PAIR(BgL_arg4164z00_2575, BgL_arg4165z00_2576); } 
BgL_arg4137z00_2548 = 
MAKE_PAIR(BgL_arg4150z00_2561, BgL_arg4151z00_2562); } 
BgL_arg4123z00_2534 = 
MAKE_PAIR(BgL_arg4136z00_2547, BgL_arg4137z00_2548); } 
BgL_arg4107z00_2518 = 
MAKE_PAIR(BgL_arg4122z00_2533, BgL_arg4123z00_2534); } 
BgL_arg4093z00_2504 = 
MAKE_PAIR(BgL_arg4106z00_2517, BgL_arg4107z00_2518); } 
BgL_arg4079z00_2490 = 
MAKE_PAIR(BgL_arg4092z00_2503, BgL_arg4093z00_2504); } 
BgL_arg4065z00_2476 = 
MAKE_PAIR(BgL_arg4078z00_2489, BgL_arg4079z00_2490); } 
BgL_arg4051z00_2462 = 
MAKE_PAIR(BgL_arg4064z00_2475, BgL_arg4065z00_2476); } 
BgL_arg4037z00_2448 = 
MAKE_PAIR(BgL_arg4050z00_2461, BgL_arg4051z00_2462); } 
BgL_arg4023z00_2434 = 
MAKE_PAIR(BgL_arg4036z00_2447, BgL_arg4037z00_2448); } 
BgL_arg4009z00_2420 = 
MAKE_PAIR(BgL_arg4022z00_2433, BgL_arg4023z00_2434); } 
BgL_arg3995z00_2406 = 
MAKE_PAIR(BgL_arg4008z00_2419, BgL_arg4009z00_2420); } 
BgL_arg3980z00_2392 = 
MAKE_PAIR(BgL_arg3994z00_2405, BgL_arg3995z00_2406); } 
BgL_arg3969z00_2382 = 
MAKE_PAIR(BgL_arg3979z00_2391, BgL_arg3980z00_2392); } 
BgL_arg3955z00_2368 = 
MAKE_PAIR(BgL_arg3968z00_2381, BgL_arg3969z00_2382); } 
BgL_arg3941z00_2354 = 
MAKE_PAIR(BgL_arg3954z00_2367, BgL_arg3955z00_2368); } 
BgL_arg3931z00_2344 = 
MAKE_PAIR(BgL_arg3940z00_2353, BgL_arg3941z00_2354); } 
BgL_arg3915z00_2328 = 
MAKE_PAIR(BgL_arg3930z00_2343, BgL_arg3931z00_2344); } 
BgL_arg3901z00_2314 = 
MAKE_PAIR(BgL_arg3914z00_2327, BgL_arg3915z00_2328); } 
BgL_arg3891z00_2304 = 
MAKE_PAIR(BgL_arg3900z00_2313, BgL_arg3901z00_2314); } 
BgL_arg3877z00_2290 = 
MAKE_PAIR(BgL_arg3890z00_2303, BgL_arg3891z00_2304); } 
BgL_arg3863z00_2276 = 
MAKE_PAIR(BgL_arg3876z00_2289, BgL_arg3877z00_2290); } 
BgL_arg3853z00_2266 = 
MAKE_PAIR(BgL_arg3862z00_2275, BgL_arg3863z00_2276); } 
BgL_arg3835z00_2248 = 
MAKE_PAIR(BgL_arg3852z00_2265, BgL_arg3853z00_2266); } 
BgL_arg3821z00_2234 = 
MAKE_PAIR(BgL_arg3834z00_2247, BgL_arg3835z00_2248); } 
BgL_arg3806z00_2220 = 
MAKE_PAIR(BgL_arg3820z00_2233, BgL_arg3821z00_2234); } 
BgL_arg3792z00_2206 = 
MAKE_PAIR(BgL_arg3805z00_2219, BgL_arg3806z00_2220); } 
BgL_arg3782z00_2196 = 
MAKE_PAIR(BgL_arg3791z00_2205, BgL_arg3792z00_2206); } 
BgL_arg3766z00_2182 = 
MAKE_PAIR(BgL_arg3781z00_2195, BgL_arg3782z00_2196); } 
BgL_arg3749z00_2166 = 
MAKE_PAIR(BgL_arg3765z00_2181, BgL_arg3766z00_2182); } 
BgL_arg3739z00_2156 = 
MAKE_PAIR(BgL_arg3748z00_2165, BgL_arg3749z00_2166); } 
BgL_arg3727z00_2146 = 
MAKE_PAIR(BgL_arg3736z00_2155, BgL_arg3739z00_2156); } 
BgL_arg3711z00_2130 = 
MAKE_PAIR(BgL_arg3726z00_2145, BgL_arg3727z00_2146); } 
BgL_arg3701z00_2120 = 
MAKE_PAIR(BgL_arg3710z00_2129, BgL_arg3711z00_2130); } 
BgL_arg3690z00_2110 = 
MAKE_PAIR(BgL_arg3700z00_2119, BgL_arg3701z00_2120); } 
BgL_arg3680z00_2100 = 
MAKE_PAIR(BgL_arg3689z00_2109, BgL_arg3690z00_2110); } 
BgL_arg3662z00_2084 = 
MAKE_PAIR(BgL_arg3679z00_2099, BgL_arg3680z00_2100); } 
BgL_arg3638z00_2062 = 
MAKE_PAIR(BgL_arg3661z00_2083, BgL_arg3662z00_2084); } 
BgL_arg3616z00_2042 = 
MAKE_PAIR(BgL_arg3637z00_2061, BgL_arg3638z00_2062); } 
BgL_arg3598z00_2024 = 
MAKE_PAIR(BgL_arg3615z00_2041, BgL_arg3616z00_2042); } 
BgL_arg3581z00_2008 = 
MAKE_PAIR(BgL_arg3597z00_2023, BgL_arg3598z00_2024); } 
BgL_arg3567z00_1994 = 
MAKE_PAIR(BgL_arg3580z00_2007, BgL_arg3581z00_2008); } 
BgL_arg3549z00_1978 = 
MAKE_PAIR(BgL_arg3566z00_1993, BgL_arg3567z00_1994); } 
BgL_arg3535z00_1964 = 
MAKE_PAIR(BgL_arg3548z00_1977, BgL_arg3549z00_1978); } 
BgL_arg3521z00_1950 = 
MAKE_PAIR(BgL_arg3534z00_1963, BgL_arg3535z00_1964); } 
BgL_arg3510z00_1940 = 
MAKE_PAIR(BgL_arg3520z00_1949, BgL_arg3521z00_1950); } 
BgL_arg3499z00_1930 = 
MAKE_PAIR(BgL_arg3509z00_1939, BgL_arg3510z00_1940); } 
BgL_arg3483z00_1914 = 
MAKE_PAIR(BgL_arg3498z00_1929, BgL_arg3499z00_1930); } 
BgL_arg3473z00_1904 = 
MAKE_PAIR(BgL_arg3482z00_1913, BgL_arg3483z00_1914); } 
BgL_arg3463z00_1894 = 
MAKE_PAIR(BgL_arg3472z00_1903, BgL_arg3473z00_1904); } 
BgL_arg3453z00_1884 = 
MAKE_PAIR(BgL_arg3462z00_1893, BgL_arg3463z00_1894); } 
BgL_arg3442z00_1874 = 
MAKE_PAIR(BgL_arg3452z00_1883, BgL_arg3453z00_1884); } 
BgL_arg3427z00_1860 = 
MAKE_PAIR(BgL_arg3441z00_1873, BgL_arg3442z00_1874); } 
BgL_arg3417z00_1850 = 
MAKE_PAIR(BgL_arg3426z00_1859, BgL_arg3427z00_1860); } 
BgL_arg3400z00_1834 = 
MAKE_PAIR(BgL_arg3416z00_1849, BgL_arg3417z00_1850); } 
BgL_arg3385z00_1820 = 
MAKE_PAIR(BgL_arg3399z00_1833, BgL_arg3400z00_1834); } 
BgL_arg3374z00_1810 = 
MAKE_PAIR(BgL_arg3384z00_1819, BgL_arg3385z00_1820); } 
BgL_arg3364z00_1800 = 
MAKE_PAIR(BgL_arg3373z00_1809, BgL_arg3374z00_1810); } 
BgL_arg3347z00_1784 = 
MAKE_PAIR(BgL_arg3363z00_1799, BgL_arg3364z00_1800); } 
BgL_arg3332z00_1770 = 
MAKE_PAIR(BgL_arg3346z00_1783, BgL_arg3347z00_1784); } 
BgL_arg3319z00_1760 = 
MAKE_PAIR(BgL_arg3331z00_1769, BgL_arg3332z00_1770); } 
BgL_arg3304z00_1746 = 
MAKE_PAIR(BgL_arg3318z00_1759, BgL_arg3319z00_1760); } 
BgL_arg3294z00_1736 = 
MAKE_PAIR(BgL_arg3303z00_1745, BgL_arg3304z00_1746); } 
BgL_arg3284z00_1726 = 
MAKE_PAIR(BgL_arg3293z00_1735, BgL_arg3294z00_1736); } 
BgL_arg3274z00_1716 = 
MAKE_PAIR(BgL_arg3283z00_1725, BgL_arg3284z00_1726); } 
BgL_arg3263z00_1706 = 
MAKE_PAIR(BgL_arg3273z00_1715, BgL_arg3274z00_1716); } 
BgL_arg3253z00_1696 = 
MAKE_PAIR(BgL_arg3262z00_1705, BgL_arg3263z00_1706); } 
BgL_arg3243z00_1686 = 
MAKE_PAIR(BgL_arg3252z00_1695, BgL_arg3253z00_1696); } 
BgL_arg3233z00_1676 = 
MAKE_PAIR(BgL_arg3242z00_1685, BgL_arg3243z00_1686); } 
BgL_arg3222z00_1666 = 
MAKE_PAIR(BgL_arg3232z00_1675, BgL_arg3233z00_1676); } 
BgL_arg3212z00_1656 = 
MAKE_PAIR(BgL_arg3221z00_1665, BgL_arg3222z00_1666); } 
BGl_za2za2jlibzd2commonza2za2zd2zzjvm_envz00 = 
MAKE_PAIR(BgL_arg3211z00_1655, BgL_arg3212z00_1656); } 
BGl_za2za2jlib32za2za2z00zzjvm_envz00 = 
bgl_append2(
CNST_TABLE_REF(((long)114)), BGl_za2za2jlibzd2commonza2za2zd2zzjvm_envz00); 
return ( 
BGl_za2za2jlib64za2za2z00zzjvm_envz00 = 
bgl_append2(
CNST_TABLE_REF(((long)115)), BGl_za2za2jlibzd2commonza2za2zd2zzjvm_envz00), BUNSPEC) ;} 
}



/* compile-type */
obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t BgL_vz00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/env.scm 71 */
{ /* Jvm/env.scm 72 */
obj_t BgL_actualzd2typezd2_3932;
{ /* Jvm/env.scm 72 */
bool_t BgL_test4654z00_3933;
BgL_test4654z00_3933 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_1); 
if(BgL_test4654z00_3933)
{ /* Jvm/env.scm 72 */
BgL_tclassz00_bglt BgL_obj2734z00_3934;
BgL_obj2734z00_3934 = 
(BgL_tclassz00_bglt)(BgL_vz00_1); 
{ 
obj_t BgL_auxz00_6479;
{ /* Jvm/env.scm 72 */
BgL_objectz00_bglt BgL_auxz00_6480;
BgL_auxz00_6480 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3934); 
BgL_auxz00_6479 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6480); } 
BgL_actualzd2typezd2_3932 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6479))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 72 */
BgL_actualzd2typezd2_3932 = BgL_vz00_1; } } 
return 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_actualzd2typezd2_3932, BgL_envz00_2);} } 
}



/* _compile-type5041 */
obj_t BGl__compilezd2type5041zd2zzjvm_envz00(obj_t BgL_envz00_4909, obj_t BgL_vz00_4910, obj_t BgL_envz00_4911)
{ AN_OBJECT;
{ /* Jvm/env.scm 71 */
return 
BGl_compilezd2typezd2zzjvm_envz00(BgL_vz00_4910, 
(BgL_envz00_bglt)(BgL_envz00_4911));} 
}



/* compile-type-nowidening */
obj_t BGl_compilezd2typezd2nowideningz00zzjvm_envz00(obj_t BgL_vz00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* Jvm/env.scm 77 */
BGl_compilezd2typezd2nowideningz00zzjvm_envz00:
{ /* Jvm/env.scm 79 */
obj_t BgL_testzd2resultzd2_3063;
BgL_testzd2resultzd2_3063 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_vz00_3, BGl_za2za2basiczd2typeza2za2zd2zzjvm_envz00); 
{ 

if(
CBOOL(BgL_testzd2resultzd2_3063))
{ /* Jvm/env.scm 79 */
return 
CDR(BgL_testzd2resultzd2_3063);}  else 
{ /* Jvm/env.scm 79 */
{ /* Jvm/env.scm 80 */
bool_t BgL_testz00_6491;
{ /* Jvm/env.scm 80 */
obj_t BgL_auxz00_6492;
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)70)); 
BgL_testz00_6491 = 
(BgL_vz00_3==BgL_auxz00_6492); } 
if(BgL_testz00_6491)
{ /* Jvm/env.scm 80 */
if(
CBOOL(BGl_za2longislongza2z00zzjvm_envz00))
{ /* Jvm/env.scm 80 */
return 
CNST_TABLE_REF(((long)70));}  else 
{ /* Jvm/env.scm 80 */
return 
CNST_TABLE_REF(((long)27));} }  else 
{ /* Jvm/env.scm 81 */
bool_t BgL_testz00_6499;
{ /* Jvm/env.scm 81 */
obj_t BgL_auxz00_6500;
BgL_auxz00_6500 = 
CNST_TABLE_REF(((long)116)); 
BgL_testz00_6499 = 
(BgL_vz00_3==BgL_auxz00_6500); } 
if(BgL_testz00_6499)
{ /* Jvm/env.scm 81 */
if(
CBOOL(BGl_za2longislongza2z00zzjvm_envz00))
{ /* Jvm/env.scm 81 */
return 
CNST_TABLE_REF(((long)70));}  else 
{ /* Jvm/env.scm 81 */
return 
CNST_TABLE_REF(((long)27));} }  else 
{ /* Jvm/env.scm 82 */
bool_t BgL_testz00_6507;
{ /* Jvm/env.scm 82 */
obj_t BgL_auxz00_6508;
BgL_auxz00_6508 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_6507 = 
(BgL_vz00_3==BgL_auxz00_6508); } 
if(BgL_testz00_6507)
{ /* Jvm/env.scm 82 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Jvm/env.scm 83 */
bool_t BgL_testz00_6512;
{ /* Jvm/env.scm 83 */
obj_t BgL_auxz00_6513;
BgL_auxz00_6513 = 
CNST_TABLE_REF(((long)117)); 
BgL_testz00_6512 = 
(BgL_vz00_3==BgL_auxz00_6513); } 
if(BgL_testz00_6512)
{ /* Jvm/env.scm 83 */
{ /* Jvm/env.scm 83 */
obj_t BgL_vz00_3938;
BgL_vz00_3938 = 
CNST_TABLE_REF(((long)118)); 
{ /* Jvm/env.scm 83 */
obj_t BgL_actualzd2typezd2_3940;
{ /* Jvm/env.scm 83 */
bool_t BgL_test4654z00_3941;
BgL_test4654z00_3941 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3938); 
if(BgL_test4654z00_3941)
{ /* Jvm/env.scm 83 */
BgL_tclassz00_bglt BgL_obj2734z00_3942;
BgL_obj2734z00_3942 = 
(BgL_tclassz00_bglt)(BgL_vz00_3938); 
{ 
obj_t BgL_auxz00_6520;
{ /* Jvm/env.scm 83 */
BgL_objectz00_bglt BgL_auxz00_6521;
BgL_auxz00_6521 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3942); 
BgL_auxz00_6520 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6521); } 
BgL_actualzd2typezd2_3940 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6520))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 83 */
BgL_actualzd2typezd2_3940 = BgL_vz00_3938; } } 
{ 
obj_t BgL_vz00_6525;
BgL_vz00_6525 = BgL_actualzd2typezd2_3940; 
BgL_vz00_3 = BgL_vz00_6525; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } }  else 
{ /* Jvm/env.scm 84 */
bool_t BgL_testz00_6526;
{ /* Jvm/env.scm 84 */
obj_t BgL_auxz00_6527;
BgL_auxz00_6527 = 
CNST_TABLE_REF(((long)119)); 
BgL_testz00_6526 = 
(BgL_vz00_3==BgL_auxz00_6527); } 
if(BgL_testz00_6526)
{ /* Jvm/env.scm 84 */
{ /* Jvm/env.scm 84 */
obj_t BgL_vz00_3943;
BgL_vz00_3943 = 
CNST_TABLE_REF(((long)120)); 
{ /* Jvm/env.scm 84 */
obj_t BgL_actualzd2typezd2_3945;
{ /* Jvm/env.scm 84 */
bool_t BgL_test4654z00_3946;
BgL_test4654z00_3946 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3943); 
if(BgL_test4654z00_3946)
{ /* Jvm/env.scm 84 */
BgL_tclassz00_bglt BgL_obj2734z00_3947;
BgL_obj2734z00_3947 = 
(BgL_tclassz00_bglt)(BgL_vz00_3943); 
{ 
obj_t BgL_auxz00_6534;
{ /* Jvm/env.scm 84 */
BgL_objectz00_bglt BgL_auxz00_6535;
BgL_auxz00_6535 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3947); 
BgL_auxz00_6534 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6535); } 
BgL_actualzd2typezd2_3945 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6534))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 84 */
BgL_actualzd2typezd2_3945 = BgL_vz00_3943; } } 
{ 
obj_t BgL_vz00_6539;
BgL_vz00_6539 = BgL_actualzd2typezd2_3945; 
BgL_vz00_3 = BgL_vz00_6539; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } }  else 
{ /* Jvm/env.scm 85 */
bool_t BgL_testz00_6540;
{ /* Jvm/env.scm 85 */
obj_t BgL_auxz00_6541;
BgL_auxz00_6541 = 
CNST_TABLE_REF(((long)121)); 
BgL_testz00_6540 = 
(BgL_vz00_3==BgL_auxz00_6541); } 
if(BgL_testz00_6540)
{ /* Jvm/env.scm 85 */
{ /* Jvm/env.scm 85 */
obj_t BgL_vz00_3948;
BgL_vz00_3948 = 
CNST_TABLE_REF(((long)122)); 
{ /* Jvm/env.scm 85 */
obj_t BgL_actualzd2typezd2_3950;
{ /* Jvm/env.scm 85 */
bool_t BgL_test4654z00_3951;
BgL_test4654z00_3951 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3948); 
if(BgL_test4654z00_3951)
{ /* Jvm/env.scm 85 */
BgL_tclassz00_bglt BgL_obj2734z00_3952;
BgL_obj2734z00_3952 = 
(BgL_tclassz00_bglt)(BgL_vz00_3948); 
{ 
obj_t BgL_auxz00_6548;
{ /* Jvm/env.scm 85 */
BgL_objectz00_bglt BgL_auxz00_6549;
BgL_auxz00_6549 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3952); 
BgL_auxz00_6548 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6549); } 
BgL_actualzd2typezd2_3950 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6548))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 85 */
BgL_actualzd2typezd2_3950 = BgL_vz00_3948; } } 
{ 
obj_t BgL_vz00_6553;
BgL_vz00_6553 = BgL_actualzd2typezd2_3950; 
BgL_vz00_3 = BgL_vz00_6553; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } }  else 
{ /* Jvm/env.scm 86 */
bool_t BgL_testz00_6554;
{ /* Jvm/env.scm 86 */
obj_t BgL_auxz00_6555;
BgL_auxz00_6555 = 
CNST_TABLE_REF(((long)123)); 
BgL_testz00_6554 = 
(BgL_vz00_3==BgL_auxz00_6555); } 
if(BgL_testz00_6554)
{ /* Jvm/env.scm 86 */
return 
CNST_TABLE_REF(((long)124));}  else 
{ /* Jvm/env.scm 87 */
bool_t BgL_testz00_6559;
{ /* Jvm/env.scm 87 */
obj_t BgL_auxz00_6560;
BgL_auxz00_6560 = 
CNST_TABLE_REF(((long)125)); 
BgL_testz00_6559 = 
(BgL_vz00_3==BgL_auxz00_6560); } 
if(BgL_testz00_6559)
{ /* Jvm/env.scm 87 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Jvm/env.scm 88 */
bool_t BgL_testz00_6564;
{ /* Jvm/env.scm 88 */
obj_t BgL_auxz00_6565;
BgL_auxz00_6565 = 
CNST_TABLE_REF(((long)126)); 
BgL_testz00_6564 = 
(BgL_vz00_3==BgL_auxz00_6565); } 
if(BgL_testz00_6564)
{ /* Jvm/env.scm 88 */
return 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_4, 
CNST_TABLE_REF(((long)58)));}  else 
{ /* Jvm/env.scm 88 */
if(
SYMBOLP(BgL_vz00_3))
{ /* Jvm/env.scm 90 */
return 
BGl_envzd2declarezd2typez00zzjvm_envz00(
(obj_t)(BgL_envz00_4), BgL_vz00_3);}  else 
{ /* Jvm/env.scm 92 */
bool_t BgL_test4667z00_3079;
BgL_test4667z00_3079 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_nodez00zzast_nodez00); 
if(BgL_test4667z00_3079)
{ /* Jvm/env.scm 92 */
{ /* Jvm/env.scm 93 */
obj_t BgL_vz00_3956;
{ /* Jvm/env.scm 93 */
BgL_typez00_bglt BgL_auxz00_6576;
{ /* Jvm/env.scm 93 */
BgL_nodez00_bglt BgL_obj1550z00_3955;
BgL_obj1550z00_3955 = 
(BgL_nodez00_bglt)(BgL_vz00_3); 
BgL_auxz00_6576 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_3955))->BgL_typez00); } 
BgL_vz00_3956 = 
(obj_t)(BgL_auxz00_6576); } 
{ /* Jvm/env.scm 93 */
obj_t BgL_actualzd2typezd2_3958;
{ /* Jvm/env.scm 93 */
bool_t BgL_test4654z00_3959;
BgL_test4654z00_3959 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3956); 
if(BgL_test4654z00_3959)
{ /* Jvm/env.scm 93 */
BgL_tclassz00_bglt BgL_obj2734z00_3960;
BgL_obj2734z00_3960 = 
(BgL_tclassz00_bglt)(BgL_vz00_3956); 
{ 
obj_t BgL_auxz00_6583;
{ /* Jvm/env.scm 93 */
BgL_objectz00_bglt BgL_auxz00_6584;
BgL_auxz00_6584 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3960); 
BgL_auxz00_6583 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6584); } 
BgL_actualzd2typezd2_3958 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6583))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 93 */
BgL_actualzd2typezd2_3958 = BgL_vz00_3956; } } 
{ 
obj_t BgL_vz00_6588;
BgL_vz00_6588 = BgL_actualzd2typezd2_3958; 
BgL_vz00_3 = BgL_vz00_6588; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } }  else 
{ /* Jvm/env.scm 94 */
bool_t BgL_test4669z00_3081;
BgL_test4669z00_3081 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_variablez00zzast_varz00); 
if(BgL_test4669z00_3081)
{ /* Jvm/env.scm 94 */
{ /* Jvm/env.scm 95 */
obj_t BgL_ttz00_3082;
BgL_ttz00_3082 = 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(BgL_vz00_3); 
if(
CBOOL(BgL_ttz00_3082))
{ /* Jvm/env.scm 96 */
{ /* Jvm/env.scm 100 */
obj_t BgL_arg4670z00_3083;obj_t BgL_arg4671z00_3084;
BgL_arg4670z00_3083 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 100 */
obj_t BgL_arg4672z00_3085;
{ /* Jvm/env.scm 100 */
obj_t BgL_actualzd2typezd2_3964;
{ /* Jvm/env.scm 100 */
bool_t BgL_test4654z00_3965;
BgL_test4654z00_3965 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_ttz00_3082); 
if(BgL_test4654z00_3965)
{ /* Jvm/env.scm 100 */
BgL_tclassz00_bglt BgL_obj2734z00_3966;
BgL_obj2734z00_3966 = 
(BgL_tclassz00_bglt)(BgL_ttz00_3082); 
{ 
obj_t BgL_auxz00_6598;
{ /* Jvm/env.scm 100 */
BgL_objectz00_bglt BgL_auxz00_6599;
BgL_auxz00_6599 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3966); 
BgL_auxz00_6598 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6599); } 
BgL_actualzd2typezd2_3964 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6598))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 100 */
BgL_actualzd2typezd2_3964 = BgL_ttz00_3082; } } 
BgL_arg4672z00_3085 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_actualzd2typezd2_3964, BgL_envz00_4); } 
BgL_arg4671z00_3084 = 
MAKE_PAIR(BgL_arg4672z00_3085, BNIL); } 
return 
MAKE_PAIR(BgL_arg4670z00_3083, BgL_arg4671z00_3084);} }  else 
{ /* Jvm/env.scm 101 */
obj_t BgL_vz00_3968;
{ /* Jvm/env.scm 101 */
BgL_typez00_bglt BgL_auxz00_6606;
{ /* Jvm/env.scm 101 */
BgL_variablez00_bglt BgL_obj1100z00_3967;
BgL_obj1100z00_3967 = 
(BgL_variablez00_bglt)(BgL_vz00_3); 
BgL_auxz00_6606 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_3967))->BgL_typez00); } 
BgL_vz00_3968 = 
(obj_t)(BgL_auxz00_6606); } 
{ /* Jvm/env.scm 101 */
obj_t BgL_actualzd2typezd2_3970;
{ /* Jvm/env.scm 101 */
bool_t BgL_test4654z00_3971;
BgL_test4654z00_3971 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3968); 
if(BgL_test4654z00_3971)
{ /* Jvm/env.scm 101 */
BgL_tclassz00_bglt BgL_obj2734z00_3972;
BgL_obj2734z00_3972 = 
(BgL_tclassz00_bglt)(BgL_vz00_3968); 
{ 
obj_t BgL_auxz00_6613;
{ /* Jvm/env.scm 101 */
BgL_objectz00_bglt BgL_auxz00_6614;
BgL_auxz00_6614 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3972); 
BgL_auxz00_6613 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6614); } 
BgL_actualzd2typezd2_3970 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6613))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 101 */
BgL_actualzd2typezd2_3970 = BgL_vz00_3968; } } 
{ 
obj_t BgL_vz00_6618;
BgL_vz00_6618 = BgL_actualzd2typezd2_3970; 
BgL_vz00_3 = BgL_vz00_6618; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } } }  else 
{ /* Jvm/env.scm 102 */
bool_t BgL_test4675z00_3088;
BgL_test4675z00_3088 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_tclassz00zzobject_classz00); 
if(BgL_test4675z00_3088)
{ /* Jvm/env.scm 102 */
return 
BGl_envzd2declarezd2classz00zzjvm_envz00(
(obj_t)(BgL_envz00_4), 
(BgL_tclassz00_bglt)(BgL_vz00_3));}  else 
{ /* Jvm/env.scm 104 */
bool_t BgL_test4676z00_3089;
BgL_test4676z00_3089 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_tvecz00zztvector_tvectorz00); 
if(BgL_test4676z00_3089)
{ /* Jvm/env.scm 104 */
{ /* Jvm/env.scm 105 */
obj_t BgL_arg4677z00_3090;obj_t BgL_arg4678z00_3091;
BgL_arg4677z00_3090 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 105 */
obj_t BgL_arg4679z00_3092;
{ /* Jvm/env.scm 105 */
obj_t BgL_vz00_3976;
{ /* Jvm/env.scm 105 */
BgL_typez00_bglt BgL_auxz00_6627;
{ /* Jvm/env.scm 105 */
BgL_tvecz00_bglt BgL_obj2904z00_3975;
BgL_obj2904z00_3975 = 
(BgL_tvecz00_bglt)(BgL_vz00_3); 
{ 
obj_t BgL_auxz00_6629;
{ /* Jvm/env.scm 105 */
BgL_objectz00_bglt BgL_auxz00_6630;
BgL_auxz00_6630 = 
(BgL_objectz00_bglt)(BgL_obj2904z00_3975); 
BgL_auxz00_6629 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6630); } 
BgL_auxz00_6627 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_6629))->BgL_itemzd2typezd2); } } 
BgL_vz00_3976 = 
(obj_t)(BgL_auxz00_6627); } 
{ /* Jvm/env.scm 105 */
obj_t BgL_actualzd2typezd2_3978;
{ /* Jvm/env.scm 105 */
bool_t BgL_test4654z00_3979;
BgL_test4654z00_3979 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3976); 
if(BgL_test4654z00_3979)
{ /* Jvm/env.scm 105 */
BgL_tclassz00_bglt BgL_obj2734z00_3980;
BgL_obj2734z00_3980 = 
(BgL_tclassz00_bglt)(BgL_vz00_3976); 
{ 
obj_t BgL_auxz00_6638;
{ /* Jvm/env.scm 105 */
BgL_objectz00_bglt BgL_auxz00_6639;
BgL_auxz00_6639 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3980); 
BgL_auxz00_6638 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6639); } 
BgL_actualzd2typezd2_3978 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6638))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 105 */
BgL_actualzd2typezd2_3978 = BgL_vz00_3976; } } 
BgL_arg4679z00_3092 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_actualzd2typezd2_3978, BgL_envz00_4); } } 
BgL_arg4678z00_3091 = 
MAKE_PAIR(BgL_arg4679z00_3092, BNIL); } 
return 
MAKE_PAIR(BgL_arg4677z00_3090, BgL_arg4678z00_3091);} }  else 
{ /* Jvm/env.scm 106 */
bool_t BgL_test4682z00_3095;
BgL_test4682z00_3095 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_jarrayz00zzforeign_jtypez00); 
if(BgL_test4682z00_3095)
{ /* Jvm/env.scm 106 */
{ /* Jvm/env.scm 107 */
obj_t BgL_arg4683z00_3096;obj_t BgL_arg4684z00_3097;
BgL_arg4683z00_3096 = 
CNST_TABLE_REF(((long)34)); 
{ /* Jvm/env.scm 107 */
obj_t BgL_arg4685z00_3098;
{ /* Jvm/env.scm 107 */
obj_t BgL_vz00_3983;
{ /* Jvm/env.scm 107 */
BgL_typez00_bglt BgL_auxz00_6649;
{ /* Jvm/env.scm 107 */
BgL_jarrayz00_bglt BgL_obj2974z00_3982;
BgL_obj2974z00_3982 = 
(BgL_jarrayz00_bglt)(BgL_vz00_3); 
{ 
obj_t BgL_auxz00_6651;
{ /* Jvm/env.scm 107 */
BgL_objectz00_bglt BgL_auxz00_6652;
BgL_auxz00_6652 = 
(BgL_objectz00_bglt)(BgL_obj2974z00_3982); 
BgL_auxz00_6651 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6652); } 
BgL_auxz00_6649 = 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_6651))->BgL_itemzd2typezd2); } } 
BgL_vz00_3983 = 
(obj_t)(BgL_auxz00_6649); } 
{ /* Jvm/env.scm 107 */
obj_t BgL_actualzd2typezd2_3985;
{ /* Jvm/env.scm 107 */
bool_t BgL_test4654z00_3986;
BgL_test4654z00_3986 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_3983); 
if(BgL_test4654z00_3986)
{ /* Jvm/env.scm 107 */
BgL_tclassz00_bglt BgL_obj2734z00_3987;
BgL_obj2734z00_3987 = 
(BgL_tclassz00_bglt)(BgL_vz00_3983); 
{ 
obj_t BgL_auxz00_6660;
{ /* Jvm/env.scm 107 */
BgL_objectz00_bglt BgL_auxz00_6661;
BgL_auxz00_6661 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3987); 
BgL_auxz00_6660 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6661); } 
BgL_actualzd2typezd2_3985 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6660))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 107 */
BgL_actualzd2typezd2_3985 = BgL_vz00_3983; } } 
BgL_arg4685z00_3098 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_actualzd2typezd2_3985, BgL_envz00_4); } } 
BgL_arg4684z00_3097 = 
MAKE_PAIR(BgL_arg4685z00_3098, BNIL); } 
return 
MAKE_PAIR(BgL_arg4683z00_3096, BgL_arg4684z00_3097);} }  else 
{ /* Jvm/env.scm 108 */
bool_t BgL_test4688z00_3101;
BgL_test4688z00_3101 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_3, BGl_typez00zztype_typez00); 
if(BgL_test4688z00_3101)
{ /* Jvm/env.scm 108 */
{ /* Jvm/env.scm 109 */
obj_t BgL_arg4689z00_3102;
{ /* Jvm/env.scm 109 */
BgL_typez00_bglt BgL_obj1002z00_3989;
BgL_obj1002z00_3989 = 
(BgL_typez00_bglt)(BgL_vz00_3); 
BgL_arg4689z00_3102 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_3989))->BgL_idz00); } 
{ /* Jvm/env.scm 109 */
obj_t BgL_actualzd2typezd2_3992;
{ /* Jvm/env.scm 109 */
bool_t BgL_test4654z00_3993;
BgL_test4654z00_3993 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_arg4689z00_3102); 
if(BgL_test4654z00_3993)
{ /* Jvm/env.scm 109 */
BgL_tclassz00_bglt BgL_obj2734z00_3994;
BgL_obj2734z00_3994 = 
(BgL_tclassz00_bglt)(BgL_arg4689z00_3102); 
{ 
obj_t BgL_auxz00_6675;
{ /* Jvm/env.scm 109 */
BgL_objectz00_bglt BgL_auxz00_6676;
BgL_auxz00_6676 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_3994); 
BgL_auxz00_6675 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6676); } 
BgL_actualzd2typezd2_3992 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6675))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 109 */
BgL_actualzd2typezd2_3992 = BgL_arg4689z00_3102; } } 
{ 
obj_t BgL_vz00_6680;
BgL_vz00_6680 = BgL_actualzd2typezd2_3992; 
BgL_vz00_3 = BgL_vz00_6680; 
goto BGl_compilezd2typezd2nowideningz00zzjvm_envz00;} } } }  else 
{ /* Jvm/env.scm 108 */
if(
PAIRP(BgL_vz00_3))
{ /* Jvm/env.scm 110 */
return BgL_vz00_3;}  else 
{ /* Jvm/env.scm 110 */
FAILURE(BGl_string5181z00zzjvm_envz00,BGl_string5182z00zzjvm_envz00,BgL_vz00_3);} } } } } } } } } } } } } } } } } } } } } } 
}



/* _compile-type-nowidening5042 */
obj_t BGl__compilezd2typezd2nowidening5042z00zzjvm_envz00(obj_t BgL_envz00_4912, obj_t BgL_vz00_4913, obj_t BgL_envz00_4914)
{ AN_OBJECT;
{ /* Jvm/env.scm 77 */
return 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_vz00_4913, 
(BgL_envz00_bglt)(BgL_envz00_4914));} 
}



/* env-declare */
obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt BgL_envz00_5, obj_t BgL_namez00_6, obj_t BgL_declz00_7)
{ AN_OBJECT;
{ /* Jvm/env.scm 116 */
{ /* Jvm/env.scm 118 */
obj_t BgL_arg4691z00_3107;
{ /* Jvm/env.scm 118 */
obj_t BgL_arg4692z00_3108;obj_t BgL_arg4693z00_3109;
{ /* Jvm/env.scm 118 */
obj_t BgL_list4694z00_3110;
{ /* Jvm/env.scm 118 */
obj_t BgL_arg4695z00_3111;
BgL_arg4695z00_3111 = 
MAKE_PAIR(BgL_declz00_7, BNIL); 
BgL_list4694z00_3110 = 
MAKE_PAIR(BgL_namez00_6, BgL_arg4695z00_3111); } 
BgL_arg4692z00_3108 = BgL_list4694z00_3110; } 
BgL_arg4693z00_3109 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_5))->BgL_declarationsz00); 
BgL_arg4691z00_3107 = 
MAKE_PAIR(BgL_arg4692z00_3108, BgL_arg4693z00_3109); } 
return 
((((BgL_envz00_bglt)CREF(BgL_envz00_5))->BgL_declarationsz00) = ((obj_t)BgL_arg4691z00_3107), BUNSPEC);} } 
}



/* _env-declare5043 */
obj_t BGl__envzd2declare5043zd2zzjvm_envz00(obj_t BgL_envz00_4915, obj_t BgL_envz00_4916, obj_t BgL_namez00_4917, obj_t BgL_declz00_4918)
{ AN_OBJECT;
{ /* Jvm/env.scm 116 */
return 
BGl_envzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4916), BgL_namez00_4917, BgL_declz00_4918);} 
}



/* env-declare-current-module */
obj_t BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_bglt BgL_envz00_8)
{ AN_OBJECT;
{ /* Jvm/env.scm 123 */
{ /* Jvm/env.scm 125 */
obj_t BgL_rz00_4004;
BgL_rz00_4004 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(BgL_envz00_8, BGl_za2moduleza2z00zzmodule_modulez00); 
((((BgL_envz00_bglt)CREF(BgL_envz00_8))->BgL_currentzd2modulezd2) = ((obj_t)BgL_rz00_4004), BUNSPEC); 
return BgL_rz00_4004;} } 
}



/* _env-declare-current-module5044 */
obj_t BGl__envzd2declarezd2currentzd2module5044zd2zzjvm_envz00(obj_t BgL_envz00_4919, obj_t BgL_envz00_4920)
{ AN_OBJECT;
{ /* Jvm/env.scm 123 */
return 
BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4920));} 
}



/* env-declare-module */
obj_t BGl_envzd2declarezd2modulez00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_9, obj_t BgL_modulez00_10)
{ AN_OBJECT;
{ /* Jvm/env.scm 129 */
{ /* Jvm/env.scm 132 */
obj_t BgL_slotz00_3114;
BgL_slotz00_3114 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_10, 
(((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_declaredmodulez00)); 
if(
CBOOL(BgL_slotz00_3114))
{ /* Jvm/env.scm 133 */
return 
CDR(BgL_slotz00_3114);}  else 
{ /* Jvm/env.scm 135 */
obj_t BgL_namez00_3115;
{ /* Jvm/env.scm 135 */
obj_t BgL_list4713z00_3133;
{ /* Jvm/env.scm 135 */
obj_t BgL_arg4714z00_3134;obj_t BgL_arg4715z00_3135;
BgL_arg4714z00_3134 = 
CNST_TABLE_REF(((long)127)); 
BgL_arg4715z00_3135 = 
MAKE_PAIR(BgL_modulez00_10, BNIL); 
BgL_list4713z00_3133 = 
MAKE_PAIR(BgL_arg4714z00_3134, BgL_arg4715z00_3135); } 
BgL_namez00_3115 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list4713z00_3133); } 
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4696z00_3116;
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4697z00_3117;obj_t BgL_arg4698z00_3118;
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4699z00_3119;
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4700z00_3120;
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4702z00_3122;obj_t BgL_arg4703z00_3123;
BgL_arg4702z00_3122 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4704z00_3124;obj_t BgL_arg4705z00_3125;
{ /* Jvm/env.scm 137 */
obj_t BgL_arg4706z00_3126;obj_t BgL_arg4707z00_3127;
BgL_arg4706z00_3126 = 
CNST_TABLE_REF(((long)128)); 
{ /* Jvm/env.scm 137 */
obj_t BgL_auxz00_6708;
BgL_auxz00_6708 = 
CNST_TABLE_REF(((long)129)); 
BgL_arg4707z00_3127 = 
MAKE_PAIR(BgL_auxz00_6708, BNIL); } 
BgL_arg4704z00_3124 = 
MAKE_PAIR(BgL_arg4706z00_3126, BgL_arg4707z00_3127); } 
{ /* Jvm/env.scm 138 */
obj_t BgL_arg4708z00_3128;
BgL_arg4708z00_3128 = 
BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(BgL_modulez00_10); 
BgL_arg4705z00_3125 = 
MAKE_PAIR(BgL_arg4708z00_3128, BNIL); } 
BgL_arg4703z00_3123 = 
MAKE_PAIR(BgL_arg4704z00_3124, BgL_arg4705z00_3125); } 
BgL_arg4700z00_3120 = 
MAKE_PAIR(BgL_arg4702z00_3122, BgL_arg4703z00_3123); } 
BgL_arg4699z00_3119 = 
MAKE_PAIR(BgL_arg4700z00_3120, BNIL); } 
BgL_arg4697z00_3117 = 
MAKE_PAIR(BgL_namez00_3115, BgL_arg4699z00_3119); } 
BgL_arg4698z00_3118 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_declarationsz00); 
BgL_arg4696z00_3116 = 
MAKE_PAIR(BgL_arg4697z00_3117, BgL_arg4698z00_3118); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_declarationsz00) = ((obj_t)BgL_arg4696z00_3116), BUNSPEC); } 
{ /* Jvm/env.scm 140 */
obj_t BgL_arg4710z00_3130;
{ /* Jvm/env.scm 140 */
obj_t BgL_arg4711z00_3131;obj_t BgL_arg4712z00_3132;
BgL_arg4711z00_3131 = 
MAKE_PAIR(BgL_modulez00_10, BgL_namez00_3115); 
BgL_arg4712z00_3132 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_declaredmodulez00); 
BgL_arg4710z00_3130 = 
MAKE_PAIR(BgL_arg4711z00_3131, BgL_arg4712z00_3132); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_declaredmodulez00) = ((obj_t)BgL_arg4710z00_3130), BUNSPEC); } 
return BgL_namez00_3115;} } } 
}



/* _env-declare-module5045 */
obj_t BGl__envzd2declarezd2module5045z00zzjvm_envz00(obj_t BgL_envz00_4921, obj_t BgL_envz00_4922, obj_t BgL_modulez00_4923)
{ AN_OBJECT;
{ /* Jvm/env.scm 129 */
return 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4922), BgL_modulez00_4923);} 
}



/* env-declare-class */
obj_t BGl_envzd2declarezd2classz00zzjvm_envz00(obj_t BgL_envz00_11, BgL_tclassz00_bglt BgL_classz00_12)
{ AN_OBJECT;
{ /* Jvm/env.scm 146 */
{ /* Jvm/env.scm 149 */
obj_t BgL_slotz00_3138;
{ /* Jvm/env.scm 149 */
obj_t BgL_auxz00_6727;
{ /* Jvm/env.scm 149 */
BgL_envz00_bglt BgL_obj3023z00_4015;
BgL_obj3023z00_4015 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_auxz00_6727 = 
(((BgL_envz00_bglt)CREF(BgL_obj3023z00_4015))->BgL_declaredclassz00); } 
BgL_slotz00_3138 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_classz00_12), BgL_auxz00_6727); } 
if(
CBOOL(BgL_slotz00_3138))
{ /* Jvm/env.scm 150 */
return 
CDR(BgL_slotz00_3138);}  else 
{ /* Jvm/env.scm 152 */
obj_t BgL_namez00_3139;
{ /* Jvm/env.scm 152 */
obj_t BgL_arg4734z00_3157;
BgL_arg4734z00_3157 = 
CNST_TABLE_REF(((long)130)); 
{ /* Jvm/env.scm 152 */
obj_t BgL_list4736z00_3159;
{ /* Jvm/env.scm 152 */
obj_t BgL_arg4737z00_3160;
{ /* Jvm/env.scm 152 */
obj_t BgL_auxz00_6736;
{ /* Jvm/env.scm 152 */
BgL_typez00_bglt BgL_obj2753z00_4017;
BgL_obj2753z00_4017 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_6736 = 
(((BgL_typez00_bglt)CREF(BgL_obj2753z00_4017))->BgL_idz00); } 
BgL_arg4737z00_3160 = 
MAKE_PAIR(BgL_auxz00_6736, BNIL); } 
BgL_list4736z00_3159 = 
MAKE_PAIR(BgL_arg4734z00_3157, BgL_arg4737z00_3160); } 
BgL_namez00_3139 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list4736z00_3159); } } 
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4717z00_3140;
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4718z00_3141;obj_t BgL_arg4719z00_3142;
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4720z00_3143;
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4721z00_3144;
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4723z00_3146;obj_t BgL_arg4724z00_3147;
BgL_arg4723z00_3146 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4725z00_3148;obj_t BgL_arg4726z00_3149;
{ /* Jvm/env.scm 154 */
obj_t BgL_arg4727z00_3150;obj_t BgL_arg4728z00_3151;
BgL_arg4727z00_3150 = 
CNST_TABLE_REF(((long)128)); 
{ /* Jvm/env.scm 154 */
obj_t BgL_auxz00_6744;
BgL_auxz00_6744 = 
CNST_TABLE_REF(((long)129)); 
BgL_arg4728z00_3151 = 
MAKE_PAIR(BgL_auxz00_6744, BNIL); } 
BgL_arg4725z00_3148 = 
MAKE_PAIR(BgL_arg4727z00_3150, BgL_arg4728z00_3151); } 
{ /* Jvm/env.scm 155 */
obj_t BgL_arg4729z00_3152;
BgL_arg4729z00_3152 = 
BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_classz00_12); 
BgL_arg4726z00_3149 = 
MAKE_PAIR(BgL_arg4729z00_3152, BNIL); } 
BgL_arg4724z00_3147 = 
MAKE_PAIR(BgL_arg4725z00_3148, BgL_arg4726z00_3149); } 
BgL_arg4721z00_3144 = 
MAKE_PAIR(BgL_arg4723z00_3146, BgL_arg4724z00_3147); } 
BgL_arg4720z00_3143 = 
MAKE_PAIR(BgL_arg4721z00_3144, BNIL); } 
BgL_arg4718z00_3141 = 
MAKE_PAIR(BgL_namez00_3139, BgL_arg4720z00_3143); } 
{ /* Jvm/env.scm 154 */
BgL_envz00_bglt BgL_obj3017z00_4018;
BgL_obj3017z00_4018 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg4719z00_3142 = 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_4018))->BgL_declarationsz00); } 
BgL_arg4717z00_3140 = 
MAKE_PAIR(BgL_arg4718z00_3141, BgL_arg4719z00_3142); } 
{ /* Jvm/env.scm 153 */
BgL_envz00_bglt BgL_obj3019z00_4019;
BgL_obj3019z00_4019 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
((((BgL_envz00_bglt)CREF(BgL_obj3019z00_4019))->BgL_declarationsz00) = ((obj_t)BgL_arg4717z00_3140), BUNSPEC); } } 
{ /* Jvm/env.scm 157 */
obj_t BgL_arg4731z00_3154;
{ /* Jvm/env.scm 157 */
obj_t BgL_arg4732z00_3155;obj_t BgL_arg4733z00_3156;
{ /* Jvm/env.scm 157 */
obj_t BgL_auxz00_6759;
BgL_auxz00_6759 = 
(obj_t)(BgL_classz00_12); 
BgL_arg4732z00_3155 = 
MAKE_PAIR(BgL_auxz00_6759, BgL_namez00_3139); } 
{ /* Jvm/env.scm 157 */
BgL_envz00_bglt BgL_obj3023z00_4021;
BgL_obj3023z00_4021 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg4733z00_3156 = 
(((BgL_envz00_bglt)CREF(BgL_obj3023z00_4021))->BgL_declaredclassz00); } 
BgL_arg4731z00_3154 = 
MAKE_PAIR(BgL_arg4732z00_3155, BgL_arg4733z00_3156); } 
{ /* Jvm/env.scm 157 */
BgL_envz00_bglt BgL_obj3025z00_4022;
BgL_obj3025z00_4022 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
((((BgL_envz00_bglt)CREF(BgL_obj3025z00_4022))->BgL_declaredclassz00) = ((obj_t)BgL_arg4731z00_3154), BUNSPEC); } } 
return BgL_namez00_3139;} } } 
}



/* _env-declare-class5046 */
obj_t BGl__envzd2declarezd2class5046z00zzjvm_envz00(obj_t BgL_envz00_4924, obj_t BgL_envz00_4925, obj_t BgL_classz00_4926)
{ AN_OBJECT;
{ /* Jvm/env.scm 146 */
return 
BGl_envzd2declarezd2classz00zzjvm_envz00(BgL_envz00_4925, 
(BgL_tclassz00_bglt)(BgL_classz00_4926));} 
}



/* env-declare-init */
obj_t BGl_envzd2declarezd2initz00zzjvm_envz00(obj_t BgL_envz00_13, obj_t BgL_typez00_14)
{ AN_OBJECT;
{ /* Jvm/env.scm 160 */
{ /* Jvm/env.scm 161 */
obj_t BgL_namez00_3162;
{ /* Jvm/env.scm 161 */
obj_t BgL_list4753z00_3179;
{ /* Jvm/env.scm 161 */
obj_t BgL_arg4754z00_3180;obj_t BgL_arg4755z00_3181;
BgL_arg4754z00_3180 = 
CNST_TABLE_REF(((long)131)); 
BgL_arg4755z00_3181 = 
MAKE_PAIR(BgL_typez00_14, BNIL); 
BgL_list4753z00_3179 = 
MAKE_PAIR(BgL_arg4754z00_3180, BgL_arg4755z00_3181); } 
BgL_namez00_3162 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list4753z00_3179); } 
{ /* Jvm/env.scm 161 */

{ /* Jvm/env.scm 164 */
bool_t BgL_testz00_6773;
{ /* Jvm/env.scm 164 */
obj_t BgL_auxz00_6774;
{ /* Jvm/env.scm 163 */
obj_t BgL_auxz00_6775;
{ /* Jvm/env.scm 163 */
BgL_envz00_bglt BgL_obj3017z00_4024;
BgL_obj3017z00_4024 = 
(BgL_envz00_bglt)(BgL_envz00_13); 
BgL_auxz00_6775 = 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_4024))->BgL_declarationsz00); } 
BgL_auxz00_6774 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_3162, BgL_auxz00_6775); } 
BgL_testz00_6773 = 
CBOOL(BgL_auxz00_6774); } 
if(BgL_testz00_6773)
{ /* Jvm/env.scm 164 */BFALSE; }  else 
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4739z00_3165;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4740z00_3166;obj_t BgL_arg4741z00_3167;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4742z00_3168;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4743z00_3169;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4745z00_3171;obj_t BgL_arg4746z00_3172;
BgL_arg4745z00_3171 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4747z00_3173;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4749z00_3175;
{ /* Jvm/env.scm 166 */
obj_t BgL_arg4750z00_3176;obj_t BgL_arg4751z00_3177;
BgL_arg4750z00_3176 = 
CNST_TABLE_REF(((long)19)); 
BgL_arg4751z00_3177 = 
MAKE_PAIR(BGl_string5101z00zzjvm_envz00, BNIL); 
BgL_arg4749z00_3175 = 
MAKE_PAIR(BgL_arg4750z00_3176, BgL_arg4751z00_3177); } 
BgL_arg4747z00_3173 = 
MAKE_PAIR(BNIL, BgL_arg4749z00_3175); } 
BgL_arg4746z00_3172 = 
MAKE_PAIR(BgL_typez00_14, BgL_arg4747z00_3173); } 
BgL_arg4743z00_3169 = 
MAKE_PAIR(BgL_arg4745z00_3171, BgL_arg4746z00_3172); } 
BgL_arg4742z00_3168 = 
MAKE_PAIR(BgL_arg4743z00_3169, BNIL); } 
BgL_arg4740z00_3166 = 
MAKE_PAIR(BgL_namez00_3162, BgL_arg4742z00_3168); } 
{ /* Jvm/env.scm 166 */
BgL_envz00_bglt BgL_obj3017z00_4025;
BgL_obj3017z00_4025 = 
(BgL_envz00_bglt)(BgL_envz00_13); 
BgL_arg4741z00_3167 = 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_4025))->BgL_declarationsz00); } 
BgL_arg4739z00_3165 = 
MAKE_PAIR(BgL_arg4740z00_3166, BgL_arg4741z00_3167); } 
{ /* Jvm/env.scm 165 */
BgL_envz00_bglt BgL_obj3019z00_4026;
BgL_obj3019z00_4026 = 
(BgL_envz00_bglt)(BgL_envz00_13); 
((((BgL_envz00_bglt)CREF(BgL_obj3019z00_4026))->BgL_declarationsz00) = ((obj_t)BgL_arg4739z00_3165), BUNSPEC); } } } 
return BgL_namez00_3162;} } } 
}



/* _env-declare-init */
obj_t BGl__envzd2declarezd2initz00zzjvm_envz00(obj_t BgL_envz00_4927, obj_t BgL_envz00_4928, obj_t BgL_typez00_4929)
{ AN_OBJECT;
{ /* Jvm/env.scm 160 */
return 
BGl_envzd2declarezd2initz00zzjvm_envz00(BgL_envz00_4928, BgL_typez00_4929);} 
}



/* env-declare-type */
obj_t BGl_envzd2declarezd2typez00zzjvm_envz00(obj_t BgL_envz00_15, obj_t BgL_typez00_16)
{ AN_OBJECT;
{ /* Jvm/env.scm 173 */
{ /* Jvm/env.scm 177 */
obj_t BgL_slotz00_3183;
{ /* Jvm/env.scm 177 */
obj_t BgL_auxz00_6795;
{ /* Jvm/env.scm 177 */
BgL_envz00_bglt BgL_obj3020z00_4028;
BgL_obj3020z00_4028 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_auxz00_6795 = 
(((BgL_envz00_bglt)CREF(BgL_obj3020z00_4028))->BgL_declaredtypez00); } 
BgL_slotz00_3183 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_16, BgL_auxz00_6795); } 
if(
CBOOL(BgL_slotz00_3183))
{ /* Jvm/env.scm 178 */
return 
CDR(BgL_slotz00_3183);}  else 
{ /* Jvm/env.scm 180 */
obj_t BgL_namez00_3184;
{ /* Jvm/env.scm 180 */
obj_t BgL_list4773z00_3202;
{ /* Jvm/env.scm 180 */
obj_t BgL_arg4774z00_3203;obj_t BgL_arg4775z00_3204;
BgL_arg4774z00_3203 = 
CNST_TABLE_REF(((long)132)); 
BgL_arg4775z00_3204 = 
MAKE_PAIR(BgL_typez00_16, BNIL); 
BgL_list4773z00_3202 = 
MAKE_PAIR(BgL_arg4774z00_3203, BgL_arg4775z00_3204); } 
BgL_namez00_3184 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list4773z00_3202); } 
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4756z00_3185;
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4757z00_3186;obj_t BgL_arg4758z00_3187;
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4759z00_3188;
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4760z00_3189;
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4762z00_3191;obj_t BgL_arg4763z00_3192;
BgL_arg4762z00_3191 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4764z00_3193;obj_t BgL_arg4765z00_3194;
{ /* Jvm/env.scm 182 */
obj_t BgL_arg4766z00_3195;obj_t BgL_arg4767z00_3196;
BgL_arg4766z00_3195 = 
CNST_TABLE_REF(((long)128)); 
{ /* Jvm/env.scm 182 */
obj_t BgL_auxz00_6808;
BgL_auxz00_6808 = 
CNST_TABLE_REF(((long)129)); 
BgL_arg4767z00_3196 = 
MAKE_PAIR(BgL_auxz00_6808, BNIL); } 
BgL_arg4764z00_3193 = 
MAKE_PAIR(BgL_arg4766z00_3195, BgL_arg4767z00_3196); } 
{ /* Jvm/env.scm 183 */
obj_t BgL_arg4768z00_3197;
BgL_arg4768z00_3197 = 
BGl_qualifiedzd2typezd2namez00zzjvm_externz00(BgL_typez00_16); 
BgL_arg4765z00_3194 = 
MAKE_PAIR(BgL_arg4768z00_3197, BNIL); } 
BgL_arg4763z00_3192 = 
MAKE_PAIR(BgL_arg4764z00_3193, BgL_arg4765z00_3194); } 
BgL_arg4760z00_3189 = 
MAKE_PAIR(BgL_arg4762z00_3191, BgL_arg4763z00_3192); } 
BgL_arg4759z00_3188 = 
MAKE_PAIR(BgL_arg4760z00_3189, BNIL); } 
BgL_arg4757z00_3186 = 
MAKE_PAIR(BgL_namez00_3184, BgL_arg4759z00_3188); } 
{ /* Jvm/env.scm 182 */
BgL_envz00_bglt BgL_obj3017z00_4030;
BgL_obj3017z00_4030 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_arg4758z00_3187 = 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_4030))->BgL_declarationsz00); } 
BgL_arg4756z00_3185 = 
MAKE_PAIR(BgL_arg4757z00_3186, BgL_arg4758z00_3187); } 
{ /* Jvm/env.scm 181 */
BgL_envz00_bglt BgL_obj3019z00_4031;
BgL_obj3019z00_4031 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj3019z00_4031))->BgL_declarationsz00) = ((obj_t)BgL_arg4756z00_3185), BUNSPEC); } } 
{ /* Jvm/env.scm 185 */
obj_t BgL_arg4770z00_3199;
{ /* Jvm/env.scm 185 */
obj_t BgL_arg4771z00_3200;obj_t BgL_arg4772z00_3201;
BgL_arg4771z00_3200 = 
MAKE_PAIR(BgL_typez00_16, BgL_namez00_3184); 
{ /* Jvm/env.scm 185 */
BgL_envz00_bglt BgL_obj3020z00_4033;
BgL_obj3020z00_4033 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
BgL_arg4772z00_3201 = 
(((BgL_envz00_bglt)CREF(BgL_obj3020z00_4033))->BgL_declaredtypez00); } 
BgL_arg4770z00_3199 = 
MAKE_PAIR(BgL_arg4771z00_3200, BgL_arg4772z00_3201); } 
{ /* Jvm/env.scm 185 */
BgL_envz00_bglt BgL_obj3022z00_4034;
BgL_obj3022z00_4034 = 
(BgL_envz00_bglt)(BgL_envz00_15); 
((((BgL_envz00_bglt)CREF(BgL_obj3022z00_4034))->BgL_declaredtypez00) = ((obj_t)BgL_arg4770z00_3199), BUNSPEC); } } 
return BgL_namez00_3184;} } } 
}



/* _env-declare-type5047 */
obj_t BGl__envzd2declarezd2type5047z00zzjvm_envz00(obj_t BgL_envz00_4930, obj_t BgL_envz00_4931, obj_t BgL_typez00_4932)
{ AN_OBJECT;
{ /* Jvm/env.scm 173 */
return 
BGl_envzd2declarezd2typez00zzjvm_envz00(BgL_envz00_4931, BgL_typez00_4932);} 
}



/* env-declare-field */
obj_t BGl_envzd2declarezd2fieldz00zzjvm_envz00(obj_t BgL_envz00_17, obj_t BgL_fnamez00_18, obj_t BgL_ftypez00_19, obj_t BgL_otypez00_20)
{ AN_OBJECT;
{ /* Jvm/env.scm 191 */
{ /* Jvm/env.scm 195 */
obj_t BgL_slotz00_3207;
{ /* Jvm/env.scm 195 */
obj_t BgL_auxz00_6830;
{ /* Jvm/env.scm 195 */
BgL_envz00_bglt BgL_obj3032z00_4036;
BgL_obj3032z00_4036 = 
(BgL_envz00_bglt)(BgL_envz00_17); 
BgL_auxz00_6830 = 
(((BgL_envz00_bglt)CREF(BgL_obj3032z00_4036))->BgL_declaredfieldsz00); } 
BgL_slotz00_3207 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_otypez00_20, BgL_auxz00_6830); } 
if(
CBOOL(BgL_slotz00_3207))
{ /* Jvm/env.scm 197 */
obj_t BgL_reslotz00_3208;
BgL_reslotz00_3208 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_fnamez00_18, 
CDR(BgL_slotz00_3207)); 
if(
CBOOL(BgL_reslotz00_3208))
{ /* Jvm/env.scm 199 */
return 
CDR(BgL_reslotz00_3208);}  else 
{ /* Jvm/env.scm 199 */
return 
BGl_envzd2declarezd2fieldz12z12zzjvm_envz00(BgL_envz00_17, BgL_fnamez00_18, BgL_ftypez00_19, BgL_otypez00_20);} }  else 
{ /* Jvm/env.scm 196 */
return 
BGl_envzd2declarezd2fieldz12z12zzjvm_envz00(BgL_envz00_17, BgL_fnamez00_18, BgL_ftypez00_19, BgL_otypez00_20);} } } 
}



/* _env-declare-field5048 */
obj_t BGl__envzd2declarezd2field5048z00zzjvm_envz00(obj_t BgL_envz00_4933, obj_t BgL_envz00_4934, obj_t BgL_fnamez00_4935, obj_t BgL_ftypez00_4936, obj_t BgL_otypez00_4937)
{ AN_OBJECT;
{ /* Jvm/env.scm 191 */
return 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(BgL_envz00_4934, BgL_fnamez00_4935, BgL_ftypez00_4936, BgL_otypez00_4937);} 
}



/* env-declare-field! */
obj_t BGl_envzd2declarezd2fieldz12z12zzjvm_envz00(obj_t BgL_envz00_21, obj_t BgL_fnamez00_22, obj_t BgL_ftypez00_23, obj_t BgL_otypez00_24)
{ AN_OBJECT;
{ /* Jvm/env.scm 204 */
{ /* Jvm/env.scm 207 */
obj_t BgL_namez00_3212;
{ /* Jvm/env.scm 207 */
obj_t BgL_arg4801z00_3236;obj_t BgL_arg4802z00_3237;obj_t BgL_arg4803z00_3238;
BgL_arg4801z00_3236 = 
CNST_TABLE_REF(((long)133)); 
BgL_arg4802z00_3237 = 
CNST_TABLE_REF(((long)134)); 
{ /* Jvm/env.scm 207 */
char * BgL_auxz00_6846;
BgL_auxz00_6846 = 
BSTRING_TO_STRING(BgL_fnamez00_22); 
BgL_arg4803z00_3238 = 
string_to_symbol(BgL_auxz00_6846); } 
{ /* Jvm/env.scm 207 */
obj_t BgL_list4804z00_3239;
{ /* Jvm/env.scm 207 */
obj_t BgL_arg4805z00_3240;
{ /* Jvm/env.scm 207 */
obj_t BgL_arg4806z00_3241;
{ /* Jvm/env.scm 207 */
obj_t BgL_arg4807z00_3242;
BgL_arg4807z00_3242 = 
MAKE_PAIR(BgL_arg4803z00_3238, BNIL); 
BgL_arg4806z00_3241 = 
MAKE_PAIR(BgL_arg4802z00_3237, BgL_arg4807z00_3242); } 
BgL_arg4805z00_3240 = 
MAKE_PAIR(BgL_otypez00_24, BgL_arg4806z00_3241); } 
BgL_list4804z00_3239 = 
MAKE_PAIR(BgL_arg4801z00_3236, BgL_arg4805z00_3240); } 
BgL_namez00_3212 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list4804z00_3239); } } 
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4779z00_3213;
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4780z00_3214;obj_t BgL_arg4781z00_3215;
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4782z00_3216;
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4783z00_3217;
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4785z00_3219;obj_t BgL_arg4786z00_3220;
BgL_arg4785z00_3219 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4787z00_3221;
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4788z00_3222;obj_t BgL_arg4789z00_3223;
{ /* Jvm/env.scm 209 */
obj_t BgL_auxz00_6855;
BgL_auxz00_6855 = 
CNST_TABLE_REF(((long)129)); 
BgL_arg4788z00_3222 = 
MAKE_PAIR(BgL_auxz00_6855, BNIL); } 
{ /* Jvm/env.scm 209 */
obj_t BgL_arg4790z00_3224;
BgL_arg4790z00_3224 = 
MAKE_PAIR(BgL_fnamez00_22, BNIL); 
BgL_arg4789z00_3223 = 
MAKE_PAIR(BgL_ftypez00_23, BgL_arg4790z00_3224); } 
BgL_arg4787z00_3221 = 
MAKE_PAIR(BgL_arg4788z00_3222, BgL_arg4789z00_3223); } 
BgL_arg4786z00_3220 = 
MAKE_PAIR(BgL_otypez00_24, BgL_arg4787z00_3221); } 
BgL_arg4783z00_3217 = 
MAKE_PAIR(BgL_arg4785z00_3219, BgL_arg4786z00_3220); } 
BgL_arg4782z00_3216 = 
MAKE_PAIR(BgL_arg4783z00_3217, BNIL); } 
BgL_arg4780z00_3214 = 
MAKE_PAIR(BgL_namez00_3212, BgL_arg4782z00_3216); } 
{ /* Jvm/env.scm 209 */
BgL_envz00_bglt BgL_obj3017z00_4040;
BgL_obj3017z00_4040 = 
(BgL_envz00_bglt)(BgL_envz00_21); 
BgL_arg4781z00_3215 = 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_4040))->BgL_declarationsz00); } 
BgL_arg4779z00_3213 = 
MAKE_PAIR(BgL_arg4780z00_3214, BgL_arg4781z00_3215); } 
{ /* Jvm/env.scm 208 */
BgL_envz00_bglt BgL_obj3019z00_4041;
BgL_obj3019z00_4041 = 
(BgL_envz00_bglt)(BgL_envz00_21); 
((((BgL_envz00_bglt)CREF(BgL_obj3019z00_4041))->BgL_declarationsz00) = ((obj_t)BgL_arg4779z00_3213), BUNSPEC); } } 
{ /* Jvm/env.scm 211 */
obj_t BgL_slotz00_3225;
{ /* Jvm/env.scm 211 */
obj_t BgL_auxz00_6870;
{ /* Jvm/env.scm 211 */
BgL_envz00_bglt BgL_obj3032z00_4043;
BgL_obj3032z00_4043 = 
(BgL_envz00_bglt)(BgL_envz00_21); 
BgL_auxz00_6870 = 
(((BgL_envz00_bglt)CREF(BgL_obj3032z00_4043))->BgL_declaredfieldsz00); } 
BgL_slotz00_3225 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_otypez00_24, BgL_auxz00_6870); } 
if(
CBOOL(BgL_slotz00_3225))
{ /* Jvm/env.scm 213 */
obj_t BgL_arg4791z00_3226;
{ /* Jvm/env.scm 213 */
obj_t BgL_arg4792z00_3227;obj_t BgL_arg4793z00_3228;
BgL_arg4792z00_3227 = 
MAKE_PAIR(BgL_fnamez00_22, BgL_namez00_3212); 
BgL_arg4793z00_3228 = 
CDR(BgL_slotz00_3225); 
BgL_arg4791z00_3226 = 
MAKE_PAIR(BgL_arg4792z00_3227, BgL_arg4793z00_3228); } 
SET_CDR(BgL_slotz00_3225, BgL_arg4791z00_3226); }  else 
{ /* Jvm/env.scm 214 */
obj_t BgL_arg4794z00_3229;
{ /* Jvm/env.scm 214 */
obj_t BgL_arg4795z00_3230;obj_t BgL_arg4796z00_3231;
{ /* Jvm/env.scm 214 */
obj_t BgL_arg4797z00_3232;
BgL_arg4797z00_3232 = 
MAKE_PAIR(BgL_fnamez00_22, BgL_namez00_3212); 
{ /* Jvm/env.scm 214 */
obj_t BgL_list4798z00_3233;
{ /* Jvm/env.scm 214 */
obj_t BgL_arg4799z00_3234;
BgL_arg4799z00_3234 = 
MAKE_PAIR(BgL_arg4797z00_3232, BNIL); 
BgL_list4798z00_3233 = 
MAKE_PAIR(BgL_otypez00_24, BgL_arg4799z00_3234); } 
BgL_arg4795z00_3230 = BgL_list4798z00_3233; } } 
{ /* Jvm/env.scm 214 */
BgL_envz00_bglt BgL_obj3032z00_4049;
BgL_obj3032z00_4049 = 
(BgL_envz00_bglt)(BgL_envz00_21); 
BgL_arg4796z00_3231 = 
(((BgL_envz00_bglt)CREF(BgL_obj3032z00_4049))->BgL_declaredfieldsz00); } 
BgL_arg4794z00_3229 = 
MAKE_PAIR(BgL_arg4795z00_3230, BgL_arg4796z00_3231); } 
{ /* Jvm/env.scm 214 */
BgL_envz00_bglt BgL_obj3034z00_4050;
BgL_obj3034z00_4050 = 
(BgL_envz00_bglt)(BgL_envz00_21); 
((((BgL_envz00_bglt)CREF(BgL_obj3034z00_4050))->BgL_declaredfieldsz00) = ((obj_t)BgL_arg4794z00_3229), BUNSPEC); } } } 
return BgL_namez00_3212;} } 
}



/* get-global-name */
obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_25, BgL_globalz00_bglt BgL_varz00_26)
{ AN_OBJECT;
{ /* Jvm/env.scm 221 */
{ /* Jvm/env.scm 223 */
obj_t BgL_slotz00_3243;
BgL_slotz00_3243 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_26), 
(((BgL_envz00_bglt)CREF(BgL_envz00_25))->BgL_declaredglobalz00)); 
if(
CBOOL(BgL_slotz00_3243))
{ /* Jvm/env.scm 224 */
return 
CDR(BgL_slotz00_3243);}  else 
{ 
obj_t BgL_auxz00_6896;obj_t BgL_auxz00_6894;
BgL_auxz00_6896 = 
(obj_t)(BgL_varz00_26); 
BgL_auxz00_6894 = 
CNST_TABLE_REF(((long)135)); 
FAILURE(BgL_auxz00_6894,BGl_string5183z00zzjvm_envz00,BgL_auxz00_6896);} } } 
}



/* _get-global-name5049 */
obj_t BGl__getzd2globalzd2name5049z00zzjvm_envz00(obj_t BgL_envz00_4938, obj_t BgL_envz00_4939, obj_t BgL_varz00_4940)
{ AN_OBJECT;
{ /* Jvm/env.scm 221 */
return 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4939), 
(BgL_globalz00_bglt)(BgL_varz00_4940));} 
}



/* env-declare-local */
obj_t BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_27, BgL_localz00_bglt BgL_varz00_28)
{ AN_OBJECT;
{ /* Jvm/env.scm 231 */
BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_27, BgL_varz00_28, 
CNST_TABLE_REF(((long)136))); 
{ /* Jvm/env.scm 234 */
obj_t BgL_typez00_3246;obj_t BgL_namez00_3247;
{ /* Jvm/env.scm 234 */
obj_t BgL_vz00_4057;
BgL_vz00_4057 = 
(obj_t)(BgL_varz00_28); 
{ /* Jvm/env.scm 234 */
obj_t BgL_actualzd2typezd2_4059;
{ /* Jvm/env.scm 234 */
bool_t BgL_test4654z00_4060;
BgL_test4654z00_4060 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_vz00_4057); 
if(BgL_test4654z00_4060)
{ /* Jvm/env.scm 234 */
BgL_tclassz00_bglt BgL_obj2734z00_4061;
BgL_obj2734z00_4061 = 
(BgL_tclassz00_bglt)(BgL_vz00_4057); 
{ 
obj_t BgL_auxz00_6908;
{ /* Jvm/env.scm 234 */
BgL_objectz00_bglt BgL_auxz00_6909;
BgL_auxz00_6909 = 
(BgL_objectz00_bglt)(BgL_obj2734z00_4061); 
BgL_auxz00_6908 = 
BGL_OBJECT_WIDENING(BgL_auxz00_6909); } 
BgL_actualzd2typezd2_4059 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_6908))->BgL_itszd2superzd2); } }  else 
{ /* Jvm/env.scm 234 */
BgL_actualzd2typezd2_4059 = BgL_vz00_4057; } } 
BgL_typez00_3246 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_actualzd2typezd2_4059, BgL_envz00_27); } } 
BgL_namez00_3247 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_28))->BgL_namez00); 
{ /* Jvm/env.scm 235 */
bool_t BgL_testz00_6915;
{ /* Jvm/env.scm 235 */
obj_t BgL_auxz00_6916;
BgL_auxz00_6916 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_3246, 
CNST_TABLE_REF(((long)137))); 
BgL_testz00_6915 = 
CBOOL(BgL_auxz00_6916); } 
if(BgL_testz00_6915)
{ /* Jvm/env.scm 236 */
obj_t BgL_arg4810z00_3249;
{ /* Jvm/env.scm 236 */
obj_t BgL_arg4811z00_3250;obj_t BgL_arg4812z00_3251;
BgL_arg4811z00_3250 = 
CNST_TABLE_REF(((long)134)); 
{ /* Jvm/env.scm 236 */
obj_t BgL_auxz00_6921;
BgL_auxz00_6921 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_localsz00); 
BgL_arg4812z00_3251 = 
MAKE_PAIR(BgL_namez00_3247, BgL_auxz00_6921); } 
BgL_arg4810z00_3249 = 
MAKE_PAIR(BgL_arg4811z00_3250, BgL_arg4812z00_3251); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_localsz00) = ((obj_t)BgL_arg4810z00_3249), BUNSPEC); }  else 
{ /* Jvm/env.scm 237 */
obj_t BgL_arg4814z00_3253;
{ /* Jvm/env.scm 237 */
obj_t BgL_auxz00_6926;
BgL_auxz00_6926 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_localsz00); 
BgL_arg4814z00_3253 = 
MAKE_PAIR(BgL_namez00_3247, BgL_auxz00_6926); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_localsz00) = ((obj_t)BgL_arg4814z00_3253), BUNSPEC); } } } 
return 
(obj_t)(BgL_varz00_28);} 
}



/* _env-declare-local5050 */
obj_t BGl__envzd2declarezd2local5050z00zzjvm_envz00(obj_t BgL_envz00_4941, obj_t BgL_envz00_4942, obj_t BgL_varz00_4943)
{ AN_OBJECT;
{ /* Jvm/env.scm 231 */
return 
BGl_envzd2declarezd2localz00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4942), 
(BgL_localz00_bglt)(BgL_varz00_4943));} 
}



/* env-alloc-local */
obj_t BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_29, obj_t BgL_typez00_30)
{ AN_OBJECT;
{ /* Jvm/env.scm 240 */
{ /* Jvm/env.scm 242 */
obj_t BgL_namez00_3256;
BgL_namez00_3256 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5184z00zzjvm_envz00, BEOA); 
{ /* Jvm/env.scm 243 */
bool_t BgL_testz00_6936;
{ /* Jvm/env.scm 243 */
obj_t BgL_auxz00_6937;
BgL_auxz00_6937 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_30, 
CNST_TABLE_REF(((long)137))); 
BgL_testz00_6936 = 
CBOOL(BgL_auxz00_6937); } 
if(BgL_testz00_6936)
{ /* Jvm/env.scm 244 */
obj_t BgL_arg4817z00_3258;
{ /* Jvm/env.scm 244 */
obj_t BgL_arg4818z00_3259;obj_t BgL_arg4819z00_3260;
BgL_arg4818z00_3259 = 
CNST_TABLE_REF(((long)134)); 
{ /* Jvm/env.scm 244 */
obj_t BgL_auxz00_6942;
BgL_auxz00_6942 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_29))->BgL_localsz00); 
BgL_arg4819z00_3260 = 
MAKE_PAIR(BgL_namez00_3256, BgL_auxz00_6942); } 
BgL_arg4817z00_3258 = 
MAKE_PAIR(BgL_arg4818z00_3259, BgL_arg4819z00_3260); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_29))->BgL_localsz00) = ((obj_t)BgL_arg4817z00_3258), BUNSPEC); }  else 
{ /* Jvm/env.scm 245 */
obj_t BgL_arg4821z00_3262;
{ /* Jvm/env.scm 245 */
obj_t BgL_auxz00_6947;
BgL_auxz00_6947 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_29))->BgL_localsz00); 
BgL_arg4821z00_3262 = 
MAKE_PAIR(BgL_namez00_3256, BgL_auxz00_6947); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_29))->BgL_localsz00) = ((obj_t)BgL_arg4821z00_3262), BUNSPEC); } } 
return BgL_namez00_3256;} } 
}



/* _env-alloc-local5051 */
obj_t BGl__envzd2alloczd2local5051z00zzjvm_envz00(obj_t BgL_envz00_4944, obj_t BgL_envz00_4945, obj_t BgL_typez00_4946)
{ AN_OBJECT;
{ /* Jvm/env.scm 240 */
return 
BGl_envzd2alloczd2localz00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4945), BgL_typez00_4946);} 
}



/* env-set-name! */
obj_t BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_bglt BgL_envz00_31, BgL_localz00_bglt BgL_varz00_32, obj_t BgL_namez00_33)
{ AN_OBJECT;
{ /* Jvm/env.scm 248 */
{ /* Jvm/env.scm 252 */
obj_t BgL_arg4823z00_3265;
{ /* Jvm/env.scm 252 */
obj_t BgL_arg4824z00_3266;
{ /* Jvm/env.scm 252 */
obj_t BgL_arg4825z00_3267;char * BgL_arg4826z00_3268;
BgL_arg4825z00_3267 = 
SYMBOL_TO_STRING(BgL_namez00_33); 
BgL_arg4826z00_3268 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
(((BgL_envz00_bglt)CREF(BgL_envz00_31))->BgL_vcountz00), BNIL); 
{ /* Jvm/env.scm 252 */
obj_t BgL_auxz00_6956;
BgL_auxz00_6956 = 
string_to_bstring(BgL_arg4826z00_3268); 
BgL_arg4824z00_3266 = 
string_append(BgL_arg4825z00_3267, BgL_auxz00_6956); } } 
{ /* Jvm/env.scm 251 */
char * BgL_auxz00_6959;
BgL_auxz00_6959 = 
BSTRING_TO_STRING(BgL_arg4824z00_3266); 
BgL_arg4823z00_3265 = 
string_to_symbol(BgL_auxz00_6959); } } 
((((BgL_localz00_bglt)CREF(BgL_varz00_32))->BgL_namez00) = ((obj_t)BgL_arg4823z00_3265), BUNSPEC); } 
{ /* Jvm/env.scm 254 */
obj_t BgL_arg4829z00_3271;
BgL_arg4829z00_3271 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
(((BgL_envz00_bglt)CREF(BgL_envz00_31))->BgL_vcountz00), 
BINT(((long)1))); 
return 
((((BgL_envz00_bglt)CREF(BgL_envz00_31))->BgL_vcountz00) = ((obj_t)BgL_arg4829z00_3271), BUNSPEC);} } 
}



/* _env-set-name!5052 */
obj_t BGl__envzd2setzd2namez125052z12zzjvm_envz00(obj_t BgL_envz00_4947, obj_t BgL_envz00_4948, obj_t BgL_varz00_4949, obj_t BgL_namez00_4950)
{ AN_OBJECT;
{ /* Jvm/env.scm 248 */
return 
BGl_envzd2setzd2namez12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4948), 
(BgL_localz00_bglt)(BgL_varz00_4949), BgL_namez00_4950);} 
}



/* env-new-procedure */
obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_34, obj_t BgL_arityz00_35, obj_t BgL_namez00_36)
{ AN_OBJECT;
{ /* Jvm/env.scm 259 */
{ /* Jvm/env.scm 262 */
obj_t BgL_testzd2resultzd2_3275;
BgL_testzd2resultzd2_3275 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_36, 
(((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_proceduresz00)); 
{ 

if(
CBOOL(BgL_testzd2resultzd2_3275))
{ /* Jvm/env.scm 262 */
obj_t BgL_auxz00_6974;
BgL_auxz00_6974 = 
CDR(BgL_testzd2resultzd2_3275); 
return 
CAR(BgL_auxz00_6974);}  else 
{ /* Jvm/env.scm 262 */
long BgL_auxz00_6977;
{ /* Jvm/env.scm 264 */
long BgL_nz00_3282;
BgL_nz00_3282 = 
bgl_list_length(
(((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_proceduresz00)); 
{ /* Jvm/env.scm 266 */
obj_t BgL_arg4835z00_3283;
{ /* Jvm/env.scm 266 */
obj_t BgL_arg4836z00_3284;obj_t BgL_arg4837z00_3285;
{ /* Jvm/env.scm 266 */
obj_t BgL_arg4838z00_3286;
{ /* Jvm/env.scm 266 */
obj_t BgL_auxz00_6980;
BgL_auxz00_6980 = 
BINT(BgL_nz00_3282); 
BgL_arg4838z00_3286 = 
MAKE_PAIR(BgL_auxz00_6980, BgL_arityz00_35); } 
BgL_arg4836z00_3284 = 
MAKE_PAIR(BgL_namez00_36, BgL_arg4838z00_3286); } 
BgL_arg4837z00_3285 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_proceduresz00); 
BgL_arg4835z00_3283 = 
MAKE_PAIR(BgL_arg4836z00_3284, BgL_arg4837z00_3285); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_proceduresz00) = ((obj_t)BgL_arg4835z00_3283), BUNSPEC); } 
BgL_auxz00_6977 = BgL_nz00_3282; } 
return 
BINT(BgL_auxz00_6977);} } } } 
}



/* _env-new-procedure5053 */
obj_t BGl__envzd2newzd2procedure5053z00zzjvm_envz00(obj_t BgL_envz00_4951, obj_t BgL_envz00_4952, obj_t BgL_arityz00_4953, obj_t BgL_namez00_4954)
{ AN_OBJECT;
{ /* Jvm/env.scm 259 */
return 
BGl_envzd2newzd2procedurez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4952), BgL_arityz00_4953, BgL_namez00_4954);} 
}



/* env-new-getset */
obj_t BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_37, obj_t BgL_namez00_38)
{ AN_OBJECT;
{ /* Jvm/env.scm 269 */
{ /* Jvm/env.scm 272 */
obj_t BgL_testzd2resultzd2_3291;
BgL_testzd2resultzd2_3291 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_38, 
(((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_proceduresz00)); 
{ 

if(
CBOOL(BgL_testzd2resultzd2_3291))
{ /* Jvm/env.scm 272 */
obj_t BgL_auxz00_6994;
BgL_auxz00_6994 = 
CDR(BgL_testzd2resultzd2_3291); 
return 
CAR(BgL_auxz00_6994);}  else 
{ /* Jvm/env.scm 272 */
long BgL_auxz00_6997;
{ /* Jvm/env.scm 274 */
long BgL_nz00_3298;
BgL_nz00_3298 = 
bgl_list_length(
(((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_proceduresz00)); 
{ /* Jvm/env.scm 276 */
obj_t BgL_arg4843z00_3299;
{ /* Jvm/env.scm 276 */
obj_t BgL_arg4844z00_3300;obj_t BgL_arg4845z00_3301;
{ /* Jvm/env.scm 276 */
obj_t BgL_arg4846z00_3302;
{ /* Jvm/env.scm 276 */
obj_t BgL_auxz00_7000;
BgL_auxz00_7000 = 
BINT(BgL_nz00_3298); 
BgL_arg4846z00_3302 = 
MAKE_PAIR(BgL_auxz00_7000, BNIL); } 
BgL_arg4844z00_3300 = 
MAKE_PAIR(BgL_namez00_38, BgL_arg4846z00_3302); } 
BgL_arg4845z00_3301 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_proceduresz00); 
BgL_arg4843z00_3299 = 
MAKE_PAIR(BgL_arg4844z00_3300, BgL_arg4845z00_3301); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_proceduresz00) = ((obj_t)BgL_arg4843z00_3299), BUNSPEC); } 
BgL_auxz00_6997 = BgL_nz00_3298; } 
return 
BINT(BgL_auxz00_6997);} } } } 
}



/* _env-new-getset5054 */
obj_t BGl__envzd2newzd2getset5054z00zzjvm_envz00(obj_t BgL_envz00_4955, obj_t BgL_envz00_4956, obj_t BgL_namez00_4957)
{ AN_OBJECT;
{ /* Jvm/env.scm 269 */
return 
BGl_envzd2newzd2getsetz00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4956), BgL_namez00_4957);} 
}



/* env-get-procedures */
obj_t BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_39)
{ AN_OBJECT;
{ /* Jvm/env.scm 280 */
return 
bgl_reverse(
(((BgL_envz00_bglt)CREF(BgL_envz00_39))->BgL_proceduresz00));} 
}



/* _env-get-procedures5055 */
obj_t BGl__envzd2getzd2procedures5055z00zzjvm_envz00(obj_t BgL_envz00_4958, obj_t BgL_envz00_4959)
{ AN_OBJECT;
{ /* Jvm/env.scm 280 */
return 
BGl_envzd2getzd2proceduresz00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4959));} 
}



/* jlib-declare */
obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt BgL_envz00_40, obj_t BgL_namez00_41)
{ AN_OBJECT;
{ /* Jvm/env.scm 404 */
{ /* Jvm/env.scm 406 */
bool_t BgL_testz00_7014;
{ /* Jvm/env.scm 406 */
obj_t BgL_auxz00_7015;
BgL_auxz00_7015 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_41, 
(((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_libdeclaredz00)); 
BgL_testz00_7014 = 
CBOOL(BgL_auxz00_7015); } 
if(BgL_testz00_7014)
{ /* Jvm/env.scm 406 */
return BgL_namez00_41;}  else 
{ /* Jvm/env.scm 408 */
obj_t BgL_slotz00_3309;
{ /* Jvm/env.scm 408 */
obj_t BgL_arg4855z00_3315;
if(
CBOOL(BGl_za2longislongza2z00zzjvm_envz00))
{ /* Jvm/env.scm 408 */
BgL_arg4855z00_3315 = BGl_za2za2jlib64za2za2z00zzjvm_envz00; }  else 
{ /* Jvm/env.scm 408 */
BgL_arg4855z00_3315 = BGl_za2za2jlib32za2za2z00zzjvm_envz00; } 
BgL_slotz00_3309 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_41, BgL_arg4855z00_3315); } 
if(
CBOOL(BgL_slotz00_3309))
{ /* Jvm/env.scm 409 */
{ /* Jvm/env.scm 412 */
obj_t BgL_auxz00_7024;
{ /* Jvm/env.scm 412 */
obj_t BgL_auxz00_7025;
BgL_auxz00_7025 = 
CDR(BgL_slotz00_3309); 
BgL_auxz00_7024 = 
CAR(BgL_auxz00_7025); } 
BGl_jlibzd2reczd2declz00zzjvm_envz00(BgL_envz00_40, BgL_auxz00_7024); } 
{ /* Jvm/env.scm 413 */
obj_t BgL_arg4851z00_3311;
{ /* Jvm/env.scm 413 */
obj_t BgL_auxz00_7029;
BgL_auxz00_7029 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_libdeclaredz00); 
BgL_arg4851z00_3311 = 
MAKE_PAIR(BgL_namez00_41, BgL_auxz00_7029); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_libdeclaredz00) = ((obj_t)BgL_arg4851z00_3311), BUNSPEC); } 
{ /* Jvm/env.scm 414 */
obj_t BgL_arg4853z00_3313;
{ /* Jvm/env.scm 414 */
obj_t BgL_auxz00_7033;
BgL_auxz00_7033 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_declarationsz00); 
BgL_arg4853z00_3313 = 
MAKE_PAIR(BgL_slotz00_3309, BgL_auxz00_7033); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_declarationsz00) = ((obj_t)BgL_arg4853z00_3313), BUNSPEC); } 
return BgL_namez00_41;}  else 
{ 
obj_t BgL_auxz00_7037;
BgL_auxz00_7037 = 
CNST_TABLE_REF(((long)138)); 
FAILURE(BgL_auxz00_7037,BGl_string5185z00zzjvm_envz00,BgL_namez00_41);} } } } 
}



/* _jlib-declare5056 */
obj_t BGl__jlibzd2declare5056zd2zzjvm_envz00(obj_t BgL_envz00_4960, obj_t BgL_envz00_4961, obj_t BgL_namez00_4962)
{ AN_OBJECT;
{ /* Jvm/env.scm 404 */
return 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_4961), BgL_namez00_4962);} 
}



/* jlib-rec-decl */
obj_t BGl_jlibzd2reczd2declz00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_42, obj_t BgL_declz00_43)
{ AN_OBJECT;
{ /* Jvm/env.scm 417 */
{ 
obj_t BgL_classz00_3321;obj_t BgL_tretz00_3322;obj_t BgL_targsz00_3323;
if(
PAIRP(BgL_declz00_43))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2111zd2_3328;
BgL_cdrzd2111zd2_3328 = 
CDR(BgL_declz00_43); 
{ /* Jvm/env.scm 418 */
bool_t BgL_testz00_7045;
{ /* Jvm/env.scm 418 */
obj_t BgL_auxz00_7048;obj_t BgL_auxz00_7046;
BgL_auxz00_7048 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_7046 = 
CAR(BgL_declz00_43); 
BgL_testz00_7045 = 
(BgL_auxz00_7046==BgL_auxz00_7048); } 
if(BgL_testz00_7045)
{ /* Jvm/env.scm 418 */
if(
PAIRP(BgL_cdrzd2111zd2_3328))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2113zd2_3331;
BgL_cdrzd2113zd2_3331 = 
CDR(BgL_cdrzd2111zd2_3328); 
if(
PAIRP(BgL_cdrzd2113zd2_3331))
{ /* Jvm/env.scm 418 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2113zd2_3331), BNIL))
{ /* Jvm/env.scm 418 */
return 
CNST_TABLE_REF(((long)139));}  else 
{ /* Jvm/env.scm 418 */
BgL_tagzd2104zd2_3325:
{ 
obj_t BgL_auxz00_7060;
BgL_auxz00_7060 = 
CNST_TABLE_REF(((long)138)); 
FAILURE(BgL_auxz00_7060,BGl_string5186z00zzjvm_envz00,BgL_declz00_43);} } }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
bool_t BgL_testz00_7063;
{ /* Jvm/env.scm 418 */
obj_t BgL_auxz00_7066;obj_t BgL_auxz00_7064;
BgL_auxz00_7066 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_7064 = 
CAR(BgL_declz00_43); 
BgL_testz00_7063 = 
(BgL_auxz00_7064==BgL_auxz00_7066); } 
if(BgL_testz00_7063)
{ /* Jvm/env.scm 418 */
if(
PAIRP(BgL_cdrzd2111zd2_3328))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2163zd2_3339;
BgL_cdrzd2163zd2_3339 = 
CDR(BgL_cdrzd2111zd2_3328); 
if(
PAIRP(BgL_cdrzd2163zd2_3339))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2167zd2_3341;
BgL_cdrzd2167zd2_3341 = 
CDR(BgL_cdrzd2163zd2_3339); 
if(
PAIRP(BgL_cdrzd2167zd2_3341))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2170zd2_3343;
BgL_cdrzd2170zd2_3343 = 
CDR(BgL_cdrzd2167zd2_3341); 
if(
PAIRP(BgL_cdrzd2170zd2_3343))
{ /* Jvm/env.scm 418 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2170zd2_3343), BNIL))
{ /* Jvm/env.scm 418 */
obj_t BgL_arg4871z00_3347;
BgL_arg4871z00_3347 = 
CAR(BgL_cdrzd2167zd2_3341); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_42, 
CAR(BgL_cdrzd2111zd2_3328)); 
return 
BGl_jlibzd2declarezd2typez00zzjvm_envz00(BgL_envz00_42, BgL_arg4871z00_3347);}  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2211zd2_3350;
BgL_cdrzd2211zd2_3350 = 
CDR(BgL_declz00_43); 
{ /* Jvm/env.scm 418 */
bool_t BgL_testz00_7088;
{ /* Jvm/env.scm 418 */
obj_t BgL_auxz00_7091;obj_t BgL_auxz00_7089;
BgL_auxz00_7091 = 
CNST_TABLE_REF(((long)18)); 
BgL_auxz00_7089 = 
CAR(BgL_declz00_43); 
BgL_testz00_7088 = 
(BgL_auxz00_7089==BgL_auxz00_7091); } 
if(BgL_testz00_7088)
{ /* Jvm/env.scm 418 */
if(
PAIRP(BgL_cdrzd2211zd2_3350))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2216zd2_3353;
BgL_cdrzd2216zd2_3353 = 
CDR(BgL_cdrzd2211zd2_3350); 
if(
PAIRP(BgL_cdrzd2216zd2_3353))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2221zd2_3355;
BgL_cdrzd2221zd2_3355 = 
CDR(BgL_cdrzd2216zd2_3353); 
if(
PAIRP(BgL_cdrzd2221zd2_3355))
{ /* Jvm/env.scm 418 */
obj_t BgL_cdrzd2225zd2_3357;
BgL_cdrzd2225zd2_3357 = 
CDR(BgL_cdrzd2221zd2_3355); 
if(
PAIRP(BgL_cdrzd2225zd2_3357))
{ /* Jvm/env.scm 418 */
bool_t BgL_auxz00_7105;
BgL_classz00_3321 = 
CAR(BgL_cdrzd2211zd2_3350); 
BgL_tretz00_3322 = 
CAR(BgL_cdrzd2221zd2_3355); 
BgL_targsz00_3323 = 
CDR(BgL_cdrzd2225zd2_3357); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_42, BgL_classz00_3321); 
BGl_jlibzd2declarezd2typez00zzjvm_envz00(BgL_envz00_42, BgL_tretz00_3322); 
{ 
obj_t BgL_l3204z00_3368;
BgL_l3204z00_3368 = BgL_targsz00_3323; 
BgL_lname3205z00_3369:
if(
PAIRP(BgL_l3204z00_3368))
{ /* Jvm/env.scm 427 */
BGl_jlibzd2declarezd2typez00zzjvm_envz00(BgL_envz00_42, 
CAR(BgL_l3204z00_3368)); 
{ 
obj_t BgL_l3204z00_7112;
BgL_l3204z00_7112 = 
CDR(BgL_l3204z00_3368); 
BgL_l3204z00_3368 = BgL_l3204z00_7112; 
goto BgL_lname3205z00_3369;} }  else 
{ /* Jvm/env.scm 427 */
BgL_auxz00_7105 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_7105);}  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} } } } } }  else 
{ /* Jvm/env.scm 418 */
goto BgL_tagzd2104zd2_3325;} } } 
}



/* jlib-declare-type */
obj_t BGl_jlibzd2declarezd2typez00zzjvm_envz00(BgL_envz00_bglt BgL_envz00_44, obj_t BgL_tz00_45)
{ AN_OBJECT;
{ /* Jvm/env.scm 430 */
BGl_jlibzd2declarezd2typez00zzjvm_envz00:
{ /* Jvm/env.scm 432 */
bool_t BgL_testz00_7118;
{ /* Jvm/env.scm 432 */
obj_t BgL_auxz00_7119;
BgL_auxz00_7119 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_tz00_45, 
CNST_TABLE_REF(((long)140))); 
BgL_testz00_7118 = 
CBOOL(BgL_auxz00_7119); } 
if(BgL_testz00_7118)
{ /* Jvm/env.scm 432 */
return 
CNST_TABLE_REF(((long)139));}  else 
{ /* Jvm/env.scm 432 */
if(
PAIRP(BgL_tz00_45))
{ /* Jvm/env.scm 434 */
{ 
obj_t BgL_tz00_7126;
{ /* Jvm/env.scm 435 */
obj_t BgL_auxz00_7127;
BgL_auxz00_7127 = 
CDR(BgL_tz00_45); 
BgL_tz00_7126 = 
CAR(BgL_auxz00_7127); } 
BgL_tz00_45 = BgL_tz00_7126; 
goto BGl_jlibzd2declarezd2typez00zzjvm_envz00;} }  else 
{ /* Jvm/env.scm 434 */
return 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_44, BgL_tz00_45);} } } } 
}



/* every? */
obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t BgL_fz00_46, obj_t BgL_lz00_47)
{ AN_OBJECT;
{ /* Jvm/env.scm 442 */
BGl_everyzf3zf3zzjvm_envz00:
if(
NULLP(BgL_lz00_47))
{ /* Jvm/env.scm 443 */
return BTRUE;}  else 
{ /* Jvm/env.scm 444 */
bool_t BgL_test4894z00_3377;
{ /* Jvm/env.scm 444 */
obj_t BgL_auxz00_7133;
BgL_auxz00_7133 = 
PROCEDURE_ENTRY(BgL_fz00_46)(BgL_fz00_46, 
CAR(BgL_lz00_47), BEOA); 
BgL_test4894z00_3377 = 
CBOOL(BgL_auxz00_7133); } 
if(BgL_test4894z00_3377)
{ /* Jvm/env.scm 444 */
{ 
obj_t BgL_lz00_7139;
BgL_lz00_7139 = 
CDR(BgL_lz00_47); 
BgL_lz00_47 = BgL_lz00_7139; 
goto BGl_everyzf3zf3zzjvm_envz00;} }  else 
{ /* Jvm/env.scm 444 */
return BFALSE;} } } 
}



/* _every? */
obj_t BGl__everyzf3zf3zzjvm_envz00(obj_t BgL_envz00_4963, obj_t BgL_fz00_4964, obj_t BgL_lz00_4965)
{ AN_OBJECT;
{ /* Jvm/env.scm 442 */
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_fz00_4964, BgL_lz00_4965);} 
}



/* any? */
obj_t BGl_anyzf3zf3zzjvm_envz00(obj_t BgL_fz00_48, obj_t BgL_lz00_49)
{ AN_OBJECT;
{ /* Jvm/env.scm 447 */
BGl_anyzf3zf3zzjvm_envz00:
if(
NULLP(BgL_lz00_49))
{ /* Jvm/env.scm 448 */
return BFALSE;}  else 
{ /* Jvm/env.scm 449 */
bool_t BgL_test4898z00_3381;
{ /* Jvm/env.scm 449 */
obj_t BgL_auxz00_7144;
BgL_auxz00_7144 = 
PROCEDURE_ENTRY(BgL_fz00_48)(BgL_fz00_48, 
CAR(BgL_lz00_49), BEOA); 
BgL_test4898z00_3381 = 
CBOOL(BgL_auxz00_7144); } 
if(BgL_test4898z00_3381)
{ /* Jvm/env.scm 449 */
return BTRUE;}  else 
{ /* Jvm/env.scm 449 */
{ 
obj_t BgL_lz00_7150;
BgL_lz00_7150 = 
CDR(BgL_lz00_49); 
BgL_lz00_49 = BgL_lz00_7150; 
goto BGl_anyzf3zf3zzjvm_envz00;} } } } 
}



/* _any? */
obj_t BGl__anyzf3zf3zzjvm_envz00(obj_t BgL_envz00_4966, obj_t BgL_fz00_4967, obj_t BgL_lz00_4968)
{ AN_OBJECT;
{ /* Jvm/env.scm 447 */
return 
BGl_anyzf3zf3zzjvm_envz00(BgL_fz00_4967, BgL_lz00_4968);} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4901z00_3384;obj_t BgL_arg4902z00_3385;obj_t BgL_arg4906z00_3389;obj_t BgL_arg4907z00_3390;
BgL_arg4901z00_3384 = 
CNST_TABLE_REF(((long)141)); 
BgL_arg4902z00_3385 = BGl_objectz00zz__objectz00; 
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4908z00_3391;obj_t BgL_arg4909z00_3392;obj_t BgL_arg4910z00_3393;obj_t BgL_arg4911z00_3394;obj_t BgL_arg4912z00_3395;obj_t BgL_arg4913z00_3396;obj_t BgL_arg4914z00_3397;obj_t BgL_arg4915z00_3398;obj_t BgL_arg4916z00_3399;obj_t BgL_arg4917z00_3400;obj_t BgL_arg4918z00_3401;obj_t BgL_arg4919z00_3402;obj_t BgL_arg4920z00_3403;obj_t BgL_arg4921z00_3404;obj_t BgL_arg4922z00_3405;
BgL_arg4908z00_3391 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)142)), BGl_envzd2declarationszd2envz00zzjvm_envz00, BGl_envzd2declarationszd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4909z00_3392 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)143)), BGl_envzd2declaredtypezd2envz00zzjvm_envz00, BGl_envzd2declaredtypezd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4910z00_3393 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)144)), BGl_envzd2declaredclasszd2envz00zzjvm_envz00, BGl_envzd2declaredclasszd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4911z00_3394 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)145)), BGl_envzd2declaredmodulezd2envz00zzjvm_envz00, BGl_envzd2declaredmodulezd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4912z00_3395 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)146)), BGl_envzd2currentzd2modulezd2envzd2zzjvm_envz00, BGl_envzd2currentzd2modulezd2setz12zd2envz12zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4913z00_3396 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)147)), BGl_envzd2declaredfieldszd2envz00zzjvm_envz00, BGl_envzd2declaredfieldszd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4914z00_3397 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)148)), BGl_envzd2declaredglobalzd2envz00zzjvm_envz00, BGl_envzd2declaredglobalzd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4915z00_3398 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)149)), BGl_envzd2libdeclaredzd2envz00zzjvm_envz00, BGl_envzd2libdeclaredzd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4916z00_3399 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)150)), BGl_envzd2procedureszd2envz00zzjvm_envz00, BGl_envzd2procedureszd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4917z00_3400 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)151)), BGl_envzd2clinitzd2codezd2envzd2zzjvm_envz00, BGl_envzd2clinitzd2codezd2setz12zd2envz12zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4918z00_3401 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)152)), BGl_envzd2currentzd2methodzd2envzd2zzjvm_envz00, BGl_envzd2currentzd2methodzd2setz12zd2envz12zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4919z00_3402 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)153)), BGl_envzd2vcountzd2envz00zzjvm_envz00, BGl_envzd2vcountzd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4920z00_3403 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)154)), BGl_envzd2localszd2envz00zzjvm_envz00, BGl_envzd2localszd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4921z00_3404 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)155)), BGl_envzd2stackzd2envz00zzjvm_envz00, BGl_envzd2stackzd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg4922z00_3405 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)156)), BGl_envzd2codezd2envz00zzjvm_envz00, BGl_envzd2codezd2setz12zd2envzc0zzjvm_envz00, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Jvm/env.scm 9 */
obj_t BgL_list4923z00_3406;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4924z00_3407;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4925z00_3408;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4926z00_3409;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4928z00_3410;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4929z00_3411;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4930z00_3412;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4931z00_3413;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4932z00_3414;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4933z00_3415;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4934z00_3416;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4935z00_3417;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4936z00_3418;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4937z00_3419;
{ /* Jvm/env.scm 9 */
obj_t BgL_arg4938z00_3420;
BgL_arg4938z00_3420 = 
MAKE_PAIR(BgL_arg4922z00_3405, BNIL); 
BgL_arg4937z00_3419 = 
MAKE_PAIR(BgL_arg4921z00_3404, BgL_arg4938z00_3420); } 
BgL_arg4936z00_3418 = 
MAKE_PAIR(BgL_arg4920z00_3403, BgL_arg4937z00_3419); } 
BgL_arg4935z00_3417 = 
MAKE_PAIR(BgL_arg4919z00_3402, BgL_arg4936z00_3418); } 
BgL_arg4934z00_3416 = 
MAKE_PAIR(BgL_arg4918z00_3401, BgL_arg4935z00_3417); } 
BgL_arg4933z00_3415 = 
MAKE_PAIR(BgL_arg4917z00_3400, BgL_arg4934z00_3416); } 
BgL_arg4932z00_3414 = 
MAKE_PAIR(BgL_arg4916z00_3399, BgL_arg4933z00_3415); } 
BgL_arg4931z00_3413 = 
MAKE_PAIR(BgL_arg4915z00_3398, BgL_arg4932z00_3414); } 
BgL_arg4930z00_3412 = 
MAKE_PAIR(BgL_arg4914z00_3397, BgL_arg4931z00_3413); } 
BgL_arg4929z00_3411 = 
MAKE_PAIR(BgL_arg4913z00_3396, BgL_arg4930z00_3412); } 
BgL_arg4928z00_3410 = 
MAKE_PAIR(BgL_arg4912z00_3395, BgL_arg4929z00_3411); } 
BgL_arg4926z00_3409 = 
MAKE_PAIR(BgL_arg4911z00_3394, BgL_arg4928z00_3410); } 
BgL_arg4925z00_3408 = 
MAKE_PAIR(BgL_arg4910z00_3393, BgL_arg4926z00_3409); } 
BgL_arg4924z00_3407 = 
MAKE_PAIR(BgL_arg4909z00_3392, BgL_arg4925z00_3408); } 
BgL_list4923z00_3406 = 
MAKE_PAIR(BgL_arg4908z00_3391, BgL_arg4924z00_3407); } 
BgL_arg4906z00_3389 = BgL_list4923z00_3406; } } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3206z00_3421;
{ 
int BgL_auxz00_7199;
BgL_auxz00_7199 = 
(int)(((long)0)); 
BgL_v3206z00_3421 = 
create_vector(BgL_auxz00_7199); } 
BgL_arg4907z00_3390 = BgL_v3206z00_3421; } 
BGl_envz00zzjvm_envz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4901z00_3384, BgL_arg4902z00_3385, BGl_makezd2envzd2envz00zzjvm_envz00, BGl_allocatezd2envzd2envz00zzjvm_envz00, ((long)25815), BgL_arg4906z00_3389, BFALSE, BgL_arg4907z00_3390); } 
return BUNSPEC;} 
}



/* env? */
bool_t BGl_envzf3zf3zzjvm_envz00(obj_t BgL_obj3174z00_50)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3174z00_50, BGl_envz00zzjvm_envz00);} 
}



/* _env? */
obj_t BGl__envzf3zf3zzjvm_envz00(obj_t BgL_envz00_5061, obj_t BgL_obj3174z00_5062)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
bool_t BgL_auxz00_7204;
BgL_auxz00_7204 = 
BGl_envzf3zf3zzjvm_envz00(BgL_obj3174z00_5062); 
return 
BBOOL(BgL_auxz00_7204);} } 
}



/* fill-env! */
BgL_envz00_bglt BGl_fillzd2envz12zc0zzjvm_envz00(BgL_envz00_bglt BgL_new3077z00_54, obj_t BgL_declarations3062z00_55, obj_t BgL_declaredtype3063z00_56, obj_t BgL_declaredclass3064z00_57, obj_t BgL_declaredmodule3065z00_58, obj_t BgL_currentzd2module3066zd2_59, obj_t BgL_declaredfields3067z00_60, obj_t BgL_declaredglobal3068z00_61, obj_t BgL_libdeclared3069z00_62, obj_t BgL_procedures3070z00_63, obj_t BgL_clinitzd2code3071zd2_64, obj_t BgL_currentzd2method3072zd2_65, obj_t BgL_vcount3073z00_66, obj_t BgL_locals3074z00_67, obj_t BgL_stack3075z00_68, obj_t BgL_code3076z00_69)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declarationsz00) = ((obj_t)BgL_declarations3062z00_55), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declaredtypez00) = ((obj_t)BgL_declaredtype3063z00_56), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declaredclassz00) = ((obj_t)BgL_declaredclass3064z00_57), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declaredmodulez00) = ((obj_t)BgL_declaredmodule3065z00_58), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_currentzd2modulezd2) = ((obj_t)BgL_currentzd2module3066zd2_59), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declaredfieldsz00) = ((obj_t)BgL_declaredfields3067z00_60), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_declaredglobalz00) = ((obj_t)BgL_declaredglobal3068z00_61), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_libdeclaredz00) = ((obj_t)BgL_libdeclared3069z00_62), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_proceduresz00) = ((obj_t)BgL_procedures3070z00_63), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_clinitzd2codezd2) = ((obj_t)BgL_clinitzd2code3071zd2_64), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_currentzd2methodzd2) = ((obj_t)BgL_currentzd2method3072zd2_65), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_vcountz00) = ((obj_t)BgL_vcount3073z00_66), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_localsz00) = ((obj_t)BgL_locals3074z00_67), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_stackz00) = ((obj_t)BgL_stack3075z00_68), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3077z00_54))->BgL_codez00) = ((obj_t)BgL_code3076z00_69), BUNSPEC); 
return BgL_new3077z00_54;} 
}



/* _fill-env!5087 */
obj_t BGl__fillzd2envz125087zc0zzjvm_envz00(obj_t BgL_envz00_5063, obj_t BgL_new3077z00_5064, obj_t BgL_declarations3062z00_5065, obj_t BgL_declaredtype3063z00_5066, obj_t BgL_declaredclass3064z00_5067, obj_t BgL_declaredmodule3065z00_5068, obj_t BgL_currentzd2module3066zd2_5069, obj_t BgL_declaredfields3067z00_5070, obj_t BgL_declaredglobal3068z00_5071, obj_t BgL_libdeclared3069z00_5072, obj_t BgL_procedures3070z00_5073, obj_t BgL_clinitzd2code3071zd2_5074, obj_t BgL_currentzd2method3072zd2_5075, obj_t BgL_vcount3073z00_5076, obj_t BgL_locals3074z00_5077, obj_t BgL_stack3075z00_5078, obj_t BgL_code3076z00_5079)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_auxz00_7222;
BgL_auxz00_7222 = 
BGl_fillzd2envz12zc0zzjvm_envz00(
(BgL_envz00_bglt)(BgL_new3077z00_5064), BgL_declarations3062z00_5065, BgL_declaredtype3063z00_5066, BgL_declaredclass3064z00_5067, BgL_declaredmodule3065z00_5068, BgL_currentzd2module3066zd2_5069, BgL_declaredfields3067z00_5070, BgL_declaredglobal3068z00_5071, BgL_libdeclared3069z00_5072, BgL_procedures3070z00_5073, BgL_clinitzd2code3071zd2_5074, BgL_currentzd2method3072zd2_5075, BgL_vcount3073z00_5076, BgL_locals3074z00_5077, BgL_stack3075z00_5078, BgL_code3076z00_5079); 
return 
(obj_t)(BgL_auxz00_7222);} } 
}



/* make-env */
BgL_envz00_bglt BGl_makezd2envzd2zzjvm_envz00(obj_t BgL_declarations3094z00_70, obj_t BgL_declaredtype3095z00_71, obj_t BgL_declaredclass3096z00_72, obj_t BgL_declaredmodule3097z00_73, obj_t BgL_currentzd2module3098zd2_74, obj_t BgL_declaredfields3099z00_75, obj_t BgL_declaredglobal3100z00_76, obj_t BgL_libdeclared3101z00_77, obj_t BgL_procedures3102z00_78, obj_t BgL_clinitzd2code3103zd2_79, obj_t BgL_currentzd2method3104zd2_80, obj_t BgL_vcount3105z00_81, obj_t BgL_locals3106z00_82, obj_t BgL_stack3107z00_83, obj_t BgL_code3108z00_84)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_new3109z00_4194;
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_res5033z00_4200;
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_new3111z00_4195;
BgL_new3111z00_4195 = 
((BgL_envz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_envz00_bgl) ))); 
{ /* Jvm/env.scm 9 */
long BgL_arg4939z00_4196;
BgL_arg4939z00_4196 = 
BGl_classzd2numzd2zz__objectz00(BGl_envz00zzjvm_envz00); 
{ /* Jvm/env.scm 9 */
BgL_objectz00_bglt BgL_auxz00_7228;
BgL_auxz00_7228 = 
(BgL_objectz00_bglt)(BgL_new3111z00_4195); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7228, BgL_arg4939z00_4196); } } 
{ /* Jvm/env.scm 9 */
BgL_objectz00_bglt BgL_auxz00_7231;
BgL_auxz00_7231 = 
(BgL_objectz00_bglt)(BgL_new3111z00_4195); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7231, BFALSE); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7234;
BgL_auxz00_7234 = 
(obj_t)(BgL_new3111z00_4195); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7234); } BUNSPEC; 
BgL_res5033z00_4200 = BgL_new3111z00_4195; } 
BgL_new3109z00_4194 = BgL_res5033z00_4200; } 
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_res5034z00_4232;
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declarationsz00) = ((obj_t)BgL_declarations3094z00_70), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declaredtypez00) = ((obj_t)BgL_declaredtype3095z00_71), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declaredclassz00) = ((obj_t)BgL_declaredclass3096z00_72), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declaredmodulez00) = ((obj_t)BgL_declaredmodule3097z00_73), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_currentzd2modulezd2) = ((obj_t)BgL_currentzd2module3098zd2_74), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declaredfieldsz00) = ((obj_t)BgL_declaredfields3099z00_75), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_declaredglobalz00) = ((obj_t)BgL_declaredglobal3100z00_76), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_libdeclaredz00) = ((obj_t)BgL_libdeclared3101z00_77), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_proceduresz00) = ((obj_t)BgL_procedures3102z00_78), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_clinitzd2codezd2) = ((obj_t)BgL_clinitzd2code3103zd2_79), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_currentzd2methodzd2) = ((obj_t)BgL_currentzd2method3104zd2_80), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_vcountz00) = ((obj_t)BgL_vcount3105z00_81), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_localsz00) = ((obj_t)BgL_locals3106z00_82), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_stackz00) = ((obj_t)BgL_stack3107z00_83), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3109z00_4194))->BgL_codez00) = ((obj_t)BgL_code3108z00_84), BUNSPEC); 
BgL_res5034z00_4232 = BgL_new3109z00_4194; BgL_res5034z00_4232; } 
return BgL_new3109z00_4194;} } 
}



/* _make-env */
obj_t BGl__makezd2envzd2zzjvm_envz00(obj_t BgL_envz00_4969, obj_t BgL_declarations3094z00_4970, obj_t BgL_declaredtype3095z00_4971, obj_t BgL_declaredclass3096z00_4972, obj_t BgL_declaredmodule3097z00_4973, obj_t BgL_currentzd2module3098zd2_4974, obj_t BgL_declaredfields3099z00_4975, obj_t BgL_declaredglobal3100z00_4976, obj_t BgL_libdeclared3101z00_4977, obj_t BgL_procedures3102z00_4978, obj_t BgL_clinitzd2code3103zd2_4979, obj_t BgL_currentzd2method3104zd2_4980, obj_t BgL_vcount3105z00_4981, obj_t BgL_locals3106z00_4982, obj_t BgL_stack3107z00_4983, obj_t BgL_code3108z00_4984)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_auxz00_7252;
BgL_auxz00_7252 = 
BGl_makezd2envzd2zzjvm_envz00(BgL_declarations3094z00_4970, BgL_declaredtype3095z00_4971, BgL_declaredclass3096z00_4972, BgL_declaredmodule3097z00_4973, BgL_currentzd2module3098zd2_4974, BgL_declaredfields3099z00_4975, BgL_declaredglobal3100z00_4976, BgL_libdeclared3101z00_4977, BgL_procedures3102z00_4978, BgL_clinitzd2code3103zd2_4979, BgL_currentzd2method3104zd2_4980, BgL_vcount3105z00_4981, BgL_locals3106z00_4982, BgL_stack3107z00_4983, BgL_code3108z00_4984); 
return 
(obj_t)(BgL_auxz00_7252);} } 
}



/* allocate-env */
BgL_envz00_bglt BGl_allocatezd2envzd2zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_new3111z00_4233;
BgL_new3111z00_4233 = 
((BgL_envz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_envz00_bgl) ))); 
{ /* Jvm/env.scm 9 */
long BgL_arg4939z00_4234;
BgL_arg4939z00_4234 = 
BGl_classzd2numzd2zz__objectz00(BGl_envz00zzjvm_envz00); 
{ /* Jvm/env.scm 9 */
BgL_objectz00_bglt BgL_auxz00_7257;
BgL_auxz00_7257 = 
(BgL_objectz00_bglt)(BgL_new3111z00_4233); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7257, BgL_arg4939z00_4234); } } 
{ /* Jvm/env.scm 9 */
BgL_objectz00_bglt BgL_auxz00_7260;
BgL_auxz00_7260 = 
(BgL_objectz00_bglt)(BgL_new3111z00_4233); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7260, BFALSE); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7263;
BgL_auxz00_7263 = 
(obj_t)(BgL_new3111z00_4233); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7263); } BUNSPEC; 
return BgL_new3111z00_4233;} } 
}



/* _allocate-env */
obj_t BGl__allocatezd2envzd2zzjvm_envz00(obj_t BgL_envz00_4985)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_auxz00_7266;
BgL_auxz00_7266 = 
BGl_allocatezd2envzd2zzjvm_envz00(); 
return 
(obj_t)(BgL_auxz00_7266);} } 
}



/* env-declarations-set! */
obj_t BGl_envzd2declarationszd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3019z00_85, obj_t BgL_val3018z00_86)
{ AN_OBJECT;
{ /* Jvm/env.scm 10 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3019z00_85))->BgL_declarationsz00) = ((obj_t)BgL_val3018z00_86), BUNSPEC);} 
}



/* _env-declarations-set!5058 */
obj_t BGl__envzd2declarationszd2setz125058z12zzjvm_envz00(obj_t BgL_envz00_4988, obj_t BgL_obj3019z00_4989, obj_t BgL_val3018z00_4990)
{ AN_OBJECT;
{ /* Jvm/env.scm 10 */
return 
BGl_envzd2declarationszd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3019z00_4989), BgL_val3018z00_4990);} 
}



/* env-declarations */
obj_t BGl_envzd2declarationszd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3017z00_87)
{ AN_OBJECT;
{ /* Jvm/env.scm 10 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3017z00_87))->BgL_declarationsz00);} 
}



/* _env-declarations5057 */
obj_t BGl__envzd2declarations5057zd2zzjvm_envz00(obj_t BgL_envz00_4986, obj_t BgL_obj3017z00_4987)
{ AN_OBJECT;
{ /* Jvm/env.scm 10 */
return 
BGl_envzd2declarationszd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3017z00_4987));} 
}



/* env-declaredtype-set! */
obj_t BGl_envzd2declaredtypezd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3022z00_88, obj_t BgL_val3021z00_89)
{ AN_OBJECT;
{ /* Jvm/env.scm 11 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3022z00_88))->BgL_declaredtypez00) = ((obj_t)BgL_val3021z00_89), BUNSPEC);} 
}



/* _env-declaredtype-set!5060 */
obj_t BGl__envzd2declaredtypezd2setz125060z12zzjvm_envz00(obj_t BgL_envz00_4993, obj_t BgL_obj3022z00_4994, obj_t BgL_val3021z00_4995)
{ AN_OBJECT;
{ /* Jvm/env.scm 11 */
return 
BGl_envzd2declaredtypezd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3022z00_4994), BgL_val3021z00_4995);} 
}



/* env-declaredtype */
obj_t BGl_envzd2declaredtypezd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3020z00_90)
{ AN_OBJECT;
{ /* Jvm/env.scm 11 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3020z00_90))->BgL_declaredtypez00);} 
}



/* _env-declaredtype5059 */
obj_t BGl__envzd2declaredtype5059zd2zzjvm_envz00(obj_t BgL_envz00_4991, obj_t BgL_obj3020z00_4992)
{ AN_OBJECT;
{ /* Jvm/env.scm 11 */
return 
BGl_envzd2declaredtypezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3020z00_4992));} 
}



/* env-declaredclass-set! */
obj_t BGl_envzd2declaredclasszd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3025z00_91, obj_t BgL_val3024z00_92)
{ AN_OBJECT;
{ /* Jvm/env.scm 12 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3025z00_91))->BgL_declaredclassz00) = ((obj_t)BgL_val3024z00_92), BUNSPEC);} 
}



/* _env-declaredclass-set!5062 */
obj_t BGl__envzd2declaredclasszd2setz125062z12zzjvm_envz00(obj_t BgL_envz00_4998, obj_t BgL_obj3025z00_4999, obj_t BgL_val3024z00_5000)
{ AN_OBJECT;
{ /* Jvm/env.scm 12 */
return 
BGl_envzd2declaredclasszd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3025z00_4999), BgL_val3024z00_5000);} 
}



/* env-declaredclass */
obj_t BGl_envzd2declaredclasszd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3023z00_93)
{ AN_OBJECT;
{ /* Jvm/env.scm 12 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3023z00_93))->BgL_declaredclassz00);} 
}



/* _env-declaredclass5061 */
obj_t BGl__envzd2declaredclass5061zd2zzjvm_envz00(obj_t BgL_envz00_4996, obj_t BgL_obj3023z00_4997)
{ AN_OBJECT;
{ /* Jvm/env.scm 12 */
return 
BGl_envzd2declaredclasszd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3023z00_4997));} 
}



/* env-declaredmodule-set! */
obj_t BGl_envzd2declaredmodulezd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3028z00_94, obj_t BgL_val3027z00_95)
{ AN_OBJECT;
{ /* Jvm/env.scm 13 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3028z00_94))->BgL_declaredmodulez00) = ((obj_t)BgL_val3027z00_95), BUNSPEC);} 
}



/* _env-declaredmodule-set!5064 */
obj_t BGl__envzd2declaredmodulezd2setz125064z12zzjvm_envz00(obj_t BgL_envz00_5003, obj_t BgL_obj3028z00_5004, obj_t BgL_val3027z00_5005)
{ AN_OBJECT;
{ /* Jvm/env.scm 13 */
return 
BGl_envzd2declaredmodulezd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3028z00_5004), BgL_val3027z00_5005);} 
}



/* env-declaredmodule */
obj_t BGl_envzd2declaredmodulezd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3026z00_96)
{ AN_OBJECT;
{ /* Jvm/env.scm 13 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3026z00_96))->BgL_declaredmodulez00);} 
}



/* _env-declaredmodule5063 */
obj_t BGl__envzd2declaredmodule5063zd2zzjvm_envz00(obj_t BgL_envz00_5001, obj_t BgL_obj3026z00_5002)
{ AN_OBJECT;
{ /* Jvm/env.scm 13 */
return 
BGl_envzd2declaredmodulezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3026z00_5002));} 
}



/* env-current-module-set! */
obj_t BGl_envzd2currentzd2modulezd2setz12zc0zzjvm_envz00(BgL_envz00_bglt BgL_obj3031z00_97, obj_t BgL_val3030z00_98)
{ AN_OBJECT;
{ /* Jvm/env.scm 14 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3031z00_97))->BgL_currentzd2modulezd2) = ((obj_t)BgL_val3030z00_98), BUNSPEC);} 
}



/* _env-current-module-set!5066 */
obj_t BGl__envzd2currentzd2modulezd2setz125066zc0zzjvm_envz00(obj_t BgL_envz00_5008, obj_t BgL_obj3031z00_5009, obj_t BgL_val3030z00_5010)
{ AN_OBJECT;
{ /* Jvm/env.scm 14 */
return 
BGl_envzd2currentzd2modulezd2setz12zc0zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3031z00_5009), BgL_val3030z00_5010);} 
}



/* env-current-module */
obj_t BGl_envzd2currentzd2modulez00zzjvm_envz00(BgL_envz00_bglt BgL_obj3029z00_99)
{ AN_OBJECT;
{ /* Jvm/env.scm 14 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3029z00_99))->BgL_currentzd2modulezd2);} 
}



/* _env-current-module5065 */
obj_t BGl__envzd2currentzd2module5065z00zzjvm_envz00(obj_t BgL_envz00_5006, obj_t BgL_obj3029z00_5007)
{ AN_OBJECT;
{ /* Jvm/env.scm 14 */
return 
BGl_envzd2currentzd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3029z00_5007));} 
}



/* env-declaredfields-set! */
obj_t BGl_envzd2declaredfieldszd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3034z00_100, obj_t BgL_val3033z00_101)
{ AN_OBJECT;
{ /* Jvm/env.scm 15 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3034z00_100))->BgL_declaredfieldsz00) = ((obj_t)BgL_val3033z00_101), BUNSPEC);} 
}



/* _env-declaredfields-set!5068 */
obj_t BGl__envzd2declaredfieldszd2setz125068z12zzjvm_envz00(obj_t BgL_envz00_5013, obj_t BgL_obj3034z00_5014, obj_t BgL_val3033z00_5015)
{ AN_OBJECT;
{ /* Jvm/env.scm 15 */
return 
BGl_envzd2declaredfieldszd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3034z00_5014), BgL_val3033z00_5015);} 
}



/* env-declaredfields */
obj_t BGl_envzd2declaredfieldszd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3032z00_102)
{ AN_OBJECT;
{ /* Jvm/env.scm 15 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3032z00_102))->BgL_declaredfieldsz00);} 
}



/* _env-declaredfields5067 */
obj_t BGl__envzd2declaredfields5067zd2zzjvm_envz00(obj_t BgL_envz00_5011, obj_t BgL_obj3032z00_5012)
{ AN_OBJECT;
{ /* Jvm/env.scm 15 */
return 
BGl_envzd2declaredfieldszd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3032z00_5012));} 
}



/* env-declaredglobal-set! */
obj_t BGl_envzd2declaredglobalzd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3037z00_103, obj_t BgL_val3036z00_104)
{ AN_OBJECT;
{ /* Jvm/env.scm 16 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3037z00_103))->BgL_declaredglobalz00) = ((obj_t)BgL_val3036z00_104), BUNSPEC);} 
}



/* _env-declaredglobal-set!5070 */
obj_t BGl__envzd2declaredglobalzd2setz125070z12zzjvm_envz00(obj_t BgL_envz00_5018, obj_t BgL_obj3037z00_5019, obj_t BgL_val3036z00_5020)
{ AN_OBJECT;
{ /* Jvm/env.scm 16 */
return 
BGl_envzd2declaredglobalzd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3037z00_5019), BgL_val3036z00_5020);} 
}



/* env-declaredglobal */
obj_t BGl_envzd2declaredglobalzd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3035z00_105)
{ AN_OBJECT;
{ /* Jvm/env.scm 16 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3035z00_105))->BgL_declaredglobalz00);} 
}



/* _env-declaredglobal5069 */
obj_t BGl__envzd2declaredglobal5069zd2zzjvm_envz00(obj_t BgL_envz00_5016, obj_t BgL_obj3035z00_5017)
{ AN_OBJECT;
{ /* Jvm/env.scm 16 */
return 
BGl_envzd2declaredglobalzd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3035z00_5017));} 
}



/* env-libdeclared-set! */
obj_t BGl_envzd2libdeclaredzd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3040z00_106, obj_t BgL_val3039z00_107)
{ AN_OBJECT;
{ /* Jvm/env.scm 17 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3040z00_106))->BgL_libdeclaredz00) = ((obj_t)BgL_val3039z00_107), BUNSPEC);} 
}



/* _env-libdeclared-set!5072 */
obj_t BGl__envzd2libdeclaredzd2setz125072z12zzjvm_envz00(obj_t BgL_envz00_5023, obj_t BgL_obj3040z00_5024, obj_t BgL_val3039z00_5025)
{ AN_OBJECT;
{ /* Jvm/env.scm 17 */
return 
BGl_envzd2libdeclaredzd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3040z00_5024), BgL_val3039z00_5025);} 
}



/* env-libdeclared */
obj_t BGl_envzd2libdeclaredzd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3038z00_108)
{ AN_OBJECT;
{ /* Jvm/env.scm 17 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3038z00_108))->BgL_libdeclaredz00);} 
}



/* _env-libdeclared5071 */
obj_t BGl__envzd2libdeclared5071zd2zzjvm_envz00(obj_t BgL_envz00_5021, obj_t BgL_obj3038z00_5022)
{ AN_OBJECT;
{ /* Jvm/env.scm 17 */
return 
BGl_envzd2libdeclaredzd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3038z00_5022));} 
}



/* env-procedures-set! */
obj_t BGl_envzd2procedureszd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3043z00_109, obj_t BgL_val3042z00_110)
{ AN_OBJECT;
{ /* Jvm/env.scm 18 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3043z00_109))->BgL_proceduresz00) = ((obj_t)BgL_val3042z00_110), BUNSPEC);} 
}



/* _env-procedures-set!5074 */
obj_t BGl__envzd2procedureszd2setz125074z12zzjvm_envz00(obj_t BgL_envz00_5028, obj_t BgL_obj3043z00_5029, obj_t BgL_val3042z00_5030)
{ AN_OBJECT;
{ /* Jvm/env.scm 18 */
return 
BGl_envzd2procedureszd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3043z00_5029), BgL_val3042z00_5030);} 
}



/* env-procedures */
obj_t BGl_envzd2procedureszd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3041z00_111)
{ AN_OBJECT;
{ /* Jvm/env.scm 18 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3041z00_111))->BgL_proceduresz00);} 
}



/* _env-procedures5073 */
obj_t BGl__envzd2procedures5073zd2zzjvm_envz00(obj_t BgL_envz00_5026, obj_t BgL_obj3041z00_5027)
{ AN_OBJECT;
{ /* Jvm/env.scm 18 */
return 
BGl_envzd2procedureszd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3041z00_5027));} 
}



/* env-clinit-code-set! */
obj_t BGl_envzd2clinitzd2codezd2setz12zc0zzjvm_envz00(BgL_envz00_bglt BgL_obj3046z00_112, obj_t BgL_val3045z00_113)
{ AN_OBJECT;
{ /* Jvm/env.scm 19 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3046z00_112))->BgL_clinitzd2codezd2) = ((obj_t)BgL_val3045z00_113), BUNSPEC);} 
}



/* _env-clinit-code-set!5076 */
obj_t BGl__envzd2clinitzd2codezd2setz125076zc0zzjvm_envz00(obj_t BgL_envz00_5033, obj_t BgL_obj3046z00_5034, obj_t BgL_val3045z00_5035)
{ AN_OBJECT;
{ /* Jvm/env.scm 19 */
return 
BGl_envzd2clinitzd2codezd2setz12zc0zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3046z00_5034), BgL_val3045z00_5035);} 
}



/* env-clinit-code */
obj_t BGl_envzd2clinitzd2codez00zzjvm_envz00(BgL_envz00_bglt BgL_obj3044z00_114)
{ AN_OBJECT;
{ /* Jvm/env.scm 19 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3044z00_114))->BgL_clinitzd2codezd2);} 
}



/* _env-clinit-code5075 */
obj_t BGl__envzd2clinitzd2code5075z00zzjvm_envz00(obj_t BgL_envz00_5031, obj_t BgL_obj3044z00_5032)
{ AN_OBJECT;
{ /* Jvm/env.scm 19 */
return 
BGl_envzd2clinitzd2codez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3044z00_5032));} 
}



/* env-current-method-set! */
obj_t BGl_envzd2currentzd2methodzd2setz12zc0zzjvm_envz00(BgL_envz00_bglt BgL_obj3049z00_115, obj_t BgL_val3048z00_116)
{ AN_OBJECT;
{ /* Jvm/env.scm 20 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3049z00_115))->BgL_currentzd2methodzd2) = ((obj_t)BgL_val3048z00_116), BUNSPEC);} 
}



/* _env-current-method-set!5078 */
obj_t BGl__envzd2currentzd2methodzd2setz125078zc0zzjvm_envz00(obj_t BgL_envz00_5038, obj_t BgL_obj3049z00_5039, obj_t BgL_val3048z00_5040)
{ AN_OBJECT;
{ /* Jvm/env.scm 20 */
return 
BGl_envzd2currentzd2methodzd2setz12zc0zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3049z00_5039), BgL_val3048z00_5040);} 
}



/* env-current-method */
obj_t BGl_envzd2currentzd2methodz00zzjvm_envz00(BgL_envz00_bglt BgL_obj3047z00_117)
{ AN_OBJECT;
{ /* Jvm/env.scm 20 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3047z00_117))->BgL_currentzd2methodzd2);} 
}



/* _env-current-method5077 */
obj_t BGl__envzd2currentzd2method5077z00zzjvm_envz00(obj_t BgL_envz00_5036, obj_t BgL_obj3047z00_5037)
{ AN_OBJECT;
{ /* Jvm/env.scm 20 */
return 
BGl_envzd2currentzd2methodz00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3047z00_5037));} 
}



/* env-vcount-set! */
obj_t BGl_envzd2vcountzd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3052z00_118, obj_t BgL_val3051z00_119)
{ AN_OBJECT;
{ /* Jvm/env.scm 21 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3052z00_118))->BgL_vcountz00) = ((obj_t)BgL_val3051z00_119), BUNSPEC);} 
}



/* _env-vcount-set!5080 */
obj_t BGl__envzd2vcountzd2setz125080z12zzjvm_envz00(obj_t BgL_envz00_5043, obj_t BgL_obj3052z00_5044, obj_t BgL_val3051z00_5045)
{ AN_OBJECT;
{ /* Jvm/env.scm 21 */
return 
BGl_envzd2vcountzd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3052z00_5044), BgL_val3051z00_5045);} 
}



/* env-vcount */
obj_t BGl_envzd2vcountzd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3050z00_120)
{ AN_OBJECT;
{ /* Jvm/env.scm 21 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3050z00_120))->BgL_vcountz00);} 
}



/* _env-vcount5079 */
obj_t BGl__envzd2vcount5079zd2zzjvm_envz00(obj_t BgL_envz00_5041, obj_t BgL_obj3050z00_5042)
{ AN_OBJECT;
{ /* Jvm/env.scm 21 */
return 
BGl_envzd2vcountzd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3050z00_5042));} 
}



/* env-locals-set! */
obj_t BGl_envzd2localszd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3055z00_121, obj_t BgL_val3054z00_122)
{ AN_OBJECT;
{ /* Jvm/env.scm 22 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3055z00_121))->BgL_localsz00) = ((obj_t)BgL_val3054z00_122), BUNSPEC);} 
}



/* _env-locals-set!5082 */
obj_t BGl__envzd2localszd2setz125082z12zzjvm_envz00(obj_t BgL_envz00_5048, obj_t BgL_obj3055z00_5049, obj_t BgL_val3054z00_5050)
{ AN_OBJECT;
{ /* Jvm/env.scm 22 */
return 
BGl_envzd2localszd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3055z00_5049), BgL_val3054z00_5050);} 
}



/* env-locals */
obj_t BGl_envzd2localszd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3053z00_123)
{ AN_OBJECT;
{ /* Jvm/env.scm 22 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3053z00_123))->BgL_localsz00);} 
}



/* _env-locals5081 */
obj_t BGl__envzd2locals5081zd2zzjvm_envz00(obj_t BgL_envz00_5046, obj_t BgL_obj3053z00_5047)
{ AN_OBJECT;
{ /* Jvm/env.scm 22 */
return 
BGl_envzd2localszd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3053z00_5047));} 
}



/* env-stack-set! */
obj_t BGl_envzd2stackzd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3058z00_124, obj_t BgL_val3057z00_125)
{ AN_OBJECT;
{ /* Jvm/env.scm 23 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3058z00_124))->BgL_stackz00) = ((obj_t)BgL_val3057z00_125), BUNSPEC);} 
}



/* _env-stack-set!5084 */
obj_t BGl__envzd2stackzd2setz125084z12zzjvm_envz00(obj_t BgL_envz00_5053, obj_t BgL_obj3058z00_5054, obj_t BgL_val3057z00_5055)
{ AN_OBJECT;
{ /* Jvm/env.scm 23 */
return 
BGl_envzd2stackzd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3058z00_5054), BgL_val3057z00_5055);} 
}



/* env-stack */
obj_t BGl_envzd2stackzd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3056z00_126)
{ AN_OBJECT;
{ /* Jvm/env.scm 23 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3056z00_126))->BgL_stackz00);} 
}



/* _env-stack5083 */
obj_t BGl__envzd2stack5083zd2zzjvm_envz00(obj_t BgL_envz00_5051, obj_t BgL_obj3056z00_5052)
{ AN_OBJECT;
{ /* Jvm/env.scm 23 */
return 
BGl_envzd2stackzd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3056z00_5052));} 
}



/* env-code-set! */
obj_t BGl_envzd2codezd2setz12z12zzjvm_envz00(BgL_envz00_bglt BgL_obj3061z00_127, obj_t BgL_val3060z00_128)
{ AN_OBJECT;
{ /* Jvm/env.scm 24 */
return 
((((BgL_envz00_bglt)CREF(BgL_obj3061z00_127))->BgL_codez00) = ((obj_t)BgL_val3060z00_128), BUNSPEC);} 
}



/* _env-code-set!5086 */
obj_t BGl__envzd2codezd2setz125086z12zzjvm_envz00(obj_t BgL_envz00_5058, obj_t BgL_obj3061z00_5059, obj_t BgL_val3060z00_5060)
{ AN_OBJECT;
{ /* Jvm/env.scm 24 */
return 
BGl_envzd2codezd2setz12z12zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3061z00_5059), BgL_val3060z00_5060);} 
}



/* env-code */
obj_t BGl_envzd2codezd2zzjvm_envz00(BgL_envz00_bglt BgL_obj3059z00_129)
{ AN_OBJECT;
{ /* Jvm/env.scm 24 */
return 
(((BgL_envz00_bglt)CREF(BgL_obj3059z00_129))->BgL_codez00);} 
}



/* _env-code5085 */
obj_t BGl__envzd2code5085zd2zzjvm_envz00(obj_t BgL_envz00_5056, obj_t BgL_obj3059z00_5057)
{ AN_OBJECT;
{ /* Jvm/env.scm 24 */
return 
BGl_envzd2codezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_obj3059z00_5057));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_envz00zzjvm_envz00, BGl_proc5187z00zzjvm_envz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_envz00zzjvm_envz00, BGl_proc5188z00zzjvm_envz00);} 
}



/* struct+object->object-env3210 */
obj_t BGl_structzb2objectzd2ze3objectzd2env3210z51zzjvm_envz00(obj_t BgL_envz00_5082, obj_t BgL_oz00_5083, obj_t BgL_sz00_5084)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ 
BgL_envz00_bglt BgL_oz00_3910;obj_t BgL_sz00_3911;
{ /* Jvm/env.scm 9 */
BgL_envz00_bglt BgL_auxz00_7361;
BgL_oz00_3910 = 
(BgL_envz00_bglt)(BgL_oz00_5083); 
BgL_sz00_3911 = BgL_sz00_5084; 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7364;BgL_objectz00_bglt BgL_auxz00_7362;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7365;
BgL_auxz00_7365 = 
(int)(((long)0)); 
BgL_auxz00_7364 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7365); } 
BgL_auxz00_7362 = 
(BgL_objectz00_bglt)(BgL_oz00_3910); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7362, BgL_auxz00_7364); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3116z00_3915;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7369;
BgL_auxz00_7369 = 
(int)(((long)1)); 
BgL_v3116z00_3915 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7369); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declarationsz00) = ((obj_t)BgL_v3116z00_3915), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3120z00_3916;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7373;
BgL_auxz00_7373 = 
(int)(((long)2)); 
BgL_v3120z00_3916 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7373); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declaredtypez00) = ((obj_t)BgL_v3120z00_3916), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3124z00_3917;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7377;
BgL_auxz00_7377 = 
(int)(((long)3)); 
BgL_v3124z00_3917 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7377); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declaredclassz00) = ((obj_t)BgL_v3124z00_3917), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3128z00_3918;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7381;
BgL_auxz00_7381 = 
(int)(((long)4)); 
BgL_v3128z00_3918 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7381); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declaredmodulez00) = ((obj_t)BgL_v3128z00_3918), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3132z00_3919;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7385;
BgL_auxz00_7385 = 
(int)(((long)5)); 
BgL_v3132z00_3919 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7385); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_currentzd2modulezd2) = ((obj_t)BgL_v3132z00_3919), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3136z00_3920;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7389;
BgL_auxz00_7389 = 
(int)(((long)6)); 
BgL_v3136z00_3920 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7389); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declaredfieldsz00) = ((obj_t)BgL_v3136z00_3920), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3140z00_3921;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7393;
BgL_auxz00_7393 = 
(int)(((long)7)); 
BgL_v3140z00_3921 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7393); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_declaredglobalz00) = ((obj_t)BgL_v3140z00_3921), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3144z00_3922;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7397;
BgL_auxz00_7397 = 
(int)(((long)8)); 
BgL_v3144z00_3922 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7397); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_libdeclaredz00) = ((obj_t)BgL_v3144z00_3922), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3148z00_3923;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7401;
BgL_auxz00_7401 = 
(int)(((long)9)); 
BgL_v3148z00_3923 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7401); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_proceduresz00) = ((obj_t)BgL_v3148z00_3923), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3152z00_3924;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7405;
BgL_auxz00_7405 = 
(int)(((long)10)); 
BgL_v3152z00_3924 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7405); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_clinitzd2codezd2) = ((obj_t)BgL_v3152z00_3924), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3156z00_3925;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7409;
BgL_auxz00_7409 = 
(int)(((long)11)); 
BgL_v3156z00_3925 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7409); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_currentzd2methodzd2) = ((obj_t)BgL_v3156z00_3925), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3160z00_3926;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7413;
BgL_auxz00_7413 = 
(int)(((long)12)); 
BgL_v3160z00_3926 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7413); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_vcountz00) = ((obj_t)BgL_v3160z00_3926), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3164z00_3927;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7417;
BgL_auxz00_7417 = 
(int)(((long)13)); 
BgL_v3164z00_3927 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7417); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_localsz00) = ((obj_t)BgL_v3164z00_3927), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3168z00_3928;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7421;
BgL_auxz00_7421 = 
(int)(((long)14)); 
BgL_v3168z00_3928 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7421); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_stackz00) = ((obj_t)BgL_v3168z00_3928), BUNSPEC); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_v3172z00_3929;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7425;
BgL_auxz00_7425 = 
(int)(((long)15)); 
BgL_v3172z00_3929 = 
STRUCT_REF(BgL_sz00_3911, BgL_auxz00_7425); } 
((((BgL_envz00_bglt)CREF(BgL_oz00_3910))->BgL_codez00) = ((obj_t)BgL_v3172z00_3929), BUNSPEC); } 
BgL_auxz00_7361 = BgL_oz00_3910; 
return 
(obj_t)(BgL_auxz00_7361);} } } 
}



/* object->struct-env3208 */
obj_t BGl_objectzd2ze3structzd2env3208ze3zzjvm_envz00(obj_t BgL_envz00_5085, obj_t BgL_obj3112z00_5086)
{ AN_OBJECT;
{ /* Jvm/env.scm 9 */
{ 
BgL_envz00_bglt BgL_obj3112z00_3874;
BgL_obj3112z00_3874 = 
(BgL_envz00_bglt)(BgL_obj3112z00_5086); 
{ /* Jvm/env.scm 9 */
obj_t BgL_res3113z00_3877;
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7433;obj_t BgL_auxz00_7431;
BgL_auxz00_7433 = 
(int)(((long)16)); 
BgL_auxz00_7431 = 
CNST_TABLE_REF(((long)141)); 
BgL_res3113z00_3877 = 
make_struct(BgL_auxz00_7431, BgL_auxz00_7433, BUNSPEC); } 
{ /* Jvm/env.scm 9 */
int BgL_auxz00_7436;
BgL_auxz00_7436 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7436, BFALSE); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7441;int BgL_auxz00_7439;
BgL_auxz00_7441 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declarationsz00); 
BgL_auxz00_7439 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7439, BgL_auxz00_7441); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7446;int BgL_auxz00_7444;
BgL_auxz00_7446 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declaredtypez00); 
BgL_auxz00_7444 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7444, BgL_auxz00_7446); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7451;int BgL_auxz00_7449;
BgL_auxz00_7451 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declaredclassz00); 
BgL_auxz00_7449 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7449, BgL_auxz00_7451); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7456;int BgL_auxz00_7454;
BgL_auxz00_7456 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declaredmodulez00); 
BgL_auxz00_7454 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7454, BgL_auxz00_7456); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7461;int BgL_auxz00_7459;
BgL_auxz00_7461 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_currentzd2modulezd2); 
BgL_auxz00_7459 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7459, BgL_auxz00_7461); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7466;int BgL_auxz00_7464;
BgL_auxz00_7466 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declaredfieldsz00); 
BgL_auxz00_7464 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7464, BgL_auxz00_7466); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7471;int BgL_auxz00_7469;
BgL_auxz00_7471 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_declaredglobalz00); 
BgL_auxz00_7469 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7469, BgL_auxz00_7471); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7476;int BgL_auxz00_7474;
BgL_auxz00_7476 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_libdeclaredz00); 
BgL_auxz00_7474 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7474, BgL_auxz00_7476); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7481;int BgL_auxz00_7479;
BgL_auxz00_7481 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_proceduresz00); 
BgL_auxz00_7479 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7479, BgL_auxz00_7481); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7486;int BgL_auxz00_7484;
BgL_auxz00_7486 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_clinitzd2codezd2); 
BgL_auxz00_7484 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7484, BgL_auxz00_7486); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7491;int BgL_auxz00_7489;
BgL_auxz00_7491 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_currentzd2methodzd2); 
BgL_auxz00_7489 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7489, BgL_auxz00_7491); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7496;int BgL_auxz00_7494;
BgL_auxz00_7496 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_vcountz00); 
BgL_auxz00_7494 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7494, BgL_auxz00_7496); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7501;int BgL_auxz00_7499;
BgL_auxz00_7501 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_localsz00); 
BgL_auxz00_7499 = 
(int)(((long)13)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7499, BgL_auxz00_7501); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7506;int BgL_auxz00_7504;
BgL_auxz00_7506 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_stackz00); 
BgL_auxz00_7504 = 
(int)(((long)14)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7504, BgL_auxz00_7506); } 
{ /* Jvm/env.scm 9 */
obj_t BgL_auxz00_7511;int BgL_auxz00_7509;
BgL_auxz00_7511 = 
(((BgL_envz00_bglt)CREF(BgL_obj3112z00_3874))->BgL_codez00); 
BgL_auxz00_7509 = 
(int)(((long)15)); 
STRUCT_SET(BgL_res3113z00_3877, BgL_auxz00_7509, BgL_auxz00_7511); } 
return BgL_res3113z00_3877;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_envz00()
{ AN_OBJECT;
{ /* Jvm/env.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_env"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "jvm_env"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)48495), "jvm_env"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)49160), "jvm_env");} 
}

